# -*- fundamental -*-
# Information about taxonomic names extracted from wikispecies.  See
# tools/extract_species.py for the tool.
#
# This file is distributed under the same license as wikispecies, i.e.,
# Creative Commons Attribution-ShareAlike 3.0 Unported License or
# the GNU Free Documentation License.  For more information, see:
# https://species.wikimedia.org/wiki/Wikispecies:Copyrights
#
# The original specieswiki dump can be downloaded from
# https://dumps.wikimedia.org.

known_species = set(["Aptenodytes forsteri", "Aptenodytes patagonicus", "Eudyptes sclateri", "Eudyptes pachyrhynchus", "Eudyptes chrysolophus", "Eudyptes chrysocome", "Eudyptes schlegeli", "Eudyptes robustus", "Panthera leo", "Felis silvestris", "Canis lupus", "Homo floresiensis", "Felis silvestris catus", "Nucella lapillus", "Crypturellus soui", "Crypturellus obsoletus", "Crypturellus undulatus", "Crypturellus erythropus", "Crypturellus noctivagus", "Anthocharis thoosa", "Euchloe falloui", "Anthocharis midea", "Euchloe guaymasensis", "Pieris tadjika", "Gyps africanus", "Anthocharis lanceolata", "Homo neanderthalensis", "Pieris napi", "Aporia howarthi", "Anthocharis limonea", "Euchloe olympia", "Danaus plexippus", "Salvia divinorum", "Panthera tigris", "Anthocharis bambusarum", "Apus apus", "Crypturellus atrocapillus", "Crypturellus cinnamomeus", "Crypturellus boucardi", "Crypturellus tataupa", "Euchloe hyantis", "Fossa fossana", "Anthocharis cethura", "Anthocharis belia", "Pieris canidia", "Mesapia peloria", "Anthocharis euphenoides", "Pieris angelika", "Pieris oleracea", "Ursus maritimus", "Euchloe lotta", "Anthocharis cardamines meridionalis", "Euchloe belemia hesperidum", "Dugong dugon", "Otocinclus cocama", "Jordanella floridae", "Calidris maritima", "Pieris ajaka", "Anser caerulescens", "Cygnus columbianus", "Gorilla gorilla", "Gorilla beringei", "Gorilla beringei beringei", "Butorides virescens", "Liquidambar styraciflua", "Araucaria araucana", "Anthocharis bieti", "Aporia leucodice", "Anthocharis scolymus", "Ailuropoda melanoleuca", "Pieris brassicae", "Aporia nabellica", "Paris quadrifolia", "Anthocharis damone", "Anthocharis gruneri", "Pieris cheiranthi", "Anthocharis sara", "Pieris naganum", "Anthocharis julia", "Aporia acraea", "Aporia crataegi", "Anthocharis stella", "Pieris deota", "Euchloe ausonides", "Struthio camelus", "Rhea americana", "Rhea pennata", "Casuarius casuarius", "Casuarius bennetti", "Casuarius unappendiculatus", "Dromaius novaehollandiae", "Apteryx australis", "Apteryx owenii", "Apteryx haastii", "Tinamus tao", "Tinamus solitarius", "Tinamus osgoodi", "Tinamus major", "Nothocercus bonapartei", "Nothocercus julius", "Nothocercus nigrocapillus", "Alces alces", "Anthocharis cardamines", "Sciurus niger", "Erignathus barbatus", "Pan paniscus", "Pan troglodytes", "Aythya americana", "Thysanozoon nigropapillosum", "Vampyroteuthis infernalis", "Ascute asconoides", "Aetea anguina", "Gigantopithecus bilaspurensis", "Lophocebus albigena", "Tarsius bancanus", "Obdurodon dicksoni", "Castanea dentata", "Castanea crenata", "Castanea mollissima", "Castanea pumila", "Castanea sativa", "Canis latrans", "Ochotona princeps", "Rorqualus omurai", "Megaptera novaeangliae", "Eschrichtius robustus", "Caperea marginata", "Platanista gangetica", "Platanista minor", "Psilotum nudum", "Psilotum complanatum", "Tmesipteris elongata", "Tmesipteris lanceolata", "Tmesipteris norfolkensis", "Tmesipteris obliqua", "Tmesipteris oblongifolia", "Tmesipteris ovata", "Tmesipteris parva", "Tmesipteris sigmatifolia", "Tmesipteris solomonensis", "Tmesipteris tannensis", "Tmesipteris truncata", "Tmesipteris vanuatensis", "Tmesipteris vieillardii", "Oedaleus senegalensis", "Rorqualus musculus", "Rorqualus borealis", "Balaenoptera physalus", "Rorqualus brydei", "Rorqualus edeni", "Pterobalaena acutorostrata", "Pterobalaena bonaerensis", "Gorilla gorilla diehli", "Gorilla gorilla gorilla", "Gorilla beringei graueri", "Hylobates agilis albibarbis", "Hylobates agilis", "Hylobates moloch", "Hylobates klossii", "Hylobates muelleri", "Nomascus concolor", "Nomascus siki", "Nomascus hainanus", "Nomascus leucogenys", "Nomascus gabriellae", "Homo ergaster", "Homo rudolfensis", "Alopias vulpinus", "Arctodus simus", "Panthera onca", "Tachyglossus aculeatus", "Calidris ferruginea", "Homo sapiens sapiens", "Canis lupus familiaris", "Euchloe aegyptiaca", "Acrida cinerea", "Pandion haliaetus", "Zonocerus elegans", "Acrida cinerea cinerea", "Acrida cinerea willemsei", "Loxodonta africana", "Athrotaxis selaginoides", "Athrotaxis cupressoides", "Cupressus macrocarpa", "Diselma archeri", "Actinostrobus acuminatus", "Actinostrobus arenarius", "Actinostrobus pyramidalis", "Callitris baileyi", "Callitris canescens", "Callitris columellaris", "Callitris drummondii", "Callitris endlicheri", "Callitris macleayana", "Callitris muelleri", "Callitris monticola", "Callitris oblonga", "Callitris preissii", "Callitris rhomboidea", "Callitris roei", "Callitris verrucosa", "Pittosporum ferrugineum", "Bellendena montana", "Sphalmium racemosum", "Dracula cordobae", "Hapalemur aureus", "Trichoplax adhaerens", "Chiromantis rufescens", "Canis aureus", "Lepisma saccharinum", "Cheirogaleus sibreei", "Microcebus berthae", "Microcebus griseorufus", "Microcebus murinus", "Microcebus myoxinus", "Microcebus ravelobensis", "Microcebus rufus", "Microcebus sambiranensis", "Microcebus tavaratra", "Mirza coquereli", "Phaner electromontis", "Phaner furcifer", "Phaner pallescens", "Phaner parienti", "Eulemur albifrons", "Eulemur albocollaris", "Eulemur cinereiceps", "Eulemur collaris", "Eulemur coronatus", "Eulemur fulvus", "Eulemur macaco", "Eulemur mongoz", "Eulemur rubriventer", "Eulemur rufus", "Eulemur sanfordi", "Hapalemur alaotrensis", "Hapalemur griseus", "Hapalemur occidentalis", "Lemur catta", "Prolemur simus", "Varecia rubra", "Varecia variegata", "Lepilemur ankaranensis", "Lepilemur dorsalis", "Lepilemur edwardsi", "Lepilemur leucopus", "Lepilemur microdon", "Lepilemur mustelinus", "Lepilemur ruficaudatus", "Lepilemur septentrionalis", "Avahi laniger", "Avahi occidentalis", "Avahi unicolor", "Indri indri", "Propithecus coquereli", "Propithecus diadema", "Propithecus deckenii", "Halichoerus grypus", "Litoria caerulea", "Litoria fallax", "Myrmecophaga tridactyla", "Allocebus trichotis", "Cheirogaleus crossleyi", "Cheirogaleus major", "Cheirogaleus medius", "Cheirogaleus minusculus", "Mico humeralifer", "Mico intermedius", "Mico leucippe", "Callithrix manicorensis", "Mico marcai", "Mico mauesi", "Mico melanurus", "Mico nigriceps", "Mico saterei", "Leontopithecus caissara", "Leontopithecus chrysomelas", "Leontopithecus chrysopygus", "Leontopithecus rosalia", "Saguinus bicolor", "Saguinus fuscicollis", "Saguinus geoffroyi", "Saguinus graellsi", "Saguinus imperator", "Saguinus inustus", "Saguinus labiatus", "Saguinus leucopus", "Saguinus martinsi", "Saguinus melanoleucus", "Saguinus midas", "Saguinus mystax", "Saguinus niger", "Saguinus nigricollis", "Saguinus oedipus", "Saguinus pileatus", "Saguinus tripartitus", "Cebus albifrons", "Sapajus apella", "Cebus capucinus", "Cebus kaapori", "Sapajus libidinosus", "Sapajus nigritus", "Cebus olivaceus", "Sapajus xanthosternos", "Saimiri boliviensis", "Saimiri oerstedii", "Saimiri sciureus", "Saimiri ustus", "Saimiri vanzolinii", "Aotus azarae", "Aotus hershkovitzi", "Aotus lemurinus", "Aotus miconax", "Aotus nancymae", "Aotus nigriceps", "Aotus trivirgatus", "Propithecus edwardsi", "Propithecus perrieri", "Propithecus tattersalli", "Propithecus verreauxi", "Daubentonia madagascariensis", "Anilius scytale", "Arctocebus aureus", "Arctocebus calabarensis", "Loris lydekkerianus", "Loris tardigradus", "Nycticebus bengalensis", "Nycticebus coucang", "Nycticebus pygmaeus", "Perodicticus potto", "Pseudopotto martini", "Euoticus elegantulus", "Euoticus pallidus", "Galago alleni", "Galago cameronensis", "Galago demidoff", "Galago gabonensis", "Galago gallarum", "Paragalago granti", "Galago matschiei", "Galago moholi", "Paragalago nyasae", "Paragalago orinus", "Paragalago rondoensis", "Galago senegalensis", "Galago thomasi", "Paragalago zanzibaricus", "Otolemur crassicaudatus", "Otolemur garnettii", "Otolemur monteiri", "Tarsius dentatus", "Tarsius pelengensis", "Tarsius pumilus", "Tarsius sangirensis", "Tarsius tarsier", "Callimico goeldii", "Mico acariensis", "Mico argentatus", "Mico chrysoleucos", "Mico emiliae", "Aotus vociferans", "Callicebus baptista", "Callicebus barbarabrownae", "Callicebus brunneus", "Callicebus caligatus", "Callicebus cinerascens", "Callicebus coimbrai", "Callicebus cupreus", "Callicebus discolor", "Callicebus donacophilus", "Callicebus dubius", "Callicebus hoffmannsi", "Callicebus lucifer", "Callicebus lugens", "Callicebus medemi", "Callicebus melanochir", "Callicebus modestus", "Callicebus moloch", "Callicebus nigrifrons", "Callicebus oenanthe", "Callicebus olallae", "Callicebus ornatus", "Callicebus pallescens", "Callicebus personatus", "Callicebus purinus", "Callicebus regulus", "Callicebus stephennashi", "Callicebus torquatus", "Cacajao calvus", "Cacajao melanocephalus", "Chiropotes albinasus", "Chiropotes chiropotes", "Chiropotes israelita", "Chiropotes satanas", "Chiropotes utahickae", "Pithecia aequatorialis", "Pithecia albicans", "Pithecia irrorata", "Pithecia monachus", "Pithecia pithecia", "Alouatta belzebul", "Alouatta caraya", "Alouatta coibensis", "Alouatta guariba", "Alouatta macconnelli", "Alouatta nigerrima", "Alouatta palliata", "Alouatta pigra", "Alouatta sara", "Alouatta seniculus", "Ateles belzebuth", "Ateles chamek", "Ateles fusciceps", "Ateles geoffroyi", "Ateles marginatus", "Ateles hybridus", "Ateles paniscus", "Brachyteles hypoxanthus", "Brachyteles arachnoides", "Lagothrix cana", "Lagothrix lagotricha", "Lagothrix lugens", "Lagothrix poeppigii", "Allenopithecus nigroviridis", "Cercocebus agilis", "Cercocebus atys", "Cercocebus chrysogaster", "Cercocebus galeritus", "Cercocebus sanjei", "Cercocebus torquatus", "Cercopithecus albogularis", "Cercopithecus ascanius", "Cercopithecus campbelli", "Cercopithecus cephus", "Cercopithecus denti", "Cercopithecus diana", "Cercopithecus doggetti", "Cercopithecus dryas", "Cercopithecus erythrogaster", "Cercopithecus erythrotis", "Cercopithecus hamlyni", "Cercopithecus kandti", "Cercopithecus lhoesti", "Cercopithecus lowei", "Cercopithecus mitis", "Cercopithecus mona", "Cercopithecus neglectus", "Cercopithecus nictitans", "Cercopithecus petaurista", "Cercopithecus pogonias", "Cercopithecus preussi", "Cercopithecus roloway", "Cercopithecus sclateri", "Cercopithecus solatus", "Cercopithecus wolfi", "Chlorocebus aethiops", "Chlorocebus cynosuros", "Chlorocebus djamdjamensis", "Chlorocebus pygerythrus", "Chlorocebus sabaeus", "Chlorocebus tantalus", "Erythrocebus patas", "Lophocebus aterrimus", "Lophocebus opdenboschi", "Macaca arctoides", "Macaca assamensis", "Macaca cyclopis", "Macaca fascicularis", "Macaca fuscata", "Macaca hecki", "Macaca leonina", "Macaca maura", "Macaca mulatta", "Macaca nemestrina", "Macaca nigra", "Macaca nigriscens", "Macaca ochreata", "Macaca pagensis", "Macaca radiata", "Macaca siberu", "Macaca silenus", "Macaca sinica", "Macaca sylvanus", "Macaca thibetana", "Macaca tonkeana", "Mandrillus leucophaeus", "Mandrillus sphinx", "Miopithecus ogouensis", "Miopithecus talapoin", "Papio anubis", "Papio cynocephalus", "Papio hamadryas", "Papio papio", "Papio ursinus", "Theropithecus gelada", "Colobus angolensis", "Colobus guereza", "Colobus polykomos", "Colobus satanas", "Colobus vellerosus", "Nasalis larvatus", "Piliocolobus badius", "Piliocolobus foai", "Piliocolobus gordonorum", "Piliocolobus kirkii", "Piliocolobus pennantii", "Piliocolobus preussi", "Piliocolobus rufomitratus", "Piliocolobus tephrosceles", "Piliocolobus tholloni", "Presbytis chrysomelas", "Presbytis comata", "Presbytis femoralis", "Presbytis frontata", "Presbytis hosei", "Presbytis melalophos", "Presbytis natunae", "Presbytis potenziani", "Presbytis rubicunda", "Presbytis siamensis", "Presbytis thomasi", "Procolobus verus", "Pygathrix nemaeus", "Pygathrix nigripes", "Pygathrix cinerea", "Rhinopithecus brelichi", "Rhinopithecus avunculus", "Rhinopithecus bieti", "Rhinopithecus roxellana", "Semnopithecus ajax", "Semnopithecus dussumieri", "Semnopithecus entellus", "Semnopithecus hector", "Semnopithecus hypoleucos", "Semnopithecus priam", "Semnopithecus schistaceus", "Simias concolor", "Trachypithecus auratus", "Trachypithecus barbei", "Trachypithecus cristatus", "Trachypithecus delacouri", "Trachypithecus ebenus", "Trachypithecus francoisi", "Trachypithecus geei", "Trachypithecus germaini", "Aegiphila aculeifera", "Aegiphila odontophylla", "Alisma canaliculatum", "Ursus thibetanus", "Loxodonta cyclotis", "Elephas maximus", "Trachypithecus hatinhensis", "Semnopithecus johnii", "Trachypithecus laotum", "Trachypithecus obscurus", "Trachypithecus phayrei", "Trachypithecus pileatus", "Trachypithecus poliocephalus", "Trachypithecus shortridgei", "Semnopithecus vetulus", "Hoolock hoolock", "Pongo abelii", "Pongo pygmaeus", "Yersinia pestis", "Acanthacris ruficornis citrina", "Acanthacris ruficornis ruficornis", "Ursus arctos", "Ursus americanus", "Ursus spelaeus", "Bison bison", "Rungwecebus kipunji", "Bowenia serrulata", "Bowenia spectabilis", "Stangeria eriopus", "Microcycas calocoma", "Araucaria sect.", "Ravenea rivularis", "Limnodynastes tasmaniensis", "Lobodon carcinophagus", "Phoca vitulina", "Pagophilus groenlandicus", "Elthusa vulgaris", "Eriogonum truncatum", "Gemmatimonas aurantiaca", "Beroe gracilis", "Cestum veneris", "Solanum quitoense", "Betula nigra", "Felis silvestris lybica", "Felis silvestris silvestris", "Equus ferus caballus", "Lepidozamia hopei", "Lepidozamia peroffskyana", "Cycas aculeata", "Cycas angulata", "Cycas apoa", "Zamia acuminata", "Zamia amazonum", "Zamia amblyphyllidia", "Zamia amplifolia", "Zamia angustifolia", "Cycas platyphylla", "Macrozamia moorei", "Homo sapiens idaltu", "Macrozamia cardiacensis", "Macrozamia communis", "Macrozamia concinna", "Macrozamia conferta", "Macrozamia cranei", "Macrozamia crassifolia", "Macrozamia diplomera", "Macrozamia douglasii", "Macrozamia dyeri", "Macrozamia elegans", "Encephalartos aemulans", "Ceratozamia alvarezii", "Ariocarpus bravoanus", "Ariocarpus bravoanus subsp. hintonii", "Ariocarpus agavoides", "Ariocarpus fissuratus", "Ariocarpus kotschoubeyanus", "Ariocarpus retusus", "Ariocarpus scaphirostris", "Treponema pallidum", "Araucaria sect.", "Isurus oxyrinchus", "Notophthalmus viridescens viridescens", "Notophthalmus viridescens louisianensis", "Notophthalmus viridescens piaropicola", "Notophthalmus viridescens dorsalis", "Isistius brasiliensis", "Necturus alabamensis", "Necturus beyeri", "Ambystoma opacum", "Mitsukurina owstoni", "Chlamydoselachus anguineus", "Megachasma pelagios", "Atractomorpha acutipennis", "Atractomorpha acutipennis gerstaeckeri", "Stegostoma fasciatum", "Lamna nasus", "Gentiana sect.", "Gentiana sect.", "Gentiana sect.", "Cystophora cristata", "Hydrurga leptonyx", "Pyrgomorpha vignaudi", "Pyrgomorpha vignaudi vignaudi", "Villarsia umbricola", "Nymphoides indica", "Menyanthes trifoliata", "Nephrophyllidium crista-galli", "Tyto soumagnei", "Gavia arctica", "Gavia adamsii", "Gavia immer", "Gavia pacifica", "Gavia stellata", "Vombatus ursinus", "Lasiorhinus latifrons", "Lasiorhinus krefftii", "Lagostrophus fasciatus", "Didelphis virginiana", "Acanthacris ruficornis", "Eyprepocnemis plorans", "Eyprepocnemis plorans plorans", "Eyprepocnemis plorans ibandana", "Calidris alpina", "Chirista compta", "Chirista compta auripennis", "Chirista compta compta", "Andrias japonicus", "Andrias davidianus", "Orycteropus afer", "Ambystoma californiense", "Ambystoma jeffersonianum", "Ambystoma laterale", "Ambystoma maculatum", "Necturus maculosus", "Notophthalmus viridescens", "Ambystoma mexicanum", "Ambystoma tigrinum", "Prionace glauca", "Cetorhinus maximus", "Pseudolepralia ellisinae", "Euphausia superba", "Meganyctiphanes norvegica", "Clupea harengus", "Lepidochelys kempii", "Caracal caracal", "Antilocapra americana", "Eupropacris coerulea", "Zonocerus variegatus", "Aepyceros melampus", "Micrathene whitneyi", "Papaver somniferum", "Bacillus anthracis", "Musca autumnalis", "Musca domestica", "Phodilus badius", "Phodilus prigoginei", "Xenopus laevis", "Paraspadella anops", "Lynx canadensis", "Lynx rufus", "Lynx lynx", "Acinonyx jubatus", "Pardofelis marmorata", "Bubo bubo", "Bubo virginianus", "Bubo scandiacus", "Leopardus colocolo", "Leopardus geoffroyi", "Leopardus guigna", "Pardofelis badia", "Pardofelis temminckii", "Felis bieti", "Felis chaus", "Felis margarita", "Felis nigripes", "Leopardus pardalis", "Leopardus wiedii", "Leopardus tigrinus", "Leopardus jacobita", "Otocolobus manul", "Equus asinus", "Equus hemionus", "Equus ferus przewalskii", "Equus quagga burchellii", "Equus zebra", "Siren lacertina", "Omphalotus olearius", "Cryptobranchus alleganiensis", "Amphiuma means", "Plethodon cinereus", "Pseudacris crucifer", "Latimeria chalumnae", "Lithobates catesbeiana", "Carcharhinus leucas", "Anas platyrhynchos", "Oryctolagus cuniculus", "Lynx pardinus", "Panthera pardus", "Lepus europaeus", "Lepus castroviejoi", "Lepus granatensis", "Sciurus carolinensis", "Solanum melongena", "Tyto alba", "Fusobacterium nucleatum", "Fusobacterium necrophorum", "Giraffa camelopardalis", "Tursiops truncatus", "Orcinus orca", "Stenella frontalis", "Lagenorhynchus acutus", "Orcaella heinsohni", "Stenella attenuata", "Stenella clymene", "Stenella longirostris", "Stenella coeruleoalba", "Cephalorhynchus hectori", "Cephalorhynchus commersonii", "Orcaella brevirostris", "Lagenorhynchus obscurus", "Lagenorhynchus albirostris", "Lagenorhynchus cruciger", "Lagenorhynchus obliquidens", "Lagenorhynchus australis", "Steno bredanensis", "Sotalia fluviatilis", "Delphinus capensis", "Delphinus delphis", "Lissodelphis borealis", "Lissodelphis peronii", "Sousa teuszii", "Grampus griseus", "Sousa plumbea", "Sousa chinensis", "Peponocephala electra", "Feresa attenuata", "Pseudorca crassidens", "Physeter macrocephalus", "Inia geoffrensis", "Lipotes vexillifer", "Pontoporia blainvillei", "Globicephala macrorhynchus", "Globicephala melas", "Amazona vittata", "Amazona aestiva", "Amazona agilis", "Amazona albifrons", "Amazona auropalliata", "Amazona amazonica", "Amazona arausiaca", "Amazona barbadensis", "Amazona farinosa", "Nestor notabilis", "Nestor meridionalis", "Strigops habroptila", "Nestor productus", "Melopsittacus undulatus", "Melanoplus punctulatus", "Ara ararauna", "Ara macao", "Cyanopsitta spixii", "Ara chloropterus", "Ara glaucogularis", "Ara rubrogenys", "Orthopsittaca manilatus", "Anodorhynchus hyacinthinus", "Ara militaris", "Paradoxurus hermaphroditus", "Cnemotriccus fuscatus", "Bombina variegata", "Lithobates sylvaticus", "Osteopilus septentrionalis", "Anaxyrus exsul", "Anaxyrus boreas", "Anaxyrus californicus", "Anaxyrus cognatus", "Pieris brassicae cypria", "Pieris brassicae cyniphia", "Pieris brassicae verna", "Pieris brassicae italorum", "Pieris brassicae vazquezi", "Pieris brassicae subtaeniata", "Musca domestica domestica", "Musca domestica vicina", "Drosophila melanogaster", "Krohnittella boureei", "Krohnittella tokoikai", "Arctogalidia trivirgata", "Amia calva", "Aix sponsa", "Aix galericulata", "Amazonetta brasiliensis", "Anas sparsa", "Anas penelope", "Anas americana", "Anas sibilatrix", "Paradoxurus zeylonensis", "Paradoxurus jerdoni", "Mephitis mephitis", "Suricata suricatta", "Mustela erminea", "Mustela nigripes", "Zalophus californianus", "Phocarctos hookeri", "Eumetopias jubatus", "Neophoca cinerea", "Otaria flavescens", "Callorhinus ursinus", "Arctocephalus gazella", "Arctocephalus tropicalis", "Arctocephalus galapagoensis", "Arctocephalus philippii", "Arctocephalus townsendi", "Arctocephalus pusillus", "Arctocephalus forsteri", "Arctocephalus australis", "Enhydra lutris", "Ortyxelos meiffrenii", "Procyon lotor", "Amphizoa insolens", "Aetea truncata", "Otocyon megalotis", "Alcyonium palmatum", "Alytes cisternasii", "Hexatrygon longirostra", "Alticola strelzowi", "Prionodon linsang", "Ascaphus montanus", "Mastigoteuthis atlantica", "Mastigoteuthis agassizii", "Mastigoteuthis dentata", "Mastigoteuthis flammea", "Mastigoteuthis glaukopsis", "Mastigoteuthis grimaldii", "Mastigoteuthis inermis", "Mastigoteuthis iselini", "Mastigoteuthis magna", "Mastigoteuthis psychrophila", "Mastigoteuthis pyrodes", "Mastigoteuthis schmidti", "Magnapinna talismani", "Pieris brassicae brassicae", "Pieris brassicae catoleuca", "Pieris brassicae marghanita", "Pieris brassicae ottonis", "Olea europaea", "Nyctereutes procyonoides", "Cuon alpinus", "Meles meles", "Larus argentatus", "Larus canus", "Larus marinus", "Chroicocephalus ridibundus", "Hydrocoloeus minutus", "Larus fuscus", "Cheilinus undulatus", "Amphiprion clarkii", "Amphiprion melanopus", "Amphiprion percula", "Gampsonyx swainsonii", "Ambystoma andersoni", "Ambystoma annulatum", "Helicobacter pylori", "Ornithacris cavroisi", "Limnognathia maerski", "Aniba rosaeodora", "Thiomargarita namibiensis", "Metaxymecus gracilipes", "Prionailurus bengalensis", "Prionailurus planiceps", "Prionailurus rubiginosus", "Prionailurus viverrinus", "Profelis aurata", "Puma concolor", "Ornithorhynchus anatinus", "Equus simplicidens", "Equus scotti", "Equus conversidens", "Hippopotamus amphibius", "Hexaprotodon liberiensis", "Crotaphytus collaris", "Calypte costae", "Aphantochroa cirrochloris", "Campylopterus curvipennis", "Campylopterus duidae", "Campylopterus ensipennis", "Gadus morhua", "Gadus macrocephalus", "Gadus ogac", "Campylopterus excellens", "Echymipera clara", "Echymipera davidi", "Echymipera echinista", "Echymipera kalubu", "Echymipera rufescens", "Isurus paucus", "Acer buergerianum", "Microtus longicaudus", "Microtus miurus", "Microtus ochrogaster", "Microtus oeconomus", "Microtus pennsylvanicus", "Microtus richardsoni", "Microtus xanthognathus", "Lemmiscus curtatus", "Ondatra zibethicus", "Phenacomys intermedius", "Phenacomys ungava", "Synaptomys borealis", "Synaptomys cooperi", "Adelomyia melanogenys", "Archilochus colubris", "Anthracothorax dominicus", "Anthracothorax mango", "Anthracothorax nigricollis", "Anthracothorax prevostii", "Anthracothorax veraguensis", "Anthracothorax viridigula", "Anthracothorax viridis", "Balaena mysticetus", "Fagus crenata", "Eubalaena australis", "Eubalaena glacialis", "Anthocephala floriceps", "Eubalaena japonica", "Marginaster pectinatus", "Augastes lumachella", "Augastes scutatus", "Avocettula recurvirostris", "Boissonneaua flavescens", "Boissonneaua jardini", "Boissonneaua matthewsii", "Calliphlox amethystina", "Calliphlox bryantae", "Calliphlox evelynae", "Calliphlox mitchellii", "Calothorax lucifer", "Calothorax pulcher", "Calypte anna", "Pangasianodon gigas", "Corvus corax", "Aplodontia rufa", "Hydrochoerus hydrochaeris", "Abeillia abeillei", "Lontra canadensis", "Archilochus alexandri", "Lontra felina", "Selasphorus calliope", "Lontra longicaudis", "Laonastes aenigmamus", "Lontra provocax", "Myocastor coypus", "Cuniculus paca", "Cuniculus taczanowskii", "Microtus agrestis", "Microtus arvalis", "Microtus chrotorrhinus", "Rangifer tarandus", "Capreolus capreolus", "Syntheosciurus brochus", "Canis lupus arctos", "Procyon cancrivorus", "Elops saurus", "Arapaima gigas", "Anguilla anguilla", "Anguilla australis", "Anguilla rostrata", "Paracimexomys group", "Solenodon paradoxus", "Solenodon cubanus", "Caenorhabditis elegans", "Aythya ferina", "Aythya nyroca", "Aiolopus thalassinus", "Aiolopus thalassinus thalassinus", "Oxyura leucocephala", "Lissotriton vulgaris", "Triturus cristatus", "Ovibos moschatus", "Cervus elaphus", "Esox americanus", "Esox lucius", "Esox niger", "Esox masquinongy", "Ictalurus punctatus", "Colibri serrirostris", "Cyanophaia bicolor", "Damophila julie", "Discosura popelairii", "Discosura langsdorffi", "Discosura letitiae", "Discosura conversii", "Urosticte benjamini", "Urosticte ruficrissa", "Papaver rhoeas", "Discosura longicaudus", "Megalops atlanticus", "Megalops cyprinoides", "Sorbus commixta", "Taxus cuspidata", "Euchloe ausonia dubatolovi", "Euchloe ausonides coloradensis", "Euchloe ausonides insulana", "Euchloe ausonides palaeoreios", "Euchloe ausonides mayi", "Euchloe ausonides transmontana", "Eriocnemis mirabilis", "Eriocnemis nigrivestis", "Campylopterus phainopeplus", "Amazilia boucardi", "Eupherusa cyanophrys", "Coeligena prunellei", "Heliangelus regalis", "Metallura baroni", "Taphrolesbia griseiventris", "Loddigesia mirabilis", "Eulidia yarrellii", "Chaetocercus berlepschi", "Metallura iracunda", "Thalurania ridgwayi", "Eupherusa poliocerca", "Hylonympha macrocerca", "Aglaeactis aliciae", "Chaetocercus bombus", "Selasphorus ardens", "Campylopterus hemileucurus", "Brunniella antistes", "Neorthacris acuticeps", "Dyscolorhinus squalinus", "Meubelia gracilis", "Chalybura buffonii", "Aglaeactis castelnaudii", "Acer saccharum", "Selasphorus rufus", "Patagona gigas", "Chrysolampis mosquitus", "Amazilia tobaci", "Florisuga mellivora", "Pollachius pollachius", "Selasphorus platycercus", "Lophornis ornatus", "Heliomaster longirostris", "Alosa pseudoharengus", "Alosa sapidissima", "Amazilia brevirostris", "Chlorostilbon mellisugus", "Chlorostilbon notatus", "Chlorostilbon maugaeus", "Selasphorus sasin", "Mellisuga helenae", "Cryptocephalus bahilloi", "Elops affinis", "Phalcoboenus australis", "Tripyloides gracilis", "Amazilia beryllina", "Lampornis clemenciae", "Cynanthus latirostris", "Amazilia yucatanensis", "Amazilia violiceps", "Hylocharis leucotis", "Lophornis brachylophus", "Lepidopyga lilliae", "Amazilia castaneiventris", "Sephanoides fernandensis", "Eriocnemis godini", "Hylobates lar", "Hylobates pileatus", "Symphalangus syndactylus", "Otocinclus macrospilus", "Aglaeactis cupripennis", "Aglaeactis pamela", "Carpinus laxiflora", "Carpinus cordata", "Ulmus davidiana var. japonica", "Ulmus laciniata", "Arborimus longicaudus", "Tilia japonica", "Arborimus albipes", "Arborimus pomo", "Cornus controversa", "Chalybura urochrysia", "Aesculus turbinata", "Pterocarya rhoifolia", "Cornus subg.", "Cornus subg.", "Cornus subg.", "Acer sieboldianum", "Acer japonicum", "Acer rufinerve", "Acer distylum", "Acer micranthum", "Lonchophylla orcesi", "Ilex macropoda", "Chrysuronia oenone", "Fraxinus sieboldiana", "Fraxinus lanuginosa", "Clytolaema rubricauda", "Cryptomeria japonica", "Colibri delphinae", "Colibri thalassinus", "Chalcostigma herrani", "Chalcostigma heteropogon", "Chalcostigma olivaceum", "Chalcostigma ruficeps", "Chalcostigma stanleyi", "Lesbia nuna", "Lesbia victoriae", "Sephanoides sephaniodes", "Colibri coruscans", "Anomalurus beecrofti", "Anomalurus derbianus", "Anomalurus pelii", "Anomalurus pusillus", "Idiurus macrotis", "Idiurus zenkeri", "Zenkerella insignis", "Vulpes vulpes", "Mustela nivalis", "Mustela putorius", "Alcelaphus buselaphus", "Damaliscus lunatus", "Cyanocitta stelleri", "Podocarpus subg.", "Podocarpus subg.", "Castor fiber", "Temnurus temnurus", "Rattus norvegicus", "Mus musculus", "Mirza zaza", "Microcebus lehilahytsara", "Microcebus simmonsi", "Nomadacris septemfasciata", "Coloeus monedula", "Corvus frugilegus", "Corvus corone", "Corvus brachyrhynchos", "Corvus ossifragus", "Corvus hawaiiensis", "Jensenobotrya lossowiana", "Gentiana sect.", "Gentiana asclepiadea", "Aeonium tabuliforme", "Poelagus marjorita", "Mimosa pudica", "Sanvitalia procumbens", "Thaumastura cora", "Trochilus scitulus", "Thalurania colombica", "Thalurania fannyi", "Thalurania furcata", "Thalurania glaucopis", "Thalurania watertonii", "Sternoclyta cyanopectus", "Stephanoxis lalandi", "Amazilia viridigaster cupreicauda", "Amazilia cyanifrons", "Amazilia cyanura", "Amazilia edward", "Amazilia saucerottei", "Amazilia viridigaster", "Sappho sparganura", "Rhodopis vesper", "Ramphomicron dorsale", "Ramphomicron microrhynchum", "Pterophanes cyanopterus", "Lagostomus maximus", "Dasyprocta prymnolopha", "Dasyprocta fuliginosa", "Dasyprocta azarae", "Dasyprocta coibae", "Adonis annua", "Aglaiocercus berlepschi", "Polytmus guainumbi", "Polytmus milleri", "Polytmus theresiae", "Selasphorus flammula", "Selasphorus scintilla", "Polyonymus caroli", "Amazilia amabilis", "Amazilia decora", "Amazilia fimbriata", "Amazilia lactea", "Amazilia rosenbergi", "Phlogophilus hemileucurus", "Phlogophilus harterti", "Phaeochroa cuvierii", "Panterpe insignis", "Oxypogon guerinii", "Orthorhyncus cristatus", "Oreotrochilus adela", "Oreotrochilus chimborazo", "Oreotrochilus estella", "Oreotrochilus leucopleurus", "Oreotrochilus melanogaster", "Oreotrochilus stolzmanni", "Oreonympha nobilis", "Opisthoprora euryptera", "Ocreatus underwoodii", "Kannabateomys amblyonyx", "Olallamys albicauda", "Olallamys edax", "Diplomys caniceps", "Diplomys labilis", "Diplomys rufodorsalis", "Echimys blainvillei", "Echimys braziliensis", "Echimys chrysurus", "Echimys dasythrix", "Toromys grandis", "Echimys lamarum", "Echimys macrurus", "Echimys nigrispinus", "Echimys pictus", "Toromys rhipidurus", "Echimys saturnus", "Pattonomys semivillosus", "Echimys thomasi", "Echimys unicolor", "Pontocrates altamarinus", "Bathyporeia elegans", "Bathyporeia guilliamsoniana", "Bathyporeia pelagica", "Trichoglossus haematodus", "Antidorcas marsupialis", "Antilope cervicapra", "Eudorcas thomsonii", "Gazella dorcas", "Gazella gazella", "Nanger granti", "Gazella leptoceros", "Eudorcas rufina", "Gazella spekei", "Gazella subgutturosa", "Acorypha onerosa", "Gazella arabica", "Litocranius walleri", "Neotragus pygmaeus", "Oreotragus oreotragus", "Ourebia ourebi", "Pantholops hodgsonii", "Procapra picticaudata", "Saiga tatarica", "Nomascus nasutus", "Doricha enicura", "Doryfera johannae", "Doryfera ludovicae", "Elvira chionura", "Elvira cupreiceps", "Ensifera ensifera", "Eriocnemis alinae", "Eriocnemis cupreoventris", "Eriocnemis derbyi", "Eriocnemis glaucopoides", "Eriocnemis luciani", "Eriocnemis mosquera", "Eriocnemis sapphiropygia", "Eriocnemis vestitus", "Eugenes fulgens", "Eulampis holosericeus", "Eulampis jugularis", "Eupetomena macroura", "Eupherusa eximia", "Eupherusa nigriventris", "Florisuga fusca", "Goethalsia bella", "Goldmania violiceps", "Haplophaedia assimilis", "Haplophaedia aureliae", "Haplophaedia lugens", "Heliactin bilopha", "Heliangelus amethysticollis", "Dolichotis patagonum", "Heliodoxa leadbeateri", "Heliodoxa rubinoides", "Heliodoxa schreibersii", "Heliodoxa xanthogonys", "Heliothryx auritus", "Heliothryx barroti", "Persoonia micranthera", "Lepidepecreum longicornis", "Nototropis swammerdamei", "Atylus falcatus", "Ampelisca brevicornis", "Leucothoe incisa", "Stenothoe marina", "Urothoe brevicornis", "Urothoe poseidonis", "Taxandria floribunda", "Taxandria juniperina", "Taxandria linearifolia", "Taxandria marginata", "Taxandria parviceps", "Taxandria spathulata", "Taxandria fragrans", "Agonis undulata", "Hylocharis chrysura", "Hylocharis cyanus", "Hylocharis eliciae", "Hylocharis grayi", "Hylocharis sapphirina", "Hylocharis xantusii", "Klais guimeti", "Lafresnaya lafresnayi", "Lampornis amethystinus", "Lampornis calolaemus", "Lampornis castaneoventris", "Lampornis cinereicauda", "Adonis microcarpa", "Aeonium undulatum", "Aeonium canariense subsp. virgineum", "Odobenus rosmarus", "Monachus schauinslandi", "Ailurus fulgens", "Chelonoidis nigra", "Chelonoidis carbonaria", "Chelonoidis chilensis", "Geochelone elegans", "Geochelone platynota", "Centrochelys sulcata", "Astrochelys yniphora", "Testudo hermanni", "Testudo graeca", "Testudo horsfieldii", "Testudo kleinmanni", "Testudo marginata", "Heliodoxa aurescens", "Heliodoxa branickii", "Kobus ellipsiprymnus", "Kobus vardonii", "Chaetomys subspinosus", "Dactylomys boliviensis", "Dactylomys dactylinus", "Dactylomys peruanus", "Tursiops aduncus", "Amazilia tzacatl", "Androdon aequatorialis", "Atthis ellioti", "Atthis heloisa", "Campylopterus falcatus", "Campylopterus hyperythrus", "Campylopterus largipennis", "Campylopterus rufus", "Campylopterus villaviscensio", "Chaetocercus astreans", "Chaetocercus jourdanii", "Chaetocercus mulsant", "Chlorostilbon alice", "Chlorostilbon assimilis", "Chlorostilbon aureoventris", "Chlorostilbon auriceps", "Chlorostilbon canivetii", "Chlorostilbon forficatus", "Chlorostilbon olivaresi", "Chlorostilbon poortmani", "Chlorostilbon ricordii", "Chlorostilbon russatus", "Chlorostilbon stenurus", "Chlorostilbon swainsonii", "Coeligena bonapartei", "Coeligena coeligena", "Coeligena bonapartei eos", "Coeligena helianthea", "Coeligena torquata inca", "Coeligena iris", "Coeligena lutetiae", "Coeligena phalerata", "Coeligena torquata", "Coeligena violifer", "Coeligena wilsoni", "Cynanthus sordidus", "Heliomaster constantii", "Heliomaster furcifer", "Heliomaster squamosus", "Lamprolaima rhami", "Lepidopyga coeruleogularis", "Lepidopyga goudoti", "Microchera albocoronata", "Microstilbon burmeisteri", "Myrmia micrura", "Myrtis fanny", "Myrtis yarrellii", "Aglaiocercus coelestis", "Aglaiocercus kingii", "Bison bonasus", "Phaethornis atrimentalis", "Phaethornis augusti", "Phaethornis guy", "Phaethornis longuemareus", "Phaethornis yaruqui", "Phaethornis syrmatophorus", "Phaethornis superciliosus", "Phaethornis stuarti", "Phaethornis striigularis", "Phaethornis bourcieri", "Phaethornis eurynome", "Phaethornis griseogularis", "Phaethornis hispidus", "Phaethornis idaliae", "Phaethornis anthophilus", "Phaethornis koepckeae", "Phaethornis longirostris", "Phaethornis malaris", "Phaethornis nattereri", "Phaethornis philippii", "Phaethornis pretrei", "Phaethornis rupurumii", "Phaethornis squalidus", "Phaethornis ruber", "Eutoxeres aquila", "Eutoxeres condamini", "Glaucis aenea", "Glaucis dohrnii", "Ramphodon naevius", "Cygnus atratus", "Cygnus buccinator", "Ginkgo biloba", "Grevillea banksii", "Geopelia striata", "Spilopelia chinensis", "Acacia abbatiana", "Acacia abbreviata", "Leucochloris albicollis", "Lophornis adorabilis", "Lophornis chalybeus", "Lophornis delattrei", "Lophornis gouldii", "Lophornis helenae", "Lophornis magnificus", "Lophornis pavoninus", "Lophornis stictolophus", "Mellisuga minima", "Metallura williami", "Metallura tyrianthina", "Metallura theresiae", "Metallura phoebe", "Metallura odomae", "Metallura eupogon", "Metallura aeneocauda", "Panthera leo azandica", "Litoria aurea", "Amazilia candida", "Amazilia cyanocephala", "Amazilia franciae", "Amazilia leucogaster", "Amazilia versicolor rondoniae", "Amazilia versicolor", "Amazilia viridifrons", "Amazilia amazilia alticola", "Amazilia amazilia", "Amazilia rutila", "Grevillea rosmarinifolia", "Banksia blechnifolia", "Banksia integrifolia", "Banksia serrata", "Acacia abrupta", "Acacia acanthaster", "Acacia acanthoclada", "Acacia acellerata", "Acacia acinacea", "Acacia aciphylla", "Acacia acoma", "Acacia acradenia", "Acacia acrionastes", "Acacia acuaria", "Acacia aculeatissima", "Acacia acuminata", "Acacia acutata", "Acacia adinophylla", "Acacia adnata", "Acacia adoxa", "Acacia adsurgens", "Acacia adunca", "Acacia aemula", "Acacia aestivalis", "Acacia alata", "Acacia alcockii", "Acacia alexandri", "Acacia alleniana", "Acacia alpina", "Acacia amanda", "Acacia amblygona", "Acacia amblyophylla", "Acacia amentifera", "Acacia ammobia", "Acacia ammophila", "Acacia amoena", "Acacia ampliata", "Acacia ampliceps", "Acacia amputata", "Acacia amyctica", "Acacia anarthros", "Acacia anasilla", "Acacia anastema", "Acacia anaticeps", "Acacia anceps", "Acacia ancistrocarpa", "Acacia ancistrophylla", "Acacia andrewsii", "Acacia aneura", "Acacia anfractuosa", "Acacia angusta", "Acacia anomala", "Acacia anthochaera", "Acacia aphanoclada", "Acacia aphylla", "Acacia applanata", "Acacia aprepta", "Acacia aprica", "Acacia arafurica", "Acacia araneosa", "Acacia arbiana", "Acacia arcuatilis", "Acacia areolata", "Acacia argutifolia", "Eucalyptus ligulata", "Acacia argyraea", "Eucalyptus globulus", "Acacia argyrodendron", "Eucalyptus leucoxylon", "Acacia argyrophylla", "Acacia argyrotricha", "Acacia arida", "Acacia aristulata", "Acacia armillata", "Acacia armitii", "Acacia arrecta", "Acacia ascendens", "Acacia asepala", "Acacia ashbyae", "Acacia asparagoides", "Acacia aspera", "Acacia asperulacea", "Acacia assimilis", "Acacia ataxiphylla", "Acacia atkinsiana", "Acacia atopa", "Acacia atrox", "Acacia attenuata", "Acacia aulacocarpa", "Acacia aulacophylla", "Acacia auratiflora", "Acacia aureocrinita", "Acacia auricoma", "Acacia auriculiformis", "Acacia auripila", "Acacia auronitens", "Acacia ausfeldii", "Acacia awestoniana", "Acacia axillaris", "Acacia ayersiana", "Acacia baeuerlenii", "Acacia baileyana", "Acacia bakeri", "Acacia balsamea", "Tara vesicaria", "Acacia barakulensis", "Acacia barattensis", "Acacia barbinervis", "Acacia barringtonensis", "Acacia basedowii", "Acacia baueri", "Acacia baxteri", "Acacia beadleana", "Acacia beauverdiana", "Acacia beckleri", "Acacia benthamii", "Acacia betchei", "Acacia bidentata", "Acacia biflora", "Acacia binata", "Acacia binervata", "Acacia binervia", "Acacia bivenosa", "Acacia blakei", "Acacia blakelyi", "Acacia blaxellii", "Acacia blayana", "Acacia boormanii", "Acacia crassicarpa", "Acacia crassistipula", "Streptopelia decipiens", "Acacia crassiuscula", "Acacia crassuloides", "Acacia cremiflora", "Streptopelia orientalis", "Acacia crenulata", "Acacia cretacea", "Streptopelia semitorquata", "Acacia cretata", "Acacia crispula", "Streptopelia capicola", "Acacia crombiei", "Streptopelia turtur", "Acacia cultriformis", "Streptopelia vinacea", "Acacia cummingiana", "Acacia cuneifolia", "Acacia cupularis", "Geopelia cuneata", "Acacia curranii", "Acacia curvata", "Acacia curvinervia", "Acacia cuspidifolia", "Acacia cuthbertsonii", "Acacia cyclops", "Acacia cylindrica", "Acacia cyperophylla", "Acacia dacrydioides", "Acacia dallachiana", "Acacia dangarensis", "Acacia daviesii", "Acacia daviesioides", "Acacia daweana", "Acacia dawsonii", "Acacia deanei", "Acacia debilis", "Acacia declinata", "Acacia decora", "Acacia decurrens", "Acacia deficiens", "Acacia deflexa", "Acacia delibrata", "Acacia delicatula", "Acacia delphina", "Acacia deltoidea", "Acacia demissa", "Acacia dempsteri", "Acacia densiflora", "Acacia denticulosa", "Acacia dentifera", "Lampornis hemileucus", "Lampornis sybillae", "Lampornis viridipallens", "Coragyps atratus", "Branchiostoma lanceolatum", "Kraussella amabile", "Eucalyptus caesia", "Leucippus baeri", "Amazilia chionogaster", "Leucippus chlorocercus", "Leucippus fallax", "Taphrospilus hypostictus", "Leucippus taczanowskii", "Amazilia viridicauda", "Pica pica", "Chauna torquata", "Acacia ephedroides", "Acacia eremaea", "Acacia eremophila", "Acacia eremophiloides", "Acacia ericifolia", "Acacia ericksoniae", "Acacia erinacea", "Acacia erioclada", "Acacia eriopoda", "Acacia errabunda", "Acacia estrophiolata", "Acacia euthycarpa", "Acacia euthyphylla", "Acacia evenulosa", "Acacia everistii", "Acacia excelsa", "Nyctanassa violacea", "Acacia excentrica", "Acacia exilis", "Acacia exocarpoides", "Acacia extensa", "Acacia fagonioides", "Acacia falcata", "Acacia falciformis", "Acacia farinosa", "Acacia fasciculifera", "Acacia faucium", "Acacia fauntleroyi", "Ardeola bacchus", "Acacia ferocior", "Ardeola grayii", "Acacia filamentosa", "Ardeola ralloides", "Acacia filicifolia", "Acacia filifolia", "Acacia filipes", "Acacia fimbriata", "Acacia flabellifolia", "Acacia flagelliformis", "Acacia flavescens", "Acacia flavipila", "Acacia fleckeri", "Acacia flexifolia", "Acacia flocktoniae", "Acacia floribunda", "Acacia floydii", "Acacia fodinalis", "Acacia formidabilis", "Acacia forrestiana", "Acacia forsythii", "Acacia fragilis", "Acacia frigescens", "Acacia froggattii", "Acacia chalkeri", "Acacia chamaeleon", "Acacia chartacea", "Acacia cheelii", "Acacia chinchillensis", "Acacia chippendalei", "Acacia chisholmii", "Acacia chrysella", "Acacia chrysocephala", "Acacia chrysochaeta", "Acacia chrysopoda", "Acacia chrysotricha", "Acacia cincinnata", "Acacia citrinoviridis", "Acacia clandullensis", "Acacia clelandii", "Acacia clunies-rossiae", "Acacia clydonophora", "Acacia cochlearis", "Acacia cochlocarpa", "Acacia cognata", "Acacia colei", "Acacia colletioides", "Acacia comans", "Acacia complanata", "Acacia concolorans", "Acacia concurrens", "Acacia conferta", "Acacia confluens", "Acacia congesta", "Acacia conjunctifolia", "Acacia conniana", "Acacia consanguinea", "Acacia consobrina", "Paphiopedilum concolor", "Acacia conspersa", "Paphiopedilum hirsutissimum", "Paphiopedilum insigne", "Acacia constablei", "Paphiopedilum victoria-regina", "Acacia continua", "Pithecophaga jefferyi", "Acacia convallium", "Acacia coolgardiensis", "Acacia coriacea", "Acacia costata", "Acacia costiniana", "Acacia courtii", "Acacia covenyi", "Spilopelia senegalensis", "Acacia cowaniana", "Acacia cowleana", "Streptopelia decaocto", "Acacia cracentis", "Acacia craspedocarpa", "Acacia crassa", "Streptopelia roseogrisea", "Heliangelus clarisse", "Heliangelus exortis", "Heliangelus mavors", "Heliangelus micrastur", "Heliangelus strophianus", "Heliangelus viola", "Heliodoxa gularis", "Heliodoxa imperatrix", "Heliodoxa jacula", "Diastylis laevis", "Pariambus typicus", "Diastylis bradyi", "Diastylis rathkei", "Diastylis rugosa", "Aphelocoma ultramarina", "Bodotria scorpioides", "Passer domesticus", "Agonis flexuosa", "Acacia botrydion", "Acacia brachybotrya", "Acacia brachycarpa", "Acacia brachyclada", "Acacia brachyphylla", "Acacia brachypoda", "Acacia brachystachya", "Acacia brassii", "Acacia brockii", "Acacia browniana", "Acacia brownii", "Acacia brumalis", "Acacia brunioides", "Acacia bulgaensis", "Acacia burbidgeae", "Acacia burdekensis", "Acacia burkittii", "Acacia burrowii", "Acacia buxifolia", "Acacia bynoeana", "Solanum tuberosum", "Solanum lycopersicum", "Acacia caerulescens", "Acacia caesariata", "Acacia caesiella", "Acacia calamifolia", "Acacia calantha", "Acacia calcarata", "Acacia calcicola", "Acacia caleyi", "Acacia calyculata", "Acacia cambagei", "Acacia camptoclada", "Acacia campylophylla", "Acacia cana", "Acacia cangaiensis", "Acacia capillaris", "Acacia cardiophylla", "Acacia carens", "Acacia carneorum", "Acacia carnosula", "Acacia caroleae", "Acacia cassicula", "Acacia castanostegia", "Acacia cataractae", "Acacia catenulata", "Acacia cavealis", "Acacia cedroides", "Acacia celastrifolia", "Acacia celsa", "Acacia cerastes", "Falco peregrinus", "Urochroa bougueri", "Trochilus polytmus", "Macaca munzala", "Amborella trichopoda", "Banksia ericifolia", "Topaza pella", "Topaza pyra", "Tilmatura dupontii", "Acacia dealbata", "Achillea ageratum", "Achillea filipendulina", "Achillea millefolium", "Ephemera danica", "Taraxacum officinale", "Acacia depressa", "Acacia dermatophylla", "Acacia derwentiana", "Acacia desertorum", "Acacia desmondii", "Acacia deuteroneura", "Acacia diaphana", "Acacia diaphyllodinea", "Acacia dictyoneura", "Acacia dictyophleba", "Acacia didyma", "Acacia dielsii", "Acacia dietrichiana", "Acacia difficilis", "Acacia difformis", "Acacia dilatata", "Acacia dimidiata", "Acacia diminuta", "Acacia disparrima", "Acacia dissimilis", "Acacia dissona", "Acacia distans", "Acacia disticha", "Acacia divergens", "Acacia dodonaeifolia", "Acacia dolichophylla", "Acacia donaldsonii", "Nycticorax nycticorax", "Hoolock leuconedys", "Acacia doratoxylon", "Acacia dorothea", "Acacia dorsenna", "Acacia drepanocarpa", "Acacia drepanophylla", "Acacia drewiana", "Acacia drummondii", "Acacia dunnii", "Acacia dura", "Acacia durabilis", "Acacia duriuscula", "Acacia echinula", "Acacia echinuliflora", "Acacia effusa", "Acacia elachantha", "Acacia elata", "Acacia elongata", "Acacia empelioclada", "Acacia enervia", "Acacia ensifolia", "Acacia enterocarpa", "Acacia epacantha", "Acacia epedunculata", "Acacia fulva", "Acacia galeata", "Acacia galioides", "Acacia gardneri", "Acacia gelasina", "Acacia gemina", "Acacia genistifolia", "Acacia georgensis", "Acacia georginae", "Acacia gibbosa", "Acacia gilbertii", "Acacia gilesiana", "Acacia gillii", "Acacia gittinsii", "Acacia gladiiformis", "Acacia glandulicarpa", "Acacia glaucissima", "Acacia glaucocaesia", "Acacia glaucocarpa", "Acacia glaucoptera", "Acacia gloeotricha", "Acacia glutinosissima", "Acacia gnidium", "Acacia gonocarpa", "Acacia gonoclada", "Acacia gonophylla", "Acacia gordonii", "Acacia gracilenta", "Acacia gracilifolia", "Acacia gracillima", "Acacia grandifolia", "Acacia granitica", "Acacia graniticola", "Acacia grasbyi", "Acacia gregorii", "Acacia grisea", "Acacia guinetii", "Acacia gunnii", "Acacia guymeri", "Acacia hadrophylla", "Acacia hakeoides", "Acacia halliana", "Acacia hamersleyensis", "Acacia hamiltoniana", "Acacia hammondii", "Acacia handonis", "Acacia harpophylla", "Acacia harveyi", "Acacia hastulata", "Acacia havilandiorum", "Acacia helicophylla", "Acacia helmsiana", "Acacia hemignosta", "Acacia hemiteles", "Acacia hemsleyi", "Acacia hendersonii", "Acacia heterochroa", "Acacia heteroclita", "Acacia heteroneura", "Acacia heterophylla", "Acacia hexaneura", "Acacia hilliana", "Acacia hippuroides", "Acacia hispidula", "Acacia hockingsii", "Acacia holosericea", "Acacia holotricha", "Acacia homaloclada", "Acacia hopperiana", "Acacia horridula", "Acacia howittii", "Acacia hubbardiana", "Acacia huegelii", "Acacia humifusa", "Acacia hyaloneura", "Acacia hylonoma", "Acacia hypermeces", "Acacia hystrix", "Acacia idiomorpha", "Acacia imbricata", "Acacia imitans", "Acacia imparilis", "Acacia implexa", "Acacia improcera", "Acacia inaequilatera", "Acacia inaequiloba", "Acacia inamabilis", "Acacia incanicarpa", "Acacia inceana", "Acacia incongesta", "Acacia incrassata", "Acacia incurva", "Acacia infecunda", "Acacia ingramii", "Acacia ingrata", "Acacia inophloia", "Acacia inops", "Acacia insolita", "Acacia intorta", "Acacia intricata", "Acacia irrorata", "Acacia islana", "Acacia isoneura", "Acacia iteaphylla", "Acacia ixiophylla", "Acacia ixodes", "Acacia jackesiana", "Acacia jacksonioides", "Acacia jamesiana", "Acacia jasperensis", "Acacia jennerae", "Acacia jensenii", "Acacia jibberdingensis", "Acacia johannis", "Acacia johnsonii", "Acacia jonesii", "Acacia jucunda", "Acacia julifera", "Acacia juncifolia", "Acacia kalgoorliensis", "Acacia kelleri", "Acacia kempeana", "Acacia kenneallyi", "Acacia kerryana", "Acacia kettlewelliae", "Acacia kimberleyensis", "Acacia kingiana", "Acacia kochii", "Acacia oncinophylla", "Acacia ophiolithica", "Acacia oraria", "Acacia orbifolia", "Acacia orites", "Acacia orthocarpa", "Acacia orthotricha", "Acacia oshanesii", "Acacia oswaldii", "Acacia oxycedrus", "Acacia oxyclada", "Acacia pachyacra", "Acacia pachycarpa", "Acacia pachyphylla", "Acacia pachypoda", "Acacia palustris", "Acacia papulosa", "Acacia papyrocarpa", "Acacia paradoxa", "Acacia paraneura", "Acacia parramattensis", "Acacia parvipinnula", "Acacia pataczekii", "Acacia patagiata", "Acacia paula", "Acacia pedina", "Acacia pedleyi", "Acacia pellita", "Acacia pelophila", "Acacia pendula", "Acacia penninervis", "Acacia pentadenia", "Acacia peregrinalis", "Acacia perryi", "Acacia petraea", "Acacia peuce", "Acacia phaeocalyx", "Acacia pharangites", "Acacia phasmoides", "Acacia phlebocarpa", "Acacia phlebopetala", "Acacia phlebophylla", "Acacia pickardii", "Acacia piligera", "Acacia pilligaensis", "Acacia pinguiculosa", "Acacia pinguifolia", "Acacia platycarpa", "Acacia plautella", "Acacia plectocarpa", "Acacia plicata", "Acacia podalyriifolia", "Acacia polifolia", "Acacia poliochroa", "Acacia polyadenia", "Acacia polybotrya", "Acacia polystachya", "Acacia porcata", "Acacia praelongata", "Acacia linifolia", "Acacia lirellata", "Acacia littorea", "Acacia lobulata", "Acacia loderi", "Acacia longifolia", "Acacia longipedunculata", "Allotropa virgata", "Egretta thula", "Acacia longiphyllodinea", "Acacia longispicata", "Egretta ardesiaca", "Acacia longispinea", "Egretta sacra", "Acacia longissima", "Acacia loroloba", "Egretta caerulea", "Acacia loxophylla", "Egretta garzetta", "Acacia lucasii", "Acacia lullfitziorum", "Acacia lunata", "Acacia luteola", "Acacia lycopodiifolia", "Acacia lysiphloia", "Acacia mabellae", "Acacia macdonnelliensis", "Acacia mackeyana", "Acacia macnuttiana", "Acacia maconochieana", "Acacia macradenia", "Acacia maidenii", "Acacia maitlandii", "Egretta rufescens", "Acacia malloclada", "Acacia mangium", "Egretta tricolor", "Acacia manipularis", "Egretta novaehollandiae", "Egretta gularis", "Acacia maranoensis", "Acacia marramamba", "Acacia masliniana", "Acacia matthewii", "Acacia maxwellii", "Acacia mearnsii", "Acacia megacephala", "Acacia megalantha", "Acacia meiantha", "Acacia meiosperma", "Acacia meisneri", "Acacia melanoxylon", "Acacia melleodora", "Acacia rubricola", "Acacia rupicola", "Acacia ruppii", "Acacia ryaniana", "Acacia sabulosa", "Acacia saliciformis", "Acacia salicina", "Acacia saligna", "Acacia saxatilis", "Acacia saxicola", "Acacia scalena", "Acacia scalpelliformis", "Acacia schinoides", "Acacia sciophanes", "Acacia scirpifolia", "Acacia scleroclada", "Acacia sclerophylla", "Acacia sclerosperma", "Acacia seclusa", "Acacia sedifolia", "Acacia semicircinalis", "Acacia semilunata", "Acacia semirigida", "Acacia semitrullata", "Acacia sericata", "Acacia sericocarpa", "Acacia sericoflora", "Acacia sertiformis", "Acacia sessilis", "Acacia sessilispica", "Acacia setulifera", "Acacia shirleyi", "Acacia shuttleworthii", "Acacia sibilans", "Acacia sibina", "Acacia siculiformis", "Acacia signata", "Acacia silvestris", "Acacia simmonsiana", "Acacia simsii", "Acacia simulans", "Acacia singula", "Acacia smeringa", "Acacia solenota", "Acacia sorophylla", "Acacia spania", "Acacia sparsiflora", "Acacia spathulifolia", "Acacia speckii", "Acacia spectabilis", "Acacia sphacelata", "Acacia sphaerostachya", "Acacia sphenophylla", "Acacia spilleriana", "Acacia spinescens", "Acacia spinosissima", "Acacia spirorbis", "Acacia spondylophylla", "Acacia spongolitica", "Acacia spooneri", "Acacia sporadica", "Acacia squamata", "Acacia startii", "Acacia steedmanii", "Acacia stellaticeps", "Acacia stenophylla", "Acacia stenoptera", "Acacia stereophylla", "Acacia stigmatophylla", "Acacia stipuligera", "Acacia stipulosa", "Acacia storyi", "Acacia striatifolia", "Acacia stricta", "Acacia strongylophylla", "Acacia suaveolens", "Acacia subcaerulea", "Acacia subflexuosa", "Acacia sublanata", "Acacia subporosa", "Acacia subracemosa", "Acacia subrigida", "Acacia subsessilis", "Acacia subternata", "Acacia subtessarogona", "Acacia subtilinervis", "Acacia subulata", "Acacia sulcata", "Acacia symonii", "Acacia synchronicia", "Acacia tarculensis", "Acacia tayloriana", "Acacia telmica", "Acacia tenuinervis", "Acacia tenuior", "Acacia tenuispica", "Acacia tenuissima", "Acacia tephrina", "Acacia teretifolia", "Acacia terminalis", "Acacia tessellata", "Acacia tetanophylla", "Acacia tetragonocarpa", "Acacia tetragonophylla", "Acacia tetraneura", "Acacia tetraptera", "Acacia thomsonii", "Acacia tindaleae", "Acacia tingoorensis", "Setophaga tigrina", "Acacia tolmerensis", "Setophaga pinus", "Acacia toondulya", "Acacia torticarpa", "Acacia torulosa", "Acacia trachycarpa", "Acacia trachyphloia", "Acacia translucens", "Acacia kulnurensis", "Acacia kybeanensis", "Acacia kydrensis", "Acacia laccata", "Acacia lacertensis", "Acacia lachnophylla", "Acacia lamprocarpa", "Acacia lanceolata", "Acacia lanei", "Acacia lanigera", "Acacia lanuginophylla", "Acacia laricina", "Acacia lasiocalyx", "Acacia lasiocarpa", "Acacia lateriticola", "Acacia latescens", "Acacia latifolia", "Acacia latipes", "Acacia latisepala", "Acacia latzii", "Acacia lauta", "Acacia lazaridis", "Acacia legnota", "Acacia leichhardtii", "Acacia leiocalyx", "Acacia leioderma", "Acacia leiophylla", "Acacia lentiginea", "Thelesperma filifolium", "Acacia koa", "Acacia leprosa", "Acacia leptalea", "Acacia leptocarpa", "Acacia leptoclada", "Acacia leptoloba", "Acacia leptoneura", "Acacia leptopetala", "Acacia leptophleba", "Acacia leptospermoides", "Acacia leptostachya", "Acacia leucoclada", "Acacia leucolobia", "Acacia levata", "Acacia ligulata", "Kingia australis", "Acacia ligustrina", "Acacia limbata", "Acacia linarioides", "Acacia linearifolia", "Acacia lineata", "Acacia lineolata", "Acacia praemorsa", "Acacia praetermissa", "Acacia prainii", "Acacia pravifolia", "Acacia pravissima", "Acacia preissiana", "Acacia prismifolia", "Acacia pritzeliana", "Acacia producta", "Acacia profusa", "Acacia proiantha", "Acacia prominens", "Acacia proxima", "Acacia pruinocarpa", "Acacia pruinosa", "Acacia pterocaulon", "Acacia ptychoclada", "Acacia ptychophylla", "Acacia pubescens", "Acacia pubicosta", "Acacia pubifolia", "Acacia pubirhachis", "Acacia pulchella", "Acacia pulviniformis", "Acacia puncticulata", "Acacia purpureopetala", "Acacia pusilla", "Acacia pustula", "Acacia pycnantha", "Acacia pycnocephala", "Acacia pycnostachya", "Acacia pygmaea", "Acacia pyrifolia", "Acacia quadrilateralis", "Gallinula chloropus", "Fulica americana", "Fulica atra", "Fulica cristata", "Gallinula tenebrosa", "Anas acuta", "Spatula clypeata", "Arachis hypogaea", "Ardea herodias", "Ardea cinerea", "Ardea goliath", "Ardea purpurea", "Ardea melanocephala", "Rubus subg.", "Rubus subg.", "Rubus subg.", "Rubus subg.", "Rubus subg.", "Rubus subg.", "Rubus subg.", "Rubus subg.", "Rubus subg.", "Rubus subg.", "Rubus subg.", "Rubus subg.", "Rubus subg.", "Rubus sect.", "Rubus sect.", "Rubus sect.", "Rubus sect.", "Rubus sect.", "Rubus sect.", "Rubus sect.", "Rubus sect.", "Rubus sect.", "Rubus sect.", "Rubus sect.", "Rubus sect.", "Acacia tratmaniana", "Acacia trigonophylla", "Acacia trinalis", "Acacia trinervata", "Acacia trineura", "Acacia triptera", "Acacia triptycha", "Acacia triquetra", "Acacia tropica", "Acacia truculenta", "Acacia trulliformis", "Acacia truncata", "Acacia tuberculata", "Acacia tumida", "Acacia tysonii", "Acacia ulicifolia", "Acacia ulicina", "Acacia uliginosa", "Acacia umbellata", "Acacia uncifera", "Acacia uncinata", "Acacia uncinella", "Acacia undoolyana", "Acacia undosa", "Acacia undulifolia", "Acacia unguicula", "Acacia unifissilis", "Acacia urophylla", "Acacia validinervia", "Acacia varia", "Agonis baxteri", "Acacia vassalii", "Agonis theiformis", "Acacia venulosa", "Agonis grandiflora", "Laeliinae hybrids", "Acacia melvillei", "Acacia menzelii", "Acacia merinthophora", "Acacia merrallii", "Acacia merrickiae", "Acacia microbotrya", "Acacia microcalyx", "Acacia microcarpa", "Acacia microneura", "Acacia microsperma", "Acacia midgleyi", "Acacia mimica", "Acacia mimula", "Acacia minutifolia", "Acacia minyura", "Acacia mitchellii", "Acacia mitodes", "Acacia moirii", "Acacia mollifolia", "Acacia montana", "Acacia monticola", "Acacia mooreana", "Acacia mountfordiae", "Acacia mucronata", "Acacia muelleriana", "Acacia multisiliqua", "Acacia multispicata", "Acacia multistipulosa", "Acacia murrayana", "Acacia mutabilis", "Acacia myrtifolia", "Acacia nanodealbata", "Acacia nematophylla", "Acacia neriifolia", "Acacia nervosa", "Acacia nesophila", "Acacia neurocarpa", "Acacia neurophylla", "Acacia newbeyi", "Acacia nigricans", "Acacia nigripilosa", "Acacia nitidula", "Acacia nivea", "Acacia nodiflora", "Acacia notabilis", "Acacia nuperrima", "Acacia nyssophylla", "Acacia obesa", "Acacia obliquinervia", "Acacia obovata", "Acacia obtecta", "Acacia obtusata", "Acacia obtusifolia", "Acacia octonervia", "Acacia oldfieldii", "Acacia olgana", "Acacia oligoneura", "Acacia olsenii", "Acacia homalophylla", "Acacia ommatosperma", "Acacia oncinocarpa", "Acacia verniciflua", "Acacia veronica", "Acacia verricula", "Acacia verticillata", "Acacia vestita", "Acacia victoriae", "Acacia viscidula", "Acacia viscifolia", "Acacia vittata", "Acacia volubilis", "Acacia wanyu", "Acacia wardellii", "Acacia warramaba", "Acacia wattsiana", "Acacia websteri", "Acacia wetarensis", "Acacia whibleyana", "Acacia whitei", "Acacia wickhamii", "Acacia wilcoxii", "Acacia wilhelmiana", "Acacia willdenowiana", "Acacia williamsiana", "Acacia williamsonii", "Acacia wilsonii", "Acacia wiseana", "Setophaga striata", "Acacia x grayana", "Setophaga cerulea", "Acacia xanthina", "Setophaga dominica", "Acacia xanthocarpa", "Acacia xerophila", "Setophaga castanea", "Acacia xiphophylla", "Setophaga chrysoparia", "Acacia yirrkallensis", "Acacia yorkrakinensis", "Setophaga discolor", "Acacia zatrichota", "Setophaga fusca", "Setophaga kirtlandii", "Setophaga magnolia", "Setophaga nigrescens", "Setophaga palmarum", "Setophaga pensylvanica", "Setophaga townsendi", "Setophaga virens", "Setophaga petechia", "Ardea cocoi", "Sturnella neglecta", "Leistes militaris", "Sturnella magna", "Cardinalis cardinalis", "Cardinalis sinuatus", "Passer hispaniolensis", "Passer moabiticus", "Passer montanus", "Passer luteus", "Passer griseus", "Liocarcinus navigator", "Liocarcinus holsatus", "Liocarcinus marmoreus", "Liocarcinus depurator", "Melanerpes formicivorus", "Melanerpes carolinus", "Melanerpes erythrocephalus", "Melanerpes rubricapillus", "Melanerpes lewis", "Bentheuphausia amblyops", "Amphionides reynaudii", "Rhinoceros sondaicus", "Leucophaeus atricilla", "Mustela putorius furo", "Monotropa uniflora", "Grus grus", "Antigone canadensis", "Grus americana", "Antigone antigone", "Antigone rubicunda", "Leucogeranus leucogeranus", "Antigone vipio", "Grus monacha", "Grus nigricollis", "Grus japonensis", "Eucalyptus cambageana", "Eucalyptus cameronii", "Styracaster caroli", "Eucalyptus camfieldii", "Eucalyptus campaspe", "Eucalyptus camphora", "Eucalyptus canaliculata", "Porcellanaster ceruleus", "Eucalyptus canobolensis", "Eucalyptus capillosa", "Eucalyptus capitellata", "Eucalyptus captiosa", "Eucalyptus \u00d7 carnabyi", "Eucalyptus carnea", "Eucalyptus carnei", "Eucalyptus castrensis", "Eucalyptus celastroides", "Eucalyptus cephalocarpa", "Eucalyptus ceracea", "Eucalyptus cerasiformis", "Eucalyptus ceratocorys", "Eucalyptus cernua", "Eucalyptus chapmaniana", "Eucalyptus chartaboma", "Eucalyptus chloroclada", "Eucalyptus chlorophylla", "Eucalyptus cinerea", "Eucalyptus cladocalyx", "Eucalyptus clelandii", "Eucalyptus clivicola", "Eucalyptus cloeziana", "Luidia latiradiata", "Eucalyptus cneorifolia", "Eucalyptus coccifera", "Eucalyptus concinna", "Eucalyptus conferruminata", "Eucalyptus confluens", "Eucalyptus conglobata", "Eucalyptus conglomerata", "Eucalyptus conica", "Eucalyptus conjuncta", "Eucalyptus consideniana", "Eucalyptus conspicua", "Eucalyptus conveniens", "Eucalyptus coolabah", "Eucalyptus cooperiana", "Eucalyptus copulans", "Eucalyptus cordata", "Eucalyptus cornuta", "Eucalyptus coronata", "Eucalyptus corrugata", "Eucalyptus corticosa", "Oxyura jamaicensis", "Catantops sylvestris", "Rubus loganobaccus", "Acacia quadrimarginea", "Acacia quadrisulcata", "Acacia quinquenervia", "Acacia quornensis", "Acacia racospermoides", "Acacia ramiflora", "Acacia ramulosa", "Acacia recurvata", "Acacia redolens", "Acacia rendlei", "Acacia repanda", "Acacia repens", "Acacia resinicostata", "Acacia resinimarginea", "Acacia resinistipulea", "Acacia resinosa", "Acacia restiacea", "Acacia retinervis", "Acacia retinodes", "Acacia retivenea", "Acacia retrorsa", "Zonotrichia leucophrys", "Zonotrichia albicollis", "Setophaga coronata", "Setophaga caerulescens", "Acacia rhamphophylla", "Acacia rhetinocarpa", "Acacia rhigiophylla", "Acacia rhodophloia", "Acacia rhodoxylon", "Acacia riceana", "Acacia richardsii", "Acacia ridleyana", "Acacia rigens", "Acacia rigescens", "Acacia rigida", "Acacia rivalis", "Acacia robinae", "Acacia rossei", "Acacia rostellata", "Acacia rostellifera", "Acacia rothii", "Acacia roycei", "Acacia rubida", "Eucalyptus foliosa", "Eucalyptus formanii", "Eucalyptus forrestiana", "Eucalyptus fracta", "Eucalyptus fraseri", "Eucalyptus fraxinoides", "Eucalyptus froggattii", "Eucalyptus fruticosa", "Eucalyptus fulgens", "Eucalyptus fusiformis", "Eucalyptus gamophylla", "Eucalyptus gardneri", "Eucalyptus georgei", "Eucalyptus gigantangion", "Eucalyptus gillenii", "Eucalyptus gillii", "Eucalyptus gittinsii", "Eucalyptus glaucescens", "Eucalyptus glaucina", "Eucalyptus globoidea", "Eucalyptus glomericassis", "Eucalyptus glomerosa", "Eucalyptus gomphocephala", "Eucalyptus gongylocarpa", "Eucalyptus goniantha", "Eucalyptus goniocalyx", "Eucalyptus goniocarpa", "Eucalyptus gracilis", "Eucalyptus grandis", "Eucalyptus granitica", "Eucalyptus gregoriensis", "Eucalyptus gregsoniana", "Eucalyptus griffithsii", "Eucalyptus grisea", "Eucalyptus grossa", "Eucalyptus guilfoylei", "Eucalyptus gunnii", "Eucalyptus gypsophila", "Eucalyptus haemastoma", "Eucalyptus hallii", "Eucalyptus halophila", "Eucalyptus hawkeri", "Eucalyptus hebetifolia", "Eucalyptus helidonica", "Eucalyptus herbertiana", "Eucalyptus histophylla", "Eucalyptus horistes", "Eucalyptus houseana", "Eucalyptus howittiana", "Eucalyptus hypostomatica", "Eucalyptus ignorabilis", "Eucalyptus imitans", "Eucalyptus imlayensis", "Eucalyptus \u00d7 impensa", "Eucalyptus incerata", "Eucalyptus acies", "Eucalyptus acmenoides", "Eucalyptus acroleuca", "Eucalyptus aenea", "Eucalyptus aequioperta", "Eucalyptus agglomerata", "Eucalyptus aggregata", "Eucalyptus alba", "Eucalyptus albens", "Eucalyptus albida", "Eucalyptus albopurpurea", "Eucalyptus alligatrix", "Eucalyptus ammophila", "Eucalyptus amplifolia", "Eucalyptus amygdalina", "Eucalyptus ancophila", "Eucalyptus andrewsii", "Eucalyptus angophoroides", "Eucalyptus angularis", "Eucalyptus angulosa", "Eucalyptus angustissima", "Eucalyptus annulata", "Eucalyptus apiculata", "Eucalyptus apodophylla", "Eucalyptus apothalassica", "Eucalyptus approximans", "Eucalyptus aquatica", "Eucalyptus aquilina", "Eucalyptus arachnaea", "Eucalyptus arborella", "Eucalyptus archeri", "Eucalyptus arenacea", "Eucalyptus argillacea", "Eucalyptus argophloia", "Eucalyptus argutifolia", "Eucalyptus aromaphloia", "Eucalyptus articulata", "Eucalyptus aspersa", "Eucalyptus aspratilis", "Eucalyptus astringens", "Eucalyptus atrata", "Eucalyptus badjensis", "Eucalyptus baeuerlenii", "Eucalyptus baileyana", "Eucalyptus bakeri", "Eucalyptus balladoniensis", "Eucalyptus bancroftii", "Fulica alai", "Eucalyptus banksii", "Eucalyptus barberi", "Eucalyptus langleyi", "Eucalyptus lansdowneana", "Ophiura ophiura", "Eucalyptus largeana", "Eucalyptus largiflorens", "Ophiura albida", "Eucalyptus latens", "Eucalyptus lateritica", "Eucalyptus latisinensis", "Eucalyptus lehmannii", "Eucalyptus leprophloia", "Eucalyptus leptocalyx", "Eucalyptus leptophleba", "Eucalyptus leptophylla", "Eucalyptus leptopoda", "Eucalyptus lesouefii", "Eucalyptus leucophloia", "Eucalyptus leucophylla", "Eucalyptus ligustrina", "Eucalyptus limitaris", "Eucalyptus lirata", "Eucalyptus litoralis", "Eucalyptus litorea", "Eucalyptus livida", "Eucalyptus lockyeri", "Eucalyptus longicornis", "Eucalyptus longifolia", "Eucalyptus longirostrata", "Eucalyptus loxophleba", "Eucalyptus lucasii", "Eucalyptus lucens", "Coturnicops exquisitus", "Coturnicops notatus", "Coturnicops noveboracensis", "Eucalyptus luculenta", "Eucalyptus luehmanniana", "Eucalyptus luteola", "Eucalyptus macarthurii", "Eucalyptus mackintii", "Crex crex", "Eucalyptus macrandra", "Eucalyptus macrocarpa", "Eucalyptus macrorhyncha", "Eucalyptus magnificata", "Eucalyptus major", "Porphyrio albus", "Eucalyptus malacoxylon", "Porphyrio alleni", "Porphyrio flavirostris", "Eucalyptus mannensis", "Porphyrio hochstetteri", "Porphyrio madagascariensis", "Eucalyptus mannifera", "Eucalyptus marginata", "Porphyrio mantelli", "Eucalyptus mckieana", "Eucalyptus medialis", "Eucalyptus discreta", "Eucalyptus dissimulata", "Eucalyptus distans", "Eucalyptus diversicolor", "Eucalyptus diversifolia", "Eucalyptus dives", "Eucalyptus dolichocera", "Eucalyptus dolichorhyncha", "Eucalyptus dolorosa", "Eucalyptus doratoxylon", "Eucalyptus dorrigoensis", "Eucalyptus drummondii", "Eucalyptus dumosa", "Eucalyptus dundasii", "Eucalyptus dunnii", "Eucalyptus dura", "Eucalyptus dwyeri", "Eucalyptus ebbanoensis", "Eucalyptus educta", "Eucalyptus effusa", "Eucalyptus elaeophloia", "Eucalyptus elata", "Eucalyptus elliptica", "Eucalyptus erectifolia", "Eucalyptus eremicola", "Eucalyptus eremophila", "Eucalyptus erythrocorys", "Eucalyptus erythronema", "Eucalyptus eudesmioides", "Eucalyptus eugenioides", "Eucalyptus ewartiana", "Eucalyptus exigua", "Eucalyptus exilipes", "Eucalyptus exilis", "Eucalyptus exserta", "Eucalyptus extensa", "Eucalyptus extrica", "Eucalyptus falcata", "Eucalyptus famelica", "Eucalyptus fasciculosa", "Eucalyptus fastigata", "Eucalyptus fergusonii", "Eucalyptus fibrosa", "Eucalyptus filiformis", "Eucalyptus fitzgeraldii", "Eucalyptus flavida", "Eucalyptus flindersii", "Eucalyptus flocktoniae", "Eucalyptus foecunda", "Eucalyptus baudiniana", "Eucalyptus baueriana", "Eucalyptus baxteri", "Eucalyptus beaniana", "Eucalyptus beardiana", "Eucalyptus behriana", "Eucalyptus bensonii", "Eucalyptus benthamii", "Eucalyptus beyeri", "Eucalyptus bigalerita", "Eucalyptus biturbinata", "Eucalyptus blakelyi", "Eucalyptus blaxellii", "Eucalyptus blaxlandii", "Eucalyptus boliviana", "Eucalyptus bosistoana", "Eucalyptus botryoides", "Eucalyptus brachyandra", "Hyphalaster inermis", "Eucalyptus brachycalyx", "Eucalyptus brachycorys", "Lethmaster rhipidophorus", "Eucalyptus brachyphylla", "Eucalyptus brassiana", "Eucalyptus brevifolia", "Lysaster lorioli", "Eucalyptus brevipes", "Sidonaster vaneyi", "Eucalyptus brevistylis", "Eucalyptus bridgesiana", "Eucalyptus brockwayi", "Eucalyptus brookeriana", "Styracaster armatus", "Styracaster chuni", "Styracaster elongatus", "Eucalyptus broviniensis", "Styracaster horridus", "Eucalyptus brownii", "Eucalyptus buprestium", "Eucalyptus burdettiana", "Thoracaster cylindratus", "Eucalyptus burgessiana", "Eucalyptus burracoppinensis", "Eucalyptus cadens", "Eucalyptus calcareana", "Eucalyptus calcicola", "Eucalyptus caleyi", "Eucalyptus caliginosa", "Eucalyptus calycogona", "Eucalyptus calyerup", "Eucalyptus camaldulensis", "Oncidiinae hybrids", "Aeridinae hybrids", "Abyssaster tara", "Caulaster eremicus", "Caulaster pedunculatus", "Damnaster tasmani", "Eucalyptus abdita", "Eucalyptus absita", "Eucalyptus acaciiformis", "Eucalyptus accedens", "Eucalyptus nutans", "Eucalyptus obconica", "Eucalyptus obesa", "Eucalyptus obliqua", "Eucalyptus obtusiflora", "Eucalyptus occidentalis", "Eucalyptus ochrophloia", "Eucalyptus odontocarpa", "Eucalyptus odorata", "Eucalyptus oldfieldii", "Eucalyptus oleosa", "Eucalyptus olida", "Eucalyptus oligantha", "Eucalyptus olivina", "Eucalyptus olsenii", "Eucalyptus ophitica", "Eucalyptus optima", "Eucalyptus oraria", "Eucalyptus orbifolia", "Eucalyptus ordiana", "Eucalyptus oreades", "Eucalyptus orgadophila", "Eucalyptus ornata", "Eucalyptus ovata", "Eucalyptus ovularis", "Eucalyptus oxymitra", "Eucalyptus pachycalyx", "Eucalyptus pachyloma", "Eucalyptus pachyphylla", "Eucalyptus paedoglauca", "Eucalyptus paliformis", "Eucalyptus paludicola", "Eucalyptus panda", "Eucalyptus paniculata", "Eucalyptus pantoleuca", "Eucalyptus paralimnetica", "Eucalyptus parramattensis", "Eucalyptus parvula", "Eucalyptus patellaris", "Eucalyptus patens", "Eucalyptus pauciflora", "Eucalyptus pellita", "Eucalyptus pendens", "Eucalyptus peninsularis", "Eucalyptus perangusta", "Eucalyptus percostata", "Eucalyptus perriniana", "Eucalyptus persistens", "Eucalyptus petiolaris", "Eucalyptus petraea", "Eucalyptus petrensis", "Eucalyptus phaenophylla", "Eucalyptus phenax", "Ophiocanops fugiens", "Eucalyptus phoenicea", "Eucalyptus mediocris", "Porphyrio poliocephalus", "Eucalyptus megacarpa", "Eucalyptus megacornuta", "Eucalyptus melanoleuca", "Porphyrio martinica", "Porphyrio pulverulentus", "Eucalyptus melanophitra", "Eucalyptus melanophloia", "Eucalyptus melanoxylon", "Eucalyptus melliodora", "Eucalyptus mensalis", "Eucalyptus merrickiae", "Eucalyptus michaeliana", "Eucalyptus micranthera", "Eucalyptus microcarpa", "Eucalyptus microcorys", "Eucalyptus microneura", "Eucalyptus microschema", "Eucalyptus microtheca", "Eucalyptus mimica", "Eucalyptus miniata", "Eucalyptus misella", "Mustelirallus albicollis", "Zapornia astrictocarpus", "Zapornia atra", "Eucalyptus mitchelliana", "Porzana carolina", "Poliolimnas cinereus", "Eucalyptus moluccana", "Porzana flaviventer", "Porzana fluminea", "Zapornia fusca", "Zapornia monasa", "Eucalyptus moorei", "Eucalyptus morrisbyi", "Zapornia nigra", "Zapornia palmeri", "Eucalyptus morrisii", "Eucalyptus muelleriana", "Zapornia parva", "Eucalyptus multicaulis", "Eucalyptus myriadena", "Eucalyptus nandewarica", "Eucalyptus neglecta", "Eucalyptus neutra", "Eucalyptus newbeyi", "Eucalyptus nicholii", "Eucalyptus nigrifunda", "Eucalyptus nitens", "Eucalyptus nitida", "Eucalyptus nobilis", "Eucalyptus normantonensis", "Eucalyptus nortonii", "Eucalyptus notabilis", "Eucalyptus nova-anglica", "Trachythyone elongata", "Grus carunculata", "Grus virgo", "Grus paradisea", "Eucalyptus cuprea", "Eucalyptus cupularis", "Eucalyptus curtisii", "Balearica regulorum", "Balearica pavonina", "Eucalyptus cyanoclada", "Eucalyptus cyanophylla", "Eucalyptus cyclostoma", "Eucalyptus cylindriflora", "Eucalyptus cylindrocarpa", "Eucalyptus cypellocarpa", "Eucalyptus dalrympleana", "Eucalyptus dawsonii", "Eucalyptus dealbata", "Eucalyptus deanei", "Eucalyptus decipiens", "Eucalyptus decolor", "Eucalyptus decorticans", "Eucalyptus decurva", "Eucalyptus deflexa", "Eucalyptus deglupta", "Eucalyptus delegatensis", "Eucalyptus delicata", "Laterallus rogersi", "Eucalyptus dendromorpha", "Eucalyptus densa", "Eucalyptus denticulata", "Eucalyptus depauperata", "Eucalyptus desmondensis", "Eucalyptus deuaensis", "Eucalyptus dielsii", "Eucalyptus diminuta", "Eucalyptus diptera", "Eucalyptus quadrangulata", "Eucalyptus quadrans", "Eucalyptus quadricostata", "Eucalyptus quaerenda", "Eucalyptus quinniorum", "Eucalyptus racemosa", "Eucalyptus radiata", "Eucalyptus rameliana", "Eucalyptus raveretiana", "Eucalyptus ravida", "Eucalyptus recta", "Eucalyptus recurva", "Eucalyptus redimiculifera", "Eucalyptus reducta", "Eucalyptus redunca", "Eucalyptus regnans", "Eucalyptus relicta", "Eucalyptus remota", "Eucalyptus repullulans", "Eucalyptus resinifera", "Eucalyptus retinens", "Zapornia paykullii", "Eucalyptus rhodantha", "Eucalyptus rhombica", "Eucalyptus rigens", "Porzana porzana", "Eucalyptus rigidula", "Eucalyptus risdonii", "Eucalyptus robusta", "Zapornia pusilla", "Eucalyptus rodwayi", "Eucalyptus rosacea", "Eucalyptus roycei", "Zapornia sandwichensis", "Eucalyptus rubida", "Laterallus spiloptera", "Zapornia tabuensis", "Eucalyptus incrassata", "Eucalyptus indurata", "Eucalyptus infera", "Eucalyptus insularis", "Eucalyptus interstans", "Eucalyptus intertexta", "Eucalyptus jacksonii", "Eucalyptus jensenii", "Eucalyptus jimberlanica", "Eucalyptus johnsoniana", "Eucalyptus johnstonii", "Eucalyptus jucunda", "Eucalyptus jutsonii", "Eucalyptus kabiana", "Eucalyptus kartzoffiana", "Eucalyptus kenneallyi", "Eucalyptus kessellii", "Eucalyptus kingsmillii", "Eucalyptus kitsoniana", "Eucalyptus kochii", "Eucalyptus kondininensis", "Eucalyptus koolpinensis", "Eucalyptus kruseana", "Eucalyptus kumarlensis", "Eucalyptus kybeanensis", "Eucalyptus lacrimans", "Eucalyptus laeliae", "Eucalyptus laevis", "Eucalyptus laevopinea", "Eucalyptus lane-poolei", "Tyrannus albogularis", "Tyrannus caudifasciatus", "Tyrannus couchii", "Tyrannus crassirostris", "Tyrannus cubensis", "Tyrannus dominicensis", "Tyrannus forficatus", "Archoplites interruptus", "Tyrannus melancholicus", "Tyrannus niveigularis", "Tyrannus savana", "Tyrannus tyrannus", "Tyrannus verticalis", "Tyrannus vociferans", "Adenanthos acanthophyllus", "Adenanthos apiculatus", "Adenanthos argyreus", "Adenanthos barbiger", "Adenanthos cacomorphus", "Adenanthos cuneatus", "Adenanthos cygnorum", "Adenanthos detmoldii", "Adenanthos dobagii", "Adenanthos dobsonii", "Adenanthos drummondii", "Adenanthos ellipticus", "Adenanthos eyrei", "Adenanthos filifolius", "Adenanthos flavidiflorus", "Adenanthos forrestii", "Adenanthos glabrescens", "Adenanthos gracilipes", "Adenanthos ileticos", "Adenanthos labillardierei", "Adenanthos linearis", "Adenanthos macropodianus", "Adenanthos meisneri", "Adenanthos obovatus", "Adenanthos oreophilus", "Adenanthos pungens", "Adenanthos sericeus", "Adenanthos terminalis", "Adenanthos velutinus", "Adenanthos venosus", "Adenanthos x cunninghamii", "Asterias rubens", "Eucalyptus pilbarensis", "Eucalyptus pileata", "Eucalyptus pilligaensis", "Eucalyptus pilularis", "Eucalyptus pimpiniana", "Eucalyptus piperita", "Eucalyptus placita", "Eucalyptus planchoniana", "Eucalyptus planipes", "Eucalyptus platycorys", "Eucalyptus platyphylla", "Eucalyptus platypus", "Eucalyptus plenissima", "Eucalyptus pleurocarpa", "Eucalyptus pleurocorys", "Eucalyptus pluricaulis", "Eucalyptus polita", "Eucalyptus polyanthemos", "Eucalyptus polybractea", "Eucalyptus populnea", "Eucalyptus porosa", "Eucalyptus portuensis", "Eucalyptus praetermissa", "Eucalyptus prava", "Eucalyptus preissiana", "Eucalyptus prolixa", "Eucalyptus prominens", "Eucalyptus propinqua", "Eucalyptus protensa", "Eucalyptus provecta", "Eucalyptus pruiniramis", "Eucalyptus pruinosa", "Eucalyptus psammitica", "Eucalyptus globulus subsp. pseudoglobulus", "Eucalyptus pterocarpa", "Eucalyptus pulchella", "Eucalyptus pulverulenta", "Eucalyptus pumila", "Eucalyptus punctata", "Eucalyptus pyrenea", "Eucalyptus pyriformis", "Eucalyptus pyrocarpa", "Eucalyptus corynodes", "Eucalyptus cosmophylla", "Eucalyptus costata", "Eucalyptus costuligera", "Eucalyptus crebra", "Eucalyptus crenulata", "Eucalyptus creta", "Eucalyptus cretata", "Eucalyptus crispata", "Eucalyptus croajingolensis", "Eucalyptus crucis", "Eucalyptus cullenii", "Eucalyptus cunninghamii", "Fulica ardesiaca", "Fulica armillata", "Fulica cornuta", "Fulica gigantea", "Fulica leucoptera", "Fulica newtoni", "Fulica rufifrons", "Echinocardium cordatum", "Aramides saracura", "Aramides wolfi", "Aramides ypecaha", "Aramidopsis plateni", "Mentocrex kioloides", "Canirallus oculeus", "Ceratotherium simum", "Crecopsis egregia", "Cyanolimnas cerverai", "Eucalyptus sparsa", "Eucalyptus sparsicoma", "Eucalyptus spathulata", "Eucalyptus sphaerocarpa", "Eucalyptus splendens", "Eucalyptus sporadica", "Eucalyptus spreta", "Eucalyptus squamosa", "Eucalyptus staeri", "Eucalyptus staigeriana", "Eucalyptus steedmanii", "Eucalyptus stellulata", "Eucalyptus stenostoma", "Eucalyptus stoatei", "Eucalyptus stowardii", "Eucalyptus striaticalyx", "Eucalyptus stricklandii", "Eucalyptus stricta", "Eucalyptus strzeleckii", "Eucalyptus sturgissiana", "Eucalyptus subangusta", "Eucalyptus subcrenulata", "Eucalyptus suberea", "Eucalyptus sublucida", "Eucalyptus subtilis", "Eucalyptus suffulgens", "Eucalyptus suggrandis", "Eucalyptus surgens", "Eucalyptus synandra", "Eucalyptus talyuberlup", "Eucalyptus tardecidens", "Eucalyptus taurina", "Eucalyptus tectifica", "Eucalyptus tenella", "Eucalyptus tenera", "Eucalyptus tenuipes", "Eucalyptus tenuiramis", "Eucalyptus tenuis", "Eucalyptus tephroclada", "Eucalyptus tephrodes", "Eucalyptus terebra", "Eucalyptus tereticornis", "Eucalyptus terrica", "Eucalyptus tetrapleura", "Eucalyptus tetraptera", "Eucalyptus tetrodonta", "Eucalyptus thamnoides", "Eucalyptus tholiformis", "Eucalyptus thozetiana", "Eucalyptus tindaliae", "Eucalyptus tintinnans", "Eucalyptus todtiana", "Eucalyptus torquata", "Eucalyptus tortilis", "Eucalyptus trachybasis", "Grevillea acanthifolia", "Megacrex inepta", "Micropygia schomburgkii", "Neocrex colombianus", "Grevillea acerata", "Neocrex erythrops", "Grevillea acrobotrya", "Grevillea acropogon", "Grevillea acuaria", "Grevillea adenotricha", "Grevillea agrifolia", "Grevillea albiflora", "Grevillea alpina", "Grevillea alpivaga", "Grevillea althoferorum", "Grevillea amplexans", "Grevillea anethifolia", "Grevillea aneura", "Grevillea angulata", "Grevillea angustiloba", "Grevillea annulifera", "Grevillea aquifolium", "Grevillea arenaria", "Grevillea argyrophylla", "Grevillea armigera", "Grevillea asparagoides", "Grevillea aspera", "Grevillea aspleniifolia", "Grevillea asteriscosa", "Grevillea aurea", "Grevillea australis", "Grevillea baileyana", "Hypotaenidia poeciloptera", "Hypotaenidia woodfordi", "Grevillea banyabba", "Grevillea barklyana", "Grevillea batrachioides", "Grevillea baueri", "Pardirallus maculatus", "Pardirallus nigricans", "Grevillea baxteri", "Pardirallus sanguinolentus", "Grevillea beadleana", "Grevillea beardiana", "Grevillea bedggoodiana", "Rougetius rougetii", "Grevillea benthamiana", "Grevillea biformis", "Grevillea bipinnatifida", "Grevillea biternata", "Grevillea brachystachya", "Eucalyptus rubiginosa", "Eucalyptus rudderi", "Eucalyptus rudis", "Eucalyptus rugosa", "Eucalyptus rummeryi", "Eucalyptus rupestris", "Eucalyptus salicola", "Eucalyptus saligna", "Eucalyptus salmonophloia", "Eucalyptus salubris", "Eucalyptus sargentii", "Eucalyptus saxatilis", "Eucalyptus scias", "Eucalyptus scoparia", "Eucalyptus scyphocalyx", "Eucalyptus seeana", "Eucalyptus selachiana", "Eucalyptus semota", "Eucalyptus sepulcralis", "Eucalyptus serraensis", "Eucalyptus sessilis", "Taxus baccata", "Eucalyptus sheathiana", "Eucalyptus shirleyi", "Eucalyptus sicilifolia", "Eucalyptus siderophloia", "Eucalyptus sideroxylon", "Eucalyptus sieberi", "Quercus ilex", "Eucalyptus similis", "Eucalyptus singularis", "Eucalyptus smithii", "Eucalyptus socialis", "Quercus robur", "Quercus petraea", "Salix alba", "Rallina canningi", "Rallina eurizonoides", "Rallina fasciata", "Rallicula forbesi", "Rallicula leucospila", "Rallicula mayri", "Rallicula rubra", "Eucalyptus transcontinentalis", "Eucalyptus tricarpa", "Eucalyptus triflora", "Eucalyptus trivalvis", "Eucalyptus tumida", "Eucalyptus ultima", "Eucalyptus umbra", "Eucalyptus umbrawarrensis", "Eucalyptus uncinata", "Eucalyptus urna", "Eucalyptus urnigera", "Eucalyptus utilis", "Eucalyptus uvida", "Eucalyptus valens", "Eucalyptus varia", "Eucalyptus vegrandis", "Eucalyptus vernicosa", "Eucalyptus verrucata", "Eucalyptus vesiculosa", "Eucalyptus vicina", "Eucalyptus victoriana", "Eucalyptus victrix", "Eucalyptus viminalis", "Eucalyptus virens", "Eucalyptus virginea", "Eucalyptus viridis", "Eucalyptus vokesensis", "Eucalyptus volcanica", "Eucalyptus walshii", "Eucalyptus wandoo", "Eucalyptus websteriana", "Eucalyptus whitei", "Eucalyptus wilcoxii", "Eucalyptus williamsiana", "Eucalyptus willisii", "Eucalyptus woodwardii", "Eucalyptus wubinensis", "Eucalyptus wyolensis", "Eucalyptus xanthoclada", "Eucalyptus xanthonema", "Eucalyptus xerothermica", "Eucalyptus yalatensis", "Eucalyptus yarraensis", "Eucalyptus yilgarnensis", "Eucalyptus youmanii", "Eucalyptus youngiana", "Eucalyptus yumbarrana", "Eucalyptus zopherophloia", "Adansonia gregorii", "Gymnocrex plumbeiventris", "Gymnocrex rosenbergii", "Gymnocrex talaudensis", "Habroptila wallacii", "Himantornis haematopus", "Lewinia mirifica", "Lewinia muelleri", "Lewinia pectoralis", "Grevillea acacioides", "Dryolimnas cuvieri", "Eulabeornis castaneoventris", "Gallicrex cinerea", "Gallirallus australis", "Gallirallus conditicius", "Hypotaenidia dieffenbachii", "Hypotaenidia insignis", "Cabalus lafresnayanus", "Cabalus modestus", "Hypotaenidia okinawae", "Hypotaenidia owstoni", "Hypotaenidia pacifica", "Hypotaenidia philippensis", "Hypotaenidia rovianae", "Gallirallus sharpei", "Gallirallus striatus", "Hypotaenidia sylvestris", "Hypotaenidia torquata", "Hypotaenidia wakensis", "Grevillea insignis", "Grevillea integrifolia", "Grevillea intricata", "Grevillea involucrata", "Grevillea irrasa", "Grevillea jephcottii", "Grevillea johnsonii", "Grevillea juncifolia", "Grevillea juniperina", "Grevillea kedumbensis", "Grevillea kenneallyi", "Grevillea kennedyana", "Grevillea kirkalocka", "Grevillea lanigera", "Grevillea latifolia", "Grevillea laurifolia", "Grevillea lavandulacea", "Grevillea leiophylla", "Grevillea leptobotrys", "Grevillea leptopoda", "Grevillea leucoclada", "Grevillea leucopteris", "Grevillea levis", "Grevillea linearifolia", "Grevillea linsmithii", "Grevillea lissopleura", "Grevillea longicuspis", "Grevillea longifolia", "Grevillea longistyla", "Sarothrura ayresi", "Grevillea lullfitzii", "Sarothrura boehmi", "Grevillea maccutcheonii", "Grevillea macleayana", "Grevillea maherae", "Grevillea makinsonii", "Grevillea manglesii", "Grevillea manglesioides", "Grevillea marriottii", "Sarothrura elegans", "Grevillea masonii", "Sarothrura insularis", "Sarothrura lugens", "Sarothrura pulchra", "Sarothrura rufa", "Sarothrura watersi", "Grevillea maxwellii", "Grevillea metamorpha", "Grevillea micrantha", "Grevillea microstegia", "Grevillea microstyla", "Grevillea mimosoides", "Grevillea minutiflora", "Grevillea miqueliana", "Grevillea mollis", "Grevillea molyneuxii", "Grevillea monslacana", "Grevillea montana", "Grevillea monticola", "Grevillea montis-cole", "Grevillea mucronulata", "Grevillea muelleri", "Grevillea murex", "Grevillea muricata", "Grevillea myosodes", "Grevillea nana", "Grevillea nematophylla", "Grevillea neurophylla", "Grevillea newbeyi", "Grevillea nudiflora", "Grevillea obliquistigma", "Grevillea obtecta", "Grevillea obtusiflora", "Grevillea obtusifolia", "Grevillea occidentalis", "Grevillea oldei", "Grevillea oleoides", "Grevillea oligantha", "Grevillea oligomera", "Grevillea olivacea", "Grevillea oncogyne", "Grevillea oxyantha", "Grevillea pachylostyla", "Grevillea paniculata", "Grevillea papillosa", "Grevillea paradoxa", "Grevillea parallela", "Grevillea parallelinervis", "Grevillea parviflora", "Grevillea parvula", "Grevillea patentiloba", "Grevillea patulifolia", "Grevillea pauciflora", "Grevillea pectinata", "Grevillea petrophiloides", "Grevillea phanerophlebia", "Grevillea phillipsiana", "Grevillea phylicoides", "Grevillea pilosa", "Grevillea pilulifera", "Grevillea pinaster", "Grevillea pinifolia", "Grevillea pityophylla", "Grevillea pluricaulis", "Grevillea plurijuga", "Grevillea polyacida", "Grevillea polybotrya", "Grevillea polybractea", "Grevillea prasina", "Rallina tricolor", "Aenigmatolimnas marginalis", "Amaurolimnas concolor", "Zapornia akool", "Zapornia bicolor", "Zapornia flavirostra", "Amaurornis isabellina", "Amaurornis magnirostris", "Amaurornis olivaceus", "Zapornia olivieri", "Amaurornis moluccanus", "Amaurornis phoenicurus", "Rufirallus castaneiceps", "Rufirallus viridis", "Rallus aquaticus", "Rallus elegans", "Rallus limicola", "Rallus longirostris", "Rallus antarcticus", "Rallus caerulescens", "Rallus madagascariensis", "Rallus semiplumbeus", "Rallus wetmorei", "Laterallus jamaicensis", "Laterallus spilonotus", "Laterallus albigularis", "Laterallus exilis", "Laterallus leucopyrrhus", "Laterallus levraudi", "Laterallus melanophaius", "Laterallus ruber", "Laterallus xenopterus", "Aramides axillaris", "Aramides cajaneus", "Aramides calopterus", "Aramides mangle", "Grevillea brachystylis", "Sarothrura affinis", "Grevillea bracteosa", "Grevillea brevifolia", "Grevillea brevis", "Grevillea bronwenae", "Grevillea buxifolia", "Grevillea byrnesii", "Grevillea cagiana", "Grevillea calcicola", "Grevillea caleyi", "Grevillea calliantha", "Grevillea candelabroides", "Grevillea candicans", "Grevillea candolleana", "Grevillea capitellata", "Grevillea celata", "Grevillea centristigma", "Grevillea ceratocarpa", "Grevillea cheilocarpa", "Grevillea christineae", "Grevillea chrysophaea", "Grevillea cirsiifolia", "Grevillea coccinea", "Grevillea commutata", "Grevillea concinna", "Grevillea confertifolia", "Grevillea coriacea", "Grevillea corrugata", "Grevillea costata", "Grevillea crassifolia", "Grevillea cravenii", "Grevillea crithmifolia", "Grevillea crowleyae", "Grevillea cunninghamii", "Grevillea curviloba", "Grevillea cyranostigma", "Grevillea decipiens", "Grevillea decora", "Grevillea decurrens", "Grevillea deflexa", "Grevillea delta", "Grevillea depauperata", "Grevillea didymobotrya", "Grevillea dielsiana", "Grevillea diffusa", "Grevillea dilatata", "Grevillea dimidiata", "Grevillea diminuta", "Grevillea dimorpha", "Grevillea disjuncta", "Grevillea dissecta", "Grevillea divaricata", "Grevillea diversifolia", "Grevillea dolichopoda", "Grevillea donaldiana", "Grevillea drummondii", "Grevillea dryandri", "Grevillea dryandroides", "Grevillea dryophylla", "Cinnamomum camphora", "Grevillea dunlopii", "Grevillea elongata", "Grevillea endlicheriana", "Grevillea epicroca", "Grevillea erectiloba", "Grevillea erinacea", "Grevillea eriobotrya", "Grevillea eriostachya", "Grevillea eryngioides", "Grevillea evanescens", "Grevillea evansiana", "Grevillea excelsior", "Grevillea exposita", "Grevillea extorris", "Grevillea fasciculata", "Grevillea fastigiata", "Grevillea fililoba", "Grevillea fistulosa", "Grevillea flexuosa", "Grevillea floribunda", "Grevillea florida", "Grevillea floripendula", "Grevillea formosa", "Grevillea fulgens", "Grevillea fuscolutea", "Grevillea gariwerdensis", "Grevillea georgeana", "Grevillea glabrescens", "Grevillea glauca", "Grevillea globosa", "Grevillea glossadenia", "Grevillea goodii", "Grevillea gordoniana", "Grevillea granulifera", "Grevillea granulosa", "Grevillea guthrieana", "Grevillea hakeoides", "Grevillea halmaturina", "Grevillea haplantha", "Grevillea heliosperma", "Grevillea helmsiae", "Grevillea hilliana", "Grevillea hirtella", "Grevillea hockingsii", "Grevillea hodgei", "Grevillea hookeriana", "Grevillea huegelii", "Grevillea humifusa", "Grevillea humilis", "Grevillea iaspicula", "Grevillea ilicifolia", "Grevillea imberbis", "Grevillea inconspicua", "Grevillea incrassata", "Adenophora remotiflora", "Grevillea incurva", "Grevillea infecunda", "Grevillea infundibularis", "Grevillea preissii", "Grevillea prominens", "Grevillea prostrata", "Grevillea psilantha", "Grevillea pteridifolia", "Grevillea pterosperma", "Grevillea pulchella", "Grevillea punctata", "Grevillea pungens", "Grevillea pyramidalis", "Grevillea pythara", "Grevillea quadricauda", "Grevillea quercifolia", "Grevillea quinquenervis", "Grevillea ramosissima", "Grevillea rara", "Grevillea raybrownii", "Aramus guarauna", "Grevillea refracta", "Grevillea renwickiana", "Grevillea repens", "Grevillea reptans", "Grevillea rhizomatosa", "Grevillea rhyolitica", "Grevillea rigida", "Grevillea ripicola", "Grevillea rivularis", "Grevillea robusta", "Grevillea rogersoniana", "Grevillea rosieri", "Grevillea roycei", "Grevillea rubicunda", "Grevillea rudis", "Grevillea saccata", "Grevillea sarissa", "Grevillea scabra", "Grevillea scabrida", "Grevillea scapigera", "Grevillea scortechinii", "Grevillea secunda", "Grevillea sericea", "Grevillea sessilis", "Grevillea shiressii", "Grevillea shuttleworthiana", "Grevillea singuliflora", "Grevillea sparsiflora", "Grevillea speciosa", "Grevillea sphacelata", "Grevillea spinosa", "Grevillea spinosissima", "Grevillea squiresiae", "Grevillea steiglitziana", "Grevillea stenobotrya", "Grevillea stenogyne", "Grevillea stenomera", "Grevillea stenostachya", "Grevillea striata", "Grevillea subterlineata", "Grevillea subtiliflora", "Grevillea sulcata", "Grevillea synapheae", "Grevillea tenuiflora", "Grevillea tenuiloba", "Grevillea teretifolia", "Grevillea tetragonoloba", "Grevillea tetrapleura", "Grevillea thelemanniana", "Grevillea thyrsoides", "Grevillea trachytheca", "Grevillea treueriana", "Grevillea trifida", "Grevillea triloba", "Grevillea tripartita", "Grevillea triternata", "Grevillea umbellulata", "Grevillea uncinulata", "Grevillea uniformis", "Grevillea variifolia", "Grevillea velutinella", "Grevillea venusta", "Grevillea versicolor", "Grevillea vestita", "Grevillea victoriae", "Grevillea virgata", "Grevillea viridiflava", "Grevillea whiteana", "Grevillea wickhamii", "Grevillea wilkinsonii", "Grevillea willisii", "Grevillea wilsonii", "Grevillea wiradjuri", "Grevillea wittweri", "Grevillea \u00d7 gaudichaudii", "Grevillea xiphoidea", "Grevillea yorkrakinensis", "Grevillea zygoloba", "Aenigmetopia fergusoni", "Psophia crepitans", "Psophia leucoptera", "Psophia viridis", "Allocasuarina acuaria", "Allocasuarina acutivalvis", "Allocasuarina brachystachya", "Allocasuarina campestris", "Allocasuarina corniculata", "Allocasuarina crassa", "Allocasuarina decaisneana", "Allocasuarina decussata", "Allocasuarina defungens", "Allocasuarina dielsiana", "Allocasuarina diminuta", "Allocasuarina distyla", "Allocasuarina drummondiana", "Allocasuarina thalassoscopica", "Allocasuarina thuyoides", "Allocasuarina tortiramula", "Allocasuarina torulosa", "Allocasuarina trichodon", "Otis tarda", "Allocasuarina verticillata", "Allocasuarina zephyrea", "Ardeotis kori", "Chlamydotis undulata", "Tetrax tetrax", "Eurypyga helias", "Melaleuca acacioides", "Melaleuca acerosa", "Melaleuca acuminata", "Melaleuca adenostyla", "Melaleuca adnata", "Melaleuca agathosmoides", "Melaleuca alsophila", "Melaleuca alternifolia", "Melaleuca amydra", "Melaleuca apodocephala", "Melaleuca apostiba", "Melaleuca araucarioides", "Melaleuca arcana", "Melaleuca armillaris", "Melaleuca aspalathoides", "Melaleuca atroviridis", "Melaleuca barlowii", "Melaleuca basicephala", "Melaleuca beardii", "Allocasuarina duncanii", "Allocasuarina emuina", "Allocasuarina eriochlamys", "Allocasuarina fibrosa", "Podica senegalensis", "Heliornis fulica", "Allocasuarina filidens", "Heliopais personata", "Allocasuarina fraseriana", "Allocasuarina glareicola", "Allocasuarina globosa", "Allocasuarina grampiana", "Rhynochetos jubatus", "Allocasuarina grevilleoides", "Allocasuarina gymnanthera", "Allocasuarina helmsii", "Allocasuarina huegeliana", "Allocasuarina humilis", "Allocasuarina inophloia", "Allocasuarina lehmanniana", "Cariama cristata", "Allocasuarina littoralis", "Chunga burmeisteri", "Allocasuarina luehmannii", "Allocasuarina mackliniana", "Allocasuarina media", "Allocasuarina microstachya", "Allocasuarina misera", "Allocasuarina monilifera", "Allocasuarina muelleriana", "Allocasuarina nana", "Allocasuarina ophiolitica", "Allocasuarina paludosa", "Allocasuarina paradoxa", "Allocasuarina pinaster", "Allocasuarina portuensis", "Allocasuarina pusilla", "Allocasuarina ramosissima", "Allocasuarina rigida", "Allocasuarina robusta", "Allocasuarina rupicola", "Allocasuarina scleroclada", "Allocasuarina simulans", "Allocasuarina spinosissima", "Allocasuarina striata", "Allocasuarina tessellata", "Ardeola speciosa", "Melaleuca clavifolia", "Melaleuca cliffortioides", "Melaleuca coccinea", "Melaleuca concinna", "Botaurus lentiginosus", "Botaurus pinnatus", "Botaurus poiciloptilus", "Melaleuca concreta", "Botaurus stellaris", "Melaleuca conothamnoides", "Bubulcus ibis", "Melaleuca cordata", "Butorides sundevalli", "Egretta eulophotes", "Melaleuca cornucopiae", "Egretta vinaceigula", "Melaleuca coronicarpa", "Melaleuca croxfordiae", "Melaleuca ctenoides", "Melaleuca cucullata", "Melaleuca cuticularis", "Melaleuca dealbata", "Melaleuca deanei", "Melaleuca decora", "Melaleuca decussata", "Melaleuca delta", "Melaleuca dempta", "Melaleuca densa", "Melaleuca densispicata", "Melaleuca depauperata", "Melaleuca depressa", "Melaleuca diosmatifolia", "Melaleuca diosmifolia", "Melaleuca dissitiflora", "Melaleuca eleuterostachya", "Melaleuca elliptica", "Melaleuca ericifolia", "Melaleuca eulobata", "Melaleuca eurystoma", "Melaleuca eximia", "Melaleuca exuvia", "Melaleuca fabri", "Melaleuca filifolia", "Melaleuca fissurata", "Melaleuca fluviatilis", "Melaleuca foliolosa", "Melaleuca fulgens", "Melaleuca gibbosa", "Melaleuca glaberrima", "Melaleuca glena", "Melaleuca globifera", "Melaleuca glomerata", "Melaleuca grieveana", "Melaleuca groveana", "Melaleuca halmaturorum", "Melaleuca halophila", "Melaleuca hamata", "Melaleuca biconvexa", "Melaleuca bisulcata", "Melaleuca blaeriifolia", "Melaleuca boeophylla", "Melaleuca borealis", "Afrotis afra", "Afrotis afraoides", "Ardeotis arabs", "Ardeotis australis", "Ardeotis nigriceps", "Chlamydotis macqueenii", "Eupodotis caerulescens", "Melaleuca bracteata", "Eupodotis humilis", "Melaleuca bracteosa", "Eupodotis rueppellii", "Eupodotis senegalensis", "Melaleuca brassii", "Eupodotis vigorsii", "Houbaropsis bengalensis", "Melaleuca brevifolia", "Lissotis hartlaubii", "Lissotis melanogaster", "Melaleuca bromelioides", "Melaleuca brophyi", "Lophotis gindiana", "Lophotis ruficrista", "Lophotis savilei", "Melaleuca caeca", "Neotis denhami", "Neotis heuglinii", "Neotis ludwigii", "Melaleuca cajuputi", "Neotis nuba", "Sypheotides indicus", "Melaleuca calothamnoides", "Melaleuca calycina", "Melaleuca calyptroides", "Melaleuca campanae", "Melaleuca camptoclada", "Melaleuca capitata", "Melaleuca cardiophylla", "Melaleuca carrii", "Melaleuca cheelii", "Melaleuca ciliosa", "Melaleuca citrina", "Ardea humbloti", "Ardea insignis", "Melaleuca citrolens", "Ardea pacifica", "Ardea picata", "Melaleuca clarksonii", "Ardea sumatrana", "Ardeola rufiventris", "Melaleuca lanceolata", "Melaleuca lara", "Melaleuca lasiandra", "Melaleuca lateralis", "Melaleuca lateriflora", "Melaleuca lateritia", "Melaleuca laxiflora", "Melaleuca lecanantha", "Melaleuca leiocarpa", "Melaleuca leiopyxis", "Melaleuca leptospermoides", "Melaleuca leucadendra", "Melaleuca leuropoma", "Melaleuca linariifolia", "Melaleuca linguiformis", "Avicennia eucalyptifolia", "Melaleuca linophylla", "Melaleuca longistaminea", "Melaleuca macronychia", "Melaleuca manglesii", "Melaleuca megacephala", "Melaleuca micromera", "Melaleuca microphylla", "Melaleuca minutifolia", "Melaleuca monatha", "Melaleuca nanophylla", "Melaleuca nematophylla", "Melaleuca nervosa", "Melaleuca nesophila", "Melaleuca nodosa", "Melaleuca oldfieldii", "Melaleuca orbicularis", "Melaleuca ordinifolia", "Melaleuca osullivanii", "Melaleuca oxyphylla", "Melaleuca pallescens", "Melaleuca papillosa", "Melaleuca parviceps", "Melaleuca parvistaminea", "Melaleuca pauciflora", "Melaleuca pauperiflora", "Melaleuca penicula", "Melaleuca pentagona", "Melaleuca phoidophylla", "Melaleuca platycalyx", "Melaleuca podiocarpa", "Melaleuca polycephala", "Melaleuca pomphostoma", "Melaleuca preissiana", "Melaleuca hamulosa", "Melaleuca haplantha", "Melaleuca hnatiukii", "Melaleuca hollidayi", "Melaleuca holosericea", "Melaleuca howeana", "Melaleuca huegelii", "Melaleuca huttensis", "Melaleuca hypericifolia", "Melaleuca idana", "Melaleuca incana", "Gorsachius goisagi", "Gorsachius leuconotus", "Gorsachius magnificus", "Gorsachius melanolophus", "Nycticorax caledonicus", "Ixobrychus cinnamomeus", "Ixobrychus eurhythmus", "Ixobrychus exilis", "Ixobrychus involucris", "Ixobrychus minutus", "Ixobrychus novaezelandiae", "Ixobrychus sinensis", "Ixobrychus sturmii", "Syrigma sibilatrix", "Tigrisoma fasciatum", "Tigrisoma lineatum", "Tigrisoma mexicanum", "Zonerodius heliosylus", "Zebrilus undulatus", "Banksia media", "Banksia meisneri", "Banksia menziesii", "Banksia micrantha", "Banksia nutans", "Banksia oblongifolia", "Banksia occidentalis", "Banksia oligantha", "Banksia oreophila", "Banksia ornata", "Banksia paludosa", "Banksia conferta subsp. penicillata", "Banksia petiolaris", "Banksia pilostylis", "Banksia plagiocarpa", "Banksia praemorsa", "Banksia prionotes", "Banksia pulchella", "Banksia quercifolia", "Banksia repens", "Banksia robur", "Banksia rosserae", "Banksia saxicola", "Banksia scabrella", "Banksia sceptrum", "Banksia seminuda", "Banksia solandri", "Banksia speciosa", "Banksia sphaerocarpa", "Banksia spinulosa", "Banksia strahanensis", "Banksia telmatiaea", "Banksia tricuspis", "Banksia verticillata", "Banksia victoriae", "Banksia violacea", "Anas falcata", "Anas strepera", "Anas formosa", "Rhinoceros sondaicus sondaicus", "Anas crecca", "Anas flavirostris", "Anas capensis", "Anas bernieri", "Anas gibberifrons", "Anas castanea", "Anas diazi", "Anas bahamensis", "Anas cyanoptera", "Anas discors", "Anas eatoni", "Anas erythrorhyncha", "Anas smithii", "Speculanas specularis", "Pecari tajacu", "Lama glama", "Pododula ancisa", "Anas georgica", "Anas fulvigula", "Anas hottentota", "Anas laysanensis", "Anas luzonica", "Anas melleri", "Anas platalea", "Anas poecilorhyncha", "Spatula querquedula", "Anas rhynchotis", "Anas rubripes", "Melaleuca interioris", "Melaleuca irbyana", "Melaleuca johnsonii", "Melaleuca keigheryi", "Melaleuca kunzeoides", "Melaleuca laetifica", "Melaleuca pritzelii", "Melaleuca procera", "Melaleuca psammophila", "Melaleuca pulchella", "Melaleuca pungens", "Melaleuca pustulata", "Pteronetta hartlaubii", "Melaleuca quadrifaria", "Melaleuca quinquenervia", "Melaleuca radula", "Salvadorina waigiuensis", "Melaleuca rhaphiophylla", "Melaleuca rigidifolia", "Melaleuca ringens", "Cairina moschata", "Melaleuca ryeae", "Melaleuca saligna", "Asarcornis scutulata", "Melaleuca sapientes", "Melaleuca scabra", "Melaleuca scalena", "Melaleuca sciotostyla", "Callonetta leucophrys", "Melaleuca sclerophylla", "Melaleuca sculponeata", "Melaleuca seriata", "Melaleuca sericea", "Melaleuca sieberi", "Melaleuca similis", "Melaleuca societatis", "Melaleuca sparsiflora", "Melaleuca spathulata", "Melaleuca spicigera", "Melaleuca squamea", "Melaleuca squamophloia", "Melaleuca squarrosa", "Melaleuca stenostachya", "Melaleuca stereophloia", "Melaleuca stipitata", "Melaleuca stramentosa", "Melaleuca striata", "Melaleuca strobophylla", "Melaleuca styphelioides", "Melaleuca subalaris", "Melaleuca suberosa", "Melaleuca subfalcata", "Melaleuca subtrigona", "Melaleuca sylvana", "Melaleuca symphyocarpa", "Melaleuca systena", "Melaleuca tamariscina", "Melaleuca teretifolia", "Melaleuca teuthidoides", "Melaleuca thapsina", "Melaleuca thymifolia", "Melaleuca thymoides", "Melaleuca thyoides", "Melaleuca tinkeri", "Melaleuca torquata", "Melaleuca tortifolia", "Anas superciliosa", "Anas undulata", "Anas versicolor", "Anas wyvilliana", "Nettapus auritus", "Nettapus coromandelianus", "Nettapus pulchellus", "Avicennia alba", "Avicennia bicolor", "Avicennia germinans", "Avicennia integra", "Avicennia marina", "Avicennia rumphiana", "Avicennia schaueriana", "Aythya valisineria", "Aythya collaris", "Aythya australis", "Aythya baeri", "Aythya innotata", "Aythya novaeseelandiae", "Aythya fuligula", "Aythya marila", "Aythya affinis", "Atriplex acutibractea", "Atriplex acutiloba", "Atriplex amnicola", "Atriplex angulata", "Atriplex australasica", "Atriplex billardierei", "Atriplex bunburyana", "Atriplex canescens", "Atriplex cephalantha", "Atriplex cinerea", "Atriplex codonocarpa", "Atriplex cordifolia", "Atriplex cornigera", "Atriplex crassipes", "Atriplex cryptocarpa", "Atriplex eardleyae", "Atriplex eichleri", "Atriplex elachophylla", "Atriplex exilifolia", "Atriplex fissivalvis", "Atriplex flabelliformis", "Atriplex holocarpa", "Atriplex hortensis", "Atriplex humifusa", "Atriplex humilis", "Atriplex hymenotheca", "Atriplex hypoleuca", "Atriplex incrassata", "Atriplex infrequens", "Atriplex intermedia", "Atriplex isatidea", "Atriplex kochiana", "Atriplex leptocarpa", "Atriplex limbata", "Atriplex lindleyi", "Atriplex lobativalvis", "Atriplex macropterocarpa", "Atriplex morrisii", "Atriplex muelleri", "Atriplex nana", "Atriplex nessorhina", "Atriplex nummularia", "Atriplex obconica", "Atriplex paludosa", "Atriplex papillata", "Atriplex patula", "Atriplex prostrata", "Atriplex pseudocampanulata", "Atriplex pumilio", "Atriplex quadrivalvata", "Atriplex quinii", "Atriplex rhagodioides", "Atriplex semibaccata", "Atriplex semilunaris", "Atriplex spinibractea", "Atriplex spinulosa", "Atriplex spongiosa", "Atriplex stipitata", "Atriplex sturtii", "Atriplex suberecta", "Atriplex turbinata", "Atriplex velutinella", "Atriplex vesicaria", "Banksia aculeata", "Banksia aemula", "Banksia aquilonia", "Banksia ashbyi", "Banksia attenuata", "Banksia audax", "Banksia baueri", "Banksia baxteri", "Banksia benthamiana", "Banksia gardneri var. brevidentata", "Banksia brownii", "Banksia burdettii", "Banksia caleyi", "Banksia candolleana", "Banksia canei", "Banksia chamaephyton", "Banksia coccinea", "Banksia conferta", "Banksia cuneata", "Banksia dentata", "Banksia dryandroides", "Banksia elderiana", "Banksia elegans", "Banksia epica", "Banksia gardneri", "Banksia goodii", "Banksia grandis", "Banksia grossa", "Banksia gardneri subsp. hiemalis", "Banksia hookeriana", "Banksia ilicifolia", "Banksia incana", "Banksia laevigata", "Banksia lanata", "Banksia laricina", "Banksia lemanniana", "Banksia leptophylla", "Banksia lindleyana", "Banksia littoralis", "Banksia lullfitzii", "Banksia marginata", "Chenonetta jubata", "Branta bernicla", "Branta canadensis", "Branta leucopsis", "Branta bernicla nigricans", "Branta ruficollis", "Branta sandvicensis", "Coscoroba coscoroba", "Cygnus cygnus", "Cygnus olor", "Dendrocygna arborea", "Dendrocygna arcuata", "Dendrocygna autumnalis", "Dendrocygna bicolor", "Dendrocygna eytoni", "Dendrocygna guttata", "Anser fabalis", "Anser indicus", "Melaleuca trichophylla", "Melaleuca trichostachya", "Melaleuca tuberculata", "Melaleuca uncinata", "Melaleuca undulata", "Melaleuca urceolaris", "Melaleuca uxorum", "Melaleuca venusta", "Melaleuca villosisepala", "Melaleuca viminalis", "Melaleuca viminea", "Melaleuca vinnula", "Melaleuca violacea", "Melaleuca viridiflora", "Melaleuca wilsonii", "Melaleuca wonganensis", "Melaleuca x arenicola", "Melaleuca xerophila", "Melaleuca zeteticorum", "Melaleuca zonalis", "Loligo vulgaris", "Cereopsis novaehollandiae", "Anser albifrons", "Anser anser", "Anser brachyrhynchus", "Anser canagicus", "Anser cygnoides", "Anser erythropus", "Heteronetta atricapilla", "Octodon bridgesi", "Octodon degus", "Octodon lunatus", "Octodon pacificus", "Thomomys bottae", "Dendrocygna javanica", "Dendrocygna viduata", "Pteropus hypomelanus", "Banksia subg.", "Bucephala albeola", "Banksia subg.", "Bucephala clangula", "Bucephala islandica", "Oxyura australis", "Oxyura maccoa", "Oxyura vittata", "Nomonyx dominicus", "Biziura lobata", "Mantophasma zephyra", "Sclerophasma paresisense", "Sorbus subg.", "Restrepia antennifera", "Angraecum didieri", "Alopochen aegyptiaca", "Cyanochen cyanoptera", "Hymenolaimus malacorhynchos", "Malacorhynchus membranaceus", "Merganetta armata", "Neochen jubata", "Sarkidiornis melanotos", "Chloephaga rubidiceps", "Chloephaga hybrida", "Chloephaga melanoptera", "Staphylococcus aureus", "Chloephaga picta", "Chloephaga poliocephala", "Tachyeres brachypterus", "Tachyeres leucocephalus", "Tachyeres patachonicus", "Tachyeres pteneres", "Tadorna cana", "Tadorna cristata", "Phyllodoce maculata", "Phyllodoce lineata", "Phyllodoce rosea", "Eteone foliosa", "Eteone longa", "Eumida sanguinea", "Hesionura elongata", "Glycera alba", "Glycera lapidum", "Chaetozone setosa", "Rhaptophasma kerneggeri", "Praedatophasma maraisi", "Tyrannophasma gladiator", "Tanzaniophasma subsolana", "Tadorna ferruginea", "Radjah radjah", "Tadorna tadorna", "Tadorna tadornoides", "Tadorna variegata", "Glaucis hirsutus", "Threnetes leucurus", "Threnetes niger", "Threnetes ruckeri", "Owenia fusiformis", "Lagis koreni", "Polygordius appendiculatus", "Capitella capitata", "Scoloplos armiger", "Vultur gryphus", "Chalcopsitta atra", "Chalcopsitta cardinalis", "Chalcopsitta duivenbodei", "Chalcopsitta sintillata", "Psittaculirostris desmarestii", "Psittaculirostris edwardsii", "Psittaculirostris salvadorii", "Bolbopsittacus lunulatus", "Cyclopsitta diophthalma", "Cyclopsitta gulielmitertii", "Eos bornea", "Eos cyanogenia", "Eos histrio", "Eos reticulata", "Eos semilarvata", "Eos squamata", "Pseudeos fuscata", "Trichoglossus ornatus", "Trichoglossus chlorolepidotus", "Trichoglossus rubiginosus", "Trichoglossus euteles", "Trichoglossus flavoviridis", "Trichoglossus johnstoniae", "Psitteuteles goldiei", "Psitteuteles iris", "Psitteuteles versicolor", "Lorius albidinuchus", "Magelona johnstoni", "Poecilochaetus serpens", "Scolelepis bonnieri", "Spiophanes bombyx", "Aonides paucibranchiata", "Camptorhynchus labradorius", "Clangula hyemalis", "Histrionicus histrionicus", "Lophodytes cucullatus", "Melanitta fusca", "Melanitta nigra", "Melanitta perspicillata", "Mergellus albellus", "Mergus australis", "Mergus merganser", "Mergus octosetaceus", "Mergus serrator", "Mergus squamatus", "Polysticta stelleri", "Somateria fischeri", "Somateria spectabilis", "Plectropterus gambensis", "Stictonetta naevosa", "Spathosternum pygmaeum", "Saccharomyces cerevisiae", "Channa amphibeus", "Channa aurantimaculata", "Channa argus", "Channa panaw", "Channa nox", "Channa bleheri", "Channa burmanica", "Channa stewartii", "Channa harcourtbutleri", "Channa asiatica", "Channa barca", "Banksia ser.", "Banksia ser.", "Banksia ser.", "Banksia ser.", "Leptosittaca branickii", "Cyanoliseus patagonus", "Pyrrhura albipectus", "Pyrrhura calliptera", "Pyrrhura cruentata", "Pyrrhura devillei", "Pyrrhura egregia", "Pyrrhura frontalis", "Pyrrhura hoematotis", "Pyrrhura hoffmanni", "Pyrrhura leucotis", "Pyrrhura melanura", "Pyrrhura molinae", "Pyrrhura orcesi", "Pyrrhura perlata", "Pyrrhura picta", "Pyrrhura rhodocephala", "Pyrrhura rupicola", "Pyrrhura viridicata", "Enicognathus ferrugineus", "Enicognathus leptorhynchus", "Myiopsitta monachus", "Bolborhynchus ferrugineifrons", "Prioniturus verticalis", "Prioniturus waterstradti", "Tanygnathus gramineus", "Tanygnathus lucionensis", "Tanygnathus megalorynchos", "Tanygnathus sumatranus", "Eclectus roratus", "Alisterus amboinensis", "Alisterus chloropterus", "Alisterus scapularis", "Aprosmictus erythropterus", "Aprosmictus jonquillaceus", "Polytelis alexandrae", "Polytelis anthopeplus", "Polytelis swainsonii", "Psittacula alexandri", "Psittacula calthropae", "Psittacula caniceps", "Psittacula columboides", "Psittacula cyanocephala", "Psittacula derbiana", "Psittacula eupatria", "Psittacula exsul", "Psittacula finschii", "Psittacula himalayana", "Psittacula krameri", "Psittacula longicauda", "Psittacula roseata", "Psittacula wardi", "Tremarctos ornatus", "Loriculus amabilis", "Loriculus aurantiifrons", "Loriculus beryllinus", "Loriculus catamene", "Loriculus exilis", "Loriculus flosculus", "Paphiopedilum appletonianum", "Loriculus galgulus", "Loriculus philippensis", "Loriculus pusillus", "Loriculus stigmatus", "Loriculus tener", "Loriculus vernalis", "Paphiopedilum glaucophyllum", "Eunymphicus cornutus", "Cyanoramphus auriceps", "Cyanoramphus malherbi", "Cyanoramphus novaezelandiae", "Cyanoramphus unicolor", "Cyanoramphus zealandicus", "Cyanoramphus cookii", "Cyanoramphus ulietanus", "Purpureicephalus spurius", "Platycercus adscitus", "Platycercus caledonicus", "Platycercus elegans", "Platycercus eximius", "Platycercus icterotis", "Platycercus venustus", "Northiella haematogaster", "Banksia sect.", "Banksia sect.", "Banksia sect.", "Banksia ser.", "Banksia ser.", "Banksia ser.", "Lorius chlorocercus", "Lorius domicella", "Lorius garrulus", "Lorius hypoinochrous", "Vini australis", "Vini kuhlii", "Vini peruviana", "Vini stepheni", "Vini ultramarina", "Lorius lory", "Glossopsitta concinna", "Glossopsitta porphyrocephala", "Glossopsitta pusilla", "Charmosyna amabilis", "Charmosyna diadema", "Charmosyna josefinae", "Charmosyna margarethae", "Charmosyna meeki", "Charmosyna multistriata", "Charmosyna palmarum", "Charmosyna papou", "Charmosyna placentis", "Charmosyna pulchella", "Charmosyna rubrigularis", "Charmosyna rubronotata", "Charmosyna toxopei", "Charmosyna wilhelminae", "Oreopsittacus arfaki", "Neopsittacus musschenbroekii", "Neopsittacus pullicauda", "Psittrichas fulgidus", "Micropsitta keiensis", "Alfaro cultratus", "Micropsitta geelvinkiana", "Micropsitta pusio", "Micropsitta meeki", "Micropsitta finschii", "Micropsitta bruijnii", "Coryphosima stenoptera", "Prosopeia personata", "Prosopeia splendens", "Prosopeia tabuensis", "Paphiopedilum godefroyae", "Paphiopedilum spicerianum", "Agapornis canus", "Agapornis fischeri", "Agapornis lilianae", "Agapornis nigrigenis", "Agapornis personatus", "Agapornis pullarius", "Agapornis roseicollis", "Agapornis swindernianus", "Agapornis taranta", "Coracopsis vasa", "Coracopsis nigra", "Psittacus erithacus", "Poicephalus robustus", "Poicephalus gulielmi", "Poicephalus meyeri", "Poicephalus rueppellii", "Poicephalus cryptoxanthus", "Poicephalus crassus", "Poicephalus rufiventris", "Poicephalus senegalus", "Poicephalus flavifrons", "Anodorhynchus leari", "Anodorhynchus glaucus", "Ara severus", "Rhynchopsitta pachyrhyncha", "Rhynchopsitta terrisi", "Ognorhynchus icterotis", "Thectocercus acuticaudatus", "Psittacara holochlorus", "Psittacara strenuus", "Eupsittula aurea", "Aratinga auricapillus", "Eupsittula cactorum", "Eupsittula canicularis", "Psittacara chloropterus", "Psittacara erythrogenys", "Psittacara euops", "Psittacara finschi", "Aratinga jandaya", "Psittacara mitratus", "Eupsittula nana", "Eupsittula pertinax", "Aratinga solstitialis", "Psittacara wagleri", "Aratinga weddellii", "Aratinga nenday", "Banksia ser.", "Banksia ser.", "Banksia ser.", "Banksia ser.", "Banksia ser.", "Banksia ser.", "Neofelis nebulosa", "Psephotus chrysopterygius", "Psephotus dissimilis", "Psephotus haematonotus", "Psephotus pulcherrimus", "Psephotus varius", "Neopsephotus bourkii", "Neophema chrysogaster", "Neophema chrysostoma", "Neophema elegans", "Neophema petrophila", "Neophema pulchella", "Neophema splendida", "Lathamus discolor", "Pezoporus wallicus", "Geopsittacus occidentalis", "Psittinus cyanurus", "Psittacella brehmii", "Psittacella madaraszi", "Psittacella modesta", "Psittacella picta", "Geoffroyus geoffroyi", "Geoffroyus heteroclitus", "Geoffroyus simplex", "Prioniturus discurus", "Prioniturus flavicans", "Prioniturus luconensis", "Prioniturus mada", "Prioniturus montanus", "Prioniturus platenae", "Prioniturus platurus", "Bolborhynchus lineola", "Bolborhynchus orbygnesius", "Forpus coelestis", "Forpus conspicillatus", "Forpus cyanopygius", "Forpus passerinus", "Forpus sclateri", "Forpus xanthops", "Forpus xanthopterygius", "Brotogeris chiriri", "Brotogeris cyanoptera", "Brotogeris jugularis", "Brotogeris pyrrhopterus", "Brotogeris sanctithomae", "Brotogeris tirica", "Brotogeris versicolurus", "Nannopsittaca dachilleae", "Nannopsittaca panychlora", "Touit batavicus", "Touit costaricensis", "Touit dilectissimus", "Touit huetii", "Touit melanonotus", "Touit purpuratus", "Touit stictopterus", "Touit surdus", "Pionites melanocephalus", "Pionites leucogaster", "Pionopsitta barrabandi", "Pionopsitta caica", "Pionopsitta haematotis", "Pionopsitta pileata", "Pionopsitta pulchra", "Pionopsitta pyrilia", "Hapalopsittaca amazonina", "Hapalopsittaca fuertesi", "Hapalopsittaca melanotis", "Hapalopsittaca pyrrhops", "Graydidascalus brachyurus", "Pionus chalcopterus", "Pionus fuscus", "Pionus maximiliani", "Pionus menstruus", "Pionus senilis", "Pionus sordidus", "Pionus tumultuosus", "Amazona autumnalis", "Amazona brasiliensis", "Amazona collaria", "Amazona dufresniana", "Cacatua tenuirostris", "Diceros bicornis", "Rhinoceros unicornis", "Amazona festiva", "Amazona guildingii", "Amazona imperialis", "Amazona kawalli", "Amazona leucocephala", "Amazona mercenarius", "Amazona ochrocephala", "Amazona oratrix", "Amazona pretrei", "Amazona rhodocorytha", "Amazona tucumana", "Amazona ventralis", "Amazona finschi", "Amazona vinacea", "Amazona versicolor", "Amazona viridigenalis", "Amazona xantholora", "Alipiopsitta xanthops", "Deroptyus accipitrinus", "Triclaria malachitacea", "Probosciger aterrimus", "Nymphicus hollandicus", "Lumbricus terrestris", "Callocephalon fimbriatum", "Eolophus roseicapilla", "Cacatua alba", "Cacatua ducorpsii", "Cacatua galerita", "Cacatua goffiniana", "Cacatua haematuropygia", "Cacatua moluccensis", "Cacatua ophthalmica", "Cacatua pastinator", "Cacatua sanguinea", "Cacatua sulphurea", "Channa bankanensis", "Channa cyanospilos", "Icterus gularis", "Channa lucius", "Channa micropeltes", "Channa punctata", "Channa striata", "Channa orientalis", "Channa gachua", "Channa marulius", "Paphiopedilum henryanum", "Channa melasoma", "Channa marulioides", "Channa baramensis", "Schistocerca gregaria", "Avahi cleesei", "Craterostigmus tasmanianus", "Cryptocoda gerlachi", "Ctenella aurantia", "Dryodora glandiformis", "Rhynchocyon chrysopygus", "Pentacolossendeis reticulata", "Rhopalorhynchus tenuissimus", "Nymphon gracile", "Alosa fallax", "Phormictopus cancerides", "Leptospermum petersonii", "Nandina domestica", "Channa maculata", "Phoenicopterus roseus", "Phoeniconaias minor", "Dentatella danutae", "Pogoniulus leucomystax", "Pogoniulus pusillus", "Pogoniulus scolopaceus", "Pogoniulus simplex", "Pogoniulus subsulphureus", "Lybius bidentatus", "Lybius chaplini", "Lybius dubius", "Brachypelma smithi", "Lybius vieilloti", "Lybius guifsobalito", "Lybius leucocephalus", "Lybius melanopterus", "Seison annulatus", "Seison nebaliae", "Lybius minor", "Lybius rolleti", "Lybius rubrifacies", "Lybius torquatus", "Lybius undatus", "Jynx ruficollis", "Jynx torquilla", "Melanerpes aurifrons", "Melanerpes cactorum", "Melanerpes candidus", "Melanerpes chrysauchen", "Melanerpes chrysogenys", "Melanerpes cruentatus", "Aromia moschata", "Brachypelma boehmei", "Grammostola pulchra", "Picromerus bidens", "Sphyrapicus nuchalis", "Sphyrapicus ruber", "Sphyrapicus thyroideus", "Sphyrapicus varius", "Campethera abingoni", "Campethera bennettii", "Campethera cailliautii", "Campethera caroli", "Campethera maculosa", "Melanerpes flavifrons", "Melanerpes herminieri", "Melanerpes hoffmannii", "Melanerpes hypopolius", "Melanerpes portoricensis", "Melanerpes pucherani", "Melanerpes pygmaeus", "Melanerpes radiolatus", "Melanerpes striatus", "Melanerpes superciliaris", "Melanerpes uropygialis", "Carabus auratus", "Ovis aries", "Capra aegagrus", "Campethera mombassica", "Campethera nivosa", "Campethera notata", "Campethera nubica", "Campethera punctuligera", "Campethera tullbergi", "Dendropicos abyssinicus", "Dendropicos elachus", "Dendropicos elliotii", "Dendropicos fuscescens", "Dendropicos gabonensis", "Dendropicos goertae", "Dendropicos griseocephalus", "Chloropicus namaquus", "Dendropicos obsoletus", "Dendropicos poecilolaemus", "Chloropicus pyrrhogaster", "Dendropicos stierlingi", "Chloropicus xantholophus", "Dendrocopos assimilis", "Dendrocopos atratus", "Dendrocoptes auriceps", "Yungipicus canicapillus", "Dryobates cathpharius", "Dendrocopos darjellensis", "Dendrocoptes dorae", "Dendrocopos himalayensis", "Yungipicus kizuki", "Dendrocopos leucopterus", "Dendrocopos leucotos", "Dendrocopos macei", "Yungipicus maculatus", "Leiopicus mahrattensis", "Dendrocopos major", "Dendrocoptes medius", "Dryobates minor", "Yungipicus moluccensis", "Dendrocopos syriacus", "Grammostola rosea", "Yungipicus temminckii", "Leuconotopicus albolarvatus", "Picoides arcticus", "Leuconotopicus arizonae", "Leuconotopicus borealis", "Picoides dorsalis", "Veniliornis lignarius", "Veniliornis mixtus", "Dryobates nuttallii", "Celeus spectabilis", "Celeus torquatus", "Celeus undatus", "Celeus galeatus", "Dryocopus hodgei", "Dryocopus javensis", "Dryocopus lineatus", "Dryocopus martius", "Dryocopus pileatus", "Dryocopus schulzii", "Campephilus gayaquilensis", "Campephilus guatemalensis", "Campephilus haematogaster", "Campephilus imperialis", "Campephilus leucopogon", "Campephilus magellanicus", "Campephilus melanoleucos", "Campephilus pollens", "Campephilus principalis", "Campephilus robustus", "Campephilus rubricollis", "Picus awokera", "Picus canus", "Picus chlorolophus", "Picus erythropygius", "Chrysophlegma flavinucha", "Chrysophlegma mentale", "Chrysophlegma miniaceum", "Picus puniceus", "Picus rabieri", "Picus squamatus", "Galbula albirostris", "Galbula chalcothorax", "Galbula cyanescens", "Galbula cyanicollis", "Galbula dea", "Galbula galbula", "Galbula leucogastra", "Galbula pastazae", "Galbula tombacea", "Galbula ruficauda", "Hypnelus bicinctus", "Hypnelus ruficollis", "Indicator archipelagicus", "Indicator conirostris", "Indicator exilis", "Indicator indicator", "Indicator maculatus", "Indicator meliphilus", "Indicator minor", "Indicator pumilio", "Indicator variegatus", "Indicator willcocksi", "Indicator xanthonotus", "Pteroglossus aracari", "Pteroglossus azara", "Pteroglossus beauharnaesii", "Pteroglossus bitorquatus", "Pteroglossus castanotis", "Pteroglossus erythropygius", "Pteroglossus frantzii", "Pteroglossus inscriptus", "Pteroglossus pluricinctus", "Pteroglossus sanguineus", "Pteroglossus torquatus", "Pteroglossus viridis", "Carabus splendens", "Ramphastos ambiguus", "Ramphastos brevis", "Ramphastos dicolorus", "Ramphastos sulfuratus", "Ramphastos swainsonii", "Ramphastos toco", "Ramphastos tucanus", "Ramphastos vitellinus", "Aulacorhynchus caeruleogularis", "Aulacorhynchus coeruleicinctis", "Aulacorhynchus cognatus", "Aulacorhynchus derbianus", "Aulacorhynchus haematopygus", "Aulacorhynchus huallagae", "Aulacorhynchus prasinus", "Aulacorhynchus sulcatus", "Aulacorhynchus wagleri", "Pogoniulus atroflavus", "Pogoniulus bilineatus", "Pogoniulus chrysoconus", "Pogoniulus coryphaeus", "Dryobates pubescens", "Dryobates scalaris", "Leuconotopicus stricklandi", "Picoides tridactylus", "Leuconotopicus villosus", "Veniliornis affinis", "Veniliornis callonotus", "Veniliornis cassini", "Veniliornis chocoensis", "Veniliornis dignus", "Veniliornis frontalis", "Leuconotopicus fumigatus", "Veniliornis kirkii", "Veniliornis maculifrons", "Veniliornis nigriceps", "Veniliornis passerinus", "Veniliornis sanguineus", "Veniliornis spilogaster", "Colaptes auricularis", "Piculus aurulentus", "Piculus callopterus", "Piculus chrysochloros", "Piculus flavigula", "Piculus leucolaemus", "Colaptes rivolii", "Colaptes rubiginosus", "Piculus simplex", "Colaptes atricollis", "Colaptes auratus", "Colaptes campestris", "Colaptes chrysoides", "Colaptes fernandinae", "Colaptes melanochloros", "Colaptes pitius", "Colaptes punctigula", "Colaptes rupicola", "Micropternus brachyurus", "Celeus castaneus", "Celeus elegans", "Celeus flavescens", "Celeus flavus", "Celeus grammicus", "Celeus loricatus", "Celeus lugubris", "Celeus obrieni", "Alaudala somalica", "Certhilauda albescens", "Certhilauda burra", "Certhilauda chuana", "Certhilauda curvirostris", "Certhilauda erythrochlamys", "Chersomanes albofasciata", "Chersophilus duponti", "Eremalauda dunni", "Spizocorys starki", "Eremophila bilopha", "Eremopterix australis", "Eremopterix griseus", "Eremopterix leucopareia", "Eremopterix leucotis", "Eremopterix nigriceps", "Eremopterix signatus", "Eremopterix verticalis", "Incertae sedis", "Incertae sedis", "Picus vaillantii", "Picus viridanus", "Cercibis oxycerca", "Eudocimus albus", "Eudocimus ruber", "Geronticus calvus", "Geronticus eremita", "Lophotibis cristata", "Mesembrinibis cayennensis", "Nipponia nippon", "Phimosus infuscatus", "Platalea alba", "Platalea flavipes", "Platalea leucorodia", "Platalea minor", "Platalea regia", "Plegadis chihi", "Plegadis falcinellus", "Plegadis ridgwayi", "Pseudibis davisoni", "Pseudibis gigantea", "Pseudibis papillosa", "Theristicus branickii", "Theristicus caerulescens", "Threskiornis aethiopicus", "Melanocorypha yeltoniensis", "Mirafra africana", "Mirafra africanoides", "Mirafra albicauda", "Mirafra alopex", "Mirafra angolensis", "Mirafra apiata", "Mirafra ashi", "Mirafra assamica", "Mirafra cantillans", "Mirafra cheniana", "Mirafra collaris", "Mirafra cordofanica", "Mirafra degodiensis", "Mirafra erythroptera", "Mirafra gilletti", "Mirafra hova", "Mirafra hypermetra", "Mirafra javanica", "Mirafra naevia", "Mirafra passerina", "Mirafra poecilosterna", "Mirafra pulpa", "Mirafra rufa", "Mirafra rufocinnamomea", "Mirafra sabota", "Mirafra sharpii", "Mirafra somalica", "Mirafra williamsi", "Pinarocorys erythropygia", "Pinarocorys nigricans", "Spizocorys fremantlii", "Ramphocoris clotbey", "Spizocorys conirostris", "Spizocorys fringillaris", "Spizocorys obbiensis", "Spizocorys personata", "Spizocorys sclateri", "Micromalthus debilis", "Hydroscapha natans", "Alauda arvensis", "Alauda gulgula", "Alauda arvensis japonica", "Alauda razae", "Galerida cristata", "Galerida deva", "Galerida magnirostris", "Galerida malabarica", "Galerida modesta", "Galerida theklae", "Heteromirafra archeri", "Heteromirafra ruddi", "Heteromirafra sidamoensis", "Lullula arborea", "Melanocorypha bimaculata", "Melanocorypha calandra", "Alauda leucoptera", "Melanocorypha maxima", "Melanocorypha mongolica", "Incertae sedis", "Picus viridis", "Picus vittatus", "Picus xanthopygaeus", "Dinopium benghalense", "Dinopium javanense", "Dinopium rafflesii", "Dinopium shorii", "Chrysocolaptes festivus", "Chrysocolaptes lucidus", "Dendrocopos noguchii", "Psilopogon zeylanicus", "Psilopogon armillaris", "Psilopogon asiaticus", "Psilopogon australis", "Psilopogon chrysopogon", "Psilopogon corvinus", "Psilopogon eximius", "Psilopogon faiostrictus", "Psilopogon flavifrons", "Psilopogon franklinii", "Psilopogon haemacephalus", "Psilopogon henricii", "Psilopogon incognitus", "Psilopogon javensis", "Psilopogon lagrandieri", "Psilopogon lineatus", "Psilopogon monticola", "Psilopogon mystacophanos", "Psilopogon oorti", "Psilopogon pulcherrimus", "Psilopogon rafflesii", "Psilopogon rubricapillus", "Psilopogon virens", "Psilopogon viridis", "Scopus umbretta", "Threskiornis melanocephalus", "Threskiornis molucca", "Threskiornis spinicollis", "Bostrychia carunculata", "Bostrychia hagedash", "Bostrychia olivacea", "Bostrychia rara", "Acryllium vulturinum", "Agelastes meleagrides", "Agelastes niger", "Guttera plumifera", "Guttera pucherani", "Numida meleagris", "Callipepla californica", "Callipepla douglasii", "Callipepla gambelii", "Callipepla squamata", "Alaemon alaudipes", "Alaemon hamertoni", "Ammomanes cinctura", "Ammomanes deserti", "Ammomanopsis grayi", "Ammomanes phoenicura", "Calandrella acutirostris", "Alaudala athensis", "Calandrella blanfordi", "Calandrella brachydactyla", "Alaudala cheleensis", "Calandrella cinerea", "Calandrella blanfordi erlangeri", "Alaudala raytal", "Alaudala rufescens", "Spinus magellanicus", "Chloris monguilloti", "Spinus notatus", "Spinus olivaceus", "Spinus pinus", "Spinus psaltria", "Spinus siemiradzkii", "Chloris sinica", "Spinus spinescens", "Chloris spinoides", "Spinus spinus", "Spinus tristis", "Spinus uropygialis", "Spinus xanthogastrus", "Spinus yarrellii", "Linaria yemenensis", "Haemorhous cassinii", "Carpodacus edwardsii", "Carpodacus waltoni", "Carpodacus erythrinus", "Haemorhous mexicanus", "Procarduelis nipalensis", "Carpodacus pulcherrimus", "Carpodacus puniceus", "Haemorhous purpureus", "Carpodacus rhodochlamys", "Carpodacus roborowskii", "Carpodacus rodochroa", "Carpodacus rodopeplus", "Carpodacus roseus", "Carpodacus rubicilla", "Carpodacus rubicilloides", "Carpodacus synoicus", "Carpodacus thura", "Carpodacus trifasciatus", "Carpodacus vinaceus", "Coccothraustes coccothraustes", "Brachychiton acerifolius", "Callacanthis burtoni", "Carpodacus sipahi", "Linurgus olivaceus", "Pyrrhoplectes epauletta", "Carpodacus sibiricus", "Chloris ambigua", "Spinus atratus", "Spinus atriceps", "Spinus barbatus", "Linaria cannabina", "Carduelis carduelis", "Chloris chloris", "Spinus crassirostris", "Spinus cucullatus", "Spinus dominicensis", "Acanthis flammea", "Linaria flavirostris", "Acanthis hornemanni", "Linaria johannis", "Spinus lawrencei", "Protaetia cuprea", "Protaetia cuprea bourgini", "Eophona migratoria", "Eophona personata", "Fringilla coelebs", "Fringilla montifringilla", "Fringilla teydea", "Leucosticte arctoa", "Leucosticte atrata", "Leucosticte australis", "Leucosticte brandti", "Leucosticte nemoricola", "Carpodacus sillemi", "Leucosticte tephrocotis", "Paphiopedilum gratrixianum", "Bombina bombina", "Loxia curvirostra", "Loxia leucoptera", "Loxia megaplaga", "Loxia pytyopsittacus", "Loxia scotica", "Mycerobas affinis", "Mycerobas carnipes", "Mycerobas icterioides", "Mycerobas melanozanthos", "Nesospiza acunhae", "Nesospiza wilkinsi", "Pinicola enucleator", "Pinicola subhimachalus", "Pyrrhula aurantiaca", "Pyrrhula erythaca", "Pyrrhula erythrocephala", "Pyrrhula leucogenis", "Pyrrhula nipalensis", "Acanthidops bairdi", "Cherasphorus inflatus", "Tumidaegus variolosus", "Eulepidius luridus", "Apterodorcus bacchus", "Aphanognathus laterotarsoides", "Peucaea aestivalis", "Peucaea botterii", "Chiasognathus beneshi", "Peucaea carpalis", "Peucaea cassinii", "Peucaea humeralis", "Peucaea mystacalis", "Aimophila notosticta", "Amphispiza quinquestriata", "Aimophila rufescens", "Aimophila ruficeps", "Peucaea ruficauda", "Rhynchospiza stolzmanni", "Rhynchospiza strigiceps", "Peucaea sumichrasti", "Chiasognathus jousselini", "Chiasognathus latreillei", "Amaurospiza concolor", "Amaurospiza moesta", "Chiasognathus mniszechii", "Homoderus mellyi", "Homoderus gladiator", "Chewlucanus hirasawai", "Streptocerus speciosus", "Streptocerus speciosus regius", "Streptocerus speciosus speciosus", "Allotopus rosenbergi", "Allotopus moellenkampi", "Allotopus moellenkampi moellenkampi", "Allotopus moellenkampi babai", "Allotopus moellenkampi fruhstorferi", "Katsuraius ikedaorum", "Capreolucanus sicardi", "Capreolucanus sicardi akitai", "Capreolucanus sicardi nosei", "Capreolucanus sicardi sicardi", "Cacostomus squamosus", "Weinreichius perroti", "Rhaetus westwoodi", "Rhaetus westwoodi westwoodi", "Rhaetus westwoodi kazumiae", "Homoderus gladiator gladiator", "Homoderus gladiator johnstoni", "Ammodramus aurifrons", "Centronyx bairdii", "Ammospiza caudacuta", "Centronyx henslowii", "Ammodramus humeralis", "Ammospiza leconteii", "Ammospiza maritima", "Ammospiza nelsoni", "Ammodramus savannarum", "Nicagus obscurus", "Nicagus japonicus", "Echinoaesalus barriesi", "Echinoaesalus hidakai", "Echinoaesalus jaechi", "Echinoaesalus matsuii", "Echinoaesalus sabahensis", "Echinoaesalus schuhi", "Echinoaesalus timidus", "Echinoaesalus yongi", "Aesalus asiaticus", "Aesalus asiaticus asiaticus", "Himatione sanguinea", "Loxioides bailleui", "Loxops caeruleirostris", "Loxops coccineus", "Melamprosops phaeosoma", "Oreomystis bairdi", "Loxops mana", "Palmeria dolei", "Paroreomyza flammea", "Paroreomyza maculata", "Paroreomyza montana", "Pseudonestor xanthophrys", "Psittirostra psittacea", "Telespiza cantans", "Telespiza ultima", "Drepanis coccinea", "Lophospingus griseocristatus", "Lophospingus pusillus", "Loxigilla noctis", "Melopyrrha portoricensis", "Melopyrrha violacea", "Loxipasser anoxanthus", "Arremon castaneiceps", "Arremon crassirostris", "Melanodera melanodera", "Melanodera xanthogramma", "Melanospiza richardsoni", "Melopyrrha nigra", "Melospiza georgiana", "Melospiza lincolnii", "Melospiza melodia", "Melozone kieneri", "Melozone leucotis", "Oriturus superciliosus", "Sporophila angolensis", "Sporophila atrirostris", "Sporophila crassirostris", "Sporophila maximiliani", "Sporophila nuttingi", "Paroaria baeri", "Paroaria capitata", "Paroaria coronata", "Paroaria dominicana", "Paroaria gularis", "Passerculus sandwichensis", "Passerella iliaca", "Pezopetes capitalis", "Porphyrospiza alaudina", "Phrygilus atriceps", "Porphyrospiza carbonaria", "Idiopsar dorsalis", "Idiopsar erythronotus", "Rhopospina fruticeti", "Phrygilus gayi", "Phrygilus patagonicus", "Geospizopsis plebejus", "Phrygilus punensis", "Geospizopsis unicolor", "Piezorina cinerea", "Pinaroloxias inornata", "Melozone aberti", "Melozone albicollis", "Pipilo chlorurus", "Melozone crissalis", "Pipilo erythrophthalmus", "Melozone fusca", "Pipilo maculatus", "Pipilo ocai", "Plectrophenax hyperboreus", "Plectrophenax nivalis", "Pooecetes gramineus", "Microspingus alticola", "Poospiza baeri", "Poospiza boliviana", "Poospizopsis caesar", "Microspingus cinereus", "Microspingus erythrophrys", "Poospiza garleppi", "Poospiza hispaniolensis", "Poospizopsis hypocondria", "Montifringilla nivalis", "Chrysochraon dispar", "Montifringilla ruficollis", "Montifringilla taczanowskii", "Montifringilla theresae", "Montifringilla henrici", "Passer cordofanicus", "Afolabina togoensis", "Afolabina yoruba", "Passer italiae", "Passer shelleyi", "Passer zarudnyi", "Alassodesmus reducturs", "Alassodesmus reductus", "Dendronanthus indicus", "Tmetothylacus tenellus", "Macronyx ameliae", "Macronyx aurantiigula", "Macronyx capensis", "Macronyx croceus", "Macronyx flavicollis", "Macronyx fuellebornii", "Macronyx grimwoodi", "Allarithmus parvulus", "Macronyx sharpei", "Alocodesmus alatus", "Alocodesmus angustatus", "Alocodesmus aporus", "Alocodesmus bicolor", "Alocodesmus brasiliae", "Alocodesmus dentatus", "Alocodesmus dentaus", "Alocodesmus dromeus", "Alocodesmus hanseni", "Alocodesmus intermedius", "Alocodesmus luctuosus", "Alocodesmus mammatus", "Alocodesmus nitidus", "Alocodesmus nodosus", "Alocodesmus olivaceus", "Alocodesmus planus", "Alocodesmus pseudolivaceus", "Alocodesmus rapidus", "Alocodesmus serenus", "Alocodesmus silvestrii", "Alocodesmus solitarius", "Geothlypis aequinoctialis", "Geothlypis beldingi", "Geothlypis flavovelata", "Geothlypis nelsoni", "Geothlypis poliocephala", "Geothlypis rostrata", "Geothlypis semiflava", "Geothlypis speciosa", "Geothlypis trichas", "Granatellus pelzelni", "Granatellus sallaei", "Granatellus venustus", "Helmitheros vermivorum", "Icteria virens", "Leucopeza semperi", "Limnothlypis swainsonii", "Microligea palustris", "Mniotilta varia", "Myioborus albifacies", "Myioborus albifrons", "Myioborus brunniceps", "Myioborus cardonai", "Myioborus castaneocapilla", "Myioborus flavivertex", "Myioborus melanocephalus", "Afrodesmus nimbanus", "Campodesmus circuli", "Campodesmus cooki", "Campodesmus dilobatus", "Campodesmus costatus", "Tropidesmus jugosus", "Myiothlypis conspicillata", "Myiothlypis coronata", "Basileuterus culicivorus", "Myiothlypis flaveola", "Myiothlypis fraseri", "Schistocerca gregaria gregaria", "Schistocerca gregaria flaviventris", "Nomadacris japonica", "Cypripedium calceolus", "Myiothlypis griseiceps", "Basileuterus culicivorus hypoleucus", "Basileuterus ignotus", "Myiothlypis leucoblephara", "Myiothlypis leucophrys", "Myiothlypis luteoviridis", "Basileuterus melanogenys", "Myiothlypis nigrocristata", "Basileuterus rufifrons", "Myiothlypis signata", "Basileuterus trifasciatus", "Basileuterus tristriatus", "Cardellina rubrifrons", "Catharopeza bishopi", "Setophaga adelaidae", "Setophaga aestiva", "Setophaga angelae", "Setophaga delicata", "Setophaga graciae", "Setophaga occidentalis", "Setophaga pharetra", "Setophaga pityophila", "Setophaga subita", "Setophaga vitellina", "Cardellina rubra", "Cardellina versicolor", "Basileuterus lachrymosus", "Ammodesmus granum", "Elassystremma pongwe", "Sporophila albogularis", "Sporophila americana", "Sporophila ardesiaca", "Sporophila bouvreuil", "Sporophila bouvronides", "Sporophila caerulescens", "Sporophila castaneiventris", "Sporophila cinnamomea", "Sporophila collaris", "Sporophila falcirostris", "Sporophila frontalis", "Sporophila hypochroma", "Sporophila hypoxantha", "Sporophila insulata", "Sporophila intermedia", "Sporophila leucoptera", "Sporophila lineola", "Sporophila luctuosa", "Sporophila melanogaster", "Sporophila melanops", "Sporophila minuta", "Sporophila nigricollis", "Sporophila nigrorufa", "Sporophila palustris", "Sporophila peruviana", "Sporophila plumbea", "Sporophila ruficollis", "Sporophila schistacea", "Sporophila simplex", "Sporophila telasco", "Sporophila torqueola", "Sporophila zelichi", "Melanospiza bicolor", "Phonipara canora", "Asemospiza fuliginosa", "Asemospiza obscura", "Tiaris olivaceus", "Torreornis inexpectata", "Urocynchramus pylzowi", "Volatinia jacarina", "Xenospingus concolor", "Xenospiza baileyi", "Zonotrichia atricapilla", "Zonotrichia capensis", "Zonotrichia querula", "Basileuterus basilicus", "Basileuterus belli", "Myiothlypis bivittata", "Myiothlypis chrysogaster", "Myiothlypis cinereicollis", "Microspingus lateralis", "Microspingus melanoleucus", "Poospiza nigrorufa", "Poospiza ornata", "Poospiza rubecula", "Castanozoster thoracicus", "Microspingus torquatus", "Poospiza whitii", "Atlapetes luteoviridis", "Atlapetes tibialis", "Rhodospingus cruentus", "Rowettia goughensis", "Saltatricula multicolor", "Sicalis auriventris", "Sicalis citrina", "Sicalis columbiana", "Sicalis flaveola", "Sicalis lebruni", "Sicalis lutea", "Sicalis luteiventris", "Sicalis luteocephala", "Sicalis olivascens", "Sicalis raimondii", "Sicalis taczanowskii", "Sicalis uropigyalis", "Spizella atrogularis", "Spizella breweri", "Spizella pallida", "Spizella passerina", "Spizella pusilla", "Spizella taverneri", "Spizella wortheni", "Anaxyrus canorus", "Euneornis campestris", "Geospiza conirostris", "Geospiza difficilis", "Geospiza fortis", "Geospiza fuliginosa", "Geospiza magnirostris", "Geospiza scandens", "Gubernatrix cristata", "Haplospiza rustica", "Haplospiza unicolor", "Idiopsar brachyurus", "Incaspiza laeta", "Incaspiza ortizi", "Incaspiza personata", "Incaspiza pulchra", "Incaspiza watkinsi", "Junco hyemalis", "Junco insularis", "Junco phaeonotus", "Junco vulcani", "Pyrrhula pyrrhula", "Bucanetes githagineus", "Bucanetes mongolicus", "Rhodospiza obsoleta", "Rhodopechys sanguineus", "Rhynchostruthus socotranus", "Serinus alario", "Crithagra albogularis", "Crithagra ankoberensis", "Crithagra atrogularis", "Serinus pusillus", "Serinus serinus", "Serinus syriacus", "Serinus canaria", "Spinus thibetanus", "Serinus canicollis", "Serinus nigriceps", "Crithagra citrinelloides", "Crithagra capistrata", "Crithagra koliensis", "Crithagra scotops", "Crithagra leucopygia", "Crithagra rothschildi", "Crithagra flavigula", "Crithagra xanthopygia", "Crithagra xantholaema", "Crithagra citrinipecta", "Crithagra mozambica", "Crithagra donaldsoni", "Crithagra buchanani", "Crithagra dorsostriata", "Crithagra flaviventris", "Crithagra sulphurata", "Crithagra reichardi", "Crithagra gularis", "Crithagra mennelli", "Crithagra tristriata", "Crithagra menachensis", "Crithagra striolata", "Crithagra burtoni", "Crithagra rufobrunnea", "Crithagra leucoptera", "Crithagra totta", "Crithagra symonsi", "Chrysocorythus estherae", "Crithagra canicapilla", "Crithagra frontalis", "Crithagra hyposticta", "Serinus alario leucolaemus", "Crithagra melanochroa", "Crithagra reichenowi", "Crithagra whytii", "Panthera tigris tigris", "Passer iagoensis", "Passer ammodendri", "Passer castanopterus", "Passer diffusus", "Passer eminibey", "Passer euchlorus", "Passer flaveolus", "Passer gongonensis", "Passer insularis", "Passer melanurus", "Passer motitensis", "Passer pyrrhonotus", "Passer rufocinctus", "Oporornis agilis", "Geothlypis formosa", "Geothlypis philadelphia", "Geothlypis tolmiei", "Setophaga americana", "Oreothlypis gutturalis", "Setophaga pitiayumi", "Oreothlypis superciliosa", "Protonotaria citrea", "Seiurus aurocapilla", "Parkesia motacilla", "Parkesia noveboracensis", "Dicerorhinus sumatrensis", "Passer cinnamomeus", "Passer simplex", "Passer suahelicus", "Passer swainsonii", "Gymnoris pyrgita", "Gymnoris xanthocollis", "Gymnoris superciliaris", "Gymnoris dentata", "Petronia petronia", "Carpospiza brachydactyla", "Achromoporus coloratus", "Montifringilla adamsi", "Achromoporus enneryensis", "Achromoporus furcipes", "Achromoporus heteromus", "Achromoporus robustus", "Montifringilla blanfordi", "Montifringilla davidiana", "Nicotiana tabacum", "Nicotiana alata", "Diglossa albilatera", "Diglossa baritula", "Diglossa brunneiventris", "Diglossa carbonaria", "Diglossa duidae", "Diglossa gloriosa", "Diglossa gloriosissima", "Diglossa humeralis", "Diglossa lafresnayii", "Diglossa major", "Diglossa mystacalis", "Diglossa plumbea", "Diglossa sittoides", "Diglossa venezuelensis", "Diuca diuca", "Idiopsar speculifer", "Sporophila fringilloides", "Donacospiza albifrons", "Emberizoides duidae", "Emberizoides herbicola", "Emberizoides ypiranganus", "Embernagra longicauda", "Embernagra platensis", "Anthus brachyurus", "Anthus caffer", "Anthus cinnamomeus camaroonensis", "Anthus campestris", "Agelaius tricolor", "Anthus cervinus", "Anthus chacoensis", "Anthus cinnamomeus", "Anthus correndera", "Anthus crenatus", "Anthus furcatus", "Anthus godlewskii", "Anthus gustavi", "Anthus gutturalis", "Anthus hellmayri", "Anthus hodgsoni", "Anthus hoeschi", "Anthus cinnamomeus latistriatus", "Anthus leucophrys", "Anthus lineiventris", "Anthus longicaudatus", "Anthus lutescens", "Anthus melindae", "Anthus nattereri", "Anthus nilghiriensis", "Anthus novaeseelandiae", "Anthus nyassae", "Anthus pallidiventris", "Agelaius assimilis", "Agelaius humeralis", "Agelaius xanthomus", "Anthus petrosus", "Anthus pratensis", "Anthus pseudosimilis", "Anthus richardi", "Anthus roseatus", "Anthus rubescens", "Anthus rufulus", "Anthus similis", "Anthus sokokensis", "Anthus spinoletta", "Anthus spragueii", "Anthus sylvanus", "Anthus trivialis", "Anthus vaalensis", "Anthus australis", "Vidua nigeriae", "Anisodesmus gracilis", "Anisodesmus lundae", "Vidua codringtoni", "Vidua purpurascens", "Vidua wilsoni", "Vidua hypocherina", "Vidua fischeri", "Vidua regia", "Vidua macroura", "Vidua orientalis", "Vidua togoensis", "Vidua interjecta", "Vidua paradisaea", "Vidua obtusa", "Vidua maryae", "Antillodesmus grenadanus", "Antillodesmus vincenti", "Antrogonodesmus curiosus", "Vicugna pacos", "Bubalornis albirostris", "Bubalornis niger", "Dinemellia dinemelli", "Sporopipes frontalis", "Sporopipes squamifrons", "Ankylophallus chacaitus", "Ankylophallus phanus", "Plocepasser donaldsoni", "Plocepasser mahali", "Plocepasser rufoscapulatus", "Plocepasser superciliosus", "Histurgops ruficauda", "Pseudonigrita arnaudi", "Aplopododesmus longipes", "Pseudonigrita cabanisi", "Philetairus socius", "Ploceus bannermani", "Ploceus batesi", "Arthromachus binghami", "Amblycercus holosericeus", "Amblyramphus holosericeus", "Anthus chloris", "Neospiza concolor", "Amphelictogon alayoni", "Amphelictogon atricolor", "Amphelictogon bahamiensis", "Amphelictogon couloni", "Amphelictogon cubanus", "Amphelictogon dentatus", "Amphelictogon dolius", "Amphelictogon flavipes", "Amphelictogon flexus", "Amphelictogon garridoi", "Amphelictogon guantanamanus", "Amphelictogon heteromus", "Amphelictogon hoffmani", "Amphelictogon juvenis", "Amphelictogon maculatus", "Amphelictogon magnus", "Amphelictogon manni", "Amphelictogon obscurus", "Amphelictogon pallidipes", "Peucedramus taeniatus", "Amphelictogon pinetorum", "Amphelictogon propinquus", "Amphelictogon rex", "Prunella atrogularis", "Prunella collaris", "Prunella fagani", "Prunella fulvescens", "Prunella himalayana", "Prunella immaculata", "Prunella koslowi", "Prunella modularis", "Prunella montanella", "Prunella ocularis", "Prunella rubeculoides", "Prunella rubida", "Prunella strophiata", "Amphelictogon rubripes", "Amphelictogon strumosus", "Amphelictogon subterraneus", "Amphelictogon thomasi", "Amphelictogon subterraneus bahamiensis", "Amphelictogon subterraneus dolius", "Amphelictogon subterraneus pinetorum", "Amphelictogon subterraneus subterraneus", "Promerops cafer", "Promerops gurneyi", "Oreocharis arfaki", "Paramythia montium", "Amphipeltis nodosus", "Ancholeptodesmus alticola", "Ancylochetus signatus", "Melanocharis arfakiana", "Melanocharis crassirostris", "Melanocharis longicauda", "Melanocharis nigra", "Melanocharis striativentris", "Melanocharis versteri", "Oedistoma pygmaeum", "Toxorhamphus iliolophus", "Toxorhamphus novaeguineae", "Toxorhamphus poliopterus", "Vidua chalybeata", "Vidua raricola", "Vidua larvaticola", "Vidua funerea", "Anisodesmus cerasinus", "Arthrosolaenomeris chapadensis", "Ploceus nigrimentus", "Arthrosolaenomeris planaltensis", "Ploceus baglafecht", "Ploceus pelzelni", "Ploceus subpersonatus", "Ploceus luteolus", "Ploceus bertrandi", "Ploceus ocularis", "Ploceus nigricollis", "Ploceus melanogaster", "Ploceus intermedius", "Ploceus alienus", "Ploceus temporalis", "Ploceus capensis", "Ploceus subaureus", "Ploceus xanthops", "Ploceus princeps", "Atylophor rafaelanus", "Ploceus aurantius", "Ploceus bojeri", "Ploceus castaneiceps", "Ploceus xanthopterus", "Ploceus castanops", "Ploceus burnieri", "Ploceus galbula", "Ploceus heuglini", "Batodesmus acceptus", "Batodesmus alutaceus", "Ploceus taeniopterus", "Batodesmus gualianus", "Ploceus vitellinus", "Ploceus velatus", "Ploceus katangae", "Ploceus ruweti", "Ploceus reichardi", "Ploceus cucullatus", "Ploceus grandis", "Beatadesmus utowani", "Ploceus spekei", "Belonodesmus thaxteri", "Benoitesmus sceptrifer", "Ploceus spekeoides", "Ploceus nigerrimus", "Ploceus weynsi", "Ploceus golandi", "Ploceus melanocephalus", "Ploceus dicrocephalus", "Ploceus jacksoni", "Ploceus badius", "Ploceus rubiginosus", "Ploceus aureonucha", "Ploceus tricolor", "Ploceus albinucha", "Falco sparverius", "Falco tinnunculus", "Motacilla aguimp", "Motacilla alba", "Motacilla capensis", "Motacilla cinerea", "Motacilla citreola", "Motacilla clara", "Motacilla flava", "Motacilla flaviventris", "Motacilla grandis", "Motacilla alba lugens", "Motacilla maderaspatensis", "Motacilla samveasnae", "Motacilla tschutschensis", "Setophaga ruticilla", "Teretistris fernandinae", "Teretistris fornsi", "Vermivora bachmanii", "Leiothlypis celata", "Vermivora chrysoptera", "Leiothlypis crissalis", "Leiothlypis luciae", "Leiothlypis peregrina", "Vermivora cyanoptera", "Leiothlypis ruficapilla", "Leiothlypis virginiae", "Cardellina canadensis", "Setophaga citrina", "Cardellina pusilla", "Xenoligea montana", "Zeledonia coronata", "Anthus antarcticus", "Anthus similis bannermani", "Anthus berthelotii", "Anthus bogotensis", "Calcarius lapponicus", "Rhynchophanes mccownii", "Calcarius ornatus", "Calcarius pictus", "Platyspiza crassirostris", "Camarhynchus heliobates", "Camarhynchus pallidus", "Camarhynchus parvulus", "Camarhynchus pauper", "Camarhynchus psittacula", "Catamenia analis", "Catamenia homochroa", "Catamenia inornata", "Certhidea olivacea", "Charitospiza eucosma", "Chondestes grammacus", "Coryphaspiza melanotis", "Coryphospingus cucullatus", "Coryphospingus pileatus", "Carabus violaceus", "Phalcoboenus albogularis", "Phalcoboenus megalopterus", "Phalcoboenus carunculatus", "Daptrius ater", "Brachyurodesmus parallelus", "Callistocilla beatrix", "Camptomorpha aberrans", "Camptomorpha campestris", "Camptomorpha dorsalis", "Camptomorpha folium", "Camptomorpha titana", "Cantabrodesmus lorioli", "Foudia madagascariensis", "Foudia eminentissima", "Foudia omissa", "Foudia rubra", "Foudia sechellarum", "Foudia flavicans", "Anomalospiza imberbis", "Amblyospiza albifrons", "Euplectes afer", "Euplectes diadematus", "Euplectes gierowii", "Euplectes hordeaceus", "Euplectes franciscanus", "Euplectes orix", "Euplectes nigroventris", "Euplectes aureus", "Euplectes capensis", "Caraibodesmus acutipes", "Caraibodesmus bruesi", "Caraibodesmus criniger", "Caraibodesmus formosus", "Euplectes axillaris", "Caraibodesmus insignis", "Euplectes macrourus", "Euplectes albonotatus", "Euplectes ardens", "Dives warczewiczi", "Dolichonyx oryzivorus", "Euphagus carolinus", "Euphagus cyanocephalus", "Cearodesmus gomesi", "Estrilda caerulescens", "Estrilda perreini", "Estrilda thomensis", "Estrilda quartinia", "Estrilda melanotis", "Estrilda poliopareia", "Estrilda paludicola", "Estrilda ochrogaster", "Estrilda melpoda", "Estrilda rhodopyga", "Estrilda rufibarba", "Estrilda troglodytes", "Estrilda astrild", "Estrilda nigriloris", "Estrilda nonnula", "Estrilda atricapilla", "Estrilda kandti", "Estrilda charmosyna", "Estrilda erythronotos", "Cheirodesmus ater", "Amandava amandava", "Amandava formosa", "Chondrodesmoides koepckei", "Amandava subflava", "Ortygospiza atricollis", "Ortygospiza gabonensis", "Ortygospiza locustella", "Ortygospiza fuscocrissa", "Emblema pictum", "Stagonopleura bella", "Stagonopleura guttata", "Stagonopleura oculata", "Oreostruthus fuliginosus", "Chondrodesmus acanthurus", "Chondrodesmus acuticollis", "Chondrodesmus albimarginis", "Chondrodesmus alidens", "Ploceus nelicourvi", "Ploceus sakalava", "Ploceus manyar", "Ploceus philippinus", "Ploceus hypoxanthus", "Ploceus megarhynchus", "Ploceus bicolor", "Ploceus preussi", "Ploceus dorsomaculatus", "Ploceus nicolli", "Biaporus montanus", "Ploceus olivaceiceps", "Ploceus insignis", "Biporodesmus austrocrucis", "Biporodesmus platynotus", "Ploceus angolensis", "Ploceus sanctithomae", "Ploceus benghalensis", "Ploceus nigriceps", "Ploceus victoriae", "Pachyphantes superciliosus", "Malimbus flavipes", "Malimbus coronatus", "Malimbus cassini", "Malimbus ballmanni", "Malimbus racheliae", "Malimbus scutatus", "Malimbus ibadanensis", "Malimbus erythrogaster", "Malimbus nitens", "Malimbus malimbicus", "Malimbus rubricollis", "Anaplectes rubriceps", "Brachycope anomala", "Quelea cardinalis", "Quelea erythrops", "Quelea quelea", "Catharodesmus salvadorii", "Catharodesmus trifidus", "Catharodesmus validus", "Catharodesmus yanasarae", "Mandingoa nitidula", "Cryptospiza reichenovii", "Cryptospiza salvadorii", "Cryptospiza jacksoni", "Cryptospiza shelleyi", "Pyrenestes sanguineus", "Pyrenestes ostrinus", "Pyrenestes minor", "Spermophaga poliogenys", "Spermophaga haematina", "Spermophaga ruficapilla", "Clytospiza monteiri", "Hypargos niveoguttatus", "Hypargos margaritatus", "Euschistospiza dybowskii", "Euschistospiza cinereovinacea", "Lagonosticta rufopicta", "Lagonosticta nitidula", "Lagonosticta senegala", "Lagonosticta rara", "Lagonosticta rubricata", "Lagonosticta landanae", "Lagonosticta virata", "Lagonosticta umbrinodorsalis", "Lagonosticta rhodopareia", "Lagonosticta vinacea", "Lagonosticta larvata", "Lagonosticta sanguinodorsalis", "Uraeginthus angolensis", "Uraeginthus bengalus", "Uraeginthus cyanocephalus", "Uraeginthus ianthinogaster", "Uraeginthus granatina", "Cacicus cela", "Cacicus chrysonotus", "Cacicus chrysopterus", "Cacicus haemorrhous", "Cacicus koepckeae", "Cassiculus melanicterus", "Cacicus sclateri", "Cacicus solitarius", "Cacicus uropygialis", "Curaeus curaeus", "Anumara forbesi", "Ptiloxena atroviolacea", "Dives dives", "Euplectes hartlaubi", "Euplectes psammocromius", "Euplectes progne", "Euplectes jacksoni", "Caraibodesmus lewisi", "Caraibodesmus magnus", "Caraibodesmus mammatus", "Caraibodesmus mauritii", "Caraibodesmus morantus", "Caraibodesmus pellus", "Caraibodesmus pictus", "Caraibodesmus sallei", "Caraibodesmus sculpturatus", "Caraibodesmus verrucosus", "Parmoptila rubrifrons", "Parmoptila woodhousei", "Nigrita fusconota", "Nigrita bicolor", "Nigrita luteifrons", "Nigrita canicapilla", "Connochaetes gnou", "Connochaetes taurinus", "Catharodesmus acutangulus", "Catharodesmus alegrensis", "Catharodesmus angustatus", "Catharodesmus apexgaleae", "Catharodesmus argentineus", "Nesocharis shelleyi", "Nesocharis ansorgei", "Nesocharis capistrata", "Pytilia phoenicoptera", "Pytilia afra", "Pytilia hypogrammica", "Pytilia melba", "Catharodesmus borellii", "Catharodesmus cameranii", "Catharodesmus carcani", "Catharodesmus discrepans", "Catharodesmus dorbignyi", "Catharodesmus maior", "Catharodesmus orlandi", "Catharodesmus postillonus", "Catharodesmus proximus", "Lonchura leucogastroides", "Lonchura fuscans", "Lonchura molucca", "Lonchura kelaarti", "Lonchura punctulata", "Lonchura leucogastra", "Lonchura tristissima", "Lonchura leucosticta", "Lonchura malacca", "Lonchura atricapilla", "Lonchura ferruginosa", "Lonchura quinticolor", "Lonchura maja", "Lonchura pallida", "Lonchura grandis", "Lonchura vana", "Lonchura caniceps", "Lonchura nevermanni", "Lonchura spectabilis", "Lonchura hunsteini", "Lonchura forbesi", "Lonchura flaviprymna", "Lonchura castaneothorax", "Lonchura pallidiventer", "Lonchura stygia", "Lonchura teerinki", "Lonchura montana", "Lonchura monticola", "Lonchura melaena", "Lonchura oryzivora", "Lonchura fuscata", "Lonchura nigerrima", "Chondrodesmus orientalis", "Chondrodesmus panamenus", "Chondrodesmus pitteri", "Chondrodesmus pittieri", "Chondrodesmus profugus", "Chondrodesmus rodriguezi", "Chondrodesmus rugosior", "Chondrodesmus sabachanus", "Odontospiza caniceps", "Lonchura griseicapilla", "Heteromunia pectoralis", "Amadina fasciata", "Amadina erythrocephala", "Erythrura gouldiae", "Chondrodesmus singularis", "Chondrodesmus spatulatus", "Chondrodesmus tamocalanus", "Chondrodesmus tamocolanus", "Chondrodesmus tuberculifer", "Chondrodesmus virgatus", "Chondrodesmus voglii", "Chalcoparia singalensis", "Deleornis fraseri", "Deleornis axillaris", "Anthreptes reichenowi", "Anthreptes anchietae", "Anthreptes simplex", "Anthreptes malacensis", "Anthreptes rhodolaemus", "Anthreptes gabonicus", "Anthreptes longuemarei", "Anthreptes orientalis", "Anthreptes neglectus", "Anthreptes seimundi", "Anthreptes aurantium", "Anthreptes rectirostris", "Anthreptes rubritorques", "Hedydipna collaris", "Hedydipna platura", "Hedydipna metallica", "Hedydipna pallidigaster", "Hypogramma hypogrammicum", "Anabathmis reichenbachii", "Chondropeltis voglii", "Anabathmis hartlaubii", "Anabathmis newtonii", "Chondrotropis niger", "Chondrotropis nigra", "Chondrotropis pictus", "Chondrotropis venustus", "Dreptes thomensis", "Anthobaphes violacea", "Colombodesmus catharus", "Colombodesmus lygrus", "Cyanomitra verticalis", "Cyanomitra bannermani", "Cyanomitra oritis", "Cyanomitra alinae", "Cyanomitra olivacea", "Cyanomitra cyanolaema", "Cyanomitra obscura", "Cyanomitra veroxii", "Chalcomitra adelberti", "Chalcomitra fuliginosa", "Chalcomitra rubescens", "Chlorodrepanis virens", "Chlorodrepanis flava", "Chlorodrepanis stejnegeri", "Magumma parva", "Viridonia sagittirostris", "Akialoa obscura", "Akialoa ellisiana", "Hemignathus lucidus", "Hemignathus wilsoni", "Spiza americana", "Pheucticus chrysopeplus", "Pheucticus chrysogaster", "Pheucticus tibialis", "Pheucticus aureoventris", "Pheucticus ludovicianus", "Pheucticus melanocephalus", "Caryothraustes poliogaster", "Caryothraustes canadensis", "Ilex ambigua", "Parkerthraustes humeralis", "Rhodothraupis celaeno", "Periporphyrus erythromelas", "Saltator grossus", "Saltator fuliginosus", "Saltator atriceps", "Saltator maximus", "Saltator atripennis", "Saltator coerulescens", "Saltator similis", "Saltator orenocensis", "Saltator nigriceps", "Saltator aurantiirostris", "Meleagris gallopavo", "Ceruchus atavus", "Ceruchus chrysomelinus", "Ceruchus deuvei", "Ceruchus katerinae", "Ceruchus lignarius", "Ceruchus lignarius lignarius", "Ceruchus lignarius monticola", "Ceruchus lignarius nodai", "Ceruchus minor", "Ceruchus niger", "Ceruchus piceus", "Ceruchus punctatus", "Ceruchus reginae", "Ceruchus sinensis", "Ceruchus striatus", "Sinodendron cylindricum", "Sinodendron persicum", "Sinodendron rugosum", "Cordyloporus sulcatus", "Cinnyris talatala", "Cinnyris venustus", "Cinnyris fuscus", "Cinnyris ursulae", "Cinnyris rufipennis", "Cinnyris batesi", "Cinnyris cupreus", "Cinnyris asiaticus", "Cinnyris jugularis", "Cinnyris buettikoferi", "Cinnyris solaris", "Cinnyris sovimanga", "Cinnyris notatus", "Cinnyris dussumieri", "Cinnyris humbloti", "Cinnyris comorensis", "Cinnyris coquerellii", "Cinnyris lotenius", "Aora gracilis", "Aora spinicornis", "Aora typica", "Aethopyga primigenia", "Dicaeum ignipectus", "Dicaeum monticolum", "Dicaeum celebicum", "Dicaeum sanguinolentum", "Dicaeum hirundinaceum", "Dicaeum cruentatum", "Dicaeum trochileum", "Eremophila alpestris", "Cardinalis phoeniceus", "Myioborus miniatus", "Myioborus ornatus", "Myioborus pariae", "Myioborus pictus", "Myioborus torquatus", "Amphispiza bilineata", "Arremonops chloronotus", "Arremonops conirostris", "Arremonops rufivirgatus", "Arremonops tocuyensis", "Atlapetes albiceps", "Atlapetes albinucha", "Atlapetes albofrenatus", "Atlapetes citrinellus", "Atlapetes flaviceps", "Atlapetes fulviceps", "Atlapetes fuscoolivaceus", "Atlapetes leucopis", "Atlapetes leucopterus", "Atlapetes melanocephalus", "Atlapetes nationi", "Atlapetes pallidiceps", "Atlapetes pallidinucha", "Atlapetes personatus", "Atlapetes pileatus", "Atlapetes rufigenis", "Atlapetes rufinucha", "Atlapetes schistaceus", "Atlapetes seebohmi", "Atlapetes semirufus", "Atlapetes tricolor", "Arremon brunneinucha", "Arremon torquatus", "Arremon virenticeps", "Calamospiza melanocorys", "Chalcomitra amethystina", "Chalcomitra senegalensis", "Chalcomitra hunteri", "Chalcomitra balfouri", "Leptocoma zeylonica", "Leptocoma minima", "Leptocoma sperata", "Leptocoma sericea", "Leptocoma calcostetha", "Cordilleronomus pulvillatus", "Nectarinia bocagii", "Nectarinia purpureiventris", "Nectarinia tacazze", "Nectarinia kilimensis", "Nectarinia famosa", "Nectarinia johnstoni", "Drepanorhynchus reichenowi", "Cinnyris chloropygius", "Cinnyris minullus", "Cinnyris manoensis", "Cinnyris chalybeus", "Cinnyris neergaardi", "Cinnyris stuhlmanni", "Cinnyris prigoginei", "Cinnyris ludovicensis", "Cinnyris reichenowi", "Cinnyris afer", "Cinnyris regius", "Cinnyris rockefelleri", "Cinnyris mediocris", "Cinnyris moreaui", "Cinnyris loveridgei", "Cinnyris pulchellus", "Cinnyris mariquensis", "Cinnyris shelleyi", "Cinnyris congensis", "Cinnyris erythrocercus", "Cinnyris nectarinioides", "Cinnyris bifasciatus", "Cinnyris tsavoensis", "Cinnyris chacomelas", "Cinnyris pembae", "Cinnyris bouvieri", "Cinnyris osea", "Cinnyris habessinicus", "Cinnyris coccinigastrus", "Cinnyris johannae", "Cordyloporus cervinus", "Cordyloporus dilatatus", "Cordyloporus mareesi", "Cinnyris superbus", "Cordyloporus ornatus", "Cordyloporus pulcher", "Cinnyris oustaleti", "Cordyloporus serratus", "Podobothrus bermudensis", "Ichthyosaura alpestris", "Lissotriton montandoni", "Rana arvalis", "Rana dalmatina", "Equus kiang", "Saltator maxillosus", "Saltator cinctus", "Saltatricula atricollis", "Pseudosaltator rufiventris", "Saltator albicollis", "Saltator striatipectus", "Cyanoloxia glaucocaerulea", "Cyanoloxia cyanoides", "Cyanocompsa parellina", "Cyanoloxia brissonii", "Passerina caerulea", "Passerina amoena", "Passerina cyanea", "Passerina rositae", "Passerina leclancherii", "Passerina versicolor", "Passerina ciris", "Porphyrospiza caerulescens", "Aethopyga boltoni", "Aethopyga linaraborae", "Aethopyga flagrans", "Dryopoides westwoodi", "Aethopyga pulcherrima", "Aethopyga duyvenbodei", "Aethopyga shelleyi", "Janice spinidactyla", "Aethopyga bella", "Aethopyga gouldiae", "Pedicorophium laminosum", "Aethopyga nipalensis", "Pseudunciola obliquua", "Aethopyga eximia", "Aethopyga christinae", "Pterunciola spinipes", "Aethopyga saturata", "Aethopyga vigorsii", "Aethopyga siparaja", "Aethopyga mystacalis", "Aethopyga temminckii", "Aethopyga ignicauda", "Arachnothera longirostra", "Arachnothera crassirostris", "Arachnothera robusta", "Arachnothera flavigaster", "Arachnothera chrysogenys", "Arachnothera clarae", "Arachnothera modesta", "Arachnothera affinis", "Arachnothera magna", "Arachnothera juliae", "Arachnothera everetti", "Chondrodesmus allenae", "Chondrodesmus alleni", "Chondrodesmus armatus", "Chondrodesmus atrophus", "Chondrodesmus attemsi", "Neochmia temporalis", "Chondrodesmus cairoensis", "Chondrodesmus cerasinopes", "Chondrodesmus cerasinopus", "Neochmia phaeton", "Chondrodesmus chamberlini", "Chondrodesmus diversus", "Chondrodesmus ensiger", "Chondrodesmus erratus", "Chondrodesmus euliotus", "Chondrodesmus falciphallus", "Chondrodesmus frauenfeldianus", "Chondrodesmus granosus", "Chondrodesmus mamirauaensis", "Chondrodesmus hoffmanni", "Chondrodesmus maranonus", "Neochmia ruficauda", "Neochmia modesta", "Taeniopygia guttata", "Taeniopygia bichenovii", "Chondrodesmus mimus", "Poephila personata", "Poephila acuticauda", "Poephila cincta", "Erythrura hyperythra", "Erythrura prasina", "Erythrura viridifacies", "Erythrura tricolor", "Erythrura trichroa", "Erythrura coloria", "Erythrura papuana", "Erythrura psittacea", "Erythrura pealii", "Erythrura cyaneovirens", "Erythrura regia", "Erythrura kleinschmidti", "Lepidopygia nana", "Euodice malabarica", "Euodice cantans", "Lonchura cucullata", "Lonchura bicolor", "Lonchura nigriceps", "Lonchura fringilloides", "Chondrodesmus montanus", "Chondrodesmus murphyi", "Chondrodesmus nannus", "Chondrodesmus nicaraguae", "Lonchura striata", "Emberiza stewarti", "Emberiza cirlus", "Emberiza koslowi", "Emberiza cia", "Emberiza godlewskii", "Emberiza cioides", "Emberiza jankowskii", "Emberiza buchanani", "Emberiza cineracea", "Emberiza hortulana", "Solea lascaris", "Solea solea", "Buglossidium luteum", "Pleuronectes platessa", "Limanda limanda", "Microstomus kitt", "Emberiza caesia", "Emberiza striolata", "Emberiza impetuani", "Emberiza tahapisi", "Emberiza socotrana", "Emberiza capensis", "Emberiza tristrami", "Emberiza fucata", "Emberiza pusilla", "Emberiza chrysophrys", "Arremon aurantiirostris", "Arremon schlegeli", "Arremon taciturnus", "Arremon semitorquatus", "Arremon franciscanus", "Arremon abeillei", "Arremon flavirostris", "Emberiza citrinella", "Emberiza leucocephalos", "Prionochilus olivaceus", "Prionochilus maculatus", "Prionochilus percussus", "Prionochilus plateni", "Prionochilus xanthopygius", "Prionochilus thoracicus", "Canis lupus dingo", "Dicaeum annae", "Dicaeum agile", "Dicaeum aeruginosum", "Dicaeum everetti", "Dicaeum proprium", "Dicaeum melanoxanthum", "Dicaeum chrysorrheum", "Dicaeum vincens", "Dicaeum aureolimbatum", "Dicaeum nigrilore", "Dicaeum anthonyi", "Dicaeum bicolor", "Dicaeum quadricolor", "Dicaeum australe", "Dicaeum haematostictum", "Dicaeum retrocinctum", "Dicaeum trigonostigma", "Dicaeum hypoleucum", "Dicaeum erythrorhynchos", "Dicaeum concolor", "Dicaeum pygmaeum", "Dicaeum nehrkorni", "Dicaeum erythrothorax", "Dicaeum vulneratum", "Dicaeum pectorale", "Dicaeum geelvinkianum", "Dicaeum nitidum", "Dicaeum eximium", "Dicaeum aeneum", "Dicaeum tristrami", "Dicaeum igniferum", "Dicaeum maugei", "Gymnostinops bifasciatus", "Gymnostinops guatimozinus", "Icterus cayanensis chrysocephalus", "Icterus cayanensis", "Icterus chrysater", "Icterus nigrogularis", "Icterus leucopteryx", "Icterus auratus", "Icterus mesomelas", "Icterus auricapillus", "Icterus graceannae", "Icterus pectoralis", "Icterus pustulatus", "Icterus cucullatus", "Icterus icterus", "Icterus jamacaii", "Icterus galbula", "Icterus bullockii", "Icterus abeillei", "Icterus prosthemelas", "Icterus spurius", "Icterus wagleri", "Icterus dominicensis", "Icterus oberi", "Icterus bonana", "Icterus laudabilis", "Icterus graduacauda", "Icterus maculialatus", "Icterus parisorum", "Icterus croconotus", "Icterus fuertesi", "Nesopsar nigerrimus", "Gymnomystax mexicanus", "Xanthocephalus xanthocephalus", "Rana temporaria", "Achillea ptarmica", "Chrysomus icterocephalus", "Chrysomus ruficapillus", "Agelasticus xanthophthalmus", "Agelasticus thilius", "Agelasticus cyanopus", "Xanthopsar flavus", "Leistes bellicosus", "Leistes defilippii", "Leistes loyca", "Sturnella lilianae", "Leistes superciliaris", "Pseudoleistes guirahuro", "Pseudoleistes virescens", "Hypopyrrhus pyrohypogaster", "Gnorimopsar chopi", "Agelaioides badius", "Oreopsar bolivianus", "Lampropsar tanagrinus", "Quiscalus quiscula", "Quiscalus major", "Quiscalus mexicanus", "Emys orbicularis", "Quiscalus palustris", "Quiscalus nicaraguensis", "Quiscalus niger", "Quiscalus lugubris", "Molothrus rufoaxillaris", "Molothrus bonariensis", "Molothrus aeneus", "Molothrus ater", "Molothrus oryzivorus", "Molothrus armenti", "Macroagelaius imthurni", "Macroagelaius subalaris", "Conirostrum speciosum", "Conirostrum leucogenys", "Conirostrum bicolor", "Conirostrum margaritae", "Conirostrum cinereum", "Conirostrum tamarugense", "Conirostrum ferrugineiventre", "Conirostrum rufum", "Conirostrum sitticolor", "Conirostrum albifrons", "Conirostrum binghami", "Orchesticus abeillei", "Schistochlamys ruficapillus", "Schistochlamys melanopis", "Neothraupis fasciata", "Cypsnagra hirundinacea", "Conothraupis speculigera", "Conothraupis mesoleuca", "Lamprospiza melanoleuca", "Cissopis leverianus", "Chlorornis riefferii", "Compsothraupis loricata", "Sericossypha albocristata", "Nesospingus speculiferus", "Chlorospingus flavopectus ophthalmicus", "Chlorospingus tacarcunae", "Chlorospingus inornatus", "Chlorospingus semifuscus", "Chlorospingus pileatus", "Chlorospingus parvirostris", "Chlorospingus flavigularis", "Bangsia flavovirens", "Chlorospingus canigularis", "Cnemoscopus rubrirostris", "Kleinothraupis atropileus", "Kleinothraupis calophrys", "Kleinothraupis parodii", "Thlypopsis superciliaris", "Kleinothraupis reyi", "Sphenopsis frontalis", "Sphenopsis melanotis", "Poospiza goeringi", "Poospiza rufosuperciliaris", "Pseudospingus verticalis", "Pseudospingus xanthophthalmus", "Microspingus trifasciatus", "Kleinothraupis auricularis", "Sphenopsis piurae", "Thlypopsis pyrrhocoma", "Thlypopsis fulviceps", "Thlypopsis ornata", "Thlypopsis pectoralis", "Thlypopsis sordida", "Thlypopsis inornata", "Thlypopsis ruficeps", "Hemithraupis guira", "Hemithraupis ruficapilla", "Hemithraupis flavicollis", "Chrysothlypis chrysomelas", "Chrysothlypis salmoni", "Nemosia pileata", "Nemosia rourei", "Phaenicophilus palmarum", "Phaenicophilus poliocephalus", "Calyptophilus frugivorus", "Calyptophilus tertius", "Rhodinocichla rosea", "Mitrospingus cassinii", "Mitrospingus oleagineus", "Chlorothraupis carmioli", "Chlorothraupis olivacea", "Chlorothraupis stolzmanni", "Lacerta agilis", "Podarcis muralis", "Lacerta viridis", "Zootoca vivipara", "Anguis fragilis", "Natrix natrix", "Natrix tessellata", "Orthogonys chloricterus", "Eucometis penicillata", "Ramphocelus passerinii", "Ramphocelus passerinii costaricensis", "Ramphocelus flammigerus", "Ramphocelus dimidiatus", "Ramphocelus icteronotus", "Spindalis zena", "Spindalis nigricephala", "Spindalis dominicensis", "Spindalis portoricensis", "Thraupis episcopus", "Thraupis glaucocolpa", "Thraupis sayaca", "Thraupis cyanoptera", "Thraupis ornata", "Thraupis abbas", "Thraupis palmarum", "Sporathraupis cyanocephala", "Rauenia bonariensis", "Cyanicterus cyanicterus", "Bangsia arcaei", "Bangsia melanochlamys", "Bangsia rothschildi", "Bangsia edwardsi", "Bangsia aureocincta", "Buthraupis montana", "Cnemathraupis eximia", "Cnemathraupis aureodorsalis", "Tephrophilus wetmorei", "Wetmorethraupis sterrhopteron", "Anisognathus melanogenys", "Anisognathus lacrymosus", "Anisognathus somptuosus", "Anisognathus igniventris", "Anisognathus notabilis", "Stephanophorus diadematus", "Iridosornis porphyrocephalus", "Iridosornis analis", "Iridosornis jelskii", "Iridosornis rufivertex", "Iridosornis reinhardti", "Lanio fulvus", "Lanio versicolor", "Lanio aurantius", "Lanio leucothorax", "Coronella austriaca", "Vipera berus", "Creurgops verticalis", "Creurgops dentatus", "Heterospingus rubrifrons", "Heterospingus xanthopygius", "Loriotus cristatus", "Loriotus rufiventer", "Tachyphonus surinamus", "Loriotus luctuosus", "Tachyphonus coronatus", "Tachyphonus rufus", "Tachyphonus phoenicius", "Tachyphonus delatrii", "Trichothraupis melanops", "Habia rubica", "Habia fuscicauda", "Habia gutturalis", "Habia atrimaxillaris", "Habia cristata", "Piranga bidentata", "Piranga flava", "Piranga roseogularis", "Piranga olivacea", "Piranga ludoviciana", "Piranga leucoptera", "Piranga erythrocephala", "Piranga rubriceps", "Piranga rubra", "Piranga hepatica", "Piranga lutea", "Calochaetes coccineus", "Ramphocelus sanguinolentus", "Ramphocelus nigrogularis", "Ramphocelus melanogaster", "Ramphocelus carbo", "Ramphocelus bresilia", "Dubusia taeniata", "Dubusia castaneoventris", "Pipraeidea melanonota", "Euphonia jamaica", "Euphonia plumbea", "Euphonia affinis", "Euphonia luteicapilla", "Euphonia chlorotica", "Euphonia trinitatis", "Euphonia concinna", "Euphonia saturata", "Euphonia finschi", "Euphonia violacea", "Euphonia laniirostris", "Euphonia hirundinacea", "Euphonia chalybea", "Euphonia elegantissima", "Euphonia musica", "Euphonia cyanocephala", "Euphonia imitans", "Euphonia fulvicrissa", "Euphonia gouldi", "Euphonia chrysopasta", "Euphonia mesochrysa", "Euphonia minuta", "Euphonia anneae", "Euphonia xanthogaster", "Euphonia rufiventris", "Euphonia cayennensis", "Euphonia pectoralis", "Chlorophonia flavirostris", "Chlorophonia cyanea", "Chlorophonia pyrrhophrys", "Chlorophonia occipitalis", "Chlorophonia callophrys", "Chlorochrysa phoenicotis", "Chlorochrysa calliparaea", "Chlorochrysa nitidissima", "Tangara inornata", "Tangara mexicana", "Poecilostreptus cabanisi", "Poecilostreptus palmeri", "Tangara chilensis", "Tangara fastuosa", "Tangara seledon", "Tangara cyanocephala", "Tangara desmaresti", "Tangara cyanoventris", "Tangara johannae", "Tangara schrankii", "Tangara florida", "Cinclocerthia gutturalis", "Cinclocerthia ruficauda", "Dumetella carolinensis", "Margarops fuscatus", "Allenia fusca", "Melanoptila glabrirostris", "Melanotis caerulescens", "Melanotis hypoleucus", "Mimus graysoni", "Mimus dorsalis", "Mimus gilvus", "Mimus gundlachii", "Mimus longicaudatus", "Mimus patagonicus", "Mimus polyglottos", "Mimus saturninus", "Mimus thenca", "Mimus triurus", "Mimus macdonaldi", "Mimus melanotis", "Mimus parvulus", "Mimus trifasciatus", "Oreoscoptes montanus", "Ramphocinclus brachyurus", "Toxostoma arenicola", "Toxostoma bendirei", "Toxostoma cinereum", "Toxostoma crissale", "Toxostoma curvirostre", "Toxostoma guttatum", "Toxostoma lecontei", "Toxostoma longirostre", "Toxostoma ocellatum", "Tersina viridis", "Catamblyrhynchus diadema", "Oreothraupis arremonops", "Urothraupis stolzmanni", "Nephelornis oneilli", "Hesperiphona vespertina", "Hesperiphona abeillei", "Dulus dominicus", "Ptiliogonys cinereus", "Ptiliogonys caudatus", "Phainopepla nitens", "Phainoptila melanoxantha", "Bombycilla garrulus", "Bombycilla japonica", "Bombycilla cedrorum", "Cinclus cinclus", "Cinclus pallasii", "Cinclus mexicanus", "Cinclus leucocephalus", "Cinclus schulzii", "Onychognathus blythii", "Onychognathus frater", "Onychognathus fulgidus", "Onychognathus morio", "Onychognathus nabouroup", "Onychognathus neumanni", "Onychognathus salvadorii", "Onychognathus tenuirostris", "Onychognathus tristramii", "Onychognathus walleri", "Poeoptera kenricki", "Poeoptera lugubris", "Poeoptera stuhlmanni", "Sarcops calvus", "Hartlaubius auratus", "Saroglossa spiloptera", "Scissirostrum dubium", "Speculipastor bicolor", "Lamprotornis albicapillus", "Lamprotornis bicolor", "Lamprotornis fischeri", "Streptocitta albertinae", "Streptocitta albicollis", "Acridotheres burmannicus", "Spodiopsar cineraceus", "Gracupica contra", "Sturnia erythropygia", "Sturnia malabarica", "Acridotheres melanopterus", "Gracupica nigricollis", "Sturnia pagodarum", "Agropsar philippensis", "Pastor roseus", "Sturnornis albofrontatus", "Spodiopsar sericeus", "Sturnia sinensis", "Agropsar sturninus", "Sturnus unicolor", "Sturnus vulgaris", "Mimus gilvus magnirostris", "Chordodes morgani", "Euchordodes libellulovivens", "Poeoptera sharpii", "Lamprotornis iris", "Lamprotornis regius", "Lamprotornis unicolor", "Creatophora cinerea", "Enodes erythrophris", "Fregilupus varius", "Gracula enganensis", "Gracula indica", "Gracula ptilogenys", "Gracula religiosa", "Gracula robusta", "Grafisia torquata", "Lamprotornis acuticaudus", "Lamprotornis australis", "Lamprotornis caudatus", "Lamprotornis chalcurus", "Lamprotornis chalybaeus", "Lamprotornis chloropterus", "Notopholia corrusca", "Hylopsar cupreocauda", "Lamprotornis elisabeth", "Lamprotornis hildebrandti", "Lamprotornis mevesii", "Lamprotornis nitens", "Lamprotornis ornatus", "Lamprotornis pulcher", "Hylopsar purpureiceps", "Lamprotornis purpureus", "Lamprotornis purpuroptera", "Lamprotornis shelleyi", "Lamprotornis splendidus", "Lamprotornis superbus", "Leucopsar rothschildi", "Mino anais", "Mino dumontii", "Mino kreffti", "Necropsar rodericanus", "Neocichla gutturalis", "Onychognathus albirostris", "Spinochordodes bacescui", "Spinochordodes tellinii", "Spinochordodes baeri", "Pantachordodes europaeus", "Alethe castanea", "Chamaetylas choloensis", "Alethe diademata", "Chamaetylas fuelleborni", "Chamaetylas poliocephala", "Chamaetylas poliophrys", "Brachypteryx hyperythra", "Brachypteryx leucophris", "Sholicola major", "Brachypteryx montana", "Heteroxenicus stellatus", "Cataponera turdoides", "Catharus aurantiirostris", "Catharus bicknelli", "Catharus dryas", "Catharus frantzii", "Catharus fuscater", "Catharus fuscescens", "Catharus gracilirostris", "Catharus guttatus", "Catharus mexicanus", "Catharus minimus", "Catharus occidentalis", "Catharus ustulatus", "Chlamydochaera jefferyi", "Beatogordius echinatus", "Turdus lherminieri", "Cichlopsis leucogenys", "Toxostoma redivivum", "Toxostoma rufum", "Quercus faginea", "Quercus pyrenaica", "Quercus suber", "Equus africanus", "Equus hemionus onager", "Equus ferus", "Acridotheres albocinctus", "Acridotheres cinereus", "Acridotheres cristatellus", "Acridotheres fuscus", "Acridotheres ginginianus", "Acridotheres grandis", "Acridotheres tristis", "Ampeliceps coronatus", "Aplonis atrifusca", "Aplonis brunneicapillus", "Aplonis cantoroides", "Aplonis cinerascens", "Aplonis corvina", "Aplonis crassa", "Aplonis dichroa", "Aplonis feadensis", "Aplonis fusca", "Aplonis grandis", "Aplonis insularis", "Aplonis magna", "Aplonis mavornata", "Aplonis metallica", "Aplonis minor", "Aplonis mysolensis", "Aplonis mystacea", "Aplonis opaca", "Aplonis panayensis", "Aplonis pelzelni", "Aplonis santovestris", "Aplonis striata", "Aplonis tabuensis", "Aplonis zelandica", "Basilornis celebensis", "Basilornis corythaix", "Basilornis galeatus", "Basilornis mirandus", "Buphagus africanus", "Buphagus erythrorynchus", "Poeoptera femoralis", "Cinnyricinclus leucogaster", "Tangara arthus", "Tangara icterocephala", "Tangara xanthocephala", "Tangara chrysotis", "Tangara parzudakii", "Ixothraupis guttata", "Ixothraupis varia", "Ixothraupis rufigula", "Tangara gyrola", "Tangara lavinia", "Stilpnia cayana", "Stilpnia cucullata", "Stilpnia peruviana", "Stilpnia preciosa", "Stilpnia vitriolina", "Stilpnia meyerdeschauenseei", "Tangara rufigenis", "Chalcothraupis ruficervix", "Tangara labradorides", "Tangara cyanotis", "Stilpnia cyanicollis", "Stilpnia larvata", "Stilpnia nigrocincta", "Tangara dowii", "Tangara fucosa", "Tangara nigroviridis", "Tangara vassorii", "Stilpnia heinei", "Stilpnia phillipsi", "Stilpnia viridicollis", "Stilpnia argyrofenges", "Stilpnia cyanoptera", "Tangara velia", "Tangara callophrys", "Ixothraupis xanthogastra", "Ixothraupis punctata", "Tangara mexicana brasiliensis", "Iridophanes pulcherrimus", "Dacnis hartlaubi", "Dacnis albiventris", "Dacnis lineata", "Dacnis flaviventer", "Dacnis nigripes", "Dacnis venusta", "Dacnis cayana", "Dacnis viguieri", "Dacnis berlepschi", "Chlorophanes spiza", "Cyanerpes nitidus", "Cyanerpes lucidus", "Cyanerpes caeruleus", "Cyanerpes cyaneus", "Xenodacnis parina", "Entomodestes coracinus", "Entomodestes leucotis", "Zoothera heinrichi", "Heinrichia calligyna", "Hylocichla mustelina", "Monticola angolensis", "Monticola brevipes", "Monticola cinclorhyncha", "Monticola explorator", "Monticola gularis", "Monticola brevipes pretoriae", "Monticola rufiventris", "Monticola rufocinereus", "Monticola rupestris", "Monticola saxatilis", "Monticola solitarius", "Myadestes coloratus", "Myadestes elisabeth", "Myadestes genibarbis", "Myadestes lanaiensis", "Myadestes melanops", "Myadestes myadestinus", "Myadestes oahensis", "Myadestes obscurus", "Myadestes occidentalis", "Myadestes palmeri", "Myadestes ralloides", "Myadestes townsendi", "Myadestes unicolor", "Myophonus blighi", "Myophonus borneensis", "Myophonus caeruleus", "Myophonus castaneus", "Myophonus glaucinus", "Myophonus horsfieldii", "Myophonus insularis", "Myophonus melanurus", "Myophonus robinsoni", "Stizorhina finschi", "Stizorhina fraseri", "Neocossyphus poensis", "Neocossyphus rufus", "Turdus eremita", "Turdus flavipes", "Enicurus maculatus", "Enicurus ruficapillus", "Enicurus schistaceus", "Enicurus scouleri", "Enicurus velatus", "Larvivora akahige", "Larvivora komadori", "Erithacus rubecula", "Eumyias albicaudatus", "Eumyias indigo", "Eumyias panayensis", "Eumyias sordidus", "Eumyias thalassinus", "Ficedula albicilla", "Ficedula albicollis", "Ficedula basilanica", "Ficedula elisae", "Ficedula bonthaina", "Ficedula buruensis", "Ficedula crypta", "Ficedula disposita", "Ficedula dumetoria", "Ficedula harterti", "Ficedula henrici", "Ficedula hodgsonii", "Ficedula hyperythra", "Ficedula hypoleuca", "Anthipes monileger", "Ficedula mugimaki", "Ficedula narcissina", "Ficedula nigrorufa", "Ficedula parva", "Ficedula platenae", "Ficedula rufigula", "Ficedula sapphira", "Ficedula semitorquata", "Anthipes solitaris", "Ficedula speculigera", "Ficedula strophiata", "Ficedula subrubra", "Ficedula superciliaris", "Ficedula timorensis", "Ficedula tricolor", "Ficedula westermanni", "Ficedula zanthopygia", "Fraseria cinerascens", "Fraseria ocreata", "Grandala coelicolor", "Luscinia phoenicuroides", "Horizorhinus dohrni", "Copsychus albospecularis", "Copsychus cebuensis", "Copsychus luzoniensis", "Copsychus malabaricus", "Copsychus niger", "Copsychus saularis", "Copsychus sechellarum", "Copsychus stricklandii", "Cossypha albicapillus", "Cossypha anomala", "Cossypha archeri", "Cossypha caffra", "Cossypha cyanocampter", "Cossypha dichroa", "Cossypha heinrichi", "Cossypha heuglini", "Cossypha humeralis", "Cossypha isabellae", "Cossypha natalensis", "Cossypha niveicapilla", "Cossypha polioptera", "Cossyphicula roberti", "Cossypha semirufa", "Culicicapa ceylonensis", "Culicicapa helianthea", "Cyanoptila cyanomelana", "Cyornis banyumas", "Cyornis caerulatus", "Cyornis concretus", "Cyornis hainanus", "Cyornis herioti", "Cyornis hoevelli", "Cyornis hyacinthinus", "Cyornis lemprieri", "Cyornis omissus", "Cyornis pallidipes", "Cyornis poliogenys", "Cyornis rubeculoides", "Cyornis ruckii", "Cyornis rufigastra", "Cyornis sanfordi", "Cyornis superbus", "Cyornis tickelliae", "Cyornis turcosus", "Cyornis unicolor", "Melaenornis brunneus", "Melaenornis chocolatinus", "Melaenornis fischeri", "Empidornis semipartitus", "Enicurus immaculatus", "Enicurus leschenaulti", "Paragordius tricuspidatus", "Meconema thalassinum", "Melaenornis infuscatus", "Melaenornis mariquensis", "Melaenornis microrhynchus", "Melaenornis pallidus", "Melaenornis microrhynchus pumilus", "Oenanthe dubia", "Oenanthe familiaris", "Oenanthe fusca", "Oenanthe melanura", "Emarginata schlegelii", "Oenanthe scotocerca", "Emarginata sinuata", "Pinarochroa sordida", "Emarginata tractrac", "Cercotrichas barbata", "Cercotrichas coryphoeus", "Cercotrichas galactotes", "Cercotrichas hartlaubi", "Cercotrichas leucophrys", "Cercotrichas leucosticta", "Cercotrichas galactotes minor", "Cercotrichas paena", "Cercotrichas podobe", "Cercotrichas quadrivirgata", "Cercotrichas signata", "Phoenicurus leucocephalus", "Cichladusa arquata", "Cichladusa guttata", "Cichladusa ruficauda", "Myiomela diana", "Cinclidium frontale", "Myiomela leucura", "Cochoa azurea", "Cochoa beccarii", "Cochoa purpurea", "Cochoa viridis", "Emberiza rustica", "Emberiza elegans", "Emberiza aureola", "Emberiza rutila", "Emberiza flaviventris", "Emberiza poliopleura", "Emberiza cabanisi", "Emberiza melanocephala", "Emberiza bruniceps", "Emberiza spodocephala", "Emberiza variabilis", "Emberiza pallasi", "Emberiza schoeniclus", "Emberiza yessoensis", "Emberiza calandra", "Emberiza affinis", "Emberiza sulphurata", "Emberiza sahari", "Emberiza vincenti", "Diglossa indigotica", "Diglossa glauca", "Diglossa caerulescens", "Diglossa cyanea", "Pelobates fuscus", "Coereba flaveola", "Cacicus oseryi", "Psarocolius decumanus", "Psarocolius viridis", "Psarocolius atrovirens", "Psarocolius angustifrons", "Psarocolius wagleri", "Cacicus latirostris", "Humblotia flavirostris", "Irania gutturalis", "Larvivora brunnea", "Calliope calliope", "Larvivora cyane", "Luscinia luscinia", "Luscinia megarhynchos", "Calliope obscura", "Calliope pectardens", "Calliope pectoralis", "Larvivora ruficeps", "Larvivora sibilans", "Luscinia svecica", "Melaenornis annamarulae", "Melaenornis ardesiacus", "Melaenornis edolioides", "Melaenornis pammelaina", "Muscicapa adusta", "Muscicapa aquatica", "Muscicapa boehmi", "Muscicapa caerulescens", "Muscicapa cassini", "Muscicapa comitata", "Muscicapa dauurica", "Muscicapa epulata", "Muscicapa ferruginea", "Muscicapa gambagae", "Muscicapa griseisticta", "Muscicapa infuscata", "Muscicapa itombwensis", "Muscicapa lendu", "Muscicapa muttui", "Muscicapa olivascens", "Muscicapa randi", "Ficedula ruficauda", "Muscicapa segregata", "Muscicapa sethsmithi", "Muscicapa sibirica", "Muscicapa striata", "Muscicapa tessmanni", "Muscicapa ussheri", "Muscicapa williamsoni", "Muscicapella hodgsoni", "Myioparus griseigularis", "Myioparus plumbeus", "Myrmecocichla aethiops", "Oenanthe albifrons", "Myrmecocichla arnotti", "Myrmecocichla formicivora", "Myrmecocichla melaena", "Vauriella gularis", "Vauriella insignis", "Cyornis olivaceus", "Cyornis oscillans", "Cyornis ruficauda", "Cyornis umbratilis", "Phoenicurus bicolor", "Phoenicurus fuliginosus", "Campicoloides bifasciatus", "Saxicola caprata", "Saxicola dacotiae", "Saxicola ferreus", "Saxicola gutturalis", "Saxicola insignis", "Saxicola jerdoni", "Saxicola leucurus", "Saxicola macrorhynchus", "Saxicola maurus", "Saxicola rubetra", "Saxicola rubicola", "Saxicola tectes", "Saxicola torquatus", "Copsychus fulicatus", "Sheppardia aequatorialis", "Sheppardia aurantiithorax", "Sheppardia bocagei", "Sheppardia cyornithopsis", "Sheppardia gabela", "Sheppardia gunningi", "Sheppardia lowei", "Sheppardia montana", "Sheppardia poensis", "Sheppardia sharpei", "Melaenornis silens", "Stiphrornis erythrothorax", "Stiphrornis erythrothorax xanthogaster", "Swynnertonia swynnertoni", "Tarsiger chrysaeus", "Tarsiger cyanurus", "Tarsiger hyperythrus", "Tarsiger indicus", "Tarsiger johnstoniae", "Thamnolaea cinnamomeiventris", "Thamnolaea coronata", "Monticola semirufus", "Copsychus pyrropygus", "Cyanistes cyanus flavipectus", "Melaniparus fringillinus", "Melaniparus funereus", "Poecile gambeli", "Melaniparus griseiventris", "Melaniparus guineensis", "Machlolophus holsti", "Poecile hypermelaenus", "Melaniparus leucomelas", "Melaniparus leuconotus", "Poecile lugubris", "Parus major", "Periparus ater melanolophus", "Parus monticolus", "Melaniparus niger", "Machlolophus nuchalis", "Melaniparus pallidiventris", "Poecile palustris", "Periparus rubidiventris", "Poecile rufescens", "Melaniparus rufiventris", "Periparus rufonuchalis", "Poecile sclateri", "Sittiparus semilarvatus", "Machlolophus spilonotus", "Cyanistes teneriffae", "Melaniparus thruppi", "Pardaliparus venustulus", "Machlolophus xanthogenys", "Sylviparus modestus", "Tarsius dianae", "Tarsius spectrum", "Atticora fasciata", "Atticora melanoleuca", "Cheramoeca leucosterna", "Myrmecocichla nigra", "Myrmecocichla tholloni", "Namibornis herero", "Niltava davidi", "Niltava grandis", "Niltava macgrigoriae", "Niltava sumatrana", "Niltava sundara", "Niltava vivida", "Oenanthe albonigra", "Oenanthe bottae", "Oenanthe chrysopygia", "Oenanthe cypriaca", "Oenanthe deserti", "Oenanthe finschii", "Oenanthe heuglini", "Oenanthe hispanica", "Oenanthe isabellina", "Oenanthe leucopyga", "Oenanthe leucura", "Oenanthe lugens", "Oenanthe lugentoides", "Oenanthe lugubris", "Oenanthe moesta", "Oenanthe monacha", "Myrmecocichla monticola", "Oenanthe oenanthe", "Oenanthe phillipsi", "Oenanthe picata", "Oenanthe pileata", "Oenanthe pleschanka", "Oenanthe xanthoprymna", "Phoenicurus alaschanicus", "Phoenicurus auroreus", "Phoenicurus coeruleocephala", "Phoenicurus erythrogastrus", "Phoenicurus erythronotus", "Phoenicurus frontalis", "Phoenicurus hodgsoni", "Phoenicurus moussieri", "Phoenicurus ochruros", "Phoenicurus phoenicurus", "Phoenicurus schisticeps", "Pinarornis plumosus", "Pogonocichla stellata", "Eumyias additus", "Vauriella albigularis", "Cyornis brunneatus", "Cyornis colonus", "Vauriella goodfellowi", "Sitta victoriae", "Sitta villosa", "Sitta whiteheadi", "Sitta yunnanensis", "Tichodroma muraria", "Certhia americana", "Certhia brachydactyla", "Certhia discolor", "Certhia familiaris", "Certhia himalayana", "Certhia nipalensis", "Certhia tianquanensis", "Salpornis spilonota", "Anthoscopus caroli", "Anthoscopus flavifrons", "Anthoscopus minutus", "Anthoscopus musculus", "Anthoscopus parvulus", "Anthoscopus punctifrons", "Anthoscopus sylviella", "Cephalopyrus flammiceps", "Pholidornis rushiae", "Remiz consobrinus", "Remiz coronatus", "Remiz macronyx", "Remiz pendulinus", "Auriparus flaviceps", "Microbates cinereiventris", "Microbates collaris", "Polioptila albiloris", "Polioptila caerulea", "Polioptila californica", "Polioptila clementsi", "Polioptila dumicola", "Polioptila guianensis", "Polioptila lactea", "Polioptila lembeyei", "Polioptila melanura", "Monotrematum sudamericanum", "Polioptila nigriceps", "Polioptila paraensis", "Polioptila plumbea", "Polioptila schistaceigula", "Ramphocaenus melanurus", "Baeolophus atricristatus", "Baeolophus bicolor", "Baeolophus inornatus", "Baeolophus ridgwayi", "Baeolophus wollweberi", "Melanochlora sultanea", "Melaniparus afer", "Melaniparus albiventris", "Pardaliparus amabilis", "Periparus ater", "Poecile atricapillus", "Parus major bokharensis", "Cyanistes caeruleus", "Poecile carolinensis", "Melaniparus carpi", "Melaniparus cinerascens", "Lophophanes cristatus", "Cyanistes cyanus", "Poecile davidi", "Lophophanes dichrous", "Pardaliparus elegans", "Melaniparus fasciiventer", "Delichon dasypus", "Delichon nipalense", "Delichon urbicum", "Haplochelidon andecola", "Cecropis abyssinica", "Hirundo aethiopica", "Hirundo albigularis", "Hirundo angolensis", "Hirundo atrocaerulea", "Cecropis cucullata", "Cecropis daurica", "Hirundo dimidiata", "Cecropis domicella", "Hirundo domicola", "Pseudhirundo griseopyga", "Hirundo leucosoma", "Hirundo lucida", "Hirundo megaensis", "Hirundo neoxena", "Hirundo nigrita", "Hirundo nigrorufa", "Petrochelidon perdita", "Petrochelidon preussi", "Petrochelidon rufigula", "Hirundo rustica", "Cecropis semirufa", "Cecropis senegalensis", "Hirundo smithii", "Petrochelidon spilodera", "Cecropis striolata", "Hirundo tahitica", "Neochelidon tibialis", "Notiochelidon cyanoleuca", "Notiochelidon flavipes", "Notiochelidon murina", "Notiochelidon pileata", "Petrochelidon ariel", "Petrochelidon fluvicola", "Petrochelidon fuliginosa", "Petrochelidon fulva", "Petrochelidon nigricans", "Petrochelidon pyrrhonota", "Petrochelidon rufocollaris", "Aphelia nutans", "Aphelia cyperoides", "Aphelia gracilis", "Aphelia pumilio", "Hypocolius ampelinus", "Rhabdornis grandis", "Rhabdornis inornatus", "Rhabdornis mystacalis", "Phedina borbonica", "Phedina brazzae", "Progne chalybea", "Progne cryptoleuca", "Progne dominicensis", "Progne elegans", "Progne modesta", "Progne murphyi", "Progne sinaloae", "Progne subis", "Progne tapera", "Psalidoprocne albiceps", "Psalidoprocne antinorii", "Psalidoprocne chalybea", "Psalidoprocne fuliginosa", "Psalidoprocne holomelas", "Psalidoprocne mangbettorum", "Psalidoprocne nitens", "Psalidoprocne obscura", "Psalidoprocne oleaginea", "Psalidoprocne orientalis", "Psalidoprocne petiti", "Psalidoprocne pristoptera", "Pseudochelidon eurystomina", "Pseudochelidon sirintarae", "Riparia cincta", "Riparia congica", "Riparia paludicola", "Riparia riparia", "Alopochelidon fucata", "Stelgidopteryx ruficollis", "Stelgidopteryx serripennis", "Tachycineta albilinea", "Tachycineta albiventer", "Tachycineta bicolor", "Tachycineta cyaneoviridis", "Tachycineta euchrysea", "Tachycineta leucorrhoa", "Tachycineta leucopyga", "Tachycineta stolzmanni", "Tachycineta thalassina", "Pseudopodoces humilis", "Cossypha ansorgei", "Aegithalos bonvaloti", "Aegithalos caudatus", "Aegithalos concinnus", "Aegithalos fuliginosus", "Aegithalos iouschistos", "Aegithalos leucogenys", "Aegithalos niveogularis", "Aegithalos exilis", "Psaltriparus minimus", "Regulus calendula", "Regulus goodfellowi", "Regulus regulus", "Regulus satrapa", "Regulus regulus teneriffae", "Sitta azurea", "Sitta canadensis", "Sitta carolinensis", "Sitta cashmirensis", "Sitta castanea", "Sitta europaea", "Sitta formosa", "Sitta frontalis", "Sitta himalayensis", "Sitta krueperi", "Sitta ledanti", "Sitta leucopsis", "Sitta magna", "Sitta nagaensis", "Sitta neumayer", "Sitta oenochlamys", "Sitta pusilla", "Sitta pygmaea", "Sitta solangiae", "Sitta tephronota", "Turdus leucops", "Monticola sharpei bensoni", "Monticola imerina", "Monticola sharpei", "Turdus litsitsirupa", "Sialia currucoides", "Sialia sialis", "Turdus albicollis", "Turdus albocinctus", "Turdus amaurochalinus", "Turdus assimilis", "Turdus aurantius", "Turdus bewsheri", "Turdus boulboul", "Turdus cardis", "Turdus celaenops", "Turdus chiguanco", "Turdus chrysolaus", "Turdus dissimilis", "Turdus eunomus", "Turdus falcklandii", "Turdus feae", "Turdus fulviventris", "Turdus fumigatus", "Turdus fuscater", "Turdus grayi", "Turdus graysoni", "Turdus haplochrous", "Turdus hauxwelli", "Turdus hortulorum", "Turdus ignobilis", "Turdus iliacus", "Turdus infuscatus", "Turdus jamaicensis", "Turdus kessleri", "Turdus lawrencii", "Turdus leucomelas", "Turdus libonyana", "Turdus maculirostris", "Turdus maranonicus", "Turdus menachensis", "Turdus merula", "Turdus migratorius", "Turdus mupinensis", "Turdus naumanni", "Turdus nigrescens", "Turdus nigriceps", "Turdus nudigenis", "Turdus obscurus", "Turdus obsoletus", "Turdus olivaceofuscus", "Turdus olivaceus", "Turdus olivater", "Turdus pallidus", "Turdus pelios", "Turdus philomelos", "Turdus pilaris", "Turdus plebejus", "Turdus plumbeus", "Turdus poliocephalus", "Turdus ravidus", "Turdus reevei", "Turdus rubrocanus", "Turdus ruficollis", "Turdus rufitorques", "Turdus rufiventris", "Turdus rufopalliatus", "Turdus serranus", "Turdus subalaris", "Turdus swalesi", "Turdus tephronotus", "Turdus torquatus", "Turdus unicolor", "Turdus viscivorus", "Zoothera andromedae", "Zoothera aurea", "Geokichla camaronensis", "Geokichla cinerea", "Geokichla citrina", "Geokichla crossleyi", "Zoothera dauma", "Zoothera dixoni", "Geokichla dohertyi", "Geokichla dumasi", "Geokichla erythronota", "Zoothera everetti", "Geokichla gurneyi", "Geokichla guttata", "Zoothera heinei", "Zoothera dauma horsfieldi", "Geokichla interpres", "Geokichla joiceyi", "Geokichla camaronensis kibalensis", "Geokichla leucolaema", "Zoothera lunulata", "Zoothera machiki", "Zoothera major", "Zoothera margaretae", "Zoothera marginata", "Geokichla mendeni", "Zoothera mollissima", "Zoothera monticola", "Ixoreus naevius", "Geokichla oberlaenderi", "Geokichla peronii", "Geokichla piaggiae", "Ridgwayia pinicola", "Geokichla princei", "Geokichla schistacea", "Geokichla sibirica", "Geokichla spiloptera", "Zoothera talaseae", "Geokichla piaggiae tanganjicae", "Zoothera terrestris", "Geokichla wardii", "Apalis alticola", "Apalis argentea", "Apalis bamendae", "Apalis binotata", "Apalis chapini", "Apalis chariessa", "Apalis chirindensis", "Apalis cinerea", "Apalis flavida", "Apalis goslingi", "Apalis jacksoni", "Apalis kaboboensis", "Apalis karamojae", "Apalis melanocephala", "Apalis nigriceps", "Apalis personata", "Apalis porphyrolaema", "Apalis ruddi", "Apalis rufogularis", "Apalis sharpei", "Apalis thoracica", "Calamonastes fasciolatus", "Calamonastes simplex", "Calamonastes stierlingi", "Calamonastes undosus", "Camaroptera brachyura", "Camaroptera chloronota", "Camaroptera harterti", "Camaroptera superciliaris", "Cisticola aberdare", "Cisticola aberrans", "Cisticola angolensis", "Cisticola angusticauda", "Cisticola anonymus", "Cisticola aridulus", "Cisticola ayresii", "Cisticola bodessa", "Cisticola brachypterus", "Cisticola brunnescens", "Cisticola bulliens", "Cisticola cantans", "Cisticola carruthersi", "Cisticola cherina", "Cisticola chiniana", "Cisticola chubbi", "Cisticola cinereolus", "Prinia rufescens", "Prinia socialis", "Prinia somalica", "Prinia subflava", "Prinia sylvatica", "Rhopophilus pekinensis", "Scotocerca inquieta", "Spiloptila clamans", "Urolais epichlorus", "Urorhipis rufifrons", "Acritillas indica", "Alophoixus bres", "Alophoixus finschii", "Alophoixus flaveolus", "Alophoixus ochraceus", "Alophoixus pallidus", "Alophoixus phaeocephalus", "Andropadus ansorgei", "Andropadus chlorigula", "Andropadus curvirostris", "Andropadus fusciceps", "Andropadus gracilirostris", "Andropadus gracilis", "Andropadus hallae", "Andropadus importunus", "Andropadus kakamegae", "Andropadus latirostris", "Andropadus masukuensis", "Andropadus milanjensis", "Andropadus montanus", "Andropadus nigriceps", "Andropadus olivaceiceps", "Andropadus tephrolaemus", "Andropadus virens", "Baeopogon clamans", "Baeopogon indicator", "Bleda canicapillus", "Bleda eximius", "Bleda notatus", "Bleda syndactylus", "Calyptocichla serina", "Cerasophila thompsoni", "Chlorocichla falkensteini", "Chlorocichla flavicollis", "Chlorocichla flaviventris", "Chlorocichla laetissima", "Chlorocichla prigoginei", "Chlorocichla simplex", "Criniger barbatus", "Criniger calurus", "Criniger chloronotus", "Criniger ndussumensis", "Criniger olivaceus", "Hemixos castanonotus", "Hemixos flavala", "Hypsipetes borbonicus", "Hypsipetes crassirostris", "Hypsipetes leucocephalus", "Hypsipetes madagascariensis", "Hypsipetes olivaceus", "Hypsipetes parvirostris", "Iole olivacea", "Iole palawanensis", "Iole propinqua", "Iole virescens", "Ixonotus guttatus", "Ixos everetti", "Ixos malaccensis", "Ixos mcclellandii", "Ixos nicobariensis", "Ixos philippinus", "Ixos rufigularis", "Ixos siquijorensis", "Ixos virescens", "Malia grata", "Hypsipetes amaurotis", "Neolestes torquatus", "Nicator chloris", "Nicator gularis", "Nicator vireo", "Phyllastrephus albigularis", "Phyllastrephus alfredi", "Phyllastrephus apperti", "Phyllastrephus baumanni", "Phyllastrephus cabanisi", "Phyllastrephus cerviniventris", "Phyllastrephus cinereiceps", "Phyllastrephus debilis", "Phyllastrephus fischeri", "Phyllastrephus flavostriatus", "Phyllastrephus fulviventris", "Phyllastrephus hypochloris", "Phyllastrephus icterinus", "Phyllastrephus lorenzi", "Bernieria madagascariensis", "Phyllastrephus placidus", "Phyllastrephus poensis", "Phyllastrephus poliocephalus", "Phyllastrephus scandens", "Phyllastrephus strepitans", "Phyllastrephus tenebrosus", "Phyllastrephus terrestris", "Phyllastrephus xavieri", "Phyllastrephus zosterops", "Pycnonotus atriceps", "Pycnonotus aurigaster", "Pycnonotus barbatus", "Pycnonotus bimaculatus", "Pycnonotus blanfordi", "Pycnonotus brunneus", "Pycnonotus cafer", "Pycnonotus capensis", "Pycnonotus cyaniventris", "Pycnonotus dodsoni", "Pycnonotus erythropthalmos", "Pycnonotus eutilotus", "Pycnonotus finlaysoni", "Pycnonotus flavescens", "Pycnonotus goiavier", "Pycnonotus jocosus", "Pycnonotus leucogenys", "Pycnonotus leucogrammicus", "Pycnonotus leucotis", "Pycnonotus luteolus", "Pycnonotus melanicterus", "Pycnonotus melanoleucos", "Pycnonotus nieuwenhuisii", "Cisticola cinnamomeus", "Cisticola dambo", "Cisticola discolor", "Cisticola distinctus", "Cisticola guinea", "Cisticola emini", "Cisticola erythrops", "Cisticola exilis", "Cisticola eximius", "Cisticola fulvicapilla", "Cisticola galactotes", "Cisticola haesitatus", "Cisticola hunteri", "Cisticola incanus", "Cisticola juncidis", "Cisticola lais", "Cisticola lateralis", "Cisticola lepe", "Cisticola melanurus", "Cisticola mongalla", "Cisticola nana", "Cisticola natalensis", "Cisticola nigriloris", "Cisticola njombe", "Cisticola pipiens", "Cisticola restrictus", "Cisticola robustus", "Cisticola ruficeps", "Cisticola rufilatus", "Cisticola rufus", "Cisticola subruficapilla", "Cisticola textrix", "Cisticola tinniens", "Cisticola troglodytes", "Cisticola woosnami", "Drymocichla incana", "Eminia lepida", "Euryptila subcinnamomea", "Heliolais erythropterus", "Hypergerus atriceps", "Malcorus pectoralis", "Oreophilais robertsi", "Phragmacia substriata", "Prinia atrogularis", "Prinia bairdii", "Prinia buchanani", "Laticilla burnesii", "Laticilla cinerascens", "Prinia cinereocapilla", "Prinia crinigera", "Prinia familiaris", "Prinia flavicans", "Prinia flaviventris", "Prinia fluviatilis", "Prinia gracilis", "Prinia hodgsonii", "Prinia hypoxantha", "Prinia inornata", "Prinia leontica", "Prinia leucopogon", "Prinia maculosa", "Prinia melanops", "Prinia molleri", "Prinia polychroa", "Pycnonotus nigricans", "Pycnonotus penicillatus", "Pycnonotus plumosus", "Pycnonotus priocephalus", "Pycnonotus simplex", "Pycnonotus sinensis", "Pycnonotus somaliensis", "Pycnonotus squamatus", "Pycnonotus striatus", "Pycnonotus taivanus", "Pycnonotus tricolor", "Pycnonotus tympanistrigus", "Pycnonotus urostictus", "Pycnonotus xantholaemus", "Pycnonotus xanthopygos", "Pycnonotus xanthorrhous", "Pycnonotus zeylanicus", "Setornis criniger", "Spizixos canifrons", "Spizixos semitorques", "Thapsinillas affinis", "Thescelocichla leucopleura", "Tricholestes criniger", "Chlorocharis emiliae", "Cleptornis marchei", "Heleia crassirostris", "Heleia muelleri", "Hypocryptadius cinnamomeus", "Lophozosterops dohertyi", "Lophozosterops goodfellowi", "Lophozosterops javanicus", "Lophozosterops pinaiae", "Lophozosterops squamiceps", "Lophozosterops superciliaris", "Anthus ruficollis", "Megazosterops palauensis", "Oculocincta squamifrons", "Rukia longirostra", "Rukia ruki", "Speirops brunneus", "Speirops leucophoeus", "Speirops lugubris", "Speirops melanocephalus", "Tephrozosterops stalkeri", "Woodfordia lacertosa", "Woodfordia superciliosa", "Zosterops abyssinicus", "Zosterops albogularis", "Zosterops anomalus", "Zosterops atricapilla", "Zosterops atriceps", "Zosterops atrifrons", "Zosterops borbonicus", "Zosterops buruensis", "Zosterops ceylonensis", "Zosterops chloris", "Zosterops chloronothos", "Zosterops cinereus", "Atrichornis rufescens", "Ailuroedus buccoides", "Ailuroedus crassirostris", "Ailuroedus melanotis", "Amblyornis flavifrons", "Amblyornis inornata", "Amblyornis macgregoriae", "Amblyornis subalaris", "Archboldia papuensis", "Archboldia sanfordi", "Chlamydera cerviniventris", "Chlamydera guttata", "Chlamydera lauterbachi", "Chlamydera maculata", "Chlamydera nuchalis", "Prionodura newtoniana", "Ptilonorhynchus violaceus", "Scenopoeetes dentirostris", "Sericulus bakeri", "Sericulus chrysocephalus", "Abroscopus albogularis", "Abroscopus schisticeps", "Abroscopus superciliaris", "Achaetops pycnopygius", "Arundinax aedon", "Acrocephalus aequinoctialis", "Acrocephalus agricola", "Acrocephalus arundinaceus", "Acrocephalus atyphus", "Acrocephalus australis", "Acrocephalus baeticatus", "Acrocephalus bistrigiceps", "Acrocephalus caffer", "Acrocephalus concinens", "Acrocephalus dumetorum", "Acrocephalus familiaris", "Acrocephalus gracilirostris", "Acrocephalus griseldis", "Acrocephalus kerearako", "Acrocephalus luscinius", "Acrocephalus melanopogon", "Acrocephalus mendanae", "Acrocephalus newtoni", "Acrocephalus orientalis", "Zosterops citrinella", "Zosterops consobrinorum", "Zosterops conspicillatus", "Zosterops erythropleurus", "Zosterops everetti", "Zosterops explorator", "Zosterops ficedulinus", "Zosterops finschii", "Zosterops flavifrons", "Zosterops flavus", "Zosterops fuscicapilla", "Zosterops grayi", "Zosterops griseotinctus", "Zosterops griseovirescens", "Zosterops hypolais", "Zosterops hypoxanthus", "Zosterops inornatus", "Zosterops japonicus", "Zosterops kirki", "Zosterops kuehni", "Zosterops kulambangrae", "Zosterops lateralis", "Zosterops luteirostris", "Zosterops luteus", "Zosterops maderaspatanus", "Zosterops mayottensis", "Zosterops meeki", "Zosterops metcalfii", "Zosterops meyeni", "Zosterops minor", "Zosterops minutus", "Zosterops modestus", "Zosterops japonicus montanus", "Zosterops mouroniensis", "Zosterops murphyi", "Zosterops mysorensis", "Zosterops natalis", "Zosterops nehrkorni", "Zosterops nigrorum", "Zosterops novaeguineae", "Zosterops oleagineus", "Zosterops olivaceus", "Zosterops pallidus", "Zosterops palpebrosus", "Zosterops rendovae", "Zosterops rennellianus", "Zosterops rotensis", "Zosterops salvadorii", "Zosterops samoensis", "Zosterops sanctaecrucis", "Zosterops semperi", "Zosterops senegalensis", "Zosterops splendidus", "Zosterops stalkeri", "Zosterops strenuus", "Zosterops stresemanni", "Zosterops tenuirostris", "Zosterops tephropleurus", "Zosterops uropygialis", "Zosterops vaughani", "Zosterops vellalavella", "Zosterops wallacei", "Salpinctes obsoletus", "Thryomanes bewickii", "Troglodytes sissonii", "Thryorchilus browni", "Pheugopedius atrogularis", "Pheugopedius coraya", "Pheugopedius eisenmanni", "Pheugopedius euophrys", "Pheugopedius fasciatoventris", "Pheugopedius felix", "Pheugopedius genibarbis", "Cantorchilus griseus", "Cantorchilus guarayanus", "Cantorchilus leucopogon", "Cantorchilus leucotis", "Cantorchilus longirostris", "Thryothorus ludovicianus", "Pheugopedius maculipectus", "Cantorchilus modestus", "Pheugopedius mystacalis", "Thryophilus nicefori", "Cantorchilus nigricapillus", "Thryophilus pleurostictus", "Thryophilus rufalbus", "Pheugopedius rutilus", "Pheugopedius sclateri", "Cantorchilus semibadius", "Thryophilus sinaloa", "Pheugopedius spadix", "Cantorchilus superciliaris", "Cantorchilus thoracicus", "Troglodytes aedon", "Troglodytes cobbi", "Troglodytes monticola", "Troglodytes aedon musculus", "Troglodytes ochraceus", "Troglodytes rufociliatus", "Troglodytes rufulus", "Troglodytes solstitialis", "Troglodytes tanneri", "Troglodytes troglodytes", "Uropsila leucogastra", "Climacteris affinis", "Climacteris erythrops", "Climacteris melanurus", "Climacteris picumnus", "Climacteris rufus", "Cormobates leucophaeus", "Cormobates placens", "Menura alberti", "Menura novaehollandiae", "Atrichornis clamosus", "Malurus alboscapulatus", "Malurus amabilis", "Malurus campbelli", "Malurus coronatus", "Malurus cyaneus", "Malurus cyanocephalus", "Malurus elegans", "Malurus grayi", "Malurus lamberti", "Malurus leucopterus", "Malurus melanocephalus", "Malurus pulcherrimus", "Malurus splendens", "Sipodotus wallacii", "Stipiturus malachurus", "Stipiturus mallee", "Stipiturus ruficeps", "Burhinus oedicnemus", "Burhinus grallarius", "Burhinus senegalensis", "Burhinus superciliaris", "Burhinus vermiculatus", "Ashbyia lovensis", "Epthianura albifrons", "Epthianura aurifrons", "Epthianura crocea", "Epthianura tricolor", "Chloropsis aurifrons", "Chloropsis cochinchinensis", "Chloropsis cyanopogon", "Chloropsis flavipennis", "Chloropsis hardwickii", "Chloropsis palawanensis", "Chloropsis sonnerati", "Chloropsis venusta", "Irena cyanogastra", "Irena puella", "Orthonyx novaeguineae", "Orthonyx spaldingii", "Orthonyx temminckii", "Acrocephalus orinus", "Acrocephalus paludicola", "Acrocephalus palustris", "Acrocephalus rehsei", "Acrocephalus rimitarae", "Acrocephalus rufescens", "Acrocephalus schoenobaenus", "Acrocephalus scirpaceus", "Acrocephalus sorghophilus", "Acrocephalus stentoreus", "Acrocephalus syrinx", "Acrocephalus taiti", "Acrocephalus tangorum", "Acrocephalus vaughani", "Acrocephalus brevipennis", "Motacilla bocagii", "Amphilais seebohmi", "Bathmocercus cerviniventris", "Bathmocercus rufus", "Acrocephalus rodericanus", "Acrocephalus sechellensis", "Locustella accentor", "Bradypterus alfredi", "Locustella alishanensis", "Bradypterus baboecala", "Bradypterus bangwaensis", "Bradypterus barratti", "Bradypterus carpalis", "Locustella castanea", "Locustella caudata", "Bradypterus cinnamomeus", "Bradypterus grandis", "Bradypterus graueri", "Bradypterus lopezi", "Locustella luteoventris", "Locustella major", "Locustella mandelli", "Bradypterus lopezi mariae", "Locustella montis", "Elaphrornis palliseri", "Locustella seebohmi", "Bradypterus sylvaticus", "Locustella tacsanowskia", "Locustella thoracica", "Locustella timoriensis", "Cryptillas victorini", "Buettikoferella bivittata", "Horornis acanthizoides", "Horornis annae", "Cettia brunnifrons", "Horornis diphone canturians", "Horornis carolinae", "Cettia cetti", "Horornis diphone", "Horornis flavolivaceus", "Horornis fortipes", "Cettia major", "Urosphena pallidipes", "Horornis parens", "Horornis ruficapilla", "Horornis seebohmi", "Horornis vulcanius", "Chaetornis striata", "Calamonastides gracilirostris", "Anarhynchus frontalis", "Pomatostomus halli", "Pomatostomus isidorei", "Pomatostomus ruficeps", "Pomatostomus superciliosus", "Pomatostomus temporalis", "Actinodura egertoni", "Actinodura morrisoniana", "Actinodura nipalensis", "Actinodura ramsayi", "Actinodura sodangorum", "Actinodura souliei", "Actinodura waldeni", "Alcippe brunnea", "Alcippe brunneicauda", "Alcippe castaneceps", "Alcippe chrysotis", "Alcippe cinerea", "Alcippe cinereiceps", "Alcippe dubia", "Alcippe ludlowi", "Alcippe morrisonia", "Alcippe nipalensis", "Alcippe peracensis", "Alcippe poioicephala", "Alcippe pyrrhoptera", "Alcippe ruficapilla", "Alcippe rufogularis", "Alcippe striaticollis", "Alcippe variegaticeps", "Alcippe vinipectus", "Arcanator orostruthus", "Babax koslowi", "Babax lanceolatus", "Babax waddelli", "Chamaea fasciata", "Chrysomma altirostre", "Chrysomma poecilotis", "Chrysomma sinense", "Conostoma aemodium", "Crocias albonotatus", "Crocias langbianis", "Crossleyia xanthophrys", "Cutia nipalensis", "Dumetia hyperythra", "Gampsorhynchus rufulus", "Trochalopteron affine", "Garrulax albogularis", "Trochalopteron austeni", "Garrulax bieti", "Trochalopteron cachinnans", "Garrulax caerulatus", "Garrulax calvus", "Garrulax canorus", "Garrulax chinensis", "Garrulax cineraceus", "Garrulax cinereifrons", "Garrulax davidi", "Garrulax delesserti", "Trochalopteron elliotii", "Trochalopteron erythrocephalum", "Trochalopteron formosum", "Garrulax galbanus", "Garrulax gularis", "Trochalopteron henrici", "Trochalopteron cachinnans jerdoni", "Garrulax konkakinhensis", "Garrulax leucolophus", "Trochalopteron lineatum", "Garrulax lugubris", "Garrulax lunulatus", "Garrulax maesi", "Garrulax maximus", "Garrulax merulinus", "Garrulax milleti", "Trochalopteron milnei", "Garrulax mitratus", "Garrulax monileger", "Trochalopteron morrisonianum", "Trochalopteron ngoclinhense", "Garrulax nuchalis", "Garrulax ocellatus", "Garrulax palliatus", "Garrulax pectoralis", "Garrulax perspicillatus", "Garrulax poecilorhynchus", "Garrulax ruficollis", "Garrulax rufifrons", "Garrulax rufogularis", "Garrulax sannio", "Trochalopteron squamatum", "Garrulax strepitans", "Garrulax striatus", "Trochalopteron subunicolor", "Garrulax sukatschewi", "Trochalopteron variegatum", "Garrulax vassali", "Trochalopteron virgatum", "Trochalopteron yersini", "Hartertula flavoviridis", "Heterophasia annectans", "Heterophasia auricularis", "Heterophasia capistrata", "Heterophasia desgodinsi", "Heterophasia gracilis", "Heterophasia melanoleuca", "Heterophasia picaoides", "Heterophasia pulchella", "Illadopsis abyssinica", "Illadopsis albipectus", "Illadopsis atriceps", "Illadopsis cleaveri", "Illadopsis fulvescens", "Illadopsis puveli", "Illadopsis pyrrhoptera", "Illadopsis rufescens", "Iduna natalensis", "Iduna similis", "Megalurus cruralis", "Megalurus mathewsi", "Cryptosylvicola randrianasoloi", "Bradypterus brunneus", "Megalurus carteri", "Eremomela atricollis", "Eremomela badiceps", "Eremomela canescens", "Eremomela flavicrissalis", "Eremomela gregalis", "Eremomela icteropygialis", "Eremomela pusilla", "Eremomela salvadorii", "Eremomela scotops", "Eremomela turneri", "Eremomela usticollis", "Graminicola bengalensis", "Graueria vittata", "Urosphena neumanni", "Iduna caligata", "Hippolais icterina", "Hippolais languida", "Hippolais olivetorum", "Iduna opaca", "Iduna pallida", "Hippolais polyglotta", "Iduna rama", "Hylia prasina", "Hyliota australis", "Hyliota flavigaster", "Hyliota usambarae", "Hyliota violacea", "Leptopoecile elegans", "Leptopoecile sophiae", "Locustella amnicola", "Locustella certhiola", "Locustella fasciolata", "Locustella fluviatilis", "Locustella lanceolata", "Locustella luscinioides", "Locustella naevia", "Locustella ochotensis", "Locustella pleskei", "Macrosphenus concolor", "Macrosphenus flavicans", "Macrosphenus kempi", "Macrosphenus kretschmeri", "Macrosphenus pulitzeri", "Megalurulus grosvenori", "Megalurulus llaneae", "Megalurulus mariei", "Megalurulus rubiginosus", "Megalurulus whitneyi", "Megalurus albolimbatus", "Megalurus gramineus", "Megalurus macrurus", "Megalurus palustris", "Locustella pryeri", "Megalurus punctatus", "Megalurus rufescens", "Megalurus timoriensis", "Melocichla mentalis", "Nesillas aldabrana", "Nesillas brevicaudata", "Nesillas lantzii", "Nesillas longicaudata", "Nesillas mariae", "Nesillas typica", "Newtonia amphichroa", "Newtonia archboldi", "Newtonia brunneicauda", "Newtonia fanovanae", "Orthotomus atrogularis", "Orthotomus castaneiceps", "Orthotomus cinereiceps", "Phyllergates cuculatus", "Orthotomus derbianus", "Orthotomus frontalis", "Phyllergates heterolaemus", "Artisornis metopias", "Artisornis moreaui", "Orthotomus nigriceps", "Orthotomus ruficeps", "Orthotomus samarensis", "Orthotomus sepium", "Orthotomus sericeus", "Orthotomus sutorius", "Phyllolais pulchella", "Phylloscopus affinis", "Phylloscopus amoenus", "Phylloscopus armandii", "Phylloscopus bonelli", "Phylloscopus borealis", "Phylloscopus borealoides", "Phylloscopus budongoensis", "Phylloscopus canariensis", "Phylloscopus cantator", "Phylloscopus cebuensis", "Phylloscopus chloronotus", "Phylloscopus collybita", "Phylloscopus coronatus", "Phylloscopus intensior", "Phylloscopus emeiensis", "Phylloscopus fuligiventer", "Phylloscopus fuscatus", "Phylloscopus griseolus", "Phylloscopus hainanus", "Phylloscopus herberti", "Phylloscopus humei", "Phylloscopus ibericus", "Phylloscopus ijimae", "Phylloscopus inornatus", "Phylloscopus kansuensis", "Phylloscopus laetus", "Phylloscopus laurae", "Phylloscopus sindianus lorenzii", "Phylloscopus maculipennis", "Phylloscopus magnirostris", "Phylloscopus makirensis", "Phylloscopus neglectus", "Phylloscopus nitidus", "Phylloscopus occipitalis", "Phylloscopus olivaceus", "Phylloscopus orientalis", "Phylloscopus plumbeitarsus", "Phylloscopus poliocephalus", "Zosterops xanthochroa", "Aphelia drummondii", "Aphelia brizula", "Campylorhynchus albobrunneus", "Campylorhynchus brunneicapillus", "Campylorhynchus chiapensis", "Campylorhynchus fasciatus", "Campylorhynchus griseus", "Campylorhynchus gularis", "Campylorhynchus jocosus", "Campylorhynchus megalopterus", "Campylorhynchus nuchalis", "Campylorhynchus rufinucha", "Campylorhynchus turdinus", "Campylorhynchus yucatanicus", "Campylorhynchus zonatus", "Catherpes mexicanus", "Cinnycerthia fulva", "Cinnycerthia olivascens", "Cinnycerthia peruana", "Cinnycerthia unirufa", "Cistothorus apolinari", "Cistothorus meridae", "Cistothorus palustris", "Cistothorus platensis", "Cyphorhinus arada", "Cyphorhinus phaeocephalus", "Cyphorhinus thoracicus", "Donacobius atricapilla", "Ferminia cerverai", "Henicorhina leucophrys", "Henicorhina leucoptera", "Henicorhina leucosticta", "Henicorhina negreti", "Hylorchilus navai", "Hylorchilus sumichrasti", "Microcerculus bambla", "Microcerculus marginatus", "Microcerculus philomela", "Microcerculus ustulatus", "Odontorchilus branickii", "Odontorchilus cinereus", "Phylloscopus presbytes", "Phylloscopus proregulus", "Phylloscopus pulcher", "Phylloscopus reguloides", "Phylloscopus ricketti", "Phylloscopus ruficapilla", "Phylloscopus sarasinorum", "Phylloscopus schwarzi", "Phylloscopus sibilatrix", "Phylloscopus sindianus", "Phylloscopus subaffinis", "Phylloscopus subviridis", "Phylloscopus tenellipes", "Phylloscopus trivirgatus", "Phylloscopus trochiloides", "Phylloscopus trochilus", "Phylloscopus tytleri", "Phylloscopus umbrovirens", "Phylloscopus yunnanensis", "Poliolais lopezi", "Randia pseudozosterops", "Scepomycter winifredae", "Schoenicola brevirostris", "Schoenicola platyurus", "Phylloscopus intermedius", "Seicercus burkii", "Seicercus castaniceps", "Seicercus grammiceps", "Seicercus montis", "Seicercus omeiensis", "Seicercus poliogenys", "Seicercus soror", "Seicercus tephrocephalus", "Seicercus valentini", "Seicercus whistleri", "Seicercus xanthoschistos", "Sphenoeacus afer", "Stenostira scita", "Sylvia althaea", "Sylvia atricapilla", "Sylvia balearica", "Sylvia boehmi", "Sylvia borin", "Sylvia buryi", "Sylvia cantillans", "Sylvia communis", "Sylvia conspicillata", "Sylvia crassirostris", "Sylvia curruca", "Sylvia deserti", "Sylvia deserticola", "Sylvia hortensis", "Sylvia layardi", "Sylvia leucomelaena", "Sylvia lugens", "Sylvia minula margelanica", "Sylvia melanocephala", "Sylvia melanothorax", "Sylvia minula", "Sylvia mystacea", "Sylvia nana", "Sylvia nisoria", "Illadopsis rufipennis", "Jabouilleia danjoui", "Kakamega poliothorax", "Kenopia striata", "Kupeornis chapini", "Kupeornis gilberti", "Kupeornis rufocinctus", "Leiothrix argentauris", "Leiothrix lutea", "Liocichla omeiensis", "Liocichla phoenicea", "Liocichla steerii", "Lioptilus nigricapillus", "Macronus flavicollis", "Macronus gularis", "Macronus kelleyi", "Macronus ptilosus", "Macronus striaticeps", "Malacocincla abbotti", "Malacocincla cinereiceps", "Malacocincla malaccensis", "Malacocincla perspicillata", "Malacocincla sepiaria", "Malacocincla vanderbilti", "Malacopteron affine", "Malacopteron albogulare", "Malacopteron cinereum", "Malacopteron magnirostre", "Malacopteron magnum", "Malacopteron palawanense", "Micromacronus leytensis", "Minla cyanouroptera", "Minla ignotincta", "Minla strigula", "Modulatrix stictigula", "Mystacornis crossleyi", "Myzornis pyrrhoura", "Napothera atrigularis", "Napothera brevicaudata", "Napothera crassa", "Napothera crispifrons", "Napothera epilepidota", "Napothera macrodactyla", "Napothera marmorata", "Napothera rabori", "Napothera rufipectus", "Neomixis striatigula", "Neomixis tenella", "Neomixis viridis", "Oxylabes madagascariensis", "Panurus biarmicus", "Sinosuthora alphonsiana", "Paradoxornis atrosuperciliaris", "Sinosuthora brunnea", "Sinosuthora conspicillata", "Paradoxornis davidianus", "Paradoxornis flavirostris", "Suthora fulvifrons", "Paradoxornis gularis", "Paradoxornis guttaticollis", "Paradoxornis heudei", "Suthora nipalensis", "Paradoxornis paradoxus", "Stachyris oglei", "Stachyris plateni", "Stachyris poliocephala", "Stachyris pyrrhops", "Stachyris rodolphei", "Stachyris ruficeps", "Stachyris rufifrons", "Stachyris speciosa", "Zosterornis striatus", "Stachyris striolata", "Stachyris thoracica", "Zosterornis whiteheadi", "Timalia pileata", "Trichastoma bicolor", "Trichastoma celebense", "Trichastoma rostratum", "Leonardina woodi", "Turdoides affinis", "Turdoides altirostris", "Turdoides aylmeri", "Turdoides bicolor", "Turdoides caudata", "Turdoides earlei", "Turdoides fulva", "Turdoides gularis", "Turdoides gymnogenys", "Turdoides hartlaubii", "Turdoides hindei", "Turdoides hypoleuca", "Turdoides leucocephala", "Turdoides leucopygia", "Turdoides longirostris", "Turdoides malcolmi", "Turdoides melanops", "Turdoides nipalensis", "Turdoides plebejus", "Turdoides reinwardtii", "Turdoides rubiginosa", "Turdoides rufescens", "Turdoides sharpei", "Turdoides squamiceps", "Turdoides squamulata", "Turdoides striata", "Turdoides subrufa", "Turdoides tenebrosa", "Xiphirhynchus superciliaris", "Yuhina bakeri", "Yuhina brunneiceps", "Yuhina castaniceps", "Yuhina diademata", "Yuhina everetti", "Yuhina flavicollis", "Yuhina gularis", "Yuhina humilis", "Sylvia ruppeli", "Sylvia sarda", "Sylvia subcaerulea", "Sylvia undata", "Sylvietta brachyura", "Sylvietta chapini", "Sylvietta denti", "Sylvietta isabellina", "Sylvietta leucophrys", "Sylvietta philippae", "Sylvietta rufescens", "Sylvietta ruficapilla", "Sylvietta virens", "Sylvietta whytii", "Cettia castaneocoronata", "Tesia cyaniventer", "Tesia everetti", "Tesia olivea", "Tesia superciliaris", "Thamnornis chloropetoides", "Tickellia hodgsoni", "Megalurulus rufus", "Urosphena squameiceps", "Urosphena subulata", "Urosphena whiteheadi", "Burhinus bistriatus", "Burhinus capensis", "Pygoscelis adeliae", "Amytornis ballarae", "Amytornis barbatus", "Amytornis dorotheae", "Amytornis goyderi", "Pygoscelis papua", "Amytornis housei", "Amytornis merrotsyi", "Amytornis purnelli", "Amytornis striatus", "Amytornis textilis", "Amytornis woodwardi", "Clytomyias insignis", "Yuhina nigrimenta", "Yuhina occipitalis", "Erpornis zantholeuca", "Acanthiza apicalis", "Acanthiza chrysorrhoa", "Acanthiza ewingii", "Acanthiza inornata", "Acanthiza iredalei", "Acanthiza katherina", "Acanthiza lineata", "Acanthiza murina", "Acanthiza nana", "Acanthiza pusilla", "Acanthiza reguloides", "Acanthiza robustirostris", "Acanthiza uropygialis", "Acanthornis magna", "Aphelocephala leucopsis", "Aphelocephala nigricincta", "Aphelocephala pectoralis", "Calamanthus campestris", "Calamanthus fuliginosus", "Calamanthus montanellus", "Pyrrholaemus sagittatus", "Crateroscelis murina", "Crateroscelis nigrorufa", "Crateroscelis robusta", "Dasyornis brachypterus", "Dasyornis broadbenti", "Dasyornis longirostris", "Gerygone albofrontata", "Gerygone chloronota", "Gerygone chrysogaster", "Gerygone cinerea", "Gerygone dorsalis", "Gerygone flavolateralis", "Gerygone fusca", "Gerygone hypoxantha", "Gerygone igata", "Gerygone inornata", "Gerygone insularis", "Gerygone levigaster", "Gerygone magnirostris", "Gerygone modesta", "Gerygone mouki", "Gerygone olivacea", "Paradoxornis polivanovi", "Sinosuthora przewalskii", "Paradoxornis ruficeps", "Paradoxornis unicolor", "Suthora verreauxi", "Sinosuthora webbiana", "Sinosuthora zappeyi", "Parophasma galinieri", "Pellorneum albiventre", "Pellorneum buettikoferi", "Pellorneum capistratum", "Pellorneum fuscocapillus", "Pellorneum palustre", "Pellorneum pyrrogenys", "Pellorneum ruficeps", "Pellorneum tickelli", "Phyllanthus atripennis", "Pnoepyga albiventer", "Pnoepyga immaculata", "Pnoepyga pusilla", "Pomatorhinus erythrocnemis", "Pomatorhinus erythrogenys", "Pomatorhinus ferruginosus", "Pomatorhinus horsfieldii", "Pomatorhinus hypoleucos", "Pomatorhinus montanus", "Pomatorhinus ochraceiceps", "Pomatorhinus ruficollis", "Pomatorhinus schisticeps", "Pteruthius aenobarbus", "Pteruthius flaviscapis", "Pteruthius melanotis", "Pteruthius rufiventer", "Pteruthius xanthochlorus", "Ptilocichla falcata", "Ptilocichla leucogrammica", "Ptilocichla mindanensis", "Ptyrticus turdinus", "Rhopocichla atriceps", "Rimator malacoptilus", "Spelaeornis badeigularis", "Spelaeornis caudatus", "Spelaeornis chocolatinus", "Elachura formosa", "Spelaeornis longicaudatus", "Spelaeornis troglodytoides", "Sphenocichla humei", "Stachyris ambigua", "Stachyris capitalis", "Stachyris chrysaea", "Stachyris dennistouni", "Stachyris erythroptera", "Stachyris grammiceps", "Stachyris herberti", "Zosterornis hypogrammicus", "Zosterornis latistriatus", "Stachyris leucotis", "Stachyris maculata", "Stachyris melanothorax", "Stachyris nigriceps", "Stachyris nigricollis", "Stachyris nigrocapitata", "Zosterornis nigrorum", "Gerygone palpebrosa", "Gerygone ruficollis", "Gerygone sulphurea", "Gerygone tenebrosa", "Calamanthus cautus", "Calamanthus pyrrhopygius", "Oreoscopus gutturalis", "Origma solitaria", "Pardalotus punctatus", "Pardalotus quadragintus", "Pardalotus rubricatus", "Pardalotus striatus", "Pycnoptilus floccosus", "Pyrrholaemus brunneus", "Sericornis arfakianus", "Sericornis beccarii", "Sericornis citreogularis", "Sericornis frontalis", "Sericornis humilis", "Sericornis keri", "Sericornis magnirostra", "Sericornis nouhuysi", "Sericornis papuensis", "Sericornis perspicillatus", "Sericornis rufescens", "Sericornis spilodera", "Sericornis virgatus", "Smicrornis brevirostris", "Actophilornis africanus", "Camaroptera brevicaudata", "Charadrius alexandrinus", "Charadrius alticola", "Charadrius asiaticus", "Charadrius bicinctus", "Charadrius collaris", "Charadrius dubius", "Charadrius falklandicus", "Charadrius forbesi", "Charadrius hiaticula", "Charadrius javanicus", "Charadrius leschenaultii", "Charadrius marginatus", "Acanthagenys rufogularis", "Acanthorhynchus superciliosus", "Acanthorhynchus tenuirostris", "Anthochaera carunculata", "Anthochaera chrysoptera", "Anthochaera lunulata", "Anthochaera paradoxa", "Anthornis melanura", "Apalopteron familiare", "Certhionyx niger", "Certhionyx pectoralis", "Certhionyx variegatus", "Chaetoptila angustipluma", "Conopophila albogularis", "Conopophila rufogularis", "Conopophila whitei", "Entomyzon cyanotis", "Foulehaio carunculatus", "Grantiella picta", "Guadalcanaria inexpectata", "Gymnomyza aubryana", "Gymnomyza samoensis", "Gymnomyza viridis", "Lichenostomus chrysops", "Lichenostomus cratitius", "Lichenostomus fasciogularis", "Lichenostomus flavescens", "Lichenostomus flavicollis", "Lichenostomus flavus", "Lichenostomus frenatus", "Lichenostomus fuscus", "Lichenostomus hindwoodi", "Lichenostomus keartlandi", "Lichenostomus leucotis", "Lichenostomus melanops", "Lichenostomus obscurus", "Lichenostomus ornatus", "Lichenostomus penicillatus", "Lichenostomus plumulus", "Lichenostomus reticulatus", "Lichenostomus subfrenatus", "Lichenostomus unicolor", "Lichenostomus versicolor", "Lichenostomus virescens", "Lichmera alboauricularis", "Lichmera argentauris", "Lichmera deningeri", "Lichmera flavicans", "Lichmera incana", "Lichmera indistincta", "Lichmera limbata", "Lichmera lombokia", "Lichmera monticola", "Lichmera notabilis", "Lichmera squamata", "Manorina flavigula", "Manorina melanocephala", "Manorina melanophrys", "Manorina melanotis", "Meliarchus sclateri", "Melidectes belfordi", "Melidectes foersteri", "Melidectes fuscus", "Melidectes leucostephes", "Melidectes nouhuysi", "Melidectes ochromelas", "Melidectes princeps", "Melidectes rufocrissalis", "Melidectes torquatus", "Melidectes whitemanensis", "Melilestes megarhynchus", "Meliphaga albilineata", "Meliphaga albonotata", "Meliphaga analoga", "Meliphaga aruensis", "Meliphaga flavirictus", "Meliphaga gracilis", "Meliphaga lewinii", "Meliphaga mimikae", "Meliphaga montana", "Meliphaga notata", "Meliphaga orientalis", "Meliphaga vicina", "Anthochaera phrygia", "Xanthotis flaviventer", "Xanthotis macleayana", "Xanthotis polygrammus", "Xanthotis provocator", "Amalocichla incerta", "Amalocichla sclateriana", "Drymodes brunneopygia", "Drymodes superciliaris", "Eopsaltria australis", "Eopsaltria flaviventris", "Eopsaltria georgiana", "Eopsaltria griseogularis", "Eopsaltria pulverulenta", "Eugerygone rubra", "Heteromyias albispecularis", "Heteromyias cinereifrons", "Melanodryas cucullata", "Melanodryas vittata", "Microeca fascinans", "Microeca flavigaster", "Microeca flavovirescens", "Microeca griseoceps", "Microeca hemixantha", "Microeca papuana", "Monachella muelleriana", "Pachycephalopsis hattamensis", "Pachycephalopsis poliosoma", "Peneothello bimaculatus", "Peneothello cryptoleucus", "Peneothello cyanus", "Peneothello sigillatus", "Melipotes ater", "Melipotes fumigatus", "Melipotes gymnops", "Melithreptus affinis", "Melithreptus albogularis", "Melithreptus brevirostris", "Melithreptus gularis", "Melithreptus lunatus", "Melithreptus validirostris", "Melitograis gilolensis", "Moho apicalis", "Moho bishopi", "Moho braccatus", "Moho nobilis", "Myza celebensis", "Myza sarasinorum", "Myzomela adolphinae", "Myzomela albigula", "Myzomela blasii", "Myzomela boiei", "Myzomela caledonica", "Myzomela cardinalis", "Myzomela chermesina", "Myzomela chloroptera", "Myzomela cineracea", "Myzomela cruentata", "Myzomela dammermani", "Myzomela eichhorni", "Myzomela eques", "Myzomela erythrocephala", "Myzomela erythromelas", "Myzomela jugularis", "Myzomela kuehni", "Myzomela lafargei", "Myzomela malaitae", "Myzomela melanocephala", "Myzomela nigrita", "Myzomela obscura", "Myzomela pammelaena", "Myzomela pulchella", "Myzomela rosenbergii", "Myzomela rubratra", "Myzomela sanguinolenta", "Myzomela sclateri", "Myzomela tristrami", "Myzomela vulnerata", "Myzomela wakoloensis", "Notiomystis cincta", "Oreornis chrysogenys", "Philemon albitorques", "Philemon argenticeps", "Philemon brassi", "Philemon buceroides", "Philemon citreogularis", "Philemon cockerelli", "Philemon corniculatus", "Philemon diemenensis", "Philemon eichhorni", "Philemon fuscicapillus", "Philemon inornatus", "Philemon kisserensis", "Philemon meyeri", "Philemon moluccensis", "Philemon novaeguineae", "Philemon subcorniculatus", "Phylidonyris albifrons", "Phylidonyris melanops", "Phylidonyris niger", "Phylidonyris notabilis", "Phylidonyris novaehollandiae", "Phylidonyris pyrrhopterus", "Phylidonyris undulatus", "Plectorhyncha lanceolata", "Prosthemadera novaeseelandiae", "Ptiloprora erythropleura", "Ptiloprora guisei", "Ptiloprora mayri", "Ptiloprora meekiana", "Ptiloprora perstriata", "Ptiloprora plumbea", "Pycnopygius cinereus", "Pycnopygius ixoides", "Pycnopygius stictocephalus", "Ramsayornis fasciatus", "Ramsayornis modestus", "Stresemannia bougainvillei", "Timeliopsis fallax", "Timeliopsis fulvigula", "Timeliopsis griseigula", "Trichodere cockerelli", "Vireo philadelphicus", "Glareola lactea", "Vireo plumbeus", "Vireo solitarius", "Vireo gilvus swainsoni", "Vireo vicinior", "Vireolanius eximius", "Vireolanius leucotis", "Glareola maldivarum", "Vireolanius melitophrys", "Vireolanius pulchellus", "Glareola nordmanni", "Glareola nuchalis", "Glareola ocularis", "Glareola pratincola", "Pluvianus aegyptius", "Rhinoptilus africanus", "Rhinoptilus bitorquatus", "Rhinoptilus chalcopterus", "Rhinoptilus cinctus", "Stiltia isabella", "Androphobus viridis", "Cinclosoma ajax", "Cinclosoma castaneothorax", "Cinclosoma castanotum", "Cinclosoma cinnamomeum", "Cinclosoma punctatum", "Eupetes macrocerus", "Ifrita kowaldi", "Psophodes cristatus", "Psophodes leucogaster", "Psophodes nigrogularis", "Psophodes occidentalis", "Psophodes olivaceus", "Ptilorrhoa caerulescens", "Ptilorrhoa castanonota", "Ptilorrhoa leucosticta", "Charadrius melodus", "Charadrius modestus", "Charadrius mongolus", "Charadrius montanus", "Charadrius obscurus", "Charadrius pallidus", "Charadrius pecuarius", "Charadrius peronii", "Charadrius placidus", "Charadrius ruficapillus", "Charadrius sanctaehelenae", "Charadrius semipalmatus", "Charadrius thoracicus", "Charadrius tricollaris", "Charadrius veredus", "Charadrius vociferus", "Charadrius wilsonia", "Elseyornis melanops", "Erythrogonys cinctus", "Oreopholus ruficollis", "Peltohyas australis", "Phegornis mitchellii", "Pluvialis apricaria", "Pluvialis dominica", "Pluvialis fulva", "Pluvialis squatarola", "Vanellus albiceps", "Vanellus armatus", "Hoploxypterus cayanus", "Vanellus chilensis", "Vanellus cinereus", "Vanellus coronatus", "Vanellus crassirostris", "Vanellus gregarius", "Vanellus indicus", "Vanellus leucurus", "Vanellus lugubris", "Vanellus macropterus", "Vanellus malabaricus", "Vanellus melanocephalus", "Vanellus melanopterus", "Vanellus miles", "Vanellus resplendens", "Vanellus senegallus", "Vanellus spinosus", "Vanellus superciliosus", "Vanellus tectus", "Vanellus tricolor", "Vanellus vanellus", "Turnagra capensis", "Chionis albus", "Chionis minor", "Dromas ardeola", "Haematopus ater", "Haematopus bachmani", "Haematopus chathamensis", "Haematopus finschi", "Haematopus fuliginosus", "Haematopus leucopodus", "Haematopus longirostris", "Haematopus meadewaldoi", "Haematopus moquini", "Haematopus ostralegus", "Haematopus palliatus", "Haematopus unicolor", "Aphelocoma californica", "Aphelocoma coerulescens", "Aphelocoma insularis", "Aphelocoma unicolor", "Calocitta colliei", "Pachycare flavogriseum", "Pachycephala albiventris", "Pachycephala arctitorquis", "Pachycephala aurea", "Pachycephala caledonica", "Esacus recurvirostris", "Pachycephala cinerea", "Pachycephala citreogaster", "Pachycephala flavifrons", "Pachycephala fulvotincta", "Pachycephala griseiceps", "Pachycephala griseonota", "Pachycephala homeyeri", "Pachycephala hyperythra", "Pachycephala hypoxantha", "Pachycephala implicata", "Pachycephala inornata", "Pachycephala jacquinoti", "Pachycephala lanioides", "Pachycephala leucogastra", "Pachycephala lorentzi", "Pachycephala macrorhyncha", "Pachycephala melanura", "Pachycephala mentalis", "Pachycephala meyeri", "Pachycephala modesta", "Pachycephala monacha", "Pachycephala nudigula", "Pachycephala olivacea", "Pachycephala orioloides", "Pachycephala orpheus", "Pachycephala pectoralis", "Pachycephala phaionota", "Pachycephala philippinensis", "Pachycephala rufiventris", "Pachycephala rufogularis", "Pachycephala schlegelii", "Pachycephala simplex", "Pachycephala soror", "Pachycephala sulfuriventer", "Pachycephala vitiensis", "Pitohui cristatus", "Pitohui dichrous", "Pitohui ferrugineus", "Pitohui incertus", "Pitohui kirhocephalus", "Pitohui nigrescens", "Rhagologus leucostigma", "Corcorax melanorhamphos", "Struthidea cinerea", "Actophilornis albinucha", "Hydrophasianus chirurgus", "Irediparra gallinacea", "Jacana jacana", "Jacana spinosa", "Metopidius indicus", "Aleadryas rufinucha", "Colluricincla boweri", "Colluricincla harmonica", "Colluricincla megarhyncha", "Colluricincla sanghirensis", "Colluricincla tenebrosa", "Colluricincla umbrina", "Microparra capensis", "Colluricincla woodwardi", "Coracornis raveni", "Daphoenositta chrysoptera", "Daphoenositta miranda", "Daphoenositta papuensis", "Eulacestoma nigropectus", "Falcunculus frontatus", "Falcunculus leucogaster", "Falcunculus whitei", "Hylocitrea bonensis", "Mohoua albicilla", "Mohoua novaeseelandiae", "Mohoua ochrocephala", "Esacus magnirostris", "Oreoica gutturalis", "Calocitta formosa", "Cissa chinensis", "Cissa hypoleuca", "Cissa thalassina", "Corvus albicollis", "Corvus albus", "Corvus bennetti", "Corvus boreus", "Corvus capensis", "Corvus brachyrhynchos caurinus", "Cardisoma armatum", "Ibidorhyncha struthersii", "Petroica archboldi", "Petroica australis", "Petroica bivittata", "Petroica boodang", "Petroica goodenovii", "Petroica macrocephala", "Petroica multicolor", "Petroica phoenicea", "Petroica rodinogaster", "Petroica rosea", "Petroica traversi", "Poecilodryas albonotata", "Poecilodryas brachyura", "Poecilodryas cerviniventris", "Poecilodryas hypoleuca", "Poecilodryas placens", "Poecilodryas superciliosa", "Tregellasia capito", "Tregellasia leucops", "Cursorius coromandelicus", "Cursorius cursor", "Corvinella corvina", "Corvinella melanoleuca", "Eurocephalus anguitimens", "Eurocephalus rueppelli", "Lanius bucephalus", "Lanius cabanisi", "Lanius collaris", "Lanius collurio", "Lanius collurioides", "Lanius cristatus", "Lanius dorsalis", "Lanius excubitor", "Lanius excubitoroides", "Lanius gubernator", "Lanius isabellinus", "Lanius ludovicianus", "Lanius mackinnoni", "Lanius collaris marwitzi", "Lanius meridionalis", "Lanius minor", "Lanius newtoni", "Lanius nubicus", "Lanius schach", "Lanius senator", "Lanius somalicus", "Lanius souzae", "Lanius sphenocercus", "Lanius tephronotus", "Lanius tigrinus", "Lanius validirostris", "Lanius vittatus", "Cursorius rufus", "Cursorius somalensis", "Cyclarhis gujanensis", "Cyclarhis nigrirostris", "Cursorius temminckii", "Hylophilus amaurocephalus", "Pachysylvia aurantiifrons", "Hylophilus brunneiceps", "Pachysylvia decurtata", "Hylophilus flavipes", "Pachysylvia hypoxantha", "Pachysylvia muscicapina", "Tunchiornis ochraceiceps", "Hylophilus olivaceus", "Hylophilus pectoralis", "Hylophilus poicilotis", "Vireo sclateri", "Pachysylvia semibrunnea", "Hylophilus semicinereus", "Hylophilus thoracicus", "Vireo altiloquus", "Vireo atricapilla", "Vireo bairdi", "Vireo bellii", "Vireo brevipennis", "Vireo caribaeus", "Vireo carmioli", "Vireo cassinii", "Vireo crassirostris", "Vireo flavifrons", "Vireo flavoviridis", "Vireo gilvus", "Vireo gracilirostris", "Vireo griseus", "Vireo gundlachii", "Vireo huttoni", "Vireo hypochryseus", "Vireo latimeri", "Vireo leucophrys", "Vireo magister", "Vireo masteri", "Vireo modestus", "Vireo nanus", "Glareola cinerea", "Vireo nelsoni", "Vireo olivaceus", "Vireo osburni", "Vireo pallens", "Corvus typicus", "Corvus unicolor", "Corvus validus", "Corvus woodfordi", "Crypsirina cucullata", "Crypsirina temia", "Cyanocitta cristata", "Cyanocorax affinis", "Cyanocorax beecheii", "Cyanocorax caeruleus", "Cyanocorax cayanus", "Cyanocorax chrysops", "Cyanocorax cristatellus", "Cyanocorax cyanomelas", "Cyanocorax cyanopogon", "Cyanocorax dickeyi", "Cyanocorax heilprini", "Cyanocorax melanocyaneus", "Cyanocorax mystacalis", "Cyanocorax sanblasianus", "Cyanocorax violaceus", "Cyanocorax yncas", "Cyanocorax yucatanicus", "Cyanolyca argentigula", "Cyanolyca armillata", "Cyanolyca cucullata", "Cyanolyca mirabilis", "Cyanolyca nana", "Cyanolyca pulchra", "Cyanolyca pumilo", "Cyanolyca turcosa", "Cyanolyca viridicyanus", "Cyanopica cooki", "Cyanopica cyanus", "Dendrocitta bayleyi", "Dendrocitta cinerascens", "Dendrocitta formosae", "Dendrocitta frontalis", "Dendrocitta leucogastra", "Dendrocitta occipitalis", "Dendrocitta vagabunda", "Garrulus glandarius", "Garrulus lanceolatus", "Garrulus lidthi", "Gymnorhinus cyanocephalus", "Nucifraga caryocatactes", "Nucifraga columbiana", "Perisoreus canadensis", "Perisoreus infaustus", "Perisoreus internigrans", "Pica hudsonia", "Pica nuttalli", "Platylophus galericulatus", "Platysmurus leucopterus", "Podoces biddulphi", "Podoces hendersoni", "Podoces panderi", "Podoces pleskei", "Psilorhinus morio", "Ptilostomus afer", "Pyrrhocorax graculus", "Pyrrhocorax pyrrhocorax", "Urocissa caerulea", "Urocissa erythroryncha", "Urocissa flavirostris", "Urocissa ornata", "Urocissa whiteheadi", "Zavattariornis stresemanni", "Astrapia mayeri", "Astrapia nigra", "Astrapia rothschildi", "Astrapia splendidissima", "Astrapia stephaniae", "Cicinnurus magnificus", "Cicinnurus regius", "Cicinnurus respublica", "Cnemophilus loriae", "Cnemophilus macgregorii", "Epimachus albertisi", "Epimachus bruijnii", "Epimachus fastuosus", "Epimachus meyeri", "Loboparadisea sericea", "Lophorina superba", "Pedionomus torquatus", "Cladorhynchus leucocephalus", "Himantopus ceylonensis", "Himantopus himantopus", "Himantopus knudseni", "Himantopus leucocephalus", "Himantopus melanurus", "Himantopus mexicanus", "Himantopus novaezelandiae", "Recurvirostra americana", "Recurvirostra andina", "Recurvirostra avosetta", "Recurvirostra novaehollandiae", "Rostratula benghalensis", "Nycticryphes semicollaris", "Attagis gayi", "Attagis malouinus", "Thinocorus orbignyianus", "Thinocorus rumicivorus", "Corvus cornix", "Corvus coronoides", "Corvus crassirostris", "Corvus cryptoleucus", "Coloeus dauuricus", "Corvus edithae", "Corvus enca", "Corvus florensis", "Corvus fuscicapillus", "Corvus imparatus", "Corvus jamaicensis", "Corvus kubaryi", "Corvus leucognaphalus", "Corvus levaillantii", "Corvus macrorhynchos", "Corvus meeki", "Corvus mellori", "Corvus minutus", "Corvus moneduloides", "Corvus nasicus", "Corvus orru", "Corvus palmarum", "Corvus rhipidurus", "Corvus ruficollis", "Corvus sinaloae", "Corvus splendens", "Corvus tasmanicus", "Corvus torquatus", "Corvus tristis", "Corvus corax varius", "Medinilla magnifica", "Phalaropus fulicarius", "Phalaropus lobatus", "Alcea rosea", "Althaea officinalis", "Grallina bruijni", "Grallina cyanoleuca", "Chaetorhynchus papuensis", "Dicrurus adsimilis", "Dicrurus aeneus", "Dicrurus aldabranus", "Dicrurus andamanensis", "Dicrurus annectens", "Dicrurus atripennis", "Dicrurus balicassius", "Dicrurus bracteatus", "Dicrurus caerulescens", "Dicrurus densus", "Dicrurus forficatus", "Dicrurus fuscipennis", "Dicrurus hottentottus", "Dicrurus leucophaeus", "Dicrurus ludwigii", "Dicrurus macrocercus", "Dicrurus megarhynchus", "Dicrurus modestus", "Dicrurus montanus", "Dicrurus paradiseus", "Dicrurus remifer", "Dicrurus sumatranus", "Dicrurus waldenii", "Aegithina lafresnayei", "Aegithina nigrolutea", "Aegithina tiphia", "Aegithina viridissima", "Batis capensis", "Batis dimorpha", "Batis diops", "Batis fratrum", "Batis ituriensis", "Batis margaritae", "Batis minima", "Batis minor", "Batis minulla", "Batis mixta", "Batis molitor", "Batis occulta", "Batis orientalis", "Batis perkeo", "Batis poensis", "Batis pririt", "Batis reichenowi", "Batis senegalensis", "Batis soror", "Megabyas flammulatus", "Bias musicus", "Platysteira albifrons", "Platysteira blissetti", "Platysteira castanea", "Platysteira chalybea", "Platysteira concreta", "Platysteira cyanea", "Platysteira jamesoni", "Platysteira laticincta", "Platysteira peltata", "Platysteira tonsa", "Pseudobias wardi", "Philentoma pyrhoptera", "Philentoma velata", "Prionops alberti", "Prionops caniceps", "Prionops gabela", "Prionops plumatus", "Prionops poliolophus", "Prionops retzii", "Prionops rufiventris", "Prionops scopifrons", "Tephrodornis virgatus", "Tephrodornis pondicerianus", "Artamella viridis", "Calicalicus madagascariensis", "Calicalicus rufocarpalis", "Cyanolanius madagascarinus", "Euryceros prevostii", "Falculea palliata", "Hypositta corallirostris", "Leptopterus chabert", "Oriolia bernieri", "Schetba rufa", "Tylas eduardi", "Vanga curvirostris", "Xenopirostris damii", "Xenopirostris polleni", "Xenopirostris xenopirostris", "Callaeas cinereus", "Chaetops aurantius", "Chaetops frenatus", "Heteralocha acutirostris", "Philesturnus carunculatus", "Picathartes gymnocephalus", "Picathartes oreas", "Cracticus louisiadensis", "Cracticus mentalis", "Cracticus nigrogularis", "Melloria quoyi", "Cracticus torquatus", "Calidris alba", "Gymnorhina tibicen", "Peltops blainvillii", "Peltops montanus", "Pityriasis gymnocephala", "Strepera fuliginosa", "Strepera graculina", "Strepera versicolor", "Calidris bairdii", "Calidris canutus", "Calidris fuscicollis", "Calidris mauri", "Calidris melanotos", "Calidris minuta", "Calidris minutilla", "Calidris ptilocnemis", "Calidris pusilla", "Calidris ruficollis", "Calidris subminuta", "Calidris temminckii", "Calidris tenuirostris", "Artamus cinereus", "Artamus cyanopterus", "Artamus fuscus", "Artamus insignis", "Tringa semipalmata", "Coenocorypha aucklandica", "Coenocorypha pusilla", "Artamus leucorynchus", "Calidris pygmaea", "Artamus maximus", "Artamus mentalis", "Artamus minor", "Artamus monachus", "Artamus personatus", "Artamus superciliosus", "Gallinago andina", "Gallinago gallinago", "Gallinago hardwickii", "Gallinago imperialis", "Gallinago jamesoni", "Gallinago macrodactyla", "Gallinago media", "Gallinago megala", "Gallinago nemoricola", "Gallinago nigripennis", "Gallinago nobilis", "Dryoscopus angolensis", "Dryoscopus cubla", "Dryoscopus gambensis", "Dryoscopus pringlii", "Dryoscopus sabini", "Dryoscopus senegalensis", "Laniarius aethiopicus", "Laniarius amboimensis", "Laniarius atrococcineus", "Laniarius atroflavus", "Laniarius barbarus", "Laniarius bicolor", "Laniarius brauni", "Laniarius erythrogaster", "Laniarius ferrugineus", "Laniarius fuelleborni", "Laniarius funebris", "Laniarius leucorhynchus", "Laniarius liberatus", "Laniarius luehderi", "Laniarius mufumbiri", "Laniarius poensis", "Laniarius ruficeps", "Laniarius turatii", "Lanioturdus torquatus", "Malaconotus alius", "Malaconotus blanchoti", "Malaconotus cruentus", "Malaconotus gladiator", "Malaconotus lagdeni", "Malaconotus monteiri", "Nilaus afer", "Rhodophoneus cruentus", "Tchagra minutus anchietae", "Tchagra australis", "Tchagra jamesi", "Tchagra minutus", "Tchagra senegalus", "Tchagra tchagra", "Telophorus bocagei", "Telophorus dohertyi", "Telophorus kupeensis", "Telophorus multicolor", "Telophorus nigrifrons", "Telophorus olivaceus", "Telophorus quadricolor", "Telophorus sulfureopectus", "Telophorus viridis", "Telophorus zeylonus", "Calidris pugnax", "Prosobonia leucoptera", "Scolopax bukidnonensis", "Pithecellobium dulce", "Rhipidura albicollis", "Rhipidura albiscapa", "Arses insularis", "Arses kaupi", "Arses lorealis", "Arses telescopthalmus", "Chasiempis sandwichensis", "Clytorhynchus hamlini", "Clytorhynchus nigrogularis", "Clytorhynchus pachycephaloides", "Clytorhynchus vitiensis", "Elminia albicauda", "Elminia albiventris", "Elminia albonotata", "Elminia longicauda", "Elminia nigromitrata", "Erythrocercus holochlorus", "Erythrocercus livingstonei", "Erythrocercus mccallii", "Eutrichomyias rowleyi", "Hypothymis azurea", "Hypothymis coelestis", "Hypothymis helenae", "Hypothymis puella", "Lamprolia victoriae", "Machaerirhynchus flaviventer", "Machaerirhynchus nigripectus", "Mayrornis lessoni", "Mayrornis schistaceus", "Mayrornis versicolor", "Metabolus rugensis", "Symposiachrus axillaris", "Symposiachrus barbatus", "Symposiachrus boanensis", "Symposiachrus brehmii", "Symposiachrus browni", "Monarcha castaneiventris", "Carterornis pileatus castus", "Carterornis chrysomela", "Monarcha cinerascens", "Monarcha erythrostictus", "Symposiachrus everetti", "Monarcha frater", "Monarcha godeffroyi", "Symposiachrus guttula", "Symposiachrus infelix", "Symposiachrus julianae", "Carterornis leucotis", "Symposiachrus leucurus", "Symposiachrus loricatus", "Symposiachrus manadensis", "Monarcha melanopsis", "Symposiachrus menckei", "Symposiachrus mundus", "Carterornis pileatus", "Monarcha richardsii", "Monarcha rubiensis", "Symposiachrus sacerdotum", "Monarcha takatsukasae", "Symposiachrus trivirgatus", "Symposiachrus verticalis", "Symposiachrus vidua", "Myiagra albiventris", "Rhipidura albogularis", "Rhipidura albolimbata", "Rhipidura atra", "Rhipidura aureola", "Rhipidura brachyrhyncha", "Rhipidura cockerelli", "Rhipidura cyaniceps", "Rhipidura dahli", "Rhipidura dedemi", "Rhipidura diluta", "Rhipidura drownei", "Rhipidura dryas", "Rhipidura euryura", "Rhipidura fuliginosa", "Rhipidura fuscorufa", "Rhipidura hyperythra", "Chelidorhynx hypoxantha", "Rhipidura javanica", "Rhipidura kubaryi", "Rhipidura lepida", "Rhipidura leucophrys", "Rhipidura leucothorax", "Rhipidura maculipectus", "Rhipidura malaitae", "Rhipidura matthiae", "Rhipidura nebulosa", "Rhipidura nigrocinnamomea", "Rhipidura opistherythra", "Rhipidura perlata", "Rhipidura personata", "Rhipidura phasiana", "Rhipidura phoenicura", "Rhipidura rennelliana", "Rhipidura rufidorsa", "Rhipidura rufifrons", "Rhipidura rufiventris", "Rhipidura semirubra", "Rhipidura spilodera", "Rhipidura superciliaris", "Rhipidura superflua", "Rhipidura tenebrosa", "Rhipidura teysmanni", "Rhipidura threnothorax", "Campephaga flava", "Campephaga lobata", "Campephaga oriolina", "Campephaga petiti", "Campephaga phoenicea", "Campephaga quiscalina", "Campochaera sloetii", "Coracina abbotti", "Coracina analis", "Coracina atriceps", "Coracina azurea", "Coracina bicolor", "Coracina boyeri", "Coracina caeruleogrisea", "Coracina caesia", "Coracina caledonica", "Coracina ceramensis", "Coracina cinerea", "Coracina coerulescens", "Coracina dispar", "Coracina dohertyi", "Coracina fimbriata", "Coracina fortis", "Coracina graueri", "Coracina holopolia", "Coracina incerta", "Coracina ingens", "Coracina javensis", "Coracina larvata", "Coracina leucopygia", "Coracina lineata", "Coracina longicauda", "Coracina macei", "Coracina maxima", "Coracina mcgregori", "Coracina melanoptera", "Coracina melas", "Lalage melaschistos", "Coracina mindanensis", "Coracina montana", "Coracina morio", "Coracina newtoni", "Coracina novaehollandiae", "Coracina ostenta", "Coracina papuensis", "Coracina parvula", "Coracina pectoralis", "Coracina personata", "Coracina polioptera", "Coracina salomonis", "Coracina schistacea", "Coracina schisticeps", "Coracina striata", "Coracina sula", "Coracina temminckii", "Coracina tenuirostris", "Coracina typica", "Hemipus hirundinaceus", "Hemipus picatus", "Lalage atrovirens", "Lalage aurea", "Lalage leucomela", "Taxodium distichum", "Lalage leucopyga", "Lalage leucopygialis", "Lalage maculosa", "Lalage melanoleuca", "Lalage moesta", "Lalage nigra", "Lalage sharpei", "Lalage sueurii", "Lalage tricolor", "Pericrocotus brevirostris", "Pericrocotus cantonensis", "Pericrocotus cinnamomeus", "Pericrocotus divaricatus", "Pericrocotus erythropygius", "Pericrocotus ethologus", "Pericrocotus flammeus", "Pericrocotus igneus", "Pericrocotus lansbergei", "Pericrocotus miniatus", "Pericrocotus roseus", "Pericrocotus solaris", "Pericrocotus tegimae", "Camptostoma imberbe", "Camptostoma obsoletum", "Capsiempis flaveola", "Casiornis fuscus", "Casiornis rufus", "Cnemarchus erythropygius", "Cnipodectes subbrunneus", "Colonia colonus", "Colorhamphus parvirostris", "Conopias albovittatus", "Conopias cinchoneti", "Conopias parvus", "Conopias trivirgatus", "Contopus albogularis", "Contopus caribaeus", "Contopus cinereus", "Contopus cooperi", "Contopus fumigatus", "Contopus hispaniolensis", "Contopus latirostris", "Contopus lugubris", "Contopus nigrescens", "Contopus ochraceus", "Contopus pallidus", "Contopus pertinax", "Contopus sordidulus", "Contopus virens", "Eublepharis macularius", "Corythopis delalandi", "Corythopis torquatus", "Culicivora caudacuta", "Deltarhynchus flammulatus", "Elaenia albiceps", "Carpodacus ferreorostris", "Chloridops kona", "Dysmorodrepanis munroi", "Mammuthus primigenius", "Rhodacanthis flaviceps", "Rhodacanthis palmeri", "Acanthisitta chloris", "Xenicus gilviventris", "Xenicus longipes", "Xenicus lyalli", "Odontarrhena muralis", "Pitta anerythra", "Pitta angolensis", "Erythropitta arquata", "Hydrornis baudii", "Pitta brachyura", "Hydrornis caeruleus", "Hydrornis cyaneus", "Erythropitta dohertyi", "Pitta elegans", "Hydrornis elliotii", "Erythropitta erythrogaster", "Erythropitta granatina", "Hydrornis guajanus", "Hydrornis gurneyi", "Pitta iris", "Erythropitta kochi", "Pitta maxima", "Pitta megarhyncha", "Pitta moluccensis", "Hydrornis nipalensis", "Pitta nympha", "Hydrornis oatesi", "Hydrornis phayrei", "Pitta reichenowi", "Hydrornis schneideri", "Pitta sordida", "Hydrornis soror", "Pitta steerii", "Pitta superba", "Erythropitta ussheri", "Erythropitta venusta", "Pitta versicolor", "Calyptomena hosii", "Sus barbatus", "Agriornis albicauda", "Agriornis lividus", "Agriornis micropterus", "Agriornis montanus", "Agriornis murinus", "Alectrurus risora", "Alectrurus tricolor", "Uromyias agilis", "Uromyias agraphia", "Anairetes alpinus", "Anairetes fernandezianus", "Anairetes flavirostris", "Anairetes nigrocristatus", "Anairetes parulus", "Anairetes reguloides", "Aphanotriccus audax", "Aphanotriccus capitalis", "Arundinicola leucocephala", "Atalotriccus pilaris", "Attila bolivianus", "Attila cinnamomeus", "Attila citriniventris", "Attila phoenicurus", "Attila rufus", "Attila spadiceus", "Attila torridus", "Myiagra alecto", "Myiagra atra", "Myiagra azureocapilla", "Myiagra caledonica", "Myiagra cervinicauda", "Myiagra cyanoleuca", "Myiagra erythrops", "Myiagra ferrocyanea", "Myiagra freycineti", "Myiagra galeata", "Myiagra hebetior", "Myiagra inquieta", "Myiagra nana", "Myiagra oceanica", "Scolopax celebensis", "Myiagra pluto", "Myiagra rubecula", "Myiagra ruficollis", "Neolalage banksiana", "Pomarea dimidiata", "Pomarea iphis", "Pomarea mendozae", "Pomarea nigra", "Scolopax minor", "Pomarea whitneyi", "Terpsiphone atrocaudata", "Terpsiphone atrochalybeia", "Terpsiphone batesi", "Terpsiphone bedfordi", "Terpsiphone bourbonnensis", "Terpsiphone cinnamomea", "Terpsiphone corvina", "Terpsiphone cyanescens", "Terpsiphone mutata", "Terpsiphone paradisi", "Terpsiphone rufiventer", "Terpsiphone rufocinerea", "Scolopax mira", "Terpsiphone viridis", "Trochocercus cyanomelas", "Trochocercus nitens", "Scolopax rochussenii", "Ferula communis", "Scolopax rosenbergii", "Scolopax rusticola", "Scolopax saturata", "Tringa erythropus", "Tringa flavipes", "Tringa glareola", "Tringa guttifer", "Tringa melanoleuca", "Tringa nebularia", "Tringa ochropus", "Tringa solitaria", "Tringa stagnatilis", "Tringa totanus", "Gallinago paraguaiae", "Gallinago solitaria", "Gallinago stenura", "Gallinago undulata", "Oriolus albiloris", "Oriolus auratus", "Oriolus bouroensis", "Oriolus brachyrhynchus", "Oriolus chinensis", "Oriolus chlorocephalus", "Oriolus crassirostris", "Oriolus cruentus", "Oriolus flavocinctus", "Oriolus forsteni", "Oriolus hosii", "Oriolus isabellae", "Oriolus larvatus", "Oriolus melanotis", "Oriolus mellianus", "Oriolus monacha", "Oriolus nigripennis", "Oriolus oriolus", "Oriolus percivali", "Oriolus phaeochromus", "Oriolus sagittatus", "Oriolus steerii", "Oriolus szalayi", "Oriolus tenuirostris", "Oriolus traillii", "Oriolus xanthonotus", "Oriolus xanthornus", "Sphecotheres hypoleucus", "Sphecotheres vieilloti", "Sphecotheres viridis", "Calidris falcinellus", "Limnodromus griseus", "Limnodromus scolopaceus", "Limnodromus semipalmatus", "Limosa fedoa", "Limosa haemastica", "Limosa lapponica", "Limosa limosa", "Lymnocryptes minimus", "Numenius americanus", "Numenius arquata", "Numenius borealis", "Numenius madagascariensis", "Numenius minutus", "Numenius phaeopus", "Numenius tahitiensis", "Numenius tenuirostris", "Dendrobium fimbriatum", "Calidris subruficollis", "Xenus cinereus", "Aethionema grandiflorum", "Larus armenicus", "Larus atlanticus", "Ichthyaetus audouinii", "Larus belcheri", "Chroicocephalus brunnicephalus", "Chroicocephalus bulleri", "Larus cachinnans", "Larus californicus", "Chroicocephalus cirrocephalus", "Larus crassirostris", "Larus delawarensis", "Larus dominicanus", "Leucophaeus fuliginosus", "Chroicocephalus genei", "Larus glaucescens", "Larus glaucoides", "Chroicocephalus hartlaubii", "Larus heermanni", "Liocarcinus vernalis", "Abludomelita obtusata", "Bathyporeia pilosa", "Bathyporeia tenuipes", "Atlapetes canigenis", "Atlapetes crassus", "Atlapetes forbesi", "Atlapetes latinuchus", "Atlapetes terborghi", "Amaurospiza carrizalensis", "Machetornis rixosa", "Mecocerculus calopterus", "Mecocerculus hellmayri", "Mecocerculus leucophrys", "Mecocerculus minor", "Mecocerculus poecilocercus", "Mecocerculus stictopterus", "Megarynchus pitangua", "Mionectes macconnelli", "Mionectes oleagineus", "Mionectes olivaceus", "Mionectes rufiventris", "Mionectes striaticollis", "Mitrephanes olivaceus", "Mitrephanes phaeocercus", "Muscigralla brevicauda", "Muscipipra vetula", "Muscisaxicola albifrons", "Muscisaxicola albilora", "Muscisaxicola alpinus", "Muscisaxicola capistratus", "Muscisaxicola cinereus", "Muscisaxicola flavinucha", "Muscisaxicola fluviatilis", "Muscisaxicola frontalis", "Muscisaxicola griseus", "Muscisaxicola juninensis", "Muscisaxicola maclovianus", "Muscisaxicola maculirostris", "Muscisaxicola rufivertex", "Myiarchus antillarum", "Myiarchus apicalis", "Myiarchus barbirostris", "Myiarchus cephalotes", "Myiarchus cinerascens", "Myiarchus crinitus", "Myiarchus ferox", "Myiarchus magnirostris", "Myiarchus nugator", "Myiarchus nuttingi", "Elaenia chiriquensis", "Elaenia cristata", "Elaenia dayi", "Elaenia fallax", "Elaenia flavogaster", "Elaenia frantzii", "Elaenia gigas", "Elaenia martinica", "Elaenia mesoleuca", "Elaenia obscura", "Elaenia pallatangae", "Elaenia parvirostris", "Elaenia pelzelni", "Elaenia ridleyana", "Elaenia ruficeps", "Elaenia spectabilis", "Elaenia strepera", "Empidonax affinis", "Empidonax albigularis", "Empidonax alnorum", "Empidonax atriceps", "Empidonax difficilis", "Empidonax flavescens", "Empidonax flaviventris", "Empidonax fulvifrons", "Empidonax hammondii", "Empidonax minimus", "Empidonax oberholseri", "Empidonax occidentalis", "Empidonax traillii", "Empidonax virescens", "Empidonax wrightii", "Griseotyrannus aurantioatrocristatus", "Empidonomus varius", "Euscarthmus meloryphus", "Euscarthmus rufomarginatus", "Fluvicola albiventer", "Fluvicola nengeta", "Fluvicola pica", "Gubernetes yetapa", "Hemitriccus cinnamomeipectus", "Hemitriccus diops", "Hemitriccus flammulatus", "Hemitriccus furcatus", "Hemitriccus granadensis", "Hemitriccus griseipectus", "Hemitriccus inornatus", "Hemitriccus iohannis", "Hemitriccus josephinae", "Hemitriccus kaempferi", "Hemitriccus margaritaceiventer", "Hemitriccus minimus", "Calyptomena viridis", "Calyptomena whiteheadi", "Corydon sumatranus", "Cymbirhynchus macrorhynchos", "Eurylaimus javanicus", "Eurylaimus ochromalus", "Psarisomus dalhousiae", "Pseudocalyptomena graueri", "Sarcophanops samarensis", "Sarcophanops steerii", "Serilophus lunatus", "Smithornis capensis", "Smithornis rufolateralis", "Smithornis sharpei", "Neodrepanis coruscans", "Neodrepanis hypoxantha", "Philepitta castanea", "Philepitta schlegeli", "Hemitriccus minor", "Hemitriccus mirandae", "Hemitriccus nidipendulus", "Hemitriccus obsoletus", "Hemitriccus orbitatus", "Hemitriccus rufigularis", "Hemitriccus spodiops", "Hemitriccus striaticollis", "Hemitriccus zosterops", "Heteroxolmis dominicana", "Hirundinea ferruginea", "Hymenops perspicillatus", "Inezia caudata", "Inezia inornata", "Inezia subflava", "Inezia tenuirostris", "Knipolegus aterrimus", "Knipolegus cyanirostris", "Knipolegus franciscanus", "Knipolegus hudsoni", "Knipolegus lophotes", "Knipolegus nigerrimus", "Knipolegus orenocensis", "Knipolegus poecilocercus", "Knipolegus poecilurus", "Knipolegus signatus", "Knipolegus striaticeps", "Laniocera hypopyrra", "Laniocera rufescens", "Lathrotriccus euleri", "Lathrotriccus griseipectus", "Legatus leucophaius", "Leptopogon amaurocephalus", "Leptopogon rufipectus", "Leptopogon superciliaris", "Leptopogon taczanowskii", "Lessonia oreas", "Lessonia rufa", "Lophotriccus eulophotes", "Lophotriccus galeatus", "Lophotriccus pileatus", "Lophotriccus vitiosus", "Myiozetetes granadensis", "Myiozetetes luteiventris", "Myiozetetes similis", "Neoxolmis rufiventris", "Nesotriccus ridgwayi", "Silvicultrix diadema", "Silvicultrix frontalis", "Ochthoeca fumicolor", "Silvicultrix jelskii", "Ochthoeca leucophrys", "Ochthoeca oenanthoides", "Ochthoeca piurae", "Silvicultrix pulchella", "Ochthoeca rufipectoralis", "Ochthornis littoralis", "Oncostoma cinereigulare", "Oncostoma olivaceum", "Onychorhynchus coronatus", "Onychorhynchus occidentalis", "Ornithion brunneicapillus", "Ornithion inerme", "Ornithion semiflavum", "Pachyramphus aglaiae", "Pachyramphus albogriseus", "Pachyramphus castaneus", "Pachyramphus cinnamomeus", "Pachyramphus homochrous", "Pachyramphus major", "Pachyramphus marginatus", "Pachyramphus minor", "Pachyramphus niger", "Pachyramphus polychopterus", "Pachyramphus rufus", "Pachyramphus spodiurus", "Pachyramphus surinamus", "Pachyramphus validus", "Pachyramphus versicolor", "Pachyramphus viridis", "Pachyramphus xanthogenys", "Phaeomyias murina", "Phelpsia inornata", "Serpophaga cinerea", "Serpophaga hypoleuca", "Serpophaga munda", "Serpophaga nigricans", "Serpophaga subcristata", "Sirystes sibilator", "Stigmatura budytoides", "Stigmatura napensis", "Sublegatus arenarum", "Sublegatus modestus", "Sublegatus obscurior", "Guyramemua affine", "Suiriri suiriri", "Tachuris rubrigastra", "Taeniotriccus andrei", "Terenotriccus erythrurus", "Tityra cayana", "Tityra inquisitor", "Tityra leucura", "Tityra semifasciata", "Todirostrum chrysocrotaphum", "Todirostrum cinereum", "Todirostrum maculatum", "Todirostrum nigriceps", "Todirostrum pictum", "Todirostrum poliocephalum", "Todirostrum viridanum", "Tolmomyias assimilis", "Tolmomyias flaviventris", "Tolmomyias poliocephalus", "Tolmomyias sulphurescens", "Tolmomyias traylori", "Tumbezia salvini", "Tyrannopsis sulphurea", "Myiarchus oberi", "Myiarchus panamensis", "Myiarchus phaeocephalus", "Myiarchus sagrae", "Myiarchus semirufus", "Myiarchus stolidus", "Myiarchus swainsoni", "Myiarchus tuberculifer", "Myiarchus tyrannulus", "Myiarchus validus", "Myiarchus venezuelensis", "Myiarchus yucatanensis", "Myiobius atricaudus", "Myiobius barbatus", "Myiobius barbatus mastacalis", "Myiobius sulphureipygius", "Myiobius villosus", "Myiodynastes bairdii", "Myiodynastes chrysocephalus", "Myiodynastes hemichrysus", "Myiodynastes luteiventris", "Myiodynastes maculatus", "Myiopagis caniceps", "Myiopagis cotta", "Myiopagis flavivertex", "Myiopagis gaimardii", "Myiopagis olallai", "Myiopagis subplacens", "Myiopagis viridicata", "Myiophobus cryptoxanthus", "Myiophobus fasciatus", "Myiophobus flavicans", "Myiophobus inornatus", "Nephelomyias lintoni", "Nephelomyias ochraceiventris", "Myiophobus phoenicomitra", "Nephelomyias pulcher", "Myiophobus roraimae", "Myiornis albiventris", "Myiornis atricapillus", "Myiornis auricularis", "Myiornis ecaudatus", "Myiotheretes fumigatus", "Myiotheretes fuscorufus", "Myiotheretes pernix", "Myiotheretes striaticollis", "Myiotriccus ornatus", "Myiozetetes cayanensis", "Poecilotriccus plumbeiceps", "Poecilotriccus pulchellus", "Poecilotriccus ruficeps", "Poecilotriccus russatus", "Poecilotriccus senex", "Poecilotriccus sylvia", "Polioxolmis rufipennis", "Polystictus pectoralis", "Polystictus superciliaris", "Pseudelaenia leucospodia", "Pseudocolopteryx acutipennis", "Pseudocolopteryx dinelliana", "Pseudocolopteryx flaviventris", "Pseudocolopteryx sclateri", "Pseudotriccus pelzelni", "Pseudotriccus ruficeps", "Pseudotriccus simplex", "Pyrocephalus rubinus", "Pyrrhomyias cinnamomeus", "Ramphotrigon fuscicauda", "Ramphotrigon megacephalum", "Ramphotrigon ruficauda", "Rhynchocyclus brevirostris", "Rhynchocyclus fulvipectus", "Rhynchocyclus olivaceus", "Rhynchocyclus pacificus", "Rhytipterna holerythra", "Rhytipterna immunda", "Rhytipterna simplex", "Satrapa icterophrys", "Sayornis nigricans", "Sayornis phoebe", "Sayornis saya", "Abietinella abietina", "Tyrannulus elatus", "Xenopsaris albinucha", "Xenotriccus callizonus", "Xenotriccus mexicanus", "Xolmis cinereus", "Xolmis coronatus", "Xolmis irupero", "Xolmis pyrope", "Xolmis rubetra", "Xolmis salinarum", "Xolmis velatus", "Zimmerius bolivianus", "Zimmerius chrysops", "Zimmerius cinereicapilla", "Zimmerius gracilipes", "Zimmerius improbus", "Zimmerius vilissimus", "Zimmerius villarejoi", "Zimmerius viridiflavus", "Oxyruncus cristatus", "Antilophia bokermanni", "Antilophia galeata", "Chiroxiphia boliviana", "Chiroxiphia caudata", "Chiroxiphia lanceolata", "Chiroxiphia linearis", "Chiroxiphia pareola", "Corapipo altera", "Corapipo gutturalis", "Corapipo leucorrhoa", "Heterocercus aurantiivertex", "Heterocercus flavivertex", "Heterocercus linteatus", "Ilicura militaris", "Lepidothrix coeruleocapilla", "Lepidothrix coronata", "Lepidothrix iris", "Lepidothrix isidorei", "Lepidothrix nattereri", "Lepidothrix serena", "Lepidothrix suavissima", "Lepidothrix vilasboasi", "Machaeropterus deliciosus", "Machaeropterus pyrocephalus", "Machaeropterus regulus", "Machaeropterus striolatus", "Manacus manacus", "Masius chrysopterus", "Neopelma aurifrons", "Neopelma chrysocephalum", "Neopelma chrysolophum", "Neopelma pallescens", "Neopelma sulphureiventer", "Neopipo cinnamomea", "Pipra aureola", "Ceratopipra chloromeros", "Ceratopipra cornuta", "Ceratopipra erythrocephala", "Pipra fasciicauda", "Pipra filicauda", "Ceratopipra mentalis", "Asthenes anthoides", "Asthenes arequipae", "Asthenes baeri", "Asthenes berlepschi", "Asthenes dorbignyi", "Asthenes flammulata", "Asthenes heterura", "Asthenes huancavelicae", "Asthenes hudsoni", "Asthenes humilis", "Asthenes luizae", "Asthenes maculicauda", "Asthenes modesta", "Asthenes ottonis", "Asthenes pudibunda", "Asthenes pyrrholeuca", "Asthenes sclateri", "Asthenes urubambensis", "Asthenes virgata", "Asthenes wyatti", "Automolus infuscatus", "Automolus leucophthalmus", "Automolus melanopezus", "Automolus ochrolaemus", "Automolus paraensis", "Syndactyla roraimae", "Clibanornis rubiginosus", "Automolus rufipileatus", "Berlepschia rikeri", "Certhiaxis cinnamomeus", "Certhiaxis mustelinus", "Ochetorhynchus melanurus", "Cichlocolaptes leucophrus", "Cinclodes antarcticus", "Cinclodes aricomae", "Cinclodes atacamensis", "Cinclodes comechingonus", "Cinclodes excelsior", "Cinclodes fuscus", "Cinclodes nigrofumosus", "Cinclodes olrogi", "Cinclodes oustaleti", "Cinclodes pabsti", "Cinclodes palliatus", "Procnias averano", "Procnias nudicollis", "Procnias tricarunculatus", "Pyroderus scutatus", "Querula purpurata", "Rupicola peruvianus", "Rupicola rupicola", "Snowornis cryptolophus", "Snowornis subalaris", "Lipaugus ater", "Lipaugus conditus", "Xipholena atropurpurea", "Xipholena lamellipennis", "Xipholena punicea", "Zaratornis stresemanni", "Larus hyperboreus", "Ichthyaetus ichthyaetus", "Ichthyaetus leucophthalmus", "Larus livens", "Chroicocephalus maculipennis", "Ichthyaetus melanocephalus", "Leucophaeus modestus", "Chroicocephalus novaehollandiae", "Larus occidentalis", "Larus pacificus", "Chroicocephalus philadelphia", "Leucophaeus pipixcan", "Ichthyaetus relictus", "Chroicocephalus saundersi", "Larus schistisagus", "Chroicocephalus novaehollandiae scopulinus", "Chroicocephalus serranus", "Larus glaucoides thayeri", "Pagophila eburnea", "Rhodostethia rosea", "Rissa brevirostris", "Rissa tridactyla", "Xema sabini", "Campylorhamphus falcularius", "Campylorhamphus procurvoides", "Drymotoxeres pucheranii", "Campylorhamphus pusillus", "Campylorhamphus trochilirostris", "Deconychura longicauda", "Dendrexetastes rufigula", "Dendrocincla anabatina", "Dendrocincla fuliginosa", "Dendrocincla homochroa", "Dendrocincla merula", "Dendrocincla turdina", "Dendrocincla tyrannina", "Dendrocolaptes certhia", "Dendrocolaptes hoffmannsi", "Dendrocolaptes picumnus", "Dendrocolaptes platyrostris", "Dendrocolaptes sanctithomae", "Drymornis bridgesii", "Glyphorynchus spirurus", "Hylexetastes brigidai", "Hylexetastes perrotii", "Hylexetastes stresemanni", "Hylexetastes uniformis", "Lepidocolaptes affinis", "Lepidocolaptes albolineatus", "Lepidocolaptes angustirostris", "Lepidocolaptes falcinellus", "Lepidocolaptes lacrymiger", "Cinclodes patagonicus", "Cinclodes taczanowskii", "Clibanornis dendrocolaptoides", "Coryphistera alaudina", "Cranioleuca albicapilla", "Cranioleuca albiceps", "Cranioleuca antisiensis", "Cranioleuca antisiensis baroni", "Cranioleuca curtata", "Cranioleuca demissa", "Cranioleuca dissita", "Cranioleuca erythrops", "Cranioleuca gutturata", "Cranioleuca hellmayri", "Cranioleuca henricae", "Cranioleuca marcapatae", "Cranioleuca muelleri", "Cranioleuca obsoleta", "Cranioleuca pallida", "Cranioleuca pyrrhophia", "Cranioleuca semicinerea", "Cranioleuca subcristata", "Limnoctites sulphuriferus", "Cranioleuca vulpecula", "Cranioleuca vulpina", "Ochetorhynchus phoenicurus", "Furnarius cristatus", "Furnarius figulus", "Furnarius leucopus", "Furnarius minor", "Furnarius rufus", "Furnarius torridus", "Geositta antarctica", "Geositta crassirostris", "Geositta cunicularia", "Geositta isabellina", "Geositta maritima", "Geositta peruviana", "Geositta poeciloptera", "Geositta punensis", "Geositta rufipennis", "Geositta saxicolina", "Geositta tenuirostris", "Heliobletus contaminatus", "Hellmayrea gularis", "Philydor rufum", "Phleocryptes melanops", "Premnoplex brunnescens", "Premnoplex tatei", "Pseudocolaptes boissonneautii", "Pseudocolaptes johnsoni", "Pseudocolaptes lawrencii", "Pseudoseisura cristata", "Pseudoseisura gutturalis", "Pseudoseisura lophotes", "Pseudoseisura unirufa", "Pygarrhichas albogularis", "Roraimia adusta", "Asthenes coryi", "Asthenes fuliginosa", "Asthenes griseomurina", "Asthenes harterti", "Asthenes helleri", "Asthenes palpebralis", "Asthenes perijana", "Asthenes vilcabambae", "Schoeniophylax phryganophilus", "Sclerurus albigularis", "Sclerurus caudacutus", "Sclerurus guatemalensis", "Sclerurus mexicanus", "Sclerurus rufigularis", "Sclerurus scansor", "Siptornis striaticollis", "Synallaxis hypochondriaca", "Spartonoica maluroides", "Clibanornis erythrocephalus", "Clibanornis rectirostris", "Automolus subulatus", "Leptasthenura aegithaloides", "Leptasthenura andicola", "Leptasthenura fuliginiceps", "Leptasthenura pileata", "Leptasthenura platensis", "Leptasthenura setaria", "Leptasthenura striata", "Leptasthenura striolata", "Leptasthenura xenothorax", "Sylviorthorhynchus yanacensis", "Limnornis curvirostris", "Limnoctites rectirostris", "Lochmias nematura", "Margarornis bellulus", "Margarornis rubiginosus", "Margarornis squamiger", "Margarornis stellatus", "Megaxenops parnaguae", "Metopothrix aurantiaca", "Asthenes moreirae", "Phacellodomus dorsalis", "Phacellodomus erythrophthalmus", "Phacellodomus maculipectus", "Phacellodomus ruber", "Phacellodomus rufifrons", "Phacellodomus sibilatrix", "Phacellodomus striaticeps", "Phacellodomus striaticollis", "Philydor atricapillus", "Philydor erythrocercum", "Dendroma erythroptera", "Philydor fuscipenne", "Anabacerthia lichtensteini", "Philydor novaesi", "Philydor pyrrhodes", "Anabacerthia ruficaudata", "Thripophaga macroura", "Upucerthia albigula", "Tarphonomus certhioides", "Upucerthia dumetaria", "Tarphonomus harterti", "Upucerthia validirostris jelskii", "Geocerthia serrana", "Upucerthia validirostris", "Xenerpestes minlosi", "Xenerpestes singularis", "Microxenops milleri", "Xenops minutus", "Xenops rutilans", "Xenops tenuirostris", "Ampelioides tschudii", "Ampelion rubrocristatus", "Ampelion rufaxilla", "Calyptura cristata", "Carpodectes antoniae", "Carpodectes hopkei", "Carpodectes nitidus", "Carpornis cucullata", "Carpornis melanocephala", "Cephalopterus glabricollis", "Cephalopterus ornatus", "Cephalopterus penduliger", "Conioptilon mcilhennyi", "Cotinga amabilis", "Cotinga cayana", "Cotinga cotinga", "Cotinga maculata", "Cotinga maynana", "Cotinga nattererii", "Sylviorthorhynchus desmurii", "Synallaxis albescens", "Synallaxis albigularis", "Synallaxis albilora", "Synallaxis azarae", "Synallaxis brachyura", "Synallaxis cabanisi", "Synallaxis candei", "Synallaxis castanea", "Synallaxis cherriei", "Synallaxis cinerascens", "Synallaxis cinnamomea", "Synallaxis courseni", "Synallaxis erythrothorax", "Synallaxis frontalis", "Synallaxis fuscorufa", "Synallaxis gujanensis", "Synallaxis hellmayri", "Synallaxis hypospodia", "Synallaxis infuscata", "Synallaxis kollari", "Synallaxis macconnelli", "Synallaxis maranonica", "Synallaxis moesta", "Mazaria propinqua", "Synallaxis ruficapilla", "Synallaxis rutilans", "Synallaxis scutata", "Synallaxis spixi", "Synallaxis stictothorax", "Synallaxis subpudica", "Synallaxis tithys", "Synallaxis unirufa", "Synallaxis zimmeri", "Syndactyla dimidiata", "Syndactyla guttulata", "Syndactyla ruficollis", "Syndactyla rufosuperciliata", "Syndactyla striata", "Syndactyla subalaris", "Syndactyla ucayalae", "Thripadectes flammulatus", "Thripadectes holostictus", "Thripadectes ignobilis", "Thripadectes melanorhynchus", "Thripadectes rufobrunneus", "Thripadectes scrutator", "Thripadectes virgaticeps", "Thripophaga berlepschi", "Thripophaga cherriei", "Thripophaga fusciceps", "Cotinga ridgwayi", "Doliornis remseni", "Doliornis sclateri", "Gymnoderus foetidus", "Haematoderus militaris", "Iodopleura fusca", "Iodopleura isabellae", "Iodopleura pipra", "Laniisoma elegans", "Lipaugus fuscocinereus", "Lipaugus lanioides", "Lipaugus streptophorus", "Lipaugus unirufus", "Lipaugus uropygialis", "Lipaugus vociferans", "Lipaugus weberi", "Perissocephalus tricolor", "Phibalura flavirostris", "Phoenicircus carnifex", "Phoenicircus nigricollis", "Phytotoma raimondii", "Phytotoma rara", "Phytotoma rutila", "Pipreola arcuata", "Pipreola aureopectus", "Pipreola chlorolepidota", "Pipreola formosa", "Pipreola frontalis", "Pipreola intermedia", "Pipreola jucunda", "Pipreola lubomirskii", "Pipreola pulchra", "Pipreola riefferii", "Pipreola whitelyi", "Porphyrolaema porphyrolaema", "Procnias albus", "Phyllomyias burmeisteri", "Phyllomyias cinereiceps", "Phyllomyias fasciatus", "Phyllomyias griseiceps", "Phyllomyias griseocapilla", "Phyllomyias nigrocapillus", "Phyllomyias plumbeiceps", "Phyllomyias reiseri", "Phyllomyias sclateri", "Phyllomyias urichi", "Phyllomyias uropygialis", "Phyllomyias virescens", "Phyllomyias zeledoni", "Phylloscartes beckeri", "Phylloscartes ceciliae", "Pogonotriccus chapmani", "Phylloscartes difficilis", "Pogonotriccus eximius", "Phylloscartes flaviventris", "Phylloscartes flavovirens", "Phylloscartes gualaquizae", "Phylloscartes kronei", "Pogonotriccus lanyoni", "Phylloscartes nigrifrons", "Pogonotriccus ophthalmicus", "Pogonotriccus orbitalis", "Ochthoeca cinnamomeiventris", "Phylloscartes oustaleti", "Phylloscartes parkeri", "Phylloscartes paulista", "Pogonotriccus poecilotis", "Phylloscartes roquettei", "Phylloscartes superciliaris", "Phylloscartes sylviolus", "Pogonotriccus venezuelanus", "Phylloscartes ventralis", "Phylloscartes virescens", "Philohydor lictor", "Pitangus sulphuratus", "Platyrinchus cancrominus", "Platyrinchus coronatus", "Platyrinchus flavigularis", "Platyrinchus leucoryphus", "Platyrinchus mystaceus", "Platyrinchus platyrhynchos", "Platyrinchus saturatus", "Poecilotriccus albifacies", "Poecilotriccus calopterus", "Poecilotriccus capitalis", "Poecilotriccus fumifrons", "Poecilotriccus latirostris", "Poecilotriccus luluae", "Lepidocolaptes leucogaster", "Lepidocolaptes souleyetii", "Lepidocolaptes squamatus", "Nasica longirostris", "Sittasomus griseicapillus", "Xiphocolaptes albicollis", "Xiphocolaptes promeropirhynchus carajaensis", "Xiphocolaptes falcirostris", "Xiphocolaptes major", "Xiphocolaptes promeropirhynchus", "Xiphorhynchus chunchotambo", "Xiphorhynchus elegans", "Xiphorhynchus erythropygius", "Xiphorhynchus flavigaster", "Xiphorhynchus fuscus", "Xiphorhynchus guttatus guttatoides", "Xiphorhynchus guttatus", "Xiphorhynchus elegans juruanus", "Xiphorhynchus lachrymosus", "Xiphorhynchus obsoletus", "Xiphorhynchus ocellatus", "Xiphorhynchus pardalotus", "Dendroplex picus", "Xiphorhynchus spixii", "Xiphorhynchus susurrans", "Xiphorhynchus triangularis", "Synallaxis cinerea", "Chamaeza campanisona", "Chamaeza meruloides", "Chamaeza mollissima", "Chamaeza nobilis", "Chamaeza ruficauda", "Chamaeza turdina", "Formicarius analis", "Formicarius colma", "Formicarius moniliger", "Formicarius nigricapillus", "Formicarius rufifrons", "Formicarius rufipectus", "Grallaria albigula", "Grallaria alleni", "Grallaria andicolus", "Grallaria bangsi", "Grallaria blakei", "Grallaria capitalis", "Acropternis orthonyx", "Eugralla paradoxa", "Liosceles thoracicus", "Melanopareia elegans", "Melanopareia maranonica", "Melanopareia maximiliani", "Melanopareia torquata", "Merulaxis ater", "Merulaxis stresemanni", "Myornis senilis", "Psilorhamphus guttatus", "Pteroptochos castaneus", "Pteroptochos megapodius", "Pteroptochos tarnii", "Rhinocrypta lanceolata", "Scelorchilus albicollis", "Scelorchilus rubecula", "Scytalopus acutirostris", "Scytalopus affinis", "Scytalopus altirostris", "Scytalopus argentifrons", "Scytalopus atratus", "Scytalopus bolivianus", "Scytalopus canus", "Scytalopus caracae", "Scytalopus chocoensis", "Scytalopus femoralis", "Scytalopus meridanus fuscicauda", "Scytalopus fuscus", "Scytalopus griseicollis", "Eleoscytalopus indigoticus", "Scytalopus infasciatus", "Scytalopus iraiensis", "Scytalopus latebricola", "Scytalopus latrans", "Scytalopus macropus", "Grallaria carrikeri", "Grallaria chthonia", "Grallaria dignissima", "Grallaria eludens", "Grallaria erythroleuca", "Grallaria erythrotis", "Grallaria excelsa", "Grallaria flavotincta", "Grallaria gigantea", "Grallaria griseonucha", "Grallaria guatimalensis", "Grallaria haplonota", "Grallaria hypoleuca", "Grallaria kaestneri", "Grallaria milleri", "Grallaria nuchalis", "Grallaria przewalskii", "Grallaria quitensis", "Grallaria ridgelyi", "Grallaria ruficapilla", "Grallaria rufocinerea", "Grallaria rufula", "Grallaria squamigera", "Grallaria varia", "Grallaria watkinsi", "Grallaricula cucullata", "Grallaricula ferrugineipectus", "Grallaricula flavirostris", "Grallaricula lineifrons", "Grallaricula loricata", "Grallaricula nana", "Grallaricula ochraceifrons", "Grallaricula peruviana", "Hylopezus auricularis", "Hylopezus berlepschi", "Hylopezus dives", "Hylopezus fulviventris", "Hylopezus macularius", "Hylopezus nattereri", "Hylopezus ochroleucus", "Hylopezus perspicillatus", "Myrmothera simplex", "Pittasoma michleri", "Pittasoma rufopileatum", "Conopophaga ardesiaca", "Conopophaga aurita", "Conopophaga castaneiceps", "Conopophaga lineata", "Conopophaga melanogaster", "Conopophaga melanops", "Conopophaga peruviana", "Conopophaga roberti", "Drymophila ferruginea", "Drymophila genei", "Drymophila malura", "Drymophila ochropyga", "Drymophila rubricollis", "Drymophila squamata", "Dysithamnus leucostictus", "Dysithamnus occidentalis", "Dysithamnus plumbeus", "Dysithamnus puncticeps", "Dysithamnus stictothorax", "Dysithamnus striaticeps", "Dysithamnus xanthopterus", "Formicivora erythronotos", "Formicivora grisea", "Formicivora iheringi", "Formicivora serrana littoralis", "Formicivora melanogaster", "Formicivora rufa", "Formicivora serrana", "Frederickena unduliger", "Frederickena viridis", "Gymnocichla nudiceps", "Gymnopithys bicolor", "Gymnopithys leucaspis", "Oneillornis lunulatus", "Gymnopithys rufigula", "Oneillornis salvini", "Herpsilochmus atricapillus", "Herpsilochmus axillaris", "Herpsilochmus dorsimaculatus", "Herpsilochmus dugandi", "Herpsilochmus gentryi", "Herpsilochmus longirostris", "Herpsilochmus motacilloides", "Herpsilochmus parkeri", "Herpsilochmus pectoralis", "Herpsilochmus pileatus", "Herpsilochmus roraimae", "Herpsilochmus rufimarginatus", "Herpsilochmus sellowi", "Herpsilochmus stictocephalus", "Herpsilochmus sticturus", "Hylophylax naevioides", "Hylophylax naevius", "Willisornis poecilinotus", "Hylophylax punctulatus", "Hypocnemis cantator", "Hypocnemis hypoxantha", "Hypocnemoides maculicauda", "Hypocnemoides melanopogon", "Hypoedaleus guttatus", "Mackenziaena leachii", "Mackenziaena severa", "Megastictus margaritatus", "Microrhopias quixensis", "Myrmophylax atrothorax", "Sipia berlepschi", "Sciaphylax castanea", "Aprositornis disjuncta", "Poliocrania exsul", "Myrmoderus ferrugineus", "Hafferia fortis", "Akletos goeldii", "Ampelornis griseiceps", "Sciaphylax hemimelaena", "Myrmelastes hyperythrus", "Hafferia immaculata", "Sipia laemosticta", "Myrmeciza longipes", "Myrmoderus loricatus", "Akletos melanoceps", "Sipia nigricauda", "Ammonastes pelzelni", "Myrmoderus ruficauda", "Myrmoderus squamosus", "Myrmoborus leucophrys", "Myrmoborus lugubris", "Myrmoborus melanurus", "Myrmoborus myotherinus", "Myrmochanes hemileucus", "Myrmorchilus strigilatus", "Myrmornis torquata", "Myrmotherula ambigua", "Myrmotherula assimilis", "Scytalopus magellanicus", "Scytalopus meridanus", "Scytalopus micropterus", "Scytalopus novacapitalis", "Scytalopus pachecoi", "Scytalopus panamensis", "Scytalopus parkeri", "Scytalopus parvirostris", "Eleoscytalopus psychopompus", "Scytalopus robbinsi", "Scytalopus rodriguezi", "Scytalopus sanctaemartae", "Scytalopus schulenbergi", "Scytalopus simonsi", "Scytalopus speluncae", "Scytalopus spillmanni", "Scytalopus stilesi", "Scytalopus superciliaris", "Scytalopus unicolor", "Scytalopus urubambae", "Scytalopus vicinior", "Scytalopus zimmeri", "Teledromas fuscus", "Batara cinerea", "Biatas nigropectus", "Cercomacra brasiliana", "Cercomacra carbonaria", "Cercomacra cinerascens", "Cercomacra ferdinandi", "Cercomacroides laeta", "Cercomacra manu", "Cercomacra melanaria", "Cercomacroides nigrescens", "Cercomacra nigricans", "Cercomacroides parkeri", "Cercomacroides serva", "Cercomacroides tyrannina", "Clytoctantes alixii", "Clytoctantes atrogularis", "Cymbilaimus lineatus", "Cymbilaimus sanctaemariae", "Dichrozona cincta", "Drymophila caudata", "Drymophila devillei", "Ectopistes migratorius", "Gallicolumba crinigera", "Gallicolumba keayi", "Gallicolumba luzonica", "Gallicolumba menagei", "Gallicolumba platenae", "Gallicolumba rufigula", "Gallicolumba tristigmata", "Geopelia humeralis", "Geopelia maugeus", "Geopelia placida", "Geophaps plumifera", "Geophaps scripta", "Geophaps smithii", "Zentrygon albifacies", "Geotrygon caniceps", "Zentrygon carrikeri", "Zentrygon chiriquensis", "Geotrygon chrysia", "Zentrygon costaricensis", "Zentrygon frenata", "Zentrygon goldmani", "Zentrygon lawrencii", "Geotrygon leucometopia", "Zentrygon linearis", "Geotrygon montana", "Geotrygon mystacea", "Geotrygon saphirina", "Leptotrygon veraguensis", "Geotrygon versicolor", "Geotrygon violacea", "Henicophaps albifrons", "Henicophaps foersteri", "Leptotila battyi", "Leptotila cassinii", "Leptotila conoveri", "Caloenas nicobarica", "Chalcophaps indica", "Chalcophaps stephani", "Claravis pretiosa", "Columba albinucha", "Columba albitorques", "Columba argentina", "Columba arquatrix", "Columba bollii", "Columba delegorguei", "Columba elphinstonii", "Columba eversmanni", "Columba guinea", "Columba hodgsonii", "Columba iriditorques", "Columba janthina", "Columba jouyi", "Columba junoniae", "Columba larvata", "Columba leucomela", "Columba leuconota", "Columba livia", "Columba malherbii", "Columba oenas", "Columba oliviae", "Columba pallidiceps", "Columba palumboides", "Columba palumbus", "Columba pollenii", "Columba pulchricollis", "Columba punicea", "Columba rupestris", "Columba simplex", "Columba sjostedti", "Columba thomensis", "Columba torringtoniae", "Columba trocaz", "Columba unicincta", "Columba versicolor", "Columba vitiensis", "Columbina buckleyi", "Columbina cruziana", "Columbina cyanopis", "Columbina inca", "Columbina minuta", "Columbina passerina", "Columbina picui", "Columbina squammata", "Columbina talpacoti", "Pyriglena leuconota", "Pyriglena leucoptera", "Rhegmatorhina berlepschi", "Rhegmatorhina cristata", "Rhegmatorhina gymnops", "Rhegmatorhina hoffmannsi", "Rhegmatorhina melanosticta", "Rhopornis ardesiacus", "Thamnophilus bernardi", "Sakesphorus canadensis", "Sakesphorus cristatus", "Sakesphorus luctuosus", "Thamnophilus melanonotus", "Thamnophilus melanothorax", "Sclateria naevia", "Phlegopsis borbae", "Formicivora acutirostris", "Taraba major", "Euchrepomis callinota", "Euchrepomis humeralis", "Terenura maculata", "Euchrepomis sharpei", "Terenura sicki", "Euchrepomis spodioptila", "Thamnistes anabatinus", "Thamnomanes ardesiacus", "Thamnomanes caesius", "Thamnomanes saturninus", "Thamnomanes schistogynus", "Thamnophilus aethiops", "Thamnophilus amazonicus", "Thamnophilus ambiguus", "Thamnophilus aroyae", "Thamnophilus atrinucha", "Thamnophilus bridgesi", "Thamnophilus caerulescens", "Thamnophilus cryptoleucus", "Thamnophilus divisorius", "Thamnophilus doliatus", "Thamnophilus insignis", "Thamnophilus multistriatus", "Alle alle", "Brachyramphus brevirostris", "Alectroenas madagascariensis", "Alectroenas nitidissima", "Alectroenas pulcherrima", "Alectroenas sganzini", "Brachyramphus marmoratus", "Cryptophaps poecilorrhoa", "Brachyramphus perdix", "Drepanoptila holosericea", "Ducula aenea", "Cepphus carbo", "Ducula aurorae", "Ducula badia", "Ducula bakeri", "Cepphus columba", "Ducula basilica", "Ducula bicolor", "Ducula brenchleyi", "Ducula carola", "Ducula chalconota", "Ducula cineracea", "Ducula concinna", "Ducula constans", "Ducula finschii", "Ducula forsteni", "Ducula galeata", "Ducula goliath", "Cepphus grylle", "Ducula lacernulata", "Ducula latrans", "Ducula luctuosa", "Ducula melanochroa", "Ducula mindorensis", "Ducula mullerii", "Ducula myristicivora", "Ducula oceanica", "Ducula pacifica", "Ducula perspicillata", "Ducula pickeringii", "Ducula pinon", "Ducula pistrinaria", "Ducula poliocephala", "Ducula radiata", "Ducula rosacea", "Cerorhinca monocerata", "Ducula rubricera", "Ducula rufigaster", "Ducula spilorrhoa", "Pseudopipra pipra", "Ceratopipra rubrocapilla", "Piprites chloris", "Piprites griseiceps", "Piprites pileata", "Sapayoa aenigma", "Schiffornis major", "Schiffornis turdina", "Schiffornis virescens", "Tyranneutes stolzmanni", "Tyranneutes virescens", "Xenopipo atronitens", "Chloropipo flavicapilla", "Cryptopipo holochlora", "Chloropipo unicolor", "Xenopipo uniformis", "Aegopodium podagraria", "Acrobatornis fonsecai", "Anabacerthia amaurotis", "Anabacerthia striaticollis", "Anabacerthia variegaticeps", "Anabazenops dorsalis", "Anabazenops fuscus", "Ancistrops strigilatus", "Anumbius annumbi", "Aphrastura masafuerae", "Aphrastura spinicauda", "Myrmotherula axillaris", "Myrmotherula behni", "Myrmotherula brachyura", "Myrmotherula cherriei", "Epinecrophylla erythrura", "Epinecrophylla haematonota fjeldsaai", "Myrmotherula fluminensis", "Epinecrophylla fulviventris", "Myrmotherula grisea", "Rhopias gularis", "Isleria guttata", "Epinecrophylla gutturalis", "Epinecrophylla haematonota", "Isleria hauxwelli", "Myrmotherula ignota", "Myrmotherula iheringi", "Myrmotherula klagesi", "Epinecrophylla leucophthalma", "Myrmotherula longicauda", "Myrmotherula longipennis", "Myrmotherula menetriesii", "Myrmotherula minor", "Myrmotherula multostriata", "Myrmotherula ignota obscura", "Epinecrophylla ornata", "Myrmotherula pacifica", "Myrmotherula schisticolor", "Myrmotherula sclateri", "Myrmotherula snowi", "Epinecrophylla spodionota", "Myrmotherula sunensis", "Myrmotherula surinamensis", "Myrmotherula unicolor", "Myrmotherula urosticta", "Neoctantes niger", "Percnostola arenarum", "Myrmelastes caurensis", "Myrmelastes leucostigma", "Myrmoborus lophotes", "Percnostola rufifrons minor", "Percnostola rufifrons", "Myrmelastes schistaceus", "Phaenostictus mcleannani", "Phlegopsis erythroptera", "Phlegopsis nigromaculata", "Pithys albifrons", "Pithys castaneus", "Pygiptila stellaris", "Pyriglena atra", "Petrophassa rufipennis", "Phaps chalcoptera", "Phaps elegans", "Phaps histrionica", "Reinwardtoena browni", "Reinwardtoena crassirostris", "Reinwardtoena reinwardtii", "Starnoenas cyanocephala", "Streptopelia bitorquata", "Streptopelia hypopyrrha", "Streptopelia lugens", "Nesoenas mayeri", "Nesoenas picturatus", "Streptopelia reichenowi", "Aethia cristatella", "Aethia psittacula", "Aethia pusilla", "Streptopelia tranquebarica", "Trugon terrestris", "Turacoena manadensis", "Turacoena modesta", "Aethia pygmaea", "Turtur abyssinicus", "Turtur afer", "Turtur brehmeri", "Turtur chalcospilos", "Turtur tympanistria", "Uropelia campestris", "Zenaida asiatica", "Zenaida auriculata", "Zenaida aurita", "Zenaida galapagoensis", "Zenaida graysoni", "Zenaida macroura", "Zenaida meloda", "Alca torda", "Otidiphaps nobilis", "Lycocorax pyrrhopterus", "Macgregoria pulchra", "Manucodia ater", "Manucodia chalybata", "Manucodia comrii", "Manucodia jobiensis", "Phonygammus keraudrenii", "Melampitta gigantea", "Melampitta lugubris", "Paradigalla brevicauda", "Paradigalla carunculata", "Paradisaea apoda", "Paradisaea decora", "Paradisaea guilielmi", "Paradisaea minor", "Paradisaea raggiana", "Paradisaea rubra", "Paradisaea rudolphi", "Parotia carolae", "Parotia helenae", "Parotia lawesii", "Parotia sefilata", "Parotia wahnesi", "Pteridophora alberti", "Ptiloris intercedens", "Ptiloris magnificus", "Ptiloris paradiseus", "Ptiloris victoriae", "Seleucidis melanoleucus", "Semioptera wallacii", "Calidris virgata", "Arenaria interpres", "Arenaria melanocephala", "Bartramia longicauda", "Calidris acuminata", "Cracticus argenteus", "Cracticus cassicus", "Anous minutus", "Anous stolidus", "Anous tenuirostris", "Chlidonias albostriatus", "Chlidonias hybrida", "Chlidonias leucopterus", "Chlidonias niger", "Gygis alba", "Gygis alba microrhyncha", "Larosterna inca", "Phaetusa simplex", "Anous albivitta", "Anous ceruleus", "Sterna acuticauda", "Sternula antillarum", "Sterna aurantia", "Sternula balaenarum", "Thalasseus bengalensis", "Thalasseus bergii", "Thalasseus bernsteini", "Sterna dougallii", "Thalasseus elegans", "Sterna forsteri", "Sterna hirundinacea", "Sterna hirundo", "Sternula lorata", "Thalasseus maximus", "Sternula nereis", "Sterna paradisaea", "Sterna repressa", "Thalasseus sandvicensis", "Sterna striata", "Thamnophilus murinus", "Thamnophilus nigriceps", "Thamnophilus nigrocinereus", "Thamnophilus palliatus", "Thamnophilus pelzelni", "Thamnophilus praecox", "Thamnophilus punctatus", "Thamnophilus ruficapillus", "Thamnophilus schistaceus", "Thamnophilus stictocephalus", "Thamnophilus sticturus", "Thamnophilus tenuepunctatus", "Thamnophilus torquatus", "Thamnophilus unicolor", "Thamnophilus zarumae", "Xenornis setifrons", "Lithobates pipiens", "Dendroscansor decurvirostris", "Pachyplichas yaldwyni", "Pereskia grandifolia", "Nicandra physalodes", "Creagrus furcatus", "Ptilinopus pelewensis", "Ptilinopus perlatus", "Ptilinopus perousii", "Ptilinopus porphyraceus", "Ptilinopus porphyreus", "Ptilinopus pulchellus", "Ptilinopus purpuratus", "Ptilinopus rarotongensis", "Ptilinopus regina", "Ptilinopus richardsii", "Ptilinopus rivoli", "Ptilinopus roseicapilla", "Ptilinopus solomonensis", "Ptilinopus subgularis", "Ptilinopus superbus", "Ptilinopus tannensis", "Ptilinopus victor", "Ptilinopus viridis", "Ptilinopus wallacii", "Treron apicauda", "Treron australis", "Treron bicinctus", "Treron calvus", "Pinguinus impennis", "Ptychoramphus aleuticus", "Treron capellei", "Synthliboramphus antiquus", "Treron curvirostra", "Treron floris", "Treron formosae", "Treron fulvicollis", "Synthliboramphus craveri", "Treron griseicauda", "Treron olax", "Treron oxyurus", "Treron pembaensis", "Treron phoenicopterus", "Treron pompadora", "Treron psittaceus", "Treron sanctithomae", "Treron seimundi", "Treron sieboldii", "Treron sphenurus", "Synthliboramphus hypoleucus", "Synthliboramphus scrippsi", "Synthliboramphus wumizusume", "Treron teysmannii", "Treron vernans", "Treron waalia", "Ducula whartoni", "Ducula zoeae", "Gymnophaps albertisii", "Gymnophaps mada", "Gymnophaps solomonensis", "Hemiphaga novaeseelandiae", "Lopholaimus antarcticus", "Fratercula arctica", "Phapitreron amethystinus", "Phapitreron cinereiceps", "Phapitreron leucotis", "Ptilinopus alligator", "Ptilinopus arcanus", "Ptilinopus aurantiifrons", "Ptilinopus bernsteinii", "Ptilinopus chalcurus", "Ptilinopus cinctus", "Ptilinopus coralensis", "Fratercula cirrhata", "Ptilinopus coronulatus", "Ptilinopus dohertyi", "Ptilinopus dupetithouarsii", "Ptilinopus eugeniae", "Ptilinopus fischeri", "Ptilinopus granulifrons", "Ptilinopus greyii", "Ptilinopus huttoni", "Ptilinopus hyogastrus", "Fratercula corniculata", "Ptilinopus insolitus", "Ptilinopus insularis", "Ptilinopus iozonus", "Ptilinopus jambu", "Ptilinopus layardi", "Ptilinopus leclancheri", "Ptilinopus luteovirens", "Ptilinopus magnificus", "Ptilinopus marchei", "Ptilinopus melanospilus", "Ptilinopus mercierii", "Ptilinopus merrilli", "Ptilinopus monacha", "Ptilinopus nainus", "Ptilinopus occipitalis", "Ptilinopus ornatus", "Uria aalge", "Goura cristata", "Goura scheepmakeri", "Goura victoria", "Uria lomvia", "Didunculus strigirostris", "Charadrius nivosus", "Vanellus duvaucelli", "Pluvianellus socialis", "Actitis hypoleucos", "Actitis macularius", "Tringa brevipes", "Tringa incana", "Calidris himantopus", "Prosobonia cancellata", "Ichthyaetus hemprichii", "Leucophaeus scoresbii", "Stercorarius antarcticus", "Stercorarius chilensis", "Stercorarius longicaudus", "Stercorarius maccormicki", "Stercorarius parasiticus", "Stercorarius pomarinus", "Stercorarius skua", "Sternula saundersi", "Accipiter toussenelii", "Accipiter trinotatus", "Accipiter trivirgatus", "Accipiter ventralis", "Accipiter virgatus", "Erythrotriorchis buergersi", "Erythrotriorchis radiatus", "Megatriorchis doriae", "Urotriorchis macrourus", "Lilium tsingtauense", "Lilium bolanderi", "Lilium columbianum", "Lilium humboldtii", "Aegypius monachus", "Gyps bengalensis", "Gyps coprotheres", "Gyps fulvus", "Gyps himalayensis", "Gyps indicus", "Gyps rueppellii", "Gyps tenuirostris", "Necrosyrtes monachus", "Sarcogyps calvus", "Torgos tracheliotus", "Trigonoceps occipitalis", "Aquila adalberti", "Aquila audax", "Aquila chrysaetos", "Clanga clanga", "Aquila gurneyi", "Buteo oreophilus", "Buteo platypterus", "Geranoaetus polyosoma poecilochrous", "Geranoaetus polyosoma", "Buteo regalis", "Buteo ridgwayi", "Buteo rufinus", "Buteo rufofuscus", "Buteo solitarius", "Buteo swainsoni", "Buteo ventralis", "Buteogallus aequinoctialis", "Buteogallus anthracinus", "Buteogallus meridionalis", "Buteogallus anthracinus subtilis", "Buteogallus urubitinga", "Geranospiza caerulescens", "Buteogallus coronatus", "Buteogallus solitarius", "Ictinia mississippiensis", "Ictinia plumbea", "Kaupifalco monogrammicus", "Pseudastur albicollis", "Leucopternis kuhli", "Buteogallus lacernulatus", "Leucopternis melanops", "Pseudastur occidentalis", "Cryptoleucopteryx plumbea", "Pseudastur polionotus", "Morphnarchus princeps", "Buteogallus schistaceus", "Leucopternis semiplumbeus", "Parabuteo unicinctus", "Percnohierax leucorrhous", "Helicolestes hamatus", "Rostrhamus sociabilis", "Rupornis magnirostris", "Sturnus vulgaris faroensis", "Ortalis canicollis", "Ortalis cinereiceps", "Ortalis erythroptera", "Ortalis garrula", "Ortalis guttata", "Ortalis leucogastra", "Ortalis motmot", "Ortalis poliocephala", "Ortalis ruficauda", "Ortalis superciliaris", "Ortalis vetula", "Ortalis wagleri", "Accipiter albogularis", "Accipiter badius", "Accipiter bicolor", "Accipiter brachyurus", "Accipiter brevipes", "Accipiter butleri", "Accipiter castanilius", "Accipiter chilensis", "Accipiter chionogaster", "Accipiter cirrocephalus", "Accipiter collaris", "Accipiter cooperii", "Accipiter erythrauchen", "Accipiter erythronemius", "Accipiter erythropus", "Accipiter fasciatus", "Accipiter francesiae", "Accipiter gentilis", "Accipiter griseiceps", "Accipiter gularis", "Accipiter gundlachi", "Accipiter haplochrous", "Accipiter henicogrammus", "Accipiter henstii", "Accipiter hiogaster", "Accipiter imitator", "Accipiter luteoschistaceus", "Accipiter madagascariensis", "Accipiter melanochlamys", "Accipiter melanoleucus", "Accipiter meyerianus", "Accipiter minullus", "Accipiter nanus", "Accipiter nisus", "Accipiter novaehollandiae", "Accipiter ovampensis", "Accipiter poliocephalus", "Accipiter poliogaster", "Accipiter princeps", "Accipiter rhodogaster", "Accipiter rufitorques", "Accipiter rufiventris", "Accipiter soloensis", "Accipiter striatus", "Accipiter superciliosus", "Accipiter tachiro", "Clanga hastata", "Aquila heliaca", "Aquila nipalensis", "Clanga pomarina", "Aquila rapax", "Aquila verreauxii", "Hieraaetus wahlbergi", "Hieraaetus ayresii", "Hieraaetus morphnoides", "Hieraaetus pennatus", "Aquila spilogaster", "Ictinaetus malayensis", "Lophaetus occipitalis", "Polemaetus bellicosus", "Aquila africana", "Nisaetus alboniger", "Nisaetus bartelsi", "Nisaetus cirrhatus", "Nisaetus lanceolatus", "Nisaetus nanus", "Nisaetus nipalensis", "Spizaetus ornatus", "Nisaetus philippensis", "Spizaetus tyrannus", "Stephanoaetus coronatus", "Busarellus nigricollis", "Butastur indicus", "Butastur liventer", "Butastur rufipennis", "Butastur teesa", "Geranoaetus albicaudatus", "Buteo albigula", "Buteo albonotatus", "Buteo archeri", "Buteo augur", "Buteo auguralis", "Buteo brachypterus", "Buteo brachyurus", "Buteo buteo", "Buteo galapagoensis", "Buteo hemilasius", "Buteo jamaicensis", "Buteo lagopus", "Buteo lineatus", "Geranoaetus melanoleucus", "Buteo nitidus", "Pernis apivorus", "Pernis celebensis", "Pernis ptilorhynchus", "Polyboroides radiatus", "Polyboroides typus", "Sagittarius serpentarius", "Pauxi pauxi", "Pauxi unicornis", "Penelope albipennis", "Penelope argyrotis", "Penelope barbata", "Penelope dabbenei", "Penelope jacquacu", "Penelope jacucaca", "Penelope marail", "Penelope montagnii", "Penelope obscura", "Penelope ochrogaster", "Penelope ortoni", "Penelope perspicax", "Penelope pileata", "Penelope purpurascens", "Penelope superciliaris", "Penelopina nigra", "Pipile cujubi", "Pipile cumanensis", "Pipile jacutinga", "Pipile pipile", "Meleagris ocellata", "Circaetus beaudouini", "Circaetus cinerascens", "Circaetus cinereus", "Circaetus fasciolatus", "Circaetus gallicus", "Circaetus pectoralis", "Circaetus spectabilis", "Spilornis cheela", "Spilornis elgini", "Spilornis holospilus", "Spilornis kinabaluensis", "Spilornis klossi", "Spilornis rufipectus", "Terathopius ecaudatus", "Circus aeruginosus", "Circus approximans", "Circus assimilis", "Circus buffoni", "Circus cinereus", "Circus cyaneus", "Circus macrourus", "Circus maillardi", "Circus maurus", "Circus melanoleucos", "Circus pygargus", "Circus ranivorus", "Circus spilonotus", "Chelictinia riocourii", "Elanoides forficatus", "Elanus axillaris", "Elanus caeruleus", "Elanus leucurus", "Elanus scriptus", "Eutriorchis astur", "Gypaetus barbatus", "Gypohierax angolensis", "Neophron percnopterus", "Haliaeetus albicilla", "Haliaeetus leucocephalus", "Haliaeetus leucogaster", "Haliaeetus leucoryphus", "Leptotila jamaicensis", "Leptotila megalura", "Leptotila ochraceiventris", "Leptotila pallida", "Leptotila plumbeiceps", "Leptotila rufaxilla", "Leptotila verreauxi", "Leptotila wellsi", "Leucosarcia melanoleuca", "Macropygia amboinensis", "Macropygia emiliana", "Macropygia mackinlayi", "Macropygia magna", "Macropygia nigrirostris", "Macropygia phasianella", "Macropygia ruficeps", "Macropygia rufipennis", "Macropygia tenuirostris", "Macropygia unchall", "Metriopelia aymara", "Metriopelia ceciliae", "Metriopelia melanoptera", "Metriopelia morenoi", "Microgoura meeki", "Ocyphaps lophotes", "Oena capensis", "Patagioenas araucana", "Patagioenas caribaea", "Patagioenas cayennensis", "Patagioenas corensis", "Patagioenas fasciata", "Patagioenas flavirostris", "Patagioenas goodsoni", "Patagioenas inornata", "Patagioenas leucocephala", "Patagioenas maculosa", "Patagioenas nigrirostris", "Patagioenas oenops", "Patagioenas picazuro", "Patagioenas plumbea", "Patagioenas speciosa", "Patagioenas squamosa", "Patagioenas subvinacea", "Petrophassa albipennis", "Alectoris barbara", "Alectoris chukar", "Caracara plancus cheriway", "Caracara lutosa", "Caracara plancus", "Ibycter americanus", "Milvago chimachima", "Milvago chimango", "Herpetotheres cachinnans", "Micrastur buckleyi", "Micrastur gilvicollis", "Micrastur mintoni", "Micrastur mirandollei", "Micrastur plumbeus", "Micrastur ruficollis", "Micrastur semitorquatus", "Falco alopex", "Falco amurensis", "Falco araea", "Falco ardosiaceus", "Falco berigora", "Falco biarmicus", "Falco cenchroides", "Falco cherrug", "Falco chicquera", "Falco concolor", "Falco cuvierii", "Falco deiroleucus", "Falco dickinsoni", "Falco eleonorae", "Falco fasciinucha", "Falco femoralis", "Haliaeetus pelagicus", "Haliaeetus sanfordi", "Haliaeetus vocifer", "Haliaeetus vociferoides", "Haliaeetus humilis", "Haliaeetus ichthyaetus", "Harpia harpyja", "Harpyopsis novaeguineae", "Morphnus guianensis", "Melierax canorus", "Melierax gabar", "Melierax metabates", "Melierax poliopterus", "Haliastur indus", "Haliastur sphenurus", "Harpagus bidentatus", "Harpagus diodon", "Milvus migrans lineatus", "Milvus migrans", "Milvus milvus", "Aviceda cuculoides", "Aviceda jerdoni", "Aviceda leuphotes", "Aviceda madagascariensis", "Aviceda subcristata", "Chondrohierax uncinatus", "Hamirostra melanosternon", "Henicopernis infuscatus", "Henicopernis longicauda", "Leptodon cayanensis", "Leptodon forbesi", "Lophoictinia isura", "Macheiramphus alcinus", "Aechmophorus clarkii", "Aechmophorus occidentalis", "Podiceps andinus", "Podiceps auritus", "Podiceps cristatus", "Podiceps gallardoi", "Podiceps grisegena", "Podiceps major", "Podiceps nigricollis", "Podiceps occipitalis", "Podiceps taczanowskii", "Podilymbus gigas", "Podilymbus podiceps", "Poliocephalus poliocephalus", "Poliocephalus rufopectus", "Rollandia microptera", "Rollandia rolland", "Tachybaptus dominicus", "Tachybaptus novaehollandiae", "Tachybaptus pelzelnii", "Tachybaptus ruficollis", "Tachybaptus rufolavatus", "Aepypodius arfakianus", "Aepypodius bruijnii", "Alectura lathami", "Leipoa ocellata", "Macrocephalon maleo", "Megapodius affinis", "Megapodius bernsteinii", "Megapodius cumingii", "Megapodius eremita", "Megapodius forstenii", "Megapodius freycinet", "Megapodius geelvinkianus", "Megapodius laperouse", "Megapodius layardi", "Megapodius nicobariensis", "Megapodius pritchardii", "Megapodius reinwardt", "Megapodius tenimberensis", "Megapodius wallacei", "Talegalla cuvieri", "Talegalla fuscirostris", "Talegalla jobiensis", "Hibiscus rhodanthus", "Thalassornis leuconotus", "Anas aucklandica", "Anas carolinensis", "Lophonetta specularioides", "Anser rossii", "Nucras caesicaudata", "Atlapetes melanopsis", "Cygnus columbianus bewickii", "Cygnus atratus sumnerensis", "Chendytes lawi", "Anhima cornuta", "Chauna chavaria", "Anseranas semipalmata", "Calochortus nuttallii", "Tragelaphus strepsiceros", "Tragelaphus spekii", "Lysimachia foemina", "Tragelaphus eurycerus", "Tragelaphus angasii", "Tragelaphus scriptus", "Lilium distichum", "Lilium hansonii", "Lilium martagon", "Lilium medeoloides", "Mesenchytraeus solifugus", "Aburria aburri", "Chamaepetes goudotii", "Chamaepetes unicolor", "Crax alberti", "Crax alector", "Crax blumenbachii", "Crax daubentoni", "Crax fasciolata", "Crax globulosa", "Falco columbarius", "Crax rubra", "Falco columbarius subaesalon", "Mitu mitu", "Mitu salvini", "Mitu tomentosa", "Mitu tuberosa", "Nothocrax urumutum", "Oreophasis derbianus", "Alectoris melanocephala", "Alectoris philbyi", "Alectoris rufa", "Ammoperdix griseogularis", "Ammoperdix heyi", "Anurophasis monorthonyx", "Gulo gulo", "Lutra lutra", "Bos taurus", "Agamia agami", "Ardea alba", "Ardeola idae", "Butorides striata", "Egretta dimorpha", "Ardea intermedia", "Pilherodius pileatus", "Cochlearius cochlearius", "Tigriornis leucolopha", "Ixobrychus flavicollis", "Falco hypoleucos", "Falco jugger", "Falco longipennis", "Falco mexicanus", "Falco moluccensis", "Falco naumanni", "Falco newtoni", "Falco novaeseelandiae", "Falco peregrinus pelegrinoides", "Falco punctatus", "Falco rufigularis", "Falco rupicoloides", "Falco rusticolus", "Falco severus", "Falco subbuteo", "Falco subniger", "Falco vespertinus", "Falco zoniventris", "Microhierax caerulescens", "Microhierax erythrogenys", "Microhierax fringillarius", "Microhierax latifrons", "Microhierax melanoleucos", "Polihierax insignis", "Polihierax semitorquatus", "Spiziapteryx circumcincta", "Cathartes aura", "Cathartes burrovianus", "Cathartes melambrotus", "Gymnogyps californianus", "Sarcoramphus papa", "Balaeniceps rex", "Phoenicoparrus andinus", "Phoenicopterus chilensis", "Phoenicoparrus jamesi", "Phoenicopterus ruber", "Alectoris graeca", "Alectoris magna", "Theristicus caudatus", "Theristicus melanopis", "Platalea ajaja", "Anastomus lamelligerus", "Anastomus oscitans", "Ciconia abdimii", "Ciconia boyciana", "Ciconia ciconia", "Ciconia episcopus", "Ciconia maguari", "Ciconia nigra", "Ciconia stormi", "Ephippiorhynchus asiaticus", "Ephippiorhynchus senegalensis", "Jabiru mycteria", "Leptoptilos crumenifer", "Leptoptilos dubius", "Leptoptilos javanicus", "Mycteria americana", "Mycteria cinerea", "Mycteria ibis", "Mycteria leucocephala", "Fregata andrewsi", "Fregata aquila", "Fregata ariel", "Fregata magnificens", "Fregata minor", "Anhinga anhinga", "Anhinga melanogaster", "Anhinga novaehollandiae", "Anhinga rufa", "Tetrastes bonasia", "Tetrastes sewerzowi", "Bonasa umbellus", "Centrocercus minimus", "Centrocercus urophasianus", "Dendragapus obscurus", "Tetrao urogalloides", "Tetrao urogallus", "Tympanuchus cupido", "Tympanuchus pallidicinctus", "Tympanuchus phasianellus", "Arborophila ardens", "Arborophila atrogularis", "Arborophila brunneopectus", "Arborophila cambodiana", "Arborophila campbelli", "Arborophila charltonii", "Arborophila chloropus", "Arborophila crudigularis", "Arborophila davidi", "Arborophila diversa", "Arborophila gingica", "Arborophila hyperythra", "Arborophila javanica", "Arborophila mandellii", "Arborophila merlini", "Arborophila orientalis", "Arborophila rolli", "Arborophila rubrirostris", "Arborophila rufipectus", "Arborophila rufogularis", "Arborophila sumatrana", "Arborophila torqueola", "Bambusicola fytchii", "Caloperdix oculeus", "Excalfactoria adansonii", "Coturnix ypsilophora australis", "Excalfactoria chinensis", "Coturnix coromandelica", "Coturnix coturnix", "Coturnix delegorguei", "Coturnix japonica", "Coturnix novaezelandiae", "Coturnix pectoralis", "Coturnix ypsilophora", "Francolinus adspersus", "Francolinus afer", "Francolinus africanus", "Francolinus ahantensis", "Francolinus albogularis", "Francolinus archeri", "Francolinus bicalcaratus", "Francolinus camerunensis", "Francolinus capensis", "Francolinus castaneicollis", "Francolinus clappertoni", "Francolinus coqui", "Francolinus erckelii", "Francolinus finschi", "Francolinus francolinus", "Francolinus griseostriatus", "Francolinus gularis", "Francolinus hartlaubi", "Francolinus harwoodi", "Francolinus hildebrandti", "Francolinus icterorhynchus", "Francolinus jacksoni", "Francolinus lathami", "Francolinus leucoscepus", "Francolinus levaillantii", "Francolinus levaillantoides", "Francolinus nahani", "Francolinus natalensis", "Francolinus nobilis", "Francolinus ochropectus", "Francolinus pictus", "Francolinus pintadeanus", "Francolinus pondicerianus", "Francolinus psilolaemus", "Francolinus rufopictus", "Francolinus schlegelii", "Francolinus sephaena", "Francolinus shelleyi", "Francolinus squamatus", "Francolinus streptophorus", "Francolinus swainsonii", "Spheniscus magellanicus", "Spheniscus mendiculus", "Chelonia mydas", "Agkistrodon contortrix", "Agkistrodon contortrix contortrix", "Agkistrodon contortrix phaeogaster", "Aphrodroma brevirostris", "Bulweria bulwerii", "Bulweria fallax", "Calonectris diomedea", "Calonectris edwardsii", "Calonectris leucomelas", "Daption capense", "Fulmarus glacialis", "Fulmarus glacialoides", "Halobaena caerulea", "Macronectes giganteus", "Macronectes halli", "Pachyptila belcheri", "Pachyptila crassirostris", "Pachyptila desolata", "Pachyptila salvini", "Pachyptila turtur", "Pachyptila vittata", "Pagodroma nivea", "Procellaria aequinoctialis", "Procellaria cinerea", "Procellaria conspicillata", "Procellaria parkinsoni", "Procellaria westlandica", "Pseudobulweria aterrima", "Pseudobulweria becki", "Pseudobulweria macgillivrayi", "Francolinus swierstrai", "Phaethon aethereus", "Phaethon lepturus", "Phaethon rubricauda", "Morus bassanus", "Morus capensis", "Morus serrator", "Papasula abbotti", "Sula dactylatra", "Sula granti", "Sula leucogaster", "Sula nebouxii", "Sula sula", "Sula variegata", "Microcarbo africanus", "Leucocarbo atriceps albiventer", "Phalacrocorax aristotelis", "Leucocarbo atriceps", "Phalacrocorax auritus", "Leucocarbo bougainvillii", "Leucocarbo bransfieldensis", "Phalacrocorax brasilianus", "Leucocarbo campbelli", "Phalacrocorax capensis", "Phalacrocorax capillatus", "Phalacrocorax carbo", "Leucocarbo carunculatus", "Leucocarbo chalconotus", "Leucocarbo colensoi", "Microcarbo coronatus", "Phalacrocorax featherstoni", "Phalacrocorax fuscescens", "Phalacrocorax fuscicollis", "Phalacrocorax gaimardi", "Leucocarbo georgianus", "Phalacrocorax harrisi", "Phalacrocorax magellanicus", "Leucocarbo melanogenis", "Microcarbo melanoleucos", "Phalacrocorax neglectus", "Microcarbo niger", "Phalacrocorax nigrogularis", "Leucocarbo onslowi", "Phalacrocorax pelagicus", "Phalacrocorax penicillatus", "Phalacrocorax perspicillatus", "Phalacrocorax punctatus", "Leucocarbo purpurascens", "Microcarbo pygmaeus", "Leucocarbo ranfurlyi", "Phalacrocorax sulcirostris", "Phalacrocorax urile", "Phalacrocorax varius", "Leucocarbo verrucosus", "Pelecanus conspicillatus", "Pelecanus crispus", "Pelecanus erythrorhynchos", "Pelecanus occidentalis", "Pelecanus onocrotalus", "Pelecanus philippensis", "Pelecanus rufescens", "Pelecanus thagus", "Lilium kelloggii", "Lilium rubescens", "Lilium washingtonianum", "Lilium kelleyanum", "Lilium maritimum", "Lilium occidentale", "Lilium pardalinum", "Lilium parryi", "Lilium parvum", "Lilium canadense", "Pterocles alchata", "Pterocles bicinctus", "Pterocles burchelli", "Pterocles coronatus", "Pterocles decoratus", "Pterocles exustus", "Pterocles gutturalis", "Pterocles indicus", "Pterocles lichtensteinii", "Pterocles namaqua", "Pterocles orientalis", "Pterocles personatus", "Pterocles quadricinctus", "Pterocles senegallus", "Syrrhaptes paradoxus", "Syrrhaptes tibetanus", "Lilium grayi", "Eudyptula minor", "Megadyptes antipodes", "Pygoscelis antarcticus", "Spheniscus demersus", "Spheniscus humboldti", "Pelecanoides garnotii", "Pelecanoides georgicus", "Pelecanoides magellani", "Pelecanoides urinatrix", "Opisthocomus hoazin", "Centropus andamanensis", "Centropus anselli", "Centropus ateralbus", "Centropus bengalensis", "Coua verreauxi", "Dasylophus superciliosus", "Coccyzus pluvialis", "Coccyzus rufigularis", "Dasylophus cumingi", "Phaenicophaeus pyrrhocephalus", "Piaya cayana", "Piaya melanogaster", "Coccycua minuta", "Rhinortha chlorophaea", "Phaenicophaeus diardi", "Phaenicophaeus sumatranus", "Phaenicophaeus tristis", "Phaenicophaeus viridirostris", "Coccyzus longirostris", "Coccyzus merlini", "Coccyzus vetula", "Coccyzus vieilloti", "Phaenicophaeus leschenaultii", "Rhamphococcyx calyorhynchus", "Phaenicophaeus curvirostris", "Zanclostomus javanicus", "Musophaga rossae", "Musophaga violacea", "Ruwenzorornis johnstoni", "Tauraco bannermani", "Tauraco corythaix", "Tauraco erythrolophus", "Tauraco fischeri", "Tauraco hartlaubi", "Tauraco leucolophus", "Scythrops novaehollandiae", "Surniculus lugubris", "Surniculus velutinus", "Urodynamis taitensis", "Dromococcyx pavoninus", "Dromococcyx phasianellus", "Geococcyx californianus", "Geococcyx velox", "Morococcyx erythropygus", "Neomorphus geoffroyi", "Neomorphus pucheranii", "Neomorphus radiolosus", "Neomorphus rufipennis", "Neomorphus squamiger", "Tapera naevia", "Carpococcyx radiceus", "Carpococcyx renauldi", "Carpococcyx viridis", "Ceuthmochares aereus", "Coccyzus americanus", "Coccycua cinerea", "Coccyzus erythropthalmus", "Coccyzus ferrugineus", "Coccyzus lansbergi", "Coccyzus melacoryphus", "Coccyzus minor", "Coccycua pumila", "Coua caerulea", "Coua coquereli", "Coua cristata", "Coua cursor", "Coua delalandei", "Coua gigas", "Coua reynaudii", "Coua ruficeps", "Coua serriana", "Tauraco leucotis", "Tauraco livingstonii", "Tauraco macrorhynchus", "Tauraco persa", "Tauraco porphyreolophus", "Tauraco ruspolii", "Tauraco schalowi", "Tauraco schuettii", "Corythaixoides concolor", "Corythaixoides leucogaster", "Corythaixoides personatus", "Crinifer piscator", "Crinifer zonurus", "Corythaeola cristata", "Calyptorhynchus banksii", "Calyptorhynchus baudinii", "Calyptorhynchus funereus", "Calyptorhynchus lathami", "Calyptorhynchus latirostris", "Agkistrodon piscivorus", "Crotalus horridus", "Ceyx argentatus", "Alcedo atthis", "Ceyx azureus", "Alcedo coerulescens", "Corythornis cristatus", "Ceyx cyanopectus", "Alcedo euryzona", "Alcedo hercules", "Corythornis leucogaster", "Alcedo meninting", "Ceyx pusillus", "Alcedo quadribrachys", "Alcedo semitorquata", "Corythornis vintsioides", "Ceyx websteri", "Ceyx erithaca", "Ceyx fallax", "Ispidina lecontei", "Ceyx lepidus", "Corythornis madagascariensis", "Ceyx melanurus", "Ispidina picta", "Actenoides bougainvillei", "Actenoides concretus", "Actenoides hombroni", "Actenoides lindsayi", "Actenoides monachus", "Actenoides princeps", "Caridonax fulgidus", "Cittura cyanotis", "Clytoceyx rex", "Dacelo gaudichaud", "Dacelo leachii", "Dacelo novaeguineae", "Dacelo tyro", "Halcyon albiventris", "Halcyon badia", "Halcyon chelicuti", "Halcyon coromanda", "Halcyon cyanoventris", "Halcyon leucocephala", "Halcyon malimbica", "Halcyon pileata", "Halcyon senegalensis", "Halcyon senegaloides", "Halcyon smyrnensis", "Lacedo pulchella", "Melidora macrorrhina", "Pelargopsis amauropterus", "Pelargopsis capensis", "Pelargopsis melanorhyncha", "Syma megarhyncha", "Syma torotoro", "Tanysiptera carolinae", "Tanysiptera danae", "Tanysiptera ellioti", "Tanysiptera galatea", "Centropus bernsteini", "Centropus celebensis", "Centropus chalybeus", "Centropus chlororhynchos", "Centropus cupreicaudus", "Centropus goliath", "Centropus grillii", "Centropus leucogaster", "Centropus melanops", "Centropus milo", "Centropus monachus", "Centropus nigrorufus", "Centropus phasianinus", "Centropus rectunguis", "Centropus senegalensis", "Centropus sinensis", "Centropus phasianinus spilopterus", "Centropus steerii", "Centropus superciliosus", "Centropus toulou", "Centropus unirufus", "Centropus violaceus", "Centropus viridis", "Crotophaga ani", "Crotophaga major", "Crotophaga sulcirostris", "Guira guira", "Chrysococcyx basalis", "Chrysococcyx caprius", "Chrysococcyx minutillus crassirostris", "Chrysococcyx cupreus", "Chrysococcyx flavigularis", "Chrysococcyx klaas", "Chrysococcyx lucidus", "Chrysococcyx maculatus", "Chrysococcyx meyerii", "Chrysococcyx minutillus", "Chrysococcyx osculans", "Chrysococcyx ruficollis", "Chrysococcyx xanthorhynchus", "Eudynamys orientalis cyanocephalus", "Eudynamys melanorhynchus", "Eudynamys scolopaceus", "Microdynamis parva", "Hylomanes momotula", "Momotus aequatorialis", "Momotus mexicanus", "Momotus momota", "Todus angustirostris", "Todus mexicanus", "Todus multicolor", "Todus subulatus", "Todus todus", "Nebalia bipes", "Galloperdix bicalcarata", "Galloperdix lunulata", "Galloperdix spadicea", "Haematortyx sanguiniceps", "Lerwa lerwa", "Margaroperdix madagarensis", "Melanoperdix nigra", "Ophrysia superciliosa", "Perdicula argoondah", "Perdicula asiatica", "Perdicula erythrorhyncha", "Perdicula manipurensis", "Perdix dauurica", "Perdix hodgsoniae", "Perdix perdix", "Ptilopachus petrosus", "Rhizothera dulitensis", "Rhizothera longirostris", "Rollulus rouloul", "Tetraogallus altaicus", "Pseudobulweria rostrata", "Pterodroma alba", "Pterodroma arminjoniana", "Pterodroma atrata", "Pterodroma axillaris", "Pterodroma baraui", "Pterodroma brevipes", "Pterodroma cahow", "Pterodroma cervicalis", "Pterodroma cookii", "Pterodroma defilippiana", "Pterodroma externa", "Pterodroma feae", "Pterodroma hasitata", "Pterodroma heraldica", "Pterodroma hypoleuca", "Pterodroma incerta", "Pterodroma inexpectata", "Pterodroma lessonii", "Pterodroma leucoptera", "Pterodroma longirostris", "Pterodroma macroptera", "Pterodroma madeira", "Pterodroma magentae", "Pterodroma mollis", "Pterodroma neglecta", "Pterodroma nigripennis", "Pterodroma occulta", "Pterodroma phaeopygia", "Pterodroma pycrofti", "Pterodroma sandwichensis", "Pterodroma solandri", "Pterodroma ultima", "Puffinus assimilis", "Puffinus auricularis", "Puffinus bannermani", "Ardenna bulleri", "Ardenna carneipes", "Ardenna creatopus", "Puffinus gavia", "Ardenna gravis", "Ardenna grisea", "Puffinus heinrothi", "Puffinus huttoni", "Puffinus lherminieri", "Puffinus mauretanicus", "Puffinus nativitatis", "Puffinus opisthomelas", "Ardenna pacifica", "Puffinus persicus", "Puffinus puffinus", "Ardenna tenuirostris", "Puffinus yelkouan", "Thalassoica antarctica", "Tetraogallus caspius", "Tetraogallus caucasicus", "Tetraogallus himalayensis", "Tetraogallus tibetanus", "Tetraophasis obscurus", "Tetraophasis szechenyii", "Xenoperdix udzungwensis", "Afropavo congensis", "Argusianus argus", "Catreus wallichii", "Chrysolophus amherstiae", "Chrysolophus pictus", "Crossoptilon auritum", "Crossoptilon crossoptilon", "Crossoptilon harmani", "Crossoptilon mantchuricum", "Gallus gallus", "Gallus lafayettii", "Gallus sonneratii", "Gallus varius", "Ithaginis cruentus", "Lagopus lagopus", "Lagopus leucura", "Lophophorus impejanus", "Lophophorus lhuysii", "Lophophorus sclateri", "Lophura bulweri", "Lophura diardi", "Lophura edwardsi", "Lophura erythrophthalma", "Lophura inornata hoogerwerfi", "Lophura ignita", "Lophura imperialis", "Lophura inornata", "Lophura leucomelanos", "Lophura nycthemera", "Lophura swinhoii", "Pavo cristatus", "Pavo muticus", "Phasianus colchicus", "Phasianus versicolor", "Polyplectron bicalcaratum", "Polyplectron chalcurum", "Polyplectron napoleonis", "Polyplectron germaini", "Polyplectron inopinatum", "Polyplectron katsumatae", "Polyplectron malacense", "Polyplectron schleiermacheri", "Pucrasia macrolopha", "Rheinardia nigrescens", "Rheinardia ocellata", "Syrmaticus ellioti", "Syrmaticus humiae", "Syrmaticus mikado", "Syrmaticus reevesii", "Syrmaticus soemmerringii", "Tragopan blythii", "Tragopan caboti", "Tragopan melanocephalus", "Tragopan satyra", "Tragopan temminckii", "Meropogon forsteni", "Merops albicollis", "Merops apiaster", "Merops boehmi", "Merops breweri", "Merops bullockoides", "Merops bulocki", "Merops gularis", "Merops hirundineus", "Merops leschenaulti", "Merops malimbicus", "Tanysiptera hydrocharis", "Tanysiptera nympha", "Tanysiptera riedelii", "Tanysiptera sylvia", "Todiramphus albonotatus", "Todiramphus australasia", "Todiramphus chloris", "Todiramphus cinnamominus", "Todiramphus diops", "Todiramphus enigma", "Todiramphus farquhari", "Todiramphus funebris", "Todiramphus gambieri", "Todiramphus godeffroyi", "Todiramphus lazuli", "Todiramphus leucopygius", "Todiramphus macleayii", "Todiramphus cinnamominus miyakoensis", "Todiramphus nigrocyaneus", "Todiramphus pyrrhopygius", "Todiramphus recurvirostris", "Todiramphus ruficollaris", "Todiramphus sanctus", "Todiramphus saurophagus", "Todiramphus tutus", "Todiramphus veneratus", "Todiramphus winchelli", "Ceryle rudis", "Chloroceryle aenea", "Chloroceryle amazona", "Chloroceryle americana", "Chloroceryle inda", "Megaceryle alcyon", "Megaceryle lugubris", "Megaceryle maxima", "Megaceryle torquata", "Aspatha gularis", "Baryphthengus martii", "Baryphthengus ruficapillus", "Electron carinatum", "Electron platyrhynchum", "Eumomota superciliosa", "Anorrhinus austeni", "Anorrhinus galeritus", "Anorrhinus tickelli", "Anthracoceros albirostris", "Anthracoceros coronatus", "Anthracoceros malayanus", "Anthracoceros marchei", "Anthracoceros montani", "Berenicornis comatus", "Buceros bicornis", "Buceros hydrocorax", "Buceros rhinoceros", "Bucorvus abyssinicus", "Bucorvus leadbeateri", "Bycanistes brevis", "Bycanistes bucinator", "Bycanistes cylindricus", "Bycanistes fistulator", "Bycanistes subcylindricus", "Ceratogymna albotibialis", "Ceratogymna atrata", "Ceratogymna elata", "Ocyceros birostris", "Ocyceros gingalensis", "Ocyceros griseus", "Penelopides affinis", "Penelopides exarhatus", "Penelopides manillae", "Penelopides mindorensis", "Penelopides panini", "Rhinoplax vigil", "Merops muelleri", "Merops nubicoides", "Merops nubicus", "Merops oreobates", "Merops orientalis", "Merops ornatus", "Merops persicus", "Merops philippinus", "Merops pusillus", "Merops revoilii", "Merops superciliosus", "Merops variegatus", "Merops viridis", "Nyctyornis amictus", "Nyctyornis athertoni", "Coracias abyssinicus", "Coracias benghalensis", "Coracias caudatus", "Coracias cyanogaster", "Coracias garrulus", "Coracias naevius", "Coracias spatulatus", "Coracias temminckii", "Eurystomus azureus", "Eurystomus glaucurus", "Eurystomus gularis", "Eurystomus orientalis", "Atelornis crossleyi", "Atelornis pittoides", "Brachypteracias leptosomus", "Geobiastes squamiger", "Uratelornis chimaera", "Leptosomus discolor", "Aceros cassidix", "Aceros corrugatus", "Aceros leucocephalus", "Aceros nipalensis", "Aceros waldeni", "Cypseloides cherriei", "Cypseloides cryptus", "Cypseloides fumigatus", "Cypseloides lemosi", "Cypseloides niger", "Cypseloides rothschildi", "Cypseloides senex", "Cypseloides storeri", "Streptoprocne biscutata", "Streptoprocne phelpsi", "Streptoprocne rutila", "Streptoprocne semicollaris", "Streptoprocne zonaris", "Aerodramus bartschi", "Aerodramus brevirostris", "Aerodramus elaphrus", "Aerodramus francicus", "Aerodramus fuciphagus", "Aerodramus germani", "Aerodramus hirundinaceus", "Aerodramus infuscatus", "Aerodramus inquietus", "Aerodramus leucophaeus", "Aerodramus maximus", "Aerodramus mearnsi", "Aerodramus nuditarsus", "Aerodramus ocistus", "Aerodramus orientalis", "Aerodramus palawanensis", "Aerodramus papuensis", "Aerodramus pelewensis", "Aerodramus brevirostris rogersi", "Aerodramus salangana", "Aerodramus sawtelli", "Aerodramus spodiopygius", "Aerodramus terraereginae", "Aerodramus unicolor", "Aerodramus vanikorensis", "Aerodramus vulcanorum", "Aerodramus whiteheadi", "Collocalia esculenta", "Collocalia linchi", "Collocalia troglodytes", "Hydrochous gigas", "Schoutedenapus myoptilus", "Schoutedenapus schoutedeni", "Anacyclus pyrethrum", "Diomedea amsterdamensis", "Diomedea epomophora", "Diomedea exulans", "Phoebastria albatrus", "Phoebastria immutabilis", "Phoebastria irrorata", "Phoebastria nigripes", "Phoebetria fusca", "Phoebetria palpebrata", "Thalassarche bulleri", "Thalassarche cauta", "Thalassarche chlororhynchos", "Thalassarche chrysostoma", "Thalassarche melanophris", "Hydrobates pelagicus", "Oceanodroma castro", "Oceanodroma furcata", "Oceanodroma homochroa", "Oceanodroma hornbyi", "Oceanodroma leucorhoa", "Oceanodroma macrodactyla", "Oceanodroma markhami", "Oceanodroma matsudairae", "Oceanodroma melania", "Oceanodroma microsoma", "Oceanodroma monorhis", "Oceanodroma tethys", "Oceanodroma tristrami", "Fregetta grallaria", "Fregetta tropica", "Garrodia nereis", "Nesofregetta fuliginosa", "Oceanites gracilis", "Oceanites maorianus", "Oceanites oceanicus", "Pelagodroma marina", "Aeronautes andecolus", "Aeronautes montivagus", "Aeronautes saxatalis", "Apus acuticauda", "Apus affinis", "Apus alexandri", "Apus balstoni", "Apus barbatus", "Apus batesi", "Apus berliozi", "Apus bradfieldi", "Apus caffer", "Apus horus", "Apus niansae", "Apus nipalensis", "Apus pacificus", "Apus pallidus", "Apus unicolor", "Cypsiurus balasiensis", "Cypsiurus parvus", "Panyptila cayennensis", "Panyptila sanctihieronymi", "Tachornis furcata", "Tachornis phoenicobia", "Tachornis squamata", "Tachymarptis aequatorialis", "Tachymarptis melba", "Chaetura andrei", "Chaetura brachyura", "Chaetura chapmani", "Chaetura cinereiventris", "Chaetura egregia", "Chaetura fumosa", "Chaetura martinica", "Chaetura meridionalis", "Chaetura pelagica", "Chaetura spinicaudus", "Chaetura vauxi", "Chaetura chapmani viridipennis", "Hirundapus caudacutus", "Hirundapus celebensis", "Hirundapus cochinchinensis", "Hirundapus giganteus", "Mearnsia novaeguineae", "Xenoglaux loweryi", "Asio abyssinicus", "Asio capensis", "Asio clamator", "Asio flammeus", "Asio madagascariensis", "Asio otus", "Asio stygius", "Nesasio solomonensis", "Pseudoscops grammicus", "Steatornis caripensis", "Oreortyx pictus", "Philortyx fasciatus", "Rhynchortyx cinctus", "Batrachostomus auritus", "Batrachostomus cornutus", "Batrachostomus harterti", "Batrachostomus hodgsoni", "Batrachostomus javensis", "Batrachostomus moniliger", "Batrachostomus poliolophus", "Batrachostomus septimus", "Batrachostomus stellatus", "Podargus ocellatus", "Podargus papuensis", "Podargus strigoides", "Aegotheles albertisi", "Aegotheles archboldi", "Aegotheles bennettii", "Aegotheles cristatus", "Aegotheles savesi", "Aegotheles wallacii", "Euaegotheles crinifrons", "Odontophorus erythrops", "Odontophorus gujanensis", "Odontophorus guttatus", "Odontophorus hyperythrus", "Odontophorus leucolaemus", "Odontophorus melanonotus", "Odontophorus melanotis", "Odontophorus speciosus", "Odontophorus stellatus", "Odontophorus strophium", "Anthemis arvensis", "Cota tinctoria", "Anthemis alpestris", "Bubo africanus", "Bubo ascalaphus", "Bubo bengalensis", "Bubo blakistoni", "Bubo capensis", "Bubo cinerascens", "Bubo coromandus", "Bubo lacteus", "Bubo leucostictus", "Bubo magellanicus", "Bubo nipalensis", "Bubo philippensis", "Bubo poensis", "Bubo shelleyi", "Bubo sumatranus", "Bubo vosseleri", "Strix huhula", "Strix nigrolineata", "Jubula lettii", "Ketupa flavipes", "Ketupa ketupu", "Ketupa zeylonensis", "Lophostrix cristata", "Megascops albogularis", "Megascops asio", "Megascops atricapilla", "Megascops barbarus", "Megascops choliba", "Megascops clarkii", "Euaegotheles insignis", "Euaegotheles tatei", "Nyctibius aethereus", "Nyctibius bracteatus", "Nyctibius grandis", "Nyctibius griseus", "Nyctibius jamaicensis", "Nyctibius leucopterus", "Nyctibius maculosus", "Eurostopodus archboldi", "Eurostopodus argus", "Eurostopodus diabolicus", "Lyncornis macrotis", "Eurostopodus mystacalis", "Eurostopodus papuensis", "Lyncornis temminckii", "Chordeiles acutipennis", "Chordeiles gundlachii", "Chordeiles minor", "Chordeiles pusillus", "Chordeiles rupestris", "Lurocalis rufiventris", "Lurocalis semitorquatus", "Nyctiprogne leucopyga", "Nyctiprogne vielliardi", "Chordeiles nacunda", "Caprimulgus aegyptius", "Caprimulgus affinis", "Caprimulgus andamanicus", "Nyctidromus anthonyi", "Caprimulgus asiaticus", "Caprimulgus atripennis", "Caprimulgus badius", "Caprimulgus batesi", "Caprimulgus candicans", "Caprimulgus carolinensis", "Hydropsalis cayennensis", "Caprimulgus celebensis", "Caprimulgus centralasicus", "Caprimulgus clarus", "Caprimulgus climacurus", "Caprimulgus concretus", "Caprimulgus cubanensis", "Caprimulgus donaldsoni", "Caprimulgus ekmani", "Tockus alboterminatus", "Tockus bradfieldi", "Tockus camurus", "Tockus deckeni", "Tockus erythrorhynchus", "Tockus fasciatus", "Tockus flavirostris", "Tockus hartlaubi", "Tockus hemprichii", "Tockus jacksoni", "Tockus leucomelas", "Tockus monteiri", "Tockus nasutus", "Tockus pallidirostris", "Tropicranus albocristatus", "Upupa epops", "Phoeniculus bollei", "Phoeniculus castaneiceps", "Phoeniculus damarensis", "Phoeniculus purpureus", "Phoeniculus somaliensis", "Rhinopomastus aterrimus", "Rhinopomastus cyanomelas", "Rhinopomastus minor", "Achillea aspleniifolia", "Chrysanthemum sect.", "Hemiprocne comata", "Hemiprocne coronata", "Hemiprocne longipennis", "Hemiprocne mystacea", "Mearnsia picina", "Neafrapus boehmi", "Neafrapus cassini", "Rhaphidura leucopygialis", "Rhaphidura sabini", "Telacanthura melanopygia", "Telacanthura ussheri", "Zoonavena grandidieri", "Zoonavena sylvatica", "Zoonavena thomensis", "Tyto aurantia", "Tyto capensis", "Tyto glaucops", "Tyto inexspectata", "Tyto longimembris", "Tyto manusi", "Tyto multipunctata", "Tyto nigrobrunnea", "Tyto novaehollandiae", "Tyto rosenbergii", "Tyto sororcula", "Tyto tenebricosa", "Lyrurus mlokosiewiczi", "Lyrurus tetrix", "Colinus cristatus", "Colinus leucopogon", "Colinus nigrogularis", "Colinus virginianus", "Cyrtonyx montezumae", "Cyrtonyx ocellatus", "Dactylortyx thoracicus", "Dendrortyx barbatus", "Dendrortyx leucophrys", "Dendrortyx macroura", "Odontophorus atrifrons", "Odontophorus balliviani", "Odontophorus capueira", "Odontophorus columbianus", "Odontophorus dialeucos", "Otus silvicola", "Otus spilocephalus", "Otus sunia", "Otus thilohoffmanni", "Otus umbra", "Ptilopsis granti", "Ptilopsis leucotis", "Pulsatrix koeniswaldiana", "Pulsatrix melanota", "Pulsatrix perspicillata", "Pyrroglaux podargina", "Scotopelia bouvieri", "Scotopelia peli", "Scotopelia ussheri", "Strix albitarsis", "Strix aluco", "Strix butleri", "Strix chacoensis", "Strix davidi", "Strix fulvescens", "Strix hylophila", "Strix leptogrammica", "Strix nebulosa", "Strix occidentalis", "Strix ocellata", "Strix rufipes", "Strix seloputo", "Strix uralensis", "Strix varia", "Strix woodfordii", "Aegolius acadicus", "Aegolius funereus", "Aegolius harrisii", "Aegolius ridgwayi", "Athene brama", "Athene cunicularia", "Athene noctua", "Glaucidium albertinum", "Glaucidium bolivianum", "Glaucidium brasilianum", "Glaucidium brodiei", "Megascops ingens colombianus", "Megascops cooperi", "Megascops guatemalae", "Megascops hoyi", "Megascops ingens", "Megascops kennicottii", "Megascops koepckeae", "Megascops marshalli", "Megascops roraimae napensis", "Megascops nudipes", "Megascops petersoni", "Megascops roboratus", "Megascops roraimae", "Megascops sanctaecatarinae", "Megascops seductus", "Megascops trichopsis", "Megascops vermiculatus", "Megascops watsonii", "Otus gurneyi", "Otus alfredi", "Otus alius", "Otus angelinae", "Otus bakkamoena", "Otus balli", "Otus beccarii", "Otus brookii", "Otus brucei", "Otus capnodes", "Otus collari", "Otus elegans", "Otus enganensis", "Psiloscops flammeolus", "Otus fuliginosus", "Otus hartlaubi", "Otus icterorhynchus", "Otus insularis", "Otus ireneae", "Otus lempiji", "Otus lettia", "Otus longicornis", "Otus madagascariensis", "Otus magicus", "Otus manadensis", "Otus mantananensis", "Otus mayottensis", "Otus megalotis", "Otus mentawi", "Otus mindorensis", "Otus mirus", "Otus moheliensis", "Otus pauliani", "Otus pembaensis", "Otus rufescens", "Otus rutilus", "Otus sagittatus", "Otus scops", "Otus semitorques", "Otus senegalensis", "Thylacinus cynocephalus", "Brachygalba albogularis", "Brachygalba goeringi", "Brachygalba lugubris", "Brachygalba salmoni", "Galbalcyrhynchus leucotis", "Galbalcyrhynchus purusianus", "Jacamaralcyon tridactyla", "Jacamerops aureus", "Argicus macrodactylus", "Bucco capensis", "Chelidoptera tenebrosa", "Hapaloptila castanea", "Malacoptila fulvogularis", "Malacoptila fusca", "Malacoptila mystacalis", "Malacoptila panamensis", "Malacoptila rufa", "Phalaenoptilus nuttallii", "Siphonorhis americanus", "Siphonorhis brewsteri", "Uropsalis lyra", "Uropsalis segmentata", "Veles binotatus", "Mesitornis unicolor", "Mesitornis variegata", "Monias benschi", "Anthemis cotula", "Colius castanotus", "Colius colius", "Colius leucocephalus", "Colius striatus", "Urocolius indicus", "Urocolius macrourus", "Turnix castanotus", "Turnix everetti", "Turnix hottentottus", "Turnix maculosus", "Turnix melanogaster", "Turnix nigricollis", "Turnix ocellatus", "Turnix olivii", "Turnix pyrrhothorax", "Turnix suscitator", "Turnix sylvaticus", "Turnix tanki", "Turnix varius", "Turnix velox", "Turnix worcesteri", "Glaucidium californicum", "Glaucidium capense", "Glaucidium capense castaneum", "Glaucidium castanotum", "Glaucidium castanopterum", "Glaucidium cobanense", "Glaucidium costaricanum", "Glaucidium cuculoides", "Glaucidium gnoma", "Glaucidium griseiceps", "Glaucidium hardyi", "Glaucidium hoskinsii", "Glaucidium jardinii", "Glaucidium minutissimum", "Glaucidium mooreorum", "Glaucidium nana", "Glaucidium nubicola", "Glaucidium palmarum", "Glaucidium parkeri", "Glaucidium passerinum", "Glaucidium perlatum", "Glaucidium peruanum", "Glaucidium radiatum", "Glaucidium sanchezi", "Glaucidium siju", "Glaucidium sjostedti", "Glaucidium tephronotum", "Glaucidium brasilianum tucumanum", "Athene blewitti", "Ninox affinis", "Ninox boobook", "Ninox burhani", "Ninox connivens", "Ninox ios", "Ninox jacquinoti", "Ninox japonica", "Ninox meeki", "Ninox natalis", "Ninox novaeseelandiae", "Ninox ochracea", "Ninox odiosa", "Ninox philippensis", "Ninox punctulata", "Ninox rudolfi", "Ninox rufa", "Ninox scutulata", "Ninox squamipila", "Ninox strenua", "Ninox sumbaensis", "Athene superciliaris", "Ninox theomacha", "Ninox variegata", "Sceloglaux albifacies", "Surnia ulula", "Uroglaux dimorpha", "Gactornis enarratus", "Caprimulgus europaeus", "Caprimulgus eximius", "Caprimulgus fossii", "Caprimulgus fraenatus", "Caprimulgus hirundinaceus", "Caprimulgus indicus", "Caprimulgus inornatus", "Caprimulgus longirostris", "Caprimulgus macrurus", "Hydropsalis maculicaudus", "Caprimulgus maculosus", "Caprimulgus madagascariensis", "Caprimulgus mahrattensis", "Caprimulgus manillensis", "Caprimulgus meesi", "Caprimulgus natalensis", "Caprimulgus nigrescens", "Caprimulgus nigriscapularis", "Caprimulgus noctitherus", "Caprimulgus nubicus", "Caprimulgus parvulus", "Caprimulgus pectoralis", "Caprimulgus poliocephalus", "Caprimulgus prigoginei", "Caprimulgus pulchellus", "Caprimulgus ridgwayi", "Caprimulgus ruficollis", "Caprimulgus rufigena", "Caprimulgus rufus", "Caprimulgus ruwenzorii", "Caprimulgus salvini", "Caprimulgus saturatus", "Antrostomus sericocaudatus", "Caprimulgus solala", "Caprimulgus stellatus", "Caprimulgus tristigma", "Caprimulgus vociferus", "Caprimulgus whitelyi", "Eleothreptus anomalus", "Hydropsalis climacocerca", "Hydropsalis torquata", "Caprimulgus longipennis", "Caprimulgus vexillarius", "Macropsalis forcipata", "Nyctidromus albicollis", "Nyctiphrynus mcleodii", "Nyctiphrynus ocellatus", "Nyctiphrynus rosenbergi", "Nyctiphrynus yucatanicus", "Tricholaema diademata", "Tricholaema frontata", "Tricholaema hirsuta", "Tricholaema lacrymosa", "Tricholaema leucomelas", "Tricholaema melanocephala", "Capito auratus", "Capito brunneipectus", "Capito dayi", "Capito hypoleucus", "Capito maculicoronatus", "Capito niger", "Capito quinticolor", "Capito squamatus", "Capito wallacei", "Eubucco bourcierii", "Eubucco richardsoni", "Eubucco tucinkae", "Eubucco versicolor", "Semnornis frantzii", "Semnornis ramphastinus", "Andigena cucullata", "Andigena hypoglauca", "Andigena laminirostris", "Andigena nigrirostris", "Aulacorhynchus albivitta", "Aulacorhynchus atrogularis", "Aulacorhynchus lautus", "Crypturellus bartletti", "Pteroglossus mariae", "Crypturellus berlepschi", "Crypturellus brevirostris", "Crypturellus casiquiare", "Crypturellus cinereus", "Ramphastos citreolaemus", "Ramphastos culminatus", "Ramphastos cuvieri", "Crypturellus duidae", "Crypturellus kerriae", "Crypturellus parvirostris", "Crypturellus ptaritepui", "Crypturellus strigulosus", "Crypturellus transfasciatus", "Crypturellus variegatus", "Selenidera piperivora", "Selenidera gouldii", "Selenidera maculirostris", "Selenidera nattereri", "Selenidera reinwardtii", "Selenidera spectabilis", "Rhynchotus rufescens", "Nothoprocta cinerascens", "Nothoprocta curvirostris", "Malacoptila semicincta", "Malacoptila striata", "Micromonacha lanceolata", "Monasa atra", "Monasa flavirostris", "Monasa morphoeus", "Monasa nigrifrons", "Nonnula amaurocephala", "Nonnula brunnea", "Nonnula frontalis", "Nonnula rubecula", "Nonnula ruficapilla", "Nonnula sclateri", "Notharchus macrorhynchos", "Notharchus ordii", "Notharchus pectoralis", "Notharchus swainsoni", "Notharchus tectus", "Nystactes noanamae", "Bucco tamatia", "Nystalus chacuru", "Nystalus maculatus", "Nystalus radiatus", "Nystalus striolatus", "Caloramphus fuliginosus", "Psilopogon pyrolophus", "Buccanodon duchaillui", "Gymnobucco bonapartei", "Gymnobucco calvus", "Gymnobucco peli", "Gymnobucco sladeni", "Tinamus guttatus", "Stactolaema anchietae", "Stactolaema leucotis", "Stactolaema olivacea", "Stactolaema whytii", "Trachyphonus purpuratus", "Trachyphonus darnaudii", "Trachyphonus erythrocephalus", "Trachyphonus margaritatus", "Trachyphonus vaillantii", "Picumnus steindachneri", "Picumnus subtilis", "Picumnus temminckii", "Picumnus varzeae", "Sasia abnormis", "Sasia africana", "Sasia ochracea", "Blythipicus pyrrhotis", "Blythipicus rubiginosus", "Campethera scriptoricauda", "Dendropicos lugubris", "Dendropicos spodocephalus", "Gecinulus grantia", "Gecinulus viridis", "Geocolaptes olivaceus", "Hemicircus canente", "Hemicircus concretus", "Hypopicus hyperythrus", "Meiglyptes jugularis", "Meiglyptes tristis", "Meiglyptes tukki", "Melanerpes pulcher", "Mulleripicus fulvus", "Mulleripicus funebris", "Mulleripicus pulverulentus", "Piculus litae", "Reinwardtipicus validus", "Xiphidiopicus percussus", "Apaloderma aequatoriale", "Apaloderma narina", "Apaloderma vittatum", "Euptilotis neoxenus", "Harpactes ardens", "Harpactes diardii", "Harpactes duvaucelii", "Harpactes erythrocephalus", "Trichoglossus rubritorquis", "Dromaius novaehollandiae minor", "Dromaius novaehollandiae baudinianus", "Trillium grandiflorum", "Trillium tschonoskii", "Trillium erectum", "Trillium persistens", "Sus scrofa", "Nothoprocta ornata", "Nothoprocta pentlandii", "Nothoprocta perdicaria", "Nothoprocta taczanowskii", "Melichneutes robustus", "Nothura boraquira", "Melignomon eisentrauti", "Melignomon zenkeri", "Nothura maculosa chacoensis", "Prodotiscus insignis", "Nothura darwinii", "Prodotiscus regulus", "Prodotiscus zambesiae", "Nothura maculosa", "Nothura minor", "Taoniscus nanus", "Eudromia elegans", "Eudromia formosa", "Tinamotis ingoufi", "Tinamotis pentlandii", "Chamaemelum nobile", "Falcipennis canadensis", "Falcipennis falcipennis", "Nesoctites micromegas", "Picumnus albosquamatus", "Picumnus aurifrons", "Picumnus castelnau", "Picumnus cinnamomeus", "Picumnus cirratus", "Picumnus dorbygnianus", "Picumnus exilis", "Picumnus fulvescens", "Picumnus fuscus", "Picumnus granadensis", "Picumnus innominatus", "Picumnus lafresnayi", "Picumnus limae", "Picumnus minutissimus", "Picumnus nebulosus", "Picumnus nigropunctatus", "Picumnus olivaceus", "Picumnus pumilus", "Picumnus pygmaeus", "Picumnus rufiventris", "Picumnus sclateri", "Picumnus spilogaster", "Picumnus squamulatus", "Harpactes fasciatus", "Harpactes kasumba", "Harpactes mackloti", "Harpactes oreskios", "Harpactes orrhophaeus", "Harpactes reinwardtii", "Harpactes wardi", "Harpactes whiteheadi", "Pharomachrus antisianus", "Pharomachrus auriceps", "Pharomachrus fulgidus", "Pharomachrus mocinno", "Pharomachrus pavoninus", "Priotelus roseigaster", "Priotelus temnurus", "Trogon aurantiiventris", "Trogon bairdii", "Trogon citreolus", "Trogon clathratus", "Trogon collaris", "Trogon comptus", "Trogon curucui", "Trogon elegans", "Trogon massena", "Trogon melanocephalus", "Trogon melanurus", "Trogon mexicanus", "Trogon personatus", "Trogon rufus", "Trogon surrucura", "Trogon violaceus", "Trogon viridis", "Ilex aquifolium", "Callistemon comboynensis", "Callistemon citrinus", "Callistemon linearis", "Callistemon pallidus", "Metrosideros polymorpha", "Oxyura ferruginea", "Argyranthemum frutescens", "Glebionis coronaria", "Epiophlebia laidlawi", "Epiophlebia superstes", "Jacobaea alpina", "Curio rowleyanus", "Diopsittaca nobilis", "Dendrosenecio kilimanjari", "Senecio crassissimus", "Senecio eruciformis", "Pionopsitta vulturina", "Psilopsiagon aymara", "Psilopsiagon aurifrons", "Myiopsitta luchsi", "Psittacara brevipes", "Psittacara rubritorquis", "Zyras orientalis", "Zyras poseidon", "Zyras roepkei", "Zyras siamensis", "Cedrus libani", "Anas puna", "Marmaronetta angustirostris", "Netta erythrophthalma", "Netta peposaca", "Netta rufina", "Rhodonessa caryophyllacea", "Turnix hottentottus nanus", "Eretmochelys imbricata", "Natator depressus", "Caretta caretta", "Lepidochelys olivacea", "Dermochelys coriacea", "Allionia incarnata", "Calochortus flexuosus", "Nymphaea lotus", "Cladanthus arabicus", "Vatinae incertae sedis", "Panthera leo leo", "Panthera leo persica", "Panthera leo massaica", "Panthera leo melanochaita", "Panthera leo atrox", "Panthera leo spelaea", "Galloisiana chujoi", "Galloisiana kiyosawai", "Galloisiana kosuensis", "Namkungia magnus", "Galloisiana nipponensis", "Galloisiana notabilis", "Xenozorotypus burmiticus", "Zorotypus acanthothorax", "Zorotypus buxtoni", "Zorotypus caudelli", "Zorotypus ceylonicus", "Zorotypus congensis", "Zorotypus cramptoni", "Zorotypus cretatus", "Zorotypus delamarei", "Zorotypus goeleti", "Zorotypus guineensis", "Zorotypus gurneyi", "Zorotypus hamiltoni", "Zorotypus hubbardi", "Zorotypus javanicus", "Zorotypus juninensis", "Zorotypus lawrencei", "Zorotypus leleupi", "Zorotypus longicercatus", "Zorotypus manni", "Zorotypus mexicanus", "Zorotypus nascimbenei", "Zorotypus neotropicus", "Zorotypus newi", "Zorotypus palaeus", "Zorotypus philippinensis", "Zorotypus shannoni", "Zorotypus silvestrii", "Zorotypus snyderi", "Zorotypus swezeyi", "Zorotypus vinsoni", "Hypericum balearicum", "Anisembia texana", "Bulbocerca fulva", "Bulbocerca sini", "Chelicerca auricollis", "Chelicerca brunneicollis", "Chelicerca callani", "Chelicerca chamelaensis", "Chelicerca dampfi", "Chelicerca davisi", "Chelicerca grandis", "Chelicerca heymonsi", "Chelicerca jaliscoa", "Chelicerca maxima", "Chelicerca microspina", "Chelicerca minuta", "Chelicerca nodulosa", "Chelicerca ruficollis", "Chelicerca spinosa", "Chelicerca wheeleri", "Dactylocerca ashworthi", "Dactylocerca flavicollis", "Dactylocerca multispiculata", "Dactylocerca rubra", "Mesembia aequalis", "Mesembia catemacoa", "Mesembia chamulae", "Mesembia haitiana", "Mesembia hospes", "Mesembia juarenzis", "Mesembia venosa", "Pelorembia tumidiceps", "Saussurembia albicauda", "Saussurembia davisi", "Saussurembia symmetrica", "Stenembia perenensis", "Australembia incompta", "Australembia rileyi", "Galloisiana olgae", "Galloisiana sinensis", "Galloisiana sofiae", "Galloisiana ussuriensis", "Galloisiana yezoensis", "Galloisiana yuasai", "Grylloblatta barberi", "Grylloblatta bifratrilecta", "Galium verum", "Grylloblatta campodeiformis", "Grylloblatta chandleri", "Grylloblatta chirurgica", "Grylloblatta gurneyi", "Grylloblatta rothi", "Grylloblatta occidentalis", "Grylloblatta scudderi", "Grylloblatta sculleni", "Grylloblatta washoa", "Grylloblattella pravdini", "Grylloblattella sayanensis", "Grylloblattina djakonovi", "Namkungia biryongensis", "Urtica dioica", "Panthera pardus pardus", "Orchis mascula", "Panthera pardus orientalis", "Fritillaria meleagris", "Panthera pardus panthera", "Silene dioica", "Neofelis nebulosa brachyura", "Latimeria menadoensis", "Smilodon fatalis", "Smilodon gracilis", "Smilodon populator", "Smilodon fatalis californicus", "Homotherium serum", "Metoligotoma anomala", "Metoligotoma begae", "Metoligotoma bidens", "Metoligotoma biloba", "Metoligotoma brevispina", "Metoligotoma collina", "Metoligotoma convergens", "Metoligotoma extorris", "Metoligotoma illawarrae", "Metoligotoma intermedia", "Metoligotoma minima", "Metoligotoma pentanesiana", "Metoligotoma pugionifer", "Metoligotoma reducta", "Metoligotoma tasmanica", "Antipaluria aequicercata", "Antipaluria caribbeana", "Antipaluria intermedia", "Antipaluria marginata", "Antipaluria panamensis", "Antipaluria silvestris", "Antipaluria urichi", "Chromatoclothoda albicauda", "Chromatoclothoda aurata", "Chromatoclothoda elegantula", "Chromatoclothoda nana", "Chromatoclothoda nigricauda", "Clothoda longicauda", "Clothoda nobilis", "Clothoda septentrionalis", "Cryptoclothoda spinula", "Apterembia cercocyrta", "Arabembia biarmata", "Archembia bahia", "Archembia batesi", "Archembia dilata", "Archembia kotzbaueri", "Archembia lacombea", "Archembia peruviana", "Berlandiella errans", "Brachypterembia moreliensis", "Burmitembia venosa", "Calamoclostes albistriolatus", "Calamoclostes gurneyi", "Cleomia guareschii", "Conicercembia tepicensis", "Dihybocercus basilewskyi", "Dihybocercus confusus", "Dihybocercus fibulatoria", "Dihybocercus nigra", "Dihybocercus rhodesiae", "Dihybocercus severini", "Dihybocercus spinosus", "Dinembia ferruginea", "Donaconethis abyssinica", "Donaconethis ehrenbergi", "Donaconethis sudanica", "Electroembia antiqua", "Embia adenensis", "Embia aethiopicorum", "Embia agilis", "Embia algerica", "Embia amadorae", "Archaeobehningia edmundsi", "Behningia lestagei", "Behningia tshernovae", "Behningia ulmeri", "Dolania americana", "Protobehningia asiatica", "Protobehningia merga", "Rhododendron catawbiense", "Neorhagadochir inflata", "Neorhagadochir salvini", "Pachylembia chapalae", "Pachylembia taxcoensis", "Pachylembia unicincta", "Parachirembia brunnea", "Pararhagadochir adspersa", "Pararhagadochir balteata", "Pararhagadochir bicingillata", "Pararhagadochir birabeni", "Pararhagadochir christae", "Pararhagadochir confusa", "Pararhagadochir flavicollis", "Pararhagadochir schadei", "Pararhagadochir surinamensis", "Pararhagadochir tenuis", "Pararhagadochir trachelia", "Pararhagadochir trinitatis", "Parembia persica", "Parthenembia reclusa", "Pseudembia flava", "Pseudembia immsi", "Pseudembia paradoxa", "Pseudembia setosa", "Pseudembia simplex", "Pseudembia truncata", "Rhagadochir beauxii", "Scelembia carpenteri", "Scelembia malkini", "Scelembia vilhenai", "Scelembia virgo", "Embonycha interrupta", "Notoligotoma hardyi", "Notoligotoma nitens", "Ptilocerembia roepkei", "Aposthonia aurea", "Aposthonia borneensis", "Aposthonia brunnea", "Aposthonia davisi", "Aposthonia glauerti", "Aposthonia gurneyi", "Aposthonia hainanensis", "Aposthonia himalayensis", "Aposthonia hollandia", "Aposthonia jacobsoni", "Aposthonia japonica", "Aposthonia josephi", "Aposthonia maerens", "Aposthonia mandibulata", "Aposthonia maritima", "Aposthonia micronesiae", "Aposthonia oceania", "Aposthonia oculata", "Aposthonia tillyardi", "Aposthonia varians", "Aposthonia vosseleri", "Haploembia algerica", "Haploembia bourgi", "Haploembia capensis", "Haploembia clypeata", "Haploembia collaris", "Haploembia megacephala", "Haploembia neosolieri", "Haploembia palaui", "Embia apicata", "Embia argentina", "Embia attenuata", "Embia berlandi", "Embia biroi", "Embia burensis", "Embia camerunensis", "Embia chudeaui", "Embia collariger", "Embia contorta", "Embia dissimilis", "Embia dobhali", "Embia femoralis", "Embia femorata", "Embia fuentei", "Embia gaillardi", "Embia gromieri", "Embia hamifera", "Embia klugi", "Embia koltzbaueri", "Embia kraussi", "Embia larachensis", "Embia lecerfi", "Embia lesnei", "Embia lucasi", "Embia lunaris", "Embia lurididiceps", "Embia major", "Embia maroccana", "Embia mauritanica", "Embia minor", "Embia mulleri", "Embia nigrula", "Embia nuragica", "Embia pallida", "Embia piquetana", "Embia rabaulti", "Embia ramburi", "Embia ramosa", "Embia rimskyi", "Embia ruficapilla", "Embia sabulosa", "Embia savignyi", "Embia silvestrii", "Embia sinuosa", "Embia sjostedti", "Embia smaeleni", "Embia socia", "Embia surcoufi", "Embia tartara", "Embia tunetana", "Embia tyrrhenica", "Embia vayssierei", "Embia vossleri", "Embia xanthocera", "Embolyntha brasiliensis", "Embolyntha wagneri", "Enveja bequaerti", "Lithembia florissantensis", "Machadoembia angolica", "Machadoembia arcuata", "Metembia ferox", "Metembia fraterna", "Microembia rugosifrons", "Haploembia solieri", "Haploembia verhoeffi", "Oligotoma albertisi", "Oligotoma annandalei", "Oligotoma approximans", "Oligotoma asymmetrica", "Oligotoma ceylonica", "Oligotoma dharwariana", "Oligotoma dichroa", "Oligotoma falcis", "Oligotoma gravelyi", "Oligotoma greeniana", "Oligotoma humbertiana", "Oligotoma masi", "Oligotoma michaeli", "Oligotoma minuscula", "Oligotoma minuta", "Oligotoma montana", "Oligotoma nana", "Oligotoma nigra", "Oligotoma pruthii", "Oligotoma saundersii", "Oligotoma scottiana", "Oligotoma sulcata", "Oligotoma termitophila", "Oligotoma vosseleri", "Oligotoma westwoodi", "Diradius caribbeanus", "Diradius chiapae", "Diradius diversilobus", "Diradius emarginatus", "Diradius erba", "Diradius fairchildi", "Diradius jalapae", "Diradius lobatus", "Diradius pacificus", "Diradius pallidus", "Diradius pusillus", "Diradius uxpanapaensis", "Diradius vandykei", "Oligembia armata", "Oligembia bicolor", "Oligembia brevicauda", "Oligembia buscki", "Oligembia capensis", "Oligembia convergens", "Oligembia darlingtoni", "Oligembia excisa", "Oligembia gigantea", "Oligembia hubbardi", "Oligembia intricata", "Oligembia mandibulata", "Oligembia melanura", "Oligembia mini", "Oligembia nigrina", "Oligembia oligotomoides", "Oligembia peruviana", "Oligembia plaumanni", "Oligembia quadriceps", "Oligembia rossi", "Oligembia scalpta", "Oligembia unicolor", "Oligembia versicolor", "Paroligembia angolica", "Mastotermes darwiniensis", "Senecio flaccidus", "Senecio inaequidens", "Jacobaea vulgaris", "Senecio ovatus", "Senecio subumbellatus", "Senecio tamoides", "Galium odoratum", "Galium aparine", "Erythronium dens-canis", "Heterochaenia rivalsii", "Ilex opaca", "Hypericum calycinum", "Hypericum perforatum", "Delanymys brooksi", "Salix sect.", "Salix sect.", "Salix subg.", "Salix subg.", "Salix sect.", "Salix sect.", "Salix sect.", "Salix sect.", "Salix sect.", "Salix sect.", "Salix sect.", "Salix sect.", "Salix viminalis", "Salix sect.", "Salix gracilistyla", "Salix sect.", "Salix sect.", "Salix sect.", "Salix sect.", "Petromyscus barbouri", "Petromyscus collinus", "Petromyscus monticularis", "Petromyscus shortridgei", "Salix subg.", "Salix discolor", "Yungipicus nanus", "Capromys pilorides", "Humulus lupulus", "Salix subg.", "Salix sect.", "Salix nigra", "Salix sect.", "Salix sect.", "Salix sect.", "Salix sect.", "Salix sect.", "Salix sect.", "Salix sect.", "Salix subg.", "Helleborus viridis", "Helleborus foetidus", "Hypericum coris", "Hypericum kalmianum", "Hypericum olympicum", "Hypericum tomentosum", "Hypericum cistifolium", "Hypericum crux-andreae", "Hypericum dyeri", "Hypericum elodes", "Hypericum erectum", "Hypericum fasciculatum", "Hypericum forrestii", "Hypericum fragile", "Hypericum frondosum", "Hypericum gentianoides", "Hypericum gramineum", "Hypericum grandifolium", "Hypericum graveolens", "Hypericum hircinum", "Hypericum hirsutum", "Hypericum humifusum", "Hypericum hyssopifolium", "Hypericum japonicum", "Hypericum kelleri", "Hypericum kouytchense", "Hypericum leschenaultii", "Hypericum linariifolium", "Hypericum lobocarpum", "Hypericum maculatum", "Hypericum majus", "Hypericum monogynum", "Hypericum montanum", "Hypericum montbretii", "Hypericum mutilum", "Hypericum oblongifolium", "Hypericum orientale", "Hypericum prolificum", "Hypericum pulchrum", "Hypericum punctatum", "Hypericum reflexum", "Hypericum rumeliacum", "Hypericum sampsonii", "Hypericum scouleri", "Hypericum undulatum", "Hypericum uralum", "Hypericum wilsonii", "Hypericum kiusianum var. yakusimense", "Gentiana nivalis", "Datura discolor", "Datura inoxia", "Datura kymatocarpa", "Datura leichhardtii", "Datura metel", "Datura pruinosa", "Datura quercifolia", "Datura reburra", "Datura stramonium", "Datura wrightii", "Zyras falsus", "Zyras diversiventris", "Zyras compressicornis", "Zyras biseriatus", "Zyras ibanorum", "Zyras longsonensis", "Zyras lacunarumbeneolentium", "Zyras malaysianus", "Zyras matunuensis", "Zyras minangkabauorum", "Rhinoceros sondaicus annamiticus", "Ceratotherium simum cottoni", "Ceratotherium simum simum", "Dicerorhinus sumatrensis harrissoni", "Dicerorhinus sumatrensis sumatrensis", "Diceros bicornis bicornis", "Diceros bicornis longipes", "Diceros bicornis michaeli", "Diceros bicornis minor", "Aconaemys fuscus", "Aconaemys sagei", "Octodontomys gliroides", "Octomys mimax", "Pipanacoctomys aureus", "Salinoctomys loschalchalerosorum", "Spalacopus cyanus", "Tympanoctomys barrerae", "Coendou bicolor", "Coendou nycthemera", "Coendou prehensilis", "Coendou rothschildi", "Echinoprocta rufescens", "Erethizon dorsatum", "Ulmus alata", "Ulmus americana", "Ulmus androssowii", "Ulmus crassifolia", "Ulmus davidiana", "Ulmus glabra", "Ulmus laevis", "Ulmus macrocarpa", "Ulmus parvifolia", "Ulmus procera", "Ulmus pumila", "Geocapromys megas", "Geocapromys pleistocenicus", "Ctenomys argentinus", "Ctenomys australis", "Ctenomys azarae", "Ctenomys boliviensis", "Ctenomys bonettoi", "Ctenomys brasiliensis", "Ctenomys colburni", "Ctenomys conoveri", "Ctenomys dorsalis", "Ctenomys emilianus", "Ctenomys frater", "Ctenomys fulvus", "Ctenomys haigi", "Ctenomys knighti", "Ctenomys latro", "Ctenomys leucodon", "Ctenomys lewisi", "Ctenomys magellanicus", "Ctenomys maulinus", "Ctenomys mendocinus", "Ctenomys minutus", "Ctenomys nattereri", "Ctenomys occultus", "Ctenomys opimus", "Ctenomys pearsoni", "Ctenomys perrensis", "Ctenomys peruanus", "Ctenomys pontifex", "Ctenomys porteousi", "Ctenomys saltarius", "Ctenomys sericeus", "Ctenomys sociabilis", "Ctenomys steinbachi", "Ctenomys talarum", "Ctenomys torquatus", "Ctenomys tuconax", "Ctenomys tucumanus", "Ctenomys validus", "Lysimachia sect.", "Lysimachia sect.", "Dinomys branickii", "Samolus valerandi", "Ulmus rubra", "Ulmus thomasii", "Coris hispanica", "Coris monspeliensis", "Coris monspeliensis subsp. monspeliensis", "Sphiggurus ichillus", "Sphiggurus insidiosus", "Sphiggurus melanurus", "Sphiggurus mexicanus", "Sphiggurus pallidus", "Sphiggurus spinosus", "Sphiggurus quichua", "Sphiggurus roosmalenorum", "Sphiggurus vestitus", "Sphiggurus villosus", "Pittosporum crassifolium", "Clyomys bishopi", "Clyomys laticeps", "Euryzygomatomys spinosus", "Carterodon sulcidens", "Hoplomys gymnurus", "Lonchothrix emiliae", "Mesomys didelphoides", "Mesomys hispidus", "Mesomys leniceps", "Mesomys obscurus", "Mesomys stimulax", "Proechimys albispinus", "Proechimys amphichoricus", "Proechimys bolivianus", "Proechimys brevicauda", "Proechimys canicollis", "Proechimys cayennensis", "Proechimys chrysaeolus", "Proechimys cuvieri", "Proechimys decumanus", "Proechimys dimidiatus", "Proechimys goeldii", "Proechimys gorgonae", "Proechimys guairae", "Proechimys gularis", "Proechimys hendeei", "Proechimys hoplomyoides", "Hystrix brachyura", "Hystrix crassispinis", "Hystrix cristata", "Hystrix indica", "Hystrix javanica", "Hystrix pumila", "Hystrix sumatrae", "Trichys fasciculata", "Petromus typicus", "Clidomys osborni", "Clidomys parvus", "Cavia aperea", "Cavia fulgida", "Cavia magna", "Cavia porcellus", "Cavia tschudii", "Galea flavidens", "Galea musteloides", "Galea spixii", "Kerodon rupestris", "Microcavia australis", "Microcavia niata", "Drosera sect.", "Microcavia shiptoni", "Drosera sect.", "Dolichotis salinicola", "Drosera sect.", "Isothrix bistriata", "Isothrix pagurus", "Makalata armata", "Abrocoma bennettii", "Abrocoma boliviensis", "Abrocoma cinerea", "Dasyprocta cristata", "Dasyprocta guamara", "Dasyprocta kalinowskii", "Dasyprocta leporina", "Dasyprocta mexicana", "Dasyprocta punctata", "Dasyprocta ruatanica", "Myoprocta acouchy", "Myoprocta exilis", "Boromys offella", "Boromys torrei", "Brotomys contractus", "Brotomys voratus", "Proechimys iheringi", "Proechimys longicaudatus", "Proechimys magdalenae", "Proechimys mincae", "Proechimys myosuros", "Proechimys oconnelli", "Proechimys oris", "Proechimys poliopus", "Proechimys quadruplicatus", "Proechimys semispinosus", "Proechimys setosus", "Proechimys simonsi", "Proechimys steerei", "Proechimys trinitatis", "Proechimys urichi", "Proechimys warreni", "Thrichomys apereoides", "Thryonomys gregorianus", "Thryonomys swinderianus", "Drosera subg.", "Ulmus wallichiana", "Drosera subg.", "Drosera subg.", "Drosera regia", "Drosera sect.", "Drosera sect.", "Bathyergus janetta", "Bathyergus suillus", "Drosera sect.", "Fukomys bocagei", "Fukomys damarensis", "Fukomys foxi", "Cryptomys hottentotus", "Fukomys mechowi", "Fukomys ochraceocinereus", "Fukomys zechi", "Drosera sect.", "Drosera sect.", "Georychus capensis", "Heliophobius argenteocinereus", "Drosera sect.", "Heterocephalus glaber", "Drosera sect.", "Drosera adelae", "Atherurus africanus", "Atherurus macrourus", "Hystrix africaeaustralis", "Salvia reflexa", "Salvia regla", "Salvia rhombifolia", "Salvia ringens", "Salvia roborowskii", "Salvia roemeriana", "Salvia sagittata", "Salvia samuelssonii", "Salvia sclarea", "Salvia sinaloensis", "Salvia spinosa", "Salvia splendens", "Salvia squalens", "Salvia stenophylla", "Salvia stepposa", "Salvia sylvestris", "Salvia syriaca", "Salvia texana", "Salvia tiliifolia", "Salvia transsilvanica", "Salvia tubiflora", "Salvia urica", "Salvia verbenaca", "Salvia verticillata", "Salvia virgata", "Salvia viridis", "Salvia whitehousei", "Atropa belladonna", "Ilex amelanchier", "Ilex buergeri", "Ilex canariensis", "Ilex cassine", "Ilex centrochinensis", "Ilex ciliospinosa", "Ilex colchica", "Geocapromys brownii", "Geocapromys ingrahami", "Geocapromys thoracatus", "Mesocapromys angelcabrerai", "Mesocapromys auritus", "Mesocapromys nanus", "Mesocapromys sanfelipensis", "Myrica gale", "Mysateles garridoi", "Mysateles gundlachi", "Mesocapromys melanurus", "Mysateles meridionalis", "Mysateles prehensilis", "Hexolobodon phenax", "Primula sect.", "Primula subg.", "Isolobodon montanus", "Isolobodon portoricensis", "Diospyros lotus", "Rhizoplagiodontia lemkei", "Plagiodontia aedium", "Plagiodontia araeum", "Plagiodontia ipnaeum", "Plagiodontia spelaeum", "Soldanella alpina", "Cyclamen balearicum", "Geocapromys columbianus", "Heteropsomys antillensis", "Heteropsomys insulans", "Puertoricomys corozalus", "Amblyrhiza inundata", "Elasmodontomys obliquus", "Quemisia gravis", "Castor canadensis", "Pedetes capensis", "Ctenodactylus gundi", "Ctenodactylus vali", "Felovia vae", "Massoutiera mzabi", "Pectinator spekei", "Zygogeomys trichopus", "Salvia aegyptiaca", "Salvia aethiopis", "Salvia africana", "Salvia albocaerulea", "Salvia algeriensis", "Salvia amarissima", "Salvia amplexicaulis", "Salvia apiana", "Salvia argentea", "Salvia aurea", "Salvia austriaca", "Salvia axillaris", "Salvia azurea", "Salvia biflora", "Salvia bowleyana", "Salvia broussonetii", "Salvia buchananii", "Salvia bulleyana", "Salvia campanulata", "Salvia campestris", "Salvia canariensis", "Salvia candelabrum", "Salvia carduacea", "Salvia chionantha", "Salvia clandestina", "Salvia cleistogama", "Salvia clevelandii", "Salvia coccinea", "Salvia columbariae", "Salvia deserta", "Salvia dichroa", "Salvia discolor", "Glirulus japonicus", "Muscardinus avellanarius", "Glis glis", "Allactodipus bobrinskii", "Cardiocranius paradoxus", "Dipus sagitta", "Eremodipus lichtensteini", "Euchoreutes naso", "Paradipus ctenodactylus", "Eozapus setchuanus", "Napaeozapus insignis", "Myopus schisticolor", "Cricetus cricetus", "Mystromys albicaudatus", "Salvia dolicantha", "Salvia dombeyi", "Salvia dominica", "Salvia dorrii", "Salvia dumetorum", "Salvia earlei", "Salvia eigii", "Salvia farinacea", "Salvia florida", "Salvia fruticosa", "Salvia funerea", "Salvia gesneriiflora", "Salvia glutinosa", "Salvia tomentosa", "Salvia greggii", "Adromischus mammillaris", "Salvia guaranitica", "Ilex montana", "Platysternon megacephalum", "Teratembia argentina", "Teratembia banksi", "Teratembia geniculata", "Teratembia producta", "Hypericum barbatum", "Hypericum beanii", "Hypericum bellum", "Hypericum tetrapterum", "Hypericum triquetrifolium", "Hypericum androsaemum", "Hypericum cerastioides", "Senecio vulgaris", "Senecio eboracensis", "Senecio squalidus", "Primula veris", "Primula vulgaris", "Primula elatior", "Primula farinosa", "Ranunculus acris", "Ranunculus aquatilis", "Ranunculus arvensis", "Ranunculus bulbosus", "Ficaria verna", "Ranunculus flammula", "Ranunculus lingua", "Ranunculus omiophyllus", "Ranunculus peltatus", "Ranunculus penicillatus", "Ranunculus repens", "Ranunculus sardous", "Ranunculus sceleratus", "Dioon edule", "Silene acaulis", "Eumorphia sericea", "Eumorphia sericea robustior", "Caltha palustris", "Chrysosplenium alternifolium", "Chrysosplenium oppositifolium", "Eranthis hyemalis", "Campanula rotundifolia", "Aeonium arboreum", "Deomys ferrugineus", "Uranomys ruddi", "Salvia hempsteadiana", "Salvia henryi", "Salvia hians", "Salvia hierosolymitana", "Salvia hispanica", "Salvia horminum", "Lophiomys imhausi", "Salvia indica", "Salvia judaica", "Salvia jurisicii", "Salvia lanceolata", "Salvia lanigera", "Salvia officinalis subsp. lavandulifolia", "Salvia leonuroides", "Salvia leucophylla", "Salvia limbata", "Salvia lyrata", "Salvia mellifera", "Salvia mexicana", "Salvia microphylla", "Salvia microstegia", "Salvia miltiorrhiza", "Salvia pansamalensis", "Salvia mocinoi", "Salvia moorcroftiana", "Salvia napifolia", "Salvia nemorosa", "Salvia occidentalis", "Abditomys latidens", "Sedum sect.", "Sedum ser.", "Sedum acre", "Salvia officinalis", "Salvia oppositiflora", "Salvia pachyphylla", "Salvia palaestina", "Salvia patens", "Salvia pentstemonoides", "Salvia phlomoides", "Salvia pinnata", "Salvia plebeia", "Salvia polystachya", "Salvia pomifera", "Salvia popenoei", "Salvia potus", "Salvia pratensis", "Salvia przewalskii", "Micropterus salmoides", "Bolyeria multocarinata", "Casarea dussumieri", "Loxocemus bicolor", "Exiliboa placata", "Teretrurus rhodogaster", "Pseudotyphlops philippinus", "Teretrurus sanguineus", "Quercus laevis", "Quercus lobata", "Quercus lyrata", "Quercus macrocarpa", "Quercus marilandica", "Quercus michauxii", "Quercus muehlenbergii", "Ilex collina", "Zaglossus bruijni", "Zaglossus attenboroughi", "Zaglossus bartoni", "Zaglossus hacketti", "Zaglossus robustus", "Steropodon galmani", "Teinolophos trusleri", "Kollikodon ritchiei", "Tapirus bairdii", "Tapirus indicus", "Tapirus pinchaque", "Tapirus terrestris", "Lutrogale perspicillata", "Pteronura brasiliensis", "Dromiciops gliroides", "Myrmecobius fasciatus", "Sedum ser.", "Sedum aetnense", "Ilex coriacea", "Ilex cornuta", "Ilex crenata", "Ilex decidua", "Ilex glabra", "Ilex laevigata", "Ilex longipes", "Ilex myrtifolia", "Ilex paraquariensis", "Ilex verticillata", "Ilex vomitoria", "Quercus nigra", "Quercus palustris", "Quercus phellos", "Quercus prinoides", "Quercus rubra", "Quercus shumardii", "Micruroides euryxanthus", "Ophiophagus hannah", "Quercus stellata", "Quercus velutina", "Quercus virginiana", "Azemiops feae", "Abies sect.", "Abies balsamea", "Abies fraseri", "Abies koreana", "Abies lasiocarpa", "Abies nephrolepis", "Abies sibirica", "Abies veitchii", "Ablepharus kitaibelii", "Gavialis gangeticus", "Sphenodon guntheri", "Sphenodon punctatus", "Trachyphonus darnaudii usambiro", "Quercus agrifolia", "Quercus alba", "Quercus bicolor", "Quercus cerris", "Quercus chrysolepis", "Quercus coccinea", "Quercus douglasii", "Quercus dumosa", "Quercus ellipsoidalis", "Quercus emoryi", "Quercus falcata", "Quercus frainetto", "Quercus gambelii", "Quercus garryana", "Quercus imbricaria", "Quercus infectoria", "Quercus kelloggii", "Sedum ser.", "Sedum anglicum", "Sedum arenarium", "Sedum ser.", "Sedum melanantherum", "Sedum ser.", "Sedum annuum", "Sedum alpestre", "Sedum candollei", "Sedum pedicellatum", "Sedum ser.", "Sedum ser.", "Sedum caespitosum", "Sedum ser.", "Sedum rubens", "Sedum steudelii", "Carabus div.", "Carabus subdiv.", "Carabus subdiv.", "Carabus subdiv.", "Carabus subdiv.", "Carabus div.", "Carabus subdiv.", "Carabus subdiv.", "Carabus subdiv.", "Carabus subdiv.", "Carabus subdiv.", "Sedum ser.", "Sedum album", "Sedum gypsicola", "Sedum ser.", "Carabus honnoratii", "Sedum dasyphyllum", "Sedum mucizonia", "Sedum ser.", "Sedum hirsutum", "Sedum ser.", "Sedum andegavense", "Sedum brevifolium", "Abies sect.", "Abies grandis", "Abies concolor", "Abies guatemalensis", "Abies sect.", "Abies sect.", "Abies sect.", "Abies sect.", "Abies sect.", "Abies sect.", "Abies sect.", "Abies sect.", "Abies alba", "Abies cephalonica", "Abies cilicica", "Abies nebrodensis", "Abies nordmanniana", "Pogona vitticeps", "Sedum cepaea", "Sedum ser.", "Sedum lagascae", "Thespesia grandiflora", "Sedum maireanum", "Sedum nevadense", "Sedum villosum", "Capito aurovirens", "Cycas circinalis", "Sedum ser.", "Sedum atratum", "Sedum ser.", "Abies forrestii", "Abies spectabilis", "Abies squamata", "Abies religiosa", "Abies vejarii", "Abies procera", "Abies magnifica", "Abies bracteata", "Crassula subg.", "Crassula subg.", "Crassula ovata", "Crassula setulosa", "Umbilicus horizontalis", "Abies numidica", "Abies pinsapo", "Abies firma", "Abies holophylla", "Abies homolepis", "Abies pindrow", "Abies recurvata", "Abies amabilis", "Abies mariesii", "Abies delavayi", "Abies densa", "Abies fabri", "Bittacus byersi", "Bittacus capensis", "Bittacus caprai", "Bittacus carpenteri", "Bittacus chevalieri", "Bittacus chilensis", "Bittacus chlorostigma", "Bittacus chujoi", "Acer saccharinum", "Bittacus cirratus", "Bittacus contumax", "Bittacus coreanus", "Bittacus cottrelli", "Bittacus discors", "Bittacus disternum", "Bittacus diversinervis", "Bittacus elisabethae", "Bittacus eremus", "Bittacus erythrostigma", "Bittacus femoralis", "Bittacus flavescens", "Bittacus formosanus", "Bittacus fritzi", "Bittacus fumosus", "Bittacus geniculatus", "Bittacus golbachi", "Acer sempervirens", "Bittacus gressitti", "Bittacus hageni", "Bittacus henryi", "Acer shirasawanum", "Bittacus homburgerae", "Bittacus indicus", "Bittacus insularis", "Bittacus issikii", "Bittacus italicus", "Acer sikkimense", "Bittacus kagoshimaensis", "Bittacus kimminsi", "Bittacus kunenensis", "Bittacus lachlani", "Bittacus laevipes", "Acer sinense", "Bittacus latipennis", "Bittacus leptocaudus", "Bittacus leptocercus", "Acer skutchii", "Bittacus lineatus", "Bittacus livingstonei", "Bittacus maculatus", "Bittacus maculosus", "Acer spicatum", "Bittacus malaisei", "Acer stachyophyllum", "Bittacus marginatus", "Bittacus mastrillii", "Bittacus mexicanus", "Bittacus milleri", "Bittacus montanus", "Acer sterculiaceum", "Bittacus moschinus", "Bittacus nebulosus", "Bittacus nipponicus", "Harpobittacus australis", "Acer tsinglingense", "Harpobittacus cristine", "Harpobittacus nigratus", "Harpobittacus nigriceps", "Harpobittacus phaeoscius", "Harpobittacus quasisimilis", "Acer turkestanicum", "Harpobittacus rubricatus", "Harpobittacus scheibeli", "Harpobittacus septentrionis", "Harpobittacus similis", "Acer velutinum", "Harpobittacus tillyardi", "Acer wilsonii", "Hylobittacus apicalis", "Acer \u00d7 zoeschense", "Issikiella amazonica", "Issikiella araguaiensis", "Issikiella boliviensis", "Issikiella byersi", "Issikiella pulchra", "Kalobittacus bimaculatus", "Kalobittacus demissus", "Kalobittacus hubbelli", "Kalobittacus inornatus", "Kalobittacus masoni", "Kalobittacus maniculatus", "Kalobittacus ramosus", "Kalobittacus similis", "Nannobittacus elegans", "Nannobittacus pollex", "Nannobittacus souzalopesi", "Nannobittacus tjederi", "Neobittacus aripuanaensis", "Neobittacus blancheti", "Orobittacus obscurus", "Pazius cinctipes", "Pazius flinti", "Pazius furcatus", "Pazius gracilis", "Pazius obtusus", "Pazius ornaticaudus", "Pazius pectinatus", "Pazius spinosus", "Symbittacus scitulus", "Tytthobittacus macalpinei", "Boreus beybienkoi", "Boreus borealis", "Boreus brumalis", "Boreus californicus", "Boreus chadzhigireji", "Boreus coloradensis", "Boreus elegans", "Boreus hyemalis", "Boreus intermedius", "Boreus jacutensis", "Boreus jezoensis", "Boreus kratochvili", "Boreus lokayi", "Boreus navasi", "Boreus nivoriundus", "Boreus nix", "Boreus orientalis", "Boreus pilosus", "Boreus reductus", "Boreus semenovi", "Boreus sjoestedti", "Boreus tardokijanensis", "Boreus vlasovi", "Boreus westwoodi", "Caurinus dectes", "Hesperoboreus brevicaudus", "Hesperoboreus notoperates", "Chorista australis", "Chorista luteola", "Meridiochorista insolita", "Meridiochorista ruficeps", "Trillium ovatum", "Taeniochorista bifurcata", "Taeniochorista nigrita", "Taeniochorista pallida", "Taeniochorista similis", "Trillium reliquum", "Trillium smallii", "Notiothauma reedi", "Austromerope poultoni", "Merope tuber", "Trillium nivale", "Acer macrophyllum", "Acer mandshuricum", "Acer maximowiczianum", "Acer maximowiczii", "Acer miyabei", "Acer monspessulanum", "Acer negundo", "Acer nigrum", "Acer oblongum", "Acer oliverianum", "Acer opalus", "Acer palmatum", "Acer paxii", "Acer pectinatum", "Acer pensylvanicum", "Acer pentaphyllum", "Acer platanoides", "Acer pseudosieboldianum", "Apteropanorpa tasmanica", "Anabittacus iridipennis", "Anomalobittacus gracilipes", "Apterobittacus apterus", "Austrobittacus anomalus", "Acer pycnanthum", "Bittacus aequalis", "Bittacus africanus", "Acer robustum", "Bittacus alluaudi", "Bittacus andinus", "Bittacus angrensis", "Bittacus annae", "Acer rubescens", "Bittacus armatus", "Bittacus banksi", "Bittacus berlandi", "Bittacus bicornis", "Bittacus boraceiensis", "Bittacus boranicus", "Bittacus brasiliensis", "Acer rubrum", "Bittacus brunneus", "Bittacus bullatus", "Bittacus burgeoni", "Bittacus burmanus", "Bittacus nodosus", "Bittacus occidentis", "Bittacus omega", "Bittacus oreinus", "Bittacus panamensis", "Bittacus peninsularis", "Acer tataricum", "Bittacus peringueyi", "Bittacus peterseni", "Bittacus pieli", "Bittacus pignatellii", "Bittacus pilicornis", "Bittacus pinguipalpi", "Bittacus pintoi", "Bittacus planus", "Acer tataricum subsp. ginnala", "Bittacus pobeguini", "Bittacus pollex", "Bittacus punctiger", "Bittacus rossi", "Bittacus saigusai", "Bittacus schoutedeni", "Bittacus selysi", "Bittacus sinensis", "Acer tegmentosum", "Bittacus sinicus", "Bittacus sjostedti", "Acer heldreichii subsp. trautvetteri", "Bittacus smithersi", "Bittacus sobrinus", "Bittacus sonani", "Bittacus spatulatus", "Acer triflorum", "Bittacus stanleyi", "Bittacus stigmaterus", "Bittacus striatus", "Bittacus strigosus", "Bittacus sylvaticus", "Bittacus takaoensis", "Bittacus tarsalis", "Bittacus testaceus", "Bittacus texanus", "Bittacus tienmushana", "Acer truncatum", "Bittacus tjederi", "Bittacus triangularis", "Bittacus tuxeni", "Bittacus ussuriensis", "Bittacus vexilliferus", "Bittacus vumbanus", "Bittacus wahlbergi", "Bittacus walkeri", "Bittacus weelei", "Bittacus zambezinus", "Bittacus zelichi", "Bittacus zulu", "Acer tschonoskii", "Edriobittacus microcercus", "Harpobittacus albatus", "Neopanorpa borneensis", "Neopanorpa brevivalvae", "Neopanorpa brisi", "Neopanorpa burmana", "Neopanorpa byersi", "Neopanorpa cantonensis", "Neopanorpa carpenteri", "Neopanorpa cavaleriei", "Neopanorpa caveata", "Neopanorpa chaoi", "Neopanorpa chelata", "Neopanorpa chillcotti", "Neopanorpa choui", "Neopanorpa clara", "Neopanorpa claripennis", "Neopanorpa contracta", "Neopanorpa cornuta", "Neopanorpa crinita", "Neopanorpa cuspidata", "Neopanorpa denticulata", "Neopanorpa diloba", "Neopanorpa dimidiata", "Neopanorpa dispar", "Neopanorpa dorsalis", "Neopanorpa dubis", "Neopanorpa echinata", "Neopanorpa effusa", "Neopanorpa fenestrata", "Neopanorpa flava", "Neopanorpa flavicauda", "Neopanorpa formosana", "Neopanorpa formosensis", "Neopanorpa fractura", "Neopanorpa furcata", "Neopanorpa fuscicauda", "Neopanorpa gestroi", "Neopanorpa gibbosa", "Neopanorpa globulifera", "Neopanorpa gradana", "Neopanorpa harmandi", "Neopanorpa heii", "Neopanorpa hirsuta", "Neopanorpa huangshana", "Neopanorpa hyalinata", "Neopanorpa indica", "Neopanorpa infuscata", "Neopanorpa k-maculata", "Neopanorpa kwangtsehi", "Neopanorpa lacunaris", "Neopanorpa latipennis", "Neopanorpa lichuanensis", "Neopanorpa lieftincki", "Neopanorpa linguata", "Neopanorpa lui", "Neopanorpa lungtausana", "Neopanorpa maai", "Neopanorpa magna", "Neopanorpa makii", "Neopanorpa mangshanensis", "Neopanorpa minuta", "Neopanorpa mokansana", "Neopanorpa mulleri", "Neopanorpa mutabilis", "Neopanorpa nielseni", "Rubus idaeus", "Rubus leucodermis", "Rubus niveus", "Rubus occidentalis", "Rubus phoenicolasius", "Rubus spectabilis", "Rubus strigosus", "Rubus acuminatissimus", "Rubus adenophorus", "Rubus alexeterius", "Rubus alpestris", "Rubus amabilis", "Rubus apetalus", "Rubus archboldianus", "Rubus aurantiacus", "Rubus biflorus", "Rubus chingii", "Rubus cockburnianus", "Rubus columellaris", "Rubus copelandii", "Rubus corchorifolius", "Rubus coreanus", "Nannochorista andina", "Nannochorista dipteroides", "Nannochorista edwardsi", "Nannochorista holostigma", "Nannochorista maculipennis", "Nannochorista neotropica", "Leptopanorpa charpentieri", "Leptopanorpa cingulata", "Leptopanorpa filicauda", "Leptopanorpa inconspicua", "Leptopanorpa jacobsoni", "Leptopanorpa javanica", "Leptopanorpa nematogaster", "Leptopanorpa peterseni", "Leptopanorpa pi", "Leptopanorpa ritsemae", "Leptopanorpa robusta", "Leptopanorpa sarangana", "Neopanorpa angustiapicula", "Neopanorpa angustipennis", "Neopanorpa annamensis", "Neopanorpa apicata", "Neopanorpa appendiculata", "Neopanorpa babai", "Neopanorpa banksi", "Neopanorpa baviensis", "Neopanorpa benaci", "Acer amplum", "Acer argutum", "Acer barbinerve", "Acer caesium", "Acer calcaratum", "Acer campbellii", "Acer campestre", "Acer capillipes", "Acer cappadocicum", "Acer carpinifolium", "Acer caudatum", "Acer circinatum", "Acer cissifolium", "Acer crataegifolium", "Acer davidii", "Acer diabolicum", "Acer fabri", "Acer flabellatum", "Acer forrestii", "Acer glabrum", "Acer grandidentatum", "Acer griseum", "Acer heldreichii", "Acer henryi", "Acer grosseri var. hersii", "Acer hyrcanum", "Acer laevigatum", "Acer laurinum", "Acer laxiflorum", "Acer leucoderme", "Acer lobelii", "Acer longipes", "Panorpa grahamana", "Panorpa gressitti", "Panorpa guidongensis", "Panorpa guttata", "Panorpa hageniana", "Panorpa hakusanensis", "Panorpa hamata", "Panorpa helena", "Panorpa hispida", "Panorpa hiurai", "Panorpa horiensis", "Panorpa horni", "Panorpa hungerfordi", "Panorpa hybrida", "Panorpa immaculata", "Panorpa implicata", "Panorpa indivisa", "Panorpa insolens", "Panorpa involuta", "Panorpa ishiharai", "Panorpa isolata", "Panorpa issikiana", "Panorpa issikii", "Panorpa japonica", "Panorpa kagamontana", "Panorpa kellogi", "Panorpa kimminsi", "Panorpa kiusiuensis", "Panorpa klapperichi", "Panorpa kongosana", "Panorpa lacedaemonia", "Panorpa lachlani", "Panorpa latipennis", "Panorpa leai", "Panorpa leucoptera", "Panorpa lewisi", "Panorpa lintienshana", "Panorpa longicornis", "Panorpa longiramina", "Panorpa longititilana", "Panorpa lugubris", "Panorpa lutea", "Panorpa maculosa", "Panorpa magna", "Panorpa mangshanensis", "Panorpa meridionalis", "Panorpa mexicana", "Panorpa mirabilis", "Panorpa miyakeiella", "Panorpa mokansana", "Panorpa mucronata", "Panorpa multifasciaria", "Panorpa nanwutaina", "Panorpa nebulosa", "Panorpa neglecta", "Panorpa neospinosa", "Panorpa nigrirostris", "Panorpa nipponensis", "Panorpa nokoensis", "Panorpa nuptialis", "Panorpa obliqua", "Panorpa obliquifascia", "Panorpa obtusa", "Panorpa ochraceocauda", "Panorpa titschacki", "Panorpa tjederi", "Panorpa trifasciata", "Panorpa tritaenia", "Panorpa trizonata", "Panorpa tsunekatanis", "Panorpa tsushimaensis", "Panorpa turcica", "Panorpa typicoides", "Panorpa venosa", "Panorpa vernalis", "Panorpa virginica", "Panorpa vulgaris", "Panorpa waongkehzengi", "Panorpa wormaldi", "Panorpa wrightae", "Panorpa yangi", "Panorpa yiei", "Panorpa youngi", "Brachypanorpa carolinensis", "Brachypanorpa jeffersoni", "Brachypanorpa montana", "Brachypanorpa oregonensis", "Brachypanorpa sacajawea", "Panorpodes komaensis", "Panorpodes maculata", "Panorpodes pulcher", "Rubus crataegifolius", "Rubus croceacanthus", "Neopanorpa nigritis", "Neopanorpa nipalica", "Neopanorpa ocellaris", "Neopanorpa ochrura", "Neopanorpa ornata", "Neopanorpa ovata", "Neopanorpa panda", "Neopanorpa parva", "Neopanorpa parvula", "Neopanorpa pendulifera", "Neopanorpa pielina", "Neopanorpa pulchra", "Neopanorpa puripennis", "Neopanorpa ramulata", "Neopanorpa retina", "Neopanorpa salai", "Neopanorpa sauteri", "Neopanorpa siamensis", "Neopanorpa sordida", "Neopanorpa spatulata", "Neopanorpa spicata", "Neopanorpa subreticulata", "Neopanorpa sumatrana", "Neopanorpa taoi", "Neopanorpa thai", "Neopanorpa tienmushana", "Neopanorpa tienpingshana", "Neopanorpa tiomanensis", "Neopanorpa translucida", "Neopanorpa tuberosa", "Neopanorpa umbonata", "Neopanorpa validipennis", "Neopanorpa varia", "Neopanorpa vietnamensis", "Neopanorpa zebrata", "Panorpa acuminata", "Panorpa acuta", "Panorpa akasakai", "Panorpa alpina", "Panorpa amamiensis", "Panorpa americana", "Panorpa amurensis", "Panorpa angustistriata", "Panorpa annexa", "Panorpa anomala", "Panorpa anrenensis", "Panorpa antiporum", "Panorpa apiconebulosa", "Panorpa approximata", "Panorpa arakavae", "Panorpa arcuata", "Panorpa aspoecki", "Panorpa attenuata", "Panorpa aurea", "Panorpa azteca", "Panorpa banksi", "Panorpa babai", "Panorpa banksiana", "Panorpa baohwashana", "Panorpa bichai", "Panorpa bicornifera", "Sterna sumatrana", "Sternula superciliaris", "Sterna trudeaui", "Sterna virgata", "Sterna vittata", "Gelochelidon nilotica", "Sternula albifrons", "Onychoprion aleuticus", "Onychoprion anaethetus", "Capparis spinosa", "Myrtillocactus geometrizans", "Picea sitchensis", "Tropaeolum polyphyllum", "Myrmothera campanisona", "Diospyros kaki", "Pezophaps solitaria", "Raphus cucullatus", "Panorpa bicornuta", "Panorpa bifasciata", "Panorpa bifida", "Panorpa bimacula", "Panorpa bistriata", "Panorpa bonis", "Panorpa braueri", "Panorpa brevititilana", "Panorpa bunun", "Panorpa capillata", "Panorpa carolinensis", "Panorpa carpenteri", "Panorpa caucasica", "Panorpa centralis", "Panorpa chengi", "Panorpa cheni", "Panorpa chiensis", "Panorpa choctaw", "Panorpa cladocerca", "Panorpa claripennis", "Penelopides samarensis", "Panorpa clavigera", "Panorpa cognata", "Panorpa communis", "Panorpa concolor", "Panorpa confinis", "Panorpa connexa", "Panorpa consuetudinis", "Panorpa contorta", "Panorpa coomani", "Panorpa coreana", "Panorpa cornigera", "Panorpa curva", "Panorpa davidi", "Panorpa debilis", "Panorpa deceptor", "Panorpa decolorata", "Panorpa diceras", "Panorpa dichotoma", "Panorpa difficilis", "Panorpa dissimilis", "Panorpa dubia", "Panorpa dubitans", "Panorpa emarginata", "Panorpa ensigera", "Panorpa esakii", "Panorpa falsa", "Panorpa ferruginea", "Panorpa filina", "Panorpa flavicorporis", "Panorpa flavipennis", "Panorpa flexa", "Panorpa floridana", "Panorpa fluvicaudaria", "Panorpa fructa", "Panorpa fukiensis", "Panorpa fulvastra", "Panorpa galerita", "Panorpa galloisi", "Panorpa germanica", "Upupa africana", "Panorpa globulifera", "Panorpa gokaensis", "Panorpa gracilis", "Panorpa ochraceopennis", "Panorpa oconee", "Panorpa okamotona", "Panorpa ophthalmica", "Panorpa orientalis", "Panorpa pachymera", "Panorpa pallidimaculata", "Panorpa palustris", "Panorpa pectinata", "Panorpa penicillata", "Panorpa peterseana", "Panorpa picta", "Panorpa pieli", "Panorpa pieperi", "Panorpa pingjiangensis", "Panorpa planicola", "Panorpa plitvicensis", "Panorpa pryeri", "Panorpa pseudoalpina", "Panorpa punctata", "Panorpa pura", "Panorpa pusilla", "Panorpa qinlingensis", "Panorpa quadrifasciata", "Panorpa ramosa", "Panorpa rantaisanensis", "Panorpa reclusa", "Panorpa reni", "Panorpa robusta", "Panorpa rufa", "Panorpa rufescens", "Panorpa rufostigma", "Panorpa rupeculana", "Panorpa schweigeri", "Panorpa scopulifera", "Panorpa semifasciata", "Panorpa serta", "Panorpa setifera", "Panorpa sexspinosa", "Panorpa shanyangensis", "Panorpa shibatai", "Panorpa sibirica", "Panorpa sigmoides", "Panorpa similis", "Panorpa sonani", "Panorpa speciosa", "Panorpa statura", "Panorpa stigmalis", "Panorpa stotzneri", "Panorpa striata", "Panorpa subambra", "Panorpa subaurea", "Panorpa subfurcata", "Panorpa submaculosa", "Panorpa subulifera", "Panorpa susteri", "Panorpa taiheisanensis", "Panorpa taiwanensis", "Panorpa takenouchii", "Panorpa tatvana", "Panorpa terminata", "Panorpa tetrazonia", "Panorpa thompsoni", "Panorpa thrakica", "Beatragus hunteri", "Beatragus antiquus", "Beatragus antiquus remotus", "Myotragus balearicus", "Rubus nivalis", "Rubus pectinellus", "Rubus chamaemorus", "Rubus pseudochamaemorus", "Rubus geoides", "Rubus arcticus", "Rubus saxatilis", "Rubus fockeanus", "Rubus humulifolius", "Rubus lasiococcus", "Rubus pedatus", "Rubus xanthocarpus", "Rubus gunnianus", "Rubus amphidasys", "Rubus nepalensis", "Rubus tricolor", "Rubus tsangiorum", "Rubus turquinensis", "Rubus shankii", "Rubus sapidus", "Rubus roseus", "Rubus peruvianus", "Rubus nubigenus", "Rubus megalococcus", "Rubus macvaughianus", "Mammuthus exilis", "Elephas recki", "Mammut americanus", "Chilgatherium harrisi", "Corythornis cristatus thomensis", "Corythornis cristatus nais", "Ceyx erithaca erithaca", "Thylacoleo carnifex", "Zyras tolminus", "Naemorhedus baileyi", "Capricornis crispus", "Rubus irasuensis", "Rubus imperialis", "Rubus hondurensis", "Rubus glaucus", "Rubus glabratus", "Rubus gachetensis", "Rubus florulentus", "Rubus fagifolius", "Rubus eriocarpus", "Rubus eggersii", "Rubus costaricanus", "Rubus coriaceus", "Rubus acanthophyllos", "Rubus choachiensis", "Rubus bullatus", "Rubus briareus", "Rubus bogotensis", "Rubus betonicifolius", "Rubus adenothallus", "Rubus acuminatus", "Rubus alceifolius", "Rubus assamensis", "Rubus bambusarum", "Rubus buergeri", "Rubus chroosepalus", "Rubus chrysophyllus", "Rubus elongatus", "Rubus fairholmianus", "Rubus flagelliflorus", "Rubus fockei", "Rubus formosensis", "Rubus gardnerianus", "Rubus glomeratus", "Rubus henryi", "Rubus hunanensis", "Rubus ichangensis", "Rubus irenaeus", "Rubus kawakamii", "Rubus lambertianus", "Rubus lineatus", "Rubus moluccanus", "Rubus multibracteatus", "Rubus paniculatus", "Rubus parkeri", "Rubus pseudosieboldii", "Rubus pyrifolius", "Rubus rolfei", "Rubus rugosus", "Rubus setchuenensis", "Rubus sieboldii", "Rubus splendidissimus", "Rubus swinhoei", "Rubus tephrodes", "Rubus tiliaceus", "Rubus wardii", "Rubus xanthoneurus", "Rubus australis", "Rubus cissoides", "Rubus parvus", "Rubus schmidelioides", "Rubus squarrosus", "Rubus loxensis", "Rubus allegheniensis", "Rubus alumnus", "Rubus pennus", "Rubus abactus", "Rubus andrewsianus", "Rubus argutus", "Rubus frondosus", "Rubus orarius", "Rubus ostryifolius", "Rubus pensilvanicus", "Rubus recurvans", "Rubus caesius", "Rubus canadensis", "Rubus kennedyanus", "Rubus fioniae", "Mesonychoteuthis hamiltoni", "Atractomorpha acutipennis acutipennis", "Rubus ellipticus", "Rubus eustephanos", "Rubus flosculosus", "Rubus fraxinifolius", "Rubus glabricarpus", "Rubus grayanus", "Rubus hawaiensis", "Rubus hirsutus", "Rubus hoffmeisterianus", "Rubus hypargyrus", "Rubus illecebrosus", "Rubus innominatus", "Rubus inopertus", "Rubus irritans", "Rubus komarovii", "Rubus lasiostylus", "Rubus ludwigii", "Rubus lutescens", "Rubus macilentus", "Rubus macraei", "Rubus mesogaeus", "Rubus microphyllus", "Rubus minusculus", "Rubus palmatus", "Rubus parvifolius", "Rubus peltatus", "Rubus pentagonus", "Rubus pileatus", "Rubus pinfaensis", "Rubus pinnatus", "Rubus probus", "Rubus pungens", "Rubus racemosus", "Rubus rigidus", "Rubus rosifolius", "Rubus sachalinensis", "Rubus stans", "Rubus simplex", "Rubus suavissimus", "Rubus subornatus", "Rubus sumatranus", "Rubus teledapos", "Rubus thibetanus", "Rubus trianthus", "Rubus trifidus", "Rubus vernus", "Rubus odoratus", "Rubus parviflorus", "Rubus neomexicanus", "Anacyclus clavatus", "Rubus koehleri", "Rubus deliciosus", "Rubus aboriginum", "Rubus aliceae", "Rubus calycinus", "Rubus hayata-koidzumii", "Pyrgomorpha vignaudi semlikiana", "Australiteuthis aldrichi", "Platycnemis pennipes", "Rubus divaricatus", "Rubus drejeri", "Rubus egregius", "Rubus foliosus", "Rubus fuscus", "Rubus gelertii", "Rubus glandithyrsos", "Rubus godronii", "Rubus grabowskii", "Rubus gratus", "Rubus gremlii", "Rubus hirtus", "Rubus infestus", "Rubus insularis", "Rubus macrophyllus", "Rubus micans", "Rubus montanus", "Rubus mucronulatus", "Rubus pedemontanus", "Rubus polyanthemus", "Rubus praecox", "Rubus pyramidalis", "Rubus radula", "Rubus rhamnifolius", "Rubus rhombifolius", "Rubus rosaceus", "Rubus rudis", "Rubus schlechtendalii", "Rubus schleicheri", "Rubus senticosus", "Rubus slesvicensis", "Rubus sprengelii", "Rubus sulcatus", "Rubus vestitus", "Rubus vigorosus", "Rubus vulgaris", "Rubus acheruntinus", "Rubus ahenifolius", "Rubus alterniflorus", "Rubus amplificatus", "Rubus anglocandicans", "Rubus angustifrons", "Rubus bakerianus", "Rubus bayeri", "Rubus bloxamianus", "Rubus bloxamii", "Rubus bollei", "Rubus boraeanus", "Rubus calvatus", "Rubus caucasicus", "Rubus chrysoxylon", "Rubus cissburiensis", "Rubus colemannii", "Rubus concolor", "Rubus cordifolius", "Rubus cyri", "Bradypus pygmaeus", "Gallirallus calayanensis", "Prolagus sardus", "Prolagus corsicanus", "Rubus bifrons", "Rubus laciniatus", "Rubus plicatus", "Rubus nessensis", "Rubus ulmifolius", "Rubus adornatus", "Rubus adspersus", "Rubus ammobius", "Rubus arrhenii", "Rubus atrichantherus", "Rubus axillaris", "Rubus bavaricus", "Rubus bertramii", "Rubus braeuckeri", "Rubus bregutiensis", "Rubus canescens", "Rubus cardiophyllus", "Rubus chloocladus", "Rubus chlorothyrsos", "Rubus cimbricus", "Rubus clusii", "Rubus conothyrsoides", "Rubus dasyphyllus", "Osedax mucofloris", "Rubus tuberculatus", "Rubus wahlbergii", "Rubus fabrimontanus", "Rubus dissimulans", "Rubus dumetorum", "Rubus gothicus", "Rubus camptostachys", "Rubus adenoleucus", "Rubus aureolus", "Rubus babingtonianus", "Rubus britannicus", "Rubus conjungens", "Rubus cyclomorphus", "Rubus eluxatus", "Rubus lamprocaulos", "Rubus mortensenii", "Rubus nemorosus", "Rubus seebergensis", "Rubus cuneifolius", "Rubus arundelanus", "Rubus biformispinus", "Rubus deamii", "Rubus enslenii", "Rubus flagellaris", "Rubus hispidus", "Abelmoschus esculentus", "Abelmoschus moschatus", "Abies grandis subsp. grandis", "Abies grandis subsp. idahoensis", "Abies lasiocarpa var. arizonica", "Abies lasiocarpa var. lasiocarpa", "Mesohippus proteulophus", "Mesohippus bairdi", "Rubus diversus", "Rubus dumnoniensis", "Rubus echinatoides", "Rubus echinatus", "Rubus errabundus", "Rubus erythrops", "Rubus fissus", "Rubus formidabilis", "Rubus furvicolor", "Rubus fuscoater", "Rubus georgicus", "Rubus glanduliger", "Rubus glandulosus", "Rubus hartmanii", "Rubus hylophilus", "Rubus inermis", "Rubus lamprophyllus", "Rubus lespinassei", "Rubus leucostachys", "Rubus linkianus", "Rubus macrostemon", "Rubus miszczenkoi", "Rubus moschus", "Rubus mulleri", "Rubus nitidioides", "Rubus pedatifolius", "Rubus piceetorum", "Rubus promachonicus", "Rubus rubritinctus", "Rubus sanctus", "Rubus scheutzii", "Rubus separinus", "Rubus septentrionalis", "Rubus thyrsiflorus", "Rubus glandicaulis", "Rubus missouricus", "Rubus notatus", "Rubus semisetosus", "Rubus setosus", "Rubus stipulatus", "Austriadactylus cristatus", "Lispirurus renatae", "Lispirurus caudatus", "Lispirurus dipterum", "Lispirurus hoopoe", "Kiwa hirsuta", "Monodon monoceros", "Coccyzus euleri", "Phigys solitarius", "Cercococcyx mechowi", "Cercococcyx montanus", "Cercococcyx olivinus", "Cacomantis castaneiventris", "Cacomantis flabelliformis", "Cacomantis aeruginosus", "Cacomantis merulinus", "Cacomantis passerinus", "Cacomantis sepulcralis", "Cacomantis sonneratii", "Cacomantis variolosus", "Chrysococcyx megarhynchus", "Chrysococcyx minutillus russatus", "Chrysococcyx minutillus rufomerus", "Centropus leucogaster neumanni", "Centropus burchellii", "Atractomorpha acutipennis blanchardi", "Atractomorpha acutipennis brevis", "Exxus wyensis", "Neotrigaster complutensis", "Neotrigaster rufa", "Crocodylus acutus", "Crocodylus intermedius", "Crocodylus johnsoni", "Crocodylus mindorensis", "Crocodylus moreletii", "Crocodylus niloticus", "Crocodylus novaeguineae", "Crocodylus palustris", "Crocodylus porosus", "Crocodylus rhombifer", "Crocodylus siamensis", "Osteolaemus tetraspis", "Tomistoma schlegelii", "Osedax frankpressi", "Osedax rubiplumus", "Rubus vermontanus", "Rubus ursinus", "Rubus lucidus", "Rubus riograndis", "Rubus trivialis", "Gadilimorpha incertae sedis", "Damaliscus pygargus", "Ammodorcas clarkei", "Achnella caduca", "\u00d7Calammophila don-hensonii", "Festulolium braunii", "Festulolium fredericii", "\u00d7Triticosecale rimpaui", "Abies magnifica var. shastensis", "Abronia alpina", "Abronia ameliae", "Abronia ammophila", "Abronia angustifolia", "Aconitum carmichaelii", "Aconitum columbianum", "Aconitum delphinifolium", "Aconitum ferox", "Aconitum fischeri", "Aconitum infectum", "Aconitum maximum", "Aconitum napellus", "Aconitum noveboracense", "Aconitum reclinatum", "Aconitum uncinatum", "Aconitum vulparia", "Acorus calamus", "Acorus gramineus", "Acourtia microcephala", "Acourtia nana", "Acrachne racemosa", "Acroceras amplectens", "Acroceras macrum", "Acrocomia media", "Acrocomia totai", "Canariomys tamarani", "Canariomys bravoi", "Chrotomys silaceus", "Nyctalus noctula", "Nepenthes rajah", "Abronia argillosa", "Abronia bigelovii", "Abronia carletonii", "Abronia elliptica", "Abronia fragrans", "Abronia gracilis", "Abronia insularis", "Abronia latifolia", "Abronia macrocarpa", "Abronia maritima", "Abronia mellifera", "Abronia minor", "Abronia nana", "Abronia neurophylla", "Abronia platyphylla", "Abronia pogonantha", "Abronia turbinata", "Abronia umbellata", "Abronia villosa", "Abrus precatorius", "Abutilon abutiloides", "Abutilon auritum", "Abutilon berlandieri", "Abutilon eremitopetalum", "Abutilon fruticosum", "Abutilon grandifolium", "Abutilon hirtum", "Abutilon hulseanum", "Abutilon hypoleucum", "Abutilon incanum", "Abutilon indicum", "Abutilon malacum", "Callianthe megapotamica", "Abutilon menziesii", "Abutilon mollicomum", "Abutilon palmeri", "Abutilon parishii", "Abutilon parvulum", "Abutilon permolle", "Abutilon reventum", "Abutilon sandwicense", "Abutilon theophrasti", "Abutilon thurberi", "Abutilon trisulcatum", "Abutilon virginianum", "Abutilon wrightii", "Acacia confusa", "Acacia glauca", "Acacia koaia", "Vachellia macracantha", "Acacia pinetorum", "Acaulon schimperianum", "Acaulon triquetrum", "Achillea ageratifolia", "Achillea distans", "Achillea ligustica", "Achillea nobilis", "Achlys californica", "Achlys triphylla", "Achnatherum richardsonii", "Achnatherum scribneri", "Achnatherum speciosum", "Achnatherum stillmanii", "Achnatherum swallenii", "Achnatherum thurberianum", "Achnatherum wallowaense", "Achnatherum webberi", "Achyrachaena mollis", "Achyranthes aspera", "Achyranthes atollensis", "Achyranthes japonica", "Achyranthes mutica", "Achyranthes splendens", "Achyronychia cooperi", "Acicarpha tribuloides", "Aciphylla ferox", "Acisanthera erecta", "Acleisanthes acutifolia", "Acleisanthes anisophylla", "Acleisanthes crassifolia", "Acleisanthes longiflora", "Acleisanthes obtusa", "Acleisanthes wrightii", "Acmella decumbens", "Acmella iodiscaea", "Acmella oppositifolia", "Acmella pilosa", "Acoelorraphe wrightii", "Aconitum anthora", "Cladonia cylindrica", "Bacidia bagliettoana", "Staurothele rupifraga", "Verrucaria elaeomelaena", "Buellia maritima", "Micarea turfosa", "Lecanora cadubriae", "Caloplaca pollinii", "Leptorhaphis parmeca", "Lepraria cacuminum", "Mycoporum compositum", "Heterodermia casarettiana", "Verrucaria lecideoides", "Leptogium digitatum", "Caloplaca lactea", "Physcia biziana", "Bacidia artyta", "Acacia retusa", "Senegalia roemeriana", "Acaena exigua", "Acaena novae-zelandiae", "Acaena pallida", "Acaena pinnatifida", "Acalypha alopecuroides", "Acalypha amentacea", "Acalypha australis", "Acalypha berteroana", "Acalypha bisetosa", "Acalypha californica", "Acalypha chamaedrifolia", "Acalypha deamii", "Acalypha gracilens", "Acalypha hispida", "Acalypha indica", "Acalypha mexicana", "Acalypha monococca", "Acalypha monostachya", "Acalypha neomexicana", "Acalypha persimilis", "Acalypha poiretii", "Acalypha portoricensis", "Acalypha radians", "Acalypha setosa", "Acalypha virginica", "Acamptopappus shockleyi", "Acamptopappus sphaerocephalus", "Acanthocereus tetragonus", "Acanthomintha duttonii", "Acanthomintha ilicifolia", "Acanthomintha lanceolata", "Acanthomintha obovata", "Acanthospermum australe", "Acanthospermum hispidum", "Acanthospermum humile", "Acanthus ebracteatus", "Acanthus mollis", "Acanthus spinosus", "Acarospora aeruginosa", "Acarospora albomarginata", "Acarospora americana", "Acarospora amphibola", "Acarospora applanata", "Acarospora arenacea", "Acarospora arenosa", "Acarospora asahinae", "Acarospora asperata", "Acarospora badiofusca", "Acarospora bullata", "Placynthium asperellum", "Pyrenula mamillana", "Pertusaria globularis", "Buellia halonia", "Umbilicaria muehlenbergii", "Umbilicaria mammulata", "Pertusaria papillata", "Usnea glabrata", "Lecanora hypopta", "Heterodermia erinacea", "Caloplaca cinnabarina", "Diploschistes gypsaceus", "Chaenotheca hispidula", "Diploschistes actinostomus", "Arthonia peltigerina", "Arthonia epimela", "Micarea peliocarpa", "Aspicilia candida", "Toninia alutacea", "Buellia pulverulenta", "Rhizocarpon simillimum", "Endocarpon adscendens", "Aspicilia polychroma", "Rhizocarpon alpicola", "Rhizocarpon effiguratum", "Solorina octospora", "Buellia jugorum", "Ramalina obtusata", "Dermatocarpon rivulorum", "Collema furfuraceum", "Staurothele clopimoides", "Physcia dimidiata", "Cladonia maxima", "Hypogymnia metaphysodes", "Diploschistes bisporus", "Peltula patellata", "Gyalecta jenensis", "Diplotomma nivalis", "Graphis elegans", "Pannaria hookeri", "Opegrapha niveoatra", "Normandina pulchella", "Catapyrenium psoromoides", "Arthonia arthonioides", "Acrocordia gemmata", "Arthonia caribaea", "Psora globifera", "Rhizocarpon obscuratum", "Pertusaria panyrga", "Lecanora cateilea", "Arthopyrenia analepta", "Toninia squalida", "Thelotrema lepadinum", "Lecanora hagenii", "Lecanora intricata", "Collema flaccidum", "Nephroma parile", "Lecanora argopholis", "Lecanora epanora", "Lecanora epibryon", "Lecanora orosthea", "Lecanora symmicta", "Cyphelium tigillare", "Calicium corynellum", "Calicium trabinellum", "Pyrenula aspistea", "Alectoria sarmentosa", "Arthonia leucopellaea", "Solorina spongiosa", "Parmeliopsis hyperopta", "Diplotomma epipolium", "Bacidia arceutina", "Aspicilia laevata", "Pannaria conoplea", "Pannaria rubiginosa", "Bryoria lanestris", "Hypocenomyce scalaris", "Heterodermia granulifera", "Platismatia lacunosa", "Peltigera hymenina", "Pertusaria pustulata", "Usnea strigosa", "Phaeophyscia hispidula", "Diplotomma ambiguum", "Phlyctis agelaea", "Cladonia crispata var. crispata", "Umbilicaria crustulosa", "Peltigera malacea", "Cladonia pocillum", "Cladonia strepsilis", "Micarea lignaria", "Gyalecta truncigena", "Tremolecia atrata", "Umbilicaria hyperborea", "Psora rubiformis", "Ephebe hispidula", "Chrysothrix chlorina", "Lopadium pezizoideum", "Pyrenula septicollaris", "Phaeophyscia adiastola", "Esslingeriana idahoensis", "Haematomma persoonii", "Haematomma rufidulum", "Arthonia atrata", "Arthonia conferta", "Arthonia rubella", "Pertusaria tetrathalamia", "Arthopyrenia esenbeckiana", "Pyrenula astroidea", "Cladonia didyma var. didyma", "Graphis desquamescens", "Caloplaca novomexicana", "Opegrapha staurothelicola", "Caloplaca ulmorum", "Acrocordia megalospora", "Porina heterospora", "Buellia nigra", "Bacidia pammellii", "Rhizocarpon grande", "Pertusaria sommerfeltii", "Cladonia chlorophaea", "Peltigera praetextata", "Rhizocarpon badioatrum", "Arthonia exilis", "Phaeophyscia nigricans", "Cladonia amaurocraea", "Cladonia pleurota", "Cladonia decorticata", "Buellia leptocline", "Caloplaca chlorina", "Buellia ocellata", "Arthonia caesia", "Lopadium disciforme", "Bacidia schweinitzii", "Buellia badia", "Bacidia suffusa", "Bryoria furcellata", "Cladonia floerkeana", "Cladonia carneola", "Physcia adscendens", "Micarea denigrata", "Mycoblastus alpinus", "Acrocordia conoidea", "Buellia disciformis", "Candelaria fibrosa", "Pannaria mariana", "Porina lectissima", "Sommeromys macrorhinos", "Hypogymnia rugosa", "Caloplaca atrosanguinea", "Cornicularia normoerica", "Bryoria fuscescens", "Bryoria pseudofuscescens", "Bryoria nadvornikiana", "Peltigera neopolydactyla", "Alectoria vancouverensis", "Peltigera britannica", "Aspicilia tenuis", "Aspicilia laxula", "Aspicilia fimbriata", "Aspicilia nordlandica", "Stereocaulon grande", "Aspicilia caesiopruinosa", "Aspicilia limitata", "Aspicilia alboradiata", "Aspicilia karelica", "Aspicilia ryrkaipiae", "Aspicilia subplicigera", "Aspicilia pergibbosa", "Dimelaena californica", "Caloplaca oblongula", "Leptogium furfuraceum", "Rhizoplaca marginalis", "Lecanora melaena", "Psora decipiens", "Rhizocarpon rittokense", "Diplotomma chlorophaeum", "Bacidia auerswaldii", "Adelolecia pilati", "Caloplaca livida", "Bacidia friesiana", "Rhizocarpon polycarpum", "Peltula richardsii", "Ramalina roesleri", "Bacidia rubella", "Menegazzia terebrata", "Alectoria ochroleuca", "Lecanora varia", "Sticta fuliginosa", "Ochrolechia androgyna", "Diplotomma alboatrum", "Physcia caesia", "Ramalina dilacerata", "Sticta canariensis", "Lobaria retigera", "Pyrenula nitidula", "Cetrelia alaskana", "Psora himalayana", "Arthopyrenia texensis", "Mycoblastus caesius", "Cetrelia chicitae", "Rhizocarpon concentricum", "Lecanora populicola", "Rhizoplaca melanophthalma", "Arthonia cinnabarina", "Lecanora brouardii", "Caloplaca montana", "Caloplaca rubrofusca", "Dermatocarpon saxicola", "Lepraria caesioalba", "Catapyrenium granulosum", "Leptogium laceroides", "Lepraria rigidula", "Peltula michoacanensis", "Bacidia brouardii", "Heterodermia squamulosa", "Phaeophyscia rubropulchra", "Bacidia laurocerasi", "Ramalina intermedia", "Cladonia macroceras", "Cladonia scabriuscula", "Diploicia canescens", "Massalongia carnosa", "Leptogium saturninum", "Candelaria concolor", "Pertusaria oculata", "Umbilicaria rigida", "Cetrelia cetrarioides", "Bryoria tenuis", "Stereocaulon groenlandicum", "Physcia aipolia", "Bryoria bicolor", "Thamnolia subuliformis", "Chaenotheca subroscida", "Ochrolechia bryophaga", "Physconia perisidiosa", "Heterodermia comosa", "Pyrenula santensis", "Lecanactis abietina", "Bacidia trachona", "Candelariella xanthostigma", "Staurothele areolata", "Lecanora horiza", "Lasallia papulosa", "Caloplaca rubelliana", "Diploschistes diacapsis", "Lecanora argentata", "Lecanora glabrata", "Phaeophyscia sciastra", "Leptogium rivulare", "Chaenotheca brunneola", "Parmeliella triptophylla", "Chaenotheca chlorella", "Chaenotheca stemonea", "Arthopyrenia cinchonae", "Arthopyrenia planorbis", "Dimelaena oreina", "Cladonia acuminata", "Umbilicaria arctica", "Ramalina thrausta", "Arthonia varia", "Peltigera membranacea", "Peltula radicata", "Pertusaria amara", "Pertusaria bryontha", "Pertusaria dactylina", "Lecanora granulifera", "Physcia albinea", "Physcia tribacia", "Hypogymnia enteromorpha", "Hypocenomyce friesii", "Hypogymnia vittata", "Physconia muscigena", "Peltula euploca", "Acrocordia cavata", "Lobaria linita", "Hypogymnia duplicata", "Imshaugia aleurites", "Imshaugia placorodia", "Cladonia bellidiflora", "Cladonia cenotea", "Gyalecta foveolaris", "Pertusaria glomerata", "Pertusaria hymenea", "Peltigera collina", "Cladonia cariosa", "Graphis striatula", "Anzia colpodes", "Leptorhaphis atomaria", "Leptorhaphis epidermidis", "Buellia aethalea", "Pilophorus acicularis", "Pilophorus cereolus", "Chaenotheca trichialis", "Chaenotheca brachypoda", "Platycercus elegans flaveolus", "Arthoniales incertae sedis", "Cyanoramphus erythrotis", "Acarospora caesiofusca", "Acarospora californica", "Acarospora canadensis", "Acarospora carnegiei", "Acarospora cervina", "Acarospora cinereoalba", "Acarospora citrina", "Acarospora clauzadeana", "Acarospora coloradiana", "Acarospora complanata", "Acarospora desolata", "Acarospora elevata", "Acarospora fuscata", "Acarospora fuscescens", "Acarospora gallica", "Acarospora geogena", "Acarospora glaucocarpa", "Acarospora heppii", "Acarospora heufleriana", "Acarospora hilaris", "Acarospora immersa", "Acarospora impressula", "Acarospora instrata", "Acarospora interjecta", "Acarospora interposita", "Acarospora interspersa", "Acarospora macrospora", "Acarospora molybdina", "Acarospora nevadensis", "Acarospora nigromarginata", "Acarospora nitida", "Acarospora nodulosa", "Acarospora obnubila", "Acarospora obpallens", "Acarospora oligospora", "Acarospora peliscypha", "Acarospora peltastica", "Acarospora pyrenopsoides", "Acarospora radicata", "Acarospora reagens", "Acarospora rugulosa", "Acarospora saepincola", "Acarospora schleicheri", "Acarospora scotica", "Acarospora sinopica", "Acarospora sparsa", "Acarospora stapfiana", "Acarospora strigata", "Acarospora succedens", "Acarospora superfusa", "Acarospora tenebrica", "Acarospora thamnina", "Acarospora thelococcoides", "Acarospora thermophila", "Acarospora tucsonensis", "Acarospora utahensis", "Acarospora veronensis", "Acarospora washingtonensis", "Clamator coromandus", "Clamator glandarius", "Clamator jacobinus", "Clamator levaillantii", "Pachycoccyx audeberti", "Cuculus canorus", "Cuculus clamosus", "Cuculus crassirostris", "Hierococcyx fugax", "Cuculus gularis", "Cuculus micropterus", "Cacomantis pallidus", "Cuculus poliocephalus", "Cuculus rochii", "Cuculus saturatus", "Cuculus solitarius", "Hierococcyx sparverioides", "Hierococcyx vagans", "Hierococcyx varius", "Urtica urens", "Brachythecium erythrorrhizon", "Brachythecium fendleri", "Brachythecium frigidum", "Brachythecium glaciale", "Brachythecium groenlandicum", "Brachythecium holzingeri", "Brachythecium hylotapetum", "Brachythecium leibergii", "Brachythecium mildeanum", "Brachythecium nelsonii", "Brachythecium oedipodium", "Brachythecium oxycladon", "Brachythecium plumosum", "Brachythecium populeum", "Brachythecium reflexum", "Brachythecium rivulare", "Brachythecium rotaeanum", "Brachythecium rutabulum", "Brachythecium salebrosum", "Brachythecium starkei", "Brachythecium ruderale", "Brachythecium trachypodium", "Brachythecium turgidum", "Brachythecium velutinum", "Braunia secunda", "Brothera leana", "Brotherella recurvans", "Brotherella roellii", "Bruchia bolanderi", "Bruchia brevifolia", "Bruchia carolinae", "Bruchia drummondii", "Bruchia flexuosa", "Bruchia fusca", "Bruchia hallii", "Bruchia ravenelii", "Bruchia texana", "Bruchia vogesiaca", "Bryhnia graminicolor", "Bryhnia hultenii", "Bryhnia novae-angliae", "Bryoandersonia illecebra", "Bryobrittonia longipes", "Bryocrumia vivicolor", "Bryoerythrophyllum columbianum", "Bryoerythrophyllum ferruginascens", "Bryoerythrophyllum inaequalifolium", "Bryoerythrophyllum recurvirostre", "Bellibarbula recurva", "Haplocladium angustifolium", "Haplocladium microphyllum", "Haplocladium virginianum", "Bryoxiphium norvegicum", "Bryum aeneum", "Bryum algovicum", "Bryum alpinum", "Bryum amblyodon", "Bryum apiculatum", "Bryum archangelicum", "Bryum arcticum", "Bryum argenteum", "Bryum axel-blyttii", "Rosulabryum billarderi", "Coscinodon cribrosus", "Cratoneuron filicinum", "Crossidium aberrans", "Crossidium crassinerve", "Crossidium rosei", "Crossidium seriatum", "Crossidium squamiferum", "Crumia deciduidentata", "Crumia latifolia", "Cryphaea filiformis", "Cryphaea glomerata", "Cryphaea nervosa", "Cryphaea ravenelii", "Ctenidium malacodes", "Ctenidium molluscum", "Ctenidium schofieldii", "Cyclodictyon varians", "Cnestrum alpestre", "Cnestrum glaucescens", "Cynodontium gracilescens", "Cynodontium jenneri", "Cynodontium polycarpon", "Cnestrum schisti", "Cynodontium strumiferum", "Cynodontium strumulosum", "Calliergon megalophyllum", "Calliergon orbiculare-cordatum", "Calliergon richardsonii", "Straminergon stramineum", "Pseudo-calliergon trifarium", "Calliergonella cuspidata", "Calymperes afzelii", "Calymperes erosum", "Calymperes palisotii", "Calymperes tenerum", "Campylium cardotii", "Campylium chrysophyllum", "Campylophyllum halleri", "Campylium hispidulum", "Campyliadelphus polygamus", "Campylium radicale", "Campyliadelphus stellatus", "Campylopodiella stenocarpa", "Campylopus angustiretis", "Campylopus arctocarpus", "Campylopus atrovirens", "Campylopus schmidii", "Campylopus carolinae", "Campylopus flexuosus", "Campylopus fragilis", "Campylopus introflexus", "Campylopus oerstedianus", "Campylopus pilifer", "Campylopus pyriformis", "Campylopus schimperi", "Campylopus gracilis", "Campylopus subulatus", "Campylopus surinamensis", "Campylopus tallulensis", "Campylopus zygodonticarpus", "Campylostelium saxicola", "Catoscopium nigritum", "Ceratodon purpureus", "Ceratodon conicus", "Chryso-hypnum diminutivum", "Cinclidium arcticum", "Cinclidium latifolium", "Cinclidium stygium", "Cinclidium subrotundum", "Cirriphyllum brandegeei", "Cirriphyllum cirrosum", "Cirriphyllum piliferum", "Claopodium bolanderi", "Claopodium crispifolium", "Claopodium pellucinerve", "Claopodium whippleanum", "Clasmatodon parvulus", "Climacium americanum", "Climacium dendroides", "Conardia compacta", "Conostomum tetragonum", "Coscinodon arctolimnius", "Coscinodon calyptratus", "Archidium hallii", "Archidium minus", "Archidium ohioense", "Archidium tenerrimum", "Arctoa anderssonii", "Arctoa fulvella", "Aschisma kansanum", "Weissia ludoviciana", "Weissia muhlenbergiana", "Weissia occidentalis", "Weissia rostellata", "Atrichum altecristatum", "Atrichum angustatum", "Atrichum crispum", "Atrichum cylindricum", "Atrichum undulatum var. haussknechtii", "Atrichum oerstedianum", "Atrichum selwynii", "Atrichum tenellum", "Atrichum undulatum", "Aulacomnium acuminatum", "Aulacomnium androgynum", "Aulacomnium heterostichum", "Aulacomnium palustre", "Aulacomnium turgidum", "Neodicladiella pendula", "Hyophiladelphus agrarius", "Barbula amplexifolia", "Barbula convoluta", "Barbula coreensis", "Barbula ehrenbergii", "Barbula convoluta var. eustegia", "Barbula indica", "Barbula unguiculata", "Bartramia potosica", "Bartramia halleriana", "Bartramia ithyphylla", "Bartramia microstoma", "Bartramia pomiformis", "Bartramia stricta", "Bartramia subulata", "Philonotis cernua", "Bartramiopsis lescurii", "Bestia longipes", "Blindia acuta", "Brachelyma subulatum", "Brachydontium olympicum", "Brachydontium trichodes", "Brachymenium andersonii", "Brachymenium erectum", "Brachymenium klotzschii", "Brachymenium speciosum", "Brachymenium systylium", "Brachythecium acuminatum", "Brachythecium acutum", "Brachythecium albicans", "Brachythecium biventrosum", "Brachythecium bolanderi", "Brachythecium calcareum", "Brachythecium campestre", "Brachythecium collinum", "Brachythecium delicatulum", "Brachythecium digastrum", "Bryum blindii", "Bryum bornholmense", "Bryum brachyneuron", "Bryum caespiticium", "Bryum calobryoides", "Bryum calophyllum", "Bryum canariense", "Bryum coronatum", "Bryum curvatum", "Bryum cyclophyllum", "Bryum dichotomum", "Bryum erythroloma", "Bryum flaccidum", "Bryum gemmascens", "Bryum gemmilucens", "Bryum gemmiparum", "Bryum hagenii", "Bryum incrassatolimbatum", "Bryum klinggraeffii", "Bryum knowltonii", "Bryum creberrimum", "Bryum lonchocaulon", "Bryum longisetum", "Bryum marratii", "Bryum meesioides", "Bryum microchaeton", "Bryum miniatum", "Bryum muehlenbeckii", "Bryum nitidulum", "Bryum oblongum", "Bryum pallens", "Bryum pallescens", "Bryum pseudocapillare", "Bryum pseudotriquetrum", "Bryum purpurascens", "Bryum valparaisense", "Bryum radiculosum", "Bryum reedii", "Bryum riparium", "Bryum rubens", "Bryum ruderale", "Bryum rutilans", "Bryum salinum", "Bryum schleicheri", "Bryum stirtonii", "Bryum subapiculatum", "Bryum subneodamense", "Bryum tenuisetum", "Bryum teres", "Bryum turbinatum", "Bryum uliginosum", "Bryum violaceum", "Bryum warneum", "Bryum weigelii", "Bryum wrightii", "Buxbaumia aphylla", "Buxbaumia minakatae", "Buxbaumia piperi", "Buxbaumia viridis", "Callicladium haldanianum", "Callicostella pallida", "Calliergon cordifolium", "Calliergon giganteum", "Verrucariales incerta sedis", "Phaeoceros donnelli", "Anthoceros fusiformis", "Anthoceros macounii", "Anthoceros punctatus", "Notothylas breutelii", "Notothylas orbicularis", "Phaeoceros carolinianus", "Paraphymatoceros hallii", "Phaeoceros laevis", "Phaeoceros pearsonii", "Acaulon muticum", "Acroporium smallii", "Aloina aloides", "Aloina bifrons", "Aloina brevirostris", "Aloina hamulus", "Aloina rigida", "Amblyodon dealbatus", "Amblystegium serpens", "Amblystegium varium", "Amphidium californicum", "Amphidium lapponicum", "Amphidium mougeotii", "Anacamptodon splachnoides", "Anacolia laevisphaera", "Anacolia menziesii", "Andreaea alpestris", "Andreaea blyttii", "Andreaea crassinervia", "Andreaea heinemannii", "Andreaea megistospora", "Andreaea mutabilis", "Andreaea nivalis", "Andreaea obovata", "Andreaea rothii", "Andreaea rupestris", "Andreaea schofieldiana", "Andreaea sinuosa", "Andreaeobryum macrosporum", "Anoectangium aestivum", "Anomobryum julaceum", "Anomobryum leptostomoides", "Anomodon attenuatus", "Anomodon minor", "Anomodon rostratus", "Anomodon rugelii", "Anomodon viticulosus", "Antitrichia californica", "Antitrichia curtipendula", "Aongstroemia longipes", "Aphanorrhegma serratum", "Aplodon wormskjoldii", "Archidium alternifolium", "Archidium donnellii", "Gardenia jasminoides", "Gardenia carinata", "Gardenia cornuta", "Gardenia latifolia", "Gardenia mannii", "Gardenia philastrei", "Gardenia posoquerioides", "Ophiocordyceps sinensis", "Gardenia brighamii", "Gardenia pseudopsidium", "Gardenia resinifera", "Gardenia sootepensis", "Gardenia volkensii subsp. spatulifolia", "Gardenia taitensis", "Gardenia ternifolia", "Gardenia thunbergia", "Gardenia tubifera", "Leotiomycetes genus incertae sedis", "Entosthodon rubiginosus", "Entosthodon rubrisetus", "Entosthodon sonorae", "Entosthodon tucsoni", "Entosthodon wigginsii", "Ephemerum cohaerens", "Ephemerum spinulosum", "Epipterygium tozeri", "Erpodium acrifolium", "Erpodium domingense", "Eucladium verticillatum", "Eurhynchium hians", "Eurhynchium oreganum", "Eurhynchium praelongum", "Fabronia ciliaris", "Fabronia pusilla", "Fissidens adianthoides", "Fissidens santa-clarensis", "Fissidens aphelotaxifolius", "Fissidens appalachensis", "Fissidens arcticus", "Fissidens asplenioides", "Fissidens bryoides", "Fissidens bushii", "Fissidens clebschii", "Fissidens closteri", "Fissidens dubius", "Fissidens exilis", "Fissidens fontanus", "Fissidens grandifrons", "Fissidens hallianus", "Fissidens hallii", "Fissidens hyalinus", "Fissidens submarginatus", "Fissidens crispus", "Fissidens littlei", "Fissidens gardneri", "Fissidens curvatus", "Fissidens neonii", "Fissidens obtusifolius", "Fissidens osmundioides", "Fissidens serratus", "Fissidens pauperculus", "Fissidens pellucidus", "Fissidens polypodioides", "Fissidens elegans", "Fissidens leptophyllus", "Fissidens subbasilaris", "Fissidens sublimbatus", "Fissidens taxifolius", "Fissidens ventricosus", "Fissidens zollingeri", "Fontinalis antipyretica", "Fontinalis dalecarlica", "Fontinalis flaccida", "Fontinalis hypnoides", "Fontinalis mac-millanii", "Fontinalis missourica", "Fontinalis neomexicana", "Fontinalis novae-angliae", "Fontinalis sphagnifolia", "Hypopterygium tamarisci", "Indusiella thianschanica", "Isopterygiopsis alpicola", "Isopterygiopsis muelleriana", "Isopterygiopsis pulchella", "Isopterygium tenerum", "Isothecium alopecuroides", "Isothecium cristatum", "Isothecium myosuroides", "Isothecium obtusatulum", "Iwatsukiella leucotricha", "Jaegerina scariosa", "Jaffueliobryum raui", "Jaffueliobryum wrightii", "Kiaeria blyttii", "Kiaeria falcata", "Kiaeria glacialis", "Kiaeria starkei", "Lepidopilum polytrichoides", "Leptobryum pyriforme", "Leptodon smithii", "Leptodontium viticulosoides", "Leptodontium flexifolium", "Leptohymenium sharpii", "Leptopterigynandrum austro-alpinum", "Lescuraea arizonae", "Lescuraea saxicola", "Leskea australis", "Leskea gracilescens", "Leskea obscura", "Leskea polycarpa", "Leskeella nervosa", "Leucobryum albidum", "Leucobryum antillarum", "Leucobryum glaucum", "Leucodon brachypus", "Leucodon julaceus", "Leucolepis acanthoneuron", "Limbella fryei", "Verbena bangiana", "Verbena berterii", "Verbena bonariensis", "Verbena bracteata", "Verbena brasiliensis", "Verbena californica", "Verbena campestris", "Verbena canescens", "Verbena caniuensis", "Verbena carnea", "Verbena carolina", "Verbena carollata", "Verbena catamarcensis", "Verbena catharinae", "Verbena chacensis", "Verbena clavata", "Verbena cloverae", "Fontinalis sullivantii", "Fontinalis welchiana", "Forsstroemia producta", "Forsstroemia trichomitria", "Entosthodon americanus", "Entosthodon apiculatopilosus", "Funaria arctica", "Funaria flavicans", "Funaria groutiana", "Funaria hygrometrica", "Funaria microstoma", "Entosthodon muhlenbergii", "Funaria polaris", "Entosthodon serratus", "Didymodon giganteus", "Globulinella globifera", "Gollania turgens", "Grimmia fuscolutea", "Grimmia americana", "Grimmia anodon", "Grimmia anomala", "Grimmia atrata", "Grimmia brevirostris", "Grimmia brittoniae", "Grimmia donniana", "Grimmia elatior", "Grimmia elongata", "Grimmia funalis", "Grimmia hamulosa", "Grimmia hartmanii", "Grimmia incurva", "Grimmia laevigata", "Grimmia mariniana", "Grimmia mollis", "Grimmia montana", "Grimmia moxleyi", "Grimmia olneyi", "Grimmia ovalis", "Grimmia pilifera", "Grimmia plagiopodia", "Grimmia poecilostoma", "Grimmia pulvinata", "Grimmia alpestris", "Grimmia teretinervis", "Grimmia torngakiana", "Grimmia torquata", "Grimmia trichophylla", "Grimmia unicolor", "Groutiella tomentosa", "Groutiella tumidula", "Gymnostomiella vernicosa", "Gymnostomum aeruginosum", "Gymnostomum calcareum", "Gyroweisia reflexa", "Gyroweisia tenuis", "Hamatocaulis lapponicus", "Hamatocaulis vernicosus", "Anomodon tristis", "Hedwigia ciliata", "Helodium blandowii", "Helodium paludosum", "Didymodon tophaceus", "Didymodon vinealis", "Diphyscium cumberlandianum", "Diphyscium foliosum", "Discelium nudum", "Distichium capillaceum", "Distichium hagenii", "Distichium inclinatum", "Ditrichum ambiguum", "Ditrichum flexicaule", "Ditrichum heteromallum", "Ditrichum lineare", "Ditrichum montanum", "Ditrichum pallidum", "Ditrichum pusillum", "Ditrichum rhynchostegium", "Ditrichum schimperi", "Ditrichum zonatum", "Donnellia commutata", "Donrichardsia macroneuron", "Drepanocladus aduncus", "Pseudo-calliergon brevifolium", "Drepanocladus longifolius", "Drepanocladus sendtneri", "Drummondia prorepens", "Dryptodon patens", "Eccremidium floridanum", "Encalypta affinis", "Encalypta alpina", "Encalypta brevicollis", "Encalypta brevipes", "Encalypta ciliata", "Encalypta flowersiana", "Encalypta intermedia", "Encalypta longicollis", "Encalypta microstoma", "Encalypta mutica", "Encalypta procera", "Encalypta rhaptocarpa", "Encalypta sibirica", "Encalypta spathulata", "Encalypta vittiana", "Encalypta vulgaris", "Entodon beyrichii", "Entodon brevisetus", "Entodon cladorrhizans", "Entodon compressus", "Entodon hampeanus", "Entodon macropodus", "Entodon schleicheri", "Entodon seductrix", "Entodon sullivantii", "Entodontopsis leucostega", "Entosthodon attenuatus", "Entosthodon bolanderi", "Entosthodon californicus", "Entosthodon drummondii", "Entosthodon fascicularis", "Entosthodon kochii", "Entosthodon planoconvexus", "Cladonia parasitica", "Physcia dubia", "Lasallia pensylvanica", "Phaeophyscia ciliata", "Candelariella vitellina", "Caloplaca saxicola", "Lecanora polytropa", "Xanthoria polycarpa", "Parmeliella corallinoides", "Candelariella aurella", "Leptogium byssinum", "Ramalina inflata", "Sticta sylvatica", "Peltigera horizontalis", "Collema nigrescens", "Placynthium nigrum", "Baeomyces rufus", "Sphaerophorus globosus", "Caloplaca herbidella", "Lepraria crassissima", "Lepraria lesdainii", "Platismatia herrei", "Micarea nitschkeana", "Aspicilia concinna", "Cladonia botrytes", "Phaeophyscia decolor", "Bacidia russeola", "Micarea elachista", "Dermatocarpon intestiniforme", "Diplotomma venustum", "Phaeophyscia endococcina", "Candelariella arctica", "Rhizocarpon copelandii", "Caloplaca nivalis", "Caloplaca obscurella", "Bacidia biatorina", "Rhizocarpon hochstetteri", "Lecanora garovaglioi", "Hypogymnia subphysodes", "Catapyrenium daedaleum", "Peltula clavata", "Diploschistes candidissimus", "Ochrolechia arborea", "Hypogymnia inactiva", "Bacidia pallens", "Heterodermia tropica", "Henicodium geniculatum", "Herzogiella adscendens", "Herzogiella seligeri", "Herzogiella striatella", "Herzogiella turfacea", "Heterocladium dimorphum", "Heterocladium macounii", "Heterocladium procurrens", "Heterophyllium affine", "Homalia trichomanoides", "Homaliadelphus sharpii", "Homalotheciella subcapillata", "Homalothecium arenarium", "Homalothecium nevadense", "Homalothecium nuttallii", "Homalothecium aureum", "Homalothecium sericeum", "Homomallium adnatum", "Homomallium incurvatum", "Homomallium mexicanum", "Hookeria acutifolia", "Hookeria lucens", "Hygroamblystegium fluviatile", "Hygroamblystegium noterophilum", "Hygroamblystegium tenax", "Hygrohypnum alpestre", "Hygrohypnum alpinum", "Hygrohypnum bestii", "Hygrohypnum cochlearifolium", "Hygrohypnum duriusculum", "Hygrohypnum eugyrium", "Hageniella micans", "Hygrohypnum molle", "Hygrohypnum montanum", "Hygrohypnum norvegicum", "Hygrohypnum ochraceum", "Hygrohypnum polare", "Hygrohypnum smithii", "Hygrohypnum styriacum", "Hygrohypnum subeugyrium", "Hylocomiastrum pyrenaicum", "Hylocomiastrum umbratum", "Hymenostylium recurvirostre", "Hyophila involuta", "Hypnum bambergeri", "Hypnum callichroum", "Hypnum circinale", "Hypnum cupressiforme", "Hypnum curvifolium", "Hypnum dieckii", "Hypnum fertile", "Hypnum andoi", "Hypnum pallescens", "Hypnum plicatulum", "Hypnum pratense", "Hypnum procerrimum", "Hypnum recurvatum", "Hypnum revolutum", "Hypnum subimponens", "Hypnum vaucheri", "Tortula obtusifolia", "Tortula systylia", "Dichelyma capillaceum", "Dichelyma falcatum", "Dichelyma pallescens", "Dichelyma uncinatum", "Dichodontium olympicum", "Dicranella cerviculata", "Dicranella crispa", "Anisothecium grevilleanum", "Dicranella heteromalla", "Dicranella hilariana", "Dicranella howei", "Dicranella lindigiana", "Dicranella pacifica", "Anisothecium palustre", "Dicranella rufescens", "Anisothecium schreberianum", "Dicranella stickinensis", "Dicranella subulata", "Anisothecium varium", "Dicranodontium asperulum", "Dicranodontium denudatum", "Dicranodontium uncinatum", "Dicranoweisia cirrata", "Dicranoweisia crispula", "Dicranum acutifolium", "Dicranum bonjeanii", "Dicranum brevifolium", "Dicranum condensatum", "Dicranum elongatum", "Dicranum flagellare", "Dicranum fragilifolium", "Dicranum fulvum", "Dicranum fuscescens", "Dicranum groenlandicum", "Dicranum howellii", "Dicranum leioneuron", "Dicranum majus", "Dicranum montanum", "Dicranum muehlenbeckii", "Dicranum ontariense", "Dicranum pallidisetum", "Dicranum polysetum", "Dicranum rhabdocarpum", "Dicranum scoparium", "Dicranum spadiceum", "Dicranum spurium", "Dicranum tauricum", "Dicranum undulatum", "Dicranum viride", "Didymodon asperifolius", "Didymodon fallax", "Didymodon johansenii", "Didymodon leskeoides", "Didymodon maximus", "Didymodon michiganensis", "Didymodon perobtusus", "Didymodon brachyphyllus", "Didymodon revolutus", "Didymodon rigidulus", "Didymodon subandreaeoides", "Lecanoromycetes incertae sedis", "Heterodermia pseudospeciosa", "Heterodermia microphylla", "Heterodermia rugulosa", "Ochrolechia tartarea", "Ochrolechia upsaliensis", "Ramalina fraxinea", "Solorina crocea", "Solorina saccata", "Lepraria incana", "Ramalina farinacea", "Nephroma resupinatum", "Umbilicaria vellea", "Graphis scripta", "Evernia divaricata", "Evernia prunastri", "Parmelia omphalodes", "Parmelia saxatilis", "Umbilicaria polyphylla", "Umbilicaria deusta", "Pseudephebe pubescens", "Platismatia glauca", "Rhizocarpon geographicum", "Umbilicaria cylindrica", "Usnea hirta", "Cladonia uncialis", "Usnea florida", "Ramalina calicaris", "Cladonia fimbriata", "Umbilicaria polyrrhiza", "Cladonia pyxidata", "Cladonia deformis", "Peltigera venosa", "Cladonia digitata", "Lobaria pulmonaria", "Stereocaulon paschale", "Letharia vulpina", "Chrysothrix candelaris", "Aspicilia cinerea", "Placopsis gelida", "Lasallia pustulata", "Leptogium burgessii", "Barnardius zonarius barnardi", "Barnardius zonarius", "Taphrinomycetes incertae sedis", "Verbena alata", "Verbena andalgalensis", "Verbena atacamensis", "Verbena australis", "Verbena balansae", "Cyrto-hypnum involvens", "Cyrto-hypnum minutulum", "Cyrto-hypnum pygmaeum", "Cyrto-hypnum schistocalyx", "Cyrtomnium hymenophylloides", "Cyrtomnium hymenophyllum", "Daltonia splachnoides", "Dendroalsia abietina", "Tortula atrovirens", "Hennediella heimii", "Tortula eucalyptrata", "Tortula laureri", "Tortula porteri", "Tortula randii", "Cannabis sativa var. ruderalis", "Tortula cernua", "Tortula guepinii", "Desmatodon leucostoma", "Verbena cochabambensis", "Verbena concepcionis", "Verbena corymbosa", "Verbena cumingii", "Verbena cuneifolia", "Verbena delicatula", "Verbena demissa", "Verbena dusenii", "Verbena ehrenbergiana", "Verbena ephedroides", "Verbena fasciculata", "Verbena ferreyrae", "Verbena filicaulis", "Verbena gentryi", "Verbena glabrata", "Verbena glutinosa", "Verbena goyazensis", "Verbena gracilescens", "Verbena gracilis", "Verbena grisea", "Verbena gynobasis", "Verbena hastata", "Verbena hatschbachi", "Verbena hayekii", "Verbena hintonii", "Verbena hirta", "Apis mellifera caucasica", "Apis mellifera cecropia", "Apis mellifera cypria", "Apis mellifera intermissa", "Apis mellifera lamarckii", "Apis mellifera litorea", "Apis mellifera macedonica", "Apis mellifera major", "Apis mellifera meda", "Apis mellifera monticola", "Apis mellifera nubica", "Apis mellifera pomonella", "Apis mellifera remipes", "Apis mellifera ruttneri", "Apis mellifera sahariensis", "Apis mellifera scutellata", "Apis mellifera sicula", "Apis mellifera syriaca", "Apis mellifera unicolor", "Apis mellifera yemenitica", "Apis cerana", "Apis andreniformis", "Apis dorsata", "Verbena hispida", "Verbena imbricata", "Verbena inamoena", "Verbena intermedia", "Verbena johnstonii", "Verbena jordanensis", "Verbena kuhlmannii", "Verbena landbeckii", "Verbena lasiostachys", "Verbena lindbergi", "Verbena lindmanii", "Verbena litoralis", "Verbena lobata", "Verbena longifolia", "Verbena lucanensis", "Verbena macdougalii", "Verbena macrodonta", "Verbena malmii", "Verbena menthifolia", "Verbena minutiflora", "Verbena montevidensis", "Verbena monticola", "Verbena multiglandulosa", "Verbena neo-mexicana", "Verbena nivea", "Verbena occulta", "Verbena officinalis", "Verbena orcuttiana", "Verbena ovata", "Verbena paraguariensis", "Verbena paranensis", "Verbena parvula", "Verbena paulensis", "Verbena paulsenii", "Verbena pedicellata", "Verbena perennis", "Verbena pinetorum", "Verbena plicata", "Verbena polycephala", "Verbena porrigens", "Verbena pseudojuncea", "Verbena ramboi", "Verbena ramulosa", "Verbena recta", "Verbena rectiloba", "Verbena regnelliana", "Verbena reineckii", "Verbena reitzii", "Verbena ribifolia", "Verbena rigida", "Verbena riparia", "Verbena robusta", "Verbena runyonii", "Verbena russellii", "Verbena scabra", "Verbena scabrella", "Verbena sedula", "Verbena simplex", "Verbena spartioides", "Verbena sphaerocarpa", "Verbena storeoclada", "Verbena stricta", "Verbena strigosa", "Verbena subuligera", "Verbena supina", "Verbena swiftiana", "Verbena tecticaulis", "Verbena tessmannii", "Verbena thymoides", "Verbena tomophylla", "Verbena townsendii", "Verbena trachea", "Verbena trifida", "Verbena triternata", "Verbena urticifolia", "Verbena valerianoides", "Verbena variabilis", "Verbena villifolia", "Verbena weberbaueri", "Verbena xutha", "Apis mellifera", "Apis mellifera ligustica", "Apis mellifera mellifera", "Apis mellifera iberica", "Apis mellifera carnica", "Limprichtia cossonii", "Limprichtia revolvens", "Lindbergia brachyptera", "Ambuchanania leucobryoides", "Loeskeobryum brevirostre", "Orthothecium rufescens", "Orthothecium strictum", "Orthotrichum affine", "Orthotrichum alpestre", "Orthotrichum anomalum", "Orthotrichum bartramii", "Orthotrichum bolanderi", "Orthotrichum consimile", "Orthotrichum cupulatum", "Orthotrichum diaphanum", "Orthotrichum euryphyllum", "Orthotrichum exiguum", "Orthotrichum fenestratum", "Orthotrichum flowersii", "Orthotrichum gymnostomum", "Orthotrichum hallii", "Orthotrichum holzingeri", "Orthotrichum keeverae", "Orthotrichum laevigatum", "Orthotrichum lyellii", "Orthotrichum obtusifolium", "Orthotrichum ohioense", "Orthotrichum pallens", "Orthotrichum pellucidum", "Orthotrichum praemorsum", "Orthotrichum pulchellum", "Orthotrichum pumilum", "Orthotrichum pusillum", "Orthotrichum pycnophyllum", "Orthotrichum pylaisii", "Orthotrichum rivulare", "Orthotrichum rupestre", "Orthotrichum sordidum", "Orthotrichum speciosum", "Orthotrichum stellatum", "Orthotrichum stramineum", "Orthotrichum strangulatum", "Orthotrichum striatum", "Orthotrichum tenellum", "Trichostomum spirale", "Trichostomum tenuirostre", "Palamocladium leskeoides", "Paludella squarrosa", "Palustriella commutata", "Palustriella decipiens", "Meteorium nigrescens", "Trichostomum recurvifolium", "Paraleucobryum enerve", "Paraleucobryum longifolium", "Tortula acaulon", "Microbryum floerkeanum", "Stegonia hyalinotrichum", "Microbryum vlassovii", "Philonotis capillaris", "Philonotis fontana", "Philonotis glaucescens", "Philonotis longiseta", "Philonotis marchica", "Philonotis muehlenbergii", "Loeskypnum badium", "Loeskypnum wickesiae", "Lorentziella imbricata", "Luisierella barbula", "Lyellia aspera", "Macrocoma sullivantii", "Macromitrium richardii", "Meesia longiseta", "Meesia triquetra", "Meesia uliginosa", "Metaneckera menziesii", "Micromitrium megalosporum", "Micromitrium synoicum", "Micromitrium tenerum", "Micromitrium wrightii", "Mielichhoferia macrocarpa", "Mielichhoferia mielichhoferiana", "Mielichhoferia tehamensis", "Mnium ambiguum", "Mnium arizonicum", "Mnium blyttii", "Mnium hornum", "Mnium marginatum", "Mnium spinosum", "Mnium spinulosum", "Mnium stellare", "Mnium thomsonii", "Molendoa hornschuchiana", "Molendoa sendtneriana", "Myrinia pulvinata", "Myurella julacea", "Myurella sibirica", "Myurella tenerrima", "Myuroclada maximowiczii", "Neckera complanata", "Neckera douglasii", "Neckera pennata", "Neckeropsis undulata", "Plaubelia sprengelii", "Neomacounia nitida", "Octoblepharum albidum", "Oedipodium griffithianum", "Oligotrichum aligerum", "Oligotrichum falcatum", "Oligotrichum hercynicum", "Oligotrichum parallelum", "Oncophorus raui", "Oncophorus virens", "Oncophorus wahlenbergii", "Oreas martiana", "Orthodontium gracile", "Orthodontium pellucens", "Orthothecium acuminatum", "Orthothecium chryseum", "Orthothecium diminutivum", "Orthothecium intricatum", "Philonotis sphaerocarpa", "Philonotis uncinata", "Philonotis yezoana", "Physcomitrella patens", "Physcomitrella readeri", "Physcomitrium collenchymatum", "Physcomitrium hookeri", "Physcomitrium immersum", "Physcomitrium pyriforme", "Pireella pohlii", "Plagiobryum demissum", "Plagiomnium carolinianum", "Plagiomnium cuspidatum", "Plagiomnium drummondii", "Plagiomnium ellipticum", "Plagiomnium insigne", "Plagiomnium medium", "Plagiomnium rostratum", "Plagiomnium venustum", "Plagiopus oederianus", "Plagiothecium berggrenianum", "Plagiothecium cavifolium", "Plagiothecium denticulatum", "Plagiothecium laetum", "Plagiothecium latebricola", "Plagiothecium piliferum", "Plagiothecium undulatum", "Platydictya confervoides", "Platydictya jungermannioides", "Platydictya minutissima", "Platydictya subtilis", "Platygyrium fuscoluteum", "Platygyrium repens", "Platyhypnidium riparioides", "Platylomella lescurii", "Pleuridium californicum", "Cleistocarpidium palustre", "Pleuridium ravenelii", "Pleuridium subulatum", "Pleuridium sullivantii", "Pleurochaete squarrosa", "Pleuroziopsis ruthenica", "Pleurozium schreberi", "Pogonatum brachyphyllum", "Pogonatum contortum", "Pogonatum dentatum", "Pogonatum pensilvanicum", "Pogonatum urnigerum", "Pohlia andalusica", "Pohlia andrewsii", "Pohlia annotina", "Pohlia beringiensis", "Pohlia bolanderi", "Pohlia brevinervis", "Pohlia bulbifera", "Pohlia camptotrachela", "Pohlia cardotii", "Pohlia columbica", "Pohlia cruda", "Pohlia crudoides", "Pohlia drummondii", "Pohlia elongata", "Apis mellifera adamii", "Apis mellifera adamsonii", "Apis mellifera anatoliaca", "Apis mellifera armeniaca", "Apis mellifera capensis", "Psilopilum cavifolium", "Psilopilum laevigatum", "Pterogonium gracile", "Pterygoneurum californicum", "Pterygoneurum kozlovii", "Pterygoneurum lamellatum", "Pterygoneurum ovatum", "Pterygoneurum subsessile", "Ptilium crista-castrensis", "Ptychomitrium drummondii", "Ptychomitrium gardneri", "Ptychomitrium incurvum", "Ptychomitrium leibergii", "Ptychomitrium serratum", "Pylaisiella intricata", "Pylaisiella polyantha", "Pylaisiella selwynii", "Pylaisiella steerei", "Pyramidula tetragona", "Pyrrhobryum spiniforme", "Racomitrium aciculare", "Racomitrium affine", "Racomitrium aquaticum", "Racomitrium brevipes", "Racomitrium brevisetum", "Racomitrium canescens", "Racomitrium depressum", "Racomitrium elongatum", "Racomitrium ericoides", "Racomitrium fasciculare", "Racomitrium microcarpon", "Racomitrium muticum", "Racomitrium obesum", "Racomitrium occidentale", "Racomitrium pacificum", "Racomitrium panschii", "Racomitrium pygmaeum", "Racomitrium sudeticum", "Racomitrium varium", "Racomitrium venustum", "Racopilum tomentosum", "Rauiella praelonga", "Rauiella scita", "Rhabdoweisia crenulata", "Rhabdoweisia crispata", "Rhachithecium perpusillum", "Rhexophyllum subnigrum", "Rhizomnium andrewsianum", "Rhizomnium appalachianum", "Rhizomnium glabrescens", "Rhizomnium gracile", "Rhizomnium magnifolium", "Rhizomnium nudum", "Rhizomnium pseudopunctatum", "Rhizomnium punctatum", "Rhodobryum ontariense", "Rhodobryum roseum", "Rhytidiadelphus loreus", "Rhytidiadelphus squarrosus", "Rhytidiadelphus triquetrus", "Rhytidiopsis robusta", "Rhytidium rugosum", "Roellia roellii", "Saelania glaucescens", "Pohlia erecta", "Pohlia filum", "Pohlia lescuriana", "Pohlia longibracteata", "Pohlia longicolla", "Pohlia ludwigii", "Pohlia melanodon", "Pohlia nutans", "Pohlia obtusifolia", "Pohlia pacifica", "Pohlia proligera", "Pohlia sphagnicola", "Pohlia tundrae", "Pohlia vexans", "Pohlia wahlenbergii", "Polytrichastrum alpinum", "Polytrichastrum appalachianum", "Polytrichum commune", "Polytrichastrum formosum", "Polytrichum hyperboreum", "Polytrichum juniperinum", "Polytrichastrum longisetum", "Meiotrichum lyallii", "Polytrichastrum ohioense", "Polytrichastrum pallidisetum", "Polytrichastrum papillatum", "Polytrichum piliferum", "Polytrichastrum sexangulare", "Polytrichum strictum", "Polytrichum swartzii", "Porothamnium bigelovii", "Bryolawtonia vancouveriensis", "Microbryum starkeanum", "Pottia bryoides", "Microbryum davallianum", "Tortula truncata", "Pottia lanceolata", "Tortula nevadensis", "Pseudephemerum nitidum", "Pseudobraunia californica", "Pseudobryum cinclidioides", "Pseudo-calliergon turgescens", "Pseudocrossidium crinitum", "Pseudocrossidium hornschuchianum", "Pseudocrossidium obtusulum", "Pseudocrossidium replicatum", "Pseudocrossidium revolutum", "Pseudocryphaea domingensis", "Pseudoditrichum mirabile", "Pseudoleskea atricha", "Pseudoleskea baileyi", "Pseudoleskea incurvata", "Pseudoleskea julacea", "Pseudoleskea patens", "Pseudoleskea radicosa", "Pseudoleskea saviana", "Pseudoleskea stenophylla", "Pseudoleskeella serpentinensis", "Pseudoleskeella rupestris", "Pseudoleskeella tectorum", "Pseudoscleropodium purum", "Pseudotaxiphyllum distichaceum", "Pseudotaxiphyllum elegans", "Pseudotaxiphyllum homomallifolium", "Sphagnum fitzgeraldii", "Sphagnum flavicomans", "Sphagnum flexuosum", "Sphagnum fuscum", "Sphagnum girgensohnii", "Sphagnum henryense", "Sphagnum inundatum", "Sphagnum jensenii", "Sphagnum junghuhnianum", "Sphagnum lenense", "Sphagnum lindbergii", "Sphagnum macrophyllum", "Sphagnum magellanicum", "Sphagnum majus", "Sphagnum mendocinum", "Sphagnum mississippiense", "Sphagnum molle", "Sphagnum nitidum", "Sphagnum obtusum", "Sphagnum orientale", "Sphagnum pacificum", "Sphagnum palustre", "Sphagnum papillosum", "Sphagnum perichaetiale", "Sphagnum platyphyllum", "Sphagnum portoricense", "Sphagnum pulchrum", "Sphagnum pylaesii", "Sphagnum quinquefarium", "Sphagnum recurvum", "Sphagnum riparium", "Sphagnum rubellum", "Sphagnum rubroflexuosum", "Sphagnum russowii", "Sphagnum schofieldii", "Sphagnum splendens", "Sphagnum squarrosum", "Sanionia orthothecioides", "Sanionia uncinata", "Warnstorfia sarmentosa", "Schistidium alpicola", "Schistidium andreaeopsis", "Schistidium apocarpum", "Schistidium cinclidodonteum", "Schistidium heterophyllum", "Schistidium maritimum", "Schistidium obtusifolium", "Schistidium occidentale", "Schistidium flaccidum", "Schistidium rivulare", "Schistidium tenerum", "Schistidium trichodon", "Schistostega pennata", "Schlotheimia lancifolia", "Schlotheimia rugifolia", "Schwetschkeopsis fabronia", "Scleropodium californicum", "Scleropodium cespitans", "Scleropodium julaceum", "Scleropodium obtusifolium", "Scleropodium touretii", "Scorpidium scorpioides", "Scouleria aquatica", "Scouleria marginata", "Seligeria acutifolia", "Seligeria brevifolia", "Seligeria calcarea", "Seligeria campylopoda", "Seligeria careyana", "Seligeria diversifolia", "Seligeria donniana", "Seligeria oelandica", "Seligeria polaris", "Seligeria pusilla", "Seligeria recurvata", "Seligeria subimmersa", "Seligeria tristichoides", "Sematophyllum adnatum", "Sematophyllum demissum", "Sematophyllum marylandicum", "Sematophyllum subpinnatum", "Sphagnum affine", "Sphagnum andersonianum", "Sphagnum angermanicum", "Sphagnum angustifolium", "Sphagnum annulatum", "Sphagnum aongstroemii", "Sphagnum arcticum", "Sphagnum austinii", "Sphagnum balticum", "Sphagnum bartlettianum", "Sphagnum capillifolium", "Sphagnum carolinianum", "Sphagnum centrale", "Sphagnum compactum", "Sphagnum contortum", "Sphagnum cuspidatum", "Sphagnum cyclophyllum", "Sphagnum denticulatum", "Sphagnum fallax", "Sphagnum fimbriatum", "Lantana camara", "Lantana horrida", "Lantana indica", "Lantana involucrata", "Lantana montevidensis", "Lantana ovatifolia", "Lantana scabiosiflora", "Lantana trifolia", "Lantana ukambensis", "Lantana velutina", "Sphagnum subnitens", "Sphagnum subobesum", "Sphagnum subsecundum", "Sphagnum subtile", "Sphagnum tenellum", "Sphagnum tenerum", "Sphagnum teres", "Sphagnum torreyanum", "Sphagnum trinitense", "Sphagnum viridum", "Sphagnum warnstorfii", "Sphagnum wilfii", "Sphagnum wulfianum", "Splachnobryum obtusum", "Splachnum ampullaceum", "Splachnum luteum", "Splachnum pennsylvanicum", "Splachnum rubrum", "Splachnum sphaericum", "Splachnum vasculosum", "Steerecleus serrulatus", "Stegonia latifolia", "Stereophyllum radiculosum", "Symblepharis vaginata", "Syrrhopodon gaudichaudii", "Syrrhopodon incompletus", "Syrrhopodon ligulatus", "Syrrhopodon parasiticus", "Syrrhopodon prolifer", "Syrrhopodon texanus", "Taxiphyllum alternans", "Taxiphyllum cuspidifolium", "Taxiphyllum deplanatum", "Taxiphyllum taxirameum", "Taxithelium planum", "Tayloria acuminata", "Tayloria froelichiana", "Tayloria hornschuchii", "Tayloria lingulata", "Tayloria serrata", "Tayloria splachnoides", "Tetraphis geniculata", "Tetraphis pellucida", "Tetraplodon angustatus", "Tetraplodon pallidus", "Tetraplodon paradoxus", "Tetraplodon urceolatus", "Tetrodontium brownianum", "Tetrodontium brownianum var. ovatum", "Tetrodontium repandum", "Thamnobryum alleghaniense", "Thamnobryum neckeroides", "Thelia asprella", "Thelia hirtella", "Thelia lescurii", "Thuidium allenii", "Thuidium delicatulum", "Thuidium philibertii", "Thuidium recognitum", "Thuidium tamariscinum", "Timmia austriaca", "Timmia megapolitana", "Timmia norvegica", "Timmia sibirica", "Timmiella anomala", "Timmiella crassinervis", "Tomentypnum falcifolium", "Tomentypnum nitens", "Tortella flavovirens", "Tortella fragilis", "Tortella humilis", "Tortella inclinata", "Tortella rigens", "Tortella alpicola", "Tortella tortuosa", "Syntrichia ammonsiana", "Syntrichia amphidiacea", "Syntrichia amplexa", "Syntrichia bartramii", "Syntrichia bolanderi", "Tortula brevipes", "Syntrichia cainii", "Tortula californica", "Syntrichia caninervis", "Syntrichia chisosa", "Syntrichia fragilis", "Syntrichia inermis", "Syntrichia laevipila", "Syntrichia latifolia", "Tortula mucronifolia", "Tortula muralis", "Syntrichia norvegica", "Syntrichia obtusissima", "Syntrichia pagorum", "Syntrichia papillosa", "Syntrichia princeps", "Chenia leptophylla", "Syntrichia ruralis", "Hilpertia scotteri", "Syntrichia sinensis", "Hennediella stanfordensis", "Tortula subulata", "Syntrichia virescens", "Trachybryum megaptilum", "Rafflesia arnoldii", "Cypripedium acaule", "Adenostemma verbesina", "Adenostoma fasciculatum", "Adolphia infesta", "Adonis aestivalis", "Adonis vernalis", "Adoxa moschatellina", "Trachycystis flagellaris", "Trachyxiphium heteroicum", "Trematodon ambiguus", "Trematodon boasii", "Trematodon brevicollis", "Trematodon longicollis", "Trematodon montanus", "Trichodon cylindricus", "Didymodon australasiae", "Trichostomum arcticum", "Trichostomum brachydontium", "Trichostomum crispulum", "Trichostomum portoricense", "Tripterocladium leucocladulum", "Triquetrella californica", "Tuerckheimia svihlae", "Ulota coarctata", "Ulota crispa", "Ulota curvifolia", "Ulota megalospora", "Ulota obtusiuscula", "Ulota phyllantha", "Ulota reptans", "Venturiella sinensis", "Vesicularia vesicularis", "Voitia hyperborea", "Voitia nivalis", "Warnstorfia exannulata", "Warnstorfia fluitans", "Warnstorfia procera", "Warnstorfia pseudosarmentosa", "Warnstorfia pseudostraminea", "Warnstorfia trichophylla", "Warnstorfia tundrae", "Weissia andersoniana", "Weissia condensa", "Weissia controversa", "Weissia brachycarpa", "Weissia inoperculata", "Weissia jamaicensis", "Weissia ligulaefolia", "Weissia sharpii", "Wijkia carlottae", "Zelometeorium patulum", "Zygodon apiculatus", "Zygodon conoideus", "Zygodon gracilis", "Zygodon reinwardtii", "Zygodon viridissimus", "Caulerpa taxifolia", "Afrocarpus falcatus", "Agathis australis", "Agathis dammara", "Agathis robusta", "Araucaria angustifolia", "Araucaria bidwillii", "Araucaria columnaris", "Araucaria cunninghamii", "Araucaria heterophylla", "Calocedrus decurrens", "Cedrus deodara", "Cephalotaxus harringtonia", "Chamaecyparis lawsoniana", "Selaginella apoda", "Selaginella arbuscula", "Selaginella arenicola", "Selaginella arizonica", "Selaginella armata", "Selaginella asprella", "Selaginella bigelovii", "Selaginella braunii", "Selaginella cinerascens", "Selaginella cordifolia", "Selaginella deflexa", "Selaginella densa", "Selaginella douglasii", "Selaginella eatonii", "Selaginella eclipes", "Selaginella eremophila", "Selaginella flabellata", "Selaginella krugii", "Selaginella laxifolia", "Selaginella lepidophylla", "Selaginella leucobryoides", "Selaginella ludoviciana", "Selaginella menziesii", "Selaginella mutica", "Selaginella ovifolia", "Selaginella peruviana", "Selaginella pilifera", "Selaginella plana", "Selaginella rupestris", "Selaginella rupincola", "Selaginella sandvicensis", "Selaginella selaginoides", "Selaginella sibirica", "Selaginella substipitata", "Selaginella tenella", "Selaginella tortipila", "Selaginella uncinata", "Selaginella underwoodii", "Selaginella utahensis", "Selaginella viridissima", "Selaginella wallacei", "Selaginella watsonii", "Selaginella wrightii", "Abronia alba", "Wittmackia lingulata", "Aechmea nudicaulis", "Aegilops bicornis", "Aegilops comosa", "Aegilops crassa", "Aegilops cylindrica", "Aegilops geniculata", "Aegilops searsii", "Aegilops speltoides", "Aegilops tauschii", "Aegilops triuncialis", "Aegilops umbellulata", "Aegilops ventricosa", "Aegiphila integrifolia", "Aegiphila martinicensis", "Aegle marmelos", "Aegopogon cenchroides", "Aegopogon tenellus", "Aeonium haworthii", "Aerva javanica", "Aerva sericea", "Aeschynomene americana", "Aeschynomene aspera", "Aeschynomene elaphroxylon", "Aeschynomene evenia", "Aeschynomene histrix", "Aeschynomene indica", "Aeschynomene pratensis", "Aeschynomene rudis", "Aeschynomene sensitiva", "Aeschynomene villosa", "Aeschynomene virginica", "Aeschynomene viscidula", "Aesculus \u00d7 carnea", "Aesculus californica", "Aesculus flava", "Aesculus glabra", "Aesculus hippocastanum", "Aesculus parviflora", "Aesculus pavia", "Aesculus sylvatica", "Aethusa cynapium", "Aframomum melegueta", "Afzelia africana", "Afzelia bella", "Afzelia quanzensis", "Agalinis acuta", "Agalinis aphylla", "Agalinis aspera", "Agalinis auriculata", "Agalinis caddoensis", "Agalinis calycina", "Agalinis densiflora", "Agalinis divaricata", "Agalinis edwardsiana", "Agalinis fasciculata", "Agalinis filicaulis", "Agalinis filifolia", "Agalinis gattingeri", "Agalinis heterophylla", "Agalinis homalantha", "Agalinis laxa", "Agalinis linifolia", "Agalinis maritima", "Agalinis navasotensis", "Agalinis neoscotica", "Agalinis nuttallii", "Agalinis obtusifolia", "Agalinis oligophylla", "Agalinis paupercula", "Agalinis pinetorum", "Agalinis plukenetii", "Agalinis pulchella", "Agalinis setacea", "Agalinis skinneriana", "Agalinis strictifolia", "Agalinis tenuifolia", "Agalinis viridis", "Agarista populifolia", "Agastache breviflora", "Agastache cana", "Agastache cusickii", "Agastache foeniculum", "Agastache mearnsii", "Agastache micrantha", "Agastache nepetoides", "Agastache occidentalis", "Agastache pallida", "Agastache pallidiflora", "Agastache parvifolia", "Agastache pringlei", "Agastache rupestris", "Agastache scrophulariifolia", "Agastache urticifolia", "Agastache wrightii", "Agathosma betulina", "Agathosma crenulata", "Agathosma serratifolia", "Agave americana", "Agave atrovirens", "Agave chrysantha", "Agave decipiens", "Agave deserti", "Agave eggersiana", "Agave fourcroydes", "Agave \u00d7 glomeruliflora", "Agave gracilipes", "Agave havardiana", "Agave lechuguilla", "Agave mckelveyana", "Agave missionum", "Agave murpheyi", "Agave palmeri", "Agave parryi", "Agave parviflora", "Agave schottii", "Agave shawii", "Agave sisalana", "Agave tequilana", "Pinus banksiana", "Pinus brutia", "Pinus monophylla subsp. californiarum", "Pinus cembra", "Pinus cembroides", "Pinus clausa", "Pinus contorta", "Pinus coulteri", "Pinus discolor", "Pinus echinata", "Pinus edulis", "Pinus elliottii", "Pinus engelmannii", "Pinus flexilis", "Pinus glabra", "Pinus halepensis", "Pinus jeffreyi", "Pinus johannis", "Pinus lambertiana", "Pinus leiophylla", "Pinus longaeva", "Pinus maximartinezii", "Pinus merkusii", "Pinus monophylla", "Pinus monticola", "Pinus mugo", "Pinus muricata", "Pinus nigra", "Pinus palustris", "Pinus patula", "Pinus pinaster", "Pinus pinea", "Pinus ponderosa", "Pinus pungens", "Pinus quadrifolia", "Pinus radiata", "Pinus remota", "Pinus resinosa", "Pinus rigida", "Pinus sabiniana", "Pinus serotina", "Pinus strobiformis", "Pinus strobus", "Pinus sylvestris", "Pinus taeda", "Pinus torreyana", "Pinus virginiana", "Pinus wallichiana", "Platycladus orientalis", "Podocarpus coriaceus", "Podocarpus macrophyllus", "Podocarpus totara", "Pseudotsuga macrocarpa", "Pseudotsuga menziesii", "Taxus brevifolia", "Taxus canadensis", "Taxus floridana", "Allium aaseae", "Allium abramsii", "Allium acuminatum", "Allium ampeloprasum", "Allium amplectens", "Allium anceps", "Allium ascalonicum", "Allium atrorubens", "Allium bigelovii", "Allium bisceptrum", "Allium bolanderi", "Allium brandegeei", "Allium brevistylum", "Allium tricoccum var. burdickii", "Allium burlewii", "Allium campanulatum", "Allium cepa", "Allium cernuum", "Allium chinense", "Allium columbianum", "Allium constrictum", "Allium coryi", "Allium cratericola", "Allium crenulatum", "Allium crispum", "Allium cuthbertii", "Allium diabolense", "Allium dichlamydeum", "Allium dictuon", "Allium douglasii", "Allium drummondii", "Allium elmendorfii", "Allium falcifolium", "Allium fibrillum", "Allium fimbriatum", "Allium fistulosum", "Allium geyeri", "Allium glandulosum", "Allium gooddingii", "Allium hickmanii", "Allium hoffmanii", "Allium howellii", "Allium hyalinum", "Allium jepsonii", "Allium lacunosum", "Allium lemmonii", "Allium macropetalum", "Allium macrum", "Allium madidum", "Allium membranaceum", "Allium monticola", "Allium munzii", "Allium neapolitanum", "Allium nevadense", "Allium nevii", "Allium nigrum", "Allium obtusum", "Allium ramosum", "Allium oleraceum", "Agrostis idahoensis", "Agrostis mertensii", "Agrostis oregonensis", "Agrostis pallens", "Agrostis perennans", "Agrostis rossiae", "Agrostis sandwicensis", "Agrostis scabra", "Agrostis stolonifera", "Agrostis tandilensis", "Agrostis vinealis", "Aiphanes minima", "Aira caryophyllea", "Aira elegans", "Aira praecox", "Ajuga chamaepitys", "Ajuga genevensis", "Ajuga reptans", "Akebia quinata", "Albizia adinocephala", "Albizia chinensis", "Albizia ferruginea", "Albizia julibrissin", "Albizia lebbeck", "Albizia lebbekoides", "Albizia odoratissima", "Albizia procera", "Albizia saponaria", "Albizia zygia", "Alchemilla filicaulis", "Alchemilla monticola", "Alchemilla subcrenata", "Alchornea latifolia", "Aletes acaulis", "Aletes anisatus", "Aletes humilis", "Aletris aurea", "Aletris bracteata", "Aletris farinosa", "Aletris lutea", "Aletris obovata", "Aleurites moluccanus", "Alisma gramineum", "Alisma lanceolatum", "Alisma plantago-aquatica", "Alisma subcordatum", "Alisma triviale", "Alkanna tinctoria", "Allamanda cathartica", "Allenrolfea occidentalis", "Alliaria petiolata", "Allionia choisyi", "Agave toumeyana", "Agave utahensis", "Agave weberi", "Agave xylonacantha", "Agdestis clematidea", "Ageratina adenophora", "Ageratina altissima", "Ageratina aromatica", "Ageratina havanensis", "Ageratina herbacea", "Ageratina jucunda", "Ageratina lemmonii", "Ageratina luciae-brauniae", "Ageratina occidentalis", "Ageratina paupercula", "Ageratina resiniflua", "Ageratina riparia", "Ageratina rothrockii", "Ageratina shastensis", "Ageratina wrightii", "Ageratum conyzoides", "Ageratum corymbosum", "Ageratum houstonianum", "Ageratum littorale", "Aglaonema commutatum", "Aglaonema pictum", "Agoseris apargioides", "Agoseris aurantiaca", "Agoseris glauca", "Agoseris grandiflora", "Agoseris heterophylla", "Agoseris retrorsa", "Agrimonia eupatoria", "Agrimonia gryposepala", "Agrimonia incisa", "Agrimonia microcarpa", "Agrimonia parviflora", "Agrimonia pubescens", "Agrimonia rostellata", "Agrimonia striata", "Agropyron cristatum", "Agropyron desertorum", "Agropyron fragile", "Agrostemma brachylobum", "Agrostemma githago", "Agrostis blasdalei", "Agrostis canina", "Agrostis capillaris", "Agrostis castellana", "Agrostis clavata", "Agrostis densiflora", "Agrostis elliottiana", "Agrostis exarata", "Agrostis gigantea", "Agrostis hallii", "Agrostis hendersonii", "Agrostis hooveri", "Agrostis howellii", "Agrostis humilis", "Agrostis hyemalis", "Aloe perryi", "Aloe succotrina", "Aloe vera", "Alopecurus aequalis", "Alopecurus arundinaceus", "Caenolestes caniventer", "Alopecurus brachystachyus", "Alopecurus carolinianus", "Alopecurus creticus", "Alopecurus geniculatus", "Alopecurus myosuroides", "Alopecurus pratensis", "Alopecurus rendlei", "Alopecurus saccatus", "Alophia drummondii", "Aloysia gratissima", "Aloysia macrostachya", "Aloysia wrightii", "Alphitonia ponderosa", "Alpinia galanga", "Alpinia mutica", "Alpinia officinarum", "Caenolestes fuliginosus", "Alpinia purpurata", "Cupressus nootkatensis", "Chamaecyparis obtusa", "Chamaecyparis thyoides", "Cunninghamia lanceolata", "Cupressus abramsiana", "Cupressus arizonica", "Cupressus bakeri", "Cupressus forbesii", "Cupressus goveniana", "Cupressus macnabiana", "Cupressus sargentii", "Cupressus sempervirens", "Dacrycarpus dacrydioides", "Dacrydium cupressinum", "Dacrydium franklinii", "Juniperus ashei", "Juniperus californica", "Juniperus chinensis", "Juniperus coahuilensis", "Juniperus communis", "Juniperus deppeana", "Juniperus flaccida", "Juniperus horizontalis", "Juniperus monosperma", "Juniperus occidentalis", "Juniperus osteosperma", "Juniperus pinchotii", "Juniperus sabina", "Juniperus scopulorum", "Juniperus virginiana", "Keteleeria evelyniana", "Larix decidua", "Larix kaempferi", "Larix laricina", "Larix lyallii", "Larix occidentalis", "Larix sibirica", "Metasequoia glyptostroboides", "Phyllocladus trichomanoides", "Picea abies", "Picea breweriana", "Picea engelmannii", "Picea glauca", "Picea glehnii", "Picea mariana", "Picea pungens", "Picea rubens", "Picea smithiana", "Pinus albicaulis", "Pinus aristata", "Pinus arizonica", "Pinus attenuata", "Pinus balfouriana", "Tetraclinis articulata", "Thuja occidentalis", "Thuja plicata", "Torreya californica", "Torreya nucifera", "Torreya taxifolia", "Tsuga canadensis", "Tsuga caroliniana", "Tsuga heterophylla", "Tsuga mertensiana", "Cycas revoluta", "Zamia pumila", "Equisetum arvense", "Equisetum fluviatile", "Equisetum giganteum", "Equisetum hyemale", "Equisetum laevigatum", "Equisetum palustre", "Equisetum pratense", "Equisetum ramosissimum", "Equisetum scirpoides", "Equisetum sylvaticum", "Equisetum telmateia", "Equisetum variegatum", "Ephedra antisyphilitica", "Ephedra aspera", "Ephedra californica", "Ephedra coryi", "Ephedra cutleri", "Ephedra equisetina", "Ephedra fasciculata", "Ephedra funerea", "Ephedra gerardiana", "Ephedra nevadensis", "Ephedra pedunculata", "Ephedra sinica", "Ephedra torreyana", "Ephedra trifurca", "Ephedra viridis", "Gnetum africanum", "Gnetum buchholzianum", "Gnetum gnemon", "Porella wataugensis", "Phlegmariurus acerosus", "Huperzia appalachiana", "Phlegmariurus aqualupianus", "Huperzia chinensis", "Phlegmariurus dichotomus", "Phlegmariurus filiformis", "Phlegmariurus funiformis", "Huperzia haleakalae", "Phlegmariurus linifolius", "Phlegmariurus mannii", "Phlegmariurus nutans", "Huperzia occidentalis", "Phlegmariurus phyllanthus", "Huperzia porophila", "Phlegmariurus reflexus", "Huperzia selago", "Huperzia serrata", "Phlegmariurus sintenisii", "Phlegmariurus stemmermanniae", "Huperzia sulcinervia", "Phlegmariurus taxifolius", "Phlegmariurus tenuicaulis", "Isoetes appalachiana", "Isoetes bolanderi", "Isoetes boomii", "Isoetes engelmannii", "Isoetes flaccida", "Isoetes georgiana", "Isoetes hawaiiensis", "Isoetes howellii", "Isoetes hyemalis", "Isoetes lacustris", "Isoetes lithophila", "Isoetes louisianensis", "Isoetes maritima", "Isoetes melanopoda", "Isoetes melanospora", "Isoetes nuttallii", "Isoetes occidentalis", "Isoetes orcuttii", "Isoetes prototypus", "Pteropus conspicillatus", "Isoetes tegetiformans", "Isoetes tuckermanii", "Isoetes valida", "Isoetes virginica", "Lycopodiella alopecuroides", "Lycopodiella appressa", "Pseudolycopodiella caroliniana", "Palhinhaea cernua", "Lycopodiella inundata", "Lycopodiella margueritae", "Lycopodiella prostrata", "Lycopodiella subappressa", "Spinulum annotinum", "Lycopodium clavatum", "Dendrolycopodium dendroideum", "Diphasiastrum digitatum", "Dendrolycopodium hickeyi", "Lycopodium lagopus", "Dendrolycopodium obscurum", "Diphasiastrum \u00d7 sabinifolium", "Diphasiastrum tristachyum", "Lycopodium venustulum", "Selaginella acanthonota", "Ammophila champlainensis", "Ammoselinum butleri", "Ammoselinum popei", "Amomum compactum", "Cochlospermum gonzalezii", "Cochlospermum palmatifidum", "Cochlospermum wrightii", "Amorpha californica", "Amorpha canescens", "Amorpha fruticosa", "Amorpha georgiana", "Amorpha glabra", "Amorpha herbacea", "Amorpha laevigata", "Amorpha nana", "Amorpha nitens", "Amorpha ouachitensis", "Amorpha paniculata", "Amorpha roemeriana", "Amorpha schwerinii", "Amorphophallus konjac", "Amorphophallus paeoniifolius", "Ampelaster carolinianus", "Ampelodesmos mauritanicus", "Ampelopsis aconitifolia", "Ampelopsis cordata", "Amphiachyris amoena", "Amphiachyris dracunculoides", "Amphibromus scabrivalvis", "Amphicarpaea bracteata", "Amphicarpum muehlenbergianum", "Amphilophium paniculatum", "Amphipappus fremontii", "Amphitecna latifolia", "Amsinckia carinata", "Amsinckia douglasiana", "Amsinckia eastwoodiae", "Amsinckia grandiflora", "Amsinckia lunaris", "Amsinckia lycopsoides", "Amsinckia menziesii", "Amsinckia spectabilis", "Amsinckia tessellata", "Amsinckia vernicosa", "Amsonia ciliata", "Amsonia fugatei", "Amsonia grandiflora", "Amsonia hubrichtii", "Amsonia illustris", "Amsonia jonesii", "Amsonia kearneyana", "Amsonia longiflora", "Amsonia ludoviciana", "Amsonia palmeri", "Amsonia peeblesii", "Amsonia repens", "Amsonia rigida", "Amsonia tabernaemontana", "Amsonia tharpii", "Amsonia tomentosa", "Amyris balsamifera", "Amyris elemifera", "Amyris madrensis", "Amyris texana", "Anacardium occidentale", "Anadenanthera peregrina", "Lysimachia arvensis", "Lysimachia minima", "Lysimachia monelli", "Lysimachia ovalis", "Ananas comosus", "Anaphalis margaritacea", "Anchusa arvensis", "Anchusa azurea", "Anchusa capensis", "Anchusa officinalis", "Ancistrocarphus filagineus", "Andira inermis", "Andrographis echioides", "Andromeda polifolia", "Andropogon arctatus", "Andropogon bicornis", "Andropogon brachystachyus", "Andropogon floridanus", "Andropogon gayanus", "Andropogon gerardii", "Andropogon glomeratus", "Andropogon gyrans", "Andropogon hallii", "Andropogon leucostachyus", "Andropogon longiberbis", "Andropogon ternarius", "Andropogon tracyi", "Andropogon virginicus", "Androsace chamaejasme", "Androsace elongata", "Androsace filiformis", "Androsace maxima", "Androsace occidentalis", "Androsace septentrionalis", "Androstephium breviflorum", "Anechites nerium", "Anelsonia eurycarpa", "Anemone berlandieri", "Anemone blanda", "Anemone canadensis", "Anemone caroliniana", "Anemone coronaria", "Anemone cylindrica", "Anemone deltoidea", "Anemone drummondii", "Anemone edwardsiana", "Anemone hupehensis", "Anemone lithophila", "Anemone lyallii", "Arabis hirsuta", "Arabis modesta", "Arabis nuttallii", "Arabis oregana", "Arachis hagenbeckii", "Arachis monticola", "Arachis prostrata", "Arachis villosulicarpa", "Aralia californica", "Aralia chinensis", "Amaranthus retroflexus", "Amaranthus scleropoides", "Amaranthus spinosus", "Amaranthus thunbergii", "Amaranthus torreyi", "Amaranthus tricolor", "Amaranthus tuberculatus", "Amaranthus viridis", "Amaranthus watsonii", "Amaranthus wrightii", "Amaryllis belladonna", "Amberboa moschata", "Amblyolepis setigera", "Amblyopappus pusillus", "Amblyopyrum muticum", "Ambrosia acanthicarpa", "Ambrosia ambrosioides", "Ambrosia canescens", "Ambrosia chamissonis", "Ambrosia cheiranthifolia", "Ambrosia confertiflora", "Ambrosia cordifolia", "Ambrosia deltoidea", "Ambrosia dumosa", "Ambrosia eriocentra", "Ambrosia grayi", "Ambrosia hispida", "Ambrosia ilicifolia", "Ambrosia linearis", "Ambrosia peruviana", "Ambrosia psilostachya", "Ambrosia pumila", "Ambrosia tenuifolia", "Ambrosia tomentosa", "Ambrosia trifida", "Amelanchier alnifolia", "Amelanchier arborea", "Amelanchier bartramiana", "Amelanchier canadensis", "Amelanchier humilis", "Amelanchier interior", "Amelanchier laevis", "Amelanchier nantucketensis", "Amelanchier obovalis", "Amelanchier pallida", "Amelanchier pumila", "Amelanchier sanguinea", "Amelanchier utahensis", "Amianthium muscitoxicum", "Ammannia auriculata", "Ammannia baccifera", "Ammannia coccinea", "Ammannia latifolia", "Ammannia robusta", "Ammi majus", "Visnaga daucoides", "Ammophila arenaria", "Ammophila breviligulata", "Lilium akkusianum", "Lilium amabile", "Lilium amoenum", "Lilium anhuiense", "Lilium arboricola", "Lilium auratum", "Lilium bakerianum", "Lilium bosniacum", "Lilium brevistylum", "Lilium brownii", "Lilium bulbiferum", "Lilium callosum", "Lilium candidum", "Lilium catesbaei", "Lilium cernuum", "Lilium chalcedonicum", "Lilium ciliatum", "Lilium concolor", "Lilium davidii", "Lilium duchartrei", "Pan troglodytes schweinfurthii", "Alpinia zerumbet", "Alstonia macrophylla", "Alstroemeria aurea", "Alternanthera bettzickiana", "Alternanthera brasiliana", "Alternanthera caracasana", "Alternanthera crucis", "Alternanthera flavescens", "Alternanthera maritima", "Alternanthera paronychioides", "Alternanthera philoxeroides", "Alternanthera pungens", "Alternanthera sessilis", "Althaea hirsuta", "Alvaradoa amorphoides", "Alysicarpus ovalifolius", "Alysicarpus rugosus", "Alysicarpus vaginalis", "Alyssum alyssoides", "Alyssum szovitsianum", "Amaranthus acanthochiton", "Amaranthus albus", "Amaranthus arenicola", "Amaranthus australis", "Amaranthus bigelovii", "Amaranthus blitoides", "Amaranthus blitum", "Amaranthus brownii", "Amaranthus californicus", "Amaranthus cannabinus", "Amaranthus caudatus", "Amaranthus crassipes", "Amaranthus crispus", "Amaranthus cruentus", "Amaranthus deflexus", "Amaranthus dubius", "Amaranthus fimbriatus", "Amaranthus floridanus", "Amaranthus greggii", "Amaranthus hybridus", "Amaranthus hypochondriacus", "Amaranthus muricatus", "Amaranthus obcordatus", "Amaranthus palmeri", "Amaranthus polygonoides", "Amaranthus powellii", "Amaranthus pringlei", "Amaranthus pumilus", "Lilium philadelphicum", "Lilium philippinense", "Lilium pinifolium", "Lilium poilanei", "Lilium polyphyllum", "Lilium pomponium", "Lilium primulinum", "Lilium puerense", "Lilium pumilum", "Lilium pyi", "Lilium pyrenaicum", "Myotis brandtii", "Myotis mystacinus", "Myotis nattereri", "Pipistrellus pygmaeus", "Pipistrellus nathusii", "Plecotus auritus", "Barbastella barbastellus", "Lilium nanum var. flavidum", "Lilium fargesii", "Lilium formosanum", "Lilium georgei", "Lilium chalcedonicum subsp. heldreichii", "Lilium henrici", "Lilium henryi", "Lilium iridollae", "Lilium jankae", "Lilium japonicum", "Lilium kesselringianum", "Lilium lancifolium", "Lilium lankongense", "Lilium ledebourii", "Lilium leichtlinii", "Lilium leucanthum", "Lilium lijiangense", "Lilium longiflorum", "Lilium lophophorum", "Lilium mackliniae", "Lilium matangense", "Lilium michauxii", "Lilium michiganense", "Lilium monadelphum", "Lilium nanum", "Lilium nepalense", "Lilium papilliferum", "Lilium paradoxum", "Lilium pensylvanicum", "Antidesma pulvinatum", "Antigonon guatemalense", "Antigonon leptopus", "Antiphytum floribundum", "Antiphytum heliotropioides", "Antirhea acutata", "Antirhea coriacea", "Antirhea lucida", "Antirhea obtusifolia", "Antirhea portoricensis", "Antirhea sintenisii", "Antirrhinum majus", "Anulocaulis annulatus", "Anulocaulis eriosolenus", "Anulocaulis leiosolenus", "Anulocaulis reflexus", "Apacheria chiricahuensis", "Apera interrupta", "Apera spica-venti", "Aphanes arvensis", "Aphanes microcarpa", "Aphanisma blitoides", "Aphanostephus pilosus", "Aphanostephus ramosissimus", "Aphanostephus riddellii", "Aphanostephus skirrhobasis", "Aphragmus eschscholtzianus", "Apiastrum angustifolium", "Apios americana", "Apios priceana", "Apium graveolens", "Helosciadium nodiflorum", "Apium prostratum", "Aplectrum hyemale", "Apluda mutica", "Apocynum androsaemifolium", "Apocynum cannabinum", "Apodanthera undulata", "Aponogeton distachyos", "Apteria aphylla", "Aquilegia barnebyi", "Aquilegia brevistyla", "Aquilegia canadensis", "Aquilegia chrysantha", "Anoectochilus sandvicensis", "Terminalia anogeissiana", "Anredera cordifolia", "Anredera vesicaria", "Antennaria alpina", "Antennaria anaphaloides", "Antennaria arcuata", "Antennaria argentea", "Antennaria aromatica", "Antennaria corymbosa", "Antennaria densifolia", "Antennaria dimorpha", "Antennaria dioica", "Antennaria flagellaris", "Antennaria friesiana", "Antennaria geyeri", "Antennaria howellii", "Antennaria lanata", "Antennaria luzuloides", "Antennaria marginata", "Antennaria media", "Antennaria microphylla", "Antennaria monocephala", "Antennaria neglecta", "Antennaria parlinii", "Antennaria parvifolia", "Antennaria plantaginifolia", "Antennaria pulchella", "Antennaria pulcherrima", "Antennaria racemosa", "Antennaria rosea", "Antennaria rosulata", "Antennaria soliceps", "Antennaria solitaria", "Antennaria stenophylla", "Antennaria suffrutescens", "Antennaria umbrinella", "Antennaria virginica", "Antenoron filiforme var. neofiliforme", "Cota altissima", "Cota austriaca", "Anthemis secundiramea", "Anthephora hermaphrodita", "Neolamarckia cadamba", "Anthoxanthum aristatum", "Anthoxanthum odoratum", "Anthriscus caucalis", "Anthriscus cerefolium", "Anthriscus sylvestris", "Anthurium andraeanum", "Anthurium cordatum", "Anthurium crenatum", "Anthurium dominicense", "Anthurium palmatum", "Anthurium scandens", "Anthyllis vulneraria", "Antidaphne wrightii", "Antidesma bunius", "Antidesma dallachyanum", "Antidesma platyphyllum", "Vespertilio murinus", "Lilium pyrophilum", "Lilium regale", "Lilium rhodopeum", "Lilium rosthornii", "Lilium rubellum", "Lilium sargentiae", "Lilium sempervivoideum", "Lilium sherriffiae", "Lilium souliei", "Lilium speciosum", "Lilium stewartianum", "Lilium sulphureum", "Lilium superbum", "Lilium taliense", "Lilium tianschanicum", "Lilium wallichianum", "Lilium wardii", "Erythronium americanum", "Erythronium californicum", "Erythronium elegans", "Erythronium grandiflorum", "Erythronium hendersonii", "Erythronium japonicum", "Erythronium oregonum", "Erythronium propullans", "Erythronium revolutum", "Erythronium tuolumnense", "Aquilegia desertorum", "Aquilegia elegantula", "Aquilegia eximia", "Aquilegia flabellata", "Aquilegia flavescens", "Aquilegia formosa", "Aquilegia jonesii", "Aquilegia laramiensis", "Aquilegia longissima", "Aquilegia micrantha", "Aquilegia pubescens", "Aquilegia saximontana", "Aquilegia scopulorum", "Aquilegia vulgaris", "Thellungiella salsuginea", "Arabidopsis thaliana", "Arabis procurrens", "Arabis aculeolata", "Arabis alpina", "Arabis blepharophylla", "Arabis caucasica", "Arabis crucisetosa", "Arabis eschscholtziana", "Arabis furcata", "Arabis georgiana", "Anemone multifida", "Anemone narcissiflora", "Anemone nemorosa", "Anemone oregana", "Anemone parviflora", "Anemone piperi", "Anemone quinquefolia", "Anemone richardsonii", "Anemone sylvestris", "Anemone tuberosa", "Anemone virginiana", "Anemopsis californica", "Anethum graveolens", "Angadenia berteroi", "Angelica ampla", "Angelica arguta", "Angelica atropurpurea", "Angelica breweri", "Angelica californica", "Angelica callii", "Angelica canbyi", "Angelica dawsonii", "Angelica dentata", "Angelica genuflexa", "Angelica grayi", "Angelica hendersonii", "Angelica kingii", "Angelica lineariloba", "Angelica lucida", "Angelica pinnata", "Angelica roseana", "Angelica scabrida", "Angelica sylvestris", "Angelica tomentosa", "Angelica triquinata", "Angelica venenosa", "Angelica wheeleri", "Angelonia angustifolia", "Angelonia salicariifolia", "Aniba bracteata", "Anisacanthus linearis", "Anisacanthus puberulus", "Anisacanthus quadrifidus", "Anisacanthus thurberi", "Aniseia martinicensis", "Anisocoma acaulis", "Annona cherimola", "Annona macroprophyllata", "Annona glabra", "Annona montana", "Annona muricata", "Annona purpurea", "Annona reticulata", "Annona senegalensis", "Annona squamosa", "Anoda abutiloides", "Anoda crenatiflora", "Anoda cristata", "Anoda lanceolata", "Anoda pentaschista", "Anoda reticulata", "Anoda thurberi", "Arctostaphylos klamathensis", "Arctostaphylos luciana", "Arctostaphylos malloryi", "Arctostaphylos manzanita", "Arctostaphylos mewukka", "Arctostaphylos montaraensis", "Arctostaphylos montereyensis", "Arctostaphylos morroensis", "Arctostaphylos myrtifolia", "Arctostaphylos nevadensis", "Arctostaphylos nissenana", "Arctostaphylos nortensis", "Arctostaphylos nummularia", "Arctostaphylos obispoensis", "Arctostaphylos osoensis", "Arctostaphylos otayensis", "Arctostaphylos \u00d7 pacifica", "Arctostaphylos pajaroensis", "Arctostaphylos pallida", "Arctostaphylos parryana", "Arctostaphylos patula", "Arctostaphylos pechoensis", "Arctostaphylos peninsularis", "Arctostaphylos pilosula", "Arctostaphylos pringlei", "Arctostaphylos pumila", "Arctostaphylos pungens", "Arctostaphylos purissima", "Arctostaphylos rainbowensis", "Arctostaphylos refugioensis", "Arctostaphylos regismontana", "Arctous rubra", "Arctostaphylos rudis", "Arctostaphylos silvicola", "Arctostaphylos stanfordiana", "Arctostaphylos tomentosa", "Arctostaphylos uva-ursi", "Arctostaphylos virgata", "Arctostaphylos viridissima", "Arctostaphylos viscida", "Arctostaphylos wellsii", "Arctotheca calendula", "Arctotis stoechadifolia", "Ardisia crenata", "Ardisia elliptica", "Ardisia glauciflora", "Ardisia luquillensis", "Ardisia obovata", "Areca catechu", "Eremogone aberrans", "Arenaria benthamii", "Arenaria lanuginosa", "Arenaria livermorensis", "Arenaria longipedunculata", "Arenaria ludens", "Arachis sect.", "Viola abyssinica", "Viola acanthophylla", "Viola accrescens", "Viola acuminata", "Viola acutifolia", "Viola adenothrix", "Viola adriatica", "Viola adunca", "Viola aethnensis", "Viola aetolica", "Viola aizoon", "Viola alaica", "Viola alba", "Viola albida", "Viola alexandrowiana", "Viola alexejana", "Viola allchariensis", "Viola alliariifolia", "Viola allochroa", "Viola alpina", "Viola altaica", "Viola amamiana", "Viola ambigua", "Viola amurica", "Viola angustifolia", "Viola angustistipulata", "Viola araucaniae", "Viola arborescens", "Viola argentina", "Viola arguta", "Viola arsenica", "Aralia cordata", "Aralia elata", "Aralia hispida", "Aralia humilis", "Aralia nudicaulis", "Aralia racemosa", "Aralia spinosa", "Araujia sericifera", "Arbutus arizonica", "Arbutus menziesii", "Arbutus unedo", "Arbutus xalapensis", "Arceuthobium abietinum", "Arceuthobium americanum", "Arceuthobium apachecum", "Arceuthobium blumeri", "Arceuthobium californicum", "Arceuthobium campylopodum", "Arceuthobium cyanocarpum", "Arceuthobium divaricatum", "Arceuthobium douglasii", "Arceuthobium gillii", "Arceuthobium laricis", "Arceuthobium littorum", "Arceuthobium microcarpum", "Arceuthobium monticola", "Arceuthobium occidentale", "Arceuthobium pusillum", "Arceuthobium siskiyouense", "Arceuthobium tsugense", "Arceuthobium vaginatum", "Archontophoenix alexandrae", "Arctagrostis latifolia", "Arctium lappa", "Arctium minus", "Arctium tomentosum", "Arctomecon californica", "Arctomecon humilis", "Arctomecon merriamii", "Arctophila fulva", "Arctostaphylos \u00d7cinerea", "Arctostaphylos andersonii", "Arctostaphylos auriculata", "Arctostaphylos bakeri", "Arctostaphylos canescens", "Arctostaphylos catalinae", "Arctostaphylos columbiana", "Arctostaphylos confertiflora", "Arctostaphylos cruzensis", "Arctostaphylos densiflora", "Arctostaphylos edmundsii", "Arctostaphylos gabrielensis", "Arctostaphylos glandulosa", "Arctostaphylos glauca", "Arctostaphylos glutinosa", "Arctostaphylos hispidula", "Arctostaphylos hookeri", "Arctostaphylos hooveri", "Arctostaphylos imbricata", "Arctostaphylos insularis", "Arenaria paludicola", "Arenaria serpyllifolia", "Arenga pinnata", "Arethusa bulbosa", "Argemone \u00d7 aenea", "Argemone albiflora", "Argemone arizonica", "Argemone aurantiaca", "Argemone chisosensis", "Argemone corymbosa", "Argemone glauca", "Argemone munita subsp. gracilenta", "Argemone hispida", "Argemone mexicana", "Argemone munita", "Argemone pleiacantha", "Argemone polyanthemos", "Argemone sanguinea", "Argemone squarrosa", "Argyranthemum foeniculaceum", "Argyreia nervosa", "Argyroxiphium caliginis", "Argyroxiphium grayanum", "Argyroxiphium kauense", "Argyroxiphium sandwicense", "Argyroxiphium virescens", "Argythamnia adenophora", "Argythamnia aphoroides", "Argythamnia argyraea", "Argythamnia astroplethes", "Argythamnia brandegeei", "Argythamnia californica", "Argythamnia candicans", "Argythamnia claryana", "Argythamnia cyanophylla", "Argythamnia fasciculata", "Argythamnia humilis", "Argythamnia mercurialina", "Argythamnia neomexicana", "Argythamnia simulans", "Argythamnia stahlii", "Arisaema dracontium", "Arisaema heterophyllum", "Arisaema japonicum", "Arisaema speciosum", "Arisaema tortuosum", "Arisaema triphyllum", "Aristida adscensionis", "Aristida arizonica", "Aristida basiramea", "Aristida beyrichiana", "Aristida californica", "Aristida chaseae", "Astragalus chamaeleuce", "Astragalus chamaemeniscus", "Astragalus chinensis", "Astragalus chloodes", "Astragalus chuskanus", "Astragalus cibarius", "Astragalus cicer", "Astragalus cimae", "Astragalus claranus", "Astragalus clevelandii", "Astragalus cobrensis", "Astragalus coccineus", "Astragalus collinus", "Astragalus coltonii", "Astragalus columbianus", "Astragalus congdonii", "Astragalus conjunctus", "Astragalus consobrinus", "Astragalus contortuplicatus", "Astragalus convallarius", "Astragalus cottonii", "Astragalus crassicarpus", "Astragalus cremnophylax", "Astragalus cronquistii", "Astragalus crotalariae", "Astragalus curtipes", "Astragalus curvicarpus", "Astragalus cusickii var. sterilis", "Astragalus cyaneus", "Astragalus cymboides", "Astragalus deanei", "Astragalus debequaeus", "Astragalus desereticus", "Astragalus desperatus", "Astragalus deterior", "Astragalus detritalis", "Astragalus diaphanus", "Astragalus didymocarpus", "Aristida cognata", "Aristida condensata", "Aristida desmantha", "Aristida dichotoma", "Aristida divaricata", "Aristida floridana", "Aristida gypsophila", "Aristida gyrans", "Aristida havardii", "Aristida lanosa", "Aristida mohrii", "Aristida oligantha", "Aristida palustris", "Aristida pansa", "Aristida patula", "Aristida portoricensis", "Aristida purpurascens", "Aristida purpurea", "Aristida ramosissima", "Aristida refracta", "Aristida rhizomophora", "Aristida schiedeana", "Aristida simpliciflora", "Aristida spiciformis", "Aristida stricta", "Aristida suringarii", "Aristida ternipes", "Aristida tuberculosa", "Aristocapsa insignis", "Aristolochia anguicida", "Aristolochia bilabiata", "Aristolochia bilobata", "Aristolochia californica", "Aristolochia clematitis", "Aristolochia coryi", "Aristolochia elegans", "Aristolochia erecta", "Aristolochia grandiflora", "Aristolochia labiata", "Aristolochia macrophylla", "Aristolochia maxima", "Aristolochia odoratissima", "Aristolochia peltata", "Aristolochia pentandra", "Aristolochia reticulata", "Aristolochia ringens", "Aristolochia serpentaria", "Aristolochia tomentosa", "Aristolochia trilobata", "Aristolochia watsonii", "Aristolochia wrightii", "Armeria maritima", "Armoracia rusticana", "Arnica x diversifolia", "Arnica acaulis", "Arnica angustifolia", "Arnica cernua", "Arnica chamissonis", "Arnica cordifolia", "Arnica discoidea", "Arnica frigida", "Astragalus austiniae", "Astragalus australis", "Astragalus barrii", "Astragalus beathii", "Astragalus beatleyae", "Astragalus beckwithii", "Astragalus bernardinus", "Astragalus bibullatus", "Astragalus bicristatus", "Astragalus bisulcatus", "Astragalus bodinii", "Astragalus bolanderi", "Astragalus bourgovii", "Astragalus brandegeei", "Astragalus brazoensis", "Astragalus breweri", "Astragalus californicus", "Astragalus callithrix", "Astragalus calycosus", "Astragalus camptopus", "Astragalus canadensis", "Astragalus caricinus", "Astragalus casei", "Astragalus castaneiformis", "Astragalus castetteri", "Astragalus ceramicus", "Astragalus cerussatus", "Viola chelmea", "Viola chiapasiensis", "Viola chrysantha", "Viola ciliata", "Viola cinerea", "Viola cochranei", "Viola collina", "Viola columnaris", "Viola commersonii", "Viola comollia", "Viola concordifolia", "Viola confertifolia", "Viola conspersa", "Viola contempta", "Viola cornuta", "Viola coronifera", "Viola corralensis", "Viola corsica", "Viola cotyledon", "Viola crassa", "Viola crassifolia", "Viola crassiuscula", "Viola cretacea", "Viola cuatrecasasii", "Viola cucullata", "Viola cuicochensis", "Viola cummingii", "Viola cuneata", "Viola cunninghamii", "Viola curicoensis", "Viola cuspidifolia", "Viola cyathiformis", "Viola dacica", "Viola dactyloides", "Viola dasyphylla", "Viola davidii", "Viola decipiens", "Viola declinata", "Viola decumbens", "Viola delavayi", "Viola delphinantha", "Viola demetria", "Viola diamantiaca", "Viola dichroa", "Viola diffusa", "Viola diffusoides", "Viola dirimliensis", "Viola dirphya", "Viola disjuncta", "Viola dissecta", "Viola diversifolia", "Viola doerfleri", "Viola dolichocentra", "Arachis sect.", "Arachis sect.", "Arachis sect.", "Asclepias curtissii", "Asclepias cutleri", "Asclepias emoryi", "Asclepias engelmanniana", "Asclepias eriocarpa", "Asclepias erosa", "Asclepias exaltata", "Asclepias fascicularis", "Asclepias feayi", "Asclepias glaucescens", "Asclepias hallii", "Asclepias hirtella", "Asclepias humistrata", "Asclepias hypoleuca", "Asclepias incarnata", "Asclepias involucrata", "Asclepias labriformis", "Asclepias lanceolata", "Asclepias lanuginosa", "Asclepias latifolia", "Asclepias lemmonii", "Asclepias linaria", "Asclepias linearis", "Asclepias longifolia", "Asclepias macrotis", "Asclepias meadii", "Asclepias michauxii", "Asclepias nivea", "Asclepias nummularia", "Asclepias nyctaginifolia", "Asclepias obovata", "Asclepias oenotheroides", "Asclepias ovalifolia", "Asclepias pedicellata", "Asclepias perennis", "Asclepias prostrata", "Asclepias pumila", "Asclepias purpurascens", "Asclepias quadrifolia", "Asclepias quinquedentata", "Asclepias rubra", "Asclepias rusbyi", "Asclepias scaposa", "Asclepias speciosa", "Asclepias sperryi", "Asclepias stenophylla", "Asclepias subulata", "Asclepias subverticillata", "Asclepias sullivantii", "Asclepias syriaca", "Asclepias texana", "Asclepias tomentosa", "Asclepias tuberosa", "Asclepias uncialis", "Asclepias variegata", "Asclepias verticillata", "Asclepias vestita", "Asclepias viridiflora", "Asclepias viridis", "Asclepias viridula", "Asclepias welshii", "Asimina speciosa", "Viola arvensis", "Viola asterias", "Viola athois", "Viola atropurpurea", "Viola aurantiaca", "Viola aurata", "Viola aurea", "Viola auricolor", "Viola auricula", "Viola avatschensis", "Viola bakeri", "Viola bambusetorum", "Viola bangiana", "Viola bangii", "Viola barroetana", "Viola battandieri", "Viola beckiana", "Viola beckwithii", "Viola bertolonii", "Viola betonicifolia", "Viola bezdelevae", "Viola bhutanica", "Viola bicolor", "Viola biflora", "Viola binayensis", "Viola bissetii", "Viola blanda", "Viola blandiformis", "Viola bocquetiana", "Viola boissieuana", "Viola brachyceras", "Viola brachypetala", "Viola brachyphylla", "Viola brevistipulata", "Viola bubanii", "Viola buchtienii", "Viola bulbosa", "Viola bustillosia", "Viola calcarata", "Viola calchaquiensis", "Viola calderensis", "Viola caleyana", "Viola cameleo", "Viola canadensis", "Viola canescens", "Viola canina", "Viola cano-barbata", "Viola capillaris", "Viola castillonii", "Viola catalonica", "Viola caucasica", "Viola cazorlensis", "Viola cenisia", "Viola cerasifolia", "Viola chaerophylloides", "Viola chamaedrys", "Viola chamissoniana", "Viola charlestonensis", "Viola chassanica", "Viola cheiranthifolia", "Asimina obovata", "Asimina parviflora", "Asimina reticulata", "Asimina tetramera", "Asimina triloba", "Aspalathus linearis", "Asparagus africanus", "Asparagus asparagoides", "Asparagus densiflorus", "Asparagus officinalis", "Asperugo procumbens", "Asperula arvensis", "Asperula orientalis", "Asphodelus albus", "Asphodelus fistulosus", "Aspicarpa hirtella", "Aspicarpa hyssopifolia", "Astelia argyrocoma", "Astelia menziesiana", "Astelia waialealae", "Aster alpinus", "Aster tataricus", "Astilbe biternata", "Astilbe crenatiloba", "Astilbe japonica", "Astragalus accidens", "Astragalus accumbens", "Astragalus ackermanii", "Astragalus acutirostris", "Astragalus adanus", "Astragalus aequalis", "Astragalus agnicidus", "Astragalus agrestis", "Astragalus albens", "Astragalus albulus", "Astragalus allochrous", "Astragalus alpinus", "Astragalus altus", "Astragalus alvordensis", "Astragalus amblytropis", "Astragalus americanus", "Astragalus amnis-amissi", "Astragalus amphioxys", "Astragalus ampullarius", "Astragalus andersonii", "Astragalus anisus", "Astragalus anserinus", "Astragalus anxius", "Astragalus applegatii", "Astragalus aquilonius", "Astragalus aretioides", "Astragalus argophyllus", "Astragalus aridus", "Astragalus arizonicus", "Astragalus arrectus", "Astragalus arthurii", "Astragalus asclepiadoides", "Astragalus asymmetricus", "Astragalus atratus", "Astragalus atropubescens", "Arnica fulgens", "Arnica gracilis", "Arnica lanceolata", "Arnica latifolia", "Arnica lessingii", "Arnica lonchophylla", "Arnica longifolia", "Arnica mollis", "Arnica montana", "Arnica nevadensis", "Arnica parryi", "Arnica rydbergii", "Arnica sororia", "Arnica spathulata", "Arnica unalaschcensis", "Arnica venosa", "Arnica viscosa", "Arnoglossum atriplicifolium", "Arnoglossum diversifolium", "Arnoglossum floridanum", "Arnoglossum ovatum", "Arnoglossum plantagineum", "Arnoglossum sulcatum", "Arnoseris minima", "Fridericia chica", "Arracacia xanthorrhiza", "Artabotrys hexapetalus", "Artemisia abrotanum", "Artemisia alaskana", "Artemisia aleutica", "Artemisia annua", "Artemisia arbuscula", "Artemisia arctica", "Artemisia australis", "Artemisia biennis", "Artemisia bigelovii", "Artemisia californica", "Artemisia campestris", "Artemisia cana", "Seriphidium cinum", "Artemisia douglasiana", "Artemisia dracunculus", "Artemisia filifolia", "Artemisia franserioides", "Artemisia frigida", "Artemisia furcata", "Artemisia globularia", "Artemisia glomerata", "Artemisia gmelinii", "Artemisia kauaiensis", "Artemisia laciniata", "Artemisia lindleyana", "Artemisia longifolia", "Artemisia ludoviciana", "Artemisia macrobotrys", "Artemisia maritima", "Artemisia mauiensis", "Artemisia michauxiana", "Artemisia nesiotica", "Artemisia nova", "Artemisia packardiae", "Artemisia palmeri", "Arachis sect.", "Arachis sect.", "Arachis sect.", "Arachis sect.", "Arachis sect.", "Astragalus distortus", "Astragalus diversifolius", "Astragalus douglasii", "Astragalus drabelliformis", "Astragalus drummondii", "Astragalus duchesnensis", "Astragalus eastwoodiae", "Astragalus edulis", "Astragalus egglestonii", "Astragalus emoryanus", "Astragalus endopterus", "Astragalus ensiformis", "Astragalus episcopus", "Astragalus eremiticus", "Astragalus ertterae", "Astragalus eucosmus", "Astragalus eurekensis", "Astragalus eurylobus", "Astragalus falcatus", "Astragalus feensis", "Astragalus filipes", "Astragalus flavus", "Astragalus flexuosus", "Astragalus fucatus", "Astragalus funereus", "Astragalus gambellianus", "Astragalus geyeri", "Astragalus gibbsii", "Astragalus giganteus", "Astragalus gilensis", "Astragalus gilmanii", "Astragalus gilviflorus", "Astragalus glycyphyllos", "Astragalus gracilis", "Astragalus grayi", "Astragalus gummifer", "Astragalus gypsodes", "Astragalus hallii", "Astragalus hamiltonii", "Astragalus harrisonii", "Astragalus hartwegii", "Astragalus holmgreniorum", "Astragalus hoodianus", "Astragalus hornii", "Astragalus howellii", "Astragalus humillimus", "Astragalus humistratus", "Astragalus hyalinus", "Astragalus hypoxylus", "Astragalus inflexus", "Astragalus insularis", "Astragalus inversus", "Astragalus inyoensis", "Astragalus iodopetalus", "Astragalus iselyi", "Astragalus oophorus", "Astragalus oreganus", "Astragalus osterhoutii", "Astragalus oxyphysus", "Astragalus pachypus", "Astragalus palmeri", "Astragalus panamintensis", "Astragalus pardalinus", "Astragalus parryi", "Astragalus pattersonii", "Astragalus pauperculus", "Astragalus paysonii", "Astragalus peckii", "Astragalus pectinatus", "Astragalus perianus", "Astragalus phoenix", "Astragalus pictiformis", "Astragalus pinonis", "Astragalus piscator", "Astragalus piutensis", "Astragalus plattensis", "Astragalus platytropis", "Astragalus pleianthus", "Astragalus polaris", "Astragalus pomonensis", "Astragalus porrectus", "Astragalus praelongus", "Astragalus preussii", "Astragalus proimanthus", "Astragalus proximus", "Astragalus pseudiodanthus", "Astragalus pterocarpus", "Astragalus pubentissimus", "Astragalus pulsiferae", "Astragalus puniceus", "Astragalus purshii", "Astragalus pycnostachyus", "Astragalus rafaelensis", "Astragalus rattanii", "Astragalus ravenii", "Astragalus recurvus", "Astragalus reflexus", "Astragalus remotus", "Astragalus reventiformis", "Astragalus reventus", "Astragalus riparius", "Astragalus ripleyi", "Astragalus robbinsii", "Astragalus rusbyi", "Astragalus jaegerianus", "Astragalus jejunus", "Astragalus layneae", "Astragalus leibergii", "Astragalus lemmonii", "Astragalus lentiformis", "Astragalus lentiginosus", "Astragalus leptaleus", "Astragalus leptocarpus", "Astragalus leucolobus", "Astragalus limnocharis", "Astragalus lindheimeri", "Astragalus linifolius", "Astragalus loanus", "Astragalus lonchocarpus", "Astragalus lotiflorus", "Astragalus lutosus", "Astragalus lyallii", "Astragalus macrodon", "Astragalus magdalenae", "Astragalus malacoides", "Astragalus malacus", "Astragalus megacarpus", "Astragalus michauxii", "Astragalus microcymbus", "Astragalus microcystis", "Astragalus micromerius", "Astragalus miguelensis", "Astragalus minthorniae", "Astragalus misellus", "Astragalus miser", "Astragalus missouriensis", "Astragalus moencoppensis", "Astragalus mohavensis", "Astragalus mokiacensis", "Astragalus mollissimus", "Astragalus molybdenus", "Astragalus monoensis", "Astragalus monumentalis", "Astragalus mulfordiae", "Astragalus musiniensis", "Astragalus naturitensis", "Astragalus neglectus", "Astragalus nelsonianus", "Astragalus neomexicanus", "Astragalus nevinii", "Astragalus newberryi", "Astragalus nidularius", "Astragalus nothoxys", "Astragalus nudisiliquus", "Astragalus nutans", "Astragalus nutriosensis", "Astragalus nuttallianus", "Astragalus nuttallii", "Astragalus nutzotinensis", "Astragalus nyensis", "Astragalus obcordatus", "Astragalus obscurus", "Astragalus oocalycis", "Astragalus oocarpus", "Axonopus furcatus", "Axonopus purpusii", "Axonopus scoparius", "Axyris amaranthoides", "Ayenia compacta", "Ayenia euphrasiifolia", "Ayenia filiformis", "Ayenia glabra", "Ayenia insulicola", "Ayenia limitaris", "Ayenia microphylla", "Ayenia pilosa", "Baccaurea motleyana", "Baccaurea racemosa", "Baccharis angustifolia", "Baccharis bigelovii", "Baccharis dioica", "Baccharis douglasii", "Baccharis emoryi", "Viola dolichoceras", "Viola dombeyana", "Viola domeykoana", "Viola donetzkiensis", "Viola douglasii", "Viola dubyana", "Viola dukadjinica", "Viola dyris", "Viola ecuadorensis", "Viola eizanensis", "Viola elatior", "Viola elegantula", "Viola elisabethae", "Viola eminii", "Viola epipsila", "Viola epipsiloides", "Viola ermenekensis", "Viola eugeniae", "Viola evae", "Viola eximia", "Viola faurieana", "Viola fedtschenkoana", "Viola filicaulis", "Viola fischeri", "Viola fissifolia", "Viola flagelliformis", "Viola flettii", "Viola florairiensis", "Viola flos-evae", "Viola fluhmannii", "Viola formosana", "Astragalus sabulonum", "Astragalus sabulosus", "Astragalus salmonis", "Astragalus saurinus", "Astragalus scaphoides", "Astragalus schmolliae", "Astragalus sclerocarpus", "Astragalus scopulorum", "Astragalus sepultipes", "Astragalus serenoi", "Astragalus sericoleucus", "Astragalus serpens", "Astragalus sesquiflorus", "Astragalus sheldonii", "Astragalus shevockii", "Astragalus shortianus", "Astragalus siliceus", "Astragalus simplicifolius", "Astragalus sinuatus", "Astragalus solitarius", "Astragalus sophoroides", "Astragalus soxmaniorum", "Astragalus spaldingii", "Astragalus sparsiflorus", "Astragalus spatulatus", "Astragalus speirocarpus", "Astragalus straturensis", "Astragalus striatiflorus", "Astragalus subcinereus", "Astragalus subvestitus", "Astragalus succumbens", "Astragalus tegetarioides", "Astragalus tenellus", "Astragalus tener", "Astragalus tennesseensis", "Astragalus tephrodes", "Astragalus terminalis", "Astragalus tetrapterus", "Astragalus thurberi", "Astragalus tibetanus", "Astragalus tidestromii", "Astragalus tiehmii", "Astragalus titanophilus", "Astragalus toanus", "Astragalus toquimanus", "Astragalus tortipes", "Astragalus traskiae", "Astragalus tricarinatus", "Astragalus trichopodus", "Astragalus tridactylicus", "Astragalus troglodytus", "Astragalus tweedyi", "Astragalus tyghensis", "Astragalus umbellatus", "Astragalus umbraticus", "Astragalus uncialis", "Astragalus utahensis", "Astragalus wardii", "Astragalus waterfallii", "Astragalus webberi", "Astragalus welshii", "Astragalus wetherillii", "Astragalus whitneyi", "Araujia megapotamica", "Portumnus latipes", "Pectinaria saxatilis", "Pectinaria tulipiflora", "Upogebia deltaura", "Pestarella tyrrhena", "Baccharis glomeruliflora", "Baccharis halimifolia", "Baccharis havardii", "Baccharis malibuensis", "Baccharis myrsinites", "Baccharis neglecta", "Baccharis pilularis", "Baccharis plummerae", "Baccharis pteronioides", "Baccharis salicifolia", "Baccharis salicina", "Baccharis sarothroides", "Baccharis sergiloides", "Atriplex pacifica", "Atriplex parishii", "Atriplex parryi", "Atriplex phyllostegia", "Atriplex polycarpa", "Atriplex powellii", "Atriplex pusilla", "Atriplex rosea", "Atriplex saccaria", "Atriplex serenana", "Atriplex sibirica", "Atriplex spinifera", "Atriplex tatarica", "Atriplex torreyi", "Atriplex truncata", "Atriplex tularensis", "Atriplex watsonii", "Atriplex wolfii", "Atriplex wrightii", "Attalea funifera", "Aubrieta deltoidea", "Auerodendron pauciflorum", "Aureolaria flava", "Aureolaria grandiflora", "Aureolaria laevigata", "Aureolaria patula", "Aureolaria pectinata", "Aureolaria pedicularia", "Aureolaria virginica", "Aurinia saxatilis", "Avena abyssinica", "Avena barbata", "Avena fatua", "Avena maroccana", "Avena nuda", "Avena sativa", "Avena sterilis", "Avena strigosa", "Averrhoa bilimbi", "Axonopus aureus", "Axonopus compressus", "Axonopus fissifolius", "Baccharis texana", "Baccharis thesioides", "Baccharis vanessae", "Baccharis wrightii", "Bacopa caroliniana", "Bacopa egensis", "Bacopa eisenii", "Bacopa innominata", "Bacopa monnieri", "Bacopa repens", "Bacopa rotundifolia", "Bacopa stricta", "Bactris gasipaes", "Bactris guineensis", "Baeckea frutescens", "Picradeniopsis absinthifolia", "Hymenothrix biternata", "Hymenothrix pedata", "Baileya multiradiata", "Baileya pauciradiata", "Baileya pleniradiata", "Baillonella toxisperma", "Balanites aegyptiaca", "Balanites maughamii", "Baldellia ranunculoides", "Balduina angustifolia", "Balduina atropurpurea", "Balduina uniflora", "Ballota nigra", "Balsamorhiza careyana", "Balsamorhiza deltoidea", "Balsamorhiza hookeri", "Balsamorhiza incana", "Balsamorhiza macrolepis", "Balsamorhiza macrophylla", "Balsamorhiza rosea", "Balsamorhiza sagittata", "Balsamorhiza sericea", "Balsamorhiza serrata", "Baltimora recta", "Bambusa multiplex", "Bambusa beecheyana", "Bambusa glaucescens", "Bambusa tulda", "Bambusa tuldoides", "Bambusa vulgaris", "Banara portoricensis", "Banara vanderbiltii", "Banisteriopsis caapi", "Baphia nitida", "Baptisia alba", "Astragalus williamsii", "Astragalus wingatanus", "Astragalus wittmannii", "Astragalus woodruffii", "Astragalus wrightii", "Astragalus xiphoides", "Astragalus yoder-williamsii", "Astragalus zionis", "Astranthium integrifolium", "Astranthium robustum", "Astrophytum asterias", "Astrophytum ornatum", "Asystasia gangetica", "Atamisquea emarginata", "Athysanus pusillus", "Atrichoseris platyphylla", "Atriplex x aptera", "Atriplex acanthocarpa", "Atriplex argentea", "Extriplex californica", "Atriplex confertifolia", "Atriplex cordulata", "Atriplex coronata", "Atriplex corrugata", "Atriplex coulteri", "Atriplex elegans", "Atriplex fruticulosa", "Atriplex gardneri", "Atriplex garrettii", "Atriplex glabriuscula", "Atriplex gmelinii", "Atriplex graciliflora", "Atriplex halimus", "Atriplex hymenelytra", "Extriplex joaquinana", "Atriplex klebergorum", "Atriplex laciniata", "Atriplex lampa", "Atriplex lentiformis", "Atriplex leucophylla", "Atriplex littoralis", "Atriplex matamorensis", "Atriplex maximowicziana", "Atriplex micrantha", "Atriplex sagittata", "Atriplex oblongifolia", "Atriplex obovata", "Streptomyces avidinii", "Allium paniculatum", "Allium parishii", "Allium parryi", "Allium parvum", "Allium passeyi", "Allium peninsulare", "Allium perdulce", "Allium platycaule", "Allium plummerae", "Allium praecox", "Allium punctum", "Allium robinsonii", "Allium runyonii", "Allium sanbornii", "Allium sativum", "Allium schoenoprasum", "Allium scilloides", "Allium scorodoprasum", "Allium serra", "Allium sharsmithiae", "Allium shevockii", "Allium simillimum", "Allium siskiyouense", "Allium speculae", "Allium stellatum", "Allium textile", "Allium tolmiei", "Allium tribracteatum", "Allium tricoccum", "Allium triquetrum", "Allium tuberosum", "Allium tuolumnense", "Allium unifolium", "Allium ursinum", "Allium validum", "Allium victorialis", "Allium vineale", "Allium yosemitense", "Allolepis texana", "Allophyllum divaricatum", "Allophyllum gilioides", "Allophyllum glutinosum", "Allophyllum integrifolium", "Allophylus crassinervis", "Allophylus racemosus", "Allosidastrum pyramidatum", "Alloteropsis cimicina", "Alnus glutinosa", "Alnus incana", "Alnus maritima", "Alnus rhombifolia", "Alnus rubra", "Alnus serrulata", "Alocasia brisbanensis", "Alocasia cucullata", "Alocasia macrorrhizos", "Aloe arborescens", "Aloe ferox", "Artemisia papposa", "Artemisia parryi", "Artemisia pattersonii", "Artemisia pedatifida", "Artemisia pontica", "Artemisia porteri", "Artemisia pycnocephala", "Artemisia pygmaea", "Artemisia rigida", "Artemisia rothrockii", "Artemisia scoparia", "Artemisia scopulorum", "Artemisia senjavinensis", "Artemisia serrata", "Artemisia stelleriana", "Artemisia suksdorfii", "Artemisia tilesii", "Artemisia tridentata", "Artemisia tripartita", "Artemisia umbelliformis", "Artemisia vulgaris", "Arthraxon castratus", "Arthraxon hispidus", "Arthroceras subterminale", "Arthrostemma ciliatum", "Arthrostylidium farctum", "Arthrostylidium multispicatum", "Arthrostylidium sarmentosum", "Artocarpus altilis", "Artocarpus elasticus", "Artocarpus heterophyllus", "Artocarpus hirsutus", "Artocarpus integer", "Artocarpus mariannensis", "Artocarpus odoratissimus", "Artocarpus rigidus", "Artocarpus tamaran", "Arum italicum", "Arum maculatum", "Aruncus dioicus", "Arundina graminifolia", "Arundinaria gigantea", "Pleioblastus simonii", "Arundo donax", "Asanthus squamulosus", "Asarum canadense", "Asarum caudatum", "Asarum hartwegii", "Asarum lemmonii", "Asarum marmoratum", "Asclepias albicans", "Asclepias amplexicaulis", "Asclepias angustifolia", "Asclepias arenaria", "Asclepias asperula", "Asclepias brachystephana", "Asclepias californica", "Asclepias cinerea", "Asclepias connivens", "Asclepias cordifolia", "Asclepias cryptoceras", "Asclepias curassavica", "Baptisia albescens", "Baptisia arachnifera", "Baptisia australis", "Baptisia bracteata", "Baptisia calycosa", "Baptisia cinerea", "Baptisia lanceolata", "Baptisia lecontei", "Baptisia megacarpa", "Baptisia nuttalliana", "Baptisia perfoliata", "Baptisia simplicifolia", "Baptisia sphaerocarpa", "Baptisia tinctoria", "Barbarea orthoceras", "Barbarea verna", "Barbarea vulgaris", "Barbieria pinnata", "Barkleyanthus salicifolius", "Barleria cristata", "Barleria lupulina", "Barleria opaca", "Barleria prionitis", "Barleriola solanifolia", "Bartlettia scaposa", "Bartonia paniculata", "Bartonia verna", "Bartonia virginica", "Basella alba", "Basiphyllaea corallicola", "Spirobassia hirsuta", "Bassia hyssopifolia", "Bastardia bivalvis", "Bastardia viscosa", "Batesimalva violacea", "Batis maritima", "Bauhinia galpinii", "Bauhinia lunarioides", "Bauhinia monandra", "Bauhinia multinervia", "Bauhinia pauletia", "Bauhinia purpurea", "Bauhinia tomentosa", "Bauhinia variegata", "Phanera yunnanensis", "Bebbia juncea", "Beckmannia syzigachne", "Begonia coccinea", "Begonia convolvulacea", "Begonia cucullata", "Begonia decandra", "Begonia foliosa", "Begonia heracleifolia", "Begonia hirtella", "Sorghum sect.", "Sorghum sect.", "Sorghum sect.", "Sorghum sect.", "Sorghum sect.", "Hibanobambusa tranquillans", "Nelumbo lutea", "Nelumbo nucifera", "Betula occidentalis", "Betula papyrifera", "Betula pendula", "Betula populifolia", "Betula pubescens", "Betula pumila", "Bidens alba", "Bidens amplectens", "Bidens aristosa", "Bidens asymmetrica", "Bidens aurea", "Bidens bidentoides", "Bidens bigelovii", "Bidens bipinnata", "Bidens campylotheca", "Bidens cernua", "Bidens cervicata", "Bidens conjuncta", "Bidens connata", "Bidens coronata", "Bidens cosmoides", "Bidens cuneata", "Bidens cynapiifolia", "Bidens discoidea", "Bidens eatonii", "Bidens frondosa", "Bidens gardneri", "Bidens hawaiensis", "Bidens heterodoxa", "Bidens heterosperma", "Bidens hillebrandiana", "Bidens hyperborea", "Bidens laevis", "Bidens lemmonii", "Bidens leptocephala", "Bidens macrocarpa", "Bidens mauiensis", "Bidens menziesii", "Bidens micrantha", "Aglaonema sect.", "Aglaonema sect.", "Ictidomys tridecemlineatus", "Apus horus horus", "Aerodramus amelis", "Begonia nelumbiifolia", "Begonia reniformis", "Beilschmiedia pendula", "Bellardia trixago", "Bellis perennis", "Benincasa pruriens f. hispida", "Benitoa occidentalis", "Bensoniella oregana", "Berberis canadensis", "Berberis darwinii", "Berberis fendleri", "Berberis harrisoniana", "Berberis julianae", "Berberis thunbergii", "Berberis vulgaris", "Berberis wilcoxii", "Berberis wisleyensis", "Berchemia scandens", "Bergerocactus emoryi", "Bergia texana", "Berkheya heterophylla", "Berlandiera lyrata", "Berlandiera pumila", "Berlandiera subacaulis", "Berlandiera texana", "Bernardia dichotoma", "Bernardia incana", "Bernardia myricifolia", "Berteroa mutabilis", "Bertholletia excelsa", "Berula erecta", "Veronica besseya", "Veronica plantaginea", "Veronica oblongifolia", "Veronica ritteriana", "Veronica rubra", "Veronica wyomingensis", "Beta lomatogona", "Beta nana", "Patellifolia patellaris", "Beta patula", "Patellifolia procumbens", "Beta trigyna", "Beta trojana", "Beta vulgaris", "Betula \u00d7 caerulea", "Betula lenta", "Betula minor", "Betula nana", "Heteracris pulchripes group", "Heteracris guineensis", "Erinaceus europaeus", "Cyclopes didactylus", "Dracunculus canariensis", "Dracunculus vulgaris", "Cannula gracilis", "Iris subg.", "Iris subg.", "Iris subg.", "Iris subg.", "Iris subg.", "Iris subg.", "Iris sect.", "Iris sect.", "Iris sect.", "Iris sect.", "Iris sect.", "Iris sect.", "Iris sect.", "Iris subg.", "Iris douglasiana", "Iris japonica", "Iris lutescens", "Iris pallida", "Iris pseudacorus", "Iris reticulata", "Iris setosa", "Iris sibirica", "Iris spuria", "Encephalartos nubimontanus", "Encephalartos paucidentatus", "Encephalartos poggei", "Encephalartos princeps", "Encephalartos pterogonus", "Encephalartos schaijesii", "Encephalartos schmitzii", "Encephalartos sclavoi", "Encephalartos senticosus", "Encephalartos septentrionalis", "Encephalartos tegulaneus", "Encephalartos transvenosus", "Encephalartos trispinosus", "Encephalartos turneri", "Encephalartos umbeluziensis", "Encephalartos villosus", "Encephalartos whitelockii", "Encephalartos woodii", "Impatiens acaulis", "Impatiens glandulifera", "Impatiens walleriana", "Impatiens acehensis", "Impatiens acuminata", "Impatiens agumbeana", "Impatiens ahernii", "Impatiens albopurpurea", "Impatiens aliciae", "Impatiens alliensii", "Impatiens alpicola", "Impatiens alveolata", "Impatiens amoena", "Impatiens amphibia", "Impatiens amplexicaulis", "Impatiens anaimudica", "Impatiens analavelensis", "Impatiens andohahelae", "Impatiens andringitrensis", "Impatiens angustiflora", "Impatiens anhuiensis", "Impatiens ankaizinensis", "Impatiens annulifer", "Impatiens anovensis", "Impatiens antongiliana", "Impatiens apalophylla", "Impatiens apiculata", "Impatiens appendiculata", "Impatiens apsotis", "Impatiens aquatilis", "Impatiens arachnoides", "Impatiens arguta", "Impatiens arnottii", "Impatiens arunensis", "Impatiens asperipes", "Impatiens asperipetala", "Impatiens assurgens", "Impatiens atrolineata", "Impatiens atrorubra", "Impatiens aureliana", "Impatiens auricoma", "Impatiens auriculata", "Actinidia laevissima", "Actinidia lanceolata", "Actinidia latifolia", "Actinidia leptophylla", "Actinidia liangguangensis", "Actinidia macrosperma", "Actinidia melanandra", "Actinidia melliana", "Actinidia obovata", "Actinidia pilosula", "Actinidia polygama", "Actinidia rubricaulis", "Actinidia rubus", "Actinidia rudis", "Actinidia rufa", "Actinidia rufotricha", "Actinidia sabiifolia", "Actinidia setosa", "Actinidia sorbifolia", "Actinidia stellatopilosa", "Actinidia strigosa", "Actinidia styracifolia", "Actinidia suberifolia", "Actinidia tetramera", "Actinidia trichogyna", "Actinidia ulmifolia", "Actinidia umbelloides", "Actinidia valvata", "Actinidia venosa", "Actinidia vitifolia", "Clematoclethra actinidioides", "Clematoclethra hemsleyi", "Clematoclethra lasioclada", "Clematoclethra scandens", "Clematoclethra strigillosa", "Saurauia aspera", "Saurauia fasciculata", "Saurauia napaulensis", "Saurauia pulchra", "Saurauia punduana", "Saurauia serrata", "Saurauia subspinosa", "Saurauia vulcani", "Hypoxis hemerocallidea", "Dioon tomasellii", "Macrozamia fawcettii", "Macrozamia fearnsidei", "Macrozamia flexuosa", "Macrozamia fraseri", "Macrozamia glaucophylla", "Macrozamia heteromera", "Macrozamia humilis", "Macrozamia johnsonii", "Macrozamia lomandroides", "Macrozamia longispina", "Macrozamia lucida", "Macrozamia macdonnellii", "Macrozamia macleayi", "Macrozamia miquelii", "Macrozamia montana", "Macrozamia mountperriensis", "Macrozamia occidua", "Macrozamia parcifolia", "Macrozamia pauli-guilielmi", "Macrozamia platyrachis", "Macrozamia plurinervia", "Macrozamia polymorpha", "Macrozamia reducta", "Macrozamia riedlei", "Macrozamia secunda", "Macrozamia serpentina", "Macrozamia spiralis", "Macrozamia stenomera", "Macrozamia viridis", "Zamia boliviana", "Zamia chigua", "Zamia cremnophila", "Zamia cunaria", "Zamia disodon", "Zamia dressleri", "Zamia encephalartoides", "Zamia fairchildiana", "Zamia fischeri", "Impatiens balansae", "Viola forrestiana", "Viola fragrans", "Viola frank-smithii", "Viola friderici", "Viola frigida", "Viola frondosa", "Viola fruticosa", "Viola fuscifolia", "Viola fuscoviolacea", "Viola germainii", "Viola glabella", "Viola glacialis", "Viola glandularis", "Viola glaucescens", "Viola glechomoides", "Viola gmeliniana", "Viola godoyae", "Viola gracilis", "Viola gracillima", "Viola grahami", "Viola grandisepala", "Viola granulosa", "Viola grayi", "Viola grisebachiana", "Viola grypoceras", "Viola guadalupensis", "Viola guatemalensis", "Viola hallii", "Viola hamiltoniana", "Viola hancockii", "Viola hastata", "Viola hederacea", "Viola hediniana", "Viola heldreichiana", "Viola helenae", "Viola henryi", "Viola hieronymi", "Viola hillii", "Viola hirsutula", "Viola hirta", "Viola hirtipes", "Platycyamus regnellii", "Iris tectorum", "Iris versicolor", "Actinidia arguta", "Actinidia callosa", "Actinidia carnosifolia", "Actinidia chengkouensis", "Actinidia chinensis", "Actinidia chrysantha", "Actinidia cinerascens", "Actinidia cylindrica", "Actinidia chinensis var. deliciosa", "Actinidia eriantha", "Actinidia fairchildii", "Actinidia farinosa", "Actinidia fasciculoides", "Actinidia fortunatii", "Actinidia fulvicoma", "Actinidia glaucocallosa", "Actinidia glaucophylla", "Actinidia globosa", "Actinidia gracilis", "Actinidia grandiflora", "Actinidia hemsleyana", "Actinidia henryi", "Actinidia holotricha", "Actinidia hypoleuca", "Actinidia indochinensis", "Actinidia kolomikta", "Cycas papuana", "Cycas pectinata", "Cycas petrae", "Cycas pranburiensis", "Cycas pruinosa", "Cycas riuminiana", "Cycas rumphii", "Cycas schumanniana", "Cycas scratchleyana", "Cycas seemannii", "Cycas segmentifida", "Cycas semota", "Cycas sexseminifera", "Cycas siamensis", "Cycas silvestris", "Cycas simplicipinna", "Cycas sphaerica", "Cycas szechuanensis", "Cycas taitungensis", "Cycas taiwaniana", "Cycas tanqingii", "Cycas tansachana", "Cycas thouarsii", "Cycas tropophylla", "Cycas tuckeri", "Cycas wadei", "Cycas xipholepis", "Cycas yorkiana", "Cycas yunnanensis", "Cycas zeylanica", "Ceratozamia euryphyllidia", "Ceratozamia hildae", "Ceratozamia kuesteriana", "Ceratozamia latifolia", "Ceratozamia matudae", "Ceratozamia mexicana", "Ceratozamia miqueliana", "Ceratozamia mirandae", "Ceratozamia mixeorum", "Ceratozamia morettii", "Ceratozamia norstogii", "Ceratozamia robusta", "Ceratozamia sabatoi", "Ceratozamia whitelockiana", "Ceratozamia zaragozae", "Ceratozamia zoquorum", "Dioon califanoi", "Dioon caputoi", "Dioon holmgrenii", "Dioon mejiae", "Dioon merolae", "Dioon purpusii", "Dioon rzedowskii", "Dioon sonorense", "Dioon spinulosum", "Zamia furfuracea", "Impatiens balfourii", "Impatiens balsamina", "Zamia gentryi", "Impatiens barbulata", "Impatiens barnesii", "Impatiens baronii", "Zamia herrerae", "Impatiens baroniana", "Impatiens bathiei", "Zamia hymenophyllidia", "Impatiens beccarii", "Zamia inermis", "Impatiens begoniifolia", "Impatiens begonioides", "Impatiens bemarahensis", "Impatiens benthamii", "Impatiens bequaertii", "Zamia integrifolia", "Impatiens bicaudata", "Impatiens bicolor", "Impatiens bicornuta", "Impatiens bidentata", "Impatiens biganensis", "Impatiens biophytoides", "Impatiens bisaccata", "Zamia ipetiensis", "Impatiens boinensis", "Zamia lacandona", "Impatiens bonii", "Impatiens brachycentra", "Impatiens bracteata", "Impatiens bracteolata", "Impatiens briartii", "Zamia lecointei", "Impatiens buccinalis", "Impatiens buennemeijeri", "Impatiens bullata", "Zamia loddigesii", "Impatiens burtonii", "Impatiens bururiensis", "Zamia manicata", "Zamia melanorrhachis", "Zamia montana", "Zamia monticola", "Zamia muricata", "Zamia neurophyllidia", "Zamia obliqua", "Zamia paucijuga", "Zamia poeppigiana", "Zamia polymorpha", "Zamia portoricensis", "Zamia prasina", "Zamia pseudomonticola", "Zamia pseudoparasitica", "Zamia purpurea", "Zamia pygmaea", "Zamia roezlii", "Zamia skinneri", "Zamia soconuscensis", "Zamia spartea", "Ephedra distachya", "Ephedra fedtschenkoae", "Ephedra fragilis", "Ephedra frustillata", "Ephedra intermedia", "Ephedra lepidosperma", "Ephedra likiangensis", "Ephedra major", "Ephedra minuta", "Ephedra monosperma", "Ephedra przewalskii", "Ephedra regeliana", "Ephedra saxatilis", "Welwitschia mirabilis", "Impatiens capensis", "Impatiens capillipes", "Impatiens catati", "Impatiens cathcartii", "Impatiens cecilii", "Impatiens celatiflora", "Impatiens celligera", "Impatiens ceratophora", "Impatiens chandrasekharanii", "Impatiens charanii", "Impatiens chekiangensis", "Impatiens chimiliensis", "Impatiens chinensis", "Impatiens chishuiensis", "Impatiens chiulungensis", "Impatiens chlorosepala", "Impatiens chloroxantha", "Impatiens chonoceras", "Impatiens chumphonensis", "Impatiens ciliifolia", "Impatiens cinnabarina", "Impatiens cirrhipetala", "Impatiens citrina", "Impatiens clavicornu", "Impatiens cleistogama", "Impatiens cochinica", "Impatiens coelotropis", "Impatiens columbaria", "Impatiens commelinoides", "Impatiens comorensis", "Impatiens conchibracteata", "Impatiens concinna", "Impatiens confusa", "Impatiens congolensis", "Impatiens corchorifolia", "Impatiens cornigera", "Impatiens cothurnoides", "Impatiens coursiana", "Impatiens craddockii", "Impatiens crassisepala", "Impatiens crenata", "Impatiens cribbii", "Impatiens cryptogama", "Impatiens cryptoneura", "Zamia standleyi", "Zamia tuerckheimii", "Zamia ulei", "Zamia urep", "Zamia variegata", "Zamia vazquezii", "Zamia verschaffeltii", "Zamia wallisii", "Equisetum bogotense", "Equisetum diffusum", "Equisetum \u00d7 ferrissii", "Equisetum myriochaetum", "Impatiens calendulina", "Impatiens campanulata", "Gnetum sect.", "Gnetum sect.", "Gnetum subsect.", "Gnetum subsect.", "Gnetum subsect.", "Gnetum amazonicum", "Gnetum camporum", "Gnetum leyboldii", "Gnetum nodiflorum", "Gnetum paniculatum", "Gnetum schwackeanum", "Gnetum urens", "Gnetum venosum", "Gnetum arboreum", "Gnetum catasphaericum", "Gnetum contractum", "Gnetum costatum", "Gnetum cuspidatum", "Gnetum diminutum", "Gnetum giganteum", "Gnetum gnemonoides", "Gnetum gracilipes", "Gnetum hainanense", "Gnetum klossii", "Gnetum latifolium", "Gnetum leptostachyum", "Gnetum loerzingii", "Gnetum luofuense", "Gnetum macrostachyum", "Gnetum microcarpum", "Gnetum montanum", "Gnetum neglectum", "Gnetum oxycarpum", "Gnetum parvifolium", "Gnetum pendulum", "Gnetum ridleyi", "Gnetum tenuifolium", "Gnetum ula", "Ephedra alata", "Ephedra altissima", "Impatiens austrotanzanica", "Cycas arenicola", "Cycas armstrongii", "Cycas arnhemica", "Cycas badensis", "Cycas balansae", "Cycas basaltica", "Cycas beddomei", "Cycas bifida", "Cycas bougainvilleana", "Cycas brachycantha", "Cycas brunnea", "Cycas cairnsiana", "Cycas calcicola", "Cycas campestris", "Cycas canalis", "Cycas candida", "Cycas chamaoensis", "Cycas changjiangensis", "Cycas chevalieri", "Cycas clivicola", "Cycas collina", "Cycas condaoensis", "Cycas conferta", "Cycas couttsiana", "Cycas curranii", "Cycas debaoensis", "Cycas desolata", "Cycas diannanensis", "Cycas dolichophylla", "Cycas edentata", "Cycas elephantipes", "Cycas elongata", "Cycas falcata", "Cycas fairylakea", "Cycas ferruginea", "Cycas fugax", "Cycas furfuracea", "Cycas guizhouensis", "Cycas hainanensis", "Cycas hoabinhensis", "Cycas hongheensis", "Cycas inermis", "Cycas javana", "Cycas lane-poolei", "Cycas lindstromii", "Cycas maconochiei", "Cycas macrocarpa", "Cycas media", "Cycas megacarpa", "Cycas micholitzii", "Cycas micronesica", "Cycas multipinnata", "Cycas nathorstii", "Cycas nongnoochiae", "Cycas ophiolitica", "Cycas orientis", "Cycas pachypoda", "Cycas panzhihuaensis", "Zygopetalinae hybrids", "Psilocybe semilanceata", "Epicrates cenchria", "Encephalartos altensteinii", "Encephalartos aplanatus", "Encephalartos arenarius", "Encephalartos barteri", "Encephalartos brevifoliolatus", "Encephalartos bubalinus", "Encephalartos caffer", "Encephalartos cerinus", "Encephalartos chimanimaniensis", "Encephalartos concinnus", "Encephalartos cupidus", "Encephalartos cycadifolius", "Encephalartos delucanus", "Encephalartos dolomiticus", "Encephalartos dyerianus", "Encephalartos equatorialis", "Encephalartos eugene-maraisii", "Encephalartos ferox", "Encephalartos friderici-guilielmi", "Encephalartos ghellinckii", "Encephalartos gratus", "Encephalartos heenanii", "Encephalartos hildebrandtii", "Encephalartos hirsutus", "Encephalartos horridus", "Encephalartos humilis", "Encephalartos inopinus", "Encephalartos ituriensis", "Encephalartos kisambo", "Encephalartos laevifolius", "Encephalartos lanatus", "Encephalartos latifrons", "Encephalartos laurentianus", "Encephalartos lebomboensis", "Encephalartos lehmannii", "Encephalartos longifolius", "Encephalartos mackenziei", "Encephalartos macrostrobilus", "Encephalartos manikensis", "Encephalartos marunguensis", "Encephalartos middelburgensis", "Encephalartos msinganus", "Encephalartos munchii", "Encephalartos natalensis", "Encephalartos ngoyanus", "Impatiens cuspidata", "Impatiens cuspidifera", "Impatiens cyanantha", "Impatiens cyathiflora", "Impatiens cymbifera", "Impatiens dalzellii", "Impatiens danguyana", "Impatiens dasysperma", "Impatiens davidii", "Impatiens decaryana", "Impatiens decipiens", "Impatiens delavayi", "Impatiens delectans", "Impatiens delicatula", "Impatiens dempoana", "Impatiens dendricola", "Impatiens denisonii", "Impatiens densifolia", "Impatiens depauperata", "Impatiens desmantha", "Impatiens devolii", "Impatiens dewildeana", "Impatiens dicentra", "Impatiens diepenhorstii", "Impatiens digitata", "Impatiens discolor", "Impatiens disotis", "Impatiens diversifolia", "Impatiens dorstenioides", "Impatiens drepanophora", "Impatiens duclouxii", "Impatiens duthiei", "Impatiens ecornuta", "Impatiens echinosperma", "Impatiens edgeworthii", "Impatiens elachistocentra", "Impatiens elatostemmoides", "Impatiens elegans", "Impatiens elephanticeps", "Impatiens elongata", "Impatiens emiliae", "Impatiens engleri", "Impatiens epilobioides", "Impatiens erecticornis", "Impatiens eriosperma", "Impatiens eryaleia", "Impatiens ethiopica", "Impatiens etindensis", "Impatiens eubotrya", "Impatiens exilis", "Impatiens falcifer", "Botrychium lunarioides", "Botrychium manshuricum", "Botrychium matricariifolium", "Botrychium microphyllum", "Botrychium minganense", "Botrychium modestum", "Botrychium mormo", "Botrychium multifidum", "Botrychium nipponicum", "Botrychium officinale", "Botrychium oneidense", "Botrychium pallidum", "Botrychium paradoxum", "Botrychium parvum", "Botrychium pedunculosum", "Botrychium pinnatum", "Botrychium pseudopinnatum", "Botrychium pumicola", "Botrychium rugulosum", "Botrychium simplex", "Botrychium socorrense", "Botrychium spathulatum", "Botrychium subbifoliatum", "Botrychium sutchuanense", "Botrychium ternatum", "Botrychium tibeticum", "Botrychium triangularifolium", "Botrychium underwoodianum", "Botrychium virginianum", "Botrychium yunnanense", "Botrychium montanum", "Ophioglossum azoricum", "Ophioglossum bergianum", "Ophioglossum californicum", "Ophioglossum caroticaule", "Ophioglossum convexum", "Ophioglossum costatum", "Ophioglossum crotalophoroides", "Ophioglossum decipiens", "Ophioglossum engelmannii", "Ophioglossum fernandezianum", "Ophioglossum gomezianum", "Ophioglossum gracile", "Ophioglossum gramineum", "Ophioderma intermedium", "Ophioglossum kawamurae", "Ophioglossum lancifolium", "Ophioglossum latifolium", "Ophioglossum lusitanicum", "Ophioglossum namegatae", "Ophioglossum nudicaule", "Ophioglossum oblongum", "Ophioglossum opacum", "Ophioglossum parvifolium", "Ophioglossum parvum", "Ophioderma pendulum", "Ophioglossum polyphyllum", "Ophioglossum pusillum", "Ophioglossum reticulatum", "Ophioglossum rubellum", "Ophioglossum scariosum", "Ophioderma simplex", "Ophioglossum thermale", "Ophioglossum thomasii", "Ophioglossum vulgatum", "Viola hispida", "Viola hissarica", "Viola hondoensis", "Viola hookeri", "Viola hookeriana", "Viola hossei", "Viola howellii", "Viola huesoensis", "Viola huidobrii", "Viola hultenii", "Viola humilis", "Viola hunanensis", "Viola hymettia", "Viola ibukiana", "Viola ignobilis", "Viola improcera", "Viola incisa", "Viola incognita", "Viola inconspicua", "Viola indica", "Viola ircutiana", "Viola irinae", "Liocarcinus pusillus", "Necora puber", "Eucoptacra anguliflava", "Chlorokybus atmophyticus", "Taeniatherum caput-medusae", "Impatiens fanjingshanica", "Impatiens fenghwaiana", "Impatiens filicaulis", "Impatiens filicornu", "Impatiens firmula", "Impatiens fischeri", "Impatiens flaccida", "Impatiens flammea", "Impatiens flanaganae", "Impatiens flemingii", "Impatiens floretii", "Impatiens floribunda", "Impatiens florigera", "Impatiens fontinalis", "Impatiens forbesii", "Impatiens formosa", "Impatiens frithii", "Impatiens fruticosa", "Impatiens fuchsioides", "Impatiens fulgens", "Impatiens furcata", "Impatiens furcillata", "Impatiens jaeschkei", "Impatiens janthina", "Impatiens javensis", "Impatiens jerdoniae", "Impatiens jinggangensis", "Impatiens jiulongshanica", "Impatiens joachimii", "Impatiens johnii", "Impatiens junghuhnii", "Impatiens jurpia", "Impatiens justicioides", "Impatiens kaliensis", "Impatiens kamerunensis", "Impatiens kanburiensis", "Impatiens kathmanduensis", "Impatiens keilii", "Impatiens kentrodonta", "Impatiens kerriae", "Impatiens kharensis", "Impatiens khasiana", "Impatiens kilimanjari", "Impatiens kingii", "Impatiens kleiniformis", "Impatiens klemmeana", "Impatiens konalarensis", "Impatiens kulamavuensis", "Impatiens kwengeensis", "Impatiens lachnosperma", "Impatiens lacinulifera", "Impatiens laevigata", "Impatiens lampungensis", "Impatiens lanessanii", "Impatiens langeana", "Impatiens lantziana", "Impatiens larsenii", "Impatiens lasiophyton", "Impatiens lateristachys", "Impatiens laticornis", "Impatiens latiflora", "Impatiens latifolia", "Impatiens laumonieri", "Impatiens lawii", "Impatiens lawsonii", "Impatiens laxiflora", "Impatiens lecomtei", "Impatiens furfuracea", "Impatiens gamblei", "Impatiens gammiei", "Impatiens gardneriana", "Impatiens gautieri", "Impatiens geniculata", "Impatiens geniorum", "Impatiens gesneroidea", "Impatiens gibbisepala", "Impatiens glandulisepala", "Impatiens glauca", "Impatiens gomphophylla", "Impatiens gongolana", "Impatiens gongshanensis", "Impatiens gordonii", "Impatiens gorepaniensis", "Impatiens gossweileri", "Impatiens goughii", "Impatiens graciliflora", "Impatiens grandis", "Impatiens grandisepala", "Impatiens granulifera", "Impatiens guizhouensis", "Impatiens hainanensis", "Impatiens hamata", "Impatiens harae", "Impatiens hawkeri", "Impatiens helferi", "Impatiens henanensis", "Impatiens hengduanensis", "Impatiens henslowiana", "Impatiens herbicola", "Impatiens heterosepala", "Impatiens hians", "Impatiens hochstetteri", "Impatiens hoehnelii", "Impatiens holocentra", "Impatiens hongkongensis", "Impatiens hongsonensis", "Impatiens huangyanensis", "Impatiens humbertii", "Impatiens humblotiana", "Impatiens humifusa", "Impatiens humilis", "Impatiens hunanensis", "Impatiens hydrogetonoides", "Impatiens hypophylla", "Impatiens imbricata", "Impatiens inaperta", "Impatiens inayatii", "Impatiens inconspicua", "Impatiens infundibularis", "Impatiens insignis", "Impatiens ioides", "Impatiens irvingii", "Impatiens iteberoensis", "Impatiens ivohibensis", "Catantops stramineus", "Oxya hyla hyla", "Oxya hyla", "Impatiens leedalii", "Impatiens lemannii", "Impatiens lenta", "Impatiens leptocarpa", "Impatiens leptocaulon", "Impatiens leptoceras", "Impatiens leptopoda", "Impatiens leptura", "Impatiens leschenaultii", "Impatiens letouzeyi", "Impatiens leucantha", "Impatiens ligulata", "Impatiens limnophila", "Impatiens linearis", "Impatiens linghziensis", "Impatiens linocentra", "Impatiens loheri", "Impatiens lokohensis", "Impatiens longecalcarata", "Impatiens longepedunculata", "Impatiens longialata", "Impatiens longicornuta", "Impatiens longiloba", "Impatiens longipes", "Impatiens longirama", "Impatiens loulanensis", "Impatiens lugubris", "Impatiens lukwangulensis", "Impatiens sikkimensis", "Impatiens lyallii", "Impatiens maackii", "Cordia sebestena", "Impatiens mackeyana", "Impatiens macrocarpa", "Impatiens macrophylla", "Impatiens macroptera", "Impatiens macrosepala", "Impatiens macrovexilla", "Impatiens maculata", "Impatiens mahengeensis", "Impatiens majumdarii", "Impatiens majungensis", "Impatiens malcomberi", "Impatiens manaharensis", "Impatiens mananteninae", "Impatiens mandrakae", "Impatiens mandrarensis", "Impatiens manillensis", "Impatiens manipurensis", "Impatiens mannii", "Impatiens manongarivensis", "Impatiens manteroana", "Impatiens margaritifera", "Impatiens marianae", "Impatiens marivorahonensis", "Impatiens marojejyensis", "Impatiens masisiensis", "Impatiens masoalensis", "Impatiens masonii", "Impatiens mazumbaiensis", "Impatiens meeboldii", "Impatiens meeuseiana", "Impatiens mendoncae", "Impatiens mengtszeana", "Impatiens meruensis", "Impatiens messumbaensis", "Impatiens mexicana", "Impatiens microcentra", "Impatiens microceras", "Impatiens micromeris", "Impatiens miniata", "Impatiens minor", "Impatiens mirabilis", "Impatiens mishmiensis", "Impatiens modesta", "Impatiens muliensis", "Impatiens munnarensis", "Impatiens munronii", "Impatiens muscicola", "Impatiens mysorensis", "Doricha eliza", "Ascaphus truei", "Barbourula busuangensis", "Barbourula kalimantanensis", "Alytes obstetricans", "Scophthalmus rhombus", "Deania profundorum", "Diospyros nigra", "Diospyros blancoi", "Diospyros melanoxylon", "Diospyros mespiliformis", "Abronia bolackii", "Hyphaene thebaica", "Rattus rattus", "Rosmarinus officinalis", "Hymenaea protera", "Docoglossa incertae sedis", "Victoria cruziana", "Atelecyclus rotundatus", "Impatiens paludicola", "Impatiens paludosa", "Impatiens pandata", "Heliangelus amethysticollis spencei", "Impatiens nalampoonii", "Impatiens namkatensis", "Impatiens nana", "Impatiens napoensis", "Impatiens nasuta", "Impatiens navicula", "Impatiens neglecta", "Impatiens niamniamensis", "Impatiens nigeriensis", "Impatiens nigrescens", "Impatiens nilgirica", "Impatiens noei", "Impatiens noli-tangere", "Impatiens nubigena", "Impatiens nuristanica", "Impatiens nzoana", "Impatiens obesa", "Impatiens occultans", "Impatiens odontosepala", "Impatiens omeiana", "Impatiens opinata", "Impatiens oppositifolia", "Impatiens orchioides", "Impatiens oreocallis", "Impatiens oumina", "Asplenium viride", "Asplenium ruta-muraria", "Impatiens pahalgamensis", "Impatiens pallida", "Impatiens palliderosea", "Impatiens pallidiflora", "Impatiens pallidissima", "Impatiens palpebrata", "Impatiens scullyi", "Impatiens serpens", "Impatiens serrata", "Impatiens serratifolia", "Impatiens shirensis", "Impatiens sholayarensis", "Impatiens siamensis", "Impatiens siculifer", "Impatiens sidikalangensis", "Impatiens silviana", "Impatiens simbiniensis", "Impatiens singgalangensis", "Impatiens sinlumiensis", "Impatiens sivarajanii", "Impatiens sodenii", "Impatiens spathulata", "Impatiens spatulifera", "Impatiens spireana", "Impatiens spirifer", "Impatiens spissiflora", "Impatiens steenisii", "Impatiens stenantha", "Impatiens stenosepala", "Impatiens stricta", "Impatiens striolata", "Impatiens stuhlmannii", "Impatiens subabortiva", "Impatiens subaequalis", "Impatiens subcordata", "Impatiens subecalcarata", "Impatiens subrubriflora", "Impatiens substerilis", "Impatiens substipulata", "Impatiens suichangensis", "Impatiens sulcata", "Impatiens sunkoshiensis", "Impatiens sylvicola", "Tyto novaehollandiae castanops", "Arctostaphylos subg.", "Arctostaphylos subg.", "Arctostaphylos sect.", "Arctostaphylos sect.", "Arctostaphylos sect.", "Iris danfordiae", "Helminthostachys zeylanica", "Cheiroglossa louisii", "Cheiroglossa malgassica", "Cheiroglossa palmata", "Botrychium acuminatum", "Botrychium ascendens", "Botrychium australe", "Botrychium biforme", "Botrychium boreale", "Botrychium campestre", "Botrychium chamaeconium", "Botrychium crenulatum", "Botrychium daucifolium", "Botrychium decompositum", "Botrychium decurrens", "Botrychium dissectum", "Botrychium dusenii", "Botrychium echo", "Botrychium formosanum", "Botrychium gallicomontanum", "Botrychium hesperium", "Botrychium javanicum", "Botrychium lanceolatum", "Botrychium lanuginosum", "Botrychium lineare", "Botrychium longipedunculatum", "Botrychium lunaria", "Impatiens paradoxa", "Impatiens parasitica", "Impatiens parishii", "Impatiens parviflora", "Impatiens parvifolia", "Impatiens parvigaleata", "Impatiens patula", "Impatiens paucidentata", "Impatiens paucisemina", "Impatiens pellucidinervia", "Impatiens peltata", "Impatiens pendula", "Impatiens peperomioides", "Impatiens percordata", "Impatiens percrenata", "Impatiens perezii", "Impatiens perfecunda", "Impatiens perrieri", "Impatiens phoenicea", "Impatiens pierlotii", "Impatiens pilosissima", "Impatiens pilosivittata", "Impatiens pinfanensis", "Impatiens platyadena", "Impatiens platyceras", "Impatiens platypetala", "Impatiens platysepala", "Impatiens podocarpa", "Impatiens polhillii", "Impatiens polyactina", "Impatiens polyantha", "Impatiens polyneura", "Impatiens polysciadia", "Impatiens porrecta", "Impatiens prainii", "Impatiens prasiniflora", "Impatiens prostrata", "Impatiens pseudobicolor", "Impatiens pseudohamata", "Impatiens pseudokingii", "Impatiens pseudomacroptera", "Impatiens pseudoperezii", "Impatiens pseudoviola", "Impatiens pseudozombensis", "Impatiens psittacina", "Impatiens psychadelphoides", "Impatiens pterosepala", "Impatiens puberula", "Impatiens pulcherrima", "Impatiens pulchra", "Impatiens punaensis", "Impatiens purpurea", "Impatiens pyrrhotricha", "Impatiens quadrisepala", "Impatiens quisqualis", "Impatiens racemosa", "Impatiens racemulosa", "Impatiens radiata", "Impatiens ramenensis", "Graphium schubotzi", "Graphium arycles", "Graphium bathycles", "Graphium browni", "Graphium empedovana", "Graphium eurypylus", "Graphium leechi", "Graphium mendana", "Graphium meyeri", "Graphium milon", "Graphium monticolum", "Graphium procles", "Graphium sandawanum", "Graphium stresemanni", "Graphium wallacei", "Graphium weiskei", "Graphium megarus", "Graphium agetes", "Graphium aristeus", "Graphium decolor", "Graphium epaminondas", "Graphium euphratoides", "Guaianaza pronophila", "Forsterinaria pallida aurita", "Forsterinaria rustica", "Forsterinaria rustica villarresi", "Forsterinaria rustica glendita", "Forsterinaria pallida", "Nymphalinae incertae sedis", "Impatiens ukagurensis", "Impatiens uliginosa", "Impatiens ulugurensis", "Impatiens umbellata", "Impatiens uncipetala", "Impatiens undulata", "Impatiens uniflora", "Impatiens uralensis", "Impatiens urticifolia", "Impatiens urticoides", "Impatiens usambarensis", "Impatiens uzungwaensis", "Impatiens vaughanii", "Impatiens venusta", "Impatiens verecunda", "Impatiens verrucifer", "Impatiens verticillata", "Impatiens vesiculifera", "Impatiens vexillaria", "Impatiens vidalii", "Impatiens viguieri", "Impatiens vilersi", "Impatiens violacea", "Impatiens violiflora", "Impatiens violoides", "Impatiens viridiflora", "Impatiens viscida", "Impatiens viscosa", "Impatiens vitellina", "Impatiens volkensii", "Impatiens walkeri", "Impatiens wallichii", "Impatiens warburgiana", "Impatiens wattii", "Impatiens weihsiensis", "Impatiens wightiana", "Impatiens williamsii", "Impatiens wilsonii", "Impatiens wrayi", "Impatiens wuyuanensis", "Impatiens xanthina", "Impatiens xanthocephala", "Impatiens yingjiangensis", "Impatiens zombensis", "Impatiens zygosepala", "Impatiens ramosii", "Impatiens ranomafanae", "Ixodes scapularis", "Impatiens raphidothrix", "Impatiens raziana", "Impatiens rectangula", "Impatiens rectirostrata", "Impatiens recurvinervia", "Impatiens reidii", "Impatiens repens", "Impatiens rheedii", "Impatiens rhinoceros", "Impatiens rhombifolia", "Impatiens ridleyi", "Impatiens rizaliana", "Impatiens rosulata", "Impatiens rothii", "Impatiens rubriflora", "Impatiens rubrolineata", "Impatiens rubromaculata", "Impatiens rudicaulis", "Impatiens rufescens", "Impatiens ruiliensis", "Impatiens runssorensis", "Impatiens rutenbergii", "Impatiens sacculata", "Impatiens sacculifera", "Impatiens sakeriana", "Impatiens saliensis", "Impatiens salpinx", "Impatiens sambiranensis", "Impatiens santisukii", "Impatiens saraburiensis", "Impatiens sarawakensis", "Impatiens saxicola", "Impatiens scabrida", "Impatiens scabriuscula", "Impatiens scapiflora", "Impatiens scitula", "Impatiens scripta", "Agave acklinicola", "Agave angustiarum", "Agave angustifolia", "Agave applanata", "Agave \u00d7 arizonica", "Agave asperrima", "Agave attenuata", "Agave aurea", "Agave avellanidens", "Agave bahamana", "Agave bovicornuta", "Agave bracteosa", "Agave brevispina", "Agave cerulata", "Agave chiapensis", "Agave chrysoglossa", "Agave colimana", "Agave colorata", "Agave dasyliriodes", "Agave datylio", "Agave ellemeetiana", "Agave filifera", "Agave parrasana", "Agave pedunculifera", "Agave pendula", "Agave polyacantha", "Agave potatorum", "Agave promontorii", "Agave salmiana", "Agave schidigera", "Agave sebastiana", "Agave seemanniana", "Agave shrevei", "Agave sobolifera", "Agave sobria", "Agave striata", "Agave victoriae-reginae", "Agave vilmoriniana", "Agave vivipara", "Agave wercklei", "Agave wocomahi", "Bacillus subtilis", "Eurytides bellerophon", "Eurytides callias", "Eurytides dolicaon", "Eurytides iphitas", "Eurytides orabilis", "Eurytides salvini", "Eurytides serville", "Papilio hopponis", "Papilio paris", "Papilio ulysses", "Papilio anactus", "Papilio mechowianus", "Papilio anchisiades", "Papilio andraemon", "Papilio androgeus", "Papilio aristodemus", "Papilio aristor", "Papilio astyalus", "Papilio caiguanabus", "Papilio chiansiades", "Papilio cresphontes", "Papilio epenetus", "Papilio erostratus", "Papilio garleppi", "Papilio hectorides", "Papilio himeros", "Papilio homothoas", "Papilio hyppason", "Papilio isidorus", "Papilio lamarchei", "Papilio machaonides", "Papilio melonius", "Papilio ornythion", "Papilio oxynius", "Papilio paeon", "Papilio pelaus", "Papilio peleides", "Papilio pharnaces", "Papilio rogeri", "Papilio thersites", "Papilio thoas", "Papilio torquatus", "Papilio aegeus", "Papilio alphenor", "Papilio memnon", "Agave flexispina", "Agave funkiana", "Agave geminiflora", "Agave ghiesbreghtii", "Agave guiengola", "Agave harrisii", "Agave hookeri", "Agave horrida", "Agave indagatorum", "Agave karwinskii", "Agave kerchovei", "Agave kewensis", "Agave vera-cruz", "Aglais io", "Baronia brevicornis", "Archon apollinus", "Archon apollinaris", "Hypermnestra helios", "Parnassius cardinal", "Parnassius delphius", "Parnassius maximinus", "Parnassius staudingeri", "Parnassius stenosemus", "Parnassius actius", "Parnassius apollo", "Parnassius apollonius", "Parnassius bremeri", "Parnassius dongalaicus", "Parnassius epaphus", "Parnassius jacquemontii", "Parnassius nomion", "Parnassius phoebus", "Impatiens taishunensis", "Impatiens talbotii", "Impatiens tangachee", "Impatiens tapanuliensis", "Impatiens taprobanica", "Impatiens taronensis", "Impatiens tayemonii", "Impatiens teitensis", "Impatiens tenella", "Impatiens teneriflora", "Impatiens tenerrima", "Impatiens textorii", "Impatiens thamnoidea", "Impatiens thomensis", "Impatiens thomsonii", "Impatiens thwaitesii", "Impatiens tienchuanensis", "Impatiens tienmushanica", "Impatiens tinctoria", "Impatiens tomentella", "Impatiens tomentosa", "Impatiens tongbiguanensis", "Impatiens torenioides", "Impatiens translucida", "Impatiens travancorica", "Impatiens triandra", "Impatiens tricarinata", "Impatiens tricaudata", "Impatiens trichocladon", "Impatiens trichosepala", "Impatiens trichosperma", "Impatiens trigonopteris", "Impatiens trilobata", "Impatiens tripetala", "Impatiens tropaeolifolia", "Impatiens truncata", "Parnassius sacerdos", "Parnassius tianschanicus", "Parnassius andreji", "Parnassius arctica", "Parnassius boedromius", "Parnassius simonius", "Parnassius tenedius", "Parnassius acco", "Parnassius cephalus", "Parnassius hardwickii", "Parnassius hunnyngtoni", "Parnassius maharaja", "Parnassius schultei", "Parnassius szechenyii", "Bhutanitis lidderdalii", "Bhutanitis ludlowi", "Bhutanitis mansfieldi", "Luehdorfia chinensis", "Luehdorfia puziloi", "Luehdorfia japonica", "Luehdorfia longicaudata", "Sericinus montela", "Pedaliodes zingara", "Yphthimoides cipoensis", "Agave mapisaga", "Agave margaritae", "Agave marmorata", "Agave obscura", "Agave pampaniniana", "Impatiens truncicola", "Impatiens tsangshanensis", "Impatiens tsaratananae", "Impatiens tuberculata", "Impatiens tuberifera", "Impatiens tuberosa", "Impatiens tubulosa", "Impatiens tujuhensis", "Impatiens turrialbana", "Atrophaneura aidoneus", "Atrophaneura dixoni", "Atrophaneura hageni", "Atrophaneura horishanus", "Atrophaneura kuehni", "Atrophaneura luchti", "Atrophaneura nox", "Atrophaneura priapus", "Atrophaneura semperi", "Atrophaneura sycorax", "Atrophaneura varuna", "Atrophaneura zaleucus", "Battus belus", "Battus chalceus", "Battus crassus", "Battus devilliersii", "Battus eracon", "Battus laodamas", "Battus lycidas", "Battus madyes", "Battus philenor", "Battus polydamas", "Battus polystictus", "Battus zetides", "Byasa adamsoni", "Byasa alcinous", "Byasa crassipes", "Byasa daemonius", "Byasa dasarada", "Byasa hedistus", "Byasa impediens", "Byasa laos", "Byasa latreillei", "Byasa mencius", "Byasa nevilli", "Byasa plutonius", "Byasa polla", "Byasa polyeuctes", "Cressida cressida", "Euryades corethrus", "Euryades duponchelii", "Losaria coon", "Losaria neptunus", "Losaria palu", "Losaria rhodifer", "Ornithoptera aesacus", "Ornithoptera alexandrae", "Ornithoptera croesus", "Ornithoptera goliath", "Ornithoptera priamus", "Ornithoptera victoriae", "Aster hypoleucus", "Aster indamellus", "Aster ionoglossus", "Aster itsunboshi", "Aster jeffreyanus", "Aster juchaihu", "Aster kantoensis", "Aster koraiensis", "Aster laka", "Aster langaoensis", "Aster latibracteatus", "Aster likiangensis", "Aster limosus", "Aster lingulatus", "Aster lipskyi", "Aster luzonensis", "Aster maackii", "Aster mangshanensis", "Aster megalanthus", "Aster menelii", "Aster miyagii", "Aster molliusculus", "Aster morrisonensis", "Aster motuoensis", "Aster neoelegans", "Aster nigromontanus", "Aster nitidus", "Aster oreophilus", "Aster ovalifolius", "Aster panduratus", "Aster peduncularis", "Aster philippinensis", "Aster poliothamnus", "Aster polios", "Aster prainii", "Aster pycnophyllus", "Aster pyrenaeus", "Aster quitensis", "Aster retusus", "Aster rockianus", "Papilio alexanor", "Papilio brevicauda", "Papilio hospiton", "Papilio indra", "Papilio polyxenes", "Papilio saharae", "Papilio zelicaon", "Papilio constantinus", "Papilio dardanus", "Papilio delalandei", "Papilio demodocus", "Papilio demoleus", "Papilio erithonioides", "Papilio euphranor", "Papilio grosesmithi", "Papilio horribilis", "Papilio leucotaenia", "Papilio lormieri", "Papilio mangoura", "Papilio menestheus", "Papilio morondavana", "Papilio nobilis", "Papilio pelodurus", "Papilio phorcas", "Papilio birchallii", "Papilio esperanza", "Papilio euterpinus", "Papilio glaucus", "Papilio menatius", "Papilio multicaudatus", "Papilio pilumnus", "Papilio zagreus", "Papilio benguetanus", "Papilio xuthus", "Aster albescens", "Aster amellus", "Aster argyropholis", "Aster asteroides", "Aster auriculatus", "Aster baccharoides", "Aster bakerianus", "Aster barbellatus", "Aster batangensis", "Aster bietii", "Aster bipinnatisectus", "Aster brachytrichus", "Aster brevis", "Aster bulleyanus", "Aster diplostephioides", "Aster dolichophyllus", "Aster dolichopodus", "Aster falcifolius", "Aster falconeri", "Aster fanjingshanicus", "Aster farreri", "Aster filipes", "Aster flaccidus", "Aster formosanus", "Aster fulgidulus", "Aster fuscescens", "Aster giraldii", "Aster glehnii", "Aster gracilicaulis", "Aster gymnocephalus", "Aster handelii", "Aster hayatae", "Aster heliopsis", "Aster hersileoides", "Aster heterolepis", "Aster himalaicus", "Aster hololachnus", "Aster homochlamydeus", "Aster hunanensis", "Troides cuneifera", "Troides darsius", "Troides magellanus", "Troides minos", "Troides miranda", "Troides oblongomaculatus", "Troides plateni", "Troides plato", "Troides prattorum", "Troides riedeli", "Troides staudingeri", "Troides vandepolli", "Orthochtha brachycnemis", "Abeliophyllum distichum", "Forsythia europaea", "Forsythia giraldiana", "Forsythia \u00d7 intermedia", "Forsythia japonica", "Forsythia mandschurica", "Forsythia ovata", "Forsythia suspensa", "Forsythia togashii", "Forsythia viridissima", "Chilasa slateri", "Meandrusa payeni", "Meandrusa sciron", "Meandrusa lachinus", "Pachliopta adamas", "Pachliopta antiphus", "Pachliopta aristolochiae", "Pachliopta atropos", "Pachliopta hector", "Pachliopta jophon", "Pachliopta kotzebuea", "Pachliopta leytensis", "Pachliopta liris", "Pachliopta mariae", "Pachliopta oreon", "Pachliopta pandiyana", "Pachliopta phlegon", "Pachliopta polydorus", "Pachliopta polyphontes", "Pachliopta schadenbergi", "Parides aeneas", "Parides agavus", "Parides alopius", "Parides anchises", "Parides ascanius", "Parides bunichus", "Parides burchellanus", "Parides chabrias", "Parides childrenae", "Parides cutorina", "Parides echemon", "Parides erithalion", "Parides eurimedes", "Parides gundlachianus", "Parides hahneli", "Parides iphidamas", "Parides klagesi", "Parides lysander", "Parides montezuma", "Parides neophilus", "Parides orellana", "Parides panares", "Parides panthonus", "Parides phalaecus", "Parides phosphorus", "Parides photinus", "Parides pizarro", "Parides proneus", "Parides quadratus", "Parides sesostris", "Parides tros", "Parides vercingetorix", "Parides vertumnus", "Parides zacynthus", "Pharmacophagus antenor", "Trogonoptera brookiana", "Trogonoptera trojana", "Troides hypolitus", "Troides aeacus", "Troides andromache", "Troides criton", "Aster salwinensis", "Aster sampsonii", "Aster satsumensis", "Aster savatieri", "Aster semiamplexicaulis", "Aster senecioides", "Aster sikkimensis", "Aster sikuensis", "Aster sinianus", "Aster smithianus", "Aster souliei", "Aster spathulifolius", "Aster sphaerotus", "Aster stracheyi", "Aster sugimotoi", "Aster taiwanensis", "Aster taliangshanensis", "Aster techinensis", "Aster tenuipes", "Aster thomsonii", "Aster tongolensis", "Aster tricephalus", "Aster trichoneurus", "Aster trinervius", "Tripolium pannonicum", "Aster tsarungensis", "Aster turbinatus", "Aster veitchianus", "Aster velutinosus", "Aster vestitus", "Aster viscidulus", "Aster vvedenskyi", "Aster willkommii", "Aster yakushimensis", "Aster yomena", "Aster yoshinaganus", "Aster yunnanensis", "Eurybia avita", "Eurybia chlorolepis", "Eurybia compacta", "Eurybia conspicua", "Eurybia divaricata", "Eurybia eryngiifolia", "Eurybia furcata", "Eurybia glauca", "Eurybia hemispherica", "Eurybia horrida", "Ligustrum compactum", "Ligustrum confusum", "Ligustrum delavayanum", "Ligustrum foliosum", "Ligustrum glomeratum", "Ligustrum henryi", "Ligustrum \u00d7 ibolium", "Ligustrum ibota", "Ligustrum japonicum", "Ligustrum leucanthum", "Ligustrum liukiuense", "Ligustrum lucidum", "Ligustrum morrisonense", "Ligustrum nepalense", "Ligustrum obtusifolium", "Ligustrum ovalifolium", "Ligustrum quihoui", "Ligustrum robustum", "Ligustrum sempervirens", "Ligustrum sinense", "Ligustrum strongylophyllum", "Ligustrum tschonoskii", "Ligustrum vulgare", "Olea brachiata", "Olea capensis", "Olea caudatilimba", "Olea exasperata", "Olea hainanensis", "Olea laxiflora", "Olea neriifolia", "Olea paniculata", "Olea parvilimba", "Olea rosea", "Olea salicifolia", "Olea tetragonoclada", "Olea tsoongii", "Symphyotrichum lucayanum", "Symphyotrichum martii", "Symphyotrichum molle", "Symphyotrichum moranense", "Symphyotrichum novae-angliae", "Symphyotrichum novi-belgii", "Symphyotrichum oblongifolium", "Symphyotrichum ontarionis", "Symphyotrichum oolentangiense", "Symphyotrichum parviceps", "Symphyotrichum patagonicum", "Symphyotrichum patens", "Symphyotrichum peteroanum", "Symphyotrichum phlogifolium", "Symphyotrichum pilosum", "Symphyotrichum porteri", "Symphyotrichum potosinum", "Symphyotrichum praealtum", "Symphyotrichum pratense", "Symphyotrichum prenanthoides", "Symphyotrichum priceae", "Symphyotrichum puniceum", "Symphyotrichum racemosum", "Symphyotrichum regnellii", "Symphyotrichum retroflexum", "Symphyotrichum schaffneri", "Symphyotrichum sericeum", "Symphyotrichum shortii", "Symphyotrichum simmondsii", "Symphyotrichum spathulatum", "Symphyotrichum subgeminatum", "Symphyotrichum subspicatum", "Symphyotrichum subulatum", "Symphyotrichum tenuifolium", "Symphyotrichum tradescantii", "Symphyotrichum trilineatum", "Symphyotrichum turbinellum", "Symphyotrichum undulatum", "Symphyotrichum urophyllum", "Symphyotrichum vahlii", "Symphyotrichum walteri", "Symphyotrichum welshii", "Symphyotrichum yukonense", "Symphyotrichum boreale", "Orthochtha brachycnemis brachycnemis", "Orthochtha brachycnemis ottei", "Fraxinus americana", "Fraxinus angustifolia", "Fraxinus anomala", "Lasiophila phalaesia", "Lasiophila phalaesia alce", "Lasiophila phalaesia kroli", "Lasiophila phalaesia confusa", "Lasiophila phalaesia phalaesia", "Lasiophila palades", "Lasiophila palades limes", "Fraxinus bungeana", "Fraxinus caroliniana", "Fraxinus chinensis", "Fraxinus cuspidata", "Fraxinus excelsior", "Fraxinus latifolia", "Fraxinus pennsylvanica", "Fraxinus quadrangulata", "Fraxinus dipetala", "Fraxinus floribunda", "Fraxinus gooddingii", "Fraxinus greggii", "Fraxinus griffithii", "Fraxinus longicuspis", "Fraxinus mandshurica", "Fraxinus micrantha", "Cannabis sativa", "Phymateus cinctus", "Phymateus viridipes", "Phymateus viridipes viridipes", "Fraxinus nigra", "Fraxinus ornus", "Fraxinus pallisiae", "Fraxinus papillosa", "Fraxinus paxiana", "Fraxinus profunda", "Fraxinus raibocarpa", "Fraxinus uhdei", "Fraxinus velutina", "Fraxinus xanthoxyloides", "Jasminum angulare", "Jasminum angustifolium", "Jasminum nudiflorum", "Jasminum sambac", "Jasminum attenuatum", "Jasminum auriculatum", "Jasminum azoricum", "Jasminum beesianum", "Jasminum dichotomum", "Jasminum dispermum", "Jasminum elegans", "Jasminum elongatum", "Jasminum floridum", "Jasminum fluminense", "Jasminum fruticans", "Jasminum grandiflorum", "Jasminum humile", "Jasminum lanceolarium", "Jasminum laurifolium", "Jasminum mesnyi", "Jasminum multiflorum", "Jasminum multipartitum", "Jasminum odoratissimum", "Jasminum officinale", "Jasminum parkeri", "Jasminum polyanthum", "Jasminum rex", "Jasminum simplicifolium", "Jasminum sinense", "Jasminum subhumile", "Jasminum subtriplinerve", "Jasminum tortuosum", "Jasminum urophyllum", "Aster ageratoides", "Aster aitchisonii", "Aster alatipes", "Santosia talmonii", "Eurybia integrifolia", "Eurybia jonesiae", "Eurybia macrophylla", "Eurybia merita", "Eurybia mirabilis", "Eurybia paludosa", "Eurybia radula", "Eurybia saxicastellii", "Eurybia schreberi", "Eurybia sibirica", "Eurybia spectabilis", "Eurybia spinulosa", "Eurybia surculosa", "Eurybia wasatchensis", "Symphyotrichum adnatum", "Symphyotrichum anomalum", "Symphyotrichum anticostense", "Symphyotrichum ascendens", "Symphyotrichum bracei", "Symphyotrichum bullatum", "Symphyotrichum burgessii", "Symphyotrichum campestre", "Symphyotrichum carnerosanum", "Symphyotrichum chilense", "Symphyotrichum ciliatum", "Symphyotrichum ciliolatum", "Symphyotrichum concolor", "Symphyotrichum cordifolium", "Symphyotrichum crenifolium", "Symphyotrichum cusickii", "Symphyotrichum defoliatum", "Symphyotrichum depauperatum", "Symphyotrichum drummondii", "Symphyotrichum dumosum", "Symphyotrichum elliottii", "Symphyotrichum ericoides", "Symphyotrichum eulae", "Symphyotrichum falcatum", "Symphyotrichum fendleri", "Symphyotrichum firmum", "Symphyotrichum foliaceum", "Symphyotrichum fontinale", "Symphyotrichum frondosum", "Symphyotrichum georgianum", "Symphyotrichum glabrifolium", "Symphyotrichum graminifolium", "Symphyotrichum grandiflorum", "Symphyotrichum greatae", "Symphyotrichum hallii", "Symphyotrichum hendersonii", "Symphyotrichum hintonii", "Symphyotrichum jessicae", "Symphyotrichum laeve", "Symphyotrichum lanceolatum", "Symphyotrichum lateriflorum", "Symphyotrichum laurentianum", "Symphyotrichum lentum", "Symphyotrichum leone", "Graphium nomius", "Graphium rhesus", "Graphium stratiotes", "Graphium alebion", "Graphium eurous", "Graphium incertus", "Graphium mandarinus", "Graphium sichuanica", "Graphium tamerlanus", "Iphiclides podalirius", "Iphiclides podalirinus", "Lamproptera curius", "Lamproptera meges", "Mimoides ariarathes", "Mimoides euryleon", "Mimoides ilus", "Mimoides lysithous", "Mimoides microdamas", "Mimoides pausanias", "Mimoides phaon", "Mimoides protodamas", "Mimoides thymbraeus", "Mimoides xeniades", "Mimoides xynias", "Protesilaus aguiari", "Protesilaus earis", "Protesilaus glaucolaus", "Protesilaus helios", "Protesilaus leucosilaus", "Protesilaus macrosilaus", "Protesilaus molops", "Protesilaus orthosilaus", "Protesilaus protesilaus", "Protesilaus stenodesmus", "Protesilaus telesilaus", "Protographium agesilaus", "Protographium anaxilaus", "Protographium asius", "Protographium calliste", "Protographium celadon", "Protographium dioxippus", "Protographium epidaus", "Protographium leosthenes", "Protographium leucaspis", "Protographium marcellinus", "Protographium marcellus", "Protographium philolaus", "Protographium thyastes", "Protographium zonaria", "Teinopalpus aureus", "Teinopalpus imperialis", "Bedfordia demorsa", "Lestoidea barbarae", "Lestoidea brevicauda", "Lestoidea conjuncta", "Lestoidea lewisiana", "Enallagma ambiguum", "Enallagma anna", "Enallagma antennatum", "Enallagma aspersum", "Enallagma basidens", "Enallagma boreale", "Enallagma carunculatum", "Enallagma circulatum", "Enallagma civile", "Enallagma clausum", "Enallagma coecum", "Enallagma concisum", "Enallagma cyathigerum", "Enallagma daeckii", "Enallagma davisi", "Enallagma deserti", "Enallagma divagans", "Enallagma doubledayi", "Enallagma dubium", "Enallagma durum", "Enallagma ebrium", "Enallagma eiseni", "Enallagma exsulans", "Enallagma geminatum", "Enallagma hageni", "Enallagma insula", "Enallagma laterale", "Enallagma longfieldae", "Enallagma maldivense", "Enallagma minusculum", "Enallagma nigrolineatum", "Enallagma novaehispaniae", "Enallagma pallidum", "Enallagma pictum", "Enallagma pollutum", "Enallagma praevarum", "Enallagma recurvatum", "Enallagma risi", "Enallagma rua", "Enallagma schmidti", "Enallagma semicirculare", "Enallagma signatum", "Enallagma sulcatum", "Enallagma traviatum", "Enallagma truncatum", "Enallagma vernale", "Enallagma vesperum", "Enallagma weewa", "Anemone rivularis", "Anemone rupestris", "Anemone rupicola", "Anemone tetrasepala", "Anemone tomentosa", "Anemone vitifolia", "Boselaphus tragocamelus", "Ambystoma cingulatum", "Ambystoma bombypellum", "Ambystoma taylori", "Ambystoma macrodactylum", "Ambystoma mabeei", "Plethodon stormi", "Alopias superciliosus", "Anemone baldensis", "Anemone begoniifolia", "Anemone biflora", "Anemone crinita", "Anemone davidii", "Anemone decapetala", "Anemone demissa", "Anemone flaccida", "Anemone helleborifolia", "Anemone mexicana", "Anemone polyanthes", "Pulsatilla vulgaris", "Anemone raddeana", "Anemone ranunculoides", "Lindenia tetraphylla", "Santosia machadoi", "Santosia marshalli", "Santosia newtoni", "Williamsonia fletcheri", "Williamsonia lintneri", "Porpax asperipes", "Porpax bipunctus", "Porpax garambensis", "Porpax risi", "Bedfordia halecarpenteri", "Agrostis breviculmis", "Bryum capillare", "Agrostis curtisii", "Agrostis dyeri", "Forsterinaria antje", "Forsterinaria coipa", "Forsterinaria enjuerma", "Forsterinaria falcata", "Batesia floribunda", "Eminia antennulifera", "Eminia benguellensis", "Eminia harmsiana", "Eminia holubii", "Newtonia aubrevillei", "Newtonia buchananii", "Newtonia duparquetiana", "Newtonia elliotii", "Newtonia erlangeri", "Newtonia glandulifera", "Newtonia grandifolia", "Newtonia griffoniana", "Newtonia hildebrandtii", "Newtonia leucocarpa", "Newtonia paucijuga", "Newtonia zenkeri", "Rhodopis lowdenii", "Rhodopis planisiliqua", "Zenkerella capparidacea", "Zenkerella citrina", "Zenkerella egregia", "Zenkerella grotei", "Zenkerella schliebenii", "Wisteria brachybotrys", "Wisteria floribunda", "Wisteria frutescens", "Wisteria sinensis", "Laburnum alpinum", "Laburnum anagyroides", "Agrimonia pilosa", "Agrimonia procera", "Agrimonia repens", "Salamandra atra", "Salamandra lanzai", "Nepenthes \u00d7alisaputrana", "Nepenthes \u00d7kinabaluensis", "Agrostis aequivalvis", "Agrostis agrostiflora", "Agrostis alpina", "Agrostis anadyrensis", "Agrostis bergiana", "Forsterinaria itatiaia", "Forsterinaria quantius", "Forsterinaria necys", "Forsterinaria neonympha", "Forsterinaria stella", "Forsterinaria pyrczi", "Forsterinaria proxima", "Forsterinaria pseudinornata", "Forsterinaria punctata", "Forsterinaria anophthalma", "Forsterinaria pichita", "Forsterinaria guaniloi", "Forsterinaria pilosa", "Forsterinaria rotunda", "Forsterinaria difficilis", "Forsterinaria inornata", "Forsterinaria boliviana", "Agrostis eriantha", "Agrostis flaccida", "Ambystoma barbouri", "Ambystoma gracile", "Ambystoma dumerilii", "Batrachoseps attenuatus", "Batrachoseps gabrieli", "Batrachoseps nigriventris", "Batrachoseps simatus", "Batrachoseps stebbinsi", "Batrachoseps wrighti", "Agrostis hugoniana", "Agrostis hygrometrica", "Agrostis inaequiglumis", "Agrostis keniensis", "Agrostis koelerioides", "Agrostis lachnantha", "Agrostis leptotricha", "Agrostis microphylla", "Agrostis montevidensis", "Agrostis munroana", "Agrostis nebulosa", "Agrostis nipponensis", "Agrostis rupestris", "Agrostis thurberiana", "Agrostis tolucensis", "Agrostis vidalii", "Pseudopieris nehemia", "Pseudopieris viridula", "Dismorphia amphione", "Dismorphia arcadia", "Dismorphia crisia", "Dismorphia eunoe", "Dismorphia hyposticta", "Dismorphia laja", "Dismorphia lelex", "Dismorphia lewyi", "Dismorphia lua", "Dismorphia lygdamis", "Dismorphia lysis", "Dismorphia medora", "Dismorphia theucharila", "Enantia albania", "Enantia melite", "Moschoneura pinthous", "Pseudopieris nehemia jessica", "Pseudopieris nehemia mariana", "Pseudopieris viridula mauritia", "Pseudopieris viridula zulma", "Dismorphia amphione bertha", "Dismorphia amphione mora", "Dismorphia arcadia heloisa", "Dismorphia crisia anamaria", "Dismorphia eunoe noelia", "Dismorphia crisia sylvia", "Dismorphia medorilla", "Dismorphia hyposticta ophelia", "Dismorphia hyposticta paulina", "Dismorphia laja rosina", "Dismorphia lelex xiomara", "Dismorphia lewyi rebecca", "Dismorphia lua roberta", "Dismorphia lygdamis beatrix", "Dismorphia lysis mariella", "Dismorphia medora lilianna", "Dismorphia medora juditha", "Dismorphia medorilla sarita", "Dismorphia theucharila elisa", "Enantia albania nuria", "Enantia melite vilma", "Moschoneura pinthous patricia", "Batesia hypochlora", "Dryas iulia", "Syringa oblata", "Syringa \u00d7 persica", "Syringa pinetorum", "Syringa pinnatifolia", "Syringa \u00d7 prestoniae", "Syringa protolaciniata", "Syringa pubescens", "Syringa reticulata", "Syringa sweginzowii", "Syringa tomentella", "Syringa villosa", "Syringa wolfii", "Syringa yunnanensis", "Aconitum alboviolaceum", "Aconitum baicalense", "Aconitum barbatum", "Aconitum bisma", "Aconitum brachypodum", "Aconitum coreanum", "Aconitum degenii", "Aconitum falconeri", "Aconitum forrestii", "Gymnaconitum gymnandrum", "Aconitum hemsleyanum", "Aconitum henryi", "Aconitum heterophyllum", "Aconitum jaluense", "Aconitum japonicum", "Aconitum kusnezoffii", "Aconitum lycoctonum", "Aconitum nagarum", "Aconitum novoluridum", "Aconitum orientale", "Aconitum pendulum", "Aconitum sachalinense", "Aconitum scaposum", "Aconitum sinomontanum", "Aconitum spicatum", "Aconitum sungpanense", "Aconitum variegatum", "Aconitum vilmorinianum", "Aconitum volubile", "Onychodactylus fischeri", "Onychodactylus japonicus", "Heptranchias perlo", "Hexanchus griseus", "Albizia acle", "Albizia adianthifolia", "Albizia altissima", "Albizia amara", "Negaprion brevirostris", "Dicranella grevilleana", "Dicranella schreberiana", "Dicranella varia", "Albizia anthelmintica", "Albizia antunesiana", "Galeocerdo cuvier", "Albizia berteroana", "Albizia brevifolia", "Albizia carbonaria", "Albizia chevalieri", "Albizia coreana", "Albizia coriaria", "Albizia decandra", "Albizia dinklagei", "Albizia edwallii", "Albizia forbesii", "Albizia glaberrima", "Albizia gummifera", "Albizia harveyi", "Albizia inundata", "Albizia kalkora", "Albizia leptophylla", "Albizia lucidior", "Albizia multiflora", "Albizia myriophylla", "Albizia niopoides", "Albizia pedicellata", "Albizia petersiana", "Albizia polycephala", "Albizia polyphylla", "Albizia retusa", "Albizia schimperiana", "Albizia sinaloensis", "Albizia suluensis", "Albizia tanganyicensis", "Albizia tomentella", "Albizia versicolor", "Albizia welwitschii", "Albizia zimmermannii", "Grimmia hermannii", "Alopecurus bulbosus", "Alopecurus dasyanthus", "Alopecurus lanatus", "Alopecurus longearistatus", "Alopecurus magellanicus", "Alopecurus ponticus", "Syringa vulgaris", "Syringa afghanica", "Syringa emodi", "Syringa josikaea", "Syringa komarowii", "Syringa luminifera", "Syringa meyeri", "Agropyron cimmericum", "Agropyron dasyanthum", "Agropyron krylovianum", "Agropyron michnoi", "Agropyron mongolicum", "Arctagrostis arundinacea", "Adansonia digitata", "Bombax buonopozense", "Bombax ceiba", "Bombax insigne", "Fremontodendron californicum", "Fremontodendron decumbens", "Fremontodendron mexicanum", "Aristida adoensis", "Tyrannosaurus rex", "Ceiba aesculifolia", "Ceiba insignis", "Ceiba pentandra", "Ceiba speciosa", "Delphinium bakeri", "Delphinium luteum", "Alternanthera angustifolia", "Alternanthera denticulata", "Alternanthera ficoidea", "Alternanthera halimifolia", "Alternanthera nana", "Alternanthera nodiflora", "Alternanthera olivacea", "Alternanthera pubiflora", "Achyranthes bidentata", "Achyranthes fauriei", "Achyranthes longifolia", "Alopecurus textilis", "Alopecurus utriculatus", "Alopecurus vaginatus", "Aira cupaniana", "Aira elegantissima", "Amphibromus neesii", "Amphibromus nervosus", "Selmasaurus russelli", "Anthoxanthum amarum", "Diapensia purpurea", "Diapensia wardii", "Convallaria keiskei", "Convallaria majalis", "Adansonia madagascariensis", "Adansonia suarezensis", "Adansonia za", "Aristida barbicollis", "Aristida behriana", "Aristida bipartita", "Aristida calycina", "Aristida circinalis", "Aristida congesta", "Aristida contorta", "Aristida cyanantha", "Aristida diffusa", "Aristida engleri", "Aristida funiculata", "Aristida hamulosa", "Aristida hordeacea", "Aristida junciformis", "Aristida longespica", "Aristida meridionalis", "Aristida murina", "Aristida pallens", "Aristida rhiniochloa", "Aristida sanctae-luciae", "Aristida sieberiana", "Aristida stipitata", "Aristida vestita", "Aristida wrightii", "Cyrilla racemiflora", "Clethra acuminata", "Clethra alnifolia", "Clethra arborea", "Clethra barbinervis", "Clethra cavaleriei", "Clethra delavayi", "Clethra fargesii", "Clethra pringlei", "Ambystoma amblycephalum", "Ambystoma ordinarium", "Diapensia himalaica", "Diapensia lapponica", "Delphinium dasyanthum", "Delphinium dasycaulon", "Delphinium decorum", "Delphinium delavayi", "Delphinium denudatum", "Delphinium duhmbergii", "Delphinium dyctyocarpum", "Delphinium elatum", "Delphinium exaltatum", "Delphinium fissum", "Delphinium flexuosum", "Delphinium formosum", "Delphinium geyeri", "Delphinium glaucescens", "Delphinium glaucum", "Delphinium grandiflorum", "Delphinium halteratum", "Delphinium hansenii", "Delphinium hesperium", "Delphinium hirticaule", "Delphinium laxiflorum", "Delphinium leroyi", "Delphinium likiangense", "Delphinium longipedunculatum", "Delphinium maackianum", "Delphinium macrocentron", "Delphinium menziesii", "Delphinium nuttallianum", "Delphinium nuttallii", "Delphinium \u00d7 occidentale", "Delphinium ochroleucum", "Delphinium oxysepalum", "Delphinium parryi", "Delphinium pavonaceum", "Delphinium pentagynum", "Delphinium peregrinum", "Delphinium puniceum", "Delphinium pylzowii", "Delphinium ramosum", "Delphinium recurvatum", "Staphisagria requienii", "Delphinium robustum", "Delphinium scabriflorum", "Delphinium scaposum", "Delphinium schmalhausenii", "Delphinium scopulorum", "Delphinium semibarbatum", "Delphinium speciosum", "Delphinium stachydeum", "Staphisagria macrosperma", "Delphinium szowitsianum", "Delphinium tatsienense", "Delphinium tenuisectum", "Delphinium treleasei", "Delphinium tricorne", "Delphinium triste", "Delphinium trolliifolium", "Delphinium turkmenum", "Delphinium uncinatum", "Delphinium variegatum", "Delphinium verdunense", "Delphinium vestitum", "Delphinium villosum", "Delphinium viridescens", "Streptomyces globisporus", "Streptomyces griseus", "Streptomyces hygroscopicus", "Streptomyces lavendulae", "Streptomyces libani", "Streptomyces rimosus", "Streptomyces rutgersensis", "Streptomyces thermoviolaceus", "Actinomyces neuii", "Mobiluncus curtisii", "Corynebacterium afermentans", "Corynebacterium flaccumfaciens", "Galanthus \u00d7 allenii", "Corynebacterium michiganense", "Galanthus alpinus", "Galanthus angustifolius", "Galanthus cilicicus", "Galanthus elwesii", "Galanthus fosteri", "Galanthus gracilis", "Galanthus ikariae", "Galanthus koenenianus", "Galanthus krasnovii", "Galanthus lagodechianus", "Galanthus nivalis", "Galanthus peshmenii", "Galanthus platyphyllus", "Galanthus plicatus", "Galanthus reginae-olgae", "Galanthus rizehensis", "Galanthus transcaucasicus", "Galanthus trojanus", "Galanthus woronowii", "Micropterix ammanella", "Micropterix amsella", "Micropterix anglica", "Micropterix aruncella", "Micropterix atricapilla", "Micropterix aureatella", "Micropterix aureocapilla", "Micropterix aureofasciella", "Micropterix aureopennella", "Micropterix aureoviridella", "Micropterix balcanica", "Micropterix berytella", "Micropterix calthella", "Micropterix carthaginiensis", "Micropterix completella", "Micropterix concinnella", "Acidimicrobium ferrooxidans", "Acidobacterium capsulatum", "Geothrix fermentans", "Holophaga foetida", "Actinobaculum schaalii", "Actinobaculum suis", "Actinobaculum urinale", "Actinomyces bernardiae", "Actinomyces bovis", "Actinomyces bowdenii", "Actinomyces canis", "Actinomyces cardiffensis", "Actinomyces catuli", "Actinomyces coleocanis", "Actinomyces dentalis", "Actinomyces denticolens", "Actinomyces europaeus", "Actinomyces funkei", "Actinomyces georgiae", "Actinomyces gerencseriae", "Actinomyces graevenitzii", "Actinomyces hongkongensis", "Actinomyces hordeovulneris", "Actinomyces howellii", "Actinomyces humiferus", "Actinomyces hyovaginalis", "Actinomyces israelii", "Actinomyces marimammalium", "Mycobacterium avium", "Mycobacterium bovis", "Mycobacterium chelonae", "Mycobacterium chelonae abscessus", "Mycobacterium abscessus", "Mycobacterium fortuitum", "Mycobacterium tuberculosis", "Araeolaimus zosterae", "Phalaris arundinacea", "Piptatherum miliaceum", "Nassella tenuissima", "Carex riparia", "Carex riparia subsp. variegata", "Fargesia nitida", "Actinomyces meyeri", "Actinomyces naeslundii", "Actinomyces nasicola", "Actinomyces neuii subsp. neuii", "Actinomyces neuii subsp. anitratus", "Actinomyces odontolyticus", "Actinomyces oricola", "Actinomyces pyogenes", "Actinomyces radicidentis", "Actinomyces radingae", "Actinomyces turicensis", "Actinomyces slackii", "Actinomyces streptomycini", "Actinomyces suimastitidis", "Actinomyces urogenitalis", "Actinomyces vaccimaxillae", "Brachypodium phoenicoides", "Actinomyces viscosus", "Arcanobacterium bernardiae", "Arcanobacterium phocae", "Arcanobacterium pyogenes", "Arcanobacterium bialowiezense", "Arcanobacterium bonasi", "Arcanobacterium haemolyticum", "Arcanobacterium hippocoleae", "Arcanobacterium pluranimalium", "Mobiluncus curtisii curtisii", "Mobiluncus curtisii holmesii", "Mobiluncus mulieris", "Ampulicidae incertae sedis", "Piptatherum paradoxum", "Corynebacterium accolens", "Corynebacterium afermentans subsp. afermentans", "Corynebacterium afermentans subsp. lipophilum", "Alcelaphus lichtensteinii", "Delphinium yunnanense", "Camellia brevistyla", "Camellia caudata", "Camellia crapnelliana", "Camellia cuspidata", "Camellia drupifera", "Camellia euryoides", "Camellia forrestii", "Camellia fraterna", "Camellia furfuracea", "Camellia granthamiana", "Camellia hongkongensis", "Camellia japonica", "Camellia kissi", "Camellia lanceolata", "Camellia lutchuensis", "Camellia oleifera", "Camellia parviflora", "Camellia pitardii", "Camellia reticulata", "Camellia salicifolia", "Camellia saluenensis", "Camellia sasanqua", "Camellia sinensis", "Camellia taliensis", "Camellia transarisanensis", "Camellia tsaii", "Camellia uraku", "Camellia \u00d7 williamsii", "Streptomyces achromogenes", "Streptomyces albosporeus", "Streptomyces albus", "Streptomyces cacaoi", "Streptomyces cavourensis", "Streptomyces chrysomallus", "Streptomyces cinereoruber", "Streptomyces diastaticus", "Corynebacterium confusum", "Corynebacterium coyleae", "Corynebacterium cystitidis", "Corynebacterium pilosum", "Corynebacterium diphtheriae", "Corynebacterium durum", "Corynebacterium efficiens", "Corynebacterium equi", "Corynebacterium falsenii", "Corynebacterium fascians", "Corynebacterium felinum", "Corynebacterium testudinoris", "Corynebacterium flaccumfaciens flaccumfaciens", "Corynebacterium flaccumfaciens subsp. betae", "Corynebacterium flaccumfaciens subsp. oortii", "Corynebacterium flaccumfaciens subsp. poinsettiae", "Corynebacterium flavescens", "Corynebacterium freneyi", "Corynebacterium glaucum", "Corynebacterium glucuronolyticum", "Corynebacterium glutamicum", "Corynebacterium halotolerans", "Corynebacterium hoagii", "Corynebacterium ilicis", "Corynebacterium imitans", "Corynebacterium insidiosum", "Corynebacterium iranicum", "Corynebacterium jeikeium", "Corynebacterium kroppenstedtii", "Corynebacterium kutscheri", "Corynebacterium lipophiloflavum", "Corynebacterium liquefaciens", "Corynebacterium macginleyi", "Corynebacterium mastitidis", "Corynebacterium matruchotii", "Corynebacterium michiganense michiganense", "Corynebacterium michiganense insidiosum", "Corynebacterium michiganense nebraskense", "Corynebacterium michiganense sepedonicum", "Corynebacterium michiganense tessellarius", "Corynebacterium minutissimum", "Corynebacterium mucifaciens", "Corynebacterium mycetoides", "Corynebacterium nebraskense", "Corynebacterium nigricans", "Corynebacterium oortii", "Corynebacterium paurometabolum", "Corynebacterium phocae", "Corynebacterium poinsettiae", "Corynebacterium propinquum", "Corynebacterium pseudodiphtheriticum", "Corynebacterium pseudotuberculosis", "Corynebacterium pyogenes", "Corynebacterium rathayi", "Corynebacterium renale", "Corynebacterium resistens", "Corynebacterium riegelii", "Corynebacterium sepedonicum", "Corynebacterium simulans", "Corynebacterium singulare", "Bicyclus anynana", "Corynebacterium sphenisci", "Corynebacterium spheniscorum", "Corynebacterium striatum", "Corynebacterium suicordis", "Corynebacterium sundsvallense", "Corynebacterium terpenotabidum", "Corynebacterium thomssenii", "Corynebacterium tritici", "Corynebacterium tuberculostearicum", "Corynebacterium ulcerans", "Corynebacterium urealyticum", "Corynebacterium variabile", "Corynebacterium vitaeruminis", "Corynebacterium xerosis", "Dietzia cinnamea", "Dietzia maris", "Dietzia natronolimnaea", "Dietzia psychralcaliphila", "Artocarpus blancoi", "Gordonia aichiensis", "Artocarpus cannonii", "Artocarpus chama", "Artocarpus comezianus", "Artocarpus cummingianus", "Gordonia amarae", "Gordonia alkanivorans", "Artocarpus hypargyreus", "Artocarpus lacucha", "Artocarpus pomiformis", "Artocarpus tonkinensis", "Astrophytum capricorne", "Astrophytum myriostigma", "Phalaris amethystina", "Phalaris angusta", "Phalaris aquatica", "Phalaris brachystachys", "Phalaris canariensis", "Phalaris caroliniana", "Phalaris coerulescens", "Phalaris daviesii", "Phalaris elongata", "Phalaris minor", "Phalaris paradoxa", "Phalaris platensis", "Phalaris truncata", "Corynebacterium ammoniagenes", "Corynebacterium amycolatum", "Corynebacterium appendicis", "Corynebacterium aquilae", "Corynebacterium argentoratense", "Corynebacterium atypicum", "Corynebacterium aurimucosum", "Pemphredoninae incertae sedis", "Corynebacterium auris", "Corynebacterium auriscanis", "Corynebacterium betae", "Corynebacterium beticola", "Corynebacterium bovis", "Corynebacterium callunae", "Corynebacterium camporealensis", "Corynebacterium capitovis", "Corynebacterium casei", "Corynebacterium mooreparkense", "Corynebacterium caspium", "Corynebacterium ciconiae", "Juncus pyrenaeus", "Juncus acutus", "Stipa glareosa", "Stipa grandis", "Stipa haussknechtii", "Stipa hirtiflora", "Stipa hohenackeriana", "Stipa holosericea", "Stipa humilis", "Stipa ibari", "Stipa joannis", "Stipa juncoides", "Stipa kirghisorum", "Stipa krylovii", "Stipa lagascae", "Stipa lessingiana", "Stipa namaquensis", "Stipa neaei", "Stipa offneri", "Stipa orientalis", "Stipa parviflora", "Stipa patagonica", "Stipa pennata", "Stipa pontica", "Stipa przewalskyi", "Stipa psylantha", "Stipa pulcherrima", "Stipa redowskii", "Stipa retorta", "Stipa richteriana", "Stipa roborowskyi", "Stipa sareptana", "Stipa sibirica", "Stipa tirsa", "Stipa tuckeri", "Stipa ucrainica", "Stipa zalesskii", "Dicentra canadensis", "Ehrendorferia chrysantha", "Dicentra cucullaria", "Dicentra eximia", "Dicentra formosa", "Dicentra peregrina", "Lamprocapnos spectabilis", "Crocus alatavicus", "Crocus banaticus", "Crocus biflorus", "Crocus boryi", "Crocus carpetanus", "Crocus cartwrightianus", "Crocus chrysanthus", "Crocus clusii", "Crocus etruscus", "Crocus hyemalis", "Crocus imperati", "Crocus laevigatus", "Crocus longiflorus", "Crocus ligusticus", "Crocus reticulatus", "Crocus sativus", "Crocus scharojanii", "Crocus sieberi", "Crocus speciosus", "Crocus tommasinianus", "Crocus vallicola", "Crocus vernus", "Agrionympha capensis", "Agrionympha pseliacma", "Agrionympha vari", "Epimartyria auricrinella", "Epimartyria pardella", "Hypomartyria micropteroides", "Micropterix abchasiae", "Micropterix agenjoi", "Micropterix aglaella", "Micropterix algeriella", "Micropterix allionella", "Micropterix amasiella", "Aeschynomene afraspera", "Aeschynomene amorphoides", "Aeschynomene aphylla", "Aeschynomene bracteosa", "Aeschynomene brasiliana", "Aeschynomene brevifolia", "Aeschynomene brevipes", "Aeschynomene ciliata", "Aeschynomene compacta", "Aeschynomene crassicaulis", "Aeschynomene cristata", "Aeschynomene deamii", "Aeschynomene denticulata", "Delphinium albocoeruleum", "Delphinium altissimum", "Delphinium andersonii", "Delphinium barbeyi", "Delphinium bicolor", "Delphinium \u00d7 belladonna", "Delphinium bicornutum", "Delphinium biternatum", "Delphinium brunonianum", "Delphinium bulleyanum", "Delphinium burkei", "Delphinium californicum", "Delphinium cardinale", "Delphinium carolinianum", "Delphinium cashmerianum", "Delphinium caucasicum", "Delphinium cheilanthum", "Delphinium corymbosum", "Delphinium crispulum", "Aeschynomene abyssinica", "Aeschynomene acapulcensis", "Aeschynomene elegans", "Aeschynomene falcata", "Aeschynomene fascicularis", "Aeschynomene filosa", "Aeschynomene fluitans", "Aeschynomene fluminensis", "Aeschynomene foliolosa", "Aeschynomene fulgida", "Aeschynomene gazensis", "Aeschynomene grandistipulata", "Aeschynomene inyangensis", "Aeschynomene lateritia", "Aeschynomene laxiflora", "Aeschynomene leptophylla", "Aeschynomene mediocris", "Aeschynomene megalophylla", "Aeschynomene micranthos", "Aeschynomene mimosifolia", "Aeschynomene minutiflora", "Aeschynomene mollicula", "Aeschynomene montevidensis", "Aeschynomene nilotica", "Aeschynomene nivea", "Aeschynomene nodulosa", "Aeschynomene nyassana", "Aeschynomene paniculata", "Aeschynomene parviflora", "Aeschynomene pfundii", "Aeschynomene pinetorum", "Aeschynomene portoricensis", "Alpinia hainanensis", "Alpinia intermedia", "Alpinia japonica", "Alpinia latilabris", "Alpinia malaccensis", "Alpinia nigra", "Alpinia nutans", "Alpinia oxymitra", "Alpinia oxyphylla", "Alpinia rafflesiana", "Alpinia romburghiana", "Alpinia vittata", "Amomum longipes", "Amomum subulatum", "Elettaria cardamomum", "Gordonia amicalis", "Gordonia bronchialis", "Gordonia desulfuricans", "Gordonia hirsuta", "Gordonia hydrophobica", "Gordonia namibiensis", "Gordonia nitida", "Gordonia otitidis", "Gordonia paraffinivorans", "Gordonia polyisoprenivorans", "Gordonia rhizosphera", "Gordonia rubripertincta", "Gordonia sihwensis", "Gordonia sinesedis", "Gordonia sputi", "Gordonia terrae", "Gordonia westfalica", "Skermania piniformis", "Populus alba", "Populus \u00d7 canescens", "Populus nigra", "Populus balsamifera", "Populus tremula", "Alpinia formosana", "Alpinia globosa", "Cyclamen africanum", "Cyclamen alpinum", "Cyclamen \u00d7 atkinsii", "Cyclamen cilicium", "Cyclamen colchicum", "Cyclamen coum", "Cyclamen creticum", "Cyclamen cyprium", "Cyclamen elegans", "Cyclamen graecum", "Cyclamen hederifolium", "Cyclamen intaminatum", "Cyclamen libanoticum", "Cyclamen mirabile", "Cyclamen parviflorum", "Cyclamen persicum", "Cyclamen pseudibericum", "Cyclamen purpurascens", "Cyclamen repandum", "Cyclamen rohlfsianum", "Cyclamen somalense", "Stipa aliena", "Stipa arabica", "Stipa araxensis", "Stipa avenacioides", "Stipa baicalensis", "Stipa barbata", "Stipa brandisii", "Stipa brevipes", "Stipa bungeana", "Stipa capensis", "Stipa capillacea", "Stipa capillata", "Stipa caucasica", "Stipa caudata", "Stipa chubutensis", "Stipa clarazii", "Stipa coronata", "Stipa dasyphylla", "Stipa dregeana", "Stipa eriostachya", "Aristolochia sempervirens", "Aristolochia sericea", "Aristolochia surinamensis", "Aristolochia warmingii", "Isotrema westlandii", "Asarum asaroides", "Asarum caudigerum", "Asarum europaeum", "Asarum forbesii", "Asarum hayatanum", "Asarum heterotropoides", "Asarum macranthum", "Asarum nipponicum", "Asarum petelotii", "Asarum sieboldii", "Asarum splendens", "Nakamurella multipartita", "Sporichthya polymorpha", "Sporichthya brevicatena", "Georgenia muralis", "Salana multivorans", "Bogoriella caseilytica", "Frankia alni", "Actinotelluria brasiliensis", "Geodermatophilus obscurus", "Modestobacter multiseptatus", "Kineococcus aurantiacus", "Kineococcus radiotolerans", "Camelus bactrianus", "Cryptosporangium arvum", "Cryptosporangium japonicum", "Cryptosporangium aurantiacum", "Cryptosporangium minutisporangium", "Aristolochia acuminata", "Aristolochia arcuata", "Aristolochia bracteolata", "Aristolochia cauliflora", "Aristolochia chilensis", "Aristolochia contorta", "Aristolochia cymbifera", "Aristolochia debilis", "Aristolochia esperanzae", "Isotrema fangchi", "Aristolochia fimbriata", "Aristolochia fordiana", "Aristolochia gigantea", "Aristolochia glandulosa", "Aristolochia indica", "Aristolochia leuconeura", "Isotrema manshuriense", "Isotrema mollissimum", "Aristolochia paulistana", "Aristolochia pistolochia", "Aristolochia ridicula", "Aristolochia rotunda", "Aristolochia rugosa", "Aristolochia rumphii", "Etlingera elatior", "Etlingera harmandii", "Etlingera hemisphaerica", "Etlingera littoralis", "Etlingera punicea", "Etlingera solaris", "Renealmia alpinia", "Renealmia brasiliensis", "Renealmia jamaicensis", "Kordiimonas gwangyangensis", "Parvularcula bermudensis", "Hedychium ellipticum", "Hedychium flavescens", "Hedychium flavum", "Hedychium gardnerianum", "Hedychium greenii", "Hedychium philippinense", "Hedychium spicatum", "Hedychium thyrsiforme", "Hedychium venustum", "Hedychium villosum", "Hitchenia caulina", "Kaempferia galanga", "Kaempferia gilbertii", "Kaempferia ovalifolia", "Kaempferia rotunda", "Varibaculum cambriense", "Millisia brevis", "Segniliparus rotundus", "Segniliparus rugosus", "Jonesia denitrificans", "Opheodrys aestivus", "Jonesia quinghaiensis", "Agreia bicolorata", "Agreia pratensis", "Mycetocola reblochoni", "Cryobacterium psychrophilum", "Dalatias licha", "Cryocola antiquus", "Frigoribacterium faeni", "Luzula sylvatica", "Tropheryma whipplei", "Dermabacter hominis", "Demetria terragena", "Kineosphaera limosa", "Roscoea alpina", "Roscoea cautleoides", "Roscoea elatior", "Roscoea humeana", "Roscoea purpurea", "Zingiber macradenium", "Zingiber mioga", "Zingiber montanum", "Zingiber officinale", "Zingiber zerumbet", "Helcion pellucidus", "Helcion tella", "Helcion pectunculus", "Helcion dunkeri", "Helcion pruinosus", "Helcioniscus variegata", "Helcioniscus eucosmia", "Patella cochlear", "Patella baudonii", "Lilium carniolicum", "Patella caerulea", "Patella compressa", "Patella depressa", "Patella ferruginea", "Patella gomesi", "Patella lowei", "Patella miniata", "Patella moreleti", "Patella piperata", "Patella caerulea f. subplana", "Patella rustica", "Patella ulyssiponensis", "Patella variabilis", "Patella vulgata", "Onychojapyx schmidti", "Plioprojapyx primitivus", "Amphiuma tridactylum", "Anisocampa munroi", "Anisocampa munroi munroi", "Anisocampa munroi ampliata", "Anisocampa munroi conjuncta", "Leptailurus serval", "Carcharias taurus", "Globba racemosa", "Globba winitii", "Boesenbergia rotunda", "Curcuma aeruginosa", "Curcuma amada", "Curcuma longa", "Curcuma zedoaria", "Curcuma angustifolia", "Curcuma aromatica", "Curcuma petiolata", "Curcuma phaeocaulis", "Curcuma zanthorrhiza", "Hedychium coccineum", "Hedychium coronarium", "Hedychium densiflorum", "Hedychium elatum", "Begonia sect.", "Begonia sect.", "Begonia sect.", "Begonia sect.", "Begonia sect.", "Begonia sect.", "Begonia sect.", "Begonia sect.", "Begonia sect.", "Begonia sect.", "Catajapyx confusus", "Begonia sect.", "Begonia sect.", "Begonia sect.", "Begonia sect.", "Begonia sect.", "Begonia sect.", "Begonia sect.", "Begonia sect.", "Begonia sect.", "Aeschynomene pulchella", "Aeschynomene purpusii", "Aeschynomene racemosa", "Aeschynomene rehmannii", "Aeschynomene rhodesiaca", "Aeschynomene scabra", "Aeschynomene schimperi", "Aeschynomene schliebenii", "Aeschynomene scoparia", "Aeschynomene tambacoundensis", "Aeschynomene trigonocarpa", "Aeschynomene uniflora", "Orthetrum caledonicum", "Orthetrum sabina", "Orthetrum migratum", "Orthetrum serapia", "Orthetrum villosovittatum", "Orthetrum balteatum", "Orthetrum boumiera", "Patella laticostata", "Patella longicosta", "Patella tabularis", "Patella tucopiana", "Patella peronii", "Rhodopetala rosea", "Begonia sect.", "Begonia sect.", "Begonia sect.", "Begonia sect.", "Begonia sect.", "Begonia sect.", "Phrynosoma cornutum", "Begonia sect.", "Begonia sect.", "Begonia sect.", "Carphophis vermis", "Begonia sect.", "Begonia sect.", "Begonia sect.", "Coluber constrictor", "Begonia sect.", "Diadophis punctatus", "Begonia sect.", "Begonia sect.", "Begonia sect.", "Conus abbas", "Conus anthonyi", "Conus aureus", "Conus textile", "Conus victoriae", "Conus telatus", "Conus dalli", "Conus barbieri", "Conus bengalensis", "Conus lightbourni", "Conus canonicus", "Conus retifer", "Conus gloriamaris", "Begonia sect.", "Begonia sect.", "Begonia sect.", "Begonia sect.", "Begonia sect.", "Begonia sect.", "Begonia sect.", "Begonia sect.", "Begonia sect.", "Begonia sect.", "Begonia sect.", "Begonia sect.", "Begonia sect.", "Begonia sect.", "Begonia sect.", "Begonia sect.", "Begonia sect.", "Begonia sect.", "Begonia sect.", "Begonia sect.", "Begonia sect.", "Begonia sect.", "Begonia sect.", "Conus distans", "Conus bartschi", "Patella vulgata vulgata", "Patella vulgata conica", "Patella vulgata picta", "Patella vulgata secernenda", "Patella granularis", "Patella adansonii", "Patella canescens", "Patella granatina", "Patella lugubris", "Patella oculus", "Patella plumbea", "Patella argenvillei", "Patella barbara", "Patella chapmani", "Patella exusta", "Patella flexuosa", "Patella kermadecensis", "Begonia sect.", "Begonia sect.", "Chytridiomycetes incertae sedis", "Harpellales incertae sedis", "Kickxellomycotina incertae sedis", "Dimargaritales incertae sedis", "Begonia sect.", "Camelus dromedarius", "Arsenicicoccus bolidensis", "Intrasporangium calvum", "Knoellia sinensis", "Knoellia subterranea", "Kribbia dieselivorans", "Ornithinicoccus hortensis", "Ornithinimicrobium humiphilum", "Oryzihumus leptocrescens", "Serinicoccus marinus", "Terracoccus luteus", "Tetrasphaera japonica", "Tetrasphaera australiensis", "Tetrasphaera elongata", "Entomophthorales incertae sedis", "Begonia sect.", "Alexandromenia acuminata", "Alexandromenia agassizi", "Alexandromenia antarctica", "Alexandromenia crassa", "Alexandromenia grimaldi", "Alexandromenia latosoleata", "Alexandromenia valida", "Amphimenia neopolitana", "Meromenia hirondellei", "Pachymenia abyssorum", "Plathymenia branchiosa", "Proparamenia bivalens", "Spengelomenia bathybia", "Spengelomenia intermedia", "Spengelomenia polypapillata", "Spengelomenia procera", "Sputoherpia exigua", "Sputoherpia fissitubata", "Sputoherpia laxopharyngeata", "Sputoherpia megaradulata", "Utralvoherpia abyssalis", "Dondersia annulata", "Dondersia californica", "Dondersia cnidevorans", "Dondersia festiva", "Dondersia indica", "Dondersia laminata", "Dondersia stylastericola", "Helluoherpia aegiri", "Lyratoherpia bracteata", "Lyratoherpia carinata", "Lyratoherpia incali", "Micromenia fodiens", "Micromenia simplex", "Nematomenia arctica", "Nematomenia bayulensis", "Nematomenia coralliophila", "Nematomenia flavens", "Nematomenia glacialis", "Nematomenia incirrata", "Hyla cinerea", "Taricha granulosa", "Taricha rivularis", "Taricha torosa", "Begonia sect.", "Begonia sect.", "Begonia sect.", "Monoplacophorus zenkevitchi", "Acanthomenia arcuata", "Acanthomenia gaussiana", "Begonia gracilipes", "Heteroherpia procera", "Imeroherpia quadridens", "Lepidomenia hystrix", "Lepidomenia harpagata", "Tegulaherpia myodoryata", "Tegulaherpia stimulosa", "Tegulaherpia tasmanica", "Nierstrassia fragile", "Macellomenia aciculata", "Macellomenia palifera", "Meioherpia atlantica", "Meioherpia stygalis", "Begonia grandipetala", "Meiomenia arenicola", "Begonia hainanensis", "Meiomenia swedmarki", "Begonia halconensis", "Begonia heliostrophe", "Begonia herveyana", "Begonia hirsuticaulis", "Begonia hispidissima", "Begonia holosericea", "Begonia holttumii", "Begonia horsfieldii", "Begonia hullettii", "Begonia humboldtiana", "Begonia humilicaulis", "Neomenia affinis", "Neomenia carinata", "Neomenia crenagulata", "Neomenia dalyelli", "Neomenia grandis", "Neomenia herwigi", "Neomenia labrosa", "Neomenia laminata", "Neomenia microsolen", "Neomenia permagna", "Neomenia proprietecta", "Neomenia trapeziformis", "Nematomenia norvegica", "Nematomenia platypoda", "Nematomenia protecta", "Nematomenia pytalosa", "Nematomenia squamosa", "Nematomenia tegulata", "Squamatoherpia tricuspidata", "Stylomenia salvatori", "Drepanomenia incrustata", "Drepanomenia perticata", "Drepanomenia vampyrella", "Epimenia allohaemata", "Epimenia arabica", "Epimenia australis", "Epimenia babai", "Epimenia indica", "Epimenia oshimai", "Epiherpia vixinsignis", "Genitoconia atriolonga", "Genitoconia rosea", "Genitoconia mariensis", "Gymnomenia minuta", "Gymnomenia pellucida", "Gymnomenia virgulata", "Wirenia argentea", "Wirenia glandulosa", "Wirenia gonoconota", "Archaeomenia nova", "Archaeomenia prisca", "Hemimenia dorsosulcata", "Hemimenia intermedia", "Begonia eberhardtii", "Begonia edanoi", "Begonia elatostemmoides", "Begonia elatostemma", "Begonia erythrogyna", "Begonia esculenta", "Begonia everettii", "Begonia fasciculata", "Begonia fasciculiflora", "Begonia filibracteosa", "Begonia flacca", "Begonia flexicaulis", "Begonia flexula", "Begonia fruticella", "Begonia gemella", "Begonia gilgiana", "Begonia glabricaulis", "Thalassocalyce inconstans", "Macrochelys temminckii", "Siren intermedia", "Ambystoma talpoideum", "Ambystoma texanum", "Hemidactylium scutatum", "Plethodon serratus", "Anaxyrus fowleri", "Lithobates areolatus", "Lithobates blairi", "Kantharella antarctica", "Begonia adenodes", "Begonia aequata", "Begonia affinis", "Begonia agusanensis", "Begonia albobracteata", "Begonia altissima", "Begonia amphioxus", "Begonia angustilimba", "Begonia anthonyi", "Begonia apayaoensis", "Begonia archboldiana", "Begonia articulata", "Begonia artior", "Begonia atricha", "Begonia augustae", "Begonia axillaris", "Begonia axillipara", "Begonia baramensis", "Begonia barbellata", "Begonia baturongensis", "Begonia berhamanii", "Begonia beryllae", "Begonia bifolia", "Begonia binuangensis", "Begonia bipinnatifida", "Begonia bolsteri", "Begonia bonthainensis", "Begonia borneensis", "Begonia brachybotrys", "Begonia brevipes", "Begonia brevirimosa", "Begonia burbidgei", "Begonia calliantha", "Begonia capituliformis", "Begonia carnosa", "Begonia casiguranensis", "Begonia caudata", "Begonia cauliflora", "Begonia celebica", "Begonia chlorosticta", "Begonia ciliifera", "Begonia cincinnifera", "Begonia clemensiae", "Begonia cognata", "Begonia congesta", "Begonia consanguinea", "Begonia contracta", "Begonia crispipila", "Begonia cumingiana", "Begonia cumingii", "Begonia cuneatifolia", "Begonia densiretis", "Begonia diffusiflora", "Neomenia yamamotoi", "Eleutheromenia bassensis", "Begonia imbricata", "Begonia imperfecta", "Eleutheromenia mimus", "Begonia incisa", "Begonia inostegia", "Eleutheromenia sierra", "Begonia insularum", "Begonia isoptera", "Begonia isopteroidea", "Forcepimenia protecta", "Begonia jagorii", "Begonia keeana", "Gephyroherpia antarctica", "Begonia keithii", "Begonia kelliana", "Begonia kerstingii", "Begonia kinabaluensis", "Begonia koordersii", "Begonia lacera", "Hypomenia nierstraszi", "Labidoherpia spinosa", "Lophomenia spiralis", "Metamenia intermedia", "Metamenia triglandulata", "Pararrhopalia fasciata", "Pararrhopalia pruvoti", "Pruvotina cryophila", "Pruvotina gauszi", "Pruvotina impexa", "Pruvotina longispinosa", "Begonia djamuensis", "Begonia dolichotricha", "Begonia dosedlae", "Vermichiton vermiculus", "Driomenia pacifica", "Pruvotia sopita", "Rhopalomenia aglaopheniae", "Rhopalomenia atlantica", "Rhopalomenia carinata", "Rhopalomenia cristata", "Rhopalomenia rhynchopharyngeata", "Begonia lambii", "Rhopalomenia sertulariicola", "Rhopalomenia tricarinata", "Sandalomenia carinata", "Sandalomenia papilligera", "Begonia lancifolia", "Begonia latistipula", "Begonia lauterbachii", "Begonia layang-layang", "Begonia lazat", "Begonia ledermannii", "Begonia lepidella", "Begonia leptantha", "Begonia leucosticta", "Begonia loheri", "Begonia longibractea", "Begonia longiseta", "Begonia longistipula", "Begonia lunatistyla", "Begonia macgregorii", "Begonia madaiensis", "Begonia malachosticta", "Begonia malindangensis", "Begonia malmquistiana", "Begonia masarangensis", "Begonia mearnsii", "Begonia media", "Begonia megacarpa", "Begonia megalantha", "Begonia melikopia", "Begonia merrittii", "Begonia mindanaensis", "Begonia monantha", "Begonia montis-bismarckii", "Begonia moszkowskii", "Begonia multidentata", "Begonia murudensis", "Begonia mystacina", "Begonia naumoniensis", "Begonia negrosensis", "Begonia novoguineensis", "Begonia oblongata", "Begonia oblongifolia", "Begonia oligantha", "Begonia otophora", "Begonia oxyura", "Begonia padangensis", "Begonia palawanensis", "Begonia panayensis", "Begonia papuana", "Begonia lealii", "Begonia lineolata", "Falcidens poias", "Falcidens afanasjevi", "Falcidens caudatum", "Falcidens gutturosus", "Falcidens hartmanae", "Falcidens hoffmanni", "Liliensternus liliensterni", "Falcidens moskalevi", "Falcidens normanni", "Falcidens odhneri", "Falcidens pellucida", "Falcidens salviniplaweni", "Falcidens wireni", "Dilophosaurus wetherilli", "Furcillidens incrassatum", "Lepoderma acutargatus", "Lepoderma nontargatus", "Lepoderma targatus", "Lepoderma targotegulatus", "Lepoderma chiastos", "Lepoderma loveni", "Limifossor talpoideus", "Limifossor fratula", "Limifossor hexadentatus", "Limifossor holopeltatus", "Limifossor profundus", "Chevroderma gauson", "Chevroderma scalpellum", "Chevroderma turnerae", "Chevroderma whitlatchi", "Chevroderma hadalis", "Chevroderma paradoxum", "Prochaetoderma yongei", "Prochaetoderma atlanticum", "Prochaetoderma boucheti", "Prochaetoderma raduliferum", "Begonia listada", "Claviderma brevicaudatum", "Claviderma eurycarinatum", "Claviderma gagei", "Claviderma australe", "Claviderma gladiatum", "Lonchoderma longisquamosum", "Niteomica latispiculata", "Niteomica hystrix", "Niteomica liliae", "Spathoderma clenchi", "Spathoderma grossa", "Spathoderma subulatum", "Spathoderma alleni", "Spathoderma californicum", "Chaetoderma japonicum", "Chaetoderma kafanovi", "Chaetoderma lucidum", "Chaetoderma luitfriedi", "Chaetoderma majusculum", "Chaetoderma marinae", "Chaetoderma marinelli", "Begonia hilariana", "Begonia hispida", "Chaetoderma marioni", "Begonia hookeriana", "Chaetoderma orientale", "Chaetoderma sibogae", "Chaetoderma militare", "Begonia inculta", "Begonia insularis", "Begonia isopterocarpa", "Begonia itaguassuensis", "Chaetoderma nanulum", "Begonia itatiaiensis", "Chaetoderma pacificum", "Begonia itatinensis", "Begonia itupavensis", "Begonia jocelinoi", "Chaetoderma productum", "Chaetoderma recisum", "Begonia juliana", "Chaetoderma rectum", "Chaetoderma rubrum", "Chaetoderma robustum", "Chaetoderma scabrum", "Chaetoderma scheltemae", "Chaetoderma simplex", "Chaetoderma squamosum", "Chaetoderma strigisquamatum", "Chaetoderma usitatum", "Falcidens aequabilis", "Falcidens crossotus", "Falcidens ingolfensis", "Falcidens limifossorides", "Falcidens liosquameus", "Falcidens procerus", "Falcidens profundus", "Falcidens sagittiferus", "Falcidens sterreri", "Falcidens thorensis", "Falcidens vasconiensis", "Falcidens lipurgos", "Falcidens longus", "Falcidens macranthos", "Falcidens macrafrondis", "Begonia larorum", "Begonia caraguatatubensis", "Begonia cariocana", "Begonia catharinensis", "Begonia collaris", "Begonia concinna", "Begonia cordata", "Begonia cornitepala", "Begonia crispula", "Begonia curtii", "Begonia declinata", "Begonia densifolia", "Begonia dentatiloba", "Begonia dichotoma", "Begonia dietrichiana", "Begonia echinosepala", "Begonia epipsila", "Begonia erecta", "Begonia euryphylla", "Begonia falcifolia", "Begonia fellereriana", "Begonia fernandoi-costae", "Chaetoderma nitidulum", "Begonia fiebrigii", "Chaetoderma argentum", "Chaetoderma abidjanense", "Chaetoderma bacillum", "Chaetoderma californicum", "Chaetoderma eruditum", "Chaetoderma hawaiiense", "Begonia fluminensis", "Begonia forgetiana", "Begonia friburgensis", "Begonia fuscocaulis", "Chaetoderma akkesiense", "Begonia gardneri", "Begonia garuvae", "Begonia gehrtii", "Begonia grisea", "Begonia handroi", "Begonia heringeri", "Chaetoderma araucanae", "Chaetoderma canadense", "Chaetoderma christikovi", "Chaetoderma elegans", "Chaetoderma glacialis", "Chaetoderma hancocki", "Chaetoderma indicum", "Chaetoderma intermedium", "Begonia xiphophylla", "Begonia zamboangensis", "Begonia acetosa", "Begonia acida", "Begonia altamiroi", "Begonia angularis", "Begonia angulata", "Birasoherpia trisialota", "Biserramenia psammobionta", "Cyclomenia holosericea", "Helicoradomenia acredema", "Helicoradomenia bisquama", "Helicoradomenia juani", "Kruppomenia borealis", "Kruppomenia delta", "Kruppomenia levis", "Kruppomenia minima", "Plawenia schizoradulata", "Plawenia sphaera", "Sialoherpia aculeitecta", "Simrothiella margaritacea", "Simrothiella rhynchota", "Anamenia agassi", "Anamenia amboinensis", "Anamenia borealis", "Anamenia farcimen", "Begonia alveolata", "Begonia anisoptera", "Begonia arnottiana", "Begonia asperifolia", "Cretaaviculus sarysuensis", "Gargantuavis philoinos", "Begonia bartlettiana", "Begonia beccarii", "Begonia biliranensis", "Begonia brassii", "Begonia caespitosa", "Begonia calcarea", "Yandangornis longicaudus", "Liaoxiornis delicatus", "Chaoyangia beishanensis", "Megalapteryx didinus", "Pachyornis australis", "Pachyornis elephantopus", "Emeus crassus", "Euryapteryx curtus", "Heterorhea dabbenei", "Diogenornis fragilis", "Opisthodactylus patagonicus", "Hinasuri nehuensis", "Rhea americana albescens", "Rhea americana americana", "Rhea americana araneipes", "Rhea americana intermedia", "Rhea americana nobilis", "Rhea pennata garleppi", "Rhea pennata pennata", "Rhea pennata tarapacensis", "Promusophaga magnifica", "Pseudocrypturus cercanaxius", "Aepyornis gracilis", "Aepyornis hildebrandti", "Begonia kaniensis", "Begonia kerrii", "Begonia klemmei", "Begonia labordei", "Begonia lancilimba", "Begonia lansbergeae", "Begonia leptoptera", "Begonia longinoda", "Begonia longiscapa", "Begonia lukuana", "Begonia luzonensis", "Begonia malipoensis", "Begonia manillensis", "Begonia mindorensis", "Begonia minicarpa", "Begonia minjemensis", "Begonia miranda", "Begonia modestiflora", "Begonia morifolia", "Begonia moulmeinensis", "Begonia muliensis", "Begonia murina", "Begonia neopurpurea", "Begonia nigritarum", "Begonia notata", "Begonia nymphaeifolia", "Begonia obsolescens", "Begonia obtusifolia", "Begonia oligandra", "Begonia orbiculata", "Begonia ovatifolia", "Begonia parva", "Begonia parvuliflora", "Begonia pedunculosa", "Begonia picta", "Begonia pinamalayensis", "Begonia putii", "Begonia pyrrha", "Begonia ravenii", "Begonia rongjiangensis", "Begonia rotundilimba", "Begonia rubella", "Begonia ruboides", "Begonia rubrifolia", "Begonia rufipila", "Begonia satrapis", "Begonia saxifragifolia", "Begonia scintillans", "Begonia serpens", "Begonia setifolia", "Begonia sharpeana", "Begonia sino-vietnamica", "Begonia sinofloribunda", "Begonia soluta", "Begonia subcyclophylla", "Begonia sublobata", "Begonia subnummularifolia", "Aberratiodontus wui", "Ambiortus dementjevi", "Otogornis genghisi", "Gansus yumenensis", "Palaeocursornis corneti", "Dinornis novaezelandiae", "Dinornis robustus", "Aepyornis maximus", "Aepyornis medius", "Mullerornis agilis", "Mullerornis betsilei", "Mullerornis rudis", "Paraphysornis brasiliensis", "Palaeotis wiegelti", "Struthio asiaticus", "Struthio camelus australis", "Struthio camelus camelus", "Struthio camelus massaicus", "Struthio camelus syriacus", "Begonia calcicola", "Begonia carnosula", "Begonia castilloi", "Begonia cavaleriei", "Begonia cehengensis", "Begonia chloroneura", "Begonia clavicaulis", "Begonia collisiae", "Begonia colorata", "Begonia concanensis", "Begonia copelandii", "Begonia coptidimontana", "Begonia cordifolia", "Begonia coronensis", "Begonia dentatobracteata", "Begonia dioica", "Begonia diwolii", "Begonia elmeri", "Begonia fenicis", "Begonia festiva", "Begonia fimbristipula", "Begonia flagellaris", "Begonia fordii", "Begonia garrettii", "Begonia geoffrayi", "Begonia gitingensis", "Begonia glechomifolia", "Begonia grandis", "Begonia guishanensis", "Begonia gulinqingensis", "Begonia havilandii", "Begonia hernandioides", "Begonia hymenocarpa", "Begonia hymenophylloides", "Begonia imitans", "Begonia incerta", "Begonia incondita", "Begonia inversa", "Begonia ionophylla", "Begonia isabelensis", "Psilodens elongatus", "Psilodens tenuis", "Scutopus chilensis", "Scutopus megaradulatus", "Scutopus robustus", "Scutopus ventrolineatus", "Coelophysis bauri", "Megapnosaurus rhodesiensis", "Megapnosaurus kayentakatae", "Ceratosaurus nasicornis", "Ceratosaurus dentisulcatus", "Ceratosaurus magnicornis", "Begonia longibarbata", "Begonia magdalenensis", "Begonia membranacea", "Begonia moysesii", "Begonia neglecta", "Begonia neocomensium", "Begonia nuda", "Begonia obovatistipula", "Begonia obscura", "Begonia occhionii", "Begonia odeteiantha", "Begonia olsoniae", "Begonia otophylla", "Begonia oxyphylla", "Begonia paleata", "Begonia paranaensis", "Begonia parilis", "Begonia parvifolia", "Begonia parvistipulata", "Begonia paulensis", "Begonia peltifolia", "Begonia peristegia", "Begonia pernambucensis", "Begonia peruibensis", "Begonia petasitifolia", "Apteryx australis australis", "Begonia pickelii", "Begonia pilderifolia", "Begonia pilgeriana", "Apteryx australis lawryi", "Begonia pinheironis", "Begonia piresiana", "Begonia pluvialis", "Begonia polyandra", "Begonia princeps", "Begonia pulchella", "Begonia ramentacea", "Begonia riedelii", "Begonia rigida", "Begonia rotunda", "Begonia rufa", "Begonia rufosericea", "Begonia ruhlandiana", "Apteryx mantelli", "Apteryx rowi", "Begonia rupium", "Begonia rutilans", "Begonia salesopolensis", "Begonia sanguinea", "Begonia sarmentacea", "Begonia saxifraga", "Begonia scabrida", "Begonia scharffii", "Begonia schlumbergeriana", "Begonia serranegrae", "Begonia soli-mutata", "Begonia solitudinis", "Begonia spinibarbis", "Begonia stenolepis", "Begonia stenophylla", "Begonia subacida", "Begonia sylvatica", "Begonia teuscheri", "Begonia toledoana", "Begonia tomentosa", "Begonia umbraculifera", "Begonia valdensium", "Begonia valida", "Begonia verruculosa", "Begonia vicina", "Begonia windischii", "Dromaius ocypus", "Dromaius novaehollandiae diemenensis", "Begonia acaulis", "Begonia aceroides", "Begonia acuminatissima", "Begonia acutitepala", "Begonia adscendens", "Dromaius novaehollandiae novaehollandiae", "Begonia alba", "Begonia alvarezii", "Anamenia gorgonophila", "Anamenia spinosa", "Anamenia triangularis", "Strophomenia debilis", "Strophomenia indica", "Strophomenia lacazei", "Strophomenia ophidiana", "Strophomenia regularis", "Strophomenia scandens", "Syngenoherpia intergenerica", "Syngenoherpia sanguicuneosa", "Syngenoherpia thulensis", "Heathimenia verilli", "Halomenia gravida", "Heathia porosa", "Ichthyomenia ichthyodes", "Notomenia clavigera", "Ocheyoherpia lituifera", "Ocheyoherpia trachia", "Pholidoherpia cataphracta", "Pholidoherpia lepidota", "Rhabdoherpia ventromusculata", "Uncimenia neopolitana", "Metachaetoderma challengeri", "Caudofoveatus callosus", "Caudofoveatus tetradens", "Begonia apparicioi", "Begonia arborescens", "Begonia bahiensis", "Begonia bidentata", "Begonia biguassuensis", "Begonia bonitoensis", "Begonia boraceiensis", "Begonia boucheana", "Begonia bradei", "Begonia brevilobata", "Begonia capanemae", "Begonia dielsiana", "Begonia digyna", "Begonia discrepans", "Begonia dryadis", "Begonia duclouxii", "Begonia dux", "Begonia edulis", "Begonia emeiensis", "Incertae sedis", "Begonia flaviflora", "Begonia formosana", "Begonia forrestii", "Begonia foveolata", "Begonia fraseri", "Begonia gagnepainiana", "Begonia glandulosa", "Begonia goniotis", "Begonia gungshanensis", "Begonia hatacoa", "Begonia hekouensis", "Begonia hemsleyana", "Begonia houttuynioides", "Begonia howii", "Begonia integrifolia", "Begonia iridescens", "Begonia klossii", "Begonia kouy-tcheouensis", "Begonia lacerata", "Begonia laminariae", "Begonia langbianensis", "Begonia limprichtii", "Begonia lipingensis", "Begonia littleri", "Begonia longanensis", "Begonia longialata", "Begonia longicaulis", "Begonia longipedunculata", "Begonia lowiana", "Begonia macrotoma", "Begonia maguanensis", "Begonia manhaoensis", "Begonia maxwelliana", "Begonia megalophyllaria", "Begonia mengtzeana", "Begonia nantoensis", "Begonia oreodoxa", "Begonia palmata", "Begonia paucilobata", "Begonia paupercula", "Begonia pavonina", "Begonia pedatifida", "Begonia perakensis", "Begonia suborbiculata", "Incertae sedis", "Begonia subperfoliata", "Begonia subviridis", "Begonia summoglabra", "Begonia surculigera", "Begonia taiwaniana", "Begonia taliensis", "Begonia tonkinensis", "Begonia tribenensis", "Begonia vanoverberghii", "Begonia wadei", "Begonia wangii", "Begonia wengeri", "Begonia wenshanensis", "Begonia woodii", "Begonia xingyiensis", "Begonia xishuiensis", "Begonia yappii", "Begonia yui", "Incertae sedis", "Begonia adenostegia", "Begonia aenea", "Begonia aequilateralis", "Begonia algaia", "Begonia alpina", "Begonia amabilis", "Begonia annulata", "Begonia areolata", "Begonia argentea", "Begonia augustinei", "Begonia austrotaiwanensis", "Begonia baviensis", "Begonia beccariana", "Begonia beddomei", "Begonia brevisetulosa", "Begonia cathayana", "Begonia cathcartii", "Begonia chishuiensis", "Begonia chitoensis", "Begonia chuniana", "Begonia circumlobata", "Begonia collina", "Begonia coptidifolia", "Begonia cucurbitifolia", "Begonia daweishanensis", "Begonia decora", "Begonia deliciosa", "Begonia diadema", "Begonia parvilimba", "Begonia pediophylla", "Begonia peekelii", "Begonia peltatifolia", "Begonia pendula", "Begonia pentaphragmifolia", "Begonia perryae", "Begonia pilosa", "Begonia pinnatifida", "Begonia platyphylla", "Begonia pleioclada", "Begonia postarii", "Begonia promethea", "Begonia propinqua", "Begonia pryeriana", "Begonia pseudolateralis", "Begonia pubescens", "Begonia punbatuensis", "Begonia quercifolia", "Begonia racemosa", "Begonia ramosii", "Begonia randiana", "Begonia rhodantha", "Begonia rieckei", "Begonia rizalensis", "Begonia rubida", "Begonia salomonensis", "Begonia samarensis", "Begonia sarasinorum", "Begonia sarawakensis", "Begonia sarmentosa", "Begonia serraticauda", "Begonia serratipetala", "Begonia siccacaudata", "Begonia simulans", "Begonia sogerensis", "Begonia somervillei", "Begonia sorsogonensis", "Begonia sphenocarpa", "Begonia spilotophylla", "Begonia stilandra", "Begonia strachwitzii", "Begonia strictinervis", "Begonia strictipetiolaris", "Begonia subelliptica", "Begonia subprostrata", "Begonia subtruncata", "Begonia suffrutescens", "Begonia sympodialis", "Begonia tafaensis", "Begonia tawaensis", "Begonia tenericaulis", "Begonia timorensis", "Begonia torricellensis", "Begonia urdanetensis", "Begonia urunensis", "Begonia vandewateri", "Begonia walteriana", "Begonia warburgii", "Begonia wariana", "Begonia weberi", "Begonia weigallii", "Begonia wenzelii", "Begonia wrayi", "Begonia polytricha", "Begonia prolixa", "Begonia psilophylla", "Begonia purpureofolia", "Begonia reflexisquamosa", "Begonia repenticaulis", "Begonia rex", "Begonia rheifolia", "Begonia rhoephila", "Ilerdopteryx viai", "Jixiangornis orientalis", "Kuszholia mengi", "Liaoningornis longidigitris", "Platanavis nana", "Begonia rockii", "Begonia rubropunctata", "Begonia sandalifolia", "Sapeornis chaoyangensis", "Begonia scitifolia", "Begonia scortechinii", "Begonia siamensis", "Begonia sikkimensis", "Begonia smithiae", "Begonia smithiana", "Begonia subhowii", "Begonia tampinica", "Begonia teysmanniana", "Begonia thomsonii", "Begonia tiomanensis", "Begonia truncatiloba", "Begonia tsoongii", "Begonia venusta", "Begonia versicolor", "Begonia villifolia", "Begonia xanthina", "Begonia yingjiangensis", "Shenzhouraptor sinensis", "Jibeinia luanhera", "Songlingornis linghensis", "Begonia barkeri", "Begonia setulosa", "Begonia sousae", "Begonia sparsipila", "Begonia squarrosa", "Begonia stigmosa", "Begonia strigillosa", "Begonia thiemei", "Begonia urophylla", "Begonia vestita", "Begonia xilitlensis", "Jurapteryx recurva", "Proornis coreae", "Protarchaeopteryx robusta", "Wellnhoferia grandis", "Confuciusornis sanctus", "Begonia acerifolia", "Begonia aconitifolia", "Begonia arrogans", "Begonia barkleyana", "Begonia bifurcata", "Confuciusornis dui", "Begonia brachyclada", "Begonia brandbygeana", "Begonia cavum", "Begonia cebadillensis", "Begonia crinita", "Begonia cuernavacensis", "Begonia cylindrata", "Begonia exalata", "Begonia extranea", "Changchengornis hengdaoziensis", "Begonia falciloba", "Begonia fernaldiana", "Begonia hintoniana", "Begonia hydrophylloides", "Begonia ignea", "Jinzhournis yixianensis", "Begonia incarnata", "Jinzhournis zhangjiyingia", "Begonia kuhlmannii", "Begonia lachaoensis", "Begonia leathermaniae", "Begonia ludwigii", "Cuspirostrisornis houi", "Begonia bettinae", "Begonia bowerae", "Begonia breedlovei", "Begonia buseyi", "Begonia cardiocarpa", "Begonia carolineifolia", "Begonia carrieae", "Begonia chiapensis", "Begonia chivatoa", "Begonia conchifolia", "Begonia corredorana", "Begonia corzoensis", "Begonia crassicaulis", "Begonia cristobalensis", "Begonia croatii", "Begonia dressleri", "Begonia fusca", "Begonia garagarana", "Archaeopteryx lithographica", "Begonia hispidivillosa", "Begonia hydrocotylifolia", "Begonia involucrata", "Begonia jaliscana", "Begonia karwinskyana", "Begonia kenworthyae", "Begonia knoopii", "Begonia kortsiae", "Begonia lindleyana", "Begonia louis-williamsii", "Begonia lyman-smithii", "Begonia mariti", "Archaeopteryx siemensii", "Begonia mazae", "Begonia morii", "Begonia mucronistipula", "Begonia multinervia", "Begonia multistaminea", "Begonia peltata", "Begonia philodendroides", "Begonia pinetorum", "Begonia plantaginea", "Begonia plebeja", "Begonia polygonata", "Begonia pringlei", "Begonia pruinata", "Begonia pudica", "Begonia quaternata", "Begonia rafael-torresii", "Begonia rhizocaulis", "Begonia roseibractea", "Begonia sartorii", "Begonia sericoneura", "Begonia lugonis", "Begonia mariannensis", "Begonia mayasiana", "Begonia maynensis", "Piksi barbarulna", "Begonia michoacana", "Begonia microcarpa", "Begonia molinana", "Begonia nemoralis", "Begonia oellgaardii", "Begonia olbia", "Begonia parcifolia", "Begonia parodiana", "Begonia pastoensis", "Begonia piurensis", "Yixianornis garbaui", "Begonia platanifolia", "Begonia relicta", "Begonia santos-limae", "Begonia serotina", "Begonia sparreana", "Begonia stenocardia", "Begonia uniflora", "Begonia velata", "Begonia viscida", "Begonia weberlingii", "Begonia wollnyi", "Yanornis martini", "Catenoleimus anachoretus", "Protopteryx fengningensis", "Begonia albococcinea", "Begonia brandisiana", "Begonia cardiophora", "Begonia chingii", "Begonia coriacea", "Begonia corneri", "Begonia fibrosa", "Begonia floccifera", "Begonia forbesii", "Begonia foxworthyi", "Begonia goegoensis", "Apsaravis ukhaana", "Boluochia zhengi", "Concornis lacustris", "Eocathayornis walkeri", "Iberomesornis romerali", "Noguerornis gonzalei", "Sinornis santensis", "Vorona berivotrensis", "Cathayornis yandica", "Cathayornis aberransis", "Cathayornis caudatus", "Patagopteryx deferrarisii", "Protoavis texensis", "Omnivoropteryx sinousaorum", "Potamornis skutchi", "Begonia gomantongensis", "Begonia gueritziana", "Begonia harmandii", "Begonia hasskarliana", "Begonia henryi", "Begonia hymenophylla", "Begonia ignorata", "Begonia intermixta", "Begonia lithophila", "Begonia lobbii", "Begonia mollis", "Begonia muricata", "Begonia nivea", "Begonia nurii", "Begonia parvula", "Begonia phrixophylla", "Begonia pierrei", "Begonia pumilio", "Begonia rabilii", "Begonia rajah", "Begonia speluncae", "Begonia stictopoda", "Begonia subpeltata", "Begonia sudjanae", "Begonia sychnantha", "Begonia tayabensis", "Begonia tenera", "Begonia trichocarpa", "Begonia trichopoda", "Begonia vuijckii", "Begonia wilsonii", "Incertae sedis", "Eoalulavis hoyasi", "Halimornis thompsoni", "Largirostrisornis sexdentoris", "Lectavis bretincola", "Longchengornis sanyanensis", "Longirostravis hani", "Vescornis hebeiensis", "Yungavolucris brevipedalis", "Longipteryx chaoyangensis", "Eoenantiornis buhleri", "Abavornis bonaparti", "Alexornis antecedens", "Explorornis nessovi", "Explorornis walkeri", "Incolornis silvae", "Incolornis martini", "Kizylkumavis cretacea", "Lenesornis maltschevskyi", "Sazavis prisca", "Incertae sedis", "Asiahesperornis bazhanovi", "Parascaniornis stensioi", "Canadaga arctica", "Coniornis altus", "Parahesperornis alexi", "Hesperornis bairdi", "Hesperornis chowi", "Hesperornis macdonaldi", "Hesperornis mengeli", "Hesperornis crassipes", "Hesperornis gracilis", "Hesperornis regalis", "Hesperornis rossicus", "Enaliornis barretti", "Enaliornis sedgwicki", "Baptornis advenus", "Judinornis nogontsovensis", "Solanum nigrescens", "Pasquianornis hardiei", "Pasquianornis tankei", "Solanum tenuipes", "Apatornis celer", "Avisaurus archibaldi", "Avisaurus gloriae", "Neuquenornis volans", "Soroavisaurus australis", "Enantiornis leali", "Garulynia nesovi", "Nanantius eos", "Wyleia valdensis", "Gobipipus reshetovi", "Gobipteryx minuta", "Zhyraornis kashkarovi", "Zhyraornis longunovi", "Begonia consobrina", "Begonia convallariodora", "Begonia cooperi", "Begonia cuatrecasasiana", "Begonia cymbalifera", "Begonia dugandiana", "Begonia estrellensis", "Begonia extensa", "Begonia gesnerioides", "Begonia glaucoides", "Begonia guaduensis", "Begonia holtonis", "Begonia juninensis", "Begonia leptostyla", "Begonia lignescens", "Begonia meridensis", "Begonia oblanceolata", "Begonia obtecticaulis", "Begonia opuliflora", "Begonia peruviana", "Begonia pilosella", "Begonia prionophylla", "Begonia rubiginosipes", "Begonia seemanniana", "Begonia tonduzii", "Begonia xylopoda", "Sinentomon erythranum", "Sinentomon chui", "Sinentomon yoroi", "Begonia abbottii", "Begonia acutifolia", "Begonia admirabilis", "Begonia albidula", "Begonia alcarrasica", "Begonia alchemilloides", "Begonia azuensis", "Begonia balansae", "Begonia banaoensis", "Begonia bissei", "Begonia bolleana", "Begonia brachypoda", "Begonia bullata", "Begonia cacauicola", "Begonia cowellii", "Begonia cubensis", "Begonia descoleana", "Begonia domingensis", "Begonia eciliata", "Begonia exigua", "Guildavis tener", "Iaceornis marshi", "Ichthyornis dispar", "Ichthyornis antecessor", "Ichthyornis maltschevskyii", "Triceratops horridus", "Limenavis patagonica", "Ceramornis major", "Novacaesareala hungerfordorum", "Begonia alnifolia", "Begonia bangii", "Begonia barrigae", "Begonia beslerifolia", "Begonia buchtienii", "Begonia carpinifolia", "Begonia chaetocarpa", "Ionescuellum pseudocarpaticum", "Ionescuellum schusteri", "Ionescuellum silvaticum", "Ionescuellum ulmiacum", "Huhentomon plicatunguis", "Huhentomon plicatunguis plicatunguis", "Huhentomon plicatunguis haradai", "Condeellum crucis", "Condeellum ishiianum", "Condeellum ishiianum ishiianum", "Condeellum ishiianum setosum", "Condeellum jinghongense", "Condeellum regale", "Hinomotentomon nipponicum", "Neocondeellum americanum", "Neocondeellum brachytarsum", "Neocondeellum dolichotarsum", "Neocondeellum chrysalis", "Neocondeellum matobai", "Neocondeellum japonicum", "Neocondeellum minusculum", "Neocondeellum wuyanense", "Neocondeellum yinae", "Paranthodon africanus", "Paracondeellum dukouense", "Stegosaurus armatus", "Stegosaurus stenops", "Protentomon acrasia", "Lexovisaurus durobrivensis", "Protentomon atlanteum", "Dacentrurus armatus", "Protentomon barandiarani", "Protentomon berlesei", "Protentomon fallax", "Protentomon hellenicum", "Protentomon michiganense", "Protentomon milloti", "Begonia delicatula", "Begonia angolensis", "Begonia brevibracteata", "Begonia dregei", "Begonia geranioides", "Begonia homonyma", "Begonia princeae", "Begonia pygmaea", "Begonia riparia", "Begonia stolzii", "Begonia sutherlandii", "Begonia tayloriana", "Begonia wakefieldii", "Fujientomon dicestum", "Fujientomon primum", "Hesperentomon chinghaiense", "Hesperentomon dianicum", "Hesperentomon guiyangense", "Hesperentomon huashanense", "Hesperentomon kangdingense", "Hesperentomon kuratai", "Hesperentomon macswaini", "Hesperentomon martynovae", "Hesperentomon monlunicum", "Hesperentomon pectigastrulum", "Hesperentomon sichuanense", "Hesperentomon tianshanicum", "Ionescuellum carpaticum", "Ionescuellum condei", "Ionescuellum haybachae", "Ionescuellum montanum", "Begonia heterochroma", "Begonia letouzeyi", "Begonia microsperma", "Begonia minuta", "Begonia potamophila", "Begonia prismatocarpa", "Begonia pseudoviola", "Begonia pulcherrima", "Begonia quadrialata", "Begonia salisburyana", "Begonia scapigera", "Begonia schaeferi", "Begonia scutifolia", "Begonia staudtii", "Begonia stellata", "Acerella muscorum", "Acerella remyi", "Acerella tiarnea", "Acerella montana", "Acerella sharovi", "Acerentomon aceris", "Acerentomon fageticola", "Acerentomon hylophilum", "Acerentomon novaki", "Acerentomon skuhravyi", "Acerentomon carpaticum", "Acerentomon franzi", "Acerentomon imadatei", "Acerentomon italicum", "Acerentomon kustorae", "Acerentomon meridionale", "Acerentomon pseudomicrorhinus", "Acerentomon tenuisetosum", "Acerentomon tuxeni", "Acerentomon affine", "Acerentomon bagnalli", "Acerentomon nemorale", "Acerentomon dominiaki", "Acerentomon granulatum", "Acerentomon omissum", "Acerentomon oreophilon", "Acerentomon parvum", "Acerentomon balcanicum", "Acerentomon gallicum", "Begonia adpressa", "Begonia atroglandulosa", "Begonia duncan-thomasii", "Begonia gentilii", "Acerentulus ladeiroi", "Acerentulus minutus", "Acerentulus nemoralis", "Acerentulus ochsenchausenus", "Acerentulus omoi", "Acerentulus seabrai", "Acerentulus sexpinatus", "Acerentulus shensiensis", "Acerentulus terricola", "Acerentulus traegardhi", "Acerentulus tuxeni", "Alaskaentomon condei", "Alaskaentomon fjellbergi", "Amazonentulus amazonicus", "Amazonentulus brasilianus", "Amazonentulus hangmannarum", "Amazonentulus ovei", "Amphientulus zelandicus", "Begonia trianae", "Begonia trispathulata", "Begonia trujillensis", "Begonia umbellata", "Begonia ursina", "Begonia urticae", "Begonia vareschii", "Australentulus intermedius", "Australentulus noseki", "Australentulus reginae", "Australentulus victoriae", "Australentulus betschi", "Australentulus dauphinense", "Australentulus delamarei", "Australentulus dituxeni", "Australentulus hauseri", "Australentulus australiensis", "Australentulus indicus", "Australentulus orientalis", "Australentulus tuxeni", "Australentulus occidentalis", "Australentulus phrachedee", "Australentulus ravenalensis", "Australentulus tillyardi", "Australentulus westraliensis", "Baculentulus africanus", "Baculentulus becki", "Baculentulus breviunguis", "Baculentulus celisi", "Baculentulus densus", "Baculentulus duongkeoi", "Baculentulus bisetuli", "Acerentulus proximus", "Acerentulus rafalskii", "Acerentulus setosus", "Acerentulus silvanus", "Acerentulus xerophilus", "Acerentulus carpaticus", "Acerentulus cassagnaui", "Acerentulus condei", "Acerentulus palissai", "Acerentulus ruseki", "Acerentulus tolosanus", "Acerentulus alpinus", "Begonia boliviensis", "Begonia monadelpha", "Begonia soror", "Begonia oxysperma", "Acerentulus apuliacus", "Acerentulus berruezanus", "Acerentulus catalanus", "Acerentulus cunhai", "Begonia aberrans", "Acerentulus exiguus", "Begonia bracteata", "Begonia divaricata", "Acerentulus gisini", "Begonia lepida", "Acerentulus insignis", "Andinentulus ebbei", "Acerentulus aubertoti", "Acerentulus confinis", "Begonia brevipetala", "Begonia chlorolepis", "Begonia colombiana", "Begonia cornuta", "Begonia diffusa", "Begonia diversistipulata", "Acerentulus confinis confinis", "Begonia ferruginea", "Acerentulus confinis maderensis", "Begonia formosissima", "Begonia fuchsiiflora", "Acerentulus gerezianus", "Begonia gamolepis", "Acerentulus americanus", "Begonia hirta", "Begonia lipolepis", "Begonia mariae", "Begonia montana", "Begonia nevadensis", "Begonia raimondii", "Begonia toledana", "Acerentulus keikoae", "Acerentulus keikoae capillatus", "Acerentulus keikoae keikoae", "Acerentulus kermadecensis", "Acerentulus kisonis", "Begonia tessaricarpa", "Acerentomon baldense", "Acerentomon brevisetosum", "Acerentomon condei", "Begonia aequatorialis", "Begonia anemoniflora", "Acerentomon dispar", "Begonia baumannii", "Begonia cinnabarina", "Begonia clarkei", "Begonia davisii", "Begonia froebelii", "Begonia geraniifolia", "Acerentomon doderoi", "Begonia gracillima", "Acerentomon giganteum", "Acerentomon maius", "Acerentomon microrhinus", "Acerentomon noseki", "Acerentomon quercinum", "Acerentomon robustum", "Acerentomon album", "Acerentomon pannonicum", "Begonia herrerae", "Begonia lutea", "Begonia macra", "Begonia micranthera", "Begonia monophylla", "Begonia novogranatae", "Begonia octopetala", "Begonia pearcei", "Begonia pleiopetala", "Begonia polypetala", "Begonia rosacea", "Begonia rubricaulis", "Acerentuloides americanus", "Begonia sleumeri", "Begonia tafiensis", "Begonia tumbezensis", "Begonia veitchii", "Begonia weberbaueri", "Begonia baccata", "Begonia crateris", "Acerentulus alni", "Acerentulus collaris", "Acerentulus correzeanus", "Acerentulus gigas", "Acerentulus halae", "Acerentulus occultus", "Kenyentulus henanensis", "Kenyentulus hubeinicus", "Kenyentulus jianfengensis", "Kenyentulus jinghongensis", "Kenyentulus medogensis", "Kenyentulus minys", "Kenyentulus monlongensis", "Kenyentulus shennongjiensis", "Kenyentulus xingshanensis", "Kenyentulus hauseri", "Kenyentulus yayukae", "Kenyentulus imadatei", "Kenyentulus monticolus", "Kenyentulus yinae", "Kenyentulus japonicus", "Kenyentulus malaysiensis", "Kenyentulus ohyamai", "Kenyentulus sakimori", "Kenyentulus sanjianus", "Kenyentulus jinjiangensis", "Kenyentulus jiuzhaiensis", "Kenyentulus kangdingensis", "Kenyentulus kenyanus", "Kenyentulus kunmingensis", "Kenyentulus serdinensis", "Kenyentulus setosus", "Kenyentulus yaanensis", "Madagascaridia condei", "Madagascaridia xizangensis", "Maderentulus maderensis", "Najtentulus silvestris", "Neobaculentulus cipingensis", "Neobaculentulus henanensis", "Neobaculentulus izumi", "Nienna parvula", "Nipponentomon andrei", "Nipponentomon aureitarsum", "Nipponentomon bidentatum", "Nipponentomon bifidum", "Nipponentomon californicum", "Nipponentomon heterothrici", "Nipponentomon kamui", "Nipponentomon kevani", "Nipponentomon khabarovskense", "Nipponentomon macleani", "Nipponentomon nippon", "Nipponentomon uenoi", "Nipponentomon uenoi paucisetosum", "Nipponentomon uenoi uenoi", "Noldo submontanus", "Nosekiella behanae", "Nosekiella condei", "Nosekiella danica", "Nosekiella hoogstraali", "Nosekiella urasi", "Notentulus zunynicus", "Notentulus tropicus", "Orinentomon sinensis", "Orinentomon greenbergi", "Paracerella americana", "Paracerella shirataki", "Podolinella podolica", "Polyadenum sinensis", "Proacerella reducta", "Begonia acutiloba", "Begonia alice-clarkiae", "Begonia almedana", "Begonia aridicaulis", "Begonia assurgens", "Begonia brevicyma", "Begonia calderonii", "Begonia carletonii", "Begonia confusa", "Begonia copeyana", "Begonia faustinoi", "Begonia fimbriata", "Begonia francisiae", "Begonia hondurensis", "Begonia imperialis", "Begonia ludicra", "Begonia lyniceorum", "Begonia purpusii", "Begonia pustulata", "Begonia reptans", "Begonia trichosepala", "Begonia turrialbae", "Begonia violifolia", "Begonia aborensis", "Begonia acetosella", "Begonia aptera", "Begonia balansana", "Begonia burkillii", "Begonia ceratocarpa", "Begonia hayatae", "Begonia heteroclinis", "Begonia lancangensis", "Begonia longifolia", "Begonia multangula", "Begonia obovoidea", "Begonia prostrata", "Begonia renifolia", "Begonia robusta", "Begonia roxburghii", "Begonia silletensis", "Brasilidia nagaroorica", "Brasilidia sanmartini", "Brasilidia tropica", "Callientomon chinensis", "Chosonentulus chosonicus", "Delamarentulus barrai", "Delamarentulus pachychaetus", "Parandra brunnea", "Delamarentulus tristani", "Parandra brunnea brunnea", "Filientomon barberi", "Parandra polita", "Filientomon bipartitei", "Filientomon duodecimsetosum", "Filientomon gentaroanum", "Filientomon imadatei", "Filientomon lubricum", "Filientomon sibiricum", "Filientomon takanawanum", "Fjellbergella tuxeni", "Gracilentulus americanus", "Gracilentulus aokii", "Gracilentulus atlantidis", "Gracilentulus catulus", "Gracilentulus chichibuensis", "Gracilentulus corsicanus", "Gracilentulus europeus", "Gracilentulus fjellbergi", "Gracilentulus flabelli", "Gracilentulus floridanus", "Gracilentulus gracilis", "Gracilentulus hyleus", "Gracilentulus maijiawensis", "Gracilentulus meridianus", "Gracilentulus orousseti", "Gracilentulus sachikoae", "Gracilentulus sardinianus", "Gracilentulus shipingensis", "Huashanentulus huashanensis", "Imadateiella murka", "Imadateiella saucrosi", "Imadateiella shideiana", "Imadateiella shideiana shideiana", "Imadateiella shideiana eos", "Imadateiella shiria", "Imadateiella sphaerempodia", "Imadateiella yosiiana", "Kenyentulus ailaoshanensis", "Kenyentulus anmashanus", "Kenyentulus beibeiensis", "Kenyentulus chongqingensis", "Kenyentulus ciliciocalyci", "Kenyentulus condei", "Kenyentulus daliensis", "Kenyentulus menglunensis", "Kenyentulus xiaojinshanensis", "Kenyentulus datongensis", "Kenyentulus dolichadeni", "Kenyentulus fanjingensis", "Kenyentulus hainanensis", "Baculentulus borealis", "Baculentulus evansi", "Baculentulus hohuanshanensis", "Baculentulus taipeiensis", "Baculentulus lanna", "Baculentulus matsuokai", "Baculentulus numatai", "Baculentulus ogawai", "Baculentulus oginoi", "Baculentulus umesaoi", "Baculentulus yodai", "Baculentulus leptos", "Baculentulus loxoglenus", "Baculentulus yunnanensis", "Baculentulus macqueeni", "Baculentulus morikawai", "Baculentulus niponicus", "Baculentulus nitidus", "Baculentulus nyinabitabuensis", "Baculentulus pseudonitidus", "Baculentulus sakayorii", "Baculentulus samchonri", "Baculentulus seychellensis", "Baculentulus tienmushanensis", "Baculentulus tosanus", "Baculentulus tuxeni", "Baculentulus weinerae", "Berberentulus berberus", "Berberentulus travassosi", "Berberentulus buchi", "Berberentulus huisunensis", "Berberentulus neipuensis", "Berberentulus rennelensis", "Berberentulus huetheri", "Berberentulus nelsoni", "Berberentulus polonicus", "Berberentulus tannae", "Berberentulus capensis", "Distenia undata", "Bolivaridia perissochaeta", "Bolivaridia boneti", "Bolivaridia imadatei", "Bolivaridia somalicum", "Brasilentulus huetheri", "Brasilentulus africanus", "Brasilidia auleta", "Protentomon pauliani", "Protentomon perpusillum", "Protentomon supernumerarium", "Protentomon thienemanni", "Protentomon transitans", "Protentomon tuxeni", "Proturentomon chinense", "Proturentomon condei", "Proturentomon discretum", "Proturentomon iowaense", "Proturentomon kubikovae", "Proturentomon noseki", "Proturentomon pilosum", "Proturentomon stebaevae", "Proturentomon minimum", "Proturentomon pectinatum", "Proturentomon picardi", "Proturentomon dorae", "Proturentomon nitrarius", "Begonia exilis", "Begonia fischeri", "Begonia glaberrima", "Begonia glandulifera", "Begonia harlingii", "Begonia hassleri", "Begonia jamaicensis", "Begonia konder-reisiana", "Begonia lanstyakii", "Begonia leivae", "Begonia leuconeura", "Begonia libanensis", "Begonia lindmanii", "Begonia linearifolia", "Begonia lomensis", "Begonia lucidissima", "Begonia maestrensis", "Begonia minor", "Begonia mollicaulis", "Begonia notiophila", "Begonia obliqua", "Begonia organensis", "Begonia pensilis", "Begonia per-dusenii", "Begonia platyptera", "Begonia plumieri", "Begonia purdieana", "Begonia pycnantha", "Begonia repens", "Begonia retusa", "Begonia rotundifolia", "Begonia schulziana", "Begonia sciadiophora", "Begonia squamipes", "Begonia stenotepala", "Begonia subvillosa", "Begonia tiliifolia", "Begonia venosa", "Begonia wrightiana", "Begonia alicida", "Begonia manicata", "Begonia peii", "Begonia tricuspidata", "Begonia triradiata", "Proacerella vasconica", "Silvestridia artiochaeta", "Silvestridia africana", "Silvestridia keijiana", "Silvestridia hutan", "Silvestridia solomonis", "Sugaentulus masumii", "Tasmanentulus intermedius", "Tasmanentulus similis", "Tasmanentulus tasmanicus", "Tuxenentulus ohbai", "Tuxenentulus boedvarssoni", "Tuxenentulus jilinensis", "Tuxenentulus rockyensis", "Tuxenentulus wuluensis", "Tuxenidia balcanica", "Verrucoentomon aurifer", "Verrucoentomon joannis", "Verrucoentomon rafalskii", "Verrucoentomon imadatei", "Verrucoentomon mixtum", "Verrucoentomon xinjiangense", "Verrucoentomon yushuense", "Verrucoentomon canadensis", "Verrucoentomon kawakatsui", "Verrucoentomon shirampa", "Vesiculentomon marshalli", "Vesiculentomon ruseki", "Vindobonella leopoldina", "Wenyingia kurosawai", "Yamatentomon fujisanum", "Yamatentomon kunnepchupi", "Yamatentomon breviseta", "Yamatentomon kurosai", "Yamatentomon yamato", "Yavanna altaica", "Yichunentulus yichunensis", "Yinentulus paedocephalus", "Zangentulus sinensis", "Anisentomon chinense", "Anisentomon heterochaitum", "Anisentomon magnispinosum", "Anisentomon quadrisetum", "Eosentomon adami", "Eosentomon carolae", "Eosentomon cocqueti", "Eosentomon dawsoni", "Eosentomon denisi", "Eosentomon hyatti", "Begonia biflora", "Begonia bonii", "Eosentomon machadoi", "Eosentomon mixtum", "Begonia cirrosa", "Eosentomon perreti", "Begonia daxinensis", "Eosentomon saharense", "Eosentomon simile", "Eosentomon subglabrum", "Eosentomon validum", "Begonia filiformis", "Begonia guangxiensis", "Begonia lanternaria", "Begonia luzhaiensis", "Begonia edmundoi", "Begonia jureiensis", "Begonia kunthiana", "Begonia lubbersii", "Begonia macduffieana", "Begonia maculata", "Begonia pseudolubbersii", "Begonia undulata", "Begonia dodsonii", "Begonia geminiflora", "Begonia hitchcockii", "Begonia maurandiae", "Begonia pululahuana", "Begonia rubrotincta", "Begonia secunda", "Begonia segregata", "Begonia sodiroi", "Begonia spadiciflora", "Begonia tropaeolifolia", "Begonia truncicola", "Begonia wurdackii", "Begonia ynesiae", "Begonia dipetala", "Begonia sibthorpioides", "Begonia andina", "Begonia bridgesii", "Begonia fissistyla", "Begonia juntasensis", "Begonia ophiogyna", "Begonia peltigera", "Begonia santarosensis", "Begonia subcaudata", "Begonia unduavensis", "Begonia adenopoda", "Begonia burmensis", "Begonia cylindrica", "Begonia leprosa", "Begonia longicarpa", "Begonia confinis", "Begonia praerupta", "Batocera lineolata", "Titanus giganteus", "Begonia alemanii", "Begonia hirsuta", "Begonia prieurii", "Begonia semiovata", "Begonia steyermarkii", "Begonia subcostata", "Begonia wallichiana", "Begonia androrangensis", "Begonia antongilensis", "Begonia betsimisaraka", "Begonia bogneri", "Begonia bosseri", "Begonia erminea", "Begonia lemurica", "Begonia marojejyensis", "Begonia monicae", "Begonia nana", "Begonia razafinjohanyi", "Begonia tsimihety", "Begonia aspleniifolia", "Begonia auriculata", "Begonia elatostematoides", "Begonia gossweileri", "Begonia macrocarpa", "Begonia minutifolia", "Begonia sciaphila", "Begonia sessilifolia", "Begonia \u00d7 albopicta", "Begonia masoniana", "Begonia morsei", "Begonia ornithophylla", "Begonia phuthoensis", "Begonia porteri", "Begonia pseudodryadis", "Begonia setulosopeltata", "Begonia umbraculifolia", "Begonia yishanensis", "Begonia zhengyiana", "Begonia thomeana", "Begonia albomaculata", "Begonia altoperuviana", "Begonia bracteosa", "Begonia brevicordata", "Begonia cryptocarpa", "Begonia cyathophora", "Begonia denticulata", "Begonia glauca", "Begonia laxa", "Begonia lophoptera", "Begonia lucifuga", "Begonia machrisiana", "Begonia magdalenae", "Begonia nubicola", "Begonia pseudoglauca", "Begonia roezlii", "Begonia subciliata", "Begonia subspinulosa", "Begonia suprafastigiata", "Begonia tribracteata", "Begonia viridiflora", "Begonia wageneriana", "Begonia burle-marxii", "Begonia saxicola", "Begonia ulmifolia", "Eosentomon coiffaiti", "Eosentomon adakense", "Eosentomon antrimense", "Eosentomon crypticum", "Eosentomon hargrovei", "Eosentomon nudilabratum", "Eosentomon osageorum", "Eosentomon pinusbanksianum", "Eosentomon pomari", "Eosentomon pruni", "Eosentomon renateae", "Eosentomon richardi", "Eosentomon savannahense", "Eosentomon snideri", "Eosentomon sociale", "Eosentomon xenomystax", "Eosentomon afrorostratum", "Eosentomon angolae", "Eosentomon boneti", "Eosentomon brevisetosum", "Eosentomon caatingae", "Eosentomon columbiense", "Eosentomon curupira", "Eosentomon gabonense", "Eosentomon gracile", "Eosentomon insularum", "Eosentomon intermedium", "Eosentomon macronyx", "Eosentomon maximum", "Eosentomon medleri", "Eosentomon microphthalmum", "Eosentomon nigeriense", "Eosentomon noseki", "Eosentomon paramonis", "Eosentomon penelopae", "Eosentomon proximum", "Eosentomon sturmi", "Eosentomon subnudum", "Eosentomon zelandicum", "Eosentomon guadalcanalense", "Eosentomon melanesiense", "Eosentomon noonadanae", "Eosentomon notiale", "Eosentomon solomonense", "Anastrangalia sequensi", "Anoplophora glabripennis", "Arhopalus ferus", "Eosentomon agaeophthalmum", "Eosentomon burahacabanicum", "Eosentomon magnum", "Eosentomon margarops", "Eosentomon mogadishense", "Eosentomon nanningense", "Eosentomon yanshanense", "Eosentomon yilingense", "Eosentomon belli", "Eosentomon brevicorpusculum", "Eosentomon chishiaense", "Eosentomon commune", "Eosentomon daii", "Eosentomon dimecempodi", "Eosentomon dissimile", "Eosentomon drymoetes", "Eosentomon hainanense", "Eosentomon jinggangense", "Eosentomon jinhongense", "Eosentomon lancanicum", "Eosentomon lineare", "Eosentomon megaglenum", "Eosentomon meizotarsi", "Eosentomon miroglenum", "Eosentomon monlaense", "Eosentomon nivoculum", "Eosentomon novemchaetum", "Eosentomon orientale", "Eosentomon shanghaiense", "Eosentomon shanum", "Eosentomon spanum", "Eosentomon strioculi", "Eosentomon tropicum", "Eosentomon unirecessum", "Eosentomon xishaense", "Eosentomon yunnanicum", "Eosentomon australicum", "Eosentomon bloszyki", "Eosentomon boguslavi", "Eosentomon bryophilum", "Eosentomon canarinum", "Eosentomon carpaticum", "Eosentomon enigmaticum", "Eosentomon gramineum", "Eosentomon iranicum", "Eosentomon longisquamum", "Eosentomon luxembourgense", "Eosentomon mariae", "Eosentomon mirabile", "Eosentomon occidentale", "Eosentomon parvum", "Eosentomon pastorale", "Eosentomon paucrum", "Eosentomon pinetorum", "Eosentomon polonicum", "Eosentomon posnaniense", "Eosentomon rafalskii", "Eosentomon sexsetosum", "Eosentomon rusekianum", "Eosentomon silesiacum", "Eosentomon silvaticum", "Eosentomon solarzi", "Eosentomon stompi", "Eosentomon sudeticum", "Eosentomon tschergense", "Eosentomon ulinense", "Eosentomon umbrosum", "Eosentomon vindobonense", "Eosentomon vulgare", "Eosentomon wanda", "Eosentomon weinerae", "Eosentomon yinae", "Eosentomon zodion", "Eosentomon nupri", "Eosentomon rishir", "Eosentomon riyuetanense", "Eosentomon taiwanense", "Eosentomon tamurai", "Eosentomon yezoensis", "Eosentomon actitum", "Eosentomon jinxiuense", "Eosentomon zhanjiangense", "Eosentomon bohemicum", "Eosentomon fichteliense", "Eosentomon foliaceum", "Eosentomon funkei", "Eosentomon kamenickiense", "Eosentomon pratense", "Eosentomon stachi", "Eosentomon stumppi", "Eosentomon asahi", "Eosentomon asakawaense", "Eosentomon chantek", "Eosentomon dounanense", "Eosentomon dusun", "Eosentomon gimangi", "Eosentomon iban", "Eosentomon imbutum", "Eosentomon juni", "Eosentomon kimum", "Eosentomon kloomi", "Eosentomon konsenense", "Eosentomon luzonense", "Eosentomon matahari", "Eosentomon murphyi", "Eosentomon pairathi", "Eosentomon paktai", "Eosentomon pasohense", "Eosentomon sawasdi", "Eosentomon sayani", "Eosentomon tankoktongi", "Eosentomon thamnooni", "Eosentomon toi", "Eosentomon tokiokai", "Eosentomon tokui", "Eosentomon topochi", "Eosentomon torbongsi", "Eosentomon udagawai", "Eosentomon udorni", "Eosentomon yanaka", "Eosentomon ailaoense", "Eosentomon daliense", "Eosentomon lijiangense", "Eosentomon xueshanense", "Eosentomon bannaense", "Eosentomon binchuanense", "Eosentomon chunchengense", "Eosentomon chuxiongense", "Eosentomon dian", "Eosentomon huatingense", "Eosentomon yulongense", "Eosentomon gaoligongense", "Eosentomon luquanense", "Eosentomon nuijangense", "Eosentomon ruiliense", "Eosentomon yingjiangense", "Eosentomon zixiensis", "Eosentomon transitorium", "Eosentomon jabanicum", "Eosentomon alaskaense", "Eosentomon ankarafantsikaense", "Eosentomon aquilinum", "Eosentomon bernardi", "Eosentomon betschi", "Eosentomon boedvarssoni", "Eosentomon canadense", "Eosentomon ceylonicum", "Eosentomon copelandi", "Eosentomon foroiuliense", "Eosentomon francoisi", "Eosentomon gisini", "Eosentomon hoogstraali", "Eosentomon huetheri", "Eosentomon madagascariense", "Eosentomon massoudi", "Eosentomon minutum", "Eosentomon mutti", "Eosentomon puertoricoense", "Eosentomon romanum", "Eosentomon tapiasum", "Eosentomon temannegarai", "Eosentomon thibaudi", "Eosentomon vermontense", "Eosentomon alcirae", "Eosentomon crassus", "Eosentomon armatum", "Eosentomon beltrani", "Eosentomon bolivari", "Eosentomon christianseni", "Acerentomon mesorhinus", "Acerentomon rostratum", "Dynastes grantii", "Dynastes hercules", "Dynastes hyllus", "Dynastes neptunus", "Dynastes tityus", "Dynastes hercules bleuzeni", "Dynastes hercules ecuatorianus", "Dynastes hercules lichyi", "Dynastes hercules morishimai", "Dynastes hercules occidentalis", "Dynastes hercules paschoali", "Dynastes hercules septentrionalis", "Dynastes hercules takakuwai", "Dynastes hercules trinidadensis", "Dynastes hercules tuxtlaensis", "Carukia barnesi", "Dynastes satanas", "Pantherophis guttatus", "Pantherophis guttatus guttatus", "Eosentomon semiarmatum", "Eosentomon squamigerum", "Eosentomon venezuelense", "Eosentomon wheeleri", "Eosentomon woroae", "Isoentomon paulista", "Isoentomon pluviale", "Isoentomon sylvicola", "Isoentomon pumiliodes", "Isoentomon myrmecobium", "Isoentomon serinus", "Isoentomon atlanticum", "Isoentomon hauseri", "Isoentomon pseudosaharense", "Isoentomon pumilio", "Isoentomon setigerum", "Madagascarentomon condei", "Neanisentomon guicum", "Neanisentomon yuenicum", "Neanisentomon tienmucnicum", "Paranisentomon krybetes", "Paranisentomon linoculum", "Paranisentomon triglobulum", "Paranisentomon tuxeni", "Pseudanisentomon huichouense", "Pseudanisentomon molykos", "Pseudanisentomon paurophthalmum", "Pseudanisentomon sininotiale", "Pseudanisentomon yaoshanense", "Pseudanisentomon yongxingense", "Pseudanisentomon jiangxiensis", "Pseudanisentomon babai", "Pseudanisentomon dolichempodium", "Pseudanisentomon pedanempodium", "Pseudanisentomon trilinum", "Pseudanisentomon minystigmum", "Pseudanisentomon sheshanense", "Pseudanisentomon songkiangense", "Pseudanisentomon cangshanense", "Pseudanisentomon guangxinicum", "Pseudanisentomon ishii", "Pseudanisentomon meihwa", "Pseudanisentomon wanense", "Styletoentomon styletum", "Styletoentomon rostratum", "Zhongguohentomon magnum", "Zhongguohentomon piligeroum", "Antelientomon prodromi", "Antelientomon xizangnicum", "Antelientomon guilinicum", "Aulacoctena acuminata", "Haeckelia rubra", "Haeckelia beehleri", "Begonia comorensis", "Begonia humbertii", "Begonia meyeri-johannis", "Begonia oxyloba", "Begonia salaziensis", "Begonia seychellensis", "Begonia paleacea", "Begonia prolifera", "Begonia griffithiana", "Begonia nepalensis", "Haeckelia bimaculata", "Begonia kalabenonensis", "Begonia perpusilla", "Begonia baronii", "Begonia cladocarpoides", "Begonia coursii", "Begonia lyallii", "Begonia madecassa", "Haeckelia filigera", "Begonia majungaensis", "Begonia mangorensis", "Begonia marnieri", "Begonia candollei", "Begonia oaxacana", "Begonia udisilvestris", "Bathyctena chuni", "Begonia andamensis", "Begonia brevicaulis", "Begonia canarana", "Lampea elongata", "Lampea fusiformis", "Lampea lactea", "Lampea pancerina", "Begonia crenata", "Begonia demissa", "Begonia discreta", "Begonia flaccidissima", "Begonia grantiana", "Begonia grata", "Begonia leucantha", "Begonia martabanica", "Begonia parishii", "Begonia phoeniogramma", "Ceroctena bicornis", "Begonia procridifolia", "Begonia rimarum", "Hormiphora californensis", "Begonia sinuata", "Begonia socia", "Begonia tenuifolia", "Begonia thaipingensis", "Begonia vagans", "Begonia variabilis", "Begonia wattii", "Begonia zollingeriana", "Begonia socotrana", "Begonia jenmanii", "Begonia buddleiifolia", "Hormiphora cilensis", "Begonia gemmipara", "Begonia anjuanensis", "Begonia ankaranensis", "Begonia antsingyensis", "Begonia antsiranensis", "Begonia bagotiana", "Begonia bekopakensis", "Begonia bernieri", "Begonia boiviniana", "Begonia decaryana", "Begonia francoisii", "Hormiphora coeca", "Begonia goudotii", "Begonia heteropoda", "Begonia isalensis", "Begonia leandrii", "Hormiphora cucumis", "Begonia mananjebensis", "Begonia neoperrieri", "Begonia nossibea", "Begonia sambiranensis", "Begonia tsaratananensis", "Hormiphora elliptica", "Hormiphora hormiphora", "Hormiphora labialis", "Hormiphora luminosa", "Hormiphora ochracea", "Hormiphora octoptera", "Hormiphora palmata", "Hormiphora piriformis", "Hormiphora plumosa", "Hormiphora polytrocha", "Hormiphora punctata", "Hormiphora sibogae", "Hormiphora spatulata", "Minictena luteola", "Tjalfiella tristoma", "Begonia angustiloba", "Begonia anodifolia", "Begonia balmisiana", "Begonia biserrata", "Begonia boissieri", "Begonia bulbillifera", "Begonia dealbata", "Begonia fusibulba", "Begonia gracilior", "Begonia gracilis", "Begonia palmeri", "Begonia ornithocarpa", "Begonia pedata", "Begonia portillana", "Begonia rhodochlamys", "Begonia sandtii", "Begonia tapatia", "Begonia thyrsoidea", "Begonia uruapensis", "Begonia eiromischa", "Begonia kingiana", "Begonia pumila", "Begonia rossmanniae", "Begonia bequaertii", "Begonia engleri", "Begonia johnstonii", "Begonia nyassensis", "Begonia rostrata", "Begonia rumpiensis", "Begonia schliebenii", "Begonia sonderana", "Begonia wollastonii", "Begonia digitata", "Begonia incisoserrata", "Begonia luxurians", "Begonia parviflora", "Begonia pentaphylla", "Begonia semidigitata", "Begonia aggeloptera", "Begonia anisosepala", "Begonia ciliobracteata", "Begonia clypeifolia", "Begonia dewildei", "Begonia erectocaulis", "Eosentomon depilatum", "Eosentomon destitutum", "Eosentomon ewingi", "Eosentomon maya", "Eosentomon pelaezi", "Eosentomon recula", "Eosentomon turneri", "Eosentomon wygodzinskyi", "Eosentomon bilapilli", "Eosentomon brevisensorium", "Eosentomon convexoculi", "Eosentomon coruscoculi", "Eosentomon lapilloculi", "Eosentomon maai", "Eosentomon caddoense", "Eosentomon maryae", "Eosentomon megatibiense", "Eosentomon quapawense", "Eosentomon cetium", "Eosentomon palustre", "Eosentomon rachelae", "Eosentomon chickasawense", "Eosentomon hunnicutti", "Eosentomon condei", "Eosentomon delicatum", "Eosentomon dureyi", "Eosentomon erwini", "Eosentomon montanum", "Eosentomon pseudowheeleri", "Eosentomon pseudoyosemitense", "Eosentomon quadridentatum", "Eosentomon tennesseense", "Eosentomon gamae", "Eosentomon lusitanicum", "Eosentomon germanicum", "Eosentomon guyongense", "Eosentomon megastigma", "Eosentomon rehaiense", "Eosentomon tengchongense", "Eosentomon heatherproctorae", "Eosentomon hwashanense", "Eosentomon tuxenanum", "Eosentomon indicum", "Eosentomon kumei", "Eosentomon pacificum", "Eosentomon sakura", "Eosentomon mexicanum", "Eosentomon nayari", "Eosentomon trivandricum", "Eosentomon pallidum", "Eosentomon pusillum", "Eosentomon vermiforme", "Eosentomon yosemitense", "Eosentomon pinkyae", "Deiopea kaloktenota", "Kiyohimea aurita", "Kiyohimea usangi", "Lampocteis cruentiventer", "Lobatolampea tetragona", "Cestum amphitrites", "Velamen parallelum", "Beroe abyssicola", "Beroe australis", "Beroe baffini", "Beroe basteri", "Beroe campana", "Beroe compacta", "Beroe constricta", "Beroe cucumis", "Beroe culcullus", "Beroe flemingii", "Beroe forskalii", "Beroe gilva", "Beroe hyalina", "Beroe macrostoma", "Beroe mitraeformis", "Beroe mitrata", "Beroe ovale", "Beroe ovata", "Beroe pandorina", "Beroe penicillata", "Beroe ramosa", "Beroe roseus", "Beroe rufescens", "Neis cordigera", "Begonia fusicarpa", "Begonia gabonensis", "Begonia horticola", "Begonia karperi", "Begonia kisuluana", "Begonia komoensis", "Begonia letestui", "Begonia longipetiolata", "Begonia loranthoides", "Begonia molleri", "Begonia oxyanthera", "Begonia pelargoniiflora", "Begonia polygonoides", "Begonia preussii", "Begonia rubromarginata", "Begonia rubronervata", "Begonia rwandensis", "Begonia squamulosa", "Begonia subalpestris", "Begonia subscutata", "Begonia tatoniana", "Begonia zimmermannii", "Brachyta interrogationis", "Cerambyx cerdo", "Cerambyx scopolii", "Lyrocteis imperatoris", "Lyrocteis flavopallidus", "Savangia atentaculata", "Coeloplana agniae", "Coeloplana agniae var. striata", "Coeloplana astericola", "Coeloplana bannwarthii", "Coeloplana bocki", "Coeloplana duboscqui", "Coeloplana echinicola", "Coeloplana gonoctena", "Coeloplana gonoctena var. natalensis", "Coeloplana gonoctena var. rosea", "Coeloplana indica", "Coeloplana komaii", "Coeloplana krusadiensis", "Coeloplana lineolata", "Coeloplana mesnili", "Coeloplana metschnikowii", "Coeloplana mitsukurii", "Coeloplana perrieri", "Coeloplana punctata", "Coeloplana scaberiae", "Coeloplana sophiae", "Coeloplana tattersalli", "Coeloplana thomsoni", "Coeloplana weilli", "Coeloplana willeyi", "Coeloplana wuennenbergi", "Vallicula multiformis", "Cambodgia elegantissima", "Begonia erectotricha", "Begonia ferramica", "Begonia hirsutula", "Begonia lacunosa", "Begonia laporteifolia", "Begonia lopensis", "Begonia mbangaensis", "Begonia mildbraedii", "Begonia montis-elephantis", "Begonia peperomioides", "Begonia scutulum", "Begonia susaniae", "Begonia vankerckhovenii", "Begonia wilksii", "Begonia hexandra", "Begonia holmnielseniana", "Begonia irmscheri", "Begonia kalbreyeri", "Begonia killipiana", "Begonia lehmannii", "Begonia libera", "Begonia longirostris", "Begonia napoensis", "Begonia oliveri", "Begonia pectennervia", "Begonia tetrandra", "Begonia valvata", "Begonia annobonensis", "Begonia integerrima", "Begonia radicans", "Begonia solananthera", "Begonia ampla", "Begonia bonus-henricus", "Begonia poculifera", "Begonia arfakensis", "Begonia fulvovillosa", "Begonia mooreana", "Begonia pulchera", "Begonia strigosa", "Begonia symbeccarii", "Begonia symbracteosa", "Begonia symgeraniifolia", "Begonia symhirta", "Begonia sympapuana", "Begonia symparvifolia", "Begonia symsanguinea", "Begonia egregia", "Begonia capillipes", "Begonia cavallyensis", "Begonia ebolowensis", "Begonia elaeagnifolia", "Begonia eminii", "Begonia furfuracea", "Begonia fusialata", "Ganesha annamita", "Ganesha elegans", "Cryptolobata primitiva", "Lobocrypta annamita", "Axiotima gaedii", "Bathocyroe fosteri", "Bathocyroe paragaster", "Bolinopsis chuni", "Bolinopsis elegans", "Bolinopsis indosinensis", "Bolinopsis infundibulum", "Bolinopsis microptera", "Bolinopsis mikado", "Bolinopsis ovalis", "Bolinopsis rubripunctata", "Bolinopsis vitrea", "Lesueuria hyboptera", "Lesueuria pinnata", "Lesueuria tiedemanni", "Lesueuria vitrea", "Mnemiopsis gardeni", "Mnemiopsis leidyi", "Mnemiopsis mccradyi", "Leucothea grandiformis", "Leucothea harmata", "Leucothea japonica", "Fagus sylvatica", "Leucothea multicornis", "Leucothea ochracea", "Leucothea pulchra", "Alcinoe rosea", "Alcinoe vermicularis", "Ocyropsis crystallina", "Ocyropsis crystallina crystallina", "Ocyropsis crystallina guttata", "Ocyropsis fusca", "Ocyropsis maculata", "Ocyropsis maculata immaculata", "Ocyropsis maculata maculata", "Ocyropsis pteroessa", "Eurhamphaea chamissonis", "Eurhamphaea heteroptera", "Eurhamphaea kuhlii", "Eurhamphaea schweiggeri", "Eurhamphaea vexilligera", "Eschscholthia dimidiata", "Eschscholtzia borealis", "Paracelsia quadriloba", "Thoe paradoxa", "Tizardia phosphorea", "Archeocydippida hunsrueckiana", "Paleoctenophora brasseli", "Ctenorhabdotus capulus", "Fasciculus vesanus", "Xanioascus canadensis", "Ctenoplana bengalensis", "Ctenoplana duboscqui", "Ctenoplana korotneffi", "Ctenoplana kowalevskii", "Ctenoplana maculomarginata", "Ctenoplana muculosa", "Ctenoplana perrieri", "Ctenoplana rosacea", "Pleurobrachia arctica", "Pleurobrachia australis", "Pleurobrachia bachei", "Pleurobrachia brunnea", "Pleurobrachia cyanea", "Pleurobrachia globosa", "Pleurobrachia globosa var. bengalensis", "Pleurobrachia globosa var. ceylonensis", "Pleurobrachia latipharyngea", "Pleurobrachia pigmentata", "Pleurobrachia pileus", "Pleurobrachia rhododactyla", "Pleurobrachia rhodopsis", "Pleurobrachia striata", "Sabaudia liguriae", "Tinerfe cyanea", "Euplokamis crinita", "Euplokamis dunlapae", "Euplokamis helicoides", "Euplokamis octoptera", "Euplokamis stationis", "Callianira antarctica", "Callianira bialata", "Callianira cristata", "Callianira compressa", "Callianira diploptera", "Callianira ficalbi", "Callianira hexagona", "Callianira triploptera", "Charistephane fugiens", "Mertensia ovum", "Cydippe densa", "Cydippe ovata", "Cydippe quadricostata", "Begonia physandra", "Begonia popenoei", "Begonia porteana", "Begonia rubropilosa", "Begonia scabridoidea", "Begonia semperflorens-cultorum", "Begonia sibutensis", "Begonia stenogyna", "Begonia stipularis", "Begonia strigulosa", "Begonia tanala", "Begonia temburongensis", "Begonia thelmae", "Begonia trullifolia", "Begonia yunckeri", "Begonia angraensis", "Begonia depauperata", "Begonia fulvosetulosa", "Begonia herbacea", "Begonia lanceolata", "Begonia fruticosa", "Begonia heydei", "Begonia aeranthos", "Begonia epibaterium", "Begonia fagifolia", "Begonia glabra", "Begonia inconspicua", "Begonia polygonifolia", "Begonia smilacina", "Begonia comata", "Begonia anaimalaiensis", "Begonia angilogensis", "Begonia antaisaka", "Begonia awongii", "Begonia bahakensis", "Begonia boisiana", "Begonia bruneiana", "Begonia bufoderma", "Begonia castaneifolia", "Begonia cerasiphylla", "Begonia chlorandra", "Begonia cyanescens", "Begonia donkelaariana", "Begonia eutricha", "Begonia fabulosa", "Begonia fuscisetosa", "Begonia groenewegensis", "Begonia gunnerifolia", "Begonia herteri", "Begonia hexaptera", "Begonia \u00d7 hiemalis", "Glaucidium capense ngamiense", "Glaucidium capense scheffleri", "Chasmosaurus belli", "Paphinia dunstervillei", "Pentaceratops sternbergii", "Anchiceratops ornatus", "Begonia hoehneana", "Begonia humilis", "Begonia humillima", "Begonia iucunda", "Begonia khasiana", "Begonia laccophora", "Begonia lecomtei", "Begonia leucochlora", "Begonia leucotricha", "Begonia macahensis", "Begonia malabarica", "Begonia mannii", "Begonia maracayuensis", "Begonia medusae", "Begonia megaptera", "Begonia mexicana", "Begonia meysselliana", "Begonia microptera", "Begonia militaris", "Begonia nummulariifolia", "Begonia orchidiflora", "Begonia palmatiloba", "Begonia paniculata", "Begonia pantherina", "Begonia papyraptera", "Begonia paraguayensis", "Begonia perrieri", "Begonia \u00d7 phyllomaniaca", "Paphinia herrerae", "Paphinia hirtzii", "Paphinia levyae", "Paphinia levyae var. angustisegmentata", "Paphinia lindeniana", "Paphinia grandiflora", "Chlorophorus varius", "Amphiprion ocellaris", "Paphinia benzingii", "Centrosaurus apertus", "Monoclonius crassus", "Paphinia cristata", "Styracosaurus albertensis", "Pruvotina megathecata", "Pruvotina providens", "Pruvotina pallioglandulata", "Pruvotina peniculata", "Pruvotina praegnans", "Pruvotina uniperata", "Harpagoherpia tenuisoleata", "Lituiherpia spermathecata", "Begonia lacustris", "Begonia laevis", "Begonia lagunensis", "Phyllomenia austrina", "Phyllomenia cornuadentata", "Dorymenia acuta", "Dorymenia peroneopsis", "Dorymenia antarctica", "Dorymenia discoveryi", "Dorymenia longa", "Dorymenia quincarinata", "Dorymenia tricarinata", "Dorymenia sarsii", "Dorymenia vagans", "Dorymenia tortilis", "Dorymenia troncosi", "Dorymenia weberi", "Dorymenia acutidentata", "Dorymenia cristata", "Dorymenia harpagata", "Dorymenia hoffmani", "Dorymenia interposita", "Dorymenia paucidentata", "Dorymenia profunda", "Dorymenia singulatidentata", "Dorymenia tetradoryata", "Dorymenia usarpi", "Proneomenia acuminata", "Proneomenia epibionta", "Proneomenia filifornis", "Proneomenia gerlachei", "Proneomenia hawaiiansis", "Proneomenia insularis", "Proneomenia praedatoria", "Proneomenia sluiteri", "Proneomenia valdiviae", "Proneomenia stillererythrocytica", "Proneomenia desiderata", "Rhipidoherpia copulobursata", "Dinomenia hubrechti", "Amelanchier ovalis", "Amelanchier sinica", "Amelanchier spicata", "Amelanchier wiegandii", "Caulophyllum giganteum", "Caulophyllum robustum", "Caulophyllum thalictroides", "Epimedium acuminatum", "Epimedium alpinum", "Epimedium brevicornu", "Epimedium davidii", "Epimedium diphyllum", "Epimedium dolichostemon", "Epimedium fangii", "Epimedium fargesii", "Epimedium franchetii", "Epimedium grandiflorum", "Epimedium grandiflorum var. koreanum", "Epimedium latisepalum", "Proteus anguinus", "Epimedium membranaceum", "Epimedium mikinorii", "Epimedium perralderianum", "Epimedium pinnatum", "Epimedium pubescens", "Epimedium pubigerum", "Epimedium sagittatum", "Epimedium sempervirens", "Epimedium stellulatum", "Epimedium wushanense", "Podophyllum aurantiocaule", "Podophyllum delavayi", "Podophyllum difforme", "Podophyllum glaucescens", "Dysosma guangxiensis", "Podophyllum hemsleyi", "Podophyllum majorense", "Podophyllum peltatum", "Podophyllum pleianthum", "Podophyllum trilobulum", "Podophyllum versipelle", "Beta corolliflora", "Beta macrocarpa", "Beta macrorhiza", "Patellifolia webbiana", "Amelanchier asiatica", "Amelanchier intermedia", "Amelanchier lamarckii", "Paphinia litensis", "Paphinia neudeckeri", "Paphinia posadarum", "Paphinia rugosa", "Paphinia seegeri", "Phyllonorycter obandai", "Oedaleus johnstoni", "Oedaleus obtusangulus", "Abisares viridipennis", "Abisares viridipennis viridipennis", "Iphinoe trispinosa", "Paphinia subclausa", "Xyloplax medusiformis", "Xyloplax turnerae", "Heterosentis fusiformis", "Heterosentis heteracanthus", "Heterosentis overstreeti", "Heterosentis paraplagusiarum", "Heterosentis plotosi", "Heterosentis septacanthus", "Heterosentis thapari", "Acanthocephaloides distinctus", "Paracanthocephaloides incrassatus", "Acanthocephaloides propinquus", "Solearhynchus rhytidotes", "Heterosentis hirsutus", "Neoechinorhynchus spinicaudatus", "Breizacanthus chabaudei", "Breizacanthus irenae", "Breizacanthus ligur", "Symbion pandora", "Symbion americanus", "Stanhopea confusa", "Stanhopea manriquei", "Stanhopea naurayi", "Paphinia vermiculifera", "Centropus menbeki", "Desmognathus auriculatus", "Dicamptodon tenebrosus", "Varanus prasinus", "Varanus niloticus", "Oxythyrea cinctella", "Oxythyrea funesta", "Acrophyllum exiguum", "Microtus cabrerae", "Microtus duodecimcostatus", "Microtus felteni", "Microtus gerbei", "Camoensia insignis", "Camoensia insignis insignis", "Camoensia insignis sculpturata", "Chloracantha lampra", "Aextoxicon punctatum", "Sciurus vulgaris", "Sciurus anomalus", "Callosciurus erythraeus", "Spermophilus citellus", "Spermophilus suslicus", "Tamias sibiricus", "Atlantoxerus getulus", "Marmota marmota", "Pteromys volans", "Oedaleus nigeriensis", "Macrotocinclus affinis", "Cricetulus migratorius", "Mesocricetus newtoni", "Micromys minutus", "Apodemus agrarius", "Apodemus alpicola", "Apodemus flavicollis", "Apodemus mystacinus", "Apodemus sylvaticus", "Apodemus uralensis", "Genetta abyssinica", "Microtus guentheri", "Microtus lusitanicus", "Microtus multiplex", "Microtus savii", "Microtus subterraneus", "Microtus tatricus", "Microtus thomasi", "Lemmus lemmus", "Arvicola sapidus", "Dinaromys bogdanovi", "Chionomys nivalis", "Morone mississippiensis", "Gouania willdenowi", "Lagurus lagurus", "Nyctibatrachus aliciae", "Acomys minous", "Eliomys quercinus", "Dryomys nitedula", "Myomimus roachi", "Zeus olympius", "Sicista betulina", "Sicista subtilis", "Thymus moroderi", "Mus macedonicus", "Mus spicilegus", "Mus spretus", "Clerodendrum phlomidis", "Clerodendrum quadriloculare", "Clerodendrum speciosissimum", "Clerodendrum splendens", "Clerodendrum thomsoniae", "Clerodendrum tomentosum", "Clerodendrum trichotomum", "Clerodendrum villosum", "Congea tomentosa", "Congea velutina", "Cornutia grandifolia", "Cornutia obovata", "Cyanostegia angustifolia", "Cyanostegia lanceolata", "Duranta dombeyana", "Duranta erecta", "Duranta triacantha", "Faradaya splendida", "Glandularia alejandrana", "Glandularia amoena", "Glandularia araucana", "Glandularia aristigera", "Glandularia aurantiaca", "Glandularia bajacalifornica", "Glandularia bipinnatifida", "Glandularia brachyrhynchos", "Glandularia cabrerae", "Glandularia canadensis", "Glandularia cheitmaniana", "Proteles cristata", "Magnolia subg.", "Magnolia macrophylla", "Magnolia macrophylla subsp. dealbata", "Magnolia subg.", "Callicarpa macrophylla", "Callicarpa mollis", "Callicarpa nudiflora", "Callicarpa pedunculata", "Callicarpa pentandra", "Callicarpa rubella", "Callicarpa tomentosa", "Callicarpa vestita", "Caryopteris \u00d7 clandonensis", "Caryopteris incana", "Caryopteris mongholica", "Caryopteris tangutica", "Citharexylum berlandieri", "Citharexylum caudatum", "Citharexylum gentryi", "Citharexylum montevidense", "Citharexylum myrianthum", "Citharexylum poeppigii", "Citharexylum spinosum", "Citharexylum tristachyum", "Papaver nudicaule", "Aloysia citrodora", "Aloysia scorodonioides", "Aloysia virgata", "Amasonia campestris", "Callicarpa americana", "Callicarpa ampla", "Callicarpa bodinieri", "Callicarpa brevipetiolata", "Callicarpa cathayana", "Callicarpa dichotoma", "Callicarpa japonica", "Callicarpa kochiana", "Glandularia delticola", "Glandularia dissecta", "Glandularia elegans", "Glandularia flava", "Glandularia gooddingii", "Glandularia guaranitica", "Glandularia hassleriana", "Glandularia herteri", "Glandularia kuntzeana", "Glandularia laciniata", "Glandularia lilacina", "Glandularia lilloana", "Glandularia lipozygioides", "Glandularia macrosperma", "Glandularia maritima", "Glandularia marrubioides", "Glandularia megapotamica", "Glandularia mendocina", "Glandularia microphylla", "Glandularia nana", "Glandularia parodii", "Glandularia peruviana", "Glandularia phlogiflora", "Glandularia platensis", "Glandularia polyantha", "Glandularia pulchra", "Glandularia pumila", "Glandularia quadrangulata", "Glandularia santiaguensis", "Glandularia scrobiculata", "Glandularia selloi", "Glandularia sessilis", "Glandularia stellarioides", "Glandularia subincana", "Glandularia sulphurea", "Glandularia tampensis", "Glandularia tenera", "Glandularia teucriifolia", "Glandularia tristachya", "Glandularia tumidula", "Glandularia turneri", "Glandularia venturii", "Nasua narica", "Nasua nasua", "Canis adustus", "Canis mesomelas", "Canis simensis", "Gmelina arborea", "Gmelina asiatica", "Gmelina elliptica", "Gmelina leichhardtii", "Gmelina philippensis", "Holmskioldia sanguinea", "Lachnostachys coolgardiensis", "Lippia alba", "Lippia javanica", "Lippia kituiensis", "Lippia micromera", "Lippia myriocephala", "Lippia rehmannii", "Newcastelia spodiotricha", "Nyctanthes arbor-tristis", "Fitzroya cupressoides", "Chamaecyparis hodginsii", "Glyptostrobus pensilis", "Tragelaphus buxtoni", "Tragelaphus imberbis", "Peronema canescens", "Petrea volubilis", "Phyla canescens", "Phyla cuneifolia", "Phyla dulcis", "Phyla nodiflora", "Phyla scaberrima", "Pityrodia racemosa", "Premna cumingiana", "Premna herbacea", "Premna latifolia", "Premna microphylla", "Premna odorata", "Premna scandens", "Premna serratifolia", "Premna tomentosa", "Stachytarpheta cayennensis", "Stachytarpheta indica", "Stachytarpheta jamaicensis", "Stachytarpheta mutabilis", "Stachytarpheta speciosa", "Tectona grandis", "Cichlidae incertae sedis", "Sapajus flavius", "Meriones tristrami", "Spalax graecus", "Nannospalax leucodon", "Morone saxatilis", "Morone americana", "Morone chrysops", "Cupressus funebris", "Chamaecyparis pisifera", "Calocedrus formosana", "Cunninghamia lanceolata var. konishii", "Cunninghamia konishii", "Cinchona calisaya", "Cinchona pubescens", "Chuquiraga oppositifolia", "Vitex capitata", "Vitex cofassus", "Vitex cymosa", "Vitex doniana", "Vitex eylesii", "Vitex gigantea", "Vitex glabrata", "Vitex grandifolia", "Vitex harveyana", "Vitex incisa", "Vitex keniensis", "Vitex lucens", "Vitex megapotamica", "Vitex negundo", "Vitex parviflora", "Vitex pinnata", "Vitex pooara", "Vitex pseudonegundo", "Vitex quinata", "Vitex rehmannii", "Vitex rotundifolia", "Vitex taruma", "Vitex trifolia", "Albertinia de", "Albertinia apiculata", "Antonina debilis", "Equus ferus ferus", "Chamaecyparis formosensis", "Heterodontus francisci", "Hexanchus vitulus", "Deania quadrispinosa", "Euprotomicrus bispinatus", "Somniosus microcephalus", "Somniosus pacificus", "Echinorhinus brucus", "Echinorhinus cookei", "Squalus acanthias", "Vitex acuminata", "Vitex agnus-castus", "Vitex altissima", "Vitex camporum", "Volkameria aculeata", "Clerodendrum anafense", "Clerodendrum bracteatum", "Clerodendrum buchananii", "Clerodendrum bungei", "Clerodendrum chinense", "Clerodendrum cumingianum", "Clerodendrum cyrtophyllum", "Clerodendrum indicum", "Clerodendrum inerme", "Clerodendrum infortunatum", "Clerodendrum intermedium", "Clerodendrum japonicum", "Clerodendrum macrostegium", "Clerodendrum minahassae", "Clerodendrum paniculatum", "Apostates rapae", "Mustela frenata", "Perigrapha superveniens", "Alina jasmini", "Baronia taratana", "Osphranter rufus", "Sloanea pacuritana", "Brassica oleracea", "Glyphis gangeticus", "Carcharhinus albimarginatus", "Carcharhinus amblyrhynchos", "Carcharhinus brachyurus", "Carcharhinus falciformis", "Carcharhinus melanopterus", "Carcharhinus obscurus", "Carcharhinus plumbeus", "Allophryne ruthveni", "Antilocapra americana americana", "Antilocapra americana mexicana", "Antilocapra americana peninsularis", "Antilocapra americana sonoriensis", "Ranzania laevis", "Alibertia theobromae", "Lepus capensis", "Ictalurus furcatus", "Silurus glanis", "Ameiurus nebulosus", "Ameiurus melas", "Ameiurus natalis", "Cryptomeria mabillei", "Microbiota decussata", "Neocallitropsis pancheri", "Sequoia sempervirens", "Sequoiadendron giganteum", "Taiwania cryptomerioides", "Taxodium ascendens", "Taxodium mucronatum", "Sylvilagus floridanus", "Declinia relicta", "Declinia versicolor", "Panthera pardus kotiya", "Panthera pardus tulliana", "Choloepus hoffmanni", "Choloepus didactylus", "Macrovipera lebetina", "Panthera leo verneyi", "Epiblema grandiflorum", "Panthera leo maculatus", "Guestia gonetropospora", "Araucaria hunsteinii", "Panthera pardus fusca", "Araucaria luxurians", "Araucaria muelleri", "Araucaria rulei", "Faidherbia albida", "Gentingia subsessilis", "Puma concolor coryi", "Thuja koraiensis", "Thuja standishii", "Thujopsis dolabrata", "Widdringtonia wallichii", "Widdringtonia nodiflora", "Widdringtonia schwarzii", "Widdringtonia whytei", "Agathis borneensis", "Agathis labillardieri", "Agathis macrophylla", "Oxyphyllum pennatum", "Oxyphyllum ulicinum", "Preussia lobatipes", "Tristira magellanica", "Vossia obesa", "Clevelandia ios", "Clevelandia beldingii", "Punica granatum", "Rhinolophus blasii", "Rhinolophus euryale", "Rhinolophus ferrumequinum", "Rhinolophus hipposideros", "Rhinolophus mehelyi", "Hainania serrata", "Hintonia candens", "Hymenocephalus rigidus", "Lepus corsicanus", "Mora moro", "Ranzania japonica", "Sphaerophysa dianchiensis", "Trichodon trichodon", "Tridens melanops", "Tydemania navigatoris", "Ulvaria subbifurcata", "Beckmannia eruciformis", "Acroceras zizanioides", "Alloteropsis semialata", "Anthephora ampullacea", "Anthephora argentea", "Anthephora cristata", "Anthephora nigritana", "Anthephora pubescens", "Axonopus argentinus", "Axonopus chrysoblepharis", "Pehria compacta", "Oroya aurora", "Bambusa basihirsuta", "Bambusa blumeana", "Bambusa boniopsis", "Bambusa chungii", "Bambusa dissimulator", "Bambusa dolichoclada", "Bambusa dolichomerithalla", "Bambusa eutuldoides", "Bambusa flexuosa", "Bambusa gibba", "Bambusa longispiculata", "Bambusa malingensis", "Bambusa mutabilis", "Bambusa oldhamii", "Bambusa oliveriana", "Bambusa pachinensis", "Bambusa pallida", "Bambusa pervariabilis", "Bambusa polymorpha", "Bambusa rutila", "Bambusa sinospinosa", "Bambusa textilis", "Bambusa ventricosa", "Larix gmelinii", "Larix griffithii", "Larix \u00d7 marschlinsii", "Larix potaninii", "Axonopus marginatus", "Axonopus micay", "Axonopus pressus", "Axonopus ramboi", "Axonopus siccus", "Axonopus suffultus", "Arundinaria pumila", "Myotis bechsteinii", "Myotis blythii", "Myotis capaccinii", "Myotis dasycneme", "Myotis emarginatus", "Myotis myotis", "Arthrostylidium cubense", "Bambusa balcooa", "Bambusa bambos", "Huso huso", "Juniperus sect.", "Juniperus drupacea", "Juniperus rigida", "Juniperus cedrus", "Juniperus formosana", "Juniperus oxycedrus", "Juniperus sect.", "Juniperus bermudiana", "Juniperus excelsa", "Juniperus foetidissima", "Juniperus monticola", "Juniperus phoenicea", "Juniperus procera", "Juniperus procumbens", "Juniperus pseudosabina", "Juniperus recurva", "Juniperus semiglobosa", "Juniperus squamata", "Juniperus thurifera", "Juniperus indica", "Lactarius lactarius", "Libocedrus bidwillii", "Austrocedrus chilensis", "Libocedrus plumosa", "Acharia tragodes", "Ariopsis felis", "Ariopsis peltata", "Sauvagesia rhodoleuca", "Apera intermedia", "Avena agadiriana", "Avena atlantica", "Avena brevis", "Avena canariensis", "Avena clauda", "Avena eriantha", "Avena insularis", "Avena longiglumis", "Avena murphyi", "Avena vaviloviana", "Avena ventricosa", "Fergania reducta", "Fergania polyantha", "Gallienia elegans", "Gallienia sclerophylla", "Odontura rhaphidospora", "Omania splendens", "Omania arabica", "Agnesia lancifolia", "Alania cunninghami", "Alania hancocki", "Anisochaeta mikanioides", "Anthelia glauca", "Antillia brachychaeta", "Anura pallidivirens", "Appendicularia flagellum", "Archboldia ericoides", "Ashtonia eucalyptorum", "Bogoriella subpersicina", "Brooksia rostrata", "Eptesicus bottae", "Buchnera aphidicola", "Calliderma indigofera", "Catenococcus tortuosus", "Plecotus austriacus", "Plecotus teneriffae", "Ovidia conicicollis", "Leptonema illini", "Morelia senegalensis", "Pipistrellus kuhlii", "Pipistrellus maderensis", "Pipistrellus pipistrellus", "Nyctalus azoreum", "Nyctalus lasiopterus", "Nyctalus leisleri", "Stenomeria deharvengi", "Tamania jacquelinae", "Tamania chardonii", "Targionia hypophylla", "Xenus lithophylli", "Dodonidia helmsii", "Argyrophenga antipodum", "Argyrophenga janitae", "Canis dirus", "Vanessa gonerilla", "Urtica ferox", "Halococcus formicarii", "Hanburia parviflora", "Hannonia hesperidum", "Harrisonia uncinata", "Harleya oxylepis", "Houstonia zani", "Miniopterus schreibersii", "Tadarida teniotis", "Keteleeria davidiana", "Keteleeria fortunei", "Pinus armandii", "Pinus ayacahuite", "Pinus bungeana", "Pinus canariensis", "Pinus caribaea", "Pinus cubensis", "Pinus densiflora", "Pinus durangensis", "Centipeda periodontii", "Pinus gerardiana", "Pinus greggii", "Brooksia tropicalis", "Pinus hartwegii", "Boholia nematostylis", "Pinus heldreichii", "Pinus hwangshanensis", "Pinus kesiya", "Pinus koraiensis", "Pinus luchuensis", "Pinus massoniana", "Pinus montezumae", "Pinus occidentalis", "Pinus oocarpa", "Pinus parviflora", "Pinus peuce", "Pinus pinceana", "Pinus pseudostrobus", "Pinus pumila", "Pinus roxburghii", "Boholia cerianthiphila", "Buchholzia fallax", "Cereus pedunculatus", "Plathymenia foliolosa", "Acrocephalus familiaris familiaris", "Acrocephalus familiaris kingi", "Arundinella berteroniana", "Arundinella deppeana", "Arundinella fuscata", "Arundinella hirta", "Arundinella hispida", "Arundinella holcoides", "Arundinella nepalensis", "Arundinella setosa", "Arundinella tuberculata", "Alocasia aequiloba", "Alocasia \u00d7 mortfontanensis", "Alocasia augustiana", "Alocasia brancifolia", "Alocasia crassifolia", "Alocasia cuprea", "Alocasia heterophylla", "Alocasia lancifolia", "Alocasia lauterbachiana", "Alocasia longiloba", "Alocasia micholitziana", "Alocasia odora", "Alocasia portei", "Alocasia sanderiana", "Alocasia zebrina", "Pseudolarix amabilis", "Fauriella natalensis", "Gaudichaudia gaudichaudii", "Glenniea indica", "Guinotia dentata", "Cardisoma guanhumi", "Pseudotsuga japonica", "Pseudotsuga sinensis", "Gecarcinus lateralis", "Gecarcinus ruricola", "Nothotsuga longibracteata", "Eleutherodactylus martinicensis", "Tsuga chinensis", "Tsuga diversifolia", "Tsuga dumosa", "Tsuga forrestii", "Allamanda blanchetii", "Allamanda schottii", "Platylophus trifoliatus", "Viguierella madagascariensis", "Wenyingia sichuanensis", "Xylococcus bicolor", "Reichardia insignis", "Rhaphidura lowii", "Rotula deciesdigitatus", "Sphaerosoma corvinae", "Poria derketo", "Pulvinaria bohemica", "Pumilus medullae", "Lanceola spatulifera", "Lapidaria margaretae", "Pycnandra subg.", "Merope angulata", "Micropholis stowi", "Myurella torquata", "Kogia breviceps", "Kogia sima", "Canis lupus lycaon", "Canis lupus lupus", "Canis lupus baileyi", "Canis lupus communis", "Arceuthobium globosum", "Aronia arbutifolia", "Aronia melanocarpa", "Aronia \u00d7 prunifolia", "Chaenomeles cathayensis", "Chaenomeles japonica", "Chaenomeles speciosa", "Chaenomeles \u00d7 superba", "Pintoa nearctica", "Pintoa chilensis", "Plagiopus australis", "Pontella atlantica", "Syntexis libocedrii", "Alstonia actinophylla", "Alstonia angustiloba", "Alstonia boonei", "Alstonia constricta", "Alstonia pneumatophora", "Alstonia scholaris", "Alstonia spatulata", "Alstonia spectabilis", "Alstonia venenata", "Alyxia bracteolosa", "Alyxia buxifolia", "Alyxia gynopogon", "Alyxia ilicifolia", "Alyxia ruscifolia", "Alyxia sinensis", "Alyxia stellata", "Pericoptus truncatus", "Kerria japonica", "Jaliscoa nudipennis", "Johnsonella ignava", "Jubula hutchinsiae subsp. pennsylvanica", "Kefersteinia cirrata", "Kingella scortechinii", "Kraussia rugulosa", "Kurzia latissima", "Cookella leibergi", "Dactylanthus antarcticus", "Edgaria blackburni", "Anthurium acaule", "Anthurium acutum", "Anthurium bakeri", "Anthurium clavigerum", "Anthurium coriaceum", "Anthurium crassinervium", "Anthurium digitatum", "Anthurium dressleri", "Anthurium eggersii", "Anthurium ferrierense", "Anthurium forgetii", "Anthurium grandifolium", "Anthurium harrisii", "Anthurium hoffmannii", "Anthurium hookeri", "Anthurium hortulanum", "Anthurium lacerdae", "Anthurium lilacinum", "Anthurium longilaminatum", "Anthurium magnificum", "Anthurium nymphaeifolium", "Anthurium obpyriforme", "Anthurium obtusum", "Anthurium oxybelium", "Anthurium pentaphyllum", "Anthurium radicans", "Anthurium scherzerianum", "Anthurium schlechtendalii", "Anthurium subsignatum", "Deschampsia nubigena", "Deschampsia setacea", "Pyrobaculum aerophilum", "Holcus annuus", "Holcus lanatus", "Holcus mollis", "Bromus subg.", "Bromus subg.", "Bromus subg.", "Bromus subg.", "Bromus subg.", "Bromus subg.", "Bromus alopecuros", "Bromus arenarius", "Bromus arizonicus", "Bromus arvensis", "Bromus brachystachys", "Bromus briziformis", "Bromus bromoideus", "Bromus commutatus", "Bromus danthoniae", "Bromus grossus", "Bromus hordeaceus", "Bromus intermedius", "Bromus interruptus", "Bromus japonicus", "Bromus lanceolatus", "Bromus lepidus", "Bromus mollis", "Bromus oxyodon", "Bromus pectinatus", "Bromus pseudodanthoniae", "Bromus racemosus", "Bromus scoparius", "Bromus secalinus", "Bromus severtzovii", "Bromus squarrosus", "Bromus carinatus", "Bromus coloratus", "Bromus mango", "Bromus lithobius", "Bromus subvelutinus", "Bromus stamineus", "Bromus sitchensis", "Bromus polyanthus", "Bromus maritimus", "Bromus marginatus", "Bromus angrenicus", "Bromus anomalus", "Bromus araucanus", "Bromus auleticus", "Bromus barcensis", "Bromus biebersteinii", "Bromus brachyanthera", "Bromus canadensis", "Bromus cappadocicus", "Bromus ciliatus", "Bromus erectus", "Bromus frondosus", "Bromus himalaicus", "Bromus inermis", "Bromus ircutensis", "Bromus kalmii", "Bromus kopetdaghensis", "Bromus laevipes", "Bromus lanatus", "Bromus latiglumis", "Bromus leptoclados", "Bromus ornans", "Bromus pacificus", "Bromus pannonicus", "Bromus porteri", "Bromus pubescens", "Bromus ramosus", "Bromus remotiflorus", "Bromus richardsonii", "Bromus riparius", "Bromus setifolius", "Bromus stenostachyus", "Bromus syriacus", "Bromus tomentellus", "Bromus tomentosus", "Anthurium trinervium", "Anthurium uleanum", "Anthurium veitchii", "Anthurium wendlingeri", "Eriochiton sclerolaenoides", "Arisaema amurense", "Arisaema concinnum", "Arisaema consanguineum", "Arisaema elephas", "Arisaema erubescens", "Arisaema fargesii", "Arisaema fimbriatum", "Arisaema formosanum", "Arisaema griffithii", "Arisaema macrospathum", "Arisaema nepenthoides", "Arisaema ovale", "Arisaema polyphyllum", "Arisaema propinquum", "Arisaema ringens", "Arisaema serratum", "Arisaema sikokianum", "Arisaema thunbergii", "Arisaema tosaense", "Arum elongatum", "Arum korolkowii", "Arum orientale", "Arum palaestinum", "Eutaxia moreirai", "Faurea princeps", "Bromus variegatus", "Bromus vulgaris", "Bromus berteroanus", "Bromus gracillimus", "Bromus diandrus", "Bromus fasciculatus", "Bromus madritensis", "Bromus rubens", "Bromus sterilis", "Bromus tectorum", "Bromus parodii", "Bromus pratensis", "Bromus segetum", "Bromus sinensis", "Hordeum arizonicum", "Hordeum bogdanii", "Hordeum brachyantherum", "Hordeum brevisubulatum", "Hordeum bulbosum", "Hordeum capense", "Hordeum chilense", "Hordeum comosum", "Hordeum cordobense", "Hordeum depressum", "Hordeum erectifolium", "Hordeum euclaston", "Hordeum flexuosum", "Hordeum fuegianum", "Hordeum guatemalense", "Hordeum intercedens", "Hordeum jubatum", "Hordeum lechleri", "Hordeum marinum", "Hordeum murinum", "Hordeum muticum", "Hordeum parodii", "Hordeum patagonicum", "Hordeum procerum", "Hordeum pubiflorum", "Hordeum pusillum", "Hordeum roshevitzii", "Hordeum secalinum", "Hordeum stenostachys", "Hordeum tetraploidum", "Hordeum vulgare", "Batrachostomus poliolophus mixtus", "Batrachostomus affinis", "Helonias bullata", "Tamandua mexicana", "Calamagrostis alba", "Calamagrostis angustifolia", "Calamagrostis arundinacea", "Calamagrostis avenoides", "Calamagrostis canadensis", "Calamagrostis canescens", "Calamagrostis coarctata", "Calamagrostis emodensis", "Calamagrostis epigejos", "Calamagrostis fibrovaginata", "Calamagrostis foliosa", "Calamagrostis lapponica", "Calamagrostis leonardii", "Calamagrostis nutkaensis", "Calamagrostis parsana", "Calamagrostis porteri", "Calamagrostis purpurea", "Calamagrostis pseudophragmites", "Calamagrostis rubescens", "Calamagrostis stricta", "Calamagrostis tolucensis", "Calamagrostis varia", "Calamagrostis viridiflavescens", "Calamagrostis youngii", "Deschampsia antarctica", "Deschampsia cespitosa", "Deschampsia danthonioides", "Deschampsia elongata", "Avenella flexuosa", "Deschampsia koelerioides", "Deschampsia laxa", "Deschampsia media", "Vicia pubescens", "Vicia tetrasperma", "Monarda bradburiana", "Monarda citriodora", "Monarda clinopodia", "Monarda didyma", "Monarda fistulosa", "Monarda pectinata", "Monarda pringlei", "Monarda punctata", "Daucus aureus", "Daucus broteri", "Daucus carota", "Daucus crinitus", "Daucus durieua", "Daucus glochidiatus", "Daucus guttatus", "Daucus involucratus", "Daucus montanus", "Daucus muricatus", "Daucus pusillus", "Daucus setifolius", "Daucus capillifolius", "Daucus jordanicus", "Daucus glaber", "Acorypha unicarinata", "Xerotyphlops vermicularis", "Sorex alpinus", "Sorex araneus", "Sorex caecutiens", "Sorex coronatus", "Sorex granarius", "Sorex isodon", "Sorex minutissimus", "Cydonia oblonga", "Vaccinium vitis-idaea", "Erinaceus concolor", "Atelerix algirus", "Galemys pyrenaicus", "Talpa europaea", "Talpa caeca", "Talpa occidentalis", "Talpa romana", "Talpa stankovici", "Heterodontus portusjacksoni", "Centrophorus acus", "Centrophorus granulosus", "Centrophorus moluccensis", "Centrophorus niaukang", "Centrophorus squamosus", "Centrophorus uyato", "Deania calcea", "Deania hystricosa", "Squalus blainville", "Suncus etruscus", "Eptatretus cirrhatus", "Eptatretus springeri", "Microcebus jollyae", "Microcebus mittermeieri", "Abies borisii-regis", "Mobula birostris", "Ochroma pyramidale", "Calluna vulgaris", "Anisoptera costata", "Anisoptera curtisii", "Agastache rugosa", "Vicia subg.", "Vicia subg.", "Vicia sect.", "Vicia sect.", "Vicia sect.", "Vicia sect.", "Vicia sect.", "Vicia sect.", "Vicia sect.", "Vicia sect.", "Vicia sect.", "Vicia sect.", "Vicia sect.", "Vicia sect.", "Vicia sect.", "Vicia sect.", "Vicia sect.", "Vicia sect.", "Vicia sect.", "Vicia sect.", "Vicia sect.", "Vicia sect.", "Vicia sect.", "Vicia sect.", "Vicia balansae", "Vicia oroboides", "Vicia sepium", "Vicia bithynica", "Vicia faba", "Vicia anatolica", "Vicia assyriaca", "Vicia galeata", "Vicia hybrida", "Vicia hyrcanica", "Vicia lutea", "Vicia melanops", "Vicia noeana", "Vicia pannonica", "Vicia sericocarpa", "Vicia dionysiensis", "Vicia hyaeniscyamus", "Scutellaria galericulata", "Scutellaria hookeri", "Scutellaria incarnata", "Scutellaria indica", "Scutellaria lateriflora", "Scutellaria longifolia", "Scutellaria meehanioides", "Scutellaria montana", "Scutellaria parvula", "Scutellaria rehderiana", "Scutellaria strigillosa", "Scutellaria suffrutescens", "Scutellaria viscidula", "Elseya albagula", "Macrochelodina burrungandjii", "Sphyrna lewini", "Sphyrna mokarran", "Sphyrna zygaena", "Sphyrna tiburo", "Sphyrna tudes", "Heliconius heurippa", "Ajuga australis", "Ajuga decumbens", "Ajuga iva", "Ajuga nipponensis", "Ajuga turkestanica", "Pseudodictamnus acetabulosus", "Pseudodictamnus hispanicus", "Pseudodictamnus mediterraneus", "Galeopsis ladanum", "Galeopsis pubescens", "Galeopsis segetum", "Galeopsis tetrahit", "Thymus caespititius", "Thymus cilicicus", "Thymus herba-barona", "Thymus kosteleckyanus", "Thymus kotschyanus", "Thymus longicaulis", "Thymus mastichina", "Thymus mongolicus", "Thymus nummularius", "Thymus praecox", "Thymus praecox subsp. britannicus", "Thymus pulegioides", "Thymus quinquecostatus", "Thymus serpyllum", "Thymus thracicus", "Thymus transcaucasicus", "Thymus vulgaris", "Thymus zygis", "Origanum dictamnus", "Origanum majorana", "Origanum onites", "Origanum rotundifolium", "Origanum syriacum", "Origanum vulgare", "Scutellaria alpina", "Scutellaria altissima", "Scutellaria amoena", "Scutellaria baicalensis", "Scutellaria barbata", "Scutellaria brittonii", "Scutellaria californica", "Scutellaria costaricana", "Scutellaria floridana", "Chelodina canni", "Dissostichus eleginoides", "Prostanthera behriana", "Prostanthera cuneata", "Prostanthera incisa", "Prostanthera lasianthos", "Prostanthera nivea", "Prostanthera ovalifolia", "Prostanthera rotundifolia", "Prostanthera striatiflora", "Lavandula angustifolia", "Lavandula bipinnata", "Lavandula canariensis", "Lavandula dentata", "Lavandula \u00d7 intermedia", "Lavandula lanata", "Lavandula latifolia", "Lavandula mairei", "Lavandula multifida", "Lavandula stoechas", "Anisomeles indica", "Anisomeles malabarica", "Leucosceptrum canum", "Pogostemon benghalensis", "Pogostemon cablin", "Pogostemon fraternus", "Pogostemon glaber", "Pogostemon heyneanus", "Pogostemon menthoides", "Pogostemon plectranthoides", "Pogostemon purpurascens", "Amethystea caerulea", "Gomphus floccosus", "Teucrium arduinoi", "Teucrium betonicum", "Vicia narbonensis", "Vicia aintabensis", "Vicia michauxii", "Vicia peregrina", "Vicia grandiflora", "Vicia incisa", "Vicia pyrenaica", "Vicia sativa", "Vicia lathyroides", "Vicia americana", "Vicia andicola", "Vicia bijuga", "Vicia epetiolaris", "Vicia graminea", "Vicia linearifolia", "Vicia macrograminea", "Vicia montevidensis", "Vicia nana", "Vicia cassubica", "Vicia menziesii", "Vicia multicaulis", "Vicia nigricans", "Vicia orobus", "Vicia semiglabra", "Vicia acutifolia", "Vicia benghalensis", "Vicia caroliniana", "Vicia cirrhosa", "Vicia cracca", "Vicia disperma", "Vicia filicaulis", "Vicia floridana", "Vicia hirsuta", "Vicia ludoviciana", "Vicia minutiflora", "Vicia monantha", "Vicia ochroleuca", "Vicia palaestina", "Vicia pulchella", "Vicia scandens", "Vicia sicula", "Vicia villosa", "Vicia ervilia", "Vicia articulata", "Vicia cappadocica", "Vicia cretica", "Vicia onobrychioides", "Vicia cypria", "Vicia canescens", "Vicia megalotropis", "Vicia amoena", "Vicia amurensis", "Vicia crocea", "Vicia dumetorum", "Vicia japonica", "Vicia nipponica", "Vicia pisiformis", "Vicia pseudo-orobus", "Vicia sylvatica", "Vicia unijuga", "Vicia venosa", "Vicia biennis", "Vicia parviflora", "Elsholtzia flava", "Elsholtzia fruticosa", "Elsholtzia splendens", "Elsholtzia stauntonii", "Mosla chinensis", "Mosla dianthera", "Mosla japonica", "Mosla scabra", "Perilla frutescens", "Blephilia ciliata", "Blephilia hirsuta", "Blephilia subnuda", "Bystropogon origanifolius", "Chelodina mccordi", "Chelodina novaeguineae", "Chelodina pritchardi", "Chelodina reimanni", "Chelodina steindachneri", "Cedronella canariensis", "Clinopodium brownei", "Clinopodium chinense", "Clinopodium umbrosum", "Clinopodium vulgare", "Levisticum officinale", "Sorex minutus", "Sorex samniticus", "Neomys anomalus", "Neomys fodiens", "Couroupita guianensis", "Grias cauliflora", "Grias neuberthii", "Grias peruviana", "Tradescantia bracteata", "Tradescantia crassifolia", "Tradescantia crassula", "Tradescantia fluminensis", "Tradescantia hirsuticaulis", "Tradescantia longipes", "Tradescantia ohiensis", "Tradescantia pallida", "Tradescantia spathacea", "Tradescantia subaspera", "Tradescantia virginiana", "Tradescantia zanonia", "Tradescantia zebrina", "Erebia embla", "Crocidura canariensis", "Crocidura leucodon", "Crocidura osorio", "Crocidura sicula", "Crocidura suaveolens", "Crocidura zimmermanni", "Crocidura russula", "Poa imbecilla", "Poa infirma", "Poa interior", "Poa iridifolia", "Poa keysseri", "Poa kirkii", "Poa laevis", "Poa languida", "Poa lanigera", "Poa lanuginosa", "Poa leptoclada", "Poa ligularis", "Poa ligulata", "Poa lindsayi", "Poa lipskyi", "Poa litorosa", "Poa longifolia", "Poa macrantha", "Poa maniototo", "Poa mannii", "Poa matthewsii", "Poa mulalensis", "Poa napensis", "Poa nemoralis", "Poa nervosa", "Poa nipponica", "Poa ochroleuca", "Poa pallens", "Poa paludigena", "Poa palustris", "Poa pannonica", "Poa pilcomayensis", "Poa poecila", "Poa pratensis", "Poa pseudobulbosa", "Poa psilolepis", "Poa pumila", "Poa remota", "Poa resinulosa", "Poa rupicola", "Poa sandvicensis", "Poa scaberula", "Poa secunda", "Poa sibirica", "Poa sieberiana", "Poa sinaica", "Poa siphonoglossa", "Poa stenantha", "Poa sterilis", "Poa stiriaca", "Poa subfastigiata", "Poa supina", "Poa sylvestris", "Poa tatarica", "Poa tibetica", "Poa trivialis", "Poa urssulensis", "Poa ussuriensis", "Poa versicolor", "Poa viridifolia", "Poa wheeleri", "Vaccinium sparsum", "Gryllus bimaculatus", "Curcuma yunnanensis", "Curcuma exigua", "Curcuma chuanezhu", "Curcuma chuanhuangjiang", "Curcuma kwangsiensis", "Curcuma sichuanensis", "Curcuma flaviflora", "Vaccinium emarginatum", "Vaccinium griffithianum", "Vaccinium meridionale", "Vaccinium moupinense", "Vaccinium neilgherrense", "Vaccinium nummularia", "Vaccinium retusum", "Vaccinium sect.", "Vaccinium fragile", "Vaccinium sect.", "Vaccinium vacciniaceum", "Curcuma alismatifolia", "Vaccinium sect.", "Vaccinium fissiflorum", "Vaccinium sect.", "Vaccinium exul", "Vaccinium sect.", "Vaccinium sect.", "Vaccinium crassifolium", "Vaccinium sect.", "Vaccinium stamineum", "Vaccinium sect.", "Vaccinium ambyandrum", "Vaccinium cyclopense", "Vaccinium sect.", "Vaccinium crenatum", "Vaccinium dependens", "Curcuma sparganiifolia", "Curcuma bicolor", "Vaccinium sect.", "Curcuma glans", "Vaccinium chunii", "Curcuma rhomba", "Vaccinium dunalianum", "Curcuma rhabdota", "Vaccinium glaucoalbum", "Curcuma rubrobracteata", "Vaccinium urceolatum", "Curcuma codonantha", "Curcuma amarissima", "Curcuma attenuata", "Curcuma musacea", "Curcuma glaucophylla", "Curcuma strobilifera", "Curcuma roscoeana", "Curcuma parviflora", "Curcuma sessilis", "Curcuma parvula", "Curcuma grandiflora", "Curcuma aurantiaca", "Curcuma heyneana", "Curcuma mangga", "Curcuma colorata", "Curcuma euchroma", "Curcuma soloensis", "Cervus nippon", "Odocoileus virginianus", "Axis axis", "Dama dama", "Hydropotes inermis", "Muntiacus reevesi", "Conradina canescens", "Conradina etonia", "Conradina glabra", "Conradina grandiflora", "Conradina verticillata", "Harpactira curator", "Apis florea", "Apis koschevnikovi", "Vanessa atalanta", "Apis nigrocincta", "Etienneus africanus", "Hypoctonus andersoni", "Hypoctonus binghami", "Hypoctonus birmanicus", "Hypoctonus browni", "Amsinckia calycina", "Amsinckia menziesii var. intermedia", "Anchusa leptophylla", "Anchusa ochroleuca", "Anchusa riparia", "Anchusa stylosa", "Anchusa undulata", "Salticus scenicus", "Gryllus campestris", "Petromyzon marinus", "Lampetra fluviatilis", "Alkanna lutea", "Poa acicularifolia", "Poa acroleuca", "Poa aequatoriensis", "Poa aitchisonii", "Poa alopecurus", "Poa alpina", "Poa alsodes", "Poa anceps", "Poa andina", "Poa annua", "Poa arachnifera", "Poa arctica", "Poa arida", "Poa atropurpurea", "Poa attenuata", "Poa bactriana", "Poa badensis", "Poa binata", "Poa bonariensis", "Poa brachyanthera", "Poa buchananii", "Poa bulbosa", "Poa candamoana", "Poa cenisia", "Poa chaixii", "Poa cita", "Poa colensoi", "Poa compressa", "Poa confinis", "Poa cusickii", "Poa densa", "Poa diversifolia", "Poa dusenii", "Poa eminens", "Poa erinacea", "Poa fendleriana", "Poa flabellata", "Poa flexuosa", "Poa fuegiana", "Poa gerardii", "Poa gilgiana", "Poa glauca", "Poa glaucifolia", "Poa horridula", "Poa hybrida", "Poa iberica", "Curcumorpha longiflora", "Curcuma caesia", "Curcuma comosa", "Curcuma ferruginea", "Curcuma leucorrhiza", "Curcuma montana", "Curcuma reclinata", "Curcuma viridiflora", "Curcuma albiflora", "Curcuma rubescens", "Curcuma bakeriana", "Curcuma mutabilis", "Curcuma vamana", "Curcuma karnatakensis", "Curcuma malabarica", "Curcuma kudagensis", "Curcuma cannanorensis", "Curcuma coriacea", "Curcuma raktakanta", "Curcuma pseudomontana", "Curcuma caulina", "Curcuma elata", "Vaccinium sect.", "Curcuma prakasha", "Vaccinium macrocarpon", "Vaccinium oxycoccos", "Vaccinium sect.", "Vaccinium angustifolium", "Vaccinium boreale", "Vaccinium caesariense", "Vaccinium corymbosum", "Vaccinium darrowii", "Vaccinium elliottii", "Vaccinium formosum", "Vaccinium hirsutum", "Vaccinium myrsinites", "Vaccinium myrtilloides", "Vaccinium pallidum", "Vaccinium simulatum", "Vaccinium tenellum", "Vaccinium virgatum", "Vaccinium sect.", "Vaccinium corymbodendron", "Vaccinium delavayi", "Pinus sibirica", "Chloracantha spinosa", "Pinus tabuliformis", "Pinus taiwanensis", "Pinus tecunumanii", "Pinus teocote", "Pinus thunbergii", "Pinus tropicalis", "Cidaris caroliniana", "Pinus yunnanensis", "Dactylanthus taylorii", "Deccania pubescens", "Deckenia nobilis", "Diabole cubensis", "Dawsonia dawsoni", "Barnardia colligens", "Acanthopale perkinsi", "Curcuma australasica", "Curcuma ceratotheca", "Curcuma coerulea", "Curcuma porphyrotaenia", "Curcuma ornata", "Curcuma plicata", "Trisetum aeneum", "Trisetum antarcticum", "Trisetum argenteum", "Trisetum canescens", "Trisetum cernuum", "Trisetum ciliare", "Trisetum cumingii", "Trisetum deyeuxioides", "Trisetum distichophyllum", "Trisetum flavescens", "Trisetum melicoides", "Trisetum phleoides", "Trisetum rigidum", "Trisetum sibiricum", "Trisetum spicatum", "Trisetum subspicatum", "Curcuma careyana", "Caryocar brasiliense", "Curcuma latifolia", "Larix himalaica", "Larix mastersiana", "Larix speciosa", "Larix principis-rupprechtii", "Pseudotsuga lindleyana", "Tsuga sieboldii", "Curcuma loerzingii", "Curcuma sumatrana", "Curcuma longispica", "Vaccinium sect.", "Vaccinium sect.", "Vaccinium arboreum", "Vaccinium sect.", "Vaccinium ciliatum", "Vaccinium oldhamii", "Curcuma ochrorhiza", "Vaccinium sect.", "Vaccinium consanguineum", "Vaccinium floribundum", "Vaccinium ovatum", "Vaccinium sect.", "Vaccinium uliginosum", "Curcuma purpurascens", "Curcuma purpurea", "Curcuma inodora", "Curcuma ecomata", "Capra ibex", "Ammotragus lervia", "Rupicapra pyrenaica", "Rupicapra rupicapra", "Curcuma ecalcarata", "Curcuma cochinchinensis", "Curcuma harmandii", "Curcuma pierreana", "Curcuma thorelii", "Curcuma singularis", "Curcuma trichosantha", "Curcuma stenochila", "Curcuma sylvatica", "Curcuma oligantha", "Curcuma haritha", "Curcuma meraukensis", "Curcuma latiflora", "Curcuma gracillima", "Curcuma americana", "Acorypha clara", "Acorypha clara clara", "Acorypha clara dhofara", "Lithobius forficatus", "Phaseolus parvulus", "Phaseolus pauciflorus", "Phaseolus perplexus", "Phaseolus plagiocylix", "Phaseolus pluriflorus", "Phaseolus tenellus", "Phaseolus sect.", "Phaseolus esquincensis", "Phaseolus gladiolatus", "Phaseolus hintonii", "Phaseolus magnilobatus", "Phaseolus xanthotrichus", "Phaseolus zimapanensis", "Phaseolus sect.", "Phaseolus chiapasanus", "Phaseolus sect.", "Phaseolus acutifolius", "Phaseolus parvifolius", "Alpinia nanchuanensis", "Acrotylus blondeli", "Podocarpus sect.", "Podocarpus sect.", "Podocarpus sect.", "Podocarpus sect.", "Podocarpus sect.", "Podocarpus sect.", "Podocarpus sect.", "Podocarpus sect.", "Podocarpus sect.", "Podocarpus sect.", "Podocarpus sect.", "Podocarpus sect.", "Podocarpus sect.", "Podocarpus sect.", "Podocarpus sect.", "Podocarpus sect.", "Podocarpus sect.", "Podocarpus sect.", "Amomum odontocarpum", "Genetta genetta", "Phaseolus sect.", "Phaseolus leptophyllus", "Phaseolus sect.", "Phaseolus maculatus", "Phaseolus reticulatus", "Phaseolus venosus", "Phaseolus sect.", "Teucrium botrys", "Teucrium canadense", "Teucrium carolipaui", "Teucrium chamaedrys", "Teucrium corymbosum", "Teucrium creticum", "Teucrium cubense", "Teucrium flavum", "Teucrium fruticans", "Teucrium gnaphalodes", "Teucrium lepicephalum", "Teucrium \u00d7 lucidrys", "Teucrium massiliense", "Teucrium montanum", "Teucrium polium", "Teucrium pseudochamaepitys", "Teucrium pyrenaicum", "Teucrium scordium", "Teucrium scorodonia", "Teucrium subspinosum", "Teucrium vesicarium", "Teucrium viscidum", "Trichostema austromontanum", "Trichostema brachiatum", "Trichostema dichotomum", "Trichostema lanceolatum", "Collinsonia canadensis", "Collinsonia verticillata", "Chelodina longicollis", "Elseya nadibajagu", "Elseya uberrima", "Rheodytes devisi", "Macrochelodina alanrixi", "Chelodina insculpta", "Selevinia betpakdalaensis", "Elsholtzia ciliata", "Elsholtzia densa", "Phaseolus acinaciformis", "Phaseolus albinervus", "Phaseolus dasycarpus", "Phaseolus jaliscanus", "Phaseolus juquilensis", "Phaseolus longiplacentifer", "Phaseolus lunatus", "Phaseolus maculatifolius", "Phaseolus marechalii", "Phaseolus nodosus", "Phaseolus polystachios", "Phaseolus rotundatus", "Phaseolus salicifolius", "Phaseolus scrobiculatifolius", "Phaseolus sonorensis", "Phaseolus xolocotzii", "Phaseolus sect.", "Phaseolus macrolepis", "Phaseolus talamancensis", "Phaseolus sect.", "Phaseolus albiflorus", "Phaseolus albiviolaceus", "Phaseolus altimontanus", "Phaseolus neglectus", "Phaseolus trifidus", "Phaseolus sect.", "Phaseolus angustissimus", "Phaseolus filiformis", "Phaseolus sect.", "Phaseolus leptostachyus", "Phaseolus macvaughii", "Phaseolus micranthus", "Phaseolus persistentus", "Phaseolus sect.", "Phaseolus campanulatus", "Phaseolus oligospermus", "Phaseolus tuerckheimii", "Phaseolus sect.", "Phaseolus esperanzae", "Phaseolus grayanus", "Phaseolus laxiflorus", "Phaseolus oaxacanus", "Phaseolus pedicellatus", "Phaseolus polymorphus", "Phaseolus purpusii", "Phaseolus pyramidalis", "Phaseolus scabrellus", "Phaseolus teulensis", "Phaseolus sect.", "Phaseolus coccineus", "Phaseolus augusti", "Phaseolus carteri", "Phaseolus diversifolius", "Phaseolus glabellus", "Phaseolus lignosus", "Phaseolus microcarpus", "Phaseolus mollis", "Phaseolus pachyrrhizoides", "Curcuma decipiens", "Curcuma k\u00fcnstleri", "Curcuma neilgherrensis", "Panax bipinnatifidus", "Panax ginseng", "Panax japonicus", "Panax notoginseng", "Panax pseudoginseng", "Panax quinquefolius", "Panax stipuleanatus", "Panax trifolius", "Panax vietnamensis", "Panax wangianus", "Panax zingiberensis", "Ocimum americanum", "Ocimum basilicum", "Ocimum campechianum", "Ocimum citriodorum", "Ocimum gratissimum", "Ocimum kilimandscharicum", "Ocimum minimum", "Ocimum neurophyllum", "Ocimum selloi", "Ocimum tenuiflorum", "Cryptocatantops haemorrhoidalis", "Persoonia longifolia", "Anopheles boliviensis", "Anopheles nimbus", "Anopheles argyritarsis", "Anopheles squamifemur", "Chagasia fajardi", "Chagasia rozeboomi", "Chagasia bathana", "Chagasia bonneae", "Pelobates cultripes", "Araneus diadematus", "Nuctenea umbratica", "Mus minutoides", "Anopheles maculipennis", "Vaccinium sect.", "Vaccinium calycinum", "Vaccinium cespitosum", "Vaccinium deliciosum", "Vaccinium dentatum", "Vaccinium membranaceum", "Vaccinium myrtillus", "Vaccinium ovalifolium", "Vaccinium parvifolium", "Vaccinium praestans", "Vaccinium reticulatum", "Vaccinium scoparium", "Vaccinium sect.", "Vaccinium erythrocarpum", "Vaccinium sect.", "Vaccinium arctostaphylos", "Vaccinium cylindraceum", "Vaccinium hirtum", "Vaccinium padifolium", "Vaccinium smallii", "Vaccinium sect.", "Vaccinium acrobracteatum", "Vaccinium barandanum", "Vaccinium bracteatum", "Vaccinium coriaceum", "Vaccinium cornigerum", "Vaccinium cruentum", "Vaccinium hooglandii", "Vaccinium horizontale", "Vaccinium laurifolium", "Vaccinium lucidum", "Vaccinium myrtoides", "Vaccinium phillyreoides", "Vaccinium reticulatovenosum", "Pleurodeles waltl", "Timon lepidus", "Psammodromus algirus", "Cistus albidus", "Daphne gnidium", "Labramia costata", "Viola reichenbachiana", "Championella sarcorrhiza", "Roscoea pubescens", "Roscoea brevibracteata", "Globba emeiensis", "Phaseolus sect.", "Phaseolus albescens", "Phaseolus costaricensis", "Phaseolus dumosus", "Phaseolus vulgaris", "Phaseolus sect.", "Phaseolus amabilis", "Phaseolus amblyosepalus", "Phaseolus anisophyllus", "Phaseolus nelsonii", "Laurus azorica", "Laurus nobilis", "Cinnamomum parthenoxylon", "Beilschmiedia bancroftii", "Beilschmiedia clarkei", "Beilschmiedia kweo", "Beilschmiedia obtusifolia", "Beilschmiedia tawa", "Themeda anathera", "Themeda arguens", "Themeda avenacea", "Themeda gigantea", "Themeda japonica", "Themeda quadrivalvis", "Themeda triandra", "Themeda villosa", "Pyrola alpina", "Pyrola asarifolia", "Pyrola faurieana", "Pyrola japonica", "Pyrola media", "Pyrola minor", "Pyrola renifolia", "Pyrola rotundifolia", "Zingiber cochleariforme", "Zingiber guangxiense", "Zingiber lingyunense", "Zingiber ellipticum", "Zingiber leptorrhizum", "Zingiber nudicarpum", "Zingiber longyangjiang", "Zingiber liangshanense", "Zingiber emeiense", "Zingiber tuanjuum", "Zingiber gulinense", "Alpinia bambusifolia", "Alpinia polyantha", "Alpinia coriandriodora", "Alpinia psilogyna", "Alpinia jingxiensis", "Alpinia guinanensis", "Tamandua tetradactyla", "Hedychium brevicaule", "Bradypus torquatus", "Bradypus tridactylus", "Bradypus variegatus", "Cabassous centralis", "Cabassous chacoensis", "Tropidolaemus wagleri", "Tolypeutes matacus", "Tolypeutes tricinctus", "Zaedyus pichiy", "Anathana ellioti", "Tupaia minor", "Tupaia glis", "Tupaia belangeri", "Tupaia chrysogaster", "Tupaia dorsalis", "Tupaia gracilis", "Tupaia javanica", "Tupaia longipes", "Tupaia montana", "Tupaia nicobarica", "Tupaia palawanensis", "Tupaia picta", "Tupaia splendidula", "Tupaia tana", "Dendrogale melanura", "Dendrogale murina", "Ptilocercus lowii", "Urogale everetti", "Herpestes javanicus", "Herpestes ichneumon", "Geomys arenarius", "Geomys bursarius", "Geomys personatus", "Geomys pinetis", "Geomys tropicalis", "Orthogeomys cavator", "Orthogeomys cherriei", "Orthogeomys cuniculus", "Orthogeomys dariensis", "Orthogeomys grandis", "Orthogeomys heterodus", "Orthogeomys hispidus", "Orthogeomys lanius", "Orthogeomys matagalpae", "Orthogeomys thaeleri", "Orthogeomys underwoodi", "Pappogeomys alcorni", "Pappogeomys bulleri", "Thomomys bulbivorus", "Thomomys clusius", "Thomomys idahoensis", "Thomomys mazama", "Thomomys monticola", "Thomomys talpoides", "Thomomys townsendii", "Thomomys umbrinus", "Cabassous unicinctus", "Cabassous tatouay", "Chaetophractus nationi", "Chaetophractus vellerosus", "Chaetophractus villosus", "Calyptophractus retusus", "Chlamyphorus truncatus", "Dasypus hybridus", "Dasypus kappleri", "Dasypus novemcinctus", "Dasypus pilosus", "Dasypus sabanicola", "Dasypus septemcinctus", "Dasypus yepesi", "Euphractus sexcinctus", "Priodontes maximus", "Hedychium yungjiangense", "Hedychium pauciflorum", "Prosopis affinis", "Prosopis africana", "Prosopis alba", "Prosopis alpataco", "Prosopis argentina", "Prosopis articulata", "Prosopis burkartii", "Prosopis caldenia", "Prosopis calingastana", "Prosopis campestris", "Prosopis castellanosii", "Prosopis chilensis", "Prosopis cineraria", "Prosopis denudans", "Prosopis elata", "Prosopis farcta", "Prosopis ferox", "Prosopis fiebrigii", "Prosopis flexuosa", "Prosopis glandulosa", "Prosopis hassleri", "Prosopis humilis", "Prosopis juliflora", "Prosopis kuntzei", "Prosopis laevigata", "Prosopis nigra", "Prosopis pallida", "Prosopis palmeri", "Prosopis pubescens", "Prosopis reptans", "Prosopis rojasiana", "Prosopis ruizlealii", "Prosopis ruscifolia", "Prosopis sericantha", "Prosopis strombulifera", "Prosopis tamarugo", "Prosopis torquata", "Prosopis velutina", "Curcuma grahamiana", "Curcuma rotunda", "Potos flavus", "Desmodus rotundus", "Campanula arvatica", "Campanula asperuloides", "Campanula atlantis", "Campanula austroxinjiangensis", "Campanula autraniana", "Campanula axillaris", "Campanula baborensis", "Campanula barbata", "Campanula baumgartenii", "Campanula bayerniana", "Campanula beckiana", "Campanula bellidifolia", "Campanula bertolae", "Campanula betonicifolia", "Campanula betulifolia", "Campanula biebersteiniana", "Campanula bipinnatifida", "Campanula bluemelii", "Campanula bordesiana", "Campanula bornmuelleri", "Campanula brassicifolia", "Campanula buseri", "Campanula calaminthifolia", "Campanula calcarata", "Campanula calcarea", "Campanula calcicola", "Campanula calycialata", "Campanula camptoclada", "Campanula cana", "Campanula candida", "Campanula cantabrica", "Campanula capusii", "Campanula carpatha", "Campanula cashmeriana", "Campanula caucasica", "Campanula cecilii", "Campanula celsii", "Campanula cenisia", "Campanula cervicaria", "Campanula cespitosa", "Campanula charadzae", "Campanula chinensis", "Campanula choruhensis", "Campanula choziatowskyi", "Campanula chrysosplenifolia", "Campanula ciliata", "Campanula collina", "Campanula columnaris", "Campanula conferta", "Campanula robinsiae", "Campanula scabrella", "Campanula scouleri", "Campanula sharsmithiae", "Campanula shetleri", "Campanula trachelium", "Campanula uniflora", "Campanula wilkinsiana", "Campanula alpina", "Campanula americana", "Bironella gracilis", "Bironella simmondsi", "Bironella travestita", "Bironella obscura", "Bironella hollandi", "Bironella confusa", "Bironella derooki", "Bironella papuae", "Populus angustifolia", "Populus yunnanensis", "Populus cathayana", "Populus deltoides", "Populus lasiocarpa", "Populus laurifolia", "Campanula acutiloba", "Campanula afganica", "Campanula afra", "Campanula aghrica", "Campanula aizoides", "Campanula aizoon", "Campanula alata", "Campanula albanica", "Campanula aldanensis", "Campanula alliariifolia", "Campanula alpestris", "Campanula alphonsii", "Campanula alsinoides", "Campanula anchusiflora", "Campanula andina", "Campanula andrewsii", "Campanula antalyensis", "Campanula antilibanotica", "Campanula argentea", "Campanula argyrotricha", "Campanula aristata", "Campanula khorasanica", "Campanula kiharae", "Campanula kirikkaleensis", "Campanula kladniana", "Campanula kluchorica", "Campanula kolakovskyi", "Campanula kolenatiana", "Campanula komarovii", "Campanula kotschyana", "Campanula koyuncui", "Campanula kremeri", "Pusa hispida", "Monachus monachus", "Campanula laciniata", "Campanula lactiflora", "Campanula grandis", "Campanula lavrensis", "Campanula ledebouriana", "Campanula lehmanniana", "Campanula letschchumensis", "Campanula leucantha", "Campanula leucoclada", "Campanula leucosiphon", "Campanula lingulata", "Campanula longisepala", "Campanula longistyla", "Campanula lourica", "Campanula luristanica", "Campanula lusitanica", "Campanula lycica", "Campanula lyrata", "Campanula macrochlamys", "Campanula macrorhiza", "Campanula macrostachya", "Campanula macrostyla", "Campanula mairei", "Campanula marcenoi", "Campanula marchesettii", "Campanula mardinensis", "Campanula massalskyi", "Campanula megrelica", "Campanula mekongensis", "Campanula daghestanica", "Campanula damascena", "Campanula damboldtiana", "Campanula darialica", "Campanula dasyantha", "Campanula davisii", "Campanula decumbens", "Campanula delavayi", "Campanula delicatula", "Campanula dichotoma", "Campanula dieckii", "Campanula dimorphantha", "Campanula dolomitica", "Campanula doluchanovii", "Campanula drabifolia", "Campanula dulcis", "Campanula dzaaku", "Campanula dzyschrica", "Campanula edulis", "Campanula elatines", "Campanula elatinoides", "Campanula elegantissima", "Campanula embergeri", "Campanula engurensis", "Campanula erinus", "Campanula escalerae", "Campanula euboica", "Campanula euclasta", "Campanula eugeniae", "Campanula excisa", "Campanula fastigiata", "Campanula federovii", "Campanula fenestrellata", "Campanula ficarioides", "Campanula filicaulis", "Campanula flaccidula", "Campanula foliosa", "Campanula fominii", "Campanula fonderwisii", "Campanula formanekiana", "Campanula forsythii", "Campanula fragilis", "Campanula fritschii", "Campanula fruticulosa", "Campanula merxmuelleri", "Campanula meyeriana", "Campanula micrantha", "Campanula microdonta", "Campanula mirabilis", "Campanula moesiaca", "Campanula mollis", "Campanula monodiana", "Campanula moravica", "Campanula morettiana", "Campanula munzurensis", "Campanula myrtifolia", "Campanula nakaoi", "Campanula nisyria", "Campanula numidica", "Campanula nuristanica", "Campanula oblongifolia", "Campanula oblongifolioides", "Campanula occidentalis", "Campanula odontosepala", "Campanula oligosperma", "Campanula olympica", "Campanula oreadum", "Campanula orphanidea", "Campanula ossetica", "Campanula pallida", "Campanula pangea", "Campanula panjutinii", "Campanula papillosa", "Campanula paradoxa", "Campanula patenticalyx", "Campanula pelviformis", "Campanula pendula", "Campanula peregrina", "Campanula perpusilla", "Campanula persepolitana", "Campanula peshmenii", "Campanula petraea", "Campanula petrophila", "Campanula phrygia", "Campanula phyctidocalyx", "Campanula pinatzii", "Campanula pindicola", "Campanula pinnatifida", "Campanula podocarpa", "Campanula pollinensis", "Campanula polyclada", "Campanula pontica", "Campanula portenschlagiana", "Campanula poscharskyana", "Campanula postii", "Campanula praealta", "Campanula praesignis", "Leiopelma archeyi", "Leiopelma hamiltoni", "Leiopelma hochstetteri", "Leiopelma pakeka", "Aralia atropurpurea", "Aralia bipinnata", "Aralia cachemirica", "Aralia continentalis", "Aralia dactyligolia", "Aralia foliolosa", "Aralia dasyphylla", "Oreopanax xalapensis", "Methylobacterium extorquens", "Campanula angustiflora", "Campanula aparinoides", "Campanula aurita", "Campanula bononiensis", "Campanula californica", "Campanula carnica", "Campanula carpatica", "Campanula divaricata", "Campanula exigua", "Campanula floridana", "Campanula gieseckiana", "Campanula griffinii", "Campanula lanata", "Campanula lasiocarpa", "Campanula latifolia", "Campanula medium", "Campanula parryi", "Campanula patula", "Campanula persicifolia", "Campanula piperi", "Campanula punctata", "Campanula rapunculoides", "Campanula reverchonii", "Campanula constantini", "Campanula coriacea", "Campanula crassipes", "Campanula crenulata", "Campanula creutzburgii", "Campanula crispa", "Campanula cymaea", "Campanula cymbalaria", "Campanula cypria", "Campanula czerepanovii", "Pulsatilla vernalis", "Ulmus minor", "Profelis aurata aurata", "Heteromys anomalus", "Heteromys australis", "Heteromys desmarestianus", "Heteromys gaumeri", "Heteromys goldmani", "Heteromys nelsoni", "Mustela eversmanii", "Mustela lutreola", "Vormela peregusna", "Martes foina", "Martes martes", "Theora mesopotamica", "Elseya bellii", "Elseya branderhorsti", "Cupressus vietnamensis", "Chamaecyparis taiwanensis", "Pilgerodendron uviferum", "Papuacedrus papuana", "Cathaya argyrophylla", "Sciadopitys verticillata", "Anax junius", "Campanula glomerata", "Gagea minima", "Campanula precatoria", "Campanula prenanthoides", "Campanula primulifolia", "Campanula propinqua", "Campanula pseudostenocodon", "Campanula psilostachya", "Campanula ptarmicifolia", "Campanula pterocaula", "Campanula pubicalyx", "Campanula pulla", "Campanula pulvinaris", "Campanula pyramidalis", "Campanula quercetorum", "Campanula radchensis", "Campanula raddeana", "Campanula radicosa", "Campanula radula", "Campanula raineri", "Campanula ramosissima", "Campanula rapunculus", "Campanula raveyi", "Campanula reatina", "Campanula rechingeri", "Campanula reiseri", "Campanula retrorsa", "Campanula reuteriana", "Campanula rhodensis", "Campanula rhomboidalis", "Campanula rimarum", "Campanula romanica", "Campanula rumeliana", "Campanula rupestris", "Campanula rupicola", "Campanula ruprechtii", "Campanula sabatia", "Campanula sarmatica", "Campanula sartorii", "Campanula sauvagei", "Campanula savalanica", "Campanula saxatilis", "Campanula saxifraga", "Campanula saxifragoides", "Campanula saxonorum", "Campanula scapifoliosa", "Campanula schelkownikowii", "Campanula scheuchzeri", "Campanula schischkinii", "Campanula schistosa", "Campanula sciathia", "Campanula sclerophylla", "Campanula sclerotricha", "Campanula scoparia", "Campanula scopelia", "Campanula scutellata", "Campanula secundiflora", "Campanula semisecta", "Campanula seraglio", "Campanula serrata", "Campanula sibirica", "Campanula sidoniensis", "Campanula simulans", "Astragalus globiceps", "Astragalus glycyphylloides", "Astragalus gombo", "Astragalus guttatus", "Astragalus globiflorus", "Astragalus gossypinus", "Astragalus graveolens", "Astragalus hamadanus", "Astragalus hamosus", "Astragalus hispidulus", "Astragalus hymenostegis", "Astragalus hypoglottis", "Astragalus henryi", "Astragalus heterodontus", "Astragalus himalayanus", "Astragalus hoantchy", "Astragalus humifusus", "Astragalus hyalolepis", "Astragalus hypogaeus", "Astragalus idrietorum", "Astragalus incanus", "Astragalus jolderensis", "Astragalus kadschorensis", "Astragalus kahiricus", "Astragalus kentrophyta", "Astragalus kirrindicus", "Astragalus kulabensis", "Astragalus wagneri", "Astragalus karkarensis", "Astragalus kazbeki", "Astragalus kurdicus", "Astragalus lagopoides", "Astragalus lasioglottis", "Astragalus lasiosemius", "Astragalus latifolius", "Astragalus leontinus", "Astragalus leucocephalus", "Astragalus lilacinus", "Astragalus longipetalus", "Astragalus lurorum", "Gambusia amistadensis", "Gambusia affinis", "Gambusia punctata", "Gambusia eurystoma", "Gambusia holbrooki", "Astragalus pallasii", "Astragalus lasiostylus", "Astragalus lehmannianus", "Astragalus macrocephalus", "Campanula sommieri", "Campanula sorgerae", "Campanula sparsa", "Campanula spatulata", "Campanula speciosa", "Campanula specularioides", "Campanula sphaerocarpa", "Campanula spicata", "Campanula staintonii", "Campanula stellaris", "Campanula stenocodon", "Campanula stenosiphon", "Campanula stevenii", "Campanula stricta", "Campanula strigillosa", "Campanula strigosa", "Campanula suanetica", "Campanula subidaea", "Campanula sulaimanii", "Campanula sulphurea", "Campanula sylvatica", "Campanula symphytifolia", "Campanula takhtadzhianii", "Campanula tanfanii", "Campanula telephioides", "Campanula telmessi", "Campanula tenuissima", "Campanula teucrioides", "Campanula thyrsoides", "Campanula tokurii", "Campanula tomentosa", "Campanula tommasiniana", "Campanula topaliana", "Campanula trachyphylla", "Campanula transsilvanica", "Campanula trautvetteri", "Campanula trichocalycina", "Campanula trichopoda", "Campanula tridentata", "Campanula tristis", "Campanula troegerae", "Campanula tschuktschorum", "Campanula tubulosa", "Campanula tymphaea", "Campanula vaillantii", "Campanula velata", "Campanula velebitica", "Campanula veneris", "Campanula versicolor", "Campanula waldsteiniana", "Campanula wanneri", "Campanula wattiana", "Campanula willkommii", "Campanula witasekiana", "Campanula woronovii", "Campanula xylocarpa", "Campanula yaltirikii", "Campanula yildrimlii", "Campanula yunnanensis", "Festuca violacea", "Festuca viridula", "Festuca vivipara", "Festuca weberbaueri", "Festuca xanthina", "Asterina jambolanae", "Asterina rhamnii", "Asterina rhamnii var. dimapurensis", "Astragalus campylorrhynchus", "Astragalus pendulus", "Astragalus campylotrichus", "Astragalus caprinus", "Astragalus caraganae", "Astragalus cephalanthus", "Astragalus chamissonis", "Astragalus chlorostachys", "Astragalus chrysopterus", "Astragalus coluteocarpus", "Astragalus comosus", "Astragalus confusus", "Astragalus coquimbensis", "Astragalus fischeri", "Astragalus cornutus", "Astragalus crenatus", "Astragalus curvicaulis", "Astragalus curvirostris", "Astragalus cymbicarpos", "Astragalus calycinus", "Astragalus cerasocrenus", "Astragalus chiwensis", "Astragalus chrysostachys", "Astragalus commixtus", "Astragalus concretus", "Astragalus coodei", "Astragalus cyri", "Astragalus cysticalyx", "Astragalus dactylocarpus", "Astragalus dasyanthus", "Astragalus depressus", "Astragalus dictyolobus", "Astragalus dodtii", "Struthio molybdophanes", "Astragalus dahuricus", "Astragalus demetrii", "Astragalus dendroides", "Astragalus densiflorus", "Astragalus densifolius", "Astragalus echinatus", "Astragalus epiglottis", "Astragalus eriopodus", "Astragalus eximius", "Astragalus exscapus", "Astragalus myriacanthus", "Astragalus echinus", "Astragalus falciformis", "Astragalus fasciculifolius", "Astragalus filicaulis", "Astragalus fraxinifolius", "Astragalus galegiformis", "Astragalus garbancillo", "Astragalus glaux", "Astragalus macronyx", "Astragalus macropterus", "Astragalus melilotoides", "Astragalus micranthus", "Astragalus mongholicus", "Astragalus mucronifolius", "Astragalus murinus", "Astragalus macrocarpus", "Astragalus macrolobus", "Astragalus macrotropis", "Astragalus massiliensis", "Astragalus maximowiczii", "Astragalus microcephalus", "Astragalus miniatus", "Astragalus mollis", "Astragalus norvegicus", "Astragalus nudus", "Astragalus nevadensis", "Astragalus nobilis", "Astragalus odoratus", "Astragalus orbiculatus", "Astragalus oxyglottis", "Astragalus onobrychioides", "Astragalus ovinus", "Astragalus oxypterus", "Astragalus pallescens", "Astragalus peduncularis", "Astragalus pehuenches", "Astragalus penduliflorus", "Astragalus peterfii", "Astragalus physodes", "Astragalus platysematus", "Astragalus podocarpus", "Astragalus podolobus", "Astragalus polybotrys", "Astragalus ponticus", "Astragalus prorifer", "Astragalus pseudopurpureus", "Astragalus psilocentros", "Astragalus ptychophyllus", "Panthera leo bleyenberghi", "Astragalus paucijugus", "Astragalus pendulinus", "Astragalus physocarpus", "Astragalus politovii", "Astragalus pseudomegalomerus", "Astragalus racemosus", "Astragalus raddei", "Astragalus recognitus", "Astragalus reflexistipulus", "Astragalus refractus", "Astragalus remotijugus", "Astragalus retamocarpus", "Astragalus roemeri", "Astragalus ruscifolius", "Astragalus demavendicus", "Campanula zoysii", "Astragalus aboriginum", "Astragalus ackerbergensis", "Astragalus laxmannii", "Astragalus aduncus", "Astragalus aegobromus", "Astragalus albicaulis", "Astragalus alopecias", "Astragalus alopecuroides", "Astragalus alopecurus", "Astragalus ammodendron", "Astragalus angustifolius", "Astragalus annularis", "Astragalus arenarius", "Astragalus argyroides", "Astragalus armatus", "Astragalus askius", "Astragalus asper", "Astragalus atropilosulus", "Astragalus austriacus", "Astragalus bakaliensis", "Astragalus bodeanus", "Astragalus boeticus", "Astragalus captiosus", "Astragalus zingeri", "Astragalus wootonii", "Astragalus vulpinus", "Astragalus vogelii", "Astragalus villosus", "Astragalus vicarius", "Astragalus vexilliflexus", "Astragalus vesiculosus", "Astragalus vesicarius", "Astragalus verus", "Astragalus vegetus", "Astragalus varius", "Astragalus variegatus", "Astragalus vanillae", "Astragalus utriger", "Astragalus uraniolimneus", "Astragalus trimestris", "Astragalus tribuloides", "Astragalus tragacantha", "Astragalus sulcatus", "Astragalus sinicus", "Astragalus onobrychis", "Astragalus monspessulanus", "Astragalus frigidus", "Astragalus danicus", "Ovalipes trimaculatus", "Atelerix albiventris", "Festuca kingii", "Festuca komarovii", "Festuca kurtziana", "Festuca laxa", "Festuca lemanii", "Strongyloides stercoralis", "Festuca lenensis", "Festuca ligulata", "Festuca litvinovii", "Festuca longifolia", "Festuca longipes", "Festuca lucida", "Festuca magellanica", "Festuca mairei", "Festuca matthewsii", "Festuca monticola", "Festuca muelleri", "Festuca multinodis", "Festuca novae-zealandiae", "Festuca occidentalis", "Festuca orthophylla", "Festuca ovina", "Festuca pallens", "Festuca pallescens", "Festuca panciciana", "Festuca paradoxa", "Festuca picturata", "Festuca polycolea", "Festuca porcii", "Festuca pratensis", "Festuca procera", "Festuca psammophila", "Festuca pseudodalmatica", "Festuca pulchella", "Festuca purpurascens", "Festuca quadriflora", "Festuca rigescens", "Festuca rivularis", "Festuca roemeri", "Festuca rubra", "Festuca rupicaprina", "Festuca rupicola", "Festuca scabra", "Festuca scabriuscula", "Festuca scariosa", "Festuca sclerophylla", "Festuca sibirica", "Festuca sinensis", "Festuca spectabilis", "Festuca stricta", "Festuca subulata", "Festuca subuliflora", "Festuca tatrae", "Festuca thurberi", "Festuca vaginata", "Festuca valesiaca", "Festuca varia", "Festuca venusta", "Festuca versuta", "Acanthisitta chloris chloris", "Acanthisitta chloris citrina", "Acanthisitta chloris granti", "Pitta anerythra anerythra", "Pitta anerythra nigrifrons", "Pitta anerythra pallida", "Festuca ampla", "Festuca argentina", "Festuca arizonica", "Festuca arundinacea", "Festuca arvernensis", "Festuca beckeri", "Festuca brachyphylla", "Festuca burnatii", "Festuca caerulescens", "Festuca californica", "Festuca callieri", "Festuca calligera", "Festuca campestris", "Festuca caprina", "Festuca cinerea", "Festuca contracta", "Festuca cretacea", "Festuca cumminsii", "Festuca dahurica", "Festuca dasyclada", "Festuca diffusa", "Festuca dimorpha", "Festuca djimilensis", "Festuca dolichophylla", "Festuca drymeja", "Festuca durandoi", "Festuca elegans", "Festuca elmeri", "Festuca eskia", "Festuca extremiorientalis", "Festuca filiformis", "Festuca gigantea", "Festuca glauca", "Festuca gracillima", "Festuca halleri", "Festuca hawaiiensis", "Festuca heterophylla", "Festuca hystrix", "Lemonia taraxaci", "Oxytenis modestia", "Asterina talaumae", "Asterina psychotriae-symplocifoliae", "Asterina wrightiae-coccineae", "Asterina jambolanae var. fruticosae", "Saturnia pavonia", "Saturnia pavoniella", "Saturnia pyri", "Saturnia spini", "Antheraea pernyi", "Antheraea yamamai", "Antheraea paphia", "Graellsia isabellae", "Mesoplodon bidens", "Hyperoodon ampullatus", "Neoris huttoni", "Neoris huttoni naessigi", "Manis crassicaudata", "Smutsia gigantea", "Manis javanica", "Manis pentadactyla", "Smutsia temminckii", "Uromanis tetradactyla", "Phataginus tricuspis", "Crocuta crocuta", "Apechoneura carinifrons", "Apechoneura certonotus", "Apechoneura naturaeconservatio", "Boiga dendrophila", "Boiga dendrophila levitoni", "Dendrolagus pulcherrimus", "Festuca idahoensis", "Festuca indigesta", "Festuca juncifolia", "Festuca karatavica", "Astragalus schahrudensis", "Astragalus schmalhausenii", "Astragalus sciureus", "Astragalus scorpioides", "Astragalus scorpiurus", "Astragalus sempervirens", "Astragalus sesameus", "Astragalus setulosus", "Astragalus sieversianus", "Astragalus siliquosus", "Astragalus spachianus", "Astragalus spruneri", "Astragalus stella", "Astragalus stevenianus", "Astragalus subuliformis", "Astragalus subumbellatus", "Astragalus tephrosioides", "Astragalus testiculatus", "Astragalus thionanthus", "Astragalus turbinatus", "Astragalus saccocalyx", "Astragalus sanctus", "Astragalus sanczirii", "Astragalus sanguinolentus", "Astragalus scaberrimus", "Astragalus schanginianus", "Astragalus brachyodontus", "Astragalus sewertzovii", "Astragalus sikkimensis", "Astragalus masenderanus", "Astragalus steinbergianus", "Astragalus stenoceras", "Astragalus stipulatus", "Astragalus syriacus", "Astragalus tenuis", "Astragalus trichocarpus", "Astragalus uliginosus", "Astragalus unifoliolatus", "Astragalus vaginatus", "Coriandrum sativum", "Coriandrum tordylium", "Festuca abyssinica", "Festuca actae", "Festuca alpina", "Festuca altaica", "Festuca altissima", "Festuca amethystina", "Axia olga", "Cercophana frauenfeldi", "Armoracia sisymbroides", "Odontarrhena alpestris", "Odontarrhena argentea", "Alyssum atlanticum", "Odontarrhena bertolonii", "Odontarrhena borzaeana", "Alyssum cuneifolium", "Alyssum dasycarpum", "Alyssum diffusum", "Alyssum granatense", "Alyssum handelii", "Alyssum hirsutum", "Alyssum idaeum", "Alyssum lenense", "Meniocus linifolius", "Alyssum montanum", "Odontarrhena nebrodensis", "Alyssum repens", "Odontarrhena serpyllifolia", "Alyssum stapfii", "Alyssum strictum", "Alyssum strigosum", "Alyssum tortuosum", "Alyssum turkestanicum", "Alyssum umbellatum", "Alyssum wulfenianum", "Alyssum xanthocarpum", "Alyssum baumgartnerianum", "Alyssum bornmuelleri", "Atelerix frontalis", "Atelerix sclateri", "Erinaceus amurensis", "Guaibasaurus candelariensis", "Podokesaurus holyokensis", "Acanthocercus atricollis", "Xiphophorus hellerii", "Xiphophorus couchianus", "Xiphophorus maculatus", "Xiphophorus variatus", "Astragalus ammodytes", "Astragalus persepolitanus", "Astragalus ampullarioides", "Astragalus amygdalinus", "Astragalus armeniacus", "Astragalus arnacantha", "Astragalus aureus", "Astragalus amalecitanus", "Astragalus bourgaeanus", "Astragalus brachycarpus", "Astragalus brachylobus", "Astragalus brahuicus", "Astragalus brauntonii", "Astragalus bustillosii", "Astragalus berteroi", "Astragalus berytheus", "Astragalus brachycalyx", "Astragalus brevifolius", "Astragalus solandri", "Astragalus bungeanus", "Astragalus callichrous", "Astragalus callistachys", "Alyssum erosulum", "Alyssum flahaultianum", "Alyssum loiseleurii", "Alyssum minutum", "Alyssum wulfenianum subsp. ovirense", "Alyssum scutigerum", "Alyssum simplex", "Asterina phlogacanthae", "Asterina phlogacanthae var. nagalandis", "Doloclanes species A", "Python regius", "Barbarea bracteosa", "Barbarea intermedia", "Campanula gansuensis", "Campanula garganica", "Campanula gentilis", "Campanula ghilanensis", "Campanula gilliatii", "Campanula glomeratoides", "Campanula goulimyi", "Campanula gracillima", "Campanula grossekii", "Campanula guinochetii", "Campanula hagielia", "Campanula haradjanii", "Campanula hawkinsiana", "Campanula hedgei", "Campanula hercegovina", "Campanula herminii", "Campanula heterophylla", "Campanula hieracioides", "Campanula hierapetrae", "Campanula hierosolymitana", "Campanula hispanica", "Campanula hissarica", "Campanula humillima", "Campanula hypopolia", "Campanula hystricula", "Campanula iconia", "Campanula imeretina", "Campanula immodesta", "Campanula incanescens", "Campanula incurva", "Campanula involucrata", "Lampetra planeri", "Campanula irinae", "Campanula isaurica", "Campanula isophylla", "Lepidosiren paradoxa", "Campanula jacobaea", "Campanula jacquinii", "Campanula jadvigae", "Campanula jaubertiana", "Campanula jordanovii", "Campanula jurjurensis", "Campanula justiniana", "Lethenteron camtschaticum", "Campanula kachetica", "Campanula kantschavelii", "Campanula karadjana", "Campanula kastellorizana", "Campanula keniensis", "Idotea balthica", "Acanthospermum microcarpum", "Acmella oleracea", "Acmella paniculata", "Acmella sodiroi", "Acmella uliginosa", "Acrocomia aculeata", "Lobularia maritima", "Draba aizoides", "Draba argyrea", "Draba borealis", "Draba breweri", "Draba bruniifolia", "Draba burkei", "Draba corymbosa", "Draba cuspidata", "Draba glabella", "Draba haynaldii", "Draba helleriana", "Draba incana", "Draba lacaitae", "Draba mollissima", "Draba nemorosa", "Draba palanderiana", "Draba paucifructa", "Draba polytricha", "Draba ramosissima", "Draba rigida", "Draba sibirica", "Draba sphaerocarpa", "Draba stylaris", "Draba subamplexicaulis", "Draba verna", "Kalanchoe adelae", "Kalanchoe alternans", "Kalanchoe aromatica", "Kalanchoe beauverdii", "Kalanchoe beharensis", "Kalanchoe bentii", "Kalanchoe blossfeldiana", "Kalanchoe bouvetii", "Macromia illinoiensis", "Fragaria \u00d7 ananassa", "Fragaria \u00d7 bringhurstii", "Fragaria chiloensis", "Fragaria daltoniana", "Fragaria gracilis", "Fragaria \u00d7 bifera", "Fragaria hayatae", "Fragaria iinumae", "Fragaria iturupensis", "Fragaria mandschurica", "Fragaria moschata", "Fragaria moupinensis", "Fragaria nilgerrensis", "Fragaria nipponica", "Fragaria nubicola", "Fragaria orientalis", "Fragaria pentaphylla", "Fragaria tibetica", "Fragaria vesca", "Eudyptes chrysocome chrysocome", "Montipora digitata", "Fragaria \u00d7 vescana", "Fragaria virginiana", "Fragaria viridis", "Cherleria arctica", "Minuartia cumberlandensis", "Mononeuria groenlandica", "Sabulina tenuifolia", "Minuartia kashmirica", "Cirsium esculentum", "Cirsium flodmanii", "Cirsium fontinale", "Cirsium hillii", "Cirsium horridulum", "Cirsium hydrophilum", "Cirsium japonicum", "Cirsium kamtschaticum", "Cirsium loncholepis", "Cirsium mexicanum", "Cirsium monspessulanum", "Cirsium occidentale", "Cirsium ochrocentrum", "Cirsium ownbeyi", "Cirsium palustre", "Cirsium pitcheri", "Cirsium pumilum", "Cirsium remotifolium", "Cirsium scariosum", "Cirsium subniveum", "Cirsium undulatum", "Cirsium verutum", "Cirsium vinaceum", "Cirsium vulgare", "Trichophyton rubrum", "Cornus chinensis", "Cornus mas", "Cornus officinalis", "Cornus capitata", "Cornus florida", "Cornus hongkongensis", "Cornus kousa", "Cornus nuttallii", "Cornus subg.", "Cornus wilsoniana", "Cornus walteri", "Cornus sericea", "Cornus sanguinea", "Cornus rugosa", "Cornus racemosa", "Cornus macrophylla", "Cornus koehneana", "Cornus glabrata", "Cornus drummondii", "Cornus bretschneideri", "Cornus amomum", "Cornus alternifolia", "Cornus alba", "Cornus canadensis", "Cornus suecica", "Vigna friesiorum", "Vigna frutescens", "Vigna gazensis", "Vigna glabrescens", "Vigna gracilis", "Vigna heterophylla", "Vigna unguiculata subsp. stenophylla", "Vigna hosei", "Vigna juncea", "Vigna khandalensis", "Vigna kirkii", "Vigna lanceolata", "Vigna lasiocarpa", "Vigna laurentii", "Helicotropis linearis", "Vigna vexillata var. lobatifolia", "Vigna longifolia", "Vigna luteola", "Vigna marina", "Vigna membranacea", "Vigna minima", "Vigna monophylla", "Vigna multinervis", "Vigna mungo", "Vigna nakashimae", "Vigna nervosa", "Vigna nigritia", "Vigna nuda", "Vigna oblongifolia", "Vigna o-wahuensis", "Vigna parkeri", "Ancistrotropis peduncularis", "Vigna pilosa", "Vigna pygmaea", "Vigna racemosa", "Vigna radiata", "Vigna reflexo-pilosa", "Vigna reticulata", "Vigna schimperi", "Sigmoidotropis speciosa", "Helicotropis spectabilis", "Helicotropis stenoloba", "Vigna subterranea", "Vigna trilobata", "Vigna triphylla", "Vigna umbellata", "Vigna unguiculata", "Vigna venulosa", "Vigna vexillata", "Vigna wittei", "Oenothera acuticarpa", "Oenothera affinis", "Oenothera albicaulis", "Oenothera arequipensis", "Oenothera argillicola", "Oenothera bahia-blancae", "Oenothera biennis", "Oenothera californica", "Oenothera canescens", "Oenothera catharinensis", "Oenothera cespitosa", "Oenothera clelandii", "Oenothera coquimbensis", "Oenothera coronopifolia", "Oenothera deltoides", "Oenothera speciosa", "Oenothera drummondii", "Oenothera elata", "Oenothera featherstonei", "Oenothera flava", "Oenothera glazioviana", "Oenothera gracilis", "Oenothera grandiflora", "Oenothera grandis", "Oenothera heterophylla", "Oenothera humifusa", "Oenothera indecora", "Oenothera jamesii", "Oenothera laciniata", "Oenothera longissima", "Oenothera longituba", "Oenothera macrocarpa", "Oenothera mendocinensis", "Oenothera mexicana", "Oenothera mollissima", "Oenothera montevidensis", "Oenothera nana", "Oenothera nuda", "Oenothera nutans", "Oenothera oakesiana", "Oenothera odorata", "Oenothera pallida", "Oenothera parodiana", "Oenothera parviflora", "Oenothera pedunculifolia", "Oenothera perennis", "Oenothera peruana", "Oenothera primiveris", "Oenothera pseudoelongata", "Oenothera pubescens", "Oenothera punae", "Oenothera recurva", "Oenothera rhombipetala", "Oenothera rosea", "Oenothera rubida", "Oenothera sandiana", "Oenothera santarii", "Oenothera scabra", "Oenothera stricta", "Kalanchoe brachyloba", "Kalanchoe bracteata", "Kalanchoe campanulata", "Kalanchoe ceratophylla", "Kalanchoe crenata", "Kalanchoe daigremontiana", "Kalanchoe deficiens", "Kalanchoe delagoensis", "Kalanchoe densiflora", "Kalanchoe dyeri", "Kalanchoe fedtschenkoi", "Kalanchoe x felthamensis", "Kalanchoe gastonis-bonnieri", "Kalanchoe glaucescens", "Kalanchoe globulifera", "Kalanchoe grandidieri", "Kalanchoe grandiflora", "Kalanchoe hildebrandtii", "Kalanchoe humilis", "Kalanchoe laciniata", "Kalanchoe lanceolata", "Kalanchoe lateritia", "Kalanchoe laxiflora", "Kalanchoe lindmanii", "Kalanchoe longiflora", "Kalanchoe longifolia", "Kalanchoe luciae", "Kalanchoe macrochlamys", "Kalanchoe manginii", "Kalanchoe marmorata", "Kalanchoe marnieriana", "Kalanchoe millotii", "Kalanchoe miniata", "Kalanchoe nyikae", "Kalanchoe orgyalis", "Kalanchoe paniculata", "Kalanchoe peltata", "Kalanchoe petitiana", "Kalanchoe pinnata", "Kalanchoe porphyrocalyx", "Kalanchoe prittwitzii", "Kalanchoe prolifera", "Kalanchoe pubescens", "Kalanchoe pumila", "Kalanchoe quartiniana", "Kalanchoe rhombopilosa", "Kalanchoe rolandi-bonapartei", "Kalanchoe rosei", "Kalanchoe rotundifolia", "Kalanchoe schimperiana", "Kalanchoe schizophylla", "Kalanchoe serrata", "Kalanchoe sexangularis", "Kalanchoe spathulata", "Kalanchoe streptantha", "Kalanchoe suarezensis", "Kalanchoe synsepala", "Kalanchoe thyrsiflora", "Kalanchoe tomentosa", "Kalanchoe tuberosa", "Kalanchoe uniflora", "Kalanchoe welwitschii", "Viburnum hillieri", "Viburnum ichangense", "Viburnum incarum", "Viburnum japonicum", "Viburnum juddii", "Viburnum kansuense", "Viburnum koreanum", "Viburnum lantanoides", "Viburnum luzonicum", "Viburnum macrocephalum", "Viburnum melanocarpum", "Viburnum molle", "Viburnum mongolicum", "Viburnum mullaha", "Viburnum nervosum", "Viburnum nudum", "Viburnum odoratissimum", "Viburnum oliganthum", "Viburnum orientale", "Viburnum parvifolium", "Viburnum phlebotrichum", "Viburnum plicatum", "Viburnum propinquum", "Viburnum prunifolium", "Viburnum rafinesquianum", "Viburnum rhytidophyllum", "Viburnum rigidum", "Viburnum rufidulum", "Viburnum schensianum", "Viburnum sempervirens", "Viburnum setigerum", "Viburnum sieboldii", "Viburnum suspensum", "Viburnum tinus", "Viburnum urceolatum", "Viburnum utile", "Viburnum villosum", "Viburnum wrightii", "Panthera pardus nimr", "Plumeria alba", "Plumeria obtusa", "Plumeria pudica", "Plumeria rubra", "Mellivora capensis", "Oenothera tarijensis", "Oenothera tetragona", "Oenothera tetraptera", "Oenothera triloba", "Oenothera tucumanensis", "Oenothera versicolor", "Oenothera villaricae", "Oenothera villosa", "Oenothera wolfii", "Miresa albipuncta", "Viburnum acerifolium", "Viburnum lantana", "Viburnum lentago", "Viburnum opulus", "Viburnum atrocyaneum", "Viburnum betulifolium", "Viburnum bitchiuense", "Viburnum \u00d7 bodnantense", "Viburnum brachyandrum", "Viburnum brachybotryum", "Viburnum bracteatum", "Viburnum buddleifolium", "Viburnum burejaeticum", "Viburnum \u00d7 burkwoodii", "Viburnum carlcephalum", "Viburnum carlesii", "Viburnum cinnamomifolium", "Viburnum colebrookeanum", "Viburnum congestum", "Viburnum corylifolium", "Viburnum cotinifolium", "Viburnum cylindricum", "Viburnum davidii", "Viburnum dentatum", "Viburnum dilatatum", "Viburnum edule", "Viburnum erosum", "Viburnum erubescens", "Viburnum farreri", "Viburnum foetens", "Viburnum foetidum", "Viburnum furcatum", "Viburnum glabratum", "Viburnum glomeratum", "Viburnum grandiflorum", "Viburnum hanceanum", "Viburnum harryanum", "Viburnum henryi", "Primula juliae", "Heterocoma albida", "Toronia toru", "Hosseusia gertrudiana", "Hystrichophora macrophylla", "Argemone grandiflora", "Argemone ochroleuca", "Argemone platyceras", "Argemone subfusiformis", "Caltha alba", "Psychrophila leptosepala", "Thacla natans", "Areca concinna", "Areca ipot", "Areca macrocalyx", "Areca madagascariensis", "Areca triandra", "Areca whitfordii", "Iris missouriensis", "Vigna aconitifolia", "Leptospron adenanthum", "Vigna ambacensis", "Vigna angivensis", "Vigna angularis", "Sigmoidotropis antillana", "Condylostylis candida", "Vigna comosa", "Vigna dalzelliana", "Vigna decipiens", "Vigna desmodioides", "Sigmoidotropis elegans", "Vigna filicaulis", "Aiphanes lindeniana", "Alchemilla alpina", "Alchemilla conjuncta", "Alchemilla mollis", "Alchemilla sericata", "Alchemilla splendens", "Alchemilla vulgaris", "Alchemilla xanthochlora", "Cebus apella peruanus", "Cebus apella margaritae", "Cebus apella macrocephalus", "Arbutus andrachne", "Arbutus \u00d7 andrachnoides", "Arbutus canariensis", "Baccharis concava", "Baccharis confertifolia", "Baccharis coridifolia", "Baccharis decussata", "Baccharis erigeroides", "Baccharis latifolia", "Baccharis linearis", "Baccharis marginalis", "Baccharis megapotamica", "Baccharis patagonica", "Baccharis pedunculata", "Baccharis racemosa", "Baccharis semiserrata", "Baccharis stenocephala", "Baccharis sternbergiana", "Baccharis teindalensis", "Baccharis trimera", "Baccharis trinervis", "Cirsium altissimum", "Cirsium aridum", "Cirsium arvense", "Cirsium canescens", "Cirsium cymosum", "Cirsium discolor", "Aphanius iberus", "Aphanius baeticus", "Alphitonia excelsa", "Berchemia zeyheri", "Berchemia discolor", "Berchemia floribunda", "Berchemia lineata", "Lagerstroemia \u00d7 amabilis", "Lagerstroemia archeriana", "Lagerstroemia duperreana", "Lagerstroemia fauriei", "Lagerstroemia floribunda", "Lagerstroemia indica", "Lagerstroemia limii", "Lagerstroemia loudonii", "Lagerstroemia microcarpa", "Lagerstroemia parviflora", "Lagerstroemia piriformis", "Lagerstroemia siamica", "Lagerstroemia speciosa", "Lagerstroemia subcostata", "Lagerstroemia tomentosa", "Lagerstroemia villosa", "Alopias pelagicus", "Odontaspis ferox", "Centrophorus harrissoni", "Centrophorus tessellatus", "Lonicera acuminata", "Lonicera affinis", "Lonicera albiflora", "Lonicera alpigena", "Lonicera caerulea", "Aculeola nigra", "Lonicera etrusca", "Centroscyllium fabricii", "Lonicera japonica", "Centroscyllium granulatum", "Lonicera periclymenum", "Centroscyllium kamoharai", "Lonicera morrowii", "Lonicera pileata", "Centroscyllium nigrum", "Lonicera altmannii", "Lonicera \u00d7 americana", "Lonicera arborea", "Lonicera asperifolia", "Lonicera \u00d7bella", "Lonicera bracteolaris", "Lonicera \u00d7 brownii", "Lonicera caprifolium", "Lonicera caucasica", "Lonicera chamissoi", "Lonicera chrysantha", "Lonicera ciliosa", "Lonicera confusa", "Lonicera dasystyla", "Lonicera demissa", "Lonicera dioica", "Lonicera ferdinandii", "Lonicera flava", "Lonicera floribunda", "Lonicera fragrantissima", "Lonicera glabrata", "Lonicera glutinosa", "Lonicera gracilipes", "Lonicera gynochlamydea", "Lonicera heterophylla", "Lonicera hispida", "Lonicera hispidula", "Lonicera hypoglauca", "Lonicera hypoleuca", "Lonicera iberica", "Lonicera implexa", "Lonicera involucrata", "Lonicera \u00d7 italica", "Lonicera javanica", "Lonicera koehneana", "Lonicera korolkowii", "Lonicera lanceolata", "Lonicera longa", "Lonicera maackii", "Lonicera macrantha", "Lonicera maximowiczii", "Lonicera microphylla", "Lonicera \u00d7minutiflora", "Lonicera \u00d7muendeniensis", "Lonicera \u00d7muscaviensis", "Lonicera angustifolia var. myrtillus", "Lonicera nervosa", "Lonicera nigra", "Lonicera nummulariifolia", "Lonicera oblongifolia", "Lonicera obovata", "Lonicera oresbia", "Lonicera praeflorens", "Lonicera prostrata", "Lonicera pyrenaica", "Lonicera quinquelocularis", "Lonicera ramosissima", "Clematis subg.", "Clematis bojeri", "Clematis villosa", "Clematis heracleifolia", "Clematis speciosa", "Clematis stans", "Clematis tubulosa", "Clematis subg.", "Clematis alpina", "Clematis koreana", "Clematis macropetala", "Clematis ochotensis", "Babyrousa babyrussa", "Gallotia caesaris", "Gallotia galloti", "Gallotia simonyi", "Gallotia bravoana", "Gallotia stehlini", "Gallotia intermedia", "Gallotia atlantica", "Clematis subg.", "Clematis afoliata", "Clematis foetida", "Clematis forsteri", "Clematis paniculata", "Clematis sect.", "Clematis aristata", "Clematis gentianoides", "Clematis glycinoides", "Clematis microphylla", "Clematis sect.", "Clematis loureiriana", "Clematis smilacifolia", "Clematis sect.", "Clematis apiifolia", "Clematis brevicaudata", "Clematis drummondii", "Clematis gouriana", "Clematis grandidentata", "Bauhinia macranthera", "Bauhinia macrostachya", "Bauhinia microstachya", "Bauhinia natalensis", "Bauhinia obtusata", "Bauhinia ornata", "Bauhinia pentandra", "Bauhinia petersiana", "Bauhinia picta", "Piliostigma reticulatum", "Bauhinia roxburghiana", "Bauhinia saigonensis", "Phanera scandens", "Bauhinia semla", "Bauhinia taitensis", "Piliostigma thonningii", "Bauhinia ungulata", "Bauhinia viridescens", "Lysiphyllum winitii", "Notamacropus rufogriseus", "Platanthera dilatata", "Platanthera flava", "Platanthera flava var. flava", "Platanthera flava var. herbiola", "Platanthera grandiflora", "Platanthera hyperborea", "Platanthera leucophaea", "Platanthera praeclara", "Platanthera yadonii", "Clematis terniflora var. boninensis", "Clematis fusca var. coreana", "Clematis \u00d7 aromatica", "Clematis \u00d7 durandii", "Clematis \u00d7 diversifolia", "Clematis \u00d7 globulosa", "Clematis \u00d7 vernalis", "Rhizostoma pulmo", "Clematis grata", "Clematis heynei", "Clematis ligusticifolia", "Clematis campestris", "Clematis parviloba", "Clematis peterae", "Clematis pierotii", "Clematis pinnata", "Clematis potaninii", "Clematis rhodocarpa", "Clematis trichotoma", "Clematis virginiana", "Clematis vitalba", "Clematis subsect.", "Clematis lasiantha", "Clematis chrysocoma", "Clematis gracilifolia", "Clematis montana", "Clematis subg.", "Clematis spooneri", "Alectryon excelsus", "Clematis cirrhosa", "Clematis napaulensis", "Anopheles thomasi", "Clematis subsect.", "Clematis songarica var. aspleniifolia", "Clematis delavayi", "Clematis fruticosa", "Clematis songarica", "Clematis armandii", "Clematis chinensis", "Clematis crassifolia", "Clematis finetiana", "Clematis flammula", "Clematis chinensis var. fujisanensis", "Clematis hexapetala", "Clematis meyeniana", "Clematis lathyrifolia", "Clematis recta", "Clematis terniflora", "Clematis uncinata", "Clematis sect.", "Clematis campaniflora", "Clematis florida", "Clematis lanuginosa", "Clematis patens", "Clematis \u00d7 jackmanii", "Clematis japonica", "Clematis tosaensis", "Teucrium carthaginense", "Cistus heterophyllus", "Rana holtzi", "Sideritis marminorensis", "Sideritis glauca", "Phoenix dactylifera", "Phoenix canariensis", "Chamaerops humilis", "Ecballium elaterium", "Bauhinia acuminata", "Bauhinia \u00d7 blakeana", "Bauhinia vahlii", "Bauhinia acreana", "Bauhinia aculeata", "Bauhinia acuruana", "Bauhinia angulicaulis", "Bauhinia angulosa", "Bauhinia augusti", "Bauhinia bartlettii", "Bauhinia bauhinioides", "Bauhinia bidentata", "Lysiphyllum binatum", "Bauhinia brachycarpa", "Bauhinia brevipes", "Lysiphyllum carronii", "Phanera championii", "Bauhinia conwayi", "Bauhinia coulteri", "Lysiphyllum cunningamii", "Lysiphyllum diphyllum", "Bauhinia divaricata", "Bauhinia forficata", "Lysiphyllum gilvum", "Bauhinia godefroyi", "Lysiphyllum hookeri", "Bauhinia integrifolia", "Bauhinia kochiana", "Schnella kunthiana", "Bauhinia longicuspis", "Bauhinia longifolia", "Clematis aethusifolia", "Clematis buchananiana", "Clematis connata", "Clematis grandiflora", "Clematis grewiiflora", "Clematis henryi", "Clematis lasiandra", "Clematis pogonandra", "Clematis ranunculoides", "Clematis rehderiana", "Clematis sect.", "Clematis akebioides", "Clematis brachiata", "Clematis commutata", "Clematis graveolens", "Clematis hirsuta", "Clematis intricata", "Clematis orientalis", "Clematis serratifolia", "Clematis simensis", "Clematis tangutica", "Anopheles kompi", "Clematis triloba", "Anopheles canorii", "Anopheles acanthotorynus", "Clematis subg.", "Clematis sect.", "Clematis crispa", "Clematis fusca", "Clematis morefieldii", "Clematis pitcheri", "Clematis reticulata", "Clematis texensis", "Clematis viorna", "Clematis fremontii", "Clematis integrifolia", "Clematis socialis", "Clematis viticaulis", "Clematis sect.", "Clematis hirsutissima", "Anopheles oiketorakras", "Anopheles gomezdelatorrei", "Anopheles gilesi", "Anopheles pseudotibiamaculatus", "Anopheles vargasi", "Agalinis purpurea", "Arnica griscomii", "Arnica sachalinensis", "Lonchura domestica", "Galeopsis bifida", "Listeria monocytogenes", "Listeria ivanovii", "Listeria innocua", "Listeria welshimeri", "Listeria seegligeri", "Listeria grayi", "Klebsiella pneumoniae", "Nesoressa crawfordi", "Geocaulon lividum", "Scilla forbesii", "Scilla luciliae", "Scilla sardensis", "Aloe aageodonta", "Aloe abyssicola", "Aloe affinis", "Aloe africana", "Aloe albida", "Aloiampelos striatula", "Aloe suzannae", "Aloiampelos tenuior", "Aloe thorncroftii", "Aloe thraskii", "Aloe transvaalensis", "Aloe vaombe", "Aloe versicolor", "Aloe vogtsii", "Aloe volkensii", "Aloe vossii", "Aloe wickensii", "Aloe zebrina", "Cryptopsaras couesii", "Ceratias holboelli", "Ayenia ardua", "Coelodonta antiquitatis", "Elasmotherium sibiricum", "Fuchsia arborescens", "Fuchsia excorticata", "Fuchsia \u00d7 bacillaris", "Fuchsia boliviana", "Fuchsia coccinea", "Fuchsia corymbiflora", "Fuchsia denticulata", "Fuchsia fulgens", "Fuchsia macrophylla", "Fuchsia magellanica", "Fuchsia microphylla", "Fuchsia paniculata", "Fuchsia parviflora", "Fuchsia procumbens", "Fuchsia pumila", "Fuchsia splendens", "Fuchsia thymifolia", "Fuchsia triphylla", "Apteranthes europaea", "Helianthemum marminorense", "Eulophia andamanensis", "Eulophia graminea", "Eulophia guineensis", "Eulophia horsfallii", "Carex abrupta", "Carex acutiformis", "Carex alma", "Carex angustisquama", "Carex aquatilis", "Carex arcta", "Carex arenaria", "Carex athrostachya", "Carex atlantica", "Carex atrata", "Carex atratiformis", "Carex atrosquama", "Carex aurea", "Aloe albiflora", "Aloe alfredii", "Aloe andringitrensis", "Aloe antandroi", "Aloidendron dichotomum", "Aloe bakeri", "Aloe ballyi", "Aloe bellatula", "Aloe brevifolia", "Aloe broomii", "Aloe buettneri", "Aloe calcairophila", "Aloe camperi", "Aloe capitata", "Aloiampelos ciliaris", "Aloe claviflora", "Aloe comosa", "Aloe compressa", "Aloe cryptopoda", "Aloe delphinensis", "Aloe deltoideodonta", "Aloe descoingsii", "Aloe elegans", "Aloe fragilis", "Aloe globuligemma", "Aloe grandidentata", "Aloe greatheadii", "Aloe haworthioides", "Aloe helenae", "Aloe hereroensis", "Aloe isaloensis", "Aloe juvenna", "Aloe khamiesensis", "Aloe krapohliana", "Aloe laeta", "Aloe lateritia", "Aloe lineata", "Aloe littoralis", "Aloe longibracteata", "Aloe longistyla", "Aloe macrocarpa", "Aloe maculata", "Aloe marlothii", "Aloe microstigma", "Aloe myriacantha", "Aloe parallelifolia", "Aloe parvula", "Aloe percrassa", "Aloe petricola", "Aloidendron pillansii", "Aloe polyphylla", "Aloe pretoriensis", "Aloe rauhii", "Aloe rubroviolacea", "Aloe \u00d7 runcinata", "Aloe \u00d7 schimperi", "Aloe speciosa", "Aloe spicata", "Aloe striata", "Carex limosa", "Carex liparocarpos", "Carex longii", "Carex lupuliformis", "Cucumis prophetarum", "Carex lupulina", "Carex lurida", "Carex lutea", "Carex lyngbyei", "Cucurbita digitata", "Cucurbita ficifolia", "Cucurbita foeditissima", "Cucurbita maxima", "Cucurbita argyrosperma subsp. argyrosperma", "Cucurbita okeechobeensis", "Cucurbita palmata", "Picea orientalis", "Carex macrocephala", "Carex macrochaeta", "Carex media", "Carex melanocarpa", "Carex membranacea", "Carex mendocinensis", "Carex mertensii", "Carex michauxiana", "Carex michelii", "Carex microptera", "Carex morrowii", "Carex multicostata", "Orchis anthropophora", "Epipactis microphylla", "Epipactis helleborine", "Carex muriculata", "Carex myosurus", "Carex nebrascensis", "Carex neurophora", "Carex nigra", "Carex nigricans", "Carex nubigena", "Carex obnupta", "Carex occidentalis", "Carex ornithopoda", "Carex oronensis", "Xanthium spinosum", "Dactylorhiza aristata", "Dactylorhiza incarnata", "Dactylorhiza viridis", "Dactylorhiza romana", "Neotinea maculata", "Anacamptis pyramidalis", "Mertensia arizonica", "Mertensia maritima", "Tepuihyla celsae", "Mertensia pterocarpa", "Mertensia sibirica", "Mertensia simplicissima", "Mertensia ciliata", "Mertensia virginica", "Drosera anglica", "Drosera filiformis", "Drosera pygmaea", "Drosera gigantea", "Drosera rotundifolia", "Drosera peltata", "Drosera ramentacea", "Drosera intermedia", "Carex austroalpina", "Carex baccans", "Carex barbarae", "Carex barrattii", "Carex bebbii", "Carex bicknellii", "Carex bigelowii", "Carex bonariensis", "Carex brevior", "Andresia parthenopea", "Synandwakia hozawai", "Haliactis arctica", "Pelocoetes exul", "Pelocoetes minima", "Solanum nigrum", "Capsicum annuum", "Persea americana", "Carex brizoides", "Carex brunnea", "Carex buchananii", "Carex buxbaumii", "Carex canariensis", "Carex canescens", "Carex capillaris", "Carex careyana", "Carex caryophyllea", "Carex cataractae", "Carex circinata", "Carex concinna", "Carex conica", "Carex cretica", "Carex cruciata", "Carex crus-corvi", "Carex cryptolepis", "Carex cusickii", "Carex deflexa", "Carex delicata", "Carex densa", "Carex depauperata", "Carex diandra", "Carex dioica", "Carex disperma", "Carex divisa", "Carex divulsa", "Cirrhigaleus barbifer", "Carex douglasii", "Carex duriuscula", "Carex egglestonii", "Carex elata", "Carex enervis", "Carex exilis", "Cirrhigaleus asper", "Carex ferruginea", "Carex festucacea", "Carex filifolia", "Carex firma", "Carex flava", "Carex flavocuspis", "Carex foenea", "Carex formosa", "Carex garberi", "Carex geyeri", "Carex gifuensis", "Carex haydeniana", "Carex haydenii", "Carex hendersonii", "Carex hirta", "Carex hoodii", "Carex hookeriana", "Carex hordeistichos", "Carex hystericina", "Carex idahoa", "Carex illota", "Carex inops", "Carex interior", "Carex kobomugi", "Carex korshinskyi", "Carex laeviculmis", "Lycopersicum esculentum", "Cucumis sativus", "Cucurbita pepo", "Cucumis melo", "Cucumis anguria", "Cucumis dipsaceus", "Cucumis ficifolius", "Carex laevivaginata", "Carex lasiocarpa", "Carex laxiculmis", "Carex lenticularis", "Carex leporinella", "Carex leptalea", "Carex leptopoda", "Ononis speciosa", "Ononis spinosa", "Ononis tridentata", "Ononis vaginalis", "Ononis viscosa", "Balearica regulorum gibbericeps", "Carlgrenia desiderata", "Allium rouyi", "Anchusa crispa", "Hakea amplexicaulis", "Hakea arborescens", "Hakea bucculenta", "Hakea corymbosa", "Hakea cucullata", "Hakea cyclocarpa", "Hakea cycloptera", "Hakea dactyloides", "Hakea drupacea", "Hakea elliptica", "Hakea incrassata", "Hakea lasiantha", "Hakea laurina", "Hakea leucoptera", "Hakea lissocarpha", "Hakea megalosperma", "Hakea microcarpa", "Hakea multilineata", "Hakea nodosa", "Hakea platysperma", "Hakea purpurea", "Hakea recurva", "Hakea rostrata", "Hakea ruscifolia", "Hakea salicifolia", "Hakea saligna", "Hakea sericea", "Hakea ulicina", "Hakea varia", "Hakea vittata", "Carex otrubae", "Cephalanthera damasonium", "Carex pachystachya", "Carex pachystylis", "Carex panicea", "Carex paniculata", "Carex pansa", "Carex pediformis", "Carex pellita", "Carex pendula", "Carex petasata", "Carex phaeocephala", "Carex physodes", "Carex pilulifera", "Carex pluriflora", "Carex podocarpa", "Carex praegracilis", "Carex prasina", "Cephalanthera longifolia", "Carex praticola", "Carex preslii", "Carex pseudofoetida", "Carex pulicaris", "Carex pumila", "Carex purpurifera", "Carex pyrenaica", "Carex raynoldsii", "Carex remota", "Carex roanensis", "Carex rossii", "Carex rostrata", "Carex sartwellii", "Carex scaposa", "Carex schiedeana", "Carex schweinitzii", "Carex scirpoidea", "Carex scoparia", "Carex scopulorum", "Carex sempervirens", "Carex siderosticta", "Carex simulata", "Carex songorica", "Carex spectabilis", "Carex specuicola", "Carex spissa", "Carex sprengelii", "Carex stenophylla", "Carex stenoptila", "Carex stipata", "Carex stylosa", "Carex subspathacea", "Carex tahoensis", "Carex tomentosa", "Carex triangularis", "Carex trichocarpa", "Carex tristis", "Carex tumulicola", "Carex turkestanica", "Carex unilateralis", "Carex utriculata", "Carex vaginata", "Cataphellia brodricii", "Abies nordmanniana subsp. nordmanniana", "Abies nordmanniana subsp. equi-trojani", "Leva soudanensis", "Trifolium alpinum", "Afzelia bipindensis", "Afzelia bracteata", "Afzelia javanica", "Afzelia martabanica", "Afzelia pachyloba", "Afzelia rhomboidea", "Acca macrostema", "Acca sellowiana", "Camassia angusta", "Camassia cusickii", "Camassia howellii", "Camassia leichtlinii", "Camassia quamash", "Camassia scilloides", "Afrocarpus gracilior", "Afrocarpus mannii", "Afrocarpus usambarensis", "Carex vesicaria", "Carex vulpina", "Carex whitneyi", "Raphus solitarius", "Nevadne glauca", "Cephalanthera rubra", "Cephalanthera cucullata", "Limodorum abortivum", "Cephalanthera austiniae", "Epipactis atrorubens", "Epipactis gigantea", "Epipactis palustris", "Achillea arabica", "Achillea chrysocoma", "Achillea clavennae", "Achillea clusiana", "Achillea clypeolata", "Achillea collina", "Achillea crithmifolia", "Achillea erba-rotta", "Achillea falcata", "Achillea lingulata", "Achillea macrophylla", "Achillea odorata", "Achillea pyrenaica", "Cucumerunio websteri", "Epioblasma torulosa", "Heteracris leani", "Zea mays", "Achillea pannonica", "Achillea setacea", "Achillea tenuifolia", "Helleborus niger", "Ptychodactis patula", "Helleborus orientalis", "Helleborus thibetanus", "Aquilaria apiculata", "Aquilaria baillonii", "Aquilaria banaensis", "Aquilaria beccariana", "Aquilaria brachyantha", "Aquilaria citrinicarpa", "Aquilaria crassna", "Aquilaria cumingiana", "Aquilaria filaria", "Aquilaria hirta", "Aquilaria malaccensis", "Aquilaria microcarpa", "Aquilaria parvifolia", "Aquilaria rostrata", "Aquilaria sinensis", "Aquilaria subintegra", "Aquilaria urdanetensis", "Aquilaria yunnanensis", "Ononis adenotricha", "Ononis alba", "Ononis alopecuroides", "Ononis antennata", "Ononis avellana", "Ononis baetica", "Ononis biflora", "Ononis cossoniana", "Ononis cristata", "Ononis euphrasiifolia", "Ononis fruticosa", "Ononis hirta", "Ononis mitissima", "Ononis natrix", "Ononis ornithopodioides", "Ononis pubescens", "Ononis pusilla", "Ononis reclinata", "Ononis rotundifolia", "Ononis serrata", "Ononis sicula", "Asimina pygmaea", "Diarrhena japonica", "Diarrhena obovata", "Viscum album", "Viscum articulatum", "Viscum coloratum", "Janjucetus hunderi", "Paramya subovata", "Cryptomya californica", "Platyodon cancellatus", "Acorypha glaucopsis", "Heteracris adspersa group", "Fagus orientalis", "Catabrosa aquatica", "Cypripedium arietinum", "Cypripedium californicum", "Cypripedium candidum", "Cypripedium fasciculatum", "Cypripedium guttatum", "Cypripedium japonicum", "Cypripedium kentuckiense", "Cypripedium montanum", "Cypripedium parviflorum", "Cypripedium passerinum", "Cypripedium parviflorum var. pubescens", "Cypripedium reginae", "Achillea vermicularis", "Achillea aegyptiaca", "Achillea alpina", "Achillea asiatica", "Achillea biserrata", "Achillea conferta", "Achillea grandifolia", "Achillea impatiens", "Achillea \u00d7 kellereri", "Achillea \u00d7 lewisii", "Achillea magnifica", "Achillea pseudopectinata", "Achillea umbellata", "Aciotis rubricaulis", "Agathosma capensis", "Agathosma ovata", "Carassius auratus", "Asimina longifolia", "Asimina x nashii", "Limonium gerberi", "Limonium gmelinii", "Limonium macrophyllum", "Limonium macropterum", "Limonium otolepis", "Limonium pectinatum", "Limonium perezii", "Limonium puberulum", "Limonium sinense", "Limonium sinuatum", "Limonium vulgare", "Andira anthelmia", "Andira coriacea", "Andira fraxinifolia", "Andira humilis", "Andira legalis", "Andira micrantha", "Labeo rohita", "Amazonatolica hamadae", "Microlympia echina", "Diploknema butyracea", "Alectryon coriaceus", "Alectryon forsythii", "Alectryon oleifolius", "Alectryon subcinereus", "Alectryon tomentosus", "Allophylus africanus", "Allophylus cobbe", "Allophylus edulis", "Allophylus mollis", "Allophylus zeylanicus", "Tyrannus vociferans vociferans", "Desmodus stocki", "Desmodus draculae", "Stylomesus wolffi", "Mixomesus pellucidus", "Botryon tuberculatus", "Artemidactis victrix", "Bellactis ilkalyseae", "Uramphisopus pearsoni", "Emmenopterys henryi", "Limonium bellidifolium", "Limonium bonduellei", "Limonium brassicifolium", "Limonium californicum", "Limonium carolinianum", "Vulpes cana", "Panicum amarum", "Panicum miliaceum", "Panicum virgatum", "Panicum ambiguum", "Panicum anabaptistum", "Panicum anceps", "Panicum antidotale", "Panicum aquaticum", "Panicum arechavaletae", "Panicum bartowense", "Panicum bergii", "Panicum bisulcatum", "Panicum brachyanthum", "Panicum brevifolium", "Panicum bulbosum", "Panicum campestre", "Panicum capillare", "Panicum capillarioides", "Panicum coloratum", "Panicum curviflorum", "Panicum decolorans", "Panicum decompositum", "Panicum deustum", "Panicum dichotomiflorum", "Panicum dregeanum", "Panicum effusum", "Panicum fauriei", "Panicum flavescens", "Panicum fluviicola", "Panicum fulgidum", "Panicum gattingeri", "Panicum ghiesbreghtii", "Panicum glabripes", "Panicum gracilicaule", "Panicum grumosum", "Panicum gymnocarpon", "Panicum hallii", "Panicum havardii", "Panicum hemitomon", "Panicum hillmanii", "Panicum hirstii", "Panicum hirsutum", "Panicum hirticaule", "Panicum hochstetteri", "Panicum kalaharense", "Panicum lanipes", "Panicum larcomianum", "Panicum laxum", "Panicum massaiense", "Panicum milioides", "Panicum millegrana", "Panicum mindanaense", "Panicum minus", "Panicum missionum", "Panicum monticola", "Panicum natalense", "Panicum nephelophilum", "Panicum niihauense", "Panicum notatum", "Panicum numidianum", "Panicum obtusum", "Panicum olyroides", "Panicum paludosum", "Panicum pernambucense", "Panicum philadelphicum", "Panicum phragmitoides", "Panicum pilosum", "Panicum plenum", "Panicum plicatum", "Panicum poaeoides", "Panicum polygonatum", "Panicum prionitis", "Panicum psilopodium", "Panicum quadriglume", "Panicum queenslandicum", "Panicum racemosum", "Panicum radicans", "Panicum repandum", "Panicum repens", "Panicum reverchonii", "Panicum rigidulum", "Panicum sabulorum", "Panicum schinzii", "Panicum scopuliferum", "Panicum sellowii", "Panicum seminudum", "Panicum serratum", "Panicum stapfianum", "Panicum stipitatum", "Panicum stramineum", "Panicum subalbidum", "Panicum sumatrense", "Panicum trachyrachis", "Panicum trichanthum", "Panicum trichocladum", "Panicum trichoides", "Panicum turgidum", "Panicum urvilleanum", "Panicum validum", "Panicum verrucosum", "Panicum versicolor", "Panicum virescens", "Panicum whitei", "Bubalus bubalis", "Ranina ranina", "Juglans regia", "Primula capitata", "Silene latifolia", "Carpinus betulus", "Corylus avellana", "Capsella bursa-pastoris", "Magnolia grandiflora", "Alysicarpus belgaumensis", "Alysicarpus bupleurifolius", "Alysicarpus glumaceus", "Alysicarpus hamosus", "Alysicarpus heterophyllus", "Alysicarpus heyneanus", "Alysicarpus longifolius", "Alysicarpus ludens", "Alysicarpus monilifer", "Alysicarpus pubescens", "Alysicarpus scariosus", "Alysicarpus tetragonolobus", "Alysicarpus zeyheri", "Freesia alba", "Freesia corymbosa", "Freesia elimensis", "Freesia grandiflora", "Freesia laxa", "Freesia leichtlinii", "Freesia refracta", "Magnolia delavayi", "Magnolia fraseri", "Magnolia globosa", "Magnolia guatemalensis", "Magnolia nitida", "Magnolia obovata", "Magnolia officinalis", "Magnolia sieboldii", "Magnolia tripetala", "Magnolia virginiana", "Magnolia wilsonii", "Magnolia acuminata", "Vulpes velox", "Magnolia biondii", "Magnolia campbellii", "Magnolia cylindrica", "Magnolia dawsoniana", "Magnolia denudata", "Magnolia kobus", "Magnolia liliiflora", "Magnolia salicifolia", "Magnolia sargentiana", "Magnolia sprengeri", "Magnolia stellata", "Magnolia zenii", "Lonicera reticulata", "Lonicera ruprechtiana", "Lonicera saccata", "Lonicera similis", "Devendraea spinosa", "Lonicera fragrantissima subsp. standishii", "Lonicera stephanocarpa", "Lonicera subsessilis", "Lonicera tatarica", "Lonicera tatarinovii", "Devendraea tomentella", "Lonicera tragophylla", "Lonicera trichopoda", "Lonicera trichosantha", "Lonicera \u00d7vilmorinii", "Lonicera webbiana", "Lonicera \u00d7 xylosteoides", "Lonicera xylosteum", "Anthemis chrysantha", "Limonium carthaginense", "Gemuendina stuertzi", "Xiphias gladius", "Aphanius saourensis", "Alchornea castaneifolia", "Alchornea cordifolia", "Alchornea floribunda", "Alchornea rugosa", "Alchornea villosa", "Aleurites rockinghamensis", "Eleocharis acicularis", "Eleocharis acutangula", "Eleocharis atropurpurea", "Eleocharis baldwinii", "Eleocharis dulcis", "Eleocharis elegans", "Eleocharis filiculmis", "Eleocharis geniculata", "Eleocharis macrostachya", "Eleocharis nitida", "Eleocharis obtusa", "Eleocharis palustris", "Eleocharis parishii", "Eleocharis pellucida", "Eleocharis quadrangulata", "Eleocharis rostellata", "Eleocharis sellowiana", "Eleocharis tenuis", "Eleocharis tortilis", "Eleocharis wolfii", "Ageratina ligustrina", "Adenostemma berteri", "Adenostemma lanceolatum", "Adenostemma lavenia", "Adenostemma platyphyllum", "Adenostemma viscosum", "Alstroemeria zoellneri", "Piper betle", "Piper cubeba", "Piper kadsura", "Piper longum", "Piper methysticum", "Piper nigrum", "Piper aduncum", "Piper angustifolium", "Piper arborescens", "Piper arboreum", "Piper argyrites", "Piper attenuatum", "Piper auritum", "Piper bantamense", "Piper caducibracteum", "Piper chaba", "Piper crocatum", "Piper decurrens", "Piper futokadzura", "Piper guineense", "Piper hispidinervum", "Piper hispidum", "Piper hymenophyllum", "Piper latifolium", "Piper lolot", "Piper longifolium", "Piper magnibaccum", "Piper ornatum", "Piper peltatum", "Piper porphyrophyllum", "Piper pseudolindenii", "Piper retrofractum", "Piper sanctum", "Piper sarmentosum", "Piper siriboa", "Piper umbellatum", "Piper wallichii", "Asaphus kowalewskii", "Phacops rana", "Dalmanites limulurus", "Balcoracania dailyi", "Ammannia peploides", "Ammannia senegalensis", "Amphicarpaea edgeworthii", "Ageratum microcarpum", "Acourtia formosa", "Acourtia runcinata", "Acourtia thurberi", "Acourtia wrightii", "Argyranthemum gracile", "Argyranthemum tenerifae", "Aesculus assamica", "Aesculus chinensis", "Aesculus indica", "Aesculus \u00d7 neglecta", "Akebia trifoliata", "Bernardia obovata", "Alstroemeria andina", "Alstroemeria angustifolia", "Alstroemeria apertiflora", "Alstroemeria bakeri", "Alstroemeria brasiliensis", "Alstroemeria chapadensis", "Alstroemeria ligtu subsp. ligtu", "Alstroemeria chorillensis", "Alstroemeria crispata", "Alstroemeria cuiabana", "Alstroemeria diluta", "Alstroemeria exserens", "Alstroemeria garaventae", "Alstroemeria graminea", "Alstroemeria hookeri", "Alstroemeria isabellana", "Alstroemeria kingii", "Alstroemeria leporina", "Alstroemeria ligtu", "Alstroemeria magnifica var. magenta", "Alstroemeria magnifica", "Alstroemeria modesta", "Alstroemeria pallida", "Alstroemeria patagonica", "Alstroemeria paupercula", "Alstroemeria pelegrina", "Alstroemeria philippii", "Alstroemeria polyphylla", "Alstroemeria presliana", "Alstroemeria pseudospathulata", "Alstroemeria pulchella", "Alstroemeria pulchra", "Alstroemeria pygmaea", "Alstroemeria revoluta", "Alstroemeria schizanthoides", "Alstroemeria spathulata", "Alstroemeria umbellata", "Alstroemeria versicolor", "Alstroemeria werdermannii", "Anisacanthus virgularis", "Terminalia acuminata", "Terminalia leiocarpa", "Sorbus aucuparia", "Anredera baselloides", "Anredera diffusa", "Terminalia coronata", "Petermannia cirrosa", "Anadenanthera colubrina", "Anacardium corymbosum", "Anacardium excelsum", "Anacardium giganteum", "Anacardium humile", "Anacardium nanum", "Anacardium negrense", "Anacardium spruceanum", "Androsace coccinea", "Androsace delavayi", "Androsace incana", "Androsace lanuginosa", "Androsace mucronifolia", "Androsace rotundifolia", "Androsace saxifragifolia", "Androsace spinulifera", "Antidaphne viscoidea", "Medicago sativa", "Medicago truncatula", "Medicago arabica", "Medicago arborea", "Medicago archiducis-nicolai", "Medicago arenicola", "Medicago astroites", "Medicago biflora", "Medicago blancheana", "Medicago brachycarpa", "Medicago cancellata", "Medicago carica", "Medicago carstiensis", "Medicago ciliaris", "Medicago constricta", "Medicago coronata", "Medicago crassipes", "Medicago cretacea", "Medicago daghestanica", "Medicago disciformis", "Medicago doliata", "Medicago edgeworthii", "Medicago fischeriana", "Medicago gaetula", "Medicago granadensis", "Medicago halophila", "Medicago heldreichii", "Astronotus ocellatus", "Enteroramus dimorphus", "Basidiobolus magnus", "Basidiobolus lacertae", "Basidiobolus microsporus", "Basidiobolus myxophilus", "Basidiobolus philippinensis", "Basidiobolus ranarum", "Dimargaris arida", "Dimargaris bacillispora", "Dimargaris cristalligena", "Dimargaris oblongispora", "Dimargaris simplex", "Dimargaris xerosporica", "Dimargaris verticillata", "Dimargaris verticillata var. verticillata", "Dispira cornuta", "Dispira implicata", "Luina hypoleuca", "Dispira parvispora", "Dispira simplex", "Tieghemiomyces californicus", "Tieghemiomyces parasiticus", "Schelhammera multiflora", "Schelhammera undulata", "Medicago heyniana", "Medicago huberi", "Medicago hybrida", "Medicago hypogaea", "Medicago intertexta", "Medicago isthmocarpa", "Medicago italica", "Medicago laciniata", "Medicago lanigera", "Medicago laxispira", "Medicago lesinsii", "Medicago littoralis", "Medicago lupulina", "Medicago marina", "Medicago medicaginoides", "Medicago monantha", "Medicago monspeliaca", "Medicago muricoleptis", "Medicago noeana", "Medicago orbicularis", "Medicago orthoceras", "Medicago ovalis", "Medicago pamphylica", "Medicago papillosa", "Medicago persica", "Medicago phrygia", "Medicago pironae", "Medicago platycarpos", "Medicago plicata", "Medicago polyceratia", "Medicago popovii", "Medicago praecox", "Medicago prostrata", "Medicago radiata", "Medicago retrorsa", "Medicago rhodopea", "Medicago rhytidiocarpa", "Medicago rigida", "Medicago rigiduloides", "Medicago rostrata", "Medicago rotata", "Medicago rugosa", "Medicago rupestris", "Medicago ruthenica", "Medicago sauvagei", "Medicago saxatilis", "Medicago scutellata", "Medicago secundiflora", "Medicago shepardii", "Medicago soleirolii", "Medicago strasseri", "Medicago suffruticosa", "Medicago syriaca", "Medicago tenoreana", "Medicago turbinata", "Conocybe tenera", "Apios fortunei", "Mirounga angustirostris", "Naucoria escharioides", "Cytisus sect.", "Cytisus spinosus", "Janaira gracilis", "Allantomyces caenidarum", "Baltomyces styrax", "Melilotus officinalis", "Furculomyces boomerangus", "Furculomyces septentrionalis", "Furculomyces westraliensis", "Dracaena draco", "Munidopsis polymorpha", "Munidopsis tridentata", "Antiphytum cruciatum", "Apios carnea", "Spinalia radians", "Gigantopithecus blacki", "Woodwardia radicans", "Cajanus acutifolius", "Cajanus albicans", "Cajanus aromaticus", "Cajanus cajan", "Cajanus cinereus", "Cajanus confertiflorus", "Cajanus crassicaulis", "Cajanus crassus", "Cajanus elongatus", "Cajanus goensis", "Cajanus grandiflorus", "Cajanus lanceolatus", "Cajanus lanuginosus", "Cajanus latisepalus", "Cajanus lineatus", "Cajanus mareebensis", "Cajanus marmoratus", "Cajanus mollis", "Cajanus platycarpus", "Cajanus pubescens", "Cajanus reticulatus", "Cajanus scarabaeoides", "Cajanus sericeus", "Cajanus viscidus", "Apocynum pictum", "Apocynum venetum", "Apodanthera mathewsii", "Aponogeton abyssinicus", "Aponogeton desertorum", "Aponogeton madagascariensis", "Aponogeton natans", "Phoenix theophrasti", "Anthyllis barba-jovis", "Anthyllis cytisoides", "Anthyllis henoniana", "Anthyllis hermanniae", "Anthyllis montana", "Anthyllis variegata", "Huttonia palpimanoides", "Dolichostigma tenuipes", "Anasyntexis strophandra", "Mirounga leonina", "Euphorbia canariensis", "Euphorbia amygdaloides", "Euphorbia handiensis", "Euphorbia esula", "Euphorbia abdelkuri", "Euphorbia trigona", "Euphorbia cyparissias", "Euphorbia dregeana", "Euphorbia virgata", "Euphorbia palustris", "Euphorbia lathyris", "Euphorbia balsamifera", "Euphorbia polyacantha", "Euphorbia caput-medusae", "Euphorbia waterbergensis", "Euphorbia proballyana", "Euphorbia paralias", "Euphorbia resinifera", "Euphorbia characias", "Euphorbia virosa", "Euphorbia atropurpurea", "Euphorbia regis-jubae", "Euphorbia milii", "Euphorbia pulcherrima", "Rhododendron seinghkuense", "Rhododendron setosum", "Rhododendron sichotense", "Rhododendron siderophyllum", "Rhododendron spinuliferum", "Rhododendron subarcticum", "Rhododendron subulatum", "Rhododendron taggianum", "Rhododendron telmateium", "Rhododendron tephropeplum", "Rhododendron tolmachevii", "Rhododendron tomentosum", "Rhododendron trichocladum", "Rhododendron triflorum", "Rhododendron uniflorum", "Rhododendron valentinianum", "Rhododendron veitchianum", "Rhododendron virgatum", "Rhododendron yungningense", "Rhododendron yunnanense", "Rhododendron zaleucum", "Rhododendron sect.", "Rhododendron alabamense", "Rhododendron arborescens", "Rhododendron atlanticum", "Rhododendron austrinum", "Rhododendron calendulaceum", "Rhododendron canescens", "Rhododendron cumberlandense", "Rhododendron flammeum", "Rhododendron luteum", "Rhododendron molle", "Rhododendron occidentale", "Rhododendron periclymenoides", "Rhododendron prinophyllum", "Rhododendron prunifolium", "Rhododendron viscosum", "Rhododendron sect.", "Rhododendron canadense", "Rhododendron vaseyi", "Rhododendron sect.", "Rhododendron albrechtii", "Rhododendron pentaphyllum", "Rhododendron quinquefolium", "Rhododendron schlippenbachii", "Rhododendron nipponicum", "Rhododendron amagianum", "Rhododendron dilatatum", "Rhododendron farrerae", "Rhododendron mariesii", "Rhododendron reticulatum", "Rhododendron sanctum", "Rhododendron weyrichii", "Rhododendron leptothrium", "Rhododendron ovatum", "Rhododendron moulmainense", "Rhododendron semibarbatum", "Rhododendron anthosphaerum", "Rhododendron aperantum", "Rhododendron araiophyllum", "Rhododendron arboreum", "Rhododendron argyrophyllum", "Rhododendron arizelum", "Rhododendron aureum", "Rhododendron auriculatum", "Amazonomyces farkasiae", "Amazonomyces palmae", "Amazonomyces sprucei", "Rhododendron bainbridgeanum", "Rhododendron balfourianum", "Rhododendron barbatum", "Rhododendron basilicum", "Rhododendron beesianum", "Rhododendron brachycarpum", "Rhododendron bureavii", "Rhododendron callimorphum", "Rhododendron calophytum", "Rhododendron campanulatum", "Rhododendron campylocarpum", "Rhododendron catacosmum", "Rhododendron caucasicum", "Rhododendron cerasinum", "Rhododendron chamaethomsonii", "Rhododendron citriniflorum", "Rhododendron clementinae", "Rhododendron coriaceum", "Rhododendron coryanum", "Rhododendron crinigerum", "Euphorbia clava", "Rhododendron decorum", "Euphorbia dendroides", "Euphorbia flanaganii", "Euphorbia plagiantha", "Rhododendron subg.", "Rhododendron sect.", "Rhododendron acuminatum", "Rhododendron anagalliflorum", "Rhododendron atropurpureum", "Rhododendron aurigeranum", "Rhododendron beyerinckianum", "Rhododendron brookeanum", "Rhododendron buxifolium", "Rhododendron carringtoniae", "Rhododendron christianae", "Rhododendron christii", "Rhododendron citrinum", "Rhododendron commonae", "Rhododendron x coriifolium", "Rhododendron cruttwellii", "Rhododendron culminicola", "Rhododendron dielsianum", "Rhododendron ericoides", "Rhododendron fallacinum", "Rhododendron gaultheriifolium", "Rhododendron gracilentum", "Rhododendron herzogii", "Rhododendron inconspicuum", "Rhododendron insculptum", "Rhododendron jasminiflorum", "Rhododendron javanicum", "Rhododendron kawakamii", "Rhododendron konori", "Rhododendron laetum", "Rhododendron leptanthum", "Rhododendron lindaueanum", "Rhododendron lochiae", "Rhododendron longiflorum", "Rhododendron lowii", "Rhododendron luteosquamatum", "Rhododendron macgregoriae", "Rhododendron maxwellii", "Rhododendron multicolor", "Rhododendron multinervium", "Rhododendron nummatum", "Rhododendron phaeochiton", "Rhododendron pleianthum", "Rhododendron rarum", "Rhododendron retusum", "Rhododendron rugosum", "Rhododendron scabridibracteum", "Rhododendron superbum", "Rhododendron triumphans", "Rhododendron vaccinioides", "Rhododendron vidalii", "Rhododendron vitis-idaea", "Rhododendron womersleyi", "Rhododendron yelliotii", "Rhododendron zoelleri", "Rhododendron sect.", "Rhododendron anthopogon", "Rhododendron cephalanthum", "Rhododendron primuliflorum", "Rhododendron rufescens", "Rhododendron sargentianum", "Rhododendron trichostomum", "Rhododendron sect.", "Rhododendron adamsii", "Rhododendron ambiguum", "Rhododendron augustinii", "Rhododendron auritum", "Rhododendron baileyi", "Rhododendron boothii", "Rhododendron brachyanthum", "Rhododendron burmanicum", "Rhododendron calostrotum", "Rhododendron camelliiflorum", "Rhododendron campylogynum", "Rhododendron capitatum", "Rhododendron carneum", "Rhododendron charitopes", "Rhododendron chrysodoron", "Rhododendron ciliatum", "Rhododendron ciliicalyx", "Rhododendron cinnabarinum", "Rhododendron \u00d7 columbianum", "Rhododendron concinnum", "Rhododendron cuneatum", "Rhododendron dalhousieae", "Rhododendron dasypetalum", "Rhododendron dauricum", "Rhododendron davidsonianum", "Rhododendron dendricola", "Rhododendron diversipilosum", "Rhododendron edgarianum", "Rhododendron edgeworthii", "Rhododendron fastigiatum", "Rhododendron ferrugineum", "Rhododendron formosum", "Rhododendron \u00d7 fragrantissimum", "Rhododendron genestierianum", "Rhododendron glaucophyllum", "Rhododendron groenlandicum", "Rhododendron heliolepis", "Rhododendron hemitrichotum", "Rhododendron hippophaeoides", "Rhododendron hirsutum", "Rhododendron hypoleucum", "Rhododendron impeditum", "Rhododendron intricatum", "Rhododendron johnstoneanum", "Rhododendron kasoense", "Rhododendron keiskei", "Rhododendron keysii", "Rhododendron lapponicum", "Rhododendron lepidostylum", "Rhododendron lepidotum", "Rhododendron leptocarpum", "Rhododendron leucaspis", "Rhododendron lindleyi", "Rhododendron longistylum", "Rhododendron lowndesii", "Rhododendron ludlowii", "Rhododendron lutescens", "Rhododendron \u00d7 lysolepis", "Rhododendron maddenii", "Rhododendron megacalyx", "Pseudamphilochus shoemakeri", "Euphorbia saxorum", "Rhododendron degronianum", "Rhododendron dichroanthum", "Rhododendron eclecteum", "Rhododendron elliottii", "Rhododendron erastum", "Rhododendron \u00d7 erythrocalyx", "Rhododendron eudoxum", "Rhododendron exasperatum", "Rhododendron facetum", "Rhododendron falconeri", "Rhododendron floccigerum", "Rhododendron formosanum", "Rhododendron forrestii", "Rhododendron fortunei", "Rhododendron fulgens", "Rhododendron \u00d7 fulvastrum", "Rhododendron fulvum", "Rhododendron galactinum", "Rhododendron glischrum", "Rhododendron grande", "Rhododendron griersonianum", "Rhododendron griffithianum", "Rhododendron habrotrichum", "Rhododendron haematodes", "Rhododendron hirtipes", "Rhododendron hodgsonii", "Rhododendron hookeri", "Rhododendron hylaeum", "Rhododendron hyperythrum", "Rhododendron insigne", "Rhododendron irroratum", "Rhododendron japanoheptamerum", "Rhododendron kyawi", "Rhododendron lacteum", "Rhododendron lanatum", "Rhododendron lanigerum", "Rhododendron lukiangense", "Rhododendron macabeanum", "Rhododendron macrophyllum", "Rhododendron magnificum", "Rhododendron makinoi", "Rhododendron martinianum", "Rhododendron maximum", "Arthonia albonigra", "Arthonia albopulverea", "Arthonia alborufella", "Arthonia albovirens", "Arthonia albovirescens", "Arthonia aleta", "Arthonia aleuromela", "Arthonia alexandrina", "Arthonia algarbica", "Arthonia almquistii", "Euphorbia arahaka", "Euphorbia hyberna", "Euphorbia maculata", "Euphorbia peplus", "Euphorbia portlandica", "Euphorbia segetalis", "Euphorbia stenoclada", "Elymus dahuricus", "Elymus dentatus", "Elymus donianus", "Elymus drobovii", "Elymus elymoides", "Elymus enysii", "Elymus falcis", "Elymus fedtschenkoi", "Elymus fibrosus", "Elymus foliosus", "Elymus gayanus", "Elymus glaucissimus", "Elymus glaucus", "Elymus gmelinii", "Elymus grandiglumis", "Elymus hoffmannii", "Elymus hondae", "Elymus hybridus", "Elymus hystrix", "Elymus interruptus", "Elymus japonicus", "Elymus kengii", "Elymus kokonoricus", "Elymus komarovii", "Elymus kronokensis", "Elymus lanceolatus", "Elymus laxiflorus", "Elymus x lineariglumis", "Elymus longearistatus", "Elymus macrochaetus", "Elymus macrourus", "Elymus magellanicus", "Elymus mayebaranus", "Elymus melantherus", "Fuirena umbellata", "Juncus abortivus", "Juncus acuminatus", "Juncus alatus", "Juncus effusus", "Juncus tenuis", "Juncus albescens", "Juncus alpinoarticulatus", "Juncus ambiguus", "Juncus arcticus", "Juncus articulatus", "Juncus balticus", "Juncus biflorus", "Juncus biglumis", "Juncus bolanderi", "Juncus brachycarpus", "Juncus brachycephalus", "Juncus brachyphyllus", "Juncus brevicaudatus", "Juncus breweri", "Juncus bryoides", "Juncus bufonius", "Juncus bulbosus", "Juncus caesariensis", "Juncus canadensis", "Juncus capillaris", "Juncus capitatus", "Alticuma bellum", "Alticuma carinatum", "Apocuma brasiliense", "Atlantocuma benguelae", "Atlantocuma bidentatum", "Atlantocuma tenue", "Atlantocuma elongatum", "Austrocuma platyceps", "Bodotria africana", "Bodotria alata", "Bodotria angusta", "Bodotria arenosa", "Bodotria armoricana", "Bodotria australis", "Bodotria bineti", "Bodotria biocellata", "Bodotria biplicata", "Bodotria carinata", "Bodotria choprai", "Bodotria clara", "Bodotria cribraria", "Bodotria depressa", "Bodotria dispar", "Bodotria elevata", "Bodotria falsinus", "Bodotria gibba", "Bodotria glabra", "Bodotria intermedia", "Bodotria iroensis", "Bodotria laevigata", "Bodotria lata", "Bodotria maculosa", "Bodotria magna", "Juncus castaneus", "Bodotria minuta", "Juncus chlorocephalus", "Bodotria montagui", "Juncus compressus", "Bodotria nitida", "Juncus confusus", "Bodotria nuda", "Juncus conglomeratus", "Bodotria ovalis", "Juncus cooperi", "Bodotria parva", "Juncus coriaceus", "Bodotria platybasis", "Juncus covillei", "Juncus cyperoides", "Bodotria prionura", "Juncus debilis", "Bodotria pulchella", "Juncus dichotomus", "Bodotria pulex", "Juncus diffusissimus", "Bodotria rugosa", "Juncus drummondii", "Juncus dubius", "Juncus dudleyi", "Juncus duranii", "Juncus elliottii", "Juncus ensifolius", "Juncus falcatus", "Juncus filiformis", "Juncus filipendulus", "Juncus fulviscens", "Bodotria serica", "Bodotria serrata", "Bodotria serrulata", "Juncus georgianus", "Juncus gerardi", "Bodotria setoensis", "Juncus glomeratus", "Bodotria similis", "Juncus greenei", "Bodotria spinifera", "Bodotria sublevis", "Juncus grisebachii", "Bodotria tenuis", "Rhododendron mimetes", "Rhododendron morii", "Rhododendron neriiflorum", "Rhododendron \u00d7 nikomontanum", "Rhododendron niveum", "Rhododendron orbiculare", "Rhododendron oreodoxa", "Rhododendron roseum", "Rhododendron planetum", "Rhododendron pocophorum", "Rhododendron ponticum", "Rhododendron praestans", "Rhododendron praevernum", "Rhododendron pronum", "Rhododendron proteoides", "Rhododendron protistum", "Rhododendron przewalskii", "Rhododendron pseudochrysanthum", "Rhododendron purdomii", "Varanus giganteus", "Varanus komodoensis", "Varanus salvadorii", "Varanus exanthematicus", "Varanus varius", "Varanus indicus", "Rhododendron recurvoides", "Rhododendron rex", "Rhododendron roxieanum", "Rhododendron rufum", "Rhododendron sanguineum", "Rhododendron selense", "Rhododendron sidereum", "Rhododendron simiarum", "Rhododendron sinogrande", "Rhododendron smirnowii", "Rhododendron \u00d7 smithii", "Rhododendron souliei", "Rhododendron sperabile", "Rhododendron sphaeroblastum", "Rhododendron stewartianum", "Rhododendron strigillosum", "Rhododendron sutchuenense", "Rhododendron taliense", "Rhododendron tanastylum", "Rhododendron temenium", "Rhododendron thomsonii", "Rhododendron traillianum", "Rhododendron ungernii", "Rhododendron uvarifolium", "Rhododendron vernicosum", "Rhododendron vesiculiferum", "Rhododendron wardii", "Rhododendron wasonii", "Rhododendron \u00d7 wellesleyanum", "Rhododendron wightii", "Rhododendron williamsianum", "Rhododendron degronianum subsp. yakushimanum", "Bodotria tosaensis", "Juncus hallii", "Bodotria vertebrata", "Juncus holoschoenus", "Juncus inflexus", "Cyclaspis affinis", "Juncus longistylis", "Juncus maritimus", "Juncus mertensianus", "Cyclaspis alba", "Cyclaspis amamiensis", "Juncus militaris", "Cyclaspis argus", "Cyclaspis aspera", "Cyclaspis australis", "Cyclaspis australora", "Cyclaspis bacescui", "Cyclaspis bengalensis", "Cyclaspis bicornis", "Cyclaspis bidens", "Cyclaspis bituberculata", "Cyclaspis bovis", "Cyclaspis brevipes", "Cyclaspis cana", "Cyclaspis candida", "Cyclaspis candidoides", "Cyclaspis caprella", "Cyclaspis cheveyi", "Cyclaspis cingulata", "Cyclaspis clarki", "Cyclaspis coelebs", "Cyclaspis concepcionensis", "Cyclaspis concinna", "Cyclaspis costata", "Cyclaspis cottoni", "Cyclaspis cretata", "Cyclaspis cristulata", "Cyclaspis dentifrons", "Cyclaspis dolera", "Cyclaspis elegans", "Cyclaspis exsculpta", "Juncus nevadensis", "Juncus nodosus", "Juncus oxymeris", "Juncus parryi", "Juncus patens", "Juncus pelocarpus", "Juncus phaeocephalus", "Juncus planifolius", "Juncus polyanthemos", "Juncus polycephalus", "Juncus prismatocarpus", "Juncus prominens", "Juncus regelii", "Juncus repens", "Juncus rigidus", "Juncus roemerianus", "Juncus rugulosis", "Juncus salsuginosus", "Juncus saximontanus", "Juncus scirpoides", "Juncus secundus", "Juncus squarrosus", "Juncus stygius", "Juncus subcaudatus", "Juncus subnodulosus", "Juncus subtilis", "Juncus supiniformis", "Juncus torreyi", "Juncus tracyi", "Juncus trifidus", "Juncus triformis", "Juncus triglumis", "Juncus trigonocarpus", "Juncus tweedyi", "Juncus uncialis", "Juncus validus", "Juncus vaseyi", "Juncus xiphioides", "Cyclaspis formosae", "Cyclaspis fulgida", "Cyclaspis gibba", "Cyclaspis gigas", "Cyclaspis globosa", "Cyclaspis gracialis", "Cyclaspis granulosa", "Cyclaspis herdmani", "Cyclaspis hornelli", "Cyclaspis indoaustralica", "Cyclaspis iphinoides", "Cyclaspis jamaicensis", "Cyclaspis jonesi", "Cyclaspis juxta", "Cyclaspis kerguelenensis", "Cyclaspis levis", "Cyclaspis linguiloba", "Cyclaspis longicaudata", "Cyclaspis longipes", "Cyclaspis lucida", "Cyclaspis marisrubri", "Cyclaspis mawsonae", "Cyclaspis micans", "Cyclaspis mjoebergi", "Cyclaspis mollis", "Cyclaspis munda", "Cyclaspis nitida", "Cyclaspis nubila", "Cyclaspis oxyura", "Cyclaspis perelegans", "Cyclaspis persculpta", "Cyclaspis peruana", "Cyclaspis picta", "Cyclaspis pinguis", "Cyclaspis platymerus", "Cyclaspis prolifica", "Cyclaspis pruinosa", "Cyclaspis pura", "Cyclaspis purpurascens", "Cyclaspis pusilla", "Cyclaspis pustulata", "Rhododendron albiflorum", "Rhododendron \u00d7 arendsii", "Rhododendron \u00d7 azaleoides", "Therorhodion camtschaticum", "Rhododendron \u00d7 forsterianum", "Rhododendron \u00d7 fragrans", "Rhododendron macrocarpum", "Elymus abolinii", "Elymus agropyroides", "Elymus alashanicus", "Elymus andinus", "Elymus angulatus", "Elymus antarcticus", "Elymus antiquus", "Elymus apricus", "Elymus araucanus", "Elymus aristiglumis", "Elymus arizonicus", "Elymus atratus", "Elymus austromontanus", "Elymus bakeri", "Elymus barbicallus", "Elymus batalinii", "Elymus borianus", "Elymus brachyaristatus", "Elymus x brachyphyllus", "Elymus breviaristatus", "Elymus buschianus", "Elymus caesifolius", "Elymus californicus", "Elymus canadensis", "Elymus canaliculatus", "Elymus caninus", "Elymus caucasicus", "Elymus ciliaris", "Elymus confusus", "Elymus coreanus", "Arthonia abbreviata", "Arthonia abrothallina", "Arthonia accolens", "Arthonia acharii", "Arthonia aciniformis", "Arthonia adhaerens", "Arthonia adspera", "Arthonia affinis", "Arthonia aggregata", "Arthonia alba", "Arthonia radiata", "Arthonia albatula", "Arthonia albida", "Arthonia albinula", "Arthonia albofarinosa", "Arthonia albofuscescens", "Elymus multiflorus", "Elymus multisetus", "Elymus mutabilis", "Elymus nakaii", "Elymus nevskii", "Elymus nipponicus", "Elymus nutans", "Elymus panormitanus", "Elymus parishii", "Elymus patagonicus", "Elymus pendulinus", "Elymus praeruptus", "Elymus pseudonutans", "Elymus x pseudorepens", "Elymus purpuraristus", "Elymus purpurascens", "Elymus ramosus", "Elymus rectisetus", "Elymus retusus", "Elymus rigidulus", "Elymus x russellii", "Elymus scaber", "Elymus scabriglumis", "Elymus schrenkianus", "Elymus schugnanicus", "Elymus sclerus", "Elymus scribneri", "Elymus semicostatus", "Elymus sibiricus", "Elymus sierrus", "Elymus solandri", "Elymus stenachyrus", "Elymus stenostachyus", "Elymus strictus", "Elymus submuticus", "Elymus tenuis", "Elymus thoroldianus", "Elymus tibeticus", "Elymus tilcarensis", "Elymus trachycaulus", "Elymus transbaicalensis", "Elymus transhyrcanus", "Elymus tschimganicus", "Elymus tsukushiensis", "Elymus uralensis", "Elymus vaillantianus", "Elymus varius", "Elymus villosus", "Elymus virginicus", "Elymus wawawaiensis", "Elymus wiegandii", "Elymus yezoensis", "Elymus lanceolatus subsp. psammophilus", "Fimbristylis acicularis", "Fimbristylis acuminata", "Fimbristylis aestivalis", "Fimbristylis autumnalis", "Fimbristylis brevivaginata", "Cyclaspis quadrituberculata", "Cyclaspis quadruplicata", "Cyclaspis reticulata", "Cyclaspis rudis", "Cyclaspis sabulosa", "Cyclaspis scissa", "Cyclaspis sculptilis", "Cyclaspis sheardi", "Cyclaspis sibogae", "Cyclaspis similis", "Cyclaspis simonae", "Cyclaspis simula", "Cyclaspis spectabilis", "Cyclaspis spilotes", "Cyclaspis stocki", "Cyclaspis striata", "Cyclaspis strigilis", "Cyclaspis strumosa", "Cyclaspis subgrandis", "Cyclaspis sublevis", "Cyclaspis supersculpta", "Cyclaspis tasmanica", "Cyclaspis testudinum", "Cyclaspis thomsoni", "Cyclaspis tribulis", "Cyclaspis triplicata", "Cyclaspis unicornis", "Cyclaspis uniplicata", "Cyclaspis usitata", "Cyclaspis variabilis", "Cyclaspis varians", "Arthonia ambiguella", "Arthonia amboinensis", "Arthonia americana", "Arthonia amoena", "Arthonia amylospora", "Arthonia analogella", "Arthonia anegadensis", "Arthonia anglica", "Arthonia angulata", "Arthonia angulosa", "Arthonia anisolocularis", "Arthonia anjutii", "Arthonia anombrophila", "Arthonia antillarum", "Arthonia apatetica", "Arthonia aphanocarpa", "Arthonia aphthoides", "Arthonia aphthosa", "Opuntia ficus-indica", "Cyclaspoides pellucidus", "Iphinoe inermis", "Iphinoe insolita", "Iphinoe ischnura", "Iphinoe maculata", "Iphinoe maeotica", "Iphinoe pellucida", "Iphinoe pigmenta", "Iphinoe plicata", "Iphinoe pokoui", "Iphinoe producta", "Iphinoe rhodaniensis", "Iphinoe robusta", "Iphinoe sagamiensis", "Iphinoe sanguinea", "Iphinoe senegalensis", "Iphinoe serrata", "Iphinoe stebbingi", "Iphinoe tenella", "Iphinoe tenera", "Iphinoe truncata", "Iphinoe zimmeri", "Munida quadrispina", "Eocuma elongatum", "Cyclaspis mexicansis", "Cyclaspis granulata", "Cyclaspis goesi", "Upselaspis caparti", "Zygosiphon mortenseni", "Actaea spicata", "Cyclaspoides sarsi", "Eocuma aculeatum", "Eocuma affine", "Eocuma agrion", "Eocuma amakusense", "Eocuma cadenati", "Eocuma calmani", "Eocuma cochlear", "Eocuma dimorphum", "Eocuma dollfusi", "Eocuma ferox", "Eocuma foveolatum", "Eocuma hilgendorfi", "Eocuma kempi", "Eocuma lanatum", "Eocuma latum", "Eocuma longicorne", "Eocuma sarsii", "Eocuma spiniferum", "Eocuma stelliferum", "Eocuma striatum", "Eocuma taprobanicum", "Eocuma travancoricum", "Eocuma winri", "Iphinoe acutirostris", "Iphinoe adriatica", "Euphorbia poissonii", "Euphorbia whellanii", "Euphorbia punicea", "Euphorbia piscidermis", "Arthonia applanata", "Arthonia apteropteridis", "Arthonia aquatica", "Arthonia aquilina", "Arthonia araucariae", "Arthonia arctata", "Arthonia argentea", "Arthonia armoricana", "Arthonia arnoldii", "Arthonia arthoniicola", "Arthonia arthonioides f. arthonioides", "Arthonia arthonioides f. pulvinata", "Arthonia arthonioides f. saxiseda", "Arthonia aspera", "Arthonia aspiciliae", "Arthonia aspiciliae subsp. aspiciliae", "Arthonia aspiciliae subsp. hertelii", "Arthonia asteriscus", "Arthonia asteroma", "Iphinoe africana", "Iphinoe armata", "Iphinoe brevipes", "Iphinoe calmani", "Arthonia astrica", "Iphinoe capensis", "Iphinoe crassipes", "Iphinoe dayi", "Iphinoe douniae", "Iphinoe elisae", "Iphinoe fagei", "Iphinoe gurjanovae", "Iphinoe hupferi", "Fimbristylis caroliniana", "Fimbristylis complanata", "Fimbristylis cymosa", "Fimbristylis decipiens", "Fimbristylis dichotoma", "Fimbristylis ferruginea", "Fimbristylis globulosa", "Fimbristylis harrisii", "Fimbristylis hawaiiensis", "Fimbristylis inaguensis", "Fimbristylis littoralis", "Fimbristylis pauciflora", "Fimbristylis perpusilla", "Fimbristylis puberula", "Fimbristylis quinquangularis", "Fimbristylis schoenoides", "Fimbristylis spathacea", "Fimbristylis thermalis", "Fimbristylis tomentosa", "Fimbristylis tristachya", "Fimbristylis umbellaris", "Fimbristylis vahlii", "Agaricus bisporus", "Toxorhynchites purpureus", "Toxorhynchites haemorrhoidalis", "Toxorhynchites lutescens", "Toxorhynchites brevipalpis", "Euphorbia exigua", "Euphorbia mellifera", "Euphorbia officinarum subsp. echinus", "Euphorbia alluaudii", "Euphorbia xanti", "Anopheles subpictus", "Fraxinus berlandieriana", "Fraxinus insularis", "Fraxinus sogdiana", "Fraxinus stylosa", "Fuirena breviseta", "Fuirena bushii", "Fuirena ciliaris", "Fuirena longa", "Fuirena pumila", "Fuirena scirpoidea", "Fuirena simplex", "Fuirena squarrosa", "Ceratocuma amoena", "Ceratocuma cyrtum", "Ceratocuma erinacea", "Ceratocuma horrida", "Ceratocuma reyssi", "Cimmerius costlowi", "Cimmerius reticulatus", "Cimmerius subantarcticus", "Anchicolurus occidentalis", "Anchistylis longipes", "Anchistylis notus", "Anchistylis similis", "Anchistylis waitei", "Atlantistylis chauvini", "Brachydiastylis hexaceros", "Ektonodiastylis nimia", "Brachydiastylis resima", "Colurostylis lemurum", "Colurostylis longicaudata", "Colurostylis pseudocuma", "Colurostylis stenocuma", "Diastylis abboti", "Diastylis abbreviata", "Diastylis acuminata", "Diastylis alaskensis", "Diastylis algoae", "Diastylis ambigua", "Diastylis anderssoni", "Diastylis antillensis", "Diastylis araruamae", "Diastylis argentata", "Diastylis aspera", "Diastylis bidentata", "Diastylis bispinosa", "Diastylis boecki", "Diastylis brasilianus", "Diastylis calderoni", "Diastylis californica", "Diastylis corniculata", "Diastylis cornuifer", "Diastylis cornuta", "Diastylis dalli", "Diastylis delicata", "Diastylis denticulata", "Diastylis dollfusi", "Diastylis doryphora", "Diastylis echinata", "Diastylis edwardsii", "Diastylis enigmatica", "Chalcides parallelus", "Chalcides bedriagai", "Iris bakeriana", "Iris domestica", "Iris histrio", "Iris histrioides", "Iris hyrcana", "Iris kolpakowskiana", "Iris pamphylica", "Iris vartanii", "Iris winkleri", "Iris winogradowii", "Iris barbatula", "Iris collettii", "Iris decora", "Iris latistyla", "Iris leptophylla", "Iris staintonii", "Iris aitchisonii", "Iris albomarginata", "Iris atropatana", "Iris aucheri", "Iris baldshuanica", "Iris bucharica", "Iris cabulica", "Iris carterorum", "Iris caucasica", "Iris coerulea", "Iris cycloglossa", "Iris doabensis", "Makrokylindrus hessleri", "Makrokylindrus hirsuta", "Makrokylindrus hystrix", "Makrokylindrus inermis", "Makrokylindrus inscriptus", "Makrokylindrus insignis", "Makrokylindrus jedsi", "Makrokylindrus josephinae", "Makrokylindrus lomakinae", "Makrokylindrus longicaudatus", "Makrokylindrus longipes", "Makrokylindrus matsuei", "Makrokylindrus menziesi", "Makrokylindrus monodi", "Makrokylindrus myriamae", "Makrokylindrus neptunius", "Makrokylindrus nitens", "Makrokylindrus peresi", "Makrokylindrus sandersi", "Makrokylindrus serricauda", "Makrokylindrus spinifer", "Makrokylindrus stocki", "Makrokylindrus tubulicauda", "Makrokylindrus vitiasi", "Makrokylindrus wolffi", "Makrokylindrus aegaeus", "Makrokylindrus bacescui", "Makrokylindrus balinensis", "Makrokylindrus cinctus", "Makrokylindrus cingulatus", "Makrokylindrus deinotelson", "Makrokylindrus dubius", "Makrokylindrus fragilis", "Makrokylindrus jubatus", "Makrokylindrus mersus", "Makrokylindrus mundus", "Makrokylindrus mystacinus", "Makrokylindrus omorii", "Makrokylindrus reyssi", "Makrokylindrus spiniventris", "Makrokylindrus stebbingi", "Makrokylindrus utinomii", "Oxyurostylis antipai", "Oxyurostylis atlantica", "Oxyurostylis pacifica", "Oxyurostylis salinoi", "Oxyurostylis smithi", "Oxyurostylis tertia", "Pachystylis rotundata", "Paradiastylis bathyalis", "Paradiastylis belone", "Paradiastylis brachyura", "Paradiastylis culicoides", "Paradiastylis longipes", "Paradiastylis mollis", "Paradiastylis tumida", "Paradiastylis whitleyi", "Paraleptostylis arctica", "Iris drepanophylla", "Iris edomensis", "Iris fosteriana", "Iris galatica", "Iris graeberiana", "Iris hippolyti", "Iris hymenospatha", "Iris inconspicua", "Iris kopetdagensis", "Iris kuschakewiczii", "Iris leptorrhiza", "Euphorbia wrightii", "Euphorbia weberbaueri", "Euphorbia waldsteinii", "Euphorbia wakefieldii", "Euphorbia vulcanorum", "Euphorbia cyathophora", "Euphorbia coerulescens", "Leptostylis crassicauda", "Leptostylis crenellata", "Leptostylis elegans", "Leptostylis elongata", "Leptostylis faurei", "Leptostylis gamoi", "Leptostylis gilli", "Leptostylis gorbunowi", "Leptostylis gracilis", "Leptostylis grandis", "Leptostylis longicaudata", "Leptostylis longimana", "Leptostylis macrura", "Leptostylis macruroides", "Leptostylis mancoides", "Leptostylis menziesi", "Leptostylis ovalis", "Leptostylis producta", "Leptostylis profunda", "Leptostylis quadridentata", "Leptostylis recalvastra", "Leptostylis souzalvesae", "Leptostylis spinescens", "Leptostylis vemae", "Leptostylis vercoi", "Leptostylis villosa", "Leptostylis zimmeri", "Leptostyloides calcar", "Makrokylindrus abyssi", "Makrokylindrus acanthodes", "Makrokylindrus aculeatus", "Makrokylindrus alleni", "Makrokylindrus americanus", "Makrokylindrus anomalus", "Makrokylindrus armatus", "Makrokylindrus baceskei", "Makrokylindrus bicornis", "Makrokylindrus costatus", "Makrokylindrus erinaceus", "Makrokylindrus fagei", "Makrokylindrus fistularis", "Makrokylindrus gibraltariensis", "Makrokylindrus hadalis", "Euphorbia meloformis", "Euphorbia ferox", "Euphorbia hamata", "Euphorbia obesa", "Euphorbia polycephala", "Diastylis vemae", "Diastylis zimmeri", "Diastyloides atlanticus", "Diastyloides bacescoi", "Diastyloides biplicatus", "Diastyloides carpinei", "Diastyloides ornatus", "Diastyloides scaber", "Diastyloides serratus", "Diastylopsis annulata", "Diastylopsis bosphorica", "Diastylopsis crassior", "Diastylopsis dawsoni", "Diastylopsis diaphanes", "Diastylopsis elongata", "Diastylopsis goekei", "Diastylopsis robusta", "Diastylopsis tenuis", "Diastylopsis thileniusi", "Dic calmani", "Dic formosae", "Dic platytelson", "Dimorphostylis acroplicata", "Dimorphostylis asiatica", "Dimorphostylis australis", "Dimorphostylis brevicaudata", "Dimorphostylis colefaxi", "Dimorphostylis cornigera", "Dimorphostylis coronata", "Dimorphostylis cottoni", "Dimorphostylis echinata", "Dimorphostylis elegans", "Dimorphostylis gibbosa", "Dimorphostylis hirsuta", "Dimorphostylis horai", "Dimorphostylis inauspicata", "Dimorphostylis latifrons", "Dimorphostylis longicauda", "Dimorphostylis longitelson", "Dimorphostylis manazuruensis", "Dimorphostylis quadriplicata", "Dimorphostylis sculpturensis", "Dimorphostylis subaculeata", "Dimorphostylis tasmanica", "Dimorphostylis tribulis", "Dimorphostylis valida", "Dimorphostylis vieta", "Ekleptostylis walkeri", "Geyserius leuconiformis", "Leptostylis abditis", "Leptostylis ampullacea", "Euphorbia alfredii", "Euphorbia attastoma", "Sikhamani delicatula", "Diastylis exilicauda", "Diastylis fimbriata", "Diastylis galeronae", "Holostylis gayi", "Diastylis geocostae", "Diastylis gibbera", "Diastylis goodsiri", "Diastylis granulata", "Diastylis hammoniae", "Holostylis helleri", "Diastylis hexaceros", "Diastylis hirsuta", "Diastylis horrida", "Diastylis inermis", "Diastylis inornata", "Diastylis insularum", "Diastylis jonesi", "Diastylis justi", "Diastylis koreana", "Diastylis krameri", "Diastylis lazarevi", "Diastylis lepechini", "Diastylis loricata", "Diastylis lucifera", "Diastylis manca", "Diastylis matsuei", "Diastylis mawsoni", "Diastylis namibiae", "Diastylis neapolitana", "Diastylis neozealanica", "Diastylis nitens", "Diastylis nucella", "Diastylis omorii", "Diastylis ornata", "Diastylis oxyrhyncha", "Diastylis paralaskensis", "Diastylis paraspinulosa", "Diastylis pellucida", "Diastylis planifrons", "Diastylis polaris", "Diastylis polita", "Diastylis pseudinornata", "Diastylis quadriplicata", "Diastylis quadrispinosa", "Diastylis racovitzai", "Diastylis richardi", "Diastylis rostrata", "Diastylis samurai", "Diastylis santamariensis", "Diastylis scorpioides", "Diastylis sculpta", "Diastylis sentosa", "Diastylis serratocostata", "Diastylis spinulosa", "Diastylis stygia", "Diastylis sulcata", "Diastylis sympterygiae", "Diastylis tenebricosa", "Diastylis tenuicauda", "Diastylis tetradon", "Diastylis tricincta", "Diastylis tumida", "Diastylis umatillensis", "Diastylis utinomii", "Lilium albanicum", "Lilium ponticum", "Iris linifolia", "Iris magnifica", "Iris maracandica", "Iris microglossa", "Iris narbutii", "Iris narynensis", "Iris nicolai", "Iris odontostyla", "Iris orchioides", "Iris palaestina", "Iris parvula", "Iris persica", "Iris planifolia", "Iris platyptera", "Iris popovii", "Iris porphyrochrysa", "Iris postii", "Iris pseudocaucasica", "Iris regis-uzziae", "Iris rosenbachiana", "Iris schischkinii", "Iris stenophylla", "Iris stocksii", "Iris subdecolorata", "Iris svetlanae", "Iris tadshikorum", "Iris tubergeniana", "Iris vicaria", "Iris vvedenskyi", "Iris warleyensis", "Iris wendelboi", "Iris willmottiana", "Iris xanthochlora", "Iris zaprjagajevii", "Iris boissieri", "Iris filifolia", "Iris juncea", "Iris latifolia", "Iris serotina", "Iris tingitana", "Iris xiphium", "Leptostylis antipus", "Leptostylis attenuatus", "Leptostylis azaniensis", "Leptostylis bacescoi", "Leptostylis borealis", "Leptostylis calva", "Leptostylis chileana", "Gynodiastylis inepta", "Gynodiastylis laevis", "Gynodiastylis lata", "Gynodiastylis lineata", "Gynodiastylis margarita", "Gynodiastylis milleri", "Gynodiastylis mutabilis", "Gynodiastylis nitida", "Gynodiastylis nordaustraliana", "Gynodiastylis ornata", "Gynodiastylis platycarpus", "Gynodiastylis polita", "Gynodiastylis profunda", "Gynodiastylis quadricristata", "Gynodiastylis robusta", "Gynodiastylis rochfordi", "Gynodiastylis roscida", "Gynodiastylis rotundicaudata", "Gynodiastylis similis", "Gynodiastylis strumosa", "Gynodiastylis subtilis", "Gynodiastylis sulcata", "Gynodiastylis truncatifrons", "Gynodiastylis tubicola", "Gynodiastylis tumida", "Gynodiastylis turgida", "Gynodiastylis vicaria", "Haliana eckloniae", "Litogynodiastylis alata", "Litogynodiastylis ambigua", "Litogynodiastylis attenuata", "Litogynodiastylis brevipes", "Litogynodiastylis caperata", "Litogynodiastylis charadra", "Litogynodiastylis concava", "Litogynodiastylis crenagloba", "Litogynodiastylis echinata", "Litogynodiastylis gongyla", "Litogynodiastylis inepta", "Litogynodiastylis laevis", "Litogynodiastylis lewtonae", "Litogynodiastylis lumacaudata", "Litogynodiastylis margarita", "Litogynodiastylis microornata", "Litogynodiastylis munda", "Litogynodiastylis mutabilis", "Litogynodiastylis ornata", "Litogynodiastylis poorei", "Litogynodiastylis pseudomargarita", "Litogynodiastylis quadricristata", "Litogynodiastylis roscida", "Litogynodiastylis serrata", "Litogynodiastylis trachyphasis", "Litogynodiastylis tumida", "Litogynodiastylis turgida", "Litogynodiastylis vicaria", "Paradicoides acanthommatus", "Paradicoides megadactylus", "Pseudozimmeriana problema", "Sheardia antennata", "Zimmeriana robustacrus", "Zimmeriana vibrissa", "Zimmeriana azumai", "Iris falcifolia", "Iris longiscapa", "Iris adriatica", "Iris albicans", "Iris alexeenkoi", "Iris aphylla", "Iris attica", "Iris bicapitata", "Iris glockiana", "Iris \u00d7 germanica", "Iris griffithii", "Iris imbricata", "Iris kashmiriana", "Iris marsica", "Iris perrieri", "Iris pseudopumila", "Iris pumila", "Iris purpureobractea", "Iris reichenbachii", "Iris relicta", "Iris revoluta", "Iris scariosa", "Iris schachtii", "Iris suaveolens", "Iris subbiflora", "Iris taochia", "Iris timofejewii", "Iris variegata", "Iris acutiloba", "Iris antilibanotica", "Iris assadiana", "Iris atrofusca", "Iris atropurpurea", "Iris auranitica", "Iris barnumiae", "Iris basaltica", "Iris biggeri", "Iris bismarckiana", "Iris bostrensis", "Iris camillae", "Iris cedreti", "Iris damascena", "Iris elisabethae", "Iris gatesii", "Iris grossheimii", "Iris haynei", "Iris hermona", "Iris heylandiana", "Iris iberica", "Iris jordana", "Iris keredjensis", "Iris kirkwoodiae", "Iris lortetii", "Iris lupina", "Iris mariae", "Iris meda", "Iris nectarifera", "Rhododendron sect.", "Rhododendron eriocarpum", "Rhododendron kaempferi", "Rhododendron kanehirae", "Rhododendron kiusianum", "Rhododendron komiyamae", "Rhododendron lasiostylum", "Rhododendron macrosepalum", "Rhododendron microphyton", "Rhododendron mucronatum", "Rhododendron nakaharae", "Rhododendron \u00d7 obtusum", "Rhododendron oldhamii", "Rhododendron \u00d7 pulchrum", "Rhododendron rubropilosum", "Rhododendron rufohirtum", "Rhododendron scabrum", "Rhododendron serpyllifolium", "Rhododendron simsii", "Rhododendron subsessile", "Rhododendron tashiroi", "Rhododendron tosaense", "Rhododendron tschonoskii", "Rhododendron tsusiophyllum", "Rhododendron yedoense", "Rhododendron subg.", "Rhododendron sect.", "Rhododendron subg.", "Rhododendron subg.", "Rhododendron aberconwayi", "Rhododendron adenogynum", "Rhododendron aganniphum", "Rhododendron \u00d7 agastum", "Rhododendron albertsenianum", "Rhododendron alutaceum", "Rhododendron annae", "Iris nigricans", "Iris paradoxa", "Iris petrana", "Iris polakii", "Iris samariae", "Iris sari", "Iris schelkownikowii", "Iris sofarana", "Iris sprengeri", "Iris susiana", "Iris swensoniana", "Iris westii", "Iris yebrudii", "Iris bloudowii", "Iris curvifolia", "Iris humilis", "Iris mandshurica", "Iris potaninii", "Achaetobotrys affinis", "Achaetobotrys compositarum", "Achaetobotrys latispora", "Antennulariella alpina", "Antennulariella batistae", "Antennulariella concinna", "Antennulariella fuliginosa", "Arthonia astroidestera", "Arthonia astropica", "Arthonia atacamensis", "Arthonia athroa", "Arthonia atlantica", "Arthonia atomaria", "Arthonia atropallida", "Arthonia atropunctata", "Arthonia atrorufa", "Arthonia auracariae", "Arthonia aurantiaca", "Arthonia austinii", "Arthonia australis", "Arthonia austrolitoralis", "Gynodiastylis ampla", "Gynodiastylis anguicephala", "Gynodiastylis attenuata", "Gynodiastylis bicristata", "Gynodiastylis brevipes", "Gynodiastylis carinata", "Gynodiastylis carinirostris", "Gynodiastylis concava", "Gynodiastylis costata", "Gynodiastylis curvirostris", "Gynodiastylis dilatata", "Gynodiastylis echinata", "Gynodiastylis blax", "Gynodiastylis dikondyla", "Gynodiastylis insolitaseta", "Gynodiastylis megasiphon", "Gynodiastylis multicarinata", "Gynodiastylis pygmaeoinsolitaseta", "Gynodiastylis rugosa", "Gynodiastylis sierra", "Gynodiastylis tubifacturex", "Gynodiastylis fulgidus", "Gynodiastylis hartmeyeri", "Hemilamprops ultimaespei", "Hemilamprops uniplicatus", "Lamprops affinis", "Lamprops beringi", "Lamprops carinatus", "Lamprops comatus", "Lamprops fasciatus", "Lamprops flavus", "Lamprops fuscatus", "Lamprops hexaspinula", "Lamprops japonicus", "Lamprops korroensis", "Lamprops multifasciatus", "Lamprops obfuscatus", "Lamprops profundus", "Lamprops pumilio", "Lamprops quadriplicatus", "Lamprops sarsi", "Lamprops serratus", "Lamprops tomalesi", "Lamprops triserratus", "Mesolamprops abyssalis", "Mesolamprops bispinosus", "Mesolamprops denticulatus", "Mesolamprops dillonensis", "Murilamprops brasiliensis", "Paralamprops arafurensis", "Paralamprops aspera", "Paralamprops cherkii", "Paralamprops corollifera", "Paralamprops girardi", "Paralamprops grimaldii", "Paralamprops ledoyeri", "Paralamprops margidens", "Paralamprops mawsoni", "Paralamprops orbicularis", "Paralamprops peringueyi", "Paralamprops rossi", "Paralamprops semiornatus", "Paralamprops serratocostatus", "Platysympus brachyurus", "Platysympus camelus", "Platysympus compressus", "Platysympus depressus", "Platysympus japonicus", "Platysympus muranoi", "Platysympus ovalis", "Platysympus phylloides", "Platysympus quadrangulatus", "Platysympus tricarinatus", "Platysympus typicus", "Platytyphlops lathierae", "Pseudodiastylis benthedii", "Pseudodiastylis delamarei", "Pseudodiastylis ferox", "Pseudolamprops spinifer", "Stenotyphlops spinulosus", "Typolamprops hudsoni", "Alloeoleucon santamariensis", "Americuma heardi", "Austroleucon levis", "Bytholeucon hiscens", "Bytholeucon ultraabyssalis", "Coricuma nicoyensis", "Eudorella abyssi", "Iris cuniculiformis", "Iris dolichosiphon", "Iris goniocarpa", "Iris hookeriana", "Iris kemaonensis", "Iris narcissiflora", "Iris psammocola", "Iris \u00d7 sikkimensis", "Iris tigridia", "Iris afghanica", "Iris darwasica", "Iris heweri", "Iris hoogiana", "Iris korolkowii", "Iris kuschkensis", "Iris lineata", "Iris stolonifera", "Iris anguifuga", "Iris bracteata", "Iris brevicaulis", "Iris bulleyana", "Iris bungei", "Iris cathayensis", "Iris chrysographes", "Iris chrysophylla", "Iris clarkei", "Iris colchica", "Iris crocea", "Iris delavayi", "Iris dykesii", "Iris ensata", "Iris farreri", "Iris fernaldii", "Iris foetidissima", "Iris forrestii", "Iris fulva", "Iris giganticaerulea", "Iris graminea", "Iris grant-duffii", "Iris hartwegii", "Iris henryi", "Iris hexagona", "Iris hookeri", "Iris innominata", "Iris kerneriana", "Iris kobayashii", "Iris koreana", "Iris lactea", "Iris laevigata", "Iris lazica", "Iris loczyi", "Iris longipetala", "Iris ludwigii", "Iris maackii", "Iris macrosiphon", "Iris masia", "Iris melanosticta", "Iris minutoaurea", "Iris munzii", "Iris odaesanensis", "Iris pontica", "Zimmeriana lasiodactylum", "Zimmeriana longirostris", "Zimmeriana spinicauda", "Arthonia bacidiospora", "Arthonia badia", "Arthonia baeaophaea", "Arthonia baeastroidea", "Arthonia bambusicola", "Arthonia banksiae", "Arthonia bassanensis", "Arthonia beccariana", "Arthonia beltraminiana", "Arthonia berberina", "Arthonia bessalis", "Arthonia betuleti", "Arthonia betulicola", "Arthonia biformis", "Arthonia bisepta", "Arthonia biseptata", "Arthonia biseptella", "Arthonia bombacina", "Arthonia boreella", "Arthonia brouardii", "Arthonia brussei", "Arthonia bueriana", "Arthonia byssacea", "Arthonia caerulescens", "Arthonia caesiella", "Arthonia caesioalba", "Arthonia caesiolivens", "Arthonia calabrella", "Arthonia calcicola", "Arthonia calospora", "Arthonia capensis", "Archaeocuma peruanum", "Bathylamprops calmani", "Bathylamprops michelae", "Bathylamprops motasi", "Bathylamprops natalensis", "Chalarostylis elegans", "Dasylamprops guanchi", "Hemilamprops abyssi", "Hemilamprops assimilis", "Hemilamprops bicarinata", "Hemilamprops bigibbus", "Hemilamprops californicus", "Hemilamprops canadensis", "Hemilamprops cristatus", "Hemilamprops diversus", "Hemilamprops glabrus", "Hemilamprops gracilis", "Hemilamprops izuanus", "Hemilamprops japonicus", "Hemilamprops latus", "Hemilamprops lotusae", "Hemilamprops miyakei", "Hemilamprops normani", "Hemilamprops pacificus", "Hemilamprops pectinatus", "Hemilamprops pellucidus", "Hemilamprops roseus", "Hemilamprops serrulatus", "Hemilamprops tanseianus", "Iris prismatica", "Iris purdyi", "Iris qinghainica", "Iris rossii", "Iris sanguinea", "Iris savannarum", "Iris sintenisii", "Iris songarica", "Iris tenax", "Iris tenuifolia", "Iris tenuissima", "Iris tridentata", "Iris typhifolia", "Iris unguicularis", "Iris uniflora", "Iris ventricosa", "Iris verna", "Iris virginica", "Iris wilsonii", "Iris xanthospuria", "Iris confusa", "Iris cristata", "Iris formosana", "Iris gracilipes", "Iris lacustris", "Iris milesii", "Iris proantha", "Iris speculatrix", "Iris subdichotoma", "Iris tenuis", "Iris wattii", "Arthonia carneoalbens", "Arthonia carneorufa", "Arthonia carneoumbrina", "Arthonia cascarillae", "Arthonia castanea", "Aptenia lancifolia", "Archontophoenix cunninghamiana", "Arenga engleri", "Arenga microcarpa", "Arenga obtusifolia", "Arenga porphyrocarpa", "Arenga tremula", "Arenga wightii", "Argyreia cuneata", "Argyreia hirsuta", "Argyreia obtusifolia", "Argyreia wallichii", "Aristea africana", "Aristea ecklonii", "Armeria alliacea", "Armeria alpina", "Armeria arenaria", "Armeria berlengensis", "Armeria caespitosa", "Armeria cariensis", "Armeria gaditana", "Armeria girardii", "Armeria leucocephala", "Armeria pinifolia", "Armeria pseudarmeria", "Armeria pubigera", "Armeria pungens", "Armeria rumelica", "Armeria sardoa", "Armeria splendens", "Armeria undulata", "Armeria villosa", "Armeria welwitschii", "Fridericia candicans", "Fridericia dichotoma", "Fridericia elegans", "Fridericia japurensis", "Fridericia rego", "Driloleirus americanus", "Arthonia eckfeldtii", "Arthonia ecrustacea", "Arthonia ectropoma", "Vemakylindrus charcoti", "Vemakylindrus costaricanus", "Vemakylindrus doryphora", "Vemakylindrus gibraltarensis", "Vemakylindrus gladiger", "Vemakylindrus grandidentatus", "Vemakylindrus hastatus", "Vemakylindrus oxycanthus", "Vemakylindrus prolatus", "Vemakylindrus stebbingi", "Allodiastylis acanthodes", "Canarina canariensis", "Ceratonia siliqua", "Allodiastylis cretata", "Allodiastylis hirtipes", "Allodiastylis johnstoni", "Allodiastylis tenuipes", "Axiogynodiastylis reticulata", "Axiogynodiastylis rochfordi", "Jennidayus acanthus", "Jennidayus makrokolosus", "Jennidayus pharocheradus", "Dicoides areolatus", "Dicoides brevidactyus", "Dicoides fletti", "Dicoides micron", "Dicoides minusculus", "Dicoides occidentalis", "Dicoides siphonatus", "Dicoides verminaris", "Eogynodiastylis aganaktikos", "Eogynodiastylis laciniacristata", "Eogynodiastylis paeminosa", "Gynodiastylis ambigua", "Aldabrachelys gigantea", "Aldabrachelys gigantea hololissa", "Chelonoidis abingdonii", "Arthonia fosteri", "Arthonia foveolaris", "Arthonia fuliginosa", "Arthonia fusca", "Arthonia fusca var. ecrustacea", "Arthonia fusca var. fusca", "Arthonia fusca var. granulata", "Arthonia fuscescens", "Arthonia fuscoalbella", "Arthonia fuscocinerea", "Arthonia fuscocyanea", "Arthonia fuscoglauca", "Arthonia fusconigra", "Arthonia fuscopallens", "Arthonia fuscopurpurea", "Arthonia fuscorufa", "Arthonia fusispora", "Cylindraspis indica", "Cylindraspis inepta", "Cylindraspis peltastes", "Cylindraspis triserrata", "Cylindraspis vosmaeri", "Begonia curvicarpa", "Begonia luochengensis", "Chelonoidis porteri", "Begonia fangii", "Steinchisma decipiens", "Steinchisma hians", "Steinchisma spathellosa", "Arthonia galactiformis", "Arthonia galactina", "Arthonia galactitella", "Arthonia galactites", "Arthonia galactites var. depuncta", "Arthonia galactites var. galactites", "Arthonia catenatula", "Arthonia catillaria", "Arthonia caudata", "Arthonia celtidicola", "Arthonia celtidis", "Arthonia cerei", "Arthonia chilensis", "Arthonia chiodectella", "Arthonia chroolepida", "Arthonia cinchonae", "Arthonia cinerascens", "Arthonia cinnabarina var. adspersa", "Arthonia cinnabarina var. cinnabarina", "Arthonia cinnabarina var. coccinea", "Arthonia cinnabarina var. nudata", "Arthonia cinnabarina var. obscura", "Arthonia cinnabarina f. cinnabarina", "Arthonia cinnabarina f. cuspidans", "Arthonia cinnabarina var. orbicella", "Arthonia cinnabarina var. pruinata", "Arthonia cinnabarina var. purpurea", "Arthonia cinnabarina var. substellata", "Arthonia cinnabarina var. tumidula", "Arthonia cinnabarina var. violacea", "Arthonia cinnamomea", "Arthonia circinata", "Arthonia circumalbicans", "Arthonia circumscissa", "Arthonia circumtincta", "Arthonia clauzadei", "Arthonia clemens", "Arthonia coco\u00ebs", "Arthonia cohabitans", "Arthonia collectiva", "Arthonia collospora", "Arthonia colombiana", "Arthonia commutata", "Arthonia compensatula", "Arthonia compensatula var. compensatula", "Arthonia compensatula var. lineolans", "Arthonia complanata", "Arthonia complanata var. complanata", "Arthonia complanata var. purpurascens", "Arthonia complanatula", "Arthonia concava", "Arthonia confinis", "Arthonia confluens", "Arthonia coniangioides", "Arthonia consanguinea", "Arthonia consimilis", "Arthonia conspersula", "Arthonia conturbata", "Arthonia convexella", "Arthonia copromya", "Arthonia coquimbensis", "Arthonia corallifera", "Arthonia cordiae", "Arthonia coriifoliae", "Arthonia coronata", "Arthonia costaricensis", "Arthonia cretacea", "Arthonia crozalsiana", "Arthonia crustacea", "Arthonia cryptotheciae", "Arthonia crystallifera", "Arthonia culmicola", "Arthonia cupressina", "Arthonia curreyi", "Arthonia cyanea", "Arthonia cyanea var. cocosensis", "Arthonia cyanea var. cyanea", "Arthonia cyrtodes", "Naevia dispersa", "Arthonia cytisi var. cytisi", "Arthonia cytisi var. meridionalis", "Arthonia cytisi var. stellulata", "Arthonia dalmatica", "Arthonia dalmaticola", "Arthonia darbishirei", "Arthonia decemlocularis", "Arthonia decussata", "Arthonia delicatula", "Arthonia dendritella", "Arthonia depressula", "Arthonia destruens", "Arthonia destruens var. destruens", "Arthonia destruens var. nana", "Arthonia diaphora", "Arthonia dichotoma", "Arthonia dictyophora", "Arthonia didyma", "Arthonia difformis", "Arthonia diffusa", "Arthonia diffusella", "Arthonia digitatae", "Arthonia digitispora", "Arthonia dilatata", "Arthonia dilatata var. dilatata", "Arthonia dilatata var. guayacana", "Arthonia diluta", "Arthonia diploiciae", "Arthonia diplotypa", "Arthonia dispartibilis", "Arthonia dispersella", "Arthonia dispersula", "Arthonia dispuncta", "Arthonia distincta", "Arthonia distinctior", "Arthonia divergens", "Arthonia dussii", "Melica bulbosa", "Melica californica", "Melica canescens", "Arthonia lobulata", "Melica ciliata", "Melica cupani", "Melica decumbens", "Melica eligulata", "Melica eremophila", "Melica harfordii", "Melica hyalina", "Melica imperfecta", "Melica jacquemontii", "Melica lilloi", "Melica macra", "Arthonia lobulocarpa", "Arthonia lopingensis", "Arthonia luridoalba", "Arthonia luridofusca", "Melica micrantha", "Melica minuta", "Melica mutica", "Melica nitens", "Melica nutans", "Melica persica", "Melica picta", "Melica porteri", "Melica racemosa", "Melica radula", "Melica rigida", "Melica sarmentosa", "Melica scabrosa", "Melica smithii", "Melica stricta", "Melica subulata", "Melica taurica", "Melica transsilvanica", "Melica turczaninowiana", "Melica uniflora", "Melica violacea", "Melica virgata", "Arthonia macgregorii", "Arthonia macrosperma", "Arthonia macularis", "Arthonia maculiformis", "Arthonia madreana", "Arthonia malayana", "Arthonia malicola", "Arthonia mangiferae", "Arthonia marginata", "Arthonia marginella", "Arthonia marmorata", "Arthonia mazosia", "Arthonia mazosiae", "Arthonia mazosiicola", "Oxyolena mucronata", "Arthonia mediella", "Arthonia mediella var. exilior", "Arthonia mediella var. mediella", "Arthonia medusula", "Arthonia meissneri", "Arthonia meizomorpha", "Arthonia efflorescens", "Arthonia effusa", "Arthonia elabens", "Arthonia elegans", "Arthonia elevata", "Arthonia elliottii", "Arthonia emersea", "Arthonia endlicheri", "Arthonia endlicheri f. decussata", "Arthonia endlicheri f. endlicheri", "Arthonia endoxantha", "Arthonia ephelodes", "Arthonia epiodes", "Arthonia epiphyscia", "Arthonia erubescens", "Arthonia erupta", "Arthonia erythrocarpa", "Arthonia erythrocarpa var. erythrocarpa", "Arthonia erythrocarpa var. roseopallens", "Arthonia erythrogona", "Arthonia esculenta", "Arthonia excedens", "Arthonia excentrica", "Arthonia excipienda", "Arthonia explanata", "Arthonia extensa", "Arthonia extenuescens", "Begonia grandis subsp. sinensis", "Testudo hermanni hermanni", "Testudo hermanni boettgeri", "Arthonia faginea", "Arthonia falcata", "Arthonia farinacea", "Arthonia farinosa", "Arthonia farinulenta", "Arthonia ferruginea", "Arthonia fissurina", "Arthonia fissurinella", "Arthonia flavicantis", "Arthonia flavidosanguinea", "Arthonia flavoverrucosa", "Arthonia florida", "Arthonia follmanniana", "Arthonia follmannii", "Arthonia fomentaria", "Arthonia garajonayi", "Arthonia gattefossei", "Arthonia gelidae", "Arthonia genuflexa", "Arthonia gerhardii", "Arthonia gibberulosa", "Arthonia glabrata", "Arthonia glacialis", "Arthonia glaucella", "Arthonia glaucescens", "Arthonia glebosa", "Arthonia glomerulosa", "Arthonia gracilenta", "Arthonia gracilior", "Arthonia gracilis", "Arthonia gracillima", "Arthonia granosa", "Arthonia granulosa", "Arthonia graphidicola", "Arthonia graphidis", "Arthonia graphoides", "Arthonia gregantula", "Arthonia gregaria", "Arthonia gregaria var. adspersa", "Arthonia gregaria var. gregaria", "Arthonia gregaria var. obscura", "Arthonia gregaria var. purpurea", "Arthonia gregaria var. rufomaculata", "Arthonia griseoalba", "Arthonia grubei", "Arthonia gyalectoides", "Arthonia gyrosa", "Chelonoidis becki", "Arthonia haematommatum", "Arthonia haematostigma", "Arthonia hamamelidis", "Arthonia hampeana", "Arthonia hapaliza", "Arthonia hazslinszkyi", "Arthonia helvola", "Arthonia henoniana", "Arthonia hepatica", "Arthonia herpetica", "Arthonia heterella", "Arthonia heteromorpha", "Arthonia homoeophana", "Arthonia horaria", "Lespedeza angustifolia", "Lespedeza \u00d7 angustifolioides", "Lespedeza bicolor", "Lespedeza buergeri", "Lespedeza capitata", "Lespedeza chinensis", "Lespedeza virginica", "Lespedeza leptostachya", "Lespedeza cuneata", "Lespedeza cyrtobotrya", "Arthonia hormidiella", "Arthonia hymenula", "Arthonia hypobela", "Arthonia hypochniza", "Arthonia ilicina", "Arthonia ilicinella", "Arthonia ilicinodes", "Arthonia immersa", "Arthonia impallens", "Arthonia impolitella", "Arthonia incarnata", "Arthonia inconspicua", "Arthonia indistincta", "Arthonia infectans", "Arthonia ingaderiae", "Arthonia insidiens", "Arthonia insitiva", "Arthonia insulata", "Arthonia interducta", "Arthonia intermedia", "Arthonia interstes", "Arthonia intexta", "Arthonia intexta var. intexta", "Arthonia intexta var. pauperrima", "Arthonia invadens", "Arthonia isidiata", "Euphorbia umfoloziensis", "Euphorbia uhligiana", "Euphorbia trichadenia", "Euphorbia triangularis", "Euphorbia tithymaloides", "Euphorbia thinophila", "Arthonia japewiae", "Arthonia jobstiana", "Arthonia kauaiensis", "Arthonia knightii", "Arthonia koerberi", "Arthonia lacerata", "Arthonia lactea", "Arthonia lanuginosa", "Arthonia lapidicola", "Arthonia lapidicola var. fusca", "Arthonia lapidicola var. lapidicola", "Arthonia lapidicola var. macrocarpa", "Arthonia lapidicola var. ruderella", "Euphorbia platyclada", "Lespedeza daurica", "Lespedeza davidii", "Lespedeza divaricata", "Lespedeza floribunda", "Lespedeza formosa", "Lespedeza hirta", "Lespedeza homoloba", "Lespedeza \u00d7 intermixta", "Lespedeza maximowiczii", "Opuntia engelmannii", "Opuntia gosseliniana", "Opuntia hyptiacantha", "Opuntia karwinskiana", "Opuntia larreyi", "Opuntia leucotricha", "Opuntia macrocentra", "Opuntia macrorhiza", "Opuntia megasperma", "Opuntia monacantha", "Opuntia phaeacantha", "Opuntia pilifera", "Opuntia polyacantha", "Opuntia pottsii", "Opuntia puberula", "Opuntia quitensis", "Opuntia rastrera", "Opuntia repens", "Opuntia robusta", "Salmonopuntia salmiana", "Opuntia scheeri", "Brasiliopuntia schickendantzii", "Opuntia spinulifera", "Opuntia stenopetala", "Opuntia streptacantha", "Opuntia stricta", "Opuntia sulphurea", "Opuntia tomentosa", "Opuntia tuna", "Opuntia undulata", "Opuntia \u00d7 vaseyi", "Opuntia velutina", "Arthraxon lanceolatus", "Arthraxon prionodes", "Arthraxon villosus", "Homo platyops", "Orrorin tugenensis", "Paranthropus aethiopicus", "Australopithecus boisei", "Praeanthropus robustus", "Sahelanthropus tchadensis", "Pierolapithecus catalaunicus", "Homo cepranensis", "Nectridea incertae sedis", "Lepospondyli incertae sedis", "Arthonia neuridella", "Arthonia nideri", "Arthonia nigerrima", "Arthonia nigratula", "Arthonia nigrocincta", "Arthonia nigrorufa", "Arthonia nivea", "Lespedeza \u00d7 japonica", "Lespedeza juncea", "Lespedeza melanantha", "Lespedeza patens", "Lespedeza \u00d7 patentibicolor", "Lespedeza pilosa", "Lespedeza procumbens", "Lespedeza repens", "Lespedeza \u00d7 simulata", "Lespedeza stuevei", "Lespedeza \u00d7 thunbergii", "Lespedeza tomentosa", "Lespedeza violacea", "Lespedeza virgata", "Melica altissima", "Melica andina", "Arthonia lecanorella", "Arthonia lecanoriicola", "Arthonia lecanorina", "Arthonia lecanoroides", "Arthonia lecideicarpa", "Arthonia lecideoides", "Arthonia lecideola", "Arthonia lecythidicola", "Arthonia leightonii", "Arthonia leioplacella", "Arthonia lepidiota", "Arthonia lepidophila", "Arthonia leprariella", "Arthonia leptogramma", "Arthonia leptogrammoides", "Arthonia leptographidea", "Arthonia leptosperma", "Arthonia leptospora", "Arthonia lethariicola", "Arthonia leucastraea", "Arthonia leucocarpa", "Arthonia leucocheila", "Liocichla bugunorum", "Arthonia leucographella", "Arthonia leucoschisma", "Arthonia ligniaria", "Arthonia ligniariella", "Arthonia lignicola", "Arthonia lilacina", "Arthonia limitata", "Arthonia linearis", "Arthonia lineola", "Arthonia linitae", "Arthonia lirellaeformis", "Arthonia lividofusca", "Arthonia lividorufa", "Arthonia lividula", "Arthonia loandensis", "Melica argyrea", "Melica aurantiaca", "Arthonia loangana", "Melica brasiliana", "Homo antecessor", "Homo georgicus", "Homo rhodesiensis", "Moehringia macrophylla", "Muhlenbergia arenacea", "Muhlenbergia arenicola", "Muhlenbergia asperifolia", "Muhlenbergia emersleyi", "Muhlenbergia fastigiata", "Muhlenbergia filiformis", "Muhlenbergia frondosa", "Muhlenbergia huegelii", "Muhlenbergia japonica", "Muhlenbergia lindheimeri", "Muhlenbergia macroura", "Muhlenbergia mexicana", "Muhlenbergia microsperma", "Muhlenbergia montana", "Muhlenbergia polycaulis", "Muhlenbergia porteri", "Muhlenbergia pungens", "Muhlenbergia racemosa", "Muhlenbergia richardsonis", "Muhlenbergia rigens", "Muhlenbergia rigida", "Muhlenbergia schreberi", "Muhlenbergia torreyi", "Muhlenbergia wrightii", "Australopithecus anamensis", "Australopithecus bahrelghazali", "Australopithecus garhi", "Opuntia basilaris", "Opuntia humifusa", "Opuntia microdasys", "Opuntia fragilis", "Opuntia albicans", "Opuntia anacantha", "Opuntia arcei", "Opuntia aurantiaca", "Opuntia azurea", "Opuntia bonplandii", "Opuntia borinquensis", "Opuntia elata var. cardiosperma", "Opuntia chlorotica", "Opuntia cochenillifera", "Opuntia crassa", "Opuntia curassavica", "Opuntia decumbens", "Opuntia dejecta", "Opuntia elata var. delaetiana", "Opuntia echios", "Opuntia elata", "Opuntia ellisiana", "Arthonia semi-immersa", "Arthonia septemlocularis", "Arthonia septiseptata", "Arthonia septiseptella", "Arthonia serialis", "Arthonia serograpta", "Eudorella aequiremis", "Eudorella arctica", "Eudorella bacescui", "Eudorella emarginata", "Eudorella dentata", "Eudorella gottliebi", "Eudorella fallax", "Eudorella gracilior", "Eudorella gracilis", "Eudorella groenlandica", "Eudorella hirsuta", "Eudorella hispida", "Eudorella hurleyi", "Eudorella intermedia", "Eudorella menziesi", "Eudorella minor", "Eudorella monodon", "Eudorella nana", "Eudorella pacifica", "Eudorella parvula", "Eudorella pusilla", "Pseudeudorella redacticruris", "Eudorella rochfordi", "Eudorella similis", "Eudorella sordida", "Eudorella splendida", "Eudorella spitzbergensis", "Eudorella tridentata", "Eudorella truncatula", "Arthonia sexlocularis", "Arthonia sherparum", "Arthonia siderea", "Arthonia simplicascens", "Arthonia simplicata", "Arthonia somaliensis", "Eudorellopsis uschakovi", "Eudorellopsis resima", "Eudorellopsis leuconi", "Eudorellopsis longirostris", "Eudorellopsis integra", "Eudorellopsis derzhavini", "Eudorellopsis deformis", "Eudorellopsis biplicata", "Arthonia sorbina", "Hemileucon uniplicatus", "Hemileucon comes", "Hemileucon bidentatus", "Arthonia sordaria", "Arthonia sorsogona", "Heteroleucon akaroensis", "Heteroleucon bacescui", "Arthonia souliei", "Leucon inexcavatus", "Leucon heterostylis", "Leucon dayae", "Leucon kerguelensis", "Leucon turgidulus", "Leucon antarcticus", "Leucon pallidus", "Leucon polarsterni", "Leucon medius", "Leucon jonesi", "Leucon bishopi", "Leucon acclivis", "Leucon declivis", "Leucon tener", "Leucon vanhoeffeni", "Leucon serrulirostris", "Leucon savulescui", "Leucon septemdentatus", "Leucon michaeli", "Leucon macrorhinus", "Leucon sagitta", "Leucon acutirostris", "Leucon tenuirostris", "Leucon spiniventris", "Leucon pusillus", "Leucon pacifica", "Leucon socius", "Leucon longirostris", "Leucon latispina", "Leucon galatheae", "Leucon kalluropus", "Leucon ensis", "Leucon craterus", "Arthonia spadicea", "Arthonia spadicea var. convexula", "Leucon laticaudus", "Leucon kobjakovae", "Leucon homorhynchus", "Leucon falcicosta", "Leucon fulvus", "Leucon breidensis", "Leucon bengalensis", "Leucon assimilis", "Leucon armatus", "Leucon americanus", "Leucon affinis", "Arthonia spadicea var. spadicea", "Leucon adelae", "Arthonia spadicea var. subspadicea", "Leucon simanensis", "Leucon serratus", "Leucon profundus", "Leucon robustus", "Leucon panamensis", "Leucon nasicoides", "Leucon nathorsti", "Leucon nasica", "Leucon meredithi", "Leucon minor", "Leucon mediterraneus", "Leucon magnadentatus", "Leucon weddelli", "Leucon stenorhynchus", "Leucon spinulosus", "Leucon siphonatus", "Leucon varians", "Leucon subnasica", "Nippoleucon enoshimensis", "Nippoleucon hinumensis", "Ommatoleucon ocularis", "Paraleucon suteri", "Pseudoleucon japonicus", "Pseudoleucon sorex", "Almyracuma proximoculi", "Campylaspides spinifer", "Campylaspides grandis", "Campylaspides echinata", "Campylaspides canariensis", "Campylaspis bacescui", "Campylaspis aulacoeis", "Campylaspis arcuata", "Campylaspis aspera", "Campylaspis aperta", "Campylaspis antipai", "Campylaspis antarctica", "Campylaspis amblyoda", "Campylaspis angularis", "Campylaspis alba", "Campylaspis alveolata", "Campylaspis akabensis", "Campylaspis affinis", "Campylaspis africana", "Campylaspis aculeata", "Campylaspis cousteaui", "Campylaspis costata", "Campylaspis crispa", "Campylaspis clavata", "Campylaspis cognata", "Campylaspis canaliculata", "Campylaspis caperata", "Campylaspis breviramus", "Campylaspis brevicornis", "Campylaspis brasilianus", "Campylaspis bulbosa", "Campylaspis bonetti", "Campylaspis blakei", "Campylaspis biplicata", "Campylaspis bicarinata", "Campylaspis holthuisi", "Campylaspis heardi", "Campylaspis hartae", "Campylaspis granulata", "Campylaspis guttata", "Campylaspis globosa", "Campylaspis gloriosae", "Campylaspis glebulosa", "Campylaspis gamoi", "Campylaspis glabra", "Campylaspis frigida", "Campylaspis fusiformis", "Campylaspis exarata", "Campylaspis excavata", "Campylaspis echinata", "Campylaspis depressa", "Campylaspis maculata", "Campylaspis legendrei", "Campylaspis macrophthalma", "Campylaspis latipes", "Campylaspis latidactyla", "Campylaspis laevigata", "Campylaspis laticarpa", "Campylaspis kiiensis", "Campylaspis jonesi", "Campylaspis johnstoni", "Campylaspis intermedia", "Campylaspis inornata", "Campylaspis horridoides", "Campylaspis horrida", "Campylaspis ovalis", "Campylaspis pacifica", "Campylaspis nuda", "Campylaspis orientalis", "Campylaspis nitens", "Campylaspis multinodosa", "Campylaspis mozambica", "Campylaspis nodulosa", "Campylaspis minuta", "Campylaspis minor", "Campylaspis menziesi", "Campylaspis mauritanica", "Campylaspis mansa", "Campylaspis maculinodulosa", "Campylaspis microdentata", "Campylaspis pustulosa", "Campylaspis pulchella", "Campylaspis pumila", "Campylaspis propinqua", "Campylaspis pseudosquamifera", "Campylaspis porcata", "Campylaspis plicata", "Campylaspis platyuropus", "Campylaspis pilosa", "Campylaspis pileus", "Campylaspis paucinodosa", "Campylaspis paeneglabra", "Campylaspis papillata", "Campylaspis selvakumarani", "Campylaspis scuta", "Campylaspis sagamiensis", "Campylaspis rupta", "Campylaspis rubromaculata", "Campylaspis rufa", "Campylaspis rubicunda", "Campylaspis rostrata", "Campylaspis rostellata", "Campylaspis roscida", "Campylaspis redacta", "Campylaspis quadriplicata", "Campylaspis quadridentata", "Campylaspis reticulata", "Campylaspis tuberculata", "Campylaspis tubulata", "Campylaspis triplicata", "Campylaspis thompsoni", "Campylaspis thetidis", "Campylaspis sulcata", "Campylaspis submersa", "Campylaspis striata", "Campylaspis sticta", "Campylaspis stephenseni", "Campylaspis squamifera", "Campylaspis spinosa", "Campylaspis sinuosa", "Campylaspis similis", "Campylaspis serratipes", "Arthonia noli-tangere", "Arthonia novaecaledoniae", "Arthonia novaeguineae", "Arthonia novella", "Arthonia nucis", "Arthonia nudata", "Arthonia nylanderi", "Arthonia nymphaeoides", "Arthonia oasis", "Arthonia obducta", "Arthonia obesa", "Arthonia oblongula", "Arthonia obscurata", "Arthonia obscuratula", "Arthonia obscurella", "Arthonia obscurior", "Arthonia obtusa", "Arthonia obtusangula", "Arthonia obtusula", "Arthonia obvelata", "Arthonia oceanica", "Arthonia ochraceella", "Arthonia ochrocincta", "Arthonia ochrodes", "Arthonia ochrodiscodes", "Arthonia ochrolutea", "Arthonia ochropallens", "Arthonia ochrospila", "Arthonia octolocularis", "Arthonia oleandri", "Arthonia oligospora", "Arthonia olivacea", "Arthonia onegensis", "Arthonia opegraphina", "Arthonia opegraphizans", "Arthonia orbicularis", "Arthonia orbignyae", "Arthonia oxyspora", "Arthonia oxytera", "Arthonia palmensis", "Arthonia palmicola", "Arthonia palmulacea", "Begonia debaoensis", "Arthonia pandanicola", "Arthonia pantherina", "Arthonia paradoxa", "Arthonia paraffinis", "Begonia pseudodaxinensis", "Arthonia parallelata", "Begonia pseudoleprosa", "Arthonia parallelula", "Arthonia parantillarum", "Begonia semiparietalis", "Arthonia parastroidea", "Arthonia pardalis", "Arthonia patellula", "Arthonia patellulata", "Arthonia melaleucella", "Arthonia melanophthalma", "Arthonia melanopsis", "Arthonia melanospila", "Arthonia meridionalis", "Arthonia mesoleuca", "Arthonia micrastera", "Arthonia microcarpa", "Arthonia microcarpella", "Arthonia microcephala", "Arthonia microscopica", "Arthonia microsperma", "Arthonia microspermella", "Arthonia microspermoides", "Arthonia microsticta", "Arthonia miltina", "Arthonia minimum", "Arthonia minuta", "Arthonia minutella", "Arthonia minutissima", "Arthonia mira", "Arthonia miserula", "Arthonia modesta", "Arthonia molendoi", "Arthonia moniliformis", "Arthonia montagnei", "Arthonia montellica", "Arthonia muelleri", "Arthonia multiformis", "Arthonia mycoporodes", "Ardipithecus ramidus", "Euphorbia pteroneura", "Arthonia mycoporoides", "Arthonia myophaena", "Arthonia myriadea", "Arthonia myriocarpa", "Arthonia myriocarpella", "Arthonia myristicae", "Euphorbia platyphyllos", "Euphorbia lactea", "Euphorbia tirucalli", "Ardipithecus kadabba", "Titanichthys agassizi", "Arthonia nana", "Arthonia nebulosa", "Arthonia neglecta", "Rolfosteus canningensis", "Arthonia neglectula", "Arthonia nemoralis", "Arthonia nephelina", "Arthonia nephromiaria", "Arthonia nephromiaria var. lepidiota", "Arthonia nephromiaria var. nephromiaria", "Arthonia nephromiaria var. stereocaulina", "Campylaspis wardi", "Campylaspis vitrea", "Campylaspis verrucosa", "Campylaspis valleculata", "Campylaspis vemae", "Campylaspis valida", "Campylaspis urodentata", "Campylaspis unisulcata", "Campylaspis uniplicata", "Campylaspis umbensis", "Campylaspis undata", "Campylaspis tumulifera", "Claudicuma platensis", "Cubanocuma gutzui", "Cumella cana", "Cumella carinata", "Cumella californica", "Cumella bermudensis", "Cumella bahamensis", "Cumella bacescui", "Cumella australis", "Cumella arguta", "Cumella angelae", "Cumella argentinae", "Cumella andri", "Cumella alveata", "Cumella anae", "Cumella africana", "Cumella agglutinanta", "Cumella abyssicola", "Cumella aculeata", "Cumella indosinica", "Cumella iliffei", "Cumella hispida", "Cumella hirsuta", "Cumella hastata", "Cumella gurwitchi", "Cumella gomoiui", "Cumella glaberata", "Cumella garrityi", "Cumella forficuloides", "Cumella forficula", "Cumella enigmatica", "Cumella echinata", "Cumella divisa", "Cumella dentata", "Cumella decipiens", "Cumella coralicola", "Cumella clavicauda", "Cumella compacta", "Cumella rigida", "Cumella radui", "Cumella pygmaea", "Cumella quadrispinosa", "Cumella polita", "Cumella pilosa", "Cumella morion", "Cumella ocellata", "Cumella meridionalis", "Cumella michaelseni", "Cumella meredithi", "Cumella limicoloides", "Cumella limicola", "Nannastacus brevicaudatus", "Nannastacus asper", "Nannastacus angulifera", "Nannastacus agnatus", "Nannastacus zimmeri", "Nannastacus unguiculatus", "Nannastacus umbellulifer", "Nannastacus turcicus", "Nannastacus tardus", "Nannastacus suhmi", "Nannastacus subinflatus", "Nannastacus stebbingi", "Nannastacus spinulosus", "Nannastacus spinosus", "Nannastacus sauteri", "Nannastacus reptans", "Nannastacus pruinosus", "Nannastacus pectinatus", "Nannastacus parvulus", "Nannastacus pardus", "Nannastacus ossiani", "Scherocumella brachydactyla", "Scherocumella clavata", "Scherocumella gurneyi", "Scherocumella japonica", "Scherocumella lepturus", "Scherocumella longirostris", "Scherocumella nasuta", "Scherocumella nichollsi", "Scherocumella pilgrimi", "Scherocumella sheardi", "Scherocumella stephenseni", "Scherocumella vieta", "Procampylaspis acanthomma", "Procampylaspis arguini", "Procampylaspis armata", "Procampylaspis bacescoi", "Procampylaspis bispinosa", "Procampylaspis bituberculata", "Procampylaspis bonnieri", "Procampylaspis caenosa", "Procampylaspis comorensis", "Procampylaspis compressa", "Procampylaspis dentifera", "Procampylaspis hirta", "Procampylaspis inermis", "Procampylaspis lutensis", "Procampylaspis macronyx", "Procampylaspis maurini", "Procampylaspis mediterranea", "Procampylaspis meridiana", "Procampylaspis ommidion", "Procampylaspis procurrens", "Procampylaspis profunda", "Procampylaspis rigens", "Procampylaspis serratoculus", "Procampylaspis sordida", "Procampylaspis tetrastachya", "Procampylaspis thalassae", "Procampylaspis tridentata", "Procampylaspis tuberculata", "Procampylaspis unicornis", "Schizocuma vemae", "Schizocuma spinosum", "Arthonia subastroidea subsp. subastroidea", "Arthonia subastroidella", "Arthonia subbessalis", "Arthonia subcaesia", "Tarentola mauritanica", "Euphorbia terracina", "Euphorbia quadrialata", "Euphorbia palmeri", "Euphorbia nubigena", "Euphorbia rigida", "Euphorbia neriifolia", "Euphorbia spinosa", "Euphorbia stellata", "Euphorbia sepulta", "Malus adstringens", "Malus angustifolia", "Malus \u00d7 arnoldiana", "Malus asiatica", "Malus \u00d7 astracanica", "Malus \u00d7 atrosanguinea", "Malus baccata", "Malus coronaria", "Malus \u00d7 dawsoniana", "Malus domestica", "Malus doumeri", "Malus sieversii", "Malus florentina", "Malus floribunda", "Malus fusca", "Malus halliana", "Malus \u00d7 hartwigii", "Malus honanensis", "Malus hupehensis", "Nannastacus occidentalis", "Nannastacus nyctagineus", "Nannastacus mystacinus", "Nannastacus minor", "Nannastacus lima", "Nannastacus inflatus", "Nannastacus johnstoni", "Nannastacus inconstans", "Nannastacus goniatus", "Nannastacus gibbosus", "Nannastacus georgi", "Nannastacus gamoi", "Nannastacus euxinicus", "Nannastacus erinaceus", "Poecilia sphenops", "Cleistocactus winteri", "Cleistocactus buchtienii", "Cleistocactus candelilla", "Cleistocactus hyalacanthus", "Pan troglodytes troglodytes", "Pan troglodytes vellerosus", "Pan troglodytes verus", "Arthonia polymorphula", "Arthonia polystigmatea", "Arthonia populina", "Arthonia populina f. microscopica", "Arthonia populina f. oleandri", "Arthonia populina f. populina", "Arthonia pragensis", "Arthonia prominens", "Arthonia propinqua", "Arthonia pruinata", "Arthonia pruinosella", "Arthonia pruinosula", "Arthonia pseudocyphellariae", "Arthonia pseudopegraphina", "Arthonia psimmythodes", "Arthonia puiggarii", "Arthonia pulicosa", "Arthonia pulveracea", "Arthonia punctella", "Naevia punctiformis", "Arthonia punctiformis subsp. parallelula", "Arthonia punctiformis subsp. punctiformis", "Arthonia punctiformis var. populina", "Arthonia punctiformis var. punctiformis", "Arthonia punctiformis f. fraxinea", "Arthonia punctiformis f. oleandri", "Arthonia punctiformis f. parallelula", "Arthonia punctiformis f. protracta", "Arthonia punctiformis f. punctiformis", "Arthonia punctiformis f. quadriseptata", "Arthonia punctiformis f. rhododendri", "Arthonia punctiformis f. stenospora", "Arthonia punctilliformis", "Arthonia purpurissata", "Arthonia pyrenuloides", "Arthonia pyrrhuliza", "Arthonia quadriseptata", "Arthonia quatuorseptata", "Arthonia quercicola", "Arthonia quercus", "Arthonia quintaria", "Arthonia radians", "Arthonia radiata var. radiata", "Cumella leptopus", "Cumella laevis", "Cumella caribbeana", "Cumella vulgaris", "Cumella vicina", "Cumella turgidula", "Cumella tripunctata", "Cumella sterreri", "Cumella tarda", "Cumella spinosa", "Cumella spicata", "Cumella similis", "Cumella siamensis", "Cumella serrata", "Cumella schieckei", "Cumella sadoensis", "Cumella cyclaspoides", "Cumella subducta", "Cumella longisipho", "Cumella gracillima", "Cumella formosa", "Cumella exstans", "Cumella erecta", "Cumella dayae", "Cumella egregia", "Cumella cristata", "Cumella concinna", "Cumella bishopi", "Cumella antipai", "Cumella angustata", "Cumella acuminata", "Cumella gibba", "Cumellopsis surugaensis", "Cumellopsis puritani", "Cumellopsis laevis", "Cumellopsis helgae", "Cumellopsis estafricana", "Cumellopsis bicostata", "Cumellopsis bacescui", "Elassocumella micruropus", "Paracampylaspis platycarpus", "Pavlovskeola bicostata", "Arthonia sphaerula", "Pavlovskeola campylaspoides", "Platycuma sandersi", "Platycuma marginalis", "Platycuma holti", "Platycuma hessleri", "Platycuma candidum", "Arthonia spyridii", "Arthonia spilomatoides", "Arthonia stellaris", "Arthonia stenographella", "Arthonia stenospora", "Arthonia stereocaulina", "Arthonia stictaria", "Arthonia stictella", "Arthonia stictica", "Arthonia stictoides", "Arthonia subaggregata", "Arthonia subantarctica", "Arthonia subastroidea", "Schizocuma spinoculatum", "Schizocuma molossa", "Schizocuma calmani", "Schizotrema sordidum", "Schizotrema sakaii", "Schizotrema resima", "Schizotrema macrodactylus", "Schizotrema leopardinum", "Schizotrema depressum", "Schizotrema bifrons", "Schizotrema bidens", "Schizotrema atlanticum", "Schizotrema aculeatum", "Monopseudocuma gilsoni", "Carinocuma birsteini", "Caspiocuma campylaspoides", "Arthonia subcembrina", "Arthonia subcondita", "Arthonia subconveniens", "Arthonia subdiffusa", "Arthonia subdiffusa var. australis", "Arthonia subdiffusa var. subdiffusa", "Arthonia subdispersa", "Arthonia subdispersula", "Arthonia subdispuncta", "Arthonia subexcedens", "Arthonia subfuscicola", "Arthonia subgracilis", "Arthonia subgrisea", "Arthonia subgyrosa", "Fontainella mediterranea", "Hyrcanocuma sarsi", "Kerguelenica platycephala", "Petalosarsia brevirostris", "Petalosarsia declivis", "Petalosarsia longirostris", "Chasarocuma knipowitchi", "Pterocuma sowinskyi", "Pterocuma rostrata", "Arthonia subilicina", "Pterocuma pectinata", "Pterocuma grande", "Schizorhamphus scabriusculus", "Schizorhamphus eudorelloides", "Schizorhamphus bilamellatus", "Strauchia taurica", "Arthonia subinvisibilis", "Volgacuma telmatophora", "Arthonia sublurida", "Pseudocuma tenuicauda", "Pseudocuma gracilioides", "Pseudocuma gracile", "Pseudocuma diastyloides", "Pseudocuma cercarioides", "Pseudocuma simile", "Pseudocuma longicorne", "Pseudocuma ciliatum", "Pseudocuma chevreuxi", "Pseudocuma laeve", "Arthonia submersa", "Pseudocuma lagunae", "Arthonia subminutissima", "Arthonia subminutula", "Malus \u00d7 zumi", "Ribes subg.", "Ribes subg.", "Ribes subg.", "Ribes subg.", "Ribes subg.", "Ribes horridum", "Ribes lacustre", "Ribes montigenum", "Ribes sect.", "Ribes affine", "Ribes alpinum", "Ribes armenum", "Ribes brachybotrys", "Ribes cuneifolium", "Ribes fontaneum", "Ribes glaciale", "Ribes heterotrichum", "Ribes komarovii", "Ribes laciniatum", "Ribes luridum", "Ribes maximowiczianum", "Ribes maximowiczii", "Ribes orientale", "Ribes vilmorinii", "Ribes sect.", "Ribes henryi", "Ribes laurifolium", "Ribes sect.", "Ribes diacanthum", "Ribes pulchellum", "Ribes saxatile", "Ribes sect.", "Ribes fasciculatum", "Ribes sect.", "Ribes aciculare", "Ribes alpestre", "Ribes arcuatum", "Ribes binominatum", "Ribes burejense", "Ribes curvatum", "Ribes cynosbati", "Ribes divaricatum", "Ribes formosanum", "Ribes hirtellum", "Ribes inerme", "Ribes innominatum", "Ribes leptanthum", "Ribes missouriense", "Ribes niveum", "Ribes oxyacanthoides", "Ribes pinetorum", "Ribes quercetorum", "Ribes robustum", "Ribes rotundifolium", "Ribes rusticum", "Arthonia patellulata var. caesiocarpa", "Arthonia patellulata var. nephromiaria", "Arthonia patellulata var. patellulata", "Arthonia pauciseptata", "Arthonia pellaea", "Arthonia pellucida", "Arthonia peltigerea", "Arthonia peraffinis", "Arthonia perangusta", "Arthonia perminuta", "Arthonia perpallens", "Arthonia perparva", "Arthonia perparvula", "Arthonia perplexans", "Arthonia pertabescens", "Arthonia pertenera", "Arthonia pertusariella", "Echinocactus platyacanthus", "Arthonia petrensis", "Arthonia phaeobaea", "Arthonia phaeonephela", "Arthonia phaeophysciae", "Arthonia phaeosporella", "Arthonia phlyctidicola", "Arthonia phlyctiformis", "Arthonia phyllogena", "Arthonia phylloica", "Arthonia phyllospiliza", "Arthonia phymatodes", "Arthonia physciae", "Arthonia picea", "Arthonia picila", "Naevia pinastri", "Arthonia platygraphella", "Arthonia platygraphidea", "Arthonia platyspilea", "Arthonia plectocarpoides", "Arthonia plumbea", "Arthonia plurilocularia", "Arthonia pluriseptata", "Arthonia pocsii", "Asperaxis karenae", "Arthonia polillensis", "Arthonia polygramma", "Arthonia polygrammodes", "Arthonia polygrammodes var. nigricans", "Arthonia polygrammodes var. polygrammodes", "Arthonia polygrammodes f. polygrammodes", "Calathiscus tantillus", "Arthonia polymorpha", "Arthonia polymorpha var. guayacana", "Arthonia polymorpha var. polymorpha", "Arthonia polymorpha var. substellata", "Ribes sinanense", "Ribes stenocarpum", "Ribes succirubrum", "Ribes uva-crispa", "Ribes velutinum", "Ribes watsonianum", "Ribes sect.", "Ribes amarum", "Ribes californicum", "Ribes echinellum", "Ribes lobbii", "Ribes menziesii", "Ribes roezlii", "Ribes speciosum", "Ribes thacherianum", "Arthothelium abnorme", "Arthothelium achromaticum", "Arthothelium adriaticum", "Arthothelium adveniens", "Arthothelium albatulum", "Arthothelium albatum", "Arthothelium albescens", "Arthothelium albidum", "Arthothelium albovirescens", "Arthothelium album", "Arthothelium aleurellum", "Arthothelium aleurinum", "Arthothelium aleurocarpum", "Arthothelium aleurodes", "Arthothelium allochroum", "Arthothelium americanum", "Arthothelium ampliatum", "Arthothelium anastomosans", "Arthothelium andamanicum", "Arthothelium anomalum", "Arthothelium aphanocarpum", "Arthothelium argenteum", "Arthothelium atro-olivaceum", "Arthothelium atropurpureum", "Arthothelium atrorufum", "Arthothelium aurantiacum", "Arthothelium awasthii", "Arthothelium azulense", "Arthothelium bambusicola", "Arthothelium beccarianum", "Arthothelium beltraminianum", "Arthothelium bessale", "Arthothelium bisporum", "Arthothelium burollettii", "Arthonia submiserula", "Arthonia subnebulosa", "Arthonia subnovella", "Arthonia subpolymorpha", "Arthonia subpruinosa", "Arthonia subramulosa", "Arthonia subrotunda", "Arthonia subrubella", "Arthonia subrubella var. pluriseptata", "Arthonia subrubella var. subrubella", "Arthonia subsimillima", "Arthonia subspadicea", "Arthonia substellata", "Arthonia subtecta", "Arthonia subtilissima", "Arthonia subvaria", "Halosbaena tulki", "Halosbaena fortunata", "Halosbaena acanthura", "Limnosbaena finki", "Theosbaena cambodjiana", "Monodella stygicola", "Arthonia subvelata", "Tethysbaena vinabayesi", "Tethysbaena tinima", "Tethysbaena texana", "Tethysbaena tarsiensis", "Tethysbaena somala", "Tethysbaena stocki", "Tethysbaena siracusae", "Tethysbaena scitula", "Tethysbaena scabra", "Tethysbaena sanctaecrucis", "Tethysbaena relicta", "Tethysbaena lazarei", "Tethysbaena juglandis", "Tethysbaena juriaani", "Tethysbaena halophila", "Tethysbaena haitiensis", "Tethysbaena gaweini", "Tethysbaena coqui", "Tethysbaena calsi", "Tethysbaena atlantomaroccana", "Tethysbaena argentarii", "Tethysbaena aiakos", "Tethysbaena colubrae", "Arthonia subvelutina", "Arthonia subvenosa", "Thermosbaena mirabilis", "Tulumella unidens", "Tulumella grandis", "Tulumella bahamensis", "Arthonia suffusa", "Arthonia sulphurea", "Arthonia swartziana", "Arthonia swartzii", "Arthonia symmicta", "Arthonia sytnikii", "Arthonia zwackhii", "Arthonia xanthocarpa", "Arthonia xylogena", "Arthonia xylographica", "Arthonia xylographoides", "Arthonia xylophila", "Aspalathus abietina", "Aspalathus acicularis", "Arthothelium ernstianum", "Arthothelium erumpens", "Arthothelium evanescens", "Arthothelium fecundum", "Arthothelium feuereri", "Arthothelium flotowianum", "Arthothelium follmannii", "Arthothelium fuscocinereum", "Aspalathus acuminata", "Arthothelium fusconigrum", "Aspalathus albens", "Aspalathus alopecurus", "Aspalathus angustifolia", "Arthothelium fusconigrum f. endophoeniceurn", "Arthothelium fusconigrum f. fusconigrum", "Arthothelium fuscoroseum", "Arthothelium fusisporum", "Arthothelium galapagoense", "Aspalathus araneosa", "Aspalathus argyrophanes", "Aspalathus aspalathoides", "Aspalathus asparagoides", "Aspalathus astroites", "Aspalathus biflora", "Aspalathus bracteata", "Aspalathus capensis", "Aspalathus carnosa", "Aspalathus cephalotes", "Aspalathus chenopoda", "Aspalathus chortophila", "Aspalathus ciliaris", "Aspalathus cinerascens", "Aspalathus cliffortioides", "Aspalathus commutata", "Aspalathus confusa", "Aspalathus cordata", "Aspalathus crassisepala", "Aspalathus crenata", "Aspalathus divaricata", "Aspalathus ericifolia", "Aspalathus flexuosa", "Aspalathus forbesii", "Aspalathus frankenioides", "Aspalathus galeata", "Aspalathus gerrardii", "Aspalathus heterophylla", "Aspalathus hirta", "Aspalathus hispida", "Eleutherodactylus cooki", "Eleutherodactylus karlschmidti", "Ribes sect.", "Ribes cucullatum", "Ribes gayanum", "Ribes incarnatum", "Ribes lehmannii", "Ribes pentlandii", "Ribes trilobum", "Arthothelium ceraceum", "Arthothelium chilense", "Arthothelium chiodectoides", "Ribes sect.", "Ribes magellanicum", "Ribes punctatum", "Ribes valdivianum", "Arthothelium chlorofuscum", "Arthothelium chloroleucum", "Arthothelium cinerascens", "Ribes sect.", "Ribes americanum", "Ribes bracteosum", "Ribes dikuscha", "Ribes fragrans", "Ribes fuscescens", "Ribes hudsonianum", "Ribes janczewskii", "Ribes japonicum", "Ribes nigrum", "Ribes pauciflorum", "Ribes procumbens", "Ribes turbinatum", "Ribes ussuriense", "Ribes viburnifolium", "Ribes sect.", "Ribes bethmontii", "Ribes ciliatum", "Ribes howellii", "Ribes malvaceum", "Ribes neglectum", "Ribes nevadense", "Ribes sanguineum", "Ribes viscosissimum", "Ribes wolfii", "Ribes sect.", "Ribes cereum", "Ribes mescalerium", "Ribes sect.", "Ribes erythrocarpum", "Ribes glandulosum", "Ribes laxiflorum", "Ribes sachalinense", "Ribes sect.", "Ribes altissimum", "Ribes futurum", "Ribes griffithii", "Ribes holosericeum", "Ribes koehneanum", "Ribes latifolium", "Ribes longeracemosum", "Ribes mandshuricum", "Ribes meyeri", "Ribes moupinense", "Ribes multiflorum", "Ribes palczewskii", "Ribes pallidiflorum", "Arthonia radiata var. subparallela", "Arthonia radiata f. betulicola", "Arthonia radiata f. chrysogonimica", "Arthonia radiata f. cinerascens", "Arthonia radiata f. fraxinea", "Arthonia radiata f. radiata", "Arthonia ramosii", "Arthonia ramosula", "Arthonia ramulosa", "Arthonia ravenelii", "Arthonia ravida", "Arthonia recedens", "Arthonia rechingeri", "Arthonia reniformis", "Arthonia reticulifera", "Arthonia rhizophorae", "Arthonia rhododendri", "Arthonia rhoidis", "Arthonia rimeliicola", "Arthonia robinsonii", "Arthonia rubescens", "Arthonia rubiginella", "Arthonia rubra", "Arthonia rubrofuscescens", "Arthonia ruderalis", "Arthonia ruderella", "Arthonia rufella", "Arthonia rufidula", "Arthonia rugosa", "Arthonia rugosula", "Arthonia rugulosa", "Arthonia rupicola", "Podarcis hispanicus", "Tarentola gomerensis", "Arthonia sacromontana", "Tarentola delalandii", "Arthonia sagenidii", "Tarentola boettgeri", "Arthonia salicicola", "Arthonia sandwicensis", "Tarentola angustimentalis", "Arthonia sanguinea", "Arthonia santessoniana", "Arthonia santessonii", "Euphorbia jansenvillensis", "Euphorbia grandicornis", "Euphorbia globosa", "Euphorbia genoudiana", "Euphorbia geroldii", "Arthonia sapineti", "Arthonia sardoa", "Arthonia saxatilis", "Arthonia saxorum", "Arthonia scandinavica", "Arthonia schaereri", "Arthonia schopfiae", "Arthonia schwartziana", "Arthonia scitula", "Arthonia variratae", "Arthonia velata", "Arthonia velleiformis", "Arthonia vernans", "Arthonia vernicis", "Arthonia verrucarioides", "Arthonia verrucosa", "Arthonia verruculosa", "Arthonia versicolor", "Arthonia viburnea", "Arthonia vinosa", "Arthonia vinosa var. vinosa", "Arthonia violacea", "Arthonia viridicans", "Arthonia voglii", "Arthonia vorsoeensis", "Coniarthonia erythrocarpa", "Coniarthonia gregarina", "Coniarthonia haematodea", "Coniarthonia pulcherrima", "Coniarthonia pyrrhula", "Coniarthonia wilmsiana", "Begonia cucullata var. cucullata", "Begonia cucullata var. spatulata", "Begonia cucullata var. arenosicola", "Malus ioensis", "Malus kansuensis", "Malus komarovii", "Malus leiocalyca", "Malus \u00d7 magdeburgensis", "Malus mandshurica", "Malus melliana", "Malus \u00d7 micromalus", "Malus ombrophila", "Malus orientalis", "Malus \u00d7 heterophylla", "Malus prattii", "Malus prunifolia", "Malus pumila", "Malus \u00d7 purpurea", "Malus \u00d7 robusta", "Malus sargentii", "Malus \u00d7 scheideckeri", "Malus sikkimensis", "Malus \u00d7 soulardii", "Malus spectabilis", "Malus \u00d7 sublobata", "Malus sylvestris", "Malus toringo", "Malus toringoides", "Malus transitoria", "Malus trilobata", "Malus tschonoskii", "Malus yunnanensis", "Arthonia wagneriana", "Arthonia willeyi", "Arthonia wrightii", "Arthonia ulcerosula", "Arthonia undenaria", "Arthonia urceolata", "Arthonia vagans", "Arthonia vagans subsp. vagans", "Arthonia vagans var. epimela", "Arthonia vagans var. koerberi", "Arthonia vagans var. lecanorina", "Arthonia vagans var. macularis", "Arthonia vagans var. peltigerina", "Arthonia vagans var. vagans", "Zacompsa festa", "Arthonia tabescens", "Arthonia tabidula", "Arthonia taedescens", "Arthonia taediosa", "Arthonia taediosoides", "Arthonia taediosula", "Arthonia tasmanica", "Arthonia tavaresii", "Arthonia tehleri", "Arthonia tenellula", "Arthonia tenuissima", "Arthonia terrigena", "Arthonia tetramera", "Arthonia tetraspora", "Arthonia thamnocarpa", "Arthonia thelotrematis", "Arthonia thoracifera", "Arthonia thozetiana", "Arthonia tonduziana", "Arthonia tongaensis", "Arthonia torulosa", "Arthonia trabinella", "Arthonia trailii", "Arthonia translucens", "Arthonia treilii", "Arthonia tremelloides", "Arthonia tremellosa", "Arthonia tremulans", "Arthonia triebeliae", "Arthonia trilocularis", "Arthonia tuckermaniana", "Arthonia tumidula", "Arthonia tumidula var. rubra", "Arthonia tumidula var. tumidula", "Arthonia tumidula f. cuspidans", "Arthonia tumidula f. glabra", "Arthonia tumidula f. opegraphoides", "Arthonia tumidula f. tumidula", "Arthonia turbatula", "Arthonia turbidula", "Arthonia turcica", "Arthonia variabilis", "Arthonia varians", "Arthonia varians var. varians", "Arthonia variella", "Arthonia variiformis", "Ribes petraeum", "Ribes rubrum", "Ribes spicatum", "Ribes triste", "Ribes warszewiczii", "Ribes sect.", "Ribes aureum", "Arthothelium cinereoargenteum", "Arthothelium coccineonigrum", "Arthothelium coccineum", "Arthothelium collosporum", "Arthothelium confertum", "Arthothelium consanguineum", "Arthothelium consociatum", "Arthothelium cordiae", "Arthothelium corticatum", "Arthothelium crenulatum", "Arthothelium crozalsianum", "Arthothelium cyrtodes", "Arthothelium dendriticum", "Arthothelium deplanatum", "Arthothelium dictyophorum", "Arthothelium dictyosporum", "Aruncus dioicus var. aethusifolius", "Arthothelium diffluens", "Arthothelium diplotypum", "Arthothelium distendens", "Arthothelium distentum", "Arthothelium dubyanum", "Arthothelium emersum", "Arthothelium endoaurantiacum", "Arthothelium endoxanthum", "Hypancistrus zebra", "Aspalathus hystrix", "Aspalathus inops", "Aspalathus juniperina", "Aspalathus kougaensis", "Aspalathus lactea", "Aspalathus laeta", "Aspalathus laricifolia", "Aspalathus linguiloba", "Aspalathus longifolia", "Aspalathus longipes", "Aspalathus macrantha", "Aspalathus microphylla", "Aspalathus muraltioides", "Aspalathus neglecta", "Aspalathus nigra", "Aspalathus nivea", "Aspalathus opaca", "Aspalathus pachyloba", "Aspalathus quinquefolia", "Aspalathus recurva", "Aspalathus retroflexa", "Aspalathus rubens", "Aspalathus salteri", "Aspalathus sericea", "Aspalathus setacea", "Aspalathus spicata", "Aspalathus spinescens", "Aspalathus spinosa", "Aspalathus spinosissima", "Aspalathus subtingens", "Aspalathus teres", "Aspalathus ternata", "Aspalathus triqueta", "Aspalathus tuberculata", "Aspalathus ulicina", "Aspalathus uniflora", "Astelia alpina", "Astelia nervosa", "Astelia papuana", "Astelia petriei", "Astelia solandri", "Astilbe \u00d7 crispa", "Astilbe grandis", "Astilbe philippinensis", "Astilbe rivularis", "Astilbe rubra", "Astilbe simplicifolia", "Astilbe thunbergii", "Asystasia vogeliana", "Attalea allenii", "Attalea amygdalina", "Attalea attaleoides", "Attalea butyracea", "Attalea cohune", "Attalea colenda", "Attalea compta", "Attalea crassispatha", "Attalea dubia", "Attalea eichleri", "Attalea exigua", "Attalea geraensis", "Attalea humilis", "Attalea insignis", "Attalea maripa", "Attalea microcarpa", "Attalea phalerata", "Attalea princeps", "Attalea sagotii", "Attalea speciosa", "Attalea spectabilis", "Attalea uberrima", "Averrhoa carambola", "Bactris brongniartii", "Bactris caryotifolia", "Bactris coloniata", "Bactris concinna", "Banchinae incertae sedis", "Arthothelium hallii", "Arthothelium halophilum", "Arthothelium homoeophanum", "Arthothelium huegelii", "Arthothelium hymenocarpoides", "Arthothelium hysterellum", "Arthothelium impolitellum", "Arthothelium impolitum", "Arthothelium indicum", "Arthothelium infuscatum", "Arthothelium interveniens", "Arthothelium japonicum", "Arthothelium karnatakense", "Arthothelium keralense", "Arthothelium laceratum", "Arthothelium lacteum", "Arthothelium lahmianum", "Arthothelium laricinum", "Arthothelium leucocarpum", "Arthothelium lichenale", "Arthothelium lignicola", "Arthothelium lirellans", "Arthothelium loandense", "Arthothelium macounii", "Arthothelium macrothecum", "Arthothelium maculatum", "Arthothelium melanopsis", "Arthothelium mesoleucum", "Arthothelium microchylum", "Arthothelium ruanum", "Arthothelium rugosum", "Arthothelium samoanum", "Arthothelium sanguineum", "Atelopus cruciger", "Atelopus boulengeri", "Atelopus peruensis", "Arthothelium sardoum", "Arthothelium saxicola", "Arthothelium scandinavicum", "Arthothelium scriblitellum", "Arthothelium spadiceum", "Arthothelium spectabile", "Arthothelium spectabile var. spectabile", "Arthothelium spectabile var. sublirellinum", "Arthothelium spectabile f. geographicum", "Arthothelium spectabile f. rimosum", "Arthothelium spectabile f. spectabile", "Arthothelium spilomatoides", "Arthothelium stirtianum", "Arthothelium subastroideum", "Arthothelium subbessale", "Arthothelium subcembrinum", "Arthothelium subcyrtodes", "Arthothelium subilicinum", "Aquilegia alpina", "Arthothelium subruanum", "Aquilegia atrata", "Aquilegia atrovinosa", "Aquilegia aurea", "Aquilegia baluchistanica", "Aquilegia barbaricina", "Arthothelium subsimillimum", "Arthothelium subspectabile", "Arthothelium subvenosum", "Arthothelium suffusum", "Arthothelium taediosoides", "Aquilegia bertolonii", "Aquilegia borodinii", "Aquilegia buergeriana", "Aquilegia champagnatii", "Aquilegia chaplinei", "Aquilegia chitralensis", "Aquilegia coerulea", "Aquilegia colchica", "Aquilegia dumeticola", "Anthracocaris scotica", "Eucryptocaris asherorum", "Ophthalmapseudes rhenanus", "Niveotanais brunnensis", "Apseudella typica", "Cryptothecia dispersa", "Cryptothecia dissimilis", "Cryptothecia effusa", "Cryptothecia emergens", "Cryptothecia epiphylla", "Cryptothecia exilis", "Cryptothecia farinulosa", "Cryptothecia faveolata", "Cryptothecia faveomaculata", "Cryptothecia fructigera", "Cryptothecia fungoides", "Cryptothecia genuflexa", "Cryptothecia glauca", "Cryptothecia griseoalba", "Cryptothecia groenhartii", "Cryptothecia inexspectata", "Cryptothecia involuta", "Cryptothecia javanica", "Cryptothecia lactea", "Cryptothecia laevigata", "Ranunculus asiaticus", "Ranunculus auricomus", "Ranunculus bonariensis", "Ranunculus bullatus", "Ranunculus bupleuroides", "Ranunculus californicus", "Ranunculus cantoniensis", "Ranunculus canus", "Ranunculus cardiophyllus", "Ranunculus carpaticus", "Ranunculus chinensis", "Ranunculus circinatus", "Ranunculus coloradensis", "Ranunculus cordiger", "Ranunculus cortusifolius", "Ranunculus cymbalaria", "Ranunculus ficariifolius", "Ranunculus flagelliformis", "Ranunculus glaberrimus", "Oxygraphis glacialis", "Ranunculus gmelinii", "Ranunculus gramineus", "Ranunculus harveyi", "Ranunculus hawaiensis", "Ranunculus hederaceus", "Ranunculus inamoenus", "Ranunculus japonicus", "Ranunculus lanuginosus", "Ranunculus lappaceus", "Coptidium lapponicum", "Ranunculus lyallii", "Ranunculus marginatus", "Ranunculus monroi", "Ranunculus montanus", "Ranunculus muelleri", "Ranunculus multifidus", "Ranunculus muricatus", "Ranunculus ophioglossifolius", "Ranunculus orthorhynchus", "Ranunculus parviflorus", "Ranunculus praemorsus", "Ranunculus pygmaeus", "Ranunculus triternatus", "Ranunculus uncinatus", "Ilex affinis", "Ilex \u00d7 aquipernyi", "Ilex argentina", "Ilex arimensis", "Ilex asprella", "Ilex attenuata", "Ilex \u00d7 beanii", "Ilex brasiliensis", "Ilex brevicuspis", "Ilex cinerea", "Ilex cookii", "Ilex corallina", "Ilex cyrtura", "Ilex delavayi", "Ilex dimorphophylla", "Ilex dipyrena", "Ilex dumosa", "Ilex excelsa", "Leviapseudes tenuimanus", "Leviapseudes shiinoi", "Leviapseudes segonzaci", "Leviapseudes preamazonica", "Leviapseudes pleonudus", "Leviapseudes longispina", "Leviapseudes leptodactylus", "Leviapseudes hanseni", "Leviapseudes gracillimus", "Leviapseudes gracilis", "Leviapseudes galatheae", "Leviapseudes drachi", "Leviapseudes demerarae", "Leviapseudes conspicuus", "Leviapseudes caecus", "Leviapseudes bipartitus", "Leviapseudes aberrans", "Eliomosa sibogae", "Eliomosa galeroni", "Colobocladus thomassini", "Colobocladus desbruyeresi", "Pugiodactylus coralensis", "Pugiodactylus daicovicii", "Pugiodactylus antarcticus", "Pugiodactylus agartthus", "Gigantapseudes maximus", "Gigantapseudes adactylus", "Paraleiopus macrochelis", "Hemikalliapseudes vasileradui", "Hemikalliapseudes makellus", "Hemikalliapseudes hanstroemi", "Bacescapseudes grossidigitus", "Bacescapseudes brevidigitus", "Bacescapseudes adenaicus", "Acutihumerus cavooreni", "Kalliapseudes makrothrix", "Kalliapseudes gobinae", "Kalliapseudes borceai", "Cristapseudes unicus", "Kalliapseudes magnus", "Cristapseudes siamensis", "Cristapseudes omercooperi", "Alokalliapseudes macsweenyi", "Kalliapseudes langi", "Kalliapseudes makrothrixoides", "Mesokalliapseudes viridis", "Mesokalliapseudes thalasispelius", "Mesokalliapseudes soniadawnae", "Mesokalliapseudes crassus", "Mesokalliapseudes brasiliensis", "Mesokalliapseudes bahamenis", "Kalliapseudes tomiokaensis", "Kalliapseudes struthi", "Kalliapseudes senegalensis", "Eremothecella ugandensis", "Eremothecella variratae", "Paradoxomyces nymanii", "Sagenidiopsis aspiciliae", "Sagenidiopsis merrotsyi", "Sagenidiopsis undulatum", "Apseudes crozetensis", "Apseudes spectabilis", "Apseudes nhatrangensis", "Apseudes nagae", "Apseudes fecundus", "Sporostigma melaspora", "Apseudes lagenirostris", "Apseudes holthuisi", "Apseudes heroae", "Apseudes grossimanus", "Apseudes graziellae", "Apseudes galapagensis", "Apseudes cooperi", "Apseudes chilkensis", "Apseudes cedroensis", "Apseudes bucospinosus", "Apseudes browni", "Apseudes bermudeus", "Apseudes babelmandebensis", "Apseudes atuini", "Apseudes armatus", "Apseudes albidus", "Apseudes agulhensis", "Apseudes africanus", "Apseudes abyssalis", "Ilex fargesii", "Ilex ficoidea", "Ilex forrestii", "Ilex fragilis", "Ilex geniculata", "Ilex georgei", "Ilex goshiensis", "Ilex graciliflora", "Ilex guayusa", "Ilex guianensis", "Ilex hanceana", "Ilex hayataiana", "Ilex hookeri", "Ilex kingiana", "Ilex integerrima", "Ilex integra", "Ilex intermedia", "Ilex intricata", "Ilex kiusiana", "Ilex koehneana", "Ilex krugiana", "Ilex latifolia", "Ilex leucoclada", "Ilex liukiuensis", "Ilex macfadyenii", "Ilex macrocarpa", "Ilex makinoi", "Ilex maximowicziana", "Ilex memecylifolia", "Ilex \u00d7 meserveae", "Ilex micrococca", "Ilex mitis", "Ilex mucronata", "Ilex nipponica", "Ilex nothofagacifolia", "Ilex pedunculosa", "Cryptothecia albata", "Cryptothecia albomaculata", "Cryptothecia aleurella", "Cryptothecia aleurina", "Cryptothecia aleurocarpa", "Cryptothecia aleurodes", "Cryptothecia anamalaiensis", "Cryptothecia assimilis", "Cryptothecia atropunctata", "Cryptothecia awasthii", "Cryptothecia caesioalba", "Cryptothecia candida", "Cryptothecia cretacea", "Cryptothecia culbersoniae", "Arthothelium microsporum", "Arthothelium miltinum", "Arthothelium mirabilis", "Arthothelium monosporum", "Arthothelium montagnei", "Arthothelium moreliiense", "Pentanymphon antarcticum", "Arthothelium nebulosum", "Arthothelium nemorale", "Arthothelium nephelinum", "Arthothelium nigrescens", "Arthothelium nigrodiscum", "Arthothelium nilamburense", "Arthothelium nobile", "Arthothelium norvegicum", "Arthothelium nucis", "Arthothelium oasis", "Arthothelium obtusulum", "Arthothelium obvelatum", "Arthothelium onegense", "Arthothelium orbilliferum", "Arthothelium pacificum", "Arthothelium pellucidum", "Arthothelium perpillicarpum", "Arthothelium pertenerum", "Arthothelium phaeosporum", "Arthothelium phlyctiforme", "Arthothelium phyllogenum", "Arthothelium picilum", "Arthothelium plicatum", "Arthothelium polycarpum", "Arthothelium pseudolirellinum", "Arthothelium psyllodes", "Arthothelium psyllodes var. psyllodes", "Arthothelium pulverulentum", "Arthothelium pycnocarpoides", "Rana aurora", "Lithobates berlandieri", "Rana cascadae", "Rana boylii", "Lithobates capito", "Rana graeca", "Lithobates heckscheri", "Lithobates fisheri", "Lithobates yavapaiensis", "Lithobates virgatipes", "Rana pretiosa", "Bactris major", "Bactris maraja", "Arthothelium ramosum", "Arthothelium rechingeri", "Arthothelium rimulosum", "Bactris plumeriana", "Bactris setosa", "Kalliapseudes primitivus", "Kalliapseudes obtusifrons", "Kalliapseudes multiarticulus", "Kalliapseudes mauritanicus", "Transkalliapseudes spinulata", "Psammokalliapseudes granulosus", "Monokalliapseudes schubarti", "Monokalliapseudes gianucai", "Psammokalliapseudes mirabilis", "Tanapseudes sinensis", "Tanapseudes ormuzana", "Tanapseudes gutui", "Encephalographa anthracothecii", "Encephalographa cerebrinella", "Encephalographa elisae", "Encephalographa otagensis", "Encephalographa rubiformis", "Encephalographa stizenbergeri", "Melaspilea acuta", "Melaspilea amota", "Melaspilea amphorodes", "Melaspilea angulosa", "Melaspilea arenacea", "Melaspilea arthonioides", "Melaspilea associata", "Melaspilea atacamensis", "Melaspilea atroides", "Melaspilea bagliettoana", "Melaspilea betulina", "Melaspilea bifurca", "Melaspilea brachycarpa", "Melaspilea brasiliensis", "Melaspilea cagliettoana", "Labrocarpon canariense", "Melaspilea chilena", "Melaspilea chionographa", "Melaspilea cicatrisans", "Melaspilea cinerascens", "Melaspilea cinereoatra", "Melaspilea comma", "Melaspilea commatodes", "Melaspilea concrucians", "Melaspilea conglomerans", "Melaspilea congregans", "Melaspilea congregantula", "Melaspilea constrictella", "Melaspilea coquimbensis", "Melaspilea cryptothallina", "Melaspilea cupularis", "Brassica cretica", "Brassica deflexa", "Brassica deserti", "Brassica desnottesii", "Brassica dimorpha", "Brassica drepanensis", "Brassica elongata", "Brassica fruticulosa", "Brassica gravinae", "Brassica hilarionis", "Apseudopsis uncidigitatus", "Apseudopsis tridens", "Apseudopsis robustus", "Apseudopsis ostroumovi", "Apseudopsis olimpiae", "Apseudopsis minimus", "Apseudopsis mediterraneus", "Apseudopsis latreillii", "Apseudopsis isochelatus", "Apseudopsis erythraeicus", "Apseudopsis elisae", "Apseudopsis caribbeanus", "Apseudopsis bruneinigma", "Apseudopsis bacescui", "Apseudopsis arguinensis", "Apseudopsis apocryphus", "Apseudopsis annabensis", "Apseudopsis acutifrons", "Apseudopsis hastifrons", "Bunakenia kadazan", "Bunakenia sudvestatlantica", "Bunakenia aspalieus", "Bunakenia anomala", "Bunakenia tanzaniana", "Bunakenia salzella", "Bunakenia indonesiana", "Siegius rostridentatus", "Siegius djiboutiensis", "Siegius gallardoi", "Siegius crenulatus", "Atlantapseudes nigrichela", "Atlantapseudes lindae", "Atlantapseudes diversus", "Hoplomachus triangulatus", "Hoplomachus propinquus", "Hainanius imaculatus", "Hainanius nigrifrons", "Gutuapseudes manda", "Gutuapseudes denticulatus", "Gollumudes tropicalis", "Gollumudes mortoni", "Gollumudes littoralis", "Gollumudes larakia", "Gollumudes botosaneanui", "Glabroapseudes larseni", "Falsapseudes bowmani", "Fageapseudes retusifrons", "Fageapseudes bicornis", "Dactyloprion anakanthes", "Typhlapseudes nereus", "Tuberapseudes echinatus", "Spinosapseudes setosus", "Pectinapseudes sicilianus", "Rhododendron megeratum", "Rhododendron micranthum", "Rhododendron minus", "Rhododendron mollicomum", "Rhododendron moupinense", "Rhododendron mucronulatum", "Euphorbia myrsinites", "Euphorbia austriaca", "Euphorbia dulcis", "Euphorbia epithymoides", "Euphorbia falcata", "Euphorbia collina", "Euphorbia cotinifolia", "Euphorbia mauritanica", "Euphorbia helioscopia", "Euphorbia serrata", "Rhododendron columbianum", "Rhododendron nivale", "Rhododendron nuttallii", "Rhododendron oreotrephes", "Rhododendron pachypodum", "Rhododendron pemakoense", "Rhododendron polycladum", "Rhododendron \u00d7 praecox", "Rhododendron pruniflorum", "Rhododendron pubescens", "Rhododendron pumilum", "Rhododendron racemosum", "Rhododendron rigidum", "Rhododendron rubiginosum", "Rhododendron rupicola", "Rhododendron russatum", "Rhododendron saluenense", "Rhododendron searsiae", "Aquilegia ecalcarata", "Aquilegia einseleana", "Aquilegia fragrans", "Aquilegia glandulosa", "Aquilegia gracillima", "Aquilegia grata", "Aquilegia hinckleyana", "Arthothelium thoraciferum", "Arthothelium tigrense", "Aquilegia incurvata", "Arthothelium tremellosum", "Aquilegia karelinii", "Aquilegia kitaibelii", "Arthothelium tumidulum", "Aquilegia kurramensis", "Aquilegia lactiflora", "Arthothelium variabile", "Aquilegia litardierei", "Arthothelium velatius", "Aquilegia maimanica", "Aquilegia microcentra", "Arthothelium vermiferum", "Aquilegia moorcroftiana", "Arthothelium verruculosum", "Arthothelium violaceoatrum", "Arthothelium violascens", "Aquilegia nigricans", "Aquilegia nivalis", "Aquilegia nugorensis", "Aquilegia nuragica", "Arthothelium virgineum", "Aquilegia olympica", "Aquilegia ottonis", "Aquilegia oxysepala", "Aquilegia pancicii", "Aquilegia parviflora", "Arthothelium xanthocarpum", "Aquilegia pubiflora", "Aquilegia pyrenaica", "Aquilegia rockii", "Arthothelium xylographoides", "Aquilegia shockleyi", "Aquilegia sibirica", "Aquilegia skinneri", "Aquilegia transsilvanica", "Aquilegia viridiflora", "Arthothelium zahlbruckneri", "Aquilegia viscosa", "Aquilegia yabeana", "Ranunculus abortivus", "Ranunculus aconitifolius", "Ranunculus acriformis", "Ranunculus adoneus", "Ranunculus aestivalis", "Ranunculus alismifolius", "Ranunculus allegheniensis", "Ranunculus allenii", "Ranunculus ambigens", "Ranunculus amphitrichus", "Beckwithia andersonii", "Ranunculus anemoneus", "Ranunculus arizonicus", "Melaspilea dalmatica", "Melaspilea deformis", "Melaspilea demissa", "Melaspilea deviella", "Melaspilea diaphorella", "Melaspilea dichaenella", "Melaspilea diffracta", "Melaspilea dimorpha", "Melaspilea diplasiospora", "Melaspilea elisae", "Melaspilea elutericola", "Melaspilea emergens", "Melaspilea epigena", "Melaspilea epigraphella", "Melaspilea epileuca", "Melaspilea esenbeckiana", "Melaspilea farinacea", "Melaspilea fugax", "Melaspilea furtiva", "Melaspilea fuscolimitata", "Melaspilea gallowayi", "Melaspilea gaubae", "Melaspilea gemella", "Melaspilea gibberulosa", "Melaspilea graeca", "Apseudomorpha vestafricana", "Apseudomorpha veleronis", "Apseudomorpha timaruvia", "Apseudomorpha ortizi", "Apseudomorpha oahuensis", "Apseudomorpha magdalenensis", "Apseudomorpha hirsuta", "Apseudomorpha glebosa", "Apseudomorpha fontainei", "Apseudomorpha avicularia", "Apseudomorpha albida", "Calozodion wadei", "Calozodion suluk", "Calozodion singularis", "Calozodion simile", "Calozodion multispinosum", "Calozodion heardi", "Calozodion dollfusi", "Calozodion codreanui", "Calozodion bacescui", "Pseudoapseudomorpha wagait", "Pseudoapseudomorpha tanzaniana", "Pseudoapseudomorpha ornata", "Pseudoapseudomorpha madagascariensis", "Plectrocopus spicatus", "Metapseudes aucklandiae", "Julmarichardia thomassini", "Julmarichardia deltoides", "Julmarichardia bajau", "Julmarichardia alinati", "Cyclopoapseudes indecorus", "Cyclopoapseudes estafricanus", "Cyclopoapseudes diceneon", "Cryptothecia lunulata", "Cryptothecia macrocarpa", "Cryptothecia macrospora", "Cryptothecia maculata", "Cryptothecia malmei", "Cryptothecia megalocarpa", "Cryptothecia monospora", "Cryptothecia nigeriensis", "Cryptothecia nilghiriensis", "Cryptothecia nivea", "Cryptothecia obtecta", "Cryptothecia obvallata", "Cryptothecia pertenuis", "Cryptothecia philippina", "Cryptothecia phlyctidiformis", "Cryptothecia polymorpha", "Cryptothecia porifera", "Cryptothecia porosa", "Cryptothecia punctulata", "Cryptothecia rubrocinctoides", "Cryptothecia scriblitella", "Cryptothecia scripta", "Cryptothecia stirtonii", "Cryptothecia striata", "Cryptothecia subnidulans", "Cryptothecia subtecta", "Cryptothecia tenuis", "Cryptothecia thoroldii", "Cryptothecia verruciminuta", "Cryptothecia virginea", "Eremothecella calamicola", "Eremothecella cingulata", "Eremothecella cyaneoides", "Eremothecella macrocephala", "Eremothecella macrosperma", "Eremothecella palmulacea", "Eremothecella perae", "Melaspilea microspilota", "Hodometrica prolixa", "Hodometrica australis", "Melaspilea mycetoides", "Macrolabrum trifidus", "Macrolabrum trichopteroides", "Macrolabrum rugosus", "Macrolabrum impedimenta", "Macrolabrum boeri", "Macrolabrum aenigmaticus", "Melaspilea myriocarpa", "Melaspilea myriostigma", "Pagurapseudes varians", "Pagurapseudes tricoliae", "Pagurapseudes spinipes", "Pagurapseudes setulosa", "Pagurapseudes razvani", "Pagurapseudes pangtiruthuli", "Pagurapseudes iranica", "Pagurapseudes dactylifrons", "Pagurapseudes abrucei", "Pagurapseudes dentatus", "Pagurapseudes longicarpus", "Pagurotanais largoensis", "Pagurotanais laevis", "Pagurotanais guitarti", "Pagurotanais bouryi", "Pagurapseudopsis thailandica", "Pagurapseudopsis iranica", "Pagurapseudopsis gymnophobia", "Pagurapseudopsis gracilipes", "Pagurapseudopsis ceylonica", "Melaspilea ochrothalamia", "Melaspilea octomera", "Melaspilea olbiensis", "Melaspilea oleae", "Melaspilea opegraphoides", "Melaspilea orbiculina", "Melaspilea oulocheila", "Melaspilea oxneri", "Melaspilea perminuta", "Melaspilea phaeoplaca", "Melaspilea platygraphella", "Melaspilea po\u00ebtarum", "Melaspilea polymorpha", "Melaspilea pongomiae", "Melaspilea populina", "Melaspilea proximella f. fugax", "Melaspilea proximella f. proximella", "Melaspilea rhododendri", "Melaspilea rubiformis", "Melaspilea santiagensis", "Melaspilea saxicola", "Melaspilea stellans", "Melaspilea stellaris", "Melaspilea stenocarpa", "Melaspilea stigmatea", "Melaspilea stigmodes", "Melaspilea stigmoides", "Chondropodus rectispinus", "Chondropodus curvispinus", "Begonia plumieri var. barahonensis", "Begonia plumieri var. plumieri", "Brassica incana", "Brassica insularis", "Brassica jordanoffii", "Brassica macrocarpa", "Brassica maurorum", "Brassica montana", "Brassica oxyrrhina", "Brassica procumbens", "Brassica repanda", "Brassica rupestris", "Brassica ruvo", "Brassica souliei", "Brassica spinescens", "Brassica tournefortii", "Brassica villosa", "Msangia larvoides", "Msangia bacescui", "Cryptapseudes sankarankuttyi", "Cryptapseudes romanae", "Cryptapseudes acutifrons", "Curtipleon heterochelatum", "Curtipleon carinatum", "Curtipleon carinatoides", "Melaspilea granitophila", "Melaspilea graphidis", "Melaspilea heterocarpa", "Melaspilea hyparctica", "Melaspilea hypoleuca", "Melaspilea hysteriospora", "Melaspilea inarensis", "Bactrospora patellarioides", "Bactrospora patellarioides var. convexa", "Bactrospora patellarioides var. patellarioides", "Bactrospora pleistophragmia", "Bactrospora pleistophragmoides", "Bactrospora spiralis", "Ctenapseudes extravaganza", "Brachylicoa muelleri", "Brachylicoa indonesiana", "Biropalostoma tenuicorporeus", "Biropalostoma spiniferum", "Biropalostoma goofi", "Ascumnella caymenensis", "Discapseudes surinamensis", "Discapseudes mexicanus", "Discapseudes mackiei", "Discapseudes holthuisi", "Discapseudes colombiensis", "Discapseudes belizensis", "Halmyrapseudes thaumastocheles", "Halmyrapseudes srilankaensis", "Halmyrapseudes spaansi", "Halmyrapseudes killaiyensis", "Halmyrapseudes digitalis", "Halmyrapseudes cubanensis", "Halmyrapseudes bahamensis", "Leptolicoa thokozele", "Longiflagrum caeruleus", "Longiflagrum estuarius", "Longiflagrum koyonense", "Pakistanapseudes toloensis", "Pakistanapseudes shiinoi", "Pakistanapseudes ridculi", "Pakistanapseudes leptochelatus", "Pakistanapseudes hodgsoni", "Pakistanapseudes brasiliensis", "Pakistanapseudes australianus", "Chiodecton acarosporoides", "Pseudohalmyrapseudes mussauensis", "Pseudohalmyrapseudes aquadulcis", "Pseudoapseudes pernix", "Podictenius tomiliffei", "Podictenius estafricanus", "Podictenius espinosus", "Platylicoa setosa", "Platylicoa pernix", "Parapseudes trispinosus", "Parapseudes latifrons", "Parapseudes inermis", "Parapseudes francispori", "Trichapseudes tridens", "Thaicungella lideeiensis", "Saltipedis tetracanthus", "Saltipedis robustispinosus", "Saltipedis paulensis", "Saltipedis navassensis", "Magniaculeus incognitus", "Magniaculeus forex", "Saltipedis bacescui", "Collettea elongata", "Collettea humbolti", "Collettea cylindratoides", "Collettea cylindrata", "Collettea arnaudi", "Collettea antarctica", "Collettea alicjae", "Cristatotanais longicheles", "Filitanais vulgaris", "Filitanais rebainsi", "Filitanais moskalevi", "Filitanais filiformis", "Filitanais curticaudus", "Haplocope oculatus", "Haplocope angusta", "Isopodidus janum", "Leptognathiella vermiformis", "Leptognathiella subaequalis", "Leptognathiella spinicauda", "Leptognathiella occidentis", "Leptognathiella fragilis", "Leptognathiella clivicola", "Leptognathiella abyssi", "Leptognathiopsis attenuata", "Libanius pulcher", "Libanius monacanthus", "Libanius longicephalus", "Macrinella clavipes", "Magotanais pruinosus", "Mirandotanais vorax", "Nematotanais mirabilis", "Portaratrum fascinatus", "Portaratrum afer", "Pseudoleptognathia setosa", "Subulella scotti", "Subulella elegans", "Tumidochelia randyi", "Neotanais hamatus", "Neotanais hadalis", "Neotanais giganteus", "Neotanais gardineri", "Neotanais dinotomer", "Neotanais curvimanus", "Neotanais barfoedi", "Neotanais calcarulus", "Neotanais armiger", "Neotanais bacescui", "Neotanais antarcticus", "Neotanais americanus", "Neotanais affinis", "Neotanais zenkevitchi", "Neotanais wolffi", "Neotanais vemae", "Neotanais tuberculatus", "Neotanais tricarinatus", "Neotanais triangulocephalus", "Neotanais sandersi", "Neotanais robustus", "Neotanais pfaffioides", "Neotanais pfaffi", "Neotanais persephone", "Neotanais minimus", "Neotanais peculiaris", "Neotanais noelitaiti", "Neotanais micromopher", "Neotanais mesostenoceps", "Venusticrus insolitus", "Venusticrus glandurus", "Agathotanais splendidus", "Agathotanais spinipoda", "Agathotanais manganicus", "Agathotanais ingolfi", "Agathotanais hanseni", "Agathotanais ghilarovi", "Agathotanais brevis", "Agathotanais ahyongi", "Metagathotanais loerzae", "Metagathotanais insulcatus", "Paragathotanais typicus", "Paragathotanais spinosus", "Paragathotanais robustus", "Paragathotanais nanus", "Paragathotanais medius", "Paragathotanais macrocephalus", "Paragathotanais insolitus", "Paragathotanais gracilis", "Paranarthrura zevinae", "Paranarthrura vitjazi", "Paranarthrura undulata", "Paranarthrura tridens", "Paranarthrura tenuimanus", "Paranarthrura similis", "Paranarthrura meridionalis", "Paranarthrura lusitanus", "Paranarthrura kurchatovi", "Paranarthrura intermedia", "Paranarthrura insignis", "Paranarthrura fortispina", "Paranarthrura crassa", "Paranarthrura borealis", "Paranarthrura bispinosa", "Paranarthrura bacescui", "Paranarthrura angolensis", "Paranarthrura subtilis", "Paranarthrurella caudata", "Thorkelius latiremis", "Thorkelius glacialis", "Synanarthrura celtica", "Siphonolabrum mirabile", "Siphonolabrum langi", "Siphonolabrum fastigatum", "Siphonolabrum californiensis", "Ithyomus conopygus", "Anisopechys crinitus", "Anarthruropsis similis", "Anarthruropsis longus", "Anarthruropsis langi", "Anarthruropsis galatheae", "Anarthruropsis edentula", "Anarthrurella clairae", "Anarthrura simplex", "Anarthrura edentatus", "Cetiopyge mira", "Caudalonga quatropleon", "Collettea wilsoni", "Collettea vermiformis", "Collettea rotundicauda", "Collettea subtilis", "Collettea pegmata", "Collettea minima", "Collettea longipleona", "Collettea longipedia", "Collettea lilliputa", "Collettea larviformis", "Mesotanais vadicola", "Mesotanais styxis", "Mesotanais longisetosus", "Mesotanais elongatus", "Mesotanais dubius", "Heterotanoides ornatus", "Heterotanoides meridionalis", "Heterotanoides cognatus", "Heterotanoides capensis", "Heterotanais oerstedii", "Heterotanais groenlandicus", "Melaspilea insitiva", "Melaspilea interalbicans", "Melaspilea interjecta", "Melaspilea karschioides", "Melaspilea lecidiopsoidea", "Melaspilea leciographoides", "Melaspilea lentiginosa", "Melaspilea lentiginosula", "Melaspilea leucina", "Melaspilea leucinoides", "Melaspilea leucoschisma", "Melaspilea lobulata", "Melaspilea maculans", "Melaspilea maculosa", "Melaspilea mangrovei", "Melaspilea mauca", "Synapseudes acroporae", "Synapseudes aflagellatus", "Synapseudes australianus", "Synapseudes comorinensis", "Synapseudes cytoseirae", "Synapseudes dispina", "Melaspilea megalyna", "Synapseudes hancocki", "Synapseudes hansmuelleri", "Synapseudes heterocheles", "Synapseudes idios", "Synapseudes intumescens", "Synapseudes makkaveevae", "Synapseudes mediterraneus", "Synapseudes menziesi", "Synapseudes minimus", "Synapseudes minutus", "Synapseudes rectifrons", "Synapseudes rudis", "Synapseudes setoensis", "Synapseudes shiinoi", "Synapseudes tomescui", "Synapseudes violaceus", "Melaspilea mesophlebia", "Numbakulla pygmaeus", "Melaspilea microcarpa", "Melaspilea microphlebia", "Similipedia eminescui", "Parapagurapseudopsis carinata", "Indoapseudes secundus", "Indoapseudes macabre", "Indoapseudes hirsutus", "Indoapseudes brycesoni", "Saltipedis achondroplasia", "Quercus coccifera", "Pseudosphyrapus vladimiri", "Pseudosphyrapus serratus", "Pseudosphyrapus gutui", "Pseudosphyrapus centobi", "Pseudosphyrapus anomalus", "Kudinopasternakia siegi", "Kudinopasternakia larisae", "Kudinopasternakia dispar", "Kudinopasternakia bispinosa", "Francapseudes uniarticulatus", "Francapseudes debilis", "Pseudosphyrapus stebbingi", "Sphyrapus malleolus", "Sphyrapoides tuberculifrons", "Sphyrapoides bicornis", "Ansphyrapus tudes", "Tanzanapseudes elegans", "Tanzanapseudes langi", "Tanzanapseudes longiseta", "Tanzanapseudes polynesiensis", "Whiteleggia stephensoni", "Whiteleggia multicarinata", "Whiteleggia incerta", "Pseudowhiteleggia typica", "Murutudes orangasli", "Cretitanais giganteus", "Opsipedon gracilis", "Jurapseudes acutirostris", "Jurapseudes friedericianus", "Carlclausus emersoni", "Palaeotanais quenstedti", "Herpotanais kirkegaardi", "Herpotanais birsteini", "Carololangia plumata", "Neotanais magnificus", "Neotanais laevispinosus", "Neotanais kurchatovi", "Neotanais krappschickelae", "Neotanais insignis", "Neotanais hessleri", "Neotanais hastiger", "Chiodecton cubanum", "Chiodecton cubanum var. corallinum", "Chiodecton cubanum var. cubanum", "Chiodecton cyclocarpum", "Chiodecton deminutum", "Chiodecton dendrizans", "Chiodecton depressulum", "Chiodecton diffusum", "Chiodecton dilatatum", "Chiodecton diplosporum", "Chiodecton effusum", "Chiodecton elegantulum", "Chiodecton elongatum", "Chiodecton emergens", "Chiodecton encephalodes", "Chiodecton endococcineum", "Chiodecton endorhodum", "Chiodecton epileucum", "Chiodecton epiphyllum", "Chiodecton extenuatum", "Chiodecton farinaceum", "Chiodecton farinaceum var. farinaceum", "Chiodecton farinaceum var. sulphurescens", "Chiodecton feei", "Chiodecton flavicans", "Chiodecton flavidocinereum", "Chiodecton flavovirens", "Chiodecton flotowii", "Chiodecton follmannii", "Chiodecton fragosii", "Chiodecton fraterculans", "Chiodecton frustulosum", "Chiodecton fuscocinctum", "Grallatotanais antipai", "Konarus cheirus", "Leptognathia longa", "Leptognathia linearis", "Leptognathia gyreae", "Leptognathia greveae", "Leptognathia glandiceps", "Leptognathia elegans", "Leptognathia distincta", "Tumidochelia dentifera", "Leptognathia crassa", "Leptognathia breviremoides", "Leptognathia breviremis", "Leptognathia birsteini", "Leptognathia arctophylax", "Leptognathia angustocephala", "Leptognathia acanthifera", "Leptognathia abyssorum", "Leptognathia indivisa", "Leptognathia lineata", "Leptognathia langi", "Leptognathia longimanus", "Leptognathia zezinae", "Leptognathia zenkevitchi", "Chiodecton affine", "Chiodecton africanum", "Chiodecton albineum", "Chiodecton album", "Chiodecton amyloplacoides", "Chiodecton amyloplacum", "Chiodecton antillarum", "Chiodecton argillaceum", "Chiodecton arthonioides", "Chiodecton aurantiacoflavum", "Chiodecton biclavatum", "Chiodecton bracei", "Chiodecton brunnthaleri", "Chiodecton buitenzorgense", "Chiodecton butryaceum", "Chiodecton californicum", "Chiodecton calophylli", "Chiodecton candidum", "Chiodecton chilense", "Chiodecton cincta", "Chiodecton cineritium", "Chiodecton cineritium var. cineritium", "Chiodecton cineritium var. corallinum", "Chiodecton cineritium var. denudatum", "Chiodecton circumcissum", "Chiodecton colensoi", "Chiodecton compunctulum", "Chiodecton conchyliatum", "Melaspilea striolata", "Melaspilea subdeformis", "Melaspilea subeffigurans", "Melaspilea subolivacea", "Melaspilea subrimalis", "Melaspilea sudzuhensis", "Melaspilea symplecta", "Melaspilea tenellula", "Melaspilea tribuloides", "Melaspilea triseptata", "Melaspilea tyroliensis", "Spirographa vermiformis", "Melaspilea viridicans", "Melaspilea xylographoides", "Melaspilea zenkeriana", "Melaspilea zerovii", "Ancistrosporella australiensis", "Ancistrosporella curvata", "Ancistrosporella psoromica", "Bactrospora acicularis", "Bactrospora arthonioides", "Bactrospora brevispora", "Bactrospora brodoi", "Bactrospora carneopallida", "Bactrospora corticola", "Bactrospora denticulata", "Bactrospora dryina", "Bactrospora granularis", "Bactrospora homalotropa", "Bactrospora incana", "Bactrospora integrispora", "Bactrospora intermedia", "Bactrospora jaceae", "Bactrospora jenikii", "Bactrospora lamprospora", "Bactrospora leptoloma", "Bactrospora macrospora", "Bactrospora metabola", "Bactrospora micareoides", "Bactrospora myriadea", "Bactrospora namibiensis", "Bactrospora nematospora", "Bactrospora paludicola", "Chiodecton confundens", "Chiodecton confusum", "Chiodecton congestulum", "Chiodecton cretaceum", "Chiodecton cruentatum", "Hargeria rapax", "Intermedichelia gracilis", "Bathyleptochelia oculata", "Leptochelia vemesi", "Leptochelia timida", "Leptochelia tenuicula", "Leptochelia tarda", "Leptochelia nobbi", "Leptochelia mirabilis", "Leptochelia minuta", "Leptochelia longimana", "Leptochelia lusei", "Leptochelia longichelipes", "Leptochelia itoi", "Leptochelia ignota", "Leptochelia forresti", "Leptochelia erythraea", "Leptochelia elongata", "Leptochelia dubia", "Leptochelia daggi", "Leptochelia brasiliensis", "Leptochelia barnardi", "Pseudoleptochelia provincialis", "Pseudoleptochelia mergellinae", "Pseudoleptochelia mercantilis", "Pseudoleptochelia magna", "Pseudoleptochelia longidactylus", "Pseudoleptochelia inermis", "Pseudoleptochelia filum", "Pseudoleptochelia fairgo", "Pseudoleptochelia crassicornis", "Pseudoleptochelia anorexia", "Pseudoleptochelia antarctica", "Pseudoleptochelia anomala", "Pseudonototanais werthi", "Pseudonototanais ebriosus", "Pseudonototanais bransfieldensis", "Apseudes vitjazi", "Apseudes vicinus", "Apseudes unicus", "Apseudes tropicus", "Apseudes tenuis", "Apseudes tenuipes", "Apseudes tenuimanus", "Apseudes spinosus", "Apseudes talpa", "Apseudes siegi", "Apseudes seurati", "Apseudes setiferus", "Apseudes rotundifrons", "Apseudes portnovensis", "Apseudes rikiteanus", "Apseudes paragracilis", "Apseudes orientalis", "Apseudes orghidani", "Apseudes misarai", "Apseudes minutus", "Apseudes meridionalis", "Apseudes levis", "Apseudes latus", "Carnegiea gigantea", "Ilex perado", "Ilex pernyi", "Ilex pubescens", "Ilex rockii", "Ilex rotunda", "Ilex rubra", "Ilex rugosa", "Ilex scopulorum", "Ilex serrata", "Ilex sideroxyloides", "Ilex sikkimensis", "Ilex obcordata", "Ilex sugerokii", "Ilex szechuanensis", "Ilex theezans", "Ilex tutcheri", "Ilex venulosa", "Ilex viridis", "Ilex wandoensis", "Ilex warburgii", "Ilex wightiana", "Ilex wilsonii", "Ilex yunnanensis", "Ilex anomala", "Ilex cuthbertii", "Brassica rapa", "Brassica juncea", "Brassica napus", "Brassica nigra", "Brassica aucheri", "Brassica balearica", "Brassica barrelieri", "Brassica bourgeaui", "Brassica cadmea", "Brassica carinata", "Leptognathia voeringi", "Leptognathia vitjazi", "Leptognathia vinogradovae", "Tumidochelia uncinata", "Leptognathia tuberculata", "Leptognathia tenella", "Leptognathia rotundicauda", "Leptognathia profunda", "Leptognathia parelegans", "Leptognathia paramanca", "Leptognathia manca", "Leptognathia mironovi", "Leptognathia parabranchiata", "Leptognathia microcephala", "Leptognathia ventralis", "Leptognathia luykeni", "Chiodecton galactinum", "Chiodecton gelatinosum", "Chiodecton glaucoleucum", "Chiodecton glaucum", "Chiodecton granulatum", "Chiodecton heterogenum", "Chiodecton heterotropoides", "Chiodecton heterotropum", "Chiodecton hypochnoides", "Chiodecton hypochryseum", "Chiodecton inconspicuum", "Chiodecton intercinctum", "Chiodecton intermissum", "Chiodecton irregulare", "Chiodecton italicum", "Chiodecton italicum f. italicum", "Chiodecton italicum f. rosea", "Chiodecton japonicum", "Chiodecton klementii", "Chiodecton laceratum", "Chiodecton lacteum", "Chiodecton lactinum", "Chiodecton laevigatum", "Chiodecton laevigatum var. laevigatum", "Chiodecton laevigatum var. spermogoniferum", "Chiodecton leprobolum", "Chiodecton leptosporum", "Chiodecton leucinum", "Chiodecton leucolytum", "Chiodecton leucostictum", "Chiodecton macquariense", "Chiodecton maculatum", "Chiodecton malmei", "Chiodecton mattogrossense", "Chiodecton meratii", "Chiodecton microdiscum", "Chiodecton micrographum", "Chiodecton minutulum", "Nototanais dimorphus", "Nototanais antarcticus", "Meromonakantha macrocephala", "Meromonakantha gilrowei", "Metatanais cylindricus", "Bathytanaissus spinulosus", "Nesotanais rugula", "Nesotanais maclaughlinae", "Nesotanais lacustris", "Protanaissus makrotrichos", "Protanaissus longidactylus", "Protanaissus alvesi", "Protanaissus floridensis", "Paratyphlotanais typicus", "Paratyphlotanais richardi", "Paratyphlotanais pectinatus", "Paratyphlotanais microcheles", "Paratyphlotanais japonicus", "Paratyphlotanais gracilipes", "Paratyphlotanais armatus", "Obesutanais sigridae", "Teleotanais gerlachi", "Tanaissus lilljeborgi", "Tanaissus psammophilus", "Tanaissus danica", "Pseudobathytanais shtokmani", "Bathytanais juergeni", "Pseudobathytanais gibberosus", "Bathytanais greebo", "Bathytanais culterformis", "Bathytanais bipennifer", "Bathytanais bathybrotes", "Bathytanais arenamans", "Bathytanais fragilis", "Paratanais vetinari", "Paratanais tenuis", "Paratanais spinanotandus", "Paratanais rigidus", "Paratanais oculatus", "Paratanais perturbatius", "Paratanais monodi", "Paratanais malignus", "Paratanais maleficus", "Paratanais linearis", "Paratanais limicola", "Paratanais intermedius", "Paratanais impressus", "Paratanais hessleri", "Paratanais gaspodei", "Paratanais euelpis", "Paratanais elongatus", "Paratanais denticulatus", "Paratanais atlanticus", "Paratanais clarkae", "Xeplenois anemos", "Paraiungentitanais longidigitatus", "Latitanais beklemishevi", "Iungentitanais primitivus", "Curtichelia expressa", "Cryptocopoides arcticus", "Cryptocope abbreviata", "Pseudotanais longipes", "Pseudotanais lilljeborgi", "Pseudotanais kurchatovi", "Pseudotanais jonesi", "Pseudotanais guillei", "Pseudotanais gerlachi", "Pseudotanais gaussi", "Pseudotanais forcipatus", "Pseudotanais falcicula", "Pseudotanais denticulatus", "Pseudotanais corollatus", "Pseudotanais colonus", "Pseudotanais californiensis", "Pseudotanais borceai", "Pseudotanais baresnauti", "Pseudotanais affinis", "Pseudotanais abyssi", "Mystriocentrus serratus", "Parapseudotanais abyssalis", "Pseudotanais vulsella", "Pseudotanais vitjazi", "Pseudotanais unicus", "Pseudotanais spicatus", "Pseudotanais similis", "Pseudotanais spatula", "Pseudotanais siegi", "Pseudotanais scrappi", "Pseudotanais scalpellum", "Pseudotanais oculatus", "Pseudotanais mortenseni", "Pseudotanais nordenskioldi", "Pseudotanais mexikolpos", "Pseudotanais mediterraneus", "Pseudotanais malayensis", "Pseudotanais macrocheles", "Pseudotanais longispinus", "Pseudotanais longisetosus", "Pseudotanais makrothrix", "Pseudozeuxo belizensis", "Araphura spinithenari", "Araphura parabrevimanus", "Araphura rectifrons", "Araphura joubinensis", "Araphura io", "Araphura higginsi", "Araphura filiformis", "Araphura extensa", "Araphura elongata", "Araphura cuspirostris", "Araphura brevimanus", "Araphura curticauda", "Araphura breviaria", "Arhaphuroides septentrionalis", "Arhaphuroides parabreviremis", "Arhaphuroides brevispina", "Arhaphuroides bombus", "Tanaella unisetosa", "Tanaella unguicillata", "Tanaella tuberculata", "Tanaella rotundicephala", "Tanaella propinqua", "Tanaella prolixcauda", "Tanaella profunda", "Tanaella paraforcifera", "Tanaella ochracea", "Tanaella kimi", "Tanaella mclellandi", "Tanaella forcifera", "Tanaella dongo", "Arthrura shiinoi", "Arthrura andriashevi", "Tanaella eltaninae", "Peraeospinosus pushkini", "Peraeospinosus mixtus", "Peraeospinosus magnificus", "Peraeospinosus kerguelenensis", "Peraeospinosus exilremis", "Peraeospinosus emergensis", "Peraeospinosus angusticheles", "Peraeospinosus adipatus", "Typhlotanais inermis", "Typhlotanais inaequipes", "Typhlotanais greenwichensis", "Typhlotanais gruzovi", "Typhlotanais grandis", "Typhlotanais finmarchicus", "Typhlotanais grahami", "Typhlotanais filatovae", "Typhlotanais eximius", "Typhlotanais dubius", "Typhlotanais crassus", "Typhlotanais compactus", "Typhlotanais cornutus", "Typhlotanais brachyurus", "Typhlotanais assimilis", "Typhlotanais angularis", "Typhlotanais aequiremis", "Typhlotanais parvus", "Typhlotanais brevicornis", "Typhlotanais elegans", "Typhlotanais profundus", "Typhlotanais proctagon", "Typhlotanais plicatus", "Typhlotanais plebejus", "Typhlotanais penicillatus", "Typhlotanais peculiaris", "Typhlotanais parangularis", "Typhlotanais mucronatus", "Typhlotanais messinensis", "Typhlotanais mananensis", "Typhlotanais magnus", "Typhlotanais magnificus", "Typhlotanais longus", "Typhlotanais longisetosus", "Typhlotanais longicephala", "Typhlotanais longimanus", "Typhlotanais kussakini", "Typhlotanais kerguelenensis", "Typhlotanais irregularis", "Typhlotanais williamsae", "Typhlotanais variabilis", "Typhlotanais trispinosus", "Typhlotanais tenuimanus", "Typhlotanais tenuicornis", "Typhlotanais spiniventris", "Typhlotanais spinipes", "Typhlotanais spinicauda", "Typhlotanais solidus", "Typhlotanais simplex", "Typhlotanais setosus", "Typhlotanais sandersi", "Typhlotanais rotundirostris", "Typhlotanais rectus", "Typhlotanais pulcher", "Typhlotanaoides rostralis", "Tanais tenuicornis", "Tanais pongo", "Tanais macrocheles", "Tanais loricatus", "Tanais grimaldii", "Tanais gayi", "Tanais dulongii", "Brugia malayi", "Chiodecton natalense", "Chiodecton nylanderi", "Chiodecton obscurascens", "Chiodecton ocellulatum", "Chiodecton ochroleucum", "Chiodecton olivaceum", "Chiodecton overeemii", "Chiodecton pallidellum", "Chiodecton palmense", "Chiodecton panduriforme", "Chiodecton papillosum", "Chiodecton pertricosum", "Chiodecton petracum", "Chiodecton phaeosporellum", "Chiodecton piperis", "Chiodecton piperis var. manilense", "Chiodecton piperis var. piperis", "Typhlotanaoides insolitus", "Chiodecton moniliatum", "Allodaposia abbreviata", "Andrognathia plumosa", "Androtanais beebei", "Armatognathia birsteini", "Armaturatanais atlanticus", "Armaturatanais minipodus", "Armaturatanais trispinopodus", "Bifidia scleractinicola", "Coalecerotanais inflatus", "Dimorphognathia heroae", "Exspina typica", "Insociabilitanais ventrospinatus", "Chiodecton monostichum", "Leptognathioides rectus", "Leptognathioides vicina", "Leptognathioides potens", "Leptognathioides polita", "Chauliopleona paradoxa", "Chauliopleona nickeli", "Chauliopleona hastata", "Chauliopleona faini", "Chauliopleona dentata", "Chauliopleona armata", "Chauliopleona amftae", "Chauliopleona amdrupii", "Parafilitanais similis", "Parafilitanais mexicana", "Parafilitanais caudatus", "Nototanoides trifurcatus", "Monstrotanais mirabilicheles", "Mimicarhaphura immanis", "Chiodecton montagnaei", "Chiodecton montanum", "Chiodecton mozambicum", "Chiodecton mucorinum", "Chiodecton mycelioides", "Chiodecton nanum", "Paraleptognathia weddelensis", "Paraleptognathia typica", "Paraleptognathia tenuichela", "Paraleptognathia multiserratoides", "Paraleptognathia multiserrata", "Paraleptognathia longiremis", "Paraleptognathia inermis", "Paraleptognathia gracilis", "Paraleptognathia fastuosa", "Paraleptognathia brachiata", "Paraleptognathia bisetulosa", "Paraleptognathia benguela", "Paraleptognathia bacescui", "Paraleptognathia australis", "Paraleptognathia antarctica", "Paraleptognathia alba", "Pseudoparatanais brachycephalus", "Pseudoparatanais batei", "Pseudoparatanais antarcticus", "Pseudomacrinella macrocephala", "Pseudoarthrura heardi", "Robustochelia solida", "Robustochelia robusta", "Robustochelia longa", "Robustochelia angusticephala", "Tanabnormia cornicauda", "Stenotanais macrodactylus", "Stenotanais hamicauda", "Stenotanais crassiseta", "Spinitanaopsis insolituchelia", "Singula cuncta", "Scoloura phillipsi", "Salemia coeca", "Safaritanais macrocephalus", "Robustognathia dissimilis", "Tanaopsis profunda", "Tanaopsis kerguelenensis", "Tanaopsis graciloides", "Tanaopsis gallardoi", "Tanaopsis curtus", "Tanaopsis chotkarakde", "Tanaopsis cadieni", "Tanaopsis antarctica", "Langitanais willemoesi", "Langitanais magnus", "Langitanais bifidirostris", "Langitanais angustifrons", "Arctotanais alascensis", "Singularitanais annectens", "Allotanais hirsutus", "Zeuxo zorro", "Zeuxo westwoodiana", "Zeuxo vanhoeffeni", "Zeuxo simonsiensis", "Zeuxo seurati", "Zeuxo phytalensis", "Zeuxo paranormani", "Zeuxo normani", "Zeuxo nannioggae", "Zeuxo kurilensis", "Zeuxo holdichi", "Zeuxo fresii", "Zeuxo exsargasso", "Zeuxo coralensis", "Zeuxo cloacarattus", "Zeuxo beringi", "Zeuxo angua", "Anatanais pseudonormani", "Anatanais novaezealandiae", "Anatanais lineatus", "Zeuxoides spongicola", "Zeuxoides pseudolitoralis", "Zeuxoides ohlini", "Zeuxoides helleri", "Zeuxoides casanunda", "Pancoloides litoralis", "Monoditanais helenensis", "Hexapleomera robusta", "Aviatanais tempestacera", "Pancolus californiensis", "Synaptotanais notabilis", "Synaptotanais abyssorum", "Protanais ligniamator", "Protanais birsteini", "Sinelobus stanfordi", "Parasinelobus chevreuxi", "Tanais vanis", "Tanais tinhauae", "Pectinapseudes mesteri", "Pectinapseudes magnus", "Pectinapseudes carolinensis", "Paradoxapseudes cubensis", "Muramurina splendida", "Mendamanus ailurostoma", "Langapseudes tuberculatus", "Stirtonia aggregata", "Stirtonia alba", "Stirtonia alboverruca", "Stirtonia amazonica", "Stirtonia arthonioides", "Stirtonia gibberulosa", "Stirtonia indica", "Stirtonia macrocarpa", "Stirtonia marginata", "Stirtonia mellea", "Stirtonia monospora", "Stirtonia obvallata", "Stirtonia ramosa", "Stirtonia santessonii", "Stirtonia verruculosa", "Carpoapseudes simplicirostris", "Carpoapseudes serratispinosus", "Carpoapseudes rotundirostris", "Carpoapseudes romanae", "Carpoapseudes prospectnes", "Carpoapseudes oculicornutus", "Carpoapseudes menziesi", "Carpoapseudes longissimus", "Carpoapseudes laubieri", "Carpoapseudes kudinovae", "Carpoapseudes curticarpus", "Carpoapseudes caraspinosus", "Carpoapseudes austroafricanus", "Carpoapseudes auritochelis", "Carpoapseudes bacescui", "Byssocaulon candidum", "Byssocaulon citrinum", "Byssocaulon crustatum", "Byssocaulon filamentosum", "Byssocaulon molle", "Byssocaulon molliosculum", "Byssocaulon niveum", "Byssocaulon ochraceum", "Byssocaulon pannosum", "Byssocaulon tenue", "Chrysothrix flavovirens", "Chrysothrix frischii", "Chrysothrix granulosa", "Chrysothrix noli-tangere", "Chrysothrix oceanica", "Chrysothrix pavonii", "Chrysothrix placodioides", "Chrysothrix xanthina", "Leviapseudes zenkevitchioides", "Leviapseudes zenkevitchi", "Leviapseudes wolffi", "Leviapseudes weberi", "Chiodecton pitardii", "Chiodecton podophthalmum", "Chiodecton praepallens", "Chiodecton prominulum", "Chiodecton pruinosum", "Chiodecton pterophorum", "Chiodecton punctulatum", "Chiodecton queenslandiae", "Chiodecton ramosii", "Chiodecton roseotinctum", "Chiodecton rotundatum", "Chiodecton rubrocinctum", "Chiodecton rufescens", "Chiodecton rupestre", "Chiodecton santiagense", "Chiodecton sarniense", "Chiodecton saxatile", "Chiodecton separatum", "Chiodecton seperans", "Chiodecton sinuosum", "Chiodecton sociale", "Chiodecton socotranum", "Chiodecton sphaerale", "Chiodecton spilocarpum", "Chiodecton stalactinum", "Chiodecton stellulatum", "Chiodecton sterile", "Chiodecton stictathecium", "Chiodecton stigmaticum", "Chiodecton subfarinaceum", "Chiodecton sublaevigatum", "Chiodecton submoniliforme", "Chiodecton subnanum", "Chiodecton subochroleucum", "Chiodecton subordinatum", "Chiodecton subrimatum", "Chiodecton subsphaerale", "Chiodecton substellatum", "Chiodecton sulphurescens", "Chiodecton tentaculatum", "Chiodecton thomense", "Chiodecton turbidum", "Chiodecton umbratum", "Chiodecton vanderbylii", "Chiodecton verrucarioides", "Chiodecton verrucosum", "Chiodecton violaceum", "Branchiostoma belcheri", "Lecanactis sulphurea", "Lecanactis takalae", "Lecanactis tenella", "Lecanactis tibelliana", "Lecanactis totarae", "Lecanactis ulcerata", "Lecanactis unghvariensis", "Lecanactis unghvariensis f. umbrina", "Lecanactis unghvariensis f. unghvariensis", "Lecanactis varians", "Lecanactis vestita", "Lecanactis werneri", "Lecanactis xanthococcoides", "Lecanactis zahlbruckneri", "Dirina africana", "Dirina approximata", "Dirina approximata subsp. africana", "Dirina approximata subsp. approximata", "Dirina approximata subsp. hioramii", "Dirina approximata f. approximata", "Dirina approximata f. sorediata", "Dirina catalinariae", "Dirina catalinariae f. catalinariae", "Dirina catalinariae f. sorediata", "Dirina ceratoniae", "Dirina chilena", "Dirina cretacea", "Dirina fallax", "Dirina follmannii", "Dirina gemmata", "Dirina hassei", "Dirina herrei", "Dirina hiorami", "Dirina imitata", "Dirina immersa", "Dirina insulae-howensis", "Canis lupus albus", "Dirina insulana", "Dirina insulana f. insulana", "Dirina insulana f. sorediata", "Dirina lutosa", "Dirina mexicana", "Dirina niponica", "Dirina ocellata", "Dirina paradoxa", "Dirina paradoxa subsp. africana", "Dirina paradoxa subsp. approximata", "Hadronyche adelaidensis", "Hadronyche cerberea", "Hadronyche eyrei", "Hadronyche flindersi", "Hadronyche formidabilis", "Hadronyche infensa", "Hadronyche modesta", "Hadronyche pulvinator", "Hadronyche venenata", "Hadronyche versuta", "Plesiothele fentoni", "Enterographa sorediata", "Enterographa stellulata", "Enterographa subgelatinosa", "Enterographa subserialis", "Enterographa syncarpum", "Enterographa tanzanica", "Enterographa tropica", "Enterographa vezdae", "Enterographa zaborskiana", "Enterographa zephyri", "Enterographa zonata", "Erythrodecton granulatum", "Erythrodecton malacum", "Feigeana socotrana", "Follmanniella scutellata", "Gorgadesia mira", "Graphidastra byssiseda", "Graphidastra multiformis", "Latrodectus tredecimguttatus", "Lecanactis lactescens", "Lecanactis latebrarum", "Lecanactis latispora", "Lecanactis lecanoroides", "Lecanactis lecideina", "Lecanactis leptoloma", "Lecanactis leucophora", "Lecanactis limosescens", "Lecanactis lividula", "Lecanactis lobata", "Lecanactis lynceoides", "Lecanactis macrocarpoides", "Lecanactis mawsonii", "Lecanactis mecistophora", "Lecanactis medusula", "Lecanactis megaspora", "Lecanactis meiophragmia", "Lecanactis moseleyi", "Lecanactis myriadea", "Lecanactis nakajii", "Lecanactis nashii", "Lecanactis neozelandica", "Anopheles neivai", "Anopheles laneanus", "Anopheles homunculus", "Anopheles bambusicolus", "Anopheles auyantepuiensis", "Lecanactis obfirmata", "Lecanactis olivascens", "Lecanactis opponens", "Lecanactis pallens", "Lecanactis patellula", "Lecanactis pezizoidea", "Lecanactis pictonica", "Latrodectus bishopi", "Lecanactis planiuscula", "Lecanactis platygraphoides", "Latrodectus cinctus", "Latrodectus indistinctus", "Latrodectus karrooensis", "Latrodectus renivulvatus", "Chromatopelma cyaneopubescens", "Minksia alba", "Minksia caesiella", "Minksia candida", "Minksia irregularis", "Minksia saxicola", "Baphia bequaertii", "Baphia capparidifolia", "Baphia laurifolia", "Baphia massaiensis", "Baphia maxima", "Baphia pubescens", "Baphia racemosa", "Dirina paradoxa subsp. hioramii", "Dirina paradoxa subsp. paradoxa", "Dirina paradoxa f. paradoxa", "Dirina paradoxa f. sorediata", "Dirina patronii", "Dirina rediunta", "Dirina schistosa", "Dirina viridescens", "Pterois miles", "Thamnophis sirtalis", "Dirinastrum australiense", "Dirinastrum chilense", "Dolichocarpus chilensis", "Enterodictyon indicum", "Enterodictyon mexicanum", "Enterodictyon oblongellum", "Enterodictyon velatum", "Enterographa affinis", "Rickettsia rickettsii", "Enterographa albopunctata", "Enterographa angustissima", "Enterographa bartletti", "Enterographa batistae", "Enterographa bella", "Enterographa byssoidea", "Enterographa chilense", "Enterographa compactula", "Enterographa compunctula", "Enterographa crassa", "Enterographa crassa var. crassa", "Enterographa crassa var. geographica", "Enterographa crassa f. atroviridis", "Enterographa crassa f. crassa", "Enterographa crassa f. geographica", "Enterographa crassa f. pallidocincta", "Latrodectus corallinus", "Latrodectus geometricus", "Latrodectus hasselti", "Latrodectus hesperus", "Latrodectus katipo", "Latrodectus lilianae", "Latrodectus pallidus", "Latrodectus rhodesiensis", "Latrodectus variolus", "Lecanactis pleistophragmoides", "Lecanactis plocina", "Heptathela kimurai", "Lecanactis plocina f. argillacea", "Lecanactis plocina f. crenatula", "Lecanactis plocina f. plocina", "Lecanactis plocina f. teichogena", "Lecanactis proximans", "Lecanactis pseudomylacea", "Lecanactis punctiformis", "Lecanactis pyrenocarpoides", "Lecanactis quassiae", "Lecanactis ramosus", "Lecanactis ravenelii", "Lecanactis redingeri", "Lecanactis ricasolii", "Lecanactis rockii", "Lecanactis rufoatra", "Lecanactis salicina", "Lecanactis saltelii", "Lecanactis scotomma", "Lecanactis scotommodes", "Lecanactis sericea", "Lecanactis serograpta", "Lecanactis serpentinicola", "Lecanactis serpentosa", "Lecanactis spermatospora", "Lecanactis sphaerobola", "Lecanactis stellaris", "Lecanactis stictica", "Lecanactis subabietina", "Lecanactis subcaesia", "Lecanactis subcalcarea", "Lecanactis subdryophila", "Lecanactis subgrumulosa", "Lecanactis subinusta", "Lecanactis submorosa", "Lecanactis submorosa var. laetior", "Lecanactis submorosa var. submorosa", "Lecanactis subrigida", "Lecanactis dilleniana var. muscicola", "Lecanactis dilleniana f. dilleniana", "Lecanactis dilleniana f. dysocarpa", "Lecanactis dilleniana f. muscicola", "Lecanactis dimelaenoides", "Lecanactis divergens", "Lecanactis diversa", "Lecanactis diversula", "Lecanactis doerfleri", "Lecanactis dolosa", "Lecanactis dubia", "Lecanactis elaeocarpa", "Lecanactis elegans", "Lecanactis emersa", "Lecanactis endorhoda", "Lecanactis epileuca", "Lecanactis exigua", "Lecanactis farinosa", "Lecanactis farinulenta", "Lecanactis feeana", "Lecanactis flavidosella", "Lecanactis flaviseda", "Lecanactis flexans", "Lecanactis flexuosa", "Lecanactis fraudans", "Lecanactis gibberulosa", "Lecanactis gibbosa", "Lecanactis grumosa", "Betta splendens", "Anopheles rollai", "Anopheles pholidotus", "Anopheles lepidotus", "Anopheles gonzalezrinconesi", "Anopheles bellator", "Lecanactis heterocarpa", "Anopheles cruzii", "Lecanactis homoeoides", "Lecanactis illecebrosula", "Lecanactis inferior", "Lecanactis insignior", "Lecanactis kerguelensis", "Enterographa crassa f. rufescens", "Enterographa deslooveri", "Enterographa divergens", "Enterographa duraei", "Enterographa elaborata", "Enterographa elixii", "Enterographa falcata", "Enterographa foliicola", "Enterographa follmannii", "Enterographa gelatinosa", "Enterographa germanica", "Enterographa graphioides", "Enterographa graphioides f. dispersula", "Enterographa graphioides f. graphioides", "Enterographa hutchinsiae", "Enterographa kalbii", "Enterographa lactea", "Enterographa lecanoroides", "Enterographa leiosticta", "Enterographa leucina", "Enterographa leucolyta", "Enterographa littoralis", "Enterographa lueckingii", "Enterographa mazosiae", "Enterographa micrographa", "Enterographa multilocularis", "Enterographa multiseptata", "Enterographa neozelandica var. murina", "Enterographa neozelandica var. neozelandica", "Enterographa neozelandica var. ochracea", "Enterographa pallidella", "Enterographa perez-higaredae", "Enterographa pertusarioides", "Enterographa pitardii", "Latrodectus mactans", "Enterographa praepallens", "Enterographa rappi", "Enterographa seawardii", "Enterographa seychellensis", "Enterographa sipmanii", "Branchiostoma californiense", "Branchiostoma caribaeum", "Branchiostoma capense", "Atypus magnus", "Atypus medius", "Atypus muralis", "Atypus piceus", "Atypus affinis", "Combea californica", "Combea mollusca", "Combea pruinosa", "Cresponea apiculata", "Cresponea chloroconia", "Cresponea flava", "Cresponea flavescens", "Cresponea follmannii", "Cresponea leprieurii", "Cresponea leprieuroides", "Cresponea macrocarpoides", "Cresponea melanocheloides", "Cresponea plurilocularis", "Cresponea premnea", "Cresponea proximata", "Homalophis gyii", "Okapia johnstoni", "Epalzeorhynchos frenatum", "Wuchereria bancrofti", "Radopholus similis", "Dendrographa alectoroides", "Dendrographa alectoroides f. alectoroides", "Dendrographa alectoroides f. parva", "Dendrographa gracillima", "Dendrographa leucophaea", "Dendrographa leucophaea f. leucophaea", "Dendrographa leucophaea f. minor", "Dendrographa minor", "Dendrographa mollis", "Dendrographa pulcherrima", "Dichosporidium boschianum", "Dichosporidium brunnthaleri", "Dichosporidium constrictum", "Dichosporidium glomeratum", "Dichosporidium latisporum", "Dichosporidium microsporum", "Dichosporidium nigrocinctum", "Dichosporidium sorediatum", "Neoepinnula americana", "Neoepinnula orientalis", "Rexichthys johnpaxtoni", "Argiope bruennichi", "Dictyographa angolensis", "Dictyographa arabica", "Dictyographa cinerea", "Dictyographa contortuplicata", "Dictyographa psyllocarpa", "Dictyographa sandwicensis", "Dictyographa varians", "Pentagenella fragillima", "Sphodros rufipes", "Aliatypus californicus", "Envia garciai", "Atrax robustus", "Haplodina alutacea", "Haplodina corticola", "Haplodina microcarpa", "Lycosa singoriensis", "Poecilotheria regalis", "Lycosa tarantula", "Ingaderia friabillima", "Ingaderia pulcherrima", "Ingaderia troglodytica", "Lecanactis albida", "Lecanactis americana", "Lecanactis aponina", "Lecanactis arenae", "Lecanactis atacamensis", "Lecanactis biformata", "Lecanactis biformis", "Lecanactis bullata", "Lecanactis byssacea", "Lecanactis caesia", "Lecanactis californica", "Lecanactis cohibens", "Lecanactis concordans", "Lecanactis confluens", "Lecanactis confluens var. calcea", "Lecanactis confluens var. confluens", "Lecanactis conglomerata", "Lecanactis coniochlora", "Begonia micranthera var. fimbriata", "Lecanactis cretacea", "Lecanactis cymbegrapha", "Begonia micranthera var. hieronymi", "Begonia micranthera var. foliosa", "Begonia micranthera var. micranthera", "Lecanactis deightonii", "Lecanactis deminuens", "Lecanactis deminuens f. chlorinopruinosa", "Lecanactis deminuens f. deminuens", "Lecanactis develans", "Lecanactis dilleniana", "Lecanactis dilleniana subsp. dilleniana", "Lecanactis dilleniana subsp. sphaerobola", "Lecanactis dilleniana var. dilleniana", "Mazosia longispora", "Mazosia melanophthalma", "Mazosia melanophthalma var. macrospora", "Mazosia melanophthalma var. melanophthalma", "Mazosia minima", "Mazosia ocellata", "Mazosia palmicola", "Mazosia paupercula", "Mazosia paupercula var. macrospora", "Mazosia paupercula var. paupercula", "Mazosia phyllosema", "Mazosia pilosa", "Mazosia praemorsa", "Mazosia praemorsa var. macrospora", "Mazosia praemorsa var. praemorsa", "Mazosia pseudobambusae", "Mazosia quadrangula", "Mazosia quadriseptata", "Mazosia ramosii", "Mazosia rotula", "Mazosia rotula var. laevis", "Mazosia rotula var. rotula", "Mazosia rotula var. sublaevis", "Mazosia rubropunctata", "Mazosia sorediifera", "Mazosia strigulina", "Mazosia strigulina var. radians", "Mazosia strigulina var. strigulina", "Mazosia tenuissima", "Mazosia tomentifera", "Mazosia tumidula", "Sivapithecus indicus", "Lecanographa hypothallina", "Lecanographa illecebrosula", "Lecanographa imitans", "Lecanographa laingiana", "Lecanographa littoralis", "Lecanographa longicarpa", "Lecanographa lyncea", "Lecanographa lynceoides", "Lecanographa microcarpella", "Lecanographa nothofagi", "Lecanographa occidentalis", "Lecanographa subcaesia", "Lecanographa subcaesioides", "Lecanographa subcalcarea", "Lecanographa subdryophila", "Lecanographa subgrumulosa", "Lecanographa tehleri", "Lecanographa unghvariensis", "Lecanographa werneri", "Mazosia adelphoparasitica", "Mazosia aptrootii", "Mazosia astroidea", "Mazosia bambusae", "Mazosia chlorochroa", "Mazosia conica", "Mazosia dispersa", "Mazosia dispersella", "Mazosia emergens", "Mazosia granularis", "Mazosia leptosticta", "Mazosia leucophthalma", "Opegrapha bacillosa", "Opegrapha bahamensis", "Opegrapha bengalensis", "Opegrapha betulae", "Opegrapha betuligna", "Opegrapha betulinoides", "Opegrapha betulinoides f. betulinoides", "Opegrapha betulinoides f. denudata", "Trichostomopsis curvipes", "Opegrapha biseptata", "Opegrapha blakii", "Opegrapha bogoriensis", "Opegrapha bonplandii", "Opegrapha bonplandii var. abbreviata", "Opegrapha bonplandii var. bonplandii", "Opegrapha bonplandii var. chondrochracea", "Opegrapha bonplandii var. conglomerata", "Opegrapha bonplandii var. crustulosa", "Opegrapha bonplandii var. imitans", "Opegrapha bonplandii var. minutissima", "Opegrapha brachycarpa", "Opegrapha brachycarpoides", "Opegrapha brevis", "Berberis jaeschkeana", "Berberis jamesiana", "Berberis jamesonii", "Berberis japonica", "Berberis jelskiana", "Berberis kawakamii", "Berberis koehneana", "Berberis koreana", "Berberis kumaonensis", "Berberis lanceolata", "Berberis laurina", "Berberis lecomtei", "Berberis lepidifolia", "Berberis levis", "Berberis liechtensteinii", "Berberis \u00d7 lologensis", "Berberis longipes", "Berberis lucida", "Berberis lycium", "Berberis \u00d7 macracantha", "Berberis manipurana", "Berberis \u00d7 media", "Berberis mekongensis", "Berberis \u00d7 mentorensis", "Berberis microphylla", "Berberis montana", "Berberis moranensis", "Berberis morrisonensis", "Berberis mouillacana", "Berberis napaulensis", "Berberis nervosa", "Berberis nevinii", "Berberis \u00d7 notabilis", "Berberis oblonga", "Berberis orthobotrys", "Berberis pachyacantha", "Berberis pallens", "Berberis petiolaris", "Berberis pinnata", "Berberis poiretii", "Berberis polyantha", "Berberis potaninii", "Berberis prattii", "Berberis \u00d7 provincialis", "Berberis pruinosa", "Berberis quinduensis", "Berberis regeliana", "Berberis \u00d7 rehderiana", "Berberis repens", "Berberis replicata", "Berberis rigidifolia", "Berberis \u00d7 rubrostilla", "Berberis ruscifolia", "Berberis sanguinea", "Berberis sargentiana", "Berberis \u00d7 serrata", "Berberis sibirica", "Berberis sieboldii", "Berberis silva-taroucana", "Plectocarpon arthonioides", "Plectocarpon cladoniae", "Plectocarpon epiphyllum", "Plectocarpon labyrinthicum", "Plectocarpon lambinonii", "Plectocarpon lichenum", "Plectocarpon linitae", "Plectocarpon macaronesiae", "Plectocarpon nashii", "Plectocarpon nephromeum", "Plectocarpon peltigerae", "Plectocarpon pseudocyphellariae", "Plectocarpon sampaianae", "Plectocarpon scrobiculatae", "Plectocarpon usneae", "Pterinochilus murinus", "Acanthoscurria geniculata", "Lycosa implacida", "Lepadogaster lepadogaster", "Lepadogaster candolii", "Lepadogaster purpurea", "Lepadogaster zebrina", "Syncesia albiseda", "Syncesia byssina", "Syncesia decussans", "Syncesia depressa", "Syncesia flavescens", "Syncesia glyphysoides", "Syncesia graphica", "Syncesia hawaiiensis", "Syncesia intercedens", "Syncesia leprobola", "Syncesia mollis", "Syncesia myrticola", "Syncesia psaroleuca", "Syncesia rhizomorpha", "Syncesia sulphurea", "Berberis soulieana", "Berberis \u00d7 stenophylla", "Berberis swaseyi", "Berberis temolaica", "Berberis tenuifolia", "Berberis tischleri", "Berberis \u00d7 toluacensis", "Berberis triacanthophora", "Berberis trifoliolata", "Berberis turcomannica", "Berberis ulicina", "Berberis umbellata", "Berberis valdiviana", "Berberis veitchii", "Berberis vernae", "Berberis verruculosa", "Berberis virescens", "Berberis virgetorum", "Berberis \u00d7 wagneri", "Berberis wallichiana", "Berberis wilsoniae", "Berberis yunnanensis", "Opegrapha agelaeotera", "Opegrapha aggregata", "Opegrapha alba", "Opegrapha albidoatra", "Opegrapha alboatra", "Opegrapha albocincta", "Opegrapha albocinerea", "Opegrapha alborimosa", "Opegrapha alborimosa var. alborimosa", "Opegrapha alborimosa var. candissima", "Opegrapha alborimosa var. globulifica", "Opegrapha alborimosa var. reticulata", "Opegrapha alborimosa var. senescens", "Opegrapha alborimosa f. alborimosa", "Opegrapha alborimosa f. brevicarpa", "Opegrapha alborimosa f. tenuirimis", "Opegrapha allorgei", "Opegrapha andamanica", "Opegrapha angolensis", "Opegrapha angulosa", "Opegrapha angustata", "Opegrapha anomea", "Opegrapha aperiens", "Opegrapha aperiens f. aperiens", "Opegrapha aperiens f. crustosa", "Opegrapha apex", "Opegrapha aphoristica", "Opegrapha apomelaena", "Opegrapha approximata", "Opegrapha arabica", "Opegrapha arengae", "Opegrapha areniseda", "Opegrapha argillicola", "Opegrapha arthonioidea", "Opegrapha arthonioidea var. arthonioidea", "Opegrapha arthonioidea var. macrospora", "Bungarus sindanus", "Placostromella amazonensis", "Placostromella macrospora", "Opegrapha arthrospora", "Opegrapha assidens", "Opegrapha asteroma", "Opegrapha astraea", "Opegrapha atacamensis", "Opegrapha aterrima", "Opegrapha aterula", "Opegrapha aterula f. adspersa", "Opegrapha aterula f. aterula", "Opegrapha aterula f. elongata", "Opegrapha atra var. atra", "Opegrapha atra var. cubana", "Opegrapha atra var. euphorbiae", "Opegrapha atra var. phoenicicola", "Opegrapha atra f. atra", "Opegrapha atra f. reticulata", "Opegrapha atra f. simplicior", "Opegrapha atratula", "Opegrapha atratula f. atratula", "Opegrapha atratula f. elongata", "Opegrapha atrorimalis", "Opegrapha atrorimalis var. atrorimalis", "Opegrapha atrorimalis var. betulina", "Opegrapha atrorufescens", "Opegrapha atroviridis", "Opegrapha aurantiaca", "Opegrapha aurita", "Opegrapha autographa", "Apiothyrium arcticum", "Apiothyrium tasmanicum", "Opegrapha abbreviata", "Opegrapha acervulata", "Opegrapha acicularis", "Opegrapha adpicta", "Opegrapha adtinens", "Opegrapha aegyptiaca", "Opegrapha aenea", "Opegrapha agelaea", "Opegrapha agelaea var. agelaea", "Opegrapha agelaea var. confertissima", "Opegrapha agelaeina", "Opegrapha agelaeoides", "Seimatosporium ciliatum", "Berberis delavayi", "Berberis diaphana", "Berberis dictyophylla", "Berberis dielsiana", "Berberis dubia", "Berberis duclouxiana", "Berberis \u00d7 durobrivensis", "Berberis edgeworthiana", "Berberis \u00d7 emarginata", "Berberis empetrifolia", "Berberis flexuosa", "Berberis fortunei", "Berberis francisci-ferdinandi", "Berberis fremontii", "Berberis \u00d7 frikartii", "Berberis gagnepainii", "Berberis gilgiana", "Berberis giraldii", "Berberis glaucocarpa", "Berberis globosa", "Berberis gracilis", "Berberis grandiflora", "Berberis haematocarpa", "Berberis henryana", "Berberis heteropoda", "Berberis hookeri", "Berberis \u00d7 hybridogagnepainii", "Berberis hypokerina", "Berberis ilicifolia", "Berberis iliensis", "Berberis insignis", "Berberis integerrima", "Berberis actinacantha", "Berberis acuminata", "Berberis aemulans", "Berberis aetnensis", "Berberis aggregata", "Berberis \u00d7 alksuthiensis", "Berberis amoena", "Berberis amurensis", "Berberis angulosa", "Berberis aquifolium", "Berberis aristata", "Berberis atrocarpa", "Berberis bealei", "Berberis beaniana", "Berberis bergmanniae", "Berberis brachypoda", "Berberis candidula", "Berberis \u00d7 carminea", "Berberis caroli", "Berberis \u00d7 chenaultii", "Berberis chilensis", "Berberis chinensis", "Berberis chitria", "Berberis chochoco", "Berberis circumserrata", "Berberis comberi", "Berberis commutata", "Berberis concinna", "Berberis consimilis", "Berberis crataegina", "Berberis cretica", "Berberis dasystachya", "Lecanographa abscondita", "Lecanographa aggregata", "Lecanographa amylacea", "Lecanographa cretacea", "Lecanographa dialeuca", "Lecanographa dimelaenoides", "Lecanographa elegans", "Lecanographa farinosa", "Lecanographa farinulenta", "Lecanographa follmannii", "Diabrotica undecimpunctata", "Diabrotica virgifera", "Psittacus timneh", "Cribrinopsis albopunctata", "Cribrinopsis olegi", "Urticina grebelnyi", "Heptathela amamiensis", "Opegrapha lepidella", "Opegrapha leprieurii", "Opegrapha leptocarpoides", "Opegrapha leptochroma", "Opegrapha leptographa", "Opegrapha circumducta", "Opegrapha cladoniicola", "Opegrapha coccinea", "Opegrapha colliculosa", "Opegrapha columbina", "Opegrapha commatodes", "Opegrapha concatenata", "Opegrapha concrucians", "Opegrapha condaminea", "Opegrapha confertoides", "Eresus kollari", "Hemisphaeropsis magnoliae", "Eresus sandaliatus", "Opegrapha confertula", "Opegrapha confusula", "Opegrapha congesta", "Opegrapha conglomerans", "Opegrapha conglomerata", "Opegrapha connivens", "Opegrapha consimillima", "Opegrapha consors", "Opegrapha contracta", "Opegrapha convexula", "Opegrapha corticola", "Opegrapha corumbensis", "Opegrapha coryli", "Opegrapha crassilabra", "Opegrapha crenulata", "Opegrapha cretacea", "Opegrapha crustacea", "Opegrapha cryptotheciae", "Opegrapha culmigena", "Opegrapha curvula", "Opegrapha cylindrica", "Opegrapha cymbiformis", "Opegrapha cymbiformis var. cymbiformis", "Opegrapha cymbiformis var. deformis", "Opegrapha cypressi", "Oecobius navus", "Opegrapha danica", "Opegrapha declinans", "Opegrapha decolorata", "Opegrapha decussata", "Opegrapha delicata", "Opegrapha demissa", "Opegrapha demutata", "Opegrapha demutata var. arborea", "Opegrapha demutata var. demutata", "Opegrapha depressa", "Opegrapha gibba", "Opegrapha gigantea", "Opegrapha glaucoma", "Opegrapha glaucomaria", "Opegrapha globosa", "Opegrapha gracilescens", "Opegrapha gracilior", "Opegrapha gracilis", "Opegrapha grammitis", "Opegrapha graphicula", "Opegrapha gregalis", "Opegrapha gregaria", "Opegrapha gregaria var. gregaria", "Opegrapha gregaria var. obscura", "Opegrapha gregaria var. pruinata", "Opegrapha grossulina", "Opegrapha gyrocarpoides", "Opegrapha hawaiiensis", "Opegrapha hebraica", "Opegrapha heliabravoa", "Opegrapha herbarum", "Jubanyella plemmyris", "Opegrapha heterocarpa", "Opegrapha heterospora", "Opegrapha heufleriana", "Opegrapha hoyae", "Opegrapha humilis", "Opegrapha huneckii", "Opegrapha hyoteriiformis", "Opegrapha hysterimorpha", "Opegrapha hysterioides", "Opegrapha hysteriospora", "Opegrapha desquamescens", "Opegrapha deusta", "Opegrapha devia", "Opegrapha diagrapha", "Opegrapha diagraphoides", "Xylographa hydrophila", "Opegrapha diaphorella", "Opegrapha diaphoriza", "Opegrapha diaphoroides", "Opegrapha diatona", "Opegrapha dibbenii", "Opegrapha dicarpigera", "Opegrapha dichaenella", "Opegrapha difficilior", "Opegrapha difficilis", "Opegrapha diffracta", "Opegrapha diffusa", "Opegrapha dimidiata", "Opegrapha dirinaria", "Opegrapha dirinicola", "Opegrapha dirinoides", "Opegrapha discoides", "Opegrapha discolor", "Opegrapha dolomitica", "Opegrapha dracaenarum", "Opegrapha duckei", "Opegrapha eckfeldtii", "Opegrapha ectolechiacearum", "Opegrapha elegans", "Opegrapha elevata", "Opegrapha elisae", "Opegrapha emersa", "Opegrapha encephalographoidea", "Opegrapha endochroma", "Opegrapha endoleuca", "Opegrapha epigraphella", "Opegrapha epigraphella var. elongata", "Opegrapha epigraphella var. epigraphella", "Opegrapha epiphega", "Opegrapha epiporina", "Opegrapha brevissima", "Opegrapha breviuscula", "Opegrapha brigantina", "Opegrapha bullata", "Opegrapha byssacea", "Opegrapha cactacearum", "Opegrapha caesia", "Opegrapha caesioatra", "Stegophorella axonopifolii", "Stegophorella lagerheimii", "Nannfeldtia atra", "Nannfeldtia phegopteridis", "Arthonia calcarea", "Opegrapha calcea", "Opegrapha calva", "Opegrapha cana", "Opegrapha candida", "Opegrapha capensis", "Opegrapha catarrapha", "Opegrapha cavernicola", "Opegrapha celtidicola", "Opegrapha cerebralis", "Opegrapha cesareensis", "Opegrapha chionographa", "Opegrapha chionoplaca", "Opegrapha chlorocarpoides", "Opegrapha chlorographa", "Araneus bandelieri", "Opegrapha chlorographiza", "Opegrapha chrysocarpa", "Opegrapha cicatricula", "Opegrapha cicatrisans", "Opegrapha cincta", "Opegrapha cinerascens", "Opegrapha cinereovirens", "Liphistius thoranie", "Liphistius tioman", "Liphistius trang", "Liphistius yamasakii", "Liphistius yangae", "Nanthela hongkong", "Nanthela tonkinensis", "Ryuthela iheyana", "Ryuthela ishigakiensis", "Ryuthela nishihirai", "Ryuthela owadai", "Ryuthela sasakii", "Ryuthela secundaria", "Ryuthela tanikawai", "Songthela hangzhouensis", "Heptathela heyangensis", "Heptathela schensiensis", "Atypus baotianmanensis", "Atypus coreanus", "Atypus dorsualis", "Atypus flexus", "Atypus formosensis", "Atypus heterothecus", "Atypus javanus", "Atypus karschi", "Atypus lannaianus", "Atypus largosaccatus", "Atypus ledongensis", "Atypus pedicellatus", "Atypus quelpartensis", "Atypus sacculatus", "Atypus sinensis", "Atypus snetsingeri", "Atypus suiningensis", "Atypus suthepicus", "Atypus sutherlandi", "Atypus tibetensis", "Atypus yajuni", "Calommata fulvipes", "Calommata obesa", "Calommata pichoni", "Calommata signata", "Calommata simoni", "Calommata sundaica", "Calommata truculenta", "Sphodros abboti", "Sphodros atlanticus", "Sphodros coylei", "Sphodros fitchi", "Sphodros niger", "Sphodros paisano", "Heptathela cipingensis", "Heptathela higoensis", "Heptathela hunanensis", "Heptathela jianganensis", "Heptathela kanenoi", "Heptathela kikuyai", "Heptathela shei", "Heptathela tomokunii", "Heptathela yakushimaensis", "Heptathela yanbaruensis", "Liphistius albipes", "Liphistius batuensis", "Liphistius bicoloripes", "Liphistius birmanicus", "Liphistius bristowei", "Liphistius castaneus", "Liphistius dangrek", "Liphistius desultor", "Liphistius endau", "Liphistius erawan", "Liphistius fuscus", "Liphistius isan", "Liphistius jarujini", "Liphistius johore", "Liphistius kanthan", "Liphistius lahu", "Liphistius langkawi", "Liphistius lannaianus", "Liphistius laruticus", "Liphistius lordae", "Liphistius malayanus", "Liphistius marginatus", "Liphistius murphyorum", "Liphistius nesioticus", "Liphistius niphanae", "Liphistius ochraceus", "Liphistius onoi", "Liphistius ornatus", "Liphistius owadai", "Liphistius panching", "Liphistius phileion", "Liphistius phuketensis", "Liphistius pusohm", "Liphistius sayam", "Liphistius schwendingeri", "Liphistius sumatranus", "Liphistius suwat", "Liphistius tempurung", "Liphistius tenuis", "Liphistius tham", "Opegrapha eulychniae", "Opegrapha euphorbiae", "Opegrapha excentrica", "Opegrapha exiquella", "Opegrapha exornata", "Meconema meridionale", "Opegrapha farinacea", "Opegrapha farinosa", "Opegrapha farinulenta", "Opegrapha fauriei", "Opegrapha feeana", "Opegrapha fertilis", "Opegrapha fineranii", "Opegrapha flexuososerpens", "Opegrapha follmannii", "Opegrapha foreaui", "Opegrapha forsandri", "Opegrapha frustulosa", "Opegrapha fuliginosa", "Opegrapha fumosa", "Opegrapha fusca", "Opegrapha fuscescens", "Opegrapha fuscomaculans", "Opegrapha fuscospurcans", "Opegrapha fuscothallina", "Opegrapha fuscovirens", "Opegrapha fuscula", "Singerocybe adirondackensis", "Collybia alboflavida", "Clitocybe carnosior", "Leucoagaricus americanus", "Tegenaria domestica", "Opegrapha geographica", "Opegrapha geographicola", "Opegrapha georgii", "Deinococcus radiodurans", "Paracoccus denitrificans", "Meru phyllisae", "Opegrapha leptoplacella", "Opegrapha leptospora", "Opegrapha leptotera", "Opegrapha leptoterodes", "Cenangium strasseri", "Collostroma gelatinosum", "Syngamus trachea", "Protea cynaroides", "Cupressus duclouxiana", "Opegrapha mutabilis", "Opegrapha myriocarpa", "Cupressus guadalupensis", "Cupressus lusitanica", "Cupressus torulosa", "Dacrydium colensoi", "Dacrydium laxifolium", "Dacrycarpus compactus", "Opegrapha nana", "Dacrycarpus imbricatus", "Opegrapha navicularis", "Opegrapha negrosina", "Opegrapha nigeriensis", "Opegrapha nigra", "Opegrapha nimbosa", "Opegrapha niveoatra f. intermedia", "Opegrapha niveoatra f. niveoatra", "Opegrapha niveoatra f. olivaceonigra", "Opegrapha nothella", "Ephedra americana", "Ephedra foeminea", "Ephedra chilensis", "Ephedra ochreata", "Ephedra pachyclada", "Ephedra procera", "Ephedra strobilacea", "Ephedra triandra", "Opegrapha oblonga", "Opegrapha obscurata", "Opegrapha obtrita", "Opegrapha obtusella", "Opegrapha obvelata", "Opegrapha ochracea", "Opegrapha ochroplaca", "Opegrapha oleagina", "Opegrapha onchospora", "Opegrapha opaca", "Opegrapha ophites", "Opegrapha orbignyae", "Opegrapha ovaliformis", "Opegrapha ovalis", "Opegrapha ovata", "Opegrapha oxalidis", "Phyllocladus alpinus", "Phyllocladus aspleniifolius", "Phyllocladus hypophyllus", "Phyllocladus toatoa", "Opegrapha lynceoides", "Opegrapha macrocarpa", "Opegrapha macrospora", "Opegrapha maculans", "Opegrapha maligna", "Opegrapha malmei", "Opegrapha marginata", "Opegrapha maroccana", "Opegrapha martii", "Opegrapha matzeri", "Opegrapha mazosiae", "Opegrapha mazosioides", "Opegrapha medusula", "Opegrapha medusulina", "Opegrapha medusuliza", "Opegrapha megaconidia", "Opegrapha mehdiensis", "Opegrapha melambo", "Opegrapha melanogramma", "Opegrapha melanospila", "Opegrapha menyharthii", "Opegrapha mesophlebia", "Opegrapha microcycla", "Opegrapha microphlebia", "Opegrapha microphleboides", "Amphizoa lecontei", "Martynovia halli", "Opegrapha microsema", "Opegrapha microsperma", "Opegrapha microspora", "Opegrapha microstictica", "Opegrapha millegrana", "Opegrapha minuta", "Opegrapha minutula", "Opegrapha modesta", "Opegrapha mougeotii", "Opegrapha mougeotii var. garganica", "Opegrapha mougeotii var. lutescens", "Opegrapha mougeotii var. mougeotii", "Opegrapha mozambica", "Opegrapha mucosa", "Opegrapha multipuncta", "Opegrapha multiseptata", "Opegrapha multiseptata var. brevicarpa", "Opegrapha multiseptata var. multiseptata", "Opegrapha multiseptata var. plicatula", "Opegrapha multiseptata f. brevicarpa", "Opegrapha multiseptata f. depressa", "Opegrapha multiseptata f. multiseptata", "Opegrapha muriformis", "Opegrapha murina", "Cupressus cashmeriana", "Opegrapha murorum", "Cephalotaxus fortunei", "Opegrapha leuckertii", "Opegrapha leucocarpa", "Opegrapha leucophaea", "Opegrapha leucophila", "Opegrapha leucoplaca", "Opegrapha levidensis", "Opegrapha lichenicola", "Opegrapha lignicola", "Opegrapha lilacina", "Opegrapha limitata", "Opegrapha lineata", "Opegrapha lineola", "Opegrapha linguata", "Opegrapha linguata var. linguata", "Opegrapha linguata var. rufofusca", "Opegrapha literella", "Opegrapha lithyrga", "Opegrapha lithyrga var. lithyrga", "Opegrapha lithyrga var. notha", "Opegrapha lithyrga var. vestita", "Opegrapha lithyrgiza", "Opegrapha lithyrgiza f. elongata", "Opegrapha lithyrgiza f. lithyrgiza", "Opegrapha longula", "Opegrapha lurida", "Opegrapha luridescens", "Opegrapha lusitanica", "Opegrapha lutulenta", "Opegrapha luzonensis", "Opegrapha palmicola", "Opegrapha papillata", "Opegrapha parasitica", "Opegrapha parasitica var. mutilata", "Opegrapha parasitica var. parasitica", "Opegrapha paraxanthodes", "Opegrapha parvula", "Opegrapha paschalis", "Opegrapha pedonta", "Opegrapha pelletieri", "Opegrapha pellicula", "Opegrapha peltigerae", "Opegrapha perturbans", "Opegrapha perturbata", "Opegrapha pertusariicola", "Opegrapha petraea", "Opegrapha petrophila", "Opegrapha phaea", "Opegrapha phegospila", "Opegrapha phlyctidicola", "Opegrapha phoenicicola", "Opegrapha phyllobathelii", "Opegrapha phyllobia", "Opegrapha phylloporinae", "Opegrapha physciara", "Opegrapha physcidiae", "Siphulella coralloidea", "Erioderma confusum", "Erioderma coriaceum", "Erioderma pellitum", "Erioderma reticulatum", "Opegrapha picea", "Opegrapha pitardii var. pitardii", "Opegrapha pitardii var. viridans", "Opegrapha planiuscula", "Chumma inquieta", "Neolana dalmasi", "Neolana pallida", "Neolana septentrionalis", "Tolma toreuta", "Hala impigra", "Hala paulyi", "Homalonychus raghavai", "Homalonychus selenopoides", "Homalonychus theologus", "Opegrapha robusta", "Opegrapha robustula", "Opegrapha rosea", "Opegrapha rotula var. laevis", "Opegrapha rotula var. rotula", "Inthaeron rossi", "Opegrapha rotula var. sublaevis", "Cithaeron delimbatus", "Opegrapha rotunda", "Opegrapha rouxiana", "Cithaeron indicus", "Cithaeron jocqueorum", "Cithaeron praedonius", "Cithaeron reimoseri", "Hexura picea", "Hexura rothi", "Hexurella apachea", "Hexurella encina", "Hexurella pinea", "Hexurella rupicola", "Mecicobothrium baccai", "Mecicobothrium thorelli", "Megahexura fulva", "Paratropis seminermis", "Paratropis scruposa", "Lecidea circinarioides", "Paratropis sanguinea", "Paratropis papilligera", "Melloina rickwesti", "Aliatypus aquilonius", "Aliatypus erebus", "Aliatypus gnomus", "Aliatypus gulosus", "Aliatypus isolatus", "Aliatypus janus", "Aliatypus plutonis", "Aliatypus thompsoni", "Aliatypus torridus", "Aliatypus trophonius", "Antrodiaetus apachecus", "Antrodiaetus ashlandensis", "Antrodiaetus cerberus", "Antrodiaetus coylei", "Antrodiaetus effeminatus", "Antrodiaetus hageni", "Antrodiaetus lincolnianus", "Antrodiaetus metapacificus", "Antrodiaetus microunicolor", "Antrodiaetus montanus", "Antrodiaetus occultus", "Antrodiaetus pacificus", "Antrodiaetus pugnax", "Antrodiaetus robustus", "Antrodiaetus roretzi", "Antrodiaetus stygius", "Antrodiaetus unicolor", "Antrodiaetus yesoensis", "Opegrapha ramosa", "Opegrapha ravenelii", "Opegrapha regnellii", "Opegrapha reinkellae", "Opegrapha reniformis", "Opegrapha reticulata", "Opegrapha rhabdotis", "Opegrapha rhizocola", "Opegrapha ricasolii", "Opegrapha rigida", "Opegrapha rimicola", "Opegrapha rimulosa", "Opegrapha rinodinae", "Opegrapha riograndensis", "Opegrapha riograndensis var. riograndensis", "Opegrapha riograndensis var. subcincta", "Opegrapha rionegrensis", "Opegrapha riopiedrensis", "Opegrapha rissoensis", "Spumellaria incertae sedis", "Oncorhynchus nerka", "Myristica fragrans", "Myristica iners", "Myristica inutilis", "Myristica malabarica", "Myristica philippensis", "Juglans ailantifolia", "Juglans australis", "Juglans \u00d7 bixbyi", "Juglans boliviana", "Juglans californica", "Juglans cinerea", "Juglans hindsii", "Juglans hirsuta", "Juglans hopeiensis", "Juglans \u00d7 intermedia", "Juglans jamaicensis", "Juglans major", "Juglans mandshurica", "Juglans microcarpa", "Juglans mollis", "Juglans neotropica", "Juglans nigra", "Juglans olanchana", "Juglans pyriformis", "Juglans sigillata", "Juglans soratensis", "Juglans steyermarkii", "Juglans venezuelensis", "Periegops australia", "Periegops suterii", "Holarchaea globosa", "Holarchaea novaeseelandiae", "Chumma gastroperforata", "Opegrapha platycarpa", "Opegrapha plectocarpoidea", "Opegrapha pleistophragmoides", "Opegrapha plocina", "Opegrapha po\u00ebtarum", "Opegrapha poitiaei", "Opegrapha pollinii", "Opegrapha polymorpha", "Opegrapha populina", "Opegrapha populina f. microscopica", "Opegrapha populina f. populina", "Opegrapha porinicola", "Opegrapha primana", "Opegrapha prolificans", "Opegrapha prominula", "Opegrapha prominuloides", "Opegrapha prosodea", "Opegrapha prosodea var. diaphora", "Opegrapha prosodea var. havaiensis", "Opegrapha prosodea var. jamaicensis", "Opegrapha prosodea var. microcarpella", "Opegrapha prosodea var. notha", "Opegrapha prosodea var. novohebridica", "Opegrapha prosodea var. prosodea", "Opegrapha prostii", "Opegrapha protera", "Opegrapha proximans", "Opegrapha proximata", "Opegrapha pruinata", "Opegrapha pruinosa", "Opegrapha pseudoagelaea", "Opegrapha pseudorufescens", "Opegrapha puiggarii", "Opegrapha pulicaria", "Opegrapha pulicaris", "Opegrapha pulicaris f. lutescens", "Opegrapha pulicaris f. minuta", "Opegrapha pulicaris f. phaea", "Opegrapha pulicaris f. pollinii", "Opegrapha pulicaris f. pulicaris", "Opegrapha pulvinata", "Opegrapha punctata", "Opegrapha punctiformis", "Opegrapha punctulata", "Opegrapha pyrenocarpoides", "Opegrapha quadriseptata", "Opegrapha quaternella", "Opegrapha quinqueseptata", "Opegrapha quinqueseptula", "Opegrapha quintana", "Opegrapha radians", "Opegrapha ramealis", "Melloina gracilis", "Anisaspoides gigantea", "Anisaspis tuberculata", "Opegrapha rubecula", "Opegrapha rubefacta", "Opegrapha rubella", "Opegrapha rubella var. albicans", "Opegrapha rubella var. rubella", "Opegrapha rubella var. stellaris", "Opegrapha rubella var. viridescens", "Opegrapha rubefacta var. obtecta", "Opegrapha rubefacta var. rubefacta", "Opegrapha rubida", "Opegrapha rubiformis", "Opegrapha rubrica", "Opegrapha rufa", "Synaphris orientalis", "Opegrapha rufescens", "Synaphris letourneuxi", "Synaphris lehtineni", "Opegrapha rufescens var. rufescens", "Synaphris franzi", "Synaphris dalmatensis", "Synaphris calerensis", "Synaphris agaetensis", "Opegrapha rufescens var. stellaris", "Cepheia longiseta", "Opegrapha rufescens f. albicains", "Opegrapha rufescens f. albicans", "Opegrapha rufescens f. disparata", "Opegrapha rufescens f. elegans", "Opegrapha rufescens f. olivacea", "Opegrapha rufescens f. rufescens", "Hickmania troglodytes", "Opegrapha rufescens f. stellaris", "Opegrapha rufidula", "Thaida peculiaris", "Opegrapha rufoatra", "Thaida chepu", "Austrochilus schlingeri", "Austrochilus newtoni", "Austrochilus melon", "Austrochilus manni", "Austrochilus franckei", "Austrochilus forsteri", "Opegrapha rugulosa", "Opegrapha rupestris", "Drymusa spectata", "Drymusa simoni", "Drymusa silvicola", "Drymusa serrana", "Drymusa producta", "Drymusa nubila", "Drymusa dinora", "Drymusa capensis", "Drymusa canhemabae", "Drymusa armasi", "Perissopmeros quinguni", "Perissopmeros mullawerringi", "Perissopmeros grayi", "Perissopmeros foraminatus", "Perissopmeros castaneous", "Perissopmeros arkana", "Malkara loricata", "Carathea parawea", "Carathea miyali", "Chilenodes australis", "Opegrapha salicina", "Opegrapha santessonii", "Opegrapha saprophila", "Opegrapha saxatilis", "Opegrapha saxicola", "Acipenser sinensis", "Acipenser fulvescens", "Acipenser oxyrinchus", "Acipenser sturio", "Acipenser transmontanus", "Opegrapha saxicola var. garganica", "Acipenser ruthenus", "Opegrapha saxicola var. persoonii", "Scaphirhynchus albus", "Scaphirhynchus platorynchus", "Opegrapha saxicola var. saxicola", "Acacesia benigna", "Opegrapha sbarbaronis", "Opegrapha scalpturata", "Opegrapha scaphella", "Polypterus senegalus", "Opegrapha scripta", "Opegrapha scripta var. pulverulenta", "Opegrapha scripta var. scripta", "Atractosteus spatula", "Atractosteus tropicus", "Opegrapha scripta var. subtilis", "Acacesia hamata", "Acacesia villalobosi", "Acacesia yacuiensis", "Acantharachne seydeli", "Acantharachne regalis", "Acantharachne psyche", "Acantharachne milloti", "Acantharachne madecassa", "Acantharachne lesserti", "Acantharachne giltayi", "Acantharachne cornuta", "Acanthepeira cherokee", "Acanthepeira labidura", "Acanthepeira marion", "Acanthepeira stellata", "Acanthepeira venusta", "Acroaspis olorina", "Acroaspis tuberculifera", "Acrosomoides acrosomoides", "Acrosomoides linnaei", "Acrosomoides tetraedrus", "Actinacantha globulata", "Actinosoma pentacanthum", "Aculepeira vittata", "Aculepeira visite", "Aculepeira travassosi", "Aculepeira talishia", "Aculepeira taibaishanensis", "Aculepeira packardi", "Aculepeira matsudae", "Aculepeira machu", "Aculepeira luosangensis", "Aculepeira lapponica", "Aculepeira gravabilis", "Aculepeira escazu", "Aculepeira ceropegia", "Aculepeira carbonarioides", "Aculepeira carbonaria", "Aculepeira carbonaria fulva", "Aculepeira carbonaria sinensis", "Aculepeira busu", "Aculepeira azul", "Aculepeira armida", "Aculepeira armida pumila", "Aculepeira armida orientalis", "Aculepeira apa", "Aculepeira angeloi", "Aculepeira albovittata", "Aculepeira aculifera", "Prunus fruticans", "Prunus salicina", "Prunus simonii", "Prunus spinosa", "Prunus ursina", "Prunus vachuschtii", "Prunus sect.", "Prunus alleghaniensis", "Prunus americana", "Prunus angustifolia", "Prunus geniculata", "Prunus gracilis", "Prunus hortulana", "Prunus maritima", "Prunus mexicana", "Prunus munsoniana", "Prunus murrayana", "Prunus nigra", "Prunus orthosepala", "Prunus rivularis", "Prunus subcordata", "Prunus umbellata", "Prunus sect.", "Prunus ansu", "Prunus armeniaca", "Prunus brigantina", "Prunus \u00d7 dasycarpa", "Prunus mandshurica", "Prunus mume", "Prunus sibirica", "Prunus subg.", "Prunus fasciculata", "Prunus subg.", "Prunus sect.", "Prunus alaica", "Prunus apetala", "Prunus canescens", "Prunus cerasoides", "Prunus cerasus", "Prunus clarofolia", "Prunus concinna", "Prunus conradinae", "Prunus cyclamina", "Prunus dawyckensis", "Prunus dielsiana", "Prunus emarginata", "Prunus \u00d7 eminens", "Prunus fruticosa", "Prunus glandulifolia", "Prunus gondouinii", "Prunus himalaica", "Prunus incisa", "Prunus juddii", "Prunus leveilleana", "Acacesia graciosa", "Opegrapha semiatra", "Opegrapha septemseptata", "Opegrapha serusiauxii", "Opegrapha sexlocularis", "Opegrapha siderella", "Opegrapha signatella", "Opegrapha simplicior", "Opegrapha sipmanii", "Opegrapha sordida", "Opegrapha sordidescens", "Opegrapha sorediifera", "Opegrapha sororiella", "Opegrapha spaniota", "Opegrapha sparsella", "Opegrapha sphaerophoricola", "Opegrapha sphaerula", "Opegrapha spodolaeina", "Opegrapha spodopolia", "Opegrapha sporopodiae", "Opegrapha spurcata", "Opegrapha spuria", "Opegrapha squalida", "Opegrapha stellata", "Opegrapha stellulata", "Opegrapha stenoleuca", "Opegrapha stereocaulicola", "Opegrapha stictica", "Opegrapha stictoides", "Opegrapha stigmodes", "Opegrapha stigmoides", "Opegrapha stipata", "Opegrapha stirtonii", "Acusilas malaccensis", "Acusilas lepidus", "Acusilas dahoneus", "Acusilas coccineus", "Acusilas africanus", "Aethriscus pani", "Aethriscus olivaceus", "Aerea magnifica", "Aerea alticephala", "Aethrodiscus transversalis", "Aetrocantha falkensteini", "Opegrapha subeffigurans", "Afracantha camerunensis", "Agalenatea redii", "Opegrapha subgraphidiza", "Opegrapha subhiascens", "Alenatea wangi", "Alenatea touxie", "Opegrapha subimmersa", "Alenatea fuscocolorata", "Opegrapha subnebula", "Opegrapha subnothella", "Allocyclosa bifurca", "Opegrapha subocellata", "Opegrapha subparallela", "Alpaida yuto", "Alpaida yungas", "Alpaida yucuma", "Alpaida yotoco", "Alpaida xavantina", "Alpaida weyrauchi", "Opegrapha subrimulosa", "Alpaida wenzeli", "Alpaida versicolor", "Alpaida vera", "Alpaida veniliae", "Alpaida variabilis", "Alpaida vanzolinii", "Alpaida utiariti", "Alpaida utcuyacu", "Opegrapha subrimulosa var. microphleboides", "Opegrapha illecebrosula", "Opegrapha implexa", "Opegrapha inaequalis", "Opegrapha inaequans", "Opegrapha inalbescens", "Opegrapha inarensis", "Opegrapha indica", "Opegrapha insignior", "Opegrapha insignior var. fusca", "Opegrapha insignior var. insignior", "Opegrapha insularis", "Opegrapha interalbata", "Opegrapha interalbescens", "Opegrapha interalbicans", "Opegrapha interductula", "Opegrapha intertexta", "Opegrapha interveniens", "Opegrapha intricata", "Opegrapha intrusa", "Opegrapha irosina", "Opegrapha isabellina", "Opegrapha jamaicensis", "Opegrapha kalbii", "Opegrapha klementii", "Opegrapha koerberiana", "Castorocauda lutrasimilis", "Ambloplites cavifrons", "Ambloplites rupestris", "Sepulca mirabilis", "Eptatretus stoutii", "Sepulca mongolica", "Sepulenia syricta", "Opegrapha lacteella", "Opegrapha lactifera", "Opegrapha laeta", "Opegrapha lambinonii", "Opegrapha lamyi", "Opegrapha lavicola", "Opegrapha lecanactis", "Opegrapha leioplaca", "Prunus salasii", "Prunus sellowii", "Prunus stepposa", "Roccella caribaea", "Roccella colonii", "Roccella condensata", "Roccella decipiens", "Roccella difficilis", "Roccella dillenii", "Roccella dissecta", "Roccella dubia", "Roccella endochrocea", "Roccella fastigiata", "Roccella fimbriata", "Roccella flaccida", "Roccella fruticosa", "Roccella fuciformis", "Roccella fuciformis var. fuciformis", "Roccella fuciformis var. linearis", "Roccella galapagoensis", "Roccella geniculata", "Roccella glebaria", "Roccella gracilis", "Roccella grayi", "Roccella guanchica", "Roccella hertelii", "Roccella humboldtiana", "Roccella hypomecha", "Roccella hypomecha var. benguellensis", "Roccella hypomecha var. hypomecha", "Roccella hypomecha var. isabellina", "Roccella intermedia", "Anepsion wolffi", "Anepsion wichmanni", "Anepsion villosum", "Anepsion semialbum", "Anepsion roeweri", "Anepsion rhomboides", "Anepsion reimoseri", "Anepsion peltoides", "Anepsion maritatum", "Anepsion maculatum", "Anepsion japonicum", "Anepsion jacobsoni", "Anepsion hammeni", "Anepsion fuscolimbatum", "Anepsion buchi", "Anepsion depressum", "Anepsion depressum birmanicum", "Arachnura spinosa", "Arachnura simoni", "Arachnura scorpionoides", "Opegrapha stizorina", "Opegrapha striatula", "Opegrapha strigulae", "Opegrapha subabnormis", "Opegrapha subcalcarea", "Opegrapha subcentrifuga", "Opegrapha subcervina", "Opegrapha subclausa", "Opegrapha subdiaphora", "Opegrapha subdifficilis", "Opegrapha subdifficilis var. avicenniae", "Opegrapha subdifficilis var. subdifficilis", "Prunus subg.", "Prunus arabica", "Prunus argentea", "Prunus brahuica", "Prunus bucharica", "Prunus davidiana", "Prunus dulcis", "Prunus eburnea", "Prunus fenzliana", "Prunus persica subsp. ferganensis", "Prunus glandulosa", "Prunus haussknechtii", "Prunus havardii", "Prunus kansuensis", "Prunus kuramica", "Prunus lycioides", "Prunus microphylla", "Prunus minutiflora", "Prunus mira", "Prunus mongolica", "Prunus pedunculata", "Prunus persica", "Prunus persicoides", "Prunus petunnikowii", "Prunus scoparia", "Prunus spinosissima", "Prunus tangutica", "Prunus tenella", "Prunus texana", "Prunus trichamygdalus", "Prunus triloba", "Prunus turcomanica", "Prunus webbii", "Prunus subg.", "Prunus sect.", "Prunus blireiana", "Prunus bokhariensis", "Prunus cerasifera", "Prunus cocomilia", "Prunus consociiflora", "Prunus domestica", "Alpaida urucuca", "Alpaida tuonabo", "Alpaida tullgreni", "Opegrapha subrimulosa var. subrimulosa", "Alpaida truncata", "Alpaida trispinosa", "Alpaida trilineata", "Opegrapha subrufescens", "Opegrapha subsimilata", "Opegrapha subsulcata", "Opegrapha subvulgata", "Opegrapha suecica", "Opegrapha sulcata", "Alpaida tijuca", "Alpaida thaxteri", "Opegrapha sulphurata", "Alpaida tayos", "Alpaida tabula", "Alpaida sumare", "Opegrapha symbiotica", "Alpaida sulphurea", "Alpaida sobradinho", "Alpaida simla", "Alpaida silencio", "Alpaida sevilla", "Alpaida septemmammata", "Alpaida scriba", "Alpaida schneblei", "Alpaida santosi", "Alpaida sandrei", "Alpaida rubellula", "Alpaida rostratula", "Alpaida rossi", "Alpaida rosa", "Alpaida rioja", "Alpaida queremal", "Alpaida quadrilorata", "Alpaida picchu", "Alpaida pedro", "Alpaida orgaos", "Alpaida oliverioi", "Opegrapha tapetica", "Alpaida octolobata", "Alpaida nonoai", "Alpaida niveosigillata", "Opegrapha tartarea", "Opegrapha tectiformis", "Alpaida truncata sexmaculata", "Opegrapha tenuior", "Alpaida truncata obscura", "Alpaida nigrofrenata", "Opegrapha thallincola", "Alpaida negro", "Alpaida natal", "Alpaida narino", "Opegrapha thelopsisocia", "Alpaida nancho", "Alpaida nadleri", "Opegrapha thelotrematis", "Opegrapha thuretii", "Opegrapha tigrensis", "Opegrapha tiliacea", "Opegrapha ulcerata", "Alpaida costai", "Alpaida coroico", "Alpaida constant", "Alpaida conica", "Opegrapha ulmaria", "Alpaida citrina", "Alpaida cisneros", "Alpaida chickeringi", "Opegrapha umbellulariae", "Alpaida chapada", "Alpaida championi", "Alpaida chaco", "Alpaida carminea", "Alpaida canoa", "Opegrapha umbrata", "Alpaida canela", "Alpaida calotypa", "Opegrapha umbrosa", "Alpaida cali", "Alpaida cachimbo", "Alpaida boraceia", "Alpaida boa", "Opegrapha undulata", "Alpaida bischoffi", "Alpaida bicornuta", "Alpaida biasii", "Opegrapha unicolor", "Alpaida banos", "Alpaida atomaria", "Alpaida antonio", "Alpaida angra", "Alpaida anchicaya", "Opegrapha uniseptata", "Alpaida amambay", "Alpaida alvarengai", "Alpaida alto", "Alpaida alticeps", "Alpaida almada", "Alpaida albocincta", "Alpaida acuta", "Amazonepeira masaka", "Amazonepeira manaus", "Amazonepeira herrera", "Amazonepeira callaria", "Amazonepeira beno", "Opegrapha urosperma", "Opegrapha urosperma var. brunnea", "Opegrapha urosperma var. substellata", "Opegrapha urosperma var. urosperma", "Opegrapha varia", "Opegrapha varia var. glomerulans", "Opegrapha varia var. heterocarpa", "Opegrapha varia var. phaea", "Opegrapha varia var. pulicaris", "Opegrapha varians", "Opegrapha variegata", "Opegrapha vegae", "Opegrapha velata", "Opegrapha vermelhana", "Araneus v-notatus", "Araneus viridulus", "Araneus viridiventris", "Araneus viridisomus", "Araneus virgus", "Araneus virgunculus", "Araneus viperifer", "Araneus vincibilis", "Araneus villa", "Araneus vermimaculatus", "Araneus ventriosus", "Araneus ventricosus", "Araneus ventricosus yaginumai", "Araneus ventricosus nigellus", "Araneus ventricosus nigelloides", "Araneus ventricosus montanus", "Araneus ventricosus montanioides", "Araneus ventricosus kishuensis", "Araneus ventricosus ishinodai", "Araneus ventricosus hakonensis", "Araneus ventricosus globulus", "Araneus ventricosus abikonus", "Araneus venatrix", "Araneus variegatus", "Araneus uyemurai", "Araneus usualis", "Araneus urubamba", "Araneus uruapan", "Araneus ursimorphus", "Araneus urquharti", "Araneus urbanus", "Araneus unistriatus", "Araneus uniformis", "Araneus unanimus", "Araneus ubicki", "Opegrapha tremens", "Opegrapha tribulodes", "Opegrapha tricosa", "Opegrapha trifurcata", "Opegrapha trilocularis", "Opegrapha tuckermanii", "Opegrapha tumidula", "Opegrapha tunetana", "Opegrapha tuxtlensis", "Alpaida murtinho", "Alpaida muco", "Alpaida morro", "Alpaida monzon", "Alpaida moka", "Alpaida moata", "Alpaida mato", "Alpaida marta", "Alpaida marmorata", "Alpaida manicata", "Alpaida madeira", "Alpaida machala", "Alpaida lubinae", "Alpaida lomba", "Alpaida leucogramma", "Alpaida latro", "Alpaida kochalkai", "Alpaida keyserlingi", "Alpaida kartabo", "Alpaida jacaranda", "Alpaida itauba", "Alpaida itapua", "Alpaida iquitos", "Alpaida iguazu", "Alpaida holmbergi", "Alpaida hoffmanni", "Alpaida hartliebi", "Alpaida haligera", "Alpaida gurupi", "Alpaida guimaraes", "Alpaida grayi", "Alpaida graphica", "Alpaida gracia", "Alpaida gallardoi", "Alpaida erythrothorax", "Alpaida ericae", "Alpaida elegantula", "Alpaida eberhardi", "Alpaida dominica", "Alpaida delicata", "Alpaida deborae", "Alpaida darlingtoni", "Alpaida cuyabeno", "Alpaida cuiaba", "Prunus pensylvanica", "Prunus pleiocerasus", "Prunus pseudocerasus", "Prunus rufa", "Prunus sargentii", "Prunus schmittii", "Prunus serrula", "Prunus serrulata", "Prunus setulosa", "Prunus \u00d7 sieboldii", "Prunus speciosa", "Prunus stipulacea", "Prunus \u00d7 subhirtella", "Prunus takasagomontana", "Prunus takesimensis", "Prunus trichostoma", "Prunus verecunda", "Prunus \u00d7 yedoensis", "Prunus sect.", "Prunus africana", "Prunus brachypoda", "Prunus buergeriana", "Prunus caroliniana", "Prunus ceylanica", "Prunus cornuta", "Prunus grayana", "Prunus grisea", "Prunus ilicifolia", "Prunus incana", "Prunus jenkinsii", "Prunus laurocerasus", "Prunus lusitanica", "Prunus lyonii", "Prunus myrtifolia", "Prunus napaulensis", "Prunus obtusata", "Prunus padus", "Prunus phaeosticta", "Prunus spinulosa", "Prunus ssiori", "Prunus turneriana", "Prunus undulata", "Prunus virginiana", "Prunus wilsonii", "Prunus zippeliana", "Prunus sect.", "Prunus bifrons", "Prunus \u00d7 cistena", "Prunus humilis", "Prunus jacquemontii", "Prunus japonica", "Prunus microcarpa", "Prunus prostrata", "Prunus tomentosa", "Prunus sect.", "Prunus andersonii", "Prunus fremontii", "Prunus pumila", "Prunus arnoldiana", "Prunus cerasia", "Prunus ferganica", "Prunus occidentalis", "Opegrapha vermicellifera", "Opegrapha vermicellifera f. deplanata", "Opegrapha vermicellifera f. discrepans", "Opegrapha vermicellifera f. spermogonifera", "Opegrapha vermicellifera f. subpulicaris", "Opegrapha vermicellifera f. vermicellifera", "Opegrapha vermiculus", "Opegrapha vernicosa", "Opegrapha verrucarioides", "Opegrapha verrucarioides var. megalyna", "Opegrapha verrucarioides var. verrucarioides", "Opegrapha versiformis", "Opegrapha vestita", "Opegrapha violatra", "Opegrapha virescens", "Opegrapha viridescens", "Opegrapha viridis", "Opegrapha viridis f. albicans", "Opegrapha viridis f. perminuta", "Opegrapha viridis f. subatra", "Opegrapha viridis f. viridis", "Opegrapha viridistellata", "Opegrapha viridula", "Opegrapha viridulata", "Arachnura quinqueapicata", "Arachnura pygmaea", "Arachnura perfissa", "Arachnura melanura", "Arachnura logio", "Arachnura higginsi", "Arachnura heptotubercula", "Arachnura feredayi", "Arachnura caudatella", "Arachnura angura", "Roccella intricata", "Roccella kappeniana", "Roccella intricata var. alectorioides", "Roccella intricata var. intricata", "Roccella linearis", "Roccella linearis var. quineensis", "Roccella linearis var. linearis", "Roccella linearis var. primaria", "Roccella lirellina", "Araneus zygielloides", "Roccella margaritifera", "Roccella mexicana", "Roccella minima", "Araneus zuluanus", "Araneus zhaoi", "Araneus zelus", "Araneus zebrinus", "Araneus zapallar", "Araneus yuzhongensis", "Araneus yunnanensis", "Araneus yukon", "Araneus yuanminensis", "Araneus yatei", "Araneus yasudai", "Araneus yadongensis", "Araneus xizangensis", "Araneus xianfengensis", "Araneus xavantina", "Araneus wulongensis", "Araneus workmani", "Araneus woodfordi", "Araneus wokamus", "Araneus washingtoni", "Araneus walesianus", "Araneus vulvarius", "Araneus vulpinus", "Araneus diadematus islandicus", "Araneus diadematus nemorosus", "Araneus diadematus soror", "Araneus diadematus stellatus", "Araneus volgeri", "Opegrapha vulgaris", "Opegrapha vulgata", "Opegrapha vulgata var. abbreviata", "Opegrapha vulgata var. parallela", "Opegrapha vulgata f. abbreviata", "Opegrapha vulgata f. vulgata", "Opegrapha vulvella", "Opegrapha wainioi", "Opegrapha werneri", "Opegrapha wetmorei", "Opegrapha xanthocarpa", "Opegrapha xerica", "Opegrapha xylographiza", "Opegrapha xylographoides", "Opegrapha zanei", "Opegrapha zapallarensis", "Opegrapha zaratensis", "Opegrapha zwackhii", "Pseudolecanactis filicicola", "Reinkella lirellina", "Roccella africana", "Roccella allorgei", "Roccella applanata", "Roccella arboricola", "Roccella arnoldii", "Roccella atacamensis", "Roccella babingtonii", "Roccella balfourii", "Roccella belangeriana", "Roccella boergesenii", "Roccella boryi", "Roccella canariensis", "Roccella capensis", "Prunus maackii", "Prunus mahaleb", "Prunus maximowiczii", "Prunus meyeri", "Prunus nipponica", "Araneus tuscarora", "Araneus tubabdominus", "Lipomera genus", "Entoloma sect.", "Entoloma subsect.", "Entoloma subsect.", "Entoloma sect.", "Entoloma sect.", "Entoloma sect.", "Entoloma sect.", "Entoloma sect.", "Entoloma sect.", "Entoloma sect.", "Roccella mollusca", "Roccella montagnei", "Roccella mossamedana", "Roccella obscurrisima", "Roccella patellata", "Roccella pattensis", "Roccella pembensis", "Roccella phycopsis", "Roccella podocarpa", "Roccella phycopsis f. phycopsis", "Roccella phycopsis f. pygmaea", "Roccella portentosa", "Roccella pusilla", "Roccella pygmaea", "Roccella ramalinoides", "Roccella sinensis", "Roccella stipitata", "Roccella subpodicellata", "Roccella subpodicellata f. complanata", "Roccella subpodicellata f. subpodicellata", "Roccella teneriffensis", "Roccella tinctoria", "Roccella tinctoria var. subpodicellata", "Roccella tinctoria var. tinctoria", "Roccella tinctoria f. complanata", "Roccella tinctoria f. tinctoria", "Roccella translucida", "Roccella tuberculata", "Roccella tuberculata var. tuberculata", "Roccella tuberculata var. vicentina", "Roccella verruculosa", "Roccella vicentina", "Amphizoa sinica", "Araneus tenancingo", "Araneus tellezi", "Araneus tatsulokeus", "Araneus tatianae", "Araneus tartaricus", "Araneus taperae", "Araneus tamerlani", "Araneus tambopata", "Araneus talipedatus", "Araneus talca", "Araneus talasi", "Araneus taigunensis", "Roccellina accedens", "Roccellina badia", "Araneus sylvicola", "Araneus sydneyicus", "Araneus svanetiensis", "Araneus sulfurinus", "Araneus subumbrosus", "Araneus subflavidus", "Araneus suavis", "Araneus sturmi", "Araneus strupifer", "Araneus strigatellus", "Araneus striatipes", "Araneus strandiellus", "Araneus stolidus", "Araneus stella", "Araneus stabilis", "Araneus squamifer", "Araneus sponsus", "Araneus speculabundus", "Araneus spathurus", "Araneus sogdianus", "Araneus sinuosus", "Araneus sinistrellus", "Araneus singularis", "Araneus simillimus", "Araneus sicki", "Araneus shunhuangensis", "Araneus sernai", "Araneus sericinus", "Araneus septemtuberculatus", "Araneus separatus", "Hedera caucasigena", "Hedera colchica", "Hedera helix", "Hedera nepalensis", "Hedera rhombea", "Schlumbergera \u00d7 buckleyi", "Schlumbergera \u00d7 exotica", "Schlumbergera kautskyi", "Schlumbergera microsphaerica", "Schlumbergera opuntioides", "Schlumbergera orssichiana", "Schlumbergera \u00d7 reginae", "Schlumbergera russelliana", "Schlumbergera truncata", "Matricaria aurea", "Matricaria discoidea", "Pisum fulvum", "Pisum sativum", "Brassica oleracea var. alboglabra", "Brassica oleracea var. botrytis", "Brassica oleracea var. gemmifera", "Araneus tsurusakii", "Araneus tschuiskii", "Araneus triguttatus", "Araneus trigonus", "Araneus trigonophorus", "Araneus trifolium", "Araneus tricoloratus", "Araneus triangulus", "Araneus transversus", "Araneus transversivittiger", "Araneus toruaigiri", "Araneus tonkinus", "Araneus toma", "Araneus titirus", "Araneus tinikdikitus", "Araneus tijuca", "Araneus tiganus", "Araneus thorelli", "Araneus thevenoti", "Araneus thaddeus", "Araneus texanus", "Araneus tetraspinulus", "Araneus tepic", "Araneus tengxianensis", "Araneus tenerius", "Araneus senicaudatus", "Araneus senicaudatus simplex", "Araneus seminiger", "Araneus selva", "Araneus seensis", "Araneus scutigerens", "Araneus scutifer", "Araneus scutellatus", "Araneus schrencki", "Araneus schneblei", "Araneus savesi", "Araneus santarita", "Araneus santacruziensis", "Araneus sambava", "Roccellina capensis", "Araneus salto", "Araneus sagicola", "Araneus saevus", "Araneus saccalava", "Araneus ryukyuanus", "Araneus rufipes", "Araneus rubrivitticeps", "Araneus rubripunctatus", "Araneus rubicundulus", "Roccellina cerebriformis", "Araneus royi", "Araneus rotundulus", "Araneus rotundicornis", "Araneus roseomaculatus", "Araneus riveti", "Araneus reversus", "Araneus obscurtus", "Araneus nympha", "Araneus nuboso", "Araneus nox", "Araneus novaepommerianae", "Araneus noumeensis", "Araneus notandus", "Araneus pallasi", "Araneus notacephalus", "Araneus nossibeus", "Araneus nordmanni", "Araneus nojimai", "Araneus noegeatus", "Araneus niveus", "Araneus nigroquadratus", "Araneus nigropunctatus", "Schismatomma accedens", "Araneus nigroflavornatus", "Schismatomma africanum", "Schismatomma albisedum", "Schismatomma albocinctum", "Schismatomma atacamense", "Schismatomma atomellum", "Schismatomma atratum", "Schismatomma banksiae", "Schismatomma bimarginatum", "Araneus nigrodecoratus", "Araneus nigricaudus", "Araneus nigmanni", "Araneus nidus", "Araneus nephelodes", "Araneus neocaledonicus", "Araneus necopinus", "Araneus nashoba", "Araneus nacional", "Araneus myurus", "Araneus musawas", "Araneus mulierarius", "Araneus motuoensis", "Araneus mossambicanus", "Araneus morulus", "Araneus mortoni", "Araneus moretonae", "Araneus montereyensis", "Araneus monoceros", "Araneus monica", "Araneus mitificus", "Araneus miquanensis", "Araneus minutalis", "Araneus miniatus", "Araneus minahassae", "Araneus mimosicola", "Araneus microtuberculatus", "Araneus microsoma", "Araneus miami", "Araneus meus", "Araneus metellus", "Araneus metalis", "Araneus mertoni", "Oxytropis leucantha", "Oxytropis maydelliana", "Oxytropis melanocalyx", "Oxytropis microphylla", "Oxytropis mollis", "Oxytropis myriophylla", "Oxytropis neglecta", "Oxytropis nigrescens", "Oxytropis nitens", "Oxytropis oreophila", "Oxytropis oxyphylla", "Oxytropis pilosa", "Oxytropis prostrata", "Oxytropis pseudoglandulosa", "Oxytropis recognita", "Oxytropis scammaniana", "Oxytropis sericea", "Oxytropis sordida", "Oxytropis splendens", "Oxytropis strobilacea", "Oxytropis submutica", "Oxytropis szovitsii", "Oxytropis tragacanthoides", "Oxytropis uralensis", "Araneus phrygiatus", "Araneus phlyctogena", "Araneus phaleratus", "Araneus pfeifferae", "Araneus petersi", "Araneus perincertus", "Araneus pentagrammicus", "Araneus penai", "Araneus pellax", "Araneus pegnia", "Araneus pecuensis", "Araneus pavlovi", "Araneus pauxillus", "Araneus parvus", "Araneus parvulus", "Araneus partitus", "Araneus papulatus", "Araneus panniferens", "Araneus panchganiensis", "Araneus pallidus", "Araneus pallescens", "Araneus paitaensis", "Araneus pahli", "Araneus pahalgaonensis", "Araneus paenulatus", "Araneus oxyurus", "Araneus oxygaster", "Araneus origenus", "Araneus orgaos", "Araneus omnicolor", "Araneus ogatai", "Araneus octodentalis", "Araneus ocellatulus", "Araneus ocaxa", "Araneus obtusatus", "Araneus obscurissimus", "Araneus praesignis", "Araneus praedatus", "Roccellina nipponica", "Roccellina obscura", "Roccellina olivacea", "Roccellina suffructicosa", "Roccellina terrestris", "Araneus poumotuus", "Araneus postilena", "Araneus popaco", "Araneus pontii", "Araneus poltyoides", "Araneus pogisa", "Araneus pius", "Araneus pistiger", "Araneus pinguis", "Araneus pictithorax", "Araneus pico", "Araneus pichoni", "Araneus phyllonotus", "Diplodiella anatolica", "Phaeochorella artocarpi", "Phaeochorella ciliata", "Phaeochorella clypeata", "Phaeochorella machaerii", "Phaeochorella parinarii", "Phaeochorella zonata", "Roccellographa cretacea", "Sagenidium candidum", "Sagenidium citrinum", "Sagenidium molle", "Sagenidium niveum", "Sagenidium patagonicum", "Ascochyta vindobonensis", "Araneus meropes", "Araneus menglunensis", "Araneus mendoza", "Araneus memoryi", "Araneus mbogaensis", "Araneus mazamitla", "Araneus mayumiae", "Araneus mauensis", "Araneus matogrosso", "Araneus mastersi", "Araneus masoni", "Araneus masculus", "Araneus marmoroides", "Araneus marmoreus", "Araneus mariposa", "Araneus margitae", "Araneus margaritae", "Araneus mangarevoides", "Araneus mammatus", "Araneus mamillanus", "Araneus madagascaricus", "Araneus macleayi", "Araneus macacus", "Araneus lutulentus", "Araneus luteofaciens", "Araneus longicaudus", "Araneus lodicula", "Araneus loczyanus", "Araneus lixicolor", "Araneus lithyphantiformis", "Agalenatea liriope", "Araneus linzhiensis", "Araneus lintatus", "Araneus linshuensis", "Araneus lineatus", "Araneus lineatipes", "Araneus licenti", "Araneus liberiae", "Araneus liberalis", "Araneus liber", "Araneus leones", "Schismatomma byssisedum", "Schismatomma caesitium", "Schismatomma carneum", "Araneus lenzi", "Araneus lenkoi", "Araneus legonensis", "Araneus lechugalensis", "Schismatomma ceylanicum", "Araneus leai", "Araneus latirostris", "Araneus lathyrinus", "Schismatomma chilense", "Schismatomma chlorochroa", "Schismatomma chloroleucum", "Schismatomma cinerascens", "Schismatomma cinereum", "Araneus lateriguttatus", "Araneus lanio", "Araneus lancearius", "Araneus lamperti", "Araneus ladschicola", "Araneus lacrymosus", "Araneus guttulatus", "Araneus guttatus", "Araneus gurdus", "Schismatomma dolosum f. dolosum", "Araneus gundlachi", "Araneus guessfeldi", "Araneus guerrerensis", "Schismatomma dolosum f. patellare", "Araneus guatemus", "Araneus guandishanensis", "Araneus grossus", "Araneus groenlandicola", "Schismatomma dolosum f. rimatum", "Araneus gratiolus", "Araneus granti", "Araneus granadensis", "Araneus graemii", "Araneus graeffi", "Schismatomma dolosum f. scutellare", "Araneus goniaeoides", "Araneus goniaeus", "Araneus goniaeus virens", "Araneus ginninderranus", "Araneus gibber", "Araneus gestroi", "Araneus gestrellus", "Araneus gerais", "Araneus gemmoides", "Araneus gemma", "Araneus geminatus", "Araneus gazerti", "Araneus gazellae", "Araneus galero", "Araneus gadus", "Araneus fuscinotus", "Araneus fulvellus", "Araneus frosti", "Araneus fronki", "Araneus frio", "Araneus formosellus", "Araneus floriatus", "Heliaster helianthus", "Araneus flavus", "Araneus flavosignatus", "Araneus flavosellatus", "Araneus flavopunctatus", "Araneus flavisternis", "Araneus flagelliformis", "Araneus fistulosus", "Araneus fishoekensis", "Araneus finneganae", "Araneus fictus", "Araneus ferrugineus", "Araneus ferganicus", "Araneus fengshanensis", "Araneus felinus", "Araneus faxoni", "Araneus favorabilis", "Araneus fastidiosus", "Araneus exsertus", "Araneus expletus", "Araneus excavatus", "Araneus enyoides", "Araneus enucleatus", "Araneus emmae", "Araneus elongatus", "Araneus ellipticus", "Araneus elizabethae", "Araneus elatatus", "Araneus ejusmodi", "Araneus eburnus", "Araneus eburneiventris", "Araneus ealensis", "Araneus drygalskii", "Araneus dreisbachi", "Araneus dospinolongus", "Araneus dofleini", "Araneus doenitzellus", "Araneus diversicolor", "Araneus dimidiatus", "Araneus diffinis", "Araneus dianiphus", "Araneus diadematoides", "Araneus diabrosis", "Araneus detrimentosus", "Araneus desierto", "Araneus depressatulus", "Araneus demoniacus", "Araneus decoratus", "Araneus decolor", "Araneus decentellus", "Araneus decaisnei", "Araneus dayongensis", "Araneus cyrtarachnoides", "Araneus cyphoxis", "Araneus cyclops", "Araneus cungei", "Araneus cuiaba", "Araneus cristobal", "Araneus crispulus", "Araneus crinitus", "Araneus crassipes", "Araneus corticarius", "Araneus corticaloides", "Araneus corporosus", "Araneus corbita", "Araneus concoloratus", "Araneus concinnus", "Araneus concepcion", "Araneus comptus", "Araneus compsus", "Schismatomma elaeocarpum", "Schismatomma epipolium", "Schismatomma flavescens", "Schismatomma flavidoatrum", "Schismatomma flavisedellum", "Schismatomma flexuosum", "Schismatomma fractuosum", "Schismatomma fuegiensis", "Schismatomma galactinum", "Schismatomma gemmatum", "Araneus kraepelini", "Araneus komi", "Araneus koepckeorum", "Araneus klaptoczi", "Araneus kiwuanus", "Araneus kirgisikus", "Araneus kerr", "Araneus karissimbicus", "Araneus kapiolaniae", "Araneus kalaharensis", "Araneus juniperi", "Araneus jamundi", "Schismatomma constrictum", "Araneus jalisco", "Araneus jalimovi", "Schismatomma cretaceum", "Schismatomma cupressum", "Schismatomma decolorans", "Araneus iviei", "Araneus ishisawai", "Araneus isabella", "Araneus iriomotensis", "Araneus inustus", "Araneus interjectus", "Araneus inquietus", "Araneus indistinctus", "Araneus illaudatus", "Araneus iguacu", "Araneus idoneus", "Araneus humilis", "Araneus huixtla", "Araneus hui", "Araneus huahun", "Araneus hotteiensis", "Araneus hoshi", "Schismatomma deightonii", "Araneus hortensis", "Araneus horizonte", "Araneus holzapfelae", "Araneus hispaniola", "Araneus hirsutulus", "Araneus hirsti", "Araneus himalayanus", "Araneus hierographicus", "Schismatomma diplotommoides", "Araneus herbeus", "Araneus henanensis", "Araneus haruspex", "Araneus haploscapellus", "Schismatomma diplotommoides var. crenulatum", "Araneus hampei", "Araneus hamiltoni", "Schismatomma diplotommoides var. diplotommoides", "Araneus haematomerus", "Araneus habilis", "Schismatomma dirinellum", "Schismatomma dirineum", "Schismatomma dirineum var. australica", "Schismatomma dirineum var. dirineum", "Schismatomma dolosum", "Ascochytella astragalina", "Urocitellus beldingi", "Ascochyta ischaemi", "Abropelta fusarioides", "Orobanche aegyptiaca", "Orobanche amethystea", "Orobanche cernua", "Orobanche coerulescens", "Orobanche cooperi", "Orobanche crenata", "Orobanche fasciculata", "Orobanche flava", "Orobanche lavandulacea", "Orobanche lucorum", "Orobanche ludoviciana", "Orobanche major", "Orobanche minor", "Orobanche pycnostachya", "Orobanche ramosa", "Orobanche salviae", "Orobanche variegata", "Oxytropis ambigua", "Oxytropis ampullata", "Oxytropis anertii", "Oxytropis arctica", "Oxytropis besseyi", "Oxytropis borealis", "Oxytropis campanulata", "Oxytropis campestris", "Oxytropis campestris var. chartacea", "Oxytropis carpatica", "Oxytropis deflexa", "Oxytropis eriocarpa", "Oxytropis floribunda", "Oxytropis glabra", "Oxytropis halleri", "Oxytropis hirta", "Oxytropis huddelsonii", "Oxytropis kansuensis", "Oxytropis lambertii", "Oxytropis lapponica", "Schismatomma glaucescens", "Schismatomma graphidioides", "Schismatomma gregantulum", "Schismatomma gymnophorum", "Schismatomma hafellneri", "Schismatomma homalum", "Schismatomma hypothallinum", "Schismatomma incurvulum", "Schismatomma japonicum", "Schismatomma lecanoroides", "Schismatomma leucopsarum", "Schismatomma lineolatum", "Schismatomma margaritaceum", "Schismatomma melastigma", "Schismatomma minima", "Schismatomma monstruosum", "Schismatomma multiloculare", "Schismatomma myriommata", "Schismatomma niveum", "Schismatomma occultum", "Schismatomma occultum var. microstictum", "Schismatomma occultum var. occultum", "Schismatomma occultum f. decolerascens", "Schismatomma occultum f. occultum", "Schismatomma ocellulatum", "Schismatomma palidellum", "Schismatomma paradoxum", "Schismatomma permutans", "Schismatomma picconianum", "Schismatomma pitardii", "Schismatomma planissimum", "Schismatomma platygraphellum", "Schismatomma platygraphellum var. fraudans", "Schismatomma platygraphellum var. platygraphellum", "Schismatomma pluriloculare", "Schismatomma psaroleucoides", "Schismatomma psaroleucum", "Schismatomma punctellum", "Schismatomma quercicola", "Schismatomma rappii", "Schismatomma ravenelii", "Schismatomma rediunta", "Schismatomma ricasolii", "Schismatomma saxatile", "Schismatomma septenarium", "Schismatomma shirleyanum", "Schismatomma squamigerum", "Schismatomma stictoides", "Schismatomma striguloides", "Schismatomma subrimatum", "Schismatomma tumidulum", "Schismatomma umbrinum", "Schismatomma undulatum", "Schismatomma usambarense", "Schismatomma vernans", "Schismatomma veridescens", "Schismatomma zaborskianum var. lividum", "Schismatomma zaborskianum var. zaborskianum", "Schizopelte californica", "Malaclemys terrapin", "Salix babylonica", "Morus alba", "Ursus arctos horribilis", "Parnassia alpicola", "Parnassia caroliniana", "Parnassia delavayi", "Parnassia fimbriata", "Parnassia kotzebuei", "Parnassia nubicola", "Parnassia palustris", "Parnassia palustris var. montanensis", "Parnassia palustris var. palustris", "Parnassia palustris var. parviflora", "Parnassia palustris var. tenuis", "Parthenium alpinum", "Parthenium argentatum", "Parthenium bipinnatifidum", "Parthenium confertum", "Parthenium fruticosum", "Parthenium hispidum", "Parthenium hysterophorus", "Parthenium incanum", "Parthenium integrifolium", "Parthenium schottii", "Parthenium tomentosum", "Sclerophyton aptrootii", "Sclerophyton desertorum", "Sclerophyton elegans", "Sclerophyton extenuatum", "Sclerophyton fluorescens", "Sclerophyton hillii", "Sclerophyton indicum", "Sclerophyton insularum", "Sclerophyton maculatum", "Sclerophyton madagascariense", "Sclerophyton murex", "Sclerophyton muriforme", "Sclerophyton rostratum", "Sclerophyton seriale", "Sclerophyton stigmaticum", "Sclerophyton syncesioides", "Sclerophyton trinidadense", "Sclerophyton vertex", "Sigridea albella", "Sigridea californica", "Sigridea chloroleuca", "Sigridea glaucomoides", "Clemmys guttata", "Sigridea leptothallus", "Ursus arctos middendorffi", "Ursus arctos californicus", "Emydoidea blandingii", "Araneus repetecus", "Araneus relicinus", "Araneus recherchensis", "Araneus raui", "Araneus rarus", "Araneus rani", "Araneus ramulosus", "Araneus rainbowi", "Araneus ragnhildae", "Araneus radja", "Araneus rabiosulus", "Araneus quirapan", "Araneus quietus", "Araneus qianshan", "Araneus quadratus", "Araneus quadratus minimus", "Araneus quadratus subviridis", "Roccellina cerebriformis f. cerebriformis", "Roccellina cerebriformis f. sorediata", "Roccellina chalybea", "Roccellina chilena", "Roccellina condensata", "Roccellina conformis", "Roccellina corrugata", "Roccellina exspectata", "Roccellina falklandica", "Roccellina flavida", "Xenosella coxospinosa", "Roccellina franciscana", "Roccellina inaequabilis", "Roccellina jamesii", "Roccellina limitata", "Lecanactis luteola", "Araneus purus", "Araneus pupulus", "Araneus punctipedellus", "Roccellina lutosa", "Araneus pulchriformis", "Araneus pulcherrimus", "Araneus puebla", "Araneus pudicus", "Araneus psittacinus", "Roccellina mahuiana", "Araneus pseudoventricosus", "Araneus pseudosturmii", "Araneus pseudoconicus", "Roccellina nigricans", "Araneus prunus", "Araneus providens", "Araneus prospiciens", "Araneus pronubus", "Roccellina nigrocincta", "Araneus principis", "Araneus pratensis", "Araneus prasius", "Polygala crotalarioides", "Polygala crucianelloides", "Polygala cruciata", "Polygala curtissii", "Polygala cymosa", "Rhinotropis lindheimeri var. eucosma", "Polygala glochidiata", "Polygala hecatantha", "Polygala hemipterocarpa", "Polygala hookeri", "Polygala incarnata", "Polygala japonica", "Polygala leptocaulis", "Polygala leptostachys", "Polygala lewtonii", "Polygala longicaulis", "Polygala lutea", "Polygala major", "Polygala mariana", "Polygala microphylla", "Polygala myrtifolia", "Polygala nana", "Polygala nicaeensis", "Polygala nuttallii", "Hebecarpa obscura", "Polygala oppositifolia", "Rhopalostylis sapida", "Nipholepis filicina", "Pulvinodecton kurzii", "Pulvinodecton seychellensis", "Sipmania peltata", "Synarthonia bicolor", "Synarthonia stigmatidialis", "Tania lanosa", "Tarbertia juncina", "Trichophyma bunchosiae", "Trichophyma bunoniae", "Trichophyma similis", "Tylophorella polyspora", "Tylophorella polyspora f. compressa", "Tylophorella polyspora f. polyspora", "Tylophorella pyrenocarpoides", "Wegea tylophorelloides", "Rattus fuscipes", "Cymbothyrium sudans", "Agabetes acuductus", "Acidithiobacillus thiooxidans", "Acidithiobacillus albertensis", "Acidithiobacillus caldus", "Acidithiobacillus ferrooxidans", "Dolosicoccus paucivorans", "Simonyella variegata", "Streimannia varieseptata", "Phlox gracilis", "Phlox sect.", "Phlox adsurgens", "Phlox amabilis", "Phlox amplifolia", "Phlox bifida", "Phlox buckleyi", "Phlox carolina", "Phlox caryophylla", "Phlox cluteana", "Phlox dolichantha", "Phlox glaberrima", "Phlox grayi", "Phlox hirsuta", "Phlox idahonis", "Phlox longifolia", "Phlox maculata", "Phlox ovata", "Phlox paniculata", "Phlox pulchra", "Phlox stansburyi", "Phlox stolonifera", "Phlox subulata", "Phlox superba", "Phlox viscida", "Phlox glaberrima subsp. glaberrima", "Phlox glaberrima subsp. interior", "Phlox glaberrima subsp. triflora", "Phlox sect.", "Phlox aculeata", "Phlox albomarginata", "Phlox alyssifolia", "Phlox andicola", "Phlox austromontana", "Phlox bryoides", "Phlox caespitosa", "Phlox condensata", "Phlox diffusa", "Phlox dispersa", "Phlox douglasii", "Phlox gladiformis", "Phlox griseola", "Phlox hendersonii", "Phlox hoodii", "Phlox jonesii", "Phlox kelseyi", "Phlox mollis", "Phlox multiflora", "Phlox muscoides", "Phlox peckii", "Phlox pulvinata", "Phlox richardsonii", "Phlox sibirica", "Phlox variabilis", "Phlox sect.", "Phlox amoena", "Phlox colubrina", "Phlox cuspidata", "Phlox divaricata", "Phlox drummondii", "Phlox floridana", "Phlox glabriflora", "Phlox longipilosa", "Phlox mesoleuca", "Phlox mexicana", "Phlox nana", "Phlox nivalis", "Phlox oklahomensis", "Phlox pattersonii", "Phlox pilosa", "Phlox roemeriana", "Phlox speciosa", "Phlox tenuifolia", "Phlox triovulata", "Phlox woodhousii", "Rhacodactylus leachianus", "Arthophacopsis parmeliarum", "Catarraphia dictyoplaca", "Hormosphaeria tessellata", "Hebecarpa ovatifolia", "Polygala paniculata", "Polygala polygama", "Polygala ramosa", "Hebecarpa rectipilis", "Polygala rugelii", "Polygala sanguinea", "Polygala scoparioides", "Polygala senega", "Polygala serpyllifolia", "Polygala setacea", "Polygala sibirica", "Polygala smallii", "Polygala tenuifolia", "Polygala venenosa", "Polygala verticillata", "Asemeia violacea", "Polygala virgata", "Velociraptor mongoliensis", "Plantago subg.", "Plantago asiatica", "Plantago australis", "Plantago cordata", "Plantago depressa", "Plantago hawaiensis", "Plantago major", "Plantago media", "Plantago princeps", "Plantago pusilla", "Plantago rhodosperma", "Plantago rugelii", "Plantago virginica", "Plantago subg.", "Plantago debilis", "Plantago subg.", "Plantago sect.", "Plantago coronopus", "Plantago serraria", "Plantago sect.", "Plantago maritima", "Plantago subg.", "Plantago sect.", "Plantago afra", "Plantago arenaria", "Plantago sempervirens", "Plantago sect.", "Plantago aristata", "Plantago patagonica", "Plantago sect.", "Plantago albicans", "Plantago amplexicaulis", "Plantago ovata", "Plantago sect.", "Plantago lagopus", "Plantago lanceolata", "Pyrodictium abyssi", "Pyrodictium occultum", "Llimonaea californica", "Llimonaea cerebriformis", "Llimonaea flexuosa", "Llimonaea occulta", "Anaphalis contorta", "Anaphalis nepalensis", "Anaphalis royleana", "Anaphalis sinica", "Anaphalis triplinervis", "Astranthium ciliatum", "Moloch horridus", "Araneus colubrinus", "Araneus colima", "Araneus cohnae", "Araneus cochise", "Araneus coccinella", "Araneus circumbasilaris", "Araneus circulissparsus", "Araneus circellus", "Araneus circe", "Araneus cingulatus", "Araneus chunhuaia", "Araneus chingaza", "Araneus chiaramontei", "Araneus chiapas", "Araneus cereolus", "Araneus cercidius", "Araneus celebensis", "Araneus cavaticus", "Araneus caudifer", "Polemonium villosum", "Polemonium boreale", "Polemonium caeruleum", "Polemonium foliosissimum", "Polemonium mexicanum", "Polemonium micranthum", "Polemonium occidentale", "Polemonium occidentale var. lacustre", "Polemonium occidentale var. occidentale", "Polemonium pauciflorum", "Polemonium pectinatum", "Polemonium pulcherrimum", "Polemonium reptans", "Polemonium richardsonii", "Polemonium sibiricum", "Polemonium vanbruntiae", "Methanocalculus chunghsingensis", "Polygaloides chamaebuxus", "Polygala alba", "Polygala amara", "Polygala ambigua", "Polygala arillata", "Polygala balduinii", "Polygala boykinii", "Polygala brevifolia", "Polygala butyracea", "Polygala carnea", "Polygala chapmanii", "Polygala chinensis", "Rhinotropis cornuta", "Phlebotaenia cowellii", "Polygala crenata", "Araneus catospilotus", "Araneus catillatus", "Araneus castilho", "Araneus carroll", "Araneus carnifex", "Araneus carimagua", "Araneus cardioceros", "Araneus carchi", "Araneus carabellus", "Araneus caplandensis", "Araneus canestrinii", "Araneus canalae", "Araneus canacus", "Araneus camilla", "Araneus calusa", "Araneus caballo", "Araneus bufo", "Araneus bryantae", "Araneus brisbanae", "Araneus braueri", "Araneus bradleyi", "Araneus bosmani", "Araneus boreus", "Araneus borealis", "Araneus bonsallae", "Araneus boneti", "Araneus bogotensis", "Araneus boesenbergi", "Araneus boerneri", "Araneus blumenau", "Araneus blochmanni", "Araneus blaisei", "Araneus bivittatus", "Araneus bispinosus", "Araneus bipunctatus", "Araneus boerneri obscurellus", "Araneus boerneri clavimaculus", "Araneus biprominens", "Araneus bimini", "Araneus bimaculicollis", "Araneus bilunifer", "Araneus bigibbosus", "Araneus bicentenarius", "Araneus bicavus", "Araneus biapicatifer", "Araneus beijiangensis", "Araneus beebei", "Araneus baul", "Araneus basalteus", "Araneus bargusinus", "Araneus bantaengi", "Araneus balanus", "Araneus baicalicus", "Araneus bagamoyensis", "Araneus badongensis", "Araneus badiofoliatus", "Araneus axacus", "Araneus auriculatus", "Araneus aurantiifemuris", "Araneus aubertorum", "Araneus asiaticus", "Araneus arizonensis", "Araneus argentarius", "Araneus arganicola", "Lachenalia splendida", "Lachenalia trichophylla", "Lachenalia unifolia", "Lachenalia viridiflora", "Lachenalia zeyheri", "Bertrana vella", "Bertrana urahua", "Bertrana striolata", "Bertrana rufostriata", "Bertrana poa", "Bertrana planada", "Bertrana nancho", "Bertrana laselva", "Bertrana elinguis", "Bertrana benuta", "Bertrana arena", "Bertrana abbreviata", "Austracantha minax lugubris", "Austracantha minax leonhardii", "Austracantha minax hermitis", "Austracantha minax astrigera", "Aspidolasius smaragdus", "Aspidolasius branicki", "Aspidolasius bifurcatus", "Arkys walckenaeri", "Arkys vicarius", "Arkys varians", "Arkys tuberculatus", "Arkys transversus", "Arkys toxopeusi", "Arkys soosi", "Arkys simsoni", "Arkys sibil", "Arkys semicirculatus", "Arkys roosdorpi", "Arkys occidentalis", "Arkys nitidiceps", "Arkys nimdol", "Arkys multituberculatus", "Arkys montanus", "Arkys latissimus", "Arkys lancearius", "Arkys kaszabi", "Arkys hickmani", "Arkys grandis", "Arkys gracilis", "Arkys furcatus", "Arkys dilatatus", "Arkys curtulus", "Arkys coronatus", "Arkys cornutus", "Arkys cicatricosus", "Arkys bulburinensis", "Arkys brevipalpus", "Arkys alatus", "Sphaerius acaroides", "Araneus arfakianus", "Araneus arenaceus", "Araneus aralis", "Araneus apricus", "Araneus appendiculatus", "Araneus apobleptus", "Araneus apiculatus", "Araneus apicalis", "Araneus apache", "Araneus anuncinatus", "Araneus anuncinatus ochrorufus", "Araneus circe strandi", "Araneus comptus fuscocapitatus", "Araneus annulipes", "Araneus annuliger", "Araneus anjonensis", "Araneus angulatus", "Araneus angulatus serifolius", "Araneus angulatus personatus", "Araneus angulatus pallidus", "Araneus angulatus nitidifolius", "Araneus angulatus niger", "Araneus angulatus levifolius", "Araneus angulatus iberoi", "Araneus angulatus fuscus", "Araneus angulatus crucinceptus", "Araneus angulatus atricolor", "Araneus angulatus afolius", "Araneus anguinifer", "Araneus andrewsi", "Araneus ancurus", "Araneus anatipes", "Araneus anaspastus", "Araneus anantnagensis", "Araneus ana", "Araneus amygdalaceus", "Araneus amurius", "Araneus amblycyphus", "Araneus amabilis", "Araneus altitudinum", "Araneus alsine", "Araneus allani", "Araneus alhue", "Araneus alboventris", "Araneus albotriangulus", "Araneus alboquadratus", "Araneus albomaculatus", "Araneus albilunatus", "Araneus albidus", "Araneus albiaculeis", "Araneus aksuensis", "Araneus akakensis", "Araneus agastus", "Araneus affinis", "Araneus aethiopissa", "Araneus aethiopicus", "Araneus adjuntaensis", "Bacillus novalis", "Bacillus vireti", "Bacillus soli", "Bacillus bataviensis", "Bacillus drentensis", "Dytiscus marginalis", "Dytiscus alaskanus", "Dytiscus anxius", "Dytiscus carolinus", "Dytiscus circumcinctus", "Dytiscus circumflexus", "Dytiscus cordieri", "Dytiscus dauricus", "Dytiscus delictus", "Dytiscus dimidiatus", "Dytiscus dinutus", "Dytiscus fasciventris", "Dytiscus habilis", "Dytiscus harrisii", "Dytiscus hatchi", "Dytiscus hybridus", "Dytiscus lapponicus", "Dytiscus latissimus", "Dytiscus latro", "Dytiscus mutinensis", "Dytiscus marginicollis", "Dytiscus ooligbucki", "Dytiscus persicus", "Dytiscus pisanus", "Dytiscus semisulcatus", "Dytiscus thianschanicus", "Dytiscus venticalis", "Dytiscus vexatus", "Araneus adiantiformis", "Araneus acuminatus", "Araneus acropygus", "Araneus acronotus", "Araneus acrocephalus", "Araneus acolla", "Araneus acachmenus", "Araneus abigeatus", "Araneus abeicus", "Araneus aballensis", "Aranoethra ungari", "Aranoethra cambridgei", "Aranoethra butleri", "Artonis gallana", "Artonis bituberculata", "Augusta glyphica", "Austracantha minax", "Paenibacillus favisporus", "Bordetella pertussis", "Pterois antennata", "Pterois volitans", "Synanceia verrucosa", "Cyclopterus lumpus", "Pinus arizonica var. arizonica", "Pinus cooperi", "Pinus arizonica var. stormiae", "Pinus dalatensis", "Pseudonocardia chloroethenivorans", "Carabus nemoralis", "Nocardia asiatica", "Begonia quadrialata subsp. dusenii", "Begonia quadrialata subsp. nimbaensis", "Montipora capricornis", "Patellaria subg.", "Patellaria subg.", "Primula chungensis", "Primula cockburniana", "Primula japonica", "Primula poissonii", "Primula prenantha", "Primula prolifera", "Primula pulverulenta", "Primula secundiflora", "Primula serratifolia", "Primula wilsonii", "Primula sect.", "Primula alpicola", "Primula florindae", "Primula reticulata", "Primula sikkimensis", "Primula rosea", "Primula sect.", "Primula involucrata", "Primula sect.", "Primula yunnanensis", "Primula algida", "Primula fistulosa", "Primula frondosa", "Primula laurentiana", "Primula modesta", "Primula conspersa", "Primula gemmifera", "Primula pulchella", "Primula sect.", "Primula florida", "Primula souliei", "Primula sect.", "Primula bella", "Primula sect.", "Primula dryadifolia", "Primula sect.", "Primula denticulata", "Primula sect.", "Primula sect.", "Primula cernua", "Primula deflexa", "Primula giraldiana", "Primula gracilenta", "Primula muscarioides", "Primula pinnatifida", "Primula vialii", "Primula watsonii", "Primula sect.", "Primula flaccida", "Primula sapphirina", "Primula wattii", "Pinus chiapensis", "Pinus amamiana", "Agabus zetterstedti", "Begonia samhaensis", "Agabus bipustulatus", "Agabus clavicornis", "Agabus mandsuricus", "Agabus serricornis", "Agabus uliginosus", "Austrolebias apaii", "Ilybius apicalis", "Ilybius ater", "Ilybius cinctus", "Ilybius erichsoni", "Ilybius fenestratus", "Ilybius fuliginosus", "Ilybius guttiger", "Ilybius lateralis", "Ilybius neglectus", "Ilybius opacus", "Ilybius poppiusi", "Aquicella lusitana", "Aquicella siphonis", "Platambus lunulatus", "Platambus maculatus", "Platambus pictipennis", "Platambus ussuriensis", "Colymbetes dahuricus", "Colymbetes paykulli", "Colymbetes fuscus", "Rhantus grapii", "Rhantus consputus", "Rhantus notaticollis", "Eretes sticticus", "Enterobacter asburiae", "Noterus clavicornis", "Noterus crassicornis", "Noterus japonicus", "Noterus angustulus", "Polaribacter irgensii", "Polaribacter filamentus", "Polaribacter franzmannii", "Polaribacter glomeratus", "Alnus subg.", "Alnus subg.", "Primula subg.", "Primula subg.", "Primula subg.", "Primula subg.", "Primula floribunda", "Primula verticillata", "Primula \u00d7 kewensis", "Primula \u00d7 polyantha", "Cupes mucidus", "Cupes anguliscutis", "Pinus krempfii", "Omoglymmius germari", "Rhysodes sulcatus", "Rhysodes comes", "Myotis chiloensis", "Aulonogyrus concinnus", "Gyrinus aeratus", "Gyrinus natator", "Haliplus varius", "Brychius hungerfordi", "Trachypachus zetterstedtii", "Amphizoa striata", "Begonia scapigera subsp. scapigera", "Begonia scapigera subsp. australis", "Scyllarocuma mclaughlinae", "Nippoleucon projectus", "Carabus gebleri", "Carabus lopatini", "Carabus constricticollis", "Carabus jankowskii", "Carabus riedeli", "Carabus hungaricus", "Nocardioides aquiterrae", "Carabus menetriesi", "Carabus miroshnikovi", "Lactobacillus paracollinoides", "Begonia prismatocarpa subsp. prismatocarpa", "Begonia prismatocarpa subsp. delobata", "Begonia prismatocarpa subsp. petraea", "Chrysolina urjanchaica", "Chrysolina graminis", "Begonia quadrialata subsp. quadrialata", "Acalymma vittatum", "Acilius canaliculatus", "Acilius sulcatus", "Graphoderus adamsii", "Graphoderus austriacus", "Graphoderus bieneri", "Graphoderus bilineatus", "Graphoderus cinereus", "Graphoderus perplexus", "Graphoderus zonatus", "Graphoderus zonatus zonatus", "Graphoderus verrucifer", "Cybister lewisianus", "Cybister tripunctatus", "Cybister japonicus", "Cybister lateralimarginalis", "Hydaticus grammicus", "Acidianus tengchongensis", "Harpidium nashii", "Tsukamurella strandjordii", "Bordetella ansorpii", "Hyphydrus japonicus", "Hyphydrus ovatus", "Laccornis oblongus", "Copelatus haemorrhoidalis", "Copelatus weymarni", "Agabus arcticus", "Agabus conspicuus", "Agabus infuscatus", "Agabus sturmii", "Muscari neglectum", "Muscari parviflorum", "Muscari pendulum", "Muscari szovitsianum", "Muscari tenuiflorum", "Bellevalia fominii", "Bellevalia longistyla", "Bellevalia paradoxa", "Bellevalia trifoliata", "Chlorogalum angustifolium", "Chlorogalum pomeridianum", "Chlorogalum purpureum", "Hyacinthoides hispanica", "Hyacinthoides italica", "Hyacinthoides non-scripta", "Lachenalia aloides", "Lachenalia arbuthnotiae", "Lachenalia bachmannii", "Lachenalia bulbifera", "Lachenalia capensis", "Lachenalia contaminata", "Lachenalia elegans", "Lachenalia fistulosa", "Lachenalia hirta", "Lachenalia juncifolia", "Lachenalia kliprandensis", "Lachenalia leomontana", "Lachenalia liliflora", "Lachenalia mathewsii", "Lachenalia mediana", "Lachenalia moniliformis", "Lachenalia muirii", "Lachenalia mutabilis", "Lachenalia namaquensis", "Lachenalia namibiensis", "Lachenalia orchioides", "Lachenalia orthopetala", "Lachenalia pallida", "Lachenalia peersii", "Lachenalia pusilla", "Lachenalia reflexa", "Lachenalia rubida", "Lachenalia salteri", "Nebria bonellii", "Nebria baicalica", "Nebria nivalis", "Nebria komarovi", "Nebria livida", "Pelophila borealis", "Notiophilus reitteri", "Notiophilus aquaticus", "Notiophilus biguttatus", "Notiophilus palustris", "Loricera pilicornis", "Calomera littoralis", "Calomera sturmi", "Cephalota atrata", "Cephalota besseri", "Cephalota deserticola", "Cephalota chiloleuca", "Cephalota elegans", "Chaetodera laetescripta", "Myriochila speculifera", "Amorphophallus titanum", "Primula sect.", "Primula maguirei", "Primula sect.", "Primula allionii", "Primula auricula", "Primula carniolica", "Omophron aequale aequale", "Calosoma sycophanta", "Calosoma inquisitor", "Calosoma reticulatum", "Calosoma auropunctatum", "Calosoma denticolle", "Calosoma investigator", "Calosoma maximoviczi", "Carabus granulatus", "Carabus arcensis", "Carabus conciliator", "Carabus arvensis", "Carabus faldermanni", "Carabus billbergi", "Carabus cumanus", "Carabus maurus", "Carabus spasskianus", "Carabus hummeli", "Carabus karpinskii", "Carabus henningi", "Carabus regalis", "Carabus latreillei", "Carabus estreicheri", "Carabus macleayi", "Carabus nitens", "Carabus maeander", "Carabus maacki", "Carabus clathratus", "Carabus careniger", "Carabus sichotensis", "Carabus canaliculatus", "Mycosphaerella clematidina", "Mycosphaerella dictamni", "Mycosphaerella insulana", "Mycosphaerella taeniographoides", "Hirsutella citriformis", "Hirsutella clavispora", "Hirsutella arachnophila", "Limonium todaroanum", "Berkheya decurrens", "Berkheya purpurea", "Berkheya radula", "Berkheya rigida", "Begonia fuchsioides", "Hyacinthus orientalis", "Muscari armeniacum", "Muscari aucheri", "Muscari azureum", "Muscari botryoides", "Muscari caucasicum", "Muscari commutatum", "Muscari comosum", "Muscari longipes", "Rhus punjabensis", "Rhus schiedeana", "Rhus taitensis", "Rhus tenuinervis", "Rhus trichocarpa", "Rhus trilobata", "Rhus tripartita", "Rhus virens", "Bacillus odysseyi", "Williamsia maris", "Erysipelothrix inopinata", "Ailanthus altissima", "Saponaria officinalis", "Canis lupus arabs", "Canis lupus cubanensis", "Canis lupus italicus", "Morus nigra", "Canis lupus nubilus", "Canis lupus occidentalis", "Canis lupus pallipes", "Canis lupus hattai", "Canis lupus hodophilax", "Bahia ambrosioides", "Carabus cribellatus", "Carabus mingens", "Carabus scythus", "Carabus vladimirskyi", "Carabus kruberi", "Carabus bessarabicus", "Carabus decolor", "Carabus convexus", "Carabus marginalis", "Carabus avinovi", "Carabus kolbei", "Carabus schrencki", "Carabus starckianus", "Carabus prometheus", "Carabus ermaki", "Carabus leachii", "Carabus obovatus", "Carabus boeberi", "Carabus pustulifer", "Carabus smaragdinus", "Carabus rugipennis", "Carabus glyptopterus", "Carabus calleyi", "Carabus aurolimbatus", "Carabus exaratus", "Carabus septemcarinatus", "Carabus vietinghoffi", "Carabus vietinghoffi vietinghoffi", "Carabus fulgidus", "Carabus bowringi", "Carabus vietinghoffi leptoglyptus", "Carabus vietinghoffi obydovi", "Carabus vietinghoffi tardokiyanensis", "Carabus convallium", "Carabus argonautarum", "Carabus nothus", "Carabus imperialis", "Carabus sajanus", "Carabus schoenherri", "Carabus heydenianus", "Carabus caucasicus", "Cicindela altaica", "Cicindela campestris", "Cicindela aurofasciata", "Cicindela coerulea", "Cicindela desertorum", "Cicindela gemmata", "Cicindela gabbi", "Cicindela hybrida", "Cicindela japana", "Cicindela lacteola", "Cicindela maritima", "Cicindela restricta", "Cicindela sachalinensis", "Cicindela sahlbergii", "Cicindela sexguttata", "Cicindela soluta", "Cicindela sylvatica", "Cicindela transbaicalica", "Cicindela vulcanicola", "Cicindela sylvicola", "Cicindela nevadica", "Cicindela nevadica lincolniana", "Cicindela trifasciata", "Cicindela trifasciata sigmoidea", "Cylindera germanica", "Cylindera gracilis", "Cylindera obliquefasciata", "Cylindera arenaria", "Cylindera contorta", "Cylindera elisae", "Cylindera sublacerata", "Omophron limbatum", "Omophron aequale", "Omophron jacobsoni", "Callisia fragrans", "Callisia gentlei", "Callisia navicularis", "Callisia repens", "Callisia warszewicziana", "Plectocephalus americanus", "Centaurea calcitrapa", "Centaurea cineraria", "Centaurea cyanus", "Centaurea diffusa", "Centaurea montana", "Centaurea nigrescens", "Centaurea scabiosa", "Centaurea solstitialis", "Centaurea albonitens", "Centaurea aspera", "Corallus caninus", "Centaurea atacamensis", "Centaurea \u00d7 aurata", "Centaurea collina", "Centaurea cyanoides", "Psephellus dealbatus", "Centaurea debeauxii", "Centaurea glaberrima", "Centaurea gymnocarpa", "Centaurea iberica", "Centaurea imperialis", "Centaurea jacea", "Centaurea macrocephala", "Centaurea melitensis", "Centaurea \u00d7 moncktonii", "Centaurea nigra", "Centaurea orientalis", "Centaurea pallescens", "Centaurea ragusina", "Plectocephalus rothrockii", "Centaurea rutifolia", "Centaurea stoebe", "Centaurea sulphurea", "Centaurea uniflora", "Centaurea virgata", "Carabus coriaceus", "Carabus rugifer", "Carabus adamsi", "Carabus circassicus", "Carabus titan", "Carabus stscheglowi", "Carabus constantinowi", "Cychrus caraboides", "Cychrus inessae", "Cychrus volkovi", "Cychrus belousovi", "Cychrus starcki", "Cychrus koltzei", "Cychrus morawitzi", "Blethisa tuberculata", "Elaphrus splendidus", "Elaphrus cupreus", "Elaphrus uliginosus", "Lamprops tenuis", "Bodotria furugelmiensis", "Martes pennanti", "Carabus kurilensis", "Carabus gossarei", "Carabus gaschkewitschi", "Carabus kabakovi", "Carabus kolymensis", "Carabus truncaticollis", "Carabus cribratus", "Carabus loschnikovii", "Carabus fraterculus", "Carabus arboreus", "Carabus problematicus", "Carabus hortensis", "Carabus glabratus", "Carabus koenigi", "Neoceratodus forsteri", "Protopterus annectens", "Martes zibellina", "Arctotis acaulis", "Arctotis angustifolia", "Arctotis arctotoides", "Arctotis fastuosa", "Arctotis venusta", "Archaeospora trappei", "Miscodera arctica", "Epicaridea incertae sedis", "Broscus cephalotes", "Acaulospora bireticulata", "Broscus semistriatus", "Glomus arborense", "Glomus arenarium", "Glomus atrouva", "Glomus australe", "Glomus avelingiae", "Glomus bagyarajii", "Glomus boreale", "Glomus botryoides", "Doryteuthis opalescens", "Doryteuthis pealeii", "Doryteuthis pleii", "Cancer magister", "Cancer borealis", "Cancer pagurus", "Ducula bicolor subflavescens", "Antennarius monodi", "Clypeoniscus meinerti", "Rapana venosa", "Glomus caesaris", "Pterostichus jungens", "Pterostichus labzuki", "Pterostichus procax", "Pterostichus sungariensis", "Pterostichus mukdenensis", "Pterostichus anthracinus", "Pedius longicollis", "Pterostichus strenuus", "Viola tricolor", "Viola riviniana", "Pterostichus drescheri", "Atelopus zeteki", "Colostethus dunni", "Stereocerus rubripes", "Stereocerus haematopus", "Pterostichus aethiops", "Colostethus agilis", "Pterostichus orion", "Colostethus alacris", "Pterostichus orion bureianus", "Azonexus fungiphilus", "Azonexus caeni", "Amara amplipennis", "Amara apricaria", "Amara brunnea", "Amara famelica", "Amara mikae", "Amara ovata", "Amara aulica", "Amara convexiuscula", "Margaritifera margaritifera", "Trechus quadristriatus", "Acaulospora polonica", "Acaulospora rehmii", "Acaulospora rugosa", "Acaulospora scrobiculata", "Acaulospora spinosa", "Acaulospora splendida", "Acaulospora sporocarpia", "Acaulospora taiwania", "Acaulospora terricola", "Acaulospora thomii", "Acaulospora tuberculata", "Acaulospora undulata", "Acaulospora walkeri", "Entrophospora colombiana", "Entrophospora infrequens", "Entrophospora kentinensis", "Paraglomus brasilianum", "Paraglomus occultum", "Gigaspora albida", "Gigaspora alboaurantiaca", "Gigaspora decipiens", "Gigaspora gigantea", "Gigaspora lazzarii", "Gigaspora margarita", "Gigaspora rosea", "Scutellospora alborosea", "Scutellospora arenicola", "Scutellospora armeniaca", "Scutellospora aurigloba", "Scutellospora biornata", "Scutellospora calospora", "Scutellospora castanea", "Scutellospora cerradensis", "Scutellospora coralloidea", "Scutellospora crenulata", "Scutellospora dipapillosa", "Scutellospora dipurpurescens", "Scutellospora erythropus", "Scutellospora fulgida", "Scutellospora gilmorei", "Scutellospora gregaria", "Scutellospora hawaiiensis", "Caroxylon glabrescens", "Salsola kali", "Salsola longifolia", "Xylosalsola paletzkiana", "Salsola paulsenii", "Xylosalsola richteri", "Turania sogdiana", "Salsola tragus", "Sanicula marilandica", "Sanicula canadensis", "Sanicula europaea", "Sanicula liberta", "Sanicula mariversa", "Sanicula purpurea", "Paeonia brownii", "Paeonia lactiflora", "Paeonia daurica subsp. mlokosewitschii", "Paeonia anomala", "Paeonia broteri", "Paeonia delavayi", "Paeonia emodi", "Paeonia intermedia", "Paeonia mascula", "Paeonia obovata", "Paeonia officinalis", "Paeonia \u00d7 papaveracea", "Paeonia peregrina", "Paeonia \u00d7 suffruticosa", "Paeonia tenuifolia", "Paeonia daurica subsp. wittmanniana", "Combretum caffrum", "Combretum imberbe", "Combretum micranthum", "Combretum apiculatum", "Combretum bracteosum", "Combretum cacoucia", "Combretum camporum", "Combretum coccineum", "Combretum comosum", "Combretum constrictum", "Combretum erythrophyllum", "Combretum farinosum", "Combretum fruticosum", "Combretum grandiflorum", "Combretum hereroense", "Combretum kraussii", "Combretum microphyllum", "Combretum molle", "Oodes helopioides", "Lachnocrepis prolixa", "Panagaeus cruxmajor", "Panagaeus japonicus", "Callistus lunatus", "Chlaenius coeruleus", "Chlaenius aeneocephalus", "Chlaenius alutaceus", "Chlaenius circumductus", "Chlaenius stschukini", "Chlaenius athleta", "Chlaenius inops", "Glomus ambisporum", "Scutellospora heterogama", "Scutellospora minuta", "Scutellospora nigra", "Scutellospora nodosa", "Scutellospora pellucida", "Scutellospora persica", "Scutellospora projecturata", "Scutellospora reticulata", "Scutellospora rubra", "Scutellospora savannicola", "Scutellospora scutata", "Scutellospora spinosissima", "Scutellospora tricalypta", "Scutellospora trirubiginopa", "Scutellospora verrucosa", "Scutellospora weresubiae", "Dusicyon australis", "Lepisosteus platostomus", "Lepisosteus platyrhincus", "Banksia integrifolia subsp. compar", "Banksia integrifolia subsp. integrifolia", "Banksia integrifolia subsp. monticola", "Asaphidion flavipes", "Asaphidion pallipes", "Bembidion altaicum", "Bembidion argenteolum", "Bembidion biguttatum", "Bembidion dalmatinum", "Bembidion dentellum", "Bembidion glabrum", "Bembidion lampros", "Bembidion ruficolle", "Bembidion striatum", "Astyanax aramburui", "Bembidion tetracolum", "Bembidion ustum", "Bembidion varium", "Bembidion velox", "Cardiaderus chloroticus", "Carica papaya", "Mastax thermarum", "Brachinus bipustulatus", "Brachinus hamatus", "Brachinus macrocerus", "Siagona europaea", "Clivina fossor", "Dyschirius chalceus", "Distichus planus", "Scarites bucida", "Scarites salinus", "Scarites terricola", "Chelodina rugosa", "Chelodina parkeri", "Glomus canadense", "Glomus canum", "Glomus cerebriforme", "Glomus citricola", "Glomus clavisporum", "Gynerium sagittatum", "Glomus convolutum", "Glomus coremioides", "Glomus corymbiforme", "Glomus cuneatum", "Glomus delhiense", "Glomus deserticola", "Glomus dolichosporum", "Laterallus fasciatus", "Porphyrio porphyrio", "Paragallinula angulata", "Porphyriops melanops", "Tribonyx mortierii", "Gallinula silvestris", "Tribonyx ventralis", "Gallinula nesiotis", "Gallinula pacifica", "Gallinago stricklandii", "Rattus argentiventer", "Lasiospermum bipinnatum", "Eobroscus lutshniki", "Craspedonotus tibialis", "Broscosoma semenovi", "Acaulospora capsicula", "Acaulospora cavernata", "Acaulospora colossica", "Acaulospora delicata", "Acaulospora denticulata", "Apotomus testaceus", "Acaulospora dilatata", "Acaulospora elegans", "Acaulospora excavata", "Acaulospora foveata", "Acaulospora gedanensis", "Acaulospora koskei", "Acaulospora lacunosa", "Acaulospora laevis", "Acaulospora longula", "Acaulospora mellea", "Acaulospora morrowiae", "Acaulospora myriocarpa", "Acaulospora nicolsonii", "Acaulospora paulinae", "Nomius pygmaeus", "Trechus densicornis", "Trechus secalis", "Perigona nigriceps", "Odacantha melanura", "Corsyra fusula", "Glomus liquidambaris", "Glomus macrocarpum", "Glomus magnicaule", "Glomus melanosporum", "Glomus microaggregatum", "Glomus microcarpum", "Glomus monosporum", "Glomus mortonii", "Glomus multicaule", "Glomus multiforum", "Pogonus cumanus", "Pogonistes angustus", "Diplous sibiricus", "Abacetus inexpectatus", "Squatina squatina", "Pterostichus macer", "Solenanthus reverchonii", "Viola ucriana", "Zelkova sicula", "Pterostichus cursor", "Pedius inquinatus", "Pterostichus oblongopunctatus", "Oculocornia orientalis", "Agonum sexpunctatum", "Oxypselaphus obscurus", "Chlaenius quadrisulcatus", "Chorthippus apricarius", "Pterostichus longinquus", "Pterostichus ussuriensis", "Dyschirius yezoensis", "Nebria banksi", "Chelus fimbriata", "Lepidodendron lycopodioides", "Lachnolebia cribricollis", "Lebia cruxminor", "Lebia chlorocephala", "Lebia humeralis", "Lebia menetriesi", "Lionedya mongolica", "Lebidia bioculata", "Lebidia octoguttata", "Leucanthemella serotina", "Rattus exulans", "Rattus lutreolus", "Rattus adustus", "Leucanthemopsis alpina", "Rattus burrus", "Leucanthemopsis pulverulenta", "Rattus macleari", "Leucanthemum adustum", "Leucanthemum graminifolium", "Rattus nativitatis", "Leucanthemum lacustre", "Leucanthemum maximum", "Leucanthemum monspeliense", "Leucanthemum pallens", "Leucanthemum praecox", "Leucanthemum subglaucum", "Leucanthemum \u00d7 superbum", "Leucanthemum sylvaticum", "Leucanthemum vulgare", "Leucanthemum waldsteinii", "Mauranthemum paludosum", "Thermococcus litoralis", "Glomus flavisporum", "Glomus formosanum", "Glomus fragile", "Glomus fuegianum", "Glomus gibbosum", "Glomus glomerulatum", "Glomus heterosporum", "Glomus hoi", "Glomus hyderabadensis", "Glomus kerguelense", "Hydromedusa tectifera", "Hydromedusa maximiliani", "Pelomedusa subrufa", "Amara aenea", "Dolichus halensis", "Synuchus chinensis", "Chlaenius nitidulus", "Chlaenius vestitus", "Chlaenius insularis", "Chlaenius tristis", "Chlaenius nigricornis", "Chlaenius spoliatus", "Chlaenius pallipes", "Chlaenius posticalis", "Chlaenius rambouseki", "Chlaenius costulatus", "Chlaenius cruralis", "Chlaenius suvorovi", "Chlaenius circumscriptus", "Badister meridionalis", "Badister unipustulatus", "Badister ussuriensis", "Licinus depressus", "Licinus yezoensis", "Licinus cassideus", "Diplocheila zeelandica", "Stenolophus discophorus", "Stenolophus skrimshiranus", "Anthracus consputus", "Daptus vittatus", "Pentagonica angulosa", "Agonum fuliginosum", "Anchomenus dorsalis", "Platynus longiventris", "Agonum viridicupreum", "Combretum mucronatum", "Combretum paniculatum", "Combretum rotundifolium", "Combretum roxburghii", "Combretum zeyheri", "Carya aquatica", "Carya floridana", "Carya ovata", "Carya cordiformis", "Carya illinoinensis", "Carya \u00d7 brownii", "Carya carolinae-septentrionalis", "Carya cathayensis", "Carya \u00d7 collina", "Carya \u00d7 demareei", "Carya \u00d7 dunbarii", "Carya glabra", "Carya hunanensis", "Carya kweichowensis", "Carya laciniosa", "Carya \u00d7 laneyi", "Carya \u00d7 lecontei", "Carya \u00d7 ludoviciana", "Carya myristiciformis", "Carya \u00d7 nussbaumeri", "Carya ovalis", "Carya pallida", "Carya palmeri", "Carya poilanei", "Carya \u00d7 schneckii", "Carya texana", "Carya tomentosa", "Carya tonkinensis", "Rhus glabra", "Rhus typhina", "Rhus integrifolia", "Rhus ovata", "Rhus aromatica", "Rhus chinensis", "Rhus ciliata", "Rhus copallinum", "Rhus coriaria", "Rhus dissecta", "Rhus fraseri", "Rhus incisa", "Rhus kearneyi", "Rhus lanceolata", "Rhus michauxii", "Rhus microphylla", "Rhus potaninii", "Emydura subglobosa", "Mesoclemmys gibba", "Phrynops hilarii", "Elaphrus viridis", "Cymindis lineata", "Cymindis larisae", "Philorhizus sigma", "Drypta dentata", "Pterostichus costatus", "Platemys platycephala", "Glomus multisubstensum", "Glomus nanolumen", "Glomus pallidum", "Glomus pansihalos", "Glomus pellucidum", "Glomus przelewicense", "Glomus pubescens", "Glomus pustulatum", "Glomus radiatum", "Glomus reticulatum", "Glomus rubiforme", "Glomus segmentatum", "Glomus sinuosum", "Glomus spinosum", "Glomus spinuliferum", "Glomus sterilum", "Glomus taiwanense", "Glomus tenebrosum", "Glomus tenue", "Glomus warcupii", "Glomus zaozhuangianum", "Diversispora spurca", "Pacispora boliviana", "Pacispora chimonobambusae", "Pacispora coralloidea", "Pacispora dominikii", "Pacispora franciscana", "Pacispora robigina", "Pacispora scintillans", "Cupressus atlantica", "Cupressus dupreziana", "Cupressus chengiana", "Cupressus gigantea", "Parena tripunctata", "Parena monostigma", "Demetrias imperialis", "Demetrias longicollis", "Demetrias monostigma", "Dromius quadraticollis", "Dromius quadrimaculatus", "Sphaerites glabratus", "Sphaerites politus", "Nipponanthemum nipponicum", "Drypta ussuriensis", "Polystichus connexus", "Zuphium olens", "Harpalus rubripes", "Harpalus tardus", "Nebria ochotica", "Carabus vietinghoffi bureianus", "Pterostichus agonus", "Pterostichus cancellatus", "Curcuma lanceolata", "Meiacanthus atrodorsalis", "Aidablennius sphynx", "Syntelia histeroides", "Chelodina expansa", "Boa constrictor", "Carabus hungaricus frivaldskyanus", "Alluroteuthis antarctica", "Ameloctopus litoralis", "Bedotia geayi", "Bedotia longianalis", "Bedotia madagascariensis", "Bedotia marojejy", "Bedotia masoala", "Bedotia tricolor", "Rheocles alaotrensis", "Rheocles derhami", "Rheocles lateralis", "Rheocles pellegrini", "Onthophilus ordinarius", "Paromalus flavicornis", "Paromalus parallelepipedus", "Pholioxenus schatzmayri", "Platysoma compressum", "Vasconcellea candicans", "Brachylepis gulyaevi", "Reichardtiolus duriculus", "Lamna ditropis", "Carcharias tricuspidatus", "Odontaspis noronhai", "Pseudocarcharias kamoharai", "Centrophorus atromarginatus", "Centrophorus isodon", "Centrophorus lusitanicus", "Aithaloderma bambusinum", "Aithaloderma camelliae", "Aithaloderma capense", "Aithaloderma clavatisporum", "Aithaloderma colchicum", "Aithaloderma ferrugineum", "Aithaloderma fici", "Aithaloderma himalayanum", "Aithaloderma japonica", "Aithaloderma longisetum", "Aithaloderma phyllostachydis", "Aithaloderma setosum", "Aithaloderma taxi", "Aithaloderma viride", "Scomberesox saurus", "Tylosurus crocodilus", "Chaenopsis resh", "Chaenopsis limbaughi", "Chaenopsis megalops", "Chaenopsis ocellata", "Chaenopsis roseola", "Chaenopsis stephensi", "Kobus megaceros", "Pelea capreolus", "Redunca arundinum", "Redunca fulvorufula", "Redunca redunca", "Alcelaphus caama", "Geotria australis", "Entosphenus tridentatus", "Chenopodium album", "Blitum bonus-henricus", "Blitum capitatum", "Chenopodium pallidicaule", "Chenopodium quinoa", "Chenopodium vulvaria", "Chenopodium acuminatum", "Chenopodium berlandieri", "Blitum californicum", "Chenopodium carnosulum", "Oxybasis chenopodioides", "Chenopodium desiccatum", "Chenopodium ficifolium", "Blitum virgatum", "Chenopodium fremontii", "Chenopodium gaudichaudianum", "Oxybasis glauca", "Chenopodium hircinum", "Chenopodium incanum", "Chenopodium leptophyllum", "Oxybasis macrosperma", "Chenopodiastrum murale", "Chenopodium neomexicanum", "Chenopodium opulifolium", "Chenopodium petiolare", "Chenopodium pilcomayense", "Lipandra polysperma", "Chenopodium pratericola", "Chenopodium purpurascens", "Oxybasis rubra", "Dysphania schraderiana", "Chenopodium standleyanum", "Chenopodium strictum", "Chenopodium watsonii", "Soda inermis", "Soda acutifolia", "Caroxylon aphyllum", "Xylosalsola arbuscula", "Salsola collina", "Colenis immunda", "Protopterus aethiopicus", "Spirula spirula", "Urosaurus graciosus", "Pterophyllum scalare", "Lepisosteus oculatus", "Lepisosteus osseus", "Acipenser stellatus", "Helophorus grandis", "Helophorus nanus", "Hydrophilus piceus", "Hydrophilus acuminatus", "Hydrophilus aterrimus", "Hydrophilus dauricus", "Lacerta bilineata", "Quercus trojana", "Sikhotealinia zhiltzovae", "Micridium vittatum", "Ptenidium formicetorum", "Ptilium myrmecophilum", "Damaliscus superstes", "Nossidium pilosellum", "Damaliscus korrigum", "Pteryx suturalis", "Agathidium nigripenne", "Cynops ensicauda", "Anisotoma axillaris", "Anisotoma castanea", "Anisotoma glabra", "Anisotoma humeralis", "Anisotoma orbicularis", "Deracantha onos", "Georissus caelatus", "Georissus crenulatus", "Hydrochara caraboides", "Hister sibiricus", "Abraeus areolatus", "Chaetabraeus bonzicus", "Acritus minutus", "Platysoma angustatum", "Epierus comptus", "Exaesiopus atrovirens", "Hister quadrimaculatus", "Hydrochus elongatus", "Spercheus emarginatus", "Hydrobius fuscipes", "Coelostoma orbiculare", "Sphaeridium scarabaeoides", "Cercyon numerosus", "Gekko gecko", "Gehyra mutilata", "Hololepta amurensis", "Hololepta plana", "Hypocacculus spretulus", "Margarinotus obscurus", "Saprinus externus", "Saprinus ornatus", "Saprinus virescens", "Saprinus lutshniki", "Saprinus subvirescens", "Bos gaurus", "Bos javanicus", "Bos sauveli", "Bos grunniens", "Bubalus depressicornis", "Hydraena riparia", "Bubalus mephistopheles", "Bubalus mindorensis", "Bubalus quarlesi", "Pseudoryx nghetinhensis", "Syncerus caffer", "Taurotragus derbianus", "Taurotragus oryx", "Tetracerus quadricornis", "Kobus anselli", "Kobus kob", "Kobus leche", "Abraxas grossulariata", "Acrolepia autumnitella", "Plasmodium chabaudi", "Plasmodium brasilianum", "Plasmodium berghei", "Plasmodium vinckei", "Plasmodium cynomolgi", "Plasmodium falciparum", "Plasmodium vivax", "Plasmodium malariae", "Plasmodium ovale", "Amanita caesarea", "Amanita citrina", "Budorcas taxicolor", "Arothron carduus", "Paulownia tomentosa", "Dendroxena quadrimaculata", "Dasycerus crenatus", "Anthophagus caraboides", "Arpedium quadrum", "Cylletron nivale", "Lesteva cordicollis", "Lesteva punctata", "Mannerheimia brevipennis", "Pseudcolenis hilleri", "Ptomaphagus sericatus", "Platypsyllus castoris", "Euconnus hirticollis", "Scydmaenus rufus", "Fumaria officinalis", "Tlacuatzin canescens canescens", "Tlacuatzin canescens gaumeri", "Caenolestes condorensis", "Caenolestes convelatus", "Caenolestes convelatus barbarensis", "Caenolestes convelatus convelatus", "Caenolestes fuliginosus centralis", "Caenolestes fuliginosus obscurus", "Hypopta agavis", "Lestoros inca", "Rhyncholestes raphanurus", "Rhyncholestes raphanurus continentalis", "Rhyncholestes raphanurus raphanurus", "Notoryctes caurinus", "Notoryctes typhlops", "Myrmecobius fasciatus fasciatus", "Myrmecobius fasciatus rufus", "Anguillicoloides crassus", "Elaeophora schneideri", "Dasycercus blythi", "Dasycercus cristicauda", "Dasykaluta rosamondae", "Dasyuroides byrnei", "Dasyurus albopunctatus", "Dasyurus geoffroii", "Dasyurus hallucatus", "Dasyurus maculatus", "Dasyurus spartacus", "Dasyurus viverrinus", "Nephila clavipes", "Oxyloma haydeni", "Oxyloma haydeni kanabensis", "Oxyloma haydeni haydeni", "Eucnecosum brachypterum", "Nicrophorus antennatus", "Nicrophorus americanus", "Agabus clypealis", "Cryptonanus ignitus", "Cryptonanus unduaviensis", "Parocyusa rubicunda", "Gracilinanus aceramarcae", "Gracilinanus agilis", "Drusilla canaliculata", "Gracilinanus dryas", "Gracilinanus emiliae", "Gracilinanus marica", "Gracilinanus microtarsus", "Falagria sulcatula", "Hyladelphys kalinowskii", "Falagrioma thoracica", "Xenosoma flaviceps", "Xenosoma geometrina", "Lestodelphys halli", "Lutreolina crassicaudata", "Lutreolina crassicaudata crassicaudata", "Lutreolina crassicaudata turneri", "Marmosa andersoni", "Marmosa lepida", "Marmosa mexicana", "Marmosa mexicana mayensis", "Marmosa mexicana savannarum", "Marmosa murina", "Marmosa quichua", "Marmosa robinsoni", "Marmosa robinsoni chapmani", "Marmosa robinsoni fulviventer", "Marmosa robinsoni grenadae", "Marmosa robinsoni isthmica", "Marmosa robinsoni luridavolta", "Marmosa robinsoni ruatanica", "Marmosa robinsoni simonsi", "Marmosa rubra", "Marmosa tyleriana", "Marmosa xerophila", "Marmosops bishopi", "Marmosops cracens", "Marmosops creightoni", "Monodelphis kunsi", "Monodelphis maraxina", "Monodelphis osgoodi", "Monodelphis palliolata", "Monodelphis reigi", "Monodelphis ronaldi", "Monodelphis rubida", "Monodelphis scalops", "Monodelphis sorex", "Monodelphis theresa", "Monodelphis umbristriata", "Monodelphis unistriata", "Poecilia reticulata", "Philander andersoni", "Philander deltae", "Philander frenatus", "Philander mcilhennyi", "Philander mondolfii", "Philander opossum", "Philander canus", "Philander opossum fuscogriseus", "Philander melanurus", "Philander opossum opossum", "Thylamys cinderella", "Thylamys elegans", "Thylamys karimii", "Thylamys macrurus", "Thylamys pallidior", "Thylamys pusillus", "Thylamys sponsorius", "Thylamys tatei", "Thylamys velutinus", "Thylamys venustus", "Tlacuatzin canescens", "Hydroporus elongatulus", "Platynus mannerheimii", "Arothron caeruleopunctatus", "Rhantus bistriatus", "Agathidium pallidum", "Agathidium pulchellum", "Nicrophorus germanicus", "Nicrophorus vespillo", "Nicrophorus vespilloides", "Oiceoptoma thoracicum", "Phosphuga atrata", "Necrodes littoralis", "Silpha carinata", "Silpha obscura", "Silpha perforata", "Thanatophilus dispar", "Thanatophilus rugosus", "Thanatophilus sinuatus", "Hemitragus jemlahicus", "Arabitragus jayakari", "Nilgiritragus hylocrius", "Olophrum assimile", "Omalium caesum", "Pycnoglypta baicalica", "Xylodromus concinnus", "Proteinus brachypterus", "Micropeplus fulvus", "Phloeocharis subtilissima", "Olisthaerus megacephalus", "Olisthaerus substriatus", "Berardius arnuxii", "Berardius bairdii", "Bolitobius castaneus", "Hyperoodon planifrons", "Carphacis striatus", "Cilea silphoides", "Lordithon lunulatus", "Sepedophilus obtusus", "Sepedophilus testaceus", "Indopacetus pacificus", "Ziphius cavirostris", "Tasmacetus shepherdi", "Mesoplodon bowdoini", "Mesoplodon carlhubbsi", "Caluromys philander trinitatis", "Caluromys derbianus", "Caluromys derbianus aztecus", "Caluromys derbianus centralis", "Caluromys derbianus derbianus", "Caluromys derbianus fervidus", "Caluromys derbianus nauticus", "Caluromys derbianus pallidus", "Caluromys lanatus", "Caluromys lanatus cicur", "Caluromys lanatus hemiurus", "Caluromys lanatus nattereri", "Caluromys lanatus ochropus", "Caluromys lanatus ornatus", "Caluromys lanatus vitalinus", "Caluromysiops irrupta", "Glironia venusta", "Chacodelphys formosa", "Trachycarpus fortunei", "Chironectes minimus", "Chironectes minimus argyrodytes", "Trachycarpus geminisectus", "Chironectes minimus langsdorffi", "Chironectes minimus panamensis", "Trachycarpus latisectus", "Trachycarpus martianus", "Trachycarpus nanus", "Trachycarpus oreophilus", "Trachycarpus princeps", "Trachycarpus takil", "Dactylopius coccus", "Pterocarya stenoptera", "Dracaena fragrans", "Didelphis albiventris", "Didelphis aurita", "Didelphis imperfecta", "Didelphis marsupialis", "Didelphis marsupialis caucae", "Didelphis marsupialis marsupialis", "Didelphis pernigra", "Didelphis virginiana californica", "Didelphis virginiana pigra", "Didelphis virginiana yucatanensis", "Lomechusa emarginata", "Cryptonanus agricolai", "Bolitochara bella", "Cryptonanus chacoensis", "Cryptonanus guahybae", "Brunnera macrophylla", "Alnus acuminata", "Alnus cordata", "Alnus formosana", "Alnus japonica", "Alnus jorullensis", "Alnus orientalis", "Alnus subcordata", "Alnus subg.", "Alnus oblongifolia", "Astenus immaculatus", "Domene procera", "Homaeotarsus tshernyshovi", "Homaeotarsus iranoturcestanicus", "Lathrobium flavipes", "Tetartopeus zetterstedti", "Tetartopeus scutellaris", "Tetartopeus lomnickii", "Leptobium gracile", "Lithocharis nigriceps", "Lobrathium reitteri", "Mesoplodon densirostris", "Mesoplodon europaeus", "Mesoplodon ginkgodens", "Mesoplodon grayi", "Mesoplodon hectori", "Mesoplodon layardii", "Mesoplodon mirus", "Mesoplodon perrini", "Mesoplodon peruvianus", "Mesoplodon stejnegeri", "Mesoplodon traversii", "Ctenocephalides felis", "Arothron diadematus", "Arothron firmamentum", "Arothron gillbanksii", "Arothron hispidus", "Arothron immaculatus", "Arothron inconditus", "Arothron leopardus", "Arothron meleagris", "Arothron stellatus", "Arothron mappa", "Arothron manilensis", "Arothron nigropunctatus", "Capsicum frutescens", "Tachinus discoideus", "Tachinus rufipes", "Tachyporus chrysomelinus", "Tachyporus nitidulus", "Trichophya pilicornis", "Trichophya tarsalis", "Habrocerus capillaricornis", "Phascolosorex dorsalis whartoni", "Pseudantechinus bilarni", "Pseudantechinus macdonnellensis", "Pseudopsis sulcata", "Pseudantechinus mimulus", "Pseudantechinus ningbing", "Pseudantechinus roryi", "Pseudantechinus woolleyae", "Achenium depressum", "Achenium quadriceps", "Astenus pulchellus", "Astenus procerus", "Salvia desoleana", "Amblynotus rupestris", "Arnebia decumbens", "Arnebia euchroma", "Arnebia guttata", "Borago officinalis", "Borago pygmaea", "Micoureus phaeus", "Siagonium humerale", "Micoureus regina", "Siagonium quadricorne", "Micoureus regina germanus", "Micoureus regina rapposa", "Osorius taurus", "Osorius latipes", "Linnaea borealis", "Anotylus insecatus", "Anotylus mendus", "Anotylus rugosus", "Anotylus sculpturatus", "Aploderus caelatus", "Bledius fossor", "Bledius debilis", "Bledius furcatus", "Bledius gallicus", "Bledius spectabilis", "Bledius tricornis", "Bledius unicornis", "Monodelphis adusta", "Monodelphis americana", "Monodelphis brevicaudata", "Monodelphis dimidiata", "Monodelphis domestica", "Monodelphis emiliae", "Monodelphis glirina", "Monodelphis iheringi", "Otocinclus huaorani", "Otocinclus mariae", "Otocinclus mura", "Otocinclus vestitus", "Otocinclus vittatus", "Distichlis spicata", "Otocinclus xakriaba", "Algon grandicollis", "Allolinus peliopterus", "Astrapaeus ulmi", "Bisnius psyllophagus", "Cafius xantholoma", "Otocinclus gibbosus", "Aleochara rutilipennis", "Citrus reticulata", "Tachyglossus aculeatus acanthion", "Tachyglossus aculeatus lawesii", "Tachyglossus aculeatus multiaculeatus", "Tachyglossus aculeatus setosus", "Zaglossus bartoni clunius", "Zaglossus bartoni diamondi", "Zaglossus bartoni smeenki", "Caluromys philander", "Caluromys philander affinis", "Caluromys philander dichurus", "Deleaster bactrianus", "Deleaster dichrous", "Euphanias pliginskii", "Manda mandibularis", "Oxytelus migrator", "Oxytelus sculptus", "Platystethus cornutus", "Platystethus nodifrons", "Platystethus spinosus", "Oxyporus mannerheimii", "Oxyporus maxillosus", "Oxyporus rufus", "Myoictis leucura", "Myoictis melas", "Dianous coerulescens", "Myoictis wallacei", "Myoictis wavicus", "Stenus fornicatus", "Stenus boops", "Stenus palposus", "Neophascogale lorentzi", "Stenus ludyi", "Parantechinus apicalis", "Stenus bimaculatus", "Stenus clavicornis", "Stenus comma", "Stenus juno", "Stenus stigmula", "Phascolosorex doriae", "Phascolosorex dorsalis", "Stenus pflegeri", "Stenus velleris", "Euaesthetus ruficapillus", "Phascolosorex dorsalis brevicaudata", "Littorina littorea", "Ehretia retusa", "Cerinthe glabra", "Cerinthe major", "Cerinthe minor", "Oreocarya celosioides", "Oreocarya suffruticosa var. setosa", "Cryptantha crassipes", "Cryptantha fendleri", "Oreocarya humilis", "Cryptantha intermedia", "Cryptantha milobakeri", "Cryptantha rostellata", "Cryptantha subcapitata", "Cynoglossum amabile", "Cynoglossum coeruleum", "Cynoglossum dioscoridis", "Cynoglossum geometricum", "Cynoglossum lanceolatum", "Cynoglossum officinale", "Cynoglossum triste", "Cynoglossum wallichii", "Cynoglossum zeylanicum", "Lonas annua", "Ocypus alpestris", "Ocypus macrocephalus", "Ocypus nitens", "Ocypus ormayi", "Ocypus tenebricosus", "Ocypus olens", "Ocypus ophthalmicus", "Ocypus aeneocephalus", "Ocypus fulvipennis", "Forficula auricularia", "Hygronoma dimidiata", "Gyrophaena joyi", "Homalota plana", "Acrotona fungi", "Myllaena intermedia", "Oligota parva", "Oxypoda abdominalis", "Marmosops fuscatus", "Marmosops fuscatus carri", "Marmosops fuscatus perfuscus", "Marmosops handleyi", "Marmosops impavidus", "Marmosops incanus", "Marmosops invictus", "Marmosops juninensis", "Marmosops neblina", "Marmosops noctivagus", "Marmosops ocellatus", "Marmosops parvidens", "Marmosops paulensis", "Marmosops pinheiroi", "Metachirus nudicaudatus", "Trigonurus asiaticus", "Trigonurus mellyi", "Apatetica princeps", "Nodynus leucofasciatus", "Micoureus alstoni", "Micoureus constantiae", "Micoureus demerarae", "Micoureus demerarae arenticola", "Micoureus demerarae dominus", "Micoureus demerarae esmeraldae", "Micoureus demerarae meridae", "Micoureus paraguayanus", "Micoureus paraguayanus paraguayanus", "Micoureus paraguayanus travassosi", "Quedius puncticollis", "Quedius fuliginosus", "Quedius limbatus", "Quedius umbrinus", "Rabigus formosus", "Remus filum", "Sminthopsis hirtipes", "Sminthopsis leucopus", "Sminthopsis longicaudata", "Incertae sedis", "Sminthopsis macroura", "Staphylinus caesareus", "Sminthopsis murina", "Sminthopsis ooldea", "Stenistoderus versicolor", "Sminthopsis psammophila", "Velleius dilatatus", "Sminthopsis virginiae", "Sminthopsis virginiae nitela", "Sminthopsis virginiae rufigenis", "Sminthopsis youngsoni", "Planigale gilesi", "Planigale ingrami", "Planigale ingrami brunnea", "Ocypus mus", "Ocypus picipennis", "Hypoptopoma gulare", "Hypoptopoma steindachneri", "Nannoptopoma spectabile", "Nannoptopoma sternoptychum", "Tasgius depressus", "Tasgius falcifer", "Tasgius inderiensis", "Tasgius globulifer", "Tasgius ater", "Tasgius pedator", "Niobichthys ferrarisi", "Xantholinus distans", "Xantholinus dvoraki", "Acylophorus glaberrimus", "Notamacropus rufogriseus banksianus", "Notamacropus rufogriseus rufogriseus", "Sarcophilus harrisii", "Sarcophilus harrisii dixonae", "Sarcophilus harrisii harrisii", "Antechinus adustus", "Antechinus agilis", "Antechinus bellus", "Otocinclus bororo", "Otocinclus caxarari", "Otocinclus flexilis", "Otocinclus hasemani", "Otocinclus hoppei", "Philonthus ephippium", "Philonthus fumarius", "Philonthus rectangulus", "Philonthus salinus", "Philonthus spinipes", "Philonthus succicola", "Philonthus tenuicornis", "Philonthus velatipennis", "Philonthus wuesthoffi", "Phucobius simulator", "Philonthus cognatus", "Sminthopsis aitkeni", "Sminthopsis archeri", "Sminthopsis bindi", "Corumbataia cuestae", "Sminthopsis boullangerensis", "Sminthopsis butleri", "Corumbataia tocantinensis", "Sminthopsis crassicaudata", "Sminthopsis dolichura", "Physetops tataricus", "Platydracus dauricus", "Platydracus fulvipes", "Platydracus stercorarius", "Platyprosopus elongatus", "Sminthopsis douglasi", "Sminthopsis fuliginosus", "Sminthopsis gilberti", "Sminthopsis granulipes", "Sminthopsis griseoventer", "Incertae sedis", "Epactionotus bilineatus", "Planigale ingrami subtilissima", "Planigale maculata", "Planigale maculata maculata", "Planigale maculata sinualis", "Planigale novaeguinea", "Scaphidium quadrimaculatum", "Planigale tenuirostris", "Quedius curtipennis", "Epactionotus gracilis", "Epactionotus itaimbezinhos", "Epactionotus aky", "Macrotis lagotis", "Macrotis leucura", "Chaeropus ecaudatus", "Isoodon auratus", "Isoodon auratus arnhemensis", "Isoodon auratus barrowensis", "Isoodon macrourus", "Isoodon macrourus macrourus", "Isoodon macrourus moresbyensis", "Isoodon obesulus", "Isoodon obesulus nauticus", "Isoodon obesulus obesulus", "Incertae sedis", "Incertae sedis", "Primula hirsuta", "Primula marginata", "Primula \u00d7 pubescens", "Primula sect.", "Primula sinensis", "Primula sect.", "Primula malacoides", "Primula sect.", "Primula listeri", "Primula obconica", "Primula sinolisteri", "Primula sect.", "Primula bathangensis", "Primula blattariformis", "Primula malvacea", "Primula sect.", "Primula hidakana", "Primula reinii", "Primula takedana", "Primula sect.", "Primula cortusoides", "Primula geraniifolia", "Primula heucherifolia", "Primula jesoana", "Primula kisoana", "Primula minkwitziae", "Primula mollis", "Primula polyneura", "Primula septemloba", "Primula sieboldii", "Primula sinomollis", "Primula sect.", "Primula bracteata", "Primula forrestii", "Primula rockii", "Primula sect.", "Primula bhutanica", "Primula moupinensis", "Primula petiolaris", "Primula pulchra", "Primula sonchifolia", "Primula sect.", "Primula agleniana", "Primula boreiocalliantha", "Primula calliantha", "Primula chionantha", "Primula elongata", "Primula farreriana", "Primula macrophylla", "Primula minor", "Primula nivalis", "Primula obtusifolia", "Primula stuartii", "Primula szechuanica", "Primula sect.", "Primula rotundifolia", "Primula sect.", "Primula amethystina", "Primula kingii", "Primula valentiniana", "Primula sect.", "Primula aurantiaca", "Primula bulleyana", "Primula burmanica", "Eurycheilichthys limulus", "Smallanthus glabratus", "Smallanthus sonchifolius", "Smallanthus uvedalia", "Gonospermum revolutum", "Nivellea nivellei", "Berlandiera betonicifolia", "Cynoglottis barrelieri", "Echium angustifolium", "Echium auberianum", "Echium callithyrsum", "Echium candicans", "Echium creticum", "Echium italicum", "Echium nervosum", "Echium pininana", "Echium plantagineum", "Pontechium maculatum", "Echium simplex", "Echium strictum", "Echium vulgare", "Echium wildpretii", "Epactionotus yasi", "Medon fusculus", "Nazeris pallidipes", "Oedichirus reitteri", "Paederus littoralis", "Paederus fuscipes", "Paederus riparius", "Paederidus ruficollis", "Pinophilus grandis", "Mimopinophilus siculus", "Rugilus orbiculatus", "Rugilus rufipes", "Rugilus similis", "Scymbalium anale", "Scopaeus bicolor", "Scopaeus debilis", "Scopaeus gladifer", "Scopaeus laevigatus", "Sunius fallax", "Pseudomedon obsoletus", "Abemus chloropterus", "Acestridium dichromum", "Eulemur macaco flavifrons", "Acestridium discus", "Acestridium martini", "Hypoptopoma guianense", "Operophtera brumata", "Lentinula edodes", "Cenchrus setaceus", "Perameles bougainville", "Perameles eremiana", "Perameles gunnii", "Perameles nasuta", "Peroryctes broadbenti", "Oxyropsis wrightiana", "Oxyropsis carinata", "Oxyropsis acutirostris", "Antechinomys laniger", "Ningaui ridei", "Ningaui timealeyi", "Ningaui yvonnae", "Leptacinus intermedius", "Philonthus marginatus", "Philonthus micans", "Philonthus binotatus", "Philonthus caucasicus", "Philonthus cruentatus", "Philonthus cyanipennis", "Philonthus decorus", "Philonthus dimidiatipennis", "Philonthus discoideus", "Philonthus ebeninus", "Hisonotus laevior", "Lucanus cervus", "Hynobius lichenatus", "Hynobius naevius", "Hynobius nebulosus", "Hynobius nigrescens", "Hynobius okiensis", "Hynobius quelpaertensis", "Hynobius retardatus", "Hynobius sonani", "Hynobius stejnegeri", "Hynobius takedai", "Hynobius tokyoensis", "Hynobius tsuensis", "Hynobius turkestanicus", "Hynobius yangi", "Hynobius yiwuensis", "Burramys parvus", "Cercartetus caudatus", "Cercartetus caudatus caudatus", "Cercartetus caudatus macrura", "Cercartetus concinnus", "Cercartetus concinnus concinnus", "Cercartetus concinnus minor", "Cercartetus lepidus", "Cercartetus nanus", "Cercartetus nanus nanus", "Cercartetus nanus unicolor", "Liua shihi", "Liua tsinpaensis", "Tanacetum balsamita", "Tanacetum parthenium", "Tanacetum vulgare", "Tanacetum achilleifolium", "Tanacetum atkinsonii", "Tanacetum bipinnatum", "Tanacetum cinerariifolium", "Tanacetum coccineum", "Tanacetum corymbosum", "Tanacetum macrophyllum", "Tanacetum niveum", "Tanacetum partheniifolium", "Tanacetum pinnatum", "Tanacetum polycephalum", "Tanacetum poteriifolium", "Tripleurospermum caucasicum", "Tripleurospermum maritimum", "Ursinia anethoides", "Ursinia anthemoides", "Ursinia cakilefolia", "Ursinia foeniculacea", "Ursinia nudicaulis", "Ursinia pulchra", "Ursinia scapiformis", "Ursinia speciosa", "Salamandrella tridactyla", "Batrachuperus karlschmidti", "Batrachuperus londongensis", "Batrachuperus pinchonii", "Batrachuperus taibaiensis", "Batrachuperus tibetanus", "Batrachuperus yenyuanensis", "Hynobius abei", "Hynobius amjiensis", "Hynobius arisanensis", "Hynobius boulengeri", "Hynobius chinensis", "Hynobius dunni", "Hynobius formosanus", "Creophilus maxillosus", "Otocinclus tapirape", "Dinothenarus flavocephalus", "Dinothenarus arrosus", "Dinothenarus sibiricus", "Antechinus flavipes", "Antechinus flavipes flavipes", "Antechinus flavipes rubeculus", "Antechinus godmani", "Antechinus leo", "Antechinus minimus", "Antechinus swainsonii", "Antechinus stuartii", "Antechinus subtropicus", "Murexia habbema", "Murexia melanurus", "Murexia longicaudata", "Murexia rothschildi", "Emus hirtus", "Erichsonius cinerascens", "Phascogale calura", "Phascogale tapoatafa", "Murexia naso", "Eucibdelus japonicus", "Gabrius osseticus", "Gabrius suffragani", "Gyrohypnus fracticornis", "Hadropinus fossor", "Heterothops minutus", "Heterothops tanygnathoides", "Jurecekia asphaltina", "Leptacinus batychrus", "Leptacinus pusillus", "Leptacinus sulcifrons", "Neobisnius procerulus", "Anthemis ismelia", "Nudobius lentus", "Ontholestes haroldi", "Ontholestes murinus", "Ontholestes tessellatus", "Othius punctulatus", "Aphodius gregarius", "Aphodius lugens", "Aphodius serotinus", "Aphodius distinctus", "Aphodius paykulli", "Aphodius pictus", "Aphodius plutschewskyi", "Aphodius clathratus", "Aphodius planus", "Aphodius flammulatus", "Aphodius ivanovi", "Aphodius tanhensis", "Aphodius pamirensis", "Aphodius variicolor", "Aphodius xanthellus", "Aphodius hahni", "Aphodius auliensis", "Aphodius badenkoi", "Felis nigripes nigripes", "Felis nigripes thomasi", "Astyanax endy", "Phalanger alexandrae", "Phalanger carmelitae", "Phalanger carmelitae carmelitae", "Phalanger carmelitae coccygis", "Phalanger gymnotis", "Phalanger gymnotis gymnotis", "Phalanger gymnotis leucippus", "Phalanger intercastellanus", "Phalanger lullulae", "Phalanger matabiru", "Phalanger matanim", "Phalanger mimicus", "Phalanger mimicus mimicus", "Phalanger mimicus peninsulae", "Phalanger orientalis", "Phalanger orientalis breviceps", "Phalanger orientalis orientalis", "Phalanger ornatus", "Phalanger rothschildi", "Phalanger sericeus", "Phalanger sericeus occidentalis", "Phalanger sericeus sericeus", "Phalanger vestitus", "Eranthemum roseum", "Eranthemum wattii", "Hygrophila costata", "Hygrophila difformis", "Hygrophila phlomoides", "Hygrophila polysperma", "Hygrophila salicifolia", "Ruellia affinis", "Ruellia blumei", "Ruellia brevifolia", "Ruellia cernua", "Ruellia ciliatiflora", "Ruellia chartacea", "Ruellia devosiana", "Ruellia fulgida", "Ruellia humilis", "Ruellia macrantha", "Ruellia macrophylla", "Ruellia prostrata", "Ruellia rosea", "Ruellia strepens", "Ruellia tuberosa", "Ruellia tweediana", "Asystasia gangetica subsp. gangetica", "Sanchezia oblonga", "Sanchezia parvibracteata", "Sanchezia speciosa", "Strobilanthes anisophylla", "Strobilanthes cusia", "Strobilanthes echinata", "Strobilanthes forrestii", "Strobilanthes glomerata", "Strobilanthes lactata", "Strobilanthes versicolor", "Trichanthera gigantea", "Elytraria cubana", "Elytraria imbricata", "Nelsonia canescens", "Thunbergia alata", "Thunbergia coccinea", "Thunbergia elegans", "Thunbergia erecta", "Thunbergia fragrans", "Thunbergia gregorii", "Thunbergia grandiflora", "Thunbergia laurifolia", "Thunbergia lutea", "Thunbergia mysorensis", "Thunbergia vogeliana", "Justicia secunda", "Justicia spicigera", "Justicia tweediana", "Justicia ventricosa", "Mackaya bella", "Odontonema cuspidatum", "Odontonema nitidum", "Odontonema tubaeforme", "Pachystachys coccinea", "Pachystachys lutea", "Pachystachys spicata", "Pseuderanthemum bicolor", "Pseuderanthemum tunicatum", "Rhinacanthus nasutus", "Rungia klossii", "Rungia pectinata", "Rungia repens", "Ruttya fruticosa", "Streblacanthus amoenus", "Ruellia blechum", "Brillantaisia lamium", "Lucanus ibericus", "Lucanus maculifemoratus", "Prismognathus angularis", "Prismognathus dauricus", "Dorcus parallelipipedus", "Hemisodorcus rubrofemoratus", "Macrodorcas recta", "Macrodorcas striatipennis", "Platycerus caraboides", "Platycerus caprea", "Platycerus primigenius", "Platycerus caucasicus", "Hynobius guabangshanensis", "Hynobius hidamontanus", "Hynobius katoi", "Hynobius kimurae", "Hynobius leechii", "Batrisus sibiricus", "Brachygluta furcata", "Trissemus melinus", "Rybaxis longicornis", "Ctenistes palpalis", "Pselaphus heisei", "Brathinus oculatus", "Lasiorhinus krefftii barnardi", "Lasiorhinus krefftii gillespiei", "Thunbergia wightiana", "Barleria lancifolia", "Barleria matopensis", "Barleria strigosa", "Lepidagathis alopecuroidea", "Lepidagathis cristata", "Lepidagathis trinervis", "Pygopleurus vulpes", "Eulasia bombyliformis", "Glaphyrus micans", "Osmoderma coriarium", "Osmoderma barnabita", "Osmoderma eremita", "Osmoderma opicum", "Gnorimus nobilis", "Gnorimus bartelsi", "Trichius fasciatus", "Lasiotrichius succinctus", "Aphodius immundus", "Aphodius rufipes", "Aphodius fimetarius", "Aphodius variabilis", "Aesalus scarabaeoides", "Aesalus ulanowskii", "Hisonotus leucofrenatus", "Hisonotus notatus", "Trox sabulosus", "Trox mandli", "Bolbocerodema zonatum", "Bolbotrypes davidis", "Typhaeus typhoeus", "Ceratophyus dauricus", "Anoplotrupes stercorosus", "Phelotrupes auratus", "Ailurops melanotis", "Ailurops ursinus", "Ailurops ursinus flavissimus", "Ailurops ursinus furvus", "Ailurops ursinus togianus", "Bolbelasmus unicornis", "Strigocuscus celebensis", "Strigocuscus celebensis feileri", "Strigocuscus celebensis sangirensis", "Strigocuscus pelengensis", "Strigocuscus pelengensis mendeni", "Strigocuscus pelengensis pelengensis", "Trypocopris vernalis", "Lethrus apterus", "Hybosorus illigeri", "Protohynobius puxiongensis", "Pseudohynobius flavomaculatus", "Pseudohynobius shuichengensis", "Ranodon sibiricus", "Dyschoriste oblongifolia", "Eranthemum cinnabarinum", "Eranthemum pulchellum", "Eranthemum purpurascens", "Peroryctes raffrayana", "Peroryctes raffrayana raffrayana", "Peroryctes raffrayana rothschildi", "Microperoryctes longicauda", "Microperoryctes longicauda dorsalis", "Microperoryctes papuensis", "Echymipera kalubu cockerelli", "Echymipera kalubu oriomo", "Echymipera kalubu philipi", "Echymipera rufescens australis", "Echymipera rufescens rufescens", "Microperoryctes aplini", "Microperoryctes murina", "Microperoryctes ornata", "Microperoryctes longicauda longicauda", "Rhynchomeles prattorum", "Oncosiphon suffruticosum", "Pentzia calcarea", "Pentzia incana", "Pentzia lanata", "Pentzia sphaerocephala", "Pentzia spinescens", "Phymaspermum parvifolium", "Plagius grandis", "Eurycheilichthys pantherinus", "Umbellularia californica", "Santolina chamaecyparissus", "Santolina neapolitana", "Santolina rosmarinifolia", "Soliva anthemifolia", "Salamandrella keyserlingii", "Soliva sessilis", "Soliva stolonifera", "Tanacetum abrotanifolium", "Pachyhynobius shangchengensis", "Paradactylodon mustersi", "Paradactylodon persicus", "Felis silvestris brockmani", "Blepharis attenuata", "Blepharis bainesii", "Blepharis buchneri", "Blepharis edulis", "Blepharis exigua", "Blepharis javanica", "Blepharis leedertaziae", "Blepharis maderaspatensis", "Blepharis tenuiramea", "Crossandra infundibuliformis", "Crossandra nilotica", "Crossandra puberula", "Crossandra spinescens", "Stenandrium tuberosum", "Gymnostachyum ceylanicum", "Haplanthodes tentaculatus", "Phlogacanthus pubinervius", "Phlogacanthus thyrsiflorus", "Chamaeranthemum beyrichii", "Chamaeranthemum venosum", "Fittonia albivenis", "Graptophyllum pictum", "Hypoestes maculosa", "Hypoestes phyllostachya", "Isoglossa grantii", "Justicia adhatoda", "Justicia androsaemifolia", "Justicia betonica", "Justicia brandegeeana", "Justicia brasiliana", "Justicia californica", "Justicia carnea", "Justicia carthagenensis", "Justicia cooleyi", "Justicia cydoniifolia", "Justicia flava", "Justicia fulvicoma", "Justicia kotschyi", "Justicia orchioides", "Justicia pectoralis", "Justicia plumbaginifolia", "Justicia procumbens", "Justicia quinqueangularis", "Popillia japonica", "Mimela holosericea", "Hoplia parvula", "Zoogenetes harpa", "Anthemis aetnensis", "Anemopaegma arvense", "Anemopaegma chamberlaynii", "Anemopaegma chrysoleucum", "Anemopaegma glaucum", "Anemopaegma karstenii", "Bignonia capreolata", "Amphilophium crucigerum", "Cuspidaria convoluta", "Monograptus glutiformis", "Monograptus patulus", "Erigeron filifolius", "Erigeron flagellaris", "Pseudochirulus canescens", "Pseudochirulus canescens avarus", "Pseudochirulus canescens bernsteini", "Pseudochirulus canescens dammermani", "Pseudochirulus canescens gyrator", "Pseudochirulus caroli", "Pseudochirulus caroli caroli", "Pseudochirulus caroli versteegi", "Pseudochirulus cinereus", "Pseudochirulus forbesi", "Pseudochirulus herbertensis", "Pseudochirulus larvatus", "Pseudochirulus mayeri", "Pseudochirulus schlegeli", "Erigeron floribundus", "Erigeron foliosus", "Erigeron gaudinii", "Erigeron glabratus", "Erigeron glaucus", "Erigeron kachinensis", "Erigeron karvinskianus", "Erigeron linearis", "Erigeron maguirei", "Erigeron multiradiatus", "Erigeron myosotis", "Erigeron naudinii", "Erigeron orientalis", "Hypsiprymnodon moschatus", "Triturus carnifex", "Triturus dobrogicus", "Triturus karelinii", "Triturus marmoratus", "Triturus pygmaeus", "Onthophagus suturellus", "Onthophagus marginalis", "Onthophagus gibbulus", "Caccobius schreberi", "Serica brunnea", "Omaloplia spiraeae", "Maladera holosericea", "Anoxia pilosa", "Trichosurus vulpecula", "Trichosurus arnhemensis", "Trichosurus caninus", "Chioneosoma astrachanicum", "Trichosurus cunninghami", "Trichosurus johnstonii", "Wyulda squamicaudata", "Chioneosoma pulvereum", "Acrobates pygmaeus", "Distoechurus pennatus", "Hemibelideus lemuroides", "Petauroides volans", "Petauroides volans minor", "Petauroides volans volans", "Solimoea acrensis", "Anaxyrus baxteri", "Symphytum \u00d7 uplandicum", "Petaurus breviceps", "Petaurus breviceps ariel", "Petaurus breviceps longicaudatus", "Petaurus breviceps papuanus", "Petaurus norfolcensis", "Petaurus abidi", "Petaurus australis", "Petaurus australis australis", "Petaurus australis reginae", "Petaurus biacensis", "Petaurus gracilis", "Dactylopsila megalura", "Dactylopsila palpator", "Dactylopsila tatei", "Dactylopsila trivirgata", "Dactylopsila trivirgata kataui", "Dactylopsila trivirgata melampus", "Dactylopsila trivirgata picata", "Gymnobelideus leadbeateri", "Tarsipes rostratus", "Mus cypriacus", "Stertomys daamsi", "Stertomys daunius", "Gopherus agassizii", "Gopherus berlandieri", "Gopherus flavomarginatus", "Gopherus polyphemus", "Gonospermum fruticosum", "Conyza aegyptiaca", "Conyza ageratoides", "Conyza leucantha", "Conyza primulifolia", "Erigeron acris", "Erigeron alpinus", "Erigeron annuus", "Erigeron atticus", "Erigeron aurantiacus", "Erigeron basalticus", "Erigeron bellioides", "Erigeron bigelovii", "Erigeron bloomeri", "Erigeron caespitosus", "Erigeron candidus", "Erigeron caucasicus", "Erigeron decumbens", "Erigeron disparipilus", "Erigeron divergens", "Erigeron elatior", "Petropseudes dahli", "Erigeron engelmani", "Pseudocheirus peregrinus", "Pseudocheirus peregrinus convolutor", "Pseudocheirus peregrinus occidentalis", "Pseudocheirus peregrinus pulcher", "Lasiopsis canina", "Melolontha melolontha", "Melolontha hippocastani", "Amphimallon solstitiale", "Holochelus aequinoctialis", "Holochelus vernus", "Polyphylla alba", "Polyphylla fullo", "Rhizotrogus aestivus", "Adoretus nigrifrons", "Anisoplia agricola", "Anisoplia deserticola", "Anisoplia zwickii", "Anisoplia austriaca", "Chaetopteroplia segetum", "Anomala dubia", "Anomala errans", "Anomala kirgisica", "Blitopertha lineolata", "Exomala pallidipennis", "Phyllopertha horticola", "Eophileurus chinensis", "Oryctes nasicornis", "Chalcosoma atlas", "Pentodon idiota", "Pentodon bidens", "Megasoma elephas", "Allomyrina dichotoma", "Polyphylla decemlineata", "Cetonia aurata", "Tropinota hirta", "Dendrolagus goodfellowi", "Dendrolagus goodfellowi buergersi", "Dendrolagus goodfellowi goodfellowi", "Dendrolagus bennettianus", "Dendrolagus dorianus", "Dendrolagus dorianus mayri", "Dendrolagus dorianus notatus", "Dendrolagus inustus", "Dendrolagus inustus finschi", "Dendrolagus inustus inustus", "Dendrolagus lumholtzi", "Dendrolagus matschiei", "Dendrolagus mbaiso", "Dendrolagus scottae", "Dendrolagus spadix", "Dendrolagus stellarum", "Hapalochlaena lunulata", "Dendrolagus ursinus", "Protaetia marmorata", "Aepyprymnus rufescens", "Protaetia affinis", "Protaetia affinis affinis", "Bettongia gaimardi", "Protaetia speciosa", "Bettongia lesueur", "Bettongia penicillata", "Bettongia tropica", "Protaetia armeniaca", "Acmaeodera bilyi", "Acmaeodera lata", "Acmaeodera lopatini", "Acmaeodera degener", "Dorcopsis atrata", "Dorcopsis hageni", "Dorcopsis luctuosa", "Dorcopsis luctuosa luctuosa", "Dorcopsis luctuosa phyllis", "Dorcopsis muelleri", "Dorcopsis muelleri lorentzii", "Dorcopsis muelleri mysoliae", "Dorcopsis muelleri yapeni", "Dorcopsulus macleayi", "Dorcopsulus vanheurni", "Lagorchestes asomatus", "Lagorchestes leporides", "Lagorchestes conspicillatus", "Lagorchestes hirsutus", "Notamacropus agilis", "Notamacropus agilis jardinii", "Notamacropus agilis nigrescens", "Notamacropus agilis papuanus", "Osphranter antilopinus", "Osphranter bernardus", "Notamacropus dorsalis", "Notamacropus eugenii", "Macropus fuliginosus", "Macropus fuliginosus melanops", "Macropus fuliginosus ocydromus", "Macropus giganteus", "Macropus giganteus giganteus", "Macropus giganteus tasmaniensis", "Notamacropus greyi", "Notamacropus irma", "Bisaya nossidiiformis", "Microcara testacea", "Scirtes hemisphaericus", "Dascillus cervinus", "Arrhaphipterus schelkownikoffi", "Julodis faldermanni", "Julodella globithorax", "Potato spindle tuber viroid", "Coconut cadang-cadang viroid", "Elaphe quatuorlineata", "Erigeron parishii", "Erigeron peregrinus", "Erigeron philadelphicus", "Erigeron pinnatisectus", "Erigeron piperianus", "Erigeron polycladus", "Erigeron polymorphus", "Erigeron pulchellus", "Erigeron pumilus", "Erigeron radicatus", "Erigeron rhizomatus", "Erigeron roylei", "Erigeron speciosus", "Erigeron strigosus", "Erigeron sublyratus", "Erigeron subtrinervis", "Erigeron thunbergii", "Erigeron uniflorus", "Pseudochirops albertisii", "Pseudochirops albertisii insularis", "Pseudochirops albertisii schultzei", "Pseudochirops archeri", "Pseudochirops corinnae", "Pseudochirops corinnae argenteus", "Pseudochirops corinnae fuscus", "Pseudochirops coronatus", "Pseudochirops cupreus", "Curcuma bhatii", "Gastrocotyle hispida", "Lappula barbata", "Lappula occidentalis", "Lappula semiglabra", "Lappula squarrosa", "Lindelofia longiflora", "Lithodora fruticosa", "Lithospermum canescens", "Lithospermum caroliniense", "Lithospermum officinale", "Lithospermum erythrorhizon", "Lithospermum incisum", "Lithospermum macbridei", "Lithospermum ruderale", "Lithospermum tuberosum", "Moltkia aurea", "Protaetia karelini", "Protaetia ungarica", "Protaetia cuprina", "Protaetia metallica", "Protaetia obscura", "Exomala orientalis", "Cotinis mutabilis", "Caloprymnus campestris", "Cotinis nitida", "Potorous tridactylus", "Potorous tridactylus apicalis", "Potorous tridactylus tridactylus", "Potorous gilbertii", "Potorous platyops", "Potorous longipes", "Pelidnota punctata", "Lissotriton boscai", "Lissotriton helveticus", "Lissotriton italicus", "Salamandra corsica", "Salamandra algira", "Salamandra infraimmaculata", "Chioglossa lusitanica", "Petrogale rothschildi", "Petrogale sharmani", "Chalcophora mariana", "Poecilonota variolosa", "Lamprodila virgata", "Lamprodila tschitscherini", "Thylogale thetis", "Thylogale billardierii", "Thylogale browni", "Thylogale brunii", "Thylogale calabyi", "Thylogale lanatus", "Thylogale stigmatica", "Thylogale stigmatica coxenii", "Thylogale stigmatica oriomo", "Thylogale stigmatica wilcoxi", "Orientia tsutsugamushi", "Notamacropus parma", "Notamacropus parryi", "Osphranter robustus", "Osphranter robustus erubescens", "Osphranter robustus isabellinus", "Osphranter robustus woodwardi", "Pleurodeles poireti", "Onychogalea lunata", "Onychogalea fraenata", "Onychogalea unguifera", "Kootenaia burkei", "Pleurodeles nebulosus", "Setonix brachyurus", "Wallabia bicolor", "Calotriton arnoldi", "Calotriton asper", "Lagostrophus fasciatus baudinettei", "Lagostrophus fasciatus fasciatus", "Euproctus montanus", "Euproctus platycephalus", "Salamandrina perspicillata", "Salamandrina terdigitata", "Foxidonta stevensoni", "Planogyra asteriscus", "Planogyra clappi", "Acmaeoderella circassica", "Acmaeoderella plavilscikovi", "Acmaeoderella gibbulosa", "Acmaeoderella vetusta", "Ptosima undecimmaculata", "Petrogale lateralis", "Petrogale lateralis hacketti", "Petrogale lateralis pearsoni", "Petrogale xanthopus", "Petrogale xanthopus celeris", "Petrogale xanthopus xanthopus", "Petrogale penicillata", "Petrogale assimilis", "Petrogale brachyotis", "Petrogale burbidgei", "Petrogale coenensis", "Petrogale concinna", "Petrogale godmani", "Petrogale herberti", "Petrogale inornata", "Petrogale mareeba", "Nyctereutes procyonoides koreensis", "Nyctereutes procyonoides orestes", "Nyctereutes procyonoides ussuriensis", "Nyctereutes procyonoides viverrinus", "Petrogale persephone", "Petrogale purpureicollis", "Moltkia coerulea", "Moltkia petraea", "Myosotis sylvatica", "Myosotis alpestris", "Myosotis arvensis", "Myosotis australis", "Myosotis scorpioides", "Myosotis stricta", "Neatostema apulum", "Nonea lutea", "Nonea rosea", "Omphalodes cappadocica", "Nihon japonicum", "Omphalodes verna", "Onosma alborosea", "Onosma echioides", "Onosma hookeri", "Onosma paniculata", "Onosma polyphylla", "Onosma tenuiflora", "Paracaryum racemosum", "Pectocarya penicillata", "Pectocarya platycarpa", "Pentaglottis sempervirens", "Plagiobothrys figuratus", "Plagiobothrys hirtus", "Plagiobothrys hispidus", "Plagiobothrys scouleri", "Plagiobothrys strictus", "Rochelia disperma", "Rochelia stylaris", "Symphytum asperum", "Symphytum caucasicum", "Symphytum ibericum", "Symphytum officinale", "Symphytum tuberosum", "Catalpa \u00d7 erubescens", "Catalpa longissima", "Catalpa ovata", "Catalpa speciosa", "Chilopsis linearis", "Campsis grandiflora", "Campsis radicans", "Campsis \u00d7 tagliabuana", "Cybistax antisyphilitica", "Tourrettia lappacea", "Byblis aquatica", "Byblis filifolia", "Byblis gigantea", "Byblis liniflora", "Byblis rorida", "Valgus hemipterus", "Dermolepida albohirtum", "Anoplognathus pallidicollis", "Eudicella gralli", "Strategus aloeus", "Phanaeus vindex", "Clambus pubescens", "Nycteus bicolor", "Amphilophium buccinatorium", "Dolichandra cynanchoides", "Dolichandra uncata", "Dolichandra unguis-cati", "Mansoa alliacea", "Mansoa difficilis", "Mansoa hymenaea", "Mansoa verrucifera", "Martinella obovata", "Tanaecium pyramidatum", "Bignonia corymbosa", "Pyrostegia venusta", "Tanaecium crucigerum", "Tanaecium exitiosum", "Tanaecium jaroba", "Tynanthus polyanthus", "Xylophragma seemannianum", "Kigelia africana", "Crescentia alata", "Crescentia cujete", "Crescentia portoricensis", "Parmentiera aculeata", "Parmentiera cereifera", "Eccremocarpus scaber", "Millingtonia hortensis", "Oroxylum indicum", "Astianthus viminalis", "Campsidium valdivianum", "Catalpa bignonioides", "Catalpa bungei", "Anthaxia turcomanica", "Macroscelides proboscideus", "Macroscelides proboscideus proboscideus", "Anthaxia rossica", "Anthaxia brevis", "Anthaxia nitidula signaticollis", "Petrodromus tetradactylus", "Petrodromus tetradactylus beirae", "Anthaxia millefolii", "Petrodromus tetradactylus rovumae", "Anthaxia praeclara", "Petrodromus tetradactylus schwanni", "Petrodromus tetradactylus sultani", "Petrodromus tetradactylus swynnertoni", "Petrodromus tetradactylus tordayi", "Anthaxia rubromarginata", "Petrodromus tetradactylus warreni", "Petrodromus tetradactylus zanzibaricus", "Anthaxia quadripunctata", "Anthaxia hungarica", "Melanophila acuminata", "Chrysobothris pulchripes", "Chrysobothris succedanea", "Orycteropus afer adametzi", "Orycteropus afer aethiopicus", "Orycteropus afer angolensis", "Orycteropus afer erikssoni", "Orycteropus afer faradjius", "Orycteropus afer haussanus", "Orycteropus afer kordofanicus", "Orycteropus afer lademanni", "Orycteropus afer leptodon", "Orycteropus afer matschiei", "Orycteropus afer observandus", "Orycteropus afer ruvanensis", "Orycteropus afer senegalensis", "Orycteropus afer somalicus", "Orycteropus afer wardi", "Orycteropus afer wertheri", "Toxorhynchites bambusicola", "Toxorhynchites cavalierii", "Toxorhynchites gerbergi", "Toxorhynchites grandiosus", "Mitraria coccinea", "Cyrtandra crenata", "Cyrtandra cyaneoides", "Toxorhynchites guadeloupensis", "Toxorhynchites mariae", "Toxorhynchites portoricensis", "Toxorhynchites pusillus", "Toxorhynchites rutilus septentrionalis", "Toxorhynchites haemorrhoidalis superbus", "Toxorhynchites haemorrhoidalis separatus", "Toxorhynchites brevipalpis brevipalpis", "Toxorhynchites brevipalpis conradti", "Toxorhynchites brevipalpis abyssinicus", "Toxorhynchites camaronis", "Toxorhynchites lewisi", "Toxorhynchites rickenbacki", "Toxorhynchites rodhaini", "Toxorhynchites macaensis", "Toxorhynchites dundo", "Cyrtandra dentata", "Cyrtandra giffardii", "Cyrtandra munroi", "Cyrtandra polyantha", "Cyrtandra subumbellata", "Cyrtandra tintinnabula", "Cyrtandra viridiflora", "Rhynchotechum vestitum", "Toxorhynchites capelai", "Conandron ramondioides", "Didymocarpus pedicellatus", "Ramonda myconi", "Ramonda nathaliae", "Saintpaulia ionantha subsp. grotei", "Saintpaulia ionantha", "Saintpaulia tongwensis", "Toxorhynchites manicatus", "Toxorhynchites manicatus manicatus", "Streptocarpus caulescens", "Streptocarpus nobilis", "Streptocarpus parviflorus", "Streptocarpus polyanthus", "Streptocarpus pusillus", "Toxorhynchites manicatus yaeyamae", "Rhynchoglossum notonianum", "Rhynchoglossum obliquum", "Toxorhynchites manicatus yamadai", "Mertensiella caucasica", "Neurergus crocatus", "Coldenia procumbens", "Cordia africana", "Cordia alliodora", "Cordia bellonis", "Cordia blancoi", "Cordia boissieri", "Cordia collococca", "Cordia curassavica", "Cordia cymosa", "Cordia decandra", "Cordia dentata", "Cordia dichotoma", "Cordia dodecandra", "Cordia ecalyculata", "Cordia elaeagnoides", "Cordia francisci", "Cordia gerascanthus", "Cordia goeldiana", "Cordia grandifolia", "Cordia laevigata", "Cordia leucosebestena", "Cordia linnaei", "Cordia lutea", "Cordia macleodii", "Cordia macrocephala", "Cordia millenii", "Cordia myxa", "Cordia nervosa", "Cordia panamensis", "Cordia parvifolia", "Cordia polycephala", "Cordia rickseckeri", "Markhamia lutea", "Markhamia obtusifolia", "Markhamia zanzibarica", "Newbouldia laevis", "Pandorea jasminoides", "Pandorea pandorana", "Paratecoma peroba", "Podranea brycei", "Podranea ricasoliana", "Radermachera frondosa", "Radermachera gigantea", "Radermachera pentandra", "Radermachera pinnata", "Radermachera sinica", "Radermachera xylocarpa", "Rhigozum brevispinosum", "Rhigozum obovatum", "Spathodea campanulata", "Stereospermum chelonoides", "Stereospermum euphorioides", "Stereospermum fimbriatum", "Stereospermum kunthianum", "Tabebuia aurea", "Tabebuia berteroi", "Tabebuia billbergii", "Tabebuia capitata", "Tabebuia cassinoides", "Tabebuia chrysea", "Tabebuia donnell-smithii", "Tabebuia haemantha", "Tabebuia heterophylla", "Tabebuia lepidota", "Tabebuia obtusifolia", "Tabebuia pallida", "Tabebuia rosea", "Tabebuia sauvallei", "Sphenoptera exarata", "Capnodis cariosa", "Capnodis tenebrionis", "Dicerca aenea", "Dicerca alni", "Dicerca amphibia", "Dicerca furcata", "Cyphosoma tataricum", "Perotis lugubris", "Hypselotriton chenggongensis", "Hypselotriton cyanurus", "Hypselotriton orientalis", "Hypselotriton orphicus", "Cynops pyrrhogaster", "Hypselotriton wolterstorffi", "Echinotriton andersoni", "Echinotriton chinhaiensis", "Buprestis araratica", "Buprestis novemmaculata", "Eurythyrea aurata", "Eurythyrea oxiana", "Kisanthobia ariasi", "Anthaxia fulgurans", "Toxorhynchites violaceus", "Toxorhynchites theobaldi", "Toxorhynchites solstitialis", "Toxorhynchites rutilus", "Toxorhynchites rizzoi", "Dasypus kappleri kappleri", "Dasypus kappleri pastasae", "Dasypus novemcinctus aequatorialis", "Dasypus novemcinctus fenestratus", "Dasypus novemcinctus hoplites", "Dasypus novemcinctus mexianae", "Dasypus novemcinctus mexicanus", "Euphractus sexcinctus boliviae", "Euphractus sexcinctus flavimanus", "Euphractus sexcinctus setosus", "Euphractus sexcinctus tucumanus", "Chaetophractus vellerosus pannosus", "Chaetophractus vellerosus vellerosus", "Zaedyus pichiy caurinus", "Zaedyus pichiy pichiy", "Cattleya maxima", "Cattleya percivaliana", "Cabassous unicinctus squamicaudis", "Cabassous unicinctus unicinctus", "Torpedo tremens", "Torpedo torpedo", "Torpedo tokionis", "Torpedo suessii", "Torpedo adenensis", "Torpedo californica", "Aphodius comma", "Aphodius exilimanus", "Aphodius kerzhneri", "Aphodius mongolaltaicus", "Aphodius nigrivittis", "Aphodius sticticus", "Cnemisus kaznakovi", "Cnemisus rufescens", "Oxyomus sylvestris", "Turanella latevittis", "Euheptaulacus sus", "Platytomus variolosus", "Aegialia kamtschatica", "Spilocuscus kraemeri", "Spilocuscus maculatus", "Spilocuscus maculatus chrysorrhous", "Spilocuscus maculatus goldiei", "Spilocuscus maculatus nudicaudatus", "Spilocuscus papuensis", "Spilocuscus rufoniger", "Scarabaeus sacer", "Spilocuscus wilsoni", "Gymnopleurus mopsus", "Sisyphus schaefferi", "Copris lunaris", "Copris hispanus", "Copris ochus", "Onitis humerosus", "Euoniticellus fulvus", "Euoniticellus pallipes", "Onthophagus furcatus", "Agrypnus murinus", "Aelosomus rossii", "Danosoma fasciatum", "Lacon altaicus", "Cardiophorus anticus", "Athous subfuscus", "Actenicerus infirmus", "Aeschynanthus acuminatus", "Aeschynanthus bracteatus", "Aeschynanthus andersonii", "Aeschynanthus leptocladus", "Aeschynanthus longicaulis", "Aeschynanthus longiflorus", "Aeschynanthus parasiticus", "Aeschynanthus parviflorus", "Aeschynanthus radicans", "Aeschynanthus speciosus", "Toxorhynchites aurifluus", "Toxorhynchites gravelyi", "Toxorhynchites kempi", "Toxorhynchites klossi", "Toxorhynchites albipes", "Toxorhynchites barbipes", "Toxorhynchites pendleburyi", "Toxorhynchites auripes", "Toxorhynchites evansae", "Toxorhynchites nigripes", "Toxorhynchites inornatus", "Toxorhynchites inornatus inornatus", "Toxorhynchites inornatus albitarsis", "Toxorhynchites sumatranus", "Toxorhynchites coeruleus", "Toxorhynchites raris", "Toxorhynchites quasiferox", "Toxorhynchites funestus", "Toxorhynchites magnificus", "Toxorhynchites acaudatus", "Toxorhynchites metallicus", "Toxorhynchites leicesteri", "Toxorhynchites phytophagus", "Toxorhynchites minimus", "Toxorhynchites ramalingami", "Toxorhynchites angustiplatus", "Toxorhynchites indicus", "Toxorhynchites nepenthicola", "Toxorhynchites bengalensis", "Toxorhynchites nepenthis", "Toxorhynchites gigantulus", "Toxorhynchites bickleyi", "Toxorhynchites manopi", "Toxorhynchites sunthorni", "Toxorhynchites auranticauda", "Toxorhynchites ater", "Toxorhynchites edwardsi", "Toxorhynchites rajah", "Toxorhynchites speciosus", "Toxorhynchites towadensis", "Toxorhynchites okinawensis", "Toxorhynchites amboinensis", "Toxorhynchites splendens", "Toxorhynchites christophi", "Toxorhynchites christophi christophi", "Toxorhynchites christophi changbaiensis", "Bradypus variegatus boliviensis", "Bradypus variegatus brasiliensis", "Bradypus variegatus ephippiger", "Cordia rupicola", "Cordia schomburgkii", "Cordia serratifolia", "Cordia sinensis", "Cordia subcordata", "Cordia sulcata", "Cordia superba", "Cordia taguahyensis", "Cordia tetrandra", "Saccellium lanceolatum", "Bourreria succulenta", "Hydrodamalis gigas", "Ehretia acuminata", "Ehretia anacua", "Ehretia cymosa", "Ehretia dicksonii", "Ehretia rigida", "Ehretia tinifolia", "Cordia americana", "Trichechus inunguis", "Trichechus manatus", "Trichechus senegalensis", "Heliotropium arborescens", "Heliotropium aegyptiacum", "Heliotropium amplexicaule", "Heliotropium angiospermum", "Heliotropium anomalum", "Heliotropium arguzioides", "Heliotropium curassavicum", "Heliotropium digynum", "Heliotropium ellipticum", "Heliotropium europaeum", "Heliotropium incanum", "Heliotropium indicum", "Tecoma fulva subsp. arequipensis", "Tecoma capensis", "Tecoma castanifolia", "Tecoma fulva subsp. garrocha", "Tecoma fulva subsp. guarume", "Tecoma nyassae", "Tecoma stans var. sambucifolia", "Tecoma \u00d7 smithii", "Tecoma stans", "Tecomanthe dendrophila", "Tecomanthe speciosa", "Tecomella undulata", "Zeyheria montana", "Trachystemon orientalis", "Trichodesma incanum", "Trichodesma indicum", "Trichodesma zeylanicum", "Trigonocaryum involucratum", "Trigonotis guilielmii", "Bixa orellana", "Paramesotriton caudopunctatus", "Paramesotriton chinensis", "Paramesotriton deloustali", "Paramesotriton fuzhongensis", "Paramesotriton guanxiensis", "Paramesotriton hongkongensis", "Laotriton laoensis", "Notophthalmus meridionalis", "Notophthalmus perstriatus", "Lyciasalamandra antalyana", "Lyciasalamandra atifi", "Lyciasalamandra billae", "Lyciasalamandra fazilae", "Lyciasalamandra flavimembris", "Lyciasalamandra helverseni", "Lyciasalamandra luschani", "Heliotropium lasiocarpum", "Heliotropium paniculatum", "Heliotropium supinum", "Tournefortia caribaea", "Tournefortia maculata", "Tournefortia paniculata", "Tournefortia scabra", "Calceolaria andina", "Calceolaria aquatica", "Calceolaria biflora", "Calceolaria chelidonioides", "Calceolaria corymbosa", "Calceolaria crenatiflora", "Calceolaria x herbeohybrida", "Calceolaria integrifolia", "Calceolaria lepida", "Calceolaria mexicana", "Calceolaria pavonii", "Calceolaria salicifolia", "Calceolaria tripartita", "Calceolaria uniflora", "Jovellana sinclairii", "Jovellana violacea", "Toxorhynchites viridibasis", "Toxorhynchites ruwenzori", "Toxorhynchites pauliani", "Toxorhynchites nairobiensis", "Toxorhynchites madagascarensis", "Toxorhynchites lemuriae", "Toxorhynchites grjebinei", "Toxorhynchites fontenillei", "Toxorhynchites brunhesi", "Toxorhynchites kaimosi", "Toxorhynchites helenae", "Toxorhynchites angolensis", "Toxorhynchites aeneus", "Toxorhynchites erythrurus", "Toxorhynchites trichopygus", "Toxorhynchites hexacis", "Toxorhynchites catharinensis", "Tupaia tana kretami", "Tupaia tana lingae", "Tupaia tana masae", "Tupaia tana nitida", "Tupaia tana paitana", "Tupaia tana sirhassensis", "Tupaia tana speciosa", "Tupaia tana utara", "Sylvia atricapilla heineken", "Cobananthus calochlamys", "Crantzia cristata", "Codonanthe corniculata", "Codonanthe crassifolia", "Codonanthe digna", "Tupaia belangeri belangeri", "Tupaia belangeri chinensis", "Tupaia gracilis edarata", "Tupaia gracilis inflata", "Tupaia longipes longipes", "Tupaia longipes salatana", "Tupaia minor humeralis", "Tupaia minor malaccana", "Tupaia minor sincipis", "Tupaia moellendorffi", "Tupaia moellendorffi busuangae", "Tupaia moellendorffi cuyonis", "Tupaia montana baluensis", "Tupaia montana montana", "Tupaia nicobarica nicobarica", "Tupaia nicobarica surda", "Tupaia picta fuscior", "Tupaia picta picta", "Tupaia splendidula carimatae", "Tupaia splendidula lucida", "Tupaia splendidula natunae", "Tupaia splendidula riabus", "Tupaia tana banguei", "Tupaia tana besara", "Tupaia tana bunoae", "Tupaia tana cervicalis", "Tupaia tana chrysura", "Tupaia tana kelabit", "Daubentonia robusta", "Loris lydekkerianus grandis", "Loris lydekkerianus lydekkerianus", "Loris lydekkerianus malabaricus", "Loris lydekkerianus nycticeboides", "Torpedo marmorata", "Lampyris noctiluca", "Luciola mongolica", "Ptilocercus lowii continentis", "Ptilocercus lowii lowii", "Erotides schneideri", "Dendrogale melanura baluensis", "Dendrogale melanura melanura", "Platycis minutus", "Dictyoptera aurora", "Xylobanellus erythropterus", "Lycostomus porphyrophorus", "Macrolycus flabellatus", "Lygistopterus sanguineus", "Anthrenus picturatus", "Anthrenus scrophulariae", "Thylodrias contractus", "Orphilus beali", "Endecatomus lanatus", "Bostrichus capucinus", "Xylopertha retusa", "Scobicia chevrieri", "Sinoxylon perforans", "Rhyzopertha dominica", "Lyctus sinensis", "Aponogeton crispus", "Derodontus macularis", "Nosodendron fasciculare", "Dermestes depressus", "Dermestes murinus", "Attagenus aristidis", "Attagenus assuanensis", "Attagenus brunneopunctatus", "Attagenus civetta", "Attagenus heydeni", "Attagenus hirtulus", "Attagenus lynx", "Attagenus maritimus", "Attagenus multifasciatus", "Attagenus orientalis", "Attagenus pictus", "Attagenus posticalis", "Attagenus scalaris", "Attagenus seminiger", "Attagenus seniculus", "Attagenus tessellatus", "Attagenus trifasciatus", "Attagenus uniformis", "Trinodes hirtus", "Megatoma undata", "Globicornis corticalis", "Reesa vespulae", "Trogoderma glabrum", "Phradonoma nobile", "Ctesias serra", "Melanotus brunnipes", "Negastrius sabulicola", "Aiakas kreffti", "Cerophytum elateroides", "Cantharis pellucida", "Cantharis rufa", "Cantharis rustica", "Cantharis lateralis", "Drilus concolor", "Drilus flavescens", "Carcharhinus galapagensis", "Carcharhinus tilstoni", "Carcharhinus cautus", "Carcharhinus acronotus", "Carcharhinus altimus", "Carcharhinus amblyrhynchoides", "Carcharhinus amboinensis", "Carcharhinus borneensis", "Cleonia lusitanica", "Cunila origanoides", "Grynocharis oblonga", "Peltis grossa", "Peltis gigantea", "Ostoma ferrugineum", "Thymalus oblongus", "Denops albofasciatus", "Tillus elongatus", "Emmepus arundinis", "Opilo niponicus", "Orthrius striatulus", "Clerus mutillarius", "Thanasimus femoralis", "Thanasimus formicarius", "Thanasimus substriatus", "Trichodes apiarius", "Trichodes quadriguttatus", "Trichodes ircutensis", "Dermestoides sanguinicollis", "Tenerus lewisi", "Korynetes caeruleus", "Necrobia rufipes", "Necrobia violacea", "Opetiopalpus sabulosus", "Melyris bicolor", "Enicopus pilosus", "Austrolebias toba", "Macbridea alba", "Marrubium peregrinum", "Marrubium supinum", "Marrubium vulgare", "Microtoena insuavis", "Moluccella laevis", "Moluccella spinosa", "Phlomis chrysophylla", "Phlomis crinita", "Phlomis fruticosa", "Phlomis herba-venti", "Phlomis lychnitis", "Phlomis rigida", "Phlomis rotata", "Phlomis setigera", "Phlomis spectabilis", "Phlomoides tuberosa", "Phyllostegia hirsuta", "Dorcatoma dresdensis", "Ptilinus fuscus", "Xyletinus sanguineocinctus", "Anobium punctatum", "Stegobium paniceum", "Xestobium rufovillosum", "Gibbium psylloides", "Ptinus biformis", "Ptinus villiger", "Niptus hololeucus", "Elateroides dermestoides", "Temnoscheila japonica", "Tenebroides fuscus", "Tenebroides mauritanicus", "Leperina squamulata", "Calitys scabra", "Columnea anisophylla", "Columnea arguta", "Columnea crassifolia", "Columnea gloriosa", "Columnea magnifica", "Columnea microphylla", "Columnea sanguinea", "Columnea scandens", "Columnea x vedrariensis", "Columnea x vilmoriniana", "Corytoplectus speciosus", "Drymonia serrulata", "Episcia cupreata", "Episcia lilacina", "Alsobia punctata", "Episcia reptans", "Nautilocalyx bullatus", "Nautilocalyx forgetii", "Nautilocalyx lynchei", "Nematanthus wettsteinii", "Gesneria pauciflora", "Rhytidophyllum tomentosum", "Achimenes candida", "Eucodonia verticillata", "Achimenes erecta", "Achimenes grandiflora", "Achimenes longiflora", "Gloxinia perennis", "Kohleria amabilis", "Kohleria hirsuta var. hirsuta", "Kohleria spicata", "Sinningia aggregata", "Sinningia pusilla", "Sinningia speciosa", "Sinningia warmingii", "Hemigenia canescens", "Hemigenia incana", "Westringia eremicola", "Anostirus castaneus", "Anostirus purpureus", "Cidnopus aeruginosus", "Ctenicera cuprea", "Ctenicera pectinicornis", "Denticollis linearis", "Denticollis rubens", "Diacanthous undulatus", "Gambrinus suturalis", "Paraphotistus impressus", "Setasomus nigricornis", "Neurergus kaiseri", "Neurergus microspilotus", "Neurergus strauchii", "Ommatotriton ophryticus", "Ommatotriton vittatus", "Prosternon tessellatum", "Selatosomus cruciatus", "Selatosomus aeneus", "Selatosomus confluens", "Selatosomus gravidus", "Pleonomus laticornis", "Agriotes lineatus", "Dalopius marginatus", "Ampedus pomonae", "Ampedus sanguinolentus", "Hypnoidus rivularius", "Colquhounia coccinea", "Eremostachys moluccelloides", "Eremostachys nuda", "Haplostachys haplostachya", "Lagochilus inebrians", "Lamium album", "Lamium amplexicaule", "Lamium galeobdolon", "Lamium maculatum", "Lamium moschatum", "Lamium purpureum", "Leonotis leonurus", "Leonotis nepetifolia", "Leonotis ocymifolia", "Leonurus cardiaca", "Leonurus japonicus", "Leonurus sibiricus", "Leonurus tataricus", "Leucas aspera", "Leucas cephalotes", "Leucas ciliata", "Leucas lavandulifolia", "Leucas martinicensis", "Leucas urticifolia", "Leucas zeylanica", "Dicerandra frutescens", "Dracocephalum parviflorum", "Dracocephalum bullatum", "Dracocephalum calophyllum", "Dracocephalum grandiflorum", "Dracocephalum isabellae", "Dracocephalum moldavica", "Dracocephalum ruyschiana", "Dracocephalum stamineum", "Dracocephalum tanguticum", "Glechoma hederacea", "Glechoma longituba", "Hedeoma acinoides", "Hedeoma apiculata", "Hedeoma diffusa", "Hedeoma drummondii", "Hedeoma hispida", "Hedeoma nana", "Hedeoma piperita", "Hedeoma pulegioides", "Hedeoma todsenii", "Anopheles trinkae", "Anopheles triannulatus", "Anopheles strodei", "Anopheles darlingi", "Anopheles sawyeri", "Anopheles galvaoi", "Anopheles sanctielii", "Anopheles ininii", "Anopheles rondoni", "Anopheles rangeli", "Anopheles benarrochi", "Anopheles nuneztovari", "Hyssopus seravschanicus", "Hyssopus officinalis", "Lallemantia canescens", "Lallemantia iberica", "Lallemantia peltata", "Lallemantia royleana", "Phyllostegia kaalaensis", "Phyllostegia knudsenii", "Phyllostegia mannii", "Phyllostegia mollis", "Phyllostegia parviflora", "Phyllostegia racemosa", "Phyllostegia velutina", "Phyllostegia waimeae", "Phyllostegia warshaueri", "Phyllostegia wawrana", "Physostegia correllii", "Physostegia longisepala", "Physostegia parviflora", "Physostegia virginiana", "Sideritis hyssopifolia", "Sideritis candicans", "Sideritis hirsuta", "Sideritis incana", "Sideritis leucantha", "Sideritis montana", "Sideritis pungens", "Sideritis syriaca", "Sideritis taurica", "Sideritis tragoriganum", "Stachys annua", "Stachys byzantina", "Stachys coccinea", "Stachys arvensis", "Stachys cretica", "Stachys floridana", "Stachys germanica", "Stachys grandidentata", "Stachys inflata", "Stachys lavandulifolia", "Betonica macrantha", "Stachys milanii", "Stachys ocymastrum", "Betonica officinalis", "Stachys palaestina", "Stachys palustris", "Phlomidoschema parviflorum", "Lepechinia calycina", "Lepechinia confusa", "Lepechinia floribunda", "Lepechinia lamiifolia", "Anopheles braziliensis", "Lycopus europaeus", "Lycopus americanus", "Lycopus asper", "Lycopus lucidus", "Lycopus uniflorus", "Lycopus virginicus", "Anopheles parvus", "Melissa officinalis", "Anopheles nigritarsis", "Mentha aquatica", "Mentha arvensis", "Mentha longifolia", "Mentha pulegium", "Mentha requienii", "Mentha spicata", "Mentha suaveolens", "Mentha asiatica", "Mentha australis", "Mentha canadensis", "Mentha cervina", "Mentha cunninghamii", "Mentha dahurica", "Mentha x dalmatica", "Mentha diemenica", "Mentha x dumetorum", "Mentha gattefossei", "Mentha x gracilis", "Mentha grandiflora", "Mentha japonica", "Mentha x maximilianea", "Mentha kopetdaghensis", "Mentha laxiflora", "Mentha micrantha", "Mentha muelleriana", "Mentha \u00d7 piperita", "Mentha \u00d7 rotundifolia", "Mentha satureioides", "Mentha x verticillata", "Mentha villosa", "Stachys peruviana", "Stachys pusilla", "Stachys recta", "Stachys spectabilis", "Stachys sylvatica", "Stachys tenuifolia", "Stachys thirkei", "Stachys viticina", "Stenogyne angustifolia", "Stenogyne bifida", "Stenogyne campanulata", "Stenogyne kanehoana", "Synandra hispidula", "Pycnanthemum pilosum", "Pycnanthemum pycnanthemoides", "Pycnanthemum setosum", "Pycnanthemum tenuifolium", "Pycnanthemum torreyi", "Pycnanthemum verticillatum", "Pycnanthemum virginianum", "Lepechinia chamaedryoides", "Satureja hortensis", "Satureja montana", "Satureja multiflora", "Satureja obovata", "Satureja pseudosimensis", "Ziziphora clinopodioides", "Ziziphora tenuior", "Alvesia rosmarinifolia", "Basilicum polystachyon", "Hoslundia opposita", "Isodon amethystoides", "Isodon coetsa", "Isodon inflexus", "Isodon lophanthoides", "Isodon rugosus", "Isodon sculponeatus", "Plectranthus esculentus", "Plectranthus ciliatus", "Plectranthus ecklonii", "Minthostachys mollis", "Monardella odoratissima", "Monardella douglasii", "Monardella linoides", "Salvia abrotanoides", "Anopheles pictipennis", "Pogogyne abramsii", "Pogogyne clareana", "Pogogyne nudiuscula", "Poliomintha incana", "Prunella vulgaris", "Anopheles oswaldoi", "Anopheles lanei", "Dasytes niger", "Dolichosoma lineare", "Anopheles antunesi", "Anthocomus equestris", "Anthocomus rufus", "Malachius aeneus", "Malachius bipustulatus", "Anopheles marajoara", "Anopheles konderi", "Biphyllus frater", "Biphyllus lunatus", "Diplocoelus fagi", "Anopheles lutzii", "Anopheles halophylus", "Kateretes pusillus", "Heterhelus scutellaris", "Brachypterus glaber", "Brachypterolus linariae", "Brachypterolus pulicarius", "Anopheles evansae", "Brachyleptus quadratus", "Epuraea laeviuscula", "Epuraea fuscicollis", "Epuraea guttata", "Epuraea limbata", "Epuraea neglecta", "Epuraea melanocephala", "Epuraea ocularis", "Carpophilus grandis", "Carpophilus dimidiatus", "Carpophilus mutilatus", "Carpophilus truncatus", "Carpophilus nepos", "Carpophilus zeaphilus", "Carpophilus hemipterus", "Carpophilus obsoletus", "Pria dulcamarae", "Meligethes atratus", "Meligethes denticulatus", "Meligethes acicularis", "Meligethes aeneus", "Meligethes ater", "Meligethes difficilis", "Meligethes subaeneus", "Meligethes viridescens", "Meligethes brevis", "Meligethes subrugosus", "Nitidula bipunctata", "Nitidula fusula", "Omosita depressa", "Soronia punctatissima", "Amphotis marginata", "Ipidia binotata", "Panthera tigris sondaica", "Panthera sondaica sondaica", "Ceratophrys ornata", "Ceratophrys cranwelli", "Ceratophrys cornuta", "Abeomelomys sevia", "Caulophryne jordani", "Caulophryne polynema", "Caulophryne pelagica", "Haplophryne mollis", "Linophryne arborifera", "Linophryne coronata", "Linophryne maderensis", "Linophryne pennibarbata", "Linophryne polypogon", "Linophryne sexfilis", "Grylloblattina djakonovi djakonovi", "Plectranthus fruticosus", "Plectranthus lanuginosus", "Plectranthus oertendahlii", "Plectranthus pseudomarrubioides", "Plectranthus purpuratus", "Plectranthus welwitschii", "Tetradenia riparia", "Colebrookea oppositifolia", "Tinnea aethiopica", "Hyptis alata", "Hyptis atrorubens", "Hyptis brevipes", "Hyptis capitata", "Hyptis gaudichaudii", "Hyptis kuntzeana", "Hyptis longipes", "Cantinoa mutabilis", "Mesosphaerum pectinatum", "Hyptis rhomboidea", "Hyptis sidifolia", "Hyptis spicigera", "Hyptis suaveolens", "Hyptis verticillata", "Nepeta cataria", "Nepeta congesta", "Nepeta curviflora", "Nepeta cyanea", "Nepeta discolor", "Nepeta erecta", "Nepeta floccosa", "Nepeta grandiflora", "Nepeta hindostana", "Nepeta laevigata", "Nepeta nepetella", "Nepeta nuda", "Nepeta racemosa", "Nepeta raphanorhiza", "Nepeta sibirica", "Nepeta tenuifolia", "Pocadius ferrugineus", "Thalycra fervida", "Cychramus luteus", "Cychramus variegatus", "Cyllodes ater", "Cyllodes bifascies", "Brachypeplus niger", "Brachypeplus rubidus", "Cryptarcha strigata", "Glischrochilus quadripunctatus", "Glischrochilus binaevus", "Glischrochilus ipsoides", "Glischrochilus hortensis", "Pityophagus ferrugineus", "Cybocephalus politus", "Carcharhinus brevipinna", "Carcharhinus dussumieri", "Carcharhinus fitzroyensis", "Carcharhinus hemiodon", "Carcharhinus isodon", "Carcharhinus signatus", "Carcharhinus limbatus", "Aethina tumida", "Helotis fulvistemma", "Rhizophagus aeneus", "Pycnanthemum incanum", "Pycnanthemum albescens", "Pycnanthemum beadlei", "Pycnanthemum californicum", "Pycnanthemum curvipes", "Pycnanthemum flexuosum", "Pycnanthemum floridanum", "Pycnanthemum loomisii", "Pycnanthemum montanum", "Pycnanthemum muticum", "Metrosideros excelsa", "Cantharellus cibarius", "Panopea nagaoi", "Viverra civettina", "Viverra megaspila", "Viverra tangalunga", "Viverra tangalunga lankavensis", "Viverra tangalunga tangalunga", "Viverra zibetha", "Viverra zibetha ashtoni", "Viverra zibetha hainana", "Viverra zibetha picta", "Viverra zibetha pruinosus", "Teratolepis fasciata", "Rhyzobius chrysomeloides", "Rhyzobius litura", "Conus marmoreus", "Coccidula rufa", "Coccidula scutellata", "Halyzia sedecimguttata", "Psyllobora vigintiduopunctata", "Conus striatus", "Harmonia axyridis", "Hippodamia convergens", "Hippodamia tredecimpunctata", "Hippodamia variegata", "Hippodamia notata", "Cyphoma gibbosum", "Phractocephalus hemioliopterus", "Clitostethus arcuatus", "Nephus quadrimaculatus", "Nephus redtenbacheri", "Nephus bipunctatus", "Byturus tomentosus", "Laemophloeus monilis", "Olibrus bisignatus", "Sericoderus lateralis", "Dapsa horvathi", "Mycetina marginalis", "Lycoperdina koltzei", "Lycoperdina succincta", "Endomychus jureceki", "Leiestes seminigra", "Dexialia minor", "Coccinella septempunctata", "Coccinella nivicola", "Coccinella magnifica", "Coccinella ainu", "Coccinella transversoguttata", "Coccinella novemnotata", "Coccinella undecimpunctata", "Anthrenus verbasci", "Novius cruentatus", "Lithophilus tauricus", "Ambystoma altamirani", "Ambystoma flavipiperatum", "Ambystoma granulosum", "Ambystoma leorae", "Ambystoma lermaense", "Ambystoma mavortium", "Ambystoma rivulare", "Basiliscus plumifrons", "Ambystoma rosaceum", "Ambystoma velasci", "Amphiuma pholeter", "Microphysula ingersollii", "Microphysula cookei", "Acavus haemostoma", "Margaritifera falcata", "Grylloblattina djakonovi kurentzovi", "Grylloblatta campodeiformis campodeiformis", "Grylloblatta campodeiformis nahanni", "Grylloblatta campodeiformis athapaska", "Nautilus belauensis", "Nautilus macromphalus", "Pachytriton brevipes", "Tylototriton asperrimus", "Tylototriton hainanensis", "Tylototriton kweichowensis", "Tylototriton verrucosus shanjing", "Tylototriton taliangensis", "Tylototriton verrucosus", "Tylototriton vietnamensis", "Tylototriton wenxianensis", "Helarctos malayanus", "Helarctos malayanus euryspilus", "Helarctos malayanus malayanus", "Melursus ursinus", "Melursus ursinus inornatus", "Melursus ursinus ursinus", "Tikaderia psechrina", "Agelenella pusilla", "Eubrianax ramicornis", "Mataeopsephus japonicus", "Mataeopsephus chinensis", "Epilichas flabellatus", "Meloe proscarabaeus", "Meloe violaceus", "Meloe cavensis", "Rhampholyssa stevenii", "Cerocoma schaefferi", "Cerocoma schreberi", "Stenodera caucasica", "Apalus bimaculatus", "Epicauta erythrocephala", "Mylabris speciosa", "Alosimus syriacus", "Lytta vesicatoria", "Neolamprologus leleupi", "Rhizophagus bipustulatus", "Monotoma picipes", "Monotoma angusticollis", "Cucujus haematodes", "Pediacus dermestoides", "Silvanus bidentatus", "Uleiota planata", "Dendrophagus crenatus", "Phloeostichus denticollis", "Bothrideres bipunctatus", "Cryptophagus lapidicola", "Languriomorpha lewisi", "Dacne bipustulata", "Dacne notata", "Dacne pontica", "Dacne semirufula", "Triplax collaris", "Triplax rufipes", "Triplax russica", "Triplax gracilenta", "Tritoma atrata", "Tritoma consobrina", "Tritoma niponensis", "Tritoma octopunctata", "Tritoma subbasalis", "Aulacochilus sibiricus", "Episcapha morawitzi", "Eutriplax tuberculifrons", "Pselaphandra cinnabarina", "Rhodotritoma fulva", "Cerylon ferrugineum", "Nandinia binotata", "Atilax paludinosus", "Eupleres goudotii", "Cryptoprocta ferox", "Galidia elegans", "Galidictis grandidieri", "Salanoia concolor", "Galidictis fasciata", "Hyaena hyaena", "Hemitheconyx caudicinctus", "Tetratoma ancora", "Hypulus bifasciatus", "Hypulus quercinus", "Melandrya dubia", "Melandrya rufipes", "Melandrya mongolica", "Phryganophilus ruficollis", "Orchesia duplicata", "Dircaea quadriguttata", "Synchroa melanotoides", "Tomoxia bucephala", "Mordellochroa abdominalis", "Macrosiagon bimaculatus", "Nematoplius semenovi", "Byrrhus pilula", "Elmis aenea", "Macronychus levanidovae", "Macronychus quadrituberculatus", "Limnius volckmari", "Helichus ussuriensis", "Limnichus pygmaeus", "Limnichus sericeus", "Heterocerus parallelus", "Acavus phoenix", "Acavus phoenix phoenix", "Acavus phoenix castaneus", "Acavus superbus", "Hochbergellus hirsutus", "Allogona lombardii", "Zacoleus idahoensis", "Magnipelta mycophaga", "Zeuneriana marmorata", "Uroplatus henkeli", "Dicamptodon aterrimus", "Dicamptodon copei", "Dicamptodon ensatus", "Rhyacotriton cascadae", "Rhyacotriton kezeri", "Rhyacotriton olympicus", "Rhyacotriton variegatus", "Uroplatus sikorae", "Dacne picta", "Acanthopelma rufescens", "Broadleysaurus major", "Necturus lewisi", "Necturus punctatus", "Bombina orientalis", "Bombina pachypus", "Trochositala marmorata", "Entomostoma entomostoma", "Phellopsis amurensis", "Bitoma crenata", "Colydium elongatum", "Synchita humeralis", "Trachypholis variegata", "Monomma brunneum", "Prostomis mordax", "Mycetophagus piceus", "Mycetophagus tschitscherini", "Mycetophagus multipunctatus", "Mycetophagus fulvicollis", "Mycetophagus quadripustulatus", "Otocinclus mimulus", "Cis boleti", "Semperdon xyleborus", "Semperdon uncatus", "Semperdon rotanus", "Semperdon heptaptychius", "Semperdon kororensis", "Ladronellum mariannarum", "Himeroconcha lamlanensis", "Himeroconcha rotula", "Himeroconcha fusca", "Himeroconcha quadrasi", "Trukcharopa trukana", "Kubaryiellus kubaryi", "Russatus nigrescens", "Roimontis tolotomensis", "Nucella ostrina", "Scymnus ferrugatus", "Scymnus haemorrhoidalis", "Exochomus octosignatus", "Chilocorus bipustulatus", "Chilocorus renipustulatus", "Exochomus nigromaculatus", "Exochomus quadripustulatus", "Platynaspis luteorubra", "Serangium lygaeum", "Henosepilachna vigintioctomaculata", "Stethorus punctillum", "Epilachna varivestis", "Chilocorus stigma", "Tytthaspis sedecimpunctata", "Cynegetis impunctata", "Sphaerosoma pilosum", "Stephostethus variolosus", "Nucella emarginata", "Pinguicula subg.", "Pinguicula subg.", "Pinguicula subg.", "Pinguicula sect.", "Pinguicula sect.", "Pinguicula sect.", "Pinguicula sect.", "Pinguicula sect.", "Pinguicula sect.", "Pinguicula sect.", "Pinguicula sect.", "Pinguicula sect.", "Pinguicula sect.", "Pinguicula sect.", "Pinguicula sect.", "Pinguicula sect.", "Pinguicula sect.", "Pinguicula sect.", "Pinguicula ionantha", "Pinguicula moranensis", "Pinguicula pumila", "Pinguicula vulgaris", "Utricularia alpina", "Utricularia vulgaris", "Utricularia bifida", "Utricularia cornuta", "Utricularia foliosa", "Utricularia inflata", "Utricularia inflexa", "Olea rubrovenia", "Olea schliebenii", "Olea welwitschii", "Olea wightiana", "Olea woodiana", "Leptophyes punctatissima", "Leptophyes albovittata", "Poecilimon ornatus", "Microcharopa mimula", "Melicoccus lepidopetalus", "Annona coriacea", "Cartrema americana", "Osmanthus armatus", "Osmanthus \u00d7 burkwoodii", "Osmanthus decorus", "Osmanthus delavayi", "Osmanthus \u00d7 fortunei", "Osmanthus fragrans", "Osmanthus heterophyllus", "Osmanthus serrulatus", "Osmanthus suavis", "Osmanthus yunnanensis", "Phillyrea angustifolia", "Phillyrea latifolia", "Oedemera femorata", "Oedemera lateralis", "Oedemera lurida", "Oedemera podagrariae", "Oedemera virescens", "Calopus serraticornis", "Chrysanthia geniculata", "Chrysanthia viridissima", "Ditylus laevis", "Diasclera laevithorax", "Opsimea nigripennis", "Anogcodes ustulatus", "Nacerdes melanura", "Nacerdes katoi", "Ischnomera cyanea", "Ischnomera abdominalis", "Ischnomera sanguinicollis", "Indasclera carinicollis", "Utricularia longifolia", "Utricularia multifida", "Utricularia reniformis", "Utricularia stellaris", "Craniolaria annua", "Martynia annua", "Proboscidea louisianica", "Proboscidea parviflora", "Proboscidea sabulosa", "Chionanthus foveolatus", "Chionanthus virginicus", "Chionanthus pubescens", "Chionanthus pygmaeus", "Chionanthus retusus", "Fontanesia philliraeoides", "Forestiera acuminata", "Forestiera ligustrina", "Forestiera neomexicana", "Forestiera pubescens", "Forestiera rhamnifolia", "Forestiera segregata", "Menodora integrifolia", "Menodora scabra", "Nestegis cunninghamii", "Noronhia emarginata", "Notelaea ligustrina", "Notelaea longifolia", "Olea borneensis", "Olea chimanimani", "Olea cordatula", "Olea dioica", "Olea gagnepainii", "Olea gamblei", "Olea javanica", "Olea lancea", "Olea moluccensis", "Olea obovata", "Olea palawanensis", "Olea polygama", "Boros schneideri", "Phytobaenus amabilis", "Aderus populneus", "Anidorus nigrinus", "Euglenes oculatus", "Euglenes pygmaeus", "Otolelus pruinosus", "Lagria hirta", "Mycetochara quadrispilota", "Allecula ussuriana", "Cteniopus flavus", "Cteniopus sulphuripes", "Hymenalia rufipennis", "Hymenalia rufipes", "Mycetochara flavipes", "Mycetochara humeralis", "Mycetochara orientalis", "Alnus glutinosa subsp. glutinosa", "Alnus glutinosa subsp. barbata", "Echinocyamus pusillus", "Polystoechotites barksdalae", "Polystoechotites falcatus", "Polystoechotites lewisi", "Polystoechotites piperatus", "Thaumetopoea pityocampa", "Galeruca interrupta", "Galeruca armeniaca", "Galeruca pomonae", "Agelastica alni", "Glossostigma diandrum", "Hemichaena fruticosa", "Leucocarpus perfoliatus", "Mazus pumilio", "Mazus pumilus", "Mazus reptans", "Mimulus alatus", "Mimulus cupreus", "Mimulus orbicularis", "Mimulus ringens", "Phryma leptostachya", "Chiliotrichum diffusum", "Chiliotrichum rosmarinifolium", "Felicia abyssinica", "Felicia amelloides", "Felicia amoena", "Aeginetia acaulis", "Aeginetia indica", "Aeginetia sinensis", "Boschniakia himalaica", "Boschniakia rossica", "Boschniakia strobilacea", "Cistanche deserticola", "Cistanche salsa", "Cistanche tubulosa", "Conopholis americana", "Epifagus virginiana", "Paulownia fortunei", "Ceratotheca sesamoides", "Ceratotheca triloba", "Harpagophytum procumbens", "Harpagophytum zeyheri", "Pedalium murex", "Rogeria adenophylla", "Rogeria bigibbosa", "Rogeria longiflora", "Sesamum alatum", "Sesamum indicum", "Sesamum angolense", "Sesamum angustifolium", "Sesamum capense", "Sesamum laciniatum", "Sesamum marlothii", "Sesamum prostratum", "Sesamum radiatum", "Sesamum schinzianum", "Sesamum triphyllum", "Omophlus flavipennis", "Omophlus proteus", "Pseudocistela muhldorfi", "Anatolica abbreviata", "Anatolica angustata", "Anatolica gibbosa", "Blaps halophila", "Blaps lethifera", "Blaps parvicollis", "Blaps rugosa", "Bolitophagus interruptus", "Bolitophagus reticulatus", "Byrsax kimurai", "Corticeus basalis", "Diaclina fagi", "Diaperis boleti", "Gnaptor spinimanus", "Gonocephalum pygmaeum", "Nacerdochroa caspia", "Oedemera venosa", "Pytho depressus", "Pytho kolwensis", "Pyrochroa coccinea", "Schizotus cardinalis", "Schizotus pectinicornis", "Pseudopyrochroa lateraria", "Tydessa lewisi", "Ischalia brachyptera", "Anthicus watarasensis", "Sapintus cohaeres", "Stricticollis coreanus", "Stereopalpus centroasiaticus", "Agnathus decoratus", "Scraptia fuscula", "Anaspis flava", "Salpingus caucasicus", "Salpingus ruficollis", "Salpingus planirostris", "Rabocerus foveolatus", "Sphaeriestes bimaculatus", "Vincenzellus fascipennis", "Mycterus tibialis", "Heterotarsus carinula", "Lachnogya squamosa", "Lasiostola pubescens", "Leichenum pictum", "Melaxumia angulosa", "Metaclisa viridis", "Microdera convexa", "Microdera deserta", "Opatrum sabulosum", "Penthicus dilectans", "Pimelia capito", "Pimelia cephalotes", "Platydema dejeanii", "Platyope leucogramma", "Scaphidema jureceki", "Flustra foliacea", "Tenebrio molitor", "Trachyscelis aphodioides", "Trigonoscelis muricata", "Uloma culinaris", "Upis ceramboides", "Hemiceratoides hieroglyphica", "Hemiceratoides vadoni", "Hemiceratoides sittaca", "Anacyclus depressus", "Solen marginatus", "Anthemis cretica", "Anthemis haussknechtii", "Anthemis kitaibelii", "Anthemis macedonica", "Anthemis maritima", "Archanthemis marschalliana", "Anthemis mixta", "Anthemis pauciloba", "Anthemis punctata", "Cota tinctoria subsp. sancti-johannis", "Cota triumfettii", "Athanasia trifurcata", "Chamaemelum fuscatum", "Chrysanthemum argyrophyllum", "Chrysanthemum arisanense", "Chrysanthemum chalchingolicum", "Chrysanthemum chanetii", "Chrysanthemum crassum", "Chrysanthemum glabriusculum", "Chrysanthemum hypargyrum", "Chrysanthemum indicum", "Chrysanthemum occidentalijaponense", "Chrysanthemum japonicum", "Chrysanthemum lavandulifolium", "Chrysanthemum mawii", "Chrysanthemum maximowiczii", "Chrysanthemum mongolicum", "Chrysanthemum morifolium", "Chrysanthemum morii", "Chrysanthemum okiense", "Chrysanthemum oreastrum", "Chrysanthemum ornatum", "Chrysanthemum potentilloides", "Chrysanthemum sinuatum", "Chrysanthemum vestitum", "Chrysanthemum yoshinaganthum", "Chrysanthemum zawadskii", "Coleostephus multicaulis", "Coleostephus myconis", "Cotula anthemoides", "Cotula australis", "Cotula cinerea", "Cotula coronopifolia", "Crossostephium turkestanicum", "Eriocephalus ericoides", "Eriocephalus pubescens", "Eumorphia prostrata", "Heteranthemis viscidehirta", "Microcephala lamellata", "Hirtudiscus antioquiensis", "Hirtudiscus boyacensis", "Hirtudiscus comatus", "Hirtudiscus curei", "Hirtudiscus hirtus", "Hirtudiscus triserialis", "Allochroa bronnii", "Allochroa layardi", "Allochroa nana", "Allochroa tenuis", "Anguispira mordax", "Palafoxia hookeriana", "Palafoxia sphacelata", "Palafoxia texana", "Hymenopappus filifolius", "Hymenopappus flavomarginatus", "Florestina tripteris", "Peucephyllum schottii", "Disparocypha biedermanni", "Bidens tripartita", "Bidens biternata", "Bidens mitis", "Bidens molokaiensis", "Bidens pilosa", "Picconia excelsa", "Schrebera alata", "Schrebera mazoensis", "Schrebera saundersiae", "Schrebera swietenioides", "Leptinotarsa decemlineata", "Leptinotarsa juncta", "Timarcha tenebricosa", "Timarcha rugulosa", "Timarcha lugens", "Palaeopsychops dodgeorum", "Zygogramma suturalis", "Chrysolina fastuosa", "Chrysolina globipennis", "Chrysolina subsulcata", "Palaeopsychops abruptus", "Chrysomela populi", "Palaeopsychops angustifasciatus", "Palaeopsychops latifasciatus", "Palaeopsychops maculatus", "Chrysomela tremulae", "Palaeopsychops douglasae", "Palaeopsychops marringerae", "Chrysomela vigintipunctata", "Palaeopsychops quadratus", "Entomoscelis orientalis", "Gonioctena interposita", "Gonioctena viminalis", "Gonioctena linnaeana", "Gastrophysa polygoni", "Donax vittatus", "Smaragdina salicina", "Palaeopsychops timmi", "Hydrothassa marginella", "Phaedon armoraciae", "Palaeopsychops setosus", "Labidostomis metallica", "Clytra quadripunctata", "Syneta adamsi", "Playstoechotes lineatus", "Fontecilla graphicus", "Donacia crassipes", "Donacia aquatica", "Donacia cinerea", "Lilioceris lilii", "Lilioceris merdigera", "Crioceris asparagi", "Crioceris duodecimpunctata", "Crioceris quatuordecimpunctata", "Cryptocephalus sericeus", "Cryptocephalus laetus", "Cryptocephalus coryli", "Pachybrachis hieroglyphicus", "Chrysochus asclepiadeus", "Bromius obscurus", "Chrysochares asiaticus", "Polystoechotes punctatus", "Polystoechotes gazullai", "Rosenia humilis", "Rosenia oppositifolia", "Schoenia filifolia", "Stoebe ericoides", "Vellereophyton dealbatum", "Felicia bergeriana", "Felicia echinata", "Felicia erigeroides", "Felicia filifolia", "Felicia fruticosa", "Felicia heterophylla", "Felicia muricata", "Felicia rosulata", "Felicia uliginosa", "Olearia teretifolia", "Olearia albida", "Olearia arborescens", "Olearia argophylla", "Olearia avicenniifolia", "Olearia chathamica", "Olearia cheesemanii", "Olearia chrysophylla", "Olearia ciliata", "Olearia colensoi", "Olearia erubescens", "Olearia excorticata", "Olearia floribunda", "Olearia furfuracea", "Olearia haastii", "Olearia ilicifolia", "Olearia lacunosa", "Olearia ledifolia", "Olearia virgata var. lineata", "Olearia lirata", "Olearia macrodonta", "Olearia megalophylla", "Olearia mollis", "Olearia moschata", "Olearia muelleri", "Olearia myrsinoides", "Olearia nernstii", "Olearia nummulariifolia", "Olearia odorata", "Olearia oleifolia", "Olearia paniculata", "Olearia pannosa", "Olearia paucidentata", "Olearia persoonioides", "Olearia phlogopappa", "Olearia pimeleoides", "Olearia pinifolia", "Olearia ramulosa", "Olearia rani", "Olearia semidentata", "Olearia solandri", "Olearia speciosa", "Olearia stellulata", "Olearia stuartii", "Olearia tomentosa", "Olearia traversiorum", "Olearia virgata", "Olearia viscosa", "Solidago virgaurea", "Solidago albopilosa", "Solidago arguta", "Solidago bicolor", "Solidago caesia", "Bidens polylepis", "Bidens riparia", "Bidens tenuisecta", "Bidens triplinervia", "Bidens vulgata", "Bidens wiebkei", "Cosmos atrosanguineus", "Cosmos bipinnatus", "Cosmos caudatus", "Cosmos diversifolius", "Cosmos scabiosoides", "Cosmos sulphureus", "Dahlia coccinea", "Dahlia imperialis", "Dahlia merckii", "Dahlia \u00d7 pinnata", "Dahlia scapigera", "Prionus coriarius", "Prionus insularis", "Dorysthenes paradoxus", "Delostoma dentatum", "Delostoma integrifolium", "Deplanchea tetraphylla", "Dolichandrone alba", "Dolichandrone atrovirens", "Dolichandrone falcata", "Dolichandrone spathacea", "Fernandoa adolfi-friderici", "Fernandoa madagascariensis", "Godmania aesculifolia", "Incarvillea compacta", "Incarvillea delavayi", "Incarvillea lutea", "Incarvillea mairei", "Incarvillea olgae", "Incarvillea sinensis", "Jacaranda acutifolia", "Jacaranda arborea", "Jacaranda caerulea", "Jacaranda caroba", "Jacaranda caucana", "Jacaranda copaia", "Jacaranda mimosifolia", "Jacaranda sparrei", "Apophylia thalassina", "Diorhabda elongata", "Fleutiauxia armata", "Euliroetis lameyi", "Phyllobrotica quadrimaculata", "Gambrinus violaceus", "Lochmaea caprea", "Luperus flavipes", "Podagrica fuscicornis", "Sphaeroderma balyi", "Aphthona flava", "Hispa atra", "Cassida rubiginosa", "Cassida viridis", "Pilemostoma fastuosa", "Neochlamisus bebbianae", "Neochlamisus platani", "Phratora vulgatissima", "Distenia gracilis", "Dokhtouroffia nebulosa", "Leptura aurulenta", "Leptura annularis", "Leptura quadrifasciata", "Belamira regalis", "Eupatorium altissimum", "Eupatorium cannabinum", "Eupatorium capillifolium", "Eupatorium chinense", "Eutrochium fistulosum", "Eupatorium fortunei", "Eupatorium glomeratum", "Eupatorium hiemale", "Eupatorium japonicum", "Eupatorium leucolepis", "Eupatorium lindleyanum", "Eutrochium maculatum", "Eupatorium oblongifolium", "Eupatorium perfoliatum", "Eutrochium purpureum", "Eupatorium resinosum", "Eupatorium serotinum", "Eupatorium sessilifolium", "Eupatorium subhastatum", "Mikania banisteriae", "Mikania cordata", "Mesoprionus asiaticus", "Psilotarsus brachypterus", "Lobarthron balassogloi", "Polylobarthron margelanicus", "Pogonarthron semenowi", "Pogonarthron petrovi", "Pseudoprionus bienerti", "Miniprionus pavlovskii", "Microarthron komarowi", "Callipogon relictus", "Ergates faber", "Rhaesus serricollis", "Aegosoma scabricorne", "Aegosoma sinicum", "Tragosoma depsarium", "Macrodontia cervicornis", "Xixuthrus heros", "Xixuthrus terribilis", "Nivellia extensa", "Nivellia sanguinosa", "Cornumutila quadrivittata", "Cornumutila semenovi", "Strangalomorpha tenuis", "Eustrangalis distenioides", "Pedostrangalia revestita", "Konoa granulata", "Lepturobosca virens", "Bruchus incurvatus", "Bruchus lugubris", "Bruchus tristiculus", "Palaeobruchidius semenovi", "Callosobruchus maculatus", "Bruchidius astragali", "Bruchidius atbasaricus", "Bruchidius glycyrhizae", "Bruchidius myobromae", "Bruchidius pusillus", "Bruchidius tuberculatus", "Paleoacanthoscelides gilvus", "Kytorhinus quadriplagiatus", "Spermophagus sericeus", "Lepturalia nigripes", "Strangalia attenuata", "Stenurella melanura", "Stenurella nigra", "Stenurella bifasciata", "Judolidia bangi", "Ophryosporus charua", "Ophryosporus peruviana", "Ophryosporus triangularis", "Jagorina pandora", "Achyrocline satureioides", "Ammobium alatum", "Blennosperma bakeri", "Callilepis laureola", "Calomeria amaranthoides", "Cassinia aculeata", "Cassinia arcuata", "Cassinia aureonitens", "Cassinia laevis", "Cassinia longifolia", "Cassinia theodori", "Cassinia trinervia", "Cassinia uncata", "Craspedia uniflora", "Euchiton japonicus", "Gamochaeta coarctata", "Gamochaeta pensylvanica", "Gamochaeta purpurea", "Gamochaeta simplicicaulis", "Rhamnusium bicolor juglandis", "Rhamnusium bicolor", "Gaurotes virginea", "Rhagium inquisitor", "Rhagium mordax", "Rhagium sycophanta", "Rhagium fasciculatum", "Rhagium bifasciatum", "Akimerus schaefferi", "Stenocorus insitivus", "Stenocorus lepturoides", "Anisorus quercus", "Pachyta quadrimaculata", "Pachyta lamed", "Pachyta bicuneata", "Evodinus borealis", "Evodinellus clathratus", "Brachyta bifasciata", "Brachyta japonica", "Brachyta caucasica", "Brachyta kubanica", "Helenium amarum", "Helenium atacamense", "Helenium autumnale", "Helenium bigelovii", "Helenium flexuosum", "Helenium glaucum", "Helenium microcephalum", "Helenium urmenetae", "Helenium virginicum", "Hymenoxys cooperi", "Hymenoxys hoopesii", "Hymenoxys lemmonii", "Hymenoxys odorata", "Hymenoxys richardsonii", "Hymenoxys texana", "Marshallia caespitosa", "Marshallia grandiflora", "Marshallia mohrii", "Psathyrotes annua", "Psilostrophe gnaphalodes", "Psilostrophe sparsiflora", "Psilostrophe tagetina", "Schkuhria pinnata", "Ambrosia maritima", "Ambrosia arborescens", "Ambrosia cumanensis", "Ambrosia monogyra", "Ambrosia salsola", "Euphrosyne partheniifolium", "Iva annua", "Iva axillaris", "Doraegopis boeoticus", "Doraegopis sibaii", "Doraegopis euboeicus", "Doraegopis parnonicus", "Rutpela maculata", "Stictoleptura dichroa", "Nustera distigma", "Vadonia bitlisiensis", "Vadonia unipunctata", "Pseudalosterna elegantula", "Pseudovadonia livida", "Cornufer guentheri", "Xylosteus kadleci", "Xylosteus caucasicola", "Leptorhabdium caucasicum", "Encyclops olivacea", "Encyclops macilentus", "Oxymirus cursor", "Oxymirus mirabilis", "Enoploderes sanguineus", "Judolia parallelopipeda", "Judolia sexmaculata", "Rapuzziana hangaiensis", "Pachytodes erraticus", "Pachytodes cerambyciformis", "Pachytodes longipes", "Pachytodes orthotrichus", "Pachytodes cometes", "Alosterna anatolica", "Alosterna ingrica", "Alosterna perpera", "Alosterna tabacicolor", "Alosterna erythropus", "Kirgizobia bohnei", "Xestoleptura rufiventris", "Anoplodera rufipes", "Anoplodera sexguttata", "Anoploderomorpha cyanea", "Xestoleptura baeckmanni", "Stictoleptura fulva", "Stictoleptura pallidipennis", "Stictoleptura maculicornis", "Stictoleptura cordigera", "Stictoleptura tesserula", "Stictoleptura scutellata", "Austrocuma kornfieldi", "Stictoleptura variicornis", "Stictoleptura rubra", "Cocos nucifera", "Pristiloma johnsoni", "Brachyta rosti", "Brachyta breiti", "Brachyta sachalinensis", "Brachyta striolata", "Brachyta variabilis", "Gaurotina sichotensis", "Pseudogaurotina excellens", "Gaurotes ussuriensis", "Lemula decipiens", "Acmaeops angusticollis", "Acmaeops marginatus", "Acmaeops septentrionis", "Acmaeops smaragdulus", "Gnathacmaeops pratensis", "Dinoptera anthracina", "Dinoptera collaris", "Dinoptera daghestanica", "Cortodera humeralis", "Cortodera femorata", "Cortodera pumila", "Cortodera flavimana", "Cortodera ussuriensis", "Cortodera villosa", "Cortodera villosa villosa", "Cortodera circassica", "Cortodera holosericea", "Cortodera colchica", "Cortodera reitteri", "Cortodera ciliata", "Cortodera rossica", "Cortodera alpina", "Cortodera fischtensis", "Cortodera starcki", "Mikania glomerata", "Mikania guaco", "Mikania hookeriana", "Mikania latifolia", "Mikania micrantha", "Mikania ovalis", "Mikania scandens", "Mikania speciosa", "Stevia amambayensis", "Stevia ammotropha", "Stevia amplexicaulis", "Stevia apensis", "Stevia aristata", "Stevia balansae", "Stevia breviaristata", "Stevia catharinensis", "Stevia commixta", "Stevia cuneata", "Stevia entreriensis", "Stevia estrellensis", "Stevia eupatoria", "Stevia leptophylla", "Stevia parvifolia", "Stevia rebaudiana", "Stevia rojasii", "Stevia sabulonis", "Stevia selloi", "Stevia serrata", "Stevia spathulata", "Stevia veronicae", "Stevia villaricensis", "Austroeupatorium inulifolium", "Ayapana triplinervis", "Brickellia atractyloides", "Brickellia californica", "Brickellia chlorolepis", "Brickellia diffusa", "Brickellia eupatorioides", "Brickellia frutescens", "Brickellia glabrata", "Brickellia oblongifolia", "Brickellia spinulosa", "Brickellia veronicifolia", "Condylidium iresinoides", "Critonia macropoda", "Critonia portoricensis", "Gymnocoronis spilanthoides", "Hebeclinium macrophyllum", "Koanophyllon celtidifolia", "Koanophyllon solidaginoides", "Koanophyllon tinctorium", "Helichrysum arenarium", "Helichrysum italicum", "Helichrysum adenophorum", "Helichrysum argyrosphaerum", "Helichrysum asperum", "Helichrysum aureum", "Helichrysum kirkii", "Helichrysum maracandicum", "Helichrysum orientale", "Helichrysum petiolare", "Helichrysum plicatum", "Helichrysum pendulum", "Helichrysum stoechas", "Ixiolaena brevicompta", "Leontopodium nivale subsp. alpinum", "Leontopodium fauriei", "Leontopodium japonicum", "Leontopodium leontopodioides", "Anoplophora chinensis", "Cantharis fusca", "Rhagonycha fulva", "Moneilema gigas", "Prionoplus reticularis", "Tetraopes tetrophthalmus", "Leontopodium souliei", "Leucogenes grandiceps", "Leucogenes leontopodium", "Phaenocoma prolifera", "Podolepis aristata", "Podolepis jaceoides", "Raoulia australis", "Raoulia subsericea", "Iva frutescens", "Iva imbricata", "Xanthium strumarium", "Calyptocarpus vialis", "Encelia californica", "Encelia canescens", "Encelia farinosa", "Encelia frutescens", "Encelia virginensis", "Flourensia campestris", "Flourensia cernua", "Flourensia thurifera", "Perymenium featherstonei", "Perymenium subsquarrosum", "Verbesina alternifolia", "Verbesina arnottii", "Verbesina auriculigera", "Verbesina dissita", "Verbesina encelioides", "Verbesina gigantea", "Verbesina glabrata", "Verbesina guatemalensis", "Verbesina hastata", "Verbesina howardiana", "Verbesina occidentalis", "Verbesina persicifolia", "Verbesina subcordata", "Verbesina virginica", "Wedelia acapulcensis", "Wedelia asperrima", "Grammoptera cyanea", "Grammoptera merkli", "Grammoptera ruficornis", "Grammoptera coerulea", "Fallacia elegans", "Sivana bicolor", "Pseudosieversia rufa", "Pidonia lurida", "Pidonia alticollis", "Pidonia amurensis", "Pidonia grallatrix", "Pidonia debilis", "Sachalinobia koltzei", "Hypericum thasium", "Xenoleptura hecate", "Necydalis major", "Necydalis gigantea", "Necydalis pennata", "Spondylis buprestoides", "Danaus affinis", "Ammonitella yatesi", "Rhodeus sericeus", "Eomerope asiatica", "Eomerope macabeensis", "Phoxinus phoxinus", "Eomerope tortriciformis", "Eomerope pacifica", "Euphorbia susannae", "Gaillardia pulchella", "Gaillardia aestivalis", "Gaillardia amblyodon", "Gaillardia aristata", "Gaillardia x grandiflora", "Gaillardia spathulata", "Wedelia calycina", "Blainvillea acmella", "Blainvillea dichotoma", "Blainvillea gayana", "Borrichia frutescens", "Clibadium armanii", "Clibadium erosum", "Clibadium glabrescens", "Clibadium surinamense", "Clibadium sylvestre", "Eclipta alba", "Engelmannia peristenia", "Helianthus annuus", "Helianthus paradoxus", "Helianthus agrestis", "Helianthus angustifolius", "Helianthus anomalus", "Helianthus argophyllus", "Helianthus arizonensis", "Helianthus atrorubens", "Helianthus bolanderi", "Helianthus californicus", "Helianthus carnosus", "Helianthus ciliaris", "Helianthus cusickii", "Helianthus debilis", "Helianthus decapetalus", "Helianthus divaricatus", "Helianthus eggertii", "Helianthus floridanus", "Helianthus giganteus", "Helianthus glaucophyllus", "Helianthus gracilentus", "Helianthus grosseserratus", "Helianthus heterophyllus", "Helianthus hirsutus", "Helianthus laciniatus", "Helianthus laevigatus", "Helianthus longifolius", "Helianthus maximiliani", "Helianthus microcephalus", "Helianthus mollis", "Helianthus neglectus", "Helianthus niveus", "Helianthus nuttallii", "Helianthus occidentalis", "Helianthus pauciflorus", "Helianthus petiolaris", "Helianthus porteri", "Helianthus praecox", "Helianthus pumilus", "Helianthus radula", "Helianthus resinosus", "Helianthus salicifolius", "Helianthus schweinitzii", "Helianthus silphioides", "Helianthus simulans", "Helianthus smithii", "Helianthus strumosus", "Helianthus tuberosus", "Helianthus deserticola", "Helianthus exilis", "Helianthus intermedius", "Helianthus x multiflorus", "Helianthus verticillatus", "Colurella obtusa", "Colurella colurus", "Lipochaeta kamolensis", "Lipochaeta tenuifolia", "Lipochaeta venosa", "Melanthera nivea", "Melanthera scandens", "Melanthera waimeaensis", "Macoma balthica", "Montanoa leucantha var. arborescens", "Montanoa bipinnatifida", "Montanoa frutescens", "Montanoa hibiscifolia", "Montanoa quadrangularis", "Montanoa tomentosa", "Phoebanthus grandiflora", "Phoebanthus tenuifolius", "Podachaenium eminens", "Podanthus mitiqui", "Nothorhina punctata", "Megasemum quadricostulatum", "Asemum striatum", "Asemum punctulatum", "Tetropium fuscum", "Tetropium castaneum", "Arhopalus rusticus", "Drymochares truquii", "Drymochares starcki", "Oxypleurus nodieri", "Atimia maculipuncta", "Atimia nadezhdae", "Apatophysis caspica", "Apatophysis serricornis", "Hesperophanes sericeus", "Stromatium auratum", "Trichoferus campestris", "Gracilia minuta", "Penichroa fasciata", "Axinopalpis gracilis", "Hybometopia starcki", "Stenygrinum quadrinotatum", "Stenhomalus japonicus", "Obrium cantharinum", "Obrium brunneum", "Obrium obscuripenne", "Nathrius brevipennis", "Molorchus minor", "Molorchus monticola", "Molorchus pallidipennis", "Glaphyra ishiharai", "Leptepania okunevi", "Nadezhdiana villosa", "Nathrioglaphyra heptapotamica", "Chrysiogenes arsenatis", "Adontorhina lynnae", "Adontorhina cyclia", "Adontorhina sphaericosa", "Variraptor mechinorum", "Pyroraptor olympius", "Podanthus ovatifolius", "Ratibida columnifera", "Ratibida pinnata", "Rudbeckia alpicola", "Rudbeckia fulgida", "Rudbeckia hirta", "Rudbeckia laciniata", "Rudbeckia maxima", "Rudbeckia auriculata", "Rudbeckia californica", "Rudbeckia glaucescens", "Rudbeckia graminifolia", "Rudbeckia grandiflora", "Rudbeckia heliopsidis", "Rudbeckia klamathensis", "Rudbeckia missouriensis", "Rudbeckia mohrii", "Rudbeckia mollis", "Rudbeckia nitida", "Rudbeckia occidentalis", "Rudbeckia scabrifolia", "Rudbeckia subtomentosa", "Rudbeckia texana", "Rudbeckia triloba", "Silphium laciniatum", "Silphium compositum", "Silphium integrifolium", "Silphium perfoliatum", "Silphium terebinthinaceum", "Silphium asteriscus var. trifoliatum", "Sphagneticola trilobata", "Synedrella nodiflora", "Wollastonia biflora", "Zaluzania discoidea", "Zinnia angustifolia", "Zinnia acerosa", "Zinnia bicolor", "Zinnia citrea", "Zinnia grandiflora", "Zinnia haageana", "Zinnia juniperifolia", "Zinnia microglossa", "Zinnia peruviana", "Paracupes brasiliensis", "Priacma serrata", "Prolixocupes latreillei", "Dolocerus reichii", "Stenopterus rufus", "Callimoxys gracilis", "Callimus angulatus", "Callimus akbesianus", "Certallum ebulinum", "Deilus fugax", "Hylotrupes bajulus", "Pyrrhidium sanguineum", "Ropalopus insubricus", "Ropalopus ungaricus", "Ropalopus clavipes", "Ropalopus macropus", "Ropalopus lederi", "Ropalopus varini", "Ropalopus nadari", "Ropalopus signaticollis", "Ropalopus speciosus", "Pronocera sibirica", "Pronocera angusta", "Leioderes kollari", "Leioderes tuerki", "Callidiellum rufipenne", "Semanotus undatus", "Semanotus bifasciatus", "Semanotus russicus", "Turanium rauschorum", "Trichoferus griseus", "Trichoferus holosericeus", "Trichoferus kotschyi", "Trichoferus pallidus", "Phoracantha semipunctata", "Cerambyx dux", "Cerambyx nodulosus", "Cerambyx carinatus", "Massicus raddei", "Xenopachys matthiesseni", "Neoplacoederus scapularis", "Hoplocerambyx spinicornis", "Rosalia alpina", "Rosalia coelestis", "Purpuricenus montanus", "Purpuricenus kaehleri", "Purpuricenus globulicollis", "Purpuricenus budensis", "Purpuricenus caucasicus", "Purpuricenus wachanrui", "Purpuricenus deyrollei", "Purpuricenus lituratus", "Amarysius sanguinipennis", "Amarysius altajensis", "Amarysius duplicatus", "Anoplistes halodendri", "Anoplistes ephippium", "Anoplistes minutus", "Aromia moschata moschata", "Aromia ambrosiaca", "Turkaromia pruinosa", "Chelidonium zaitzevi", "Chloridolum sieversi", "Polyzonus fasciatus", "Chloridolum viride", "Callidium violaceum", "Callidium aeneum", "Callidium longipenne", "Callidium coriaceum", "Phymatodes testaceus", "Phymatodes nitidus", "Poecilium pusillum", "Poecilium glabratum", "Poecilium infasciatus", "Poecilium mediofasciatus", "Poecilium fasciatus", "Poecilium alni", "Poecilium maaki", "Oupyrrhidium cinnabarinum", "Paraclytus sexguttatus", "Chlorophorus herbstii", "Chlorophorus latofasciatus", "Chlorophorus figuratus", "Chlorophorus sartor", "Chlorophorus gratiosus", "Chlorophorus ruficornis", "Clytus arietis", "Clytus arietoides", "Clytus tropicus", "Clytus rhamni", "Sphegoclytus stepanovi", "Plagionotus pulcher", "Plagionotus detritus", "Plagionotus arcuatus", "Plagionotus floralis", "Plagionotus bobelayei", "Teratoclytus plavilstshikovi", "Epiclytus ussuricus", "Rhabdoclytus acutivittis", "Isotomus barbarae", "Isotomus comptus", "Isotomus speciosus", "Rhaphuma gracilipes", "Xylotrechus antilope", "Xylotrechus arvicola", "Xylotrechus hircus", "Xylotrechus ibex", "Xylotrechus cuneipennis", "Xylotrechus capricornus", "Turanoclytus namanganensis", "Xylotrechus rusticus", "Xylotrechus adspersus", "Xylotrechus villioni", "Cyrtoclytus capra", "Brachyclytus singularis", "Pseudosphegesthes brunnescens", "Beringius bogasoni", "Beringius turtoni", "Moechotypa diphysis", "Notothylas amazonica", "Xenoturbella bocki", "Rhopilema rhopalophorum", "Eurybia patrona", "Neptis alwina", "Lyropupa societatis", "Lyropupa ingrata", "Lyropupa adeps", "Lyropupa dissimulator", "Lyropupa hybrida", "Osteospermum leptolobum", "Osteospermum muricatum", "Osteospermum scariosum", "Osteospermum sinuatum", "Osteospermum spinescens", "Osteospermum spinosum", "Osteospermum thodei", "Chaenactis douglasii", "Dimeresia howellii", "Doronicum orientale", "Doronicum austriacum", "Doronicum pardalianches", "Doronicum plantagineum", "Chrysanthellum americanum", "Eleutheranthera ruderalis", "Heliopsis helianthoides", "Lagascea mollis", "Pappobolus imbaburensis", "Salmea scandens", "Sigesbeckia glabrescens", "Sigesbeckia jorullensis", "Coptosia cinerascens", "Coptosia bithynensis", "Agapanthia villosoviridescens", "Agapanthia walteri", "Agapanthia alternans", "Agapanthia cynarae", "Agapanthia dahli", "Agapanthia subchalybaea", "Agapanthia cardui", "Agapanthia amurensis", "Agapanthia pilicornis", "Agapanthia maculicornis", "Agapanthia kirbyi", "Agapanthia chalybaea", "Agapanthia intermedia", "Agapanthia violacea", "Agapanthiola leucaspis", "Theophilea subcylindricollis", "Calamobius filum", "Pseudocalamobius japonicus", "Solidago canadensis", "Solidago gigantea", "Solidago juncea", "Solidago leavenworthii", "Solidago missouriensis", "Solidago mollis", "Solidago multiradiata", "Solidago nemoralis", "Solidago odora", "Solidago ouachitensis", "Solidago patula", "Solidago ptarmicoides", "Solidago rugosa", "Solidago sempervirens", "Solidago shortii", "Solidago spathulata", "Solidago speciosa", "Solidago spectabilis", "Solidago spithamaea", "Solidago velutina", "Solidago verna", "Townsendia aprica", "Townsendia exscapa", "Townsendia florifer", "Townsendia jonesii", "Townsendia mensana", "Sigesbeckia orientalis", "Sigesbeckia pubescens", "Simsia amplexicaulis", "Simsia calva", "Simsia foetida", "Syncretocarpus sericeus", "Viguiera australis", "Viguiera dentata", "Viguiera nudicaulis", "Viguiera pazensis", "Viguiera procumbens", "Viguiera sylvatica", "Viguiera tuberosa", "Leiopus stillatus", "Leiopus nebulosus", "Leiopus punctulatus", "Leiopus femoratus", "Ostedes kadleci", "Rondibilis saperdina", "Sciades maritimus", "Exocentrus ritae", "Exocentrus adspersus", "Exocentrus stierlini", "Exocentrus punctipennis", "Exocentrus conjugatofasciatus", "Exocentrus ussuricus", "Exocentrus marginatus", "Tetrops praeustus", "Lyropupa captiosa", "Lyropupa lualualeiensis", "Lyropupa scabra", "Lyropupa spaldingi", "Lyropupa anceyana", "Lyropupa antiqua", "Lyropupa sparna", "Lyropupa rhabdota", "Lyropupa pluris", "Lyropupa cyrta", "Lyropupa lanaiensis", "Lyropupa thaanumi", "Lyropupa kahoolavensis", "Lyropupa plagioptyx", "Lyropupa ovatula", "Lyropupa micra", "Lyropupa micra micra", "Lyropupa micra continua", "Lyropupa mirabilis", "Lyropupa hawaiiensis", "Lyropupa clathratula", "Lyropupa microthauma", "Lyropupa truncata", "Lyropupa striatula", "Lyropupa lyrata", "Lyropupa costata", "Lyropupa cubana", "Parmena pontocircassica", "Plectrura metallica", "Parmenopsis caucasica", "Mesosa myops", "Mesosa curculionoides", "Morimonella bednariki", "Monochamus sartor", "Monochamus sutor", "Monochamus galloprovincialis", "Monochamus guttulatus", "Architeuthis dux", "Inga spectabilis", "Mendampulex monilicularis", "Bdeogale crassicauda", "Bdeogale jacksoni", "Bdeogale nigripes", "Crossarchus alexandri", "Littorina obtusata", "Crossarchus ansorgei", "Littorina saxatilis", "Crossarchus obscurus", "Crossarchus platycephalus", "Euspira catena", "Cynictis penicillata", "Dologale dybowskii", "Phytoecia millefolii", "Phytoecia cinctipennis", "Opsilia coerulescens", "Opsilia molybdaena", "Opsilia varentzowi", "Nupserha marginella", "Nupserha marginella sericans", "Mallosia graeca", "Mallosia scovitzii", "Oberea vittata", "Oberea pedemontana", "Oberea oculata", "Oberea linearis", "Oberea depressa", "Oberea kostini", "Oberea pupillata", "Oberea erythrocephala", "Oberea donceeli", "Oberea euphorbiae", "Oxylia argentata", "Pteromallosia albolineata", "Mallosiola regina", "Micromallosia heydeni", "Iranocoptosia fausti", "Conizonia allardi", "Conizonia detrita", "Coptosia kalashiani", "Conizonia bodoani", "Thomasomys onkiro", "Olenecamptus clarus", "Pterolophia maacki", "Pterolophia multinotata", "Egesina bifasciana", "Apomecyna histrio", "Microlera ptinoides", "Asaperda agapanthina", "Asaperda rufipes", "Xylariopsis mimica", "Quasimesosella ussuriensis", "Clytosemia pulchra", "Miccolamia cleroides", "Ussurella napolovi", "Sophronica obrioides", "Cylindilla grisescens", "Terinaea atrofusca", "Deroplia genei", "Mimectatina divaricata", "Anaesthetes testacea", "Anaesthetes confossicollis", "Rhopaloscelis unifasciata", "Pogonocherus hispidus", "Pogonocherus hispidulus", "Pogonocherus dimidiatus", "Pogonocherus perroudi", "Pogonocherus decoratus", "Pogonocherus inermicollis", "Aegomorphus clavipes", "Monochamus impluviatus", "Monochamus saltuarius", "Monochamus grandis", "Monochamus urussovii", "Astynoscelis degener", "Acalolepta ussurica", "Lamia textor", "Lamiomimus gottschei", "Morimus verecundus", "Morimus funereus", "Dorcadion glicyrrhizae", "Dorcadion striatum", "Dorcadion guberlense", "Dorcadion carinatum", "Dorcadion cylindraceum", "Dorcadion igrenum", "Dorcadion aethiops", "Dorcadion fulvum", "Dorcadion fulvum canaliculatum", "Dorcadion lugubre", "Dorcadion etruscum", "Dorcadion wagneri", "Dorcadion sareptanum", "Dorcadion holosericeum", "Dorcadion equestre", "Dorcadion nogelli", "Dorcadion scopolii", "Dorcadion elegans", "Dorcadion pusillum", "Dorcadion panticapaeum", "Dorcadion semenovi", "Dorcadion issykkulense", "Dorcadion grande", "Politodorcadion politum", "Politodorcadion politum politum", "Politodorcadion shapovalovi", "Eodorcadion carinatum", "Eodorcadion involvens", "Eodorcadion maurum", "Eodorcadion sajanicum", "Eodorcadion humerale", "Eodorcadion trabeatum", "Eodorcadion lutshniki", "Eodorcadion altanelsense", "Eodorcadion ornatum", "Palimna liturata", "Aegomorphus obscurior", "Oplosia cinerea", "Acanthocinus henschi", "Acanthocinus griseus", "Acanthocinus reticulatus", "Acanthocinus xanthoneurus", "Acanthocinus carinulatus", "Argynnis pandora", "Calendula officinalis", "Calendula arvensis", "Calendula eckerleinii", "Calendula lanzae", "Calendula maroccana", "Calendula meuselii", "Calendula stellata", "Calendula suffruticosa", "Calendula tripterocarpa", "Dimorphotheca chrysanthemifolia", "Dimorphotheca cuneata", "Dimorphotheca nudicaulis", "Dimorphotheca pluvialis", "Dimorphotheca polyptera", "Dimorphotheca sinuata", "Dimorphotheca spectabilis", "Dimorphotheca tragus", "Dimorphotheca zeyheri", "Osteospermum asperulum", "Osteospermum corymbosum", "Osteospermum hafstroemii", "Osteospermum hispidum", "Osteospermum imbricatum", "Osteospermum junceum", "Tetrops gilvipes", "Saperda scalaris", "Saperda alberti", "Saperda perforata", "Saperda interrupta", "Saperda octomaculata", "Saperda carcharias", "Saperda similis", "Saperda populnea", "Saperda balsamifera", "Saperda quercus", "Saperda octopunctata", "Saperda punctata", "Stenostola ferrea", "Eutetrapha chrysochloris", "Eutetrapha metallescens", "Eutetrapha sedecimpunctata", "Eumecocera impustulata", "Menesia bipunctata", "Menesia sulphurata", "Menesia flavotecta", "Paramenesia theaphia", "Cagosima sanguinolenta", "Thyestilla gebleri", "Glenea relicta", "Phytoecia caerulea", "Phytoecia virgula", "Phytoecia cylindrica", "Phytoecia ferrea", "Phytoecia nigricornis", "Phytoecia rufipes", "Phytoecia rufiventris", "Phytoecia boeberi", "Phytoecia volgensis", "Pilemia griseomaculata", "Pilemia hirsutula", "Pilemia serriventris", "Phytoecia balcanica", "Phytoecia scutellata", "Coptosia farinosa", "Phytoecia armeniaca", "Phytoecia fatima", "Eriophyllum wallacei", "Hulsea heterochroma", "Lasthenia conjugens", "Lasthenia burkei", "Lasthenia californica", "Lasthenia glabrata", "Lasthenia minor", "Layia platyglossa", "Layia carnosa", "Layia glandulosa", "Madia glomerata", "Madia sativa", "Monolopia congdonii", "Mungotictis decemlineata", "Chrotogale owstoni", "Cynogale bennettii", "Diplogale hosei", "Hemigalus derbyanus", "Arctictis binturong", "Bradypus variegatus gorgon", "Bradypus variegatus infuscatus", "Bradypus variegatus trivittatus", "Meliboeus parvulus", "Meliboeus ohbayashii", "Agrilus planipennis", "Agrilus mendax", "Choloepus hoffmanni capitalis", "Choloepus hoffmanni florenciae", "Agrilus angustulus", "Choloepus hoffmanni juruanus", "Agrilus hastulifer", "Choloepus hoffmanni pallescens", "Agrilus cyanescens", "Agrilus pooli", "Agrilus kurumi", "Agrilus pratensis", "Agrilus smaragdinus", "Agrilus subauratus", "Agrilus integerrimus", "Paracylindromorphus subuliformis", "Cyclopes catellus", "Cyclopes dorsalis", "Cyclopes ida", "Trachys minutus", "Myrmecophaga tridactyla artata", "Myrmecophaga tridactyla centralis", "Tamandua mexicana instabilis", "Tamandua mexicana opistholeuca", "Tamandua mexicana punensis", "Tamandua tetradactyla nigra", "Tamandua tetradactyla quichua", "Tamandua tetradactyla straminea", "Bos mutus", "Galeopterus variegatus", "Cynocephalus volans", "Pocillopora eydouxi", "Euryops chrysanthemoides", "Euryops multifidus", "Euryops pectinatus", "Euryops speciosissimus", "Farfugium japonicum", "Gynoxys incana", "Gynura aurantiaca", "Gynura bicolor", "Gynura cusimbua", "Gynura formosana", "Gynura japonica", "Gynura nepalensis", "Gynura procumbens", "Gynura vidaliana", "Kleinia anteuphorbium", "Ligularia dentata", "Ligularia dolichobotrys", "Ligularia fischeri", "Ligularia intermedia", "Ligularia kingiana", "Ligularia macrophylla", "Ligularia mortonii", "Ligularia pachycarpa", "Ligularia retusa", "Ligularia schmidtii", "Ligularia sibirica", "Barnea candida", "Petricola pholadiformis", "Zirfaea crispata", "Poecilomorpha cyanipennis", "Zeugophora subspinosa", "Orsodacne cerasi", "Chlorophanus viridis", "Strophosoma capitata", "Tanymecus palliatus", "Trichalophus quadriguttatus", "Peritelus familiaris", "Phyllobius argentatus", "Phyllobius contemptus", "Phyllobius thalassinus", "Omias rotundatus", "Otiorhynchus ovatus", "Otiorhynchus aurosparsus", "Otiorhynchus ligustici", "Trichalophus maeklini", "Catapionus viridimetallicus", "Gonocephalus grandis", "Galinsoga parviflora", "Galinsoga quadriradiata", "Melampodium divaricatum", "Melampodium leucanthum", "Melampodium perfoliatum", "Tetragonotheca helianthoides", "Tetragonotheca ludoviciana", "Tetragonotheca repanda", "Tetragonotheca texana", "Tridax procumbens", "Calea ternifolia", "Calea uniflora", "Calea urticifolia", "Neurolaena lobata", "Perityle rupestris", "Pluchea carolinensis", "Pluchea indica", "Pluchea lanceolata", "Pluchea odorata", "Pluchea sagittalis", "Sphaeranthus bullatus", "Sphaeranthus indicus", "Tessaria integrifolia", "Glandora rosmarinifolia", "Blumea balsamifera", "Blumea densiflora", "Blumea lacera", "Blumea lanceolaria", "Blumea riparia", "Buphthalmum salicifolium", "Dittrichia graveolens", "Dittrichia viscosa", "Geigeria aspera", "Geigeria burkei", "Geigeria ornativa", "Geigeria pectidea", "Inula royleana", "Inula rhizocephala", "Inula racemosa", "Pentanema orientale", "Inula linariifolia", "Inula hookeri", "Inula helenium", "Inula grandis", "Pentanema germanicum", "Pentanema squarrosum", "Pentanema britannicum", "Pulicaria alveolosa", "Pulicaria crispa", "Eriophyllum confertiflorum", "Eriophyllum latilobum", "Eriophyllum staechadifolium", "Ligularia stenoglossa", "Ligularia veitchiana", "Parasenecio auriculatus", "Parasenecio hastatus", "Pericallis appendiculata", "Pericallis cruenta", "Pericallis \u00d7 hybrida", "Petasites frigidus", "Petasites hybridus", "Petasites japonicus", "Petasites radiatus", "Senecio atratus", "Synotis alata", "Senecio achilleifolius", "Senecio aegyptius", "Senecio angulatus", "Senecio antandroi", "Senecio antitensis", "Senecio brasiliensis", "Senecio barorum", "Senecio bupleuroides", "Senecio burchellii", "Brachyglottis compacta", "Senecio crassiflorus", "Senecio cacaliaster", "Synotis cappa", "Senecio cunninghamii", "Senecio doria", "Senecio ertterae", "Brachyglottis elaeagnifolia", "Senecio elegans", "Senecio fistulosus", "Senecio formosus", "Senecio grisebachii", "Senecio gallicus", "Senecio glaberrimus", "Senecio glastifolius", "Senecio glaucus", "Senecio graciliflorus", "Brachyglottis greyi", "Senecio hakeifolius", "Senecio heterotrichus", "Brachyglottis huntii", "Tagetes pectinata", "Tagetes perezii", "Tagetes pringlei", "Tagetes remotiflora", "Tagetes riojana", "Tagetes rupestris", "Tagetes stenophylla", "Tagetes subulata", "Tagetes terniflora", "Tagetes verticillata", "Tagetes zyaquirensis", "Thymophylla aurea", "Thymophylla tephroleuca", "Pidonia similis", "Barnadesia caryophylla", "Barnadesia dombeyana", "Barnadesia spinosa", "Chuquiraga ferox", "Chuquiraga spinosa", "Doniophyton anomalum", "Gazania heterochaeta", "Gazania krebsiana", "Linuparus pustulosus", "Spinosaurus aegyptiacus", "Carcharodontosaurus saharicus", "Anophthalmus hitleri", "Attagenus unicolor", "Agrilus anxius", "Oulema melanopus", "Chrysochus cobaltinus", "Lyctus linearis", "Eosalmo driftwoodensis", "Prosopocoilus girafa", "Trogoderma granarium", "Trogoderma angustum", "Senecio triangularis", "Senecio tenuifolius", "Conotrachelus nenuphar", "Senecio vernalis", "Senecio viravira", "Senecio viscosus", "Procas granulicollis", "Solanecio gigas", "Tussilago farfara", "Adenophyllum porophylloides", "Sitophilus granarius", "Dyssodia papposa", "Flaveria bidentis", "Flaveria linearis", "Flaveria mcdougallii", "Flaveria pringlei", "Flaveria trinervia", "Porophyllum gracile", "Porophyllum ruderale", "Porophyllum scoparium", "Tagetes apetala", "Tagetes erecta", "Tagetes tenuifolia", "Tagetes argentina", "Tagetes biflora", "Tagetes campanulata", "Tagetes dianthiflora", "Tagetes elliptica", "Tagetes erythrocephala", "Tagetes filifolia", "Tagetes foetidissima", "Tagetes gracilis", "Tagetes hartwegii", "Tagetes laxa", "Tagetes lemmonii", "Tagetes lucida", "Tagetes mendocina", "Tagetes micrantha", "Tagetes minuta", "Tagetes mulleri", "Tagetes multiflora", "Tagetes nelsonii", "Tagetes parryi", "Tachyerges salicis", "Tachyerges stigma", "Lixus punctiventris", "Lixus iridis", "Larinus obtusus", "Leucomigus candidatus", "Cyphocleonus dealbatus", "Cryptorhynchus lapathi", "Asperogronops inaequalis", "Hypera miles", "Hypera conmaculata", "Tanysphyrus lemnae", "Bagous collignensis", "Phloeophagus lignarius", "Magdalis frontalis", "Senecio integerrimus", "Senecio ilicifolius", "Tephroseris integrifolia", "Senecio iosensis", "Senecio isatideus", "Senecio latifolius", "Senecio lautus", "Senecio leucanthemifolius", "Senecio multidentatus", "Senecio myriocephalus", "Senecio macroglossus", "Senecio madagascariensis", "Senecio magnificus", "Packera millefolium", "Senecio moorei", "Pericallis murrayi", "Senecio nemorensis", "Senecio otites", "Senecio oxyriifolius", "Senecio planiflorus", "Hylobius abietis", "Hylobius gebleri", "Hylobius excavatus", "Pissodes pini", "Lepyrus arctoalpinus", "Lepyrus capucinus", "Dyscerus roelofsi", "Baris nigritarsis", "Baris artemisiae", "Limnobaris t-album", "Rhinoncus inconspectus", "Ceutorhynchus pectoralis", "Zacladus geranii", "Coryssomerus capucinus", "Orobitis cyanea", "Notaris acridulus", "Grypus equiseti", "Sipalinus gigas", "Raymondionymus orientalis", "Scolytus ratzeburgii", "Ips typographus", "Ips amitinus", "Ips sexdentatus", "Pityogenes chalcographus", "Hylastes brunneus", "Hylastes cunicularius", "Hylastes opacus", "Polygraphus proximus", "Otiorhynchus sulcatus", "Brachyglottis perdicioides", "Senecio provincialis", "Senecio pterophorus", "Senecio pyrenaicus", "Senecio riddellii", "Neochetina eichhorniae", "Senecio retrorsus", "Senecio schultzii", "Senecio spartioides", "Brachyglottis saxifragoides", "Senecio scandens", "Senecio schimperi", "Senecio scitus", "Senecio subdentatus", "Senecio sylvaticus", "Bedfordia salicina", "Cineraria aspera", "Cineraria lyratiformis", "Crassocephalum crepidioides", "Crassocephalum rubens", "Cremanthodium campanulatum", "Cremanthodium farreri", "Cremanthodium nobile", "Cremanthodium oblongatum", "Cremanthodium reniforme", "Cremanthodium rhodocephalum", "Crocidium multicaule", "Emilia fosbergii", "Emilia sonchifolia", "Erechtites hieraciifolius", "Erechtites valerianifolius", "Polydrusus tereticollis", "Sitona ambiguus", "Sitona languidus", "Anthonomus pomorum", "Anthonomus grandis", "Cionus tuberculosus", "Cionus hortulanus", "Cionus scrophulariae", "Curculio glandium", "Dorytomus tortrix", "Gymnetron beccabungae", "Nebria djakonovi", "Anopheles kyondawensis", "Calosoma cyanescens", "Calosoma usgentensis", "Calosoma chinense", "Calosoma lugens", "Acidosasa venusta", "Ampelocalamus microphyllus", "Lycodon rufozonatus", "Amyzon aggregatum", "Amyzon brevipinne", "Amyzon commune", "Amyzon mentale", "Dracorex hogwartsia", "Dinokanaga hillsi", "Dinokanaga wilsoni", "Dinokanaga dowsonae", "Dinokanaga andersoni", "Egernia cunninghami", "Erpeton tentaculatum", "Candoia aspera", "Begonia jiewhoei", "Diploderma polygonatum", "Crepis capillaris", "Crepis acuminata", "Crepis alpestris", "Crepis alpina", "Crepis aspera", "Crepis aurea", "Crepis barbigera", "Crepis biennis", "Crepis bungei", "Crepis conyzifolia", "Crepis dioscoridis", "Crepis foetida", "Crepis kotschyana", "Crepis micrantha", "Crepis occidentalis", "Crepis paludosa", "Crepis pontana", "Crepis praemorsa", "Crepis pulchra", "Crepis pyrenaica", "Crepis rubra", "Crepis setosa", "Crepis sibirica", "Crepis tectorum", "Crepis thompsonii", "Crepis vesicaria", "Crepis zacintha", "Echinops corniger", "Echinops latifolius", "Jurinea alata", "Jurinea carduiformis", "Jurinea derderioides", "Jurinea edulis", "Jurinea mollis", "Jurinea multiflora", "Jurinea suffruticosa", "Saussurea candicans", "Saussurea costus", "Saussurea deltoidea", "Saussurea eriocephala", "Saussurea glomerata", "Saussurea gnaphalodes", "Saussurea gossipiphora", "Saussurea heteromalla", "Saussurea jacea", "Saussurea leucoma", "Saussurea lyratifolia", "Saussurea obvallata", "Saussurea poophylla", "Saussurea uniflora", "Laccophilus biguttatus", "Laccophilus minutus", "Oreodytes natrix", "Agabus fuscipennis", "Hoploparia bearpawensis", "Palaeonephrops browni", "Clinidium canaliculatum", "Leistus ferrugineus", "Leistus frater", "Leistus niger", "Leistus terminatus", "Begonia exotica", "Troodon formosus", "Youngia depressa", "Youngia japonica", "Anopheles ainshamsi", "Hieracium lucidum", "Plecoglossus altivelis", "Phyllopteryx taeniolatus", "Phycodurus eques", "Platygyra daedalea", "Gazania rigens", "Carduus acanthoides", "Carduus nutans", "Carduus carpetanus", "Carduus crispus", "Carduus pycnocephalus", "Carduus tenuiflorus", "Onopordum acanthium", "Onopordum acaulon", "Onopordum dissectum", "Onopordum illyricum", "Onopordum tauricum", "Huperzia lucidula", "Silybum eburneum", "Silybum marianum", "Carlina acaulis", "Carlina acanthifolia", "Carlina corymbosa", "Xeranthemum annuum", "Xeranthemum cylindraceum", "Carthamus tinctorius", "Carthamus arborescens", "Carthamus dentatus", "Carthamus glaucus", "Carthamus lanatus", "Carthamus leucocaulos", "Carthamus nitidus", "Carthamus palaestinus", "Carthamus persicus", "Carthamus tenuis", "Nemonyx lepturoides", "Anthribus nebulosus", "Dissoleucas niveirostris", "Tenebrio obscurus", "Dendroctonus ponderosae", "Stenocara gracilipes", "Ithycerus noveboracensis", "Odontotaenius disjunctus", "Siettitia balsetensis", "Zophobas atratus", "Calais parreysii", "Begonia sinuata var. sinuata", "Begonia sinuata var. helferi", "Begonia sinuata var. longialata", "Begonia sinuata var. pantiensis", "Begonia elisabethae", "Cousinia coronata", "Cousinia microcarpa", "Cousinia minuta", "Cousinia onopordioides", "Cousinia radians", "Cousinia regelii", "Cynara algarbiensis", "Cynara auranitica", "Cynara baetica", "Cynara cardunculus", "Cynara cornigera", "Cynara cyrenaica", "Cynara humilis", "Cynara syriaca", "Echinops albicaulis", "Echinops bannaticus", "Echinops echinatus", "Echinops exaltatus", "Echinops karatavicus", "Echinops niveus", "Echinops ritro", "Echinops sphaerocephalus", "Echinops spinosissimus", "Echinops strigosus", "Dinokanaga sternbergi", "Dinokanaga webbi", "Chimonobambusa communis", "Chimonobambusa macrophylla", "Chimonobambusa marmorea", "Chimonobambusa opienensis", "Chimonobambusa pachystachys", "Chimonobambusa puberula", "Chimonobambusa quadrangularis", "Chimonobambusa rigidula", "Chimonobambusa szechuanensis", "Chimonobambusa tumidissinoda", "Chimonocalamus delicatus", "Chusquea bambusoides", "Chusquea circinata", "Chusquea culeou", "Chusquea cumingii", "Chusquea montana", "Chusquea quila", "Chusquea simpliciflora", "Chusquea uniflora", "Chusquea valdiviensis", "Dendrocalamus asper", "Dendrocalamus brandisii", "Dendrocalamus giganteus", "Dendrocalamus hamiltonii", "Dendrocalamus hookeri", "Microseris scapigera", "Microseris troximoides", "Reichardia dichotoma", "Scolymus hispanicus", "Scolymus maculatus", "Scorzonera hirsuta", "Gelasia tomentosa", "Gelasia villosa", "Sonchus arvensis", "Sonchus asper", "Sonchus brachyotus", "Sonchus oleraceus", "Stephanomeria malheurensis", "Stephanomeria pauciflora", "Taraxacum alaskanum", "Taraxacum borealisinense", "Taraxacum californicum", "Taraxacum ceratophorum", "Taraxacum collinum", "Taraxacum dissectum", "Taraxacum glabrum", "Taraxacum kok-saghyz", "Taraxacum megalorrhizon", "Taraxacum mongolicum", "Tragopogon dubius", "Tragopogon porrifolius", "Tragopogon pratensis", "Tragopogon coelesyriacus", "Tragopogon mirus", "Tragopogon pusillus", "Urospermum picroides", "Gonotropis dorsalis", "Opanthribus tessellatus", "Platystomos albinus", "Byctiscus betulae", "Byctiscus populi", "Tatianaerhynchites aequatus", "Rhynchites auratus", "Rhynchites bacchus", "Deporaus betulae", "Attelabus nitens", "Apoderus coryli", "Phymatopoderus flavimanus", "Apion frumentarium", "Protapion apricans", "Pseudaplemonus artemisiae", "Libotonius blakeburnensis", "Allomalia setulosa", "Libotonius pearsoni", "Eremoxenus chan", "Brachycerus undatus", "Brachycerus lutosus", "Amblycheila cylindriformis", "Omus dejeani", "Phyllostachys humilis", "Phyllostachys incarnata", "Phyllostachys iridescens", "Phyllostachys kwangsiensis", "Phyllostachys makinoi", "Phyllostachys mannii", "Phyllostachys meyeri", "Phyllostachys nana", "Phyllostachys nidularia", "Phyllostachys nuda", "Phyllostachys parvifolia", "Phyllostachys platyglossa", "Phyllostachys praecox", "Phyllostachys prominens", "Phyllostachys propinqua", "Phyllostachys purpurata", "Phyllostachys rubromarginata", "Phyllostachys sulphurea", "Phyllostachys violascens", "Phyllostachys viridiglaucescens", "Phyllostachys vivax", "Phyllostachys yunhoensis", "Pseudosasa amabilis", "Pseudosasa japonica", "Sasa palmata", "Sasa borealis", "Sasa chartacea", "Sasa ishizuchiana", "Sasa kurilensis", "Sasa kurokawana", "Sasa masamuneana", "Sasa ramosa", "Sasa senanensis", "Sasa tsuboiana", "Sasa veitchii", "Schizostachyum glaucifolium", "Schizostachyum distans", "Schizostachyum dumetorum", "Schizostachyum funghomii", "Schizostachyum latifolium", "Schizostachyum lima", "Schizostachyum lumampao", "Schizostachyum pseudolima", "Schizostachyum zollingeri", "Semiarundinaria fastuosa", "Shibataea chinensis", "Shibataea hispida", "Shibataea lanceifolia", "Sinobambusa farinosa", "Sinobambusa humilis", "Sinobambusa intermedia", "Sinobambusa rubroligula", "Sinobambusa tootsik", "Thamnocalamus spathiflorus", "Thamnocalamus tessellatus", "Dendrocalamus latiflorus", "Dendrocalamus longispathus", "Dendrocalamus membranaceus", "Dendrocalamus merrillianus", "Dendrocalamus sikkimensis", "Dendrocalamus strictus", "Dinochloa scandens", "Drepanostachyum falcatum", "Elytrostachys typica", "Gigantochloa albociliata", "Gigantochloa apus", "Gigantochloa atroviolacea", "Gigantochloa atter", "Gigantochloa balui", "Gigantochloa hasskarliana", "Gigantochloa levis", "Gigantochloa manggong", "Gigantochloa pseudoarundinacea", "Gigantochloa robusta", "Gigantochloa scortechinii", "Gigantochloa thoii", "Gigantochloa verticillata", "Gigantochloa wrayi", "Guadua amplexifolia", "Guadua angustifolia", "Guadua longifolia", "Guadua tagoara", "Indocalamus herklotsii", "Indocalamus longiauritus", "Indocalamus sinicus", "Indocalamus tessellatus", "Indocalamus wilsonii", "Merostachys multiramea", "Ochlandra ebracteata", "Ochlandra stridula", "Ochlandra travancorica", "Otatea acuminata", "Oxytenanthera abyssinica", "Phyllostachys aureosulcata", "Phyllostachys heteroclada", "Phyllostachys nigra", "Phyllostachys angusta", "Phyllostachys arcana", "Phyllostachys aurea", "Phyllostachys bambusoides", "Phyllostachys bissetii", "Phyllostachys dulcis", "Phyllostachys edulis", "Phyllostachys elegans", "Phyllostachys flexuosa", "Phyllostachys glauca", "Thyrsostachys siamensis", "Yushania alpina", "Yushania brevipaniculata", "Yushania glauca", "Yushania hirsuta", "Yushania levigata", "Yushania lineolata", "Yushania microphylla", "Yushania niitakayamensis", "Carabus theseus", "Carabus reitteri", "Carabus mouthiezianus", "Carabus czarensis", "Carabus gaschkewitschi ippolitovi", "Carabus duarius", "Carabus tuberculosus", "Carabus surakovi", "Protohermes grandis", "Basiliscus vittatus", "Plegaderus vulneratus", "Malpolon monspessulanus", "Natrix maura", "Acanthaster planci", "Anguilla japonica", "Anguilla bengalensis", "Anguilla marmorata", "Macrocheira kaempferi", "Alpheus bellulus", "Aeluropus lagopoides", "Aeluropus littoralis", "Aeluropus macrostachyus", "Bewsia biflora", "Blepharoneuron tricholepis", "Coelachyrum piercei", "Dactyloctenium aegyptium", "Dactyloctenium australe", "Dactyloctenium geminatum", "Dactyloctenium giganteum", "Dactyloctenium radulans", "Dactyloctenium scindicum", "Desmostachya bipinnata", "Carabus venustus", "Carabus wulffiusi", "Takydromus smaragdinus", "Takydromus toyamai", "Takydromus dorsalis", "Begonia polilloensis", "Opheodrys aestivus aestivus", "Opheodrys aestivus carinatus", "Begonia rachmatii", "Dischidia albida", "Dischidia bengalensis", "Dischidia chinensis", "Dischidia purpurea", "Dischidia major", "Dischidia sagittata", "Dischidia spironema", "Strophanthus amboensis", "Strophanthus arnoldianus", "Strophanthus barteri", "Strophanthus boivinii", "Strophanthus bullenianus", "Strophanthus caudatus", "Strophanthus congoensis", "Strophanthus courmontii", "Strophanthus divaricatus", "Strophanthus eminii", "Strophanthus gardeniiflorus", "Strophanthus gerrardii", "Strophanthus gracilis", "Strophanthus gratus", "Strophanthus hispidus", "Strophanthus hypoleucus", "Strophanthus kombe", "Strophanthus longicalyx", "Strophanthus luteolus", "Strophanthus mirabilis", "Strophanthus nicholsonii", "Strophanthus petersianus", "Strophanthus preussii", "Strophanthus sarmentosus", "Strophanthus speciosus", "Strophanthus thollonii", "Strophanthus vanderijstii", "Strophanthus wallichii", "Strophanthus welwitschii", "Strophanthus wightianus", "Wrightia antidysenterica", "Wrightia arborea", "Wrightia pubescens", "Wrightia religiosa", "Wrightia tinctoria", "Poecilus encopoleus", "Poecilus crenuliger", "Poecilus nitens", "Poecilus puncticollis", "Poecilus lepidus", "Eragrostis laniflora", "Eragrostis lappula", "Eragrostis lehmanniana", "Eragrostis leptocarpa", "Eragrostis leptostachya", "Eragrostis lugens", "Eragrostis macilenta", "Eragrostis maypurensis", "Eragrostis megalosperma", "Eragrostis mexicana", "Eragrostis micrantha", "Eragrostis minor", "Eragrostis neesii", "Eragrostis nevinii", "Eragrostis nigra", "Eragrostis nindensis", "Eragrostis nutans", "Eragrostis obtusa", "Eragrostis olivacea", "Eragrostis pallens", "Eragrostis paniciformis", "Eragrostis papposa", "Eragrostis parviflora", "Eragrostis patens", "Eragrostis patentipilosa", "Eragrostis patentissima", "Eragrostis pectinacea", "Eragrostis peruviana", "Eragrostis pilosa", "Eragrostis plana", "Eragrostis planiculmis", "Eragrostis polytricha", "Eragrostis porosa", "Eragrostis prolifera", "Eragrostis racemosa", "Eragrostis reptans", "Eragrostis retinens", "Eragrostis rigidior", "Eragrostis rotifer", "Eragrostis rufescens", "Eragrostis sarmentosa", "Ctenolepisma quadriseriatum", "Eragrostis scabriflora", "Eragrostis scopelophila", "Eragrostis secundiflora", "Eragrostis setifolia", "Eragrostis speciosa", "Eragrostis spectabilis", "Eragrostis squamata", "Eragrostis stolonifera", "Eragrostis superba", "Eragrostis tenuifolia", "Eragrostis tremula", "Eragrostis trichophora", "Eragrostis truncata", "Eragrostis unioloides", "Eragrostis variabilis", "Eragrostis viscosa", "Catananche caerulea", "Chondrilla juncea", "Chondrilla lejosperma", "Chondrilla pauciflora", "Melanoseris macrorhiza", "Cicerbita sonchifolia", "Cichorium endivia", "Cichorium intybus", "Sonchus subg.", "Sonchus brassicifolius", "Pilosella albiflora", "Pilosella aurantiaca", "Hieracium gronovii", "Hieracium lachenalii", "Hieracium sabaudum", "Hieracium scabrum", "Hieracium schultzii", "Hieracium umbellatum", "Ixeris chinensis", "Ixeris polycephala", "Lapsana communis", "Malacothrix coulteri", "Malacothrix indecora", "Malacothrix squalida", "Microseris borealis", "Microseris laciniata", "Microseris nutans", "Microseris paludosa", "Trichoneura grandiglumis", "Tridens albescens", "Tridens brasiliensis", "Tridens eragrostoides", "Tridens flavus", "Tridens hackelii", "Tridens muticus", "Tridens strictus", "Triodia basedowii", "Triodia marginata", "Triplasis purpurea", "Tripogon chinensis", "Tripogon filiformis", "Tripogon jacquemontii", "Tripogon purpurascens", "Triraphis mollis", "Triraphis pungens", "Triraphis purpurea", "Triraphis ramosissima", "Triraphis schinzii", "Uniola paniculata", "Uniola pittieri", "Vaseyochloa multinervosa", "Allium nebrodense", "Nothomyrmecia macrops", "Ypresiomyrma orbiculata", "Ypresiomyrma bartletti", "Chimonanthus praecox", "Ypresiomyrma rebekkae", "Phelsuma madagascariensis", "Erato polymnioides", "Adenocaulon bicolor", "Adenocaulon chilense", "Brachylaena huillensis", "Chaptalia arechavaletae", "Chaptalia nutans", "Gerbera ambigua", "Gerbera jamesonii", "Leibnitzia anandria", "Leibnitzia nepalensis", "Lycoseris crocata", "Hakka himeshimensis", "Rhacophorus owstoni", "Chelidonichthys spinosus", "Erpetoichthys calabaricus", "Phoca largha", "Quercus canariensis", "Avitomyrmex mastax", "Avitomyrmex elongatus", "Apocynum venetum subsp. sarmatiense", "Baissea major", "Baissea wulfhorstii", "Beaumontia grandiflora", "Chonemorpha fragrans", "Chonemorpha verrucosa", "Forsteronia pubescens", "Ichnocarpus frutescens", "Odontadenia macrantha", "Trachelospermum asiaticum", "Trachelospermum jasminoides", "Sporobolus aeneus", "Sporobolus agrostoides", "Sporobolus airoides", "Sporobolus arabicus", "Sporobolus australasicus", "Sporobolus brasiliensis", "Sporobolus buckleyi", "Sporobolus centrifugus", "Sporobolus clandestinus", "Sporobolus compositus", "Sporobolus consimilis", "Sporobolus contractus", "Sporobolus cryptandrus", "Sporobolus elongatus", "Sporobolus festivus", "Sporobolus filipes", "Sporobolus fimbriatus", "Sporobolus flexuosus", "Sporobolus giganteus", "Sporobolus helvolus", "Sporobolus heterolepis", "Sporobolus indicus", "Sporobolus ioclados", "Sporobolus maderaspatanus", "Sporobolus marginatus", "Sporobolus maximus", "Sporobolus molleri", "Sporobolus natalensis", "Sporobolus neglectus", "Sporobolus nervosus", "Sporobolus nitens", "Sporobolus orientalis", "Sporobolus pallidus", "Sporobolus panicoides", "Sporobolus phyllotrichus", "Sporobolus pseudairoides", "Sporobolus purpurascens", "Sporobolus pyramidatus", "Sporobolus rigens", "Sporobolus robustus", "Sporobolus sanguineus", "Sporobolus smutsii", "Sporobolus spicatus", "Sporobolus texanus", "Sporobolus usitatus", "Sporobolus vaginiflorus", "Sporobolus virginicus", "Sporobolus wrightii", "Swallenia alexandrae", "Tetrachne dregei", "Arachis repens", "Arachis appressipila", "Arachis chiquitana", "Arachis hassleri", "Arachis kretschmeri", "Arachis lignosa", "Arachis matiensis", "Arachis pflugeae", "Arachis rigonii", "Arachis subcoriacea", "Arachis vallsii", "Arachis burkartii", "Arachis glabrata", "Arachis nitida", "Arachis pseudovillosa", "Arachis batizocoi", "Arachis benensis", "Arachis cardenasii", "Arachis correntina", "Arachis cruziana", "Arachis decora", "Arachis diogoi", "Arachis duranensis", "Arachis glandulifera", "Arachis gregoryi", "Arachis helodes", "Arachis herzogii", "Arachis hoehnei", "Arachis ipaensis", "Arachis kempff-mercadoi", "Arachis krapovickasii", "Arachis kuhlmannii", "Arachis linearifolia", "Arachis magna", "Arachis microsperma", "Arachis palustris", "Arachis praecox", "Arachis schininii", "Arachis simpsonii", "Arachis stenosperma", "Arachis trinitensis", "Arachis valida", "Arachis villosa", "Arachis williamsii", "Molophilus alexanderianus", "Asparagus setaceus", "Eragrostis xerophila", "Fingerhuthia africana", "Fingerhuthia sesleriiformis", "Gouinia latifolia", "Terrapene ornata", "Terrapene carolina", "Harpachne schimperi", "Leptochloa chinensis", "Leptochloa chloridiformis", "Leptochloa decipiens", "Leptochloa dubia", "Leptochloa eleusine", "Leptochloa obtusiflora", "Leptochloa panicea", "Leptochloa scabra", "Leptochloa uniflora", "Leptochloa virgata", "Lycurus phleoides", "Munroa squarrosa", "Neyraudia arundinacea", "Neyraudia reynaudiana", "Regulus ignicapilla", "Ochthochloa compressa", "Plectrachne bynoei", "Plectrachne pungens", "Plectrachne rigidissima", "Plectrachne schinzii", "Redfieldia flexuosa", "Scleropogon brevifolius", "Trachelospermum axillare", "Urceola elastica", "Urceola lucida", "Urceola micrantha", "Vallaris solanacea", "Avitomyrmex systenus", "Elephantopus carolinianus", "Elephantopus mollis", "Elephantopus nudatus", "Elephantopus scaber", "Elephantopus tomentosus", "Pseudelephantopus spicatus", "Pseudelephantopus spiralis", "Rolandra fruticosa", "Macabeemyrma ovata", "Struchium sparganophorum", "Arachis guaranitica", "Arachis tuberosa", "Myrmeciites herculeanus", "Arachis archeri", "Arachis benthamii", "Arachis brevipetiolata", "Arachis cryptopotamica", "Arachis douradiana", "Arachis gracilis", "Arachis hatschbachii", "Arachis hermannii", "Arachis major", "Arachis martii", "Arachis oteroi", "Arachis paraguariensis", "Arachis porphyrocalyx", "Arachis stenophylla", "Arachis burchellii", "Arachis lutescens", "Arachis macedoi", "Arachis marginata", "Arachis pietrarellii", "Arachis retusa", "Arachis setinervosa", "Arachis submarginata", "Arachis triseminata", "Arachis dardanoi", "Arachis giacomettii", "Arachis interrupta", "Arachis pusilla", "Arachis seridoensis", "Arachis sylvestris", "Arachis pintoi", "Nicrophorus ussuriensis", "Nicrophorus tenuipes", "Nicrophorus concolor", "Nicrophorus investigator", "Nicrophorus investigator praedatror", "Nicrophorus quadripunctatus", "Bryaxis koltzei", "Callithrix jacchus", "Procavia capensis", "Cryptocephalus octopunctatus", "Coraebus rubi", "Agrilus sachalinicola", "Furcifer pardalis", "Aesalus asiaticus sawaii", "Dinebra retroflexa", "Distichlis palmeri", "Distichlis scoparia", "Ectrosia leporina", "Ectrosia schultzii", "Eragrostiella brachyphylla", "Eragrostis trichodes", "Eragrostis tef", "Eragrostis acutiflora", "Eragrostis acutiglumis", "Eragrostis aethiopica", "Eragrostis airoides", "Eragrostis amabilis", "Eragrostis annulata", "Eragrostis aquatica", "Eragrostis articulata", "Eragrostis aspera", "Eragrostis atrovirens", "Eragrostis bahiensis", "Eragrostis barbinodis", "Eragrostis barrelieri", "Eragrostis bergiana", "Eragrostis bicolor", "Eragrostis brizantha", "Eragrostis brownii", "Eragrostis caesia", "Eragrostis caespitosa", "Eragrostis capensis", "Eragrostis capillaris", "Eragrostis chapelieri", "Eragrostis cilianensis", "Eragrostis ciliaris", "Eragrostis congesta", "Eragrostis curvula", "Eragrostis cylindrica", "Eragrostis cylindriflora", "Eragrostis dielsii", "Eragrostis echinochloidea", "Eragrostis elongata", "Eragrostis eriopoda", "Eragrostis ferruginea", "Eragrostis fosbergii", "Eragrostis gangetica", "Eragrostis gummiflua", "Eragrostis habrantha", "Eragrostis heteromera", "Eragrostis hispida", "Eragrostis homomalla", "Eragrostis humidicola", "Eragrostis hypnoides", "Eragrostis intermedia", "Eragrostis japonica", "Eragrostis lacunaria", "Mutisia acuminata", "Mutisia clematis", "Mutisia latifolia", "Mutisia subulata", "Onoseris albicans", "Onoseris hyssopifolia", "Onoseris salicifolia", "Onoseris speciosa", "Perezia multiflora", "Proustia pyrifolia", "Polyachyrus fuscus", "Stifftia chrysantha", "Trixis radialis", "Scorzoneroides autumnalis", "Leontodon hispidus", "Picris hieracioides", "Rhagadiolus edulis", "Rhagadiolus stellatus", "Monocirrhus polyacanthus", "Bombus ardens", "Harpalus capito", "Masoreus wetterhallii", "Dromius schneideri", "Trigonurus caelatus", "Trigonurus dilaticollis", "Tannea tenella", "Dianous kabakovi", "Pachyuromys duprasi", "Bembidion turanicum", "Entomoculia toscanensis", "Podocnemis unifilis", "Hesperotyphlus reyesae", "Tasgius melanarius", "Cereus vargasianus", "Cereus trigonodendron", "Cereus spegazzinii", "Cereus saddianus", "Cereus phatnospermus", "Cereus pachyrrhizus", "Praepilosocereus mortensenii", "Cereus mirabella", "Cereus lanosus", "Cereus kroenleinii", "Cereus insularis", "Subpilocereus fricii subsp. horrispinus", "Cereus haageanus", "Vipera ursinii", "Pterapogon kauderni", "Thamnocephalis quadrupedata", "Paphiopedilum primulinum", "Rhyssemus germanus", "Hemictenius nikolajevi", "Cupressus benthamii", "Cupressus glabra", "Viola nebrodensis", "Mangkurtu kutjarra", "Mangkurtu mityula", "Potiicoara brasiliensis", "Spelaeogriphus lepidops", "Hirsutia bathyalis", "Hirsutia saundersetalia", "Thetispelecaris remex", "Thetispelecaris yurigako", "Montucaris distincta", "Dischidia vidalii", "Hoya australis", "Hoya camphorifolia", "Hoya carnosa", "Hoya cinnamomifolia", "Hoya fraterna", "Hoya globulosa", "Hoya imbricata", "Hoya imperialis", "Hoya lanceolata", "Hoya lasiantha", "Hoya longifolia", "Hoya macgillivrayi", "Hoya multiflora", "Hoya obovata", "Hoya purpureofusca", "Hoya solaniflora", "Marsdenia cundurango", "Marsdenia dussii", "Marsdenia edulis", "Marsdenia tenacissima", "Marsdenia verrucosa", "Sarcolobus globosus", "Telosma africana", "Telosma cordata", "Telosma pallida", "Acokanthera oblongifolia", "Acokanthera oppositifolia", "Acokanthera schimperi", "Carissa bispinosa", "Carissa carandas", "Carissa macrocarpa", "Carissa spinarum", "Adenium boehmianum", "Adenium multiflorum", "Adenium obesum", "Adenium swazicum", "Nerium oleander", "Cereus aethiops", "Cereus hildmannianus", "Cereus fernambucensis", "Digitaria iburua", "Digitaria insularis", "Digitaria ischaemum", "Digitaria leiantha", "Digitaria leptorrhachis", "Digitaria longiflora", "Digitaria macroblephara", "Digitaria maitlandii", "Digitaria maniculata", "Digitaria mariannensis", "Digitaria milanjiana", "Digitaria monodactyla", "Digitaria natalensis", "Digitaria nodosa", "Digitaria papposa", "Digitaria parviflora", "Digitaria pauciflora", "Digitaria phaeothrix", "Digitaria polyphylla", "Digitaria radicosa", "Digitaria sacchariflora", "Digitaria sanguinalis", "Digitaria setigera", "Digitaria stricta", "Digitaria swalleniana", "Digitaria ternata", "Digitaria tricholaenoides", "Digitaria velutina", "Digitaria violascens", "Panthera leo krugeri", "Caenorhabditis briggsae", "Cereus jamacaru", "Cereus hexagonus", "Cereus albicaulis", "Cereus braunii", "Cereus stenogonus", "Paspalum vaginatum", "Paspalum virgatum", "Paspalum wettsteinii", "Paspalum yaguaronense", "Pennisetum alopecuroides", "Pennisetum bambusiforme", "Pennisetum glaucum", "Pennisetum basedowii", "Pennisetum chilense", "Pennisetum clandestinum", "Pennisetum complanatum", "Pennisetum distachyum", "Pennisetum divisum", "Pennisetum durum", "Pennisetum flaccidum", "Pennisetum frutescens", "Pennisetum hohenackeri", "Pennisetum hordeoides", "Pennisetum lanatum", "Pennisetum latifolium", "Pennisetum longistylum", "Pennisetum macrostachyum", "Pennisetum macrostachys", "Pennisetum macrourum", "Pennisetum massaicum", "Cenchrus biflorus", "Euaesthetus brevelytratus", "Cenchrus brownii", "Cenchrus ciliaris", "Cenchrus echinatus", "Cenchrus gracillimus", "Cenchrus incertus", "Cenchrus longispinus", "Cenchrus mitis", "Cenchrus myosuroides", "Cenchrus pennisetiformis", "Cenchrus pilosus", "Cenchrus prieurii", "Cenchrus purpurascens", "Cenchrus setiger", "Cenchrus tribuloides", "Cyrtococcum oxyphyllum", "Cyrtococcum patens", "Cyrtococcum trigonum", "Digitaria abyssinica", "Digitaria arenicola", "Digitaria argyrograpta", "Digitaria argyrotricha", "Digitaria exilis", "Digitaria bicornis", "Digitaria brazzae", "Digitaria brownii", "Digitaria californica", "Digitaria ciliaris", "Digitaria coenicola", "Digitaria cognata", "Digitaria cruciata", "Digitaria ctenantha", "Digitaria debilis", "Digitaria diagonalis", "Digitaria didactyla", "Digitaria divaricatissima", "Digitaria diversinervis", "Digitaria enodis", "Digitaria eriantha", "Digitaria eriostachya", "Digitaria eylesii", "Digitaria filiformis", "Digitaria floridana", "Digitaria fuscescens", "Digitaria gazensis", "Digitaria henryi", "Digitaria horizontalis", "Echinochloa esculenta", "Echinochloa frumentacea", "Echinochloa stagnina", "Echinochloa colona", "Echinochloa crus-galli", "Echinochloa crus-pavonis", "Echinochloa elliptica", "Echinochloa haploclada", "Echinochloa holciformis", "Echinochloa jubata", "Echinochloa muricata", "Echinochloa obtusiflora", "Echinochloa oryzoides", "Echinochloa picta", "Echinochloa polystachya", "Echinochloa pyramidalis", "Echinochloa rotundiflora", "Echinochloa turneriana", "Echinochloa ugandensis", "Echinochloa walteri", "Entolasia imbricata", "Homolepis aturensis", "Homolepis glutinosa", "Hylebates cordatus", "Hymenachne acutigluma", "Hymenachne amplexicaulis", "Hymenachne grumosa", "Hymenachne pernambucense", "Ichnanthus calvescens", "Ichnanthus nemorosus", "Ixophorus unisetus", "Lasiacis divaricata", "Lasiacis oaxacensis", "Melinis ambigua", "Melinis longiseta", "Melinis macrochaeta", "Melinis minutiflora", "Melinis nerviglumis", "Melinis repens", "Paspalum humboldtianum", "Paspalum hyalinum", "Paspalum hydrophilum", "Paspalum inaequivalve", "Paspalum indecorum", "Paspalum intermedium", "Paspalum ionanthum", "Paspalum juergensii", "Paspalum laeve", "Paspalum lanceolatum", "Paspalum laxum", "Paspalum ligulare", "Paspalum lividum", "Paspalum longifolium", "Paspalum macrophyllum", "Paspalum maculosum", "Paspalum malacophyllum", "Paspalum mandiocanum", "Paspalum maritimum", "Paspalum melanospermum", "Paspalum millegrana", "Paspalum minus", "Paspalum modestum", "Paspalum monostachyum", "Paspalum montevidense", "Paspalum multicaule", "Paspalum nicorae", "Paspalum ovale", "Paspalum paniculatum", "Paspalum pauciciliatum", "Paspalum paucifolium", "Paspalum pilosum", "Paspalum platyphyllum", "Paspalum plicatulum", "Paspalum polyphyllum", "Paspalum procurrens", "Paspalum prostratum", "Paspalum pubiflorum", "Paspalum pumilum", "Paspalum quadrifarium", "Paspalum racemosum", "Paspalum ramboi", "Paspalum regnellii", "Paspalum remotum", "Paspalum repens", "Paspalum rufum", "Paspalum saccharoides", "Paspalum scrobiculatum", "Paspalum scutatum", "Paspalum secans", "Paspalum setaceum", "Paspalum simplex", "Paspalum sodiroanum", "Paspalum stellatum", "Paspalum tenellum", "Paspalum thunbergii", "Paspalum ulei", "Paspalum unispicatum", "Paspalum urvillei", "Graptemys barbouri", "Graptemys geographica", "Graptemys pseudogeographica", "Graptemys pseudogeographica kohnii", "Graptemys nigrinoda", "Graptemys ouachitensis", "Kallima inachus", "Heterodontus galeatus", "Heterodontus japonicus", "Setaria leucopila", "Setaria lindenbergiana", "Setaria longiseta", "Setaria macrochaeta", "Setaria macrostachya", "Setaria magna", "Setaria megaphylla", "Setaria mendocina", "Setaria nigrirostris", "Setaria pallida-fusca", "Setaria palmifolia", "Setaria paniculifera", "Setaria parviflora", "Setaria phragmitoides", "Setaria plicata", "Setaria poiretiana", "Setaria polyphylla", "Setaria pseudaristata", "Setaria pumila", "Setaria queenslandica", "Setaria rara", "Setaria reverchonii", "Setaria sagittifolia", "Setaria scabrifolia", "Ceratistes cornutus", "Encyalesthus subviolaceus", "Amblyrhynchus cristatus", "Setaria scheelei", "Setaria setosa", "Setaria spartellum", "Setaria sphacelata", "Setaria tenax", "Setaria tenuiseta", "Setaria verticillata", "Setaria vulpiseta", "Setaria welwitschii", "Snowdenia polystachya", "Spinifex hirsutus", "Spinifex inermis", "Stenotaphrum dimidiatum", "Stenotaphrum secundatum", "Phocoena phocoena", "Stereochlaena cameronii", "Streptolophus sagittifolius", "Thia scutellata", "Pirimela denticulata", "Corystes cassivelaunus", "Graptemys pulchra", "Graptemys gibbonsi", "Graptemys ernsti", "Graptemys oculifera", "Graptemys flavimaculata", "Graptemys caglei", "Graptemys versa", "Diheteropogon amplectens", "Dimeria chloridiformis", "Dimeria ornithopoda", "Elionurus barbiculmis", "Elionurus muticus", "Eremochloa ciliaris", "Conolophus subcristatus", "Phelsuma standingi", "Cupressus austrotibetica", "Alafia barteri", "Funtumia africana", "Funtumia elastica", "Holarrhena floribunda", "Holarrhena pubescens", "Malouetia flavescens", "Malouetia nitida", "Mascarenhasia arborescens", "Mascarenhasia lisianthiflora", "Pachypodium ambongense", "Pachypodium baronii", "Heterodontus mexicanus", "Heterodontus omanensis", "Heterodontus quoyi", "Heterodontus ramalheira", "Heterodontus zebra", "Electrophorus electricus", "Dichanthium annulatum", "Dichanthium aristatum", "Dichanthium caricosum", "Dichanthium fecundum", "Dichanthium foveolatum", "Dichanthium humilius", "Dichanthium maccannii", "Dichanthium oliganthum", "Dichanthium pallidum", "Dichanthium panchganiense", "Dichanthium sericeum", "Dichanthium setosum", "Dichanthium tenuiculum", "Pennisetum mezianum", "Pennisetum natalense", "Pennisetum nervosum", "Pennisetum nodiflorum", "Pennisetum occidentale", "Pennisetum orientale", "Pennisetum pedicellatum", "Pennisetum petiolare", "Pennisetum polystachion", "Pennisetum purpureum", "Pennisetum ramosum", "Pennisetum schweinfurthii", "Pennisetum setosum", "Pennisetum sieberianum", "Pennisetum sphacelatum", "Pennisetum squamulatum", "Pennisetum stramineum", "Pennisetum subangustum", "Pennisetum thunbergii", "Pennisetum trachyphyllum", "Pennisetum unisetum", "Pennisetum villosum", "Pennisetum violaceum", "Pseudechinolaena polystachya", "Sacciolepis africana", "Sacciolepis curvata", "Sacciolepis indica", "Sacciolepis interrupta", "Sacciolepis myosuroides", "Sacciolepis myuros", "Sacciolepis vilvoides", "Setaria acromelaena", "Setaria adhaerens", "Setaria appendiculata", "Setaria australiensis", "Setaria barbata", "Setaria brigalow", "Setaria caespitosa", "Setaria chapmanii", "Setaria chondrachne", "Setaria distans", "Setaria faberi", "Setaria fiebrigii", "Setaria finita", "Setaria flavida", "Setaria geminata", "Setaria globoidea", "Setaria globulifera", "Setaria grisebachii", "Setaria incrassata", "Setaria intermedia", "Setaria italica", "Setaria jubiflora", "Setaria kagerensis", "Setaria lachnea", "Thuarea involuta", "Tricholaena monachne", "Tricholaena teneriffae", "Urochloa adspersa", "Urochloa advena", "Urochloa argentea", "Urochloa arizonica", "Urochloa arrecta", "Urochloa brachyura", "Urochloa brizantha", "Urochloa decumbens", "Urochloa deflexa", "Urochloa dictyoneura", "Urochloa distachya", "Urochloa eminii", "Urochloa foliosa", "Urochloa fusca", "Urochloa gilesii", "Urochloa glumaris", "Urochloa humidicola", "Urochloa lata", "Urochloa lorentziana", "Urochloa mollis", "Urochloa mosambicensis", "Urochloa mutica", "Urochloa oligotricha", "Urochloa panicoides", "Urochloa paucispicata", "Urochloa piligera", "Urochloa plantaginea", "Urochloa platynota", "Urochloa platyphylla", "Urochloa ramosa", "Urochloa reptans", "Urochloa ruziziensis", "Urochloa subquadripara", "Urochloa texana", "Urochloa trichopus", "Urochloa xantholeuca", "Whiteochloa capillipes", "Whiteochloa cymbiformis", "Yakirra majuscula", "Yakirra muelleri", "Yakirra pauciflora", "Schizachyrium brevifolium", "Schizachyrium cirratum", "Schizachyrium condensatum", "Schizachyrium fragile", "Schizachyrium imberbe", "Schizachyrium kelleri", "Schizachyrium maritimum", "Schizachyrium microstachyum", "Schizachyrium pachyarthron", "Schizachyrium rhizomatum", "Schizachyrium sanguineum", "Schizachyrium scoparium", "Schizachyrium stoloniferum", "Schizachyrium tenerum", "Mesosetum loliiforme", "Neurachne alopecuroides", "Carrhotus xanthogramma", "Oplismenus burmannii", "Oplismenus compositus", "Oplismenus hirtellus", "Oplismenus undulatifolius", "Ottochloa nodosa", "Paratheria prostrata", "Paspalum notatum", "Paspalum almum", "Paspalum arechavaletae", "Paspalum atratum", "Paspalum auriculatum", "Paspalum bertonii", "Paspalum boscianum", "Paspalum brasiliense", "Paspalum candidum", "Paspalum ceresia", "Paspalum clandestinum", "Paspalum coloratum", "Paspalum commune", "Paspalum compressum", "Paspalum conjugatum", "Paspalum conspersum", "Paspalum convexum", "Paspalum cordatum", "Paspalum coryphaeum", "Paspalum cromyorhizon", "Paspalum densiflorum", "Paspalum densum", "Paspalum denticulatum", "Paspalum devincenzii", "Paspalum dilatatum", "Paspalum dissectum", "Paspalum distichum", "Paspalum durifolium", "Paspalum elongatum", "Paspalum erianthum", "Paspalum exaltatum", "Paspalum fasciculatum", "Paspalum fimbriatum", "Paspalum floridanum", "Paspalum geminiflorum", "Paspalum guenoarum", "Paspalum hartwegianum", "Paspalum haumanii", "Paspalum hexastachyum", "Imperata brasiliensis", "Imperata brevifolia", "Imperata conferta", "Imperata minutiflora", "Imperata tenuis", "Ischaemum afrum", "Ischaemum anthephoroides", "Ischaemum aristatum", "Ischaemum australe", "Ischaemum barbatum", "Ischaemum byrone", "Ischaemum ciliare", "Ischaemum latifolium", "Ischaemum longisetum", "Ischaemum magnum", "Ischaemum minus", "Ischaemum molle", "Ischaemum muticum", "Ischaemum polystachyum", "Ischaemum rugosum", "Ischaemum santapaui", "Ischaemum timorense", "Ischaemum triticeum", "Ischaemum tumidum", "Gongylophis colubrinus loveridgei", "Eryx colubrinus", "Cheilinus fasciatus", "Iseilema anthephoroides", "Iseilema fragile", "Iseilema laxum", "Iseilema macratherum", "Iseilema membranaceum", "Iseilema prostratum", "Iseilema vaginiflorum", "Eremochloa ophiuroides", "Eremochloa zeylanica", "Eriochrysis cayennensis", "Eriochrysis pallida", "Eriochrysis purpurata", "Euclasta condylotricha", "Eulalia fastigiata", "Eulalia leptostachys", "Eulalia mackinlayi", "Eulalia phaeothrix", "Eulalia trispicata", "Eulalia villosa", "Eulaliopsis binata", "Germainia capitata", "Glyphochloa forficulata", "Hemarthria altissima", "Hemarthria compressa", "Hemarthria uncinata", "Heteropogon contortus", "Heteropogon melanocarpus", "Heteropogon triticeus", "Hyparrhenia anthistirioides", "Hyparrhenia barteri", "Hyparrhenia bracteata", "Hyparrhenia confinis", "Hyparrhenia cymbaria", "Hyparrhenia diplandra", "Hyparrhenia dregeana", "Hyparrhenia filipendula", "Hyparrhenia finitima", "Hyparrhenia formosa", "Hyparrhenia gazensis", "Hyparrhenia hirta", "Hyparrhenia papillipes", "Hyparrhenia pilgeriana", "Hyparrhenia poecilotricha", "Hyparrhenia quarrei", "Hyparrhenia rufa", "Hyparrhenia subplumosa", "Hyparrhenia variabilis", "Hyperthelia dissoluta", "Cupressus montana", "Cupressus nevadensis", "Cupressus pygmaea", "Cupressus stephensonii", "Metrosideros bartlettii", "Metrosideros albiflora", "Metrosideros carminea", "Metrosideros colensoi", "Metrosideros diffusa", "Metrosideros kermadecensis", "Metrosideros fulgens", "Metrosideros parkinsonii", "Metrosideros umbellata", "Metrosideros robusta", "Metrosideros perforata", "Ancistrachne uncinulata", "Anthenantia lanata", "Anthenantia rufa", "Anthenantia texana", "Anthenantia villaregalis", "Anthenantia villosa", "Brachiaria dura", "Brachiaria latifolia", "Brachiaria marlothii", "Brachiaria nigropedata", "Brachiaria obtusiflora", "Brachiaria serrata", "Brachiaria serrifolia", "Brachiaria soluta", "Strigiphilus garylarsoni", "Proteinus ovalis", "Proteinus crenulatus", "Euaesthetus bipunctatus", "Calyptochloa gracillima", "Cenchrus agrimonioides", "Lasiurus scindicus", "Manisuris myurus", "Microstegium ciliatum", "Microstegium spectabile", "Microstegium vimineum", "Miscanthus sinensis", "Miscanthus floridulus", "Miscanthus junceus", "Miscanthus nepalensis", "Miscanthus oligostachyus", "Miscanthus sacchariflorus", "Miscanthus tinctorius", "Miscanthus violaceus", "Sorghum angustum", "Sorghum bulbosum", "Sorghum ecarinatum", "Sorghum exstans", "Sorghum interjectum", "Sorghum intrans", "Sorghum plumosum", "Sorghum stipoideum", "Thaumastochloa pubescens", "Thaumastochloa rariflora", "Thelepogon elegans", "Trachypogon montufari", "Trachypogon spicatus", "Trachypogon vestitus", "Urelytrum agropyroides", "Urelytrum muricatum", "Vossia cuspidata", "Zea diploperennis", "Zea luxurians", "Zea nicaraguensis", "Zea perennis", "Sus cebifrons", "Juniperus barbadensis", "Juniperus coxii", "Juniperus morrisonicola", "Juniperus polycarpos", "Juniperus saltuaria", "Cydnocoris russatus", "Paralomis histrix", "Kryptopterus bicirrhis", "Octopus fangsiao", "Pachypodium brevicaule", "Pachypodium geayi", "Pachypodium horombense", "Pachypodium lamerei", "Pachypodium lealii", "Pachypodium namaquanum", "Pachypodium rutenbergianum", "Pachypodium saundersii", "Pachypodium bispinosum", "Pachypodium decaryi", "Pachypodium densiflorum", "Pachypodium eburneum", "Pachypodium rosulatum subsp. gracilius", "Pachypodium inopinatum", "Pachypodium rosulatum", "Pachypodium sofiense", "Pachypodium succulentum", "Pachypodium windsorii", "Hypochaeris achyrophorus", "Hypochaeris radicata", "Hypochaeris brasiliensis", "Hypochaeris ciliata", "Hypochaeris elata", "Hypochaeris glabra", "Hypochaeris oligocephala", "Hypochaeris scorzonerae", "Hypochaeris sessiliflora", "Kinosternon subrubrum", "Lactuca serriola", "Lactuca sativa", "Lactuca virosa", "Lactuca biennis", "Lactuca canadensis", "Lactuca dissecta", "Lactuca dregeana", "Lactuca floridana", "Lactuca hirsuta", "Lactuca indica", "Lactuca inermis", "Lactuca lessertiana", "Lactuca orientalis", "Lactuca perennis", "Lactuca quercina", "Lactuca saligna", "Lactuca scarioloides", "Lactuca sibirica", "Lactuca tatarica", "Lactuca tenerrima", "Lactuca viminea", "Lactuca dolichophylla", "Lactuca graciliflora", "Lactuca virosa subsp. livida", "Lactuca raddeana", "Lactuca undulata", "Piptochaetium avenaceum", "Piptochaetium avenacioides", "Piptochaetium bicolor", "Piptochaetium fimbriatum", "Piptochaetium hackelii", "Piptochaetium lasianthum", "Piptochaetium laterale", "Piptochaetium lejopodum", "Piptochaetium montevidense", "Piptochaetium napostaense", "Piptochaetium panicoides", "Piptochaetium ruprechtianum", "Piptochaetium stipoides", "Manouria emys", "Cobitis shikokuensis", "Mnesithea aurita", "Mnesithea cylindrica", "Mnesithea formosa", "Mnesithea granularis", "Mnesithea laevis", "Mnesithea rottboellioides", "Mnesithea selloana", "Mnesithea striata", "Monocymbium ceresiiforme", "Ophiuros exaltatus", "Ophiuros tongcalingii", "Phacelurus digitatus", "Phacelurus speciosus", "Pogonatherum crinitum", "Pogonatherum paniceum", "Polytoca digitata", "Polytrias indica", "Pseudodichanthium serrafalcoides", "Rottboellia cochinchinensis", "Saccharum spontaneum", "Saccharum alopecuroides", "Saccharum angustifolium", "Saccharum asperum", "Saccharum balansae", "Saccharum barberi", "Saccharum beccarii", "Saccharum brevibarbe", "Saccharum coarctatum", "Saccharum edule", "Saccharum fallax", "Saccharum filifolium", "Saccharum giganteum", "Saccharum longisetosum", "Saccharum narenga", "Saccharum officinarum", "Saccharum robustum", "Saccharum rufipilum", "Saccharum sinense", "Morelia spilota", "Olindias formosa", "Chrysomallon squamiferum", "Sehima galpinii", "Sehima ischaemoides", "Sorghastrum bipennatum", "Sorghastrum elliottii", "Sorghastrum friesii", "Sorghastrum minarum", "Sorghastrum nutans", "Sorghastrum secundum", "Sorghastrum setosum", "Sorghastrum stipoides", "Sorghum almum", "Sorghum arundinaceum", "Sorghum bicolor", "Sorghum drummondii", "Sorghum halepense", "Sorghum propinquum", "Sorghum macrospermum", "Sorghum laxiflorum", "Sorghum grande", "Sorghum leiocladum", "Sorghum matarankense", "Sorghum nitidum", "Sorghum purpureosericeum", "Sorghum timorense", "Sorghum versicolor", "Sorghum amplum", "Sorghum brachypodum", "Tithonia calva", "Tithonia diversifolia", "Tithonia rotundifolia", "Tricholepis furcata", "Yermo xanthocephalus", "Anemanthele lessoniana", "Austrostipa densiflora", "Austrostipa elegantissima", "Austrostipa nitida", "Austrostipa pubescens", "Austrostipa scabra", "Austrostipa semibarbata", "Hesperostipa comata", "Hesperostipa neomexicana", "Hesperostipa spartea", "Milium effusum", "Milium vernale", "Nassella brachyphylla", "Nassella cernua", "Nassella charruana", "Nassella curamalalensis", "Nassella filiculmis", "Nassella formicarum", "Nassella gigantea", "Nassella hyalina", "Nassella juergensii", "Nassella leucotricha", "Nassella longiglumis", "Nassella megapotamica", "Nassella melanosperma", "Nassella mucronata", "Nassella neesiana", "Nassella nutans", "Nassella philippii", "Nassella pubiflora", "Nassella pulchra", "Nassella rosengurtii", "Nassella tenuis", "Nassella trichotoma", "Nassella tucumana", "Nassella viridula", "Oryzopsis asperifolia", "Oryzopsis canadensis", "Oryzopsis exigua", "Oryzopsis pubiflora", "Oryzopsis pungens", "Oryzopsis rigida", "Lithops werneri", "Crassula sect.", "Crassula socialis", "Ambelania acida", "Macoubea guianensis", "Tabernaemontana alba", "Tabernaemontana amygdalifolia", "Tabernaemontana citrifolia", "Tabernaemontana divaricata", "Tabernaemontana elegans", "Tabernaemontana pandacaqui", "Tabernaemontana rostrata", "Tabernaemontana sananho", "Tabernaemontana siphilitica", "Tabernaemontana undulata", "Tabernanthe iboga", "Voacanga grandifolia", "Catharanthus ovalis", "Catharanthus pusillus", "Catharanthus roseus", "Kopsia flavida", "Kopsia arborea", "Kopsia fruticosa", "Nipponocypris temminckii", "Chloranthus oldhamii", "Fatsia japonica", "Lithops lesliei", "Lithops aucampiae", "Lithops bromfieldii", "Lithops fulviceps", "Lithops hallii", "Lithops herrei", "Lithops hookeri", "Lithops julii", "Lithops karasmontana", "Lithops olivacea", "Lithops pseudotruncatella", "Lithops schwantesii", "Lithops marmorata", "Lithops coleorum", "Lithops comptonii", "Lithops dinteri", "Lithops divergens", "Lithops dorotheae", "Lithops francisci", "Lithops gesineae", "Lithops geyeri", "Lithops gracilidelineata", "Lithops helmutii", "Lithops localis", "Lithops meyeri", "Lithops naureeniae", "Lithops optica", "Lithops otzeniana", "Lithops ruschiorum", "Lithops salicola", "Lithops steineckeana", "Lithops vallis-mariae", "Lithops verruculosa", "Lithops villetii", "Lithops viridis", "Asclepias mellodora", "Asclepias mexicana", "Asclepias stellifera", "Calotropis gigantea", "Calotropis procera", "Gomphocarpus fruticosus", "Gomphocarpus physocarpus", "Xysmalobium undulatum", "Pelusios castaneus", "Dasycerus monticola", "Dasycerus cornutus", "Dasycerus angulicollis", "Dasycerus carolinensis", "Dasycerus beloni", "Dasycerus elongatus", "Dasycerus jonicus", "Dasycerus numidicus", "Dasycerus sulcatus", "Dasycerus concolor", "Pistius undulatus", "Dendrobates azureus", "Antennarius pictus", "Plexippus paykulli", "Gandalfus yunohana", "Blepharipappus scaber", "Calycadenia multiglandulosa", "Calycadenia villosa", "Deinandra conjugens", "Deinandra increscens", "Deinandra minthornii", "Deinandra mohavensis", "Deinandra paniculata", "Dubautia herbstobatae", "Dubautia latifolia", "Dubautia linearis", "Dubautia pauciflorula", "Dubautia plantaginea", "Hemizonia congesta", "Holocarpha macradenia", "Holocarpha obconica", "Holocarpha virgata", "Pieris japonica", "Ochrosia acuminata", "Ochrosia borbonica", "Ochrosia coccinea", "Ochrosia elliptica", "Ochrosia kilaueaensis", "Ochrosia kilneri", "Ochrosia oppositifolia", "Petchia erythrocarpa", "Petchia madagascariensis", "Rauvolfia biauriculata", "Rauvolfia caffra", "Rauvolfia cambodiana", "Rauvolfia cubana", "Rauvolfia grandiflora", "Rauvolfia ligustrina", "Rauvolfia mannii", "Rauvolfia nana", "Rauvolfia nitida", "Rauvolfia paraensis", "Rauvolfia sellowii", "Rauvolfia semperflorens", "Rauvolfia serpentina", "Rauvolfia sumatrana", "Rauvolfia tetraphylla", "Rauvolfia verticillata", "Rauvolfia viridis", "Rauvolfia vomitoria", "Rhazya stricta", "Vinca difformis", "Vinca major", "Vinca minor", "Pyxis arachnoides", "Crassula sect.", "Crassula sect.", "Crassula sect.", "Crassula sect.", "Crassula sect.", "Crassula sect.", "Crassula sect.", "Crassula sect.", "Crassula sect.", "Crassula sect.", "Crassula sect.", "Crassula sect.", "Crassula sect.", "Cutandia divaricata", "Cutandia maritima", "Cutandia memphitica", "Cynosurus cristatus", "Cynosurus echinatus", "Cynosurus elegans", "Dactylis glomerata", "Desmazeria sicula", "Dupontia fisheri", "Echinaria capitata", "Eremopoa altaica", "Eremopoa persica", "Lamarckia aurea", "Loliolum subulatum", "Lolium perenne", "Lolium persicum", "Lolium temulentum", "Lolium canariense", "Lolium multiflorum", "Lolium remotum", "Lolium rigidum", "Megalachne berteroniana", "Micropyrum patens", "Micropyrum tenellum", "Nephelochloa orientalis", "Psilurus incurvus", "Puccinellia agrostidea", "Puccinellia andersonii", "Puccinellia angusta", "Puccinellia arctica", "Puccinellia bulbosa", "Puccinellia distans", "Puccinellia gigantea", "Puccinellia glabra", "Puccinellia glaucescens", "Puccinellia howellii", "Puccinellia intermedia", "Puccinellia kengiana", "Puccinellia lemmonii", "Puccinellia limosa", "Puccinellia magellanica", "Puccinellia maritima", "Puccinellia nuttalliana", "Puccinellia parviflora", "Puccinellia phryganodes", "Puccinellia sevangensis", "Puccinellia stricta", "Puccinellia tenella", "Puccinellia tenuiflora", "Puccinellia vahliana", "Sclerochloa dura", "Sesleria alba", "Sesleria autumnalis", "Sesleria caerulea", "Sesleria cylindrica", "Sesleria heufleriana", "Sesleria phleoides", "Sesleria rigida", "Stephanachne nigrescens", "Torreyochloa pallida", "Vulpia alopecuros", "Vulpia bromoides", "Vulpia ciliata", "Vulpia elliotea", "Vulpia fasciculata", "Vulpia geniculata", "Vulpia ligustica", "Vulpia membranacea", "Vulpia microstachys", "Vulpia myuros", "Vulpia octoflora", "Vulpia persica", "Vulpia unilateralis", "Cuora amboinensis amboinensis", "Potamotrygon motoro", "Dasycerus bicolor", "Dasycerus suthepensis", "Dasycerus audax", "Dasycerus fasciatus", "Dasycerus inexspectatus", "Dasycerus japonicus", "Lachnophyllum gossypinum", "Myriactis nepalensis", "Pteronia glauca", "Pteronia glaucescens", "Pteronia pallens", "Pteronia sordida", "Chrysanthemoides monilifera", "Paphiopedilum primulinum var. purpurascens", "Paphiopedilum primulinum var. primulinum", "Gloydius blomhoffii", "Trichogaster lalius", "Incertae sedis", "Albertaceratops nesmoi", "Zuniceratops christopheri", "Pseudobahia bahiifolia", "Pseudobahia peirsonii", "Wilkesia gymnoxiphium", "Wilkesia hobdyi", "Squalus cubensis", "Squalus japonicus", "Cercidiphyllum japonicum", "Cercidiphyllum magnificum", "Caesulia axillaris", "Carpesium abrotanoides", "Jasonia tuberosa", "Tetracentron sinense", "Vicoa indica", "Stenachaenium campestre", "Stenachaenium macrocephalum", "Gnaphalium dombeyanum", "Gnaphalium indicum", "Helichrysum luteoalbum", "Gnaphalium polycaulon", "Gnaphalium uliginosum", "Oratosquilla oratoria", "Trochodendron aralioides", "Dendrobates tinctorius", "Lactoria cornuta", "Lysiosquilla maculata", "Pelusios niger", "Pelusios subniger", "Pelusios chapini", "Pelusios sinuatus", "Pelusios gabonensis", "Pelusios carinatus", "Laccotrephes japonensis", "Erymnochelys madagascariensis", "Monocentris japonica", "Rhaponticum repens", "Amberboa amberboi", "Carthamus caeruleus", "Carthamus calvus", "Carthamus helenioides", "Centaurea benedicta", "Crupina vulgaris", "Rhaponticum coniferum", "Rhaponticum scariosum", "Eichhornia crassipes", "Atractomorpha lata", "Aspidosperma excelsum", "Aspidosperma macrocarpon", "Aspidosperma parvifolium", "Aspidosperma polyneuron", "Aspidosperma quebracho-blanco", "Aspidosperma ramiflorum", "Vallesia glabra", "Limulus polyphemus", "Niwaella delicata", "Cameraria latifolia", "Cerbera floribunda", "Cerbera manghas", "Cerbera odollam", "Skytanthus acutus", "Thevetia ahouai", "Telekia speciosa", "Cherax cainii", "Cladonia abbreviatula", "Cladonia alaskana", "Cladonia albonigra", "Cladonia andereggii", "Cladonia apodocarpa", "Cladonia anitae", "Cladonia artuata", "Stenorhynchus seticornis", "Couma guianensis", "Couma macrocarpa", "Couma rigida", "Couma utilis", "Hancornia speciosa", "Lacmellea aculeata", "Lacmellea arborescens", "Lacmellea edulis", "Lacmellea floribunda", "Lacmellea panamensis", "Lacmellea speciosa", "Landolphia heudelotii", "Landolphia kirkii", "Landolphia mannii", "Landolphia owariensis", "Landolphia parvifolia", "Leuconotis eugenifolius", "Parahancornia oblonga", "Saba senegalensis", "Willughbeia coriacea", "Willughbeia tenuiflora", "Cycladenia humilis", "Parsonsia heterophylla", "Parsonsia lata", "Parsonsia paddisonii", "Prestonia exserta", "Prestonia mollis", "Prestonia quinquangularis", "Crassula sect.", "Pseudemys nelsoni", "Pteralyxia kauaiensis", "Chascolytrum brizoides", "Chascolytrum erectum", "Briza humilis", "Chascolytrum lamarckianum", "Briza marcowiczii", "Briza maxima", "Briza media", "Briza minor", "Chascolytrum rufum", "Chascolytrum subaristatum", "Chascolytrum uniolae", "Castellia tuberculosa", "Catapodium marinum", "Catapodium rigidum", "Colpodium humile", "Colpodium variegatum", "Oxyopes sertatus", "Cisticola textrix textrix", "Lepidopsetta bilineata", "Lepidopsetta mochigarei", "Lepidopsetta polyxystra", "Spiniphryne duhameli", "Spiniphryne gladisfenae", "Siler cupreus", "Selatosomus gloriosus", "Piper melanocladum", "Piper urostachyum", "Anthaxia medvedevorum", "Anthaxia kryzhanovskii", "Anthaxia dives", "Ptinomorphus imperialis", "Serratula centauroides", "Serratula erucifolia", "Serratula marginata", "Serratula pallida", "Brachyscome aculeata", "Brachyscome heterodonta", "Brachyscome iberidifolia", "Brachyscome multifida", "Brachyscome nivalis", "Brachyscome scapigera", "Callistephus chinensis", "Calotis cuneifolia", "Calotis erinacea", "Calotis hispidula", "Calotis lappulacea", "Chrysocoma ciliata", "Chrysopsis floridana", "Chrysopsis jonesii", "Dichrocephala chrysanthemifolia", "Grangea maderaspatana", "Grindelia squarrosa", "Grindelia buphthalmoides", "Grindelia camporum", "Grindelia chiloensis", "Grindelia fraxinopratensis", "Grindelia hirsutula", "Grindelia integrifolia", "Grindelia papposa", "Gutierrezia microcephala", "Gutierrezia sarothrae", "Haplopappus cuneifolius", "Haplopappus foliosus", "Haplopappus glutinosus", "Haplopappus hirtellus", "Haplopappus pulchellus", "Nestotus stenophyllus", "Cladonia asahinae", "Cladonia atlantica", "Cladonia bacilliformis", "Cladonia beaumontii", "Cladonia borealis", "Cladonia boryi", "Cladonia caespiticia", "Hedycarya arborea", "Clostridium difficile", "Desmidorchis retrospiciens", "Caudanthera edulis", "Caralluma priogonium", "Desmidorchis speciosa", "Apteranthes tuberculata", "Ceropegia ballyana", "Ceropegia fusca", "Edithcolea grandis", "Hoodia alstonii", "Hoodia currorii", "Hoodia dregei", "Hoodia flava", "Hoodia gordonii", "Hoodia juttae", "Hoodia mossamedensis", "Hoodia officinalis", "Hoodia pedicellata", "Hoodia parviflora", "Hoodia pilifera", "Hoodia ruschii", "Florissantia speirii", "Florissantia quilchenensis", "Florissantia ashwillii", "Ibacus novemdentatus", "Arctoscopus japonicus", "Stonogobiops nematodes", "Trachipterus ishikawae", "Hoodia triebneri", "Huernia keniensis", "Huernia loeseneriana", "Huernia guttata subsp. reticulata", "Huernia thuretii", "Huernia zebrina", "Orbea ciliata", "Orbea dummeri", "Orbea lutea", "Orbea semota", "Orbea variegata", "Stapelia grandiflora", "Stapelia gigantea", "Stapelia hirsuta", "Stapelia leendertziae", "Tridentea parvipuncta", "Stapelia rufa", "Stapelia \u00d7 cantabrigiensis", "Stapelia \u00d7 discolor", "Stapelia gettleffii", "Cynanchum acutum", "Cynanchum africanum", "Cynanchum boudieri", "Cynanchum bungei", "Cynanchum chinense", "Cynanchum corymbosum", "Cynanchum ellipticum", "Cynanchum obtusifolium", "Cynanchum officinale", "Cynanchum otophyllum", "Cynanchum perrieri", "Cynanchum racemosum", "Cynanchum wilfordii", "Koeleria setacea", "Koeleria vallesiana", "Lagurus ovatus", "Mibora minima", "Phleum alpinum", "Phleum arenarium", "Phleum boissieri", "Phleum commutatum", "Phleum exaratum", "Phleum hirsutum", "Phleum iranicum", "Phleum japonicum", "Phleum montanum", "Phleum nodosum", "Phleum paniculatum", "Phleum phleoides", "Phleum pratense", "Phleum subulatum", "Polypogon australis", "Polypogon chilensis", "Polypogon elongatus", "Polypogon fugax", "Polypogon interruptus", "Polypogon maritimus", "Polypogon monspeliensis", "Polypogon viridis", "Tillandsia xerographica", "Caprella californica", "Caprella carina", "Caprella caulerpensis", "Caprella cavediniae", "Caprella ceutae", "Picardiella tarsalis", "Relchela panicoides", "Rostraria cristata", "Ventenata dubia", "Ventenata macra", "Zingeria biebersteiniana", "Zingeria pisidica", "Dendrobates auratus", "Ophrys bertolonii", "Cryptolepis sinensis", "Cryptolepis sanguinolenta", "Cryptostegia grandiflora", "Cryptostegia madagascariensis", "Hemidesmus indicus", "Decalepis hamiltonii", "Ischnolepis tuberosa", "Raphionacme utilis", "Duthiea brachypodium", "Echinopogon nutans", "Gastridium phleoides", "Gastridium ventricosum", "Gaudinia fragilis", "Helictotrichon decorum", "Helictotrichon desertorum", "Helictotrichon mongolicum", "Helictotrichon pratense", "Helictotrichon sedenense", "Helictotrichon sempervirens", "Lycoris radiata", "Helictotrichon tibeticum", "Hyla japonica", "Koeleria alpicola", "Koeleria altaica", "Koeleria argentea", "Koeleria asiatica", "Koeleria bergii", "Koeleria berythea", "Koeleria brevis", "Koeleria caucasica", "Koeleria caudata", "Koeleria convoluta", "Koeleria glauca", "Koeleria grandis", "Koeleria hirsuta", "Koeleria kurtzii", "Koeleria lobata", "Koeleria luerssenii", "Koeleria macrantha", "Koeleria nitidula", "Koeleria pyramidata", "Incertae sedis", "Trochodendron nastae", "Dipteronia brownii", "Pseudolarix wehrii", "Python bivittatus", "Cuora flavomarginata", "Cladonia botryocarpa", "Cladonia brevis", "Cladonia buckii", "Cladonia caroliniana", "Aetiopedes gracilis", "Paragammaropsis prenes", "Cladonia ciliata var. ciliata", "Abyssicaprella galatheae", "Aciconula acanthosoma", "Cladonia ciliata var. tenuis", "Aciconula australiensis", "Aciconula miranda", "Aeginella spinosa", "Cladonia arbuscula", "Cladonia arbuscula subsp. beringiana", "Cladonia cervicornis subsp. verticillata", "Cladonia cervicornis", "Cladonia ciliata", "Cladonia cornuta", "Cladonia cornuta subsp. groenlandica", "Cladonia crispata", "Aeginella longicornis", "Cladonia crispata var. cetrariiformis", "Cladonia didyma", "Habroloma bifrons", "Cladonia didyma var. vulcanica", "Naemorhedus goral", "Cladonia ecmocyna", "Aeginina aenigmatica", "Cladonia furcata", "Aeginina longicornis", "Caprella acanthifera", "Caprella acanthogaster", "Cladonia gracilis", "Cladonia macilenta var. macilenta", "Cladonia macilenta var. bacillaris", "Cladonia macilenta", "Dyera costulata", "Dyera polyphylla", "Melodinus orientalis", "Melodinus scandens", "Dubyaea hispida", "Krigia biflora", "Krigia cespitosa", "Krigia dandelion", "Acalolepta luxuriosa", "Krigia occidentalis", "Krigia virginica", "Launaea aspleniifolia", "Launaea cornuta", "Macropodus opercularis", "Echinacea purpurea", "Echinacea atrorubens", "Echinacea laevigata", "Echinacea pallida", "Echinacea pallida var. sanguinea", "Guizotia abyssinica", "Guizotia scabra", "Guizotia villosa", "Sanvitalia angustifolia", "Sanvitalia ocymoides", "Wyethia amplexicaulis", "Wyethia angustifolia", "Wyethia longicaulis", "Wyethia mollis", "Gorteria personata", "Vernonia galamensis", "Vernonia gigantea", "Vernonia lettermannii", "Vernonia marginata", "Vernonia missurica", "Vernonia noveboracensis", "Vernonia solweziensis", "Vernonia syringifolia", "Nolletia gariepina", "Gundelia tournefortii", "Pieris rapae", "Cyrtophora moluccensis", "Incerte sedis", "Gonolobus barbatus", "Gonolobus edulis", "Gonolobus martinicensis", "Gonolobus rostratus", "Gonolobus suberosus", "Gonolobus tobagensis", "Liatris aspera", "Liatris cokeri", "Liatris cylindracea", "Liatris elegans", "Liatris elegantula", "Liatris \u00d7 frostii", "Liatris gracilis", "Liatris helleri", "Liatris microcephala", "Liatris ohlingerae", "Liatris pilosa", "Liatris provincialis", "Liatris punctata", "Liatris pycnostachya", "Liatris scariosa", "Liatris spicata", "Liatris squarrosa", "Liatris squarrulosa", "Liatris tenuifolia", "Liatris virgata", "Neomirandea araliifolia", "Piqueria trinervia", "Centotheca lappacea", "Chasmanthium latifolium", "Chasmanthium laxum", "Chasmanthium sessiliflorum", "Lophatherum gracile", "Chionachne cyathopoda", "Caprella advena", "Cladonia merochlorophaea", "Cladonia squamosa var. squamosa", "Cladonia squamosa var. subsquamosa", "Cladonia squamosa", "Caprella alaskana", "Caprella andreae", "Caprella arimotoi", "Caprella augusta", "Caprella bathytatos", "Caprella bispinosa", "Caprella borealis", "Caprella brachiata", "Caprella branchella", "Caprella brevirostris", "Pelusios broadleyi", "Cladonia stellaris var. stellaris", "Cladonia stellaris var. aberrans", "Cladonia stellaris", "Cladonia portentosa", "Cladonia subtenuis f. subtenuis", "Cladonia subtenuis f. cinerea", "Cladonia subtenuis", "Ludisia discolor", "Sphex argentatus fumosus", "Arrhenatherum album", "Arrhenatherum elatius", "Arrhenatherum kotschyi", "Arrhenatherum longifolium", "Arrhenatherum palaestinum", "Cinna arundinacea", "Cornucopiae cucullatum", "Corynephorus canescens", "Corynephorus fasciculatus", "Dichelachne crinita", "Dichelachne micrantha", "Dichelachne sciurea", "Dissanthelium californicum", "Chionachne gigantea", "Chionachne hubbardiana", "Chionachne koenigii", "Chrysopogon aciculatus", "Chrysopogon aucheri", "Chrysopogon fallax", "Chrysopogon filipes", "Chrysopogon fulvus", "Chrysopogon gryllus", "Chrysopogon hackelii", "Chrysopogon latifolius", "Chrysopogon nigritanus", "Chrysopogon nodulibarbis", "Chrysopogon orientalis", "Chrysopogon plumulosus", "Chrysopogon serrulatus", "Chrysopogon verticillatus", "Chrysopogon zizanioides", "Cleistachne sorghoides", "Astrebla elymoides", "Astrebla lappacea", "Astrebla pectinata", "Astrebla squarrosa", "Bouteloua curtipendula", "Bouteloua eriopoda", "Bouteloua gracilis", "Bouteloua aristidoides", "Bouteloua barbata", "Bouteloua breviseta", "Bouteloua chondrosioides", "Bouteloua dactyloides", "Bouteloua dimorpha", "Bouteloua disticha", "Bouteloua erecta", "Coriarachne fulvipes", "Bouteloua hirsuta", "Bouteloua megapotamica", "Bouteloua radicosa", "Bouteloua repens", "Bouteloua rigidiseta", "Bouteloua simplex", "Bouteloua uniflora", "Chloris amethystea", "Chloris barbata", "Chloris bournei", "Chloris castilloniana", "Coix aquatica", "Coix lacryma-jobi", "Coix puellarum", "Cymbopogon bombycinus", "Cymbopogon caesius", "Cymbopogon flexuosus", "Cymbopogon nardus", "Cymbopogon citratus", "Cymbopogon coloratus", "Cymbopogon commutatus", "Cymbopogon distans", "Cymbopogon goeringii", "Cymbopogon martini", "Cymbopogon nervatus", "Cymbopogon obtectus", "Cymbopogon pendulus", "Cymbopogon polyneuros", "Cymbopogon pospischilii", "Cymbopogon procerus", "Cymbopogon refractus", "Cymbopogon schoenanthus", "Cymbopogon tortilis", "Cymbopogon winterianus", "Spodiopogon cotulifer", "Spodiopogon sibiricus", "Tripsacum australe", "Tripsacum bravum", "Tripsacum cundinamarce", "Tripsacum dactyloides", "Tripsacum floridanum", "Tripsacum intermedium", "Tripsacum jalapense", "Tripsacum lanceolatum", "Tripsacum latifolium", "Tripsacum laxum", "Tripsacum maizar", "Tripsacum manisuroides", "Tripsacum peruvianum", "Tripsacum pilosum", "Tripsacum zopilotense", "Microchloa caffra", "Microchloa indica", "Monelytrum luederitzianum", "Perotis indica", "Perotis patens", "Perotis rara", "Schedonnardus paniculatus", "Sporobolus anglicus", "Tetrapogon tenellus", "Tetrapogon villosum", "Tragus berteronianus", "Tragus koelerioides", "Tragus racemosus", "Trichloris crinita", "Trichloris pluriflora", "Zoysia matrella", "Zoysia japonica", "Zoysia macrantha", "Zoysia macrostachya", "Zoysia minima", "Zoysia pauciflora", "Zoysia sinica", "Zoysia tenuifolia", "Indotestudo forstenii", "Indotestudo elongata", "Matelea alabamensis", "Matelea denticulata", "Matelea lanata", "Matelea obliqua", "Matelea variifolia", "Leptadenia reticulata", "Lychnophora ericoides", "Gutenbergia cordifolia", "Hesperomannia arborescens", "Hesperomannia arbuscula", "Hesperomannia lydgatei", "Stokesia laevis", "Vernonia arkansana", "Vernonia baldwinii", "Vernonia fasciculata", "Chloris cucullata", "Chloris divaricata", "Chloris gayana", "Chloris halophila", "Chloris mossambicensis", "Chloris pectinata", "Chloris pilosa", "Chloris pycnothrix", "Chloris radiata", "Chloris submutica", "Chloris texensis", "Chloris truncata", "Chloris ventricosa", "Chloris verticillata", "Chloris virgata", "Cynodon aethiopicus", "Cynodon barberi", "Cynodon dactylon", "Cynodon incompletus", "Cynodon nlemfuensis", "Cynodon radiatus", "Cynodon transvaalensis", "Cynodon plectostachyus", "Enteropogon acicularis", "Enteropogon dolichostachyus", "Enteropogon macrostachyus", "Enteropogon monostachyos", "Enteropogon prieurii", "Eustachys bahiensis", "Eustachys distichophylla", "Eustachys paspaloides", "Eustachys petraea", "Eustachys retusa", "Eustachys uliginosa", "Gymnopogon spicatus", "Harpochloa falx", "Hilaria belangeri", "Hilaria cenchroides", "Hilaria swallenii", "Melanocenchris abyssinica", "Cladonia kanewskii", "Cladonia kriegeri", "Cladonia labradorica", "Cladonia lacryma", "Cladonia leporina", "Cladonia luteoalba", "Cladonia macaronesica", "Malayemys subtrijuga", "Geoemyda japonica", "Rhinoclemmys pulcherrima", "Cladonia macrophylla", "Cladonia macrophyllodes", "Cladonia magyarica", "Siebenrockiella crassicollis", "Cladonia mateocyatha", "Bufo japonicus", "Cladonia mediterranea", "Cladonia metacorallifera", "Jatropha acanthophylla", "Jatropha cathartica", "Jatropha costaricensis", "Jatropha cuneata", "Jatropha curcas", "Jatropha dioica", "Jatropha elliptica", "Jatropha excisa", "Jatropha gossypiifolia", "Jatropha integerrima", "Jatropha macrorhiza", "Jatropha multifida", "Jatropha podagrica", "Joannesia princeps", "Ricinodendron heudelotii", "Pectis elongata", "Pectis linifolia", "Pectis odorata", "Tetradymia axillaris", "Tetradymia canescens", "Tetradymia glabrata", "Tetradymia spinosa", "Tetradymia tetrameres", "Acidoton urens", "Dalechampia aristolochiifolia", "Dalechampia scandens", "Dalechampia spathulata", "Plukenetia conophora", "Plukenetia volubilis", "Suregada lanceolata", "Suregada multiflora", "Beyeria opaca", "Cladonia alinii", "Cyprinus carpio", "Cupido argiades", "Clematis terniflora var. mandshurica", "Canna bangii", "Oreochromis mossambicus", "Cladonia abbatiana", "Cladonia acervata", "Cladonia ahtii", "Cladonia albata", "Cladonia alpina", "Cladonia arbuscula subsp. boliviana", "Cladonia arbuscula subsp. imshaugii", "Cladonia arbuscula subsp. pachyderma", "Cladonia arbuscula subsp. squarrosa", "Cladonia argentea", "Macrosiphonia martii", "Mandevilla \u00d7 amabilis", "Mandevilla hirsuta", "Mandevilla laxa", "Mandevilla pohliana", "Mandevilla sanderi", "Mandevilla splendens", "Mandevilla subsagittata", "Metastelma decipiens", "Metastelma lineare", "Metastelma monense", "Metastelma parviflorum", "Mondia whitei", "Gymnoderma insulare", "Varanus brevicauda", "Gymnoderma coccocarpum", "Gymnoderma sinuatum", "Eremalche rotundifolia", "Fryxellia pygmaea", "Fuertesimalva peruviana", "Gossypioides brevilanatum", "Gossypioides kirkii", "Gossypium barbadense", "Gossypium hirsutum", "Gossypium australe", "Gossypium darwinii", "Gossypium sturtianum", "Gossypium thurberi", "Gossypium tomentosum", "Gossypium anapoides", "Gossypium anomalum", "Gossypium arboreum", "Gossypium areysianum", "Gossypium aridum", "Gossypium armourianum", "Gossypium benadirense", "Gossypium bickii", "Gossypium bricchettii", "Gossypium capitis-viridis", "Gossypium costulatum", "Gossypium cunninghamii", "Gossypium davidsonii", "Gossypium enthyle", "Gossypium exiguum", "Schinziophyton rautanenii", "Berrya cordifolia", "Berrya javanica", "Berrya pacifica", "Diplodiscus paniculatus", "Pentace burmanica", "Abelmoschus angulosus", "Abelmoschus \u00d7 caillei", "Abelmoschus crinitus", "Palmaria palmata", "Abelmoschus ficulneus", "Abelmoschus manihot", "Abelmoschus tuberculatus", "Abutilon buchii", "Abutilon grandiflorum", "Abutilon insigne", "Abutilon leucopetalum", "Abutilon longicuspe", "Abutilon mauritianum", "Abutilon mollissimum", "Callianthe picta", "Abutilon ramiflorum", "Abutilon reflexum", "Abutilon bidentatum", "Abutilon giganteum", "Alcea acaulis", "Alcea calvertii", "Alcea flavovirens", "Alcea heldreichii", "Alcea kurdica", "Alcea litwinowii", "Alcea longipedicellata", "Alcea nudiflora", "Alcea biennis", "Alcea rhyticarpa", "Cladonia singularis", "Cladonia stereoclada", "Cladonia stricta", "Cladonia stygia", "Cladonia subcariosa", "Cladonia subcervicornis", "Cladonia subfimbriata", "Cladonia subfurcata", "Cladonia submitis", "Cladonia subradiata", "Cladonia subsetacea", "Cladonia subsquamosa", "Carassius carassius", "Cladonia subulata", "Cladonia sulphurina", "Cladonia symphycarpia", "Cladonia terrae-novae", "Carassius gibelio", "Cladonia thiersii", "Cladonia thomsonii", "Cladonia transcendens", "Cladonia trassii", "Cladonia turgida", "Cladonia uliginosa", "Cladonia uncialis subsp. biuncialis", "Cladonia uncialis subsp. uncialis", "Cladonia verruculosa", "Carassius cuvieri", "Cladonia wainioi", "Cladonia zopfii", "Neofelis diardi", "Alcea rugosa", "Alcea setosa", "Alcea sosnovskyi", "Alcea striata", "Alcea sulphurea", "Althaea armeniaca", "Althaea broussonetiifolia", "Althaea cannabina", "Alyogyne cuneiformis", "Alyogyne hakeifolia", "Alyogyne huegelii", "Alyogyne pinoniana", "Anisodontea capensis", "Bakeridesia integerrima", "Briquetia spicata", "Callirhoe bushii", "Callirhoe involucrata", "Callirhoe scabriuscula", "Cienfuegosia affinis", "Cienfuegosia argentina", "Cienfuegosia drummondii", "Cienfuegosia gerrardii", "Cienfuegosia hildebrandtii", "Cienfuegosia sulfurea", "Corynabutilon ochsenii", "Corynabutilon vitifolium", "Cristaria aspera", "Pilophorus dovrensis", "Pilophorus fibula", "Pilophorus nigricaulis", "Pilophorus robustus", "Pilophorus strumaticus", "Pilophorus vegae", "Pandalus hypsinotus", "Idea leuconoe", "Gymnoderma favosum", "Ginkgo dissecta", "Tribolonotus gracilis", "Hypogymnia incurvoides", "Hypogymnia kosciuskoensis", "Hypogymnia krogiae", "Hypogymnia lugubris", "Hypogymnia mollis", "Hypogymnia mundata", "Hypogymnia occidentalis", "Hypogymnia oceanica", "Hypogymnia physodes", "Hypogymnia pseudobitteriana", "Hypogymnia pulchrilobata", "Hypogymnia pulverata", "Hypogymnia schizidiata", "Hypogymnia subcapitata", "Hypogymnia subobscura", "Hypogymnia tasmanica", "Hypogymnia tubularis", "Hypogymnia tubulosa", "Hypogymnia turgidula", "Hypogymnia subphysodes var. subphysodes", "Hypogymnia subphysodes var. austerodioides", "Salix pentandra", "Ipomoea aquatica", "Malacochersus tornieri", "Hypogymnia austerodes f. austerodes", "Hypogymnia austerodes f. glauca", "Hypogymnia austerodes f. isidiata", "Hypogymnia austerodes f. obscura", "Hypogymnia austerodes f. verruculosa", "Hypogymnia alpina", "Staurotypus salvinii", "Sternotherus carinatus", "Sternotherus odoratus", "Sternotherus minor", "Sternotherus depressus", "Kokia cookei", "Kokia drynarioides", "Kokia kauaiensis", "Kosteletzkya adoensis", "Kosteletzkya pentacarpa", "Kosteletzkya tubiflora", "Kydia calycina", "Lavatera cachemiriana", "Lavatera mauritanica", "Lavatera oblongifolia", "Lavatera olbia", "Lavatera punctata", "Lavatera thuringiaca", "Lavatera triloba", "Lavatera trimestris", "Lecanophora dissecta", "Malachra alceifolia", "Malachra fasciata", "Malacothamnus clementinus", "Malacothamnus fasciculatus", "Hibiscus orarius", "Hibiscus reflexus", "Hibiscus scottii", "Hibiscus squarrulosus", "Hibiscus stewartii", "Hoheria glabrata", "Hoheria lyallii", "Hoheria populnea", "Howittia trilocularis", "Pycnothelia papillaria", "Pycnothelia caliginosa", "Phrynosoma platyrhinos", "Chrysaora melanaster", "Megacopta punctatissima", "Rimicaris kairei", "Elaphurus davidianus", "Hypogymnia apinnata", "Hypogymnia austerodes", "Hypogymnia australica", "Hypogymnia billardierei", "Hypogymnia bitteri", "Hypogymnia enteromorphoides", "Hypogymnia farinacea", "Hypogymnia gracilis", "Hypogymnia guadalupensis", "Hypogymnia heterophylla", "Hypogymnia imshaugii", "Hypogymnia bitteri f. obscura", "Hypogymnia bitteri f. vittatoides", "Hypogymnia cornuta", "Hypogymnia rhodesiana", "Hypogymnia inflata", "Hypogymnia elgonensis", "Hypogymnia kiboensis", "Hypogymnia deserti", "Geranium subg.", "Hypogymnia solidepedicellata", "Hypogymnia duplicata f. alpestris", "Hypogymnia duplicata f. alpina", "Hypogymnia duplicata f. duplicata", "Tima formosa", "Hypogymnia duplicata f. farinosa", "Hypogymnia duplicata f. hypotrypanea", "Hypogymnia duplicata f. physodioides", "Hypogymnia duplicata f. pinicola", "Hypogymnia duplicata f. reagens", "Gossypium gossypioides", "Gossypium harknessii", "Gossypium herbaceum", "Gossypium incanum", "Gossypium klotzschianum", "Gossypium laxum", "Gossypium lobatum", "Gossypium londonderriense", "Gossypium longicalyx", "Gossypium marchantii", "Gossypium mustelinum", "Gossypium nelsonii", "Gossypium nobile", "Gossypium pilosum", "Gossypium populifolium", "Gossypium pulchellum", "Gossypium raimondii", "Gossypium rotundifolium", "Gossypium schwendimanii", "Gossypium somalense", "Gossypium stocksii", "Gossypium trifurcatum", "Gossypium trilobum", "Gossypium triphyllum", "Gossypium turneri", "Gossypium vollesenii", "Hibiscadelphus distans", "Hibiscadelphus giffardianus", "Hibiscadelphus hualalaiensis", "Hibiscadelphus woodii", "Neophyllis melacarpa", "Neophyllis pachyphylla", "Hibiscus acetosella", "Hibiscus brackenridgei", "Hibiscus cannabinus", "Hibiscus clayi", "Hibiscus laevis", "Hibiscus mutabilis", "Hibiscus rosa-sinensis", "Hibiscus sabdariffa", "Hibiscus syriacus", "Hibiscus trionum", "Hibiscus waimeae", "Hibiscus amoenus", "Sacura margaritacea", "Hibiscus aponeurus", "Hibiscus arnhemensis", "Hibiscus bifurcatus", "Hibiscus byrnesii", "Hibiscus ovalifolius", "Hibiscus coccineus", "Hibiscus costatus", "Hibiscus coulteri", "Hibiscus cryptocarpus", "Hibiscus dasycalyx", "Hibiscus denudatus", "Hibiscus diversifolius", "Hypogymnia sachalinensis", "Hypogymnia madeirensis", "Hypogymnia tavaresii", "Hypogymnia antarctica", "Hypogymnia arcuata", "Hypogymnia bullata", "Hypogymnia delavayi", "Hypogymnia duplicatoides", "Hypogymnia fragillima", "Hypogymnia fujisanensis", "Sarracenia purpurea", "Hypogymnia hypotrypa", "Menemerus fulvus", "Hypogymnia hypotrypa f. hypotrypa", "Hypogymnia hypotrypa f. balteata", "Hypogymnia subduplicata", "Hypogymnia subduplicata var. rugosa", "Hypogymnia subduplicata var. subduplicata", "Hypogymnia subduplicata var. suberecta", "Hypogymnia submundata", "Hypogymnia submundata f. baculosorediosa", "Hypogymnia submundata f. colorans", "Hypogymnia submundata f. submundata", "Hypogymnia hypotrypella", "Hypogymnia laminisorediata", "Hypogymnia nikkoensis", "Hypogymnia pseudophysodes", "Hypogymnia pseudophysodes var. pseudophysodes", "Hypogymnia pseudophysodes var. reagens", "Iliamna corei", "Iliamna latibracteata", "Iliamna remota", "Iliamna rivularis", "Kitaibela vitifolia", "Hypogymnia physodes f. cassidiformis", "Hypogymnia physodes f. elegans", "Hypogymnia physodes f. epiphylla", "Hypogymnia physodes f. foraminifera", "Hypogymnia physodes f. granulosa", "Hypogymnia physodes f. isidiosa", "Hypogymnia physodes f. maculans", "Hypogymnia physodes f. minor", "Hypogymnia physodes f. physodes", "Hypogymnia physodes f. pinnata", "Hypogymnia physodes f. stigmatea", "Hypogymnia physodes f. subcrustacea", "Lissemys punctata", "Olgaea lomonossowii", "Picnomon acarna", "Cladonia atrans", "Cladonia azorica", "Cladonia bacillaris", "Cladonia callosa", "Cladonia capitellata", "Cladonia cervicornis subsp. cervicornis", "Cladonia ciliata f. ciliata", "Cladonia ciliata f. flavicans", "Cladonia coccifera", "Cladonia confusa", "Cladonia confusa f. confusa", "Cladonia confusa f. bicolor", "Cladonia coniocraea", "Cladonia conista", "Cladonia conspicua", "Cladonia convoluta", "Cladonia cornuta subsp. cornuta", "Cladonia cristatella", "Cladonia cryptochlorophaea", "Cladonia cyanipes", "Cladonia cyathomorpha", "Cladonia dactylota", "Cladonia dahliana", "Cladonia densissima", "Cladonia densissima f. decolorans", "Cladonia densissima f. densissima", "Cladonia dimorpha", "Cladonia dimorphoclada", "Cladonia diversa", "Cladonia ecmocyna subsp. ecmocyna", "Cladonia ecmocyna subsp. intermedia", "Cladonia ecmocyna subsp. occidentalis", "Cladonia evansii", "Cladonia extracorticata", "Cladonia farinacea", "Cladonia firma", "Cladonia floridana", "Cladonia foliacea", "Cladonia furcata subsp. furcata", "Cladonia furcata subsp. subrangiformis", "Cladonia glauca", "Cladonia graciliformis", "Cladonia gracilis subsp. gracilis", "Cladonia gracilis subsp. elongata", "Cladonia gracilis subsp. turbinata", "Cladonia gracilis subsp. vulnerata", "Cladonia granulans", "Cladonia grayi", "Cladonia halei", "Cladonia hammeri", "Cladonia homosekikaica", "Cladonia humilis", "Cladonia hypoxantha", "Cladonia imbricarica", "Cladonia incrassata", "Cladonia jaliscana", "Cladonia kalbii", "Hypogymnia macrospora", "Hypogymnia obscurata", "Hypogymnia pectinatula", "Hypogymnia zeylanica", "Hypogymnia pruinosa", "Hypogymnia pseudoenteromorpha", "Hypogymnia pseudohypotrypa", "Dendrochirus zebra", "Penetrantia densa", "Heritiera aurea", "Heritiera borneensis", "Heritiera globosa", "Heritiera javanica", "Heritiera littoralis", "Heritiera longipetiolata", "Heritiera simplicifolia", "Heritiera sumatrana", "Heritiera utilis", "Panesthia angustipennis spadica", "Hypogymnia tubulosa f. farinosa", "Hypogymnia tubulosa f. rugososorediosa", "Hypogymnia tubulosa f. tubulosa", "Hypogymnia tubulosa f. verruciformis", "Hypogymnia asahinae", "Bassariscus astutus", "Cladonia mexicana", "Cladonia mitis", "Cladonia monomorpha", "Cladonia multiformis", "Cladonia nana", "Cladonia nashii", "Cladonia nipponica", "Cladonia norvegica", "Cladonia novochlorophaea", "Cladonia ochrochlora", "Cladonia pachycladodes", "Cladonia perforata", "Cladonia perlomera", "Cladonia petrophila", "Cladonia peziziformis", "Cladonia phyllophora", "Cladonia piedmontensis", "Cladonia polydactyla", "Cladonia polydactyla var. polydactyla", "Cladonia polydactyla var. umbricola", "Cladonia poroscypha", "Cladonia portentosa subsp. portentosa", "Cladonia portentosa subsp. pacifica", "Cladonia portentosa subsp. pacifica f. pacifica", "Cladonia portentosa subsp. pacifica f. decolorans", "Cladonia prolifica", "Cladonia prostrata", "Cladonia pseudoevansii", "Cladonia psoromica", "Cladonia pulvinella", "Cladonia pycnoclada", "Cladonia pycnoclada f. fuscescens", "Cladonia pycnoclada f. pycnoclada", "Cladonia ramulosa", "Cladonia rangiferina", "Cladonia rangiferina subsp. abbayesii", "Cladonia rangiformis", "Cladonia rappii", "Cladonia ravenelii", "Cladonia rei", "Cladonia robbinsii", "Cladonia sandstedei", "Cladonia santensis", "Cladonia schofieldii", "Cladonia simulata", "Glugea stephani", "Chinchilla chinchilla", "Chinchilla lanigera", "Emberiza townsendi", "Cephalophus monticola", "Ulmus villosa", "Ulmus serotina", "Ulmus bergmanniana", "Ulmus canescens", "Hypogymnia lugubris var. compactior", "Hypogymnia lugubris var. lugubris", "Hypogymnia lugubris var. sublugubris", "Hypogymnia elongata", "Hypogymnia flavida", "Hypogymnia hengduanensis", "Hypogymnia hokkaidensis", "Hypogymnia laccata", "Hypogymnia lijiangensis", "Hypogymnia lophyrea", "Psilocybe cyanescens", "Psilocybe cubensis", "Staurotypus triporcatus", "Pavonia arabica", "Pavonia burchellii", "Pavonia hastata", "Pavonia lasiopetala", "Pavonia odorata", "Pavonia paniculata", "Pavonia sepium", "Pavonia spinifex", "Pavonia strictiflora", "Pavonia urens", "Phymosia rosea", "Phymosia umbellata", "Robinsonella lindeniana", "Hibiscus dongolensis", "Hibiscus drummondii", "Hibiscus engleri", "Hibiscus fryxellii", "Hibiscus furcatus", "Hibiscus furcellatus", "Hibiscus gilletii", "Hibiscus goldsworthii", "Hibiscus greenwayi", "Hibiscus heterophyllus", "Hibiscus indicus", "Hibiscus kitaibelifolius", "Hibiscus kokio", "Hibiscus lasiocarpos", "Hibiscus lavateroides", "Hibiscus liliiflorus", "Hibiscus ludwigii", "Hibiscus lunariifolius", "Hibiscus micranthus", "Hibiscus macranthus", "Hibiscus mastersianus", "Hibiscus mechowii", "Hibiscus menzeliae", "Hibiscus meraukensis", "Hibiscus minutibracteolus", "Hibiscus newhousei", "Hibiscus nigricaulis", "Hibiscus panduriformis", "Hibiscus paramutabilis", "Hibiscus pedunculatus", "Hibiscus physaloides", "Hibiscus platanifolius", "Hibiscus platycalyx", "Hibiscus pusillus", "Hibiscus radiatus", "Hibiscus rostellatus", "Hibiscus saponarius", "Hibiscus schinzii", "Hibiscus schizopetalus", "Hibiscus sinosyriacus", "Hibiscus sororius", "Hibiscus spathulatus", "Hibiscus splendens", "Hibiscus striatus", "Hibiscus sturtii", "Hibiscus sudanensis", "Hibiscus surattensis", "Hibiscus uncinellus", "Hibiscus vitifolius", "Hibiscus zonatus", "Hibiscus altissimus", "Hibiscus aneuthe", "Hibiscus aphelus", "Hibiscus asper", "Hibiscus bacalusius", "Hibiscus berberidifolius", "Hibiscus cameronii", "Hibiscus fallax", "Hibiscus flavifolius", "Hibiscus lobatus", "Hibiscus marenitensis", "Hibiscus moscheutos", "Hibiscus muta-moscheutos", "Pteropus dasymallus", "Alnus nepalensis", "Alnus nitida", "Malope trifida", "Malva aegyptia", "Malva alcea", "Malva assurgentiflora", "Malva australiana", "Malva cretica", "Malva arborea", "Malva hispanica", "Malva linnaei", "Malva moschata", "Malva neglecta", "Malva nicaeensis", "Malva occidentalis", "Malva pacifica", "Malva parviflora", "Malva pusilla", "Malva sylvestris", "Malva tournefortiana", "Malva verticillata", "Malva subovata", "Malvastrum americanum", "Malvastrum coromandelianum", "Malvastrum hispidum", "Malvastrum peruvianum", "Malvastrum tomentosum", "Malvaviscus arboreus", "Malvaviscus penduliflorus", "Malvella leprosa", "Megistostegium nodulosum", "Modiola caroliniana", "Napaea dioica", "Nototriche compacta", "Hypogymnia bryophila", "Hypogymnia bulbosa", "Hypogymnia congesta", "Hypogymnia diffractaica", "Hypogymnia laxa", "Hypogymnia pseudocyphellata", "Hypogymnia bitteri f. bitteri", "Hypogymnia bitteri f. erumpens", "Hypogymnia bitteri f. glauca", "Poulsenia armata", "Pseudolmedia glabrata", "Pseudolmedia laevigata", "Pseudolmedia obliqua", "Cephalanthus occidentalis", "Cephalanthus glabratus", "Cephalanthus natalensis", "Exostema longiflorum", "Coprosma acerosa", "Coprosma baueri", "Coprosma grandifolia", "Coprosma hirtella", "Coprosma lucida", "Coprosma microcarpa", "Coprosma moorei", "Coprosma nitida", "Coprosma papuensis", "Coprosma petriei", "Coprosma quadrifida", "Coprosma repens", "Coprosma rhamnoides", "Coprosma rigida", "Coprosma robusta", "Coprosma rugosa", "Coprosma tenuicaulis", "Coprosma tenuifolia", "Nertera balfouriana", "Nertera granadensis", "Harmochirus insulanus", "Platypleura kaempferi", "Oreamnos americanus", "Galium boreale", "Ovis canadensis", "Sida rhombifolia", "Sida acuta", "Sida angustifolia", "Sida calyxhymenia", "Sida ciliaris", "Sida cordata", "Sida cordifolia", "Sida elliottii", "Sida glabra", "Sida glomerata", "Sida hermaphrodita", "Sida intricata", "Sida linifolia", "Sida lomageiton", "Sida setosa", "Sida spinosa", "Sida urens", "Sidalcea candida", "Sidalcea hickmanii", "Sidalcea keckii", "Sidalcea malviflora", "Sidalcea nelsoniana", "Sidalcea neomexicana", "Sidalcea oregana", "Sidalcea pedata", "Sidastrum paniculatum", "Sphaeralcea ambigua", "Sphaeralcea angustifolia", "Citrus gracilis", "Citrus halimii", "Citrus indica", "Citrus \u00d7 jambhiri", "Citrus \u00d7 junos", "Pseudomys australis", "Suchomimus tenerensis", "Citrus longilimon", "Sterculia setigera", "Sterculia spangleri", "Sterculia striata", "Sterculia tragacantha", "Sterculia urens", "Sterculia villosa", "Cavanillesia platanifolia", "Chiranthodendron pentadactylon", "Matisia castano", "Matisia cordata", "Matisia ochrocalyx", "Pachira aquatica", "Pachira emarginata", "Pachira glabra", "Pachira insignis", "Patinoa almirajo", "Patinoa sphaerocarpa", "Pseudobombax ellipticum", "Pseudobombax grandiflorum", "Pseudobombax longiflorum", "Pseudobombax septenatum", "Quararibea asterolepis", "Quararibea funebris", "Quararibea magnifica", "Quararibea pendulifera", "Quararibea turbinata", "Antiaris toxicaria", "Castilla elastica", "Castilla ulei", "Helicostylis ojoche", "Helicostylis tomentosa", "Citrus maxima", "Citrus megaloxycarpa", "Clione limacina", "Pyrrhalta humeralis", "Bufo japonicus formosus", "Citrus oblonga", "Citrus panuban", "Citrus pennivesiculata", "Hippocampus abdominalis", "Cladonia vulcani", "Genipa americana", "Oxyanthus pyriformis", "Randia aculeata", "Randia armata", "Rosenbergiodendron formosum", "Randia laevigata", "Randia nelsonii", "Randia nitida", "Hypogymnia sikkimensis", "Hypogymnia sinica", "Hypogymnia stricta", "Hypogymnia subarticulata", "Hypogymnia subcrustacea", "Hypogymnia subpruinosa", "Hypogymnia taiwanalpina", "Hypogymnia thomsoniana", "Hypogymnia wattiana", "Hypogymnia yunnanensis", "Hypogymnia vittata f. alpestris", "Hypogymnia vittata f. alpina", "Hypogymnia vittata f. hypotropodes", "Hypogymnia vittata f. hypotrypanea", "Hypogymnia vittata f. physodioides", "Hypogymnia vittata f. pinicola", "Hypogymnia vittata f. reagens", "Hypogymnia vittata f. vittata", "Hildegardia barteri", "Hildegardia cubensis", "Pterygota alata", "Pterygota excelsa", "Pterygota kamerunensis", "Scaphium macropodum", "Sterculia africana", "Sterculia apetala", "Sterculia caribaea", "Sterculia curiosa", "Sterculia excelsa", "Sterculia foetida", "Sterculia guttata", "Sterculia hamiltonii", "Sterculia lanceifolia", "Sterculia lanceolata", "Sterculia macrophylla", "Sterculia nobilis", "Sterculia oblonga", "Sterculia pruriens", "Sterculia quadrifida", "Sterculia rhinopetala", "Sterculia scaphigera", "Caesalpinia brasiliensis", "Caesalpinia cacalaco", "Caesalpinia cassioides", "Guilandina ciliata", "Aproteles bulmerae", "Celastrina argiolus", "Nephila clavata", "Chelmon rostratus", "Caesalpinia crista", "Mezoneuron cucullatum", "Hoffmannseggia burchellii", "Hoffmannseggia drepanocarpa", "Hoffmannseggia drummondii", "Hoffmannseggia glauca", "Hoffmannseggia microphylla", "Hoffmannseggia oxycarpa", "Hoffmannseggia repens", "Hoffmannseggia tenella", "Hoffmannseggia viscosa", "Rosenbergiodendron longiflorum", "Randia thurberi", "Rothmannia capensis", "Rothmannia globosa", "Rothmannia longiflora", "Rothmannia urcelliformis", "Rothmannia whitfieldii", "Citropsis articulata", "Citropsis daweana", "Citropsis gabunensis", "Citropsis gilletiana", "Citropsis noldeae", "Citrus \u00d7 aurantium", "Citrus medica", "Citrus cavaleriei", "Citrus hystrix", "Citrus \u00d7limon", "Citrus \u00d7 aurantiifolia", "Citrus \u00d7 latifolia", "Citrus meyeri", "Sphaeralcea bonariensis", "Sphaeralcea coccinea", "Sphaeralcea coulteri", "Sphaeralcea emoryi", "Sphaeralcea grossulariifolia", "Sphaeralcea munroana", "Sphaeralcea obtusiloba", "Sphaeralcea parvifolia", "Sphaeralcea rusbyi", "Talipariti elatum", "Talipariti glabrum", "Talipariti hamabo", "Talipariti hastatum", "Talipariti macrophyllum", "Talipariti tiliaceum", "Tarasa tenella", "Thespesia beatensis", "Thespesia cubensis", "Thespesia danis", "Thespesia garckeana", "Azanza lampas", "Thespesia populnea", "Thespesia populneoides", "Azanza thespesioides", "Urena lobata", "Wercklea insignis", "Wercklea lutea", "Wissadula periplocifolia", "Brachychiton australis", "Brachychiton bidwillii", "Brachychiton discolor", "Brachychiton diversifolius", "Brachychiton paradoxus", "Brachychiton populneus", "Brachychiton rupestris", "Cola acuminata", "Cola anomala", "Cola heterophylla", "Cola nitida", "Cola pachycarpa", "Cola verticillata", "Cola gigantea", "Firmiana colorata", "Firmiana simplex", "Casuarina cristata", "Casuarina cunninghamiana", "Casuarina equisetifolia", "Casuarina glauca", "Casuarina junghuhniana", "Casuarina obesa", "Oryx gazella", "Oryx leucoryx", "Oryx dammah", "Capsicum chinense", "Capsicum baccatum", "Capsicum pubescens", "Citrus pseudolimon", "Citrus pseudopapillaris", "Citrus semperflorens", "Citrus \u00d7 tamurana", "Citrus x webberi", "Limonia acidissima", "Citrus x polytrifolia", "Citrus trifoliata", "Triphasia brassii", "Triphasia grandifolia", "Triphasia trifolia", "Amyrea lancifolia", "Chrozophora plicata", "Chrozophora tinctoria", "Vaupesia cataractarum", "Acrocarpus fraxinifolius", "Arapatiella psilophylla", "Balsamocarpon brevifolium", "Burkea africana", "Bussea occidentalis", "Biancaea decapetala", "Caesalpinia echinata", "Caesalpinia pulcherrima", "Biancaea sappan", "Caesalpinia angolensis", "Guilandina bonduc", "Eryngium giganteum", "Eryngium glomeratum", "Eryngium nasturtiifolium", "Eryngium nudicaule", "Eryngium pandanifolium", "Eryngium pectinatum", "Eryngium petiolatum", "Eryngium planum", "Eryngium pusillum", "Eryngium rostratum", "Eryngium sanguisorba", "Eryngium tenue", "Actinotus helianthi", "Actinotus leucocephalus", "Centella asiatica", "Centella villosa", "Oxypetalum coeruleum", "Oxypetalum solanoides", "Pentalinon luteum", "Brachyglottis laxifolia", "Brachyglottis repanda", "Delairea odorata", "Sinacalia tangutica", "Steirodiscus tagetes", "Berteroa incana", "Zilla macroptera", "Cladonia kurokawae", "Actinolema macrolema", "Astrantia major", "Astrantia carniolica", "Astrantia maxima", "Eryngium alpinum", "Eryngium campestre", "Eryngium foetidum", "Eryngium maritimum", "Eryngium yuccifolium", "Eryngium aquaticum", "Eryngium articulatum", "Eryngium billardierei", "Eryngium bourgatii", "Trichinella spiralis", "Eryngium carlinae", "Eryngium constancei", "Eryngium creticum", "Eryngium cuneifolium", "Eryngium dilatatum", "Eryngium dorae", "Eryngium duriaei", "Eryngium ebracteatum", "Eryngium eburneum", "Eryngium elegans", "Bryoria abietina", "Bryoria acanthodes", "Bryoria ambigua", "Bryoria americana", "Bryoria asiatica", "Bryoria austromontana", "Lernaeenicus sprattae", "Lernaeocera branchialis", "Acanthochondria cornuta", "Lampropeltis getula", "Bryoria carlottae", "Bryoria carpatica", "Bryoria catharinae", "Bryoria cervinula", "Bryoria confusa", "Bryoria cornicularioides", "Bryoria dahlii", "Bryoria divergescens", "Bryoria fabiszewskiana", "Bryoria fennica", "Bryoria flexuosa", "Bryoria fremontii", "Caesalpinia digyna", "Poincianella eriostachys", "Libidibia ferrea", "Caesalpinia gardneriana", "Erythrostemon gilliesii", "Caesalpinia granadillo", "Mezoneuron kauaiense", "Caesalpinia latisiliqua", "Erythrostemon mexicanus", "Caesalpinia microphylla", "Caesalpinia minax", "Poincianella myabensis", "Poincianella nipensis", "Poincianella palmeri", "Caesalpinia pauciflora", "Caesalpinia platyloba", "Caesalpinia pubescens", "Caesalpinia pumila", "Caesalpinia punctata", "Caesalpinia scortechinii", "Caesalpinia sessilifolia", "Caesalpinia velutina", "Caesalpinia vernalis", "Caesalpinia vesicaria", "Caesalpinia violacea", "Poincianella yucatanensis", "Campsiandra comosa", "Cenostigma gardnerianum", "Cenostigma macrophyllum", "Cenostigma tocantinum", "Chidlowia sanguinea", "Colvillea racemosa", "Conzattia multiflora", "Conzattia sericea", "Delonix regia", "Delonix decaryi", "Delonix elata", "Delonix floribunda", "Agaricus bitorquis", "Dimorphandra caudata", "Dimorphandra conjugata", "Dimorphandra davisii", "Dimorphandra exaltata", "Dimorphandra jorgei", "Dimorphandra macrostachya", "Dimorphandra mollis", "Dimorphandra parviflora", "Dimorphandra vernicosa", "Dimorphandra wilsonii", "Diptychandra aurantiaca", "Erythrophleum africanum", "Erythrophleum chlorostachys", "Erythrophleum couminga", "Erythrophleum fordii", "Erythrophleum ivorense", "Erythrophleum suaveolens", "Gleditsia triacanthos", "Gleditsia amorphoides", "Gleditsia aquatica", "Gleditsia australis", "Gleditsia caspica", "Gleditsia fera", "Gleditsia japonica", "Gleditsia microphylla", "Gleditsia sinensis", "Gleditsia \u00d7 texana", "Gymnocladus chinensis", "Gymnocladus dioicus", "Haematoxylum brasiletto", "Haematoxylum campechianum", "Magnolia chimantensis", "Magnolia colombiana", "Magnolia guatapensis", "Magnolia lenticellata", "Magnolia magnifolia", "Magnolia mahechae", "Magnolia ptaritepuiana", "Magnolia striatifolia", "Magnolia urraoense", "Magnolia yarumalense", "Magnolia subsect.", "Magnolia cubensis", "Magnolia cacuminoides", "Magnolia cristalensis", "Magnolia domingensis", "Magnolia emarginata", "Magnolia ekmannii", "Magnolia hamorii", "Magnolia pallescens", "Magnolia portoricensis", "Magnolia splendens", "Magnolia sect.", "Magnolia aromatica", "Magnolia blaoensis", "Magnolia blumei", "Magnolia calophylloides", "Magnolia caveana", "Magnolia chevalieri", "Magnolia conifera", "Magnolia dandyi", "Magnolia decidua", "Magnolia dolichogyna", "Magnolia duclouxii", "Magnolia fordiana", "Magnolia garrettii", "Magnolia grandis", "Magnolia hebecarpa", "Magnolia hookeri", "Magnolia insignis", "Magnolia lanuginosoides", "Magnolia lucida", "Magnolia megaphylla", "Magnolia microtricha", "Magnolia moto", "Magnolia obovalifolia", "Magnolia ovoidea", "Magnolia pachyphylla", "Magnolia phuthoensis", "Magnolia rufibarbata", "Magnolia sabahensis", "Magnolia szechuanica", "Magnolia utilis", "Magnolia ventii", "Magnolia sect.", "Magnolia duperreana", "Magnolia kwangsiensis", "Magnolia thailandica", "Magnolia sect.", "Magnolia panamensis", "Magnolia poasana", "Magnolia schiedeana", "Magnolia sharpii", "Magnolia sororum", "Magnolia tamaulipana", "Magnolia yoroconte", "Magnolia sect.", "Magnolia subsect.", "Magnolia albosericea", "Magnolia championii", "Magnolia coco", "Magnolia henryi", "Magnolia nana", "Magnolia odoratissima", "Magnolia persuaveolens", "Magnolia phanerophlebia", "Magnolia pterocarpa", "Magnolia subsect.", "Magnolia liliifera", "Magnolia gigantifolia", "Magnolia hodgsonii", "Magnolia lasia", "Magnolia mariusjacobsia", "Magnolia sarawakensis", "Magnolia villosa", "Magnolia sect.", "Magnolia subsect.", "Magnolia allenii", "Magnolia arcabucoana", "Magnolia boliviana", "Magnolia caricifragrans", "Magnolia cespedesii", "Magnolia chocoensis", "Magnolia dixonii", "Magnolia dodecapetala", "Magnolia espinalii", "Magnolia georgii", "Magnolia gilbertoi", "Magnolia gloriensis", "Magnolia hernandezii", "Magnolia irwiniana", "Magnolia katiorum", "Magnolia mexicana", "Magnolia minor", "Magnolia morii", "Magnolia narinensis", "Magnolia neillii", "Magnolia ovata", "Magnolia polyhypsophilla", "Magnolia rimachii", "Magnolia sambuensis", "Magnolia santanderiana", "Magnolia sellowiana", "Magnolia silvioi", "Magnolia venezuelensis", "Magnolia virolinensis", "Magnolia wolfii", "Magnolia subsect.", "Magnolia argyrothricha", "Magnolia calimaensis", "Magnolia calophylla", "Magnolia cararensis", "Magnolia subsect.", "Magnolia rostrata", "Magnolia subsect.", "Magnolia sect.", "Magnolia sect.", "Magnolia sect.", "Magnolia subsect.", "Magnolia amoena", "Magnolia subsect.", "Magnolia sect.", "Magnolia subsect.", "Magnolia angustioblonga", "Magnolia baillonii", "Magnolia banghamii", "Magnolia balansae", "Magnolia braianensis", "Magnolia cavaleriei", "Magnolia champaca", "Magnolia chapensis", "Magnolia compressa", "Magnolia coriacea", "Magnolia dianica", "Magnolia doltsopa", "Magnolia elliptilimba", "Magnolia ernestii", "Magnolia figo", "Magnolia flaviflora", "Magnolia floribunda", "Magnolia foveolata", "Magnolia fujianensis", "Magnolia fulva", "Magnolia guangxiensis", "Magnolia hypolampra", "Magnolia ingrata", "Magnolia jiangxiensis", "Magnolia kingii", "Magnolia kisopa", "Magnolia koordersiana", "Magnolia lacei", "Magnolia lanuginosa", "Magnolia leveilleana", "Magnolia macclurei", "Magnolia mannii", "Magnolia martinii", "Magnolia masticata", "Magnolia maudiae", "Melanoxylum brauna", "Mora ekmanii", "Mora excelsa", "Mora gonggrijpii", "Mora paraensis", "Moldenhawera floribunda", "Moullava spicata", "Parkinsonia aculeata", "Parkinsonia florida", "Parkinsonia microphylla", "Parkinsonia africana", "Parkinsonia praecox", "Parkinsonia texana", "Poeppigia procera", "Pterogyne nitens", "Pterolobium hexapetalum", "Pterolobium punctatum", "Pterolobium stellatum", "Recordoxylon speciosum", "Schizolobium parahyba", "Naumachocrinus hawaiiensis", "Magnolia sect.", "Magnolia iltisiana", "Magnolia pacifica", "Rhacophorus schlegelii", "Rhacophorus arboreus", "Asterophysus batrachus", "Cypraea leviathan", "Cypraea leviathan var. bouteti", "Cypraea leviathan var. leviathan", "Cypraea leviathan var. titan", "Alectoria sarmentosa subsp. sarmentosa", "Alectoria sarmentosa subsp. vexillifera", "Bryoria glabra", "Bryoria hengduanensis", "Bryoria himalayensis", "Bryoria indonesica", "Bryoria lactinea", "Bryoria levis", "Bryoria mirabilis", "Bryoria motykae", "Bryoria motykana", "Bryoria nepalensis", "Bryoria nitidula", "Bryoria orientalis", "Bryoria osteola", "Bryoria pellucida", "Bryoria perspinosa", "Bryoria pikei", "Bryoria poeltii", "Bryoria pseudocyphellata", "Bryoria ruwenzoriensis", "Bryoria salazinica", "Bryoria setacea", "Bryoria simplicior", "Bryoria smithii", "Bryoria sophiae", "Bryoria tatarkiewiczii", "Bryoria tatrica", "Bryoria tenerrima", "Bryoria trichodes", "Bryoria variabilis", "Bryoria vrangiana", "Centaurea horrida", "Bryoria furcellata subsp. furcellata", "Bryoria furcellata subsp. hawksworthiana", "Bryoria fuscescens var. positiva", "Bryoria friabilis", "Bryoria trichodes subsp. americana", "Bryoria trichodes subsp. brodoana", "Bryoria trichodes subsp. canadensis", "Bryoria trichodes subsp. trichodes", "Lemuropisum edule", "Lophocarpinia aculeatifolia", "Magnolia mediocris", "Magnolia microcarpa", "Magnolia montana", "Magnolia nilagirica", "Magnolia oblonga", "Magnolia odora", "Magnolia opipara", "Magnolia philippinensis", "Magnolia punduana", "Magnolia rajaniana", "Magnolia sirindhorniae", "Magnolia sumatrae", "Magnolia scortechinii", "Magnolia sphaerantha", "Magnolia shiluensis", "Magnolia subulifera", "Magnolia xanthantha", "Magnolia subsect.", "Magnolia platyphylla", "Magnolia pubescens", "Magnolia tsiampacca", "Magnolia vrieseana", "Magnolia subsect.", "Magnolia annamensis", "Magnolia carsonii", "Magnolia cathcartii", "Magnolia griffithii", "Magnolia gustavii", "Magnolia macklottii", "Magnolia pealiana", "Magnolia subsect.", "Magnolia ashtonii", "Magnolia bintuluensis", "Magnolia borneensis", "Magnolia elegans", "Magnolia pahangensis", "Magnolia subg.", "Magnolia sect.", "Magnolia kachirachirai", "Magnolia lotungensis", "Magnolia yunnanensis", "Magnolia omeiensis", "Magnolia sect.", "Magnolia pleiocarpa", "Magnolia praecalva", "Magnolia sinica", "Libythea celtis", "Enterolobium timbouva", "Falcataria moluccana", "Havardia albicans", "Havardia mexicana", "Havardia pallens", "Havardia sonorae", "Hesperalbizia occidentalis", "Hydrochorea corymbosa", "Inga acreana", "Inga acrocephala", "Inga acuminata", "Inga alba", "Inga blanchetiana", "Inga calantha", "Inga capitata", "Inga cayennensis", "Inga chocoensis", "Inga cinnamomea", "Inga cordistipula", "Inga cylindrica", "Inga densiflora", "Inga disticha", "Inga edulis", "Inga fanchoniana", "Inga fastuosa", "Inga feuilleei", "Inga goldmanii", "Inga graciliflora", "Inga gracilifolia", "Inga hayesii", "Inga heterophylla", "Inga hispida", "Inga huberi", "Inga ingoides", "Inga insignis", "Inga jinicuil", "Inga lateriflora", "Inga laurina", "Inga leiocalycina", "Inga lentiscifolia", "Inga longiflora", "Inga macrophylla", "Inga maritima", "Inga micheliana", "Inga mortoniana", "Inga nobilis", "Inga oerstediana", "Inga panurensis", "Inga paraensis", "Inga pezizifera", "Inga pilosula", "Inga pruriens", "Inga punctata", "Inga rubiginosa", "Inga ruiziana", "Amanita muscaria", "Hemigrammocypris rasborella", "Libidibia monosperma", "Tachigali albiflora", "Tachigali aurea", "Tachigali chrysophylla", "Tachigali davidsei", "Tachigali guianensis", "Tachigali hypoleuca", "Tachigali melinonii", "Tachigali micropetala", "Tachigali paratyensis", "Tachigali odoratissima", "Tachigali paniculata", "Tachigali paraensis", "Tachigali rugosa", "Tachigali versicolor", "Vouacapoua americana", "Vouacapoua pallidior", "Zuccagnia punctata", "Abarema adenophora", "Abarema auriculata", "Abarema barbouriana", "Abarema brachystachya", "Abarema cochleata", "Abarema cochliacarpos", "Abarema filamentosa", "Abarema jupunba", "Trichoderma harzianum", "Trichoderma reesei", "Trichoderma viride", "Abarema mataybifolia", "Abarema turbinata", "Archidendron bigeminum", "Archidendron clypearia", "Archidendron ellipticum", "Archidendron grandiflorum", "Archidendron jiringa", "Archidendron kanisii", "Archidendron kunstleri", "Archidendron scutiferum", "Archidendropsis basaltica", "Archidendropsis thozetiana", "Balizia pedicellaris", "Calliandra brevipes", "Calliandra bella", "Calliandra biflora", "Calliandra californica", "Calliandra chilensis", "Calliandra conferta", "Calliandra cruegeri", "Calliandra eriophylla", "Calliandra erubescens", "Calliandra foliolosa", "Calliandra houstoniana var. anomala", "Calliandra guildingii", "Calliandra haematocephala", "Calliandra haematomma", "Calliandra harrisii", "Calliandra houstoniana", "Calliandra humilis", "Calliandra juzepczukii", "Calliandra laxa", "Calliandra macrocalyx", "Calliandra parviflora", "Calliandra parvifolia", "Calliandra peninsularis", "Calliandra physocalyx", "Calliandra purpurea", "Calliandra riparia", "Calliandra surinamensis", "Calliandra tergemina", "Calliandra tweediei", "Cedrelinga cateniformis", "Cojoba arborea", "Cojoba rufescens", "Ebenopsis confinis", "Ebenopsis ebano", "Enterolobium contortisiliquum", "Enterolobium cyclocarpum", "Enterolobium ellipticum", "Enterolobium gummiferum", "Enterolobium maximum", "Enterolobium monjollo", "Enterolobium schomburgkii", "Inga sapindoides", "Inga sertulifera", "Inga sessilis", "Inga splendens", "Inga stipularis", "Inga striata", "Inga subnuda", "Pycnothelia papillaria f. apoda", "Pycnothelia papillaria f. chthonoblastes", "Pycnothelia papillaria f. papillaria", "Nodobryoria abbreviata", "Nodobryoria oregana", "Nodobryoria subdivergens", "Inga vulpina", "Inga vera", "Inga velutina", "Inga umbellifera", "Inga tonduzii", "Inga thibaudiana", "Inga aptera", "Inga bourgoni", "Inga congesta", "Inga lomatophylla", "Inga marginata", "Inga nouragensis", "Inga ornata", "Canis hallstromi", "Suncus murinus", "Dicentrarchus labrax", "Dicentrarchus punctatus", "Lates japonicus", "Alectoria fallacina", "Alectoria imshaugii", "Alectoria lata", "Chiton tuberculatus", "Eriosema affine", "Eriosema benthamianum", "Eriosema buchananii", "Eriosema burkei", "Eriosema chinense", "Eriosema chrysadenium", "Eriosema cordatum", "Eriosema crinitum", "Eriosema ellipticifolium", "Eriosema ellipticum", "Eriosema engleranum", "Eriosema floribundum", "Eriosema glomeratum", "Eriosema heterophyllum", "Eriosema jurionianum", "Eriosema kraussianum", "Eriosema lebrunii", "Eriosema macrostipulum", "Eriosema montanum", "Eriosema nutans", "Eriosema parviflorum", "Eriosema pauciflorum", "Eriosema platycarpon", "Eriosema psoraleoides", "Eriosema pumilum", "Eriosema ramosum", "Eriosema rhodesicum", "Eriosema rhynchosioides", "Eriosema rufum", "Eriosema salignum", "Eriosema shirense", "Eriosema simplicifolium", "Eriosema squarrosum", "Eriosema tacuaremboense", "Eriosema violaceum", "Antalis vulgaris", "Parmelia fertilis", "Parmelia fraudans", "Parmelia hygrophila", "Parmelia neodiscordans", "Parmelia pseudosulcata", "Parmelia skultii", "Parmelia squarrosa", "Parmelia sulcata", "Parmelia discordans", "Parmelia ernstiae", "Parmelia submontana", "Lysiloma acapulcense", "Lysiloma candidum", "Lysiloma divaricatum", "Lysiloma latisiliquum", "Lysiloma sabicu", "Lysiloma tergeminum", "Lysiloma watsonii", "Painteria elachistophylla", "Pararchidendron pruinosum", "Paraserianthes lophantha", "Paraserianthes toona", "Pithecellobium diversifolium", "Pithecellobium histrix", "Pithecellobium hymenaeifolium", "Pithecellobium lanceolatum", "Pithecellobium roseum", "Pithecellobium unguis-cati", "Pseudosamanea guachapele", "Serianthes nelsonii", "Wallaceodendron celebicum", "Zapoteca caracasana", "Zapoteca formosa", "Zapoteca portoricensis", "Zapoteca tetragona", "Zygia cataractae", "Zygia claviflora", "Zygia collina", "Zygia inaequalis", "Zygia juruana", "Zygia latifolia", "Zygia racemosa", "Zygia selloi", "Adenodolichos punctatus", "Bolusafra bituminosa", "Dunbaria circinalis", "Dunbaria heynei", "Dunbaria nivea", "Dunbaria punctata", "Dunbaria villosa", "Parmelia protosignifera", "Aequipecten opercularis", "Aphyosemion australe", "Aphyosemion australe f. gold", "Aphyosemion bivittatum", "Nothobranchius rachovii", "Nothobranchius eggersi", "Fundulopanchax gardneri", "Fundulopanchax scheeli", "Abra alba", "Adesmia exilis", "Adesmia filifolia", "Adesmia fuentesii", "Adesmia glomerula", "Adesmia incana", "Adesmia latifolia", "Adesmia microphylla", "Adesmia miraflorensis", "Adesmia muricata", "Adesmia parviflora", "Adesmia punctata", "Adesmia reclinata", "Adesmia retusa", "Adesmia smithiae", "Adesmia spinosissima", "Adesmia tenella", "Adesmia trijuga", "Parmelina tiliacea", "Parmelina pallida", "Parmelina whinrayi", "Dosinia exoleta", "Rhynchosia hosei", "Rhynchosia insignis", "Rhynchosia kilimandscharica", "Rhynchosia komatiensis", "Rhynchosia lineata", "Rhynchosia longeracemosa", "Rhynchosia longiracemosa", "Rhynchosia luteola", "Rhynchosia malacophylla", "Rhynchosia mannii", "Rhynchosia micrantha", "Rhynchosia minima", "Rhynchosia monophylla", "Rhynchosia namaensis", "Rhynchosia nervosa", "Rhynchosia nitens", "Rhynchosia minima var. nuda", "Rhynchosia nyasica", "Rhynchosia oblatifoliata", "Rhynchosia parviflora", "Rhynchosia pentheri", "Rhynchosia phaseoloides", "Rhynchosia precatoria", "Rhynchosia procurrens", "Rhynchosia pseudocajan", "Rhynchosia pulverulenta", "Rhynchosia pycnostachya", "Rhynchosia pyramidalis", "Rhynchosia reniformis", "Rhynchosia reptabunda", "Rhynchosia resinosa", "Rhynchosia reticulata", "Rhynchosia rothii", "Rhynchosia rufescens", "Rhynchosia schimperi", "Rhynchosia senna", "Rhynchosia sordida", "Rhynchosia stipata", "Rhynchosia sublobata", "Rhynchosia swynnertonii", "Rhynchosia thorncroftii", "Rhynchosia tomentosa", "Rhynchosia totta", "Rhynchosia tricuspidata", "Rhynchosia usambarensis", "Rhynchosia velutina", "Rhynchosia venulosa", "Rhynchosia verdcourtii", "Rhynchosia villosa", "Rhynchosia viscosa", "Rhynchosia volubilis", "Adesmia bicolor", "Adesmia boronioides", "Adesmia capitellata", "Adesmia emarginata", "Danthonia intermedia", "Danthonia montevidensis", "Danthonia parryi", "Danthonia rhizomata", "Danthonia sericea", "Danthonia spicata", "Monachather paradoxa", "Pentaschistis borussica", "Pentaschistis pallida", "Pentaschistis setifolia", "Pentaschistis triseta", "Schismus arabicus", "Schismus barbatus", "Schismus inermis", "Tribolium echinatum", "Tribolium hispidum", "Tribolium obliterum", "Tribolium uniolae", "Dasypyrum villosum", "Eremopyrum bonaepartis", "Eremopyrum distans", "Eremopyrum orientale", "Eremopyrum triticeum", "Henrardia persica", "Heteranthelium piliferum", "Hordelymus europaeus", "Parmeliopsis ambigua", "Leymus aemulans", "Leymus ajanensis", "Cotyledon barbeyi", "Cotyledon orbiculata", "Cotyledon papillaris", "Cibotium barometz", "Parauchenipterus paseae", "Cibotium chamissoi", "Cibotium regale", "Dicksonia antarctica", "Dicksonia arborescens", "Dicksonia squarrosa", "Dicksonia archboldii", "Dicksonia baudouini", "Dicksonia berteriana", "Dicksonia blumei", "Dicksonia brackenridgei", "Dicksonia domingensis", "Dicksonia externa", "Dicksonia fibrosa", "Dicksonia grandis", "Dicksonia herbertii", "Dicksonia hieronymi", "Dicksonia lanata", "Dicksonia lanigera", "Dicksonia mollis", "Dicksonia sciurus", "Dicksonia sellowiana", "Dicksonia stuebelli", "Dicksonia thyrsopteroides", "Dicksonia youngiae", "Acalypha arvensis", "Acalypha communis", "Acalypha fruticosa", "Parmeliopsis capitata", "Leymus akmolinensis", "Leymus alaicus", "Leymus ambiguus", "Leymus angustus", "Leymus arenarius", "Leymus chinensis", "Leymus cinereus", "Parmeliopsis subambigua", "Leymus condensatus", "Leymus divaricatus", "Leymus erianthus", "Leymus flavescens", "Leymus flexilis", "Leymus innovatus", "Leymus involutus", "Leymus karelinii", "Leymus mollis", "Leymus multicaulis", "Leymus multiflorus", "Leymus paboanus", "Leymus pacificus", "Leymus pseudoracemosus", "Leymus racemosus", "Leymus ramosus", "Leymus salina", "Leymus secalinus", "Leymus simplex", "Leymus tianschanicus", "Leymus triticoides", "Leymus vancouverensis", "Psathyrostachys caduca", "Psathyrostachys fragilis", "Psathyrostachys huashanica", "Psathyrostachys juncea", "Psathyrostachys kronenburgii", "Psathyrostachys lanuginosa", "Psathyrostachys ruprestris", "Psathyrostachys stoloniformis", "Secale cereale", "Secale sylvestre", "Secale vavilovii", "Triticum aestivum", "Triticum monococcum", "Imshaugia evernica", "Cetrelia monachorum", "Cetrelia olivetorum", "Theloderma corticale", "Crassula alba", "Crassula capitella", "Crassula tomentosa", "Crassula arborescens", "Crassula atropurpurea", "Crassula cotyledonis", "Crassula nudicaulis", "Crassula subaphylla", "Crassula barklyi", "Crassula columnaris", "Crassula pyramidalis", "Crassula brevifolia", "Crassula perforata", "Crassula rupestris", "Crassula coccinea", "Crassula corallina", "Crassula deltoidea", "Crassula grisea", "Crassula hirtipes", "Crassula lanuginosa", "Crassula namaquensis", "Crassula sericea", "Crassula muscosa", "Crassula orbicularis", "Crassula perfoliata", "Crassula tetragona", "Arctica islandica", "Donax denticulatus", "Donax trunculus", "Parmelina quercina", "Parmelina pastillifera", "Flemingia chappar", "Flemingia faginea", "Flemingia grahamiana", "Flemingia lineata", "Flemingia macrophylla", "Flemingia philippinensis", "Flemingia procumbens", "Flemingia prostrata", "Flemingia semialata", "Flemingia strobilifera", "Rhynchosia adenodes", "Rhynchosia albissima", "Rhynchosia americana", "Rhynchosia angulosa", "Rhynchosia aurea", "Rhynchosia balansae", "Rhynchosia brunnea", "Rhynchosia buchananii", "Rhynchosia burkartii", "Rhynchosia candida", "Rhynchosia capensis", "Rhynchosia capitata", "Rhynchosia caribaea", "Rhynchosia ciliata", "Rhynchosia clivorum", "Rhynchosia confusa", "Rhynchosia cooperi", "Rhynchosia corylifolia", "Rhynchosia cunninghamii", "Rhynchosia cytisoides", "Rhynchosia densiflora", "Rhynchosia discolor", "Rhynchosia divaricata", "Rhynchosia diversifolia", "Rhynchosia edulis", "Rhynchosia fleckii", "Rhynchosia goetzei", "Rhynchosia harveyi", "Rhynchosia himalensis", "Rhynchosia hirsuta", "Rhynchosia hirta", "Rhynchosia holosericea", "Rhynchosia holstii", "Cetrelia isidiata", "Cetrelia japonica", "Pharus legumen", "Cetrelia nuda", "Cetrelia pseudolivetorum", "Cetrelia sanguinea", "Spisula solida", "Spisula subtruncata", "Strigilla carnaria", "Loriculus camiguinensis", "Tellina fabula", "Tellina listeri", "Tellina tenuis", "Pseudois nayaur", "Neophocaena phocaenoides", "Venerupis senegalensis", "Chloeia flava", "Venus verrucosa", "Menegazzia asahinae", "Menegazzia dissecta", "Triticum ispahanicum", "Triticum timopheevii", "Triticum timococcum", "Triticum turgidum", "Triticum urartu", "Aneides lugubris", "Platismatia erosa", "Platismatia interrupta", "Platismatia norvegica", "Platismatia stenophylla", "Platismatia tuckermanii", "Cladonia angustata", "Cladonia dissimilis", "Cladonia fruticulosa", "Cladonia hokkaidensis", "Cladonia hondoensis", "Cladonia inobeana", "Cladonia japonica", "Cladonia koyaensis", "Cladonia krempelhuberi", "Cladonia norikurensis", "Cladonia pseudodidyma", "Cladonia pseudogymnopoda", "Cladonia pseudohondoensis", "Cladonia shikokiana", "Cladonia subconistea", "Cladonia subdecaryana", "Cladonia submultiformis", "Cladonia substrepsilis", "Cladonia yunnana", "Pilophorus curtulus", "Mactra corallina", "Mysella bidentata", "Cetrelia braunsiana", "Acalypha infesta", "Acalypha lanceolata", "Acalypha scandens", "Acalypha siamensis", "Acalypha wilkesiana", "Acalypha alopecuroidea", "Ensis directus", "Evernia esorediosa", "Evernia mesomorpha", "Evernia perfragilis", "Letharia columbiana", "Ricinus communis", "Endospermum diadenum", "Endospermum medullosum", "Endospermum moluccanum", "Endospermum peltatum", "Omphalea diandra", "Omphalea megacarpa", "Omphalea oleifera", "Omphalea queenslandiae", "Omphalea triandra", "Reutealis trisperma", "Vernicia cordata", "Vernicia fordii", "Vernicia montana", "Arthropodium candidum", "Chionochloa frigida", "Andira nitida", "Menegazzia subsimilis", "Menegazzia aeneofusca", "Menegazzia caesiopruinosa", "Menegazzia caliginosa", "Menegazzia castanea", "Menegazzia confusa", "Menegazzia conica", "Menegazzia corrugata", "Menegazzia elongata", "Menegazzia enteroxantha", "Menegazzia eperforata", "Menegazzia fissicarpa", "Menegazzia globulifera", "Menegazzia grandis", "Menegazzia inactiva", "Menegazzia kantvilasii", "Menegazzia jamesii", "Menegazzia minuta", "Menegazzia myriotrema", "Menegazzia norstictica", "Menegazzia nothofagi", "Menegazzia platytrema", "Menegazzia pertransita", "Menegazzia prototypica", "Menegazzia subbullata", "Menegazzia subpertusa", "Menegazzia testacea", "Menegazzia ultralucens", "Cortaderia selloana", "Cortaderia araucana", "Cortaderia bifida", "Cortaderia jubata", "Cortaderia pilosa", "Cortaderia rudiuscula", "Danthonia alpina", "Danthonia californica", "Danthonia cirrata", "Danthonia compressa", "Danthonia decumbens", "Cotoneaster integerrimus", "Cotoneaster karatavicus", "Cotoneaster konishii", "Cotoneaster lucidus", "Cotoneaster melanocarpus", "Cotoneaster microphyllus", "Cotoneaster morrisonensis", "Cotoneaster moupinensis", "Cotoneaster multiflorus", "Cotoneaster nebrodensis", "Cotoneaster newryensis", "Cotoneaster nitens", "Cotoneaster nitidifolius", "Cotoneaster nitidus", "Cotoneaster nummularioides", "Cotoneaster nummularius", "Cotoneaster obovatus", "Cotoneaster obscurus", "Cotoneaster oliganthus", "Cotoneaster pannosus", "Cotoneaster przewalskii", "Cotoneaster racemiflorus", "Cotoneaster reticulatus", "Cotoneaster rhytidophyllus", "Cotoneaster roseus", "Cotoneaster rotundifolius", "Cotoneaster rubens", "Cotoneaster salicifolius", "Cotoneaster saxatilis", "Cotoneaster shansiensis", "Cotoneaster sikangensis", "Cotoneaster sikkimensis", "Cotoneaster silvestrii", "Cotoneaster simonsii", "Cotoneaster soczavianus", "Cotoneaster soongoricus", "Cotoneaster splendens", "Cotoneaster tauricus", "Cotoneaster tenuipes", "Cotoneaster tumeticus", "Cotoneaster turbinatus", "Cotoneaster uniflorus", "Cotoneaster wardii", "Cotoneaster watereri", "Cotoneaster wilsonii", "Cotoneaster zabelii", "Cotoneaster zeravschanicus", "Crataegus aestivalis", "Crataegus laevigata", "Crataegus mollis", "Crataegus monogyna", "Crataegus ambigua", "Crataegus arborea", "Crataegus azarolus", "Buccinum undatum", "Hagenia abyssinica", "Spenceria ramalana", "Cotoneaster acuminatus", "Cotoneaster acutifolius", "Cotoneaster adpressus", "Cotoneaster affinis", "Cotoneaster albokermesirus", "Cotoneaster allochrous", "Cotoneaster ambiguus", "Cotoneaster amoenus", "Cotoneaster apiculatus", "Cotoneaster bacillaris", "Cotoneaster bullatus", "Cotoneaster buxifolius", "Cotoneaster calocarpus", "Cotoneaster cinnabarinus", "Cotoneaster coriaceus", "Cotoneaster crispii", "Cotoneaster dammeri", "Cotoneaster dielsianus", "Cotoneaster divaricatus", "Cotoneaster foveolatus", "Cotoneaster franchetii", "Cotoneaster frigidus", "Cotoneaster glabratus", "Cotoneaster glaucophyllus", "Cotoneaster gracilis", "Cotoneaster granatensis", "Cotoneaster harrovianus", "Cotoneaster harrysmithii", "Cotoneaster hebephyllus", "Cotoneaster henryanus", "Cotoneaster hissaricus", "Cotoneaster horizontalis", "Cotoneaster ignavus", "Cotoneaster insignis", "Vimba vimba", "Agave polianthiflora", "Amaranthus graecizans", "Bunolagus monticularis", "Coffea ambanjensis", "Coffea zanguebariae", "Scolelepis squamata", "Coffea arabica", "Coffea canephora", "Sigalion mathildae", "Chiococca alba", "Hymenodictyon orixense", "Mitragyna parvifolia", "Mitragyna speciosa", "Rogiera amoena", "Rondeletia odorata", "Rondeletia stipularis", "Coffea abbayesii", "Psilocybe inquilina", "Crataegus beata", "Crataegus calpodendron", "Crataegus canadensis", "Crataegus chlorocarpa", "Crataegus chlorosarca", "Crataegus chrysocarpa", "Crataegus coccinioides", "Crataegus coleae", "Crataegus crus-galli", "Crataegus cuneata", "Crataegus dahurica", "Crataegus disperma", "Crataegus douglasii", "Crataegus engelmannii", "Crataegus erythropoda", "Crataegus flabellata", "Crataegus flava", "Crataegus fulleriana", "Crataegus harbisonii", "Crataegus holmesiana", "Crataegus intricata", "Crataegus iracunda", "Crataegus irrasa", "Crataegus jesupii", "Crataegus jonesiae", "Crataegus kansuensis", "Crataegus macrosperma", "Crataegus maximowiczii", "Crataegus mexicana", "Crataegus nigra", "Crataegus nitida", "Crataegus opaca", "Crataegus orientalis", "Crataegus pennsylvanica", "Crataegus pentagyna", "Crataegus persimilis", "Crataegus phaenopyrum", "Crataegus pinnatifida", "Crataegus pringlei", "Crataegus pruinosa", "Crataegus punctata", "Haliotis tuberculata", "Echinolittorina ziczac", "Tibia insulaechorab", "Sepiola atlantica", "Parmelia adaugescens", "Parmelia angustifolia", "Nipponoparmelia laevior", "Parmelia marmariza", "Parmelia marmorophylla", "Parmelia praesquarrosa", "Nipponoparmelia pseudolaevior", "Parmelia pseudoshinanoana", "Parmelia shinanoana", "Parmelia subdivaricata", "Aphrodita aculeata", "Pseudephebe minuscula", "Crataegus wattiana", "Crataegus viridis", "Crataegus uniflora", "Crataegus tanacetifolia", "Crataegus succulenta", "Crataegus suborbiculata", "Crataegus submollis", "Crataegus spathulata", "Crataegus scabrida", "Crataegus sanguinea", "Crataegus rufula", "Crataegus rivularis", "Crataegus rhipidophylla", "Razafimandimbisonia sambiranensis", "Carabus cavernosus", "Pseudogaurotina magnifica", "Pseudogaurotina splendens", "Carabus graecus", "Coffea affinis", "Coffea pervilleana", "Coffea littoralis", "Carabus pisidicus", "Carabus tamsi", "Carabus trojanus", "Coffea mcphersonii", "Coffea ratsimamangae", "Coffea ankaranensis", "Coffea sambavensis", "Allactaga firouzi", "Caldisphaera lagunensis", "Ortalis motmot motmot", "Acronychia laevis", "Pimenta dioica", "Tinca tinca", "Nephtys cirrosa", "Nephtys hombergii", "Littorella uniflora", "Dichotomanthes tristaniicarpa", "Docynia delavayi", "Docynia indica", "Eriobotrya japonica", "Rhaphiolepis deflexa", "Rhaphiolepis dubia", "Eriobotrya hookeriana", "Eriobotrya petiolata", "Hesperomeles ferruginea", "Hesperomeles obtusifolia", "Heteromeles arbutifolia", "Crataegus sect.", "Crataegus \u00d7 canescens", "Crataegus germanica", "Osteomeles schweriniae", "Osteomeles subrotunda", "Pseudocydonia sinensis", "Pyracantha angustifolia", "Pyracantha atalantioides", "Pyracantha coccinea", "Pyracantha crenatoserrata", "Pyracantha crenulata", "Pyracantha koidzumii", "Merrillia caloxylon", "Agathiphaga queenslandensis", "Agathiphaga vitiensis", "Micromelum integerrimum", "Micromelum minutum", "Micromelum pubescens", "Micromelum scandens", "Murraya koenigii", "Murraya alata", "Murraya alternans", "Murraya crenulata", "Murraya paniculata", "Heterobathmia diffusa", "Heterobathmia pseuderiocrania", "Heterobathmia valvifer", "Severinia buxifolia", "Severinia disticha", "Severinia linearis", "Severinia paniculata", "Severinia retusa", "Swinglea glutinosa", "Chloroxylon swietenia", "Flindersia australis", "Flindersia bennettiana", "Flindersia brayleyana", "Flindersia ifflaiana", "Flindersia maculosa", "Flindersia pimenteliana", "Flindersia schottiana", "Flindersia xanthoxyla", "Sycetta asconoides", "Grantia capillosa", "Grantia compressa", "Grantia intermedia", "Grantia singularis", "Grantia comoxensis", "Dicyemennea gracile", "Dicyemennea lameerei", "Dicyemennea eledones", "Pleodicyema delamarei", "Dicyema acciacatum", "Dicyema acheroni", "Dicyema acuticephalum", "Dicyema aegira", "Dicyema akashiense", "Dicyema apalachiensis", "Dicyema apollyoni", "Dicyema australis", "Dicyema awajiense", "Dicyema balanocephalum", "Dicyema banyulensis", "Dicyema benedeni", "Dicyema benthoctopi", "Dicyema bilobum", "Dicyema briarei", "Dicyema caudatum", "Dicyema clavatum", "Dicyema colurum", "Dicyema dolichocephalum", "Dicyema erythrum", "Dicyema ganapatii", "Dicyema hadrum", "Dicyema helocephalum", "Dicyema hypercephalum", "Dicyema irinoense", "Dicyema japonicum", "Dicyema knoxi", "Dicyema koshidai", "Dicyema leiocephalum", "Dicyema lycidoeceum", "Dicyema macrocephalum", "Dicyema madrasensis", "Dicyema maorum", "Dicyema megalocephalum", "Dicyema microcephalum", "Dicyema misakiense", "Dicyema monodi", "Dicyema moschatum", "Dicyema nouveli", "Dicyema octopusi", "Dicyema oligomerum", "Dicyema orientale", "Dicyema paradoxum", "Dicyema plathycephalum", "Dicyema rhadinum", "Dicyema robsonellae", "Dicyema rondeletiolae", "Dicyema schulzianum", "Dicyema shorti", "Dicyema sphaerocephalum", "Dicyema sphyrocephalum", "Dicyema sullivani", "Dicyema tosaense", "Dicyema typoides", "Dicyema typus", "Dicyema whitmani", "Dicyema balamuthi", "Acharagma roseanum", "Aztekium hintonii", "Aztekium ritteri", "Clausena anisum-olens", "Clausena dentata", "Clausena excavata", "Clausena harmandiana", "Clausena heptaphylla", "Clausena indica", "Clausena lansium", "Glycosmis angustifolia", "Glycosmis boreana", "Glycosmis chlorosperma", "Glycosmis cochinchinensis", "Glycosmis collina", "Glycosmis crassifolia", "Glycosmis cyanocarpa", "Glycosmis decipiens", "Glycosmis dinhensis", "Glycosmis elongata", "Glycosmis erythrocarpa", "Glycosmis esquirolii", "Glycosmis gracilis", "Glycosmis greenei", "Glycosmis longipes", "Glycosmis longisepala", "Glycosmis macrantha", "Cherax destructor", "Glycosmis macrocarpa", "Glycosmis macrophylla", "Glycosmis mansiana", "Glycosmis mauritiana", "Glycosmis ovoidea", "Glycosmis parkinsonii", "Glycosmis parva", "Glycosmis parviflora", "Glycosmis pentaphylla", "Glycosmis perakensis", "Glycosmis petelotii", "Glycosmis pierrei", "Glycosmis pilosa", "Glycosmis pseudoracemosa", "Glycosmis pseudosapindoides", "Glycosmis puberula", "Glycosmis singuliflora", "Glycosmis stenura", "Glycosmis subopposita", "Glycosmis sumatrana", "Glycosmis superba", "Glycosmis tetracronia", "Glycosmis tomentella", "Glycosmis trichanthera", "Glycosmis trifoliata", "Casimiroa edulis", "Casimiroa greggii", "Casimiroa pringlei", "Casimiroa sapota", "Casimiroa tetrameria", "Phellodendron amurense", "Phellodendron chinense", "Phellodendron japonicum", "Phellodendron lavalleei", "Skimmia anquetilia", "Skimmia arborescens", "Skimmia \u00d7 confusa", "Skimmia \u00d7 foremanii", "Skimmia japonica", "Skimmia laureola", "Skimmia reevesiana", "Atalantia ceylanica", "Atalantia citroides", "Atalantia guillauminii", "Atalantia hainanensis", "Atalantia macrophylla", "Atalantia monophylla", "Atalantia racemosa", "Atalantia rotundifolia", "Atalantia roxburghiana", "Atalantia simplicifolia", "Atalantia wightii", "Clausena anisata", "Carettochelys insculpta", "Vanessa itea", "Acharagma aguirreanum", "Noticastrum calvatum", "Pachystegia insignis", "Pentachaeta bellidiflora", "Pentachaeta lyonii", "Petradoria pumila", "Remya kauaiensis", "Remya mauiensis", "Remya montgomeryi", "Rigiopappus leptocladus", "Tetramolopium arenarium", "Tetramolopium capillare", "Tetramolopium conyzoides", "Tetramolopium filiforme", "Tetramolopium lepidotum", "Tetramolopium remyi", "Tetramolopium rockii", "Vittadinia australis", "Vittadinia trifurcata", "Vittadinia triloba", "Xanthisma texanum", "Xylorhiza glabriuscula", "Xylorhiza tortifolia", "Xylorhiza venusta", "Chaetadelpha wheeleri", "Pyrrhopappus carolinianus", "Pyrrhopappus pauciflorus", "Pyrus bretschneideri", "Pyrus calleryana", "Pyrus communis", "Pyrus pyrifolia", "Pyrus salicifolia", "Pyrus betulifolia", "Pyrus boissieriana", "Pyrus \u00d7 canescens", "Pyrus \u00d7 complexa", "Pyrus cordata", "Pyrus elaeagrifolia", "Pyrus glabra", "Pyrus calleryana var. koehnei", "Pyrus korshinskyi", "Pyrus lecontei", "Pyrus \u00d7 michauxii", "Pyrus pashia", "Pyrus pseudopashia", "Pyrus regelii", "Pyrus sachokiana", "Pyrus syriaca", "Pyrus taiwanensis", "Pyrus turcomanica", "Pyrus ussuriensis", "Pyrus xerophila", "Rhaphiolepis indica", "Acer granatense", "Vulpes rueppellii", "Vulpes pallida", "Vulpes macrotis", "Vulpes ferrilata", "Vulpes corsac", "Vulpes chama", "Vulpes bengalensis", "Vulpes zerda", "Chrysocyon brachyurus", "Speothos venaticus", "Atelocynus microtis", "Sthenelais boa", "Elacatinus atronasus", "Elacatinus chancei", "Elacatinus evelynae", "Elacatinus figaro", "Elacatinus genie", "Elacatinus horsti", "Elacatinus illecebrosum", "Elacatinus jarocho", "Elacatinus lori", "Elacatinus louisae", "Elacatinus oceanops", "Elacatinus pridisi", "Elacatinus prochilos", "Elacatinus randalli", "Elacatinus tenox", "Elacatinus xanthiprora", "Fallugia paradoxa", "Geum aleppicum", "Geum macrophyllum", "Geum rivale", "Geum urbanum", "Geum borisii", "Geum calthifolium", "Geum canadense", "Geum coccineum", "Geum geniculatum", "Geum molle", "Geum peckii", "Sieversia pentapetala", "Geum quellyon", "Geum radiatum", "Geum rossii", "Geum triflorum", "Geum vernum", "Geum fragarioides", "Geum ternatum", "Amellus asteroides subsp. asteroides", "Bellium bellidioides", "Bellium crassifolium", "Bellium minutum", "Boltonia asteroides", "Boltonia decurrens", "Boltonia lautureana", "Celmisia armstrongii", "Celmisia coriacea", "Celmisia discolor", "Celmisia holosericea", "Celmisia incana", "Celmisia longifolia", "Celmisia lyallii", "Celmisia major", "Celmisia novae-zelandiae", "Celmisia saxifraga", "Celmisia spectabilis", "Celmisia verbascifolia", "Celmisia walkeri", "Chaetopappa asteroides", "Chaetopappa ericoides", "Euthamia graminifolia", "Euthamia gymnospermoides", "Euthamia occidentalis", "Heterotheca camporum", "Heterotheca grandiflora", "Heterotheca inuloides", "Heterotheca jonesii", "Heterotheca sessiliflora", "Heterotheca subaxillaris", "Heterotheca villosa", "Hysterionica pinifolia", "Aster mongolicus", "Machaeranthera tanacetifolia", "Coffea bakossii", "Coffea bertrandii", "Coffea betamponensis", "Coffea boiviniana", "Mecynorhinella ugandensis", "Vicugna vicugna", "Lama guanicoe", "Valantia lainzii", "Kyopoda lamberti", "Soroseris glomerata", "Lactuca tuberosa", "Ainsliaea pteropoda", "Cyathocline purpurea", "Moscharia pinnatifida", "Perdicium niveum", "Pertya sinensis", "Tarchonanthus camphoratus", "Acanthostyles buniifolius", "Decachaeta haenkeana", "Pleurocoronis laphamioides", "Pleurocoronis pluriseta", "Physignathus cocincinus", "Depastromorpha africana", "Depastrum cyathiforme", "Halimocyathus platypus", "Kishinouyea nagatensis", "Lucernariopsis campanulata", "Lucernariopsis cruxmelitensis", "Lucernariopsis vanhoeffeni", "Sasakiella cruciformis", "Sasakiella tsingtaoensis", "Coffea subg.", "Coffea subg.", "Coffea ambongensis", "Coffea decaryana", "Coffea humbertii", "Coffea vohemarensis", "Coffea vianneyi", "Gazella cuvieri", "Nanger dama", "Lamprocyclas aegles", "Lamprocyclas junonis", "Lamprocyclas margatensis", "Lamprocyclas maritalis", "Lamprocyclas nuptialis", "Lamprocyrtis daniellae", "Lamprocyrtis haysi", "Lamprocyrtis neoheteroporos", "Lamprocyrtis nigriniae", "Lamprocyrtis heteroporos", "Anthocyrtidium ehrenbergi", "Anthocyrtidium ophirensis", "Anthocyrtidium zanguebaricum", "Pterocorys clausus", "Pterocorys hertwigii", "Pterocorys hirundo", "Pterocorys longicollis", "Pterocorys minythorax", "Pterocorys campanula", "Theocyrtis diabolensis", "Theocotyle venezuelensis", "Axocorys macroceros", "Theocotyle conica", "Theocotyle cryptocephala", "Theocotyle nigriniae", "Lamptonium pennatum", "Lamptonium sanfilippoae", "Lamptonium fabaeforme", "Lamptonium fabaeforme chaunothorax", "Lamptonium fabaeforme constrictum", "Lamptonium fabaeforme fabaeforme", "Thyrsocyrtis bromia", "Thyrsocyrtis clausa", "Thyrsocyrtis hirsuta", "Thyrsocyrtis lochites", "Thyrsocyrtis rhizodon", "Thyrsocyrtis robusta", "Thyrsocyrtis tarsipes", "Thyrsocyrtis tensa", "Thyrsocyrtis tetracantha", "Thyrsocyrtis triacantha", "Stenoscyphus inabai", "Stylocoronella riedli", "Stylocoronella variabilis", "Coffea carrissoi", "Coffea congensis", "Lagotis stolonifera", "Argocoffeopsis eketensis", "Arctotheca populifolia", "Psacalium decompositum", "Atractylodes lancea", "Atractylodes macrocephala", "Calocycletta caepa", "Calocycletta cladara", "Calocycletta costata", "Calocycletta robusta", "Calocycletta serrata", "Calocycletta virginis", "Anthocyrtidium angulare", "Cryptocarpium azyx", "Cryptocarpium ornatum", "Theocorythium vetulum", "Theocyrtis annosa", "Theocyrtis tuberosa", "Lipkea ruspoliana", "Lipkea stephensoni", "Lipkea sturdzi", "Rhabdolithis pipa", "Argocoffeopsis afzelii", "Coffea bonnieri", "Helianthella uniflora", "Coffea brevipes", "Coffea bridsoniae", "Coffea buxifolia", "Usnea tamborensis", "Usnea taylorii", "Usnea torulosa", "Usnea trichodea", "Usnea trichodeoides", "Usnea tristis", "Usnea vainioi", "Usnea variegata", "Usnea wasmuthii", "Usnea wirthii", "Usnea xanthopoga", "Usnea yakushimensis", "Usnea bicolorata var. australiensis", "Usnea bicolorata var. bicolorata", "Usnea molliuscula subsp. molliuscula", "Usnea molliuscula subsp. queenslandica", "Usnea scabrida subsp. scabrida", "Usnea scabrida subsp. elegans", "Usnea scabrida subsp. tayloriana", "Usnea strigosa subsp. strigosa", "Usnea strigosa subsp. rubiginea", "Usnea strigosa subsp. major", "Usnea torulosa var. torulosa", "Usnea torulosa var. aurescens", "Coffea arenesiana", "Coffea augagneurii", "Xyloplax janetae", "Craterolophus convolvulus", "Craterolophus macrocystis", "Podocyrtis ampla", "Podocyrtis diamesa", "Podocyrtis dorus", "Usnea nidulifera", "Podocyrtis phyxis", "Usnea nipparensis", "Podocyrtis platypus", "Podocyrtis apeza", "Usnea occidentalis", "Usnea oncodeoides", "Usnea oncodes", "Usnea orientalis", "Usnea pachyclada", "Usnea pacificana", "Usnea pangiana", "Usnea pectinata", "Usnea pensylvanica", "Usnea perplectata", "Usnea perplexans", "Usnea praetervisa", "Usnea propagulifera", "Usnea pulvinata", "Usnea punctulata", "Usnea pycnoclada", "Usnea pygmoidea", "Usnea quasirigida", "Usnea ramillosa", "Usnea ramulosissima", "Usnea roseola", "Usnea rubicunda", "Usnea rubrotincta", "Usnea sanguinea", "Usnea scabiosa", "Usnea scabrata", "Usnea scabrida", "Usnea scholanderi", "Usnea shimadae", "Usnea silesiaca", "Usnea silvatica", "Usnea sphacelata", "Usnea spinulifera", "Usnea stuppea", "Usnea subalpina", "Usnea subeciliata", "Usnea subfloridana", "Usnea subfusca", "Usnea subgracilis", "Usnea subhirta", "Usnea subintumescens", "Usnea subscabrosa", "Usnea substerilis", "Bekoma bidartensis", "Bekoma campechensis", "Bekomiforma minx", "Orbula ducalis", "Buryella tetradica", "Buryella pentadica", "Buryella clinata", "Theocampe urceolus", "Bekoma divaricata", "Bekoma helenae", "Haliclystus auricula", "Bekoma demissa", "Bekoma demissa demissa", "Bekoma demissa robusta", "Bekoma oliva", "Buryella dumitricai", "Buryella foremanae", "Haliclystus borealis", "Buryella granulata", "Buryella helenae", "Buryella petrushevskayae", "Calocycletta anekathen", "Mauritia flexuosa", "Haliclystus kerguelensis", "Haliclystus octoradiatus", "Haliclystus salpinx", "Haliclystus stejnegeri", "Lucernaria australis", "Lucernaria bathyphila", "Lucernaria haeckeli", "Lucernaria infundibulum", "Lucernaria quadricornis", "Lucernaria sainthilarei", "Trichoderma aggressivum", "Lucernaria walteri", "Bupleurum falcatum", "Valantia muralis", "Trachemys scripta elegans", "Parmotrema subisidiosum", "Parmotrema submarginale", "Betula subg.", "Betula fruticosa", "Betula glandulosa", "Betula humilis", "Betula michauxii", "Parmotrema subpallescens", "Parmotrema subrigidum", "Parmotrema subrugatum", "Parmotrema subsumptum", "Betula alnoides", "Betula maximowicziana", "Paralithodes camtschaticus", "Parmotrema zollingeri", "Quillaja saponaria", "Aparisthmium cordatum", "Anemone hortensis", "Parmotrema subtinctorium", "Parmotrema sulphuratum", "Parmotrema tinctorum", "Parmotrema ultralucens", "Parmotrema upretii", "Parmotrema xanthinum", "Tesserantha connectens", "Centratherum punctatum", "Eremanthus arboreus", "Eremanthus incanus", "Eremanthus polycephalus", "Erlangea laxa", "Ethulia conyzoides", "Lessingia arachnoidea", "Lessingia germanorum", "Stilpnopappus bicolor", "Stilpnopappus patulus", "Stilpnopappus speciosus", "Glebionis carinata", "Glebionis segetum", "Leptinella dioica", "Leptinella maniototo", "Leptinella squalida", "Artemisia simplex", "Enceliopsis covillei", "Enceliopsis nudicaulis", "Heliomeris longifolia", "Heliomeris multiflora", "Iostephane heterophylla", "Leptocarpha rivularis", "Sclerocarpus divaricatus", "Doryphora sassafras", "Coffea commersoniana", "Carybdea alata", "Carybdea aurifera", "Carybdea marsupialis", "Carybdea rastoni", "Pseudomonas aeruginosa", "Parmotrema abessinicum", "Parmotrema abnuens", "Parmotrema affluens", "Parmotrema aldabrense", "Parmotrema andinum", "Parmotrema appendiculatum", "Usnea fibrillosa", "Tetraplatia volitans", "Usnea filipendula", "Usnea finkii", "Usnea flammea", "Usnea flavocardia", "Usnea floriformis", "Usnea foveata", "Usnea fragilescens", "Usnea freyi", "Usnea fulvoreagens", "Usnea furfurosula", "Usnea fuscorubens", "Usnea glabrescens", "Usnea graciosa", "Usnea hakonensis", "Usnea halei", "Usnea hesperina", "Usnea himalayana", "Usnea himantodes", "Usnea hossei", "Usnea inermis", "Usnea intumescens", "Usnea koyana", "Usnea lapponica", "Usnea leucosticta", "Usnea longissima", "Coffea alleizettii", "Usnea maculata", "Usnea madeirensis", "Usnea mekista", "Usnea merrillii", "Podocyrtis papalis", "Usnea michauxii", "Usnea mirabilis", "Usnea molliuscula", "Coffea andrambovatensis", "Podocyrtis acalles", "Usnea monstruosa", "Podocyrtis chalara", "Usnea mutabilis", "Podocyrtis fasciolata", "Podocyrtis goetheana", "Podocyrtis helenae", "Podocyrtis mirabilis", "Podocyrtis mitra", "Usnea nashii", "Podocyrtis sinuosa", "Usnea nidifica", "Podocyrtis trachodes", "Usnea nidulans", "Lithomelissa tricornis", "Lophophaena mugaica", "Carybdea xaymacana", "Gerongia rifkinae", "Manokia stiasnyi", "Cordyline australis", "Leuconostoc carnosum", "Tamoya gargantua", "Tamoya haplonema", "Acanthodesmia micropora", "Acanthodesmia vinculata", "Bathropyramis magnifica", "Bathropyramis woodringi", "Tripedalia binata", "Tripedalia cystophora", "Asperula arcadiensis", "Foeniculum vulgare", "Lachesis melanocephala", "Usnea aciculifera", "Usnea aculeata", "Usnea affinis", "Usnea alboverrucata", "Usnea alpina", "Usnea amabilis", "Usnea amblyoclada", "Usnea ammannii", "Usnea angulata", "Usnea arida", "Usnea articulata", "Usnea australis", "Usnea baileyi", "Usnea barbata", "Usnea bicolorata", "Usnea bismolliuscula", "Usnea californica", "Usnea capillaris", "Usnea catenulata", "Usnea cavernosa", "Usnea ceratina", "Usnea chaetophora", "Usnea cirrosa", "Usnea condensata", "Usnea confusa", "Usnea cornuta", "Usnea cristatula", "Usnea dasaea", "Usnea deformis", "Usnea diffracta", "Usnea dimorpha", "Usnea diplotypus", "Usnea dorogawensis", "Usnea duriuscula", "Usnea effusa", "Usnea elata", "Usnea elixii", "Usnea endochrysea", "Usnea erinacea", "Usnea esperantiana", "Tetraplatia chuni", "Usnea evansii", "Atherosperma moschatum", "Laurelia novae-zelandiae", "Laurelia sempervirens", "Batis argillicola", "Diphylleia cymosa", "Diphylleia grayi", "Diphylleia sinensis", "Jeffersonia diphylla", "Vancouveria chrysantha", "Vancouveria hexandra", "Vancouveria planipetala", "Betula subg.", "Betula chinensis", "Betula costata", "Betula ermanii", "Betula potaninii", "Betula raddeana", "Betula schmidtii", "Betula utilis", "Betula alleghaniensis", "Betula corylifolia", "Betula globispica", "Betula grossa", "Betula medwediewii", "Parmotrema acrotrychum", "Parmotrema adspersum", "Parmotrema arnoldii", "Parmotrema austrocetratum", "Parmotrema austrosinense", "Parmotrema cetratum", "Clostridium perfringens", "Parmotrema circinatum", "Parmotrema clavuliferum", "Parmotrema commensuratum", "Parmotrema conferendum", "Parmotrema consors", "Parmotrema convolutum", "Parmotrema cooperi", "Parmotrema crinitoides", "Parmotrema crinitum", "Parmotrema cristiferum", "Parmotrema defectum", "Argocoffeopsis lemblinii", "Parmotrema demethylmicrophyllinicum", "Coffea costatifructa", "Coffea coursiana", "Drosanthemum speciosum", "Parmotrema spilotum", "Parmotrema subcoloratum", "Parmotrema subcorallinum", "Parmotrema subschimperi", "Parmotrema uberrimum", "Parmotrema uruguense", "Parmotrema viridiflavum", "Parmotrema wainii", "Oxalis corymbosa", "Lithomelissa microptera", "Lithomelissa brevispicula", "Lithomelissa hystrix", "Lithomelissa laticeps", "Lithomelissa pentacantha", "Lithomelissa robusta", "Lithomelissa setosa", "Lithomelissa sphaerocephalis", "Lithomelissa stigi", "Lithomelissa thoracites", "Eunereis longissima", "Crataegus biltmoreana", "Crataegus boyntonii", "Crataegus coccinea", "Crataegus collina", "Crataegus disjuncta", "Crataegus durobrivensis", "Crataegus fecunda", "Crataegus ferganensis", "Crataegus floridana", "Crataegus gracilior", "Crataegus \u00d7 grignonensis", "Crataegus hissarica", "Crataegus hupehensis", "Crataegus \u00d7 incaedua", "Crataegus \u00d7 kyrtostyla", "Crataegus \u00d7 lauta", "Crataegus \u00d7 lavalleei", "Crataegus macracantha", "Crataegus \u00d7 media", "Crataegus meyeri", "Crataegus microphylla", "Crataegus \u00d7 mordenensis", "Crataegus neobushii", "Crataegus noelensis", "Crataegus oresbia", "Crataegus pontica", "Crataegus \u00d7 pseudoambigua", "Crataegus \u00d7 pseudoazarolus", "Crataegus pseudoheterophylla", "Crataegus pubescens", "Crataegus rubella", "Crataegus scabrifolia", "Crataegus songarica", "Crataegus sphaenophylla", "Crataegus stevenii", "Crataegus stonei", "Crataegus tianschanica", "Crataegus \u00d7 tournefortii", "Crataegus turkestanica", "Crataegus wilsonii", "Proatelurina pseudolepisma", "Ipomoea subg.", "Ipomoea barbatisepala", "Ipomoea dichroa", "Ipomoea ficifolia", "Ipomoea hederacea", "Ipomoea indica", "Ipomoea lindheimeri", "Ipomoea nil", "Ipomoea orizabensis", "Ipomoea pes-tigridis", "Ipomoea pubescens", "Ipomoea purpurea", "Ipomoea setifera", "Ipomoea stans", "Ipomoea thurberi", "Ipomoea subg.", "Chiropsalmus alipes", "Chiropsalmus quadrigatus", "Chiropsalmus quadrumanus", "Chiropsalmus zygonema", "Chirodectes maculatus", "Chirodropus gorilla", "Chirodropus palmatus", "Chironex fleckeri", "Parmotrema alidactylatum", "Parmotrema apricum", "Parmotrema aptrootii", "Parmotrema arteagum", "Parmotrema balense", "Parmotrema barioense", "Parmotrema betaniae", "Parmotrema blanchetianum", "Parmotrema brasiliense", "Parmotrema cachimboense", "Parmotrema catarinae", "Parmotrema ciliiferum", "Parmotrema concurrens", "Parmotrema confusum", "Parmotrema conjunctum", "Parmotrema cryptoxanthoides", "Sherardia arvensis", "Parmotrema deflectens", "Parmotrema degelianum", "Telmatobius culeus", "Parmotrema durumae", "Parmotrema enteroxanthum", "Parmotrema erhizinosum", "Parmotrema exquisitum", "Parmotrema flaccidifolium", "Parmotrema flavomedullosum", "Parmotrema fragilescens", "Parmotrema fraudans", "Parmotrema gibberosum", "Parmotrema gloriosum", "Parmotrema gradsteinii", "Parmotrema hensseniae", "Parmotrema hypomiltoides", "Parmotrema hicksii", "Parmotrema incrassatum", "Parmotrema indicum", "Parmotrema isidioinsuetum", "Parmotrema jacarandicola", "Parmotrema kahuziense", "Parmotrema kainantum", "Parmotrema kaisenikianum", "Parmotrema kamatii", "Parmotrema laciniatulum", "Parmotrema lambinonii", "Parmotrema wrightii", "Parmotrema yodae", "Branta thessaliensis", "Telmatobius arequipensis", "Telmatobius atacamensis", "Telmatobius brevipes", "Telmatobius brevirostris", "Telmatobius ceiorum", "Telmatobius chusmisensis", "Telmatobius cirrhacelis", "Telmatobius colanensis", "Telmatobius contrerasi", "Telmatobius dankoi", "Telmatobius degener", "Telmatobius edaphonastes", "Telmatobius fronteriensis", "Telmatobius gigas", "Telmatobius halli", "Telmatobius hauthali", "Telmatobius hockingi", "Telmatobius huayra", "Telmatobius hypselocephalus", "Telmatobius ignavus", "Telmatobius intermedius", "Telmatobius jelskii", "Telmatobius laticeps", "Telmatobius latirostris", "Telmatobius marmoratus", "Telmatobius mayoloi", "Telmatobius necopinus", "Telmatobius niger", "Telmatobius oxycephalus", "Telmatobius peruvianus", "Telmatobius philippii", "Telmatobius pinguiculus", "Telmatobius pisanoi", "Telmatobius platycephalus", "Telmatobius rimac", "Telmatobius schreiteri", "Telmatobius scrocchii", "Telmatobius sibiricus", "Telmatobius simonsi", "Telmatobius stephani", "Telmatobius thompsoni", "Telmatobius truebae", "Telmatobius vellardi", "Telmatobius vilamensis", "Telmatobius yuracare", "Telmatobius zapahuirensis", "Atelura formicaria", "Parmotrema araucariarum", "Parmotrema bangii", "Parmotrema breviciliatum", "Parmotrema chiapense", "Parmotrema compositum", "Parmotrema conformatum", "Parmotrema coralliforme", "Parmotrema corniculans", "Parmotrema cornutum", "Parmotrema crassescens", "Parmotrema cristatum", "Parmotrema crocoides", "Parmotrema cryptoxanthum", "Parmotrema delicatulum", "Parmotrema diacidulum", "Parmotrema direagens", "Parmotrema disparile", "Parmotrema diversum", "Parmotrema dolosum", "Parmotrema eborinum", "Parmotrema erasmium", "Parmotrema eunetum", "Parmotrema explanatum", "Parmotrema flavescens", "Parmotrema flavotinctum", "Parmotrema fractum", "Parmotrema glaucocarpoides", "Parmotrema hanningtonianum", "Parmotrema hololobum", "Parmotrema homotomum", "Parmotrema inexspectatum", "Parmotrema insuetum", "Parmotrema latissimum", "Pseudomonas agarici", "Pseudomonas alcaligenes", "Pseudomonas alcaliphila", "Pseudomonas aminovorans", "Pseudomonas amygdali", "Parmotrema lophogenum", "Parmotrema macrocarpum", "Parmotrema melanothrix", "Parmotrema mesogenes", "Parmotrema mesotropum", "Parmotrema mirandum", "Parmotrema myelochroum", "Parmotrema natalense", "Parmotrema nilgherrense", "Parmotrema ochroglaucum", "Parmotrema ornatulum", "Parmotrema pachysporum", "Parmotrema pancheri", "Parmotrema paradoxum", "Parmotrema paulense", "Parmotrema peralbidum", "Parmotrema planatilobatum", "Parmotrema procerum", "Parmotrema pseudocrinitum", "Parmotrema pseudoreticulatum", "Parmotrema pseudotinctorum", "Parmotrema ramusculum", "Parmotrema setchellii", "Ipomoea tenuipes", "Ipomoea tenuissima", "Ipomoea tiliacea", "Ipomoea trichosperma", "Ipomoea trifida", "Ipomoea triloba", "Ipomoea tuberculata", "Ipomoea tuxtlensis", "Ipomoea umbraticola", "Ipomoea wolcottiana", "Echinocystis lobata", "Plutarchia guascensis", "Orbula discipulus", "Orbula comitatus", "Dendrospyris stylophora", "Dendrospyris golli", "Dendrospyris haysi", "Dendrospyris megalocephalis", "Dendrospyris stabilis", "Dendrospyris fragoides", "Dorcadospyris platyacantha", "Dorcadospyris alata", "Dorcadospyris ateuchus", "Dorcadospyris dentata", "Dorcadospyris forcipata", "Parmotrema despectum", "Argocoffeopsis pulchella", "Argocoffeopsis rupestris", "Parmotrema diffractaicum", "Argocoffeopsis scandens", "Parmotrema dilatatum", "Argocoffeopsis subcordata", "Parmotrema dominicanum", "Parmotrema eciliatum", "Parmotrema elacinulatum", "Parmotrema endosulphureum", "Parmotrema erubescens", "Parmotrema eurysacum", "Parmotrema fasciculatum", "Parmotrema forsteri", "Parmotrema gardneri", "Parmotrema grayanum", "Parmotrema hababianum", "Parmotrema haitiense", "Parmotrema hypoleucinum", "Parmotrema hypotropum", "Parmotrema internexum", "Parmotrema judithae", "Parmotrema lobulascens", "Parmotrema louisianae", "Parmotrema maclayanum", "Parmotrema madagascariaceum", "Parmotrema margaritatum", "Parmotrema mellissii", "Parmotrema merrillii", "Parmotrema mordenii", "Parmotrema neotropicum", "Parmotrema ochrocrinitum", "Parmotrema overeemii", "Parmotrema pacificum", "Parmotrema parahypotropum", "Parmotrema perforatum", "Parmotrema perlatum", "Parmotrema permutatum", "Parmotrema pilosum", "Parmotrema poolii", "Parmotrema praesorediosum", "Parmotrema preperforatum", "Parmotrema pseudonilgherrense", "Parmotrema neopustulatum", "Parmotrema queenslandense", "Parmotrema rampoddense", "Parmotrema recipiendum", "Parmotrema reparatum", "Parmotrema reticulatum", "Parmotrema rigidum", "Parmotrema rimulosum", "Parmotrema robustum", "Parmotrema rubifaciens", "Parmotrema saccatilobum", "Parmotrema sancti-angelii", "Parmotrema simulans", "Parmotrema neosticticum", "Parmotrema stuppeum", "Parmotrema subarnoldii", "Parmotrema subcaperatum", "Ipomoea cynanchifolia", "Ipomoea desrousseauxii", "Ipomoea digitata", "Ipomoea fuchsioides", "Ipomoea graminea", "Ipomoea grandifolia", "Ipomoea hildebrandtii", "Ipomoea horsfalliae", "Ipomoea imperati", "Ipomoea incarnata", "Ipomoea lacunosa", "Ipomoea leptophylla", "Ipomoea littoralis", "Ipomoea longifolia", "Ipomoea macrorhiza", "Ipomoea magnusiana", "Ipomoea malvaeoides", "Ipomoea marmorata", "Ipomoea maurandioides", "Ipomoea microdactyla", "Ipomoea murucoides", "Ipomoea nitida", "Ipomoea obscura", "Ipomoea ochracea", "Ipomoea pandurata", "Ipomoea papilio", "Ipomoea pauciflora", "Ipomoea pedicellaris", "Ipomoea peruviana", "Ipomoea phyllomega", "Ipomoea platensis", "Ipomoea polpha", "Ipomoea ramosissima", "Ipomoea rubens", "Ipomoea sagittata", "Ipomoea saintronanensis", "Ipomoea setosa", "Ipomoea simplex", "Ipomoea squamosa", "Ipomoea tabascana", "Parmotrema lambleyi", "Parmotrema leonis", "Parmotrema lichexanthonicum", "Parmotrema lobulatum", "Parmotrema lopezii", "Parmotrema lyngeanum", "Parmotrema machupicchuense", "Parmotrema madilynae", "Parmotrema mantiqueirense", "Parmotrema maraense", "Parmotrema masonii", "Parmotrema matudae", "Parmotrema mazoense", "Parmotrema moreliense", "Parmotrema myriolobulatum", "Parmotrema nanfongense", "Parmotrema naonii", "Parmotrema neocaledonicum", "Parmotrema neolobulascens", "Parmotrema nylanderi", "Aubrieta cultorum", "Diplotaxis erucoides", "Diplotaxis harra", "Diplotaxis muralis", "Diplotaxis simplex", "Diplotaxis tenuifolia", "Diplotaxis tenuisiliqua", "Diplotaxis viminea", "Iphigenia indica", "Bonamia grandiflora", "Bonamia menziesii", "Bonamia ovalifolia", "Dinetus racemosus", "Maripa panamensis", "Ipomoea argillicola", "Ipomoea diamantinensis", "Ipomoea gracilis", "Ipomoea hastifolia", "Ipomoea lonchophylla", "Ipomoea muelleri", "Trifolium pratense", "Salicornia europaea", "Lotus ornithopodioides", "Lotus palustris", "Lotus parviflorus", "Lotus peregrinus", "Lotus polyphyllus", "Lotus preslii", "Lotus purpureus", "Lotus schoelleri", "Lotus sessilifolius", "Lotus spartioides", "Lotus strictus", "Lotus subbiflorus", "Lotus tetragonolobus", "Lotus tetraphyllus", "Lotus torulosus", "Lotus weilleri", "Lotus wildii", "Lotus quinatus", "Scorpiurus muricatus", "Scorpiurus vermiculatus", "Oxyloma hawkinsii", "Dorcadospyris papilio", "Dorcadospyris pseudopapilio", "Dorcadospyris argisca", "Dorcadospyris simplex", "Dorcadospyris anastasis", "Dorcadospyris circulus", "Dorcadospyris copelata", "Dorcadospyris cyclacantha", "Dorcadospyris mahurangi", "Dorcadospyris ombros", "Dorcadospyris praeforcipata", "Dorcadospyris quadripes", "Dorcadospyris riedeli", "Dorcadospyris scambos", "Dorcadospyris spinosa", "Dendrospyris inferispina", "Dorcadospyris confluens", "Desmospyris rhodospyroides", "Desmospyris spongiosa", "Liriospyris hexapora", "Liriospyris insulae", "Liriospyris geniculosa", "Liriospyris parkerae", "Liriospyris stauropora", "Liriospyris reticulata", "Liriospyris longicornuta", "Corythospyris fiscella", "Giraffospyris lata", "Giraffospyris didiceros", "Bridelia cathartica", "Bridelia ferruginea", "Bridelia fordii", "Bridelia micrantha", "Bridelia monoica", "Bridelia montana", "Bridelia retusa", "Bridelia stipularis", "Bridelia tenuifolia", "Cleistanthus collinus", "Codiaeum variegatum", "Garcia nutans", "Ostodes paniculata", "Ipomoea subg.", "Ipomoea cairica", "Ipomoea wrightii", "Ipomoea alba", "Ipomoea muricata", "Ipomoea bracteata", "Ipomoea dumetorum", "Ipomoea dumosa", "Ipomoea purga", "Ipomoea coccinea", "Ipomoea cristulata", "Ipomoea funis", "Ipomoea hederifolia", "Ipomoea lobata", "Ipomoea quamoclit", "Ipomoea sloteri", "Ipomoea capillacea", "Ipomoea costellata", "Ipomoea plummerae", "Ipomoea ternifolia", "Ipomoea eriocarpa", "Ipomoea pellita", "Ipomoea sinensis", "Ipomoea microsepala", "Ipomoea aristolochiifolia", "Ipomoea cardiophylla", "Ipomoea parasitica", "Ipomoea tricolor", "Parmotrema paraense", "Parmotrema paramoreliense", "Parmotrema pardi", "Parmotrema pigmentiferum", "Parmotrema pigmentosum", "Parmotrema platyphyllinum", "Parmotrema praeinsuetum", "Parmotrema progenes", "Parmotrema pseudeunetum", "Parmotrema pseudobreviciliatum", "Parmotrema pseudograyanum", "Parmotrema ravum", "Parmotrema reitzii", "Parmotrema ruptum", "Parmotrema schindleri", "Parmotrema sorediiferum", "Parmotrema soredioaliphaticum", "Parmotrema stenopteris", "Parmotrema stuhlmannii", "Parmotrema subcompositum", "Parmotrema subhanningtonianum", "Parmotrema sublatifolium", "Parmotrema subochraceum", "Parmotrema subtropicum", "Parmotrema taitae", "Parmotrema tongaense", "Parmotrema tsavoense", "Parmotrema umbrosum", "Parmotrema vartakii", "Parmotrema verrucisetosum", "Parmotrema virescens", "Parmotrema vividum", "Parmotrema wirthii", "Conus kuiperi", "Linophryne algibarbata", "Linophryne argyresca", "Linophryne indica", "Linophryne lucifer", "Linophryne racemifera", "Lasiognathus beebei", "Lasiognathus saccostoma", "Eptatretus minor", "Hydrolagus alberti", "Pocillopora verrucosa", "Cauletella manica", "Triplanospongos musashiensis", "Caryodendron amazonicum", "Caryodendron orinocense", "Baccaurea angulata", "Baccaurea macrocarpa", "Baccaurea ramiflora", "Baccaurea dulcis", "Baccaurea nanihua", "Antidesma ghaesembilla", "Antidesma montanum", "Antidesma rufescens", "Antidesma venosum", "Harpalyce cubensis", "Harpalyce macrocarpa", "Bryaspis lupulina", "Cyclocarpa stellaris", "Geissaspis cristata", "Geissaspis cristata var. tenella", "Humularia welwitschii", "Kotschya aeschynomenoides", "Kotschya capitulifera", "Kotschya lutea", "Kotschya ochreata", "Kotschya scaberrima", "Kotschya speciosa", "Kotschya strigosa", "Kotschya strobilantha", "Kotschya thymodora", "Smithia bigemina", "Smithia blanda", "Smithia capitata", "Smithia ciliata", "Smithia conferta", "Smithia erubescens", "Smithia eylesii", "Smithia purpurea", "Smithia pycnantha", "Smithia saluginea", "Smithia sensitiva", "Collosphaera tuberosa", "Pylentonema antiqua", "Chiropsella bronzie", "Chirosoides buitendijkl", "Smithia setulosa", "Antopetitia abyssinica", "Coronilla coronata", "Coronilla juncea", "Coronilla minima", "Coronilla repanda", "Coronilla scorpioides", "Coronilla vaginalis", "Coronilla valentina", "Coronilla viminalis", "Hippocrepis bicontorta", "Hippocrepis biflora", "Hippocrepis ciliata", "Hippocrepis comosa", "Hippocrepis cornigera", "Hippocrepis emerus", "Hippocrepis glauca", "Hippocrepis minor", "Hippocrepis multisiliquosa", "Hippocrepis salzmannii", "Hippocrepis scabra", "Hippocrepis unisiliquosa", "Hymenocarpos cornicina", "Hymenocarpos hamosus", "Lotus berthelotii", "Lotus corniculatus", "Lotus pedunculatus", "Protolafystius madillae", "Zamolxis corona", "Zaldacria cornucaprae", "Tetrarchiplagia arborescens", "Lotus uliginosus", "Lotus aegaeus", "Lotus alpinus", "Lotus angustissimus", "Lotus arabicus", "Lotus arborescens", "Lotus arenarius", "Acmispon argophyllus", "Lotus argyrodes", "Ipomoea costata", "Ipomoea mauritiana", "Ipomoea pes-caprae", "Ipomoea violacea", "Ipomoea abrupta", "Ipomoea aculeata", "Ipomoea adenioides", "Ipomoea albivenia", "Ipomoea amnicola", "Ipomoea arborescens", "Ipomoea asarifolia", "Ipomoea barteri", "Ipomoea batatas", "Ipomoea batatoides", "Ipomoea bonariensis", "Ipomoea calobra", "Ipomoea carnea", "Ipomoea coptica", "Ipomoea cordatotriloba", "Micrurus fulvius", "Lotus assakensis", "Lotus australis", "Lotus biflorus", "Lotus borbasii", "Tripocalpis plectaniscus", "Lotus brunneri", "Lotus burttii", "Lotus campylocladus", "Tripocalpis cassidus", "Lotus chazaliei", "Lotus chihuahuanus", "Lotus conimbricensis", "Tripocalpis simplex", "Lotus conjugatus", "Lotus creticus", "Lotus cruentus", "Acmispon cytisoides", "Lotus delortii", "Acmispon dendroideus", "Acmispon denticulatus", "Lotus discolor", "Lotus drepanocarpus", "Lotus dumetorum", "Lotus dvinensis", "Lotus edulis", "Lotus elisabethae", "Lotus emeroides", "Lotus eriosolen", "Lotus garcinii", "Lotus gebelia", "Lotus glareosus", "Lotus glaucus", "Lotus glinoides", "Lotus goetzei", "Lotus halophilus", "Albaillella paradoxa", "Follicucullus ventricosus", "Palacantholithus stellatus", "Brathinus shikokuensis", "Saturnalis circularis", "Lawsonia inermis", "Thalia dealbata", "Thalia geniculata", "Coryanthes hunteriana", "Pyrus sicanorum", "Gongora aromatica", "Peristeria elata", "Stanhopea costaricensis", "Stanhopea jenischiana", "Stanhopea oculata", "Stanhopea tricornis", "Aeranthes dentiens", "Aeranthes ramosa", "Strangulonema barbadense", "Chrysanthemodiscus floriatus", "Glossocardia bidens", "Glossocardia bosvallia", "Actinoptychus senarius", "Iguana delicatissima", "Desmomastix globosa", "Pelmatosphaera polycirri", "Hymenothrix wislizeni", "Hypericophyllum compositarum", "Scalesia affinis", "Scalesia baurii", "Scalesia helleri", "Scalesia pedunculata", "Scalesia retroflexa", "Scalesia villosa", "Danthoniopsis barbata", "Danthoniopsis dinteri", "Danthoniopsis pruinosa", "Garnotia mezii", "Loudetia arundinacea", "Loudetia flavida", "Loudetia simplex", "Trichopteryx dregeana", "Trichopteryx nigritiana", "Tristachya biseriata", "Tristachya leucothrix", "Tristachya rehmannii", "Tristachya superba", "Elytrophorus spicatus", "Hakonechloa macra", "Molinia caerulea", "Phragmites australis", "Phragmites karka", "Collinsia heterophylla", "Collinsia parviflora", "Antirrhinum barrelieri", "Antirrhinum braun-blanquetii", "Antirrhinum charidemi", "Antirrhinum chrysothales", "Antirrhinum graniticum", "Antirrhinum hispanicum", "Antirrhinum latifolium", "Antirrhinum meonanthum", "Antirrhinum molle", "Antirrhinum sempervirens", "Antirrhinum siculum", "Antirrhinum valentinum", "Androstephium coeruleum", "Bessera elegans", "Brodiaea californica", "Brodiaea coronaria", "Brodiaea filifolia", "Brodiaea pallida", "Dichelostemma capitatum", "Dichelostemma congestum", "Dichelostemma ida-maia", "Dichelostemma multiflorum", "Milla biflora", "Muilla maritima", "Triteleia hyacinthina", "Triteleia laxa", "Triteleia lilacina", "Triteleia peduncularis", "Phuopsis stylosa", "Hamophthrius galeopitheci", "Eocuma petrescui", "Eocuma gorgasiae", "Eocuma muradianae", "Equus quagga", "Stipa tenacissima", "Tamarix africana", "Cyclaspoides bacescui", "Cyclaspis antipai", "Cyclaspis roccatagliatae", "Chamaecrista hirsuta", "Chamaecrista hispidula", "Chamaecrista isidorea", "Chamaecrista katangensis", "Chamaecrista kirkii", "Chamaecrista kleinii", "Genista scorpius", "Celtis australis", "Chamaecrista kunthiana", "Chamaecrista mimosoides", "Chamaecrista negrensis", "Chamaecrista nictitans", "Chamaecrista orbiculata", "Chamaecrista parva", "Chamaecrista pilosa", "Chamaecrista plumosa", "Chamaecrista polytricha", "Chamaecrista pumila", "Antarctissa cylindrica", "Antarctissa deflandrei", "Antarctissa denticulata", "Antarctissa robusta", "Antarctissa strelkovi", "Antarctissa whitei", "Hasarius adansoni", "Hymenanthera chathamica", "Hymenanthera crassifolia", "Hymenanthera dentata", "Hymenanthera obovata", "Eucharis amazonica", "Eucharis candida", "Eucharis castelnaeana", "Eucharis \u00d7 grandiflora", "Eucharis moorei", "Eucharis sanderi", "Crepidula fornicata", "Pergularia daemia", "Vincetoxicum indicum", "Espeletia grandiflora", "Espeletia schultzii", "Angraecum calceolus", "Angraecum compactum", "Angraecum filicornu", "Angraecum leonis", "Aerangis kotschyana", "Angraecum obesum", "Angraecum sesquipedale", "Jumellea bathiei", "Jumellea gracilipes", "Oeoniella polystachys", "Coelogyne pandurata", "Coelogyne asperata", "Coelogyne corymbosa", "Coelogyne cristata", "Coelogyne fimbriata", "Coelogyne flaccida", "Coelogyne fragrans", "Coelogyne lawrenceana", "Coelogyne mooreana", "Coelogyne speciosa", "Coelogyne stricta", "Coelogyne tomentosa", "Coelogyne veitchii", "Pleione albiflora", "Pleione bulbocodioides", "Pleione chunii", "Pleione \u00d7 confusa", "Pleione coronaria", "Pleione formosana", "Pleione forrestii", "Pleione grandiflora", "Pleione hookeriana", "Pleione humilis", "Pleione \u00d7 lagenaria", "Pleione limprichtii", "Pleione maculata", "Pleione pleionoides", "Pleione praecox", "Pleione yunnanensis", "Festulolium ascendens", "Festulolium loliaceum", "Cassia hammersleyensis", "Cassia javanica", "Cassia leiandra", "Cassia leptophylla", "Cassia moschata", "Cassia \u00d7 nealiae", "Cassia neesiana", "Cassia roxburghii", "Cassia sieberiana", "Cassia spruceana", "Chamaecrista absus", "Chamaecrista adiantifolia", "Chamaecrista aspleniifolia", "Chamaecrista biensis", "Chamaecrista calycioides", "Chamaecrista capensis", "Chamaecrista cathartica", "Chamaecrista chamaecristoides", "Chamaecrista ciliolata", "Chamaecrista comosa", "Chamaecrista conferta", "Chamaecrista coradinii", "Chamaecrista cytisoides", "Chamaecrista decumbens", "Chamaecrista deeringiana", "Chamaecrista dentata", "Chamaecrista desvauxii", "Chamaecrista diphylla", "Chamaecrista duartei", "Chamaecrista ensiformis", "Chamaecrista fagonioides", "Chamaecrista falcinella", "Chamaecrista fasciculata", "Chamaecrista fenarolii", "Chamaecrista flexuosa", "Chamaecrista geminata", "Chamaecrista glandulosa", "Chamaecrista gracilior", "Chamaecrista greggii", "Salicornia bigelovii", "Salicornia depressa", "Burttia prunoides", "Brongniartia alamosana", "Brongniartia intermedia", "Brongniartia shrevei", "Brongniartia tenuifolia", "Carmichaelia arborea", "Carmichaelia australis", "Carmichaelia carmichaeliae", "Carmichaelia compacta", "Carmichaelia crassicaulis", "Carmichaelia exsul", "Carmichaelia glabrescens", "Carmichaelia kirkii", "Carmichaelia monroi", "Carmichaelia nana", "Carmichaelia odorata", "Carmichaelia petriei", "Carmichaelia stevensonii", "Carmichaelia torulosa", "Carmichaelia uniflora", "Carmichaelia williamsii", "Cassia fistula", "Cassia abbreviata", "Cassia afrofistula", "Cassia aubrevillei", "Cassia bakeriana", "Cassia barclayana", "Cassia brewsteri", "Cassia cowanii", "Cassia fastuosa", "Cassia ferruginea", "Cassia grandis", "Ciliocincta sabellariae", "Intoshia leptoplanae", "Intoshia linei", "Intoshia metchnikovi", "Intoshia paraphanostomae", "Intoshia variabili", "Rhopalura major", "Rhopalura elongata", "Rhopalura granosa", "Rhopalura intoshi", "Rhopalura litoralis", "Rhopalura murmanica", "Rhopalura ophiocomae", "Rhopalura pelseeneri", "Rhopalura philinae", "Synapsis ilicifolia", "Rhizophora \u00d7 annamalayana", "Rhizophora apiculata", "Rhizophora harrisonii", "Rhizophora lamarckii", "Rhizophora mangle", "Rhizophora mucronata", "Rhizophora racemosa", "Rhizophora samoensis", "Rhizophora stylosa", "Kandelia candel", "Ceriops tagal", "Bruguiera gymnorhiza", "Bruguiera parviflora", "Bruguiera sexangula", "Melocanna baccifera", "Melocanna humilis", "Menstruocalamus sichuanensis", "Stipagrostis amabilis", "Stipagrostis arachnoidea", "Stipagrostis ciliata", "Stipagrostis fastigiata", "Stipagrostis hochstetteriana", "Stipagrostis karelinii", "Endiandra palmerstonii", "Endiandra sieberi", "Rhopalura pterocirri", "Rhopalura sanguinea", "Stoecharthrum burresoni", "Stoecharthrum fosterae", "Stoecharthrum giardi", "Stoecharthrum monnati", "Beilschmiedia tarairi", "Dicyemennea abreida", "Dicyemennea adminicula", "Dicyemennea adscita", "Dicyemennea antarcticensis", "Dicyemennea bathybenthum", "Dicyemennea brevicephala", "Dicyemennea brevicephaloides", "Dicyemennea californica", "Dicyemennea canadensis", "Dicyemennea coromandelensis", "Dicyemennea curta", "Dicyemennea discocephala", "Dicyemennea dogieli", "Dicyemennea dorycephalum", "Dicyemennea eltanini", "Dicyemennea filiformis", "Dicyemennea granularis", "Dicyemennea gyrinodes", "Dicyemennea kaikouriensis", "Dicyemennea littlei", "Dicyemennea longinucleata", "Dicyemennea marplatensis", "Dicyemennea mastigoides", "Dicyemennea minabense", "Dicyemennea nouveli", "Dicyemennea ophioides", "Dicyemennea parva", "Dicyemennea rossiae", "Dicyemennea rostrata", "Dicyemennea trochocephalum", "Crossostomus chilensis", "Crossostomus fasciatus", "Crossostomus sobrali", "Clathrina blanca", "Clathrina clathrus", "Ascandra contorta", "Clathrina coriacea", "Clathrina lacunosa", "Clathrina primordialis", "Conocyema deca", "Conocyema polymorpha", "Microcyema vespa", "Xanthoparmelia abraxas", "Xanthoparmelia acrita", "Xanthoparmelia adamantea", "Xanthoparmelia adlerae", "Xanthoparmelia adpicta", "Mancocuma alterum", "Pseudoleptocuma minus", "Spilocuma watlingi", "Spilocuma salomani", "Zirfaea pilsbryi", "Persea donnell-smithii", "Persea indica", "Persea japonica", "Persea krugii", "Persea lingue", "Persea longipes", "Persea meyeniana", "Persea rigens", "Persea schiedeana", "Persea sessilis", "Persea standleyi", "Persea vesticula", "Phoebe bournei", "Phoebe faberi", "Phoebe hunanensis", "Phoebe sheareri", "Stipagrostis lanata", "Stipagrostis namaquensis", "Stipagrostis obtusa", "Stipagrostis pennata", "Stipagrostis plumosa", "Stipagrostis pungens", "Stipagrostis scoparia", "Stipagrostis uniplumis", "Stipagrostis zeyheri", "Diandrolyra bicolor", "Olyra humilis", "Olyra latifolia", "Aerangis biloba", "Aerangis ellisii", "Aerangis modesta", "Diaphananthe fragrantissima", "Tridactyle bicaudata", "Actinodaphne reticulata", "Apollonias barbujana", "Cassytha filiformis", "Cassytha melantha", "Chlorocardium rodiei", "Cinnamomum bejolghota", "Cinnamomum burmanni", "Cinnamomum elongatum", "Cinnamomum impressinervium", "Cinnamomum loureiroi", "Cinnamomum micranthum", "Cinnamomum porphyrium", "Cinnamomum tamala", "Cinnamomum verum", "Cinnamomum daphnoides", "Cryptocarya erythroxylon", "Cryptocarya glaucescens", "Cryptocarya lauriflora", "Cryptocarya massoy", "Cryptocarya obovata", "Cryptocarya rigida", "Cryptocarya rubra", "Cryptocarya triplinervis", "Cryptocarya woodii", "Belonophora coriacea", "Belonophora wernhami", "Belonophora talbotii", "Rothmannia talbotii", "Evarcha albaria", "Xanthoparmelia cravenii", "Xanthoparmelia crawfordensis", "Xanthoparmelia crespoae", "Xanthoparmelia crustulosa", "Xanthoparmelia crystallicola", "Xanthoparmelia cumberlandia", "Xanthoparmelia conspersa f. conspersa", "Xanthoparmelia conspersa f. heteroclyta", "Xanthoparmelia conspersa f. isidiata", "Ipanema talpa", "Sinurothoe sinensis", "Morelia viridis", "Litsea monopetala", "Litsea populifolia", "Litsea rotundifolia", "Neolitsea gilva", "Neolitsea sericea", "Ocotea bullata", "Ocotea acutifolia", "Ocotea cernua", "Ocotea cymbarum", "Ocotea foetens", "Ocotea glaziovii", "Ocotea leucoxylon", "Ocotea odorifera", "Ocotea porosa", "Ocotea regeliana", "Persea alba", "Persea borbonia", "Persea caerulea", "Persea clarkeana", "Mancocuma stelliferum", "Senna latifolia", "Senna lindheimeriana", "Senna macranthera", "Senna marilandica", "Senna martiana", "Senna mexicana", "Senna mollissima", "Senna multiglandulosa", "Senna multijuga", "Senna nicaraguensis", "Senna nitida", "Senna notabilis", "Senna occidentalis", "Senna oxyphylla", "Senna pallida", "Senna pendula", "Senna petersiana", "Senna pilifera", "Senna pinheiroi", "Senna planitiicola", "Senna pleurocarpa", "Senna podocarpa", "Senna polyantha", "Senna polyphylla", "Senna purpusii", "Senna quinquangulata", "Senna racemosa", "Senna reniformis", "Senna reticulata", "Senna roemeriana", "Senna septemtrionalis", "Senna siamea", "Senna silvestris", "Senna singueana", "Senna sophera", "Senna spectabilis", "Senna splendida", "Senna stipulacea", "Senna surattensis", "Senna tapajozensis", "Senna timoriensis", "Senna tora", "Senna undulata", "Senna uniflora", "Senna velutina", "Senna venusta", "Senna versicolor", "Senna viarum", "Senna viminea", "Senna wislizeni", "Ciliocincta akkeshiensis", "Ciliocincta julini", "Xanthoparmelia brandwagensis", "Xanthoparmelia brattii", "Xanthoparmelia braziliensis", "Lindera benzoin", "Lindera obtusiloba", "Lindera aggregata", "Xanthoparmelia brevilobata", "Lindera chienii", "Lindera communis", "Xanthoparmelia brunella", "Prosthecobacter dejongeii", "Xanthoparmelia brunnthaleri", "Xanthoparmelia brussei", "Xanthoparmelia buedelii", "Xanthoparmelia bulfiniana", "Xanthoparmelia bungendorensis", "Xanthoparmelia burmeisteri", "Lindera erythrocarpa", "Lindera floribunda", "Lindera fragrans", "Lindera glauca", "Lindera limprichtii", "Lindera megaphylla", "Lindera melissifolia", "Lindera neesiana", "Lindera praecox", "Lindera pulcherrima", "Lindera reflexa", "Lindera rubronervia", "Lindera sericea", "Lindera supracostata", "Lindera umbellata", "Litsea cubeba", "Litsea garciae", "Litsea glutinosa", "Pyrocephalus obscurus mexicanus", "Pyrocephalus nanus", "Pyrocephalus obscurus", "Pyrocephalus obscurus pinicola", "Pyrocephalus obscurus piurae", "Pyrocephalus rubinus rubinus", "Pyrocephalus obscurus saturatus", "Xanthoparmelia bainskloofensis", "Xanthoparmelia ballingalliae", "Xanthoparmelia ballingalliana", "Xanthoparmelia barbatica", "Xanthoparmelia barbellata", "Xanthoparmelia barklyensis", "Xanthoparmelia barda", "Xanthoparmelia barthlottii", "Xanthoparmelia bartlettii", "Xanthoparmelia basutoensis", "Xanthoparmelia beatricea", "Xanthoparmelia beckeri", "Xanthoparmelia bellatula", "Xanthoparmelia benyovszkyana", "Xanthoparmelia bibax", "Xanthoparmelia bicolorans", "Xanthoparmelia bicontinens", "Xanthoparmelia bihemispherica", "Xanthoparmelia biloelensis", "Xanthoparmelia blackdownensis", "Xanthoparmelia boonahensis", "Xanthoparmelia botryoides", "Xanthoparmelia bourgeanica", "Xanthoparmelia boyeri", "Xanthoparmelia brachinaensis", "Xanthoparmelia adusta", "Xanthoparmelia affinis", "Xanthoparmelia africana", "Xanthoparmelia afroincerta", "Xanthoparmelia afrolavicola", "Xanthoparmelia agamalis", "Xanthoparmelia aggregata", "Xanthoparmelia ahtii", "Xanthoparmelia ajoensis", "Xanthoparmelia albomaculata", "Xanthoparmelia alectoronica", "Xanthoparmelia alexandrensis", "Xanthoparmelia aliphatica", "Xanthoparmelia almbornii", "Xanthoparmelia alternata", "Xanthoparmelia amableana", "Xanthoparmelia amphixantha", "Xanthoparmelia amplexula", "Xanthoparmelia amplexuloides", "Xanthoparmelia angustiphylla", "Xanthoparmelia annexa", "Xanthoparmelia antleriformis", "Xanthoparmelia applicata", "Xanthoparmelia aranaea", "Xanthoparmelia arapilensis", "Xanthoparmelia arcana", "Xanthoparmelia archeri", "Xanthoparmelia areolata", "Xanthoparmelia argentinensis", "Xanthoparmelia arida", "Xanthoparmelia aridella", "Xanthoparmelia arrecta", "Xanthoparmelia arvidssonii", "Xanthoparmelia asilaris", "Xanthoparmelia assimilis", "Xanthoparmelia astricta", "Xanthoparmelia atrobarbatica", "Xanthoparmelia atrocapnodes", "Xanthoparmelia atroventralis", "Xanthoparmelia atroviridis", "Xanthoparmelia attica", "Xanthoparmelia atticoides", "Xanthoparmelia aurifera", "Xanthoparmelia ausiana", "Xanthoparmelia australasica", "Xanthoparmelia australiensis", "Xanthoparmelia austroalpina", "Xanthoparmelia austroamericana", "Xanthoparmelia austrocapensis", "Xanthoparmelia austroconstrictans", "Dicyemodeca anthinocephalum", "Xanthoparmelia amphixanthoides", "Xanthoparmelia applicatella", "Dicyemodeca dogieli", "Dicyemodeca sceptrum", "Dodecadicyema loligoi", "Pleodicyema delamarie", "Pseudicyema nakaoi", "Pseudicyema truncatum", "Dicyemennea abasi", "Dicyemennea abbreviata", "Dicyemennea abelis", "Dendya clathrata", "Clivia caulescens", "Clivia miniata", "Clivia nobilis", "Deverra tortuosa", "Deverra triradiata", "Ridolfia segetum", "Conium chaerophylloides", "Conium maculatum", "Smyrnium cordifolium", "Smyrnium creticum", "Smyrnium olusatrum", "Smyrnium perfoliatum", "Cicuta bulbifera", "Cicuta douglasii", "Cicuta maculata", "Cicuta virosa", "Chamaecrista zambesica", "Chamaecrista wittei", "Chamaecrista viscosa", "Chamaecrista trichopoda", "Chamaecrista stricta", "Chamaecrista serpens", "Chamaecrista rotundifolia", "Chamaecrista repens", "Chamaecrista ramosa", "Senna corymbosa", "Senna covesii", "Senna hebecarpa", "Senna obtusifolia", "Senna acclinis", "Senna aciphylla", "Senna aculeata", "Senna alata", "Senna alexandrina", "Senna angulata", "Senna aphylla", "Senna appendiculata", "Senna armata", "Senna artemisioides", "Senna atomaria", "Senna auriculata", "Senna aversiflora", "Senna bacillaris", "Senna barclayana", "Senna bauhinioides", "Senna bicapsularis", "Senna birostris", "Senna calycioides", "Senna cana", "Senna cobanensis", "Senna confinis", "Senna coronilloides", "Senna costata", "Senna cumingii", "Senna didymobotrya", "Senna durangensis", "Senna \u00d7 floribunda", "Senna fruticosa", "Senna gardneri", "Senna gaudichaudii", "Senna glutinosa", "Senna hirsuta", "Senna holosericea", "Senna holwayana", "Combretum gillettianum", "Senna italica", "Ceratoikiscum avimexpectans", "Corythoecia dichoptera", "Arrectoalatus cernuus", "Camptoalatus monopterygius", "Escherichia virus T4", "Enterobacteria phage", "Lotus campylocladus subsp. hillebrandii", "Lotus hintoniorum", "Lotus holosericeus", "Lotus jacobaeus", "Lotus jolyi", "Lotus krylovii", "Lotus kunkelii", "Lotus lalambensis", "Lotus lancerottensis", "Lotus lanuginosus", "Lotus longisiliquosus", "Lotus loweanus", "Lotus macranthus", "Lotus macrotrichus", "Lotus maritimus", "Lotus maroccanus", "Lotus mascaensis", "Lotus mollis", "Lotus namulensis", "Lotus nubicus", "Lotus oliveirae", "Lotus ononopsis", "Desmanthus acuminatus", "Desmanthus bicornutus", "Desmanthus cooleyi", "Desmanthus covillei", "Desmanthus fruticosus", "Desmanthus glandulosus", "Desmanthus illinoensis", "Desmanthus interior", "Desmanthus leptalobus", "Desmanthus leptophyllus", "Desmanthus painteri", "Desmanthus paspalaceus", "Desmanthus pernambucanus", "Desmanthus pubescens", "Desmanthus pumilus", "Desmanthus tatuhyensis", "Desmanthus velutinus", "Desmanthus virgatus", "Dichrostachys cinerea", "Dichrostachys spicata", "Dinizia excelsa", "Elephantorrhiza burkei", "Elephantorrhiza elephantina", "Elephantorrhiza goetzei", "Elephantorrhiza suffruticosa", "Entada rheedei", "Entada abyssinica", "Entada africana", "Entada arenaria", "Entada chrysostachys", "Entada gigas", "Entada mannii", "Entada phaseoloides", "Entada polyphylla", "Entada polystachya", "Xanthoparmelia infrapallida", "Xanthoparmelia iniquita", "Xanthoparmelia inops", "Xanthoparmelia inselbergia", "Xanthoparmelia interrupta", "Xanthoparmelia inuncta", "Xanthoparmelia ioannis-simae", "Xanthoparmelia ischnoides", "Xanthoparmelia isidiascens", "Xanthoparmelia isidiigera", "Xanthoparmelia isidiosa", "Xanthoparmelia isidiotegeta", "Xanthoparmelia isidiovagans", "Gallerucida bifasciata", "Pseudomonas avenae subsp. citrulli", "Pseudomonas avenae subsp. cattleyae", "Pseudomonas gladioli", "Pseudomonas azotifigens", "Pseudomonas balearica", "Chromohalobacter beijerinckii", "Leptospermum scoparium", "Leptospermum brachyandrum", "Leptospermum coriaceum", "Leptospermum emarginatum", "Leptospermum erubescens", "Leptospermum glabrescens", "Leptospermum juniperinum", "Leptospermum laevigatum", "Leptospermum lanigerum", "Leptospermum liversidgei", "Leptospermum luehmannii", "Leptospermum macrocarpum", "Leptospermum microcarpum", "Leptospermum minutifolium", "Leptospermum myrsinoides", "Leptospermum myrtifolium", "Leptospermum obovatum", "Leptospermum polygalifolium", "Leptospermum roei", "Leptospermum rotundifolium", "Leptospermum rupestre", "Leptospermum semibaccatum", "Leptospermum sericeum", "Leptospermum sphaerocarpum", "Leptospermum spinescens", "Leptospermum squarrosum", "Leptospermum trinervium", "Adenanthera aglaosperma", "Adenanthera intermedia", "Adenanthera macrocarpa", "Adenanthera microsperma", "Adenanthera pavonina", "Adenopodia scelerata", "Amblygonocarpus andongensis", "Aubrevillea kerstingii", "Aubrevillea platycarpa", "Calpocalyx aubrevillei", "Calpocalyx brevibracteatus", "Calpocalyx dinklagei", "Xanthoparmelia domboensis", "Cryptotaenia canadensis", "Cryptotaenia japonica", "Cynosciadium digitatum", "Lilaeopsis chinensis", "Lilaeopsis schaffneriana", "Limnosciadium pumilum", "Trossulus elegantulus", "Oenanthe aquatica", "Trossulus californicus", "Oenanthe crocata", "Oenanthe fistulosa", "Oenanthe javanica", "Oenanthe palustris", "Oenanthe pimpinelloides", "Oenanthe sarmentosa", "Oenanthe silaifolia", "Trossulus javanicus", "Trossulus nicobaricus", "Oxypolis rigidior", "Lepidodiscus elegans", "Actinoptychus tenuis", "Actinoptychus tuberculatus", "Actinoptychus minutus", "Actinoptychus dives", "Azpeitia biannulata", "Azpeitia gombosii", "Perideridia bolanderi", "Perideridia erythrorhiza", "Perideridia gairdneri", "Perideridia oregana", "Azpeitia obscura", "Sium latifolium", "Sium sisarum", "Sium suave", "Riedelia pacifica", "Riedelia mirabilis", "Riedelia alata", "Riedelia borealis", "Xanthoparmelia echinocarpica", "Xanthoparmelia effigurata", "Xanthoparmelia eganii", "Xanthoparmelia eilifii", "Xanthoparmelia elaeodes", "Xanthoparmelia eldridgei", "Xanthoparmelia elevata", "Xanthoparmelia elixii", "Xanthoparmelia emolumenta", "Xanthoparmelia endochromatica", "Xanthoparmelia endochrysea", "Xanthoparmelia endomiltoides", "Xanthoparmelia enteroxantha", "Xanthoparmelia epacridea", "Xanthoparmelia epheboides", "Xanthoparmelia epigaea", "Xanthoparmelia equalis", "Xanthoparmelia erebea", "Xanthoparmelia erosa", "Xanthoparmelia eruptens", "Xanthoparmelia erythrocardia", "Xanthoparmelia esslingeri", "Xanthoparmelia esterhuyseniae", "Xanthoparmelia everardensis", "Riedelia altar", "Xanthoparmelia evernica", "Xanthoparmelia examplaris", "Xanthoparmelia exillima", "Xanthoparmelia exuviata", "Riedelia claviger", "Riedelia longicornis", "Riedelia lyriformis", "Riedelia sublevata", "Riedelia tenuicornis", "Pyxilla caput-avis", "Richardia brasiliensis", "Richardia grandiflora", "Richardia arenicola", "Abracadabrella birdsville", "Abracadabrella elegans", "Abracadabrella lewiston", "Acragas carinatus", "Acragas castaneiceps", "Dionaea muscipula", "Acragas erythraeus", "Acragas fallax", "Richardia boliviensis", "Acragas hieroglyphicus", "Acragas humaitae", "Acragas humilis", "Acragas leucaspis", "Acragas longimanus", "Acragas longipalpus", "Acragas mendax", "Acragas miniaceus", "Richardia ciliata", "Richardia coldenioides", "Richardia cruciata", "Pseudotriceratium adleri", "Pseudotriceratium cinnamomeum", "Pseudotriceratium fallax", "Pseudotriceratium chenevieri", "Pseudotriceratium punctatum", "Pseudotriceratium radiosoreticulatum", "Azpeitia endoi", "Azpeitia tabularis", "Glorioptychus callidus", "Rocella gemma", "Rocella gelida", "Rocella princeps", "Rocella semigelida", "Rocella schraderi", "Rocella vigilans", "Gossleriella tropica", "Hemidiscus cuneiformis", "Hemidiscus ovalis", "Hemidiscus triangularis", "Hemidiscus hardmanianus", "Hemidiscus niveus", "Hemidiscus simplicissimus", "Brightwellia coronata", "Brightwellia hyperborea", "Xanthoparmelia darlingensis", "Xanthoparmelia dayiana", "Xanthoparmelia delisiella", "Xanthoparmelia dentata", "Xanthoparmelia denudata", "Xanthoparmelia depsidella", "Xanthoparmelia desertorum", "Xanthoparmelia diacida", "Xanthoparmelia diadeta", "Xanthoparmelia dibutella", "Xanthoparmelia dichotoma", "Xanthoparmelia dierythra", "Xanthoparmelia diffractaica", "Xanthoparmelia digitiformis", "Xanthoparmelia dissensa", "Brightwellia pulchra", "Xanthoparmelia dissitifolia", "Xanthoparmelia diutina", "Actinoptychus splendens", "Xanthoparmelia domokosii", "Xanthoparmelia domokosioides", "Actinoptychus vulgaris", "Xanthoparmelia donneri", "Xanthoparmelia dregeana", "Xanthoparmelia dubitata", "Xanthoparmelia dubitella", "Xanthoparmelia duplicata", "Xanthoparmelia durietzii", "Xanthoparmelia dwaasbergensis", "Xanthoparmelia dysprosa", "Sassafras albidum", "Sassafras randaiense", "Sassafras tzumu", "Belonophora coffeoides", "Xanthoparmelia cafferensis", "Xanthoparmelia calida", "Xanthoparmelia californica", "Xanthoparmelia caliginosa", "Xanthoparmelia callifolioides", "Xanthoparmelia calvinia", "Xanthoparmelia canariensis", "Xanthoparmelia canobolasensis", "Xanthoparmelia caparidensis", "Xanthoparmelia capensis", "Xanthoparmelia catarinae", "Xanthoparmelia cedrus-montana", "Xanthoparmelia centralis", "Xanthoparmelia ceresella", "Xanthoparmelia ceresensis", "Xanthoparmelia ceresina", "Xanthoparmelia cerussata", "Xanthoparmelia chalybaeizans", "Xanthoparmelia cheelii", "Xanthoparmelia chionophila", "Xanthoparmelia chiricahuensis", "Xanthoparmelia chlorea", "Xanthoparmelia chlorochroa", "Xanthoparmelia chudalupensis", "Xanthoparmelia cirrhomedullosa", "Xanthoparmelia claviculata", "Xanthoparmelia clivorum", "Xanthoparmelia colensoica", "Xanthoparmelia colensoides", "Xanthoparmelia colorado\u00ebnsis", "Xanthoparmelia colorata", "Xanthoparmelia columbariensis", "Xanthoparmelia commonii", "Xanthoparmelia competita", "Xanthoparmelia concolor", "Xanthoparmelia concomitans", "Xanthoparmelia condaminensis", "Xanthoparmelia condyloides", "Xanthoparmelia coneruptens", "Xanthoparmelia congensis", "Xanthoparmelia congesta", "Xanthoparmelia conjuncta", "Xanthoparmelia conranensis", "Xanthoparmelia consociata", "Xanthoparmelia conspersa", "Xanthoparmelia conspersula", "Xanthoparmelia constipata", "Xanthoparmelia contrasta", "Xanthoparmelia convexa", "Xanthoparmelia convexula", "Xanthoparmelia convoluta", "Xanthoparmelia convolutella", "Xanthoparmelia cordillerana", "Xanthoparmelia coreana", "Xanthoparmelia coriacea", "Xanthoparmelia cotopaxiensis", "Xanthoparmelia cranfieldii", "Xanthoparmelia crassilobata", "Pyxilla johnsoniana", "Pyxilla oligocaenica", "Pyxilla prolongata", "Pyxilla ascidiiformis", "Pyrgupyxis eocena", "Pyxilla barbadensis", "Pyxilla cretacea", "Rhizosolenia barboi", "Paralia sulcata", "Paralia marina", "Paralia sol", "Paralia thybergii", "Paralia hendeyi", "Paralia ornata", "Ellerbeckia arenaria", "Ellerbeckia kochii", "Ellerbeckia teres", "Croton petraeus", "Picralima nitida", "Pleiocarpa mutica", "Secamone emetica", "Toxocarpus wightianus", "Periploca graeca", "Periploca laevigata", "Periploca sepium", "Claoxylon indicum", "Macaranga grandifolia", "Macaranga indica", "Macaranga mappa", "Macaranga tanarius", "Macaranga triloba", "Mercurialis perennis", "Mercurialis annua", "Mercurialis tomentosa", "Conceveiba guianensis", "Homalanthus nutans", "Homalanthus populifolius", "Bossiaea aquifolium", "Bossiaea bossiaeoides", "Bossiaea buxifolia", "Bossiaea cinerea", "Bossiaea cordigera", "Bossiaea dentata", "Bossiaea ensata", "Bossiaea eriocarpa", "Bossiaea foliosa", "Bossiaea heterophylla", "Bossiaea laidlawiana", "Bossiaea linophylla", "Bossiaea ornata", "Bossiaea preissii", "Bossiaea prostrata", "Bossiaea pulchella", "Bossiaea riparia", "Bossiaea spinescens", "Bossiaea webbii", "Goodia lotifolia", "Muelleranthus trifoliolatus", "Platylobium formosum", "Platylobium obtusangulum", "Brya ebenus", "Brya microphylla", "Cranocarpus martii", "Xanthoparmelia farinosa", "Xanthoparmelia fausta", "Xanthoparmelia felkaensis", "Xanthoparmelia ferraroiana", "Xanthoparmelia ferruma", "Xanthoparmelia festiva", "Xanthoparmelia filarszkyana", "Xanthoparmelia filsonii", "Xanthoparmelia fissurina", "Xanthoparmelia flavescentireagens", "Xanthoparmelia flindersiana", "Xanthoparmelia follmannii", "Xanthoparmelia formosana", "Xanthoparmelia olivetorica", "Xanthoparmelia olivetoricella", "Xanthoparmelia orchardii", "Xanthoparmelia oreophila", "Xanthoparmelia oribensis", "Xanthoparmelia orientalis", "Xanthoparmelia osorioi", "Xanthoparmelia oveana", "Xanthoparmelia foveolata", "Xanthoparmelia fracticollis", "Xanthoparmelia franklinensis", "Xanthoparmelia fucina", "Xanthoparmelia fumarafricana", "Xanthoparmelia fumarprotocetrarica", "Xanthoparmelia fumigata", "Xanthoparmelia furcata", "Xanthoparmelia fynbosiana", "Xanthoparmelia geesterani", "Xanthoparmelia gemmulifera", "Xanthoparmelia gerhardii", "Pholidota chinensis", "Xanthoparmelia gerlachei", "Xanthoparmelia glabrans", "Xanthoparmelia glareosa", "Xanthoparmelia globisidiosa", "Xanthoparmelia globulifera", "Ionopsis utricularioides", "Xanthoparmelia glomelliferonica", "Xanthoparmelia glomerulata", "Xanthoparmelia gongylodes", "Xanthoparmelia graniticola", "Pseudomonas abietaniphila", "Xanthoparmelia granulata", "Xanthoparmelia gregaria", "Rossioglossum grande", "Rossioglossum schlieperianum", "Xanthoparmelia greytonensis", "Xanthoparmelia gyrophorica", "Papilionanthe hookeriana", "Pseudomonas acidovorans", "Papilionanthe teres", "Pseudomonas andropogonis", "Pseudomonas anguilliseptica", "Pseudomonas antarctica", "Pseudomonas antimicrobica", "Pseudomonas argentinensis", "Pseudomonas asplenii", "Pseudomonas aurantiaca", "Pseudomonas avellanae", "Pseudomonas avenae", "Pseudomonas avenae subsp. avenae", "Matucana intertexta", "Anhaloniopsis madisoniorum", "Pseudomonas maltophilia", "Burkholderia cepacia", "Burkholderia cepacia complex", "Pseudomonas chlororaphis", "Ailuropoda melanoleuca qinlingensis", "Pseudomonas cichorii", "Pseudomonas cissicola", "Pseudomonas citronellolis", "Pseudomonas congelans", "Pseudomonas corrugata", "Pseudomonas costantinii", "Pseudomonas cremoricolorata", "Pseudomonas delafieldii", "Pseudomonas delhiensis", "Pseudomonas diminuta", "Pseudomonas caryophylli", "Pseudomonas doudoroffii", "Pseudomonas echinoides", "Pseudomonas elongata", "Pseudomonas extremorientalis", "Pseudomonas facilis", "Pseudomonas ficuserectae", "Pseudomonas flava", "Pseudomonas flavescens", "Pseudomonas flectens", "Pseudomonas fluorescens", "Pseudomonas fragi", "Pseudomonas frederiksbergensis", "Pseudomonas fulva", "Pseudomonas fuscofaginae", "Pseudomonas gelidicola", "Pseudomonas geniculata", "Matucana \u00d7 pujupatii", "Ouroborus cataphractus", "Smaug giganteus", "Alligator mississippiensis", "Alligator sinensis", "Caiman yacare", "Caiman crocodilus", "Paleosuchus palpebrosus", "Paleosuchus trigonatus", "Melanosuchus niger", "Xanthoparmelia hafellneri", "Xanthoparmelia halei", "Xanthoparmelia harrisii", "Xanthoparmelia hedbergii", "Xanthoparmelia heinarii", "Xanthoparmelia hensseniae", "Xanthoparmelia heterodoxa", "Xanthoparmelia hirosakiensis", "Xanthoparmelia hondensis", "Xanthoparmelia huachucensis", "Xanthoparmelia hueana", "Xanthoparmelia huttonii", "Xanthoparmelia hybrida", "Xanthoparmelia hybridiza", "Xanthoparmelia hypoconstictica", "Xanthoparmelia hypoleia", "Xanthoparmelia hypoleiella", "Xanthoparmelia hypomelaena", "Xanthoparmelia hypomelaenoides", "Xanthoparmelia hypoprotocetrarica", "Xanthoparmelia hypopsila", "Xanthoparmelia hyporhytida", "Xanthoparmelia hyposalazinica", "Xanthoparmelia hypostictica", "Xanthoparmelia hypothamnolica", "Xanthoparmelia ianthina", "Xanthoparmelia idahoensis", "Xanthoparmelia imbricata", "Xanthoparmelia imitatrix", "Xanthoparmelia immutata", "Xanthoparmelia incantata", "Xanthoparmelia incerta", "Psydrax kraussioides", "Xanthoparmelia incomposita", "Xanthoparmelia inconspicua", "Xanthoparmelia inconspicuella", "Xanthoparmelia incrustata", "Xanthoparmelia indumenica", "Xanthoparmelia infausta", "Xanthoparmelia inflata", "Xanthoparmelia jarmaniae", "Xanthoparmelia joranadia", "Amanita phalloides", "Xanthoparmelia juxtata", "Xanthoparmelia kalbarriensis", "Xanthoparmelia kalbii", "Xanthoparmelia karamojae", "Xanthoparmelia karoo", "Xanthoparmelia karooensis", "Xanthoparmelia kasachstania", "Xanthoparmelia kashiwadanii", "Xanthoparmelia kenyana", "Xanthoparmelia keralensis", "Xanthoparmelia khomasiana", "Xanthoparmelia kiboensis", "Albatrossidium minzok", "Xanthoparmelia kimberleyensis", "Xanthoparmelia kleinswartbergensis", "Xanthoparmelia knoxii", "Xanthoparmelia kondininensis", "Xanthoparmelia kosciuszkoensis", "Xanthoparmelia kotisephola", "Xanthoparmelia krogiae", "Xanthoparmelia laciniata", "Xanthoparmelia lagunebergensis", "Xanthoparmelia lapidula", "Xanthoparmelia latilobata", "Xanthoparmelia lavicola", "Xanthoparmelia laxchalybaeizans", "Xanthoparmelia laxencrustans", "Xanthoparmelia lecanoracea", "Xanthoparmelia lecanorica", "Xanthoparmelia leonora", "Xanthoparmelia leppii", "Xanthoparmelia lesothoensis", "Xanthoparmelia leucophaea", "Xanthoparmelia leucostigma", "Xanthoparmelia lichinoidea", "Xanthoparmelia lineella", "Xanthoparmelia lineola", "Xanthoparmelia lipochlorochroa", "Xanthoparmelia lithophila", "Xanthoparmelia lithophiloides", "Xanthoparmelia lividica", "Xanthoparmelia lobarica", "Xanthoparmelia lobulatella", "Xanthoparmelia lobulifera", "Xanthoparmelia lobuliferella", "Xanthoparmelia lopezii", "Xanthoparmelia loriloba", "Xanthoparmelia louisii", "Xanthoparmelia loxodella", "Xanthoparmelia lucrosa", "Xanthoparmelia ludritziana", "Xanthoparmelia lumbschii", "Xanthoparmelia luminosa", "Xanthoparmelia lurida", "Xanthoparmelia lusitana", "Xanthoparmelia luteonotata", "Xanthoparmelia lynii", "Pseudomonas gessardii", "Pseudomonas glathei", "Pseudomonas glumae", "Pseudomonas graminis", "Pseudomonas grimontii", "Pseudomonas halophila", "Pseudomonas huttiensis", "Pseudomonas indica", "Pseudomonas indigofera", "Pseudomonas iners", "Pseudomonas jessenii", "Pseudomonas jinjuensis", "Pseudomonas kilonensis", "Cyclosa octotuberculata", "Pseudomonas knackmussii", "Berkheya spinosissima", "Pseudomonas koreensis", "Pseudomonas lanceolata", "Pseudomonas lemoignei", "Indopiptadenia oudhensis", "Pseudomonas libanensis", "Pseudomonas lini", "Kanaloa kahoolawensis", "Leucaena leucocephala", "Leucaena collinsii", "Leucaena confertiflora", "Leucaena cuspidata", "Leucaena diversifolia", "Leucaena esculenta", "Leucaena greggii", "Leucaena involucrata", "Leucaena lanceolata", "Leucaena lempirana", "Xanthoparmelia scotophylla", "Xanthoparmelia scutariae", "Xanthoparmelia segregata", "Xanthoparmelia semiviridis", "Leucaena macrophylla", "Leucaena magnifica", "Leucaena matudae", "Leucaena multicapitula", "Leucaena pallida", "Leucaena pseudotrichoides", "Xanthoparmelia serpulina", "Leucaena pueblana", "Leucaena pulverulenta", "Xanthoparmelia serusiauxii", "Xanthoparmelia multipartita", "Xanthoparmelia murina", "Xanthoparmelia musculina", "Xanthoparmelia mutabilis", "Matucana formosa", "Matucana aurantiaca", "Xanthoparmelia nakuruensis", "Xanthoparmelia nama\u00ebnsis", "Xanthoparmelia namakwa", "Xanthoparmelia namaquensis", "Xanthoparmelia namibiensis", "Xanthoparmelia nana", "Xanthoparmelia nanoides", "Xanthoparmelia nashii", "Xanthoparmelia natalensis", "Xanthoparmelia naudesnekia", "Xanthoparmelia nautilomontana", "Xanthoparmelia nebulosa", "Xanthoparmelia neochlorochroa", "Xanthoparmelia neocongensis", "Xanthoparmelia neocongruens", "Xanthoparmelia neoconspersa", "Xanthoparmelia neocumberlandia", "Xanthoparmelia neodelisei", "Xanthoparmelia neoesterhuyseniae", "Xanthoparmelia neoglabrans", "Xanthoparmelia neokalbii", "Xanthoparmelia neomongaensis", "Mungos mungo", "Xanthoparmelia neononreagens", "Xanthoparmelia neopropaguloides", "Xanthoparmelia neoquintaria", "Xanthoparmelia neoreptans", "Xanthoparmelia neorimalis", "Xanthoparmelia neosynestia", "Xanthoparmelia neotaractica", "Xanthoparmelia neotasmanica", "Xanthoparmelia neotinctina", "Xanthoparmelia neotucsonensis", "Xanthoparmelia neotumidosa", "Xanthoparmelia neoweberi", "Xanthoparmelia neowyomingica", "Xanthoparmelia nepalensis", "Xanthoparmelia nerrigensis", "Xanthoparmelia nigraoleosa", "Xanthoparmelia nigrocephala", "Xanthoparmelia nigrolavicola", "Xanthoparmelia nigropsoromifera", "Xanthoparmelia nigroweberi", "Xanthoparmelia nimbicola", "Xanthoparmelia nonreagens", "Xanthoparmelia norcapnodes", "Xanthoparmelia norchlorochroa", "Xanthoparmelia norcolorata", "Xanthoparmelia norconvoluta", "Xanthoparmelia norhypopsila", "Xanthoparmelia norincomposita", "Xanthoparmelia norlobaridonica", "Xanthoparmelia norlobaronica", "Xanthoparmelia norpraegnans", "Xanthoparmelia norpumila", "Xanthoparmelia norstrigosa", "Xanthoparmelia nortegeta", "Xanthoparmelia norwalteri", "Xanthoparmelia notata", "Xanthoparmelia notatica", "Xanthoparmelia novomexicana", "Xanthoparmelia numinbahensis", "Xanthoparmelia nuwarensis", "Acragas nigromaculatus", "Xanthoparmelia oblisata", "Xanthoparmelia obscurata", "Xanthoparmelia occidentalis", "Xanthoparmelia ochropulchra", "Xanthoparmelia oleosa", "Xanthoparmelia olifantensis", "Xanthoparmelia pseudepheboides", "Xanthoparmelia pseudoamphixantha", "Xanthoparmelia pseudocafferensis", "Xanthoparmelia pseudochlorochloroa", "Xanthoparmelia pseudocongensis", "Xanthoparmelia pseudoglabrans", "Xanthoparmelia pseudohungarica", "Xanthoparmelia pseudohypoleia", "Xanthoparmelia pseudoloriloba", "Xanthoparmelia pseudopulla", "Xanthoparmelia psornorstictica", "Xanthoparmelia psoromica", "Xanthoparmelia psoromifera", "Xanthoparmelia pudens", "Xanthoparmelia pulloides", "Xanthoparmelia pulvinaria", "Xanthoparmelia pumila", "Xanthoparmelia punctulata", "Xanthoparmelia purdieae", "Xanthoparmelia pustulescens", "Xanthoparmelia pustulifera", "Xanthoparmelia pustuliza", "Xanthoparmelia pustulosa", "Xanthoparmelia pustulosorediata", "Xanthoparmelia putida", "Gentiana verna", "Xanthoparmelia putsoa", "Xanthoparmelia pyrenaica", "Gentiana acaulis", "Matucana aureiflora", "Acragas pacatus", "Xanthoparmelia quinonella", "Xanthoparmelia quintaria", "Xanthoparmelia quintarioides", "Xanthoparmelia ralstoniana", "Xanthoparmelia rankinensis", "Xanthoparmelia remanella", "Xanthoparmelia remanens", "Xanthoparmelia remnantia", "Xanthoparmelia reptans", "Acragas peckhami", "Xanthoparmelia roderickii", "Xanthoparmelia rogersii", "Acragas procalvus", "Xanthoparmelia rubrireagens", "Acragas quadriguttatus", "Xanthoparmelia rubromedulla", "Xanthoparmelia rubropustulata", "Acragas rosenbergi", "Xanthoparmelia rugulosa", "Acragas trimaculatus", "Acragas zeteki", "Xanthoparmelia rupestris", "Xanthoparmelia ryssolea", "Xanthoparmelia saginata", "Xanthoparmelia salamphixantha", "Xanthoparmelia saleruptens", "Xanthoparmelia salkiboensis", "Xanthoparmelia sammyi", "Xanthoparmelia saniensis", "Xanthoparmelia santessonii", "Xanthoparmelia sargentii", "Xanthoparmelia scabrella", "Xanthoparmelia scabrosa", "Xanthoparmelia scabrosina", "Xanthoparmelia scabrosinita", "Xanthoparmelia schenckiana", "Xanthoparmelia schistacea", "Xanthoparmelia schmidtii", "Pseudomonas beteli", "Pseudomonas borbori", "Pseudomonas boreopolis", "Pseudomonas brassicacearum", "Pseudomonas brenneri", "Pseudomonas cannabina", "Pseudomonas carboxydohydrogena", "Pseudomonas caricapapayae", "Pseudomonas cedrina", "Gaussicuma dufresnae", "Piptadenia adiantoides", "Piptadenia flava", "Piptadenia gonoacantha", "Piptadenia paniculata", "Piptadenia stipulacea", "Matucana ritteri", "Matucana haynei", "Rhinoptera bonasus", "Gephyrocuma pala", "Gephyrocuma repandum", "Gephyrocuma simile", "Cistus ladanifer", "Limonium redivivum", "Xanthoparmelia tinctina var. tinctina", "Xanthoparmelia tinctina var. xizangensis", "Anisynta cynone", "Anisynta dominula", "Anisynta monticolae", "Anisynta sphenosema", "Anisynta tillyardi", "Xanthoparmelia vagans", "Xanthoparmelia valdeta", "Xanthoparmelia vanderbylii", "Xanthoparmelia vendensis", "Xanthoparmelia verdonii", "Xanthoparmelia verecunda", "Xanthoparmelia verisidiosa", "Xanthoparmelia verrucella", "Xanthoparmelia verruciformis", "Xanthoparmelia verrucigera", "Xanthoparmelia versicolor", "Xanthoparmelia vicaria", "Xanthoparmelia vicariella", "Xanthoparmelia vicentii", "Xanthoparmelia victoriana", "Xanthoparmelia villamiliana", "Xanthoparmelia violacea", "Xanthoparmelia viridis", "Xanthoparmelia shebaiensis", "Xanthoparmelia sigillata", "Xanthoparmelia simulans", "Xanthoparmelia sipmanii", "Xanthoparmelia sitiens", "Xanthoparmelia skottsbergiana", "Xanthoparmelia skyrinifera", "Xanthoparmelia sleei", "Leucaena retusa", "Leucaena salvadorensis", "Leucaena shannonii", "Leucaena trichandra", "Leucaena trichodes", "Microlobius foetidus", "Xanthoparmelia stenophylla", "Xanthoparmelia sorediata", "Xanthoparmelia spargenosa", "Xanthoparmelia spargens", "Xanthoparmelia spesica", "Xanthoparmelia springbokensis", "Xanthoparmelia squamans", "Mimosa aculeaticarpa", "Mimosa acutistipula", "Xanthoparmelia squamariatella", "Xanthoparmelia squamatica", "Xanthoparmelia standaertii", "Xanthoparmelia stanthorpensis", "Xanthoparmelia stenophylloides", "Xanthoparmelia stenosporonica", "Xanthoparmelia stenosporonicella", "Xanthoparmelia streimannii", "Xanthoparmelia stuartensis", "Xanthoparmelia stuartioides", "Xanthoparmelia stygiodes", "Xanthoparmelia subalpina", "Xanthoparmelia subamplexuloides", "Xanthoparmelia subbarbatica", "Pseudomonas lundensis", "Pseudomonas lutea", "Pseudomonas lurida", "Pseudomonas luteola", "Pseudomonas mallei", "Xanthoparmelia subbullata", "Xanthoparmelia subcolorata", "Xanthoparmelia subconvoluta", "Xanthoparmelia subcrustacea", "Xanthoparmelia subcrustosa", "Xanthoparmelia subcrustulosa", "Xanthoparmelia subcumberlandia", "Xanthoparmelia subdecipiens", "Xanthoparmelia subdiffluens", "Xanthoparmelia subdistorta", "Xanthoparmelia suberadicata", "Xanthoparmelia subflabellata", "Piptadeniastrum africanum", "Plathymenia reticulata", "Prosopidastrum globosum", "Pseudopiptadenia contorta", "Pseudopiptadenia psilostachya", "Pseudopiptadenia suaveolens", "Schleinitzia fosbergii", "Schleinitzia insularum", "Stryphnodendron adstringens", "Stryphnodendron coriaceum", "Stryphnodendron guianense", "Stryphnodendron microstachyum", "Stryphnodendron obovatum", "Stryphnodendron polystachyum", "Stryphnodendron pulcherrimum", "Stryphnodendron racemiferum", "Tetrapleura tetraptera", "Xerocladia viridiramis", "Xylia evansii", "Xylia torreana", "Xylia xylocarpa", "Centrosema acutifolium", "Xanthoparmelia tablensis", "Xanthoparmelia tananarivensis", "Xanthoparmelia taractica", "Xanthoparmelia tasmanica", "Xanthoparmelia tatimirix", "Xanthoparmelia tegeta", "Xanthoparmelia tenacea", "Xanthoparmelia tentaculina", "Xanthoparmelia tenuiloba", "Xanthoparmelia terrestris", "Xanthoparmelia terricola", "Xanthoparmelia thamnoides", "Xanthoparmelia thamnolica", "Xanthoparmelia thorstenii", "Xanthoparmelia tinctina", "Xanthoparmelia togashii", "Xanthoparmelia tolucensis", "Xanthoparmelia toninioides", "Xanthoparmelia toolbrunupensis", "Xanthoparmelia tortula", "Xanthoparmelia torulosa", "Xanthoparmelia trachythallina", "Xanthoparmelia transvaalensis", "Xanthoparmelia treurensis", "Xanthoparmelia triebeliae", "Xanthoparmelia trirosea", "Xanthoparmelia tropica", "Xanthoparmelia tsekensis", "Xanthoparmelia tuberculata", "Xanthoparmelia tuberculiformis", "Xanthoparmelia tuckeriana", "Xanthoparmelia tumidosa", "Xanthoparmelia tyrrhea", "Xanthoparmelia tzaneenensis", "Xanthoparmelia ulcerosa", "Xanthoparmelia umtamvuna", "Xanthoparmelia unctula", "Xanthoparmelia uruguayensis", "Xanthoparmelia usitata", "Xanthoparmelia ustulata", "Bathynomus doederleinii", "Xanthoparmelia tibellii", "Xanthoparmelia maccarthyi", "Xanthoparmelia maculodecipiens", "Xanthoparmelia madeirensis", "Xanthoparmelia magnificans", "Xanthoparmelia mahuiana", "Xanthoparmelia malawiensis", "Xanthoparmelia malcolmii", "Xanthoparmelia manina", "Xanthoparmelia mannumensis", "Xanthoparmelia mapholanengensis", "Xanthoparmelia marcellii", "Xanthoparmelia maricopensis", "Xanthoparmelia maritima", "Xanthoparmelia marroninipuncta", "Xanthoparmelia martinii", "Xanthoparmelia masonii", "Xanthoparmelia maxima", "Xanthoparmelia mayrhoferi", "Cloeosiphon aspergillus", "Xanthoparmelia mbabanensis", "Xanthoparmelia mehalei", "Xanthoparmelia melancholica", "Xanthoparmelia melanobarbatica", "Xanthoparmelia meruensis", "Xanthoparmelia mesmerizans", "Xanthoparmelia metaclystoides", "Xanthoparmelia metamorphosa", "Xanthoparmelia metastrigosa", "Xanthoparmelia mexicana", "Xanthoparmelia microcephala", "Ophiorrhiza mungos", "Xanthoparmelia microlobulata", "Xanthoparmelia micromaculata", "Xanthoparmelia microphyllizans", "Xanthoparmelia micropsoromica", "Xanthoparmelia microspora", "Xanthoparmelia millerae", "Xanthoparmelia minuta", "Xanthoparmelia minutella", "Xanthoparmelia mobergii", "Xanthoparmelia moctezumensis", "Xanthoparmelia mollis", "Xanthoparmelia molliuscula", "Xanthoparmelia molybdiza", "Xanthoparmelia monadnockensis", "Xanthoparmelia monastica", "Xanthoparmelia mongaensis", "Xanthoparmelia mongolica", "Xanthoparmelia montanensis", "Xanthoparmelia monticola", "Xanthoparmelia mougeotii", "Xanthoparmelia mougeotina", "Xanthoparmelia multiacida", "Bacescuma tanzaniense", "Echidna nebulosa", "Pyrocephalus obscurus ardens", "Pyrocephalus obscurus blatteus", "Pyrocephalus obscurus cocachacrae", "Pyrocephalus dubius", "Pyrocephalus obscurus flammeus", "Crotalaria cleomifolia", "Crotalaria collina", "Crotalaria comosa", "Crotalaria crispata", "Crotalaria cunninghamii", "Crotalaria cylindrocarpa", "Crotalaria cylindrostachys", "Crotalaria cytisoides", "Coffea magnistipula", "Coffea mangoroensis", "Coffea manombensis", "Crotalaria damarensis", "Crotalaria deserticola", "Crotalaria digitata", "Crotalaria dissitiflora", "Crotalaria distans", "Crotalaria distantiflora", "Xanthoparmelia viriduloumbrina", "Xanthoparmelia waboombergensis", "Xanthoparmelia waiporiensis", "Xanthoparmelia walteri", "Xanthoparmelia weberi", "Xanthoparmelia weberiella", "Xanthoparmelia wesselsii", "Xanthoparmelia wildeae", "Xanthoparmelia willisii", "Xanthoparmelia wirthii", "Xanthoparmelia wisangerensis", "Xanthoparmelia worcesteri", "Xanthoparmelia wrightiana", "Xanthoparmelia wyomingica", "Xanthoparmelia xanthofarinosa", "Xanthoparmelia xanthomelaena", "Xanthoparmelia xanthomelanella", "Xanthoparmelia xanthomelanoides", "Xanthoparmelia xavieri", "Xanthoparmelia xerica", "Xanthoparmelia xerophila", "Xanthoparmelia xizangensis", "Xanthoparmelia yamblaensis", "Xanthoparmelia yowaensis", "Xanthoparmelia zimbabwana", "Xanthoparmelia zonata", "Mimosa diplotricha", "Mimosa affinis", "Mimosa albida", "Mimosa arenosa", "Mimosa artemisiana", "Mimosa asperata", "Mimosa bahamensis", "Mimosa bimucronata", "Mimosa blanchettii", "Mimosa brachycarpa", "Mimosa caesalpiniifolia", "Mimosa calodendron", "Mimosa camporum", "Mimosa casta", "Mimosa ceratonia", "Mimosa debilis", "Mimosa distachya", "Mimosa distans", "Mimosa dolens", "Mimosa dormiens", "Mimosa dysocarpa", "Mimosa emoryana", "Mimosa ephedroides", "Mimosa farinosa", "Mimosa filipes", "Mimosa flagellaris", "Mimosa flocculosa", "Mimosa grahamii", "Mimosa guilandinae", "Mimosa hamata", "Mimosa incana", "Mimosa invisa", "Mimosa laticifera", "Mimosa luisana", "Mimosa malacophylla", "Mimosa mensicola", "Varanus mertensi", "Varanus beccarii", "Varanus melinus", "Apis dorsata laboriosa", "Xanthoparmelia pachyclada", "Xanthoparmelia pantherina", "Xanthoparmelia papillosa", "Xanthoparmelia paradoxa", "Xanthoparmelia paraparmeliformis", "Xanthoparmelia parasitica", "Xanthoparmelia paratasmanica", "Xanthoparmelia parviloba", "Xanthoparmelia parvoclystoides", "Xanthoparmelia parvoincerta", "Xanthoparmelia patula", "Xanthoparmelia peloloba", "Xanthoparmelia perfissa", "Xanthoparmelia perplexa", "Xanthoparmelia perrugata", "Xanthoparmelia perrugosa", "Xanthoparmelia pertinax", "Xanthoparmelia petriseda", "Xanthoparmelia phaeophana", "Xanthoparmelia phillipsiana", "Xanthoparmelia pictada", "Xanthoparmelia piedmontensis", "Xanthoparmelia pinguiacida", "Xanthoparmelia plana", "Xanthoparmelia planilobata", "Xanthoparmelia poeltii", "Xanthoparmelia pokornyi", "Xanthoparmelia polystictica", "Xanthoparmelia ponderosa", "Xanthoparmelia praegnans", "Xanthoparmelia princeps", "Xanthoparmelia pristiloba", "Xanthoparmelia probarbellata", "Xanthoparmelia proboscidea", "Xanthoparmelia prodomokosii", "Xanthoparmelia prolata", "Xanthoparmelia prolixula", "Xanthoparmelia protodysprosa", "Xanthoparmelia protolusitana", "Rothmannia annae", "Xanthoparmelia protomatrae", "Xanthoparmelia protoquintaria", "Xanthoparmelia proximata", "Mimosa myriadena", "Mimosa nuda", "Mimosa ophthalmocentra", "Mimosa orthocarpa", "Mimosa palmeri", "Mimosa pellita", "Mimosa pigra", "Mimosa polyantha", "Mimosa polycarpa", "Mimosa polydactyla", "Mimosa quadrivalvis", "Mimosa ramulosa", "Mimosa rubicaulis", "Mimosa rufescens", "Mimosa scabrella", "Mimosa schomburgkii", "Mimosa sensibilis", "Mimosa sensitiva", "Mimosa somnians", "Mimosa strigillosa", "Mimosa tenuiflora", "Mimosa tricephala", "Mimosa uliginosa", "Mimosa uraguensis", "Mimosa velloziana", "Mimosa verrucosa", "Mimosa xanthocentra", "Parapiptadenia rigida", "Parapiptadenia pterosperma", "Parapiptadenia excelsa", "Xanthoparmelia vagans f. desertorum", "Xanthoparmelia vagans f. elegans", "Xanthoparmelia vagans f. vagans", "Bathycuma elongatum", "Matucana krahnii", "Bathycuma vemae", "Bathycuma magnum", "Bathycuma longirostre", "Bathycuma longicaudatum", "Bathycuma rotunditectorum", "Bathycuma granulatum", "Bathycuma okinawaense", "Bathycuma declinatum", "Bathycuma datum", "Bathycuma capense", "Bathycuma brevirostre", "Cumopsis robusta", "Cumopsis jonesi", "Cumopsis goodsir", "Cumopsis fagei", "Cumopsis elongata", "Cumopsis wafri", "Cumopsis longipes", "Gaussicuma vanhoeffeni", "Gaussicuma scabrum", "Gaussicuma kermadecense", "Gaussicuma gurjanovae", "Gaussicuma gloriosae", "Xanthoparmelia subhosseana", "Xanthoparmelia subimitatrix", "Xanthoparmelia subincerta", "Xanthoparmelia sublaevis", "Xanthoparmelia sublineola", "Xanthoparmelia subloxodella", "Xanthoparmelia subluminosa", "Xanthoparmelia submougeotii", "Xanthoparmelia subnuda", "Xanthoparmelia subochracea", "Xanthoparmelia subpallida", "Xanthoparmelia subpigmentosa", "Xanthoparmelia subplittii", "Xanthoparmelia subpolyphylloides", "Xanthoparmelia subprolixa", "Xanthoparmelia subramigera", "Xanthoparmelia subruginosa", "Xanthoparmelia subrugulosa", "Xanthoparmelia subsorediata", "Xanthoparmelia subspodochroa", "Xanthoparmelia subsquamariata", "Xanthoparmelia substenophylloides", "Xanthoparmelia substrigosa", "Xanthoparmelia substygiodes", "Xanthoparmelia subtaractica", "Xanthoparmelia subtasmanica", "Xanthoparmelia subtinctina", "Xanthoparmelia subtortula", "Xanthoparmelia subtropica", "Xanthoparmelia subulcerosa", "Xanthoparmelia subverrucella", "Xanthoparmelia subverrucigera", "Polystichum lonchitis", "Xanthoparmelia succedans", "Xanthoparmelia sulcifera", "Xanthoparmelia supposita", "Xanthoparmelia surrogata", "Xanthoparmelia swartbergensis", "Xanthoparmelia synestia", "Razafimandimbisonia humblotii", "Razafimandimbisonia minor", "Alberta magna", "Razafimandimbisonia orientalis", "Razafimandimbisonia regalis", "Belonophora coffeoides subsp. hypoglauca", "Xanthoparmelia subumbilicata", "Belonophora coffeoides subsp. coffeoides", "Belonophora ongensis", "Coffea liberica", "Centrosema angustifolium", "Centrosema arenarium", "Centrosema arenicola", "Centrosema bifidum", "Centrosema brachypodum", "Centrosema bracteosum", "Centrosema brasilianum", "Centrosema capitatum", "Centrosema carajasense", "Matucana weberbaueri", "Matucana paucicostata", "Centrosema coriaceum", "Centrosema dasyanthum", "Centrosema fasciculatum", "Centrosema grandiflorum", "Centrosema grazielae", "Centrosema heptaphyllum", "Centrosema jaraguaense", "Centrosema latidens", "Centrosema macrocarpum", "Centrosema pascuorum", "Centrosema plumieri", "Centrosema pubescens", "Centrosema rotundifolium", "Centrosema sagittatum", "Centrosema schottii", "Centrosema tapirapoanense", "Centrosema tetragonolobum", "Centrosema venosum", "Centrosema vetulum", "Centrosema vexillatum", "Centrosema virginianum", "Clitoria amazonum", "Clitoria annua", "Clitoria arborea", "Clitoria arborescens", "Clitoria australis", "Clitoria dendrina", "Clitoria fairchildiana", "Clitoria falcata", "Clitoria fragrans", "Clitoria guianensis", "Clitoria heterophylla", "Clitoria javitensis", "Clitoria laurifolia", "Clitoria linearis", "Clitoria mariana", "Clitoria mexicana", "Clitoria nana", "Clitoria sagotii", "Clitoria stipularis", "Clitoria ternatea", "Periandra coccinea", "Periandra heterophylla", "Periandra mediterranea", "Madoqua kirkii", "Coffea salvatrix", "Xanthoparmelia brownlieae", "Xanthoparmelia imitatricoides", "Xanthoparmelia rugulosella", "Crotalaria madurensis", "Crotalaria mauensis", "Crotalaria maypurensis", "Crotalaria medicaginea", "Crotalaria mesopontica", "Crotalaria meyeriana", "Crotalaria micans", "Crotalaria microcarpa", "Crotalaria mitchellii", "Crotalaria mohlenbrockii", "Crotalaria monteiroi", "Crotalaria mysorensis", "Crotalaria nana", "Crotalaria natalitia", "Crotalaria nitens", "Crotalaria novae-hollandiae", "Crotalaria obscura", "Crotalaria ochroleuca", "Crotalaria ononoides", "Crotalaria oocarpa", "Crotalaria orientalis", "Crotalaria orixensis", "Crotalaria orthoclada", "Crotalaria pallida", "Crotalaria pallidicaulis", "Crotalaria paulina", "Crotalaria perrottetii", "Crotalaria phylicoides", "Crotalaria pilosa", "Crotalaria pisicarpa", "Coffea sessiliflora", "Coffea schliebenii", "Coffea stenophylla", "Coffea tetragona", "Coffea togoensis", "Coffea bissetiae", "Coffea mufindiensis", "Coffea mauritiana", "Chrysaora fuscescens", "Gigacuma halei", "Glyphocuma bakeri", "Glyphocuma dentatum", "Glyphocuma halei", "Glyphocuma inaequale", "Glyphocuma serventyi", "Thalassoma hardwicke", "Cumopsis africanum", "Cumopsis andamani", "Cumopsis armatum", "Cumopsis intermedia", "Cumopsis sarsi", "Cistus salviifolius", "Hypocuma dentatum", "Hypocuma serratifrons", "Leptocuma forsmani", "Leptocuma kinbergii", "Leptocuma nichollsi", "Leptocuma intermedium", "Leptocuma serriferum", "Leptocuma vicarium", "Leptocuma obstipum", "Leptocuma patagonicum", "Leptocuma pulleini", "Leptocuma sheardi", "Leptocuma barbarae", "Leptocuma kennedyi", "Picrocuma poecilotum", "Picrocuma crudgingtoni", "Pomacuma australiae", "Pomacuma cognatum", "Pseudosympodomma indicum", "Pseudosympodomma hoinicae", "Pseudosympodomma africanum", "Anemarrhena asphodeloides", "Corokia buddleioides", "Corokia cotoneaster", "Corokia macrocarpa", "Crotalaria doidgeae", "Crotalaria doniana", "Crotalaria dura", "Crotalaria erecta", "Crotalaria eremaea", "Crotalaria eremicola", "Crotalaria excisa", "Crotalaria ferruginea", "Crotalaria fiherenensis", "Crotalaria filicaulis", "Crotalaria filifolia", "Crotalaria filipes", "Crotalaria flavicarinata", "Crotalaria gazensis", "Crotalaria glauca", "Crotalaria glaucoides", "Crotalaria globifera", "Crotalaria goreensis", "Crotalaria grahamiana", "Crotalaria hainanensis", "Crotalaria hebecarpa", "Crotalaria heidmannii", "Crotalaria holosericea", "Crotalaria humifusa", "Crotalaria humilis", "Crotalaria hyssopifolia", "Crotalaria impressa", "Crotalaria incana", "Crotalaria insignis", "Crotalaria kapirensis", "Crotalaria kipandensis", "Crotalaria laburnifolia", "Crotalaria laburnoides", "Crotalaria lachnocarpoides", "Crotalaria lachnophora", "Crotalaria lachnosema", "Crotalaria lanceolata", "Crotalaria lasiocarpa", "Crotalaria lathyroides", "Crotalaria lebrunii", "Crotalaria leptostachya", "Crotalaria leubnitziana", "Crotalaria linifolia", "Crotalaria longithyrsa", "Crotalaria lotoides", "Crotalaria lukwangulensis", "Crotalaria macrocarpa", "Matucana tuberculata", "Mauremys reevesii", "Matucana huagalensis", "Matucana oreodoxa", "Vaunthompsonia cristata", "Pearsonia aristata", "Pearsonia cajanifolia", "Pearsonia grandifolia", "Pearsonia mesopontica", "Pearsonia metallifera", "Pearsonia sessilifolia", "Vaunthompsonia serratifrons", "Vaunthompsonia laevifrons", "Vaunthompsonia natalensis", "Vaunthompsonia meridionalis", "Vaunthompsonia floridana", "Vaunthompsonia arabica", "Vaunthompsonia pacifica", "Vaunthompsonia minor", "Vaunthompsonia media", "Vaunthompsonia inermis", "Vaunthompsonia dawydoffi", "Rafnia acuminata", "Rafnia amplexicaulis", "Rafnia angulata", "Zenocuma rugosum", "Rafnia capensis", "Rafnia crassifolia", "Rafnia elliptica", "Lebeckia wrightii", "Lotononis adpressa", "Lotononis angolensis", "Lotononis azurea", "Lotononis benthamiana", "Lotononis carinata", "Lotononis corymbosa", "Lotononis crumaniana", "Lotononis decumbens", "Lotononis digitata", "Lotononis divaricata", "Lotononis eriantha", "Lotononis falcata", "Lotononis foliosa", "Lotononis glabra", "Lotononis hirsuta", "Lotononis involucrata", "Lotononis laxa", "Lotononis lenticula", "Lotononis leptoloba", "Lotononis listii", "Lotononis longiflora", "Lotononis lotononoides", "Lotononis macrosepala", "Lotononis maximiliani", "Lotononis mucronata", "Lotononis parviflora", "Lotononis pentaphylla", "Lotononis platycarpa", "Lotononis prostrata", "Lotononis pulchella", "Lotononis pungens", "Lotononis quinata", "Lotononis serpentinicola", "Lotononis stipulosa", "Lotononis stricta", "Lotononis strigillosa", "Lotononis tenella", "Sympodomma anomalum", "Sympodomma australiense", "Sympodomma diomedeae", "Sympodomma weberi", "Sympodomma hatagumoanum", "Sympodomma vitreum", "Sympodomma incertum", "Sympodomma whitleyi", "Crotalaria platysepala", "Crotalaria podocarpa", "Crotalaria polysperma", "Crotalaria prostrata", "Crotalaria pumila", "Crotalaria purshii", "Crotalaria pusilla", "Crotalaria quinquefolia", "Crotalaria recta", "Crotalaria reptans", "Crotalaria retusa", "Crotalaria rhodesiae", "Crotalaria rogersii", "Crotalaria rotundifolia", "Crotalaria sagittalis", "Crotalaria saharae", "Crotalaria saltiana", "Crotalaria schinzii", "Crotalaria schlechteri", "Crotalaria semperflorens", "Crotalaria senegalensis", "Crotalaria sessiliflora", "Crotalaria shirensis", "Crotalaria sparsifolia", "Crotalaria spartea", "Crotalaria spartioides", "Crotalaria speciosa", "Crotalaria spectabilis", "Crotalaria sphaerocarpa", "Crotalaria spinosa", "Crotalaria steudneri", "Crotalaria stipularia", "Crotalaria stolzii", "Crotalaria subcapitata", "Crotalaria tenuirama", "Crotalaria tetragona", "Crotalaria trichotoma", "Crotalaria trifoliastrum", "Crotalaria triquetra", "Crotalaria uncinella", "Crotalaria valida", "Crotalaria vallicola", "Crotalaria variegata", "Crotalaria vasculosa", "Crotalaria velutina", "Crotalaria verrucosa", "Crotalaria vestita", "Crotalaria virgulata", "Crotalaria virgultalis", "Crotalaria vitellina", "Crotalaria walkeri", "Lebeckia contaminata", "Lebeckia plukenetiana", "Cnicothamnus lorentzii", "Bolusia amboensis", "Crotalaria juncea", "Crotalaria longirostrata", "Crotalaria abbreviata", "Crotalaria acicularis", "Crotalaria aculeata", "Crotalaria agatiflora", "Crotalaria alata", "Crotalaria albicaulis", "Crotalaria albida", "Crotalaria alexandri", "Crotalaria angulata", "Crotalaria anisophylla", "Crotalaria anthyllopsis", "Crotalaria argyraea", "Crotalaria argyrolobioides", "Crotalaria aridicola", "Crotalaria assamica", "Crotalaria atrorubens", "Crotalaria avonensis", "Crotalaria axillaris", "Crotalaria balansae", "Crotalaria barkae", "Crotalaria barnabassii", "Crotalaria beddomeana", "Crotalaria bequaertii", "Crotalaria berteroana", "Crotalaria brachycarpa", "Crotalaria bracteata", "Crotalaria brevidens", "Crotalaria breviflora", "Crotalaria brevis", "Crotalaria burhia", "Crotalaria burkeana", "Crotalaria cajanifolia", "Crotalaria calycina", "Crotalaria candicans", "Crotalaria capensis", "Crotalaria caudata", "Crotalaria cephalotes", "Crotalaria chinensis", "Crotalaria chirindae", "Crotalaria chrysochlora", "Vitorfus brustolensis", "Octopyle stenozona", "Azorella compacta", "Azorella diapensioides", "Bowlesia incana", "Gymnophyton foliosum", "Coffea sakarahae", "Coffea sahafaryensis", "Coffea tricalysioides", "Coffea tsirananae", "Coffea vatovavyensis", "Coffea vavateninensis", "Coffea montis-sacri", "Pentalamina corona", "Tetraparma insecta", "Tetraparma pelagica", "Triparma columacea", "Triparma laevis", "Triparma retinervis", "Triparma strigata", "Triparma verrucosa", "Rafnia ovata", "Rafnia racemosa", "Rafnia triflora", "Robynsiophyton vanderystii", "Rothia hirsuta", "Rothia indica", "Spartidium saharae", "Wiborgia fusca", "Wiborgia incurvata", "Wiborgia monoptera", "Wiborgia mucronata", "Wiborgia obcordata", "Beturiella robusta", "Coffea fadenii", "Coffea dactylifera", "Coffea dubardii", "Coffea eugenioides", "Coffea mayombensis", "Coffea perrieri", "Ploechingerella multiperforata", "Coffea rakotonasoloi", "Gentiana lutea", "Argyrolobium pumilum", "Argyrolobium roseum", "Argyrolobium rupestre", "Argyrolobium sericeum", "Argyrolobium speciosum", "Argyrolobium stenophyllum", "Argyrolobium stipulaceum", "Argyrolobium tomentosum", "Argyrolobium transvaalense", "Argyrolobium tuberosum", "Argyrolobium uniflorum", "Argyrolobium variopile", "Argyrolobium zanonii", "Coffea farafanganensis", "Coffea fotsoana", "Coffea fragilis", "Coffea gallienii", "Coffea heimii", "Coffea heterocalyx", "Coffea homollei", "Coffea kihansiensis", "Coffea kapakata", "Coffea rhamnifolia", "Coffea richardii", "Coffea resinosa", "Coffea racemosa", "Cytisophyllum sessilifolium", "Cytisus arboreus", "Cytisus ardoinoi", "Cytisus arboreus subsp. baeticus", "Cytisus balansae", "Cytisus \u00d7 beanii", "Cytisus cantabricus", "Cytisus ruthenicus", "Cytisus commutatus", "Bulbocyrtium insolitum", "Bulbocyrtium cordeyi", "Bulbocyrtium longobardicum", "Cytisus decumbens", "Cytisus filipes", "Cytisus grandiflorus", "Cytisus \u00d7 kewensis", "Coffea macrocarpa", "Spananthe paniculata", "Adenocarpus anagyrifolius", "Adenocarpus bacquei", "Adenocarpus complicatus", "Adenocarpus decorticans", "Adenocarpus foliolosus", "Adenocarpus mannii", "Adenocarpus viscosus", "Argyrocytisus battandieri", "Rapala arata", "Argyrolobium adscendens", "Argyrolobium aequinoctiale", "Argyrolobium amplexicaule", "Argyrolobium arabicum", "Argyrolobium biebersteinii", "Argyrolobium candicans", "Argyrolobium collinum", "Argyrolobium crotalarioides", "Argyrolobium eylesii", "Argyrolobium filiforme", "Argyrolobium fischeri", "Argyrolobium flaccidum", "Argyrolobium harveyanum", "Argyrolobium humile", "Argyrolobium lanceolatum", "Argyrolobium lancifolium", "Argyrolobium marginatum", "Argyrolobium megarrhizum", "Argyrolobium molle", "Argyrolobium patens", "Argyrolobium pauciflorum", "Cytisus multiflorus", "Cytisus nigricans", "Cytisus oromediterraneus", "Cytisus \u00d7 praecox", "Cytisus scoparius", "Cytisus striatus", "Cytisus supranubius", "Cytisus \u00d7 versicolor", "Cytisus villosus", "Cytisus \u00d7 virescens", "Dichilus lebeckioides", "Dichilus pilosus", "Dichilus strictus", "Eucyrtidiellum unumaensis", "Echinospartum lusitanicum", "Erinacea anthyllis", "Genista aetnensis", "Genista anglica", "Natoba minuta", "Genista canariensis", "Genista cinerea", "Genista clavata", "Genista corsica", "Genista ephedroides", "Genista falcata", "Genista ferox", "Genista florida", "Genista germanica", "Genista hispanica", "Genista hystrix", "Genista linifolia", "Genista lydia", "Genista maderensis", "Genista microcephala", "Genista monspessulana", "Genista numidica", "Genista pilosa", "Genista pseudopilosa", "Genista pulchella", "Genista radiata", "Genista ramosissima", "Genista sagittalis", "Genista sibirica", "Genista splendens", "Genista stenopetala", "Genista sylvestris", "Genista tenera", "Genista tinctoria", "Genista tournefortii", "Genista triacanthos", "Jaera albifrons", "Jaera bocqueti", "Jaera caspica", "Jaera forsmani", "Jaera hopeana", "Jaera ischiosetosa", "Jaera italica", "Jaera nordica", "Jaera nordmanni", "Photinia pageae", "Langeria magnifica", "Lupinus kingii", "Lupinus lanatus", "Lupinus latifolius", "Lupinus lepidus", "Lupinus leucophyllus", "Lupinus littoralis", "Lupinus luteolus", "Lupinus meridanus", "Lupinus mexicanus", "Lupinus microphyllus", "Lupinus montanus", "Lupinus multiflorus", "Lupinus neomexicanus", "Lupinus nevadensis", "Spongoprunum amphilonche", "Wilvemia whiskeyensis", "Druppatractus nanus", "Druppatractus acquilonius", "Druppatractus hastatus", "Druppatractus irregularis", "Druppatractus variabilis", "Lupinus campestris", "Lupinus caudatus", "Lupinus celsimontanus", "Lupinus chamissonis", "Lupinus chlorolepis", "Lupinus citrinus", "Lupinus concinnus", "Lupinus conicus", "Lupinus coriaceus", "Lupinus cosentinii", "Lupinus covillei", "Lupinus digitatus", "Lupinus elegans", "Lupinus eriocladus", "Lupinus exaltatus", "Lupinus excubitus", "Coffea kianjavatensis", "Coffea moratii", "Coffea myrtifolia", "Coffea montekupensis", "Ares armatus", "Pyramispongia glascockensis", "Pyramispongia magnifica", "Stylatractus neptunus", "Stylatractus universus", "Stylatractus cronos", "Stylatractus pluto", "Stylatractus santaeannae", "Spongatractus balbis", "Spongatractus pachystylus", "Borrelia burgdorferi", "Xiphatractus armadillo", "Lupinus fiebrigianus", "Lupinus flavoculatus", "Lupinus formosus", "Lupinus fulcratus", "Lupinus geophilus", "Lupinus grayi", "Lupinus havardii", "Lithelius minor", "Lupinus heptaphyllus", "Lupinus hilarianus", "Lupinus hirsutissimus", "Lupinus hispanicus", "Lithelius nautiloides", "Lupinus humifusus", "Lupinus imminutus", "Lupinus insignis", "Vallupus hopsoni", "Bivallupus longoriai", "Protovallupus vaticinus", "Mesovallupus guadalupensis", "Capnodoce anapetes", "Loffa mulleri", "Zaraza linda", "Adalia decempunctata", "Styloptocumoides australiensis", "Vemacumella bacescui", "Adalia testudinea", "Gastrolobium appressum", "Gastrolobium bennettsianum", "Gastrolobium bilobum", "Gastrolobium brevipes", "Gastrolobium brownii", "Gastrolobium calycinum", "Gastrolobium capitatum", "Gastrolobium celsianum", "Gastrolobium crassifolium", "Gastrolobium cuneatum", "Gastrolobium densifolium", "Gastrolobium epacridoides", "Gastrolobium floribundum", "Gastrolobium grandiflorum", "Gastrolobium hamulosum", "Gastrolobium latifolium", "Adalia angulifera", "Adalia deficiens", "Adalia fasciatopunctata", "Adalia tetraspilota", "Adalia frigida", "Adalia kuscheli", "Adalia puetzi", "Eptingium manfredi", "Charlottea amurensis", "Hedysarum carnosum", "Hedysarum chalchorum", "Hedysarum cyprium", "Hedysarum ferganense", "Hedysarum flavescens", "Hedysarum flexuosum", "Hedysarum formosum", "Hedysarum fruticosum", "Hedysarum glomeratum", "Hedysarum gmelinii", "Hedysarum grandiflorum", "Hedysarum hedysaroides", "Hedysarum ibericum", "Hedysarum inundatum", "Hedysarum iomiticum", "Hedysarum jaxarticum", "Hedysarum macranthum", "Hedysarum microcalyx", "Hedysarum neglectum", "Hedysarum occidentale", "Hedysarum polybotrys", "Hedysarum sangilense", "Hedysarum scoparium", "Hedysarum semenowii", "Hedysarum songaricum", "Hedysarum splendens", "Hedysarum sulphurescens", "Hedysarum tanguticum", "Hedysarum tauricum", "Hedysarum varium", "Hedysarum vicioides", "Hedysarum wrightianum", "Onobrychis aequidentata", "Onobrychis altissima", "Onobrychis amoena", "Onobrychis arenaria", "Onobrychis argentea", "Onobrychis argyrea", "Onobrychis armena", "Onobrychis biebersteinii", "Onobrychis caput-galli", "Onobrychis chorassanica", "Onobrychis cornuta", "Onobrychis crista-galli", "Onobrychis cyri", "Onobrychis dealbata", "Onobrychis galegifolia", "Onobrychis gaubae", "Onobrychis gracilis", "Onobrychis grandis", "Onobrychis hajastana", "Onobrychis hypargyrea", "Onobrychis iberica", "Onobrychis inermis", "Onobrychis kabylica", "Onobrychis kachetica", "Onobrychis kemulariae", "Nanina hokurikuensis", "Inanigutta unica", "Oriundogutta ramifians", "Gastrolobium laytonii", "Gastrolobium leakeanum", "Gastrolobium microcarpum", "Gastrolobium nervosum", "Gastrolobium obovatum", "Gastrolobium ovalifolium", "Gastrolobium oxylobioides", "Gastrolobium parviflorum", "Gastrolobium polystachyum", "Gastrolobium praemorsum", "Gastrolobium pulchellum", "Gastrolobium rotundifolium", "Gastrolobium sericeum", "Gastrolobium spinosum", "Gastrolobium stenophyllum", "Gastrolobium subcordatum", "Gastrolobium tomentosum", "Gastrolobium trilobum", "Gastrolobium velutinum", "Gastrolobium villosum", "Coffea ligustroides", "Coffea lulandoensis", "Coffea millotii", "Coffea minutiflora", "Coffea mogenetii", "Coffea mongensis", "Matucana haynei subsp. herzogiana", "Aaages prior", "Daviesia horrida", "Daviesia incrassata", "Daviesia latifolia", "Daviesia leptophylla", "Daviesia mimosoides", "Daviesia pectinata", "Daviesia teretifolia", "Daviesia ulicifolia", "Daviesia umbellulata", "Dillwynia brunioides", "Dillwynia cinerascens", "Dillwynia divaricata", "Dillwynia floribunda", "Dillwynia glaberrima", "Dillwynia hispida", "Dillwynia juniperina", "Dillwynia ramosissima", "Dillwynia retorta", "Dillwynia sericea", "Dillwynia uncinata", "Erichsenia uncinata", "Euchilopsis linearis", "Eutaxia cuneata", "Eutaxia densifolia", "Eutaxia epacridioides", "Eutaxia microphylla", "Eutaxia obovata", "Eutaxia parvifolia", "Eutaxia virgata", "Coffea liaudii", "Magniaculeus nugoris", "Remexudes toompani", "Pakistanapseudes bassi", "Pakistanapseudes perulpa", "Pakistanapseudes turkoroa", "Msangia tarangensis", "Numbakulla srilankensis", "Ulex europaeus", "Ulex gallii", "Ulex minor", "Coffea pocsii", "Coffea pseudozanguebariae", "Coffea humblotiana", "Coffea humilis", "Coffea jumellei", "Coccinula quatuordecimpustulata", "Coccinula sinuatomarginata", "Coccinula redimita", "Coccinula elegantula", "Coccinula crotchi", "Coccinula sinensis", "Coccinula oresitropha", "Coccinula principalis", "Matucana haynei subsp. myriacantha", "Jaera praehirsuta", "Jaera posthirsuta", "Jaera sarsi", "Jaera schellenbergi", "Jaera sorrentina", "Jaera wakishiana", "Ebenus bourgaei", "Ebenus cretica", "Ebenus haussknechtii", "Ebenus hirsuta", "Ebenus pinnata", "Ebenus stellata", "Eversmannia subspinosa", "Hedysarum aculeolatum", "Hedysarum alpinum", "Hedysarum arcticum", "Hedysarum austrosibiricum", "Hedysarum biebersteinii", "Hedysarum boreale", "Hedysarum cachemirianum", "Hedysarum candidum", "Anatis ocellata", "Jaera nordica nordica", "Jaera nordica insulana", "Jaera nordmanni balearica", "Jaera nordmanni brevicaudata", "Jaera nordmanni guernei", "Jaera nordmanni illyrica", "Jaera nordmanni nordmanni", "Jaera nordmanni occidentalis", "Jaera petiti", "Anatis halonis", "Anatis labiculata", "Anatis lecontei", "Anatis mali", "Anatis rathvoni", "Cistus sintenisii", "Cistus chinamadensis", "Cistus clusii", "Cistus creticus", "Adalia conglomerata", "Dalea albiflora", "Dalea aurea", "Dalea ayavacensis", "Dalea bicolor", "Dalea brachystachya", "Dalea candida", "Dalea capitata", "Dalea carnea", "Dalea carthagenensis", "Dalea cliffortiana", "Dalea compacta", "Dalea emarginata", "Dalea enneandra", "Dalea filiformis", "Dalea flavescens", "Dalea foliolosa", "Dalea foliosa", "Dalea formosa", "Dalea frutescens", "Dalea glandulosa", "Dalea grayi", "Dalea greggii", "Dalea jamesii", "Dalea lachnostachya", "Dalea lasiathera", "Dalea leporina", "Dalea lumholtzii", "Dalea mollis", "Dalea mollissima", "Dalea multiflora", "Dalea nana", "Dalea phleoides", "Dalea pogonathera", "Dalea pulchra", "Dalea purpurea", "Dalea reverchonii", "Dalea revoluta", "Dalea scandens", "Dalea tentaculoides", "Dalea tenuis", "Dalea versicolor", "Lupinus nipomensis", "Lupinus nootkatensis", "Lupinus onustus", "Lupinus pachylobus", "Lupinus palaestinus", "Lupinus paniculatus", "Lupinus parviflorus", "Lupinus pasachoensis", "Lupinus pilosus", "Lupinus plattensis", "Lupinus princei", "Lupinus pubescens", "Lupinus pulvinaris", "Lupinus pusillus", "Lupinus ramosissimus", "Lupinus rivularis", "Lupinus sabulosus", "Lupinus saxatilis", "Lupinus sericeus", "Lupinus shockleyi", "Lupinus spectabilis", "Lupinus stiversii", "Lupinus subacaulis", "Lupinus subcarnosus", "Lupinus succulentus", "Lupinus tarijensis", "Lupinus texanus", "Lupinus tidestromii", "Lupinus tominensis", "Lupinus truncatus", "Lupinus vallicola", "Lupinus variicolor", "Lupinus villosus", "Lupinus westianus", "Melolobium adenodes", "Melolobium aethiopicum", "Melolobium alpinum", "Melolobium calycinum", "Melolobium candicans", "Melolobium exudans", "Melolobium humile", "Melolobium microphyllum", "Melolobium obcordatum", "Petteria ramentacea", "Podocytisus caramanicus", "Retama monosperma", "Retama raetam", "Retama sphaerocarpa", "Spartium junceum", "Stauracanthus genistoides", "Onobrychis megataphros", "Onobrychis melanotricha", "Onobrychis michauxii", "Onobrychis micrantha", "Onobrychis montana", "Onobrychis ornata", "Onobrychis oxyodonta", "Onobrychis oxytropoides", "Onobrychis pallasii", "Onobrychis paucidentata", "Onobrychis persica", "Onobrychis petraea", "Onobrychis ptolemaica", "Onobrychis pulchella", "Onobrychis radiata", "Onobrychis saxatilis", "Onobrychis sintenisii", "Onobrychis stenorhiza", "Onobrychis subacaulis", "Onobrychis supina", "Onobrychis tournefortii", "Onobrychis transcaucasica", "Onobrychis vaginalis", "Onobrychis vassilczenkoi", "Onobrychis viciifolia", "Taverniera cunnifolia", "Taverniera lappacea", "Cercis canadensis", "Cercis canadensis var. texensis", "Cercis chinensis", "Cercis chingii", "Cercis glabra", "Cercis griffithii", "Cercis racemosa", "Cercis siliquastrum", "Griffonia simplicifolia", "Jaera massiliensis", "Rhus malloryi", "Coffea kimbozensis", "Coffea kivuensis", "Coffea lancifolia", "Coffea leonimontana", "Coffea leroyi", "Adalia bipunctata", "Genista tricuspidata", "Genista tridentata", "Genista umbellata", "Hesperolaburnum platycarpum", "Lasiognathus amphirhamphus", "Lasiognathus intermedius", "Lasiognathus waltoni", "Thaumatichthys axeli", "Thaumatichthys binghami", "Thaumatichthys pagidostomus", "Lupinus albus", "Lupinus angustifolius", "Lupinus luteus", "Lupinus arboreus", "Lupinus arizonicus", "Lupinus diffusus", "Lupinus microcarpus", "Lupinus mutabilis", "Lupinus nanus", "Lupinus perennis", "Lupinus polyphyllus", "Lupinus sparsiflorus", "Lupinus sulphureus", "Lupinus texensis", "Lupinus adsurgens", "Lupinus affinis", "Lupinus albicaulis", "Lupinus albifrons", "Lupinus alopecuroides", "Lupinus altimontanus", "Lupinus ananeanus", "Lupinus anatolicus", "Lupinus andersonii", "Lupinus angustiflorus", "Lupinus antoninus", "Lupinus arbustus", "Lupinus arcticus", "Lupinus argenteus", "Lupinus atlanticus", "Lupinus ballianus", "Lupinus benthamii", "Lupinus bicolor", "Lupinus bogotensis", "Lupinus bracteolaris", "Lupinus brevicaulis", "Lupinus breviscapus", "Lupinus breweri", "Lupinus buchtienii", "Gibberospongus spinosus", "Puccinia caricina", "Rodolia cardinalis", "Puccinia allii", "Puccinia graminis", "Plecotus taivanus", "Plecotus sardus", "Plecotus strelkovi", "Plecotus sacrimontis", "Plecotus ognevi", "Plecotus kozlovi", "Plecotus balensis", "Gammaroporeia alaskensis", "Dalea villosa", "Dalea virgata", "Dalea wrightii", "Errazurizia megacarpa", "Eysenhardtia orthocarpa", "Eysenhardtia polystachya", "Eysenhardtia texana", "Marina calycosa", "Marina diffusa", "Marina nutans", "Marina parryi", "Parryella filifolia", "Psorothamnus arborescens", "Psorothamnus emoryi", "Psorothamnus fremontii", "Psorothamnus polydenius", "Psorothamnus schottii", "Psorothamnus scoparius", "Psorothamnus spinosus", "Almaleea paludosa", "Aotus ericoides", "Aotus lanigera", "Aotus tietkensii", "Callistachys lanceolata", "Chorizema aciculare", "Chorizema cordatum", "Chorizema cytisoides", "Chorizema dicksonii", "Chorizema diversifolium", "Chorizema ericifolium", "Chorizema ilicifolium", "Chorizema nervosum", "Chorizema parviflorum", "Chorizema reticulatum", "Chorizema varium", "Daviesia acicularis", "Daviesia brevifolia", "Daviesia buxifolia", "Daviesia cordata", "Daviesia corymbosa", "Daviesia decurrens", "Daviesia flexuosa", "Daviesia genistifolia", "Daviesia hakeoides", "Cistus crispus", "Iathrippa varians", "Ianiropsis breviremis", "Austrofilius mediterraneus", "Flavoparmelia caperata", "Monocoryna borneensis", "Monocoryna fasciata", "Monocoryna magnopunctata", "Monocoryna sakaiorum", "Mimolithophilus brevicornis", "Mimolithophilus capensis", "Mimolithophilus costatus", "Caulobacter crescentus", "Brucella melitensis", "Agrobacterium rhizogenes", "Agrobacterium tumefaciens", "Androsace helvetica", "Pyxilla americana", "Stictodiscus kittonianus", "Stictodiscus rota", "Stictodiscus punctatus", "Stictodiscus triangularis", "Stictodiscus pulchellus", "Stictodiscus rotula", "Genista salzmannii", "Pseudomonas mandelii", "Pseudomonas marginalis", "Pseudomonas marina", "Gompholobium amplexicaule", "Gompholobium aristatum", "Gompholobium virgatum", "Gompholobium villosum", "Gompholobium venustum", "Gompholobium uncinatum", "Gompholobium tomentosum", "Gompholobium shuttleworthii", "Lithophilus nigripennis", "Lithophilus opacus", "Lithophilus ovalis", "Lithophilus ovipennis", "Lithophilus pallidus", "Lithophilus rifensis", "Lithophilus robusta", "Lithophilus roddi", "Lithophilus subseriatus", "Lithophilus tenebrosus", "Lithophilus tinerfensis", "Lithophilus volkonskyi", "Lithophilus yemenensis", "Craspedodiscus morenoensis", "Paralia capitata", "Paralia elliptica", "Pultenaea acerosa", "Pultenaea altissima", "Pultenaea blakelyi", "Pultenaea capitellata", "Pultenaea daphnoides", "Pultenaea densifolia", "Pultenaea ericifolia", "Pultenaea involucrata", "Pultenaea largiflorens", "Paralia fausta", "Pultenaea laxiflora", "Paralia fenestrata", "Sheshukovia uralensis", "Pultenaea linophylla", "Pultenaea microphylla", "Pultenaea myrtoides", "Sheshukovia abyssorum", "Pultenaea ochreata", "Pultenaea paleacea", "Pultenaea procumbens", "Pultenaea prostrata", "Pultenaea reticulata", "Pultenaea retusa", "Pultenaea scabra", "Pultenaea stipularis", "Pultenaea strobilifera", "Pultenaea tenuifolia", "Pultenaea tuberculata", "Pultenaea verruculosa", "Pultenaea villosa", "Sheshukovia duplicata", "Sheshukovia excavata", "Sphaerolobium alatum", "Sphaerolobium grandiflorum", "Sphaerolobium macranthum", "Sphaerolobium medium", "Sphaerolobium vimineum", "Viminaria juncea", "Sheshukovia fenestrata", "Sheshukovia sundbyensis", "Sheshukovia synica", "Sheshukovia weissei", "Pseudomonas mediterranea", "Pseudomonas meliae", "Pseudomonas mendocina", "Pseudomonas mephitica", "Pseudomonas meridiana", "Pseudomonas mesophilica", "Pseudomonas migulae", "Breynia disticha", "Breynia fruticosa", "Breynia retusa", "Breynia vitis-idaea", "Pseudomonas mixta", "Pseudomonas monteilii", "Pseudomonas moraviensis", "Pseudomonas mosselii", "Pseudomonas mucidolens", "Ceratitis capitata", "Flueggea flexuosa", "Flueggea leucopyrus", "Triceratium kanayae", "Triceratium kanayae var. kanayae", "Triceratium kanayae var. quadrilobata", "Lithophilus anatolicus", "Lithophilus arabicus", "Lithophilus arnoldii", "Lithophilus connatus", "Lithophilus cordatus", "Lithophilus cordicollis", "Lithophilus creticus", "Lithophilus cryptophagoides", "Lithophilus deserticola", "Lithophilus gandhara", "Lithophilus graecus", "Rickettsia prowazekii", "Lithophilus kalawrytus", "Lithophilus khnzoriani", "Lithophilus kozlovi", "Lithophilus lindemannae", "Lithophilus marginatus", "Lithophilus minutus", "Lithophilus naviauxi", "Flueggea neowawraea", "Flueggea suffruticosa", "Flueggea tinctoria", "Flueggea virosa", "Pseudomonas multiresinivorans", "Glochidion puberum", "Glochidion wilsonii", "Pseudomonas nautica", "Pseudomonas oleovorans", "Pseudomonas orientalis", "Pseudomonas oryzihabitans", "Pseudomonas otitidis", "Pseudomonas pachastrellae", "Pseudomonas palleroniana", "Pseudomonas panacis", "Pseudomonas parafulva", "Pseudomonas paucimobilis", "Pseudomonas peli", "Phyllanthus acidus", "Phyllanthus acuminatus", "Pseudomonas perfectomarina", "Phyllanthus emblica", "Pseudomonas pertucinogena", "Phyllanthus niruri", "Pseudomonas phenazinium", "Phyllanthus urinaria", "Phyllanthus abnormis", "Phyllanthus amarus", "Phyllanthus angustifolius", "Phyllanthus arbuscula", "Phyllanthus brasiliensis", "Pseudomonas pickettii", "Pseudomonas pictorum", "Pseudomonas plantarii", "Pseudomonas plecoglossicida", "Pseudomonas poae", "Pseudomonas pohangensis", "Pseudomonas proteolytica", "Pseudomonas pseudoalcaligenes", "Gompholobium scabrum", "Gompholobium preissii", "Gompholobium polymorphum", "Gompholobium pinnatum", "Gompholobium ovatum", "Gompholobium minus", "Gompholobium marginatum", "Gompholobium latifolium", "Gompholobium knightianum", "Gompholobium huegelii", "Gompholobium confertum", "Gompholobium capitatum", "Isotropis atropurpurea", "Isotropis drummondii", "Isotropis foliosa", "Isotropis forrestii", "Isotropis juncea", "Jacksonia furcellata", "Jacksonia sericea", "Jacksonia sternbergiana", "Jacksonia capitata", "Jacksonia decumbens", "Jacksonia dilatata", "Jacksonia floribunda", "Jacksonia hakeoides", "Jacksonia horrida", "Jacksonia lehmannii", "Jacksonia scoparia", "Jacksonia spinosa", "Latrobea hirtella", "Leptosema aphylla", "Leptosema chambersii", "Mirbelia dilatata", "Mirbelia floribunda", "Mirbelia ovata", "Mirbelia oxylobioides", "Mirbelia pungens", "Mirbelia ramulosa", "Mirbelia rubiifolia", "Mirbelia spinosa", "Oxylobium ellipticum", "Oxylobium robustum", "Oxylobium scandens", "Phyllota barbata", "Phyllota phylicoides", "Phyllota pleurandroides", "Pseudomonas putida", "Pseudomonas salomonii", "Pseudomonas pyrrocinia", "Pseudomonas taeniospiralis", "Pseudomonas vancouverensis", "Pseudomonas savastanoi", "Pseudomonas veronii", "Pseudomonas veronii subsp. inensis", "Pseudomonas veronii subsp. veronii", "Pseudomonas taetrolens", "Pseudomonas xanthomarina", "Pseudomonas vranovensis", "Pseudomonas viridiflava", "Bactrocera oleae", "Pseudomonas vesicularis", "Pseudomonas umsongensis", "Pseudomonas trivialis", "Pseudomonas tremae", "Pseudomonas tolaasii", "Pseudomonas thivervalensis", "Pseudomonas thermotolerans", "Phyllanthus chacoensis", "Phyllanthus cochinchinensis", "Pseudomonas testosteroni", "Phyllanthus debilis", "Phyllanthus engleri", "Phyllanthus fraternus", "Phyllanthus grandifolius", "Phyllanthus lacunarius", "Phyllanthus maderaspatensis", "Phyllanthus muellerianus", "Phyllanthus parvifolius", "Phyllanthus reticulatus", "Phyllanthus saffordii", "Phyllanthus salviifolius", "Phyllanthus tenellus", "Phyllanthus virgatus", "Pseudomonas pseudoflava", "Pseudomonas radiora", "Pseudomonas pseudomallei", "Pseudomonas syzygii", "Pseudomonas syringae", "Palmeria hardmaniana", "Pseudomonas synxantha", "Pseudomonas straminea", "Pseudomonas saccharophila", "Pseudomonas psychrotolerans", "Pseudomonas psychrophila", "Pseudomonas rubrisubalbicans", "Reverchonia arenaria", "Equisetum subg.", "Equisetum subg.", "Mimolithophilus alobatus", "Mimolithophilus carinatus", "Mimolithophilus deplanatus", "Mimolithophilus glabratus", "Mimolithophilus saeptus", "Mimolithophilus sericeus", "Mimolithophilus whiteheadi", "Cyanus napuliferus", "Monocoryna antennalis", "Monocoryna decempunctata", "Monocoryna javanica", "Monocoryna moultoni", "Monocoryna nagaii", "Monocoryna nicolebertiae", "Monocoryna philippinensis", "Monocoryna yamashinai", "Galium abaujense", "Caragana densa", "Caragana erinacea", "Caragana franchetiana", "Caragana frutex", "Caragana gerardiana", "Caragana grandiflora", "Caragana jubata", "Caragana korshinskii", "Caragana leucophloea", "Discospermum apiocarpum", "Caragana leveillei", "Caragana manshurica", "Caragana microphylla", "Caragana pleiophylla", "Discospermum beccarianum", "Diplospora bilocularis", "Caragana polourensis", "Caragana pruinosa", "Discospermum javanicum", "Caragana pygmaea", "Caragana roborovskyi", "Caragana rosea", "Caragana sinica", "Caragana sophoraelia", "Caragana sophorifolia", "Caragana spinosa", "Caragana stenophylla", "Caragana tangutica", "Caragana tibetica", "Caragana tragacanthoides", "Discospermum sphaerocarpum", "Caragana turkestanica", "Caragana versicolor", "Discospermum whitfordii", "Pseudomonas rhodos", "Pseudomonas spinosa", "Sauropus androgynus", "Sauropus albicans", "Sauropus spatulifolius", "Pseudomonas solanacearum", "Stellarima microtrias", "Pseudomonas simiae", "Pseudomonas rhizosphaerae", "Stellarima distincta", "Pseudomonas rhodesiae", "Pseudomonas resinovorans", "Stellarima primalabiata", "Pseudomonas segetis", "Stellarima steinyi", "Alhagi graecorum", "Alhagi maurorum", "Alhagi sparsifolia", "Stellarima stellaris", "Cyclamen coum subsp. caucasicum", "Cyclamen coum subsp. coum", "Calophaca tianschanica", "Calophaca wolgarica", "Caragana arborescens", "Caragana ambigua", "Galium saxatile", "Calycosiphonia macrochlamys", "Calycosiphonia spathicalyx", "Caragana aurantiaca", "Caragana boisii", "Caragana brevispina", "Caragana bungei", "Caragana camilli-schneideri", "Caragana decorticans", "Discospermum abnorme", "Lessertia harveyana", "Lessertia herbacea", "Lessertia incana", "Lessertia inflata", "Lessertia macrostachya", "Lessertia microphylla", "Lessertia pauciflora", "Lessertia perennans", "Lessertia rigida", "Lessertia spinescens", "Lessertia stenoloba", "Lessertia stricta", "Lessertia thodei", "Smirnowia turkestana", "Sphaerophysa salsula", "Swainsona formosa", "Swainsona galegifolia", "Swainsona burkittii", "Swainsona calcicola", "Swainsona campylantha", "Swainsona canescens", "Swainsona cyclocarpa", "Swainsona fissimontana", "Swainsona flavicarinata", "Swainsona forrestii", "Swainsona greyana", "Swainsona incei", "Swainsona kingii", "Swainsona leeana", "Swainsona lessertiifolia", "Swainsona luteola", "Swainsona maccullochiana", "Swainsona microphylla", "Swainsona murrayana", "Swainsona novae-zelandiae", "Swainsona oroboides", "Swainsona phacoides", "Swainsona procumbens", "Swainsona pterostylis", "Swainsona rigida", "Swainsona stipularis", "Swainsona swainsonioides", "Parkia speciosa", "Parkia velutina", "Parkia ulei", "Parkia timoriana", "Parkia platycephala", "Parkia pendula", "Parkia panurensis", "Parkia nitida", "Parkia multijuga", "Parkia intermedia", "Parkia gigantocarpa", "Parkia filicoidea", "Parkia discolor", "Parkia decussata", "Parkia biglobosa", "Parkia biglandulosa", "Parkia bicolor", "Botynella quinquepunctata", "Bucolinus longicornis", "Bucolus convexus", "Bucolus fourneti", "Bucolus frater", "Bucolus posticalis", "Lissocidaris fusca", "Lissocidaris xanthe", "Shinisaurus crocodilurus", "Primula sect.", "Carcharhinus perezii", "Salix caprea", "Quercus pontica", "Styphnolobium japonicum", "Adoxellus flavihirtus", "Adoxellus picinus", "Glycyrrhiza lepidota", "Glycyrrhiza echinata", "Glycyrrhiza aspera", "Glycyrrhiza glabra", "Glycyrrhiza inflata", "Glycyrrhiza pallidiflora", "Glycyrrhiza triphylla", "Glycyrrhiza uralensis", "Gueldenstaedtia himalaica", "Gueldenstaedtia monophylla", "Gueldenstaedtia verna", "Halimodendron halodendron", "Lessertia affinis", "Lessertia annularis", "Lessertia benguellensis", "Lessertia brachypus", "Lessertia brachystachya", "Lessertia capitata", "Lessertia depressa", "Lessertia diffusa", "Lessertia emarginata", "Lessertia excisa", "Lessertia falciformis", "Lessertia frutescens", "Mesalina guttulata", "Diplospora cuspidata", "Diplospora dubia", "Lysimachia tenella", "Aratus pisonii", "Chesneya cuneata", "Chesneya ternatea", "Clianthus puniceus", "Colutea arborescens", "Colutea buhsei", "Colutea cilicia", "Colutea cilicica", "Colutea gracilis", "Colutea istria", "Colutea media", "Colutea nepalensis", "Colutea orientalis", "Colutea persica", "Eremosparton flaccidum", "Eremosparton songoricum", "Galega albiflora", "Galega lindblomii", "Galega officinalis", "Galega orientalis", "Mandragora officinarum", "Quercus dentata", "Oncidium kramerianum", "Oncidium macranthum", "Oncidium marshallianum", "Oncidium oestlundianum", "Oncidium ornithorhynchum", "Oncidium sphacelatum", "Oncidium sprucei", "Oncidium varicosum", "Anguloa clowesii", "Lycaste aromatica", "Lycaste denningiana", "Lycaste dowiana", "Lycaste gigantea", "Lycaste xytriophora", "Neomoorea wallisii", "Xylobium foveatum", "Oxychloris scariosa", "Damnacanthus indicus", "Damnacanthus macrophyllus", "Mitchella repens", "Mitchella undulata", "Morinda citrifolia", "Morinda lucida", "Morinda morindoides", "Morinda royoc", "Semele androgyna", "Auladoria arrowi", "Carcharhinus macloti", "Carcharhinus porosus", "Carcharhinus sealei", "Carcharhinus sorrah", "Carcharhinus wheeleri", "Felis silvestris cafra", "Felis silvestris caucasica", "Felis silvestris caudata", "Felis silvestris euxina", "Felis silvestris foxi", "Felis silvestris grampia", "Felis silvestris griselda", "Felis silvestris jordansi", "Felis silvestris molisana", "Felis silvestris morea", "Felis silvestris ocreata", "Felis silvestris ornata", "Felis silvestris pyrrhus", "Felis silvestris sarda", "Felis silvestris shawiana", "Felis silvestris tartesia", "Birgus latro", "Karsenia koreana", "Bubo bubo auspicabilis", "Bubo bubo borissowi", "Bubo bubo bubo", "Bubo bubo dauricus", "Bubo bubo gladkovi", "Bubo bubo hemachalanus", "Bubo bubo hispanus", "Bubo bubo inexpectatus", "Bubo bubo interpositus", "Bubo bubo jakutensis", "Bubo bubo jarlandi", "Bubo bubo kiautschensis", "Bubo bubo meridionalis", "Bubo bubo nikolskii", "Bubo bubo ognevi", "Bubo bubo omissus", "Bubo bubo ruthenus", "Bubo bubo sibiricus", "Bubo bubo swinhoei", "Bubo bubo tarimensis", "Bubo bubo tenuipes", "Bubo bubo tibetanus", "Bubo bubo turcomanus", "Bubo bubo ussuriensis", "Bubo bubo yenisseensis", "Bubo bubo zaissanensis", "Orchis simia", "Bufo gargarizans", "Bufo stejnegeri", "Pentaclethra macroloba", "Pentaclethra macrophylla", "Peltophorum pterocarpum", "Peltophorum acutifolium", "Peltophorum africanum", "Peltophorum dasyrhachis", "Peltophorum dubium", "Scilla peruviana", "Scilla verna", "Scilla monophyllos", "Scilla litardierei", "Scilla hyacinthoides", "Scilla bifolia", "Batocarpus amazonicus", "Parartocarpus venenosa", "Treculia africana", "Brassia allenii", "Oncidium roseum", "Miltonia spectabilis", "Odontoglossum cervantesii", "Odontoglossum chiriquense", "Odontoglossum schlieparianum", "Oncidium altissimum", "Oncidium baueri", "Oncidium cebolleta", "Oncidium cheirephorum", "Oncidium concolor", "Pachyrhizus erosus", "Pachyrhizus ahipa", "Pachyrhizus ferrugineus", "Pachyrhizus panamensis", "Pachyrhizus tuberosus", "Pseudeminia comosa", "Pseudovigna argentea", "Sterculia fanaiho", "Begonia stevei", "Begonia sublongipes", "Begonia abdullahpieei", "Begonia bouffordii", "Begonia crocea", "Coccidula ferruginea", "Coccidula lepida", "Coccidula rondensis", "Cranoryssus fairmairei", "Cranoryssus flavomarginatus", "Cranoryssus variegatus", "Cranoryssus chilensis", "Cranoryssus marmoratus", "Empia vittata", "Ranunculus rupestris", "Uromycladium tepperianum", "Hyla suweonensis", "Ophieleotris aporos", "Kaloula borealis", "Begonia hongkongensis", "Begonia koksunii", "Begonia longiciliata", "Ceyx argentatus argentatus", "Pterocarpus antunesii", "Pterocarpus brenanii", "Pterocarpus dalbergioides", "Pterocarpus lucens", "Pterocarpus marsupium", "Pterocarpus mildbraedii", "Pterocarpus officinalis", "Pterocarpus osun", "Pterocarpus rohrii", "Pterocarpus rotundifolius", "Pterocarpus santalinoides", "Pterocarpus soyauxii", "Tipuana tipu", "Vatairea erythrocarpa", "Vatairea guianensis", "Vatairea heteroptera", "Vataireopsis araroba", "Chimarrhis glabriflora", "Chimarrhis hookeri", "Pogonopus exsertus", "Pogonopus speciosus", "Glycine subg.", "Glycine soja", "Glycine max", "Glycine subg.", "Glycine albicans", "Glycine aphyonota", "Glycine arenaria", "Glycine argyrea", "Glycine canescens", "Glycine clandestina", "Glycine curvata", "Glycine cyrtoloba", "Glycine dolichocarpa", "Glycine falcata", "Glycine hirticaulis", "Glycine lactovirens", "Glycine latifolia", "Glycine latrobeana", "Glycine microphylla", "Cistus ocreatus", "Coreoperca kawamebari", "Cistus osbeckiifolius", "Cistus populifolius", "Dalbergia fischeri", "Dalbergia frutescens", "Dalbergia glaucescens", "Dalbergia granadillo", "Dalbergia hainanensis", "Dalbergia hancei", "Dalbergia horrida", "Dalbergia hortensis", "Dalbergia hostilis", "Dalbergia hupeana", "Dalbergia inundata", "Dalbergia lactea", "Dalbergia lanceolaria", "Dalbergia latifolia", "Dalbergia martinii", "Dalbergia melanoxylon", "Dalbergia millettii", "Dalbergia miscolobium", "Dalbergia ovalis", "Dalbergia nigra", "Dalbergia nitidula", "Dalbergia oblongifolia", "Dalbergia obovata", "Dalbergia obtusifolia", "Dalbergia odorifera", "Dalbergia oligophylla", "Dalbergia oliveri", "Dalbergia palo-escrito", "Dalbergia parviflora", "Dalbergia pinnata", "Dalbergia purpurascens", "Dalbergia retusa", "Dalbergia riedelii", "Dalbergia riparia", "Dalbergia rufa", "Dalbergia saxatilis", "Dalbergia sericea", "Dalbergia sissoo", "Dalbergia spruceana", "Dalbergia stevensonii", "Dalbergia stipulacea", "Dalbergia tsoi", "Dalbergia tucurensis", "Dalbergia villosa", "Geoffroea decorticans", "Geoffroea spinosa", "Grazielodendron riodocensis", "Hymenolobium alagoanum", "Hymenolobium excelsum", "Hymenolobium flavum", "Hymenolobium heterocarpum", "Hymenolobium janeirense", "Hymenolobium modestum", "Cistus libanotis", "Begonia chiasmogyna", "Begonia macintyreana", "Begonia mendumae", "Tilia americana", "Delarbrea longicarpa", "Dinoseris salicifolia", "Notobasis syriaca", "Calopogonium caeruleum", "Calopogonium galactioides", "Calopogonium mucunoides", "Calopogonium velutinum", "Dumasia truncata", "Dumasia villosa", "Mastersia bakeri", "Neonotonia verdcourtii", "Neonotonia wightii", "Epipleuria endroedyi", "Epipleuria epipleuralis", "Epipleuria globosa", "Epipleuria gussmannae", "Epipleuria inexspectata", "Epipleuria katbergensis", "Epipleuria longissima", "Epipleuria mahnerti", "Epipleuria namaquaensis", "Epipleuria natalensis", "Epipleuria parcepunctata", "Epipleuria parva", "Epipleuria popei", "Epipleuria punctillum", "Epipleuria rufosuturalis", "Epipleuria trianguliloba", "Epipleuria ventricosa", "Cistus munbyi", "Ursus arctos arctos", "Glycine peratosa", "Glycine pescadrensis", "Glycine pindanica", "Glycine pullenii", "Glycine rubiginosa", "Glycine stenophita", "Glycine tabacina", "Glycine tomentella", "Acropora cervicornis", "Davusia glabra", "Decevania brevis", "Decevania deansi", "Decevania destituta", "Decevania elongata", "Decevania glabra", "Decevania hemisphaerica", "Decevania nigra", "Decevania nuda", "Decevania polita", "Decevania reticulata", "Decevania unidentata", "Decevania parva", "Decevania striatigena", "Cistus laurifolius", "Bura cuprea", "Passer domesticus parkini", "Passer domesticus persicus", "Passer domesticus rufidorsalis", "Passer domesticus tingitanus", "Janthura abyssicola", "Janthura bougainvillei", "Laudakia stellio", "Phasianus colchicus torquatus", "Isogomphodon oxyrhynchus", "Periophthalmus modestus", "Panulirus versicolor", "Graphosoma rubrolineatum", "Passer domesticus bactrianus", "Passer domesticus balearoibericus", "Passer domesticus biblicus", "Passer domesticus domesticus", "Passer domesticus hufufae", "Passer domesticus hyrcanus", "Passer domesticus indicus", "Passer domesticus niloticus", "Platymiscium diadelphum", "Platymiscium floribundum", "Platymiscium pinnatum", "Platymiscium pleiostachyum", "Platymiscium speciosum", "Platymiscium stipulare", "Platymiscium trinitatis", "Platymiscium ulei", "Platypodium elegans", "Pterocarpus angolensis", "Pterocarpus erinaceus", "Pterocarpus indicus", "Pterocarpus macrocarpus", "Pterocarpus santalinus", "Pterocarpus acapulcensis", "Pterocarpus amazonum", "Hymenolobium nitidum", "Hymenolobium petraeum", "Hymenolobium sericeum", "Machaerium aculeatum", "Machaerium arboreum", "Machaerium brasiliense", "Machaerium ferox", "Machaerium firmum", "Machaerium floribundum", "Machaerium froesii", "Machaerium fulvovenosum", "Machaerium gracile", "Machaerium hirtum", "Machaerium hoehneanum", "Machaerium incorruptibile", "Machaerium inundatum", "Machaerium isadelphum", "Machaerium lunatum", "Machaerium madeirense", "Machaerium milleflorum", "Machaerium myrianthum", "Machaerium nictitans", "Machaerium pedicellatum", "Machaerium quinatum", "Machaerium robiniifolium", "Machaerium salzmannii", "Machaerium scleroxylon", "Machaerium stipitatum", "Machaerium triste", "Machaerium villosum", "Paramachaerium ormosioides", "Mascarenotus grucheti", "Mascarenotus murivorus", "Mascarenotus sauzieri", "Sarracenia alata", "Elaphe quadrivirgata", "Ostracion immaculatus", "Parribacus japonicus", "Andinichthys bolivianensis", "Hoffstetterichthys pucai", "Incaichthys suarezi", "Rana amurensis", "Rana chensinensis", "Rana huanrenensis", "Rana dybowskii", "Pelophylax plancyi", "Glandirana rugosa", "Pelophylax nigromaculatus", "Pueraria candollei", "Pueraria edulis", "Pueraria montana", "Pueraria peduncularis", "Pueraria phaseoloides", "Pueraria stricta", "Pueraria tuberosa", "Hydrolagus affinis", "Hydrolagus mirabilis", "Hydrolagus pallidus", "Hydrolagus matallanasi", "Chimaera cubana", "Chimaera monstrosa", "Lagopus lagopus scotica", "Gallus gallus bankiva", "Gallus gallus gallus", "Gallus gallus jabouillei", "Hydrolagus africanus", "Gallus gallus murghi", "Gallus gallus spadiceus", "Hydrolagus alphus", "Hydrolagus barbouri", "Heremites vittatus", "Hydrolagus bemisi", "Hydrolagus colliei", "Hydrolagus deani", "Hydrolagus eidolon", "Hydrolagus macrophthalmus", "Hydrolagus mccoskeri", "Hydrolagus media", "Hydrolagus mitsukurii", "Hydrolagus novaezealandiae", "Chimaera ogilbyi", "Hydrolagus purpurescens", "Hydrolagus trolli", "Hydrolagus lusitanicus", "Pueraria wallichii", "Shuteria densiflora", "Shuteria hirsuta", "Shuteria involucrata", "Teramnus flexilis", "Teramnus labialis", "Teramnus micans", "Teramnus mollis", "Teramnus repens", "Teramnus uncinatus", "Teramnus volubilis", "Teyleria koordersii", "Chasmanthe aethiopica", "Chasmanthe floribunda", "Dierama medium", "Dierama pendulum", "Dierama pulcherrimum", "Ferraria crispa", "Ferraria glutinosa", "Gladiolus atroviolaceus", "Melasphaerula ramosa", "Gladiolus sect.", "Gladiolus gregarius", "Gladiolus ochroleucus", "Gladiolus papilio", "Gladiolus sect.", "Gladiolus benguellensis", "Gladiolus cruentus", "Gladiolus dalenii", "Gladiolus elliotii", "Gladiolus melleri", "Gladiolus oppositiflorus", "Gladiolus sect.", "Gladiolus angustus", "Glyphis glyphis", "Glyphis siamensis", "Lamiopsis temminckii", "Loxodon macrorhinus", "Tulbaghia capensis", "Tulbaghia simmleri", "Tulbaghia violacea", "Nasolamia velox", "Negaprion acutidens", "Pteridium aquilinum", "Scoliodon laticaudus", "Triaenodon obesus", "Rhizoprionodon acutus", "Rhizoprionodon lalandii", "Rhizoprionodon longurio", "Rhizoprionodon oligolinx", "Rhizoprionodon porosus", "Rhizoprionodon taylori", "Rhizoprionodon terraenovae", "Daboecia azorica", "Daboecia cantabrica", "Tambja abdere", "Tambja affinis", "Tambja amakusana", "Tambja blacki", "Tambja capensis", "Tambja ceutae", "Tambja diaphana", "Tambja divae", "Tambja eliora", "Tambja fantasmalis", "Tambja gabrielae", "Tambja haidari", "Tambja marbellensis", "Tambja morosa", "Tambja mullineri", "Tambja oliva", "Tambja olivaria", "Tambja sagamiana", "Tambja simplex", "Tambja stegosauriformis", "Chimaera jordani", "Gladiolus cardinalis", "Gladiolus carmineus", "Gladiolus carneus", "Gladiolus grandiflorus", "Gladiolus pappei", "Gladiolus undulatus", "Chimaera lignaria", "Gladiolus sect.", "Gladiolus brevifolius", "Chimaera owstoni", "Gladiolus guthriei", "Gladiolus hirsutus", "Gladiolus sect.", "Chimaera panthera", "Gladiolus alatus", "Gladiolus equitans", "Gladiolus involutus", "Gladiolus orchidiflorus", "Gladiolus permeabilis", "Gladiolus venustus", "Gladiolus virescens", "Chimaera phantasma", "Gladiolus watermeyeri", "Gladiolus sect.", "Gladiolus debilis", "Gladiolus gracilis", "Gladiolus liliaceus", "Gladiolus longicollis", "Gladiolus martleyi", "Gladiolus recurvus", "Gladiolus trichonemifolius", "Callorhinchus callorynchus", "Gladiolus tristis", "Gladiolus vaginatus", "Gladiolus watsonius", "Gladiolus sect.", "Gladiolus communis", "Gladiolus italicus", "Gladiolus sect.", "Gladiolus murielae", "Callorhinchus capensis", "Callorhinchus milii", "Harriotta haeckeli", "Harriotta raleighana", "Neoharriotta carri", "Neoharriotta pinnata", "Neoharriotta pumila", "Rhinochimaera africana", "Rhinochimaera atlantica", "Rhinochimaera pacifica", "Erica australis", "Erica baccans", "Erica baueri", "Erica canaliculata", "Erica cerinthoides", "Pelophylax chosenicus", "Erica cruenta", "Erica curviflora", "Erica diosmifolia", "Erica doliiformis", "Erica equisetifolia", "Erica erigena", "Erica fervida", "Erica glandulosa", "Erica glauca", "Erica gracilis", "Erica hebecalyx", "Erica hirta", "Erica holosericea", "Erica laeta", "Erica lusitanica", "Erica mackaiana", "Erica mammosa", "Erica manipuliflora", "Erica multiflora", "Erica nana", "Erica pageana", "Erica patersonia", "Ixia dubia", "Ixia duckittiae", "Ixia flexuosa", "Ixia lutea", "Ixia maculata", "Ixia monadelpha", "Ixia ovata", "Ixia paniculata", "Ixia patens", "Ixia scariosa", "Ixia scillaris", "Melasphaerula graminea", "Romulea amoena", "Romulea bulbocodium", "Ixia bulbocodioides", "Romulea columnae", "Romulea cruciata", "Romulea engleri", "Romulea ramiflora", "Romulea rosea", "Romulea sabulosa", "Tritonia crispa", "Tritonia crocata", "Tritonia deusta", "Tritonia flabellifolia", "Tritonia lineata", "Sparaxis tricolor", "Sparaxis bulbifera", "Sparaxis grandiflora", "Sparaxis parviflora", "Sparaxis variegata", "Sparaxis villosa", "Hesperantha angusta", "Hesperantha bachmannii", "Hesperantha coccinea", "Hesperantha cucullata", "Hesperantha longituba", "Hesperantha stanfordiae", "Crocosmia aurea", "Crocosmia \u00d7 crocosmiiflora", "Crocosmia masoniorum", "Carcharhinus leiodon", "Angylocalyx oligophyllus", "Bolusanthus speciosus", "Bowdichia nitida", "Bowdichia virgilioides", "Cadia ellisiana", "Cadia purpurea", "Dermatophyllum arizonicum", "Dermatophyllum secundiflorum", "Camoensia scandens", "Castanospermum australe", "Cladrastis kentukea", "Cladrastis delavayi", "Cladrastis platycarpa", "Cladrastis shikokiana", "Cladrastis wilsonii", "Clathrotropis brachypetala", "Clathrotropis macrocarpa", "Clathrotropis nitida", "Dalhousiea africana", "Diplotropis brasiliensis", "Diplotropis incexis", "Diplotropis purpurea", "Dussia discolor", "Dussia martinicensis", "Etaballia dubia", "Tambja tenuilineata", "Tambja verconis", "Tambja victoriae", "Tambja zulu", "Roboastra europaea", "Roboastra gracilis", "Roboastra leonis", "Roboastra luteolineata", "Roboastra tigris", "Roboastra gratiosa", "Glandirana emeljanovi", "Histomonas meleagridis", "Mixotricha paradoxa", "Pristurus carteri", "Banksia spinulosa var. collina", "Carum carvi", "Erica abietina", "Erica arborea", "Erica carnea", "Erica ciliaris", "Erica cinerea", "Erica tetralix", "Erica vagans", "Inocarpus fagifer", "Leucomphalos capparideus", "Luetzelburgia auriculata", "Luetzelburgia bahiensis", "Luetzelburgia guaissara", "Maackia amurensis", "Maackia chinensis", "Maackia fauriei", "Maackia tenuifolia", "Monopteryx inpae", "Myrocarpus fastigiatus", "Myrocarpus frondosus", "Myrocarpus leprosus", "Myrospermum frutescens", "Myroxylon balsamum", "Myroxylon peruiferum", "Pericopsis angolensis", "Pericopsis elata", "Pericopsis mooniana", "Riedeliella graciliflora", "Sophora chrysophylla", "Sophora microphylla", "Sophora albescens", "Sophora alopecuroides", "Sophora cassioides", "Sophora davidii", "Sophora flavescens", "Dermatophyllum gypsophilum", "Sophora howinsula", "Sophora inhambanensis", "Sophora koreensis", "Sophora lehmannii", "Sophora macrocarpa", "Sophora mollis", "Sophora moorcroftiana", "Erica perspicua", "Erica pillansii", "Erica pinea", "Erica quadrangularis", "Erica regia", "Erica scoparia", "Erica sitiens", "Erica spiculifolia", "Erica taxifolia", "Erica terminalis", "Erica totta", "Erica umbellata", "Erica \u00d7 veitchii", "Erica versicolor", "Erica vestita", "Erica viridescens", "Rana coreana", "Holothuria forskali", "Acosmium bijugum", "Acosmium cardenasii", "Acosmium dasycarpum", "Acosmium lentiscifolium", "Acosmium nitens", "Acosmium panamense", "Acosmium praeclarum", "Alexa imperatricis", "Alexa wachenheimii", "Ammodendron bifolium", "Ammodendron karelinii", "Amphimas pterocarpoides", "Sophora nuttalliana", "Sophora pachycarpa", "Sophora prostrata", "Sophora stenophylla", "Sophora tetraptera", "Sophora tomentosa", "Sophora tonkinensis", "Sophora velutina", "Sophora violacea", "Sweetia fruticosa", "Xanthocercis madagascariensis", "Xanthocercis zambesiaca", "Hexanchus nakamurai", "Notorynchus cepedianus", "Squalus mitsukurii", "Squalus acutirostris", "Squalus megalops", "Squalus melanurus", "Squalus rancureli", "Centroscyllium excelsum", "Centroscyllium ornatum", "Centroscyllium ritteri", "Agapanthus africanus", "Agapanthus campanulatus", "Agapanthus caulescens", "Dendrolobium dispermum", "Dendrolobium lanceolatum", "Dendrolobium triangulare", "Dendrolobium umbellatum", "Desmodium canadense", "Desmodium incanum", "Desmodium affine", "Desmodium angustifolium", "Desmodium arechavaletae", "Desmodium arizonicum", "Desmodium axillare", "Desmodium barbatum", "Chaceon bicolor", "Chaceon crosnieri", "Chaceon alcocki", "Chaceon collettei", "Chaceon goreni", "Chaceon macphersoni", "Chaceon paulensis", "Chaceon somaliensis", "Ramazzottius nivalis", "Eupoa jingwei", "Eupoa nezha", "Alopecosa thaleri", "Desmodium batocaulon", "Desmodium cajanifolium", "Desmodium canescens", "Ohwia caudata", "Desmodium cinerascens", "Desmodium cinereum", "Tateishia concinna", "Desmodium confertum", "Desmodium cuneatum", "Desmodium cuspidatum", "Desmodium subsecundum", "Desmodium distortum", "Agapanthus inapertus subsp. hollandii", "Agapanthus inapertus", "Agapanthus praecox subsp. minimus", "Agapanthus inapertus subsp. pendulus", "Agapanthus praecox", "Ismene amancaes", "Ismene longipetala", "Ismene narcissiflora", "Paradisea liliastrum", "Paradisea lusitanica", "Leontice leontopetalum", "Eruca loncholoma", "Eruca pinnatifida", "Eruca vesicaria subsp. sativa", "Eruca setulosa", "Eruca vesicaria", "Salacia amplectens", "Salacia cordata", "Salacia crassifolia", "Salacia elliptica", "Salacia impressifolia", "Salacia laevigata", "Salacia paniculata", "Salacia scandens", "Chloranthus japonicus", "Chloranthus serratus", "Chloranthus spicatus", "Sarcandra glabra", "Shortia galacifolia", "Schizocodon soldanelloides", "Shortia uniflora", "Aphyllodium australiense", "Aphyllodium biarticulatum", "Codariocalyx gyroides", "Codariocalyx motorius", "Desmodium rhytidophyllum", "Desmodium riedelii", "Desmodium rosei", "Desmodium rotundifolium", "Grona rubra", "Desmodium scopulorum", "Desmodium scorpiurus", "Ototropis sequax", "Desmodium sericophyllum", "Desmodium sessilifolium", "Desmodium setigerum", "Desmodium sintenisii", "Desmodium strigillosum", "Grona styracifolia", "Desmodium subsericeum", "Desmodium tanganyikense", "Desmodium tortuosum", "Desmodium trichostachyum", "Tamarix ramosissima", "Grona triflora", "Desmodium uncinatum", "Desmodium varians", "Polhillides velutina", "Desmodium viridiflorum", "Sohmaea zonata", "Hylaeora eucalypti", "Droogmansia scaettaiana", "Phyllodium elegans", "Phyllodium pulchellum", "Salix miyabeana", "Salix microstachya", "Salix koriyanagi", "Salix integra", "Salix gilgiana", "Salix caesia", "Salix amplexicaulis", "Bothrops alcatraz", "Etmopterus baxteri", "Etmopterus bigelowei", "Etmopterus brachyurus", "Etmopterus bullisi", "Etmopterus carteri", "Etmopterus caudistigmus", "Etmopterus decacuspidatus", "Etmopterus dianthus", "Etmopterus dislineatus", "Etmopterus evansi", "Etmopterus fusus", "Etmopterus gracilispinis", "Etmopterus granulosus", "Desmodium dregeanum", "Ototropis elegans", "Desmodium flagellare", "Desmodium flexuosum", "Pleurolobus gangeticus", "Desmodium glabrum", "Desmodium grahamii", "Desmodium hassleri", "Grona heterocarpos", "Grona heterophylla", "Desmodium humifusum", "Desmodium illinoense", "Desmodium infractum", "Desmodium intortum", "Desmodium laevigatum", "Sohmaea laxiflora", "Desmodium laxum", "Desmodium leiocarpon", "Desmodium limense", "Desmodium lindheimeri", "Desmodium lineatum", "Desmodium macrocarpum", "Desmodium marilandicum", "Desmodium maxonii", "Desmodium molliculum", "Desmodium muelleri", "Ototropis multiflora", "Desmodium nemorosum", "Desmodium neomexicanum", "Desmodium nicaraguense", "Desmodium nudiflorum", "Desmodium obtusum", "Desmodium oldhamii", "Desmodium oojeinense", "Desmodium ospriostreblum", "Desmodium pabulare", "Desmodium pachyrhizum", "Desmodium paniculatum", "Hylodesmum pauciflorum", "Desmodium perplexum", "Desmodium psilophyllum", "Desmodium prehensile", "Desmodium pringlei", "Desmodium procumbens", "Desmodium prostratum", "Desmodium psilocarpum", "Grona ramosissima", "Hylodesmum repandum", "Desmodium retinens", "Pseudarthria hookeri", "Pseudarthria viscida", "Pycnospora lutescens", "Tadehagi triquetrum", "Uraria crinita", "Uraria lagopodioides", "Uraria lagopus", "Uraria picta", "Uraria rufescens", "Uraria spinosa", "Limnanthes alba", "Limnanthes douglasii", "Limnanthes vinculans", "Limnanthes bakeri", "Limnanthes floccosa", "Limnanthes alba subsp. gracilis", "Limnanthes macounii", "Limnanthes montana", "Limnanthes douglasii subsp. striata", "Floerkea proserpinacoides", "Nothofagus fusca", "Nothofagus gunnii", "Nothofagus solandri", "Nothofagus truncata", "Nothofagus cunninghamii", "Nothofagus menziesii", "Nothofagus antarctica", "Nothofagus betuloides", "Nothofagus dombeyi", "Nothofagus pumilio", "Nothofagus alpina", "Nothofagus obliqua", "Polystachya cultriformis", "Polystachya oligophylla", "Polystachya rivae", "Sphenopholis obtusata", "Helicia cochinchinensis", "Helicia formosana", "Helicia nilagirica", "Helicia obovatifolia", "Salix wilhelmsiana", "Salix purpurea", "Strauchbufo raddei", "Diplospora erythrospora", "Rhodosphaera rhodanthema", "Hemisteptia lyrata", "Lygodesmia aphylla", "Lygodesmia grandiflora", "Lygodesmia juncea", "Psilocarphus elatior", "Psilocarphus oregonus", "Trichogyne ambigua", "Sartwellia flaveriae", "Schlechtendalia luzulifolia", "Warionia saharae", "Aldrovanda vesiculosa", "Centrolobium paraense", "Centrolobium robustum", "Centrolobium tomentosum", "Dalbergia afzeliana", "Dalbergia albiflora", "Dalbergia arbutifolia", "Dalbergia armata", "Dalbergia bignonae", "Dalbergia boehmii", "Dalbergia brasiliensis", "Dalbergia candenatensis", "Dalbergia cearensis", "Dalbergia cochinchinensis", "Dalbergia cultrata", "Dalbergia dalzielii", "Dalbergia decipularis", "Dalbergia dyeriana", "Dalbergia ecastaphyllum", "Etmopterus hillianus", "Etmopterus litvinovi", "Etmopterus lucifer", "Etmopterus molleri", "Etmopterus perryi", "Etmopterus polli", "Etmopterus princeps", "Etmopterus pseudosqualiolus", "Etmopterus pusillus", "Etmopterus pycnolepis", "Etmopterus robinsi", "Etmopterus schultzi", "Etmopterus sentosus", "Etmopterus spinax", "Etmopterus splendidus", "Etmopterus unicolor", "Etmopterus villosus", "Etmopterus virens", "Etmopterus tasmaniensis", "Etmopterus burgessi", "Etmopterus compagnoi", "Panthera leo hollisteri", "Panthera leo kamptzi", "Salix bonplandiana", "Salix caroliniana", "Salix gooddingii", "Salix humboldtiana", "Salix chaenomeloides", "Salix lucida", "Salix meyeriana", "Salix paraplesia", "Salix serissima", "Salix arizonica", "Salix sect.", "Salix sect.", "Salix herbacea", "Salix sect.", "Salix lindleyana", "Salix balfouriana", "Psychotria thomensis", "Gigantoraptor erlianensis", "Sericanthe adamii", "Sericanthe andongensis", "Galium parisiense", "Frostius erythrophthalmus", "Frostius pernambucensis", "Salix amygdaloides", "Salix triandra", "Salix exigua", "Salix melanopsis", "Salix taxifolia", "Salix magnifica", "Salix fargesii", "Salix moupinensis", "Salix aegyptiaca", "Salix ambigua", "Salix apennina", "Salix appendiculata", "Halocnemum strobilaceum", "Comephorus baikalensis", "Apomys gracilirostris", "Campyloneura virgula", "Hierophis viridiflavus", "Streptococcus thermophilus", "Crypsithyris turcica", "Dryadaula minuta", "Nemapogon arcosuensis", "Salix atrocinerea", "Salix aurita", "Salix bebbiana", "Salix cantabrica", "Nemapogon grossi", "Nemapogon scutifera", "Nemapogon similella", "Salix cinerea", "Psychoides gosari", "Salix pedicellata", "Salix salviifolia", "Salix scouleriana", "Salix silesiaca", "Salix starkeana", "Salix wallichiana", "Salix humilis", "Borearctia menetriesii", "Isoberlinia angolensis", "Julbernardia globiflora", "Cotylegaleata perplexa", "Cephalodella ungulata", "Cocculina rathbuni", "Lampropeltis triangulum", "Puntius ticto", "Simomactra dolabriformis", "Simomactra falcata", "Simomactra planulata", "Euterpe oleracea", "Salix repens", "Salix rosmarinifolia", "Salix sericea", "Salix subopposita", "Salix alaxensis", "Salix candida", "Salix drummondiana", "Salix barclayi", "Salix cordata", "Salix eriocephala", "Salix hastata", "Salix irrorata", "Salix japonica", "Salix myricoides", "Salix pyrolifolia", "Salix apoda", "Salix arbuscula", "Salix bicolor", "Salix foetida", "Salix glabra", "Salix hegetschweileri", "Salix laggeri", "Salix mielichhoferi", "Salix pellita", "Salix petiolaris", "Salix phylicifolia", "Salix planifolia", "Salix waldsteiniana", "Salix pyrifolia", "Salix hookeriana", "Salix lanata", "Salix acutifolia", "Salix daphnoides", "Salix rorida", "Salix dasyclados", "Salix helvetica", "Salix lapponum", "Salix rehderiana", "Salix elaeagnos", "Salix sect.", "Salix reticulata", "Salix sect.", "Salix brachycarpa", "Salix glauca", "Salix sect.", "Salix phlebophylla", "Salix polaris", "Salix uva-ursi", "Salix sect.", "Salix sect.", "Salix arctica", "Sindora sumatrana", "Sindora supa", "Sindora tonkinensis", "Sindora velutina", "Sindora wallichii", "Tamarindus indica", "Tessmannia baikiaeoides", "Tetraberlinia bifoliata", "Tetraberlinia moreliana", "Amherstia nobilis", "Anthonotha crassifolia", "Anthonotha fragrans", "Anthonotha macrophylla", "Baikiaea insignis", "Baikiaea plurijuga", "Barnebydendron riedelii", "Berlinia bracteosa", "Berlinia craibiana", "Berlinia grandiflora", "Brachystegia boehmii", "Brachystegia spiciformis", "Brachystegia allenii", "Brachystegia bussei", "Brachystegia cynometroides", "Brachystegia eurycoma", "Brachystegia floribunda", "Sericanthe auriculata", "Krasnovia longiloba", "Myrrhis odorata", "Osmorhiza claytonii", "Osmorhiza aristata", "Osmorhiza berteroi", "Osmorhiza longistylis", "Osmorhiza mexicana", "Osmorhiza occidentalis", "Scandix pecten-veneris", "Scandix stellata", "Sphallerocarpus gracilis", "Vallisneria americana", "Fernelia buxifolia", "Fernelia decipiens", "Fernelia obovata", "Fernelia pedunculata", "Diplarche multiflora", "Copaifera langsdorffii", "Copaifera guyanensis", "Copaifera lucens", "Copaifera martii", "Copaifera multijuga", "Copaifera officinalis", "Copaifera reticulata", "Copaifera salikounda", "Copaifera trapezifolia", "Goniorrhachis marginata", "Guibourtia arnoldiana", "Guibourtia chodatiana", "Guibourtia coleosperma", "Guibourtia conjugata", "Elizabetha durissima", "Elizabetha paraensis", "Elizabetha princeps", "Elizabetha speciosa", "Eperua bijuga", "Eperua duckeana", "Eperua falcata", "Eperua glabriflora", "Eperua grandiflora", "Gilbertiodendron bilineatum", "Gilbertiodendron dewevrei", "Gilbertiodendron limba", "Gilbertiodendron mayombense", "Intsia bijuga", "Intsia palembanica", "Anguilla bengalensis bengalensis", "Hypophthalmichthys molitrix", "Barilius bendelisis", "Amblypharyngodon mola", "Ctenopharyngodon idella", "Psyllaphorura bashkirica", "Psyllaphorura martynovae", "Psyllaphorura obesa", "Psyllaphorura okafujii", "Psyllaphorura ryozoyoshii", "Psyllaphorura sensillifera", "Psyllaphorura uenoi", "Huitaca ventralis", "Metagovea disparunguis", "Metagovea oviformis", "Metagovea philipi", "Neogovea immsi", "Neogovea kamakusa", "Neogovea kartabo", "Neogovea microphaga", "Puntius sophore", "Julbernardia paniculata", "Loesenera talbotii", "Lysidice rhodostegia", "Macrolobium acaciifolium", "Macrolobium angustifolium", "Macrolobium gracile", "Macrolobium huberianum", "Macrolobium latifolium", "Macrolobium limbatum", "Macrolobium microcalyx", "Macrolobium multijugum", "Microberlinia brazzavillensis", "Berlinia bisulcata", "Paramacrolobium coeruleum", "Peltogyne paniculata", "Peltogyne venosa", "Peltogyne angustiflora", "Peltogyne catingae", "Peltogyne excelsa", "Peltogyne floribunda", "Peltogyne gracilipes", "Peltogyne pauciflora", "Peltogyne prancei", "Prioria copaifera", "Saraca asoca", "Saraca declinata", "Saraca indica", "Saraca thaipingensis", "Schotia afra", "Schotia brachypetala", "Schotia capitata", "Schotia latifolia", "Scorodophloeus zenkeri", "Sindora bruggemanii", "Sindora coriacea", "Sindora inermis", "Sindora siamensis", "Brachystegia glaberrima", "Brachystegia laurentii", "Brachystegia longifolia", "Brachystegia manga", "Brachystegia microphylla", "Brachystegia taxifolia", "Brachystegia utilis", "Brodriguesia santosii", "Brownea ariza", "Brownea bolivarensis", "Brownea coccinea", "Brownea crawfordii", "Brownea grandiceps", "Brownea longipedicellata", "Brownea macrophylla", "Crudia amazonica", "Crudia aromatica", "Crudia bracteata", "Crudia oblonga", "Crudia tomentosa", "Cryptosepalum exfoliatum", "Cryptosepalum maraviense", "Cryptosepalum tetraphyllum", "Cynometra bauhiniifolia", "Cynometra cauliflora", "Cynometra hankei", "Cynometra ramiflora", "Cynometra sessiliflora", "Cynometra trinitensis", "Daniellia alsteeniana", "Daniellia ogea", "Daniellia oliveri", "Daniellia thurifera", "Detarium macrocarpum", "Detarium microcarpum", "Detarium senegalense", "Dicymbe altsonii", "Dicymbe corymbosa", "Didelotia africana", "Elizabetha bicolor", "Elizabetha coccinea", "Guibourtia copallifera", "Guibourtia demeusei", "Guibourtia ehie", "Guibourtia hymenaeifolia", "Guibourtia leonensis", "Guibourtia tessmannii", "Hardwickia binata", "Prioria pinnata", "Heterostemon mimosoides", "Humboldtia laurifolia", "Hylodendron gabunense", "Hymenaea aurea", "Hymenaea courbaril", "Hymenaea eriogyne", "Hymenaea martiana", "Hymenaea parvifolia", "Hymenaea reticulata", "Hymenaea rubriflora", "Hymenaea stigonocarpa", "Hymenaea verrucosa", "Apuleia leiocarpa", "Dialium aubrevillei", "Dialium cochinchinense", "Dialium dinklagei", "Dialium englerianum", "Dialium guianense", "Dialium guineense", "Dialium indum", "Dialium pachyphyllum", "Dialium platysepalum", "Dialium pobeguinii", "Dialium schlechteri", "Dialium zenkeri", "Dicorynia guianensis", "Dicorynia paraensis", "Distemonanthus benthamianus", "Koompassia excelsa", "Koompassia malaccensis", "Hovenia dulcis", "Agelena labyrinthica", "Allium subhirsutum", "Carcharhiniformes incertae sedis", "Martiodendron elatum", "Pimenta racemosa", "Nemesia strumosa", "Nemesia versicolor", "Xanthoselinum alsaticum", "Peucedanum capense", "Peucedanum formosanum", "Peucedanum japonicum", "Peucedanum officinale", "Peucedanum petitianum", "Peucedanum praeruptorum", "Peucedanum ruthenicum", "Peucedanum sandwicense", "Peucedanum winkleri", "Pimpinella anisum", "Pimpinella saxifraga", "Pimpinella diversifolia", "Pimpinella kotschyana", "Pimpinella major", "Pimpinella peregrina", "Pimpinella siifolia", "Pimpinella tragium", "Pimpinella villosa", "Petroselinum crispum", "Sison segetum", "Chaerophyllum reflexum var. acuminatum", "Chaerophyllum aromaticum", "Chaerophyllum aureum", "Chaerophyllum bulbosum", "Chaerophyllum coloratum", "Chaerophyllum crinitum", "Chaerophyllum hirsutum", "Chaerophyllum procumbens", "Chaerophyllum reflexum", "Chaerophyllum tainturieri", "Chaerophyllum temulum", "Chaerophyllum villarsii", "Chaerophyllum villosum", "Conopodium majus", "Notopterus notopterus", "Salmostoma boopis", "Salmostoma horai", "Salmostoma novacula", "Pycnanthus angolensis", "Otoba novogranatensis", "Virola calophylla", "Virola carinata", "Virola elongata", "Virola guatemalensis", "Virola koschnyi", "Virola sebifera", "Virola surinamensis", "Abrus canescens", "Abrus fruticulosus", "Abrus laevigatus", "Abrus melanospermus", "Afgekia sericea", "Callerya cinerea", "Craibia brevicaudata", "Craibia brownii", "Cyclolobium brasiliense", "Dahlstedtia pinnata", "Dalbergiella nyasae", "Dalbergiella welwitschii", "Dewevrea bilabiata", "Leptoderris brachyptera", "Leptoderris fasciculata", "Leptoderris nobilis", "Lonchocarpus atropurpureus", "Lonchocarpus chrysophyllus", "Lonchocarpus cultratus", "Lonchocarpus eriocalyx", "Lonchocarpus eriocarinalis", "Lonchocarpus fendleri", "Lonchocarpus filipes", "Lonchocarpus hedyosmus", "Lonchocarpus heptaphyllus", "Lonchocarpus hermannii", "Lonchocarpus macrocarpus", "Lonchocarpus martynii", "Lonchocarpus nitidus", "Lonchocarpus punctatus", "Lonchocarpus sericeus", "Lonchocarpus virgilioides", "Millettia barteri", "Millettia dinklagei", "Millettia dubia", "Millettia duchesnei", "Millettia dura", "Millettia extensa", "Millettia ferruginea", "Millettia glaucescens", "Millettia grandis", "Millettia griffoniana", "Millettia harmsiana", "Millettia lane-poolei", "Millettia laurentii", "Millettia lucens", "Millettia macrophylla", "Millettia mannii", "Millettia nitida", "Millettia oblata", "Millettia pachycarpa", "Millettia peguensis", "Millettia pendula", "Millettia piscidia", "Millettia pulchra", "Millettia rhodantha", "Millettia stuhlmannii", "Millettia thonningii", "Millettia usaramensis", "Millettia versicolor", "Millettia warneckei", "Millettia zechiana", "Mundulea sericea", "Piscidia carthagenensis", "Piscidia grandifolia", "Piscidia mollis", "Piscidia piscipula", "Platysepalum hirsutum", "Poecilanthe falcata", "Anomala mongolica", "Poecilanthe hostmannii", "Poecilanthe parviflora", "Poecilanthe ulei", "Schefflerodendron usambarense", "Tephrosia acaciifolia", "Tephrosia adunca", "Ischnura senegalensis", "Bombina fortinuptialis", "Bombina lichuanensis", "Bombina maxima", "Bombina microdeladigitora", "Lampropeltis triangulum nelsoni", "Alytes dickhilleni", "Alytes muletensis", "Alytes maurus", "Discoglossus galganoi", "Makrostrotos hamus", "Treponema pertenue", "Callospermophilus lateralis", "Therizinosaurus cheloniformis", "Dama dama mesopotamica", "Discoglossus jeanneae", "Discoglossus montalentii", "Triticum spelta", "Discoglossus pictus", "Discoglossus sardus", "Latonia nigriventer", "Discoglossus scovazzi", "Mugil cephalus", "Phenes raptor", "Atympanophrys gigantica", "Canis lupus columbianus", "Oncorhynchus kisutch", "Makrostrotos acuminatus", "Edestus giganteus", "Darevskia armeniaca", "Eleotris oxycephala", "Dryophilocoris flavoquadrimaculatus", "Litoria phyllochroa", "Portulaca oleracea", "Apomys datae", "Pyrus castribonensis", "Diplospora fasciculiflora", "Charadrius morinellus", "Tephrosia aemula", "Tephrosia aequilata", "Tephrosia angustissima", "Tephrosia apollina", "Tephrosia baurei", "Tephrosia bidwillii", "Tephrosia brachyodon", "Tephrosia bracteolata", "Tephrosia brandegeei", "Tephrosia burchellii", "Tephrosia candida", "Tephrosia capensis", "Tephrosia cephalantha", "Tephrosia chimanimaniana", "Tephrosia cinerea", "Tephrosia cordata", "Tephrosia coronilloides", "Tephrosia cuneata", "Tephrosia dasyphylla", "Nostolachma crassifolia", "Celastrus paniculatus", "Agrobacterium radiobacter", "Agrobacterium rubi", "Leptobrachella serasanae", "Leptobrachella palmata", "Leptobrachella natunae", "Leptobrachella brevicrus", "Leptobrachella mjobergi", "Leptobrachella baluensis", "Brachytarsophrys chuannanensis", "Brachytarsophrys feae", "Brachytarsophrys intermedia", "Brachytarsophrys platyparietus", "Xanthogramma pedissequum", "Pteropus poliocephalus", "Ebrechtella tricuspidata", "Pseudagrion pilidorsum", "Tropaeolum majus", "Tropaeolum peregrinum", "Allium oreophilum", "Androsace sarmentosa", "Dryas octopetala", "Austrosignum glaciale", "Munnogonium waldronense", "Austrosignum escandellae", "Advenogonium fuegiae", "Boreosignum affinis", "Boreosignum maltinii", "Kussakinella spinosa", "Leptobrachium abbotti", "Psydrax acutiflora", "Cyphotilapia frontosa", "Ciona intestinalis", "Narcissus jonquilla", "Narcissus poeticus", "Euphorbia djimilensis", "Bassia scoparia", "Tephrosia decora", "Tephrosia dietrichii", "Tephrosia dregeana", "Tephrosia elata", "Tephrosia elegans", "Tephrosia elongata", "Tephrosia emeroides", "Tephrosia eriocarpa", "Tephrosia euchroa", "Tephrosia euprepes", "Tephrosia festina", "Tephrosia filipes", "Tephrosia flagellaris", "Tephrosia flexuosa", "Tephrosia forbesii", "Tephrosia glomeruliflora", "Tephrosia grandibracteata", "Tephrosia grandiflora", "Tephrosia heckmanniana", "Tephrosia hildebrandtii", "Tephrosia holstii", "Tephrosia hookeriana", "Tephrosia interrupta", "Tephrosia juncea", "Tephrosia leiocarpa", "Tephrosia lepida", "Tephrosia lindheimeri", "Tephrosia linearis", "Tephrosia littoralis", "Tephrosia longipes", "Tephrosia lupinifolia", "Tephrosia macropoda", "Tephrosia maxima", "Tephrosia micrantha", "Tephrosia montana", "Tephrosia multijuga", "Tephrosia nana", "Tephrosia natalensis", "Tephrosia nitens", "Tephrosia noctiflora", "Tephrosia nyikensis", "Tephrosia obovata", "Tephrosia onobrychoides", "Tephrosia oxygona", "Tephrosia paniculata", "Tephrosia paradoxa", "Tephrosia pedicellata", "Tephrosia polystachya", "Tephrosia praecana", "Tephrosia pumila", "Tephrosia purpurea", "Tephrosia radicans", "Tephrosia reptans", "Tephrosia rhodesica", "Tephrosia richardsiae", "Tephrosia rosea", "Tephrosia rufula", "Tephrosia rupicola", "Tephrosia semiglabra", "Tephrosia senna", "Tephrosia sessiliflora", "Tephrosia shiluwanensis", "Tephrosia sinapou", "Oldenlandia capensis", "Oldenlandia corymbosa", "Oldenlandia hedyotidea", "Oldenlandia herbacea", "Oldenlandia pumila", "Petroica australis longipes", "Petroica australis australis", "Setophaga plumbea", "Vanessa altissima", "Cratylia argentea", "Cratylia hypargyraea", "Cratylia mollis", "Dioclea bicolor", "Dioclea glabra", "Dioclea grandiflora", "Dioclea guianensis", "Dioclea javanica", "Dioclea lehmannii", "Dioclea macrantha", "Dioclea macrocarpa", "Dioclea malacocarpa", "Dioclea reflexa", "Dioclea sericea", "Dioclea violacea", "Dioclea virgata", "Galactia acapulcensis", "Galactia canescens", "Galactia dubia", "Galactia elliottii", "Galactia filiformis", "Galactia gracillima", "Galactia jussiaeana", "Galactia latisiliqua", "Galactia longiflora", "Galactia longifolia", "Galactia marginalis", "Galactia muelleri", "Galactia neesii", "Galactia parvifolia", "Galactia pretiosa", "Galactia regularis", "Galactia rubra", "Galactia rudolphioides", "Galactia smallii", "Galactia striata", "Galactia tenuiflora", "Galactia texana", "Galactia volubilis", "Galactia wrightii", "Dipteryx alata", "Dipteryx odorata", "Dipteryx magnifica", "Dipteryx panamensis", "Dipteryx punctata", "Pterodon abruptus", "Pterodon emarginatus", "Taralea cordata", "Taralea oppositifolia", "Galium suffruticosum", "Rubia cordifolia", "Rubia fruticosa", "Rubia peregrina", "Rubia sikkimensis", "Rubia tinctorum", "Valantia hispida", "Arcytophyllum serpyllaceum", "Bouvardia ternifolia", "Bouvardia longiflora", "Crusea calocephala", "Crusea violacea", "Dentella repens", "Diodia apiculata", "Diodia ocymifolia", "Diodia radula", "Diodia sarmentosa", "Diodia teres", "Diodia virginiana", "Ernodea littoralis", "Hedyotis auricularia", "Houstonia caerulea", "Houstonia canadensis", "Houstonia purpurea", "Mitracarpus hirtus", "Mitracarpus maxwelliae", "Mitracarpus polycladus", "Oldenlandia boscii", "Ischnura bizonata", "Ischnura cruzi", "Ischnura fluviatilis", "Ischnura haritonovi", "Ischnura lobata", "Ischnura pumilio", "Ischnura chromostigma", "Ischnura filosa", "Ischnura haemastigma", "Ischnura kellicotti", "Ischnura pruinescens", "Ischnura saharensis", "Ischnura cardinalis", "Ischnura dorothea", "Ischnura gemina", "Ischnura indivisa", "Ischnura perparva", "Ischnura rubilio", "Ischnura rhodosoma", "Ischnura rubella", "Ischnura ramburii", "Ischnura luta", "Ischnura ordosi", "Ischnura pamelae", "Ischnura patricia", "Ischnura capreolus", "Ischnura demorsa", "Ischnura forcipata", "Ischnura heterosticta", "Ischnura fragilis", "Ischnura denticollis", "Ischnura inarmata", "Ischnura blumi", "Ischnura buxtoni", "Ischnura damula", "Ischnura hastata", "Ischnura fountainei", "Ischnura cervula", "Ischnura rufostigma", "Ischnura posita", "Ischnura rufovittata", "Ischnura carpenteri", "Ischnura elegans", "Ischnura isoetes", "Ischnura evansi", "Ischnura erratica", "Ischnura genei", "Ischnura intermedia", "Ischnura graellsii", "Ischnura prognata", "Strychnos angustiflora", "Strychnos axillaris", "Strychnos cathayensis", "Strychnos cocculoides", "Strychnos cogens", "Strychnos decussata", "Strychnos gerrardii", "Strychnos gossweileri", "Strychnos ignatii", "Strychnos innocua", "Strychnos lucida", "Strychnos madagascariensis", "Strychnos mellodora", "Tephrosia sparsiflora", "Tephrosia sphaerospora", "Tephrosia spicata", "Tephrosia stormsii", "Tephrosia stricta", "Tephrosia strigosa", "Ischnura verticalis", "Calopteryx maculata", "Atrocalopteryx atrata", "Pholcus phalangioides", "Tephrosia subtriflora", "Tephrosia subulata", "Tephrosia supina", "Tephrosia tenuis", "Tephrosia thurberi", "Tephrosia tinctoria", "Tephrosia uniflora", "Tephrosia uniovulata", "Tephrosia vestita", "Tephrosia vicioides", "Tephrosia villosa", "Tephrosia violacea", "Tephrosia virgata", "Tephrosia virginiana", "Tephrosia vogelii", "Tephrosia zoutpansbergensis", "Brachypodium bolusii", "Brachypodium distachyon", "Brachypodium mexicanum", "Brachypodium pinnatum", "Brachypodium retusum", "Brachypodium sylvaticum", "Cottea pappophoroides", "Enneapogon avenaceus", "Enneapogon cenchroides", "Enneapogon desvauxii", "Enneapogon gracilis", "Enneapogon lindleyanus", "Enneapogon nigricans", "Enneapogon pallidus", "Enneapogon persicus", "Enneapogon polyphyllus", "Enneapogon scoparius", "Pappophorum abyssinicum", "Pappophorum bicolor", "Pappophorum mucronulatum", "Pappophorum pappiferum", "Pappophorum vaginatum", "Schmidtia kalahariensis", "Schmidtia pappophoroides", "Crithopsis delileana", "Centaurea bieberseinii", "Celastrus orbiculatus", "Celastrus angulatus", "Celastrus flagellaris", "Celastrus gemmatus", "Celastrus hindsii", "Celastrus monospermus", "Celastrus punctatus", "Celastrus rosthornianus", "Celastrus scandens", "Celastrus stylosus", "Celastrus vaniotii", "Caperonia castaneifolia", "Caperonia palustris", "Tetracoccus hallii", "Camptosema coriaceum", "Camptosema paraguariense", "Camptosema pedicellatum", "Camptosema rubicundum", "Camptosema scarlatinum", "Canavalia gladiata", "Canavalia africana", "Canavalia bonariensis", "Canavalia brasiliensis", "Canavalia campylocarpa", "Canavalia cathartica", "Canavalia ensiformis", "Canavalia hirsutissima", "Canavalia lineata", "Canavalia macrobotrys", "Canavalia macropleura", "Canavalia mattogrossensis", "Canavalia megalantha", "Canavalia molokaiensis", "Canavalia napaliensis", "Canavalia nitida", "Canavalia plagiosperma", "Canavalia rosea", "Canavalia villosa", "Cleobulia multiflora", "Collaea speciosa", "Collaea stenophylla", "Discolobium leptophyllum", "Discolobium psoraleifolium", "Discolobium pulchellum", "Eustoma exaltatum", "Gentiana bavarica", "Gentiana brachyphylla", "Gentiana alpina", "Gentiana pannonica", "Gentiana punctata", "Gentiana purpurea", "Gentiana andrewsii", "Gentiana calycosa", "Gentiana freyniana", "Gentiana manshurica", "Gentiana newberryi", "Gentiana pneumonanthe", "Gentiana saponaria", "Gentiana scabra", "Gentiana sceptrum", "Gentiana septemfida", "Gentiana triflora", "Gentiana sect.", "Gentiana pedicellata", "Gentiana sect.", "Gentiana depressa", "Gentiana sikkimensis", "Gentiana tubiflora", "Gentiana sect.", "Gentiana crassicaulis", "Gentiana dahurica", "Gentiana decumbens", "Gentiana macrophylla", "Gentiana olgae", "Gentiana olivieri", "Gentiana tibetica", "Gentiana walujewii", "Gentiana ser.", "Gentiana prolata", "Gentiana rigescens", "Gentiana sect.", "Gentiana algida", "Gentiana apiata", "Gentiana sect.", "Gentiana phyllocalyx", "Metagentiana pterocalyx", "Gentiana frigida", "Lepomis microlophus", "Lepomis miniatus", "Lepomis punctatus", "Lepomis symmetricus", "Micropterus cataractae", "Micropterus coosae", "Micropterus dolomieu", "Micropterus notius", "Micropterus punctulatus", "Micropterus treculii", "Calopteryx aequabilis", "Calopteryx amata", "Calopteryx angustipennis", "Calopteryx balcanica", "Calopteryx coomani", "Calopteryx cornelia", "Calopteryx laosica", "Calopteryx japonica", "Calopteryx intermedia", "Calopteryx hyalina", "Calopteryx haemorrhoidalis", "Calopteryx exul", "Calopteryx dimidiata", "Calopteryx maracandica", "Calopteryx syriaca", "Calopteryx taurica", "Calopteryx melli", "Calopteryx mingrelica", "Calopteryx oberthuri", "Calopteryx orientalis", "Calopteryx samarcandica", "Calopteryx splendens", "Calopteryx xanthostoma", "Calopteryx waterstoni", "Calopteryx virgo", "Calopteryx transcaspica", "Calopteryx unicolor", "Pholcus alticeps", "Pholcus crassipalpis", "Pholcus crypticolens", "Pholcus nenjukovi", "Pholcus opilionoides", "Pholcus velitchkovskyi", "Pholcus phungiformes", "Pholcus ponticus", "Pholcus sidorenkoi", "Pholcus sogdianae", "Ischnura abyssinica", "Ischnura acuticauda", "Ischnura albistigma", "Ischnura aralensis", "Ischnura ariel", "Ischnura asiatica", "Ischnura aurora", "Ischnura barberi", "Ischnura vinsoni", "Ischnura ultima", "Ischnura torresiana", "Ischnura sanguinostigma", "Ischnura spinicauda", "Ischnura stueberi", "Ischnura taitensis", "Ischnura thelmae", "Strychnos minor", "Strychnos mitis", "Strychnos nitida", "Strychnos nux-vomica", "Strychnos potatorum", "Strychnos pungens", "Strychnos spinosa", "Strychnos toxifera", "Strychnos umbellata", "Strychnos usambarensis", "Strychnos variabilis", "Strychnos wallichiana", "Dombeya acutangula", "Dombeya buettneri", "Dombeya burgessiae", "Dombeya cacuminum", "Dombeya cayeuxii", "Dombeya cymosa", "Dombeya kirkii", "Dombeya mollis", "Dombeya quinqueseta", "Dombeya rotundifolia", "Dombeya spectabilis", "Dombeya tiliacea", "Dombeya torrida", "Dombeya wallichii", "Dombeya wittei", "Eriolaena hookeriana", "Pentapetes phoenicea", "Pterospermum acerifolium", "Pterospermum heterophyllum", "Pterospermum semisagittatum", "Portulaca grandiflora", "Portulaca coronata", "Portulaca pilosa", "Portulaca quadrifida", "Portulaca sclerocarpa", "Portulaca smallii", "Asperula tinctoria subsp. hungarorum", "Asperula tinctoria", "Crucianella angustifolia", "Crucianella graeca", "Cruciata glabra", "Galium asprellum", "Galium buxifolium", "Galium californicum", "Galium canescens", "Galium mollugo", "Galium parishii", "Galium spurium", "Galium tricornutum", "Gentiana cruciata", "Gentianella germanica", "Gentianella campestris", "Gentianella corymbifera", "Gentianella liniflora", "Gentianella moorcroftiana", "Gentianella propinqua", "Gentianella rapunculoides", "Gentianella saxosa", "Gentianella tubulosa", "Gelsemium sempervirens", "Gelsemium elegans", "Thamnophis sirtalis sirtalis", "Lepomis gibbosus", "Lepomis macrochirus", "Lepomis auritus", "Lepomis cyanellus", "Lepomis gulosus", "Lepomis humilis", "Lepomis marginatus", "Lepomis megalotis", "Erebia mancinus", "Erebia occulta", "Erebia rossii", "Erebia vidleri", "Heteroscymnoides marleyi", "Mollisquama parini", "Baphiopsis parviflora", "Squaliolus aliae", "Squaliolus laticaudus", "Bobgunnia fistuloides", "Bobgunnia madagascariensis", "Somniosus rostratus", "Pieris bowdeni", "Pieris brassicoides", "Pieris bryoniae", "Pieris cisseis", "Pieris davidis", "Pieris dulcinea", "Pieris ergane", "Pieris erutae", "Pieris euorientis", "Pieris marginalis", "Pieris narina", "Pieris krueperi", "Pieris mahometana", "Pieris mannii", "Pieris extensa", "Pieris itatiayae", "Pieris meckyae", "Pieris nesis", "Pieris ochsenheimeri", "Pieris meneacte", "Pieris melete", "Pieris virginiensis", "Pieris persis", "Pieris pylotis", "Pieris pseudorapae", "Pontia protodice", "Pontia occidentalis", "Pontia beckerii", "Pontia sisymbrii", "Pontia callidice", "Pontia chloridice", "Pontia daplidice", "Pontia distorta", "Pontia edusa", "Pontia glauconome", "Pontia helice", "Diplospora fruticosa", "Wollemia nobilis", "Bocoa mollis", "Bocoa prouacensis", "Bocoa viridiflora", "Cordyla africana", "Cyathostegia mathewsii", "Exostyles venusta", "Harleyodendron unifoliolatum", "Holocalyx balansae", "Lecointea amazonica", "Mildbraediodendron excelsum", "Swartzia acutifolia", "Swartzia apetala", "Swartzia arborescens", "Swartzia auriculata", "Swartzia bahiensis", "Swartzia bannia", "Swartzia benthamiana", "Swartzia fistuloides", "Swartzia caribaea", "Swartzia cuspidata", "Swartzia flaemingii", "Swartzia glazioviana", "Swartzia guianensis", "Swartzia ingifolia", "Swartzia jenmanii", "Swartzia laevicarpa", "Swartzia langsdorffii", "Swartzia laurifolia", "Swartzia laxiflora", "Swartzia leiocalycina", "Swartzia macrostachya", "Swartzia myrtifolia", "Swartzia oblanceolata", "Swartzia panacoco", "Swartzia pinnata", "Swartzia polyphylla", "Swartzia reticulata", "Swartzia schomburgkii", "Lycosa gobiensis", "Lycosa godeffroyi", "Lycosa goliathus", "Lycosa grahami", "Lycosa granatensis", "Lycosa guayaquiliana", "Gladicosa gulosa", "Lycosa hickmani", "Lycosa hildegardae", "Lycosa horrida", "Lycosa howarthi", "Lycosa illicita", "Lycosa immanis", "Lycosa impavida", "Lycosa indagatrix", "Lycosa indomita", "Lycosa infesta", "Lycosa injusta", "Lycosa innocua", "Lycosa inornata", "Lycosa insulana", "Lycosa insularis", "Lycosa intermedialis", "Castanea henryi", "Castanea ozarkensis", "Castanea seguinii", "Castanea \u00d7 fleetii", "Castanea \u00d7 neglecta", "Castanopsis acuminatissima", "Castanopsis cuspidata", "Castanopsis argentea", "Castanopsis argyrophylla", "Castanopsis carlesii", "Castanopsis concinna", "Castanopsis delavayi", "Castanopsis diversifolia", "Castanopsis eyrei", "Castanopsis fargesii", "Castanopsis indica", "Castanopsis inermis", "Castanopsis javanica", "Lycosa interstitialis", "Lycosa inviolata", "Lycosa iranii", "Lycosa ishikariana", "Lycosa isolata", "Lycosa jagadalpurensis", "Lycosa kempi", "Venatrix kosciuskoensis", "Lycosa koyuga", "Lycosa labialis", "Lycosa labialisoides", "Lycosa laeta", "Lycosa lambai", "Lycosa langei", "Lycosa lativulva", "Lycosa lebakensis", "Lycosa leireana", "Lycosa leuckarti", "Lycosa leucogastra", "Lycosa leucophaeoides", "Lycosa leucophthalma", "Lycosa leucotaeniata", "Lycosa liliputana", "Lycosa longivulva", "Lycosa macedonica", "Lycosa mackenziei", "Lycosa maculata", "Lycosa madagascariensis", "Lycosa madani", "Lycosa magallanica", "Lycosa magnifica", "Lycosa mahabaleshwarensis", "Mainosa longipes", "Lycosa malacensis", "Venatrix pullastra", "Lycosa masteri", "Lycosa matusitai", "Lycosa maya", "Tetralycosa oraria", "Lycosa mexicana", "Lycosa minae", "Lycosa molyneuxi", "Lycosa mordax", "Lycosa moulmeinensis", "Lycosa mukana", "Lycosa muntea", "Lycosa musgravei", "Swartzia sericea", "Swartzia simplex", "Swartzia trinitensis", "Swartzia ulei", "Zollernia glabra", "Zollernia ilicifolia", "Zollernia paraensis", "Pieris napi adalwinda", "Pieris napi lappone", "Pieris napi napi", "Pieris napi napoleon", "Pieris napi lusitanica", "Pieris napi keskuelai", "Pieris napi muchei", "Pieris napi mogollon", "Pieris napi segonzaci", "Pieris napi meridionalis", "Pieris napi pseudobryonaie", "Pieris napi pallidisima", "Pieris napi maura", "Pieris napi melaena", "Pieris napi atlantis", "Pieris napi britannica", "Pieris napi hulda", "Acipenser baerii", "Acipenser mikadoi", "Acipenser brevirostrum", "Acipenser naccarii", "Acipenser dabryanus", "Acipenser nudiventris", "Acipenser persicus", "Acipenser schrenckii", "Acipenser gueldenstaedtii", "Acipenser medirostris", "Anguilla bicolor", "Anguilla reinhardtii", "Anguilla malgumora", "Anguilla megastoma", "Anguilla mossambica", "Anguilla nebulosa", "Anguilla obscura", "Anguilla celebesensis", "Anguilla dieffenbachii", "Anguilla interioris", "Anas cheuen", "Lycosa abnormis", "Lycosa accurata", "Lycosa adusta", "Lycosa affinis", "Tetralycosa alteripa", "Lycosa fasciiventris", "Lycosa anclata", "Lycosa apacha", "Lycosa approximata", "Lycosa arambagensis", "Hippasella arapensis", "Lycosa ariadnae", "Lycosa articulata", "Lycosa artigasi", "Lycosa asiatica", "Lycosa aurea", "Lycosa auroguttata", "Lycosa australicola", "Lycosa australis", "Lycosa balaramai", "Lycosa barnesi", "Lycosa beihaiensis", "Lycosa bhatnagari", "Lycosa bicolor", "Lycosa biolleyi", "Lycosa bistriata", "Lycosa boninensis", "Lycosa bonneti", "Lycosa brunnea", "Lycosa caenosa", "Lycosa canescens", "Lycosa capensis", "Lycosa carbonelli", "Lycosa carmichaeli", "Lycosa castanea", "Lycosa cerrofloresiana", "Lycosa chaperi", "Lycosa choudhuryi", "Lycosa cingara", "Knoelle clara", "Lycosa clarissa", "Lycosa coelestis", "Lycosa connexa", "Lycosa contestata", "Lycosa corallina", "Lycosa coreana", "Lycosa cowlei", "Lycosa cretacea", "Hogna crispipes", "Lycosa dacica", "Lycosa danjiangensis", "Lycosa dilatata", "Lycosa dimota", "Lycosa discolor", "Lycosa duracki", "Lycosa elysae", "Lycosa emuncta", "Lycosa erjianensis", "Lycosa errans", "Lycosa erythrognatha", "Lycosa eutypa", "Lycosa exigua", "Tetralycosa eyrei", "Lycosa falconensis", "Lycosa fernandezi", "Lycosa ferriculosa", "Lycosa formosana", "Lycosa forresti", "Lycosa frigens", "Lycosa fulviventris", "Lycosa fuscana", "Lycosa futilis", "Lycosa geotubalis", "Lycosa gibsoni", "Lycosa gigantea", "Lycosa gilberta", "Lycosa narbonensis", "Lycosa niceforoi", "Lycosa nigricans", "Lycosa nigromarmorata", "Lycosa nigropunctata", "Lycosa nigrotaeniata", "Lycosa nigrotibialis", "Lycosa nilotica", "Lycosa nordenskjoldi", "Lycosa ovalata", "Lycosa pachana", "Lycosa palliata", "Lycosa pampeana", "Lycosa paranensis", "Lycosa parvipudens", "Lycosa patagonica", "Lycosa pavlovi", "Lycosa perinflata", "Lycosa perkinsi", "Lycosa permiana", "Lycosa perspicua", "Lycosa philadelphiana", "Lycosa phipsoni", "Lycosa pia", "Lycosa pictipes", "Lycosa pictula", "Lycosa pintoi", "Lycosa piochardi", "Lycosa poliostoma", "Lycosa poonaensis", "Lycosa porteri", "Lycosa praegrandis", "Lycosa praestans", "Lycosa proletarioides", "Lycosa prolifica", "Lycosa properipes", "Lycosa pulchella", "Lycosa punctiventralis", "Lycosa quadrimaculata", "Lycosa rimicola", "Lycosa ringens", "Lycosa rostrata", "Lycosa rufimanoides", "Lycosa rufisterna", "Lycosa russea", "Lycosa sabulosa", "Lycosa salifodina", "Lycosa salvadorensis", "Lycosa separata", "Lycosa septembris", "Lycosa sericovittata", "Lycosa serranoa", "Lycosa shahapuraensis", "Lycosa shansia", "Lycosa shillongensis", "Lycosa signata", "Lycosa signiventris", "Lycosa sigridae", "Lycosa similis", "Lycosa skeeti", "Lycosa snelli", "Lycosa sochoi", "Thamnophis conanti", "Thamnophis couchii", "Thamnophis cyrtopsis", "Thamnophis eburatus", "Thamnophis elegans", "Thamnophis eques", "Thamnophis errans", "Thamnophis melanogaster", "Thamnophis marcianus", "Thamnophis lineri", "Thamnophis hammondii", "Thamnophis godmani", "Thamnophis gigas", "Thamnophis fulvus", "Thamnophis exsul", "Thamnophis mendax", "Thamnophis nigronuchalis", "Thamnophis ordinoides", "Thamnophis postremus", "Thamnophis proximus", "Thamnophis pulchrilatus", "Thamnophis radix", "Thamnophis validus", "Thamnophis sumichrasti", "Thamnophis scaliger", "Thamnophis scalaris", "Thamnophis saurita", "Thamnophis rufipunctatus", "Thamnophis rossmani", "Aldina heterophylla", "Aldina latifolia", "Erebia ligea", "Erebia disa", "Erebia polaris", "Erebia pandrose", "Euprotomicroides zantedeschia", "Amburana acreana", "Amburana cearensis", "Isistius labialis", "Isistius plutodus", "Ateleia apetala", "Ateleia gummifera", "Ateleia glazioveana", "Ateleia herbert-smithii", "Ateleia ovata", "Erebia callias", "Erebia lafontainei", "Erebia youngi", "Erebia epipsodea", "Erebia discoidalis", "Erebia fasciata", "Erebia pawlowskii", "Erebia magdalena", "Lycosa spiniformis", "Lycosa storeniformis", "Lycosa storri", "Lycosa subfusca", "Lycosa subhirsuta", "Venatrix summa", "Lycosa suzukii", "Lycosa sylvatica", "Lycosa tarantuloides", "Lycosa tasmanicola", "Lycosa teranganicola", "Lycosa terrestris", "Lycosa tetrophthalma", "Lycosa thoracica", "Lycosa thorelli", "Lycosa tista", "Lycosa transversa", "Lycosa trichopus", "Lycosa tula", "Lycosa u-album", "Lycosa vachoni", "Lycosa vellutina", "Lycosa ventralis", "Lycosa virgulata", "Lycosa vittata", "Lycosa wadaiensis", "Lycosa wangi", "Lycosa woonda", "Lycosa wroughtoni", "Lycosa wulsini", "Lycosa yalkara", "Lycosa yerburyi", "Lycosa yizhangensis", "Lycosa yunnanensis", "Delphinus tropicalis", "Castanopsis kawakamii", "Castanopsis lanceifolia", "Castanopsis philipensis", "Castanopsis purpurella", "Castanopsis sclerophylla", "Castanopsis sieboldii", "Castanopsis tessellata", "Castanopsis tibetana", "Castanopsis tribuloides", "Castanopsis tungurrut", "Fagus grandifolia", "Fagus engleriana", "Fagus hayatae", "Fagus japonica", "Fagus longipetiolata", "Fagus lucida", "Fagus \u00d7 taurica", "Notholithocarpus densiflorus", "Lithocarpus bennettii", "Lithocarpus blumeanus", "Lithocarpus brevicaudatus", "Lithocarpus cleistocarpus", "Lithocarpus corneus", "Lithocarpus edulis", "Lithocarpus fenestratus", "Lithocarpus glaber", "Lithocarpus hancei", "Lithocarpus henryi", "Lithocarpus indutus", "Lithocarpus konishii", "Lithocarpus korthalsii", "Lithocarpus lepidocarpus", "Lithocarpus lindleyanus", "Lithocarpus polystachyus", "Euphorbia seguieriana", "Heteracris littoralis group", "Storthyngura phyllosoma", "Lablab purpureus", "Macroptilium affine", "Macroptilium atropurpureum", "Macroptilium bracteatum", "Macroptilium erythroloma", "Macroptilium fraternum", "Macroptilium gibbosifolium", "Macroptilium gracile", "Macroptilium lathyroides", "Macroptilium martii", "Macroptilium panduratum", "Macroptilium prostratum", "Macroptilium psammodes", "Macroptilium sabaraense", "Macroptilium supinum", "Macrotyloma africanum", "Macrotyloma axillare", "Macrotyloma daltonii", "Macrotyloma densiflorum", "Macrotyloma ellipticum", "Dolichos angustifolius", "Dolichos debilis", "Dolichos dinklagei", "Dolichos falciformis", "Dolichos glabratus", "Dolichos gululu", "Dolichos hastaeformis", "Dolichos junghuhnianus", "Dolichos kilimandscharicus", "Dolichos linearis", "Dolichos nimbaensis", "Dolichos oliveri", "Dolichos sericeus", "Dolichos tonkouiensis", "Dolichos trilobus", "Dysolobium apioides", "Dysolobium grande", "Psydrax ammophila", "Brasenia schreberi", "Equus quagga chapmani", "Equus quagga boehmi", "Equus quagga borensis", "Equus quagga crawshayi", "Equus quagga quagga", "Abisares viridipennis hylaeus", "Anacridium melanorhodon", "Anacridium melanorhodon melanorhodon", "Anacridium melanorhodon arabafrum", "Brachycrotaphus tryxalicerus", "Vanessa annabella", "Vanessa braziliensis", "Vanessa indica", "Vanessa buana", "Vanessa cardui", "Vanessa carye", "Vanessa dejeanii", "Vanessa terpsichore", "Vanessa tameamea", "Vanessa kershawi", "Vanessa myrinna", "Vanessa samani", "Vanessa vulcania", "Vanessa virginiensis", "Otomeria elatior", "Rhodopentas bussei", "Pentas lanceolata", "Dolichopentas longiflora", "Phyllopentas mussaendoides", "Chamaepentas nobilis", "Pentas zanzibarica", "Richardia scabra", "Richardia tricocca", "Spermacoce alata", "Spermacoce articularis", "Spermacoce confusa", "Spermacoce exilis", "Spermacoce hispida", "Spermacoce latifolia", "Spermacoce ocymoides", "Spermacoce ovalifolia", "Spermacoce princeae", "Spermacoce prostrata", "Spermacoce remota", "Spermacoce tenuior", "Spermacoce verticillata", "Cinchona lancifolia", "Cinchona officinalis", "Cinchona pitayensis", "Cinchona micrantha", "Thamnophis angustirostris", "Thamnophis atratus", "Thamnophis bogerti", "Thamnophis brachystoma", "Thamnophis butleri", "Thamnophis caverna", "Thamnophis chrysocephalus", "Lithocarpus pseudomoluccus", "Lithocarpus sootepensis", "Lithocarpus sundaicus", "Lithocarpus thomsonii", "Lithocarpus truncatus", "Taraxacum sect.", "Quercus acutissima", "Quercus fusiformis", "Quercus montana", "Quercus pubescens", "Quercus castaneifolia", "Quercus variabilis", "Quercus laurifolia", "Quercus texana", "Quercus wislizeni", "Quercus acrodonta", "Quercus acuta", "Quercus aliena", "Quercus alnifolia", "Quercus arizonica", "Quercus \u00d7 audleyensis", "Quercus baloot", "Quercus \u00d7 bebbiana", "Quercus brantii", "Quercus chenii", "Quercus \u00d7 comptoniae", "Quercus lancifolia", "Quercus fabri", "Quercus \u00d7 fangshanensis", "Quercus floribunda", "Quercus gilva", "Quercus glauca", "Quercus hartwissiana", "Quercus havardii", "Quercus \u00d7 heterophylla", "Quercus \u00d7 hickelii", "Quercus hinckleyi", "Quercus \u00d7 hispanica", "Quercus ilicifolia", "Quercus insignis", "Quercus ithaburensis", "Quercus kerrii", "Quercus \u00d7 kewensis", "Quercus lamellosa", "Quercus lanata", "Quercus leucotrichophora", "Quercus \u00d7 libanerris", "Quercus libani", "Quercus lineata", "Quercus longinux", "Quercus lusitanica", "Quercus macranthera", "Quercus minima", "Quercus miyagii", "Quercus mongolica", "Quercus myrtifolia", "Quercus oxyodon", "Quercus pachyloma", "Quercus pagoda", "Quercus \u00d7 pauciloba", "Quercus phillyraeoides", "Quercus pumila", "Quercus rex", "Brosimum gaudichaudii", "Brosimum guianense", "Brosimum ovatifolium", "Brosimum parinarioides", "Brosimum potabile", "Brosimum rubescens", "Brosimum utile", "Dorstenia brasiliensis", "Dorstenia contrajerva", "Dorstenia mannii", "Dorstenia turnerifolia", "Trilepisium madagascariense", "Cercocarpus betuloides", "Cercocarpus breviflorus", "Cercocarpus intricatus", "Cercocarpus ledifolius", "Cercocarpus montanus", "Cercocarpus traskiae", "Chamaebatia foliolosa", "Dryas drummondii", "Dryas integrifolia", "Purshia tridentata", "Purshia glandulosa", "Purshia mexicana", "Purshia subintegra", "Andira unifoliolata", "Andira surinamensis", "Andira spectabilis", "Andira parviflora", "Alistilus bechuanicus", "Austrodolichos errabundus", "Decorsea schlechteri", "Dipogon lignosus", "Dolichopsis ligulata", "Dolichopsis paraguariensis", "Dolichos trinervatus", "Macrotyloma geocarpum", "Macrotyloma maranguense", "Macrotyloma oliganthum", "Macrotyloma rupestre", "Macrotyloma stenophyllum", "Macrotyloma stipulosum", "Macrotyloma tenuiflorum", "Macrotyloma uniflorum", "Neorautanenia amboensis", "Neorautanenia ficifolius", "Neorautanenia mitis", "Otoptera burchellii", "Oxyrhynchus trinervius", "Oxyrhynchus volubilis", "Physostigma mesoponticum", "Physostigma venenosum", "Psophocarpus grandiflorus", "Psophocarpus lancifolius", "Psophocarpus lukafuensis", "Psophocarpus monophyllus", "Psophocarpus palustris", "Psophocarpus scandens", "Psophocarpus tetragonolobus", "Sphenostylis angustifolia", "Sphenostylis erecta", "Sphenostylis marginata", "Sphenostylis schweinfurthii", "Sphenostylis stenocarpa", "Strophostyles helvola", "Strophostyles leiosperma", "Strophostyles umbellata", "Corylus americana", "Corylus colurna", "Corylus cornuta", "Corylus cornuta subsp. californica", "Corylus chinensis", "Corylus \u00d7 colurnoides", "Corylus fargesii", "Corylus ferox", "Corylus heterophylla", "Graptopetalum amethystinum", "Graptopetalum paraguayense", "Pachyphytum oviferum", "Thompsonella minutiflora", "Amphithalea ericifolia", "Amphithalea intermedia", "Amphithalea parvifolia", "Amphithalea schlecteri", "Calpurnia aurea", "Calpurnia villosa", "Cyclopia buxifolia", "Cyclopia dregeana", "Cyclopia falcata", "Cyclopia intermedia", "Cyclopia longifolia", "Cyclopia maculata", "Cyclopia meyeriana", "Cyclopia pubescens", "Cyclopia sessiliflora", "Cyclopia subternata", "Liparia calycina", "Liparia hirsuta", "Liparia myrtifolia", "Liparia parva", "Liparia vestita", "Podalyria biflora", "Podalyria burchellii", "Podalyria calyptrata", "Podalyria canescens", "Podalyria cordata", "Podalyria cuneifolia", "Podalyria glauca", "Podalyria myrtillifolia", "Podalyria sericea", "Podalyria velutina", "Virgilia divaricata", "Virgilia oroboides", "Xiphotheca elliptica", "Xiphotheca reflexa", "Amicia zygomeris", "Poiretia latifolia", "Quercus salicina", "Quercus \u00d7 schochiana", "Quercus semecarpifolia", "Quercus serrata", "Quercus sessilifolia", "Quercus sinuata", "Quercus skinneri", "Quercus spinosa", "Quercus turbinella", "Quercus \u00d7 turneri", "Quercus \u00d7 undulata", "Quercus vacciniifolia", "Quercus wutaishanica", "Drosera sect.", "Drosera arcturi", "Drosera auriculata", "Dryopteris aemula", "Dryopteris affinis", "Dryopteris carthusiana", "Dryopteris caucasica", "Dryopteris celsa", "Dryopteris \u00d7 complexa", "Dryopteris crassirhizoma", "Dryopteris cristata", "Dryopteris filix-mas", "Dryopteris marginalis", "Dryopteris cycadina", "Dryopteris dilatata", "Dryopteris erythrosora", "Dryopteris fragrans", "Dryopteris goldieana", "Dryopteris hancockii", "Dryopteris intermedia", "Dryopteris laeta", "Dryopteris mindshelkensis", "Dryopteris oreades", "Dryopteris patula", "Dryopteris saxifraga", "Dryopteris sieboldii", "Dryopteris tenebrosa", "Dryopteris uniformis", "Dryopteris varia", "Dryopteris wallichiana", "Duparquetia orchidacea", "Agama agama", "Brosimum alicastrum", "Brosimum costaricanum", "Thambema golanachum", "Thambema tanum", "Thambema fiatum", "Thambema amicorum", "Corylus jacquemontii", "Corylus sieboldiana", "Corylus \u00d7 vilmorinii", "Corylus yunnanensis", "Buxus balearica", "Buxus cephalantha", "Buxus harlandii", "Buxus liukiuensis", "Buxus microphylla", "Buxus rugulosa", "Buxus sempervirens", "Buxus sinica", "Buxus stenophylla", "Buxus vahlii", "Buxus wallichiana", "Dudleya abramsii", "Dudleya albiflora", "Dudleya blochmaniae", "Dudleya brittonii", "Dudleya cymosa", "Dudleya densiflora", "Dudleya farinosa", "Dudleya nesiotica", "Dudleya stolonifera", "Dudleya traskiae", "Dudleya verityi", "Echeveria affinis", "Echeveria agavoides", "Echeveria amoena", "Echeveria carnicolor", "Echeveria chiclensis", "Echeveria cuspidata", "Dudleya edulis", "Echeveria elegans", "Echeveria gibbiflora", "Echeveria gracilis", "Echeveria harmsii", "Echeveria hoveyi", "Echeveria \u00d7 imbricata", "Echeveria multicaulis", "Echeveria nodulosa", "Echeveria \u00d7 pulchella", "Echeveria pulvinata", "Echeveria racemosa", "Echeveria secunda", "Echeveria subrigida", "Posoqueria latifolia", "Posoqueria longiflora", "Oxyceros longiflorus", "Adina pilulifera", "Adina rubella", "Alcyonium digitatum", "Nauclea diderrichii", "Nauclea orientalis", "Neonauclea reticulata", "Uncaria tomentosa", "Uncaria elliptica", "Uncaria gambir", "Uncaria guianensis", "Uncaria homomalla", "Uncaria macrophylla", "Uncaria rhynchophylla", "Uncaria sinensis", "Fadogia homblei", "Psydrax subcordata", "Vangueria infausta", "Vangueria madagascariensis", "Diplospora kunstleri", "Diplospora malaccensis", "Placiphorina gowlettholmesae", "Theobroma grandiflorum", "Theobroma angustifolium", "Theobroma bicolor", "Theobroma canumanense", "Theobroma mammosum", "Theobroma microcarpum", "Theobroma obovatum", "Theobroma simiarum", "Theobroma speciosum", "Theobroma subincanum", "Apeiba tibourbou", "Clappertonia ficifolia", "Clappertonia minor", "Clappertonia polyandra", "Entelea arborescens", "Grewia asiatica", "Grewia villosa", "Grewia avellana", "Grewia biloba", "Grewia eriocarpa", "Grewia flava", "Grewia flavescens", "Grewia hexamita", "Grewia hirsuta", "Grewia hornbyi", "Grewia lasiocarpa", "Grewia mollis", "Grewia monticola", "Grewia multiflora", "Grewia occidentalis", "Grewia optiva", "Grewia pachycalyx", "Poiretia punctata", "Poiretia tetraphylla", "Zornia albiflora", "Zornia bracteata", "Zornia brasiliensis", "Zornia cearensis", "Zornia contorta", "Zornia crinita", "Zornia curvata", "Zornia diphylla", "Zornia dyctiocarpa", "Zornia echinocarpa", "Zornia fimbriata", "Zornia gibbosa", "Zornia glabra", "Zornia glochidiata", "Zornia guanipensis", "Zornia herbacea", "Zornia latifolia", "Zornia linearis", "Zornia milneana", "Zornia muelleriana", "Zornia muriculata", "Zornia myriadena", "Zornia orbiculata", "Zornia piurensis", "Zornia pratensis", "Zornia reticulata", "Zornia setosa", "Zornia tenuifolia", "Zornia trachycarpa", "Acrotylus patruelis", "Aiolopus simulatrix", "Aiolopus simulatrix simulatrix", "Carydana agomena", "Cataloipus cymbiferus", "Chloroxyrrhepes virescens", "Diabolocatantops axillaris", "Hamamelis virginiana", "Hamamelis intermedia", "Hamamelis japonica", "Hamamelis mollis", "Microthambema tenuis", "Microcharon arganoi", "Microcharon agripensis", "Microcharon oubrahimae", "Tethygonium armigerum", "Tethygonium quadricuspis", "Zizzygonium magellanensis", "Tonicella venusta", "Tonicella lokii", "Tonicella undocaerulea", "Tonicella lineata", "Burchellia bubalina", "Catunaregam spinosa", "Catunaregam tomentosa", "Ceriscoides turgida", "Coddia rudis", "Duroia eriopila", "Duroia macrophylla", "Sherbournia bignoniiflora", "Sherbournia calycina", "Bikkia gaudichaudiana", "Catesbaea melanocarpa", "Catesbaea spinosa", "Coutarea hexandra", "Cubanola domingensis", "Hintonia latiflora", "Heteracris annulosa", "Locustana pardalina", "Acrotylus longipes", "Ehrharta calycina", "Ehrharta capensis", "Ehrharta erecta", "Ehrharta longiflora", "Ehrharta longifolia", "Ehrharta longigluma", "Ehrharta melicoides", "Ehrharta rehmannii", "Ehrharta thunbergii", "Ehrharta villosa", "Sophora toromiro", "Sphingonotus savignyi", "Sphingonotus savignyi savignyi", "Sphingonotus savignyi obscuripes", "Scintharista notabilis", "Scintharista notabilis notabilis", "Aidia cochinchinensis", "Aidia genipiflora", "Alibertia edulis", "Hamamelis vernalis", "Calydorea campestris", "Cipura paludosa", "Eleutherine bulbosa", "Herbertia lahue", "Herbertia pulchella", "Nemastylis pearcei", "Tigridia augusta", "Tigridia pavonia", "Tigridia vanhouttei", "Alfaropsis roxburghiana", "Engelhardia spicata", "Platycarya strobilacea", "Abroma augustum", "Guazuma ulmifolia", "Diabolocatantops axillaris axillaris", "Exopropacris modica", "Reductosoma gunnera", "Desmosoma hesslera", "Disconectes colemani", "Macrostylis sarsi", "Prochelator angolensis", "Locusta migratoria", "Locusta migratoria migratoria", "Locusta migratoria migratorioides", "Herrania purpurea", "Kleinhovia hospita", "Theobroma cacao", "Grewia retinervis", "Grewia robusta", "Grewia schinzii", "Grewia sclerophylla", "Grewia stolzii", "Grewia sulcata", "Grewia tenax", "Grewia tiliifolia", "Heliocarpus americanus", "Maura lurida", "Bragasellus escolai", "Caecidotea williamsi", "Proasellus montalentii", "Columbasellus acheron", "Ochrilidia geniculata", "Haplomunna hubbsi", "Thylakogaster lobotourus", "Thylakogaster majusculus", "Thylakogaster peterpauli", "Poekilocerus bufonius", "Heteromesus calcar", "Heteromesus ctenobasius", "Heteromesus inaffectus", "Poekilocerus bufonius vittatus", "Heteromesus oryktus", "Haplomesus hanseni", "Haplomesus celticensis", "Haplomesus corniculatus", "Stylomesus hexapodus", "Euphorbia bravoana", "Cabomba caroliniana", "Cabomba furcata", "Cabomba haynesii", "Cabomba palaeformis", "Adromischus cristatus", "Umbilicus chloranthus", "Umbilicus rupestris", "Chalcides viridanus", "Chalcides chalcides", "Boreosignum orientale", "Boreosignum polynesiensis", "Boreosignum wilsoni", "Boreosignum somersensis", "Tethygonium adenensis", "Tethygonium variabile", "Cecina kunashirica", "Cecina satrae", "Cecina elenae", "Cecina murshudovi", "Cecina alta", "Cecina scarlatoi", "Cecina manchurica", "Cecina tatarica", "Aukena tridentata", "Gasterochisma melampus", "Ischnomesus hessleri", "Ischnomesus chardyi", "Haplomesus longiramus", "Antennuloniscus alfi", "Mesosignum weddellensis", "Haplodendron buzwilsoni", "Rugojoeropsis rugosa", "Scaphojoeropsis kimblae", "Scaphojoeropsis multicarinata", "Joeropsis bicarinata", "Joeropsis dollfusi", "Joeropsis brevicornis", "Joeropsis curvicornis", "Pseudarachna nohinohi", "Dubinectes intermedius", "Dubinectes acutirostrum", "Callipogon lemoinei", "Anaxita decorata", "Pittosporum yunckeri", "Sempervivum montanum", "Luehea candida", "Luehea divaricata", "Luehea grandiflora", "Luehea seemannii", "Luehea speciosa", "Sparrmannia africana", "Triumfetta cordifolia", "Triumfetta pilosa", "Triumfetta procumbens", "Triumfetta rhomboidea", "Triumfetta semitriloba", "Triumfetta sonderi", "Triumfetta tomentosa", "Triumfetta trichocarpa", "Tilia cordata", "Tilia platyphyllos", "Tilia amurensis", "Tilia chinensis", "Tilia dasystyla", "Tilia \u00d7 euchlora", "Tilia \u00d7 europaea", "Tilia \u00d7 flavescens", "Tilia kiusiana", "Tilia mandshurica", "Tilia maximowicziana", "Tilia miqueliana", "Tilia \u00d7 moltkei", "Tilia mongolica", "Tilia oliveri", "Tilia paucicostata", "Tilia amurensis subsp. taquetii", "Tilia tomentosa", "Bichoristes wareni", "Cuthona willani", "Citrullus lanatus", "Galerella flavescens", "Galerella pulverulenta", "Galerella sanguinea", "Galerella swalius", "Helogale hirtula", "Helogale parvula", "Knightia alta", "Knightia eocaena", "Knightia vetusta", "Stenetrium kensleyi", "Lexcenium poorei", "Lexcenium greenensis", "Schottea taupoensis", "Pseudojanira stenetrioides", "Pseudojanira fremantlensis", "Pseudojanira justi", "Pseudojanira investigatoris", "Adajinoperus tetanomorphus", "Pseudojanira meganesus", "Xylochiton xylophagus", "Allosaurus tendagurensis", "Globularia alypum", "Globularia cordifolia", "Astrochelys radiata", "Laubierina peregrinator", "Haploniscus helgei", "Haploniscus kermadecensis", "Haploniscus ingolfi", "Dendromunna mirabile", "Ischnomesus anacanthus", "Ischnomesus bruuni", "Ischnomesus birsteini", "Ischnomesus roseus", "Ischnomesus planus", "Ischnomesus tasmanensis", "Haplomesus franklinae", "Ischnomesus justi", "Stylomesus sarsi", "Macrostylis magnifica", "Ilyarachna nordenstami", "Ilyarachna kermadecensis", "Acanthocope galatheae", "Eurycope gibberifrons", "Kraussaria angulifera", "Betamorpha elongata", "Munneurycope menziesi", "Munneurycope harrietae", "Paropsurus giganteus", "Paropsurus pellucidus", "Munnopsis bathyalis", "Munnopsis mandibularis", "Stenobermuda mergens", "Sonchus gandogeri", "Sonchus palmensis", "Euploca fruticosa", "Rumex lunaria", "Nicotiana glauca", "Echium acanthocarpum", "Echium aculeatum", "Gonospermum gomerae", "Morella faya", "Phyllis nobla", "Dendrocephalus conosuris", "Olindias phosphorica", "Apalochrus femoralis", "Canis lupus crassodon", "Polycarpaea filifolia", "Clinterocera mandarina", "Odontolabis alces", "Aeonium balsamiferum", "Aeonium canariense", "Aeonium castello-paivae", "Aeonium gorgoneum", "Aichryson \u00d7 aizoides", "Aichryson laxum", "Aichryson tortuosum", "Orostachys fimbriata", "Orostachys japonica", "Orostachys malacophylla", "Sempervivum arachnoideum", "Sempervivum tectorum", "Sempervivum calcareum", "Sempervivum grandiflorum", "Sempervivum kosaninii", "Sempervivum marmoreum", "Sempervivum pumilum", "Trichuris trichiura", "Ascaris lumbricoides", "Torpedo nobiliana", "Mullus barbatus", "Enicopus hirtus", "Colotes cinctus", "Haliotis pourtalesii", "Nicotiana langsdorffii", "Kalopanax septemlobus", "Collomia grandiflora", "Dermestes olivieri", "Dermestes lardarius", "Dermestes vorax", "Attagenus pubescens", "Attagenus obtusus", "Ornithogalum princeps", "Aeonium holochrysum", "Anillinus cieglerae", "Anillinus pusillus", "Micropacter yagerae", "Megatoma ussuriensis", "Globicornis breviclavis", "Orphilus niger", "Stephanopachys substriatus", "Lasioderma serricorne", "Hyperisus plumbeum", "Urtea graeca", "Xenoglena quadrisignata", "Ancyrona lewisi", "Metzgeria furcata", "Blasia pusilla", "Cavicularia densa", "Naiadita lanceolata", "Geothallus tuberosus", "Sphaerocarpos texanus", "Orlitia borneensis", "Hierophis gemonensis", "Pterocarya fraxinifolia", "Pterocarya hupehensis", "Pterocarya macroptera", "Byttneria herbacea", "Comptonia peregrina", "Eriachne aristidea", "Eriachne burkittii", "Eriachne ciliata", "Eriachne glauca", "Eriachne helmsii", "Eriachne mucronata", "Eriachne obtusa", "Eriachne pallescens", "Eriachne pulchella", "Eriachne schultziana", "Eriachne stipacea", "Hypnoidus riparius", "Hemicrepidius niger", "Canarium australianum", "Canarium luzonicum", "Canarium ovatum", "Canarium album", "Canarium asperum", "Canarium bengalense", "Canarium decumanum", "Canarium euphyllum", "Canarium harveyi", "Canarium hirsutum", "Canarium indicum", "Canarium littorale", "Canarium odontophyllum", "Canarium paniculatum", "Canarium polyphyllum", "Canarium schweinfurthii", "Canarium strictum", "Canarium tramdenum", "Canarium vulgare", "Canarium zeylanicum", "Manihot esculenta", "Johngarthia planata", "Johngarthia lagostoma", "Rusa unicolor", "Ceratophora stoddartii", "Adrastus pallens", "Cardiophorus discicollis", "Choriaster granulatus", "Canis lupus beothucus", "Riccardia palmata", "Rhagonycha femoralis", "Trypherus rossicus", "Riccardia chamedryfolia", "Aeonium aureum", "Aeonium ciliatum", "Aeonium cuneatum", "Aeonium decorum", "Aeonium glutinosum", "Aeonium arboreum subsp. holochrysum", "Aeonium canariense subsp. christii", "Aeonium urbicum", "Aeonium \u00d7 velutinum", "Lasiocampa quercus", "Danosoma conspersum", "Aeolosomus rossii", "Dracaena tamaranae", "Dietes iridioides", "Dietes bicolor", "Dietes grandiflora", "Dietes robinsoniana", "Diplarrena moraea", "Libertia grandiflora", "Libertia ixioides", "Neomarica caerulea", "Neomarica gracilis", "Patersonia longiscapa", "Patersonia umbrosa var. xanthina", "Sisyrinchium albidum", "Sisyrinchium bellum", "Sisyrinchium angustifolium", "Sisyrinchium bermudiana", "Sisyrinchium californicum", "Sisyrinchium demissum", "Sisyrinchium dichotomum", "Olsynium filifolium", "Sisyrinchium halophilum", "Sisyrinchium iridifolium", "Sisyrinchium laxum", "Sisyrinchium macrocephalum", "Sisyrinchium micranthum", "Sisyrinchium palmifolium", "Sisyrinchium sarmentosum", "Sisyrinchium striatum", "Podocnemis vogli", "Mesocricetus auratus", "Crinum bulbispermum", "Pelusios rhodesianus", "Crinum americanum", "Crinum asiaticum", "Crinum buphanioides", "Crinum lugardiae", "Crinum darienensis", "Crinum erubescens", "Crinum graminicola", "Crinum jagus", "Crinum kirkii", "Ammocharis longifolia", "Neostapfia colusana", "Orcuttia californica", "Orcuttia inaequalis", "Orcuttia pilosa", "Orcuttia tenuis", "Orcuttia viscida", "Tuctoria greenei", "Tuctoria mucronata", "Asteropyrum cavaleriei", "Coptis chinensis", "Coptis trifolia", "Coptis deltoidea", "Coptis japonica", "Coptis omeiensis", "Coptis quinquefolia", "Coptis teeta", "Rhoiptelea chiliantha", "Danae racemosa", "Helicotylenchus dihystera", "Ruscus aculeatus", "Ruscus hypoglossum", "Populus tremuloides", "Populus adenopoda", "Manihot aesculifolia", "Manihot alutacea", "Manihot angustiloba", "Manihot anomala", "Manihot baccata", "Manihot brachyloba", "Manihot caerulescens", "Manihot carthagenensis", "Manihot catingae", "Manihot chlorosticta", "Manihot compositifolia", "Manihot condensata", "Manihot davisiae", "Manihot diamantinensis", "Manihot dichotoma", "Manihot foetida", "Manihot gabrielensis", "Manihot grahamii", "Manihot hilariana", "Manihot irwinii", "Manihot leptophylla", "Manihot maracasensis", "Manihot mossamedensis", "Manihot nogueirae", "Manihot pentaphylla", "Manihot pruinosa", "Manihot quinqueloba", "Manihot quinquepartita", "Manihot rhomboidea", "Manihot rubricaulis", "Manihot sagittato-partita", "Manihot sparsifolia", "Manihot tripartita", "Manihot violacea", "Manihot walkerae", "Eleusine indica", "Eleusine coracana", "Eleusine floccifolia", "Eleusine jaegeri", "Eleusine multiflora", "Eleusine tristachya", "Kengia serotina", "Kengia songorica", "Kengia squarrosa", "Odontobutis obscura", "Nitidula rufipes", "Omosita colon", "Soronia grisea", "Arctia caja", "Myoporum laetum", "Myoporum insulare", "Pteridospermopsida incertae sedis", "Limnodynastes dumerilii", "Crinum macowanii", "Crinum moorei", "Crinum \u00d7 powellii", "Crinum purpurascens", "Crinum viviparum", "Crinum zeylanicum", "Pelusios adansonii", "Pelusios bechuanicus", "Pelusios castanoides", "Bathypsammis longifurca", "Bathypsammis polaris", "Rafflesia kerrii", "Circaetus spectabilis batesi", "Lycaon pictus", "Epuraea marseuli", "Rafflesia manillana", "Hippeastrum aulicum", "Hippeastrum calyptratum", "Hippeastrum evansiae", "Hippeastrum pardinum", "Hippeastrum psittacinum", "Hippeastrum puniceum", "Hippeastrum reginae", "Hippeastrum reticulatum", "Hippeastrum striatum", "Hippeastrum vittatum", "Populus \u00d7 berolinensis", "Populus \u00d7 canadensis", "Populus ciliata", "Populus euphratica", "Populus fremontii", "Populus \u00d7 generosa", "Populus grandidentata", "Populus heterophylla", "Populus \u00d7 jackii", "Populus koreana", "Populus maximowiczii", "Populus pruinosa", "Populus purdomii", "Populus sieboldii", "Populus simonii", "Populus suaveolens", "Populus szechuanica", "Populus \u00d7 tomentosa", "Populus tristis", "Populus x vernirubens", "Populus wilsonii", "Populus x woobstii", "Festuca groenlandica", "Festuca baffinensis", "Festuca edlundiae", "Festuca frederikseniae", "Festuca hyperborea", "Festuca richardsonii", "Festuca nigrescens", "Festuca oelandica", "Festuca trachyphylla", "Festuca tenuifolia", "Aciphylla colensoi", "Aciphylla dieffenbachii", "Aciphylla squarrosa", "Carpinus caroliniana", "Carpinus faginea", "Carpinus fargesiana", "Carpinus henryana", "Carpinus japonica", "Carpinus kawakamii", "Carpinus orientalis", "Carpinus polyneura", "Carpinus tschonoskii", "Carpinus turczaninovii", "Carpinus viminea", "Ostrya virginiana", "Ostrya carpinifolia", "Ostrya japonica", "Ostryopsis davidiana", "Abies sachalinensis", "Abies chensiensis", "Abies fargesii", "Abies kawakamii", "Amentotaxus argotaenia", "Amentotaxus assamica", "Amentotaxus formosana", "Amentotaxus hatuyenensis", "Amentotaxus poilanei", "Amentotaxus yunnanensis", "Taxus globosa", "Taxus wallichiana", "Taxus \u00d7 hunnewelliana", "Taxus \u00d7 media", "Ulmus densa", "Ulmus elliptica", "Ulmus mexicana", "Ulmus szechuanica", "Ulmus \u00d7 viminalis", "Chomelia brasiliana", "Guettarda scabra", "Guettarda speciosa", "Guettarda uruguensis", "Timonius timon", "Calycophyllum candidissimum", "Calycophyllum multiflorum", "Calycophyllum spruceanum", "Lycopodina hypogea", "Rafflesia keithii", "Rafflesia pricei", "Aspidistra elatior", "Rafflesia cantleyi", "Rafflesia gadutensis", "Rafflesia hasseltii", "Rafflesia micropylora", "Rafflesia patma", "Rafflesia rochussenii", "Liriope graminifolia", "Liriope minor", "Liriope muscari", "Liriope spicata", "Maianthemum bifolium", "Maianthemum canadense", "Maianthemum dilatatum", "Maianthemum racemosum", "Maianthemum stellatum", "Ophiopogon japonicus", "Ophiopogon clarkei", "Ophiopogon intermedius", "Ophiopogon jaburan", "Ophiopogon planiscapus", "Peliosanthes macrophylla", "Polygonatum biflorum", "Polygonatum multiflorum", "Polygonatum verticillatum", "Polygonatum \u00d7 hybridum", "Polygonatum cirrhifolium", "Polygonatum cyrtonema", "Polygonatum falcatum", "Polygonatum inflatum", "Polygonatum involucratum", "Polygonatum kingianum", "Polygonatum lasianthum", "Polygonatum macropodum", "Polygonatum odoratum", "Polygonatum orientale", "Polygonatum sibiricum", "Reineckea carnea", "Halophila johnsonii", "Rohdea japonica", "Astroloma pinifolium", "Leucopogon verticillatus", "Leucopogon montanus", "Leucopogon parviflorus", "Leucopogon richei", "Cassiope tetragona", "Cassiope fastigiata", "Eremisopus beei", "Peludo paraliotus", "Platypyga subpetrae", "Ponderella ecomanufactia", "Ponderella bundoona", "Tenerognathia visus", "Oxysternon conspicillatum", "Trifolium repens", "Aeshna cyanea", "Acerentulus sinensis", "Brasilidia jilinensis", "Candida albicans", "Macleania bullata", "Macleania coccoloboides", "Macleania cordifolia", "Macleania laurina", "Macleania loeseneriana", "Macleania popenoei", "Macleania rupestris", "Macleania salapa", "Orthaea boliviensis", "Psammisia coarctata", "Psammisia ecuadorensis", "Psammisia ferruginea", "Psammisia sodiroi", "Psammisia ulbrichiana", "Siphonandra elliptica", "Sphyrospermum cordifolium", "Themistoclesia cutucuensis", "Thibaudia floribunda", "Thibaudia grantii", "Thibaudia panurensis", "Acrotriche depressa", "Leptecophylla divaricata", "Cyathodes glauca", "Pentachondra pumila", "Styphelia acerosa", "Styphelia adscendens", "Styphelia grayana", "Trochocarpa disticha", "Trochocarpa gunnii", "Trochocarpa thymifolia", "Sternbergia lutea", "Sternbergia candida", "Sternbergia clusiana", "Sternbergia colchiciflora", "Sternbergia pulchella", "Sternbergia schubertii", "Sternbergia vernalis", "Zephyranthes candida", "Zephyranthes \u00d7 ajax", "Zephyranthes atamasco", "Zephyranthes bifolia", "Zephyranthes minuta", "Zephyranthes citrina", "Zephyranthes flavissima", "Zephyranthes mesochloa", "Zephyranthes minima", "Zephyranthes pulchella", "Zephyranthes rosea", "Zephyranthes sessilis", "Epuraea aestiva", "Epuraea angustula", "Epuraea binotata", "Epuraea boreella", "Epuraea contractula", "Epuraea distincta", "Epuraea hilleri", "Epuraea longiclavis", "Epuraea longula", "Epuraea melina", "Epuraea muehli", "Epuraea rufobrunnea", "Urophorus rubripennis", "Chauliodus sloani", "Butea monosperma", "Butea superba", "Erythrina caffra", "Erythrina crista-galli", "Erythrina eggersii", "Erythrina fusca", "Erythrina herbacea", "Erythrina humeana", "Erythrina lysistemon", "Erythrina sandwicensis", "Erythrina variegata", "Erythrina vespertilio", "Erythrina abyssinica", "Erythrina acanthocarpa", "Erythrina americana", "Erythrina arborea", "Erythrina arborescens", "Erythrina barqueroana", "Erythrina berteroana", "Erythrina brucei", "Erythrina cochleata", "Erythrina corallodendron", "Erythrina coralloides", "Erythrina costaricensis", "Erythrina edulis", "Erythrina excelsa", "Erythrina falcata", "Erythrina flabelliformis", "Erythrina folkersii", "Erythrina goldmanii", "Erythrina grisebachii", "Erythrina hondurensis", "Erythrina horrida", "Erythrina insignis", "Hippeastrum chionedyanthum", "Hippeastrum miniatum", "Hippeastrum nelsonii", "Phycella chilensis", "Worsleya procera", "Hymenocallis arenicola", "Hymenocallis caribaea", "Hymenocallis concinna", "Hymenocallis harrisiana", "Hymenocallis latifolia", "Hymenocallis littoralis", "Hymenocallis \u00d7 macrostephana", "Hymenocallis rotata", "Hymenocallis sonorensis", "Hymenocallis speciosa", "Hymenocallis tubiflora", "Leucojum aestivum", "Leucojum vernum", "Lycoris \u00d7 albiflora", "Lycoris aurea", "Lycoris chinensis", "Lycoris \u00d7 incarnata", "Lycoris sanguinea", "Lycoris sprengeri", "Lycoris squamigera", "Narcissus papyraceus", "Narcissus pseudonarcissus", "Narcissus tazetta", "Narcissus abscissus", "Narcissus albimarginatus", "Narcissus alcaracensis", "Narcissus \u00d7 alleniae", "Narcissus assoanus", "Narcissus bicolor", "Narcissus albicans", "Narcissus \u00d7 brevitubulosus", "Narcissus broussonetii", "Narcissus bulbocodium", "Narcissus calcicola", "Narcissus tazetta subsp. canariensis", "Erythrina insularis", "Erythrina lanata", "Erythrina lanceolata", "Erythrina latissima", "Erythrina livingstoniana", "Erythrina mildbraedii", "Erythrina mitis", "Erythrina pallida", "Erythrina poeppigiana", "Erythrina rubrinervia", "Erythrina senegalensis", "Erythrina smithiana", "Erythrina speciosa", "Erythrina stricta", "Erythrina subumbrans", "Erythrina \u00d7 sykesii", "Erythrina tahitensis", "Erythrina velutina", "Erythrina verna", "Erythrina zeyheri", "Mucuna pruriens", "Mucuna atropurpurea", "Mucuna axillaris", "Mucuna bennettii", "Mucuna birdwoodiana", "Mucuna brachycarpa", "Mucuna bracteata", "Mucuna coriacea", "Mucuna diabolica", "Mucuna fawcettii", "Mucuna flagellipes", "Mucuna gigantea", "Mucuna hainanensis", "Mucuna holtonii", "Mucuna macrocarpa", "Mucuna melanocarpa", "Mucuna mollissima", "Mucuna monosperma", "Mucuna mutisiana", "Mucuna novo-guineensis", "Mucuna poggei", "Mucuna rostrata", "Mucuna sempervirens", "Mucuna sloanei", "Mucuna stans", "Mucuna urens", "Neorudolphia volubilis", "Spatholobus harmondii", "Spatholobus parviflorus", "Spatholobus suberectus", "Strongylodon lucidus", "Strongylodon macrobotrys", "Strongylodon ruber", "Narcissus cantabricus", "Narcissus cavanillesii", "Narcissus \u00d7 corcyrensis", "Narcissus cordubensis", "Narcissus cuatrecasasii", "Narcissus cyclamineus", "Narcissus dubius", "Narcissus elegans", "Narcissus flavus", "Narcissus gaditanus", "Narcissus hedraeanthus", "Narcissus hesperidis", "Narcissus \u00d7 incomparabilis", "Narcissus \u00d7 compressus", "Narcissus jacetanus", "Narcissus jacquemoudii", "Narcissus nevadensis subsp. longispathus", "Narcissus \u00d7 medioluteus", "Narcissus minor", "Narcissus hispanicus subsp. hispanicus", "Narcissus \u00d7 odorus", "Narcissus tazetta subsp. tazetta", "Narcissus peroccidentalis", "Narcissus primigenius", "Narcissus romieuxii", "Narcissus rupicola", "Narcissus scaberulus", "Narcissus segurensis", "Narcissus serotinus", "Narcissus \u00d7 taitii", "Narcissus \u00d7 tenuior", "Narcissus \u00d7 tortifolius", "Narcissus triandrus", "Narcissus viridiflorus", "Narcissus willkommii", "Narcissus yepesii", "Pancratium canariense", "Pancratium illyricum", "Pancratium maritimum", "Pancratium foetidum", "Pancratium tortuosum", "Sprekelia formosissima", "Mugil liza", "Mugil curema", "Austrosipyloidea carterus", "Hoita macrostachya", "Hoita orbicularis", "Spinimegopis formosana", "Aegosoma validicornis", "Prionus sejunctus", "Caiman latirostris", "Ammopiptanthus mongolicus", "Anagyris foetida", "Anagyris latifolia", "Pickeringia montana", "Piptanthus nepalensis", "Thermopsis rhombifolia", "Thermopsis montana", "Thermopsis alpina", "Thermopsis alterniflora", "Thermopsis barbata", "Thermopsis chinensis", "Thermopsis fabacea", "Thermopsis divaricarpa", "Thermopsis inflata", "Thermopsis lupinoides", "Thermopsis macrophylla", "Thermopsis mongolica", "Thermopsis villosa", "Bergeronia sericea", "Chadsia grevei", "Derris cumingii", "Derris ferruginea", "Derris marginata", "Cassiope lycopodioides", "Cassiope mertensiana", "Cassiope selaginoides", "Ceratiola ericoides", "Corema conradii", "Empetrum nigrum", "Cavendishia bracteata", "Cavendishia martii", "Cavendishia pubescens", "Cavendishia tarapotana", "Agapetes buxifolia", "Agapetes serpens", "Ceratostema alatum", "Ceratostema lanigerum", "Ceratostema reginaldii", "Demosthenesia mandonii", "Dimorphanthera amoena", "Dimorphanthera brassii", "Dimorphanthera collinsii", "Dimorphanthera denticulifera", "Dimorphanthera kempteriana", "Dimorphanthera leucostoma", "Dimorphanthera microphylla", "Dimorphanthera moorhousiana", "Disterigma alaternoides", "Disterigma empetrifolium", "Disterigma pentandrum", "Disterigma pernettyoides", "Disterigma popenoi", "Gaylussacia baccata", "Gaylussacia brachycera", "Gaylussacia buxifolia", "Gaylussacia dumosa", "Gaylussacia frondosa", "Gaylussacia mosieri", "Gaylussacia ursina", "Gonocalyx pulcher", "Orbexilum lupinellum", "Orbexilum onobrychis", "Orbexilum pedunculatum", "Orbexilum simplex", "Otholobium bracteolatum", "Otholobium caffrum", "Otholobium candicans", "Otholobium decumbens", "Otholobium foliosum", "Otholobium fruticans", "Otholobium glandulosum", "Otholobium hirtum", "Otholobium pubescens", "Otholobium rotundifolium", "Otholobium sericeum", "Otholobium spicatum", "Otholobium striatum", "Otholobium wilmsii", "Pediomelum argophyllum", "Pediomelum canescens", "Pediomelum cuspidatum", "Pediomelum digitatum", "Pediomelum esculentum", "Pediomelum subacaule", "Psoralea aculeata", "Psoralea affinis", "Psoralea alata", "Psoralea aphylla", "Psoralea asarina", "Psoralea ensifolia", "Psoralea glaucescens", "Psoralea gueinzii", "Psoralea imbricata", "Psoralea laxa", "Psoralea monophylla", "Psoralea oligophylla", "Psoralea pinnata", "Psoralea plumosa", "Psoralea pustulata", "Psoralea repens", "Psoralea restioides", "Psoralea verrucosa", "Psoralidium argophyllum", "Psoralidium lanceolatum", "Psoralidium tenuiflorum", "Santia spicata", "Santia urospinosa", "Hansenium aldabrae", "Hansenium expansum", "Hansenium remocarpus", "Mizothenar serratum", "Stenetrium assumentum", "Stenetrium zanzibaricum", "Stenobermuda brucei", "Pipistrellus sturdeei", "Colliguaja integerrima", "Excoecaria acerifolia", "Excoecaria agallocha", "Excoecaria indica", "Coris julis", "Toxocara canis", "Epiglenea comes", "Epiglenea comes comes", "Metapenaeus ensis", "Micromeles keissleri", "Aria meliosmifolia", "Sorbus americana", "Sorbus cashmiriana", "Sorbus decora", "Sorbus sitchensis", "Sorbus scalaris", "Sorbus sargentiana", "Sorbus hupehensis", "Sorbus discolor", "Sorbus dumosa", "Sorbus esserteauana", "Sorbus filipes", "Sorbus foliolosa", "Sorbus forrestii", "Sorbus gracilis", "Sorbus insignis", "Sorbus koehneana", "Sorbus matsumurana", "Sorbus microphylla", "Lepus brachyurus", "Mustela sibirica", "Mustela itatsi", "Mogera wogura robusta", "Paguma larvata", "Mirabilicoxa hessleri", "Mirabilicoxa alberti", "Eugerda svavarssoni", "Prochelator sarsi", "Exiliniscus chandravoli", "Potamophila parviflora", "Rhynchoryza subulata", "Zizania aquatica", "Zizania latifolia", "Zizania palustris", "Zizania texana", "Zizaniopsis miliacea", "Puelia ciliata", "Acaena anserinifolia", "Acaena echinata", "Acaena elongata", "Acaena eupatoria", "Acaena lucida", "Acaena macrostemon", "Acaena magellanica", "Acaena microphylla", "Acaena myriophylla", "Acaena ovalifolia", "Acaena ovina", "Acaena platyacantha", "Bencomia caudata", "Margyricarpus pinnatus", "Sanguisorba minor", "Sanguisorba officinalis", "Sanguisorba albanica", "Sanguisorba albiflora", "Sanguisorba ancistroides", "Sanguisorba annua", "Sanguisorba canadensis", "Sanguisorba diandra", "Sanguisorba dodecandra", "Sanguisorba hakusanensis", "Sanguisorba hybrida", "Sanguisorba obtusa", "Sanguisorba tenuifolia", "Sarcopoterium spinosum", "Palaemon serratus", "Octopus vulgaris", "Meloidogyne acronea", "Pagellus erythrinus", "Meloidogyne incognita", "Meloidogyne arenaria", "Meloidogyne chitwoodi", "Meloidogyne gajuscus", "Meloidogyne javanica", "Meloidogyne artiellia", "Meloidogyne brevicauda", "Meloidogyne fruglia", "Meloidogyne naasi", "Meloidogyne hapla", "Meloidogyne partityla", "Meloidogyne thamesi", "Grimmeodendron eglandulosum", "Hippomane mancinella", "Sapium biloculare", "Sapium glandulosum", "Sapium haematospermum", "Sapium jenmannii", "Sapium laurifolium", "Sapium laurocerasus", "Sapium luzonicum", "Sapium stylare", "Spirostachys africana", "Spirostachys venenifera", "Stillingia sylvatica", "Stillingia treculiana", "Hura crepitans", "Hura polyandra", "Hevea brasiliensis", "Haemadipsa zeylanica", "Haemadipsa zeylanica japonica", "Pteropus loochoensis", "Anigozanthos bicolor", "Anigozanthos manglesii", "Anigozanthos flavidus", "Anigozanthos humilis", "Anigozanthos pulcherrimus", "Anigozanthos rufus", "Anigozanthos viridis", "Wachendorfia thyrsiflora", "Carpias mossambica", "Maresiella aldabrana", "Joeropsis pleurion", "Joeropsis dimorpha", "Joeropsis pentagona", "Joeropsis algensis", "Joeropsis arpedes", "Joeropsis lentigo", "Joeropsis hamatilis", "Pleurocope wilsoni", "Hevea benthamiana", "Hevea guianensis", "Hevea microphylla", "Hevea nitida", "Hevea pauciflora", "Hevea spruceana", "Micrandra minor", "Pachystroma longifolium", "Cnidoscolus stimulosus", "Cnidoscolus aconitifolius", "Cnidoscolus elasticus", "Cnidoscolus tepiquensis", "Cnidoscolus texanus", "Cnidoscolus urens", "Croton capitatus", "Croton adipatus", "Croton alabamensis", "Croton alnifolius", "Croton angolensis", "Croton bonplandianus", "Croton cajucara", "Croton caudatus", "Croton ciliatoglandulifer", "Croton dioicus", "Croton dolichostachyus", "Croton draco", "Croton draconoides", "Croton eluteria", "Croton flavens", "Croton floribundus", "Croton fruticulosus", "Croton glabellus", "Croton gossypiifolius", "Croton gratissimus", "Croton hirtus", "Croton lachnocarpus", "Croton laevigatus", "Rupertia physodes", "Canna flaccida", "Canna \u00d7 generalis", "Canna glauca", "Canna indica", "Canna iridiflora", "Canna paniculata", "Euchresta japonica", "Bagassa guianensis", "Bagassa tiliaefolia", "Broussonetia kazinoki", "Broussonetia papyrifera", "Fatoua villosa", "Maclura cochinchinensis", "Maclura pomifera", "Maclura tinctoria", "Maclura tricuspidata", "Milicia excelsa", "Milicia regia", "Morus bombycis", "Morus celtidifolia", "Morus macroura", "Morus mesozygia", "Morus mongolica", "Morus rubra", "Morus serrata", "Morus australis", "Sorocea ilicifolia", "Streblus asper", "Trophis racemosa", "Bletia catenulata", "Bletia patula", "Bletia purpurea", "Bletilla ochracea", "Chamaebatiaria millefolium", "Gillenia trifoliata", "Gillenia stipulata", "Sorbaria grandiflora", "Sorbaria kirilowii", "Sorbaria sorbifolia", "Sorbaria tomentosa", "Stranvaesia amphidoxa", "Photinia beauverdiana", "Photinia benthamiana", "Stranvaesia davidiana", "Photinia davidsoniae", "Photinia \u00d7 fraseri", "Photinia glabra", "Photinia glomerata", "Photinia integrifolia", "Photinia niitakayamensis", "Stranvaesia nussia", "Photinia parvifolia", "Photinia prionophylla", "Photinia schneideriana", "Photinia serratifolia", "Photinia villosa", "Photinia wrightiana", "Bonipogonius fujitai", "Ianthopsis monodi", "Joeropsis intermedius", "Santia hofsteni", "Munna affinis", "Munna bituberculata", "Paramunna integra", "Austronanus dentatus", "Antennulosignum elegans", "Desmosoma australis", "Desmosoma brevipes", "Desmosoma modestum", "Caenorhabditis brenneri", "Acanthocheilonema viteae", "Achlysiella williamsi", "Elaeagnus umbellata", "Martes melampus", "Kaniska canace", "Kaniska canace nojaponicum", "Munna gallardoi", "Goniurosaurus kuroiwae", "Heterosignum elegans", "Goniurosaurus toyamai", "Heterosignum ohtsukai", "Heterosignum otsuchiensis", "Opisthotropis kikuzatoi", "Sorbus poteriifolia", "Sorbus prattii", "Sorbus randaiensis", "Sorbus reducta", "Sorbus reflexipetala", "Sorbus rehderiana", "Sorbus rufopilosa", "Sorbus sambucifolia", "Sorbus scopulina", "Sorbus setschwanensis", "Goniurosaurus orientalis", "Sorbus teodorii", "Sorbus tianschanica", "Sorbus turkestanica", "Sorbus vilmorinii", "Sorbus wilsoniana", "Sorbus aria", "Sorbus armeniaca", "Sorbus hajastana", "Sorbus persica", "Aria umbellata", "Sorbus lanata", "Sorbus vestita", "Micromeles alnifolia", "Coulmannia ramosae", "Pleurogonium bifolium", "Pleurogonium hispidum", "Munnogonium falklandikum", "Meridiosignum minidenticulatum", "Croton lechleri", "Croton macrostachyus", "Croton magdalenae", "Croton matourensis", "Croton megalobotrys", "Croton megalocarpus", "Croton monanathogynus", "Croton neomexicanus", "Croton nitrariifolius", "Croton palanostigma", "Croton pottsii", "Croton pungens", "Croton setiger", "Croton texensis", "Croton tiglium", "Croton urucurana", "Croton zehntneri", "Anolis carolinensis", "Tragia hispida", "Tragia involucrata", "Tragia volubilis", "Mallotus apelta", "Mallotus nepalensis", "Mallotus philippensis", "Mallotus repandus", "Mallotus japonicus", "Zealantha thorpei", "Macroplea japana", "Macroplea mutica", "Nysina boninensis", "Nortia kusuii", "Pseudiphra bicolor", "Xylotrechus takakuwai", "Iais chilense", "Microcharon monnioti", "Aeoliscus strigatus", "Atergatis floridus", "Pleurogrammus azonus", "Stenopus hispidus", "Goniurosaurus splendens", "Goniurosaurus yamashinae", "Cuora flavomarginata evelynae", "Diploderma polygonatum polygonatum", "Plestiodon barbouri", "Emoia atrocostata", "Emoia atrocostata atrocostata", "Hebius concelarum", "Derris microphylla", "Derris ovalifolia", "Derris philippinensis", "Derris polyantha", "Derris robusta", "Brachypterum scandens", "Derris trifoliata", "Bituminaria acaulis", "Bituminaria bituminosa", "Cullen americanum", "Cullen australasicum", "Cullen balsamicum", "Cullen cinereum", "Cullen corylifolium", "Cullen drupaceum", "Cullen graveolens", "Cullen lachnostachys", "Cullen leucanthum", "Cullen martinii", "Cullen microcephalum", "Cullen patens", "Cullen tenax", "Cullen tomentosum", "Litoria adelaidensis", "Solanum dulcamara", "Bletilla striata", "Calanthe alismifolia", "Calanthe calanthoides", "Calanthe discolor", "Calanthe engleriana", "Calanthe plantaginea", "Calanthe rubens", "Calanthe striata", "Calanthe sylvatica", "Calanthe tricarinata", "Calanthe vestita", "Spathoglottis plicata", "Caladenia flava", "Caladenia patersonii", "Caladenia roei", "Leersia hexandra", "Leersia nematostachya", "Leersia oryzoides", "Leersia perrieri", "Leersia tisserantii", "Luziola fluitans", "Luziola peruviana", "Luziola spruceana", "Luziola subintegra", "Oryza glaberrima", "Oryza sativa", "Oryza australiensis", "Oryza barthii", "Oryza brachyantha", "Oryza eichingeri", "Oryza glumaepatula", "Oryza grandiglumis", "Oryza latifolia", "Oryza longiglumis", "Oryza longistaminata", "Oryza meyeriana", "Oryza minuta", "Oryza neocaledonica", "Oryza officinalis", "Oryza punctata", "Oryza ridleyi", "Oryza rufipogon", "Oryza schlechteri", "Aristaeomorpha foliacea", "Hepomadus tener", "Plesiopenaeus coruscans", "Plesiopenaeus armatus", "Hemipenaeus carpenteri", "Spinimegopis nipponica", "Spinimegopis yakushimana", "Spinimegopis hachijoana", "Spinimegopis kawazoei", "Spinimegopis okinawana", "Spinimegopis ishigakiana", "Aegosoma savoryi", "Megomphix hemphilli", "Prionus insularis insularis", "Elaphe carinata", "Elaphe carinata yonaguniensis", "Plestiodon kishinouyei", "Pareas iwasakii", "Achalinus werneri", "Achalinus formosanus", "Achalinus formosanus chigirai", "Lycodon ruhstrati", "Lycodon multifasciatus", "Sinomicrurus macclellandi", "Sinomicrurus macclellandi iwasakii", "Sinomicrurus japonicus", "Sinomicrurus japonicus japonicus", "Sinomicrurus japonicus boettgeri", "Trionyx sinensis", "Carpias brachydactylus", "Carpias nereus", "Carpias triton", "Atlantasellus dominicanus", "Atlantasellus cavernicolus", "Microcharon halophilus", "Stenasellus foresti", "Coxicerberus tabai", "Pristis microdon", "Microhyla ornata", "Scutimica transcarinata", "Scutimica flava", "Geothelphusa dehaani", "Incertae sedis", "Endelomorphus biakensis", "Bragasellus lagari", "Bragasellus boui", "Bragasellus comasi", "Lirceus usdagalun", "Proasellus elegans", "Proasellus danubialis", "Proasellus solanasi", "Calamaria pfefferi", "Calamaria pavimentata", "Calamaria pavimentata miyarai", "Proasellus racovitzai", "Proasellus jaloniacus", "Eurypoda boninensis", "Proasellus lescherae", "Caecidotea holti", "Caecidotea extensolinguala", "Eurypoda batesi", "Caecidotea foxi", "Caecidotea serrata", "Caecidotea chiapas", "Bowmanasellus sequoiae", "Salmasellus steganothrix", "Dawa karrinyupae", "Bandar formosae", "Civettictis civetta", "Asterolasia astericophora", "Boenninghausenia albiflora", "Boronia pinnata", "Boronia crenulata", "Boronia cymosa", "Boronia denticulata", "Boronia heterophylla", "Boronia inornata", "Boronia lanuginosa", "Boronia latipinna", "Boronia ledifolia", "Boronia megastigma", "Boronia mollis", "Boronia muelleri", "Boronia pilosa", "Boronia purdieana", "Boronia serrulata", "Boronia thujona", "Choisya dumosa", "Choisya katherinae", "Choisya ternata", "Laticauda colubrina", "Laticauda semifasciata", "Emydocephalus ijimae", "Hydrophis melanocephalus", "Hydrophis cyanocinctus", "Hydrophis ornatus", "Hydrophis ornatus ornatus", "Lapemis curtus", "Hydrophis platurus", "Gloydius tsushimaensis", "Trimeresurus okinavensis", "Trimeresurus elegans", "Protobothrops tokarensis", "Bufo japonicus japonicus", "Bufo gargarizans miyakonis", "Bufo torrenticola", "Rana tsushimensis", "Rana tagoi", "Panthera pardus adersi", "Rana tagoi tagoi", "Rana tagoi okiensis", "Rana tagoi yakushimensis", "Rana sakuraii", "Rana japonica", "Rana ornativentris", "Rana pirica", "Rhacophorus viridis", "Rhacophorus viridis amamiensis", "Rhacophorus viridis viridis", "Buergeria buergeri", "Buergeria japonica", "Chirixalus eiffingeri", "Polypedates leucomystax", "Dictamnus albus", "Dictamnus angustifolius", "Dictamnus dasycarpus", "Erythrochiton brasiliensis", "Esenbeckia leiocarpa", "Esenbeckia flava", "Esenbeckia hartmanii", "Esenbeckia runyonii", "Lunasia amara", "Melicope balloui", "Melicope haupuensis", "Melicope knudsenii", "Melicope ovalis", "Melicope pallida", "Melicope quadrangularis", "Melicope zahlbruckneri", "Melicope accedens", "Melicope adscendens", "Melicope anisata", "Melicope degeneri", "Melicope denhamii", "Melicope lunu-ankenda", "Melicope lydgatei", "Melicope mucronulata", "Melicope munroi", "Melicope paniculata", "Melicope pteleifolia", "Melicope reflexa", "Melicope saint-johnii", "Melicope ternata", "Melicope triphylla", "Phebalium glandulosum", "Phebalium tuberculosum", "Neptis sappho", "Pilocarpus jaborandi", "Pilocarpus microphyllus", "Pilocarpus pennatifolius", "Pilocarpus racemosus", "Ruta graveolens", "Ruta chalepensis", "Zanthoxylum clava-herculis", "Zanthoxylum coco", "Zanthoxylum flavum", "Zanthoxylum hawaiiense", "Zanthoxylum simulans", "Zanthoxylum thomasianum", "Zanthoxylum acanthopodium", "Zanthoxylum ailanthoides", "Zanthoxylum americanum", "Zanthoxylum armatum", "Zanthoxylum bungeanum", "Zanthoxylum coreanum", "Zanthoxylum dipetalum", "Zanthoxylum fagara", "Zanthoxylum hyemale", "Zanthoxylum martinicense", "Zanthoxylum molle", "Zanthoxylum myriacanthum", "Zanthoxylum naranjillo", "Zanthoxylum nitidum", "Zanthoxylum ovalifolium", "Zanthoxylum oxyphyllum", "Zanthoxylum panamense", "Zanthoxylum parvum", "Zanthoxylum pilosulum", "Zanthoxylum piperitum", "Zanthoxylum rhetsa", "Zanthoxylum schinifolium", "Zanthoxylum stenophyllum", "Zanthoxylum zanthoxyloides", "Neospondylis upiformis", "Arhopalus tobirensis", "Arhopalus coreanus", "Cephalallus unicolor", "Tetropium morishimaorum", "Tetropium gracilicorne", "Tetropium gracilicum", "Glyceria alnasteretum", "Glyceria canadensis", "Glyceria elata", "Glyceria fluitans", "Glyceria grandis", "Glyceria ischyroneura", "Trachemys scripta", "Mauremys japonica", "Mauremys mutica", "Mauremys mutica kami", "Mauremys mutica mutica", "Gekko japonicus", "Gekko hokouensis", "Gekko tawaensis", "Gekko yakuensis", "Lepidodactylus lugubris", "Hemidactylus frenatus", "Hemidactylus bowringii", "Perochirus ateles", "Diploderma polygonatum ishigakiense", "Plestiodon stimpsonii", "Plestiodon marginatus", "Plestiodon marginatus marginatus", "Plestiodon marginatus oshimensis", "Plestiodon elegans", "Scincella boettgeri", "Scincella vandenburghi", "Ateuchosaurus pellopleurus", "Cryptoblepharus boutonii", "Cryptoblepharus nigropunctatus", "Takydromus tachydromoides", "Takydromus amurensis", "Indotyphlops braminus", "Achalinus spinalis", "Elaphe carinata carinata", "Elaphe climacophora", "Cyclophiops semicarinatus", "Bostrichobranchus pilularis", "Lycodon rufozonatus rufozonatus", "Lycodon rufozonatus walli", "Hebius vibakari", "Hebius vibakari vibakari", "Hebius vibakari danjoensis", "Hebius ishigakiense", "Rhabdophis tigrinus", "Laticauda laticaudata", "Prionus yakushimanus", "Hynobius maoershanensis", "Paradactylodon gorganensis", "Sepioteuthis sepioidea", "Aneides ferreus", "Aneides flavipunctatus", "Aneides hardii", "Aneides vagrans", "Aneides aeneus", "Correa aemula", "Correa bauerlenii", "Correa decumbens", "Correa reflexa", "Correa rubra", "Dorysthenes ishigakiensis", "Podosphaeraster polyplax", "Psephactus remiger", "Psephactus remiger remiger", "Psephactus remiger insularis", "Psephactus scabripennis", "Psephactus scabripennis scabripennis", "Psephactus scabripennis chichijimensis", "Plestiodon latiscutatus", "Plestiodon okadae", "Stenasellus chapmani", "Stenasellus escolai", "Stenasellus bragai", "Stenasellus kenyensis", "Mexistenasellus parzefalli", "Mexistenasellus wilkensi", "Spinosantia muelleri", "Microtus pinetorum", "Pilea peperomioides", "Heterocarpus oryx", "Heterocarpus ensifer", "Babina subaspera", "Addax nasomaculatus", "Babina holsti", "Hynobius nebulosus nebulosus", "Hynobius nebulosus tokyoensis", "Quercus berberidifolia", "Glyceria lithuanica", "Glyceria maxima", "Glyceria multiflora", "Glyceria nemoralis", "Glyceria notata", "Glyceria obtusa", "Glyceria occidentalis", "Glyceria pulchella", "Glyceria striata", "Glyceria tonglensis", "Pleuropogon hooverianus", "Pleuropogon oregonus", "Schizachne purpurascens", "Triniochloa stipoides", "Thysanolaena latifolia", "Streptochaeta spicata", "Hainardia cylindrica", "Parapholis incurva", "Parapholis strigosa", "Pholiurus pannonicus", "Pharus lappulaceus", "Nardus stricta", "Cryptocarya alba", "Ia io", "Iwaseozephyrus bieti", "Teratozephyrus hecale", "Kotumsaria bastarensis", "Rhagium japonicum", "Rhagium heyrovskyi", "Crematogaster rogenhoferi", "Rhagium pseudojaponicum", "Sachalinobia rugipennis", "Enoploderes bicolor", "Xenophyrama purpureum", "Toxotinus reini", "Pachyta erebia", "Brachyta bifasciata bifasciata", "Brachyta punctata", "Hippotion boerhaviae", "Hippotion rosetta", "Cephalocereus senilis", "Neobuxbaumia tetetzo", "Pilosocereus urbanianus", "Corryocactus brevistylus", "Escontria chiotilla", "Leptocereus grantianus", "Katianira platyura", "Myrtillocactus cochal", "Pachycereus pringlei", "Atimia okayamensis", "Stenobermuda iliffei", "Joeropsis nigricapitis", "Distenia gracilis gracilis", "Microcerberus carolinensis", "Distenia yakushimana", "Tengius okuboi", "Geophilus flavus", "Euphydryas aurinia", "Oeneis urda", "Erebia cyclopius", "Harpalus affinis", "Colias muratai", "Colias amanonis", "Colias adelaidae", "Colias arida", "Parnassius simo", "Eriogonum fasciculatum", "Caraphia lepturoides", "Colias felderi", "Katianira chelifera", "Katianira bilobata", "Katianira acarina", "Bejaria racemosa", "Pidonia obscurior", "Pidonia hakusana", "Pidonia michinokuensis", "Masturus lanceolatus", "Mola mola", "Mola alexandrini", "Chaoyangsaurus youngi", "Pidonia semiobscura", "Thomisus labefactus", "Ensatina eschscholtzii", "Odocoileus hemionus", "Lyonia ferruginea", "Ptelea trifoliata", "Vepris lanceolata", "Ampulex compressa", "Lemula japonica", "Lemula rufithorax", "Lemula nishimurai", "Crematogaster pilosa", "Crematogaster atitlanica", "Andrewsarchus mongoliensis", "Blaps mortisaga", "Lacon punctatus", "Sapria himalayana", "Sapria poilanei", "Sapria ram", "Eristalis alleni", "Cuphea calcarata", "Cuphea calophylla", "Cuphea carthagenensis", "Eristalis gatesi", "Cuphea confertiflora", "Cuphea crassiflora", "Cuphea cyanea", "Cuphea decandra", "Cuphea denticulata", "Cuphea diosmifolia", "Cuphea dipetala", "Cuphea disperma", "Cuphea elliptica", "Cuphea ericoides", "Cuphea ferrisiae", "Cuphea ferruginea", "Cuphea fruticosa", "Cuphea fuchsiifolia", "Cuphea gardneri", "Cuphea gaumeri", "Cuphea glareosa", "Cuphea glossostoma", "Cuphea glutinosa", "Cuphea heterophylla", "Cuphea hookeriana", "Cuphea ignea", "Cuphea inaequalifolia", "Cuphea inflata", "Cuphea ingrata", "Cuphea jorullensis", "Cuphea koehneana", "Cuphea laminuligera", "Cuphea lanceolata", "Cuphea leptopoda", "Cuphea linarioides", "Cuphea linifolia", "Cuphea llavea", "Cuphea lobophora", "Cuphea lophostoma", "Cuphea lutea", "Cuphea lutescens", "Cuphea melanium", "Cuphea melvilla", "Cuphea micrantha", "Cuphea micropetala", "Cuphea mimuloides", "Cuphea nitidula", "Cuphea ownbeyi", "Cuphea painteri", "Cuphea palustris", "Cuphea parsonsia", "Cuphea paucipetala", "Callicebus aureipalatii", "Cuphea pinetorum", "Cuphea pohlii", "Cuphea polymorpha", "Cuphea procumbens", "Cuphea pseudovaccinium", "Cuphea pulchra", "Picea alcoquiana", "Picea crassifolia", "Picea \u00d7 hurstii", "Picea \u00d7 mariorika", "Picea torano", "Acmopyle pancheri", "Podocarpus elongatus", "Podocarpus latifolius", "Podocarpus henkelii", "Gaurotes otome", "Gaurotes atripennis", "Podocarpus lawrencei", "Podocarpus nubigenus", "Podocarpus lambertii", "Podocarpus parlatorei", "Podocarpus salignus", "Podocarpus sellowii", "Podocarpus oleifolius", "Podocarpus guatemalensis", "Podocarpus neriifolius", "Podocarpus elatus", "Podocarpus nivalis", "Prumnopitys andina", "Prumnopitys taxifolia", "Cratoneuron curvicaule", "Neillia affinis", "Neillia ribesioides", "Neillia sinensis", "Neillia thibetica", "Neillia thyrsiflora", "Neillia uekii", "Physocarpus capitatus", "Physocarpus amurensis", "Physocarpus bracteatus", "Physocarpus monogynus", "Physocarpus opulifolius", "Physocarpus ribesifolius", "Stephanandra chinensis", "Stephanandra incisa", "Stephanandra tanakae", "Ptelea aptera", "Macropidonia ruficollis", "Pseudosieversia japonica", "Pseudosieversia amanoi", "Pseudosieversia shikokensis", "Laelius microneurus", "Prorops nasuta", "Peziza badia", "Peziza bovina", "Peziza micropus", "Aeolidia papillosa", "Peziza arvernensis", "Peziza subviolacea", "Pidonia yamato", "Bacillus megaterium", "Zizina otis", "Erebia niphonica", "Erebia niphonica scoparia", "Sasakia funebris", "Cheirotonus macleayi", "Thaumantis diores", "Polistes jokahamae", "Stomoxys calcitrans", "Fannia canicularis", "Lactobacillus acidophilus", "Puya chilensis", "Peziza vesiculosa", "Goniozus japonicus", "Echinocereus reichenbachii", "Echinocereus arizonicus", "Echinocereus chisoensis", "Echinocereus coccineus", "Echinocereus dasyacanthus", "Echinocereus davisii", "Echinocereus enneacanthus", "Echinocereus fasciculatus", "Echinocereus fendleri", "Echinocereus ferreirianus", "Echinocereus mojavensis", "Echinocereus rigidissimus", "Echinocereus \u00d7 roetteri", "Echinocereus schmollii", "Echinocereus stramineus", "Echinocereus triglochidiatus", "Echinocereus viridiflorus", "Bergenia ciliata", "Bergenia crassifolia", "Bergenia pacumbis", "Bergenia purpurascens", "Chrysosplenium iowense", "Heuchera cylindrica", "Heuchera eastwoodiae", "Heuchera glabra", "Heuchera maxima", "Heuchera micrantha", "Heuchera sanguinea", "Rodgersia podophylla", "Rodgersia aesculifolia", "Rodgersia pinnata", "Rodgersia \u00d7purdomii", "Rodgersia sambucifolia", "Peziza varia", "Sidalcea oregana var. calva", "Cuphea racemosa", "Cuphea ramosissima", "Cuphea rasilis", "Cuphea retrorsicapilla", "Cuphea salicifolia", "Cuphea salvadorensis", "Cuphea scaberrima", "Cuphea schumannii", "Cuphea sessiliflora", "Cuphea sessilifolia", "Cuphea spectabilis", "Cuphea tetrapetala", "Cuphea thymoides", "Cuphea tolucana", "Cuphea trochilus", "Cuphea tuberosa", "Cuphea urbaniana", "Cuphea urens", "Cuphea utriculosa", "Cuphea varia", "Cuphea vesiculigera", "Cuphea viscosa", "Cuphea viscosissima", "Gaurotes doris", "Cuphea wrightii", "Decodon verticillatus", "Rotala indica", "Rotala ramosior", "Rotala rotundifolia", "Glinus lotoides", "Glinus oppositifolius", "Glinus radiatus", "Tofieldia calyculata", "Tofieldia coccinea", "Tofieldia nuda", "Tofieldia pusilla", "Picea asperata", "Picea meyeri", "Picea koraiensis", "Picea koyamae", "Picea morrisonicola", "Picea wilsonii", "Picea obovata", "Picea schrenkiana", "Picea maximowiczii", "Picea martinezii", "Picea chihuahuana", "Picea brachytyla", "Picea omorika", "Picea purpurea", "Picea likiangensis", "Picea spinulosa", "Picea jezoensis", "Lophocereus marginatus", "Mitrocereus militaris", "Lophocereus schottii", "Pachycereus weberi", "Santia longisetosa", "Boerhavia diffusa", "Mirabilis jalapa", "Hippotion celerio", "Hippotion velox", "Peniocereus greggii", "Nyctocereus serpentinus", "Glandulicereus thurberi", "Stenocereus alamosensis", "Stenocereus fricii", "Stenocereus heptagonus", "Stenocereus gummosus", "Glandulicereus queretaroensis", "Stenocereus standleyi", "Stenocereus stellatus", "Stenocereus treleasei", "Ophrestia hedysaroides", "Ophrestia oblongifolia", "Ophrestia radicosa", "Ophrestia unifoliolata", "Pseudoeriosema borianii", "Cuphea hyssopifolia", "Cuphea acicularis", "Cuphea acinifolia", "Cuphea aequipetala", "Cuphea angustifolia", "Cuphea antisyphilitica", "Cuphea aperta", "Cuphea aspera", "Cuphea avigera", "Cuphea brachiata", "Cuphea bustamanta", "Cuphea caeciliae", "Cuphea caesariata", "Cuphea calaminthifolia", "Cerophytum convexicolle", "Cerophytum japonicum", "Cerophytum palsator", "Brachycerophytum fuscicorne", "Brachycerophytum sinchona", "Phytocerum alleni", "Phytocerum belloi", "Phytocerum birai", "Phytocerum boliviense", "Phytocerum burakowskii", "Phytocerum cayennense", "Phytocerum distinguendum", "Phytocerum golbachi", "Phytocerum ingens", "Phytocerum inpa", "Phytocerum minutum", "Phytocerum serraticorne", "Phytocerum simonkai", "Phytocerum trinidadensis", "Phytocerum zikani", "Apphytocerus communis", "Apphytocerus doiganicus", "Leptidea gigantea", "Leptidea reali", "Leptidea serrata", "Leptidea yunnanica", "Leptidea amurensis", "Leptidea duponcheli", "Leptidea duponcheli duponcheli", "Leptidea sinapis", "Leptidea sinapis sinapis", "Leptidea morsei", "Leptidea morsei morsei", "Leptidea morsei morseides", "Lissodema teruhisai", "Inopeplus uenoi", "Inopeplus uenoi ohbayashii", "Nyssiodes lefuarius", "Orthetrum triangulare", "Orthetrum triangulare melania", "Hemicrepidius amamicola", "Gonerilia pesthis", "Howarthia cheni", "Iwaseozephyrus ackeryi", "Euploea mulciber", "Alectis ciliaris", "Corrachia leucoplaga", "Styx infernalis", "Serranus scriba", "Saxifraga rotundifolia", "Saxifraga tridactylites", "Tellima grandiflora", "Protaetia pryeri", "Viola yedoensis", "Boletus edulis", "Protaetia orientalis", "Protaetia lewisi", "Protaetia ishigakia", "Protaetia ishigakia okinawana", "Gametis forticula", "Isyndus obscurus", "Tiarella cordifolia", "Tiarella polyphylla", "Tolmiea menziesii", "Alonsoa acutifolia", "Alonsoa meridionalis", "Buddleja davidii", "Buddleja saligna", "Buddleja albiflora", "Buddleja alternifolia", "Buddleja americana", "Buddleja araucana", "Buddleja asiatica", "Buddleja bullata", "Buddleja candida", "Buddleja colvilei", "Buddleja cordata", "Buddleja coriacea", "Cyclura lewisi", "Cyclura nubila", "Cyclura cornuta", "Cyclura cychlura", "Cyclura pinguis", "Cyclura carinata", "Cyclura rileyi", "Cyclura collei", "Cyclura ricordi", "Cyclura stejnegeri", "Cyclura nubila nubila", "Cyclura nubila caymanensis", "Pidonia suzukii", "Neurosigma siva", "Neope bhadra", "Elymnias peali", "Cyclura rileyi rileyi", "Cyclura rileyi nuchalis", "Cyclura rileyi cristata", "Cyclura cychlura cychlura", "Cyclura cychlura figginsi", "Cyclura cychlura inornata", "Mimathyma chevana", "Nezara viridula", "Leptidea morsei tsinlingi", "Leptidea morsei sinensis", "Leptidea morsei ommani", "Leptidea morsei batangi", "Leptidea morsei major", "Leptidea lactea", "Leptidea amurensis amurensis", "Leptidea amurensis vibilia", "Leptidea amurensis emisinapis", "Leptidea amurensis jacutia", "Buddleja crispa", "Buddleja curviflora", "Buddleja fallowiana", "Buddleja forrestii", "Buddleja globosa", "Buddleja grandiflora", "Buddleja incana", "Buddleja japonica", "Buddleja lindleyana", "Buddleja macrostachya", "Buddleja madagascariensis", "Buddleja marrubiifolia", "Buddleja nivea", "Buddleja officinalis", "Buddleja paniculata", "Buddleja perfoliata", "Buddleja salviifolia", "Buddleja sessiliflora", "Buddleja skutchii", "Buddleja stachyoides", "Buddleja tucumanensis", "Buddleja utahensis", "Rehmannia glutinosa", "Rehmannia piasezkii", "Schwalbea americana", "Scrophularia californica", "Scrophularia marilandica", "Scrophularia ningpoensis", "Scrophularia nodosa", "Scrophularia alata", "Halyomorpha picus", "Menida scotti", "Menida violacea", "Pitnus japonicus", "Aiolocaria hexaspilota", "Polistes rothneyi", "Sambus quadricolor", "Kanekoa azumensis", "Kazuoclytus lautoides", "Asemorhinus nebulosus", "Scaphidema kondoi", "Zeugophora flavicollis", "Zeugophora frontalis", "Zeugophora scutellaris", "Zeugophora turneri", "Plutonium zwierleini", "Theatops erythrocephalus", "Libythea lepita", "Antigius butleri", "Araragi sugiyamai", "Araragi enthea", "Araragi sugiyamai zhejiangana", "Cordelia comes", "Esakiozephyrus icana", "Esakiozephyrus icana dimuwa", "Euaspa forsteri", "Euaspa forsteri kimurai", "Euaspa tayal", "Artemisia keiskeana", "Artemisia princeps", "Python molurus", "Python molurus molurus", "Python molurus pimbura", "Neozephyrus uedai", "Shaanxiana takashimai", "Shaanxiana takashimai pauper", "Morella rubra", "Sibataniozephyrus kuafui", "Sibataniozephyrus lijinae", "Thecla ohyai", "Teratozephyrus chibahideyukii", "Teratozephyrus hinomaru", "Teratozephyrus nuwai", "Teratozephyrus tsukiyamahiroshii", "Teratozephyrus arisanus", "Teratozephyrus arisanus picquenardi", "Wagimo asanoi", "Wagimo insularis", "Wagimo sulgeri", "Cyclura carinata carinata", "Cyclura carinata bartschi", "Gonerilia seraphim", "Gonerilia seraphim kimurai", "Gonerilia seraphim mekong", "Iratsume orsedice", "Iratsume orsedice nosei", "Iratsume orsedice orsedice", "Leucantigius atayalicus", "Leucantigius atayalicus hainanensis", "Ravenna nivea", "Ravenna nivea howarthi", "Ravenna nivea koiwayai", "Wagimo signatus", "Wagimo signatus minamii", "Artopoetes pryeri", "Euaspa milionia", "Protantigius superans", "Procyon minor", "Bassaricyon gabbii", "Campylotropis eriocarpa", "Campylotropis hirtella", "Sephisa chandra", "Hoplogonus simsoni", "Asemochrysus rugulosus", "Dipterocarpus cornutus", "Shorea lamellata", "Shorea laevis", "Nokona feralis", "Sympetrum cordulegaster", "Aeshna nigroflava", "Anaciaeschna martini", "Gordania minima", "Anax guttatus", "Gordania pajarella", "Sympetrum kunckelii", "Sympetrum striolatum", "Sympetrum striolatum imitoides", "Aeshna mixta", "Aeshna mixta soneharai", "Sympetrum frequens", "Sympetrum depressiusculum", "Apogon notatus", "Ceanothus greggii", "Ceanothus cuneatus", "Cantao ocellatus", "Pteronemobius csikii", "Protaetia fusca", "Coptocephala orientalis", "Artemisia capillaris", "Coursetia axillaris", "Coursetia caribaea", "Coursetia ferruginea", "Coursetia glandulosa", "Genistidium dumosum", "Gliricidia ehrenbergii", "Gliricidia maculata", "Gliricidia sepium", "Hebestigma cubense", "Olneya tesota", "Poitea carinalis", "Poitea galegoides", "Poitea punicea", "Robinia hispida", "Robinia neomexicana", "Robinia pseudoacacia", "Robinia \u00d7 holdtii", "Robinia luxurians", "Robinia \u00d7 margarettae", "Robinia viscosa", "Dymecodon pilirostris", "Urotrichus talpoides", "Urotrichus talpoides talpoides", "Urotrichus talpoides adversus", "Oreoscaptor mizura", "Rafflesia schadenbergiana", "Plebejus argyrognomon praeterinsularis", "Indigofera pseudo-tinctoria", "Rafflesia tengku-adlinii", "Rafflesia tuan-mudae", "Melilotus suaveolens", "Astragalus sogotensis", "Plebejus idas", "Plebejus idas verchojanicus", "Catocala kasenko", "Catocala mirifica", "Catocala largetaui", "Mesechthistatus taniguchii", "Mesechthistatus fujisanus", "Saxifraga oppositifolia", "Saxifraga stolonifera", "Saxifraga alberti", "Saxifraga bronchialis", "Saxifraga conifera", "Saxifraga cortusifolia", "Saxifraga diversifolia", "Saxifraga fortunei", "Saxifraga granulata", "Saxifraga hookeri", "Saxifraga mertensiana", "Campylotropis macrocarpa", "Campylotropis meebildii", "Campylotropis stenocarpa", "Kummerowia stipulacea", "Kummerowia striata", "Nissolia brasiliensis", "Nissolia latissiliqua", "Nissolia longiflora", "Nissolia vincentina", "Mustela strigidorsa", "Mustela africana", "Mustela altaica", "Mustela nudipes", "Martes americana", "Martes flavigula", "Eoraptor lunensis", "Hypsimetopus intrusor", "Favonius cognatus", "Favonius cognatus latifasciatus", "Favonius ultramarinus", "Favonius ultramarinus ultramarinus", "Atypus wataribabaorum", "Favonius saphirinus", "Favonius saphirinus saphirinus", "Diphysa americana", "Diphysa occidentalis", "Diphysa spinosa", "Diphysa suberosa", "Nissolia fruticosa", "Nissolia schottii", "Nissolia wislizeni", "Ormocarpum cochinchinense", "Ormocarpum kirkii", "Ormocarpum megalophyllum", "Ormocarpum sennoides", "Ormocarpum trichocarpum", "Cicer sect.", "Cicer acanthophyllum", "Cicer incanum", "Cicer macracanthum", "Cicer pungens", "Cicer rechingeri", "Cicer stapfianum", "Cicer tragacanthoides", "Cicer sect.", "Cicer anatolicum", "Cicer atlanticum", "Cicer balcaricum", "Cicer baldshuanicum", "Cicer canariense", "Cicer fedtschenkoi", "Cicer flexuosum", "Cicer floribundum", "Cicer graecum", "Cicer grande", "Cicer heterophyllum", "Cicer isauricum", "Cicer kermanense", "Cicer korshinskyi", "Cicer microphyllum", "Cicer mogoltavicum", "Cicer montbretii", "Cicer multijugum", "Cicer nuristanicum", "Cicer oxyodon", "Cicer paucijugum", "Cicer songaricum", "Cicer spiroceras", "Cicer subaphyllum", "Cicer sect.", "Cicer arietinum", "Cicer bijugum", "Cicer cuneatum", "Cicer echinospermum", "Cicer judaicum", "Cicer laetum", "Cicer luteum", "Cicer pinnatifidum", "Cicer reticulatum", "Cicer yamashitae", "Cicer sect.", "Cicer chorassanicum", "Cicer incisum", "Scrophularia auriculata", "Scrophularia buergeriana", "Scrophularia canina", "Scrophularia decomposita", "Scrophularia elatior", "Scrophularia hierochuntina", "Scrophularia kakudensis", "Scrophularia koraiensis", "Scrophularia lanceolata", "Scrophularia lucida", "Scrophularia orientalis", "Scrophularia pauciflora", "Scrophularia rubricaulis", "Scrophularia sambucifolia", "Scrophularia scopolii", "Scrophularia striata", "Scrophularia umbrosa", "Scrophularia variegata", "Scrophularia xanthoglossa", "Scrophularia xylorrhiza", "Striga asiatica", "Striga angustifolia", "Striga densiflora", "Striga forbesii", "Striga gesnerioides", "Striga hermonthica", "Striga masuria", "Torenia benthamiana", "Torenia fournieri", "Verbascum thapsus", "Verbascum blattaria", "Verbascum densiflorum", "Verbascum graecum", "Verbascum longifolium", "Verbascum lychnitis", "Verbascum nigrum", "Verbascum olympicum", "Verbascum oreophilum", "Verbascum phlomoides", "Verbascum phoeniceum", "Verbascum pyramidatum", "Verbascum songaricum", "Verbascum speciosum", "Verbascum turkestanicum", "Verbascum undulatum", "Verbascum virgatum", "Verbascum wiedemannianum", "Pictetia marginata", "Pictetia mucronata", "Cologania angustifolia", "Cologania broussonettii", "Cologania lemmonii", "Ornithopus perpusillus", "Ornithopus compressus", "Ornithopus micranthus", "Ornithopus pinnatus", "Ornithopus sativus", "Ornithopus uncinatus", "Chapmannia floridana", "Chapmannia prismatica", "Stylosanthes angustifolia", "Stylosanthes biflora", "Stylosanthes bracteata", "Ussuriana stygiana", "Ussuriana michaelis", "Ussuriana fani", "Ussuriana fani tateishii", "Ussuriana fani fani", "Neozephyrus japonicus", "Leviapseudes angelikae", "Euaspa pavo", "Protantigius superans ginzii", "Populus davidiana", "Stylosanthes calcicola", "Stylosanthes capitata", "Stylosanthes debilis", "Stylosanthes erecta", "Stylosanthes fruticosa", "Stylosanthes guianensis", "Stylosanthes hamata", "Stylosanthes hispida", "Stylosanthes humilis", "Stylosanthes ingrata", "Stylosanthes leiocarpa", "Stylosanthes linearifolia", "Stylosanthes macrocarpa", "Stylosanthes macrocephala", "Stylosanthes mexicana", "Stylosanthes montevidensis", "Stylosanthes pilosa", "Stylosanthes ruellioides", "Stylosanthes scabra", "Stylosanthes seabrana", "Stylosanthes sericeiceps", "Stylosanthes sympodialis", "Stylosanthes tomentosa", "Stylosanthes viscosa", "Christia obcordata", "Christia vespertilionis", "Thecla betulae", "Satyrium spini", "Tomares ballus", "Callophrys rubi", "Hyemoschus aquaticus", "Shirozua jonasi", "Coreana raphaelis", "Antigius attilia", "Sesbania aculeata", "Sesbania drummondii", "Sesbania grandiflora", "Sesbania tomentosa", "Sesbania benthamiana", "Sesbania brachycarpa", "Sesbania brevipedunculata", "Sesbania campylocarpa", "Sesbania cannabina", "Sesbania chippendalei", "Sesbania cinerascens", "Sesbania coerulescens", "Sesbania concolor", "Sesbania dummeri", "Sesbania emerus", "Sesbania erubescens", "Sesbania exaltata", "Sesbania exasperata", "Sesbania formosa", "Sesbania goetzei", "Sesbania greenwayi", "Sesbania hepperi", "Sesbania javanica", "Sesbania keniensis", "Sesbania leptocarpa", "Sesbania longifolia", "Sesbania macrantha", "Sesbania macroptera", "Sesbania microphylla", "Sesbania molakaiensis", "Sesbania mossambicensis", "Sesbania pachycarpa", "Sesbania paulensis", "Sesbania punicea", "Sesbania rogersii", "Sesbania rostrata", "Sesbania sericea", "Sesbania sesban", "Sesbania simpliciuscula", "Sesbania sonorae", "Sesbania speciosa", "Sesbania sphaerosperma", "Sesbania tetraptera", "Sesbania transvaalensis", "Sesbania vesicaria", "Sesbania virgata", "Indigofera arrecta", "Indigofera articulata", "Indigofera aspalathoides", "Indigofera aspera", "Indigofera asperifolia", "Indigofera astragalina", "Indigofera atriceps", "Indigofera atropurpurea", "Indigofera auricoma", "Indigofera australis", "Indigofera bainesii", "Indigofera boviperda", "Indigofera brachynema", "Indigofera brachyodon", "Indigofera brachystachya", "Indigofera brevicalyx", "Indigofera brevidens", "Indigofera bungeana", "Indigofera burchellii", "Indigofera candicans", "Indigofera candolleana", "Indigofera capillaris", "Indigofera carlesii", "Indigofera caroliniana", "Indigofera cassioides", "Indigofera cecilii", "Indigofera charlierana", "Indigofera circinella", "Indigofera circinnata", "Indigofera colutea", "Indigofera comosa", "Indigofera cordifolia", "Indigofera cryptantha", "Indigofera cuneata", "Indigofera cuneifolia", "Strombus vanikorensis", "Strombus tridentatum", "Strombus troglodytes", "Strombus costatus", "Strombus gallus", "Strombus raninus", "Dimorphicosmia variegata", "Imosca coreana", "Ipimorpha retusa", "Ipimorpha subtusa", "Chasminodes aino", "Dysmilichia fukudai", "Condica fuliginosa", "Iambia transversa", "Callopistria pulchrilinea", "Cyphononyx fulvognathus", "Episyron arrogans", "Campsomeriella annulata", "Campsomeriella annulata annulata", "Megacampsomeris prismatica", "Indigofera tenuis", "Indigofera tenuissima", "Indigofera tomentosa", "Indigofera torulosa", "Indigofera trifoliata", "Indigofera tristis", "Indigofera tristoides", "Indigofera trita", "Strombus adansoni", "Strombus aculeatus", "Strombus adusta", "Strombus adustus", "Strombus alatus", "Strombus australis", "Strombus auratus", "Strombus bubo", "Strombus bubonius", "Indigofera velutina", "Indigofera vicioides", "Indigofera viscidissima", "Indigofera vohemarensis", "Indigofera volkensii", "Indigofera wildiana", "Indigofera williamsonii", "Indigofera woodii", "Strombus buris", "Indigofera zeyheri", "Indigofera zollingeriana", "Strombus camelus", "Strombus corrugatus", "Strombus crenatus", "Strombus cristatus", "Strombus dilatatus", "Strombus epimellus", "Sphinctospermum constrictum", "Cyamopsis tetragonoloba", "Cyamopsis dentata", "Cyamopsis senegalensis", "Cyamopsis serrata", "Indigofera tinctoria", "Indigofera suffruticosa", "Indigofera adenocarpa", "Indigofera adenoides", "Indigofera alopecuroides", "Indigofera alpina", "Indigofera alternans", "Indigofera amblyantha", "Indigofera amoena", "Indigofera angustata", "Indigofera angustifolia", "Indigofera antunesiana", "Indigofera aquae-nitensis", "Arctonyx collaris", "Taxidea taxus", "Eira barbara", "Galictis vittata", "Ictonyx striatus", "Antrodiaetus gertschi", "Antrodiaetus hadros", "Antrodiaetus riversi", "Arthrolycosa antiqua", "Arthrolycosa danielsi", "Eocteniza silvicola", "Jdaidites serpentinus", "Indigofera arenophila", "Indigofera argentea", "Arthromygale fortis", "Eolycosa lorenzi", "Indigofera cylindracea", "Indigofera cytisoides", "Indigofera daleoides", "Indigofera delagoaensis", "Indigofera demissa", "Indigofera dendroides", "Indigofera denudata", "Indigofera digitata", "Indigofera dimidiata", "Indigofera diphylla", "Indigofera disjuncta", "Indigofera dosua", "Indigofera dregeana", "Indigofera dyeri", "Indigofera egens", "Indigofera emarginella", "Indigofera erecta", "Indigofera eriocarpa", "Indigofera erythrogramma", "Indigofera evansiana", "Indigofera eylesiana", "Indigofera fanshawei", "Indigofera filicaulis", "Indigofera filifolia", "Indigofera filiformis", "Indigofera filipes", "Indigofera flabellata", "Indigofera flavicans", "Indigofera foliosa", "Indigofera fortunei", "Indigofera frutescens", "Indigofera fulvopilosa", "Indigofera gairdnerae", "Indigofera galegoides", "Indigofera garckeana", "Indigofera glandulosa", "Indigofera glaucescens", "Indigofera glomerata", "Indigofera griseoides", "Chytonix albonotata", "Chytonix subalbonotata", "Niphonyx segregata", "Pyrrhidivalva sordida", "Chalconyx ypsilon", "Strombus exutus", "Strombus fasciatus", "Strombus flammeus", "Strombus floridus", "Eucarta fasciata", "Strombus flosculosus", "Eucarta arctides", "Eucarta virgo", "Strombus galea", "Dysmilichia gemella", "Condica illecta", "Strombus gibbus", "Prospalta cyclina", "Strombus gigas", "Hadjina biguttula", "Iambia japonica", "Prometopus flavicollis", "Strombus gracilior", "Virgo datanidia", "Strombus guttatus", "Plusilla rosalia", "Strombus laevis", "Strombus lamarckii", "Callopistria juventina", "Callopistria duplicans", "Strombus lituratus", "Callopistria repleta", "Callopistria aethiops", "Callopistria albolineola", "Callopistria japonibia", "Callopistria placodoides", "Strombus lobatus", "Strombus mauritianus", "Strombus palmatus", "Strombus papilio", "Strombus pictus", "Strombus plicatus", "Strombus ponderosus", "Strombus pugilis", "Strombus pugilis nicaraguensis", "Caprolagus hispidus", "Strombus pugilis sloani", "Data clava", "Strombus pugilis worki", "Strombus pusillus", "Sphragifera sigillata", "Sphragifera biplaga", "Amphipyra subrigua", "Mormo cyanea", "Strombus radians", "Enargia flavata", "Cosmia mali", "Strombus samar", "Xanthocosmia jankowskii", "Strombus samarensis", "Strombus reticulatus", "Ochotona pusilla", "Ochotona alpina", "Ochotona hyperborea", "Ochotona pallasi", "Ochotona rutila", "Nesolagus netscheri", "Brachylagus idahoensis", "Lepus californicus", "Lepus mandshuricus", "Pentalagus furnessi", "Romerolagus diazi", "Sylvilagus audubonii", "Sylvilagus palustris", "Palaranea borassifoliae", "Strombus rubicundus", "Strombus ruppelli", "Strombus stiva", "Strombus striatogranosus", "Strombus taeniatus", "Kustaria carbonaria", "Palaeocteniza crassipes", "Indigofera oblongifolia", "Indigofera omissa", "Indigofera ormocarpoides", "Indigofera ovata", "Indigofera oxalidea", "Indigofera oxytropis", "Indigofera oxytropoides", "Indigofera paniculata", "Indigofera parodiana", "Indigofera pendula", "Indigofera pilosa", "Indigofera podophylla", "Indigofera poliotes", "Indigofera pongolana", "Indigofera porrecta", "Indigofera szechuensis", "Indigofera pratensis", "Indigofera praticola", "Indigofera pretoriana", "Indigofera procumbens", "Indigofera prostrata", "Indigofera psoraloides", "Indigofera pulchra", "Indigofera purpurea", "Indigofera rautanenii", "Indigofera reducta", "Indigofera rehmannii", "Indigofera reticulata", "Indigofera rhynchocarpa", "Indigofera rhytidocarpa", "Indigofera ripae", "Indigofera rostrata", "Indigofera sanguinea", "Indigofera saxicola", "Indigofera schimperi", "Indigofera schinzii", "Indigofera secundiflora", "Indigofera semitrijuga", "Indigofera senegalensis", "Indigofera sessiliflora", "Indigofera sessilifolia", "Indigofera setiflora", "Indigofera simplicifolia", "Indigofera sordida", "Indigofera sphaerocarpa", "Indigofera spicata", "Indigofera stenophylla", "Indigofera strobilifera", "Indigofera suaveolens", "Indigofera subcorymbosa", "Indigofera subulifera", "Indigofera sulcata", "Indigofera swaziensis", "Indigofera hebepetala", "Indigofera hedyantha", "Indigofera hendecaphylla", "Indigofera heterantha", "Indigofera heterophylla", "Indigofera heterotricha", "Indigofera heudelotii", "Indigofera hewittii", "Indigofera hilaris", "Indigofera himalayensis", "Indigofera hirsuta", "Indigofera hispida", "Indigofera hochstetteri", "Indigofera holubii", "Indigofera humifusa", "Indigofera incana", "Indigofera ingrata", "Indigofera inhambanensis", "Indigofera kirilowii", "Indigofera langebergensis", "Indigofera laxeracemosa", "Indigofera lespedezioides", "Indigofera leucotricha", "Indigofera lindheimeriana", "Indigofera linifolia", "Indigofera linnaei", "Indigofera litoralis", "Indigofera livingstoniana", "Indigofera longebarbata", "Indigofera longepedicellata", "Indigofera longeracemosa", "Indigofera lupatana", "Indigofera lyallii", "Indigofera macrophylla", "Indigofera maritima", "Indigofera mauritanica", "Indigofera melanadenia", "Nesoscaptor uchidai", "Mogera wogura", "Indigofera meyeriana", "Indigofera microcarpa", "Indigofera mimosoides", "Indigofera miniata", "Indigofera mischocarpa", "Indigofera mollicoma", "Indigofera monantha", "Indigofera montana", "Indigofera nebrowniana", "Indigofera nigrescens", "Indigofera nigromontana", "Indigofera nummulariifolia", "Mogera imaizumii", "Mogera tokudae", "Geralycosa fritschi", "Pseudochalcothea nishikawai", "Pseudochalcothea kalimantanica", "Pseudochalcothea pomacea", "Pseudochalcothea pomacea bawangensis", "Pseudochalcothea pomacea pomacea", "Pseudochalcothea staudingeri", "Pseudochalcothea planiuscula", "Pseudochalcothea nagaii", "Paraburnetia sneeubergensis", "Vallonia terraenovae", "Longicella mollis", "Longicella mollis mollis", "Longicella mollis decipiens", "Longicella mollis detanii", "Hippocampus bargibanti", "Necydalis indica", "Necydalis indicola", "Necydalis nepalensis", "Necydalis kucerai", "Catocala columbina", "Catocala columbina columbina", "Catocala columbina yoshihikoi", "Oides bowringii", "Amphipyra pyramidea", "Amphipyra monolitha", "Amphipyra livida", "Amphipyra tripartita", "Amphipyra erebina", "Amphipyra schrenckii", "Mormo muscivirens", "Orthogonia sera", "Antha grata", "Cosmia affins", "Cosmia restituta", "Cosmia achatina", "Cosmia camptosigma", "Cosmia trapezina", "Cosmia moderata", "Cosmia sanguinea", "Chasminodes albonitens", "Chasminodes sugii", "Chasminodes pseudalbonitens", "Chasminodes nervosa", "Chasminodes unipuncta", "Chasminodes cilia", "Chasminodes atrata", "Chasminodes nigrilinea", "Varicospira longirosta", "Varicospira martini", "Varicospira mordax", "Varicospira rembangensis", "Varicospira semicancellata", "Varicospira subrimosa", "Varicospira tenui-incisus", "Varicospira zuschini", "Strombus cancellatus", "Bathydraco marri", "Uroplatus lineatus", "Conolophus pallidus", "Disparella valida", "Whoia variabilis", "Desmosoma tetarta", "Desmosoma imbricata", "Eugerda setifluxa", "Desmosoma pannosa", "Eugerda fulcimandibulata", "Mirabilicoxa exopodata", "Mirabilicoxa palpata", "Mirabilicoxa acuminata", "Mirabilicoxa plana", "Mirabilicoxa minuta", "Thaumastosoma platycarpus", "Thaumastosoma tenue", "Eugerdella ischnomesoides", "Eugerdella pugilator", "Prochelator uncatus", "Prochelator hampsoni", "Prochelator litus", "Prochelator abyssalis", "Prochelator incomitatus", "Chelator vulgaris", "Chelator verecundus", "Disparella pachythrix", "Torwolia creper", "Torwolia subchelatus", "Chelantermedia composita", "Paradesmosoma australis", "Oecidiobranchus nowrae", "Disparella kensleyi", "Echinopleura cephalomagna", "Whoia victoriensis", "Chauliodoniscus coronatus", "Chandraniscus eastwardae", "Chandraniscus costlowi", "Chandraniscus kussakini", "Chandraniscus chardyi", "Chandraniscus negoescuae", "Haploniscus kensleyi", "Cruriopsis albomaculata", "Cruriopsis funebris", "Cruriopsis funebris funebris", "Cruriopsis funebris cognata", "Cruriopsis funebris vithoroides", "Mimeusemia amanda", "Mimeusemia persimilis", "Alviniconcha hessleri", "Incertae sedis", "Haploniscus gnanamuthi", "Haploniscus harrietae", "Chauliodoniscus wilsoni", "Hydroniscus buzwilsoni", "Hydroniscus malyutinae", "Hydroniscus watlingi", "Antennuloniscus menziesi", "Antennuloniscus lincolni", "Haploniscus ampliatus", "Haploniscus hamatus", "Haploniscus borealis", "Haploniscus angustus", "Haploniscus aduncus", "Antennuloniscus simplex", "Antennuloniscus diversus", "Antennuloniscus latoperculus", "Macrostylis abyssalis", "Macrostylis longipedis", "Macrostylis longispinis", "Macrostylis meteorae", "Macrostylis angolensis", "Macrostylis robusta", "Eurycope tumidicarpus", "Sorex gracillimus", "Sorex gracillimus gracillimus", "Acmaea mitra", "Sorex gracillimus granti", "Vanhoeffenura georgei", "Vanhoeffenura moskalevi", "Sorex gracillimus natalae", "Sorex hosonoi", "Sursumura aberrata", "Rectisura richardsonae", "Sursumura affinis", "Halophila baillonis", "Canarium dentatus", "Terestrombus fragilis", "Canarium terebellatus terebellatus", "Canarium terebellatus afrobellatus", "Canarium erythrinus", "Canarium erythrinus elegans", "Canarium fusiformis", "Canarium helli", "Canarium haemastoma", "Canarium labiatus labiatus", "Canarium labiatus olydius", "Canarium microurceus", "Canarium klineorum", "Kennedia glabrata", "Kennedia microphylla", "Kennedia nigricans", "Kennedia prorepens", "Kennedia prostrata", "Kennedia retrorsa", "Kennedia rubicunda", "Kennedia stirlingii", "Vandasina retusa", "Crocidura dsinezumi", "Crocidura orii", "Crocidura watasei", "Joeropsis affinis", "Joeropsis lata", "Eccaparadoxides pusillus", "Cortusa matthioli", "Uromunna nana", "Notopais beddardi", "Notopais minya", "Notopais zealandica", "Acanthocope eleganta", "Hydrocephalus carens", "Hydrocephalus minor", "Paradoxides davidis", "Ellipsocephalus hoffi", "Ellipsocephalus polytomus", "Hydrocephalus mandiki", "Rejkocephalus knizeki", "Rejkocephalus rotundatus", "Caspiomyzon wagneri", "Ovophis okinavensis", "Holepyris atamensis", "Plastanoxus amamiensis", "Acrepyris minutus", "Ptilineurus marmoratus", "Dinoderus minutus", "Lyctus brunneus", "Mallodon downesi", "Amblopala avidiena", "Rhipidolestes bidens", "Actias sinensis", "Conger conger", "Pseudochalcothea spathulifera", "Pseudochalcothea auripes", "Pseudochalcothea shelfordi", "Pseudochalcothea viridipes", "Pidonia insuturata", "Labiostrombus epidromis", "Labiostrombus hickeyi", "Labiostrombus denti", "Labiostrombus kemedjingensis", "Panthera tigris trinilensis", "Panthera uncia", "Euprotomus aurisdianae", "Hydromastodon sallesi", "Hydromastodon mikei", "Euprotomus aurora", "Euprotomus aratrum", "Euprotomus aratrum melanostomus", "Euprotomus chrysostomus", "Euprotomus bulla", "Euprotomus vomer", "Euprotomus hawaiiensis", "Euprotomus iredalei", "Gibberulus gibberulus", "Gibberulus gibberulus albus", "Gibberulus gibberulus gibbosus", "Sclerodermus harmandi", "Ernobius mollis", "Cephalonomia gallicola", "Cephalonomia tarsalis", "Oryzaephilus surinamensis", "Acrepyris japonicus", "Canarium wilsonorum", "Canarium maculatus", "Canarium maculatus depauperatus", "Canarium mutabilis citrinus", "Canarium mutabilis mutabilis", "Canarium mutabilis zebriolatus", "Canarium ochroglottis ochroglottis", "Canarium ochroglottis betuleti", "Canarium rugosus", "Canarium urceus urceus", "Canarium urceus ustulatus", "Canarium urceus", "Canarium urceus orrae", "Canarium unifasciatus", "Canarium spolongensis", "Bitis gabonica", "Bitis gabonica gabonica", "Bitis gabonica rhinoceros", "Bitis nasicornis", "Huntemannia jadensis", "Sorex caecutiens caecutiens", "Sorex caecutiens kunashirum", "Sorex caecutiens longicaudatus", "Paradoxides gracilis", "Sorex shinto", "Paradoxides paradoxissimus", "Sturisoma panamense", "Hexagrammos otakii", "Dolomena dilatatus dilatatus", "Dolomena dilatatus orosminus", "Dolomena dilatatus swainsoni", "Dolomena labiosus", "Dolomena labiosus teschi", "Strombus decorus decorus", "Strombus decorus persicus", "Strombus thersites", "Dolomena kleckhamae kleckhamae", "Dolomena kleckhamae boholensis", "Dolomena marginatus marginatus", "Dolomena marginatus robustus", "Dolomena marginatus septimus", "Dolomena marginatus succinctus", "Dolomena minimus", "Dolomena plicatus plicatus", "Dolomena plicatus pulchellus", "Dolomena plicatus sibbaldi", "Dolomena plicatus columba", "Dolomena deperditus", "Crocidura horsfieldii", "Pteropus dasymallus dasymallus", "Pteropus dasymallus inopinatus", "Pteropus dasymallus yayeyamae", "Eidolon helvum", "Boneia bidens", "Thelephora terrestris", "Hypothenemus arundinis", "Hypothenemus crudiae", "Hypothenemus eruditus", "Hypothenemus hampei", "Hypothenemus leprieuri", "Laevistrombus canarium", "Laevistrombus canarium isabella", "Laevistrombus turturella", "Laevistrombus guidoi", "Laevistrombus glaber", "Laevistrombus karikalensis", "Laevistrombus overbecki", "Laevistrombus varinginensis", "Doxander vittatus apicatus", "Doxander vittatus australis", "Doxander campbelli", "Doxander vittatus entropi", "Doxander japonicus", "Doxander vittatus vittatus", "Doxander vittatus", "Doxander triangulatus", "Dolichoderus sibiricus", "Abyssianira dentifrons", "Mexicope westralia", "Ianthopsis vanhoeffeni", "Mexicope sushara", "Balbidocolon atlanticum", "Momedossa profunda", "Lambis hermaphrodita", "Lambis lamboides", "Lambis lobata", "Lambis maculata", "Formica japonica", "Lambis sowerbyi", "Lambis truncata", "Lambis carnaria", "Lambis carnea", "Lambis fasciatus", "Lambis harpago", "Lambis rugosum", "Lambis undulata", "Lambis kochii", "Lambis rana", "Varicospira cancellata", "Varicospira crispata", "Varicospira tyleri", "Varicospira spinifera", "Varicospira apenninensis", "Varicospira formosana", "Varicospira gerthi", "Varicospira narica", "Varicospira integra", "Varicospira javana", "Varicospira kooli", "Dolomena variabilis athenius", "Dolomena variabilis", "Dolomena javanus", "Dolomena palabuanensis", "Dolomena rembangensis", "Dolomena rutteni", "Dolomena sedanensis", "Dolomena togopiensis", "Harpago chiragra arthritica", "Harpago chiragra", "Sorex shinto sadonis", "Sorex unguiculatus", "Suisha coreana", "Suisha formosana", "Chimarrogale platycephala", "Chimarrogale himalayica", "Cylicodiscus gabunensis", "Hardenbergia comptoniana", "Hardenbergia violacea", "Kennedia macrophylla", "Kennedia beckxiana", "Kennedia carinata", "Kennedia coccinea", "Trifolium micranthum", "Trifolium patens", "Trifolium philistaeum", "Trifolium sebastianii", "Trifolium sintenisii", "Trifolium spadiceum", "Trifolium velenovskyi", "Pidonia sylvicola", "Pidonia signifera", "Pidonia gibbicollis", "Pidonia discoidalis", "Pidonia shikokensis", "Pidonia neglecta", "Pidonia hamadryas", "Pidonia hayashii", "Muzquizopteryx coahuilensis", "Catocala epione", "Catocala judith", "Catocala flebilis", "Catocala angusi", "Catocala obscura", "Catocala residua", "Catocala sappho", "Catocala agrippina", "Catocala atocala", "Catocala retecta", "Catocala dejecta", "Catocala insolabilis", "Catocala vidua", "Melilotus indicus", "Melilotus infestus", "Melilotus italicus", "Melilotus macrocarpus", "Melilotus polonicus", "Melilotus segetalis", "Melilotus speciosus", "Melilotus sulcatus", "Melilotus tauricus", "Melilotus wolgicus", "Melilotus siculus", "Melilotus spicatus", "Pidonia stephani", "Litavkaspis rejkovicensis", "Pidonia kyushuensis", "Pidonia matsushitai", "Pidonia shikokuana", "Pidonia tsukamotoi", "Pidonia bouvieri", "Pidonia maculithorax", "Pidonia mutata", "Pidonia pallida", "Parochetus communis", "Trifolium subg.", "Trifolium aureum", "Trifolium badium", "Trifolium billardierei", "Trifolium boissieri", "Trifolium brutium", "Trifolium campestre", "Trifolium dolopium", "Trifolium dubium", "Trifolium erubescens", "Trifolium grandiflorum", "Hottonia palustris", "Archaeatya chacei", "Labichea lanceolata", "Labichea punctata", "Petalostylis labicheoides", "Rhipidolestes aculeatus", "Lathyrus japonicus", "Rhipidolestes aculeatus aculeatus", "Lathyrus lanszwertii", "Lathyrus latifolius", "Lathyrus nissolia", "Lathyrus odoratus", "Freyeria putli", "Drypetes littoralis", "Drypetes matsumurae", "Eccaparadoxides oppanol", "Lathyrus pratensis", "Lathyrus sativus", "Lathyrus sylvestris", "Lathyrus tuberosus", "Lathyrus niger", "Lathyrus nevadensis", "Lathyrus alpestris", "Lathyrus angulatus", "Lathyrus annuus", "Lathyrus aphaca", "Lathyrus aureus", "Lathyrus basalticus", "Pidonia signata", "Lathyrus bauhinii", "Lathyrus blepharicarpus", "Lathyrus boissieri", "Eccaparadoxides rohanovicus", "Anterhynchium flavomarginatum", "Eumenes micado", "Abyssaranea rupis", "Haploniscus unicornis", "Echinothambema ophiuroides", "Vemathambema argentinensis", "Vemathambema elongata", "Eumenes rubronotatus", "Eumenes rubronotatus rubronotatus", "Orancistrocerus drewseni", "Orancistrocerus drewseni drewseni", "Oreumenes decoratus", "Stenodynerus frauenfeldi", "Stenodynerus tokyanus", "Stenodynerus tokyanus tokyanus", "Parapolybia indica", "Parapolybia indica indica", "Polistes jokahamae jokahamae", "Polistes nipponensis", "Polistes rothneyi iwatai", "Polistes snelleni", "Vespa analis", "Vespa crabro", "Vespa mandarinia", "Echinothambema aculeata", "Vespa simillima", "Vespa ducalis", "Vespula flaviceps", "Pachycondyla chinersis", "Monomorium intrudens", "Pheidole fervida", "Pristomyrmex punctatus", "Lathyrus brachycalyx", "Lathyrus cassius", "Pidonia leucanthophila", "Pidonia limbaticollis", "Rhynchocyon cirnei", "Rhynchocyon petersi", "Petrosaltator rozeti", "Candida glabrata", "Pidonia ohbayashii", "Lathyrus chloranthus", "Lathyrus chrysanthus", "Lathyrus cicera", "Lathyrus ciliolatus", "Lathyrus cirrhosus", "Lathyrus clymenum", "Lathyrus crassipes", "Lathyrus cyaneus", "Lathyrus davidii", "Lathyrus delnorticus", "Lathyrus digitatus", "Lathyrus emodii", "Lathyrus eucosmus", "Lathyrus filiformis", "Lathyrus gloeospermus", "Lathyrus gorgoni", "Lathyrus graminifolius", "Lathyrus grandiflorus", "Lathyrus grimesii", "Lathyrus heterophyllus", "Lathyrus hierosolymitanus", "Lathyrus hirsutus", "Lathyrus holochlorus", "Lathyrus humilis", "Lathyrus hygrophilus", "Lathyrus inconspicuus", "Lathyrus incurvus", "Lathyrus jepsonii", "Lathyrus laevigatus", "Lathyrus laxiflorus", "Lathyrus linifolius", "Lathyrus littoralis", "Lathyrus macropus", "Lathyrus magellanicus", "Lathyrus marmoratus", "Lathyrus mulkak", "Lathyrus nervosus", "Lathyrus neurolobus", "Lathyrus nigrivalvis", "Lathyrus numidicus", "Lathyrus occidentalis", "Lathyrus ochraceus", "Lathyrus ochroleucus", "Lathyrus ochrus", "Lathyrus pallescens", "Lathyrus palustris", "Lathyrus pannonicus", "Lathyrus parvifolius", "Lathyrus pisiformis", "Lathyrus polymorphus", "Lathyrus polyphyllus", "Lathyrus pseudocicera", "Lathyrus pubescens", "Lathyrus pusillus", "Lathyrus quinquenervius", "Lathyrus roseus", "Lathyrus rotundifolius", "Lathyrus saxatilis", "Lathyrus setifolius", "Lathyrus spathulatus", "Lathyrus sphaericus", "Lathyrus splendens", "Lathyrus stenophyllus", "Lathyrus subandinus", "Lathyrus sulphureus", "Lathyrus tingitanus", "Lathyrus tremolsianus", "Lathyrus undulatus", "Lathyrus venetus", "Lathyrus venosus", "Lathyrus vernus", "Lathyrus vestitus", "Lathyrus vinealis", "Lens culinaris", "Lens ervoides", "Lens lamottei", "Lens nigricans", "Vavilovia formosa", "Vicia alpestris", "Vicia tenuifolia", "Vicia bakeri", "Vicia benthamiana", "Vicia bungei", "Vicia chinensis", "Vicia costata", "Vicia ferruginea", "Vicia fulgens", "Vicia humilis", "Vicia kokanica", "Vicia lilacina", "Vicia loiseleurii", "Vicia magellanica", "Vicia montbretii", "Vicia ocalensis", "Vicia pallida", "Vicia ramuliflora", "Vicia rigidula", "Vicia sessiliflora", "Vicia venosissima", "Melilotus albus", "Melilotus altissimus", "Melilotus dentatus", "Melilotus elegans", "Melilotus hirsutus", "Catocala maestosa", "Catocala lacrymosa", "Catocala orba", "Catocala andromedae", "Catocala dissimilis", "Catocala actaea", "Catocala nagioides", "Catocala nigricans", "Catocala fraxini", "Catocala relicta", "Catocala lara", "Catocala cerogama", "Catocala nupta", "Catocala disjuncta", "Catocala deuteronympha", "Catocala deuteronympha omphale", "Catocala ella", "Catocala bella", "Canarium labiatus", "Catocala viviannae", "Catocala xizangensis", "Catocala dula", "Catocala duplicata", "Catocala consors", "Catocala palaeogama", "Catocala sordida", "Catocala gracilis", "Catocala hyperconnexa", "Catocala nubila", "Argynnis hyperbius", "Melanitis phedima", "Lampides boeticus", "Agriosphodrus dohrni", "Citrus japonica", "Marginellona gigas", "Trifolium subg.", "Trifolium sect.", "Trifolium polyphyllum", "Trifolium sect.", "Trifolium albopurpureum", "Trifolium amabile", "Trifolium amoenum", "Trifolium andersonii", "Trifolium andinum", "Trifolium attenuatum", "Trifolium barbigerum", "Trifolium barnebyi", "Trifolium beckwithii", "Trifolium bejariense", "Trifolium bifidum", "Trifolium bolanderi", "Trifolium brandegeei", "Trifolium breweri", "Trifolium buckwestiorum", "Trifolium calcaricum", "Trifolium carolinianum", "Trifolium chilense", "Trifolium ciliolatum", "Trifolium cyathiferum", "Trifolium dasyphyllum", "Trifolium depauperatum", "Trifolium dichotomum", "Trifolium douglasii", "Trifolium eriocephalum", "Trifolium fucatum", "Trifolium gracilentum", "Trifolium gymnocarpon", "Trifolium haydenii", "Trifolium howellii", "Trifolium jokerstii", "Trifolium kingii", "Trifolium latifolium", "Trifolium leibergii", "Trifolium lemmonii", "Trifolium longipes", "Trifolium macilentum", "Trifolium macraei", "Trifolium macrocephalum", "Trifolium microcephalum", "Trifolium microdon", "Trifolium monanthum", "Trifolium mucronatum", "Trifolium nanum", "Trifolium neurophyllum", "Trifolium obtusiflorum", "Trifolium oliganthum", "Trifolium owyheense", "Trifolium parryi", "Trifolium pauciflorum", "Trifolium physanthum", "Trifolium pinetorum", "Trifolium plumosum", "Hyperaspis gyotokui", "Hyperaspis leechi", "Pantala flavescens", "Anax strenuus", "Nesogonia blackburni", "Megalagrion hawaiiense", "Megalagrion paludicola", "Megalagrion koelense", "Rhacodactylus auriculatus", "Megalagrion amaurodytum", "Megalagrion kauaiense", "Megalagrion oahuense", "Pseudopus apodus", "Ypthima argus", "Conoparia clarimonda", "Conoparia convexum", "Conoparia coriolan", "Conoparia davidsoni", "Conoparia inculpatum", "Conoparia latisulcatum", "Joeropsis tobagoensis", "Munna caprinsula", "Iais floridana", "Hirtaeschopalaea nubila", "Trachys pseudoscrobiculatus", "Iguana iguana", "Trifolium polymorphum", "Trifolium polyodon", "Trifolium reflexum", "Trifolium riograndense", "Trifolium siskiyouense", "Trifolium stoloniferum", "Trifolium wormskioldii", "Trifolium thompsonii", "Trifolium triaristatum", "Trifolium trichocalyx", "Trifolium variegatum", "Trifolium vernum", "Trifolium virginicum", "Trifolium wigginsii", "Trifolium willdenovii", "Trifolium sect.", "Trifolium eximium", "Trifolium gordejevii", "Trifolium lupinaster", "Trifolium sect.", "Trifolium glanduliferum", "Trifolium strictum", "Trifolium sect.", "Trifolium batmanicum", "Trifolium chlorotrichum", "Trifolium eriosphaerum", "Trifolium globosum", "Trifolium israeliticum", "Trifolium meduseum", "Trifolium pilulare", "Trifolium subterraneum", "Trifolium sect.", "Trifolium ambiguum", "Trifolium angulatum", "Trifolium bivonae", "Trifolium cernuum", "Trifolium euxinum", "Trifolium glomeratum", "Trifolium isthmocarpum", "Trifolium montanum", "Trifolium nigrescens", "Trifolium pachycalyx", "Trifolium pallescens", "Trifolium parnassi", "Trifolium pilczii", "Trifolium radicosum", "Trifolium retusum", "Trifolium suffocatum", "Trifolium thalii", "Trifolium uniflorum", "Trifolium sect.", "Trifolium affine", "Trifolium alexandrinum", "Trifolium alpestre", "Trifolium andricum", "Trifolium angustifolium", "Trifolium apertum", "Trifolium arvense", "Trichogramma aomoriense", "Trichogramma chilonis", "Trichogramma dendrolimi", "Trichogramma papilonis", "Trichogramma japonicum", "Bombyx mori", "Bombyx mandarina", "Lymantria dispar", "Lymantria mathura", "Apochima excavata", "Eupsilia hidakaensis", "Harpyia tokui", "Fissurellidea bimaculata", "Dimorphodon macronyx", "Beringius crebricostatus", "Beringius kennicotti", "Harpyia umbrosa", "Vespina nielseni", "Cupido osiris", "Cupido minimus", "Polygyriscus virginianus", "Uraecha oshimana", "Levenhookia sect.", "Olenecamptus formosanus", "Olenecamptus taiwanus", "Scymnus shoitii", "Miltonia flavescens", "Trifolium barbeyi", "Trifolium berytheum", "Trifolium blancheanum", "Trifolium bocconei", "Trifolium canescens", "Trifolium caucasicum", "Trifolium caudatum", "Trifolium cherleri", "Trifolium cinctum", "Trifolium clypeatum", "Trifolium congestum", "Trifolium constantinopolitanum", "Trifolium dalmaticum", "Trifolium dasyurum", "Trifolium davisii", "Trifolium dichroanthoides", "Trifolium dichroanthum", "Trifolium diffusum", "Trifolium echinatum", "Trifolium gemellum", "Trifolium haussknechtii", "Trifolium heldreichianum", "Trifolium hirtum", "Trifolium incarnatum", "Trifolium juliani", "Trifolium lappaceum", "Trifolium latinum", "Trifolium leucanthum", "Trifolium ligusticum", "Trifolium longidentatum", "Pedostrangalia femoralis", "Mimectatina divaricata divaricata", "Eumecocera trivittata", "Pteropus giganteus", "Cerdocyon thous", "Trifolium burchellianum", "Trifolium calocephalum", "Trifolium cheranganiense", "Trifolium chilaloense", "Trifolium clusii", "Trifolium cryptopodium", "Trifolium decorum", "Trifolium elgonense", "Trifolium fragiferum", "Trifolium gillettianum", "Trifolium hybridum", "Trifolium lanceolatum", "Trifolium lugardii", "Trifolium masaiense", "Trifolium mattirolianum", "Trifolium michelianum", "Trifolium multinerve", "Trifolium mutabile", "Trifolium ornithopodioides", "Trifolium petitianum", "Trifolium physodes", "Trifolium pichisermollii", "Trifolium polystachyum", "Trifolium pseudostriatum", "Trifolium purseglovei", "Trifolium quartinianum", "Trifolium resupinatum", "Trifolium rueppellianum", "Trifolium schimperi", "Trifolium semipilosum", "Trifolium setiferum", "Trifolium simense", "Trifolium somalense", "Trifolium spananthum", "Trifolium spumosum", "Trifolium steudneri", "Trifolium stolzii", "Trifolium tembense", "Trifolium tomentosum", "Trifolium tumens", "Trifolium ukingense", "Trifolium usambarense", "Trifolium vesiculosum", "Trifolium wentzelianum", "Mimozyganthus carinatus", "Ormosia apiculata", "Ormosia arborea", "Ormosia avilensis", "Ormosia calavensis", "Ormosia coarctata", "Ormosia coccinea", "Ormosia costulata", "Ormosia coutinhoi", "Ormosia discolor", "Ormosia emarginata", "Ormosia excelsa", "Ormosia fastigiata", "Ormosia flava", "Ormosia glauca", "Ormosia henryi", "Ormosia holerythra", "Deropygus histrio", "Choragus anobioides", "Choragus cryphaloides", "Choragus cryptocephalus", "Valenfriesia wollastoni", "Afrivoluta pringlei", "Trifolium lucanicum", "Trifolium mazanderanicum", "Trifolium medium", "Trifolium meironense", "Trifolium miegeanum", "Trifolium noricum", "Trifolium obscurum", "Trifolium ochroleucum", "Trifolium palaestinum", "Trifolium pallidum", "Trifolium pannonicum", "Trifolium patulum", "Trifolium phleoides", "Trifolium pignantii", "Trifolium plebeium", "Trifolium prophetarum", "Trifolium purpureum", "Trifolium roussaeanum", "Trifolium rubens", "Trifolium salmoneum", "Trifolium saxatile", "Trifolium scabrum", "Trifolium scutatum", "Trifolium squamosum", "Trifolium squarrosum", "Trifolium stellatum", "Trifolium stipulaceum", "Trifolium striatum", "Trifolium sylvaticum", "Trifolium trichocephalum", "Trifolium trichopterum", "Trifolium vavilovii", "Trifolium velebiticum", "Trifolium wettsteinii", "Trifolium sect.", "Trifolium acaule", "Trifolium africanum", "Trifolium aintabense", "Trifolium argutum", "Trifolium baccarinii", "Trifolium bilineatum", "Trifolium bullatum", "Hatzegopteryx thambema", "Bakonydraco galaczi", "Montanazhdarcho minor", "Phosphatodraco mauritanicus", "Zhejiangopterus linhaiensis", "Huaxiapterus jii", "Selatosomus puerilis", "Huaxiapterus corollatus", "Phyllobius japonicus", "Sinopterus dongi", "Sinopterus gui", "Macratria apicalis", "Macratria fluviatilis", "Macratria serialis", "Sesia yezoensis", "Zizina otis riukuensis", "Phengaris teleius genshigaharaensis", "Phengaris teleius okushiriensis", "Phengaris teleius tappiensis", "Ormosia hosiei", "Ormosia krugii", "Ormosia macrocalyx", "Ormosia macrophylla", "Ormosia melanocarpa", "Ormosia minor", "Ormosia monosperma", "Ormosia nitida", "Ormosia panamensis", "Ormosia paraensis", "Ormosia pinnata", "Ormosia semicastrata", "Ormosia smithii", "Ormosia sumatrana", "Ormosia tovarensis", "Ormosia xylocarpa", "Sympaector rugirostris", "Catocala streckeri", "Cephalallus ryukyuensis", "Lernaeocera phoxinacea", "Ceresium simile", "Ceresium simile simile", "Ceresium simile flavopubescens", "Urocyon littoralis", "Hipposideros ridleyi", "Xylotrechus chinensis", "Chlorophorus quinquefasciatus", "Notopais echinatus", "Notopais euaxos", "Notopais spicata", "Lirceolus nidulus", "Lirceolus cocytus", "Salmasellus howarthi", "Murex pecten", "Myobarbum laevigatum", "Caecidotea mackini", "Caecidotea simulator", "Caecidotea acuticarpa", "Caecidotea adenta", "Caecidotea stiladactyla", "Caecidotea salemensis", "Caecidotea fustis", "Caecidotea teresae", "Caecidotea antricola", "Calasellus longus", "Levenhookia sect.", "Mesosa konoi", "Levenhookia sect.", "Carcharodon carcharias", "Carcharhinus longimanus", "Mesosa amamiama", "Pothyne variegata", "Pothyne variegata hayashii", "Pseudotanais nipponicus", "Cryptocopoides pacificus", "Siphonolabrum tenebrosus", "Leptognathia aneristus", "Paragathotanais abyssorum", "Agathotanais hadalis", "Neotanais kuroshio", "Neotanais oyashio", "Fageapseudes brachyomos", "Carpoapseudes varindex", "Carpoapseudes spinigena", "Leucoptera puerariella", "Leucoptera ermolaevi", "Microthauma glycinella", "Microthauma lespedezella", "Paraleucoptera sinuella", "Proleucoptera celastrella", "Proleucoptera oxyphyllella", "Proleucoptera smilactis", "Megastigmus thuriferana", "Monosolenium tenerum", "Sepioteuthis lessoniana", "Archips endoi", "Archips fumosa", "Archips fuscocupreana", "Archips ingentana", "Archips insulana", "Archips issikii", "Archips meridionalis", "Archips nigricaudana", "Archips oporana", "Archips peratrata", "Archips pulchra", "Archips semistructa", "Archips stellata", "Archips subrufana", "Archips viola", "Archips xylosteana", "Enarmonia decor", "Enarmonia major", "Enarmonia minuscula", "Bucculatrix firmianella", "Bucculatrix pyrivorella", "Bucculatrix citima", "Paramartyria immaculatella", "Paramartyria semifasciella", "Neomicropteryx nipponensis", "Neomicropteryx kiwana", "Neomicropteryx redacta", "Neomicropteryx matsumurana", "Neomicropteryx bifurca", "Neomicropteryx cornuta", "Neomicropteryx elongata", "Neomicropteryx kazusana", "Eriocrania semipurpurella semipurpurella", "Issikiocrania japonicella", "Jengalpheops rufus", "Gazoryctra chishimana", "Gazoryctra macilentus", "Gazoryctra macilentus spinifera", "Gazoryctra macilentus macilentus", "Palpifer sexnotatus", "Pharmacis fusconebulosa", "Pharmacis fusconebulosa askoldensis", "Thitarodes variabilis", "Thitarodes nipponensis", "Phymatopus japonicus", "Endoclita excrescens", "Endoclita sinensis", "Acrocercops transecta", "Chilo suppressalis", "Nokona pernix", "Ostrinia zaguliaevi", "Epipomponia nawai", "Issikiomartyria akemiae", "Issikiomartyria bisegmentata", "Issikiomartyria distincta", "Issikiomartyria nudata", "Issikiomartyria plicata", "Kurokopteryx dolichocerata", "Eriocrania komaii", "Eriocrania sakhalinella", "Eriocrania semipurpurella", "Eriocrania sparrmannella", "Stigmella fumida", "Heliozela glabrata", "Heliozela brevitalea", "Heliozela limbata", "Heliozela biprominens", "Heliozela angulata", "Heliozela castaneella", "Heliozela subpurpurea", "Antispila cleyerella", "Antispila distyliella", "Antispila ampelopsia", "Antispila corniella", "Antispila iviella", "Antispila hikosana", "Antispila hydrangifoliella", "Antispila inouei", "Antispila orbiculella", "Antispila purplella", "Antispila tateshinensis", "Antispila uenoi", "Archips audax", "Archips betulana", "Archips breviplicana", "Archips capsigerana", "Stigmella titivillitia", "Stigmella kurotsubarai", "Stigmella nakamurai", "Stigmella nireae", "Stigmella ultima", "Stigmella orientalis", "Stigmella alaurulenta", "Stigmella chaenomelae", "Stigmella honshui", "Stigmella sorbivora", "Stigmella zumii", "Stigmella tranocrossa", "Stigmella vittata", "Stigmella acrochaetia", "Stigmella alikurokoi", "Stigmella ichigoiella", "Stigmella sesplicata", "Stigmella spiculifera", "Stigmella caesurifasciella", "Stigmella dentatae", "Stigmella aladina", "Stigmella kurokoi", "Stigmella zelkoviella", "Stigmella chrysopterella", "Stigmella clisiotophora", "Stigmella omelkoi", "Stigmella oa", "Stigmella egonokii", "Stigmella boehmeriae", "Stigmella kurilensis", "Bohemannia nubila", "Bohemannia manschurella", "Trifurcula oishiella", "Stigmella castanopsiella", "Stigmella hisaii", "Stigmella gimmonella", "Stigmella trifasciata", "Stigmella betulicola", "Stigmella cathepostis", "Stigmella conchyliata", "Stigmella oplismeniella", "Stigmella populnea", "Ectoedemia admiranda", "Ectoedemia scoblei", "Ectoedemia pilosae", "Ectoedemia arisi", "Ectoedemia peterseni", "Ectoedemia tigrinella", "Ectoedemia capesella", "Opostegoides albellus", "Opostegoides minodensis", "Opostegoides omelkoi", "Eosopostega issikii", "Pseudopostega auritella", "Pseudopostega crepusculella", "Tyriozela porphyrogona", "Adela reaumurella", "Adela praepilosa", "Adela luteocilis", "Adela luminaris", "Conoparia melpomene", "Conoparia melpomene erycina", "Conoparia melpomene melpomene", "Conoparia novaki", "Conoparia ofelia", "Conoparia regificum", "Conoparia rigunthis", "Conoparia testificatum", "Conoparia zeppa", "Cyphaspis advenum", "Cyphaspis barrandei", "Cyphaspis cornigerum", "Cyphaspis cultrifrons", "Cyphaspis intermedium", "Cyphaspis salutifera", "Warburgella rugulosa", "Warburgella rugulosa rugulosa", "Warburgella rugulosa rugosa", "Cyphaspis senior", "Nemophora umbripennis", "Nemophora pruinosa", "Nemophora marisella", "Nemophora raddei", "Nemophora askoldella", "Nemophora rubrofascia", "Nemophora paradisea", "Nemophora smaragdaspis", "Nemophora aurifera", "Nemophora tenuifasciata", "Nemophora ahenea", "Nemophora albiantennella", "Nemophora trimetrella", "Nemophora optima", "Nemophora bifasciatella", "Nemophora sylvatica", "Nemophora stellata", "Nemophora ochsenheimerella", "Nemophora wakayamensis", "Nemophora karafutonis", "Nemophora karafutonis karafutonis", "Nemophora karafutonis moriokensis", "Nemophora japonica", "Nemophora staudingerella", "Nemophora amatella", "Nemophora takamukuella", "Nemophora lapikella", "Nemophora polychorda", "Nemophora magnifica", "Astragalus berteroanus", "Hypocalyptus coluteoides", "Hypocalyptus oxalidifolius", "Hypocalyptus sophoroides", "Lasia concinna", "Lasia spinosa", "Rhaphidophora angustata", "Rhaphidophora decursiva", "Rhaphidophora foraminifera", "Rhaphidophora montana", "Rhaphidophora schlechteri", "Rhaphidophora sylvestris", "Perrottetia racemosa", "Rosularia sempervivoides", "Rosularia sempervivum", "Acomys cilicicus", "Ameca splendens", "Cataloipus fuscocoeruleipes", "Acanthoscurria antillensis", "Holothele sulfurensis", "Spermacoce fabiformis", "Tenupedunculus serraticaudum", "Neojaera caeca", "Bathygonium moskalevi", "Hebomoia glaucippe", "Tole spinosa", "Oryctolagus cuniculus cuniculus", "Rhyssonotus costatus", "Rhyssonotus grandis", "Rhyssonotus jugularis", "Rhyssonotus laticeps", "Rhyssonotus nebulosus", "Rhyssonotus parallelus", "Rhyssonotus politis", "Uca pugilator", "Formica pratensis", "Formica polyctena", "Formica lugubris", "Formica dirksi", "Formica uralensis", "Formica talbotae", "Formica rufa", "Argiope appensa", "Bellatorias frerei", "Arthrocaulon macrostachyum", "Joeropsis lobata", "Janiralata erostrata", "Janiralata triangulata", "Tenupedunculus dentimanum", "Tenupedunculus beddardi", "Whoia angusta", "Paraglenea fortunei", "Sotalia guianensis", "Leopardus pajeros", "Leopardus braccatus", "Liquidambar orientalis", "Grus primigenia", "Naja naja", "Ara tricolor", "Ovis dalli", "Tineola bisselliella", "Tinea translucens", "Tinea protograpta", "Tinea trapezoides", "Tinea columbariella", "Monopis pavlovskii", "Monopis flavidorsalis", "Ceratosticha leptodeta", "Dasyses barbata", "Dasyses rugosella", "Wegneria cerodelta", "Opogona nipponica", "Opogona thiadelpha", "Opogona sacchari", "Dryadaula epischista", "Erechthias itoi", "Erechthias sphenoschista", "Erechthias zebrina", "Erechthias ioloxa", "Comodica contributa", "Psychoides phaedrospora", "Eumasia viridilichenella", "Eumasia muscella", "Diplodoma laichartingella", "Trigonodoma japonica", "Paranarychia albomaculatella", "Anatolopsyche stylifera", "Siederia listerella", "Tischeria naraensis", "Tischeria decidua", "Tischeria quercifolia", "Emmetia angusticollella", "Pimelodina flavipinnis", "Emmetia heinemanni", "Emmetia szoecsi", "Emmetia szoecsi japonica", "Emmetia szoecsi szoecsi", "Coptotriche japoniella", "Pelecystola strigosa", "Cephitinea colonella", "Gaphara conspersa", "Psecadioides aspersus", "Gerontha borea", "Cephimallota chasanica", "Liopycnas percnombra", "Micrerethista denticulata", "Eudarcia orbiculidomus", "Piaractus brachypomus", "Steindachnerina amazonica", "Curimata inornata", "Scardia amurensis", "Amorophaga japonica", "Morophaga bucephala", "Morophaga iriomotensis", "Dahlica parthenogenesis", "Anax parthenope", "Thomasia pygmaea", "Triplochiton scleroxylon", "Waltheria indica", "Memecylon edule", "Memecylon spathandra", "Memecylon umbellatum", "Mouriri acutiflora", "Mouriri apiranga", "Mouriri crassifolia", "Mouriri domingensis", "Mouriri elliptica", "Mouriri eugeniifolia", "Mouriri ficoides", "Mouriri grandiflora", "Mouriri guianensis", "Mouriri pusa", "Mouriri trunciflora", "Taleporia shosenkyoensis", "Taleporia amariensis", "Taleporia trichopterella", "Pseudognaphalium californicum", "Pseudognaphalium leucocephalum", "Pseudognaphalium obtusifolium", "Pseudognaphalium ramosissimum", "Pterocaulon rugosum", "Sinclairia andrieuxii", "Uropappus lindleyi", "Taleporia nigropterella", "Kozhantshikovia vernalis", "Kozhantshikovia aestivalis", "Bacotia sakabei", "Psyche niphonica", "Manatha taiwana", "Eumeta variegata", "Eumeta minuscula", "Eumeta kiushiuana", "Canephora pungelerii", "Nipponopsyche fuscescens", "Chalioides kondonis", "Acanthopsyche nigraplaga", "Mahasena aurea", "Striglocyrbasia meguae", "Roeslerstammia pronubella", "Roeslerstammia erxlebella", "Roeslerstammia pronubella nitidella", "Roeslerstammia pronubella pronubella", "Roeslerstammia erxlebella bella", "Roeslerstammia erxlebella erxlebella", "Telethera blepharacma", "Agriothera elaeocarpophaga", "Villadia elongata", "Villadia ramosissima", "Nematopogon distinctus", "Nematopogon dorsigutellus", "Nematopogon robertellus", "Lampronia altaica", "Prochilodus nigricans", "Hansenium spathulicarpus", "Hansenium bowmani", "Mizothenar patulipalma", "Carpias punctatus", "Angeliera psamathus", "Microcharon sabulum", "Joeropsis bifasciatus", "Joeropsis personatus", "Munna petronastes", "Joeropsis sanctipauli", "Hansenium caicosensis", "Ilyarachna crozetensis", "Lampronia corticella", "Lampronia flavimitrella", "Greya marginimaculata", "Greya variabilis", "Phylloporia bistrigella", "Protocteniza britannica", "Procacitas orientella", "Alloclemensia unifasciata", "Alloclemensia maculata", "Excurvaria praelatella", "Polygonum aviculare", "Euphorbia cupularis", "Euphorbia pseudograntii", "Conostylis crassinerva", "Conostylis drummondii", "Curculigo orchioides", "Orthosiphon aristatus", "Limeum aethiopicum", "Ginoria americana", "Ginoria ginorioides", "Lafoensia glyptocarpa", "Lafoensia pacari", "Lafoensia punicifolia", "Lafoensia vandelliana", "Lythrum acutangulum", "Lythrum alatum", "Lythrum californicum", "Lythrum hyssopifolia", "Lythrum portula", "Lythrum salicaria", "Lythrum virgatum", "Punica protopunica", "Sonneratia alba", "Sonneratia caseolaris", "Woodfordia fruticosa", "Liriodendron chinense", "Liriodendron tulipifera", "Corchorus aestuans", "Corchorus capsularis", "Corchorus hirtus", "Corchorus neocaledonicus", "Corchorus olitorius", "Corchorus siliquosus", "Corchorus tridens", "Corchorus trilocularis", "Corchorus walcottii", "Melochia corchorifolia", "Melochia umbellata", "Paraclemensia caerulea", "Paraclemensia viridis", "Paraclemensia oligospina", "Paraclemensia cyanea", "Paraclemensia incerta", "Paraclemensia monospina", "Incurvaria takeuchii", "Incurvaria alniella", "Incurvaria vetulella", "Morophaga fasciculata", "Morophaga formosana", "Morophaga choragella", "Morophaga moriutii", "Morophaga kurenzovi", "Dinica endochrysa", "Haplotinea insectella", "Nemapogon granella", "Nemapogon gerasimovi", "Triaxomera puncticulata", "Crypsithyris japonica", "Crypsithyris saigusai", "Crypsithyris cana", "Crypsithyris crococoma", "Tineovertex melanochryseus", "Hoplias malabaricus", "Parauchenipterus galeatus", "Erythrinus erythrinus", "Hoplerythrinus unitaeniatus", "Rhina ancylostoma", "Pygocentrus nattereri", "Tanypteryx pryeri", "Trichophaga tapetzella", "Niditinea striolella", "Spathacanthus hoffmannii", "Condylocarpon isthmicum", "Fockea multiflora", "Mesechites trifidus", "Toxocarpus wrightianus", "Podolasia stipitata", "Mackinlaya confusa", "Mexicope kensleyi", "Orania aruensis", "Orania palindan", "Orania regalis", "Orania sylvicola", "Aetheorhiza bulbosa", "Neolamprologus brichardi", "Neolamprologus multifasciatus", "Coreopsis sect.", "Coreopsis rosea", "Coreopsis nudata", "Helix pomatia", "Coreopsis gladiata", "Coreopsis integrifolia", "Coreopsis sect.", "Coreopsis leavenworthii", "Helix ceratina", "Coreopsis paludosa", "Coreopsis tinctoria", "Coreopsis sect.", "Coreopsis bigelovii", "Coreopsis calliopsidea", "Coreopsis hamiltonii", "Coreopsis sect.", "Coreopsis cyclocarpa", "Coreopsis sect.", "Coreopsis mcvaughii", "Coreopsis petrophila", "Coreopsis petrophiloides", "Coreopsis rudis", "Dicoria canescens", "Egletes prostrata", "Elytropappus rhinocerotis", "Enydra sessilis", "Eilhardia schulzei", "Geraea canescens", "Jaumea carnosa", "Pericome caudata", "Giganotosaurus carolinii", "Melocactus conoideus", "Melocactus deinacanthus", "Melocactus glaucescens", "Lavoisiera itambana", "Melocactus paucispinus", "Batocarpus costaricensis", "Cattleya jongheana", "Cattleya lobata", "Coreopsis sect.", "Coreopsis gigantea", "Coreopsis maritima", "Coreopsis sect.", "Coreopsis californica", "Coreopsis douglasii", "Coreopsis stillmanii", "Coreopsis sect.", "Coreopsis latifolia", "Coreopsis sect.", "Coreopsis delphiniifolia", "Coreopsis major", "Coreopsis palmata", "Coreopsis pulchra", "Coreopsis tripteris", "Coreopsis verticillata", "Coreopsis sect.", "Coreopsis auriculata", "Coreopsis basalis", "Coreopsis grandiflora", "Coreopsis intermedia", "Coreopsis lanceolata", "Coreopsis nuecensis", "Coreopsis nuecensoides", "Coreopsis pubescens", "Protolycosa anthracophila", "Rakovnicia antiqua", "Parornix multimaculata", "Parornix betulae", "Parornix alni", "Parornix minor", "Macarostola japonica", "Gracillaria albicapitata", "Gracillaria japonica", "Gracillaria ussuriella", "Gracillaria arsenievi", "Caloptilia cuculipennella", "Caloptilia stigmatella", "Caloptilia chrysolampra", "Caloptilia theivora", "Caloptilia zachrysa", "Caloptilia isochrysa", "Caloptilia ariana", "Caloptilia magnifica", "Caloptilia magnifica magnifica", "Caloptilia magnifica moriokensis", "Caloptilia geminata", "Caloptilia ryukyuensis", "Picrorhiza kurrooa", "Acrodectes philopagus", "Afrodrymadusa fallaciosa", "Ammoxenulus desertus", "Ammoxenulus pavlovskii", "Amphiestris baetica", "Anadolua burri", "Anadolua davisi", "Anadolua rammei", "Anadolua schwarzi", "Cytinus hypocistis", "Stenomeris dioscoreifolia", "Trigonella anguina", "Trigonella arabica", "Trigonella balansae", "Trigonella berythea", "Trigonella bicolor", "Trigonella caerulea", "Trigonella calliceras", "Trigonella coelesyriaca", "Trigonella coerulescens", "Trigonella corniculata", "Trigonella cretica", "Trigonella cylindracea", "Trigonella elliptica", "Trigonella emodi", "Trigonella foenum-graecum", "Rana iberica", "Sason robustum", "Ctenopoma acutirostre", "Ctenopoma argentoventer", "Ctenopoma ashbysmithi", "Callinectes sapidus", "Callinectes arcuatus", "Idiops constructor", "Idiosoma nigrum", "Tympanophora aka", "Tympanophora andreae", "Tympanophora diminuta", "Tympanophora houstoni", "Tympanophora insolita", "Tympanophora kalbarri", "Tympanophora ourapilla", "Tympanophora pellucida", "Tympanophora picta", "Tympanophora pinnaroo", "Tympanophora rotto", "Tympanophora similis", "Tympanophora splendida", "Tympanophora uvarovi", "Tympanotriba vittata", "Ctenopoma garuanum", "Ctenopoma houyi", "Ctenopoma kingsleyae", "Ctenopoma machadoi", "Ctenopoma maculatum", "Trigonella geminiflora", "Trigonella glabra", "Trigonella gladiata", "Trigonella gracilis", "Trigonella grandiflora", "Trigonella hierosolymitana", "Trigonella kotschyi", "Trigonella laxiflora", "Trigonella macrorrhyncha", "Trigonella maritima", "Trigonella mesopotamica", "Trigonella occulta", "Trigonella procumbens", "Trigonella rechingeri", "Trigonella schlumbergeri", "Trigonella spicata", "Trigonella spinosa", "Trigonella spruneriana", "Trigonella stellata", "Trigonella suavissima", "Trigonella velutina", "Trigonella verae", "Platostoma africanum", "Ctenopoma multispine", "Decaschistia crotonifolia", "Ctenopoma muriei", "Franciscodendron laurifolium", "Ctenopoma nebulosum", "Ctenopoma nigropannosum", "Helicteres angustifolia", "Helicteres baruensis", "Helicteres isora", "Helicteres jamaicensis", "Helicteres ovata", "Helicteres sacarolha", "Helicteres semitriloba", "Helicteres viscida", "Jarandersonia clemensiae", "Plagianthus divaricatus", "Radyera farragei", "Radyera urens", "Ctenopoma ocellatum", "Ctenopoma pellegrini", "Stegosaurus longispinus", "Ateloplus coconino", "Ateloplus hesperus", "Ateloplus joaquin", "Ateloplus luteus", "Ateloplus minor", "Ateloplus notatus", "Ateloplus schwarzi", "Ateloplus splendidus", "Branta hutchinsii", "Monachus tropicalis", "Apis cerana nuluensis", "Apis laboriosa", "Veronicastrum axillare", "Veronicastrum caulopterum", "Veronicastrum cerasifolium", "Veronicastrum sibiricum", "Veronicastrum tubiflorum", "Veronicastrum virginicum", "Wulfeniopsis amherstiana", "Ctenopoma petherici", "Ctenopoma riggenbachi", "Ctenopoma togoensis", "Ctenopoma weeksii", "Microctenopoma ansorgii", "Microctenopoma congicum", "Microctenopoma damasi", "Microctenopoma fasciolatum", "Microctenopoma intermedium", "Coraebus amamianus", "Cicindela japonica", "Luthrodes pandava", "Crocothemis servilia", "Catocala fulminea", "Catocala fulminea xarippe", "Catocala patala", "Catocala patala volcanica", "Catocala jonasii", "Aphanisticus okinawanus", "Agonita omoro", "Tsujius itoi", "Reevesia pubescens", "Reevesia thyrsoidea", "Zaprochilus australis", "Zaprochilus jingemarra", "Zaprochilus mongabarra", "Zaprochilus ninae", "Anthophiloptera dryas", "Kawanaphila gidya", "Kawanaphila goolwa", "Kawanaphila iyouta", "Kawanaphila lexceni", "Kawanaphila mirla", "Kawanaphila nartee", "Kawanaphila pachomai", "Kawanaphila pillara", "Kawanaphila triodiae", "Kawanaphila ungarunya", "Kawanaphila yarraga", "Windbalea viride", "Windbalea warrooa", "Phelline comosa", "Digitalis ferruginea", "Digitalis grandiflora", "Digitalis laevigata", "Digitalis lanata", "Digitalis lutea", "Digitalis mariana", "Digitalis nervosa", "Digitalis obscura", "Digitalis parviflora", "Digitalis purpurea", "Digitalis thapsi", "Digitalis viridiflora", "Azeca goodalli", "Septotheca tessmannii", "Trichospermum mexicanum", "Huberia semiserrata", "Mitrastemon yamamotoi", "Mollugo verticillata", "Microctenopoma lineatum", "Microctenopoma milleri", "Microctenopoma nanum", "Microctenopoma nigricans", "Microctenopoma ocellifer", "Microctenopoma pekkolai", "Microctenopoma uelense", "Sandelia bainsii", "Sandelia capensis", "Compsoneura sprucei", "Myrothamnus flabellifolius", "Myrothamnus moschata", "Narthecium ossifragum", "Narthecium americanum", "Narthecium asiaticum", "Liparis nervosa", "Liparis viridiflora", "Tropidia nipponica", "Pandanus affinis", "Pandanus amaryllifolius", "Pandanus atrocarpus", "Pandanus baptistii", "Pandanus boninensis", "Pandanus fascicularis", "Wulfenia baldaccii", "Eriochloa acuminata", "Eriochloa aristata", "Eriochloa australiensis", "Eriochloa contracta", "Eriochloa crebra", "Eriochloa fatmensis", "Eriochloa lemmonii", "Eriochloa meyeriana", "Eriochloa polystachya", "Eriochloa procera", "Eriochloa pseudoacrotricha", "Eriochloa punctata", "Eriochloa sericea", "Eriochloa villosa", "Hipposideros abae", "Hipposideros armiger", "Hipposideros armiger armiger", "Hipposideros armiger fujianensis", "Equus mulus", "Hipposideros armiger terasensis", "Hipposideros armiger tranninhensis", "Equus asinus somaliensis", "Triceratops prorsus", "Isachne arundinacea", "Isachne disperma", "Isachne globosa", "Isachne kunthiana", "Isachne myosotis", "Isachne polygonoides", "Lepturus repens", "Lygeum spartum", "Hipposideros ater", "Hipposideros ater ater", "Hipposideros ater amboinensis", "Hipposideros ater antricola", "Hipposideros ater aruensis", "Hipposideros ater gilberti", "Hipposideros ater nicobarulae", "Hipposideros ater saevus", "Hipposideros beatus", "Hipposideros beatus beatus", "Hipposideros beatus maximus", "Hipposideros bicolor", "Pandanus spiralis", "Pandanus utilis", "Pandanus butayei", "Pandanus copelandii", "Pandanus dubius", "Pandanus furcatus", "Pandanus graminifolius", "Pandanus humilis", "Pandanus labyrinthicus", "Pandanus leram", "Pandanus luzonensis", "Pandanus odorifer", "Pandanus parvus", "Pandanus polycephalus", "Pandanus punicularis", "Pandanus vandermeeschii", "Badis assamensis", "Badis badis", "Badis blosyrus", "Badis chittagongis", "Badis corycaeus", "Badis ferrarisi", "Badis kanabos", "Badis khwae", "Badis kyar", "Badis pyema", "Badis ruber", "Badis siamensis", "Badis tuivaiei", "Hipposideros bicolor bicolor", "Hipposideros bicolor atrox", "Hipposideros bicolor erigens", "Hipposideros bicolor hilli", "Hipposideros bicolor major", "Hipposideros bicolor selatan", "Hipposideros bicolor tanimbarensis", "Hipposideros breviceps", "Hydrodamalis cuestae", "Missulena bradleyi", "Missulena occatoria", "Hipposideros caffer", "Hipposideros caffer caffer", "Hipposideros caffer angolensis", "Hipposideros caffer nanus", "Hipposideros caffer tephrus", "Hipposideros calcaratus", "Hipposideros calcaratus calcaratus", "Hipposideros calcaratus cupidus", "Hipposideros camerunensis", "Hipposideros cervinus", "Hipposideros cervinus cervinus", "Hipposideros cervinus batchianus", "Hipposideros cervinus labuanensis", "Hipposideros cervinus misoriensis", "Hipposideros cineraceus", "Hipposideros cineraceus cineraceus", "Hipposideros cineraceus wrighti", "Hipposideros commersoni", "Hipposideros coronatus", "Hipposideros corynophyllus", "Hipposideros coxi", "Hipposideros crumeniferus", "Hipposideros curtus", "Hipposideros cyclops", "Monanthochloe acerosa", "Monanthochloe littoralis", "Thyridolepis mitchelliana", "Thyridolepis xerophila", "Microcachrys tetragona", "Pherosphaera fitzgeraldii", "Microstrobos niphophilus", "Nageia fleuryi", "Nageia nagi", "Nageia wallichiana", "Saxegothaea conspicua", "Sedum havardii", "Sedum hemsleyanum", "Sedum hispanicum", "Sedum lanceolatum", "Sedum lineare", "Sedum leblancei", "Sedum magellense", "Sedum makinoi", "Sedum moranense", "Sedum multiceps", "Sedum napiferum", "Sedum nevii", "Sedum nuttallianum", "Sedum oregonense", "Sedum pachyphyllum", "Sedum palmeri", "Sedum parvum", "Sedum \u00d7 rubrotinctum", "Sedum rupicola", "Sedum sarmentosum", "Sedum sexangulare", "Sedum spathulifolium", "Sedum stahlii", "Sedum stenopetalum", "Sedum subtile", "Sedum ternatum", "Sedum urvillei", "Bongardia chrysogonum", "Burmannia bicolor", "Burmannia disticha", "Aurimastris otina", "Aurimastris expansa", "Edoughnura rara", "Porrhothele antipodiana", "Anabas cobojius", "Suaeda calceoliformis", "Suaeda californica", "Anabas testudineus", "Suaeda corniculata", "Suaeda glauca", "Suaeda nigra", "Suaeda occidentalis", "Suaeda vera", "Sedum bulbiferum", "Sedum cockerellii", "Sedum conzattii", "Sedum dendroideum", "Sedum diffusum", "Sedum ebracteatum", "Sedum gattefossei", "Sedum gracile", "Sedum greggii", "Polypodium vulgare", "Polypodium appalachianum", "Polypodium asterolepis", "Polypodium californicum", "Polypodium cambricum", "Polypodium excavatum", "Selliguea feei", "Polypodium furfuraceum", "Polypodium glycyrrhiza", "Polypodium lepidopteris", "Polypodium nigrescens", "Polypodium phymatodes", "Polypodium sibiricum", "Polypodium virginianum", "Anacampseros albidiflora", "Anacampseros arachnoides", "Anacampseros baeseckei", "Anacampseros bayeriana", "Anacampseros comptonii", "Anacampseros dielsiana", "Anacampseros filamentosa", "Anacampseros lanceolata", "Anacampseros marlothii", "Anacampseros retusa", "Anacampseros rufescens", "Anacampseros scopata", "Anacampseros subnuda", "Anacampseros telephiastrum", "Actinacanthus tricarinatus", "Actogidiella cultrifera", "Adeliella laticornis", "Adeliella olivieri", "Adeliella takoradia", "Aequigidiella aquilifera", "Afridiella messanai", "Afridiella pectinicauda", "Afridiella somala", "Hipposideros demissus", "Hipposideros diadema", "Hipposideros diadema diadema", "Hipposideros diadema ceramensis", "Hipposideros diadema custos", "Hipposideros diadema enganus", "Hipposideros diadema euotis", "Hipposideros diadema griseus", "Hipposideros diadema masoni", "Hipposideros diadema mirandus", "Hipposideros diadema natunensis", "Hipposideros diadema nicobarensis", "Hipposideros diadema nobilis", "Methanopyrus kandleri", "Leuconostoc mesenteroides", "Oenococcus oeni", "Pilibacter termitis", "Acrantophis dumerili", "Acrantophis madagascariensis", "Phrynocephalus versicolor", "Catostylus townsendi", "Protreaster nodosus", "Rhinolophus affinis nesites", "Rhinolophus affinis princes", "Rhinolophus affinis superans", "Rhinolophus affinis tener", "Icaricia icarioides", "Icaricia icarioides fenderi", "Icaricia icarioides icarioides", "Icaricia icarioides missionensis", "Hamearis lucina", "Sousa chinensis chinensis", "Aphyolebias peruensis", "Vespula germanica", "Solanum marginatum", "Astragalus balearicus", "Pangshura tecta", "Agilestia hylaea", "Agilestia hyperocha", "Holodiscus discolor", "Holodiscus dumosus", "Kageneckia oblonga", "Luetkea pectinata", "Lyonothamnus floribundus", "Akerogammarus contiguus", "Akerogammarus knipowitschi", "Proteroctopus ribeti", "Hipposideros diadema oceanitis", "Hipposideros diadema reginae", "Hipposideros diadema speculator", "Hipposideros diadema trobrius", "Hipposideros dinops", "Hipposideros doriae", "Hipposideros durgadasi", "Hipposideros dyacorum", "Hipposideros edwardshilli", "Hipposideros fuliginosus", "Hipposideros fulvus", "Hipposideros fulvus fulvus", "Hipposideros fulvus pallidus", "Hipposideros galeritus", "Hipposideros galeritus galeritus", "Hipposideros galeritus brachyotis", "Hipposideros galeritus insolens", "Hipposideros galeritus longicauda", "Hipposideros gigas", "Hipposideros grandis", "Hipposideros halophyllus", "Hipposideros hypophyllus", "Hipposideros inexpectatus", "Hipposideros inornatus", "Hipposideros jonesi", "Hipposideros lamottei", "Hipposideros lankadiva", "Hipposideros larvatus", "Hipposideros larvatus larvatus", "Hipposideros larvatus barbensis", "Hipposideros larvatus leptophyllus", "Hipposideros larvatus neglectus", "Hipposideros larvatus poutensis", "Hipposideros lekaguli", "Hipposideros lylei", "Hipposideros macrobullatus", "Hipposideros madurae", "Hipposideros madurae madurae", "Hipposideros madurae jenningsi", "Talinum fruticosum", "Talinum paniculatum", "Quintinia serrata", "Dichocarpum auriculatum", "Isopyrum anemonoides", "Dichocarpum dicarpon", "Leptopyrum fumarioides", "Paraquilegia anemonoides", "Semiaquilegia adoxoides", "Filipendula glaberrima", "Filipendula palmata", "Filipendula ulmaria", "Filipendula vestita", "Filipendula vulgaris", "Episyrphus balteatus", "Anthops ornatus", "Asellia patrizii", "Asellia tridens", "Asellia tridens diluta", "Asellia tridens italosomalica", "Asellia tridens murraiana", "Asellia tridens tridens", "Aselliscus stoliczkanus", "Aselliscus tricuspidatus", "Aselliscus tricuspidatus koopmani", "Aselliscus tricuspidatus novaeguinae", "Aselliscus tricuspidatus novehebridensis", "Aselliscus tricuspidatus tricuspidatus", "Cloeotis percivali", "Cloeotis percivali australis", "Cloeotis percivali percivali", "Coelops frithii", "Coelops frithii bernsteini", "Coelops frithii formosanus", "Coelops frithii frithii", "Coelops frithii inflatus", "Coelops frithii sinicus", "Coelops robinsoni", "Coelops robinsoni hirsutus", "Coelops robinsoni robinsoni", "Paracoelops megalotis", "Rhinonicteris aurantia", "Paratriaenops auritus", "Paratriaenops furculus", "Triaenops persicus", "Triaenops afer", "Rhinolophus acuminatus", "Rhinolophus acuminatus acuminatus", "Rhinolophus acuminatus audax", "Rhinolophus acuminatus calypso", "Rhinolophus acuminatus circe", "Rhinolophus acuminatus sumatranus", "Rhinolophus adami", "Rhinolophus affinis", "Rhinolophus affinis affinis", "Rhinolophus affinis andamanensis", "Rhinolophus affinis hainanus", "Rhinolophus affinis himalayanus", "Rhinolophus affinis macrurus", "Eonycteris major", "Eonycteris robusta", "Eonycteris spelaea", "Eonycteris spelaea glandifera", "Eonycteris spelaea rosenbergii", "Eonycteris spelaea spelaea", "Eonycteris spelaea winnyae", "Macroglossus minimus", "Macroglossus minimus booensis", "Macroglossus minimus lagochilus", "Macroglossus minimus minimus", "Macroglossus minimus nanus", "Macroglossus sobrinus", "Macroglossus sobrinus fraternus", "Macroglossus sobrinus sobrinus", "Megaloglossus woermanni", "Syconycteris australis", "Syconycteris australis australis", "Syconycteris australis crassa", "Syconycteris australis finschi", "Syconycteris australis keyensis", "Syconycteris australis major", "Syconycteris australis naias", "Syconycteris australis papuana", "Syconycteris carolinae", "Syconycteris hobbit", "Rhinolophus hildebrandtii", "Rhinolophus hilli", "Rhinolophus hillorum", "Rhinolophus hipposideros escalerae", "Rhinolophus hipposideros hipposideros", "Rhinolophus hipposideros majori", "Rhinolophus hipposideros midas", "Rhinolophus hipposideros minimus", "Rhinolophus hipposideros minutus", "Rhinolophus imaizumii", "Rhinolophus inops", "Bison bison athabascae", "Bison bison bison", "Bison bison septemtrionalis", "Longistylus ygapema", "Rhinolophus keyensis", "Rhinolophus keyensis amiri", "Rhinolophus keyensis keyensis", "Rhinolophus keyensis parvus", "Rhinolophus keyensis simplex", "Rhinolophus landeri", "Rhinolophus landeri angolensis", "Rhinolophus landeri landeri", "Rhinolophus lobatus", "Rhinolophus lepidus", "Rhinolophus lepidus cuneatus", "Rhinolophus lepidus feae", "Rhinolophus lepidus lepidus", "Rhinolophus lepidus monticola", "Rhinolophus lepidus refulgens", "Rhinolophus luctus", "Rhinolophus luctus foetidus", "Rhinolophus luctus lanosus", "Rhinolophus luctus luctus", "Rhinolophus luctus morio", "Rhinolophus luctus perniger", "Rhinolophus luctus spurcus", "Potentilla togasii", "Sibbaldia tridentata", "Potentilla villosa", "Prinsepia sinensis", "Prinsepia uniflora", "Prinsepia utilis", "Rhodotypos scandens", "Sibiraea laevigata", "Marmota flaviventris", "Heloderma horridum", "Rhinolophus siamensis", "Dendrogyra cylindricus", "Rhinolophus silvestris", "Rhinolophus simulator", "Rhinolophus simulator alticolus", "Rhinolophus simulator simulator", "Rhinolophus sinicus", "Rhinolophus sinicus septentrionalis", "Rhinolophus sinicus sinicus", "Rhinolophus stheno", "Rhinolophus stheno microglobosus", "Rhinolophus stheno stheno", "Rhinolophus subbadius", "Rhinolophus subrufus", "Rhinolophus subrufus bunkeri", "Rhinolophus subrufus subrufus", "Rhinolophus swinnyi", "Rhinolophus thomasi", "Rhinolophus thomasi latifolius", "Rhinolophus thomasi thomasi", "Rhinolophus trifoliatus", "Rhinolophus trifoliatus edax", "Rhinolophus trifoliatus niasensis", "Rhinolophus trifoliatus solitarius", "Rhinolophus trifoliatus trifoliatus", "Rhinolophus virgo", "Rhinolophus yunanensis", "Rhinolophus ziama", "Hydrastis canadensis", "Micranthes nivalis", "Nepenthes ampullaria", "Coleogyne ramosissima", "Exochorda racemosa", "Hipposideros maggietaylorae", "Hipposideros maggietaylorae maggietaylorae", "Hipposideros maggietaylorae erroris", "Hipposideros marisae", "Hipposideros megalotis", "Hipposideros muscinus", "Hipposideros nequam", "Hipposideros obscurus", "Hipposideros orbiculus", "Hipposideros papua", "Hipposideros pelingensis", "Hipposideros pomona", "Hipposideros pomona gentiles", "Hipposideros pomona pomona", "Hipposideros pomona sinensis", "Hipposideros pratti", "Hipposideros pygmaeus", "Hipposideros rotalis", "Hipposideros ruber", "Hipposideros ruber guineensis", "Hipposideros ruber ruber", "Hipposideros scutinares", "Hipposideros semoni", "Hipposideros sorenseni", "Hipposideros speoris", "Hipposideros stenotis", "Hipposideros sumbae", "Hipposideros sumbae rotiensis", "Hipposideros sumbae sumbae", "Hipposideros sumbae sumbawae", "Hipposideros thomensis", "Hipposideros turpis", "Hipposideros turpis alongensis", "Hipposideros turpis pendleburyi", "Hipposideros turpis turpis", "Hipposideros vittatus", "Hipposideros wollastoni", "Hipposideros wollastoni fasensis", "Hipposideros wollastoni parnabyi", "Hipposideros wollastoni wollastoni", "Bathynomus giganteus", "Plesiolena bonneti", "Plesiolena jorgelina", "Afrochiltonia australis", "Afrochiltonia capensis", "Afrochiltonia subtenuis", "Afrogitanopsis paguri", "Pelodiscus sinensis", "Filipendula camtschatica", "Neviusia alabamensis", "Neviusia cliftonii", "Oemleria cerasiformis", "Petrophytum caespitosum", "Polylepis tarapacana", "Potentilla ambigua", "Potentilla andicola", "Potentilla argentea", "Drymocallis arguta", "Potentilla articulata", "Potentilla atrosanguinea", "Potentilla biennis", "Potentilla biflora", "Potentilla buccoana", "Rhinolophus alcyone", "Rhinolophus arcuatus", "Rhinolophus arcuatus angustifolius", "Rhinolophus arcuatus arcuatus", "Rhinolophus arcuatus beccarii", "Rhinolophus arcuatus exiguus", "Rhinolophus arcuatus mcintyrei", "Rhinolophus arcuatus proconsulis", "Rhinolophus arcuatus toxopeusi", "Rhinolophus beddomei", "Rhinolophus beddomei beddomei", "Rhinolophus beddomei sobrinus", "Rhinolophus blasii andreinii", "Rhinolophus blasii blasii", "Rhinolophus blasii empusa", "Rhinolophus blasii meyeroehmi", "Rhinolophus bocharicus", "Rhinolophus borneensis", "Rhinolophus borneensis borneensis", "Rhinolophus borneensis chaseni", "Rhinolophus borneensis importunus", "Rhinolophus borneensis spadix", "Rhinolophus canuti", "Rhinolophus canuti canuti", "Rhinolophus canuti timoriensis", "Rhinolophus capensis", "Rhinolophus celebensis", "Rhinolophus celebensis celebensis", "Rhinolophus celebensis javanicus", "Rhinolophus clivosus", "Rhinolophus clivosus acrotis", "Rhinolophus clivosus augur", "Rhinolophus clivosus brachygnathus", "Rhinolophus clivosus clivosus", "Rhinolophus clivosus keniensis", "Rhinolophus clivosus schwarzi", "Homalopsis buccata", "Platystomos sellatus", "Notopteris macdonaldi", "Notopteris neocaledonica", "Sympetrum flaveolum", "Austrolestes cingulatus", "Dolichovespula maculata", "Aethalops aequalis", "Aethalops alecto", "Aethalops alecto alecto", "Aethalops alecto boeadii", "Aethalops alecto ocypete", "Trithemis kirbyi", "Eristalis tenax", "Sympetrum fonscolombii", "Cynopterus sphinx", "Cynopterus sphinx angulatus", "Cynopterus sphinx babi", "Cynopterus sphinx pagensis", "Cynopterus sphinx scherzeri", "Cynopterus sphinx serasani", "Cynopterus sphinx sphinx", "Cynopterus titthaecheilus", "Cynopterus titthaecheilus major", "Cynopterus titthaecheilus terminus", "Cynopterus titthaecheilus titthaecheilus", "Dyacopterus brooksi", "Dyacopterus spadiceus", "Ctenosaura pectinata", "Rangifer tarandus groenlandicus", "Tamias rufus", "Haplonycteris fischeri", "Latidens salimalii", "Megaerops ecaudatus", "Rhinolophus clivosus zuluensis", "Rhinolophus coelophyllus", "Rhinolophus cognatus", "Rhinolophus cognatus cognatus", "Rhinolophus cognatus famulus", "Rhinolophus convexus", "Rhinolophus cornutus", "Rhinolophus cornutus cornutus", "Rhinolophus cornutus miyakonis", "Rhinolophus cornutus orii", "Rhinolophus cornutus perditus", "Rhinolophus cornutus pumilus", "Argentinosaurus huiculensis", "Euphilotes battoides", "Euphilotes enoptes", "Euphilotes enoptes smithi", "Euphilotes enoptes enoptes", "Nanoarchaeum equitans", "Cambaroides japonicus", "Rhinolophus creaghi", "Rhinolophus creaghi creaghi", "Rhinolophus creaghi pilosus", "Rhinolophus darlingi", "Rhinolophus darlingi damarensis", "Rhinolophus darlingi darlingi", "Rhinolophus deckenii", "Rhinolophus denti", "Rhinolophus denti denti", "Rhinolophus denti knorri", "Rhinolophus eloquens", "Rhinolophus eloquens eloquens", "Rhinolophus eloquens perauritus", "Rhinolophus euryale euryale", "Rhinolophus euryale judaicus", "Rhinolophus euryotis", "Rhinolophus euryotis aruensis", "Rhinolophus euryotis burius", "Rhinolophus euryotis euryotis", "Rhinolophus euryotis praestens", "Rhinolophus euryotis tatar", "Rhinolophus euryotis timidus", "Rhinolophus ferrumequinum creticum", "Rhinolophus ferrumequinum ferrumequinum", "Rhinolophus ferrumequinum irani", "Rhinolophus ferrumequinum korai", "Rhinolophus ferrumequinum nippon", "Rhinolophus ferrumequinum proximus", "Rhinolophus ferrumequinum tragatus", "Rhinolophus formosae", "Rhinolophus fumigatus", "Rhinolophus fumigatus abae", "Rhinolophus fumigatus aethiops", "Rhinolophus fumigatus diversus", "Rhinolophus fumigatus exsul", "Rhinolophus fumigatus foxi", "Rhinolophus fumigatus fumigatus", "Rhinolophus guineensis", "Rhinolophus maclaudi", "Rhinolophus macrotis", "Rhinolophus macrotis caldwelli", "Phaethornis griseogularis griseogularis", "Rhinolophus macrotis dohrni", "Rhinolophus macrotis episcopus", "Rhinolophus macrotis hirsutus", "Rhinolophus macrotis macrotis", "Rhinolophus macrotis topali", "Rhinolophus madurensis", "Phaethornis griseogularis porcullae", "Rhinolophus maendeleo", "Rhinolophus malayanus", "Rhinolophus marshalli", "Phaethornis griseogularis zonura", "Rhinolophus megaphyllus", "Rhinolophus megaphyllus fallax", "Rhinolophus megaphyllus ignifer", "Rhinolophus megaphyllus megaphyllus", "Rhinolophus megaphyllus monachus", "Rhinolophus megaphyllus vandeuseni", "Rhinolophus mehelyi mehelyi", "Rhinolophus mehelyi tuneti", "Rhinolophus mitratus", "Rhinolophus monoceros", "Rhinolophus montanus", "Rhinolophus nereis", "Rhinolophus osgoodi", "Rhinolophus paradoxolophus", "Rhinolophus pearsonii", "Rhinolophus pearsonii chinensis", "Rhinolophus pearsonii pearsonii", "Rhinolophus philippinensis", "Rhinolophus philippinensis achilles", "Rhinolophus philippinensis alleni", "Rhinolophus philippinensis maros", "Rhinolophus philippinensis philippinensis", "Rhinolophus philippinensis robertsi", "Phaethornis subochraceus", "Rhinolophus philippinensis sanborni", "Rhinolophus pusillus", "Rhinolophus pusillus blythi", "Rhinolophus pusillus calidus", "Rhinolophus pusillus gracilis", "Rhinolophus pusillus lakkhanae", "Rhinolophus pusillus minutillus", "Rhinolophus pusillus pagi", "Rhinolophus pusillus parcus", "Rhinolophus pusillus pusillus", "Rhinolophus pusillus szechwanus", "Rhinolophus rex", "Rhinolophus robinsoni", "Rhinolophus robinsoni klossi", "Rhinolophus robinsoni robinsoni", "Rhinolophus robinsoni thaianus", "Rhinolophus rouxii", "Rhinolophus rouxii rouxii", "Rhinolophus rouxii rubidus", "Rhinolophus rufus", "Rhinolophus ruwenzorii", "Quadratus ancon", "Cylas formicarius", "Cyphagogus signipes", "Cyphagogus iwatensis", "Cyphagogus boninensis", "Harpyionycteris celebensis", "Harpyionycteris whiteheadi", "Harpyionycteris whiteheadi negrosensis", "Harpyionycteris whiteheadi whiteheadi", "Dobsonia anderseni", "Dobsonia beauforti", "Dobsonia chapmani", "Dobsonia crenulata", "Dobsonia emersa", "Dobsonia exoleta", "Dobsonia inermis", "Dobsonia inermis inermis", "Dobsonia inermis minimus", "Dobsonia magna", "Dobsonia minor", "Dobsonia moluccensis", "Dobsonia pannietensis", "Dobsonia pannietensis pannietensis", "Dobsonia pannietensis remota", "Dobsonia peronii", "Dobsonia peronii grandis", "Dobsonia peronii peronii", "Dobsonia praedatrix", "Dobsonia viridis", "Acerodon celebensis", "Acerodon humilis", "Acerodon jubatus", "Acerodon jubatus jubatus", "Lycaena phlaeas", "Lycaena phlaeas daimio", "Adontorhina keegani", "Adontorhina similis", "Tropideres roelofsi", "Aphaulimia debilis", "Litocerus multiguttatus", "Peribathys okinawanus", "Sphinctotropis laxa", "Phloeobius gibbosus", "Rhinolophus sakejiensis", "Rhinolophus sedulus", "Rhinolophus shameli", "Rhinolophus shortridgei", "Potentilla canadensis", "Potentilla centigrana", "Potentilla chinensis", "Potentilla chrysantha", "Potentilla coriandrifolia", "Potentilla crantzii", "Potentilla curviseta", "Potentilla desertorum", "Potentilla dickinsii", "Potentilla diversifolia", "Potentilla erecta", "Potentilla eriocarpa", "Potentilla fragarioides", "Potentilla friedrichsenii", "Potentilla gelida", "Drymocallis glandulosa", "Potentilla gracilis", "Potentilla griffithii", "Potentilla hemsleyana", "Potentilla hickmanii", "Potentilla hirta", "Potentilla humifusa", "Potentilla inclinata", "Potentilla kryloviana", "Potentilla ledebouriana", "Potentilla longifolia", "Potentilla megalantha", "Potentilla multifida", "Potentilla nepalensis", "Potentilla pusilla", "Potentilla newberryi", "Potentilla nivea", "Potentilla norvegica", "Potentilla nudicaulis", "Potentilla supina subsp. paradoxa", "Potentilla pensylvanica", "Potentilla polyphylla", "Potentilla pulcherrima", "Potentilla pyrenaica", "Potentilla ranunculus", "Potentilla recta", "Potentilla rehderiana", "Potentilla reptans", "Potentilla robbinsiana", "Drymocallis rupestris", "Potentilla saundersiana", "Potentilla siemersiana", "Potentilla simplex", "Potentilla stenophylla", "Potentilla supina", "Potentilla szovitsii", "Potentilla tabernaemontani", "Potentilla tanacetifolia", "Potentilla thuringiaca", "Volkeliopsis frontalis", "Pristis pectinata", "Pristis perotteti", "Megaerops kusnotoi", "Megaerops niphanae", "Megaerops wetmorei", "Megaerops wetmorei albicollis", "Megaerops wetmorei wetmorei", "Otopteropus cartilagonodus", "Penthetor lucasi", "Ptenochirus jagori", "Ptenochirus minor", "Sphaerias blanfordi", "Thoopterus nigrescens", "Nyctimene aello", "Nyctimene albiventer", "Nyctimene albiventer albiventer", "Nyctimene albiventer papuanus", "Nyctimene cephalotes", "Nyctimene cephalotes aplini", "Nyctimene cephalotes cephalotes", "Nepenthes rafflesiana", "Nymphaea alba", "Nyctimene certans", "Nyctimene cyclotis", "Nyctimene draconilla", "Nyctimene keasti", "Nyctimene keasti babari", "Nyctimene keasti keasti", "Nyctimene keasti tozeri", "Nyctimene major", "Nyctimene major geminus", "Nyctimene major lullulae", "Nyctimene major major", "Nyctimene major scitulus", "Nyctimene malaitensis", "Nyctimene masalai", "Nyctimene minutus", "Nyctimene minutus minutus", "Nyctimene minutus varius", "Nyctimene rabori", "Nyctimene robinsoni", "Nyctimene sanctacrucis", "Nyctimene vizcaccia", "Nyctimene vizcaccia bougainville", "Nyctimene vizcaccia vizcaccia", "Paranyctimene raptor", "Paranyctimene tenax", "Paranyctimene tenax marculus", "Paranyctimene tenax tenax", "Casinycteris argynnis", "Epomophorus angolensis", "Epomophorus crypturus", "Panthera leo nubica", "Epomophorus gambianus", "Epomophorus gambianus gambianus", "Epomophorus gambianus pousarguesi", "Epomophorus grandis", "Epomophorus labiatus", "Epomophorus minimus", "Epomophorus minor", "Epomophorus wahlbergi", "Epomops buettikoferi", "Epomops dobsonii", "Epomops franqueti", "Hypsignathus monstrosus", "Micropteropus intermedius", "Micropteropus pusillus", "Nanonycteris veldkampii", "Plerotes anchietae", "Scotonycteris ophiodon", "Scotonycteris zenkeri", "Scotonycteris zenkeri bedfordi", "Scotonycteris zenkeri occidentalis", "Scotonycteris zenkeri zenkeri", "Pteropus ualanus", "Pteropus vampyrus edulis", "Pteropus vampyrus lanensis", "Pteropus vampyrus natunae", "Pteropus vampyrus pluton", "Pteropus vampyrus sumatrensis", "Pteropus vampyrus vampyrus", "Pteropus vetulus", "Pteropus voeltzkowi", "Pteropus woodfordi", "Pteropus yapensis", "Styloctenium wallacei", "Eidolon dupreanum", "Eidolon helvum annobonensis", "Eidolon helvum helvum", "Eidolon helvum sabaeum", "Haplomitrium hookeri", "Ctenosaura similis", "Alionycteris paucidentata", "Balionycteris maculata", "Balionycteris maculata maculata", "Balionycteris maculata seimundi", "Chironax melanocephalus", "Chironax melanocephalus melanocephalus", "Chironax melanocephalus tumulus", "Cynopterus brachyotis", "Cynopterus brachyotis altitudinis", "Cynopterus brachyotis brachyotis", "Cynopterus brachyotis brachysoma", "Cynopterus brachyotis ceylonensis", "Cynopterus brachyotis concolor", "Cynopterus brachyotis hoffeti", "Cynopterus brachyotis insularum", "Cynopterus brachyotis javanicus", "Cynopterus horsfieldii", "Cynopterus horsfieldii harpax", "Cynopterus horsfieldii horsfieldii", "Cynopterus horsfieldii persimilis", "Cynopterus horsfieldii princeps", "Cynopterus luzoniensis", "Cynopterus minutus", "Cynopterus nusatenggara", "Cynopterus nusatenggara nusatenggara", "Cynopterus nusatenggara sinagai", "Cynopterus nusatenggara wetarensis", "Pteropus melanotus tytleri", "Pteropus molossinus", "Pteropus neohibernicus", "Pteropus neohibernicus hilli", "Pteropus neohibernicus neohibernicus", "Pteropus niger", "Pteropus nitendien", "Pteropus ocularis", "Pteropus ornatus", "Pteropus ornatus auratus", "Pteropus ornatus ornatus", "Pteropus pelewensis", "Pteropus personatus", "Pteropus pilosus", "Pteropus pohlei", "Pteropus pselaphon", "Pteropus pumilus", "Orthotrichum casasianum", "Orthotrichum compactum", "Orthotrichum consobrinum", "Aeolidiella alderi", "Aeolidiella glauca", "Aeolidiella sanguinea", "Baeolidia benteva", "Baeolidia cryoporos", "Berghia amakusana", "Berghia benteva", "Berghia coerulescens", "Cerberilla bernadettae", "Cerberilla mosslandica", "Cerberilla tanna", "Spurilla chromosoma", "Spurilla neapolitana", "Spurilla oliviae", "Babakina festiva", "Orthotrichum crenatoerosum", "Orthotrichum crenulatum", "Diastylis newberryi", "Diastylis pacifica", "Anchistylis watlingi", "Pteropus rayneri", "Pteropus rayneri grandis", "Pteropus rayneri lavellanus", "Pteropus rayneri monoensis", "Pteropus rayneri rayneri", "Pteropus rayneri rubianus", "Pteropus rennelli", "Pteropus rodricensis", "Pteropus rufus", "Pteropus samoensis", "Pteropus samoensis nawaiensis", "Pteropus samoensis samoensis", "Pteropus scapulatus", "Pteropus seychellensis", "Pteropus seychellensis comorensis", "Pteropus seychellensis seychellensis", "Pteropus speciosus", "Pteropus subniger", "Pteropus temminckii", "Pteropus temminckii liops", "Pteropus temminckii temminckii", "Pteropus tokudae", "Pteropus tonganus", "Pteropus tonganus basiliscus", "Pteropus tonganus geddiei", "Pteropus tonganus tonganus", "Pteropus tuberculatus", "Tamias merriami", "Tamias cinereicollis", "Tamias quadrimaculatus", "Tamias ruficaudus", "Tamias quadrivittatus", "Tamias umbrinus", "Tamias panamintinus", "Tamias speciosus", "Tamias palmeri", "Tamias obscurus", "Tamias ochrogenys", "Tamias siskiyou", "Tamias senex", "Tamias canipes", "Tamias durangae", "Tamias bulleri", "Acerodon jubatus lucifer", "Acerodon jubatus mindanensis", "Acerodon leucotis", "Acerodon leucotis leucotis", "Acerodon leucotis obscurus", "Acerodon macklotii", "Acerodon macklotii alorensis", "Acerodon macklotii floresii", "Acerodon macklotii gilvus", "Acerodon macklotii macklotii", "Acerodon macklotii prajae", "Neopteryx frosti", "Pseudothemis zonata", "Orthotrichum aequatoreum", "Orthotrichum anaglyptodon", "Orthotrichum acuminatum", "Orthotrichum afrofastigiatum", "Orthotrichum araucarieti", "Orthotrichum arborescens", "Orthotrichum arcangelianum", "Orthotrichum armatum", "Orthotrichum assimile", "Orthotrichum australe", "Orthotrichum bicolor", "Orthotrichum brassii", "Orthotrichum brotheri", "Orthotrichum callistomum", "Orthotrichum calvum", "Pseudozizeeria maha", "Leptostomum inclinans", "Mirimiri acrodonta", "Pteralopex anceps", "Pteralopex atrata", "Pteralopex pulchra", "Pteralopex taki", "Pteropus admiralitatum", "Pteropus admiralitatum admiralitatum", "Pteropus admiralitatum colonus", "Pteropus admiralitatum goweri", "Pteropus admiralitatum solomonis", "Pteropus aldabrensis", "Pteropus alecto", "Pteropus alecto alecto", "Pteropus alecto aterrimus", "Pteropus alecto gouldi", "Pteropus alecto morio", "Pteropus anetianus", "Pteropus anetianus anetianus", "Pteropus anetianus aorensis", "Pteropus anetianus bakeri", "Pteropus anetianus banksiana", "Pteropus anetianus eotinus", "Dendronotus robustus", "Dendronotus albopunctatus", "Dendronotus albus", "Dendronotus arborescens", "Dendronotus dalli", "Dendronotus diversicolor", "Dendronotus frondosus", "Dendronotus iris", "Dendronotus reynoldsi", "Dendronotus rufus", "Dendronotus subramosus", "Dendronotus lacteus", "Dendronotus comteti", "Marionia blainvillea", "Marionia georgianus", "Marionia werthi", "Marionia hoffbaueri", "Marionia pambanensis", "Marionia pustulosa", "Marionia tedi", "Hancockia californica", "Hancockia ryrca", "Hancockia uncinata", "Phylliroe atlantica", "Tamias striatus", "Tamias minimus", "Tamias townsendii", "Tamias alpinus", "Tamias dorsalis", "Tamias sonomae", "Tamias amoenus", "Pteropus anetianus motalavae", "Pteropus anetianus pastoris", "Pteropus aruensis", "Pteropus banakrisi", "Pteropus vampyrus", "Pteropus brunneus", "Pteropus caniceps", "Pteropus caniceps caniceps", "Pteropus caniceps dobsoni", "Pteropus capistratus", "Pteropus capistratus capistratus", "Pteropus capistratus ennisae", "Pteropus chrysoproctus", "Pteropus cognatus", "Pteropus conspicillatus chrysauchen", "Pteropus conspicillatus conspicillatus", "Pteropus dasymallus daitonensis", "Pteropus dasymallus formosus", "Pteropus faunulus", "Pteropus fundatus", "Pteropus giganteus ariel", "Pteropus giganteus chinghaiensis", "Pteropus giganteus giganteus", "Pteropus giganteus leucocephalus", "Pteropus gilliardorum", "Ozotoceros bezoarticus", "Blastocerus dichotomus", "Primolius couloni", "Primolius maracana", "Primolius auricollis", "Nezara antennata", "Batagur borneoensis", "Pteropus griseus", "Pteropus griseus griseus", "Pteropus griseus mimus", "Pteropus griseus pallidus", "Pteropus howensis", "Pteropus hypomelanus annectens", "Pteropus hypomelanus cagayanus", "Pteropus hypomelanus canus", "Pteropus hypomelanus condorensis", "Pteropus hypomelanus enganus", "Pteropus hypomelanus fretensis", "Pteropus hypomelanus geminorum", "Pteropus hypomelanus hypomelanus", "Pteropus hypomelanus lepidus", "Pteropus hypomelanus luteus", "Pteropus hypomelanus macassaricus", "Pteropus hypomelanus maris", "Pteropus hypomelanus robinsoni", "Pteropus hypomelanus satyrus", "Pteropus hypomelanus simalurus", "Pteropus hypomelanus tomesi", "Pteropus insularis", "Pteropus insularis insularis", "Pteropus insularis phaeocephalus", "Pteropus intermedius", "Pteropus keyensis", "Desmalopex leucopterus", "Pteropus livingstonii", "Pteropus lombocensis", "Pteropus lombocensis heudei", "Pteropus lombocensis lombocensis", "Pteropus lombocensis salottii", "Pteropus lylei", "Pteropus macrotis", "Pteropus macrotis epularius", "Pteropus macrotis macrotis", "Pteropus mahaganus", "Pteropus mariannus", "Pteropus mariannus mariannus", "Pteropus mariannus paganensis", "Pteropus mariannus ulthiensis", "Pteropus melanopogon", "Pteropus melanotus", "Pteropus melanotus melanotus", "Pteropus melanotus modiglianii", "Pteropus melanotus natalis", "Pteropus melanotus niadicus", "Myotis lucifugus", "Myotis yumanensis", "Myotis austroriparius", "Myotis grisescens", "Myotis velifer", "Myotis keenii", "Myotis evotis", "Myotis thysanodes", "Myotis sodalis", "Myotis volans", "Myotis californicus", "Chaerilus agilis", "Chaerilus assamensis", "Chaerilus cavernicola", "Chaerilus celebensis", "Chaerilus ceylonensis", "Chaerilus chapmani", "Chaerilus insignis", "Chaerilus laevimanus", "Chaerilus ojangureni", "Chaerilus petrzelkai", "Chaerilus pictus", "Chaerilus rectimanus", "Chaerilus robinsoni", "Chaerilus sabinae", "Chaerilus sejnai", "Chaerilus tichyi", "Chaerilus tricostatus", "Chaerilus truncatus", "Chaerilus tryznai", "Chaerilus variegatus", "Scorpio maurus", "Lisposoma elegans", "Lisposoma haringtoni", "Lisposoma joseehermana", "Mazama nana", "Androctonus crassicauda", "Puma concolor capricornensis", "Androctonus australis", "Puma concolor greeni", "Nymphalis antiopa", "Mormoops megalophylla", "Lonchophylla bokermanni", "Orthotrichum crispifolium", "Orthotrichum cyathiforme", "Orthotrichum dasymitrium", "Orthotrichum delavayi", "Orthotrichum densum", "Orthotrichum denticulatum", "Orthotrichum elegans", "Orthotrichum elegantulum", "Orthotrichum elongatum", "Orthotrichum erosum", "Orthotrichum erpodiaceum", "Orthotrichum erubescens", "Orthotrichum firmum", "Orthotrichum gigantosporum", "Orthotrichum graphiomitrium", "Orthotrichum griffithii", "Orthotrichum hawaiicum", "Orthotrichum holmenii", "Orthotrichum hooglandii", "Orthotrichum hookeri", "Orthotrichum hortense", "Orthotrichum hortoniae", "Orthotrichum ibericum", "Orthotrichum ibukiense", "Orthotrichum incrassatum", "Orthotrichum incurvomarginatum", "Orthotrichum johnstonii", "Orthotrichum kaurinii", "Orthotrichum latimarginatum", "Orthotrichum laxifolium", "Orthotrichum laxum", "Orthotrichum leikipiae", "Orthotrichum leiolecythis", "Orthotrichum leiothecium", "Orthotrichum letourneuxii", "Orthotrichum lewinskyae", "Orthotrichum liliputanum", "Orthotrichum ludificans", "Orthotrichum macrocephalum", "Orthotrichum malacothecium", "Orthotrichum mandonii", "Orthotrichum meyenianum", "Orthotrichum microcarpum", "Orthotrichum mollissimum", "Orthotrichum notabile", "Orthotrichum oreophilum", "Orthotrichum pariatum", "Orthotrichum patens", "Orthotrichum penicillatum", "Orthotrichum perexiguum", "Orthotrichum philibertii", "Cardioderma cor", "Lavia frons", "Lavia frons affinis", "Lavia frons frons", "Lavia frons rex", "Macroderma gigas", "Megaderma lyra", "Megaderma lyra lyra", "Megaderma lyra sinensis", "Orthotrichum spanotrichum", "Orthotrichum spjutii", "Orthotrichum sprucei", "Orthotrichum steerei", "Orthotrichum subexsertum", "Orthotrichum subpumilum", "Orthotrichum subulatum", "Orthotrichum taiwanense", "Orthotrichum tasmanicum", "Orthotrichum tenuicaule", "Orthotrichum tortidontium", "Orthotrichum tortifolium", "Orthotrichum trachymitrium", "Orthotrichum transvaaliense", "Orthotrichum tristriatum", "Orthotrichum truncatodentatum", "Orthotrichum truncatum", "Orthotrichum undulatifolium", "Orthotrichum urnaceum", "Orthotrichum urnigerum", "Orthotrichum vermiferum", "Orthotrichum vicarium", "Orthotrichum vittii", "Orthotrichum vladikavkanum", "Florschuetziella scaberrima", "Florschuetziella steerei", "Zygodon obtusifolius", "Cardotiella appendiculata", "Cardotiella elimbata", "Catopsilia pomona", "Lonchophylla dekeyseri", "Platyrrhinus recifinus", "Lasiurus ebenus", "Myotis ruber", "Callistomys pictus", "Catopsilia pyranthe", "Phyllomys brasiliensis", "Phyllomys thomasi", "Phyllomys unicolor", "Juscelinomys candango", "Gyldenstolpia fronto", "Rhagomys rufescens", "Ctenomys flamarioni", "Prepusa hookeriana", "Macrotus californicus", "Orthotrichum pseudostramineum", "Orthotrichum psychrophilum", "Orthotrichum pulchrum", "Orthotrichum pungens", "Orthotrichum revolutum", "Orthotrichum robustum", "Orthotrichum rogeri", "Orthotrichum sainsburyi", "Orthotrichum scanicum", "Orthotrichum schoddei", "Orthotrichum sharpii", "Orthotrichum shevockii", "Orthotrichum sinuosum", "Gonepteryx aspasia", "Macrotus waterhousii", "Gonepteryx rhamni", "Choeronycteris mexicana", "Gonepteryx cleopatra", "Abarema villifera", "Pseudomesus pitombo", "Pseudomesus satanus", "Coperonus comptus", "Coperonus nordenstami", "Hapsidohedra ochlera", "Senegalia lowei", "Leptonycteris curasoae", "Sus bucculentus", "Leptonycteris nivalis", "Leptonycteris yerbabuenae", "Sus verrucosus", "Hapsidohedra aspidophora", "Lionectes humicephalotus", "Mimocopelates longipes", "Mimocopelates anchibraziliensis", "Cardotiella quinquefaria", "Cardotiella renauldii", "Cardotiella schlotheimiaeformis", "Cardotiella secunda", "Cardotiella subappendiculata", "Thecacera pacifica", "Abyssianira acutilobi", "Abyssianira lingula", "Hirondellea gigas", "Jaera nordmanni ortizi", "Ceuthotheca cryptocarpa", "Codonoblepharon menziesii", "Codonoblepharon pungens", "Desmotheca apiculata", "Desmotheca brachiata", "Groutiella apiculata", "Groutiella chimborazensis", "Groutiella husnotii", "Groutiella laxotorquata", "Groutiella macrorrhyncha", "Groutiella mucronifolia", "Groutiella obtusa", "Groutiella subgoniorrhyncha", "Groutiella thraustophylla", "Groutiella undosa", "Groutiella wagneriana", "Leiomitrium plicatum", "Leptodontiopsis elata", "Leptodontiopsis fragilifolia", "Leptodontiopsis macrocarpa", "Leptodontiopsis orientalis", "Leratia neocaledonica", "Macrocoma abyssinica", "Macrocoma brasiliensis", "Macrocoma frigida", "Macromitrium brevicaule", "Macromitrium brevihamatum", "Macromitrium brevisetum", "Macromitrium brevissimum", "Macromitrium brevituberculatum", "Lichonycteris obscura", "Balantiopteryx infusca", "Balantiopteryx io", "Balantiopteryx plicata", "Balantiopteryx plicata pallida", "Balantiopteryx plicata plicata", "Centronycteris centralis", "Centronycteris maximiliani", "Coleura afra", "Coleura seychellensis", "Coleura seychellensis seychellensis", "Coleura seychellensis silhouettae", "Cormura brevirostris", "Cyttarops alecto", "Saccolaimus saccolaimus", "Saccolaimus saccolaimus affinis", "Saccolaimus saccolaimus crassus", "Saccolaimus saccolaimus nudicluniatus", "Saccolaimus saccolaimus pluto", "Saccolaimus saccolaimus saccolaimus", "Taphozous georgianus", "Cyprinodon alvarezi", "Cyprinodon longidorsalis", "Epalzeorhynchos bicolor", "Gazella saudiya", "Skiffia francesae", "Franklinia alatamaha", "Erythroxylum echinodendron", "Mangifera casturi", "Firmiana major", "Mangifera rubropetala", "Euphorbia mayurnathanii", "Corypha taliera", "Mammillaria glochidiata", "Macrocoma gastonyi", "Macrocoma iwatsukii", "Macrocoma lycopodioides", "Macrocoma orthotrichoides", "Macrocoma pulchella", "Macrocoma tenuis", "Rhinopoma hardwickii", "Rhinopoma hardwickii arabium", "Rhinopoma hardwickii cystops", "Rhinopoma hardwickii hardwickii", "Rhinopoma hardwickii sondaicum", "Rhinopoma macinnesi", "Rhinopoma microphyllum", "Rhinopoma microphyllum asirensis", "Rhinopoma microphyllum kinneari", "Rhinopoma microphyllum microphyllum", "Rhinopoma microphyllum sumatrae", "Rhinopoma muscatellum", "Rhinopoma muscatellum muscatellum", "Rhinopoma muscatellum seianum", "Macromitrium acuminatum", "Macromitrium acutirameum", "Macromitrium acutissimum", "Macromitrium adelphinum", "Craseonycteris thonglongyai", "Macromitrium adnatum", "Macromitrium altituberculosum", "Macromitrium altum", "Macromitrium amaniense", "Macromitrium amboroicum", "Macromitrium ancistrophyllum", "Macromitrium angulatum", "Macromitrium angulicaule", "Macromitrium angulosum", "Macromitrium angustifolium", "Macromitrium annamense", "Macromitrium anomodictyon", "Macromitrium antarcticum", "Macromitrium archboldii", "Macromitrium archeri", "Macromitrium argutum", "Macromitrium astroideum", "Macromitrium atratum", "Macromitrium atroviride", "Macromitrium attenuatum", "Macromitrium aurantiacum", "Macromitrium aurescens", "Macromitrium aureum", "Macromitrium austrocirrosum", "Macromitrium belangeri", "Macromitrium benguetense", "Macromitrium bequaertii", "Macromitrium bifasciculare", "Macromitrium bifasciculatum", "Macromitrium binsteadii", "Macromitrium bistratosum", "Macromitrium blumei", "Macromitrium brachycarpum", "Macromitrium brachypodium", "Macromitrium braunii", "Oreolalax xiangchengensis", "Sardinops sagax", "Abelia \u00d7 grandiflora", "Emballonura alecto", "Emballonura alecto alecto", "Emballonura alecto anambensis", "Emballonura alecto palawanensis", "Emballonura alecto rivalis", "Emballonura atrata", "Emballonura beccarii", "Emballonura beccarii beccarii", "Emballonura beccarii clavium", "Emballonura beccarii meeki", "Emballonura dianae", "Emballonura dianae dianae", "Emballonura dianae fruhstorferi", "Emballonura dianae rickwoodi", "Emballonura furax", "Emballonura monticola", "Emballonura raffrayana", "Emballonura raffrayana cor", "Emballonura raffrayana raffrayana", "Emballonura raffrayana stresemanni", "Emballonura semicaudata", "Emballonura semicaudata palauensis", "Emballonura semicaudata rotensis", "Emballonura semicaudata semicaudata", "Emballonura semicaudata sulcata", "Emballonura serii", "Mosia nigrescens", "Mosia nigrescens nigrescens", "Mosia nigrescens papuana", "Mosia nigrescens solomonis", "Peropteryx leucoptera", "Peropteryx leucoptera cyclops", "Peropteryx leucoptera leucoptera", "Peropteryx kappleri", "Partula rosea", "Partula thetis", "Partula varia", "Partula clara", "Partula filosa", "Partula hyalina", "Partula otaheitana", "Peromyscus pseudocrinitus", "Peromyscus slevini", "Neojaera expansa", "Pharotis imogene", "Phocoena sinus", "Joeropsis integer", "Joeropsis serrulus", "Notoxenoides acalama", "Haplomesus zuluensis", "Ischnomesus glabra", "Stylomesus natalensis", "Oplismenus hirtellus subsp. fasciculatus", "Poecilia latipunctata", "Poecilia sulphuraria", "Pogonomelomys bruijni", "Oplismenus hirtellus subsp. hirtellus", "Procapra przewalskii", "Psephurus gladius", "Pseudemydura umbrina", "Pseudohydromys murinus", "Pseudomys fieldi", "Pseudomys glaucus", "Pseudoniphargus grandimanus", "Oplismenus hirtellus subsp. setarius", "Pseudoscaphirhynchus fedtschenkoi", "Pseudoscaphirhynchus hermanni", "Peropteryx kappleri kappleri", "Peropteryx kappleri intermedia", "Peropteryx macrotis", "Peropteryx trinitatis", "Peropteryx trinitatis phaea", "Peropteryx trinitatis trinitatis", "Nasikabatrachus sahyadrensis", "Sechellophryne gardineri", "Sechellophryne pipilodryas", "Sooglossus sechellensis", "Sooglossus thomasseti", "Aiphanes ulei", "Rhynchonycteris naso", "Saccopteryx antioquensis", "Saccopteryx bilineata", "Saccopteryx canescens", "Saccopteryx canescens canescens", "Saccopteryx canescens pumila", "Saccopteryx gymnura", "Saccopteryx leptura", "Saccolaimus flaviventris", "Saccolaimus mixtus", "Saccolaimus peli", "Encephalartos relictus", "Cyanea truncata", "Cyrtandra waiolani", "Cyanea pinnatifida", "Cyanea superba", "Lysimachia minoricensis", "Partula hebe", "Partula mirabilis", "Partula mooreana", "Partula suturalis", "Partula tohiveana", "Partula dentifera", "Partula faba", "Partula labrusca", "Partula garretti", "Partula tristis", "Conochilopsis causeyae", "Aylacostoma guaraniticum", "Aylacostoma chloroticum", "Aylacostoma stigmaticum", "Abronia montecristoi", "Achatinella cestus", "Achatinella swiftii", "Achatinella leucorrhaphe", "Alasmidonta raveneliana", "Diphylla ecaudata", "Amazilia luciae", "Myotis leibii", "Myotis auriculus", "Myotis ciliolabrum", "Myotis septentrionalis", "Lasionycteris noctivagans", "Parastrellus hesperus", "Achatinella apexfulva", "Achatinella bellula", "Achatinella bulimoides", "Achatinella byronii", "Achatinella concavospira", "Achatinella curta", "Achatinella decipiens", "Achatinella fulgens", "Achatinella fuscobasis", "Achatinella lila", "Achatinella lorata", "Achatinella mustelina", "Achatinella phaeozona", "Achatinella pulcherrima", "Achatinella pupukanioe", "Achatinella sowerbyana", "Sus scrofa domesticus", "Lepidoblepharis montecanoensis", "Leptomys elegans", "Leptomys signatus", "Lerista allanae", "Libellula angelina", "Erythrolamprus cursor", "Litoria castanea", "Litoria nyakalensis", "Litoria lorica", "Macrotarsomys ingens", "Macruromys elegans", "Mallomys gunung", "Mantella aurantiaca", "Margaritifera hembeli", "Mauremys annamensis", "Mecistogaster pronoti", "Megalagrion leptodemas", "Melomys rubicola", "Meriones chengi", "Microtus evoronensis", "Microtus mujanensis", "Mictocaris halope", "Harpiola grisea", "Murina tenebrosa", "Myaka myaka", "Myosorex eisentrauti", "Myosorex rumpii", "Myotis cobanensis", "Myotis planiceps", "Nectomys rattus", "Notropis cahabae", "Notropis mekistocholas", "Notropis moralesi", "Natalianira spinosa", "Stenetrium perestrelloi", "Oryzomys gorgasi", "Otomops wroughtoni", "Oxyloma kanabense", "Paraxerus vincenti", "Partula gibba", "Partula langfordi", "Partula radiolata", "Partula calypso", "Partula emersoni", "Partula guamensis", "Partula leucothoe", "Partula martensiana", "Rhinophrynus dorsalis", "Scaphiopus couchii", "Scaphiopus holbrookii", "Scaphiopus hurterii", "Spea hammondii", "Spea bombifrons", "Spea intermontana", "Spea multiplicata", "Oreolalax chuanbeiensis", "Oreolalax granulosus", "Oreolalax jingdongensis", "Oreolalax liangbeiensis", "Oreolalax lichuanensis", "Oreolalax major", "Oreolalax multipunctatus", "Oreolalax nanjiangensis", "Oreolalax omeimontis", "Oreolalax pingii", "Oreolalax popei", "Oreolalax puxiongensis", "Oreolalax rhodostigmatus", "Oreolalax rugosus", "Oreolalax schmidti", "Oreolalax weigoldi", "Zyzomys pedunculatus", "Zyzomys palatalis", "Eleutherodactylus tonyi", "Croton vaughanii", "Capparis mirifica", "Vatica affinis", "Shorea robusta", "Ixora johnsonii", "Cinnamomum kotoense", "Paulownia kawakamii", "Vatica bella", "Vatica cuspidata", "Vatica flavida", "Vatica heteroptera", "Vatica hullettii", "Vatica lobata", "Vatica scortechinii", "Croton macrocarpus", "Vatica compressa", "Vatica congesta", "Shorea sect.", "Shorea sect.", "Shorea sect.", "Shorea sect.", "Shorea sect.", "Shorea sect.", "Shorea sect.", "Shorea sect.", "Shorea sect.", "Shorea sect.", "Shorea sect.", "Shorea affinis", "Shorea congestiflora", "Shorea cordifolia", "Shorea disticha", "Shorea megistophylla", "Shorea trapezifolia", "Shorea zeylanica", "Shorea alutacea", "Shorea argentifolia", "Shorea bakoensis", "Shorea brunnescens", "Shorea carapae", "Shorea cordata", "Shorea cuspidata", "Crocidura wimmeri", "Crocidura thomensis", "Crocidura dhofarensis", "Crocidura negrina", "Crocidura harenna", "Crotalus unicolor", "Crunomys fallax", "Cryptochloris wintoni", "Cuora galbinifrons", "Cuora pani", "Cuora aurocapitata", "Cuora mccordi", "Cuora trifasciata", "Cuora zhoui", "Cyprinodon bovinus", "Cyprinodon meeki", "Cyprinodon pachycephalus", "Cyprinodon pecosensis", "Cyprinodon verecundus", "Cyprinodon veronicae", "Dendromus kahuziensis", "Dermatemys mawii", "Diploglossus montisserrati", "Dipodomys ingens", "Dipodomys insularis", "Dipodomys margaritae", "Eleutherodactylus jasperi", "Eleutherodactylus cavernicola", "Eleutherodactylus fuscus", "Eleutherodactylus junori", "Eleutherodactylus semipalmatus", "Eleutherodactylus sisyphodemus", "Eleutherodactylus eneidae", "Achatinella stewartii", "Achatinella taeniolata", "Achatinella turgida", "Achatinella viridans", "Achatinella vulpina", "Alsodes montanus", "Afrithelphusa leonensis", "Afrithelphusa gerhildae", "Afrithelphusa afzelii", "Afrithelphusa monodosa", "Alsodes vanzolinii", "Alsophis antiguae", "Alsophis ater", "Amanipodagrion gilliesi", "Pholidoscelis polops", "Anolis roosevelti", "Aphanius splendens", "Aphanius transgrediens", "Tahina spectabilis", "Aquadulcaris pheronyx", "Austrocordulia leonardi", "Batagur baska", "Betta spilotogena", "Betta persephone", "Betta miniopinna", "Biswamoyopterus biswasi", "Ischnura ezoin", "Boninthemis insularis", "Bothrops insularis", "Brachylophus vitiensis", "Bradypodion taeniabronchum", "Burmagomphus sivalikensis", "Capra walie", "Cephalophus adersi", "Chaerephon gallagheri", "Chimarrogale hantu", "Chimarrogale sumatrana", "Chironius vincenti", "Chitra chitra", "Chrotomys gonzalesi", "Cocoharpinia iliffei", "Coregonus reighardi", "Crateromys paulus", "Eliurus penicillatus", "Nycteris arge", "Nycteris aurita", "Nycteris gambiensis", "Nycteris grandis", "Nycteris hispida", "Nycteris intermedia", "Nycteris javanica", "Nycteris javanica bastiani", "Nycteris javanica javanica", "Nycteris macrotis", "Nycteris macrotis aethiopica", "Nycteris macrotis luteola", "Nycteris macrotis macrotis", "Nycteris macrotis oriana", "Nycteris madagascariensis", "Nycteris major", "Euroscaptor parvidens", "Galaxias fontanus", "Galaxias johnstoni", "Galaxias pedderensis", "Galaxias fuscus", "Gammarus desperatus", "Alosa alosa", "Pittosporum tobira", "Hylopetes winstoni", "Idunella sketi", "Indolestes boninensis", "Ingolfiella longipes", "Batagur kachuga", "Konia dikume", "Konia eisentrauti", "Solidago altissima", "Geisha distinctissima", "Shorea foraminifera", "Shorea iliasii", "Shorea lunduensis", "Shorea macrobalanos", "Shorea mujongensis", "Shorea pallidifolia", "Shorea polyandra", "Shorea praestans", "Shorea pubistyla", "Shorea rotundifolia", "Shorea sagittata", "Shorea superba", "Shorea symingtonii", "Shorea dealbata", "Shorea foxworthyi", "Shorea materialis", "Shorea peltata", "Shorea resinosa", "Shorea siamensis", "Shorea gratissima", "Shorea albida", "Shorea almon", "Shorea balanocarpoides", "Shorea bracteolata", "Shorea bullata", "Shorea contorta", "Shorea dispar", "Shorea dasyphylla", "Shorea flemmichii", "Shorea guiso", "Trapa natans", "Shorea hopeifolia", "Shorea inaequilateralis", "Shorea johorensis", "Shorea kunstleri", "Shorea leprosula", "Shorea longisperma", "Shorea maxwelliana", "Shorea multiflora", "Shorea pauciflora", "Shorea platycarpa", "Shorea platyclados", "Shorea seminis", "Shorea smithiana", "Shorea teysmanniana", "Shorea uliginosa", "Shorea faguetiana", "Shorea acuminatissima", "Shorea acuta", "Shorea andulensis", "Shorea asahii", "Shorea biawak", "Shorea chaiana", "Shorea domatiosa", "Shorea elliptica", "Shorea falcifera", "Shorea falciferoides", "Shorea geniculata", "Shorea hypoleuca", "Shorea inappendiculata", "Pteropus phaeocephalus", "Pungu maclareni", "Puntius amarus", "Puntius baoulan", "Puntius clemensi", "Puntius disa", "Puntius flavifuscus", "Puntius herrei", "Puntius lanaoensis", "Puntius tras", "Puntius manalak", "Puntius bandula", "Rana muscosa", "Lithobates tlaloci", "Rattus enganus", "Rattus montanus", "Rhinocypha ogasawarensis", "Rhinoderma rufum", "Quadrula fragosa", "Quadrula intermedia", "Quadrula sparsa", "Quadrula stapes", "Quadrula couchiana", "Quadrula tuberosa", "Salmo platycephalus", "Salmo carpio", "Scaphirhynchus suttkusi", "Scotophilus borbonicus", "Sicista armenica", "Tanyuromys aphrastus", "Sorex cansulus", "Sorex kozlovi", "Spelaeoecia bermudensis", "Suncus ater", "Suncus mertensi", "Sylvilagus insonus", "Telmatobufo bullocki", "Tokudaia muenninki", "Thermosphaeroma dugesi", "Thermosphaeroma smithi", "Thermosphaeroma cavicauda", "Thermosphaeroma macrura", "Trithemis nigra", "Uromys rex", "Vipera darevskii", "Vipera pontica", "Shorea selanica", "Shorea thorelii", "Shorea henryana", "Shorea blumutensis", "Shorea conica", "Shorea leptoderma", "Shorea montigena", "Shorea falcata", "Shorea singkawang", "Shorea sumatrana", "Shorea acuminata", "Vatica globosa", "Vatica rotata", "Vatica rynchocarpa", "Thuja sutchuenensis", "Vatica guangxiensis", "Vatica xishuangbannaensis", "Vatica chinensis", "Vatica lanceaefolia", "Vatica maingayi", "Vatica ridleyana", "Vatica pachyphylla", "Vatica brevipes", "Vatica cauliflora", "Vatica chartacea", "Vatica coriacea", "Vatica elliptica", "Vatica flavovirens", "Vatica obovata", "Vatica parvifolia", "Vatica pentandra", "Vatica sarawakensis", "Vatica soepadmoi", "Vatica venulosa", "Vatica diospyroides", "Ramosmania rodriguesii", "Acalypha raivavensis", "Aniba pedicellata", "Nycteris nana", "Nycteris parisii", "Nycteris parisii benuensis", "Nycteris parisii parisii", "Nycteris thebaica", "Nycteris thebaica adana", "Nycteris thebaica angolensis", "Nycteris thebaica brockmani", "Nycteris thebaica capensis", "Nycteris thebaica damarensis", "Nycteris thebaica labiata", "Nycteris thebaica najdiya", "Nycteris thebaica thebaica", "Nycteris tragata", "Nycteris vinsoni", "Nycteris woodi", "Nycteris woodi sabiensis", "Nycteris woodi woodi", "Myzopoda aurita", "Brachyphylla cavernarum", "Shorea induplicata", "Shorea isoptera", "Shorea kudatensis", "Shorea ladiana", "Shorea laxa", "Shorea longiflora", "Shorea macrantha", "Shorea micans", "Shorea myrionerva", "Shorea obovoidea", "Shorea pachyphylla", "Shorea revoluta", "Shorea richetia", "Shorea rubella", "Shorea rugosa", "Shorea slootenii", "Shorea subcylindrica", "Shorea tenuiramulosa", "Shorea waltoni", "Shorea xanthophylla", "Shorea curtisii", "Shorea ovata", "Shorea macrophylla", "Shorea palembanica", "Shorea splendida", "Shorea stenoptera", "Shorea quadrinervis", "Shorea gibbosa", "Shorea obscura", "Shorea flaviflora", "Shorea dyeri", "Shorea lissophylla", "Shorea oblongifolia", "Shorea pallescens", "Shorea stipularis", "Shorea gardneri", "Shorea ovalifolia", "Shorea worthingtonii", "Shorea bentongensis", "Shorea ciliata", "Shorea collina", "Shorea kuantanensis", "Shorea lumutensis", "Shorea maxima", "Shorea submontana", "Shorea ochrophloia", "Shorea agami", "Shorea cara", "Shorea tumbuggaia", "Shorea farinosa", "Shorea roxburghii", "Shorea astylosa", "Shorea glauca", "Shorea hypochra", "Shorea lepidota", "Shorea polysperma", "Shorea palosapis", "Shorea negrosensis", "Shorea malibato", "Sicalis flaveola brasiliensis", "Sicalis flaveola flaveola", "Sicalis flaveola koenigi", "Sicalis flaveola pelzelni", "Sicalis flaveola valida", "Larus michahellis", "Sorex cinereus", "Sylvilagus brasiliensis", "Tadarida brasiliensis", "Nyctinomops femorosaccus", "Nyctinomops macrotis", "Eumops perotis", "Eumops underwoodi", "Eumops glaucinus", "Phellopsis chinensis", "Phellopsis obcordata", "Phellopsis porcata", "Phellopsis suberea", "Phellopsis yulongensis", "Mesembrina decipiens", "Synthesiomyia nudiseta", "Euterpe broadwayi", "Brachyphylla cavernarum cavernarum", "Brachyphylla cavernarum intermedia", "Brachyphylla cavernarum minor", "Brachyphylla nana", "Carollia brevicauda", "Carollia castanea", "Carollia colombiana", "Carollia perspicillata", "Carollia sowelli", "Carollia subrufa", "Corylus johnsonii", "Calycorectes schottianus", "Pinus squamata", "Coccothrinax borhidiana", "Prunus carolinae", "Prunus ernestii", "Lepidopilum grevilleanum", "Fissidens hydropogon", "Brymela tutezona", "Taxitheliella richardsii", "Ochyraea tatrensis", "Neckeropsis pocsii", "Pinnatella limbata", "Thamnobryum angustifolium", "Celestus anelpistus", "Celestus warreni", "Hibiscus fragilis", "Dypsis pembana", "Dypsis ambanjae", "Dypsis ampasindavae", "Dypsis andrianatonga", "Dypsis antanambensis", "Dypsis arenarum", "Dypsis basilonga", "Dypsis bejofo", "Dypsis boiviniana", "Dypsis canaliculata", "Dypsis canescens", "Dypsis ceracea", "Dypsis commersoniana", "Dypsis confusa", "Dypsis coursii", "Dypsis crinita", "Dypsis decaryi", "Dypsis decipiens", "Dypsis dransfieldii", "Dypsis faneva", "Dypsis fasciculata", "Dypsis heteromorpha", "Dypsis hovomantsina", "Musa rubra", "Musa sanguinea", "Musa sikkimensis", "Musa textilis", "Musa thomsonii", "Musa velutina", "Venus casina", "Venus chevreuxi", "Venus declivis", "Clausinella fasciata", "Chamelea gallina", "Venus lamellaris", "Venus nux", "Globivenus toreuma", "Brosimum glaziovii", "Asplenium serratum", "Glossophaga commissarisi", "Glossophaga commissarisi bakeri", "Glossophaga commissarisi commissarisi", "Glossophaga commissarisi hespera", "Glossophaga leachii", "Glossophaga longirostris", "Glossophaga longirostris campestris", "Glossophaga longirostris elongata", "Glossophaga longirostris longirostris", "Glossophaga longirostris major", "Glossophaga longirostris maricelae", "Glossophaga longirostris reclusa", "Glossophaga longirostris rostrata", "Glossophaga morenoi", "Glossophaga morenoi brevirostris", "Glossophaga morenoi mexicana", "Glossophaga morenoi morenoi", "Glossophaga soricina", "Glossophaga soricina antillarum", "Pyrenula oleosa", "Pyrenula personata", "Pyrenula pseudobufonia", "Pyrenula punctella", "Pyrenula pyrenuloides", "Pyrenula ravenelii", "Ametrida centurio", "Ardops nichollsi", "Ardops nichollsi annectens", "Ardops nichollsi koopmani", "Ardops nichollsi luciae", "Ardops nichollsi montserratensis", "Ardops nichollsi nichollsi", "Ariteus flavescens", "Pyrenula subelliptica", "Pyrenula subferruginea", "Pyrenula tenuisepta", "Pecari maximus", "Pyrenula thelomorpha", "Pyrenula wetmorei", "Pyrenula wheeleri", "Libertia chilensis", "Lonchophylla mordax mordax", "Lonchophylla robusta", "Lonchophylla thomasi", "Platalina genovensium", "Erophylla bombifrons", "Erophylla bombifrons bombifrons", "Erophylla bombifrons santacristobalensis", "Erophylla sezekorni", "Erophylla sezekorni mariguanensis", "Erophylla sezekorni planifrons", "Erophylla sezekorni sezekorni", "Erophylla sezekorni syops", "Phyllonycteris major", "Chrotopterus auritus", "Glyphonycteris behnii", "Glyphonycteris daviesi", "Glyphonycteris sylvestris", "Diomedea sanfordi", "Sceloporus grammicus grammicus", "Sceloporus grammicus microlepidotus", "Glossophaga soricina handleyi", "Glossophaga soricina mutica", "Glossophaga soricina soricina", "Glossophaga soricina valens", "Hylonycteris underwoodi", "Hylonycteris underwoodi minor", "Hylonycteris underwoodi underwoodi", "Monophyllus plethodon", "Monophyllus plethodon frater", "Monophyllus plethodon luciae", "Monophyllus plethodon plethodon", "Monophyllus redmani", "Monophyllus redmani clinedaphus", "Monophyllus redmani portoricensis", "Monophyllus redmani redmani", "Musonycteris harrisoni", "Scleronycteris ega", "Baccharis polifolia", "Sceloporus grammicus", "Nycticeius humeralis", "Euderma maculatum", "Pogona barbata", "Lionycteris spurrelli", "Lonchophylla handleyi", "Lonchophylla hesperia", "Lonchophylla mordax", "Lonchophylla mordax concava", "Laemanctus longipes", "Centurio senex", "Centurio senex greenhalli", "Centurio senex senex", "Chiroderma doriae", "Chiroderma improvisum", "Chiroderma salvini", "Chiroderma salvini salvini", "Chiroderma salvini scopaeum", "Chiroderma trinitatum", "Chiroderma villosum", "Chiroderma villosum jesupi", "Chiroderma villosum villosum", "Ectophylla alba", "Enchisthenes hartii", "Mesophylla macconnelli", "Mesophylla macconnelli flavescens", "Mesophylla macconnelli macconnelli", "Phyllops falcatus", "Phyllops falcatus falcatus", "Phyllops falcatus haitiensis", "Platyrrhinus aurarius", "Platyrrhinus brachycephalus", "Corynorhinus mexicanus", "Corynorhinus rafinesquii", "Corynorhinus townsendii", "Antrozous pallidus", "Lampronycteris brachyotis", "Lonchorhina aurita", "Lonchorhina aurita aurita", "Lonchorhina aurita occidentalis", "Lonchorhina fernandezi", "Lonchorhina inusitata", "Lonchorhina marinkellei", "Lonchorhina orinocensis", "Lophostoma brasiliense", "Lophostoma carrikeri", "Lophostoma evotis", "Lophostoma schulzi", "Lophostoma silvicolum", "Lophostoma silvicolum centralis", "Lophostoma silvicolum laephotis", "Lophostoma silvicolum silvicolum", "Macrophyllum macrophyllum", "Macrotus waterhousii bulleri", "Macrotus waterhousii compressus", "Macrotus waterhousii jamaicensis", "Macrotus waterhousii mexicanus", "Macrotus waterhousii minor", "Macrotus waterhousii waterhousii", "Micronycteris brosseti", "Micronycteris hirsuta", "Micronycteris homezi", "Micronycteris matses", "Micronycteris megalotis", "Micronycteris microtis", "Micronycteris microtis mexicana", "Micronycteris microtis microtis", "Micronycteris minuta", "Micronycteris sanborni", "Micronycteris schmidtorum", "Mimon bennettii", "Mimon cozumelae", "Mimon crenulatum", "Mimon crenulatum crenulatum", "Mimon crenulatum keenani", "Mimon crenulatum longifolium", "Mimon crenulatum picatum", "Mimon koepckeae", "Amaryllis paradisicola", "Neonycteris pusilla", "Phylloderma stenops", "Phylloderma stenops boliviensis", "Phylloderma stenops septentrionalis", "Phylloderma stenops stenops", "Phyllostomus discolor", "Phyllostomus discolor discolor", "Phyllostomus discolor verrucosus", "Phyllostomus elongatus", "Phyllostomus hastatus", "Phyllostomus hastatus hastatus", "Phyllostomus hastatus panamensis", "Phyllostomus latifolius", "Tonatia bidens", "Tonatia saurophila", "Tonatia bakeri", "Tonatia maresi", "Trachops cirrhosus", "Trachops cirrhosus cirrhosus", "Trachops cirrhosus coffini", "Trachops cirrhosus ehrhardti", "Trinycteris nicefori", "Vampyrum spectrum", "Pyrenula acutispora", "Pyrenula microtheca", "Pyrenula anomala", "Pyrenula aquila", "Pyrenula concatervans", "Pyrenula rubrostoma", "Pyrenula atrolaminata", "Pyrenula carabaica", "Dypsis ifanadianae", "Dypsis intermedia", "Dypsis interrupta", "Dypsis lanceolata", "Dypsis ligulata", "Dypsis madagascariensis", "Dypsis malcomberi", "Dypsis mananjarensis", "Dypsis mangorensis", "Dypsis mcdonaldiana", "Dypsis nauseosa", "Dypsis nossibensis", "Dypsis onilahensis", "Dypsis oreophila", "Dypsis oropedionis", "Dypsis ovobontsira", "Dypsis paludosa", "Dypsis perrieri", "Dypsis pilulifera", "Dypsis prestoniana", "Dypsis procera", "Dypsis psammophila", "Dypsis rivularis", "Dypsis sahanofensis", "Dypsis saintelucei", "Dypsis scottiana", "Dypsis serpentina", "Dypsis singularis", "Dypsis tsaratananensis", "Dypsis utilis", "Dypsis ambositrae", "Heosemys depressa", "Siebenrockiella leytensis", "Rafetus swinhoei", "Nepenthes aristolochioides", "Nepenthes clipeata", "Nepenthes dubia", "Nepenthes macrophylla", "Sarracenia oreophila", "Oxyanthus okuensis", "Nepenthes lavicola", "Leucocephalon yuwonoi", "Nilopegamys plumbeus", "Alsodes tumultuosus", "Puma concolor cabrerae", "Puma concolor anthonyi", "Puma concolor costaricensis", "Puma concolor cougar", "Puma concolor concolor", "Sorex fumeus", "Sorex arcticus", "Sorex merriami", "Sorex longirostris", "Sorex dispar", "Sorex gaspensis", "Pyrenula caryae", "Pyrenula cerina", "Pyrenula citriformis", "Pyrenula cocoes", "Pyrenula confoederata", "Pyrenula corticata", "Pyrenula cruenta", "Pyrenula cruentata", "Pyrenula cubana", "Pyrenula cuyabensis", "Pyrenula erumpens", "Pyrenula falsaria", "Pyrenula laetior", "Pyrenula laevigata", "Pyrenula leucostoma", "Pyrenula lucifera", "Pyrenula macounii", "Pyrenula macularis", "Pyrenula maculata", "Pyrenula micheneri", "Pyrenula microcarpa", "Pyrenula mucosa", "Holacanthus africanus", "Pyrenula occidentalis", "Holacanthus bermudensis", "Holacanthus ciliaris", "Pyrenula ochraceoflava", "Pyrenula ochraceoflavens", "Psidium cattleianum", "Psidium guajava", "Mosiera guineensis", "Psidium angulatum", "Psidium friedrichsthalianum", "Musa acuminata", "Musa balbisiana", "Musa basjoo", "Musa cheesmani", "Musa coccinea", "Ensete ventricosum", "Rhinophylla alethina", "Musa formosana", "Rhinophylla pumilio", "Musa ingens", "Rhinophylla fischerae", "Musa insularimontana", "Musa itinerans", "Musa laterita", "Diaemus youngi", "Musa mannii", "Musa nana", "Musa ornata", "Anoura caudifer", "Anoura cultrata", "Anoura geoffroyi", "Anoura geoffroyi geoffroyi", "Anoura geoffroyi lasiopyga", "Anoura geoffroyi peruana", "Anoura latidens", "Anoura luismanueli", "Choeroniscus godmani", "Choeroniscus minor", "Choeroniscus periosus", "Choeroniscus periosus periosus", "Choeroniscus periosus ponsi", "Veronica persica", "Cerastium glomeratum", "Rhinoderma darwinii", "Rapanea parvula", "Cedrela fissilis", "Cordia trichotoma", "Polylepis australis", "Anisomeridium albisedum", "Anisomeridium ambiguum", "Anisomeridium anisolobum", "Anisomeridium aureopunctatum", "Anisomeridium biforme", "Anisomeridium biformoides", "Anisomeridium carinthiacum", "Asthenocnemis linnaei", "Anisomeridium consobrinum", "Anisomeridium distans", "Anisomeridium excaecariae", "Anisomeridium finkii", "Anisomeridium griffinii", "Anisomeridium leucochlorum", "Anisomeridium phaeospermum", "Anisomeridium polypori", "Anisomeridium quadricoccum", "Anisomeridium quaternarium", "Anisomeridium subprostans", "Anisomeridium tamarindi", "Anisomeridium terminatum", "Anisomeridium tuckerae", "Calycorectes sellowianus", "Acrocordia salweyi", "Monoblastia borinquensis", "Monoblastia buckii", "Monoblastia cypressi", "Monoblastia rappii", "Platycypha eliseva", "Mesocnemis saralisa", "Pyrenula acutalis", "Polylepis besseri", "Macromitrium brotheri", "Macromitrium caldense", "Platyrrhinus chocoensis", "Platyrrhinus dorsalis", "Platyrrhinus helleri", "Platyrrhinus helleri helleri", "Platyrrhinus helleri incarum", "Platyrrhinus infuscus", "Platyrrhinus lineatus", "Platyrrhinus lineatus lineatus", "Platyrrhinus nigellus", "Platyrrhinus umbratus", "Platyrrhinus umbratus aquilius", "Platyrrhinus umbratus oratus", "Platyrrhinus umbratus umbratus", "Platyrrhinus vittatus", "Pygoderma bilabiatum", "Pygoderma bilabiatum bilabiatum", "Pygoderma bilabiatum magna", "Sphaeronycteris toxophyllum", "Stenoderma rufum", "Stenoderma rufum darioi", "Stenoderma rufum rufum", "Uroderma bilobatum", "Uroderma bilobatum bilobatum", "Uroderma convexum", "Uroderma davisi", "Uroderma magnirostrum", "Archaebalaenoptera castriarquati", "Evolestes hadrommatos", "Daphne cneorum", "Daphne pontica", "Daphne laureola", "Daphne striata", "Pertusaria tejocotensis", "Pertusaria leioplaca", "Pertusaria velata", "Pertusaria alaskensis", "Vampyriscus brocki", "Vampyriscus nymphaea", "Vampyressa melissa", "Vampyressa thyone", "Vampyriscus bidens", "Vampyrodes caraccioli", "Vampyrodes caraccioli caraccioli", "Vampyrodes caraccioli major", "Sturnira bidens", "Sorex vagrans", "Sorex monticolus", "Sorex palustris", "Sorex hoyi", "Psarocolius cassini", "Psarocolius guatimozinus", "Psarocolius montezuma", "Pelopidas mathias", "Psarocolius bifasciatus", "Psarocolius bifasciatus bifasciatus", "Psarocolius bifasciatus yuracares", "Psarocolius bifasciatus neivae", "Sturnira ludovici", "Ochrolechia splendens", "Sturnira hondurensis", "Ochrolechia subathallina", "Sturnira luisi", "Sturnira magna", "Sturnira mistratensis", "Sturnira mordax", "Ochrolechia subisidiata", "Sturnira oporaphilum", "Ochrolechia subpallescens", "Sturnira tildae", "Ochrolechia szatala\u00ebnsis", "Ochrolechia turneri", "Mormoops blainvillei", "Mormoops magna", "Mormoops megalophylla carteri", "Mormoops megalophylla intermedia", "Mormoops megalophylla megalophylla", "Ochrolechia xanthostoma", "Mormoops megalophylla tumidiceps", "Ochrolechia yasudae", "Ochrolechia subplicans", "Ochrolechia trochophora", "Ochrolechia subplicans subsp. hultenii", "Ochrolechia subplicans subsp. subplicans", "Ochrolechia trochophora var. pruinirosella", "Curetis acuta", "Sequoiadesmus krejcae", "Mimusops commersonii", "Megasoma elephas elephas", "Megasoma elephas iijimai", "Megasoma elephas occidentalis", "Macromitrium caloblastoides", "Macromitrium calocalyx", "Macromitrium calomicron", "Macromitrium calymperoideum", "Macromitrium campoanum", "Macromitrium cardotii", "Macromitrium carionis", "Macromitrium cataractarum", "Macromitrium catharinense", "Marmota monax", "Megasoma actaeon", "Megasoma anubis", "Berberis beauverdiana", "Lecanora albella", "Lecanora albella var. albella", "Lecanora albella var. rubescens", "Lecanora alaskensis", "Lecanora achroa", "Theraphosa blondi", "Lecanora achroides", "Lecanora albellula", "Lecanora albocaesiella", "Lecanora albula", "Lecanora aleutica", "Lecanora allophana", "Calycorectes wurdackii", "Lecanora anoptiza", "Lecanora apochroeoides", "Lecanora arenisaxicola", "Lecanora argentea", "Scapanus latimanus", "Pristis pristis", "Pristis zijsron", "Hippocamelus antisensis", "Hippocamelus bisulcus", "Bothrops pirajai", "Condylura cristata", "Scalopus aquaticus", "Parascalops breweri", "Lecanora epibryon subsp. broccha", "Psychotria viridis", "Scapanus townsendii", "Lecanora epibryon subsp. epibryon", "Lecanora epibryon subsp. xanthophora", "Lobelia inflata", "Corallus cropanii", "Lecanora garovaglioi subsp. cascadensis", "Chrysochroa fulgidissima", "Rhincodon typus", "Lecanora garovaglioi subsp. garovaglioi", "Platyretus brevipenis", "Platyretus gangeticus", "Platyretus javanicus", "Platyretus sudindicus", "Rhynchocyon udzungwensis", "Notiosorex crawfordi", "Cryptotis parva", "Blarina brevicauda", "Aegiphila cordifolia", "Ochrolechia africana", "Ochrolechia antillarum", "Blarina carolinensis", "Ochrolechia farinacea", "Ochrolechia frigida", "Ochrolechia gowardii", "Ochrolechia grimmiae", "Ochrolechia groenlandica", "Ochrolechia gyalectina", "Ochrolechia inaequatula", "Ochrolechia juvenalis", "Ochrolechia laevigata", "Ochrolechia mexicana", "Sturnira nana", "Ochrolechia montana", "Sturnira aratathomasi", "Ochrolechia oregonensis", "Sturnira bogotensis", "Sturnira erythromos", "Ochrolechia pseudopallescens", "Sturnira lilium", "Sturnira angeli", "Ochrolechia rhodoleuca", "Sturnira parvidens", "Sturnira paulsoni", "Sokkaejaecystis serrata", "Incertae sedis", "Lecanora cenisia", "Protocytidium elliottae", "Incertae sedis", "Lecanora chlarotera", "Lecanora chlorophaeodes", "Lecanora circumborealis", "Catervaparmaster pecularis", "Incertae sedis", "Archegonaster pentagonus", "Lecanora cladonioides", "Chinianaster levyi", "Ophioxenikos langenheimi", "Thoralaster spiculiformis", "Lecanora collatolica", "Villebrunaster thorali", "Chaerephon shortridgei", "Chaerephon solomonis", "Chaerephon tomensis", "Polygonia c-aureum", "Spilogale gracilis", "Spilogale putorius", "Austronanus gelidus", "Austronanus mawsoni", "Austronanus aucklandensis", "Stephenseniellus palliolatipes", "Stephenseniellus serraticornis", "Sorex bendirii", "Sorex nanus", "Sorex alaskanus", "Sorex maritimensis", "Sorex tundrensis", "Macromitrium cavaleriei", "Macromitrium chungkingense", "Macromitrium cirrosum", "Macromitrium clastophyllum", "Macromitrium clavatum", "Macromitrium clemensiae", "Macromitrium comatum", "Macromitrium complicatulum", "Macromitrium concinnum", "Macromitrium constrictum", "Macromitrium contextum", "Macromitrium courtoisii", "Macromitrium crassirameum", "Macromitrium crassiusculum", "Macromitrium crenulatum", "Macromitrium crinale", "Macromitrium crispatulum", "Macromitrium crosbyorum", "Macromitrium crumianum", "Macromitrium cucullatulum", "Macromitrium cuspidatum", "Macromitrium cylindricum", "Macromitrium cylindrothecium", "Macromitrium densifolium", "Cheiromeles parvidens", "Cheiromeles torquatus", "Lecanora comonduensis", "Lecanora confusa", "Aztlanolagus agilis", "Molossus aztecus", "Molossus barnesi", "Molossus coibensis", "Molossus currentium", "Molossus currentium bondae", "Molossus currentium currentium", "Molossus currentium robustus", "Molossus molossus", "Molossus molossus debilis", "Molossus molossus fortis", "Molossus molossus milleri", "Molossus molossus molossus", "Molossus molossus pygmaeus", "Molossus molossus tropidorhynchus", "Molossus molossus verrilli", "Molossus pretiosus", "Molossus rufus", "Molossus sinaloae", "Molossus sinaloae sinaloae", "Molossus sinaloae trinitatus", "Sorex haydeni", "Sorex jacksoni", "Sorex macrodon", "Sorex milleri", "Sorex neomexicanus", "Lecanora coniferarum", "Tapinella atrotomentosa", "Lecanora conizaeoides", "Scapanus orarius", "Tor khudree", "Tor putitora", "Noctilio albiventris", "Noctilio albiventris albiventris", "Noctilio albiventris cabrerai", "Noctilio albiventris minor", "Noctilio leporinus", "Noctilio leporinus leporinus", "Noctilio leporinus mastivus", "Noctilio leporinus rufescens", "Amorphochilus schnablii", "Furipterus horrens", "Thyroptera discifera", "Thyroptera discifera abdita", "Thyroptera discifera discifera", "Thyroptera lavali", "Thyroptera tricolor", "Thyroptera tricolor albiventer", "Thyroptera tricolor juquiaensis", "Thyroptera tricolor tricolor", "Lecanora arthothelinella", "Lecanora atrosulphurea", "Lecanora bicincta", "Lecanora bipruinosa", "Lecanora boligera", "Lecanora brattiae", "Aegiphila sordida", "Lecanora brodoana", "Lecanora brucei", "Puma jagouaroundi", "Puma yagouaroundi", "Lecanora caesiorubella", "Lecanora caesiorubella subsp. caesiorubella", "Lecanora caesiorubella subsp. glaucomodes", "Lecanora caesiorubella subsp. merrillii", "Lecanora caesiorubella subsp. saximontana", "Lecanora caesiosora", "Lecanora caesiosulphurea", "Lecanora californica", "Cheiromeles torquatus caudatus", "Cheiromeles torquatus jacobsoni", "Cheiromeles torquatus torquatus", "Cynomops abrasus", "Cynomops abrasus abrasus", "Cynomops abrasus brachymeles", "Cynomops abrasus cerastes", "Cynomops abrasus mastivus", "Cynomops greenhalli", "Cynomops mexicanus", "Cynomops paranus", "Cynomops planirostris", "Eumops auripendulus", "Eumops auripendulus auripendulus", "Eumops auripendulus major", "Eumops bonariensis", "Eumops bonariensis bonariensis", "Eumops bonariensis delticus", "Eumops bonariensis nanus", "Eumops dabbenei", "Eumops glaucinus floridanus", "Eumops glaucinus glaucinus", "Eumops hansae", "Eumops maurus", "Eumops patagonicus", "Eumops patagonicus beckeri", "Eumops patagonicus patagonicus", "Eumops perotis californicus", "Eumops perotis gigas", "Eumops perotis perotis", "Eumops trumbulli", "Eumops underwoodi sonoriensis", "Eumops underwoodi underwoodi", "Cabreramops aequatorianus", "Molossops neglectus", "Molossops temminckii", "Molossops temminckii griseiventer", "Molossops temminckii sylvia", "Molossops temminckii temminckii", "Neoplatymops mattogrossensis", "Sorex arizonae", "Sorex bairdi", "Terpnosia nigricosta", "Lecanora cinereofusca", "Lecanora cavicola", "Mirabilicoxa kussakini", "Lecanora campestris", "Sorex lyelli", "Sorex preblei", "Sorex pacificus", "Sorex ornatus", "Sorex tenellus", "Lecanora canadensis", "Lecanora carneolutescens", "Lecanora carpinea", "Lecanora casuarinophila", "Chilonatalus micropus", "Chilonatalus micropus brevimanus", "Chilonatalus micropus macer", "Chilonatalus micropus micropus", "Chilonatalus tumidifrons", "Natalus jamaicensis", "Natalus major", "Natalus primus", "Natalus stramineus", "Natalus stramineus espiritosantensis", "Natalus stramineus mexicanus", "Natalus stramineus natalensis", "Natalus stramineus saturatus", "Natalus stramineus stramineus", "Natalus stramineus tronchonii", "Natalus tumidirostris", "Natalus tumidirostris continentis", "Natalus tumidirostris haymani", "Natalus tumidirostris tumidirostris", "Nyctiellus lepidus", "Chaerephon aloysiisabaudiae", "Chaerephon ansorgei", "Chaerephon bemmeleni", "Chaerephon bemmeleni bemmeleni", "Chaerephon bemmeleni cistura", "Chaerephon bivittatus", "Chaerephon bregullae", "Chaerephon chapini", "Chaerephon chapini chapini", "Chaerephon chapini lancasteri", "Chaerephon jobensis", "Chaerephon jobensis colonicus", "Chaerephon jobensis jobensis", "Chaerephon johorensis", "Chaerephon leucogaster", "Chaerephon major", "Chaerephon nigeriae", "Chaerephon nigeriae nigeriae", "Chaerephon nigeriae spillmani", "Chaerephon plicatus", "Chaerephon plicatus dilatatus", "Chaerephon plicatus insularis", "Chaerephon plicatus plicatus", "Chaerephon plicatus tenuis", "Chaerephon plicatus luzonus", "Chaerephon pumilus", "Chaerephon russatus", "Pertusaria atra", "Pertusaria californica", "Pertusaria carneopallida", "Pertusaria chiodectonoides", "Pertusaria consocians", "Pertusaria copiosa", "Pertusaria coriacea", "Pertusaria excludens", "Pertusaria flavicunda", "Pertusaria floridana", "Pertusaria glaucomela", "Pertusaria hypothamnolica", "Pertusaria lecanina", "Pertusaria macounii", "Pertusaria multipunctoides", "Pertusaria neoscotica", "Pertusaria octomela", "Pertusaria ophthalmiza", "Pertusaria ostiolata", "Pertusaria paratuberculifera", "Pertusaria plittiana", "Pertusaria propinqua", "Pertusaria pruinifera", "Pertusaria rhexostoma", "Pertusaria rubefacta", "Pertusaria saximontana", "Pertusaria sinusmexicani", "Pertusaria subambigens", "Pertusaria subdactylina", "Pertusaria subobducens", "Pertusaria suboculata", "Pertusaria subpertusa", "Pertusaria sulcata", "Pertusaria texana", "Pertusaria trachythallina", "Pertusaria trochiscea", "Pertusaria valliculata", "Pertusaria waghornei", "Pertusaria wulfenioides", "Pertusaria xanthodes", "Pertusaria zeorina", "Lecanora crustacea", "Lecanora cupressi", "Lecanora demosthenesii", "Lecanora densa", "Lecanora disco\u00ebnsis", "Lecanora dispersoareolata", "Mormopterus acetabulosus", "Mormopterus beccarii", "Mormopterus beccarii astrolabiensis", "Mormopterus beccarii beccarii", "Mormopterus doriae", "Mormopterus jugularis", "Mormopterus kalinowskii", "Mormopterus loriae", "Mormopterus loriae cobourgiana", "Mormopterus loriae loriae", "Mormopterus loriae ridei", "Mormopterus minutus", "Mormopterus norfolkensis", "Mormopterus phrudus", "Mormopterus planiceps", "Myopterus daubentonii", "Myopterus daubentonii albatus", "Myopterus daubentonii daubentonii", "Myopterus whitleyi", "Nyctinomops aurispinosus", "Nyctinomops laticaudatus", "Nyctinomops laticaudatus europs", "Nyctinomops laticaudatus ferruginea", "Nyctinomops laticaudatus laticaudatus", "Nyctinomops laticaudatus macarenensis", "Nyctinomops laticaudatus yucatanicus", "Otomops formosus", "Otomops johnstonei", "Otomops madagascariensis", "Otomops martiensseni", "Otomops martiensseni icarus", "Otomops martiensseni martiensseni", "Otomops papuensis", "Otomops secundus", "Platymops setiger", "Platymops setiger macmillani", "Platymops setiger setiger", "Promops centralis", "Promops centralis centralis", "Promops centralis davisoni", "Promops centralis occultus", "Eptesicus bottae hingstoni", "Eptesicus bottae innesi", "Eptesicus ognevi", "Eptesicus bottae omanensis", "Eptesicus bottae taftanimontis", "Eptesicus brasiliensis", "Eptesicus brasiliensis argentinus", "Eptesicus brasiliensis brasiliensis", "Eptesicus brasiliensis melanopterus", "Eptesicus brasiliensis thomasi", "Eptesicus chiriquinus", "Eptesicus diminutus", "Eptesicus diminutus diminutus", "Eptesicus diminutus fidelis", "Eptesicus dimissus", "Eptesicus guadeloupensis", "Eptesicus hottentotus", "Eptesicus hottentotus bensoni", "Eptesicus hottentotus hottentotus", "Eptesicus hottentotus portavernus", "Eptesicus innoxius", "Eptesicus japonensis", "Eptesicus kobayashii", "Neoromicia matroka", "Rhyneptesicus nasutus", "Eptesicus pachyotis", "Eptesicus platyops", "Eptesicus isabellinus", "Tadarida aegyptiaca sindica", "Tadarida aegyptiaca thomasi", "Tadarida aegyptiaca tragatus", "Tadarida australis", "Tadarida brasiliensis antillularum", "Tadarida brasiliensis bahamensis", "Tadarida brasiliensis brasiliensis", "Tadarida brasiliensis constanzae", "Tadarida brasiliensis cynocephala", "Tadarida brasiliensis intermedia", "Tadarida brasiliensis mexicana", "Tadarida brasiliensis murina", "Tadarida brasiliensis muscula", "Tadarida fulminans", "Tadarida fulminans fulminans", "Tadarida fulminans mastersoni", "Tadarida insignis", "Tadarida kuboriensis", "Tadarida latouchei", "Tadarida lobata", "Tadarida teniotis rueppelli", "Tadarida teniotis teniotis", "Tadarida ventralis", "Tadarida ventralis africana", "Tadarida ventralis ventralis", "Tomopeas ravus", "Arielulus aureocollaris", "Arielulus circumdatus", "Arielulus cuprosus", "Arielulus societatis", "Arielulus torquatus", "Limonium soboliferum", "Conepatus leuconotus", "Conepatus semistriatus", "Lecanora nashii", "Lecanora neoalbomarginata", "Lecanora neonashii", "Lecanora neosonorensis", "Lecanora nigromarginata", "Lecanora nordenskioeldii", "Lecanora novae-semliae", "Lecanora novomexicana", "Lecanora ochraceorubescens", "Lecanora olivaceopallida", "Lecanora opiniconensis", "Lecanora orae-frigidae", "Nemopilema nomurai", "Agave americana 'Medio-picta alba'", "Lecanora oreinoides", "Cyanea capillata", "Peromyscus guatemalensis", "Peromyscus gymnotis", "Peromyscus hooperi", "Aurelia aurita", "Peromyscus interparietalis", "Peromyscus hylocetes", "Peromyscus leucopus", "Peromyscus keeni", "Peromyscus levipes", "Peromyscus madrensis", "Peromyscus maniculatus", "Peromyscus mayensis", "Peromyscus megalops", "Peromyscus mekisturus", "Peromyscus melanocarpus", "Peromyscus melanophrys", "Peromyscus melanotis", "Peromyscus melanurus", "Peromyscus merriami", "Peromyscus mexicanus", "Peromyscus nasutus", "Eptesicus andinus", "Eptesicus anatolicus", "Eptesicus bottae bottae", "Kerivoula eriophora", "Kerivoula flora", "Kerivoula hardwickii", "Kerivoula intermedia", "Kerivoula lanosa", "Kerivoula lanosa harrisoni", "Kerivoula lanosa lanosa", "Kerivoula lanosa lucia", "Kerivoula lanosa muscilla", "Kerivoula lenis", "Kerivoula minuta", "Kerivoula muscina", "Kerivoula myrella", "Kerivoula papillosa", "Kerivoula papillosa malayana", "Kerivoula papillosa papillosa", "Kerivoula pellucida", "Kerivoula phalaena", "Kerivoula picta", "Lecanora iowensis", "Kerivoula picta bellissima", "Kerivoula picta picta", "Kerivoula smithii", "Kerivoula whiteheadi", "Kerivoula whiteheadi bicolor", "Kerivoula whiteheadi pusilla", "Kerivoula whiteheadi whiteheadi", "Phoniscus aerosa", "Phoniscus atrox", "Phoniscus jagorii", "Phoniscus papuensis", "Miniopterus africanus", "Miniopterus australis", "Miniopterus australis australis", "Miniopterus australis solomonensis", "Miniopterus australis tibialis", "Miniopterus fraterculus", "Miniopterus fuscus", "Miniopterus gleni", "Lecanora jamesii", "Miniopterus inflatus", "Miniopterus inflatus inflatus", "Miniopterus inflatus rufus", "Miniopterus macrocneme", "Miniopterus magnater", "Miniopterus magnater macrodens", "Miniopterus magnater magnater", "Miniopterus majori", "Miniopterus manavi", "Miniopterus manavi griveaudi", "Miniopterus manavi manavi", "Miniopterus medius", "Miniopterus minor", "Miniopterus minor minor", "Miniopterus minor newtoni", "Miniopterus minor occidentalis", "Miniopterus natalensis", "Miniopterus natalensis arenarius", "Miniopterus natalensis natalensis", "Miniopterus paululus", "Miniopterus paululus graysonae", "Cistugo lesueuri", "Cistugo seabrae", "Myotis abei", "Neotoma mexicana", "Neotoma cinerea", "Neotoma micropus", "Neotoma stephensi", "Neotoma floridana", "Neotoma devia", "Neotoma angustapalata", "Neotoma anthonyi", "Neotoma bryanti", "Neotoma bunkeri", "Neotoma chrysomelas", "Neotoma fuscipes", "Neotoma goldmani", "Neotoma lepida", "Neotoma martinensis", "Neotoma nelsoni", "Neotoma palatina", "Neotoma phenax", "Neotoma magister", "Neotoma leucodon", "Neotoma macrotis", "Setaria geniculata", "Peromyscus attwateri", "Peromyscus aztecus", "Peromyscus boylii", "Peromyscus beatae", "Peromyscus bullatus", "Peromyscus californicus", "Peromyscus caniceps", "Spilogale angustifrons", "Peromyscus crinitus", "Peromyscus dickeyi", "Peromyscus eremicus", "Peromyscus difficilis", "Peromyscus eva", "Peromyscus fraterculus", "Spilogale pygmaea", "Peromyscus furvus", "Peromyscus gossypinus", "Peromyscus grandis", "Peromyscus gratus", "Peromyscus guardia", "Mephitis macroura", "Sauromys petrophilus", "Sauromys petrophilus erongensis", "Sauromys petrophilus fitzsimonsi", "Sauromys petrophilus haagneri", "Sauromys petrophilus petrophilus", "Sauromys petrophilus umbratus", "Tadarida aegyptiaca", "Tadarida aegyptiaca aegyptiaca", "Tadarida aegyptiaca bocagei", "Promops nasutus", "Promops nasutus ancilla", "Promops nasutus downsi", "Promops nasutus fosteri", "Promops nasutus nasutus", "Promops nasutus pamana", "Lecanora expallens", "Lecanora farinacea", "Lecanora farinaria", "Lecanora flavidofusca", "Lecanora flavidomarginata", "Lecanora floridula", "Lecanora flotoviana", "Lecanora fuscescens", "Lecanora fuscidula", "Lecanora galactiniza", "Lecanora gangaleoides", "Lecanora geiserae", "Lecanora geophila", "Lecanora groenlandica", "Lecanora guderleyi", "Lecanora gyalectodes", "Lecanora gypsicola", "Sorex pribilofensis", "Sorex sonomae", "Sorex ugyunak", "Sorex yukonicus", "Sorex trowbridgii", "Blarina hylophaga", "Blarina peninsulae", "Pinus culminicola", "Anthurium polyschistum", "Sylvilagus nuttallii", "Lecanora helicopis", "Lecanora hybocarpa", "Lecanora hypocrocina", "Lecanora hypoptoides", "Lecanora impudens", "Lecanora imshaugii", "Lecanora insignis", "Lecanora intumescens", "Kerivoula africana", "Kerivoula agnella", "Kerivoula argentata", "Kerivoula argentata argentata", "Kerivoula argentata nidicola", "Kerivoula argentata zuluensis", "Kerivoula cuprosa", "Macromitrium diaphanum", "Macromitrium dickasonii", "Lecanora monticola", "Lecanora mughicola", "Neovison macrodon", "Neotoma albigula", "Neovison vison", "Lecanora muralis", "Allium ledebourianum", "Lecanora muralis var. muralis", "Lecanora muralis var. dubyi", "Lecanora muralis var. brunneola", "Lecanora muralis var. versicolor", "Miniopterus shortridgei", "Miniopterus tristis", "Miniopterus tristis celebensis", "Miniopterus tristis grandis", "Miniopterus tristis insularis", "Miniopterus tristis propritristis", "Miniopterus tristis tristis", "Harpiocephalus harpia", "Harpiocephalus harpia harpia", "Harpiocephalus harpia lasyurus", "Harpiocephalus harpia madrassius", "Harpiocephalus harpia rufulus", "Harpiocephalus mordax", "Murina aenea", "Murina aurata", "Murina cyclotis", "Murina peninsularis", "Murina florium", "Murina florium florium", "Murina florium lanosa", "Murina florium toxopei", "Murina fusca", "Murina hilgendorfi", "Murina huttoni", "Murina huttoni huttoni", "Murina huttoni rubella", "Murina leucogaster", "Murina leucogaster leucogaster", "Murina leucogaster rubex", "Murina puta", "Murina rozendaali", "Murina ryukyuana", "Murina silvatica", "Murina suilla", "Murina suilla canescens", "Murina suilla suilla", "Murina tubinaris", "Murina ussuriensis", "Lecanora subpallens", "Lecanora subrugosa", "Lecanora substrobilina", "Tupinambis teguixin", "Lecanora sulfurescens", "Porphyra umbilicalis", "Lecanora swartzii", "Mycosarcoma maydis", "Chlorophyllum molybdites", "Hygrocybe psittacina", "Lecanora texana", "Lecanora thallophila", "Ochotona collaris", "Lecanora thysanophora", "Lecanora tristiuscula", "Panthera pardus delacouri", "Scotophilus nigrita", "Scotophilus nigrita alvenslebeni", "Scotophilus nigrita nigrita", "Scotophilus nucella", "Scotophilus nux", "Scotophilus robustus", "Scotophilus viridis", "Scotophilus viridis nigritellus", "Scotophilus viridis viridis", "Scotorepens balstoni", "Scotorepens balstoni balstoni", "Scotorepens balstoni influatus", "Scotorepens greyii", "Scotorepens orion", "Scotorepens sanborni", "Nyctophilus arnhemensis", "Nyctophilus bifax", "Nyctophilus bifax bifax", "Nyctophilus bifax daedalus", "Nyctophilus geoffroyi", "Lecanora pringlei subsp. pringlei", "Lecanora pringlei subsp. brandegei", "Fritillaria maximowiczii", "Gagea pauciflora", "Allium subg.", "Allium neriniflorum", "Lecanora plumosa", "Lecanora poluninii", "Lecanora pseudargentata", "Lecanora pseudachroa", "Lecanora pseudistera", "Lecanora pseudomellea", "Lecanora pulicaris", "Lecanora ramulicola", "Sciurus lis", "Lecanora reagens", "Lecanora rhodi", "Lecanora rubicunda", "Delphinapterus leucas", "Lecanora rupicola", "Lecanora ryanii", "Lecanora salicicola", "Lecanora saligna", "Eptesicus tatei", "Eptesicus floweri", "Lecanora orizabana", "Lecanora phaedrophthalma", "Lecanora phaedrophthalma var. phaedrophthalma", "Lecanora phaedrophthalma var. christoi", "Lecanora pachysoma", "Lecanora pacifica", "Lecanora pallidochlorina", "Lecanora pannonica", "Lecanora perconfusa", "Lecanora peltastictoides", "Lecanora permutata", "Lecanora perplexa", "Lecanora phaeophora", "Sapajus robustus", "Lecanora phryganitis", "Lecanora pinguis", "Lecanora placidensis", "Histriophoca fasciata", "Conepatus chinga", "Conepatus humboldtii", "Lecanora pringlei", "Peromyscus ochraventer", "Peromyscus pectoralis", "Peromyscus pembertoni", "Peromyscus perfulvus", "Peromyscus polionotus", "Peromyscus polius", "Peromyscus sejugis", "Peromyscus sagax", "Peromyscus simulus", "Miniopterus paululus paululus", "Miniopterus paululus witkampi", "Miniopterus pusillus", "Miniopterus robustior", "Miniopterus schreibersii bassanii", "Miniopterus schreibersii blepotis", "Miniopterus schreibersii chinensis", "Miniopterus schreibersii dasythrix", "Miniopterus schreibersii eschscholtzii", "Miniopterus schreibersii fuliginosus", "Miniopterus schreibersii haradai", "Miniopterus schreibersii japoniae", "Miniopterus schreibersii oceanensis", "Miniopterus schreibersii orianae", "Miniopterus schreibersii orsinii", "Miniopterus schreibersii pallidus", "Miniopterus schreibersii parvipes", "Miniopterus schreibersii schreibersii", "Miniopterus schreibersii smitianus", "Miniopterus schreibersii villiersi", "Notiosorex cockrumi", "Notiosorex evotis", "Notiosorex villai", "Neurotrichus gibbsii", "Lecanora helva", "Lecanora kariana", "Lecanora kofae", "Lecanora laatokkaensis", "Lecanora latens", "Lecanora laxa", "Lecanora leprosa", "Lecanora leptacina", "Lecanora leptacinella", "Lecanora lividolutea", "Lecanora louisianae", "Lecanora luteovernalis", "Lecanora marginata", "Lecanora maxima", "Lecanora mazatzalensis", "Lecanora mellea", "Lecanora meridionalis", "Lecanora microbola", "Lecanora microfusca", "Lecanora miculata", "Lecanora minutella", "Macromitrium densum", "Lecanora scrobiculata", "Lecanora semitensis", "Cupido alcetas", "Cupido decoloratus", "Glaucopsyche alexis", "Panamamyia silbergliedi", "Babyrousa bolabatuensis", "Babyrousa celebensis", "Babyrousa togeanensis", "Cistus parviflorus", "Cistus symphytifolius", "Peromyscus spicilegus", "Peromyscus stephani", "Peromyscus stirtoni", "Peromyscus truei", "Peromyscus winkelmanni", "Peromyscus yucatanicus", "Peromyscus zarhynchus", "Nycticeinops schlieffeni", "Nycticeius aenobarbus", "Nycticeius cubanus", "Nycticeius humeralis humeralis", "Nycticeius humeralis mexicanus", "Nycticeius humeralis subtropicalis", "Lecanora sierrae", "Scoteanax rueppellii", "Heterodera glycines", "Uncinaria stenocephala", "Myotis adversus", "Myotis adversus adversus", "Myotis adversus carimatae", "Myotis adversus orientis", "Myotis adversus taiwanensis", "Myotis adversus tanimbarensis", "Myotis adversus wetarensis", "Myotis aelleni", "Myotis albescens", "Myotis alcathoe", "Myotis altarium", "Myotis anjouanensis", "Myotis annamiticus", "Myotis annectans", "Myotis atacamensis", "Myotis ater", "Myotis ater ater", "Myotis ater nugax", "Myotis auriculus apache", "Myotis auriculus auriculus", "Myotis australis", "Myotis blythii ancilla", "Myotis blythii blythii", "Myotis blythii lesviacus", "Myotis blythii omari", "Myotis bocagii", "Myotis bocagii bocagii", "Myotis bocagii cupreolus", "Myotis bocagii dogalensis", "Myotis bombinus", "Myotis bombinus amurensis", "Myotis bombinus bombinus", "Myotis brandtii brandtii", "Myotis gracilis", "Myotis bucharensis", "Myotis californicus californicus", "Myotis californicus caurinus", "Myotis californicus mexicanus", "Myotis californicus stephensi", "Myotis chinensis", "Myotis csorbai", "Myotis daubentonii", "Myotis daubentonii chasanensis", "Myotis daubentonii daubentonii", "Myotis daubentonii loukashkini", "Myotis daubentonii nathalinae", "Myotis petax", "Myotis daubentonii ussuriensis", "Myotis daubentonii volgensis", "Lecidella anomaloides", "Myotis evotis chrysonotus", "Myotis evotis evotis", "Myotis evotis jonesorum", "Myotis evotis micronyx", "Myotis evotis milleri", "Myotis evotis pacificus", "Myotis fimbriatus", "Myotis findleyi", "Myotis formosus", "Myotis formosus bartelsi", "Myotis formosus formosus", "Myotis formosus rufoniger", "Myotis formosus rufopictus", "Myotis formosus tsuensis", "Myotis formosus watasei", "Myotis formosus weberi", "Myotis fortidens", "Myotis fortidens fortidens", "Myotis fortidens sonoriensis", "Myotis frater", "Myotis frater eniseensis", "Myotis frater frater", "Myotis frater kaguyae", "Myotis frater longicaudatus", "Myotis gomantongensis", "Myotis goudoti", "Myotis hajastanicus", "Myotis hasseltii", "Myotis hasseltii abboti", "Myotis hasseltii continentis", "Myotis hasseltii hasseltii", "Myotis hasseltii macellus", "Myotis hermani", "Myotis horsfieldii", "Myotis horsfieldii deignani", "Myotis horsfieldii dryas", "Myotis horsfieldii horsfieldii", "Myotis horsfieldii jeannei", "Myotis horsfieldii peshwa", "Myotis hosonoi", "Myotis ikonnikovi", "Myotis insularum", "Myotis keaysi", "Myotis keaysi keaysi", "Myotis keaysi pilosotibialis", "Myotis laniger", "Nyctophilus geoffroyi geoffroyi", "Nyctophilus geoffroyi pacificus", "Nyctophilus geoffroyi pallescens", "Nyctophilus gouldi", "Nyctophilus heran", "Nyctophilus howensis", "Nyctophilus microdon", "Nyctophilus nebulosus", "Nyctophilus timoriensis", "Nyctophilus timoriensis major", "Nyctophilus timoriensis sherrini", "Nyctophilus timoriensis timoriensis", "Nyctophilus walkeri", "Lepus townsendii", "Euterpe luminosa", "Lecanora tropica", "Lecanora umbrosa", "Lecanora vainioi", "Mazama bororo", "Mazama chunyi", "Mazama pandora", "Lecanora valesiaca", "Lecanora vegae", "Lecanora verrucariicola", "Lecanora viriduloflava", "Lecanora weberi", "Lecanora willeyi", "Lecanora wisconsinensis", "Lecanora xanthosora", "Lecanora xylophila", "Lecanora valesiaca var. valesiaca", "Lecanora valesiaca var. sibirica", "Sphaerodactylus micropithecus", "Adiantum pedatum", "Cryptogramma crispa", "Colocasia esculenta", "Sylvilagus aquaticus", "Sylvilagus bachmani", "Sylvilagus cunicularius", "Sylvilagus dicei", "Thunnus thynnus", "Thunnus albacares", "Thunnus atlanticus", "Thunnus tonggol", "Thunnus alalunga", "Thunnus maccoyii", "Thunnus obesus", "Thunnus orientalis", "Raja clavata", "Raja undulata", "Raja montagui", "Raja brachyura", "Pelecus cultratus", "Macrosiphoniella kermanensis", "Macrosiphoniella sanborni", "Gampsocoris decorus", "Oedalocanthus ornatus", "Dipturus batis", "Scyliorhinus canicula", "Scyliorhinus stellaris", "Leucaspius delineatus", "Coregonus peled", "Coregonus trybomi", "Abramis brama", "Halimium brasiliense", "Scotoecus albigula", "Scotoecus albofuscus", "Scotoecus albofuscus albofuscus", "Scotoecus albofuscus woodi", "Scotoecus hindei", "Scotoecus hindei falabae", "Scotoecus hindei hindei", "Scotoecus hirundo", "Scotoecus pallidus", "Scotomanes ornatus", "Scotomanes ornatus imbrensis", "Scotomanes ornatus ornatus", "Scotomanes ornatus sinensis", "Scotophilus celebensis", "Scotophilus collinus", "Scotophilus dinganii", "Scotophilus dinganii colias", "Scotophilus dinganii dinganii", "Scotophilus dinganii herero", "Scotophilus dinganii pondoensis", "Scotophilus heathii", "Scotophilus heathii heathii", "Scotophilus heathii insularis", "Scotophilus heathii watkinsi", "Scotophilus kuhlii", "Scotophilus kuhlii castaneus", "Scotophilus kuhlii consobrinus", "Scotophilus kuhlii gairdneri", "Scotophilus kuhlii kuhlii", "Scotophilus kuhlii panayensis", "Scotophilus kuhlii solutatus", "Scotophilus kuhlii temminckii", "Scotophilus leucogaster", "Scotophilus leucogaster damarensis", "Scotophilus leucogaster leucogaster", "Lecanora sonorae", "Lecanora sophodopsella", "Lecanora stenotropa", "Lecanora strobilina", "Lecanora subaurea", "Lecanora subcarnea", "Lecanora subcavicola", "Veronica officinalis", "Lecanora subimmergens", "Mazama gouazoubira", "Mazama americana", "Mazama bricenii", "Lecanora subimmersa", "Mazama rufina", "Acroloxus lacustris", "Ara ambiguus", "Lecanora subintricata", "Myotis davidii", "Myotis dominicensis", "Myotis elegans", "Myotis emarginatus desertorum", "Myotis emarginatus emarginatus", "Myotis emarginatus turcomanicus", "Lecanora achariana", "Lecanora aitema", "Lecanora alboflavida", "Lecanora conferta", "Lecanora frustulosa", "Sylvilagus transitionalis", "Lecanora handelii", "Lecanora praepostera", "Lecanora quercicola", "Lecanora sarcopidoides", "Lecanora soralifera", "Lecanora sublivescens", "Sambucus ebulus", "Sambucus nigra", "Sambucus racemosa", "Sambucus racemosa subsp. pubens", "Sambucus racemosa subsp. racemosa", "Yucca gigantea", "Yucca filamentosa", "Galenia secunda", "Mesembryanthemum aitonis", "Mesembryanthemum crystallinum", "Mesembryanthemum nodiflorum", "Tetragonia echinata", "Tetragonia tetragonioides", "Alisma wahlenbergii", "Baldellia repens", "Luronium natans", "Hippoglossus hippoglossus", "Hippoglossus stenolepis", "Sagittaria latifolia", "Sagittaria natans", "Sagittaria sagittifolia", "Beelzebufo ampinga", "Plecotus kolombatovici", "Chalinolobus dwyeri", "Chalinolobus gouldii", "Chalinolobus morio", "Chalinolobus neocaledonicus", "Chalinolobus nigrogriseus", "Chalinolobus nigrogriseus nigrogriseus", "Chalinolobus nigrogriseus rogersi", "Chalinolobus picatus", "Chalinolobus tuberculatus", "Eudiscopus denticulus", "Falsistrellus affinis", "Falsistrellus mackenziei", "Falsistrellus mordax", "Falsistrellus petersi", "Falsistrellus tasmaniensis", "Glauconycteris alboguttata", "Glauconycteris argentata", "Glauconycteris beatrix", "Glauconycteris curryae", "Glauconycteris egeria", "Glauconycteris gleni", "Glauconycteris humeralis", "Glauconycteris kenyacola", "Glauconycteris machadoi", "Glauconycteris poensis", "Glauconycteris superba", "Glauconycteris variegata", "Glauconycteris variegata phalaena", "Glauconycteris variegata variegata", "Nyctalus montanus", "Nyctalus noctula labiata", "Nyctalus noctula lebanoticus", "Nyctalus noctula mecklenburzevi", "Nyctalus noctula noctula", "Nyctalus plancyi", "Nyctalus plancyi plancyi", "Nyctalus plancyi velutinus", "Perimyotis subflavus", "Perimyotis subflavus clarus", "Perimyotis subflavus floridanus", "Perimyotis subflavus subflavus", "Perimyotis subflavus veraecrucis", "Pipistrellus abramus", "Pipistrellus adamsi", "Pipistrellus aero", "Oxalis acetosella", "Pipistrellus angulatus", "Pipistrellus collinus", "Pipistrellus coromandra", "Pipistrellus endoi", "Pipistrellus hesperidus", "Pipistrellus hesperidus fuscatus", "Pipistrellus hesperidus hesperidus", "Pipistrellus hesperidus subtilis", "Parastrellus hesperus hesperus", "Parastrellus hesperus maximus", "Pipistrellus inexspectatus", "Thalictrum foetidum", "Thalictrum minus", "Nigella arvensis", "Nigella damascena", "Nigella sativa", "Helleborus vesicarius", "Opistognathus aurifrons", "Fumana fontanesii", "Cynoglossum holosericeum", "Alkanna cordifolia", "Glaucium flavum", "Araschnia levana", "Collema pulchellum var. pulchellum", "Collema pulchellum var. leucopeplum", "Collema pulchellum var. subnigrescens", "Collema undulatum var. undulatum", "Collema undulatum var. granulosum", "Piculus chrysochloros paraensis", "Piprites chloris grisescens", "Pteroglossus bitorquatus bitorquatus", "Tolmomyias assimilis paraensis", "Sakesphorus luctuosus araguayae", "Thamnophilus aethiops incertus", "Sphyrna media", "Ginglymostoma cirratum", "Tyria jacobaeae", "Cervus canadensis", "Cervus albirostris", "Rucervus duvaucelii", "Panolia eldii", "Rusa marianna", "Rucervus schomburgki", "Rusa timorensis", "Pipistrellus kuhlii ikhwanius", "Erodium cicutarium", "Pipistrellus kuhlii kuhlii", "Pipistrellus kuhlii lepidus", "Pipistrellus minahassae", "Pipistrellus nanulus", "Pipistrellus papuanus", "Pipistrellus paterculus", "Pipistrellus paterculus paterculus", "Pipistrellus paterculus yunnanensis", "Pipistrellus permixtus", "Pipistrellus pipistrellus aladdin", "Pipistrellus pipistrellus pipistrellus", "Ammotrypanella arctica", "Ammotrypanella cirrosa", "Ammotrypanella mcintoshi", "Ammotrypanella princessa", "Ilex anonoides", "Hodotermopsis sjostedti", "Mimela splendens", "Myotis vivesi", "Dipsas albifrons", "Heterodactylus lundii", "Placosoma cipoense", "Anisolepis undulatus", "Glaucomastix abaetensis", "Glaucomastix littoralis", "Ameivula nativo", "Contomastix vacariensis", "Liolaemus lutzae", "Liolaemus occipitalis", "Mesoclemmys hogei", "Dipsas albifrons cavalheiroi", "Attacus atlas", "Attacus aurantiacus", "Attacus aurantiacus imperator", "Myotis levis", "Myotis levis dinellii", "Myotis levis levis", "Myotis longipes", "Myotis lucifugus alascensis", "Myotis lucifugus carissima", "Myotis lucifugus lucifugus", "Myotis lucifugus pernox", "Myotis lucifugus relictus", "Sassafras hesperia", "Lecidella asema", "Lecidella bullata", "Lecidella carpathica", "Lecidella chiricahuana", "Lecidella dimelaenophila", "Lecidella effugiens", "Lecidella elaeochroma", "Lecidella enteroleucella", "Lecidella euphorea", "Lecidella flavosorediata", "Lecidella granulata", "Lecidella granulosula", "Lecidella latypiza", "Lecidella meiococca", "Lecidella nashiana", "Lecidella patavina", "Lecidella pulveracea", "Lecidella scabra", "Lecidella stigmatea", "Lecidella subviridis", "Lecidella tumidula", "Lecidella viridans", "Lecidella wulfenii", "Neotoma findleyi", "Neotoma pygmaea", "Nyctophilus microtis", "Glischropus javanus", "Glischropus tylopus", "Glischropus tylopus batjanus", "Glischropus tylopus tylopus", "Nyctalus aviator", "Nyctalus furvus", "Nyctalus leisleri leisleri", "Nyctalus leisleri verrucosus", "Histiotus alienus", "Histiotus humboldti", "Histiotus laephotis", "Histiotus macrotus", "Datisca cannabina", "Histiotus magellanicus", "Histiotus montanus", "Histiotus montanus colombiae", "Histiotus montanus inambarus", "Histiotus montanus montanus", "Histiotus velatus", "Hypsugo alaschanicus", "Hypsugo anchietae", "Hypsugo anthonyi", "Hypsugo arabicus", "Hypsugo ariel", "Hypsugo bodenheimeri", "Hypsugo cadornae", "Hypsugo crassulus", "Hypsugo eisentrauti", "Hypsugo imbricatus", "Hypsugo joffrei", "Hypsugo kitcheneri", "Hypsugo lophurus", "Hypsugo macrotis", "Hypsugo musciculus", "Hypsugo pulveratus", "Hypsugo savii", "Hypsugo savii austenianus", "Hypsugo savii caucasicus", "Hypsugo savii ochromixtus", "Hypsugo savii savii", "Hypsugo vordermanni", "Laephotis angolensis", "Laephotis botswanae", "Laephotis namibensis", "Laephotis wintoni", "Mimetillus moloneyi", "Mimetillus moloneyi moloneyi", "Mimetillus moloneyi thomasi", "Neoromicia brunnea", "Neoromicia capensis", "Neoromicia capensis capensis", "Neoromicia capensis damarensis", "Neoromicia capensis garambae", "Neoromicia capensis gracilior", "Pipistrellus grandidieri", "Neoromicia capensis nkatiensis", "Neoromicia capensis notius", "Sarpa salpa", "Scorpaena porcus", "Scomber scombrus", "Collema furfuraceum var. furfuraceum", "Collema furfuraceum var. luzonense", "Myotis macrodactylus", "Myotis macrodactylus continentalis", "Myotis macrodactylus insularis", "Myotis macrodactylus macrodactylus", "Myotis macropus", "Myotis macrotarsus", "Myotis macrotarsus macrotarsus", "Myotis macrotarsus saba", "Myotis martiniquensis", "Myotis martiniquensis martiniquensis", "Myotis martiniquensis nyctor", "Myotis melanorhinus", "Myotis moluccarum", "Myotis moluccarum moluccarum", "Myotis moluccarum richardsi", "Myotis moluccarum solomonis", "Myotis montivagus", "Myotis montivagus borneoensis", "Myotis montivagus federatus", "Myotis montivagus montivagus", "Myotis montivagus peytoni", "Myotis morrisi", "Myotis muricola", "Myotis muricola browni", "Myotis muricola caliginosus", "Myotis muricola herrei", "Myotis muricola latirostris", "Myotis muricola moupinensis", "Myotis muricola muricola", "Rhinogekko femoralis", "Rhinogekko misonnei", "Agamura persica", "Afroedura africana", "Afroedura africana africana", "Afroedura africana namaquensis", "Afroedura africana tirasensis", "Afroedura amatolica", "Afroedura bogerti", "Afroedura hawequensis", "Leptogium burnetiae", "Leptogium chloromelum", "Leptogium coralloideum", "Leptogium corticola", "Leptogium crenatulum", "Leptogium cyanescens", "Cacajao calvus calvus", "Cacajao calvus novaesi", "Cacajao calvus rubicundus", "Cacajao calvus ucayalii", "Alouatta guariba guariba", "Alouatta guariba clamitans", "Leptogium denticulatum", "Leptogium floridanum", "Leptogium fusisporum", "Leptogium hirsutum", "Phaenomys ferrugineus", "Leptogium hypotrachynum", "Leptogium isidiosellum", "Wilfredomys oenax", "Leptogium marginellum", "Leptogium microstictum", "Leptogium milligranum", "Leptogium papillosum", "Leptogium phyllocarpum", "Leptogium pseudofurfuraceum", "Leptogium rugosum", "Leptogium sessile", "Leptogium stipitatum", "Leptogium teretiusculum", "Leptogium resupinans", "Leptogium acutisporum", "Neoromicia flavescens", "Neoromicia guineensis", "Neoromicia guineensis guineensis", "Neoromicia guineensis rectitragus", "Neoromicia helios", "Neoromicia melckorum", "Neoromicia nanus", "Neoromicia nanus culex", "Neoromicia nanus fouriei", "Neoromicia nanus meesteri", "Neoromicia nanus minusculus", "Neoromicia nanus nanus", "Neoromicia nanus stampflii", "Neoromicia rendalli", "Neoromicia rendalli phasma", "Neoromicia rendalli rendalli", "Neoromicia somalicus", "Neoromicia somalicus humbloti", "Neoromicia malagasyensis", "Neoromicia somalicus somalicus", "Neoromicia somalicus ugandae", "Sylvilagus obscurus", "Collema curtisporum", "Sylvilagus robustus", "Sylvilagus cognatus", "Sylvilagus graysoni", "Sylvilagus mansuetus", "Sylvilagus varynaensis", "Collema glebulentum", "Collema leptaleum", "Collema pulchellum", "Collema pustulatum", "Collema ryssoleum", "Collema subflaccidum", "Collema subnigrescens", "Collema subparvum", "Collema texanum", "Collema thamnodes", "Collema undulatum", "Boops boops", "Fumana aciphylla", "Helianthemum kahiricum", "Helianthemum aegyptiacum", "Helianthemum oelandicum", "Pipistrellus rusticus", "Pipistrellus rusticus marrensis", "Pipistrellus rusticus rusticus", "Pipistrellus stenopterus", "Pipistrellus murrayi", "Pipistrellus wattsi", "Pipistrellus westralis", "Scotozous dormeri", "Barbastella barbastellus barbastellus", "Barbastella barbastellus guanchae", "Barbastella leucomelas", "Barbastella leucomelas darjelingensis", "Barbastella leucomelas leucomelas", "Corynorhinus rafinesquii macrotis", "Corynorhinus rafinesquii rafinesquii", "Corynorhinus townsendii australis", "Corynorhinus townsendii ingens", "Corynorhinus townsendii pallescens", "Corynorhinus townsendii townsendii", "Corynorhinus townsendii virginianus", "Idionycteris phyllotis", "Otonycteris hemprichii", "Plecotus alpinus", "Plecotus auritus auritus", "Plecotus auritus begognae", "Plecotus auritus homochrous", "Plecotus auritus uenoi", "Plecotus austriacus ariel", "Plecotus austriacus austriacus", "Plecotus austriacus christii", "Plecotus macrobullaris", "Plecotus austriacus turkmenicus", "Plecotus austriacus wardi", "Leptogium adpressum", "Leptogium arcticum", "Leptogium arsenei", "Leptogium austroamericanum", "Leptogium azureum", "Leptogium brebissonii", "Bermudasignum frankenbergi", "Callambulyx tatarinovii", "Salix rizeensis", "Myotis volans amotus", "Myotis volans interior", "Myotis volans longicrus", "Myotis volans volans", "Myotis welwitschii", "Myotis yanbarensis", "Myotis yesoensis", "Myotis yumanensis lambi", "Myotis yumanensis lutosus", "Myotis yumanensis oxalis", "Myotis yumanensis saturatus", "Myotis yumanensis sociabilis", "Myotis yumanensis yumanensis", "Neoromicia tenuipinnis", "Neoromicia tenuipinnis ater", "Neoromicia tenuipinnis tenuipinnis", "Neoromicia zuluensis", "Philetor brachypterus", "Tylonycteris pachypus", "Tylonycteris pachypus aurex", "Tylonycteris pachypus bhaktii", "Tylonycteris pachypus fulvidus", "Tylonycteris pachypus meyeri", "Tylonycteris pachypus pachypus", "Tylonycteris robustula", "Tylonycteris malayana", "Vespadelus baverstocki", "Vespadelus caurinus", "Vespadelus darlingtoni", "Vespadelus douglasorum", "Vespadelus finlaysoni", "Vespadelus pumilus", "Vespadelus regulus", "Vespadelus troughtoni", "Vespadelus vulturnus", "Vespertilio murinus murinus", "Vespertilio murinus ussuriensis", "Vespertilio sinensis", "Vespertilio sinensis andersoni", "Vespertilio sinensis namiyei", "Vespertilio sinensis noctula", "Vespertilio sinensis orientalis", "Vespertilio sinensis sinensis", "Myotis muricola niasensis", "Myotis muricola patriciae", "Myotis myotis macrocephalicus", "Myotis myotis myotis", "Myotis mystacinus caucasicus", "Myotis mystacinus mystacinus", "Myotis mystacinus occidentalis", "Myotis nattereri nattereri", "Myotis tschuliensis", "Myotis nesopolus", "Myotis nesopolus larensis", "Myotis nesopolus nesopolus", "Myotis nigricans", "Myotis nigricans carteri", "Myotis nigricans extremus", "Myotis nigricans nigricans", "Myotis nigricans osculatii", "Myotis nipalensis", "Myotis nipalensis nipalensis", "Myotis nipalensis przewalskii", "Myotis nipalensis transcaspicus", "Myotis occultus", "Kerivoula oreias", "Myotis oxygnathus", "Myotis oxyotus", "Myotis oxyotus gardneri", "Myotis oxyotus oxyotus", "Myotis ozensis", "Myotis peninsularis", "Myotis pequinius", "Myotis pruinosus", "Myotis punicus", "Myotis ricketti", "Myotis ridleyi", "Myotis riparius", "Myotis rosseti", "Myotis schaubi", "Myotis schaubi araxenus", "Myotis schaubi schaubi", "Myotis scotti", "Myotis sicarius", "Myotis siligorensis", "Myotis siligorensis alticraniatus", "Myotis siligorensis sowerbyi", "Myotis siligorensis siligorensis", "Myotis siligorensis thaianus", "Myotis simus", "Myotis stalkeri", "Myotis thysanodes aztecus", "Myotis thysanodes pahasapensis", "Myotis thysanodes thysanodes", "Myotis thysanodes vespertinus", "Myotis tricolor", "Myotis velifer brevis", "Myotis velifer grandis", "Myotis velifer incautus", "Myotis velifer magnamolaris", "Myotis velifer velifer", "Rinodina zwackhiana", "Brevisiphonaphis hirsutissima", "Apiformyia australis", "Rinodina endospora", "Celeus torquatus pieteroyensi", "Crax fasciolata pinima", "Phlegopsis nigromaculata paraensis", "Marmota caligata", "Marmota vancouverensis", "Marmota olympus", "Pyrrhura lepida", "Synallaxis rutilans omissa", "Tangara velia signata", "Diplodus vulgaris", "Diplodus puntazzo", "Lithophaga lithophaga", "Dendrexetastes rufigula paraensis", "Dendrocincla merula badia", "Platypus quercivorus", "Dendrocolaptes certhia medius", "Amazona ochrocephala xantholaema", "Psittacara hockingi", "Afroedura karroica", "Afroedura karroica halli", "Afroedura karroica karroica", "Afroedura nivaria", "Afroedura pondolia", "Afroedura pondolia haackei", "Afroedura pondolia langi", "Afroedura pondolia major", "Afroedura pondolia marleyi", "Macromitrium dielsii", "Afroedura pondolia multiporis", "Macromitrium divaricatum", "Afroedura pondolia pondolia", "Macromitrium diversifolium", "Afroedura tembulica", "Macromitrium divortiarum", "Afroedura transvaalica", "Afroedura loveridgei", "Macromitrium doeringianum", "Afroedura transvaalica transvaalica", "Macromitrium drewii", "Macromitrium dubium", "Macromitrium dusenii", "Macromitrium echinatum", "Macromitrium eckendorffii", "Macromitrium ecrispatum", "Macromitrium ellipticum", "Macromitrium emarginatum", "Macromitrium emersulum", "Macromitrium eriomitrium", "Macromitrium erubescens", "Macromitrium evrardii", "Macromitrium exsertum", "Rheum palmatum", "Rheum rhaponticum", "Polygala alpestris", "Mangifera indica", "Pistacia vera", "Aucoumea klaineana", "Melia azedarach", "Euphorbia marginata", "Ianduba caxixe", "Ianduba patua", "Ianduba paubrasil", "Ianduba vatapa", "Ianduba abara", "Ianduba mugunza", "Ianduba varia", "Phocoena spinipinnis", "Phocoena dioptrica", "Phocoenoides dalli", "Phyllopezus lutzae", "Bunopus blanfordii", "Bunopus crassicauda", "Bunopus spatalurus", "Verticordia subg.", "Pseudopaludicola canga", "Bolitoglossa paraensis", "Schroederichthys tenuis", "Verticordia plumosa", "Verticordia grandis", "Fontitrygon colarensis", "Spermophilus major", "Urocitellus mollis", "Spermophilus pygmaeus musicus", "Xerospermophilus perotensis", "Spermophilus pygmaeus", "Spermophilus relictus", "Callospermophilus saturatus", "Urocitellus undulatus", "Spermophilus xanthoprymnus", "Ammospermophilus harrisii", "Ammospermophilus insularis", "Lecidea atrobrunnea", "Ammospermophilus nelsoni", "Lecidea brodoana", "Lecidea cinerata", "Ammospermophilus leucurus", "Pseudotorynorrhina japonica", "Lecidea cruciaria", "Lecidea diducens", "Ammospermophilus interpres", "Lecidea erythrophaea", "Lecidea floridensis", "Lecidea fuscoatra", "Lecidea fuscoatrina", "Lecidea hassei", "Lecidea holopolia", "Lecidea kingmanii", "Cynomys ludovicianus", "Cynomys mexicanus", "Cynomys gunnisoni", "Cynomys leucurus", "Cynomys parvidens", "Cnemaspis affinis", "Cnemaspis africana", "Cnemaspis africana africana", "Cnemaspis africana elgonensis", "Cnemaspis alantika", "Cnemaspis alwisi", "Cnemaspis anaikattiensis", "Cnemaspis argus", "Cnemaspis assamensis", "Cnemaspis aurantiacopes", "Cnemaspis barbouri", "Cnemaspis baueri", "Cnemaspis beddomei", "Cnemaspis boiei", "Cnemaspis boulengerii", "Cnemaspis caudanivea", "Cnemaspis chanthaburiensis", "Cnemaspis dezwaani", "Cnemaspis dickersonae", "Cnemaspis dilepis", "Cnemaspis dringi", "Cnemaspis flavolineata", "Cnemaspis gemunu", "Cnemaspis gigas", "Cnemaspis goaensis", "Cnemaspis heteropholis", "Cnemaspis indica", "Cnemaspis indraneildasii", "Cnemaspis jacobsoni", "Cnemaspis jerdonii", "Cnemaspis kandiana", "Cnemaspis kendallii", "Cnemaspis koehleri", "Cnemaspis kumarasinghei", "Cnemaspis kumpoli", "Cnemaspis limi", "Cnemaspis littoralis", "Cnemaspis modiglianii", "Cnemaspis molligodai", "Cnemaspis nairi", "Cnemaspis nigridia", "Cnemaspis nuicamensis", "Cnemaspis occidentalis", "Helichrysum graveolens", "Centaurea behen", "Guaiacum officinale", "Chamerion angustifolium", "Pituophis melanoleucus", "Anthemis chia", "Lecidea laboriosa", "Lecidea lapicida", "Lecidea leprarioides", "Lecidea mannii", "Lecidea nylanderi", "Lecidea perlatolica", "Lecidea promiscens", "Lecidea pseudaglaea", "Lecidea sauteri", "Lecidea tessellata", "Lecidea trapelioides", "Lecidea ochroleuca", "Libellago celebensis", "Cyrtophora citricola", "Lapemis hardwickii", "Macromitrium falcatulum", "Macromitrium fasciculare", "Macromitrium fendleri", "Macromitrium fernandezianum", "Macromitrium ferriei", "Macromitrium filicaule", "Macromitrium flavopilosum", "Cichla intermedia", "Cephalotus follicularis", "Cnemaspis ornata", "Cnemaspis otai", "Cnemaspis pemanggilensis", "Cnemaspis petrodroma", "Cnemaspis phuketensis", "Cnemaspis podihuna", "Cnemaspis quattuorseriata", "Cnemaspis retigalensis", "Cnemaspis samanalensis", "Cnemaspis scalpensis", "Cnemaspis siamensis", "Cnemaspis sisparensis", "Cnemaspis spinicollis", "Cnemaspis timoriensis", "Cnemaspis tropidogaster", "Cnemaspis tucdupensis", "Cnemaspis uzungwae", "Cnemaspis whittenorum", "Cnemaspis wynadensis", "Cnemaspis yercaudensis", "Coleodactylus amazonicus", "Coleodactylus brachystoma", "Coleodactylus meridionalis", "Coleodactylus natalensis", "Coleodactylus septentrionalis", "Pachydactylus kochii", "Bunopus spatalurus hajarensis", "Bunopus spatalurus spatalurus", "Phoneutria bahiensis", "Afrogecko ansorgii", "Afrogecko porphyreus", "Afrogecko porphyreus cronwrigthi", "Afrogecko porphyreus namaquensis", "Ramigekko swartbergensis", "Ailuronyx seychellensis", "Ailuronyx tachyscopaeus", "Ailuronyx trachygaster", "Alsophylax laevis", "Alsophylax loricatus", "Alsophylax loricatus loricatus", "Alsophylax loricatus szczerbaki", "Alsophylax pipiens", "Alsophylax przewalskii", "Alsophylax tadjikiensis", "Altiphylax tokobajevi", "Rinodina adirondackii", "Rinodina archaea", "Rinodina arctica", "Rinodina arnoldii", "Rinodina ascociscana", "Rinodina aspersa", "Rinodina athallina", "Rinodina aurantiaca", "Rinodina badiexcipula", "Rinodina balanina", "Rinodina bischoffii", "Rinodina bolanderi", "Rinodina boulderensis", "Rinodina brouardii", "Rinodina calcigena", "Rinodina californiensis", "Rinodina cana", "Rinodina capensis", "Rinodina castanomela", "Rinodina castanomelodes", "Rinodina chrysomelaena", "Rinodina cinereovirens", "Carex digitata", "Coryphaspiza melanotis melanotis", "Coryphaspiza melanotis marajoara", "Otospermophilus beecheyi", "Deconychura longicauda zimmeri", "Erythrolamprus maryellenae", "Pseudoboa nigra", "Otospermophilus variegatus", "Urocitellus townsendii", "Apostolepis flavotorquata", "Lygophis meridionalis", "Chironius flavolineatus", "Phimophis guianensis", "Uromacerina ricardinii", "Bavayia crassicollis", "Bavayia cyclura", "Bavayia exsuccida", "Bavayia geitaina", "Paniegekko madjo", "Bavayia montana", "Bavayia ornata", "Bavayia pulchella", "Bavayia robusta", "Bavayia sauvagii", "Bavayia septuiclavis", "Mabuya guaporicola", "Tupinambis merianae", "Phycis phycis", "Colobosaura modesta", "Tropidurus insulanus", "Stenocercus dumerilii", "Anolis nitens", "Anolis nitens brasiliensis", "Urocitellus washingtoni", "Urocitellus brunneus", "Urocitellus richardsonii", "Urocitellus armatus", "Urocitellus columbianus", "Urocitellus parryii", "Ictidomys mexicanus", "Poliocitellus franklinii", "Xerospermophilus spilosoma", "Xerospermophilus mohavensis", "Xerospermophilus tereticaudus", "Notocitellus adocetus", "Spermophilus alashanicus", "Notocitellus annulatus", "Otospermophilus atricapillus", "Urocitellus canus", "Spermophilus dauricus", "Urocitellus elegans", "Spermophilus erythrogenys", "Spermophilus fulvus", "Callospermophilus madrensis", "Cyrtodactylus condorensis", "Cyrtodactylus consobrinoides", "Cyrtodactylus consobrinus", "Cyrtodactylus consobrinus consobrinus", "Cyrtodactylus consobrinus kinabaluensis", "Cyrtodactylus cracens", "Tropaeolum tuberosum", "Salmo salar", "Lecidea commaculans", "Lecidea confluens", "Lecidea convallium", "Lecidea ecrustacea", "Lecidea ementiens", "Lecidea haerjedalica", "Lecidea humboldtii", "Lecidea leucothallina", "Lecidea lithophila", "Lecidea phaeopelidna", "Lecidea picea", "Lecidea plana", "Aguarunichthys tocantinsensis", "Lecidea plebeja", "Lecidea ramulosa", "Lecidea silacea", "Lecidea steineri", "Lecidea subcandida", "Lecidea subrhagadiella", "Lecidea tenuissima", "Lecidea theodori", "Lecidea umbonata", "Verticordia halophila", "Verticordia nitens", "Sartor tucuruiense", "Mylesinus paucisquamatus", "Ossubtus xinguense", "Taczanowskia trilobata", "Salmo trutta", "Parietaria officinalis", "Rinodina colobina", "Rinodina colobinoides", "Rinodina coloradiana", "Rinodina confragosa", "Rinodina conradii", "Rinodina constrictula", "Rinodina degeliana", "Rinodina destituta", "Rinodina disjuncta", "Rinodina dolichospora", "Rinodina efflorescens", "Rinodina endophragmia", "Gobius niger", "Rinodina excrescens", "Rinodina exigua", "Rinodina flavosoralifera", "Rinodina gennarii", "Rinodina grandilocularis", "Rinodina granuligera", "Rinodina griseosoralifera", "Rinodina guzzinii", "Rinodina hallii", "Rinodina herrei", "Rinodina hyperborea", "Rinodina innata", "Rinodina intermedia", "Rinodina interpolata", "Rinodina isidioides", "Rinodina juniperina", "Rinodina laevigata", "Rinodina lepida", "Rinodina lobulata", "Rinodina luridata", "Aristelliger barbouri", "Aristelliger cochranae", "Aristelliger expectatus", "Aristelliger georgeensis", "Aristelliger hechti", "Aristelliger lar", "Aristelliger praesignis", "Aristelliger praesignis nelsoni", "Aristelliger praesignis praesignis", "Asaccus caudivolvulus", "Asaccus elisae", "Asaccus gallagheri", "Asaccus griseonotus", "Asaccus kermanshahensis", "Asaccus kurdistanensis", "Asaccus montanus", "Asaccus nasrullahi", "Asaccus platyrhynchus", "Blaesodactylus antongilensis", "Blaesodactylus boivini", "Blaesodactylus sakalava", "Bunopus tuberculatus", "Calodactylodes aureus", "Calodactylodes illingworthorum", "Mediodactylus aspratilis", "Mediodactylus heteropholis", "Chondrodactylus angulifer", "Chondrodactylus angulifer angulifer", "Chondrodactylus angulifer namibensis", "Chondrodactylus bibronii", "Chondrodactylus fitzsimonsi", "Chondrodactylus turneri", "Rinodina macrospora", "Christinus guentheri", "Christinus marmoratus", "Rinodina marysvillensis", "Christinus marmoratus macrodactylus", "Christinus marmoratus marmoratus", "Rinodina metaboliza", "Rinodina milvina", "Rinodina mniaraea", "Rinodina olivaceobrunnea", "Rinodina orculata", "Rinodina oregana", "Rinodina oxydata", "Rinodina pachysperma", "Rinodina pacifica", "Rinodina papillata", "Rinodina parasitica", "Rinodina perreagens", "Rinodina poeltiana", "Rinodina polyspora", "Rinodina populicola", "Rinodina pyrina", "Rinodina rinodinoides", "Rinodina riparia", "Rinodina roboris", "Rinodina roscida", "Rinodina santae-monicae", "Rinodina septentrionalis", "Rinodina sheardii", "Rinodina stictica", "Rinodina subminuta", "Rinodina tephraspis", "Rinodina terrestris", "Rinodina trevisanii", "Rinodina turfacea", "Rinodina verruciformis", "Rinodina willeyi", "Cyrtodactylus seribuatensis", "Cyrtodactylus sermowaiensis", "Cyrtodactylus serratus", "Cyrtodactylus slowinskii", "Cyrtodactylus soba", "Cyrtodactylus salomonensis", "Cyrtodactylus subsolanus", "Cyrtodactylus sumonthai", "Cyrtodactylus sworderi", "Cyrtodactylus thirakhupti", "Cyrtodactylus tibetanus", "Cyrtodactylus tigroides", "Cyrtodactylus tiomanensis", "Cyrtodactylus tuberculatus", "Cyrtodactylus variegatus", "Cyrtodactylus wakeorum", "Africephala timea", "Homarus americanus", "Artifodina himalaica", "Homarus gammarus", "Artifodina japonica", "Artifodina kurokoi", "Artifodina siamensis", "Artifodina strigulata", "Aspilapteryx filifera", "Aspilapteryx grypota", "Aspilapteryx inquinata", "Aspilapteryx limosella", "Aspilapteryx magna", "Aspilapteryx multipunctella", "Aspilapteryx seriata", "Aspilapteryx spectabilis", "Aspilapteryx tessellata", "Aspilapteryx tringipennella", "Grindelia ventanensis", "Anapistula guyri", "Acroclita altivaga", "Acroclita anelpista", "Stegodyphus manaus", "Oncorhynchus mykiss", "Oncorhynchus gilae", "Oncorhynchus gilae apache", "Stapelianthus decaryi", "Oncorhynchus clarkii", "Oncorhynchus tshawytscha", "Stapelianthus pilosus", "Stapelianthus arenarius", "Stapelianthus keraudreniae", "Stapelianthus insignis", "Stapelianthus montagnacii", "Stapelianthus madagascariensis", "Cyrtodactylus cryptus", "Cyrtodactylus darmandvillei", "Cyrtodactylus derongo", "Cyrtodactylus deveti", "Cyrtodactylus edwardtaylori", "Cyrtodactylus elok", "Cyrtodactylus feae", "Cyrtodactylus fraenatus", "Cyrtodactylus gansi", "Cyrtodactylus gordongekkoi", "Cyrtodactylus gubernatoris", "Cyrtodactylus ingeri", "Cyrtodactylus interdigitalis", "Cyrtodactylus intermedius", "Cyrtodactylus irianjayaensis", "Cyrtodactylus irregularis", "Cyrtodactylus jarujini", "Cyrtodactylus jellesmae", "Cyrtodactylus khasiensis", "Cyrtodactylus khasiensis cayuensis", "Cyrtodactylus khasiensis khasiensis", "Cyrtodactylus khasiensis tamaiensis", "Salvelinus fontinalis", "Salvelinus namaycush", "Lecanora atromarginata", "Anopheles lesteri", "Anredera marginata", "Potamobatrachus trispinosus", "Hemiptelea davidii", "Crenicichla cyclostoma", "Crenicichla jegui", "Teleocichla cinderella", "Paratrygon aiereba", "Colopus wahlbergii", "Colopus wahlbergii furcifer", "Colopus wahlbergii wahlbergii", "Cosymbotus craspedotus", "Crossobamon eversmanni", "Crossobamon eversmanni eversmanni", "Crossobamon eversmanni lumsdenii", "Crossobamon orientalis", "Cryptactites peringueyi", "Cyrtodactylus aaroni", "Cyrtodactylus abrae", "Lecidea atrobrunnea subsp. atrobrunnea", "Lecidea atrobrunnea subsp. saxosa", "Cichla ocellaris", "Lecidea atrobrunnea subsp. stictica", "Cichla orinocensis", "Cichla temensis", "Praomys jacksoni", "Cassida nebulosa", "Lecidea tessellata var. tessellata", "Lecidea tessellata var. caesia", "Sciurus griseus", "Plesiophthalmus nigrocyaneus", "Sciurus aberti", "Lecidea auriculata", "Lecidea auriculata subsp. auriculata", "Lecidea auriculata subsp. brachyspora", "Cyrtodactylus adleri", "Cyrtodactylus aequalis", "Cyrtodactylus agusanensis", "Cyrtodactylus angularis", "Cyrtodactylus annandalei", "Cyrtodactylus annulatus", "Cyrtodactylus aravallensis", "Cyrtodactylus aurensis", "Cyrtodactylus ayeyarwadyensis", "Cyrtodactylus badenensis", "Cyrtodactylus baluensis", "Cyrtodactylus basoglui", "Cyrtodactylus biordinis", "Cyrtodactylus brevidactylus", "Cyrtodactylus brevipalmatus", "Cyrtodactylus buchardi", "Cyrtodactylus caovansungi", "Cyrtodactylus capreoloides", "Cyrtodactylus cavernicolus", "Cyrtodactylus chanhomeae", "Cyrtodactylus chauquangensis", "Cyrtodactylus chrysopylos", "Cyrtodactylus collegalensis", "Cyrtodactylus walli", "Cyrtodactylus wetariensis", "Cyrtodactylus yoshii", "Cyrtopodion agamuroides", "Cyrtopodion amictophole", "Cyrtopodion battalense", "Altiphylax baturensis", "Cyrtopodion brachykolon", "Cyrtopodion brevipes", "Cyrtopodion caspium", "Cyrtopodion caspium caspium", "Cyrtopodion caspium insularis", "Cyrtopodion chitralense", "Cyrtopodion dattanense", "Cyrtopodion elongatum", "Cyrtopodion fasciolatum", "Cyrtopodion fedtschenkoi", "Cyrtopodion fortmunroi", "Cyrtopodion gastrophole", "Mediodactylus heterocercus", "Cyrtopodion heterocercum heterocercum", "Cyrtopodion heterocercum mardinensis", "Cyrtopodion himalayanum", "Cyrtopodion indusoani", "Cyrtopodion kachhensis", "Cyrtopodion kachhensis ingoldbyi", "Cyrtopodion kachhensis kachhensis", "Melanogrammus aeglefinus", "Pomatomus saltatrix", "Charinus troglobius", "Giupponia chagasi", "Pomoxis nigromaculatus", "Pomoxis annularis", "Perca flavescens", "Notothenia coriiceps", "Senecio ventanensis", "Acrocercops acanthidias", "Acrocercops serrigera", "Caloptilia dondavisi", "Caloptilia galacotra", "Caloptilia cruzorum", "Amblyptila cynanchi", "Amblyptila strophanthina", "Cyrtodactylus laevigatus", "Cyrtodactylus laevigatus laevigatus", "Cyrtodactylus laevigatus uniformis", "Cyrtodactylus lateralis", "Cyrtodactylus loriae", "Cyrtodactylus louisiadensis", "Cyrtodactylus malayanus", "Hemidactylus malcolmsmithi", "Cyrtodactylus mansarulus", "Cyrtodactylus marmoratus", "Cyrtodactylus matsuii", "Cyrtodactylus mimikanus", "Cyrtodactylus murua", "Cyrtodactylus nebulosus", "Cyrtodactylus nigriocularis", "Cyrtodactylus novaeguineae", "Cyrtodactylus oldhami", "Cyrtodactylus papilionoides", "Cyrtodactylus papuensis", "Cyrtodactylus paradoxus", "Cyrtodactylus peguensis", "Cyrtodactylus peguensis peguensis", "Cyrtodactylus peguensis zebraicus", "Cyrtodactylus philippinicus", "Cyrtodactylus phongnhakebangensis", "Cyrtodactylus pseudoquadrivirgatus", "Cyrtodactylus pubisulcus", "Cyrtodactylus pulchellus", "Cyrtodactylus quadrivirgatus", "Cyrtodactylus ramboda", "Cyrtodactylus redimiculus", "Cyrtodactylus rubidus", "Cyrtodactylus russelli", "Cyrtodactylus sadleiri", "Cyrtodactylus semenanjungensis", "Meles anakuma", "Matsumuraeses acrocosma", "Matsumuraeses azukivora", "Matsumuraeses capax", "Matsumuraeses elpisma", "Matsumuraeses falcana", "Matsumuraeses felix", "Matsumuraeses medogensis", "Matsumuraeses melanaula", "Matsumuraeses ochreocervina", "Matsumuraeses patialaensis", "Matsumuraeses tetramorpha", "Matsumuraeses trophiodes", "Matsumuraeses ussuriensis", "Matsumuraeses vicina", "Matsumuraeses xantholoba", "Sphaerodactylus ariasae", "Sphaerodactylus parthenopion", "Eunectes murinus", "Goniodoma auroguttella", "Goniodoma limoniella", "Goniodoma millierella", "Goniodoma nemesi", "Goniodoma sinica", "Ischnophanes aquilina", "Ischnophanes baldizzonella", "Ischnophanes bifurcata", "Ischnophanes canariella", "Ischnophanes excentra", "Ischnophanes monocentra", "Lecidea admiscens", "Lecidea albofuscescens", "Lecidea albohyalina", "Lecidea amniculensis", "Lecidea atomaria", "Lecidea atroviridis", "Lecidea baffiniana", "Lecidea betulicola", "Lecidea brunneofusca", "Lecidea californica", "Lecidea carnulenta", "Lecidea cascadensis", "Lecidea cellularis", "Lecidea confluentula", "Lecidea congesta", "Lecidea crisima", "Lecidea cyrtidia", "Lecidea deminutula", "Lecidea despecta", "Lecidea eckfeldtii", "Lecidea enterophaea", "Lecidea extenuata", "Lecidea flavidolivens", "Lecidea fuliginosa", "Lecidea furvonigrans", "Lecidea fuscatoatra", "Lecidea goniophiloides", "Lecidea homosema", "Lecidea hypomela", "Lecidea intropallida", "Lecidea katahdinensis", "Lecidea labradorica", "Lecidea lepidastra", "Lecidea louisianae", "Lecidea lygotropa", "Lecidea lyngei", "Lecidea mamillana", "Lecidea melaphanoides", "Lecidea merrillii", "Lecidea microps", "Lecidea micytho", "Lecidea moreliiensis", "Lecidea mutabilis", "Lecidea myriocarpella", "Lecidea nearingii", "Lecidea olivascens", "Lecidea pacifica", "Lecidea paupercula", "Lecidea peliaspis", "Lecidea phaeops", "Lecidea polaris", "Lecidea populina", "Lecidea praenubila", "Lecidea praetermissa", "Lecidea protabacina", "Lecidea pulla", "Lecidea pumicicola", "Lecidea rivulorum", "Lecidea roseotincta", "Lecidea rubrocastanea", "Lecidea somphoterella", "Lecidea subaglaea", "Lecidea subplebeja", "Lecidea subtilis", "Lecidea swartzioidea", "Lecidea syncarpa", "Lecidea tenayucae", "Lecidea truckeei", "Lecidea virginiensis", "Polyodon spathula", "Lecidea alpestris", "Lecidella alpestris", "Lecidea lapicida var. lapicida", "Lecidea lapicida var. pantherina", "Lecidea betulicola f. betulicola", "Lecidea betulicola f. endamylea", "Sphyraena barracuda", "Sander vitreus", "Sander canadensis", "Ukamenia sapporensis", "Lecidea ahlesii var. ahlesii", "Lecidea ahlesii var. nemoralis", "Allodapella daemonia", "Acroclita belinda", "Acroclita catharotorna", "Acroclita causterias", "Acroclita cheradota", "Acroclita clarissa", "Acroclita convergens", "Acroclita corinthia", "Acroclita cryptiolitha", "Acroclita discariana", "Acroclita elaeagnivora", "Acroclita esmeralda", "Acroclita euphylla", "Acroclita furculana", "Acroclita guanchana", "Acroclita gumicola", "Acroclita hercoptila", "Brookesia superciliaris", "Brookesia therezieni", "Brookesia thieli", "Brookesia tuberculata", "Brookesia vadoni", "Brookesia valerieae", "Cecropia membranacea", "Coleophora abbasella", "Coleophora absinthii", "Coleophora absinthivora", "Coleophora acamtopappi", "Coleophora acanthabortiva", "Coleophora acanthophylli", "Coleophora acanthyllidis", "Coleophora accadica", "Coleophora accola", "Coleophora accordella", "Coleophora acerosa", "Coleophora achaenivora", "Coleophora achilleae", "Coleophora acmura", "Coleophora acompha", "Coleophora acrisella", "Coleophora aculeata", "Coleophora acuminatoides", "Coleophora acutipennella", "Coleophora acutiphaga", "Coleophora adalligata", "Coleophora adelogrammella", "Coleophora adelpha", "Coleophora adilella", "Coleophora adjectella", "Coleophora adjunctella", "Coleophora adrianae", "Coleophora adspersella", "Coleophora adumbratella", "Coleophora aegra", "Sanguinaria canadensis", "Coleophora adlecta", "Coleophora aegyptiacae", "Coleophora aelleniae", "Libellula quadrimaculata", "Coleophora aeneostrigella", "Coleophora aequalella", "Coleophora aequigesa", "Coleophora aervae", "Coleophora aestuariella", "Coleophora aethiops", "Coleophora affiliatella", "Coleophora afghana", "Coleophora afrohispana", "Coleophora afrosarda", "Coleophora afrotropicalis", "Coleophora agadirensis", "Coleophora agasta", "Coleophora agathella", "Coleophora agenjoi", "Coleophora agilis", "Coleophora aglabitella", "Coleophora agnatella", "Coleophora agrianella", "Coleophora agridensis", "Coleophora ahenella", "Coleophora alabama", "Coleophora alabardata", "Coleophora alashiae", "Coleophora albadomina", "Coleophora albarracinica", "Coleophora albella", "Coleophora albens", "Coleophora albicans", "Tanna japonensis", "Coleophora albicella", "Coleophora albicilia", "Coleophora albicinctella", "Tanna japonensis ishigakiana", "Coleophora albicosta", "Coleophora albicostella", "Coleophora albidella", "Coleophora albidorsella", "Coleophora albilineella", "Coleophora albiochrella", "Coleophora albipennella", "Coleophora albiradiata", "Coleophora albitarsella", "Coleophora albostraminata", "Coleophora albotitae", "Coleophora albovanescens", "Pseudochthonius strinatii", "Coleophora albulae", "Coleophora alcyonipennella", "Coleophora alecturella", "Coleophora aleramica", "Coleophora alfacarensis", "Coleophora algeriensis", "Coleophora algidella", "Coleophora algidella meridionalis", "Coleophora algidella qinlingensis", "Coleophora alhamaella", "Coleophora aliena", "Coleophora aliquanta", "Coleophora almeriensis", "Coleophora alniella", "Coleophora alnifoliae", "Coleophora alphitonella", "Coleophora altaicolella", "Coleophora alticolella", "Coleophora alticorollina", "Coleophora altivagella", "Coleophora amarchana", "Coleophora amasicola", "Coleophora amasiella", "Coleophora amellivora", "Coleophora amentastra", "Coleophora amiculella", "Coleophora amikanella", "Coleophora ammodyta", "Coleophora ammophora", "Coleophora amphorella", "Coleophora amseliella", "Coleophora amygdalina", "Coleophora anabaseos", "Coleophora ancistron", "Coleophora anelpista", "Coleophora anguliferella", "Coleophora angustiorella", "Coleophora angustipennis", "Coleophora anisota", "Coleophora anitella", "Coleophora annulicola", "Coleophora antennariella", "Coleophora anthocalia", "Coleophora aphanombra", "Coleophora aphrocrossa", "Eretmocerus cocois", "Odontembia jacobi", "Bacidia absistens", "Bacidia aggregatula", "Bacidia campalea", "Bacidia circumspecta", "Bacidia coprodes", "Bacidia coruscans", "Bacidia diffracta", "Bacidia graminum", "Bacidia hegetschweileri", "Chrysectropa roseofasciata", "Chrysectropa unilinea", "Chrysopolomides nivea", "Luciola cruciata", "Tetropium gabrieli", "Stenocorus meridianus", "Grammoptera ustulata", "Grammoptera abdominalis", "Corallus annulatus", "Corallus annulatus annulatus", "Corallus annulatus blombergi", "Corallus annulatus colombianus", "Corallus cookii", "Corallus hortulanus", "Corallus hortulanus enydris", "Corallus hortulanus hortulanus", "Corallus ruschenbergerii", "Brookesia ambreensis", "Brookesia antakarana", "Brookesia bekolosy", "Brookesia betschi", "Brookesia bonsi", "Brookesia brygooi", "Brookesia decaryi", "Brookesia dentata", "Brookesia ebenaui", "Brookesia exarmata", "Brookesia griveaudi", "Brookesia karchei", "Brookesia lambertoni", "Brookesia lineata", "Brookesia lolontany", "Brookesia minima", "Brookesia nasus", "Brookesia nasus nasus", "Brookesia nasus pauliani", "Brookesia perarmata", "Brookesia peyrierasi", "Brookesia stumpffi", "Issikiopteryx fornicata", "Issikiopteryx ophrysa", "Issikiopteryx trichacera", "Azuayacana cidnochroa", "Calumma brevicorne tsarafidyi", "Calumma capuroni", "Calumma crypticum", "Calumma cucullatum", "Calumma fallax", "Calumma furcifer", "Calumma gallus", "Calumma gastrotaenia", "Calumma glawi", "Platypleura albivannata", "Platypleura kuroiwae", "Platypleura miyakona", "Platypleura yayeyamana", "Auritibicen esakii", "Auritibicen flammatus", "Auritibicen japonicus", "Auritibicen kyushyuensis", "Cryptotympana yaeyamana", "Cryptotympana atrata", "Graptopsaltria bimaculata", "Euterpnosia chibensis chibensis", "Euterpnosia chibensis daitoensis", "Euterpnosia chibensis okinawana", "Euterpnosia iwasakii", "Coleophora bactrianae", "Coleophora badiipennella", "Etheostoma atripinne", "Etheostoma baileyi", "Etheostoma corona", "Coleophora bagorella", "Coleophora bajkalella", "Coleophora balkara", "Coleophora ballotella", "Coleophora bandiamirella", "Coleophora bantuella", "Coleophora barbaricina", "Coleophora basimaculella", "Coleophora basistrigella", "Coleophora bassii", "Coleophora batangica", "Coleophora bazae", "Coleophora bedella", "Coleophora beduina", "Coleophora bella", "Coleophora benestrigatella", "Coleophora berbera", "Coleophora berdjanski", "Coleophora berlandella", "Coleophora bernoulliella", "Coleophora beticella", "Chilabothrus chrysogaster", "Epicrates chrysogaster chrysogaster", "Epicrates chrysogaster relicquus", "Epicrates chrysogaster schwartzi", "Chilabothrus exsul", "Chilabothrus fordii", "Epicrates fordii agametus", "Epicrates fordii fordii", "Epicrates fordii manototus", "Asketria cervinana", "Assulella anoechtotera", "Assulella archaea", "Assulella kuznetsovi", "Agriophanes pycnostrota", "Andrioplecta dierli", "Andrioplecta leucodora", "Andrioplecta oxystaura", "Andrioplecta phuluangensis", "Andrioplecta pulverula", "Andrioplecta rescissa", "Andrioplecta shoreae", "Andrioplecta suboxystaura", "Andrioplecta subpulverula", "Apocydia pervicax", "Articolla cyclidias", "Ancylis achatana", "Ancylis acromochla", "Ancylis albacostana", "Ancylis albafascia", "Ancylis amplimacula", "Ancylis ancorata", "Ancylis anguillana", "Ancylis anthophanes", "Ancylis anthracaspis", "Ancylis apicipicta", "Ancylis arcitenens", "Macromitrium flexuosum", "Macromitrium formosae", "Macromitrium fortunatii", "Macromitrium fragile", "Macromitrium fragilicuspis", "Macromitrium francii", "Macromitrium frondosum", "Macromitrium frustratum", "Macromitrium fulgescens", "Macromitrium fulvum", "Acroclita klimeschi", "Acroclita lithoxoa", "Acroclita loxoplecta", "Acroclita macrotoma", "Acroclita madens", "Acroclita nigrovenana", "Acroclita notophthalma", "Acroclita paulina", "Acroclita pertracta", "Acroclita prasinissa", "Acroclita scatebrosa", "Acroclita sonchana", "Acroclita stenoglypha", "Acroclita subsequana", "Acroclita trachynota", "Acroclita trichocnemis", "Acroclita trimaelena", "Acroclita vigescens", "Age onychistica", "Alischirnevaia callirrhoa", "Holocola diffusa", "Holocola subpetraea", "Holocola tenuitexta", "Anathamna anthostoma", "Anathamna chionopyra", "Anathamna megalozona", "Anathamna neospermatophaga", "Anathamna ostracitis", "Anathamna plana", "Anathamna spermatophaga", "Anathamna syringias", "Anoecophysis branchiodes", "Antichlidas holocnista", "Antichlidas trigonia", "Nannoniscus meteori", "Eunectes beniensis", "Eunectes deschauenseei", "Eunectes notaeus", "Chilabothrus angulifer", "Epicrates cenchria alvarezi", "Epicrates cenchria assisi", "Epicrates cenchria barbouri", "Epicrates cenchria cenchria", "Epicrates crassus", "Epicrates cenchria gaigei", "Epicrates cenchria hygrophilus", "Epicrates cenchria polylepis", "Bacidia helicospora", "Bacidia herbarum", "Bacidia heterochroa", "Bacidia hostheleoides", "Bacidia igniarii", "Bacidia illudens", "Bacidia indigens", "Bacidia insularis", "Bacidia jacobi", "Bacidia lobarica", "Bacidia microcarpa", "Dinophilus gardineri", "Bacidia mutabilis", "Bacidia phyllopsoropsis", "Bacidia polychroa", "Bacidia reagens", "Bacidia rosella", "Bacidia salazarensis", "Bacidia salmonea", "Bacidia scopulicola", "Bacidia subincompta", "Bacidia veneta", "Bacidia viridifarinosa", "Bacidia xylophila", "Macromitrium glaziovii", "Macromitrium globirameum", "Macromitrium gracile", "Macromitrium gracilipes", "Macromitrium greenmanii", "Coleophora apicialbella", "Coleophora apicidentata", "Coleophora aporiella", "Coleophora apta", "Coleophora apythana", "Coleophora aquaecadentis", "Coleophora arachnias", "Coleophora arachosiae", "Coleophora arctostaphyli", "Coleophora ardesicola", "Coleophora arefactella", "Coleophora arenbergella", "Coleophora arenicola", "Coleophora arenifera", "Coleophora areniphila", "Coleophora arens", "Coleophora argentella", "Coleophora argenteonivea", "Coleophora argentialbella", "Coleophora argentifimbriata", "Coleophora argentinae", "Coleophora argentula", "Coleophora argopleura", "Bradypodion nemorale", "Bradypodion occidentale", "Bradypodion pumilum", "Bradypodion setaroi", "Bradypodion thamnobates", "Bradypodion transvaalense", "Bradypodion ventrale", "Calumma amber", "Calumma andringitraense", "Calumma boettgeri", "Calumma brevicorne", "Calumma brevicorne brevicorne", "Bacidia laurocerasi subsp. laurocerasi", "Bacidia laurocerasi subsp. idahoensis", "Coleophora agnosa", "Cryptotympana facialis", "Graptopsaltria nigrofuscata", "Maxchernes iporangae", "Meimuna opalifera", "Oncotympana maculaticollis", "Auritibicen bihamatus", "Terpnosia vacua", "Euterpnosia chibensis", "Acantharchus pomotis", "Ambloplites ariommus", "Ambloplites constellatus", "Coleophora leucochrysella", "Issikiopteryx obtusangula", "Issikiopteryx rotundiconcava", "Issikiopteryx valvispinata", "Issikiopteryx aurolaxa", "Issikiopteryx corona", "Pomponia linearis", "Coleophora betulella", "Coleophora bidens", "Bacidina aenea", "Bacidina apiahica", "Bacidina arnoldiana", "Bacidina assulata", "Bacidina californica", "Bacidina chloroticula", "Bacidina crystallifera", "Bacidina dissecta", "Bacidina egenula", "Bacidina egenuloidea", "Bacidina inundata", "Bacidina neosquamulosa", "Bacidina ramea", "Etheostoma barbouri", "Etheostoma barrenense", "Etheostoma bellator", "Etheostoma bellum", "Etheostoma blennioides", "Etheostoma blennius", "Etheostoma boschungi", "Etheostoma brevirostrum", "Etheostoma camurum", "Etheostoma chermocki", "Adelolecia sonorae", "Adelolecia kolaensis", "Calumma globifer", "Calumma guibei", "Calumma guillaumeti", "Calumma hafahafa", "Calumma hilleniusi", "Calumma jejy", "Calumma linotum", "Calumma malthe", "Calumma marojezensis", "Calumma nasutum", "Calumma oshaughnessyi", "Calumma oshaughnessyi ambreensis", "Calumma oshaughnessyi oshaughnessyi", "Coleophora argyrella", "Coleophora arizoniella", "Coleophora arkaimella", "Coleophora arta", "Coleophora artemisicolella", "Coleophora asiaeminoris", "Coleophora asirensis", "Coleophora asperginella", "Coleophora assyriae", "Coleophora astericola", "Coleophora asteris", "Coleophora asteris abbreviata", "Coleophora asterophagella", "Coleophora asterosella", "Coleophora asthenella", "Coleophora astragalella", "Rhampholeon acuminatus", "Rhampholeon beraduccii", "Rhampholeon boulengeri", "Rhampholeon chapmanorum", "Coleophora astragalorum", "Rhampholeon kerstenii kerstenii", "Coleophora atlanticolella", "Rhampholeon kerstenii robecchii", "Coleophora atrilineella", "Rhampholeon marshalli", "Rhampholeon gorongosae", "Rhampholeon marshalli marshalli", "Coleophora atriplicis", "Rhampholeon moyeri", "Coleophora atriplicivora", "Rhampholeon nchisiensis", "Coleophora atromarginata", "Rhampholeon platyceps", "Coleophora attalicella", "Rhampholeon platyceps carri", "Coleophora audeoudi", "Rhampholeon platyceps platyceps", "Coleophora aularia", "Coleophora auricella", "Rhampholeon spectrum", "Rhampholeon spinosus", "Coleophora austrina", "Rhampholeon temporalis", "Coleophora autumnella", "Rhampholeon uluguruensis", "Rhampholeon viridis", "Coleophora azishtella", "Coleophora azyma", "Rieppeleon brachyurus", "Rieppeleon brevicaudatus", "Bradypodion atromontanum", "Bradypodion caffrum", "Bradypodion damaranum", "Bradypodion dracomontanum", "Bradypodion gutturale", "Bradypodion karrooicum", "Bradypodion melanocephalum", "Calumma parsonii", "Calumma parsonii cristiferum", "Calumma parsonii parsonii", "Calumma peltierorum", "Calumma peyrierasi", "Archaius tigris", "Calumma tsaratananense", "Calumma tsycorne", "Calumma vatosoa", "Calumma vencesi", "Coleophora bidentella", "Coleophora biforis", "Coleophora bifrondella", "Coleophora bifurca", "Coleophora bifurcella", "Coleophora bihastulifera", "Coleophora bilineatella", "Coleophora bilineatella broennoeella", "Coleophora bilineella", "Coleophora binderella", "Coleophora binotapennella", "Coleophora bipunctella", "Coleophora biseriatella", "Coleophora biskraensis", "Coleophora bispinatella", "Coleophora bistrigella", "Coleophora bitlisella", "Coleophora bivittella", "Coleophora bojalyshi", "Coleophora borea", "Coleophora boreella", "Coleophora bornicensis", "Coleophora botaurella", "Coleophora brandbergella", "Coleophora brevipalpella", "Coleophora breviuscula", "Coleophora breyeri", "Coleophora brunneipennis", "Coleophora brunneosignata", "Coleophora buettikeri", "Coleophora bulganella", "Coleophora burhinella", "Coleophora burmanni", "Coleophora buteella", "Coleophora byrsostola", "Coleophora baischi", "Coleophora bogdoensis", "Coleophora cadella", "Coleophora caelebipinnella", "Coleophora caespititiella", "Coleophora caganella", "Coleophora calandrella", "Coleophora calida", "Coleophora calligoni", "Coleophora callipepla", "Coleophora calycotomella", "Coleophora campella", "Coleophora campestriphaga", "Coleophora canadensisella", "Coleophora canariipennella", "Coleophora capella", "Coleophora capillata", "Macromitrium funicaule", "Macromitrium funiforme", "Macromitrium fuscescens", "Macromitrium fusco-aureum", "Macromitrium galipense", "Macromitrium gebaueri", "Macromitrium gigasporum", "Macromitrium gimalacii", "Macromitrium glabratum", "Zenobia pulverulenta", "Cyrtopodion kirmanense", "Cyrtopodion kohsulaimanai", "Cyrtopodion kotschyi", "Cyrtopodion kotschyi adelphiensis", "Cyrtopodion kotschyi bartoni", "Cyrtopodion kotschyi beutleri", "Cyrtopodion kotschyi bibroni", "Cyrtopodion kotschyi bolkarensis", "Cyrtopodion kotschyi buchholzi", "Cyrtopodion kotschyi ciliciensis", "Cyrtopodion lawderanum", "Cyrtopodion longipes", "Cyrtopodion longipes longipes", "Cyrtopodion longipes microlepis", "Cyrtopodion longipes voraginosus", "Chilabothrus gracilis", "Epicrates gracilis gracilis", "Epicrates gracilis hapalus", "Chilabothrus inornatus", "Epicrates maurus", "Epicrates maurus colombianus", "Epicrates maurus guyanensis", "Epicrates maurus maurus", "Chilabothrus monensis", "Epicrates monensis granti", "Epicrates monensis monensis", "Chilabothrus striatus", "Epicrates striatus ailurus", "Epicrates striatus exagistus", "Epicrates striatus fosteri", "Epicrates striatus fowleri", "Epicrates striatus mccraniei", "Epicrates striatus striatus", "Epicrates striatus strigilatus", "Epicrates striatus warreni", "Chilabothrus subflavus", "Scoletoma fragilis", "Coleophora coenosipennella", "Coleophora cogitata", "Coleophora coliella", "Coleophora colutella", "Coleophora comata", "Coleophora comperta", "Coleophora comptoniella", "Coleophora concolorella", "Coleophora confluella", "Coleophora confusa", "Coleophora congeriella", "Coleophora conspersa", "Coleophora conspicuella", "Coleophora consumpta", "Coleophora contrariella", "Coleophora conyzae", "Coleophora coracipennella", "Coleophora coriacea", "Coleophora cormicola", "Coleophora cornella", "Coleophora cornivorella", "Coleophora cornutella", "Coleophora coronata", "Coleophora coronillae", "Coleophora corsicella", "Coleophora corticosa", "Coleophora corylifoliella", "Coleophora cousiniae", "Coleophora capitargentella", "Coleophora cappadociae", "Coleophora capricornis", "Coleophora captiosa", "Coleophora caradjai", "Coleophora caraganae", "Coleophora carchara", "Coleophora carelica", "Coleophora carmaniae", "Coleophora caroxyli", "Coleophora cartilaginella", "Coleophora castalia", "Polychrus acutirostris", "Coleophora caucasica", "Polychrus marmoratus", "Coleophora cavillosa", "Coleophora cecidophorella", "Coleophora celsa", "Coleophora centaureivora", "Coleophora centralis", "Psittacara leucophthalmus", "Coleophora centrota", "Coleophora ceratoidis", "Coleophora cercidiphyllella", "Coleophora certhiella", "Coleophora cervinella", "Coleophora chalcogrammella", "Coleophora chalepa", "Coleophora chamaedriella", "Coleophora chambersella", "Coleophora changaica", "Coleophora charadriella", "Coleophora charistis", "Coleophora chenopodii", "Coleophora cherasforella", "Coleophora chiclanensis", "Coleophora chordoscelis", "Coleophora chotticola", "Coleophora chretieni", "Brotogeris chrysoptera", "Coleophora chretieniella", "Coleophora christenseni", "Coleophora chrysanthemi", "Coleophora ciconiella", "Coleophora cinclella", "Coleophora ciliataephaga", "Coleophora cinerea", "Coleophora cirsiella", "Coleophora citrarga", "Coleophora climacopterae", "Coleophora clypeiferella", "Coleophora cnossiaca", "Coleophora coarctataephaga", "Longisquama insignis", "Minyclupeoides dentibranchialus", "Litoria albolabris", "Litoria amboinensis", "Litoria angiana", "Litoria arfakiana", "Litoria aruensis", "Litoria auae", "Litoria barringtonensis", "Litoria becki", "Litoria biakensis", "Litoria bibonius", "Litoria bicolor", "Biatora ocelliformis", "Biatora oligocarpa", "Biatora pallens", "Biatora pausiaca", "Biatora pontica", "Biatora printzenii", "Biatora pycnidiata", "Biatora rufidula", "Biatora sphaeroides", "Biatora subduplex", "Biatora tetramera", "Biatora toensbergii", "Biatora vacciniicola", "Biatora vernalis", "Coleophora graminicolella", "Coleophora granifera", "Coleophora granulatella", "Coleophora granulosella", "Coleophora gredosella", "Coleophora griseomixta", "Coleophora gryphipennella", "Coleophora guadicensis", "Coleophora gulinovi", "Coleophora gurunensis", "Coleophora guttella", "Coleophora guttiferella", "Coleophora gymnocarpella", "Coleophora gypsella", "Coleophora hackmani", "Coleophora hadrocerella", "Coleophora halimodendri", "Coleophora halmodes", "Coleophora halocnemi", "Coleophora halophilella", "Coleophora halostachydis", "Coleophora halothamni", "Coleophora haloxyli", "Coleophora haloxylonella", "Coleophora hamata", "Coleophora hancola", "Coleophora haoma", "Coleophora harbinensis", "Coleophora hartigi", "Coleophora hatamae", "Coleophora haywardi", "Coleophora heihensis", "Coleophora heinrichella", "Coleophora helianthemella", "Coleophora helichrysiella", "Coleophora helvolella", "Trioceros eisentrauti", "Trioceros ellioti", "Chamaeleo etiennei", "Trioceros feae", "Trioceros fuelleborni", "Trioceros goetzei", "Trioceros goetzei goetzei", "Trioceros goetzei nyikae", "Chamaeleo gracilis", "Trioceros harennae", "Trioceros harennae fitchi", "Trioceros harennae harennae", "Trioceros hoehnelii", "Trioceros hoehnelii altaeelgonis", "Trioceros hoehnelii hoehnelii", "Trioceros incornutus", "Trioceros ituriensis", "Trioceros jacksonii", "Trioceros jacksonii jacksonii", "Trioceros jacksonii merumontanus", "Trioceros jacksonii xantholophus", "Trioceros johnstoni", "Trioceros kinetensis", "Chamaeleo laevigatus", "Trioceros laterispinis", "Trioceros marsabitensis", "Trioceros melleri", "Chamaeleo monachus", "Trioceros montium", "Chamaeleo namaquensis", "Trioceros narraioca", "Chamaeleo necasi", "Trioceros ntunte", "Trioceros oweni", "Trioceros pfefferi", "Centrarchus macropterus", "Enneacanthus chaetodon", "Enneacanthus gloriosus", "Enneacanthus obesus", "Costasiella coronata", "Chelonoidis denticulatus", "Coleophora daeva", "Coleophora daglarica", "Coleophora damarella", "Coleophora dangchuanica", "Coleophora darica", "Coleophora darigangae", "Coleophora deauratella", "Coleophora debilella", "Coleophora decipiens", "Coleophora decoratella", "Coleophora defessella", "Coleophora delgerella", "Coleophora delibutella", "Coleophora delicatella", "Coleophora delmastroella", "Coleophora demaculella", "Coleophora demissella", "Coleophora dendroidis", "Coleophora denigrella", "Coleophora dentatella", "Coleophora denticulata", "Coleophora dentiferella", "Coleophora dentiferoides", "Coleophora depunctella", "Coleophora derasofasciella", "Coleophora derbendella", "Coleophora derrai", "Coleophora desultrix", "Coleophora detractella", "Coleophora deviella", "Coleophora dextrella", "Coleophora dianthi", "Coleophora dianthivora", "Coleophora didymella", "Trioceros quadricornis", "Trioceros quadricornis gracilior", "Trioceros quadricornis quadricornis", "Chamaeleo quilensis", "Chamaeleo roperi", "Trioceros rudis", "Chamaeleo ruspolii", "Trioceros schoutedeni", "Trioceros schubotzi", "Chamaeleo senegalensis", "Litoria booroolongensis", "Litoria brevipalmata", "Etheostoma zonistium", "Etheostoma zonifer", "Etheostoma zonale", "Etheostoma wapiti", "Etheostoma vitreum", "Etheostoma virgatum", "Etheostoma coosae", "Etheostoma okaloosae", "Coleophora craccella", "Coleophora crassa", "Coleophora crassicornella", "Coleophora cratipennella", "Coleophora crepidinella", "Coleophora cretaticostella", "Coleophora crexella", "Coleophora crinita", "Lecania aipospila", "Lecania arizonica", "Lecania atrynoides", "Lecania baeomma", "Lecania brunonis", "Lecania caloplacicola", "Lecania chalcophila", "Lecania chlorotiza", "Lecania coeruleorubella", "Lecania coerulescens", "Lecania constricta", "Lecania cuprea", "Lecania cyrtella", "Lecania disceptans", "Lecania dubitans", "Lecania dudleyi", "Lecania erysibe", "Lecania flavescens", "Lecania franciscana", "Lecania fructigena", "Lecania fuscella", "Lecania fuscelloides", "Lecania hassei", "Lecania hutchinsiae", "Lecania hyalina", "Lecania inundata", "Dallia pectoralis", "Lecania naegelii", "Lecania nylanderiana", "Coleophora fiorii", "Coleophora flabelligerella", "Coleophora flammea", "Coleophora flavicornis", "Coleophora flavicosta", "Coleophora flaviella", "Coleophora flavipennella", "Coleophora flavovena", "Coleophora follicularis", "Coleophora fragilella", "Coleophora frankii", "Coleophora fraternella", "Coleophora fretella", "Coleophora fringillella", "Coleophora frischella", "Coleophora frivolella", "Coleophora frustrata", "Coleophora fulgidella", "Coleophora fuliginosa", "Coleophora fulvociliella", "Coleophora fuscicornis", "Coleophora fuscinervella", "Coleophora fuscoaenea", "Coleophora fuscociliella", "Coleophora fuscocuprella", "Coleophora fuscolineata", "Coleophora fuscopictella", "Coleophora fuscosquamata", "Macromitrium grossirete", "Macromitrium guatemalense", "Macromitrium gymnostomum", "Macromitrium hamatum", "Macromitrium handelii", "Macromitrium harrisi", "Coleophora gabralensis", "Coleophora galatellae", "Kinyongia adolfifriderici", "Kinyongia carpenteri", "Kinyongia excubitor", "Kinyongia fischeri", "Kinyongia fischeri fischeri", "Kinyongia fischeri multituberculatus", "Kinyongia fischeri uluguruensis", "Kinyongia oxyrhinum", "Kinyongia tavetanum", "Kinyongia tavetanum boehmei", "Kinyongia tavetanum tavetanum", "Kinyongia tenue", "Kinyongia uthmoelleri", "Kinyongia xenorhinum", "Arthroleptis adelphus", "Arthroleptis adolfifriederici", "Arthroleptis affinis", "Cicadetta radiator", "Cicadetta yezoensis", "Astylosternus occidentalis", "Astylosternus perreti", "Astylosternus ranoides", "Astylosternus rheophilus", "Astylosternus schioetzi", "Coleophora hemerobiella", "Coleophora hemerobiola", "Coleophora heringi", "Coleophora hermanniella", "Coleophora hiberica", "Coleophora hieratica", "Coleophora hieronella", "Coleophora hinnula", "Coleophora hippodromica", "Coleophora hipponae", "Coleophora hoeneella", "Coleophora hololeucella", "Coleophora honestella", "Coleophora hongorella", "Coleophora honshuella", "Coleophora horakae", "Coleophora horridula", "Coleophora hospitiella", "Coleophora hsiaolingensis", "Coleophora hungariae", "Coleophora hydrella", "Coleophora hydrolapathella", "Coleophora hymenocrateri", "Coleophora hypomona", "Coleophora hypoxantha", "Coleophora hyssopi", "Coleophora hystricella", "Coleophora ibipennella", "Coleophora ichthyura", "Coleophora idaeella", "Coleophora ignobilis", "Coleophora ignotella", "Coleophora iljiniae", "Coleophora illustrata", "Coleophora imbecilla", "Coleophora immersa", "Coleophora impalella", "Coleophora impercepta", "Coleophora impexa", "Coleophora implicitella", "Coleophora impunctata", "Coleophora inclita", "Coleophora inconstans", "Coleophora incultella", "Coleophora indefinitella", "Coleophora inequidentella", "Coleophora inermis", "Coleophora infibulatella", "Coleophora infolliculella", "Coleophora infuscatella", "Coleophora innermongoliensis", "Coleophora inopinata", "Coleophora insulicola", "Coleophora intensa", "Coleophora intercalaris", "Coleophora eilatica", "Coleophora elaeagnisella", "Coleophora elamita", "Coleophora elbursella", "Coleophora elephantacolorella", "Coleophora elephantella", "Coleophora elodella", "Coleophora emberizella", "Coleophora enchitis", "Coleophora enkomiella", "Coleophora entoloma", "Coleophora epijudaica", "Coleophora eremodes", "Coleophora eremosparti", "Coleophora ericoides", "Coleophora erratella", "Coleophora esignata", "Coleophora estriatella", "Coleophora eteropennella", "Coleophora etrusca", "Coleophora eucalla", "Coleophora eucasia", "Coleophora eucoleos", "Coleophora eumorphella", "Coleophora eupepla", "Coleophora eupreta", "Coleophora eurasiatica", "Coleophora euryaula", "Coleophora exalbida", "Coleophora exarga", "Coleophora explorata", "Coleophora expressella", "Coleophora exul", "Coleophora facilis", "Coleophora fagicorticella", "Coleophora falcigerella", "Coleophora falcipenella", "Coleophora falkovitshella", "Coleophora famella", "Coleophora felixella", "Coleophora femorella", "Coleophora fengxianica", "Coleophora feoleuca", "Coleophora feomicrella", "Coleophora fergana", "Coleophora ferruginea", "Coleophora festivella", "Coleophora filaginella", "Coleophora intermediella", "Coleophora intermixta", "Biatora meiocarpa var. meiocarpa", "Coleophora internitens", "Coleophora intexta", "Coleophora inulae", "Coleophora inulae transcaucasica", "Biatora meiocarpa var. tacomensis", "Coleophora inusitatella", "Coleophora inversella", "Coleophora involucrella", "Coleophora iperspinata", "Coleophora iranella", "Coleophora irinae", "Coleophora irinella", "Coleophora irroratella", "Coleophora islamella", "Coleophora isodonta", "Coleophora isomoera", "Coleophora ispartae", "Coleophora issikii", "Coleophora ivrizensis", "Coleophora izenella", "Canthon indigaceus chevrolati", "Canthochilum brodzinskyorum", "Canthochilum magnum", "Canthochilum matthewsi", "Canthochilum mimicum", "Canthochilum nebulonemi", "Canthochilum platycnemis", "Canthochilum xericum", "Canthochilum ciboney", "Canthochilum darlingtoni", "Canthonella jarmilae", "Canthonella quesquaya", "Canthonella sikesi", "Canthonella isabellae", "Canthonella parva", "Canthonella pygmaea", "Canthonella parva luquillensis", "Canthonella constans", "Canthonella baorucensis", "Canthonella howdeni", "Canthochilum baracutey", "Canthochilum tureyra", "Canthochilum cemi", "Canthochilum histeroides", "Canthochilum guayca", "Canthochilum anacaona", "Canthochilum gundlachi", "Canthochilum pijirigua", "Canthochilum hispidum", "Canthochilum hispidum iunceanun", "Trioceros sternfeldi", "Trioceros tempeli", "Chamaeleo tremperi", "Trioceros werneri", "Trioceros wiedersheimi", "Trioceros wiedersheimi perreti", "Coleophora diffusa", "Trioceros wiedersheimi wiedersheimi", "Chamaeleo zeylanicus", "Coleophora dignella", "Coleophora dilabens", "Coleophora diluta", "Furcifer angeli", "Furcifer antimena", "Coleophora diogenes", "Furcifer balteatus", "Furcifer belalandaensis", "Furcifer bifidus", "Coleophora dipalliata", "Furcifer campani", "Coleophora diplodon", "Furcifer cephalolepis", "Furcifer labordi", "Furcifer lateralis", "Furcifer lateralis lateralis", "Furcifer lateralis major", "Coleophora directella", "Furcifer minor", "Furcifer monoceras", "Coleophora discifera", "Furcifer nicosiai", "Furcifer oustaleti", "Furcifer petteri", "Furcifer polleni", "Furcifer rhinoceratus", "Furcifer tuzetae", "Furcifer verrucosus", "Furcifer verrucosus semicristatus", "Furcifer verrucosus verrucosus", "Furcifer willsii", "Coleophora discomaculella", "Coleophora discopunctata", "Coleophora discordella", "Coleophora discostriata", "Coleophora dissecta", "Coleophora dissociella", "Coleophora dissona", "Coleophora ditella", "Coleophora dividua", "Coleophora dorita", "Coleophora dormiens", "Coleophora dorsiproducta", "Coleophora dracontea", "Coleophora drangianae", "Coleophora drymidis", "Coleophora drymophila", "Coleophora dubiella", "Coleophora duplicis", "Coleophora echinacea", "Coleophora echinopsilonella", "Coleophora echyropis", "Coleophora efflua", "Coleophora eichleri", "Lecania olivacella", "Lecania pacifica", "Lecania polycycla", "Lecania rabenhorstii", "Lecania ryaniana", "Lecania shastensis", "Lecania stigmatella", "Lecania suavis", "Lecania subcaesia", "Lecania subfuscula", "Lecania sylvestris", "Lecania toninioides", "Lecania turicensis", "Coleophora crispella", "Coleophora cristata", "Coleophora crossanthes", "Coleophora crypsineura", "Coleophora crypsiphanes", "Coleophora cteis", "Coleophora cuprea", "Coleophora currucipennella", "Coleophora curta", "Coleophora curvidentatella", "Coleophora curvirostra", "Coleophora cycnea", "Coleophora cyrniella", "Coleophora cyrta", "Coleophora cytisanthi", "Coleophora cytisivora", "Trioceros affinis", "Chamaeleo africanus", "Chamaeleo anchietae", "Chamaeleo anchietae anchietae", "Chamaeleo anchietae marunguensis", "Chamaeleo anchietae mertensi", "Chamaeleo anchietae vinckei", "Chamaeleo arabicus", "Trioceros balebicornutus", "Trioceros bitaeniatus", "Chamaeleo calcaricarens", "Dryomys laniger", "Chamaeleo calyptratus", "Chamaeleo calyptratus calcarifer", "Chamaeleo calyptratus calyptratus", "Trioceros camerunensis", "Chamaeleo chamaeleon", "Chamaeleo chamaeleon chamaeleon", "Chamaeleo chamaeleon musae", "Chamaeleo chamaeleon orientalis", "Chamaeleo chamaeleon recticrista", "Trioceros chapini", "Trioceros conirostratus", "Trioceros cristatus", "Trioceros deremensis", "Chamaeleo dilepis", "Chamaeleo dilepis dilepis", "Chamaeleo dilepis idjwiensis", "Chamaeleo dilepis isabellinus", "Chamaeleo dilepis martensi", "Chamaeleo dilepis petersii", "Mogannia minuta", "Coleophora galbulipennella", "Coleophora galligena", "Coleophora gallipennella", "Coleophora gallivora", "Meimuna boninensis", "Coleophora gallurella", "Coleophora ganglionella", "Meimuna iwasakii", "Meimuna kuroiwae", "Meimuna oshimensis", "Coleophora gardesanella", "Coleophora gaviaepennella", "Coleophora gaylussaciella", "Coleophora gazella", "Coleophora gazella sinevi", "Coleophora gedrosiae", "Coleophora geghardella", "Coleophora gemmiformis", "Coleophora genistae", "Coleophora genuina", "Coleophora genviki", "Coleophora gerasimovi", "Coleophora ghorella", "Coleophora gibberosa", "Coleophora gielisi", "Coleophora glareolella", "Coleophora glaseri", "Coleophora glaucella", "Coleophora glaucicolella", "Coleophora glissandella", "Coleophora glitzella", "Coleophora glycyrrhizae", "Coleophora glymma", "Coleophora gnaphalii", "Coleophora gobincola", "Coleophora goluensis", "Coleophora gossypinae", "Coleophora gracilella", "Coleophora graeca", "Biatora aegrefaciens", "Biatora alaskana", "Biatora appalachensis", "Biatora bacidioides", "Biatora britannica", "Biatora carneoalbida", "Biatora chrysantha", "Biatora chrysanthoides", "Biatora cuprea", "Biatora efflorescens", "Biatora epixanthoides", "Biatora fallax", "Biatora flavopunctata", "Biatora globulosa", "Biatora helvola", "Biatora hypophaea", "Biatora kodiakensis", "Biatora longispora", "Biatora meiocarpa", "Biatora nobilis", "Coleophora ledi", "Coleophora legitima", "Coleophora lenae", "Coleophora lentella", "Coleophora lentiginosa", "Coleophora leonensis", "Coleophora lepyropis", "Coleophora lessinica", "Coleophora leucaula", "Etheostoma kanawhae", "Etheostoma kennicotti", "Etheostoma lachneri", "Etheostoma longimanum", "Etheostoma lynceum", "Etheostoma moorei", "Etheostoma neopterum", "Etheostoma nianguae", "Etheostoma nigripinne", "Etheostoma nigrum", "Etheostoma olivaceum", "Etheostoma olmstedi", "Etheostoma oophylax", "Etheostoma osburni", "Etheostoma pallididorsum", "Etheostoma parvipinne", "Etheostoma percnurum", "Etheostoma perlongum", "Etheostoma phytophilum", "Etheostoma podostemone", "Etheostoma proeliare", "Etheostoma pseudovulatum", "Etheostoma punctulatum", "Etheostoma pyrrhogaster", "Etheostoma rafinesquei", "Etheostoma ramseyi", "Etheostoma raneyi", "Etheostoma rubrum", "Arthroleptis bivittatus", "Arthroleptis brevipes", "Arthroleptis carquejai", "Arthroleptis crusculum", "Arthroleptis discodactylus", "Arthroleptis francei", "Arthroleptis hematogaster", "Arthroleptis lameerei", "Arthroleptis lonnbergi", "Arthroleptis loveridgei", "Arthroleptis milletihorsini", "Arthroleptis mossoensis", "Arthroleptis nikeae", "Arthroleptis nimbaensis", "Arthroleptis phrynoides", "Arthroleptis poecilonotus", "Arthroleptis pyrrhoscelis", "Arthroleptis reichei", "Arthroleptis schubotzi", "Arthroleptis spinalis", "Arthroleptis stenodactylus", "Arthroleptis stridens", "Arthroleptis sylvaticus", "Arthroleptis taeniatus", "Arthroleptis tanneri", "Arthroleptis troglodytes", "Arthroleptis tuberosus", "Arthroleptis variabilis", "Arthroleptis vercammeni", "Arthroleptis wahlbergii", "Arthroleptis xenochirus", "Arthroleptis xenodactyloides", "Arthroleptis xenodactylus", "Arthroleptis zimmeri", "Cardioglossa alsco", "Cardioglossa aureoli", "Cardioglossa cyaneospila", "Cardioglossa elegans", "Cardioglossa escalerae", "Cardioglossa gracilis", "Cardioglossa gratiosa", "Cardioglossa leucomystax", "Cardioglossa melanogaster", "Cardioglossa nigromaculata", "Cardioglossa oreas", "Cardioglossa pulchra", "Cardioglossa schioetzi", "Cardioglossa trifasciata", "Cardioglossa venusta", "Astylosternus batesi", "Astylosternus diadematus", "Astylosternus fallax", "Astylosternus laurenti", "Astylosternus montanus", "Astylosternus nganhanus", "Coleophora kashkaella", "Coleophora kaszabi", "Coleophora katangica", "Coleophora katunella", "Etheostoma mariae", "Etheostoma meridianum", "Etheostoma microperca", "Coleophora kautzi", "Coleophora kearfottella", "Etheostoma chienense", "Etheostoma chlorobranchium", "Etheostoma chlorosomum", "Etheostoma chuckwachatte", "Etheostoma cinereum", "Etheostoma collis", "Coleophora keireuki", "Etheostoma colorosum", "Etheostoma cragini", "Etheostoma crossopterum", "Etheostoma davisoni", "Etheostoma denoncourti", "Coleophora kitella", "Coleophora kizildashi", "Coleophora klimeschiella", "Coleophora kolymella", "Coleophora kondarensis", "Coleophora kononenkoi", "Coleophora korbi", "Coleophora koreana", "Coleophora koshmella", "Coleophora kosteri", "Coleophora kotalensis", "Coleophora kroneella", "Coleophora kruegeri", "Coleophora kudrosella", "Coleophora kuehnella", "Coleophora kurokoi", "Coleophora kuznetzovi", "Coleophora kyffhusana", "Coleophora lacera", "Coleophora laconiae", "Coleophora ladonia", "Coleophora laevipennis", "Coleophora lagopella", "Coleophora laniella", "Coleophora laricella", "Coleophora lasiocharis", "Coleophora lasloella", "Coleophora lassella", "Coleophora laticornella", "Coleophora laticostella", "Coleophora lativalva", "Coleophora lativittella", "Coleophora latronella", "Coleophora laurentella", "Coleophora lebedella", "Canthochilum oakleyi", "Canthochilum borinquensis", "Canthochilum andyi", "Canthochilum taino", "Pseudocanthon jamaicenesis", "Pseudocanthon jamaicenesis viridescens", "Pseudocanthon perplexus", "Leptoomus janzeni", "Leptodactylodon albiventris", "Leptodactylodon axillaris", "Leptodactylodon bicolor", "Leptodactylodon blanci", "Leptodactylodon boulengeri", "Leptodactylodon bueanus", "Leptodactylodon erythrogaster", "Leptodactylodon mertensi", "Leptodactylodon ornatus", "Leptodactylodon ovatus", "Leptodactylodon perreti", "Leptodactylodon polyacanthus", "Leptodactylodon stevarti", "Leptodactylodon ventrimarmoratus", "Leptodactylodon wildi", "Nyctibates corrugatus", "Scotobleps gabonicus", "Trichobatrachus robustus", "Leptopelis anchietae", "Leptopelis argenteus", "Leptopelis aubryi", "Leptopelis barbouri", "Leptopelis bequaerti", "Leptopelis bocagii", "Leptopelis boulengeri", "Leptopelis brevipes", "Leptopelis brevirostris", "Leptopelis bufonides", "Leptopelis calcaratus", "Leptopelis christyi", "Leptopelis concolor", "Leptopelis crystallinoron", "Leptopelis cynnamomeus", "Leptopelis fenestratus", "Leptopelis fiziensis", "Leptopelis flavomaculatus", "Leptopelis gramineus", "Leptopelis jordani", "Coleophora jaculatoria", "Coleophora japonicella", "Coleophora jebeli", "Coleophora jefreniensis", "Coleophora jerusalemella", "Coleophora judaica", "Coleophora juglandella", "Coleophora juncicolella", "Coleophora juncivora", "Coleophora jynxella", "Lonchophylla chocoana", "Odontotermes prewensis", "Mycobilimbia austrocalifornica", "Mycobilimbia berengeriana", "Mycobilimbia carneoalbida", "Mycobilimbia epixanthoides", "Mycobilimbia fissuriseda", "Mycobilimbia pilularis", "Valdesiana curiosa", "Mycobilimbia tetramera", "Macromitrium helmsii", "Macromitrium hemitrichodes", "Macromitrium herzogii", "Macromitrium heterodictyon", "Macromitrium hildebrandtii", "Macromitrium himalayanum", "Macromitrium hoehnei", "Arnoglossus laterna", "Bilimbia accedens", "Bilimbia microcarpa", "Cathayiblatta longata", "Coleophora kabulensis", "Coleophora kahaourella", "Coleophora kalidii", "Coleophora kalmiella", "Coleophora kamchatica", "Catinaria atropurpurea", "Catinaria subcorallina", "Coleophora kandevanella", "Coleophora kandymella", "Coleophora kantarica", "Coleophora karakurti", "Coleophora kargani", "Coleophora karsholti", "Stilipes distinctus", "Uhlorchestia uhleri", "Talitrus gulliveri", "Talitrus hortulanus", "Talitrus nesius", "Talitrus saltator", "Talitrus tasmaniae", "Talitrus toli", "Talitrus trukana", "Orchestia aestuarensis", "Orchestia cavimana", "Orchestia ditmari", "Orchestia gammarella", "Orchestia georgiana", "Orchestia grillus", "Orchestia mediterranea", "Orchestia ochotensis", "Orchestia platensis", "Orchestia pyatakovi", "Orchestia roffensis", "Orchestia traskiana", "Orchestia uhleri", "Talorchestia crassicornis", "Talorchestia deshayesii", "Talorchestia longicornis", "Talorchestia megalophthalma", "Talorchestia pachypus", "Talorchestia sulensoni", "Talorchestia zachsi", "Americorchestia barbarae", "Americorchestia heardi", "Americorchestia longicornis", "Americorchestia megalophthalma", "Americorchestia salomani", "Arcitalitrus sylvaticus", "Chelorchestia forceps", "Floresorchestia pickeringi", "Hawaiorchestia gagnei", "Hawaiorchestia hawaiensis", "Hawaiorchestia hawaiiensis", "Megalorchestia benedicti", "Megalorchestia californiana", "Megalorchestia columbiana", "Megalorchestia corniculata", "Megalorchestia dexterae", "Megalorchestia minor", "Megalorchestia pugettensis", "Orchestoidea corniculata", "Paciforchestia klawei", "Platorchestia chathamensis", "Platorchestia kaalensis", "Platorchestia lanipo", "Platorchestia pickeringi", "Cephalorhynchus eutropia", "Coleophora leucobela", "Coleophora leucocephala", "Coleophora leucochares", "Coleophora leugrammella", "Coleophora leucopodella", "Coleophora leucostoma", "Coleophora levantis", "Coleophora lewandowskii", "Coleophora microxantha", "Coleophora millefolii", "Coleophora milvipennis", "Coleophora minaxella", "Coleophora minimella", "Coleophora minipalpella", "Theodoxus fluviatilis", "Emelieana aureolineata", "Helicops angulatus", "Percina antesella", "Percina aurantiaca", "Percina aurolineata", "Percina aurora", "Percina austroperca", "Percina brevicauda", "Percina burtoni", "Percina carbonaria", "Percina copelandi", "Percina crassa", "Percina cymatotaenia", "Percina evides", "Percina gymnocephala", "Percina jenkinsi", "Percina kathae", "Percina lenticula", "Percina macrocephala", "Percina macrolepida", "Percina maculata", "Percina nasuta", "Percina nigrofasciata", "Percina notogramma", "Percina oxyrhynchus", "Percina palmaris", "Percina pantherina", "Percina peltata", "Percina phoxocephala", "Percina rex", "Percina roanoka", "Anastatica hierochuntica", "Varanus similis", "Varanus spenceri", "Varanus spinulosus", "Varanus telenesetes", "Varanus timorensis", "Varanus yuwonoi", "Archips alberta", "Archips argyrospilus", "Archips cerasivorana", "Archips dissitana", "Archips eleagana", "Archips fervidana", "Archips fractivittana", "Archips fumiferana", "Archips georgiana", "Archips grisea", "Archips infumatana", "Archips lambertiana", "Archips magnoliana", "Archips mortuanus", "Archips myricana", "Archips negundana", "Archips packardiana", "Archips purpurana", "Archips rileyana", "Archips rosana", "Archips striana", "Archips tsuganus", "Etheostoma douglasi", "Etheostoma duryi", "Etheostoma edwini", "Etheostoma etnieri", "Etheostoma etowahae", "Etheostoma euzonum", "Etheostoma flabellare", "Etheostoma flavum", "Etheostoma fonticola", "Etheostoma forbesi", "Etheostoma fricksium", "Etheostoma fusiforme", "Etheostoma gracile", "Etheostoma histrio", "Etheostoma hopkinsi", "Etheostoma inscriptum", "Etheostoma obeyense", "Etheostoma saludae", "Etheostoma sequatchiense", "Cephalorhynchus heavisidii", "Rosalia batesi", "Coleophora macedonica", "Coleophora machinopis", "Coleophora macilenta", "Coleophora macrobiella", "Vermilacinia robusta", "Vermilacinia tigrina", "Vermilacinia tuberculata", "Vermilacinia zebrina", "Protelencholax schleei", "Vermilacinia cedrosensis", "Vermilacinia ceruchis", "Vermilacinia flaccescens", "Vermilacinia johncassadyi", "Vermilacinia leonis", "Vermilacinia ligulata", "Vermilacinia reptilioderma", "Vermilacinia rigida", "Vermilacinia rosei", "Vermilacinia varicosa", "Vermilacinia vesiculosa", "Altiphrynoides malcolmi", "Altiphrynoides osgoodi", "Etheostoma rupestre", "Etheostoma sagitta", "Etheostoma sanguifluum", "Etheostoma scotti", "Etheostoma sellare", "Etheostoma serrifer", "Etheostoma simoterum", "Etheostoma smithi", "Etheostoma spectabile", "Etheostoma squamiceps", "Etheostoma stigmaeum", "Etheostoma striatulum", "Etheostoma swannanoa", "Etheostoma tallapoosae", "Etheostoma tetrazonum", "Etheostoma thalassinum", "Etheostoma trisella", "Etheostoma tuscumbia", "Engraulis australis", "Engraulis encrasicolus", "Engraulis anchoita", "Engraulis ringens", "Lithops hermetica", "Muraena helena", "Lithops amicorum", "Etheostoma variatum", "Seborgia hershleri", "Seborgia relicta", "Caribseba tropica", "Seba aloe", "Seba antarctica", "Seba armata", "Seba dubia", "Seba ekepuu", "Seba georgiana", "Seba profunda", "Seba saundersi", "Seba subantarctica", "Seba typica", "Alexandrella australis", "Alexandrella dentata", "Alexandrella mixta", "Alexandrella subchelata", "Astyra abyssi", "Bathypanoploea australis", "Bathypanoploea schellenbergi", "Spelaeorchestia koloana", "Talitroides alluaudi", "Talitroides topitotum", "Transorchestia enigmatica", "Traskorchestia georgiana", "Traskorchestia ochotensis", "Traskorchestia traskiana", "Uhlorchestia spartinophila", "Santia bicornis", "Santia charcoti", "Santia compacta", "Santia concavata", "Santia dimorpha", "Santia hirsuta", "Santia hispida", "Santia laevifrons", "Santia marmorata", "Santia mawsoni", "Santia milleri", "Santia uncinata", "Metamelanea melambola", "Metamelanea umbonata", "Metamelanea caesiella", "Varanus albigularis", "Varanus auffenbergi", "Varanus baritji", "Varanus boehmei", "Varanus bogerti", "Varanus caudolineatus", "Varanus doreanus", "Varanus eremius", "Varanus flavescens", "Varanus gilleni", "Varanus glauerti", "Varanus glebopalma", "Varanus griseus", "Varanus jobiensis", "Varanus keithhornei", "Varanus kingorum", "Varanus kordensis", "Varanus mitchelli", "Varanus nebulosus", "Varanus ornatus", "Varanus pilbarensis", "Varanus primordius", "Varanus rosenbergi", "Varanus rudicollis", "Varanus scalaris", "Varanus semiremex", "Coleophora murinella", "Coleophora musculella", "Coleophora nairica", "Coleophora namakella", "Coleophora namangana", "Coleophora namella", "Coleophora namibiae", "Coleophora nanophyti", "Coleophora napolovi", "Coleophora narbonensis", "Coleophora necessaria", "Coleophora neglecta", "Coleophora neli", "Coleophora nemorella", "Coleophora neobagorella", "Coleophora nepetae", "Coleophora nesiotidella", "Coleophora nevadella", "Coleophora neviusiella", "Coleophora nielseni", "Coleophora nigridorsella", "Coleophora nigrosparsella", "Coleophora nigrostriata", "Coleophora nikiella", "Coleophora niphocrossa", "Nymphaea nouchali var. caerulea", "Coleophora niphomesta", "Coleophora nitidipennella", "Pistia stratiotes", "Actias arianeae", "Actias chrisbrechlinae", "Actias kongjiaria", "Actias uljanae", "Actias winbrechlini", "Actias witti", "Styrax officinalis", "Elymus repens", "Hyoscyamus albus", "Hyoscyamus niger", "Hyoscyamus muticus", "Ficus benghalensis", "Ficus carica", "Actias kongjiaria kongjiaria", "Coleophora algidella algidella", "Vermilacinia acicularis", "Vermilacinia cephalota", "Vermilacinia cerebra", "Vermilacinia ceruchoides", "Vermilacinia combeoides", "Vermilacinia corrugata", "Vermilacinia howei", "Vermilacinia laevigata", "Vermilacinia leopardina", "Mengea tertiaria", "Vermilacinia nylanderi", "Vermilacinia paleoderma", "Vermilacinia polymorpha", "Vermilacinia procera", "Vermilacinia pumila", "Avocoleus fractus", "Boscoleus blandus", "Eocoleus scaber", "Moravocoleus permianus", "Prosperocoleus prosperus", "Retelytron conopeum", "Sylvacoleodes admirandus", "Sylvacoleus richteri", "Sylvacoleus sharovi", "Tshekardocoleus magnus", "Umoricoleus perplexa", "Votocoleus submissus", "Uralocoleus splendens", "Myriophyllum spicatum", "Niebla cedrosensis", "Niebla cephalota", "Niebla ceruchis", "Niebla ceruchoides", "Niebla combeoides", "Niebla homalea", "Niebla isidiaescens", "Niebla josecuervoi", "Niebla laevigata", "Niebla polymorpha", "Cephalopholis sexmaculata", "Cephalopholis sonnerati", "Cephalopholis urodeta", "Chelidoperca hirundinacea", "Chelidoperca margaritifera", "Chelidoperca pleurospilus", "Halacarsantia uniramea", "Austrimunna antarctica", "Trachelipus aegaeus", "Ectias turqueti", "Trachelipus aetnensis", "Trachelipus anatolicus", "Trachelipus andrei", "Trachelipus arcuatus", "Palanana gaini", "Palanana serrata", "Trachelipus ater", "Paramunna macquariensis", "Paramunna minituberculata", "Paramunna snaresi", "Paramunna walvisensis", "Allorostrata scutifrons", "Ascionana darwinia", "Trachelipus azerbaidzhanus", "Ascionana bassiana", "Ascionana dentifera", "Ascionana latirima", "Ascionana magnetica", "Ascionana minuta", "Ascionana notaedorsalis", "Trachelipus bistriatus", "Ascionana rockinghamia", "Ascionana rottnestia", "Ascionana tassiana", "Trachelipus buddelundi", "Epipedonana profunda", "Harrietonana subtriangulata", "Trachelipus camerani", "Omonana brachycephala", "Omonana serraticoxa", "Trachelipus caucasius", "Trachelipus cavaticus", "Pagonana hodgsoni", "Pagonana vanhoeffeni", "Spiculonana bathyalis", "Spiculonana petraea", "Spiculonana platysoma", "Celosia argentea var. cristata", "Ziziphus lotus", "Ziziphus jujuba", "Dianthus barbatus", "Leptopelis karissimbensis", "Leptopelis kivuensis", "Leptopelis lebeaui", "Leptopelis mackayi", "Leptopelis macrotis", "Leptopelis marginatus", "Leptopelis millsoni", "Leptopelis modestus", "Leptopelis mossambicus", "Leptopelis natalensis", "Leptopelis nordequatorialis", "Leptopelis notatus", "Leptopelis occidentalis", "Leptopelis ocellatus", "Leptopelis aubryioides", "Leptopelis oryi", "Leptopelis palmatus", "Leptopelis parbocagii", "Leptopelis parkeri", "Leptopelis parvus", "Leptopelis ragazzii", "Leptopelis rufus", "Leptopelis spiritunoctis", "Leptopelis susanae", "Leptopelis uluguruensis", "Leptopelis vannutellii", "Leptopelis vermiculatus", "Leptopelis viridis", "Leptopelis xenodactylus", "Leptopelis yaldeni", "Leptopelis zebra", "Adenomus dasi", "Adenomus kandianus", "Adenomus kelaartii", "Coleophora minipunctella", "Coleophora minoica", "Coleophora minutula", "Coleophora moehringiae", "Coleophora molesta", "Coleophora molothrella", "Coleophora monardae", "Coleophora monardella", "Coleophora monoceros", "Coleophora monstruosa", "Coleophora montana", "Coleophora monteiroi", "Coleophora monticola", "Coleophora montihospitella", "Coleophora moronella", "Coleophora morosa", "Coleophora mosasaurus", "Coleophora motacillella", "Coleophora mucronata", "Coleophora multicristatella", "Coleophora multipulvella", "Coleophora murciana", "Caldisphaera draconis", "Anthoceros adscendens", "Croton abaitensis", "Croton abeggii", "Croton aberrans", "Anthoceros agrestis", "Anthoceros arsenii", "Anthoceros atlanticus", "Anthoceros beltrani", "Coleophora paludoides", "Coleophora pannosa", "Coleophora paphlagoniae", "Coleophora pappiferella", "Coleophora paracousiniae", "Coleophora paradoxella", "Coleophora paradrymides", "Coleophora paragiraudi", "Coleophora paramayrella", "Coleophora paraononidella", "Coleophora parapredotella", "Coleophora paraptarmica", "Coleophora paravestalella", "Coleophora parcella", "Coleophora parenthella", "Coleophora parilis", "Coleophora paripennella", "Coleophora parki", "Coleophora parthenica", "Coleophora parthica", "Coleophora partitella", "Coleophora parvella", "Coleophora passeripennella", "Coleophora pastranai", "Coleophora pathana", "Coleophora patzaki", "Coleophora pauperculella", "Coleophora pechi", "Coleophora peisoniella", "Coleophora peisoniella peisoniella", "Coleophora peisoniella tshulella", "Coleophora pelinopis", "Niebla procera", "Niebla robusta", "Niebla tuberculata", "Niebla bourgaeana", "Niebla crispatula", "Niebla cupularis", "Niebla flaccescens", "Niebla subwebbiana", "Niebla tigrina", "Niebla webbii", "Anaxyrus compactilis", "Anaxyrus debilis", "Anaxyrus hemiophrys", "Anaxyrus houstonensis", "Anaxyrus kelloggi", "Anaxyrus mexicanus", "Anaxyrus microscaphus", "Anaxyrus nelsoni", "Anaxyrus punctatus", "Anaxyrus quercicus", "Anaxyrus retiformis", "Anaxyrus speciosus", "Anaxyrus terrestris", "Anaxyrus woodhousii", "Andinophryne atelopoides", "Andinophryne colomai", "Andinophryne olallai", "Ansonia albomaculata", "Ansonia anotis", "Ansonia endauensis", "Ansonia fuliginea", "Ansonia glandulosa", "Ansonia guibei", "Ansonia hanitschi", "Ansonia inthanon", "Ansonia kraensis", "Ansonia latidisca", "Ansonia latirostra", "Ansonia leptopus", "Ansonia longidigita", "Ansonia malayana", "Ansonia mcgregori", "Ansonia minuta", "Ansonia muelleri", "Aethaloperca rogaa", "Anyperodon leucogrammicus", "Caprodon schlegelii", "Cephalopholis argus", "Cephalopholis aurantius", "Cephalopholis boenak", "Cephalopholis hemistiktos", "Cephalopholis igarashiensis", "Cephalopholis leopardus", "Cephalopholis obtusaurus", "Sporonana concavirostra", "Sporonana litoralis", "Sporonana robusta", "Trachelipus croaticus", "Trachelipus difficilis", "Trachelipus dimorphus", "Trachelipus ensiculorum", "Trachelipus gagriensis", "Trachelipus kervillei", "Trachelipus kosswigii", "Trachelipus kytherensis", "Trachelipus laoshanensis", "Trachelipus lignaui", "Trachelipus longipennis", "Trachelipus lutshnikii", "Knautia arvensis", "Cuminum cyminum", "Laser trilobum", "Pseudolambrus calappoides", "Pseudolambrus bato", "Ghatophryne ornata", "Ansonia penangensis", "Ansonia platysoma", "Ansonia rubigina", "Ansonia siamensis", "Ansonia spinulifer", "Ansonia tiomanica", "Ansonia torrentis", "Atelopus andinus", "Atelopus angelito", "Atelopus arsyecue", "Atelopus arthuri", "Atelopus balios", "Atelopus bomolochos", "Atelopus carauta", "Atelopus carbonerensis", "Atelopus carrikeri", "Atelopus certus", "Atelopus chiriquiensis", "Atelopus chocoensis", "Atelopus chrysocorallus", "Atelopus coynei", "Disca javai", "Disca parajavai", "Disca paulum", "Disca tegali", "Disca thailandi", "Coleophora niveiciliella", "Coleophora niveicostella", "Coleophora niveistrigella", "Coleophora niveopictella", "Coleophora noaeae", "Coleophora nomgona", "Coleophora novisqualorella", "Coleophora nubivagella", "Coleophora numeniella", "Coleophora nurmahal", "Coleophora nutantella", "Coleophora nyingchiensis", "Coleophora obducta", "Coleophora obscenella", "Coleophora obscuripalpella", "Coleophora obtectella", "Coleophora obviella", "Coleophora occasi", "Coleophora occatella", "Coleophora occitana", "Coleophora ochrea", "Coleophora ochrea aridatella", "Coleophora ochrea hispanica", "Coleophora ochrea portneri", "Coleophora ochrea thuringiaca", "Coleophora ochripennella", "Coleophora ochroflava", "Viola isaurica", "Amphiprion akallopisos", "Amphiprion akindynos", "Amphiprion allardi", "Amphiprion bicinctus", "Amphiprion chagosensis", "Amphiprion chrysogaster", "Asterias amurensis", "Heliaster kubinijii", "Heliaster microbrachius", "Heliaster multiradiata", "Atelopus mittermeieri", "Atelopus monohernandezii", "Atelopus mucubajiensis", "Atelopus muisca", "Atelopus nahumae", "Atelopus nanay", "Coleophora pellicornella", "Coleophora pellicornella pellicornella", "Coleophora pellicornella turkmena", "Coleophora pendulivalvula", "Coleophora pennella", "Coleophora percnoceros", "Coleophora peri", "Coleophora peribenanderi", "Coleophora perissa", "Coleophora perplexella", "Coleophora persana", "Coleophora persimplexella", "Coleophora peterseni", "Coleophora petraea", "Coleophora phaeocentra", "Coleophora phlomidella", "Coleophora phlomidis", "Coleophora phoenicia", "Coleophora phrygiae", "Coleophora physophorae", "Coleophora picardella", "Coleophora pilion", "Coleophora pinkeri", "Coleophora platyphyllae", "Coleophora plicipunctella", "Coleophora plumbella", "Coleophora plurifoliella", "Coleophora plurispinella", "Coleophora poecilella", "Coleophora polemoniella", "Coleophora poliacantha", "Coleophora polichomriensis", "Coleophora polonicella", "Coleophora polycarpaeae", "Coleophora polynella", "Coleophora pontica", "Coleophora portulacae", "Coleophora potentillae", "Coleophora praecipua", "Coleophora praeclara", "Coleophora praecursella", "Coleophora pratella", "Coleophora preisseckeri", "Coleophora prepostera", "Ephysteris montana", "Ephysteris wenquana", "Ephysteris flavida", "Ephysteris subovata", "Mesoniscus graniger", "Mesoniscus alpicola", "Coleophora ochroptera", "Coleophora ochrostriata", "Coleophora odorariella", "Coleophora ogmotona", "Coleophora okuella", "Coleophora oligostropha", "Coleophora olympica", "Coleophora onobrychiella", "Coleophora ononidella", "Coleophora onopordiella", "Coleophora opulens", "Coleophora orbata", "Coleophora orbitella", "Coleophora ordinaria", "Coleophora orientalis", "Coleophora oriolella", "Coleophora ornatipennella", "Coleophora orogella", "Coleophora orotavensis", "Coleophora orphnoceros", "Coleophora ortneri", "Coleophora ortrina", "Coleophora ossaedeaga", "Coleophora ostryae", "Coleophora otidipennella", "Coleophora ovata", "Coleophora oxyphaea", "Coleophora libanella", "Coleophora libyca", "Coleophora lima", "Coleophora limacella", "Coleophora limosipennella", "Coleophora lineapulvella", "Coleophora lineata", "Coleophora lineolea", "Carbonea aggregantula", "Carbonea assimilis", "Carbonea atronivea", "Carbonea latypizodes", "Carbonea supersparsa", "Carbonea vitellinaria", "Carbonea vorticosa", "Coleophora linoplecta", "Coleophora linosyridella", "Coleophora linosyris", "Coleophora liriophorella", "Coleophora lithargyrinella", "Coleophora littorella", "Coleophora lixella", "Coleophora lonchodes", "Coleophora longicornella", "Coleophora longicornuta", "Coleophora longiductella", "Coleophora longipalpella", "Coleophora longispina", "Coleophora loti", "Coleophora loxodon", "Coleophora lucida", "Coleophora luciennella", "Coleophora lunensis", "Coleophora lurida", "Coleophora lusciniaepennella", "Coleophora lusitanica", "Coleophora lutatiella", "Coleophora luteocostella", "Coleophora luteolella", "Coleophora lutipennella", "Coleophora lycaoniae", "Coleophora lycii", "Coleophora lynosyridella", "Atelopus dimorphus", "Atelopus ebenoides", "Atelopus ebenoides ebenoides", "Trachelipus mostarensis", "Atelopus ebenoides marinkellei", "Atelopus elegans", "Atelopus epikeisthos", "Atelopus erythropus", "Atelopus eusebianus", "Atelopus exiguus", "Atelopus famelicus", "Atelopus farci", "Atelopus flavescens", "Atelopus franciscus", "Atelopus galactogaster", "Atelopus glyphus", "Atelopus guanujo", "Atelopus guitarraensis", "Trachelipus myrmicidarum", "Atelopus halihelos", "Atelopus ignescens", "Atelopus laetissimus", "Atelopus limosus", "Atelopus longibrachius", "Atelopus longirostris", "Atelopus lozanoi", "Atelopus lynchi", "Atelopus mandingues", "Atelopus mindoensis", "Trachelipus nodulosus", "Atelopus minutulus", "Trachelipus ottomanicus", "Trachelipus pedesignatus", "Trachelipus pieperi", "Trachelipus pierantonii", "Trachelipus porisabditus", "Trachelipus radui", "Trachelipus rathkii", "Trachelipus ratzeburgii", "Trachelipus razzautii", "Trachelipus rhinoceros", "Trachelipus richardsonae", "Trachelipus rucneri", "Trachelipus sarculatus", "Trachelipus schwangarti", "Trachelipus semiprojectus", "Trachelipus similis", "Trachelipus simplex", "Trachelipus spinulatus", "Trachelipus squamuliger", "Trachelipus svenhedini", "Trachelipus taborskyi", "Trachelipus trachealis", "Trachelipus trilobatus", "Trachelipus troglobius", "Trachelipus vespertilio", "Disca arborita", "Disca hackeri", "Apterostigma acre", "Apterostigma ancilonodum", "Apterostigma andense", "Apterostigma angustum", "Apterostigma auriculatum", "Apterostigma avium", "Apterostigma bolivianum", "Apterostigma bruchi", "Apterostigma callipygium", "Apterostigma calverti", "Apterostigma carinatum", "Coleophora bilineatella bilineatella", "Apterostigma collare", "Apterostigma convexum", "Apterostigma chocoense", "Apterostigma dentigerum", "Apterostigma depressum", "Apterostigma discrepans", "Apterostigma dorotheae", "Apterostigma epinotale", "Apterostigma goniodes", "Apterostigma ierense", "Apterostigma madidiense", "Apterostigma manni", "Apterostigma mayri", "Coleophora pachyderma", "Coleophora paeltsaella", "Coleophora pagodella", "Coleophora pakistana", "Coleophora palifera", "Coleophora pallidata", "Coleophora pallidiptera", "Coleophora pandionella", "Triepeolus antiguensis", "Triepeolus antiochensis", "Triepeolus argentimus", "Triepeolus argus", "Triepeolus argyreus", "Acanthaspidia decorata", "Triepeolus atripes", "Triepeolus aztecus", "Triepeolus balteatus", "Triepeolus bimorulus", "Paramunnopsis longicornis", "Triepeolus brittaini", "Triepeolus californicus", "Triepeolus cameroni", "Triepeolus charlesi", "Triepeolus circumculus", "Munna brasiliensis", "Triepeolus claytoni", "Triepeolus concavus", "Triepeolus cressonii", "Triepeolus cruciformis", "Triepeolus cuabitensis", "Triepeolus dacotensis", "Triepeolus denverensis", "Andropogon abyssinicus", "Coleophora maculipennella", "Coleophora maghrebina", "Coleophora magnatella", "Coleophora magyarica", "Coleophora majuscula", "Coleophora makuensis", "Coleophora malatiella", "Coleophora manifesta", "Coleophora manitoba", "Coleophora marcarolensis", "Coleophora marcella", "Coleophora margarita", "Coleophora maritella", "Coleophora maritimarum", "Coleophora maritimella", "Coleophora markisaakovitshi", "Coleophora maroccana", "Coleophora maturella", "Coleophora mausoleae", "Coleophora mausolella", "Coleophora mayrella", "Coleophora mcdunnoughiella", "Coleophora medelichensis", "Coleophora mediae", "Coleophora mediocris", "Coleophora mediodens", "Coleophora mediterranea", "Miriquidica atrofulva", "Miriquidica deusta", "Miriquidica garovaglioi", "Miriquidica griseoatra", "Miriquidica instrata", "Miriquidica intrudens", "Miriquidica leucophaea", "Miriquidica lulensis", "Miriquidica mexicana", "Miriquidica plumbeoatra", "Miriquidica pulvinatula", "Miriquidica pycnocarpa", "Miriquidica scotopholis", "Miriquidica complanata", "Miriquidica nigroleprosa", "Coleophora megaloptila", "Coleophora melanograpta", "Coleophora mendica", "Coleophora menephilella", "Coleophora meridionella", "Coleophora mexicana", "Coleophora meyi", "Coleophora microalbella", "Coleophora microdon", "Coleophora micromeriae", "Coleophora micronotella", "Coleophora microsticta", "Coleophora microspinella", "Coleophora microtitae", "Coleophora raptans", "Coleophora ravillella", "Mesene leucogyna", "Mesene leucogyna leucogyna", "Mesene leucogyna notia", "Budorcas taxicolor taxicolor", "Budorcas taxicolor tibetana", "Budorcas taxicolor bedfordi", "Budorcas taxicolor whitei", "Triplosoba pulchella", "Sclerophrys asmarae", "Sclerophrys blanfordii", "Sclerophrys brauni", "Sclerophrys buchneri", "Sclerophrys camerunensis", "Sclerophrys chudeaui", "Sclerophrys cristiglans", "Sclerophrys danielae", "Sclerophrys djohongensis", "Sclerophrys fuliginata", "Sclerophrys funerea", "Sclerophrys garmani", "Sclerophrys gracilipes", "Sclerophrys gutturalis", "Sclerophrys kassasii", "Sclerophrys kerinyagae", "Sclerophrys kisoloensis", "Sclerophrys langanoensis", "Sclerophrys latifrons", "Sclerophrys lemairii", "Sclerophrys maculata", "Sclerophrys pantherina", "Sclerophrys pardalis", "Sclerophrys perreti", "Sclerophrys poweri", "Amietophrynus rangeri", "Sclerophrys reesi", "Sclerophrys regularis", "Sclerophrys steindachneri", "Illicium verum", "Sclerophrys superciliaris", "Sclerophrys taiensis", "Sclerophrys togoensis", "Sclerophrys tuberosa", "Sclerophrys turkanae", "Sclerophrys urunguensis", "Sclerophrys villiersi", "Sclerophrys vittata", "Sclerophrys xeros", "Bufo americanus", "Spinacia oleracea", "Rheum ribes", "Chrysobalanus icaco", "Cananga odorata", "Tilia caroliniana", "Tilia americana var. americana", "Tilia caroliniana subsp. heterophylla", "Amphiprion chrysopterus", "Amphiprion ephippium", "Amphiprion frenatus", "Amphiprion fuscocaudatus", "Amphiprion latezonatus", "Amphiprion leucokranos", "Amphiprion latifasciatus", "Croton coryi", "Croton californicus", "Euphorbia berthelotii", "Euphorbia angularis", "Euphorbia aphylla", "Croton abutilifolius", "Ramalina ahtii", "Ramalina alludens", "Coleophora presbytica", "Coleophora principiella", "Coleophora propinqua", "Coleophora propinquoides", "Coleophora protecta", "Coleophora pruniella", "Coleophora prunifoliae", "Coleophora psamata", "Coleophora psammodes", "Coleophora pseudociconiella", "Coleophora pseudodirectella", "Coleophora pseudoditella", "Coleophora pseudolinosyris", "Coleophora pseudopoecilella", "Coleophora pseudorepentis", "Coleophora pseudosquamosella", "Coleophora psilopterella", "Apterostigma mexicanum", "Apterostigma moelleri", "Apterostigma pariense", "Apterostigma peruvianum", "Apterostigma pilosum", "Apterostigma reburrum", "Apterostigma robustum", "Apterostigma scutellare", "Apterostigma serratum", "Apterostigma spiculum", "Apterostigma steigeri", "Apterostigma tachirense", "Apterostigma tholiforme", "Apterostigma tramitis", "Apterostigma trapeziforme", "Apterostigma tropicoxa", "Apterostigma turgidum", "Apterostigma urichii", "Apterostigma wasmanni", "Asparagus retrofractus", "Coleophora psychropa", "Coleophora ptarmicia", "Coleophora pterosparti", "Coleophora puberuloides", "Coleophora pulchricornis", "Coleophora pulmonariella", "Coleophora punctulatella", "Coleophora pustulosa", "Coleophora pyrenaica", "Coleophora pyrrhulipennella", "Coleophora quadrifariella", "Coleophora quadrilineella", "Coleophora quadrifurca", "Coleophora quadristraminella", "Coleophora quadristrigella", "Coleophora quadruplex", "Coleophora quercicola", "Coleophora querciella", "Coleophora qulikushella", "Coleophora ramitella", "Coleophora ramosella", "Coleophora raphidon", "Atelopus nepiozomus", "Atelopus nicefori", "Atelopus onorei", "Atelopus oxyrhynchus", "Atelopus pachydermus", "Atelopus palmatus", "Atelopus pedimarmoratus", "Atelopus petersi", "Atelopus petriruizi", "Atelopus pictiventris", "Atelopus pinangoi", "Atelopus planispina", "Atelopus pulcher", "Atelopus pyrodactylus", "Atelopus quimbaya", "Atelopus reticulatus", "Atelopus sanjosei", "Atelopus seminiferus", "Atelopus senex", "Atelopus sernai", "Atelopus simulatus", "Atelopus siranus", "Atelopus sonsonensis", "Atelopus sorianoi", "Atelopus spumarius", "Atelopus spurrelli", "Atelopus subornatus", "Atelopus tamaensis", "Atelopus tricolor", "Atelopus varius", "Atelopus vogli", "Atelopus walkeri", "Ramalina almquistii", "Ramalina americana", "Ramalina asahinae", "Ramalina aspera", "Ramalina bajacalifornica", "Ramalina baltica", "Ramalina bistorta", "Ramalina canalicularis", "Ramalina canariensis", "Ramalina capitata", "Ramalina celastri", "Ramalina chihuahuana", "Ramalina chondrina", "Ramalina cochlearis", "Ramalina complanata", "Labdia caroli", "Vulcaniella kabulensis", "Coleophora gazella gazella", "Coleophora inulae inulae", "Coleophora salviella", "Coleophora samarensis", "Coleophora sanella", "Coleophora santolinella", "Coleophora saponariella", "Coleophora sardiniae", "Coleophora sardocorsa", "Coleophora sarehma", "Coleophora satellitella", "Duttaphrynus crocus", "Absconditella annexa", "Duttaphrynus cyphosus", "Duttaphrynus himalayanus", "Duttaphrynus melanostictus", "Coleophora retrodentella", "Coleophora rhanteriella", "Coleophora rhinoceros", "Coleophora ribasella", "Coleophora riffelensis", "Coleophora romieuxi", "Coleophora roridella", "Coleophora rosacella", "Coleophora rosaefoliella", "Coleophora rosaevorella", "Coleophora rostrata", "Coleophora rudella", "Coleophora rugosae", "Coleophora rupestrella", "Coleophora rustica", "Coleophora sacramenta", "Coleophora sahariana", "Coleophora salicivorella", "Coleophora salicorniae", "Coleophora salinella", "Coleophora salinoidella", "Coleophora salsolella", "Coleophora saltae", "Helleria brevicornis", "Coleophora captiosa captiosa", "Coleophora captiosa maior", "Coleophora schahkuhensis", "Coleophora schauffeleella", "Coleophora schmidti", "Coleophora scioleuca", "Coleophora seguiella", "Coleophora semicinerea", "Coleophora semilineariella", "Cervus nippon hortulorum", "Coleophora seminalis", "Coleophora seminella", "Coleophora semistrigata", "Coleophora sequens", "Coleophora sergiella", "Coleophora serinipennella", "Coleophora seriphidii", "Coleophora serpylletorum", "Coleophora serratella", "Coleophora serratulella", "Coleophora settarii", "Coleophora sexdentatella", "Coleophora sibirica", "Coleophora sibiricella", "Coleophora siccifolia", "Coleophora silenella", "Coleophora simplex", "Coleophora simulans", "Coleophora sinensis", "Coleophora singreni", "Coleophora sisteronica", "Coleophora sittella", "Coleophora skanesella", "Coleophora sobria", "Coleophora sobrinella", "Coleophora sodae", "Coleophora soffneriella", "Coleophora sogdianae", "Coleophora solenella", "Coleophora solenella solenella", "Coleophora solenella tariata", "Coleophora solidaginella", "Coleophora soriaella", "Coleophora spargospinella", "Coleophora sparsiatomella", "Coleophora sparsipulvella", "Coleophora sparsipuncta", "Coleophora spinella", "Coleophora spiraeella", "Coleophora spiralis", "Coleophora spiralis spiralis", "Coleophora spiralis provecta", "Coleophora spumosella", "Coleophora squamella", "Coleophora succursella", "Coleophora sudanella", "Coleophora summivola", "Coleophora sumptuosa", "Coleophora sumptuosa sumptuosa", "Coleophora sumptuosa scythica", "Coleophora superlonga", "Coleophora supinella", "Coleophora surniella", "Coleophora svenssoni", "Coleophora swatensis", "Coleophora sylvaticella", "Coleophora symmicta", "Coleophora symphistropha", "Coleophora synchrocera", "Coleophora synchrona", "Coleophora syriaca", "Coleophora tabelli", "Coleophora tacera", "Coleophora tadzhikiella", "Coleophora taeniipennella", "Coleophora talynella", "Coleophora tamara", "Coleophora tamesis", "Coleophora tanaceti", "Coleophora tanitella", "Coleophora tanyleuca", "Coleophora taurica", "Coleophora tauricella", "Coleophora taygeti", "Coleophora tecta", "Coleophora teheranella", "Coleophora telonica", "Coleophora teneriffella", "Coleophora tenuis", "Coleophora terebrans", "Coleophora teredo", "Coleophora teregnathella", "Coleophora terenaula", "Coleophora tesquorum", "Coleophora testudo", "Coleophora tetrazonella", "Coleophora tetrodonta", "Coleophora texanella", "Coleophora textoria", "Coleophora therinella", "Coleophora thiophaea", "Coleophora thulea", "Coleophora thurneri", "Coleophora thymi", "Coleophora thymiella", "Coleophora thymiphaga", "Coleophora tibetana", "Coleophora tiliaefoliella", "Coleophora timarella", "Coleophora tleu", "Coleophora tolensis", "Nannophryne apolobambica", "Nannophryne cophotis", "Nannophryne corynetes", "Nannophryne variegata", "Nectophryne afra", "Nectophryne batesii", "Nectophrynoides asperginis", "Nectophrynoides cryptus", "Nectophrynoides frontierei", "Nectophrynoides laevis", "Nectophrynoides laticeps", "Nectophrynoides minutus", "Nectophrynoides paulae", "Nectophrynoides poyntoni", "Nectophrynoides pseudotornieri", "Nectophrynoides tornieri", "Nectophrynoides vestergaardi", "Nectophrynoides viviparus", "Nectophrynoides wendyae", "Nimbaphrynoides liberiensis", "Nimbaphrynoides occidentalis", "Coleophora tollamseliella", "Coleophora tolli", "Coleophora tornata", "Coleophora toxotis", "Coleophora tractella", "Coleophora tragacanthae", "Coleophora traganella", "Coleophora traugotti", "Coleophora tremefacta", "Coleophora tremula", "Coleophora treskaensis", "Andropogon aequatoriensis", "Absconditella antarctica", "Duttaphrynus microtympanum", "Duttaphrynus noellerti", "Absconditella celata", "Epidalea calamita", "Ingerophrynus biporcatus", "Ingerophrynus celebensis", "Absconditella delutula", "Ingerophrynus claviger", "Ingerophrynus divergens", "Ingerophrynus galeatus", "Absconditella duplicella", "Ingerophrynus gollum", "Ingerophrynus kumquat", "Ingerophrynus macrotis", "Ingerophrynus parvus", "Ingerophrynus philippinicus", "Absconditella fossarum", "Ingerophrynus quadriporcatus", "Absconditella lignicola", "Laurentophryne parkeri", "Absconditella pauxilla", "Absconditella sphagnorum", "Absconditella trivialis", "Coleophora sattleri", "Coleophora saturatella", "Coleophora saudita", "Coleophora saxauli", "Coleophora saxicolella", "Coleophora scabrida", "Coleophora scabrida scabrida", "Coleophora scabrida polonica", "Coleophora scaleuta", "Coleophora scariphota", "Coleophora versurella", "Coleophora vestalella", "Coleophora orenburgella", "Coleophora paragallivora", "Coleophora pokrovkella", "Coleophora schibendyella", "Coleophora verbljushkella", "Coleophora pseudofuscoaenea", "Coleophora tunisiae", "Coleophora tetraciliata", "Coleophora coxi", "Ramalina scoparia", "Ramalina siliquosa", "Ramalina sinaloensis", "Coleophora remizella", "Ramalina sinensis", "Coleophora remotella", "Coleophora repentis", "Ramalina sonorensis", "Ramalina sorediantha", "Coleophora resupina", "Ramalina stenospora", "Ramalina subamplicata", "Ramalina subcalicaris", "Ramalina subfarinacea", "Teinobasis sjupp", "Ramalina subleptocarpha", "Macromia holthuisi", "Ramalina subpellucida", "Ramalina tenuis", "Ramalina unifolia", "Ramalina usnea", "Ramalina wigginsii", "Ramalina willeyi", "Bufoides meghalayanus", "Capensibufo rosei", "Capensibufo tradouwi", "Churamiti maridadi", "Crepidophryne chompipe", "Crepidophryne epiotica", "Crepidophryne guanacaste", "Dendrophryniscus berthalutzae", "Amazophrynella bokermanni", "Dendrophryniscus brevipollicatus", "Dendrophryniscus carvalhoi", "Dendrophryniscus leucomystax", "Amazophrynella minuta", "Dendrophryniscus stawiarskyi", "Didynamipus sjostedti", "Coleophora retifera", "Ramalina crinita", "Ramalina culbersoniorum", "Ramalina cuspidata", "Ramalina dasypoga", "Tolpia albipuncta", "Ramalina dendriscoides", "Tolpia alexmadseni", "Tolpia andamani", "Ramalina denticulata", "Ramalina evernioides", "Tolpia atripuncta", "Tolpia bhutani", "Tolpia bilineata", "Tolpia bipars", "Ramalina fastigiata", "Tolpia conscitulana", "Tolpia crispus", "Tolpia fyani", "Ramalina geniculata", "Tolpia indiai", "Tolpia kampungi", "Tolpia knudlarseni", "Tolpia kuchingia", "Tolpia mccabei", "Tolpia montana", "Ramalina hypoprotocetrarica", "Tolpia myops", "Tolpia odor", "Tolpia orientis", "Ramalina lacera", "Tolpia palawani", "Tolpia parasarawakia", "Tolpia peniculus", "Tolpia sarawakia", "Tolpia sikkima", "Tolpia talauti", "Tolpia unguis", "Ramalina leptocarpha", "Ramalina linearis", "Ramalina menziesii", "Ramalina montagnei", "Ramalina moranii", "Ramalina paludosa", "Ramalina peruviana", "Ramalina petrina", "Ramalina pollinaria", "Ramalina polymorpha", "Ramalina portuensis", "Ramalina psoromica", "Ramalina puberulenta", "Ramalina quercicola", "Coleophora rebeli", "Ramalina rigida", "Coleophora rectilineella", "Coleophora rectimarginalis", "Coleophora squamosella", "Coleophora stachi", "Coleophora stachydis", "Coleophora staehelinella", "Coleophora statherota", "Coleophora stegosaurus", "Coleophora stenidella", "Coleophora stepposa", "Coleophora sternipennella", "Coleophora stramentella", "Coleophora straminella", "Coleophora striatipennella", "Leptophryne borbonica", "Leptophryne cruentata", "Melanophryniscus admirabilis", "Melanophryniscus atroluteus", "Melanophryniscus cambaraensis", "Melanophryniscus cupreuscapularis", "Melanophryniscus devincenzii", "Melanophryniscus dorsalis", "Melanophryniscus fulvoguttatus", "Melanophryniscus klappenbachi", "Melanophryniscus krauczuki", "Melanophryniscus macrogranulosus", "Melanophryniscus montevidensis", "Melanophryniscus moreirae", "Melanophryniscus orejasmirandai", "Melanophryniscus pachyrhynus", "Melanophryniscus rubriventris", "Melanophryniscus sanmartini", "Melanophryniscus simplex", "Melanophryniscus spectabilis", "Melanophryniscus stelzneri", "Melanophryniscus tumifrons", "Mertensophryne anotis", "Mertensophryne howelli", "Coleophora trichopterella", "Coleophora tricolor", "Coleophora tridentifera", "Coleophora trientella", "Coleophora trifariella", "Coleophora triflua", "Coleophora trifolii", "Coleophora trigeminella", "Coleophora trilineella", "Coleophora trimaculella", "Coleophora tringella", "Coleophora tripeniella", "Coleophora triplicis", "Coleophora tripolitana", "Coleophora tristella", "Coleophora tristraminata", "Coleophora trivalvis", "Coleophora trochilella", "Coleophora tshiligella", "Coleophora tshogoni", "Coleophora tuberculata", "Coleophora tundrosa", "Coleophora turbatella", "Coleophora turca", "Coleophora turkestanica", "Coleophora turolella", "Coleophora tuvensis", "Coleophora tyrrhaenica", "Coleophora tytri", "Coleophora ucrainae", "Coleophora ugabensis", "Coleophora uliginosella", "Coleophora ulmivorella", "Coleophora umbratica", "Coleophora unicrenata", "Coleophora uniformis", "Coleophora unigenella", "Coleophora unipunctella", "Coleophora univittella", "Coleophora uralensis", "Coleophora uxorella", "Coleophora vacciniella", "Coleophora darwini", "Coleophora neolycii", "Coleophora ningxiana", "Coleophora parvicuprella", "Coleophora varnella", "Coleophora vaciniivorella", "Coleophora vagans", "Coleophora valesianella", "Coleophora vancouverensis", "Coleophora vanderwolfi", "Coleophora varensis", "Coleophora variicornis", "Coleophora varisequens", "Coleophora vegrandis", "Coleophora velocella", "Coleophora ventadelsolella", "Coleophora vermiculatella", "Coleophora vernoniaeella", "Rhopobota orbiculata", "Phaecasiophora curvicosta", "Phaecasiophora levis", "Phaecasiophora lushina", "Phaecasiophora similithaiensis", "Phaecasiophora supparallelica", "Aglia tau", "Aglia homora", "Aglia ingens", "Aglia japonica", "Aglia japonica japonica", "Aglia japonica microtau", "Aglia tau amurensis", "Aglia tau ferenigra", "Aglia tau tau", "Almeidaia romualdoi", "Almeidaia aidae", "Epinotia chlorizans", "Eucosma haydenae", "Gretchena ochrantennae", "Hetereucosma fasciaria", "Hetereucosma fuscusipera", "Hetereucosma rectangular", "Hetereucosma trapezia", "Laculataria asymmetra", "Laculataria chlorochara", "Laculataria chondrites", "Mesochariodes polytrichta", "Mesochariodes secunda", "Quebradnotia chasigrapha", "Quebradnotia ouralia", "Quebradnotia quebradae", "Zerpanotia zerpana", "Barbara colfaxiana", "Digulia kochi", "Meromacroides meromacriformis", "Collogenes albocingulata", "Barbara colfaxiana colfaxiana", "Phelsuma vanheygeni", "Barbara colfaxiana coloradensis", "Barbara colfaxiana taxifoliella", "Barbara fulgens", "Barbara herrichiana", "Barbara mappana", "Barbara osmana", "Barbara ulteriorana", "Crocidosema venata", "Eccoptocera australis", "Eucosmophyes commoni", "Epiblema lasiovalva", "Epiblema lochmoda", "Epinotia brunneomarginata", "Epinotia tenebrica", "Coleophora vestianella", "Coleophora vibicella", "Coleophora vibicigerella", "Coleophora viburniella", "Coleophora vicinella", "Coleophora viettella", "Coleophora vigilis", "Coleophora villosa", "Coleophora violacea", "Coleophora virgatella", "Coleophora virgaureae", "Coleophora viridicuprella", "Coleophora viscidiflorella", "Coleophora vitilis", "Coleophora vitisella", "Coleophora vivesella", "Coleophora voluta", "Coleophora vulnerariae", "Coleophora vulpecula", "Coleophora walsinghami", "Coleophora weymarni", "Coleophora willinki", "Coleophora wiltshirei", "Coleophora wockeella", "Coleophora wolschrijni", "Coleophora wyethiae", "Coleophora xanthoargentea", "Coleophora xanthochlora", "Coleophora xanthoptera", "Coleophora xinjiangensis", "Coleophora yomogiella", "Coleophora yunnanica", "Coleophora yuzhongensis", "Coleophora zagella", "Coleophora zagrosella", "Coleophora zapluta", "Coleophora zelleriella", "Coleophora zernyi", "Coleophora zhusani", "Coleophora zhusguni", "Coleophora zophodella", "Coleophora zukowskii", "Coleophora zygodon", "Coleophora zygotaenia", "Coleophora zymotica", "Metriotes jaeckhi", "Metriotes lutarea", "Paranthozela calamistrana", "Paranthozela lobulina", "Paranthozela polyasterina", "Paranthozela spiloma", "Paranthozela stilbia", "Paranthozela zopheria", "Pelochrista frustata", "Pelochrista teleopa", "Pelochrista muhabbet", "Lepteucosma charassuncus", "Lepteucosma torreyae", "Laculataria nigroapicata", "Cinnamomum cassia", "Ruta montana", "Coleophora cisoriella", "Coleophora xyridella", "Coleophora cochleata", "Coleophora jaernaensis", "Coleophora pseudodianthi", "Coleophora himyarita", "Coleophora omanica", "Coleophora recula", "Coleophora taizensis", "Coleophora sabaea", "Coleophora yemenita", "Coleophora safadella", "Augasma aeratella", "Augasma atraphaxidellum", "Augasma nitens", "Epinotia javierana", "Heleanna tokyoensis", "Heleanna turpinivora", "Kennelia apiconcava", "Rhopobota bucera", "Rhopobota fanjingensis", "Rhopobota furcata", "Vanilla tahitensis", "Demeijerella bicolorana", "Demeijerella catharota", "Demeijerella chrysoplea", "Demeijerella relapsa", "Demeijerella xanthorhina", "Dicnecidia cataclasta", "Dicnecidia fumidana", "Dinogenes meteoropa", "Doliochastis honograpta", "Bruchus pisorum", "Acanthoscelides obtectus", "Oreophrynella cryptica", "Oreophrynella dendronastes", "Oreophrynella huberi", "Oreophrynella macconnelli", "Oreophrynella nigra", "Oreophrynella quelchii", "Oreophrynella vasquezi", "Oreophrynella weiassipuensis", "Osornophryne antisana", "Osornophryne bufoniformis", "Osornophryne guacamayo", "Eucosma aprilana", "Eucosma argentifera", "Eucosma aspidana", "Eucosma aspidiscana", "Eucosma atascosana", "Eucosma atomosana", "Eucosma aurantiradix", "Eucosma aurilineana", "Eucosma australis", "Eucosma austrina", "Eucosma avalona", "Eccoptocera foetorivorans", "Eccoptocera osteomelesana", "Emrahia acanthis", "Emrahia hoplista", "Epibactra usuiana", "Epiblema abruptana", "Epiblema absconditana", "Epiblema acceptana", "Rhizocarpon disporum", "Rhizocarpon distinctum", "Rhizocarpon epispilum", "Rhizocarpon eupetraeoides", "Rhizocarpon eupetraeum", "Rhizocarpon expallescens", "Rhizocarpon ferax", "Rhizocarpon frigidum", "Rhizocarpon furax", "Bascaneucosma magicopa", "Bathrotoma angelica", "Bathrotoma constrictana", "Bathrotoma ruficomana", "Bipartivalva aquilana", "Bipartivalva eurypinax", "Biuncaria kenteana", "Biuncaria kerzhneri", "Blastesthia mughiana", "Blastesthia posticana", "Blastesthia tessulatana", "Blastesthia turionella", "Blastopetrova keteleericola", "Brachiocera gonioptera", "Brachioxena lutrocopa", "Brachioxena niveipalpis", "Brachioxena psammacta", "Brachioxena sparactis", "Brachioxena pakistanella", "Catastega aceriella", "Catastega adobe", "Catastega marmoreana", "Catastega nebula", "Catastega plicata", "Catastega spectra", "Catastega strigatella", "Rhizocarpon anaperum", "Centranthus ruber", "Rhizocarpon anseris", "Rhizocarpon arctogenum", "Rhizocarpon athalloides", "Rhizocarpon atroflavescens", "Rhizocarpon bolanderi", "Rhizocarpon caeruleoalbum", "Rhizocarpon caesium", "Rhizocarpon carpaticum", "Rhizocarpon chioneum", "Rhizocarpon cinereonigrum", "Eucosma abacana", "Rhizocarpon cinereovirens", "Eucosma abstemia", "Eucosma adamantana", "Eucosma aemulana", "Eucosma agassizii", "Eucosma agnatana", "Eucosma agricolana", "Eucosma agricolana agricolana", "Eucosma agricolana argentialbana", "Eucosma albarracina", "Eucosma albicosta", "Eucosma albicostella", "Eucosma albidulana", "Eucosma albiguttana", "Eucosma albuneana", "Eucosma alphabetica", "Eucosma amellana", "Eucosma apocrypha", "Eucosma apocrypha apocrypha", "Eucosma apocrypha tagarica", "Rhizocarpon cookeanum", "Rhizocarpon dimelaenae", "Rhizocarpon furfurosum", "Rhizocarpon geminatum", "Rhizocarpon hensseniae", "Rhizocarpon inarense", "Rhizocarpon infernulum", "Rhizocarpon intermediellum", "Rhizocarpon intersitum", "Rhizocarpon jemtlandicum", "Rhizocarpon lavatum", "Rhizocarpon lecanorinum", "Rhizocarpon leptolepis", "Rhizocarpon lindsayanum", "Rhizocarpon macrosporum", "Rhizocarpon malenconianum", "Rhizocarpon microsporum", "Rhizocarpon norvegicum", "Rhizocarpon oederi", "Rhizocarpon parvum", "Rhizocarpon petraeum", "Osornophryne percrassa", "Osornophryne sumacoensis", "Osornophryne talipes", "Parapelophryne scalpta", "Rentapia everetti", "Rentapia hosii", "Bufoides kempi", "Pedostibes maculatus", "Pedostibes rugosus", "Pedostibes tuberculosus", "Echinosorex gymnura", "Rhizocarpon advenulum", "Rhizocarpon alaxense", "Valerianella eriocarpa", "Valeriana officinalis", "Rhizocarpon amphibium", "Euselasia aurantiaca", "Euselasia aurantiaca aurantiaca", "Euselasia aurantiaca aurum", "Synargis nymphidioides", "Synargis nymphidioides nymphidioides", "Synargis nymphidioides septentrionalis", "Mesene margaretta", "Mesene margaretta anartia", "Mesene margaretta margaretta", "Mesene margaretta oriens", "Mesene margaretta semiradiata", "Lucillella splendida", "Paradaemonia meridionalis", "Dirphia riograndensis", "Actias luna", "Poyntonophrynus damaranus", "Poyntonophrynus dombensis", "Poyntonophrynus fenoulheti", "Poyntonophrynus grandisonae", "Poyntonophrynus hoeschi", "Poyntonophrynus kavangensis", "Poyntonophrynus lughensis", "Poyntonophrynus parkeri", "Poyntonophrynus vertebralis", "Bufotes boulengeri", "Bufotes latastii", "Bufotes luristanica", "Bufotes pewzowi", "Bufotes turanensis", "Bufotes variabilis", "Bufotes viridis", "Bufotes zamdaensis", "Bufotes zugmayeri", "Taraxacum japonicum", "Ixeris stolonifera", "Nuttallanthus canadensis", "Veronica arvensis", "Asymmetrarcha iograpta", "Asymmetrarcha metallicana", "Asymmetrarcha thaiensis", "Asymmetrarcha torquens", "Asymmetrarcha xenopa", "Gatesclarkeana batianensis", "Gatesclarkeana confracta", "Gatesclarkeana domestica", "Aglossa tinealis", "Hypotia brandbergensis", "Hypotia decembralis", "Hypotia eberti", "Hypotia meyi", "Hypotia namibiensis", "Coleothrix longicosta", "Guningia capitirecava", "Leprosa milga", "Callitriche intermedia", "Epilepia meyi", "Callitriche intermedia ssp. intermedia", "Placodoma brandbergensis", "Rhinella diptycha", "Rhinella dorbignyi", "Rhinella fernandezae", "Rhinella festae", "Rhinella fissipes", "Rhinella gallardoi", "Rhinella gnustae", "Rhinella granulosa", "Gatesclarkeana eothina", "Gatesclarkeana erotias", "Gatesclarkeana idia", "Gatesclarkeana moderatrix", "Gatesclarkeana pachnodes", "Gatesclarkeana senior", "Gatesclarkeana tenebrosa", "Trigonotis peduncularis", "Hiroshiinoueana gangweonensis", "Hiroshiinoueana stellifera", "Cryptaspasma achlyoptera", "Cryptaspasma acrolophoides", "Cryptaspasma anaphorana", "Cryptaspasma angulicostana", "Cryptaspasma anisopis", "Cryptaspasma athymopis", "Cryptaspasma bepinicilla", "Cryptaspasma brachyptycha", "Cryptaspasma caryothicta", "Cryptaspasma debeauforti", "Cryptaspasma geina", "Cryptaspasma glebaecolor", "Cryptaspasma haplophyes", "Cryptaspasma helota", "Cryptaspasma hesyca", "Cryptaspasma lasiura", "Cryptaspasma lugubris", "Cryptaspasma marginifasciata", "Cryptaspasma microloga", "Cryptaspasma mirabilis", "Cryptaspasma ochrotricha", "Cryptaspasma orphnina", "Cryptaspasma pelagia", "Cryptaspasma peratra", "Cryptaspasma polysticta", "Cryptaspasma pullatana", "Cryptaspasma querula", "Cryptaspasma sordida", "Cryptaspasma subtilis", "Cryptaspasma syostoma", "Cryptaspasma trigonana", "Cryptaspasma triopis", "Cryptaspasma zigzag", "Cryptaspasma zophocosma", "Theope euselasina", "Medicago polymorpha", "Theope fayneli", "Theope harrisi", "Theope tetrastigmoides", "Euselasia pontasis", "Exoplisia azuleja", "Catastega timidella", "Catastega triangulana", "Charitostega poliocycla", "Chimoptesis chrysopyla", "Chimoptesis gerulae", "Chimoptesis matheri", "Chimoptesis pennsylvaniana", "Cirrilaspeyresia imbecillana", "Cirrilaspeyresia taeniosana", "Clavigesta purdeyi", "Clavigesta sylvestrana", "Coenobiodes abietiella", "Coenobiodes acceptana", "Veronica beccabunga", "Collogenes percnophylla", "Collogenes plumbosa", "Collogenes pseuta", "Sixalix atropurpurea", "Lomelosia caucasica", "Cosmetra anthophaga", "Cosmetra rythmosema", "Scabiosa columbaria", "Crocidosema accessa", "Crocidosema aporema", "Crocidosema callida", "Crocidosema calvifrons", "Crocidosema cecidogena", "Crocidosema compsoptila", "Acanthocybium solandri", "Crocidosema cosmoptila", "Crocidosema evidens", "Crocidosema impendens", "Crocidosema lantana", "Crocidosema leprara", "Crocidosema longipalpana", "Crocidosema marcidellum", "Crocidosema meridospila", "Crocidosema nolckeniana", "Crocidosema orfilai", "Crocidosema plebejana", "Crocidosema pollutana", "Crocidosema pristinana", "Crocidosema pyrrhulana", "Vanilla planifolia", "Crocidosema veternana", "Crocidosema roraria", "Crocidosema sediliata", "Crocidosema unica", "Crusimetra verecunda", "Werneria mertensiana", "Werneria preussi", "Werneria submontana", "Werneria tandyi", "Wolterstorffina chirioi", "Wolterstorffina mirei", "Wolterstorffina parvipalmata", "Salassa belinda", "Acanthothecis africana", "Acanthothecis albescens", "Acanthothecis asprocarpa", "Acanthothecis aurantiaca", "Acanthothecis caesiocarnea", "Acanthothecis clavulifera", "Acanthothecis consocians", "Acanthothecis corcovadensis", "Samia burica", "Acanthothecis dialeuca", "Acanthothecis gracilis", "Acanthothecis gyridia", "Acanthothecis hololeucoides", "Acanthothecis incondita", "Acanthothecis leucolyta", "Acanthothecis leucoxantha", "Acanthothecis mirabilis", "Acanthothecis nivalis", "Acanthothecis obscura", "Acanthothecis pachygraphoides", "Acanthothecis rosea", "Acanthothecis sanguinoloba", "Acanthothecis silicicola", "Solus parvifenestratus", "Acanthothecis socotrana", "Acanthothecis subclavulifera", "Acanthothecis tetraphora", "Solus parvifenestratus parvifenestratus", "Solus parvifenestratus sichuanus", "Rhinella ceratophrys", "Rhinella chavin", "Rhinella chrysophora", "Rhinella cristinae", "Rhinella crucifer", "Rhinella dapsilis", "Callitriche palustris", "Actias angulocaudata", "Adeloneivaia acuta", "Adeloneivaia diluta", "Adeloneivaia jason", "Adeloneivaia sabulosa", "Adetomeris erythrops", "Agapema anona", "Rhodinia fugax", "Rhodinia fugax flavescens", "Rhodinia fugax fugax", "Rhodinia fugax guangdongensis", "Rhodinia fugax jiangxiana", "Rhodinia fugax shaanxiana", "Rhodinia rudloffi", "Rhodinia rudloffi rudloffi", "Rhodinia rudloffi sinensis", "Epiphora kipengerensis", "Epiphora werneri", "Adafroptilum convictum", "Adafroptilum hausmanni", "Adafroptilum kalamboensis", "Adafroptilum mikessensis", "Bunaeopsis murphyi", "Hylesia pseudomoronensis", "Actias maenas", "Actias selene", "Actias dubernardi", "Actias felicis", "Actias isis", "Actias truncatipennis", "Rhizocarpon superficiale subsp. superficiale", "Rhizocarpon superficiale subsp. boreale", "Pseudobufo subasper", "Rhaebo blombergi", "Rhaebo caeruleostictus", "Rhaebo glaberrimus", "Rhaebo guttatus", "Rhaebo haematiticus", "Rhaebo hypomelas", "Rhaebo nasicus", "Rhinella abei", "Rhinella achalensis", "Rhinella achavali", "Rhinella acrolopha", "Rhinella acutirostris", "Rhinella alata", "Rhinella amabilis", "Rhinella amboroensis", "Rhinella arborescandens", "Rhinella arenarum", "Rhinella arequipensis", "Rhinella arunco", "Rhinella atacamensis", "Rhinella beebei", "Rhinella bergi", "Rhinella castaneotica", "Degelia calcicola", "Degelia crustacea", "Degelia duplomarginata", "Degelia durietzii", "Degelia flabellata", "Degelia fluviatilis", "Degelia gayana", "Degelia granitica", "Degelia lecideola", "Degelia minor", "Degelia neozelandica", "Degelia periptera", "Degelia sorediata", "Degelia subantarctica", "Degelia subcincinnata", "Degelia subcrustata", "Rhizocarpon polycarpoides", "Rhizocarpon postumum", "Rhizocarpon praebadium", "Rhizocarpon pusillum", "Rhizocarpon rapax", "Rhizocarpon renneri", "Rhizocarpon richardii", "Rhizocarpon ridescens", "Rhizocarpon riparium", "Rhizocarpon rubescens", "Rhizocarpon saana\u00ebnse", "Rhizocarpon santessonii", "Rhizocarpon saurinum", "Rhizocarpon subgeminatum", "Rhizocarpon submodestum", "Rhizocarpon superficiale", "Rhizocarpon tetramerum", "Rhizocarpon timdalii", "Rhizocarpon umbilicatum", "Rhizocarpon vernicomoideum", "Rhizocarpon viridiatrum", "Pelophryne albotaeniata", "Pelophryne api", "Pelophryne brevipes", "Pelophryne guentheri", "Pelophryne lighti", "Pelophryne macrotis", "Pelophryne misera", "Pelophryne rhopophilia", "Pelophryne signata", "Peltophryne cataulaciceps", "Peltophryne empusa", "Peltophryne fluviatica", "Peltophryne fracta", "Peltophryne fustiger", "Peltophryne guentheri", "Peltophryne gundlachi", "Peltophryne lemur", "Peltophryne longinasus", "Peltophryne peltocephala", "Peltophryne taladai", "Phrynoidis aspera", "Phrynoidis juxtaspera", "Poyntonophrynus beiranus", "Bufo aspinius", "Bufo bankorensis", "Bufo kabischi", "Bufo minshanicus", "Bufo tibetanus", "Bufo tuberculatus", "Bufo verrucosissimus", "Bufo wolongensis", "Bufo ailaoanus", "Bufo arabicus", "Duttaphrynus atukoralei", "Duttaphrynus beddomii", "Duttaphrynus brevirostris", "Bufo cryptotympanicus", "Duttaphrynus dhufarensis", "Bufo dodsoni", "Duttaphrynus hololius", "Duttaphrynus kotagamai", "Xanthophryne koynayensis", "Sclerophrys mauritanica", "Duttaphrynus olivaceus", "Bufo pageoti", "Duttaphrynus parietalis", "Sclerophrys pentoni", "Duttaphrynus scaber", "Bufo scorteccii", "Duttaphrynus silentvalleyensis", "Duttaphrynus stomaticus", "Duttaphrynus stuarti", "Duttaphrynus sumatranus", "Sclerophrys tihamica", "Duttaphrynus valhallae", "Agdistis bouyeri", "Agdistis linnaei", "Rhinella henseli", "Rhinella hoogmoedi", "Rhinella icterica", "Rhinella inca", "Rhinella iserni", "Rhinella jimi", "Rhinella justinianoi", "Rhinella limensis", "Rhinella lindae", "Rhinella macrorhina", "Rhinella manu", "Rhinella margaritifera", "Rhinella marina", "Rhinella multiverrucosa", "Rhinella nesiotes", "Rhinella nicefori", "Rhinella ocellata", "Rhinella ornata", "Rhinella poeppigii", "Rhinella pombali", "Dendrophryniscus proboscideus", "Rhinella pygmaea", "Rhinella quechua", "Rhinella roqueana", "Rhinella rostrata", "Rhinella rubescens", "Rhinella rubropunctata", "Rhinella ruizi", "Rhinella rumbolli", "Rhinella schneideri", "Rhinella scitula", "Rhinella sclerocephala", "Rhinella spinulosa", "Rhinella stanlaii", "Rhinella sternosignata", "Rhinella tacana", "Rhinella tenrec", "Rhinella truebae", "Rhinella vellardi", "Rhinella veraguensis", "Rhinella veredas", "Schismaderma carens", "Truebella skoptes", "Truebella tothastes", "Vandijkophrynus amatolicus", "Vandijkophrynus angusticeps", "Vandijkophrynus gariepensis", "Vandijkophrynus inyangae", "Vandijkophrynus robinsoni", "Werneria bambutensis", "Werneria iboundji", "Mertensophryne lindneri", "Mertensophryne lonnbergi", "Mertensophryne loveridgei", "Mertensophryne melanopleura", "Mertensophryne micranotis", "Mertensophryne mocquardi", "Mertensophryne nairobiensis", "Mertensophryne nyikae", "Mertensophryne schmidti", "Mertensophryne taitana", "Mertensophryne usambarae", "Mertensophryne uzunguensis", "Nipponocyphon nakanei", "Metaphryniscus sosae", "Coleophora strigiferella", "Coleophora strigosella", "Coleophora striolatella", "Coleophora strophingella", "Coleophora struella", "Coleophora strutiella", "Coleophora stuposa", "Coleophora stylosa", "Coleophora suaedae", "Coleophora suaedicola", "Coleophora subapicis", "Coleophora subgilva", "Coleophora sublata", "Coleophora sublineariella", "Coleophora subnivea", "Coleophora subparcella", "Coleophora subsolana", "Coleophora subtremula", "Coleophora subula", "Chrysoscota vagivitta", "Mediorhynchus mattei", "Oeonistis bicolora", "Oeonistis bistrigata", "Oeonistis delia", "Mediorhynchus meiringi", "Mediorhynchus micranthus", "Strosia irrorata", "Mediorhynchus mirabilis", "Calvitimela aglaea", "Calvitimela armeniaca", "Mediorhynchus muritensis", "Calvitimela melaleuca", "Calvitimela perlata", "Calvitimela talayana", "Calvitimela testaceoatra", "Poliosia umbra", "Mediorhynchus najasthanensis", "Mediorhynchus numidae", "Mediorhynchus orientalis", "Graphiosa approximans", "Graphiosa bilineata", "Graphiosa ochracea", "Graphiosa pachygramma", "Graphiosa phaeocraspis", "Mediorhynchus oswaldocruzi", "Graphiosa polylophota", "Lambula aroa", "Lambula bilineata", "Lambula bivittata", "Lambula castanea", "Lambula flavogrisea", "Lambula flavobrunnea", "Lambula hypopolius", "Lambula laniafera", "Lambula minuta", "Lambula plicata", "Lambula punctifer", "Lambula umbrina", "Lambulodes brunneomarginata", "Lambulodes sericea", "Scoliosia brunnescens", "Mediorhynchus otidis", "Hyposhada pellopis", "Teratopora agramma", "Teratopora haplodes", "Aplastodiscus albofrenatus", "Aplastodiscus albosignatus", "Aplastodiscus arildae", "Aplastodiscus cavicola", "Aplastodiscus cochranae", "Aplastodiscus ehrhardti", "Aplastodiscus eugenioi", "Aplastodiscus flumineus", "Aplastodiscus ibirapitanga", "Aplastodiscus leucopygius", "Aplastodiscus musicus", "Aplastodiscus perviridis", "Aplastodiscus sibilatus", "Aplastodiscus weygoldti", "Mediorhynchus corcoracis", "Mediorhynchus edmondsi", "Creatonotos kishidai", "Creatonotos omanirana", "Mediorhynchus emberizae", "Diacrisia sannio", "Diacrisia sannio sannio", "Diacrisia sannio armeniaca", "Epicallia villica", "Epicallia villica villica", "Epicallia villica transuralica", "Mediorhynchus empodius", "Eucharia festiva", "Eucharia festiva festiva", "Mediorhynchus gallinarum", "Eucharia festiva karabagha", "Mediorhynchus giganteus", "Mediorhynchus grandis", "Holoarctia puengeleri", "Holoarctia puengeleri puengeleri", "Holoarctia puengeleri iremelica", "Holoarctia puengeleri sibirica", "Lemyra murzinorum", "Melese farri", "Platyptilia aarviki", "Buckleria vanderwolfi", "Hellinsia emmelinoida", "Ochyrotica bjoernstadti", "Banta banta", "Banta linnei", "Gnathophausia zoea", "Mimene toxopei", "Sabera metallica", "Apororhynchus amphistomi", "Apororhynchus bivolucrus", "Apororhynchus chauhani", "Apororhynchus hemignathi", "Apororhynchus paulonucleatus", "Apororhynchus silesiacus", "Gigantorhynchus echinodiscus", "Gigantorhynchus lopezneyrai", "Nyctemera dauila", "Nyctemera giloloensis", "Nyctemera oninica", "Spilarctia lutea", "Spilarctia lutea adzharica", "Spilarctia lutea lutea", "Mediorhynchus indicus", "Mediorhynchus kuntzi", "Mediorhynchus lagodekhiensis", "Mediorhynchus leptis", "Mediorhynchus lophurae", "Monosyntaxis bipunctata", "Monosyntaxis metallescens", "Monosyntaxis persimilis", "Chrysoscota albomaculata", "Chrysoscota conjuncta", "Chrysoscota flavostrigata", "Eurema blanda", "Eurema blanda arsakia", "Eurema hecabe", "Eurema laeta", "Eurema laeta betheseba", "Podomachla antinorii", "Podomachla apicalis", "Heliozona lianga", "Podomachla acraeina", "Podomachla arieticornis", "Podomachla chromis", "Podomachla usambarae", "Podomachla virgo", "Chiromachla restricta", "Chiromachla leuconoe", "Chiromachla transitella", "Chiromachla seychellensis", "Chiromachla pallescens", "Chiromachla chalcosidia", "Chiromachla gracilis", "Chiromachla perspicua", "Chiromachla torbeni", "Xylecata hemixantha", "Xylecata druna", "Xylecata biformis", "Brunia dorsalis", "Brunia ekeikei", "Cyana aroa", "Cyana basialba", "Cyana bicolor", "Cyana brunnea", "Cyana charybdis", "Cyana croceizona", "Cyana fumea", "Cyana inusitata", "Cyana melanoplagia", "Cyana metamelas", "Cyana mira", "Cyana nigroplagata", "Cyana punctistrigosa", "Cyana tegyra", "Cyana tegyra postdivisa", "Cyana tegyra tegyra", "Cyana thoracica", "Cyana transfasciata", "Cyana tricolora", "Cyana trigona", "Acco albipuncta", "Acco fasciata", "Acco postmetallica", "Trischalis purpurastriata", "Trischalis splendens", "Trischalis zahrae", "Notata zumkehri", "Thumatha lunaris", "Spilaethalida turbida", "Spilaethalida erythrastis", "Andropogon ischaemum", "Mediorhynchus passeris", "Mediorhynchus pauciuncinatus", "Mediorhynchus petrochenkoi", "Mediorhynchus pintoi", "Mediorhynchus rajasthanensis", "Mediorhynchus robustus", "Mediorhynchus rodensis", "Mediorhynchus sharmai", "Mediorhynchus sipocotensis", "Mediorhynchus taeniatus", "Orthetrum albistylum", "Orthetrum albistylum speciosum", "Orthetrum pruinosum", "Orthetrum pruinosum neglectum", "Orthetrum sabina sabina", "Mediorhynchus tanagrae", "Boana crepitans", "Mediorhynchus vancleavei", "Boana cymbalum", "Boana dentei", "Boana ericae", "Boana exastis", "Boana faber", "Boana fasciata", "Boana freicanecae", "Boana geographica", "Boana goiana", "Boana guentheri", "Boana heilprini", "Boana hobbsi", "Boana hutchinsi", "Boana jimenezi", "Boana joaquini", "Boana lanciformis", "Hypsiboas latistriatus", "Boana lemai", "Boana leptolineata", "Mediorhynchus wardi", "Mediorhynchus zosteropsis", "Spilarctia siberuta", "Spilarctia irinia", "Spilarctia flavorubida", "Teratopora plicata", "Mediorhynchus papillosus", "Blaviodes ochracea", "Bokermannohyla ahenea", "Bokermannohyla alvarengai", "Bokermannohyla astartea", "Bokermannohyla caramaschii", "Bokermannohyla carvalhoi", "Bokermannohyla circumdata", "Boana claresignata", "Boana clepsydra", "Bokermannohyla diamantina", "Bokermannohyla gouveai", "Bokermannohyla hylax", "Bokermannohyla ibitiguara", "Bokermannohyla itapoty", "Bokermannohyla izecksohni", "Bokermannohyla langei", "Bokermannohyla lucianae", "Bokermannohyla luctuosa", "Bokermannohyla martinsi", "Bokermannohyla nanuzae", "Bokermannohyla oxente", "Bokermannohyla pseudopseudis", "Bokermannohyla ravida", "Bokermannohyla saxicola", "Bokermannohyla sazimai", "Bokermannohyla vulcaniae", "Colias erate", "Bokermannohyla ibitipoca", "Colias erate poliographus", "Hyloscirtus albopunctulatus", "Hyloscirtus alytolylax", "Hyloscirtus armatus", "Hyloscirtus bogotensis", "Scoliacma albicostata", "Scoliacma albogrisea", "Scoliacma aroa", "Scoliacma brunnea", "Scoliacma fuscofascia", "Scoliacma liniata", "Scoliacma ligneofusca", "Nishada impervia", "Nishada niveola", "Tigrioides chionostola", "Tigrioides euschia", "Tigrioides grisescens", "Tylanthes ptochias", "Teulisna bipunctata", "Eilema aurora", "Eilema plana", "Gigantorhynchus lutzi", "Gigantorhynchus oritzi", "Gigantorhynchus pasteri", "Gigantorhynchus ungriai", "Calicium abietinum", "Calicium adaequatum", "Mediorhynchus alecturae", "Calicium adspersum", "Calicium chlorosporum", "Mediorhynchus cambellensis", "Calicium diploellum", "Mediorhynchus centurorum", "Kerteszmyia ecuadora", "Calicium glaucellum", "Mediorhynchus conirostris", "Calicium hyperelloides", "Calicium lenticulare", "Calicium leucochlorum", "Calicium montanum", "Spinagonalia rubrovittata", "Calicium parvum", "Calicium pinastri", "Calicium quercinum", "Calicium salicinum", "Calicium viride", "Eteobalea sumptuosella", "Hodgesiella quagella", "Lianus flavus", "Lianus brasiliensis", "Gisilia meyi", "Gisilia alfieriella", "Gisilia evitans", "Gisilia stereodoxa", "Gisilia subcrocea", "Gisilia stagnans", "Gisilia lerautella", "Gisilia conformata", "Antiochtha achnastis", "Mediorhynchus tenuis", "Rajendra biguttata", "Rajendra biguttata biguttata", "Rajendra biguttata irregularis", "Mediorhynchus textori", "Hyloscirtus callipeza", "Hyloscirtus caucanus", "Hyloscirtus charazani", "Hyloscirtus chlorosteus", "Hyloscirtus colymba", "Hyloscirtus denticulentus", "Hyloscirtus estevesi", "Hyloscirtus jahni", "Hyloscirtus larinopygion", "Hyloscirtus lascinius", "Hyloscirtus lindae", "Hyloscirtus lynchi", "Hyloscirtus pacha", "Mediorhynchus turnixena", "Hyloscirtus palmeri", "Hyloscirtus pantostictus", "Hyloscirtus phyllognathus", "Hyloscirtus piceigularis", "Hyloscirtus platydactylus", "Rajendra perrottetii", "Hyloscirtus psarolaimus", "Hyloscirtus ptychodactylus", "Hyloscirtus sarampiona", "Hyloscirtus simmonsi", "Hyloscirtus staufferorum", "Hyloscirtus tapichalaca", "Hyloscirtus torrenticola", "Boana albomarginata", "Hypsiboas alboniger", "Boana albopunctata", "Boana alemani", "Mediorhynchus vaginatus", "Boana atlantica", "Boana balzani", "Hypsiboas beckeri", "Boana benitezi", "Boana bischoffi", "Boana boans", "Boana buriti", "Boana caingua", "Boana calcarata", "Boana callipleura", "Boana cinerascens", "Rajendra cingulata", "Boana cipoensis", "Boana cordobae", "Afrospilarctia dissimilis", "Afrospilarctia lucida", "Afrowatsonius burgeoni", "Afrowatsonius marginalis", "Afrowatsonius sudanicus", "Rorippa indica", "Logunovium scortillum", "Rorippa islandica", "Epilacydes pseudoscita", "Papaver dubium", "Afraloa bifurca", "Detoulgoetia virginalis comorensis", "Detoulgoetia virginalis pseudosparsata", "Madagascarctia cellularis", "Madagascarctia femina", "Madagascarctia madagascariensis", "Radiarctia jacksoni", "Radiarctia lutescens", "Radiarctia melanochoria", "Radiarctia rhodesiana", "Pericaliella melanodisca", "Afrojavanica kostlani", "Afrojavanica melaena", "Afrojavanica melaenoides", "Gynacantha pallampurica", "Brumptomyia angelae", "Brocchinia reducta", "Apotomis frigidana", "Apotomis funerea", "Apotomis fuscomaculata", "Apotomis geminata", "Apotomis generosa", "Apotomis infida", "Apotomis inundana", "Apotomis jucundana", "Apotomis kazarmana", "Apotomis kusunokii", "Libellula lydia", "Apotomis lacteifascies", "Apotomis lemniscatana", "Apotomis lineana", "Basiaeschna janata", "Apotomis lutosana", "Apotomis moestana", "Apotomis monotona", "Apotomis paludicolana", "Apotomis platycremna", "Apotomis removana", "Micrathyria hagenii", "Apotomis sauciana sauciana", "Neurothemis tullia", "Xylecata crassiantennata", "Xylecata ugandicola", "Xylecata uniformis", "Xylecata xanthura", "Petascelis affinis", "Petascelis foliaceipes", "Petascelis inconditus", "Petascelis laminipes", "Petascelis remipes", "Boana leucocheila", "Myersiohyla liliae", "Boana lundii", "Boana marginata", "Boana marianitae", "Boana melanopleura", "Boana microderma", "Boana multifasciata", "Boana nympha", "Boana ornatissima", "Boana palaestes", "Boana pardalis", "Boana pellucens", "Hypsiboas phaeopleura", "Boana picturata", "Boana polytaenia", "Boana pombali", "Boana prasina", "Boana pugnax", "Boana pulchella", "Boana punctata", "Boana raniceps", "Boana rhythmica", "Boana riojana", "Boana roraima", "Boana rosenbergi", "Boana rubracyla", "Boana rufitela", "Boana secedens", "Boana semiguttata", "Boana semilineata", "Boana sibleszi", "Boana stenocephala", "Boana wavrini", "Myersiohyla aromatica", "Myersiohyla inparquesi", "Nesorohyla kanaima", "Myersiohyla loveridgei", "Afroploce eleana", "Afroploce karsholti", "Afroploce turiana", "Afrothreutes madoffei", "Kricogonia lyside", "Ahmosia aspasiana", "Ahmosia galbinea", "Antaeola antaea", "Antirrhopa glyceranthes", "Antirrhopa grammateus", "Antirrhopa orthopa", "Apeleptera semnodryas", "Apolobesia sitophaga", "Haematoloecha nigrorufa", "Apotomis afficticia", "Apotomis albeolana", "Apotomis algidana", "Apotomis apateticana", "Apotomis basipunctana", "Apotomis betuletana", "Placomaronea candelarioides", "Apotomis biemina", "Placomaronea lambii", "Apotomis bifida", "Apotomis brevicornutana", "Placomaronea mendozae", "Apotomis capreana", "Apotomis coloradensis", "Apotomis cuphostra", "Apotomis davisi", "Apotomis deceptana", "Placomaronea candelarioides var. candelarioides", "Placomaronea candelarioides var. lacinulata", "Apotomis demissana", "Apotomis flavifasciana", "Apotomis formalis", "Apotomis fraterculana", "Opeltiella fibrosoides", "Scythris sachkovi", "Darantoides rubroflava", "Scythris bajanlegi", "Scythris kaszabi", "Scythris mongholica", "Scythris talyniella", "Scythris gobiensis", "Scythris pallidella", "Scythris ammobia", "Scythris cassiterella", "Scythris cirra", "Scythris hamatella", "Scythris cervella", "Scythris spinella", "Scythris tumidella", "Scythris mikkolai", "Scythris obliqua", "Scythris orientella", "Scythris physalis", "Scythris erinacella", "Scythris gorbunovi", "Scythris hamardabanica", "Scythris malozemovi", "Scythris ninae", "Scythris potatorella", "Scythris sinevi", "Scythris ustjuzhanini", "Candelina africana", "Candelina mexicana", "Candelina submexicana", "Acantheucosma trachyptila", "Actinocentra aliena", "Afrocostosa flaviapicella", "Candelariella aggregata", "Candelariella antennaria", "Candelariella athallina", "Candelariella biatorina", "Candelariella borealis", "Candelariella californica", "Opeltiella canadensis", "Candelariella citrina", "Candelariella complanata", "Candelariella coralliza", "Candelariella corallizoides", "Candelinella deppeanae", "Candelariella dispersa", "Candelariella efflorescens", "Candelariella immarginata", "Candelariella kansuensis", "Candelariella kuusamo\u00ebnsis", "Candelariella lichenicola", "Candelariella lutella", "Candelariella medians", "Candelariella placodizans", "Apotomis sauciana", "Candelariella plumbea", "Candelariella reflexa", "Candelariella rosulans", "Archilobesia drymoptila", "Apotomis sauciana kalaivamara", "Apotomis semifasciana", "Hemicordulia tau", "Apotomis sororculana", "Apotomis spinulana", "Apotomis spiraeana", "Apotomis spurinfida", "Apotomis stagnana", "Apotomis tertiana", "Apotomis trifida", "Apotomis trigonias", "Apotomis turbidana", "Apotomis vaccinii", "Apotomis vigens", "Apsidophora purpurorbis", "Arcesis anax", "Arcesis tetracona", "Arcesis threnodes", "Valerianella locusta", "Scythris acipenserella", "Scythris aegrella", "Scythris albisaxella", "Scythris arkaimensis", "Scythris brunneofasciella", "Scythris cretacella", "Scythris elenae", "Scythris eversmanni", "Scythris karinupponeni", "Scythris luxatiella", "Scythris olschwangi", "Scythris perlucidella", "Scythris remexella", "Scythris sublaminella", "Amorbia santamaria", "Amorbia chiapas", "Amorbia potosiana", "Amorbia cacao", "Amorbia cocori", "Amorbia knudsoni", "Amorbia cordobana", "Amorbia monteverde", "Amorbia rhombobasis", "Amorbia productana", "Amorbia revolutana", "Amorbia cuneana", "Amorbia humerosana", "Amorbia colubrana", "Amorbia exustana", "Amorbia laterculana", "Amorbia nuptana", "Amorbia osmotris", "Amorbia exsectana", "Amorbia concavana", "Amorbia emigratella", "Amorbia rectangularis", "Amorbia chlorolyca", "Amorbia decerptana", "Amorbia eccopta", "Anacrusis napoensis", "Bidorpitia ferruginata", "Cuproxena aequitana", "Cuproxena amplana", "Cuproxena auriculana", "Cuproxena nudana", "Cuproxena paramplana", "Ptyongnathosia pectinata", "Rubroxena rubra", "Caraccochylis framea", "Cochylis serrana", "Palaeoloxodon antiquus", "Palaeoloxodon cypriotes", "Palaeoloxodon namadicus", "Daceton boltoni", "Daceton armigerum", "Chromagallia carvalhoi", "Chromagallia lamasi", "Chromagallia lanceolata", "Chromagallia paraguayensis", "Chromagallia zanolae", "Dorylus kohli", "Dendropsophus oliveirai", "Dendropsophus padreluna", "Dendropsophus parviceps", "Dendropsophus pauiniensis", "Dendropsophus pelidna", "Dendropsophus phlebodes", "Dendropsophus praestans", "Dendropsophus pseudomeridianus", "Dendropsophus rhea", "Dendropsophus rhodopeplus", "Dendropsophus riveroi", "Dendropsophus robertmertensi", "Dendropsophus rossalleni", "Dendropsophus rubicundulus", "Dendropsophus ruschii", "Dendropsophus sanborni", "Dendropsophus sarayacuensis", "Dendropsophus sartori", "Dendropsophus schubarti", "Dendropsophus seniculus", "Dendropsophus soaresi", "Dendropsophus stingi", "Dendropsophus studerae", "Dendropsophus subocularis", "Dendropsophus timbeba", "Dendropsophus tintinnabulum", "Dendropsophus triangulum", "Dendropsophus tritaeniatus", "Dendropsophus virolinensis", "Dendropsophus walfordi", "Dendropsophus werneri", "Dendropsophus xapuriensis", "Dendropsophus yaracuyanus", "Anax parthenope julius", "Dyscia malatyana clara", "Parnassius phoebus bajangolus", "Pieris euorientis mihon", "Colias thisoa", "Colias thisoa cryptochrysa", "Erebia jeniseiensis", "Erebia jeniseiensis ryzhkovi", "Erebia theano", "Erebia theano dyachenkoi", "Oeneis magna", "Oeneis magna eltgoli", "Scythris adustella", "Scythris aenea", "Scythris aerariella", "Scythris albidella", "Archilobesia chresta", "Archilobesia formosana", "Argyroploce aquilonana", "Argyroploce arbutella", "Argyroploce dalecarliana", "Argyroploce lediana", "Argyroploce noricana", "Argyroploce roseomaculana", "Argyroploce unedana", "Palaeoloxodon falconeri", "Asaphistis asema", "Asaphistis catarrhactopa", "Asaphistis cretata", "Asaphistis gypsopa", "Asaphistis haematina", "Asaphistis hemicapnodes", "Asaphistis hemicyclica", "Asaphistis lucifera", "Asaphistis maturicolor", "Asaphistis nobilis", "Asaphistis phanerops", "Asaphistis praeceps", "Asaphistis protosema", "Asaphistis purpurascens", "Asaphistis sappiroflua", "Astronauta stellans", "Aterpia andereggana", "Aterpia approximana", "Aterpia bicolor", "Aterpia chalybeia", "Aterpia corticana", "Aterpia flavens", "Aterpia flavipunctana", "Aterpia issikii", "Dendropsophus acreanus", "Dendropsophus allenorum", "Dendropsophus amicorum", "Dendropsophus anataliasiasi", "Dendropsophus anceps", "Dendropsophus aperomeus", "Dendropsophus araguaya", "Dendropsophus battersbyi", "Dendropsophus berthalutzae", "Dendropsophus bifurcus", "Dendropsophus bipunctatus", "Amastus popayanensis", "Oryzias latipes", "Aethes pinara", "Amorbia curitiba", "Amorbia stenovalvae", "Amorbia catarina", "Amorbia dominicana", "Lepidium virginicum", "Eppihus hippeus", "Eudemis brevisetosa", "Hedya simulans", "Pelatea klugiana", "Pelatea klugiana verucha", "Rhopaltriplasia rotundipetalina", "Rhopaltriplasia spinalis", "Statherotmantis expansa", "Statherotmantis maoerica", "Statherotmantis spinulifera", "Statherotmantis triangularis", "Cryptophlebia colasi", "Cryptophlebia destrumeli", "Cryptophlebia gaetani", "Scinax pedromedinae", "Scinax peixotoi", "Scinax perereca", "Scinax perpusillus", "Scinax pinima", "Scinax proboscideus", "Scinax quinquefasciatus", "Scinax ranki", "Scinax rizibilis", "Scinax rostratus", "Scinax ruber", "Scinax similis", "Scinax squalirostris", "Scinax staufferi", "Scinax strigilatus", "Scinax sugillatus", "Scinax trapicheiroi", "Scinax trilineatus", "Scinax uruguayus", "Scinax v-signatus", "Scinax wandae", "Scinax x-signatus", "Geranium carolinianum", "Oxalis corniculata", "Phragmataecia gurkoi", "Vartiania sapho", "Semagystia alaica", "Semagystia dubatolovi", "Semagystia enigma", "Semagystia lukhtanovi", "Semagystia pljustchi", "Semagystia pushtunica", "Semagystia stchetkini", "Semagystia wernerithomasi", "Semagystia witti", "Dyspessa manas", "Dyspessa karatavica", "Dyspessa marikowskyi", "Dyspessa mogola", "Dyspessa ruekbeili", "Zaranga tukuringra", "Wiltshirocossus aries", "Semitocossus johannes", "Leptidea reali reali", "Leptidea reali mazeli", "Dyscia malatyana", "Zamioculcas zamiifolia", "Falkovitshella ammobia", "Falkovitshella asema", "Falkovitshella asthena", "Falkovitshella hypolepta", "Falkovitshella mongholica", "Falkovitshella pediculella", "Falkovitshella physalis", "Scythris albosuffusella", "Scythris apotomella", "Scythris buraetica", "Scythris eevae", "Scythris heikkii", "Scythris nigridorsella", "Scythris barguzinensis", "Catopta albonubila", "Catopta albonubila argunica", "Catopta perunovi", "Catopta saldaitisi", "Cossus cossus", "Cossus cossus dauricus", "Pseudis bolbodactyla", "Lysapsus bolivianus", "Lysapsus caraya", "Pseudis cardosoi", "Pseudis fusca", "Lysapsus laevis", "Lysapsus limellum", "Pseudis minuta", "Pseudis paradoxa", "Pseudis platensis", "Pseudis tocantins", "Scarthyla goinorum", "Phragmataecia pacifica", "Scarthyla vigilans", "Scinax acuminatus", "Scinax agilis", "Scinax albicans", "Scinax alcatraz", "Scinax altae", "Scinax alter", "Scinax angrensis", "Scinax arduous", "Scinax argyreornatus", "Scinax ariadne", "Scinax aromothyella", "Candelariella spraguei", "Candelariella stenospora", "Protocandelariella subdeflexa", "Candelariella viae-lacteae", "Aterpia sieversiana", "Baburia abdita", "Dendropsophus bogerti", "Dendropsophus bokermanni", "Dendropsophus branneri", "Dendropsophus brevifrons", "Dendropsophus cachimbo", "Dendropsophus carnifex", "Dendropsophus cerradensis", "Dendropsophus coffea", "Dendropsophus columbianus", "Dendropsophus cruzi", "Dendropsophus decipiens", "Dendropsophus delarivai", "Dendropsophus dutrai", "Dendropsophus ebraccatus", "Dendropsophus elegans", "Dendropsophus elianeae", "Dendropsophus garagoensis", "Dendropsophus gaucheri", "Dendropsophus giesleri", "Dendropsophus grandisonae", "Dendropsophus gryllatus", "Dendropsophus haddadi", "Dendropsophus haraldschultzi", "Dendropsophus jimi", "Dendropsophus joannae", "Dendropsophus juliani", "Dendropsophus koechlini", "Candelariella kuusamo\u00ebnsis var. kuusamo\u00ebnsis", "Dendropsophus labialis", "Dendropsophus leali", "Dendropsophus leucophyllatus", "Dendropsophus limai", "Dendropsophus luteoocellatus", "Candelariella kuusamo\u00ebnsis var. areolata", "Dendropsophus marmoratus", "Dendropsophus mathiassoni", "Dendropsophus melanargyreus", "Dendropsophus meridensis", "Dendropsophus meridianus", "Dendropsophus microcephalus", "Dendropsophus microps", "Dendropsophus minimus", "Dendropsophus minusculus", "Dendropsophus minutus", "Dendropsophus miyatai", "Dendropsophus nahdereri", "Dendropsophus nanus", "Dendropsophus novaisi", "Scinax atratus", "Scinax auratus", "Scinax baumgardneri", "Scinax berthae", "Scinax blairi", "Scinax boesemani", "Scinax boulengeri", "Scinax brieni", "Scinax caldarum", "Scinax camposseabrai", "Scinax canastrensis", "Scinax cardosoi", "Scinax carnevallii", "Scinax castroviejoi", "Scinax catharinae", "Scinax centralis", "Scinax chiquitanus", "Scinax constrictus", "Scinax crospedospilus", "Scinax cruentommus", "Scinax curicica", "Scinax cuspidatus", "Scinax danae", "Scinax dolloi", "Scinax duartei", "Scinax elaeochrous", "Scinax eurydice", "Scinax exiguus", "Scinax faivovichi", "Scinax flavidus", "Scinax flavoguttatus", "Scinax funereus", "Scinax fuscomarginatus", "Scinax fuscovarius", "Scinax garbei", "Scinax granulatus", "Scinax hayii", "Scinax heyeri", "Scinax hiemalis", "Scinax humilis", "Scinax ictericus", "Scinax jolyi", "Scinax jureia", "Scinax karenanneae", "Scinax kautskyi", "Scinax kennedyi", "Scinax lindsayi", "Scinax littoralis", "Scinax littoreus", "Scinax longilineus", "Scinax luizotavioi", "Scinax machadoi", "Scinax manriquei", "Scinax maracaya", "Scinax melloi", "Scinax nasicus", "Scinax nebulosus", "Scinax obtriangulatus", "Scinax oreites", "Scinax pachycrus", "Scinax parkeri", "Peltigera retifoveata", "Peltigera rufescens", "Peltigera scabrosa", "Peltigera scabrosella", "Peltigera tartarea", "Stenus erlangshanus", "Stenus pectorifossatus", "Stenus zhuxiaoyui", "Palpada prietorum", "Mimesa infossa", "Mimesa rhyssocephalica", "Meles iberica", "Anillinus cherokee", "Matricaria chamomilla", "Pomacea canaliculata", "Tachyglossus aculeatus aculeatus", "Armadillidium vulgare", "Peltigera aphthosa", "Asphondylia gochnatiae", "Peltigera austroamericana", "Peltigera canina", "Peltigera castanea", "Peltigera chionophila", "Tapinotaspoides flavifrons", "Tapinotaspoides septentrionalis", "Tapinotaspoides nigerrima", "Tapinotaspoides rufescens", "Tapinotaspoides serraticornis", "Tapinotaspoides tucumana", "Desertathrips chuquiraga", "Commelina communis", "Julodimorpha saundersii", "Bubastoides kadleci", "Sicyos edulis", "Wagnerinus frugivorus", "Dioscorea communis", "Eurydema rugosa", "Matthiola incana", "Serranillus septentrionis", "Paracercion hieroglyphicum", "Aphrissa statira", "Aterpia mensifera", "Aterpia microchlamys", "Aterpia palliata", "Aterpia sieversiana quadrimaculana", "Aterpia sieversiana sieversiana", "Atriscripta arthimetica", "Atrypsiastis salva", "Baburia astuta", "Baburia trachymelas", "Basigonia anisoscia", "Lollipocladia tiburoni", "Sphaenorhynchus bromelicola", "Sphaenorhynchus carneus", "Sphaenorhynchus dorisae", "Sphaenorhynchus lacteus", "Sphaenorhynchus orophilus", "Sphaenorhynchus palustris", "Sphaenorhynchus pauloalvini", "Sphaenorhynchus planicola", "Sphaenorhynchus platycephalus", "Sphaenorhynchus prasinus", "Sphaenorhynchus surdus", "Xenohyla eugenioi", "Xenohyla truncata", "Acris crepitans", "Acris gryllus", "Anotheca spinosa", "Bromeliohyla bromeliacia", "Bromeliohyla dendroscarta", "Charadrahyla altipotens", "Charadrahyla chaneque", "Charadrahyla nephila", "Charadrahyla taeniopus", "Charadrahyla trux", "Duellmanohyla chamulae", "Duellmanohyla ignicolor", "Duellmanohyla lythrodes", "Duellmanohyla rufioculis", "Duellmanohyla salvavida", "Duellmanohyla schmidtorum", "Duellmanohyla soralia", "Duellmanohyla uranochroa", "Taraxacum albidum", "Bucephalacra duplex", "Bucephalacra scoliosema", "Cephalophyes porphyrea", "Isthmohyla angustilineata", "Isthmohyla calypsa", "Isthmohyla debilis", "Isthmohyla graceae", "Isthmohyla infucata", "Isthmohyla insolita", "Isthmohyla lancasteri", "Isthmohyla melacaena", "Isthmohyla picadoi", "Isthmohyla pictipes", "Isthmohyla pseudopuma", "Isthmohyla rivularis", "Isthmohyla tica", "Isthmohyla xanthosticta", "Isthmohyla zeteki", "Megastomatohyla mixe", "Megastomatohyla mixomaculata", "Megastomatohyla nubicola", "Megastomatohyla pellita", "Plectrohyla acanthodes", "Plectrohyla ameibothalame", "Plectrohyla arborescandens", "Plectrohyla avia", "Plectrohyla bistincta", "Plectrohyla calthula", "Plectrohyla calvicollina", "Plectrohyla celata", "Ataenius robustus", "Ataenius brevicollis", "Ataenius ovatulus", "Ataenius oklahomensis", "Ataenius cylindrus", "Ataenius pereirai", "Ataenius tarumensis", "Ataenius chinacotae", "Ataenius napoensis", "Ataenius huanus", "Ataenius lamarensis", "Ataenius saltae", "Ataenius palmaritoensis", "Ataenius bolivarensis", "Ataenius londrinae", "Ataenius cucutae", "Ataenius catarinaensis", "Ataenius canoasus", "Ataenius noques", "Ataenius santarosae", "Saprolochus bolivarensis", "Saprolochus tambopatae", "Lomanoxoides setosus", "Euparia mirabilis", "Odontolytes landai", "Pseudogonaphodiellus zdzislawae", "Lepteucosma alferdi", "Lepteucosma blanda", "Lepteucosma byuni", "Lepteucosma ceriodes", "Lepteucosma ferruginoptera", "Lepteucosma fuscicaput", "Agapa chloropyga", "Asota australis", "Asota australis australis", "Asota australis sinuosa", "Tylostega lata", "Tylostega luniformis", "Tylostega pectinata", "Tylostega serrata", "Paracymoriza albimaculata", "Lepteucosma huebneriana", "Lepteucosma lutescens", "Lepteucosma oxychrysa", "Lepteucosma oxychrysoides", "Lepteucosma punjabica", "Lepteucosma siamensis", "Lepteucosma shikokuensis", "Macraesthetica rubiginis", "Makivora hagiyai", "Collogenes loricata", "Collogenes loricta", "Oxysemaphora chionolitha", "Oxysemaphora notialis", "Oxysemaphora hacobiani", "Cnecidophora ochroptila", "Sorolopha archimedias", "Sorolopha cyclotoma", "Sorolopha delochlora", "Sorolopha elaeodes", "Sorolopha johngreeni", "Sorolopha leptochlora", "Sycacantha atactodes", "Sycacantha castanicolor", "Sycacantha exedra", "Sycacantha niphostetha", "Sycacantha placida", "Sycacantha sphaerocosmana", "Sycacantha symplecta", "Metanomeuta spinisparsula", "Metanomeuta yuexiensis", "Crypsithyris serrata", "Sphecioses acignathus", "Tineovertex gladiata", "Paracymoriza concava", "Paracymoriza pseudovagalis", "Paracymoriza truncata", "Protonemura bidigitata", "Protonemura macrodactyla", "Serranus cabrilla", "Peltigera cinnamomea", "Peltigera degenii", "Peltigera didactyla", "Peltigera elisabethae", "Peltigera evansiana", "Peltigera extenuata", "Myrsidea bessae", "Myrsidea vincesmithi", "Myrsidea whitemani", "Peltigera fibrilloides", "Myrsidea troglodyti", "Myrsidea victrix", "Peltigera frippii", "Peltigera hydrothyria", "Manota clinochaeta", "Manota cultrigera", "Manota edentula", "Manota ephippiata", "Peltigera kristinssonii", "Manota macrodon", "Peltigera latiloba", "Manota phyllochaeta", "Manota uncinata", "Peltigera lepidophora", "Peltigera leucophlebia", "Saigusaia aberrans", "Peltigera monticola", "Peltigera neckeri", "Peltigera pacifica", "Peltigera phyllidiosa", "Saigusaia monacanthus", "Saigusaia praegnans", "Saigusaia spinibarbis", "Peltigera polydactylon", "Peltigera ponojensis", "Galomecalpa hydrochroa", "Galomecalpa secunda", "Argyrotaenia cacaoticaria", "Sisurcana pallidobrunnea", "Anacrusis erioheir", "Archipimima sinuocostana", "Sparganothina flava", "Paramorbia aureocastanea", "Auratonota chlamydophora", "Auratonota aurochra", "Namasia catoptrica", "Neaspasia loxochlamys", "Neobarbara olivacea", "Niphadostola asceta", "Niphadostola chionea", "Niphadostola crocosema", "Opitzia apicula", "Pericales albogilvus", "Pteroferus zolnerowichi", "Katamyurus albopaniculus", "Megatrachys bibara", "Megatrachys truncatia", "Hyla sanchiangensis", "Hyla sarda", "Hyla savignyi", "Hyla simplex", "Hyla squirella", "Hyla stepheni", "Hyla tsinlingensis", "Hyla versicolor", "Acarospora affinis", "Hyla walkeri", "Hyla wrightorum", "Hyla zhaopingensis", "Acarospora brattiae", "Acarospora calcarea", "Acarospora oreophila", "Acarospora robiniae", "Acarospora rouxii", "Acarospora tuckerae", "Acarospora wetmorei", "Lophophanes cristatus mitratus", "Noduliferola abstrusa", "Nesosphecodes anthracinus", "Nesosphecodes halictophagus", "Nesosphecodes cubicola", "Heterogomphus effeminatus", "Hypogastrura szeptyckii", "Tanyana guyanaensis", "Sittiparus varius", "Ataenius scutellaris", "Ataenius atramentarius", "Ataenius iquitosae", "Ataenius skelleyi", "Ataenius noronhai", "Ataenius cartago", "Ataenius latus", "Ataenius hygrophilus", "Vassacyon bowni", "Lepidocyrtoides oliveri", "Dichrorampha odorata", "Dracontogena bernardi", "Dracontogena hoppei", "Dracontogena lucki", "Dracontogena niphadonta", "Dracontogena schnirchi", "Lusterala phaseolana", "Macrocydia divergens", "Badiaria plagiostriata", "Bidorpitia ceramia", "Henricus cerussatus", "Dogolion textrix", "Netechma brunneochra", "Netechma chytrostium", "Netechma nigricunea", "Netechma paralojana", "Netechma triangulum", "Romanaria spasmaria", "Gorytvesica cerussolinea", "Gorytvesica chara", "Gorytvesica cidnozodion", "Inape cinnamobrunnea", "Ernocornutia gualaceoana", "Ernocornutia limona", "Moronanita moronana", "Bonagota moronaecola", "Ecnomiohyla echinata", "Ecnomiohyla fimbrimembra", "Ecnomiohyla miliaria", "Ecnomiohyla minera", "Ecnomiohyla miotympanum", "Ecnomiohyla phantasmagoria", "Ecnomiohyla salvaje", "Ecnomiohyla thysanota", "Tepuihyla tuberculosa", "Ecnomiohyla valancifer", "Exerodonta abdivita", "Exerodonta bivocata", "Exerodonta catracha", "Exerodonta chimalapa", "Exerodonta juanitae", "Exerodonta melanomma", "Exerodonta perkinsi", "Exerodonta pinorum", "Exerodonta smaragdina", "Exerodonta sumichrasti", "Exerodonta xera", "Hyla andersonii", "Hyla annectans", "Hyla arboricola", "Hyla arenicolor", "Hyla avivoca", "Hyla bocourti", "Hyla chinensis", "Hyla chrysoscelis", "Hyla euphorbiacea", "Hyla eximia", "Hyla femoralis", "Hyla gratiosa", "Hyla hallowellii", "Hyla heinzsteinitzi", "Hyla immaculata", "Hyla intermedia", "Hyla meridionalis", "Hyla plicata", "Eupithecia bestia", "Eupithecia dalhousiensis", "Eupithecia karli", "Eupithecia phaea", "Eupithecia thomasi", "Eupithecia vinibua", "Spiralisigna angusta", "Cleora nana", "Lobelia deckenii", "Lithophane boogeri", "Lithophane lanei", "Lithophane scottae", "Brachylomia cascadia", "Brachylomia obscurifascia", "Brachylomia pallida", "Brachylomia sierra", "Phycita arabica", "Polymona sulaki", "Meganola scripta", "Meganola scripta csoevarii", "Meganola implicata", "Dialithoptera margarita", "Rodneya laurae", "Meganola mediofusca", "Meganola simulata", "Meganola subnitida", "Plectrohyla cembra", "Plectrohyla charadricola", "Plectrohyla chryses", "Plectrohyla chrysopleura", "Plectrohyla crassa", "Plectrohyla cyanomma", "Plectrohyla cyclada", "Plectrohyla dasypus", "Plectrohyla ephemera", "Plectrohyla exquisita", "Plectrohyla glandulosa", "Plectrohyla guatemalensis", "Plectrohyla hartwegi", "Plectrohyla hazelae", "Plectrohyla ixil", "Plectrohyla labedactyla", "Plectrohyla lacertosa", "Plectrohyla matudai", "Plectrohyla miahuatlanensis", "Plectrohyla mykter", "Plectrohyla pachyderma", "Plectrohyla pentheter", "Plectrohyla pokomchi", "Plectrohyla psarosema", "Plectrohyla psiloderma", "Plectrohyla pycnochila", "Plectrohyla quecchi", "Plectrohyla robertsorum", "Plectrohyla sabrina", "Plectrohyla sagorum", "Plectrohyla siopela", "Plectrohyla tecunumani", "Plectrohyla teuchestes", "Plectrohyla thorectes", "Agonopterix acutivalvula", "Agonopterix dilatata", "Agonopterix orientalis", "Agonopterix tibetana", "Elachista veruta", "Lecithocera acuta", "Lecithocera xanthoantennalis", "Lecithocera xanthocostalis", "Thiotricha albicephalata", "Llythea menglaensis", "Serranus hepatus", "Epinephelus marginatus", "Alloecentrella cirratus", "Alloecentrella incisus", "Alloecentrella linearis", "Alloecentrella magnicornis", "Athripsodes caglari", "Athripsodes ozerenae", "Oxyethira kirikiriroa", "Aoteapsyche winterbourni", "Polypedilum parthenogeneticum", "Oxyethira paludicola", "Ecnomus selangor", "Pselnophorus brevispinus", "Avicularia alticeps", "Crypsithyris introflexa", "Crypsithyris obtusangula", "Crypsithyris hebeiensis", "Neoperla teresa", "Neoperla zonata", "Flavoperla dao", "Centaurea paniculata", "Flavoperla hmong", "Flavoperla pallida", "Alloperla severa", "Alloperla elevata", "Alloperla thalia", "Zelandobius crawfordi", "Zelandobius edwardsi", "Diamphipnoa colberti", "Amanahyphes saguassu", "Acrophylax sowai", "Cruciata laevipes", "Indonemoura trichotoma", "Indonemoura voluta", "Indonemoura fujianensis", "Indonemoura masuensis", "Indonemoura baishanzuensis", "Indonemoura guangdongensis", "Indonemoura yangi", "Indonemoura hubeiensis", "Indonemoura tibetensis", "Indonemoura nohirae", "Amphinemura longispina", "Andropogon africanus", "Ephemera mccaffertyi", "Turdus viscivorus viscivorus", "Tobochares sulcatus", "Canis lupus alces", "Canis lupus bernardi", "Canis lupus campestris", "Leuctra dylani", "Leuctra khroumiriensis", "Canis lupus irremotus", "Psychomyia dadayensis", "Psychomyia mengensis", "Canis lupus labradorius", "Canis lupus ligoni", "Canis lupus manningi", "Canis lupus mogollonensis", "Canis lupus monstrabilis", "Canis lupus orion", "Canis lupus pambasileus", "Canis lupus tundrarum", "Blepharicera acanthonota", "Canis lupus youngi", "Hydroporus kabakovi", "Hydroporus tatianae", "Canis anthus lupaster", "Acentrella barbarae", "Canis lupus fuscus", "Ilybiosoma yeti", "Canis anthus algirensis", "Canis anthus anthus", "Canis aureus aureus", "Canis anthus bea", "Canis aureus cruesemanni", "Canis aureus ecsedensis", "Canis aureus indicus", "Canis aureus moreotica", "Afrocercus guinensis", "Canis aureus naria", "Afrocercus inflatus", "Afrocercus sartorii", "Canis anthus riparius", "Leuctra medjerdensis", "Leuctra sartorii", "Canis lupus griseoalbus", "Canis lupus hudsonicus", "Neoperla peterzwicki", "Neoperla schlitz", "Agnetina zwicki", "Haploperla zwicki", "Isoperla peterzwicki", "Apogon imberbis", "Kamimuria zwicki", "Kamimuria lyubaretzi", "Neoperla clara", "Neoperla daklak", "Neoperla dao", "Neoperla erecta", "Neoperla hubleyi", "Neoperla idella", "Neoperla leptacantha", "Neoperla monacha", "Neoperla multispinosa", "Neoperla nebulosa", "Neoperla sinuata", "Neoperla spinaloba", "Neoperla song", "Argenteohyla siemersi", "Corythomantis greeningi", "Nyctimantis rugiceps", "Osteocephalus buckleyi", "Osteocephalus cabrerai", "Osteocephalus carri", "Osteocephalus deridens", "Osteocephalus mimeticus", "Tepuihyla exophthalma", "Osteocephalus fuscifacies", "Osteocephalus heyeri", "Osteocephalus leoniae", "Osteocephalus leprieurii", "Osteocephalus mutabor", "Osteocephalus oophagus", "Dryaderces pearsoni", "Osteocephalus planiceps", "Osteocephalus subtilis", "Osteocephalus taurinus", "Osteocephalus verruciger", "Osteocephalus yasuni", "Osteopilus crucialis", "Osteopilus dominicensis", "Osteopilus marianae", "Osteopilus pulchrilineatus", "Osteopilus vastus", "Osteopilus wilderi", "Lobesia arescophanes", "Lobesia extrusana", "Lobesia parvulana", "Lobesia peltophora", "Lobesia physophora", "Lobesia symploca", "Lobesia transtrifera", "Lobesia xylistis", "Gnathmocerodes alphestis", "Gnathmocerodes euplectra", "Gnathmocerodes ophiocosma", "Rhectogonia electrosema", "Didazoon haoae", "Acarospora brouardii", "Acarospora chrysops", "Acarospora contigua", "Acarospora epilutescens", "Acarospora erythrophora", "Acarospora hospitans", "Acarospora insolata", "Acarospora nitrophila", "Acarospora novomexicana", "Acarospora paupera", "Acarospora rhabarbarina", "Acarospora socialis", "Acarospora subrufula", "Acarospora umbilicata", "Cyperus papyrus", "Acarospora verruciformis", "Acarospora versicolor", "Acarospora xanthophana", "Acarospora smaragdula", "Acarospora smaragdula var. smaragdula", "Rangifer tarandus pearyi", "Acarospora smaragdula var. lesdainii", "Rafetus euphracticus", "Caulerpa lentillifera", "Parapoynx qujingalis", "Undulambia lindbladi", "Austrochlus brundini", "Anas gracilis", "Pseudacris brachyphona", "Pseudacris brimleyi", "Pseudacris cadaverina", "Pseudacris clarkii", "Pseudacris feriarum", "Pseudacris fouquettei", "Pseudacris hypochondriaca", "Pseudacris illinoensis", "Pseudacris maculata", "Pseudacris nigrita", "Pseudacris ocularis", "Pseudacris ornata", "Pseudacris regilla", "Pseudacris sierra", "Pseudacris streckeri", "Pseudacris triseriata", "Ptychohyla acrochorda", "Ptychohyla dendrophasma", "Ptychohyla erythromma", "Ptychohyla euthysanota", "Ptychohyla hypomykter", "Ptychohyla legleri", "Ptychohyla leonhardschultzei", "Ptychohyla macrotympanum", "Ptychohyla panchoi", "Ptychohyla salvadorensis", "Ptychohyla sanctaecrucis", "Ptychohyla spinipollex", "Ptychohyla zophodes", "Smilisca baudinii", "Smilisca cyanosticta", "Smilisca dentata", "Smilisca fodiens", "Smilisca phaeota", "Smilisca puma", "Smilisca sila", "Smilisca sordida", "Tlalocohyla godmani", "Tlalocohyla loquax", "Tlalocohyla picta", "Tlalocohyla smithii", "Triprion petasatus", "Triprion spatulatus", "Aparasphenodon bokermanni", "Aparasphenodon brunoi", "Aparasphenodon venezolanus", "Thyasira vulcolutre", "Eurytoma erythrinae", "Aximopsis acaciacola", "Aximopsis caryedocida", "Aximopsis lamtoensis", "Aximopsis mateui", "Litoria purpureolata", "Aximopsis mimosarum", "Litoria pygmaea", "Litoria quadrilineata", "Aximopsis obocki", "Litoria obtusirostris", "Litoria oenicolen", "Litoria oktediensis", "Litoria ollauro", "Litoria olongburensis", "Litoria pallida", "Litoria papua", "Litoria paraewingi", "Litoria pearsoniana", "Litoria perimetri", "Litoria peronii", "Litoria persimilis", "Litoria personata", "Litoria piperata", "Litoria platycephala", "Litoria pratti", "Litoria pronimia", "Litoria prora", "Litoria pulchra", "Canis anthus soudanicus", "Canis aureus syriacus", "Eristena brevisigna", "Eristena curvula", "Eristena longibursa", "Eristena tridentata", "Onychoprion fuscatus", "Onychoprion lunatus", "Phyllodytes acuminatus", "Phytotriades auratus", "Phyllodytes brevirostris", "Phyllodytes edelmoi", "Phyllodytes gyrinaethes", "Phyllodytes kautskyi", "Phyllodytes luteolus", "Phyllodytes maculosus", "Phyllodytes melanomystax", "Phyllodytes punctatus", "Phyllodytes tuberculosus", "Phyllodytes wuchereri", "Tepuihyla aecii", "Tepuihyla edelcae", "Tepuihyla galani", "Tepuihyla luteolabris", "Tepuihyla rimarum", "Tepuihyla rodriguezi", "Tepuihyla talbergae", "Trachycephalus atlas", "Trachycephalus coriaceus", "Trachycephalus hadroceps", "Trachycephalus imitatrix", "Trachycephalus jordani", "Trachycephalus lepidus", "Trachycephalus mesophaeus", "Trachycephalus nigromaculatus", "Trachycephalus resinifictrix", "Itapotihyla langsdorffii", "Hyla alboguttata", "Hyla helenae", "Hyla imitator", "Dryaderces inframaculata", "Hyla warreni", "Epicecidophyes meliosmanis", "Acaphyllisa adamantis", "Tegonotus platycaryanis", "Canis latrans mearnsi", "Calepitrimerus clematisis", "Calepitrimerus guanegounis", "Calepitrimerus linderanis", "Phyllocoptruta sorbarianis", "Phyllocoptruta spiraeanis", "Aculus mononis", "Tetra polygonumnis", "Diptilomiopus buxusis", "Areekulus rhododendronis", "Rhagosmittia maculiventris", "Trondia anderseni", "Ithytrichia ferni", "Paramacroxiphus aberrans", "Paramacroxiphus armatus", "Paramacroxiphus bifasciatus", "Paramacroxiphus brunneus", "Paramacroxiphus elongatus", "Paramacroxiphus irregularius", "Paramacroxiphus maculatus", "Paramacroxiphus rufus", "Paramacroxiphus securiformis", "Paramacroxiphus tessellatus", "Paramacroxiphus uniformis", "Pseudomacroxiphus szentia", "Pseudachorutes cheni", "Allocapnia tsalagi", "Turleania saliens", "Turleania tenebrosa", "Parophidion vassali", "Crystallogobius linearis", "Typhlogobius californiensis", "Eurytoma lepidopterae", "Eurytoma natalensis", "Halophila decipiens", "Halophila engelmannii", "Halophila hawaiiana", "Halophila minor", "Halophila ovalis", "Halophila ovata", "Eurytoma obesa", "Eurytoma oleae", "Eurytoma oliphantis", "Eurytoma orseoliphaga", "Eurytoma perineti", "Eurytoma piezotracheli", "Eurytoma pletiodropa", "Eurytoma poredipleta", "Eurytoma radicicola", "Eurytoma risbecomaphaga", "Eurytoma spermophaga", "Eurytoma toddaliae", "Eurytoma tolidepepra", "Eurytoma transvaalensis", "Eurytoma varicolor", "Eurytoma verbena", "Fronsoma ellenbergeri", "Gibsonoma amborasahae", "Gibsonoma aphloiae", "Gibsonoma bararakae", "Gibsonoma eugeniae", "Gibsonoma mandrakae", "Gibsonoma pauliani", "Gibsonoma plectroniae", "Gibsonoma tavolae", "Philolema arachnovora", "Bittacus bifurcatus", "Andropogon alopecurus", "Pseudosermyle chorreadero", "Pseudosermyle claviger", "Pseudosermyle procera", "Pseudosermyle inconguens", "Pseudosermyle phalangiphora", "Pseudosermyle tolteca", "Nomada abtana", "Coreodrassus forficalus", "Halophytophilus lopheliae", "Accalathura kensleyi", "Accalathura schotteae", "Accalathura schottae", "Philolema arnoldi", "Philolema bambeyi", "Philolema braconidis", "Philolema syleptae", "Phylloxeroxenus cressoni", "Sycophila plectroniae", "Panorpodes brachypodus", "Floscularia wallacei", "Pentatrocha gigantea", "Gekko nutaphandi", "Ophiorrhabda mormopa", "Ophiorrhabda mysterica", "Ophiorrhabda phaeosigma", "Ophiorrhabda scaristis", "Dudua aprobola", "Dudua iniqua", "Dudua phyllanthana", "Dudua siderea", "Trachyschistis hians", "Archilobesia drymoptila crossoleuca", "Archilobesia drymoptila drymoptila", "Odocoileus hemionus columbianus", "Canis latrans cagottis", "Canis latrans clepticus", "Canis latrans dickeyi", "Canis latrans frustror", "Canis latrans goldmani", "Ptyonoprogne rupestris", "Ptyonoprogne concolor", "Ptyonoprogne fuligula", "Ptyonoprogne obsoleta", "Litoria alboguttata", "Litoria andiirrmalin", "Litoria australis", "Litoria avocalis", "Litoria brevipes", "Litoria brongersmai", "Litoria bulmeri", "Litoria burrowsae", "Litoria capitula", "Litoria cavernicola", "Litoria cheesmanae", "Litoria chloris", "Litoria chloronota", "Litoria chrisdahli", "Litoria citropa", "Litoria congenita", "Litoria contrastens", "Litoria cooloolensis", "Litoria coplandi", "Litoria corbeni", "Litoria cryptotis", "Litoria cultripes", "Litoria cyclorhyncha", "Litoria dahlii", "Litoria darlingtoni", "Litoria daviesae", "Litoria dayi", "Litoria daymani", "Litoria dentata", "Litoria disrupta", "Litoria dorsalis", "Litoria dorsivena", "Litoria dux", "Litoria electrica", "Litoria elkeae", "Neoplecostomus selenae", "Neoplecostomus yapo", "Neoplecostomus paranensis", "Canis latrans hondurensis", "Canis latrans impavidus", "Canis latrans incolatus", "Brissalius vannoordenburgi", "Canis latrans jamesi", "Canis latrans latrans", "Canis latrans lestes", "Canis latrans microdon", "Canis latrans peninsulae", "Origanum heracleoticum", "Origanum sipyleum", "Canis latrans vigilis", "Canis latrans ochropus", "Canis latrans texensis", "Canis latrans thamnos", "Canis latrans umpquensis", "Labrus bergylta", "Leptathanas powelli", "Imperata cylindrica", "Heteroparasitus mariae", "Erythroxylum coca", "Scomber japonicus", "Lepidophyma cuicateca", "Litoria raniformis", "Litoria rara", "Aximopsis oryzivora", "Litoria revelata", "Litoria rheocola", "Litoria richardsi", "Litoria rivicola", "Aximopsis saharensis", "Litoria rothii", "Litoria rubella", "Aximopsis senegalensis", "Litoria rubrops", "Litoria rueppelli", "Litoria sanguinolenta", "Aximopsis tropicana", "Litoria sauroni", "Litoria scabra", "Litoria semipalmata", "Litoria singadanae", "Litoria spartacus", "Litoria spenceri", "Litoria spinifera", "Litoria splendida", "Litoria staccato", "Litoria subglandulosa", "Litoria thesaurensis", "Bruchophagus conapionis", "Litoria timida", "Litoria tornieri", "Litoria trachydermis", "Litoria tyleri", "Bruchophagus houardi", "Litoria umarensis", "Litoria umbonata", "Litoria vagabunda", "Litoria vagitus", "Litoria verae", "Litoria verreauxii", "Eurytoma acaciae", "Litoria verrucosa", "Litoria vocivincens", "Litoria wapogaensis", "Litoria watjulumensis", "Litoria wilcoxii", "Litoria wisselensis", "Litoria wollastoni", "Litoria xanthomera", "Litoria zweifeli", "Eurytoma acuminata", "Eurytoma aloinae", "Eurytoma altiventris", "Eurytoma attiva", "Eurytoma apantelesi", "Eurytoma apionidis", "Eurytoma basilewskyi", "Eurytoma biumbae", "Eurytoma crotalariae", "Eurytoma diopsisi", "Eurytoma dubia", "Eurytoma elongata", "Eurytoma enicospilusi", "Eurytoma ficusgallae", "Phrynomedusa vanzolinii", "Phyllomedusa atelopoides", "Pithecopus ayeaye", "Pithecopus azureus", "Phyllomedusa bahiana", "Phyllomedusa baltea", "Phyllomedusa bicolor", "Phyllomedusa boliviana", "Phyllomedusa burmeisteri", "Phyllomedusa camba", "Pithecopus centralis", "Phyllomedusa coelestis", "Phyllomedusa distincta", "Phyllomedusa duellmani", "Phyllomedusa ecuatoriana", "Pithecopus hypochondrialis", "Phyllomedusa iheringii", "Phyllomedusa itacolomi", "Pithecopus megacephalus", "Phyllomedusa neildi", "Pithecopus nordestinus", "Pithecopus oreades", "Pithecopus palliatus", "Phyllomedusa perinesos", "Pithecopus rohdei", "Phyllomedusa sauvagii", "Phyllomedusa tarsius", "Phyllomedusa tetraploidea", "Phyllomedusa tomopterna", "Phyllomedusa trinitatis", "Phyllomedusa vaillantii", "Phyllomedusa venusta", "Feltria balneatoris", "Feltria gereckei", "Feltria himachali", "Feltria indica", "Feltria kulluis", "Feltria sannae", "Feltria schwoerbeli", "Feltria tuzovskyi", "Philophylla millei", "Neoplecostomus espiritosantensis", "Neoplecostomus corumba", "Litoria eucnemis", "Litoria everetti", "Litoria ewingii", "Litoria exophthalmia", "Litoria flavescens", "Litoria fluviatilis", "Litoria foricula", "Litoria freycineti", "Litoria genimaculata", "Litoria gilleni", "Litoria gracilenta", "Litoria graminea", "Litoria granti", "Litoria gularis", "Litoria havina", "Litoria hilli", "Litoria humboldtorum", "Litoria humeralis", "Litoria hunti", "Litoria impura", "Litoria inermis", "Litoria infrafrenata", "Litoria iris", "Litoria jervisiensis", "Litoria jeudii", "Litoria jungguy", "Litoria kubori", "Litoria kumae", "Litoria latopalmata", "Litoria lesueurii", "Litoria leucova", "Litoria littlejohni", "Litoria longicrus", "Litoria longipes", "Litoria longirostris", "Litoria louisiadensis", "Litoria lutea", "Litoria macki", "Litoria maculosa", "Litoria maini", "Litoria majikthise", "Litoria manya", "Litoria megalops", "Litoria meiriana", "Litoria michaeltyleri", "Litoria microbelos", "Litoria micromembrana", "Litoria modica", "Litoria montana", "Litoria moorei", "Litoria mucro", "Litoria multicolor", "Litoria multiplica", "Litoria mystax", "Litoria nannotis", "Litoria napaea", "Litoria narinosa", "Litoria nasuta", "Litoria nigrofrenata", "Litoria nigropunctata", "Litoria novaehollandiae", "Litoria nudidigita", "Litoria obsoleta", "Leptolebias itanhaensis", "Notholebias cruzi", "Notholebias fractifasciatus", "Notholebias minimus", "Stockmyzon crassus", "Westphalomerope maryvonneae", "Stenus primivenatus", "Stenus yiae", "Stenus cicindeloides", "Stenus verticalis", "Incertae sedis", "Pachyodes jianfengensis", "Gbroidea dingaalana", "Pachyodes novata", "Crypticerya bursera", "Crypticerya colimensis", "Crypticerya littoralis", "Crypticerya mexicana", "Crypticerya palmeri", "Crypticerya morrilli", "Agalychnis annae", "Agalychnis callidryas", "Agalychnis moreletii", "Agalychnis saltator", "Agalychnis spurrelli", "Cruziohyla calcarifer", "Crypticerya rileyi", "Cruziohyla craspedopus", "Agalychnis aspera", "Agalychnis buckleyi", "Agalychnis danieli", "Agalychnis granulosa", "Agalychnis hulli", "Agalychnis lemur", "Agalychnis medinae", "Agalychnis psilopygion", "Crypticerya tabernicola", "Agalychnis dacnicolor", "Phasmahyla cochranae", "Phasmahyla exilis", "Phasmahyla guttata", "Crypticerya townsendi", "Phasmahyla jandaia", "Phrynomedusa appendiculata", "Phrynomedusa bokermanni", "Phrynomedusa fimbriata", "Crypticerya tuberculata", "Phrynomedusa marginata", "Jobaria tiguidensis", "Merodon papillus", "Merodon sapphous", "Tipula jaroslavi", "Colilodion thienmu", "Amercaenis cusabo", "Bohartina palmae", "Bohartina vilchesensis", "Anomaloglossus atopoglossus", "Anomaloglossus ayarzaguenai", "Anomaloglossus baeobatrachus", "Anomaloglossus beebei", "Anomaloglossus breweri", "Megalota uncimacula", "Eilithyia singaporensis", "Plumaroides brothersi", "Nomada babiyi", "Nomada flavigenis", "Nomada mavromoustakisi", "Nomada scheuchli", "Nomada standfussi", "Ptilothrix concolor", "Ptilothrix nemoralis", "Nomada xantha", "Eupalea andicola", "Eupalea aurantia", "Eupalea clarki", "Eupalea colombiensis", "Eupalea conglomerata", "Eupalea formosa", "Eupalea foveiventris", "Eupalea fryii", "Eupalea intermedia", "Eupalea melzeri", "Eupalea mniszechi", "Eupalea peregrina", "Eupalea picta", "Eupalea pulchra", "Eupalea reinhardtii", "Eupalea rotunda", "Eupalea suffriani", "Eupalea venusta", "Vulpes lagopus", "Vulpes lagopus pribilofensis", "Vulpes lagopus fuliginosus", "Vulpes lagopus beringensis", "Vulpes lagopus lagopus", "Gastrotheca guentheri", "Gastrotheca helenae", "Gastrotheca lateonota", "Gastrotheca lauzuricae", "Gastrotheca litonedis", "Gastrotheca longipes", "Gastrotheca marsupiata", "Gastrotheca microdiscus", "Gastrotheca monticola", "Gastrotheca nicefori", "Gastrotheca ochoai", "Gastrotheca orophylax", "Gastrotheca ossilaginis", "Gastrotheca ovifera", "Gastrotheca pacchamama", "Gastrotheca peruana", "Gastrotheca phalarosa", "Gastrotheca piperata", "Stenus bostrychus", "Gastrotheca plumbea", "Gastrotheca pseustes", "Gastrotheca psychrophila", "Stenus flammeus", "Gastrotheca rebeccae", "Gastrotheca riobambae", "Stenus jiulongshanus", "Gastrotheca ruizi", "Stenus lijinweni", "Gastrotheca splendens", "Gastrotheca stictopleura", "Stenus shenshanjiai", "Gastrotheca testudinea", "Gastrotheca trachyceps", "Gastrotheca walkeri", "Gastrotheca weinlandii", "Gastrotheca williamsoni", "Gastrotheca zeugocystis", "Eremas leucotrigona", "Eremas tetrarcha", "Zomariana doxasticana", "Podognatha vinculata", "Temnolopha mosaica", "Diakonoffiana tricolorana", "Diakonoffiana vindemians", "Megalota helicana", "Metrioglypha phyllodes", "Metrioglypha thystas", "Dactylioglypha tonica", "Taenionema jeanae", "Anacroneuria campsoni", "Anacroneuria kondratieffi", "Anacroneuria marshalli", "Chernokrilus misnomus", "Lutra lutra lutra", "Ovis ammon", "Asaphiscus wheelerii", "Bolshecapnia missiona", "Bolshecapnia sasquatchi", "Cryptoperla formosana", "Cryptoperla uchidai", "Anacroneuria citara", "Anacroneuria otun", "Kali colubrina", "Kali falx", "Kali indica", "Kali kerberti", "Kali macrodon", "Kali macrura", "Kali parri", "Clubiona abnormis", "Clubiona campylacantha", "Clubiona filifera", "Clubiona octoginta", "Clubiona suthepica", "Clubiona filicata", "Clubiona melanosticta", "Hyphessobrycon diancistrus", "Toxoptera chaetosiphon", "Flectonotus fissilis", "Flectonotus fitzgeraldi", "Flectonotus goeldii", "Flectonotus ohausi", "Flectonotus pygmaeus", "Gastrotheca abdita", "Gastrotheca albolineata", "Gastrotheca andaquiensis", "Gastrotheca angustifrons", "Gastrotheca antomia", "Gastrotheca argenteovirens", "Gastrotheca atympana", "Gastrotheca aureomaculata", "Gastrotheca bufona", "Gastrotheca carinaceps", "Gastrotheca christiani", "Gastrotheca chrysosticta", "Gastrotheca cornuta", "Gastrotheca dendronastes", "Stenus zhulilongi", "Gastrotheca dunni", "Gastrotheca espeletia", "Gastrotheca excubitor", "Gastrotheca fissipes", "Gastrotheca galeata", "Gastrotheca gracilis", "Gastrotheca griswoldi", "Cryptoperla japonica", "Cryptoperla kali", "Cryptoperla karen", "Cryptoperla kawasawai", "Cryptoperla kosai", "Cryptoperla kumari", "Cryptoperla meo", "Cryptoperla meyi", "Cryptoperla naga", "Cryptoperla obtusa", "Cryptoperla pentagonalis", "Cryptoperla simplex", "Cryptoperla sinensis", "Cryptoperla stilifera", "Cryptoperla torva", "Peltoperlopsis anomala", "Peltoperlopsis cebuano", "Peltoperlopsis concolor", "Peltoperlopsis malickyi", "Peltoperlopsis mindanensis", "Peltoperlopsis nigrifulva", "Peltoperlopsis spinosa", "Peltoperlopsis swanni", "Peltopteryx zwicki", "Yaroperla altaica", "Yaroperla han", "Yaroperla uchidai", "Yaroperla uenoi", "Chrysaora hysoscella", "Protosticta caroli", "Protosticta linnaei", "Sweltsa yurok", "Rhizoecus tricirculus", "Sweltsa pisteri", "Sweltsa tamalpa", "Uroleucon malarguense", "Uroleucon mendocinum", "Uroleucon patagonicum", "Uroleucon payuniense", "Uroleucon riojanum", "Paraplatyptilia atlantica", "Etrocorema nigrogeniculatum", "Neoperla affinis", "Neoperla aliqua", "Neoperla darlingi", "Anacroneuria pastora", "Anacroneuria quimbaya", "Anacroneuria tatama", "Anacroneuria tunasi", "Anacroneuria tayrona", "Anacroneuria anchicaya", "Anacroneuria calima", "Anacroneuria azul", "Anacroneuria bari", "Anacroneuria caraca", "Anacroneuria cordillera", "Anacroneuria curiosa", "Anacroneuria guambiana", "Anacroneuria marta", "Anacroneuria yameo", "Anacroneuria farallonensis", "Anacroneuria fenestrata", "Anacroneuria harperi", "Anacroneuria jewetti", "Anacroneuria munchique", "Anacroneuria oreja", "Anacroneuria pacifica", "Anacroneuria paisa", "Anacroneuria puna", "Anacroneuria quilla", "Anacroneuria socapa", "Anacroneuria ucumari", "Anacroneuria valle", "Microperla brevicauda", "Microperla geei", "Cryptoperla aculeata", "Cryptoperla akha", "Cryptoperla bisaeta", "Cryptoperla chiangi", "Cryptoperla curvata", "Cryptoperla dui", "Cryptoperla fraterna", "Cryptoperla fujianica", "Cryptoperla hubleyi", "Cryptoperla ishigakiensis", "Bactra xuthochyta", "Chilicola mirzamalae", "Chilicola penai", "Chilicola sardonyx", "Chilicola rubriventris", "Chilicola luzmarieae", "Picicola donwebbi", "Picicola serrafreirei", "Picicola galbulica", "Picicola valquii", "Picicola naokii", "Picicola osheai", "Picicola faucetti", "Picicola oneilli", "Ochrotrichia avicula", "Ochrotrichia conformalis", "Ochrotrichia jolandae", "Ochrotrichia quasi", "Tagalis femorata", "Cretosapyga resinicola", "Euparixoides araguaensis", "Euparixoides papilio", "Euparixoides tachirensis", "Pataniolidia magnifica", "Quasimodoana decipiens", "Quasimodoana gibba", "Deinonychus antirrhopus", "Drosophila diamphidia", "Drosophila papala", "Amphinemura tubulata", "Indonemoura trilongispina", "Nemoura guangdongensis", "Nemoura oculata", "Soyedina vallicularia", "Soyedina alexandria", "Soyedina calcarea", "Perlesta leathermani", "Perlesta bjostadi", "Perlesta cranshawi", "Leuctra astridae", "Zealeuctra talladega", "Notoperla macdowalli", "Tyloperla courtneyi", "Tyloperla illiesi", "Tyloperla khang", "Aterpia protosema", "Proschistis polyochtha", "Entamoeba coli", "Entamoeba barreti", "Rhodacra pyrrhocrossa", "Entamoeba bovis", "Entamoeba gingivalis", "Entamoeba histolytica", "Entamoeba hartmanni", "Entamoeba invadens", "Entamoeba moshkovskii", "Entamoeba terrapinae", "Entamoeba polecki", "Bactra ablabes", "Bactra anthracosema", "Bactra blepharopis", "Bactra capnopepla", "Bactra optanias", "Bactra psammitis", "Bactra scalopias", "Bactra testudinea", "Bactra venosana", "Allobates alagoanus", "Allobates alessandroi", "Allobates bromelicola", "Allobates brunneus", "Allobates caeruleodactylus", "Allobates capixaba", "Allobates caribe", "Allobates carioca", "Allobates cepedai", "Allobates chalcopis", "Allobates conspicuus", "Doryrhamphus japonicus", "Allobates craspedoceps", "Allobates crombiei", "Allobates femoralis", "Allobates fratisenescus", "Allobates fuscellus", "Allobates gasconi", "Allobates goianus", "Allobates granti", "Allobates humilis", "Allobates insperatus", "Allobates juanii", "Allobates kingsburyi", "Allobates mandelorum", "Allobates marchesianus", "Allobates masniger", "Allobates mcdiarmidi", "Allobates melanolaemus", "Allobates myersi", "Allobates nidicola", "Allobates olfersioides", "Allobates ornatus", "Allobates picachos", "Allobates pittieri", "Allobates ranoides", "Allobates rufulus", "Allobates sanmartini", "Allobates spumaponens", "Allobates subfolionidificans", "Allobates sumtuosus", "Allobates talamancae", "Allobates trilineatus", "Allobates undulatus", "Allobates vanzolinius", "Allobates wayuu", "Allobates zaparo", "Erithionyx albatus", "Erithionyx lanosus", "Neoperla edmundsi", "Neoperla fallax", "Neoperla inutilis", "Neoperla simplicior", "Neoperla theobromae", "Phanoperla flabellare", "Phanoperla flaveola", "Phanoperla pumilio", "Phanoperla tuberosa", "Tetropina fulgescens", "Cosumnoperla sequoia", "Perlesta baumanni", "Uncicauda pirata", "Alfonsoperla flinti", "Paracapnia humboldta", "Adelophryne adiastola", "Adelophryne baturitensis", "Adelophryne gutturosa", "Adelophryne maranguapensis", "Adelophryne pachydactyla", "Atopophrynus syntomopus", "Barycholos pulcher", "Barycholos ternetzi", "Brachycephalus alipioi", "Brachycephalus brunneus", "Brachycephalus didactylus", "Brachycephalus ephippium", "Transtillaspis ependyma", "Transtillaspis mecosacculus", "Transtillaspis galbana", "Transtillaspis empheria", "Transtillaspis nedyma", "Transtillaspis parummaculatum", "Transtillaspis rioverdensis", "Transtillaspis mindoana", "Transtillaspis tungurahuana", "Baetis rhodani", "Baetis rhodani rhodani", "Baetis rhodani tauricus", "Melisoides lobata", "Janes rafalskii", "Pedaridium cryptops", "Pedaridium fulgens", "Pedaridium argentinum", "Anomaloglossus degranvillei", "Anomaloglossus guanayensis", "Anomaloglossus kaiei", "Anomaloglossus lacrimosus", "Anomaloglossus murisipanensis", "Anomaloglossus parimae", "Anomaloglossus parkerae", "Anomaloglossus praderioi", "Anomaloglossus roraima", "Anomaloglossus shrevei", "Anomaloglossus stepheni", "Anomaloglossus tamacuarensis", "Anomaloglossus tepuyensis", "Anomaloglossus triunfo", "Anomaloglossus wothuja", "Rheobates palmatus", "Rheobates pseudopalmatus", "Aromobates alboguttatus", "Aromobates capurinensis", "Aromobates duranti", "Aromobates haydeeae", "Aromobates leopardalis", "Aromobates mayorgai", "Aromobates meridensis", "Aromobates molinarii", "Aromobates nocturnus", "Aromobates orostoma", "Aromobates saltuensis", "Aromobates serranus", "Mannophryne caquetio", "Mannophryne collaris", "Mannophryne cordilleriana", "Mannophryne herminae", "Mannophryne lamarcai", "Mannophryne larandina", "Mannophryne leonardoi", "Mannophryne neblina", "Mannophryne oblitterata", "Mannophryne olmonae", "Mannophryne riveroi", "Mannophryne trinitatis", "Mannophryne trujillensis", "Mannophryne venezuelensis", "Mannophryne yustizi", "Behningia baei", "Pseudoregma baenzigeri", "Heptagenia whitingi", "Etiennea bursera", "Costosa australis", "Craugastor rhodopis", "Craugastor rhyacobatrachus", "Craugastor rivulus", "Craugastor rostralis", "Craugastor rugosus", "Craugastor rugulosus", "Craugastor rupinius", "Craugastor sabrinus", "Craugastor saltuarius", "Craugastor sandersoni", "Craugastor silvicola", "Craugastor spatulatus", "Craugastor stadelmani", "Craugastor stejnegerianus", "Craugastor stuarti", "Odontolytes waoraniae", "Craugastor tabasarae", "Craugastor talamancae", "Craugastor tarahumaraensis", "Craugastor taurus", "Craugastor taylori", "Craugastor trachydermus", "Craugastor underwoodi", "Craugastor uno", "Odontolytes tectipennis", "Craugastor vocalis", "Craugastor vulcani", "Craugastor xucanebi", "Craugastor yucatanensis", "Odontolytes viejoae", "Dischidodactylus colonnelloi", "Dischidodactylus duidensis", "Aidophus coheni", "Israelimeria poliakovae", "Kalaphorura ludzaki", "Parataenius simulator", "Neopsammodius veraecrucis", "Neopsammodius werneri", "Neopsammodius culminatus", "Trichiorhyssemus cristatellus", "Oxyomus setosopunctatus", "Cephalocyclus villosipes", "Cephalocyclus hogei", "Cephalocyclus stebnickae", "Aphodius sallei", "Aphodius chiapasensis", "Pseudotremia fongi", "Pseudotremia handi", "Pseudotremia kerboi", "Pseudotremia schneiderae", "Sanderia pampinosus", "Sanderia malayensis", "Rosa multiflora", "Cartwrightia islasi", "Termitodius chaki", "Andricus cecconii", "Andricus conificus", "Andricus coriarius", "Andricus insana", "Andricus lucidus", "Ataenius aequalis", "Ataenius abancay", "Ataenius borjae", "Ataenius caicarae", "Ataenius castaniellus", "Ataenius clavatus", "Ataenius clitellarius", "Ataenius cochabambae", "Ataenius depilis", "Ataenius desertus", "Ataenius guanacastae", "Ataenius guriensis", "Ataenius hirsutus", "Ataenius koelleri", "Ataenius languidus", "Ataenius lenkoi", "Ataenius lobatus", "Ataenius longiclavus", "Ataenius onkonensis", "Ataenius platensis", "Ataenius plaumanni", "Ataenius pseudoclavatus", "Ataenius pseudousingeri", "Ataenius punctipennis", "Ataenius setiger", "Ataenius variopunctatus", "Metamicroptera christophi", "Metamicroptera rotundata", "Gorytvesica cosangana", "Gorytvesica ebenoptera", "Gorytvesica paraleipa", "Gorytvesica medeter", "Gorytvesica tenera", "Gorytvesica homaema", "Gorytvesica homora", "Gorytvesica fustigera", "Gorytvesica sachatamiae", "Gorytvesica derelicta", "Transtillaspis plagifascia", "Transtillaspis alluncus", "Transtillaspis cracens", "Transtillaspis lypra", "Transtillaspis irrorata", "Transtillaspis juxtonca", "Transtillaspis emblema", "Transtillaspis neelys", "Transtillaspis cothurnata", "Transtillaspis multisetae", "Transtillaspis herospina", "Transtillaspis crepera", "Brachycephalus ferruginus", "Brachycephalus hermogenesi", "Brachycephalus izecksohni", "Brachycephalus nodoterga", "Brachycephalus pernix", "Brachycephalus pombali", "Brachycephalus vertebralis", "Craugastor adamastus", "Craugastor alfredi", "Craugastor amniscola", "Craugastor anciano", "Craugastor andi", "Craugastor angelicus", "Craugastor aphanus", "Craugastor augusti", "Craugastor aurilegulus", "Craugastor azueroensis", "Craugastor berkenbuschii", "Craugastor bocourti", "Craugastor bransfordii", "Craugastor brocchi", "Craugastor campbelli", "Craugastor catalinae", "Craugastor chac", "Cerconychia sapa", "Craugastor charadra", "Craugastor chingopetaca", "Craugastor chrysozetetes", "Craugastor coffeus", "Craugastor crassidigitus", "Craugastor cruzi", "Craugastor cuaquero", "Craugastor cyanochthebius", "Craugastor daryi", "Craugastor decoratus", "Craugastor emcelae", "Craugastor emleni", "Craugastor epochthidius", "Craugastor escoces", "Craugastor fecundus", "Craugastor fitzingeri", "Craugastor fleischmanni", "Craugastor galacticorhinus", "Craugastor glaucus", "Craugastor gollmeri", "Craugastor greggi", "Craugastor guerreroensis", "Craugastor gulosus", "Craugastor hobartsmithi", "Styloperla jiangxiensis", "Amphinemura cordiformis", "Amphinemura guizhouensis", "Amphinemura malleicapitata", "Amphinemura leigong", "Amphinemura biloba", "Amphinemura macrotubifera", "Amphinemura sclerotica", "Lomanoxoides herediae", "Lomanoxoides mapitunari", "Iguazua blackwelderi", "Euparixoides cibratus", "Euparixoides johnsoni", "Craugastor inachus", "Craugastor jota", "Craugastor laevissimus", "Craugastor laticeps", "Craugastor lauraster", "Craugastor lineatus", "Craugastor loki", "Craugastor longirostris", "Craugastor matudai", "Craugastor megacephalus", "Craugastor megalotympanum", "Craugastor melanostictus", "Craugastor merendonensis", "Craugastor mexicanus", "Craugastor milesi", "Craugastor mimus", "Craugastor monnichorum", "Craugastor montanus", "Craugastor myllomyllon", "Craugastor nefrens", "Craugastor noblei", "Craugastor obesus", "Craugastor occidentalis", "Craugastor olanchano", "Craugastor omiltemanus", "Craugastor omoaensis", "Craugastor opimus", "Craugastor palenque", "Craugastor pechorum", "Craugastor pelorus", "Craugastor persimilis", "Craugastor phasma", "Craugastor podiciferus", "Craugastor polymniae", "Craugastor polyptychus", "Craugastor pozo", "Craugastor psephosypharus", "Craugastor punctariolus", "Craugastor pygmaeus", "Craugastor raniformis", "Craugastor ranoides", "Craugastor rayo", "Iguazua costaricensis", "Andricus melikai", "Orchis anatolica", "Abelia chinensis", "Urocyon littoralis littoralis", "Urocyon littoralis catalinae", "Urocyon littoralis clementae", "Urocyon littoralis dickeyi", "Urocyon littoralis santacruzae", "Urocyon littoralis santarosae", "Speothos venaticus panamensis", "Speothos venaticus venaticus", "Speothos venaticus wingei", "Alloxysta mara", "Aphrophora intermedia", "Aphrophora major", "Perischus carinatus", "Andricus niger", "Plagiotrochus australis", "Plagiotrochus britaniae", "Plagiotrochus amanti", "Plagiotrochus cardiguensis", "Plagiotrochus quercusilicis", "Plagiotrochus vilageliui", "Syntozyga anconia", "Syntozyga psammetalla", "Syntozyga sedifera", "Endothenia polymetalla", "Eupaleoides chiloensis", "Aglaogonia eupena", "Aglaogonia historica", "Eleutherodactylus abbotti", "Eleutherodactylus acmonis", "Eleutherodactylus adelus", "Eleutherodactylus albipes", "Eleutherodactylus alcoae", "Eleutherodactylus alticola", "Eleutherodactylus amadeus", "Eleutherodactylus amplinympha", "Eleutherodactylus andrewsi", "Eleutherodactylus angustidigitorum", "Eleutherodactylus antillensis", "Eleutherodactylus apostates", "Eleutherodactylus armstrongi", "Eleutherodactylus atkinsi", "Eleutherodactylus audanti", "Eleutherodactylus auriculatoides", "Eleutherodactylus auriculatus", "Eleutherodactylus bakeri", "Eleutherodactylus barlagnei", "Eleutherodactylus bartonsmithi", "Eleutherodactylus blairhedgesi", "Eleutherodactylus bresslerae", "Eleutherodactylus brevirostris", "Eleutherodactylus brittoni", "Eleutherodactylus caribe", "Eleutherodactylus casparii", "Eleutherodactylus chlorophenax", "Eleutherodactylus cochranae", "Eleutherodactylus coqui", "Eleutherodactylus corona", "Eleutherodactylus counouspeus", "Eleutherodactylus cubanus", "Eleutherodactylus cundalli", "Eleutherodactylus cuneatus", "Eleutherodactylus cystignathoides", "Ancylis artifica", "Ancylis erythrana", "Ancylis hibbertiana", "Ancylis himerodana", "Ancylis stilpna", "Ancylis synomotis", "Ancylis fidana", "Balclutha clockstripa", "Balclutha fuscomaculatus", "Drosophila konaensis", "Drosophila mawaena", "Drosophila papaalai", "Drosophila kahania", "Drosophila longipalpus", "Drosophila canavalia", "Drosophila kualapa", "Drosophila mahui", "Drosophila malele", "Drosophila panoanoa", "Drosophila poonia", "Drosophila akoko", "Drosophila kuhao", "Drosophila makawao", "Drosophila okala", "Drosophila panina", "Drosophila halapepe", "Drosophila kauaiensis", "Drosophila lauoho", "Drosophila milolii", "Drosophila pohaka", "Drosophila preapicula", "Drosophila hirtitibia", "Drosophila aenicta", "Drosophila amita", "Drosophila eximia", "Drosophila gemmula", "Drosophila lepidobregma", "Drosophila velata", "Cleidothaerus albidus", "Bomarion amborense", "Ectenessa zamalloae", "Beraba pallida", "Gorybia quadrispinosa", "Epropetes bolivianus", "Xalitla genuina", "Jupoata spinosa", "Beraba odettae", "Eburodacrys crassipes", "Nyctonympha affinis", "Callia guyanensis", "Andricus panteli", "Andricus solitarius", "Andricus tomentosa", "Neorhinopsylla machilae", "Neorhinopsylla spatulata", "Neorhinopsylla taishanica", "Neorhinopsylla shuiliensis", "Neorhinopsylla stylata", "Neorhinopsylla takahashii", "Neorhinopsylla hidakensis", "Microctenochira belizensis", "Pleurogrammus monopterygius", "Nyctereutes procyonoides procyonoides", "Otocyon megalotis megalotis", "Otocyon megalotis canescens", "Atelocynus microtis microtis", "Atelocynus microtis sclateri", "Saphonecrus barbotini", "Saphonecrus lusitanicus", "Saphonecrus haimi", "Synergus ilicinus", "Cerdocyon thous aquilus", "Synergus apicalis", "Cerdocyon thous azarae", "Cerdocyon thous entrerianus", "Cerdocyon thous germanus", "Cerdocyon thous soudanicus", "Cerdocyon thous thous", "Neralsia incompleta", "Acanthaegilips alienus", "Lycaon pictus pictus", "Lycaon pictus lupinus", "Lycaon pictus manguensis", "Lycaon pictus sharicus", "Lycaon pictus somalicus", "Acanthaegilips ashmeadi", "Acanthaegilips carinatus", "Acanthaegilips dentis", "Acanthaegilips diazi", "Acanthaegilips exiguus", "Acanthaegilips huggerti", "Acanthaegilips levis", "Acanthaegilips macropennis", "Acanthaegilips masneri", "Acanthaegilips occultus", "Cacostola apyraiuba", "Glypthaga nearnsi", "Hesychotypa aotinga", "Trachysomus apipunga", "Aspidimorpha adhaerens", "Aspidimorpha areata", "Aspidimorpha apicalis", "Aspidimorpha confinis", "Aspidimorpha hiekei", "Aspidimorpha tanolaensis", "Aspidimorpha denticollis", "Aspidimorpha angolensis", "Aspidimorpha chlorotica", "Aspidimorpha puncticosta", "Aspidimorpha septemcostata", "Aspidimorpha chlorina", "Aspidimorpha fatua", "Aspidimorpha irrorata", "Aspidimorpha kasaiensis", "Aspidimorpha kolbei", "Aspidimorpha pseudochlorina", "Aspidimorpha salazarensis", "Aspidimorpha viridula", "Aspidimorpha alluaudi", "Aspidimorpha cepaecolor", "Aspidimorpha citrina", "Aspidimorpha exacta", "Aspidimorpha ganglbaueri", "Aspidimorpha gausapina", "Aspidimorpha heroni", "Aspidimorpha pellucida", "Aspidimorpha scalena", "Aspidimorpha siticulosa", "Aspidimorpha socrus", "Aspidimorpha zambiana", "Aspidimorpha haefligeri", "Aspidimorpha sculpturata", "Aspidimorpha striata", "Pseudostilpnaspis belizensis", "Graamocetus longicollis", "Dilemma frumarkernorum", "Dilemma spectralis", "Eleutherodactylus darlingtoni", "Eleutherodactylus dennisi", "Eleutherodactylus dilatus", "Eleutherodactylus dimidiatus", "Eleutherodactylus dixoni", "Eleutherodactylus dolomedes", "Eleutherodactylus eileenae", "Eleutherodactylus emiliae", "Eleutherodactylus etheridgei", "Eleutherodactylus eunaster", "Eleutherodactylus flavescens", "Eleutherodactylus fowleri", "Eleutherodactylus furcyensis", "Eleutherodactylus glamyrus", "Eleutherodactylus glandulifer", "Eleutherodactylus glanduliferoides", "Eleutherodactylus glaphycompus", "Eleutherodactylus glaucoreius", "Eleutherodactylus goini", "Eleutherodactylus gossei", "Eleutherodactylus grabhami", "Eleutherodactylus grahami", "Eleutherodactylus grandis", "Eleutherodactylus greyi", "Eleutherodactylus griphus", "Eleutherodactylus gryllus", "Eleutherodactylus guanahacabibes", "Eleutherodactylus guantanamera", "Eleutherodactylus gundlachi", "Eleutherodactylus guttilatus", "Eleutherodactylus haitianus", "Eleutherodactylus hedricki", "Eleutherodactylus heminota", "Eleutherodactylus hypostenor", "Oxylopsebus brachypterus", "Pyrianoreina hovorei", "Pyrianoreina piranga", "Anoreina ayri", "Anoreina piara", "Anoreina pinimaiuba", "Liposcelis kipukae", "Liposcelis maunakea", "Liposcelis volcanorum", "Tenuilongiaphis stata", "Tenuilongiaphis stata shanxiensis", "Pentatrichosiphum longirostrum", "Eleutherodactylus orcutti", "Eleutherodactylus orientalis", "Eleutherodactylus oxyrhyncus", "Eleutherodactylus pallidus", "Eleutherodactylus pantoni", "Eleutherodactylus parabates", "Eleutherodactylus parapelates", "Eleutherodactylus patriciae", "Eleutherodactylus paulsoni", "Eleutherodactylus pentasyringos", "Eleutherodactylus pezopetrus", "Eleutherodactylus pictissimus", "Eleutherodactylus pinarensis", "Eleutherodactylus pinchoni", "Eleutherodactylus pipilans", "Eleutherodactylus pituinus", "Eleutherodactylus planirostris", "Eleutherodactylus poolei", "Eleutherodactylus iberia", "Eleutherodactylus inoptatus", "Eleutherodactylus intermedius", "Eleutherodactylus interorbitalis", "Eleutherodactylus ionthus", "Eleutherodactylus jamaicensis", "Eleutherodactylus jaumei", "Eleutherodactylus johnstonei", "Eleutherodactylus juanariveroi", "Eleutherodactylus jugans", "Eleutherodactylus klinikowskii", "Eleutherodactylus lamprotes", "Eleutherodactylus leberi", "Eleutherodactylus lentus", "Eleutherodactylus leoncei", "Eleutherodactylus leprus", "Eleutherodactylus limbatus", "Eleutherodactylus locustus", "Eleutherodactylus longipes", "Eleutherodactylus lucioi", "Eleutherodactylus luteolus", "Eleutherodactylus maestrensis", "Eleutherodactylus mariposa", "Eleutherodactylus marnockii", "Eleutherodactylus maurus", "Eleutherodactylus melacara", "Eleutherodactylus michaelschmidi", "Eleutherodactylus minutus", "Eleutherodactylus modestus", "Eleutherodactylus monensis", "Eleutherodactylus montanus", "Eleutherodactylus nitidus", "Eleutherodactylus nivicolimae", "Eleutherodactylus nortoni", "Eleutherodactylus nubicola", "Cetoconcha atypha", "Anotogaster sieboldii", "Euparixia formica", "Aphotaenius howdeni", "Ataeniopsis jaltipani", "Haroldiataenius limbatus", "Haroldiataenius hintoni", "Odontolytes capitosus", "Odontolytes denominatus", "Auperia squamosa", "Passaliolla cossonoides", "Urocyon cinereoargenteus fraterculus", "Urocyon cinereoargenteus furvus", "Urocyon cinereoargenteus guatemalae", "Urocyon cinereoargenteus madrensis", "Urocyon cinereoargenteus nigrirostris", "Urocyon cinereoargenteus ocythous", "Urocyon cinereoargenteus orinomous", "Urocyon cinereoargenteus peninsularis", "Urocyon cinereoargenteus scotti", "Urocyon cinereoargenteus townsendi", "Urocyon cinereoargenteus venezuelae", "Lagopus muta", "Eutheia puetzi", "Paraneseuthia devia", "Anthrenus nadeini", "Megymenum sumatranum", "Xylaplothrips zawirskae", "Oreobates choristolemma", "Oreobates quixensis", "Oreobates sanctaecrucis", "Oreobates sanderi", "Oreobates saxatilis", "Lynchius simmonsi", "Phrynopus barthlenae", "Phrynopus bracki", "Canis lupus mackenzii", "Canis lupus chanco", "Canis lupus filchneri", "Canis lupus floridanus", "Canis lupus gregoryi", "Canis lupus rufus", "Tautoneura multimaculata", "Tautoneura longiprocessa", "Malacotheria joliveti", "Aulacophora montrouzieri", "Metrioidea cornuphallus", "Cancer starri", "Metrioidea millei", "Metrioidea lateralimaculata", "Metrioidea petrae", "Metrioidea wanati", "Metrioidea schoelleri", "Metrioidea bimaculata", "Pleronexis caledonica", "Aulacophora austracaledonica", "Veigaia indica", "Caeculisoma carmenae", "Urocyon cinereoargenteus", "Urocyon cinereoargenteus borealis", "Attagenus kaniai", "Urocyon cinereoargenteus californicus", "Urocyon cinereoargenteus cinereoargenteus", "Urocyon cinereoargenteus costaricensis", "Urocyon cinereoargenteus floridanus", "Ischnocnema holti", "Ischnocnema izecksohni", "Ischnocnema juipoca", "Ischnocnema lactea", "Ischnocnema manezinho", "Ischnocnema nasuta", "Ischnocnema nigriventris", "Ischnocnema octavioi", "Ischnocnema oeus", "Ischnocnema paranaensis", "Ischnocnema parva", "Ischnocnema paulodutrai", "Ischnocnema pusilla", "Ischnocnema ramagii", "Ischnocnema randorum", "Ischnocnema sambaqui", "Ischnocnema spanios", "Ischnocnema venancioi", "Ischnocnema verrucosa", "Ischnocnema vinhai", "Fibuloides levatana", "Fibuloides nigrovenana", "Fibuloides segregana", "Fibuloides thysanota", "Fibuloides crocoptila", "Fibuloides deltostoma", "Fibuloides metaspra", "Fibuloides munda", "Fibuloides pythonias", "Fibuloides macrosaris", "Fibuloides euphlebia", "Fibuloides japonica", "Pheidole bula", "Pheidole furcata", "Pheidole pegasus", "Pheidole simplispinosa", "Pheidole uncagena", "Vulpes vulpes abietorum", "Vulpes vulpes alascensis", "Vulpes vulpes alpherakyi", "Vulpes vulpes anatolica", "Vulpes vulpes arabica", "Vulpes vulpes atlantica", "Holopus mikihe", "Vulpes vulpes bangsi", "Vulpes vulpes barbara", "Vulpes vulpes beringiana", "Vulpes vulpes cascadensis", "Vulpes vulpes caucasica", "Vulpes vulpes crucigera", "Vulpes vulpes daurica", "Vulpes vulpes deletrix", "Vulpes vulpes dolichocrania", "Vulpes vulpes dorsalis", "Vulpes vulpes flavescens", "Vulpes vulpes fulvus", "Vulpes vulpes griffithi", "Vulpes vulpes harrimani", "Vulpes vulpes hoole", "Vulpes vulpes ichnusae", "Vulpes vulpes indutus", "Vulpes vulpes jakutensis", "Vulpes vulpes japonica", "Vulpes vulpes karagan", "Vulpes vulpes kenaiensis", "Vulpes vulpes kurdistanica", "Vulpes vulpes macroura", "Vulpes vulpes montana", "Vulpes vulpes necator", "Vulpes vulpes niloticus", "Vulpes vulpes ochroxantha", "Vulpes vulpes palaestina", "Vulpes vulpes peculiosa", "Vulpes vulpes pusilla", "Vulpes vulpes regalis", "Vulpes vulpes rubricosa", "Vulpes vulpes schrencki", "Vulpes vulpes silacea", "Vulpes vulpes splendidissima", "Vulpes vulpes stepensis", "Vulpes vulpes tobolica", "Terratosyringophilus geotrygonus", "Castosyringophilus claravis", "Castosyringophilus mucuya", "Ancylis ochropepla", "Cyclemys dentata", "Lycalopex culpaeus", "Ancylophyes monochroa", "Lycalopex fulvipes", "Anthozela hilaris", "Terrapene coahuila", "Lycalopex griseus", "Lycalopex gymnocercus", "Cyphophanes gracilivalva", "Lycalopex sechurae", "Lycalopex vetulus", "Lycalopex culpaeus andinus", "Lycalopex culpaeus culpaeus", "Lycalopex culpaeus lycoides", "Lycalopex culpaeus magellanicus", "Lycalopex culpaeus reissii", "Lycalopex culpaeus smithersi", "Lycalopex gymnocercus antiquus", "Lycalopex gymnocercus domeykoanus", "Lycalopex gymnocercus gracilis", "Lycalopex gymnocercus gymnocercus", "Lycalopex gymnocercus maullinicus", "Fibuloides modificana", "Fibuloides phycitipalpia", "Fibuloides minuta", "Fibuloides aestuosa", "Fibuloides corinthia", "Fibuloides neaera", "Fibuloides biuncana", "Pristimantis aurantiguttatus", "Pristimantis aureolineatus", "Pristimantis avicuporum", "Pristimantis avius", "Pristimantis bacchus", "Pristimantis baiotis", "Pristimantis balionotus", "Pristimantis baryecuus", "Pristimantis batrachites", "Pristimantis bearsei", "Pristimantis bellona", "Pristimantis bernali", "Pristimantis bicolor", "Vulpoxena vulpicoma", "Pristimantis bicumulus", "Pristimantis bipunctatus", "Yunganastes bisignatus", "Pristimantis boconoensis", "Pristimantis bogotensis", "Pristimantis boulengeri", "Pristimantis brevifrons", "Pristimantis briceni", "Vulpoxena falcaria", "Pristimantis bromeliaceus", "Pristimantis buccinator", "Pristimantis buckleyi", "Pristimantis cabrerai", "Pristimantis cacao", "Pristimantis cajamarcensis", "Pristimantis calcaratus", "Pristimantis calcarulatus", "Pristimantis caliginosus", "Pristimantis cantitans", "Pristimantis capitonis", "Pristimantis caprifer", "Pristimantis carlossanchezi", "Pristimantis carmelitae", "Pristimantis carranguerorum", "Cuproxena golondrina", "Agenium leptocladum", "Agenium majus", "Agenium villosum", "Bidorpitia biforis", "Bidorpitia gomphifera", "Bidorpitia banosana", "Bidorpitia columna", "Bidorpitia paracolumna", "Bidorpitia unguifera", "Fulvius mateusi", "Eosentomon scytha", "Pristimantis erythropleura", "Pristimantis esmeraldas", "Pristimantis eugeniae", "Pristimantis euphronides", "Pristimantis eurydactylus", "Pristimantis exoristus", "Pristimantis factiosus", "Pristimantis fallax", "Pristimantis fenestratus", "Pristimantis festae", "Pristimantis fetosus", "Pristimantis flavobracatus", "Pristimantis floridus", "Pristimantis frater", "Yunganastes fraudator", "Pristimantis gaigeae", "Pristimantis galdi", "Strepsicrates sphenophora", "Pristimantis ganonotus", "Pristimantis gentryi", "Pristimantis ginesi", "Pristimantis gladiator", "Pristimantis glandulosus", "Pristimantis gracilis", "Pristimantis grandiceps", "Strepsicrates limnephilana", "Strepsicrates infensa", "Abloxurina duviolsi", "Abloxurina oxapampa", "Abloxurina molipampa", "Abloxurina falcatamba", "Abloxurina acjabamba", "Shirakiacris shirakii", "Vulpes corsac corsac", "Vulpes corsac kalmykorum", "Holocola chlidana", "Stethophyma magister", "Stethophyma grossum", "Epiphaxum micropora", "Chorthippus biguttulus", "Chorthippus maritimus", "Vulpes pallida cyrenaica", "Penaincisalia caeruleanota", "Vulpes pallida edwardsi", "Vulpes pallida harterti", "Vulpes pallida oertzeni", "Vulpes pallida pallida", "Vulpes rueppellii caesia", "Vulpes rueppellii cyrenaica", "Vulpes rueppellii rueppellii", "Vulpes rueppellii sabaea", "Penaincisalia juliae", "Vulpes rueppellii zarudnyi", "Penaincisalia andreae", "Penaincisalia libertada", "Penaincisalia ismaeli", "Penaincisalia cuiva", "Canis simensis simensis", "Canis simensis citernii", "Canis mesomelas mesomelas", "Canis mesomelas schmidti", "Canis adustus adustus", "Canis adustus bweha", "Canis adustus grayi", "Canis adustus kaffensis", "Canis adustus lateralis", "Canis adustus notatus", "Phrynopus bufoides", "Phrynopus dagmarae", "Phrynopus heimorum", "Phrynopus horstpauli", "Phrynopus juninensis", "Phrynopus kauneorum", "Phrynopus montium", "Phrynopus paucari", "Phrynopus peruanus", "Phrynopus pesantesi", "Phrynopus tautzorum", "Phrynopus thompsoni", "Phyzelaphryne miriamae", "Pristimantis aaptus", "Pristimantis acatallelus", "Pristimantis acerus", "Pristimantis achatinus", "Pristimantis actinolaimus", "Pristimantis actites", "Pristimantis acuminatus", "Pristimantis acutirostris", "Pristimantis aemulatus", "Pristimantis affinis", "Pristimantis alalocophus", "Pristimantis albericoi", "Pristimantis altae", "Pristimantis altamazonicus", "Pristimantis amydrotus", "Pristimantis anemerus", "Pristimantis angustilineatus", "Pristimantis aniptopalmatus", "Pristimantis anolirex", "Pristimantis anotis", "Pristimantis apiculatus", "Pristimantis appendiculatus", "Ceuthomantis aracamuni", "Pristimantis ardalonychus", "Yunganastes ashkapara", "Pristimantis atrabracus", "Pristimantis atratus", "Vulpes vulpes tschiliensis", "Vulpes vulpes vulpes", "Fibuloides khaonanensis", "Fibuloides bicucullus", "Fibuloides vaneeae", "Toreulia basalis", "Toreulia nimia", "Toreulia torrens", "Toreulia acanthina", "Toreulia imminuta", "Toreulia placita", "Toreulia runtunana", "Acroclita bryopa", "Tritopterna capyra", "Tritopterna anachastopa", "Noduliferola neothela", "Heleanna chloreis", "Spilonota constrictana", "Spilonota ruficomana", "Spilonota angelica", "Spilonota acrosema", "Spilonota quietana", "Strepsicrates semicanella", "Eleutherodactylus portoricensis", "Eleutherodactylus principalis", "Eleutherodactylus probolaeus", "Eleutherodactylus rhodesi", "Eleutherodactylus richmondi", "Eleutherodactylus ricordii", "Eleutherodactylus riparius", "Eleutherodactylus rivularis", "Eleutherodactylus rogersi", "Eleutherodactylus ronaldi", "Eleutherodactylus rubrimaculatus", "Eleutherodactylus rufescens", "Eleutherodactylus rufifemoralis", "Eleutherodactylus ruthae", "Eleutherodactylus saxatilis", "Eleutherodactylus schmidti", "Eleutherodactylus schwartzi", "Eleutherodactylus sciagraphus", "Eleutherodactylus simulans", "Eleutherodactylus symingtoni", "Eleutherodactylus syristes", "Eleutherodactylus teretistes", "Eleutherodactylus tetajulia", "Eleutherodactylus thomasi", "Eleutherodactylus thorectes", "Eleutherodactylus toa", "Eleutherodactylus turquinensis", "Eleutherodactylus unicolor", "Eleutherodactylus varians", "Eleutherodactylus varleyi", "Eleutherodactylus ventrilineatus", "Eleutherodactylus verrucipes", "Eleutherodactylus verruculatus", "Eleutherodactylus warreni", "Eleutherodactylus weinlandi", "Eleutherodactylus wetmorei", "Eleutherodactylus wightmanae", "Eleutherodactylus zeus", "Eleutherodactylus zugi", "Euparkerella brasiliensis", "Euparkerella cochranae", "Euparkerella robusta", "Euparkerella tridactyla", "Geobatrachus walkeri", "Holoaden bradei", "Holoaden luederwaldti", "Eleutherodactylus bilineatus", "Ischnocnema bolbodactyla", "Ischnocnema epipeda", "Ischnocnema erythromera", "Ischnocnema gehrti", "Ischnocnema gualteri", "Ischnocnema guentheri", "Ischnocnema henselii", "Ischnocnema hoehnei", "Parelbella nigra", "Pectinimura batubatuensis", "Pectinimura crassipalpis", "Pectinimura crinalis", "Pectinimura montiatilis", "Pericapritermes papuanus", "Pericapritermes parvus", "Pericapritermes pilosus", "Pristimantis gutturalis", "Pristimantis hamiotae", "Pristimantis hectus", "Pristimantis helvolus", "Pristimantis hernandezi", "Pristimantis huicundo", "Pristimantis hybotragus", "Pristimantis ignicolor", "Pristimantis illotus", "Pristimantis imitatrix", "Pristimantis incanus", "Pristimantis incertus", "Pristimantis incomptus", "Pristimantis infraguttatus", "Pristimantis inguinalis", "Pristimantis insignitus", "Pristimantis inusitatus", "Canis lupus signatus", "Pristimantis ixalus", "Pristimantis jaimei", "Pristimantis johannesdei", "Pristimantis jorgevelosai", "Pristimantis juanchoi", "Pristimantis jubatus", "Pristimantis kareliae", "Pristimantis katoptroides", "Pristimantis kelephas", "Pristimantis kirklandi", "Pristimantis labiosus", "Pristimantis lacrimosus", "Pristimantis lancinii", "Pristimantis lanthanites", "Pristimantis lasalleorum", "Pristimantis laticlavius", "Encarsia citricola", "Aganaspis alujai", "Dryinus chenae", "Dryinus expolitus", "Xenylla changlingensis", "Xenylla changchunensis", "Solenopsis enigmatica", "Mauremys leprosa", "Acroleucus calvatus", "Acroleucus tensus", "Strepsicrates transfixa", "Strepsicrates macropetana", "Strepsicrates dyselia", "Pristimantis carvalhoi", "Pristimantis caryophyllaceus", "Strepsicrates ebenocosma", "Ceuthomantis cavernibardus", "Pristimantis celator", "Pristimantis cerasinus", "Pristimantis ceuthospilus", "Pristimantis chalceus", "Pristimantis charlottevillensis", "Pristimantis chiastonotus", "Pristimantis chloronotus", "Pristimantis chrysops", "Pristimantis citriogaster", "Pristimantis colodactylus", "Pristimantis colomai", "Pristimantis colonensis", "Pristimantis colostichos", "Pristimantis condor", "Pristimantis conspicillatus", "Pristimantis cordovae", "Pristimantis corniger", "Pristimantis corrugatus", "Pristimantis cosnipatae", "Pristimantis cremnobates", "Pristimantis crenunguis", "Pristimantis crepitans", "Pristimantis cristinae", "Pristimantis croceoinguinis", "Pristimantis crucifer", "Pristimantis cruciocularis", "Pristimantis cruentus", "Pristimantis cryophilius", "Pristimantis cryptomelas", "Pristimantis cuentasi", "Pristimantis cuneirostris", "Strepsicrates ejectana", "Pristimantis curtipes", "Pristimantis danae", "Pristimantis degener", "Pristimantis deinops", "Pristimantis delicatus", "Pristimantis delius", "Pristimantis devillei", "Pristimantis diadematus", "Pristimantis diaphonus", "Pristimantis diogenes", "Pristimantis dissimulatus", "Pristimantis dorsopictus", "Tachiramantis douglasi", "Pristimantis duellmani", "Pristimantis duende", "Pristimantis dundeei", "Pristimantis elegans", "Pristimantis epacrus", "Pristimantis eremitus", "Pristimantis eriphus", "Pristimantis ernesti", "Pristimantis orpacobates", "Pristimantis orphnolaimus", "Pristimantis ortizi", "Pristimantis padrecarlosi", "Pristimantis paisa", "Pristimantis palmeri", "Pristimantis paramerus", "Pristimantis pardalinus", "Pristimantis pardalis", "Pristimantis parectatus", "Pristimantis parvillus", "Pristimantis pastazensis", "Pristimantis pataikos", "Pristimantis paululus", "Pristimantis pecki", "Pristimantis pedimontanus", "Pristimantis penelopus", "Pristimantis peraticus", "Pristimantis percnopterus", "Hauffenia kissdalmae", "Hirudicryptus taiwanensis", "Marionina scintillans", "Arcofacies ampelocalamus", "Belocera lanpingensis", "Belocera ampelocalama", "Belocera sinensis", "Belocera fuscifrons", "Trachemys dorbigni", "Oribatella szemesi", "Magyaria krisztinae", "Peloribates szirakii", "Pergalumna amorpha", "Trichogalumna nabhitabhatai", "Trichillum hystrix", "Pedaridium ohausi", "Pedaridium cristatum", "Pedaridium paranense", "Pedaridium quadridens", "Pedaridium margareteae", "Pedaridium galileoae", "Caloplaca adnexa", "Caloplaca agrata", "Caloplaca ahmadiana", "Caloplaca ahtii", "Ataenius walterhorni", "Ataenius terminalis", "Caloplaca albolutescens", "Ataenius bicolor", "Caloplaca alcarum", "Ataenius hispaniolae", "Ataenius howdeni", "Ataenius elisaensis", "Ataenius luteomargo", "Caloplaca aphanotripta", "Ataenius aciculus", "Ataenius versicolor", "Caloplaca approximata", "Ataenius gruneri", "Ataenius jamaicensis", "Ataenius insulae", "Caloplaca aractina", "Ataenius elongatus", "Ataenius raccurti", "Ataenius michelii", "Ataenius jardinensis", "Ataenius klapperichi", "Pratanurida podolica", "Caloplaca atranulata", "Caloplaca atroalba", "Caloplaca atroflava", "Caloplaca aureosora", "Pongeia asturianensis", "Caloplaca baueri", "Caloplaca boergesenii", "Caloplaca borealis", "Eryngium leavenworthii", "Caloplaca brouardii", "Caloplaca brunneola", "Caloplaca cacuminum", "Caloplaca californica", "Caloplaca camptidia", "Caloplaca carolinae", "Caloplaca cascadensis", "Caloplaca celata", "Caloplaca ceracea", "Caloplaca cerinopsis", "Caloplaca chalybaea", "Caloplaca chrysophthalma", "Caloplaca cinnamomea", "Caloplaca cirrochroopsis", "Caloplaca concilians", "Caloplaca crocea", "Caloplaca cupreobrunnea", "Caloplaca cupulata", "Caloplaca cupulifera", "Caloplaca cyanotropha", "Caloplaca dakotensis", "Pristimantis latidiscus", "Pristimantis lemur", "Podanotum melanissimum", "Tachiramantis lentiginosus", "Pristimantis leoni", "Pristimantis leptolophus", "Pristimantis leucopus", "Pristimantis librarius", "Pristimantis lichenoides", "Pristimantis lindae", "Pristimantis lirellus", "Pristimantis lividus", "Pristimantis llojsintuta", "Pristimantis loustes", "Pristimantis luscombei", "Pristimantis luteolateralis", "Pristimantis lutitus", "Pristimantis lymani", "Pristimantis lynchi", "Pristimantis lythrodes", "Pristimantis maculosus", "Pristimantis malkini", "Pristimantis marahuaka", "Pristimantis marmoratus", "Pristimantis mars", "Pristimantis martiae", "Pristimantis medemi", "Pristimantis megalops", "Pristimantis melanogaster", "Pristimantis melanoproctus", "Pristimantis memorans", "Pristimantis mendax", "Yunganastes mercedesae", "Pristimantis meridionialis", "Pristimantis merostictus", "Pristimantis metabates", "Pristimantis miyatai", "Pristimantis mnionaetes", "Pristimantis modipeplus", "Pristimantis molybrignus", "Pristimantis mondolfii", "Pristimantis moro", "Pristimantis muricatus", "Pristimantis muscosus", "Pristimantis museosus", "Pristimantis myersi", "Pristimantis myops", "Pristimantis nephophilus", "Pristimantis nervicus", "Pristimantis nicefori", "Pristimantis nigrogriseus", "Pristimantis nyctophylax", "Pristimantis obmutescens", "Pristimantis ocellatus", "Pristimantis ockendeni", "Pristimantis ocreatus", "Pristimantis olivaceus", "Pristimantis orcesi", "Pristimantis orestes", "Pristimantis ornatissimus", "Pristimantis ornatus", "Caloplaca haematodes", "Caloplaca heterospora", "Caloplaca hueana", "Caloplaca inconnexa", "Caloplaca insularis", "Caloplaca isabellina", "Caloplaca isidiigera", "Caloplaca jemtlandica", "Caloplaca juniperi", "Caloplaca kamczatica", "Caloplaca lagunensis", "Caloplaca lecidellae", "Caloplaca leptozona", "Caloplaca lithophila", "Caloplaca litoricola", "Caloplaca littorea", "Caloplaca lobulascens", "Caloplaca lucifuga", "Caloplaca luteoalba", "Caloplaca lypera", "Caloplaca maura", "Caloplaca microsporella", "Caloplaca neonii", "Caloplaca obesimarginata", "Caloplaca ochracea", "Caloplaca ochroplaca", "Caloplaca oleicola", "Thyrsostoma albilustra", "Thyrsostoma shivai", "Caloplaca oregona", "Caloplaca pachythallina", "Caloplaca parvula", "Caloplaca peliophylla", "Caloplaca phaeocarpella", "Caloplaca phoenicopta", "Caloplaca phyllidizans", "Caloplaca pinicola", "Eurytoma bryophylli", "Caloplaca praeruptorum", "Caloplaca procerispora", "Caloplaca psammophila", "Caloplaca psoricida", "Caloplaca pygmaea", "Caloplaca quercicola", "Caloplaca reducta", "Compositocoris senecionus", "Caloplaca rinodinae", "Caloplaca rinodinopsis", "Caloplaca ruderum", "Caloplaca sancta", "Caloplaca schoeferi", "Caloplaca scrobiculata", "Caloplaca sipeana", "Caloplaca sonorae", "Mephitis macroura eximius", "Caloplaca sorocarpa", "Mephitis macroura macroura", "Caloplaca sororicida", "Mephitis macroura milleri", "Mephitis macroura richardsoni", "Nebulasilvius insularis", "Nebulasilvius johani", "Parvuhowdenius harrisoni", "Dwesasilvasedis medinae", "Caloplaca spaldingii", "Caloplaca spitsbergensis", "Peckolus poenskopius", "Caloplaca stanfordensis", "Caloplaca stillicidiorum", "Bassaricyon alleni", "Anomala binotata", "Bassaricyon beddardi", "Bassaricyon lasius", "Bassaricyon pauli", "Psiloderoides dauresensis", "Plutelloptera huemerella", "Plutelloptera kyrkella", "Caloplaca transcaspica", "Caloplaca marina subsp. americana", "Campaea perlata", "Antiochtha angustivalva", "Caloplaca marina subsp. marina", "Phigalia titea", "Torodora manoconta", "Torodora epitriona", "Caloplaca borealis var. borealis", "Caloplaca borealis var. oligosperma", "Caloplaca exsecuta var. exsecuta", "Caloplaca exsecuta var. aphanes", "Caloplaca jemtlandica var. jemtlandica", "Caloplaca jemtlandica var. cerinosora", "Torodora vietnamensis", "Torodora chinanensis", "Torodora babeana", "Torodora spinula", "Tingidoletes praelonga", "Curius chemsaki", "Holocola pellopis", "Pristimantis percultus", "Pristimantis permixtus", "Pristimantis peruvianus", "Pristimantis petersi", "Pristimantis petrobardus", "Pristimantis phalaroinguinis", "Pristimantis phalarus", "Pristimantis philipi", "Pristimantis phoxocephalus", "Pristimantis phragmipleuron", "Pristimantis piceus", "Pristimantis pinguis", "Pristimantis pirrensis", "Pristimantis platychilus", "Pristimantis platydactylus", "Pristimantis pleurostriatus", "Yunganastes pluvicanorus", "Pristimantis polemistes", "Pristimantis polychrus", "Pristimantis prolatus", "Tachiramantis prolixodiscus", "Pristimantis proserpens", "Pristimantis pruinatus", "Pristimantis pseudoacuminatus", "Pristimantis pteridophilus", "Pristimantis ptochus", "Pristimantis pugnax", "Pristimantis pulvinatus", "Pristimantis pycnodermis", "Pristimantis pyrrhomerus", "Pristimantis quantus", "Pristimantis quaquaversus", "Holocola sollicitana", "Holocola obeliscana", "Holocola sicariana", "Holocola peraea", "Pristimantis quinquagesimus", "Pristimantis racemus", "Holocola plinthinana", "Pristimantis reclusas", "Pristimantis renjiforum", "Pristimantis repens", "Pristimantis restrepoi", "Pristimantis reticulatus", "Pristimantis rhabdocnemus", "Pristimantis rhabdolaemus", "Pristimantis rhodoplichus", "Pristimantis rhodostichus", "Pristimantis ridens", "Pristimantis riveroi", "Caloplaca demissa", "Caloplaca dickoreana", "Caloplaca diphasia", "Caloplaca diphyodes", "Caloplaca discoidalis", "Caloplaca dispersa", "Caloplaca durietzii", "Caloplaca endodermia", "Caloplaca epiphora", "Caloplaca epithallina", "Caloplaca erythrantha", "Parvamussium cancellorum", "Caloplaca erythranthoides", "Caloplaca eugyra", "Caloplaca exsecuta", "Caloplaca farinosa", "Caloplaca ferrugineofusca", "Caloplaca floridana", "Protocapritermes odontomachus", "Polididus dimorphopterus", "Caloplaca fraxinea", "Caloplaca fulvolutea", "Caloplaca granularis", "Caloplaca grimmiae", "Caloplaca groenlandica", "Caloplaca haematites", "Pristimantis thymelensis", "Pristimantis toftae", "Pristimantis torrenticola", "Pristimantis trachyblepharis", "Pristimantis tribulosus", "Pristimantis truebae", "Pristimantis tubernasus", "Pristimantis turpinorum", "Pristimantis turumiquirensis", "Pristimantis uisae", "Pristimantis unistrigatus", "Pristimantis uranobates", "Pristimantis urichi", "Pristimantis vanadise", "Pristimantis variabilis", "Pristimantis veletis", "Pristimantis ventrimarmoratus", "Pristimantis verecundus", "Pristimantis vermiculatus", "Pristimantis versicolor", "Pristimantis vertebralis", "Pristimantis vicarius", "Pristimantis vidua", "Pristimantis viejas", "Pristimantis vilarsi", "Pristimantis viridicans", "Pristimantis viridis", "Pristimantis w-nigrum", "Pristimantis walkeri", "Pristimantis waoranii", "Pristimantis wiensi", "Pristimantis xeniolum", "Pristimantis xestus", "Pristimantis xylochobates", "Pristimantis yaviensis", "Pristimantis yustizi", "Pristimantis zeuctotylus", "Pristimantis zimmermanae", "Pristimantis zoilae", "Pristimantis zophus", "Pristimantis riveti", "Pristimantis rosadoi", "Pristimantis roseus", "Pristimantis rozei", "Pristimantis rubicundus", "Pristimantis ruedai", "Pristimantis rufioculis", "Pristimantis ruidus", "Pristimantis ruthveni", "Pristimantis sagittulus", "Pristimantis salaputium", "Pristimantis samaipatae", "Pristimantis sanctaemartae", "Pristimantis sanguineus", "Holocola vitiosa", "Pristimantis satagius", "Pristimantis savagei", "Pristimantis schultei", "Pristimantis scitulus", "Pristimantis scoloblepharus", "Pristimantis scolodiscus", "Pristimantis scopaeus", "Pristimantis serendipitus", "Pristimantis shrevei", "Pristimantis signifer", "Pristimantis silverstonei", "Pristimantis simonbolivari", "Pristimantis simonsii", "Pristimantis simoteriscus", "Pristimantis simoterus", "Pristimantis siopelus", "Holocola zopherana", "Pristimantis skydmainos", "Pristimantis sobetes", "Pristimantis spilogaster", "Pristimantis spinosus", "Pristimantis stenodiscus", "Pristimantis sternothylax", "Pristimantis stictoboubonus", "Pristimantis stictogaster", "Pristimantis subsigillatus", "Pristimantis suetus", "Holocola niphosticha", "Pristimantis sulculus", "Pristimantis supernatis", "Pristimantis surdus", "Pristimantis susaguae", "Pristimantis taciturnus", "Pristimantis taeniatus", "Pristimantis tamsitti", "Holocola tranquilla", "Pristimantis tantanti", "Pristimantis tayrona", "Pristimantis telefericus", "Pristimantis tenebrionis", "Pristimantis terraebolivaris", "Pristimantis thectopternus", "Pristimantis thymalopsoides", "Torodora rectivalvata", "Caloplaca scrobiculata var. scrobiculata", "Hygroplasta plocioura", "Hygroplasta atrifasciata", "Caloplaca scrobiculata var. ignea", "Hygroplasta parviella", "Homaloxestis australis", "Homaloxestis xylotripta", "Homaloxestis hainanensis", "Homaloxestis pumilis", "Homaloxestis multidentalis", "Homaloxestis saitoi", "Homaloxestis furcula", "Homaloxestis horridens", "Homaloxestis plocamandra", "Tisis sandaradema", "Tisis plautata", "Tisis boleta", "Tisis seclusella", "Tisis eurylampis", "Tisis argyrophaea", "Tisis bicolorella", "Homaloxestis cholopis", "Homaloxestis baibaraensis", "Homaloxestis hilaris", "Homaloxestis myeloxesta", "Breviceps acutirostris", "Breviceps adspersus", "Breviceps bagginsi", "Breviceps fichus", "Ernocornutia paracatopta", "Ernocornutia pilaloana", "Ernocornutia pululahuana", "Ernocornutia sangayan", "Ernocornutia termasiana", "Eupoecilia quinaspinalis", "Pelochrista gelattana", "Pelochrista milleri", "Phyllonorycter anceps", "Phyllonorycter deschkai", "Phyllonorycter hostis", "Phyllonorycter farensis", "Phyllonorycter gozmanyi", "Bucculatrix malivorella", "Bucculatrix pectinifera", "Xylophanes barbuti", "Tropocyclops bopingi", "Onychostenhelia bispinosa", "Harperalpheus pequegnatae", "Rubukona svetlanae", "Lecithocera indigens", "Lecithocera glabrata", "Frisilia homalistis", "Frisilia chinensis", "Spatulignatha idiogena", "Spatulignatha olaxana", "Carodista notolychna", "Carodista montana", "Carodista cultrata", "Dinochares notolepis", "Tisis mesozosta", "Cnesteboda davidsoni", "Diactenis youngi", "Archips taichunganus", "Neocalyptis taiwana", "Diplocalyptis shanpingana", "Isodemis proxima", "Hermenias pilushina", "Taiwancylis cladodium", "Holocola nitida", "Holocola spanistis", "Holocola argyrotypa", "Holocola ebenostigma", "Holocola fluidana", "Holocola striphromita", "Gastrimargus marmoratus", "Ernocornutia chiribogana", "Ernocornutia firna", "Ypsolopha colleaguella", "Balebreviceps hillmani", "Caloplaca stipulata", "Torodora biovalata", "Caloplaca subnitida", "Torodora quadrangulata", "Torodora rectangulata", "Caloplaca subunicolor", "Caloplaca teicholyta", "Teleiopsis motleella", "Caloplaca torno\u00ebnsis", "Sitotroga pseudopsacastra", "Caloplaca ulcerata", "Caloplaca ulcerosa", "Caloplaca urceolata", "Holocola triangulana", "Holocola opsia", "Caloplaca variabilis", "Caloplaca verrucosa", "Holocola phaeoscia", "Holocola chalcitis", "Caloplaca virescens", "Holocola periptycha", "Holocola aethalostola", "Caloplaca wetmorei", "Holocola honesta", "Caloplaca wrightii", "Caloplaca yuennana", "Centrolene lynchi", "Chimerella mariaelenae", "Centrolene medemi", "Centrolene muelleri", "Centrolene notostictum", "Centrolene paezorum", "Centrolene peristictum", "Centrolene petrophilum", "Centrolene pipilatum", "Espadarana prosoblepon", "Centrolene quindianum", "Centrolene robledoi", "Centrolene sanchezi", "Centrolene scirtetes", "Centrolene venezuelense", "Lecithocera pelomorpha", "Lecithocera bimaculata", "Lecithocera paralevirota", "Lecithocera thaiheisana", "Lecithocera metacausta", "Lecithocera latiola", "Lecithocera shanpinensis", "Lecithocera megalopis", "Lecithocera fascinatrix", "Lecithocera erecta", "Lecithocera aulias", "Lecithocera rotundata", "Lecithocera fuscosa", "Lecithocera serena", "Lecithocera chartaca", "Lecithocera angustiella", "Lecithocera palingensis", "Lecithocera altusana", "Lecithocera fascicula", "Lecithocera tienchiensis", "Lecithocera pulchella", "Lecithocera atricastana", "Lecithocera theconoma", "Aporia gigantea", "Aporia gigantea gigantea", "Aporia gigantea cheni", "Lecitholaxa thiodora", "Breviceps fuscus", "Breviceps gibbosus", "Breviceps macrops", "Breviceps montanus", "Breviceps mossambicus", "Breviceps namaquensis", "Breviceps poweri", "Breviceps rosei", "Breviceps sopranus", "Breviceps sylvestris", "Breviceps verrucosus", "Callulina kisiwamsitu", "Callulina kreffti", "Probreviceps durirostris", "Probreviceps loveridgei", "Probreviceps macrodactylus", "Probreviceps rhodesianus", "Probreviceps rungwensis", "Probreviceps uluguruensis", "Spelaeophryne methneri", "Calyptocephalella gayi", "Telmatobufo australis", "Telmatobufo venustus", "Centrolene acanthidiocephalum", "Centrolene altitudinale", "Espadarana andina", "Centrolene antioquiense", "Centrolene audax", "Centrolene azulae", "Centrolene bacatum", "Cochranella balionota", "Centrolene ballux", "Centrolene buckleyi", "Espadarana callistomma", "Centrolene fernandoi", "Centrolene geckoideum", "Centrolene gemmatum", "Vitreorana gorzulae", "Nymphargus grandisonae", "Centrolene guanacarum", "Centrolene heloderma", "Centrolene hesperium", "Centrolene huilense", "Centrolene hybrida", "Sachatamia ilex", "Centrolene lemniscatum", "Centrolene litorale", "Exelastis caroli", "Androsace alpina", "Agdistis qurayyahiensis", "Battus madyes madyes", "Battus madyes chelsea", "Trogonoptera brookiana brookiana", "Trogonoptera brookiana brookiana f. brookiana", "Trogonoptera brookiana brookiana f. julijae", "Teinopalpus aureus aureus", "Mycalesis gotama", "Teinopalpus aureus laotiana", "Mycalesis gotama fulginia", "Mycalesis francisca", "Mycalesis francisca perdiccas", "Ypthima sepyra", "Ypthima sepyra weedae", "Charaxes contrarius", "Charaxes contrarius contrarius", "Charaxes contrarius lukosi", "Neptis amieti", "Neptis hylas", "Neptis lamtoensis", "Neptis mpassae", "Neptis multiscoliata", "Neptis nigra", "Neptis rosa", "Neptis stellata", "Neptis viridis", "Androsace studiosorum", "Melanargia grumi", "Melanargia grumi lorestanensis", "Aemona berdyevi", "Erebia magdalena hilchie", "Rumex acetosa", "Rumex acetosella", "Silene vulgaris", "Cornufer elegans", "Cornufer gigas", "Cornufer mediodiscus", "Cornufer minutus", "Cornufer montanus", "Cornufer trossulus", "Cornufer vertebralis", "Cornufer wolfi", "Alsodes norae", "Goniurosaurus catbaensis", "Pseudophycitatella leveleuxi", "Morgabinella billii", "Saluria eremica", "Scotomera gielisi", "Pseudacritonia albidella", "Pempelia arida", "Paralaodamia ajbanica", "Hypotia birgita", "Epiepischnia minimella", "Canthelea safadalis", "Asalebria adiudicata", "Aeschremon desertalis", "Aeschremon ochrealis", "Aeschremon similis", "Acrobasis minutalis", "Joelminetia kostjuki", "Joelminetia latimedia", "Joelminetia michaelshafferi", "Androsace sempervivoides", "Paraplatyptilia watkinsi", "Paraplatyptilia albui", "Paraplatyptilia glacialis", "Paraplatyptilia sabourini", "Amsonia elliptica", "Stenoptilia kiitulo", "Phyllolohmannia luisae", "Phthiracarus thaiensis", "Caloplaca saxicola var. saxicola", "Physozetes inflatus", "Caloplaca saxicola var. chamaeleon", "Caloplaca cerina var. cerina", "Caloplaca cerina var. swatica", "Caloplaca cerina var. chloroleuca", "Eremobelba editae", "Archeremella bartlae", "Catinaria neuschildii", "Holocola melanographa", "Holocola atmophanes", "Holocola seditiosana", "Holocola morosa", "Holocola perspectana", "Holocola thalassinana", "Holocola ischalea", "Holocola spodostola", "Holocola lucifera", "Holocola imbrifera", "Hermenias epidola", "Hermenias rivulifera", "Eccoptocera stenotes", "Herpystis insinuans", "Herpystis avida", "Icelita indentata", "Icelita monela", "Whittenella peltosema", "Loranthacydia aulacodes", "Loranthacydia metallocosma", "Loranthacydia multilinea", "Loranthacydia pessota", "Loranthacydia sinapichroa", "Pammenemima pagerostoma", "Pammenemima tetramita", "Pammenemima exocentra", "Pammenemima ionia", "Pammenemima plumbosana", "Leguminivora longigula", "Notocydia atripunctis", "Notocydia lomacula", "Notocydia tephraea", "Notocydia niveimacula", "Fulcrifera persinuata", "Mongolotettix japonicus", "Cydia pomonella", "Chorthippus brunneus", "Gonista bicolor", "Deltoplastis commatopa", "Deltoplastis lobigera", "Deltoplastis ovatella", "Dixognatha nectarus", "Carcinus aestuarii", "Symplocos chinensis", "Catillaria aphana", "Catillaria atomarioides", "Catillaria chalybeia", "Catillaria contristans", "Catillaria cupressi", "Catillaria detractula", "Moneuptychia itapeva", "Napeogenes tawaman", "Napeogenes inachia", "Napeogenes inachia tijatawaman", "Napeogenes rhezia", "Napeogenes rhezia rhezia", "Napeogenes rhezia itu", "Napeogenes sylphis", "Napeogenes sylphis ehu", "Mechanitis polymnia", "Mechanitis polymnia atrata", "Hypothyris daphnis", "Hypothyris daphnis lacommei", "Hypothyris ninonia", "Hypothyris ninonia matouryensis", "Hypothyris xanthostola", "Hypothyris xanthostola ipoti", "Callithomia alexirrhoe", "Callithomia alexirrhoe bathsheba", "Zelotaea brunescens", "Argyrogrammana iracyi", "Catillaria erysiboides", "Liptena decipiens", "Catillaria flavens", "Liptena decipiens stebema", "Catillaria glauconigrans", "Catillaria lenticularis", "Catillaria minuta", "Catillaria modesta", "Aiolopus thalassinus tamulus", "Tegeticula mexicana", "Hasora anura", "Hasora anura anura", "Hasora anura china", "Hasora anura taiwana", "Tilia begoniifolia", "Limnatochlamys rosthorni", "Limnatochlamys pararosthorni", "Limnatochlamys parvisis", "Hasora mixta", "Hasora mixta mixta", "Hasora mixta prabha", "Hasora mixta limata", "Automeris amanda", "Automeris amanda amanda", "Automeris amanda lichyi", "Automeris amanda limpida", "Automeris amanda subobsura", "Automeris amanda subpicta", "Automeris amanda tucumana", "Stefania ackawaio", "Stefania ayangannae", "Stefania breweri", "Stefania coxi", "Stefania evansi", "Stefania ginesi", "Stefania goini", "Stefania marahuaquensis", "Stefania oculosa", "Stefania percristata", "Stefania riae", "Stefania riveroi", "Stefania roraimae", "Stefania satelles", "Stefania scalae", "Nematocarcinus poupini", "Nikoides plantei", "Parhippolyte rukuensis", "Cochranella adenocheira", "Rulyrana adiazeta", "Sachatamia albomaculata", "Teratohyla amelie", "Vitreorana antisthenesi", "Vitreorana castroviejoi", "Cochranella croceopodes", "Centrolene daidaleum", "Cochranella duidaeana", "Cochranella euhystrix", "Cochranella euknemos", "Rulyrana flavopunctata", "Cochranella geijskesi", "Cochranella granulosa", "Vitreorana helenae", "Cochranella mache", "Nymphargus mariae", "Cochranella megista", "Teratohyla midas", "Cochranella nola", "Nymphargus ocellatus", "Sachatamia orejuela", "Vitreorana oyampiensis", "Cochranella phryxa", "Teratohyla pulverata", "Sachatamia punctulata", "Nymphargus puyoensis", "Cochranella ramirezi", "Cochranella resplendens", "Celsiella revocata", "Cochranella ritae", "Cochranella riveroi", "Centrolene savagei", "Rulyrana saxiscandens", "Centrolene solitaria", "Rulyrana spiculata", "Teratohyla spinosa", "Rulyrana susatamai", "Rulyrana tangarana", "Celsiella vozmedianoi", "Cochranella xanthocheridia", "Hyalinobatrachium aureoguttatum", "Catillaria muscicola", "Catillaria nigroclavata", "Catillaria picila", "Catillaria scotinodes", "Catillaria subnegans", "Catillaria subviridis", "Catillaria terrena", "Catillaria tristis", "Cornufer bufoniformis", "Cornufer guppyi", "Cornufer malukuna", "Cornufer opisthodon", "Cornufer vogti", "Cornufer heffernani", "Cornufer acrochordus", "Cornufer aculeodactylus", "Cornufer adiastolus", "Cornufer akarithymus", "Platymantis banahao", "Cornufer batantae", "Cornufer bimaculatus", "Cornufer boulengeri", "Cornufer browni", "Cornufer bufonulus", "Platymantis cagayanensis", "Cornufer cheesmanae", "Platymantis cornutus", "Platymantis corrugatus", "Cornufer cryptotis", "Platymantis diesmosi", "Platymantis dorsalis", "Cornufer gilliardi", "Platymantis guentheri", "Platymantis hazelae", "Platymantis indeprensus", "Platymantis insulatus", "Platymantis isarog", "Platymantis lawtoni", "Platymantis levigatus", "Platymantis luzonensis", "Cornufer macrops", "Cornufer macrosceles", "Cornufer magnus", "Cornufer mamusiorum", "Proceratophrys appendiculata", "Proceratophrys avelinoi", "Proceratophrys bigibbosa", "Proceratophrys boiei", "Curetis insularis", "Proceratophrys brauni", "Proceratophrys concavitympanum", "Proceratophrys cristiceps", "Proceratophrys cururu", "Proceratophrys fryi", "Curetis sperthis", "Proceratophrys goyana", "Proceratophrys laticeps", "Curetis siva", "Proceratophrys melanopogon", "Curetis bulis", "Proceratophrys moehringi", "Proceratophrys palustris", "Curetis tonkina", "Proceratophrys paviotii", "Proceratophrys phyllostoma", "Proceratophrys schirchi", "Proceratophrys subguttata", "Curetis felderi", "Curetis santana", "Curetis freda", "Curetis brunnea", "Curetis barsine", "Aslauga vininga", "Aslauga vininga vininga", "Aslauga vininga kiellandi", "Aslauga bella", "Aslauga aura", "Aslauga camerunica", "Cornufer mimicus", "Platymantis mimulus", "Platymantis montanus", "Cornufer myersi", "Cornufer nakanaiorum", "Platymantis naomiae", "Cornufer neckeri", "Platymantis negrosensis", "Cornufer nexipus", "Platymantis panayensis", "Cornufer papuensis", "Cornufer parkeri", "Cornufer pelewensis", "Platymantis polillensis", "Platymantis pseudodorsalis", "Cornufer punctatus", "Platymantis pygmaeus", "Platymantis rabori", "Platymantis rhipiphalcus", "Cornufer schmidti", "Platymantis sierramadrensis", "Cornufer solomonis", "Platymantis spelaeus", "Platymantis subterrestris", "Cornufer sulcatus", "Platymantis taylori", "Cornufer vitianus", "Cornufer vitiensis", "Cornufer weberi", "Cornufer wuenscheorum", "Atelognathus ceii", "Atelognathus grandisonae", "Atelognathus jeinimenensis", "Atelognathus nitoi", "Atelognathus patagonicus", "Atelognathus praebasalticus", "Atelognathus reverberii", "Atelognathus salai", "Atelognathus solitarius", "Batrachyla antartandica", "Batrachyla fitzroya", "Batrachyla leptopus", "Batrachyla nibaldoi", "Batrachyla taeniata", "Ceratophrys aurita", "Ceratophrys calcarata", "Holocola ammostigma", "Holocola baeodes", "Holocola hypomolybda", "Holocola notosphena", "Holocola tarachodes", "Holocola pericyphana", "Holocola deloschema", "Holocola liturata", "Nosphistica erratica", "Nosphistica fenestrata", "Nosphistica tarokoensis", "Nosphistica paramecola", "Nosphistica effrenata", "Nosphistica acriella", "Nosphistica fuscolepis", "Nosphistica metalychna", "Nosphistica bisinuata", "Nosphistica undulata", "Dracaena braunii", "Macroglossum ungues", "Macroglossum ungues ungues", "Macroglossum ungues cheni", "Monobolodes prunaria", "Monobolodes rectifascia", "Monobolodes undatifascia", "Monobolodes parvinigrata", "Monobolodes pseudosimulans", "Monobolodes ruptifascia", "Ceratophrys joazeirensis", "Ceratophrys stolzmanni", "Ceratophrys testudo", "Chacophrys pierottii", "Lepidobatrachus asper", "Lepidobatrachus laevis", "Lepidobatrachus llanensis", "Telmatobius brachydactylus", "Telmatobius macrostomus", "Telmatobius atahualpai", "Telmatobius bolivianus", "Telmatobius carrillae", "Telmatobius espadai", "Telmatobius hintoni", "Telmatobius pefauri", "Telmatobius punctatus", "Telmatobius sanborni", "Telmatobius timens", "Telmatobius verrucosus", "Cryptobatrachus boulengeri", "Cryptobatrachus fuhrmanni", "Cryptobatrachus nicefori", "Tegeticula californica", "Tegeticula tehuacana", "Tegeticula tambasi", "Tegeticula baja", "Lethe kouleikouzana", "Euconocephalus thunbergi", "Spinoloricus turbatio", "Oratosquillina nordica", "Conocephalus chinensis", "Mimasyngenes lepidotus", "Mimasyngenes multisetosus", "Thoropa lutzi", "Thoropa megatympanum", "Thoropa miliaris", "Thoropa petropolitana", "Thoropa saxatilis", "Crossodactylodes bokermanni", "Crossodactylodes izecksohni", "Crossodactylodes pintoi", "Cycloramphus acangatan", "Cycloramphus asper", "Cycloramphus bandeirensis", "Hyalinobatrachium bergeri", "Hyalinobatrachium chirripoi", "Hyalinobatrachium colymbiphyllum", "Hyalinobatrachium crurifasciatum", "Hyalinobatrachium duranti", "Hyalinobatrachium eccentricum", "Hyalinobatrachium esmeralda", "Hyalinobatrachium fleischmanni", "Hyalinobatrachium fragile", "Hyalinobatrachium guairarepanense", "Hyalinobatrachium iaspidiense", "Hyalinobatrachium ibama", "Hyalinobatrachium ignioculus", "Hyalinobatrachium mondolfii", "Hyalinobatrachium munozorum", "Hyalinobatrachium orientale", "Hyalinobatrachium pallidum", "Hyalinobatrachium pellucidum", "Hyalinobatrachium ruedai", "Hyalinobatrachium talamancae", "Hyalinobatrachium tatayoi", "Hyalinobatrachium taylori", "Hyalinobatrachium valerioi", "Hyalinobatrachium vireovittatum", "Vitreorana eurygnatha", "Vitreorana parvula", "Vitreorana uranoscopa", "Nymphargus anomalus", "Nymphargus armatus", "Nymphargus bejaranoi", "Nymphargus buenaventura", "Nymphargus cariticommatus", "Nymphargus chami", "Nymphargus chancas", "Nymphargus cochranae", "Nymphargus cristinae", "Nymphargus garciae", "Nymphargus griffithsi", "Nymphargus ignotus", "Nymphargus laurae", "Nymphargus luminosus", "Nymphargus luteopunctatus", "Nymphargus megacheirus", "Nymphargus mixomaculatus", "Nymphargus nephelophila", "Nymphargus oreonympha", "Nymphargus phenax", "Nymphargus pluvialis", "Nymphargus posadae", "Nymphargus prasinus", "Nymphargus rosada", "Nymphargus ruizi", "Nymphargus siren", "Nymphargus spilotus", "Nymphargus truebae", "Nymphargus wileyi", "Aslauga lamborni", "Aslauga bitjensis", "Aslauga modesta", "Aslauga pandora", "Aslauga purpurascens", "Aslauga marshalli", "Aslauga marshalli marshalli", "Aslauga marshalli adamaoua", "Aslauga latifurca", "Aslauga orientalis", "Aslauga atrophifurca", "Aslauga australis", "Aslauga abri", "Aslauga bouyeri", "Aslauga bouyeri bouyeri", "Aslauga bouyeri congdoni", "Aslauga confusa", "Aslauga ernesti", "Aslauga febe", "Aslauga guineensis", "Aslauga imitans", "Aslauga kallimoides", "Aslauga karamoja", "Aslauga katangana", "Aslauga marginalis", "Aslauga prouvosti", "Aslauga satyroides", "Aslauga tanga", "Euliphyra hewitsoni", "Euliphyra mirifica", "Liphyra brassolis", "Liphyra grandis", "Taraka hamada", "Taraka mahanetra", "Taraka shiloi", "Melanitis belinda", "Melanitis belinda belinda", "Melanitis belinda adingi", "Lethe hecate", "Lethe hecate haba", "Lethe hecate zao", "Lethe lanaris", "Lethe lanaris exista", "Lethe ocellata", "Lethe ocellata mon", "Lethe kazuichiroi", "Stefania schuberti", "Stefania tamacuarina", "Stefania woodleyi", "Alsodes australis", "Alsodes barrioi", "Alsodes gargola", "Alsodes hugoi", "Alsodes igneus", "Alsodes kaweshkari", "Alsodes laevis", "Alsodes monticola", "Alsodes nodosus", "Alsodes pehuenche", "Alsodes valdiviensis", "Alsodes verrucosus", "Alsodes vittatus", "Eupsophus calcaratus", "Eupsophus contulmoensis", "Eupsophus emiliopugini", "Eupsophus insularis", "Eupsophus migueli", "Eupsophus nahuelbutensis", "Eupsophus queulensis", "Eupsophus roseus", "Eupsophus septentrionalis", "Eupsophus vertebralis", "Hylorina sylvatica", "Insuetophrynus acarpicus", "Curetis thetis", "Limnomedusa macroglossa", "Macrogenioglottus alipioi", "Odontophrynus achalensis", "Odontophrynus americanus", "Odontophrynus barrioi", "Odontophrynus carvalhoi", "Odontophrynus cordobae", "Curetis nesophila", "Odontophrynus cultripes", "Curetis saronis", "Odontophrynus lavillai", "Proceratophrys moratoi", "Odontophrynus occidentalis", "Curetis tagalica", "Odontophrynus salvatori", "Curetis regula", "Colostethus fugax", "Colostethus furviventris", "Colostethus imbricolus", "Colostethus inguinalis", "Colostethus jacobuspetersi", "Colostethus latinasus", "Colostethus lynchi", "Colostethus mertensi", "Colostethus panamensis", "Colostethus pratti", "Colostethus ruthveni", "Colostethus thorntoni", "Colostethus ucumari", "Colostethus yaguara", "Colostethus poecilonotus", "Colostethus ramirezi", "Truljalia hibinonis", "Truljalia hibinonis hibinonis", "Trilophidia annulata", "Trilophidia japonica", "Idaea nigra", "Cymothoe heliada", "Cymothoe heliada monforti", "Cymothoe oemilius", "Cymothoe hyarbita", "Cymothoe reinholdi", "Cymothoe lucasii", "Cymothoe owassae", "Cymothoe egesta", "Cymothoe megaesta", "Cymothoe orphnina", "Helictophanes prospera", "Helictophanes scambodes", "Helictophanes myriolychna", "Helictophanes uberana", "Irianassa aetheria", "Loboschiza koenigiana", "Loboschiza martia", "Loboschiza hemicosma", "Loboschiza exemplaris", "Gampsocleis buergeri", "Loboschiza deloxantha", "Loboschiza thoenarcha", "Loboschiza furiosa", "Loboschiza delomilta", "Metaselena lepta", "Metaselena allophlebodes", "Oriodryas olbophora", "Periphoeba trebida", "Pseudancylis acrogypsa", "Pseudancylis rostrifera", "Pseudancylis percnobathra", "Pternidora phloeotis", "Tetramoera gracilistria", "Thysanocrepis crossota", "Toninia tristis subsp. tristis", "Nerodia sipedon", "Nerodia erythrogaster", "Galictis cuja", "Ictonyx libyca", "Lyncodon patagonicus", "Martes gwatkinsii", "Meles leucurus", "Melogale personata", "Allopaa barmoachensis", "Cymothoe lurida", "Cymothoe colmanti", "Cymothoe hypatha", "Cymothoe hesiodotus", "Cymothoe cyclades", "Cymothoe ochreata", "Cymothoe sassiana", "Cymothoe hesiodina", "Cymothoe fontainei", "Cymothoe herminia", "Cymothoe weymeri", "Cymothoe howarthi", "Cymothoe isiro", "Cymothoe fumana", "Cymothoe haynae", "Cymothoe amenides", "Cymothoe consanguis", "Cymothoe althea", "Cymothoe eris", "Cymothoe caprina", "Cymothoe capella", "Cymothoe coranus", "Cymothoe caenis", "Cymothoe alcimeda", "Cymothoe teita", "Cymothoe jodutta", "Cymothoe alticola", "Cymothoe lambertoni", "Cymothoe dujardini", "Cymothoe vumbui", "Cymothoe aurivillii", "Cymothoe beckeri", "Cymothoe zombana", "Cymothoe melanjae", "Cymothoe collinsi", "Cymothoe magambae", "Cymothoe amaniensis", "Cymothoe cottrelli", "Cymothoe indamora", "Cymothoe zenkeri", "Cymothoe altisidora", "Cymothoe angulifascia", "Cymothoe adela", "Cymothoe aubergeri", "Cymothoe collarti", "Cymothoe sangaris", "Cymothoe magnus", "Cymothoe hobarti", "Cymothoe euthalioides", "Cymothoe harmilla", "Cymothoe ogova", "Cymothoe aramis", "Cymothoe coccinata", "Cymothoe anitorgis", "Cymothoe mabillei", "Cymothoe hartigi", "Cymothoe rebeli", "Cymothoe excelsa", "Cymothoe distincta", "Cymothoe arcuata", "Cymothoe meridionalis", "Cymothoe reginaeelisabethae", "Cymothoe crocea", "Cymothoe preussi", "Cymothoe haimodia", "Cymothoe radialis", "Cymothoe oemilius oemilius", "Cymothoe oemilius fernandina", "Cymothoe hyarbita hyarbita", "Cymothoe hyarbita hyarbitina", "Cymothoe reinholdi reinholdi", "Cymothoe reinholdi vitalis", "Cymothoe lucasii lucasii", "Cymothoe lucasii binotorum", "Cymothoe lucasii cloetensi", "Cymothoe lucasii minigorum", "Cymothoe egesta egesta", "Cymothoe egesta confusa", "Cymothoe orphnina orphnina", "Cymothoe orphnina suavis", "Cymothoe lurida lurida", "Pliciloricus enigmaticus", "Cymothoe lurida azumai", "Pliciloricus dubius", "Pliciloricus gracilis", "Cymothoe lurida butleri", "Pliciloricus orphanus", "Pliciloricus profundus", "Cymothoe lurida centralis", "Cymothoe lurida hesione", "Cymothoe lurida sublurida", "Cymothoe lurida tristis", "Cymothoe hypatha hypatha", "Cymothoe hypatha okomu", "Rugiloricus carolinensis", "Rugiloricus cauliculus", "Rugiloricus ornatus", "Nanaloricus mysticus", "Cymothoe hesiodotus hesiodotus", "Cymothoe hesiodotus clarior", "Cymothoe hesiodotus nigeriensis", "Cymothoe heliada heliada", "Cymothoe heliada liberatorum", "Cymothoe heliada mutshindji", "Cymothoe sassiana sassiana", "Cymothoe sassiana intermedia", "Cymothoe fontainei fontainei", "Cymothoe fontainei debauchei", "Cymothoe herminia herminia", "Cymothoe herminia gongoa", "Cymothoe herminia johnstoni", "Cymothoe herminia katshokwe", "Cymothoe weymeri weymeri", "Cymothoe weymeri mulatta", "Cymothoe fumana fumana", "Cymothoe fumana balluca", "Cymothoe fumana villiersi", "Cymothoe haynae haynae", "Cymothoe cottrelli livingstonensis", "Minyobates steyermarki", "Cymothoe cottrelli njombe", "Oophaga arborea", "Cymothoe indamora indamora", "Oophaga granulifera", "Oophaga histrionica", "Oophaga lehmanni", "Cymothoe indamora amorinda", "Oophaga occultator", "Cymothoe indamora canui", "Oophaga pumilio", "Oophaga speciosa", "Oophaga sylvatica", "Oophaga vicentei", "Cymothoe collarti collarti", "Cymothoe collarti werneri", "Cymothoe sangaris sangaris", "Cymothoe sangaris luluana", "Phyllobates aurotaenia", "Phyllobates bicolor", "Phyllobates lugubris", "Phyllobates terribilis", "Phyllobates vittatus", "Cymothoe hobarti hobarti", "Cymothoe hobarti candidata", "Cymothoe hobarti lactanganyikae", "Cymothoe hobarti mwamikazi", "Cymothoe euthalioides euthalioides", "Cymothoe euthalioides albomarginata", "Cymothoe harmilla harmilla", "Cymothoe harmilla kraepelini", "Cymothoe harmilla micans", "Cymothoe aramis aramis", "Cymothoe aramis schoutedeni", "Cymothoe coccinata coccinata", "Cymothoe coccinata vrydaghi", "Cymothoe hartigi hartigi", "Cymothoe hartigi vanessae", "Cymothoe excelsia excelsia", "Cymothoe excelsia deltoides", "Cymothoe excelsia regisleopoldi", "Cymothoe distincta distincta", "Cymothoe distincta kivuensis", "Cymothoe meridionalis meridionalis", "Cymothoe meridionalis ghesquierei", "Cymothoe reginaeelisabethae reginaeelisabethae", "Cymothoe reginaeelisabethae belgarum", "Daternomina birrarung", "Daternomina genoaensis", "Daternomina alicewellsae", "Daternomina ulltra", "Daternomina loowa", "Daternomina warrook", "Daternomina hamata", "Daternomina ikathan", "Daternomina bifida", "Daternomina scissura", "Ecnomina incisura", "Ecnomina lamingtonensis", "Ecnomina scutica", "Ecnomina specensis", "Euphaedra medon", "Ecnomina sheldoni", "Ecnomina serrata", "Ecnomina gippslandica", "Ecnomina concava", "Ecnomina foramen", "Ecnomina merki", "Ecnomina beela", "Ecnomina ramosa", "Ecnomina volcella", "Ecnomina bula", "Ecnomina wirromandi", "Ecnomina alluna", "Ecnomina anulla", "Ecnomina manicula", "Ecnomina kepin", "Ecnomina rostrata", "Ecnomina wanarra", "Ecnomina wamoom", "Ecnomina gullea", "Ecnomina attunga", "Ecnomina boogoo", "Toninia arctica", "Toninia aromatica", "Toninia caeruleonigricans", "Toninia candida", "Toninia cervina", "Toninia cinereovirens", "Toninia coelestina", "Toninia diffracta", "Toninia episema", "Toninia fusispora", "Toninia lurida", "Toninia massata", "Toninia mesoidea", "Toninia nashii", "Toninia opuntioides", "Toninia philippea", "Toninia physaroides", "Toninia rosulata", "Cymothoe haynae diphyia", "Cymothoe haynae fumosa", "Cymothoe haynae superba", "Cymothoe haynae vosiana", "Cymothoe althea althea", "Cymothoe althea bobi", "Cymothoe eris eris", "Cymothoe eris capellides", "Cymothoe eris sankuruana", "Epipedobates anthonyi", "Epipedobates boulengeri", "Epipedobates espinosai", "Epipedobates machalilla", "Epipedobates tricolor", "Silverstoneia erasmios", "Silverstoneia flotator", "Silverstoneia nubicola", "Cymothoe coranus coranus", "Cymothoe coranus dowsetti", "Cymothoe coranus kiellandi", "Cymothoe coranus murphyi", "Adelphobates castaneoticus", "Adelphobates galactonotus", "Adelphobates quinquevittatus", "Cymothoe alcimeda alcimeda", "Cymothoe alcimeda clarki", "Cymothoe alcimeda marieps", "Cymothoe alcimeda rhodesiae", "Cymothoe alcimeda transvaalica", "Cymothoe alcimeda trimeni", "Cymothoe jodutta jodutta", "Cymothoe jodutta ciceronis", "Cymothoe jodutta ehmckei", "Cymothoe jodutta mostinckxi", "Dendrobates leucomelas", "Cymothoe aurivillii aurivillii", "Dendrobates nubeculosus", "Cymothoe aurivillii handeni", "Cymothoe aurivillii latifasciata", "Cymothoe aurivillii nguru", "Cymothoe aurivillii tenuifasciae", "Cymothoe beckeri beckeri", "Dendrobates truncatus", "Cymothoe beckeri theodosia", "Cymothoe magambae magambae", "Cymothoe magambae pareensis", "Cymothoe cottrelli cottrelli", "Toninia sedifolia", "Toninia squalescens", "Toninia subdiffracta", "Toninia subdispersa", "Toninia subfuscae", "Toninia submexicana", "Toninia subnitida", "Toninia subtalparum", "Toninia superioris", "Toninia taurica", "Toninia thiopsora", "Toninia toniniana", "Toninia tristis", "Toninia verrucarioides", "Toninia wetmorei", "Thaumatotibia zophophanes", "Gymnandrosoma genomela", "Cryptophlebia ombrodelta", "Cryptophlebia iridosoma", "Cryptophlebia rhynchias", "Cryptophlebia pallifimbriana", "Acanthoclita trichograpta", "Pammenopsis barbata", "Microsarotis sanderyi", "Commoneria cyanosticha", "Parapammene dyserasta", "Ixonympha hyposcopa", "Eucosmogastra miltographa", "Eucosmogastra poetica", "Eucosmogastra pyrrhopa", "Paronychia argentea", "Andinobates altobueyensis", "Ranitomeya amazonica", "Andinobates bombetes", "Andinobates claudiae", "Gemmula flata", "Gemmula grandigyrata", "Lophiotoma pseudocosmoi", "Lophiotoma verticala", "Lymanopoda dietzi", "Lymanopoda dietzi dietzi", "Macrobiotus almadai", "Lymanopoda dyari", "Lymanopoda eubagioides", "Doryphoribius picoensis", "Lymanopoda excisa", "Lymanopoda excisa excisa", "Lymanopoda excisa browni", "Lymanopoda euopis", "Lymanopoda ferruginosa", "Lymanopoda ferruginosa ferruginosa", "Lymanopoda galactea", "Lymanopoda hazelana", "Lymanopoda hazelana hazelana", "Lymanopoda hazelana summa", "Toninia tristis subsp. asiae-centralis", "Rhopobota hortaria", "Toninia tristis subsp. chihuahuana", "Toninia tristis subsp. gigantea", "Toninia tristis subsp. canadensis", "Toninia tristis subsp. scholanderi", "Lasiophila circe", "Lasiophila circe circe", "Lasiophila circe cnephas", "Lasiophila circe zarathustra", "Lasiophila circe farallonensis", "Paradiglotta nunni", "Diglotta brasiliensis", "Ceutorhynchoides squamatus", "Ceutorhynchoides styracis", "Hainokisaruzo japonicus", "Hainokisaruzo infuscatus", "Hainokisaruzo fulvus", "Hainokisaruzo wuyishanensis", "Lymanopoda ionius", "Lymanopoda ionius ionius", "Lymanopoda ionius gargantua", "Lymanopoda acraeida", "Lymanopoda acraeida acraeida", "Lymanopoda acraeida chavezi", "Lymanopoda acraeida malia", "Lymanopoda acraeida zigomala", "Lymanopoda affineola", "Lymanopoda albocincta", "Lymanopoda albocincta albocincta", "Lymanopoda albocincta intermedia", "Lymanopoda albocincta issacha", "Lymanopoda albomaculata", "Lymanopoda albomaculata albomaculata", "Lymanopoda altaselva", "Lymanopoda altis", "Lymanopoda apulia", "Lymanopoda araneola", "Lymanopoda caeruleata", "Lymanopoda caracara", "Lymanopoda caucana", "Lymanopoda caudalis", "Lymanopoda cinna", "Lymanopoda confusa", "Arothron reticularis", "Armorloricus kristenseni", "Armorloricus elegans", "Phoeniciloricus simplidigitatus", "Armorloricus davidi", "Cycloramphus bolitoglossus", "Cycloramphus boraceiensis", "Cycloramphus brasiliensis", "Cycloramphus carvalhoi", "Cycloramphus catarinensis", "Cycloramphus cedrensis", "Cycloramphus diringshofeni", "Cycloramphus dubius", "Cycloramphus duseni", "Cycloramphus eleutherodactylus", "Cycloramphus fuliginosus", "Cycloramphus granulosus", "Cycloramphus izecksohni", "Megaelosia jordanensis", "Cycloramphus juimirim", "Cycloramphus lutzorum", "Cycloramphus migueli", "Cycloramphus mirandaribeiroi", "Cycloramphus ohausi", "Cycloramphus rhyakonastes", "Cycloramphus semipalmatus", "Cycloramphus stejnegeri", "Cycloramphus valae", "Zachaenus carvalhoi", "Zachaenus parvulus", "Rupirana cardosoi", "Ameerega andina", "Ameerega bassleri", "Ameerega bilinguis", "Ameerega boliviana", "Ameerega braccata", "Ameerega cainarachi", "Ameerega erythromos", "Ameerega flavopicta", "Ameerega hahneli", "Ameerega ingeri", "Ameerega labialis", "Ameerega macero", "Ameerega maculata", "Ameerega parvula", "Ameerega peruviridis", "Ameerega petersi", "Ameerega picta", "Ameerega planipaleae", "Ameerega pongoensis", "Ameerega pulchripecta", "Ameerega rubriventris", "Ameerega silverstonei", "Ameerega simulans", "Ameerega smaragdina", "Ameerega trivittata", "Ameerega yungicola", "Colostethus brachistriatus", "Colostethus dysprosium", "Colostethus fraterdanieli", "Nanorana unculuanus", "Nanorana ventripunctata", "Nanorana vicina", "Nanorana yunnanensis", "Altopedaliodes cocytia", "Altopedaliodes kruegeri", "Altopedaliodes kurti", "Altopedaliodes nebris", "Altopedaliodes pasicles", "Altopedaliodes perita", "Altopedaliodes perita perita", "Altopedaliodes reissi", "Altopedaliodes reissi reissi", "Altopedaliodes reissi flavomaculata", "Altopedaliodes reissi salazari", "Altopedaliodes tena", "Altopedaliodes tena tena", "Altopedaliodes tena nucea", "Altopedaliodes zsolti", "Altopedaliodes zsolti zsolti", "Apexacuta astoreth", "Apexacuta astoreth astoreth", "Apexacuta improvisa", "Apexacuta superior", "Apexacuta orsedice", "Apexacuta orsedice orsedice", "Toninia clemens", "Apexacuta orsedice colombiana", "Apexacuta orsedice violacea", "Hyloxalus excisus", "Hyloxalus faciopunctulatus", "Hyloxalus fallax", "Hyloxalus fascianigrus", "Hyloxalus fuliginosus", "Hyloxalus idiomelus", "Hyloxalus infraguttatus", "Hyloxalus insulatus", "Hyloxalus lehmanni", "Hyloxalus leucophaeus", "Hyloxalus littoralis", "Hyloxalus maculosus", "Hyloxalus maquipucuna", "Hyloxalus marmoreoventris", "Hyloxalus mittermeieri", "Hyloxalus mystax", "Hyloxalus nexipus", "Hyloxalus parcus", "Hyloxalus patitae", "Hyloxalus peculiaris", "Hyloxalus peruvianus", "Hyloxalus pinguis", "Hyloxalus pulchellus", "Hyloxalus pulcherrimus", "Hyloxalus pumilus", "Hyloxalus ramosi", "Hyloxalus ruizi", "Hyloxalus saltuarius", "Hyloxalus sauli", "Hyloxalus shuar", "Hyloxalus sordidatus", "Hyloxalus spilotogaster", "Hyloxalus subpunctatus", "Hyloxalus sylvaticus", "Hyloxalus toachi", "Hyloxalus utcubambensis", "Hyloxalus vergeli", "Hyloxalus vertebralis", "Hyloxalus whymperi", "Andinobates daleswansoni", "Andinobates dorisswansonae", "Ranitomeya fantastica", "Ranitomeya flavovittata", "Ranitomeya ignea", "Ranitomeya imitator", "Ranitomeya intermedia", "Andinobates minutus", "Andinobates opisthomelas", "Ranitomeya reticulata", "Ranitomeya rubrocephala", "Ranitomeya sirensis", "Ranitomeya uakarii", "Ranitomeya vanzolinii", "Ranitomeya variabilis", "Ranitomeya ventrimaculata", "Andinobates viridis", "Andinobates virolinensis", "Hyloxalus abditaurantius", "Hyloxalus aeruginosus", "Hyloxalus anthracinus", "Hyloxalus argyrogaster", "Hyloxalus awa", "Hyloxalus azureiventris", "Hyloxalus betancuri", "Hyloxalus bocagei", "Hyloxalus borjai", "Hyloxalus breviquartus", "Hyloxalus cevallosi", "Hyloxalus chlorocraspedus", "Hyloxalus chocoensis", "Hyloxalus delatorreae", "Hyloxalus edwardsi", "Hyloxalus elachyhistus", "Hyloxalus eleutherodactylus", "Hyloxalus exasperatus", "Allopaa hazarensis", "Annandia delacouri", "Chrysopaa sternosignata", "Euphlyctis cyanophlyctis", "Euphlyctis ehrenbergii", "Euphlyctis ghoshi", "Euphlyctis hexadactylus", "Toonavora aellaea", "Fejervarya altilabris", "Fejervarya andamanensis", "Fejervarya assimilis", "Toninia tristis subsp. arizonica", "Fejervarya brama", "Fejervarya brevipalmata", "Fejervarya cancrivora", "Fejervarya frithii", "Fejervarya greenii", "Fejervarya iskandari", "Fejervarya keralensis", "Fejervarya kirtisinghei", "Fejervarya limnocharis", "Fejervarya moodiei", "Fejervarya multistriata", "Fejervarya murthii", "Fejervarya mysorensis", "Fejervarya nepalensis", "Fejervarya nicobariensis", "Fejervarya nilagirica", "Fejervarya orissaensis", "Fejervarya parambikulamana", "Fejervarya pierrei", "Fejervarya pulla", "Fejervarya raja", "Fejervarya rufescens", "Crocidosema apicinota", "Fejervarya sauriceps", "Fejervarya schlueteri", "Fejervarya syhadrensis", "Fejervarya teraiensis", "Fejervarya triora", "Fejervarya verruculosa", "Fejervarya vittigera", "Hoplobatrachus chinensis", "Hoplobatrachus crassus", "Hoplobatrachus occipitalis", "Hoplobatrachus tigerinus", "Coenobiodes melanocosma", "Coenobiodes euryochra", "Melanodaedala scopulosana", "Lymanopoda huilana", "Lymanopoda huilana huilana", "Lymanopoda huilana cajamarca", "Lymanopoda hyagnis", "Lymanopoda ichu", "Lymanopoda inde", "Lymanopoda ingasayana", "Lymanopoda magna", "Lymanopoda labda", "Lymanopoda labda labda", "Gekko wenxianensis", "Lymanopoda labineta", "Lymanopoda labineta labineta", "Lymanopoda labineta piniasi", "Lymanopoda lactea", "Lymanopoda lebbaea", "Lymanopoda lebbaea lebbaea", "Limnonectes acanthi", "Limnonectes arathooni", "Limnonectes asperatus", "Limnonectes blythii", "Limnonectes dabanus", "Limnonectes dammermani", "Lymanopoda maletera", "Limnonectes diuatus", "Limnonectes doriae", "Limnonectes finchi", "Limnonectes fragilis", "Lymanopoda marianna", "Lymanopoda marianna marianna", "Lymanopoda melendeza", "Limnonectes fujianensis", "Lymanopoda melia", "Limnonectes grunniens", "Limnonectes gyldenstolpei", "Limnonectes hascheanus", "Limnonectes heinrichi", "Limnonectes ibanorum", "Limnonectes ingeri", "Lymanopoda nadia", "Limnonectes kadarsani", "Limnonectes kenepaiensis", "Limnonectes khammonensis", "Platocoelotes ampulliformis", "Limnonectes khasianus", "Platocoelotes brevis", "Limnonectes kohchangae", "Platocoelotes furcatus", "Platocoelotes strombuliformis", "Limnonectes kuhlii", "Limnonectes leporinus", "Jalmenus inous", "Jalmenus inous bronwynae", "Penaincisalia amatamba", "Abloxurina dominiquae", "Eumaeini sect.", "Dinica sulciformis", "Dinica rotunda", "Dinica uncata", "Dinica ruiliensis", "Lymanopoda samius", "Lymanopoda samius samius", "Lymanopoda samius lineana", "Lymanopoda pascua", "Lymanopoda paisa", "Lymanopoda lebbaea moritzi", "Lymanopoda lecromi", "Lymanopoda florenciaensis", "Euselasia alburna", "Euselasia alburna alburna", "Euselasia alburna hesione", "Epiphanes chihuahuaensis", "Epiphanes hawaiiensis", "Epiphanes ukera", "Myersinella longiforceps", "Myersinella uncodonta", "Marylinka secunda", "Marylinka mimera", "Parirazona bomana", "Parirazona caracae", "Henricus bibelonus", "Arhuaco ica", "Arhuaco dryadina", "Calisto ainigma", "Calisto aleucosticha", "Calisto amazona", "Calisto anegadensis", "Calisto arcas", "Calisto archebates", "Calisto batesi", "Calisto chrysaoros", "Calisto chlenchi", "Calisto clydoniata", "Calisto confusa", "Calisto crypta", "Calisto dystacta", "Calisto eleleus", "Calisto franciscoi", "Calisto gonzalezi", "Calisto grannus", "Calisto herophile", "Calisto hysius", "Calisto loxias", "Calisto lyceius", "Calisto micheneri", "Calisto micrommata", "Calisto montana", "Calisto neiba", "Calisto neochma", "Calisto nubila", "Calisto obscura", "Calisto pauli", "Calisto phoinix", "Calisto pulchella", "Calisto raburni", "Calisto schwartzi", "Calisto sibylla", "Calisto sommeri", "Calisto tasajera", "Calisto thomasi", "Calisto tragius", "Calisto wetherbeei", "Calisto woodsi", "Calisto zangis", "Calisto galii choneupsilon", "Calisto grannus grannus", "Calisto grannus dilemma", "Calisto herophile herophile", "Calisto herophile apollinis", "Calisto herophile bruneri", "Calisto herophile parsonsi", "Calisto pulchella pulchella", "Calisto pulchella darlingtoni", "Calisto sibylla sibylla", "Calisto sibylla bradleyi", "Calisto sibylla muripetensis", "Calisto sibylla smintheus", "Lymanopoda nivea", "Lymanopoda nivea nivea", "Lymanopoda nivea bingo", "Hylodes fredi", "Hylodes glaber", "Hylodes heyeri", "Hylodes lateristrigatus", "Hylodes magalhaesi", "Hylodes meridionalis", "Hylodes mertensi", "Hylodes nasus", "Hylodes ornatus", "Hylodes otavioi", "Hylodes perplicatus", "Hylodes phyllodes", "Hylodes pipilans", "Hylodes regius", "Hylodes sazimai", "Hylodes uai", "Hylodes vanzolinii", "Megaelosia apuana", "Megaelosia bocainensis", "Megaelosia boticariana", "Megaelosia goeldii", "Megaelosia lutzae", "Megaelosia massarti", "Acanthixalus sonjae", "Acanthixalus spinosus", "Hyperolius thoracotuberculatus", "Hyperolius tornieri", "Hyperolius torrentis", "Hyperolius tuberculatus", "Hyperolius tuberilinguis", "Hyperolius vilhenai", "Hyperolius viridiflavus", "Hyperolius viridigulosus", "Hyperolius viridis", "Hyperolius watsonae", "Hyperolius wermuthi", "Hyperolius xenorhinus", "Hyperolius zonatus", "Lethocerus deyrollei", "Lethocerus indicus", "Hyperolius acuticephalus", "Hyperolius acuticeps", "Hyperolius acutirostris", "Hyperolius ademetzi", "Hyperolius adspersus", "Hyperolius albofrenatus", "Hyperolius argus", "Hyperolius atrigularis", "Hyperolius balfouri", "Hyperolius baumanni", "Dendromus insignis", "Dendromus lovati", "Dendromus melanotis", "Dendromus mesomelas", "Dendromus messorius", "Dendromus mystacalis", "Dendromus kivu", "Dendromus nyikae", "Dendromus oreas", "Dendromus vernayi", "Ophrys apifera apifera", "Materpiscis attenboroughi", "Amischa paolettii", "Helwingia japonica", "Afrixalus aureus", "Afrixalus clarkeorum", "Afrixalus delicatus", "Afrixalus dorsalis", "Afrixalus dorsimaculatus", "Afrixalus enseticola", "Afrixalus equatorialis", "Afrixalus fornasini", "Lymanopoda nivea bonita", "Lymanopoda nivea sororcula", "Lymanopoda obsoleta", "Lymanopoda orientalis", "Lymanopoda panacea", "Lymanopoda paramera", "Lymanopoda prusia", "Lymanopoda rana", "Lymanopoda schmidti", "Lymanopoda tolima", "Lymanopoda venosa", "Lymanopoda viventieni", "Ophrys apifera", "Paramunna quadratifrons", "Caecianiropsis psammophila", "Janiralata davisi", "Janiralata rajata", "Pleurogonium californiense", "Joeropsis dubia", "Acanthomunna tannerensis", "Momedossa symmetrica", "Eurycope californiensis", "Ilyarachna profunda", "Joeropsis concava", "Nannonisconus latipleonus", "Uromunna ubiquita", "Munna chromatocephala", "Munna halei", "Ianiropsis kincaidi", "Ianiropsis epilittoralis", "Ianiropsis analoga", "Ianiropsis magnocula", "Ianiropsis montereyensis", "Ianiropsis minuta", "Ianiropsis tridens", "Munnogonium tillerae", "Ilyarachna acarina", "Munna spinifrons", "Munnogonium erratum", "Munna magnifica", "Drepanis funerea", "Drepanis pacifica", "Anadelphia afzeliana", "Avahi mooreorum", "Bombus abnormis", "Bombus avanus", "Bombus beaticola", "Physalaemus aguirrei", "Physalaemus albifrons", "Physalaemus albonotatus", "Physalaemus angrensis", "Limnonectes leytensis", "Limnonectes limborgi", "Limnonectes macrocephalus", "Limnonectes macrodon", "Limnonectes macrognathus", "Limnonectes magnus", "Limnonectes malesianus", "Limnonectes mawlyndipi", "Mecogonopodium carpathicum", "Limnonectes mawphlangensis", "Limnonectes micrixalus", "Limnonectes microdiscus", "Limnonectes microtympanum", "Limnonectes modestus", "Limnonectes namiyei", "Limnonectes nitidus", "Limnonectes palavanensis", "Limnonectes paramacrodon", "Limnonectes parvus", "Lymanopoda nevada", "Limnonectes plicatellus", "Limnonectes poilani", "Lymanopoda nevada nevada", "Limnonectes rhacoda", "Lymanopoda nevada nevadensis", "Limnonectes shompenorum", "Limnonectes timorensis", "Limnonectes tweediei", "Limnonectes visayanus", "Limnonectes woodworthi", "Fejervarya sahyadris", "Nannophrys ceylonensis", "Nannophrys guentheri", "Nannophrys marmorata", "Nannophrys naeyakai", "Nanorana aenea", "Nanorana annandalii", "Nanorana arnoldi", "Nanorana blanfordii", "Nanorana bourreti", "Nanorana chayuensis", "Nanorana conaensis", "Nanorana ercepeae", "Nanorana feae", "Nanorana gammii", "Nanorana liebigii", "Nanorana liui", "Nanorana maculosa", "Nanorana medogensis", "Nanorana minica", "Nanorana mokokchungensis", "Nanorana parkeri", "Nanorana pleskei", "Nanorana polunini", "Nanorana quadranus", "Nanorana rarica", "Nanorana rostandi", "Nanorana taihangnica", "Henricus bleptus", "Henricus cuspis", "Henricus perissus", "Henricus platanillanus", "Heleophryne hewitti", "Heleophryne natalensis", "Heleophryne orientalis", "Heleophryne purcelli", "Heleophryne regis", "Heleophryne rosei", "Hemiphractus bubalus", "Hemiphractus fasciatus", "Hemiphractus helioi", "Hemiphractus johnsoni", "Hemiphractus proboscideus", "Hemiphractus scutatus", "Hemisus barotseensis", "Hemisus brachydactylus", "Hemisus guineensis", "Hemisus guttatus", "Hemisus marmoratus", "Hemisus microscaphus", "Hemisus olivaceus", "Hemisus perreti", "Hemisus wittei", "Crossodactylus aeneus", "Crossodactylus caramaschii", "Crossodactylus cyclospinus", "Crossodactylus dantei", "Crossodactylus dispar", "Crossodactylus gaudichaudii", "Crossodactylus grandis", "Crossodactylus lutzorum", "Crossodactylus schmidti", "Crossodactylus trachystomus", "Hylodes amnicola", "Hylodes asper", "Hylodes babax", "Hylodes charadranaetes", "Hylodes dactylocinus", "Quasipaa boulengeri", "Quasipaa exilispinosa", "Quasipaa fasciculispina", "Quasipaa jiulongensis", "Quasipaa robertingeri", "Quasipaa shini", "Quasipaa spinosa", "Quasipaa verrucospinosa", "Quasipaa yei", "Semanga superba", "Sphaerotheca breviceps", "Semanga superba colinmahagani", "Sphaerotheca dobsoni", "Sphaerotheca leucorhynchus", "Sphaerotheca rolandae", "Sphaerotheca strachani", "Cupido staudingeri", "Liurana alpina", "Ingerana charlesdarwini", "Ingerana liui", "Alcalus mariae", "Liurana medogensis", "Ingerana reticulata", "Alcalus sariba", "Alcalus tasanae", "Ingerana tenasserimensis", "Liurana xizangensis", "Phrynoglossus baluensis", "Cupido staudingeri ardakanus", "Ingerana borealis", "Phrynoglossus celebensis", "Cupido staudingeri osirisimile", "Phrynoglossus diminutivus", "Phrynoglossus floresianus", "Phrynoglossus laevis", "Occidozyga lima", "Phrynoglossus magnapustulosus", "Phrynoglossus martensii", "Phrynoglossus semipalmatus", "Phrynoglossus sumatranus", "Afrixalus fulvovittatus", "Afrixalus knysnae", "Afrixalus lacteus", "Afrixalus laevis", "Afrixalus leucostictus", "Afrixalus lindholmi", "Afrixalus morerei", "Afrixalus nigeriensis", "Afrixalus orophilus", "Afrixalus osorioi", "Afrixalus paradorsalis", "Afrixalus quadrivittatus", "Afrixalus schneideri", "Afrixalus spinifrons", "Afrixalus stuhlmanni", "Afrixalus uluguruensis", "Afrixalus upembae", "Afrixalus vibekensis", "Afrixalus vittiger", "Afrixalus weidholzi", "Afrixalus wittei", "Alexteroon hypsiphonus", "Alexteroon jynx", "Alexteroon obstetricans", "Arlequinus krebsi", "Callixalus pictus", "Chlorolius koehleri", "Chrysobatrachus cupreonitens", "Cryptothylax greshoffii", "Cryptothylax minutus", "Heterixalus alboguttatus", "Heterixalus andrakata", "Heterixalus betsileo", "Heterixalus boettgeri", "Heterixalus carbonei", "Heterixalus luteostriatus", "Heterixalus madagascariensis", "Heterixalus punctatus", "Heterixalus rutenbergi", "Heterixalus tricolor", "Heterixalus variabilis", "Kaurimyia thorpei", "Hyperolius benguellensis", "Setodes chipolanus", "Hyperolius bicolor", "Macrolophus pygmaeus", "Hyperolius bobirensis", "Hyperolius bocagei", "Hyperolius bolifambae", "Hyperolius bopeleti", "Hyperolius brachiofasciatus", "Hyperolius camerunensis", "Hyperolius castaneus", "Hyperolius chlorosteus", "Hyperolius chrysogaster", "Hyperolius cinereus", "Hyperolius cinnamomeoventris", "Hyperolius concolor", "Hyperolius cystocandicans", "Hyperolius diaphanus", "Hyperolius dintelmanni", "Hyperolius discodactylus", "Hyperolius endjami", "Hyperolius fasciatus", "Hyperolius ferreirai", "Hyperolius ferrugineus", "Hyperolius frontalis", "Hyperolius fuscigula", "Hyperolius fusciventris", "Hyperolius ghesquieri", "Hyperolius glandicolor", "Hyperolius gularis", "Hyperolius guttulatus", "Hyperolius horstockii", "Hyperolius houyi", "Hyperolius hutsebauti", "Hyperolius igbettensis", "Hyperolius inornatus", "Hyperolius kachalolae", "Hyperolius kibarae", "Hyperolius kihangensis", "Hyperolius kivuensis", "Hyperolius kuligae", "Hyperolius lamottei", "Hyperolius langi", "Hyperolius lateralis", "Hyperolius laticeps", "Bodianus bilunulatus", "Sula sula rubripes", "Sula leucogaster plotus", "Sula dactylatra personata", "Kassina arboricola", "Kassina cassinoides", "Kassina cochranae", "Kassina decorata", "Kassina fusca", "Kassina jozani", "Kassina kuvangensis", "Kassina lamottei", "Kassina maculata", "Kassina maculifer", "Kassina maculosa", "Kassina mertensi", "Kassina schioetzi", "Kassina senegalensis", "Kassina somalica", "Kassina wazae", "Kassinula wittei", "Opisthothylax immaculatus", "Delias baracasa", "Delias baracasa baracasa", "Delias baracasa basilana", "Tegosa fragilis", "Tegosa fragilis fragilis", "Tegosa fragilis laurenti", "Polyura schreiber", "Polyura schreiber schreiber", "Polyura schreiber lindae", "Euthalia aconthea", "Euthalia aconthea abangae", "Malacosteus australis", "Melitaea oorschoti", "Ritra aurea", "Ritra aurea aurea", "Ritra aurea similis", "Ombrana sikimensis", "Somuncuria somuncurensis", "Hydrolaetare dantasi", "Hydrolaetare schmidti", "Synchiropus splendidus", "Symphrasites eocenicus", "Leptomantispa catarinae", "Appasus japonicus", "Grammatostomias flagellibarba", "Stigmatopora narinosa", "Eutropiichthys salweenensis", "Eutropiichthys britzi", "Lepidium flavum", "Panopea abrupta", "Panopea bitruncata", "Panopea generosa", "Hyperolius laurenti", "Hyperolius leleupi", "Hyperolius leucotaenius", "Hyperolius lucani", "Hyperolius maestus", "Hyperolius major", "Hyperolius marginatus", "Hyperolius mariae", "Hyperolius marmoratus", "Hyperolius minutissimus", "Hyperolius mitchelli", "Hyperolius molleri", "Hyperolius montanus", "Hyperolius mosaicus", "Hyperolius nasicus", "Hyperolius nasutus", "Hyperolius nienokouensis", "Hyperolius nimbae", "Hyperolius nitidulus", "Hyperolius obscurus", "Hyperolius occidentalis", "Hyperolius ocellatus", "Hyperolius parallelus", "Hyperolius pardalis", "Hyperolius parkeri", "Hyperolius phantasticus", "Hyperolius pickersgilli", "Hyperolius picturatus", "Hyperolius pictus", "Hyperolius platyceps", "Hyperolius polli", "Hyperolius polystictus", "Hyperolius poweri", "Hyperolius protchei", "Hyperolius pseudargus", "Hyperolius puncticulatus", "Hyperolius punctulatus", "Hyperolius pusillus", "Hyperolius pustulifer", "Hyperolius pyrrhodictyon", "Hyperolius quadratomaculatus", "Hyperolius quinquevittatus", "Hyperolius raveni", "Hyperolius reesi", "Hyperolius rhizophilus", "Hyperolius rhodesianus", "Hyperolius riggenbachi", "Hyperolius robustus", "Hyperolius rubrovermiculatus", "Hyperolius sankuruensis", "Hyperolius schoutedeni", "Hyperolius seabrai", "Hyperolius semidiscus", "Hyperolius sheldricki", "Hyperolius soror", "Hyperolius spatzi", "Hyperolius spinigularis", "Hyperolius steindachneri", "Hyperolius stenodactylus", "Hyperolius substriatus", "Hyperolius swynnertoni", "Hyperolius sylvaticus", "Hyperolius tannerorum", "Hyperolius thomensis", "Paracassina kounhiensis", "Paracassina obscura", "Phlyctimantis boulengeri", "Phlyctimantis keithae", "Phlyctimantis leonardi", "Phlyctimantis verrucosus", "Semnodactylus wealii", "Tachycnemis seychellensis", "Edalorhina nasuta", "Edalorhina perezi", "Engystomops coloradorum", "Engystomops guayaco", "Engystomops montubio", "Engystomops petersi", "Engystomops pustulatus", "Engystomops pustulosus", "Engystomops randi", "Eupemphix nattereri", "Cotithene anaphalanta", "Cotithene dicranopygia", "Cotithene leptorhamphis", "Cotithene melanoptera", "Cotithene stratiotricha", "Cotithene trigaea", "Reticulaphis inflata", "Reticulaphis septica", "Scythrophrys sawayae", "Adelotus brevis", "Heleioporus albopunctatus", "Heleioporus australiacus", "Heleioporus barycragus", "Heleioporus eyrei", "Heleioporus inornatus", "Heleioporus psammophilus", "Lechriodus aganoposis", "Lechriodus fletcheri", "Lechriodus melanopyga", "Lechriodus platyceps", "Limnodynastes convexiusculus", "Limnodynastes depressus", "Limnodynastes dorsalis", "Limnodynastes fletcheri", "Limnodynastes interioris", "Limnodynastes lignarius", "Limnodynastes peronii", "Limnodynastes salmini", "Limnodynastes terraereginae", "Neobatrachus albipes", "Neobatrachus aquilonius", "Neobatrachus centralis", "Neobatrachus fulvus", "Neobatrachus kunapalari", "Neobatrachus pelobatoides", "Neobatrachus pictus", "Neobatrachus sudelli", "Neobatrachus sutor", "Neobatrachus wilsmorei", "Notaden bennettii", "Notaden melanoscaphus", "Notaden nichollsi", "Notaden weigeli", "Lobomyia neotropica", "Krisna daiyunensis", "Krisna furcata", "Krisna viraktamathi", "Nemoura concava", "Nemoura junhuae", "Nemoura mesospina", "Nemoura stellata", "Nemoura wangi", "Empicoris suminoi", "Empicoris magnispineus", "Empicoris maeharai", "Empicoris okinawanus", "Empicoris spectabilis", "Empicoris egregius", "Pseudagrion fumipennis", "Termitotrox ancoroides", "Termitotrox consobrinus", "Termitotrox kenyensis", "Termitotrox maynei", "Termitotrox monodi", "Termitotrox minutus", "Termitotrox permirus", "Termitotrox vanbruggeni", "Termitotrox usambaricus", "Termitotrox turkanicus", "Sculptolobus sulcifer", "Henricus hemitelius", "Henricus icogramma", "Henricus improvisus", "Henricus inanimalis", "Henricus inchoatus", "Henricus infernalis", "Henricus insolitus", "Henricus inspergatus", "Henricus macrocarpana", "Henricus melanoleuca", "Henricus metalliferus", "Henricus montuosus", "Henricus ophryodes", "Henricus palimpsestus", "Henricus paredrus", "Henricus parmulus", "Dionysia involucrata", "Veronica hederifolia", "Gomortega keule", "Adansonia grandidieri", "Henricus platina", "Phalonidia cholovalva", "Phalonidia claudia", "Cochylis cataphracta", "Imelcana camelina", "Meridulia meridana", "Meridulia chaenostium", "Meridulia zerpana", "Parmulia laculetana", "Oregocerata colossa", "Anadelphia bigeniculata", "Anadelphia chevalieri", "Anadelphia funerea", "Anadelphia hamata", "Anadelphia leptocoma", "Anadelphia liebigiana", "Anadelphia macrochaeta", "Anadelphia polychaeta", "Anadelphia pumila", "Pristigaster cayana", "Petasites doerfleri", "Leptodactylus albilabris", "Adenomera andreae", "Adenomera araucaria", "Adenomera bokermanni", "Leptodactylus bolivianus", "Leptodactylus bufonius", "Leptodactylus caatingae", "Leptodactylus camaquara", "Leptodactylus chaquensis", "Leptodactylus colombiensis", "Leptodactylus cunicularius", "Leptodactylus didymus", "Leptodactylus diedrus", "Adenomera diptyx", "Leptodactylus discodactylus", "Leptodactylus elenae", "Leptodactylus fallax", "Leptodactylus flavopictus", "Leptodactylus fragilis", "Leptodactylus furnarius", "Leptodactylus fuscus", "Leptodactylus gracilis", "Leptodactylus griseigularis", "Adenomera heyeri", "Adenomera hylaedactyla", "Leptodactylus hylodes", "Leptodactylus jolyi", "Leptodactylus knudseni", "Leptodactylus labrosus", "Leptodactylus labyrinthicus", "Leptodactylus laticeps", "Leptodactylus latinasus", "Leptodactylus lauramiriamae", "Leptodactylus leptodactyloides", "Leptodactylus lineatus", "Leptodactylus lithonaetes", "Leptodactylus longirostris", "Agallia catiae", "Goniagnathus crocodontis", "Goniagnathus osmelaki", "Goniagnathus pectinatus", "Goniagnathus venenensis", "Erasmoneura emeljanovi", "Erasmoneura margaritae", "Erythroneura bakeri", "Erythroneura browni", "Erythroneura carinata", "Erythroneura glabra", "Erythroneura kerzhneri", "Erythroneura ortha", "Erythroneura triapitsyni", "Macrosteles bimaculatus", "Macrosteles tibetensis", "Macrosteles latiaedeagus", "Longicornus flavipuncatus", "Anidiocerus bimaculatus", "Anidiocerus curvatus", "Isolineocerus pusillus", "Barolineocerus acius", "Barolineocerus apiculus", "Barolineocerus bispinus", "Barolineocerus chiasmus", "Barolineocerus declivus", "Barolineocerus elongatus", "Barolineocerus furcatus", "Barolineocerus ornatus", "Barolineocerus spinosus", "Cubrasa brevida", "Cubrasa longula", "Aethes affinis", "Aethes afghana", "Reticulitermes speratus", "Physalaemus atlanticus", "Physalaemus barrioi", "Physalaemus biligonigerus", "Physalaemus bokermanni", "Physalaemus caete", "Physalaemus camacan", "Physalaemus centralis", "Physalaemus cicada", "Physalaemus crombiei", "Physalaemus cuqui", "Physalaemus cuvieri", "Physalaemus deimaticus", "Physalaemus ephippifer", "Physalaemus erikae", "Physalaemus erythros", "Physalaemus evangelistai", "Physalaemus fernandezae", "Physalaemus fischeri", "Physalaemus freibergi", "Physalaemus gracilis", "Physalaemus henselii", "Physalaemus jordanensis", "Physalaemus kroyeri", "Physalaemus lisei", "Physalaemus maculiventris", "Physalaemus marmoratus", "Physalaemus maximus", "Physalaemus moreirae", "Physalaemus nanus", "Physalaemus obtectus", "Physalaemus olfersii", "Physalaemus riograndensis", "Physalaemus rupestris", "Physalaemus santafecinus", "Physalaemus signifer", "Physalaemus soaresi", "Physalaemus spiniger", "Pleurodema bibroni", "Pleurodema borellii", "Pleurodema brachyops", "Pleurodema bufoninum", "Pleurodema cinereum", "Pleurodema diplolister", "Pleurodema fuscomaculatum", "Pleurodema guayapae", "Pleurodema kriegi", "Pleurodema marmoratum", "Pleurodema nebulosum", "Pleurodema thaul", "Pleurodema tucumanum", "Pseudopaludicola boliviana", "Pseudopaludicola ceratophryes", "Pseudopaludicola falcipes", "Pseudopaludicola llanera", "Pseudopaludicola mineira", "Pseudopaludicola mystacalis", "Pseudopaludicola pusilla", "Pseudopaludicola saltica", "Pseudopaludicola ternetzi", "Philoria frosti", "Philoria kundagungan", "Philoria loveridgei", "Philoria pughi", "Philoria richmondensis", "Philoria sphagnicolus", "Boophis albilabris", "Boophis albipunctatus", "Boophis andohahela", "Boophis anjanaharibeensis", "Boophis ankaratra", "Boophis axelmeyeri", "Boophis blommersae", "Boophis boehmei", "Argyrotaenia cordillerae", "Boophis bottae", "Boophis brachychir", "Boophis burgeri", "Boophis doulioti", "Boophis elenae", "Boophis englaenderi", "Boophis erythrodactylus", "Boophis feonnyala", "Boophis goudotii", "Boophis guibei", "Boophis haematopus", "Boophis hillenii", "Boophis idae", "Boophis jaegeri", "Boophis laurenti", "Boophis andreonei", "Henricus glaesarius", "Henricus montanus", "Henricus acosmetes", "Henricus ademonia", "Henricus ateleutus", "Henricus attalus", "Henricus ceramocerus", "Henricus charagus", "Henricus chriograptus", "Henricus chroicopterus", "Henricus cognata", "Henricus comes", "Henricus comes comes", "Henricus comes vicecomes", "Henricus contrastana", "Henricus cristobalicus", "Henricus edwardsiana", "Henricus ellampus", "Henricus exploratus", "Henricus exsanguis", "Henricus flebilis", "Henricus fuscodorsana", "Henricus generosus", "Miclucha australiensis", "Ozoliarus bullocki", "Ozoliarus nourlangiensis", "Ozoliarus quercistylus", "Ozoliarus cuspidistylus", "Ozoliarus rotundistylus", "Ozoliarus catherinae", "Ozoliarus cynosurus", "Ozoliarus golgolensis", "Ozoliarus maru", "Ozoliarus pitta", "Ozoliarus serratus", "Ozoliarus smithi", "Ozoliarus quadratistylus", "Ozoliarus semicircularis", "Ozoliarus triangularis", "Ozoliarus taroomensis", "Ozoliarus umbella", "Ozoliarus alces", "Ozoliarus antennoides", "Ozoliarus bumarangoides", "Ozoliarus dedariensis", "Ozoliarus latifundus", "Ozoliarus olene", "Ozoliarus pelecanus", "Ozoliarus poculum", "Ceratoxanthis adriatica", "Ceratoxanthis argentomixtana", "Ceratoxanthis externana", "Ceratoxanthis iberica", "Ceratoxanthis rakosyella", "Minicaraboacarus quadridiscalis", "Adenomera lutzi", "Leptodactylus macrosternum", "Leptodactylus magistris", "Leptodactylus marambaiae", "Adenomera marmorata", "Adenomera martinezi", "Leptodactylus melanonotus", "Leptodactylus myersi", "Leptodactylus mystaceus", "Leptodactylus mystacinus", "Leptodactylus natalensis", "Leptodactylus nesiotus", "Leptodactylus notoaktites", "Leptodactylus paraensis", "Leptodactylus pascoensis", "Leptodactylus pentadactylus", "Leptodactylus peritoaktites", "Leptodactylus petersii", "Leptodactylus plaumanni", "Leptodactylus podicipinus", "Leptodactylus poecilochilus", "Leptodactylus pustulatus", "Leptodactylus rhodomerus", "Leptodactylus rhodomystax", "Leptodactylus rhodonotus", "Leptodactylus rhodostima", "Leptodactylus riveroi", "Leptodactylus rugosus", "Leptodactylus sabanensis", "Leptodactylus savagei", "Leptodactylus silvanimbus", "Leptodactylus spixi", "Leptodactylus stenodema", "Leptodactylus syphax", "Leptodactylus tapiti", "Adenomera thomei", "Leptodactylus troglodytes", "Leptodactylus turimiquensis", "Leptodactylus validus", "Leptodactylus vastus", "Leptodactylus ventrimaculatus", "Leptodactylus viridis", "Leptodactylus wagneri", "Paratelmatobius cardosoi", "Paratelmatobius gaigeae", "Paratelmatobius lutzii", "Paratelmatobius mantiqueira", "Paratelmatobius pictiventris", "Paratelmatobius poecilogaster", "Triatoma rubrofasciata", "Regalecus glesne", "Triatoma infestans", "Bathypterois grallator", "Triatoma dimidiata", "Aethes alatavica", "Ignicoccus pacificus", "Aethes amseli", "Aethes amseli amseli", "Aethes amseli pamirana", "Aethes bistigmatus", "Aethes flagellana", "Aethes flagellana flagellana", "Aethes flagellana atlasi", "Aethes flagellana sardoa", "Gephyromantis ambohitra", "Gephyromantis asper", "Gephyromantis blanci", "Gephyromantis boulengeri", "Gephyromantis cornutus", "Gephyromantis corvus", "Gephyromantis decaryi", "Gephyromantis eiselti", "Gephyromantis enki", "Gephyromantis granulatus", "Gephyromantis horridus", "Gephyromantis klemmeri", "Gephyromantis leucocephalus", "Gephyromantis luteus", "Gephyromantis leucomaculatus", "Gephyromantis malagasius", "Gephyromantis moseri", "Gephyromantis plicifer", "Gephyromantis pseudoasper", "Gephyromantis redimitus", "Gephyromantis rivicola", "Gephyromantis runewsweeki", "Gephyromantis salegy", "Gephyromantis schilfi", "Gephyromantis sculpturatus", "Gephyromantis silvanus", "Gephyromantis spiniferus", "Gephyromantis striatus", "Gephyromantis tandroka", "Gephyromantis thelenae", "Gephyromantis tschenki", "Gephyromantis ventrimaculatus", "Gephyromantis webbi", "Gephyromantis zavona", "Blommersia grandisonae", "Chelipodozus trauco", "Blommersia kely", "Blommersia sarotra", "Blommersia wittei", "Boehmantis microtympanum", "Megaselia edenensis", "Megaselia peckorum", "Mecyclothorax lackneri", "Mecyclothorax kubor", "Ditrifa trifida", "Transtillaspis armifera", "Netechma gnathocera", "Seticosta niveonigra", "Bonagota piosana", "Meridagena bicerithium", "Orthocomotis chlamyda", "Sisurcana batalloana", "Argyrotaenia ferruginea", "Clepsis nevadae", "Heloderma suspectum", "Henricus powelli", "Henricus rhiobursa", "Henricus rubrograptus", "Henricus tenerima", "Henricus turbula", "Henricus umbrabasana", "Henricus zelotes", "Cyphonia andina", "Poppea colombiana", "Poppea pallida", "Poppea turrialbae", "Mantidactylus betsileanus", "Mantidactylus biporus", "Mantidactylus bourgati", "Mantidactylus brevipalmatus", "Mantidactylus charlotteae", "Mantidactylus cowanii", "Mantidactylus curtus", "Mantidactylus delormei", "Mantidactylus femoralis", "Mantidactylus grandidieri", "Mantidactylus guttulatus", "Mantidactylus lugubris", "Mantidactylus madecassus", "Mantidactylus majori", "Mantidactylus melanopleura", "Mantidactylus mocquardi", "Mantidactylus opiparis", "Mantidactylus pauliani", "Mantidactylus tricinctus", "Mantidactylus ulcerosus", "Mantidactylus zipperi", "Mantidactylus zolitschka", "Aethes monera", "Aethes monera monera", "Aethes monera septentrionalis", "Aethes rutilana", "Aethes rutilana rutilana", "Aethes rutilana canadiana", "Aethes tesserana", "Aethes tesserana tesserana", "Aethes tesserana magister", "Aethes triangulana", "Aethes triangulana triangulana", "Aethes triangulana excellentana", "Aethes amurensi", "Aethes angulatana", "Aethes angustana", "Aethes annosa", "Aethes ardezana", "Aethes argentilimitana", "Aethes atmospila", "Aethes atomosana", "Aethes aurofasciana", "Aethes austera", "Cordoliarus mareebensis", "Sculptolobus zoui", "Boophis liami", "Boophis lichenoides", "Boophis luteus", "Boophis madagascariensis", "Boophis majori", "Boophis mandraka", "Boophis marojezensis", "Boophis microtympanum", "Boophis miniatus", "Boophis occidentalis", "Boophis opisthodon", "Boophis pauliani", "Boophis periegetes", "Chelipodozus australis", "Boophis picturatus", "Boophis pyrrhus", "Boophis rappiodes", "Boophis reticulatus", "Boophis rhodoscelis", "Boophis rufioculis", "Boophis sambirano", "Boophis schuboeae", "Boophis septentrionalis", "Boophis sibilans", "Boophis solomaso", "Boophis tasymena", "Boophis tephraeomystax", "Boophis viridis", "Boophis vittatus", "Boophis williamsi", "Boophis xerophilus", "Chelipodozus araucariana", "Chelipodozus chelipodiformis", "Aglyptodactylus laticeps", "Aglyptodactylus madagascariensis", "Aglyptodactylus securifer", "Chelipodozus chodlipang", "Laliostoma labrosum", "Chelipodozus luteothorax", "Chelipodozus mapucheensis", "Blommersia blommersae", "Blommersia domerguei", "Guibemantis albolineatus", "Guibemantis bicalcaratus", "Guibemantis depressiceps", "Guibemantis flavobrunneus", "Guibemantis kathrinae", "Guibemantis liber", "Guibemantis pulcher", "Guibemantis punctatus", "Guibemantis timidus", "Guibemantis tornieri", "Mantella baroni", "Mantella bernhardi", "Mantella betsileo", "Mantella cowanii", "Mantella crocea", "Mantella ebenaui", "Mantella expectata", "Mantella haraldmeieri", "Mantella laevigata", "Mantella madagascariensis", "Mantella manery", "Mantella milotympanum", "Mantella nigricans", "Mantella pulchra", "Mantella viridis", "Mantidactylus aerumnalis", "Mantidactylus albofrenatus", "Mantidactylus alutus", "Mantidactylus ambohimitombi", "Mantidactylus ambreensis", "Mantidactylus argenteus", "Mantidactylus bellyi", "Scutiger ningshanensis", "Scutiger nyingchiensis", "Scutiger pingwuensis", "Scutiger sikimmensis", "Scutiger tuberculatus", "Amallectis devincta", "Aphalonia monstrata", "Aphalonia praeposita", "Aprepodoxa glycitis", "Aprepodoxa mimocharis", "Banhadoa luculenta", "Belemgena phlattotreta", "Leucanthemum paludosum", "Verrucaria aranensis", "Verrucaria arctica", "Verrucaria aspecta", "Verrucaria asperula", "Verrucaria aspiciliicola", "Verrucaria beltraminiana", "Verrucaria bernaicensis", "Verrucaria bernardinensis", "Verrucaria botellispora", "Verrucaria bryoctona", "Verrucaria bulgarica", "Verrucaria caerulea", "Verrucaria calciseda", "Verrucaria calkinsiana", "Verrucaria canella", "Verrucaria cataleptoides", "Verrucaria cetera", "Verrucaria ceuthocarpa", "Verrucaria compacta", "Verrucaria confluens", "Verrucaria dacryodes", "Verrucaria degelii", "Verrucaria devergens", "Verrucaria devergescens", "Verrucaria deversa", "Verrucaria ditmarsica", "Verrucaria dolosa", "Helicobacter acinonychis", "Helicobacter aurati", "Helicobacter bilis", "Helicobacter bizzozeronii", "Helicobacter canadensis", "Helicobacter canis", "Helicobacter cholecystus", "Helicobacter cinaedi", "Helicobacter felis", "Helicobacter fennelliae", "Helicobacter ganmani", "Helicobacter hepaticus", "Helicobacter mesocricetorum", "Helicobacter muridarum", "Helicobacter mustelae", "Helicobacter nemestrinae", "Helicobacter pametensis", "Helicobacter pullorum", "Helicobacter rodentium", "Helicobacter salomonis", "Helicobacter trogontum", "Helicobacter typhlonius", "Verrucaria elaeina", "Verrucaria endocarpoides", "Verrucaria erichsenii", "Verrucaria falcata", "Verrucaria fayettensis", "Verrucaria finkiana", "Verrucaria floerkeana", "Spinomantis microtis", "Spinomantis peraccae", "Spinomantis phantasticus", "Wakea madinika", "Tsingymantis antitra", "Macasinia vilhena", "Borneophrys edwardinae", "Brachytarsophrys carinense", "Leptobrachella parva", "Leptobrachium banae", "Leptobrachium buchardi", "Leptobrachium chapaense", "Leptobrachium gunungense", "Leptobrachium hainanense", "Leptobrachium hasseltii", "Leptobrachium hendricksoni", "Leptobrachium huashen", "Leptobrachium montanum", "Leptobrachium mouhoti", "Leptobrachium nigrops", "Leptobrachium pullum", "Leptobrachium smithi", "Leptobrachium xanthospilum", "Leptolalax alpinus", "Leptolalax arayai", "Leptolalax bourreti", "Leptolalax dringi", "Leptolalax fulginosus", "Leptolalax gracilis", "Leptolalax hamidi", "Leptolalax heteropus", "Leptolalax kajangensis", "Saphenista alpha", "Leptolalax lateralis", "Leptolalax liui", "Leptolalax maurus", "Leptolalax melanolecuus", "Leptolalax nahangensis", "Leptolalax oshanensis", "Saphenista beta", "Leptolalax pelodytoides", "Leptolalax pictus", "Leptolalax pluvialis", "Leptolalax solus", "Leptolalax sungi", "Leptolalax tuberosus", "Spinipogon studiosus", "Spinipogon thes", "Spinipogon trivius", "Spinipogon veracruzanus", "Agapeta angelana", "Agapeta hamana", "Agapeta largana", "Agapeta zoegana", "Verrucaria murina", "Verrucaria murorum", "Verrucaria nigrescens", "Verrucaria nigrescentoidea", "Verrucaria nigrofusca", "Verrucaria novomexicana", "Verrucaria obductilis", "Verrucaria obnigrescens", "Verrucaria obsoleta", "Verrucaria ochrostoma", "Verrucaria olivacella", "Aethes baloghi", "Verrucaria onegensis", "Verrucaria ossiseda", "Verrucaria papillosa", "Verrucaria parmigerella", "Verrucaria phaeothelena", "Verrucaria phloeophila", "Verrucaria pinguicula", "Verrucaria praetermissa", "Verrucaria prominula", "Verrucaria prosoplectenchymatica", "Verrucaria pseudonigrescens", "Verrucaria quercina", "Verrucaria riddleana", "Verrucaria ruderella", "Verrucaria ruderum", "Verrucaria rufofuscella", "Verrucaria rupestris", "Verrucaria rupicola", "Verrucaria sandstedei", "Aethes beatricella", "Aethes bicuspis", "Verrucaria schindleri", "Verrucaria silicicola", "Verrucaria simplex", "Verrucaria sorbicola", "Verrucaria sordida", "Aethes bilbaensis", "Verrucaria sphaerospora", "Verrucaria sphinctrina", "Aethes deaurana", "Aethes decens", "Aethes decimana", "Aethes delotypa", "Aethes dentifera", "Aethes destituta", "Aethes deutschiana", "Aethes dilucidana", "Aethes eichleri", "Aethes elpidia", "Aethes evanida", "Azana atlantica", "Poecilochaetus perequensis", "Poecilochaetus polycirratus", "Lissodesmus grampianensis", "Gephyrodesmus arcuatus", "Gephyrodesmus coolahensis", "Gephyrodesmus regilacus", "Gephyrodesmus cineraceus", "Orthorhachis catherinae", "Orthorhachis celtica", "Orthorhachis christinae", "Orthorhachis durabilis", "Orthorhachis gloriosa", "Orthorhachis inflata", "Orthorhachis jubata", "Orthorhachis kerewong", "Orthorhachis monteithi", "Orthorhachis oresbia", "Orthorhachis serrata", "Orthorhachis tallagandensis", "Orthorhachis vinnula", "Orthorhachis weiri", "Orthorhachis yabbra", "Orthorhachis pallida", "Orthorhachis cavatica", "Orthorhachis paradoxalis", "Microsphaerotherium ivohibiensis", "Aethes fennicana", "Aethes fernaldana", "Aethes ferruginea", "Aethes flava", "Aethes floccosana", "Aethes francillana", "Aethes furvescens", "Aethes westratei", "Aethes williana", "Aethes xanthina", "Aethesoides allodapa", "Aethesoides chalcospila", "Aethesoides columbiana", "Aethesoides distigmatana", "Aethesoides enclitica", "Aethesoides hondurasica", "Aethesoides inanita", "Aethesoides mexicana", "Aethesoides stellans", "Aethesoides timia", "Cartagogena februa", "Cartagogena ferruminata", "Cartagogena filtrata", "Chloanohieris comastes", "Cochylidia altivaga", "Aedes albopictus", "Aethes louisiana", "Aethes luteopictana", "Aethes lygrana", "Aethes macasiana", "Aethes margaritana", "Aethes margaritifera", "Aethes margarotana", "Aethes matheri", "Aethes matthewcruzi", "Aethes mauritanica", "Aethes mesomelana", "Aethes mirifica", "Alcyonium aurantiacum", "Alcyonium grandis", "Alcyonium haddoni", "Alcyonium jorgei", "Alcyonium roseum", "Alcyonium sidereum", "Alcyonium yepayek", "Bellonella rubistella", "Aethes mordax", "Bellonella tenuis", "Aethes moribundana", "Aethes munda", "Aethes mymara", "Aethes nefandana", "Aethes obliquana", "Aethes obscurana", "Aethes olibra", "Curcuma larsenii", "Aedes aegypti", "Verrucaria stanfordii", "Aethes biscana", "Aethes bomonana", "Verrucaria subdivisa", "Verrucaria subfuscella", "Verrucaria subglaucina", "Verrucaria submersella", "Aethes caucasia", "Verrucaria submuralis", "Aethes cinereoviridana", "Aethes citreoflava", "Aethes cnicana", "Verrucaria thalassina", "Verrucaria trabicola", "Verrucaria turgida", "Aethes confinis", "Verrucaria umbrinula", "Verrucaria viridigrana", "Aethes conomochla", "Verrucaria viridula", "Aethes conversana", "Verrucaria weddellii", "Verrucaria xyloxena", "Aethes cremona", "Verrucaria zamenhofiana", "Acarolella gentilis", "Acarolella obnixa", "Acarolella stereopis", "Ophryophryne gerti", "Ophryophryne hansi", "Actihema hemiacta", "Ophryophryne microstoma", "Ophryophryne pachyproctus", "Ophryophryne synoria", "Scutiger adungensis", "Scutiger bhutanensis", "Scutiger boulengeri", "Scutiger brevipes", "Scutiger chintingensis", "Scutiger glandulatus", "Scutiger gongshanensis", "Scutiger jiulongensis", "Scutiger liupanensis", "Scutiger maculatus", "Linepithema humile", "Scutiger mammatus", "Scutiger muliensis", "Scutiger nepalensis", "Alobevania gattiae", "Alobevania longisaeta", "Alobevania tavaresi", "Oecobius eberhardi", "Platoecobius kooch", "Draconarius acutus", "Draconarius complanatus", "Draconarius expansus", "Draconarius magnarcuatus", "Draconarius pseudocoreanus", "Draconarius subabsentis", "Draconarius sublutulentus", "Draconarius tensus", "Draconarius ventrifurcatus", "Draconarius zonalis", "Phalonidia linharesa", "Phalonidia fariasana", "Phalonidia monocera", "Phalonidia docilis", "Phalonidia cerina", "Velhoania paradoxa", "Lasiothyris exocha", "Spinomantis aglavei", "Spinomantis bertini", "Spinomantis brunae", "Spinomantis elegans", "Spinomantis fimbriatus", "Spinomantis guibei", "Spinomantis massorum", "Verrucaria foveolata", "Verrucaria fraudulosa", "Verrucaria funckii", "Verrucaria furfuracea", "Verrucaria fusca", "Verrucaria fuscella", "Verrucaria fuscoatroides", "Verrucaria fusconigrescens", "Verrucaria glaucina", "Verrucaria glaucovirens", "Verrucaria granulosaria", "Lasiothyris guanana", "Lasiothyris subsorbia", "Verrucaria halizoa", "Lasiothyris puertoricana", "Verrucaria halophiloides", "Verrucaria hochstetteri", "Spinipogon virginanus", "Verrucaria hydrela", "Eugnosta fraudulenta", "Verrucaria illinoisensis", "Verrucaria incrassata", "Lorita insulicola", "Verrucaria inficiens", "Verrucaria inornata", "Cochylis sierraemaestrae", "Verrucaria integra", "Verrucaria internigrescens", "Verrucaria iovensis", "Verrucaria knowlesiae", "Verrucaria kootenaica", "Verrucaria latebrosa", "Verrucaria latericola", "Vermilphalonia chytosema", "Verrucaria lobata", "Verrucaria maculicarpa", "Verrucaria maculiformis", "Verrucaria margacea", "Verrucaria marmorea", "Verrucaria melas", "Verrucaria memnonia", "Verrucaria mimicrans", "Verrucaria minor", "Spinipogon atrox", "Spinipogon elaphroterus", "Spinipogon harmozones", "Verrucaria muralis", "Spinipogon ialtris", "Spinipogon luxuria", "Spinipogon misahualli", "Spinipogon resthavenensis", "Spinipogon signata", "Spinipogon spiniferus", "Leptolalax ventripunctatus", "Saphenista rhabducha", "Megophrys kobayashii", "Megophrys ligayae", "Megophrys montana", "Megophrys nasuta", "Megophrys stejnegeri", "Saphenista chorfascia", "Saphenista scalena", "Saphenista solisae", "Saphenista novaelimae", "Planaltinella chapadana", "Planaltinella psephena", "Eugnosta ensinoana", "Eugnosta jequiena", "Eugnosta cipoana", "Eugnosta fernandoana", "Eugnosta telemacana", "Rudenia sepulturae", "Mielkeana perjura", "Deltophalonia indanzae", "Phaniola implicata", "Phaniola caboana", "Heloderma suspectum suspectum", "Heloderma suspectum cinctum", "Maricaona maricaonana", "Phalonidia mayarina", "Saphenista turguinoa", "Saphenista rosariana", "Saphenista simillima", "Saphenista cubana", "Platphalonidia holguina", "Platphalonidia remissa", "Thelocactus bicolor", "Pleurocope dasyura", "Verrucaria macrostoma", "Verrucaria acrotella", "Verrucaria adelminienii", "Verrucaria aethiobola", "Verrucaria alutacea", "Verrucaria americana", "Verrucaria amphibia", "Verrucaria amylacea", "Verrucaria anceps", "Verrucaria applanata", "Verrucaria aquatilis", "Verrucaria aquilella", "Tayassu pecari", "Malacosoma parallela", "Malacosoma parallela parallela", "Malacosoma parallela iranica", "Trichiura kopetdaghi", "Aethes pannosana", "Aethes pardaliana", "Aethes patricia", "Aethes pemeantensis", "Aethes perfidana", "Aethes persica", "Aethes piercei", "Aethes planaltinae", "Aethes portentosa", "Aethes prangana", "Aethes promptana", "Aethes rana", "Aethes razowskii", "Aethes rectilineana", "Aethes rubigana", "Aethes rubiginana", "Xenophrys pachyproctus", "Xenophrys palpebralespinosa", "Xenophrys parallela", "Xenophrys parva", "Xenophrys robusta", "Xenophrys shapingensis", "Xenophrys shuichengensis", "Xenophrys spinata", "Xenophrys wawuensis", "Xenophrys wuliangshanensis", "Xenophrys wushanensis", "Xenophrys zhangi", "Callulops fuscus", "Callulops glandulosus", "Callulops humicola", "Callulops kopsteini", "Callulops marmoratus", "Callulops personatus", "Pseudocallulops pullifer", "Callulops robustus", "Callulops sagittatus", "Metamagnusia slateri", "Callulops stictogaster", "Callulops wilhelmanus", "Choerophryne allisoni", "Choerophryne longirostris", "Choerophryne proboscidea", "Choerophryne rostellifer", "Epibulus brevis", "Diopatra tuberculantennata", "Cochylidichnium amulanum", "Pseudopenilia bathyalis", "Sarcophyton crassocaule", "Sinularia brassica", "Sinularia dura", "Sinularia leptoclados", "Botryolepraria lesdainii", "Saphenista muerta", "Saphenista bimaculata", "Cochylis campuloclinium", "Cochylimorpha kohibabae", "Eugnosta lukaszi", "Eugnosta niveicaput", "Eugnosta parapamirana", "Eugnosta parmisella", "Cochylimorpha razowskiana", "Cochylimorpha salinarida", "Eugnosta cataracta", "Eugnosta meyi", "Eugnosta namibiana", "Eugnosta acanthana", "Eugnosta aguila", "Eugnosta anxifera", "Eugnosta aphrobapta", "Eugnosta argentinae", "Eugnosta argyroplaca", "Eugnosta arrecta", "Eugnosta assecula", "Eugnosta asthenia", "Eugnosta beevorana", "Eugnosta busckana", "Eugnosta californica", "Eugnosta caracana", "Eugnosta chalasma", "Eugnosta chalicophora", "Eugnosta chemsakiana", "Eugnosta chromophanes", "Eugnosta deceptana", "Eugnosta desinens", "Eugnosta dives", "Eugnosta dyschiria", "Hirondellea fidenter", "Hirondellea trioculata", "Lampetra appendix", "Cycloptilum irregularis", "Cophixalus aenigma", "Cophixalus aimbensis", "Cophixalus ateles", "Cophixalus balbus", "Cophixalus bewaniensis", "Cophixalus biroi", "Cophixalus bombiens", "Cophixalus cheesmanae", "Cophixalus concinnus", "Cophixalus crepitans", "Cophixalus cryptotympanum", "Cophixalus daymani", "Cophixalus exiguus", "Cophixalus hosmeri", "Cophixalus humicola", "Cophixalus infacetus", "Cophixalus kaindiensis", "Cophixalus mcdonaldi", "Cophixalus misimae", "Cophixalus montanus", "Cophixalus monticola", "Cophixalus neglectus", "Cophixalus nubicola", "Cophixalus ornatus", "Cophixalus parkeri", "Cophixalus peninsularis", "Cophixalus pipilans", "Cophixalus pulchellus", "Cophixalus riparius", "Cophixalus saxatilis", "Cophixalus shellyi", "Meridiosignum menziesi", "Omonana parasimplex", "Aethes geniculata", "Aethes grandaeva", "Xigonus patagoniensis", "Allorostrata ovalis", "Quetzogonium dentatum", "Aethes hartmanniana", "Magellianira serrata", "Aethes heleniana", "Aethes hoenei", "Aethes ignobilis", "Aethes inexpecta", "Aethes intactana", "Aethes interruptofasciata", "Aethes iranica", "Aethes jonesi", "Aethes kasyi", "Coperonus mirabilis", "Coperonus pulcher", "Coperonus vanhoeffeni", "Coperonus gracilis", "Aethes kindermanniana", "Betamorpha lasia", "Betamorpha megalocephalis", "Betamorpha megista", "Cheirotonus jambar", "Aethes kyrkii", "Xenophrys aceras", "Xenophrys auralensis", "Xenophrys baluensis", "Xenophrys binchuanensis", "Xenophrys boettgeri", "Xenophrys brachykolos", "Xenophrys caudoprocta", "Xenophrys daweimontis", "Xenophrys dringi", "Xenophrys gigantica", "Xenophrys glandulosa", "Xenophrys huangshanensis", "Xenophrys jingdongensis", "Xenophrys kuatunensis", "Xenophrys lekaguli", "Xenophrys longipes", "Xenophrys major", "Xenophrys mangshanensis", "Xenophrys medogensis", "Xenophrys minor", "Xenophrys nankiangensis", "Xenophrys omeimontis", "Aethes languidana", "Aethes lateritia", "Bellemerea alpina", "Bellemerea cinereorufescens", "Bellemerea diamarta", "Bellemerea sanguinea", "Bellemerea subsorediza", "Cochylidia contumescens", "Cochylidia heydeniana", "Cochylidia implicitana", "Cochylidia moguntiana", "Cochylidia richteriana", "Cochylidia rupicola", "Cochylidia subroseana", "Aphantophryne minuta", "Aphantophryne pansa", "Aphantophryne sabini", "Asterophrys leucopus", "Asterophrys turpicola", "Austrochaperina adamantina", "Austrochaperina adelphe", "Austrochaperina aquilonia", "Austrochaperina archboldi", "Austrochaperina basipalmata", "Austrochaperina blumi", "Austrochaperina brevipes", "Austrochaperina derongo", "Austrochaperina fryi", "Austrochaperina gracilipes", "Austrochaperina guttata", "Austrochaperina hooglandi", "Austrochaperina kosarek", "Austrochaperina macrorhyncha", "Austrochaperina mehelyi", "Austrochaperina novaebritanniae", "Austrochaperina palmipes", "Austrochaperina parkeri", "Austrochaperina pluvialis", "Austrochaperina polysticta", "Austrochaperina rivularis", "Austrochaperina robusta", "Austrochaperina septentrionalis", "Austrochaperina yelaensis", "Barygenys atra", "Barygenys cheesmanae", "Barygenys exsul", "Barygenys flavigularis", "Barygenys maculata", "Barygenys nana", "Barygenys parvula", "Callulops boettgeri", "Callulops comptus", "Callulops doriae", "Callulops dubius", "Pseudocallulops eurydactylus", "Machaya obstinata", "Machaya watkinsi", "Ypthima motschulskyi", "Ypthima motschulskyi motschulskyi", "Ypthima motschulskyi niphonica", "Zelotaea lya", "Zelotaea suffusca", "Zelotaea phasma", "Zelotaea phasma phasma", "Zelotaea phasma dubia", "Zelotaea phasma eidothea", "Menander menander", "Menander menander menander", "Menander menander nitida", "Menander menander purpurata", "Menander menander thallus", "Rugiloricus polaris", "Chrysemys picta", "Schistes geoffroyi", "Oxythemis phoenicosceles", "Pagrus major", "Menander pretus", "Menander pretus pretus", "Cophixalus sisyphus", "Cophixalus sphagnicola", "Cophixalus tagulensis", "Cophixalus tetzlaffi", "Cophixalus timidus", "Cophixalus tridactylus", "Cophixalus variabilis", "Cophixalus verecundus", "Cophixalus verrucosus", "Cophixalus zweifeli", "Copiula exspectata", "Copiula fistulans", "Copiula major", "Copiula minor", "Copiula obsti", "Copiula oxyrhina", "Copiula pipiens", "Copiula tyleri", "Genyophryne thomsoni", "Hylophorbus nigrinus", "Hylophorbus picoides", "Hylophorbus rainerguentheri", "Hylophorbus richardsi", "Hylophorbus rufescens", "Hylophorbus sextus", "Hylophorbus tetraphonus", "Hylophorbus wondiwoi", "Liophryne allisoni", "Liophryne dentata", "Liophryne rhododactyla", "Liophryne rubra", "Liophryne schlaginhaufeni", "Liophryne similis", "Mantophryne infulata", "Mantophryne lateralis", "Mantophryne louisiadensis", "Eugnosta emarcida", "Eugnosta erigeronana", "Eugnosta falarica", "Eugnosta fenestrana", "Eugnosta feriata", "Eugnosta heteroclita", "Eugnosta hydrargyrana", "Eugnosta hydrargyrana hydrargyrana", "Eugnosta hydrargyrana mongolica", "Eugnosta hydrargyrana parreyssiana", "Eugnosta hysterosiana", "Eugnosta lathoniana", "Eugnosta lauta", "Eugnosta leonana", "Phtheochroa natalica", "Phtheochroa uighurica", "Theope nycteis", "Livendula amasis", "Livendula leucocyana", "Livendula epixanthe", "Livendula aminias", "Livendula aminias aminias", "Livendula balista", "Livendula balista balista", "Livendula leucophaea", "Minotauros charessa", "Minotauros lampros", "Stalachtis halloweeni", "Hemerocallis fulva", "Adelotypa mollis", "Adelotypa malca", "Adelotypa borsippa", "Adelotypa bolena", "Adelotypa penthea", "Adelotypa penthea penthea", "Adelotypa penthea nitelina", "Adelotypa trinitatis", "Adelotypa trinitatis trinitatis", "Adelotypa trinitatis ochracea", "Adelotypa trinitatis striata", "Periplacis glaucoma", "Periplacis glaucoma glaucoma", "Periplacis glaucoma splendida", "Periplacis glaucoma isthmica", "Periplacis glaucoma superba", "Pliciloricus pedicularis", "Pliciloricus shukeri", "Pliciloricus leocaudatus", "Titaniloricus inexpectatovus", "Pliciloricus corvus", "Pliciloricus senicirrus", "Oreophryne celebensis", "Oreophryne clamata", "Oreophryne crucifer", "Oreophryne flava", "Oreophryne frontifasciata", "Oreophryne geislerorum", "Oreophryne geminus", "Oreophryne habbemensis", "Oreophryne hypsiops", "Oreophryne idenburgensis", "Oreophryne inornata", "Oreophryne insulana", "Stalachtis calliope", "Stalachtis calliope calliope", "Oreophryne jeffersoniana", "Oreophryne kampeni", "Stalachtis calliope bicoler", "Oreophryne kapisa", "Oreophryne loriae", "Stalachtis calliope voltumna", "Oreophryne mertoni", "Oreophryne minuta", "Oreophryne moluccensis", "Oreophryne monticola", "Oreophryne nana", "Oreophryne notata", "Oreophryne parkeri", "Oreophryne pseudasplenicola", "Oreophryne rookmaakeri", "Oreophryne sibilans", "Oreophryne terrestris", "Oreophryne unicolor", "Oreophryne variabilis", "Oreophryne waira", "Oreophryne wapoga", "Oreophryne wolterstorffi", "Stalachtis magdalena", "Oreophryne zimmeri", "Stalachtis magdalena magdalena", "Oxydactyla alpestris", "Stalachtis magdalena cleove", "Oxydactyla brevicrus", "Oxydactyla coggeri", "Oxydactyla crassa", "Oxydactyla stenodactyla", "Pherohapsis menziesi", "Stalachtis phlegia", "Sphenophryne cornuta", "Stalachtis phlegia phlegia", "Xenorhina adisca", "Xenorhina anorbis", "Stalachtis phlegia nocticoelum", "Xenorhina arboricola", "Xenorhina arfakiana", "Theope syngenes", "Theope bacenis", "Theope terambus", "Theope basilea", "Theope comosa", "Theope zostera", "Theope nodosus", "Theope phaeo", "Theope theritas", "Theope thootes", "Theope apheles", "Theope sobrina", "Theope janus", "Theope guillaumei", "Theope guillaumei guillaumei", "Theope guillaumei cecropia", "Theope discus", "Theope thestias", "Theope decorata", "Theope lycaenina", "Theope leucanthe", "Theope amicitiae", "Theope sticheli", "Theope busbyi", "Theope wallacei", "Theope pakitza", "Theope methemona", "Theope christiani", "Theope turneri", "Theope batesi", "Theope atima", "Theope foliorum", "Tetragnatha elongata", "Tacca leontopetaloides", "Tetragnatha extensa", "Behemothia godmanii", "Protonymphidia senta", "Calicosama lilina", "Calicosama robbinsi", "Archaeonympha drepana", "Archaeonympha smalli", "Archaeonympha urichi", "Oreophryne albopunctata", "Oreophryne alticola", "Oreophryne anthonyi", "Oreophryne anulata", "Oreophryne asplenicola", "Oreophryne atrigularis", "Oreophryne biroi", "Oreophryne brachypus", "Oreophryne brevicrus", "Oreophryne brevirostris", "Bebearia senegalensis", "Bebearia guineensis", "Bebearia staudingeri", "Bebearia plistonax", "Bebearia arcadius", "Bebearia elpinice", "Bebearia hassoni", "Bebearia osyris", "Curcuma sattayasaiorum", "Curcuma zedoarioides", "Menander pretus picta", "Menander laobotas", "Anodonthyla boulengerii", "Anodonthyla hutchisoni", "Anodonthyla montana", "Anodonthyla moramora", "Menander hebrus", "Anodonthyla nigrigularis", "Anodonthyla rouxae", "Cophyla berara", "Menander hebrus hebrus", "Cophyla phyllodactyla", "Madecassophryne truebae", "Menander hebrus ergines", "Platypelis alticola", "Platypelis barbouri", "Platypelis cowanii", "Platypelis grandis", "Platypelis mavomavo", "Platypelis milloti", "Menander hebrus ion", "Platypelis pollicaris", "Platypelis tetra", "Platypelis tsaratananaensis", "Platypelis tuberifera", "Menander clotho", "Plethodontohyla bipunctata", "Plethodontohyla brevipes", "Rhombophryne coronata", "Plethodontohyla guentheri", "Rhombophryne guentherpetersi", "Plethodontohyla inguinalis", "Menander cicuta", "Plethodontohyla mihanika", "Rhombophryne minuta", "Menander cicuta cicuta", "Plethodontohyla notosticta", "Plethodontohyla ocellata", "Rhombophryne serratopalpebrosa", "Menander cicuta gemma", "Plethodontohyla tuberata", "Plethodontohyla alluaudi", "Rhombophryne coudreaui", "Xenorhina bidens", "Stalachtis phlegia venezolana", "Xenorhina bouwensi", "Xenorhina eiponis", "Xenorhina fuscigula", "Xenorhina gigantea", "Xenorhina huon", "Xenorhina lanthanites", "Xenorhina macrodisca", "Xenorhina macrops", "Xenorhina mehelyi", "Xenorhina minima", "Xenorhina multisica", "Xenorhina obesa", "Stalachtis phlegia phlegetontia", "Xenorhina ocellata", "Xenorhina ophiodon", "Xenorhina oxycephala", "Xenorhina parkerorum", "Xenorhina rostrata", "Xenorhina scheepstrai", "Xenorhina schiefenhoeveli", "Xenorhina similis", "Stalachtis phlegia susanna", "Xenorhina subcrocea", "Xenorhina tumulus", "Xenorhina varia", "Xenorhina zweifeli", "Stalachtis euterpe", "Stalachtis euterpe euterpe", "Stalachtis euterpe adelpha", "Stalachtis euterpe latefasciata", "Stalachtis lineata", "Stalachtis phaedusa", "Stalachtis phaedusa phaedusa", "Stalachtis phaedusa duvalii", "Stalachtis phaedusa exul", "Stalachtis phaedusa phaloe", "Stalachtis phaedusa trangeri", "Stalachtis phaedusa zephyritis", "Livendula aristus", "Livendula aristus aristus", "Livendula huebneri", "Livendula huebneri huebneri", "Livendula jasonhalli", "Livendula pauxilla", "Livendula violacea", "Menander felsina", "Rhombophryne laevipes", "Rhombophryne testudo", "Stumpffia gimmeli", "Stumpffia grandis", "Stumpffia helenae", "Stumpffia psologlossa", "Stumpffia pygmaea", "Stumpffia tetradactyla", "Stumpffia tridactyla", "Dyscophus antongilii", "Dyscophus guineti", "Dyscophus insularis", "Chiasmocleis alagoanus", "Chiasmocleis albopunctata", "Chiasmocleis anatipes", "Chiasmocleis atlantica", "Chiasmocleis bassleri", "Pandemos pasiphae", "Chiasmocleis capixaba", "Chiasmocleis carvalhoi", "Chiasmocleis centralis", "Hypophylla zeurippa", "Hypophylla lasthenes", "Hypophylla martia", "Hypophylla florus", "Hypophylla argenissa", "Hypophylla sudias", "Hypophylla sudias sudias", "Dysmathia portia", "Dysmathia cindra cindra", "Dysmathia costalis costalis", "Rodinia calphurnia", "Rodinia calphurnia calphurnia", "Lethe sicelis", "Tithorea harmonia", "Theope brevignoni", "Theope philotes", "Theope tetrastigma", "Theope orphana", "Theope hypoleuca", "Theope simplicia", "Theope azurea", "Theope archimedes", "Theope archimedes archimedes", "Theope archimedes zyzyxoxyx", "Theope matuta", "Theope matuta matuta", "Theope matuta heureka", "Theope eurygonina", "Theope pseudopedias", "Theope pedias", "Theope devriesi", "Pancratium zeylanicum", "Theope kingi", "Theope dabrerae", "Theope pepo", "Theope eudocia", "Theope acosma", "Theope barea", "Theope mundula", "Theope excelsa", "Theope aureonitens", "Theope galionicus", "Theope sericea", "Theope lampropteryx", "Theope speciosa", "Theope pieridoides", "Theope cratylus", "Theope sisemina", "Theope sisemina sisemina", "Theope sisemina tabacona", "Theope antanitis", "Theope iani", "Theope villai", "Theope virgilius", "Theope eupolis", "Theope nobilis", "Theope sanjuani", "Theope publius", "Theope publius publius", "Theope publius incompositus", "Micrixalus elegans", "Micrixalus fuscus", "Micrixalus gadgili", "Micrixalus kottigeharensis", "Micrixalus narainensis", "Micrixalus nudis", "Micrixalus phyllophilus", "Micrixalus saxicola", "Micrixalus silvaticus", "Micrixalus swamianus", "Micrixalus thampii", "Albericus brunhildae", "Albericus darlingtoni", "Albericus exclamitans", "Albericus fafniri", "Albericus gudrunae", "Albericus gunnari", "Albericus laurini", "Albericus rhenaurum", "Albericus sanguinopictus", "Albericus siegfriedi", "Albericus swanhildae", "Albericus tuberculus", "Albericus valkuriarum", "Albericus variegatus", "Bagliettoa baldensis", "Bagliettoa limborioides", "Bagliettoa parmigera", "Bagliettoa parmigerella", "Bagliettoa steineri", "Aethes rutilana tatricana", "Aethes sanguinana", "Aethes scalana", "Aethes seriatana", "Aethes sexdentata", "Aethes shakibai", "Aethes smeathmanniana", "Aethes sonorae", "Aethes spartinana", "Aethes spirana", "Aethes sulphurosana", "Aethes taiwanica", "Aethes terriae", "Aethes tornella", "Aethes turialba", "Aethes tuxtlana", "Aethes vachelliana", "Aethes vicinana", "Joiceya praeclarus", "Mytilus edulis", "Petasites \u00d7 celakovskyi", "Petasites fominii", "Petasites formosanus", "Petasites paradoxus", "Petasites rubellus", "Petasites \u00d7 rechingeri", "Setabis epitus", "Setabis epitus epitus", "Setabis epitus epiphanis", "Setabis epitus paroemia", "Setabis myrtis", "Setabis myrtis myrtis", "Setabis pythia", "Setabis pythia pythia", "Setabis pythia amethystina", "Setabis disparilis", "Setabis disparilis disparilis", "Setabis buckleyi", "Setabis velutina", "Setabis phaedon", "Setabis plagiaria", "Setabis extensa", "Setabis serica", "Paratubiluchus bicaudatus", "Setabis megalia", "Halicryptus higginsi", "Setabis cruentata", "Setabis luceres", "Setabis preciosa", "Tubiluchus arcticus", "Setabis heliodora", "Setabis cleomedes", "Setabis flammula", "Setabis tapaja", "Setabis fassli", "Setabis hippocrate", "Setabis lagus", "Setabis lagus lagus", "Setabis lagus jansoni", "Pliciloricus hadalis", "Pseudobagrus brachyrhabdion", "Rhamdella cainguae", "Neofidia chapini", "Neofidia comalensis", "Neofidia convexicollis", "Neofidia costaricensis", "Neofidia delilahae", "Neofidia dicelloposthe", "Neofidia dichroma", "Neofidia marraverpa", "Neofidia papillata", "Neofidia pedinops", "Neofidia rileyorum", "Neofidia xanthonioides", "Schmidopsyche rossi", "Chiasmocleis cordeiroi", "Chiasmocleis crucis", "Chiasmocleis gnoma", "Chiasmocleis hudsoni", "Chiasmocleis jimi", "Chiasmocleis leucosticta", "Setabis pythioides", "Chiasmocleis mehelyi", "Elachistocleis panamensis", "Chiasmocleis sapiranga", "Chiasmocleis schubarti", "Setabis pythioides pythioides", "Chiasmocleis shudikarensis", "Chiasmocleis ventrimaculata", "Setabis pythioides striata", "Ctenophryne geayi", "Ctenophryne minor", "Tithorea harmonia harmonia", "Tithorea harmonia irene", "Alepia montana", "Alepia fervida", "Alepia arenivaga", "Bebearia artemis", "Bebearia brazzai", "Bebearia clotho", "Bebearia crepuscularia", "Bebearia eremita", "Bebearia pulchella", "Bebearia romboutsi", "Bebearia vandeweghei", "Euryphaedra thauma", "Harmilla elegans", "Harmilla elegans elegans", "Dasypops schirchi", "Setabis alcmaeon", "Setabis alcmaeon alcmaeon", "Setabis alcmaeon maia", "Dermatonotus muelleri", "Elachistocleis bicolor", "Elachistocleis erythrogaster", "Elachistocleis ovalis", "Elachistocleis piauiensis", "Elachistocleis skotogaster", "Elachistocleis surinamensis", "Gastrophryne carolinensis", "Gastrophryne elegans", "Gastrophryne olivacea", "Gastrophryne pictiventris", "Calociasma ictericum", "Gastrophryne usta", "Hamptophryne boliviana", "Calociasma laius", "Hypopachus barberi", "Hypopachus variolosus", "Calociasma nycteus", "Nelsonophryne aequatorialis", "Nelsonophryne aterrima", "Hoplophryne rogersi", "Hoplophryne uluguruensis", "Parhoplophryne usambarica", "Kalophrynus baluensis", "Kalophrynus bunguranus", "Kalophrynus eok", "Kalophrynus heterochirus", "Kalophrynus interlineatus", "Calluella brooksii", "Calluella flava", "Nautilus pompilius", "Calluella guttulata", "Calluella minuta", "Calluella smithi", "Calluella volzi", "Calluella yunnanensis", "Chaperina fusca", "Glyphoglossus molossus", "Kaloula assamensis", "Kaloula baleata", "Kaloula conjuncta", "Kaloula kalingensis", "Kaloula kokacii", "Kaloula macrocephala", "Kaloula mediolineata", "Kaloula picta", "Kaloula pulchra", "Kaloula rigida", "Kaloula rugifera", "Kaloula taprobanica", "Kaloula verrucosa", "Kaloula walteri", "Metaphrynella pollicaris", "Metaphrynella sundana", "Microhyla achatina", "Microhyla annamensis", "Microhyla annectens", "Microhyla berdmorei", "Tithorea harmonia salvadoris", "Tithorea harmonia furia", "Tithorea harmonia pseudonyma", "Tithorea harmonia flacilla", "Tithorea harmonia furina", "Tithorea harmonia hermias", "Tithorea harmonia hermina", "Tithorea harmonia brunnea", "Tithorea harmonia melanina", "Tithorea harmonia lateflava", "Tithorea harmonia caissara", "Tithorea harmonia sulphurata", "Tithorea harmonia martina", "Tithorea harmonia manabiana", "Tithorea harmonia dorada", "Tithorea harmonia gilberti", "Tithorea pacifica", "Tithorea pacifica concordia", "Tithorea pacifica pacifica", "Tithorea pacifica euphonia", "Tithorea tarricina", "Tithorea tarricina tarricina", "Tithorea tarricina duenna", "Tithorea tarricina hecalesina", "Tithorea tarricina tagarma", "Tithorea tarricina pinthias", "Tithorea tarricina parola", "Tithorea tarricina bonita", "Tithorea tarricina tranciscoi", "Tithorea tarricina lecromi", "Microhyla borneensis", "Microhyla butleri", "Microhyla chakrapanii", "Microhyla erythropoda", "Microhyla fissipes", "Microhyla fowleri", "Microhyla fusca", "Microhyla heymonsi", "Microhyla karunaratnei", "Microhyla maculifera", "Microhyla marmorata", "Microhyla mixtura", "Microhyla nanapollexa", "Microhyla okinavensis", "Microhyla palmipes", "Microhyla perparva", "Microhyla petrigena", "Microhyla picta", "Microhyla pulchra", "Microhyla pulverata", "Microhyla rubra", "Microhyla sholigari", "Microhyla superciliaris", "Microhyla zeylanica", "Micryletta inornata", "Micryletta steinegeri", "Ramanella anamalaiensis", "Ramanella minor", "Ramanella montana", "Ramanella mormorata", "Ramanella nagaoi", "Ramanella obscura", "Ramanella palmata", "Ramanella triangularis", "Ramanella variegata", "Uperodon globulosus", "Uperodon systoma", "Otophryne pyburni", "Otophryne robusta", "Otophryne steyermarki", "Bebearia carshena", "Bebearia amieta", "Bebearia banksi", "Delphinium dictyocarpum", "Hyalenna alidella", "Hyalenna buckleyi", "Hyalenna paradoxa", "Hyalenna perasippe", "Hyalenna sulmona", "Lonchoptera pinglongshanensis", "Lonchoptera unicolor", "Hyalenna alidella cinereola", "Hyalenna alidella exsulans", "Hyalenna alidella vesca", "Hyalenna buckleyi buckleyi", "Hyalenna buckleyi pomcocha", "Hyalenna paradoxa incachaca", "Pieza deresistans", "Pieza dominicana", "Hyalenna perasippe ortygiosa", "Pieza flavitibia", "Hyalenna perasippe solitaria", "Pieza kake", "Hyalenna perasippe valencia", "Pieza pi", "Pieza rhea", "Pieza sinclairi", "Hyalenna sulmona balsamica", "Hyalenna sulmona hyalina", "Hyalenna sulmona tersa", "Distostylus irwini", "Pachacutia baroni", "Pachacutia germaini", "Pachacutia cleomella", "Anadelphia scyphofera", "Anadelphia trepidaria", "Anadelphia trichaeta", "Anadelphia trispiculata", "Periploca angustifolia", "Spicospina flammocaerulea", "Taudactylus acutirostris", "Taudactylus diurnus", "Taudactylus eungellensis", "Taudactylus liemi", "Taudactylus pleione", "Taudactylus rheophilus", "Uperoleia altissima", "Uperoleia arenicola", "Uperoleia aspera", "Uperoleia borealis", "Uperoleia capitulata", "Uperoleia crassa", "Uperoleia daviesae", "Uperoleia fusca", "Uperoleia glandulosa", "Uperoleia inundata", "Uperoleia laevigata", "Uperoleia lithomoda", "Phrynobatrachus batesii", "Phrynobatrachus bequaerti", "Apocyclops ramkhamhaengi", "Tenedos carlosprestesi", "Tenedos garoa", "Tenedos nancyae", "Tenedos major", "Tenedos minor", "Tenedos hirsutus", "Olyras insignis", "Olyras insignis insignis", "Olyras insignis translucens", "Pseudophryne douglasi", "Pseudophryne guentheri", "Pseudophryne major", "Pseudophryne occidentalis", "Pseudophryne pengilleyi", "Pseudophryne raveni", "Pseudophryne semimarmorata", "Rheobatrachus silus", "Rheobatrachus vitellinus", "Eutresis dilucida", "Eutresis hypereia", "Eutresis hypereia hypereia", "Eutresis hypereia imitatrix", "Eutresis hypereia theope", "Eutresis hypereia hyspa", "Eutresis hypereia antioquensis", "Eutresis hypereia banosana", "Eutresis hypereia imeriensis", "Athyrtis mechanitis", "Athyrtis mechanitis mechanitis", "Athyrtis mechanitis oberthueri", "Athyrtis mechanitis salvini", "Brassolis astyra", "Brassolis astyra astyra", "Brassolis astyra philocala", "Brassolis granadensis", "Harmonia quadripunctata", "Brassolis haenschi", "Brassolis haenschi haenschi", "Brassolis haenschi maritimus", "Brassolis haenschi rufescens", "Brassolis isthmia", "Brassolis isthmia isthmia", "Brassolis isthmia bolivia", "Brassolis isthmia daisye", "Brassolis isthmia wallengreni", "Brassolis sophorae", "Brassolis sophorae sophorae", "Brassolis sophorae ardens", "Brassolis sophorae laurentii", "Brassolis sophorae vulpeculus", "Brassolis sophorae luridus", "Petasites frigidus subsp. frigidus", "Petasites frigidus var. palmatus", "Petasites frigidus var. sagittatus", "Petasites frigidus nothovar. vitifolius", "Petasites japonicus subsp. giganteus", "Petasites albus", "Petasites kablikianus", "Petasites pyrenaicus", "Petasites \u00d7 alpestris", "Petasites \u00d7 intercedens", "Petasites \u00d7 lorezianus", "Petasites hybridus subsp. hybridus", "Dicrossus gladicauda", "Dicrossus maculatus", "Dicrossus filamentosus", "Petasites hybridus subsp. ochroleucus", "Catuna crithea", "Catuna angustatum", "Catuna niji", "Catuna oberthueri", "Catuna sikorana", "Hamanumida daedalus", "Elzunia humboldt", "Elzunia humboldt humboldt", "Elzunia humboldt bonplandii", "Elzunia humboldt cassandrina", "Elzunia humboldt regalis", "Elzunia humboldt albomaculata", "Elzunia humboldt joiceyi", "Elzunia humboldt atahualpa", "Elzunia humboldt judsoni", "Elzunia pavonii", "Elzunia humboldt purace", "Elzunia humboldt quinduensis", "Pierella helvina", "Pierella helvina caribea", "Pierella lena", "Pierella lena salma", "Pierella lamia", "Haetera piera", "Haetera piera sanguinolenta", "Hesperocharis nambii", "Cartea chiribiquetensis", "Alesa esmeralda", "Tithorea harmonia megara", "Tithorea harmonia cuparina", "Tithorea harmonia egaensis", "Tithorea harmonia pseudethra", "Tithorea harmonia neitha", "Tithorea harmonia helicaon", "Tithorea harmonia hippothous", "Phrynomantis affinis", "Phrynomantis annectens", "Phrynomantis bifasciatus", "Phrynomantis microps", "Phrynomantis somalicus", "Paradoxophyla palmata", "Paradoxophyla tiarano", "Scaphiophryne boribory", "Scaphiophryne brevis", "Scaphiophryne calcarata", "Scaphiophryne gottlebei", "Scaphiophryne madagascariensis", "Scaphiophryne marmorata", "Scaphiophryne menabensis", "Scaphiophryne spinosa", "Adelastes hylonomos", "Altigius alios", "Arcovomer passarellii", "Gastrophrynoides borneensis", "Hyophryne histrio", "Melanophryne barbatula", "Melanophryne carpish", "Myersiella microps", "Elachistocleis pearsei", "Stereocyclops incrassatus", "Stereocyclops parkeri", "Synapturanus mirandaribeiroi", "Synapturanus rabus", "Synapturanus salseri", "Syncope antenori", "Syncope carvalhoi", "Syncope tridactyla", "Micragone rougeriei", "Micragone gaetani", "Micragone leonardi", "Pselaphelia noellae", "Pselaphelia vingerhoedti", "Tagoropsis ikondae", "Bifidobacterium longum longum", "Tagoropsis ikondae upembana", "Murphyanella aliquantula", "Timahocoris paululus", "Lomagostus jeanneli", "Aenictopechys necopinatus", "Australostolus monteithi", "Boreostolus americanus", "Gamostolus subantarcticus", "Aenictocoris powelli", "Nymphocoris maoricus", "Nymphocoris hilli", "Holocerina occidentalis", "Aerorchestes alluaudi", "Heniocha digennaroi", "Heniocha hassoni", "Gynanisa basquini", "Aurivillius cadioui", "Aurivillius drumonti", "Epiphora cadioui", "Epiphora hassoni", "Pachacutia mantura", "Pachacutia mantura mantura", "Pachacutia mantura joroni", "Acraspisoides helviarta", "Aedes cinereus", "Aspidobracon flavitorax", "Aedes dasyorrhus", "Aspidobracon longyanensis", "Neuzina diminuta", "Aspidobracon hesperivorus", "Aspidobracon noyesi", "Aedes vexans", "Philomacroploea basimacula", "Neopseudogarypus scutellatus", "Neope goschkevitschii", "Neope niphonica", "Mohunia introspina", "Mohunia ventrospina", "Aeria elara", "Aeria elara elara", "Aeria elara elarina", "Aeria eurimedia", "Aeria eurimedia eurimedia", "Aeria eurimedia negricola", "Aeria eurimedia agna", "Aeria eurimedia pacifica", "Aeria eurimedia sisenna", "Aeria eurimedia latistriga", "Aeria olena", "Aeria olena olena", "Ficus aurea", "Pseudogarypus banksi", "Pseudogarypus bicornis", "Pseudogarypus hesperus", "Pseudogarypus hypogeus", "Pseudogarypus orpheus", "Pseudogarypus spelaeus", "Santocellus atlanticis", "Santocellus bullata", "Santocellus riodoce", "Pelobates syriacus", "Pelobates varaldii", "Pelodytes caucasicus", "Pelodytes ibericus", "Pelodytes punctatus", "Conraua alleni", "Conraua beccarii", "Conraua crassipes", "Conraua derooi", "Conraua goliath", "Conraua robusta", "Petropedetes cameronensis", "Petropedetes dutoiti", "Petropedetes johnstoni", "Petropedetes martiensseni", "Petropedetes newtonii", "Petropedetes palmipes", "Petropedetes parkeri", "Petropedetes perreti", "Petropedetes yakusini", "Phrynobatrachus accraensis", "Phrynobatrachus acridoides", "Phrynobatrachus acutirostris", "Phrynobatrachus africanus", "Phrynobatrachus albolabris", "Phrynobatrachus albomarginatus", "Phrynobatrachus alleni", "Phrynobatrachus annulatus", "Phrynobatrachus anotis", "Phrynobatrachus asper", "Phrynobatrachus auritus", "Xenopus pygmaeus", "Xenopus ruwenzoriensis", "Xenopus vestitus", "Xenopus victorianus", "Xenopus wittei", "Microjanira pacifica", "Bifidobacterium longum infantis", "Bifidobacterium longum suis", "Maoristolus parvulus", "Maoristolus tonnoiri", "Tornocrusus aguilari", "Tornocrusus browni", "Tornocrusus incaicus", "Tornocrusus occidentalis", "Euphaedra camiadei", "Bilateria incertae sedis", "Euphaedra cyparissa", "Euphaedra sarcoptera", "Euphaedra cyparissa cyparissa", "Euphaedra cyparissa aurata", "Euphaedra cyparissa tai", "Euphaedra sarcoptera sarcoptera", "Euphaedra sarcoptera nipponicorum", "Euphaedra sarcoptera cyparissoides", "Euphaedra sarcoptera styx", "Euphaedra themis", "Euphaedra permixtum", "Euphaedra eberti", "Arenophryne rotunda", "Assa darlingtoni", "Athesis clearista", "Crinia bilingua", "Crinia deserticola", "Crinia georgiana", "Crinia glauerti", "Crinia insignifera", "Crinia nimbus", "Athesis clearista clearista", "Crinia parinsignifera", "Crinia pseudinsignifera", "Crinia remota", "Crinia riparia", "Crinia signifera", "Crinia sloanei", "Crinia subinsignifera", "Crinia tasmaniensis", "Crinia tinnula", "Athesis clearista colombiensis", "Geocrinia alba", "Geocrinia laevis", "Geocrinia leai", "Geocrinia lutea", "Geocrinia rosea", "Geocrinia victoriana", "Geocrinia vitellina", "Metacrinia nichollsi", "Mixophyes balbus", "Athesis acrisione", "Mixophyes carbinensis", "Mixophyes coggeri", "Mixophyes fasciolatus", "Mixophyes fleayi", "Athesis acrisione acrisione", "Mixophyes hihihorlo", "Mixophyes iteratus", "Mixophyes schevilli", "Athesis acrisione deflavata", "Myobatrachus gouldii", "Paracrinia haswelli", "Athesis vitrala", "Pseudophryne australis", "Pseudophryne bibronii", "Pseudophryne coriacea", "Pseudophryne corroboree", "Pseudophryne covacevichae", "Pseudophryne dendyi", "Olyras insignis praestans", "Olyras theon", "Patricia demylus", "Patricia demylus demylus", "Patricia demylus gemellus", "Patricia demylus nebulosa", "Patricia oligyrtis", "Patricia oligyrtis oligyrtis", "Patricia dercyllidas", "Patricia dercyllidas dercyllidas", "Patricia dercyllidas hazelea", "Patricia dercyllidas onorei", "Patricia dercyllidas aldazorum", "Melinaea ethra", "Salea anamallayana", "Salea horsfieldii", "Bifidobacterium longum", "Bellia picta", "Vidua camerunensis", "Pitane fervens", "Pitane napravniki", "Calydna pichita", "Phrynobatrachus breviceps", "Phrynobatrachus brevipalmatus", "Phrynobatrachus bullans", "Phrynobatrachus calcaratus", "Phrynobatrachus congicus", "Phrynobatrachus cornutus", "Phrynobatrachus cricogaster", "Phrynobatrachus cryptotis", "Phrynobatrachus dalcqi", "Phrynobatrachus dendrobates", "Phrynobatrachus dispar", "Phrynobatrachus elberti", "Phrynobatrachus francisci", "Phrynobatrachus fraterculus", "Phrynobatrachus gastoni", "Phrynobatrachus ghanensis", "Phrynobatrachus giorgii", "Phrynobatrachus graueri", "Phrynobatrachus guineensis", "Kalophrynus intermedius", "Catocyclotis aemulius", "Kalophrynus menglienicus", "Kalophrynus minusculus", "Kalophrynus nubicola", "Kalophrynus palmatissimus", "Kalophrynus pleurostigma", "Catocyclotis adelina", "Kalophrynus punctatus", "Kalophrynus robinsoni", "Kalophrynus subterrestris", "Catocyclotis elpinice", "Melanobatrachus indicus", "Mycastor leucarpis", "Mycastor scurrilis", "Mycastor nealces", "Mycastor nealces nealces", "Mycastor nealces amoenum", "Petasites \u00d7 sachalinensis", "Petasites sibiricus", "Petasites spurius", "Petasites tatewakianus", "Petasites tricholobus", "Tachytrechus alatus", "Tachytrechus analis", "Tachytrechus costaricensis", "Tachytrechus dios", "Tachytrechus giganteus", "Tachytrechus peruicus", "Tachytrechus transversus", "Tachytrechus zumbadoi", "Euphaedra scrupulosa", "Euphaedra francina", "Indosialis indicus", "Euphaedra ceres ceres", "Euphaedra ceres lutescens", "Euphaedra ceres electra", "Euphaedra sarita sarita", "Phrynobatrachus gutturosus", "Phrynobatrachus hylaios", "Phrynobatrachus inexpectatus", "Phrynobatrachus irangi", "Phrynobatrachus keniensis", "Phrynobatrachus kinangopensis", "Phrynobatrachus krefftii", "Phrynobatrachus latifrons", "Phrynobatrachus liberiensis", "Phrynobatrachus mababiensis", "Phrynobatrachus manengoubensis", "Phrynobatrachus minutus", "Phrynobatrachus nanus", "Phrynobatrachus natalensis", "Phrynobatrachus nigripes", "Phrynobatrachus nlonakoensis", "Phrynobatrachus ogoensis", "Phrynobatrachus pakenhami", "Phrynobatrachus pallidus", "Phrynobatrachus parkeri", "Phrynobatrachus parvulus", "Phrynobatrachus perpalmatus", "Phrynobatrachus petropedetoides", "Phrynobatrachus phyllophilus", "Phrynobatrachus plicatus", "Phrynobatrachus pygmaeus", "Phrynobatrachus rouxi", "Phrynobatrachus rungwensis", "Phrynobatrachus sandersoni", "Phrynobatrachus scapularis", "Phrynobatrachus scheffleri", "Phrynobatrachus steindachneri", "Phrynobatrachus sternfeldi", "Phrynobatrachus stewartae", "Phrynobatrachus sulfureogularis", "Phrynobatrachus taiensis", "Phrynobatrachus tokba", "Phrynobatrachus ukingensis", "Phrynobatrachus ungujae", "Phrynobatrachus uzungwensis", "Phrynobatrachus versicolor", "Phrynobatrachus villiersi", "Phrynobatrachus vogti", "Phrynobatrachus werneri", "Tornocrusus penai", "Tornocrusus sturmi", "Tornocrusus venezolanus", "Tornocrusus stysi", "Phthirocorisella petrophila", "Gourlayocoris mirabilis", "Phthirostenus magnus", "Boreostolus sikhotalinensis", "Bifidobacterium animalis", "Bifidobacterium animalis animalis", "Bifidobacterium animalis lactis", "Bifidobacterium pseudolongum", "Bifidobacterium thermacidophilum", "Bifidobacterium thermacidophilum porcinum", "Bifidobacterium thermacidophilum thermacidophilum", "Cyparium earlyi", "Cyparium thorpei", "Euphaedra hebes", "Euphaedra maxima", "Euphaedra graueri", "Euphaedra ubangui", "Euphaedra lata", "Euphaedra grandis", "Euphaedra vetusta", "Euphaedra aberrans", "Euphaedra campaspe", "Euphaedra justitia", "Euphaedra adonina", "Euphaedra uniformis", "Xenosocia acrophora", "Xenosocia argyrtis", "Xenosocia dynastes", "Xenosocia euryptycha", "Xenosocia iocinctis", "Xenosocia lampouris", "Xenosocia panegyrica", "Xenosocia polyschelis", "Xenosocia tryphera", "Xenosocia elgonica", "Xenosocia oreomontana", "Dendrocephalus spartaenovae", "Dendrocephalus venezolanus", "Dendrocephalus affinis", "Dendrocephalus argentinus", "Lozotaenia basilea", "Dendrocephalus sarmentosus", "Hildebrandtia macrotympanum", "Hildebrandtia ornata", "Hildebrandtia ornatissima", "Dendrocephalus cornutus", "Lanzarana largeni", "Neolethaeus densus", "Neolethaeus distinctus", "Neolethaeus maculacellus", "Lutra sumatrana", "Adcatomus ciudadus", "Lutra nippon", "Hongshuia microstomatus", "Achaeta hanagarthi", "Achaeta paranensis", "Achaeta singularis", "Dendrocephalus orientalis", "Dendrocephalus goiasensis", "Dendrocephalus brasiliensis", "Dendrocephalus cervicornis", "Cryptoxilos thorpei", "Bocchus thorpei", "Euphaedra sarita abyssinica", "Euphaedra sarita lulua", "Euphaedra phaethusa phaetusa", "Euphaedra phaethusa aurea", "Euphaedra viridicaerulea viridicaerulea", "Euphaedra viridicaerulea inanoides", "Euphaedra viridicaerulea nitidula", "Euphaedra viridicaerulea griseargentina", "Euphaedra viridicaerulea subargentina", "Euphaedra uganda uganda", "Euphaedra uganda minziru", "Euphaedra preussiana preussiana", "Euphaedra preussiana protea", "Euphaedra preussiana robusta", "Euphaedra proserpina proserpina", "Euphaedra proserpina tisiphona", "Euphaedra preussi", "Euphaedra vicina", "Euphaedra disjuncta", "Euphaedra subviridis", "Euphaedra fulvofasciata", "Euphaedra leloupi", "Euphaedra overlaeti", "Euphaedra niveovittata", "Euphaedra neumanni", "Euphaedra cinnamomea", "Euphaedra olivacea", "Euphaedra paradoxa", "Euphaedra preussi preussi", "Euphaedra preussi perochrata", "Euphaedra preussi pallida", "Euphaedra vicina vicina", "Euphaedra vicina pallidoides", "Euphaedra vicina longiqua", "Euphaedra disjuncta disjuncta", "Euphaedra disjuncta virens", "Euphaedra eberti hannoti", "Uperoleia littlejohni", "Uperoleia marmorata", "Uperoleia martini", "Uperoleia micromeles", "Uperoleia mimula", "Uperoleia minima", "Uperoleia mjobergii", "Uperoleia orientalis", "Uperoleia rugosa", "Uperoleia russelli", "Uperoleia talpa", "Uperoleia trachyderma", "Uperoleia tyleri", "Lankanectes corrugatus", "Nyctibatrachus beddomii", "Nyctibatrachus deccanensis", "Nyctibatrachus humayuni", "Nyctibatrachus karnatakaensis", "Nyctibatrachus kempholeyensis", "Nyctibatrachus major", "Nyctibatrachus minor", "Nyctibatrachus petraeus", "Nyctibatrachus sanctipalustris", "Nyctibatrachus sylvaticus", "Nyctibatrachus vasanthi", "Paititia neglecta", "Olyras crathis", "Olyras crathis crathis", "Olyras crathis montagui", "Olyras crathis staudingeri", "Olyras crathis sticheli", "Olyras crathis weeksi", "Coleotroctellus huisunensis", "Berchmansus adumbratus", "Berchmansus cinctipes", "Vieira brooksi", "Vieira elegans", "Vieira leschenaulti", "Limonium cossonianum", "Epiphora murphyi", "Epiphora oberprieleri", "Chaerocina mbiziensis", "Chaerocina nyikiana", "Chaerocina usambarensis", "Cigaritis ducarmei", "Zamarada loangensis", "Xenopoecilus sarasinorum", "Hymenochirus boettgeri", "Hymenochirus boulengeri", "Hymenochirus curtipes", "Hymenochirus feae", "Pipa arrabali", "Pipa aspera", "Pipa carvalhoi", "Pipa myersi", "Pipa parva", "Pipa pipa", "Pipa snethlageae", "Pseudhymenochirus merlini", "Silurana epitropicalis", "Silurana tropicalis", "Xenopus amieti", "Xenopus andrei", "Xenopus borealis", "Xenopus boumbaensis", "Xenopus clivii", "Xenopus fraseri", "Xenopus gilli", "Xenopus largeni", "Xenopus longipes", "Xenopus muelleri", "Xenopus petersii", "Rhodostrophia vibicaria", "Rhodostrophia vibicaria f. vestitiaria", "Megenicocephalus chinai", "Geodorcus alsobius", "Geodorcus sororum", "Euphaedra orientalis", "Euphaedra edwardsi", "Euphaedra ruspina", "Euphaedra perseis", "Euphaedra eleus eleus", "Euphaedra eleus gigas", "Euphaedra rattrayi rattrayi", "Euphaedra rattrayi coeruleomaculata", "Euphaedra edwardsi edwardsi", "Euphaedra edwardsi clarus", "Euphaedra eupalus", "Euphaedra losinga", "Euphaedra alternus", "Euphaedra dubreka", "Euphaedra luafa", "Ciucephalus wygodzinskyi", "Monteithostolus genitalis", "Monteithostolus caledonicus", "Euphaedra neophron", "Phallopirates borneensis", "Phallopirates culionicus", "Phallopirates malayicus", "Phallopirates palawanicus", "Euphaedra losinga losinga", "Euphaedra losinga wardi", "Euphaedra losinga limita", "Euphaedra losinga knoopi", "Tongeia minima", "Tongeia dongchuanensis", "Lithobates dunni", "Amolops aniqiaoensis", "Chorebus thorpei", "Peloridium hammoniorum", "Oiophysella degenerata", "Millerocoris ductus", "Millerocoris conus", "Mecodema regulus", "Strumigenys xenos", "Crowsoniella relicta", "Euphaedra permixtum permixtum", "Euphaedra permixtum diva", "Euphaedra eberti eberti", "Euphaedra eberti hamus", "Euphaedra campaspe campaspe", "Euphaedra campaspe permixtoides", "Euphaedra adonina adonina", "Euphaedra adonina spectacularis", "Euphaedra adonina prasina", "Euphaedra ceres", "Euphaedra sarita", "Euphaedra intermedia", "Euphaedra kakamegae", "Euphaedra phosphor", "Euphaedra afzelii", "Euphaedra inanum", "Euphaedra phaethusa", "Euphaedra viridicaerulea", "Euphaedra uganda", "Euphaedra ravola", "Euphaedra margaritifera", "Euphaedra preussiana", "Euphaedra cottoni", "Euphaedra rezia", "Euphaedra regis-leopoldi", "Euphaedra proserpina", "Euphaedra nigrocilia", "Geodorcus montivagus", "Geodorcus servandus", "Mitophyllus arcuatus", "Mitophyllus falcatus", "Mitophyllus solox", "Nicagus occultus", "Scortizus prodigiosus", "Actinote thalia", "Actinote anteas", "Actinote parapheles", "Actinote pellenea", "Actinote surima", "Actinote guatemalena", "Actinote melampeplos", "Actinote lapitha", "Actinote carycina", "Actinote quadra", "Actinote alalia", "Actinote thalia thalia", "Actinote thalia pyrrha", "Actinote thalia eupelia", "Actinote anteas anteas", "Actinote anteas terpsinoe", "Actinote anteas crassinia", "Actinote anteas cedestis", "Actinote anteas suspecta", "Actinote anteas brettia", "Actinote anteas byssa", "Actinote pellenea pellenea", "Actinote pellenea equatoria", "Humerana humeralis", "Humerana miopus", "Humerana oatesii", "Ypthima pseudobalba", "Ampittia tristella", "Bathynomus affinis", "Luehdorfia chinensis shoui", "Luehdorfia choui", "Bathynomus propinquus", "Achlya flavicornis", "Achlya flavicornis flavicornis", "Achlya flavicornis sikhotensis", "Triops longicaudatus", "Andropterum stolzii", "Apluda digramma", "Cacosternum plimptoni", "Cacosternum poyntoni", "Cacosternum striatum", "Ericabatrachus baleensis", "Microbatrachella capensis", "Natalobatrachus bonebergi", "Nothophryne broadleyi", "Poyntonia paludicola", "Strongylopus bonaespei", "Babamunida brucei", "Strongylopus fasciatus", "Strongylopus fuelleborni", "Strongylopus grayii", "Amietia hymenopus", "Strongylopus kilimanjaro", "Strongylopus kitumbeine", "Strongylopus merumontanus", "Strongylopus rhodesianus", "Strongylopus springbokensis", "Strongylopus wageri", "Tomopterna cryptotis", "Tomopterna damarensis", "Tomopterna delalandii", "Tomopterna krugerensis", "Tomopterna luganga", "Tomopterna marmorata", "Tomopterna monticola", "Tomopterna natalensis", "Tomopterna tandyi", "Tomopterna tuberculosa", "Aubria masako", "Aubria subsigillata", "Pyxicephalus adspersus", "Pyxicephalus edulis", "Pyxicephalus obbianus", "Thamnocephalus venezuelensis", "Eupithecia macfarlandi", "Eupithecia penablanca", "Eupithecia nonanticaria", "Eupithecia anticaria", "Thamnocephalus platyurus", "Thamnocephalus mexicanus", "Thamnocephalus salinarum", "Xenophyes cascus", "Xenophyes forsteri", "Xenophyes kinlochensis", "Kuscheloides edenensis", "Oiophysa cumberi", "Oiophysa pendergrasti", "Phallocryptus wrighti", "Hackeriella veitchi", "Hemiodoecellus fidelis", "Euphaedra eleus", "Euphaedra rattrayi", "Euphaedra latifasciata", "Euphaedra attenuata", "Euphaedra katangensis", "Euphaedra subferruginea", "Euphaedra coprates", "Euphaedra zampa", "Euphaedra ferruginea", "Euphaedra cooksoni", "Amietia amieti", "Amietia angolensis", "Amietia desaegeri", "Amietia dracomontana", "Amietia fuscigula", "Amietia inyangae", "Amietia johnstoni", "Amietia lubrica", "Amietia ruwenzorica", "Amietia tenuoplicata", "Amietia vandijki", "Amietia vertebralis", "Amietia viridireticulata", "Amietia wittei", "Anhydrophryne hewitti", "Anhydrophryne rattrayi", "Arthroleptella bicolor", "Arthroleptella drewesii", "Arthroleptella landdrosia", "Arthroleptella lightfooti", "Arthroleptella ngongoniensis", "Arthroleptella subvoce", "Arthroleptella villiersi", "Cacosternum boettgeri", "Cacosternum capense", "Cacosternum karooicum", "Cacosternum leleupi", "Cacosternum namaquense", "Cacosternum nanum", "Cacosternum platys", "Actinote pellenea adriana", "Actinote pellenea mucia", "Actinote pellenea subhyalina", "Actinote pellenea calymna", "Actinote pellenea crucis", "Actinote pellenea epiphaea", "Actinote pellenea hahneli", "Mengea mengei", "Duvaliomimus orientalis", "Noteucinetus nunni", "Mecodema puiakium", "Euderia squamosa", "Prodontria jenniferae", "Ptychadena aequiplicata", "Ptychadena anchietae", "Ptychadena ansorgii", "Ptychadena arnei", "Ptychadena bibroni", "Ptychadena boettgeri", "Ptychadena broadleyi", "Ptychadena bunoderma", "Ptychadena christyi", "Ptychadena chrysogaster", "Ptychadena cooperi", "Goniotorna valentini", "Ptychadena erlangeri", "Ptychadena filwoha", "Ptychadena gansi", "Ptychadena grandisonae", "Ptychadena guibei", "Ptychadena harenna", "Ptychadena hylaea", "Ptychadena ingeri", "Ptychadena keilingi", "Ptychadena longirostris", "Ptychadena mahnerti", "Ptychadena mapacha", "Ptychadena mascareniensis", "Ptychadena mossambica", "Ptychadena nana", "Ptychadena neumanni", "Ptychadena newtoni", "Ptychadena obscura", "Ptychadena oxyrhynchus", "Ptychadena perplicata", "Ptychadena perreti", "Ptychadena porosissima", "Ptychadena pujoli", "Ptychadena pumilio", "Ptychadena retropunctata", "Ptychadena schillukorum", "Ptychadena stenocephala", "Ptychadena straeleni", "Ptychadena submascareniensis", "Ptychadena subpunctata", "Ptychadena superciliaris", "Ptychadena taenioscelis", "Ptychadena tellinii", "Ptychadena tournieri", "Ptychadena trinodis", "Ptychadena upembae", "Ptychadena uzungwensis", "Ptychadena wadei", "Cnephasia quentini", "Dendrocephalus geayi", "Agdistis meyi", "Amolops bellulus", "Amolops chakrataensis", "Amolops chunganensis", "Amolops cremnobatus", "Amolops daiyunensis", "Amolops formosus", "Amolops gerbillus", "Amolops granulosus", "Amolops hainanensis", "Amolops himalayanus", "Amolops hongkongensis", "Amolops jaunsari", "Amolops jinjiangensis", "Amolops kangtingensis", "Amolops kaulbacki", "Amolops larutensis", "Amolops liangshanensis", "Amolops lifanensis", "Amolops loloensis", "Amolops longimanus", "Amolops mantzorum", "Amolops marmoratus", "Amolops medogensis", "Amolops mengyangensis", "Amolops monticola", "Amolops panhai", "Amolops ricketti", "Amolops spinapectoralis", "Amolops torrentis", "Amolops tuberodepressus", "Amolops viridimaculatus", "Amolops wuyiensis", "Nidirana adenopleura", "Babina caldwelli", "Nidirana chapaensis", "Nidirana daunchina", "Nidirana lini", "Nidirana okinavana", "Nidirana pleuraden", "Clinotarsus curtipes", "Glandirana minima", "Glandirana tientaiensis", "Huia cavitympanum", "Huia masonii", "Huia modiglianii", "Huia sumatrana", "Sagmation horridum", "Paulianiana dracula", "Mecodema occiputale", "Prosopogmus oodiformis", "Actinote pellenea hyalina", "Actinote pellenea limbata", "Actinote pellenea lodis", "Actinote pellenea perfulva", "Actinote pellenea subbadia", "Actinote pellenea trinitatis", "Actinote pellenea giffordi", "Actinote surima surima", "Actinote surima perisa", "Actinote guatemalena guatemalena", "Actinote guatemalena veraecrucis", "Actinote guatemalena guerrerensis", "Actinote melampeplos melampeplos", "Actinote lapitha lapitha", "Actinote lapitha calderoni", "Actinote mamita", "Actinote canutia", "Actinote bonita", "Actinote brylla", "Actinote catarina", "Actinote conspicua", "Actinote dalmeidai", "Actinote discrepans", "Actinote furtadoi", "Actinote mielkei", "Actinote mirnae", "Actinote genitrix", "Actinote latior", "Actinote rhodope", "Actinote rufina", "Actinote eberti", "Actinote morio", "Actinote melanisans", "Actinote zikani", "Actinote mamita mamita", "Actinote mamita mitama", "Actinote mamita elena", "Actinote morio morio", "Actinote morio beckeri", "Dione juno andicola", "Dione juno huascuma", "Dione juno miraculosa", "Dione juno suffumata", "Agraulis vanillae", "Agraulis vanillae vanillae", "Agraulis vanillae lucina", "Agraulis vanillae insularis", "Agraulis vanillae galapagensis", "Agraulis vanillae maculosa", "Agraulis vanillae forbesi", "Agraulis vanillae nigrior", "Agraulis vanillae incarnata", "Dryadula phaetusa", "Dryas iulia iulia", "Dryas iulia fucatus", "Feaella krugeri", "Feaella affinis", "Feaella anderseni", "Feaella capensis", "Dryas iulia delila", "Feaella indica", "Feaella leleupi", "Dryas iulia alcionea", "Dryas iulia dominicana", "Feaella mucronata", "Dryas iulia framptoni", "Feaella parva", "Dryas iulia lucia", "Dryas iulia carteri", "Feaella perreti", "Dryas iulia moderata", "Feaella mirabilis", "Dryas iulia nudeola", "Feaella mombasica", "Dryas iulia warneri", "Sanguirana luzonensis", "Hylarana macrodactyla", "Altinote neleus neleus", "Hylarana macrops", "Hylarana malabarica", "Hylarana mangyanum", "Apluda scirpoides", "Munna hentyi", "Munna hovelli", "Uromunna humei", "Anaproutia temirlikensis", "Uromunna phillipi", "Anaproutia tshatkalica", "Proutia bogutica", "Proutia talgarica", "Australoplacodoma bicolorata", "Eumelasina ardua", "Eumelasina arguta", "Eumelasina pliginskii", "Macrobrachium pectinatum", "Macrobrachium atabapense", "Kalliesia irana", "Luffia palmensis", "Macrobrachium dierythrum", "Macrobrachium rodriguezi", "Macrobrachium pumilum", "Stenetrium adrianae", "Paucivena cubana", "Paucivena ferruginea", "Paucivena fusca", "Paucivena orientalis", "Paucivena pinarensis", "Altinote alcione alcione", "Altinote alcione corduba", "Altinote alcione sodalis", "Altinote alcione theophila", "Altinote alcione elatus", "Altinote alcione varians", "Altinote stratonice stratonice", "Altinote stratonice acipha", "Altinote stratonice adoxa", "Altinote stratonice marthae", "Altinote stratonice meridana", "Altinote stratonice aereta", "Altinote stratonice oaxaca", "Altinote ozomene", "Altinote dicaeus", "Altinote anaxo", "Altinote momina", "Altinote negra", "Altinote callianthe", "Altinote trinacria", "Altinote eresia", "Altinote tenebrosa", "Altinote griseata", "Altinote hilaris", "Altinote rubrocellulata", "Altinote ozomene ozomene", "Altinote ozomene cleasa", "Altinote ozomene carbonaria", "Altinote ozomene calimene", "Altinote ozomene gabrielae", "Altinote ozomene nox", "Atheta cadeti", "Cypha inexpectata", "Clusiota antennalis", "Sisyra pedderensis", "Buellia sequax", "Buellia sheardii", "Buellia silicicola", "Buellia smaragdula", "Buellia spuria", "Buellia stellulata", "Buellia stigmatea", "Buellia subaethalea", "Buellia subalbula", "Buellia subdisciformis", "Buellia subdispersa", "Buellia tergua", "Podotricha judith judith", "Pseudaphronella jactator", "Podotricha judith caucana", "Podotricha judith straminea", "Podotricha judith mellosa", "Podotricha telesiphe telesiphe", "Podotricha telesiphe tithraustes", "Semo clypeatus", "Dione moneta", "Aka dunedinensis", "Aka westlandica", "Dione glycera", "Dione juno", "Dione moneta moneta", "Dione moneta poeyii", "Dione moneta butleri", "Dione juno juno", "Odorrana banaorum", "Odorrana bolavensis", "Rheodithella kalashana", "Odorrana chapaensis", "Rheodithella swetlanae", "Sororoditha hirsuta", "Odorrana chloronota", "Odorrana daorum", "Verrucaditha spinosa", "Odorrana exiliversabilis", "Odorrana gigatympana", "Verrucadithella dilatimana", "Verrucadithella jeanneli", "Verrucadithella sulcatimana", "Tantilla supracincta", "Bruchidius niger", "Chathamaka andrei", "Parasemo hutchesoni", "Aka hardyi", "Aka tasmani", "Calamister obscurus", "Chidaea dayi", "Malthodes pumilus", "Malthodes delmastroi", "Philaethria ostara", "Philaethria wernickei", "Philaethria pygmalion", "Philaethria dido dido", "Philaethria dido choconensis", "Podotricha judith", "Buellia amabilis", "Podotricha telesiphe", "Buellia arborea", "Buellia argillicola", "Buellia arnoldii", "Buellia asterella", "Buellia atrocinerella", "Buellia bolacina", "Buellia calcariaecola", "Buellia capitis-regum", "Buellia cedricola", "Buellia christophii", "Buellia concinna", "Buellia conspirans", "Buellia crystallifera", "Buellia dakotensis", "Buellia desertica", "Chrysaora achlyos", "Buellia dijiana", "Buellia dispersa", "Chrysaora quinquecirrha", "Buellia eganii", "Buellia elegans", "Buellia endoferruginea", "Buellia epigaea", "Buellia erubescens", "Buellia excelsa", "Buellia fouquieriensis", "Buellia georgei", "Buellia griseosquamulata", "Buellia griseovirens", "Buellia immersa", "Buellia imshaugiana", "Buellia imshaugii", "Semo southlandiae", "Semo transinsularis", "Semo harrisi", "Cermada kermadecensis", "Aka duniana", "Malpha cockcrofti", "Malpha muiri", "Zischkaita bucki", "Zischkaita serrana", "Buellia tesserata", "Buellia thiopoliza", "Buellia trachyspora", "Buellia triphragmioides", "Buellia triseptata", "Buellia tyrolensis", "Buellia uberior", "Buellia vilis", "Potnia spatulata", "Rinodina fimbriata", "Metcalfiella venezuelana", "Buellia rhombispora", "Chelignathus kochii", "Abananote abana", "Abananote erinome", "Abananote radiata", "Abananote hylonome", "Abananote euryleuca", "Abananote abana abana", "Abananote abana capnodes", "Abananote erinome erinome", "Abananote erinome mathani", "Abananote erinome testacea", "Macrobrachium aracamuni", "Macrobrachium cortezi", "Macrobrachium quelchi", "Hylarana albolabris", "Hylarana amnicola", "Hylarana arfaki", "Abananote radiata radiata", "Hylarana asperrima", "Hylarana attigua", "Abananote radiata intensa", "Indosylvirana aurantiaca", "Hylarana aurata", "Abananote hylonome hylonome", "Hylarana banjarana", "Hylarana baramica", "Abananote hylonome basilia", "Hylarana celebensis", "Hylarana chalconota", "Hylarana chitwanensis", "Sumaterana crassiovis", "Macrobrachium depressimanum", "Bathyllus albicinctus", "Macrobrachium inpa", "Carystoterpa fusiformis", "Carystoterpa xenobilis", "Basilioterpa bullata", "Basilioterpa fasciata", "Basilioterpa pallida", "Carystoterpa aurata", "Carystoterpa chelyon", "Carystoterpa ikana", "Carystoterpa maori", "Carystoterpa minima", "Carystoterpa minor", "Carystoterpa vagans", "Carystoterpa fingens", "Carystoterpa subtacta", "Carystoterpa subvirescens", "Carystoterpa trimaculata", "Carystoterpa tristis", "Scaptocoris australis", "Peltoxys sataranus", "Craterostigmus crabilli", "Chelifer cancroides", "Omolon simillis", "Notogynaphallia ceciliae", "Vestistiloides uncicornis", "Vestistiloides distinctus", "Vestistiloides concinnus", "Vestistiloides nigrovittatus", "Compsaditha aburi", "Compsaditha angustula", "Vestistiloides nitidalis", "Compsaditha basilewskyi", "Compsaditha camponota", "Compsaditha congica", "Compsaditha elegantula", "Compsaditha fiebrigi", "Vestistiloides sallei", "Compsaditha gressitti", "Compsaditha indica", "Compsaditha parva", "Vestistiloides variabilis", "Compsaditha pygmaea", "Compsaditha seychellensis", "Zeraikia novafriburguensis", "Ophidascaris durissus", "Anthidulum lamasi", "Anthidulum clausi", "Anthidulum chilense", "Anthidianum chilense", "Anthidianum caroliameghinoi", "Buellia intermedioides", "Buellia lacteoidea", "Buellia langloisii", "Buellia lauricassiaeoides", "Buellia lecanoroides", "Buellia lepidastra", "Buellia lepidastroidea", "Buellia leptoclinoides", "Buellia leucomela", "Buellia lobata", "Buellia longispora", "Buellia maculata", "Buellia mamillana", "Buellia meiosperma", "Buellia mexicana", "Buellia microbola", "Buellia miriquidica", "Buellia morsina", "Buellia muriformis", "Buellia nantiana", "Buellia nashii", "Buellia navajoensis", "Buellia notabilis", "Buellia occidentalis", "Buellia oidalea", "Buellia oidaliella", "Buellia paniformis", "Buellia papillata", "Buellia parvula", "Macrobrachium crenulatum", "Macrobrachium faustinum", "Myerslopia triregia", "Myerslopia magna", "Buellia polyspora", "Buellia prospersa", "Buellia pseudomicromera", "Buellia pullata", "Buellia pulverea", "Buellia regineae", "Buellia ryanii", "Buellia sanguinolenta", "Hemicordulia ogasawarensis", "Hemicordulia okinawensis", "Buellia saxorum", "Buellia schaereri", "Hylarana cubitalis", "Hylarana daemeli", "Hylarana darlingi", "Hylarana debussyi", "Hylarana elberti", "Hylarana erythraea", "Macrobrachium reyesi", "Sanguirana everetti", "Hylarana faber", "Hylarana florensis", "Hylarana fonensis", "Hylarana galamensis", "Hylarana garoensis", "Hylarana garritor", "Hylarana glandulosa", "Hylarana gracilis", "Hylarana grandocula", "Hylarana grisea", "Hylarana guentheri", "Sanguirana igorota", "Altinote neleus", "Hylarana jimiensis", "Hylarana kampeni", "Hylarana kreffti", "Hylarana labialis", "Hylarana laterimaculata", "Altinote alcione", "Hylarana latouchii", "Hylarana lemairei", "Hylarana leptoglossa", "Hylarana lepus", "Hylarana longipes", "Altinote stratonice", "Abavorana luctuosa", "Dryas iulia martinica", "Dryas iulia largo", "Dryas iulia zoe", "Chrysonasma cassiterota", "Chrysonasma caliginosa", "Anaulacodithella angustimana", "Anaulacodithella australica", "Anaulacodithella deserticola", "Anaulacodithella mordax", "Anaulacodithella novacaledonica", "Anaulacodithella plurisetosa", "Anaulacodithella reticulata", "Cryptoditha elegans", "Lithobates psilonota", "Lithobates pueblae", "Lithobates pustulosus", "Cryptoditha francisi", "Lithobates septentrionalis", "Lithobates sevosus", "Lithobates sierramadrensis", "Lithobates spectabilis", "Lithobates sphenocephala", "Lithobates tarahumarae", "Lithobates taylori", "Lithobates vaillanti", "Lithobates vibicarius", "Lithobates warszewitschii", "Lithobates zweifeli", "Meristogenys amoropalamus", "Meristogenys jerboa", "Pycnodithella abyssinica", "Meristogenys kinabaluensis", "Meristogenys macrophthalmus", "Meristogenys orphnocnemis", "Meristogenys phaeomerus", "Meristogenys poecilus", "Meristogenys whiteheadi", "Pycnodithella harveyi", "Odorrana amamiensis", "Odorrana andersonii", "Odorrana anlungensis", "Odorrana aureola", "Odorrana bacboensis", "Cermada punctimargo", "Cermada aspilus", "Aka finitima", "Lorelus priscus", "Crataegus estonica", "Crataegus dunensis", "Crataegus kupfferi", "Crataegus curonica", "Crataegus palmstruchii", "Crataegus lindmanii", "Crataegus maritima", "Crataegus osiliensis", "Crataegus viidumaegica", "Buellia zoharyi", "Xenocoelidia sexguttata", "Santiago wittmanni", "Svastrina subapicalis", "Gaesischia glabrata", "Gaesischia interrupta", "Gaesischia rosadoi", "Biza castanea", "Biza ocellata", "Biza similis", "Biza maculata", "Biza trimaculata", "Macrobrachium amazonicum", "Hylarana raniceps", "Hylarana scutigera", "Hylarana siberu", "Hylarana signata", "Hylarana similis", "Hylarana spinulosa", "Hylarana supragrisea", "Hylarana taipehensis", "Indosylvirana temporalis", "Sanguirana tipanan", "Hylarana tytleri", "Hylarana volkerjane", "Macrobrachium brasiliense", "Altinote tenebrosa tenebrosa", "Altinote tenebrosa erebia", "Altinote hilaris hilaris", "Lithobates bwana", "Altinote hilaris desmiala", "Lithobates chichicuahutla", "Lithobates chiricahuensis", "Altinote eresia eresia", "Lithobates clamitans", "Altinote eresia eresina", "Lithobates forreri", "Altinote eresia leptogramma", "Lithobates grylio", "Altinote eresia binghamae", "Lithobates johni", "Lithobates juliani", "Lithobates lemosespinali", "Altinote eresia lacrymosa", "Lithobates macroglossa", "Lithobates maculatus", "Lithobates magnaocularis", "Altinote rubrocellulata rubrocellulata", "Lithobates megapoda", "Lithobates miadis", "Lithobates montezumae", "Lithobates neovolcanica", "Lithobates okaloosae", "Lithobates omiltemanus", "Lithobates onca", "Lithobates palmipes", "Lithobates palustris", "Philaethria andrei", "Philaethria constantinoi", "Philaethria diatonica", "Philaethria dido", "Eocenchrea maorica", "Achilus flammeus", "Tiriteana clarkei", "Koroana arthuria", "Koroana lanceloti", "Koroana rufifrons", "Cixius inexspectatus", "Anthodioctes affinis", "Anthodioctes guiomardi", "Mielkeanthidium ornatum", "Moureanthidium pontagrossense", "Austrostelis maranhensis", "Cochabamba volxemi", "Buellia almorensis", "Buellia flavelloides", "Buellia hemispherica", "Buellia indica", "Buellia meghalayensis", "Buellia nilgiriensis", "Buellia palniensis", "Buellia pinicola", "Buellia quartziana", "Buellia subglaziouana", "Buellia subsororioides", "Buellia substigmea", "Agandecca annectens", "Buellia buellioides", "Pelophylax bergeri", "Pelophylax caralitanus", "Pelophylax cerigensis", "Pelophylax cretensis", "Pelophylax demarchii", "Pelophylax epeiroticus", "Pelophylax fukienensis", "Pelophylax hubeiensis", "Pelophylax kurtmuelleri", "Pelophylax lateralis", "Pelophylax lessonae", "Wyushinamia bifurcata", "Yuanamia anastoma", "Bambusana bambusae", "Bambusana jenjouristi", "Bambusana fopingensis", "Bambusana multidentata", "Triplectides chilensis", "Triplectides flintorum", "Triplectides misionensis", "Triplectides neblinus", "Triplectides neotropicus", "Triplectides nevadus", "Triplectides tepui", "Triplectides ultimus", "Amphoropsyche insularis", "Amphoropsyche napo", "Amphoropsyche flinti", "Amphoropsyche stellata", "Amphoropsyche refugia", "Amphoropsyche aragua", "Amphoropsyche choco", "Amphoropsyche ayura", "Amphoropsyche quebrada", "Amphoropsyche cauca", "Polycentropus thaxtoni", "Hydroptila roberta", "Culoptila acaena", "Culoptila aluca", "Culoptila amberia", "Culoptila azulae", "Culoptila barrerai", "Culoptila bidentata", "Tuiharpalus moorei", "Tuiharpalus crosbyi", "Tuiharpalus gourlayi", "Maoriharpalus sutherlandi", "Parabaris hoarei", "Kupeharpalus embersoni", "Kiwiharpalus townsendi", "Kuschelengis politus", "Paralissotes oconnori", "Paralissotes triregius", "Metaxina ornata", "Diplotomma alboatrior", "Norvellina acuspina", "Diplotomma himalayense", "Norvellina uncata", "Norvellina adunca", "Norvellina denotata", "Diplotomma megasporum", "Norvellina forficata", "Norvellina cincta", "Norvellina recepta", "Diplotomma murorum", "Diplotomma penichrum", "Diplotomma proximatum", "Rana zhengi", "Rana zhenhaiensis", "Sanguirana sanguinea", "Sanguirana varians", "Staurois latopalmatus", "Staurois natator", "Staurois nubilis", "Staurois parvus", "Staurois tuberilinguis", "Talaus dulongjiang", "Talaus niger", "Triplectides mouiensis", "Triplectides abnormalis", "Triplectides minutus", "Triplectides noumeiensis", "Triplectides tigrinus", "Triplectides koghiensis", "Triplectides wardi", "Triplectides nathaliae", "Triplectides mariannae", "Triplectides dawnae", "Triplectides aequalichelatus", "Triplectides australis", "Triplectides sasali", "Triplectides smithi", "Triplectides winstanleyi", "Leporinus amazonicus", "Apopontonia seticauda", "Mixibius tibetanus", "Hypsibius shaanxiensis", "Doryphoribius mexicanus", "Bermuteo avivorus", "Eoconfuciusornis zhengi", "Bubo virginianus pinorum", "Paravargula karenae", "Microgale macpheei", "Neoarcturus obesopleon", "Astacilla mccaini", "Astacilla spinicutis", "Arcturinoides angulata", "Uristes yamana", "Paranarella watlingi", "Calyptrophora clinata", "Calyptrophora microdentata", "Lecanora albopruinosa", "Diasterope puertoricensis", "Amphiascoides coreanus", "Pelophylax perezi", "Pelophylax porosus", "Pelophylax ridibundus", "Pelophylax saharicus", "Pelophylax shqipericus", "Pelophylax tenggerensis", "Pelophylax terentievi", "Pseudorana sangzhiensis", "Pseudorana weiningensis", "Pterorana khare", "Rana asiatica", "Rana camerani", "Rana chaochiaoensis", "Rana chevronta", "Rana draytonii", "Rana hanluica", "Rana italica", "Rana johnsi", "Rana kukunoris", "Rana kunyuensis", "Lithobates latastei", "Rana longicrus", "Rana luteiventris", "Rana macrocnemis", "Rana multidenticulata", "Rana omeimontis", "Rana pyrenaica", "Rana sauteri", "Rana shuchinae", "Rana sierrae", "Alloscolytroproctus ashei", "Alloscolytroproctus dominicae", "Alloscolytroproctus peruanus", "Vastaplatyura electrica", "Maoricicada campbelli", "Rentonellum apterum", "Rentonellum loebli", "Parentonium australicum", "Parentonium magnum", "Geodorcus auriculatus", "Geodorcus capito", "Geodorcus helmsi", "Geodorcus ithaginis", "Geodorcus philpotti", "Geodorcus novaezealandiae", "Penichrolucanus elongatus", "Penichrolucanus nicobaricus", "Penichrolucanus sumatrensis", "Murrindisyllis kooromundroola", "Lemaitreopsis holmi", "Lonchophylla cadenai", "Lonchophylla pattoni", "Yucatania clavus", "Loboixys ryukyuensis", "Sericospilus glabratus", "Sericospilus watti", "Notohyus erosus", "Madecorformica silhouetta", "Contulma fluminensis", "Contulma meloi", "Idiopyrgota setiventris", "Contulma tripui", "Arcutelphusa talladega", "Lepidium sativum", "Lonchophylla fornicata", "Indirana beddomii", "Indirana brachytarsus", "Indirana diplosticta", "Indirana gundia", "Indirana leithii", "Indirana leptodactyla", "Indirana longicrus", "Indirana phrynoderma", "Indirana semipalmata", "Indirana tenuilingua", "Buergeria oxycephala", "Buergeria pollicaris", "Kurixalus eiffingeri", "Buergeria robusta", "Chiromantis cherrapunjiae", "Chiromantis doriae", "Chiromantis dudhwaensis", "Feihyla hansenae", "Chiromantis kelleri", "Theloderma laeve", "Chiromantis nongkhorensis", "Chiromantis petersii", "Chiromantis punctatus", "Chiromantis shyamrupus", "Chiromantis simus", "Feihyla vittata", "Chiromantis xerampelina", "Feihyla palpebralis", "Culoptila buenoi", "Culoptila cantha", "Culoptila cascada", "Culoptila costaricensis", "Culoptila denningi", "Culoptila hamata", "Culoptila jamapa", "Culoptila kimminsi", "Culoptila montanensis", "Culoptila moselyi", "Culoptila nahuatl", "Culoptila pararusia", "Culoptila plummerensis", "Culoptila rusia", "Culoptila saltena", "Culoptila tapanti", "Culoptila tarascanica", "Culoptila thoracica", "Culoptila unispina", "Culoptila vexillifera", "Canoptila bifida", "Canoptila williami", "Contulma boliviensis", "Furculanurida langdoni", "Didemnum galacteum", "Sericospilus cumberi", "Nihonotrypaea thermophila", "Philocheras magnioculus", "Munidopsis sarissa", "Spadella xcalakensis", "Odorrana grahami", "Odorrana graminea", "Odorrana hainanensis", "Odorrana hejiangensis", "Odorrana hosii", "Odorrana indeprensa", "Odorrana ishikawae", "Odorrana jingdongensis", "Odorrana junlianensis", "Odorrana khalam", "Odorrana kuangwuensis", "Odorrana leporipes", "Odorrana livida", "Odorrana lungshengensis", "Odorrana margaretae", "Odorrana melasma", "Odorrana monjerai", "Odorrana morafkai", "Odorrana narina", "Odorrana nasica", "Odorrana nasuta", "Odorrana orba", "Odorrana schmackeri", "Odorrana sinica", "Odorrana supranarina", "Odorrana swinhoana", "Odorrana tiannanensis", "Odorrana tormota", "Odorrana trankieni", "Odorrana utsunomiyaorum", "Odorrana versabilis", "Odorrana wuchuanensis", "Pelophylax bedriagae", "Altinote dicaeus dicaeus", "Altinote dicaeus callianira", "Altinote dicaeus laverna", "Altinote dicaeus amida", "Altinote dicaeus albofasciata", "Altinote dicaeus carica", "Altinote dicaeus ozinta", "Altinote dicaeus euris", "Altinote dicaeus jucunda", "Altinote dicaeus eulalia", "Altinote anaxo anaxo", "Altinote anaxo comta", "Altinote negra negra", "Altinote negra euclia", "Altinote negra demonica", "Altinote negra scotosis", "Altinote negra sobrina", "Altinote negra avuncula", "Altinote negra menoetes", "Altinote callianthe callianthe", "Altinote callianthe alla", "Altinote callianthe rufa", "Altinote callianthe amoena", "Altinote trinacria trinacria", "Altinote trinacria naura", "Altinote trinacria chea", "Altinote trinacria tenebrarum", "Macrobrachium carcinus", "Hylarana maosonensis", "Macrobrachium acanthurus", "Hylarana margariana", "Hylarana melanomenta", "Indosylvirana milleti", "Hylarana moellendorffi", "Hylarana moluccana", "Hylarana montivaga", "Hylarana mortenseni", "Hylarana nicobariensis", "Hylarana nigrovittata", "Hylarana novaeguineae", "Hylarana occidentalis", "Hylarana papua", "Hylarana parkeriana", "Hylarana persimilis", "Hylarana picturata", "Goleathopseudione bilobatus", "Periclimenes boucheti", "Periclimenes leptunguis", "Periclimenes ngi", "Periclimenes panglaonis", "Babamunida callista", "Babamunida hystrix", "Babamunida javieri", "Babamunida plexaura", "Spiniferaphonte ornata", "Bathione magnafolia", "Brucecaris tenuis", "Unguicaris panglaonis", "Xanthochorema neocaledonia", "Mecynostomella brevis", "Mecynostomella caledonia", "Mecynostomella flinti", "Mecynostomella hollowayi", "Mecynostomella sigma", "Mecynostomella spinosa", "Phylloicus abdominalis", "Phylloicus aculeatus", "Phylloicus adamsae", "Narrowteuthis nesisi", "Gallirallus vekamatolu", "Kensleylana briani", "Batodaeus adanad", "Microgale jenkinsae", "Longipalpa saltatrix", "Phylloicus aeneus", "Phylloicus amazonas", "Phylloicus angustior", "Phylloicus auratus", "Phylloicus bertioga", "Phylloicus bicarinatus", "Kurixalus idiootocus", "Kurixalus verrucosus", "Nyctixalus margaritifer", "Nyctixalus pictus", "Nyctixalus spinosus", "Philautus abditus", "Pseudophilautus abundus", "Philautus acutirostris", "Philautus acutus", "Fingeriana dubia", "Livoneca desterroensis", "Sennius bruneus", "Sennius kingsolveri", "Sennius maculatus", "Sennius niger", "Nymphaea gigantea", "Riggia cryptocularis", "Calomys tocantinsi", "Oxycephalotettix tiputini", "Luheria constricta", "Cariancha cariboba", "Cariancha delongi", "Phylloicus flinti", "Phylloicus hansoni", "Phylloicus holzenthali", "Phylloicus iridescens", "Phylloicus lituratus", "Phylloicus llaviuco", "Nurocyon chonokhariensis", "Cynotherium sardous", "Mapuchea chilensis", "Mapuchea burckhardti", "Mapuchea hamiltoni", "Saheloryx solidus", "Tchadotragus sudrei", "\u0412ismarckia nobilis", "Apocopis anomalus", "Apocopis breviglumis", "Apocopis cochinchinensis", "Apocopis courtallumensis", "Apocopis floccosus", "Pseudophilautus adspersus", "Philautus albopunctatus", "Pseudophilautus alto", "Philautus amoenus", "Phylloicus bidigitatus", "Theloderma andersoni", "Raorchestes anili", "Raorchestes annandalii", "Pseudophilautus asankai", "Philautus aurantium", "Pseudophilautus auratus", "Philautus aurifasciatus", "Kurixalus banaensis", "Raorchestes beddomii", "Raorchestes bobingeri", "Raorchestes bombayensis", "Philautus bunitus", "Phylloicus blahniki", "Pseudophilautus caeruleus", "Philautus cardamonus", "Pseudophilautus cavirostris", "Raorchestes chalazodes", "Raorchestes charius", "Philautus cinerascens", "Philautus cornutus", "Pseudophilautus cuspis", "Pseudophilautus decoris", "Pseudophilautus dimbullae", "Phylloicus brevior", "Philautus disgregus", "Philautus dubius", "Raorchestes dubois", "Philautus erythrophthalmus", "Pseudophilautus eximius", "Pseudophilautus extirpo", "Pseudophilautus femoralis", "Pseudophilautus fergusonianus", "Raorchestes flaviventris", "Pseudophilautus folicola", "Pseudophilautus frankenbergi", "Pseudophilautus fulvus", "Philautus garo", "Phylloicus bromeliarum", "Phylloicus chalybeus", "Phylloicus cordatus", "Phylloicus crenatus", "Phylloicus cressae", "Phylloicus cubanus", "Phylloicus elegans", "Phylloicus elektoros", "Phylloicus ephippium", "Phylloicus farri", "Phylloicus fenestratus", "Theloderma asperum", "Theloderma bicolor", "Theloderma gordoni", "Theloderma horridum", "Theloderma kwangsiense", "Theloderma leporosum", "Theloderma licin", "Theloderma moloch", "Theloderma nagalandense", "Theloderma phrynoderma", "Theloderma ryabovi", "Theloderma stellatum", "Alytes obstetricans almogavarii", "Alytes obstetricans pertinax", "Melinaea ludovica", "Melinaea ludovica ludovica", "Melinaea ludovica paraiya", "Melinaea ludovica manuelito", "Melinaea marsaeus", "Melinaea menophilus", "Melinaea mnasias", "Melinaea mneme", "Melinaea mnemopsis", "Melinaea mnemopsis mnemopsis", "Melinaea satevis", "Miltogramma drabermonkoi", "Purcellia leleupi", "Coccidiphila danilevskyi", "Coccidiphila patriciae", "Coccidiphila gerasimovi", "Coccidiphila kasypinkeri", "Coccidiphila ledereriella", "Coccidiphila riedli", "Spatulapica delicata", "Spatulapica nostalgica", "Meleonoma echinata", "Meleonoma foliata", "Meleonoma polychaeta", "Meleonoma facialis", "Meleonoma malacognatha", "Afdera jimenae", "Johnsonius marshi", "Johnsonius atlanticus", "Lamprosoma triste", "Myrsidea dacostai", "Myrsidea klickai", "Myrsidea spellmani", "Myrsidea milleri", "Myrsidea mayermae", "Myrsidea mcleannani", "Myrsidea klimesi", "Cytora gardneri", "Aclytophanes aedumena", "Justicia sect.", "Cytora tepakiensis", "Cytora solitaria", "Acer \u00d7 freemanii", "Aptilosia crocea", "Asparus bicolor", "Aspidimorpha difformis", "Eueides aliphera", "Eueides emsleyi", "Eueides heliconioides", "Eueides isabella", "Eueides lampeto", "Eueides libitina", "Eueides lineata", "Eueides lybia", "Eueides pavana", "Eueides procula", "Eueides tales", "Eueides vibilia", "Eueides aliphera aliphera", "Eueides aliphera cyllenella", "Eueides aliphera gracilis", "Eueides emsleyi emsleyi", "Eueides heliconioides heliconioides", "Eueides heliconioides eanes", "Eueides heliconioides koenigi", "Stenosis canariensis", "Lamprosoma alacre", "Agapytho foveicollis", "Raorchestes glandulosus", "Raorchestes graminirupes", "Raorchestes griet", "Raorchestes gryllus", "Philautus gunungensis", "Liuixalus hainanus", "Pseudophilautus hallidayi", "Pseudophilautus halyi", "Pseudophilautus hoffmanni", "Pseudophilautus hoipolloi", "Philautus hosii", "Pseudophilautus hypomelas", "Philautus ingeri", "Philautus jacobsoni", "Nasutixalus jerdonii", "Gracixalus jinxiuensis", "Philautus kempiae", "Philautus kempii", "Philautus kerangae", "Philautus leitensis", "Lamprosoma amethystinum", "Lamprosoma azureum", "Lamprosoma bicolor", "Lamprosoma chrysopygium", "Lamprosoma corruscum", "Lamprosoma podtiaguini", "Pleurosignum chilense", "Eueides procula kuenowii", "Iathrippa multidens", "Eueides procula asidia", "Ianiropsis perplexus", "Eueides procula browni", "Eueides tales tales", "Eueides tales cognata", "Eueides tales pythagoras", "Eueides tales surdus", "Eueides tales calathus", "Eueides tales pseudeanes", "Eueides tales barcellinus", "Eueides tales michaeli", "Eueides tales franciscus", "Eueides tales tabernula", "Eueides tales xenophanes", "Eueides vibilia vibilia", "Eueides vibilia mereaui", "Eueides vibilia unifasciatus", "Eueides vibilia vicinalis", "Eueides vibilia vialis", "Erythropitta caeruleitorques", "Hyposmocoma kaikuono", "Hyposmocoma kapakai", "Hyposmocoma kaupo", "Elachista ievae", "Elachista obtusella", "Elachista tuberella", "Elachista gleichenella", "Elachista regificella", "Elachista antonia", "Elachista camilla", "Elachista dorinda", "Elachista slivenica", "Elachista versicolora", "Elachista lugdunensis", "Elachista tanaella", "Elachista albrechti", "Elachista heteroplaca", "Elachista lorigera", "Elachista leucosyrma", "Elachista lastrella", "Elachista pigerella", "Apocopis intermedius", "Apocopis mangalorensis", "Elachista nitensella", "Elachista similis", "Elachista tengstromi", "Elachista enitescens", "Elachista madarella", "Elachista fulgens", "Storthyngura kussakini", "Pleurogonium inerme", "Ixora coccinea", "Eueides isabella isabella", "Eueides isabella dianasa", "Eueides isabella eva", "Eueides isabella melphis", "Eueides isabella cleobaea", "Eueides isabella huebneri", "Eueides isabella dynastes", "Eueides isabella hippolinus", "Eueides isabella arquata", "Eueides isabella dissoluta", "Eueides isabella ecuadorensis", "Eueides isabella nigricornis", "Eueides lampeto lampeto", "Eueides lampeto acacetes", "Eueides lampeto nigrofulva", "Eueides lampeto carbo", "Eueides lampeto apicalis", "Eueides lampeto concisa", "Eueides libitina libitina", "Eueides libitina malleti", "Eueides lybia lybia", "Lucanus swinhoei", "Eueides lybia olympia", "Lucanus tetraodon", "Eueides lybia lybioides", "Lucanus planeti", "Eueides lybia orinocensis", "Eueides lybia otelloi", "Eueides lybia salcedoi", "Eueides procula procula", "Eueides procula edias", "Eueides procula eurysaces", "Munna chilensis", "Munna lundae", "Eueides procula vulgiformis", "Phylloicus maculatus", "Phylloicus magnus", "Phylloicus mexicanus", "Phylloicus nigripennis", "Phylloicus superbus", "Phylloicus major", "Phylloicus medius", "Phylloicus monticolus", "Phylloicus munozi", "Cytora annectens", "Cytora brooki", "Phylloicus panamensis", "Phylloicus paprockii", "Phylloicus passulatus", "Phylloicus paucartambo", "Phylloicus perija", "Phylloicus pirapo", "Phylloicus quadridigitatus", "Phylloicus quitacalzon", "Phylloicus spinulacolis", "Phylloicus trichothylax", "Phylloicus yolandae", "Phylloicus obliquus", "Phylloicus plaumanni", "Phylloicus pulchrus", "Phylloicus spectabilis", "Phylloicus tricalcaratus", "Empoasca clypeata", "Empoasca quadrifida", "Caruya aculeata", "Acinopterus acuminatus", "Subilla principiae", "Xanthostigma gobicola", "Anthaxia mikesai", "Anthaxia meiseri", "Anthaxia cupressi", "Anthaxia ulmi", "Pseudophilautus leucorhinus", "Pseudophilautus limbus", "Raorchestes longchuanensis", "Philautus longicrus", "Pseudophilautus lunatus", "Raorchestes luteolus", "Pseudophilautus macropus", "Pseudophilautus maia", "Pseudophilautus malcolmsmithi", "Philautus maosonensis", "Gracixalus medogensis", "Raorchestes menglaensis", "Philautus microdiscus", "Pseudophilautus microtympanum", "Pseudophilautus mittermeieri", "Philautus mjobergi", "Thecobathra acrivalvata", "Pseudophilautus mooreorum", "Philautus namdaphaensis", "Thecobathra badagongshana", "Pseudophilautus nanus", "Thecobathra basilobata", "Thecobathra latibasis", "Pseudophilautus nasutus", "Thecobathra longisaccata", "Philautus neelanethrus", "Thecobathra paranas", "Pseudophilautus nemus", "Raorchestes nerostagona", "Thecobathra partinuda", "Liuixalus ocellatus", "Pseudophilautus ocularis", "Pseudophilautus oxyrhynchus", "Philautus pallidipes", "Rhacophorus gadingensis", "Rhacophorus gauni", "Rhacophorus georgii", "Rhacophorus harrissoni", "Rhacophorus hoanglienensis", "Rhacophorus htunwini", "Rhacophorus hui", "Rhacophorus hungfuensis", "Rhacophorus jarujini", "Feihyla kajau", "Rhacophorus kio", "Rhacophorus lateralis", "Rhacophorus malabaricus", "Rhacophorus margaritifer", "Rhacophorus maximus", "Rhacophorus minimus", "Rhacophorus modestus", "Rhacophorus moltrechti", "Rhacophorus monticola", "Rhacophorus namdaphaensis", "Rhacophorus nigropalmatus", "Rhacophorus nigropunctatus", "Rhacophorus omeimontis", "Rhacophorus orlovi", "Rhacophorus pardalis", "Rhacophorus pingbianensis", "Rhacophorus poecilonotus", "Rhacophorus prasinatus", "Rhacophorus prominanus", "Rhacophorus pseudomalabaricus", "Rhacophorus puerensis", "Rhacophorus reinwardtii", "Rhacophorus robinsonii", "Rhacophorus rufipes", "Rhacophorus taipeianus", "Rhacophorus taronensis", "Rhacophorus translineatus", "Rhacophorus tuberculatus", "Rhacophorus turpes", "Ghatixalus variabilis", "Rhacophorus verrucopus", "Rhacophorus yaoshanensis", "Rhacophorus yinggelingensis", "Colobanthus quitensis", "Elachista hiranoi", "Elachista jupiter", "Elachista phalaridis", "Byrsia dotata", "Byrsia dotata dotata", "Byrsia dotata ornata", "Byrsia dotata pallidior", "Byrsia dotata papuana", "Darantoides lineolata", "Darantoides plagiata", "Entomobrya quinquelineata", "Entomobrya fimbaensis", "Entomobrya maroccana", "Entomobrya lawrencei", "Polypedates chlorophthalmus", "Polypedates colletti", "Polypedates cruciger", "Taruga eques", "Taruga fastigo", "Polypedates hecticus", "Polypedates insularis", "Taruga longinasus", "Polypedates macrotis", "Polypedates maculatus", "Polypedates megacephalus", "Polypedates mutus", "Polypedates occidentalis", "Polypedates otilophus", "Polypedates pseudocruciger", "Polypedates taeniatus", "Polypedates zed", "Rhacophorus achantharrhena", "Rhacophorus angulirostris", "Rhacophorus annamensis", "Rhacophorus appendiculatus", "Rhacophorus arvalis", "Rhacophorus aurantiventris", "Rhacophorus baluensis", "Rhacophorus barisani", "Rhacophorus bifasciatus", "Rhacophorus bimaculatus", "Rhacophorus bipunctatus", "Rhacophorus calcadensis", "Rhacophorus calcaneus", "Rhacophorus catamitus", "Rhacophorus chenfui", "Rhacophorus cyanopunctatus", "Rhacophorus dennysi", "Rhacophorus dorsoviridis", "Rhacophorus duboisi", "Rhacophorus dugritei", "Rhacophorus dulitensis", "Rhacophorus edentulus", "Rhacophorus everetti", "Rhacophorus exechopygus", "Rhacophorus fasciatus", "Rhacophorus feae", "Eupoecilia kobeana", "Aspicilia sipeana", "Eupoecilia kruegeriana", "Eupoecilia lata", "Aspicilia sorediza", "Eupoecilia neurosema", "Aspicilia subcircinata", "Aspicilia subdepressa", "Eupoecilia ochrotona", "Aspicilia sublapponica", "Aspicilia submersa", "Aspicilia subradians", "Eupoecilia reliquatrix", "Aspicilia substictica", "Aspicilia supertegens", "Eupoecilia sanguisorbana", "Aspicilia tuberculosa", "Aspicilia verrucigera", "Eupoecilia scytalephora", "Eupoecilia sumatrana", "Eupoecilia sumbana", "Eupoecilia taneces", "Eupoecilia tenggerensis", "Eupoecilia thalia", "Eupoecilia wegneri", "Eupoecilia yubariana", "Abancaya gnypeta", "Accuminulia buscki", "Accuminulia longiphallus", "Acroplectis haemanthes", "Acmanthina acmanthes", "Acmanthina albipuncta", "Bombina variegata gracilis", "Bombina variegata kolombatovici", "Bombina variegata scabra", "Bombina variegata variegata", "Acsala anomala", "Eudesmia arida", "Eudesmia menea", "Cisthene angelus", "Idioneurula donegani", "Idioneurula erebioides", "Idioneurula eremita", "Idioneurula jacquelinae", "Coptotriche alavelona", "Psectrotarsia flava", "Psectrotarsia suavis", "Psectrotarsia hebardi", "Psectrotarsia euposis", "Psectrotarsia rhodophora", "Jodis orientalis", "Jodis angulata", "Aoshakuna sachalinensis", "Aoshakuna lucia", "Aoshakuna lucia lucia", "Aoshakuna lucia ussurica", "Microloxia chlorissoides", "Pseudophilautus papillosus", "Pseudophilautus pardus", "Raorchestes parvulus", "Philautus petersi", "Philautus petilus", "Pseudophilautus pleurotaenia", "Philautus poecilius", "Raorchestes ponmudi", "Pseudophilautus poppiae", "Pseudophilautus popularis", "Pseudophilautus procax", "Philautus refugii", "Pseudophilautus regius", "Pseudophilautus reticulatus", "Philautus rhododiscus", "Pseudophilautus rugatus", "Pseudophilautus rus", "Raorchestes sahai", "Philautus sanctisilvaticus", "Pseudophilautus sarasinorum", "Philautus saueri", "Philautus schmackeri", "Pseudophilautus schmarda", "Pseudophilautus semiruber", "Raorchestes shillongensis", "Raorchestes signatus", "Pseudophilautus silus", "Pseudophilautus silvaticus", "Pseudophilautus simba", "Philautus similipalensis", "Philautus similis", "Pseudophilautus sordidus", "Pseudophilautus steineri", "Pseudophilautus stellatus", "Pseudophilautus stictomerus", "Pseudophilautus stuarti", "Philautus surdus", "Philautus surrufus", "Philautus tectus", "Pseudophilautus temporalis", "Raorchestes terebrans", "Raorchestes tinniens", "Raorchestes travancoricus", "Philautus truongsonensis", "Raorchestes tuberohumerus", "Philautus tytthus", "Philautus umbra", "Pseudophilautus variabilis", "Philautus vermiculatus", "Pseudophilautus viridis", "Philautus vittiger", "Philautus worcesteri", "Pseudophilautus wynaadensis", "Pseudophilautus zal", "Pseudophilautus zimmeri", "Pseudophilautus zorro", "Pterophorus attenuatus", "Pitta erythrogaster aruensis", "Pitta erythrogaster bernsteini", "Aspicilia glaucopsina", "Eupoecilia acrographa", "Aspicilia grisea", "Aspicilia guadalupensis", "Aspicilia heteroplaca", "Eupoecilia ambiguella", "Aspicilia humboldtii", "Eupoecilia amphimnesta", "Aspicilia knudsenii", "Aspicilia leprosescens", "Eupoecilia anebrica", "Aspicilia lesleyana", "Aspicilia mastoidea", "Aspicilia mastrucata", "Eupoecilia angustana", "Aspicilia mazarina", "Aspicilia melanaspis", "Eupoecilia anisoneura", "Aspicilia moenium", "Eupoecilia armifera", "Aspicilia narssaquensis", "Aspicilia nashii", "Aspicilia nathorstii", "Eupoecilia cebrana", "Aspicilia novae-semliae", "Eupoecilia charixantha", "Eupoecilia citrinana", "Aspicilia obscurata", "Eupoecilia coniopa", "Eupoecilia cracens", "Eupoecilia crocina", "Aspicilia olivaceobrunnea", "Eupoecilia crocina crocina", "Aspicilia pacifica", "Eupoecilia crocina hissarica", "Aspicilia perradiata", "Aspicilia phaea", "Aspicilia pertusa", "Aspicilia plicigera", "Eupoecilia dactylota", "Eupoecilia dentana", "Aspicilia praecrenata", "Eupoecilia diana", "Aspicilia praeradiosa", "Aspicilia quartzitica", "Eupoecilia dynodesma", "Aspicilia radiosa", "Eupoecilia engelinae", "Aspicilia recedens", "Eupoecilia eucalypta", "Aspicilia reptans", "Eupoecilia inouei", "Aspicilia rolleana", "Aspicilia rosulata", "Aspicilia santamonicae", "Aspicilia simo\u00ebnsis", "Margelana flavidior flavidior", "Margelana flavidior ochrea", "Catasticta flisa", "Catasticta flisa flisa", "Pristimantis yuruaniensis", "Pristimantis gagliardoi", "Pristimantis kichwarum", "Pristimantis altamnis", "Pristimantis achuar", "Pristimantis auricarens", "Pristimantis leucorrhinus", "Pristimantis tepuiensis", "Pristimantis stegolepis", "Pristimantis guaiquinimensis", "Pristimantis minutulus", "Pristimantis albertus", "Pristimantis adiastolus", "Pristimantis vilcabambae", "Pristimantis tanyrhynchus", "Pristimantis seorsus", "Rhyssaloides ambeodonti", "Rhyssaloides antipoda", "Doryctopsis neozealandicus", "Lepidium apetalum", "Synochoneura ochriclivis", "Synochoneura tapaishani", "Synochoneura dentana", "Lobothallia alphoplaca", "Lobothallia melanaspis", "Lobothallia praeradiosa", "Lobothallia radiosa", "Idmon flavata", "Idmon bicolora", "Idmon distanti", "Idmon obliquans", "Idmon latifascia", "Idmon sinica", "Idmon fujianana", "Margelana brunnea", "Margelana versicolor", "Margelana flavidior", "Pinus stylesii", "Incilius cavifrons", "Incilius coccifer", "Incilius coniferus", "Incilius cristatus", "Incilius cycladen", "Incilius fastidiosus", "Incilius gemmifer", "Incilius holdridgei", "Incilius ibarrai", "Incilius intermedius", "Incilius leucomyos", "Incilius luetkenii", "Sphecosoma pattiannae", "Cryptodacne nui", "Cryptodacne rangiauria", "Cryptodacne brounii", "Cryptodacne ferrugata", "Cryptodacne pubescens", "Cryptodacne synthetica", "Cryptodacne lenis", "Chelagyrtodes crowsoni", "Pselnophorus emeishanensis", "Pachyodes amplificata", "Pachyodes haemataria", "Pachyodes leucomelanaria", "Pachyodes pratti", "Pachyodes subtrita", "Pachyodes ornataria", "Zizina otis otis", "Zizina otis antanossa", "Zizina otis labradus", "Aspicilia albomarginata", "Zizina oxleyi", "Aspicilia aliena", "Aspicilia americana", "Aspicilia anglica", "Aspicilia annulata", "Aspicilia anseris", "Aspicilia aquatica", "Aspicilia arctica", "Aspicilia arizonica", "Aspicilia aurantiaca", "Aspicilia boykinii", "Aspicilia brucei", "Aspicilia californica", "Aspicilia cingulata", "Aspicilia circularis", "Frisilia cornualis", "Frisilia nesiotes", "Aspicilia composita", "Aspicilia confusa", "Aspicilia contigua", "Aspicilia cuprea", "Aspicilia curvabilis", "Aspicilia cyanescens", "Aspicilia determinata", "Homaloxestis striapunctata", "Aspicilia disserpens", "Aspicilia elevata", "Eupoecilia aburica", "Aspicilia epiglypta", "Aspicilia filiformis", "Aspicilia fumosa", "Pristimantis chimu", "Pristimantis caeruleonotus", "Pristimantis bellator", "Pristimantis aquilonaris", "Pristimantis ventriguttatus", "Pristimantis saltissimus", "Pristimantis jester", "Pristimantis dendrobatoides", "Mecyclothorax aa", "Mecyclothorax blackburnianus", "Mecyclothorax footei", "Mecyclothorax funebris", "Mecyclothorax gagnei", "Mecyclothorax giffini", "Mecyclothorax granulipennis", "Mecyclothorax hephaestus", "Mecyclothorax kaukukini", "Mecyclothorax maunakukini", "Mecyclothorax nitidus", "Mecyclothorax perivariipes", "Mecyclothorax punakukini", "Mecyclothorax purpuripennis", "Mecyclothorax rufipennis", "Mecyclothorax sinuosus", "Mecyclothorax swezeyi", "Mecyclothorax williamsi", "Mecyclothorax subunctus", "Mecyclothorax karschi", "Mecyclothorax konanus", "Mecyclothorax discedens", "Cicadetta hannekeae", "Cicadetta montana", "Stenocader mapu", "Afronurus palawanensis", "Afronurus zerningi", "Platycephala brevis", "Incilius macrocristatus", "Incilius marmoreus", "Incilius mazatlanensis", "Incilius melanochlorus", "Incilius nebulifer", "Sphecosoma tarsalis", "Incilius occidentalis", "Incilius periglenes", "Incilius peripatetes", "Incilius perplexus", "Incilius pisinnus", "Incilius porteri", "Incilius signifer", "Incilius spiculatus", "Incilius tacanensis", "Nasusina vallis", "Incilius tutelarius", "Incilius valliceps", "Nasusina inferior", "Schinia varix", "Hildebrandtiella scutellaris", "Anopinella phillipsae", "Anopinella larana", "Anopinella boliviana", "Anopinella peruvensis", "Anopinella tucki", "Platycephala elongata", "Platycephala guangdongensis", "Platycephala xui", "Chaetogonopteron dayaoshanum", "Chaetogonopteron longicercus", "Chaetogonopteron ventriseta", "Chaetogonopteron zhuae", "Strumigenys perplexa", "Ontsira antica", "Achrestus flavocinctus", "Achrestus lycidioides", "Achrestus marginatus", "Achrestus phyllocerus", "Achrestus saucius", "Achrestus antennalis", "Achrestus suturalis", "Achrestus trilineatus", "Achrestus fulvovittatus", "Achrestus venustus", "Achrestus marginicollis", "Achrestus ruficollis", "Zeus faber", "Janira maculosa", "Disconectes vanhoeffeni", "Janira operculata", "Vanhoeffenura challengeri", "Vanhoeffenura gordonae", "Anteon tucumanense", "Rectisura serrata", "Sursumura abyssalis", "Dacnusa cicerina", "Anopinella holandia", "Anopinella tinalandana", "Anopinella panamana", "Anopinella rigidana", "Anopinella sympatrica", "Anopinella rica", "Anopinella styraxivora", "Anopinella isodelta", "Anopinella ophiodes", "Anopinella triquetra", "Anopinella alshiana", "Anopinella aurea", "Anopinella consecta", "Anopinella perblanda", "Anopinella tenebricosa", "Campylotropis jakovlevi", "Ptychocroca apenicillia", "Ptychocroca nigropenicillia", "Ptychocroca keelioides", "Ptychocroca lineabasalis", "Ptychocroca galenia", "Ptychocroca simplex", "Ptychocroca crocoptycha", "Ptychocroca wilkinsoni", "Arthroleptis krokosua", "Anaxyrus boreas boreas", "Anaxyrus boreas halophilus", "Anaxyrus debilis debilis", "Anaxyrus debilis insidior", "Anaxyrus woodhousii australis", "Anaxyrus woodhousii woodhousii", "Homaloxestis luzonensis", "Bufo eichwaldi", "Dendrophryniscus krausei", "Homaloxestis quadralis", "Incilius alvarius", "Incilius aucoinae", "Homaloxestis aganacma", "Homaloxestis alopecopa", "Incilius bocourti", "Incilius campbelli", "Incilius canaliferus", "Anopinella albolinea", "Anopinella porrasa", "Anopinella cartagoa", "Anopinella powelli", "Anopinella araguana", "Anopinella razowskii", "Anopinella parambana", "Anopinella rastafariana", "Anopinella arenalana", "Anopinella mariana", "Anopinella carabayana", "Anopinella cafrosana", "Strumigenys kumadori", "Anopinella transecta", "Anopinella fana", "Anopinella cuzco", "Anopinella choko", "Anopinella brasiliana", "Anopinella macrosema", "Ameerega altamazonica", "Epipedobates narinensis", "Excitobates captivus", "Perisceptis carnivora", "Copitarsia corruda", "Hoploseius mariae", "Bicavernaria henicodes", "Bidorpitia boliviana", "Bidorpitia cryptica", "Bidorpitia dictyophanes", "Bidorpitia exanthina", "Bidorpitia megasaccula", "Bidorpitia poolei", "Bolbia biloba", "Brazeulia jaoquimana", "Bonagota arizonae", "Bonagota bogotana", "Bonagota chiapasana", "Bonagota costaricana", "Bonagota dominicana", "Bonagota melanecta", "Bonagota mexicana", "Bonagota salubricola", "Pseudomeritastis emphanes", "Ditha elegans", "Ditha philippinensis", "Ditha loricata", "Ditha novaeguineae", "Netechmodes landryi", "Ditha palauensis", "Ditha proxima", "Ditha ogasawarensis", "Ditha laosana", "Ditha tonkinensis", "Ditha pahangica", "Ditha latimana", "Ditha marcusensis", "Ditha sinuata", "Thalleulia gracilescens", "Ditha sumatraensis", "Chromileptes altivelis", "Epopostruma inornata", "Epopostruma spinosa", "Apolychrosis ambogonium", "Apolychrosis candidus", "Apolychrosis ferruginus", "Apolychrosis schwerdtfegeri", "Apolychrosis synchysis", "Apotomops boliviana", "Austrohormius punctatus", "Apotomops spomotopa", "Apotomops carchicola", "Apotomops sololana", "Apotomops texasana", "Apotomops wellingtoniana", "Argentulia gentilii", "Argentulia montana", "Atepa colaptes", "Atepa cordobana", "Atepa sinaloana", "Atepa triplagata", "Melanophryniscus alipioi", "Peltophryne florentinoi", "Belemclepsis belemana", "Bufo siculus", "Craugastor saltator", "Craugastor batrachylus", "Haddadus binotatus", "Haddadus plicifer", "Alsodes coppingeri", "Odontophrynus maisuma", "Clepsis parva", "Clepsis parassensus", "Clepsis assensiodes", "Sisurcana leptina", "Anacrusis rubida", "Monortha procera", "Waematau manawatahi", "Waematau muriwhenua", "Waematau reinga", "Waematau unuwhao", "Waematau kaitaia", "Artoria hospita", "Artoria segrega", "Artoria separata", "Strumigenys alexetrix", "Gorytvesica sychnospina", "Rostrobagatus microps", "Excitobates mysteriosus", "Joeropsis schoelcheri", "Uromunna deodata", "Limnonectes megastomias", "Gorytvesica decumana", "Gorytvesica gorytodes", "Diasporus anthrax", "Diasporus diastema", "Diasporus gularis", "Diasporus hylaeformis", "Diasporus quidditus", "Diasporus tigrillo", "Diasporus tinker", "Diasporus vocator", "Eleutherodactylus erythroproctus", "Eleutherodactylus melatrigonum", "Eleutherodactylus notidodes", "Acris blanchardi", "Boana caipora", "Boana stellae", "Transtillaspis anxia", "Transtillaspis argentilinea", "Transtillaspis atimeta", "Transtillaspis baea", "Transtillaspis bascanion", "Transtillaspis batoidea", "Transtillaspis bebela", "Transtillaspis blechra", "Transtillaspis brachistocera", "Transtillaspis brandinojuxta", "Transtillaspis cherada", "Transtillaspis cinifera", "Transtillaspis cornutipea", "Transtillaspis hedychnium", "Transtillaspis luiscarlosi", "Transtillaspis monoseta", "Transtillaspis tucumana", "Transtillaspis zonion", "Chamelania auricoma", "Chamelania jaliscana", "Chapoania dentigera", "Characovalva dentiens", "Characovalva dentiens dentiens", "Characovalva dentiens micra", "Chicotortrix zeteles", "Chileulia stalactitis", "Chinchipena elettaria", "Chrysoxena auriferana", "Litoria kuduki", "Hylodes perere", "Adenomera ajurauna", "Allotrochosina karri", "Allotrochosina schauinslandi", "Clostridium tetani", "Venatrix konei", "Acihasta salebrosa", "Monoscutum titirangiense", "Triregia monstrosa", "Dogolion oligodon", "Netechma altobrasiliana", "Saphenista saragurae", "Thalleulia ochreorufa", "Apotomops rhampha", "Netechma cajanumae", "Netechma albitermen", "Galomecalpa minutuncus", "Inape toledana", "Inape lojae", "Cincorunia uncicornia", "Circapina flexalana", "Colosyta ocystolus", "Corneulia elata", "Cincorunia monstruncus", "Transtillaspis saragurana", "Transtillaspis zamorana", "Transtillaspis zenenaltana", "Transtillaspis dromadaria", "Transtillaspis curiosissima", "Lasiothyris luminosa", "Lasiothyris megapenis", "Lasiothyris micida", "Lasiothyris omissa", "Lasiothyris pervicax", "Lasiothyris revulsa", "Lasiothyris sorbia", "Lasiothyris tardans", "Macasinia furcata", "Planaltinella rhatyma", "Orthocomotis aglaia", "Orthocomotis altivolans", "Orthocomotis aphanisma", "Orthocomotis phenax", "Orthocomotis phenax phenax", "Orthocomotis phenax phobetica", "Orthocomotis argodonta", "Orthocomotis euchaldera", "Orthocomotis euchaldera euchaldera", "Orthocomotis euchaldera domonoana", "Orthocomotis exolivata", "Orthocomotis herbacea", "Orthocomotis leucothorax", "Orthocomotis mareda", "Orthocomotis melania", "Orthocomotis nitida", "Orthocomotis ochracea", "Orthocomotis ochrosaphes", "Orthocomotis prochaldera", "Orthocomotis pseudolivata", "Orthocomotis twila", "Orthocomotis smaragditis", "Orthocomotis trissophricta", "Orthocomotis melanochlora", "Orthocomotis attonsa", "Orthocomotis auchmera", "Orthocomotis boscantica", "Orthocomotis chaldera", "Orthocomotis chloantha", "Episimus albidorsanus", "Episimus griseatus", "Episimus limoyanus", "Episimus guiana", "Episimus albifrons", "Pristimantis coronatus", "Pristimantis culatensis", "Episimus mignonatus", "Pristimantis flabellidiscus", "Pristimantis jabonensis", "Pristimantis rhigophilus", "Episimus armiferus", "Pristimantis royi", "Episimus paraisanus", "Pristimantis thyellus", "Episimus quintananus", "Pristimantis wagteri", "Episimus kimballi", "Episimus vixenus", "Episimus chica", "Episimus jamaicanus", "Episimus antiguanus", "Episimus nesiotes", "Episimus curacaonus", "Phalonidia chlaenites", "Arthonia phlyctiformis subsp. californica", "Phalonidia albicaput", "Phalonidia ochrochraon", "Phalonidia acrota", "Phalonidia lojana", "Phalonidia electra", "Phalonidia cermatia", "Arthonia phlyctiformis subsp. phlyctiformis", "Phalonidia jequieta", "Phalonidia lacistovalva", "Lasiothyris perlochra", "Lasiothyris docillis", "Lasiothyris taima", "Lasiothyris subdiclada", "Macasinia minifurcata", "Macasinia mirabilana", "Saphenista ochraurea", "Saphenista paraconsona", "Saphenista ceteora", "Saphenista rufozodion", "Saphenista splendida", "Saphenista subsphragidias", "Saphenista contermina", "Piper phuwuaense", "Piper pilobracteatum", "Arthonia brucei", "Arthonia mirabilis", "Arthonia pruinascens", "Arthonia redingeri", "Lynchius parkeri", "Niceforonia adenobrachia", "Niceforonia columbiana", "Niceforonia nana", "Oreobates cruralis", "Oreobates discoidalis", "Oreobates granulosus", "Oreobates heterodactylus", "Oreobates ibischi", "Oreobates lehri", "Oreobates madidi", "Oreobates pereger", "Oreobates zongoensis", "Phrynopus auriculatus", "Phrynopus ayacucho", "Phrynopus kotosh", "Phrynopus miroslawae", "Phrynopus nicoleae", "Phrynopus oblivius", "Phrynopus tribulosus", "Celypha aurofasciana", "Celypha capreolana", "Celypha flavipalpana", "Celypha flavipalpana flavipalpana", "Celypha flavipalpana alpivagana", "Celypha kostjukorum", "Celypha striana", "Celypha striana striana", "Celypha striana obsoletana", "Celypha striana subcapreolana", "Quercus vulcanica", "Celypha cespitana", "Celypha confictana", "Celypha confictana confictana", "Celypha confictana tibatinae", "Celypha constructa", "Celypha cornigera", "Celypha ermolenkoi", "Celypha erythrana", "Celypha hydrangeana", "Celypha kurilensis", "Celypha perfracta", "Celypha pseudalarixicola", "Celypha rufana", "Celypha rurestrana", "Celypha sistrata", "Celypha woodiana", "Celypha anatoliana", "Cephalophyes porphyrea porphyrea", "Cephalophyes porphyrea temperans", "Cephalophyes cyanura", "Cephalophyes latens", "Tridenchthonius mexicanus", "Tridenchthonius parvidentatus", "Tridenchthonius parvulus", "Tridenchthonius peruanus", "Tridenchthonius serrulatus", "Tridenchthonius surinamus", "Tridenchthonius trinidadensis", "Episimus caveatus", "Episimus aurobasis", "Episimus lavirgenanus", "Episimus runawayicus", "Episimus vermiculatus", "Episimus vittatus", "Episimus ortygia", "Episimus rondoniae", "Episimus macropterus", "Episimus religiosus", "Episimus selectanus", "Episimus lupatus", "Episimus mesotrichus", "Episimus brunneomarginatus", "Episimus intermissus", "Noblella ritarasquinae", "Noblella peruviana", "Psychrophrynella adenopleura", "Episimus semicirculanus", "Psychrophrynella ankohuma", "Psychrophrynella bagrecitoi", "Psychrophrynella boettgeri", "Psychrophrynella chacaltaya", "Psychrophrynella condoriri", "Psychrophrynella guillei", "Psychrophrynella harveyi", "Psychrophrynella iani", "Psychrophrynella iatamasi", "Psychrophrynella illampu", "Psychrophrynella illimani", "Psychrophrynella kallawaya", "Psychrophrynella katantika", "Psychrophrynella kempffi", "Psychrophrynella pinguis", "Episimus zunigae", "Psychrophrynella quimsacruzis", "Psychrophrynella saltator", "Episimus queposanus", "Psychrophrynella wettsteini", "Episimus rufatus", "Episimus strigulanus", "Hypodactylus adercus", "Hypodactylus araiodactylus", "Episimus ligneanus", "Hypodactylus babax", "Hypodactylus dolops", "Episimus varablancanus", "Hypodactylus elassodiscus", "Zenenata zenena", "Intritenda tridentina", "Subterinebrica impolluta", "Hylarana waliesa", "Hylarana menglaensis", "Subterinebrica nigrosignatana", "Hylarana hekouensis", "Subterinebrica albitaeniana", "Oregocerata medioloba", "Odorrana absita", "Ptyongnathosia spinosa", "Rana culaiensis", "Gracixalus gracilipes", "Punctapinella paraconchitis", "Gracixalus supercornutus", "Kurixalus ananjevae", "Kurixalus baliogaster", "Kurixalus bisacculus", "Gracixalus carinensis", "Sychnovalva flavida", "Kurixalus hainanus", "Clepsis terevalva", "Sisurcana obscura", "Auratonota rubromixta", "Auratonota ovulus", "Eccopsis eltundana", "Epinotia zamorlojae", "Quebradnotia saragurae", "Rhopobota tentaculana", "Mesochariodes micropollex", "Inape iantha", "Strumigenys minax", "Strumigenys lycosa", "Strumigenys aenigma", "Strumigenys chareta", "Strumigenys lamia", "Strumigenys mionova", "Strumigenys basiliska", "Strumigenys daithma", "Strumigenys chernovi", "Strumigenys ekasura", "Strumigenys jepsoni", "Strumigenys panaulax", "Strumigenys scelesta", "Strumigenys frivola", "Strumigenys praefecta", "Adenomera coca", "Platyplectrum ornatum", "Platyplectrum spenceri", "Boophis baetkei", "Boophis lilianae", "Boophis tampoka", "Boophis ulftunni", "Spinomantis nussbaumi", "Spinomantis tavaratra", "Leptobrachium ailaonicum", "Leptobrachium boringii", "Leptobrachium leishanense", "Leptobrachium liui", "Leptobrachium ngoclinhense", "Leptobrachium promustache", "Arenophryne xiphorhyncha", "Phrynobatrachus pintoi", "Xenopus itombwensis", "Amolops assamensis", "Amolops caelumnoctis", "Amolops minutus", "Amolops splendissimus", "Amolops compotrix", "Amolops cucae", "Amolops iriodes", "Amolops vitreus", "Amolops archotaphus", "Clinotarsus alticola", "Archips cantinus", "Archips naltarica", "Choristoneura colyma", "Lumaria lotsunica", "Meridemis subbathymorpha", "Pandemis thomasi", "Anubias barteri", "Neocalyptis ladakhana", "Neocalyptis chlansignum", "Epelebodina concolorata", "Lepteucosma srinagara", "Nymphoides aquatica", "Arthonia speciosa", "Schefflera arboricola", "Sansevieria trifasciata", "Sansevieria ehrenbergii", "Saphenista carchiana", "Saphenista merana", "Saphenista lineata", "Mourecochylis dentipara", "Planaltinella bahia", "Mimeugnosta credibilis", "Eugnosta subsynaetera", "Eugnosta rufocentra", "Eugnosta polymacula", "Cochylis fidens", "Notocactus minimus var. tenuicylindricus", "Lithognathus mormyrus", "Exoletuncus lobopus", "Lanacerta lacertana", "Clarkenia cantamen", "Netechma gibberosa", "Netechma cuneifera", "Netechma consimilis", "Moneulia monilia", "Velociraptor osmolskae", "Exoletuncus multimaculatus", "Choristoneura africana", "Lumaria afrotropica", "Protancylis amseli", "Protancylis bisecta", "Inape asymmetra", "Inape auxoplaca", "Inape bicornis", "Inape biremis", "Inape cateres", "Inape celypha", "Inape centrota", "Hypodactylus fallaciosus", "Episimus neblinanus", "Hypodactylus latens", "Hypodactylus lucida", "Hypodactylus lundbergi", "Episimus pitillae", "Hypodactylus mantipus", "Hypodactylus nigrovittatus", "Alexiloga rubiginosana", "Lechytia anatolica", "Lechytia arborea", "Lechytia asiatica", "Lechytia cavicola", "Lechytia chilensis", "Lechytia chthoniiformis", "Lechytia delamarei", "Lechytia dentata", "Lechytia garambica", "Lechytia himalayana", "Lechytia hoffi", "Lechytia indica", "Lechytia kuscheli", "Lechytia leleupi", "Lechytia libita", "Lechytia madrasica", "Lechytia martiniquensis", "Lechytia maxima", "Lechytia natalensis", "Lechytia sakagamii", "Lechytia serrulata", "Lechytia sini", "Chimaphila maculata", "Lechytia trinitatis", "Lechytia tertiaria", "Cacocharis albimacula", "Cacocharis cymotoma", "Capricornia boisduvaliana", "Piper dominantinervium", "Scleromymar breve", "Hypodactylus brunneus", "Hypodactylus peraccai", "Lynchius flavomaculatus", "Lynchius nebulanastes", "Inape circumsetae", "Inape clarkeana", "Inape reductana", "Inape sinuata", "Inape commoda", "Inape elegans", "Inape eparmuncus", "Inape epiphanes", "Inape extraria", "Inape geoda", "Inape homeotypa", "Inape homologa", "Inape homora", "Inape incarnata", "Inape laterosclera", "Inape luteina", "Inape polysparta", "Inape pompata", "Inape porpax", "Inape pseudocelypha", "Inape sororia", "Inape uncina", "Inape xerophanes", "Dictyacantha tabulata", "Dictyacantha tetragona", "Inape papallactana", "Inape penai", "Inape semuncus", "Tylopeza zelotypa", "Forsterella faceta", "Stanwellia regia", "Paramamoea insulanus", "Paramamoea pandora", "Lasiothyris ilingocornuta", "Lasiothyris astricta", "Lasiothyris cerastes", "Lasiothyris cnestovalva", "Lasiothyris competitrix", "Lasiothyris diclada", "Lasiothyris ficta", "Lasiothyris ficta ficta", "Lasiothyris ficta chydora", "Lasiothyris gravida", "Lasiothyris heterophaea", "Lasiothyris ichthyochroa", "Lasiothyris limatula", "Strumigenys sulcata", "Strumigenys tumida", "Strumigenys nidifex", "Strumigenys mailei", "Kurixalus naso", "Kurixalus odontotarsus", "Liuixalus romeri", "Rhacophorus chuyangsinensis", "Rhacophorus laoshan", "Bryophryne bustamantei", "Bryophryne cophites", "Bryophryne nubilosus", "Noblella carrascoicola", "Noblella duellmani", "Noblella heyeri", "Noblella lochites", "Noblella lynchi", "Noblella myrmecoides", "Moronanita moruana", "Orthocomotis albimarmorea", "Orthocomotis marmorobrunnea", "Dithella javana", "Dithella philippinica", "Haploditha chamberlinorum", "Heterolophus australicus", "Heterolophus clathratus", "Heterolophus guttiger", "Heterolophus nitens", "Neoditha irusanga", "Typhloditha anophthalma", "Typhloditha minima", "Typhloditha termitophila", "Tridenchthonius addititius", "Tridenchthonius africanus", "Tridenchthonius beieri", "Tridenchthonius brasiliensis", "Tridenchthonius buchwaldi", "Tridenchthonius cubanus", "Tridenchthonius donaldi", "Tridenchthonius gratus", "Tridenchthonius juxtlahuaca", "Orthocomotis expansa", "Orthocomotis grandisocia", "Orthocomotis herbaria", "Orthocomotis independentia", "Orthocomotis longicilia", "Orthocomotis longuncus", "Orthocomotis magicana", "Orthocomotis muscosana", "Orthocomotis olivata", "Orthocomotis parattonsa", "Orthocomotis similis", "Orthocomotis sachatamiae", "Strabomantis anatipes", "Strabomantis anomalus", "Haddadus aramunha", "Strabomantis biporcatus", "Strabomantis bufoniformis", "Strabomantis cadenai", "Strabomantis cerastes", "Strabomantis cheiroplethus", "Strabomantis cornutus", "Strabomantis helonotus", "Strabomantis ingeri", "Strabomantis laticorpus", "Strabomantis necerus", "Gypsophila paniculata", "Strabomantis necopinus", "Strabomantis ruizi", "Strabomantis sulcatus", "Strabomantis zygodactylus", "Amanita fulva", "Orthocomotis parexpansa", "Orthocomotis lactistrigata", "Orthocomotis ferruginea", "Orthocomotis yanayacu", "Orthocomotis albobasalis", "Orthocomotis andina", "Orthocomotis carolina", "Orthocomotis puyoana", "Orthocomotis golondrina", "Orthocomotis gielisi", "Orthocomotis pactoana", "Orthocomotis cosangana", "Orthocomotis mediana", "Orthocomotis sucumbiana", "Orthocomotis volochilesia", "Orthocomotis shuara", "Orthocomotis alshiana", "Alistra reinga", "Hypodrassodes apicus", "Hypodrassodes insulanus", "Episimus argutanus", "Episimus terminanus", "Episimus camacanus", "Hapona reinga", "Episimus minas", "Episimus prudens", "Episimus unguiculus", "Episimus beckeri", "Episimus moderabilis", "Episimus sanjoseanus", "Episimus rufotegulus", "Atopobathynella operculata", "Episimus atrorufanus", "Forstrarchaea rubra", "Episimus dignus", "Episimus leucomesanus", "Episimus exiguus", "Pseudosympodomma adensis", "Ischnocnema penaxavantinho", "Episimus phaedra", "Cyclaspis carinobacata", "Rhacophorus suffry", "Procampylaspis hildegardae", "Rhacophorus rhodopus", "Rhinella magnussoni", "Rhinella lescurei", "Rhinella cerradensis", "Bungalotis aureus", "Rhinella boulengeri", "Rhaebo lynchi", "Bungalotis lactos", "Salatis canalis", "Salatis cebrenus", "Salatis flavomarginatus", "Salatis fulvius", "Salatis salatis", "Salatis sapcayae", "Salatis scyrus", "Sarmientoia almeidai", "Sarmientoia browni", "Sarmientoia haywardi", "Sarmientoia similis", "Salantoia dinka", "Salantoia eriopis", "Sarmientoia faustinus", "Sarmientoia phaselis", "Nicephellus nicephorus", "Euriphellus euribates", "Euriphellus polygius", "Dyscophellus mielkei", "Dyscophellus porcius", "Dyscophellus porcius porcius", "Dyscophellus porcius doriscus", "Dyscophellus erythras", "Dyscophellus diaphorus", "Adansonia perrieri", "Dyscophellus porsena", "Pseudonascus paulliniae", "Nascus phocus", "Pseudonascus solon", "Pseudonascus broteas", "Nascus phintias", "Pseudonascus prax", "Episimus mahaianus", "Episimus transferranus", "Episimus burserae", "Episimus parencausticus", "Episimus tyrius", "Episimus lagunculariae", "Episimus descriptanus", "Episimus dominicanus", "Episimus coleus", "Episimus augmentanus", "Phalloleucon abyssalis", "Pseudoceraphron albifrons", "Pseudoceraphron nana", "Pseudoceraphron pulex", "Pseudoceraphron regieri", "Pseudoceraphron burwelli", "Pseudoceraphron fijensis", "Eryphanis automedon", "Eryphanis lycomedon", "Eryphanis aesacus", "Eryphanis bubocula", "Eryphanis zolzivora", "Eryphanis opimus", "Eryphanis greeneyi", "Bungalotis astylos", "Bungalotis borax", "Bungalotis clusia", "Bungalotis diophorus", "Bungalotis erythus", "Acris gryllus dorsalis", "Bungalotis midas", "Acris gryllus gryllus", "Craugastor augusti augusti", "Bungalotis gagarini", "Craugastor augusti latrans", "Hyla avivoca avivoca", "Hyla avivoca ogechiensis", "Bungalotis milleri", "Pseudacris crucifer bartramiana", "Pseudacris crucifer crucifer", "Bungalotis quadratum", "Pseudacris nigrita nigrita", "Pseudacris nigrita verrucosa", "Bungalotis sipa", "Osornophryne puruanta", "Cycloramphus faustoi", "Hydrolaetare caparu", "Hylarana milneana", "Andinobates tolimensis", "Bungalotis borax borax", "Bungalotis borax lactos", "Cornufer latro", "Cornufer admiraltiensis", "Sphaenorhynchus caramaschii", "Bungalotis quadratum quadratum", "Bungalotis quadratum barba", "Rhinella yanachaga", "Rhinella martyi", "Physalaemus irroratus", "Xenophrys zunhebotoensis", "Xenophrys serchhipii", "Chiasmocleis mantiqueira", "Cosmopoda aenopus", "Cosmopoda molybdopa", "Phyllomedusa araguari", "Raorchestes ochlandrae", "Phrynobatrachus leveleve", "Nyctibatrachus minimus", "Nyctibatrachus sholai", "Choerophryne burtoni", "Mantidactylus noralottae", "Scinax cabralensis", "Costarcha indistincta", "Rulyrana erminea", "Platymantis paengi", "Melinaea marsaeus marsaeus", "Melinaea marsaeus mothone", "Melinaea marsaeus macaria", "Melinaea marsaeus messenina", "Ambystoma bishopi", "Melinaea marsaeus phasiana", "Melinaea marsaeus clara", "Melinaea marsaeus rileyi", "Melinaea marsaeus pothete", "Ambystoma macrodactylum columbianum", "Ambystoma macrodactylum croceum", "Ambystoma macrodactylum krausei", "Ambystoma macrodactylum macrodactylum", "Ambystoma macrodactylum sigillatum", "Ambystoma mavortium diaboli", "Ambystoma mavortium mavortium", "Ambystoma mavortium melanostictum", "Ambystoma mavortium nebulosum", "Ambystoma mavortium stebbinsi", "Ambystoma silvense", "Ambystoma subsalsum", "Melinaea menophilus menophilus", "Melinaea menophilus maenius", "Melinaea menophilus zaneka", "Melinaea menophilus orestes", "Melinaea menophilus hicetas", "Melinaea menophilus mediatrix", "Melinaea menophilus cocana", "Melinaea menophilus ernestoi", "Melinaea mnasias mnasias", "Melinaea mnasias lucifer", "Melinaea mnasias thera", "Melinaea mnasias tecta", "Melinaea mnasias comma", "Melinaea mnasias erastosthenes", "Melinaea mnasias lutzi", "Melinaea mnasias romualdo", "Melinaea mnasias abitagua", "Melinaea mnasias rondonia", "Melinaea mnasias neblinae", "Melinaea mneme mneme", "Melinaea mneme mauensis", "Melinaea satevis satevis", "Cladonema timmsii", "Afrorheithrus admirabilis", "Afrorheithrus fallax", "Afrorheithrus mirus", "Koreocoris bicoloratus", "Reinga grossa", "Reinga apica", "Hulua convoluta", "Cytora kerrana", "Cytora hispida", "Cytora filicosta", "Cytora hirsutissima", "Cytora lignaria", "Paranapis isolata", "Zelostemma chionochloae", "Hynhamia brunana", "Hynhamia cornutia", "Hynhamia hemileuca", "Hynhamia microsocia", "Hynhamia ochroleuca", "Hynhamia sciodryas", "Hynhamia obscurana", "Hynhamia decora", "Hynhamia conceptionana", "Hynhamia nigropunctana", "Hynhamia micruncus", "Convoluta niphoni", "Convoluta schueli", "Amphiscolops potocani", "Dimorphopalpa albopunctana", "Dimorphopalpa teutoniana", "Dimorphopalpa striatana", "Chaenusa hirsutissima", "Chaenusa ireneae", "Chaenusa virgili", "Chaenusa whartoni", "Chaenusa woolleyi", "Chaenusa americana", "Chaenusa saxicola", "Chaenusa quadriceps", "Chaenusa bergi", "Schizomyia loroco", "Anelpistina arubana", "Tethina sasakawai", "Rhicnoessa angustipennis", "Desmosoma lineare", "Desmosoma renatae", "Torwolia tinbiene", "Eugerdella theodori", "Rhicnoessa milichioides", "Momedossa longipedis", "Desmosoma gigantea", "Desmosoma latipes", "Sceptonia laxa", "Mirabilicoxa gracilipes", "Desmosoma anversense", "Peckoltia caenosa", "Peckoltia lineola", "Promyrmekiaphila winnemem", "Melinaea satevis maelus", "Melinaea satevis maeonis", "Melinaea satevis cydon", "Melinaea satevis flavomacula", "Melinaea satevis crameri", "Melinaea satevis tarapotensis", "Melinaea satevis zamora", "Melinaea satevis aurantia", "Melinaea satevis lamasi", "Fluvitrygon signifer", "Rhinobatos nudidorsalis", "Hemigaleus australiensis", "Droceta cedrota", "Worcesteria recondita", "Orilesa olearis", "Malpighia glabra", "Orilesa mediocris", "Aphelia finita", "Aphelia corroborata", "Plethodontohyla fonetana", "Litoria rostandi", "Hectaphelia metapyrrha", "Litoria myola", "Chiromantis samkosensis", "Chiasmocleis magnova", "Leptodactylus sertanejo", "Hectaphelia periculosa", "Centrolene durrellorum", "Pseudacris kalmi", "Hectaphelia pharetrata", "Hectaphelia hectaea", "Hectaphelia kapakoana", "Hectaphelia tortuosa", "Clepsis gnathocera", "Clepsis monochroa", "Clarkeulia medanosa", "Histura brunneotypa", "Hynhamia lasgralariae", "Fontidessus ornatus", "Fontidessus toboganensis", "Fontidessus wheeleri", "Asphinctopone differens", "Asphinctopone silvestrii", "Lasiophila alkaios", "Lasiophila alkaios alkaios", "Lasiophila alkaios gita", "Lasiophila ciris", "Lasiophila cirta", "Lasiophila cirta cirta", "Lasiophila cirta atropurpurea", "Lasiophila hewitsonia", "Lasiophila hewitsonia hewitsonia", "Lasiophila hewitsonia neda", "Poecile hyrcanus", "Poecile montanus", "Poecile montanus songarus", "Poecile superciliosus", "Poecile cinctus", "Poecile hudsonicus", "Brachys exquisitus", "Chrysobothris tessellatus", "Parapelerinus emarginatus", "Parapelerinus ensatus", "Distenia dayak", "Distenia metallica", "Distenia pryeri", "Chetia mola", "Cyprichromis zonatus", "Batrachoseps robustus", "Canidia canescens", "Astyanax paris", "Canidia chemsaki", "Gambusia clarkhubbsi", "Liparis adiastolus", "Canidia giesberti", "Canidia turnbowi", "Acanthomunna agassizi", "Dendrotion thomsoni", "Dendrotion forbesi", "Dendromunna bruuni", "Migas borealis", "Porrhothele quadrigyna", "Kaitawa insulare", "Clubiona producta", "Microcharon acherontis", "Iathrippa hirsuta", "Iais antarctica", "Microcharon angelieri", "Cygnus melancoryphus", "Aquila fasciata", "Dimorphopalpa striatanoides", "Heterandria tuxtlaensis", "Dimorphopalpa xestochalca", "Puntius kamalika", "Dimorphopalpa lyonsae", "Dimorphopalpa rutruncus", "Kagalana tonde", "Haptolana yarraloola", "Ulvipinara pulvinaria", "Eretris oculata", "Eretris calisto", "Eretris calisto calisto", "Eretris calisto kogui", "Eretris mendoza", "Eretris porphyria", "Eretris porphyria porphyria", "Eretris porphyria decorata", "Eretris porphyria catargyrea", "Eretris porphyria perija", "Eretris porphyria pseudoperija", "Eretris porphyria transmaraniona", "Arthonia biatoricola", "Eretris apuleina", "Eretris truncatina", "Eretris apuleja", "Eretris apuleja apuleja", "Eretris apuleja altamira", "Arthonia epicladonia", "Arthonia epipastoides", "Arthonia floridana", "Hemitrygon laosensis", "Adoxotoma forsteri", "Pianoa isolata", "Cambridgea quadromaculata", "Cryptobranchus alleganiensis alleganiensis", "Cryptobranchus alleganiensis bishopi", "Hynobius fuca", "Hynobius glacialis", "Hynobius hirosei", "Hynobius yatsui", "Nanocambridgea gracilipes", "Cambridgea reinga", "Cambridgea turbotti", "Viridictyna parva", "Eretris centralis", "Eretris depresissima", "Eretris depresissima depresissima", "Eretris depresissima niambii", "Eretris encycla", "Gasparia nebulosa", "Eretris ocellifera", "Gasparia tepakia", "Eretris hulda", "Eretris lecromi", "Eretris maria", "Eretris subpunctata", "Eretris subpunctata subpunctata", "Eretris subrufescens", "Eretris subrufescens subrufescens", "Eretris suzannae", "Thyrocopa kikaelekea", "Caissa caii", "Caissa longisaccula", "Steroma bega", "Steroma bega bega", "Steroma bega andensis", "Steroma modesta", "Steroma superba", "Steremnia agraulis", "Steremnia agraulis agraulis", "Steremnia agraulis agraulina", "Steremnia monachella", "Steremnia umbracina", "Steremnia umbracina umbracina", "Steremnia umbracina misella", "Steremnia selva", "Steremnia lucillae", "Steremnia rugilas", "Steremnia pronophila", "Steremnia pronophila pronophila", "Eretris apuleja remotissima", "Eretris apuleja ochrea", "Eretris porphyria recta", "Ianussiusa maso", "Ianussiusa maso maso", "Lophotriorchis kienerii", "Schauinslandia alfkenii", "Schauinslandia pallidipes", "Schauinslandia femorata", "Hieraaetus weiskei", "Allodiscus basiliratus", "Dendragapus fuliginosus", "Pseudohynobius kuankuoshuiensis", "Batrachoseps campi", "Batrachoseps diabolicus", "Batrachoseps gavilanensis", "Batrachoseps gregarius", "Batrachoseps incognitus", "Batrachoseps kawia", "Batrachoseps luciae", "Batrachoseps major", "Batrachoseps major aridus", "Batrachoseps major major", "Batrachoseps minor", "Batrachoseps pacificus", "Batrachoseps regius", "Batrachoseps relictus", "Bolitoglossa adspersa", "Bolitoglossa alberchi", "Bolitoglossa altamazonica", "Bolitoglossa alvaradoi", "Bolitoglossa anthracina", "Bolitoglossa biseriata", "Bolitoglossa borburata", "Bolitoglossa bramei", "Bolitoglossa capitana", "Bolitoglossa carri", "Bolitoglossa celaque", "Bolitoglossa cerroensis", "Bolitoglossa chica", "Bolitoglossa colonnea", "Bolitoglossa compacta", "Bolitoglossa conanti", "Bolitoglossa copia", "Bolitoglossa cuchumatana", "Bolitoglossa cuna", "Bolitoglossa decora", "Bolitoglossa diaphora", "Bolitoglossa platydactyla", "Bolitoglossa porrasorum", "Bolitoglossa ramosi", "Bolitoglossa riletti", "Bolitoglossa robusta", "Bolitoglossa rostrata", "Bolitoglossa rufescens", "Bolitoglossa salvinii", "Bolitoglossa savagei", "Bolitoglossa schizodactyla", "Bolitoglossa silverstonei", "Bolitoglossa sima", "Bolitoglossa sombra", "Bolitoglossa sooyorum", "Bolitoglossa striatula", "Bolitoglossa stuarti", "Bolitoglossa subpalmata", "Bolitoglossa synoria", "Bolitoglossa tatamae", "Bolitoglossa taylori", "Bolitoglossa tica", "Bolitoglossa vallecula", "Bolitoglossa veracrucis", "Bolitoglossa walkeri", "Bolitoglossa yucatana", "Bolitoglossa zapoteca", "Scolytocis novaezelandiae", "Wormaldia birneyi", "Wormaldia clauseni", "Sinelobus barretti", "Zeuxoides lasti", "Zeuxoides lauriebourqueae", "Zeuxoides mawbeyi", "Zeuxo belli", "Zeuxo kirkmani", "Zeuxo mooneyi", "Zeuxo odohertyae", "Zeuxo russi", "Zeuxo shepherdi", "Pancoloides moverleyi", "Munna fernaldi", "Joeropsis setosa", "Scolytocis bouchardi", "Scolytocis cariborum", "Scolytocis danielssoni", "Scolytocis difficillimus", "Scolytocis howdeni", "Scolytocis indecisus", "Scolytocis kiskeyensis", "Scolytocis lawrencei", "Scolytocis malayanus", "Scolytocis panamensis", "Scolytocis paschoali", "Scolytocis philippinensis", "Scolytocis zimmermani", "Manerebia ignilineata", "Seira arenicola", "Seira mataraquensis", "Seira pseudoannulata", "Manerebia ignilineata jalca", "Manerebia ignilineata ignilineata", "Telobella kemiri", "Dicologlossa cuneata", "Yoshiiphorura bellingeri", "Seira atlantica", "Seira maroccana", "Entomobrya luquei", "Paraxenylla cubana", "Paraxenylla peruensis", "Paraxenylla arenosa", "Paraxenylla oceanica", "Wandaphorura millsi", "Similonychiurus voegtlini", "Marpesia petreus", "Marpesia chiron", "Marpesia chiron chiron", "Marpesia chiron chironides", "Marpesia chiron marius", "Lysmata seticaudata", "Marpesia petreus petreus", "Marpesia petreus damicorum", "Marpesia petreus rheophila", "Scolytocis fritzplaumanni", "Scolytocis furieriae", "Scolytocis samoensis", "Scolytocis thayerae", "Scolytocis werneri", "Poecilomiris planus", "Poecilomiris longirostris", "Sursumura falcata", "Rectisura sepigia", "Vanhoeffenura scotia", "Sursumura argentica", "Sursumura praegrandis", "Vanhoeffenura eltaniae", "Catocala uljanae", "Halpe concavimarginata", "Janiralata gurjanovae", "Janiralata ochotensis", "Janiralata kurilensis", "Janiralata vitjazi", "Janiralata pilosa", "Janiralata shiinoi", "Ianiropsis pallidocula", "Munna hirsuta", "Munna serrata", "Munna modesta", "Munna lobata", "Munna ornata", "Munna chromatocephala chromatocephala", "Munna chromatocephala orientalis", "Munna setosa", "Munna parvituberculata", "Chiropterotriton orculus", "Chiropterotriton priscus", "Chiropterotriton terrestris", "Cryptotriton adelos", "Cryptotriton alvarezdeltoroi", "Cryptotriton monzoni", "Cryptotriton nasalis", "Cryptotriton veraepacis", "Cryptotriton wakei", "Dendrotriton bromeliacius", "Dendrotriton cuchumatanus", "Dendrotriton megarhinus", "Dendrotriton rabbi", "Dendrotriton sanctibarbarus", "Dendrotriton xolocalcae", "Nototriton abscondens", "Nototriton barbouri", "Nototriton brodiei", "Nototriton gamezi", "Nototriton guanacaste", "Nototriton lignicola", "Nototriton limnospectator", "Nototriton major", "Nototriton picadoi", "Nototriton richardi", "Nototriton saslaya", "Nototriton stuarti", "Nototriton tapanti", "Nyctanolis pernix", "Kiwiaesthetus biimpressus", "Kiwiaesthetus carltoni", "Oedipina alfaroi", "Kiwiaesthetus kieneri", "Oedipina alleni", "Kiwiaesthetus kuscheli", "Kiwiaesthetus lescheni", "Oedipina altura", "Kiwiaesthetus ramsayi", "Oedipina carablanca", "Oedipina collaris", "Oedipina complex", "Oedipina cyclocauda", "Oedipina elongata", "Oedipina fortunensis", "Kiwiaesthetus whitehorni", "Oedipina gephyra", "Oedipina gracilis", "Oedipina grandis", "Oedipina ignea", "Oedipina maritima", "Oedipina pacificensis", "Oedipina parvipes", "Oedipina paucidentata", "Sphaerococcus coronopifolius", "Calycopis cicero", "Calycopis sullivani", "Joeropsis monsmarinus", "Strymon ahrenholzi", "Strymon jacqueline", "Strymon giffordi", "Strymon michelle", "Strymon lamasi", "Afrochthonius brincki", "Afrochthonius ceylonicus", "Afrochthonius inaequalis", "Afrochthonius natalensis", "Afrochthonius reductus", "Afrochthonius similis", "Afrochthonius godfreyi", "Scorpaena scrofa", "Epinephelus guaza", "Centrochthonius ussuriensis", "Pagrus pagrus", "Lophius piscatorius", "Centrochthonius sichuanensis", "Centrochthonius schnitnikovi", "Centrochthonius kozlovi", "Belone belone", "Diploicia actinobola", "Diploicia africana", "Diploicia capensis", "Diploicia huei", "Diploicia latemarginata", "Mullus surmuletus", "Diploicia llanoi", "Diploicia muscorum", "Diploicia nimbosa", "Diploicia perkinsii", "Selachochthonius cavernicola", "Selachochthonius heterodentatus", "Selachochthonius serratidentatus", "Diploicia quaterna", "Hippocampus hippocampus", "Oedipina poelzi", "Oedipina pseudouniformis", "Oedipina savagei", "Oedipina stenopodia", "Oedipina stuarti", "Oedipina taylori", "Oedipina tomasi", "Oedipina uniformis", "Waipoua insula", "Stenopus spinosus", "Steatoda lepida", "Theridion longicrure", "Clibanarius erythropus", "Delouagapia tasmani", "Leptonema anomalum", "Leptonema bifurcatodes", "Leptonema coronatum", "Leptonema cressae", "Leptonema lineaticorne", "Novalaetesia anceps", "Leptonema macacu", "Leptonema nubestre", "Leptonema sociale", "Cephalonomia rhizoperthae", "Aphis conflicta", "Drymeia bispinula", "Drymeia falcifemora", "Drymeia pilosa", "Albusambia elaphoglossumae", "Manerebia trirufa", "Manerebia diffusa", "Manerebia benigni", "Manerebia benigni benigni", "Manerebia benigni tessmanni", "Manerebia haywardi", "Manerebia satura", "Sphaerothorax zealandicus", "Rhyticeros everetti", "Rhyticeros narcondami", "Rhyticeros plicatus", "Rhyticeros subruficollis", "Rhyticeros undulatus", "Motuweta riparia", "Horornis haddeni", "Bolitoglossa digitigrada", "Bolitoglossa diminuta", "Bolitoglossa dofleini", "Bolitoglossa dunni", "Bolitoglossa engelhardti", "Bolitoglossa epimela", "Bolitoglossa equatoriana", "Bolitoglossa flavimembris", "Bolitoglossa flaviventris", "Bolitoglossa franklini", "Bolitoglossa franklini franklini", "Bolitoglossa franklini nigroflavescens", "Bolitoglossa gomezi", "Bolitoglossa gracilis", "Bolitoglossa guaramacalensis", "Bolitoglossa hartwegi", "Bolitoglossa heiroreias", "Bolitoglossa helmrichi", "Bolitoglossa hermosa", "Bolitoglossa hiemalis", "Bolitoglossa hypacra", "Bolitoglossa jacksoni", "Bolitoglossa lignicolor", "Bolitoglossa lincolni", "Bolitoglossa longissima", "Bolitoglossa lozanoi", "Bolitoglossa macrinii", "Bolitoglossa magnifica", "Bolitoglossa marmorea", "Bolitoglossa medemi", "Bolitoglossa meliana", "Bolitoglossa mexicana", "Bolitoglossa minutula", "Bolitoglossa mombachoensis", "Bolitoglossa morio", "Bolitoglossa mulleri", "Bolitoglossa nicefori", "Bolitoglossa nigrescens", "Bolitoglossa oaxacensis", "Bolitoglossa obscura", "Bolitoglossa occidentalis", "Bolitoglossa odonnelli", "Bolitoglossa oresbia", "Bolitoglossa orestes", "Bolitoglossa palmata", "Bolitoglossa pandi", "Bolitoglossa peruviana", "Bolitoglossa pesrubra", "Bolitoglossa phalarosoma", "Maja squinado", "Gypsoplaca macrophylla", "Partystona metallica", "Zomedes borealis", "Xylochus triregius", "Chrysopeplus triregius", "Pheloneis triregius", "Pseudotyrannochthonius kubotai", "Pseudotyrannochthonius undecimclavatus", "Pseudotyrannochthonius tasmanicus", "Pseudotyrannochthonius typhlus", "Pseudotyrannochthonius incognitus", "Pseudotyrannochthonius jonesi", "Pseudotyrannochthonius gracilis", "Pseudotyrannochthonius silvestrii", "Pseudotyrannochthonius solitarius", "Pseudotyrannochthonius utahensis", "Allochthonius biocularis", "Allochthonius ishikawai", "Allochthonius borealis", "Allochthonius buanensis", "Allochthonius coreanus", "Allochthonius opticus", "Allochthonius shintoisticus", "Allochthonius kinkaiensis", "Allochthonius montanus", "Allochthonius tamurai", "Egeria densa", "Anisoditha curvidigitata", "Echinodorus uruguayensis", "Manerebia germaniae", "Cololabis saira", "Histeromerus clavatus", "Histeromerus orientalis", "Diploschistella athalloides", "Diploschistella lithophila", "Diploschistella solorinelliformis", "Diploschistella trapperi", "Diploschistella urceolata", "Apocopis peguensis", "Apocopis pulcherrimus", "Apocopis schmidianus", "Apocopis siamensis", "Apocopis wrightii", "Zealaromma insulare", "Zealaromma valentinei", "Naatlo serrana", "Protallocoxa weddellense", "Carpias harrietae", "Naatlo maturaca", "Proasellus notenboomi", "Proasellus rouchi", "Piezochaerus bondari", "Piezochaerus monnei", "Piezochaerus marcelae", "Megasyllis corruscans", "Megasyllis heterosetosa", "Megasyllis inflata", "Inermosyllis pseudohaploides", "Piezochaerus melzeri", "Pseudopaguristes mclaughlinae", "Pseudopaguristes pachydactylus", "Pseudopaguristes asper", "Pseudopaguristes hians", "Pseudopaguristes laurentae", "Labicymbium otti", "Labicymbium curitiba", "Pseudopaguristes monoporus", "Pseudopaguristes janetkae", "Scutellaria nana", "Pseudotyrannochthonius australiensis", "Pseudotyrannochthonius bornemisszai", "Pseudotyrannochthonius giganteus", "Pseudotyrannochthonius gigas", "Pseudotyrannochthonius hamiltonsmithi", "Pseudotyrannochthonius octospinosus", "Pseudotyrannochthonius queenslandicus", "Pseudotyrannochthonius rossi", "Pseudotyrannochthonius dentifer", "Pseudotyrannochthonius kobayashii", "Munna tenuipes", "Pleurogonium rubicundum", "Pleurogonium rubicundum kamtshaticum", "Pleurogonium gordeevae", "Pleurogonium inerme inerme", "Pleurogonium inerme orientale", "Pleurogonium laciniosum", "Triznaka sheldoni", "Bactrophyamixia brailovskyi", "Compluriscutula vetulum", "Xylographella speciosa", "Xylographella punctata", "Syncosmetus japonicus", "Syncosmetus reticulatus", "Tropicis brevicarinatus", "Tropicis cuccodoroi", "Tropicis flexicarinatus", "Tropicis sexcarinatus", "Zygomyia adpressa", "Zygomyia diplocercusa", "Suillus grevillei", "Echinodorus grisebachii", "Xynobius albobasalis", "Xynobius granulatus", "Bradytriton silus", "Chiropterotriton arboreus", "Chiropterotriton chiropterus", "Chiropterotriton chondrostega", "Chiropterotriton cracens", "Chiropterotriton dimidiatus", "Chiropterotriton lavae", "Chiropterotriton magnipes", "Chiropterotriton mosaueri", "Chiropterotriton multidentatus", "Pseudoeurycea mixteca", "Pseudoeurycea mystax", "Pseudoeurycea naucampatepetl", "Ixalotriton niger", "Pseudoeurycea nigromaculata", "Pseudoeurycea obesa", "Pseudoeurycea orchileucos", "Pseudoeurycea orchimelas", "Pseudoeurycea papenfussi", "Ixalotriton parvus", "Aquiloeurycea praecellens", "Aquiloeurycea quetzalanensis", "Pseudoeurycea rex", "Pseudoeurycea robertsi", "Pseudoeurycea ruficauda", "Pseudoeurycea saltator", "Aquiloeurycea scandens", "Pseudoeurycea smithi", "Pseudoeurycea tenchalli", "Pseudoeurycea teotepec", "Pseudoeurycea tlahcuiloh", "Pseudoeurycea tlilicxitl", "Pseudoeurycea unguidentis", "Pseudoeurycea werleri", "Thorius arboreus", "Thorius aureus", "Thorius boreas", "Thorius dubitus", "Thorius grandis", "Thorius infernalis", "Thorius insperatus", "Thorius lunaris", "Thorius macdougalli", "Thorius magnipes", "Thorius minutissimus", "Thorius minydemus", "Thorius munificus", "Thorius narismagnus", "Thorius narisovalis", "Thorius omiltemi", "Thorius papaloae", "Thorius pennatulus", "Thorius pulmonaris", "Thorius schmidti", "Thorius smithi", "Thorius spilogaster", "Thorius troglodytes", "Merluccius merluccius", "Diplodus annularis", "Diplodus sargus", "Gobius cobitis", "Oblada melanura", "Phycis blennoides", "Sardina pilchardus", "Atherina boyeri", "Sparus aurata", "Sarda sarda", "Rineloricaria anhanguapitan", "Rineloricaria anitae", "Rineloricaria capitonia", "Rineloricaria reisi", "Rineloricaria sanga", "Rineloricaria setepovos", "Rineloricaria stellata", "Rineloricaria tropeira", "Rineloricaria zaina", "Sparisoma cretense", "Thurstonella chelata", "Promalactis neixiangensis", "Promalactis trilineata", "Promalactis falsijezonica", "Promalactis varilineata", "Promalactis grandisticta", "Promalactis quadrimacularis", "Promalactis parki", "Anser serrirostris", "Buteogallus gundlachii", "Spizaetus melanoleucus", "Dolichopus dracula", "Dolichopus frosti", "Dolichopus hurleyi", "Allohercostomus chinensis", "Allohercostomus nepalensis", "Spizaetus isidori", "Parahercostomus orientalis", "Parahercostomus triseta", "Campsicnemus wilderae", "Exallonyx areolatus", "Exallonyx concavus", "Exallonyx longimalus", "Exallonyx planus", "Exallonyx wuae", "Quartinia strucki", "Stegomyrmex bensoni", "Stegomyrmex olindae", "Euceroptres whartoni", "Euceroptres primus", "Pleuroceratos burmiticus", "Chaenusa trumani", "Diploicia quercina", "Dentex dentex", "Diploicia stanleyi", "Diploicia subcanescens", "Diploicia trevisanii", "Diploicia canescens subsp. canescens", "Diploicia canescens subsp. australasica", "Blacus diversus", "Maxfischeria tricolor", "Encarsia axacaliae", "Encarsia macoensis", "Parvimolge townsendi", "Pseudoeurycea ahuitzotl", "Pseudoeurycea altamontana", "Pseudoeurycea amuzga", "Pseudoeurycea anitae", "Pseudoeurycea aquatica", "Pseudoeurycea aurantia", "Pseudoeurycea bellii", "Pseudoeurycea bellii bellii", "Pseudoeurycea bellii sierraoccidentalis", "Pseudoeurycea boneti", "Pseudoeurycea brunnata", "Pseudoeurycea cochranae", "Pseudoeurycea conanti", "Pseudoeurycea exspectata", "Pseudoeurycea firscheini", "Pseudoeurycea gadovii", "Aquiloeurycea galeanae", "Pseudoeurycea gigantea", "Pseudoeurycea goebeli", "Pseudoeurycea juarezi", "Pseudoeurycea leprosa", "Pseudoeurycea lineola", "Pseudoeurycea longicauda", "Pseudoeurycea lynchi", "Pseudoeurycea maxima", "Pseudoeurycea melanomolga", "Pseudoeurycea mixcoatl", "Aneides flavipunctatus flavipunctatus", "Aneides flavipunctatus niger", "Aneides lugubris farallonensis", "Aneides lugubris lugubris", "Atylodes genei", "Desmognathus abditus", "Desmognathus aeneus", "Desmognathus apalachicolae", "Desmognathus brimleyorum", "Desmognathus carolinensis", "Desmognathus conanti", "Desmognathus folkertsi", "Desmognathus fuscus", "Desmognathus imitator", "Desmognathus marmoratus", "Desmognathus monticola", "Desmognathus monticola jeffersoni", "Desmognathus monticola monticola", "Desmognathus ochrophaeus", "Desmognathus ocoee", "Desmognathus orestes", "Desmognathus planiceps", "Desmognathus quadramaculatus", "Desmognathus quadramaculatus amphileucus", "Desmognathus quadramaculatus quadramaculatus", "Desmognathus santeetlah", "Desmognathus welteri", "Desmognathus wrighti", "Ensatina eschscholtzii croceater", "Ensatina eschscholtzii eschscholtzii", "Ensatina eschscholtzii klauberi", "Ensatina eschscholtzii oregonensis", "Ensatina eschscholtzii picta", "Ensatina eschscholtzii platensis", "Ensatina eschscholtzii xanthoptica", "Hydromantes brunus", "Hydromantes platycephalus", "Hydromantes shastae", "Spathula schauinslandi", "Spathula neara", "Cura fortis", "Cura pinguis", "Dugesia notogaea", "Girardia informis", "Spathula alba", "Arthonia varians var. sordida", "Cantharis livida", "Khaya anthotheca", "Khaya dawei", "Khaya grandifolia", "Khaya grandifoliola", "Khaya grandis", "Khaya ivorensis", "Khaya kerstingii", "Khaya kissiensis", "Khaya madagascariensis", "Arthonia vinosa var. pineti", "Khaya nyasica", "Khaya punchii", "Khaya senegalensis", "Phalloceros anisophallos", "Phalloceros aspilos", "Phalloceros buckupi", "Phalloceros elachistos", "Phalloceros enneaktinos", "Phalloceros harpagos", "Phalloceros heptaktinos", "Phalloceros leptokeras", "Phalloceros leticiae", "Phalloceros lucenorum", "Phalloceros malabarbai", "Phalloceros megapolos", "Phalloceros mikrommatos", "Phalloceros ocellatus", "Phalloceros pellos", "Phalloceros reisi", "Phalloceros spiloura", "Phalloceros titthos", "Phalloceros tupinamba", "Phalloceros uai", "Neptihormius stigmellae", "Ampelisca anae", "Ampelisca campensis", "Ampelisca minuta", "Ampelisca wakabarae", "Byblis bjornbergae", "Haploops meloi", "Dugesia montana", "Macrobrachium agwi", "Porobelba weigmanni", "Palaemonella meteorae", "Brachyhypopomus draco", "Characidium xanthopterum", "Potamotrygon boesemani", "Ituglanis mambai", "Trichomycterus igobi", "Cathorops kailolae", "Cathorops belizensis", "Cathorops higuchii", "Cathorops aguadulce", "Cathorops melanopus", "Leporinus venerei", "Characidium heirmostigmata", "Leporinus acutidens", "Acestridium triplax", "Hypostomus multidens", "Pareiorhaphis nasuta", "Crenicichla hadrostigma", "Crenicichla empheres", "Salminus franciscanus", "Hyphessobrycon vinaceus", "Hemibrycon divisorensis", "Pseudochremylus angulifer", "Pseudochremylus carinatus", "Ionaspis odora", "Lapageria rosea", "Ionaspis spitsbergensis", "Ionaspis suaveolens", "Philesia magellanica", "Bombus bifarius", "Bombus bimaculatus", "Bombus brodmannicus", "Bombus caliginosus", "Bombus centralis", "Bombus cingulatus", "Bombus ephippiatus", "Bombus flavescens", "Bombus frigidus", "Bombus haematurus", "Bombus huntii", "Bombus hypnorum", "Bombus impatiens", "Bombus infrequens", "Bombus angustus", "Bombus breviceps", "Bombus genalis", "Bombus kashmirensis", "Bombus nobilis", "Bombus wurflenii", "Bombus alpinus", "Bombus balteatus", "Bombus hyperboreus", "Bombus neoboreus", "Bombus polaris", "Bombus jonellus", "Bombus kotzschi", "Bombus lapponicus", "Bombus lemniscatus", "Bombus lepidus", "Bombus luteipes", "Bombus melanopygus", "Bombus mirus", "Bombus mixtus", "Bombus modestus", "Bombus monticola", "Mermessus fradeorum", "Drepanoneura loutoni", "Drepanoneura muzoni", "Drepanoneura tennesseni", "Drepanoneura letitia", "Drepanoneura peruviensis", "Epipleoneura demarmelsi", "Epipotoneura machadoi", "Libellula saturata", "Tithaeus drac", "Cariblattella petrazulana", "Xestoblatta insularis", "Adraneothrips gandoca", "Schizomyia maricaensis", "Parametasphondylia piperis", "Mesabolivar cavicelatus", "Mesabolivar forceps", "Mesabolivar mairyara", "Paracheirodon innesi", "Hypsioma cariua", "Hypsioma solangeae", "Eranina piterpe", "Piratininga mocoia", "Phaula atyroa", "Phaula lichenigera", "Phaula splendida", "Aerenicopsis rejaneae", "Apagomerina rubricollis", "Apagomerina erythronota", "Tintinnida incertae sedis", "Chromobotia macracanthus", "Synodontis nigriventris", "Poecilia latipinna", "Sus scrofa scrofa", "Aeshna juncea", "Sympetrum darwinianum", "Sympetrum danae", "Sympetrum infuscatum", "Odontostilbe pao", "Odontostilbe splendida", "Odontostilbe pulchra", "Astyanax utiariti", "Knodus shinahota", "Otocinclus batmani", "Acestrocephalus acutus", "Acestrocephalus maculosus", "Acestrocephalus stigmatus", "Acestrocephalus nigrifasciatus", "Acestrocephalus pallidus", "Pterygoplichthys weberi", "Pimelodus pohli", "Hyphessobrycon melanostichos", "Hyphessobrycon notidanos", "Hyphessobrycon eilyos", "Hyphessobrycon langeanii", "Hyphessobrycon weitzmanorum", "Dipentium gossi", "Dipentium parvum", "Dipentium zelandicum", "Novalaetesia atra", "Aonyx capensis", "Aonyx cinerea", "Lissotriton helveticus alonsoi", "Lissotriton helveticus helveticus", "Lissotriton helveticus punctillatus", "Aonyx congicus", "Eurycea longicauda longicauda", "Antodice quadrimaculata", "Eurycea longicauda melanopleura", "Eurycea longicauda pernix", "Eurycea lucifuga", "Eurycea multiplicata", "Eurycea nana", "Eurycea naufragia", "Eurycea neotenes", "Eurycea pterophila", "Eurycea quadridigitata", "Eurycea rathbuni", "Eurycea robusta", "Eurycea sosorum", "Eurycea spelaea", "Eurycea tonkawae", "Eurycea tridentifera", "Eurycea troglodytes", "Eurycea tynerensis", "Eurycea wallacei", "Eurycea waterlooensis", "Eurycea wilderae", "Gyrinophilus gulolineatus", "Gyrinophilus palleucus", "Gyrinophilus palleucus necturoides", "Gyrinophilus palleucus palleucus", "Gyrinophilus porphyriticus", "Gyrinophilus porphyriticus danielsi", "Gyrinophilus porphyriticus dunni", "Gyrinophilus porphyriticus duryi", "Gyrinophilus porphyriticus porphyriticus", "Gyrinophilus subterraneus", "Corixa affinis", "Corixa dentipes", "Corixa iberica", "Corixa panzeri", "Corixa punctata", "Austrolebias paucisquama", "Phalloceros alessandrae", "Tribasileus noctivagus", "Cerius triregius", "Pseudotriton diastictus", "Pseudotriton montanus", "Pseudotriton montanus flavissimus", "Pseudotriton montanus floridanus", "Sander lucioperca", "Pseudotriton montanus montanus", "Pseudotriton ruber", "Pseudotriton ruber nitidus", "Pseudotriton ruber ruber", "Pseudotriton ruber schencki", "Pseudotriton ruber vioscai", "Stereochilus marginatus", "Necturus maculosus louisianensis", "Necturus maculosus maculosus", "Necturus maculosus stictus", "Hypselotriton cyanurus chuxiongensis", "Hypselotriton cyanurus cyanurus", "Hypselotriton cyanurus yunnanensis", "Moenkhausia diamantina", "Moenkhausia levidorsa", "Taubateia paraiba", "Hypostomus chrysostiktos", "Propimelodus araguayae", "Pimelodus britskii", "Pimelodus ortmanni", "Corydoras ortegai", "Sus scrofa algira", "Sus scrofa cristatus", "Sus scrofa davidi", "Sus scrofa leucomystax", "Sus scrofa libycus", "Sus scrofa moupinensis", "Sus scrofa nigripes", "Sus scrofa riukiuanus", "Sus scrofa sibiricus", "Sus scrofa attila", "Sus scrofa majori", "Sus scrofa meridionalis", "Sus scrofa taivanus", "Sus scrofa ussuricus", "Sus scrofa vittatus", "Callicebus bernhardi", "Rhinoprotoma masneri", "Phoroncidia pukeiwa", "Speleomantes ambrosii", "Speleomantes flavus", "Speleomantes imperialis", "Speleomantes italicus", "Speleomantes italicus gormani", "Speleomantes italicus italicus", "Suipinima marginalis", "Suipinima pitanga", "Speleomantes sarrabusensis", "Suipinima suturalis", "Suipinima una", "Speleomantes strinatii", "Speleomantes supramontis", "Antodice opena", "Eurycea aquatica", "Antodilanea auana", "Eurycea bislineata", "Eurycea chamberlaini", "Aerenicopsis angaibara", "Aerenicopsis irumuara", "Eurycea chisholmensis", "Eurycea cirrigera", "Eurycea guttolineata", "Eurycea junaluska", "Eurycea latitans", "Eurycea longicauda", "Amarygmus watti", "Zealochus supergranulatus", "Phaeognathus hubrichti", "Plethodon ainsworthi", "Plethodon albagula", "Plethodon amplus", "Plethodon angusticlavius", "Plethodon asupak", "Plethodon aureolus", "Plethodon caddoensis", "Plethodon chattahoochee", "Plethodon cheoah", "Plethodon chlorobryonis", "Plethodon cylindraceus", "Plethodon dorsalis", "Plethodon dunni", "Plethodon electromorphus", "Plethodon elongatus", "Plethodon fourchensis", "Plethodon glutinosus", "Plethodon grobmani", "Plethodon hoffmani", "Plethodon hubrichti", "Plethodon idahoensis", "Plethodon jordani", "Plethodon kentucki", "Plethodon kiamichi", "Plethodon kisatchie", "Plethodon larselli", "Plethodon meridianus", "Plethodon metcalfi", "Plethodon mississippi", "Plethodon montanus", "Plethodon neomexicanus", "Plethodon nettingi", "Plethodon ocmulgee", "Plethodon ouachitae", "Plethodon petraeus", "Plethodon punctatus", "Plethodon richmondi", "Plethodon savannah", "Plethodon sequoyah", "Plethodon shenandoah", "Plethodon sherando", "Plethodon shermani", "Plethodon teyahalee", "Plethodon vandykei", "Plethodon variolatus", "Plethodon vehiculum", "Plethodon ventralis", "Plethodon virginia", "Plethodon websteri", "Plethodon wehrlei", "Plethodon welleri", "Plethodon yonahlossee", "Drepanoneura donnellyi", "Drepanoneura flinti", "Drepanoneura janirae", "Haplinis insignis", "Haplinis tegulata", "Cassafroneta forsteri", "Arthraxon cuspidatus", "Bombus auricomus", "Bombus confusus", "Bombus nevadensis", "Bombus affinis", "Bombus franklini", "Arthraxon depressus", "Bombus hypocrita", "Bombus ignitus", "Bombus lucorum", "Bombus patagiatus", "Bombus sporadicus", "Bombus terricola", "Bombus tunicatus", "Arthraxon echinatus", "Arthraxon guizhouensis", "Dactyloceras nebulosum", "Achaeta afolliculata", "Achaeta matritensis", "Achaeta iberica", "Mylabris avilai", "Pseudosinella cementensis", "Pseudosinella lafargensis", "Yuriria amatlana", "Bombus baeri", "Bombus brachycephalus", "Bombus coccineus", "Bombus crotchii", "Pholcomma turbotti", "Ommatotriton ophryticus nesterovi", "Ommatotriton ophryticus ophryticus", "Paramesotriton longliensis", "Paramesotriton zhijinensis", "Taricha granulosa granulosa", "Taricha granulosa mazamae", "Taricha granulosa similans", "Taricha sierrae", "Triturus dobrogicus dobrogicus", "Triturus dobrogicus macrosoma", "Triturus karelinii arntzeni", "Triturus karelinii karelinii", "Triturus macedonicus", "Arthraxon antsirabensis", "Bombus oceanicus", "Bombus parthenius", "Bombus perplexus", "Bombus picipes", "Bombus pressus", "Bombus pyrenaeus", "Bombus rotundiceps", "Bombus sandersoni", "Bombus sitkensis", "Bombus sonani", "Bombus subtypicus", "Bombus ternarius", "Bombus vagans", "Bombus vandykei", "Bombus wilmattae", "Bombus biroi", "Bombus flavifrons", "Bombus infirmus", "Melogale everetti", "Melogale moschata", "Melogale orientalis", "Euphorbia damarana", "Achaearanea blattea", "Caecilia pressula", "Caecilia subdermalis", "Caecilia subnigricans", "Caecilia subterminalis", "Caecilia tentaculata", "Caecilia tenuissima", "Caecilia thompsoni", "Caecilia volcani", "Dermophis costaricensis", "Dermophis glandulosus", "Dermophis gracilior", "Dermophis mexicanus", "Dermophis mexicanus eburatus", "Dermophis mexicanus mexicanus", "Dermophis oaxacae", "Dermophis occidentalis", "Dermophis parviceps", "Gegeneophis carnosus", "Gegeneophis danieli", "Gegeneophis fulleri", "Gegeneophis goaensis", "Gegeneophis krishni", "Gegeneophis madhavai", "Gegeneophis mhadeiensis", "Gegeneophis nadkarnii", "Gegeneophis ramaswamii", "Gegeneophis seshachari", "Haplinis anomala", "Haplinis australis", "Haplinis marplesi", "Haplinis inedita", "Haplinis exigua", "Haplinis fulvolineata", "Haplinis tokaanuae", "Haplinis antipodiana", "Haplinis alticola", "Haplinis attenuata", "Haplinis wairarapa", "Haplinis subtilis", "Haplinis morainicola", "Haplinis innotabilis", "Haplinis minutissima", "Haplinis horningi", "Haplinis inexacta", "Haplinis fluviatilis", "Haplinis silvicola", "Haplinis titan", "Haplinis paradoxa", "Haplinis contorta", "Haplinis similis", "Haplinis major", "Haplinis abbreviata", "Haplinis rupicola", "Haplinis banksi", "Haplinis redacta", "Haplinis brevipes", "Haplinis dunstani", "Delos striata", "Rhytidarex johnsoni", "Paralamyctes wellingtonensis", "Paralamyctes rahuensis", "Paralamyctes validus", "Aleiodes declanae", "Aleiodes gressitti", "Boulengerula boulengeri", "Boulengerula changamwensis", "Boulengerula denhardti", "Boulengerula fischeri", "Boulengerula niedeni", "Boulengerula taitanus", "Boulengerula uluguruensis", "Brasilotyphlus braziliensis", "Caecilia abitaguae", "Caecilia albiventris", "Caecilia antioquiaensis", "Caecilia armata", "Caecilia attenuata", "Caecilia bokermanni", "Caecilia caribea", "Caecilia corpulenta", "Caecilia crassisquama", "Caecilia degenerata", "Caecilia disossea", "Caecilia dunni", "Caecilia flavopunctata", "Caecilia gracilis", "Paralamyctes halli", "Caecilia guntheri", "Paralamyctes trailli", "Caecilia inca", "Caecilia isthmica", "Caecilia leucocephala", "Paralamyctes insularis", "Caecilia marcusi", "Caecilia mertensi", "Caecilia nigricans", "Caecilia occidentalis", "Caecilia orientalis", "Caecilia pachynema", "Caecilia perdita", "Grandisonia alternans", "Hypogeophis brevis", "Grandisonia diminutiva", "Grandisonia larvata", "Grandisonia sechellensis", "Gymnopis multiplicata", "Gymnopis multiplicata multiplicata", "Gymnopis multiplicata proxima", "Gymnopis syntrema", "Herpele multiplicata", "Herpele squalostoma", "Hypogeophis rostratus", "Hypogeophis rostratus guentheri", "Hypogeophis rostratus lionneti", "Hypogeophis rostratus praslini", "Hypogeophis rostratus rostratus", "Idiocranium russeli", "Indotyphlus battersbyi", "Indotyphlus maharashtraensis", "Luetkenotyphlus brasiliensis", "Microcaecilia albiceps", "Microcaecilia rabei", "Microcaecilia supernumeraria", "Microcaecilia taylori", "Microcaecilia unicolor", "Mimosiphonops reinhardti", "Mimosiphonops vermiculatus", "Oscaecilia bassleri", "Oscaecilia elongata", "Oscaecilia equatorialis", "Oscaecilia hypereumeces", "Oscaecilia koepckeorum", "Oscaecilia ochrocephala", "Oscaecilia osae", "Oscaecilia polyzona", "Oscaecilia zweifeli", "Hyboella brevipennis", "Phycosoma oecobioides", "Bison priscus", "Bison antiquus", "Bison latifrons", "Bison occidentalis", "Euryopis nana", "Mertensiella caucasica caucasica", "Mertensiella caucasica djanaschvilii", "Salamandra algira algira", "Salamandra algira spelaea", "Salamandra tingitana", "Salamandra atra atra", "Salamandra atra pasubiensis", "Salamandra atra prenjensis", "Salamandra infraimmaculata orientalis", "Salamandra infraimmaculata semenovi", "Salamandra salamandra alfredschmidti", "Salamandra almanzoris", "Salamandra salamandra bejarae", "Salamandra salamandra bernardezi", "Salamandra salamandra beschkovi", "Salamandra salamandra crespoi", "Salamandra salamandra fastuosa", "Salamandra salamandra gallaica", "Salamandra salamandra gigliolii", "Salamandra salamandra longirostris", "Salamandra salamandra morenica", "Salamandra salamandra salamandra", "Salamandra salamandra terrestris", "Pseudobranchus axanthus", "Pseudobranchus axanthus axanthus", "Pseudobranchus axanthus belli", "Pseudobranchus striatus", "Pseudobranchus striatus lustricolus", "Pseudobranchus striatus spheniscus", "Pseudobranchus striatus striatus", "Siren intermedia intermedia", "Siren intermedia nettingi", "Rhytidarex buddlei", "Delos regia", "Bombus cullumanus", "Cylindroiulus anglilectus", "Cylindroiulus boreoibericus", "Cylindroiulus gregoryi", "Cylindroiulus ventanaea", "Bombus ecuadorius", "Bombus fraternus", "Bombus funebris", "Bombus griseocollis", "Bombus handlirschi", "Bombus haueri", "Bombus hortulanus", "Bombus macgregori", "Bombus melaleucus", "Achondrostoma salmantinum", "Bombus morrisoni", "Bombus rohweri", "Bombus rubicundus", "Bombus rufocinctus", "Bombus semenoviellus", "Bombus tucumanus", "Bombus soroeensis", "Waitomophylax worthyi", "Pronkia antefurcalis", "Eblisia bakewelli", "Geotrypetes angeli", "Geotrypetes pseudoangeli", "Geotrypetes seraphini", "Geotrypetes seraphini congoensis", "Geotrypetes seraphini occidentalis", "Geotrypetes seraphini seraphini", "Lissotriton vulgaris ampelensis", "Lissotriton vulgaris graecus", "Lissotriton vulgaris kosswigi", "Lissotriton vulgaris lantzi", "Lissotriton vulgaris meridionalis", "Zavrelia elenae", "Lissotriton vulgaris schmidtlerorum", "Zavrelia pseudopentatoma", "Lissotriton vulgaris vulgaris", "Ichthyosaura alpestris alpestris", "Ichthyosaura alpestris apuana", "Ichthyosaura alpestris cyreni", "Ichthyosaura alpestris inexpectata", "Ichthyosaura alpestris lacusnigri", "Ichthyosaura alpestris montenegrina", "Ichthyosaura alpestris veluchiensis", "Ituglanis cahyensis", "Ituglanis amazonicus", "Ituglanis bambui", "Ituglanis eichorniarum", "Ituglanis epikarsticus", "Ituglanis gracilior", "Neurergus strauchii barani", "Ituglanis guayaberensis", "Neurergus strauchii strauchii", "Ituglanis herberti", "Ituglanis laticeps", "Ituglanis macunaima", "Ituglanis metae", "Ituglanis nebulosus", "Notophthalmus meridionalis kallerti", "Ituglanis parahybae", "Notophthalmus meridionalis meridionalis", "Ituglanis parkoi", "Ituglanis passensis", "Ituglanis proops", "Ituglanis ramiroi", "Crenicichla iguapina", "Crenicichla tingui", "Crenicichla maculata", "Crenicichla mucuryna", "Crenicichla lacustris", "Crenicichla punctata", "Cruciglanis pacifici", "Ionaspis alba", "Ionaspis lacustris", "Ionaspis lavata", "Methona confusa", "Methona confusa confusa", "Methona confusa psamathe", "Micrommata virescens", "Arctosa cinerea", "Drassodes lapidosus", "Dolomedes fimbriatus", "Dolomedes plantarius", "Helota kolbei", "Helota ventralis", "Helota schuhi", "Helota ohbayashii", "Helota gemmata", "Helota fulviventris", "Helota gorhami", "Stiphrornis erythrothorax pyrrholaemus", "Blaszakiella americana", "Zercon anatolicus", "Nephila pilipes", "Chauliodoniscus elevatus", "Chauliodoniscus quadrifrons", "Chauliodoniscus princeps", "Chauliodoniscus ovalis", "Chauliodoniscus trituberculatus", "Chauliodoniscus parallelus", "Haploniscus acutus", "Haploniscus capensis", "Philaeus chrysops", "Haploniscus rugosus", "Haploniscus tropicalis", "Haploniscus tricornoides", "Haploniscus telus", "Haploniscus polaris", "Parvicaecilia nicefori", "Parvicaecilia pricei", "Praslinia cooperi", "Schistometopum gregorii", "Schistometopum thomense", "Siphonops annulatus", "Siphonops hardyi", "Siphonops insulanus", "Siphonops leucoderus", "Siphonops paulensis", "Sylvacaecilia grandisonae", "Crotaphatrema bornmuelleri", "Crotaphatrema lamottei", "Crotaphatrema tchabalmbaboensis", "Scolecomorphus kirkii", "Scolecomorphus uluguruensis", "Scolecomorphus vittatus", "Atretochoana eiselti", "Chthonerpeton arii", "Chthonerpeton braestrupi", "Chthonerpeton exile", "Chthonerpeton indistinctum", "Chthonerpeton noctinectes", "Chthonerpeton onorei", "Chthonerpeton perissodus", "Chthonerpeton viviparum", "Nectocaecilia petersii", "Potomotyphlus kaupii", "Typhlonectes compressicauda", "Typhlonectes natans", "Hoplophthiracarus mielcareki", "Hoplophthiracarus niahensis", "Pedaridium bordoni", "Arthraxon inermis", "Acanthurus nigricans", "Pedaridium medinae", "Poeciloneta ancora", "Poeciloneta xizangensis", "Rowlandius linsduarteae", "Caudacaecilia asplenia", "Caudacaecilia larutensis", "Caudacaecilia nigroflava", "Caudacaecilia paucidentula", "Ichthyophis weberi", "Ichthyophis acuminatus", "Ichthyophis atricollaris", "Ichthyophis bannanicus", "Ichthyophis beddomei", "Ichthyophis bernisi", "Ichthyophis biangularis", "Ichthyophis billitonensis", "Ichthyophis bombayensis", "Ichthyophis dulitensis", "Ichthyophis elongatus", "Ichthyophis garoensis", "Ichthyophis glandulosus", "Ichthyophis glutinosus", "Bombus terrestris", "Daedalma boliviana", "Daedalma boliviana boliviana", "Daedalma boliviana peruviana", "Trichananca hornabrooki", "Zealanthicus sulcatus", "Trichananca fulgida", "Ichthyophis humphreyi", "Ichthyophis husaini", "Ichthyophis hypocyaneus", "Ichthyophis javanicus", "Ichthyophis kodaguensis", "Ichthyophis kohtaoensis", "Ichthyophis laosensis", "Ichthyophis longicephalus", "Ichthyophis mindanaoensis", "Ichthyophis monochrous", "Ichthyophis orthoplicatus", "Ichthyophis paucisulcus", "Ichthyophis pseudangularis", "Ichthyophis sikkimensis", "Ichthyophis singaporensis", "Ichthyophis sumatranus", "Ichthyophis supachaii", "Ichthyophis tricolor", "Ichthyophis youngorum", "Uraeotyphlus gansi", "Uraeotyphlus interruptus", "Uraeotyphlus malabaricus", "Uraeotyphlus menoni", "Hyboella jinxiensis", "Parapsammodius pseudointeger", "Parapsammodius integer", "Parapsammodius bidens", "Parapsammodius puncticollis", "Geotrupes baicalicus", "Geotrupes stercorarius", "Hymenelia affinis", "Hymenelia aigneri", "Aphidius linosiphonis", "Hymenelia arctica", "Hymenelia arridens", "Hymenelia carnulosa", "Hymenelia ceracea", "Epsilogaster faviolae", "Hymenelia coerulea", "Hymenelia cyanocarpa", "Epsilogaster fullertoni", "Hymenelia epulotica", "Hymenelia fuegensis", "Hymenelia fumida", "Hymenelia glacialis", "Hymenelia haematina", "Hymenelia heteromorpha", "Hymenelia hiascens", "Hymenelia homalomorpha", "Deuterixys quercicola", "Hymenelia lithofraga", "Deuterixys pacifica", "Hymenelia melanocarpa", "Deuterixys bennetti", "Hymenelia phaeops", "Paris polyphylla", "Hymenelia rhodopis", "Archeocrypticus topali", "Xylophilus nitidus", "Xylophilus antennalis", "Xylophilus pictipes", "Xylophilus coloratus", "Xylophilus brouni", "Metablax gourlayi", "Waitkera waitakerensis", "Tekelloides australis", "Tekelloides flavonotatus", "Platisus zelandicus", "Protodendrophagus antipodes", "Acanthodromia erinacea", "Acanthodromia margarita", "Uraeotyphlus narayani", "Uraeotyphlus oommeni", "Uraeotyphlus oxyurus", "Epicrionops bicolor", "Epicrionops bicolor bicolor", "Epicrionops bicolor subcaudalis", "Epicrionops columbianus", "Epicrionops lativittatus", "Epicrionops marmoratus", "Rhinatrema nigrum", "Epicrionops parkeri", "Epicrionops peruvianus", "Epicrionops petersi", "Epicrionops petersi noblei", "Epicrionops petersi petersi", "Rhinatrema bivittatum", "Arhopala ariana", "Arhopala ariana ariana", "Arhopala ariana wilcocksi", "Arhopala ariana wanggu", "Arhopala paraganesa", "Arhopala paraganesa paraganesa", "Allothyrus australasiae", "Arhopala paraganesa felipa", "Australothyrus ocellatus", "Favonius leechina", "Jamides cleodus", "Jamides cleodus cleodus", "Jamides cleodus sunadyl", "Lycaena aditya", "Lycaena aditya aditya", "Lycaena aditya charmesse", "Megisba strongyle", "Megisba strongyle strongyle", "Megisba strongyle miskinigra", "Mesosignum vitjazi", "Ischnomesus elongatus", "Macrostylis compactus", "Macrostylis vitjazi", "Haploniscus ultraabyssalis", "Haploniscus robinsoni", "Antennuloniscus ornatus", "Antennuloniscus armatus", "Haploniscus rostratus", "Hydroniscus quadrifrons", "Hydroniscus ornatus", "Ischnomesus magnificus", "Ischnomesus wolffi", "Ischnomesus multispinis", "Ischnomesus simplissimus", "Ischnomesus caribbicus", "Ischnomesus bidens", "Ischnomesus paucispinis", "Ischnomesus decemspinosus", "Bactromesus elegans", "Haplomesus ornatus", "Haplomesus bifurcatus", "Haplomesus tropicalis", "Heteromesus bifurcatus", "Stylomesus simulans", "Stylomesus productus", "Stylomesus simplex", "Stylomesus spinulosus", "Stylomesus regularis", "Stylomesus granulosus", "Ischnomesus elegans", "Macrostylis bipunctatus", "Macrostylis minutus", "Macrostylis bifurcatus", "Macrostylis vemae", "Macrostylis caribbicus", "Macrostylis hirsuticaudis", "Macrostylis setifer", "Macrostylis truncatex", "Hebefustis hirsutus", "Nannoniscus laevis", "Nannoniscus camayae", "Hebefustis primitivus", "Dolichorhabditis tereticorpus", "Dynomene filholi", "Dynomene guamensis", "Dynomene hispida", "Dynomene kroppi", "Dynomene pilumnoides", "Dynomene praedator", "Dynomene pugnatrix", "Pleurocope floridensis", "Gnathostenetroides pugio", "Hirsutodynomene spinosa", "Hirsutodynomene ursula", "Hirsutodynomene vespertilio", "Metadynomene devaneyi", "Metadynomene tanensis", "Metadynomene crosnieri", "Lichinella algerica", "Lichinella americana", "Lichinella applanata", "Paradynomene tuberculata", "Paradynomene demon", "Paradynomene diablo", "Paradynomene quasimodo", "Paradynomene rotunda", "Paradynomene teufel", "Lichinella cribellifera", "Lichinella davidis", "Lichinella flexa", "Lichinella granulosa", "Lichinella heppii", "Lichinella hondana", "Lichinella inflata", "Lichinella intermedia", "Lichinella iodopulchra", "Trogloianiropsis lloberai", "Sluiterina kaikourae", "Myopsocus arthuri", "Puelchesia gracilis", "Hymenelia salevensis", "Hymenelia similis", "Epsilogaster palenque", "Epsilogaster dureno", "Epsilogaster braziliensis", "Epsilogaster bicolor", "Epsilogaster panama", "Epsilogaster tico", "Mendesella amazonica", "Mendesella magna", "Meiopriapulus fijiensis", "Bombus vosnesenskii", "Bombus pratorum", "Leprocollema americanum", "Leprocollema europaeum", "Leprocollema finkii", "Leprocollema novae-caledonianum", "Apanteles helespas", "Leprocollema obscurius", "Cotesia ruficrus", "Glyptapanteles aucklandensis", "Borchseniococcus duzgunesae", "Kotejacoccus turcicus", "Calamaria grabowskyi", "Calamaria gracillima", "Calamaria griswoldi", "Calamaria hilleniusi", "Calamaria ingeri", "Calamaria javanica", "Calamaria javanica javanica", "Calamaria javanica lineata", "Calamaria joloensis", "Calamaria lateralis", "Calamaria leucogaster", "Calamaria linnaei", "Calamaria longirostris", "Diaphania yurakyana", "Argyrotaenia pomiliana", "Argyrotaenia tucumana", "Hemiphyllodactylus typus", "Gongylomorphus bojerii", "Lycodon aulicus", "Priapulus abyssorum", "Haploniscus minutus", "Haploniscus spatulifrons", "Haploniscus tuberculatus", "Haploniscus tridens", "Haploniscus percavix", "Haploniscus tricornis", "Haploniscus nondescriptus", "Euceros coxalis", "Diolcogaster perniciosus", "Metastenasellus powelli", "Microparasellus hellenicus", "Microcharon othrys", "Ischnomesus antarcticus", "Metastenasellus wikkiensis", "Parastenasellus chappuisi", "Chrysopeplus expolitus", "Calamaria abstrusa", "Calamaria acutirostris", "Calamaria albiventer", "Calamaria alidae", "Calamaria apraeocularis", "Calamaria battersbyi", "Calamaria bicolor", "Calamaria bitorques", "Calamaria boesemani", "Calamaria borneensis", "Calamaria brongersmai", "Calamaria buchi", "Calamaria butonensis", "Calamaria ceramensis", "Calamaria crassa", "Calamaria curta", "Calamaria doederleini", "Calamaria eiselti", "Calamaria everetti", "Calamaria forcarti", "Calamaria gervaisii", "Zora acuminata", "Intecticoccus viridis", "Orafortis luma", "Lichinella japonica", "Lichinella lojkana", "Lichinella mauritanica", "Lichinella melamphylla", "Lichinella minnesotensis", "Lichinella myriospora", "Lichinella polyspora", "Lichinella robusta", "Lichinella robustoides", "Lichinella sinaica", "Lichinella stipatula", "Lichinella undulata", "Tomogenius kuscheli", "Tomogenius australis", "Tomogenius latipes", "Tomogenius motocola", "Tomogenius papuaensis", "Gnathoncus communis", "Neopachylopus secqi", "Neopachylopus pakistanicus", "Tenebrioninae incertae sedis", "Tanylypa morio", "Zolodinus zelandicus", "Actizeta fusca", "Actizeta albata", "Passadenoides montanus", "Actinote pratensis", "Bryotropha gemella", "Bryotropha hodgesi", "Bryotropha altitudophila", "Bryotropha similis", "Schinia immaculata", "Exocalopus pectinatus", "Asianellus festivus", "Techmessa concolor", "Techmessa telephoroides", "Techmessa longicollis", "Techmessodes picticornis", "Techmessodes versicolor", "Menimus crosbyi", "Menimus borealis", "Menimus brouni", "Menimus elongatus", "Menimus helmorei", "Menimus moehauensis", "Adelium brevicorne", "Leucogrammolycus brychios", "Calamaria thanhi", "Parasa shirleyae", "Calamaria ulmeri", "Calamaria virgulata", "Calamaria yunnanensis", "Euclea mesoamericana", "Euclea zurquicola", "Euclea microcippus", "Euclea gajentaani", "Euclea costaricana", "Euclea josepsi", "Archithrombium andrei", "Archithrombium inflatum", "Mimophis mahfalensis", "Talima beckeri", "Talima weissi", "Talima erojasi", "Natada delgadoi", "Natada varablancana", "Phobetron guzmanae", "Isochaetes dwagsi", "Isochaetes kenjii", "Isochaetes heevansi", "Isochaetes tapantiensis", "Vipsophobetron davisi", "Lichinella stipatula f. calcarea", "Lichinella stipatula f. silicea", "Aphrastochthonius alteriae", "Scydmaenilla newtoni", "Stenichnaphes urbanus", "Chlamydosaurus kingii", "Glabridorsum stokesii", "Gerobatrachus hottoni", "Mytilus galloprovincialis", "Tiktaalik roseae", "Volaticotherium antiquum", "Rabdion forsteni", "Aeluroglena cucullata", "Ahaetulla dispar", "Ahaetulla fasciolata", "Ahaetulla fronticincta", "Ahaetulla mycterizans", "Ahaetulla nasuta", "Ahaetulla perroteti", "Ahaetulla prasina", "Ahaetulla prasina medioxima", "Ahaetulla prasina prasina", "Dissomphalus gigantus", "Dissomphalus scamatus", "Dissomphalus concavatus", "Dissomphalus rectilineus", "Dissomphalus bifurcatus", "Dissomphalus extrarramis", "Dissomphalus strictus", "Dissomphalus conicus", "Dissomphalus h-ramus", "Dissomphalus laminaris", "Dissomphalus manus", "Dissomphalus umbilicus", "Dissomphalus verrucosus", "Dissomphalus alticlypeatus", "Dissomphalus bicerutus", "Dissomphalus gilvipes", "Dissomphalus krombeini", "Dissomphalus gordus", "Dissomphalus undatus", "Dissomphalus cristatus", "Dissomphalus laticephalus", "Dissomphalus lobicephalus", "Dissomphalus napo", "Dissomphalus punctatus", "Dissomphalus infissus", "Dissomphalus inclinatus", "Dissomphalus plaumanni", "Dissomphalus divisus", "Dissomphalus distans", "Dissomphalus crassus", "Dissomphalus filiformis", "Dissomphalus inflexus", "Dissomphalus spissus", "Dissomphalus firmus", "Dissomphalus setosus", "Dissomphalus brasiliensis", "Dissomphalus tubulatus", "Dissomphalus connubialis", "Dissomphalus microstictus", "Dissomphalus scopatus", "Dissomphalus differens", "Dissomphalus lamellatus", "Brueelia coquimbana", "Brueelia yal", "Xestocephalus ovalis", "Zelopsis nothofagi", "Aphrastochthonius grubbsi", "Aphrastochthonius major", "Aphrastochthonius pachysetus", "Aphrastochthonius palmitensis", "Aphrastochthonius parvus", "Aphrastochthonius patei", "Aphrastochthonius pecki", "Aphrastochthonius russelli", "Aphrastochthonius similis", "Aphrastochthonius verapazanus", "Aphrastochthonius tenax", "Aphrastochthonius cubanus", "Bombus argillaceus", "Bombus bicoloratus", "Bombus consobrinus", "Bombus czerskii", "Bombus diversus", "Bombus gerstaeckeri", "Bombus irisanensis", "Bombus koreanus", "Bombus longipes", "Bombus melanopoda", "Bombus portchinsky", "Bombus religiosus", "Bombus saltuarius", "Bombus securus", "Bombus senex", "Bombus supremus", "Bombus sushkini", "Bombus tichenkoi", "Bombus trifasciatus", "Bombus ussurensis", "Onysius anomalus", "Philpottia levinotis", "Chalcodrya hilaris", "Chalcodrya variegata", "Philpottia mollis", "Chalcodryidae \"Cyphaleus\"", "Cyphaleus valdivianus", "Aralius wollastoni", "Aralius olivieri", "Omedes nitidus", "Omedes substriatus", "Xylochus dentipes", "Xylochus spinifer", "Xylochus tibialis", "Tanychilus sophorae", "Tanychilus metallicus", "Dissomphalus incurvatus", "Dissomphalus osseus", "Dissomphalus paululus", "Dissomphalus perparvus", "Dissomphalus perturbatus", "Dissomphalus perventriosus", "Dissomphalus pilus", "Dissomphalus refertus", "Dissomphalus signatus", "Dissomphalus uncus", "Erasmoneura bipentagona", "Erasmoneura latiloba", "Forstertyna marplesi", "Tylomelania baskasti", "Tylomelania sinabartfeldi", "Tylomelania hannelorae", "Tinodes kemnounga", "Tinodes samkuca", "Pulsatilla patens", "Tinodes caolana", "Tinodes gapbona", "Minucella divaricata", "Tinodes kebala", "Tinodes dactringa", "Tinodes suksa", "Aulacidea tavakolii", "Isocolus freidbergi", "Isocolus beheni", "Isocolus karimpouri", "Minucella leucomaculata", "Allium subg.", "Melittobia megachilis", "Maronea afroalpina", "Maronea apiahica", "Maronea berica", "Maronea caesionigricans", "Xenoposeidon proneneukos", "Cobitis taenia", "Cryptolechia peditata", "Cryptolechia fustiformis", "Cryptolechia falsitorophanes", "Cryptolechia luniformis", "Cryptolechia rectimarginalis", "Cryptolechia rostriformis", "Cryptolechia proximihamatilis", "Cryptolechia bifoliolata", "Cryptolechia dorsoprojecta", "Cryptolechia bifida", "Cryptolechia robusta", "Cryptolechia infundibularis", "Cryptolechia similifloralis", "Cryptolechia trimaculata", "Cryptolechia sticta", "Cryptolechia olivaria", "Hispaniodirphia plana", "Hispaniodirphia lemaireiana", "Coptomma marrisi", "Zorion angustifasciatum", "Odontria carinata", "Saprosites kingsensis", "Loberus borealis", "Cicaditrombium weni", "Calctrombidium nikolettae", "Pollicotrombium miniatum", "Clinotrombium antares", "Kaveinga bellorum", "Kuschelydrus phreaticus", "Phreatodessus hades", "Parasa figueresi", "Calamaria lovii", "Calamaria lumbricoidea", "Calamaria lumholtzi", "Calamaria margaritophora", "Calamaria mecheli", "Calamaria melanota", "Calamaria modesta", "Calamaria muelleri", "Calamaria nuchalis", "Calamaria palawanensis", "Parasa sandrae", "Calamaria pavimentata pavimentata", "Calamaria prakkei", "Calamaria rebentischi", "Calamaria schlegelii", "Parasa joanae", "Calamaria schlegelii cuvieri", "Calamaria schlegelii schlegelii", "Calamaria schmidti", "Calamaria septentrionalis", "Calamaria suluensis", "Calamaria sumatrana", "Maronea carolinae", "Maronea chilensis", "Maronea colbindensis", "Maronea constans", "Maronea crassilabra", "Maronea fuscula", "Maronea horizoides", "Maronea kemmleri", "Maronea malmei", "Maronea manipurensis", "Maronea melanocarpa", "Maronea polyphaea", "Maronea porinoidea", "Maronea rubiginosa", "Maronea rubra", "Maronea siplei", "Prolimacodes montanus", "Dichromapteryx saborioi", "Perola aenea", "Epiperola browni", "Bombus eximius", "Bombus festivus", "Bombus formosellus", "Bombus incertus", "Bombus keriensis", "Bombus ladakhensis", "Bombus friseanus", "Bombus lapidarius", "Bombus miniatus", "Imara analibiae", "Tracholena dialeuca", "Tracholena hedraea", "Tracholena homopolia", "Tracholena indicata", "Tracholena lipara", "Tracholena liparodes", "Tracholena nigrilinea", "Tracholena paniense", "Tracholena micropolia", "Tracholena sulfurosa", "Maronina australiensis", "Schinia chrysellus", "Schinia chryselloides", "Schinia alencis", "Schinia ciliata", "Ancylis atricapilla", "Lomis hirta", "Actidium angulicolle", "Actidium delicatulum", "Actidium lineare", "Actidium cameroni", "Actidium truncatum", "Actidium difficilis", "Actidium leleupi", "Actidium mascarenhasi", "Acrotrichis fascicularis", "Acrotrichis inconspicua", "Acrotrichis insularis", "Acrotrichis josephi", "Ptiliodes naufragus", "Ahaetulla prasina preocularis", "Ahaetulla prasina suluensis", "Ahaetulla pulverulenta", "Argyrogena fasciolata", "Arizona elegans", "Arizona elegans arenicola", "Arizona elegans candida", "Arizona elegans eburnata", "Arizona elegans elegans", "Arizona elegans noctivaga", "Arizona elegans occidentalis", "Arizona pacata", "Arizona elegans philipi", "Bogertophis rosaliae", "Bogertophis subocularis", "Bogertophis subocularis amplinotus", "Bogertophis subocularis subocularis", "Boiga andamanensis", "Boiga angulata", "Boiga barnesii", "Boiga beddomei", "Boiga bengkuluensis", "Boiga blandingii", "Boiga bourreti", "Boiga ceylonensis", "Boiga cyanea", "Boiga cynodon", "Phreatodessus pluto", "Boiga dendrophila annectens", "Dissomphalus fimbriatus", "Dissomphalus magnus", "Dissomphalus trilobatus", "Dissomphalus amplifoveatus", "Dissomphalus personatus", "Dissomphalus excellens", "Hanea paturau", "Dissomphalus peculiaris", "Dissomphalus bahiensis", "Tekella absidata", "Dissomphalus amplexus", "Dissomphalus elegans", "Dissomphalus amplus", "Tekella nemoralis", "Tekella bisetosa", "Tekella lineata", "Tekella unisetosa", "Dissomphalus balteus", "Dissomphalus divaricatus", "Dissomphalus forceps", "Calamorhabdium acuticeps", "Calamorhabdium kuekenthali", "Collorhabdium williamsoni", "Etheridgeum pulchrum", "Macrocalamus chanardi", "Macrocalamus gentingensis", "Macrocalamus jasoni", "Macrocalamus lateralis", "Macrocalamus schulzi", "Macrocalamus tweediei", "Macrocalamus vogeli", "Pseudorabdion albonuchalis", "Pseudorabdion ater", "Pseudorabdion collaris", "Pseudorabdion eiselti", "Pseudorabdion longiceps", "Pseudorabdion mcnamarae", "Pseudorabdion montanum", "Pseudorabdion oxycephalum", "Pseudorabdion sarasinorum", "Pseudorabdion saravacense", "Pseudorabdion talonuran", "Pseudorabdion taylori", "Stenchaetothrips hullikali", "Stenchaetothrips spinulae", "Dinothenarus amisadaiae", "Baetodes liviae", "Baetodes santatereza", "Protohermes furcatus", "Protohermes impunctatus", "Protohermes piaoacanus", "Protohermes zhuae", "Protohermes guangxiensis", "Dissomphalus completus", "Boiga ochracea walli", "Boiga philippina", "Boiga pulverulenta", "Boiga quincunciata", "Boiga ranawanei", "Boiga saengsomi", "Mimopeus turbotti", "Rhopaltriplasia trimelaena", "Boiga schultzei", "Boiga siamensis", "Boiga tanahjampeana", "Boiga trigonata", "Boiga trigonata melanocephala", "Boiga trigonata trigonata", "Boiga wallachi", "Supunna picta", "Mustela kathiah", "Mustela lutreolina", "Poecilogale albinucha", "Leptonychotes weddellii", "Ommatophoca rossii", "Pusa caspica", "Neodactria oktibbeha", "Neodactria daemonis", "Pusa sibirica", "Bassariscus sumichrasti", "Nasuella olivacea", "Ceroprepes atribasilaris", "Ceroprepes jilongensis", "Ceroprepes lunata", "Ancylis youmiae", "Ammatucha brevilepigera", "Ammatucha flavipalpa", "Ammatucha longilepigera", "Pterotopteryx koreana", "Pterotopteryx dodecadactyla", "Pterotopteryx lonicericola", "Pterotopteryx spilodesma", "Hallonympha eudocia", "Hallonympha paucipuncta", "Loberus watti", "Gourlayia regia", "Steatoda capensis", "Steatoda truncata", "Steatoda grossa", "Diachus auratus", "Aporocera melanocephala", "Powelliphanta augusta", "Manuherikia douglasi", "Westwoodia gauldi", "Westwoodia rodmani", "Westwoodia romani", "Westwoodia longipes", "Westwoodia ruficeps", "Cemophora coccinea", "Cemophora coccinea coccinea", "Cemophora coccinea copei", "Cemophora coccinea lineri", "Tritonus complanatus", "Tritonus crenulatus", "Tritonus madagascarensis", "Chilomeniscus savagei", "Tritonus riambavy", "Paracymus pygmaeus", "Tritonus riana", "Chilomeniscus stramineus", "Tritonus steineri", "Chilomeniscus stramineus esterensis", "Chilomeniscus stramineus stramineus", "Chionactis occipitalis", "Chionactis occipitalis annulata", "Chionactis occipitalis klauberi", "Chionactis occipitalis occipitalis", "Chionactis occipitalis talpina", "Chionactis palarostris", "Chionactis palarostris organica", "Chionactis palarostris palarostris", "Laccobius mineralis", "Chironius bicarinatus", "Chironius carinatus", "Chironius carinatus carinatus", "Chironius carinatus flavopictus", "Chironius carinatus spixi", "Chironius exoletus", "Chironius fuscus", "Chironius fuscus fuscus", "Chironius fuscus leucometapus", "Chironius grandisquamis", "Chironius laevicollis", "Chironius laurenti", "Chironius monticola", "Chironius multiventris", "Chironius multiventris cochrane", "Chironius multiventris foveatus", "Chironius multiventris multiventris", "Chironius multiventris septentrionalis", "Chironius quadricarinatus", "Chironius quadricarinatus maculoventris", "Chironius quadricarinatus quadricarinatus", "Chironius scurrulus", "Amphipoea maryamae", "Cylomissus glabratus", "Hexatrygon bickelli", "Semnostola arquatana", "Semnostola atrana", "Semnostola grandaedeaga", "Semnostola magnifica", "Semnostola mystica", "Semnostola thrasyplaca", "Semnostola triangulata", "Semnostola trisignifera", "Ancylis badiana", "Ancylis apicana", "Ancylis apicella", "Ancylis argenticiliana", "Ancylis argillacea", "Ancylis aromatias", "Schinia rufocostulata", "Scopula anfractata", "Pseudaneitea pallida", "Megaspora verrucosa", "Megaspora verrucosa var. verrucosa", "Pseudaneitea ramsayi", "Megaspora verrucosa var. mutabilis", "Triops cancriformis", "Arangina cornigera", "Arangina pluva", "Lecanomerus marrisi", "Boiga dendrophila dendrophila", "Boiga dendrophila divergens", "Boiga dendrophila gemmicincta", "Boiga dendrophila latifasciata", "Boiga dendrophila melanota", "Boiga dendrophila multicincta", "Boiga dendrophila occidentalis", "Boiga dightoni", "Boiga drapiezii", "Boiga forsteni", "Boiga gokool", "Boiga guangxiensis", "Boiga irregularis", "Boiga jaspidea", "Rhopaltriplasia anamilleta", "Boiga kraepelini", "Boiga multifasciata", "Boiga multomaculata", "Rhopaltriplasia insignata", "Boiga nigriceps", "Boiga nigriceps brevicauda", "Boiga nigriceps nigriceps", "Boiga nuchalis", "Boiga ochracea", "Boiga ochracea ochracea", "Boiga ochracea stoliczkae", "Rhopaltriplasia macrorhis", "Lasiophila orbifera intercepta", "Lasiophila orbifera pura", "Lasiophila palades palades", "Lasiophila palades persepolis", "Mygona poeania", "Mygona poeania magalyae", "Mygona poeania poeania", "Mygona irmina", "Mygona thammi", "Mygona prochyta", "Mygona prochyta prochyta", "Mygona prochyta chyprota", "Oxeoschistus iphigenia", "Oxeoschistus leucospilos", "Oxeoschistus leucospilos leucospilos", "Oxeoschistus leucospilos pugil", "Oxeoschistus pronax", "Oxeoschistus duplex", "Trillium vaseyi", "Aiolopus thalassinus rodericensis", "Furcata dichromella", "Furcata paradichromella", "Furcata pseudodichromella", "Furcata karenkolla", "Trillium sulcatum", "Cipopeoria camura", "Harnochina rectilinea", "Harnochina digitata", "Trillium stamineum", "Peoria insularis", "Ematheudes convexus", "Ematheudes crenulatus", "Ematheudes dewittei", "Ematheudes elysium", "Ematheudes erectus", "Ematheudes forficatus", "Ematheudes hamatus", "Ematheudes hispidus", "Ematheudes kenyaensis", "Ematheudes lusingensis", "Ematheudes maculescens", "Ematheudes megacantha", "Ematheudes michaelshafferi", "Ematheudes natalensis", "Ematheudes pollex", "Ematheudes quintuplex", "Ematheudes setigera", "Ematheudes sinuosus", "Notoptenidium apterum", "Nephanes titan", "Ptiliodes curtus", "Ptiliodes austerus", "Ptiliodes amplicollis", "Ptiliodes posticalis", "Chrysopelea ornata", "Chrysopelea ornata ornata", "Chrysopelea ornata ornatissima", "Chrysopelea ornata sinhaleya", "Chrysopelea paradisi", "Chrysopelea paradisi celebensis", "Chrysopelea paradisi paradisi", "Chrysopelea paradisi variabilis", "Chrysopelea pelias", "Ptiliodes cavifrons", "Ptiliodes purpurascens", "Chrysopelea rhodopleuron", "Chrysopelea rhodopleuron rhodopleuron", "Nephanes tristis", "Chrysopelea rhodopleuron viridis", "Chrysopelea taprobanica", "Coelognathus erythrurus", "Coelognathus erythrurus celebensis", "Coelognathus erythrurus erythrurus", "Coelognathus erythrurus manillensis", "Coelognathus erythrurus philippinus", "Coelognathus erythrurus psephenoura", "Coelognathus flavolineatus", "Ptiliodes australis", "Coelognathus helena", "Coelognathus helena helena", "Coelognathus helena monticollaris", "Coelognathus radiata", "Coelognathus subradiata", "Coelognathus subradiata enganensis", "Coelognathus subradiata subradiata", "Herpestes brachyurus", "Herpestes edwardsii", "Herpestes fuscus", "Herpestes naso", "Herpestes semitorquatus", "Herpestes smithii", "Herpestes urva", "Herpestes vitticollis", "Ichneumia albicauda", "Liberiictis kuhni", "Mungos gambianus", "Paracynictis selousi", "Trillium flexipes", "Trillium luteum", "Trillium parviflorum", "Ptinella fallax", "Ptinella kermadecensis", "Ptenidium pusillum", "Ptenidotonium longicorne", "Oligella foveolata", "Nellosana elegantula", "Nellosana grandis", "Nellosana intermedia", "Nellosana minima", "Daedalma fraudata", "Daedalma vertex", "Cissidium crowsoni", "Cissidium foveolatum", "Junea dorinda", "Notoptenidium aubrooki", "Junea dorinda dorinda", "Notoptenidium crassum", "Junea dorinda whitelyi", "Notoptenidium oblongum", "Notoptenidium subitum", "Junea dorinda quasinegra", "Notoptenidium sparsum", "Notoptenidium similatum", "Notoptenidium parvum", "Notoptenidium kuscheli", "Junea doraete", "Junea doraete doraete", "Notoptenidium lawsoni", "Junea doraete antissa", "Junea doraete gideon", "Junea doraete enipeus", "Lasiophila orbifera", "Ptinella acaciae", "Ptinella bitumida", "Ptinella brunnescens", "Ptinella chathamensis", "Ptinella confusa", "Ptinella ferruginea", "Ptinella watti", "Ptinella lucida", "Lasiophila orbifera orbifera", "Ptinella pustulata", "Rhynchogale melleri", "Hyaena brunnea", "Macrogalidia musschenbroekii", "Trillium kurabayashii", "Trillium foetidissimum", "Coluber andreanus", "Coluber bholanathi", "Coluber brevis", "Coluber brevis boschisi", "Coluber brevis brevis", "Coluber constrictor anthicus", "Coluber constrictor constrictor", "Coluber constrictor etheridgei", "Coluber constrictor flaviventris", "Coluber constrictor foxii", "Coluber constrictor helvigularis", "Coluber constrictor latrunculus", "Encarsia clavata", "Coluber constrictor oaxaca", "Coluber constrictor paludicola", "Coluber constrictor priapus", "Coluber dorri", "Coluber elegantissimus", "Encarsia verticina", "Coluber gracilis", "Coluber insulanus", "Coluber largeni", "Coluber manseri", "Coluber messanai", "Coluber mormon", "Coluber scortecci", "Platyceps sinai", "Coluber smithi", "Coluber somalicus", "Coluber taylori", "Coluber thomasi", "Coluber variabilis", "Coluber vittacaudatus", "Mopanveldophis zebrinus", "Conopsis acuta", "Conopsis amphisticha", "Conopsis biserialis", "Conopsis lineata", "Conopsis megalodon", "Conopsis nasus", "Conopsis nasus labialis", "Conopsis nasus nasus", "Encarsia aurantii", "Encarsia pinella", "Trillium lancifolium", "Trillium ludovicianum", "Trillium decumbens", "Trillium cuneatum", "Trillium albidum", "Trillium cernuum", "Trillium chloropetalum", "Corades iduna gradosi", "Pherepedaliodes angela", "Austrofilius furcatus", "Chalcolampra speculifera", "Pseudocyclodinus kingi", "Pseudocyclodinus otagensis", "Floydwernerius gushi", "Sapintus aucklandensis", "Sapintus pellucidipes", "Sapintus obscuricornis", "Cotes bullata", "Cotes crispi", "Cotes gourlayi", "Cotes halliana", "Cotes optima", "Cotes proba", "Cotes rufa", "Cotes vestita", "Botanochara matogrossoensis", "Bruchidius biloboscutus", "Bruchidius badjii", "Bruchidius lerui", "Phradonoma jelineki", "Phradonoma nebulosum", "Phradonoma incognitum", "Manerebia inderena inderena", "Manerebia insulsa", "Manerebia interrupta", "Manerebia leaena", "Manerebia leaena leaena", "Manerebia leaena lanassa", "Manerebia leaena gonzalezi", "Manerebia pervaga", "Manerebia pluviosa", "Manerebia levana", "Manerebia lisa", "Mustela sibirica coreanus", "Manerebia mycalesoides", "Mustela sibirica manchurica", "Mustela nivalis mosanensis", "Manerebia nevadensis", "Manerebia quinterae", "Manerebia reducta", "Manerebia rubescens", "Manerebia rubescens rubescens", "Manerebia staudingeri", "Manerebia trimaculata", "Manerebia typhlops", "Manerebia zoippus", "Manerebia germaniae germaniae", "Manerebia germaniae vitalei", "Manerebia franciscae franciscae", "Manerebia franciscae rodriguezi", "Manerebia mammuthus", "Manerebia satura satura", "Pedaliodes kruegeri", "Pedaliodes kruegeri kruegeri", "Prionodon pardicolor", "Pedaliodes kruegeri belmira", "Genetta angolensis", "Genetta johnstoni", "Pherepedaliodes naevia", "Genetta maculata", "Pherepedaliodes nubilia", "Genetta servalina", "Pherepedaliodes pheretiades", "Genetta thierryi", "Antopedaliodes antonia", "Antopedaliodes antonia antonia", "Antopedaliodes antonia anina", "Antopedaliodes antonia quincedis", "Genetta tigrina", "Genetta victoriae", "Osbornictis piscivora", "Cheimas opalinus", "Cheimas opalinus opalinus", "Corades anfortas", "Poiana richardsonii", "Corades argentata", "Corades callipolis", "Corades chelonis", "Corades chirone", "Corades cistene", "Viverricula indica", "Corades cybele", "Corades dymantis", "Corades enyo", "Dorcatragus megalotis", "Corades iduna", "Corades lactefusa", "Corades medeba", "Epiphyllum oxypetalum", "Corades melania", "Gazella bennettii", "Corades pannonia", "Corades pax", "Corades sareba", "Corades tricordatus", "Corades tripunctata", "Gazella bilkis", "Corades ulema", "Corades chelonis chelonis", "Corades chelonis rubeta", "Corades cistene cistene", "Corades cistene generosa", "Corades cybele cybele", "Corades cybele semiplena", "Corades dymantis dymantis", "Corades enyo enyo", "Corades enyo almo", "Corades iduna iduna", "Corades iduna peruviana", "Corades iduna procellaria", "Corades iduna marginalis", "Picea balfouriana", "Cryptolepas rhachianecti", "Micarea adnata", "Micarea alabastrites", "Micarea anterior", "Micarea assimilata", "Micarea bacidiella", "Micarea botryoides", "Micarea chlorosticta", "Micarea cinerea", "Micarea contexta", "Phalaropus tricolor", "Allarescon ochroceras", "Micarea coppinsii", "Micarea crassipes", "Micarea curvata", "Micarea deminuta", "Phradonoma simile", "Phradonoma monachus", "Phradonoma alium", "Phradonoma spectum", "Phradonoma nigrum", "Phradonoma draco", "Hlavaciellus vampirus", "Pedaliodes spina", "Pedaliodes spina spina", "Pedaliodes spina bifurcata", "Pedaliodes pilaloensis", "Lymanopoda pieridina", "Lymanopoda pieridina pieridina", "Lymanopoda pieridina albicosta", "Lymanopoda shefteli", "Lymanopoda shefteli shefteli", "Lymanopoda shefteli siviae", "Lymanopoda translucida", "Lymanopoda translucida translucida", "Lymanopoda translucida umbratilis", "Lymanopoda translucida leucotecta", "Ianussiusa maso santa", "Lepus coreanus", "Manerebia apiculata", "Manerebia cyclopella", "Manerebia cyclopina", "Manerebia cyclops", "Manerebia franciscae", "Manerebia inderena", "Ematheudes strictus", "Ematheudes triangularis", "Ematheudes trimaculosus", "Ematheudes togoensis", "Ematheudes toxalis", "Parematheudes tenuis", "Parematheudes diacantha", "Parematheudes immaculate", "Parematheudes dionyx", "Parematheudes onyx", "Parematheudes hamulus", "Parematheudes crista", "Parematheudes dentatus", "Parematheudes polystictella", "Parematheudes interpunctella", "Trillium rugelii", "Trillium sessile", "Indolestes gracilis", "Trillium rivale", "Neofelis nebulosa nebulosa", "Neofelis nebulosa macrosceloides", "Borrelia anserina", "Ptinella atrata", "Ptinella octopunctata", "Ptinella snarensis", "Ptinella errabunda", "Ptinella taylorae", "Ptinella cavelli", "Ptinella propria", "Trillium angustipetalum", "Ptinella simsoni", "Potamochoerus porcus", "Trillium decipiens", "Phacochoerus aethiopicus", "Trillium apetalon", "Moschus moschiferus", "Coronella austriaca acutirostris", "Coronella austriaca austriaca", "Coronella austriaca fitzingeri", "Coronella brachyura", "Coronella girondica", "Coronella girondica amaliae", "Coronella girondica girondica", "Crotaphopeltis barotseensis", "Crotaphopeltis braestrupi", "Crotaphopeltis degeni", "Crotaphopeltis hippocrepis", "Crotaphopeltis hotamboeia", "Crotaphopeltis tornieri", "Cyclophiops doriae", "Clambus venus", "Clambus saturnus", "Manerebia navarrae", "Clambus bulla", "Clambus uranus", "Clambus jupiter", "Clambus bulla marmoratus", "Sphaerothorax kuscheli", "Sphaerothorax brevisternalis", "Manerebia inderena antioquiana", "Manerebia inderena fina", "Manerebia inderena similis", "Manerebia inderena clara", "Manerebia inderena leaeniva", "Manerebia inderena mirena", "Manerebia golondrina", "Manerebia prattorum", "Manerebia undulata", "Manerebia undulata undulata", "Manerebia undulata milaena", "Theretra improvisa", "Pseudoclanis rhadamistus", "Pseudoclanis rhadamistus rhadamistus", "Curranea isaurae", "Cyclophiops major", "Cyclophiops multicinctus", "Dasypeltis abyssina", "Dasypeltis atra", "Dasypeltis confusa", "Dasypeltis fasciata", "Dasypeltis gansi", "Dasypeltis gansi gansi", "Dasypeltis gansi latericia", "Dasypeltis inornata", "Dasypeltis medici", "Dasypeltis medici lamuensis", "Dasypeltis medici medici", "Dasypeltis sahelensis", "Dasypeltis scabra", "Dasypeltis scabra loveridgei", "Dasypeltis scabra scabra", "Proboscis pomarancia", "Pronophila tremocrata", "Drapetisca australis", "Pronophila epidipnis", "Pronophila epidipnis perplexa", "Pronophila bernardi", "Pseudomaniola mirabilis", "Pseudomaniola mirabilis extrema", "Pedaliodes cledonia", "Pedaliodes cledonia molesta", "Pedaliodes petri", "Pedaliodes petri maasseni", "Pedaliodes simplissima", "Pedaliodes phrasicla", "Pedaliodes phrasicla rufa", "Pedaliodes erschoffi", "Pedaliodes boettgeri", "Pedaliodes aureola", "Pedaliodes sophismata", "Pedaliodes stuebeli", "Pedaliodes maruda", "Pedaliodes uaniuna", "Pedaliodes demathani", "Pedaliodes sztolcmani", "Pedaliodes sztolcmani sztolcmani", "Pedaliodes sztolcmani gilvaecosta", "Pedaliodes jelskii", "Pedaliodes albicilia", "Pedaliodes woytkowskii", "Corderopedaliodes corderoi", "Corderopedaliodes corderoi exornata", "Panyapedaliodes stellata", "Panyapedaliodes phila", "Panyapedaliodes phila certa", "Punapedaliodes flavopunctata", "Punapedaliodes flavopunctata minima", "Altopedaliodes zsolti citra", "Altopedaliodes halli", "Altopedaliodes perita sorda", "Megoleria orestilla polymacula", "Megoleria orestilla polylla", "Disconectes ovaloides", "Storthyngurella triplispinosa", "Storthyngurella digitata", "Vanhoeffenura symmetrica", "Storthyngura vemae", "Vanhoeffenura birsteini", "Storthyngura snanoi", "Acanthocope argentinae", "Acanthocope unicornis", "Acanthocope annulatus", "Dendromunna spinipes", "Dactylostylis walfishensis", "Munna argentinae", "Acanthomunna beddardi", "Notoxenoides vemae", "Notoxenoides abyssi", "Acanthaspidia bifurcata", "Abyssianira argentenensis", "Xostylus parallelus", "Mesosignum kohleri", "Mesosignum usheri", "Notiocoelotes palinitropus", "Notiocoelotes laosensis", "Micarea lapillicola", "Notiocoelotes lingulatus", "Rotundabaloghia bukavuensis", "Rotundabaloghia splendida", "Rotundabaloghia erinacea", "Rotundabaloghia lindqvistiformis", "Rotundabaloghia rwandae", "Rotundabaloghia ukoguruensis", "Syneurycope heezeni", "Arum pictum", "Eudorcas rufifrons", "Madoqua guentheri", "Madoqua piacentinii", "Madoqua saltiana", "Rhamnocercoides menticirrhi", "Nesotragus batesi", "Rhamnocercoides stichospinus", "Nesotragus moschatus", "Rhamnocercus rhamnocercus", "Rhamnocercus bairdiella", "Procapra gutturosa", "Rhamnocercus margaritae", "Rhamnocercus oliveri", "Rhamnocercus stelliferi", "Raphicerus campestris", "Raphicerus melanotis", "Spinomatrix penteormos", "Raphicerus sharpei", "Capra caucasica", "Haitlingeria longilobata", "Scutacarus livshitsi", "Elaphodus cephalophus", "Scutacarus yuliae", "Muntiacus atherodes", "Muntiacus crinifrons", "Muntiacus feae", "Muntiacus gongshanensis", "Muntiacus muntjak", "Moschus berezovskii", "Moschus anhuiensis", "Moschus chrysogaster", "Moschus cupreus", "Moschus fuscus", "Moschus leucogaster", "Moschiola kathygre", "Moschiola indica", "Moschiola meminna", "Tragulus javanicus", "Capra cylindricornis", "Capra falconeri", "Capra hircus", "Pseudorhabdosynochus morrhua", "Capra nubiana", "Pseudorhabdosynochus variabilis", "Capra sibirica", "Capricornis rubidus", "Capricornis milneedwardsii", "Capricornis sumatraensis", "Capricornis swinhoei", "Capricornis thar", "Naemorhedus caudatus", "Naemorhedus griseus", "Pseudois schaeferi", "Cephalophus callipygus", "Carpias ichthyoxenos", "Carpias villalobosi", "Maresiella brevicornis", "Boccacciomymar tak", "Boccacciomymar pobeda", "Cecropia obtusifolia", "Cecropia longipes", "Cecropia utcubambana", "Micarea perparvula", "Willemia similis", "Willemia bedosae", "Willemia christianseni", "Micarea prasina", "Micarea pseudomarginata", "Micarea pycnidiophora", "Micarea rhabdogena", "Micarea stipitata", "Micarea subalpina", "Micarea subconfusa", "Micarea submilliaria", "Micarea subnigrata", "Micarea synotheoides", "Micarea ternaria", "Bocainella minima", "Micarea viridiatra", "Micarea viridileprosa", "Megachoriolaus clarkei", "Micarea vulpinaris", "Micarea xanthonica", "Mesosignum multidens", "Mesosignum magnadens", "Manerebia rufanalis", "Mesosignum macrum", "Mesosignum asperum", "Mesosignum ansatum", "Mesosignum admirandum", "Manerbia rufanalis rufanalis", "Manerbia rufanalis fernandina", "Antennuloniscus quadratus", "Antennuloniscus subellipticus", "Aspidoniscus perplexus", "Acanthaspidia porrecta", "Acanthaspidia sulcatacornia", "Acanthaspidia mucronata", "Manerebia ignilineata neglecta", "Acanthaspidia rostrata", "Acanthaspidia pleuronotus", "Joeropsis antarctica", "Manerebia seducta", "Micarea cinerea f. tenuispora", "Micarea cinerea f. cinerea", "Manerebia magnifica", "Dubinectes acutitelson", "Dubinectes nodosus", "Anemone \u00d7 hybrida", "Micarea lignaria var. lignaria", "Megoleria orestilla", "Megoleria orestilla orestilla", "Micarea lignaria var. endoleuca", "Atriplex lanfrancoi", "Amphicreadium denspeniculus", "Gorgocephalus kyphosi", "Neoscona holmi", "Gorgocephalus yaaji", "Bianium spongiosum", "Pudu mephistophiles", "Opechona austrobacillaris", "Pudu puda", "Lepotrema monile", "Hyelaphus calamianensis", "Hypsosinga pygmaea", "Hyelaphus kuhlii", "Hypsosinga sanguinea", "Hyelaphus porcinus", "Adenodelphis eurythenes", "Diploproctodaeum arothroni", "Karyakartia egyptensis", "Micarea melaena", "Micarea melaenida", "Xenopoecilus oophorus", "Vermectias nelladanae", "Vermectias caudiculata", "Hypocryphalus longipennis", "Ajania pacifica", "Cerapus jonsoni", "Notopoma fluminense", "Cyrtopodion baigii", "Sinopoda anguina", "Sinopoda crassa", "Sinopoda fornicata", "Sinopoda grandispinosa", "Sinopoda nuda", "Sinopoda semicirculata", "Sinopoda triangula", "Sinopoda undata", "Sinopoda yaojingensis", "Paraxenylla sooretamensis", "Micarea melanobola", "Micarea micrococca", "Micarea misella", "Micarea myriocarpa", "Micarea neostipitata", "Micarea nigella", "Micarea olivacea", "Willemia unispina", "Willemia zhaoi", "Carria fortipes", "Micarea paratropa", "Sciron enolae", "Micarea parva", "Sciron glaber", "Notiocoelotes sparus", "Notiocoelotes vietnamensis", "Platocoelotes polyptychus", "Lineacoelotes longicephalus", "Lineacoelotes strenuus", "Aucuba japonica", "Lineacoelotes bicultratus", "Lineacoelotes funiushanensis", "Lineacoelotes nitidus", "Draconarius pakistanicus", "Draconarius naranensis", "Shigella boydii", "Allanagrus magniclava", "Neserythmelus zelandicus", "Acmotemnus luteiclava", "Anu una", "Apoxypteron grandiscapus", "Cybomymar fasciifrons", "Micarea endocyanea", "Micarea globulosella", "Micarea hedlundii", "Micarea incrassata", "Micarea leprosula", "Micarea lithinella", "Hyphalus wisei", "Glaucorhoe unduliferaria", "Micarea lynceola", "Glaucorhoe unduliferaria unduliferaria", "Hyphalus kuscheli", "Micarea marginata", "Hyphalus prolixus", "Hyphalus ultimus", "Hyphalus insularis", "Glaucorhoe unduliferaria geraea", "Hyphalus crowsoni", "Hyphalus madli", "Glaucorhoe magaria", "Hyphalus taekoae", "Glaucorhoe exilaria", "Manerebia satura keithi", "Manerebia satura lamasi", "Manerebia satura pauperata", "Clambus pluto", "Clambus neptunus", "Atylotus talyschensis", "Tabanus terterjani", "Armenohelops armeniacus", "Chimerothalassius ismayi", "Smaragdina rapillyi", "Cnemiornis gracilis", "Cnemiornis calcitrans", "Smaragdina biornata", "Smaragdina biornata biornata", "Malacorhynchus scarletti", "Smaragdina biornata angorensis", "Poecilochirus sexclavatus", "Golfingia vulgaris", "Golfingia vulgaris vulgaris", "Golfingia vulgaris antonellae", "Eupyrgota vespiformis", "Eupyrgota rugosigenis", "Eupyrgota echinata", "Eupyrgota melancholica", "Eupyrgota varipennis", "Eupyrgota crassipes", "Cecropia velutinella", "Cecropia pastasana", "Cecropia maxima", "Cephalophus dorsalis", "Cephalophus harveyi", "Cephalophus jentinki", "Cephalophus leucogaster", "Zelodes kuscheli", "Zelodes minutus", "Colenisia zelandica", "Cephalophus maxwellii", "Dendrophidion bivittatus", "Dendrophidion boshelli", "Dendrophidion brunneus", "Dendrophidion dendrophis", "Cephalophus natalensis", "Dendrophidion nuchale", "Dendrophidion paucicarinatus", "Dendrophidion percarinatus", "Cephalophus niger", "Dendrophidion vinitor", "Lycodon flavozonatus", "Lycodon gammiei", "Lycodon orientalis", "Lycodon rosozonatus", "Dinodon rufozonatum meridionale", "Cephalophus nigrifrons", "Lycodon semicarinatus", "Lycodon septentrionalis", "Dipsadoboa aulica", "Dipsadoboa brevirostris", "Dipsadoboa duchesnii", "Cephalophus ogilbyi", "Dipsadoboa elongata", "Dipsadoboa flavida", "Dipsadoboa flavida broadleyi", "Dipsadoboa flavida flavida", "Dipsadoboa shrevei", "Dipsadoboa shrevei kageleri", "Cephalophus rufilatus", "Dipsadoboa shrevei shrevei", "Dipsadoboa underwoodi", "Dipsadoboa unicolor", "Dipsadoboa viridis", "Dipsadoboa viridis gracilis", "Dipsadoboa viridis viridis", "Dipsadoboa weileri", "Cephalophus silvicultor", "Elephantulus brachyrhynchus", "Elephantulus edwardii", "Elephantulus fuscipes", "Elephantulus fuscus", "Elephantulus intufi", "Elephantulus myurus", "Galegeeska revoilii", "Zelanaphes lamprogonius", "Steganogaster silvicola", "Pseudanaphes hirtus", "Paracmotemnus potanus", "Mimalaptus obscurus", "Ischiodasys occulta", "Nanaloricus gwenae", "Nanaloricus khaitatus", "Cleruchus mandibularis", "Dendrelaphis bifrenalis", "Dendrelaphis calligastra", "Dendrelaphis caudolineatus", "Dendrelaphis caudolineatus caudolineatus", "Dendrelaphis caudolineatus flavescens", "Dendrelaphis caudolineatus luzonensis", "Dendrelaphis caudolineatus modestus", "Dendrelaphis caudolineatus terrificus", "Dendrelaphis caudolineolatus", "Dendrelaphis cyanochloris", "Dendrelaphis formosus", "Dendrelaphis gastrostictus", "Dendrelaphis gorei", "Dorya pilosa", "Dendrelaphis grandoculis", "Dendrelaphis haasi", "Dendrelaphis hollonrakei", "Dendrelaphis humayuni", "Dendrelaphis inornatus", "Dendrelaphis inornatus inornatus", "Dendrelaphis inornatus timorensis", "Dendrelaphis kopsteini", "Dendrelaphis lorentzi", "Dendrelaphis ngansonensis", "Dendrelaphis oliveri", "Dendrelaphis papuensis", "Dendrelaphis pictus", "Dendrelaphis pictus andamanensis", "Dendrelaphis pictus pictus", "Dendrelaphis punctulatus", "Dendrelaphis punctulatus punctulatus", "Dendrelaphis punctulatus striolatus", "Dendrelaphis salomonis", "Ooctonus vulgatus", "Dendrelaphis schokari", "Dendrelaphis striatus", "Dendrelaphis subocularis", "Dendrelaphis tristis", "Dendrelaphis underwoodi", "Dipsadoboa werneri", "Cephalophus spadix", "Pseudorhabdosynochus bouaini", "Pseudorhabdosynochus dolicocolpos", "Pseudorhabdosynochus enitsuji", "Cephalophus weynsi", "Pseudorhabdosynochus sinediscus", "Pseudorhabdosynochus sosia", "Cephalophus zebra", "Pseudorhabdosynochus seabassi", "Sylvicapra grimmia", "Pseudorhabdosynochus epinepheli", "Hippotragus equinus", "Pseudorhabdosynochus venus", "Hippotragus niger", "Hylochoerus meinertzhageni", "Phacochoerus africanus", "Potamochoerus larvatus", "Sus celebensis", "Sus heureni", "Sus philippensis", "Sus timoriensis", "Catagonus wagneri", "Capreolus pygargus", "Contracaecum chubutensis", "Dispholidus typus", "Dispholidus typus kivuensis", "Dispholidus typus punctatus", "Dispholidus typus typus", "Dolichophis caspius", "Dolichophis caspius caspius", "Dolichophis caspius eiselti", "Dolichophis cypriensis", "Dolichophis jugularis", "Dolichophis jugularis asianus", "Dolichophis jugularis jugularis", "Dolichophis schmidti", "Drymarchon caudomaculatus", "Drymarchon corais", "Drymarchon corais corais", "Drymarchon corais erebennus", "Araniella opisthographa", "Larinioides cornutus", "Larinioides sclopetarius", "Gibbaranea abscissa", "Argiope amoena", "Argiope boesenbergi", "Argiope minuta", "Gasteracantha kuhli", "Mangora herbeoides", "Chorizopes nipponicus", "Pronoides brunneus", "Yaginumia sia", "Cyclosa atrata", "Cyclosa ginnaga", "Cyclosa japonica", "Cyclosa sedeculata", "Cyclosa vallata", "Cyclosa argenteoalba", "Cyclosa laticauda", "Cyclosa kumadai", "Cyclosa monticola", "Cyclosa omonaga", "Zizina labradus", "Cyrtarachne bufo", "Cyrtarachne inaequalis", "Cyrtarachne nagasakiensis", "Eriophora astridae", "Lariniaria argiopiformis", "Gonocephalum ficifolium", "Geogale aurita", "Bessoniella procera", "Limnogale mergulus", "Microgale brevicaudata", "Nothobrya schubarti", "Microgale cowani", "Mastigoceras camponoti", "Microgale dobsoni", "Microgale dryas", "Microgale gracilis", "Microgale longicaudata", "Microgale parvula", "Microgale drouhardi", "Microgale fotsifotsy", "Microgale jobihely", "Microgale gymnorhyncha", "Microgale monticola", "Microgale nasoloi", "Microgale principula", "Drymarchon margaritae", "Drymarchon corais orizabensis", "Drymarchon corais rubidus", "Drymarchon corais unicolor", "Drymarchon couperi", "Drymarchon melanurus", "Centaurea margaritalba", "Mycocalicium albonigrum", "Mycocalicium americanum", "Mycocalicium calicioides", "Mycocalicium fuscipes", "Mycocalicium ravenelii", "Mycocalicium reticulatum", "Mycocalicium sequoiae", "Mycocalicium subtile", "Mycocalicium victoriae", "Myriospora heppii", "Neoscona adianta", "Neoscona melloteei", "Neoscona multiplicans", "Neoscona nautica", "Neoscona pseudonautica", "Neoscona punctigera", "Neoscona scylla", "Neoscona scylloides", "Neoscona semilunaris", "Neoscona subpullata", "Neoscona theisi", "Neoscona tianmenensis", "Neoscona vigilans", "Neoscona crucifera", "Neoscona domiciliorum", "Araniella coreana", "Araniella displicata", "Araniella yaginumai", "Araniella cucurbitina", "Barronia araucaria", "Microgale pusilla", "Microgale soricoides", "Microgale taiva", "Opegrapha corinnae", "Microgale talazaci", "Microgale thomasi", "Opegrapha erosa", "Oryzorictes hova", "Dromiciocoptes caenolestes", "Dromiciocoptes marmosops", "Oryzorictes tetradactylus", "Platygaster robiniae", "Dimocarpomyia folicola", "Munnopsis megacephalus", "Janiralata sagamiensis", "Cupressus tonkinensis", "Singa hamata", "Cyclosa confusa", "Cyclosa okumae", "Cyrtarachne yunoharuensis", "Ordgarius sexspinosus", "Neriene emphana", "Neriene japonica", "Sciron fundator", "Kalidium wagenitzii", "Aclosmation rufum", "Amblyaclastus melanops", "Nephila inaurata", "Nephila senegalensis", "Nephila edulis", "Nephila antipodiana", "Ankylophion obligatus", "Trichogramma falx", "Trichogramma valentinei", "Trichogramma maori", "Neriene radiata", "Neriene albolimbata", "Neriene clathrata", "Areyonga eremica", "Porphyrochroa aliena", "Porphyrochroa amazonica", "Porphyrochroa bifida", "Porphyrochroa cercosingularis", "Porphyrochroa dactiloides", "Porphyrochroa distincta", "Porphyrochroa epandrialis", "Porphyrochroa grandis", "Porphyrochroa longiseta", "Porphyrochroa manauara", "Porphyrochroa neblina", "Porphyrochroa pacaraima", "Porphyrochroa platypoderis", "Porphyrochroa quadrilamelaris", "Porphyrochroa roraimensis", "Porphyrochroa simplex", "Tragulus kanchil", "Mosesia riparia", "Triclistus tauricus", "Tragulus napu", "Chorinaeus rugosus", "Eocencnemus vichrenkoi", "Abrepagoge treitschkeana", "Acropolitis canana", "Drymobius chloroticus", "Drymobius margaritiferus", "Drymobius margaritiferus fistulosus", "Drymobius margaritiferus margaritiferus", "Drymobius margaritiferus maydis", "Drymobius margaritiferus occidentalis", "Drymobius melanotropis", "Drymobius rhombifer", "Drymoluber apurimacensis", "Drymoluber brazili", "Drymoluber dichrous", "Dryocalamus davisonii", "Dryocalamus gracilis", "Dryocalamus nympha", "Dryocalamus philippinus", "Dryocalamus subannulatus", "Dryocalamus tristrigatus", "Dryophiops philippina", "Dryophiops rubescens", "Eirenis africana", "Eirenis aurolineatus", "Eirenis barani", "Eirenis barani barani", "Tragulus nigricans", "Eirenis barani bischofforum", "Eirenis collaris", "Eirenis collaris collaris", "Eirenis collaris macrospilotus", "Tragulus versicolor", "Eirenis coronella", "Eirenis coronella coronella", "Eirenis coronella fennelli", "Eirenis coronella ibrahimi", "Tragulus williamsoni", "Acropolitis hedista", "Acropolitis magnana", "Acropolitis malacodes", "Acropolitis ptychosema", "Acropolitis rudisana", "Adoxophyes aniara", "Adoxophyes aurantia", "Adoxophyes aurantiana", "Adoxophyes aurata", "Piaroa virichaj", "Periclimenes sulcatus", "Edwardsia californica", "Edwardsia handi", "Edwardsia heia", "Edwardsia juliae", "Edwardsia mcmurrichi", "Edwardsia olguini", "Edwardsia profunda", "Edwardsia scamiti", "Edwardsia triangulus", "Leptodactylus cupreus", "Paranura magdalaena", "Paranura rooensis", "Helota brancuccii", "Cyrtomaia polynesica", "Cyrtomaia micronesica", "Helota vandepolli", "Helota lugubris", "Helota servillei", "Helota scintillans", "Helota vigorsii", "Dolichopteryx pseudolongipes", "Protoptila diablita", "Dolichopteryx rostrata", "Protoptila julieta", "Protoptila dubitans", "Dolichopteryx minuscula", "Bolbelasmus minutus", "Bolbelasmus coreanus", "Elephantulus rufescens", "Elephantulus rupestris", "Neriene jinjooensis", "Neriene kimyongkii", "Neriene limbatinella", "Neriene longipedella", "Neriene nigripectoris", "Neriene oidedicata", "Neriene peltata", "Arcuphantes ephippiatus", "Arcuphantes keumsanensis", "Arcuphantes pennatus", "Arcuphantes pulchellus", "Arcuphantes scitulus", "Arcuphantes juwangensis", "Arcuphantes namhaensis", "Allomengea coreana", "Allomengea beombawigulensis", "Lepthyphantes cavernicola", "Lepthyphantes latus", "Doenitzius peniculus", "Doenitzius pruvus", "Anguliphantes nasus", "Cresmatoneta nipponensis", "Crispiphantes biseulsanensis", "Crispiphantes rhomboideus", "Jacksonella sexoculata", "Meioneta palgongsanensis", "Nematogmus sanguinolentus", "Solenysa geumoensis", "Strandella pargongensis", "Eldonnia kayaensis", "Porphyrochroa xavieri", "Eirenis coronelloides", "Eirenis decemlineatus", "Eirenis eiselti", "Eirenis hakkariensis", "Eirenis levantinus", "Eirenis lineomaculatus", "Eirenis mcmahoni", "Eirenis medus", "Eirenis modestus", "Eirenis modestus cilicius", "Eirenis modestus modestus", "Eirenis modestus semimaculatus", "Eirenis punctatolineatus", "Eirenis punctatolineatus kumerloevei", "Eirenis punctatolineatus punctatolineatus", "Eirenis rechingeri", "Eirenis rothii", "Eirenis thospitis", "Adoxophyes acrocindina", "Allodemis chelophora", "Ancyroclepsis nakhasathieni", "Ancyroclepsis rhodoconia", "Aneuxanthis locupletana", "Anisotenes acrodasys", "Anisotenes amphiloga", "Anisotenes axigera", "Anisotenes basalis", "Anisotenes bathygrapha", "Anisotenes cacotechna", "Anisotenes decora", "Anisotenes dracontodonta", "Anisotenes ellipegrapha", "Anisotenes fallax", "Anisotenes leucophthalma", "Anisotenes libidinosa", "Anisotenes oxygrapta", "Anisotenes phanerogonia", "Anisotenes pyrra", "Anisotenes schizolitha", "Anisotenes scoliographa", "Anisotenes spodotes", "Anisotenes stemmatostola", "Anisotenes uniformis", "Acropolitis canigerana", "Acropolitis ergophora", "Acropolitis excelsa", "Paracyatholaimus dubiosus", "Paracyatholaimus duplicatus", "Paracyatholaimus helicellus", "Paracyatholaimus intermedius", "Paracyatholaimus lewisi", "Meta manchurica", "Paracyatholaimus occultus", "Paracyatholaimus paucipapillatus", "Paracyatholaimus pentodon", "Paracyatholaimus pesavis", "Meta menardi", "Paracyatholaimus proximus", "Paracyatholaimus pugettensis", "Paracyatholaimus quadriseta", "Paracyatholaimus rotundus", "Paracyatholaimus saradi", "Paracyatholaimus separatus", "Paracyatholaimus spinulosus", "Paracyatholaimus ternus", "Metleucauge chikunii", "Paracyatholaimus truncatus", "Paracyatholaimus vancouverensis", "Metleucauge kompirensis", "Paracyatholaimus vitraeus", "Metleucauge yunohamensis", "Ischnomesus curtispinis", "Coperonus pinguis", "Paracyatholaimus diva", "Amboherpia dolicopharyngeata", "Veromenia singula", "Hyalonema ovuliferum", "Hyalonema populiferum", "Amphinemura apiciglobosa", "Amphinemura bihamata", "Amphinemura ctenospina", "Amphinemura flabellata", "Amphinemura hamiornata", "Amphinemura ludinganus", "Amphinemura zhoui", "Indonemoura nigrihamita", "Protonemura biintrans", "Nemoura mucronata", "Rokopella oligotropha", "Veleropilina veleronis", "Vema bacescui", "Vema ewingi", "Microcope denticulata", "Microcope levissima", "Microcope ovata", "Eurycope crassiramis", "Eurycope monodon", "Eurycope denticollis", "Munneurycope persephone", "Prochelator tupuhi", "Hebefustis clareolithis", "Apochthonius coecus", "Apochthonius colecampi", "Apochthonius diabolus", "Apochthonius grubbsi", "Apochthonius hobbsi", "Apochthonius holsingeri", "Apochthonius hypogeus", "Apochthonius indianensis", "Apochthonius knowltoni", "Apochthonius minor", "Apochthonius mysterius", "Apochthonius paucispinosus", "Apochthonius russelli", "Apochthonius titanicus", "Apochthonius typhlus", "Apochthonius forbesi", "Apochthonius irwini", "Apochthonius maximus", "Apochthonius minimus", "Apochthonius intermedius", "Apochthonius occidentalis", "Apochthonius magnanimus", "Besdolus illyricus", "Hemiechinus auritus", "Hemiechinus collaris", "Mesechinus dauuricus", "Mesechinus hughi", "Paraechinus aethiopicus", "Paraechinus hypomelas", "Paraechinus micropus", "Paraechinus nudiventris", "Araneus aragua", "Araneus bastarensis", "Araneus missouri", "Araneus polydentatus", "Araneus zhangmu", "Colias eurytheme", "Nerodia fasciata", "Silene conica", "Diadromus collaris", "Eutanyacra licitatoria", "Ctenochares bicolorus", "Dryocopus javensis richardsi", "Pachygnatha clercki", "Pachygnatha quadrimaculata", "Pachygnatha tenera", "Diphya albula", "Diphya okumae", "Microjaera morii", "Santia katoi", "Halacarsantia kussakini", "Tetragnatha caudicula", "Rectisura menziesi", "Tetragnatha lauta", "Tetragnatha lea", "Tetragnatha maxillosa", "Allodiscus turbotti", "Tetragnatha nitens", "Tetragnatha pinicola", "Tetragnatha praedonia", "Tetragnatha squamata", "Tetragnatha vermiformis", "Tetragnatha yesoensis", "Leucauge blanda", "Leucauge celebesiana", "Leucauge subblanda", "Leucauge magnifica", "Leucauge subgemmea", "Paracyatholaimus arcticus", "Paracyatholaimus botosaneanui", "Paracyatholaimus chilensis", "Ummeliata angulituberis", "Ummeliata feminea", "Ummeliata insecticeps", "Microneta viaria", "Turinyphia yunohamensis", "Antophrys spectabilis", "Linyphia triangularis", "Linyphia hortensis", "Antiphrastis galenopa", "Callitrichia formosana", "Aphelia aglossana", "Aphelia albidula", "Aurivillius orientalis", "Aurivillius jolyanorum", "Automerina beneluzi", "Automerina carina", "Automeris beutelspacheri", "Automeris jolantheae", "Automeris claryi", "Automeris diavolanda", "Automeris suteri", "Automeris tatiae", "Automeris labriquei", "Automeris lauta", "Elachistodon westermanni", "Elaphe bimaculata", "Elaphe carinata deqenensis", "Elaphe davidi", "Elaphe dione", "Elaphe leonardi", "Bathyphantes robustus", "Ceratinopsis setoensis", "Diplocephaloides saganus", "Sphingonotus fuerteventurae", "Entelecara dabudongensis", "Erigone koshiensis", "Singhius hibisci", "Eskovina clava", "Gnathonarium dentatum", "Singhius morindae", "Gnathonarium gibberum", "Gonatium arimaense", "Singhius russellae", "Gonatium japonicum", "Herbiphantes cericeus", "Hylyphantes graminicola", "Meioneta nigra", "Oia imadatei", "Orientopus yodoensis", "Syedra oii", "Elaphe leonardi leonardi", "Elaphe maculata", "Automeris larra", "Elaphe quatuorlineata muenteri", "Elaphe quatuorlineata parensis", "Automeris liberia", "Elaphe quatuorlineata quatuorlineata", "Elaphe quatuorlineata scyrensis", "Automeris macphaili", "Elaphe rufodorsata", "Elaphe sauromates", "Elaphe schrenckii", "Elaphe schrenckii anomala", "Automeris melanops", "Elaphe schrenckii schrenckii", "Automeris amoena", "Automeris atrolimbata", "Automeris banus", "Automeris belti", "Automeris colenon", "Automeris complicata", "Automeris curvilinea", "Automeris denticulata", "Micropotamogale lamottei", "Automeris egeus", "Automeris excreta", "Micropotamogale ruwenzorii", "Automeris exigua", "Automeris io", "Automeris gabriellae", "Potamogale velox", "Automeris grammodes", "Automeris hamata", "Automeris harrisorum", "Echinops telfairi", "Automeris jivaros", "Automeris jucunda", "Hemicentetes semispinosus", "Automeris metzli", "Automeris montezuma", "Automeris moresca", "Hemicentetes nigriceps", "Automeris oaxacensis", "Automeris patagoniensis", "Automeris pomifera", "Automeris styx", "Automeris tridens", "Automeris umbrosa", "Automeris zephyria", "Automeris zozine", "Automeris louisiana", "Setifer setosus", "Tenrec ecaudatus", "Automeris iris", "Automeris cecrops", "Automeris randa", "Ancistrota plagia", "Erinaceus roumanicus", "Apochthonius malheuri", "Apochthonius moestus", "Caribchthonius butleri", "Caribchthonius orthodentatus", "Chiliochthonius centralis", "Chiliochthonius montanus", "Congochthonius nanus", "Drepanochthonius horridus", "Francochthonius hirsutus", "Malcolmochthonius malcolmi", "Malcolmochthonius oregonus", "Malcolmochthonius perplexus", "Maorichthonius mortenseni", "Mexichthonius exoticus", "Mexichthonius pacal", "Mexichthonius unicus", "Neochthonius amplus", "Neochthonius imperialis", "Neochthonius troglodytes", "Neochthonius stanfordianus", "Sathrochthoniella zealandica", "Steatoda albomaculata", "Steatoda cingulata", "Asagena phalerata", "Steatoda triangulosa", "Steatoda ulleungensis", "Steatoda erigoniformis", "Phycosoma flavomarginatum", "Phycosoma mustelinum", "Phycosoma japonicum", "Phycosoma martinae", "Phycosoma amamiensis", "Argyrodes bonadea", "Argyrodes flavescens", "Argyrodes miniaceus", "Chrysso foliata", "Chrysso lativentris", "Chrysso albipes", "Chrysso scintillans", "Enoplognatha abrupta", "Enoplognatha caricis", "Enoplognatha margarita", "Enoplognatha ovata", "Menosira ornata", "Theridion palgongense", "Theridion pinastri", "Theridion taegense", "Theridion pictum", "Atheta kingorum", "Theridion submirabile", "Ocalea zelandica", "Theridion longipalpum", "Ocalea socialis", "Parasteatoda angulithorax", "Parasteatoda asiatica", "Parasteatoda culicivora", "Ocalea fungicola", "Parasteatoda ferrumequina", "Parasteatoda japonica", "Parasteatoda kompirensis", "Pseudopisalia turbotti", "Parasteatoda oculiprominens", "Achaearanea palgongensis", "Parasteatoda tabulata", "Aleochara watti", "Parasteatoda simulans", "Aleochara complexa", "Aleochara aucklandica", "Aleochara hammondi", "Takayus latifolius", "Takayus takayensis", "Takayus chikunii", "Takayus lunulatus", "Takayus quadrimaculatus", "Adenopilina adenensis", "Laevipilina antarctica", "Neopilina bruuni", "Neopilina galatheae", "Neopilina rebainsi", "Laevipilina cachuchensis", "Laevipilina rolani", "Laevipilina theresae", "Rokopella brummeri", "Spelyngochthonius beieri", "Spelyngochthonius grafittii", "Spelyngochthonius heurtaultae", "Spelyngochthonius provincialis", "Spelyngochthonius sardous", "Stygiochthonius barrancoi", "Troglochthonius doratodactylus", "Troglochthonius mirabilis", "Tyrannochthoniella zealandica", "Vulcanochthonius aa", "Vulcanochthonius pohakuloae", "Vulcanochthonius howarthi", "Ara ambiguus ambiguus", "Ara ambiguus guayaquilensis", "Ara macao cyanopterus", "Ara macao macao", "Ara militaris bolivianus", "Ferreiraella bartlettae", "Ara militaris mexicanus", "Ara militaris militaris", "Ferreiraella caribbensis", "Ferreiraella plana", "Ferreiraella scrippsiana", "Ferreiraella soyomaruae", "Ara guadeloupensis", "Ferreiraella tsuchidai", "Ara martinica", "Leptochiton alveolus", "Leiopelma auroraensis", "Leiopelma markhami", "Leiopelma waitomoensis", "Atypus sternosulcus", "Atypus suwonensis", "Lithobates brownorum", "Lithobates sphenocephala utricularia", "Lithobates sphenocephala sphenocephala", "Lithobates clamitans melanota", "Lithobates areolatus circulosus", "Dictyna arundinacea", "Synodontis macropunctata", "Trichomycterus crassicaudatus", "Characidium nupelia", "Floronia exornata", "Characidium xavante", "Nippononeta cheunghensis", "Nippononeta ungulata", "Rineloricaria malabarbai", "Rineloricaria baliola", "Nippononeta coreana", "Nippononeta obliqua", "Gogo atratus", "Nippononeta projecta", "Astyanax aeneus", "Astyanax armandoi", "Oedothorax insulanus", "Paikiniana bella", "Paikiniana mira", "Paikiniana vulgaris", "Trigonodemus koreanus", "Savignia pseudofrontata", "Gonatopus hermosensis", "Gonatopus saltensis", "Walckenaeria coreana", "Paikiniana lurida", "Walckenaeria orientalis", "Idanotermes desioculus", "Heterotermes eocenicus", "Bathylinyphia maior", "Dohrniphora protensa", "Aprifrontalia mascula", "Bathyphantes gracilis", "Lithobates areolatus areolatus", "Dictyna felis", "Dictyna foliicola", "Lithobates clamitans clamitans", "Cicurina japonica", "Cicurina kimyongkii", "Cicurina phaselus", "Blabomma uenoi", "Brommella punctosparsa", "Lathys dihamata", "Lathys humilis", "Lathys sexoculata", "Lathys stigmatisata", "Sudesna hedini", "Anyphaena pugil", "Stethantyx argentinensis", "Stethantyx parkeri", "Tambourissa cocottensis", "Ctenosaura bakeri", "Tambourissa pedicellata", "Pelophylax porosus brevipoda", "Pelophylax porosus porosus", "Prosthetops gladiator", "Limnebius acupunctus", "Limnebius zaerensis", "Limnebius alibeii", "Hylomys megalotis", "Limnebius hieronymi", "Hylomys parvus", "Tympallopatrum aureolum", "Hylomys suillus", "Tympallopatrum callosum", "Tympallopatrum curvicostum", "Neohylomys hainanensis", "Neotetracus sinensis", "Podogymnura aureospinula", "Austrochthonius argentinae", "Austrochthonius australis", "Podogymnura truei", "Austrochthonius bolivianus", "Austrochthonius cavicola", "Austrochthonius chilensis", "Austrochthonius easti", "Austrochthonius iguazuensis", "Austrochthonius insularis", "Austrochthonius mordax", "Austrochthonius muchmorei", "Austrochthonius paraguayensis", "Austrochthonius parvus", "Austrochthonius persimilis", "Austrochthonius rapax", "Austrochthonius semiserratus", "Austrochthonius strigosus", "Austrochthonius tullgreni", "Austrochthonius zealandicus", "Solenodon arredondoi", "Solenodon marcanoi", "Mundochthonius alpinus", "Mundochthonius asiaticus", "Mundochthonius basarukini", "Mundochthonius bifurcatus", "Mundochthonius carpaticus", "Mundochthonius cavernicola", "Mundochthonius decoui", "Mundochthonius dominicanus", "Mundochthonius erosidens", "Crocidura aleksandrisi", "Mundochthonius gallaecicus", "Mundochthonius holsingeri", "Mundochthonius japonicus", "Coelometopon angulatum", "Coelometopon fimbriatum", "Coelometopon endroedyi", "Coelometopon costatum", "Coelometopon emarginatum", "Coelometopon punctipennis", "Coelometopon brincki", "Coelometopon drakensbergense", "Coelometopon coronatum", "Coelometopon clandestinum", "Coelometopon blinkwater", "Coelometopon minipunctum", "Coelometopon balfourbrownei", "Coelometopon langebergense", "Coelometopon zulu", "Coelometopon natalensis", "Coelometopon granulatum", "Coelometopon kilimanjaro", "Coelometopon cavifrons", "Coelometopon leleupi", "Coelometopon madidum", "Coelometopon mussardi", "Pneuminion velamen", "Pneuminion endroedyi", "Pneuminion balfourbrownei", "Pneuminion impressum", "Pneuminion nanum", "Pneuminion natalensis", "Pneuminion punctatum", "Pneuminion semisulcatum", "Pneuminion tubum", "Diopsittaca nobilis cumanensis", "Diopsittaca nobilis longipennis", "Diopsittaca nobilis nobilis", "Gymnanthelius lamingtonensis", "Gymnanthelius porchi", "Gymnanthelius opacicollis", "Gymnanthelius tunicus", "Gymnanthelius maxipunctus", "Gymnanthelius clypeatus", "Gymnanthelius cupreus", "Gymnanthelius hieroglyphicus", "Omniops hanseni", "Pterosthetops hawequas", "Uloborus walckenaerius", "Runcinella zelandica", "Hyptiotes affinis", "Parasthetops nigritus", "Parasthetops spinipes", "Runcinella thompsoni", "Parasthetops curidius", "Miagrammopes orientalis", "Parasthetops aeneus", "Parasthetops buunicornus", "Parasthetops propitius", "Parasthetops sebastiani", "Ilbia ilbi", "Parasthetops unicornus", "Parasthetops lemniscus", "Parasthetops pampinus", "Parasthetops retinaculus", "Miagrammopes coreensis", "Ilbia mariana", "Parasthetops semiplanus", "Parasthetops confluentus", "Parasthetops namibiensis", "Parasthetops striatus", "Parasthetops parallelus", "Parasthetops benefossus", "Octonoba sinensis", "Octonoba sybotides", "Octonoba varians", "Octonoba yesoensis", "Mesoceration distinctum", "Philoponella prominens", "Mesoceration rivulare", "Mesoceration jucundum", "Mesoceration splendorum", "Mesoceration rubidum", "Mesoceration fusciceps", "Mesoceration languidum", "Mesoceration dissonum", "Mesoceration rufescens", "Mesoceration brevigranum", "Kuschelidium okinawense", "Mesoceration disjunctum", "Mesoceration durabilis", "Mesoceration repandum", "Mesoceration reticulatum", "Mesoceration maluti", "Mesoceration periscopum", "Mesoceration rapidensis", "Mesoceration barriotum", "Kuschelidium maori", "Mesoceration compressum", "Mesoceration drakensbergensis", "Mesoceration incarinum", "Gurjanopsis australis", "Mesoceration integer", "Mesoceration semicarinulum", "Mesoceration bicurvum", "Mesoceration bispinum", "Mesoceration concavum", "Mesoceration curvosum", "Mesoceration natalensis", "Mesoceration longipennis", "Mesoceration littlekarroo", "Mesoceration piceum", "Menemerus brachygnathus", "Mesoceration tabulare", "Mesoceration granulovestum", "Mesoceration umbrosum", "Nucleotops endroedyi", "Nucleotops interceps", "Nucleotops endroedyyoungai", "Myrmarachne formicaria", "Myrmarachne inermichelis", "Myrmarachne japonica", "Myrmarachne kuwagata", "Myrmarachne lugubris", "Oomtelecopon sebastiani", "Oomtelecopon setosum", "Plexippoides annulipedis", "Hydraena kakadu", "Hydraena textila", "Hydraena ascensa", "Hydraena capetribensis", "Plexippoides doenitzi", "Hydraena finniganensis", "Hydraena intraangulata", "Hydraena storeyi", "Hydraena inancala", "Hydraena capacis", "Plexippoides regius", "Hydraena larsoni", "Hydraena affirmata", "Hydraena cultrata", "Hydraena triloba", "Hydraena disparamera", "Hydraena queenslandica", "Hydraena deliquesca", "Hydraena cubista", "Hydraena darwini", "Hydraena forticollis", "Hydraena fundata", "Hydraena fundaequalis", "Hydraena metzeni", "Hydraena tridisca", "Hydraena wattsi", "Hydraena reticulata", "Hydraena magnetica", "Hydraena brittoni", "Hydraena castanea", "Hydraena clavigera", "Hydraena tricantha", "Hydraena hynesi", "Hydraena billi", "Hydraena ypsilon", "Hydraena barbipes", "Hydraena luridipennis", "Hydraena impercepta", "Hydraena robusta", "Hydraena simplipes", "Hydraena australica", "Hydraena blackburni", "Hydraena lucernae", "Sitticus albolineatus", "Hydraena parva", "Hydraena rudallensis", "Hydraena cygnus", "Sitticus avocator", "Sitticus fasciger", "Hydraena decipiens", "Hydraena williamensis", "Sitticus penicillatus", "Heliophanus lineiventris", "Heliophanus ussuricus", "Crocidura arispa", "Runcina katipoides", "Evarcha coreana", "Crocidura armenica", "Evarcha fasciata", "Crocidura attenuata", "Evarcha proszynskii", "Crocidura attila", "Hydraena mitchellensis", "Crocidura baileyi", "Hydraena reticuloides", "Hydraena reticulositis", "Hydraena miniretia", "Pancorius crassipes", "Hydraena innuda", "Crocidura baluensis", "Hydraena porchi", "Hydraena millerorum", "Hydraena tenuisoror", "Hydraena latisoror", "Crocidura batesi", "Hydraena converga", "Hydraena spinissima", "Hydraena dorrigoensis", "Hydraena antaria", "Hydraena luminicollis", "Crocidura beatus", "Hydraena monteithi", "Hydraena biimpressa", "Hydraena bidefensa", "Hydraena revelovela", "Hydraena pugillista", "Plexippus setipes", "Hydraena weiri", "Hydraena arcta", "Hydraena tenuisella", "Hydraena invicta", "Hydraena appetita", "Hydraena cunninghamensis", "Plexippus incognitus", "Hydraena hypipamee", "Hydraena parciplumea", "Hydraena australula", "Hydraena athertonica", "Hydraena ferethula", "Hydraena ambiosina", "Mundochthonius kiyoshii", "Mundochthonius magnus", "Mundochthonius mexicanus", "Crocidura allex", "Mundochthonius minusculus", "Mundochthonius montanus", "Mundochthonius pacificus", "Mundochthonius rossi", "Mundochthonius sandersoni", "Mundochthonius singularis", "Mundochthonius styriacus", "Mundochthonius ussuricus", "Nanger soemmerringii", "Bufo americanus americanus", "Bufo americanus charlesmithi", "Hydraena zelandica", "Hydraena ordishi", "Hydraena ambiflagellata", "Opegrapha diffracticola", "Opegrapha filicina", "Rhene albigera", "Rhene atrata", "Crocidura andamanensis", "Rhene myunghwani", "Crocidura ansellorum", "Pseudoilbia lineata", "Crocidura arabica", "Helicius kimjoopili", "Helicius yaginumai", "Helicius cylindratus", "Harmochirus brachiatus", "Hydraena simplicicollis", "Sitticus penicilloides", "Hydraena extorris", "Hydraena hamifera", "Hydraena zwicki", "Sitticus sinensis", "Hydraena pilipes", "Hydraena ruinosa", "Hydraena trapezoidalis", "Crinum barbatum", "Marpissa milleri", "Marpissa pulla", "Opegrapha protuberans", "Marpissa pomatia", "Mendoza canestrinii", "Mendoza elongata", "Hydraena chifengi", "Hydraena yoshitomii", "Mendoza pulchra", "Mendoza nobilis", "Adelphydraena orchymonti", "Adelphydraena spangleri", "Phintella abnormis", "Phintella arenicolor", "Phintella bifurcilinea", "Phintella cavaleriei", "Phintella linea", "Phintella parva", "Laeliaena sichuanensis", "Phintella popovi", "Phintella versicolor", "Discozantaena genuvela", "Sibianor aurocinctus", "Sibianor nigriculus", "Sibianor pullus", "Protozantaena labrata", "Hemipenthes ningxiaensis", "Hemipenthes maura", "Hemipenthes morio", "Thaumaglossa purpurea", "Crinum latifolium", "Magia stuarti", "Thaumaglossa bellissima", "Thaumaglossa peacockae", "Thaumaglossa chujoi", "Thaumaglossa hilleri", "Thaumaglossa laeta", "Phradonoma amoenulum", "Phradonoma calliesi", "Phradonoma cercyonoides", "Phradonoma dichroum", "Phradonoma hirsutulum", "Phradonoma maculifasciatum", "Phradonoma oculata", "Lepidium meyenii", "Ammocharis coranica", "Cidaphus glabrosus", "Haptaenida huggerti", "Hydraenida ocellata", "Parhydraenida bubrunipes", "Davidraena boukali", "Gondraena franzi", "Sebasthetops omaliniformis", "Crocidura beccarii", "Crocidura bottegi", "Sicilicula borbonica", "Crocidura bottegoides", "Pteroloma forsstromii", "Crocidura brunnea", "Crocidura buettikoferi", "Pteroloma nigromontanum", "Crocidura caliginea", "Pholcus acutulus", "Pholcus crassus", "Pholcus extumidus", "Opegrapha varia f. varia", "Pholcus gosuensis", "Pholcus joreongensis", "Trinoparvus villosus", "Opegrapha varia f. xanthocarpa", "Pholcus kwanaksanensis", "Pholcus montanus", "Trinoparvus laboriosus", "Pholcus socheunensis", "Pholcus sokkrisanensis", "Belisana amabilis", "Spermophora senoculata", "Crocidura caspica", "Argiope aemula", "Argiope aetherea", "Argiope argentata", "Argiope aurantia", "Argiope keyserlingi", "Argiope lobata", "Argiope picta", "Argiope pulchella", "Argiope submaronica", "Argiope trifasciata", "Argiope anasuja", "Diadegma agens", "Campoplex disjunctus", "Papilio bianor", "Papilio blumei", "Crocidura desperata", "Crocidura dolichura", "Crocidura douceti", "Sweaterella sharkeyi", "Crocidura eisentrauti", "Crocidura elgonius", "Crocidura elongata", "Crocidura erica", "Crocidura fischeri", "Crocidura flavescens", "Crocidura floweri", "Crocidura foetida", "Crocidura foxi", "Crocidura fuliginosa", "Crocidura fulvastra", "Panthera leo senegalensis", "Panthera leo sinhaleyus", "Crocidura fumosa", "Crocidura fuscomurina", "Crocidura glassi", "Crocidura gmelini", "Crocidura goliath", "Crocidura gracilipes", "Crocidura grandiceps", "Crocidura grandis", "Crocidura grassei", "Crocidura grayi", "Crocidura greenwoodi", "Calocedrus macrolepis", "Dolomedes raptor", "Crocidura cinderella", "Crocidura congobelgica", "Dermestes maculatus", "Leptoneta coreana", "Leptoneta handeulgulensis", "Leptoneta hogyegulensis", "Leptoneta hongdoensis", "Crocidura crenata", "Leptoneta jangsanensis", "Leptoneta namhensis", "Crocidura crossei", "Leptoneta paikmyeonggulensis", "Crocidura cyanea", "Leptoneta soryongensis", "Leptoneta spinipalpus", "Leptoneta taeguensis", "Leptoneta waheulgulensis", "Crocidura denti", "Leptoneta yongyeonensis", "Thaumaglossa arabuko", "Thaumaglossa basilewskyi", "Thaumaglossa bimaculata", "Thaumaglossa conradti", "Thaumaglossa ghana", "Thaumaglossa ludgerschmidti", "Thaumaglossa oothecobia", "Thaumaglossa pauliani", "Thaumaglossa rufiventris", "Thaumaglossa rufocapillata", "Thaumaglossa rufocincta", "Thaumaglossa rufofasciata", "Paravibrissina argentifera", "Paravibrissina aurigera", "Paravibrissina leucogaster", "Paravibrissina pacifica", "Paravibrissina parvula", "Thaumaglossa rufofasciata rufofasciata", "Thaumaglossa rufofasciata postlimbata", "Thaumaglossa mroczkowskii", "Hemipenthes apiculata", "Hemipenthes beijingensis", "Hemipenthes cheni", "Hemipenthes hebeiensis", "Hemipenthes neimengguensis", "Sepiadarium auritum", "Sematopoda elata", "Drepana curvatula", "Bactra helgei", "Bactra magnei", "Syntozyga triangulana", "Eucosma paradelta", "Drepana falcataria", "Cytisus \u00d7 dallimorei", "Neoscona arabesca", "Eriophora nephiloides", "Eriophora transmarina", "Eriophora yanbaruensis", "Larinioides suspicax", "Chorizopes frontalis", "Gibbaranea bituberculata", "Eucosma bactromorpha", "Pselaphelia vandenberghei", "Peccania terricola", "Tmarus piger", "Dypsis lutescens", "Peccania texana", "Tmarus rimosus", "Crocidura pachyura", "Peccania tiruncula", "Crocidura indochinensis", "Bassaniana decorata", "Bassaniana ora", "Crocidura jacksoni", "Boliscus tuberculatus", "Bunaea alcinoe", "Diaea subdola", "Cinabra hyperbius", "Crocidura jenkinsi", "Crocidura jouvenetae", "Crocidura katinka", "Cirina forda", "Crocidura kivuana", "Eochroa trimeni", "Crocidura lamottei", "Ebelingia kumadai", "Imbrasia wahlbergi", "Crocidura lanosa", "Trachylepis elegans", "Crocidura lasiura", "Leucopteryx ansorgei", "Crocidura latona", "Leucopteryx mollis", "Crocidura lea", "Lobobunaea angasana", "Crocidura lepidura", "Lobobunaea vingerhoedti", "Goodia canui", "Chlorophytum comosum", "Heriaeus melloteei", "Goodia nubilata", "Lysiteles coronatus", "Lysiteles maior", "Pseudobunaea vingerhoedti", "Crocidura levicula", "Crocidura littoralis", "Crocidura longipes", "Crocidura lucina", "Chrysanthemum \u00d7 morifolium", "Dactyloceras bramarbas", "Oxytate parallela", "Dactyloceras canui", "Oxytate striatipes", "Dactyloceras karinae", "Dactyloceras ducarmei", "Dactyloceras vingerhoedti", "Dactyloceras catenigera", "Dactyloceras widenmanni", "Dactyloceras ostentator", "Dactyloceras arrogans", "Lagynochthonius annamensis", "Dactyloceras conjuncta", "Dactyloceras barnsi", "Dactyloceras richinii", "Lagynochthonius arctus", "Lagynochthonius australicus", "Dactyloceras maculata", "Lagynochthonius bakeri", "Lagynochthonius brincki", "Dactyloceras neumayeri", "Lagynochthonius callidus", "Pantherophis obsoletus", "Dactyloceras ocelligera", "Lagynochthonius cavicola", "Lagynochthonius curvidigitatus", "Lagynochthonius dybasi", "Lagynochthonius exiguus", "Lagynochthonius ferox", "Lagynochthonius flavus", "Lagynochthonius gigas", "Lagynochthonius guasirih", "Lagynochthonius hamatus", "Lagynochthonius himalayensis", "Lagynochthonius hygricus", "Lagynochthonius indicus", "Lagynochthonius innoxius", "Lagynochthonius insulanus", "Lagynochthonius irmleri", "Lagynochthonius johni", "Lagynochthonius kapi", "Tagoropsis ikondae ikondae", "Lagynochthonius kenyensis", "Lagynochthonius minor", "Lagynochthonius mordor", "Lagynochthonius nagaminei", "Lagynochthonius novaeguineae", "Lagynochthonius paucedentatus", "Lagynochthonius ponapensis", "Lagynochthonius proximus", "Lagynochthonius pugnax", "Lagynochthonius roeweri", "Lagynochthonius salomonensis", "Lagynochthonius sinensis", "Lagynochthonius thorntoni", "Lagynochthonius tonkinensis", "Lagynochthonius typhlus", "Lagynochthonius zicsii", "Coronilla valentina subsp. glauca", "Phloeopeccania anemoides", "Phloeopeccania australiensis", "Phloeopeccania hispanica", "Phloeopeccania major", "Phloeopeccania pulvinulina", "Kaveinga orbitosa", "Horstmannolochus pulchripennis", "Petilochus naumanni", "Dolomedes sulfureus", "Pisaura ancora", "Pisaura lama", "Perenethis fascigera", "Thaumaglossa anthrenoides", "Thaumaglossa chapadana", "Caulophilus ashei", "Thaumaglossa holubi", "Cionus ponticus", "Derodontus esotericus", "Derodontus japonicus", "Derodontus longiclavis", "Derodontus maculatus", "Derodontus osseticus", "Derodontus raffrayi", "Derodontus trisignatus", "Derodontus tuberosus", "Derodontus unidentatus", "Laricobius caucasicus", "Laricobius erichsonii", "Laricobius kovalevi", "Laricobius laticollis", "Laricobius loebli", "Laricobius minutus", "Laricobius mirabilis", "Combretum collinum", "Nothoderodontus gourlayi", "Loxosceles rufescens", "Ariadna insulicola", "Ariadna lateralis", "Gamasomorpha cataphracta", "Eucosma balatonana", "Eucosma barbara", "Eucosma betana", "Eucosma bilileana", "Eucosma biplagata", "Eucosma bipunctella", "Eucosma biquadrana", "Eucosma bolanderana", "Eucosma brachysticta", "Eucosma brigittana", "Thyatira batis", "Thyatira batis batis", "Thyatira batis mandschurica", "Thyatira batis rubrescens", "Thyatira hedemanni", "Crocidura ludia", "Demopsestis yoshimotoi", "Crocidura luna", "Crocidura lusitania", "Crocidura macarthuri", "Epipsestis witti", "Epipsestis wernyi", "Crocidura macmillani", "Crocidura macowi", "Horipsestis kisvaczak", "Crocidura malayana", "Crocidura manengubae", "Isopsestis meyi", "Isopsestis moorei", "Crocidura maquassiensis", "Isopsestis naumanni", "Crocidura mariquensis", "Crocidura maurisca", "Crocidura maxi", "Crocidura mindorus", "Koedfoltos hackeri", "Koedfoltos parducka", "Crocidura miya", "Crocidura monticola", "Nemacerota bacsovi", "Crocidura monax", "Nemacerota igorkostjuki", "Nemacerota inouei", "Anelosimus iwawakiensis", "Arthraxon maopingensis", "Laricobius nigrinus", "Laricobius rubidus", "Laricobius sahlbergi", "Laricobius schawalleri", "Nothoderodontus watti", "Nothoderodontus newtonorum", "Nothoderodontus darlingtoni", "Nothoderodontus chilensis", "Nothoderodontus dentatus", "Peltastica amurensis", "Peltastica tuberculata", "Hydrochus brianbrowni", "Theridiosoma epeiroides", "Ogulnius pullus", "Calathus anistschenkoi", "Pterostichus burkhan", "Ceratophysella multilobata", "Notosacantha maduraensis", "Allonothrus longinoi", "Peccania arabica", "Peccania arizonica", "Peccania cerebriformis", "Oxyopes koreanus", "Peccania corallina", "Peccania coralloides", "Oxyopes licenti", "Chlorophytum laxum", "Pselaphelia flavivitta", "Crocidura hildegardeae", "Thomisus onustus", "Pselaphelia mariaetheresae", "Pselaphelia gemmifera", "Xysticus atrimaculatus", "Xysticus concretus", "Xysticus cristatus", "Crocidura hilliana", "Xysticus croceus", "Pselaphelia laclosi", "Xysticus ephippiatus", "Crocidura hirta", "Xysticus hedini", "Xysticus insulicola", "Xysticus kurilensis", "Xysticus lepnevae", "Crocidura hikmiya", "Xysticus pseudobliteus", "Xysticus saganus", "Peccania font-queriana", "Xysticus sicus", "Peccania hoe\u00ebgii", "Peccania kansana", "Peccania minuscula", "Peccania minutula", "Peccania omphalariformis", "Peccania pellizzonii", "Ozyptila atomaria", "Ozyptila gasanensis", "Ozyptila geumoensis", "Crocidura hispida", "Ozyptila nipponica", "Peccania polyspora", "Ozyptila nongae", "Pselaphelia kitchingi", "Crocidura hutanis", "Tmarus horvathi", "Peccania subnigra", "Tmarus koreanus", "Peccania synalliza", "Pselaphelia aurata", "Tmarus orientalis", "Peccania teretiuscula", "Ischnothyreus narutomii", "Mimetus japonicus", "Mimetus testaceus", "Ero cambridgei", "Ero japonica", "Ero koreana", "Uroctea compactilis", "Uroctea lesserti", "Trathala agnina", "Nesticus coreanus", "Nesticus flavidus", "Nesticus kyongkeomsanensis", "Nesticella brevipes", "Nesticella mogera", "Nesticella quelpartensis", "Yunohamella lyrica", "Yunohamella subadulta", "Yunohamella yunohamensis", "Zealochus gauldi", "Zealochus postfurcalis", "Platnickina mneon", "Platnickina sterninotata", "Arthraxon junnarensis", "Coscinida coreana", "Coscinida ulleungensis", "Arthraxon lancifolius", "Palpator sicilicus", "Dipoena keumunensis", "Palpator turpilucricupidus", "Dipoena punctisparsa", "Anelosimus crassipes", "Australochus clypeator", "Anomalopteryx didiformis", "Cyclosa alba", "Cyclosa angusta", "Cyclosa hamulata", "Cyclosa conica", "Phyllopsora africana", "Neoephydra araucaria", "Phyllopsora albicans", "Paraephydra freitasi", "Phyllopsora borbonica", "Phyllopsora breviuscula", "Paraephydra stauros", "Acusilas callidus", "Acusilas spiralis", "Acusilas vei", "Acusilas vilei", "Porrhothele modesta", "Phyllopsora buettneri", "Phyllopsora canoumbrina", "Phyllopsora chlorophaea", "Phyllopsora confusa", "Phyllopsora corallina", "Metaspathius apterus", "Hypsosinga kazachstanica", "Larinia teiraensis", "Larinia lineata", "Mangora acoripa", "Mangora acre", "Mangora alinahui", "Mangora amacayacu", "Mangora anilensis", "Mangora antonio", "Mangora apaporis", "Mangora apobama", "Mangora aripeba", "Nemacerota mandibulata", "Crocidura montis", "Nemacerota matsumurana", "Crocidura muricauda", "Nemacerota owadai", "Nemacerota stueningi", "Nemacerota taurina", "Neotogaria baenzigeri", "Neotogaria thomaswitti", "Parapsestis cinerea", "Parapsestis dabashana", "Parapsestis hausmanni", "Parapsestis implicata", "Parapsestis wernyaminta", "Polyploca latens", "Dianthus deltoides", "Hydrophilus palpalis", "Euonymus japonicus", "Utricularia tridentata", "Gasteracantha cancriformis", "Ordgarius monstrosus", "Eriophora ravilla", "Cadlina willani", "Cyclosa maritima", "Cyclosa norihisai", "Cyclosa onoi", "Cyclosa sachikoae", "Cyrtanthus striatus", "Cyrtanthus ventricosus", "Cluzobra aitkeni", "Cluzobra butleri", "Cluzobra variegata", "Cluzobra vicina", "Cluzobra matilei", "Arthraxon meeboldii", "Mangora aripuana", "Mangora asis", "Mangora ayo", "Mangora balbina", "Neoscona lotan", "Pozonia andujari", "Singa ammophila", "Argiope aetheroides", "Argiope ocula", "Cnodalia harpax", "Cyclosa mulmeinensis", "Cyclosa psylla", "Cyrtarachne grubei", "Cyrtophora exanthematica", "Cyrtophora unicolor", "Eriophora aurea", "Eriovixia pseudocentrodes", "Eriovixia sakiedaorum", "Eriovixia rhinura", "Larinia bonneti", "Lipocrea fusiformis", "Larinia jeskovi", "Larinia onoi", "Larinia phthisica", "Larinia sekiguchii", "Larinioides patagiatus", "Mangora picta", "Xanthocanace hamifer", "Neoscona amamiensis", "Xanthocanace ranula", "Ordgarius hobsoni", "Paraplectana sakaguchii", "Paraplectana tsushimensis", "Parawixia dehaani", "Canacea macateei", "Parazygiella dispar", "Pasilobus bufoninus", "Nocticanace texensis", "Pasilobus hupingensis", "Poltys columnaris", "Poltys illepidus", "Poltys pannuceus", "Thelacantha brevispina", "Pelomyia occidentalis", "Zygiella x-notata", "Pipiza accola", "Pipiza luteitarsis", "Pipiza luteibarba", "Simulium bifenestratum", "Panthera onca arizonensis", "Crocidura musseri", "Simulium dekeyseri", "Crocidura mutesae", "Crocidura nana", "Simulium distinctum", "Crocidura nanilla", "Crocidura negligens", "Crocidura nicobarica", "Crocidura nigeriae", "Crocidura nigricans", "Crocidura nigripes", "Crocidura nigrofusca", "Crocidura nimbae", "Crocidura niobe", "Crocidura obscurior", "Crocidura olivieri", "Syllectus gouleti", "Syllectus magnus", "Syllectus anomalus", "Simulium spinibranchium", "Simulium subpallidum", "Simulium empascae", "Simulium friedlanderi", "Simulium obesum", "Galaxias depressiceps", "Phyllopsora parvifoliella", "Phyllopsora rosei", "Phyllopsora santensis", "Phyllopsora subcrustacea", "Phyllopsora thaleriza", "Phyllopsora swinscowii", "Phyllopsora buettneri var. buettneri", "Phyllopsora buettneri var. glauca", "Phyllopsora buettneri var. munda", "Stigmella naturnella", "Stigmella lapponica", "Stigmella freyella", "Stigmella tiliae", "Stigmella nivenburgensis", "Stigmella luteella", "Stigmella glutinosae", "Stigmella microtheriella", "Stigmella prunetorum", "Stigmella aceris", "Stigmella malella", "Stigmella catharticella", "Stigmella viscerella", "Stigmella ulmiphaga", "Stigmella kazakhstanica", "Stigmella thuringiaca", "Stigmella rolandi", "Stigmella paradoxa", "Stigmella magdalenae", "Phyllopsora corallina var. corallina", "Stigmella nylandriella", "Phyllopsora corallina var. glaucella", "Stigmella oxyacanthella", "Stigmella hybnerella", "Phyllopsora corallina var. phaeobyssina", "Stigmella floslactella", "Stigmella salicis", "Stigmella zelleriella", "Phyllopsora corallina var. rappiana", "Stigmella obliquella", "Stigmella trimaculella", "Phyllopsora corallina var. santensis", "Stigmella assimilella", "Stigmella sorbi", "Stigmella plagicolella", "Stigmella lemniscella", "Stigmella continuella", "Stigmella aeneofasciella", "Stigmella perpygmaeella", "Stigmella incognitella", "Stigmella lonicerarum", "Phyllopsora corallina var. ochroxantha", "Stigmella basiguttella", "Stigmella samiatella", "Stigmella roborella", "Bohemannia pulverosella", "Ectoedemia sericopeza", "Crocidura orientalis", "Crocidura palawanensis", "Crocidura paradoxura", "Crocidura parvipes", "Crocidura pasha", "Crocidura pergrisea", "Crocidura phaeura", "Astacus astacus", "Crocidura picea", "Crocidura pitmani", "Crocidura planiceps", "Crocidura poensis", "Crocidura polia", "Crocidura pullata", "Crocidura raineyi", "Panthera onca centralis", "Pleopsidium chlorophanum", "Pleopsidium flavum", "Lestes sponsa", "Lestes dryas", "Lestes barbarus", "Erythromma viridulum", "Erythromma najas", "Coenagrion mercuriale", "Coenagrion puella", "Coenagrion pulchellum", "Saphobius brouni", "Saphobius lesnei", "Mormopterus eleryi", "Cnemaspis biocellata", "Simulium jefersoni", "Simulium papaveroi", "Simulium pertinax", "Simulium riograndense", "Simulium serranus", "Tachydromia doi", "Tachydromia monocercus", "Tachydromia ocellata", "Tachydromia phanensis", "Tachydromia phu", "Tachydromia tigeri", "Phyllopsora dolichospora", "Hoplodactylus delcourti", "Oligosoma whitakeri", "Phyllopsora furfuracea", "Phyllopsora glabella", "Epiphanini n.g.1", "Neriene angulifera", "Neriene brongersmai", "Neriene fusca", "Neriene herbosa", "Neriene marginella", "Neriene montana", "Arcuphantes ashifuensis", "Arcuphantes awanus", "Arcuphantes chikunii", "Arcuphantes concheus", "Arcuphantes delicatus", "Arcuphantes digitatus", "Arcuphantes elephantis", "Arcuphantes fujiensis", "Arcuphantes hamadai", "Arcuphantes hastatus", "Phyllopsora haemophaea", "Arcuphantes hibanus", "Phyllopsora halei", "Arcuphantes hikosanensis", "Arcuphantes hokkaidanus", "Arcuphantes iharai", "Phyllopsora isidiotyla", "Arcuphantes iriei", "Phyllopsora kalbii", "Phyllopsora martinii", "Phyllopsora mediocris", "Arcuphantes longissimus", "Arcuphantes orbiculatus", "Arcuphantes paiki", "Phyllopsora minor", "Arcuphantes uenoi", "Arcuphantes kobayashii", "Phyllopsora nemoralis", "Phyllopsora pannosa", "Phyllopsora parvifolia", "Arcuphantes nojimai", "Arcuphantes okiensis", "Arcuphantes saitoi", "Arcuphantes setouchi", "Arcuphantes tsurusakii", "Arcuphantes osugiensis", "Arcuphantes tamaensis", "Arcuphantes troglodytarum", "Arcuphantes yamakawai", "Arcuphantes rostratus", "Arcuphantes saragaminensis", "Arcuphantes tsushimanus", "Meioneta rurestris", "Meioneta flavipes", "Meioneta gulosa", "Meioneta mollis", "Neochanna heleios", "Galaxias effusus", "Nippononeta onoi", "Nippononeta elongata", "Nippononeta kaiensis", "Nippononeta kantonis", "Nippononeta masatakana", "Nippononeta masudai", "Galaxias macronasus", "Nippononeta ogatai", "Nippononeta okumae", "Nippononeta silvicola", "Nippononeta xiphoidea", "Nippononeta subnigra", "Galaxias gollumoides", "Nippononeta kurilensis", "Nippononeta minuta", "Nippononeta nodosa", "Nippononeta pentagona", "Neochanna rekohua", "Galaxias pullus", "Galaxias eldoni", "Galaxias cobitinis", "Mimachrostia parafasciata", "Mimachrostia costafasciata", "Tolpia multiprocessa", "Uegitglanis zammaranoi", "Tanganikallabes mortiauxi", "Platyclarias machadoi", "Platyallabes tihoni", "Gymnallabes alvarezi", "Gymnallabes nops", "Gymnallabes typus", "Chaca bankanensis", "Chaca burmensis", "Chaca chaca", "Micropsectra davigra", "Olivaichthys cuyanus", "Olivaichthys mesembrinus", "Olivaichthys viedmensis", "Agamyxis albomaculatus", "Cionus wanati", "Agamyxis pectinifrons", "Doraops zuloagai", "Doras carinatus", "Doras micropoeus", "Kalyptodoras bahiensis", "Oxydoras kneri", "Oxydoras niger", "Oxydoras sifontesi", "Wertheimeria maculata", "Orphinus guernei", "Horiomyzon retropinnatus", "Myoglanis aspredinoides", "Myoglanis koepckei", "Myoglanis potaroensis", "Amblyomma sphenodonti", "Bachia oxyrhina", "Kayella pannonica", "Tammo rufus", "Notosacantha cherrapunjiensis", "Notosacantha dembickyi", "Glyptothorax filicatus", "Glyptothorax strabonis", "Glyptothorax rugimentum", "Glyptothorax coracinus", "Glyptothorax exodon", "Glyptothorax botius", "Scriptosaura catimbau", "Guaruba guarouba", "Panthera onca goldmani", "Crocidura ramona", "Crocidura rapax", "Crocidura religiosa", "Saphobiamorpha maoriana", "Maoripamborus fairburni", "Tormissus linsi", "Euprepiophis conspicillata", "Coenobita clypeatus", "Polysporina cyclocarpa", "Polysporina dubia", "Polysporina ferruginea", "Polysporina frigida", "Polysporina gyrocarpa", "Polysporina lapponica", "Polysporina oligospora", "Polysporina pusilla", "Polysporina simplex", "Polysporina terricola", "Polysporina urceolata", "Polysporina sinensis", "Fagus grandifolia subsp. mexicana", "Magna myops", "Solea senegalensis", "Basalia nilgiroides", "Basalia serius", "Basalia cucullatelloides", "Basalia melanosticta", "Palnissa spatula", "Bilinea bilineata", "Bilinea bilineatissima", "Pelophryne linanitensis", "Pelophryne murudensis", "Brevis crassiductus", "Eirmotus furvus", "Eirmotus insignis", "Eirmotus isthmus", "Rustica pseudouncus", "Psilorhynchus tenura", "Rizalthus anconis", "Visayax estampadori", "Visayax osteodictyon", "Hepatoporus pumex", "Rustica nigrops", "Lampropeltis getula californiae", "Lampropeltis getula floridana", "Lampropeltis getula getula", "Lampropeltis getula goini", "Lampropeltis getula holbrooki", "Lampropeltis getula meansi", "Lampropeltis getula niger", "Lampropeltis getula nigrita", "Lampropeltis getula splendida", "Lampropeltis getula sticticeps", "Lampropeltis mexicana", "Lampropeltis mexicana greeri", "Lampropeltis leonis", "Lampropeltis mexicana mexicana", "Lampropeltis mexicana thayeri", "Lampropeltis pyromelana", "Lampropeltis pyromelana infralabialis", "Lampropeltis pyromelana knoblochi", "Lampropeltis pyromelana pyromelana", "Lecane martensi", "Luzonimyia flavipedes", "Luzonimyia stictogaster", "Micronoctua karsholti", "Arthraxon microphyllus", "Arthraxon multinervus", "Cheirochela thailandana", "Cheirochela tonkina", "Gestroiella siamensis", "Bellulia kareni", "Bellulia laosiensis", "Bellulia nilssoni", "Bellulia lacii", "Bellulia galsworthyi", "Bellulia kononenkoi", "Bellulia mariannae", "Bellulia parabella", "Bellulia bella", "Bellulia hanae", "Bellulia suffusa", "Bellulia incognita", "Bellulia nepalensis", "Bellulia wui", "Bellulia frateriana", "Bellulia antemediana", "Mediala bipars", "Mediala spectaculoides", "Rustica basiprocessus", "Rustica dulcis", "Rustica septemmeri", "Indieditum subnilgiri", "Pygoluciola satoi", "Ploiaria vandoesburgi", "Duplex septemtria", "Duplex aarviki", "Duplex timorensis", "Sparbambus gombakensis", "Duplex hollowayi", "Duplex halmaherensis", "Duplex sumbawensis", "Parachrostia yoshimotoi", "Parachrostia sugii", "Parachrostia kishidai", "Parachrostia owadai", "Digita biuncus", "Digita ampullai", "Anellus edai", "Crocidura rhoditis", "Crocidura roosevelti", "Crocidura selina", "Crocidura serezkyensis", "Crocidura shantungensis", "Crocidura sibirica", "Crocidura silacea", "Crocidura smithii", "Crocidura somalica", "Crocidura stenocephala", "Crocidura susiana", "Crocidura tanakae", "Crocidura tansaniana", "Crocidura tarella", "Megoleria susiana", "Megoleria susiana susiana", "Megoleria susiana sandra", "Cerylollodes dacnoides", "Neodoxa secreta", "Ctenarytaina distincta", "Ctenarytaina peregrina", "Xylophilus luniger", "Microbrontes lineatus", "Platanus orientalis", "Platanus kerrii", "Platanus racemosa", "Taiwani yoshimotoi", "Platanus occidentalis", "Taiwani imperator", "Platanus wrightii", "Taiwani albipuncta", "Platanus mexicana", "Platanus rzedowskii", "Taiwani bialbipuncta", "Mimachrostia fasciata", "Pariolius armillatus", "Taunayia bifasciata", "Psilolechia clavulifera", "Psilolechia leprosa", "Psilolechia lucida", "Psilolechia purpurascens", "Dashymenia kotejai", "Acrochordonichthys gyrinus", "Ancharius fuscus", "Ancharius griseus", "Gogo arcuatus", "Gogo brevibarbis", "Gogo ornatus", "Arius arenarius", "Arius arius", "Arius dispar", "Arius festinus", "Arius gagora", "Arius leptonotacanthus", "Arius maculatus", "Arius madagascariensis", "Arius malabaricus", "Arius manillensis", "Arius microcephalus", "Arius oetik", "Arius subrostratus", "Arius sumatranus", "Arius uncinatus", "Arius venosus", "Bagre bagre", "Bagre marinus", "Bagre panamensis", "Bagre pinnimaculatus", "Brustiarius nox", "Brustiarius solidus", "Cinetodus carinatus", "Cinetodus conorhynchus", "Cinetodus crassilabris", "Cinetodus froggatti", "Genidens barbus", "Genidens genidens", "Genidens machadoi", "Euprepiophis mandarina", "Euprepiophis perlacea", "Ficimia hardyi", "Ficimia olivacea", "Ficimia publia", "Ficimia publia publia", "Ficimia publia taylori", "Ficimia ramirezi", "Ficimia ruspator", "Ficimia streckeri", "Ficimia variegata", "Geagras redimitus", "Gonyophis margaritatus", "Gonyosoma jansenii", "Gonyosoma oxycephalum", "Gyalopion canum", "Gyalopion quadrangulare", "Gyalopion quadrangulare desertorum", "Gyalopion quadrangulare quadrangulare", "Hapsidophrys lineatus", "Hapsidophrys principis", "Hapsidophrys smaragdina", "Hemerophis socotrae", "Hemorrhois algirus", "Hemorrhois algirus algirus", "Hemorrhois algirus intermedius", "Hemorrhois hippocrepis", "Hemorrhois hippocrepis hippocrepis", "Hemorrhois hippocrepis nigrescens", "Hemorrhois nummifer", "Hemorrhois ravergieri", "Hemorrhois ravergieri cernovi", "Hemorrhois ravergieri ravergieri", "Hierophis spinalis", "Hierophis viridiflavus carbonarius", "Hierophis viridiflavus viridiflavus", "Lampropeltis alterna", "Lampropeltis alterna alterna", "Lampropeltis alterna blairi", "Lampropeltis calligaster", "Lampropeltis calligaster calligaster", "Lampropeltis calligaster occipitolineata", "Lampropeltis calligaster rhombomaculata", "Genidens planifrons", "Ketengus typus", "Netuma bilineata", "Netuma proxima", "Netuma thalassina", "Nedystoma dayi", "Nedystoma novaeguineae", "Ricola macrops", "Labrus viridis", "Rineloricaria steinbachi", "Labrus merula", "Miuroglanis platycephalus", "Haemomaster venezuelae", "Crocidura tarfayensis", "Crocidura telfordi", "Crocidura tenuis", "Crocidura thalia", "Crocidura theresae", "Crocidura trichura", "Crocidura turba", "Crocidura ultima", "Crocidura usambarae", "Crocidura viaria", "Antheraea polyphemus", "Crocidura virgata", "Crocidura voi", "Crocidura vorax", "Crocidura vosmaeri", "Automeris banus banus", "Crocidura whitakeri", "Automeris banus argentifera", "Crocidura wuchihensis", "Crocidura xantippe", "Crocidura yankariensis", "Crocidura zaphiri", "Crocidura zarudnyi", "Automeris incarnata", "Automeris chacona", "Automeris pamina", "Crocidura zimmeri", "Automeris zurobara", "Citheronia hamifera", "Diplomesodon pulchellum", "Copaxa decrescens", "Copaxa multifenestrata", "Feroculus feroculus", "Oxynetra confusa", "Oxynetra hopfferi", "Oxynetra semihyalina", "Zeuxoides aka", "Zeuxoides rimuwhero", "Geothelphusa siasiat", "Aspitha agenoria", "Aspitha aspitha", "Aspitha bassleri", "Aspitha leander", "Aspitha agenoria agenoria", "Aspitha agenoria cruor", "Aspitha agenoria sanies", "Aspitha aspitha aspitha", "Aspitha aspitha prima", "Aspitha aspitha rufescens", "Lepturgantes prolatus", "Cnidoglanis macrocephalus", "Neosiluroides cooperensis", "Oloplotosus mariae", "Oloplotosus luteus", "Oloplotosus torobo", "Porochilus obbesi", "Porochilus meraukensis", "Tandanus bostocki", "Tandanus tandanus", "Azonax typhaon", "Ailia coila", "Ailia punctata", "Granila paseas", "Myscelus amystis", "Myscelus assaricus", "Myscelus belti", "Myscelus pegasus", "Myscelus perissodora", "Myscelus pardalina", "Myscelus epimachia", "Myscelus phoronis", "Psorotichia columnaris", "Psorotichia diffracta", "Heterocerus novaeselandiae", "Andracalles pani", "Notonewtonia watti", "Megapenthes kieneri", "Psorotichia flotowiana", "Psorotichia frustulosa", "Psorotichia hassei", "Psorotichia minuta", "Psorotichia montinii", "Psorotichia murorum", "Psorotichia nigra", "Psorotichia numidella", "Psorotichia schaereri", "Psorotichia segregata", "Psorotichia squamulosa", "Psorotichia taurica", "Psorotichia numidella var. numidella", "Psorotichia numidella var. flageyana", "Nemoura bidentata", "Nemoura nankinensis", "Furcantenna yangi", "Surimyia rolanderi", "Plumosa emarginata", "Plumosa nigrimaculata", "Pterygiopsis atra", "Pterygiopsis australiensis", "Myiothlypis fulvicauda", "Pterygiopsis canariensis", "Myiothlypis rivularis", "Pterygiopsis cava", "Pterygiopsis convoluta", "Pterygiopsis coracodiza", "Pterygiopsis lacustris", "Pterygiopsis mutabilis", "Pterygiopsis pulchra", "Pterygiopsis umbilicata", "Copaxa orientalis", "Copaxa rufa", "Copaxa sapatoza", "Attacus caesar", "Ompok supernus", "Bagropsis reinhardti", "Duopalatinus emarginatus", "Duopalatinus peruanus", "Leiarius marmoratus", "Leiarius pictus", "Luciopimelodus pati", "Perrunichthys perruno", "Pinirampus pirinampu", "Cnemaspis flavigaster", "Cotesia nonagriae", "Mendesella braziliensis", "Mendesella jaraguaiensis", "Mendesella orianae", "Epsilogaster williami", "Epsilogaster antoniae", "Cyclopyge roscius", "Cyclopyge roscius roscius", "Cyclopyge roscius flavomaculata", "Cyclopyge roscius iphimedia", "Myscelus nobilis", "Myscelus draudti", "Myscelus santhilarius", "Coenobita compressus", "Ectomis speculum", "Aegiale hesperiaris", "Turnerina hazelae", "Turnerina mejicanus", "Paracrocidura graueri", "Paracrocidura maxima", "Paracrocidura schoutedeni", "Bryolymnia anthracitaria", "Ruwenzorisorex suncoides", "Plusia magnimacula", "Dysithamnus mentalis", "Martialis heureka", "Maoraxia viti", "Amenis pionia pionia", "Amenis pionia picia", "Amenis pionia ponina", "Amysoria galgala", "Icius daisetsuzanus", "Laufeia aenea", "Laufeia sasakii", "Marpissa muscosa", "Mendoza ibarakiensis", "Mendoza ryukyuensis", "Mintonia bani", "Myrmarachne elongata", "Pseudeuophrys erratica", "Pseudeuophrys iwatensis", "Talavera ikedai", "Talavera trivittata", "Pseudicius tokarensis", "Pseudicius vulpes", "Plexippus niccensis", "Plexippus petersi", "Plexippoides nishitakensis", "Psorosa taishanella", "Pyla manifestella", "Stigmella ebbenielseni", "Plesiozela nielseni", "Plesiozela patagonica", "Xanadoses nielseni", "Asemonea tanikawai", "Proditrix nielseni", "Ballus japonicus", "Bavia sexpunctata", "Pyrenopsis compacta", "Pyrenopsis furfurea", "Pyrenopsis fuscoatra", "Pyrenopsis grumulifera", "Bianor orientalis", "Pyrenopsis haemaleella", "Pyrenopsis impolita", "Pyrenopsis lecideella", "Pyrenopsis macrocarpa", "Luvarus imperialis", "Pyrenopsis myriospora", "Pyrenopsis phaeococca", "Bristowia heterospinosa", "Scutisorex somereni", "Pyrenopsis phylliscella", "Zabidius novemaculeatus", "Pyrenopsis polycocca", "Falcileptoneta uenoi", "Falcileptoneta yamauchii", "Falcileptoneta zenjoenis", "Falcileptoneta aichiensis", "Falcileptoneta ogatai", "Masirana abensis", "Masirana silvicola", "Masirana akahanei", "Masirana kosodeensis", "Elachista bedellella", "Masirana akiyoshiensis", "Elachista titanella", "Masirana bandoi", "Masirana chibusana", "Masirana kinoshitai", "Masirana cinevacea", "Masirana glabra", "Masirana nippara", "Masirana kawasawai", "Masirana kuramotoi", "Masirana kyokoae", "Masirana longimana", "Masirana longipalpis", "Masirana mizonokuchiensis", "Masirana taraensis", "Masirana taioensis", "Telema nipponica", "Speocera laureata", "Pholcus nagasakiensis", "Pholcus okinawaensis", "Pholcus yoshikurai", "Brienomyrus ivindoensis", "Ivindomyrus rhinoceros", "Belisana akebona", "Belisana junkoae", "Belisana yanbaruensis", "Belisana tauricornis", "Artema atlanta", "Pyrenopsis pulvinata", "Solisorex pearsoni", "Pyrenopsis rhodosticta", "Zebrasoma desjardinii", "Houdinia flexilissima", "Pyrenopsis sanguinea", "Zanclus cornutus", "Pyrenopsis subareolata", "Pyrenopsis subfuliginea", "Pyrenopsis tasmanica", "Pyrenopsis triptococca", "Pyrenopsis viridirufa", "Malpulutta kretseri", "Omox biporos", "Omox lupus", "Dodekablennos fraseri", "Sibianor japonicus", "Haptogenys bipunctata", "Sibianor kochiensis", "Hirculops cornifer", "Pyrenopsis fuscatula", "Burmattus pococki", "Rapana rapiformis", "Heliophanus aeneus", "Heliophanus cupreus", "Helicius chikunii", "Nornalupia impuncta", "Nornalupia megacephala", "Odontria giveni", "Menemerus bivittatus", "Menemerus semilimbatus", "Tinagma gaedikei", "Phintella castriesiana", "Eucoenogenes bicucullus", "Eucoenogenes vaneeae", "Chalcoscirtus fulvus", "Lycodon fausti", "Lycodon ferroni", "Lycodon flavicollis", "Lycodon effraenis", "Lycodon fasciatus", "Tuamotuichthys bispinosus", "Battus philenor acauda", "Tuamotuichthys marshallensis", "Battus philenor orsua", "Battus polydamas polydamas", "Magadania skopetsi", "Loxosceles reclusa", "Loxosceles laeta", "Engyprosopon vanuatuensis", "Crinum stuhlmannii", "Loxosceles caribbaea", "Loxosceles foutadjalloni", "Neolaeops microphthalmus", "Japonolaeops dentatus", "Crinum stuhlmannii subsp. delagoense", "Neoachiropsetta milfordi", "Loxosceles arizonica", "Mancopsetta maculata", "Loxosceles puortoi", "Hemiargus huntingtoni huntingtoni", "Hemiargus huntingtoni continentalis", "Hemiargus huntingtoni hannoides", "Echinargus isola", "Echinargus isola isola", "Tumoriala subaquilella", "Metacharis syloes", "Metacharis fergusi", "Metacharis smalli", "Aelurillus subfestivus", "Nephopterix maenamii", "Nephopterix immatura", "Protoxenos janzeni", "Altimyia boliviana", "Wetapolipus jamiesoni", "Scottia birigida", "Onawea pantomelas", "Plocamostethus scribae", "Megadromus speciosus", "Megadromus omaramae", "Zeopoecilus caperatus", "Symmachia pena", "Lampropeltis ruthveni", "Lampropeltis triangulum abnorma", "Lampropeltis triangulum amaura", "Lampropeltis triangulum andesiana", "Lampropeltis annulata", "Lampropeltis triangulum arcifera", "Lampropeltis triangulum blanchardi", "Lampropeltis triangulum campbelli", "Lampropeltis triangulum celaenops", "Lampropeltis triangulum conanti", "Lampropeltis triangulum dixoni", "Lampropeltis triangulum elapsoides", "Conothele fragaria", "Sinopesa kumensis", "Filistata longiventris", "Filistata marginata", "Scytodes fusca", "Scytodes thoracica", "Flexicrurum flexicrurum", "Flexicrurum longispina", "Flexicrurum minutum", "Ouette ouette", "Ouette gyrus", "Speocera asymmetrica", "Speocera bicornea", "Speocera octodentis", "Speocera songae", "Dictis striatipes", "Leptoneta convexa", "Falcileptoneta amakusaensis", "Falcileptoneta gotoensis", "Falcileptoneta satsumaensis", "Falcileptoneta soboensis", "Falcileptoneta asuwana", "Falcileptoneta caeca", "Falcileptoneta tofacea", "Falcileptoneta higoensis", "Falcileptoneta inabensis", "Falcileptoneta iriei", "Falcileptoneta japonica", "Falcileptoneta kugoana", "Falcileptoneta melanocomata", "Falcileptoneta musculina", "Falcileptoneta usihanana", "Falcileptoneta okinawaensis", "Falcileptoneta speciosa", "Falcileptoneta striata", "Falcileptoneta striata fujisana", "Falcileptoneta tsushimensis", "Lampropeltis triangulum gaigeae", "Lampropeltis triangulum gentilis", "Lampropeltis triangulum hondurensis", "Lampropeltis micropholis", "Lampropeltis triangulum multistrata", "Lampropeltis triangulum oligozona", "Lampropeltis polyzona", "Lampropeltis triangulum sinaloae", "Lampropeltis triangulum smithi", "Lampropeltis triangulum stuarti", "Lampropeltis triangulum syspila", "Lampropeltis triangulum taylori", "Lampropeltis triangulum triangulum", "Lampropeltis webbi", "Lampropeltis zonata", "Lampropeltis zonata agalma", "Lampropeltis zonata herrerae", "Lampropeltis zonata multicincta", "Lampropeltis zonata multifasciata", "Lampropeltis zonata parvirubra", "Lampropeltis zonata pulchra", "Lampropeltis zonata zonata", "Mastogenius arizonicus", "Mastogenius texanus", "Savignia naniplopi", "Enchelycore nycturanus", "Pedinonotus catarinensis", "Papatuka alamunyiga", "Ecsenius niue", "Heinzia caucasica", "Pachacutia mantura honrathi", "Eonecrophorus tenuicornis", "Palaeosilpha fraasii", "Macrothele amamiensis", "Macrothele gigas", "Macrothele yaginumai", "Latouchia formosensis", "Latouchia formosensis hyla", "Latouchia japonica", "Latouchia parameleomene", "Latouchia swinhoei", "Latouchia typica", "Crossopriza lyoni", "Strix virgata", "Leptodrymus pulcherrimus", "Leptophis ahaetulla", "Leptophis ahaetulla ahaetulla", "Leptophis ahaetulla bocourti", "Leptophis ahaetulla bolivianus", "Leptophis ahaetulla chocoensis", "Leptophis ahaetulla coeruleodorsus", "Leptophis ahaetulla copei", "Leptophis ahaetulla liocercus", "Leptophis ahaetulla marginatus", "Leptophis ahaetulla nigromarginatus", "Leptophis ahaetulla occidentalis", "Leptophis ahaetulla ortonii", "Leptophis ahaetulla praestans", "Leptophis cupreus", "Leptophis depressirostris", "Leptophis diplotropis", "Leptophis diplotropis diplotropis", "Leptophis diplotropis forreri", "Leptophis mexicanus", "Leptophis mexicanus hoeversi", "Leptophis mexicanus mexicanus", "Leptophis mexicanus septentrionalis", "Leptophis mexicanus yucatanensis", "Leptophis modestus", "Leptophis nebulosus", "Leptophis riveti", "Leptophis santamartensis", "Leptophis stimsoni", "Lepturophis albofuscus", "Liopeltis calamaria", "Liopeltis frenata", "Battus philenor philenor", "Ptyas herminae", "Liopeltis philippina", "Liopeltis rappi", "Liopeltis stoliczkae", "Liopeltis tricolor", "Lycodon alcalai", "Battus philenor insularis", "Lycodon bibonius", "Lycodon butleri", "Lycodon capucinus", "Lycodon cardamomensis", "Lycodon chrysoprateros", "Battus philenor hirsuta", "Lycodon dumerili", "Neon minutus", "Neon ningyo", "Neon nojimai", "Neon reticulatus", "Onomastus kanoi", "Orthrus bicolor", "Pellenes nigrociliatus", "Phlegra fasciata", "Portia fimbriata", "Rhene setipes", "Sitticus floricola", "Sitticus ranieri", "Sitticus saevus", "Sitticus saganus", "Sitticus subadultus", "Stertinius kumadai", "Lycodon flavomaculatus", "Costelytra diurna", "Lycodon jara", "Eucoenogenes ancyrota", "Lycodon kundui", "Cosmophasis viridifasciata", "Lycodon laoensis", "Prodontria truncata", "Lycodon mackinnoni", "Lycodon muelleri", "Lycodon osmanhilli", "Lycodon paucifasciatus", "Sericospilus ornatus", "Lycodon ruhstrati ruhstrati", "Lycodon solivagus", "Lycodon stormi", "Lycodon striatus", "Lycodon striatus bicolor", "Eucoenogenes elongata", "Lycodon striatus sinhaleyus", "Lycodon striatus striatus", "Euophrys frontalis", "Lycodon subcinctus", "Eucoenogenes wuyiensis", "Lycodon subcinctus maculatus", "Lycodon subcinctus sealei", "Lycodon subcinctus subcinctus", "Lycodon tessellatus", "Euophrys kataokai", "Lycodon tiwarii", "Lycodon travancoricus", "Eucoenogenes melanancalis", "Lycodon zawi", "Lycognathophis seychellensis", "Eucoenogenes teliferana", "Sericospilus intermediatus", "Evarcha arcuata", "Evarcha flavocincta", "Evarcha falcata", "Sphex argentatus", "Eucosma caliacrana", "Sericospilus truncatus", "Sericospilus brevis", "Sericospilus minor", "Sericospilus obscurus", "Eucosma campoliliana", "Eucosma cana", "Amenis pionia", "Synageles venator", "Synagelides agoriformis", "Synagelides annae", "Synagelides zhilcovae", "Tasa davidi", "Tasa nipponica", "Telamonia vlijmi", "Thyene imperialis", "Yaginumaella hyogoensis", "Yaginumaella medvedevi", "Yaginumaella striatipes", "Yaginumanis sexdentatus", "Yllenus coreanus", "Crinum asiaticum var. asiaticum", "Euophrys omnisuperstes", "Aelurillus tumidulus", "Dendryphantes aethiopicus", "Evarcha aposto", "Evarcha awashi", "Evarcha pinguis", "Evarcha rotundibulbis", "Evarcha russellsmithi", "Icius minimus", "Icius peculiaris", "Mexcala formosa", "Haemanthus pubescens", "Nigorella aethiopica", "Phintella africana", "Phintella lucida", "Phlegra atra", "Phlegra langanoensis", "Phlegra solitaria", "Plexippus baro", "Pseudicius ridicularis", "Rhene curta", "Thyene ornata", "Yogetor spiralis", "Afrobeata magnifica", "Evarcha bihastata", "Habrocestum tanzanicum", "Heliophanus pygmaeus", "Hyllus ramadanii", "Hyllus rotundithorax", "Kima atra", "Romjularia lurida", "Prodontria grandis", "Hygranillus kuscheli", "Lytorhynchus diadema", "Lytorhynchus diadema arabicus", "Lytorhynchus diadema diadema", "Lytorhynchus diadema gaddi", "Lytorhynchus diadema kennedyi", "Lytorhynchus diadema mesopotamicus", "Lytorhynchus gasperetti", "Lytorhynchus kennedyi", "Lytorhynchus maynardi", "Lytorhynchus paradoxus", "Lytorhynchus ridgewayi", "Archelaphe bella", "Archelaphe bella bella", "Archelaphe bella chapaensis", "Masticophis anthonyi", "Masticophis aurigulus", "Masticophis aurigulus aurigulus", "Masticophis barbouri", "Masticophis bilineatus", "Masticophis bilineatus bilineatus", "Masticophis bilineatus slevini", "Coryphasia monteverde", "Corythalia insularis", "Matagaia chromatopus", "Leiolopisma telfairii", "Neonella noronha", "Dalla caicus", "Dalla calaon", "Euophrys kawkaban", "Evarcha arabica", "Evarcha improcera", "Evarcha picta", "Ceriodaphnia silvestrii", "Evarcha seyun", "Habrocestum gibbosum", "Habrocestum ignorabile", "Habrocestum virginale", "Dalla disconnexa", "Menemerus patellaris", "Pellenes luculentus", "Dalla wardi", "Rhene obscura", "Xuriella marmorea", "Dalla vista", "Dalla pedro", "Dalla celsus", "Fuentes yucatan", "Euphyes canda", "Onofre carnifex", "Onofre necator", "Onofre sibilans", "Heliophanus eccentricus", "Heliophanus similior", "Lophostica minor", "Thyenula arcana", "Thyenula hortensis", "Brettus storki", "Meleon insulanus", "Meleon raharizonina", "Meleon tsaratanana", "Mintonia ignota", "Spartaeus abramovi", "Spartaeus banthamus", "Spartaeus jaegeri", "Spartaeus noctivagus", "Dalla agathocles", "Veissella milloti", "Dalla bubobon", "Arthraxon nudus", "Langona atrata", "Pancorius cheni", "Opsiphanes blythekitzmillerae", "Plexippoides flavescens", "Plexippoides regiusoides", "Rhene digitata", "Synagelides hubeiensis", "Synagelides zebrus", "Synagelides zonatus", "Laufeia sicus", "Neon acoreensis", "Yaginumaella bulbosa", "Paralticus amboinensis", "Bianor nexilis", "Bianor tortus", "Epocilla chimakothiensis", "Cirrisalarias bunares", "Exallias brevis", "Coryphasia cardoso", "Masticophis flagellum", "Masticophis flagellum cingulum", "Masticophis flagellum flagellum", "Masticophis fuliginosus", "Masticophis flagellum lineatulus", "Masticophis flagellum piceus", "Masticophis flagellum ruddocki", "Masticophis flagellum testaceus", "Masticophis lateralis", "Masticophis lateralis euryxanthus", "Masticophis lateralis lateralis", "Strombus decorus", "Sassacus alboguttatus", "Sassacus aztecus", "Argopteron aureipennis", "Sassacus barbipes", "Argopteron aureum", "Argopteron puelmae", "Sassacus lirios", "Sassacus samalayucae", "Helvetia galianoae", "Helvetia labiata", "Helvetia rinaldiae", "Helvetia stridulans", "Dendryphantes arboretus", "Dendryphantes hararensis", "Evarcha ignea", "Evarcha prosimilis", "Evarcha zimbabwensis", "Langelurillus ignorabilis", "Langelurillus orbicularis", "Phlegra procera", "Pseudicius elegans", "Pseudicius refulgens", "Rhene cancer", "Thyene australis", "Thyene natalii", "Cyrtarachne cingulata", "Piruna millerorum", "Dalla kemneri", "Mysoria affinis", "Thomisus kitamurai", "Thomisus okinawensis", "Crinum esquirolii", "Xysticus audax", "Xysticus daisetsuzanus", "Hypanartia paullus", "Xysticus rostratus", "Xysticus ryukyuensis", "Xysticus transversomaculatus", "Xysticus trizonatus", "Xysticus vachoni", "Suncus aequatorius", "Suncus dayi", "Ozyptila fukushimai", "Suncus fellowesgordoni", "Ozyptila matsumotoi", "Suncus hosei", "Lophostica nova", "Padilla ambigua", "Padilla graminicola", "Langona warchalowskii", "Menemerus cummingorum", "Menemerus tropicus", "Stanulus seychellensis", "Marpissa mizoramensis", "Stanulus talboti", "Dalla semiargentea", "Nactus serpensinsula", "Padilla astina", "Padilla boritandroka", "Padilla foty", "Padilla griswoldi", "Padilla lavatandroka", "Padilla maingoka", "Padilla manjelatra", "Padilla mazavaloha", "Padilla mihaingo", "Padilla mitohy", "Padilla ngeroka", "Padilla ombimanga", "Spaniblennius clandestinus", "Spaniblennius riodourensis", "Prostheclina amplior", "Dalla superargentea", "Prostheclina basilonesa", "Prostheclina boreoaitha", "Prostheclina boreoxantha", "Prostheclina bulburin", "Prostheclina eungella", "Pseudicius admirandus", "Spartaeus emeishan", "Bolla solitaria", "Bolla fenestra", "Zobera oaxaquena", "Caerostris mitralis", "Piruna jonka", "Detritivora smalli", "Crinum ornatum", "Detritivora hermodora", "Detritivora gynaea", "Detritivora gallardi", "Detritivora barnesi", "Detritivora callaghani", "Detritivora zama", "Detritivora major", "Natada fusca", "Natada fuscodivisa", "Natada burnsi", "Natada truncata", "Natada singulara", "Natada confusa", "Natada chaconi", "Natada covelli", "Detritivora matic", "Detritivora ma", "Plexippus devorans", "Plexippus clemens", "Detritivora cleonus", "Detritivora rocana", "Oligosoma pikitanga", "Allocinopus angustulus", "Allocinopus belli", "Allocinopus bousqueti", "Allocinopus latitarsis", "Allocinopus sculpticollis", "Allocinopus smithi", "Allocinopus wardi", "Carrhotus viduus", "Pseudorhysopus kabakovi", "Aniba perutilis", "Lysiteles auriculatus", "Lysiteles clavellatus", "Lysiteles conflatus", "Lysiteles corrugus", "Lysiteles curvatus", "Lysiteles distortus", "Lysiteles guoi", "Lysiteles spirellus", "Lysiteles subdianicus", "Lysiteles transversus", "Lysiteles uniprocessus", "Lysiteles catulus", "Oxytate clavulata", "Camaricus siltorsus", "Thomisus nirmali", "Xysticus bengdakus", "Lysiteles conicus", "Lysiteles davidi", "Lysiteles dentatus", "Misumenops temihana", "Ozyptila sedotmikha", "Xysticus sansan", "Philodamia pingxiang", "Philodamia tongmian", "Talaus xiphosus", "Thomisus socotrensis", "Thomisus unidentatus", "Thomisus yemensis", "Loxobates spiniformis", "Sanmenia gongshan", "Stiphropus falciformus", "Lysiteles digitatus", "Lysiteles torsivus", "Takachihoa onoi", "Tmarus lanyu", "Sinothomisus liae", "Rynchops albicollis", "Rynchops flavirostris", "Tmarus srisailamensis", "Rynchops niger", "Xysticus abditus", "Xysticus demirsoyi", "Ozyptila sakhalinensis", "Ozyptila sincera", "Suncus infinitesimus", "Ozyptila trux", "Suncus lixus", "Tmarus komi", "Tmarus makiharai", "Tmarus shimojanai", "Tmarus yaginumai", "Alcimochthes limbatus", "Cupa typica", "Diaea gyoja", "Loxobates daitoensis", "Lysiteles miniatus", "Lysiteles okumae", "Massuria watari", "Misumena vatia", "Monaeses aciculus", "Oxytate hoshizuna", "Phrynarachne ceylonica", "Phrynarachne katoi", "Runcinia acuminata", "Runcinia affinis", "Sanmenia zhengi", "Synema chikunii", "Synema globosum", "Synema nangoku", "Takachihoa truciformis", "Sitticus dorsatus", "Sitticus atricapillus", "Sitticus saxicola", "Sitticus finschi", "Sitticus pubescens", "Sitticus terebratus", "Myrmarachne plataleoides", "Cephalopholis miniata", "Myrmarachne melanocephala", "Diaea simplex", "Diaea dorsata", "Diaea livens", "Massuria bellula", "Mastira tegularis", "Lysiteles arcuatus", "Hypanartia bella", "Hypanartia lethe", "Hypanartia godmani", "Hypanartia charon", "Hypanartia dione", "Hypanartia dione dione", "Hypanartia dione arcaei", "Hypanartia dione disjuncta", "Hypanartia celestia", "Hypanartia splendida", "Hypanartia lindigii", "Hypanartia christopheri", "Hypanartia fassli", "Hypanartia trimaculata", "Hypanartia trimaculata trimaculata", "Hypanartia trimaculata autumna", "Canarium mutabilis", "Hypanartia kefersteini", "Hypanartia cinderella", "Heloderma horridum horridum", "Heloderma alvarezi", "Heloderma charlesbogerti", "Heloderma exasperatum", "Canarium ochroglottis", "Seco aphanis", "Seco calagutis", "Canarium terebellatus", "Seco ocellata", "Charis anius", "Charis cadytis", "Detritivora argyrea", "Detritivora nicolayi", "Dalla parma", "Dalla rosea", "Dalla rubia", "Dalla sepia", "Philodromus leucomarginatus", "Dalla taza", "Dalla thalia", "Dalla tona", "Dalla vinca", "Philodromus margaritatus", "Philodromus nigrostriatipes", "Dalla dimidiatus", "Philodromus poecilus", "Dalla epiphaneus", "Dalla hesperioides", "Dalla polycrates", "Philodromus pseudoexilis", "Philodromus roseofemoralis", "Philodromus rufus", "Dalla diraspes", "Philodromus spinitarsis", "Dalla eburones", "Philodromus subaureolus", "Thanatus arcticus", "Thanatus bungei", "Thanatus coreanus", "Thanatus miniaceus", "Thanatus nipponicus", "Thanatus vulgaris", "Tibellus oblongus", "Tibellus tenellus", "Apollophanes macropalpus", "Thanatus formicinus", "Dolomena dilatatus", "Apollophanes punctipes", "Theope minialba", "Eupithecia flavigutta", "Eupithecia sonora", "Galanthus elwesii var. monostictus", "Lecanomerus latimanus", "Lecanomerus obesulus", "Lecanomerus sharpi", "Lecanomerus atriceps", "Waitatia bellicosa", "Papilio appalachiensis", "Papilio karna", "Papilio peranthus", "Gibbonsia elegans", "Gibbonsia metzi", "Gibbonsia montereyensis", "Dalla scylla", "Dalla ticidas", "Dalla dividuum", "Dalla xicca", "Dalla dora", "Dalla pota", "Dalla quasca", "Dalla eryonas", "Coxicerberus syrticus", "Janiralata serrata", "Janiralata rhacuraeformis", "Acanthaspidia hanseni", "Hydroniscus vitjazi", "Haploniscus hydroniscoides", "Haploniscus menziesi", "Haploniscus belyaevi", "Mesosignum brevispinis", "Mesosignum elegantulum", "Ischnomesus vinogradovi", "Senecio patagonicus", "Oligosoma taumakae", "Dalla carnis", "Dalla cocha", "Dalla cola", "Dalla connexa", "Dalla costala", "Dalla crithote", "Dalla cuadrada", "Dalla cupavia", "Thrasorus schmidtae", "Paroster peelensis", "Carabhydrus stephanieae", "Philodromus aureolus", "Philodromus auricomus", "Philodromus cespitum", "Dalla cyprius", "Dalla cypselus", "Philodromus emarginatus", "Dalla decca", "Dalla frontinia", "Dalla huanca", "Philodromus fuscomarginatus", "Dalla lenda", "Dalla lorda", "Dalla mars", "Dalla mentor", "Dalla merida", "Dalla miser", "Dalla mora", "Dalla pantha", "Nevacolima jaliscoensis", "Nevacolima zodia", "Nevacolima pitilla", "Nevacolima georgina", "Sematoneura costaricana", "Eulogia duosigna", "Dolomena kleckhamae", "Heteropoda aulica", "Heteropoda invicta", "Dolomena marginatus", "Heteropoda simplex", "Dolomena plicatus", "Heteropoda truncus", "Heteropoda venatoria", "Isopeda villosa", "Olios japonicus", "Pseudopoda kasariana", "Pseudopoda spirembolus", "Sagellula octomunita", "Sinopoda albofasciata", "Sinopoda derivata", "Sinopoda ogatai", "Sinopoda stellatops", "Sinopoda okinawana", "Sinopoda forcipata", "Sinopoda koreana", "Sinopoda tanikawai", "Sinopoda stellata", "Stasina japonica", "Stasina maculifera", "Thelcticopis severa", "Amazilia alfaroana", "Sarcogyne arenosa", "Sarcogyne athroocarpa", "Sarcogyne bicolor", "Sarcogyne bolleana", "Theridion betteni", "Sarcogyne californica", "Sarcogyne clavus", "Sarcogyne dakotensis", "Sarcogyne desolata", "Sarcogyne groenlandica", "Sarcogyne integra", "Sarcogyne magnussonii", "Sarcogyne novomexicana", "Sarcogyne oligospora", "Sarcogyne plicata", "Sarcogyne privigna", "Sarcogyne reebiae", "Sarcogyne regularis", "Sarcogyne similis", "Alloxysta carinata", "Alloxysta ishizawai", "Dilapothor carverae", "Sarcogyne corrugata", "Galanthus alpinus var. alpinus", "Phrynarachne rugosa", "Selenops bursarius", "Alopecosa striatipes", "Alopecosa virgata", "Alopecosa volubilis", "Alopecosa fabrilis", "Arctosa chungjooensis", "Arctosa coreana", "Arctosa hallasanensis", "Arctosa keumjeungsana", "Arctosa pargongensis", "Arctosa pungcheunensis", "Arctosa daisetsuzana", "Arctosa depectinata", "Arctosa ebicha", "Arctosa fujiii", "Arctosa kawabe", "Arctosa hikosanensis", "Arctosa ipsa", "Arctosa kwangreungensis", "Arctosa laminata", "Arctosa niccensis", "Arctosa stigmosa", "Tanyemblemaria alleni", "Arctosa subamylacea", "Arctosa yasudai", "Mccoskerichthys sandae", "Cirriemblemaria lucasana", "Hakaharpalus davidsoni", "Hakaharpalus maddisoni", "Hakaharpalus patricki", "Hakaharpalus rhodeae", "Clinitrachus argentatus", "Hakaharpalus cavelli", "Lecanomerus insignitus", "Fucomimus mus", "Ericentrus rubrus", "Cologrammus flavescens", "Storrsia olsoni", "Sindoscopus australis", "Pirata boreus", "Pirata meridionalis", "Pirata yaginumai", "Pirata piraticus", "Pirata subpiraticus", "Pirata clercki", "Pirata piratoides", "Pirata procurvus", "Pirata hiroshii", "Pirata hokkaidensis", "Pirata iriomotensis", "Pirata coreanus", "Pirata knorri", "Pirata montanus", "Pirata piratellus", "Pirata shibatai", "Pirata tanakai", "Pirata yesoensis", "Trochosa aquatica", "Trochosa joshidana", "Trochosa robusta", "Trochosa ruricola", "Parabaris atratus", "Parabaris lesagei", "Tuiharpalus clunieae", "Tuiharpalus hallae", "Gaioxenus pilipalpis", "Incadorcus damasoi", "Incadorcus michelleae", "Incadorcus zugleri", "Incadorcus shaunai", "Incadorcus zugleri cuzcoensis", "Andinolucanus inesae", "Penichrolucanus martinii", "Dryophilocoris alni", "Lecanomerus vestigialis", "Lecanomerus verticalis", "Dryophilocoris jenjouristi", "Triplosarus novaezelandiae", "Dryophilocoris kanyukovae", "Dryophilocoris limbatus", "Dryophilocoris longus", "Hypharpax antarcticus", "Dryophilocoris lucidus", "Hypharpax australis", "Dryophilocoris luteus", "Dryophilocoris miyamotoi", "Dryophilocoris pallidulus", "Dryophilocoris persimilis", "Dryophilocoris saigusai", "Pholeodytes helmorei", "Pholeodytes nunni", "Pholeodytes palmai", "Pholeodytes townsendi", "Pholeodytes cerberus", "Haplanister crypticus", "Euthenarus brevicollis", "Euthenarus puncticollis", "Kiwitrechus karenscottae", "Kupeharpalus barrattae", "Kupeharpalus johnsi", "Dalla dognini", "Dalla frater", "Dalla gelus", "Dalla genes", "Dalla geon", "Dalla granites", "Dalla grovius", "Dalla monospila", "Dalla morva", "Sarea difformis", "Sarea resinae", "Dalla quadristriga", "Dalla riza", "Trochosa spinipalpis", "Trochosa terricola", "Trochosa unmunsanensis", "Trochosa vulvella", "Xerolycosa nemoralis", "Stegobolus auberianus", "Cirroctopus antarctica", "Hippasa babai", "Stegobolus granulosus", "Cirroctopus glacialis", "Stegobolus metaphoricus", "Cirroctopus hochbergi", "Cirroctopus mawsoni", "Hygrolycosa umidicola", "Schizocosa avida", "Wadicosa okinawensis", "Opisthoteuthis agassizii", "Opisthoteuthis albatrossi", "Opisthoteuthis bruuni", "Opisthoteuthis californiana", "Opisthoteuthis calypso", "Opisthoteuthis chathamensis", "Opisthoteuthis depressa", "Colossoma macropomum", "Opisthoteuthis extensa", "Opisthoteuthis grimaldii", "Opisthoteuthis hardyi", "Opisthoteuthis japonica", "Opisthoteuthis massyae", "Opisthoteuthis medusoides", "Opisthoteuthis mero", "Salminus hilarii", "Opisthoteuthis persephone", "Salminus affinis", "Opisthoteuthis philipii", "Opisthoteuthis pluto", "Opisthoteuthis robsoni", "Opisthoteuthis vossi", "Salminus brasiliensis", "Pseudoplatystoma corruscans", "Brycon microlepis", "Brycon cephalus", "Brycon orbignyanus", "Allotrochosina walesiana", "Brycon hilarii", "Alopecosa atypica", "Alopecosa sciophila", "Alopecosa spasskyi", "Alopecosa deserta", "Alopecosa inderensis", "Alopecosa steppica", "Arctosa pseudoleopardus", "Arctosa ravida", "Caspicosa kulsaryensis", "Brycon lundii", "Suncus remyi", "Suncus stoliczkanus", "Suncus varilla", "Suncus zeylanicus", "Piaractus mesopotamicus", "Theridion melanostictum", "Schizodon fasciatus", "Theridion nojimai", "Strangospora deplanata", "Zungaro zungaro", "Strangospora microhaema", "Zungaro jahu", "Strangospora moriformis", "Strangospora ochrophora", "Brachyplatystoma filamentosum", "Strangospora pinicola", "Parasteatoda projectivulva", "Cryptachaea riparia", "Parasteatoda ryukyu", "Achaearanea trapezoidalis", "Chrysso argyrodiformis", "Chrysso bimaculata", "Pimelodus maculatus", "Chrysso pulcherrima", "Chrysso sasakii", "Chrysso spiniventris", "Chrysso vesiculosa", "Chrysso viridiventris", "Chrysso caudigera", "Chrysso albomaculata", "Pseudorhysopus fukiensis", "Ageneiosus brevifilis", "Ageneiosus inermis", "Uberabatitan ribeiroi", "Prochilodus lineatus", "Plagioscion squamosissimus", "Pachyurus schomburgkii", "Pachyurus squamipennis", "Pachyurus francisci", "Pseudoplatystoma tigrinum", "Pseudoplatystoma fasciatum", "Hydrolycus scomberoides", "Osteoglossum bicirrhosum", "Osteoglossum ferreirai", "Thelocarpon coccosporum", "Thelocarpon epibolum", "Thelocarpon hassei", "Thelocarpon impressellum", "Thelocarpon intermediellum", "Thelocarpon laureri", "Thelocarpon lichenicola", "Thelocarpon magnussonii", "Thelocarpon olivaceum", "Thelocarpon pallidum", "Thelocarpon sphaerosporum", "Thelocarpon superellum", "Arthraxon santapaui", "Thelocarpon epibolum var. epibolum", "Arthraxon submuticus", "Arthraxon typicus", "Thelocarpon epibolum var. epithallinum", "Arthraxon jubatus", "Argyrodes cylindratus", "Eriophyllum lanosum", "Argyrodes kumadai", "Parnassius ariadne", "Caspicosa manytchensis", "Evippa kazachstanica", "Pardosa jaikensis", "Parnassius autocrator", "Parnassius charltonius", "Parnassius clodius", "Parnassius eversmanni", "Parnassius imperator", "Parnassius inopinatus", "Parnassius loxias", "Parnassius mnemosyne", "Parnassius nordmanni", "Artoria schizocoides", "Parnassius orleans", "Artoriopsis anacardium", "Artoriopsis eccentrica", "Artoriopsis joergi", "Artoriopsis klausi", "Artoriopsis melissae", "Artoriopsis whitehouseae", "Dingosa murata", "Foveosa adunca", "Foveosa albicapillis", "Foveosa infuscata", "Foveosa tintinabulum", "Minicosa neptuna", "Pardosa knappi", "Pardosa pedia", "Pardosa pyrenaica", "Trebacosa europaea", "Oxyopes macilentus", "Oxyopes saganus", "Leporinus obtusidens", "Suncus madagascariensis", "Oxyopes heterophthalmus", "Leporinus fasciatus", "Leporinus macrocephalus", "Leporinus reinhardti", "Suncus malayanus", "Oxyopes elifaz", "Leporinus elongatus", "Suncus montanus", "Peucetia betlaensis", "Peucetia viridans", "Masticophis mentovarius variolosus", "Masticophis schotti", "Masticophis schotti ruthveni", "Masticophis schotti schotti", "Masticophis taeniatus", "Masticophis taeniatus australis", "Masticophis taeniatus girardi", "Masticophis taeniatus ornatus", "Masticophis taeniatus taeniatus", "Mastigodryas amarali", "Mastigodryas bifossatus", "Mastigodryas bifossatus bifossatus", "Mastigodryas bifossatus striatus", "Mastigodryas bifossatus triseriatus", "Mastigodryas boddaerti", "Mastigodryas boddaerti boddaerti", "Mastigodryas boddaerti dunni", "Mastigodryas boddaerti ruthveni", "Ananteris hasshy", "Mastigodryas bruesi", "Mastigodryas cliftoni", "Mastigodryas danieli", "Mastigodryas dorsalis", "Mastigodryas heathii", "Antenoron filiforme", "Acalyptris platani", "Acalyptris minimella", "Acalyptris pistaciae", "Acalyptris loranthella", "Acalyptris staticis", "Acalyptris limonii", "Acalyptris maritima", "Acalyptris lesbia", "Acalyptris limoniastri", "Pardosa amamiensis", "Acalyptris pyrenaica", "Pardosa astrigera", "Pardosa atropos", "Pardosa bifasciata", "Pardosa hanrasanensis", "Pardosa brevivulva", "Pardosa daisetsuensis", "Pardosa graminea", "Pardosa hedini", "Pardosa herbosa", "Pardosa hokkaido", "Pardosa laevitarsis", "Pardosa yamanoi", "Pardosa hortensis", "Pardosa isago", "Pardosa yaginumai", "Pardosa jambaruensis", "Pardosa laura", "Pardosa lugubris", "Pardosa lyrifera", "Pardosa lyrivulva", "Pardosa monticola", "Pardosa nojimai", "Pardosa oriens", "Pardosa palustris", "Pardosa paramushirensis", "Pardosa plumipes", "Pardosa pseudoannulata", "Pardosa riparia", "Pardosa suwai", "Pardosa takahashii", "Pardosa uncifera", "Pardosa alacris", "Alopecosa albostriata", "Alopecosa aculeata", "Alopecosa auripilosa", "Alopecosa cinnameopilosa", "Alopecosa hokkaidensis", "Alopecosa moriutii", "Alopecosa licenti", "Alopecosa nemurensis", "Alopecosa pulverulenta", "Ariamnes cylindrogaster", "Picea farreri", "Picea neoveitchii", "Rhomphaea sagana", "Rhomphaea hyrcana", "Rhomphaea labiata", "Callophrys affinis", "Callophrys affinis affinis", "Rhomphaea tanikawai", "Callophrys affinis washingtonia", "Spheropistha melanosoma", "Callophrys affinis albipalpus", "Spheropistha miyashitai", "Callophrys affinis chapmani", "Pellona castelnaeana", "Neospintharus fur", "Pterodoras granulosus", "Neospintharus nipponicus", "Pterodoras rivasi", "Eretris agata", "Faiditus xiphias", "Oxeoschistus romeo", "Phaethornis malaris margarettae", "Dipoena nipponica", "Yaginumena castrata", "Yaginumena maculosa", "Yaginumena mutilata", "Lasaeola prona", "Lasaeola okinawana", "Lasaeola yoshidai", "Lasaeola yona", "Sylvisorex granti", "Sylvisorex howelli", "Sylvisorex isabellae", "Sylvisorex johnstoni", "Sylvisorex konganensis", "Sylvisorex lunaris", "Sylvisorex megalura", "Sylvisorex morio", "Sylvisorex ollula", "Sylvisorex oriundus", "Sylvisorex pluvialis", "Sylvisorex vulcanorum", "Congosorex polli", "Congosorex verheyeni", "Heteracris littoralis", "Saprinus aegyptiacus", "Osmia bicornis", "Calliphora augur", "Takayus fujisawai", "Zelamerus amicorum", "Zelandonota kiwi", "Nipponidion okinawense", "Errolium piceum", "Nipponidion yaeyamense", "Nesticodes rufipes", "Paidiscura subpallens", "Platnickina maculata", "Platnickina tincta", "Rugathodes nigrolimbatus", "Neottiura bimaculata", "Neottiura herbigrada", "Neottiura margarita", "Masticophis lineolatus", "Masticophis mentovarius", "Masticophis mentovarius centralis", "Masticophis mentovarius mentovarius", "Masticophis mentovarius striolatus", "Masticophis mentovarius suborbitalis", "Colobura annulata", "Ariamnes huinakolu", "Ariamnes makue", "Ariamnes uwepa", "Ariamnes poele", "Ariamnes melekalikimaka", "Ariamnes kahili", "Ariamnes alepeleke", "Ariamnes laau", "Ariamnes waikula", "Ariamnes hiwa", "Theridion pallasi", "Steatoda caspia", "Theridion lanceatum", "Theridion zekharya", "Morpho cisseis", "Linyphia sagana", "Alaskozetes coriaceus", "Alaskozetes bouvetoyaensis", "Alaskozetes antarcticus", "Aquanothrus montanus", "Chudalupia meridionalis", "Podacarus auberti", "Alismobates reticulaltus", "Alismobates rotundus", "Circellobates venustus", "Psednobates uncunguis", "Cis fiuzai", "Cis gumiercostai", "Oligodon dorsalis", "Oligodon durheimi", "Oligodon eberhardti", "Oligodon erythrogaster", "Oligodon erythrorhachis", "Oligodon everetti", "Euryopis flavomaculata", "Euryopis octomaculata", "Euryopis nigra", "Euryopis iharai", "Argyrodes argyrodes", "Emertonella taczanowskii", "Steatoda bipunctata", "Enoplognatha lordosa", "Enoplognatha mandibularis", "Crustulina guttata", "Crustulina sticta", "Holcaspis abdita", "Holcaspis bidentella", "Holcaspis obvelata", "Robertus naejangensis", "Holcaspis bessatica", "Robertus sibiricus", "Robertus kastoni", "Bryanites barri", "Robertus saitoi", "Bryanites samoaensis", "Robertus nipponicus", "Robertus ogatai", "Neanops pritchardi", "Robertus nojimai", "Parasteatoda tepidariorum", "Motuweta isolata", "Agelas axifera", "Agelas bispiculata", "Agelas carpenteri", "Agelas cavernosa", "Agelas cerebrum", "Agelas cervicornis", "Agelas ceylonica", "Agelas citrina", "Agelas clathrodes", "Agelas conifera", "Agelas dendromorpha", "Agelas dilatata", "Agelas dispar", "Agelas fascicularis", "Agelas flabelliformis", "Agelas gracilis", "Agelas inaequalis", "Agelas linnaei", "Agelas marmarica", "Agelas mauritiana", "Agelas nakamurai", "Agelas nemoechinata", "Sylvisorex camerunensis", "Phoroncidia ryukyuensis", "Anelosimus exiguus", "Anelosimus taiwanicus", "Coscinida japonica", "Chrosiothes sudabides", "Episinus affinis", "Episinus chikunii", "Episinus kitazawai", "Episinus nubilus", "Moneta caudifera", "Moneta mirabilis", "Moneta tanikawai", "Stemmops nipponicus", "Latrodectus elegans", "Phycosoma nigromaculatum", "Faiditus ecaudatus", "Thymoites crassipes", "Robertus neglectus", "Tortrimosaica polypodivora", "Ariamnes flagellum", "Episinus truncatus", "Coscinida tibialis", "Dipoena melanogaster", "Chrosiothes silvaticus", "Phoroncidia aculeata", "Eupithecia robinsoni", "Theridion desertum", "Allothymoites kumadai", "Carniella tsurui", "Pholcomma tokyoense", "Tmeticus neserigonoides", "Tmeticus vulcanicus", "Tmeticus nigerrimus", "Hemideina trewicki", "Gongylidioides galeritus", "Gongylidioides monocornis", "Gongylidioides kaihotsui", "Gongylidioides communis", "Gongylidioides cucullatus", "Gongylidioides onoi", "Walckenaeria ichifusaensis", "Walckenaeria chikunii", "Walckenaeria antica", "Walckenaeria atrotibialis", "Walckenaeria capito", "Walckenaeria chiyokoae", "Walckenaeria clavicornis", "Walckenaeria furcillata", "Walckenaeria golovatchi", "Walckenaeria karpinskii", "Walckenaeria korobeinikovi", "Walckenaeria nishikawai", "Walckenaeria nodosa", "Walckenaeria nudipalpis", "Walckenaeria uenoi", "Hemiandrus subantarcticus", "Hemiandrus fiordensis", "Hemiandrus nitaweta", "Hemiandrus anomalus", "Hemiandrus similis", "Hemiandrus bilobatus", "Hemiandrus pallitarsis", "Hemiandrus lanceolatus", "Hemiandrus maculifrons", "Hemiandrus focalis", "Morpho amphitryon", "Siamusotima aranea", "Rhinorhynchus halli", "Rhinorhynchus phyllocladi", "Rhinorhynchus halocarpi", "Zelapterus terricola", "Neocyba regalis", "Neocyba metrosideros", "Coelotes gotoensis", "Coelotes iharai", "Coelotes troglocaecus", "Eumenes aureus", "Eumenes bollii", "Eumenes crucifera", "Corucia zebrata", "Omma rutherfordi", "Noteucinetus chilensis", "Noteucinetus latipennis", "Cyphotelus angustifrons", "Cyphanodes vestitus", "Platycerus akitaorum", "Platycerus urushiyamai", "Platycerus sue", "Platycerus tieguanzi", "Platycerus turnai", "Platycerus ladyae", "Platycerus cupreimicans", "Eucinetus stewarti", "Omma mastersi", "Omma sagitta", "Omma stanleyi", "Cis leoi", "Oligodon forbesi", "Oligodon formosanus", "Oligodon hamptoni", "Oligodon inornatus", "Oligodon jintakunei", "Oligodon joynsoni", "Oligodon juglandifer", "Oligodon kunmingensis", "Zephyranthes blumenavia", "Oligodon lacroixi", "Oligodon lungshenensis", "Oligodon macrurus", "Oligodon maculatus", "Oligodon mcdougalli", "Oligodon melaneus", "Oligodon melanozonatus", "Oligodon meyerinkii", "Oligodon modestus", "Oligodon mouhoti", "Oligodon multizonatus", "Oligodon nikhili", "Oligodon ningshaanensis", "Oligodon ocellatus", "Oligodon octolineatus", "Oligodon ornatus", "Oligodon perkinsi", "Oligodon petronellae", "Pterygotus bilobus", "Oligodon planiceps", "Oligodon praefrontalis", "Oligodon pulcherrimus", "Oligodon purpurascens", "Morpho hecuba", "Agyneta lila", "Strenzkea depilata", "Erigone atra", "Erigone doenitzi", "Erigone edentata", "Erigone himeshimensis", "Erigone koratensis", "Erigone longipalpis", "Erigone prominens", "Erigone sagibia", "Erigone sagicola", "Saitonia kawaguchikonis", "Saitonia longicephala", "Saitonia muscus", "Saitonia orientalis", "Saitonia ojiroensis", "Araeoncus humilis", "Diplocephalus bicurvatus", "Diplocephalus hispidulus", "Tibioploides eskovianus", "Tibioploides monticola", "Asthenargus niphonius", "Asthenargus matsudae", "Ryojius japonicus", "Ryojius occidentalis", "Hypselistes australis", "Hypselistes asiaticus", "Anisoura nicobarica", "Dipoena adunca", "Strandella fluctimaculata", "Strandella yaginumai", "Strandella quadrimaculata", "Oedothorax japonicus", "Oedothorax sexmaculatus", "Oedothorax trilineatus", "Peloptoribula spinulosa", "Hebefustis robustus", "Nannoniscus acanthurus", "Macrostylis reticulata", "Macrostylis curticornis", "Macrostylis affinis", "Macrostylis zenkevitchi", "Pseudomesus similis", "Munnopsoides tattersalli", "Munnopsis intermedia", "Betamorpha acuticoxalis", "Nannoniscoides coronarius", "Nannoniscoides gigas", "Nannoniscoides biscutatus", "Hebefustis hexadentium", "Hebefustis dispar", "Hebefustis cornutus", "Hebefustis alleni", "Hebefustis par", "Hebefustis mollicellus", "Nannoniscoides latediffusus", "Hebefustis vafer", "Nannoniscoides excavatifrons", "Stylomesus weddellensis", "Hesperia lindseyi", "Transaevum laudatum", "Mastigodryas melanolomus", "Mastigodryas melanolomus alternatus", "Raja inornata", "Mastigodryas melanolomus laevis", "Mastigodryas melanolomus melanolomus", "Mastigodryas melanolomus slevini", "Mastigodryas melanolomus stuarti", "Mastigodryas melanolomus tehuanae", "Mastigodryas melanolomus veraecrucis", "Mastigodryas pleei", "Mastigodryas pulchriceps", "Mastigodryas sanguiventris", "Meizodon coronatus", "Meizodon krameri", "Meizodon plumbiceps", "Meizodon regularis", "Meizodon semiornatus", "Meizodon semiornatus semiornatus", "Meizodon semiornatus tchadensis", "Oligodon affinis", "Oligodon albocinctus", "Oligodon ancorus", "Oligodon annulifer", "Oligodon annulifer annulata", "Oligodon annulifer annulifer", "Oligodon annulifer confluens", "Oligodon arnensis", "Oligodon barroni", "Oligodon bitorquatus", "Oligodon booliati", "Oligodon brevicauda", "Oligodon catenata", "Oligodon chinensis", "Oligodon cinereus", "Oligodon cinereus cinereus", "Oligodon cinereus tamdaoensis", "Oligodon cruentatus", "Oligodon cyclurus", "Oligodon cyclurus cyclurus", "Oligodon cyclurus smithi", "Coleosoma blandum", "Coleosoma floridanum", "Coleosoma octomaculatum", "Thymoites okumae", "Thymoites yaginumai", "Thymoites ulleungensis", "Thymoites chikunii", "Phoroncidia altiventris", "Phoroncidia pilula", "Coelotes insulanus", "Coelotes tokaraensis", "Coelotes tokunoshimaensis", "Coelotes oshimaensis", "Coelotes nasensis", "Coelotes kakeromaensis", "Coelotes keramaensis", "Coelotes tonakiensis", "Coelotes aguniensis", "Coelotes miyakoensis", "Coelotes motobuensis", "Coelotes shimajiriensis", "Coelotes iheyaensis", "Coelotes yambaruensis", "Coelotes izenaensis", "Coelotes kumejimanus", "Coelotes obako", "Coelotes yodoensis", "Coelotes inabaensis", "Coelotes exitialis", "Coelotes atropos", "Clubiona saxatilis", "Adelotopus macilentus", "Alloclubionoides dimidiatus", "Alloclubionoides kimi", "Alloclubionoides quadrativulvus", "Alloclubionoides coreanus", "Alloclubionoides grandivulvus", "Alloclubionoides bifidus", "Alloclubionoides euini", "Alloclubionoides ovatus", "Alloclubionoides lunatus", "Alloclubionoides cochlea", "Alloclubionoides paikwunensis", "Alloclubionoides terdecimus", "Microcharon juberthiei", "Coelotes uozumii", "Coelotes yaginumai", "Coelotes antri", "Coxicerberus adriaticus", "Cybaeopsis typica", "Anachloris subochraria", "Munna amphoricauda", "Munna arcacauda", "Munna jazdzewskii", "Munna longipoda", "Munna spicata", "Cuora amboinensis", "Iwogumoa acco", "Anachloris uncinata", "Anachloris tofocolorata", "Iwogumoa insidiosa", "Iwogumoa interuna", "Iwogumoa nagasakiensis", "Iwogumoa yaeyamensis", "Iwogumoa songminjae", "Stylomesus hexaspinosus", "Micromesus nannoniscoides", "Panetela tenella", "Eurycope linearis", "Eurycope curtirostris", "Eurycope magna", "Munneurycope curticephala", "Ilyarachna kussakini", "Echinozone longipes", "Paraneonetus multispinus", "Xanthocnemis sinclairi", "Xanthocnemis tuanuii", "Ozyptila claveata", "Drassodes depilosus", "Drassodes nox", "Drassodes pubescens", "Drassodes saganus", "Drassodes serratidens", "Drassodes taehadongensis", "Amaurobius fenestralis", "Callobius koreanus", "Callobius hokkaido", "Draconarius coreanus", "Draconarius kayasanensis", "Draconarius hallaensis", "Coelotes amamiensis", "Coelotes kumensis", "Coelotes okinawensis", "Microcharon major", "Coelotes eharai", "Coelotes hiratsukai", "Coelotes tarumii", "Oligodon rhombifer", "Oligodon signatus", "Oligodon splendidus", "Oligodon subcarinatus", "Oligodon sublineatus", "Oligodon taeniatus", "Coelotes hexommatus", "Oligodon taeniolatus", "Oligodon taeniolatus fasciatus", "Oligodon taeniolatus taeniolatus", "Coelotes kitazawai", "Oligodon calmarius", "Oligodon theobaldi", "Oligodon torquatus", "Oligodon travancoricus", "Oligodon trilineatus", "Oligodon unicolor", "Oligodon venustus", "Oligodon vertebralis", "Oligodon waandersi", "Coelotes micado", "Oligodon woodmasoni", "Coelotes satoi", "Opheodrys vernalis", "Opheodrys vernalis blanchardi", "Opheodrys vernalis borealis", "Opheodrys vernalis vernalis", "Coelotes tumidivulvus", "Microcharon latus", "Microcharon latus prespensis", "Microcharon profundalis", "Araeopteron koreana", "Cornufer desticans", "Cornufer parilis", "Araeopteron diehli", "Platychasma elegantula", "Sibirasellus parpurae", "Myosorex babaulti", "Myosorex blarina", "Myosorex cafer", "Myosorex geata", "Myosorex kihaulei", "Myosorex longicaudatus", "Myosorex okuensis", "Myosorex schalleri", "Myosorex sclateri", "Myosorex tenuis", "Myosorex varius", "Myosorex zinki", "Surdisorex norae", "Surdisorex polulus", "Bidentotinthia borneana", "Theretra nessus", "Theretra nessus nessus", "Theretra nessus albata", "Mniovelia kuscheli", "Usnea horrida", "Sander vitreus vitreus", "Sander vitreus glaucus", "Chilocoris neozealandicus", "Pulex irritans", "Pennisetia hylaeiformis", "Phytolacca americana", "Corematosetia naumanni", "Corematosetia minuta", "Phacelia tanacetifolia", "Microsphecia brosiformis", "Microsphecia tineiformis", "Synechodes andamanensis", "Synechodes exigua", "Synechodes lunaris", "Synechodes rotanicola", "Synechodes sidereus", "Miscera orpheus", "Miscera sauteri", "Phycodopteryx tigripes", "Bryotropha horribilis", "Bryotropha italica", "Oreocryptophis porphyracea nigrofasciata", "Oreocryptophis porphyracea porphyracea", "Oreocryptophis porphyracea pulchra", "Oreocryptophis porphyracea vaillanti", "Orthriophis cantoris", "Orthriophis hodgsoni", "Orthriophis moellendorffi", "Orthriophis taeniurus", "Orthriophis taeniurus friesei", "Orthriophis taeniurus grabowskyi", "Orthriophis taeniurus mocquardi", "Orthriophis taeniurus ridleyi", "Orthriophis taeniurus schmackeri", "Orthriophis taeniurus taeniura", "Orthriophis taeniurus yunnanensis", "Oxybelis aeneus", "Oxybelis brevirostris", "Oxybelis fulgidus", "Oxybelis wilsoni", "Pantherophis bairdi", "Pantherophis emoryi", "Pantherophis flavirufus", "Pantherophis flavirufus flavirufus", "Pantherophis flavirufus matudai", "Pantherophis flavirufus pardalinus", "Pantherophis flavirufus polystichus", "Usnea brattiae", "Mesene lecointrei", "Usnea cedrosiana", "Cavihemiptilocera exoleta", "Auratonota pharata", "Psoloptera basifulva", "Psoloptera leucosticta", "Psoloptera thoracica", "Gnaphosa hastata", "Gnaphosa reikhardi", "Gnaphosa zyuzini", "Gnaphosa primorica", "Gnaphosa ilika", "Gnaphosa eskovi", "Gnaphosa akagiensis", "Cepaea nemoralis", "Usnea cornuta subsp. brasiliensis", "Zelotes kimwha", "Zelotes keumjeungsanensis", "Zelotes kimi", "Zelotes iriomotensis", "Zelotes hayashii", "Zelotes bifukaensis", "Zelotes subterraneus", "Zelotes aiken", "Zelotes bajo", "Zelotes cayucos", "Zelotes cruz", "Zelotes exiguoides", "Zelotes florodes", "Zelotes foresta", "Zelotes gabriel", "Zelotes gertschi", "Zelotes griswoldi", "Zelotes grovus", "Zelotes hardwar", "Zelotes donan", "Zelotes zephyrus", "Zelotes asiaticus", "Zelotes davidi", "Zelotes potanini", "Zelotes wuchangensis", "Zelotes barkol", "Zelotes cantonensis", "Zelotes hui", "Zelotes liaoi", "Zelotes sanmen", "Zelotes tsaii", "Usnea hirta subsp. hirta", "Zelotes yinae", "Zelotes zhaoi", "Zelotes zhengi", "Zelotes tortuosus", "Zelotes exiguus", "Usnea hirta subsp. trachista", "Bryotropha nupponeni", "Bryotropha wolschrijni", "Bryotropha heckfordi", "Bryotropha phycitiniphila", "Bryotropha sutteri", "Bryotropha hendrikseni", "Bryotropha hulli", "Odontoptilum abbreviata", "Odontoptilum corria", "Odontoptilum pygela", "Odontoptilum pygela pygela", "Odontoptilum pygela tawita", "Trilochana nagaii", "Cryptotis alticola", "Cryptotis thomasi", "Cryptotis brachyonyx", "Cryptotis colombiana", "Mahanta yoshimotoi", "Ctenognophos fuscobrunnea", "Ctenognophos yoshimotorum", "Agelena babai", "Agelena donggukensis", "Agelena silvatica", "Agelena choi", "Agelena jirisanensis", "Agelena koreana", "Agelena limbata", "Asteliaphasma naomi", "Asteliaphasma jucunda", "Allagelena bistriata", "Allagelena difficilis", "Allagelena opulenta", "Pseudoclitarchus senta", "Tarsotinthia albogastra", "Akaisphecia melanopuncta", "Osminia bicornicolis", "Osminia colimaensis", "Osminia donahueorum", "Osminia phalarocera", "Osminia ferruginea", "Osminia ruficornis", "Pantherophis guttatus meahllmorum", "Pantherophis obsoletus lindheimerii", "Pantherophis obsoletus obsoletus", "Pantherophis obsoletus quadrivittata", "Pantherophis obsoletus rossalleni", "Pantherophis slowinskii", "Herennia multipuncta", "Pantherophis spiloides", "Pantherophis vulpinus", "Philothamnus angolensis", "Philothamnus battersbyi", "Philothamnus bequaerti", "Philothamnus carinatus", "Philothamnus dorsalis", "Philothamnus girardi", "Nephilengys malabarensis", "Toxoplasma gondii", "Drassyllus truncatus", "Drassyllus sanmenensis", "Drassyllus shaanxiensis", "Drassyllus yunnanensis", "Drassyllus vinealis", "Drassyllus sasakawai", "Drassyllus yaginumai", "Drassyllus biglobosus", "Drassyllus coreanus", "Drassyllus fallens", "Drassyllus alachua", "Drassyllus antonito", "Drassyllus baccus", "Drassyllus callus", "Drassyllus cerrus", "Drassyllus chibus", "Drassyllus coajus", "Drassyllus durango", "Drassyllus eurus", "Drassyllus gammus", "Drassyllus huachuca", "Drassyllus mazus", "Trachyzelotes pedestris", "Trachyzelotes jaxartensis", "Trachyzelotes kulczynskii", "Urozelotes rusticus", "Proasellus ruffoi", "Proasellus ezzu", "Magniezia gardei", "Magniezia laticarpa", "Wernya griseochrysa", "Wernya karsholti", "Wernya sechuana", "Wernya witti", "Hiroshia albinigra", "Oreocryptophis porphyracea", "Oreocryptophis porphyracea coxi", "Oreocryptophis porphyracea hainana", "Chiropsestis rubrocinerea", "Oreocryptophis porphyraceus kawakamii", "Oreocryptophis porphyracea laticincta", "Trilochana smaragdina", "Nokona carulifera", "Nokona coracodes", "Balkanostenasellus skopljensis", "Dysnocryptus balthasar", "Dysnocryptus gaspar", "Dysnocryptus melchior", "Gnaphosa lucifuga", "Gnaphosa betpaki", "Gnaphosa saurica", "Gnaphosa kuldzha", "Gnaphosa ukrainica", "Gnaphosa pseashcho", "Gnaphosa caucasica", "Gnaphosa potanini", "Gnaphosa kamurai", "Usnea cornuta subsp. cornuta", "Gnaphosa kansuensis", "Gnaphosa kompirensis", "Gnaphosa steppica", "Gnaphosa belyaevi", "Gnaphosa kurchak", "Gnaphosa zhaoi", "Tormissus guanicola", "Gnaphosa sticta", "Exydrus gibbosus", "Gnaphosa licenti", "Gnaphosa ovchinnikovi", "Gnaphosa tarabaevi", "Gnaphosa pseudoleporina", "Gnaphosa sinensis", "Gnaphosa dege", "Drassodes angulus", "Drassodes mirus", "Coreodrassus lancearius", "Pahoroides whangarei", "Pahoroides courti", "Burmjapyx forsteri", "Burmjapyx punamuensis", "Japyx womersleyi", "Burmjapyx forsteri archeyi", "Burmjapyx forsteri forsteri", "Cladothela tortiembola", "Cladothela parva", "Cladothela unciinsignita", "Cladothela oculinotata", "Cladothela boninensis", "Cladothela auster", "Octostigma herbivora", "Octostigma sinensis", "Octostigma spiniferum", "Micaria fulgens", "Micaria japonica", "Zeoliarus atkinsoni", "Zeoliarus oppositus", "Bothriochloa anamitica", "Bothriochloa barbinodis", "Plumaroides tiphlus", "Bothriochloa biloba", "Plumaroides andalgalensis", "Bothriochloa bladhii", "Araeopteron adeni", "Bothriochloa brasiliensis", "Araeopteron yemeni", "Araeopteron schreieri", "Araeopteron aulombardi", "Araeopteron alboniger", "Araeopteron ecphaea", "Araeopteron ussurica", "Araeopteron makikoae", "Araeopteron patella", "Hahnia martialis", "Hahnia pinicola", "Neoantistea agilis", "Neoantistea quelpartensis", "Antistea elegans", "Cryphoeca silvicola", "Cryphoeca angularis", "Alpinacris crassicauda", "Alpinacris tumidicauda", "Paprides dugdalei", "Brachaspis robustus", "Sigaus minutus", "Sigaus obelisci", "Sigaus villosus", "Gehringia olympica", "Agelena tungchis", "Agelena satmila", "Usnea intermedia", "Porphyrogenes spanda", "Usnea fragilescens var. mollis", "Usnea fragilescens var. fragilescens", "Usnea goniodes", "Usnea mexicana", "Araeopteron amoena", "Araeopteron fragmenta", "Araeopteron flaccida", "Araeopteron nebulosa", "Araeopteron kurokoi", "Usnea myrmaiacaina", "Araeopteron acidalica", "Araeopteron poliobapta", "Araeopteron proleuca", "Araeopteron rufescens", "Araeopteron sterrhaoides", "Araeopteron vilhelmina", "Araeopteron xanthopis", "Narcissus abscissus var. graciliflorus", "Narcissus abscissus var. serotinus", "Narcissus abscissus var. tubulosus", "Catocala florianii", "Calyptra albivirgata", "Calyptra bicolor", "Calyptra canadensis", "Calyptra eustrigata", "Calyptra fasciata", "Calyptra fletcheri", "Calyptra gruesa", "Calyptra hokkaida", "Calyptra imperialis", "Calyptra lata", "Calyptra minuticornis", "Calyptra nyei", "Hahnia pusilla", "Hahnia corticicola", "Hahnia nava", "Hyptiotes paradoxus", "Usnea parvula", "Miagrammopes oblongus", "Miagrammopes thwaitesi", "Uloborus segregatus", "Uloborus campestratus", "Zosis geniculata", "Hoogstraalia imberbis", "Octonoba grandiconcava", "Octonoba yaeyamensis", "Octonoba tanakai", "Octonoba grandiprojecta", "Octonoba yaginumai", "Octonoba okinawensis", "Octonoba uncinata", "Octonoba yoshidai", "Octonoba rimosa", "Octonoba senkakuensis", "Octonoba spinosa", "Octonoba taiwanica", "Philoponella para", "Philoponella bella", "Philoponella fasciata", "Philoponella vittata", "Philoponella arizonica", "Philoponella oweni", "Philoponella semiplumosa", "Philoponella vicina", "Philoponella signatella", "Philoponella tingens", "Philoponella divisa", "Philoponella republicana", "Philoponella herediae", "Philoponella ramirezi", "Philoponella pomelita", "Nesocolletes nunui", "Nesocolletes paahaumaa", "Nesocolletes pekanui", "Philoponella subvittata", "Philoponella collina", "Uloborus trilineatus", "Uloborus eberhardi", "Uloborus metae", "Irenimus curvus", "Irenimus dugdalei", "Irenimus patricki", "Irenimus similis", "Uroctea durandi", "Oecobius cellariorum", "Oecobius navus hachijoensis", "Oecobius sapporensis", "Argyrodes yunnanensis", "Argyrodes fissifrons", "Argyrodes lanyuensis", "Rhomphaea fictilium", "Rhomphaea projiciens", "Rhomphaea procera", "Neospintharus parvus", "Orontium wolfei", "Neospintharus obscurus", "Neospintharus furcatus", "Orontium mackii", "Neospintharus baboquivari", "Symplocarpus hoffmaniae", "Pituophis catenifer fulginatus", "Pituophis catenifer insulanus", "Pituophis catenifer pumilis", "Pituophis catenifer sayi", "Pituophis catenifer vertebralis", "Pituophis deppei", "Pituophis deppei deppei", "Pituophis deppei jani", "Pituophis lineaticollis", "Pituophis lineaticollis gibsoni", "Pituophis lineaticollis lineaticollis", "Araeopteron betie", "Araeopteron canescens", "Araeopteron elam", "Araeopteron epiphracta", "Araeopteron fasciale", "Araeopteron goniophora", "Araeopteron griseata", "Narcissus pachybolbus", "Araeopteron imbecilla", "Araeopteron leucoplaga", "Araeopteron micraeola", "Araeopteron microclyta", "Araeopteron minimale", "Araeopteron nivalis", "Araeopteron obliquifascia", "Araeopteron pictale", "Araeopteron pleurotypa", "Araeopteron poliophaea", "Cybaeus communis", "Cybaeus jaanaensis", "Cybaeus kiuchii", "Ligiamorpha incertae sedis", "Cybaeus melloteei", "Cybaeus rarispinosus", "Cybaeus ryunoiwayaensis", "Cybaeus sanctus", "Cybaeus shingenni", "Cybaeus striatipes", "Cybaeus yoshiakii", "Cybaeus obedientiarius", "Cybaeus tetricus", "Dolichocybaeus gotoensis", "Dolichocybaeus kirigaminensis", "Argyroneta aquatica", "Cedicus dubius", "Rastrococcus namartini", "Alpinococcus elongatus", "Bryococcus hippodamus", "Montanococcus graemei", "Montanococcus petrobius", "Montanococcus thriaticus", "Affeldococcus kathrinae", "Hoheriococcus fionae", "Dracophyllum recurvum", "Usnea subelegans", "Calyptra ophideroides", "Calyptra orthograpta", "Calyptra parva", "Calyptra pseudobicolor", "Aphantaulax trifasciata", "Calyptra subnubila", "Calyptra thalictri", "Haplodrassus kanenoi", "Oligosoma stenotis", "Haplodrassus nojimai", "Haplodrassus hatsushibai", "Haplodrassus mayumiae", "Haplodrassus pugnans", "Haplodrassus cognatus", "Haplodrassus montanus", "Haplodrassus kulczynskii", "Haplodrassus taepaikensis", "Haplodrassus pargongsanensis", "Hybolasiopsis trigonellaris", "Haplodrassus hiemalis", "Haplodrassus signifer", "Haplodrassus chamberlini", "Acanthodillo agasketos", "Acanthodillo barringtonensis", "Acanthodillo kioloa", "Acanthodillo erinaceus", "Acanthodillo brevicornis", "Acanthodillo commensalis", "Acanthodillo formicarum", "Acanthodillo minutus", "Acanthodillo tuberosus", "Callilepis schuszteri", "Sanitubius anatolicus", "Herpyllus coreanus", "Kishidaia coreana", "Kishidaia albimaculata", "Xylotoles costipennis", "Agelena lukla", "Agelena sherpa", "Brachylabis manawatawhi", "Achaeus kermadecensis", "Spirolabia kermadecensis", "Nesogaster halli", "Anisolabis kaspar", "Parisolabis boulderensis", "Parisolabis forsteri", "Parisolabis iti", "Parisolabis johnsi", "Parisolabis nelsonensis", "Parisolabis setosa", "Parisolabis tapanuiensis", "Parisolabis novaezeelandiae", "Acanthephyra brevirostris", "Callinectes danae", "Dolichocybaeus yufuin", "Dolichocybaeus kokuraensis", "Dolichocybaeus kuramotoi", "Cybaeus enshu", "Cybaeus kiiensis", "Cybaeus minoensis", "Cybaeus biwaensis", "Cybaeus echigo", "Cybaeus aizuensis", "Rotundabaloghia cubana", "Narcissus assoanus subsp. praelongus", "Austrocossus minutus", "Usnea transitoria", "Narcissus cuneiflorus", "Sphoeroides pachygaster", "Callilepis nocturna", "Porphyrogenes boliva", "Porphyrogenes ferruginea", "Porphyrogenes despecta", "Cryptotis endersi", "Porphyrogenes omphale", "Cryptotis equatoris", "Porphyrogenes pausias", "Cryptotis goldmani", "Porphyrogenes probus", "Cryptotis goodwini", "Porphyrogenes vulpecula", "Cryptotis gracilis", "Cryptotis griseoventris", "Panthera onca hernandesii", "Cryptotis hondurensis", "Cryptotis magna", "Cryptotis mayensis", "Cryptotis medellinia", "Cryptotis merus", "Cryptotis meridensis", "Cryptotis merriami", "Cryptotis mexicana", "Cryptotis montivaga", "Cryptotis nelsoni", "Cryptotis nigrescens", "Cryptotis obscura", "Cryptotis orophila", "Cryptotis peregrina", "Psilaspilates catillata", "Psilaspilates cautinaria", "Psilaspilates ceres", "Psilaspilates concepcionensis", "Psilaspilates obscura", "Psilaspilates signistriata", "Psilaspilates stygiana", "Psilaspilates venata", "Minstrellus grandis", "Minstrellus nivosa", "Minstrellus leucotopus", "Minstrellus emphatica", "Hyalobathra archeleuca", "Hyalobathra crenulata", "Hyalobathra unicolor", "Hyalobathra miniosalis", "Hyalobathra minialis", "Psilocnaeia asteliae", "Zelotes pseudoapricorum", "Zelotes longipes", "Psilocnaeia aegrota", "Psilocnaeia linearis", "Psilocnaeia bullata", "Zelotes hummeli", "Psilocnaeia nana", "Psilocnaeia parvula", "Psilocnaeia brouni", "Drassyllus pusillus", "Drassyllus excavatus", "Micaria mexicana", "Micaria palma", "Micaria icenoglei", "Micaria porta", "Micaria otero", "Micaria langtry", "Micaria nye", "Micaria pasadena", "Micaria camargo", "Micaria cimarron", "Micaria capistrano", "Micaria medica", "Micaria idana", "Micaria lassena", "Micaria pulicaria", "Micaria alpina", "Micaria dives", "Kuwanina kiwiana", "Myrcidris epicharis", "Oxyopes decorosus", "Oxyopes bicorneus", "Acanthocope mendeleevi", "Coptera bispinosa", "Coptera carinata", "Coptera craterocephala", "Coptera esmeraldae", "Coptera foliata", "Coptera paradoxa", "Coptera yutajensis", "Coptera zonata", "Coptera irregularis", "Coptera pachycera", "Coptera sexpunctata", "Coptera surumoniensis", "Coptera acrographa", "Coptera aulacocephala", "Coptera nahomiae", "Parexocoetus mento", "Turinyphia clairi", "Ornithoptera allottei", "Allomengea dentisetis", "Allomengea scopigera", "Bothriochloa bunyensis", "Bothriochloa campii", "Bothriochloa caucasica", "Bothriochloa compressa", "Bothriochloa concanensis", "Bothriochloa curtipendula", "Bothriochloa decipiens", "Bothriochloa edwardsiana", "Bothriochloa ensiformis", "Bothriochloa erianthoides", "Bathyphantes yodoensis", "Bathyphantes tateyamaensis", "Bathyphantes simillimus", "Bothriochloa eurylemma", "Bothriochloa ewartiana", "Bothriochloa exaristata", "Bothriochloa foulkesii", "Bothriochloa glabra", "Bothriochloa gracilis", "Bothriochloa grahamii", "Bothriochloa hirtifolia", "Bothriochloa hybrida", "Bothriochloa imperatoides", "Bothriochloa insculpta", "Bothriochloa ischaemum", "Bothriochloa jainii", "Bothriochloa kuntzeana", "Bothriochloa kwashotensis", "Bothriochloa laguroides", "Belisana leumas", "Belisana inthanon", "Belisana hormigai", "Belisana scharffi", "Belisana erawan", "Belisana pianma", "Belisana nujiang", "Crossopriza pristina", "Ancylis ventriverticalis", "Antirrhea adoptiva", "Antirrhea archaea", "Antirrhea lumejia", "Leptococcus metroxyli", "Leptococcus rodmani", "Oedothorax gibbosus", "Cybaeus gassan", "Cybaeus asahi", "Cybaeus melanoparvus", "Cybaeus monticola", "Cybaeus jinsekiensis", "Dolichocybaeus tajimaensis", "Dolichocybaeus momotaro", "Dolichocybaeus mimasaka", "Dolichocybaeus daisen", "Dolichocybaeus bitchuensis", "Cybaeus aokii", "Cybaeus aquilonalis", "Cybaeus hatsushibai", "Cybaeus miyagiensis", "Cybaeus sasakii", "Cybaeus yoshidai", "Cybaeus urabandai", "Cybaeus magnus", "Cybaeus nipponicus", "Cybaeus taraensis", "Cybaeus kumaensis", "Cybaeus tottoriensis", "Cybaeus hibaensis", "Cybaeus tsurugi", "Cybaeus kunisakiensis", "Cybaeus okafujii", "Cybaeus miyosii", "Cybaeus akiensis", "Cybaeus kawabensis", "Cybaeus higoensis", "Cybaeus itsukiensis", "Adeloscia dawsoni", "Cybaeus jilinensis", "Stephenoscia bifrons", "Cubaris minima", "Cybaeus okayamaensis", "Cybaeus nojimai", "Cybaeus tsurusakii", "Cybaeus gonokawa", "Cybaeus hiroshimaensis", "Cybaeus kunashirensis", "Acanthodillo spinosus", "Cubaris ambitiosa", "Cubaris tarangensis", "Cybaeus mosanensis", "Papuaphiloscia hurleyi", "Papuaphiloscia proxima", "Dolichocybaeus ishikawai", "Cybaeus longus", "Cybaeus triangulus", "Coronadillo milleri", "Cybaeus petegarinus", "Cybaeus maculosus", "Cybaeus fujisanus", "Zelandobius pilosus", "Tragidion agave", "Tragidion deceptum", "Geranium robertianum", "Phrynoponera pulchella", "Phrynoponera transversa", "Usnea malmei", "Cryptomanum omanicum", "Cryptomanum spinosissimum", "Afrobium arabicum", "Amphinemura hainana", "Usnea papillata", "Notopais magnifica", "Xylotoles laetus", "Usnea sanctaeritae", "Cedrus libani subsp. atlantica", "Usnea vitrea", "Cis zeelandicus", "Cis boettgeri", "Cis obsoletus", "Cis minutus", "Abacarus fopingi", "Abacarus jiuhuaensis", "Indotegolophus bambusae", "Aculochetus wanluoensis", "Newsteadia myersi", "Usnea brasiliensis", "Eudocima anguina", "Eudocima apta", "Eudocima aurantia", "Eudocima bathyglypta", "Eudocima behouneki", "Eudocima boseae", "Eudocima caesar", "Eudocima cajeta", "Eudocima cocalus", "Eudocima collusoria", "Eudocima colubra", "Eudocima discrepans", "Eudocima dividens", "Eudocima divitiosa", "Eudocima euryzona", "Eudocima felicia", "Eudocima formosa", "Eudocima homaena", "Usnea firma", "Eudocima hypermnestra", "Eudocima imperator", "Eudocima iridescens", "Eudocima jordani", "Eudocima kinabaluensis", "Eudocima kuehni", "Eudocima materna", "Eudocima mazzeii", "Eudocima memorans", "Eudocima mionopastea", "Eudocima muscigera", "Eudocima nigricilia", "Eudocima okurai", "Eudocima paulii", "Eudocima phalonia", "Eudocima pratti", "Eudocima prattorum", "Eudocima procus", "Eudocima prolai", "Eudocima salaminia", "Eudocima serpentifera", "Eudocima sikhimensis", "Usnea jamaicensis", "Odontoloxozus peruanus", "Walckenaeria acuminata", "Centromerus sylvaticus", "Chilicola muruimuinane", "Centromerus terrigenus", "Wubanoides fissus", "Anahi guaraniticus", "Anahi dentata", "Anahi oblivia", "Sycorax longispinosa", "Arcuphantes fragilis", "Spinotectarchus acornutus", "Eriococcus orariensis", "Apsilocephala pusilla", "Rhinorhynchus rufulus", "Triamescaptor aotea", "Ornebius aperta", "Caedicia simplex", "Gravatamberus apicalus", "Gravatamberus curtus", "Gravatamberus guatemaltecus", "Gravatamberus nidularium", "Gravatamberus pilosus", "Phaethornis malaris ochraceiventris", "Lyrocladius radulatus", "Discosura langsdorffi langsdorffi", "Scolopendropsis duplicata", "Momotus momota marcgravianus", "Celeus torquatus tinnunculus", "Piculus chrysochloros polyzonus", "Picumnus exilis pernambucensis", "Neomorphus geoffroyi dulcis", "Penelope superciliaris alagoensis", "Parategeticula elephantipella", "Parategeticula martella", "Parategeticula tzoyatlella", "Lygomusotima stria", "Odontophorus capueira plumbeicollis", "Lygomusotima constricta", "Conopophaga cearae", "Asthenochloa tenera", "Conopophaga melanops nigrifrons", "Iodopleura pipra leucopygia", "Neomusotima conspurcatalis", "Procnias averano averano", "Austromusotima camptozonale", "Austromusotima metastictalis", "Howarthia melli", "Howarthia cyanea", "Usnea schadenbergiana", "Rhomphaea cometes", "Celeriblattina major", "Celeriblattina minor", "Celatoblatta vulgaris", "Celatoblatta notialis", "Celatoblatta hesperia", "Celatoblatta anisoptera", "Celatoblatta subcorticaria", "Celatoblatta montana", "Celatoblatta pallidicauda", "Celatoblatta peninsularis", "Celatoblatta laevispinata", "Celatoblatta fuscipes", "Celatoblatta quinquemaculata", "Celatoblatta brunni", "Celatoblatta undulivitta", "Celatoblatta sedilloti", "Philothamnus heterodermus", "Philothamnus heterodermus heterodermus", "Philothamnus heterodermus ruandae", "Philothamnus heterolepidotus", "Philothamnus hoplogaster", "Philothamnus hughesi", "Philothamnus irregularis", "Philothamnus macrops", "Philothamnus natalensis", "Philothamnus natalensis natalensis", "Philothamnus natalensis occidentalis", "Philothamnus nitidus", "Philothamnus nitidus loveridgei", "Philothamnus nitidus nitidus", "Philothamnus ornatus", "Philothamnus punctatus", "Philothamnus semivariegatus", "Philothamnus thomensis", "Phyllorhynchus browni", "Phyllorhynchus browni browni", "Phyllorhynchus browni fortitus", "Phyllorhynchus browni klauberi", "Phyllorhynchus browni lucidus", "Phyllorhynchus decurtatus", "Phyllorhynchus decurtatus arenicolus", "Phyllorhynchus decurtatus decurtatus", "Phyllorhynchus decurtatus norrisi", "Phyllorhynchus decurtatus nubilis", "Phyllorhynchus decurtatus perkinsi", "Pituophis catenifer", "Pituophis catenifer affinis", "Pituophis catenifer annectens", "Pituophis catenifer bimaris", "Pituophis catenifer catenifer", "Pituophis catenifer coronalis", "Pituophis catenifer deserticola", "Mandibularia nigriceps", "Hippeutister californicus", "Hippeutister solisi", "Hippeutister castaneus", "Hippeutister manicatus", "Erethistoides senkhiensis", "Hippeutister plaumanni", "Hippeutister amabilis", "Eudocima smaragdipicta", "Eudocima splendida", "Eudocima strivijayana", "Eudocima talboti", "Eudocima toddi", "Eudocima treadawayi", "Eudocima tyrannus", "Ferenta cacica", "Ferenta castula", "Amblyceps torrentis", "Ferenta incaya", "Amblyceps tuberculatum", "Ferenta stolliana", "Gonodonta aequalis", "Graphigona regina", "Oraesia aeneofusa", "Plusiodonta aborta", "Tetrisia florigera", "Ammoglanis amapaensis", "Dysschema tricolora", "Epitrimerus buxsinica", "Puntius reval", "Epitrimerus argyris", "Epitrimerus cotoneasteri", "Epitrimerus dendranthemae", "Epitrimerus integrae", "Epitrimerus lonicerae", "Epitrimerus microcarpae", "Epitrimerus vescae", "Leipothrix dipsacivagus", "Dynamine paulina", "Dynamine paulina paulina", "Dynamine paulina conspicua", "Dynamine davinae", "Dynamine paulina thalassina", "Dynamine aerata", "Dynamine aerata aerata", "Dynamine agacles", "Dynamine agacles agacles", "Dynamine agacles core", "Cryptotis peruviensis", "Dynamine agatha", "Dynamine amplias", "Dynamine anubis", "Dynamine arene", "Dynamine artemisia", "Dynamine ate", "Dynamine athemon", "Conocephalus bilineatus", "Conocephalus semivittatus", "Conocephalus modestus", "Larivierea yalthi", "Larivierea yokunna", "Huttia nigrifrons", "Huttia northlandica", "Theridion llano", "Theridion kawea", "Theridion istokpoga", "Theridion hidalgo", "Theridion goodnightorum", "Theridion dilutum", "Theridion cowlesae", "Theridion cameronense", "Theridion arizonense", "Theridion agrifoliae", "Robshelfordia circumducta", "Serangium maculigerum", "Shelfordina orchidae", "Brachylophus fasciatus", "Campbellonemertes johnsi", "Antiponemertes allisonae", "Monostilifera incertae sedis", "Ranomafana pollocki", "Ranomafana steineri", "Malagaethes lawrencei", "Scenopinus stephanos", "Hypoponera confinis", "Isotenes miserana", "Austrosalomona falcata", "Anyphaena accentuata", "Anyphaena kurilensis", "Anyphaena ayshides", "Hibana gracilis", "Anyphaena wuyi", "Anyphaena bivalva", "Mocella manawatawhia", "Dynamine chryseis", "Dynamine coenus", "Dynamine colombiana", "Dynamine dyonis", "Dynamine erchia", "Dynamine gisella", "Dynamine haenschi", "Dynamine hecuba", "Dynamine ines", "Dynamine intermedia", "Dynamine laugieri", "Arceuthobium oxycedri", "Dynamine meridionalis", "Dynamine myrrhina", "Dynamine myrson", "Dynamine neoris", "Dynamine onias", "Dynamine pebana", "Dynamine perpetua", "Dynamine persis", "Dynamine postverta", "Dynamine racidula", "Dynamine sara", "Dynamine serina", "Dynamine setabis", "Dynamine sosthenes", "Dynamine theseus", "Dynamine tithia", "Dynamine vicaria", "Dynamine zenobia", "Dynamine anubis anubis", "Dynamine anubis pieridoides", "Dynamine artemisia artemisia", "Dynamine artemisia glauce", "Dynamine artemisia ackeryi", "Dynamine athemon athemon", "Dynamine athemon athemaena", "Dynamine athemon maeon", "Dynamine athemon niveata", "Dynamine athemon amazonica", "Dynamine athemon isolda", "Dynamine athemon barreiroi", "Erpobdella maoriana", "Carabus faminii", "Adrastia anthicoides", "Adrastia haastensis", "Adrastia subinermis", "Pseudachorutes polychaetosus", "Ceroplastes japonicus", "Cyrtodactylus zugi", "Therasiella pectinifera", "Allodiscus cassandra", "Piestus heterocephalus", "Cryphoeca shingoi", "Cryphoeca shinkaii", "Dynamine ines ines", "Floronia bucculenta", "Dynamine ines geta", "Dynamine myrson myrson", "Dynamine myrson manriquei", "Dynamine pebana pebana", "Dynamine pebana elisa", "Dynamine postverta postverda", "Dynamine postverta mexicana", "Dynamine racidula racidula", "Dynamine racidula trembathi", "Tapinopa guttata", "Tapinopa longidens", "Dynamine serina serina", "Dynamine serina zetes", "Dynamine serina calais", "Dynamine setabis setabis", "Dynamine setabis agnes", "Dynamine sosthenes sosthenes", "Dynamine sosthenes smerdis", "Dynamine sosthenes venezolensis", "Dynamine tithia tithia", "Dynamine tithia salpensa", "Dynamine tithia dentilinea", "Dynamine vicaria vicaria", "Dynamine vicaria hoppi", "Dynamine vicaria gillotti", "Dynamine zenobia zenobia", "Dynamine zenobia ampliata", "Iridopsis hausmanni", "Iridopsis parrai", "Parides bunichus bunichus", "Parides bunichus almas", "Bubalus cebuensis", "Armadillidium versicolor", "Ithone fusca", "Ithone fulva", "Ithone pallida", "Ithone neopallida", "Ithone falcata", "Ithone wilsoni", "Caecostenetroides mixtum", "Ithone gracilis", "Ithone westraliensis", "Proasellus ebrensis", "Proasellus aragonensis", "Proasellus ortizi", "Proasellus beticus", "Ithone karoondensis", "Ithone burrensis", "Megalithone megacerca", "Anguliphantes curvus", "Feliniopsis insolita", "Feliniopsis karischi", "Feliniopsis kipengerensis", "Feliniopsis kobesi", "Feliniopsis kuehnei", "Feliniopsis laportei", "Feliniopsis legraini", "Feliniopsis parvula", "Feliniopsis politzari", "Feliniopsis rufigiji", "Feliniopsis wojtusiaki", "Herbiphantes longiventris", "Herbiphantes pratensis", "Himalaphantes azumiensis", "Zamarada lope", "Zamarada effa", "Zamarada mackanga", "Zamarada odontis", "Tenuiphantes nigriventris", "Torbenia aurivilliusi", "Torbenia persimilis", "Torbenia wojtusiaki", "Torbenia larseni", "Torbenia stempfferi", "Torbenia stempfferi stempfferi", "Torbenia stempfferi cuypersi", "Torbenia stempfferi littoralis", "Cryptotis phillipsii", "Cryptotis squamipes", "Cryptotis tamensis", "Cryptotis tropicalis", "Anourosorex assamensis", "Anourosorex schmidi", "Ornipholidotos ackeryi", "Anourosorex squamipes", "Anourosorex yamashinai", "Ornipholidotos dargei", "Ornipholidotos gemina", "Ornipholidotos goodgerae", "Ornipholidotos goodi", "Ornipholidotos henrii", "Ornipholidotos mathildae", "Ornipholidotos michelae", "Ornipholidotos nympha", "Fusciphantes longiscapus", "Hylyphantes tanikawai", "Hylyphantes nigritus", "Tegenaria dorsata", "Tegenaria dia", "Callobius bennetti", "Nurscia albofasciata", "Nurscia albosignata", "Alboglossiphonia multistriata", "Alboglossiphonia tasmaniensis", "Placobdelloides maorica", "Pandava laminata", "Placobdelloides stellapapillosa", "Cybaeus whanseunensis", "Helobdella europaea", "Ero kompirensis", "Ero furcata", "Peltoschema suturalis", "Pselaphelia arenivaga", "Pselaphelia neglecta", "Epiphora newporti", "Zamarada schalida", "Blarinella griselda", "Blarinella quadraticauda", "Blarinella wardi", "Zamarada excavata", "Zamarada hero", "Zamarada aclys", "Chimarrogale phaeura", "Zamarada melpomene", "Zamarada laciniata", "Chimarrogale styani", "Zamarada lanceolata", "Zamarada antimima", "Zamarada dentigera", "Zamarada ostracodes", "Zamarada aglae", "Zamarada xystra", "Zamarada polyctemon", "Zamarada iobathra", "Zamarada dilucida", "Zamarada euerces", "Zamarada griseola", "Zamarada clementi", "Zamarada cydippe", "Zamarada adumbrata", "Zamarada dilata", "Zamarada enippe", "Zamarada auratisquama", "Zamarada clenchi", "Zamarada corroborata", "Zamarada cucharita", "Zamarada bicuspida", "Zamarada aurolineata", "Zamarada clio", "Zamarada latimargo", "Zamarada emaciata", "Zamarada crystallophana", "Zamarada catori", "Zamarada sagitta", "Zamarada tullia", "Zamarada mimesis", "Zamarada volsella", "Zamarada pristis", "Peritropis aotearoae", "Ornithobdella edentula", "Hirudobdella benhami", "Gonodonta aeratilinea", "Gonodonta amianta", "Gonodonta biarmata", "Gonodonta bidens", "Gonodonta chorinea", "Gonodonta clotilda", "Gonodonta correcta", "Gonodonta distincta", "Gonodonta ditissima", "Gonodonta fernandezi", "Gonodonta fulvangula", "Gonodonta fulvidens", "Gonodonta holosericea", "Gonodonta immacula", "Gonodonta incurva", "Gonodonta indentata", "Hypericum elegans", "Gonodonta latimacula", "Gonodonta lecha", "Gonodonta lincus", "Parapentaneura bentogomensis", "Gonodonta maria", "Gonodonta mexicana", "Gonodonta nitidimacula", "Gonodonta parens", "Gonodonta sinaldus", "Seleniolycus pectoralis", "Seleniolycus robertsi", "Gonodonta syrna", "Gonodonta nutrix", "Gonodonta obsesa", "Gonodonta paraequalis", "Gonodonta primulina", "Gonodonta pseudamianta", "Gonodonta pulverea", "Tapinocyba oiwa", "Tojinium japonicum", "Scyrotis alticolaria", "Scyrotis brandbergensis", "Scyrotis kochi", "Scyrotis matoposensis", "Scyrotis namakarooensis", "Scyrotis pulleni", "Scyrotis trivialis", "Paratapinocyba kumadai", "Savignia yasudai", "Savignia birostra", "Savignia kawachiensis", "Macrosenta purpurascens", "Savignia frontata", "Collinsia ezoensis", "Collinsia inerrans", "Collinsia distincta", "Hilaira herniosa", "Ceratinopsis interpres", "Scotinotylus eutypus", "Scotinotylus amurensis", "Scotinotylus kolymensis", "Scotinotylus kimjoopili", "Silometopus sachalinensis", "Oryctes monoceros", "Ero tuberculata", "Mimetus ryukyus", "Mimetus syllepsicus", "Saprosites kaimai", "Phycocus graniceps", "Pristoderus dorsalis", "Acrossidius brittoni", "Acrossidius pseudotasmaniae", "Acrossidius yorkensis", "Acrossidius tasmaniae", "Saprosites watti", "Saprosites raoulensis", "Salpingus lepidulus", "Peniticus wallacei", "Psylliodes brettinghami", "Macrobiotus kovalevi", "Macrobiotus rigidus", "Echiniscus arthuri", "Echiniscus elaeinae", "Acanthodrilus kermadecensis", "Kalotermes cognatus", "Ballophilus hounselli", "Ballophilus ramirezi", "Aphodius granarius", "Pseudoliparis amblystomopsis", "Paradoxivena zhamuensis", "Gonodonta pyrgo", "Gonodonta separans", "Gonodonta sicheas", "Gonodonta sitia", "Sphyraena argentea", "Gonodonta soror", "Oocyclus catarata", "Oocyclus funestus", "Oocyclus grandis", "Gonodonta sphenostigma", "Oocyclus muscus", "Oocyclus ornatus", "Gonodonta unica", "Oocyclus sharpi", "Oocyclus substillus", "Oocyclus tapanti", "Oocyclus brevicornis", "Oocyclus maculatus", "Gonodonta uxor", "Oocyclus vestitus", "Gonodonta walkeri", "Oregmopyga viscosa", "Frangula alnus", "Hyrtanella pascalae", "Hyrtanella christineae", "Neominois ridingsii", "Neominois ridingsii ridingsii", "Trichomycterus giganteus", "Pachyurus stewarti", "Taenioides kentalleni", "Copromorpha kijimuna", "Zebrasoma flavescens", "Acanthurus coeruleus", "Tisis javaica", "Tisis aurifasciata", "Tisis diehli", "Tisis sumatraensis", "Thailepidonia yoshiyasui", "Oedothorax sexoculorum", "Oedothorax tholusus", "Oedothorax clypeellum", "Oedothorax simplicithorax", "Oedothorax modestus", "Oedothorax savigniformis", "Oedothorax falcifer", "Oedothorax malearmatus", "Zamarada quadriplaga", "Tmeticus affinis", "Zamarada lorana", "Zamarada umbra", "Cephennomicrus zoiai", "Zamarada tomensis", "Zamarada mpassae", "Cithaerias pyritosa", "Cithaerias pireta", "Cithaerias pireta pireta", "Cithaerias pireta aurorina", "Walckenaeria basarukini", "Cithaerias pireta aura", "Walckenaeria palmgreni", "Walckenaeria tystchenkoi", "Walckenaeria subspiralis", "Walckenaeria microspiralis", "Walckenaeria arctica", "Walckenaeria latens", "Walckenaeria arcana", "Walckenaeria pullata", "Walckenaeria discolor", "Nipponotusukuru spiniger", "Nipponotusukuru enzanensis", "Batocera rufomaculata", "Compsoctena brandbergensis", "Stygioides ivinskisi", "Cossus cossus cossus", "Tapinocyba suganamii", "Cossus cossus armeniacus", "Cossus cossus gueruenensis", "Tapinocyba silvicultrix", "Cossus cossus kossai", "Doxocopa lavinia", "Doxocopa lavinia lavinia", "Doxocopa lavinia ducaudi", "Junonia evarete", "Junonia evarete evarete", "Junonia evarete dougueti", "Wubanoides uralensis", "Bolyphantes alticeps", "Zamarada kiellandi", "Zamarada lequeuxi", "Zamarada loleza", "Zamarada mashariki", "Zamarada mckameyi", "Epibellowia septentrionalis", "Zamarada micropomene", "Zamarada musomae", "Zamarada ndogo", "Zamarada tristriga", "Zamarada tristrigoides", "Zamarada usambarae", "Zamarada usondo", "Zamarada uzungwae", "Anguliphantes angulipalpis", "Zamarada platycephala", "Zamarada platycephala orientalis", "Lepthyphantes minutus", "Zamarada platycephala platycephala", "Lepthyphantes himuronis", "Lepthyphantes concavus", "Lepthyphantes serratus", "Lepthyphantes japonicus", "Lepthyphantes clarus", "Lepthyphantes ebinoensis", "Lepthyphantes luteipes", "Improphantes biconicus", "Feliniopsis baueri", "Arcuphantes chinensis", "Agyneta martensi", "Adrastia angulifrons", "Adrastia villosipennis", "Adrastia angustissima", "Adrastia anophthalma", "Adrastia greymouthi", "Adrastia wilmotensis", "Adrastia townsendi", "Adrastia laetans", "Adrastia nelsoni", "Adrastia brouni", "Adrastia brookesi", "Adrastia stokesi", "Adrastia clarkei", "Adrastia gourlayi", "Adrastia edwardsi", "Adrastia peckorum", "Adrastia dentipes", "Adrastia decipiens", "Adrastia novaezeelandiae", "Adrastia paravillosipennis", "Adrastia curticornis", "Asthenargus conicus", "Dicymbium sinofacetum", "Dicymbium salaputium", "Dicymbium yaginumai", "Houshenzinus rimosus", "Shaanxinus rufus", "Shanus taibaiensis", "Taibainus shanensis", "Taibaishanus elegans", "Hapsomela burmitis", "Oedothorax assuetus", "Oedothorax coronatus", "Oedothorax angelus", "Megalithone tillyardi", "Cottus bairdii", "Cottus cognatus", "Varnia perloides", "Varnia implexa", "Principiala incerta", "Nesoptychias simpliceps", "Sharpides hirtellus", "Weta thomsoni", "Weta chopardi", "Gonatium nipponicum", "Gonatium rubens", "Micropathus fuscus", "Australotettix carraiensis", "Australotettix montanus", "Novotettix naracoortensis", "Pallidotettix nullarborensis", "Tasmanoplectron isolatum", "Setascutum ohauense", "Zamarada anna", "Zamarada similis", "Elacatophora malaysiae", "Elacatophora apion", "Elacatophora longipes", "Elacatophora dissimilis", "Elacatophora robusta", "Elacatophora javanica", "Elacatophora maxima", "Pringlea antiscorbutica", "Plaumanniola sanctaecatharinae", "Clidicus abbotensis", "Neuraphoconnus sericeus", "Neuraphoconnus brevivestis", "Neuraphoconnus remissus", "Neuraphoconnus kuscheli", "Magellanoconnus catharactae", "Hylyphantes geniculatus", "Asperthorax communis", "Asperthorax borealis", "Nippononeta embolica", "Nippononeta sinica", "Hylephila herrerai", "Hylephila pseudoherrerai", "Hylephila pallisteri", "Hylephila blancasi", "Hylephila tentativa", "Hylephila shapiroi", "Hylephila galera", "Hylephila boulleti", "Hylephila rossi", "Hylephila peruana", "Bristowia afra", "Venada daneva", "Venada cacao", "Venada naranja", "Lithophane franclemonti", "Alainodaeus filipinus", "Alainodaeus akiaki", "Alainodaeus rimatara", "Alainodaeus alis", "Alainodaeus nuku", "Austrohancockia tuberfemora", "Austrohancockia guangxiensis", "Austrohancockia kuangtungensis", "Austrohancockia platynota", "Lethrinus ravus", "Odontamblyopus rebecca", "Chromidotilapia melaniae", "Chromidotilapia nana", "Chromidotilapia kingsleyae", "Piruna kemneri", "Sonia canadana", "Sonia comstocki", "Sonia constrictana", "Sonia divaricata", "Sonia filiana", "Sonia paraplesiana", "Sonia vovana", "Parellipsidion pachycercum", "Parellipsidion inaculeatum", "Brucheiser penai", "Ornatiblatta maori", "Flintoconis gozmanyi", "Flintoconis petorcana", "Parellipsidion conjunctum", "Mesadenocoris robustus", "Phthanoconis burmitica", "Novoplectron serratum", "Glaesoconis baliopteryx", "Libanosemidalis hammanaensis", "Stenocyphon sasajii", "Spelaeiacris tabulae", "Pachyrhamma giganteum", "Neon pixii", "Neon avalonus", "Neon nelli", "Neon plutonus", "Neon ellamae", "Neon kiyotoi", "Gracilentulus sarmaticus", "Neon zonatus", "Pachyrhamma spinosum", "Pachyrhamma tuarti", "Pachyrhamma ngongotahaense", "Omiodes pseudocuniculalis", "Pachyrhamma waitomoense", "Pachyrhamma acanthocerum", "Pachyrhamma uncatum", "Pachyrhamma fuscum", "Pachyrhamma longicaudum", "Pachyrhamma delli", "Pallidoplectron peniculosum", "Pachyrhamma waipuense", "Neonetus huttoni", "Neonetus variegatus", "Pachyrhamma chopardi", "Haplochrois galapagosalis", "Pachyrhamma edwardsii", "Haplochrois buvati", "Eucosmomorpha albersana", "Eucosmomorpha figurana", "Eucosmomorpha multicolor", "Eucosmomorpha nearctica", "Rebinea erebina", "Eliachna chileana", "Eliachna digitana", "Eliachna hemicordata", "Setascutum pallidum", "Petrotettix serratus", "Petrotettix cupolensis", "Petrotettix nigripes", "Petrotettix spinosus", "Pharmacus brewsterensis", "Pharmacus chapmanae", "Pharmacus dumbletoni", "Pharmacus montanus", "Dendroplectron aucklandense", "Insulanoplectron spinosum", "Ischyroplectron isolatum", "Pleioplectron simplex", "Pleioplectron hudsoni", "Pleioplectron diversum", "Pleioplectron pectinatum", "Neonetus pilosus", "Isoplectron armatum", "Isoplectron calcaratum", "Talitropsis crassicruris", "Talitropsis irregularis", "Talitropsis megatibia", "Paraisanthus fabiani", "Pteroxanium marrisi", "Veigaia carpathica", "Veigaia incisilobata", "Veigaia pentachaeta", "Veigaia slovaca", "Veigaia vermiculifera", "Sandrapsocus clarki", "Moapsocus angelicus", "Sabulopsocus tractuosus", "Cresmatoneta mutinensis", "Oraesia albescens", "Oraesia argyrolampra", "Paraisanthus tamarae", "Oraesia argyrosema", "Oraesia argyrosigna", "Austroneophellia luciae", "Oraesia basiplaga", "Oraesia camaguina", "Scaphidium wuyongxiangi", "Aplosonyx metallicus", "Notonewtonia thayerae", "Garra findolabium", "Triplophysa lixianensis", "Vickibella apicella", "Stiphodon carisa", "Spinoscapha rufa", "Prodontria longitarsis", "Eltaninactis infundibulum", "Eltaninactis psammophorum", "Oraesia cerne", "Isanthus capensis", "Isanthus homolophilus", "Zaolutus actius", "Oraesia emarginata", "Hecalusina unispinosa", "Oraesia excavata", "Oraesia excitans", "Oraesia glaucocheila", "Oraesia honesta", "Oraesia igneceps", "Oraesia nobilis", "Oraesia pierronii", "Oraesia provocans", "Oraesia rectistria", "Oraesia serpens", "Oraesia striolata", "Oraesia stupenda", "Oraesia subucula", "Oraesia triobliqua", "Oraesia wintgensi", "Plusiodonta achalcea", "Plusiodonta amado", "Porphyrogenes sororcula", "Porphyrogenes stresa", "Porphyrogenes zohra", "Porphyrogenes sula", "Porphyrogenes glavia", "Porphyrogenes sparta", "Porphyrogenes spoda", "Porphyrogenes stupa", "Porphyrogenes convexus", "Porphyrogenes splendidus", "Porphyrogenes simulator", "Porphyrogenes spadix", "Porphyrogenes sparus", "Porphyrogenes specularis", "Porphyrogenes spina", "Porphyrogenes sporta", "Porphyrogenes speciosus", "Porphyrogenes passalus", "Porphyrogenes virgatus", "Porphyrogenes eudemus", "Antirrhea porphyrosticta", "Antirrhea porphyrosticta porphyrosticta", "Antirrhea porphyrosticta phrynisca", "Venada advena", "Venada nevada", "Nectogale elegans", "Chodsigoa caovansunga", "Khamul erwini", "Khamul gothmogi", "Khamul lanceolatus", "Khamul tolkeini", "Chodsigoa hypsibia", "Baileya acadiana", "Chodsigoa lamula", "Baileya ellessyoo", "Nanodacna austrocedrella", "Chodsigoa parca", "Yllenus tuvinicus", "Yllenus rotundiorificus", "Yllenus lyachovi", "Yllenus kalkamanicus", "Yllenus gajdosi", "Yllenus arenarius", "Chodsigoa parva", "Chodsigoa salenskii", "Chodsigoa smithii", "Chodsigoa sodalis", "Episoriculus caudatus", "Talitropsis apoduroides", "Talitropsis poduroides", "Talitropsis sedilloti", "Copaxa lunula", "Pedaliodes gustavi", "Narcissus \u00d7 abilioi", "Pereute lindemannae", "Pereute lindemannae lindemannae", "Dolichousnea diffracta", "Pereute lindemannae pemona", "Dolichousnea longissima", "Dolichousnea trichodeoides", "Pereute lindemannae piaroa", "Pseudopieris viridula mimaripa", "Narcissus hispanicus subsp. eugeniae", "Taydebis peculiaris", "Accinctapubes amplissima", "Schinia regina", "Epiblema gibsoni", "Epiblema walsinghami", "Epiblema albohamulana", "Pirata longjiangensis", "Pirata zelotes", "Narcissus confusus", "Brachylophus bulabula", "Cephennomicrus inconspicuus", "Apatochernes turbotti", "Apatochernes posticus", "Platyptilia nussi", "Platyptilia eberti", "Eriococcus dombeyae", "Eriococcus pumiliae", "Megaselia alisamorum", "Megaselia digiturgida", "Megaselia maculafemoralis", "Megaselia necscabra", "Megaselia quattuorbrevis", "Megaselia tweedensis", "Batasio procerus", "Melitaea meherparvari", "Adelphoderia regina", "Spinotheca magnasetacea", "Otostigmus chiltoni", "Australophanus redtenbacheri", "Cryptamorpha brevicornis", "Polyptychus septentrionalis", "Polyptychus ruaha", "Polyptychus politzari", "Polyptychus mbarikensis", "Polyptychus obtusus", "Polyptychus insulanus", "Polyptychus afarissaque", "Polyptychus cadioui", "Micragone ansorgei", "Micragone ansorgei ansorgei", "Micragone ansorgei moxicoensis", "Micragone remota", "Micragone morettoi", "Episoriculus fumidus", "Navarcostes biezankoi", "Navarcostes vernieri", "Episoriculus leucops", "Episoriculus macrurus", "Neomys teres", "Narcissus hispanicus", "Cephennomicrus perthi", "Kangarooconnus carinifrons", "Neuraphoconnus kangarouanus", "Cephennomicrus lordhowei", "Sciacharis lordhowei", "Euconnus brevipennis", "Euconnus howeanus", "Palaeoscydmaenus australiensis", "Maoriblatta novaeseelandiae", "Maoriblatta rufoterminata", "Drymaplaneta heydeniana", "Drymaplaneta semivitta", "Tryonicus parvus", "Tryonicus planitarius", "Tryonicus mackerrasae", "Tryonicus monteithi", "Tryonicus rufescens", "Tryonicus vicinus", "Sciacharis alackensis", "Sciacharis ambigua", "Sciacharis angustata", "Sciacharis antennalis", "Sciacharis arohana", "Sciacharis arthurensis", "Sciacharis aurifascis", "Sciacharis bluffensis", "Sciacharis brachycera", "Sciacharis calcaritibia", "Sciacharis cedia", "Sciacharis collega", "Sciacharis dobsoni", "Sciacharis dublinensis", "Sciacharis dugdalei", "Sciacharis dunedinensis", "Sciacharis dunicola", "Sciacharis durvillei", "Sciacharis eruana", "Sciacharis fiordlandensis", "Sciacharis fletcheri", "Sciacharis florana", "Sciacharis fragilis", "Sciacharis fulva", "Sciacharis glacialis", "Sciacharis gunnensis", "Sciacharis halli", "Sciacharis haurokana", "Sciacharis hakatarameana", "Sciacharis oweni", "Sciacharis oreas", "Opopaea gibbifera", "Oonopinus corneus", "Campanula grandis subsp. rizeensis", "Podanotum aquaphilum", "Podanotum magnificum", "Podanotum clarissimus", "Platygaster zambiana", "Chirostylus stellaris", "Chirostylus rostratus", "Chirostylus ortmanni", "Chirostylus novaecaledoniae", "Chirostylus micheleae", "Chirostylus dolichopus", "Alainius crosnieri", "Allomunida magnicheles", "Enriquea leviantennata", "Fennerogalathea chacei", "Fennerogalathea chirostyloides", "Mithras villaanna", "Janetogalathea californiensis", "Mithras vossoroca", "Nanogalathea raymondi", "Neonida grandis", "Mithras orocana", "Mithras orobiana", "Mithras orobia", "Dysdera crocata", "Sciacharis hollyfordensis", "Sciacharis maketuensis", "Sciacharis wellingtonensis", "Sciacharis marionensis", "Sciacharis milfordensis", "Sciacharis kuscheli", "Sciacharis fabiani", "Sciacharis hawkesi", "Sciacharis monilifer", "Sciacharis pandorae", "Sciacharis pelorii", "Sciacharis wakamarinae", "Sciacharis hunuaeformis", "Sciacharis inangahuae", "Sciacharis tunakinoi", "Sciacharis turangii", "Sciacharis pseudoalacer", "Sciacharis tangihuae", "Sciacharis toronouii", "Euconnus arthuris", "Euconnus brouni", "Euconnus calvus", "Euconnus clarkei", "Euconnus sannio", "Euconnus horridus", "Euconnus setosus", "Euconnus paracilipes", "Euconnus microcilipes", "Euconnus kaimanawae", "Euconnus impressipennis", "Magellanoconnus galerus", "Magellanoconnus maruiensis", "Adrastia clavatella", "Usnea vrieseana", "Caristanius veracruzensis", "Alopecosa ovalis", "Alopecosa huabanna", "Copaxa semioculata", "Granallodiscus mayhillae", "Hirsutodiscus rakiura", "Pseudallodiscus ponderi", "Physocyclus globosus", "Canallodiscus fectoloides", "Leptopholcus tanikawai", "Micropholcus fauroti", "Smeringopus pallidus", "Pholcus medog", "Pholcus zham", "Belisana mainling", "Belisana gyirong", "Belisana ranong", "Belisana pranburi", "Belisana khaoyai", "Belisana sarika", "Belisana banlakwo", "Belisana khieo", "Belisana phurua", "Belisana leclerci", "Belisana schwendingeri", "Belisana bantham", "Spermophora dumoga", "Spermophora tumbang", "Spermophora kerinci", "Leptoneta taiwanensis", "Leptoneta nigrabdomina", "Leptoneta huisunica", "Euophryum chilense", "Euophryum confine", "Euophryum rufum", "Mithras hannelore", "Dysdera erythrina", "Penaincisalia dominiquae", "Penaincisalia alcacera", "Ariadna insidiatrix", "Penaincisalia santamarta", "Penaincisalia sigsiga", "Segestria nipponica", "Segestria senoculata", "Nothobranchius furzeri", "Penaincisalia duviolsi", "Penaincisalia oxapampa", "Penaincisalia molipampa", "Penaincisalia falcatamba", "Nesiotites hidalgo", "Nesiotites similis", "Soriculus nigrescens", "Megasorex gigas", "Sorex antinorii", "Sorex arunchi", "Sorex asper", "Sorex averini", "Sorex bedfordiae", "Sorex buchariensis", "Setanida cristata", "Sadayoshia acroporae", "Sadayoshia balica", "Sadayoshia edwardsii", "Onconida alaini", "Onconida gemini", "Onconida modica", "Onconida prostrata", "Onconida tropis", "Coralliogalathea humilis", "Allogalathea elegans", "Pheidole elongicephala", "Pheidole laevithorax", "Pheidole ochracea", "Pheidole rugithorax", "Pheidole tumida", "Pheidole vieti", "Maoriphylina dimorpha", "Allodiscus yaldwyni", "Allodiscus tawhiti", "Allodiscus morioria", "Allodiscus pygmaeus", "Allodiscus absidatus", "Allodiscus aurora", "Allodiscus brooki", "Allodiscus camelinus", "Allodiscus climoi", "Allodiscus conopeus", "Allodiscus ergodes", "Allodiscus erua", "Allodiscus godeti", "Allodiscus goulstonei", "Allodiscus hazelwoodi", "Allodiscus worthyi", "Allodiscus waitutu", "Allodiscus waitomo", "Allodiscus wairua", "Allodiscus wairarapa", "Allodiscus undulatus", "Allodiscus tongariro", "Allodiscus tataensis", "Allodiscus southlandicus", "Allodiscus kakano", "Allodiscus laganus", "Allodiscus mirificus", "Allodiscus negiae", "Allodiscus pumilus", "Allodiscus punakaiki", "Allodiscus patulus", "Allodiscus pallidus", "Allodiscus occidaneus", "Allodiscus mahlfeldae", "Allodiscus adriana", "Allodiscus fallax", "Allodiscus tullia", "Allodiscus spiritus", "Allodiscus chion", "Allodiscus cooperi", "Allodiscus dimorphus", "Allodiscus urquharti", "Allodiscus cryptobidens", "Allodiscus austrodimorphus", "Allodiscus venulatus", "Allodiscus tessellatus", "Allodiscus wairoaensis", "Canallodiscus elliottae", "Canallodiscus karamea", "Costallodiscus kaikoura", "Costallodiscus parrishi", "Costallodiscus pegasus", "Granallodiscus abaxoides", "Zenoteratus servulus", "Pentarthrum carmichaeli", "Pero janichoni", "Neominois carmen", "Bebearia ivindoensis", "Sorex camtschatica", "Sorex cylindricauda", "Sorex daphaenodon", "Sorex emarginatus", "Sorex excelsus", "Sorex leucogaster", "Sorex mirabilis", "Sorex oreopolus", "Sorex orizabae", "Sympistis kappa", "Sympistis dinalda", "Sympistis infixa", "Spathiphyllum wallisii", "Pyrrhura pfrimeri", "Pyrrhura lepida coerulescens", "Pyrrhura lepida lepida", "Crypturellus noctivagus noctivagus", "Paratruncala insularis", "Leander tenuicornis", "Typton tortugae", "Hamiger novaezealandiae", "Waldola schmitti", "Balssia gasti", "Chacella kerstitchi", "Ruavatua similis", "Fothergilla malloryi", "Ceratognathus niger", "Ceratognathus westwoodi", "Ceratognathus tasmanus", "Ceratognathus rufipennis", "Ceratognathus ocularis", "Ceratognathus minutus", "Ceratognathus mentiferus", "Ceratognathus macrognathus", "Ceratognathus gilesi", "Ceratognathus froggatti", "Ceratognathus frenchi", "Ceratognathus flabellatus", "Ceratognathus bitumulatus", "Ceratognathus abdominalis", "Gamasomorpha kusumii", "Hilophyllus martinezi", "Narcissus \u00d7 litigiosus", "Ischnothyreus indressus", "Ischnothyreus browni", "Ischnothyreus peltifer", "Ischnothyreus qianlongae", "Ischnothyreus hanae", "Ischnothyreus falcatus", "Ischnothyreus campanaceus", "Ischnaspis peltifer", "Opopaea syarakui", "Usnea entoviolata", "Usnea subcornuta", "Orchestina flava", "Orchestina okitsui", "Orchestina sanguinea", "Orotermes hermieri", "Orotermes monstrosa", "Orotermes japyx", "Opopaea sauteri", "Sciacharis lewisi", "Sciacharis portae", "Sciacharis lanosa", "Sciacharis relata", "Sciacharis labiata", "Sciacharis hutti", "Sciacharis heterartha", "Sciacharis hokianoae", "Sciacharis hopeana", "Sciacharis humpensis", "Sciacharis kuscheliana", "Sciacharis kaimanawana", "Sciacharis pontis", "Sciacharis restinga", "Sciacharis montana", "Sciacharis ohakunei", "Sciacharis latuliceps", "Sciacharis maruiae", "Sciacharis perspicax", "Sciacharis peckiana", "Sciacharis macburneyi", "Sciacharis lanosiformis", "Sciacharis orrhillensis", "Sciacharis paraoveni", "Sciacharis moerakensis", "Sciacharis stenocera", "Sciacharis marlboroughensis", "Sciacharis paralatuliceps", "Sciacharis parawhangamoana", "Sciacharis pictonensis", "Sciacharis pseudowhangamoana", "Sciacharis sulcifera", "Sciacharis takakae", "Sciacharis yakasensis", "Sciacharis waiporiensis", "Sciacharis waikawensis", "Sciacharis townsendiana", "Sciacharis tapapana", "Sciacharis waipouana", "Sciacharis waipouensis", "Sciacharis taranakii", "Sciacharis xanthopa", "Sciacharis whangamoana", "Sciacharis whakatanensis", "Sciacharis taupoensis", "Sciacharis wilmotensis", "Sciacharis wairauensis", "Sciacharis tautukuensis", "Sciacharis tennysoniana", "Sciacharis tennysoni", "Sciacharis alacer", "Sciacharis angulatus", "Sciacharis australis", "Sciacharis brookesi", "Sciacharis cilipes", "Sciacharis dunensis", "Sciacharis eruensis", "Sciacharis fugax", "Sciacharis helmsi", "Sciacharis hunuae", "Sciacharis bullockensis", "Sciacharis codfishensis", "Sciacharis dunsdalensis", "Corylopsis reedae", "Paramirrhina watti", "Lachnophoroides monteithorum", "Palaeocarpinus barksdaleae", "Palaeocarpinus stonebergae", "Palaeocarpinus dentatus", "Argyrosomus regius", "Spondyliosoma cantharus", "Amylopterus pilosus", "Propolyxenus forsteri", "Nothochromus maoricus", "Dilompus woodwardi", "Sympistis apep", "Sympistis jocelynae", "Tomocoroides fijianus", "Hierodoris bilineata", "Hierodoris huia", "Erebia stygne", "Phobaeticus chani", "Erebia aethiops", "Tegecoelotes secundus", "Tegecoelotes corasides", "Tegecoelotes ignotus", "Tegecoelotes michikoae", "Gloeoheppia erosa", "Gloeoheppia polyspora", "Gloeoheppia rugosa", "Gloeoheppia squamulosa", "Gloeoheppia turgida", "Biocellata alfarae", "Biocellata bifida", "Biocellata davisorum", "Spinulata acutipennis", "Spinulata manes", "Spinulata oblongata", "Spinulata quasivinnea", "Simplicivalva ampliophilobia", "Noronhomys vespuccii", "Magulacra niveogrisea", "Tangara cyanocephala cearensis", "Tangara cyanocephala corallina", "Iwogumoa ensifer", "Caryothraustes canadensis frontalis", "Iwogumoa montivaga", "Iwogumoa tengchihensis", "Iwogumoa yushanensis", "Cossula arpi", "Iwogumoa longa", "Cossula buspina", "Caladium bicolor", "Cossula coerulescens", "Cossula cossuloides", "Cossula duplex", "Iwogumoa xinhuiensis", "Cossula duplexata", "Cossula gaudeator", "Cossula longirostrum", "Cossula minutiloba", "Platocoelotes impletus", "Temnora uluguru", "Temnora rungwe", "Platocoelotes imperfectus", "Diomedea dabbenena", "Temnora burdoni", "Polyptychoides insulanus", "Polyptychoides ruaha", "Polyptychoides obtusus", "Polyptychoides septentrionalis", "Polyptychoides afarissaque", "Coelotes wangi", "Coelotes septus", "Coelotes rugosus", "Coelotes robustus", "Coelotes noctulus", "Coelotes microps", "Coelotes tiantongensis", "Coelotes maculatus", "Coelotes guttatus", "Coelotes globasus", "Coelotes galeiformis", "Coelotes cylistus", "Coelotes brachiatus", "Bifidocoelotes bifidus", "Bifidocoelotes primus", "Femoracoelotes latus", "Femoracoelotes platnicki", "Platocoelotes lichuanensis", "Platocoelotes kailiensis", "Micragone nenia", "Sorex planiceps", "Sorex portenkoi", "Mogera insularis", "Mogera kanoana", "Mogera uchidai", "Parascaptor leucura", "Scaptochirus moschatus", "Talpa altaica", "Talpa caucasica", "Talpa levantis", "Talpa davidiana", "Dendrocincla fuliginosa trumaii", "Dendrocincla turdina taunayi", "Uropsilus andersoni", "Uropsilus gracilis", "Uropsilus investigator", "Uropsilus soricipes", "Lepus callotis", "Lepus flavigularis", "Cyrtodactylus grismeri", "Draconarius patellabifidus", "Draconarius paraterebratus", "Draconarius nudulus", "Draconarius linxiaensis", "Draconarius haopingensis", "Draconarius griswoldi", "Draconarius episomos", "Draconarius dubius", "Draconarius dissitus", "Draconarius disgregus", "Draconarius curiosus", "Draconarius baxiantaiensis", "Draconarius agrestis", "Draconarius absentis", "Cryptops dilagus", "Cryptops arapuni", "Cryptops australis", "Cryptops lamprethus", "Cryptops megalopora", "Cryptops polyodontus", "Cryptops spinipes", "Cryptops hortensis", "Demansia psammophis", "Polyphaga incertae sedis", "Rhinorhipus tamborinensis", "Mesoveloidea williamsi", "Flammulina tepakiensis", "Flammulina arboricola", "Cyrtodactylus eisenmani", "Xiphorhynchus atlanticus", "Lepidocolaptes squamatus wagleri", "Triregia bilineata", "Triregia fairburni", "Clidicus aliquantulus", "Clidicus balticus", "Clidicus bellator", "Clidicus formicarius", "Clidicus grandis", "Clidicus laticeps", "Clidicus loebli", "Clidicus mussardi", "Clidicus quadricollis", "Clidicus tonkinensis", "Clidicus termitophilus", "Clidicus mysorensis", "Clidicus taphrocephalus", "Clidicus rufescens", "Clidicus omoios", "Clidicus monstrosus", "Alloophorus robustus", "Thanatus altimontis", "Thanatus striatus", "Thanatus coloradensis", "Atopodontus adriaensi", "Helcystogramma ineruditum", "Helcystogramma flavilineolella", "Helcystogramma claripunctella", "Xenops minutus alagoanus", "Cichlopsis leucogenys leucogenys", "Synallaxis albilora simoni", "Acompsia cinerella", "Dichomeris obscura", "Neofaculta taigana", "Faristenia nemorriella", "Acanthophila beljaevi", "Acanthophila kuznetzovi", "Acanthophila silvestrella", "Tenupedunculus smirnovi", "Neojaera pallida", "Katianira setifera", "Bactromesus antarcticus", "Desmosoma antarcticum", "Eurycope wolffi", "Cercomacroides laeta sabinoi", "Schiffornis turdina intermedia", "Polystictus pectoralis pectoralis", "Munella gayda", "Lepus habessinicus", "Lepus oiostolus", "Lepus saxatilis", "Lepus yarkandensis", "Acanthophila bimaculata", "Acanthophila lucistrialella", "Pyriglena leuconota pernambucensis", "Thamnophilus aethiops distans", "Thamnophilus caerulescens cearensis", "Acanthophila obscura", "Thamnophilus caerulescens pernambucensis", "Lepus comus", "Acanthophila angustiptera", "Acanthophila imperviella", "Lepus starcki", "Platyrinchus mystaceus niveigularis", "Acanthophila nyingchiensis", "Sorex raddei", "Sorex roboratus", "Lochmaeus sullivani", "Sorex satunini", "Sorex saussurei", "Polyptychoides politzari", "Sorex sclateri", "Sorex sinalis", "Polyptychoides mbarikensis", "Sorex stizodon", "Leptocoelotes pseudoluniformis", "Sorex thibetanus", "Leptocoelotes edentulus", "Sorex ventralis", "Draconarius chaiqiaoensis", "Sorex veraecrucis", "Draconarius labiatus", "Sorex veraepacis", "Sorex volnuchini", "Sciaphyes kawaharai", "Draconarius trinus", "Draconarius sichuanensis", "Draconarius paratrifasciatus", "Draconarius flos", "Draconarius curvabilis", "Scapanulus oweni", "Desmana moschata", "Melitaea athalia", "Scaptonyx fusicaudus", "Euroscaptor grandis", "Grallaria varia intercedens", "Automolus lammi", "Ibericancer sanchoi", "Astyanax epiagos", "Astyanax jacobinae", "Oreobates barituensis", "Brounicyphon sericeum", "Cyrtorhinus cumberi", "Josemiris carvalhoi", "Zanchius ater", "Zanchius rubicrux", "Linaria simplex", "Zanchius totus", "Tridiplous virens", "Linaria genistifolia", "Basileobius gilviceps", "Xiphoides regis", "Heloxycanus patricki", "Dumbletonius unimaculatus", "Stizocephalus atratus", "Stizocephalus explanatus", "Stizocephalus fuscus", "Stizocephalus hirsutus", "Stizocephalus pilosus", "Stizocephalus tuberculatus", "Stizocephalus brevirostris", "Megadrymus terraereginae", "Paralissotes planus", "Pireneitega armeniaca", "Pireneitega spinivulva", "Pireneitega luctuosa", "Pireneitega segestriformis", "Flammulina miserabilis", "Tornatellinops iredalei", "Tubuaia raoulensis", "Tornatellides subperforatus", "Tornatellides subperforatus kermadecensis", "Paralaoma allochroida", "Paralaoma ambigua", "Paralaoma buddlei", "Paralaoma lateumbilicata", "Paralaoma manawatawhia", "Paralaoma miserabilis", "Paralaoma pagoda", "Paralaoma raki", "Paralaoma turbotti", "Paralaoma regia", "Paralaoma servilis", "Paralaoma raricostata", "Paralaoma serratocostata", "Laomarex sericea", "Laomarex minuta", "Laomarex regia", "Egestula pandora", "Egestula bicolor", "Egestula gaza", "Egestula microgaza", "Fectola charopiformis", "Kokikora angulata", "Kokikora mimiwhangata", "Climocella runga", "Climocella reinga", "Laoma labyrinthica", "Agatholobus waterhousei", "Plusiodonta arctipennis", "Plusiodonta auripicta", "Plusiodonta basirhabdota", "Plusiodonta casta", "Plusiodonta chalcomera", "Plusiodonta cobaltina", "Plusiodonta commoda", "Plusiodonta compressipalpis", "Plusiodonta cupristria", "Plusiodonta dimorpha", "Plusiodonta effulgens", "Plusiodonta euchalcia", "Plusiodonta ionochrota", "Plusiodonta macra", "Plusiodonta megista", "Plusiodonta miranda", "Plusiodonta natalensis", "Plusiodonta nictites", "Plusiodonta nitissima", "Plusiodonta theresae", "Plusiodonta thomae", "Plusiodonta clavifera", "Plusiodonta coelonota", "Plusiodonta excavata", "Plusiodonta gueneei", "Plusiodonta incitans", "Plusiodonta multicolora", "Plusiodonta repellens", "Plusiodonta speciosissima", "Plusiodonta stimulans", "Plusiodonta tripuncta", "Plusiodonta wahlbergi", "Takhtajania perrieri", "Sympistis lachrymosa", "Sympistis incubus", "Sympistis seth", "Sympistis sesmu", "Sympistis jenniferae", "Sympistis osiris", "Sympistis isis", "Sympistis horus", "Sympistis baloghi", "Sympistis insanina", "Sympistis anubis", "Sympistis acheron", "Sympistis cocytus", "Sympistis amenthes", "Sympistis sakhmet", "Sympistis ptah", "Sympistis babi", "Sympistis nenum", "Sympistis mut", "Sympistis amun", "Sympistis chons", "Sympistis richersi", "Sympistis apis", "Sympistis buchis", "Sympistis cleopatra", "Pseudopeltula dicyanophora", "Pseudopeltula heppioides", "Pseudopeltula myriocarpa", "Gudelia mexicana", "Chelidonium majus", "Silene salsuginea", "Silene pendula", "Satureja spicigera", "Satureja cuneifolia", "Satureja thymbra", "Longicoelotes kulianganus", "Longicoelotes karschi", "Longicoelotes senkakuensis", "Spiricoelotes urumensis", "Spiricoelotes zonatus", "Spiricoelotes pseudozonatus", "Pireneitega taiwanensis", "Coelotes musashiensis", "Coelotes ningmingensis", "Coelotes pseudoterrestris", "Draconarius simplicidens", "Draconarius rotundus", "Draconarius pseudowuermlii", "Sympistis hathor", "Sympistis septu", "Sympistis sobek", "Sympistis cherti", "Sympistis ra", "Sympistis khem", "Sympistis bes", "Sympistis min", "Sympistis pachet", "Sympistis sorapis", "Sympistis khepri", "Sympistis knudsoni", "Sympistis opleri", "Sympistis shirleyae", "Sympistis shait", "Sympistis hapi", "Sympistis buto", "Sympistis sokar", "Sympistis dischorda", "Sympistis doris", "Sympistis collaris", "Sympistis disfigurata", "Sympistis anweileri", "Unciella primula", "Euroscaptor klossi", "Euroscaptor longirostris", "Euroscaptor micrura", "Myrtonymus zelandicus", "Emplesis bifoveata", "Uloma sanguinipes", "Laoma mariae", "Laoma mariae aupouria", "Pinus foisyi", "Amborhytida forsythi", "Amborhytida duplicata", "Phrixgnathus subariel", "Apollophanes texanus", "Philodromus shaochui", "Philodromus lasaensis", "Philodromus mineri", "Apollophanes margareta", "Philodromus californicus", "Philodromus marginellus", "Philodromus pinyonelis", "Philodromus spectabilis", "Cecidomyia lamellata", "Sclerurus caudacutus umbretta", "Sclerurus caudacutus caligineus", "Endotricha valentis", "Sclerurus scansor cearensis", "Endotricha admirabilis", "Philodromus speciosus", "Philodromus peninsulanus", "Philodromus mediocris", "Philodromus barrowsi", "Philodromus anomalus", "Philodromus lutulentus", "Philodromus josemitensis", "Acanthaspidia bifurcatoides", "Philodromus rodecki", "Acanthaspidia iolanthoidea", "Acanthaspidia curtispinosa", "Acanthaspidia longiramosa", "Philodromus quercicola", "Philodromus diablae", "Philodromus gertschi", "Philodromus orarius", "Philodromus chamisis", "Philodromus alascensis", "Philodromus droseroides", "Philodromus verityi", "Philodromus insperatus", "Philodromus validus", "Glaucidium palmatum", "Eutornopsis piceus", "Microtribus sculpturatus", "Crossotarsus externedentatus", "Acrocinus longimanus", "Metallolophia assamensis", "Hydatocapnia myanmarensis", "Spanglerogyrus albiventris", "Hygrobia wattsi", "Hygrobia maculata", "Amphizoa davidis", "Lepus hainanus", "Lepus nigricollis", "Lepus peguensis", "Lepus insularis", "Lepus tibetanus", "Anthribinae incertae sedis", "Lepus fagani", "Ruellia bahiensis", "Lepus microtis", "Lepus sinensis", "Nesolagus timminsi", "Agrias claudina", "Haplopygus fauveli", "Phrixgnathus sciadium", "Pronesopupa senex", "Charopa macgillivrayana", "Kermodon royanum", "Kieconcha kermadeci", "Kermarion kermadecensis", "Temnohaswellia novaezelandiae", "Paracharopa delicatula", "Phrixgnathus blacki", "Oxymycterus wayku", "Sundagrapha laoensis", "Alcis herbuloti", "Hypericum empetrifolium", "Rikiosatoa laoensis", "Myrioblephara sikkimensis", "Abraxas chapaensis", "Emys blandingi", "Eryx jaculus", "Agrias narcissus", "Agrias hewitsonius", "Agrias amydon", "Agrias aedon", "Rubroboletus satanas", "Damaliscus pygargus phillipsi", "Epiphora macedoi", "Hypoleria lavinia", "Hypoleria lavinia mulviana", "Parides panthonus aglaope", "Minyocerus angustus", "Drymusa tobyi", "Drymusa philomatica", "Tyrannochthonius bispinosus", "Tyrannochthonius brasiliensis", "Tyrannochthonius brevimanus", "Tyrannochthonius brooksi", "Tyrannochthonius butleri", "Tyrannochthonius caecatus", "Tyrannochthonius cavernicola", "Tyrannochthonius cavicola", "Tyrannochthonius centralis", "Tyrannochthonius chamberlini", "Tyrannochthonius chamorro", "Tyrannochthonius charon", "Tyrannochthonius chelatus", "Tyrannochthonius confusus", "Tyrannochthonius contractus", "Tyrannochthonius convivus", "Tyrannochthonius curazavius", "Tyrannochthonius densedentatus", "Tyrannochthonius diabolus", "Tyrannochthonius ecuadoricus", "Tyrannochthonius elegans", "Tyrannochthonius erebicus", "Tyrannochthonius felix", "Tyrannochthonius fiskei", "Tyrannochthonius floridensis", "Tyrannochthonius gezei", "Tyrannochthonius gnomus", "Tyrannochthonius gomyi", "Tyrannochthonius grimmeti", "Tyrannochthonius guadeloupensis", "Tyrannochthonius halopotamus", "Tyrannochthonius helenae", "Tyrannochthonius heterodentatus", "Tyrannochthonius hoffi", "Tyrannochthonius horridus", "Tyrannochthonius hypogeus", "Tyrannochthonius imitatus", "Tyrannochthonius infernalis", "Tyrannochthonius innominatus", "Tyrannochthonius insulae", "Tyrannochthonius intermedius", "Tyrannochthonius japonicus", "Tyrannochthonius jonesi", "Tyrannochthonius kermadecensis", "Tyrannochthonius krakatau", "Tyrannochthonius laevis", "Tyrannochthonius luxtoni", "Tyrannochthonius mahunkai", "Tyrannochthonius meneghettii", "Tyrannochthonius meruensis", "Tyrannochthonius migrans", "Tyrannochthonius monodi", "Tyrannochthonius nanus", "Tyrannochthonius nergal", "Tyrannochthonius noaensis", "Tyrannochthonius norfolkensis", "Tyrannochthonius oahuanus", "Tyrannochthonius oligochaetus", "Tyrannochthonius orpheus", "Tyrannochthonius osiris", "Tyrannochthonius ovatus", "Tyrannochthonius pachythorax", "Tyrannochthonius palauanus", "Tyrannochthonius pallidus", "Philacta testacea", "Syrastrenopsis imperiatus", "Syrastrenopsis kawabei", "Philacta maculifera", "Celosia argentea", "Syrastrenopsis bilinea", "Eupithecia tutsiana", "Eupithecia turlini", "Papilio chiansiades maroni", "Papilio chiansiades mossi", "Papilio garleppi lecerfi", "Robinsonia bartolana", "Idalus maesi", "Aspidosperma album", "Aspidosperma desmanthum", "Aspidosperma sandwithianum", "Disparella maiuscula", "Aspilia paraensis", "Axonopus carajasensis", "Cedrela odorata", "Corades melania melania", "Corades melania karoli", "Manduca neglecta", "Pseudodryas herbuloti", "Pseudodryas oaxaca", "Corades tripunctata tripunctata", "Corades tripunctata malambo", "Paullinia cupana", "Dissoleucas nodulosus", "Dissoleucas brevirostris", "Dissoleucas punctiger", "Tyrannochthonius alabamensis", "Tyrannochthonius aladdinensis", "Tyrannochthonius albidus", "Tyrannochthonius amazonicus", "Tyrannochthonius aralu", "Tyrannochthonius archeri", "Tyrannochthonius assimilis", "Tyrannochthonius attenuatus", "Tyrannochthonius avernicola", "Tyrannochthonius bagus", "Tyrannochthonius bahamensis", "Tyrannochthonius barri", "Tyrannochthonius beieri", "Tyrannochthonius binoculatus", "Protopterus dolloi", "Protopterus amphibius", "Tyrannochthonius pupukeanus", "Tyrannochthonius pusillimus", "Tyrannochthonius pusillus", "Tyrannochthonius queenslandicus", "Tyrannochthonius rahmi", "Tyrannochthonius rex", "Tyrannochthonius riberai", "Tyrannochthonius robustus", "Tyrannochthonius rotundimanus", "Tyrannochthonius satan", "Tyrannochthonius semidentatus", "Tyrannochthonius semihorridus", "Tyrannochthonius setiger", "Tyrannochthonius sheltae", "Tyrannochthonius similidentatus", "Tyrannochthonius simillimus", "Tyrannochthonius simulans", "Tyrannochthonius skeletonis", "Erythroxylum nelson-rosae", "Erythroxylum ellipticum", "Erythroxylum vaccinifolium", "Odoiporus longicollis", "Eschweilera piresii", "Compsapoderus erythrogaster", "Eschweilera subcordata", "Ochotona cansus", "Ochotona curzoniae", "Ochotona dauurica", "Ochotona erythrotis", "Ochotona forresti", "Asceua lejeunei", "Ochotona gaoligongensis", "Asceua elegans", "Asceua japonica", "Ochotona gloveri", "Kleptochthonius griseomanus", "Kleptochthonius lewisorum", "Kleptochthonius crosbyi", "Kleptochthonius geophilus", "Kleptochthonius oregonus", "Kleptochthonius inusitatus", "Kleptochthonius polychaetus", "Kleptochthonius sheari", "Kleptochthonius magnus", "Kleptochthonius multispinosus", "Kleptochthonius affinis", "Kleptochthonius anophthalmus", "Kleptochthonius barri", "Kleptochthonius binoculatus", "Kleptochthonius charon", "Kleptochthonius daemonius", "Kleptochthonius erebicus", "Kleptochthonius hageni", "Kleptochthonius hetricki", "Kleptochthonius hubrichti", "Kleptochthonius krekeleri", "Kleptochthonius orpheus", "Kleptochthonius pluto", "Kleptochthonius proserpinae", "Kleptochthonius proximosetus", "Kleptochthonius regulus", "Kleptochthonius similis", "Kleptochthonius stygius", "Tyrannochthonius parvus", "Tyrannochthonius pecki", "Tyrannochthonius perpusillus", "Tyrannochthonius philippinus", "Tyrannochthonius pholeter", "Tyrannochthonius pluto", "Tyrannochthonius procerus", "Tyrannochthonius psoglavi", "Euonymus europaeus", "Gonoropterus spinicollis", "Platypus gracilis", "Nostima kiwistriata", "Cisanthribus nakanei", "Cisanthribus nitidus", "Wessiea yakimaensis", "Scirtes confinis", "Scirtes flavohumeralis", "Scirtes mahensis", "Cisanthribus convexus", "Sicanthus rhizophorae", "Crotalus cerastes", "Valenfriesia nakanei", "Valenfriesia nitida", "Valenfriesia tomicoides", "Cruciptera simsonii", "Drymusa colligata", "Drymusa spelunca", "Panaropsis semiota", "Panaropsis elegans", "Panaropsis thyatira", "Panaropsis inaria", "Pronolagus crassicaudatus", "Pronolagus randensis", "Pronolagus rupestris", "Ochotona argentata", "Abapeba echinus", "Ephebopus murinus", "Megaphobema teceae", "Rubrepeira rubronigra", "Afrocerberus letabai", "Protocerberus schminkei", "Anapis discoidalis", "Protocerberus schminkei kruegeri", "Protocerberus schminkei schminkei", "Avicularia ancylochira", "Megalobulimus oblongus", "Kleptochthonius tantalus", "Kleptochthonius attenuatus", "Kleptochthonius cerberus", "Kleptochthonius gertschi", "Kleptochthonius infernalis", "Kleptochthonius lutzi", "Kleptochthonius microphthalmus", "Kleptochthonius myopius", "Kleptochthonius rex", "Kleptochthonius packardi", "Kleptochthonius henroti", "Eucommia ulmoides", "Sathrochthonius crassidens", "Sathrochthonius insulanus", "Sathrochthonius kaltenbachi", "Sathrochthonius maoricus", "Sathrochthonius pefauri", "Sathrochthonius tuena", "Sathrochthonius venezuelanus", "Sathrochthonius webbi", "Eucommia eocenica", "Phalonidia coreana", "Chthonius karamani", "Eucommia montana", "Chthonius rogatus", "Eucommia constans", "Eucommia jeffersonensis", "Eucommia rolandii", "Kyromyrma neffi", "Trichotonannus sulawesicus", "Ceratocombus aotearoae", "Ceratocombus novaezelandiae", "Ceratocombus alticallus", "Ceratocombus fasciatipennis", "Ceratocombus guizhouensis", "Ceratocombus sinicus", "Tyrannochthonius sokolovi", "Tyrannochthonius sparsedentatus", "Tyrannochthonius spinatus", "Tyrannochthonius steevesi", "Tyrannochthonius stonei", "Tyrannochthonius strinatii", "Tyrannochthonius stygius", "Tyrannochthonius superstes", "Apobaetis fiuzai", "Tyrannochthonius suppressalis", "Tyrannochthonius swiftae", "Tyrannochthonius tartarus", "Tyrannochthonius tekauriensis", "Tyrannochthonius tenuis", "Tyrannochthonius terribilis", "Tyrannochthonius texanus", "Tyrannochthonius tlilapanensis", "Tyrannochthonius torodei", "Tyrannochthonius troglobius", "Tyrannochthonius troglodytes", "Tyrannochthonius troglophilus", "Tyrannochthonius vampirorum", "Tyrannochthonius volcancillo", "Tyrannochthonius volcanus", "Tyrannochthonius wittei", "Demoulinia assimilis", "Tyrannochthonius wlassicsi", "Tyrannochthonius zonatus", "Haplohyphes yanahuicsa", "Gilliesia pulchra", "Xyrodromeus ambiguus", "Varipes lasiobrachius", "Varipes helenae", "Mallinella okinawaensis", "Mallinella shimojanai", "Mallinella fulvipes", "Mallinella sadamotoi", "Mallinella hoosi", "Mallinella klossi", "Mallinella vittiventris", "Pachycoleus dogueti", "Pachycoleus utnapishtim", "Cryptostemma hickmani", "Cryptostemma monga", "Cryptostemma triacanthota", "Cryptostemma uriarra", "Hypsipteryx ecpaglus", "Hypsipteryx machadoi", "Hypsipteryx ugandensis", "Hypsipteryx vasarhelyii", "Hypsipteryx hoffeinsorum", "Stemmocrypta antennata", "Hypselosoma acantheen", "Hypselosoma trachypechotum", "Hypselosoma oncerochilotum", "Hypselosoma pachypechotum", "Hypselosoma schizobregmotum", "Williamsocoris ornatus", "Ordirete hopevalensis", "Sciacharis palpalis", "Sciacharis suturalis", "Sciacharis crassipes", "Sciacharis brisbanensis", "Diomocoris granosus", "Diomocoris raoulensis", "Diomocoris woodwardi", "Aspidytes wrasei", "Aspidytes niobe", "Myrmica rubra", "Orectochilus orbisonorum", "Mnesarchaea acuta", "Mnesarchaea fallax", "Mnesarchaea fusca", "Mnesarchaea paracosma", "Mnesarchaea fusilella", "Mnesarchaea hamadelpha", "Acanthocnemus nigricans", "Syrastrenopsis inthanonensis", "Ancistropterus quadrispinosus", "Syrastrenopsis moltrechti", "Sparbarus capnicus", "Sparbarus corniger", "Sparbarus europaeus", "Sparbarus gilliesi", "Sparbarus japonicus", "Sparbarus kabyliensis", "Sparbarus lacustris", "Sparbarus maculatus", "Sparbarus nasutus", "Sparbarus tubulatus", "Alloretochus peruanicus", "Susperatus tonkawa", "Susperatus prudens", "Susperatus tuberculatus", "Cercobrachys fox", "Cercobrachys lilliei", "Cercobrachys pomeiok", "Cercobrachys winnebago", "Cercobrachys etowah", "Cercobrachys petersorum", "Cercobrachys serpentis", "Cercobrachys minutus", "Cercobrachys cree", "Geogepa promiscua", "Geogepa stenochorda", "Geogepa zeuxidia", "Geogepa striatula", "Gnorismoneura prochyta", "Gnorismoneura chyta", "Gnorismoneura elegantica", "Gnorismoneura silvatica", "Gnorismoneura calyptrimorpha", "Gnorismoneura monofascia", "Gnorismoneura maichau", "Gnorismoneura brunneochroa", "Agroeca coreana", "Agroeca mongolica", "Agroeca montana", "Agroeca kamurai", "Agroeca brunnea", "Hesperocranum rothi", "Dudusa intermedia", "Dudusa nobilis", "Dudusa obesa", "Ochotona himalayana", "Ochotona hoffmanni", "Ochotona huangensis", "Panthera onca onca", "Panthera onca palustris", "Panthera onca paraguensis", "Symphysodon discus", "Haplomunna caeca", "Haplomunna japonica", "Eupatorus gracilicornis", "Eupatorus hardwickei", "Eupatorus koletta", "Eupatorus siamensis", "Eupatorus sukkiti", "Eupatorus birmanicus", "Munella danteci", "Stereotydeus nudisetatus", "Stereotydeus pulcher", "Stereotydeus undulatus", "Neuraphoconnus procerus", "Neuraphoconnus tiouandeanus", "Lobohalacarus subterraneus", "Symphysodon aequifasciatus", "Notobathynella longipes", "Notobathynella lemurum", "Patagonaspides sandroruffoi", "Terthreutis furcata", "Cirrhitichthys falco", "Synochoneura sapana", "Synochoneura fansipangana", "Terricula bifurcata", "Terricula violetana", "Terricula minor", "Terricula major", "Terricula cnephaeana", "Leontochroma antitona", "Leontochroma aurantiacum", "Leontochroma percornutum", "Leontochroma suppurpuratum", "Malacosteus niger", "Choristoneura adumbratanus", "Choristoneura albaniana", "Choristoneura argentifasciata", "Choristoneura biennis", "Choristoneura bracatana", "Choristoneura carnana", "Choristoneura carnana carnana", "Choristoneura carnana californica", "Choristoneura conflictana", "Choristoneura diversana", "Atopobathynella compagana", "Hexabathynella aotearoae", "Notobathynella chiltoni", "Notobathynella hineoneae", "Pteromys momonga", "Zelandopsis morimotoi", "Zelandopsis aturoides", "Tarsolepis remicauda", "Tarsolepis remicauda remicauda", "Tarsolepis remicauda captura", "Tarsolepis rufobrunnea", "Tarsolepis elephantorum", "Tarsolepis inscius", "Zaranga citrinaria", "Brachycercus ojibwe", "Insulibrachys needhami", "Latineosus cayo", "Latineosus cibola", "Latineosus colombianus", "Oriobrachys mahakam", "Sparbarus choctaw", "Sparbarus coushatta", "Sparbarus miccosukee", "Globochthonius simplex", "Globochthonius globifer", "Globochthonius pancici", "Globochthonius perun", "Globochthonius polychaetus", "Globochthonius spelaeophilus", "Globochthonius purgo", "Globochthonius vandeli", "Ochyrotica yanoi", "Ochyrotica salomonica", "Ochyrotica breviapex", "Ochyrotica buergersi", "Ochyrotica borneoica", "Hyposmocoma molluscivora", "Hyposmocoma abjecta", "Hyposmocoma adelphella", "Hyposmocoma adjacens", "Hyposmocoma admirationis", "Hyposmocoma adolescens", "Hyposmocoma advena", "Hyposmocoma albifrontella", "Hyposmocoma albonivea", "Hyposmocoma alliterata", "Hyposmocoma arenella", "Hyposmocoma argentea", "Hyposmocoma atrovitella", "Callosciurus adamsi", "Callosciurus albescens", "Callosciurus baluensis", "Thecobathra albana", "Thecobathra bidentata", "Thecobathra chiona", "Thecobathra ovata", "Thecobathra microsignata", "Thecobathra tetragona", "Thecobathra yunnana", "Thecobathra yasudai", "Thecobathra sororiata", "Thecobathra lambda", "Cnephasitis apodicta", "Cnephasitis dryadarcha", "Cnephasitis spinata", "Cnephasitis meyi", "Cnephasitis sapana", "Gamasomorpha gershomi", "Cnephasitis vietnamensis", "Cnephasitis apodicta palaearctica", "Cnephasitis apodicta apodicta", "Acleris phyllosocia", "Oryctes borbonicus", "Geogepa malacotorna", "Geogepa monticola", "Geogepa nigropunctata", "Geogepa pedaliota", "Choristoneura psoricodes", "Epichoristodes psoricodes", "Archips occidentalis", "Procrica mariepskopa", "Procrica pilgrima", "Acronicta dahurica", "Kolkwitzia amabilis", "Leucolopha singulus", "Gangarides rufinus", "Gangarides flavescens", "Gangarides vittipalpis", "Paraliochthonius azanius", "Paraliochthonius canariensis", "Paraliochthonius carpenteri", "Paraliochthonius puertoricensis", "Paraliochthonius weygoldti", "Paraliochthonius cavalensis", "Paraliochthonius hoestlandti", "Paraliochthonius insulae", "Paraliochthonius johnstoni", "Paraliochthonius martini", "Paraliochthonius mirus", "Paraliochthonius tenebrarum", "Paraliochthonius singularis", "Paraliochthonius takashimai", "Pseudochthonius arubensis", "Pseudochthonius beieri", "Pseudochthonius billae", "Pseudochthonius biseriatus", "Pseudochthonius brasiliensis", "Pseudochthonius clarus", "Pseudochthonius congicus", "Pseudochthonius doctus", "Pseudochthonius falcatus", "Pseudochthonius galapagensis", "Pseudochthonius gracilimanus", "Pseudochthonius heterodentatus", "Pseudochthonius homodentatus", "Pseudochthonius insularis", "Pseudochthonius leleupi", "Pseudochthonius moralesi", "Pseudochthonius mundanus", "Pseudochthonius naranjitensis", "Pseudochthonius orthodactylus", "Pseudochthonius perreti", "Pseudochthonius pulchellus", "Pseudochthonius ricardoi", "Pseudochthonius simoni", "Pseudochthonius thibaudi", "Pseudochthonius troglobius", "Pseudochthonius tuxeni", "Pseudochthonius yucatanus", "Hesperochthonius oregonicus", "Hesperochthonius spingolus", "Swietenia mahagoni", "Swietenia macrophylla", "Swietenia humilis", "Heteropsis steyermarkii", "Heteropsis flexuosa", "Heteropsis spruceana", "Ochotona iliensis", "Ochotona koslowi", "Ochotona ladacensis", "Cophosaurus texanus", "Ochotona macrotis", "Cerasana anceps", "Ochotona muliensis", "Cerasana rubripuncta", "Cerasana basipuncta", "Ochotona nigritia", "Cerasana alleni", "Ochotona nubrica", "Euhampsonia cristata", "Euhampsonia formosana", "Ochotona roylei", "Euhampsonia gigantea", "Euhampsonia gigantea gigantea", "Euhampsonia gigantea gilesi", "Ochotona rufescens", "Euhampsonia niveiceps", "Euhampsonia roepkei", "Ochotona thibetana", "Euhampsonia serratifera", "Ochotona thomasi", "Euhampsonia sinjaevi", "Euhampsonia splendida", "Ochotona turuchanensis", "Gangarides dharma", "Gangarides rosea", "Gangarides vardena", "Tretocoris grandis", "Choristoneura chapana", "Homona baolocana", "Homona parvanima", "Homona polystriana", "Meridemis validana", "Eulimnadia marplesi", "Phreatoicus typicus", "Parastenichnaphes myrmecophilus", "Stenichnodes ceylonensis", "Stenichnodes sumatrensis", "Madagaphes madagassicus", "Madagaphes similis", "Madagaphes sakarahanus", "Uroplatus sikorae sikorae", "Choristoneura freemani", "Choristoneura occidentalis", "Choristoneura heliaspis", "Kumaressa scutellata", "Kumaressa carraiensis", "Kumaressa storeyi", "Cyprobius undulatus", "Cyprobius nitidus", "Cyprobius terrenus", "Amplectopus pallicornis", "Amplectopus latulus", "Amplectopus fuscus", "Amplectopus ovalis", "Microctonus zealandicus", "Microctonus alpinus", "Microctonus falcatus", "Pomacea bridgesii", "Gangaridopsis citrina", "Gangaridopsis dercetis", "Leucolopha undulifera", "Netria viridescens", "Zaranga pannosa", "Zaranga permagna", "Tarsolepis japonica", "Tarsolepis taiwana", "Tarsolepis kochi", "Tarsolepis sommeri", "Synodontis ngouniensis", "Platychasma virgo", "Cyphanta xanthochlora", "Cyphanta chortochroa", "Caissa gambita", "Caissa parenti", "Globochthonius abnormis", "Globochthonius caligatus", "Globochthonius cavernicola", "Globochthonius cerberus", "Tinea basifasciella", "Tinea bothniella", "Tinea dubiella", "Tinea flavescentella", "Ephippiochthonius chius", "Ephippiochthonius concii", "Ephippiochthonius corcyraeus", "Ephippiochthonius corsicus", "Ephippiochthonius creticus", "Ephippiochthonius daedaleus", "Ephippiochthonius distinguendus", "Occidenchthonius dubius", "Ephippiochthonius elbanus", "Ephippiochthonius fuscimanus", "Ephippiochthonius gasparoi", "Ephippiochthonius genuensis", "Ephippiochthonius gestroi", "Ephippiochthonius gibbus", "Ephippiochthonius girgentiensis", "Ephippiochthonius giustii", "Occidenchthonius gracilimanus", "Ephippiochthonius grafittii", "Ephippiochthonius hiberus", "Ephippiochthonius hispanus", "Ephippiochthonius insularis", "Menemerus bifurcus", "Menemerus zimbabwensis", "Menemerus minshullae", "Menemerus congoensis", "Menemerus carlini", "Menemerus desertus", "Menemerus davidi", "Menemerus fagei", "Menemerus eburnensis", "Menemerus dimidius", "Menemerus guttatus", "Menemerus formosus", "Trachemys scripta scripta", "Menemerus namibicus", "Menemerus modestus", "Menemerus mirabilis", "Menemerus meridionalis", "Menemerus magnificus", "Menemerus lesserti", "Menemerus natalis", "Cloeodes barituensis", "Cloeodes espinillo", "Cloeodes opacus", "Parameletus chelifer", "Parameletus minor", "Parameletus arcuatus", "Parameletus ensiformis", "Chaetolotis amy", "Hong glorious", "Microctonus aethiopoides", "Microctonus hyperodae", "Stroheckeria quadrimaculata", "Nat vandenbergae", "Lucialla almeidae", "Iracilda limae", "Roger boothi", "Robert popei", "Poorani serrata", "Guillermo minutus", "Veronicobius hirtus", "Veronicobius aucklandiae", "Diplocephalus cristatus", "Lepidodactylus buleli", "Nematopogon adansoniella", "Nematopogon magnus", "Nematopogon metaxella", "Nematopogon pilella", "Nematopogon prolai", "Nematopogon schwarziellus", "Nematopogon sericinellus", "Nematopogon swammerdamella", "Tinea steueri", "Rivulus formosensis", "Rivulus giarettai", "Graphis eulectra", "Graphis glaucescens", "Rivulus faucireticulatus", "Rivulus bororo", "Rivulus paresi", "Rivulus kayabi", "Rivulus illuminatus", "Epimerella luxtoni", "Graphis haleana", "Epimerella subiasi", "Graphis intricata", "Graphis inversa", "Graphis leptocarpa", "Graphis librata", "Graphis lineola", "Graphis lucifica", "Graphis lumbricina", "Graphis mexicana", "Graphis pavoniana", "Graphis platycarpella", "Thecobathra anas", "Thecobathra argophenes", "Thecobathra delias", "Thecobathra eta", "Thecobathra kappa", "Thecobathra flavida", "Ephippiochthonius aegatensis", "Ephippiochthonius aguileraorum", "Ephippiochthonius amatei", "Ephippiochthonius anatolicus", "Ephippiochthonius anophthalmus", "Ephippiochthonius apulicus", "Meteorus annetteae", "Meteorus cobbus", "Chilioesthetus gracilis", "Chilioesthetus ernstjuengeri", "Chilioesthetus cekalovici", "Meteorus quinlani", "Chilioesthetus lacinifer", "Meteorus novazealandicus", "Meteorus luteus", "Meteorus cinctellus", "Meteorus cespitator", "Meteorus pulchricornis", "Cantabrochthonius asturiensis", "Ephippiochthonius atlantis", "Ephippiochthonius balearicus", "Ephippiochthonius bartolii", "Ephippiochthonius bauneensis", "Ephippiochthonius bellesi", "Occidenchthonius berninii", "Ephippiochthonius bidentatus", "Ephippiochthonius boldorii", "Ephippiochthonius bolivari", "Ephippiochthonius cabreriensis", "Occidenchthonius cassolai", "Ephippiochthonius catalonicus", "Ephippiochthonius cavicola", "Meteorus achterbergi", "Meteorus achterbergi*", "Hypoceras mulsanti", "Rodolia koebelei", "Andrzej antennatus", "Graphis poitaeoides", "Dendromunna compsa", "Graphis pseudanaloga", "Graphis pseudosophistica", "Graphis rigidula", "Zephyranthes advena", "Graphis rimulosa", "Dendrotion setosum", "Dendrotion elegans", "Graphis subamylacea", "Graphis subelegans", "Austrofilius arnaudi", "Graphis tenella", "Graphis xylophaga", "Parameletus columbiae", "Parameletus croesus", "Parameletus midas", "Ecdyonurus groehnorum", "Ecdyonurus leopoliensis", "Thyreocephalus yunnanus", "Liotesba hubeiana", "Megalinus anhuensis", "Megalinus leishanensis", "Megalinus montanicus", "Medhiama formosana", "Medhiama rhododendri", "Callosciurus caniceps", "Atopolinus gaoligong", "Liotesba itoi", "Liotesba enthymema", "Ephippiochthonius iranicus", "Ephippiochthonius kabylicus", "Ephippiochthonius kemza", "Ephippiochthonius kewi", "Ephippiochthonius kupalo", "Ephippiochthonius longesetosus", "Ephippiochthonius lucanus", "Callosciurus finlaysonii", "Ephippiochthonius lychnidis", "Occidenchthonius machadoi", "Ephippiochthonius mahnerti", "Ephippiochthonius maltensis", "Ephippiochthonius mariolae", "Ephippiochthonius maroccanus", "Ephippiochthonius mayorali", "Callosciurus inornatus", "Callosciurus melanogaster", "Menemerus regius", "Menemerus pulcher", "Menemerus plenus", "Menemerus placidus", "Menemerus pilosus", "Menemerus paradoxus", "Menemerus rubicundus", "Menemerus soldani", "Menemerus utilis", "Menemerus transvaalicus", "Menemerus silver", "Menemerus sabulosus", "Corneolabium mandibulare", "Paracorneolabium brouni", "Metacorneolabium minus", "Bucolus stragulatus", "Microctonus aethiops", "Diomus notescens", "Macrostylis setulosa", "Macrostylis vinogradovae", "Byrrhopsis gravidus", "Lichenobius maritimus", "Pharellus thanhhoaensis", "Pharellus glabratus", "Pharellus popei", "Pharellus minutissimus", "Graphis scripta var. scripta", "Graphis scripta var. typographica", "Sciacharis sinuata", "Graphis anfractuosa", "Graphis aperiens", "Graphis botryosa", "Graphis caesiella", "Baltocar succinicus", "Chilecar pilgerodendri", "Axylita sericophora", "Alloraphes yucatani", "Alloraphes bolivarensis", "Alloraphes chiapasensis", "Graphis chromothecia", "Psilorhynchus breviminor", "Ammodiscus coombsi", "Hippeastrum canterai", "Hippeastrum angustifolium", "Hippeastrum apertispathum", "Hippeastrum araripinum", "Hippeastrum elegans", "Serapias lingua", "Hippeastrum argentinum", "Hippeastrum correiense", "Hippeastrum harrisonii", "Odonus niger", "Ephippiochthonius microtuberculatus", "Ephippiochthonius minous", "Occidenchthonius minutus", "Ephippiochthonius nanus", "Ephippiochthonius nerjaensis", "Ephippiochthonius nidicola", "Ephippiochthonius nudipes", "Occidenchthonius parmensis", "Ephippiochthonius pieltaini", "Occidenchthonius pinai", "Ephippiochthonius platakisi", "Ephippiochthonius poeninus", "Ephippiochthonius ponsi", "Ephippiochthonius poseidonis", "Ephippiochthonius pyrenaicus", "Ephippiochthonius remyi", "Ephippiochthonius rimicola", "Ephippiochthonius romanicus", "Occidenchthonius ruizporteroae", "Ephippiochthonius sacer", "Ephippiochthonius samius", "Ephippiochthonius schmalfussi", "Ephippiochthonius scythicus", "Occidenchthonius sendrai", "Ephippiochthonius serbicus", "Occidenchthonius setosus", "Ephippiochthonius siculus", "Ephippiochthonius siscoensis", "Ephippiochthonius tetrachelatus", "Ephippiochthonius troglophilus", "Ephippiochthonius tuberculatus", "Ephippiochthonius vachoni", "Occidenchthonius ventalloi", "Occidenchthonius verai", "Ephippiochthonius vid", "Ephippiochthonius virginicus", "Ephippiochthonius zoiai", "Thyatira batis formosicola", "Thyatira batis pallida", "Stenodus leucichthys", "Callosciurus nigrovittatus", "Thyatira cognata", "Megalobulimus cardosoi", "Thyatira vicina", "Megalobulimus grandis", "Thyatira vicina vicina", "Thyatira vicina baliensis", "Cis lineicollis", "Cis rufulus", "Cis viridiflavus", "Cis recurvatus", "Cis picicollis", "Cis lobipes", "Cis fulgens", "Cis obesulus", "Cis piciceps", "Cis picturatus", "Incertae sedis", "Karakaschiceras attenuatus", "Karakaschiceras neumayri", "Edaphus humeralis", "Karakaschiceras lycoris", "Edaphus rishwani", "Ora amrishi", "Ora aschnae", "Ora rishwani", "Ora roepnaraini", "Scirtes aschnae", "Scirtes rishwani", "Neohoploceras arnoldi", "Scirtes soesilae", "Allonautilus perforatus", "Allonautilus scrobiculatus", "Gaurena delattini", "Gaurena margaritha", "Gaurena albifasciata", "Gaurena forsteri", "Eumunida chani", "Uroptychus anacaena", "Uroptychus anatonus", "Uroptychus orientalis", "Uroptychus singularis", "Uroptychus brucei", "Megadineura leucotarsis", "Megadineura grandis", "Megadineura himalayana", "Megadineura rufocephala", "Exilisciurus concinnus", "Exilisciurus exilis", "Exilisciurus whiteheadi", "Cluzobra triocellata", "Cluzobra accola", "Cluzobra claripennis", "Cluzobra papaveroi", "Cluzobra coptolithus", "Cluzobra vockerothi", "Cluzobra sapiranga", "Cluzobra fluminense", "Cluzobra fritzmuelleri", "Cluzobra spinata", "Cluzobra elpidia", "Stenzeloceras sinuosum", "Funambulus layardi", "Eutrephoceras eyerdami", "Hebefustis vitjazi", "Psamathocrita dalmatinella", "Chthonius mauritanicus", "Chthonius mayi", "Chthonius mazaurici", "Chthonius microphthalmus", "Chthonius mingazzinii", "Chthonius minotaurus", "Chthonius monicae", "Chthonius motasi", "Chthonius multidentatus", "Chthonius occultus", "Chthonius ognjankae", "Chthonius ohridanus", "Chthonius orthodactyloides", "Chthonius orthodactylus", "Chthonius pacificus", "Chthonius paganus", "Chthonius paludis", "Chthonius paolettii", "Chthonius persimilis", "Chthonius petrochilosi", "Chthonius pivai", "Chthonius ponticoides", "Chthonius ponticus", "Chthonius porevidi", "Chthonius prove", "Chthonius pusillus", "Chthonius pygmaeus", "Chthonius radigost", "Chthonius radjai", "Chthonius raridentatus", "Chthonius ressli", "Chthonius rhodochelatus", "Chthonius ruffoi", "Chthonius satapliaensis", "Chthonius sestasi", "Chthonius shelkovnikovi", "Chthonius shulovi", "Chthonius stammeri", "Chthonius stevanovici", "Chthonius strinatii", "Chthonius submontanus", "Chthonius subterraneus", "Chthonius tadzhikistanicus", "Chthonius tenuis", "Chthonius thessalus", "Chthonius trebinjensis", "Chthonius troglobius", "Chthonius troglodites", "Chthonius tzanoudakisi", "Chthonius vodan", "Chthonius zmaj", "Cis anthracinus", "Cis perpinguis", "Cis illustris", "Cis cornuticeps", "Cis asperrimus", "Cis flavitarsis", "Cyphon zealandicus", "Cyphon suffusus", "Cyphon pumilio", "Cyphon parviceps", "Cyphon pictulus", "Cyphon amplus", "Cyphon viridipennis", "Cyphon plagiatus", "Cyphon propinquus", "Cyphon dilutus", "Cyphon lateralis", "Cyphon rectangulus", "Cyphon laticollis", "Cyphon remotus", "Cyphon aethiops", "Cyphon rectalis", "Cyphon trivialis", "Cyphon waikatoensis", "Cyphon variegatus", "Cyphon fuscifrons", "Cyphon discedens", "Cyphon flavescens", "Cyphon nigritulus", "Cyphon ornatus", "Cyphon pauper", "Cyphon mackerrowi", "Cyphon pachymerus", "Cyphon cincticollis", "Cyphon granulicollis", "Cyphon plumatellus", "Cyphon burrowsi", "Cyphon deterius", "Notropis orca", "Notropis hypselopterus", "Notropis longirostris", "Notropis maculatus", "Notropis petersoni", "Notropis xaenocephalus", "Prionocyphon niger", "Prionocyphon minusculus", "Edaphus cimicoides", "Edaphus inka", "Edaphus irenae", "Edaphus lescheni", "Edaphus longepilosus", "Edaphus quadrifoveolatus", "Chthonius cavophilus", "Chthonius cebenicus", "Chthonius cephalotes", "Chthonius chamberlini", "Notropis chalybaeus", "Chthonius comottii", "Chthonius cryptus", "Notropis chiliticus", "Chthonius dacnodes", "Chthonius dalmatinus", "Notropis chrosomus", "Chthonius decoui", "Notropis cummingsae", "Chthonius densedentatus", "Chthonius diophthalmus", "Notropis harperi", "Chthonius doderoi", "Notropis leuciodus", "Chthonius ellingseni", "Notropis lutipinnis", "Chthonius elongatus", "Notropis procne", "Chthonius euganeus", "Notropis rubellus", "Chthonius exarmatus", "Chthonius graecus", "Chthonius guglielmii", "Chthonius halberti", "Chthonius herbarii", "Hippeastrum aglaiae", "Hippeastrum amaru", "Hippeastrum andreanum", "Microscydmus australiensis", "Microscydmus nasicornis", "Serangium coxale", "Serangium microscopicum", "Serangium mysticum", "Cyphon acerbus", "Cyphon nigropictus", "Cyphon genalis", "Cyphon oscillans", "Cyphon albidosparsus", "Cyphon decussatus", "Cyphon ignoratus", "Cyphon poecilopterus", "Cyphon princeps", "Cyphon umbricolor", "Cyphon subvariegatus", "Cyphon pusiolus", "Cyphon brouni", "Cyphon thomasi", "Cyphon aequalis", "Cyphon arduus", "Cyphon graniger", "Cyphon huttoni", "Cyphon laticeps", "Edaphus trapezipennis", "Edaphus venezolanus", "Edaphus remilleti", "Tamotus adiposus", "Crocus kotschyanus", "Gaurena florens", "Gaurena florescens", "Gaurena gemella", "Corylus maxima", "Gaurena argentisparsa", "Chthonius heterodactylus", "Chthonius heurtaultae", "Chthonius hungaricus", "Lobobunaea cadioui", "Lobobunaea sangha", "Chthonius ilvensis", "Chthonius imperator", "Chthonius ischnocheles", "Chthonius ischnocheloides", "Chthonius italicus", "Chthonius iugoslavicus", "Chthonius jalzici", "Chthonius jonicus", "Chthonius jugorum", "Chthonius karamanianus", "Vegetia legraini", "Chthonius lanzai", "Chthonius leoi", "Chthonius leruthi", "Chthonius lesnik", "Chthonius lessiniensis", "Chthonius ligusticus", "Chthonius lindbergi", "Chthonius litoralis", "Chthonius lucifugus", "Chthonius macedonicus", "Chthonius magnificus", "Chthonius malatestai", "Capperia salanga", "Pyrocleptria naumanni", "Micropterix trinacriella", "Dremomys gularis", "Agdistis chardzhouna", "Phtheochroa weiserti", "Phtheochroa tubulata", "Dremomys lokriah", "Dremomys pernyi", "Dremomys pyrrhomerus", "Dremomys rufigenis", "Catocala catei", "Megalobulimus lopesi", "Megalobulimus parafragilior", "Thyatira dysimata", "Megalobulimus proclivis", "Thyatira delattini", "Thyatira florina", "Callosciurus notatus", "Pituophis ruthveni", "Platyceps afarensis", "Callosciurus orestes", "Platyceps collaris", "Platyceps florulentus", "Platyceps florulentus florulentus", "Platyceps florulentus keniensis", "Callosciurus phayrei", "Platyceps florulentus perreti", "Platyceps karelini", "Platyceps karelini karelini", "Platyceps karelini mintonorum", "Platyceps najadum", "Platyceps najadum albitemporalis", "Platyceps najadum atayevi", "Platyceps najadum dahlii", "Platyceps najadum kalymnensis", "Platyceps najadum najadum", "Platyceps najadum schmidtleri", "Callosciurus prevostii", "Callosciurus pygerythrus", "Callosciurus quinquestriatus", "Dremomys everetti", "Thyatira philippina", "Horithyatira decorata", "Horithyatira decorata decorata", "Horithyatira decorata takamukui", "Horithyatira decorata kawamurae", "Horithyatira ornata", "Horithyatira diehli", "Horithyatira javanica", "Notropis atherinoides", "Chthonius absoloni", "Chthonius agazzii", "Notropis amoenus", "Chthonius alpicola", "Chthonius apollinis", "Chthonius azerbaidzhanus", "Chthonius balazuci", "Chthonius bogovinae", "Chthonius brandmayri", "Chthonius caoduroi", "Chthonius caprai", "Chthonius carinthiacus", "Chthonius cavernarum", "Balistapus undulatus", "Hippeastrum arboricola", "Moema apurinan", "Renova oscari", "Terranatos dolichopterus", "Adinia xenica", "Cyclammina pacifica", "Karreriella contorta", "Hoshihananomia masatakai", "Hoshihananomia antarctica", "Cupes gaolingziensis", "Cupes tianmuensis", "Cupes yamato", "Tamiasciurus hudsonicus", "Colenisia brendelli", "Zeanecrophilus thayerae", "Melanoides tuberculata", "Cyparium piceum", "Sphindocis denticollis", "Macrothyatira arizana", "Macrothyatira arizana arizana", "Macrothyatira arizana diminuta", "Macrothyatira conspicua", "Macrothyatira fasciata", "Macrothyatira subaureata", "Macrothyatira subaureata subaureata", "Macrothyatira subaureata danieli", "Euthyatira pryeri", "Abalistes stellaris", "Balistes capriscus", "Balistes vetula", "Balistoides conspicillum", "Balistoides viridescens", "Melichthys niger", "Melichthys vidua", "Pseudobalistes flavomarginatus", "Pseudobalistes fuscus", "Rhinecanthus aculeatus", "Rhinecanthus assasi", "Rhinecanthus rectangulus", "Sufflamen chrysopterum", "Mesothyatira simplificata", "Sufflamen bursa", "Sufflamen verres", "Xanthichthys auromarginatus", "Mikrogeophagus ramirezi", "Zosterops poliogaster", "Zelogramma maculatum", "Austrolichas monteithi", "Orthocis assimilis", "Orthocis undulatus", "Fissurina albocinerea", "Hippeastrum aviflorum", "Narcissus \u00d7 alejandrei", "Hippeastrum yungacense", "Narcissus \u00d7 xaverii", "Gaurena roesleri", "Gaurena nigrescens", "Gaurena grisescens", "Fissurina alboscripta", "Gaurena pretiosa", "Gaurena aurofasciata", "Gaurena olivacea", "Gaurena watsoni", "Gaurena sinuata", "Gaurena sinuata sinuata", "Gaurena sinuata dierli", "Gaurena sinuata fletcheri", "Macrothyatira flavida", "Macrothyatira flavida flavida", "Macrothyatira flavida tapaischana", "Trionyx triunguis", "Palaega goedertorum", "Macrothyatira stramineata", "Macrothyatira stramineata stramineata", "Montezumella eichhorni", "Macrothyatira stramineata likiangensis", "Macrothyatira oblonga", "Macrothyatira labiata", "Macrothyatira transitans", "Macrothyatira flavimargo", "Byrrocryptus urquharti", "Mikrogeophagus altispinosus", "Afrisolia obesa", "Alfredella tasmanica", "Austromerus grandis", "Calomerella scutellata", "Aleyroctonus pilatus", "Helava alticola", "Nanomerus spinulus", "Neobia badia", "Oligomerella donnae", "Habrona alboplagata", "Habrona brunnea", "Habrona caerulescens", "Habrona concinna", "Habrona papuata", "Habrona marmorata", "Hemigrammus rhodostomus", "Pomacanthus annularis", "Pomacanthus asfur", "Pomacanthus imperator", "Pomacanthus paru", "Pomacanthus arcuatus", "Pomacanthus maculosus", "Pomacanthus semicirculatus", "Amazonina roppai", "Eumanota hilleviae", "Eumanota humeralis", "Eumanota jani", "Eumanota kambaiti", "Eumanota leucura", "Eumanota malaisei", "Eumanota malukuensis", "Eumanota parahumeralis", "Eumanota racola", "Eumanota suthepensis", "Lecithocera magna", "Lecithocera alpestra", "Lecithocera caviella", "Nosphistica owadai", "Nosphistica orientana", "Leiosporoceros dussii", "Thubana bisignatella", "Thubana binotella", "Abramites hypselonotus", "Acanthicus adonis", "Acanthicus hystrix", "Makotopteris princetonensis", "Trawetsia princetonensis", "Bucculatrix pannonica", "Funambulus palmarum", "Funambulus pennantii", "Acanthodoras spinosissimus", "Funambulus sublineatus", "Acarichthys heckelii", "Amblydoras hancockii", "Funambulus tristriatus", "Mompha nancyae", "Chlorostrymon kuscheli", "Chlorostrymon telea", "Anoncia crossi", "Neonympha mitchellii", "Neonympha mitchellii mitchellii", "Neonympha mitchellii francisci", "Glyphotes simus", "Hyosciurus heinrichi", "Hyosciurus ileile", "Lariscus hosei", "Lariscus insignis", "Acridarachnea ophthalmica", "Lariscus niobe", "Lariscus obscurus", "Menetes berdmorei", "Nannosciurus melanotis", "Prosciurillus abstrusus", "Icaricia shasta", "Icaricia shasta shasta", "Icaricia shasta charlestonensis", "Epicephala suttoni", "Tylostega tylostegalis", "Anomomorpha turbulenta", "Anomomorpha aggregans", "Anomomorpha sordida", "Dyplolabia afzelii", "Dyplolabia oryzoides", "Amphicyllis globus", "Waipoua toronui", "Waipoua hila", "Tangata waipoua", "Faeculoides bifusa", "Faeculoides leucopis", "Faeculoides plumbifusa", "Celotes nessus", "Celotes limpia", "Aenictus acerbus", "Aenictus diclops", "Aenictus prolixus", "Agrophaspidium flavimana", "Agrophaspidium minutum", "Agrophaspidium monticola", "Agrophaspidium pollinosum", "Agrophaspidium psilotum", "Agrophaspidium hastatum", "Amphinemura interrupta", "Amphinemura nigritubulata", "Amphinemura triramia", "Cosmophyga cortesi", "Dioscorea japonica", "Crocus aleppicus", "Hokkaidocephala apodemi", "Hokkaidocephala baeri", "Pseudurgis maacki", "Nomima montisusti", "Nomima gaerdesi", "Nomima deserticola", "Meridarchis regalis", "Carposina longipalpalis", "Sundasciurus brookei", "Sundasciurus davensis", "Sundasciurus fraterculus", "Platyceps rhodorachis", "Platyceps rhodorachis kashmirensis", "Platyceps rhodorachis ladacensis", "Platyceps rhodorachis rhodorachis", "Platyceps rhodorachis subniger", "Platyceps rogersi", "Platyceps saharicus", "Platyceps ventromaculatus", "Platyceps ventromaculatus bengalensis", "Platyceps ventromaculatus indusai", "Platyceps ventromaculatus ventromaculatus", "Prosymna ambigua", "Prosymna ambigua ambigua", "Prosymna ambigua bocagii", "Prosymna stuhlmanni", "Prosymna angolensis", "Prosymna bivittata", "Prosymna frontalis", "Prosymna greigerti", "Prosymna greigerti collaris", "Prosymna greigerti greigerti", "Prosymna janii", "Prosymna meleagris", "Prosymna ornatissima", "Prosymna pitmani", "Prosymna ruspolii", "Prosymna semifasciata", "Prosymna somalica", "Prosymna sundevalli", "Prosymna lineata", "Prosymna sundevalli sundevalli", "Prosymna visseri", "Pseudocyclophis persicus", "Pseudocyclophis persicus nigrofasciatus", "Pseudocyclophis persicus persicus", "Pseudoficimia frontalis", "Pseustes cinnamomeus", "Pseustes poecilonotus", "Pseustes poecilonotus argus", "Pseustes poecilonotus chrysobronchus", "Pseustes poecilonotus polylepis", "Pseustes poecilonotus poecilonotus", "Pseustes sexcarinatus", "Pseustes shropshirei", "Carbacanthographis amicta", "Carbacanthographis candidata", "Carbacanthographis chionophora", "Carbacanthographis crassa", "Carbacanthographis hertelii", "Carbacanthographis inspersa", "Carbacanthographis iriomotensis", "Carbacanthographis marcescens", "Carbacanthographis stictica", "Carbacanthographis subalbotecta", "Carbacanthographis salazinica", "Apistogramma commbrae", "Apistogramma pertensis", "Xylophanes lolita", "Apistogramma trifasciata", "Xylophanes balcazari", "Xylophanes cthulhu", "Apteronotus albifrons", "Lycaena tityrus", "Euparyphasma albibasis", "Neotogaria saitonis", "Horipsestis aenea", "Horipsestis mushana", "Aspidoras poecilus", "Paraptica micraula", "Pseustes sulphureus", "Pseustes sulphureus dieperinkii", "Placodoma fulva", "Pseustes sulphureus sulphureus", "Ptyas carinata", "Ptyas dhumnades", "Ptyas dipsas", "Ptyas fusca", "Ptyas korros", "Ptyas luzonensis", "Ptyas mucosa", "Ptyas nigromarginatus", "Rhadinophis frenatum", "Rhadinophis prasina", "Astyanax mexicanus", "Astyanax jordani", "Astyanax bimaculatus", "Astyanax fasciatus", "Paratemelia namibiella", "Paratemelia meyi", "Agonopterix trimenella", "Storthyngura antarctica", "Storthyngura longispina", "Croton glandulosus", "Somatidia grandis", "Rangitata peelensis", "Duripelta hunua", "Duripelta egmont", "Duripelta totara", "Duripelta watti", "Duripelta borealis", "Tenebrosoma terrestre", "Chaetodon capistratus", "Chaetodon ocellatus", "Anostomus anostomus", "Anostomus ternetzi", "Apareiodon affinis", "Aphyocharax anisitsi", "Apistogramma nijsseni", "Apistogramma agassizii", "Apistogramma borellii", "Apistogramma cacatuoides", "Cyrtodactylus macrotuberculatus", "Lithodes paulayi", "Lithodes longispina", "Prosciurillus leucomus", "Prosciurillus murinus", "Prosciurillus rosenbergii", "Amynthas tessellatus", "Amynthas tessellatus paucus", "Amynthas tessellatus tessellatus", "Prosciurillus weberi", "Rhinosciurus laticaudatus", "Rubrisciurus rubriventer", "Inpaichthys kerri", "Pygoplites diacanthus", "Centropyge bispinosa", "Centropyge flavissima", "Centropyge interruptus", "Centropyge potteri", "Holacanthus passer", "Holacanthus tricolor", "Chaetodontoplus septentrionalis", "Neoontelus bifurcatus", "Neoontelus elongatus", "Fissurina canlaonensis", "Fissurina cingalina", "Fissurina columbina", "Fissurina comparimuralis", "Fissurina cypressi", "Fissurina dumastii", "Fissurina dumastioides", "Fissurina elaiocarpa", "Fissurina glauca", "Fissurina globulifica", "Fissurina humilis", "Fissurina illiterata", "Fissurina incrustans", "Fissurina inquinata", "Fissurina insidiosa", "Fissurina nitidescens", "Fissurina praetermissa", "Fissurina rubiginosa", "Fissurina rufula", "Fissurina scolecitis", "Fissurina subcontexta", "Fissurina subnitidula", "Fissurina tachygrapha", "Potentilla indica", "Koreagna obtecta", "Gonatodes infernalis", "Apareiodon agmatos", "Celotes spurcus", "Solistrus mitrae", "Periclimenes guarapari", "Sundasciurus hippurus", "Sundasciurus hoogstraali", "Sundasciurus jentinki", "Crystallaria cincotta", "Crystallaria asprella", "Austrolebias nigripinnis", "Discomorpha seckyi", "Oxylepus boroveci", "Hypselecara temporalis", "Cichla jariina", "Cichla kelberi", "Neoontelus striatus", "Neoontelus punctipennis", "Zeamordella brouni", "Veronatus tricostellus", "Hypselecara coryphaenoides", "Microsilpha argentina", "Microsilpha topali", "Microsilpha ocelligera", "Microsilpha litorea", "Pyromorpha caelebs", "Zestusa levona", "Amphiprion sebae", "Amphiprion thiellei", "Amphiprion tricinctus", "Parochromolopis psittacanthus", "Dianesia carteri", "Dianesia carteri carteri", "Dianesia carteri ramsdeni", "Hypothyris daphnis madeira", "Mesocolon puncticeps", "Mesocolon retractum", "Mesocolon microps", "Mesocolon nesobium", "Mesocolon crenatellum", "Mesocolon caecum", "Mesocolon castaneum", "Mesocolon clathratum", "Mesocolon crassipes", "Pseudonemadus lituratus", "Veronatus longicornis", "Veronatus sternalis", "Veronatus reversus", "Veronatus apterus", "Veronatus brevicollis", "Veronatus versicolor", "Veronatus vestitus", "Veronatus tarsalis", "Veronatus fulgidulus", "Veronatus punctipennis", "Veronatus nubilus", "Veronatus antennalis", "Veronatus sharpi", "Veronatus frontalis", "Veronatus scabiosus", "Veronatus capito", "Tipulodes ima", "Tipulodes rubriceps", "Tipulodes annae", "Amphiprion barberi", "Amphiprion mccullochi", "Amphiprion nigripes", "Amphiprion omanensis", "Amphiprion perideraion", "Amphiprion polymnus", "Amphiprion rubrocinctus", "Amphiprion sandaracinos", "Pilea inaequalis", "Plateros kalamensis", "Plateros lalui", "Plateros mamasensis", "Plateros milenae", "Plateros orobuensis", "Plateros rubromamasensis", "Plateros tanatorajensis", "Microlia panamensis", "Microlia pentamera", "Microlia tetramera", "Paragrilus akersi", "Paragrilus burkei", "Paragrilus heliocarpi", "Paragrilus moldenkei", "Paragrilus fallorum", "Paragrilus azureus", "Guaiacum sanctum", "Ablepton treforti", "Leptochromus bicolor", "Leptochromus palaeomexicanus", "Oidaematophorus balanotes", "Oidaematophorus grandis", "Oidaematophorus kellicottii", "Oidaematophorus lacteodactylus", "Oidaematophorus glenni", "Oncocnemis cottami", "Oncocnemis heterogena", "Graphina pauciloculata", "Graphina platyleuca", "Nosodendron laosense", "Nosodendron helferi", "Nosodendron horaki", "Nosodendron nomurai", "Nosodendron prudeki", "Nosodendron nepalense", "Graphina plurispora", "Graphina ruiziana", "Graphina scolecitis", "Graphina suberythrella", "Graphina subnitida", "Graphina substriatula", "Graphina virginea", "Graphina xylophaga", "Nemacerota lobbichleri", "Microsciurus alfari", "Abacion tesselatum", "Abacion wilhelminae", "Abacion lactarium", "Abacion texense", "Branneria bonoculus", "Oxypyge lapidicina", "Oxypyge mesites", "Oxypyge varicolor", "Oxypyge ferruginipes", "Graphina babingtonii", "Graphina carneoviridis", "Graphina colliculosa", "Graphina columbina", "Graphina cypressi", "Sundasciurus juvencus", "Sundasciurus lowii", "Sundasciurus mindanensis", "Sundasciurus moellendorffi", "Sundasciurus philippinensis", "Sundasciurus rabori", "Sundasciurus samarensis", "Sundasciurus steerii", "Sundasciurus tenuis", "Tamiops maritimus", "Tamiops mcclellandii", "Tamiops rodolphii", "Tamiops swinhoei", "Ratufa affinis", "Ratufa bicolor", "Ratufa indica", "Ratufa macroura", "Feroponera ferox", "Promyopias silvestrii", "Idahotyphlus alleni", "Abudefduf abdominalis", "Abudefduf bengalensis", "Abudefduf concolor", "Graphium deliae", "Abudefduf conformis", "Abudefduf declivifrons", "Abudefduf hoefleri", "Ampelophaga nikolae", "Ampelophaga thomasi", "Taygetis oyapock", "Rapala cassidyi", "Biotodoma cupido", "Brachyplatystoma tigrinus", "Pycnomerodes peregrinus", "Exohadrus volutithorax", "Syrphetodes decoratus", "Rhizonium antiquum", "Graphina illinata", "Nosodendron moluccense", "Nosodendron manuselae", "Graphina incrustans", "Nosodendron zealandicum", "Graphina leuconephela", "Graphina marcescens", "Amblyscirtes anubis", "Amblyscirtes phylace", "Amblyscirtes fimbriata", "Amblyscirtes patriciae", "Amblyscirtes brocki", "Amblyscirtes elissa elissa", "Amblyscirtes elissa arizonae", "Amblyscirtes hegon", "Amblyscirtes tolteca tolteca", "Amblyscirtes tolteca prenda", "Microsciurus flaviventer", "Microsciurus mimulus", "Microsciurus santanderensis", "Rheithrosciurus macrotis", "Sciurus aestuans", "Sciurus alleni", "Pleistovultur nevesi", "Linothele cavicola", "Ixamatus barina", "Ixamatus caldera", "Ixamatus candidus", "Ixamatus fischeri", "Ixamatus musgravei", "Ixamatus webbae", "Mediothele australis", "Neocamiarus kuscheli", "Carnegiella marthae", "Carnegiella strigata", "Baeosilpha rufescens", "Skiapus baeki", "Charaxes anticlea", "Charaxes anticlea anticlea", "Charaxes anticlea adusta", "Charaxes anticlea produsta", "Charaxes anticlea suna", "Charaxes anticlea mwera", "Inocatops compactus", "Inocatops flectipes", "Inocatops nigrescens", "Inocatops concinnus", "Tetheella fluctuosa", "Callambulyx tatarinovii tatarinovii", "Callambulyx tatarinovii formosana", "Callambulyx tatarinovii gabyae", "Callambulyx junonia", "Callambulyx kitchingi", "Abudefduf lorenzi", "Abudefduf luridus", "Abudefduf margariteus", "Abudefduf natalensis", "Abudefduf notatus", "Abudefduf saxatilis", "Abudefduf septemfasciatus", "Abudefduf sexfasciatus", "Abudefduf sordidus", "Abudefduf sparoides", "Platythecium acutisporum", "Platythecium allosporellum", "Platythecium colliculosum", "Platythecium commiscens", "Platythecium dimorphodes", "Platythecium floridanum", "Platythecium grammitis", "Platythecium hypoleptum", "Platythecium inspersum", "Platythecium intortula", "Platythecium leiogramma", "Platythecium occultum", "Platythecium parvicarpum", "Platythecium pertenellum", "Platythecium serpentinellum", "Platythecium sphaerosporellum", "Platythecium suberythrellum", "Platythecium verrucoareolatum", "Salpingus pallidipes", "Salpingus hudsoni", "Salpingus swalei", "Salpingus laticollis", "Nemacerota cinerea", "Nemacerota tancrei", "Nemacerota griseobasalis", "Nemacerota decorata", "Nemacerota pectinata", "Toxoides undulatus", "Kaernefeltia californica", "Kaernefeltia merrillii", "Brochis britskii", "Brochis splendens", "Lecanora crassithallina", "Bujurquina mariae", "Bunocephalus amaurus", "Bunocephalus coracoideus", "Callichthys callichthys", "Abudefduf taurus", "Abudefduf troschelii", "Abudefduf vaigiensis", "Abudefduf whitleyi", "Acanthochromis polyacanthus", "Altrichthys azurelineatus", "Altrichthys curatus", "Amblyglyphidodon aureus", "Amblyglyphidodon batunai", "Amblyglyphidodon curacao", "Amblyglyphidodon flavilatus", "Amblyglyphidodon indicus", "Amblyglyphidodon leucogaster", "Ostrinia ovalipennis", "Leptinillus aplodontiae", "Catopsolius nitidus", "Catopsolius laevicollis", "Eublackburniella kireitshuki", "Neopelatops chillanensis", "Neopelatops edwardsi", "Saphobius curvipes", "Saphobius edwardsi", "Saphobius fulvipes", "Saphobius fuscus", "Saphobius inflatipes", "Saphobius laticollis", "Saphobius lepidus", "Saphobius nitidulus", "Saphobius setosus", "Saphobius squamulosus", "Saphobius tibialis", "Saphobius wakefieldi", "Andvakia boninensis", "Andvakia insignis", "Andvakia isabellae", "Andvakia mirabilis", "Andvakia parva", "Synandwakia multitentaculata", "Martineziana vandykei", "Salpingus nigricans", "Salpingus aterrimus", "Salpingus denticollis", "Salpingus atrellus", "Salpingus semilaevis", "Salpingus simplex", "Salpingus tarsalis", "Salpingus rugulosus", "Salpingus cognatus", "Salpingus ornatus", "Salpingus fossulatus", "Salpingus quisquilius", "Salpingus hirtus", "Salpingus lautus", "Salpingus angusticollis", "Salpingus perpunctatus", "Salpingus unguiculus", "Salpingus bilunatus", "Salpingus testaceus", "Chromis klunzingeri", "Chromis lepidolepis", "Chromis leucura", "Alasea corniculata", "Triplophysa waisihani", "Elacatinus phthirophagus", "Amerotyphlops tycherus", "Pseudoveleronia laevifrons", "Umbothynnus alexius", "Umbothynnus bertholetiensis", "Umbothynnus borrolooliensis", "Umbothynnus infuscatus", "Umbothynnus katherinensis", "Umbothynnus subcornutus", "Umbothynnus subspinosus", "Umbothynnus webbiensis", "Elaphrus angulonotus", "Catoprion mento", "Chalceus erythrurus", "Chalceus macrolepidotus", "Bos aegyptiacus", "Holocerina rougeoti", "Temnora dierli", "Dolbina schnitzleri", "Sciurus arizonensis", "Sciurus aureogaster", "Sciurus colliaei", "Dario dario", "Dario dayingensis", "Dario hysginon", "Iathrippa chilensis", "Uralocoleus ultimus", "Holcocera sakura", "Tisis xantholepidos", "Tisis aurantiella", "Tisis sophistica", "Lactarius deliciosus", "Bryotropha plantariella", "Bryotropha galbanella", "Mictosoma ramosum", "Muonaja yonde", "Onya myee", "Sphaeropelatops globosus", "Ragytodes ocellifer", "Ostreacryptus clarkae", "Picrotus thoracicus", "Ytu brutus", "Ytu cleideae", "Ytu reichardti", "Chelonarium kurosawai", "Delevea bertrandi", "Delevea namibensis", "Iapir trombetensis", "Pulchicupes jiensis", "Allopterus luianus", "Allopterus mayorgai", "Triangulochrysopa sanzi", "Triangulochrysopa formosa", "Armandochrysopa borschukewitzi", "Armandochrysopa inexpecta", "Karenina breviptera", "Karenina longicollis", "Karenina leilana", "Cyphanus punctatus", "Camiarites indiscretus", "Camiarites convexus", "Inocatops spinifer", "Inocatops granipennis", "Inocatops elongellus", "Inocatops separatus", "Inocatops impressus", "Priacma sanzii", "Tetraphalerus ponomarenkoi", "Tetraphalerus penalveri", "Cionocoleus longicapitis", "Cionocoleus magicus", "Cionocoleus ommamimus", "Cionocoleus sibiricus", "Cionocoleus planiusculus", "Priacma striata", "Euryomma tylodes", "Tetraphalerus latus", "Tetraphalerus curtinervis", "Lasiosyne euglyphea", "Permosyne dentata", "Permosyne europensis", "Permosyne elongata", "Permosyne sibirica", "Narcissus munozii-garmendiae", "Argentinosyne frenguellii", "Argentinosyne gonaldiae", "Argentinosyne gualoensis", "Argentinosyne losrastrosensis", "Argentinosyne rugosa", "Argentinosyne bonapartei", "Paracupes svitkoi", "Wharia willcocksorum", "Minicosta mollyae", "Amblyglyphidodon melanopterus", "Amblyglyphidodon orbicularis", "Amblyglyphidodon ternatensis", "Amblypomacentrus breviceps", "Amblypomacentrus clarus", "Azurina eupalama", "Azurina hirundo", "Cheiloprion labiatus", "Chromis abrupta", "Chromis abyssicola", "Chromis abyssus", "Chromis acares", "Chromis agilis", "Chromis albomaculata", "Chromis alleni", "Chromis alpha", "Chromis alta", "Chromis amboinensis", "Chromis analis", "Chromis atrilobata", "Chromis atripectoralis", "Chromis atripes", "Chromis axillaris", "Chromis bami", "Chromis brevirostris", "Chromis cadenati", "Chromis caerulea", "Chromis caudalis", "Chromis chromis", "Chromis chrysura", "Chromis cinerascens", "Chromis circumaurea", "Chromis crusma", "Chromis cyanea", "Chromis dasygenys", "Chromis degruyi", "Chromis delta", "Chromis dimidiata", "Chromis dispilus", "Chromis earina", "Chromis elerae", "Chromis enchrysura", "Chromis fatuhivae", "Chromis flavapicis", "Chromis flavaxilla", "Chromis flavicauda", "Chromis flavipectoralis", "Chromis flavomaculata", "Chromis fumea", "Chromis hanui", "Chromis hypsilepis", "Chromis insolata", "Chromis intercrusma", "Chromis iomelas", "Chromis jubauna", "Daphnis protrudens", "Daphnis protrudens protrudens", "Sciurus deppei", "Daphnis protrudens lecourti", "Sciurus flammifer", "Ludia jordani", "Incertae sedis", "Charaxes smaragdalis", "Charaxes smaragdalis smaragdalis", "Ororaphidia megalocephala", "Charaxes smaragdalis allardi", "Styporaphidia magia", "Charaxes smaragdalis butleri", "Charaxes smaragdalis caerulea", "Charaxes smaragdalis elgonae", "Charaxes smaragdalis kagera", "Charaxes smaragdalis kigoma", "Charaxes smaragdalis metu", "Charaxes smaragdalis toro", "Charaxes smaragdalis gobyae", "Charaxes smaragdalis homonymus", "Charaxes smaragdalis leopoldi", "Lepraria achariana", "Lepraria alpina", "Lepraria borealis", "Lepraria caesiella", "Lepraria diffusa", "Lepraria eburnea", "Lepraria elobata", "Lepraria flavescens", "Lepraria friabilis", "Lepraria frigida", "Lepraria impossibilis", "Lepraria jackii", "Lepraria lanata", "Lepraria lecanorica", "Lepraria lobificans", "Lepraria membranacea", "Lepraria neglecta", "Lepraria neojackii", "Lepraria nivalis", "Lepraria normandinoides", "Lepraria nylanderiana", "Lepraria obtusatica", "Lepraria pallida", "Lepraria salazinica", "Lepraria sipmaniana", "Lepraria squamatica", "Lepraria umbricola", "Lepraria vouauxii", "Lepraria xerophila", "Leptopulvinaria kawaii", "Pulvinaria hakonensis", "Pulvinaria aonoae", "Pulvinaria satoi", "Incertae sedis", "Meioneurites schlosseri", "Cribropulvinaria tailungensis", "Meioneurites villosus", "Incertae sedis", "Aetheogramma speciosa", "Lepraria toensbergiana", "Permosyne belmontensis", "Permosyne affinis", "Permosyne mitchelli", "Edwardsia allmani", "Edwardsia andresi", "Edwardsia annamensis", "Edwardsia arctica", "Edwardsia arenosa", "Edwardsia athalyei", "Edwardsia beautempsii", "Edwardsia capensis", "Baeocera abrupta", "Baeocera benolivia", "Baeocera elenae", "Baeocera epipleuralis", "Baeocera hillaryi", "Baeocera karamea", "Baeocera punctatissima", "Baeocera tekootii", "Baeocera tensingi", "Baeocera tenuis", "Baeocera sternalis", "Scaphisoma hanseni", "Scaphisoma funereum", "Scaphisoma corcyricum", "Baeocera actuosa", "Brachynopus latus", "Brachynopus scutellaris", "Colias alexandra", "Amblyscirtes folia", "Amblyscirtes raphaeli", "Amblyscirtes exoteria", "Notamblyscirtes simius", "Amblyscirtes cassus", "Amblyscirtes aenus", "Amblyscirtes linda", "Amblyscirtes oslari", "Amblyscirtes fluonia", "Amblyscirtes elissa", "Amblyscirtes texanae", "Amblyscirtes tolteca", "Amblyscirtes aesculapius", "Amblyscirtes carolina", "Amblyscirtes reversa", "Amblyscirtes nereus", "Amblyscirtes nysa", "Amblyscirtes eos", "Amblyscirtes vialis", "Amblyscirtes celia", "Amblyscirtes belli", "Amblyscirtes alternata", "Amblyscirtes florus", "Bothroprosopa mirifica", "Kierania grata", "Chromis limbata", "Chromis limbaughi", "Chromis lineata", "Chromis lubbocki", "Chromis margaritifer", "Chromis megalopsis", "Chromis meridiana", "Chromis mirationis", "Chromis monochroma", "Chromis multilineata", "Chromis nigroanalis", "Chromis nigrura", "Chromis nitida", "Lepraria diffusa var. diffusa", "Chromis notata", "Chromis okamurai", "Chromis onumai", "Lepraria diffusa var. chrysodetoides", "Chromis opercularis", "Chromis ovalis", "Chromis ovatiformis", "Chromis pamae", "Chromis pelloura", "Chromis pembae", "Chromis planesi", "Chromis punctipinnis", "Chromis pura", "Chromis randalli", "Chromis retrofasciata", "Chromis sanctaehelenae", "Chromis scotochiloptera", "Chromis scotti", "Chromis struhsakeri", "Chromis ternatensis", "Chromis trialpha", "Chromis vanderbilti", "Chromis verater", "Chromis viridis", "Chromis weberi", "Chromis westaustralis", "Chromis woodsi", "Chromis xanthochira", "Chromis xanthopterygia", "Chromis xanthura", "Chromis xouthos", "Chromis xutha", "Chrysiptera albata", "Chrysiptera annulata", "Chrysiptera biocellata", "Chrysiptera bleekeri", "Chrysiptera brownriggii", "Chrysiptera caeruleolineata", "Chrysiptera cyanea", "Chrysiptera cymatilis", "Chrysiptera flavipinnis", "Chrysiptera galba", "Chrysiptera giti", "Chrysiptera glauca", "Chrysiptera hemicyanea", "Chrysiptera kuiteri", "Chrysiptera niger", "Chrysiptera notialis", "Chrysiptera oxycephala", "Chrysiptera parasema", "Chrysiptera pricei", "Chrysiptera rapanui", "Chrysiptera rex", "Chrysiptera rollandi", "Chrysiptera sheila", "Chrysiptera sinclairi", "Lepraria crassissima var. crassissima", "Chrysiptera springeri", "Chrysiptera starcki", "Chrysiptera talboti", "Chrysiptera taupou", "Lepraria crassissima var. isidiata", "Chrysiptera traceyi", "Chrysiptera tricincta", "Chrysiptera unimaculata", "Syncopacma dolina", "Syncopacma tadzhika", "Syncopacma altaica", "Sciurus gilvigularis", "Dirhinosia unifasciella", "Sciurus granatensis", "Sciurus ignitus", "Dirhinosia cervinella", "Dirhinosia nitidula", "Dirhinosia arnoldiella", "Pityocona bifurcatus", "Teleiodes gangwonensis", "Graphium almansor", "Riekella nitidioides", "Riekella australis", "Riekella maximus", "Mactra chinensis", "Paratomaria crowsoni", "Mactra glauca", "Mactra ovata", "Narcissus \u00d7 tuckeri", "Nostoceras approximans", "Nostoceras atlernatum", "Nostoceras hyatti", "Nostoceras pauper", "Didymoceras draconis", "Exiteloceras rude", "Eosyntexis parva", "Eosyntexis tuffinae", "Eosyntexis catalonicus", "Eosyntexis senilis", "Cretosyntexis montsecensis", "Brachysyntexis robusta", "Syntexyela continentalis", "Ademosynoides chinaticus", "Ademosynoides juxta", "Ademosynoides antarctica", "Tarwinia australis", "Labradorocoleus carpenteri", "Permocoleus wellingtonensis", "Omma altajense", "Omma antennatum", "Omma gobiense", "Tetraphalerus notatus", "Tetraphalerus longicollis", "Tetraphalerus bontsaganensis", "Tetraphalerus collaris", "Tetraphalerus glabratus", "Priacma longicapitis", "Priacma oculata", "Priacmopsis minimus", "Tetraphalerus brevicapitis", "Polyhymno chionarcha", "Polyhymno euridoxa", "Polyhymno hostilis", "Polyhymno palinorsa", "Polyhymno pausimacha", "Acutitornus munda", "Ornativalva kalahariensis", "Metzneria brandbergi", "Parathectis sordidula", "Leuronoma oenochyta", "Streyella pallidigrisea", "Neotelphusa ochlerodes", "Neotelphusa phaeomacula", "Paratelphusa reducta", "Allotelphusa lathridia", "Gelechia sematica", "Schizovalva exoenota", "Scrobipalpa vicaria", "Sciurus igniventris", "Neotogaria saitonis sinjaevi", "Neotogaria flammifera", "Neotogaria galema", "Neotogaria angulifera", "Neotogaria hoenei", "Arbacia punctulata", "Horipsestis aenea aenea", "Horipsestis aenea roseobasalis", "Horipsestis aenea minor", "Horipsestis angusta", "Horipsestis mushana mushana", "Horipsestis mushana schintlmeisteri", "Horipsestis minutus", "Peltula africana", "Peltula auriculata", "Peltula bolanderi", "Peltula congregata", "Peltula crispatula", "Peltula cylindrica", "Peltula farinosa", "Peltula impressa", "Peltula langei", "Peltula lingulata", "Peltula obscurans", "Peltula obscuratula", "Peltula omphaliza", "Peltula placodizans", "Peltula psammophila", "Peltula santessonii", "Peltula sonorensis", "Peltula tortuosa", "Peltula umbilicata", "Megoleria susiana susanna", "Symmachia busbyi", "Symmachia emeralda", "Pirascca patriciae", "Xenandra ahrenholzi", "Copeina guttata", "Copella arnoldi", "Copella metae", "Copella nattereri", "Copella nigrofasciata", "Aeretes melanopterus", "Rhynchoferella simplex", "Hypotia dinteri", "Synaphe fuscochralis", "Scotomera fuliginosalis", "Tyndis namibiensis", "Pseudozitha alticolalis", "Pithyllis metachryseis", "Pithyllis pallidalis", "Sindris albimaculalis", "Aglossa rhodalis", "Aglossa phaealis", "Anacridium aegyptium", "Scrobipalpa diversa", "Ergasiola ergasima", "Sciurus nayaritensis", "Scrobipalpa heliopa", "Ephysteris promptella", "Sciurus oculatus", "Hedma rhamnifoliae", "Dascyllus albisella", "Hedma microcasis", "Dascyllus aruanus", "Dascyllus auripinnis", "Dascyllus carneus", "Dascyllus flavicaudus", "Dascyllus marginatus", "Dascyllus melanurus", "Dascyllus reticulatus", "Sciurus olsoni", "Dascyllus strasburgi", "Dascyllus trimaculatus", "Stomopteryx eremopsis", "Sciurus pucheranii", "Octonodula binotella", "Syncopacma oxispila", "Syncopacma polychromella", "Sciurus pyrrhinus", "Sciurus richmondi", "Sciurus sanborni", "Microcraspedus synecta", "Ochrodia subdiminutella", "Ochrodia pentamacula", "Sciurus spadiceus", "Sciurus stramineus", "Hypatima austerodes", "Sciurus variegatoides", "Anarsia nimbosa", "Anarsia agricola", "Sciurus yucatanensis", "Argophara epaxia", "Aspades hurchinsonella", "Lacistodes tauropis", "Rhynchoferella syncentra", "Tamiasciurus mearnsi", "Rhynchoferella kuehnei", "Rhynchoferella hoppei", "Eupetaurus cinereus", "Pyralosis polycyclophora", "Delopterus basalis", "Glaucomys sabrinus", "Epilepia melanobrunnea", "Epilepia melanobasis", "Glaucomys volans", "Hylopetes alboniger", "Chilodus punctatus", "Cichlasoma portalegrense", "Colomesus asellus", "Colomesus psittacus", "Pachypops pigmaeus", "Apogon brevispinis", "Apogon regula", "Parananochromis axelrodi", "Parananochromis brevirostris", "Parananochromis ornatus", "Trimma annosum", "Trimma anthrenum", "Trimma preclarum", "Chlopsis slusserorum", "Chlopsis bidentatus", "Tersus crowsoni", "Symmachia satana", "Esthemopsis talamanca", "Nemophora tanakai", "Nemophora fluorites", "Crenicara punctulatum", "Peltula obscurans var. obscurans", "Tympanota perophora", "Tympanota perophora perophora", "Tympanota perophora podocarpi", "Peltula obscurans var. deserticola", "Peltula obscurans var. hassei", "Omma liassicum", "Brochocoleus maculatus", "Pseudophyllites indra", "Kitchinites pondicherryanus", "Heppia adglutinata", "Heppia conchiloba", "Heppia despreauxii", "Heppia lutosa", "Todimopsis kuscheli", "Tarphiablabus watti", "Nexilosus latifrons", "Parma alboscapularis", "Parma bicolor", "Parma kermadecensis", "Parma mccullochi", "Parma microlepis", "Plectroglyphidodon dickii", "Plectroglyphidodon flaviventris", "Plectroglyphidodon imparipennis", "Plectroglyphidodon johnstonianus", "Metopina bacanae", "Plectroglyphidodon lacrymatus", "Plectroglyphidodon leucozonus", "Metopina blaxteri", "Plectroglyphidodon phoenixensis", "Metopina chambersae", "Plectroglyphidodon randalli", "Metopina dormani", "Plectroglyphidodon sagmarius", "Metopina edwardsi", "Plectroglyphidodon sindonis", "Metopina palawanensis", "Metopina prolongata", "Metopina spriggsi", "Metopina ciceri", "Tanacetum sorbifolium", "Tanacetum kotschyi", "Laciniomyia dilata", "Laishania angustithorax", "Tragopogon aureus", "Tripleurospermum repens", "Isopsestis cuprina", "Mesopsestis undosa", "Ochropacha duplaris", "Psidopala opalescens", "Psidopala undulans", "Psidopala pennata", "Crenicichla alta", "Crenicichla notophthalmus", "Crenicichla regani", "Datnioides campbelli", "Datnioides microlepis", "Datnioides polota", "Datnioides pulcher", "Datnioides undecimradiatus", "Hoploscaphites pumilis", "Napaea danforthi", "Discoscaphites gulosus", "Piruna purepecha", "Electribius crowsoni", "Electribius similis", "Atopida castanea", "Sericospilus rossii", "Hoploscaphites birkelundae", "Jeletzkytes dorfi", "Crenuchus spilurus", "Dekeyseria pulchra", "Percina caprodes", "Torodora recurvata", "Torodora niphotricha", "Torodora candida", "Torodora argenteola", "Torodora parvifoliae", "Torodora pediformis", "Torodora chatolensis", "Torodora lechridia", "Torodora cavecostalis", "Torodora meyi", "Torodora activata", "Jogocerus fretagi", "Jogocerus hainanensis", "Torodora pinigisanica", "Torodora castanea", "Hylopetes bartelsi", "Torodora ochrocapna", "Hylopetes lepidus", "Diariptus hexacanthus", "Diariptus napoanus", "Hylopetes nigripes", "Hylopetes phayrei", "Hylopetes sipora", "Chalarus immanis", "Chalarus marki", "Chalarus saxonicus", "Hylopetes spadiceus", "Iomys horsfieldii", "Iomys sipora", "Chaoborus sampsera", "Dischistodus chrysopoecilus", "Dischistodus darwiniensis", "Dischistodus fasciatus", "Dischistodus melanotus", "Dischistodus perspicillatus", "Dischistodus prosopotaenia", "Dischistodus pseudochrysopoecilus", "Hemiglyphidodon plagiometopon", "Hypsypops rubicundus", "Lepidozygus tapeinosoma", "Mecaenichthys immaculatus", "Microspathodon bairdii", "Microspathodon chrysurus", "Microspathodon dorsalis", "Microspathodon frontatus", "Neoglyphidodon bonang", "Neoglyphidodon carlsoni", "Neoglyphidodon crossi", "Neoglyphidodon melas", "Neoglyphidodon nigroris", "Neoglyphidodon oxyodon", "Neoglyphidodon polyacanthus", "Neoglyphidodon thoracotaeniatus", "Neopomacentrus anabatoides", "Neopomacentrus aquadulcis", "Neopomacentrus azysron", "Neopomacentrus bankieri", "Neopomacentrus cyanomos", "Neopomacentrus fallax", "Neopomacentrus filamentosus", "Neopomacentrus fuliginosus", "Neopomacentrus metallicus", "Neopomacentrus miryae", "Neopomacentrus nemurus", "Neopomacentrus sindensis", "Neopomacentrus sororius", "Neopomacentrus taeniurus", "Neopomacentrus violascens", "Neopomacentrus xanthurus", "Rhinechis scalaris", "Colurostylis castlepointensis", "Euparyphasma albibasis albibasis", "Euparyphasma albibasis guankaiyuni", "Euparyphasma albibasis cinereofusca", "Euparyphasma maxima", "Euparyphasma obscura", "Chaeopsestis ludovicae", "Neotogaria saitonis saitonis", "Exodon paradoxus", "Juniperus macrocarpa", "Psidopala tenuis", "Juniperus navicularis", "Juniperus brevifolia", "Habrosyne pyritoides", "Habrosyne intermedia", "Habrosyne indica", "Habrosyne albipuncta", "Habrosyne violacea", "Helostoma temminkii", "Babalimnichus taiwanus", "Babalimnichus splendens", "Acontosceles tagalog", "Acontosceles chujoi", "Centroscyllium sheikoi", "Martinius ripisaltator", "Martinius temporalis", "Martinius tellipontis", "Babalimnichus masamii", "Pseudomontanococcus baloghi", "Pseudomontanococcus martini", "Clarias insolitus", "Pseudoplesiops wassi", "Kryptopterus geminus", "Kenyaconger heemstrai", "Chiloconger philippinensis", "Chiloconger dentatus", "Peckoltia sabaji", "Neolamprologus devosi", "Tiaobeinia bisubula", "Tiaobeinia emeiensis", "Sparisoma tuiupiranga", "Pseudolaguvia tenebricosa", "Pseudolaguvia tuberculata", "Flatfronta pronga", "Flatfronta grandis", "Rhizocarpon reductum", "Helina postiflexa", "Helina subdibrachiata", "Characidium fasciatum", "Charax condei", "Aeromys tephromelas", "Aeromys thomasi", "Belomys pearsonii", "Loryma sinuosalis", "Namibiodes brandbergensis", "Eoglaucomys fimbriatus", "Namibina namibicola", "Linophryne densiramus", "Photocorynus spiniceps", "Incertae sedis", "Lissonota aspera", "Lissonota atra", "Lissonota fulva", "Ophion oculatus", "Uperoleia micra", "Melanostigma atlanticum", "Aaptos kanuux", "Parablennius sanguinolentus", "Parablennius rouxi", "Gobius bucchichi", "Pomacentrus melanochir", "Pomacentrus microspilus", "Stegastes partitus", "Stegastes pelicieri", "Stegastes pictus", "Agapema dentifasciata", "Agapema dyari", "Agapema galbina", "Agapema homogena", "Agapema pelora", "Agapema solita", "Codatractus sallyae", "Dalla freemani", "Amblyscirtes novimmaculatus", "Charonoscapha grossa", "Charonoscapha ovata", "Charonoscaphidia elongata", "Hispanoclavina diazromerali", "Hispanoclavina gratshevi", "Hoyaclava buscalionae", "Pomacentrus imitator", "Pomacentrus indicus", "Pomacentrus javanicus", "Pomacentrus komodoensis", "Pomacentrus lepidogenys", "Pomacentrus leptus", "Pomacentrus limosus", "Pomacentrus littoralis", "Neopicrotus peckorum", "Asternodea loebli", "Neohenoticus palmerae", "Striatocryptus wilkinsoni", "Striatocryptus polyglandis", "Cryptogasterus lawrencei", "Cryptafricus leleupi", "Parablennius gattorugine", "Parablennius tentacularis", "Gobius kolombatovici", "Stephanolepis diaspros", "Sabatinca aemula", "Sabatinca aenea", "Sabatinca aurantiaca", "Sabatinca barbarica", "Sabatinca calliarcha", "Sabatinca caustica", "Sabatinca chrysargyra", "Sabatinca passalota", "Sabatinca quadrijuga", "Psidopala shirakii", "Psidopala kishidai", "Dianema urostriatum", "Psidopala roseola", "Dianema longibarbis", "Psidopala paeoniola", "Juniperus deltoides", "Psidopala warreni", "Psidopala apicalis", "Psidopala ornata", "Oropterus coniger", "Gobius ater", "Gobius geniporus", "Gobius fallax", "Gobius cruentatus", "Gobius paganellus", "Gobius roulei", "Gobius couchi", "Gobius strictus", "Parma occidentalis", "Parma oligolepis", "Parma polylepis", "Parma unifasciata", "Parma victoriae", "Pomacentrus adelus", "Pomacentrus agassizii", "Pomacentrus albicaudatus", "Pomacentrus albimaculus", "Pomacentrus alexanderae", "Pomacentrus alleni", "Pomacentrus amboinensis", "Pomacentrus aquilus", "Pomacentrus arabicus", "Pomacentrus armillatus", "Pomacentrus atriaxillaris", "Pomacentrus aurifrons", "Pomacentrus auriventris", "Pomacentrus australis", "Pomacentrus azuremaculatus", "Pomacentrus baenschi", "Pomacentrus bankanensis", "Pomacentrus bintanensis", "Pomacentrus bipunctatus", "Pomacentrus brachialis", "Pomacentrus burroughi", "Pomacentrus caeruleopunctatus", "Pomacentrus caeruleus", "Pomacentrus callainus", "Pomacentrus chrysurus", "Pomacentrus coelestis", "Pomacentrus colini", "Pomacentrus cuneatus", "Pomacentrus emarginatus", "Pomacentrus fuscidorsalis", "Pomacentrus geminospilus", "Pomacentrus grammorhynchus", "Ovonectes pilosum", "Actea sphinx", "Exedia plana", "Timarchopsis czekanowskii", "Timarchopsis cyrenaicus", "Timarchopsis gigas", "Timarchopsis latus", "Timarchopsis mongolicus", "Timarchopsis gobiensis", "Timarchopsis sainshandensis", "Bolbonectes occidentalis", "Dysstroma cinereata", "Dysstroma cinereata cinereata", "Dysstroma cinereata japonica", "Stegastes planifrons", "Stegastes rectifraenum", "Stegastes redemptus", "Stegastes robertsoni", "Stegastes rocasensis", "Dysstroma latefasciata", "Stegastes sanctaehelenae", "Stegastes sanctipauli", "Stegastes trindadensis", "Stegastes uenfi", "Stegastes variabilis", "Dysstroma korbi", "Teixeirichthys jordani", "Bolbometopon muricatum", "Dysstroma citrata", "Calotomus carolinus", "Calotomus japonicus", "Calotomus spinidens", "Calotomus viridescens", "Calotomus zonarchus", "Cetoscarus bicolor", "Chlorurus atrilunula", "Chlorurus bleekeri", "Chlorurus bowersi", "Chlorurus capistratoides", "Chlorurus cyanescens", "Chlorurus enneacanthus", "Chlorurus frontalis", "Chlorurus genazonatus", "Chlorurus gibbus", "Chlorurus japanensis", "Chlorurus microrhinos", "Chlorurus oedema", "Chlorurus perspicillatus", "Chlorurus rhakoura", "Chlorurus sordidus", "Chlorurus strongylocephalus", "Chlorurus troschelii", "Cryptotomus roseus", "Charaxes fournierae", "Charaxes fournierae fournierae", "Charaxes fournierae vandenberghei", "Charaxes figinii", "Charaxes fionae", "Charaxes fulgurata", "Petaurillus emiliae", "Petaurillus hosei", "Petaurillus kinlochii", "Petaurista alborufus", "Charaxes achaemenes", "Charaxes achaemenes achaemenes", "Charaxes achaemenes atlantica", "Petaurista elegans", "Charaxes achaemenes monticola", "Charaxes acraeoides", "Petaurista leucogenys", "Petaurista magnificus", "Pomacentrus milleri", "Pomacentrus moluccensis", "Pomacentrus nagasakiensis", "Pomacentrus nigromanus", "Pomacentrus nigromarginatus", "Pomacentrus opisthostigma", "Pomacentrus pavo", "Pomacentrus philippinus", "Pomacentrus pikei", "Pomacentrus polyspinus", "Pomacentrus proteus", "Pomacentrus reidi", "Pomacentrus rodriguesensis", "Pomacentrus saksonoi", "Pomacentrus similis", "Pomacentrus simsiang", "Pomacentrus smithi", "Pomacentrus spilotoceps", "Pomacentrus stigma", "Pomacentrus sulfureus", "Pomacentrus taeniometopon", "Pomacentrus trichourus", "Pomacentrus trilineatus", "Pomacentrus tripunctatus", "Pomacentrus vaiuli", "Pomacentrus wardi", "Pomacentrus xanthosternus", "Pomacentrus yoshii", "Pomachromis exilis", "Pomachromis guamensis", "Pomachromis richardsoni", "Pristotis cyanostigma", "Pristotis obtusirostris", "Stegastes acapulcoensis", "Stegastes adustus", "Stegastes albifasciatus", "Stegastes altus", "Stegastes apicalis", "Stegastes arcifrons", "Stegastes aureus", "Stegastes baldwini", "Stegastes beebei", "Stegastes diencaeus", "Stegastes emeryi", "Stegastes fasciolatus", "Stegastes flavilatus", "Stegastes fuscus", "Stegastes gascoynei", "Stegastes imbricatus", "Stegastes insularis", "Stegastes leucorus", "Stegastes leucostictus", "Stegastes limbatus", "Stegastes lividus", "Stegastes lubbocki", "Stegastes nigricans", "Stegastes obreptus", "Stegastes otophorus", "Zeanecrophilus prolongatus", "Horelophus walkeri", "Petaurista nobilis", "Petaurista petaurista", "Charaxes acuminatus", "Charaxes acuminatus acuminatus", "Petaurista philippensis", "Charaxes acuminatus vumba", "Charaxes acuminatus mlanji", "Charaxes acuminatus cottrelli", "Charaxes acuminatus nyika", "Charaxes acuminatus usumbarensis", "Charaxes acuminatus shimbanus", "Petaurista xanthotis", "Charaxes acuminatus teitensis", "Charaxes acuminatus kulalensis", "Charaxes acuminatus oreas", "Charaxes acuminatus thiryi", "Petinomys crinitus", "Charaxes acuminatus stonehamiana", "Charaxes alpinus", "Charaxes alticola", "Petinomys fuscocapillus", "Charaxes amandae", "Charaxes ameliae", "Charaxes ameliae ameliae", "Charaxes ameliae amelina", "Charaxes ameliae doumeti", "Charaxes ameliae victoriae", "Charaxes analava", "Charaxes andranodorus", "Charaxes andranodorus andranodorus", "Charaxes andranodorus andrefana", "Charaxes antamboulou", "Charaxes angelae", "Cigaritis overlaeti", "Episteira nigrifrons", "Episteira nigrifrons nigrifrons", "Episteira nigrifrons protima", "Agyrtodes bicolor", "Agyrtodes hunuensis", "Agyrtodes labralis", "Agyrtodes monticola", "Agyrtodes nebulosus", "Agyrtodes nemoralis", "Zeagyrtoma separanda", "Zeagyrtoma undulata", "Paracatops acantharius", "Paracatops pogonomerus", "Petinomys genibarbis", "Petinomys hageni", "Petinomys lugens", "Petinomys mindanensis", "Petinomys sagitta", "Petinomys setosus", "Petinomys vordermanni", "Pteromyscus pulverulentus", "Habrosyne pyritoides pyritoides", "Habrosyne pyritoides derasoides", "Trogopterus xanthipes", "Habrosyne intermedia intermedia", "Sciurillus pusillus", "Habrosyne intermedia conscripta", "Habrosyne fraterna", "Panthera onca peruviana", "Panthera onca veraecruscis", "Clystopsenella longiventris", "Scolebythus madecassus", "Ycaploca evansi", "Pristapenesia stricta", "Ycaploca fijianus", "Mapluroides ogloblini", "Hipposcarus harid", "Hipposcarus longiceps", "Habrosyne indica indica", "Habrosyne indica formosana", "Habrosyne obscura", "Marmota baibacina", "Habrosyne sumatrana", "Marmota bobak", "Habrosyne pterographa", "Habrosyne sanguinea", "Habrosyne armata", "Habrosyne plagiosa", "Habrosyne costalis", "Habrosyne albipuncta albipuncta", "Habrosyne albipuncta angulifera", "Habrosyne violacea violacea", "Habrosyne violacea argenteipuncta", "Habrosyne dentata", "Habrosyne dieckmanni", "Habrosyne aurorina", "Polydactylos aprilinus", "Camptopsestis malayana", "Mimopsestis basalis", "Mimopsestis basalis basalis", "Mimopsestis basalis sinensis", "Toelgyfaloca circumdata", "Toelgyfaloca albogrisea", "Charaxes ansorgei", "Charaxes ansorgei ansorgei", "Charaxes ansorgei jacksoni", "Charaxes ansorgei kilimanjarica", "Charaxes ansorgei kungwensis", "Charaxes ansorgei rydoni", "Charaxes ansorgei kinyeti", "Charaxes ansorgei loita", "Charaxes ansorgei levicki", "Charaxes ansorgei ruandana", "Charaxes ansorgei simoni", "Charaxes ansorgei ufipa", "Charaxes antiquus", "Charaxes aubyni", "Charaxes aubyni aubyni", "Charaxes aubyni australis", "Charaxes aubyni ecketti", "Pilosocereus chrysacanthus", "Chamaedorea elegans", "Megadyptes waitaha", "Hemiodus gracilis", "Hemiodus sterni", "Hopliancistrus tricornis", "Pseudopronus matthewsi", "Pronus leai", "Australanobium inaequale", "Australanobium inaequale trapezicolle", "Macranobium truncatum", "Mirosternomorphus crowsoni", "Leanobium fauveli", "Leanobium marmoratum", "Leanobium flavomaculatum", "Leanobium undulatum", "Cyphanobium falli", "Cyphanobium illustre", "Methemus griseipilus", "Pedaliodes bernardi", "Pedaliodes caeca", "Pedaliodes canela", "Pedaliodes chaconi", "Pedaliodes cebolleta", "Pedaliodes cendreata", "Pedaliodes cesarense", "Pedaliodes circumducta", "Pedaliodes coca", "Pedaliodes costipunctata", "Pedaliodes croizatorum", "Geophagus altifrons", "Pedaliodes daulis", "Pedaliodes dejecta", "Pedaliodes dejecta dejecta", "Pedaliodes demarmelsi", "Pedaliodes dracula", "Plesiocochylis gnathosia", "Lagrioida brounii", "Lagrioida nortoni", "Stricticollis tobias", "Typhlocirolana troglobia", "Calcinus albengai", "Calcinus anani", "Calcinus gouti", "Calcinus haigae", "Calcinus spicatus", "Calcinus elegans", "Calcinus latens", "Calcinus laevimanus", "Calcinus vachoni", "Paragiopagurus fasciatus", "Paragiopagurus bougainvillei", "Paragiopagurus wallisi", "Kalliapseudes macsweenyi", "Melita nitidaformis", "Vibilia thurstoni", "Vibilia laticaudata", "Natatolana rekohu", "Pygolabis humphreysi", "Anthicus hesperi", "Anthicus kreusleri", "Atopida villosa", "Atopida pallidula", "Atopida montana", "Allocinops brookesi", "Coriophagus casui", "Gobius auratus", "Gobius xanthocephalus", "Penaincisalia biophot", "Aeria elara nigra", "Sinopanorpa digitiformis", "Sinopanorpa nangongshana", "Sinopanorpa tincta", "Hypoleria ocalea", "Hypoleria ocalea ocalea", "Hypoleria ocalea gephira", "Hypoleria ocalea nigromarginata", "Pedaliodes chrysotaenia", "Pedaliodes chrysotaenia chrysotaenia", "Pedaliodes chrysotaenia tortuga", "Pedaliodes jozefi", "Pedaliodes derisoris", "Pedaliodes demathani demathani", "Pedaliodes demathani pisca", "Pedaliodes demathani ockendeni", "Pedaliodes demathani kuni", "Rineloricaria isaaci", "Pedaliodes demathani chaneli", "Pedaliodes demathani benedeki", "Pamphorichthys pertapeh", "Pedaliodes demathani alfa", "Pedaliodes demathani kalinowskii", "Pedaliodes demathani horsti", "Pedaliodes demathani nussi", "Pedaliodes adamsi", "Pedaliodes albutia", "Pedaliodes amafania", "Pedaliodes antulla", "Pedaliodes asconia", "Pedaliodes auraria", "Pedaliodes auristriga", "Pedaliodes alusana", "Pedaliodes anchiphilonis", "Pedaliodes antigua", "Pedaliodes arnotti", "Pedaliodes arturi", "Wernya lineofracta", "Wernya rufifasciata", "Wernya thailandica", "Wernya thailandica thailandica", "Wernya thailandica pallescens", "Wernya solena", "Wernya baenzigeri", "Wernya zita", "Wernya punctata", "Gasteropelecus levis", "Gasteropelecus sternicla", "Wernya hreblayi", "Thoracocharax stellatus", "Uaru amphiacanthoides", "Pedaliodes baccara", "Pedaliodes balnearia", "Pedaliodes melaleuca", "Pedaliodes melaleuca melaleuca", "Pedaliodes montagna", "Pedaliodes pactyes", "Pedaliodes paeonides", "Pedaliodes palaepolis", "Pedaliodes palaepolis palaepolis", "Pedaliodes pallantis", "Pedaliodes pammenes", "Pedaliodes paneis", "Pedaliodes panthides", "Pedaliodes patizathes", "Coptodisca matheri", "Semiothisa promiscuata", "Semiothisa kuhitangiensis", "Loberonotha olivascens", "Brounina fossulata", "Phreatodytes relictus", "Morimotoa phreatica", "Morimotoa gigantea", "Morimotoa morimotoi", "Sparisoma strigatum", "Sparisoma viride", "Insulahypnus mayae", "Insulahypnus lancea", "Acantholabrus palloni", "Insulahypnus wisei", "Achoerodus gouldii", "Insulahypnus kuscheli", "Achoerodus viridis", "Ammolabrus dicrus", "Insulahypnus longicornis", "Pedaliodes peucestas restricta", "Pedaliodes phaea", "Pedaliodes phaea phaea", "Pedaliodes phaea ochrotaenia", "Pedaliodes phaedra", "Pedaliodes phaedra phaedra", "Pedaliodes phaedra niphoessa", "Pedaliodes phanoclea", "Pedaliodes pheretias", "Pedaliodes philonis", "Pedaliodes phoenissa", "Pedaliodes phrasicla phrasicla", "Pedaliodes phrasicla galaxias", "Pedaliodes phrasicla immaculata", "Pedaliodes phthiotis", "Pedaliodes piletha", "Pedaliodes pisonia", "Pedaliodes plotina", "Pedaliodes plotina plotina", "Pedaliodes plotina rapha", "Pedaliodes plotina pharnaspes", "Pedaliodes plotina lucipara", "Pedaliodes poesia", "Pedaliodes polusca", "Pedaliodes pomponia", "Pedaliodes porcia", "Pedaliodes porcia porcia", "Pedaliodes porcia pallantias", "Pedaliodes porina", "Pedaliodes porina porina", "Pedaliodes praxia", "Pedaliodes praxia praxia", "Pedaliodes praxithea", "Pedaliodes proerna", "Pedaliodes proerna proerna", "Pedaliodes proerna fumaria", "Pedaliodes prytanis", "Pedaliodes pylas", "Pedaliodes peruviana", "Pedaliodes phaeina", "Pedaliodes phazania", "Pedaliodes phazania phazania", "Pedaliodes phazania takahashii", "Pedaliodes pheres", "Pedaliodes phoenix", "Pedaliodes phrasa", "Pedaliodes phrasiclea", "Pedaliodes phrasis", "Pedaliodes piscolabis", "Pedaliodes poetica", "Pedaliodes polla", "Pedaliodes porima", "Bathycongrus trimaculatus", "Microcebus mamiratra", "Bathycongrus bleekeri", "Microcebus bongolavensis", "Pedaliodes proculeja", "Pedaliodes prosa", "Pedaliodes puracana", "Pedaliodes roraimae", "Pedaliodes rudnyi", "Sciurotamias davidianus", "Sciurotamias forresti", "Parapsestis albida", "Parapsestis tomponis", "Parapsestis tomponis tomponis", "Parapsestis tomponis almasderes", "Spermophilus brevicauda", "Parapsestis cinerea cinerea", "Parapsestis cinerea pacifica", "Parapsestis lichenea", "Parapsestis lichenea lichenea", "Parapsestis lichenea splendida", "Parapsestis lichenea tsinlinga", "Stenopsestis alternata", "Badjcinus turnbulli", "Pedaliodes empusa", "Maximucinus muirheadae", "Pedaliodes empusa empusa", "Muribacinus gadiyuli", "Mutpuracinus archiboldi", "Ngamalacinus timmulvaneyi", "Pedaliodes ereiba", "Nimbacinus dicksoni", "Nimbacinus richi", "Pedaliodes exanima", "Tyarrpecinus rothi", "Wabulacinus ridei", "Pedaliodes fassli", "Pedaliodes ferratilis", "Pedaliodes fuscata", "Pedaliodes guicana", "Pedaliodes hardyi", "Pedaliodes palpita", "Pedaliodes palpita palpita", "Pedaliodes palpita bedonica", "Pedaliodes parranda", "Pedaliodes pimienta", "Pedaliodes pollonia", "Pedaliodes ralphi", "Pedaliodes socorrae", "Thylacinus macnessi", "Thylacinus megiriani", "Thylacinus rostralis", "Pedaliodes hebena", "Thylacinus potens", "Pedaliodes obstructa", "Pedaliodes occulta", "Pedaliodes petri petri", "Pedaliodes poema", "Pedaliodes sonata", "Pedaliodes tabaconas", "Pedaliodes transmontana", "Pedaliodes hewitsoni", "Pedaliodes hewitsoni hewitsoni", "Pedaliodes hewitsoni primera", "Pedaliodes hopfferi", "Pedaliodes japhleta", "Pedaliodes leucocheilus", "Pedaliodes manis", "Pedaliodes manneja", "Pedaliodes rumba", "Pedaliodes scydmaena", "Pedaliodes simmias", "Pedaliodes simpla", "Pedaliodes suspiro", "Pedaliodes syleus", "Pedaliodes terramaris", "Pedaliodes thiemei", "Pedaliodes triaria", "Pedaliodes tucca", "Pedaliodes tucca tucca", "Pedaliodes tucca luperca", "Pedaliodes tyro", "Pedaliodes tyrrheoides", "Pedaliodes tyrrheus", "Pedaliodes tyrrheus tyrrheus", "Pedaliodes tyrrheus tairona", "Microcebus danfossi", "Pedaliodes uniformis", "Pedaliodes uniplaga", "Pedaliodes vallenata", "Pedaliodes wilhelmi", "Pedaliodes xanthosphenisca", "Pedaliodes yutajeana", "Pedaliodes zuleta", "Gymnocorymbus ternetzi", "Petrorossia nigrifascia", "Hemigrammus pulcher", "Hemigrammus ocellifer", "Hemigrammus marginatus", "Hemigrammus bleheri", "Hemigrammus ulreyi", "Hemigrammus unilineatus", "Petrorossia williamsi", "Petrorossia gruveli", "Petrorossia senegalensis", "Hyphessobrycon erythrostigma", "Spermophilus pallidicauda", "Pedaliodes parma", "Pedaliodes misericordiosa", "Pedaliodes misericordiosa misericordiosa", "Pedaliodes misericordiosa carpishana", "Pedaliodes pammenes pammenes", "Pedaliodes pammenes marca", "Pedaliodes garleppi", "Anampses caeruleopunctatus", "Anampses chrysocephalus", "Anampses cuvier", "Anampses elegans", "Anampses femininus", "Anampses geographicus", "Anampses lennardi", "Anampses lineatus", "Anampses melanurus", "Anampses meleagrides", "Anampses neoguinaicus", "Atopomacer hoplites", "Atopomacer ites", "Anampses twistii", "Atopomacer orites", "Anampses viridis", "Anchichoerops natalensis", "Austrolabrus maculatus", "Bodianus anthioides", "Bodianus axillaris", "Bodianus bathycapros", "Bodianus bimaculatus", "Centrolabrus caeruleus", "Centrolabrus exoletus", "Centrolabrus trutta", "Dorcatomiella ornata", "Alona kolwezii", "Pedaliodes morenoi", "Pedaliodes morenoi morenoi", "Pedaliodes morenoi pilaloensis", "Pedaliodes napaea", "Pedaliodes negreti", "Pedaliodes niveonota", "Pedaliodes obscura", "Pedaliodes ornata", "Pedaliodes pacifica", "Pedaliodes pausia", "Pedaliodes pausia pausia", "Pedaliodes pausia uncus", "Pedaliodes pedacia", "Pedaliodes pelinaea", "Pedaliodes pelinna", "Pedaliodes perisades", "Pedaliodes peruda", "Pedaliodes peucestas", "Pedaliodes peucestas peucestas", "Chaetosomodes halli", "Afghanoderus mirabilis", "Scarus russelii", "Scarus scaber", "Scarus schlegeli", "Scarus spinus", "Scarus taeniopterus", "Scarus tricolor", "Scarus trispinosus", "Scarus vetula", "Scarus viridifucatus", "Scarus xanthopleura", "Scarus zelindae", "Scarus zufar", "Haletta semifasciata", "Neoodax balteatus", "Heteroscarus acroptilus", "Odax cyanoallix", "Odax cyanomelas", "Odax pullus", "Siphonognathus argyrophanes", "Siphonognathus attenuatus", "Siphonognathus beddomei", "Siphonognathus caninis", "Siphonognathus radiatus", "Siphonognathus tanyourus", "Sparisoma amplum", "Sparisoma atomarium", "Sparisoma aurofrenatum", "Sparisoma axillare", "Sparisoma chrysopterum", "Sparisoma frondosum", "Sparisoma griseorubrum", "Sparisoma radians", "Sparisoma rubripinne", "Parapsestis argenteopicta", "Parapsestis argenteopicta argenteopicta", "Parapsestis argenteopicta nepalina", "Parapsestis argenteopicta annamica", "Parapsestis argenteopicta taiwana", "Marmota broweri", "Marmota camtschatica", "Marmota caudata", "Marmota himalayana", "Marmota menzbieri", "Marmota sibirica", "Parapsestis pseudomaculata", "Parapsestis meleagris", "Leptoscarus vaigiensis", "Nicholsina denticulata", "Nicholsina usta", "Scarus altipinnis", "Scarus arabicus", "Scarus caudofasciatus", "Scarus chameleon", "Scarus chinensis", "Scarus coelestinus", "Scarus coeruleus", "Scarus collana", "Scarus compressus", "Scarus dimidiatus", "Scarus dubius", "Scarus falcipinnis", "Scarus ferrugineus", "Scarus festivus", "Scarus flavipectoralis", "Scarus forsteni", "Scarus frenatus", "Scarus fuscocaudalis", "Scarus fuscopurpureus", "Scarus ghobban", "Scarus globiceps", "Scarus gracilis", "Scarus guacamaia", "Scarus hoefleri", "Scarus hypselopterus", "Scarus iseri", "Scarus koputea", "Scarus longipinnis", "Scarus maculipinna", "Scarus niger", "Scarus obishime", "Scarus oviceps", "Scarus ovifrons", "Scarus perrico", "Scarus persicus", "Scarus prasiognathos", "Scarus psittacus", "Scarus quoyi", "Scarus rivulatus", "Anommatus duodecimstriatus", "Scarus rubroviolaceus", "Laemolyta taeniata", "Corydoras acutus", "Corydoras adolfoi", "Janiralata bisinuata", "Janiralata microphthalma", "Janiralata obliterata", "Concubina euryzeucta", "Munna coxalis", "Munna urupica", "Munna crinita", "Pleurogonium angustum", "Filatima procedes", "Gelechia abactella", "Micholaemus gerstaeckeri", "Amylopterus prasinus", "Maraura macracantha", "Minanga phoebea", "Malasigalphus roa", "Pedaliodes uncus", "Pedaliodes daulis daulis", "Pedaliodes daulis vilca", "Clinotanypus dismegasetus", "Clinotanypus marginatus", "Clinotanypus tuberosus", "Clinotanypus yani", "Microplana groga", "Microplana kwiskea", "Cheilinus abudjubbe", "Cheilinus chlorourus", "Cheilinus lunulatus", "Cheilinus oxycephalus", "Cheilinus oxyrhynchus", "Cheilinus trilobatus", "Cheilio inermis", "Choerodon anchorago", "Choerodon azurio", "Choerodon balerensis", "Choerodon cauteroma", "Choerodon cephalotes", "Choerodon cyanodus", "Choerodon fasciatus", "Choerodon frenatus", "Choerodon gomoni", "Choerodon graphicus", "Choerodon gymnogenys", "Choerodon jordani", "Choerodon margaritiferus", "Choerodon melanostigma", "Choerodon monostigma", "Bodianus busellatus", "Bodianus cylindriatus", "Bodianus diana", "Bodianus dictynna", "Bodianus diplotaenia", "Bodianus eclancheri", "Bodianus flavifrons", "Bodianus flavipinnis", "Bodianus frenchii", "Bodianus izuensis", "Bodianus leucosticticus", "Bodianus loxozonus", "Bodianus macrognathos", "Bodianus macrourus", "Bodianus masudai", "Bodianus mesothorax", "Bodianus neilli", "Bodianus neopercularis", "Bodianus opercularis", "Bodianus oxycephalus", "Bodianus paraleucosticticus", "Hypurus bertrandi", "Neella guiana", "Microplana scharffi", "Microplana terrestris", "Vietnura caerulea", "Leucanella bonillensis", "Cerodirphia zulemae", "Pedaliodes antulla antulla", "Pedaliodes antulla bambulla", "Pedaliodes ampulla", "Pedaliodes yuvinka", "Pedaliodes yuvinka yuvinka", "Pedaliodes yuvinka pylasia", "Pedaliodes illimania", "Pedaliodes phaeinomorpha", "Odondebuenia balearica", "Pedaliodes dominicae", "Pedaliodes dominicae dominicae", "Pedaliodes dominicae diademata", "Nacaduba angelae", "Pedaliodes sophismata sophismata", "Pedaliodes sophismata reductissima", "Pedaliodes ackeryi", "Pedaliodes melvillei", "Pedaliodes arena", "Pedaliodes brea", "Pedaliodes diuna", "Pedaliodes ampayana", "Pedaliodes ampayana ampayana", "Pedaliodes ampayana chanka", "Napeogenes apulia", "Napeogenes apulia apulia", "Napeogenes apulia ocnita", "Napeogenes apulia sangay", "Napeogenes apulia palmasensis", "Napeogenes apulia woytkowskii", "Napeogenes achaea", "Napeogenes achaea achaea", "Napeogenes achaea curvilutea", "Napeogenes achaea nicolayi", "Cirrhilabrus jordani", "Cirrhilabrus katherina", "Cirrhilabrus katoi", "Cirrhilabrus laboutei", "Cirrhilabrus lanceolatus", "Cirrhilabrus lineatus", "Cirrhilabrus lubbocki", "Cirrhilabrus lunatus", "Cirrhilabrus luteovittatus", "Cirrhilabrus marjorie", "Cirrhilabrus melanomarginatus", "Cirrhilabrus morrisoni", "Cirrhilabrus punctatus", "Cirrhilabrus pylei", "Cirrhilabrus randalli", "Cirrhilabrus rhomboidalis", "Cirrhilabrus roseafascia", "Cirrhilabrus rubrimarginatus", "Cirrhilabrus rubripinnis", "Cirrhilabrus rubrisquamis", "Cirrhilabrus rubriventralis", "Cirrhilabrus sanguineus", "Cirrhilabrus scottorum", "Cirrhilabrus solorensis", "Cirrhilabrus temminckii", "Cirrhilabrus tonozukai", "Cirrhilabrus walindi", "Cirrhilabrus walshi", "Clepticus africanus", "Clepticus brasiliensis", "Clepticus parrae", "Conniella apterygia", "Hypoleria adasa", "Hypoleria adasa adasa", "Hypoleria adasa parcilimbata", "Hypoleria aureliana", "Hypoleria jaruensis", "Hypoleria xenophis", "Hypoleria alema", "Hypoleria alema alema", "Hypoleria alema ina", "Hypoleria sarepta", "Hypoleria sarepta sarepta", "Hypoleria sarepta virginia", "Hypoleria sarepta cidonia", "Hypoleria sarepta oriana", "Hypoleria sarepta famina", "Hypoleria sarepta goiana", "Hypoleria sarepta olerioides", "Hypoleria sarepta orianula", "Hypoleria sarepta vitiosa", "Hypoleria lavinia lavinia", "Hypoleria lavinia vanilia", "Hypoleria lavinia chrysodonia", "Hypoleria lavinia cassotis", "Hypoleria lavinia asellia", "Nacaduba pavana", "Nacaduba russelli", "Nacaduba hermus", "Nacaduba subperusia", "Nacaduba sanaya", "Nacaduba ollyetti", "Nacaduba asaga", "Nacaduba pendleburyi", "Nacaduba solta", "Nacaduba berenice", "Nacaduba sinhala", "Nacaduba cajetani", "Nacaduba novahebridensis", "Nacaduba sumbawa", "Nemonyx scutellatus", "Nemonyx canescens", "Nemonyx semirufus", "Hypoleria lavinia rhene", "Hypoleria lavinia libera", "Hypoleria lavinia oreas", "Hypoleria lavinia proxima", "Hypoleria lavinia karschi", "Hypoleria lavinia cajona", "Hypoleria lavinia garleppi", "Hypoleria lavinia indecora", "Hypoleria lavinia riffarthi", "Hypoleria lavinia vaniliana", "Hypoleria lavinia consimilis", "Hypoleria lavinia meridana", "Napeogenes lycora", "Napeogenes lycora lycora", "Napeogenes lycora attali", "Napeogenes sulphureophila", "Napeogenes benigna", "Napeogenes benigna benigna", "Napeogenes benigna sandra", "Napeogenes harbona", "Napeogenes harbona harbona", "Napeogenes harbona benigna", "Napeogenes harbona domiduca", "Napeogenes harbona forsteri", "Napeogenes larilla", "Napeogenes larilla larilla", "Napeogenes larilla reventador", "Napeogenes larilla pastazana", "Napeogenes cranto", "Napeogenes cranto cranto", "Napeogenes cranto paedaretus", "Napeogenes cranto reali", "Napeogenes cranto marilenae", "Napeogenes cranto chocoana", "Napeogenes harbona chiguinda", "Napeogenes harbona podocarpus", "Napeogenes duessa", "Napeogenes duessa duessa", "Napeogenes duessa jamariensis", "Napeogenes duessa incas", "Napeogenes duessa anitae", "Napeogenes duessa mastersi", "Napeogenes duessa orellana", "Napeogenes duessa cunza", "Nacaduba sericina", "Nacaduba angusta", "Nacaduba sericina sericina", "Nacaduba pactolus", "Prisahypnus frontalis", "Prisahypnus attenuatus", "Australeeus powelli", "Australeeus humilis", "Pertusaria alboaspera", "Pertusaria alectoronica", "Pertusaria allogibberosa", "Rhynchitomacer vernus", "Rhynchitomacer fuscus", "Rhynchitomacer luridus", "Rhynchitomacer viridulus", "Rhynchitomacer rufus", "Rhynchitomacer nigritus", "Rhynchitomacer flavus", "Choerodon oligacanthus", "Choerodon paynei", "Choerodon robustus", "Choerodon rubescens", "Choerodon schoenleinii", "Choerodon sugillatum", "Choerodon venustus", "Choerodon vitta", "Choerodon zamboangae", "Choerodon zosterophorus", "Bodianus insularis", "Bodianus perditio", "Bodianus prognathus", "Bodianus pulchellus", "Bodianus rubrisos", "Bodianus rufus", "Bodianus sanguineus", "Bodianus scrofa", "Bodianus sepiacaudus", "Bodianus solatus", "Bodianus speciosus", "Bodianus tanyokidus", "Bodianus thoracotaeniatus", "Bodianus trilineatus", "Bodianus unimaculatus", "Bodianus vulpinus", "Cirrhilabrus adornatus", "Cirrhilabrus aurantidorsalis", "Cirrhilabrus balteatus", "Cirrhilabrus bathyphilus", "Cirrhilabrus beauperryi", "Cirrhilabrus blatteus", "Cirrhilabrus brunneus", "Cirrhilabrus cenderawasih", "Cirrhilabrus claire", "Cirrhilabrus condei", "Cirrhilabrus cyanopleura", "Cirrhilabrus earlei", "Cirrhilabrus exquisitus", "Cirrhilabrus filamentosus", "Cirrhilabrus flavidorsalis", "Cirrhilabrus joanallenae", "Cirrhilabrus johnsoni", "Chrysopilus nitidiventris", "Chrysopilus balbii", "Chrysopilus orphnopterus", "Chrysopilus capillosus", "Chrysopilus plaumanni", "Chrysopilus semipictus", "Chrysopilus vitreus", "Chrysopilus microphallus", "Chrysopilus camargoi", "Chrysopilus hyalinus", "Chrysopilus phaeopterus", "Chrysopilus caligatus", "Mezium namibiensis", "Chrysopilus leleji", "Chrysopilus paradoxus", "Chrysopilus marumbiensis", "Chrysopilus fijiensis", "Chrysopilus schlingeri", "Myrmecopterinella okahandja", "Chrysopilus sobolevae", "Myrmecopterina minor", "Myrmecopterina filicornis", "Stomorhina discolor", "Stomorhina obsoleta", "Ophion peregrinus", "Ophion oculatus oculatus", "Ophion oculatus rugosus", "Ophion inutilis", "Myrmecopterina priscus", "Crovettia wilkersoni", "Crovettia huggerti", "Rhicnobelus aenescens", "Rhicnobelus metallicus", "Rhicnobelus rubicundus", "Pertusaria xanthodactylina", "Pertusaria xanthonaria", "Pertusaria xanthoplaca", "Pertusaria xanthosorediata", "Pertusaria xenismota", "Pertusaria xylophyes", "Pertusaria yupna", "Pertusaria sporellula", "Amyda cartilaginea", "Cecidophyus nothofagi", "Strobilobius libocedri", "Pertusaria arizonica", "Dusona destructor", "Caliobius littoralis", "Tiliqua rugosa", "Pertusaria azulensis", "Angelica archangelica", "Isanthribus dracophylli", "Isanthribus phormii", "Isanthribus proximus", "Xenanthribus hirsutus", "Cretoseguya burmitica", "Pertusaria mariae", "Pertusaria mesotropa", "Pertusaria moreliensis", "Pomatoschistus bathi", "Gobius vittatus", "Pertusaria neolecanina", "Pertusaria novae-zelandiae", "Pertusaria occidentalis", "Narcissus nevadensis", "Pertusaria pseudocorallina", "Pertusaria pupillaris", "Pertusaria santamonicae", "Pertusaria subamplicata", "Pertusaria subarida", "Pertusaria subplicans", "Pertusaria appalachensis", "Pertusaria hakkodensis", "Polyploca ridens", "Polyploca ridens ridens", "Polyploca ridens transmarina", "Polyploca neoridens", "Polyploca korbi", "Polyploca laororshanae", "Euproctis aspersum", "Euproctis daures", "Bazisa transmutata", "Teragra cammae", "Metarbela kobesi", "Metarbela weinmanni", "Pertusaria islandica", "Arbelodes kroonae", "Sena meyi", "Ceroptres cerri", "Ceroptres clavicornis", "Aulacidea subterminalis", "Xenocynips subsquamata", "Megabregmus australiensis", "Megabregmus crowsoni", "Megabregmus magnus", "Valeseguya disjuncta", "Valeseguya rieki", "Pertusaria brattiae", "Pertusaria bryophaga", "Acropygorthezia williamsi", "Pertusaria coccodes", "Trachycephalus dibernardoi", "Metapterodectes furnariae", "Tyrannidectes berlai", "Pterodectes paroariae", "Pterodectes molothrus", "Pterodectes pitangi", "Pterodectes tangarae", "Pertusaria disticha", "Nacaduba cyanea", "Pertusaria epixantha", "Nacaduba nerine", "Pertusaria expolita", "Nacaduba schneideri", "Pertusaria iners", "Pertusaria obruta", "Acrocercops pectinivalva", "Pertusaria virensica", "Canacomyrica monticola", "Acrocercops fuscapica", "Spulerina quadrifasciata", "Phyllonorycter caudasimplex", "Microcebus lokobensis", "Xenimpia clenchi", "Pertusaria pertusa", "Proeulia clenchi", "Proeulia kuscheli", "Proeulia aethalea", "Coryssovalva cosmocosta", "Pertusaria flavocorallina", "Crocotania crocota", "Deltinea costalimai", "Pertusaria geminipara", "Stanwellia grisea", "Dibamus booliati", "Dibamus ingeri", "Dibamus vorisi", "Rhinogobius milleri", "Rhinogobius nammaensis", "Rhinogobius vermiculatus", "Rhinogobius taenigena", "Rhinogobius albimaculatus", "Rhinogobius mekongianus", "Panaqolus albomaculatus", "Panaqolus changae", "Panaqolus dentex", "Panaqolus gnomus", "Panaqolus maccus", "Panaqolus nocturnus", "Panaqolus purusiensis", "Damarus singularis", "Damarus magnus", "Pertusaria elliptica", "Pertusaria epacrospora", "Pertusaria errinundrensis", "Pertusaria erubescens", "Pertusaria ewersii", "Pertusaria falklandica", "Pertusaria flavoisidiata", "Pertusaria flavovelata", "Pertusaria follmanniana", "Pertusaria formosensis", "Pertusaria georgeana", "Pertusaria globospora", "Pertusaria gongylospora", "Pertusaria gorokorana", "Pertusaria gundermanica", "Pertusaria grassiae", "Pertusaria hadrocarpa", "Pertusaria hadrospora", "Pertusaria hermaka", "Pertusaria howeana", "Pertusaria huanicola", "Pertusaria hylocola", "Pertusaria hypoprotocetrarica", "Pertusaria inconspicua", "Pertusaria injuneana", "Pertusaria irregularis", "Pertusaria isidiosa", "Pertusaria kagamugana", "Pertusaria kaindiensis", "Pertusaria kalbii", "Pertusaria kalelae", "Pertusaria karkarensis", "Pertusaria knightiana", "Pertusaria lacericans", "Pertusaria laeana", "Pertusaria lansangensis", "Pertusaria leucoplaca", "Pertusaria limbata", "Pertusaria litchicola", "Pertusaria lordhowensis", "Pertusaria macloviana", "Nacaduba angusta angusta", "Nacaduba kurava", "Paragnorima fuscescens", "Nacaduba mallicollo", "Nacaduba mioswara", "Pertusaria malabara", "Pertusaria malvinae", "Pertusaria manamensis", "Betapsestis umbrosa", "Pertusaria manospora", "Pertusaria maritima", "Pertusaria meeana", "Pertusaria melaleucoides", "Pertusaria melanospora", "Betapsestis brevis", "Pertusaria microspora", "Pertusaria ventosa", "Lycaenopsis haraldus", "Pomatoschistus canestrinii", "Henricus pampasianus", "Imashpania mashpinana", "Saphenista absidata", "Saphenista aculeata", "Saphenista aeraria", "Saphenista allasia", "Pertusaria alboaspera var. alboaspera", "Saphenista ambidextria", "Saphenista amusa", "Pertusaria alboaspera var. deficiens", "Saphenista anaxia", "Saphenista burrens", "Saphenista campalita", "Saphenista chloromixta", "Saphenista cinigmula", "Saphenista cnemiodota", "Rivulus punctatus", "Saphenista consectaria", "Saphenista consona", "Saphenista constipata", "Spermophilus ralli", "Saphenista consulta", "Saphenista cordifera", "Neopithecops iolanthe", "Neopithecops lucifer", "Neopithecops sumbanus", "Neopithecops umbretta", "Neopithecops zalmora", "Saphenista cryptogramma", "Saphenista cyphoma", "Saphenista delapsa", "Saphenista delicatulana", "Megisba malaya", "Pertusaria miniatescens", "Pertusaria miscella", "Nephoploca hoenei", "Pertusaria monticola", "Pertusaria montpittensis", "Pertusaria murrayi", "Pertusaria myola", "Pertusaria naduriensis", "Pertusaria nahaeoensis", "Pertusaria nanensis", "Nacaduba lucana", "Pertusaria nebulosa", "Pertusaria neotriconica", "Pertusaria nerrigensis", "Pertusaria norfolkensis", "Pertusaria norstictica", "Nacaduba beroe", "Pertusaria novae-guineae", "Pertusaria novae-hollandiae", "Nacaduba major", "Pertusaria omkoiensis", "Nacaduba ruficirca", "Pertusaria orarensis", "Pertusaria pallida", "Pertusaria papuana", "Nacaduba calauria", "Pertusaria paradoxica", "Nacaduba tristis", "Pertusaria paragibberosa", "Pertusaria parmatica", "Pertusaria parvula", "Pertusaria patellifera", "Nacaduba glauconia", "Pertusaria perrimosa", "Pertusaria perthwaitesii", "Nacaduba dyopa", "Pertusaria pertusella", "Nacaduba samoensis", "Pastinaca sativa", "Nacaduba deliana", "Pertusaria petrophyes", "Pertusaria philippina", "Nacaduba biocellata", "Pertusaria pilosula", "Pertusaria planaica", "Pertusaria plethocarpa", "Pertusaria porinella", "Pertusaria praecipua", "Pertusaria praetermissa", "Pertusaria pseudococcodes", "Pertusaria pseudodactylina", "Nacaduba tahitiensis", "Pertusaria pseudothwaitesii", "Pertusaria psoromica", "Pertusaria puffina", "Pertusaria pycnothelia", "Pertusaria ramuensis", "Pertusaria ramulifera", "Nacaduba catochloris", "Pertusaria remota", "Pertusaria salacinifera", "Pertusaria salebrosa", "Pertusaria saltuensis", "Pertusaria scaberula", "Pertusaria scottii", "Shinploca shini", "Pertusaria scutellifera", "Pertusaria sipmanii", "Pertusaria sordida", "Nacaduba kirtoni", "Pertusaria spegazzinii", "Pertusaria spilota", "Pertusaria streimannii", "Pertusaria subcerussata", "Nacaduba normani", "Nacaduba deplorans", "Asphondylia itoi", "Neodaruma tamanukii", "Tartesa astarte", "Tartesa ugiensis", "Kurama mirabilis", "Pertusaria subisidiosa", "Pertusaria sublacerans", "Pertusaria subplanaica", "Pertusaria subsorodes", "Pertusaria subventosa", "Pertusaria sydneyensis", "Pertusaria takensis", "Pertusaria tapadensis", "Pertusaria thamnolica", "Pertusaria thiophaninica", "Pertusaria thiospoda", "Pertusaria thula", "Pertusaria thwaitesii", "Pertusaria trachyspora", "Pertusaria trevethensis", "Pertusaria tropica", "Pertusaria truncata", "Pertusaria umbricola", "Pertusaria valdiviana", "Pertusaria vallicola", "Pertusaria velloziae", "Pertusaria vulpina", "Pertusaria wauensis", "Pertusaria weberi", "Pachyurinus sticticus", "Pertusaria paradoxica var. paradoxica", "Pertusaria paradoxica var. tetraspora", "Pertusaria subplanaica var. subplanaica", "Pertusaria subplanaica var. tetraspora", "Isophya uludaghensis", "Pertusaria subventosa var. subventosa", "Pertusaria subventosa var. deficiens", "Elachista caliginosa", "Pertusaria subventosa var. hypothamnolica", "Lestranicus transpectus", "Lestranicus yoshidai", "Atropoides indomitus", "Capsicum praetermissum", "Gymnocephalus cernua", "Ephebopus cyanognathus", "Satyrium esculi", "Satyrium ilicis", "Epixerus ebii", "Satanoperca leucosticta", "Funisciurus anerythrus", "Satanoperca jurupari", "Timaeta timaeus", "Schizolecis guntheri", "Scleromystax barbatus", "Timaeta christina", "Crovettia townesi", "Pertusaria cicatricosa var. cicatricosa", "Sphaericus selvagensis", "Sphaericus gibboides", "Pertusaria cicatricosa var. deficiens", "Pertusaria cinerella var. cinerella", "Millerigobius macrocephalus", "Pertusaria cinerella var. pampeana", "Pomatoschistus pictus", "Pertusaria dehiscens var. dehiscens", "Pertusaria dehiscens var. sekikaica", "Pertusaria elliptica var. elliptica", "Pertusaria elliptica var. bispora", "Pertusaria georgeana var. georgeana", "Pertusaria georgeana var. goonooensis", "Choeropsis liberiensis", "Gibbium aequinoctiale", "Gibbium boieldieui", "Pterygoplichthys gibbiceps", "Pseudomezium schultzei", "Pseudomezium coquerelii", "Aliuscanthoniola similaris", "Colophon endroedyi", "Colophon kawaii", "Colophon oweni", "Coris atlantica", "Coris auricularis", "Coris aurilineata", "Candelariella faginea", "Candelariella rhodax", "Serrapinnus notomelas", "Funisciurus bayonii", "Chaetopelma olivaceum", "Funisciurus carruthersi", "Holothele incei", "Serrasalmus hollandi", "Spectracanthicus murinus", "Sturisoma barbatum", "Tatia aulopygia", "Thayeria obliqua", "Nesiergus gardineri", "Neomorphus geoffroyi salvini", "Candelariella vitellina f. flavovirella", "Seychellovelia hygrobia", "Libanobythus milkii", "Trinodes puetzi", "Speovelia maritima", "Madeovelia guineensis", "Mesoveloidea peruviana", "Speovelia mexicana", "Phrynovelia philippinensis", "Phrynovelia papua", "Phrynovelia bimaculata", "Phrynovelia caledonica", "Cryptovelia stysi", "Cryptovelia terrestris", "Darwinivelia fosteri", "Darwinivelia angulata", "Darwinivelia polhemi", "Duncanovelia extensa", "Nereivelia murphyi", "Mantis octospilota", "Candelariella boikoi", "Candelariella minuta", "Candelariella oleaginescens", "Candelariella vitellina f. vitellina", "Urota centralis", "Urota melichari", "Austrovelia caledonica", "Austrovelia queenslandica", "Cavaticovelia aaa", "Odontofroggatia galili", "Priastichus tasmanicus", "Halichoeres kallochroma", "Halichoeres lapillus", "Halichoeres leptotaenia", "Dicerorhinus gwebinensis", "Chlamydoselachus keyesi", "Pseudoechinorhinus mackinnoni", "Haberma nanum", "Sesarmoides balicus", "Sesarmoides loyalty", "Sesarmoides sulu", "Sesarmoides boholano", "Sesarmoides guamensis", "Sesarmoides emdi", "Placynthiella arenicola", "Placynthiella borsodensis", "Placynthiella dasaea", "Chaetosifemur longiventre", "Paraminilimosina elephantis", "Paraminilimosina miraculisterna", "Placynthiella hyporhoda", "Piliterga thaii", "Placynthiella icmalea", "Placynthiella knudsenii", "Pseudaspinilimosina tanzan", "Eximilimosina eximia", "Eximilimosina elegantula", "Placynthiella oligotropha", "Eximilimosina major", "Placynthiella perfurfurea", "Eximilimosina thailandica", "Paramera robusta", "Placynthiella uliginosa", "Paramera ornata", "Spinilimosina ciliata", "Afropterogramma minor", "Archipterogrammoides metatarsalis", "Giraffimyiella giraffa", "Minialula poeciloptera", "Parapoecilosomella lusingana", "Parapterogramma asiatica", "Pseudopterogramma siamensis", "Thailimosina maculata", "Mesovelia ebbenielseni", "Mesovelia hackeri", "Choristoneura longicellanus", "Choristoneura luticostana", "Choristoneura metasequoiacola", "Choristoneura murinana", "Choristoneura neurophaea", "Choristoneura obsoletana", "Choristoneura orae", "Choristoneura parallela", "Choristoneura pinus", "Choristoneura propensa", "Choristoneura quadratica", "Metaperipatus inae", "Metaperipatus blainvillei", "Choristoneura retiniana", "Choristoneura rosaceana", "Opisthopatus cinctipes", "Opisthopatus herbertorum", "Opisthopatus roseus", "Choristoneura simonyi", "Choristoneura spaldingana", "Wambalana makrothele", "Choristoneura thyrsifera", "Choristoneura zapulata", "Ruhbergia bifalcata", "Ruhbergia brevicorna", "Ruhbergia rostroides", "Konothele kallimos", "Ooperipatellus decoratus", "Ooperipatellus duwilensis", "Ooperipatellus insignis", "Ooperipatellus nanus", "Ooperipatellus parvus", "Avaria constanti", "Ooperipatellus viridimaculatus", "Florelliceps stutchburyae", "Baeothele saukros", "Avaria hyerana", "Ascerodes prochlora", "Atelodora pelochytana", "Atelodora agramma", "Protoparmelia atriseda", "Protoparmelia badia", "Protoparmelia cupreobadia", "Protoparmelia hypotremella", "Protoparmelia memnonia", "Protoparmelia montagnei", "Protoparmelia nephaea", "Protoparmelia ochrococca", "Protoparmelia oleagina", "Protoparmelia ryaniana", "Acalyptomerus asiaticus", "Eosia digennaroi", "Eosia minettii", "Eosia insignis", "Argema kuhnei", "Argema kuhnei kuhnei", "Argema kuhnei katangensis", "Bunaea oremansi", "Amusaron kolga", "Amusaron pruinosa", "Vingerhoedtia ruficollis", "Vingerhoedtia grisea", "Racinoa obliquisigna", "Racinoa signicosta", "Racinoa maculifrons", "Racinoa fuscocervina", "Racinoa pallicornis", "Racinoa albivertex", "Racinoa ochaceipennis", "Racinoa metallescens", "Racinoa ianthe", "Racinoa spiralis", "Racinoa versicolora", "Racinoa zolotuhini", "Neoanalthes variabilis", "Neoanalthes abludens", "Neoanalthes guangxiensis", "Neoanalthes undatalis", "Choristoneura expansiva", "Doratonotus megalepis", "Dotalabrus alleni", "Coris aygula", "Coris ballieui", "Coris batuensis", "Coris bulbifrons", "Coris caudimacula", "Coris centralis", "Coris cuvieri", "Coris debueni", "Coris dorsomacula", "Coris flavovittata", "Coris formosa", "Coris gaimard", "Coris hewetti", "Coris marquesensis", "Coris musume", "Coris nigrotaenia", "Achlya jezoensis", "Coris picta", "Coris pictoides", "Coris roseoviridis", "Coris sandeyeri", "Coris variegata", "Achlya hoerburgeri", "Coris venusta", "Ctenolabrus rupestris", "Achlya longipennis", "Cymolutes lecluse", "Cymolutes praetextatus", "Cymolutes torquatus", "Decodon grandisquamis", "Decodon melasma", "Achlya tateyamai", "Decodon pacificus", "Decodon puellaris", "Diproctacanthus xanthurus", "Sugitaniella kuramana", "Demopsestis punctigera", "Demopsestis formosana", "Demopsestis mahendrai", "Euthalia mahadeva", "Cyamodus hildegardis", "Cyamodus kuhnschnyderi", "Cyamodus rostratus", "Cantalera abadi", "Eobaatar magnus", "Eobaatar hispanicus", "Ramonia ablephora", "Ramonia absconsa", "Ramonia chrysophaea", "Ramonia cupellina", "Ramonia dictyospora", "Ramonia gyalectiformis", "Dotalabrus aurantiacus", "Epibulus insidiator", "Eupetrichthys angustipes", "Frontilabrus caeruleus", "Gomphosus caeruleus", "Gomphosus varius", "Halichoeres adustus", "Halichoeres aestuaricola", "Halichoeres argus", "Halichoeres bathyphilus", "Halichoeres bicolor", "Halichoeres binotopsis", "Halichoeres biocellatus", "Halichoeres bivittatus", "Halichoeres bleekeri", "Halichoeres brasiliensis", "Halichoeres brownfieldi", "Halichoeres burekae", "Halichoeres caudalis", "Halichoeres chierchiae", "Halichoeres chlorocephalus", "Halichoeres chloropterus", "Halichoeres chrysus", "Halichoeres cosmetus", "Halichoeres cyanocephalus", "Halichoeres dimidiatus", "Halichoeres discolor", "Halichoeres dispilus", "Halichoeres garnoti", "Halichoeres hartzfeldii", "Halichoeres hortulanus", "Halichoeres insularis", "Halichoeres iridis", "Choristoneura evanidana", "Choristoneura ferrugininotata", "Choristoneura fractivittana", "Choristoneura fumiferana", "Choristoneura griseicoma", "Choristoneura hebenstreitella", "Choristoneura improvisana", "Choristoneura jecorana", "Choristoneura jezoensis", "Choristoneura lafauryana", "Choristoneura lambertiana", "Poecilotheria formosa", "Poecilotheria rufilata", "Chilobrachys fimbriatus", "Psalmopoeus irminia", "Psalmopoeus cambridgei", "Epipsestis peregovitsi", "Epipsestis medialis", "Epipsestis mediofusca", "Epipsestis albicosta", "Epipsestis longipennis", "Epipsestis meilingchani", "Epipsestis niveifasciata", "Epipsestis vastaguncus", "Epipsestis bisociata", "Carpophilus oculatus", "Carpophilus oculatus gilloglyi", "Ramonia luteola", "Ramonia malmei", "Ramonia microspora", "Ramonia nigra", "Ramonia rappii", "Ramonia subsphaeroides", "Ramonia valenzueliana", "Ramonia vermispora", "Epirinus aeneus", "Epirinus hilaris", "Epirinus silvestris", "Prodontria rakiurensis", "Prodontria montis", "Prodontria matagouriae", "Prodontria regalis", "Prodontria minuta", "Prodontria patricki", "Prodontria capito", "Prodontria lewisi", "Prodontria modesta", "Prodontria pinguis", "Prodontria praelatella", "Prodontria setosa", "Halichoeres leucoxanthus", "Halichoeres leucurus", "Halichoeres maculipinna", "Halichoeres malpelo", "Halichoeres margaritaceus", "Halichoeres marginatus", "Halichoeres melanochir", "Halichoeres melanotis", "Halichoeres melanurus", "Halichoeres melas", "Halichoeres melasmapomus", "Halichoeres miniatus", "Halichoeres nebulosus", "Halichoeres nicholsi", "Halichoeres nigrescens", "Halichoeres notospilus", "Halichoeres orientalis", "Halichoeres ornatissimus", "Halichoeres pallidus", "Halichoeres papilionaceus", "Halichoeres pardaleocephalus", "Halichoeres pelicieri", "Halichoeres penrosei", "Halichoeres pictus", "Halichoeres podostigma", "Halichoeres poeyi", "Halichoeres prosopeion", "Neoploca arctipennis", "Asphalia ruficollis", "Nothoploca nigripunctata", "Nothoploca nigripunctata nigripunctata", "Nothoploca nigripunctata fansipana", "Nothoploca nigripunctata zolotarenkoi", "Nothoploca endoi", "Cymatophorima diluta", "Epipsestis ornata", "Epipsestis ornata ornata", "Epipsestis ornata obscurata", "Epipsestis manmiaoyangi", "Epipsestis nikkoensis", "Epipsestis castaneata", "Panesthia angustipennis", "Limeulia curiosa", "Anopina ainslieana", "Anopina bonagotoides", "Anopina chelatana", "Anopina chemsaki", "Anopina chipinquensis", "Anopina chiricahuae", "Anopina circumtila", "Anopina condata", "Anopina dentata", "Anopina durangoensis", "Cyclosternum fasciatum", "Leporellus vittatus", "Leporinus agassizii", "Liosomadoras oncinus", "Megalancistrus barrae", "Funisciurus congicus", "Funisciurus isabella", "Funisciurus lemniscatus", "Funisciurus leucogenys", "Funisciurus pyrropus", "Funisciurus substriatus", "Xenophysella stewartensis", "Margarobyas lawrencii", "Megascops nudipes nudipes", "Megascops nudipes newtoni", "Megalancistrus parananus", "Mesonauta festivus", "Transtillaspis calderana", "Transtillaspis chiribogana", "Transtillaspis chilesana", "Transtillaspis multicornuta", "Transtillaspis pichinchana", "Panulirus cygnus", "Transtillaspis golondrinana", "Transtillaspis quatrocornuta", "Transtillaspis longisetae", "Panulirus argus", "Acontia cimbebasia", "Acontia aureola", "Dysmilichia namibiae", "Rinodina bischoffii var. bischoffii", "Laetacara curviceps", "Laetacara dorsigera", "Leporacanthicus galaxias", "Gnorismoneura cylindrata", "Leporacanthicus joselimai", "Gnorismoneura grandiprocessa", "Rinodina bischoffii var. castanomelodes", "Gnorismoneura serrata", "Gnorismoneura quadrativalvata", "Gnorismoneura taeniodesma", "Gnorismoneura zetessima", "Gnorismoneura exulis", "Gnorismoneura hoshinoi", "Gnorismoneura mesoloba", "Gnorismoneura mesotoma", "Gnorismoneura micronca", "Gnorismoneura orientis", "Gnorismoneura stereomorpha", "Gnorismoneura tragoditis", "Gnorismoneura vallifica", "Gnorismoneura zyzzogeton", "Corydoras aeneus", "Corydoras agassizii", "Corydoras ambiacus", "Typhonia troughti", "Corydoras arcuatus", "Corydoras burgessi", "Corydoras caudimaculatus", "Corydoras davidsandsi", "Corydoras elegans", "Corydoras griseus", "Corydoras haraldschultzi", "Corydoras hastatus", "Corydoras julii", "Corydoras melini", "Corydoras narcissus", "Corydoras nattereri", "Corydoras paleatus", "Corydoras parallelus", "Corydoras punctatus", "Corydoras rabauti", "Corydoras reticulatus", "Corydoras robineae", "Corydoras robustus", "Corydoras schwartzi", "Corydoras sterbai", "Uromastyx geyri", "Desmoxytes purpurosea", "Desmoxytes acantherpestes", "Desmoxytes gigas", "Desmoxytes hostilis", "Desmoxytes jeekeli", "Desmoxytes pterygota", "Desmoxytes rubra", "Subterinebrica magnitaeniana", "Netechma splendida", "Netechma lamanana", "Netechma camelana", "Netechma polycornuta", "Netechma crucifera", "Netechma obunca", "Netechma otongana", "Netechma bifascia", "Netechma altitudinaria", "Netechma jelskii", "Furcinetechma magnifura", "Clarkenia triangulifera", "Badiaria plagiata", "Inape chara", "Inape rigidsocia", "Inape tricornuta", "Inape balzapamba", "Transtillaspis hepaticolorana", "Annandaliella travancorica", "Terthreutis argentea", "Terthreutis bipunctata", "Terthreutis bulligera", "Terthreutis orbicularis", "Terthreutis series", "Terthreutis sphaerocosma", "Terthreutis xanthocycla", "Ornithoptera chimaera", "Ornithoptera meridionalis", "Ornithoptera paradisea", "Ornithoptera tithonus", "Ornithoptera rothschildi", "Saphenista tufinoa", "Saphenista leuconigra", "Saphenista penai", "Saphenista chiriboga", "Saphenista pululahuana", "Saphenista brunneomaculata", "Deltophalonia obscura", "Aethes chilesi", "Tossea setosa", "Aphonopelma hentzi", "Psedaleulia qualitata", "Psedaleulia dumetosa", "Psedaleulia manapilao", "Aphonopelma seemanni", "Paisana pampeana", "Paisana lydiae", "Paisana maculata", "Paisana saopaulensis", "Forelius damiani", "Rhyacophila simmonsi", "Brachypelma albopilosum", "Halichoeres radiatus", "Halichoeres richmondi", "Halichoeres rubricephalus", "Halichoeres salmofasciatus", "Halichoeres scapularis", "Halichoeres semicinctus", "Halichoeres signifer", "Halichoeres socialis", "Halichoeres solorensis", "Halichoeres stigmaticus", "Halichoeres tenuispinis", "Halichoeres timorensis", "Halichoeres trimaculatus", "Halichoeres trispilus", "Halichoeres vrolikii", "Halichoeres zeylonicus", "Hemigymnus fasciatus", "Hemigymnus melapterus", "Platycerus acuticollis", "Saprinus detritus", "Prionotes cerinthoides", "Epipsestis bilineata", "Epipsestis bilineata bilineata", "Epipsestis bilineata pallida", "Eriococcus melnikensis", "Epipsestis dubia", "Epipsestis dubia dubia", "Picia mesopotamica", "Picia sinuatocollis", "Epipsestis dubia chengshinglini", "Epipsestis albidisca", "Epipsestis stueningi", "Epipsestis cortigera", "Epipsestis nigropunctata", "Epipsestis nigropunctata nigropunctata", "Epipsestis nigropunctata perornata", "Epipsestis renalis", "Chondrostegoides capensis", "Chondrostegoides murina", "Chondrostegoides ruficornis", "Chondrostegoides nobilorum", "Chondrostegoides magna", "Chondrostegoides jamaka", "Panulirus echinatus", "Pelzia alticolana", "Panulirus gracilis", "Panulirus guttatus", "Obdurodon insignis", "Rhythmologa numerata", "Rhythmologa yukipana", "Rhythmologa argentoviridana", "Oregocerata caucana", "Oregocerata quadrifurcata", "Oregocerata triangulana", "Oregocerata nigrograpta", "Oregocerata recurrens", "Guarandita bolivariana", "Ptyongnathosia cotopaxiana", "Runtunia runtunica", "Panesthia cribrata", "Grammostola grossa", "Dasytes minutus", "Pristoderus scaber", "Colophon barnardi", "Colophon montisatris", "Clambus bulla bulla", "Sphaerius africanus", "Lydontopa polydonta", "Marcelina mera", "Neomarkia trifascia", "Ozotuncus ozotuncus", "Claudiella ingens", "Ytu angra", "Ytu cuyaba", "Ytu godoyi", "Ytu itati", "Ytu mirandus", "Ytu mirim", "Ytu yaguar", "Ytu ysypo", "Ytu artemis", "Ytu athena", "Ytu cupidus", "Ytu zeus", "Ytu phebo", "Ytu demeter", "Ytu morpheus", "Ytu hephaestus", "Lissotes bornemisszai", "Lissotes vanderschoori", "Isopedella victorialis", "Saxidromus anahoffmannae", "Saxidromus caribeus", "Saxidromus delamarei", "Adamystis buchelis", "Adamystis monomaculata", "Adamystis nudis", "Adamystis oculeusis", "Adamystis trimaculata", "Adamystis yvesi", "Adamystis beckyanneae", "Adamystis coineaui", "Adamystis sartorum", "Adamystis donnae", "Adamystis doumengei", "Adamystis fonsi", "Disella rebeeveri", "Nameriophyes sapidae", "Iconostigma tryphaena", "Iconostigma morosa", "Leurogyia peristictum", "Heliconius erato", "Nuritamburia chlorocalla", "Nuritamburia metallurgica", "Nuritamburia phyllanthana", "Nuritamburia semicineriana", "Aceria flynni", "Aceria melicyti", "Aceria microphyllae", "Nuritamburia thoracina", "Xoser exors", "Moenkhausia affinis", "Moenkhausia sanctaefilomenae", "Moenkhausia pittieri", "Moenkhausia barbouri", "Moenkhausia collettii", "Moenkhausia dichroura", "Moenkhausia gracilima", "Moenkhausia hasemani", "Moenkhausia intermedia", "Moenkhausia jamesi", "Varifula fulvaria", "Uncicida galerasiana", "Uelia sepidapex", "Thoridia veirsi", "Joaquima tricolora", "Lasiodora difficilis", "Lasiodora klugi", "Telurips peruvianus", "Lasiodora parahybana", "Lasiodorides striatus", "Moenkhausia lepidura", "Moenkhausia megalops", "Moenkhausia oligolepis", "Hypsicera nelsonensis", "Hypsicera femoralis", "Hydnobioides pubescens", "Hydnobioides lawrencei", "Hobartius chilensis", "Hobartius newtonorum", "Hobartius niger", "Hobartius eucalypti", "Cecidophyopsis hendersoni", "Hologymnosus annulatus", "Hologymnosus doliatus", "Hologymnosus longipes", "Hologymnosus rhodonotus", "Iniistius aneitensis", "Iniistius auropunctatus", "Iniistius baldwini", "Iniistius celebicus", "Iniistius griffithsi", "Iniistius pavo", "Iniistius umbrilatus", "Argyrotaenia pilalona", "Labrichthys unilineatus", "Labroides bicolor", "Labroides dimidiatus", "Labroides pectoralis", "Labroides phthirophagus", "Argyrotaenia subcordillerae", "Labroides rubrolabiatus", "Argyrotaenia tenuis", "Labropsis alleni", "Argyrotaenia altera", "Labropsis australis", "Labropsis manabei", "Labropsis micronesica", "Labropsis polynesica", "Argyrotaenia magnuncus", "Labropsis xanthonota", "Labrus mixtus", "Anacrusis brunnorbis", "Amorbia jaczewskii", "Auratonota paramaldonada", "Auratonota polymaculata", "Heppnerographa circinnata", "Heppnerographa arammclaina", "Heppnerographa ardea", "Carabus pachtoun kabakovianus", "Macrochlidia major", "Macrochlidia minor", "Macrochlidia cajanumana", "Picroxena scorpiura", "Metrernis ochrolina", "Metrernis tencatei", "Phobaeticus annamallayanus", "Phobaeticus foliatus", "Phobaeticus hypharpax", "Phobaeticus incertus", "Carabus dayongensis", "Phobaeticus ingens", "Phobaeticus kirbyi", "Phobaeticus lobulatus", "Phobaeticus lumawigi", "Carabus dayaoshan", "Phobaeticus magnus", "Phobaeticus mjobergi", "Phobaeticus mucrospinosus", "Carabus lushanicus", "Phobaeticus palawanensis", "Carabus grossefoveatus", "Phobaeticus philippinicus", "Carabus grossefoveatus annikae", "Phobaeticus pinnipes", "Phobaeticus redtenbacheri", "Phobaeticus rex", "Phobaeticus serratipes", "Phobaeticus sinetyi", "Carabus anhuinus", "Phobaeticus sobrinus", "Carabus anhuinus xingziensis", "Carabus yuanshanensis", "Carabus guizhouensis", "Carabus guizhouensis yunwuensis", "Carabus nanwutai", "Carabus hector", "Carabus penelope", "Gamelioides deniseae", "Molippa pilarae", "Heppnerographa brasiliana", "Heppnerographa carchiana", "Heppnerographa ecuatorica", "Heppnerographa lapilla", "Heppnerographa tricesimana", "Heppnerographa chrysotona", "Heppnerographa longibarba", "Heppnerographa podocarpi", "Heppnerographa usitica", "Heppnerographa mashpiana", "Archimaga pyractis", "Archimaga philomina", "Auratonota hydrogramma", "Auratonota aenigmatica", "Auratonota aporema", "Auratonota aurantica", "Auratonota dispersa", "Auratonota dominica", "Auratonota hyacinthina", "Auratonota multifurcata", "Auratonota petalocrossa", "Auratonota auriginea", "Dryococelus australis", "Auratonota badiaurea", "Auratonota cataponera", "Auratonota clasmata", "Auratonota spinivalva", "Auratonota spinivalva spinivalva", "Auratonota spinivalva cubana", "Auratonota effera", "Auratonota exoptata", "Auratonota flora", "Auratonota foederata", "Auratonota magnifica", "Auratonota monochroma", "Auratonota moronana", "Auratonota nugax", "Auratonota omorpha", "Auratonota oxytenia", "Auratonota paidosocia", "Auratonota serotina", "Auratonota splendida", "Auratonota stigmosa", "Auratonota tessellata", "Auratonota virgata", "Auratonota petalocrossa petalocrossa", "Auratonota petalocrossa maldonada", "Branchophantis chrysoschista", "Caenognosis incisa", "Cchlidanota thriambis", "Daulocnema epicharis", "Electracma hemichroa", "Gnaphalostoma nivacula", "Lappanella fasciata", "Lappanella guineensis", "Larabicus quadrilineatus", "Leptojulis chrysotaenia", "Leptojulis cyanopleura", "Leptojulis lambdastigma", "Leptojulis polylepis", "Leptojulis urostigma", "Macropharyngodon bipartitus", "Macropharyngodon choati", "Macropharyngodon cyanoguttatus", "Macropharyngodon geoffroy", "Macropharyngodon kuiteri", "Macropharyngodon meleagris", "Macropharyngodon moyeri", "Macropharyngodon negrosensis", "Macropharyngodon ornatus", "Macropharyngodon vivienae", "Malapterus reticulatus", "Minilabrus striatus", "Nelabrichthys ornatus", "Notolabrus celidotus", "Notolabrus cinctus", "Notolabrus fucicola", "Notolabrus gymnogenis", "Notolabrus inscriptus", "Carabus angermaieri", "Notolabrus parilus", "Notolabrus tetricus", "Novaculichthys macrolepidotus", "Novaculichthys taeniourus", "Ophthalmolepis lineolata", "Carabus qianding", "Carabus thibetanus", "Carabus medea", "Carabus medea planithoracis", "Carabus shun", "Carabus shun emeifeng", "Carabus shun shun", "Carabus pachtoun", "Carabus pachtoun pachtoun", "Carabus anami", "Carabus nouristani", "Schedotrigona crucifer", "Schedotrigona johnsi", "Schedotrigona tremblayi", "Apura xanthosoma", "Apura xylodryas", "Chlorortha chloromonas", "Clonuncaria cimolioptera", "Clonuncaria melanophyta", "Histurodes costaricana", "Histurodes taetera", "Eriophyes bennetti", "Eriophyes georgeae", "Aculus lalithi", "Aculops propinquae", "Aculus corynocarpi", "Aculus heatherae", "Aculus calystegiae", "Asetilobus hodgkinsi", "Tegolophus alicis", "Abacarus hystrix", "Aculodes mckenziei", "Phyllhermannia forsteri", "Lachnolaimus maximus", "Pseudocomotis agatharcha", "Pseudocomotis albolineana", "Pseudocomotis serendipita", "Pseudocomotis nortena", "Pseudocomotis razowskii", "Pseudocomotis citroleuca", "Pseudocomotis scardiana", "Trymalitis margarias", "Trymalitis cataracta", "Trymalitis climacias", "Trymalitis macarista", "Trymalitis optima", "Trymalitis scalifera", "Trymalitis escharia", "Utrivalva usurpata", "Utrivalva melitocrossa", "Charitographa mikadonia", "Hilarographa swederiana", "Hilarographa bellica", "Hilarographa bryonota", "Hilarographa eriglypta", "Hilarographa euphronica", "Hilarographa hexapeda", "Hilarographa methystis", "Hilarographa orthochrysa", "Hilarographa plectanodes", "Hilarographa thaliarcha", "Hilarographa xanthotoxa", "Hilarographa dulcisana", "Hilarographa plurimana", "Hilarographa quinquestrigana", "Hilarographa refluxana", "Hilarographa ribbei", "Idiothauma africanum", "Idiothauma druidica", "Idiothauma malgassicella", "Idiothauma rigatiella", "Mictocommosis nigromaculata", "Mictocommosis argus", "Mictocommosis microctenota", "Mictocommosis stemmatias", "Nexosa marmarastra", "Nexosa hexaphala", "Nexosa picturata", "Nexosa aureola", "Kapitia obscura", "Sejus novaezealandiae", "Liponyssoides eudyptulae", "Zercon delicatus", "Zercon kackaricus", "Omiostola alphitopa", "Omiostola gerda", "Omiostola hemeropis", "Omiostola macrotrachela", "Omiostola melanaspis", "Omiostola youngi", "Omiostola brunneochroma", "Omiostola delta", "Omiostola triangulifera", "Tsinilla lineana", "Tsinilla tristis", "Tsinilla ubericolor", "Tsinilla albidecora", "Epinotia guarandae", "Epinotia chlorochara", "Epinotia biuncus", "Epinotia bispina", "Quebradnotia carchigena", "Strepsicrates melanotreta", "Carios capensis", "Thinoseius sawadai", "Thinoseius setifer", "Thinoseius ramsayi", "Thinoseius occidentalipacificus", "Caedicia goobita", "Caedicia kuranda", "Caedicia webberi", "Simplicivalva philobia", "Teucrium divaricatum", "Ladoffa aguilari", "Tortigonalia longicaudata", "Episimus silvaticus", "Omiostola adamantea", "Panulirus homarus", "Panulirus inflatus", "Panulirus interruptus", "Panulirus japonicus", "Panulirus laevicauda", "Panulirus longipes", "Panulirus marginatus", "Panulirus ornatus", "Panulirus pascuensis", "Panulirus penicillatus", "Panulirus polyphagus", "Panulirus regius", "Panulirus stimpsoni", "Pseudethas jacobsoni", "Pseudethas kabakovi", "Dichillus kabakovi", "Dichillus kabulensis", "Eccopsis aegidia", "Eccopsis agassizi", "Eccopsis deprinsi", "Eccopsis morogoro", "Eccopsis ninicecelie", "Eccopsis ochrana", "Eccopsis tucki", "Eccopsis encardia", "Eccopsis heterodon", "Eccopsis incultana", "Eccopsis maschalista", "Eccopsis nebulana", "Eccopsis praecedens", "Eccopsis wahlbergiana", "Eccopsis ofcolacona", "Zellereccopsis caffreana", "Geita bjoernstadi", "Geita micrograpta", "Promodra nigrata", "Promodra prodroma", "Paraeccopsis insellata", "Paraeccopsis nucleata", "Paraeccopsis acroplecta", "Paraeccopsis eoplecta", "Paraeccopsis exhilarata", "Paraeccopsis phoeniodes", "Paraeccopsis windhoeca", "Afroploce mabalingwae", "Rufeccopsis rufescens", "Rufeccopsis brunneograpta", "Bothriochloa longifolia", "Bothriochloa longipaniculata", "Bothriochloa macra", "Bothriochloa meridionalis", "Bothriochloa modesta", "Hyles tithymali", "Hyles tithymali tithymali", "Hyles tithymali himyarensis", "Molippa kohlli", "Paradirphia wenczeli", "Tinacrucis apertana", "Tinacrucis aquila", "Tinacrucis patulana", "Tinacrucis sebasta", "Tinacrucis atopa", "Idolatteria mimica", "Idolatteria ops", "Idolatteria bichroma", "Pseudatteria molybdophanes", "Acleris nishidai", "Taranakia lambi", "Ramsayella rangitata", "Erythrites jacksoni", "Idaea omari", "Neosmaris novaezealandiae", "Tiliacea cypreago", "Neotrombicula sphenodonti", "Microtrombicula hoplodactyla", "Locustacarus masoni", "Oudemansicheyla coprosmae", "Abrolophus zelandicus", "Microtrombidium aucklandicum", "Microtrombidium otagoensis", "Nandus mercatus", "Celeus torquatus occidentalis", "Celeus torquatus torquatus", "Celeus undatus amacurensis", "Celeus undatus multifasciatus", "Celeus undatus undatus", "Chrysocolaptes festivus festivus", "Caeculisoma huxleyi", "Australotydaeus kirsteneae", "Tuckerella flabellifera", "Tuckerella litoralis", "Luodianasca recurvata", "Treufalka lamellata", "Trichotoca edentula", "Mesotrichoca mesozoica", "Chrysocolaptes festivus tantus", "Chrysocolaptes guttacristatus andrewsi", "Fusicornia ardis", "Fusicornia aulacis", "Fusicornia bambeyi", "Chrysocolaptes guttacristatus indomalayicus", "Chrysocolaptes erythrocephalus", "Pristomyrmex acerosus", "Pristomyrmex africanus", "Pristomyrmex bicolor", "Pristomyrmex bispinosus", "Pristomyrmex boltoni", "Pristomyrmex brevispinosus", "Pristomyrmex browni", "Pristomyrmex coggii", "Pristomyrmex collinus", "Pristomyrmex costatus", "Pristomyrmex cribrarius", "Pristomyrmex curvulus", "Pristomyrmex distinguendus", "Pristomyrmex divisus", "Pristomyrmex eduardi", "Pristomyrmex erythropygus", "Pristomyrmex flatus", "Pristomyrmex formosae", "Pristomyrmex fossulatus", "Pristomyrmex foveolatus", "Pristomyrmex fuscipennis", "Pristomyrmex hamatus", "Pristomyrmex hirsutus", "Pristomyrmex inermis", "Pristomyrmex largus", "Pristomyrmex levigatus", "Pristomyrmex longispinus", "Pristomyrmex longus", "Pristomyrmex lucidus", "Pristomyrmex mandibularis", "Pristomyrmex mendanai", "Pristomyrmex minusculus", "Pristomyrmex modestus", "Pristomyrmex nitidissimus", "Pristomyrmex obesus", "Pristomyrmex occultus", "Pristomyrmex orbiceps", "Pristomyrmex picteti", "Pristomyrmex pollux", "Pristomyrmex profundus", "Pristomyrmex pulcher", "Pseudocoris aequalis", "Pseudocoris aurantiofasciata", "Pseudocoris bleekeri", "Pseudocoris heteroptera", "Pseudocoris ocellata", "Pseudocoris yamashiroi", "Pseudodax moluccanus", "Pseudojuloides argyreogaster", "Pseudojuloides atavai", "Pseudojuloides cerasinus", "Pseudojuloides elongatus", "Pseudojuloides erythrops", "Pseudojuloides inornatus", "Melanerpes pygmaeus pygmaeus", "Melanerpes pygmaeus rubricomus", "Melanerpes pygmaeus tysoni", "Melanerpes rubricapillus paraguanae", "Melanerpes rubricapillus rubricapillus", "Melanerpes rubricapillus seductus", "Melanerpes rubricapillus subfusculus", "Coptotriche forsteroniae", "Coptotriche singularis", "Melanerpes superciliaris blakei", "Melanerpes superciliaris caymanensis", "Melanerpes superciliaris murceus", "Melanerpes superciliaris nyeanus", "Eucosmogastra aeraria", "Pristomyrmex trachylissus", "Eucosmogastra anthochroa", "Acanthomyrmex basispinosus", "Acanthomyrmex careoscrobis", "Acanthomyrmex concavus", "Acanthomyrmex crassispinus", "Eucosmogastra callicratis", "Acanthomyrmex dusun", "Acanthomyrmex ferox", "Acanthomyrmex foveolatus", "Acanthomyrmex glabfemoralis", "Acanthomyrmex laevis", "Acanthomyrmex luciolae", "Acanthomyrmex mindanao", "Acanthomyrmex minus", "Acanthomyrmex notabilis", "Acanthomyrmex padanensis", "Acanthomyrmex sulawesiensis", "Acanthomyrmex thailandensis", "Genetancylis homalota", "Hypopicus hyperythrus annamensis", "Helcystogramma triannulella", "Hypopicus hyperythrus hyperythrus", "Roystonea regia", "Hypopicus hyperythrus marshalli", "Hypopicus hyperythrus subrufinus", "Meiglyptes tristis grammithorax", "Meiglyptes tristis tristis", "Meiglyptes tukki batu", "Meiglyptes tukki infuscatus", "Meiglyptes tukki percnerpes", "Trichuris muris", "Meiglyptes tukki pulonis", "Cedrus libani var. brevifolia", "Cedrus libani var. stenocoma", "Cedrus libani var. libani", "Cyphophanes dryocoma", "Cyphophanes dyscheranta", "Tilia henryana", "Chrysocolaptes lucidus lucidus", "Myerslopia rakiuraensis", "Myerslopia tawhai", "Myerslopia tearohai", "Myerslopia whakatipuensis", "Comarum palustre", "Chrysocolaptes lucidus montanus", "Dasiphora fruticosa", "Aesalus himalayicus", "Sibbaldia procumbens", "Nesoctites micromegas abbotti", "Pertusaria allothwaitesii", "Pertusaria angabangensis", "Pertusaria anomalospora", "Pertusaria aptrootii", "Pertusaria aquilonia", "Pertusaria asterella", "Pertusaria atromaculata", "Pertusaria atrospilota", "Pertusaria balekensis", "Pertusaria bartlettii", "Pertusaria bogia", "Pertusaria boweniana", "Pertusaria buburana", "Pertusaria buloloensis", "Pertusaria bundiensis", "Pertusaria celata", "Pertusaria cerebrinula", "Pertusaria chacoensis", "Pertusaria cicatricosa", "Pertusaria cinerella", "Pertusaria clarkeana", "Pertusaria clercii", "Pertusaria complanata", "Pertusaria coniophorella", "Pertusaria consanguinea", "Pertusaria copelandii", "Folsomina infelicia", "Pertusaria damiensis", "Pertusaria dehiscens", "Pertusaria dennistonensis", "Pertusaria dissita", "Pertusaria doradorensis", "Pertusaria duppensis", "Lysiosquilloides mapia", "Evarcha bicuspidata", "Evarcha pococki", "Pancorius minutus", "Phintella debilis", "Phintella vittata", "Portia quei", "Rhene rubrigera", "Synagelides palpalis", "Telamonia festiva", "Chinattus validus", "Carrhotus sannio", "Bianor maculatus", "Bianor angulosus", "Bothriocyrtum tractabile", "Latouchia formosensis smithi", "Chrysocolaptes haematribon grandis", "Evora hemidesma", "Aemulatrix aequilibra", "Aemulatrix notognatha", "Ancylis bauhiniae", "Ancylis biscissana", "Ancylis brauni", "Ancylis bucovinella", "Ancylis burgessiana", "Ancylis caudifer", "Ancylis comptana", "Ancylis corylicolana", "Chrysocolaptes haematribon", "Ancylis geminana", "Ancylis kenneli", "Ancylis laetana", "Ancylis limosa", "Ancylis loktini", "Anthozela anonidii", "Anthozela bathysema", "Anthozela chrysoxantha", "Pseudoliparis belyaevi", "Anthozela hemidoxa", "Argyroptocha phalaenopa", "Chrysocolaptes strictus kangeanensis", "Balbidomaga dorophora", "Balbidomaga uptoini", "Cimeliomorpha cymbalora", "Cimeliomorpha egregiana", "Cimeliomorpha nabokovi", "Cimeliomorpha novarana", "Crocostola hyperphyes", "Myrmeconema neotropicum", "Xiphinema americanum", "Metallidascillus sasajii", "Metallidascillus atricollis", "Metallidascillus wakaharai", "Metallidascillus yangi", "Pseudopoda confusa", "Satonius kurosawai", "Hydroscapha jumaloni", "Sericospilus advena", "Iapir borgmeieri", "Iapir castalia", "Chrysocolaptes lucidus rufopunctatus", "Chrysocolaptes guttacristatus socialis", "Chrysocolaptes stricklandi", "Dasodis microphthora", "Dasodis cladographa", "Dasybregma gypsodoxa", "Embolostoma plutostola", "Chrysocolaptes strictus strictus", "Chrysocolaptes guttacristatus sultaneus", "Enarmonia flammeata", "Chrysocolaptes xanthocephalus", "Enarmonia formosana", "Colaptes campestris campestris", "Colaptes campestris campestroides", "Enarmoniodes mirabilis", "Enarmoniodes furcula", "Pristomyrmex quadridens", "Pristomyrmex quadridentatus", "Pristomyrmex quindentatus", "Pristomyrmex reticulatus", "Enarmoniodes praetextana", "Pristomyrmex rigidus", "Pristomyrmex rugosus", "Pristomyrmex schoedli", "Pristomyrmex simplex", "Pristomyrmex sulcatus", "Pristomyrmex thoracicus", "Pristomyrmex trispinosus", "Pristomyrmex trogor", "Pristomyrmex umbripennis", "Eucosmogastra aeolantha", "Pristomyrmex wheeleri", "Pristomyrmex wilsoni", "Arrenurus rotoensis", "Meiglyptes tukki tukki", "Arrenurus lacus", "Mesostoma ehrenbergii", "Arrenurus longipetiolatus", "Arrenurus schuckardi", "Arrenurus stoutae", "Arrenurus zelandicus", "Paramideopsis kyphus", "Paramideopsis regalis", "Melanerpes chrysogenys chrysogenys", "Melanerpes chrysogenys flavinuchus", "Sperchontinae incertae sedis", "Apeltosperchon zelandicus", "Stygotonia ambigua", "Monopis spilotella", "Monopis imella", "Monopis artasyras", "Monopis monachella", "Monopis christophi", "Monopis pallidella", "Scythris fascia", "Scythris haloxylella", "Scythris parafluxilis", "Picoides albolarvatus albolarvatus", "Picoides albolarvatus gravirostris", "Kottelatlimia hipporhynchos", "Cyrtodactylus hontreensis", "Betamorpha characta", "Bathybadistes hoplitis", "Aturidae incertae sedis", "Zelandatonia orion", "Kuschelacarus ovalis", "Cnestus pseudosolidus", "Cnestus solidus", "Callidosoma tiki", "Anamundamella zelandica", "Oxycheilinus arenatus", "Oxycheilinus bimaculatus", "Oxycheilinus celebicus", "Oxycheilinus digramma", "Oxycheilinus lineatus", "Oxycheilinus mentalis", "Oxycheilinus nigromarginatus", "Oxycheilinus orientalis", "Oxycheilinus rhodochrous", "Oxycheilinus unifasciatus", "Oxyjulis californica", "Paracheilinus angulatus", "Paracheilinus attenuatus", "Paracheilinus bellae", "Paracheilinus carpenteri", "Paracheilinus cyaneus", "Paracheilinus filamentosus", "Paracheilinus flavianalis", "Paracheilinus hemitaeniatus", "Paracheilinus lineopunctatus", "Paracheilinus mccoskeri", "Paracheilinus nursalim", "Paracheilinus octotaenia", "Paracheilinus piscilineatus", "Paracheilinus rubricaudalis", "Paracheilinus togeanensis", "Paracheilinus walton", "Parajulis poecilepterus", "Pictilabrus brauni", "Pictilabrus laticlavius", "Pictilabrus viridis", "Polylepion cruentum", "Polylepion russelli", "Pseudocheilinops ataenia", "Pseudocheilinus citrinus", "Pseudocheilinus dispilus", "Pseudocheilinus evanidus", "Pseudocheilinus hexataenia", "Pseudocheilinus ocellatus", "Pseudocheilinus octotaenia", "Pseudocheilinus tetrataenia", "Geckobia gymnodactyli", "Geckobia haplodactyli", "Geckobia naultina", "Geckobia hirsti", "Rinodina conchophylla", "Rinodina confusa", "Rinodina crespoae", "Rinodina cretica", "Rinodina dalmatica", "Rinodina deflectens", "Tarsonemus parawaitei", "Tarsonemus yali", "Rinodina diplinthia", "Rinodina dubyana", "Polyphagotarsonemus latus", "Polyphagotarsonemus beeri", "Picus awokera awokera", "Odontacarus lygosomae", "Neotrombicula naultini", "Eutrombidium townsendi", "Pseudojuloides kaleidos", "Pseudojuloides mesostigma", "Pseudojuloides pyrius", "Pseudojuloides severnsi", "Pseudojuloides xanthomos", "Pseudolabrus biserialis", "Pseudolabrus eoethinus", "Pseudolabrus fuentesi", "Pseudolabrus gayi", "Pseudolabrus guentheri", "Pseudolabrus japonicus", "Pseudolabrus luculentus", "Pseudolabrus miles", "Pseudolabrus rubicundus", "Pseudolabrus semifasciatus", "Pseudolabrus sieboldi", "Pseudolabrus torotai", "Pteragogus aurigarius", "Pteragogus cryptus", "Pteragogus enneacanthus", "Pteragogus flagellifer", "Pteragogus guttatus", "Pteragogus pelycus", "Pteragogus taeniops", "Semicossyphus darwini", "Semicossyphus pulcher", "Semicossyphus reticulatus", "Stethojulis albovittata", "Stethojulis balteata", "Stethojulis bandanensis", "Stethojulis interrupta", "Stethojulis maculata", "Stethojulis marquesensis", "Stethojulis notialis", "Stethojulis strigiventer", "Stethojulis terina", "Stethojulis trilineata", "Suezichthys arquatus", "Suezichthys aylingi", "Suezichthys bifurcatus", "Suezichthys caudavittatus", "Suezichthys cyanolaemus", "Suezichthys devisi", "Suezichthys gracilis", "Suezichthys notatus", "Suezichthys russelli", "Suezichthys soelae", "Heliosciurus gambianus", "Heliosciurus mutabilis", "Heliosciurus punctatus", "Heliosciurus rufobrachium", "Heliosciurus ruwenzorii", "Heliosciurus undulatus", "Myosciurus pumilio", "Veniliornis mixtus cancellatus", "Heteroschistis actaea", "Helictophanes argillacea", "Veniliornis mixtus malleator", "Hystrichophora asphodelana", "Hystrichophora decorosa", "Hystrichophora leonana", "Neralsia ashmeadi", "Neralsia kiefferi", "Neralsia readae", "Neralsia weldi", "Neralsia hyalinipennis", "Ailuropoda baconi", "Ailuropoda microta", "Ailuropoda wulingshanensis", "Tremarctos floridanus", "Veniliornis mixtus mixtus", "Colias philodice", "Garudinia pseudosimulana", "Garudinia conjuncta", "Torodora calligata", "Torodora uringensis", "Torodora lativalvata", "Torodora namalis", "Antiochtha triangulosa", "Celaenorrhinus soei", "Eupithecia egregiata", "Eupithecia brunneomarginata", "Eupithecia efferata", "Eupithecia exicterata", "Dryobates scalaris cactophilus", "Dryobates scalaris eremicus", "Dryobates scalaris graysoni", "Dryobates scalaris leucoptilurus", "Dryobates scalaris lucasanus", "Dryobates scalaris parvus", "Dryobates scalaris scalaris", "Dryobates scalaris sinaloensis", "Dryobates scalaris soulei", "Brugia timori", "Elaeophora abramovi", "Elaeophora bohmi", "Elaeophora elaphi", "Elaeophora poeli", "Elaeophora sagitta", "Allosmerus elongatus", "Alhamitrombium tetraseta", "Nothotrombicula deinacridae", "Foliotrombidium pritchardi", "Euwandesia tenebrio", "Myrmecina amamiana", "Myrmecina americana", "Myrmecina atlantis", "Picoides tridactylus albidior", "Myrmecina australis", "Myrmecina bandarensis", "Myrmecina brevicornis", "Myrmecina butteli", "Myrmecina cacabau", "Myrmecina curtisi", "Myrmecina flava", "Myrmecina graminicola", "Myrmecina guangxiensis", "Myrmecina harrisoni", "Myrmecina mandibularis", "Myrmecina melonii", "Myrmecina modesta", "Myrmecina nesaea", "Myrmecina nipponica", "Myrmecina opaciventris", "Myrmecina pilicornis", "Myrmecina polita", "Myrmecina punctata", "Myrmecina rugosa", "Myrmecina ryukyuensis", "Myrmecina sauteri", "Myrmecina semipolita", "Myrmecina sicula", "Myrmecina striata", "Myrmecina strigis", "Myrmecina sulcata", "Myrmecina taiwana", "Myrmecina transversa", "Myrmecina undulata", "Myrmecina urbanii", "Myrmecina vidyae", "Perissomyrmex bidentatus", "Perissomyrmex fissus", "Perissomyrmex guizhouensis", "Perissomyrmex monticola", "Perissomyrmex snyderi", "Enneamerus reticulatus", "Stiphromyrmex robustus", "Gonatocerus deleoni", "Gonatocerus virlai", "Cleruchoides noackae", "Kompsomymar bicoloratum", "Parastethynium maxwelli", "Gonatocerus morgani", "Gonatocerus walkerjonesi", "Gonatocerus uat", "Nysson kazenasi", "Crematogaster bryophilia", "Crematogaster flavomicrops", "Crematogaster flavosensitiva", "Crematogaster foliocrypta", "Crematogaster jardinero", "Crematogaster monteverdensis", "Crematogaster raptor", "Crematogaster sotobosque", "Rinodina alba", "Rinodina albana", "Rinodina albicans", "Rinodina algarvensis", "Rinodina almbornii", "Rinodina andjasmorensis", "Rinodina anomala", "Rinodina atrocinerea", "Picoides tridactylus alpinus", "Picoides tridactylus crissoleucus", "Rinodina beccariana", "Picoides tridactylus funebris", "Rinodina biloculata", "Rinodina blastidiata", "Rinodina boleana", "Rinodina brandii", "Rinodina brattii", "Rinodina calcarea", "Picoides tridactylus inouyei", "Picoides tridactylus kurodai", "Picoides tridactylus tianschanicus", "Rinodina canariensis", "Picoides tridactylus tridactylus", "Rinodina clauzadei", "Mitinokuidrilus excavatus", "Conuropsis carolinensis", "Rupicapra pyrenaica ornata", "Rinodina parvula", "Rinodina peloleuca", "Rinodina perminuta", "Rinodina pityrea", "Rinodina plana", "Rinodina poeltii", "Rinodina polysporoides", "Ovis orientalis musimon", "Ovis nivicola", "Acarus siro", "Heteroteucha translatella", "Neotropacarus bakeri", "Eulechria encratodes", "Chortoglyphus arcuatus", "Chortoglyphus longior", "Condica aroana", "Astigmata incertae sedis", "Kiwilichus cryptosikyus", "Kiwilichus delosikyus", "Megninia californica", "Hemialges pilgrimi", "Scioglyptis lyciaria", "Morethia boulengeri", "Rinodina procellarum", "Rinodina pruinella", "Rinodina reagens", "Exochojoubertia lobulata", "Euops jingguensis", "Rinodina occulta", "Euops yunnanensis", "Euops yingjiangensis", "Rinodina ochracea", "Cybaeus aratrum", "Diplosoma ooru", "Diplosoma simileguwa", "Dichaetophora abnormis", "Dichaetophora bicornis", "Dichaetophora hainanensis", "Dichaetophora sinensis", "Dichaetophora tenuicauda", "Dichaetophora alticola", "Dichaetophora yeren", "Dichaetophora acutissima", "Dichaetophora cyanea", "Dichaetophora agbo", "Dichaetophora suruku", "Dichaetophora sakagamii", "Dichaetophora surukella", "Dichaetophora raridentata", "Attheyella namkungi", "Insuetifurca austronipponica", "Potamothrix scleropenis", "Rinodina oleae", "Corynoppia papillisetigera", "Rinodina orcularia", "Rinodina orculariopsis", "Platycopia compacta", "Rinodina otagensis", "Microporella speciosa", "Blomia thori", "Blomia thori novaezealandiae", "Myianoetus antipodus", "Nanorchestes dicrosetus", "Rinodina jamesii", "Rinodina kalbii", "Adelomyrmex betoi", "Adelomyrmex biroi", "Adelomyrmex brenesi", "Adelomyrmex brevispinosus", "Adelomyrmex costatus", "Adelomyrmex cristiani", "Adelomyrmex foveolatus", "Adelomyrmex grandis", "Adelomyrmex hirsutus", "Adelomyrmex laevigatus", "Adelomyrmex longinoi", "Adelomyrmex mackayi", "Adelomyrmex micans", "Adelomyrmex microps", "Adelomyrmex minimus", "Adelomyrmex myops", "Adelomyrmex robustus", "Adelomyrmex samoanus", "Adelomyrmex silvestrii", "Adelomyrmex striatus", "Adelomyrmex tristani", "Adelomyrmex vaderi", "Baracidris meketra", "Baracidris pilosa", "Baracidris sitra", "Ankylomyrma coronacantha", "Acromyrmex ambiguus", "Acromyrmex ameliae", "Acromyrmex aspersus", "Acromyrmex balzani", "Acromyrmex biscutatus", "Acromyrmex coronatus", "Acromyrmex crassispinus", "Acromyrmex diasi", "Acromyrmex disciger", "Acromyrmex echinatior", "Acromyrmex evenkul", "Acromyrmex fracticornis", "Acromyrmex heyeri", "Panisopsis wiselyi", "Bakerdania novaezelandicus", "Pseudopygmephorus tarsalis", "Picus awokera horii", "Picus awokera takatsukasae", "Rinodina elixii", "Rinodina epimilvina", "Rinodina ericina", "Rinodina euskadiensis", "Brachytydeus stebayevi", "Brachytydeus comaliatus", "Rinodina filsonii", "Brachytydeus karoli", "Rinodina furfuracea", "Rinodina furfurea", "Rinodina fuscescens", "Rinodina gallowayii", "Rinodina geesteranii", "Attagenus iserlei", "Attagenus katonai", "Phradonoma charon", "Crotonia longisetosa", "Scythris tauromeniella", "Scythris landryi", "Scythris herati", "Scythris nielseni", "Rinodina groenhartii", "Rinodina hoggariana", "Rinodina iberica", "Rinodina immersa", "Rinodina interjecta", "Dyspessa kostjuki", "Dyspessa arabeska", "Dyspessa scythica", "Dyspessa wagneri", "Dyspessa salicicola", "Dyspessa pallidata", "Dyspessa infuscata", "Syntomis germana", "Syntomis phegea", "Syntomis nigricornis", "Syntomis kruegeri", "Syntomis transcaspica", "Syntomis transcaspica transcaspica", "Syntomis transcaspica jasoni", "Phoebis sennae", "Cossulus argentatus", "Cossulus lignosus", "Cossulus lignosus lignosus", "Cossulus lignosus solgunus", "Cossulus darvazi", "Cossulus nikiforoviorum", "Cossulus alaicus", "Cossulus alatauicus", "Cossulus intractatus", "Cossulus turcomanicus", "Cossulus turcomanicus turcomanicus", "Cossulus turcomanicus albus", "Cossulus kabulense", "Cossulus stertzi", "Cossulus herzi", "Nesiothrix tasmanica", "Allothrombium kekko", "Demodex aries", "Hippotragus leucophaeus", "Demodex mystacina", "Demodex novazelandica", "Rinodina iodes", "Lorryia collyerae", "Paralorryia mansoni", "Tydeus lambi", "Afrotydeus novaezealandiae", "Paralongidorus maximus", "Neottialges hughesae", "Ingrassia platyspina", "Acromyrmex hispidus", "Acromyrmex hystrix", "Acromyrmex insinuator", "Acromyrmex landolti", "Acromyrmex laticeps", "Acromyrmex lobicornis", "Acromyrmex lundii", "Acromyrmex niger", "Acromyrmex nobilis", "Acromyrmex octospinosus", "Acromyrmex pulvereus", "Acromyrmex rugosus", "Rinodina lecanorina", "Rinodina lesdainii", "Cossulus mollis", "Cossulus mollis mollis", "Rinodina llimonae", "Cossulus mollis muelleri", "Cossulus mucosus", "Cossulus irani", "Cossulus nedretus", "Cossulus strioliger", "Cossulus nasreddin", "Microcharon raffaellae", "Cossulus putridus", "Rinodina longisperma", "Cossulus griseatellus", "Cossulus sheljuzhkoi", "Cossulus bolshoji", "Cossulus issycus", "Cossulus lena", "Cossulus sergechurkini", "Rinodina luridescens", "Dyspessa alipanahae", "Dyspessa ariadne", "Dyspessa artemis", "Dyspessa aurora", "Dyspessa blonda", "Dyspessa defreinai", "Dyspessa stroehlei", "Dyspessa tsvetaevi", "Dyspessa tyumasevae", "Dyspessa zurvan", "Rinodina madeirensis", "Dyspessa cerberus", "Dyspessa cerberus cerberus", "Dyspessa cerberus albinervis", "Rinodina malangica", "Rinodina mayrhoferi", "Rinodina milvinodes", "Rinodina minima", "Rinodina murrayi", "Rinodina newtonii", "Rinodina nigricans", "Rinodina nimisii", "Rinodina nivalis", "Euops guizhouensis", "Rinodina obnascens", "Euops jiuzhaiensis", "Udara akasa sadanobui", "Frontinella pyramitela", "Atellana papilio", "Murichirus anabiotus", "Marsupiopus trichosuri", "Buxus crassifolia", "Ursus arctos syriacus", "Bos primigenius", "Arrowcryptus skelleyi", "Dacundiopus mume", "Dacundiopus pintonus", "Dacundiopus samarangensis", "Desmocerus palliatus", "Temnalges megalonyx", "Temnalges amalicus", "Temnalges mahranus", "Temnalges mesalgoides", "Rallicola takahe", "Rallicola pilgrimi", "Rallicola gadowi", "Rallicola gracilentus", "Rallicola rodericki", "Kiwialges haastii", "Huiacola extinctus", "Pthirus pubis", "Psylloglyphus parapsyllus", "Trouessartia rhipidurae", "Rhipidura fuliginosa fuliginosa", "Mouchetia novaezealandica", "Proctophyllodes gerygonae", "Bactra alexandri", "Bactra ametra", "Bactra amseli", "Bactra atopa", "Bactra boesemani", "Bactra boschmai", "Bactra chariessa", "Bactra clarkei", "Rhizoglyphinae incertae sedis", "Eretmocerus eremicus", "Armascirus virginiensis", "Euryglossina hypochroma", "Dettopsomyia nigrovittata", "Bactericera cockerelli", "Coccidoctonus psyllae", "Bychovskiata obscura", "Bychovskiata thinorni", "Pterolichidae incertae sedis", "Cytodites nudus", "Cytodites amandavae", "Cytodites geopeliae", "Bactra sordidata", "Bactra spinosa", "Bactra stramenticia", "Bactra tradens", "Bactra triceps", "Bactra trimera", "Bactra tylophora", "Bactra vaga", "Tityus serrulatus", "Mydaus marchei", "Protalges psittacinus", "Calcealges yunkeri", "Pandalura strigisoti", "Oreella mollis", "Hydrogamasus kensleri", "Rhodacaroidea incertae sedis", "Tangaroellus porosus", "Paracunaxoides newzealandicus", "Tetramoera paragramma", "Tetramoera schistaceana", "Tetramoera leptalea", "Tetramoera calligrapha", "Thymioptila oedalea", "Thysanocrepis celebensis", "Tokuana imbrica", "Toonavora spermatophaga", "Rinodina beccariana var. beccariana", "Parabactra arenosa", "Parabactra foederata", "Parabactra sociata", "Henioloba bifacis", "Henioloba spelaeodes", "Bactra aciculata", "Bactra adelographa", "Bactra adoceta", "Bactra adelpha", "Bactra aletha", "Rinodina beccariana var. lavicola", "Rinodina ericina var. ericina", "Rinodina ericina var. boomii", "Rinodina iodes var. iodes", "Rinodina iodes var. immersa", "Rinodina roboris var. roboris", "Rinodina roboris var. armeriicola", "Schwiebea talpa", "Thyreophagus entomophagus", "Rinodina santorinensis var. santorinensis", "Rinodina santorinensis var. olivieri", "Denheyernaxoides martini", "Neobonzia moseri", "Bonzia woodi", "Pseudobonzia newzealandicus", "Neoscirula luxtoni", "Neoscirula proctorae", "Neoscirula sevidi", "Pterodectes banksi", "Coraciacarus muellermotzfeldi", "Hadramphus tuberculatus", "Caparinia tripilis", "Symphodus bailloni", "Symphodus cinereus", "Symphodus doderleini", "Symphodus mediterraneus", "Symphodus melanocercus", "Symphodus melops", "Symphodus ocellatus", "Symphodus roissali", "Symphodus rostratus", "Symphodus tinca", "Hystrichophora loricana", "Hystrichophora ochreicostana", "Hystrichophora ostentatrix", "Hystrichophora paradisiae", "Rinodina santorinensis", "Hystrichophora roesleri", "Rinodina scabridula", "Hystrichophora stygiana", "Hystrichophora taleana", "Hystrichophora vestaliana", "Irianassa poecilaspis", "Irianassa sapphiropa", "Rinodina serpentini", "Irianassa speciosana", "Irianassa uranopa", "Rinodina sicula", "Rinodina sophodes", "Loboschiza cinnabaritis", "Loboschiza clytocarpa", "Loboschiza halysideta", "Rinodina striatitunicata", "Loboschiza mediana", "Metaselena alboatra", "Metaselena diakonoffi", "Metaselena pemphigodes", "Rinodina subtristis", "Metaselena pithana", "Rinodina tasmanica", "Metaselena platyptera", "Metaselena rhabdota", "Metaselena symphylos", "Rinodina teichophila", "Neoanathamna cerinus", "Neoanathamna negligens", "Neoanathamna nipponica", "Neoanathamna pallens", "Rinodina thiomela", "Periphoeba palmodes", "Pseudacroclita hapalaspis", "Pseudacroclita luteispecula", "Rinodina tibellii", "Rinodina tominii", "Pseudophiaris sappadana", "Rinodina trachytica", "Rinodina tunicata", "Rinodina turfaceoides", "Rinodina venostana", "Rinodina williamsii", "Sillybiphora devia", "Syngamoneura rubronotana", "Tetramoera flavescens", "Tetramoera isogramma", "Schaereria cinereorufa", "Schaereria corticola", "Schaereria dolodes", "Schaereria endocyanea", "Schaereria fuscocinerea", "Schaereria parasemella", "Bathypolypus rubrostictus", "Bathypolypus arcticus", "Octopus diminutus", "Schaereria tenebrosa", "Laccophilus chini", "Laccophilus mahakamensis", "Globopilumnus fragaria", "Globopilumnus africanus", "Globopilumnus actumnoides", "Bactra confusa", "Bactra contraria", "Bactra coronata", "Bactra crithopa", "Bactra difissa", "Bactra dolia", "Bactra endea", "Bactra erema", "Bactra extrema", "Bactra fasciata", "Bactra festa", "Bactra fracta", "Bactra jansei", "Bactra kostermansi", "Bactra meridiana", "Cephennodes brinchangensis", "Bactra misoolensia", "Cephennodes papuanus", "Bactra nea", "Bactra nesiotis", "Bactra oceani", "Bactra ochrographa", "Bactra orbiculi", "Bactra perisema", "Bactra philocherda", "Bactra rhabdonoma", "Bactra salpictris", "Bactra simplissima", "Bactra sinassula", "Junonia coenia", "Bactra solivaga", "Silis percomis", "Silis pallida", "Paraphlepsius irroratus", "Olearia telmatica", "Cardamine latior", "Cardamine subcarnosa", "Hypericum minutiflorum", "Hypericum rubicundulum", "Plagianthus regius", "Marchantia polymorpha", "Lepidium oleraceum", "Rhytidiella hebes", "Agaricus urinascens", "Zygosporium bioblitzi", "Hypocreopsis amplectens", "Mikronegeria fuchsiae", "Dictyosporium freycinetiae", "Xyrichtys niger", "Xyrichtys novacula", "Xyrichtys pastellus", "Xyrichtys pentadactylus", "Xyrichtys rajagopalani", "Xyrichtys sanctaehelenae", "Xyrichtys splendens", "Xyrichtys trivittatus", "Xyrichtys twistii", "Xyrichtys verrens", "Xyrichtys victori", "Xyrichtys virens", "Xyrichtys wellingtoni", "Xyrichtys woodi", "Bactra honesta", "Bactra legitima", "Bactra metriacma", "Bactra minima", "Bactra phaulopa", "Bactra pythonia", "Bactra sardonia", "Bactra scrupulosa", "Bactra seria", "Bactra tornastis", "Bactra transvola", "Bactra cultellana", "Bactra diakonoffi", "Bactra distinctana", "Bactra egenana", "Bactra erasa", "Bactra furfurana", "Bactra fuscidorsana", "Bactra hostilis", "Bactra lacteana", "Bactra lancealana", "Bactra maiorina", "Bactra neuricana", "Bactra noteraula", "Bactra priapeia", "Bactra robustana", "Paraxerus alexandri", "Bactra simpliciana", "Bactra sinistra", "Bactra stagnicolana", "Schismatomma abietinum", "Schismatomma californicum", "Schismatomma pericleum", "Telestes souffia", "Idiodes siculoides", "Thema protogramma", "Isomoralla eriscota", "Atta pilosa", "Atta robusta", "Atta saltensis", "Atta sexdens", "Atta tardigrada", "Atta texana", "Atta vollenweideri", "Attaichnus kuenzelii", "Cyphomyrmex auritus", "Cyphomyrmex bicarinatus", "Cyphomyrmex bicornis", "Cyphomyrmex bigibbosus", "Cyphomyrmex bruchi", "Cyphomyrmex castagnei", "Cyphomyrmex cornutus", "Cyphomyrmex costatus", "Cyphomyrmex daguerrei", "Cyphomyrmex dixus", "Cyphomyrmex faunulus", "Cyphomyrmex flavidus", "Cyphomyrmex foxi", "Cyphomyrmex hamulatus", "Cyphomyrmex kirbyi", "Cyphomyrmex laevigatus", "Cyphomyrmex lectus", "Leptopterna dolabrata", "Myodocha serripes", "Xenox tigrinus", "Bactra straminea", "Ancistrocerus antilope", "Melissodes bimaculata", "Bactra suedana", "Colliuris pensylvanica", "Bactra verutana", "Topelia aperiens", "Topelia californica", "Topelia gyalectodes", "Topelia heterospora", "Topelia rosea", "Syntozyga aspersana", "Topelia nimisiana", "Syntozyga bicuspis", "Syntozyga endaphana", "Syntozyga episema", "Syntozyga macrosperma", "Syntozyga negligens", "Syntozyga spirographa", "Syntozyga stagonophora", "Syntozyga transversa", "Syntozyga ephippias", "Syntozyga pedias", "Tia enervana", "Tautoga onitis", "Tautogolabrus adspersus", "Tautogolabrus brandaonis", "Terelabrus rubrovittatus", "Thalassoma amblycephalum", "Thalassoma ascensionis", "Thalassoma ballieui", "Thalassoma bifasciatum", "Thalassoma cupido", "Thalassoma duperrey", "Thalassoma genivittatum", "Thalassoma grammaticum", "Thalassoma hebraicum", "Thalassoma heiseri", "Thalassoma jansenii", "Thalassoma loxum", "Thalassoma lucasanum", "Thalassoma lunare", "Thalassoma lutescens", "Thalassoma newtoni", "Thalassoma nigrofasciatum", "Thalassoma noronhanum", "Bactra bactrana", "Thalassoma pavo", "Thalassoma purpureum", "Thalassoma quinquevittatum", "Thalassoma robertsoni", "Thalassoma rueppellii", "Thalassoma sanctaehelenae", "Bactra cerata", "Thalassoma septemfasciata", "Thalassoma trilobatum", "Thalassoma virens", "Bactra clarescens", "Wetmorella albofasciata", "Wetmorella nigropinnata", "Wetmorella tanakai", "Bactra diachorda", "Xenojulis margaritaceus", "Xiphocheilus typus", "Xyrichtys bimaculatus", "Xyrichtys blanchardi", "Xyrichtys cyanifrons", "Xyrichtys dea", "Xyrichtys geisha", "Xyrichtys incandescens", "Xyrichtys jacksonensis", "Xyrichtys javanicus", "Xyrichtys koteamea", "Xyrichtys martinicensis", "Xyrichtys melanopus", "Xyrichtys mundiceps", "Polistes dominula", "Noctua pronuba", "Hemaris diffinis", "Melanoplus differentialis", "Xylocopa virginica", "Udea rubigalis", "Hyalophora cecropia", "Epiblema otiosana", "Ixodes jacksoni", "Ixodes eudyptidis", "Ixodes auritulus", "Ixodes uriae", "Kuzinia laevis", "Hoplomorpha camelaea", "Bombus subterraneus", "Locustacarus buchneri", "Pneumolaelaps bombicolens", "Parasitus fimetorum", "Neoseiulus cucumeris", "Acromyrmex silvestrii", "Acromyrmex striatus", "Acromyrmex subterraneus", "Acromyrmex versicolor", "Acromyrmex volcanus", "Atta bisphaerica", "Atta capiguara", "Atta cephalotes", "Atta colombica", "Atta cubana", "Atta dissimilis", "Atta domicola", "Atta goiana", "Atta insularis", "Atta laevigata", "Atta mexicana", "Atta opaciceps", "Aulacocyclus edentulus", "Calosoma schayeri", "Coptocercus rubripes", "Crotalus durissus unicolor", "Nymphaea odorata", "Convolvulus arvensis", "Rosa carolina", "Euphorbia corollata", "Dianthus alpinus", "Symplocarpus foetidus", "Parthenocissus quinquefolia", "Vitis labrusca", "Solanum carolinense", "Sabal palmetto", "Schismatomma physconiicola", "Trametes versicolor", "Schizophyllum commune", "Mutinus ravenelii", "Mecaphesa celer", "Chirolaelaps mystacinae", "Epargyreus clarus", "Chirophagoides mystacopis", "Neandra brunnea", "Burnsius communis", "Sympetrum vicinum", "Lestes vigilax", "Agonopterix alstromeriana", "Boopia notafusca", "Alophosia azorica", "Heterodoxus ampullatus", "Pachydiplax longipennis", "Willowsia nigromaculata", "Rhyssomatus lineaticollis", "Orgyia leucostigma", "Adelphocoris lineolatus", "Reticulitermes flavipes", "Efferia aestuans", "Libellula luctuosa", "Limenitis arthemis", "Erythemis simplicicollis", "Tyrophagus communis", "Tyrophagus macfarlanei", "Tyrophagus pacificus", "Tyrophagus womersleyi", "Tyrophagus xenoductus", "Tyrophagus neiswanderi", "Cyphomyrmex lilloanus", "Cyphomyrmex longiscapus", "Cyphomyrmex major", "Cyphomyrmex minutus", "Cyphomyrmex morschi", "Cyphomyrmex muelleri", "Cyphomyrmex nemei", "Cyphomyrmex nesiotus", "Cyphomyrmex occultus", "Cyphomyrmex olitor", "Cyphomyrmex paniscus", "Cyphomyrmex peltatus", "Cyphomyrmex plaumanni", "Cyphomyrmex podargus", "Cyphomyrmex rimosus", "Cyphomyrmex salvini", "Cyphomyrmex strigatus", "Cyphomyrmex transversus", "Cyphomyrmex vallensis", "Cyphomyrmex vorticis", "Cyphomyrmex wheeleri", "Cyphomyrmex maya", "Cyphomyrmex taino", "Mycetagroicus cerradensis", "Mycetagroicus triangularis", "Mycetagroicus urbanus", "Mycetarotes acutus", "Mycetarotes carinatus", "Mycetarotes parallelus", "Mycetarotes senticosus", "Mycetophylax bruchi", "Mycetophylax conformis", "Mycetophylax cristulatus", "Mycetophylax emeryi", "Mycetophylax glaber", "Mycetophylax simplex", "Mycetosoritis aspera", "Mycetosoritis clorindae", "Mycetosoritis explicata", "Mycetosoritis vinsoni", "Mycetosoritis hartmanni", "Mycocepurus curvispinosus", "Mycocepurus goeldii", "Mycocepurus obsoletus", "Mycocepurus smithii", "Mycocepurus tardus", "Zamarada keraia", "Zamarada ansorgei", "Zamarada bastelbergeri", "Zamarada townsendi", "Zamarada eurygnathus", "Zamarada cinnamomata", "Zamarada phratra", "Zamarada delosis", "Freycinetia banksii", "Araucaria sect.", "Araucaria sect. indet.", "Araucaria taieriensis", "Araucaria desmondii", "Araucaria sect.", "Araucaria sect.", "Araucaria sect.", "Araucaria haastii", "Araucaria sphaerocarpa", "Cheyletiella blakei", "Cheyletiella yasguri", "Notosceles pepeke", "Lyreidus tridentatus", "Parapsyllus magellanicus", "Parapsyllus magellanicus largificus", "Porribius pacificus", "Ixodes anatis", "Apterygon okarito", "Apterygon dumosum", "Apterygon hintoni", "Apterygon mirum", "Lepidoglyphus destructor", "Vespa velutina", "Vespa tropica", "Vespa soror", "Vespa mocsaryana", "Vespa binghami", "Vespa bicolor", "Vespa basalis", "Vespa affinis", "Zoanthus sansibaricus", "Zoanthus kuroshio", "Zoanthus gigantus", "Lagnus monteithorum", "Campylaspis rex", "Didymoctenia exsuperata", "Rugiloricus bacatus", "Chrysolarentia severata", "Eupselia beatella", "Hemideina broughi", "Hemideina crassidens", "Hemideina femorata", "Hemideina maori", "Hemideina ricta", "Hemideina thoracica", "Hemideina crassidens crassidens", "Hemideina crassidens crassicruris", "Rigidoporus longicystidius", "Wrightoporia micropora", "Postia globicystidia", "Diplomitoporus cunninghamii", "Polyporus septosporus", "Zamarada amelga", "Zamarada calypso", "Zamarada bathyscaphes", "Zamarada aequilumata", "Zamarada psi", "Zamarada purimargo", "Zamarada vulpina", "Zamarada longidens", "Zamarada saburra", "Zamarada candelabra", "Zamarada prolata", "Zamarada ignicosta", "Zamarada ignicosta ignicosta", "Zamarada ignicosta pyrilampes", "Zamarada ignicosta hamulata", "Zamarada scintillans", "Zamarada flavicaput", "Zamarada euphrosyne", "Zamarada rufilinearia", "Zamarada denticatella", "Zamarada fessa", "Zamarada euterpina", "Zamarada dorsiplaga", "Zamarada metrioscaphes", "Zamarada seydeli", "Zamarada glareosa", "Zamarada rubrifascia", "Zamarada plana", "Zamarada varii", "Zamarada unisona", "Zamarada acosmeta", "Zamarada pinheyi", "Zamarada labifera", "Zamarada acrochra", "Zamarada lima", "Zamarada gamma", "Zamarada bonaberiensis", "Zamarada collarti", "Zamarada rhamphis", "Zamarada reflexaria", "Zamarada montana", "Zamarada amymone", "Zamarada paxilla", "Zamarada variola", "Myrmicocrypta boliviana", "Myrmicocrypta bruchi", "Myrmicocrypta buenzlii", "Myrmicocrypta collaris", "Myrmicocrypta dilacerata", "Argyresthia tatrica", "Melanerpes superciliaris superciliaris", "Phyllobrostis eremitella", "Phyllobrostis tephroleuca", "Phyllobrostis calcaria", "Mulleripicus fulvus fulvus", "Mulleripicus fulvus wallacei", "Linaria vulgaris", "Linaria purpurea", "Mulleripicus funebris fuliginosus", "Cymbalaria muralis", "Mulleripicus funebris funebris", "Mulleripicus pulverulentus harterti", "Mulleripicus pulverulentus mohun", "Phyllobrostis apathetica", "Phyllobrostis daphneella", "Phyllobrostis jedmella", "Mulleripicus pulverulentus pulverulentus", "Phyllobrostis hartmanni", "Phyllobrostis fregenella", "Phyllobrostis farsensis", "Phyllobrostis nuristanica", "Phyllobrostis kandaharensis", "Monopis similartasyras", "Monopis semorbiculata", "Monopis trunciformis", "Monopis guangxiensis", "Monopis trapezoides", "Monopis zagulajevi", "Monopis laevigella", "Indotritia brevipilosa", "Indotritia brevisetosa", "Oribotritia contortula", "Oribotritia contraria", "Oribotritia teretis", "Oribotritia incognita", "Nothrolohmannia baloghi", "Bathybates fasciatus", "Bathybates ferox", "Bathybates graueri", "Bathybates hornii", "Bathybates leo", "Bathybates minor", "Bathybates vittatus", "Zamarada phaeozona", "Zamarada deceptrix", "Zamarada amicta", "Zamarada ordinaria", "Zamarada erugata", "Zamarada torrida", "Zamarada delta", "Zamarada psammites", "Paraxerus boehmi", "Paraxerus cepapi", "Zamarada hyalinaria", "Zamarada ochrata", "Zamarada melasma", "Zamarada ilma", "Zamarada differens", "Zamarada pringlei", "Zamarada psectra", "Zamarada radula", "Zamarada arguta", "Zamarada chrysopa", "Zamarada acalantis", "Zamarada protrusa", "Zamarada ioura", "Pontiobates denigratus", "Leioseius vallaensis", "Leioseius australis", "Pontiolaelaps salinus", "Microtrombidium malindiensis", "Nanorchestes hutchinsoni", "Narcissus sect.", "Kalmia latifolia", "Polystichum acrostichoides", "Tuckerella revelata", "Antrodia novaezelandiae", "Byssomerulius psittacinus", "Dichomitus newhookii", "Phellinus dingleyae", "Feliniopsis connivens", "Myrmicocrypta ednaella", "Feliniopsis connivens connivens", "Feliniopsis connivens felix", "Myrmicocrypta elisabethae", "Myrmicocrypta foreli", "Myrmicocrypta godmani", "Myrmicocrypta guianensis", "Myrmicocrypta infuscata", "Myrmicocrypta longinoda", "Myrmicocrypta microphthalma", "Myrmicocrypta occipitalis", "Myrmicocrypta ogloblini", "Myrmicocrypta rudiscapa", "Myrmicocrypta spinosa", "Myrmicocrypta squamosa", "Myrmicocrypta subnitida", "Myrmicocrypta triangulata", "Myrmicocrypta tuberculata", "Myrmicocrypta unidentata", "Myrmicocrypta urichi", "Myrmicocrypta weyrauchi", "Narcissus sect.", "Acrida bicolor", "Pseudorhynchophora olliffi", "Pseudorhynchophora convexa", "Rhinelephas arrhina", "Rhinelephas cyanicornis", "Rhinelephas cyanicornis cyanicornis", "Rhinelephas cyanicornis denkeri", "Parelodina aroa", "Peripatoides aurorbis", "Peripatoides kawekaensis", "Peripatoides sympatrica", "Peripatoides morgani", "Peripatopsis stelliporata", "Gelatinopsis polyconidiata", "Gelatinopsis septata", "Gelatinopsis tryblidariae", "Microtritia contraria", "Microtritia glabrata", "Hotumatua anakenana", "Grammonus nagaredai", "Kanakysaurus zebratus", "Kanakysaurus viviparus", "Grammonus yunokawai", "Gyptis simpsonorum", "Gyptis polymorpha", "Gyptis paucilineata", "Protorhyssalodes arnaudi", "Aenigmabracon capdoliensis", "Neoliodes dominicus", "Bistomiacystis schrantzi", "Gordonaster brassfieldensis", "Protrellus dalei", "Protrellus dixoni", "Hammerschmidtiella mackenziei", "Thelastoma meadsi", "Thelastoma moko", "Thelastoma rigo", "Protrelleta gurri", "Cephalobellus costelytrae", "Cephalobellus fluxi", "Myxobolus iucundus", "Buddenbrockia allmani", "Tetracapsuloides bryosalmonae", "Buddenbrockia plumatellae", "Arphthiracarus heterotrichus", "Gelatinopsis exidiophila", "Gelatinopsis fungicola", "Gelatinopsis geoglossi", "Gelatinopsis hysteropatellae", "Gelatinopsis leptogii", "Aaroniella rawlingsi", "Fenestellidium capensis", "Fenestellidium kakamegaensis", "Cissidium okuensis", "Dacrysoma usambarensis", "Dacrysoma felis", "Skidmorella vietnamensis", "Skidmorella serrata", "Skidmorella memorabilis", "Arminda palmae", "Cranothrips conostylus", "Cranothrips ibisca", "Neotelmatoscopus acutus", "Neotelmatoscopus aurulentus", "Neotelmatoscopus rotundus", "Cylindrobrotus pectinatus", "Bryopsocus townsendi", "Bryopsocus angulatus", "Hemibates stenosoma", "Trematocara caparti", "Trematocara kufferathi", "Trematocara macrostoma", "Trematocara marginatum", "Trematocara nigrifrons", "Trematocara stigmaticum", "Feliniopsis minnecii", "Trematocara unimaculatum", "Trematocara variabile", "Trematocara zebra", "Benthochromis horii", "Benthochromis melanoides", "Benthochromis tricoti", "Feliniopsis talhouki", "Boulengerochromis microlepis", "Benitochromis batesii", "Benitochromis conjunctus", "Benitochromis finleyi", "Benitochromis nigrodorsalis", "Benitochromis riomuniensis", "Benitochromis ufermanni", "Feliniopsis satellitis", "Chromidotilapia cavalliensis", "Chromidotilapia elongata", "Chromidotilapia guntheri", "Chromidotilapia linkei", "Chromidotilapia mamonekenei", "Feliniopsis gueneei", "Chromidotilapia mrac", "Chromidotilapia regani", "Chromidotilapia schoutedeni", "Feliniopsis consummata", "Feliniopsis consummata consummata", "Feliniopsis consummata tulipifera", "Feliniopsis hoplista", "Feliniopsis hosplitoides", "Feliniopsis hosplitoides hosplitoides", "Feliniopsis hosplitoides aarviki", "Narcissus sect.", "Narcissus sect.", "Narcissus sect.", "Myloplus rubripinnis", "Nannostomus beckfordi", "Nannostomus digrammus", "Paracheirodon axelrodi", "Paracheirodon simulans", "Gladiolus halophilus", "Trapeliopsis aeneofusca", "Trapeliopsis bisorediata", "Sidima amarylde", "Sidima idamis", "Sidima murayamai", "Sidima sulawesiana", "Trapeliopsis colensoi", "Trapeliopsis flexuosa", "Trapeliopsis gelatinosa", "Trapeliopsis glaucolepidea", "Trapeliopsis glaucopholis", "Trapeliopsis granulosa", "Trapeliopsis haumanii", "Trapeliopsis percrenata", "Narcissus sect.", "Trapeliopsis pseudogranulosa", "Trapeliopsis steppica", "Narcissus sect.", "Trapeliopsis viridescens", "Narcissus sect.", "Trapeliopsis wallrothii", "Plautella cossaea", "Plautella cossaea cossaea", "Plautella cossaea hegesias", "Plautella cossaea pambui", "Plautella cossaea plauta", "Plautella cossaea sabatina", "Narcissus sect.", "Plautella cossaea sonchus", "Wetanema ripariae", "Blatticola tuapakae", "Blatticola barryi", "Blatticola cristovata", "Blatticola monandros", "Nannostomus eques", "Nannostomus marginatus", "Nannostomus trifasciatus", "Nannostomus unifasciatus", "Oligancistrus punctatissimus", "Chelydra serpentina", "Oncorhynchus gorbuscha", "Heteroteucha anthodora", "Heteroteucha asema", "Heteroteucha aspasia", "Salvelinus fontinalis x namaycush", "Heteroteucha dichroella", "Coregonus clupeaformis", "Heteroteucha dimochla", "Heteroteucha distephana", "Coregonus artedi", "Heteroteucha epistrepta", "Heteroteucha initiata", "Heteroteucha kershawi", "Prosopium cylindraceum", "Heteroteucha leptobaphes", "Heteroteucha occidua", "Prosopium williamsoni", "Heteroteucha ophthalmica", "Heteroteucha paraclista", "Luxilus cornutus", "Heteroteucha parvula", "Notropis stramineus", "Heteroteucha porphyryplaca", "Notropis bifrenatus", "Heteroteucha rhoecosema", "Notropis volucellus", "Heteroteucha rhoecozona", "Heteroteucha stereomita", "Chrosomus erythrogaster", "Heteroteucha subflava", "Heteroteucha tritoxantha", "Chrosomus eos", "Heteroteucha xanthisma", "Obryzum bacillare", "Laxta granicollis", "Obryzum corniculatum", "Obryzum dolichoterum", "Obryzum friesii", "Obryzum latitans", "Obryzum myriopus", "Obryzum scabrosum", "Obryzum striguloides", "Trilophidia conturbata", "Polistes humilis", "Xiphinema brevicolle", "Syllitus rectus", "Pelvicachromis rubrolabiatus", "Pelvicachromis signatus", "Pelvicachromis subocellatus", "Pelvicachromis taeniatus", "Teleogramma brichardi", "Teleogramma depressum", "Teleogramma gracile", "Teleogramma monogramma", "Thysochromis annectens", "Thysochromis ansorgii", "Cyphotilapia gibberosa", "Cyprichromis coloratus", "Cyprichromis leptosoma", "Cyprichromis microlepidotus", "Cyprichromis pavo", "Microcharon karamani", "Microcharon zibani", "Microcharon anatolicus", "Microcharon lydicus", "Microcharon hispanicus", "Microcharon meijersae", "Microcharon notenboomi", "Microcharon longistylus", "Microcharon letiziae", "Microcharon nuragicus", "Microcharon silverii", "Microcharon angelicae", "Weddellopsocus avius", "Diademadrilus annulatus", "Euryphallus stigmaticus", "Pentacladus eucalypti", "Propsocus pulchripennis", "Trachymyrmex pomonae", "Plectocarpon bunodophori", "Plectocarpon concentricum", "Plectocarpon coppinsii", "Plectocarpon cristalliferum", "Plectocarpon encausticum", "Plectocarpon gallowayi", "Plectocarpon latisporum", "Plectocarpon leuckertii", "Plectocarpon melanohaleae", "Plectocarpon obtectum", "Plectocarpon opegraphoideum", "Plectocarpon pseudoleuckertii", "Plectocarpon pseudosticta", "Plectocarpon serusiauxii", "Plectocarpon sticticola", "Plectocarpon tibellii", "Plectocarpon triebeliae", "Plectocarpon venustum", "Plectocarpon violaceum", "Maoripsocus semifuscatus", "Paracaecilius zelandicus", "Pison morosum", "Pison spinolae", "Pison ruficorne", "Pison papuanum", "Peripsocus maoricus", "Cerobasis guestfalica", "Lepinotus patruelis", "Lepinotus tasmaniensis", "Pseudoatta argentina", "Sericomyrmex amabilis", "Sericomyrmex aztecus", "Sericomyrmex beniensis", "Sericomyrmex bondari", "Sericomyrmex burchelli", "Sericomyrmex diego", "Sericomyrmex harekulli", "Sericomyrmex impexus", "Sericomyrmex luederwaldti", "Sericomyrmex lutzi", "Sericomyrmex mayri", "Sericomyrmex moreirai", "Sericomyrmex myersi", "Sericomyrmex opacus", "Sericomyrmex parvulus", "Sericomyrmex saussurei", "Sericomyrmex scrobifer", "Sericomyrmex urichi", "Sericomyrmex zacapanus", "Trachymyrmex agudensis", "Trachymyrmex arizonensis", "Trachymyrmex atlanticus", "Trachymyrmex bugnioni", "Trachymyrmex carib", "Trachymyrmex carinatus", "Trachymyrmex cirratus", "Trachymyrmex compactus", "Trachymyrmex cornetzi", "Trachymyrmex desertorum", "Trachymyrmex dichrous", "Trachymyrmex diversus", "Trachymyrmex echinus", "Trachymyrmex farinosus", "Trachymyrmex fiebrigi", "Trachymyrmex gaigei", "Trachymyrmex guianensis", "Trachymyrmex holmgreni", "Trachymyrmex iheringi", "Trachymyrmex intermedius", "Trachymyrmex irmgardae", "Trachymyrmex isthmicus", "Trachymyrmex ixyodus", "Trachymyrmex jamaicensis", "Trachymyrmex kempfi", "Trachymyrmex levis", "Trachymyrmex mandibularis", "Trachymyrmex nogalensis", "Trachymyrmex oetkeri", "Trachymyrmex opulentus", "Trachymyrmex papulatus", "Trachymyrmex phaleratus", "Zelandopsocus tectus", "Zelandopsocus kuscheli", "Zelandopsocus formosellus", "Zelandopsocus cumulus", "Haplophallus maculatus", "Austropsocus insularis", "Austropsocus chathamensis", "Austropsocus apicipunctatus", "Austropsocus nimbosus", "Austropsocus ramsayi", "Austropsocus hyalinus", "Austropsocus australis", "Austropsocus fasciatus", "Philotarsopsis guttata", "Blaste tillyardi", "Nanochromis consortus", "Nanochromis minor", "Nanochromis nudiceps", "Nanochromis parilus", "Nanochromis splendens", "Nanochromis teugelsi", "Nanochromis transvestitus", "Nanochromis wickleri", "Pelmatochromis buettikoferi", "Pelmatochromis nigrofasciatus", "Pelmatochromis ocellifer", "Pelvicachromis humilis", "Pelvicachromis pulcher", "Pelvicachromis roloffi", "Peripsocus milleri", "Peripsocus morulops", "Atractus wagleri", "Echmepteryx humphreysi", "Ectopsocus briggsi", "Ectopsocus californicus", "Peripsocus californicus", "Ectopsocus coronatus", "Ectopsocus axillaris", "Ectopsocus dialeptus", "Ectopsocus gracilis", "Austropsocus delli", "Austropsocus salmoni", "Lepinotus reticulatus", "Lepinotus stoneae", "Psyllipsocus ramburii", "Pentacladus marmoratus", "Trachymyrmex primaevus", "Trachymyrmex pruinosus", "Trachymyrmex relictus", "Trachymyrmex ruthae", "Trachymyrmex saussurei", "Trachymyrmex septentrionalis", "Trachymyrmex sharpii", "Trachymyrmex smithi", "Trachymyrmex squamulifer", "Trachymyrmex tucumanus", "Trachymyrmex turrifex", "Trachymyrmex urichii", "Trachymyrmex verrucosus", "Trachymyrmex zeteki", "Basiceros alopeciosum", "Basiceros apharogonium", "Basiceros armatum", "Basiceros australe", "Basiceros balzani", "Basiceros batesi", "Basiceros betschi", "Basiceros biroi", "Pneumolaelaps breviseta", "Basiceros bolaui", "Basiceros brevicorne", "Basiceros browni", "Basiceros bruchi", "Basiceros caledonicum", "Basiceros chapmani", "Physalozercon raffray", "Basiceros cinnameum", "Tydeus interruptus", "Pontiolaelaps crenatus", "Pontiolaelaps terebratus", "Feliniopsis subsagula", "Feliniopsis africana", "Zelandoptila yuccabina", "Feliniopsis grisea", "Feliniopsis indigna", "Feliniopsis laportei laportei", "Feliniopsis laportei dallastai", "Cuyojanira riojana", "Mackinia japonica", "Sinoaplastinus kadeji", "Tropihypnus badongensis", "Tropihypnus lueangensis", "Paedomorpha gayi", "Pteroxanium evansi", "Pteroxanium insularum", "Pteroxanium ralstonae", "Pteroxanium kelloggi", "Rhyopsocus conformis", "Trogium pulsatorium", "Lepinotus inquilinus", "Trogium evansorum", "Parotocinclus jumbo", "Parotocinclus maculicauda", "Austropsopilio sudamericanus", "Acropsopilio neozelandiae", "Caddella jocquei", "Caddella croeseri", "Colletes cunicularius", "Colletes succinctus", "Ancylis unguicella", "Clepsis rurinana", "Ptox catreus", "Ptox catreus catreus", "Ptox catreus hermeias", "Ptox corythus", "Ptox corythus corythus", "Ptox corythus gaius", "Blepharidatta brasiliensis", "Blepharidatta conops", "Blaste lignicola", "Scutovertex sculptus", "Nectonema zealandica", "Euchordodes nigromaculatus", "Gordius dimorphus", "Psammomermis canterburiensis", "Thaumamermis zealandica", "Tremella caloplacae", "Tremella candelariellae", "Tremella cetrariicola", "Tremella cladoniae", "Tremella dendrographae", "Tremella everniae", "Tremella haematommatis", "Tremella harrisii", "Tremella hypogymniae", "Tremella leptogii", "Tremella lethariae", "Aphrotenia australiensis", "Tremella lichenicola", "Tremella nashii", "Tremella nephromatis", "Tremella nieblae", "Tremella papuana", "Tremella parmeliarum", "Tremella pertusariae", "Tremella phaeographinae", "Tremella phaeophysciae", "Electrotenia brundini", "Tremella ramalinae", "Tremella tuckerae", "Aphroteniella filicornis", "Wasmannia affinis", "Wasmannia auropunctata", "Wasmannia iheringi", "Wasmannia lutzi", "Wasmannia rochai", "Wasmannia scrobifera", "Wasmannia sigmoidea", "Wasmannia sulcaticeps", "Wasmannia villosa", "Wasmannia williamsoni", "Cataulacus adpressus", "Cataulacus anthracinus", "Cataulacus bequaerti", "Cataulacus boltoni", "Cataulacus brevisetosus", "Cataulacus catuvolcus", "Cataulacus centrurus", "Cataulacus cestus", "Cataulacus chapmani", "Cataulacus difficilis", "Cataulacus ebrardi", "Cataulacus egenus", "Cataulacus elongatus", "Cataulacus erinaceus", "Cataulacus flagitiosus", "Cataulacus fricatidorsus", "Cataulacus granulatus", "Cataulacus greggi", "Cataulacus guineensis", "Cataulacus hispidulus", "Cataulacus horridus", "Cataulacus huberi", "Cataulacus impressus", "Cataulacus inermis", "Cataulacus intrudens", "Cataulacus jacksoni", "Cataulacus jeanneli", "Cataulacus kenyensis", "Cataulacus kohli", "Cataulacus latissimus", "Cataulacus latus", "Cataulacus lobatus", "Cataulacus longinodus", "Cataulacus lujae", "Cataulacus marginatus", "Cataulacus mckeyi", "Basiceros rothschildi", "Amarinus lacustris", "Basiceros rugiferoide", "Basiceros rugiferum", "Basiceros scambognathus", "Basiceros seguense", "Basiceros singularis", "Basiceros speciosum", "Basiceros spectabile", "Basiceros stenognathum", "Basiceros stenoscapum", "Basiceros szentivanyi", "Basiceros wheeleri", "Feliniopsis knudlarseni", "Feliniopsis annosa", "Feliniopsis annosa annosa", "Feliniopsis annosa anuosoides", "Feliniopsis viettei", "Feliniopsis tenera", "Pyrenidium actinellum", "Pyrenidium hyalosporum", "Pyrenidium octosporum", "Pyrenidium cryptotheciae", "Pyrenidium hetairizans", "Pyrenidium santessonii", "Pyrenidium sporopodiorum", "Pyrenidium zamiae", "Acytolepis ripte", "Acytolepis samanga", "Spirographa fusisporella", "Spirographa vinosa", "Spirographa antillarum", "Pterolebias longipinnis", "Ochrolechia pallescens", "Celatoxia albidisca", "Celatoxia carna", "Celatoxia carna carna", "Celatoxia carna carnita", "Celatoxia marginata", "Celatoxia marginata marginata", "Celatoxia marginata splendens", "Parancistrus aurantiacus", "Abelopsocus basipunctatus", "Abelopsocus pardus", "Abelopsocus truganiniae", "Abelopsocus cruciclypeus", "Abelopsocus fenestratus", "Bassocaecilius rawlinsoni", "Clinocaecilius edwardsi", "Lepinotus huoni", "Chorocaecilius brunellus", "Nimbopsocus huttoni", "Mauropsocus monteithi", "Nimbopsocus australis", "Trichopsocus clarus", "Poecilocharax weitzmani", "Santia longisetae", "Salvatiella islapascua", "Salvatiella polynesica", "Joeropsis trilabes", "Joeropsis limbatus", "Joeropsis bicornis", "Joeropsis acoloris", "Uromunna biloba", "Paramunna pellucida", "Malva canariensis", "Coperonus frigida", "Pagonana dilatata", "Paramunna capensis", "Acanthomunna spinipes", "Pterognathia portobello", "Pterognathia tuatara", "Austrognatharia boadeni", "Ectopsocus petersi", "Ectopsocus australis", "Colossendeis tasmanica", "Scirtes albotaeniatus", "Scirtes babeldaobensis", "Scirtes micronesianus", "Scirtes tinianensis", "Scirtes palauensis", "Scirtes gressitti", "Fortiblatta cuspicolor", "Scotiophyes subtriangulata", "Radiospongilla sceptroides", "Dieffenbachia seguine", "Daku woorimensis", "Daku riegeri", "Hofstenia miamia", "Austrognatharia australis", "Epimeria horsti", "Medaeops serenei", "Euryxanthops chiltoni", "Apseudes larseni", "Gnathia sifae", "Alvinocaris niwa", "Traillochorema wardorum", "Traillochorema rakiura", "Cataulacus tardus", "Cataulacus taylori", "Cataulacus tenuis", "Cataulacus theobromicola", "Cataulacus traegaordhi", "Cataulacus voeltzkowi", "Cataulacus vorticus", "Cataulacus wasmanni", "Cataulacus weissi", "Cataulacus wissmannii", "Cephalotes abdominalis", "Cephalotes adolphi", "Cephalotes alfaroi", "Cephalotes alveolatus", "Cephalotes angustus", "Cephalotes argentatus", "Cephalotes argentiventris", "Cephalotes atratus", "Cephalotes auricomus", "Cephalotes auriger", "Cephalotes basalis", "Cephalotes betoi", "Cephalotes biguttatus", "Cephalotes bimaculatus", "Cephalotes bivestitus", "Cephalotes bloosi", "Cephalotes bohlsi", "Cephalotes borgmeieri", "Cataulacus micans", "Cataulacus mocquerysi", "Cataulacus moloch", "Cataulacus muticus", "Cataulacus nenassus", "Cataulacus oberthueri", "Cataulacus pilosus", "Cataulacus planiceps", "Cataulacus plebeius", "Cataulacus pompom", "Cataulacus porcatus", "Cataulacus praetextus", "Cataulacus pullus", "Cataulacus pygmaeus", "Cataulacus regularis", "Cataulacus resinosus", "Cataulacus reticulatus", "Cataulacus satrap", "Cataulacus setosus", "Cataulacus silvestrii", "Cataulacus simoni", "Cataulacus striativentris", "Cataulacus taprobanae", "Blennius ocellaris", "Parablennius incognitus", "Joeropsis paulensis", "Acanthaspidia drygalskii", "Parablennius zvonimiri", "Sonchus congestus", "Polycentrus schomburgkii", "Prionobrama filigera", "Pristobrycon calmoni", "Pseudacanthicus leopardus", "Pseudanos trimaculatus", "Pseudanos gracilis", "Amazonspinther dalmata", "Sphinctrina anglica", "Sphinctrina benmargana", "Sphinctrina leucopoda", "Sphinctrina pallidella", "Sphinctrina tubiformis", "Petitella georgiae", "Sphinctrina turbinata", "Pseudorinelepis genibarbis", "Austrochlus parabrundini", "Austrochlus centralaustralis", "Notropis aguirrepequenoi", "Notropis amecae", "Notropis aulidion", "Notropis buccula", "Notropis hubbsi", "Notropis imeldae", "Notropis jemezanus", "Notropis melanostomus", "Notropis oxyrhynchus", "Notropis perpallidus", "Notropis saladonis", "Notropis semperasper", "Notropis simus", "Notropis welaka", "Basiceros clypeatum", "Basiceros conjugans", "Basiceros convexiceps", "Basiceros coronatum", "Basiceros depressum", "Basiceros disciger", "Basiceros dubium", "Basiceros emeryi", "Basiceros floridanum", "Basiceros grave", "Basiceros greensladei", "Basiceros heliscatum", "Basiceros hoplites", "Basiceros iheringi", "Basiceros impressum", "Basiceros inca", "Basiceros insidiator", "Basiceros isabellae", "Basiceros jennya", "Basiceros lenkoi", "Basiceros mandibulare", "Basiceros manni", "Basiceros militaris", "Basiceros omnivagum", "Basiceros onorei", "Basiceros papuanum", "Basiceros petiolatum", "Basiceros philippinum", "Basiceros piluliferum", "Basiceros platisquama", "Basiceros procerum", "Basiceros punctatum", "Basiceros redux", "Feliniopsis medleri", "Feliniopsis confusa", "Feliniopsis milloti", "Eretmodus cyanostictus", "Spathodus erythrodon", "Spathodus marlieri", "Feliniopsis segreta", "Tanganicodus irsacae", "Greenwoodochromis bellcrossi", "Greenwoodochromis christyi", "Feliniopsis ivoriensis", "Alticorpus geoffreyi", "Alticorpus macrocleithrum", "Feliniopsis ligniensis", "Alticorpus mentale", "Alticorpus peterdaviesi", "Alticorpus profundicola", "Aristochromis christyi", "Astatoreochromis alluaudi", "Astatoreochromis straeleni", "Astatotilapia bloyeti", "Astatotilapia burtoni", "Astatotilapia calliptera", "Astatotilapia desfontainii", "Astatotilapia flaviijosephi", "Astatotilapia stappersii", "Astatotilapia swynnertoni", "Tropihypnus petrae", "Anacamptis collina", "Anacamptis papilionacea", "Feliniopsis duponti", "Feliniopsis duponti duponti", "Feliniopsis duponti dargei", "Feliniopsis nigribarbata", "Feliniopsis sabaea", "Feliniopsis berioi", "Pyrrhulina brevis", "Pyrrhulina laeta", "Pyrrhulina rachoviana", "Pyrrhulina vittata", "Acytolepis lilacea", "Acytolepis lilacea indochinensis", "Acytolepis lilacea lilacea", "Acytolepis lilacea moorei", "Acytolepis najara", "Rineloricaria fallax", "Acytolepis puspa", "Acytolepis puspa bazilana", "Acytolepis puspa cagaya", "Rineloricaria lanceolata", "Rineloricaria lima", "Acytolepis puspa cyanescens", "Acytolepis puspa dammae", "Rineloricaria parva", "Acytolepis puspa darmis", "Acytolepis puspa deronda", "Acytolepis puspa felderi", "Acytolepis puspa gisca", "Acytolepis puspa hermione", "Acytolepis puspa ishigakiana", "Acytolepis puspa kuehni", "Acytolepis puspa lambi", "Acytolepis puspa mygdonia", "Pygocentrus piraya", "Acytolepis puspa prominens", "Acytolepis puspa puspa", "Acytolepis puspa puspinus", "Acytolepis puspa siporana", "Acytolepis puspa timorensis", "Acytolepis puspa volumnia", "Acytolepis puspa myla", "Serrasalmus rhombeus", "Pterophyllum altum", "Pterophyllum leopoldi", "Blaste angusta", "Blaste macrops", "Blaste magnifica", "Blaste bistriata", "Blaste forficula", "Blaste falcifer", "Blaste panops", "Blaste taylori", "Blaste furcilla", "Blaste lunulata", "Paracyprichromis brieni", "Paracyprichromis nigripinnis", "Aulonocranus dewindti", "Callochromis macrops", "Callochromis melanostigma", "Callochromis pleurospilus", "Cardiopharynx schoutedeni", "Cunningtonia longiventralis", "Cyathopharynx furcifer", "Ectodus descampsii", "Grammatotria lemairii", "Lestradea perspicax", "Lestradea stappersii", "Ophthalmotilapia boops", "Ophthalmotilapia heterodonta", "Ophthalmotilapia nasuta", "Ophthalmotilapia ventralis", "Xenochromis hecqui", "Xenotilapia bathyphila", "Xenotilapia boulengeri", "Xenotilapia burtoni", "Xenotilapia caudafasciata", "Xenotilapia flavipinnis", "Xenotilapia leptura", "Xenotilapia longispinis", "Xenotilapia melanogenys", "Xenotilapia nasus", "Xenotilapia nigrolabiata", "Xenotilapia ochrogenys", "Xenotilapia ornatipinnis", "Xenotilapia papilio", "Xenotilapia rotundiventralis", "Xenotilapia sima", "Xenotilapia spiloptera", "Xenotilapia tenuidentata", "Aulopus filamentosus", "Pagellus acarne", "Skyttea buelliae", "Skyttea caesii", "Skyttea carboneae", "Skyttea cismonicae", "Skyttea cruciata", "Skyttea elachistophora", "Skyttea fusispora", "Skyttea gregaria", "Skyttea lecanorae", "Skyttea mayrhoferi", "Skyttea pertusariicola", "Skyttea pyrenulae", "Skyttea radiatilis", "Skyttea richardsonii", "Skyttea tavaresae", "Skyttea thallophila", "Skyttea thelotrematis", "Skyttea nitschkei", "Akysis fontaneus", "Paraxerus cooperi", "Paraxerus flavovittis", "Paraxerus lucifer", "Paraxerus ochraceus", "Paraxerus palliatus", "Paraxerus poensis", "Paraxerus vexillarius", "Protoxerus aubinnii", "Aaptos conferta", "Aaptos globosa", "Aaptos rosacea", "Aaptos tenta", "Borojevia tetrapodifera", "Ephydatia ramsayi", "Cephalotes brevispineus", "Cephalotes bruchi", "Cephalotes carabicus", "Cephalotes chacmul", "Cephalotes christopherseni", "Cephalotes clypeatus", "Salaria pavo", "Cephalotes coffeae", "Cephalotes columbicus", "Cephalotes complanatus", "Cephalotes conspersus", "Cephalotes cordatus", "Cephalotes cordiae", "Cephalotes cordiventris", "Cephalotes crenaticeps", "Cephalotes cristatus", "Cephalotes curvistriatus", "Cephalotes decolor", "Cephalotes decoloratus", "Cephalotes dentidorsum", "Cephalotes depressus", "Cephalotes dieteri", "Cephalotes dorbignyanus", "Cephalotes duckei", "Cephalotes ecuadorialis", "Cephalotes eduarduli", "Cephalotes emeryi", "Cephalotes femoralis", "Cephalotes fiebrigi", "Cephalotes flavigaster", "Cephalotes foliaceus", "Cephalotes fossithorax", "Cephalotes frigidus", "Coryphoblennius galerita", "Salaria fluviatilis", "Salaria basilisca", "Sphaerellothecium abditum", "Sphaerellothecium araneosum", "Sphaerellothecium atryneae", "Sphaerellothecium cladoniicola", "Sphaerellothecium contextum", "Sphaerellothecium gowardii", "Sphaerellothecium minutum", "Sphaerellothecium parmeliae", "Sphaerellothecium propinquellum", "Sphaerellothecium subtile", "Sphaerellothecium araneosum var. araneosum", "Sphaerellothecium araneosum var. cladoniae", "Celastrina huegelii", "Celastrina huegelii oreoides", "Celastrina huegelii huegelii", "Ficus benjamina", "Aucklandella conspirata", "Aucklandella geiri", "Aucklandella hudsoni", "Aucklandella machimia", "Aucklandella novazealandica", "Aucklandella thyellma", "Aucklandella utetes", "Aucklandella wellingtoni", "Aucklandella ursula", "Aucklandella pyrastis", "Aucklandella minuta", "Degithina actista", "Degithina davidi", "Degithina hersilia", "Degithina exhilarata", "Degithina melanopus", "Degithina huttonii", "Degithina apicalis", "Degithina decepta", "Degithina sollicitoria", "Astatotilapia tweddlei", "Thiacidas postica", "Thiacidas kanoensis", "Scutula cladoniicola", "Scutula dedicata", "Scutula epiblastematica", "Scutula krempelhuberi", "Scutula miliaris", "Scutula stereocaulorum", "Scutula tuberculosa", "Protoxerus stangeri", "Spermophilopsis leptodactylus", "Xerus daamsi", "Maranta leuconeura", "Xerus erythropus", "Xerus inauris", "Narcissus cantabricus subsp. cantabricus", "Xerus princeps", "Xerus rutilus", "Ficus elastica", "Graphiurus angolensis", "Graphiurus christyi", "Graphiurus crassicaudatus", "Graphiurus kelleni", "Graphiurus lorraineus", "Graphiurus microtis", "Graphiurus monardi", "Graphiurus murinus", "Narcissus gigas", "Graphiurus nagtglasii", "Graphiurus ocularis", "Graphiurus platyops", "Graphiurus rupicola", "Graphiurus surdus", "Chaetocauda sichuanensis", "Dryomys apulus", "Dryomys niethammeri", "Eliomys melanurus", "Eliomys munbyanus", "Thiacidas smythi", "Thiacidas legraini", "Thiacidas postalbida", "Thiacidas acronictoides", "Thiacidas permutata", "Thiacidas submutata", "Thiacidas stassarti", "Caloplaca agardhiana", "Caloplaca phlogina", "Caloplaca squamuloisidiata", "Caloplaca tropica", "Thiacidas cerurodes", "Thiacidas cerurodes cerurodes", "Thiacidas cerurodes asiriensis", "Thiacidas hampsoni", "Thiacidas meii", "Herpetobotys camerounensis", "Herpetobotys kenyensis", "Herpetobotys ugandae", "Pseudognathobotys africalis", "Pseudognathobotys diffusalis", "Cybalobotys manengoubae", "Cybalobotys nyasalis", "Cybalobotys kakamegae", "Litarachna smiti", "Panthera pardus melas", "Panthera pardus japonensis", "Lynx lynx lynx", "Lynx canadensis canadensis", "Lynx canadensis mollipilosus", "Lynx canadensis subsolanus", "Litarachna caribica", "Litarachna amnicola", "Litarachna brasiliensis", "Litarachna cawthorni", "Litarachna hongkongensis", "Litarachna marshalli", "Litarachna bartschae", "Litarachna curtipalpis", "Litarachna sabangensis", "Procryptocerus adlerzi", "Procryptocerus attenuatus", "Procryptocerus balzani", "Procryptocerus batesi", "Procryptocerus belti", "Procryptocerus carbonarius", "Procryptocerus clathratus", "Procryptocerus convergens", "Procryptocerus convexus", "Procryptocerus coriarius", "Procryptocerus curvistriatus", "Procryptocerus eladio", "Procryptocerus elegans", "Procryptocerus ferreri", "Procryptocerus gibbosus", "Procryptocerus goeldii", "Procryptocerus gracilis", "Procryptocerus hirsutus", "Procryptocerus hylaeus", "Procryptocerus impressus", "Procryptocerus kempfi", "Procryptocerus lenkoi", "Procryptocerus lepidus", "Procryptocerus marginatus", "Procryptocerus mayri", "Procryptocerus montanus", "Procryptocerus nalini", "Procryptocerus paleatus", "Procryptocerus petiolatus", "Procryptocerus pictipes", "Procryptocerus regularis", "Procryptocerus rudis", "Procryptocerus sampaioi", "Procryptocerus scabriusculus", "Procryptocerus schmalzi", "Procryptocerus schmitti", "Procryptocerus seabrai", "Procryptocerus spiniperdus", "Procryptocerus spinosus", "Uranoscopus scaber", "Procryptocerus striatus", "Myomimus personatus", "Myomimus setzeri", "Chondrus crispus", "Animalia incertae sedis", "Profilicollis novaezelandensis", "Profilicollis antarcticus", "Porpita pacifica", "Levansa decoratoria", "Levansa leodacus", "Cephalotes goeldii", "Cephalotes goniodontes", "Cephalotes grandinosus", "Cephalotes guayaki", "Cephalotes haemorrhoidalis", "Cephalotes hamulus", "Cephalotes hirsutus", "Cephalotes hispaniolicus", "Cephalotes inaequalis", "Cephalotes inca", "Cephalotes incertus", "Cephalotes insularis", "Cephalotes integerrimus", "Cephalotes jamaicensis", "Cephalotes jansei", "Cephalotes jheringi", "Cephalotes klugi", "Cephalotes kukulcan", "Cephalotes laminatus", "Cephalotes lanuginosus", "Cephalotes lenca", "Cephalotes liepini", "Cephalotes liogaster", "Cephalotes maculatus", "Cephalotes manni", "Cephalotes marginatus", "Cephalotes maya", "Cephalotes membranaceus", "Cephalotes minutus", "Cephalotes mompox", "Cephalotes multispinosus", "Cephalotes nilpiei", "Cephalotes notatus", "Cephalotes obscurus", "Cephalotes oculatus", "Cephalotes olmecus", "Cephalotes opacus", "Cephalotes pallens", "Cephalotes orbis", "Cephalotes pallidicephalus", "Cephalotes pallidoides", "Cephalotes pallidus", "Cephalotes palta", "Cephalotes palustris", "Cephalotes patei", "Lucernaria janetae", "Cephalotes patellaris", "Cephalotes pavonii", "Cephalotes pellans", "Cephalotes persimilis", "Cephalotes persimplex", "Cephalotes peruviensis", "Cephalotes pileini", "Cephalotes pilosus", "Cephalotes pinelii", "Cephalotes placidus", "Cephalotes poinari", "Cephalotes porrasi", "Cephalotes prodigiosus", "Cephalotes pusillus", "Cephalotes quadratus", "Cephalotes ramiphilus", "Cephalotes resinae", "Cephalotes rohweri", "Cephalotes scutulatus", "Cephalotes serraticeps", "Cephalotes serratus", "Cephalotes setulifer", "Cephalotes simillimus", "Cephalotes sobrius", "Cephalotes solidus", "Cephalotes spinosus", "Cephalotes squamosus", "Cephalotes sucinus", "Cephalotes supercilii", "Cephalotes taino", "Cephalotes targionii", "Cephalotes texanus", "Cephalotes toltecus", "Cephalotes trichophorus", "Cephalotes umbraculatus", "Cephalotes unimaculatus", "Cephalotes ustus", "Cephalotes varians", "Cephalotes ventriosus", "Cephalotes vinosus", "Cephalotes wheeleri", "Heteromolpadia joyceae", "Thiacidas egregia", "Thiacidas triangulata", "Thiacidas duplicata", "Thiacidas fractilinea", "Thiacidas krooni", "Thiacidas berenice", "Porpita porpita", "Porpita umbela", "Porpita linnaena", "Thiacidas leonie", "Thiacidas nigrimacula", "Celastrina argiolus hypoleuca", "Celastrina argiolus iynteana", "Celastrina argiolus kollari", "Celastrina argiolus ladon", "Celastrina argiolus ladonides", "Celastrina argiolus lucia", "Celastrina argiolus mauretanica", "Celastrina argiolus sugurui", "Dipodomys agilis", "Dipodomys californicus", "Dipodomys compactus", "Dipodomys deserti", "Dipodomys elator", "Dipodomys gravipes", "Dipodomys heermanni", "Dipodomys merriami", "Dipodomys microps", "Dipodomys nelsoni", "Celastrina ebenina", "Celastrina hersilia", "Celastrina hersilia evansi", "Celastrina hersilia hersilia", "Celastrina hersilia vipia", "Celastrina sugitanii", "Celastrina sugitanii ainonica", "Celastrina sugitanii leei", "Celastrina sugitanii kyushuensis", "Celastrina sugitanii lenzeni", "Aucklandella flavomaculata", "Celastrina sugitanii sugitanii", "Celastrina gigas", "Celastrina ogasawaraensis", "Thiacidas juvenis", "Thiacidas callipona", "Thiacidas schausi", "Thiacidas adnanensis", "Thiacidas mukim", "Brevipecten captata", "Brevipecten consanguis", "Isocanace crosbyi", "Orphnurgus dorisae", "Phrynocrinus nudus", "Crematogaster acaciae", "Crematogaster aculeata", "Crematogaster acuta", "Crematogaster adrepens", "Crematogaster aegyptiaca", "Crematogaster affabilis", "Crematogaster afghanica", "Crematogaster africana", "Crematogaster agnetis", "Crematogaster agniae", "Crematogaster aitkenii", "Scorpaena maderensis", "Crematogaster algirica", "Crematogaster alluaudi", "Crematogaster aloysiisabaudiae", "Crematogaster alulai", "Crematogaster amabilis", "Crematogaster amapaensis", "Crematogaster ambigua", "Crematogaster amita", "Crematogaster ampla", "Crematogaster ampullaris", "Crematogaster ancipitula", "Crematogaster angulosa", "Crematogaster angusticeps", "Crematogaster antaris", "Crematogaster anthracina", "Crematogaster apicalis", "Crematogaster arata", "Crematogaster arcuata", "Crematogaster arnoldi", "Crematogaster aroensis", "Crematogaster arthurimuelleri", "Crematogaster ashmeadi", "Crematogaster atkinsoni", "Crematogaster atra", "Crematogaster auberti", "Crematogaster augusti", "Crematogaster aurita", "Crematogaster australis", "Crematogaster baduvi", "Crematogaster bakeri", "Crematogaster batesi", "Crematogaster bequaerti", "Crematogaster betapicalis", "Crematogaster bicolor", "Crematogaster biformis", "Crematogaster binghamii", "Crematogaster bingo", "Crematogaster biroi", "Crematogaster bison", "Crematogaster boera", "Crematogaster bogojawlenskii", "Crematogaster boliviana", "Crematogaster borneensis", "Crematogaster brasiliensis", "Crematogaster brevidentata", "Crematogaster brevimandibularis", "Crematogaster brevis", "Crematogaster breviventris", "Crematogaster browni", "Crematogaster bruchi", "Crematogaster brunnea", "Crematogaster brunneipennis", "Crematogaster brunnescens", "Crematogaster buchneri", "Crematogaster buddhae", "Crematogaster butteli", "Crematogaster californica", "Crematogaster capensis", "Crematogaster captiosa", "Crematogaster carinata", "Crematogaster castanea", "Crematogaster censor", "Crematogaster cephalotes", "Crematogaster cerasi", "Crematogaster chiarinii", "Crematogaster chlorotica", "Crematogaster chodati", "Helicolenus dactylopterus", "Siganus rivulatus", "Liza ramada", "Celastrina acesina", "Celastrina algernoni", "Celastrina algernoni algernoni", "Celastrina algernoni kadazanensis", "Celastrina argiolus argiolus", "Celastrina argiolus bieneri", "Celastrina argiolus caphis", "Celastrina argiolus cinerea", "Celastrina argiolus echo", "Celastrina argiolus gozora", "Procryptocerus subpilosus", "Procryptocerus sulcatus", "Procryptocerus tortuguero", "Procryptocerus victoris", "Procryptocerus virgatus", "Crematogaster abdominalis", "Crematogaster aberrans", "Crematogaster abrupta", "Crematogaster abstinens", "Gonostoma denudatum", "Phrynobatrachus intermedius", "Odorrana yentuensis", "Pristimantis koehleri", "Pristimantis reichlei", "Rana eschatia", "Rana labialis", "Rana parvaccola", "Rana rufipes", "Scorpaena loppei", "Thiacidas fasciata", "Thiacidas dukei", "Thiacidas cookei", "Thiacidas alboporphyrea", "Potamotrygon henlei", "Potamotrygon leopoldi", "Thiacidas roseotincta", "Potamotrygon hystrix", "Thiacidas roseotincta roseotincta", "Potamotrygon schroederi", "Thiacidas roseotincta albata", "Potamotrygon orbignyi", "Plesiotrygon iwamae", "Thiacidas senex", "Pangasianodon hypophthalmus", "Pangasius bocourti", "Pangasius larnaudii", "Pangasius sanitwongsei", "Clarias batrachus", "Osphronemus goramy", "Trichopodus pectoralis", "Parachanna obscura", "Auchenoglanis occidentalis", "Thiacidas intermedia", "Thiacidas robertbecki", "Liza saliens", "Crematogaster chopardi", "Crematogaster chungi", "Crematogaster cicatriculosa", "Crematogaster clariventris", "Crematogaster clydia", "Crematogaster coarctata", "Crematogaster coelestis", "Crematogaster colei", "Crematogaster concava", "Crematogaster consternens", "Crematogaster constructor", "Crematogaster coriaria", "Crematogaster cornigera", "Crematogaster cornuta", "Crematogaster corporaali", "Crematogaster corticicola", "Crematogaster corvina", "Crematogaster crassicornis", "Crematogaster crinosa", "Crematogaster cristata", "Crematogaster crucis", "Crematogaster cubaensis", "Crematogaster curvispinosa", "Crematogaster cuvierae", "Crematogaster cylindriceps", "Crematogaster dahlii", "Crematogaster daisyi", "Crematogaster dalyi", "Crematogaster decamera", "Crematogaster degeeri", "Crematogaster delagoensis", "Crematogaster delitescens", "Crematogaster dentinodis", "Crematogaster depilis", "Crematogaster depressa", "Crematogaster descarpentriesi", "Crematogaster desecta", "Crematogaster desperans", "Crematogaster difformis", "Crematogaster diffusa", "Oedalechilus labeo", "Crematogaster dispar", "Crematogaster distans", "Crematogaster dohrni", "Crematogaster dolens", "Crematogaster donisthorpei", "Crematogaster dorsidens", "Crematogaster dubia", "Crematogaster ebenina", "Crematogaster edentula", "Crematogaster egidyi", "Crematogaster egregior", "Crematogaster elegans", "Crematogaster elysii", "Crematogaster emeryana", "Crematogaster emeryi", "Crematogaster emmae", "Crematogaster enneamera", "Crematogaster ensifera", "Crematogaster erecta", "Crematogaster esterelana", "Crematogaster eurydice", "Crematogaster euterpe", "Crematogaster evallans", "Crematogaster excisa", "Crematogaster ferrarii", "Crematogaster flava", "Crematogaster flavicornis", "Crematogaster flavitarsis", "Crematogaster flaviventris", "Crematogaster foraminiceps", "Crematogaster formosa", "Crematogaster foxi", "Crematogaster fraxatrix", "Crematogaster fritzi", "Crematogaster frivola", "Crematogaster fruhstorferi", "Crematogaster fuentei", "Crematogaster fulmeki", "Crematogaster fusca", "Crematogaster gabonensis", "Crematogaster gallicola", "Crematogaster gambiensis", "Crematogaster gavapiga", "Crematogaster gerstaeckeri", "Crematogaster gibba", "Crematogaster goeldii", "Crematogaster gordani", "Liza aurata", "Chlopsis bicolor", "Brevipecten arcuata", "Brevipecten neglecta", "Brevipecten bisignata", "Brevipecten purpureotincta", "Dipodomys nitratoides", "Dipodomys ordii", "Dipodomys panamintinus", "Dipodomys spectabilis", "Dipodomys stephensi", "Dipodomys venustus", "Brevipecten promona", "Brevipecten cornuta", "Amoebozoa incertae sedis", "Phoracantha obscura", "Phoracantha punctata", "Antigius jinpingi", "Pyrrhospora catillaria", "Puntius kelumi", "Pyrrhospora griseococcinea", "Pyrrhospora lusitanica", "Pyrrhospora manipurensis", "Rhabdalestes yokai", "Pyrrhospora quernea", "Nannopetersius mutambuei", "Capoeta turani", "Capoeta erhani", "Akysis vespertinus", "Pyrrhospora varians", "Asura friederikeae", "Asura pectinella", "Asura pinkurata", "Chaetodipus nelsoni", "Seirophora scorigena", "Seirophora stenophylla", "Seirophora tenera", "Seirophora villosa", "Chaetodipus penicillatus", "Chaetodipus pernix", "Chaetodipus rudinoris", "Tokudaia osimensis", "Chaetodipus spinatus", "Tokudaia tokunoshimensis", "Acomys cahirinus", "Narcissus pseudonarcissus subsp. pseudonarcissus", "Glenoleon falsus", "Anthela nicothoe", "Eunatalis porcata", "Illeis galbula", "Orthorhinus cylindrirostris", "Dorypteryx yunnanica", "Thyraplax truncata", "Calocarcinus africanus", "Brevipecten wolframmeyi", "Brevipecten brandbergensis", "Microdipodops megacephalus", "Microdipodops pallidus", "Eriococcus szentivanyi", "Chamaedaphne calyculata", "Heteromys oasicus", "Celastrina oreas", "Celastrina oreas arisana", "Celastrina oreas baileyi", "Celastrina oreas hoenei", "Celastrina oreas mirificus", "Celastrina oreas oreana", "Celastrina oreas oreas", "Celastrina oreas septentrionis", "Celastrina oreas yunnana", "Celastrina morsheadi", "Celastrina morsheadi astynome", "Celastrina morsheadi morsheadi", "Celastrina perplexa", "Celastrina filipjevi", "Celastrina filipjevi admirabilis", "Celastrina filipjevi filipjevi", "Russula emetica", "Russula cyanoxantha", "Russula subnigricans", "Epipremnum pinnatum", "Russula virescens", "Russula xerampelina", "Eptatretus goliath", "Eptatretus strickrotti", "Sticta ainoae", "Sticta arctica", "Sticta babingtonii", "Gryllus pennsylvanicus", "Parakysis hystriculus", "Parakysis anomalopteryx", "Parakysis verrucosus", "Crematogaster russoi", "Sticta henryana", "Crematogaster rustica", "Crematogaster sagei", "Crematogaster sanguinea", "Sticta howei", "Crematogaster santschii", "Crematogaster saussurei", "Sticta nervosa", "Crematogaster scapamaris", "Crematogaster scelerata", "Crematogaster schencki", "Sticta philipsonii", "Crematogaster schimmeri", "Crematogaster schmidti", "Sticta submarginifera", "Crematogaster schultzei", "Crematogaster scita", "Crematogaster scutellaris", "Crematogaster semperi", "Crematogaster senegalensis", "Crematogaster sericea", "Crematogaster sewellii", "Crematogaster similis", "Crematogaster simoni", "Crematogaster sjostedti", "Crematogaster skounensis", "Crematogaster snellingi", "Crematogaster solenopsides", "Crematogaster solers", "Crematogaster sordidula", "Crematogaster sorokini", "Crematogaster soror", "Crematogaster spengeli", "Crematogaster stadelmanni", "Crematogaster steinheili", "Crematogaster stenocephala", "Crematogaster stethogompha", "Crematogaster stigmata", "Crematogaster stigmatica", "Crematogaster stollii", "Crematogaster striatula", "Crematogaster subcircularis", "Crematogaster subdentata", "Crematogaster subnuda", "Crematogaster subtonsa", "Crematogaster suehiro", "Crematogaster sumichrasti", "Glossogobius bellendenensis", "Glossogobius muscorum", "Glossogobius robertsi", "Barbus niluferensis", "Barbus barbus", "Chaetodipus artus", "Chaetodipus baileyi", "Chaetodipus californicus", "Chaetodipus dalquesti", "Chaetodipus eremicus", "Chaetodipus fallax", "Chaetodipus formosus", "Trisopterus minutus", "Asura sagenaria", "Loriotus cristatus brunneus", "Dorypteryx longipennis", "Dorypteryx domestica", "Dorypteryx pallida", "Teloschistes exilis", "Teloschistes flavicans", "Teloschistes puber", "Teloschistes pulvinaris", "Alcelaphus buselaphus buselaphus", "Narcissus abscissus var. abscissus", "Narcissus obsoletus", "Seirophora austroarabica", "Chaetodipus goldmani", "Chaetodipus hispidus", "Seirophora californica", "Chaetodipus intermedius", "Seirophora lacunosa", "Seirophora magara", "Chaetodipus lineatus", "Thumatha kakamegae", "Thumatha brunnea", "Graphis tetralocularis", "Thumatha fuscescens", "Thumatha fuscescens africana", "Callenya kaguya", "Callenya lenya", "Callenya lenya baluana", "Callenya lenya lenya", "Callenya melaena", "Callenya melaena melaena", "Callenya melaena shonen", "Notarthrinus binghami", "Uranobothria celebica", "Uranobothria tsukadai", "Crematogaster tarsata", "Crematogaster tenuicula", "Crematogaster teranishii", "Crematogaster terminalis", "Crematogaster tetracantha", "Crematogaster thalia", "Crematogaster theta", "Crematogaster togoensis", "Crematogaster torosa", "Crematogaster transiens", "Crematogaster transvaalensis", "Crematogaster trautweini", "Crematogaster travancorensis", "Crematogaster treubi", "Crematogaster tumidula", "Gammogobius steinitzi", "Crematogaster udo", "Crematogaster unciata", "Crematogaster uruguayensis", "Crematogaster urvijae", "Crematogaster ustiventris", "Crematogaster vagula", "Crematogaster vandeli", "Crematogaster vandermeermohri", "Crematogaster vermiculata", "Crematogaster vicina", "Crematogaster victima", "Crematogaster vidua", "Allodemis stegopa", "Adoxophyes balioleuca", "Adoxophyes beijingensis", "Adoxophyes bematica", "Sticta papyracea", "Crotalus adamanteus", "Sticta peruviana", "Sticta platyphylloides", "Sticta plumbicolor", "Sticta sinuosa", "Sticta swartzii", "Thymelicus lineola", "Bathyraja shuntovi", "Notoraja hirticauda", "Lycaena dorcas", "Pusiola minutissima", "Eilema intermixta", "Eilema tegudentata", "Crematogaster ralumensis", "Crematogaster ranavalonae", "Crematogaster ransonneti", "Crematogaster rasoherinae", "Crematogaster rectinota", "Crematogaster recurva", "Crematogaster resulcata", "Crematogaster retifera", "Crematogaster rifelna", "Crematogaster rivai", "Crematogaster rochai", "Crematogaster rogeri", "Crematogaster ronganensis", "Crematogaster rossi", "Crematogaster rothneyi", "Crematogaster rudis", "Crematogaster rufa", "Sticta flavocyphellata", "Crematogaster rufigena", "Crematogaster rufotestacea", "Sticta formosana", "Crematogaster rugosa", "Crematogaster rugosior", "Crematogaster ruspolii", "Crematogaster russata", "Nanna naumanni", "Sticta flabelliformis", "Sticta granatensis", "Sticta gyalocarpa", "Sticta heppiana", "Sticta humboldtii", "Sticta laciniosa", "Symplocarpus nipponicus", "Heteromys oresterus", "Nanna collinsi", "Nanna kamerunica", "Heteromys teleus", "Sticta leamii", "Nanna griseata", "Liomys adspersus", "Phryganopsis parasordida", "Phryganopsis kinuthiae", "Archilema dentata", "Archilema nivea", "Liomys irroratus", "Liomys pictus", "Liomys salvini", "Liomys spectabilis", "Scotiophyes faeculosa", "Sticta macrophylla", "Scotiophyes hemiptycha", "Scotiophyes nebrias", "Chaetodipus arenarius", "Sticta myrioloba", "Archepandemis borealis", "Archepandemis coniferana", "Archepandemis morrisana", "Sticta orbicularis", "Archidemis anastea", "Aphthonocosma plutarcha", "Colias interior", "Sticta orizabana", "Sistrurus catenatus", "Cecropterus lyciades", "Allodemis dionysia", "Allodemis euhelias", "Allodemis fulva", "Allodemis pullatana", "Trichomycterus caudofasciatus", "Trichomycterus pantherinus", "Celastrina philippina cinctuta", "Celastrina philippina gradeniga", "Celastrina philippina labranda", "Celastrina philippina nedda", "Celastrina philippina philippina", "Celastrina philippina phuste", "Celastrina lavendularis", "Celastrina lavendularis aroana", "Celastrina lavendularis chloe", "Celastrina lavendularis epicharma", "Celastrina lavendularis floresiana", "Celastrina lavendularis gadara", "Celastrina lavendularis hermesianax", "Celastrina lavendularis himilcon", "Celastrina lavendularis isabella", "Celastrina lavendularis lavendularis", "Celastrina lavendularis limbata", "Celastrina lavendularis lyce", "Celastrina lavendularis placidina", "Sticta ambavillaria", "Sticta andensis", "Sticta boschiana", "Sticta dendroidella", "Sticta dichotoma", "Hemichordata incertae sedis", "Spicara smaris", "Parakysis longirostris", "Parakysis grandis", "Parakysis notialis", "Atherina hepsetus", "Akysis pulvinatus", "Akysis longifilis", "Akysis meridionalis", "Nandus andrewi", "Pseudomystus heokhuii", "Botia udomritthiruji", "Balantiocheilos ambusticauda", "Centracanthus cirrus", "Brevipecten biscornuta", "Brevipecten calimanii", "Brevipecten calimanii calimanii", "Brevipecten calimanii magnifica", "Brevipecten calimanii stassarti", "Brevipecten malagasy", "Brevipecten tessenei", "Brevipecten hypocornuta", "Brevipecten dufayi", "Tropidodryas serra", "Tropidodryas striaticeps", "Brevipecten discolora", "Brevipecten confluens", "Brevipecten tihamae", "Brevipecten marmoreata", "Sticta baileyi", "Sticta beauvoisii", "Sticta brevipes", "Sticta caliginosa", "Sticta camarae", "Sticta caperata", "Sticta carolinensis", "Sticta caulescens", "Sticta cinereoglauca", "Sticta colinii", "Sticta cometiella", "Sticta cyphellulata", "Sticta damicornis", "Sticta diversa", "Sticta duplolimbata", "Sticta filix", "Sticta fragilinata", "Sticta hypochroa", "Sticta hypopsila", "Sticta hypopsiloides", "Sticta kunthii", "Sticta lacera", "Sticta latifrons", "Sticta leucoblephara", "Sticta limbata", "Celastrina philippina", "Crotalus durissus", "Brevipecten niloticus", "Brevipecten bischofi", "Brevipecten politzari", "Crematogaster vitalisi", "Crematogaster voeltzkowi", "Crematogaster vulcania", "Crematogaster walshi", "Crematogaster warburgi", "Crematogaster wardi", "Crematogaster wasmanni", "Crematogaster weberi", "Crematogaster wellmani", "Crematogaster werneri", "Crematogaster wheeleri", "Crematogaster whitei", "Crematogaster wilwerthi", "Crematogaster wroughtonii", "Crematogaster xerophila", "Crematogaster yappi", "Crematogaster zavattarii", "Crematogaster zoceensis", "Crematogaster zonacaciae", "Crematogaster gratiosa", "Crematogaster grevei", "Crematogaster gutenbergi", "Crematogaster heathi", "Tubiluchus australensis", "Tubiluchus corallicola", "Tubiluchus philippinensis", "Tubiluchus remanei", "Tubiluchus vanuatensis", "Crematogaster hemiceros", "Crematogaster hespera", "Tubiluchus troglodytes", "Crematogaster hezaradjatica", "Crematogaster himalayana", "Crematogaster hogsoni", "Crematogaster homeri", "Crematogaster hottentota", "Crematogaster hova", "Crematogaster huberi", "Crematogaster iheringi", "Crematogaster ilgii", "Crematogaster impressa", "Crematogaster impressiceps", "Crematogaster inconspicua", "Crematogaster incorrecta", "Crematogaster indefensa", "Crematogaster inermis", "Crematogaster inflata", "Crematogaster innocens", "Crematogaster inops", "Crematogaster insularis", "Crematogaster ionia", "Crematogaster iridipennis", "Crematogaster irritabilis", "Crematogaster isolata", "Crematogaster jacobsoni", "Halicryptus spinulosus", "Crematogaster javanica", "Crematogaster jeanneli", "Crematogaster jehovae", "Crematogaster jullieni", "Crematogaster juventa", "Crematogaster kachelibae", "Crematogaster karawaiewi", "Crematogaster kasaiensis", "Crematogaster painei", "Crematogaster pallida", "Crematogaster pallipes", "Crematogaster paolii", "Crematogaster paradoxa", "Crematogaster parallela", "Crematogaster patei", "Crematogaster pauciseta", "Crematogaster pauciseta grossulior", "Phiala ueleae", "Crematogaster pauciseta pauciseta", "Crematogaster pauli", "Crematogaster pellens", "Crematogaster perelegans", "Phiala specialis", "Crematogaster peringueyi", "Crematogaster peristerica", "Crematogaster perthensis", "Crematogaster peruviana", "Crematogaster petiolidens", "Crematogaster phoenica", "Phiala parabiota", "Crematogaster phoenix", "Crematogaster pia", "Phiala maxima", "Crematogaster pinicola", "Crematogaster polita", "Crematogaster politula", "Crematogaster polymnia", "Crematogaster popohana", "Crematogaster pradipi", "Crematogaster praecursor", "Crematogaster pseudinermis", "Crematogaster pulchella", "Crematogaster pusilla", "Crematogaster pythia", "Crematogaster quadriformis", "Stenoglene sulphureoides", "Crematogaster quadrispinosa", "Crematogaster queenslandica", "Soloella orientis", "Sticta fimbriata", "Sticta filicinella", "Pellona flavipinnis", "Acestrorhynchus falcirostris", "Sticta dichotomoides", "Sticta ferax", "Vanneaugobius dollfusi", "Nanna ceratopygia", "Nanna colonoides", "Nanna displisticta", "Nanna eningae", "Nanna magna", "Nanna melanosticta", "Brevipecten legraini", "Honeyia clearchus", "Honeyia secunda", "Honeyia tertia", "Honeyia quarta", "Sticta lineariloba", "Sticta longipes", "Sticta marginifera", "Sticta martinii", "Sticta mexicana", "Sticta nashii", "Sticta pedunculata", "Sticta rutilans", "Sticta santessonii", "Sticta sayeri", "Sticta squamata", "Honeyia burmeisteri", "Sticta stipitata", "Sticta subcaperata", "Honeyia dia", "Sticta sublimbata", "Sticta subtomentella", "Sticta tomentosa", "Homadaula maritima", "Homadaula submontana", "Homadaula montana", "Sticta variabilis", "Homadaula watamomaritima", "Hoyicoccus hendersonae", "Sticta weigelii", "Sangicoccus morrisoni", "Sangicoccus reynei", "Sticta xanthotropa", "Brontostoma deferreri", "Brontostoma diringshofeni", "Andeepia ingridae", "Rivulus amanapira", "Rivulus uakti", "Microcambeva ribeirae", "Prorivulus auriferus", "Rivulus uatuman", "Aphyolebias boticarioi", "Austrolebias univentripinnis", "Pituna brevirostrata", "Pituna schindleri", "Pituna obliquoseriata", "Pituna xinguensis", "Plesiolebias fragilis", "Plesiolebias altamira", "Plesiolebias filamentosus", "Plesiolebias canabravensis", "Maratecoara splendida", "Trichomycterus pauciradiatus", "Crematogaster levior", "Crematogaster libengensis", "Crematogaster liengmei", "Crematogaster limata", "Crematogaster lineolata", "Crematogaster litoralis", "Crematogaster lobata", "Crematogaster longiceps", "Crematogaster longiclava", "Crematogaster longipilosa", "Crematogaster longispina", "Crematogaster lorteti", "Crematogaster lotti", "Crematogaster lucayana", "Crematogaster luctans", "Crematogaster lutzi", "Crematogaster macaoensis", "Crematogaster macracantha", "Crematogaster madagascariensis", "Crematogaster madecassa", "Crematogaster magitae", "Crematogaster magnifica", "Crematogaster major", "Crematogaster malevolens", "Crematogaster mancocapaci", "Crematogaster manni", "Crematogaster margaritae", "Crematogaster marioni", "Crematogaster marthae", "Crematogaster matsumurai", "Crematogaster meijerei", "Crematogaster melanogaster", "Actinoplaca strigulacea", "Selkirkia columbia", "Selkirkia spencei", "Selkirkia willoughbyi", "Lysimachia verticillaris", "Siccia pallidata", "Siccia margopuncta", "Siccia yvonneae", "Siccia ursulae", "Siccia anserina", "Siccia rarita", "Siccia orbiculata", "Siccia grossagranularis", "Siccia elgona", "Siccia chogoriae", "Siccia overlaeti", "Siccia eberti", "Siccia conformis", "Siccia cretata", "Xiaoheiqingella peculiarus", "Aderkomyces albostrigosus", "Aderkomyces armatus", "Aderkomyces carneoalbus", "Aderkomyces cretaceus", "Aderkomyces cubanus", "Aderkomyces deslooveri", "Aderkomyces dilatatus", "Acanthopriapulus horridus", "Crematogaster kelleri", "Crematogaster kirbii", "Crematogaster kneri", "Crematogaster kohli", "Crematogaster kutteri", "Crematogaster laboriosa", "Crematogaster laestrygon", "Crematogaster laeviceps", "Crematogaster laevis", "Priapulus caudatus", "Crematogaster laevissima", "Crematogaster laeviuscula", "Crematogaster lamottei", "Priapulus tuberculatospinosus", "Ramboldia amagiensis", "Priapulites konecniorum", "Ramboldia arandensis", "Ramboldia aurantiaca", "Ramboldia aurea", "Ramboldia blastidiata", "Ramboldia brunneocarpa", "Ramboldia bullata", "Ramboldia cinnabarina", "Ramboldia crassithallina", "Ramboldia elabens", "Ramboldia farinosa", "Ramboldia gowardiana", "Ramboldia griseococcinea", "Ramboldia haematites", "Ramboldia heterocarpa", "Ramboldia insidiosa", "Ramboldia laeta", "Ramboldia lusitanica", "Ramboldia manipurensis", "Ramboldia petraeoides", "Ramboldia neolaeta", "Ramboldia plicatula", "Ramboldia quaesitica", "Ramboldia russula", "Ramboldia sanguinolenta", "Ramboldia sorediata", "Ramboldia stuartii", "Ramboldia subcinnabarina", "Ramboldia subnexa", "Ramboldia petraeoides var. petraeoides", "Ramboldia petraeoides var. concava", "Priapulopsis australis", "Priapulopsis cnidephorus", "Priapulopsis bicaudatus", "Aonyx capensis capensis", "Aonyx capensis hindei", "Aonyx capensis meneleki", "Aonyx capensis microdon", "Aonyx capensis philippsi", "Distichodus teugelsi", "Spicara maena", "Ottoia prolifica", "Palaeosiccia honeyi", "Exilisia prominentia", "Exilisia contrasta", "Exilisia kruegeri", "Exilisia friederikeae", "Eugoa coronaria", "Acantholichen pannarioides", "Eugoa corniculata", "Eugoa winneba", "Maccabeus tentaculatus", "Maccabeus cirratus", "Siccia adiaphora", "Siccia atriguttata", "Acanthothecis borealis", "Bazzania okaritana", "Chaenotheca degelii", "Chaetocnema paspalae", "Acarospora dissipata", "Crematogaster lango", "Crematogaster larreae", "Crematogaster latuka", "Crematogaster laurenti", "Crematogaster ledouxi", "Aderkomyces fumosus", "Aderkomyces heterellus", "Aderkomyces guatemalensis", "Aderkomyces lobulimarginatus", "Aderkomyces microcarpus", "Aderkomyces microtrichus", "Aderkomyces papilliferus", "Aderkomyces planus", "Aderkomyces purulhensis", "Aderkomyces ramiferus", "Aderkomyces subalbostrigosus", "Aderkomyces subplanus", "Aderkomyces testaceus", "Aderkomyces verruciferus", "Aderkomyces verrucosus", "Dendrohyrax arboreus", "Dendrohyrax dorsalis", "Heterohyrax brucei", "Haploa confusa", "Protoboarmia porcelaria", "Siccia duodecimpunctata", "Siccia gypsia", "Siccia melanospila", "Didogobius schlieweni", "Siccia microsticta", "Siccia pallens", "Siccia stictica", "Didogobius splechtnai", "Nyctelia quadricarinata", "Praocis montana", "Praocis uretai", "Praocis pentachorda", "Praocis striolicollis", "Scotobius alaticollis", "Ignicoccus islandicus", "Cystobasidium fimetarium", "Cystobasidium proliferans", "Cystobasidium sebaceum", "Thermococcus atlanticus", "Thermococcus waiotapuensis", "Sphinx praelongus", "Petrelaea dana", "Petrelaea tombugensis", "Ignisphaera aggregans", "Thermococcus zilligii", "Limenitis arthemis arthemis", "Limenitis arthemis astyanax", "Chilotilapia rhoadesii", "Copadichromis atripinnis", "Copadichromis azureus", "Copadichromis boadzulu", "Copadichromis borleyi", "Copadichromis chizumuluensis", "Copadichromis chrysonotus", "Copadichromis cyaneus", "Copadichromis cyanocephalus", "Aulonocara stonemani", "Aulonocara stuartgranti", "Aulonocara trematocephalum", "Buccochromis atritaeniatus", "Buccochromis heterotaenia", "Buccochromis lepturus", "Buccochromis nototaenia", "Buccochromis oculatus", "Buccochromis rhoadesii", "Buccochromis spectabilis", "Champsochromis caeruleus", "Champsochromis spilorhynchus", "Cheilochromis euchilus", "Chetia brevicauda", "Hemiceras sororella", "Chetia brevis", "Chetia flaviventris", "Chetia gracilis", "Chetia welwitschi", "Hemiceras paranensis", "Hemiceras anapoima", "Hemiceras indistans", "Hemiceras echo", "Hemiceras narcissus", "Hemiceras beata", "Acaphyllisa communiae", "Acaphyllisa duplicella", "Neopentamerus octcellus", "Neometaculus beecheyaus", "Aculops monices", "Abacarus rotundus", "Abacarus aralioidus", "Opoptera syme", "Perognathus flavus", "Perognathus inornatus", "Perognathus longimembris", "Perognathus merriami", "Perognathus parvus", "Ainoa geochroa", "Ainoa mooreana", "Romanogobio parvus", "Apistogramma alacrina", "Nacaduba zaron", "Acidilobus sulfurireducens", "Polites baracoa", "Polites carus", "Polites draco", "Polites mardon", "Polites mystic", "Polites origenes", "Polites peckius", "Polites rhesus", "Polites sabuleti", "Polites sonora", "Polites themistocles", "Polites vibex", "Electra oligopora", "Catenicella pseudoelegans", "Fenestrulina littoralis", "Celleporina wellingtonensis", "Osthimosia sirena", "Rhynchozoon zealandicum", "Reteporella aurantiaca", "Theridion frondeum", "Theridion glaucescens", "Theridion melanurum", "Theridion murarium", "Thermococcus gorgonarius", "Spilosoma virginica", "Thermococcus pacificus", "Phragmatobia assimilans", "Deidamia inscriptum", "Sphinx chersis", "Sphinx drupiferarum", "Sphinx libocedrus", "Sphinx kalmiae", "Sphinx gordius", "Sphinx perelegans", "Sphinx eremitoides", "Sphinx dollii", "Sphinx franckii", "Sphinx luscitiosa", "Sphinx separatus", "Sphinx canadensis", "Sphinx sequoiae", "Sphinx asellus", "Sphinx eremitus", "Sphinx smithi", "Sphinx geminus", "Sphinx vashti", "Sphinx poecila", "Sphinx istar", "Sphinx leucophaeata", "Sphinx chisoya", "Sphinx pinastri", "Aulonocara aquilonium", "Aulonocara auditor", "Aulonocara baenschi", "Aulonocara brevinidus", "Aulonocara brevirostre", "Aulonocara ethelwynnae", "Aulonocara gertrudae", "Aulonocara guentheri", "Aulonocara hansbaenschi", "Aulonocara hueseri", "Aulonocara jacobfreibergi", "Aulonocara koningsi", "Aulonocara korneliae", "Aulonocara macrochir", "Aulonocara maylandi", "Aulonocara nyassae", "Aulonocara rostratum", "Aulonocara saulosi", "Aulonocara steveni", "Rasbora dies", "Batasio feruminatus", "Agonimia allobata", "Agonimia gelatinosa", "Agonimia globulifera", "Agonimia octospora", "Agonimia opuntiella", "Agonimia pacifica", "Agonimia papillata", "Agonimia tristicula", "Agonimia vouauxii", "Crematogaster meneliki", "Crematogaster menilekii", "Crematogaster mesonotalis", "Crematogaster microspina", "Crematogaster millardi", "Crematogaster mimicans", "Crematogaster mimosae", "Crematogaster minutissima", "Crematogaster misella", "Crematogaster mjobergi", "Crematogaster modiglianii", "Crematogaster montana", "Crematogaster montenigrinus", "Crematogaster montezumia", "Crematogaster monticola", "Crematogaster moorei", "Crematogaster moqorensis", "Crematogaster mormonum", "Crematogaster mottazi", "Crematogaster mucronata", "Crematogaster muralti", "Crematogaster mutans", "Crematogaster myops", "Ophidion barbatum", "Pseudobagrus nubilosus", "Erethistoides infuscatus", "Leiocassis collinus", "Leiocassis tenebricus", "Gogangra laevis", "Veronica peduncularis", "Agyrium rufum", "Taraxacum platycarpum", "Zephyranthes tubispatha", "Perognathus alticolus", "Perognathus amplus", "Perognathus fasciatus", "Perognathus flavescens", "Protostelium okumukumu", "Ipomoea batatas var. apiculata", "Ipomoea batatas var. batatas", "Rabdiophrys turrisfenestrata", "Udeoides muscosalis", "Udeoides nigribasalis", "Udeoides nolalis", "Udeoides viridis", "Udeoides bonakandaiensis", "Crypsiptya africalis", "Calystegia \u00d7 pulchra", "Calystegia soldanella", "Pachycara cousinsi", "Pachycara priedei", "Calystegia sepium", "Lucifuga lucayana", "Ventichthys biospeedoi", "Hylocereus monacanthus", "Hylocereus calcaratus", "Hylocereus ocamponis", "Hylocereus costaricensis", "Adoxophyes chloromydra", "Hylocereus undatus", "Opoptera aorsa", "Opoptera aorsa aorsa", "Opoptera aorsa colombiana", "Opoptera aorsa fuscata", "Opoptera hilaris", "Opoptera arsippe", "Opoptera bracteolata", "Opoptera staudingeri", "Megarhyssa macrurus", "Parapsestis odilei", "Teinopalpus imperialis imperialis", "Teinopalpus imperialis colettei", "Powysia rosealinea", "Erysichton lineata", "Erysichton lineata cythora", "Erysichton lineata insularis", "Erysichton lineata lineata", "Erysichton lineata meiranganus", "Erysichton lineata uluensis", "Erysichton lineata vincula", "Plasmodiophora brassicae", "Serratia entomophila", "Costelytra zealandica", "Novosphingobium nitrogenifigens", "Dactylospora aeruginosa", "Dactylospora amygdalariae", "Dactylospora athallina", "Dactylospora attendenda", "Tholoarctus natans", "Dactylospora australis", "Echiniscoides hoepneri", "Copadichromis diplostigma", "Copadichromis geertsi", "Copadichromis ilesi", "Copadichromis insularis", "Copadichromis jacksoni", "Copadichromis likomae", "Copadichromis mbenjii", "Copadichromis melas", "Copadichromis mloto", "Copadichromis nkatae", "Copadichromis parvus", "Copadichromis pleurostigma", "Copadichromis pleurostigmoides", "Copadichromis prostoma", "Copadichromis quadrimaculatus", "Copadichromis trewavasae", "Copadichromis trimaculatus", "Copadichromis verduyni", "Copadichromis virginalis", "Corematodus shiranus", "Corematodus taeniatus", "Ctenochromis horei", "Ctenochromis luluae", "Ctenochromis oligacanthus", "Ctenochromis pectoralis", "Ctenochromis polli", "Ctenopharynx intermedius", "Ctenopharynx nitidus", "Ctenopharynx pictus", "Cyathochromis obliquidens", "Cyclopharynx fwae", "Cyclopharynx schwetzi", "Cynotilapia afra", "Cynotilapia axelrodi", "Cynotilapia pulpican", "Cyrtocara moorii", "Dimidiochromis compressiceps", "Dimidiochromis dimidiatus", "Dimidiochromis kiwinge", "Dimidiochromis strigatus", "Opoptera fruhstorferi", "Opoptera sulcius", "Catopyrops ancyra austrojavana", "Catopyrops ancyra complicata", "Catopyrops ancyra distincta", "Catopyrops ancyra exponens", "Catopyrops ancyra hyperpseustis", "Catopyrops ancyra ligamenta", "Catopyrops ancyra maniana", "Catopyrops ancyra mysia", "Catopyrops ancyra nicevillei", "Catopyrops ancyra procella", "Catopyrops ancyra subfestivus", "Catopyrops ancyra tuala", "Catopyrops florinda", "Catopyrops florinda estrella", "Catopyrops florinda florinda", "Catopyrops florinda parva", "Catopyrops rita", "Catopyrops rita altijavana", "Catopyrops rita bora", "Catopyrops rita rita", "Catopyrops zyx", "Catopyrops holtra", "Catopyrops keiria", "Catopyrops nebulosa", "Catopyrops kokopona", "Sibine stimulea", "Crematogaster natalensis", "Crematogaster navajoa", "Crematogaster nawai", "Crematogaster nesiotis", "Crematogaster neuvillei", "Crematogaster nigeriensis", "Crematogaster nigrans", "Crematogaster nigriceps", "Crematogaster nigronitens", "Crematogaster nigropilosa", "Crematogaster nocturna", "Crematogaster oasium", "Crematogaster obnigra", "Crematogaster obscura", "Crematogaster obscurata", "Crematogaster obscurior", "Crematogaster ochracea", "Crematogaster ochraceiventris", "Crematogaster onusta", "Crematogaster opaca", "Crematogaster opaciceps", "Crematogaster opuntiae", "Crematogaster orobia", "Crematogaster osakensis", "Ipomoea cairica var. cairica", "Ipomoea cairica var. gracillima", "Ipomoea cairica var. indica", "Cololejeunea cardiocarpa", "Dactylospora borealis", "Dactylospora deminuta", "Dactylospora frigida", "Dactylospora glaucomarioides", "Dactylospora heimerlii", "Dactylospora homoclinella", "Megastygarctides christinae", "Megastygarctides gerdae", "Dactylospora inquilina", "Dactylospora lobariella", "Sclerococcum luridum", "Tanarctus bubulubus", "Dactylospora parasitica", "Dactylospora parellaria", "Dactylospora pertusariicola", "Neotenotrocha sterreri", "Dactylospora pleiosperma", "Dactylospora polyspora", "Echiniscus ehrenbergi", "Dactylospora porphyrea", "Polynyapodella ambrosei", "Dactylospora protothallina", "Dactylospora purpurascens", "Dactylospora rhyparizae", "Dactylospora saxatilis", "Sclerococcum stygium", "Dactylospora urceolata", "Cratogeomys castanops", "Cratogeomys goldmani", "Cratogeomys fumosus", "Cratogeomys gymnurus", "Cratogeomys merriami", "Selenicereus pteranthus", "Selenicereus anthonyanus", "Selenicereus spinulosus", "Selenicereus inermis subsp. wercklei", "Selenicereus hamatus", "Selenicereus validus", "Selenicereus grandiflorus", "Epiphyllum crenatum", "Epiphyllum anguliger", "Agathis vittatus", "Agathis brevigongylodes", "Catopyrops ancyra", "Catopyrops ancyra aberrans", "Catopyrops ancyra almora", "Catopyrops ancyra amaura", "Catopyrops ancyra ancyra", "Yeppoona grandis", "Aculicoxa striata", "Diadegma novaezealandiae", "Uloola brevis", "Phaeneumon phoenix", "Epopostruma frosti", "Epopostruma infuscocephala", "Epopostruma kangarooensis", "Atropa acuminata", "Epopostruma lacuna", "Epopostruma laevigata", "Epopostruma lattini", "Epopostruma leae", "Epopostruma loweryi", "Epopostruma mellea", "Epopostruma mercurii", "Epopostruma monstrosa", "Epopostruma nancyae", "Epopostruma natalae", "Epopostruma papulata", "Epopostruma quadrispinosa", "Epopostruma sisypha", "Epopostruma sowestensis", "Epopostruma terrula", "Epopostruma turneri", "Epopostruma unicorna", "Epopostruma vitta", "Epopostruma wardi", "Atropa baetica", "Microdaceton exornatum", "Microdaceton tanyspinosum", "Microdaceton tibialis", "Microdaceton viriosum", "Crematogaster oscaris", "Crematogaster overbecki", "Crematogaster oxygynoides", "Recurvidris browni", "Recurvidris glabriceps", "Recurvidris hebe", "Recurvidris kemneri", "Recurvidris nuwa", "Recurvidris pickburni", "Recurvidris proles", "Recurvidris recurvispinosa", "Recurvidris williami", "Acanthognathus brevicornis", "Acanthognathus lentus", "Acanthognathus ocellatus", "Acanthognathus poinari", "Acanthognathus rudis", "Acanthognathus stipulosus", "Acanthognathus teledectus", "Epopostruma alata", "Epopostruma alinodis", "Epopostruma angela", "Epopostruma angulata", "Epopostruma areosylva", "Epopostruma australis", "Epopostruma avicula", "Epopostruma bella", "Epopostruma biconcava", "Epopostruma biconvexa", "Epopostruma bicorna", "Epopostruma browni", "Epopostruma cerornata", "Epopostruma curiosa", "Epopostruma eccentrica", "Epopostruma elliotti", "Epopostruma exolympica", "Epopostruma foliacea", "Epopostruma froggatti", "Hoplosauris granitata", "Hoplosauris heliconoides", "Hoplosauris indistincta", "Hoplosauris schausi", "Hoplosauris valeria", "Hoplosauris pachrophylloides", "Hoplosauris macarenae", "Hoplosauris mabillei", "Belisana desciscens", "Belisana exian", "Belisana maogan", "Belisana yalong", "Holocneminus huangdi", "Amandinea montana", "Amandinea multispora", "Amandinea natalensis", "Amandinea petermannii", "Amandinea placodiomorpha", "Amandinea placodiomorphoides", "Amandinea polyspora", "Amandinea punctata", "Amandinea subduplicata", "Amandinea submontana", "Amandinea subplicata", "Amandinea xylographella", "Brunfelsia australis", "Brunfelsia pauciflora", "Brunfelsia pauciflora subsp. pauciflora", "Buellia adjuncta", "Brunfelsia pauciflora subsp. fragrans", "Brunfelsia hydrangeiformis", "Brunfelsia hydrangeiformis subsp. capitata", "Brunfelsia hydrangeiformis subsp. hydrangeiformis", "Cercyonis pegala", "Danis concolor", "Danis danis", "Danis danis apollonius", "Danis danis danis", "Danis danis dispar", "Danis danis hermes", "Danis danis karpaia", "Danis danis lampros", "Danis danis latifascia", "Danis danis regina", "Cercyonis meadii alamosa", "Danis danis philocrates", "Danis danis philostratus", "Danis danis serapis", "Danis danis suleima", "Danis danis supoi", "Brunfelsia jamaicensis", "Danis danis syrius", "Danis danis triopus", "Danis danis zuleika", "Danis drucei", "Danis hengis", "Danis melimnos", "Danis metrophanes", "Danis phroso", "Danis regalis", "Danis wallacei", "Cercyonis pegala alope", "Cercyonis pegala ariane", "Neolevansa hirsuta", "Cercyonis sthenele behrii", "Platylabus altitudinis", "Orectognathus alligator", "Orectognathus antennatus", "Orectognathus biroi", "Orectognathus chyzeri", "Orectognathus clarki", "Orectognathus coccinatus", "Orectognathus csikii", "Orectognathus darlingtoni", "Orectognathus echinus", "Orectognathus elegantulus", "Orectognathus horvathi", "Orectognathus howensis", "Orectognathus hystrix", "Orectognathus kanangra", "Orectognathus longispinosus", "Orectognathus mjobergi", "Orectognathus nanus", "Orectognathus nigriventris", "Orectognathus parvispinus", "Atropa caucasica", "Pyrochlora rhanis", "Pyrochlora majorcula", "Pyrochlora motilonia", "Pyrochlora kuklase", "Pyrochlora vogli", "Ahtiana pallidula", "Perpheres perpheres", "Perpheres perpheres peri", "Perpheres perpheres perpheres", "Perpheres perpheres valestinax", "Ampliotrema amplius", "Ampliotrema auratum", "Ampliotrema discolor", "Ampliotrema lepadinoides", "Ampliotrema palaeoamplius", "Virbia affinis", "Cercyonis pegala boopis", "Cercyonis oetus charon", "Kerodon acrobata", "Cercyonis meadii damei", "Cercyonis pegala gabbii", "Auratonota angustovalva", "Auratonota argentana", "Cercyonis pegala incana", "Galea monasteriensis", "Auratonota auriferana", "Cercyonis sthenele masoni", "Auratonota bacata", "Cercyonis meadii", "Auratonota brachuncus", "Cercyonis meadii melania", "Auratonota caeruleata", "Auratonota caliginosa", "Cercyonis pegala nephele", "Auratonota croceana", "Auratonota pichincha", "Auratonota rutra", "Auratonota siskae", "Auratonota yukipana", "Veratrum viride", "Choristoneura irina", "Veratrum californicum", "Eucosma curlewensis", "Veratrum stamineum", "Orectognathus phyllobates", "Orectognathus robustus", "Orectognathus roomi", "Orectognathus rostratus", "Orectognathus sarasini", "Orectognathus satan", "Orectognathus sexspinosus", "Orectognathus szentivanyi", "Orectognathus velutinus", "Orectognathus versicolor", "Strumigenys abdera", "Strumigenys abdita", "Strumigenys abditivata", "Strumigenys acheron", "Strumigenys actis", "Strumigenys acubecca", "Strumigenys adiastola", "Strumigenys admixta", "Strumigenys adrasora", "Strumigenys adsita", "Strumigenys aduncomala", "Strumigenys aechme", "Strumigenys aello", "Strumigenys aequinoctialis", "Strumigenys aethegenys", "Strumigenys africana", "Strumigenys agetos", "Strumigenys agnosta", "Strumigenys agostii", "Strumigenys agra", "Strumigenys ahares", "Strumigenys ailaoshana", "Strumigenys akalles", "Strumigenys akhtoi", "Strumigenys alapa", "Strumigenys alberti", "Strumigenys alecto", "Strumigenys alessandrae", "Strumigenys alperti", "Strumigenys amasara", "Strumigenys ambatrix", "Strumigenys amnesia", "Strumigenys ampyx", "Strumigenys anarta", "Strumigenys anchiplex", "Strumigenys anchis", "Strumigenys anderseni", "Strumigenys anetes", "Strumigenys angulata", "Strumigenys anorbicula", "Strumigenys antaeus", "Strumigenys anthocera", "Strumigenys apalachicolensis", "Strumigenys apios", "Strumigenys appretiata", "Strumigenys arahana", "Strumigenys archboldi", "Strumigenys arges", "Strumigenys argiola", "Strumigenys arizonica", "Thorogobius ephippiatus", "Lophomilia flaviplaga", "Lophomilia takao", "Lophomilia diehli", "Lophomilia polybapta", "Lophomilia nekrasovi", "Lophomilia rustica", "Lophomilia hoenei", "Lophomilia kogii", "Lophomilia albicosta", "Lophomilia albistria", "Lophomilia violescens", "Lophomilia striatipurpurea", "Lophomilia kobesi", "Alectoria mexicana", "Alectoria virens", "Apamea permixta", "Apamea commixta", "Leucolopha sinica", "Pariosternarchus amazonensis", "Pseudophoxinus ninae", "Geomys knoxjonesi", "Chaetostoma daidalmatos", "Chaetostoma stroumpoulos", "Poecilia wingei", "Geomys texensis", "Squalius orpheus", "Capoeta ekmekciae", "Trichopodus leerii", "Lentipes adelphizonus", "Sicyopus exallisquamulus", "Betta antoni", "Betta mandor", "Betta krataios", "Betta uberis", "Betta compuncta", "Betta ideii", "Cyphocharax derhami", "Sternarchorhynchus caboclo", "Sternarchorhynchus severii", "Pedioxestis ferruginea", "Pedioxestis concaviuscula", "Pedioxestis bipartita", "Pedioxestis wuyiensis", "Elachista antipetra", "Nothodanis schaeffera", "Nothodanis schaeffera baladensis", "Nothodanis schaeffera caesius", "Nothodanis schaeffera cepheis", "Nothodanis schaeffera esme", "Nothodanis schaeffera schaeffera", "Elachista deficiens", "Elachista quadrata", "Elachista spiculifera", "Elachista stichospora", "Parapoynx fluctuosalis", "Anoplodactylus xenus", "Haplochromis akika", "Lopharcha ditissima", "Haplochromis albertianus", "Haplochromis altigenis", "Haplochromis ampullarostratus", "Haplochromis angustifrons", "Lopharcha herbaecolor", "Haplochromis annectidens", "Haplochromis apogonoides", "Haplochromis arcanus", "Lopharcha iriodis", "Haplochromis argenteus", "Haplochromis artaxerxes", "Haplochromis astatodon", "Haplochromis avium", "Haplochromis azureus", "Haplochromis barbarae", "Haplochromis bareli", "Haplochromis bartoni", "Haplochromis bayoni", "Haplochromis beadlei", "Haplochromis bicolor", "Haplochromis boops", "Haplochromis brownae", "Haplochromis bullatus", "Haplochromis cassius", "Haplochromis cavifrons", "Haplochromis chilotes", "Lopharcha maurognoma", "Haplochromis chlorochrous", "Haplochromis chromogynos", "Haplochromis chrysogynaion", "Lopharcha orthioterma", "Lopharcha psathyra", "Lopharcha quinquestriata", "Lopharcha curiosa", "Lopharcha erioptila", "Lopharcha halidora", "Lopharcha rapax", "Lopharcha siderota", "Lopharcha insolita", "Lopharcha kopeci", "Lophoprora cyanostacta", "Veratrum album", "Veratrum nigrum", "Veratrum lobellianum", "Solanum crispum", "Solanum laciniatum", "Solanum pittosporifolium", "Solanum wendlandii", "Solanum muricatum", "Solanum seaforthianum", "Amandinea adjuncta", "Solanum xanti", "Solanum robustum", "Solanum elaeagnifolium", "Amandinea augusta", "Cratogeomys neglectus", "Amandinea babingtonii", "Cratogeomys tylorhinus", "Amandinea brugierae", "Cratogeomys zinseri", "Solanum laxum", "Amandinea coniops", "Solanum rostratum", "Amandinea cacuminum", "Amandinea crassiuscula", "Amandinea dakotensis", "Geomys attwateri", "Amandinea deminuta", "Amandinea diorista", "Geomys breviceps", "Amandinea efflorescens", "Amandinea errata", "Brunfelsia undulata", "Amandinea extenuata", "Amandinea incrustans", "Amandinea isabellina", "Amandinea langloisii", "Amandinea latemarginata", "Amandinea lecideina", "Brunfelsia uniflora", "Brunfelsia americana", "Amandinea leucomela", "Amandinea mediospora", "Amandinea megaspora", "Amandinea melaxanthella", "Amandinea microsticta", "Amandinea milliaria", "Prosotas aluta lessina", "Chaenusa helmorei", "Prosotas aluta philiata", "Chaenusa semisetosa", "Chaenusa rugosa", "Prosotas bhutea", "Chaenusa mcalpini", "Prosotas atra", "Prosotas datarica", "Prosotas dubiosa", "Prosotas dubiosa dubiosa", "Prosotas dubiosa indica", "Prosotas dubiosa lumpura", "Prosotas dubiosa eborata", "Trichomycterus catamarcensis", "Naucrates ductor", "Gadus morhua morhua", "Lota lota", "Prosotas aluta nanda", "Prosotas dubiosa subardates", "Acrochordus javanicus", "Haplochromis mentatus", "Haplochromis mento", "Haplochromis michaeli", "Haplochromis microchrysomelas", "Haplochromis microdon", "Haplochromis multiocellatus", "Haplochromis murakoze", "Haplochromis mylergates", "Haplochromis mylodon", "Haplochromis nanoserranus", "Haplochromis nigrescens", "Haplochromis nigricans", "Virbia ampla", "Virbia arbela", "Virbia aurantiaca", "Virbia birchi", "Virbia brevilinea", "Virbia catama", "Virbia cetes", "Virbia costata", "Virbia cyana", "Virbia disparilis", "Virbia divisa", "Virbia dotata", "Virbia elisca", "Virbia endomelaena", "Virbia endophaea", "Virbia epione", "Virbia esula", "Virbia fasciata", "Virbia feronia", "Virbia ferruginosa", "Psychonotis brownii", "Psychonotis caelius", "Psychonotis caelius caelius", "Soehrensia spachiana", "Psychonotis caelius hanno", "Psychonotis caelius korion", "Psychonotis caelius manusi", "Psychonotis caelius mayae", "Psychonotis caelius plateni", "Psychonotis caelius plotinus", "Psychonotis eudocia", "Psychonotis hebes", "Psychonotis hymetus", "Echinopsis oxygona", "Psychonotis kruera", "Psychonotis melane", "Psychonotis piepersii", "Psychonotis purpurea", "Echinopsis aurea", "Echinopsis calochlora", "Echinopsis haematantha", "Lobivia ancistrophora", "Cichla melaniae", "Cichla mirianae", "Cichla pinima", "Cichla pleiozona", "Cichla piquiti", "Cichla thyrorus", "Cichla vazzoleri", "Apteronotus magoi", "Adoxophyes congruana", "Adoxophyes controversa", "Adoxophyes croesus", "Adoxophyes cyrtosema", "Endococcus alectoriae", "Endococcus apiciicola", "Gardenia jasminoides var. jasminoides", "Endococcus brachysporus", "Gardenia jasminoides var. radicans", "Endococcus buelliae", "Alongatepyris platunissimus", "Endococcus exerrans", "Endococcus fusiger", "Endococcus incrassatus", "Endococcus macrosporus", "Endococcus nanellus", "Endococcus oreinae", "Endococcus propinquus", "Endococcus ramalinarius", "Endococcus rugulosus", "Endococcus stigma", "Endococcus verrucosporus", "Endococcus verrucosus", "Endococcus zahlbrucknerellae", "Sphaerellothecium parietinarium", "Notoclinops caerulepunctus", "Enigmatiteuthis innominata", "Solanum bonariense", "Haplochromis cinctus", "Haplochromis cinereus", "Haplochromis cnester", "Haplochromis commutabilis", "Haplochromis crassilabris", "Haplochromis crebridens", "Haplochromis crocopeplus", "Haplochromis cronus", "Haplochromis cryptodon", "Haplochromis cryptogramma", "Haplochromis cyaneus", "Haplochromis decticostoma", "Haplochromis degeni", "Haplochromis dentex", "Haplochromis dichrourus", "Haplochromis diplotaenia", "Haplochromis dolichorhynchus", "Haplochromis dolorosus", "Haplochromis eduardianus", "Haplochromis eduardii", "Haplochromis elegans", "Haplochromis empodisma", "Haplochromis engystoma", "Haplochromis erythrocephalus", "Haplochromis erythromaculatus", "Haplochromis estor", "Haplochromis eutaenia", "Haplochromis exspectatus", "Haplochromis flavipinnis", "Haplochromis flavus", "Haplochromis fuelleborni", "Haplochromis fuscus", "Haplochromis fusiformis", "Haplochromis gigas", "Mirabilis multiflora", "Haplochromis gigliolii", "Haplochromis gilberti", "Haplochromis gowersii", "Haplochromis gracilior", "Haplochromis granti", "Haplochromis graueri", "Haplochromis greenwoodi", "Haplochromis guiarti", "Haplochromis harpakteridion", "Haplochromis heusinkveldi", "Haplochromis hiatus", "Haplochromis howesi", "Haplochromis humilior", "Haplochromis humilis", "Haplochromis igneopinnis", "Haplochromis insidiae", "Haplochromis iris", "Haplochromis ishmaeli", "Haplochromis kamiranzovu", "Haplochromis katavi", "Haplochromis kujunjui", "Haplochromis labiatus", "Haplochromis labriformis", "Haplochromis lacrimosus", "Haplochromis laparogramma", "Haplochromis latifasciatus", "Haplochromis limax", "Haplochromis lividus", "Haplochromis loati", "Haplochromis longirostris", "Haplochromis luteus", "Haplochromis macconneli", "Haplochromis macrocephalus", "Haplochromis macrognathus", "Haplochromis macrops", "Haplochromis macropsoides", "Haplochromis maculipinna", "Haplochromis mahagiensis", "Haplochromis maisomei", "Haplochromis malacophagus", "Haplochromis mandibularis", "Haplochromis martini", "Haplochromis maxillaris", "Haplochromis mbipi", "Haplochromis megalops", "Haplochromis melanopterus", "Mirabilis longiflora", "Haplochromis melanopus", "Haplochromis melichrous", "Glyptothorax panda", "Gobio delyamurei", "Gobio brevicirris", "Trichomycterus pradensis", "Mirabilis albida", "Mirabilis laevis", "Holoptygma lurida", "Holoptygma sarahpelzae", "Pinus reflexa", "Lambertiodes harmonia", "Lambertiodes multipunctata", "Pinus morrisonicola", "Macrochlidia azuayana", "Pinus uyematsui", "Macrochlidia leucoatra", "Pinus orthophylla", "Pinus wangii", "Mirabilis laevis var. crassifolia", "Pinus fenzeliana", "Mirabilis laevis var. villosa", "Mirabilis oxybaphoides", "Ancylis mandarinana", "Ancylis melanostigma", "Ancylis myrtilana", "Ancylis nemorana", "Ancylis obtusana", "Ancylis carbonana", "Ancylis carpalima", "Prosotas aluta", "Ancylis charisema", "Streptococcus pyogenes", "Prosotas aluta aluta", "Prosotas aluta alutina", "Prosotas aluta coelestis", "Haplochromis schubotziellus", "Haplochromis serranus", "Rachycentron canadum", "Echeneis naucrates", "Caranx hippos", "Umbrina cirrosa", "Clupea harengus harengus", "Clupea harengus membras", "Chaetodon vagabundus", "Tarachidia nigra", "Scatophagus argus", "Aluterus monoceros", "Idia occodentalis", "Apterichtus caecus", "Acanthurus lineatus", "Acanthurus triostegus", "Acanthurus triostegus triostegus", "Squalius cephalus", "Leuciscus idus", "Leuciscus leuciscus", "Synodus foetens", "Synodus saurus", "Synodus synodus", "Katsuwonus pelamis", "Haplochromis nigripinnis", "Haplochromis nigroides", "Haplochromis niloticus", "Haplochromis nubilus", "Haplochromis nuchisquamulatus", "Haplochromis nyanzae", "Haplochromis nyererei", "Haplochromis obesus", "Haplochromis obliquidens", "Haplochromis obtusidens", "Haplochromis occultidens", "Haplochromis oligolepis", "Haplochromis olivaceus", "Haplochromis omnicaeruleus", "Bothriochloa parviflora", "Haplochromis oregosoma", "Haplochromis orthostoma", "Haplochromis pachycephalus", "Haplochromis pallidus", "Haplochromis paludinosus", "Bothriochloa pauciflora", "Haplochromis pappenheimi", "Haplochromis paradoxus", "Haplochromis paraguiarti", "Haplochromis paraplagiostoma", "Haplochromis paropius", "Haplochromis parorthostoma", "Haplochromis parvidens", "Haplochromis paucidens", "Bothriochloa pertusa", "Haplochromis pellegrini", "Haplochromis percoides", "Haplochromis perrieri", "Haplochromis petronius", "Haplochromis pharyngalis", "Haplochromis pharyngomylus", "Haplochromis phytophagus", "Haplochromis piceatus", "Haplochromis pitmani", "Haplochromis placodus", "Haplochromis plagiodon", "Haplochromis plagiostoma", "Haplochromis plutonius", "Haplochromis prodromus", "Haplochromis prognathus", "Haplochromis pseudopellegrini", "Haplochromis ptistes", "Haplochromis pundamilia", "Haplochromis pyrrhocephalus", "Haplochromis pyrrhopteryx", "Haplochromis retrodens", "Haplochromis riponianus", "Haplochromis rubescens", "Haplochromis rubripinnis", "Haplochromis rudolfianus", "Haplochromis rufocaudalis", "Haplochromis rufus", "Haplochromis sauvagei", "Haplochromis saxicola", "Haplochromis scheffersi", "Haplochromis schubotzi", "Bocchus piceus", "Angiostoma schizoglossae", "Schizoglossa novoseelandica", "Abgrallaspis aguacatae", "Sternarchorhynchus gnomus", "Tonlesapia tsukawakii", "Idaea khankaensis", "Moenkhausia petymbuaba", "Barboides britzi", "Lopharcha moriutii", "Lopharcha amethystas", "Lopharcha angustior", "Lopharcha chalcophanes", "Lopharcha chionea", "Lopharcha conia", "Lopharcha cryptacantha", "Lopharcha deliqua", "Diplotaxodon aeneus", "Diplotaxodon apogon", "Diplotaxodon argenteus", "Diplotaxodon ecclesi", "Diplotaxodon greenwoodi", "Diplotaxodon limnothrissa", "Diplotaxodon macrops", "Docimodus evelynae", "Docimodus johnstoni", "Eclectochromis lobochilus", "Eclectochromis ornatus", "Exochochromis anagenys", "Fossorochromis rostratus", "Genyochromis mento", "Gephyrochromis lawsi", "Gephyrochromis moorii", "Haplochromis acidens", "Haplochromis adolphifrederici", "Haplochromis aelocephalus", "Haplochromis aeneocolor", "Crinum asiaticum var. sinicum", "Pomatoschistus norvegicus", "Chasminodes behouneki", "Antillocladius antecalvus", "Crinum glaucum", "Strumigenys arnoldi", "Ubatubaneura atlantica", "Strumigenys arrogantia", "Strumigenys asaphes", "Strumigenys ascita", "Strumigenys asrochia", "Strumigenys assamensis", "Strumigenys ataxia", "Strumigenys atopogenys", "Strumigenys atropos", "Strumigenys auctidens", "Strumigenys augustandrewi", "Strumigenys azteca", "Cuihuacarus longituberis", "Strumigenys baal", "Strumigenys babelina", "Strumigenys baladria", "Strumigenys balux", "Strumigenys bartolozzii", "Strumigenys barylonga", "Strumigenys bathron", "Strumigenys baudueri", "Strumigenys beebei", "Strumigenys behasyla", "Strumigenys belial", "Strumigenys bellatrix", "Strumigenys belua", "Strumigenys benten", "Strumigenys benulia", "Strumigenys bequaerti", "Strumigenys berkalial", "Strumigenys bernardi", "Strumigenys bibiolona", "Strumigenys bibis", "Strumigenys bimarginata", "Strumigenys biolleyi", "Strumigenys biroi", "Strumigenys bitheria", "Strumigenys blanda", "Strumigenys bola", "Strumigenys boltoni", "Strumigenys boneti", "Strumigenys borgmeieri", "Strumigenys brevicornis", "Strumigenys brontes", "Strumigenys browni", "Strumigenys bryanti", "Strumigenys bubisnoda", "Strumigenys buddhista", "Strumigenys buleru", "Strumigenys bunki", "Strumigenys cabira", "Bulbothrix scortella", "Bulbothrix semilunata", "Bulbothrix sensibilis", "Bulbothrix setschwanensis", "Prosotas gracilis donina", "Bulbothrix subcoronata", "Bulbothrix subdissecta", "Bulbothrix subglandulifera", "Bulbothrix subinflata", "Bulbothrix suffixa", "Bulbothrix tabacina", "Prosotas gracilis gracilis", "Bulbothrix ventricosa", "Bulbothrix viridescens", "Prosotas gracilis ni", "Prosotas gracilis saturatior", "Prosotas lutea", "Prosotas lutea lutea", "Prosotas lutea sivoka", "Prosotas nelides", "Prosotas papuana", "Prosotas talesea", "Prosotas norina", "Chamaecereus silvestrii", "Leucostele terscheckii", "Lobivia subdenudata", "Obtusitermes formosulus", "Prionocerus viridiflavus", "Ancyrona eocenica", "Crinum abyssinicum", "Candelaria crawfordii", "Crinum asiaticum var. japonicum", "Lobivia obrepanda", "Bulbothrix affixa", "Bulbothrix apophysata", "Bulbothrix atrichella", "Bulbothrix bicornuta", "Bulbothrix bulbochaeta", "Bulbothrix chowoensis", "Bulbothrix confoederata", "Bulbothrix continua", "Soehrensia schickendantzii", "Bulbothrix coronata", "Bulbothrix decurtata", "Bulbothrix enormis", "Bulbothrix fungicola", "Prosotas ella", "Bulbothrix goebelii", "Prosotas elsa", "Bulbothrix hypocraea", "Bulbothrix imshaugii", "Bulbothrix isidiza", "Bulbothrix klementii", "Prosotas felderi", "Bulbothrix laevigatula", "Bulbothrix meizospora", "Bulbothrix papyrina", "Bulbothrix pigmentacea", "Bulbothrix pustulata", "Bulbothrix schiffneri", "Prosotas gracilis", "Prosotas noreia", "Prosotas noreia cyclops", "Prosotas noreia hampsonii", "Prosotas noreia noreia", "Cissusa indiscreta", "Drasteria convergens", "Heteranassa fraterna", "Conochares acutus", "Prosotas nora", "Prosotas nora nora", "Prosotas nora ardates", "Prosotas nora auletes", "Prosotas nora caliginosa", "Prosotas nora dilata", "Prosotas nora formosana", "Prosotas nora fulva", "Prosotas nora kupu", "Prosotas nora meraha", "Prosotas nora semperi", "Prosotas nora superdates", "Harrisia eriophora", "Prosotas pia", "Prosotas pia ceramensis", "Prosotas pia elioti", "Prosotas pia marginata", "Prosotas pia pia", "Caloplaca diplacia", "Caloplaca diplacioides", "Caloplaca gambiensis", "Caloplaca isidiosa", "Caloplaca pulicarioides", "Chromogobius quadrivittatus", "Acentrogobius audax", "Acentrogobius caninus", "Amblyotrypauchen arctocephalus", "Brachyamblyopus brachysoma", "Geranium sanguineum", "Strumigenys disjuncta", "Strumigenys dispalata", "Strumigenys disturba", "Strumigenys diux", "Strumigenys dohertyi", "Strumigenys dolabra", "Strumigenys dolichognatha", "Strumigenys domitia", "Strumigenys dontopagis", "Strumigenys dora", "Strumigenys doriae", "Strumigenys doryceps", "Strumigenys dotaja", "Strumigenys doxa", "Strumigenys dromica", "Strumigenys dromoshaula", "Strumigenys dryas", "Strumigenys dubitata", "Pelargonium capitatum", "Strumigenys dyak", "Strumigenys dysanetes", "Strumigenys dyschima", "Strumigenys dyseides", "Strumigenys dyshaula", "Strumigenys ebbae", "Strumigenys ecliptacoca", "Strumigenys ection", "Strumigenys edaragona", "Strumigenys eggersi", "Strumigenys eidechthes", "Strumigenys dapsilis", "Strumigenys daspleta", "Strumigenys datissa", "Strumigenys datryx", "Strumigenys dayui", "Strumigenys decipula", "Strumigenys decollata", "Strumigenys degonya", "Strumigenys deinognatha", "Strumigenys deinomastax", "Strumigenys deletrix", "Strumigenys deltisquama", "Strumigenys denticulata", "Strumigenys dentinasis", "Strumigenys dentiscapa", "Strumigenys depilosa", "Strumigenys depressiceps", "Strumigenys deuteras", "Strumigenys deverra", "Strumigenys dexis", "Strumigenys dextra", "Strumigenys deyrupi", "Strumigenys diabola", "Strumigenys diaptyxis", "Strumigenys diasphax", "Strumigenys dicomas", "Strumigenys dictynna", "Strumigenys didyma", "Strumigenys dietrichi", "Strumigenys diota", "Strumigenys dipsas", "Strumigenys disarmata", "Candelariella grimmiae", "Candelariella himalayana", "Candelariella nepalensis", "Candelariella sorediosa", "Aruma histrio", "Candelariella vitellina var. vitellina", "Candelariella vitellina var. glacialis", "Crinum \u00d7 grandiflorum", "Crinum \u00d7 prainianum", "Crinum asiaticum var. pedunculatum", "Lobivia pentlandii", "Soehrensia huascha", "Felis manul ferruginea", "Felis manul manul", "Felis manul nigripecta", "Coregonus lavaretus", "Coregonus lavaretus lavaretus", "Pungitius pungitius", "Coregonus albula", "Coregonus albula albula", "Gymnotus carapo", "Ionolyce brunnescens", "Ionolyce selkon", "Ionolyce helicon", "Ionolyce helicon brunnea", "Ionolyce helicon caracalla", "Ionolyce helicon helicon", "Ionolyce helicon hyllus", "Ionolyce helicon javanica", "Ionolyce helicon kondulana", "Dactylopterus volitans", "Ionolyce helicon merguiana", "Ionolyce helicon viola", "Osmerus eperlanus", "Lobivia cinnabarina", "Lobivia rojasii", "Strumigenys elapoma", "Strumigenys electrina", "Strumigenys elegantula", "Strumigenys elongata", "Strumigenys emarginata", "Strumigenys emdeni", "Strumigenys emeryi", "Strumigenys emeswangi", "Strumigenys emiliae", "Strumigenys emmae", "Strumigenys enanna", "Strumigenys enkara", "Strumigenys enopla", "Strumigenys epelys", "Strumigenys epinotalis", "Strumigenys epipola", "Strumigenys epulo", "Strumigenys epyna", "Strumigenys erikae", "Strumigenys erynnes", "Strumigenys esrossi", "Strumigenys ettillax", "Strumigenys eumekes", "Strumigenys europs", "Strumigenys euryale", "Strumigenys eurycera", "Strumigenys eversa", "Strumigenys excisa", "Strumigenys exiguaevitae", "Strumigenys exilirhina", "Strumigenys extemena", "Strumigenys extirpa", "Strumigenys exunca", "Strumigenys fairchildi", "Strumigenys fanano", "Strumigenys faurei", "Strumigenys fautrix", "Strumigenys feae", "Strumigenys fenkara", "Strumigenys ferocior", "Strumigenys festigona", "Strumigenys filirrhina", "Strumigenys filitalpa", "Strumigenys finator", "Strumigenys fisheri", "Strumigenys fixata", "Strumigenys flagellata", "Strumigenys forficata", "Strumigenys formicosa", "Strumigenys formosa", "Strumigenys formosensis", "Strumigenys formosimonticola", "Strumigenys fricta", "Strumigenys fridericimuelleri", "Strumigenys friedae", "Strumigenys frivaldszkyi", "Strumigenys fronto", "Strumigenys fuarda", "Strumigenys fulda", "Strumigenys furfara", "Strumigenys furtiva", "Strumigenys gabarys", "Strumigenys gamegyn", "Strumigenys gatuda", "Strumigenys cacaoensis", "Strumigenys calamita", "Strumigenys californica", "Strumigenys canina", "Strumigenys caniophanes", "Strumigenys caniophanoides", "Strumigenys capitata", "Neotanais guskei", "Strumigenys carinithorax", "Neotanais rotermundiae", "Strumigenys carinognatha", "Strumigenys carisa", "Strumigenys carnassa", "Strumigenys carolinae", "Strumigenys carolinensis", "Strumigenys cascanteae", "Strumigenys cassicuspis", "Strumigenys castanea", "Strumigenys cavinasis", "Strumigenys cenagra", "Strumigenys chapmani", "Strumigenys charino", "Strumigenys charybdis", "Strumigenys chilo", "Strumigenys chimaera", "Strumigenys chiricahua", "Strumigenys chorosa", "Strumigenys chroa", "Strumigenys chyatha", "Strumigenys chyzeri", "Strumigenys cincinnata", "Strumigenys cingatrix", "Harrisia brookii", "Strumigenys circothrix", "Strumigenys clotho", "Strumigenys cloydi", "Strumigenys clypeata", "Strumigenys cochlearis", "Strumigenys comis", "Strumigenys concolor", "Strumigenys confusatrix", "Strumigenys connectens", "Strumigenys consanii", "Strumigenys conspersa", "Strumigenys conturba", "Strumigenys convexiceps", "Strumigenys cordovensis", "Strumigenys cosmostela", "Strumigenys coveri", "Strumigenys covina", "Strumigenys crassicornis", "Candelaria sphaerobola", "Strumigenys creightoni", "Strumigenys crementa", "Strumigenys cryptura", "Harrisia bonplandii", "Strumigenys cultrigera", "Strumigenys cygarix", "Strumigenys dagon", "Strumigenys dantalion", "Strumigenys gemella", "Strumigenys geminata", "Strumigenys geoterra", "Strumigenys geryon", "Strumigenys glenognatha", "Strumigenys gloriosa", "Strumigenys glycon", "Strumigenys gnathosphax", "Strumigenys godeffroyi", "Strumigenys godmani", "Strumigenys gorgon", "Strumigenys grandidieri", "Strumigenys gryphon", "Strumigenys grytava", "Strumigenys gundlachi", "Strumigenys guttulata", "Strumigenys gyges", "Strumigenys gyrogenys", "Strumigenys gytha", "Strumigenys habropilosa", "Strumigenys hadrodens", "Strumigenys halosis", "Strumigenys halpas", "Strumigenys harpyia", "Strumigenys hastur", "Strumigenys hastyla", "Strumigenys hathor", "Strumigenys havilandi", "Strumigenys hekate", "Strumigenys heliani", "Strumigenys helytruga", "Strumigenys hemichlaena", "Strumigenys hemidisca", "Strumigenys hemisobek", "Strumigenys hensekta", "Strumigenys heterodonta", "Strumigenys heteropha", "Strumigenys hexamera", "Strumigenys hilaris", "Strumigenys hindenburgi", "Strumigenys hindu", "Strumigenys hirashimai", "Strumigenys hiroshimensis", "Strumigenys hispida", "Metanarsia modesta", "Monotropa hypopitys", "Metanarsia monochroma", "Metanarsia mongola", "Metanarsia trisignella", "Metanarsia amseli", "Metanarsia incertella", "Gelechia rhamiferella", "Kroenleinia grusonii", "Epilobium parviflorum", "Rosa canina", "Colchicum autumnale", "Scrobipalpa spumata", "Thyrsopteris elegans", "Victoria amazonica", "Euryale ferox", "Nuphar lutea", "Nymphaea ampla", "Nymphaea pulchella", "Disocactus speciosus", "Disocactus \u00d7 mallisonii", "Disocactus \u00d7 moennighoffii", "Disocactus \u00d7 violaceus", "Nopalxochia phyllanthoides", "Disocactus martianus", "Disocactus ackermannii", "Disocactus ackermannii subsp. ackermannii", "Disocactus ackermannii subsp. conzattianus", "Disocactus eichlamii", "Lysichiton americanus", "Lysichiton camtschatcensis", "Paraduba metriodes", "Paraduba metriodes metriodes", "Paraduba metriodes proxima", "Paraduba owgarra", "Paraduba siwiensis", "Ancyrona kosnovskorum", "Parallelodera parallela", "Strumigenys lutron", "Strumigenys lygatrix", "Strumigenys lyroessa", "Strumigenys lysis", "Maiacetus inuus", "Acanthocereus subinermis", "Zitha mangindranoalis", "Zitha barbutalis", "Zitha minetalis", "Acanthocereus chiapensis", "Zitha ambatosoratralis", "Zitha touretalbyalis", "Zitha tertialis", "Zitha secundalis", "Zitha navattealis", "Zitha didyalis", "Zitha joannisalis", "Zitha sakavondroalis", "Zitha munroealis", "Harrisia aboriginum", "Harrisia fragrans", "Piruna mullinsi", "Paectes pygmaea", "Solandra boliviana", "Solandra brachycalyx", "Solandra grandiflora", "Solandra longiflora", "Solandra maxima", "Sigmaboilus fuscus", "Sigmaboilus peregrinus", "Sigmaboilus gorochovi", "Sigmaboilus longus", "Sigmaboilus sinensis", "Solandra guttata", "Datura ceratocaula", "Solandra brevicalyx", "Solandra guerrerensis", "Solandra nizandensis", "Solandra paraensis", "Rosa multiflora var. multiflora", "Rosa nakaiana", "Rosa multiflora var. cathayensis", "Rosa multiflora var. quelpaertensis", "Strumigenys hoplites", "Strumigenys horvathi", "Strumigenys hostilis", "Pterotopteryx nigrifasciata", "Strumigenys humata", "Strumigenys hyalina", "Strumigenys hyletha", "Strumigenys hyphata", "Strumigenys hypoturba", "Strumigenys idiogenes", "Strumigenys ignota", "Strumigenys imantodes", "Strumigenys impidora", "Strumigenys inatos", "Strumigenys incerta", "Strumigenys incomposita", "Pterotopteryx vietana", "Strumigenys incuba", "Strumigenys indigatrix", "Strumigenys infidelis", "Strumigenys inhonesta", "Strumigenys inopina", "Strumigenys inopinata", "Strumigenys inquilina", "Strumigenys insolita", "Strumigenys insula", "Strumigenys integra", "Strumigenys interfectiva", "Strumigenys inusitata", "Strumigenys ipsea", "Strumigenys irrorata", "Strumigenys izepara", "Strumigenys jacobsoni", "Strumigenys jamaicensis", "Strumigenys japonica", "Strumigenys jiangxiensis", "Strumigenys jugis", "Strumigenys juliae", "Strumigenys juxta", "Strumigenys kakothema", "Strumigenys kapryx", "Strumigenys karawajewi", "Strumigenys katapelta", "Strumigenys kempfi", "Strumigenys kerasma", "Strumigenys khakaura", "Strumigenys kichijo", "Strumigenys kompsomala", "Strumigenys koningsbergeri", "Strumigenys konteiensis", "Strumigenys korahyla", "Strumigenys kraepelini", "Strumigenys kyidriformis", "Strumigenys kyroma", "Strumigenys labaris", "Strumigenys lacacoca", "Strumigenys lachesis", "Strumigenys lacunosa", "Strumigenys laevinasis", "Strumigenys laevipleura", "Strumigenys lalassa", "Strumigenys lancea", "Strumigenys langrandi", "Strumigenys lanuginosa", "Strumigenys lasia", "Strumigenys laticeps", "Strumigenys lebratyx", "Strumigenys leptodeira", "Strumigenys leptorhina", "Strumigenys leptothrix", "Strumigenys levana", "Strumigenys lewisi", "Strumigenys lexex", "Strumigenys lichiaensis", "Strumigenys ligur", "Strumigenys lilloana", "Strumigenys liophila", "Strumigenys liukueiensis", "Strumigenys livens", "Strumigenys londianensis", "Strumigenys longimala", "Strumigenys longinoi", "Strumigenys longispinosa", "Strumigenys lopotyle", "Strumigenys loriae", "Strumigenys loricata", "Strumigenys louisianae", "Strumigenys loveridgei", "Strumigenys luca", "Strumigenys lucifuga", "Strumigenys lucomo", "Strumigenys ludia", "Strumigenys ludovici", "Strumigenys lujae", "Strumigenys lura", "Tuojiangosaurus multispinus", "Torosaurus latus", "Cyprinus carpio carpio", "Plectorhinchus lineatus", "Plectorhinchus diagrammus", "Plectorhinchus vittatus", "Argentina sphyraena", "Allenbatrachus grunniens", "Anableps anableps", "Cichlasoma bimaculatum", "Titanoboa cerrejonensis", "Scilla nana subsp. albescens", "Scilla nana", "Scilla nana subsp. nana", "Scilla lochiae", "Scilla \u00d7 allenii", "Antofagapraocis brevipilis", "Labidochromis heterodon", "Labidochromis ianthinus", "Labidochromis lividus", "Labidochromis maculicauda", "Labidochromis mathotho", "Labidochromis mbenjii", "Labidochromis mylodon", "Labidochromis pallidus", "Labidochromis shiranus", "Labidochromis strigatus", "Labidochromis textilis", "Labidochromis vellicans", "Labidochromis zebroides", "Nymphaea rudgeana", "Orthonama obstipata", "Xanthorhoe spatuluncis", "Xanthorhoe holophaea", "Nymphaea belophylla", "Polystroma steeleae", "Disclisioprocta natalata", "Nymphaea jamesoniana", "Nebula mantelorum", "Eupithecia mendosaria", "Eupithecia urbanata", "Eupithecia dilucida", "Eupithecia opistographata", "Nymphaea divaricata", "Idaea contrastata", "Cebuella pygmaea", "Idaea fumigata", "Callithrix humilis", "Cercyonis oetus", "Cercyonis sthenele", "Selene vomer", "Scophthalmus maximus", "Bothriochloa radicans", "Coryphaena equiselis", "Coryphaena hippurus", "Bothriochloa saccharoides", "Bothriochloa spicigera", "Bothriochloa springfieldii", "Nymphaea thermarum", "Nymphaea sulphurea", "Nymphaea stuhlmannii", "Nymphaea micrantha", "Nymphaea heudelotii", "Cercyonis oetus alkalorum", "Nymphaea togoensis", "Nymphaea guineensis", "Cercyonis oetus pallescens", "Cercyonis oetus phocus", "Cercyonis pegala carsonensis", "Cercyonis pegala ino", "Cercyonis pegala olympus", "Nymphaea \u00d7 helvola", "Nymphaea \u00d7 ortgiesiana", "Nymphaea \u00d7 laydekeri", "Acanthostracion quadricornis", "Callithrix penicillata", "Callithrix kuhlii", "Callithrix geoffroyi", "Callithrix flaviceps", "Callithrix aurita", "Rumex obtusifolius", "Strumigenys ogyga", "Strumigenys ohioensis", "Strumigenys olsoni", "Strumigenys omalyx", "Strumigenys omopyx", "Strumigenys onorei", "Strumigenys opaca", "Strumigenys orchibia", "Strumigenys orchidensis", "Strumigenys origo", "Strumigenys ornata", "Strumigenys orthanetes", "Strumigenys ortholex", "Strumigenys osellai", "Strumigenys oxysma", "Coenochroa chilensis", "Achillea erba-rotta subsp. moschata", "Achillea cretica", "Hemibrycon microformaa", "Forsterinaria anachoreta", "Nymphaea pubescens", "Nymphaea alexii", "Nymphaea atrans", "Nymphaea elleniae", "Nymphaea georginae", "Nymphaea carpentariae", "Nymphaea hastifolia", "Nymphaea immutabilis", "Nymphaea macrosperma", "Nymphaea \u00d7 thiona", "Nymphaea \u00d7 marliacea", "Pereskia grandifolia subsp. grandifolia", "Paectes abrostolella", "Chlororithra fea", "Chlororithra missioniaria", "Chelipoda aritarita", "Euonymus verrucosus", "Strumigenys macerina", "Strumigenys magnifica", "Strumigenys malaplax", "Strumigenys mandibularis", "Strumigenys manga", "Strumigenys manis", "Strumigenys marchosias", "Strumigenys margaritae", "Strumigenys marginata", "Strumigenys marginiventris", "Strumigenys marleyi", "Strumigenys masukoi", "Strumigenys maxillaris", "Strumigenys maynei", "Strumigenys mayri", "Strumigenys mazu", "Strumigenys media", "Strumigenys medusa", "Strumigenys megaera", "Strumigenys mekaha", "Strumigenys membranifera", "Strumigenys memorialis", "Strumigenys menueta", "Strumigenys mesahyla", "Strumigenys mesedsura", "Strumigenys metazytes", "Strumigenys metopia", "Strumigenys metrix", "Strumigenys miccata", "Strumigenys micrans", "Strumigenys micretes", "Strumigenys microthrix", "Strumigenys micrura", "Strumigenys milae", "Strumigenys minima", "Strumigenys miniteras", "Strumigenys minkara", "Strumigenys minuscula", "Strumigenys minutula", "Persicaria maculosa", "Cibotium arachnoideum", "Cibotium cumingii", "Cibotium glaucum", "Cibotium menziesii", "Cibotium nealiae", "Cibotium schiedei", "Cystodium sorbifolium", "Sugiella vulnerata", "Lophosoria quadripinnata", "Culcita coniifolia", "Culcita macrocarpa", "Nymphaea nouchali", "Nymphaea gardneriana", "Nymphaea gracilis", "Nymphaea oxypetala", "Nypa fruticans", "Calochlaena dubia", "Calochlaena javanica", "Calochlaena straminea", "Calochlaena villosa", "Haplochromis serridens", "Haplochromis simotes", "Haplochromis simpsoni", "Haplochromis smithii", "Haplochromis spekii", "Haplochromis squamipinnis", "Haplochromis squamulatus", "Haplochromis sulphureus", "Haplochromis tanaos", "Haplochromis taurinus", "Haplochromis teegelaari", "Haplochromis teunisrasi", "Haplochromis theliodon", "Haplochromis thereuterion", "Haplochromis thuragnathus", "Haplochromis tridens", "Haplochromis turkanae", "Haplochromis tyrianthinus", "Haplochromis ushindi", "Haplochromis velifer", "Haplochromis venator", "Haplochromis vicarius", "Haplochromis victoriae", "Haplochromis victorianus", "Haplochromis vittatus", "Haplochromis vonlinnei", "Haplochromis welcommei", "Haplochromis worthingtoni", "Haplochromis xanthopteryx", "Haplochromis xenognathus", "Haplochromis xenostoma", "Hemitilapia oxyrhyncha", "Iodotropheus declivitas", "Iodotropheus sprengerae", "Iodotropheus stuartgranti", "Labeotropheus fuelleborni", "Labeotropheus trewavasae", "Labidochromis caeruleus", "Labidochromis chisumulae", "Labidochromis flavigulis", "Labidochromis freibergi", "Labidochromis gigas", "Nymphaea alba subsp. candida", "Nymphaea alba subsp. occidentalis", "Haplomylus zalmouti", "Siccia butvilai", "Siccia dudai", "Australothis volatilis", "Limenitis archippus", "Coloradia luski", "Coloradia pandora", "Pyrrharctia isabella", "Megacyllene robiniae", "Passiflora \u00d7 decaisneana", "Bryonia alba", "Bryonia dioica", "Maorigoeldia argyropus", "Halmus hilli", "Halmus viridis", "Nymphaea elegans", "Nymphaea mexicana", "Nymphaea \u00d7 daubenyana", "Mecynostomella fusca", "Nymphaea odorata subsp. odorata", "Nymphaea odorata subsp. tuberosa", "Kokiria miharo", "Pycnosiphorus germaini", "Chileistomus cucullatus", "Idaea amputata", "Idaea amputata amputata", "Idaea amputata tigrata", "Idaea coronata", "Idaea inspiculata", "Sahulana scintillata", "Idaea macrospinata", "Idaea variabilis", "Idaea monticola", "Idaea tineigidiata", "Zygophyxia retracta", "Zygophyxia ochrea", "Lycaugidia lithostegeata", "Scopula riedeli", "Cyclophora staudei", "Pseudosterrha colettae", "Aceros comatus", "Nymphaea tetragona", "Nymphaea tetragona var. tetragona", "Nymphaea tetragona var. minima", "Zosterisessor ophiocephalus", "Nymphaea tenerinervia", "Nymphaea leibergii", "Nymphaea conardii", "Nymphaea lasiophylla", "Nymphaea ovalifolia", "Nymphaea prolifera", "Nymphaea pygmaea", "Nymphaea potamophila", "Nymphaea glandulifera", "Xenimpia sabae", "Xenimpia sabae sabae", "Xenimpia sabae amarei", "Orbamia becki", "Cleora rostella", "Cleora rostella rostella", "Cleora rostella adonaiae", "Tephronia yemenitica", "Neolucia agricola", "Neolucia agricola agricola", "Neolucia agricola insulana", "Neolucia agricola occidens", "Passiflora aurantia", "Passiflora caerulea", "Passiflora capsularis", "Passiflora citrina", "Passiflora coccinea", "Pareas nigriceps", "Dorometra sesokonis", "Paranephrops fordycei", "Cyclemys gemeli", "Cyclemys pulchristriata", "Cyclemys atripons", "Cyclemys enigmatica", "Cyclemys fusca", "Cyclemys oldhamii", "Antarchaea malhamana", "Heteropalpia makabana", "Lyncestis knudlarseni", "Lyncestis dargei", "Lygephila procax", "Placidochromis elongatus", "Placidochromis fuscus", "Placidochromis hennydaviesae", "Placidochromis intermedius", "Placidochromis johnstoni", "Placidochromis koningsi", "Placidochromis lineatus", "Placidochromis longimanus", "Placidochromis longirostris", "Sinella whitteni", "Caenopedina porphyrogigas", "Bagisara praecelsa", "Bagisara brouana", "Cucurbita argyrosperma subsp. sororia", "Philanisus mataua", "Bryonia monoica", "Bryonia multiflora", "Bryonia cretica", "Bryonia syriaca", "Bryonia aspera", "Bryonia melanocarpa", "Bryonia verrucosa", "Jaculus jaculus", "Ecballium elaterium subsp. dioicum", "Ecballium elaterium subsp. elaterium", "Acantholyda erythrocephala", "Benincasa pruriens", "Abietinaria abietina", "Ablabesmyia monilis", "Ballerus ballerus", "Citrullus colocynthis", "Citrullus ecirrhosus", "Citrullus rehmii", "Acanthodoras cataphractus", "Accipiter gentilis gentilis", "Acheta domesticus", "Citrullus lanatus", "Bothriochloa tuberculata", "Bothriochloa velutina", "Bothriochloa venusta", "Bothriochloa woodrovii", "Bothriochloa wrightii", "Bothriochloa yunnanensis", "Rodhocetus kasrani", "Rodhocetus balochistanensis", "Citrullus lanatus", "Citrullus lanatus", "Artiocetus clavis", "Citrullus lanatus", "Neolucia hobartensis", "Neolucia hobartensis hobartensis", "Cryphia merhaba", "Neolucia hobartensis monticola", "Neolucia mathewi", "Nymphaea lingulata", "Nymphaea petersiana", "Nymphaea violacea", "Nymphaea alba subsp. alba", "Stromerius nidensis", "Mchenga eucinostomus", "Mchenga flavimanus", "Mchenga inornata", "Mchenga thinos", "Melanochromis auratus", "Melanochromis baliodigma", "Melanochromis brevis", "Melanochromis chipokae", "Melanochromis cyaneorhabdos", "Melanochromis dialeptos", "Melanochromis elastodema", "Melanochromis heterochromis", "Melanochromis interruptus", "Melanochromis joanjohnsonae", "Melanochromis lepidiadaptes", "Melanochromis loriae", "Melanochromis melanopterus", "Melanochromis mellitus", "Melanochromis parallelus", "Melanochromis perileucos", "Melanochromis perspicax", "Melanochromis robustus", "Melanochromis simulans", "Melanochromis vermivorus", "Mylochromis anaphyrmus", "Mylochromis balteatus", "Mylochromis chekopae", "Mylochromis ensatus", "Mylochromis epichorialis", "Mylochromis ericotaenia", "Mylochromis formosus", "Mylochromis gracilis", "Mylochromis guentheri", "Mylochromis incola", "Mylochromis labidodon", "Mylochromis lateristriga", "Mylochromis melanonotus", "Mylochromis melanotaenia", "Mylochromis mola", "Mylochromis mollis", "Mylochromis obtusus", "Mylochromis plagiotaenia", "Mylochromis semipalatus", "Mylochromis sphaerodon", "Mylochromis spilostichus", "Nuphar advena", "Nuphar japonica", "Nuphar microphylla", "Nuphar \u00d7 saijoensis", "Nuphar \u00d7 spenneriana", "Passiflora alata", "Crenicichla mandelburgeri", "Puffinus subalaris", "Lygephila dubatolovi", "Nymphaea amazonum", "Nymphaea amazonum subsp. pedersenii", "Nymphaea amazonum subsp. amazonum", "Epipremnum aureum", "Lethrinops albus", "Lethrinops altus", "Lethrinops argenteus", "Lethrinops auritus", "Lethrinops christyi", "Lethrinops furcifer", "Lethrinops gossei", "Lethrinops leptodon", "Lethrinops lethrinus", "Lethrinops longimanus", "Lethrinops longipinnis", "Lethrinops lunaris", "Lethrinops macracanthus", "Lethrinops macrochir", "Lethrinops macrophthalmus", "Lethrinops marginatus", "Lethrinops micrentodon", "Lethrinops microdon", "Lethrinops microstoma", "Lethrinops mylodon", "Lethrinops oculatus", "Lethrinops parvidens", "Lethrinops stridei", "Lethrinops turneri", "Maylandia aurora", "Maylandia barlowi", "Maylandia benetos", "Maylandia callainos", "Maylandia chrysomallos", "Maylandia cyneusmarginata", "Maylandia elegans", "Maylandia emmiltos", "Maylandia estherae", "Maylandia flavifemina", "Maylandia greshakei", "Maylandia hajomaylandi", "Maylandia heteropicta", "Maylandia lanisticola", "Maylandia livingstonii", "Maylandia lombardoi", "Maylandia mbenjii", "Maylandia phaeos", "Maylandia pyrsonotos", "Maylandia thapsinogen", "Maylandia xanstomachus", "Maylandia zebra", "Mchenga conophoros", "Mchenga cyclicos", "Melanosmicra bilobata", "Melanosmicra carenata", "Melanosmicra guara", "Melanosmicra latidentata", "Melanosmicra nigra", "Melanosmicra polita", "Melanosmicra rugosa", "Melanosmicra tricolor", "Paraduba metriodes transvestita", "Paraduba mastrigti", "Paranthozela propinquana", "Paranthozela tandayapana", "Paranthozela apicana", "Paranthozela ochreomixtana", "Paranthozela parva", "Paranthozela supracalamistrana", "Ceramea singularis", "Ceramea brunneica", "Terthreutis combesae", "Terthreutis chiangmaiana", "Makaracetus bidens", "Protocetus atavus", "Takracetus simus", "Gaviacetus razai", "Qaisracetus arifi", "Cucurbita maxima subsp. maxima", "Cucurbita andreana", "Cucurbita okeechobeensis subsp. okeechobeensis", "Cucurbita okeechobeensis subsp. martinezii", "Cucurbita argyrosperma", "Nimbochromis fuscotaeniatus", "Nimbochromis linni", "Nimbochromis livingstonii", "Nimbochromis polystigma", "Nimbochromis venustus", "Nyassachromis boadzulu", "Nyassachromis breviceps", "Nyassachromis leuciscus", "Nyassachromis microcephalus", "Nyassachromis nigritaeniatus", "Nyassachromis prostoma", "Nyassachromis purpurans", "Nyassachromis serenus", "Cucurbita argyrosperma var. palmeri", "Orthochromis kalungwishiensis", "Orthochromis kasuluensis", "Orthochromis luichensis", "Lygephila bischofi", "Eutelia gaedei", "Eutelia discedens", "Lophoptera arabica", "Palaeomystella tibouchinae", "Palaeomystella oligophaga", "Palaeomystella henriettiphila", "Melanosmicra acutodentata", "Rhinoclemmys pulcherrima manni", "Cercyonis pegala pluvialis", "Cercyonis pegala stephensi", "Cercyonis pegala texana", "Cercyonis pegala utahensis", "Cercyonis pegala walkerensis", "Cercyonis pegala wheeleri", "Cercyonis sthenele hypoleuca", "Cercyonis sthenele paulus", "Cercyonis sthenele silvestris", "Cercyonis sthenele sineocellata", "Megisto cymela", "Oedicodia schreieri", "Callyna gaedei", "Iambia berioi", "Melionica pallescens", "Melionica mulanjensis", "Melionica subrubella", "Eublemma topi", "Eublemma trollei", "Dasypolia timoi", "Strumigenys mira", "Strumigenys mirabilis", "Strumigenys mirifica", "Strumigenys missina", "Strumigenys missouriensis", "Strumigenys mitis", "Strumigenys mixta", "Strumigenys mjoebergi", "Strumigenys mnemosyne", "Strumigenys mocsaryi", "Strumigenys mododonta", "Strumigenys moera", "Strumigenys mokensis", "Strumigenys mola", "Strumigenys moloch", "Strumigenys monoropa", "Strumigenys monstra", "Strumigenys montu", "Strumigenys morisitai", "Strumigenys mormo", "Strumigenys morphica", "Strumigenys mumfordi", "Strumigenys murphyi", "Strumigenys murshila", "Strumigenys mutica", "Strumigenys myllorhapha", "Strumigenys naberia", "Strumigenys nageli", "Strumigenys nambao", "Strumigenys nannosobek", "Strumigenys nanzanensis", "Strumigenys nastata", "Strumigenys natynion", "Strumigenys necopina", "Strumigenys nepalensis", "Strumigenys nergala", "Strumigenys nesteryx", "Strumigenys nevermanni", "Achillea micrantha", "Strumigenys nigra", "Strumigenys nigrescens", "Strumigenys nimbrata", "Strumigenys nimravida", "Strumigenys ninda", "Strumigenys nitens", "Achillea multifida", "Strumigenys noara", "Strumigenys nongba", "Strumigenys norax", "Strumigenys nothomopyx", "Strumigenys nubila", "Strumigenys nummula", "Achillea aleppica", "Strumigenys nykara", "Strumigenys nysu", "Strumigenys nytaxis", "Strumigenys obliqua", "Strumigenys ochosa", "Strumigenys oconitrilloae", "Strumigenys ocypete", "Strumigenys odacon", "Strumigenys odalatra", "Strumigenys offina", "Strumigenys ogloblini", "Orthochromis luongoensis", "Orthochromis machadoi", "Orthochromis malagaraziensis", "Orthochromis mazimeroensis", "Orthochromis mosoensis", "Orthochromis polyacanthus", "Orthochromis rubrolabialis", "Orthochromis rugufuensis", "Orthochromis stormsi", "Orthochromis torrenticola", "Orthochromis uvinzae", "Otopharynx argyrosoma", "Otopharynx auromarginatus", "Otopharynx brooksi", "Otopharynx decorus", "Otopharynx heterodon", "Otopharynx lithobates", "Cercyonis pegala paludum", "Otopharynx ovatus", "Otopharynx pachycheilus", "Otopharynx selenurus", "Otopharynx speciosus", "Otopharynx tetraspilus", "Otopharynx tetrastigma", "Pallidochromis tokolosh", "Petrotilapia chrysos", "Petrotilapia genalutea", "Petrotilapia microgalana", "Petrotilapia nigra", "Petrotilapia tridentiger", "Pharyngochromis acuticeps", "Pharyngochromis darlingi", "Cercyonis pegala paucilineatus", "Placidochromis acuticeps", "Placidochromis acutirostris", "Placidochromis argyrogaster", "Placidochromis boops", "Placidochromis borealis", "Placidochromis chilolae", "Placidochromis communis", "Placidochromis domirae", "Placidochromis ecclesi", "Placidochromis electra", "Terthreutis kevini", "Bothriochloa alta", "Deltentosteus quadrimaculatus", "Andropogon amethystinus", "Caragobius burmanicus", "Lasianobia illauta", "Theclinesthes albocincta", "Theclinesthes hesperia", "Theclinesthes hesperia hesperia", "Theclinesthes hesperia littoralis", "Thargelia attila", "Theclinesthes miskini", "Thargelia balazsi", "Theclinesthes miskini arnoldi", "Theclinesthes miskini brandti", "Theclinesthes miskini eucalypti", "Theclinesthes miskini feminalba", "Theclinesthes miskini gaura", "Theclinesthes miskini miskini", "Theclinesthes onycha", "Theclinesthes onycha capricornia", "Theclinesthes onycha onycha", "Theclinesthes serpentata", "Theclinesthes serpentata serpentata", "Theclinesthes serpentata lavara", "Theclinesthes sulpitius", "Theclinesthes sulpitius sulpitius", "Theclinesthes sulpitius obscura", "Bleheratherina pierucciae", "Thaumaina uranothauma", "Upolampes evena", "Megisto rubricata", "Megisto cymela viola", "Phoebolampta caeruleotergum", "Strumigenys pachycephala", "Strumigenys paimon", "Strumigenys pallentra", "Strumigenys pallestes", "Strumigenys paniaguae", "Strumigenys panopla", "Strumigenys paradoxa", "Camerobunus okucola", "Strumigenys paranax", "Strumigenys paranetes", "Strumigenys paraposta", "Strumigenys pariensis", "Strumigenys parsauga", "Strumigenys pasisops", "Strumigenys pedunculata", "Strumigenys peetersi", "Strumigenys peraucta", "Strumigenys percrypta", "Strumigenys perdita", "Strumigenys pergandei", "Gymnomus grunini", "Gymnomus primitivicus", "Gymnomus renatae", "Megisto rubricata rubricata", "Megisto rubricata anabelae", "Megisto rubricata cheneyorum", "Megisto rubricata pseudocleophes", "Megisto rubricata smithorum", "Megisto cymela cymela", "Phylloglossum drummondii", "Pseudodiphasium volubile", "Diphasium scariosum", "Lignoscripta atroalba", "Pelochrista ainsliei", "Pelochrista kingi", "Pelochrista gilligani", "Pelochrista fuscostriata", "Dryobotodes glaucus", "Pistoria nigropunctata", "Pistoria nigropunctata aroa", "Pistoria nigropunctata fracta", "Pistoria nigropunctata kratke", "Pistoria nigropunctata nigropunctata", "Pistoria nigropunctata siwiensis", "Pistoria nigropunctata weylandia", "Omphalophana serrulata", "Atethmia sinuata", "Pseudoligia lucifer", "Caleta roxus rhodoides", "Caleta roxus roxana", "Caleta roxus roxus", "Echeveria setosa", "Trichomycterus hualco", "Steindachnerina notograptos", "Alestes inferus", "Caloplaca subalpina", "Caloplaca thracopontica", "Austrolycopodium fastigiatum", "Isoetes kirkii", "Brounia thoracica", "Aphis cottieri", "Thalassema malakhovi", "Strumigenys perissognatha", "Strumigenys perparva", "Strumigenys perturba", "Strumigenys petiolata", "Strumigenys peyrierasi", "Strumigenys pharosa", "Strumigenys phasma", "Strumigenys philiporum", "Strumigenys phoenix", "Strumigenys pholidota", "Strumigenys phytibia", "Strumigenys pilinasis", "Strumigenys piliversa", "Strumigenys pilosa", "Strumigenys pilosula", "Strumigenys placora", "Strumigenys planeti", "Strumigenys platyscapa", "Strumigenys pliocera", "Strumigenys pnyxia", "Strumigenys podarge", "Strumigenys poinari", "Strumigenys praecollata", "Strumigenys precava", "Strumigenys pretoriae", "Strumigenys prex", "Strumigenys princeps", "Strumigenys probatrix", "Strumigenys producta", "Strumigenys propinqua", "Strumigenys prosopis", "Strumigenys prospiciens", "Strumigenys pulchella", "Strumigenys pulchra", "Strumigenys pydrax", "Strumigenys quadrua", "Strumigenys quattuor", "Strumigenys quinquedentata", "Strumigenys rabesoni", "Strumigenys racabura", "Strumigenys radix", "Strumigenys rakkota", "Strumigenys rallarhina", "Strumigenys rantan", "Strumigenys raptans", "Strumigenys ravidura", "Strumigenys ravola", "Strumigenys rayma", "Strumigenys rectidens", "Strumigenys reflexa", "Strumigenys rehi", "Strumigenys relahyla", "Pomatoschistus marmoratus", "Strumigenys reliquia", "Strumigenys reticeps", "Strumigenys retothra", "Strumigenys rhadina", "Strumigenys rhea", "Strumigenys robertsoni", "Strumigenys rofocala", "Strumigenys roganas", "Strumigenys rogata", "Strumigenys rogeri", "Strumigenys rohweri", "Strumigenys roomi", "Strumigenys rostrata", "Strumigenys rostrataeformis", "Strumigenys rotogenys", "Strumigenys rubigus", "Strumigenys rudinodis", "Strumigenys rufobrunea", "Strumigenys rugithorax", "Strumigenys rukha", "Strumigenys runa", "Strumigenys rusta", "Strumigenys ruta", "Strumigenys sahura", "Strumigenys saliens", "Strumigenys sanctipauli", "Strumigenys sardella", "Strumigenys sardonica", "Strumigenys sarissa", "Strumigenys sauteri", "Strumigenys schleeorum", "Strumigenys schmalzi", "Strumigenys schuetzi", "Strumigenys schulzi", "Strumigenys scolopax", "Strumigenys scotti", "Strumigenys scylla", "Strumigenys segrex", "Strumigenys semicompta", "Strumigenys semicrypta", "Strumigenys semirex", "Strumigenys separa", "Strumigenys serket", "Strumigenys serradens", "Strumigenys serraformis", "Andropogon angustatus", "Strumigenys tetraphanes", "Strumigenys thaxteri", "Strumigenys theia", "Strumigenys themis", "Strumigenys thomae", "Strumigenys thuvida", "Discolampa ethion airavati", "Strumigenys tiglath", "Strumigenys tigrilla", "Alionematichthys phuketensis", "Alionematichthys plicatosurculus", "Alionematichthys samoaensis", "Strumigenys tigris", "Alionematichthys shinoharai", "Strumigenys timicala", "Alionematichthys suluensis", "Alionematichthys winterbottomi", "Strumigenys tisiphone", "Strumigenys tisisyx", "Strumigenys tlaloc", "Strumigenys tococae", "Dinematichthys trilobatus", "Strumigenys tolomyla", "Strumigenys toma", "Strumigenys tomodonta", "Strumigenys totyla", "Strumigenys trada", "Strumigenys traegaordhi", "Strumigenys transenna", "Strumigenys transversa", "Strumigenys trauma", "Strumigenys treptodens", "Strumigenys trieces", "Strumigenys trinidadensis", "Strumigenys tritomea", "Strumigenys trixodens", "Strumigenys trudifera", "Strumigenys truncatidens", "Strumigenys trymala", "Strumigenys tukulta", "Strumigenys turpis", "Jamides pulcherrima", "Jamides soemias", "Jamides soemias purpuratus", "Jamides soemias soemias", "Jamides walkeri", "Passiflora edulis f. flavicarpa", "Jamides seminiger", "Jamides seminiger porphyris", "Jamides seminiger seminiger", "Jamides seminiger tiglath", "Passiflora vitifolia", "Passiflora yucatanensis", "Passiflora tulae", "Passiflora ligularis", "Cosmocercoides karnatakaensis", "Eurycope vasinae", "Eurycope septentrionalis", "Netrium oblongum", "Netrium interruptum", "Netrium digitus", "Spirotaenia condensata", "Spirotaenia obscura", "Discolampa ethion ethion", "Discolampa ethion babicola", "Discolampa ethion colmus", "Discolampa ethion ethionides", "Discolampa ethion gadames", "Discolampa ethion icenus", "Discolampa ethion sangarius", "Discolampa ethion thalimar", "Discolampa ethion ulysses", "Discolampa ethion ulyssides", "Discolampa ethion vavasanus", "Mesotaenium chlamydosporum", "Mesotaenium macrococcum", "Pericoptus punctatus", "Pericoptus stupidus", "Pericoptus nitidulus", "Pericoptus frontalis", "Jamides halus", "Jamides yehi", "Jamides tsukadai", "Bolitotherus cornutus", "Adoryphorus coulonii", "Dasygnathus blattocomes", "Jakobia edmondsi", "Jakobia densopapillata", "Jakobia similaris", "Achaetobonellia ricei", "Mesotaenium chlamydosporum var. chlamydosporum", "Mesotaenium chlamydosporum var. violascens", "Mesotaenium macrococcum var. macrococcum", "Mesotaenium macrococcum var. minus", "Cylindrocystis brebissonii", "Cylindrocystis brebissonii var. brebissonii", "Cylindrocystis brebissonii var. minor", "Cylindrocystis crassa", "Cylindrocystis crassa var. crassa", "Cylindrocystis crassa var. elliptica", "Cylindrocystis crassa var. skujae", "Roya obtusa", "Roya obtusa var. obtusa", "Roya obtusa var. montana", "Netrium digitus var. digitus", "Netrium digitus var. lamellosum", "Netrium digitus var. naegelii", "Netrium digitus var. latum", "Netrium digitus var. parvum", "Jamides elioti", "Andropogon anomalus", "Andropogon appendiculatus", "Andropogon arenarius", "Strumigenys uberyx", "Strumigenys uichancoi", "Strumigenys ulcerosa", "Strumigenys ulteria", "Strumigenys ultromalyx", "Strumigenys umboceps", "Strumigenys undras", "Strumigenys urrhobia", "Strumigenys usbensis", "Strumigenys valefor", "Strumigenys varanga", "Strumigenys vartana", "Strumigenys vassago", "Strumigenys vazerka", "Strumigenys vazimba", "Strumigenys veddha", "Strumigenys vertigosa", "Strumigenys vescops", "Strumigenys victrix", "Strumigenys vilhenai", "Strumigenys villiersi", "Strumigenys vindala", "Strumigenys virgila", "Strumigenys vivax", "Strumigenys vodensa", "Strumigenys wallacei", "Strumigenys wardi", "Strumigenys warditeras", "Tyrogetus howardi", "Tyrogetus minimus", "Tyrogetus occidentalis", "Tyrogetus optandus", "Tyrogetus palpalis", "Chersotis gratissima", "Chersotis gratissima gratissima", "Chersotis gratissima zaghros", "Jamides bochus argentina", "Jamides bochus astraptes", "Gerallus punctipennis", "Ecnomina kavinia", "Ecnomina zealandica", "Philorheithrus aliciae", "Philorheithrus harunae", "Philorheithrus latentis", "Philorheithrus litoralis", "Xuthotrichia aotea", "Oxyethira ahipara", "Oxyethira waipoua", "Lichenostigma amplum", "Lichenostigma bolacinae", "Lichenostigma canariense", "Lichenostigma cosmopolites", "Egogepa zosta", "Egogepa crassata", "Cacajao hosomi", "Adoxophyes dubia", "Cacajao ayresi", "Adoxophyes ergatica", "Adoxophyes fasciata", "Adoxophyes fasciculana", "Adoxophyes flagrans", "Adoxophyes furcatana", "Lichenostigma dimelaenae", "Lichenostigma diploiciae", "Lichenostigma elongatum", "Lichenostigma epipolina", "Lichenostigma episulphurellum", "Lichenostigma gracile", "Lichenostigma hyalospora", "Lichenostigma lecanorae", "Caleta argola", "Caleta caleta", "Lichenostigma maureri", "Caleta celebensis", "Lichenostigma radicans", "Caleta decidia", "Lichenostigma rouxii", "Caleta elna", "Lichenostigma rugosa", "Caleta elna elna", "Caleta elna elvira", "Caleta elna epeus", "Lichenostigma semiimmersum", "Caleta elna noliteia", "Caleta manovus", "Lichenostigma subradians", "Caleta mindarus", "Caleta mindarus mindarus", "Lichenostigma supertegentis", "Caleta mindarus vocetius", "Lichenostigma svandae", "Caleta rhode", "Lichenostigma triseptatum", "Caleta rhode rhodana", "Caleta rhode rhode", "Caleta roxus", "Caleta roxus angustior", "Caleta roxus astapus", "Caleta roxus cohaerens", "Caleta roxus manluena", "Caleta roxus odon", "Caleta roxus pemanggilensis", "Caleta roxus pothus", "Jamides bochus nicobaricus", "Adoxophyes heteroidana", "Adoxophyes honmai", "Adoxophyes horographa", "Adoxophyes instillata", "Adoxophyes liberatrix", "Passiflora incarnata", "Adoxophyes libralis", "Adoxophyes marmarygodes", "Adoxophyes melia", "Jamides bochus nila", "Jamides bochus nilana", "Adoxophyes melichroa", "Jamides bochus palauensis", "Passiflora edulis", "Jamides bochus pulchrior", "Passiflora edulis f. edulis", "Rhynchozoon haha", "Jamides bochus ruruturi", "Jamides bochus siraha", "Jamides bochus tamborana", "Jamides bochus toscius", "Ammatucha semiirrorella", "Ammatucha porisada", "Ammatucha piti", "Macrostylis polaris", "Jamides amarauge", "Jamides amarauge amarauge", "Jamides amarauge hepworthi", "Jamides candrenus", "Panetela compacta", "Jamides carissima", "Jamides carissima carissima", "Jamides carissima susana", "Helicopsyche agnetae", "Helicopsyche trispina", "Jamides cephion", "Jamides goodenovii", "Helicopsyche cuvieri", "Helicopsyche haurapango", "Helicopsyche torino", "Jamides phaseli", "Strumigenys simoni", "Strumigenys simulans", "Strumigenys sinensis", "Strumigenys sistrura", "Strumigenys sisyrata", "Strumigenys skia", "Strumigenys smilax", "Strumigenys smithii", "Strumigenys smythiesii", "Strumigenys snellingi", "Strumigenys solifontis", "Strumigenys spathoda", "Strumigenys spathula", "Strumigenys sphera", "Strumigenys splendens", "Strumigenys stauroma", "Strumigenys stemonixys", "Strumigenys stenorhina", "Strumigenys stenotes", "Strumigenys stheno", "Strumigenys strenosa", "Strumigenys strigatella", "Strumigenys strygax", "Strumigenys stygia", "Strumigenys subedentata", "Strumigenys sublaminata", "Strumigenys sublonga", "Strumigenys sublucida", "Strumigenys subsessa", "Strumigenys substricta", "Discolampa ethion", "Strumigenys sulumana", "Strumigenys superba", "Strumigenys sutrix", "Strumigenys sydorata", "Strumigenys sylvaini", "Strumigenys symmetrix", "Strumigenys synchysis", "Strumigenys synkara", "Strumigenys syntacta", "Strumigenys sytaria", "Strumigenys szalayi", "Strumigenys tachirensis", "Strumigenys tacta", "Strumigenys tadynastes", "Strumigenys takasago", "Strumigenys talpa", "Strumigenys tantilla", "Strumigenys tanymastax", "Strumigenys taphra", "Strumigenys taraxis", "Strumigenys tarbosyne", "Strumigenys tathula", "Strumigenys tegar", "Strumigenys tenitecta", "Strumigenys tenuipilis", "Strumigenys tenuissima", "Strumigenys teratrix", "Strumigenys terayamai", "Strumigenys terroni", "Strumigenys tethepa", "Strumigenys tethys", "Strumigenys tetra", "Strumigenys tetragnatha", "Passiflora serratifolia", "Tarphiomimus indentatus", "Tarphiomimus wollastoni", "Tarphiomimus tuberculatus", "Passiflora gibertii", "Syntretus trigonaphagus", "Tetragondacnus spilotus", "Pycnomerodes masafuerensis", "Pycnomerodes masatierrensis", "Pycnomerus germaini", "Pycnomerus insularis", "Eucinetus rufus", "Eucinetus rugosus", "Eucinetus reitteri", "Photostomias liemi", "Photostomias lucingens", "Photostomias tantillux", "Photostomias guernei", "Discolampa albula", "Baryancistrus beggini", "Baryancistrus longipinnis", "Baryancistrus niveatus", "Histiophryne bougainvilli", "Histiophryne cryptacanthus", "Histiophryne psychedelica", "Discolampa ilissus", "Onigocia lacrimalis", "Onigocia bimaculata", "Onigocia grandisquamis", "Onigocia macrolepis", "Onigocia oligolepis", "Onigocia pedimacula", "Onigocia spinosa", "Scartella cristata", "Scartella itajobi", "Schizothorax beipanensis", "Schizothorax heterophysallidos", "Schizothorax nudiventris", "Compsaraia samueli", "Compsaraia compsa", "Thymallus svetovidovi", "Alionematichthys ceylonensis", "Alionematichthys crassiceps", "Strumigenys serrula", "Strumigenys seti", "Strumigenys sevesta", "Strumigenys seynoka", "Strumigenys sharra", "Strumigenys shattucki", "Strumigenys shaula", "Strumigenys siagodens", "Strumigenys sibyna", "Strumigenys signeae", "Strumigenys silvestrii", "Lachesis muta", "Lachesis muta muta", "Lachesis muta rhombeata", "Bothrops alternatus", "Rhipistena cryptarthra", "Rhipistena sulciceps", "Rhipistena lugubris", "Passiflora \u00d7 caponii", "Calliprason marginatum", "Brasilucanus acomus", "Penichrolucanus copricephalus", "Penichrolucanus leveri", "Latris lineata", "Passiflora kermesina", "Sericoderus brevicornis", "Sericoderus coatesi", "Sericoderus apicalis", "Sericoderus sharpi", "Sericoderus ater", "Pomatoschistus knerii", "Passiflora \u00d7 lawsoniana", "Buenia affinis", "Narsingiella clinotarsi", "Pseudostichopus langeae", "Psolus griffithsi", "Pseudaphya ferreri", "Caragobius rubristriatus", "Munneurycope glacialis", "Caragobius urolepis", "Passiflora \u00d7 robertii", "Passiflora \u00d7 rosea", "Passiflora \u00d7 loudonii", "Speleogobius trigloides", "Passiflora \u00d7 smytheana", "Passiflora racemosa", "Passiflora \u00d7 violacea", "Scirpophaga praelata", "Andropogon aridus", "Balbidocolon polare", "Eugerda mandibulata", "Eugerda gurjanovae", "Eugerda dubia", "Cryodesma cryoabyssale", "Chelator stellae", "Oecidiobranchus glacialis", "Cardiocondyla koshewnikovi", "Cardiocondyla kushanica", "Cardiocondyla littoralis", "Cardiocondyla longiceps", "Cardiocondyla longinoda", "Cardiocondyla luciae", "Cardiocondyla mauritanica", "Cardiocondyla melana", "Cardiocondyla monardi", "Cardiocondyla nana", "Cardiocondyla neferka", "Cardiocondyla nigra", "Cardiocondyla nigrocerea", "Cardiocondyla nivalis", "Cardiocondyla nuda", "Cardiocondyla obscurior", "Cardiocondyla opaca", "Cardiocondyla opistopsis", "Cardiocondyla papuana", "Cardiocondyla paradoxa", "Cardiocondyla paranuda", "Cardiocondyla parvinoda", "Cardiocondyla persiana", "Cardiocondyla rugulosa", "Cardiocondyla sahlbergi", "Cardiocondyla sekhemka", "Cardiocondyla semirubra", "Cardiocondyla shagrinata", "Cardiocondyla shuckardi", "Cardiocondyla sima", "Cardiocondyla stambuloffii", "Cardiocondyla strigifrons", "Cardiocondyla tenuifrons", "Cardiocondyla thoracica", "Cardiocondyla tibetana", "Cardiocondyla tiwarii", "Cardiocondyla tjibodana", "Cardiocondyla ulianini", "Cardiocondyla unicalis", "Cardiocondyla venustula", "Cardiocondyla weserka", "Cardiocondyla wheeleri", "Cardiocondyla wroughtonii", "Cardiocondyla yemeni", "Passiflora quadrangularis", "Cardiocondyla yoruba", "Cardiocondyla zoserka", "Passiflora miniata", "Passiflora maliformis", "Passiflora pardifolia", "Passiflora tripartita", "Passiflora tripartita var. tripartita", "Passiflora tripartita var. azuayensis", "Passiflora tripartita var. mollissima", "Agalliopsis chaelata", "Agalliopsis dutrai", "Agalliopsis felixi", "Lesueurigobius friesii", "Agalliopsis mutabilis", "Agalliopsis pentaspinata", "Agalliopsis variegata", "Chromogobius zebratus", "Chromogobius britoi", "Equula fasciata", "Equulites laterofenestra", "Equulites klunzingeri", "Equulites leuciscus", "Eubleekeria splendens", "Eubleekeria jonesi", "Eubleekeria rapsoni", "Eubleekeria kupanensis", "Karalla daura", "Thorogobius macrolepis", "Karalla dussumieri", "Nuchequula blochii", "Nuchequula nuchalis", "Knipowitschia panizzae", "Mesene phareus", "Nuchequula mannusella", "Mesene leucophrys", "Photoplagios lineolatus", "Strumigenys weberi", "Strumigenys wilsoni", "Strumigenys wilsoniana", "Strumigenys wrayi", "Strumigenys xenochelyna", "Strumigenys xenognatha", "Strumigenys xenohyla", "Strumigenys xenomastax", "Strumigenys xochipili", "Strumigenys yaleogyna", "Strumigenys yaleopleura", "Strumigenys yangi", "Strumigenys yanintra", "Strumigenys yasumatsui", "Strumigenys zagan", "Strumigenys zakharovi", "Strumigenys zandala", "Strumigenys zapyx", "Strumigenys zeteki", "Strumigenys zygon", "Cardiocondyla atalanta", "Cardiocondyla batesii", "Cardiocondyla bicoronata", "Cardiocondyla brachyceps", "Cardiocondyla breviscapus", "Cardiocondyla britteni", "Cardiocondyla bulgarica", "Cardiocondyla carbonaria", "Cardiocondyla cristata", "Cardiocondyla elegans", "Cardiocondyla emeryi", "Cardiocondyla fajumensis", "Cardiocondyla gallagheri", "Cardiocondyla gallilaeica", "Cardiocondyla gibbosa", "Cardiocondyla goa", "Cardiocondyla insutura", "Cardiocondyla israelica", "Cardiocondyla jacquemini", "Cardiocondyla kagutsuchi", "Jamides bochus", "Jamides bochus bochus", "Jamides bochus nabonassar", "Jamides bochus phaidon", "Cardiocondyla minutior", "Mayriella warchalowskii", "Mayriella occidua", "Aratinga maculata", "Xestia kecskerago", "Ammoconia senex", "Ammoconia senex transhamadanensis", "Malinica ranjana", "Glaucopsyche hazeri", "Hyles tithymali phaelipae", "Quercus petraea subsp. iberica", "Passiflora edmundoi", "Passiflora sanguinolenta", "Crenicichla lenticulata", "Pleomothra fragilis", "Pleomothra apletocheles", "Cryptocorynetes longulus", "Godzilliognomus frondosus", "Godzillius robustus", "Kaloketos pilosus", "Lasionectes exleyi", "Lasionectes entrichoma", "Cryptocorynetes haptodiscus", "Speleonectes benjamini", "Speleonectes emersoni", "Speleonectes epilimnius", "Speleonectes gironensis", "Speleonectes kakuki", "Speleonectes lucayensis", "Speleonectes minnsi", "Speleonectes ondinae", "Speleonectes parabenjamini", "Speleonectes tanumekes", "Speleonectes tulumensis", "Thyropygus bearti", "Photoplagios rivulatus", "Mesene ingrumaensis", "Photopectoralis aureus", "Photopectoralis bindus", "Photopectoralis hataii", "Photopectoralis panayensis", "Mesene paraena", "Mesene hyale", "Mesene mygdon", "Mesene croceella", "Mesene cyneas", "Mesene bomilcar", "Splendeuptychia ackeryi", "Splendeuptychia ambra", "Gammarus lecroyae", "Hyperandra appendiculata", "Passiflora morifolia", "Hyperandra diminuta", "Hyperandra novata", "Hyperandra porioni", "Passiflora jorullensis", "Passiflora jorullensis var. jorullensis", "Passiflora jorullensis var. salvadorensis", "Passiflora hyacinthiflora", "Asterocampa clyton", "Poiana leightoni", "Asterocampa celtis", "Asterocampa leilia", "Asterocampa idyja", "Asterocampa clyton clyton", "Asterocampa clyton flora", "Asterocampa clyton louisa", "Asterocampa clyton texana", "Asterocampa celtis antonia", "Asterocampa celtis celtis", "Asterocampa celtis reinthali", "Asterocampa idyja argus", "Asterocampa idyja idyja", "Phalacrus uniformis", "Phalacrus uniformis frigoricola", "Lachesis stenophyrs", "Passiflora herbertiana", "Bellingshausenia olasoi", "Passiflora herbertiana subsp. herbertiana", "Passiflora herbertiana subsp. insulae-howei", "Gosztonyia antarctica", "Kondakovia nigmatullini", "Kondakovia longimana", "Passiflora tarminiana", "Passiflora subpeltata", "Dichagyris zaghroica", "Dichagyris zaghroica azerica", "Halolaspis hypedon", "Passiflora trinervia", "Passiflora popenovii", "Knipowitschia caucasica", "Passiflora \u00d7 allardii", "Passiflora \u00d7 belottii", "Corcyrogobius liechtensteini", "Jamides bochus enganicus", "Jamides bochus formosanus", "Jamides bochus georgi", "Jamides bochus phaneas", "Jamides bochus herdonius", "Jamides bochus grata", "Ophidion rochei", "Passiflora \u00d7 colvillii", "Jamides bochus herodicus", "Passiflora \u00d7 kewensis", "Jamides bochus ishigakianus", "Passiflora auriculata", "Passiflora arborea", "Boloria acrocnema", "Bothrops atrox", "Bothrops jararaca", "Bothrops ammodytoides", "Bothrops andianus", "Bothrops asper", "Bothrops barnetti", "Bothrops brazili", "Bothrops caribbaeus", "Bothrops colombianus", "Bothrops cotiara", "Bothrops erythromelas", "Bothrops fonsecai", "Phragmataecia turkmenbashi", "Daphnia magna", "Jamides nitens", "Jamides puloensis", "Jamides lugine", "Jamides carissima thomasi", "Passiflora arbelaezii", "Passiflora biflora", "Jamides limes", "Brachypeplus brevicornis", "Hisparonia hystrix", "Paropta paradoxus kathikas", "Bucaea simplex", "Praedora marshalli", "Praedora plagiata", "Praedora leucophaea", "Praedora tropicalis", "Praedora puchneri", "Heniocha pudorosa", "Jamides celebica", "Jamides fractilinea", "Halichaetonotus australis", "Paraturbanella stradbroki", "Turbanella brusci", "Paraturbanella pediballetor", "Paraturbanella manxensis", "Echinoderes malakhovi", "Pycnophyes newzealandiensis", "Echinoderes coulli", "Zelinkaderes brightae", "Antygomonas paulae", "Mesonerilla prospera", "Spirobranchus giganteus", "Marrella splendens", "Nesomyrmex dominicanus", "Nesomyrmex echinatinodis", "Nesomyrmex gibber", "Nesomyrmex evelynae", "Nesomyrmex grisoni", "Nesomyrmex hengshanensis", "Nesomyrmex humerosus", "Nesomyrmex innocens", "Nesomyrmex itinerans", "Nesomyrmex madecassus", "Nesomyrmex mirassolis", "Nesomyrmex pittieri", "Nesomyrmex pleuriticus", "Nesomyrmex pulcher", "Nesomyrmex retusispinosus", "Nesomyrmex rutilans", "Nesomyrmex schwebeli", "Nesomyrmex sculptiventris", "Nesomyrmex sikorai", "Nesomyrmex simoni", "Nesomyrmex spininodis", "Nesomyrmex stramineus", "Nesomyrmex tonsuratus", "Nesomyrmex vargasi", "Nesomyrmex vicinus", "Nesomyrmex wilda", "Xenomyrmex floridanus", "Xenomyrmex panamanus", "Xenomyrmex stollii", "Dilobocondyla cataulacoidea", "Dilobocondyla bangalorica", "Thyropygus bispinispatula", "Thyropygus bispinus", "Thyropygus brachyacanthus", "Thyropygus chelatus", "Thyropygus cristagalli", "Thyropygus erectus", "Thyropygus loxia", "Thyropygus opinatus", "Thyropygus floweri", "Thyropygus implicatus", "Thyropygus inflexus", "Madabolus maximus", "Formicoxenus chamberlini", "Formicoxenus diversipilosus", "Formicoxenus hirticornis", "Formicoxenus nitidulus", "Formicoxenus provancheri", "Formicoxenus quebecensis", "Formicoxenus sibiricus", "Harpagoxenus canadensis", "Zebrus zebrus", "Harpagoxenus sublaevis", "Harpagoxenus zaisanicus", "Leptothorax acervorum", "Leptothorax athabasca", "Leptothorax buschingeri", "Leptothorax calderoni", "Leptothorax crassipilis", "Leptothorax faberi", "Leptothorax goesswaldi", "Leptothorax gredleri", "Leptothorax kutteri", "Leptothorax muscorum", "Deltentosteus collonianus", "Leptothorax oceanicus", "Leptothorax pacis", "Leptothorax palustris", "Leptothorax paraxenus", "Leptothorax pocahontas", "Leptothorax retractus", "Leptothorax scamni", "Leptothorax sphagnicola", "Leptothorax wilsoni", "Atopomyrmex calpocalycola", "Atopomyrmex cryptoceroides", "Atopomyrmex mocquerysi", "Lobaria oregana", "Lobaria pindarensis", "Lobaria pseudopulmonaria", "Lobaria quercizans", "Emmanuelia ravenelii", "Lobaria scrobiculata", "Lobaria silvae-veteris", "Huso dauricus", "Lobaria spathulata", "Lobaria sublaevis", "Emmanuelia tenuis", "Lobaria virens", "Lobaria yunnanensis", "Scartella poiti", "Jamides areas", "Jamides snelleni", "Gladicauda aucklandica", "Lobaria subretigera", "Fustiserphus intrudens", "Oxyserphus europaeus", "Oxyserphus hamiferus", "Oxyserphus obsolescens", "Fustiserphus pinorum", "Acanthocephalus galaxii", "Vulcanonemertes rangitotoensis", "Phascolosoma saprophagicum", "Phascolion strombus", "Phascolion tuberculosum", "Passiflora foetida", "Archaeoteleia araucana", "Archaeoteleia mellea", "Archaeoteleia pygmea", "Archaeoteleia dispar", "Archaeoteleia penai", "Archaeoteleia puncticeps", "Archaeoteleia robusta", "Archaeoteleia simulans", "Archaeoteleia submetallica", "Archaeoteleia waipoua", "Archaeoteleia onamata", "Archaeoteleia karere", "Archaeoteleia gilbertae", "Archaeoteleia chambersi", "Archaeoteleia novaezealandiae", "Archaeoteleia gracilis", "Passiflora ciliata", "Passiflora foetida var. foetida", "Passiflora ambigua", "Passiflora xishuangbannaensis", "Passiflora cochinchinensis", "Zamarada acerata", "Zamarada rhodina", "Zamarada brevidens", "Zamarada ka", "Zamarada elonga", "Zamarada herbuloti", "Zamarada aerata", "Plumbago aphylla", "Plumbago dawei", "Plumbago madagascariensis", "Plumbago zeylanica var. oxypetala", "Plumbago zeylanica var. zeylanica", "Atrichatus ochraceus", "Atrichatus aeneicollis", "Eucolaspis hudsoni", "Eucolaspis antennata", "Eucolaspis brunnea", "Eucolaspis jucunda", "Eucolaspis pallidipennis", "Eucolaspis colorata", "Eucolaspis picticornis", "Dirphiopsis brockmanni", "Dirphiopsis lombardi", "Dirphiopsis tripicata", "Gauromyrmex acanthinus", "Gauromyrmex bengakalisi", "Nesomyrmex anduzei", "Nesomyrmex angulatus", "Nesomyrmex argentinus", "Nesomyrmex asper", "Nesomyrmex brasiliensis", "Nesomyrmex braunsi", "Nesomyrmex brimodus", "Nesomyrmex caritatis", "Nesomyrmex catalaucoides", "Nesomyrmex clavipilis", "Nesomyrmex costatus", "Nesomyrmex denticulatus", "Pomatoschistus quagga", "Oenomaus isabellae", "Oenomaus cyanovenata", "Oenomaus cortica", "Seriola dumerili", "Oenomaus atena", "Oenomaus atesa", "Oenomaus geba", "Oenomaus ortygnus", "Oenomaus brulei", "Oenomaus poirieri", "Oenomaus gaia", "Oenomaus ambiguus", "Oenomaus melleus", "Oenomaus melleus melleus", "Lobaria adscripturiens", "Oenomaus melleus guyanensis", "Oenomaus floreus", "Lobaria crassior", "Lobaria discolor", "Lobaria fuscotomentosa", "Lobaria gyrophorica", "Agrapha gigantea", "Lobaria hallii", "Agrapha duboisi", "Agrapha nigra", "Lobaria immixta", "Lobaria isidiophora", "Lobaria isidiosa", "Agrapha ahenea", "Lobaria kurokawae", "Agrapha meretricia", "Lobaria meridionalis", "Lobaria neodiscolor", "Crypsiptya coclesalis", "Crypsiptya nereidalis", "Crypsiptya megaptyona", "Crypsiptya ruficostalis", "Crypsiptya viettalis", "Crypsiptya mutuuri", "Althaea longiflora", "Plumbago auriculata", "Podomyrma ruficeps", "Podomyrma rugosa", "Podomyrma silvicola", "Podomyrma simillima", "Podomyrma striata", "Podomyrma testacea", "Podomyrma tristis", "Podomyrma turneri", "Podomyrma vidua", "Terataner bottegoi", "Terataner alluaudi", "Terataner elegans", "Terataner foreli", "Terataner luteus", "Terataner piceus", "Terataner rufipes", "Terataner scotti", "Terataner steinheili", "Terataner transvaalensis", "Terataner velatus", "Terataner xaltus", "Plumbago indica", "Poecilomyrma senirewae", "Romblonella elysii", "Romblonella heatwolei", "Romblonella opaca", "Romblonella palauensis", "Plumbago caerulea", "Romblonella scrobifera", "Romblonella townesi", "Romblonella vitiensis", "Romblonella yapensis", "Rotastruma recava", "Rotastruma stenoceps", "Plumbago europaea", "Stereomyrmex anderseni", "Stereomyrmex dispar", "Stereomyrmex horni", "Ophioparma araucariae", "Ophioparma handelii", "Ophioparma junipericola", "Alema paradoxa", "Ophioparma lapponica", "Alema spatiosa", "Ophioparma pseudohandelii", "Ophioparma rubricosa", "Ophioparma ventosa", "Jamides butleri", "Jamides celeno", "Jamides celeno celeno", "Jamides celeno aelianus", "Jamides celeno arama", "Jamides celeno blairana", "Jamides celeno caeno", "Jamides celeno carolina", "Jamides celeno evanescens", "Jamides celeno eyria", "Platycoelostoma tasmanicum", "Jamides celeno kinkurka", "Platycoelostoma compressa", "Belyta hanseni", "Coranarta restricta", "Belyta heretica", "Belyta leeuwenhoeki", "Belyta lunaris", "Belyta ufoides", "Belyta urania", "Vombisidris acherdos", "Vombisidris australis", "Vombisidris bilongrudi", "Vombisidris dryas", "Vombisidris harpeza", "Vombisidris humboldticola", "Vombisidris jacobsoni", "Vombisidris lochme", "Vombisidris nahet", "Vombisidris occidua", "Vombisidris philax", "Vombisidris regina", "Vombisidris renateae", "Vombisidris umbradomina", "Vombisidris xylochos", "Chalepoxenus brunneus", "Chalepoxenus kutteri", "Chalepoxenus muellerianus", "Chalepoxenus spinosus", "Chalepoxenus tarbinskii", "Chalepoxenus tauricus", "Chalepoxenus tramieri", "Chalepoxenus zabelini", "Plumbago zeylanica", "Myrmoxenus adlerzi", "Myrmoxenus africanus", "Myrmoxenus algerianus", "Myrmoxenus bernardi", "Myrmoxenus birgitae", "Myrmoxenus corsicus", "Myrmoxenus gordiagini", "Myrmoxenus kraussei", "Myrmoxenus ravouxi", "Myrmoxenus stumperi", "Myrmoxenus tamarae", "Myrmoxenus zaleskyi", "Ochetomyrmex neopolitus", "Ochetomyrmex semipolitus", "Protomognathus americanus", "Lumbricus badensis", "Driloleirus macelfreshi", "Oligosarcus jenynsii", "Oligosarcus robustus", "Micropogonias furnieri", "Cyphocharax voga", "Trachelyopterus lucenai", "Platyptilia tetradactyla", "Spirotrichosoma magna", "Stolotermes africanus", "Stolotermes inopinus", "Stolotermes ruficeps", "Rhododrilus tetratheca", "Rhododrilus insularis", "Plumbago amplexicaulis", "Plumbago ciliata", "Plumbago glandulicaulis", "Cryptolechia acutiuscula", "Plumbago montis-elgonis", "Cryptolechia anthaedeaga", "Plumbago pearsonii", "Plumbago stenophylla", "Plumbago toxicaria", "Myliobatis aquila", "Plumbago wissii", "Plumbago tristis", "Ceratostigma abyssinicum", "Cryptolechia concaviuscula", "Cryptolechia cornutivalvata", "Cryptolechia deflecta", "Cryptolechia denticulata", "Cryptolechia falsivespertina", "Cryptolechia fasciculifera", "Cryptolechia fascirupta", "Cryptolechia furcellata", "Cryptolechia gei", "Cryptolechia hamatilis", "Cryptolechia jigongshanica", "Brama brama", "Lophius budegassa", "Dyerophytum africanum", "Dyerophytum indicum", "Dyerophytum pendulum", "Heteropteryx dilatata", "Haaniella muelleri", "Epidares nolimetangere", "Bacidia iberica", "Mycobilimbia olivacea", "Mycobilimbia parvilobulosa", "Plumbagella micrantha", "Vinca erecta", "Vinca herbacea", "Jamides pura", "Itaphlebia generosa", "Belgica antarctica", "Catharanthus roseus var. roseus", "Catharanthus roseus var. angustus", "Catharanthus coriaceus", "Catharanthus lanceus", "Cryptolechia kangxianensis", "Cryptolechia latifascia", "Cryptolechia microbyrsa", "Cryptolechia mirabilis", "Cryptolechia muscosa", "Cryptolechia neargometra", "Cryptolechia paranthaedeaga", "Cryptolechia proximideflecta", "Cryptolechia solifasciaria", "Cryptolechia spinifera", "Cryptolechia stictifascia", "Cryptolechia varifascirupta", "Cryptolechia zhengi", "Cryptolechia argometra", "Cryptolechia chlorozyga", "Cryptolechia coriata", "Cryptolechia facunda", "Cryptolechia fenerata", "Mobula mobular", "Cryptolechia gypsochra", "Cryptolechia hoplostola", "Cryptolechia isomichla", "Cryptolechia malacobyrsa", "Cryptolechia metacentra", "Cryptolechia mitis", "Cryptolechia pelophaea", "Cryptolechia prothyropa", "Cryptolechia stadaea", "Cryptolechia torophanes", "Cryptolechia zeloxantha", "Cryptolechia epistemon", "Ceratostigma ulicinum", "Ceratostigma griffithii", "Ceratostigma minus", "Ceratostigma willmottianum", "Ceratostigma plumbaginoides", "Jamides celeno lydanus", "Pteromylaeus bovinus", "Jamides celeno nicevillei", "Sungaya inexpectata", "Jamides celeno niger", "Jamides celeno obscurus", "Jamides celeno optimus", "Aretaon asperrimus", "Alectis alexandrina", "Jamides celeno ruvana", "Jamides celeno sandya", "Ceratostigma asperrimum", "Jamides celeno sundara", "Jamides celeno tissama", "Ceratostigma stapfianum", "Jamides celeno lawasa", "Temnothorax arpini", "Temnothorax artvinense", "Temnothorax atlantis", "Temnothorax atomus", "Temnothorax augusti", "Temnothorax auresianus", "Temnothorax aveli", "Temnothorax aztecus", "Temnothorax baeticus", "Temnothorax banao", "Temnothorax barbouri", "Temnothorax barroi", "Temnothorax barryi", "Temnothorax basara", "Temnothorax berlandi", "Temnothorax bermudezi", "Temnothorax bestelmeyeri", "Temnothorax bicolor", "Temnothorax bikara", "Temnothorax bimbache", "Temnothorax blascoi", "Temnothorax bradleyi", "Temnothorax brauneri", "Temnothorax brevispinosus", "Temnothorax bristoli", "Temnothorax bruneri", "Temnothorax bucheti", "Temnothorax bugnioni", "Temnothorax bulgaricus", "Temnothorax cabrerae", "Temnothorax caesari", "Temnothorax cagnianti", "Temnothorax canescens", "Temnothorax carinatus", "Temnothorax cenatus", "Temnothorax chandleri", "Temnothorax ciferrii", "Temnothorax clypeatus", "Callicore atacama atacama", "Callicore atacama faustina", "Callicore atacama manova", "Callicore atacama folschveilleri", "Nannochorista eboraca", "Apteropanorpa warra", "Apteropanorpa hartzi", "Apteropanorpa evansi", "Panorpodes colei", "Jamides aratus", "Jamides aratus adana", "Harmonia conformis", "Jamides aratus aratus", "Cryptolepis calophylla", "Hinewaia embolica", "Notoscopelus elongatus", "Ceratoscopelus maderensis", "Virbia laeta", "Virbia lamae", "Virbia latus", "Virbia lehmanni", "Virbia lunalata", "Virbia luteilinea", "Virbia marginata", "Virbia mathani", "Virbia medarda", "Virbia mentiens", "Virbia metazonata", "Virbia minuta", "Virbia mirma", "Virbia nigricans", "Virbia opella", "Virbia orola", "Virbia ostenta", "Virbia ovata", "Virbia pallicornis", "Virbia palmeri", "Virbia pamphylia", "Virbia parva", "Virbia phalangia", "Virbia polyphron", "Virbia pomponia", "Virbia punctata", "Virbia rogersi", "Virbia rosenbergi", "Virbia rotundata", "Virbia rubicundaria", "Virbia sanguicollis", "Dilobocondyla borneensis", "Dilobocondyla chapmani", "Dilobocondyla didita", "Dilobocondyla fouqueti", "Dilobocondyla fulva", "Dilobocondyla karnyi", "Dilobocondyla sebesiana", "Dilobocondyla rufobrunnea", "Dilobocondyla selebensis", "Dilobocondyla simalurana", "Peronomyrmex bartoni", "Peronomyrmex greavesi", "Peronomyrmex overbecki", "Podomyrma abdominalis", "Podomyrma adelaidae", "Podomyrma alae", "Podomyrma basalis", "Podomyrma albertisi", "Podomyrma bispinosa", "Podomyrma carinata", "Podomyrma chasei", "Podomyrma christae", "Podomyrma delbrueckii", "Podomyrma clarki", "Podomyrma densestrigosa", "Podomyrma elongata", "Podomyrma femorata", "Podomyrma ferruginea", "Podomyrma formosa", "Podomyrma gastralis", "Podomyrma gibbula", "Podomyrma gratiosa", "Podomyrma grossestriata", "Podomyrma inermis", "Podomyrma keysseri", "Podomyrma kitschneri", "Podomyrma kraepelini", "Podomyrma laevissima", "Podomyrma laevifrons", "Podomyrma lampros", "Podomyrma libra", "Podomyrma macrophthalma", "Podomyrma maculiventris", "Podomyrma maligna", "Podomyrma marginata", "Podomyrma mayri", "Podomyrma micans", "Podomyrma mjobergi", "Podomyrma minor", "Podomyrma muckeli", "Podomyrma nitida", "Podomyrma novemdentata", "Podomyrma obscurior", "Podomyrma octodentata", "Podomyrma odae", "Podomyrma pulchella", "Podomyrma overbecki", "Podomyrma omniparens", "Paropta paradoxus", "Paropta paradoxus paradoxus", "Jamides aratus arius", "Cuora cyclornata", "Jamides aratus batjanensis", "Jamides aratus djampeana", "Stethorus griseus", "Stethorus histrio", "Stethorus bifidus", "Lasiodiplodia theobromae", "Manota maorica", "Dynastes maya", "Dynastes miyashitai", "Anoplolepis gracilipes", "Ulomotypus laevigatus", "Asterolecanium vitreum", "Colobopyga hedyscepes", "Colobopyga australiensis", "Mandragora turcomanica", "Mandragora caulescens", "Cubanola daphnoides", "Plumeria obtusa var. obtusa", "Saurida undosquamis", "Plumeria obtusa var. sericifolia", "Virbia hypophaea", "Virbia immaculata", "Virbia inversia", "Oiophysa distincta", "Jamides malaccanus celinus", "Jamides malaccanus malaccanus", "Jamides malaccanus saturatus", "Jamides parasaturatus", "Jamides parasaturatus paramalaccanus", "Jamides parasaturatus parasaturatus", "Nesomachilis novaezelandiae", "Nesomachilis papuana", "Nesomachilis maorica", "Nesomachilis blumi", "Nesomachilis howensis", "Nesomachilis queenslandica", "Nesomachilis tamborina", "Nesomachilis watsoni", "Heterojapyx gallardi", "Miomantis caffra", "Jamides suidas", "Jamides suidas suidas", "Jamides philatus", "Jamides philatus aegithus", "Jamides philatus amphyssina", "Jamides philatus arcaseius", "Plumeria magna", "Plumeria filifolia", "Gladicauda phasgonurus", "Gladicauda ensifer", "Gladicauda minor", "Pleistodontes froggatti", "Pleistodontes imperialis", "Trachelospermum jasminoides var. pubescens", "Trachelospermum jasminoides var. jasminoides", "Jamides seminiger vanlithi", "Manota pentacantha", "Manota sicula", "Manota orthacantha", "Manota evexa", "Manota parilis", "Manota bicuspis", "Manota gemella", "Manota tricuspis", "Manota biunculata", "Manota hirsuta", "Manota subspathula", "Manota spathula", "Manota explicans", "Manota perissochaeta", "Manota spadix", "Manota pollex", "Manota yongi", "Manota angustata", "Jamides coritus", "Manota biloba", "Manota heptacantha", "Jamides coritus coritus", "Manota ulu", "Jamides coritus pseudeuchylas", "Manota clausa", "Jamides coritus setekwaensis", "Manota calcarata", "Manota transversa", "Manota fera", "Manota ferrata", "Manota curvata", "Manota cerciflex", "Manota pappi", "Manota horrida", "Manota duplex", "Manota plusiochaeta", "Manota rara", "Manota caribica", "Manota multisetosa", "Manota tapantiensis", "Manota squamulata", "Jamides aruensis aruensis", "Manota avita", "Manota chelapex", "Manota chi", "Manota epigrata", "Manota obtecta", "Manota prisca", "Manota seducta", "Manota subferrata", "Manota tetrachaeta", "Manota vesicaria", "Manota aconcinna", "Manota acutangula", "Manota ancylochaeta", "Manota clavulosa", "Manota collina", "Manota cristata", "Manota inflata", "Manota oblonga", "Manota pellii", "Manota perlobata", "Manota planilobata", "Manota globigera", "Manota oligochaeta", "Manota ovata", "Manota pectinata", "Jamides nemophilus", "Manota perpusilla", "Jamides nemophilus albipatulus", "Manota procera", "Jamides nemophilus eclectus", "Manota roslii", "Manota simplex", "Jamides nemophilus nemophilus", "Jamides nemophilus paralectus", "Manota hidalgoensis", "Manota ibanezi", "Manota mexicapan", "Manota nubicola", "Manota bifida", "Manota dentata", "Manota forceps", "Manota inusitata", "Manota mirifica", "Manota occulta", "Manota secreta", "Virbia satara", "Virbia schadei", "Virbia semirosea", "Virbia strigata", "Virbia subapicalis", "Virbia tenuicincta", "Virbia trigonifera", "Virbia thersites", "Virbia underwoodi", "Virbia varians", "Virbia xanthopleura", "Virbia zonata", "Signoreta victorina", "Rhinoploeus iwa", "Calampocus sphaeroides", "Nubianus nasutus", "Patamadaga pauliani", "Sphenax cuneus", "Temnothorax cokendolpheri", "Temnothorax coleenae", "Temnothorax confucii", "Temnothorax congruus", "Temnothorax convexus", "Temnothorax cornibrevis", "Temnothorax corticalis", "Temnothorax crassispinus", "Temnothorax creightoni", "Temnothorax creolus", "Temnothorax crepuscularis", "Temnothorax cristinae", "Temnothorax cuneinodis", "Temnothorax curtulus", "Temnothorax curvispinosus", "Temnothorax cuyaguateje", "Temnothorax darlingtoni", "Temnothorax davisi", "Temnothorax delaparti", "Temnothorax desertorum", "Temnothorax desioi", "Temnothorax dessyi", "Temnothorax discoloratus", "Temnothorax dissimilis", "Temnothorax ditifet", "Temnothorax duloticus", "Temnothorax eburneipes", "Temnothorax emmae", "Temnothorax exilis", "Temnothorax finzii", "Temnothorax flavicornis", "Temnothorax flavidulus", "Temnothorax flavispinus", "Temnothorax foreli", "Temnothorax formosus", "Temnothorax fragosus", "Temnothorax fuentei", "Temnothorax fultonii", "Temnothorax fumosus", "Temnothorax furunculus", "Temnothorax fuscatus", "Temnothorax gaetulus", "Temnothorax galeatus", "Temnothorax gallae", "Temnothorax gibbifer", "Temnothorax glaesarius", "Temnothorax goniops", "Temnothorax gracilicornis", "Temnothorax gracilis", "Temnothorax graecus", "Temnothorax gredosi", "Temnothorax grouvellei", "Temnothorax gundlachi", "Temnothorax hadrumetensis", "Temnothorax haira", "Temnothorax hesperius", "Temnothorax hispaniolae", "Temnothorax hispidus", "Temnothorax huehuetenangoi", "Temnothorax hystriculus", "Temnothorax ibericus", "Temnothorax imias", "Temnothorax indra", "Temnothorax inermis", "Temnothorax interruptus", "Temnothorax iranicus", "Temnothorax iris", "Temnothorax isabellae", "Temnothorax italicus", "Jamides aruensis", "Jamides aruensis ariel", "Manota major", "Manota penicillata", "Manota bihamata", "Manota incisa", "Manota spinosa", "Manota arenalensis", "Manota eximia", "Manota montivaga", "Manota vexillifera", "Manota corcovado", "Manota diversiseta", "Manota acuminata", "Manota costaricensis", "Manota fraterna", "Manota parva", "Manota inornata", "Manota limonensis", "Manota acutistylus", "Manota rotundistylus", "Manota planistylus", "Manota rectolobata", "Manota intermedia", "Manota natalensis", "Manota whiteleyi", "Manota chinensis", "Manota bilobata", "Manota delyorum", "Manota meilingae", "Mariouta stangei", "Boganium armstrongi", "Paracucujus rostratus", "Lamingtonium binnaburrense", "Idioibla idiotica", "Idioibla pygmaea", "Chaetolepas segmentata", "Chaetolepas calcitergum", "Chitinolepas spiritsensis", "Ascetoderes cognatus", "Ascetoderes diversus", "Ascetoderes moestus", "Ascetoderes obsoletus", "Ascetoderes paynteri", "Ascetoderes picipes", "Portunus pelagicus", "Scylla serrata", "Ashinkailepas kermadecensis", "Ashinkailepas seepiophila", "Neolepas rapanuii", "Neolepas zevinae", "Temnothorax ixili", "Temnothorax jailensis", "Temnothorax janushevi", "Temnothorax josephi", "Temnothorax kaszabi", "Temnothorax kemali", "Temnothorax kinomurai", "Temnothorax kirghizicus", "Temnothorax kiudiria", "Temnothorax knipovitshi", "Temnothorax korbi", "Temnothorax koreanus", "Temnothorax kraussei", "Temnothorax kubira", "Temnothorax kurilensis", "Temnothorax laciniatus", "Temnothorax laestrygon", "Temnothorax laestrygon laestrygon", "Temnothorax laestrygon splendidiceps", "Temnothorax laetus", "Temnothorax lagrecai", "Temnothorax laurae", "Diaphus holti", "Diaphus subtilis", "Jamides aetherialis aetherialis", "Jamides aetherialis", "Jamides aetherialis caerulina", "Rachiplusia nu", "Rachiplusia ou", "Rachiplusia virgula", "Jamides aratus ezeon", "Rachiplusia grisea", "Jamides aratus lunata", "Triphosa tauteli", "Triphosa tauteli tauteli", "Triphosa tauteli herzeti", "Tineovertex sartoria", "Tineovertex canicoma", "Tineovertex melliflua", "Tineovertex antidroma", "Jamides aratus makitai", "Jamides aratus minthe", "Jamides aratus tryphiodorus", "Jamides zebra", "Jamides zebra lakatti", "Jamides zebra megana", "Jamides zebra vaneeckei", "Jamides zebra zebra", "Pachnoda marginata", "Pachnoda marginata peregrina", "Jamides cleodus itumunus", "Jamides cleodus trichonis", "Jamides aleuas", "Jamides aleuas alcas", "Jamides aleuas aleuas", "Jamides aleuas coelestis", "Jamides aleuas nitidus", "Jamides aleuas pholes", "Jamides aleuas sarsina", "Jamides allectus", "Jamides allectus allectus", "Jamides allectus jobiensis", "Jamides allectus sarmice", "Jamides anops", "Jamides festivus", "Jamides festivus bangkaia", "Jamides festivus festivus", "Scirpophaga xanthopygata", "Scirpophaga nivella", "Scirpophaga parvalis", "Scirpophaga humilis", "Jamides malaccanus", "Jamides malaccanus aurensis", "Scopula segregata", "Scopula dubernardi", "Virbia flavifurca", "Virbia flemmingi", "Virbia fluminea", "Virbia fragilis", "Virbia heros", "Ortheziolamameti maeharai", "Ortheziola mizushimai", "Penium cylindrus", "Penium didymocarpum", "Penium margaritaceum", "Penium polymorphum", "Penium spinospermum", "Penium spirostriolatum", "Andropogon astictus", "Andropogon attenuatus", "Calocedrus rupestris", "Eugnathogobius indicus", "Eugnathogobius stictos", "Pseudogobiopsis festivus", "Tyloperla bihypodroma", "Catharanthus longifolius", "Catharanthus scitulus", "Catharanthus trichophyllus", "Catharanthus ovalis var. ovalis", "Calotropis acia", "Sciadia horridaria", "Sciadia septaria", "Sciadia torvaria", "Sciadia slovenica", "Sciadia sabaudiensis", "Ctenotrypauchen chinensis", "Paratrypauchen microcephalus", "Odontamblyopus lacepedii", "Iwaruna robineaui", "Anaeomorpha splendida", "Anaeomorpha splendida splendida", "Anaeomorpha splendida esmeralda", "Callicore atacama", "Temnothorax abeli", "Temnothorax adustus", "Temnothorax affinis", "Temnothorax alayoi", "Temnothorax albipennis", "Temnothorax albispinus", "Temnothorax algiricus", "Temnothorax alienus", "Temnothorax alinae", "Temnothorax allardycei", "Temnothorax alpinus", "Temnothorax ambiguus", "Marsdenia grandiflora", "Temnothorax anacanthus", "Temnothorax andersoni", "Marsdenia thouarsii", "Temnothorax andrei", "Temnothorax androsanus", "Temnothorax angustulus", "Temnothorax anira", "Temnothorax annexus", "Temnothorax annibalis", "Temnothorax anodonta", "Temnothorax anodontoides", "Temnothorax antera", "Temnothorax antigoni", "Temnothorax arcanus", "Temnothorax archangelskiji", "Temnothorax arenarius", "Temnothorax argentipes", "Temnothorax arimensis", "Tesnusocaris goldichi", "Ricinoides atewa", "Scottia audax", "Bryospilus bifidus", "Mazarredia nigripennis", "Promalactis spinosa", "Simulium henanense", "Aulosaphoides flavistigmus", "Calappa calappa", "Calappa granulata", "Calappa hepatica", "Callista chione", "Calliphora vomitoria", "Calvia quatuordecimguttata", "Neoperla divergens", "Capros aper", "Neoperla grafei", "Neoperla parva", "Neoperla rougemonti", "Neoperla sabah", "Neoperla securifera", "Phanoperla astrospinata", "Phanoperla belalong", "Tisis colubrialis", "Tisis penrissenica", "Tisis latiductalis", "Phenacoleachia zealandica", "Phenacoleachia australis", "Temnothorax tyndalei", "Temnothorax unifasciatus", "Temnothorax unifasciatus obenbergeri", "Temnothorax unifasciatus rougeti", "Temnothorax unifasciatus staegeri", "Diplocentrus colwelli", "Acaraptera waipouensis", "Cyphacolus bouceki", "Cyphacolus bhowaliensis", "Chrysomphalus aonidum", "Greenidea ficicola", "Gynaikothrips ficorum", "Proteuxoa sanguinipuncta", "Pensus gilae", "Pensus guatemalenus", "Calpus bacchi", "Megarthroides chilensis", "Neogreenia sophorica", "Neogreenia zizyphi", "Garthinia disica", "Guinotinia cordis", "Guinotinia lehouarnoi", "Calla palustris", "Deudorix cleora", "Brenthia hibiscusae", "Brenthia sapindella", "Brenthia gregori", "Brenthia confluxana", "Brenthia cubana", "Brenthia elongata", "Ebusus ebusus", "Ebusus ebusus ebusus", "Ebusus ebusus nigrior", "Paraquilegia caespitosa", "Paraquilegia microphylla", "Paraquilegia altimurana", "Paraquilegia chionophila", "Paraquilegia scabrifolia", "Paramunna bilobata", "Andropogon auriculatus", "Lobianchia gemellarii", "Clematis baldwinii", "Lobianchia dofleini", "Brugmansia suaveolens", "Callophrys mcfarlandi", "Temnothorax laurae antoniae", "Temnothorax laurae colettae", "Temnothorax laurae laurae", "Temnothorax laurae rosae", "Temnothorax leoni", "Temnothorax lereddei", "Temnothorax leucacanthus", "Temnothorax leviceps", "Temnothorax lichtensteini", "Temnothorax liebi", "Temnothorax longaevus", "Temnothorax longipilosus", "Temnothorax longispinosus", "Temnothorax luteus", "Temnothorax makora", "Temnothorax manni", "Temnothorax marocana", "Temnothorax massiliensis", "Temnothorax mauritanicus", "Temnothorax maurus", "Temnothorax megalops", "Temnothorax melas", "Temnothorax melleus", "Temnothorax melnikovi", "Temnothorax mexicanus", "Temnothorax michali", "Temnothorax mimeuri", "Temnothorax minozzii", "Temnothorax minutissimus", "Temnothorax mirabilis", "Temnothorax miserabilis", "Temnothorax mongolicus", "Temnothorax monjauzei", "Temnothorax mortoni", "Temnothorax myersi", "Temnothorax nadigi", "Temnothorax naeviventris", "Temnothorax naeviventris kefensis", "Temnothorax naeviventris naeviventris", "Temnothorax nassonowi", "Temnothorax neminan", "Temnothorax neomexicanus", "Chiltoniella elongata", "Sandersiella kikuchii", "Sandersiella bathyalis", "Sandersiella calmani", "Sandersiella acuminata", "Lightiella magdalenina", "Lightiella floridana", "Lightiella monniotae", "Lightiella incisa", "Hutchinsoniella macracantha", "Lightiella serendipita", "Eriococcus roboris", "Eriococcus thymelaeae", "Carduelis citrinella", "Thubana kumatai", "Thubana kubahensis", "Thubana kinabaluensis", "Thubana ochracea", "Thubana quadrata", "Thubana prolata", "Thubana spinata", "Temnothorax nevadensis", "Temnothorax niger", "Temnothorax nigricans", "Temnothorax nigriceps", "Temnothorax nigriceps nigriceps", "Jamides abdul", "Temnothorax nigriceps pyrenaeus", "Jamides abdul abdul", "Temnothorax nigritus", "Jamides abdul daones", "Temnothorax nigritus nigritus", "Jamides abdul daonides", "Temnothorax nigritus rupestris", "Jamides abdul hamid", "Temnothorax nigritus saharensis", "Jamides abdul pemanggilensis", "Temnothorax nigritus salambo", "Temnothorax nipensis", "Temnothorax nitens", "Temnothorax nordmeyeri", "Temnothorax normandi", "Temnothorax nylanderi", "Temnothorax nylanderi nylanderi", "Temnothorax nylanderi nylanderonigriceps", "Temnothorax obliquicanthus", "Temnothorax obscurior", "Temnothorax obturator", "Temnothorax ocarinae", "Temnothorax oraniensis", "Temnothorax oxianus", "Temnothorax oxynodis", "Temnothorax pallidipes", "Temnothorax pallidus", "Temnothorax pamiricus", "Temnothorax pan", "Temnothorax pardoi", "Temnothorax parvulus", "Temnothorax pastinifer", "Temnothorax pelagosanus", "Temnothorax peninsularis", "Temnothorax pergandei", "Temnothorax personatus", "Temnothorax peyerimhoffi", "Temnothorax pisarskii", "Temnothorax placivus", "Temnothorax platycephalus", "Temnothorax platycnemis", "Temnothorax poeyi", "Temnothorax politus", "Temnothorax porphyritis", "Temnothorax praecreolus", "Temnothorax productus", "Temnothorax pulchellus", "Temnothorax punctaticeps", "Temnothorax punctatissimus", "Temnothorax punctithorax", "Temnothorax punicans", "Temnothorax purpuratus", "Temnothorax rabaudi", "Temnothorax racovitzai", "Temnothorax recedens", "Temnothorax reduncus", "Temnothorax risii", "Temnothorax rothneyi", "Temnothorax rothneyi rothneyi", "Temnothorax rothneyi simlensis", "Temnothorax rottenbergii", "Temnothorax rottenbergii ernesti", "Temnothorax rottenbergii jesus", "Temnothorax rottenbergii rottenbergii", "Temnothorax rottenbergii scabriosus", "Temnothorax rudis", "Temnothorax rugatulus", "Temnothorax rugithorax", "Temnothorax rugosus", "Clematis cunninghamii", "Clematis australis", "Antarctopria latigaster", "Antarctopria campbellana", "Clematis australis var. rutaefolia", "Antarctopria coelopae", "Antarctopria rekohua", "Antarctopria diomedeae", "Jamides talinga", "Trautvetteria carolinensis", "Jamides reverdini", "Jamides lacteata", "Jamides kankena", "Stylogymnusa subantarctica", "Gymnusa pseudovariegata", "Gonatozygon aculeatum", "Gonatozygon kinahanii", "Metadeinopsis balli", "Metadeinopsis brunnea", "Gonatozygon monotaenium", "Metadeinopsis ferox", "Gonatozygon pilosum", "Allodinopsis howdeni", "Allodinopsis pecki", "Gonatozygon brebissonii", "Gonatozygon brebissonii var. brebissonii", "Gonatozygon brebissonii var. minutum", "Phloeognathus monticola", "Genicularia spirotaenia", "Lampanyctus crocodilus", "Strelitzia nicolai", "Strelitzia juncea", "Temnothorax unifasciatus ucrainicus", "Temnothorax unifasciatus unifasciatonigriceps", "Temnothorax unifasciatus unifasciatus", "Temnothorax universitatis", "Temnothorax usunkul", "Temnothorax versicolor", "Temnothorax versicolor guanahacabibes", "Temnothorax versicolor versicolor", "Temnothorax villarensis", "Temnothorax violaceus", "Temnothorax volgensis", "Temnothorax werneri", "Temnothorax wheeleri", "Temnothorax whitfordi", "Temnothorax wollastoni", "Temnothorax wroughtonii", "Temnothorax wui", "Temnothorax xanthos", "Stigmomyrmex venustus", "Lenomyrmex colwelli", "Lenomyrmex costatus", "Lenomyrmex foveolatus", "Lenomyrmex inusitatus", "Lenomyrmex mandibularis", "Lenomyrmex wardi", "Liomyrmex carinatus", "Liomyrmex froggatti", "Liomyrmex froggatti froggatti", "Liomyrmex froggatti major", "Liomyrmex gestroi", "Liomyrmex reneae", "Liomyrmex tagalanus", "Liomyrmex taylori", "Melissotarsus beccarii", "Melissotarsus emeryi", "Melissotarsus insularis", "Bolla submarginalis", "Bolla antha", "Zobera albopunctata", "Zobera marginata", "Celaenorrhinus aegiochus", "Celaenorrhinus savia", "Celaenorrhinus orneates", "Celaenorrhinus par", "Agdistis omani", "Stenoptilia dolini", "Gymnammodytes cicerelus", "Triaina isodonte", "Triaina makridonte", "Mellicta menetriesi", "Mellicta menetriesi menetriesi", "Mellicta menetriesi saurica", "Mellicta elenae", "Ailuropoda melanoleuca melanoleuca", "Lampropholis delicata", "Karstarma ardea", "Karstarma waigeo", "Myrmozercon beardae", "Myrmozercon burwelli", "Agononida rubrizonata", "Paramunida leptotes", "Hemimyzon sheni", "Philodendron hederaceum", "Philodendron hederaceum var. kirkbridei", "Philodendron hederaceum var. oxycardium", "Philodendron hederaceum var. hederaceum", "Philodendron brevispathum", "Zantedeschia valida", "Zantedeschia rehmannii", "Zantedeschia pentlandii", "Zantedeschia odorata", "Champsocephalus gunnari", "Zantedeschia jucunda", "Lampanyctus pusillus", "Zantedeschia elliottiana", "Zantedeschia albomaculata", "Zantedeschia aethiopica", "Zantedeschia albomaculata subsp. albomaculata", "Zantedeschia albomaculata subsp. macrocarpa", "Salsola barrilla", "Tisis chalybaeella", "Temnothorax rugulosus", "Temnothorax sallei", "Temnothorax salvini", "Temnothorax salvini obscurior", "Temnothorax salvini salvini", "Temnothorax santra", "Temnothorax santschii", "Temnothorax sardous", "Temnothorax satunini", "Temnothorax saudiae", "Temnothorax saxatilis", "Temnothorax saxonicus", "Temnothorax schaufussi", "Hygroplasta spoliatella", "Temnothorax schaumii", "Temnothorax schmittii", "Temnothorax schoedli", "Temnothorax schurri", "Hygroplasta lygaea", "Temnothorax schwarzi", "Temnothorax semiruber", "Temnothorax semenovi", "Hygroplasta monodryas", "Temnothorax senectutis", "Temnothorax serviculus", "Temnothorax sevanensis", "Temnothorax shelkovnikovi", "Temnothorax simesno", "Temnothorax silvestrii", "Temnothorax singularis", "Hygroplasta notolatra", "Temnothorax skwarrae", "Temnothorax smithi", "Temnothorax solerii", "Temnothorax sordidulus", "Temnothorax specularis", "Temnothorax spinosior", "Temnothorax spinosus", "Temnothorax splendens", "Temnothorax squamifer", "Temnothorax steinbergi", "Temnothorax stenotyle", "Temnothorax stollii", "Temnothorax striatulus", "Temnothorax subcingulatus", "Temnothorax subditivus", "Temnothorax suberis", "Temnothorax susamyri", "Temnothorax taivanensis", "Temnothorax tamarae", "Temnothorax tauricus", "Temnothorax tebessae", "Temnothorax tebessae gapsensis", "Temnothorax tebessae tebessae", "Temnothorax tenuisculptus", "Temnothorax tenuispinus", "Temnothorax terricola", "Temnothorax terrigena", "Temnothorax tesquorum", "Temnothorax texanus", "Temnothorax texanus davisi", "Temnothorax texanus texanus", "Temnothorax theryi", "Temnothorax tianschanicus", "Temnothorax torrei", "Temnothorax totonicapani", "Temnothorax tricarinatus", "Temnothorax tricolor", "Temnothorax tristis", "Temnothorax tuberum", "Temnothorax tuberum alaicus", "Temnothorax tuberum brauneri", "Temnothorax tuberum ciscaucasicus", "Temnothorax tuberum kirillovi", "Temnothorax tuberum nylanderounifasciatus", "Temnothorax tuberum sachalinensis", "Temnothorax tuberum tuberonigriceps", "Temnothorax tuberum tuberum", "Temnothorax turcicus", "Temnothorax turritellus", "Temnothorax tuscaloosae", "Melissotarsus weissi", "Rhopalomastix escherichi", "Rhopalomastix janeti", "Orontium aquaticum", "Crotonia tasmaniana", "Crotonia pyemaireneri", "Palliduphantes bayrami", "Crotonia blaszaki", "Crotonia tryjanowskii", "Crotonia ovata", "Jamides cyta", "Jamides cyta cyta", "Jamides cyta amphissa", "Crotonia nukuhivae", "Jamides cyta amphissina", "Crotonia dicella", "Crotonia ecphyla", "Crotonia lyrata", "Crotonia pauropelor", "Crotonia marlenae", "Jamides cyta aruanus", "Jamides cyta claudia", "Crotonia allaudi", "Crotonia brassicae", "Crotonia brevicornuta", "Crotonia camelus", "Crotonia caudalis", "Crotonia cervicorna", "Hemerocallis hakuunensis", "Hemerocallis middendorffii", "Hemerocallis middendorffii var. longibracteata", "Hemerocallis middendorffii var. middendorffii", "Hemerocallis forrestii", "Novolopa falcata", "Novolopa infula", "Novolopa kuscheli", "Novolopa maculata", "Novolopa montivaga", "Novolopa townsendi", "Hymaea magna", "Paraconosoma polita", "Stricticollis sternbergsi", "Boreoides tasmaniensis", "Hemerocallis citrina", "Hemerocallis multiflora", "Hemerocallis nana", "Hemerocallis plicata", "Moaxiphia duniana", "Hemerocallis \u00d7 elmensis", "Hemerocallis \u00d7 flavocitrina", "Nasonovia ribisnigri", "Chrysaora colorata", "Hosta sieboldiana var. sieboldiana", "Leuraptera yakasi", "Acaraptera myersi", "Adinolepis eumana", "Adinolepis mathesonae", "Adinolepis youanga", "Stomolophus fritillaris", "Stomolophus meleagris", "Rhizostoma luteum", "Rhizostoma octopus", "Rhopilema verrilli", "Rhopilema hispidum", "Rhopilema esculentum", "Rhopilema nomadica", "Rhopilema rhopalophora", "Romulea linaresii", "Tolidopalpus nitidicoma", "Mecyclothorax oopteroides", "Mecyclothorax otagoensis", "Zeamordella monacha", "Zeamordella madagascariensis", "Zeamordella caprai", "Xyleborus inurbanus", "Treptoplatypus caviceps", "Ancistrocerus gazella", "Nematus oligospilus", "Cryptoxilos beaveri", "Nambouria xanthops", "Tarragoilus diuturnus", "Prophalangopsis obscura", "Aboilomimus guizhouensis", "Aboilomimus ornatus", "Aboilomimus sichuanensis", "Odontamblyopus roseus", "Odontamblyopus rubicundus", "Odontamblyopus tenuis", "Blandfordia nobilis", "Ophthalmolycus andersoni", "Chaenothecopsis amurensis", "Chaenothecopsis arthoniae", "Chaenothecopsis asperopoda", "Chaenothecopsis australis", "Chaenothecopsis brevipes", "Chaenothecopsis caespitosa", "Chaenothecopsis cinerea", "Chaenothecopsis consociata", "Strelitzia reginae subsp. reginae", "Strelitzia reginae subsp. mzimvubuensis", "Scythris amphonycella", "Stomacarus campbellensis", "Stomacarus watsoni", "Stomacarus ligamentifer", "Puhuruhuru patersoni", "Sapintus pollocki", "Mesohippus cuneatus", "Mesohippus exoletus", "Tuparezetes christineae", "Tuparezetes philodendrus", "Bornebuschia peculiaris", "Bornebuschia binodosa", "Parameranoplus primaevus", "Metapone bakeri", "Metapone emersoni", "Metapone gracilis", "Metapone greeni", "Metapone hewitti", "Metapone jacobsoni", "Metapone johni", "Metapone krombeini", "Metapone leae", "Metapone madagascarica", "Metapone mjobergi", "Metapone nicobarensis", "Metapone quadridentata", "Metapone sauteri", "Metapone tillyardi", "Metapone tricolor", "Metapone truki", "Metapone vincimus", "Rhopalomastix omotoensis", "Rhopalomastix rothneyi", "Rhopalomastix rothneyi javana", "Rhopalomastix rothneyi johorensis", "Rhopalomastix rothneyi rothneyi", "Rhopalomastix umbracapita", "Meranoplus ajax", "Meranoplus angustinodis", "Meranoplus arcuatus", "Meranoplus armatus", "Meranoplus astericus", "Meranoplus aureolus", "Meranoplus barretti", "Meranoplus beatoni", "Meranoplus bellii", "Meranoplus bellii bellii", "Meranoplus bellii javanus", "Camellia langbianensis", "Meranoplus berrimah", "Meranoplus bicolor", "Meranoplus biliran", "Meranoplus birmanus", "Meranoplus boltoni", "Meranoplus borneensis", "Meranoplus carinatus", "Meranoplus castaneus", "Meranoplus castaneus castaneus", "Meranoplus castaneus hammaceros", "Meranoplus christinae", "Meranoplus clypeatus", "Meranoplus convexius", "Meranoplus crassispina", "Meranoplus curvispina", "Meranoplus deserticola", "Meranoplus dichrous", "Meranoplus digitatus", "Meranoplus dimidiatus", "Meranoplus discalis", "Meranoplus diversoides", "Meranoplus diversus", "Meranoplus doddi", "Meranoplus duyfkeni", "Meranoplus excavatus", "Meranoplus fenestratus", "Meranoplus ferrugineus", "Meranoplus flaviventris", "Meranoplus froggatti", "Meranoplus glaber", "Meranoplus hilli", "Meranoplus hirsutus", "Crotonia chiloensis", "Crotonia cophinaria", "Crotonia cupulata", "Crotonia flagellata", "Crotonia jethurmerae", "Crotonia longibulbula", "Crotonia obtecta", "Crotonia perforata", "Crotonia pulchra", "Crotonia reticulata", "Crotonia rothschildi", "Crotonia tuberculata", "Crotonia unguifera", "Crotonia lanceolata", "Jamides cyta hellada", "Crotonia tasmanica", "Alloschemone inopinata", "Jamides cyta zelea", "Alloschemone occidentalis", "Crotonia ardala", "Crotonia borbora", "Crotonia capistrata", "Crotonia ramus", "Amydrium hainanense", "Amydrium humile", "Crotonia camilae", "Holonothrus pulcher", "Holonothrus foliatus", "Holonothrus ecuadoriensis", "Holonothrus glaesarius", "Holonothrus minusculus", "Holonothrus artus", "Holonothrus venetiolanus", "Holonothrus nortoni", "Holonothrus novaecaledoniae", "Holonothrus naskreckii", "Holonothrus gracilis", "Holonothrus virungensis", "Holonothrus robustus", "Holonothrus mitis", "Holonothrus papua", "Holonothrus concavus", "Andesamerus novaezealandiae", "Andesamerus peculiaris", "Hymenobelba diversisetosa", "Hymenobelba flexisetosa", "Amorbia aequiflexa", "Amorbia depicta", "Andropogon barretoi", "Amorbia effoetana", "Amorbia elaeopetra", "Andropogon bentii", "Cochylimorpha yangtseana", "Cochylimorpha acriapex", "Cochylimorpha additana", "Cryptophlebia amamiana", "Cryptophlebia amblyopa", "Cryptophlebia amethystina", "Cryptophlebia aniacra", "Cryptophlebia aphos", "Cryptophlebia atrilinea", "Cryptophlebia azuaya", "Cryptophlebia caeca", "Cryptophlebia callosoma", "Cryptophlebia carpophagoides", "Cryptophlebia cartarica", "Cryptophlebia cortesi", "Cryptophlebia distorta", "Cryptophlebia farraginea", "Jamides latimargus", "Jamides lucide", "Jamides coruscans", "Adhaesozetes barbarae", "Adhaesozetes polyphyllos", "Chaenothecopsis schefflerae", "Chaenothecopsis sitchensis", "Chaenothecopsis subparoica", "Jamides cyta madara", "Jamides cyta megdora", "Jamides cyta minna", "Chaenothecopsis thujae", "Chaenothecopsis tsugae", "Jamides cyta natsumiae", "Chaenothecopsis ussuriensis", "Chaenothecopsis vainioana", "Chaenothecopsis viridialba", "Chaenothecopsis viridireagens", "Chaenothecopsis tasmanica", "Hemerocallis lilioasphodelus", "Hemerocallis minor", "Hemerocallis thunbergii", "Chaenothecopsis caucasica", "Chaenothecopsis formosa", "Chaenothecopsis heterospora", "Hemerocallis darrowiana", "Chaenothecopsis hyrcana", "Chaenothecopsis mediarossica", "Chaenothecopsis sinensis", "Chaenothecopsis transbaikalica", "Hemerocallis dumortieri", "Hemerocallis middendorffii var. exaltata", "Jamides cyta vardusia", "Yamatosa schawalleri", "Creiis lituratus", "Anoeconeossa communis", "Metachrostis dardouini dilucida", "Metachrostis velox", "Metachrostis velox var. vinacea", "Metachrostis velocior", "Metachrostis velocior velocior", "Metachrostis velocior deserta", "Metachrostis griseimargo", "Metachrostis sefidi", "Metachrostis djakonovi", "Metachrostis hoenei", "Metachrostis batanga", "Metachrostis quinaria", "Metachrostis sinevi", "Metachrostis miasma", "Eublemma melabela", "Jamides cyta koenigswarteri", "Jamides cyta raddatzi", "Jamides virgulatus", "Rostropria casta", "Rostropria garbo", "Rostropria gondola", "Rostropria inopicida", "Rostropria simplex", "Rostropria spiniventris", "Maaminga marrisi", "Maaminga rangi", "Jamides cunilda", "Jamides cunilda cunilda", "Jamides cunilda nisanca", "Taiwanaphis nothofagi", "Paradoxaphis plagianthi", "Oribotritia paraincognita", "Ryssonotus nebulosus", "Jamides schatzi", "Jamides schatzi alvenus", "Jamides schatzi argentiferus", "Jamides schatzi demetrias", "Jamides schatzi jumaloni", "Jamides schatzi nakamotoi", "Jamides schatzi schatzi", "Echinoaesalus javanus", "Regalia fascicularis", "Scutocyamus antipodensis", "Austrochiltonia dalhousiensis", "Musella lasiocarpa", "Ensete livingstonianum", "Fortuynia elamellata", "Fortuynia atlantica", "Lanceoppia talacrensis", "Conjunctae incertae sedis", "Xenaroswelliana deltaquadrant", "Raphetis curta", "Raphetis darlingtoni", "Raphetis gracilis", "Raphetis gracilis gracilis", "Raphetis gracilis frerei", "Raphetis gracilis spinosa", "Raphetis gracilis spurgeoni", "Raphetis gracilis subarmata", "Puhuruhuru aotearoa", "Tacca ampliplacenta", "Tacca ankaranensis", "Tacca bibracteata", "Tacca celebica", "Bothrops itapetiningae", "Bothrops jararacussu", "Bothrops jonathani", "Tacca chantrieri", "Bothrops lanceolatus", "Bothrops leucurus", "Bothrops lojanus", "Bothrops marajoensis", "Bothrops moojeni", "Bothrops neuwiedi", "Bothrops pictus", "Bothrops sanctaecrucis", "Bothrops venezuelensis", "Tacca ebeltajae", "Tacca integrifolia", "Wiltshirocossus aries aries", "Wiltshirocossus aries cheesmani", "Wiltshirocossus aries aegyptiaca", "Tacca palmata", "Meranoplus hoplites", "Meranoplus hospes", "Meranoplus inermis", "Meranoplus laeviventris", "Meranoplus leveillei", "Meranoplus levis", "Meranoplus linae", "Meranoplus loebli", "Meranoplus magrettii", "Meranoplus malaysianus", "Meranoplus mars", "Meranoplus mayri", "Meranoplus mcarthuri", "Meranoplus minimus", "Meranoplus minor", "Meranoplus mjobergi", "Meranoplus montanus", "Meranoplus mucronatus", "Meranoplus naitsabes", "Meranoplus nanus", "Meranoplus nepalensis", "Meranoplus niger", "Meranoplus occidentalis", "Meranoplus oceanicus", "Meranoplus orientalis", "Meranoplus oxleyi", "Meranoplus peringueyi", "Meranoplus pubescens", "Meranoplus puryi", "Meranoplus radamae", "Meranoplus raripilis", "Meranoplus rothneyi", "Meranoplus rugosus", "Meranoplus sabronensis", "Meranoplus schoedli", "Meranoplus similis", "Meranoplus snellingi", "Meranoplus spininodis", "Meranoplus sthenus", "Meranoplus taurus", "Meranoplus testudineus", "Meranoplus tricuspidatus", "Meranoplus unicolor", "Meranoplus variabilis", "Meranoplus vestigator", "Meranoplus wilsoni", "Multiquaestia albimaculana", "Multiquaestia skulei", "Multiquaestia agassizi", "Multiquaestia dallastai", "Multiquaestia kingstoni", "Multiquaestia purana", "Multiquaestia iringana", "Taenioides anguillaris", "Multiquaestia andersi", "Taenioides buchanani", "Multiquaestia fibigeri", "Taenioides caniscapulus", "Taenioides cirratus", "Metachrostis dardouini", "Metachrostis dardouini dardouini", "Eucallipterus tiliae", "Essigella californica", "Coscinoptycha improbana", "Stomacarus ciliosus", "Ensete homblei", "Catostylus mosaicus", "Ensete superbum", "Helichrysum moeserianum", "Strelitzia alba", "Strelitzia caudata", "Strelitzia \u00d7 kewensis", "Myrmicaria anomala", "Myrmicaria aphidicola", "Myrmicaria arachnoides", "Myrmicaria arachnoides adpressipilosa", "Myrmicaria arachnoides arachnoides", "Myrmicaria arachnoides latinoda", "Myrmicaria arachnoides lutea", "Myrmicaria arachnoides luteiventris", "Myrmicaria arnoldi", "Myrmicaria basutorum", "Myrmicaria baumi", "Myrmicaria baumi baumi", "Myrmicaria baumi occidentalis", "Myrmicaria birmana", "Myrmicaria brunnea", "Myrmicaria brunnea brunnea", "Myrmicaria brunnea flava", "Tacca palmatifida", "Tacca parkeri", "Loepa meyi", "Loepa tibeta", "Tacca plantaginea", "Tacca reducta", "Tacca subflabellata", "Tacca weberi", "Aletris \u00d7tottenii", "Equus zebra hartmannae", "Equus zebra zebra", "Equus kiang kiang", "Equus kiang holdereri", "Equus kiang polyodon", "Equus kiang chu", "Gressittacantha terranova", "Antarctophorus subpolaris", "Friesea topo", "Gomphiocephalus hodgsoni", "Mecyclothorax rotundicollis", "Mecyclothorax ambiguus", "Phthitia emarginata", "Phthitia plesiocercus", "Onthophagus granulatus", "Lithophane thujae", "Pilea involucrata", "Iapir britskii", "Pilea pumila", "Lepicerus inaequalis", "Lepicerus bufo", "Pilea pumila var. deamii", "Pilea pumila var. pumila", "Prismognathus alessandrae", "Lissotes desmaresti", "Afrogeochus franzi", "Chaltenia patagonica", "Subulistomella rufa", "Mecyclothorax monteithi", "Myrmicaria brunnea subcarinata", "Myrmicaria carinata", "Myrmicaria carinata carinata", "Myrmicaria carinata gagatina", "Myrmicaria carinata jacobsoni", "Myrmicaria castanea", "Myrmicaria distincta", "Myrmicaria distincta abyssinica", "Myrmicaria distincta distincta", "Myrmicaria distincta vorax", "Myrmicaria exigua", "Myrmicaria exigua exigua", "Myrmicaria exigua gracilis", "Myrmicaria exigua kisangani", "Myrmicaria exigua obscura", "Myrmicaria exigua pulla", "Myrmicaria exigua rufiventris", "Myrmicaria exigua simplex", "Myrmicaria faurei", "Myrmicaria fodica", "Myrmicaria foreli", "Myrmicaria foreli foreli", "Myrmicaria foreli pallida", "Myrmicaria fumata", "Myrmicaria fumata fumata", "Myrmicaria fumata linearis", "Myrmicaria fusca", "Myrmicaria fusca consanguinea", "Myrmicaria fusca fusca", "Myrmicaria fusca nigerrima", "Myrmicaria irregularis", "Myrmicaria laevior", "Myrmicaria melanogaster", "Myrmicaria natalensis", "Myrmicaria natalensis eumenoides", "Myrmicaria natalensis natalensis", "Myrmicaria natalensis navicula", "Myrmicaria natalensis nigriventris", "Myrmicaria natalensis obscuriceps", "Myrmicaria natalensis taeniata", "Myrmicaria natalensis verticalis", "Myrmicaria nigra", "Myrmicaria opaciventris", "Myrmicaria opaciventris congolensis", "Myrmicaria opaciventris crucheti", "Myrmicaria opaciventris mesonotalis", "Myrmicaria opaciventris obscuripes", "Myrmicaria opaciventris opaciventris", "Myrmicaria reichenspergeri", "Myrmicaria rhodesiae", "Myrmicaria rugosa", "Myrmicaria rustica", "Myrmicaria rustica angustior", "Myrmicaria rustica rustica", "Myrmicaria salambo", "Myrmicaria striata", "Myrmicaria striata buttgenbachi", "Myrmicaria striata insularis", "Myrmicaria striata pilosa", "Myrmicaria striata striata", "Myrmicaria striatula", "Myrmicaria tigreensis", "Myrmicaria vidua", "Strelitzia reginae", "Onthophagus posticus", "Jamides ferrari", "Jamides ferrari evansi", "Jamides ferrari ferrari", "Solenopsis invicta", "Hoshihananomia dumbrelli", "Hoshihananomia multiguttata", "Jamides alsietus", "Jamides alsietus alsietus", "Jamides biru", "Selenochilus oculator", "Selenochilus ruficornis", "Selenochilus piceus", "Selenochilus syntheticus", "Camisia nova", "Eutetramorium mocquerysi", "Eutetramorium monticellii", "Huberia brounii", "Huberia striata", "Hylomyrma balzani", "Hylomyrma blandiens", "Mecyclothorax paradoxus", "Mecyclothorax perpolitus", "Mecyclothorax deverilli", "Mecyclothorax pele", "Mecyclothorax vulcanus", "Mecyclothorax variipes", "Anitamaria himalaica", "Australcephus storeyi", "Mecyclothorax tantalus", "Mecyclothorax oculatus", "Mecyclothorax flavomarginatus", "Mecyclothorax exilis", "Mecyclothorax minor", "Mecyclothorax lahainae", "Mecyclothorax irregularis", "Mecyclothorax trisetifer", "Mecyclothorax argutor", "Mecyclothorax laetus", "Mecyclothorax ovipennis", "Mecyclothorax perstriatus", "Mecyclothorax bicolor", "Mecyclothorax acutangulus", "Mecyclothorax fosbergioides", "Mecyclothorax gourvesioides", "Mecyclothorax ovalipennis", "Mecyclothorax paraltiusculus", "Mecyclothorax parovalipennis", "Mecyclothorax pseudaltiusculus", "Mecyclothorax sinuatus", "Mecyclothorax tuberculatus", "Homepuraea halli", "Mecyclothorax altiusculoides", "Mecyclothorax bryobioides", "Mecyclothorax ferruginosus", "Mecyclothorax hamatus", "Ceruchus chuduraziensis", "Sinodendron yunnanense", "Lycaenopsis haraldus annamitica", "Lycaenopsis haraldus cornuta", "Lycaenopsis haraldus haraldus", "Curidia knoxi", "Lycaenopsis haraldus mayaangelae", "Lycaenopsis haraldus renonga", "Dracaena sanderiana", "Prosotas maputi", "Meonochilus amplipennis", "Meonochilus eplicatus", "Meonochilus placens", "Camiarus estriatus", "Echinoaesalus dharma", "Aesalus saburoi", "Aesalus satoi", "Aesalus sichuanensis", "Aesalus imanishii", "Lucanobium squamosum", "Eoproscopia martilli", "Reineckea incurva", "Brontoscorpio anglicus", "Myrmica bessarabica", "Myrmica ritae", "Myrmica rubra khamensis", "Myrmica rubra neolaevinodis", "Myrmica rubra rubra", "Myrmica ruginodis", "Myrmica rugiventris", "Myrmica rugosa", "Myrmica rugulosa", "Myrmica rugulososcabrinodis", "Myrmica rupestris", "Myrmica sabuleti", "Swammerdamia glaucella", "Swammerdamia buraetella", "Pseudonaja affinis", "Pingasa serrativalvis", "Mecyclothorax abax", "Mecyclothorax aeneipennis", "Mecyclothorax annae", "Mecyclothorax arcuatus", "Mecyclothorax comma", "Mecyclothorax consobrinus", "Mecyclothorax convexus", "Mecyclothorax cordithorax", "Mecyclothorax cymindoides", "Mecyclothorax debiliceps", "Colocleora ueleensis", "Mecyclothorax dunbarorum", "Mecyclothorax ewingi", "Mecyclothorax flavolateralis", "Mecyclothorax giffardi", "Mecyclothorax granulatus", "Mecyclothorax impunctatus", "Mecyclothorax howei", "Mecyclothorax joni", "Mecyclothorax kavanaughi", "Mecyclothorax latissimus", "Mecyclothorax latus", "Mecyclothorax lisae", "Mecyclothorax lissopterus", "Mecyclothorax obscurus", "Mecyclothorax polhemusi", "Mecyclothorax punctatostriatus", "Mecyclothorax stenolophinus", "Mecyclothorax subater", "Mecyclothorax subsinuatus", "Mecyclothorax superstriatus", "Mecyclothorax rotundatus", "Mecyclothorax bembidioides", "Mecyclothorax sharpi", "Mecyclothorax vitreus", "Mecyclothorax cognatus", "Mecyclothorax incompositus", "Mecyclothorax ater", "Mecyclothorax globosus", "Mecyclothorax sabulicola", "Mecyclothorax robustus", "Mecyclothorax bembidicus", "Myrmica lemasnei", "Myrmica lineolata", "Myrmica lobicornis", "Myrmica lobicornis foreliella", "Myrmica lobicornis lobicornis", "Myrmica lobifrons", "Myrmica lobulicornis", "Myrmica lonae", "Myrmica longispinosa", "Myrmica luctuosa", "Myrmica luteola", "Myrmica macrocephala", "Myrmica margaritae", "Myrmica martensi", "Myrmica mexicana", "Myrmica microrubra", "Myrmica minuta", "Myrmica molassica", "Myrmica montana", "Myrmica monticola", "Myrmica myrmicoxena", "Myrmica nearctica", "Myrmica nebulosa", "Myrmica nitida", "Myrmica obscurata", "Myrmica obsoleta", "Myrmica onoyamai", "Myrmica ordinaria", "Myrmica orientalis", "Myrmica orthostyla", "Myrmica pachei", "Myrmica pelops", "Myrmica petita", "Myrmica pilinodis", "Myrmica pinetorum", "Myrmica pisarskii", "Myrmica punctinops", "Myrmica punctiventris", "Myrmica quebecensis", "Myrmica ravasinii", "Myrmica rhytida", "Myrmica rigatoi", "Hylomyrma columbica", "Hylomyrma dentiloba", "Hylomyrma dolichops", "Hylomyrma immanis", "Hylomyrma longiscapa", "Hylomyrma praepotens", "Hylomyrma reginae", "Hylomyrma reitteri", "Hylomyrma sagax", "Hylomyrma transversa", "Hylomyrma versuta", "Manica bradleyi", "Manica hunteri", "Manica invidia", "Manica parasitica", "Vitis vinifera", "Manica rubida", "Manica yessensis", "Myrmica ademonia", "Myrmica aemula", "Myrmica afghanica", "Myrmica aimonissabaudiae", "Myrmica alaskensis", "Myrmica aloba", "Myrmica americana", "Myrmica anatolica", "Myrmica angulata", "Myrmica angulinodis", "Myrmica angusticollis", "Myrmica archaica", "Myrmica arisana", "Myrmica arnoldii", "Myrmica assimilis", "Myrmica bakurianica", "Myrmica bergi", "Hypogymnia minilobata", "Tolidopalpus castaneicolor", "Tolidopalpus galloisi", "Tolidopalpus bimaculatus", "Tolidopalpus sakaii", "Scythris kefensis", "Scythris spectatorella", "Australotarsius grandis", "Australotarsius tasmanicus", "Phormium colensoi", "Chaenothecopsis debilis", "Phormium tenax", "Chaenothecopsis dolichocephala", "Chaenothecopsis edbergii", "Chaenothecopsis epithallina", "Chaenothecopsis exilis", "Chaenothecopsis exserta", "Chaenothecopsis fennica", "Chaenothecopsis golubkovae", "Chaenothecopsis haematopus", "Chaenothecopsis hospitans", "Chaenothecopsis irregularis", "Chaenothecopsis kalbii", "Chaenothecopsis koerberi", "Chaenothecopsis lecanactidis", "Chaenothecopsis nana", "Chaenothecopsis nigra", "Chaenothecopsis nigropedata", "Chaenothecopsis nivea", "Jamides cyta lamax", "Jamides cyta lividus", "Chaenothecopsis norstictica", "Jamides cyta margarita", "Jamides cyta courvoisieri", "Jamides cyta leiothrix", "Chaenothecopsis ochroleuca", "Chaenothecopsis parasitaster", "Chaenothecopsis pilosa", "Chaenothecopsis pusilla", "Chaenothecopsis pusiola", "Chaenothecopsis rappii", "Chaenothecopsis resinicola", "Chaenothecopsis retinens", "Chaenothecopsis rubescens", "Chaenothecopsis rubina", "Chaenothecopsis sagenidii", "Chaenothecopsis sanguinea", "Chaenothecopsis savonica", "Myrmica tenuispina", "Myrmica tertiaria", "Myrmica tibetana", "Myrmica titanica", "Myrmica tobiasi", "Myrmica transsibirica", "Myrmica tschekanovskii", "Myrmica tulinae", "Myrmica turcica", "Myrmica urbanii", "Myrmica vandeli", "Myrmica venusta", "Myrmica villosa", "Myrmica vittata", "Myrmica wardi", "Myrmica wesmaeli", "Myrmica wheeleri", "Myrmica wheelerorum", "Myrmica whymperi", "Myrmica williamsi", "Myrmica winterae", "Myrmica wittmeri", "Myrmica yamanei", "Myrmica yoshiokai", "Myrmica zojae", "Laccocenus ambiguus", "Laccocenus vicinus", "Mecyclothorax globicollis", "Disporopsis aspersa", "Mecyclothorax goweri", "Disporopsis fuscopicta", "Disporopsis jinfushanensis", "Disporopsis longifolia", "Disporopsis pernyi", "Disporopsis undulata", "Mecyclothorax impressipennis", "Mecyclothorax inflatus", "Mecyclothorax lewisensis", "Mecyclothorax lewisensis uncinatus", "Mecyclothorax lewisensis lewisensis", "Mecyclothorax storeyi", "Mecyclothorax punctipennis", "Emberiza siemsseni", "Emberiza lathami", "Regulus bulgaricus", "Yuripopovia woottoni", "Yuripopovia vectense", "Coladenia neomaeniata", "Strymon ziba", "Theropogon pallidus", "Myrmica bessarabica bessarabica", "Myrmica bessarabica dolens", "Myrmica bibikoffi", "Myrmica bidentata", "Myrmica boltoni", "Myrmica brancuccii", "Myrmica bremii", "Myrmica breviceps", "Myrmica brevispinosa", "Myrmica cachmiriensis", "Myrmica cadusa", "Aspidistra lurida", "Myrmica caeca", "Myrmica cagnianti", "Myrmica caucasica", "Myrmica caucasicola", "Myrmica chinensis", "Myrmica colax", "Myrmica collingwoodi", "Myrmica commarginata", "Myrmica concinna", "Myrmica corrugata", "Myrmica crassirugis", "Myrmica cursor", "Myrmica curvithorax", "Myrmica discontinua", "Myrmica displicentia", "Myrmica divergens", "Myrmica diversa", "Myrmica draco", "Myrmica dshungarica", "Myrmica ereptrix", "Myrmica excelsa", "Myrmica faniensis", "Myrmica ferganensis", "Myrmica forcipata", "Myrmica foreliana", "Myrmica formosae", "Myrmica fortior", "Myrmica fracticornis", "Myrmica gallienii", "Myrmica gigantea", "Myrmica glacialis", "Myrmica hamulata", "Myrmica hamulata hamulata", "Myrmica hamulata trullicornis", "Myrmica hecate", "Myrmica hellenica", "Myrmica helleri", "Myrmica hirsuta", "Myrmica humilis", "Myrmica hyungokae", "Myrmica incompleta", "Myrmica incurvata", "Myrmica indica", "Myrmica inezae", "Myrmica inflecta", "Myrmica inucta", "Myrmica jennyae", "Myrmica jessensis", "Myrmica jucunda", "Paratopula demeta", "Paratopula intermedia", "Paratopula longispina", "Paratopula macta", "Paratopula oculata", "Paratopula sumatrensis", "Allactaga balikunica", "Allactaga bullata", "Allactaga elater", "Allactaga euphratica", "Allactaga hotsoni", "Allactaga major", "Allactaga severtzovi", "Allactaga sibirica", "Allactaga tetradactyla", "Allactaga williamsi", "Allactaga vinogradovi", "Pygeretmus platyurus", "Pygeretmus pumilio", "Pygeretmus shitkovi", "Salpingotulus michaelis", "Salpingotus crassicauda", "Salpingotus heptneri", "Salpingotus kozlovi", "Myrmica juglandeti", "Myrmica jurinei", "Myrmica kabylica", "Myrmica kamtschatica", "Myrmica karavajevi", "Myrmica kasczenkoi", "Myrmica koreana", "Myrmica kotokui", "Myrmica kozlovi", "Myrmica kozlovi kozlovi", "Myrmica kozlovi mekongi", "Myrmica kozlovi subalpina", "Myrmica kozlovi subbrevispinosa", "Myrmica kryzhanovskii", "Myrmica kurokii", "Myrmica kurokii kurokii", "Myrmica kurokii sontica", "Myrmica lacustris", "Myrmica lampra", "Myrmica latifrons", "Myrmica laurae", "Episothalma robustaria", "Episothalma cognataria", "Liriope kansuensis", "Liriope longipedicellata", "Episothalma irrobustaria", "Episothalma cuspidata", "Pseudepisothalma ocellata", "Aesalus scarabaeoides meridionalis", "Aesalus scarabaeoides siculus", "Penichrolucanus hirohiro", "Maianthemum amoenum", "Penichrolucanus cryptonychus", "Holcocera tapadulcea", "Nuliodon fishburni", "Eupograpta anhat", "Eupograpta kottae", "Tetrapturus belone", "Taenioides eruptionis", "Taenioides esquivel", "Taenioides gracilis", "Doryanthes excelsa", "Doryanthes palmeri", "Bubalus bubalis carabanesis", "Bubalus bubalis bubalis", "Elachista devexella", "Elachista olschwangi", "Elachista arduella", "Elachista gibbera", "Elachista acutella", "Myrmica salina", "Myrmica saposhnikovi", "Myrmica scabrata", "Myrmica scabrinodis", "Myrmica scabrinodis eidmanni", "Myrmica scabrinodis scabrinodis", "Myrmica scabrinodis ussuriensis", "Myrmica schencki", "Myrmica schenckioides", "Myrmica semiparasitica", "Myrmica serica", "Myrmica siciliana", "Myrmica silvestrii", "Myrmica sinensis", "Myrmica sinica", "Myrmica smythiesii", "Myrmica smythiesii bactriana", "Myrmica smythiesii exigua", "Myrmica smythiesii smythiesii", "Myrmica spatulata", "Myrmica specioides", "Myrmica spinosior", "Myrmica stangeana", "Myrmica striolagaster", "Myrmica sublanuginosa", "Myrmica sulcinodis", "Myrmica sulcinodis sulcinodis", "Myrmica sulcinodis vicaria", "Myrmica symbiotica", "Myrmica taediosa", "Myrmica tahoensis", "Myrmica taibaiensis", "Myrmica tamarae", "Salpingotus pallidus", "Salpingotus thomasi", "Agaricus semotus", "Oxalis pes-caprae", "Thalycrodes cylindricum", "Thalycrodes pulchrum", "Thalycrodes australe", "Thalycrodes alutaceum", "Thalycrodes annae", "Thalycrodes calvatum", "Thalycrodes mixtum", "Panphagia protos", "Aethina concolor", "Soronia asperella", "Neopocadius aequalis", "Carpophilus marginellus", "Omosita discoidea", "Blandfordia cunninghamii", "Blandfordia grandiflora", "Blandfordia punicea", "Chrysozephyrus brillantinus", "Chrysozephyrus disparatus", "Chrysozephyrus disparatus pseudotaiwanus", "Chrysozephyrus duma", "Chrysozephyrus gaoi", "Chrysozephyrus hisamatsusanus", "Pandorathrips ascius", "Dodonaeathrips eremiae", "Chaenotheca australis", "Popovigocimex yurii", "Chaenotheca chrysocephala", "Chaenotheca cinerea", "Chaenotheca citriocephala", "Chaenotheca confusa", "Chaenotheca deludens", "Chaenotheca ferruginea", "Chaenotheca floridana", "Chaenotheca furfuracea", "Chaenotheca gracilenta", "Cnipsarcha chilensis", "Homepuraea amoena", "Chaenotheca hygrophila", "Chaenotheca laevigata", "Chaenotheca nitidula", "Cryptarcha optanda", "Chaenotheca olivaceorufa", "Chaenotheca papuensis", "Chaenotheca phaeocephala", "Pogonomyrmex humerotumidus", "Pogonomyrmex imberbiculus", "Pogonomyrmex inermis", "Pogonomyrmex laevigatus", "Pogonomyrmex laevinodis", "Cryptarcha nitidissima", "Pogonomyrmex laticeps", "Pogonomyrmex lobatus", "Pogonomyrmex longibarbis", "Pogonomyrmex magnacanthus", "Pogonomyrmex marcusi", "Pogonomyrmex maricopa", "Pogonomyrmex mayri", "Pogonomyrmex meridionalis", "Pogonomyrmex meridionalis leonis", "Pogonomyrmex meridionalis meridionalis", "Pogonomyrmex micans", "Pogonomyrmex montanus", "Pogonomyrmex naegelii", "Pogonomyrmex occidentalis", "Pogonomyrmex odoratus", "Pogonomyrmex pima", "Pogonomyrmex pronotalis", "Pogonomyrmex rastratus", "Pogonomyrmex rastratus pulchellus", "Pogonomyrmex rastratus rastratus", "Pogonomyrmex rugosus", "Pogonomyrmex salinus", "Pogonomyrmex saucius", "Pogonomyrmex schmitti", "Pogonomyrmex schmitti aterrimus", "Pogonomyrmex schmitti darlingtoni", "Pogonomyrmex schmitti schmitti", "Pogonomyrmex schmitti sublaevigatus", "Pogonomyrmex snellingi", "Pogonomyrmex stefani", "Pogonomyrmex striatinodis", "Pogonomyrmex subdentatus", "Pogonomyrmex subnitidus", "Pogonomyrmex sylvestris", "Pogonomyrmex tenuipubens", "Pogonomyrmex tenuispinus", "Pogonomyrmex texanus", "Pogonomyrmex theresiae", "Pogonomyrmex uruguayensis", "Pogonomyrmex variabilis", "Pogonomyrmex vermiculatus", "Pogonomyrmex vermiculatus chubutensis", "Pogonomyrmex vermiculatus vermiculatus", "Pogonomyrmex wheeleri", "Secostruma lethifera", "Paratopula andamanensis", "Paratopula ankistra", "Paratopula catocha", "Paratopula ceylonica", "Ostomarcha marginata", "Chaenotheca servitii", "Chaenotheca sphaerocephala", "Chaenotheca xyloxena", "Chaenotheca gracillima", "Nothomyrmica intermedia", "Nothomyrmica petiolata", "Nothomyrmica rudis", "Nothomyrmica rugosostriata", "Pogonomyrmex abdominalis", "Pogonomyrmex andinus", "Pogonomyrmex anergismus", "Pogonomyrmex angustus", "Pogonomyrmex anzensis", "Pogonomyrmex apache", "Pogonomyrmex atratus", "Pogonomyrmex badius", "Pogonomyrmex barbatus", "Pogonomyrmex bicolor", "Pogonomyrmex bigbendensis", "Pogonomyrmex bispinosus", "Pogonomyrmex brevibarbis", "Pogonomyrmex brevibarbis brevibarbis", "Pogonomyrmex brevibarbis niger", "Pogonomyrmex brevibarbis silvestrii", "Pogonomyrmex brevispinosus", "Pogonomyrmex bruchi", "Pogonomyrmex californicus", "Pogonomyrmex carbonarius", "Pogonomyrmex carbonarius carbonarius", "Pogonomyrmex carbonarius sanmartini", "Pogonomyrmex catanlilensis", "Pogonomyrmex coarctatus", "Pogonomyrmex colei", "Pogonomyrmex comanche", "Pogonomyrmex cunicularius", "Pogonomyrmex desertorum", "Pogonomyrmex fossilis", "Pogonomyrmex guatemaltecus", "Pogonomyrmex huachucanus", "Coloradia prchali", "Carmenta flaschkai", "Podocnemis erythrocephala", "Podocnemis expansa", "Podocnemis sextuberculata", "Apomatus ampulliferus", "Apomatus lilliei", "Apomatus elisabethae", "Apomatus enosimae", "Bathyditrupa hovei", "Bathyvermilia challengeri", "Bathyvermilia islandica", "Bathyvermilia kupriyanovae", "Bathyvermilia langerhansi", "Bathyvermilia zibrowiusi", "Chitinopomoides wilsoni", "Crucigera inconstans", "Crucigera irregularis", "Crucigera tricornis", "Crucigera websteri", "Crucigera zygophora", "Dasynema chrysogyrus", "Ditrupa arietina", "Ditrupa gracillima", "Stylodipus sungorus", "Stylodipus telum", "Ishakidris ascitaspis", "Phalacromyrmex fugax", "Ozanaphothrips condaminei", "Ozanaphothrips fenarius", "Ozanaphothrips kununurrai", "Ozanaphothrips perotis", "Ozanaphothrips thulius", "Ozanaphothrips torridus", "Anaphothrips aptilotus", "Anaphothrips atriplicis", "Anaphothrips augustae", "Anaphothrips barringtoni", "Anaphothrips barrowi", "Anaphothrips callani", "Anaphothrips chortinus", "Anaphothrips cobari", "Anaphothrips dalbyi", "Anaphothrips desleyae", "Anaphothrips epacrida", "Anaphothrips eremophilae", "Anaphothrips exocarpoides", "Anaphothrips geijerae", "Anaphothrips geleznowiae", "Anaphothrips gillespiei", "Anaphothrips glenysae", "Anaphothrips monga", "Anaphothrips nimbus", "Anaphothrips orchis", "Anaphothrips parsonsiae", "Anaphothrips pultenaeae", "Anaphothrips walchae", "Anaphothrips westringiae", "Anaphothrips whyalla", "Anaphothrips yalgooi", "Chrysozephyrus intermedius", "Chrysozephyrus intermedius lao", "Chrysozephyrus kabrua", "Chrysozephyrus kabrua niitakanus", "Chrysozephyrus kabrua philipi", "Chrysozephyrus kabrua ueharai", "Chrysozephyrus nigroapicalis", "Chrysozephyrus nigroapicalis khambounei", "Chrysozephyrus nigroapicalis nigroapicalis", "Chrysozephyrus nigroapicalis shizuyai", "Chrysozephyrus nishikaze", "Chrysozephyrus fujiokai obscurus", "Chrysozephyrus okamurai", "Chrysozephyrus sakula", "Chrysozephyrus watsoni inflatus", "Chrysozephyrus watsoni kameii", "Chrysozephyrus watsoni watsoni", "Chrysozephyrus yoshikoae", "Chrysozephyrus yuchingkinus", "Paracyclops waiariki", "Penthesilenula sphagna", "Boeckella tanea", "Eucypris pratensis", "Panspoeus guttatus", "Idacarabus cordicollis", "Idacarabus longicollis", "Idacarabus punctipennis", "Idacarabus troglodytes", "Wetanema hula", "Aquilex diabolicola", "Cytilissus claviger", "Synorthus insularis", "Pseudhelops clandestinus", "Pseudhelops liberalis", "Pseudhelops antipodensis", "Gonocephalum elderi", "Oxylasma pannosum", "Oxylasma tectum", "Oxylasma basale", "Oxylasma carinale", "Epirrita autumnata smetanini", "Zapus hudsonius", "Zapus princeps", "Zapus trinotatus", "Platacanthomys lasiurus", "Typhlomys cinereus", "Donacia australasiae", "Dicranosterna semipunctata", "Pyrgo rasheedi", "Peltoschema filicornis", "Trachymela sloanei", "Trachymela catenata", "Paropsis charybdis", "Chrysozephyrus scintillans", "Chrysozephyrus setohi", "Chrysozephyrus shimizui", "Chrysozephyrus sikkimensis", "Chrysozephyrus fujiokai", "Chrysozephyrus smaragdinus", "Chrysozephyrus smaragdinus abaensis", "Chrysozephyrus tatsienluensis", "Hesperoyucca newberryi", "Hesperoyucca whipplei", "Kinosternon scorpioides", "Rhinoclemmys punctularia", "Peltocephalus dumeriliana", "Pedaliodes ornata ornata", "Pedaliodes ornata haroldboxi", "Tigridia albicans", "Tigridia amatlanensis", "Tigridia bicolor", "Acanthochelys radiolata", "Jaculus blanfordi", "Jaculus orientalis", "Stylodipus andrewsi", "Mecyclothorax bilaianus", "Mecyclothorax julianae", "Mecyclothorax eipomeki", "Mecyclothorax eliti", "Mecyclothorax sapei", "Mecyclothorax jiwikae", "Mecyclothorax langdae", "Chrysozephyrus tatsienluensis tatsienluensis", "Chrysozephyrus vittatus", "Chrysozephyrus watsoni", "Chrysozephyrus watsoni dabaensis", "Oxylasma vittiger", "Zeaglophus pilicornis", "Amychus granulatus", "Scythris elburzi", "Scythris balkhi", "Scythris brandti", "Dendrolimus pini", "Dendrolimus kilmez", "Dendrolimus sibiricus", "Dendrolimus superans", "Sambara sinuana", "Gonomomera halixanta", "Hilaroptila mimetica", "Scythris hostilis", "Scythris ianitella", "Scythris ingens", "Scythris pototskii", "Scythris juerivetei", "Scythris hebesella", "Scythris hemicycliella", "Hopliteccopsis amemorpha", "Hopliteccopsis crocostoma", "Hopliteccopsis maura", "Hoplitendemis centraspis", "Hoplitendemis erebodes", "Hoplitendemis pogonopoda", "Hoplitendemis inauditana", "Hystrichoscelus spathanum", "Aphaenogaster concolor", "Aphaenogaster cristata", "Aphaenogaster crocea", "Aridaeus thoracicus", "Sphaerites dimidiatus", "Syntelia davidis", "Syntelia indica", "Syntelia westwoodi", "Syntelia mexicana", "Syntelia mazuri", "Syntelia sinica", "Pronectria tenuispora", "Pronectria terrestris", "Pronectria tibellii", "Pronectria tincta", "Pronectria verrucariae", "Pronectria walkerorum", "Pronectria xanthoriae", "Pronectria oligospora", "Rethusus fulvescens", "Rethusus lachrymosus", "Rethusus pustulosus", "Chilasa elwesi", "Chilasa maraho", "Pentapodus numberii", "Pseudohypatopa pulverea", "Pseudohypatopa longicornutella", "Pseudohypatopa longitubulata", "Pseudohypatopa paulilobata", "Elachista deriventa", "Podocnemis lewyana", "Scythris gratiosella", "Scythris balcanica", "Scythris aspromontis", "Scythris iberica", "Scythris staudingeri", "Scythris cycladeae", "Calomyscus bailwardi", "Dromius meridionalis", "Arthracanthus atriceps", "Pronectria angulospora", "Arthracanthus fossicollis", "Arthracanthus foveicollis", "Pronectria anisospora", "Pronectria fissuriprodiens", "Cicindela spilleri", "Neocicindela spilleri", "Pronectria leptaleae", "Pronectria leptaleoides", "Pronectria leptogii", "Pronectria lichenicola", "Trachytetra rugulosa", "Pronectria microspora", "Pronectria minuta", "Moanasaurus mangahouangae", "Pleuraltica tyche", "Orphilus africanus", "Thorictus beninensis", "Sphaerites opacus", "Sphaerites nitidus", "Pronectria parmotrematis", "Agonopterix paulae", "Pronectria pertusariicola", "Pronectria pilosa", "Agonopterix costimacula", "Pronectria protopannariae", "Pronectria robergei", "Difundella corynophora", "Difundella subsutella", "Archaeoptilomera derlethi", "Archaeoptilomera kodadai", "Difundella dumiella", "Celerobates imadatei", "Difundella parana", "Ptilomerella akekawati", "Ptilomerella anderseni", "Difundella unguifera", "Difundella cancerella", "Difundella teresina", "Pronectria roseopunctata", "Pronectria santessonii", "Pronectria septemseptata", "Euprenolepis echinata", "Pronectria solorinae", "Euprenolepis maschwitzi", "Euprenolepis thrix", "Pronectria sticticola", "Euprenolepis variegata", "Euprenolepis wittei", "Euprenolepis zeta", "Pronectria subimperspicua", "Pronectria tenacis", "Allium angulosum", "Andropogon binatus", "Tianyulong confuciusi", "Oregocerata submontana", "Calomyscus baluchi", "Oregocerata chrysodetis", "Oregocerata cladognathos", "Calomyscus elburzensis", "Oregocerata orcula", "Oregocerata rhyparograpta", "Calomyscus grandis", "Oregocerata zonalis", "Calomyscus hotsoni", "Calomyscus mystax", "Paiwarria chuchuvia", "Calomyscus tsolovi", "Calomyscus urartensis", "Phrynops geoffroanus", "Phrynops tuberosus", "Phrynops williamsi", "Mesoclemmys nasuta", "Mesoclemmys raniceps", "Rhinemys rufipes", "Mesoclemmys tuberculata", "Mesoclemmys vanderhaegei", "Mesoclemmys zuliae", "Daboia russelii", "Gnomodes piceus", "Zorion australe", "Zorion dugdalei", "Zorion kaikouraiensis", "Zorion nonmaculatum", "Zorion taranakiensis", "Xuthodes punctipennis", "Xuthodes batesi", "Aphaenogaster turkestanica", "Aphaenogaster uinta", "Aphaenogaster umphreyi", "Aphaenogaster vapida", "Aphaenogaster verecunda", "Aphaenogaster weigoldi", "Aphaenogaster weulersseae", "Aphaenogaster wilsoni", "Psammobates geometricus", "Psammobates oculifer", "Psammobates tentorius", "Xanthia tatago", "Leptoneta tianzinensis", "Aphilon praestans", "Aphilon latulum", "Aphilon enigma", "Pronectria oligospora var. oligospora", "Pronectria oligospora var. octospora", "Euxanthe trajanus", "Euxanthe trajanus trajanus", "Euxanthe trajanus vansomereni", "Euxanthe trajanus antonius", "Euxanthe trajanus bambi", "Alticola albicaudus", "Alticola argentatus", "Alticola barakshin", "Alticola lemminus", "Alticola macrotis", "Alticola montosa", "Alticola olchonensis", "Alticola roylei", "Alticola semicanus", "Alticola stoliczkanus", "Neoleucinodes silvaniae", "Alticola tuvinicus", "Cochylis aestiva", "Cochylis aethoclasma", "Cochylis amoenana", "Cochylis anerista", "Cochylis argentinana", "Cochylis arthuri", "Cochylis atricapitana", "Cochylis aurorana", "Cochylis avita", "Cochylis bucera", "Cochylis carmelana", "Cochylis caulocatax", "Rhodobates bifurcatus", "Rhodobates triangulatus", "Rhodobates fascespinatus", "Rhodobates curvativus", "Rhodobates cupulatus", "Ogyris subterrestris", "Tehuacania howdeni", "Allastena nitida", "Gladiolus illyricus", "Allastena quadrata", "Allastena piliventris", "Allastena eminens", "Bryobates coniformis", "Bryobates aeratus", "Bryobates nigricans", "Bryobates rugidorsis", "Caccomolpus subcupreus", "Caccomolpus amplus", "Caccomolpus nigristernis", "Caccomolpus hallianus", "Caccomolpus fuscicornis", "Caccomolpus substriatus", "Caccomolpus tibialis", "Caccomolpus viridescens", "Caccomolpus flectipes", "Caccomolpus pullatus", "Caccomolpus globosus", "Caccomolpus montanus", "Cyclocephala anibali", "Gladiolus imbricatus", "Gladiolus palustris", "Gladiolus \u00d7 hortulanus", "Gladiolus \u00d7 gandavensis", "Gladiolus \u00d7 lemoinei", "Cochylimorpha agenjoi", "Cochylimorpha alticolana", "Cochylimorpha amabilis", "Cochylis temerana", "Combosclera cingens", "Commophila aeneana", "Commophila nevadensis", "Coristaca capsularia", "Tillandsia usneoides", "Tremella mesenterica", "Carabhydrus andreas", "Carabhydrus monteithi", "Carabhydrus niger", "Carabhydrus plicatus", "Carabhydrus mubboonus", "Carabhydrus innae", "Carabhydrus janmillerae", "Carabhydrus storeyi", "Carabhydrus turaki", "Roxita acutispinata", "Roxita capucunca", "Pilacolaspis latipennis", "Pilacolaspis huttoni", "Peniticus antiquus", "Peniticus suffusus", "Peniticus plicatus", "Aneorhachis fijiana", "Eucolaspis castanea", "Eucolaspis saltator", "Antiporus femoralis", "Cortinicara meridianus", "Cortinicara hirtalis", "Cochylis dormitoria", "Aphaenogaster honduriana", "Aphaenogaster huachucana", "Aphaenogaster huachucana crinimera", "Aphaenogaster huachucana huachucana", "Aphaenogaster hunanensis", "Aphaenogaster iberica", "Aphaenogaster incurviclypea", "Aphaenogaster inermita", "Aphaenogaster ionia", "Cochylis dubitana", "Aphaenogaster irrigua", "Aphaenogaster isekram", "Aphaenogaster italica", "Aphaenogaster januschevi", "Aphaenogaster japonica", "Aphaenogaster kervillei", "Aphaenogaster kimberleyensis", "Aphaenogaster kumejimana", "Cochylis epilinana", "Aphaenogaster kurdica", "Aphaenogaster laevior", "Aphaenogaster lamellidens", "Aphaenogaster lapidescens", "Cochylis erromena", "Aphaenogaster ledouxi", "Aphaenogaster lepida", "Aphaenogaster lesbica", "Cochylis eupacria", "Aphaenogaster livida", "Aphaenogaster longaeva", "Cochylis eureta", "Aphaenogaster longiceps", "Aphaenogaster loriai", "Cochylis eutaxia", "Aphaenogaster lustrans", "Aphaenogaster luteipes", "Cochylis eutheta", "Aphaenogaster maculata", "Aphaenogaster maculipes", "Aphaenogaster mariae", "Cochylis exomala", "Aphaenogaster mauritanica", "Aphaenogaster mayri", "Aphaenogaster mediterrae", "Aphaenogaster megommata", "Aphaenogaster mersa", "Cochylis faustana", "Aphaenogaster messoroides", "Aphaenogaster mexicana", "Aphaenogaster miamiana", "Aphaenogaster miniata", "Aphaenogaster minutula", "Aphaenogaster muelleriana", "Aphaenogaster mutica", "Cochylis flabilis", "Aphaenogaster nadigi", "Aphaenogaster nana", "Aphaenogaster obsidiana", "Aphaenogaster occidentalis", "Aphaenogaster oligocenica", "Aphaenogaster opposita", "Aphaenogaster osimensis", "Aphaenogaster ovaticeps", "Adoxia vulgaris", "Adoxia attenuata", "Adoxia thoracica", "Adoxia nigricans", "Adoxia nitidicollis", "Adoxia aenea", "Adoxia viridis", "Adoxia oleareae", "Adoxia rugicollis", "Adoxia brevicollis", "Adoxia sulcifer", "Adoxia rectipes", "Adoxia calcarata", "Adoxia princeps", "Adoxia monticola", "Adoxia fuscata", "Adoxia sordida", "Adoxia truncata", "Adoxia nigricornis", "Adoxia aenescens", "Adoxia puncticollis", "Adoxia angularia", "Adoxia scutellaris", "Adoxia lewisi", "Adoxia axyrocharis", "Adoxia palialis", "Adoxia asperella", "Adoxia cheesemani", "Adoxia obscura", "Adoxia diversa", "Adoxia fuscifrons", "Adoxia simmondsi", "Adoxia foveigera", "Adoxia oconnori", "Adoxia atripennis", "Adoxia anthracina", "Adoxia insolita", "Adoxia bullata", "Adoxia discrepans", "Adoxia dilatata", "Adoxia aurella", "Adoxia iridescens", "Adoxia nodicollis", "Adoxia dilutipes", "Adoxia pubicollis", "Adoxia halli", "Adoxia dilucida", "Lochmaea suturalis", "Arnomus brouni", "Arnomus curtipes", "Arnomus marginalis", "Arnomus fulvus", "Arnomus vicinus", "Arnomus viridicollis", "Arnomus signatus", "Acanthoscelides alonsoi", "Bruchidius villosus", "Trachytetra robusta", "Pleuraltica cyanea", "Chaetocnema aotearoa", "Chaetocnema moriori", "Phyllotreta undulata", "Agasicles hygrophila", "Gonioctena olivacea", "Lema cyanella", "Chrysolina hyperici", "Chrysolina quadrigemina", "Longitarsus fuliginosus", "Longitarsus jacobaeae", "Chaetocnema graminicola", "Chaetocnema littoralis", "Chaetocnema nitida", "Pronectria casaresii", "Pronectria dealbans", "Pronectria dillmaniae", "Pronectria echinulata", "Pronectria erythrinella", "Cochylis defessana", "Cochylis discerta", "Cochylis disputabilis", "Adoxia cyanescens", "Adoxia gracilipes", "Adoxia minor", "Adoxia quadricollis", "Adoxia xenoscelis", "Adoxia perplexa", "Adoxia pygidialis", "Adoxia mediocris", "Adoxia mollis", "Luperus nigripes", "Aphilon convexum", "Aphilon minutum", "Aphilon monstrosum", "Aphilon sternale", "Aphilon punctatum", "Aphilon scutellare", "Aphilon sobrinum", "Agasicles vittata", "Antiporus uncifer", "Cryptocellus luisedieri", "Anthericum ramosum", "Anthericum \u00d7 confusum", "Anthericum angustifolium", "Anthericum liliago", "Hyppa indistincta", "Hyppa rectilinea", "Hyppa brunneicrista", "Anthericum baeticum", "Hyppa xylinoides", "Hyppa contrasta", "Hyppa potamus", "Pilotrochus besmerus", "Pheidole antipodum", "Aphaenogaster albisetosa", "Aphaenogaster amphioceanica", "Aphaenogaster annandalei", "Aphaenogaster antigua", "Aphaenogaster aquia", "Aphaenogaster araneoides", "Aphaenogaster ashmeadi", "Aphaenogaster atlantis", "Sicista caucasica", "Aphaenogaster avita", "Scythris alceella", "Aphaenogaster balcanica", "Aphaenogaster barbara", "Aphaenogaster barbigula", "Aphaenogaster baronii", "Aphaenogaster beccarii", "Aphaenogaster beesoni", "Aphaenogaster belti", "Aphaenogaster boulderensis", "Scythris lagomorphella", "Aphaenogaster boulderensis boulderensis", "Aphaenogaster boulderensis smithi", "Aphaenogaster burri", "Scythris tabelli", "Sicista caudata", "Aphaenogaster caeciliae", "Aphaenogaster campana", "Aphaenogaster cardenai", "Aphaenogaster cavernicola", "Aphaenogaster cecconii", "Aphaenogaster cockerelli", "Sicista concolor", "Xanthorhoe okhotinaria", "Brassica oleracea var. italica", "Sicista kazbegica", "Xanthorhoe okhotinaria okhotinaria", "Sicista kluchorica", "Xanthorhoe okhotinaria sikhotenaria", "Sicista napaea", "Sicista pseudonapaea", "Dysstroma citrata kamtshadalarium", "Dysstroma citrata citrata", "Sicista severtzovi", "Sicista strandi", "Hydriomena impluviata", "Hydriomena impluviata djakonovi", "Sicista tianshanica", "Epirrita autumnata", "Cochylimorpha arenosana", "Cochylimorpha armeniana", "Cochylimorpha bipunctata", "Cochylimorpha brandti", "Cochylimorpha centralasiae", "Cochylimorpha chionella", "Cochylimorpha clathrana", "Taenioides mordax", "Taenioides nigrimarginatus", "Cochylimorpha coloratana", "Taenioides purpurascens", "Cochylimorpha conankinensis", "Cochylimorpha cuspidata", "Cochylimorpha declivana", "Beltheca oni", "Meropleon linae", "Lithophane ponderosa", "Lithophane jeffreyi", "Trachyspermum ammi", "Orobanche latisquama", "Aphaenogaster projectens", "Aphaenogaster pumilopuncta", "Aphaenogaster punctaticeps", "Aphaenogaster punctithorax", "Aphaenogaster pusilla", "Aphaenogaster pythia", "Aphaenogaster quadrispina", "Aphaenogaster reichelae", "Aphaenogaster relicta", "Aphaenogaster relicta epinotalis", "Aphaenogaster relicta relicta", "Aphaenogaster rhaphidiiceps", "Aphaenogaster rifensis", "Aphaenogaster rothneyi", "Aphaenogaster rudis", "Aphaenogaster rugulosa", "Aphaenogaster ruida", "Aphaenogaster rupestris", "Aphaenogaster sagei", "Aphaenogaster sagei pachei", "Aphaenogaster sagei sagei", "Aphaenogaster saharensis", "Aphaenogaster sangiorgii", "Aphaenogaster sardoa", "Aphaenogaster sardoa anoemica", "Aphaenogaster sardoa sardoa", "Aphaenogaster schmidti", "Aphaenogaster schurri", "Aphaenogaster semipolita", "Aphaenogaster pallescens", "Cochylis flaviciliana", "Aphaenogaster pallida", "Aphaenogaster pallida laurenti", "Aphaenogaster pallida leveillei", "Aphaenogaster pallida pallida", "Aphaenogaster paludosa", "Aphaenogaster pannonica", "Cochylis formonana", "Aphaenogaster patruelis", "Aphaenogaster patruelis carbonaria", "Aphaenogaster patruelis patruelis", "Aphaenogaster perplexa", "Aphaenogaster phalangium", "Aphaenogaster phillipsi", "Aphaenogaster picea", "Aphaenogaster picena", "Cochylis heratana", "Aphaenogaster polyodonta", "Aphaenogaster poultoni", "Aphaenogaster praedo", "Aphaenogaster praedo ellipsoida", "Aphaenogaster praedo praedo", "Aphaenogaster praenoda", "Aphaenogaster praenoda confinis", "Aphaenogaster praenoda praenoda", "Aphaenogaster praerelicta", "Cochylis hoffmanana", "Cochylis hospes", "Cochylis hybridella", "Cochylis indica", "Cochylis insipida", "Cochylis laetana", "Cochylis lutosa", "Cochylis methoeca", "Cochylis militariana", "Cochylis mystes", "Cochylis obtrusa", "Cochylis philypna", "Cochylis ringsi", "Cochylis rosaria", "Cochylis sagittigera", "Cochylis sannitica", "Cochylis securifera", "Cochylis similana", "Cochylis telephora", "Cochylis tephrodrypta", "Cochylis torva", "Cochylis transversana", "Cochylis typhilinea", "Cochylis viscana", "Cochylis maestana", "Cochylis molliculana", "Cochylis morosana", "Cochylis pallidana", "Cochylis parallelana", "Cochylis piana", "Cochylis posterana", "Cochylis potrerillana", "Cochylis psychrasema", "Cochylis roseana", "Cochylis salebrana", "Alucita montana", "Alucita adriendenisi", "Anthericum corymbosum", "Anthericum jamesii", "Alucita lalannei", "Anthericum maurum", "Hesperocallis undulata", "Tricalcaria stueningi", "Zealaranea crassa", "Novaranea laevigata", "Zealaranea trinotata", "Eriophora heroine", "Dolomedes japonicus", "Dolomedes fontus", "Dolomedes angustivirgatus", "Patagoniodes longicurva", "Patagoniodes infundibularis", "Patagoniodes dayuensis", "Drosera capensis", "Rhopalorhynchus magdalena", "Psilodon gilberti", "Psilodon xerophilicum", "Rhantus plantaris", "Rhantus schauinslandi", "Maoraxia tokotaai", "Maoraxia bourgeoisi", "Maoraxia roseocuprea", "Maoraxia kadavuensis", "Maoraxia viridis", "Maoraxia storeyi", "Maoraxia tongae", "Maoraxia auroimpressa", "Maoraxia cordicollis", "Maoraxia eremita", "Maoraxia excavata", "Maoraxia purpurea", "Acmaeodera princeps", "Dendroblax earlii", "Dendroblax acutangulus", "Sphecomyrma mesaki", "Chersina angulata", "Chimaeridris boltoni", "Chimaeridris burckhardti", "Goniomma baeticum", "Goniomma blanci", "Goniomma collingwoodi", "Goniomma compressisquama", "Goniomma decipiens", "Goniomma hispanicum", "Goniomma kugleri", "Goniomma punicum", "Kartidris ashima", "Kartidris fujianensis", "Kartidris galos", "Kartidris matertera", "Kartidris nyos", "Kartidris sparsipila", "Lonchomyrmex freyeri", "Lonchomyrmex nigritus", "Lophomyrmex ambiguus", "Lophomyrmex bedoti", "Lophomyrmex birmanus", "Lophomyrmex kali", "Lophomyrmex longicornis", "Lophomyrmex lucidus", "Lophomyrmex opaciceps", "Lophomyrmex quadrispinosus", "Lophomyrmex striatulus", "Lophomyrmex taivanae", "Eucosma canana", "Eucosma canariana", "Eucosma caniceps", "Eucosma occipitana", "Pelochrista mediostriata", "Scrophularia chrysantha", "Arvicola amphibius", "Arvicola scherman", "Aphaenogaster senilis", "Aphaenogaster senilis disjuncta", "Aphaenogaster senilis grata", "Aphaenogaster senilis occidua", "Aphaenogaster senilis senilis", "Aphaenogaster shanwangensis", "Aphaenogaster sicardi", "Aphaenogaster sicula", "Aphaenogaster simonellii", "Aphaenogaster simonellii simonellii", "Aphaenogaster simonellii sporadis", "Aphaenogaster sinensis", "Aphaenogaster smythiesii", "Aphaenogaster smythiesii prudens", "Aphaenogaster smythiesii smythiesii", "Aphaenogaster sommerfeldti", "Aphaenogaster spinosa", "Aphaenogaster spinosa etrusca", "Aphaenogaster spinosa spinosa", "Aphaenogaster splendida", "Aphaenogaster splendida rugosoferruginea", "Aphaenogaster splendida splendida", "Aphaenogaster splendida transcaucasica", "Aphaenogaster striativentris", "Aphaenogaster strioloides", "Aphaenogaster subcostata", "Aphaenogaster subexaperata", "Aphaenogaster subterranea", "Aphaenogaster subterranea ichnusa", "Aphaenogaster subterranea subterranea", "Aphaenogaster subterranea valida", "Aphaenogaster subterraneoides", "Aphaenogaster subterraneoides armeniaca", "Aphaenogaster subterraneoides subterraneoides", "Aphaenogaster swammerdami", "Aphaenogaster swammerdami clara", "Aphaenogaster swammerdami curta", "Aphaenogaster swammerdami spinipes", "Aphaenogaster swammerdami swammerdami", "Aphaenogaster syriaca", "Aphaenogaster syriaca schmitzi", "Aphaenogaster syriaca syriaca", "Aphaenogaster takahashii", "Aphaenogaster tennesseensis", "Aphaenogaster testaceopilosa", "Aphaenogaster testaceopilosa cabylica", "Aphaenogaster testaceopilosa canescens", "Aphaenogaster testaceopilosa testaceopilosa", "Aphaenogaster texana", "Aphaenogaster texana carolinensis", "Aphaenogaster texana texana", "Aphaenogaster theryi", "Aphaenogaster tibetana", "Aphaenogaster tinauti", "Aphaenogaster tipuna", "Aphaenogaster tokarainsulana", "Aphaenogaster torossiani", "Aphaenogaster treatae", "Aphaenogaster treatae pluteicornis", "Aphaenogaster treatae treatae", "Hosta sieboldiana", "Hosta longipes", "Scythris arenicola", "Scythris deprinsi", "Scythris divergens", "Scythris kaschmirica", "Scythris linnavuorii", "Scythris nepalensis", "Scythris shafferi", "Scythris tuzensis", "Scythris unguicella", "Enolmis tunisiae", "Platyhomonopsis dentata", "Hosta capitata", "Hosta albofarinosa", "Hosta clausa", "Rhopobota floccosa", "Hasarius cheliceroides", "Trypauchen pelaeos", "Trypauchen raha", "Trypauchen taenia", "Trypauchen vagina", "Pyxis planicauda", "Khetania mandibulata", "Capis archaia", "Eupithecia jamesi", "Steromapedaliodes albarregas", "Diaphanos huberi", "Diaphanos fuscus", "Diaphanos curvignathos", "Palerontobia kozlovi", "Polyommatus phyllides", "Polyommatus phyllides phyllides", "Polyommatus phyllides askhabadica", "Polyommatus phyllides kentauensis", "Polyommatus phyllides urumbash", "Homopus areolatus", "Chersobius boulengeri", "Homopus femoralis", "Chersobius signatus", "Chersobius solus", "Indotestudo travancorica", "Halpe gammoides", "Kinixys belliana", "Halpe babensis", "Kinixys homeana", "Halpe interposita", "Kinixys erosa", "Kinixys lobatsiana", "Kinixys natalensis", "Kinixys spekii", "Manouria impressa", "Trimeresurus stejnegeri", "Aphaenogaster crocea crocea", "Aphaenogaster crocea croceoides", "Aphaenogaster crocea lenis", "Aphaenogaster crocea splendidoides", "Aphaenogaster curiosa", "Aphaenogaster dejeani", "Aphaenogaster depilis", "Aphaenogaster depilis afra", "Aphaenogaster depilis depilis", "Aphaenogaster depilis numida", "Aphaenogaster depressa", "Aphaenogaster dlusskyi", "Aphaenogaster donann", "Aphaenogaster donisthorpei", "Aphaenogaster dromedaria", "Aphaenogaster dulcineae", "Aphaenogaster dumetora", "Aphaenogaster edentula", "Aphaenogaster ensifera", "Aphaenogaster epirotes", "Aphaenogaster espadaleri", "Aphaenogaster exasperata", "Aphaenogaster fabulosa", "Aphaenogaster fallax", "Aphaenogaster famelica", "Aphaenogaster famelica angulata", "Aphaenogaster famelica erabu", "Aphaenogaster famelica famelica", "Aphaenogaster famelica frontosa", "Aphaenogaster faureli", "Aphaenogaster feae", "Aphaenogaster feae feae", "Aphaenogaster feae imbellis", "Aphaenogaster feae nicobarensis", "Aphaenogaster feae simulans", "Aphaenogaster festae", "Aphaenogaster finzii", "Aphaenogaster flemingi", "Aphaenogaster floridana", "Aphaenogaster foreli", "Aphaenogaster friederichsi", "Aphaenogaster fulva", "Aphaenogaster fulva azteca", "Aphaenogaster fulva fulva", "Aphaenogaster geei", "Aphaenogaster gemella", "Aphaenogaster gemella gemella", "Aphaenogaster gemella marocana", "Aphaenogaster georgica", "Aphaenogaster gibbosa", "Aphaenogaster gibbosa fiorii", "Aphaenogaster gibbosa gibbosa", "Aphaenogaster gibbosa homonyma", "Aphaenogaster gonacantha", "Aphaenogaster gracillima", "Aphaenogaster graeca", "Aphaenogaster haarlovi", "Aphaenogaster hesperia", "Aphaenogaster holtzi", "Arthracanthus planifrons", "Arthracanthus fulvipes", "Sinopoda tengchongensis", "Sinopoda fasciculata", "Sinopoda angulata", "Sinopoda exspectata", "Sinopoda dayong", "Sinopoda campanacea", "Sinopoda altissima", "Heteropoda amphora", "Euryglossina proctotrypoides", "Leucoblepsis taiwanensis", "Heteropoda maxima", "Keilira sparsomaculata", "Keilira sokoli", "Pediana regina", "Isopeda vasta", "Holconia insignis", "Sabatinca kristenseni", "Sabatinca viettei", "Isopedella pessleri", "Spermophora kaindi", "Spermophora palau", "Spermophora deelemanae", "Spermophora maros", "Verticordia picta", "Cyclosa camelodes", "Cyclosa insulana", "Cyclosa caroli", "Cyclosa bifida", "Cyclosa walckenaeri", "Parapachymorpha zomproi", "Rondoniella bremeri", "Myrmecia acuta", "Myrmecia borealis", "Myrmecia browningi", "Myrmecia erecta", "Myrmecia eungellensis", "Beregama aurea", "Paramartyria anmashana", "Bifora radians", "Palaeomicroides aritai", "Telmatogeton murrayi", "Telmatogeton mortoni", "Cercyon castaneipennis", "Saprinus secchii", "Myrmecia brevinoda", "Myrmecia apicalis", "Messor abdelazizi", "Messor aciculatus", "Messor aciculatus aciculatus", "Messor aciculatus risianus", "Messor aegyptiacus", "Messor aegyptiacus aegyptiacus", "Messor aegyptiacus canaliculatus", "Messor aegyptiacus felah", "Messor aegyptiacus phasianicus", "Messor aegyptiacus tunetinus", "Messor alexandri", "Messor andrei", "Messor angularis", "Messor antennatus", "Messor antennatus antennatus", "Messor antennatus fodorii", "Messor antennatus personatus", "Messor aphaenogasteroides", "Messor aralocaspius", "Messor aralocaspius aralocaspius", "Cupes kapnodes", "Cupes capitatus", "Stanus bowesteadi", "Collinsonia anisata", "Collinsonia punctata", "Anaphalioides alpina", "Anaphalioides bellidioides", "Weirus tozer", "Sundacossus gauguini", "Afroarabiella meyi", "Afroarabiella fanti", "Afroarabiella buchanani", "Afroarabiella ochracea", "Messor reticuliventris", "Messor rufotestaceus", "Messor rufus", "Messor rufus rufus", "Messor rufus striolatus", "Messor ruginodis", "Messor rugosus", "Messor rugosus bodenheimeri", "Messor rugosus rugosus", "Kaszabadelium aucklandicum", "Holopsis lawsoni", "Zelandobius edensis", "Apororhynchus aculeatus", "Austroperla cyrene", "Afroarabiella tahamae", "Afroarabiella ukambani", "Afroarabiella politzari", "Catocala olgaorlovae olgaorlovae", "Catocala olgaorlovae duschara", "Platichthys flesus", "Platichthys stellatus", "Karsten totoyensis", "Holoarctia dubatolovi", "Platystomatichthys sturio", "Platydoras costatus", "Panaque nigrolineatus", "Hypophthalmus marginatus", "Oreonetides vaginatus", "Oreonetides shimizui", "Mermessus naniwaensis", "Pelusios upembae", "Mermessus dentiger", "Pelusios williamsi", "Pelusios nanus", "Hilaira excisa", "Centromerus brevivulvatus", "Centromerus pacificus", "Centromerus ussuricus", "Centromerus amurensis", "Bathyphantes brevis", "Porrhomma ohkawai", "Porrhomma rakanum", "Porrhomma pygmaeum", "Porrhomma montanum", "Stenadelium striatum", "Porrhomma convexum", "Porrhomma microphthalmum", "Messor aralocaspius infumatus", "Messor arenarius", "Messor arenarius alfierii", "Messor arenarius arenarius", "Messor arenarius diabolus", "Messor arenarius ratus", "Messor arenarius thebaicus", "Messor atanassovii", "Messor barbarus", "Messor barbarus barbarus", "Messor barbarus gallaoides", "Messor barbarus mediosanguineus", "Messor barbarus nigricans", "Messor barbarus politus", "Messor barbarus sahlbergi", "Messor barbarus santschii", "Messor beduinus", "Messor berbericus", "Messor bernardi", "Chlorophytum sparsiflorum var. bipindense", "Agastophanes zophoxysta", "Gymnoamblyopus novaeguineae", "Catocala olgaorlovae", "Catocala puerperoides", "Catocala editarevayae", "Catocala lesbia", "Catocala lesbia lesbia", "Villa aquila", "Villa aspros", "Villa obtusa", "Villa flavida", "Villa sesivora", "Catocala lesbia fittkaui", "Khorata khammouan", "Khorata jaegeri", "Khorata schwendingeri", "Khorata bangkok", "Catocala lehmanni", "Khorata diaoluoshanensis", "Khorata zhui", "Catocala laura", "Alphaea dellabrunai", "Pholcus pojeonensis", "Parornix altaica", "Belisana lamellaris", "Belisana huberi", "Belisana aliformis", "Anaphalioides mariae", "Alphitobius diaperinus", "Alphitobius laevigatus", "Anaphalioides papuana", "Mysmenella jobi", "Anaphalioides subrigida", "Mysmenella illectrix", "Anaphalioides trinervis", "Flavopunctelia borrerioides", "Archaeoglenes costipennis", "Conculus lyugadinus", "Flavopunctelia darrowii", "Aphtora rufipes", "Conculus simboggulensis", "Flavopunctelia flaventior", "Comaroma maculosa", "Comaroma hatsushibai", "Comaroma nakahirai", "Comaroma simoni", "Flavopunctelia lobulata", "Flavopunctelia praesignis", "Flavopunctelia soredica", "Praestigia kulczynskii", "Praestigia duffeyi", "Messor sanctus", "Messor sanganus", "Messor sculpturatus", "Messor semirufus", "Messor semirufus emeryi", "Messor semirufus grandinidus", "Messor semirufus semirufus", "Messor semoni", "Messor smithi", "Messor stoddardi", "Messor stoddardi chicoensis", "Messor stoddardi stoddardi", "Messor striatellus", "Messor striaticeps", "Messor striatifrons", "Messor striativentris", "Messor striatulus", "Messor structor", "Messor structor aegaeus", "Messor structor platyceras", "Messor structor structor", "Messor structor tadzhikorum", "Messor subgracilinodis", "Messor sultanus", "Blanfordimys afghanus", "Blanfordimys bucharensis", "Eriophora edax", "Eriophora fuliginea", "Ordgarius magnificus", "Erebomyia aetheoptera", "Erebomyia ramseyensis", "Erebomyia exalloptera", "Oosternum acutheca", "Oosternum attenuatum", "Oosternum gibbicolle", "Oosternum holosericeum", "Oosternum latum", "Oosternum aequinoctiale", "Akysis portellus", "Heydenia gibsoni", "Oligosita sakara", "Nemacheilus stigmofasciatus", "Anaphalioides hookeri", "Myrmecia fabricii", "Myrmecia loweryi", "Myrmecia tridentata", "Myrmecia croslandi", "Momentum pusillum", "Messor bouvieri", "Messor buettikeri", "Messor caducus", "Messor caducus caducus", "Messor caducus glabrescens", "Messor capensis", "Messor capitatus", "Messor carthaginensis", "Messor caviceps", "Messor celiae", "Messor cephalotes", "Messor ceresis", "Messor chamberlini", "Messor clypeatus", "Messor collingwoodi", "Messor concolor", "Messor decipiens", "Messor dentatus", "Messor denticornis", "Messor denticulatus", "Messor diabarensis", "Messor ebeninus", "Messor eglalae", "Messor erectus", "Messor excursionis", "Messor excursionis alaschanicus", "Messor excursionis excursionis", "Messor excursionis sillemi", "Messor ferreri", "Messor foreli", "Messor foreli brevispinosus", "Messor foreli foreli", "Messor fraternus", "Messor galla", "Messor galla galla", "Messor galla obscurus", "Messor hebraeus", "Messor hellenius", "Messor himalayanus", "Messor hismai", "Messor hispanicus", "Messor ibericus", "Messor incisus", "Messor incorruptus", "Messor inermis", "Leptoseris kalayaanensis", "Argiope macrochoera", "Argiope manila", "Argiope catenulata", "Argiope buehleri", "Argiope reinwardti", "Argiope caesarea", "Argiope magnifica", "Argiope protensa", "Argiope probata", "Argiope ocyaloides", "Bathybadistes andrewsi", "Ascioplaga mimeta", "Ascioplaga sciasma", "Philodromus azcursor", "Philodromus naxcivanicus", "Adinolepis apodema", "Scraptogetus anthracinus", "Scraptogetus arboreus", "Neomarica variegata", "Syndyas singaporensis", "Syndyas aterrima", "Syndyas brevior", "Syndyas elongata", "Neomarica brachypus", "Ectopomyia hancocki", "Nemacheilus tebo", "Neomarica northiana", "Halothamnus beckettii", "Ricstygnus quineti", "Cheiracanthium digitivorum", "Cheiracanthium erraticum", "Cheiracanthium brevispinum", "Cheiracanthium japonicum", "Cheiracanthium taegense", "Cheiracanthium uncinatum", "Cheiracanthium unicum", "Cheiracanthium zhejiangense", "Cheiracanthium eutittha", "Cheiracanthium kompiricola", "Cheiracanthium lascivum", "Cheiracanthium pennyi", "Cheiracanthium punctorium", "Cheiracanthium inclusum", "Cheiracanthium mildei", "Cheiracanthium falcatum", "Cheiracanthium taiwanicum", "Cheiracanthium wilma", "Elephas maximus indicus", "Elephas maximus maximus", "Elephas maximus sumatranus", "Neomarica fluminensis", "Neomarica glauca", "Aerosteon riocoloradensis", "Speleophria nullarborensis", "Philonotis calcarea", "Xanthorhoe uralensis", "Clubiona akagiensis", "Clubiona ezoensis", "Clubiona mayumiae", "Clubiona amurensis", "Clubiona bandoi", "Clubiona basarukini", "Clubiona brevipes", "Clubiona caerulescens", "Clubiona chikunii", "Clubiona cirrosa", "Clubiona corrugata", "Clubiona deletrix", "Clubiona diversa", "Clubiona frutetorum", "Clubiona glatiosa", "Clubiona papillata", "Clubiona kimyongkii", "Clubiona odesanensis", "Clubiona hwanghakensis", "Clubiona sopaikensis", "Clubiona haeinsensis", "Clubiona coreana", "Clubiona kasanensis", "Messor instabilis", "Messor intermedius", "Messor julianus", "Messor julianus clarior", "Messor julianus julianus", "Messor julianus manni", "Messor kasakorum", "Messor kasakorum kasakorum", "Messor kasakorum nadezhdae", "Messor kisilkumensis", "Messor lamellicornis", "Messor lariversi", "Messor lobicornis", "Messor lobicornis batnensis", "Messor lobicornis laurenti", "Messor lobicornis lobicornis", "Messor lobicornis normandi", "Messor lobicornis rugulosus", "Messor lobicornis submuticus", "Messor lobognathus", "Messor luebberti", "Messor luridus", "Messor luridus luridus", "Messor luridus virginalis", "Messor lusitanicus", "Messor maculifrons", "Messor marikovskii", "Messor marocanus", "Messor medioruber", "Messor medioruber maurus", "Messor medioruber medioruber", "Messor medioruber montanus", "Messor medioruber postquadratus", "Messor melancholicus", "Messor meridionalis", "Messor minor", "Messor minor calabricus", "Messor minor capreensis", "Messor minor hesperius", "Messor minor laboriosus", "Messor minor maurus", "Messor minor minor", "Messor muraywahus", "Messor muscatus", "Messor nahali", "Messor niloticus", "Messor oertzeni", "Messor oertzeni amasiensis", "Messor oertzeni carpathous", "Messor oertzeni oertzeni", "Messor olegianus", "Messor orientalis", "Messor perantennatus", "Messor pergandei", "Messor piceus", "Messor picturatus", "Messor planiceps", "Messor postpetiolatus", "Messor regalis", "Flavoparmelia amplexa", "Flavoparmelia baltimorensis", "Flavoparmelia callichroa", "Flavoparmelia diffractaica", "Flavoparmelia ecuadoriensis", "Weigela japonica", "Messor syriacus", "Messor testaceus", "Messor timidus", "Messor tropicorum", "Messor turcmenochorassanicus", "Messor valentinae", "Messor variabilis", "Messor vaucheri", "Messor vicinus", "Messor wasmanni", "Ocymyrmex afradu", "Ocymyrmex alacer", "Ocymyrmex ankhu", "Ocymyrmex barbiger", "Ocymyrmex cavatodorsatus", "Ocymyrmex celer", "Ocymyrmex cilliei", "Ocymyrmex cursor", "Ocymyrmex dekerus", "Ocymyrmex engytachys", "Ocymyrmex flavescens", "Ocymyrmex flaviventris", "Ocymyrmex foreli", "Ocymyrmex fortior", "Ocymyrmex gariepensis", "Ocymyrmex gordoni", "Ocymyrmex hirsutus", "Ocymyrmex ignotus", "Ocymyrmex kahas", "Ocymyrmex laticeps", "Ocymyrmex micans", "Ocymyrmex monardi", "Ocymyrmex okys", "Ocymyrmex phraxus", "Ocymyrmex picardi", "Ocymyrmex resekhes", "Ocymyrmex robecchii", "Ocymyrmex robustior", "Ocymyrmex shushan", "Ocymyrmex sobek", "Ocymyrmex sphinx", "Ocymyrmex tachys", "Ocymyrmex turneri", "Ocymyrmex velox", "Ocymyrmex weitzeckeri", "Ocymyrmex zekhem", "Panulirus brunneiflagellum", "Epizoanthus giveni", "Epizoanthus karenae", "Epizoanthus rodmani", "Epizoanthus californicum", "Epizoanthus gabrieli", "Epizoanthus induratum", "Epizoanthus leptoderma", "Epizoanthus scotinus", "Epizoanthus sabulosum", "Bindius triquetrus", "Oxyopomyrmex oculatus", "Oxyopomyrmex sabulonis", "Oxyopomyrmex sabulonis rugocciput", "Oxyopomyrmex sabulonis sabulonis", "Oxyopomyrmex santschii", "Oxyopomyrmex santschii nigripes", "Oxyopomyrmex santschii nitidior", "Oxyopomyrmex santschii santschii", "Oxyopomyrmex saulcyi", "Oxyopomyrmex saulcyi latinodis", "Oxyopomyrmex saulcyi saulcyi", "Paraphaenogaster microphthalma", "Trichiura brandstetteri", "Eupithecia fuliginata", "Ochroplutodes hecqi", "Ochroplutodes irregularis", "Ochroplutodes variabilis", "Eugoa pulchra", "Eugoa malayicola", "Eugoa khmera", "Eugoa gabrielae", "Eugoa palawanica", "Eugoa okalii", "Eugoa parva", "Eugoa grandipuncta", "Eugoa ellipsis", "Eugoa apexinigra", "Eugoa tridens", "Eugoa bidentata", "Eugoa gracilisa", "Eugoa aliquotpunctata", "Eugoa unicolora", "Euophrys proszynskii", "Euophrys uralensis", "Pseudeuophrys lanigera", "Rutilus rutilus", "Pseudeuophrys vafra", "Pseudeuophrys obsoleta", "Talavera minuta", "Talavera aequipes", "Euophrys difficilis", "Chalcoscirtus infimus", "Plexippus kondarensis", "Pancorius dentichelis", "Hydora angusticollis", "Hydora nitida", "Hydora obsoleta", "Hydora annectens", "Hydora lenta", "Capra dalii", "Philaenus spumarius", "Narcissus \u00d7 fosteri", "Pandisus parvulus", "Pandisus decorus", "Pandisus sarae", "Pandisus modestus", "Asemonea tenuipes", "Asemonea ornatissima", "Asemonea stella", "Asemonea pulchra", "Asemonea crinita", "Asemonea maculata", "Asemonea murphyae", "Asemonea fimbriata", "Asemonea minuta", "Asemonea liberiensis", "Asemonea pinangensis", "Asemonea cristata", "Onomastus complexipalpis", "Clubiona chabarovi", "Clubiona langei", "Clubiona irinae", "Clubiona subborealis", "Clubiona komissarovi", "Clubiona neglecta", "Clubiona kurenshikovi", "Clubiona paralena", "Clubiona proszynskii", "Clubiona orientalis", "Clubiona propinqua", "Clubiona hummeli", "Clubiona subtilis", "Pteroneta ultramarina", "Pteroneta tertia", "Pteroneta saltans", "Pseudotrypauchen multiradiatus", "Knightjonesia platyspira", "Halothamnus oxianus", "Halothamnus seravschanicus", "Halothamnus iraqensis", "Halothamnus subaphyllus", "Scirpophaga excerptalis", "Scirpophaga magnella", "Scirpophaga flavidorsalis", "Scirpophaga tongyaii", "Trypauchenichthys sumatrensis", "Trypauchenichthys typus", "Acentrogobius chlorostigmatoides", "Acentrogobius dayi", "Acentrogobius ennorensis", "Exaeretia qinghaiana", "Oxyopomyrmex emeryi", "Oxyopomyrmex emeryi brunnescens", "Oxyopomyrmex emeryi emeryi", "Oxyopomyrmex gaetulus", "Oxyopomyrmex insularis", "Oxyopomyrmex krueperi", "Oxyopomyrmex lagoi", "Clubiona bakurovi", "Clubiona charitonovi", "Clubiona microsapporensis", "Clubiona kunashirensis", "Clubiona marusiki", "Clubiona logunovi", "Startes victoriae", "Startes sculpturata", "Startes foveata", "Clubiona iharai", "Clubiona ogatai", "Clubiona kumadaorum", "Clubiona ikedai", "Clubiona yoshidai", "Clubiona yaginumai", "Clubiona tateyamensis", "Clubiona inaensis", "Clubiona viridula", "Clubiona tanikawai", "Clubiona ryukyuensis", "Clubiona insulana", "Clubiona japonica", "Clubiona japonicola", "Clubiona jucunda", "Clubiona kulczynskii", "Clubiona kurilensis", "Clubiona kurosawai", "Clubiona lena", "Clubiona lutescens", "Clubiona mandschurica", "Clubiona maya", "Clubiona mutilata", "Clubiona neglectoides", "Clubiona sulla", "Clubiona zilla", "Clubiona parvula", "Clubiona phragmitis", "Clubiona pseudogermanica", "Clubiona riparia", "Clubiona venusta", "Clubiona rostrata", "Clubiona sapporensis", "Clubiona subsultans", "Clubiona trivialis", "Clubiona tsurusakii", "Clubiona uenoi", "Clubiona vigil", "Clubiona vigillella", "Clubiona yasudai", "Clubiona pallidula", "Clubiona stagnatilis", "Clubiona paiki", "Clubiona zacharovi", "Halothamnus somalensis", "Halothamnus bottae", "Halothamnus iranicus", "Halothamnus hierochunticus", "Daphnusa ailanti", "Halothamnus iliensis", "Ambulyx wilemani", "Ambulyx inouei", "Halothamnus auriculus", "Halothamnus kermanensis", "Halothamnus afghanicus", "Halothamnus lancifolius", "Clanis pratti", "Clanis pratti pratti", "Clanis pratti okurai", "Halothamnus cinerascens", "Biocellata bistellata", "Biocellata ockendeni", "Biocellata praeclara", "Biocellata rotundopuncta", "Spinulata centrosoma", "Spinulata corregis", "Spinulata rille", "Spinulata ryssa", "Spinulata discopuncta", "Spinulata julius", "Spinulata maruga", "Halothamnus glaucus", "Neomarica candida", "Halothamnus bamianicus", "Halothamnus schurobi", "Halothamnus turcomanicus", "Halothamnus ferganensis", "Simplicivalva charmion", "Simplicivalva corita", "Simplicivalva marmorata", "Simplicivalva striolata", "Simplicivalva interrogationis", "Simplicivalva eberti", "Halothamnus sistanicus", "Simplicivalva morgani", "Simplicivalva poecilosema", "Magulacra notodontoides", "Magulacra albimacula", "Magulacra nigripennata", "Magulacra cleptes", "Parategeticula ecdysiastica", "Neomarica capitellata", "Neomarica caulosa", "Pheidole arctos", "Pheidole areniphila", "Pheidole areniphila areniphila", "Archischoenobius minimus", "Pheidole areniphila aurora", "Pheidole argentina", "Pheidole arhuaca", "Pheidole ariel", "Pheidole arietans", "Pheidole aripoensis", "Pheidole aristotelis", "Pheidole arnoldi", "Pheidole arnoldi arnoldi", "Pheidole arnoldi ballaensis", "Pheidole arnoldi rufescens", "Pheidole aspera", "Pheidole asperata", "Pheidole asperithorax", "Pheidole aspidata", "Pheidole astur", "Pheidole athertonensis", "Pheidole athertonensis athertonensis", "Pheidole athertonensis cedarensis", "Pheidole athertonensis tambourinensis", "Pheidole atticola", "Pheidole atua", "Pheidole aurea", "Patissa tenuousa", "Pheidole aurivillii", "Pheidole aurivillii attenuata", "Pheidole aurivillii aurivillii", "Pheidole aurivillii kasaiensis", "Pheidole aurivillii rubricalva", "Pheidole auropilosa", "Pheidole avia", "Pheidole azteca", "Neoanathamna robusticervicis", "Sorolopha dactyloidea", "Sorolopha identaeolochloca", "Ennada flavaria", "Ennada pellicata", "Ennada blanchardi", "Pheidole buchholzi", "Pheidole buckleyi", "Pheidole bufo", "Pheidole bugi", "Pheidole bulliceps", "Pheidole bureni", "Pheidole butteli", "Punctelia punctilla", "Punctelia reddenda", "Punctelia riograndensis", "Punctelia rudecta", "Punctelia stictica", "Zaranga pannosa pannosa", "Zaranga pannosa necopinatus", "Gangaridopsis sinica", "Wahlenbergia gloriosa", "Gangarides dharma dharma", "Gangarides dharma coreanus", "Euhampsonia serratifera serratifera", "Euhampsonia serratifera viridiflavescens", "Euhampsonia albocristata", "Telopea speciosissima", "Oligosoma macgregori", "Oligosoma townsi", "Oligosoma oliveri", "Oligosoma northlandi", "Oligosoma longipes", "Paranacoleia cuspidata", "Paranacoleia lubrica", "Paranacoleia elegantula", "Pheidole aana", "Pheidole aberrans", "Pheidole absurda", "Pheidole acamata", "Pheidole acantha", "Pheidole accinota", "Pheidole aciculata", "Pheidole aculifera", "Pheidole acutidens", "Pheidole ademonia", "Pheidole adrianoi", "Pheidole aeberlii", "Pheidole aeberlii aeberlii", "Pheidole aeberlii erythraea", "Pheidole aenescens", "Pheidole aequiseta", "Pheidole agilis", "Pheidole aglae", "Pheidole agricola", "Pheidole ajax", "Pheidole akermani", "Pheidole alacris", "Pheidole alayoi", "Pheidole albidula", "Pheidole albipes", "Pheidole alexeter", "Gibbovalva singularis", "Pheidole alfaroi", "Pheidole alienata", "Pheidole allani", "Pheidole allarmata", "Pheidole alpestris", "Pheidole alpinensis", "Pheidole alticola", "Pheidole amabilis", "Pheidole amata", "Arctelene uncodes", "Arctelene rufescens", "Schistophleps pentoveinlata", "Onomastus patellaris", "Onomastus quinquenotatus", "Onomastus nigricaudus", "Daphnis hayesi", "Spartaeus wildtrackii", "Spartaeus thailandicus", "Rhodambulyx schnitzleri", "Spartaeus spinimanus", "Hendecaneura bicostatum", "Hendecaneura simplex", "Hendecaneura tricostatum", "Hendecaneura triangulum", "Hendecaneura apicipicta", "Mintonia silvicola", "Mintonia caliginosa", "Mintonia ramipalpis", "Mintonia melinauensis", "Mintonia breviramis", "Mintonia protuberans", "Mintonia nubilis", "Mintonia mackiei", "Mintonia tauricornis", "Hendecaneura axiotima", "Hendecaneura cervina", "Hendecaneura himalayana", "Hendecaneura impar", "Hendecaneura rhododendrophaga", "Hendecaneura shawiana", "Exaeretia magnignatha", "Exaeretia bignatha", "Exaeretia exornata", "Meleon solitaria", "Meleon russata", "Portia schultzi", "Portia africana", "Portia albimana", "Portia assamensis", "Portia labiata", "Portia crassipalpis", "Veissella durbani", "Meleon madagascarensis", "Meleon kenti", "Schistophleps hyalinata", "Matratinea trilineata", "Matratinea latirotunda", "Cavia intermedia", "Cymus novaezelandiae", "Bryum elegans", "Bryum imbricatum", "Mnium undulatum", "Brachypsectra moronei", "Brachypsectra vivafosile", "Monodromia fragilis", "Holorusia tabogo", "Holorusia vanua", "Caribeacarus armasi", "Caribeacarus panamensis", "Caribeacarus vanderhammeni", "Telamonia dimidiata", "Halothamnus auriculus subsp. auriculus", "Halothamnus auriculus subsp. acutifolius", "Halothamnus bottae subsp. bottae", "Punctelia appalachensis", "Xylophilus xenarthrus", "Parnida scutellaris", "Punctelia bolliana", "Punctelia borreri", "Nesocolletes fulvescens", "Nesocolletes hudsoni", "Nesocolletes maritimus", "Nesocolletes monticola", "Antonina socialis", "Punctelia borrerina", "Punctelia canaliculata", "Punctelia cedrosensis", "Punctelia graminicola", "Punctelia hypoleucites", "Coccotrypes dactyliperda", "Punctelia lorentzii", "Punctelia microsticta", "Punctelia missouriensis", "Punctelia nebulata", "Punctelia negata", "Dudusa distincta", "Dudusa synopla", "Dudusa sphingiformis", "Pheidole bahai", "Pheidole bajaensis", "Oligosoma lichenigera", "Oligosoma ornatum", "Lyriothemis pachygastra", "Anops acrobeles", "Anops bilabialatus", "Anops kingii", "Chaenusa glabra", "Cryptophilus integer", "Punctelia subpraesignis", "Punctelia subflava", "Punctelia subrudecta", "Fraxinus angustifolia subsp. angustifolia", "Fraxinus angustifolia subsp. oxycarpa", "Fraxinus angustifolia subsp. syriaca", "Milnesium swolenskyi", "Milnesium almatyense", "Milnesium antarcticum", "Milnesium asiaticum", "Milnesium reductum", "Milnesium longiungue", "Halothamnus bottae subsp. niger", "Neptis manasa", "Halothamnus glaucus subsp. glaucus", "Neptis manasa manasa", "Halothamnus glaucus subsp. hispidulus", "Halothamnus glaucus subsp. tianschanicus", "Halothamnus subaphyllus subsp. subaphyllus", "Halothamnus subaphyllus subsp. charifii", "Halothamnus subaphyllus subsp. psammophilus", "Halothamnus cinerascens subsp. cinerascens", "Pheidole amazonica", "Pheidole amber", "Pheidole ambigua", "Pheidole ambonensis", "Pheidole ampla", "Halothamnus cinerascens subsp. vestitus", "Pheidole ampla ampla", "Pheidole ampla mackayensis", "Pheidole ampla parviceps", "Pheidole ampla perthensis", "Pheidole amplificata", "Pheidole andrieui", "Pheidole androsana", "Pheidole angulicollis", "Archischoenobius nigrolepis", "Pheidole angulifera", "Pheidole angusta", "Pheidole angusticeps", "Pheidole anima", "Pheidole annemariae", "Pheidole annexa", "Pheidole anthracina", "Pheidole anthracina anthracina", "Pheidole anthracina grandii", "Pheidole anthracina orba", "Pheidole antillana", "Pheidole aper", "Pheidole aphrasta", "Pheidole arachnion", "Archischoenobius nanlingensis", "Pheidole araneoides", "Pheidole arboricola", "Pheidole arcifera", "Milnesium krzysztofi", "Ortholomia xylinata", "Pseudogargetta marmorata", "Baradesa omissa", "Baradesa lithosioides", "Baradesa ultima", "Gargetta costigera", "Gargetta nagaensis", "Gargetta fangi", "Gargetta divisa", "Porsica ingens", "Porsica punctifascia", "Porsica curvaria", "Phycidopsis albovittata", "Epacris impressa", "Ramesa tosta", "Ramesa albistriga", "Ramesa siamica", "Ramesa bhutanica", "Ramesa huaykaeoensis", "Ramesa baenzigeri", "Caryomys eva", "Caryomys inez", "Pheidole caffra", "Pheidole caffra abyssinica", "Pheidole caffra amoena", "Pheidole caffra bayeri", "Pheidole caffra caffra", "Pheidole caffra montivaga", "Pheidole caffra senilifrons", "Pheidole cairnsiana", "Pheidole caldwelli", "Pheidole calens", "Pheidole californica", "Pheidole calimana", "Pheidole caltrop", "Pheidole bakeri", "Pheidole balzani", "Pheidole bambusarum", "Pheidole bandata", "Pheidole barbata", "Pheidole barreleti", "Pheidole barumtaun", "Pheidole beauforti", "Pheidole bellatrix", "Pheidole belli", "Pheidole beloceps", "Pheidole bequaerti", "Pheidole bergi", "Pheidole bessonii", "Pheidole bhavanae", "Pheidole bicarinata", "Pheidole biconstricta", "Pheidole bicornis", "Pheidole bidens", "Pheidole bifurca", "Pheidole bilimeki", "Pheidole biloba", "Oligosoma alani", "Pheidole binasifer", "Pheidole binghamii", "Pheidole biolleyi", "Oligosoma hardyi", "Pheidole bison", "Pheidole blumenauensis", "Pheidole bluntschlii", "Pheidole boliviana", "Pheidole boltoni", "Pheidole borgmeieri", "Oligosoma levidensa", "Punctelia neutralis", "Pheidole boruca", "Pheidole bos", "Pheidole bos baucis", "Pheidole bos bos", "Pheidole bos eubos", "Pheidole brachyops", "Pheidole brandaoi", "Pheidole braueri", "Punctelia novozelandica", "Pheidole brevicona", "Pheidole brevicornis", "Pheidole breviscapa", "Pheidole breviseta", "Pheidole browni", "Pheidole bruchella", "Pheidole bruchi", "Pheidole bruesi", "Punctelia perreticulata", "Pheidole brunnescens", "Pheidole bucculenta", "Pheidole fervida fervida", "Pheidole fervida kwazana", "Pheidole fimbriata", "Flavoparmelia euplecta", "Flavoparmelia exornata", "Flavoparmelia ferax", "Flavoparmelia gerlachei", "Flavoparmelia glomelliferica", "Flavoparmelia haysomii", "Flavoparmelia haywardiana", "Flavoparmelia helmsii", "Flavoparmelia kantvilasii", "Flavoparmelia leucoxantha", "Flavoparmelia marchantii", "Flavoparmelia neuquenensis", "Flavoparmelia norfolkensis", "Flavoparmelia pachydactyla", "Flavoparmelia papillosa", "Flavoparmelia proeuplecta", "Flavoparmelia quichuaensis", "Flavoparmelia rutidota", "Flavoparmelia salazinica", "Flavoparmelia scabrosina", "Flavoparmelia secalonica", "Flavoparmelia soredians", "Flavoparmelia springtonensis", "Flavoparmelia subamplexa", "Flavoparmelia subcapitata", "Flavoparmelia succinprotocetrarica", "Scilla vindobonensis", "Epipactis leptochila", "Epipactis pontica", "Priacma clavata", "Priacma tuberculosa", "Priacma latidentata", "Priacma renaria", "Priacma corrupta", "Priacmopsis subtilis", "Anaglyphites capitatus", "Anaglyphites laximandibule", "Anaglyphites mongolicus", "Anaglyphites zherikhini", "Anaglyphites pluricavus", "Anaglyphites paulus", "Anaglyphites clavatus", "Anaglyphites admotus", "Batrachedra amydraula", "Turatia iranica", "Scadoxus multiflorus", "Brykia mapalia", "Hyperaeschra pallida", "Changea yangguifei", "Changea notitiae", "Sumeria dipotamica", "Sumeria dipotamica dipotamica", "Sumeria dipotamica flavoalata", "Turnaca ernestina", "Turnaca indica", "Tensha delineivena", "Tensha striatella", "Ambadra modesta", "Halothamnus sect.", "Halothamnus sect.", "Pheidole cameroni", "Pheidole camilla", "Pheidole camptostela", "Pheidole capellinii", "Pheidole capensis", "Pheidole capensis capensis", "Pheidole capensis dregei", "Pheidole capensis modestior", "Pheidole capensis reddenburgensis", "Pheidole capillata", "Pheidole caracalla", "Pheidole carapuna", "Pheidole carapunco", "Pheidole cardiella", "Pheidole cardinalis", "Pheidole caribbaea", "Pheidole carinata", "Pheidole cariniceps", "Pheidole carrolli", "Pheidole casta", "Pheidole castanea", "Pheidole cataphracta", "Pheidole cataractae", "Pheidole caulicola", "Pheidole cavifrons", "Pheidole cavigenis", "Pheidole ceibana", "Pheidole celaena", "Pheidole centeotl", "Pheidole cephalica", "Pheidole cerebrosior", "Stictocardia tiliifolia", "Stictocardia queenslandica", "Stictocardia campanulata", "Stictocardia incompta", "Stictocardia laxiflora", "Eumastigonus hallelujah", "Eumastigonus waitahae", "Eumastigonus distinctior", "Eumastigonus kaorinus", "Eumastigonus ater", "Eumastigonus maior", "Eumastigonus parvus", "Eumastigonus insulanus", "Eumastigonus hemmingseni", "Selenops para", "Selenops kikay", "Parmelinella inexplicabilis", "Parmelinella manipurensis", "Parmelinella simplicior", "Parmelinella versiformis", "Parmelinella wallichiana", "Alopecosa tanakai", "Alopecosa kochi", "Holopsis nigella", "Holopsis oblonga", "Alopecosa solitaria", "Holopsis pallida", "Holopsis pictula", "Alopecosa albofasciata", "Holopsis rotundata", "Alopecosa pentheri", "Dactylosternum abdominale", "Acentrogobius griseus", "Acentrogobius janthinopterus", "Acentrogobius masoni", "Pheidole ceres", "Pheidole cerina", "Pheidole cervicornis", "Pheidole ceylonica", "Pheidole chalca", "Pheidole chalcoides", "Pheidole charazana", "Pheidole cheesmannae", "Pheidole chiapasana", "Pheidole chilensis", "Pheidole chloe", "Pheidole chocoensis", "Pheidole christopherseni", "Pheidole chrysops", "Pheidole cielana", "Pheidole cingulata", "Pheidole citrina", "Pheidole clavata", "Pheidole claviscapa", "Pheidole clementensis", "Orthosia faqiri", "Orthosia feda", "Orthosia reshoefti", "Nabokovia ada", "Ostheldera arne", "Ostheldera minna", "Ostheldera persa", "Ipomoea longituba", "Erioderma pedicellatum", "Homalothecium lutescens", "Mitophyllus alboguttatus", "Mitophyllus angusticeps", "Bacidia clauzadei", "Monstruncusarctia aurantiaca", "Monstruncusarctia decemmaculata", "Scopalio verrens", "Afromurzinia lutescens", "Afromurzinia sublutescens", "Afromurzinia fletcheri", "Clubiona hindu", "Clubiona mikhailovi", "Clubiona stiligera", "Clubiona pteronetoides", "Clubiona damirkovaci", "Clubiona parconcinna", "Toulgarctia vieui", "Toulgarctia griveaudi", "Toulgarctia viettei", "Toulgarctia milloti", "Toulgarctia luteoradians", "Toulgarctia luteoradians luteoradians", "Toulgarctia luteoradians jugicola", "Clubiona melanothele", "Toulgarctia luteoradians monochroma", "Clubiona silvestris", "Clubiona inquilina", "Clubiona biembolata", "Clubiona picturata", "Clubiona scandens", "Clubiona tenera", "Clubiona submaculata", "Clubiona concinna", "Clubiona krisisensis", "Clubiona pahilistapyasea", "Clubiona hystrix", "Clubiona pala", "Clubiona alticola", "Clubiona allotorta", "Clubiona rama", "Clubiona applanata", "Clubiona altissimoides", "Clubiona cylindrata", "Bellis pappulosa", "Mitophyllus dispar", "Mitophyllus foveolatus", "Mitophyllus fusculus", "Mitophyllus gibbosus", "Mitophyllus insignis", "Mitophyllus reflexus", "Mitophyllus macrocerus", "Nepenthes bicalcarata", "Acentrogobius multifasciatus", "Olsynium douglasii", "Xanthorhoe dudkoi", "Pinus gordoniana", "Pheidole dammermani", "Pheidole daphne", "Pheidole darlingtoni", "Pheidole dasypyx", "Pheidole davidsonae", "Pheidole davisi", "Pheidole dea", "Pheidole decarinata", "Pheidole deceptrix", "Pheidole defecta", "Pheidole deima", "Pheidole delecta", "Pheidole delicata", "Pheidole deltea", "Pheidole demeter", "Pheidole dentata", "Pheidole dentigula", "Pheidole descolei", "Anapistula ishikawai", "Anapistula appendix", "Pheidole deserticola", "Pheidole deserticola deserticola", "Pheidole deserticola foveifrons", "Anapistula secreta", "Pheidole desertorum", "Pheidole diabolus", "Pheidole diana", "Pheidole diffidens", "Selenops ducke", "Selenops juxtlahuaca", "Selenops jocquei", "Selenops onka", "Selenops tonteldoos", "Selenops ivohibe", "Selenops ilcuria", "Selenops florenciae", "Selenops feron", "Selenops dilon", "Selenops dilamen", "Selenops cristis", "Selenops ansieae", "Selenops angolaensis", "Selenops viron", "Selenops saldali", "Selenops lucibel", "Selenops lobatse", "Selenops camerun", "Selenops lumbo", "Selenops oculatus", "Selenops vigilans", "Selenops radiatus", "Selenops littoricola", "Mitua triangularis", "Anyphops lochiel", "Anyphops amatolae", "Anyphops dulacen", "Anyphops kraussi", "Anyphops atomarius", "Plator pennatus", "Plator insolens", "Plator nipponicus", "Plator yunlong", "Plator bowo", "Vipera latastei", "Oxyopes ocelot", "Oxyopes chiapas", "Oxyopes summus", "Oxyopes panther", "Oxyopes flavus", "Oxyopes salticus", "Oxyopes scalaris", "Oxyopes cornutus", "Oxyopes tibialis", "Oxyopes bifissus", "Oxyopes bifidus", "Oxyopes felinus", "Oxyopes lynx", "Oxyopes pardus", "Oxyopes tridens", "Oxyopes apollo", "Oxyopes occidens", "Oxyopes aglossus", "Hamataliwa helia", "Oxyopes acleistus", "Oxyopes cougar", "Oxyopes artemis", "Hamataliwa grisea", "Hamataliwa unca", "Hamataliwa puta", "Parmotremopsis antillensis", "Parmotremopsis phlyctina", "Rakaia macra", "Pheidole fervens pectinata", "Symphytognatha globosa", "Symphytognatha chickeringi", "Symphytognatha gertschi", "Symphytognatha goodnightorum", "Symphytognatha blesti", "Globignatha sedgwicki", "Globignatha rohri", "Patu saladito", "Patu digua", "Patu eberhardi", "Patu vitiensis", "Exaeretia mongolicella", "Anapistula australia", "Exaeretia praeustella", "Exaeretia allisella", "Patu woodwardi", "Patu marplesi", "Exaeretia crassispina", "Anapistula benoiti", "Anapistula boneti", "Exaeretia concaviuscula", "Exaeretia deltata", "Curimagua bayano", "Curimagua chapmani", "Exaeretia longifolia", "Amblyptilia clavata", "Amblyptilia hebeata", "Turatia argillacea", "Turatia turpicula", "Rhynchostegium murale", "Mitophyllus parrianus", "Mitophyllus irroratus", "Holloceratognathus cylindricus", "Holloceratognathus helotoides", "Holloceratognathus passaliformis", "Pydnella rosacea", "Acentrogobius suluensis", "Acentrogobius therezieni", "Acentrogobius viganensis", "Acentrogobius viridipunctatus", "Jamides alecto kondulana", "Jamides alecto manilana", "Jamides alecto meilichius", "Jamides alecto mentawica", "Jamides alecto ozea", "Jamides alecto rajatus", "Jamides alecto thanetus", "Jamides elpis", "Jamides elpis baweana", "Jamides elpis croculana", "Jamides elpis elpis", "Jamides elpis eurysthenes", "Jamides elpis jetavanus", "Vietomartyria nankunshana", "Jamides callistus", "Jamides callistus callistus", "Vietomartyria nanlingana", "Jamides callistus mioae", "Bucculatrix hamaboella", "Cophyla occultans", "Lepchina yunlongensis", "Lepchina kitchingi", "Lepchina hoenei", "Lepchina obliquifascia", "Loepa schintlmeisteri", "Loepa visayana", "Aesalus zhejiangensis", "Tegenaria barrientosi", "Tegenaria incognita", "Cubanotyphlus jimenezi", "Cubanotyphlus guatemalae", "Cubanotyphlus largo", "Cubanotyphlus poeyi", "Thaumatomyrmex soesilae", "Thaumatomyrmex mandibularis", "Thaumatomyrmex nageli", "Thaumatomyrmex atrox", "Thaumatomyrmex ferox", "Thaumatomyrmex cochlearis", "Thaumatomyrmex bariay", "Pheidole soesilae", "Pheidole diffusa", "Pheidole diligens", "Pheidole dinophila", "Pheidole dione", "Pheidole distincta", "Pheidole distorta", "Pheidole diversipilosa", "Pheidole dolon", "Pheidole dorsata", "Pheidole dossena", "Pheidole drepanon", "Pheidole dryas", "Pheidole dugasi", "Pheidole dumicola", "Pheidole duneraensis", "Pheidole durionei", "Pheidole dwyeri", "Pheidole dyctiota", "Pheidole ebenina", "Pheidole ectatommoides", "Pheidole ecuadorana", "Pheidole eidmanni", "Pheidole elecebra", "Pheidole elegans", "Pheidole elisae", "Pheidole embolopyx", "Pheidole emmae", "Pheidole ensifera", "Pheidole eparmata", "Pheidole epetrion", "Pheidole erato", "Pheidole erethizon", "Pheidole eriophora", "Pheidole ernsti", "Pheidole erratilis", "Pheidole escherichii", "Pheidole euryscopa", "Pheidole exarata", "Pheidole exasperata", "Pheidole excellens", "Pheidole excellens excellens", "Pheidole excellens fulvobasalis", "Pheidole excellens weissi", "Pheidole excubitor", "Pheidole exigua", "Pheidole exquisita", "Pheidole fabricator", "Pheidole fadli", "Pheidole fallax", "Pheidole fantasia", "Pheidole fariasana", "Pheidole fatigata", "Pheidole feae", "Pheidole fera", "Pheidole fergusoni", "Pheidole fervens", "Pheidole fervens fervens", "Pheidole gagates", "Pheidole gaigei", "Pheidole galba", "Pheidole gambogia", "Pheidole gangamon", "Pheidole gatesi", "Pheidole gauthieri", "Pheidole gavrilovi", "Pheidole clydei", "Pheidole clypeocornis", "Pheidole cocciphaga", "Pheidole cockerelli", "Pheidole coffeicola", "Acentrogobius pellidebilis", "Acentrogobius pflaumii", "Acentrogobius simplex", "Balanus glandula", "Balanus improvisus", "Balanus nubilus", "Balanus trigonus", "Pentobesa lignicolor", "Pentobesa maya", "Pentobesa marginalis", "Pentobesa jamaicensis", "Ichthyococcus ovatus", "Lactobacillus acetotolerans", "Lactobacillus amylovorus", "Jamides caeruleus", "Jamides caeruleus caeruleus", "Jamides caeruleus metallica", "Jamides caeruleus selvagia", "Lactobacillus collinoides", "Antheraea tenggarensis", "Antheraea sumbawaensis", "Actias australovietnama", "Callambulyx schintlmeisteri", "Colias chrysotheme", "Jamides elpis luniger", "Colias occidentalis", "Jamides elpis phaliga", "Jamides elpis pseudelpis", "Jamides elpis sydra", "Colias palaeno", "Prays friesei", "Fountainea glycerium", "Fountainea glycerium glycerium", "Fountainea glycerium yucatanum", "Hymenosporum flavum", "Oenospila kopperi", "Neckera crispa", "Thamnobryum alopecurum", "Plagiothecium succulentum", "Callicoma serratifolia", "Ipomoea tuboides", "Aschnaosorius amrishi", "Aschnaosorius rishwani", "Platycerus feminatus", "Platycerus hiurai", "Platycerus benesi", "Platycerus businskyi", "Platycerus consimilis", "Platycerus delagrangei", "Platycerus delicatulus", "Platycerus depressus", "Platycerus dundai", "Platycerus hongwonpyoi", "Platycerus kawadai", "Platycerus kitawakii", "Platycerus marginalis", "Platycerus miyatakei", "Platycerus oregonensis", "Platycerus perplexus", "Platycerus rugosus", "Platycerus senguni", "Platycerus spinifer", "Platycerus sugitai", "Platycerus tabanai", "Platycerus takakuwai", "Platycerus vicinus", "Platycerus virescens", "Platycerus xiongmao", "Platycerus viridicuprus", "Pheidole fiorii", "Pheidole fissiceps", "Pheidole flavens", "Pheidole flavens farquharensis", "Pheidole flavens flavens", "Pheidole flavens thomensis", "Pheidole flaveria", "Pheidole flavida", "Pheidole flavifrons", "Pheidole flavothoracica", "Pheidole floricola", "Pheidole floridana", "Pheidole foreli", "Pheidole foreli foreli", "Pheidole foreli pubens", "Pheidole fortis", "Pheidole foveolata", "Pheidole fowleri", "Pheidole fracticeps", "Pheidole fullerae", "Pheidole funki", "Pheidole funkikoensis", "Pheidole furtiva", "Pheidole fuscula", "Agyrtolasia calliptera", "Laricobius kangdingensis", "Laricobius baoxingensis", "Laricobius bicolor", "Pheidole cuevasi", "Pheidole cuitensis", "Pheidole cuprina", "Pheidole cursor", "Pheidole cyrtostela", "Pheidole gellibrandi", "Pheidole geminata", "Pheidole gemmula", "Pheidole geraesensis", "Pheidole germaini", "Pheidole gertrudae", "Pheidole ghatica", "Pheidole ghigii", "Pheidole gibba", "Pheidole gibbata", "Pheidole gigaflavens", "Pheidole gigas", "Pheidole gigliolii", "Mimopydna pallida", "Mimopydna fusca", "Mimopydna kotlarovae", "Mimopydna magna", "Mimopydna insignis", "Mimopydna anaemica", "Epimastidia inops", "Epimastidia inops inops", "Epimastidia inops pilumna", "Mimopydna sikkima", "Mimopydna sikkima sikkima", "Mimopydna sikkima stueningi", "Mimopydna sikkima yunnana", "Mimopydna kishidai", "Mimopydna kishidai kishidai", "Mimopydna kishidai discrepantia", "Trichiura verenae", "Melapsyche alla", "Ipomoea \u00d7 leucantha", "Dichodontium pellucidum", "Ipomoea sect.", "Sclerostomus trifurcatus", "Sclerostomus wendyae", "Pheidole haskinsorum", "Pheidole hasticeps", "Pheidole havilandi", "Pheidole haywardi", "Salassa fansipana", "Loepa roseomarginata", "Ambulyx schmickae", "Ambulyx andangi", "Ambulyx naessigi", "Ambulyx sinjaevi", "Jamides pseudosias", "Jamides pseudosias coeligena", "Macroglossum johani", "Jamides pseudosias pseudosias", "Clanis euroa", "Clanis euroa euroa", "Clanis euroa baratana", "Callambulyx sinjaevi", "Aplodinotus grunniens", "Vesicularia dubyana", "Morwennius decoratus", "Leucodon sciuroides", "Jamides alecto", "Parmotrema alectoronicum", "Parmotrema applanatum", "Parmotrema friabile", "Parmotrema neosubcrinitum", "Parmotrema protolobulatum", "Parmotrema zicoi", "Eurema hecabe mandarina", "Eurema hecabe albina", "Eurema hecabe amplexa", "Eurema hecabe hobsoni", "Platycerus albisomni", "Eurema hecabe solifera", "Platycerus viridicuprus kanadai", "Platycerus viridicuprus viridicuprus", "Platycerus takakuwai akitai", "Platycerus takakuwai namedai", "Platycerus takakuwai takakuwai", "Platycerus albisomni albisomni", "Platycerus albisomni chichibuensis", "Platycerus hiurai hiurai", "Platycerus hiurai tanikadoi", "Platycerus tabanai tabanai", "Zenocolon laevicollis", "Pheidole irritans", "Pheidole isis", "Pheidole isis isis", "Pheidole isis taki", "Pheidole jacobsoni", "Pheidole jaculifera", "Pheidole jeannei", "Pheidole jelskii", "Pheidole jivaro", "Pheidole jonas", "Pheidole jordanica", "Pheidole jubilans", "Pheidole jucunda", "Pheidole jucunda fossulata", "Pheidole jucunda jucunda", "Pheidole jujuyensis", "Pheidole juniperae", "Pheidole katonae", "Pheidole kikutai", "Pheidole kitschneri", "Pheidole knowlesi", "Pheidole knowlesi extensa", "Pheidole knowlesi knowlesi", "Pheidole kochi", "Pheidole kohli", "Pheidole kugleri", "Pheidole kukrana", "Pheidole kuna", "Pheidole kusnezovi", "Pheidole laelaps", "Pheidole laevicolor", "Pheidole laevifrons", "Pheidole laevinota", "Pheidole laeviventris", "Metadorcinus amuelleri", "Aegognathus caledoniaensis", "Convolvulus althaeoides", "Convolvulus althaeoides subsp. althaeoides", "Pheidole gilva", "Pheidole gilvescens", "Pheidole globularia", "Pheidole glomericeps", "Pheidole glyphoderma", "Pheidole gnomus", "Pheidole godmani", "Pheidole goeldii", "Pheidole gombakensis", "Pheidole gouldi", "Pheidole gracilescens", "Pheidole gracilipes", "Pheidole gradifer", "Pheidole grallatrix", "Pheidole grandinodus", "Pheidole grantae", "Pheidole granulata", "Pheidole gravida", "Pheidole grayi", "Pheidole grex", "Pheidole grundmanni", "Pheidole guajirana", "Pheidole guayasana", "Pheidole guerrerana", "Pheidole guilelmimuelleri", "Pheidole guineensis", "Pheidole gulo", "Pheidole hamtoni", "Pheidole harlequina", "Pheidole harrisonfordi", "Pheidole hartmeyeri", "Fountainea halice", "Fountainea halice halice", "Fountainea halice maya", "Crambometra vandenbergae", "Epimastidia arienis", "Epimastidia arienis bornemanni", "Epimastidia arienis arienis", "Epimastidia arienis staudingeri", "Tetragnatha guatemalensis", "Molopsida strenua", "Molopsida seriatoporus", "Oreophrynella seegobini", "Platycerus delicatulus delicatulus", "Scolytus multistriatus", "Cranophorus guttatus", "Cranophorus notatulus", "Cranophorus parvulus", "Cranophorus quadrinotatus", "Cranophorus varius", "Cranophorus trapezium", "Cranophorus scutigerellus", "Parmotrema albinatum", "Parmotrema bonplandii", "Parmotrema fistulatum", "Parmotrema hawaiiense", "Parmotrema luminosum", "Apterocyclus honoluluensis", "Praepapilio colorado", "Praepapilio gracilis", "Convolvulus cneorum", "Convolvulus cneorum subsp. cneorum", "Convolvulus cneorum subsp. latifolius", "Oziella rufensis", "Guineaxonopsis tasmanica", "Tasmanobates scutatus", "Tasmanobates separatus", "Procorticacarus karanovici", "Sphecophaga orientalis", "Agelena chayu", "Agelena cuspidata", "Agelena injuria", "Agelena orientalis", "Agelena poliosata", "Agelena sangzhiensis", "Semecarpus cuneiformis", "Allagelena monticola", "Allagelena gracilens", "Pheidole laevivertex", "Pheidole laidlowi", "Pheidole lamellinoda", "Pheidole lamia", "Pheidole laminata", "Pheidole lancifer", "Pheidole laniger", "Pheidole lanuginosa", "Pheidole laselva", "Pheidole laticornis", "Pheidole laticrista", "Agelescape livida", "Iberolacerta monticola", "Malthonica ferruginea", "Psammodromus hispanicus", "Ipomoea expansa", "Atelidea globosa", "Atelidea spinosa", "Pachygnatha calusa", "Pachygnatha tristriata", "Pachygnatha xanthostoma", "Pachygnatha autumnalis", "Pachygnatha brevis", "Pachygnatha furcillata", "Pachygnatha dorothea", "Kallima spiridiva", "Ipomoea praematura", "Dyschiriognatha dentata", "Ipomoea fissifolia", "Ipomoea diegoae", "Ipomoea marginisepala", "Ipomoea santillanii", "Dyschiriognatha bedoti", "Parmotrema cristobalii", "Pachygnatha rotunda", "Parmotrema fumarprotocetraricum", "Parmotrema kwalense", "Parmotrema laciniellum", "Parmotrema larense", "Parmotrema lobuliferum", "Parmotrema melanochaetum", "Parmotrema spinibarbe", "Parmotrema tandilense", "Parmotrema ventanicum", "Lunakia alyssella", "Parmotrema muelleri", "Convolvulus floridus", "Convolvulus \u00d7 despreauxii", "Paracatops fulvitarsis", "Paracatops relatus", "Paracatops brounianus", "Paracatops triangulus", "Paracatops alacris", "Paracatops brunneipes", "Paracatops dickensis", "Paracatops suturalis", "Paracatops phyllobius", "Paracatops granifer", "Paracatops antipoda", "Paracatops campbellicus", "Paracatops lugubris", "Parmotrema pachydermum", "Parmotrema pontagrossense", "Trinodicalles conicollis", "Parmotrema ramescens", "Parmotrema ruminatum", "Parmotrema succinreticulatum", "Platycerus delicatulus unzendakensis", "Acaricis danutae", "Acaricis plana", "Gammarus topkarai", "Platycerus caraboides caerulosus", "Rhamnus cathartica", "Rhamnus alaternus", "Rhamnus alnifolia", "Rhamnus arguta", "Rhamnus davurica", "Rhamnus globosa", "Rhamnus crocea subsp. ilicifolia", "Rhamnus japonica", "Rhamnus koraiensis", "Rhamnus libanotica", "Rhamnus napalensis", "Rhamnus parvifolia", "Rhamnus petiolaris", "Rhamnus prinoides", "Rhamnus prostrata", "Rhamnus purpurea", "Rhamnus saxatilis", "Rhamnus virgata", "Rhamnus utilis", "Rhamnus ussuriensis", "Rhamnus yoshinoi", "Acanthodactylus erythrurus", "Aegognathus aguirei", "Aegognathus confusus", "Aegognathus similis", "Aegognathus soulai", "Mexicerberus troglodytes", "Togaritensha curvilinea", "Eushachia millenium", "Eushachia midas", "Eushachia aurata", "Eushachia aurata aurata", "Eushachia aurata auripennis", "Podarcis bocagei", "Halacarsantia justi", "Microcerberus stygius", "Tegenaria ismaillensis", "Tegenaria zagatalensis", "Tegenaria talyshica", "Tegenaria halidi", "Tegenaria adomestica", "Azerithonica hyrcanica", "Malthonica pagana", "Tegenaria parietina", "Macropidia fuliginosa", "Colias flaveola", "Colias flaveola flaveola", "Colias flaveola erika", "Convolvulus althaeoides subsp. darnitanus", "Convolvulus althaeoides subsp. tenuissimus", "Convolvulus tricolor", "Convolvulus volubilis", "Scortizus signatus", "Scortizus zischkai", "Molopsida antarctica", "Molopsida cordipennis", "Molopsida polita", "Lacerta schreiberi", "Pheidole longiscapa", "Pheidole longiseta", "Pheidole longispinosa", "Pheidole longispinosa longispinosa", "Pheidole longispinosa scabrata", "Pheidole lourothi", "Pheidole lovejoyi", "Pheidole lucaris", "Pheidole lucida", "Pheidole lucioccipitalis", "Pheidole lucretii", "Pheidole lupus", "Pheidole lustrata", "Pheidole luteipes", "Pheidole luteipes luteipes", "Pheidole luteipes obvia", "Pheidole lutzi", "Pheidole macclendoni", "Pheidole machetula", "Pheidole mackayi", "Pheidole macracantha", "Pheidole macromischoides", "Pheidole macrops", "Pheidole maculifrons", "Pheidole madecassa", "Pheidole madrensis", "Pheidole magna", "Pheidole magrettii", "Pheidole maja", "Pheidole makilingi", "Pheidole malabarica", "Morebilus fumosus", "Morebilus diversus", "Longrita insidiosa", "Pyrnus fulvus", "Platorish flavitarsis", "Fissarena ethabuka", "Aristocosma chrysophilana", "Boolathana spiralis", "Boolathana mainae", "Hemicloeina somersetensis", "Pheidole hazenae", "Pheidole hecate", "Pheidole hector", "Pheidole hedlundorum", "Pheidole hercules", "Pheidole heterothrix", "Pheidole hetschkoi", "Pheidole hewitti", "Pheidole heyeri", "Pheidole hierax", "Pheidole hirsuta", "Pheidole hirtula", "Pheidole hispaniolae", "Pheidole hizemops", "Pheidole hoelldobleri", "Pheidole hongkongensis", "Pheidole hoplitica", "Pheidole horni", "Pheidole horribilis", "Pheidole hortensis", "Pheidole hortonae", "Pheidole hospes", "Pheidole hospita", "Pheidole huacana", "Pheidole huberi", "Pheidole huilana", "Pheidole humeralis", "Pheidole humeridens", "Pheidole humida", "Pheidole hyatti", "Pheidole impressa", "Inosomus rufopiceus", "Pheidole impressiceps", "Pheidole impressiceps commista", "Pheidole impressiceps impressiceps", "Pheidole inca", "Pheidole incerta", "Pheidole incisa", "Pheidole incurvata", "Pheidole indagatrix", "Pheidole indica", "Pheidole indica himalayana", "Pheidole indica indica", "Pheidole indica rotschana", "Pheidole indistincta", "Pheidole indosinensis", "Pheidole industa", "Pheidole inermis", "Pheidole infernalis", "Pheidole innotata", "Pheidole inornata", "Pheidole inquilina", "Pheidole inscrobiculata", "Pheidole insipida", "Pheidole inversa", "Pheidole iracunda", "Pheidole malinsii", "Pheidole mallota", "Pheidole mamore", "Pheidole manteroi", "Pheidole mantilla", "Pheidole manuana", "Pheidole manukana", "Pheidole marcidula", "Pheidole maufei", "Pheidole mayri", "Pheidole medialis", "Pheidole medioflava", "Pheidole megacephala", "Pheidole megacephala costauriensis", "Pheidole megacephala duplex", "Pheidole megacephala ilgi", "Pheidole megacephala impressifrons", "Pheidole megacephala megacephala", "Pheidole megacephala melancholica", "Pheidole megacephala nkomoana", "Pheidole megacephala rotundata", "Pheidole megacephala scabrior", "Pheidole megacephala speculifrons", "Pheidole megacephala talpa", "Pheidole meihuashanensis", "Pheidole meinerti", "Pheidole meinertopsis", "Omocestus haemorrhoidalis", "Apluda plebeja", "Apluda vesana", "Bhidea borii", "Bhidea burnsiana", "Bhidea fischeri", "Masonhalea richardsonii", "Tylorida ventralis", "Tylorida striata", "Tetragnatha aetherea", "Tetragnatha gracilis", "Pseudotropheus perspicax", "Crematogaster pygmaea", "Pachycotes engelsi", "Pachycotes grandis", "Quemedice enigmaticus", "Quemedice piracuruca", "Vindullus gracilipes", "Adcatomus flavovittatus", "Heteropoda squamacea", "Pheidole latinoda", "Pheidole latinoda angustior", "Pheidole latinoda latinoda", "Pheidole latinoda major", "Pheidole latinoda peradeniyae", "Pheidole lattkei", "Pheidole laudatana", "Pheidole lemnisca", "Pheidole lemur", "Pheidole leonina", "Pheidole leptina", "Pheidole liengmei", "Pheidole liengmei liengmei", "Pheidole liengmei malindana", "Pheidole liengmei micrartifex", "Pheidole liengmei shinsendensis", "Pheidole lighti", "Pheidole lignicola", "Pheidole lilloi", "Pheidole liteae", "Malthonica bozhkovi", "Tegenaria paragamiani", "Pheidole littoralis", "Malthonica ramblae", "Malthonica lusitanica", "Malthonica oceanica", "Pheidole lobulata", "Pheidole lokitae", "Pheidole longiceps", "Pheidole longiceps doddi", "Pheidole longiceps frontalis", "Pheidole longiceps longiceps", "Pheidole longicornis", "Pheidole longinoi", "Pheidole longior", "Pheidole longipes", "Pheidole longipes conicollis", "Pheidole longipes continentis", "Pheidole longipes longipes", "Pheidole longipes pseudola", "Agelenopsis actuosa", "Melpomene singula", "Novalena approximata", "Barronopsis barrowsi", "Barronopsis texana", "Novalena idahoana", "Agelenopsis aperta", "Agelenopsis oklahoma", "Ruscus colchicus", "Calilena absoluta", "Barronopsis jeffersi", "Barronopsis floridensis", "Friesea major", "Pleurodema cordobae", "Novaranea queribunda", "Aimophila ruficeps sanctorum", "Revertuncaria spathula", "Caloplaca obamae", "Rhamnus thymifolia", "Rhamnus rhodopea", "Rhamnus punctata", "Rhamnus pichleri", "Rhamnus pallasii", "Rhamnus orbiculata", "Rhamnus lycioides subsp. oleoides", "Rhamnus nitida", "Rhamnus microcarpa", "Rhamnus kayacikii", "Rhamnus cornifolia", "Rhamnus pyrella", "Rhamnus fallax", "Platyoides walteri", "Rhamnus hirtella", "Rhamnus kurdica", "Platyoides rossi", "Rhamnus lanceolata", "Rhamnus serrata", "Rhamnus smithii", "Rhamnus crocea var. pirifolia", "Rhamnus lycioides", "Platyoides alpha", "Platyoides fitzsimonsi", "Rhamnus davurica subsp. davurica", "Rhamnus davurica subsp. nipponica", "Rhamnus arguta var. velutina", "Pheidole melanogaster", "Pheidole melastomae", "Pheidole mendanai", "Pheidole mendicula", "Pheidole mentita", "Pheidole mentita mentita", "Pheidole mentita pullata", "Pheidole mera", "Pheidole merimbun", "Pheidole metallescens", "Pheidole metana", "Pheidole micon", "Pheidole micridris", "Pheidole microgyna", "Pheidole microps", "Pheidole micula", "Pheidole midas", "Pheidole militicida", "Pheidole minax", "Pheidole mincana", "Pheidole minensis", "Pheidole minima", "Pheidole minima catella", "Pheidole minima faurei", "Pheidole minima malelana", "Pheidole minima minima", "Pheidole minor", "Pheidole minuscula", "Pheidole minutula", "Pheidole mirabilis", "Pheidole miseranda", "Pheidole mittermeieri", "Pheidole mixteca", "Pheidole mjobergi", "Pheidole modiglianii", "Pheidole moerens", "Pheidole moffetti", "Pheidole monstrosa", "Pheidole montana", "Pheidole monteverdensis", "Pheidole mooreorum", "Pheidole morelosana", "Pheidole morrisii", "Pheidole moseni", "Pheidole mosenopsis", "Pheidole multidens", "Pheidole multispina", "Pheidole mus", "Pheidole mutisi", "Pheidole mylognatha", "Pheidole nana", "Pheidole naoroji", "Pheidole napoensis", "Pheidole nasifer", "Pheidole nasutoides", "Heteropoda ocyalina", "Heteropoda boiei", "Pistacia terebinthus", "Pistacia lentiscus", "Sinopoda serpentembolus", "Inula grandiflora", "Neocerura liturata", "Neocerura multifasciata", "Pheidole occipitalis adami", "Pheidole occipitalis neutralis", "Pheidole occipitalis occipitalis", "Pheidole oceanica", "Pheidole ocellata", "Pheidole oculata", "Pheidole oliveirai", "Pheidole olsoni", "Pheidole onifera", "Pheidole onyx", "Pheidole opaciventris", "Pheidole optiva", "Pheidole orbica", "Pheidole oswaldi", "Pheidole oswaldi decollata", "Pheidole oswaldi oswaldi", "Pheidole obscurior", "Pheidole obscurithorax", "Pheidole obtusopilosa", "Pheidole obtusospinosa", "Pheidole occipitalis", "Plator pandeae", "Plator kashmirensis", "Plator solanensis", "Plator himalayaensis", "Plator sinicus", "Plator indicus", "Desognanops humphreysi", "Doliomalus cimicoides", "Trochanteria ranuncula", "Ronaldocossus brechlini", "Afurcagobius suppositus", "Afurcagobius tamarensis", "Barylestis insularis", "Barylestis saaristoi", "Barylestis blaisei", "Heteropoda spinipes", "Heteropoda planiceps", "Heteropoda murina", "Heteropoda lashbrooki", "Pogonatum nanum", "Melanochromis kaskazini", "Melanochromis mossambiquensis", "Melanochromis wochepa", "Pseudotropheus benetos", "Pseudotropheus cyaneorhabdos", "Pseudotropheus interruptus", "Melanochromis johannii", "Pseudotropheus crabro", "Pseudotropheus perileucos", "Rebilus lugubris", "Pheidole naylae", "Pheidole nebulosa", "Pheidole nemoralis", "Pheidole nemoralis nemoralis", "Pheidole nemoralis petax", "Pheidole neokohli", "Pheidole neolongiceps", "Pheidole nesiota", "Pheidole nietneri", "Pheidole nigella", "Pheidole nigeriensis", "Pheidole nigricula", "Pheidole nigritella", "Pheidole nimba", "Pheidole nindi", "Pheidole nitella", "Pheidole nitidicollis", "Pheidole nitidula", "Pheidole njassae", "Pheidole njassae legitima", "Pheidole njassae njassae", "Pheidole noar", "Pheidole noda", "Pheidole noda flebilis", "Pheidole noda formosensis", "Pheidole noda noda", "Pheidole noda stella", "Pheidole noda taprobanae", "Pheidole nodgii", "Pheidole nodgii nodgii", "Pheidole nodgii verlatenensis", "Pheidole nodgii zoceana", "Pheidole nodifera", "Pheidole nubicola", "Pheidole nubila", "Pheidole nuculiceps", "Pheidole oaxacana", "Pheidole obnixa", "Pheidole obrima", "Pheidole obscurifrons", "Euploea orontobates", "Pristimantis orcus", "Alona martensi", "Halosbaena daitoensis", "Giesbertiolus linnaei", "Sphenomorphus capitolythos", "Lineus longissimus", "Hypogexenus pusillus", "Dudua dissectiformis", "Caribarctia bertrandae", "Pero haxairei", "Carcinopyga lichenigera", "Carcinopyga lichenigera lichenigera", "Carcinopyga lichenigera nuytenae", "Zelotes puritanus", "Plesionika edwardsii", "Microscydmus bicavatus", "Microscydmus nasutus", "Brontopriscus sinuatus", "Alchemilla ovitensis", "Parastenocaris kotumsarensis", "Parastenocaris muvattupuzha", "Phanoperla namcattien", "Zelotes kukushkini", "Tanystylum zuytdorpi", "Paranymphon bifilarium", "Pseudopallene difficile", "Hedgpethia calva", "Furcula bicuspis bicuspis", "Furcula bicuspis lanigera", "Furcula bifida bifida", "Furcula bifida lype", "Platyoides pusillus", "Rhamnus pumila", "Platyoides leppanae", "Platyoides velonus", "Frangula betulifolia", "Frangula californica", "Frangula caroliniana", "Platyoides grandidieri", "Platyoides venturus", "Platyoides pictus", "Platyoides quinquedentatus", "Platyoides costeri", "Platyoides pirie", "Platyoides mailaka", "Platyoides ravina", "Platyoides vao", "Tinytrema yarra", "Tinytrema sandy", "Tinytrema wombat", "Tinytrema kangaroo", "Tinytrema bondi", "Olin platnicki", "Desognaphosa yabbra", "Trachycosmus sculptilis", "Opharus lehmanni", "Callicore eunomia", "Trifolium medium var. medium", "Trifolium medium var. eriocalycinum", "Callicore eunomia eunomia", "Trifolium medium var. sarosiense", "Callicore eunomia atahualpa", "Trachytrema castaneum", "Trachytrema garnet", "Trachyspina capensis", "Morebilus plagusius", "Honveda fasciata", "Honveda latifasciata", "Honveda rallifasciata", "Heteropoda belua", "Heteropoda beroni", "Heteropoda fischeri", "Periergos antennae", "Heteropoda schwendingeri", "Periergos magna", "Periergos kamadena", "Periergos harutai", "Periergos accidentia", "Periergos dispar", "Periergos luridus", "Periergos orpheus", "Periergos genitale", "Stewartia calcicola", "Periergos orest", "Periergos postruba", "Stewartia cordifolia", "Heteropoda javana", "Heteropoda dagmarae", "Stewartia crassifolia", "Stewartia densivillosa", "Stewartia laotica", "Stewartia medogensis", "Stewartia micrantha", "Stewartia obovata", "Stewartia pteropetiolata", "Stewartia rostrata", "Stewartia rubiginosa", "Stewartia rubiginosa var. rubiginosa", "Stewartia rubiginosa var. damingshanica", "Chalepa bela", "Stewartia sichuanensis", "Chalepa rosiora", "Stewartia sinensis", "Stewartia sinensis var. sinensis", "Chalepa arcania", "Stewartia sinensis var. acutisepala", "Stewartia sinensis var. brevicalyx", "Heteropoda borneensis", "Heteropoda chelata vittichelis", "Heteropoda chelata", "Heteropoda ignichelis", "Stewartia sinensis var. shensiensis", "Stewartia sinii", "Heteropoda nirounensis", "Stewartia villosa", "Stewartia villosa var. villosa", "Stewartia villosa var. kwangtungensis", "Stewartia villosa var. serrata", "Heteropoda boutani", "Furcula nicetia", "Furcula bifida", "Furcula bicuspis", "Furcula furcula", "Furcula tibetana", "Furcula aeruginosa", "Furcula terminata", "Furcula furcula furcula", "Furcula furcula fuscinula", "Furcula furcula forficula", "Furcula furcula pulvigera", "Furcula furcula turcica", "Furcula furcula persica", "Furcula furcula ajatar", "Furcula furcula altaica", "Furcula furcula sangaica", "Furcula aeruginosa aeruginosa", "Furcula aeruginosa petri", "Furcula aeruginosa ludoviciae", "Furcula aeruginosa sibirica", "Furcula aeruginosa mongolica", "Gagea villosa", "Bathypluta metoeca", "Cirrhochrista brizoalis", "Cirrhochrista spinuella", "Cirrhochrista fuscusa", "Cirrhochrista kosemponialis", "Gagea bohemica", "Cirrhochrista bracteolalis", "Cirrhochrista fumipalpis", "Cirrhochrista spissalis", "Cirrhochrista semibrunnea", "Platycerus hongwonpyoi qinlingensis", "Platycerus hongwonpyoi merkli", "Pheidole picea", "Pheidole piceonigra", "Pheidole pidax", "Pheidole pieli", "Pheidole pilifera", "Pheidole pilispina", "Pheidole piliventris", "Pheidole pilosior", "Pheidole pinealis", "Pheidole pinicola", "Pheidole plagiaria", "Pheidole plagiaria moica", "Pheidole plagiaria palawanica", "Pheidole plagiaria plagiaria", "Pheidole plagiaria rectilineata", "Pheidole planidorsum", "Pheidole planifrons", "Pheidole plato", "Pheidole platypus", "Pheidole plebecula", "Pheidole plinii", "Pheidole polita", "Pheidole polymorpha", "Pheidole porcula", "Pheidole poringensis", "Pheidole portalensis", "Pheidole potosiana", "Pheidole praeses", "Pheidole praeusta", "Pheidole prattorum", "Pheidole prelli", "Pheidole prelli ingenita", "Pheidole prelli prelli", "Pheidole prelli redbankensis", "Pheidole primigenia", "Zelotes sula", "Zelotes fratris", "Pheidole prolixa", "Pheidole pronotalis", "Pheidole prostrata", "Pheidole protea", "Pheidole protensa", "Pheidole providens", "Isocossus stroehli", "Pheidole otisi", "Pheidole oxyops", "Pheidole paiute", "Micrommata aragonensis", "Micrommata aljibica", "Pheidole palenquensis", "Pheidole pallidula", "Kamalia tattakana", "Pheidole pallidula inermis", "Kamalia harutai", "Pheidole pallidula koshewnikovi", "Kamalia subrosea", "Kamalia priapus", "Kamalia priapus priapus", "Kamalia priapus dayongi", "Pheidole pallidula obscura", "Pheidole pallidula pallidula", "Pheidole pallidula recticeps", "Pheidole pallidula tristis", "Pheidole pampana", "Pheidole paraensis", "Pheidole parasitica", "Pheidole pariana", "Pheidole parva", "Pheidole parva decanica", "Pheidole parva parva", "Pheidole parvicorpus", "Pheidole peckorum", "Pheidole pedana", "Furcula interrupta", "Pheidole peguensis", "Pheidole peguensis peguensis", "Pheidole peguensis yomensis", "Pheidole pelor", "Pheidole peltastes", "Pheidole penetralis", "Pheidole pepo", "Pheidole perdiligens", "Pheidole peregrina", "Pheidole perkinsi", "Pheidole perpilosa", "Pheidole perpusilla", "Pheidole perryorum", "Pheidole peruviana", "Pheidole petersoni", "Pheidole petrensis", "Pheidole philemon", "Pheidole philippi", "Pheidole phipsoni", "Pheidole pholeops", "Pheidole picata", "Pheidole picata bernhardae", "Furcula interspersa", "Pheidole picata gietleni", "Pheidole picata picata", "Furcula gorbunovi", "Furcula pakistana", "Furcula danieli", "Furcula mimonovi", "Furcula turbida", "Indonemoura bilateralia", "Indonemoura collina", "Indonemoura curvicornia", "Indonemoura tortuosa", "Incertae sedis", "Burgessia bella", "Hirschmanniella shamimi", "Tenuipalpus orchidofilo", "Coluber ravergieri", "Litopyllus temporarius", "Litopyllus cubanus", "Litopyllus realisticus", "Furcula interrupta interrupta", "Furcula interrupta syra", "Furcula interrupta clarior", "Neoharpyia verbasci", "Neoharpyia pulcherrima", "Paraharpes hornei", "Liparopsis postalbida", "Uropyia meticulodina", "Uropyia melli", "Uropyia pontada", "Dicranura ulmi", "Dicranura tsvetajevi", "Zelotes apricorum", "Zelotes skinnerensis", "Zelotes maindroni", "Zelotes mediocris", "Zelotes invidus", "Furcula furcula caucasica", "Harpyia umbrosa umbrosa", "Harpyia umbrosa ginkakuji", "Tarsius lariang", "Harpyia milhauseri", "Tarsius tumpara", "Harpyia powelli", "Harpyia asymmetria", "Drassyllus gynosaphes", "Drassyllus nannellus", "Drassyllus socius", "Drassyllus depressus", "Drassyllus eremitus", "Drassyllus seminolus", "Pheidole proxima", "Drassyllus lamprus", "Drassyllus texamans", "Drassyllus prosaphes", "Drassyllus fractus", "Pheidole proxima bombalensis", "Pheidole proxima proxima", "Pheidole proxima transversa", "Pheidole psammophila", "Pheidole psilogaster", "Pheidole pubiventris", "Pheidole pubiventris foederalis", "Pheidole pubiventris impia", "Pheidole pubiventris pubiventris", "Pheidole pugnax", "Pheidole pulchella", "Pheidole pulchella achantella", "Pheidole pulchella pulchella", "Pheidole pullula", "Pheidole punctatissima", "Drassyllus conformans", "Pheidole punctithorax", "Pheidole punctulata", "Pheidole punctulata atrox", "Pheidole punctulata punctulata", "Pheidole punctulata spinosa", "Pheidole punctulata subatrox", "Pheidole purpurascens", "Pheidole puttemansi", "Pheidole pygmaea", "Drassyllus inanus", "Drassyllus notonus", "Pheidole pyriformis", "Pheidole quadrensis", "Pheidole quadriceps", "Pheidole quadricuspis", "Drassyllus sinton", "Pheidole quadriprojecta", "Pheidole quadrispinosa", "Pheidole quercicola", "Pheidole quiaccana", "Pheidole quinata", "Pheidole rabo", "Drassyllus eremophilus", "Drassyllus niger", "Pheidole radoszkowskii", "Drassyllus adocetus", "Pheidole reclusi", "Pheidole recondita", "Pheidole rectiluma", "Pheidole rectisentis", "Pheidole rectispina", "Pheidole rectitrudis", "Pheidole reichenspergeri", "Pheidole renae", "Pheidole retivertex", "Pheidole retronitens", "Pheidole rhea", "Pheidole rhinoceros", "Pheidole rhytifera", "Pheidole rinae", "Pheidole rinae incensa", "Pheidole rinae mala", "Pheidole rinae rinae", "Pheidole rinae taipoana", "Pheidole rinae tipuna", "Drassyllus covensis", "Pheidole risii", "Drassyllus aprilinus", "Drassyllus rufulus", "Drassyllus novus", "Pheidole riveti", "Pheidole riveti inflexa", "Pheidole riveti riveti", "Pheidole roberti", "Pheidole rochai", "Pheidole rogeri", "Pheidole rogersi", "Drassyllus ellipes", "Drassyllus frigidus", "Pheidole rogersi rogersi", "Pheidole rogersi taylori", "Pheidole rohani", "Pheidole rohani monardi", "Drassyllus creolus", "Discothyrea soesilae", "Pheidole colaensis", "Pheidole colobopsis", "Discothyrea berlita", "Pheidole colpigaleata", "Pheidole comata", "Pheidole concentrica", "Pheidole concentrica concentrica", "Pheidole concentrica recurva", "Pheidole concinna", "Pheidole conficta", "Pheidole confoedusta", "Pheidole constanciae", "Pheidole constanciae constanciae", "Pheidole constanciae nigra", "Pheidole constipata", "Pheidole coonoorensis", "Pheidole coracina", "Georissus amrishi", "Pheidole cordata", "Pheidole cordiceps", "Pheidole cornicula", "Pheidole corticicola", "Pheidole coveri", "Pheidole cramptoni", "Pheidole crassicornis", "Pheidole crassinoda", "Pheidole crassinoda crassinoda", "Pheidole crassinoda pluto", "Pheidole crassinoda ruspolii", "Pheidole crassinoda sordidula", "Pheidole creightoni", "Pheidole crinita", "Pheidole crozieri", "Pheidole cryptocera", "Pheidole cubaensis", "Jamides alecto ageladas", "Jamides alecto alecto", "Jamides alecto alocina", "Jamides alecto dromicus", "Jamides alecto elpidion", "Jamides alecto fusca", "Jamides alecto horsfieldi", "Jamides alecto kawazoei", "Niganda strigifascia", "Niganda strigifascia strigifascia", "Niganda strigifascia coelestis", "Niganda cyttarosticta", "Niganda radialis", "Niganda argentifascia", "Niganda griseicollis", "Melanargia sadjadii", "Dyscia royaria", "Sergiolus capulatus", "Sergiolus ocellatus", "Sergiolus kastoni", "Sergiolus magnus", "Sergiolus lowelli", "Sergiolus gertschi", "Sergiolus decoratus", "Sergiolus minutus", "Sergiolus unimaculatus", "Sergiolus cyaneiventris", "Sergiolus bicolor", "Sergiolus montanus", "Sergiolus columbianus", "Sergiolus stella", "Sergiolus tennesseensis", "Sergiolus iviei", "Sergiolus angustus", "Sergiolus guadalupensis", "Sergiolus hosiziro", "Aristolochia baetica", "Urozelotes mysticus", "Aristolochia bianorii", "Aristolochia paucinervis", "Urozelotes kabenge", "Urozelotes trifidus", "Pheidole rugatula", "Pheidole rugiceps", "Pheidole rugifera", "Pheidole rugosa", "Pheidole rugulosa", "Pheidole ruida", "Pheidole rutilana", "Pheidole ryukyuensis", "Drassyllus louisianus", "Pheidole rohani pellax", "Pheidole rohani rohani", "Pheidole roosevelti", "Pheidole rosae", "Pheidole rosula", "Pheidole rotundiceps", "Pheidole roushae", "Pheidole rubiceps", "Pheidole rudigenis", "Pheidole ruficeps", "Pheidole rufipilis", "Pheidole rugaticeps", "Pheidole rugaticeps arabs", "Pheidole rugaticeps rugaticeps", "Drassyllus arizonensis", "Drassyllus mexicanus", "Drassyllus proclesis", "Drassyllus mormon", "Drassyllus dromeus", "Drassyllus orgilus", "Drassyllus puebla", "Drassyllus dixinus", "Drassyllus saphes", "Drassyllus insularis", "Drassyllus tepus", "Drassyllus ojus", "Drassyllus talus", "Drassyllus villus", "Drassyllus zimus", "Drassyllus tinus", "Drassyllus lepidus", "Drassyllus mirus", "Drassyllus sonus", "Drassyllus salton", "Drassyllus pumiloides", "Zelotes daidalus", "Zelotes minous", "Zelotes scrutatus", "Drassyllus praeficus", "Leptochroptila daratua", "Sergiolus songi", "Trachyzelotes bardiae", "Trachyzelotes chybyndensis", "Trachyzelotes cumensis", "Trachyzelotes glossus", "Trachyzelotes manytchensis", "Zelotes arzanovi", "Zelotes caspius", "Zelotes inderensis", "Zelotes kazachstanicus", "Zelotes prishutovae", "Berlandina plumalis", "Berlandina nabozhenkoi", "Berlandina nenilini", "Coreodrassus semidesertus", "Drassodes caspius", "Haplodrassus isaevi", "Micaria donensis", "Berlandina caspica", "Berlandina charitonovi", "Berlandina spasskyi", "Zelotes khostensis", "Aristolochia longgangensis", "Adoxophyes microptycha", "Adoxophyes moderatana", "Cladothela bistorta", "Adoxophyes molybdaina", "Cladothela joannisi", "Adoxophyes nebrodes", "Cladothela ningmingensis", "Adoxophyes negundana", "Adoxophyes nemorum", "Adoxophyes orana", "Adoxophyes panxantha", "Staurikosaurus pricei", "Adoxophyes parastropha", "Adoxophyes perangusta", "Adoxophyes peritoma", "Adoxophyes perstricta", "Adoxophyes poecilogramma", "Paracossus artushka", "Paracossus rama", "Paracossus amasonca", "Sundacossus timur", "Chinocossus marcopoloi", "Chinocossus vjet", "Zelotes anglo", "Drassyllus mumai", "Zelotes ubicki", "Zelotes rainier", "Zelotes monachus", "Zelotes tuobus", "Zelotes moestus", "Zelotes pseustes", "Zelotes pullus", "Zelotes lasalanus", "Zelotes hentzi", "Zelotes piercy", "Zelotes union", "Zelotes santos", "Zelotes catholicus", "Zelotes perditus", "Zelotes yosemite", "Zelotes icenoglei", "Zelotes tulare", "Zelotes mesa", "Zelotes funestus", "Zelotes talpa", "Zelotes petrophilus", "Zelotes inglenook", "Zelotes josephine", "Zelotes viola", "Zelotes anthereus", "Zelotes discens", "Zelotes pinos", "Zelotes gynethus", "Zelotes acapulcoanus", "Zelotes miramar", "Zelotes ivieorum", "Zelotes mayanus", "Zelotes lymnophilus", "Zelotes ocala", "Zelotes duplex", "Zelotes jamaicensis", "Zelotes nannodes", "Zelotes laccus", "Zelotes monodens", "Martinella iquitoensis", "Haplodrassus chotanagpurensis", "Haplodrassus belgeri", "Haplodrassus bohemicus", "Haplodrassus minor", "Haplodrassus silvestris", "Haplodrassus soerenseni", "Haplodrassus umbratilis", "Haplodrassus vastus", "Haplodrassus tehriensis", "Haplodrassus stuxbergi", "Haplodrassus sataraensis", "Haplodrassus rugosus", "Haplodrassus rufus", "Haplodrassus reginae", "Haplodrassus pseudosignifer", "Haplodrassus paramecus", "Haplodrassus ovtchinnikovi", "Haplodrassus moderatus", "Nodocion mateonus", "Nodocion rufithoracicus", "Nodocion utus", "Nodocion eclecticus", "Pheidole sabahna", "Pheidole sabella", "Pheidole sabina", "Aristolochia rotunda subsp. insularis", "Pheidole sagana", "Pheidole sagax", "Pheidole sagei", "Pheidole sagittaria", "Aristolochia rotunda subsp. rotunda", "Pheidole sarawakana", "Pheidole sarcina", "Pheidole sarpedon", "Pheidole sauberi", "Pheidole sauteri", "Pheidole saxicola", "Pheidole sayapensis", "Pheidole scabriuscula", "Pheidole scabriventris", "Aristolochia rotunda subsp. reichsteinii", "Pheidole scalaris", "Pheidole scapulata", "Pheidole schmalzi", "Pheidole schoedli", "Trachyzelotes adriaticus", "Trachyzelotes lyonneti", "Pheidole schoutedeni", "Pheidole schoutedeni platycephala", "Pheidole schoutedeni schoutedeni", "Pheidole schultzei", "Pheidole schultzei ebangana", "Pheidole schultzei gwaaiensis", "Pheidole schultzei schultzei", "Pheidole schultzei woodvalensis", "Pheidole schwarzmaieri", "Pheidole sciara", "Pheidole scimitara", "Pheidole sciophila", "Pheidole scitula", "Pheidole scolioceps", "Pheidole scrobifera", "Pheidole sculptior", "Trachyzelotes mutabilis", "Trachyzelotes holosericeus", "Trachyzelotes ravidus", "Trachyzelotes fuscipes", "Trachyzelotes barbatus", "Adoxophyes privatana", "Adoxophyes psammocyma", "Adoxophyes revoluta", "Adoxophyes rhopalodesma", "Adoxophyes telesticta", "Adoxophyes templana", "Adoxophyes tetraphracta", "Adoxophyes thoracica", "Adoxophyes tripselia", "Adoxophyes trirhabda", "Adoxophyes vindicata", "Seira bicolorcornuta", "Atractides inflatipes", "Phthiria socotrae", "Empidideicus socotrae", "Empidideicus variegatus", "Namanereis tiriteae", "Eriophyes bromusi", "Aculodes mongolicus", "Crenidorsum aroidephagus", "Shoushida regilla", "Lamellipalpus atripalpis", "Lamellipalpus flavomarginatus", "Lamellipalpus kubani", "Lamellipalpus longipalpis", "Lamellipalpus nepalensis", "Lamellipalpus pacholatkoi", "Lamellipalpus sinuaticollis", "Lamellipalpus bombayensis", "Asarum europaeum subsp. caucasicum", "Asarum europaeum subsp. europaeum", "Geometra papilionaria", "Callilepis gosoga", "Callilepis gertschi", "Callilepis eremella", "Callilepis mumai", "Callilepis concolor", "Callilepis chisos", "Callilepis imbecilla", "Callilepis pluto", "Anzacia perexigua", "Anzacia gemmea", "Anzacia sarrita", "Anzacia mustecula", "Anzacia daviesae", "Anzacia inornata", "Echemella quinquedentata", "Herpyllus ecclesiasticus", "Herpyllus propinquus", "Herpyllus excelsus", "Herpyllus sherus", "Herpyllus frio", "Herpyllus cockerelli", "Herpyllus scholasticus", "Detritivora smalli smalli", "Herpyllus reservatus", "Herpyllus pictus", "Detritivora smalli harveyi", "Herpyllus emertoni", "Herpyllus iguala", "Lasaia lalannei", "Herpyllus hesperolus", "Herpyllus bensonae", "Herpyllus convallis", "Herpyllus schwarzi", "Herpyllus bubulcus", "Herpyllus regnans", "Nymphidium hermieri", "Zimiromus brachet", "Zimiromus piura", "Drassyllus orlando", "Drassyllus barbus", "Baeotis vicosa", "Drassyllus broussardi", "Hallonympha paucipuncta paucipuncta", "Hallonympha paucipuncta laisae", "Drassyllus pumilus", "Drassyllus crimeaensis", "Mesosemia minos", "Drassyllus carbonarius", "Drassyllus jubatopalpis", "Mesosemia minos guaramiranga", "Emesis guttata", "Drassyllus fragilis", "Drassyllus lutetianus", "Drassyllus pantherius", "Drassyllus sur", "Drassyllus villicus", "Haplodrassus bicornis", "Haplodrassus maculatus", "Haplodrassus mimus", "Haplodrassus dixiensis", "Haplodrassus eunis", "Haplodrassus taibo", "Haplodrassus atarot", "Haplodrassus creticus", "Haplodrassus dalmatensis", "Haplodrassus invalidus", "Haplodrassus lilliputanus", "Haplodrassus mediterraneus", "Haplodrassus morosus", "Siphlaenigma janae", "Haplodrassus ambalaensis", "Haplodrassus bengalensis", "Haplodrassus jacobi", "Haplodrassus tegulatus", "Haplodrassus dentatus", "Eupithecia subtacincta", "Eupithecia olgae", "Eupithecia rubellata", "Nodocion voluntarius", "Nodocion floridanus", "Eupithecia fletcheri", "Nodocion solanensis", "Nodocion tikaderi", "Eupithecia hemileuca", "Eupithecia jezonica", "Eupithecia ruficorpus", "Eupithecia maculosa", "Pheidole sculpturata", "Pheidole sculpturata areolata", "Pheidole sculpturata berthoudi", "Pheidole sculpturata dignata", "Pheidole sculpturata particeps", "Pheidole sculpturata rhodesiana", "Pheidole sculpturata sculpturata", "Pheidole sculpturata welgelegenensis", "Pheidole sculpturata zambesiana", "Pheidole securiger", "Pheidole seeldrayersi", "Pheidole selathorax", "Pheidole seligmanni", "Callilepis ketani", "Pheidole semilaevis", "Callilepis pawani", "Pheidole senex", "Callilepis rajani", "Pheidole senilis", "Pheidole sensitiva", "Pheidole sepulchralis", "Pheidole sericella", "Callilepis lambai", "Pheidole servilia", "Pheidole setsukoae", "Pheidole severini", "Callilepis rajasthanica", "Pheidole sexdentata", "Callilepis rukminiae", "Pheidole sexspinosa", "Drassodes carinivulvus", "Drassodes deoprayagensis", "Drassodes gangeticus", "Drassodes heterophthalmus", "Drassodes himalayensis", "Drassodes luridus", "Drassodes macilentus", "Drassodes meghalayaensis", "Drassodes parvidens", "Drassodes pashanensis", "Agyrtodes atropos", "Agyrtodes crassus", "Agyrtodes decoratus", "Drassodes phagduaensis", "Agyrtodes eucalypti", "Drassodes rubicundulus", "Agyrtodes flaviceps", "Agyrtodes globosus", "Drassodes sagarensis", "Agyrtodes koebelei", "Drassodes singulariformis", "Drassodes sirmourensis", "Drassodes sitae", "Agyrtodes lescheni", "Agyrtodes newtoni", "Agyrtodes ovatus", "Agyrtodes tasmanicus", "Agyrtodes monteithi", "Agyrtodes variabilis", "Agyrtodes variegatus", "Baeorhynchodes cristatus", "Crotonia aculeata", "Crotonia carioca", "Crotonia macfadyeni", "Crotonia valdivia", "Crotonia wallworki", "Longibrachium arariensis", "Crotonia americana", "Dasyboarmia bantanakai", "Dasyboarmia skovgaardi", "Parmotrema rubromarginatum", "Parmotrema thailandicum", "Stenoloba motuoensis", "Parmelinella chozoubae", "Dysphania transducta", "Dysphania transducta transducta", "Nymphidium colleti", "Herpyllus perditus", "Herpyllus coahuilanus", "Herpyllus gertschi", "Herpyllus perote", "Herpyllus malkini", "Herpyllus brachet", "Herpyllus fidelis", "Herpyllus giganteus", "Emesis castigata", "Emesis castigata diringeri", "Argyrogrammana iracyi iracyi", "Kishidaia conspicua", "Poecilochroa taeguensis", "Poecilochroa joreungensis", "Poecilochroa variana", "Poecilochroa golan", "Poecilochroa pugnax", "Poecilochroa senilis", "Poecilochroa taborensis", "Kishidaia xinping", "Scotophaeus quadripunctatus", "Scotophaeus blackwalli", "Echemus angustifrons", "Zimiromus tropicalis", "Zimiromus lingua", "Zimiromus chickeringi", "Zimiromus eberhardi", "Zimiromus iotus", "Zimiromus rabago", "Zimiromus medius", "Zimiromus kochalkai", "Zimiromus tonina", "Zimiromus circulus", "Zimiromus malkini", "Zimiromus lubricus", "Zimiromus reichardti", "Zimiromus muchmorei", "Zimiromus aduncus", "Zimiromus exlineae", "Zimiromus jamaicensis", "Zimiromus bimini", "Zimiromus penai", "Sidydrassus shumakovi", "Sidydrassus rogue", "Sidydrassus tianschanicus", "Talanites echinus", "Talanites exlineae", "Talanites captiosus", "Sosticus insularis", "Sosticus californicus", "Sosticus loricatus", "Scopoides catharius", "Scopoides kastoni", "Scopoides naturalisticus", "Scopoides cambridgei", "Scopoides nesiotes", "Scopoides bryantae", "Scopoides rostratus", "Scopoides santiago", "Scopoides asceticus", "Scopoides ochraceus", "Scopoides tlacolula", "Drassodes cupreus", "Drassodes jiufeng", "Drassodes auritus", "Drassodes acrotirius", "Drassodes oreinos", "Drassodes daliensis", "Zelotes zhui", "Drassodes digitusiformis", "Drassodes dispulsoides", "Drassodes fugax", "Drassodes hebei", "Drassodes kwantungensis", "Drassodes lophognathus", "Drassodes longispinus", "Drassodes nagqu", "Drassodes parauritus", "Drassodes pectinifer", "Drassodes saitoi", "Drassodes shawanensis", "Drassodes uritai", "Drassodes andamanensis", "Drassodes cambridgei", "Pheidole sexspinosa biroi", "Callilepis chakanensis", "Pheidole sexspinosa fuscescens", "Pheidole sexspinosa sexspinosa", "Pheidole sharpi", "Pheidole sharpi hoogwerfi", "Pheidole sharpi sharpi", "Pheidole sicaria", "Pheidole sigillata", "Pheidole sikorae", "Pheidole sikorae litigiosa", "Pheidole sikorae sikorae", "Pheidole similigena", "Pheidole simoni", "Pheidole simonsi", "Pheidole simplex", "Callilepis cretica", "Pheidole sinaitica", "Pheidole sinaitica santschii", "Pheidole sinaitica sinaitica", "Pheidole singularis", "Pheidole sinica", "Pheidole sitiens", "Pheidole skwarrae", "Pheidole smythiesii", "Pheidole smythiesii bengalensis", "Pheidole smythiesii smythiesii", "Pheidole socrates", "Pheidole soritis", "Pheidole sospes", "Pheidole spadonia", "Pheidole spathicornis", "Pheidole spathifera", "Eupithecia albigutta", "Eupithecia ustata", "Eupithecia delaeveri", "Drassodes neglectus", "Drassodes auriculoides", "Drassodes saccatus", "Drassodes gosiutus", "Drassodes serratichelis", "Drassodes clavifemur", "Drassodes krausi", "Drassodes crassipalpus", "Drassodes lacertosus", "Drassodes platnicki", "Drassodes natali", "Drassodes lutescens", "Drassodes rostratus", "Drassodes villosus", "Drassodes alexandrinus", "Drassodes unicolor", "Talanites fervidus", "Philaenus tesselatus", "Pseudotriphyllus defoei", "Eustala anastera", "Eustala mucronatella", "Zearagytodes brouni", "Gasterosteus microcephalus", "Lophotus lacepede", "Eupithecia subrubescens", "Eupithecia interrubescens", "Eupithecia lucigera", "Paratus reticulatus", "Paratus indicus", "Paratus sinensis", "Pholcoides afghana", "Caracladus avicula", "Caracladus leberti", "Caracladus montanus", "Caracladus tsurusakii", "Caracladus zamoniensis", "Erigone pauperula", "Erigone lata", "Erigone zheduoshanensis", "Pheidole tethepa", "Pheidole tetra", "Tarastethus simulans", "Molopsida puncticollis", "Tarastethus southlandicus", "Stilbopsis polita", "Maladera howdeni", "Harpyia longipennis", "Harpyia longipennis longipennis", "Harpyia formosicola", "Harpyia longipennis yunnanensis", "Harpyia microsticta", "Harpyia microsticta microsticta", "Harpyia microsticta baibarana", "Harpyia microsticta dicyma", "Teleclita grisea", "Teleclita centristicta", "Stauroplitis accomodus", "Oxoia smaragdiplena", "Oxoia viridipicta", "Akko brevis", "Akko dionaea", "Akko rossi", "Pheidole wiesei", "Pheidole williamsi", "Pheidole wilsoni", "Pheidole wolfringi", "Pheidole woodmasoni", "Pheidole wroughtonii", "Pheidole xanthocnemis", "Pheidole xanthogaster", "Pheidole xerophila", "Pheidole xocensis", "Pheidole xocensis bulawayensis", "Pheidole xocensis xocensis", "Zoropsis albertisi", "Zoropsis thaleri", "Akamasia cyprogenia", "Coleophora luteochrella", "Electraglaia caementosa", "Electraglaia contracta", "Electraglaia isozona", "Electraglaia robusta", "Electraglaia nigrapex", "Carebara aborensis", "Carebara acuta", "Anemone quinquefolia var. quinquefolia", "Carebara acutispinus", "Allorapisma chuorum", "Catochrysops amasea", "Catochrysops amasea amasea", "Catochrysops amasea reducta", "Comptonia columbiana", "Glyptothorax ketambe", "Mursia aurorae", "Mursia steinhardti", "Palaemon powelli", "Paraneseuthia guineana", "Harpides grimmi", "Carebara afghana", "Carebara africana", "Carebara alluaudi", "Parasyrisca vinosa", "Parasyrisca ulykpani", "Parasyrisca guzeripli", "Parasyrisca breviceps", "Parasyrisca anzobica", "Parasyrisca shakhristanica", "Parasyrisca chikatunovi", "Parasyrisca gissarika", "Parasyrisca koksu", "Parasyrisca andreevae", "Parasyrisca iskander", "Parasyrisca vorobica", "Parasyrisca paironica", "Parasyrisca helanshan", "Parasyrisca marusiki", "Altitatiayus godinhorum", "Ragytodina tuberculosa", "Afropelates joannae", "Afropelates latitarsis", "Afropelates leleupi", "Chiliopelates fasciatus", "Bungarus fasciatus", "Parabetyla spinosa", "Parabetyla nauhea", "Parabetyla ngarara", "Parabetyla pipira", "Parabetyla pokorua", "Parabetyla tahi", "Parabetyla tika", "Mimopydna schintlmeisteri", "Mimopydna schintlmeisteri schintlmeisteri", "Mimopydna schintlmeisteri yunnana", "Holocneminus multiguttatus", "Holocneminus piritarsis", "Paccius madagascariensis", "Paccius quadridentatus", "Corinna rubripes", "Pheidole sykesii", "Pheidole symbiotica", "Pheidole synarmata", "Pheidole tachigaliae", "Pheidole tachirana", "Pheidole taivanensis", "Pheidole tambopatae", "Pheidole tandjongensis", "Pheidole tanyscapa", "Pheidole tarchon", "Pheidole tarda", "Pheidole tasmaniensis", "Pheidole tasmaniensis continentis", "Pheidole tasmaniensis tasmaniensis", "Pheidole taurus", "Pheidole tawauensis", "Pheidole tayrona", "Pheidole templaria", "Pheidole templaria euscrobata", "Pheidole templaria templaria", "Pheidole tenebra", "Pheidole tenebricosa", "Pheidole tenerescens", "Pheidole teneriffana", "Pheidole teneriffana taina", "Pheidole teneriffana teneriffana", "Pheidole tennantae", "Pheidole tenuiclavata", "Pheidole tenuinodis", "Pheidole tenuinodis bothae", "Pheidole tenuinodis robusta", "Pheidole tenuinodis sipapomae", "Pheidole tenuinodis tenuinodis", "Pheidole tenuis", "Pheidole tepicana", "Pheidole tepuicola", "Pheidole termitobia", "Pheidole termitophila", "Pheidole termitophila liberiensis", "Pheidole termitophila termitophila", "Pheidole terraceensis", "Pheidole terresi", "Pheidole terribilis", "Pheidole tertiaria", "Acacesia tenella", "Aegagropila linnaei", "Wixia abdominalis", "Alpaida navicula", "Larinia montecarlo", "Pheidole tetracantha", "Pheidole tetrica", "Pheidole tetroides", "Pheidole texana", "Pheidole texticeps", "Pheidole thrasys", "Pheidole tigris", "Pheidole tijucana", "Pheidole tillandsiarum", "Pheidole tisiphone", "Pheidole titanis", "Pheidole tjibodana", "Pheidole tobini", "Pheidole tolteca", "Pheidole torosa", "Pheidole trachyderma", "Pheidole trageri", "Pheidole tragica", "Pheidole traini", "Pheidole transfigens", "Pheidole transversostriata", "Pheidole trapezoidea", "Pheidole treubi", "Pheidole tricarinata", "Pheidole tricolor", "Pheidole triconstricta", "Pheidole trinitatis", "Pheidole triplex", "Pheidole tristicula", "Pheidole tristis", "Pheidole tristops", "Pheidole triumbonata", "Pheidole truncula", "Pheidole tsailuni", "Pheidole tschinkeli", "Pheidole turneri", "Pheidole tuxtlasana", "Pheidole tysoni", "Pheidole ulothrix", "Pheidole umbonata", "Pheidole umbonata fusciventris", "Pheidole umbonata umbonata", "Pheidole umphreyi", "Pheidole unicornis", "Pheidole upeneci", "Pheidole ursus", "Pheidole vafella", "Pheidole vafra", "Pheidole valens", "Pheidole vallicola", "Pheidole vallifica", "Pheidole vanderveldi", "Pheidole variabilis", "Pheidole variabilis aliena", "Pheidole variabilis croceithorax", "Pheidole variabilis latigena", "Pheidole variabilis mediofusca", "Pheidole variabilis ocior", "Pheidole variabilis ocyma", "Pheidole variabilis parvispina", "Pheidole variabilis praedo", "Pheidole variabilis redunca", "Pheidole variabilis rugocciput", "Pheidole variabilis rugosula", "Pheidole xyston", "Pheidole yaqui", "Pheidole yeensis", "Pheidole yucatana", "Pheidole zelata", "Pheidole zeteki", "Pheidole zhoushanensis", "Pheidole zoster", "Pheidole anastasii", "Pheidole jamaicensis", "Adlerzia froggatti", "Allomerus brevipilosus", "Allomerus decemarticulatus", "Allomerus dentatus", "Allomerus maietae", "Allomerus octoarticulatus", "Allomerus septemarticulatus", "Allomerus undecemarticulatus", "Allomerus vogeli", "Anillomyrma decamera", "Anillomyrma decamera continentis", "Anillomyrma decamera decamera", "Anillomyrma tridens", "Bondroitia lujae", "Bondroitia saharensis", "Neviusia dunthornei", "Mecistops cataphractus", "Ulmus okanaganensis", "Ulmus chuchuanus", "Cholevomorpha picta", "Paragyrtodes modestus", "Symsagittifera roscoffensis", "Betula leopoldae", "Zoropsis coreana", "Takeoa nishimurai", "Takeoa huangshan", "Zoropsis saba", "Meganola liaoningensis", "Griswoldia robusta", "Huntia murrindal", "Huntia deepensis", "Manoba subtribei", "Megateg ramboldi", "Krukt piligyna", "Birrana bulburin", "Kilyana hendersoni", "Eospilarctia fangchenglaiae", "Uliodon albopunctatus", "Uliodon cervinus", "Incertae sedis", "Uliodon frenatus", "Uliodon ferrugineus", "Uliodon marmoreus", "Eospilarctia yuennanica", "Zoropsis rufipes", "Zoropsis lutea", "Zoropsis spinimana", "Zoropsis pekingensis", "Dromornis australis", "Zoropsis kirghizicus", "Dromornis stirtoni", "Zoropsis media", "Zoropsis oertzeni", "Zoropsis markamensis", "Zoropsis bilineata", "Zoropsis beccarii", "Barawertornis tedfordi", "Bullockornis planei", "Acanthoctenus gaujoni", "Acanthoctenus spiniger", "Acanthoctenus spinipes", "Isoctenus foliifer", "Isoctenus janeirus", "Parabatinga brevipes", "Anahita fauna", "Ctenus yaeyamensis", "Anahita maolan", "Anahita samplexa", "Gephyroctenus philodromoides", "Phylloneta pictipes", "Allochernes deceuninckorum", "Sinocallipus simplipodicus", "Adelomyrmex boltoni", "Adelomyrmex longinodus", "Pseudoprotoribates parabadensis", "Pseudoprotoribates luxtoni", "Rhynchina deqinensis", "Ctenectropis seisakuraii", "Anamedasina sommereri", "Psilalcis holzwegensis", "Assara murasei", "Higena assimilis", "Higena anulata", "Higena similis", "Higena similis similis", "Higena similis luzonensis", "Higena similis mindorensis", "Higena similis cebuensis", "Higena similis mindanaensis", "Higena similis schintlmeisteri", "Higena trichosticha", "Higena biarcuata", "Higena umbrina", "Higena indigofera", "Higena distincta", "Gangarides sugii", "Gangarides sugii sugii", "Gangarides sugii pulcher", "Gangarides sugii palawanensis", "Carebara alluaudi alluaudi", "Carebara alluaudi cataractae", "Carebara alpha", "Carebara altinodus", "Carebara amia", "Carebara ampla", "Carebara ampla ampla", "Carebara ampla cincta", "Carebara ampla obscurithorax", "Carebara ampla rugosa", "Carebara angolensis", "Carebara angolensis angolensis", "Carebara angolensis congolensis", "Carebara angulata", "Carebara anophthalma", "Carebara antiqua", "Carebara arabica", "Carebara armata", "Carebara arnoldi", "Carebara arnoldiella", "Carebara asina", "Carebara atoma", "Carebara audita", "Carebara bartrumi", "Carebara bengalensis", "Carebara beta", "Carebara bicarinata", "Carebara bihornata", "Carebara bohemica", "Hiradonta takaonis", "Hiradonta terrea", "Hiradonta albapex", "Hiradonta gnoma", "Carebara borealis", "Carebara bouvardi", "Carebara brasiliana", "Carebara brevipilosa", "Hiradonta angustipennis", "Carebara bruchi", "Carebara bruni", "Carebara butteli", "Carebara capreola", "Carebara capreola capreola", "Hiradonta alboaccentuata", "Carebara capreola laeviceps", "Carebara castanea", "Carebara castanea augustata", "Carebara castanea castanea", "Hiradonta chi", "Cancellientactinia acifera", "Carebara coeca", "Carebara concinna", "Carebara convexa", "Hiradonta himalayana", "Hiradonta ohashii", "Zetzellia biscutata", "Zetzellia spiculosa", "Tricalamus papilionaceus", "Tricalamus menglaensis", "Tricalamus tetragonius", "Tricalamus jiangxiensis", "Tricalamus albidulus", "Tricalamus gansuensis", "Tricalamus linzhiensis", "Tricalamus longimaculatus", "Tricalamus meniscatus", "Tricalamus papillatus", "Tricalamus xianensis", "Wandella barbarella", "Yardiella humphreysi", "Filistata tarimuensis", "Filistata xizanensis", "Filistata gomerensis", "Filistata pseudogomerensis", "Filistata teideensis", "Filistata tenerifensis", "Filistata canariensis", "Kukulcania hibernalis", "Zygaena fausta", "Creugas gulosus", "Castianeira rubicunda", "Castianeira shaxianensis", "Castianeira flavimaculata", "Orthobula impressa", "Orthobula crucifera", "Orthobula yaginumai", "Phrurolithus festivus", "Phrurolithus labialis", "Phrurolithus hamdeokensis", "Phrurolithus palgongensis", "Phrurolithus pennatus", "Phrurolithus sinicus", "Phrurolithus claripes", "Phrurolithus nipponicus", "Bellenden jingyuanensis", "Aprostocetus exertus", "Xestaspis loricata", "Gamasomorpha minima", "Gamasomorpha lalana", "Gamasomorpha anhuiensis", "Parapaulipalpina giachinoi", "Tarastethus alpinalis", "Devendra pardalis", "Phanotea peringueyi", "Stewartia malacodendron", "Stewartia serrata", "Stewartia monadelpha", "Stewartia pseudocamellia", "Stewartia ovata", "Zora hespera", "Zora pumila", "Zora lyriformis", "Zora nemoralis", "Zora spinimana", "Zora manicata", "Ptycholoma lata", "Dibamus tebal", "Platycerus yingqii", "Ptycholoma erschoffi", "Platycerus cyanidraconis", "Platycerus nagahatai", "Platycerus tangi", "Platycerus yeren", "Ptycholoma imitator", "Ptycholoma lecheana", "Ptycholoma micantana", "Neocalyptis fortis", "Diplocalyptis ferruginimixta", "Diplocalyptis triangulifera", "Diplocalyptis apona", "Gangarides sugii negrosanus", "Gangarides wallacei", "Zitha toulgoetalis", "Zitha viettealis", "Zitha catochrysalis", "Zitha lalannealis", "Zitha montreuilalis", "Zitha deuvealis", "Zitha novembralis", "Zitha sambavalis", "Zitha legrandalis", "Zitha vincentalis", "Zitha ragonotalis", "Zitha pronubalis", "Archips silvicolanus", "Archips subgyraleus", "Archips bulbosus", "Archips brunneatus", "Archips bachmanus", "Pikelinia tambilloi", "Pikelinia patagonica", "Pikelinia colloncura", "Pikelinia mahuell", "Pikelinia roigi", "Pikelinia kolla", "Pikelinia ticucho", "Chirapsina hemixantha", "Pikelinia puna", "Chirapsina expleta", "Pikelinia fasciata", "Dynatocephala omophaea", "Filistata insidiatrix", "Pikelinia uspallata", "Dynatocephala altivola", "Lihuelistata metamerica", "Neocalyptis magnilabis", "Misionella mendensis", "Misionella jaminawa", "Pikelinia kiliani", "Brettus anchorum", "Brettus celebensis", "Chimastrum argentea", "Brettus madagascarensis", "Chimastrum argentea argentea", "Chimastrum argentea carnutes", "Chimastrum argentea flavibasis", "Macopaeus spinosus", "Chimastrum celina", "Gelotia frenata", "Acroclita posterovenata", "Gelotia bimaculata", "Gelotia argenteolimbata", "Rhopobota ancylimorpha", "Gelotia robusta", "Rhopobota nova", "Gelotia salax", "Rhopobota latisocia", "Gelotia syringopalpis", "Epinotia niveipalpa", "Gelotia lanka", "Ustriclapex numellata", "Ustriclapex speculatrix", "Varroa destructor", "Laufeia liujiapingensis", "Varroa rindereri", "Varroa underwoodi", "Varroa wongsirii", "Laufeia aerihirta", "Ascioplaga scalena", "Pheidole variabilis variabilis", "Pheidole variceps", "Pheidole variegata", "Pheidole variolosa", "Pheidole vatu", "Pheidole veletis", "Pheidole velox", "Pheidole venatrix", "Pheidole verricula", "Parasyrisca potanini", "Pheidole vestita", "Pheidole veteratrix", "Pheidole veteratrix angustinoda", "Pheidole veteratrix veteratrix", "Pheidole victima", "Pheidole victoris", "Parasyrisca songi", "Pheidole vigilans", "Pheidole violacea", "Pheidole virago", "Pheidole viriosa", "Pheidole vistana", "Pheidole voeltzkowii", "Pheidole vomer", "Pheidole vorax", "Pheidole vulgaris", "Pheidole walkeri", "Pheidole wallacei", "Parasyrisca schenkeli", "Pheidole wardi", "Pheidole watsoni", "Pheidole weiseri", "Pheidole wheelerorum", "Parasyrisca sollers", "Parasyrisca heimeri", "Parasyrisca altaica", "Parasyrisca tyshchenkoi", "Parasyrisca birikchul", "Parasyrisca hippai", "Parasyrisca belukha", "Parasyrisca orites", "Parasyrisca asiatica", "Parasyrisca logunovi", "Parasyrisca holmi", "Parasyrisca khubsugul", "Parasyrisca belengish", "Parasyrisca susamyr", "Parasyrisca otmek", "Parasyrisca terskei", "Parasyrisca kurgan", "Parasyrisca narynica", "Parasyrisca pshartica", "Parasyrisca vakhanski", "Parasyrisca alai", "Parasyrisca andarbag", "Parasyrisca kyzylart", "Parasyrisca pamirica", "Parasyrisca balcarica", "Parasyrisca caucasica", "Parasyrisca alexeevi", "Parasyrisca mikhailovi", "Parasyrisca turkenica", "Diplocalyptis tennuicula", "Diasporus ventrimaculatus", "Calastacus inflatus", "Daemilus fulva", "Carybdea branchi", "Daemilus mutuurai", "Daemilus rufus", "Daemilus rufapex", "Polyzoa atlantica", "Adoxophyes afonini", "Vulgarogamasus sphecophilus", "Borneogena siniaevi", "Borneogena antigrapha", "Isodemis ngoclinha", "Aegla manuinflata", "Platycerus bashanicus", "Sorolopha brunnorbis", "Sorolopha dorsichlora", "Phaecasiophora astrata", "Phaecasiophora rufata", "Sycacantha pararufata", "Sycacantha ngoclinhana", "Calastacus stilirostris", "Sycacantha montana", "Calastacus laevis", "Calastacus colpos", "Calastacus mexicanus", "Calastacus crosnieri", "Actinia equina", "Actinia denticulosa", "Actinia australiensis", "Acanthochitona fascicularis", "Achryson surinamum", "Eosacantha delocranioides", "Denaeaspis chelonopsis", "Nordenskioldia borealis", "Cochlearia officinalis", "Populus rotundifolia", "Zizyphoides flabella", "Pseudattulus kratochvili", "Scoriodyta conisalia", "Scoriodyta dugdalei", "Pseudattulus beieri", "Scoriodyta patricki", "Scoriodyta virginella", "Scoriodyta rakautarensis", "Scoriodyta sereinae", "Scoriodyta suttonensis", "Cryptocellus tarsilae", "Cryptocellus icamiabas", "Cryptocellus abaporu", "Cryptocellus adisi", "Cryptocellus florezi", "Cryptocellus brignolii", "Tetracentron remberi", "Yllenus dalaensis", "Alcyonidium gelatinosum", "Arcinella arcinella", "Arcinella cornuta", "Digitaria digitaria", "Beris clavipes", "Blattella germanica", "Udea nebulatalis", "Orobanche mutelii", "Udea proximalis", "Udea grisealis", "Udea intermedia", "Cosmopterix lungsuana", "Eupsilia baoshinchangi", "Cocalodes innotabilis", "Cocalodes platnicki", "Cocalodes longipes", "Cocalodes turgidus", "Cocalodes thoracicus", "Cocalodes protervus", "Cocalodes longicornis", "Cocalodes macellus", "Eucoenogenes atripalpa", "Eucoenogenes sipanga", "Cydia curiosa", "Abies cilicica subsp. cilicica", "Cyathea aristata", "Satara cornutiata", "Zeuzerocossus cinereus", "Hydaticus consanguineus", "Neodrymonia hirta", "Cyathea grandifolia", "Selaginella helvetica", "Selaginella bryopteris", "Selaginella kraussiana", "Selaginella denticulata", "Naja ashei", "Cocalodes cygnatus", "Cocalodes expers", "Cocalodes leptopus", "Cocalodes papuanus", "Allococalodes cornutus", "Allococalodes alticeps", "Propalosoma gutierrezae", "Allococalodes madidus", "Camponotites kraussei", "Yamangalea frewana", "Tabuina rufa", "Tabuina baiteta", "Tabuina varirata", "Cucudeta gahavisuka", "Cucudeta uzet", "Cucudeta zabkai", "Carpinus perryae", "Neostatherotis nipponoca", "Neostatherotis pallidtornus", "Neostatherotis vietnamica", "Celypha atriapex", "Celypha sapaecola", "Celypha argyrata", "Neopotamia triloba", "Neopotamia atrigrapta", "Fansipaniana fansipana", "Metrioglypha viridicosta", "Statherotis afonini", "Ancylis gigas", "Eucosmogastra kontumica", "Dacgleia cerata", "Brettus cingulatus", "Brettus adonis", "Brettus albolimbatus", "Yllenus dunini", "Yllenus erzinensis", "Yllenus gavdos", "Yllenus guseinovi", "Yllenus karakumensis", "Yllenus halugim", "Yllenus karnai", "Yllenus kononenkoi", "Yllenus kotchevnik", "Yllenus mirabilis", "Yllenus murgabicus", "Yllenus nigritarsis", "Yllenus nurataus", "Yllenus pamiricus", "Yllenus pavlenkoae", "Yllenus pseudobajan", "Yllenus pseudovalidus", "Yllenus shakhsenem", "Yllenus tamdybulak", "Yllenus turkestanicus", "Yllenus uiguricus", "Yllenus uzbekistanicus", "Yllenus zhilgaensis", "Yllenus zyuzini", "Yllenus bactrianus", "Yllenus bajan", "Yllenus bator", "Yllenus maoniuensis", "Alternanthera nahui", "Yllenus mongolicus", "Yllenus robustior", "Yllenus caspicus", "Yllenus desertus", "Yllenus improcerus", "Yllenus knappi", "Yllenus kulczynskii", "Yllenus marusiki", "Nordenskioldia interglacialis", "Yllenus mirandus", "Yllenus namulinensis", "Zizyphoides auriculata", "Halictophagus forthoodiensis", "Amia hesperia", "Platycerus cribripennis", "Yllenus baltistanus", "Yllenus univittatus", "Yllenus validus", "Yllenus albifrons", "Yllenus auriceps", "Yllenus saliens", "Yllenus tschoni", "Yllenus squamifer", "Yllenus salsicola", "Yllenus albocinctus", "Yllenus algarvensis", "Yllenus aralicus", "Yllenus auspex", "Yllenus bakanas", "Yllenus bucharensis", "Yllenus charynensis", "Yllenus flavociliatus", "Yllenus hamifer", "Yllenus horvathi", "Yllenus ranunculus", "Yllenus vittatus", "Euophrys pseudogambosa", "Phlegra palestinensis", "Aelurillus brutus", "Waipapamyia dentata", "Waipapamyia elongata", "Waipapamyia truncata", "Hiodon rosei", "Yaginumaella longnanensis", "Yaginumaella bhutanica", "Yaginumaella cambridgei", "Yaginumaella gogonaica", "Yaginumaella helvetorum", "Yaginumaella hybrida", "Yaginumaella incognita", "Yaginumaella intermedia", "Yaginumaella montana", "Yaginumaella nobilis", "Yaginumaella nova", "Yaginumaella orientalis", "Yaginumaella originalis", "Yaginumaella pilosa", "Yaginumaella silvatica", "Yaginumaella simoni", "Yaginumaella stemmleri", "Yaginumaella strandi", "Yaginumaella supina", "Yaginumaella tenella", "Yaginumaella thimphuica", "Yaginumaella urbanii", "Yaginumaella versicolor", "Yaginumaella wangdica", "Yaginumaella wuermli", "Yaginumaella thakkholaica", "Leptagrion andromache", "Yaginumaella tenzingi", "Yaginumaella nepalica", "Pisulia stoltzei", "Chimarra koualeensis", "Chimarra mayottensis", "Yaginumaella badongensis", "Yaginumaella flexa", "Yaginumaella variformis", "Yaginumaella bilaguncula", "Yaginumaella nanyuensis", "Yaginumaella lobata", "Yaginumaella senchalensis", "Sinicaepermenia sauropophaga", "Caucasotachea vindobonensis", "Alcis variegata", "Hypotrachyna adaffinis", "Hypotrachyna addita", "Hypotrachyna adjuncta", "Hypotrachyna afrorevoluta", "Acmeshachia gigantea", "Acmeshachia albifascia", "Bianor albobimaculatus", "Sycorax wampukrum", "Halichoeres sazimai", "Brachyhypopomus gauderio", "Hypotrachyna stictifera", "Hypotrachyna subaffinis", "Hypotrachyna subformosana", "Hypotrachyna sublaevigata", "Hypotrachyna subphysodalica", "Hypotrachyna subpustulifera", "Hypotrachyna subsplendens", "Hypotrachyna swinscowii", "Hypotrachyna subsaxatilis", "Hypotrachyna tariensis", "Hypotrachyna taylorensis", "Hypotrachyna thysanota", "Hypotrachyna toiana", "Hypotrachyna velloziae", "Hypotrachyna minuscula", "Hypotrachyna mirabilis", "Hypotrachyna monilifera", "Hypotrachyna monticola", "Hypotrachyna montkoghisensis", "Hypotrachyna munduae", "Hypotrachyna nana", "Hypotrachyna neodigitata", "Hypotrachyna neodissecta", "Hypotrachyna neoflavida", "Hypotrachyna neosingularis", "Hypotrachyna neostictifera", "Hypotrachyna nilgherrense", "Hypotrachyna nodakensis", "Hypotrachyna novella", "Hypotrachyna obscurella", "Hypotrachyna ochracea", "Hypotrachyna olivetorica", "Hypotrachyna oostingii", "Hypotrachyna orientalis", "Leia arsona", "Synagelides zhaoi", "Sciophila ocreata", "Sciophila parviareolata", "Synagelides lushanensis", "Synagelides gambosus", "Synagelides yunnan", "Synagelides nishikawai", "Synagelides wangdicus", "Synagelides wuermlii", "Synagelides bagmaticus", "Synagelides darjeelingus", "Synagelides doisuthep", "Synagelides kosi", "Synagelides kualaensis", "Synagelides lehtineni", "Synagelides sumatranus", "Synagelides birmanicus", "Synagelides gosainkundicus", "Synagelides martensi", "Synagelides nepalensis", "Synagelides oleksiaki", "Synagelides tukchensis", "Synagelides ullerensis", "Synagelides walesai", "Synagelides cavaleriei", "Synagelides huangsangensis", "Synagelides longus", "Synagelides palpaloides", "Synagelides tianmu", "Sitticus wuae", "Hypotrachyna osorioi", "Anthidium manicatum", "Etheostoma erythrozonum", "Ptychozoon nicobarensis", "Minibiotus claxtonae", "Macrobiotus tehuelchensis", "Macrobiotus neuquensis", "Bulbothrix viatica", "Ciulfina klassi", "Doliodromia avita", "Trachyaretaon gatla", "Hypotrachyna everniastroides", "Hypotrachyna exsecta", "Hypotrachyna exsplendens", "Hypotrachyna fissicarpa", "Hypotrachyna flavida", "Hypotrachyna flavovirens", "Brasidas acanthoderus", "Brasidas montivagus", "Brasidas samarensis", "Brasidas viscayanus", "Hypotrachyna galbinica", "Hypotrachyna gigas", "Hypotrachyna goiasii", "Hypotrachyna gondylophora", "Brasidas foveolatus", "Hypotrachyna gracilescens", "Hypotrachyna granulans", "Hypotrachyna habenula", "Changwhania digitata", "Hypotrachyna heterochroa", "Hypotrachyna hnatiukii", "Hypotrachyna hypoalectorialica", "Hypotrachyna ikomae", "Hypotrachyna imbricatula", "Hypotrachyna immaculata", "Hypotrachyna intercalanda", "Hypotrachyna isidiocera", "Hypotrachyna kashiwadanii", "Hypotrachyna keitauensis", "Geosesarma aedituens", "Hypotrachyna kinabaluensis", "Hypotrachyna kokiuensis", "Hypotrachyna kriegeri", "Hypotrachyna laevigata", "Hypotrachyna leeukopensis", "Hypotrachyna leiophylla", "Hypotrachyna leswellensis", "Hypotrachyna lichesterinica", "Hypotrachyna ligulata", "Hypotrachyna lineariloba", "Hypotrachyna livida", "Hypotrachyna lividescens", "Hypotrachyna longiloba", "Hypotrachyna lopezii", "Hypotrachyna lythgoeana", "Hypotrachyna majoris", "Hypotrachyna malesiana", "Hypotrachyna malmei", "Hypotrachyna mason-halei", "Hypotrachyna massartii", "Hypotrachyna meridensis", "Hypotrachyna meyeri", "Hypotrachyna microblasta", "Hypotrachyna minima", "Sitticus longipes", "Sitticus mazorcanus", "Sitticus canus", "Sitticus palpalis", "Sitticus ammophilus", "Sitticus ansobicus", "Sitticus saltator", "Sitticus nenilini", "Sitticus burjaticus", "Sitticus damini", "Sitticus goricus", "Hypotrachyna riparia", "Hypotrachyna rockii", "Hypotrachyna rwandensis", "Hypotrachyna scytodes", "Sitticus dzieduszyckii", "Hypotrachyna showmanii", "Hypotrachyna silvatica", "Hypotrachyna simbuensis", "Hypotrachyna sinuosa", "Hypotrachyna spathulata", "Sitticus distinguendus", "Hypotrachyna steyermarkii", "Sitticus leucoproctus", "Sitticus flabellatus", "Sitticus cellulanus", "Sitticus barsakelmes", "Sitticus dubatolovi", "Ursus arctos yesoensis", "Rachia plumosa", "Rachia striata", "Rachia lineata", "Franzdaniela fasciata", "Limonium insigne", "Sigmoleia melanoxantha", "Sigmoleia similis", "Sigmoleia separata", "Sigmoleia peterjohnsi", "Sigmoleia minuta", "Sigmoleia spinosistyla", "Notodusmetia coroneti", "Odiaglyptus biformis", "Zelencyrtus latifrons", "Zelaphycus aspidioti", "Austrochoreia antipodis", "Asianellus kazakhstanicus", "Nola cucullatella", "Asianellus ontchalaan", "Asianellus potanini", "Asianellus kuraicus", "Aelurillus afghanus", "Aelurillus balearus", "Aelurillus bosmansi", "Aelurillus cypriotus", "Aelurillus stanislawi", "Neoephemera antiqua", "Aelurillus faragallai", "Aelurillus aeruginosus", "Aelurillus subaffinis", "Aelurillus lopadusae", "Aelurillus basseleti", "Aelurillus conveniens", "Aelurillus hirtipes", "Aelurillus luctuosus", "Aelurillus monardi", "Hypotrachyna andensis", "Cepaea hortensis", "Hypotrachyna angustissima", "Hypotrachyna anziaica", "Cepaea sylvatica", "Hypotrachyna asiatica", "Hypotrachyna aspera", "Hypotrachyna baguioensis", "Hypotrachyna bogotensis", "Hypotrachyna booralensis", "Hypotrachyna boquetensis", "Hypotrachyna bostrychodes", "Hypotrachyna brasiliana", "Hypotrachyna brevirhiza", "Hypotrachyna britannica", "Hypotrachyna brueggeri", "Hypotrachyna caraccensis", "Hypotrachyna cendensis", "Hypotrachyna chicitae", "Hypotrachyna chlorina", "Hypotrachyna chlorobarbatica", "Hypotrachyna ciliata", "Hypotrachyna cinerascens", "Hypotrachyna citrella", "Hypotrachyna colensoica", "Hypotrachyna congenita", "Hypotrachyna contradicta", "Hypotrachyna coorgiana", "Bupleurum fruticosum", "Bupleurum longifolium", "Bupleurum ranunculoides", "Bupleurum rotundifolium", "Bupleurum tenuissimum", "Hypotrachyna corneola", "Hypotrachyna costaricensis", "Hypotrachyna croceopustulata", "Hypotrachyna crustacea", "Hypotrachyna culbersoniorum", "Hypotrachyna dactylifera", "Hypotrachyna dahlii", "Hypotrachyna densirhizinata", "Hypotrachyna dentella", "Hypotrachyna divaricatica", "Hypotrachyna ducalis", "Hypotrachyna eitenii", "Haaniella parva", "Hypotrachyna elongata", "Hypotrachyna enderythraea", "Hypotrachyna endochlora", "Hypotrachyna endosulphurea", "Hypotrachyna ensifolia", "Hypotrachyna erythrodes", "Trachyaretaon carmelae", "Hypotrachyna evansii", "Trachyaretaon echinatus", "Bulbothrix yunnana", "Agrias claudina lucianus", "Icius hongkong", "Langona hongkong", "Opharus bipunctatus", "Bianor hongkong", "Bianor incitatus", "Opharus brasiliensis", "Bianor kovaczi", "Gymnothorax walvisensis", "Cottus sabaudicus", "Bianor murphyi", "Bianor pseudomaculatus", "Bianor punjabicus", "Bianor quadrimaculatus", "Bianor senegalensis", "Bianor vitiensis", "Bianor wunderlichi", "Rhynchina susannae", "Bianor biocellosus", "Bianor biguttatus", "Bianor monster", "Bianor compactus", "Rhynchina rudolfmayerli", "Rhynchina edii", "Rhynchina markusmayerli", "Rhynchina michaelhaeupli", "Rhynchina claudiae", "Rhynchina heinrichharreri", "Timandromorpha inouei", "Timandromorpha pinratanai", "Timandromorpha wangi", "Meleon guineensis", "Exelastis dowi", "Portia strandi", "Portia songi", "Calephelis distinctus", "Plexippoides validus", "Portia heteroidea", "Calephelis canus", "Calephelis brevis", "Portia zhaoi", "Portia hoggi", "Calephelis rotundum", "Portia jianfeng", "Calephelis indistinctus", "Portia orientalis", "Portia taiwanica", "Portia wui", "Yaginumanis cheni", "Yaginumanis wanlessi", "Taraxella solitaria", "Calephelis sodalis", "Calephelis exiguus", "Calephelis laverna", "Calephelis laverna laverna", "Calephelis laverna parva", "Calephelis laverna trinidadensis", "Neobrettus tibialis", "Calephelis tikal", "Cyrba algerina", "Calyptronotum singapura", "Calyptronotum gualberta", "Calyptronotum adustum", "Alcis bachmaensis", "Alcis semiopaca", "Alcis semiatrata", "Psilalcis inoueorum", "Psilalcis katsumii", "Bocula wuyiensis", "Hypotrachyna osseoalba", "Hypotrachyna osteoleuca", "Hypotrachyna palmarum", "Hypotrachyna palniensis", "Hypotrachyna partita", "Hypotrachyna paramensis", "Hypotrachyna perexigua", "Hypotrachyna peruviana", "Hypotrachyna physcioides", "Hypotrachyna physodalica", "Hypotrachyna pluriformis", "Hypotrachyna polydactyla", "Hypotrachyna primitiva", "Hypotrachyna producta", "Hypotrachyna prolongata", "Hypotrachyna proserpinensis", "Hypotrachyna protenta", "Sitticus relictarius", "Sitticus dudkoi", "Sitticus zaisanicus", "Sitticus inopinabilis", "Sitticus karakumensis", "Sitticus kazakhstanicus", "Sitticus monstrabilis", "Sitticus pulchellus", "Sitticus caricis", "Sitticus inexpectus", "Sitticus rupicola", "Sitticus cutleri", "Sitticus magnus", "Sitticus rivalis", "Sitticus striatus", "Hypotrachyna protoboliviana", "Sitticus zimmermanni", "Hypotrachyna pseudoformosana", "Hypotrachyna pseudosinuosa", "Sitticus clavator", "Hypotrachyna pulvinata", "Hypotrachyna punoensis", "Hypotrachyna pustulifera", "Sitticus mirandus", "Hypotrachyna quaesita", "Hypotrachyna rachista", "Hypotrachyna ramkhamhaengiana", "Hypotrachyna reducens", "Hypotrachyna revoluta", "Hypotrachyna revolutella", "Sitticus concolor", "Aelurillus plumipes", "Aelurillus ater", "Aelurillus dubatolovi", "Aelurillus lutosus", "Aelurillus laniger", "Aelurillus muganicus", "Aelurillus nenilini", "Nevadia addyensis", "Aelurillus concolor", "Parmotrema laongii", "Aelurillus kopetdaghi", "Parmotrema pectinatum", "Aelurillus kronestedti", "Aelurillus blandus", "Aelurillus cretensis", "Aelurillus improvisus", "Aelurillus leipoldae", "Aelurillus marusiki", "Aelurillus minimontanus", "Aelurillus m-nigrum", "Aelurillus unitibialis", "Aelurillus v-insignitus", "Aelurillus kochi", "Aelurillus andreevae", "Aelurillus angularis", "Aelurillus catherinae", "Aelurillus gershomi", "Aelurillus jerusalemicus", "Aelurillus bokerinus", "Aelurillus cognatus", "Aelurillus nabataeus", "Aelurillus politiventris", "Aelurillus guecki", "Aelurillus steinmetzi", "Aelurillus helvenacius", "Aelurillus logunovi", "Aelurillus lucasi", "Aelurillus mirabilis", "Aelurillus schembrii", "Aelurillus steliosi", "Parmotrema eitenii", "Parmotrema fleigiae", "Dendryphantes darchan", "Parmotrema lacteum", "Chalcoscirtus catherinae", "Chalcoscirtus jerusalemicus", "Chalcoscirtus talturaensis", "Chalcoscirtus lepidus", "Leptogium kalbii", "Anthias anthias", "Ramalina reptans", "Ramalina subrotunda", "Helicius hillaryi", "Micromelalopha troglodyta", "Synageles morsei", "Chalcoscirtus tanyae", "Pelosia obtusa", "Pelosia obtusa pavlasi", "Synageles bishopi", "Synageles mexicanus", "Ramalina coreana", "Ramalina litoralis", "Synageles noxiosus", "Synageles canadensis", "Synageles idahoanus", "Synageles leechi", "Synageles occidentalis", "Synageles charitonovi", "Synageles ramitus", "Synageles subcingulatus", "Agriopis beschkovi", "Syntypistis spitzeri", "Euproctis veto", "Ophrys tenthredinifera", "Ophrys speculum", "Leptogium hibernicum", "Ceratogyrus paulseni", "Alcis semialba", "Alcis chiangmaiensis", "Alcis imbecilis", "Alcis semipullata", "Alcis semiusta", "Eutrix turpellus", "Ornithogalum candicans", "Phyllodesma henna", "Streblote hai", "Torigea fortis", "Pheosiopsis mulieris", "Anasaitis morgani", "Anasaitis decoris", "Fusadonta atra", "Anasaitis scintilla", "Anasaitis venatoria", "Peridea aperta", "Anasaitis canosa", "Asaphobelis physonychus", "Chalcoscirtus brevicymbialis", "Chalcoscirtus charynensis", "Chalcoscirtus iranicus", "Chalcoscirtus kirghisicus", "Chalcoscirtus pseudoinfimus", "Chalcoscirtus molo", "Chalcoscirtus grishkanae", "Chalcoscirtus michailovi", "Chalcoscirtus bortolgois", "Chalcoscirtus minutus", "Chalcoscirtus platnicki", "Chalcoscirtus tanasevichi", "Chalcoscirtus kamchik", "Chalcoscirtus zyuzini", "Chalcoscirtus koponeni", "Ecpyrrhorrhoe biaculeiformis", "Ecpyrrhorrhoe digitaliformis", "Ecpyrrhorrhoe ruidispinalis", "Corophium colo", "Amanita taiepa", "Amanita nehuta", "Amanita pekeoides", "Amanita karea", "Amanita mumura", "Amanita pumatona", "Amanita pareparina", "Amanita nigrescens", "Amanita australis", "Amanita nothofagi", "Cryptamorpha desjardinsi", "Spiris striata", "Dendryphantes pseudochuldensis", "Dendryphantes linzhiensis", "Dendryphantes yadongensis", "Dendryphantes secretus", "Dendryphantes potanini", "Dendryphantes ovchinnikovi", "Merothrips brunneus", "Merothrips floridensis", "Dendryphantes biankii", "Dendryphantes chuldensis", "Dendryphantes tuvinensis", "Dendryphantes czekanowskii", "Dendryphantes barguzinensis", "Dendryphantes fusconotatus", "Dendryphantes hastatus", "Keraia longiseta", "Macrostylis cerritus", "Thylakogaster namibiensis", "Hirondellea sindhusagar", "Aponema ninai", "Culexiregiloricus trichiscalida", "Pliciloricus diva", "Nyxis rostrocularis", "Holodentata caeca", "Holodentata triangulata", "Holodentata gaussi", "Peniagone crozeti", "Sassacus papenhoei", "Sassacus paiutus", "Gebrukothuria profundus", "Sassacus cyaneus", "Sassacus vitis", "Campylaspis aegypta", "Sassacus helenicus", "Sassacus sexspinosus", "Timandromorpha olivaria", "Calystegia silvatica", "Spartaeus zhangi", "Triticum aestivum subsp. aestivum", "Spartaeus jianfengensis", "Spartaeus platnicki", "Spartaeus ellipticus", "Spartaeus uplandicus", "Lamiastrum galeobdolon subsp. montanum", "Lamiastrum galeobdolon subsp. galeobdolon", "Lamium galeobdolon subsp. argentatum", "Pancorius taiwanensis", "Chinattus taiwanensis", "Alnus glutinosa subsp. antitaurica", "Alnus glutinosa subsp. betuloides", "Balmaceda picta", "Balmaceda nigrosecta", "Narthecium balansae", "Lysimachia punctata", "Pardosa glacialis", "Phlogius crassipes", "Ecsenius caeruliventris", "Ecsenius shirleyae", "Gymnotus ardilai", "Camellia amplexicaulis", "Coenosia polina", "Hypotrachyna virginica", "Hypotrachyna woitapensis", "Hypotrachyna xanthoparmelioides", "Hypotrachyna terricola", "Naja mandalayensis", "Naja nubiae", "Pandisus scalaris", "Pandisus indicus", "Asemonea virgea", "Asemonea trispila", "Asemonea sichuanensis", "Vipera ammodytes", "Vipera xanthina", "Muhtarophis barani", "Asemonea flava", "Asemonea pallida", "Asemonea serrata", "Asemonea santinagarensis", "Goleba puella", "Goleba pallens", "Goleba punctata", "Acanthochitona defilippi", "Onomastus nigrimaculatus", "Onomastus simoni", "Phaeacius fimbriatus", "Phaeacius lancearius", "Phaeacius malayensis", "Phaeacius canalis", "Phaeacius saxicola", "Phaeacius yixin", "Phaeacius wanlessi", "Phaeacius alabangensis", "Phaeacius biramosus", "Phaeacius leytensis", "Phaeacius mainitensis", "Phaeacius yunnanensis", "Isoctenus malabaris", "Hisonotus armatus", "Leptodora kindtii", "Menophra sinoplagiata", "Psilalcis abraxidia", "Paradarisa guilinensis", "Calicha nooraria", "Calicha subnooraria", "Myrioblephara nanaria", "Myrioblephara nanlingensis", "Myrioblephara bifiduncus", "Aethalura chinensis", "Lophobates dichroplagia", "Lophobates yazakii", "Arbomia kishidai", "Abaciscus cantonensis", "Abaciscus albipunctata", "Abaciscus ferruginis", "Harutalcis sinecornutus", "Deileptenia sinicaria", "Deileptenia hoenei", "Deileptenia vietnamensis", "Alcis xuei", "Rikiosatoa subdsagaria", "Darisa abraxaria", "Myrioblephara guilinensis", "Chrysoblephara olivacea", "Chrysoblephara sapensis", "Dysbatus stenodesma", "Dysbatus singularis", "Dysbatus trisecta", "Dysbatus doliopa", "Dysphania transducta colinmohagani", "Palmorchis caxiuanensis", "Tatia caxiuanensis", "Puccinia caxiuanensis", "Pheidole spathifera aspatha", "Pheidole spathifera spathifera", "Pheidole spathifera yerburyi", "Pheidole spathipilosa", "Pheidole specularis", "Pheidole speculifera", "Pheidole speculifera ascara", "Pheidole speculifera bispecula", "Pheidole speculifera cubangensis", "Pheidole speculifera speculifera", "Pheidole sperata", "Pheidole sphaerica", "Pheidole spilota", "Pheidole spinicornis", "Pheidole spininodis", "Pheidole spinoda", "Pheidole spinulosa", "Pheidole spinulosa conigera", "Pheidole spinulosa messalina", "Pheidole spinulosa spinulosa", "Pheidole squalida", "Pheidole steinheili", "Pheidole stigma", "Pheidole stomachosa", "Pheidole strator", "Pheidole strator fugax", "Pheidole strator strator", "Pheidole strator tabida", "Nipponocypris sieboldii", "Pheidole striata", "Pheidole striaticeps", "Pheidole strigosa", "Pheidole stulta", "Pheidole styrax", "Pheidole subaberrans", "Pheidole subarmata", "Pheidole submonticola", "Pheidole subnuda", "Pheidole subreticulata", "Pheidole subsphaerica", "Pheidole sulcaticeps", "Pheidole sulcaticeps indosinensis", "Pheidole sulcaticeps punensis", "Pheidole sulcaticeps sulcaticeps", "Pheidole sulcaticeps vellicans", "Pheidole superba", "Pheidole susannae", "Pheidole susanowo", "Tanakia limbata", "Dendryphantes nicator", "Dendryphantes quaesitus", "Dendryphantes legibilis", "Dendryphantes mordax", "Dendryphantes rafalskii", "Macaroeris moebi", "Macaroeris nidicolens", "Synageles nigriculus", "Euophrys rusticana", "Pellenes sibiricus", "Plexippoides szechuanensis", "Gymnogeophagus tiraparae", "Leporinus guttatus", "Ruta angustifolia", "Udeocoris levis", "Rhene biembolusa", "Solanum villosum", "Rhene flavicomans", "Rhene phuntsholingensis", "Rhene triapophyses", "Solanum decipiens", "Rhene indica", "Rhene danieli", "Rhene candida", "Rhene ipis", "Rhene flavigera", "Rhene plana", "Rhene facilis", "Rhene formosa", "Rhene haldanei", "Rhene sanghrakshiti", "Rhene sulfurea", "Rhene khandalaensis", "Rhene decorata", "Rhene banksi", "Rhene biguttata", "Rhene daitarensis", "Rhene darjeelingiana", "Rhene habahumpa", "Rhene hinlalakea", "Rhene pantharae", "Daphne mezereum", "Evarcha squamulata", "Evarcha bakorensis", "Evarcha certa", "Evarcha maculata", "Gramenca prima", "Heliophanus heurtaultae", "Lamottella longipes", "Langelurillus horrifer", "Langelurillus nigritus", "Nimbarus pratensis", "Plexippus fuscus", "Toticoryx exilis", "Mabellina prescotti", "Parmotrema aberrans", "Parmotrema anchietanum", "Parmotrema asperum", "Parmotrema eliasaroanum", "Parmotrema graniticum", "Parmotrema hypermaculatum", "Parmotrema milanezii", "Camellia assimilis", "Camellia buxifolia", "Camellia yunnanensis", "Zeuxippus yunnanensis", "Zeuxippus pallidus", "Zeuxippus histrio", "Zeuxippus atellanus", "Pseudicius afghanicus", "Pseudicius flavipes", "Pseudicius alter", "Pseudicius amicus", "Pseudicius mikhailovi", "Profelis aurata cottoni", "Pseudicius arabicus", "Pseudicius daitaricus", "Pseudicius manillaensis", "Pseudicius maureri", "Pseudicius modestus", "Pseudicius nepalicus", "Pseudicius okinawaensis", "Pseudicius philippinensis", "Pseudicius reiskindi", "Pseudicius solomonensis", "Pseudicius vesporum", "Pseudicius datuntatus", "Pseudicius spiniger", "Pseudicius eximius", "Pseudicius kaszabi", "Pseudicius marshi", "Pseudicius mirus", "Pseudicius pseudocourtauldi", "Pseudicius seychellensis", "Pseudicius sheherezadae", "Pseudicius shirinae", "Pseudicius sindbadi", "Pseudicius spasskyi", "Pseudicius tamaricis", "Pseudicius vankeeri", "Pseudicius picaceus", "Pseudicius kulczynskii", "Pseudicius espereyi", "Pseudicius cultrifer", "Pseudicius badius", "Pellenes siculus", "Pseudeuophrys nebrodensis", "Pellenes bitaeniata", "Pellenes diagonalis", "Pellenes lagrecai", "Pellenes maderianus", "Mesovelia vittigera", "Hydrometra stagnorum", "Aelurillus rugatus", "Pellenes geniculatus", "Pellenes lapponicus", "Coremecis nigrovittata", "Coremecis leukohyperythra", "Coremecis maichauensis", "Parectropis paracyclophora", "Parectropis fansipana", "Marpissa insignis", "Marpissa mirabilis", "Marpissa tenebrosa", "Marpissa carinata", "Marpissa nitida", "Marpissa linzhiensis", "Bulbothrix megapotamica", "Punctelia fimbriata", "Punctelia purpurascens", "Xanthoparmelia conglomerata", "Hadromys loujacobsi", "Hadromys humei", "Hydromys ziegleri", "Prionomys batesi", "Eptesicus taddeii", "Juliomys ossitenuis", "Hylomyscus walterverheyeni", "Akodon cursor", "Juliomys pictipes", "Juliomys rimofrons", "Pantepuisaurus rodriguesi", "Gymnodactylus vanzolinii", "Gymnodactylus amarali", "Trachylepis tschudii", "Timandromorpha discolor", "Timandromorpha enervata", "Timandromorpha energes", "Neogirdharia magnifica", "Neogirdharia jingdongensis", "Neogirdharia spiculata", "Neogirdharia quadrilatera", "Neogirdharia digitata", "Neogirdharia rotunda", "Eupithecia mima", "Eupithecia pamirica", "Ophrys pallida", "Eupithecia mustangata", "Eupithecia ochracea", "Athyrium filix-femina", "Gypsophila glandulosa", "Gypsophila silenoides", "Thiania cavaleriei", "Thiania luteobrachialis", "Thiania bhamoensis", "Thiania inermis", "Thiania suboppressa", "Thiania pulcherrima", "Thiania cupreonitens", "Thiania demissa", "Thiania gazellae", "Thiania humilis", "Thiania abdominalis", "Thiania viscaensis", "Pseudicius rudakii", "Pseudicius wenshanensis", "Pseudicius yunnanensis", "Pseudicius zabkai", "Pseudicius chinensis", "Pseudicius szechuanensis", "Pseudicius cambridgei", "Pseudicius wesolowskae", "Pseudicius courtauldi", "Pseudicius cinctus", "Pseudicius deletus", "Pseudicius frigidus", "Pseudicius encarpatus", "Pseudicius punctatus", "Pseudicius africanus", "Pseudicius bipunctatus", "Pseudicius braunsi", "Pseudicius ghesquieri", "Pseudicius kraussi", "Pseudicius nuclearis", "Pseudicius siticulosus", "Pseudicius unicus", "Pseudicius adustus", "Eupithecia carpophilata", "Eupithecia lineosa", "Mogrus mathisi", "Eupithecia leucostaxis", "Mogrus larisae", "Mogrus neglectus", "Eupithecia contraria", "Mogrus macrocephalus", "Mogrus logunovi", "Mogrus sinaicus", "Mogrus cognatus", "Mogrus mirabilis", "Mogrus fulvovittatus", "Mogrus dalmasi", "Mogrus faizabadicus", "Mogrus frontosus", "Mogrus antoninus", "Mogrus fabrei", "Mogrus valerii", "Mogrus ignarus", "Mogrus incertus", "Mogrus linzhiensis", "Mogrus sahariensis", "Mogrus canescens", "Mogrus praecinctus", "Mogrus semicanus", "Eupithecia impavida", "Pellenes negevensis", "Euophrys catherinae", "Evarcha negevensis", "Evarcha pileckii", "Habrocestum shulovi", "Langona oreni", "Synemosyna americana", "Synemosyna lauretta", "Synemosyna nicaraguaensis", "Neopseustis moxiensis", "Neopseustis fanjingshana", "Neopseustis bicornuta", "Neopseustis sinensis", "Neopseustis meyricki", "Neopseustis archiphenax", "Platycoelia cochabambensis", "Achaiabracon aenigmatus", "Incertae sedis", "Cowielepis ritchiei", "Geranium sylvaticum", "Synempora andesae", "Apoplania chilensis", "Apoplania penai", "Apoplania valdiviana", "Geranium sibiricum", "Nematocentropus omeiensis", "Nematocentropus schmidi", "Asaracus venezuelicus", "Dendryphantes barrosmachadoi", "Marma femella", "Pachomius hadzji", "Gargela xanthocasis", "Pachomius dybowskii", "Gargela renatusalis", "Gargela bilineata", "Gargela hastatela", "Gargela hainana", "Gargela quadrispinula", "Gargela xizangensis", "Gargela albidusa", "Gargela distigma", "Gargela furca", "Gargela fuscusa", "Gargela minuta", "Hypochrosis viridiflava", "Hypochrosis dierli", "Hypochrosis urania", "Hypochrosis turlini", "Cheliceroides longipalpis", "Chinattus tibialis", "Colyttus lehtineni", "Colyttus bilineatus", "Epeus glorius", "Prionailurus iriomotensis", "Plesiosiro madeleyi", "Centaurea busambarensis", "Centaurea tauromenitana", "Batomys hamiguitan", "Batomys russatus", "Cantareus aspersus", "Vespericola ohlone", "Euchemotrema hubrichti", "Acharia stimulea", "Pseudaneitea grana", "Placodus inexpectatus", "Frangula alnus subsp. pontica", "Frangula alnus subsp. alnus", "Aruattus agostii", "Ilemoraspis kirkinskayae", "Saaristattus tropicus", "Incertae sedis", "Kryostega collinsoni", "Batomys dentatus", "Neonella vinnula", "Neonella salafraria", "Neonella camillae", "Prostheclina pallida", "Amblyeleotris aurora", "Valantia deltoidea", "Valantia calva", "Septemtriocetus bosselaersi", "Placospherastra antillensis", "Incertae sedis", "Anisotricha similis", "Blattella lengleti", "Libanasidus vittatus", "Trox mozalae", "Amblyeleotris bellicauda", "Amblyeleotris biguttata", "Amblyeleotris callopareia", "Amblyeleotris delicatulus", "Amblyeleotris diagonalis", "Amblyeleotris downingi", "Wockia koreana", "Eriosocia guttifera", "Holcocera cerradicola", "Microperus eucalypticus", "Holcoperla magna", "Neotrizygia obscura", "Taxicnemis flava", "Cawthronia nigra", "Paracycloneura apicalis", "Cycloneura triangulata", "Rivula stepheni", "Lithophane abita", "Lithophane leeae", "Aelurillus numidicus", "Aelurillus latebricola", "Bunyastichus monteithi", "Priasilpha obscura", "Priasilpha angulata", "Priasilpha aucklandica", "Priasilpha bufonia", "Priasilpha carinata", "Priasilpha earlyi", "Priasilpha embersoni", "Clambus domesticus", "Coelophora inaequalis", "Scymnus loewi", "Sphaerothorax tierensis", "Sphaerothorax halleyi", "Sphaerothorax victoriae", "Sphaerothorax lawrenceanus", "Sphaerothorax tasmani", "Sphaerothorax americanus", "Sphaerothorax andensis", "Sphaerothorax suffusus", "Lypusa maurella", "Lypusa tokari", "Sphaerothorax pubiventris", "Sphaerothorax rufocastaneus", "Clambus alienus", "Clambus bornemisszai", "Clambus cooyar", "Clambus hangayi", "Clambus inaequalis", "Clambus sphaericus", "Ulochlaena fulviguttata", "Bembecia megillaeformis", "Cyanistes caeruleus caeruleus", "Bembecia puella", "Bembecia gegamica", "Bembecia staryi", "Bembecia parthica", "Bembecia stuebingeri", "Auratonota fasciata", "Auratonota napoana", "Diabolo diantoniorum", "Macrochlidia monotona", "Monortha bellavistana", "Monortha jurumbaino", "Monortha povedai", "Hilarographa bathychtra", "Hilarographa grapholithana", "Chaetogonopteron bethnorrisae", "Canoparmelia zambiensis", "Canoparmelia zimbabwensis", "Symphurus ligulatus", "Gelatinopsis acarosporicola", "Core eudicots", "Kupeus arcuatus", "Neocicindela tuberculata", "Clivina australasiae", "Clivina rugithorax", "Clivina basalis", "Clivina vagans", "Clivina heterogena", "Euasterids I", "Eurosids I", "Eurosids II", "Suraginella macalpinei", "Clambus sternalis", "Clambus stewarti", "Clambus terraereginae", "Iberochloe tagis", "Iberochloe pechi", "Iberochloe tagis tagis", "Iberochloe tagis atlasica", "Iberochloe tagis bellezina", "Iberochloe tagis calvensis", "Iberochloe tagis castellana", "Cyathea uleana", "Iberochloe tagis piemonti", "Iberochloe tagis reisseri", "Iberochloe tagis alharae", "Iberochloe tagis aveyronensis", "Iberochloe tagis davidi", "Iberochloe tagis granadensis", "Osmunda regalis", "Leptopteris alpina", "Leptopteris fraseri", "Leptopteris hymenophylloides", "Leptopteris superba", "Leptopteris wilkesiana", "Todea barbara", "Todea papuana", "Langona alfensis", "Langona aperta", "Langona bhutanica", "Langona kurracheensis", "Langona simoni", "Langona tartarica", "Langona trifoveolata", "Langona pallida", "Langona bitumorata", "Langona pecten", "Langona improcera", "Mauropterix jailensis", "Langona pilosa", "Langona vitiosa", "Langona avara", "Sibianor proszynski", "Sibianor aemulus", "Sibianor annae", "Sibianor kenyaensis", "Duerotherium sudrei", "Sibianor larae", "Sibianor latens", "Sibianor tantulus", "Adeopapposaurus mognai", "Sibianor turkestanicus", "Sibianor victoriae", "Napoca insignis", "Stichius albomaculatus", "Pellenes marionis", "Pellenes stepposus", "Achrosis selinae", "Stertinius niger", "Pellenes gerensis", "Incertae sedis", "Thrinacoselache gracia", "Cratoamia gondwanica", "Hemitriakis indroyonoi", "Scoliquadracus longipetiolatus", "Alcimochthes meridionalis", "Diorhabda meridionalis", "Diorhabda carinulata", "Locustacarus trachealis", "Octotemnus dilutipes", "Styracosaurus ovatus", "Sinapis alba", "Euxoa lafontainei", "Protogygia whitesandsensis", "Baronniesia delioti", "Spermophora gordimerae", "Spermophora peninsulae", "Spermophora pembai", "Spermophora suurbraak", "Spermophora morogoro", "Spermophora sangarawe", "Spermophora usambara", "Spermophora masisiwe", "Spermophora kivu", "Spermophora berlandi", "Spermophora minotaura", "Spermophora lambilloni", "Spermophora jocquei", "Spermophora tonkoui", "Spermophora domestica", "Spermophora paluma", "Spermophora yao", "Clypastraea pulchella", "Spermophora vyvato", "Calodiscus lobatus", "Paramicromerys madagascariensis", "Spermophora ranomafana", "Allotanaupodus orete", "Allotanaupodus williamsi", "Allotanaupodus winksi", "Amatissa cellularia", "Tatenectes laramiensis", "Chileosilpha elguetai", "Delgamma flaviae", "Priastichus crowsoni", "Priastichus megathorax", "Delgamma pangonia", "Delgamma sanctae", "Delgamma lourensi", "Alligator luicus", "Odontelia daphnadeparisae", "Doswellia kaltenbachi", "Modunda aeneiceps", "Modunda staintoni", "Shanweiniao cooperorum", "Stertinius balius", "Eoanseranas handae", "Bianor concolor", "Bianor diversipes", "Bianor fasciatus", "Bianor simplex", "Bianor ghigii", "Mammuthus trogontherii", "Mammuthus meridionalis", "Mammuthus columbi", "Harmochirus bianoriformis", "Harmochirus lloydi", "Harmochirus luculentus", "Harmochirus zabkai", "Harmochirus duboscqi", "Harmochirus pineus", "Tuberculobasis arara", "Tuberculobasis geijskesi", "Tuberculobasis guarani", "Tuberculobasis karitiana", "Tuberculobasis macuxi", "Tuberculobasis tirio", "Tuberculobasis cardinalis", "Tuberculobasis costalimai", "Tuberculobasis inversa", "Tuberculobasis mammilaris", "Tuberculobasis yanomami", "Denticulobasis ariken", "Denticulobasis dunklei", "Denticulobasis garrisoni", "Uralaphorura varicellata", "Uralaphorura yanensis", "Botanophila helviana", "Botanophila minuta", "Botanophila nigra", "Botanophila peristeriensis", "Botanophila saliciphila", "Botanophila kitadakeana", "Cimrmanium angulinotum", "Timea curacaoensis", "Megaciella incrustans", "Batzella fusca", "Strongylacidon unguiferum", "Diorhabda carinata", "Triptolemma endolithicum", "Diorhabda sublineata", "Phintella pygmaea", "Synageles scutiger", "Belisana khaosok", "Belisana aninaj", "Belisana ketambe", "Belisana fraser", "Belisana strinatii", "Belisana nomis", "Belisana freyae", "Belisana gedeh", "Belisana sandakan", "Belisana leuser", "Belisana bohorok", "Belisana kaharian", "Belisana sabah", "Belisana kinabalu", "Belisana floreni", "Belisana sepaku", "Belisana davao", "Belisana airai", "Belisana yap", "Belisana apo", "Belisana tambligan", "Tetartopeus tezcani", "Phanophilus comptus", "Pseudohemihyalea ambigua", "Pseudohemihyalea syracosia", "Pseudohemihyalea fallaciosa", "Pseudohemihyalea sonorosa", "Pseudohemihyalea potosi", "Pseudohemihyalea carmen", "Dodia tarandus", "Dodia albertae", "Leichosila talamanca", "Leichosila wagneri", "Panthea apanthea", "Panthea reducta", "Panthea judyae", "Panthea guatemala", "Zodariellum cirrisulcatum", "Zodariellum sericeum", "Zodariellum sahariense", "Zodariellum tibesti", "Zodariellum sungar", "Zodariellum furcum", "Avaceratops lammersi", "Euterpe catinga", "Euterpe edulis", "Euterpe longibracteata", "Zodariellum chaoyangense", "Euterpe precatoria", "Zodariellum surprisum", "Zodariellum volgouralensis", "Zodariellum inderensis", "Zodariellum asiaticum", "Zodariellum bekuzini", "Zodariellum continentale", "Zodariellum mongolicum", "Zodariellum nenilini", "Zodariellum proszynskii", "Zodariellum schmidti", "Zodariellum sytchevskajae", "Scymbalium laetum", "Lathrobium bipartitum", "Sunius debilicornis", "Hypomedon debilicornis", "Sunius propinquus", "Astenus guttulus", "Medon zeelandicus", "Medon coecus", "Medon granipennis", "Medon mandibularis", "Medon ventralis", "Medon microps", "Lithocharis vilis", "Scopaeus apterus", "Hyperomma dispersum", "Hyperomma mandibulare", "Lathrobium longipenne", "Cyloma stewarti", "Eoseira wilsonii", "Dicranodromia delli", "Dicranodromia spinulata", "Langona biangula", "Langona maculata", "Langona bisecta", "Langona ukualuthensis", "Langona bristowei", "Langona senegalensis", "Langona goaensis", "Langona mallezi", "Langona manicata", "Langona maindroni", "Langona mediocris", "Langona pallidula", "Langona redii", "Langona tigrina", "Langona minima", "Canoparmelia alabamensis", "Canoparmelia albomaculata", "Canoparmelia amabilis", "Canoparmelia amazonica", "Canoparmelia antedeluvialis", "Canoparmelia aptata", "Canoparmelia austroamericana", "Canoparmelia caribaea", "Canoparmelia caroliniana", "Canoparmelia cassa", "Canoparmelia concrescens", "Canoparmelia corrugativa", "Canoparmelia crozalsiana", "Canoparmelia cryptochlorophaea", "Canoparmelia ecaperata", "Canoparmelia epileuca", "Canoparmelia eruptens", "Canoparmelia herveyensis", "Canoparmelia inhaminensis", "Canoparmelia inornata", "Canoparmelia martinicana", "Canoparmelia nairobiensis", "Canoparmelia owariensis", "Canoparmelia pustulescens", "Canoparmelia quintarigera", "Canoparmelia rarotongensis", "Canoparmelia raunkiaeri", "Canoparmelia rodriguesiana", "Canoparmelia rupicola", "Canoparmelia schelpei", "Canoparmelia scrobicularis", "Canoparmelia somaliensis", "Canoparmelia terrapapia", "Canoparmelia texana", "Chionomys gud", "Chionomys roberti", "Striglocyrbasia rotunda", "Striglocyrbasia liebigi", "Pusillopsyche meyi", "Pseudomelasina burmensis", "Grypopalpia iridescens", "Grypopalpia uranopla", "Paranthrene dukei", "Thyranthrene metazonata", "Thyranthrene adumbrata", "Wolongia guoi", "Wolongia wangi", "Wolongia odontodes", "Guizygiella salta", "Guizygiella guangxiensis", "Guizygiella melanocrania", "Guizygiella nadleri", "Nanningia zhangi", "Belisana ambengan", "Belisana flores", "Belisana sumba", "Belisana doloduo", "Belisana marena", "Belisana kendari", "Belisana nahtanoj", "Belisana jimi", "Belisana wau", "Belisana anhuiensis", "Belisana forcipata", "Belisana marusiki", "Belisana dodabetta", "Belisana ratnapura", "Belisana keyti", "Belisana benjamini", "Belisana fiji", "Belisana yadongensis", "Belisana australis", "Belisana limpida", "Belisana rollofoliolata", "Belisana zhangi", "Belisana tongle", "Belisana yanhe", "Belisana xishui", "Belisana douqing", "Belisana daji", "Bunodophoron agnetae", "Bunodophoron australe", "Bunodophoron coomerense", "Bunodophoron diplotypum", "Bunodophoron dodgei", "Bunodophoron flaccidum", "Bunodophoron formosanum", "Bunodophoron imshaugii", "Bunodophoron insigne", "Bunodophoron kinabaluense", "Bunodophoron macrocarpum", "Bunodophoron madagascareum", "Bunodophoron melanocarpum", "Bunodophoron microsporum", "Bunodophoron murrayi", "Bunodophoron notatum", "Bunodophoron ohlssonii", "Bunodophoron palmatum", "Spermophora estebani", "Bunodophoron patagonicum", "Spermophora luzonica", "Bunodophoron ramuliferum", "Bunodophoron scrobiculatum", "Spermophora sumbawa", "Bunodophoron tibellii", "Bunodophoron whakapapaense", "Tibetia everesti", "Spermophora schoemanae", "Heradion naiadis", "Heradion pernix", "Heradion peteri", "Heradion luctator", "Heradion damrongi", "Cydrela unguiculata", "Cydrela schoemanae", "Cydrela pristina", "Cydrela decidua", "Cydrela linzhiensis", "Cydrela insularis", "Cydrela kenti", "Cydrela nasuta", "Cydrela otavensis", "Cydrela spinimana", "Cydrela spinifrons", "Cydrela friedlanderae", "Storenomorpha yizhang", "Storenomorpha yunnan", "Storenomorpha comottoi", "Storenomorpha anne", "Storenomorpha joyaus", "Storenomorpha arboccoae", "Storenomorpha nupta", "Storenomorpha paguma", "Oiketicus immanis", "Storenomorpha reinholdae", "Oiketicus riemsdyki", "Suffasia tigrina", "Antillorena polli", "Thambemyia borealis", "Atheris mabuensis", "Anovia circumclusa", "Brontopriscus pleuralis", "Meta shenae", "Meta nigridorsalis", "Meta japonica", "Anopheles aconitus", "Meta dolloff", "Meta abdomenalis", "Anopheles amictus", "Anopheles annularis", "Anopheles annulatus", "Anopheles annulipes", "Meta qianshanensis", "Anopheles apoci", "Anopheles arabiensis", "Anopheles ardensis", "Anopheles argenteolobatus", "Anopheles aruni", "Anopheles aurirostris", "Meta nebulosa", "Meta ovalis", "Meta minima", "Meta obscura", "Meta tiniktirika", "Meta bourneti", "Metleucauge eldorado", "Anopheles austenii", "Anopheles azaniae", "Anopheles azevedoi", "Anopheles baimaii", "Anopheles baisasi", "Anopheles balabacensis", "Anopheles barberellus", "Anopheles berghei", "Anopheles brohieri", "Anopheles brucei", "Anopheles brumpti", "Anopheles brunnipes", "Anopheles buxtoni", "Anopheles bwambae", "Anopheles cameroni", "Anopheles carnevalei", "Anopheles caroni", "Anopheles carteri", "Anopheles christyi", "Anopheles cinctus", "Anopheles cinereus", "Anopheles clowi", "Anopheles comorensis", "Anopheles confusus", "Anopheles cristatus", "Anopheles cristipalpis", "Anopheles culicifacies", "Anopheles cydippis", "Anopheles dancalicus", "Anopheles daudi", "Anopheles deemingi", "Anopheles demeilloni", "Anzacladius kangaroo", "Anzacladius kiwi", "Anzacladius numbat", "Anzygina barrattae", "Argenna obesa", "Argenna yakima", "Hackmania saphes", "Cyloma flemingi", "Cyloma guttulatus", "Cyloma lawsonus", "Cyloma lineatus", "Cyloma nigratus", "Cyloma pictus", "Cyloma thomsonus", "Cyloma signatus", "Gymnoganascus stephani", "Anopheles hinesorum", "Anopheles hughi", "Anopheles incognitus", "Anopheles indefinitus", "Anopheles introlatus", "Anopheles irenicus", "Anopheles jamesii", "Anopheles jebudensis", "Anopheles jeyporiensis", "Anopheles karwari", "Anopheles keniensis", "Anopheles kingi", "Anopheles kochi", "Anopheles kolambuganensis", "Antheraea exspectata", "Antheraea pelengensis", "Anopheles koliensis", "Anopheles kosiensis", "Anopheles lacani", "Anopheles leesoni", "Anopheles letabensis", "Pseudoheptamelus runari", "Anopheles leucosphyrus", "Anopheles limosus", "Anopheles listeri", "Anopheles litoralis", "Anopheles lloreti", "Anopheles longipalpis", "Anopheles longirostris", "Anopheles lounibosi", "Anopheles lovettae", "Anopheles ludlowae", "Anopheles lungae", "Anopheles macarthuri", "Anopheles machardyi", "Anopheles maculatus", "Anopheles maculipalpis", "Anopheles majidi", "Anopheles maliensis", "Anopheles mangyanus", "Lathys insulana", "Lathys maculosa", "Lathys annulata", "Lathys chishuiensis", "Paranthrene anthrax", "Paranthrene callipleura", "Paranthrene chalcochlora", "Paranthrene mesothyris", "Paranthrene porphyractis", "Paranthrene propyria", "Paranthrene thalassina", "Paranthrene xanthosoma", "Rubukona cuprescens", "Sura ellenbergeri", "Sura lampadura", "Sura melanochalcia", "Sura pyrocera", "Sura ruficauda", "Sura rufitibia", "Sura xanthopyga", "Sura xylocopiformis", "Setomorpha neossophila", "Anopheles domicola", "Anopheles dravidicus", "Anopheles dthali", "Anopheles dualaensis", "Anopheles dureni", "Darwinius masillae", "Anopheles elegans", "Anopheles eouzani", "Anopheles erepens", "Anopheles erythraeus", "Anopheles ethiopicus", "Anopheles faini", "Anopheles farauti", "Anopheles filipinae", "Anopheles flavicosta", "Anopheles flavirostris", "Anopheles fluviatilis", "Anopheles fontinalis", "Anopheles freetownensis", "Anopheles funestus", "Anopheles fuscivenosus", "Anopheles gambiae", "Anopheles garnhami", "Anopheles gibbinsi", "Anopheles grassei", "Anopheles greeni", "Anopheles grenieri", "Anopheles griveaudi", "Anopheles hackeri", "Anopheles hamoni", "Anopheles hancocki", "Anopheles hargreavesi", "Anopheles harperi", "Anopheles hervyi", "Anopheles hilli", "Homolodromia kai", "Profilicollis altmani", "Profilicollis major", "Panthea furcilla", "Panthea furcilla furcilla", "Panthea furcilla australis", "Panthea greyi", "Heradion paradiseum", "Heradion flammeum", "Panthea acronyctoides", "Panthea acronyctoides acronyctoides", "Mallinella septemmaculata", "Heradion momoinum", "Mallinella dambrica", "Panthea acronyctoides nigra", "Sisurcana llaviucana", "Mallinella gongi", "Sisurcana alticolana", "Sisurcana papallactana", "Sisurcana bifurcana", "Mallinella liuyang", "Sisurcana antisanae", "Sisurcana triangulifera", "Mallinella maolanensis", "Sisurcana fasciana", "Mallinella cymbiforma", "Mallinella bifurcata", "Mallinella biumbonalia", "Mallinella kunmingensis", "Sisurcana cirrhochlaena", "Sisurcana firmuncus", "Sisurcana spinana", "Sisurcana analogana", "Mallinella dinghu", "Mallinella hainan", "Mallinella labialis", "Asceua jianfeng", "Asceua kunming", "Asceua menglun", "Asceua similis", "Mallinella hingstoni", "Mallinella maculata", "Mallinella leonardi", "Asceua wallacei", "Mallinella albomaculata", "Mallinella dumogabonensis", "Anopheles dirus", "Anopheles dispar", "Anopheles distinctus", "Cyrtognatha catia", "Cyrtognatha atopica", "Cyrtognatha eberhardi", "Cyrtognatha quichua", "Cyrtognatha waorani", "Cyrtognatha morona", "Cyrtognatha leviorum", "Cyrtognatha petila", "Cyrtognatha paradoxa", "Cyrtognatha orphana", "Cyrtognatha pathetica", "Cyrtognatha pachygnathoides", "Cyrtognatha espanola", "Cyrtognatha insolita", "Cyrtognatha rucilla", "Cyrtognatha simoni", "Cyrtognatha bryantae", "Cyrtognatha bella", "Cyrtognatha serrata", "Cyrtognatha lepida", "Cyrtognatha nigrovittata", "Tetragnatha lactescens", "Tetragnatha exilima", "Glenognatha globosa", "Rytinotus squamulosus", "Tarastethus puncticollis", "Anopheles pseudowillmori", "Anopheles pujutensis", "Anopheles pulcherrimus", "Anopheles punctulatus", "Camellia changii", "Camellia chekiangoleosa", "Gagea lutea", "Austrocladius harrisi", "Semiocladius reinga", "Semiocladius whangaroa", "Semiocladius kuscheli", "Semiocladius crassipennis", "Tonnoirocladius commensalis", "Pyrisitia proterpia", "Acritus nigricornis", "Megaxenus termitophilus", "Megaxenus bioculatus", "Megaxenus papuensis", "Syzeton abnormis", "Galium litorale", "Lophocebus ugandae", "Rhinella leptoscelis", "Cyrtodactylus nuaulu", "Camiarus thoracicus", "Syzetoninus mundus", "Syzetoninus inconspicuus", "Pseudananca ruficollis", "Anopheles marshallii", "Anopheles mascarensis", "Anopheles melas", "Anopheles meraukensis", "Anopheles merus", "Anopheles millecampsi", "Anopheles milloti", "Anopheles minimus", "Anopheles moghulensis", "Anopheles mortiauxi", "Anopheles moucheti", "Anopheles mousinhoi", "Anopheles multicinctus", "Anopheles multicolor", "Anopheles murphyi", "Anopheles natalensis", "Anopheles nataliae", "Anopheles nemophilous", "Anopheles nili", "Anopheles nivipes", "Anopheles njombiensis", "Anopheles notanandai", "Anopheles notleyi", "Anopheles novaguinensis", "Anopheles ovengensis", "Anopheles pallidus", "Anopheles pampanai", "Anopheles parangensis", "Anopheles parensis", "Anopheles pattoni", "Anopheles pauliani", "Anopheles pharoensis", "Anopheles philippinensis", "Anopheles pretoriensis", "Anopheles pseudojamesi", "Mallinella hamata", "Mallinella kelvini", "Mallinella lobata", "Mallinella nigra", "Mallinella meriani", "Mallinella ponikii", "Mallinella ponikioides", "Mallinella pulchra", "Mallinella v-insignita", "Eupanacra waloensis", "Mallinella albotibialis", "Mallinella debeiri", "Eupanacra mindanaensis", "Mallinella inflata", "Mallinella koupensis", "Mallinella manengoubensis", "Mallinella mbaboensis", "Mallinella mbamensis", "Mallinella okuensis", "Mallinella scutata", "Mallinella tridentata", "Mallinella vandermarlierei", "Mallinella vokrensis", "Mallinella bandamaensis", "Mallinella bicolor", "Asceua gruezoi", "Mallinella calilungae", "Mallinella panchoi", "Mallinella pricei", "Mallinella slaburuprica", "Mallinella cameroonensis", "Mallinella decurtata", "Mallinella etindei", "Mallinella monticola", "Mallinella submonticola", "Mallinella sylvatica", "Mallinella nomurai", "Mallinella vietnamensis", "Mallinella karubei", "Mallinella thinhi", "Mallinella kibonotensis", "Mallinella nyikae", "Mallinella subinermis", "Mallinella zebra", "Asceua torquata", "Asceua piperata", "Akyttara odorocci", "Asceua amabilis", "Asceua zodarionina", "Asceua radiosa", "Asceua expugnatrix", "Asceua heliophila", "Zillimata scintillans", "Asceua bimaculata", "Heradion intermedium", "Incertae sedis", "Mesocyparis rosanovii", "Mesocyparis umbonata", "Dicrostonyx groenlandicus", "Dicrostonyx hudsonius", "Dicrostonyx nelsoni", "Dicrostonyx nunatakensis", "Dicrostonyx richardsoni", "Dicrostonyx torquatus", "Dicrostonyx unalascensis", "Dicrostonyx vinogradovi", "Ellobius alaicus", "Ellobius fuscocapillus", "Ellobius lutescens", "Ellobius talpinus", "Ellobius tancrei", "Eolagurus luteus", "Eolagurus przewalskii", "Eothenomys cachinus", "Neostenetroides stocki", "\"Stenetrium sp.\"", "Macrostylis dellacrocei", "Munneurycope hadalis", "Haaniella dehaanii", "Haaniella echinata", "Haaniella grayii", "Haaniella jacobsoni", "Haaniella saussurei", "Haaniella scabra", "Paleosecuridaca curtisii", "Incertae sedis", "Hamawilsonia boglei", "Omonadus floralis", "Pseudocyclodinus glaber", "Cowanomyia hillaryi", "Paragoniocotes enicognathidis", "Cis pickeri", "Sphaerophorus taiwanensis", "Sphaerophorus tuckermanii", "Sphaerophorus venerabilis", "Sphaerophorus yangii", "Soeuria soeur", "Scyloxes asiatica", "Anapistula aquytabuera", "Anapistula ayri", "Anapistula bebuia", "Anapistula pocaruguara", "Anapistula ybyquyra", "Anapistula bifurcata", "Anapistula cuttacutta", "Anapistula jerai", "Anapistula tonga", "Anapistula troglobia", "Anapistula caecula", "Anapistula seychellensis", "Symphytognatha brasiliana", "Enterographa mesomela", "Meridiosignum kerguelensis", "Enterographa oregonensis", "Anopheles roubaudi", "Anopheles ruarinus", "Anopheles rufipes", "Anopheles salbaii", "Anopheles saungi", "Anopheles sawadwongporni", "Anopheles schueffneri", "Anopheles seretsei", "Anopheles sergentii", "Anopheles seydeli", "Anopheles smithii", "Anopheles solomonis", "Anopheles somalicus", "Anopheles splendidus", "Anopheles squamosus", "Eothenomys chinensis", "Eothenomys custos", "Eothenomys melanogaster", "Eothenomys miletus", "Eothenomys olitor", "Eothenomys proditor", "Eothenomys wardi", "Enterographa quassiaecola", "Dicrochile nitida", "Dicrochile novaezelandiae", "Ctenognathus sandageri", "Platynus macropterus", "Ctenognathus novaezelandiae", "Dicrochile ovicollis", "Ctenognathus helmsi", "Orthoperus nikitskyi", "Orthoperus sibiricus", "Aceria thalgi", "Bemisia afer", "Bemisia tabaci", "Trialeurodes ricini", "Trialeurodes vaporariorum", "Pygophora apicalis", "Microlamia pygmaea", "Linogeraeus urbanus", "Lethariella canariensis", "Lethariella cladonioides", "Lethariella flexuosa", "Lethariella intricata", "Lethariella mieheana", "Lethariella sinensis", "Lethariella smithii", "Lethariella togashii", "Lethariella zahlbruckneri", "Anopheles quadriannulatus", "Anopheles radama", "Anopheles rageaui", "Anopheles ranci", "Anopheles rennellensis", "Anopheles rhodesiensis", "Anopheles riparis", "Scytodes janauari", "Scytodes martiusi", "Scytodes paarmanni", "Scytodes altamira", "Scytodes tinkuan", "Scytodes mapinguari", "Scytodes iara", "Scytodes saci", "Scytodes curupira", "Scytodes jurupari", "Scytodes caure", "Scytodes caipora", "Scytodes tuyucua", "Scytodes championi", "Scytodes panamensis", "Nitidula carnaria", "Scytodes guttipes", "Scytodes cogu", "Scytodes vaurieorum", "Scytodes tegucigalpa", "Scytodes chiquimula", "Scytodes zamorano", "Scytodes armata", "Scytodes gertschi", "Scytodes cubensis", "Scytodes uligocetes", "Scytodes intricata", "Scytodes longipes", "Scytodes diminuta", "Scytodes zamena", "Scytodes yphanta", "Scytodes liui", "Scytodes pallida", "Scytodes albiapicalis", "Scytodes quattuordecemmaculata", "Scytodes semipullata", "Necrobia ruficollis", "Anopheles rivulorum", "Anopheles rodhaini", "Rosmarinus eriocalyx", "Echinophora tenuifolia subsp. sibthorpiana", "Echinophora tournefortii", "Cicerbita racemosa", "Lactuca boissieri", "Caloplaca soralifera", "Caloplaca fissurata", "Caloplaca lignicola", "Typha latifolia", "Caloplaca michoacanensis", "Caloplaca pacifica", "Caloplaca pratensis", "Krogia antillarum", "Krogia coralloides", "Orthoperus aequalis", "Orthoperus atomarius", "Orthoperus brunnipes", "Orthoperus pilosiusculus", "Orthoperus nigrescens", "Orthoperus loebli", "Orthoperus corticalis", "Orthoperus acariformis", "Orthoperus intersitus", "Orthoperus rogeri", "Orthoperus punctatus", "Orthoperus anxius", "Orthoperus atomus", "Enterographa diederichiana", "Odocoileus virginianus clavium", "Pediasia trisecta", "Zarenkolambrus minutus", "Garthambrus darthvaderi", "Garthambrus undulatus", "Garthambrus pteromerus", "Garthambrus tani", "Sericoderus thoracicus", "Pseudophilautus singu", "Pseudophilautus tanu", "Gracixalus quyeti", "Hispidolambrus mironovi", "Holopsis giga", "Garthambrus poupini", "Garthambrus allisoni", "Garthambrus cidaris", "Garthambrus complanatus", "Garthambrus lacunosus", "Garthambrus posidon", "Garthambrus stellatus", "Holopsis punctipennis", "Rhypasma soesilae", "Kaniwhaniwhanus chapmanae", "Megalampris keyesi", "Osakatheta yasukoae", "Platambus elongatus", "Harpasus quadrifolium", "Lomatothrips paryphis", "Lomatothrips pinopsidis", "Dikrothrips diphyes", "Karphothrips dugdalei", "Anaphrygmothrips otagensis", "Ahasverus advena", "Yarnkothrips kolourus", "Deplorothrips bassus", "Paeonia anomala subsp. anomala", "Paeonia anomala subsp. veitchii", "Scytodes lineatipes", "Scytodes piroca", "Scytodes balbina", "Scytodes auricula", "Scytodes vieirae", "Scytodes mapia", "Orthoperus coomani", "Orthoperus brunneus", "Baculentulus chiangmaiensis", "Kenyentulus suthepicus", "Eosentomon chiangmaiense", "Blethisa multipunctata", "Orthoperus scutellaris", "Orthoperus suturalis", "Callophrys affinis apama", "Callophrys eryphon", "Callophrys niphon", "Callophrys lanoraieensis", "Callophrys henrici", "Callophrys irus", "Callophrys polios", "Callophrys mossii", "Callophrys augustinus", "Callophrys spinetorum", "Parmotrema euplectinum", "Callophrys sheridanii", "Callophrys sheridanii lemberti", "Callophrys sheridanii newcomeri", "Callophrys sheridanii sheridanii", "Microstagetus parvulus", "Callophrys gryneus siva", "Callophrys hesseli", "Callophrys xami", "Microstagetus dubius", "Rygmodus cyaneus", "Periptyctus russulus", "Periptyctus bicolor", "Periptyctus brevicornis", "Scytodes itapevi", "Scytodes panguana", "Scytodes alcomitzli", "Scytodes atlacamani", "Scytodes atlacoya", "Scytodes atlatonin", "Scytodes chantico", "Scytodes chiconahui", "Scytodes itzli", "Scytodes mayahuel", "Scytodes nanahuatzin", "Scytodes opoxtli", "Scytodes tezcatlipoca", "Scytodes tlaloc", "Scytodes tzitzimime", "Scytodes alayoi", "Scytodes itzana", "Scytodes lugubris", "Scytodes redempta", "Scytodes arwa", "Scytodes bilqis", "Scytodes makeda", "Scytodes akytaba", "Scytodes apuecatu", "Scytodes itacuruassu", "Scytodes jyapara", "Scytodes nambiussu", "Scytodes tacapepucu", "Scytodes tyaiamiri", "Scytodes tyaiapyssanga", "Scytodes upia", "Scytodes xai", "Scytodes ybyrapesse", "Scytodes yssaiapari", "Scytodes piyampisi", "Scytodes cotopitoka", "Scytodes kinzelbachi", "Scytodes darlingtoni", "Scytodes farri", "Scytodes lewisi", "Scytodes lorenzoi", "Scytodes noeli", "Scytodes robertoi", "Scytodes propinqua", "Scytodes mawphlongensis", "Scytodes alfredi", "Scytodes becki", "Scytodes eleonorae", "Scytodes skuki", "Scytodes strussmannae", "Scytodes bertheloti", "Scytodes blanda", "Carabus irregularis", "Eulechriops aschnae", "Curculio rishwani", "Anopheles stephensi", "Anopheles stookesi", "Anopheles sulawesi", "Anopheles sundaicus", "Anopheles superpictus", "Anopheles swahilicus", "Anopheles takasagoensis", "Anopheles tchekedii", "Anopheles tessellatus", "Anopheles theileri", "Anopheles theobaldi", "Anopheles torresiensis", "Anopheles turkhudi", "Anopheles vagus", "Anopheles vaneedeni", "Anopheles vanhoofi", "Anopheles varuna", "Anopheles vernus", "Anopheles vinckei", "Anopheles walravensi", "Anopheles watsonii", "Anopheles wellcomei", "Anopheles willmori", "Anopheles wilsoni", "Dicerorhinus sumatrensis lasiotis", "Diceros bicornis brucii", "Diceros bicornis chobiensis", "Rhinoceros sondaicus inermis", "Hyperacrius fertilis", "Hyperacrius wynnei", "Rypobius praetermissus", "Rypobius fiorianus", "Rypobius dohrnii", "Gloeosoma punctipenne", "Gloeosoma levantinum", "Gloeosoma velox", "Teplinus velatus", "Scytodes canariensis", "Scytodes tenerifensis", "Megadromus guerinii", "Mecodema howittii", "Isatis tinctoria", "Euphyllia ancora", "Oplegnathus punctatus", "Scytodes oswaldi", "Scytodes socialis", "Zebrasoma veliferum", "Scytodes obelisci", "Sphaerophorus digitatus", "Scytodes lesserti", "Scytodes major", "Scytodes multilineata", "Scytodes tertia", "Scytodes univittata", "Scytodes velutina", "Scytodes caffra", "Scytodes coronata", "Scytodes fourchei", "Scytodes globula", "Scytodes lawrencei", "Scytodes insperata", "Sphaerophorus fragilis", "Periptyctus brunneus", "Periptyctus bunya", "Periptyctus calderi", "Periptyctus elongatus", "Periptyctus emarginatus", "Periptyctus kosciuszko", "Periptyctus lescheni", "Periptyctus monteithi", "Periptyctus newtonorum", "Periptyctus niger", "Periptyctus peckorum", "Periptyctus pubescens", "Periptyctus quadripunctatus", "Periptyctus testaceus", "Periptyctus victoriensis", "Periptyctus weiri", "Periptyctus bryophilus", "Periptyctus eximius", "Periptyctus latericollis", "Balta bicolor", "Cis kawanabei", "Cis reitteri", "Nucleotops nimbaceps", "Letharia gracilis", "Orthoperus japonicus", "Arthrolips oblonga", "Paradoxa paradoxa", "Paradoxa fusca", "Cycloneura flava", "Paracycloneura inopinata", "Tonnwardsia aberrans", "Tympallopatrum longitudum", "Pseudcolenis hoshinai", "Scaphidium lescheni", "Kalmiopsis leachiana", "Pertusaria wulingensis", "Holopsis kirejtshuki", "Holopsis kurilensis", "Holopsis lewisi", "Aenigmaticum mexicanum", "Aenigmaticum prolatum", "Aenigmaticum californicum", "Aenigmaticum elongatum", "Aenigmaticum ptilioides", "Holopsis carolinae", "Euryopis saukea", "Euryopis gertschi", "Euryopis argentea", "Emertonella emertoni", "Euryopis mulaiki", "Euryopis spinigera", "Dipoena variabilis", "Euryopis tavara", "Euryopis pepini", "Euryopis coki", "Euryopis texana", "Euryopis lineatipes", "Euryopis californica", "Euryopis formosa", "Euryopis scriptipes", "Euryopis spiritus", "Euryopis quinquemaculata", "Audifia laevithorax", "Audifia semigranosa", "Euryopis varis", "Euryopis funebris", "Euryopis camis", "Euryopis spinifera", "Euryopis weesei", "Euryopis cobreensis", "Euryopis pickardi", "Euryopis notabilis", "Euryopis tribulata", "Sculptolumina japonica", "Sculptolumina serotina", "Pertusaria monogona", "Pertusaria hemisphaerica", "Ochrolechia subviridis", "Scopodes versicolor", "Scopodes pustulatus", "Scopodes prasinus", "Oopterus carinatus", "Oopterus patulus", "Holcaspis sternalis", "Holcaspis catenulata", "Holcaspis oedicnema", "Mecodema crenaticolle", "Mecodema morio", "Mecodema oblongum", "Zeopoecilus putus", "Amblyeleotris ellipse", "Amblyeleotris fasciata", "Amblyeleotris fontanesii", "Amblyeleotris guttata", "Amblyeleotris gymnocephala", "Phasmahyla cruzi", "Enterographa chiodectonoides", "Meridiosignum disparitergum", "Enterographa epiphylla", "Meridiosignum undulatum", "Enterographa punctata", "Enterographa subquassiaecola", "Enterographa brezhonega", "Enterographa inthanonensis", "Callulina dawida", "Aparasphenodon arapapa", "Tonerus wheeleri", "Cephonodes hylas", "Epeirotypus brevipes", "Epeirotypus chavarria", "Wendilgarda coddingtoni", "Wendilgarda sinensis", "Wendilgarda assamensis", "Wendilgarda mexicana", "Wendilgarda clara", "Wendilgarda atricolor", "Wendilgarda galapagensis", "Wendilgarda nigra", "Wendilgarda liliwensis", "Wendilgarda mustelina", "Ogulnius obtectus", "Ogulnius yaginumai", "Ogulnius gloriae", "Ogulnius tetrabunus", "Ogulnius agnoscus", "Ogulnius clarus", "Ogulnius cubanus", "Ogulnius infumatus", "Ogulnius paliisteri", "Ogulnius obscurus", "Ogulnius gertschi", "Ogulnius latus", "Ogulnius fulvus", "Ogulnius hayoti", "Theridiosoma gemmosum", "Andasta semiargentea", "Theridiosoma genevensium", "Corylophus cassidoides", "Corylophus sublaevipennis", "Corylophus tectiformis", "Cucujomyces phycophilus", "Diaphoromyces kuschelii", "Diphymyces penicillifer", "Stigmatomyces novozelandicus", "Histeridomyces tishechkinii", "Rhachomyces kenodactyli", "Laboulbenia loxomeri", "Laboulbenia subantarctica", "Diphymyces depressus", "Diphymyces leschenii", "Corethromyces bicolor", "Totua gracilipes", "Helvidia scabricula", "Parogulnius hypsigaster", "Apolinus lividigaster", "Phricotelus stelliger", "Colphepeira catawba", "Chthonos pectorosa", "Chthonos peruana", "Chthonos tuberosa", "Chthonos quinquemucronata", "Gertschanapis shantzi", "Styposis albula", "Trogloneta paradoxa", "Trogloneta speciosum", "Mysmenella gongi", "Mysmenella menglunensis", "Mysmenella pseudojobi", "Mysmenella ogatai", "Mysmenella mihindi", "Mysmenella papuana", "Mysmenella saltuensis", "Mysmenella samoensis", "Theridiosoma savannum", "Theridiosoma davisi", "Theridiosoma nechodomae", "Epilineutes globosus", "Theridiosoma goodnightorum", "Theridiosoma zygops", "Naatlo sutila", "Naatlo splendida", "Naatlo fauna", "Naatlo sylvicola", "Theridiosoma obscurum", "Baalzebub baubo", "Baalzebub albinotatus", "Baalzebub brauni", "Theridiosoma concolor", "Theridiosoma argenteolunulatum", "Theridiosoma circuloargenteum", "Theridiosoma fasciatum", "Theridiosoma kikuyu", "Theridiosoma lopdelli", "Theridiosoma lucidum", "Theridiosoma picteti", "Theridiosoma chiripa", "Theridiosoma caaguara", "Theridiosoma taiwanica", "Epeirotypus dalong", "Senecio leucopeplus", "Morchella esculenta", "Gastrophrynoides immaculatus", "Cyrtodactylus erythrops", "Viola selkirkii", "Aposericoderus revelierei", "Maxanapis burra", "Octanapis octocula", "Spinanapis darlingtoni", "Conculus grossus", "Viola mirabilis", "Paraclius aeotearoa", "Paraclius cataractus", "Paraclius koghis", "Paraclius mandjelia", "Paraclius matilorum", "Paraclius monteithi", "Paraclius paita", "Paraclius plumensis", "Paraclius potamus", "Paraclius sinclairi", "Paraclius xanthurus", "Paraclius sexmaculatus", "Tachytrechus brooksi", "Tachytrechus tessellatus", "Megatibicen pronotalis", "Parakiefferiella claviculata", "Dolichopus melanesiana", "Hercostomus atypicalis", "Hercostomus amissus", "Hercostomus crassivenus", "Pouebo symmetricauda", "Mecyclothorax moorei", "Euoplos tasmanicus", "Vanniusoides clypeatus", "Brigalowia setifera", "Zira nitens", "Elachista gerasimovi", "Elachista purella", "Elachista puplesisi", "Gambelia wislizenii", "Porlieria chilensis", "Celenna dintelmanni", "Preparctia mirifica", "Persicaria thunbergii", "Persicaria hydropiper", "Descurainia sophia", "Fagopyrum esculentum", "Fagopyrum tataricum", "Giraffa camelopardalis rothschildi", "Collema coniophilum", "Teplinus matthewsi", "Leucostele chiloensis", "Phyllodromia falcata", "Phyllodromia flexura", "Phyllodromia floridula", "Phyllodromia nigricoxa", "Phyllodromia proiecta", "Starkomyia inexpecta", "Stephostethus setosus", "Enicmus amici", "Holoparamecus bertouti", "Anaplecta australiensis", "Anaplecta brachyptera", "Anaplecta calosoma", "Austronothrus curviseta", "Austronothrus clarki", "Austronothrus flagellatus", "Haplochromis fischeri", "Pertusaria aberrans", "Pertusaria chinensis", "Pertusaria corallina", "Pertusaria himalayensis", "Eudyptes moseleyi", "Pertusaria leucostigma", "Eudyptes chrysocome filholi", "Pertusaria multipuncta", "Pertusaria nakamurae", "Pertusaria oshioi", "Pertusaria quartans", "Pertusaria subobductans", "Pertusaria subochracea", "Pertusaria subrosacea", "Avahi ramanantsoavana", "Ischnothele goloboffi", "Ischnothele annulata", "Andethele lucma", "Andethele huanca", "Andethele tarma", "Andes dossenus", "Andes ikelus", "Andes lamondensis", "Andes moaensis", "Andes turrondi", "Amazobenna reticulata", "Bennarella bicoloripennis", "Bennarella fusca", "Noabennarella costaricensis", "Xenocylapidius gressitti", "Xenocylapidius tamasi", "Xenocylapidius bioculatus", "Peritropis bicolor", "Peritropis novocaledonicus", "Absconditella amabilis", "Peritropis monikae", "Kanakamiris krypton", "Vannius complex", "Vanniopsis rufescens", "Vanniopsis crobylos", "Vanniopsis howense", "Vanniusoides brevis", "Odnarda sinica", "Odnarda tamurensis", "Odnarda leechi", "Odnarda dochula", "Peridea moorei", "Hexafrenum acuminis", "Hexafrenum abavis", "Hexafrenum solis", "Linaria spartea", "Clypastraea palmi", "Clypastraea reitteri", "Heteroconger hassi", "Arthrolips klapperichi", "Rypobius marinus", "Cerambyx klinzigi", "Cerambyx miles", "Chlorophorus trifasciatus", "Eupithecia venosata", "Eupithecia silenicolata", "Eupithecia silenicolata silenicolata", "Eupithecia silenicolata perdistincta", "Eupithecia silenicolata soultanabadi", "Eupithecia pusillata", "Eupithecia pusillata pusillata", "Eupithecia pusillata kashmirica", "Eupithecia alexiae", "Cuscuta europaea", "Viviania marifolia", "Weinmannia trichosperma", "Schinus areira", "Schinus polygama", "Persicaria lapathifolia", "Bistorta officinalis", "Bistorta plumosa", "Fallopia convolvulus", "Hennobrimus hennemanni", "Obrimus bicolanus", "Obrimus bufo", "Obrimus mesoplatus", "Obrimus uichancoi", "Euobrimus atherura", "Euobrimus bakeri", "Euobrimus cleggi", "Euobrimus dohrni", "Euobrimus hoplites", "Euobrimus lacerta", "Euobrimus stephenreyesi", "Euobrimus cavernosus", "Mearnsiana bullosa", "Miroceramia westwoodii", "Pertusaria amarkantakana", "Pertusaria coronata", "Pertusaria flavicans", "Pertusaria flavida", "Pertusaria idukkiensis", "Pertusaria indica", "Pertusaria lactea", "Pertusaria lecanorodes", "Pertusaria leiocarpella", "Pertusaria leioplacella", "Pertusaria nigrescens", "Pertusaria rimosa", "Pertusaria splendens", "Lepilemur hubbardorum", "Ochrolechia subrosella", "Ochrolechia pallenti-isidiata", "Benthoctopus rigbyae", "Eoclambus rugidorsum", "Globicornis rakovici", "Elodophthalmus harmonicus", "Elodophthalmus gracilis", "Lebanophytum excellens", "Tetrameropsis mesozoica", "Camelomorpha longicervix", "Lebanoretes andelmani", "Trabala gololusa", "Trabala paukstadti", "Paralebeda dimorpha", "Paralebeda eggerti", "Paralebeda flores", "Voracia nusa", "Voracia brechlini", "Cercidiphyllum crenatum", "Cercidiphyllum obtritum", "Macginitiea gracilis", "Calodipoena incredula", "Calodipoena colima", "Calodipoena stathamae", "Calodipoena caribbaea", "Microdipoena guttata", "Mysmenopsis ixlitla", "Mysmena calypso", "Mysmenopsis femoralis", "Mysmenopsis funebris", "Mysmenopsis kochalkai", "Mysmenopsis penai", "Mysmenopsis archeri", "Mysmenopsis palpalis", "Mysmenopsis tibialis", "Mysmenopsis wygodzinskyi", "Mysmenopsis cymbia", "Mysmenopsis mexcala", "Mysmenopsis ischnamigo", "Mysmenopsis cidrelicola", "Mysmenopsis gamboa", "Mysmenopsis beebei", "Mysmenopsis dipluramigo", "Maymena mayana", "Maymena chica", "Maymena misteca", "Plato bruneti", "Maymena calcarata", "Maymena ambita", "Maymena rica", "Maymena cascada", "Maymena delicata", "Maymena grisea", "Maymena sbordonii", "Maymena roca", "Mysmena spirala", "Mysmena zhengi", "Mysmena rostella", "Mysmena furca", "Mysmena arcilonga", "Mysmena taiwanica", "Mysmena leucoplagiata", "Mysmena guianensis", "Mysmena vitiensis", "Mysmena woodwardi", "Mysmena phyllicola", "Maytenus boaria", "Milionia subfulgida", "Leishmania tropica", "Cophixalus cupricarenus", "Cubadeutella cavernicola", "Templar incongruens", "Proustia cuneifolia", "Lithraea caustica", "Mesophyletis calhouni", "Rhinocyllus conicus", "Chasmocephalon tingle", "Chasmocephalon neglectum", "Euagrus josephus", "Euagrus rubrigularis", "Euagrus mexicanus", "Euagrus gertschi", "Euagrus rothi", "Euagrus gus", "Euagrus leones", "Euagrus garnicus", "Euagrus anops", "Euagrus troglodyta", "Euagrus carlos", "Euagrus charcus", "Euagrus chisoseus", "Euagrus comstocki", "Euagrus guatemalensis", "Euagrus cavernicola", "Euagrus pristinus", "Euagrus luteus", "Euagrus lynceus", "Euagrus zacus", "Ischnothele longicauda", "Ischnothele jeremie", "Ischnothele garcia", "Ischnothele reggae", "Ischnothele xera", "Ischnothele digitata", "Ischnothele huambisa", "Ischnothele caudata", "Ischnothele guianensis", "Fipsianus andreae", "Fipsianus picturatus", "Enielkenie acaroides", "Sinanapis crassitarsa", "Ochrolechia alboflavescens", "Ochrolechia margarita", "Ochrolechia microstictoides", "Ochrolechia parella", "Lasiopodomys brandtii", "Neodon fuscus", "Lasiopodomys mandarinus", "Pachycephalosaurus wyomingensis", "Lemmus amurensis", "Lemmus portenkoi", "Lemmus sibiricus", "Lemmus trimucronatus", "Chroodiscus argillaceus", "Chroodiscus defectus", "Chroodiscus homchantarae", "Chroodiscus khaolungensis", "Chroodiscus khaosokensis", "Chroodiscus australiensis", "Chroodiscus submuralis", "Chroodiscus rubentiicola", "Chroodiscus coccineus", "Chroodiscus graphideus", "Chroodiscus neotropicus", "Chroodiscus verrucosus", "Chroodiscus mirificus", "Chroodiscus africanus", "Acarospora nicolai", "Halmus chalybeus", "Halictus smaragdulus", "Acrobleps hygrophilus", "Crassanapis chilensis", "Crassanapis chaiten", "Crassanapis calderoni", "Crassanapis contulmo", "Crassanapis cekalovici", "Sheranapis bellavista", "Sheranapis quellon", "Sheranapis villarrica", "Elanapis aisen", "Sofanapis antillanca", "Pecanapis franckei", "Minanapis talinay", "Minanapis floris", "Minanapis casablanca", "Minanapis palena", "Zealanapis armata", "Zealanapis australis", "Zealanapis waipoua", "Zealanapis montana", "Zealanapis otago", "Zealanapis matua", "Zealanapis conica", "Macropoliana natalensis", "Zealanapis insula", "Zealanapis kuscheli", "Zealanapis punta", "Novanapis spinipes", "Acraea lyci", "Paranapis insula", "Caledanapis peckorum", "Caledanapis tillierorum", "Caledanapis dzumac", "Caledanapis pilupilu", "Caledanapis insolita", "Caledanapis sera", "Montanapis koghis", "Mandanapis cooki", "Risdonius parvus", "Risdonius barrington", "Risdonius lind", "Tasmanapis strahan", "Victanapis warburton", "Metzneria paucipunctella", "Queenslanapis lamington", "Hickmanapis renison", "Bryotropha plebejella", "Hickmanapis minuta", "Nortanapis lamond", "Maxanapis bartle", "Maxanapis crassifemoralis", "Maxanapis mossman", "Maxanapis tribulation", "Maxanapis dorrigo", "Maxanapis tenterfield", "Maxanapis bellenden", "Maxanapis bell", "Octanapis cann", "Spinanapis ker", "Spinanapis frere", "Spinanapis monteithi", "Bryotropha sabulosella", "Spinanapis lewis", "Spinanapis julatten", "Spinanapis yeatesi", "Spinanapis thornton", "Spinanapis thompsoni", "Chasmocephalon acheron", "Chasmocephalon eungella", "Chasmocephalon alfred", "Chasmocephalon pemberton", "Chasmocephalon flinders", "Chasmocephalon iluka", "Preparctia romanovi", "Preparctia allardi", "Preparctia allardi allardi", "Preparctia allardi tibetica", "Ateles fusciceps fusciceps", "Ateles fusciceps rufiventris", "Ateles geoffroyi grisescens", "Ateles geoffroyi geoffroyi", "Ateles geoffroyi ornatus", "Ateles geoffroyi yucatanensis", "Ateles geoffroyi vellerosus", "Dryocora howitti", "Dryocora walkeri", "Scoliciosporum abietinum", "Platisus integricollis", "Scoliciosporum chlorococcum", "Scoliciosporum intrusum", "Scoliciosporum pruinosum", "Scoliciosporum sarothamni", "Scoliciosporum umbrinum", "Scoliciosporum curvatum", "Scoliciosporum schadeanum", "Scoliciosporum gallurae", "Ficobracon brusi", "Habrobracon hebetor", "Mexico litoralis", "Mexico morrisoni", "Cretomalthus acracrowsonorum", "Nesosisyphus pygmaeus", "Paralucanus mesozoicus", "Paratropes phalerata", "Protolucanus jurassicus", "Ceruchites hahnei", "Nyctibora sericea", "Baisarabaeus rugosus", "Cretolucanus longus", "Cretolucanus ordinarius", "Biatora aureolepra", "Biatora ligni-mollis", "Bembecia aladagica", "Bembecia mira", "Dipchasphecia kopica", "Biatora hertelii", "Biatora troendelagica", "Corythoichthys ocellatus", "Corythoichthys schultzi", "Hippocampus denise", "Hippocampus ingens", "Hippocampus kuda", "Hippocampus reidi", "Hippocampus satomiae", "Hippocampus subelongatus", "Hippocampus whitei", "Leptonotus norae", "Syngnathoides biaculeatus", "Hippocampus erectus", "Aulostomus maculatus", "Solenostomus paradoxus", "Brachypterodina gonzalezi", "Brachypterodina morae", "Apterodina achuparia", "Tuphephialtites zherikhini", "Icaricia icarioides argusmontana", "Libanorhinus succinus", "Nordenskioldia pentatarsus", "Lepidotoramus grouvellei", "Cytora depressa", "Prionocerites tattriei", "Paramunnidae incertae sedis", "Zizina emelina", "Bacidia delicata", "Bacidia fraxinea", "Bacidia hunana", "Bacidia olivaceorufa", "Yphthimoides yphthima", "Tsudaea kitayamana", "Erodium mouretii", "Brodoa atrofusca", "Brodoa intestiniformis", "Brodoa oroarctica", "Bunias orientalis", "Pakalukodes bimaculatus", "Schaereria brunnea", "Ephistemus splendens", "Atomaria lewisi", "Cretochoragus pygmaeus", "Montsecanomalus zherikhini", "Hispanocar kseniae", "Schaereria porpidioides", "Schaereria bullata", "Nevania delicata", "Nevania exquisita", "Nevania ferocula", "Nevania malleata", "Nevania retenta", "Nevania robusta", "Nevania karatau", "Anomopterella huangi", "Anomopterella gobi", "Microtus abbreviatus", "Bacidina contecta", "Microtus anatolicus", "Microtus bavaricus", "Microtus brachycercus", "Microtus breweri", "Microtus californicus", "Microtus canicaudus", "Neodon clarkei", "Bacidina mirabilis", "Bacidina penicillata", "Bacidina scutellifera", "Bacidina neglecta", "Bacidina pallidocarnea", "Bacidina phacodes", "Bacidina vasakii", "Bacidina ziamensis", "Brenthorrhinoides lacasai", "Brenthorrhinoides angustipecteris", "Brenthorrhinoides magnoculi", "Brenthorrhinoides pubescens", "Brenthorrhinoides robustus", "Brenthorrhinoides mandibulatus", "Megabrenthorrhinus grandis", "Megabrenthorrhinus longicornis", "Pseudobrenthorrhinus crassicornis", "Pseudobrenthorrhinus magnus", "Pseudobrenthorrhinus tenuicornis", "Brenthorrhinus mirabilis", "Brenthorrhinus brevirostris", "Abrocar brachyorhinos", "Abrocar macilentus", "Cretocar luzzii", "Leptocar polychaetus", "Gobicar ponomarenkoi", "Gobicar hispanicus", "Cratomacer ephippiger", "Cratomacer immersus", "Stenoloba sericea", "Stenoloba variegata", "Stenoloba viridimicta", "Microtus daghestanicus", "Microtus dogramacii", "Stenoloba chlorographa", "Stenoloba lichenosa", "Erysimum diffusum", "Tipula oleracea", "Brasilaccoderus plaumanni", "Ptomaphila ovata", "Ptomaphila lacrymosa", "Ptomaphila perlata", "Necrophilus sichuanensis", "Brachypsectra fulva", "Brachypsectra fuscula", "Brachypsectra lampyroides", "Myosotis laxa", "Myosotis decumbens", "Myosotis discolor", "Myosotis sparsiflora", "Myosotis lazica", "Myosotis ramosissima", "Myosotis olympica", "Myosotis propinqua", "Myosotis sicula", "Myosotis cadmea", "Myosotis diminuta", "Myosotis heteropoda", "Myosotis incrassata", "Myosotis lithospermifolia", "Myosotis litoralis", "Myosotis minutiflora", "Myosotis platyphylla", "Myosotis refracta", "Myosotis speluncicola", "Myosotis rehsteineri", "Nephrotoma appendiculata", "Sophora fernandeziana", "Ziziphora capitata", "Ziziphora hispanica", "Ziziphora taurica", "Pachnoda cordata", "Pachnoda sinuata", "Australotymnes jipijapa", "Ischyrodyodoys thomsonae", "Notioantilogiusa rara", "Craspedosis abraxina", "Craspedosis milionioides", "Pidonia hylophila", "Pidonia affinis", "Harpagozoon minutus", "Harpagozoon dissidens", "Ijimaiellia ijimai", "Leiosellina rostrifera", "Reussinella arctica", "Cryptachaea blattea", "Hapalochlaena fasciata", "Hapalochlaena maculosa", "Theridion seximaculatum", "Theridion undatum", "Theridion yani", "Theridion zebrinum", "Theridion zhaoi", "Theridion zhoui", "Theridion carinatum", "Theridion bidepressum", "Takayus papiliomaculatus", "Rosa \u00d7 harisonii", "Pidonia chujoi", "Pidonia fujisana", "Pidonia aegrota", "Pidonia kubokii", "Pseudevernia cladonia", "Pseudevernia consocians", "Pseudevernia furfuracea", "Pseudevernia intensa", "Lepilemur aeeclis", "Eukoenenia gallii", "Durvillaea antarctica", "Dalodesmidea incertae sedis", "Noteremus infimus", "Noteremus summus", "Darwinocoris australicus", "Stenophlegyas woodwardi", "Lobophora clypeata", "Laciniodes umbratilis", "Dynastor napoleon", "Dynastor macrosiris", "Dynastor macrosiris macrosiris", "Dynastor macrosiris strix", "Dynastor macrosiris hannibal", "Dynastor macrosiris pharnaces", "Pidonia oyamae", "Diplacodes bipunctata", "Uropetala carovei", "Uropetala chiltoni", "Hemianax papuensis", "Tramea transmarina", "Ixeris strigosa", "Antipodochlora braueri", "Hemicordulia australiae", "Procordulia smithii", "Procordulia grayi", "Arctoparmelia centrifuga", "Arctoparmelia incurva", "Arctoparmelia separata", "Arctoparmelia subcentrifuga", "Schizanthus pinnatus", "Schinus latifolius", "Theridion hufengensis", "Theridion macropora", "Theridion albioculum", "Theridion cheni", "Theridion chonetum", "Theridion clivalum", "Theridion dayongense", "Theridion dukouense", "Theridion gramineum", "Theridion hainenense", "Theridion hui", "Theridion karamayense", "Theridion obscuratum", "Theridion odoratum", "Theridion poecilum", "Theridion sangzhiense", "Theridion setum", "Cretolucanus sibericus", "Protognathinus spielbergi", "Miocenidorcus andancensis", "Stenoloba lichenosella", "Stenoloba aenescens", "Stenoloba glaucescens", "Stenoloba glauca", "Stenoloba albipicta", "Stenoloba rufosagitta", "Stenoloba nigrabasalis", "Stenoloba ochribasis", "Stenoloba viridescens", "Stenoloba cinechlora", "Stenoloba speideli", "Stenoloba tonkina", "Stenoloba longipennis", "Stenoloba nora", "Arcterigone pilifrons", "Pachyta lamed lamed", "Pidonia masakii", "Styloctetor logunovi", "Styloctetor romanus", "Styloctetor purpurescens", "Styloctetor stativus", "Styloctetor austerus", "Styloctetor okhotensis", "Styloctetor lehtineni", "Styloctetor tuvinensis", "Dicymbium facetum", "Dicymbium libidinosum", "Quinchamalium chilense", "Bishopiana glumacea", "Caviphantes flagellatus", "Stenoloba pulla", "Stenoloba yenminia", "Stenoloba benedeki", "Stenoloba lanceola", "Microtus fortis", "Microtus gregalis", "Microtus guatemalensis", "Carabus creutzeri", "Microtus hyperboreus", "Cryptachaea pura", "Achaearanea maricaoensis", "Achaearanea machaera", "Cryptachaea fresno", "Cryptachaea serenoae", "Hentziectypus conjunctus", "Hentziectypus florens", "Bubophilus aluconis", "Pidonia miwai", "Pidonia approximata", "Pidonia lyra", "Pseudognaptorina nepalica", "Pseudognaptorina exsertogena", "Pseudognaptorina obtusa", "Ajuga multiflora", "Tanaorhinus luteivirgatus", "Dindica subvirens", "Cryptachaea projectivulva", "Trichopterigia amoena", "Eurygmus helocharoides", "Pseudohydrobius floricola", "Pseudohydrobius flavus", "Saphydrus suffusus", "Saphydrus monticola", "Saphydrus obesus", "Cercyodes kingensis", "Gowardia arctica", "Gowardia nigricans", "Illeis flava", "Mexcala agilis", "Mexcala angolensis", "Curuzza nigrofasciata", "Curuzza crenelata", "Curuzza brunneosticta", "Curuzza eburnea", "Curuzza bryki", "Curuzza ronkayorum", "Curuzza caii", "Curuzza caii caii", "Curuzza caii nepalensis", "Curuzza vietnamica", "Odnarda frugalis", "Odnarda subserene", "Allantoparmelia almquistii", "Allantoparmelia alpicola", "Allantoparmelia sibirica", "Pidonia dealbata", "Pidonia simillima", "Cryptachaea manzanillo", "Cryptachaea oblivia", "Cryptachaea rostrata", "Cryptachaea azteca", "Hentziectypus schullei", "Cryptachaea insulsa", "Cryptachaea rupicola", "Cryptachaea canionis", "Cryptachaea chiricahua", "Pidonia amentata", "Pidonia kurosawai", "Achaearanea tingo", "Hentziectypus globosus", "Cryptachaea ambera", "Cryptachaea altiventer", "Cryptachaea maxima", "Ligaria cuneifolia", "Lophocampa caryae", "Cryptachaea dromedariformis", "Achaearanea hieroglyphica", "Theridion orgea", "Cryptachaea lota", "Cryptachaea vivida", "Cryptachaea barra", "Cryptachaea passiva", "Theridion quadripartitum", "Cryptachaea caliensis", "Cryptachaea rioensis", "Nicotiana suaveolens", "Cryptachaea tovarensis", "Cryptachaea diamantina", "Cryptachaea hirta", "Cryptachaea parana", "Cryptachaea cinnabarina", "Salmonella enterica", "Cryptachaea porteri", "Cryptachaea inops", "Cryptachaea sicki", "Cryptachaea pallipera", "Cryptachaea kaspi", "Cryptachaea gigantea", "Theridion leguiai", "Cryptachaea anastema", "Cryptachaea banosensis", "Cryptachaea koepckei", "Cryptachaea chilensis", "Cryptachaea analista", "Cryptachaea caqueza", "Triphosa lugens", "Cryptachaea migrans", "Cryptachaea pilaton", "Triphosa praesumtiosa", "Cryptachaea jequirituba", "Triphosa rantaizanensis", "Cryptachaea bellula", "Triphosa rubrifusa", "Cryptachaea alacris", "Triphosa rotundata", "Cryptachaea pinguis", "Cryptachaea eramus", "Triphosa atrifascia", "Cryptachaea isana", "Triphosa umbraria", "Cryptachaea rapa", "Cryptachaea pusillana", "Cryptachaea orana", "Acrobasis celtifoliella", "Achaearanea nigrovittata", "Achaearanea micratula", "Acrobasis izuensis", "Acrobasis fuscatella", "Parasteatoda tesselata", "Cryptachaea milagro", "Phyllodesma neadequata", "Hentziectypus annus", "Hentziectypus turquino", "Hentziectypus hermosillo", "Hentziectypus apex", "Hentziectypus florendidus", "Hentziectypus serax", "Cryptachaea nayaritensis", "Cryptachaea schneirlai", "Cryptachaea schraderorum", "Cryptachaea trinidensis", "Cryptachaea zonensis", "Cryptachaea taeniata", "Barinya wangala", "Historis odius", "Pidonia testacea", "Phlomis pungens", "Alosterna chalybeella", "Sciaena umbra", "Chororapithecus abyssinicus", "Scomberomorus cavalla", "Scomberomorus brasiliensis", "Morotopithecus bishopi", "Hominoidea incertae sedis", "Conanthera bifolia", "Conanthera trimaculata", "Hierochloe odorata", "Nyanzapithecus pickfordi", "Nyanzapithecus harrisoni", "Coccotrypes kuscheli", "Eidophelus spinipennis", "Miocryphalus ciliatipennis", "Anoiapithecus brevirostris", "Pongo pygmaeus ciochoni", "Langsonia liquidens", "Paeonia \u00d7 arendsii", "Paeonia daurica", "Hierochloe australis", "Paeonia daurica subsp. macrophylla", "Paeonia daurica subsp. tomentosa", "Paeonia daurica subsp. coriifolia", "Paeonia daurica subsp. daurica", "Pongo hooijeri", "Pongo pygmaeus devosi", "Pongo pygmaeus fromageti", "Pongo pygmaeus kahlkei", "Pliopithecoidea incertae sedis", "Lomorupithecus harrisoni", "Catarrhini incertae sedis", "Leontopodium palibinianum", "Nyanzapithecus vancouveringorum", "Scomberomorus commerson", "Scomberomorus concolor", "Ohbayashia nigromarginata", "Protomacratria appendiculata", "Protomacratria tripunctata", "Phalera baoshinchangi", "Phalera lacrima", "Phalera longa", "Phalera dentita", "Phalera pinratanai", "Phalera maculifera", "Phalera sugii", "Phalera sugii sugii", "Phalera sugii seramica", "Chrysozephyrus dumoides", "Microtus ilaeus", "Microtus irani", "Microtus kermanensis", "Microtus kikuchii", "Microtus levis", "Microtus liechtensteini", "Microtus limnophilus", "Microtus majori", "Microtus maximowiczii", "Microtus mexicanus", "Microtus middendorffi", "Ohbayashia nigromarginata nigromarginata", "Ohbayashia rufoflava", "Epicerurella imitans", "Graphodonta dentata", "Graphodonta pinheyi", "Riebeeckia whittakeri", "Desmeocraera dorsalis", "Clostera mlanje", "Clostera vumba", "Drymonia dodonaea", "Drymonia dodonaea poltawskii", "Notodonta ziczac", "Notodonta ziczac gigantea", "Rhegmatophila aussemi", "Paeonia obovata subsp. obovata", "Paeonia obovata subsp. willmottiae", "Paeonia \u00d7 baokangensis", "Paeonia ostii", "Shizuyaozephyrus kyokoae", "Chrysozephyrus vietnamicus", "Chrysozephyrus tytleri yodoei", "Chrysozephyrus inthanonensis", "Scomberomorus guttatus", "Lymexylon miyakei", "Lymexylon amamianum", "Lymexylon ruficolle", "Caenolethrus varasi", "Picrotus sanguineus", "Picrotus pensus", "Schizanthus grahamii", "Austrolestes colensonis", "Austrolestes aleison", "Byrrhoidea incertae sedis", "Anogenius clypealis", "Lecithocera rubigona", "Lecithocera yoshiyasui", "Lecithocera mepsina", "Lecithocera similis", "Catocala jyoka", "Capila sumatrana", "Pintara prasobsuki", "Pintara prasobsuki prasobsuki", "Pintara prasobsuki lao", "Coladenia koiwayai", "Chrysozephyrus uedai", "Chrysozephyrus uedai uedai", "Chrysozephyrus uedai panwanus", "Chrysozephyrus sandersi", "Chrysozephyrus fujiokai fujiokai", "Xerasia punica", "Favonius yuasai", "Ocyurus chrysurus", "Zikanius aurocinctus", "Cucujus haematodes haematodes", "Cucujus haematodes opacus", "Bolivitoxus diffusopunctatus", "Dichodontocis uncinatus", "Parahyliota balli", "Arthopus brouni", "Microtus paradoxus", "Microtus qazvinensis", "Microtus quasiater", "Sus ahoenobarbus", "Sus oliveri", "Palophagoides vargasorum", "Microtus sachalinensis", "Microtus schelkovnikovi", "Microtus schidlovskii", "Microtus socialis", "Pseudalosterna aritai", "Microtus townsendii", "Dichomeris heriguronis", "Larinia bivittata", "Munamizoa maculata", "Phylloneta sisyphia", "Larinia bossae", "Larinia pubiventris", "Larinia tamatave", "Larinia blandula", "Histanocerus brendelli", "Histanocerus gigas", "Histanocerus wallacei", "Histanocerus deharvengi", "Histanocerus cochlearis", "Histanocerus convexus", "Histanocerus hecate", "Histanocerus smetanai", "Histanocerus olexai", "Histanocerus fleaglei", "Histanocerus werneri", "Histanocerus minutus", "Histanocerus pubescens", "Histanocerus abnormis", "Mycteroperca rubra", "Laenagenius apterus", "Judolia japonica", "Myriotrema barroense", "Myriotrema calvescens", "Myriotrema cinereoglaucescens", "Myriotrema columellatum", "Myriotrema concretum", "Cucujus bicolor", "Cucujus chinensis", "Cucujus cinnaberinus", "Cucujus clavipes", "Cucujus coccinatus", "Cucujus elongatus", "Cucujus grouvellei", "Cucujus kempi", "Cucujus mniszechi", "Cucujus nigripennis", "Platisus obscurus", "Platisus moerosus", "Ampelisca jaffaensis", "Pseudalosterna misella", "Syringophilopsis veselovsky", "Microtus nasarovi", "Microtus oaxacensis", "Microtus oregoni", "Pseudalosterna takagii", "Larinia minor", "Larinia ambo", "Larinia neblina", "Larinia t-notata", "Parechthistatus gibber grossus", "Curculio lateritius", "Agrypnus binodulus", "Agrypnus tsushimaensis", "Acicnemis shibatai", "Cerylonid series", "Dianthus carthusianorum", "Pyrrhona laeticolor", "Pyrrhona laeticolor laeticolor", "Pyrrhona laeticolor takakuwai", "Pachypidonia bodemeyeri", "Pisonia umbellifera", "Tribulus terrestris", "Larinia fangxiangensis", "Cyclosa reniformis", "Onorelucanus onorei", "Globularia trichosantha", "Callirhipis kurosawai", "Callirhipis miwai", "Hydrocassis jengi", "Larinia elegans", "Carodes revelatus", "Metellina orientalis", "Car condensatus", "Car intermedius", "Car pini", "Kryptogenius acericornis", "Kryptogenius bidentatus", "Kryptogenius crassilobus", "Kryptogenius longilobus", "Kryptogenius monilicornis", "Asterope whitelyi", "Asterope whitelyi whitelyi", "Katagenius tamil", "Asterope whitelyi glennae", "Asterope whitelyi cyaneogyna", "Asterope degandii", "Asterope degandii caelestis", "Favonius taxila", "Epiphile neildi", "Epiphile neildi neildi", "Epiphile neildi bakuru", "Oides decempunctata", "Sibirhelus corpulentus", "Lutjanus apodus", "Anopheles aberrans", "Anopheles acaci", "Anopheles ahomi", "Anopheles aitkenii", "Anopheles albotaeniatus", "Anopheles algeriensis", "Anopheles alongensis", "Anopheles anchietai", "Anopheles annandalei", "Anopheles annulipalpis", "Anopheles apicimacula", "Anopheles arboricola", "Anopheles argyropus", "Anopheles asiaticus", "Anopheles atratipes", "Anopheles atroparvus", "Anopheles atropos", "Anopheles aztecus", "Anopheles baezai", "Catocala pataloides", "Catocala formosana", "Neptis pryeri", "Spiraea thunbergii", "Larinia astrigera", "Larinia triprovina", "Larinia nolabelia", "Larinia microhooda", "Larinia macrohooda", "Larinia dinanea", "Larinia cyclera", "Sericosura cochleifovea", "Sericosura venticola", "Sericosura dissita", "Sericosura cyrtoma", "Sericosura conta", "Sericosura hedgpethi", "Sericosura verenae", "Larinia wenshanensis", "Sericosura mitrata", "Sericosura heteroscela", "Thrypticus arahakiensis", "Larinia jamberoo", "Larinia montagui", "Larinia tabida", "Larinia delicata", "Pterogenius besucheti", "Pterogenius nietneri", "Tychogenius armatus", "Tychogenius spatulifer", "Odontosia walakui", "Odontosia brinikhi", "Spiraea blumei", "Hestina assimilis", "Leontopodium jacotianum", "Larinia directa", "Larinia borealis", "Larinia famulatoria", "Larinia lampa", "Larinia tucuman", "Microtus transcaspicus", "Microtus umbrosus", "Dichomeris issikii", "Dichomeris praevacua", "Dichomeris syndyas", "Prasonica albolimbata", "Prasonica opaciceps", "Psyllo nitida", "Mangora mapia", "Mangora leverger", "Mangora grande", "Mangora chiguaza", "Mangora unam", "Mangora pira", "Mangora tarapuy", "Mangora divisor", "Mangora zona", "Mangora umbrata", "Mangora cajuta", "Mangora piroca", "Mangora yungas", "Mangora cochuna", "Mangora theridioides", "Mangora uru", "Mangora sturmi", "Mangora taraira", "Mangora logrono", "Mangora caparu", "Mangora matamata", "Mangora manicore", "Mangora jumboe", "Mangora keduc", "Mangora ikuruwa", "Mangora sumauma", "Mangora engleri", "Mangora tambo", "Mangora enseada", "Mangora brokopondo", "Mangora melloleitaoi", "Mangora villeta", "Mangora peichiuta", "Mangora missa", "Myriotrema permaculatum", "Myriotrema pertusarioides", "Myriotrema phaeosporum", "Myriotrema plurifarium", "Myriotrema polytretum", "Myriotrema porinaceum", "Myriotrema protocetraricum", "Myriotrema pulverulentum", "Myriotrema pycnoporellum", "Myriotrema reclusum", "Myriotrema rongklaense", "Myriotrema rugiferum", "Myriotrema scabridum", "Microtus mongolicus", "Myriotrema secernendum", "Myriotrema sembilanense", "Myriotrema sordidescens", "Microtus montanus", "Myriotrema sphinctrinellum", "Myriotrema squamuloides", "Myriotrema steyermarkii", "Myriotrema subanamaliense", "Microtus montebelli", "Myriotrema subconforme", "Myriotrema subcostaricense", "Myriotrema subminutum", "Myriotrema subwrightii", "Myriotrema terebrans", "Myriotrema terebratulum", "Myriotrema thailandicum", "Myriotrema thwaitesii", "Myriotrema uniseptatum", "Myriotrema urceolare", "Myriotrema viride", "Myriotrema viridialbum", "Myriotrema vulcani", "Myriotrema whalleyanum", "Myriotrema wightii", "Judolidia znojkoi", "Judolidia kyushuensis", "Lomatia dentata", "Myriotrema configuratum", "Myriotrema congestum", "Myriotrema costaricense", "Myriotrema craterellum", "Myriotrema dactyliferum", "Myriotrema deceptum", "Myriotrema decorticatum", "Myriotrema desquamans", "Centaurea pullata", "Myriotrema eminens", "Myriotrema erodens", "Myriotrema exile", "Myriotrema extendens", "Myriotrema flavolucens", "Myriotrema fluorescens", "Myriotrema foliicola", "Myriotrema fragile", "Myriotrema frondosum", "Myriotrema glaucophaenum", "Myriotrema glauculum", "Myriotrema grandisporum", "Myriotrema granulosum", "Myriotrema hartii", "Myriotrema immersum", "Myriotrema khaoyaianum", "Myriotrema laeviusculum", "Myriotrema lunense", "Myriotrema mammiculum", "Myriotrema mammillare", "Myriotrema masonhalei", "Myriotrema mastarion", "Myriotrema maximum", "Myriotrema microphthalmum", "Myriotrema microporum", "Myriotrema microstomum", "Myriotrema minutulum", "Myriotrema minutum", "Myriotrema multicavum", "Myriotrema muluense", "Myriotrema myriocarpon", "Myriotrema myrioporoides", "Myriotrema myrioporum", "Myriotrema myriotremoides", "Myriotrema neofrondosum", "Myriotrema neoterebrans", "Myriotrema norsticticum", "Myriotrema norstictideum", "Myriotrema olivaceum", "Myriotrema parvidiscum", "Myriotrema peninsulae", "Mangora velha", "Mangora fundo", "Mangora bocaina", "Mangora dagua", "Mangora yacupoi", "Mangora ordaz", "Schinderhannes bartelsi", "Mangora montana", "Mangora candida", "Mangora schneirlai", "Mangora bimaculata", "Mangora falconae", "Mangora corcovado", "Mangora craigae", "Mangora calcarifera", "Mangora melanocephala", "Mangora itza", "Mangora acaponeta", "Mangora mobilis", "Mangora distincta", "Mangora sufflava", "Mangora chicanna", "Mangora purulha", "Mangora amchickeringi", "Mangora maculata", "Mangora passiva", "Mangora spiculata", "Mangora placida", "Mangora fascialata", "Mangora gibberosa", "Mangora oxapampa", "Mangora nahuatl", "Mangora volcan", "Mangora fortuna", "Mangora campeche", "Mangora goodnightorum", "Mangora vito", "Mangora ixtapan", "Mangora pia", "Mangora saut", "Mangora chavantina", "Mangora puerto", "Mangora botelho", "Mangora uziga", "Mangora caballero", "Mangora cercado", "Mangora melanoleuca", "Mangora shudikar", "Mangora pagoreni", "Mangora huallaga", "Mangora porcullo", "Mangora pepino", "Mangora palenque", "Mangora colonche", "Cistanthe umbellata", "Zanclognatha bryanti", "Zanclognatha cruralis", "Mangora hirtipes", "Zanclognatha jacchusalis", "Mangora laga", "Zanclognatha laevigata", "Mangora moyobamba", "Zanclognatha lituralis", "Mangora nuco", "Zanclognatha obscuripennis", "Zanclognatha ochreipennis", "Zanclognatha protumnusalis", "Zanclognatha theralis", "Mangora caxias", "Mangora lechugal", "Mangora latica", "Mangora woytkowskii", "Mangora tefe", "Mangora bambusa", "Mangora strenua", "Mangora nonoai", "Mangora itatiaia", "Mangora lactea", "Burmasporum rossi", "Maricoleus valentinae", "Cyphon wichardi", "Argentinosyne duraznoensis", "Cyrtacanthacris aeruginosa", "Chromousambilla latistriata", "Gastrimargus africanus", "Mangora foliosa", "Mangora angulopicta", "Mangora crescopicta", "Mangora polypicula", "Mangora itabapuana", "Mangora corocito", "Mangora rupununi", "Mangora isabel", "Mangora chispa", "Mangora ramirezi", "Mangora dianasilvae", "Mangora browns", "Mangora semiatra", "Mangora chao", "Mangora chacobo", "Mangora zepol", "Mangora morona", "Mangora mitu", "Mangora sciosciae", "Mangora taczanowskii", "Mangora v-signata", "Mangora chuquisaca", "Mangora punctipes", "Mangora paula", "Mangora uraricoera", "Mangora maximiano", "Mangora barba", "Mangora argenteostriata", "Mangora castelo", "Mangora bovis", "Mangora blumenau", "Mangora comaina", "Mangora leticia", "Mangora chanchamayo", "Mangora huancabamba", "Mangora mathani", "Mangora novempupillata", "Mangora insperata", "Mangora sobradinho", "Mangora mamiraua", "Mangora explorama", "Mangora rondonia", "Mangora bemberg", "Mangora eberhardi", "Mangora kochalkai", "Mangora vianai", "Mangora bonaldoi", "Mangora tarma", "Mangora cutucu", "Mangora florestal", "Cistanthe ambigua", "Mangora oaxaca", "Mangora kuntur", "Mangora boyaca", "Cistanthe monandra", "Mangora fornicata", "Mangora taboquinha", "Mangora manglar", "Mangora minacu", "Mangora socorpa", "Adicophasma spinosum", "Gondwanoscurus malaysiensis", "Adicophasma grylloblattoides", "Lobatophasma redelinghuysense", "Brochocoleus angustus", "Brochocoleus sulcatus", "Mesocupes angustilabialis", "Mesocupes collaris", "Mesocupes latilabialis", "Trichomonas vaginalis", "Enna velox", "Enna eberhardi", "Mangora rhombopicta", "Mangora songyangensis", "Mangora tschekiangensis", "Mangora inconspicua", "Mangora acalypha", "Mangora paranaiba", "Mangora vaupes", "Centaurea kotschyana", "Oedemera nobilis", "Geissoloma marginatum", "Neoscona marcanoi", "Isodontia mexicana", "Neoscona moreli", "Neoscona oaxacensis", "Neoscona pratensis", "Neoscona orizabensis", "Neoscona utahana", "Palophagus bunyae", "Palophagus australiensis", "Cucujopsis setifer", "Uruminopeplus sakaii", "Parotocinclus bahiensis", "Tatarocupes granulatus", "Karakanocoleus europeus", "Palademosyne natalensis", "Psilochorus acanthus", "Psilochorus apicalis", "Psilochorus bantus", "Psilochorus hesperus", "Psilochorus imitatus", "Psilochorus papago", "Psilochorus redemptus", "Psilochorus topanga", "Psilochorus californiae", "Psilochorus utahensis", "Psilochorus pallidulus", "Psilochorus rockefelleri", "Psilochorus pullulus", "Psilochorus simoni", "Psilochorus coloradensis", "Psilochorus concolor", "Psilochorus hooki", "Psilochorus inyo", "Psilochorus texanus", "Psilochorus itaguyrussu", "Psilochorus ybytyriguara", "Neonella antillana", "Neonella mayaguez", "Neonella cabana", "Neonella colalao", "Malacosoma neustria", "Nepeta clarkei", "Philorhizus marggii", "Japananus bicurvatus", "Pseudokermes vitreus", "Hemilecanium cedrelus", "Sterculicoccus tafoensis", "Hydrotaea aenescens", "Labena acerba", "Aphropsylla truncata", "Enna chickeringi", "Enna nesiotes", "Enna minor", "Echinopsis klimpeliana", "Acanthocalycium thionanthum", "Enna jullieni", "Aerangis distincta", "Aerangis mystacidii", "Enna braslandia", "Anamirta cocculus", "Angraecum viguieri", "Mesosa longipennis", "Chiloschista segawae", "Chlamydomonas reinhardtii", "Siganus argenteus", "Siganus stellatus", "Siganus luridus", "Siganus javus", "Anoploderomorpha excavata", "Anoploderomorpha monticola", "Myodes andersoni", "Myodes californicus", "Myodes centralis", "Myodes gapperi", "Myodes glareolus", "Myodes imaizumii", "Myodes regulus", "Myodes rex", "Myodes rufocanus", "Myodes rutilus", "Myodes shanseius", "Myodes smithii", "Gynarchaeus ornatus", "Verodes aequalis", "Amanita battarrae", "Senna candolleana", "Globodera rostochiensis", "Baalzebub nemesis", "Ogulnius barbandrewsi", "Theridiosoma shuangbi", "Theridiosoma diwang", "Zoma dibaiyin", "Wendilgarda muji", "Simaoa bianjing", "Simaoa kavanaugh", "Simaoa yaojia", "Simaoa maku", "Gaoligonga changya", "Gaoligonga zhusun", "Mosu nujiang", "Mosu huogou", "Chanea suukyii", "Gaiziapis zhizhuba", "Mysmena changouzi", "Mysmena jinlong", "Mysmena bizi", "Mysmena goudao", "Mysmena shibali", "Mysmena haban", "Patu xiaoxiao", "Patu qiqi", "Patu jidanweishi", "Crassignatha ertou", "Crassignatha gudu", "Crassignatha longtou", "Crassignatha pianma", "Crassignatha quanqu", "Crassignatha yamu", "Crassignatha yinzhi", "Macvicaria adomeae", "Macvicaria dextrocaula", "Macvicaria flexuomeatus", "Macvicaria kingscotensis", "Macvicaria mekistomorphe", "Macvicaria mutovitellina", "Macvicaria shotteri", "Macvicaria vitellocopiosa", "Nesomachilis australica", "Xeniaria truncata", "Xeniaria bicornis", "Xeniaria jacobsoni", "Arixenia camura", "Arixenia esau", "Araeomerus hubbardi", "Araeomerus morrisi", "Gongylonema pulchrum", "Gnypeta ashei", "Gnypeta canadensis", "Gnypeta dentata", "Gnypeta lohsei", "Gnypeta minuta", "Gnypeta saccharina", "Smilirhexia naranja", "Neophrissospongia nana", "Pseudopecoeloides arripi", "Pseudopecoeloides atherinomori", "Pseudopecoeloides hafeezullahi", "Pseudopecoeloides hickmani", "Pseudopecoeloides lesteri", "Oreiscelio aequalis", "Oreiscelio cultrarius", "Oreiscelio iommii", "Oreiscelio magnipennis", "Oreiscelio megadontus", "Oreiscelio paradoxus", "Oreiscelio scapularis", "Oreiscelio badius", "Oreiscelio coracinus", "Oreiscelio gryphus", "Oreiscelio naevus", "Oreiscelio zuzkae", "Oreiscelio majikununuensis", "Oreiscelio rostratus", "Oreiscelio zulu", "Ischyomius escalonai", "Asphalidesmus golovatchi", "Bicoxidens aridis", "Anastrangalia scotodes", "Staphylea pinnata", "Anastrangalia dissimilis", "Eremobittacus spinulatus", "Nannobittacus dactyliferus", "Ginema thomasi", "Amborotubus clarkei", "Selitrichodes globulus", "Selitrichodes kryceri", "Selitrichodes giraulti", "Selitrichodes auriflavus", "Selitrichodes consobrinus", "Selitrichodes fasciativentris", "Selitrichodes multifasciatus", "Selitrichodes quinqnigrimaculae", "Selitrichodes secus", "Selitrichodes tricolor", "Selitrichodes variegatus", "Selitrichodes varigatus", "Aprostocetus nitens", "Aprostocetus tritus", "Stictoleptura succedanea", "Abies milleri", "Stictoleptura igai", "Errolia cyanea", "Panthera pardus jarvisi", "Anselmella malacia", "Isoptera incertae sedis", "Nepeta manchuriensis", "Conringia orientalis", "Falsoplatydema australicum", "Enneboeopsis australica", "Enneboeopsis pruinosa", "Wattianus queenslandicus", "Godwanenneboeus minutissimus", "Zacompsa pedestris", "Dastarcus longunus", "Leptura dimorpha", "Nothenneboeus punctatus", "Nothenneboeus carinatus", "Eucinetella kurbatovi", "Pseudotriphyllopsis inseriata", "Eulagius chinensis", "Cirsium pendulum", "Platycerus zherichini", "Cretaesalus ponomarenkoi", "Propalticus morimotoi", "Propalticus ryukyuensis", "Burlagonomegops eskovi", "Lagonomegops americanus", "Burlagonomegops alavensis", "Lagonomegops sukatchevae", "Grandoculus chemahawinensis", "Sparganothoides teratana", "Sparganothoides carycrosana", "Sparganothoides plemmelana", "Sparganothoides ocrisana", "Sparganothoides xenopsana", "Sparganothoides umbosana", "Sparganothoides probolosana", "Sparganothoides canorisana", "Sparganothoides capitiornata", "Sparganothoides arcuatana", "Sparganothoides licrosana", "Sparganothoides torusana", "Selenidera maculirostris maculirostris", "Hylocharis chrysura chrysura", "Chlorophonia cyanea cyanea", "Spizaetus tyrannus tyrannus", "Penelope obscura bronzina", "Bubo virginianus nacurutu", "Turdus rufiventris rufiventris", "Zonotrichia capensis subtorquata", "Ramphocelus bresilia dorsalis", "Ectinorus hirsutus", "Rhinolophopsylla traubi", "Thaumapsylla wilsoni", "Roncus elbulli", "Eutrichodesmus aster", "Eutrichodesmus asteroides", "Eutrichodesmus curticornis", "Eutrichodesmus distinctus", "Eutrichodesmus filisetiger", "Eutrichodesmus griseus", "Eutrichodesmus multilobatus", "Eutrichodesmus reductus", "Eutrichodesmus regularis", "Eutrichodesmus armatocaudatus", "Eutrichodesmus basalis", "Eutrichodesmus communicans", "Eutrichodesmus similis", "Eutrichodesmus latus", "Eutrichodesmus incisus", "Toxocara cati", "Eutrichodesmus arcicollaris", "Eutrichodesmus dorsiangulatus", "Eutrichodesmus monodentus", "Eutrichodesmus cavernicola", "Eutrichodesmus demangei", "Eutrichodesmus gremialis", "Eutrichodesmus reclinatus", "Eutrichodesmus peculiaris", "Eutrichodesmus macclurei", "Agathodesmus johnsi", "Glomeris troglokabyliana", "Glomeris monostriata", "Glomeris colorata", "Coddingtonia euryopoides", "Megachile sculpturalis", "Paradoxopla mandarina", "Sarcinodes yaeyamana", "Sarcinodes mongaku", "Metallaxis miniata", "Australutica normanlarseni", "Australutica africana", "Brachyleptura pyrrha", "Diglotta mersa", "Doddifoenus rex", "Zelotibia angelica", "Zelotibia curvifemur", "Zelotibia fosseyae", "Zelotibia johntony", "Zelotibia kanama", "Zelotibia kibira", "Zelotibia lejeunei", "Zelotibia subsessa", "Ananteris bernabei", "Ananteris chagasi", "Ananteris kuryi", "Paractenopsyllus madagascarensis", "Alburnoides qanati", "Leptofoenus pittfieldae", "Zelotibia acicula", "Zelotibia bicornuta", "Zelotibia cultella", "Zelotibia dolabra", "Zelotibia filiformis", "Zelotibia flexuosa", "Zelotibia kaibos", "Zelotibia major", "Zelotibia mitella", "Zelotibia papillata", "Zelotibia paucipapillata", "Zelotibia scobina", "Zelotibia simpula", "Zelotibia supercilia", "Leptofoenus rufus", "Leptofoenus howardi", "Leptofoenus westwoodi", "Leptofoenus stephanoides", "Leptofoenus peleciniformis", "Doddifoenus australiensis", "Archaeostephanus corae", "Galloromma kachinense", "Galloromma bezonnaisense", "Galloromma agapa", "Archaeromma carnifex", "Archaeromma gibsoni", "Odonatoptera incertae sedis", "Eumetabola incertae sedis", "Sparganothoides laderana", "Sparganothoides amitana", "Sparganothoides calthograptana", "Sparganothoides coloratana", "Sparganothoides audentiana", "Sparganothoides canities", "Camellia rusticana", "Misionella didicostae", "Juramantophasma sinica", "Namaquaphasma ookiepense", "Austrophasma caledonense", "Austrophasma gansbaaiense", "Austrophasma rawsonvillense", "Hemilobophasma montaguense", "Karoophasma biedouwense", "Karoophasma botterkloofense", "Micromalthus anansi", "Dasyleptus artinskianus", "Dasyleptus rowlandi", "Dasyleptus noli", "Dasyleptus lucasi", "Dasyleptus brongniarti", "Dasyleptus sharovi", "Tonganoxichnus robledoensis", "Tonganoxichnus buildexensis", "Tonganoxichnus ottawensis", "Machilelloides incoloratus", "Sparganothoides albescens", "Sparganothoides castanea", "Sparganothoides hydeana", "Sparganothoides lentiginosana", "Sparganothoides lugens", "Sparganothoides machimiana", "Sparganothoides morata", "Sparganothoides vinolenta", "Megalographa monoxyla", "Megalographa agualaniata", "Megalographa culminicola", "Megalographa bonaerensis", "Megalographa biloba", "Megalographa talamanca", "Quercus ithaburensis subsp. macrolepis", "Allium obliquum", "Nepeta bucharica", "Nepeta ispahanica", "Ophrys fusca", "Heptathela sinensis", "Haplochelus georissoides", "Micromalthus eocenicus", "Silene zawadzkii", "Sparganothoides prolesana", "Sparganothoides polymitariana", "Sparganothoides aciculana", "Sparganothoides silaceana", "Sparganothoides broccusana", "Sparganothoides cornutana", "Silene uniflora", "Silene uniflora subsp. thorei", "Silene uniflora subsp. uniflora", "Dasypolia minuta", "Melichthys indicus", "Ocellularia kanneliyensis", "Ocellularia kansriae", "Ocellularia karnatakensis", "Ocellularia keralensis", "Ocellularia krathingensis", "Sycorax neli", "Paralissotes mangonuiensis", "Paralissotes stewarti", "Paralissotes reticulatus", "Paralissotes rufipes", "Drototelus elegans", "Drototelus politus", "Sambucus wightiana", "Drototelus rarus", "Ocellularia krempelhuberi", "Ocellularia landronii", "Lissotes oconnori", "Ocellularia lankaensis", "Ocellularia latilabra", "Ocellularia leioplacoides", "Ocellularia leptospora", "Ocellularia leucina", "Ocellularia leucotrema", "Ocellularia leucotylia", "Ocellularia lindigiana", "Ocellularia lithophila", "Ocellularia lopezii", "Ocellularia mahabalei", "Ocellularia majorina", "Alces americanus", "Patu nigeri", "Patu spinathoraxi", "Silene uniflora subsp. petraea", "Patu samoensis", "Patu silho", "Viscaria alpina", "Metacorneolabium convexum", "Metacorneolabium gigas", "Metacorneolabium pyriforme", "Metacorneolabium zanotium", "Metacorneolabium hokitika", "Metacorneolabium rangipo", "Metacorneolabium alulatum", "Metacorneolabium victas", "Metacorneolabium darlingtoni", "Metacorneolabium echidna", "Metacorneolabium logor", "Neodon forresti", "Neodon irene", "Neodon juldashi", "Neodon sikimensis", "Acidaliastis nilotica", "Acidaliastis saharae", "Idaea remanei", "Sambucus lanceolata", "Heterostegane boghensis", "Ocellularia africana", "Ocellularia agasthiensis", "Ocellularia alba", "Ocellularia albescens", "Ocellularia albidiformis", "Ocellularia albogilva", "Ocellularia albomaculata", "Neofiber alleni", "Phaiomys leucurus", "Ocellularia albula", "Ocellularia allospora", "Ocellularia allosporiza", "Ocellularia americana", "Ocellularia fumosa", "Ocellularia galactina", "Ocellularia garoana", "Ocellularia gentingensis", "Ocellularia glaziovii", "Ocellularia globosa", "Ocellularia goniostoma", "Ocellularia gracilis", "Ocellularia grandis", "Ocellularia granularis", "Ocellularia granulatula", "Ocellularia granulifera", "Sambucus ebulus subsp. africanus", "Ocellularia groenhartii", "Ocellularia guptei", "Ocellularia gymnocarpa", "Ocellularia gyrostomoides", "Ocellularia henatomma", "Ocellularia hians", "Ocellularia holospora", "Ocellularia homopasta", "Ocellularia homothecia", "Ocellularia inexpectata", "Ocellularia interponenda", "Ocellularia interposita", "Ocellularia inthanonensis", "Ocellularia isertii", "Bathysphaera intacta", "Diastobranchus capensis", "Xanthopimpla amazonica", "Xanthopimpla jussilai", "Saharobuthus elegans", "Pantobuthus complicatus", "Ocellularia jamesii", "Ocellularia japonica", "Ocellularia jugalis", "Ocellularia kalbii", "Ocellularia massalongoi", "Ocellularia mauritiana", "Schisandra chinensis", "Ocellularia megalostoma", "Ocellularia melanostoma", "Xanthopimpla rhopaloceros", "Ocellularia microascidia", "Ocellularia microspora", "Ocellularia monosporoides", "Ocellularia mordenii", "Ocellularia mozambica", "Ocellularia multilocularis", "Ocellularia myrioporella", "Ocellularia neocavata", "Ocellularia neoleucina", "Synanthedon herzi", "Ocellularia neomasonhalei", "Ocellularia neoperforata", "Synanthedon colchidensis", "Ocellularia neopertusariiformis", "Ocellularia nigropuncta", "Ocellularia nureliya", "Ocellularia nylanderiana", "Bembecia zebo", "Ocellularia obovata", "Ocellularia obscura", "Ocellularia obturascens", "Bembecia pagesi", "Ocellularia obturata", "Ocellularia octolocularis", "Ocellularia opaca", "Ocellularia orthomastia", "Ocellularia palaeoamplior", "Ocellularia papillata", "Ocellularia papuana", "Ocellularia parvula", "Ocellularia andamanica", "Ocellularia annulosa", "Taleporia pseudoimprovisella", "Ocellularia antillensis", "Ocellularia apayo\u00ebnsis", "Ocellularia arecae", "Ocellularia argillacea", "Ocellularia ascidioidea", "Ocellularia asiatica", "Ocellularia auberianoides", "Ocellularia auratipruinosa", "Ocellularia aurulenta", "Ocellularia bahiana", "Ocellularia baileyi", "Ocellularia bakoensis", "Ocellularia bataana", "Ocellularia bicavata", "Ocellularia bicintula", "Watsonarctia deserta", "Maurica breveti", "Maurica joiceyi", "Ocnogyna bellieri", "Ocnogyna bellieri berytta", "Ocellularia bipindensis", "Proedromys bedfordi", "Ocellularia bonplandii", "Ocellularia brunneospora", "Proedromys liangshanensis", "Ocellularia bullata", "Ocellularia caledoniensis", "Ocellularia cameroonensis", "Ocellularia canara", "Ocellularia canariana", "Ocellularia capensis", "Prometheomys schaposchnikowi", "Ocellularia carnosula", "Ocellularia cavata", "Ocellularia chionostoma", "Ocellularia chiriquiensis", "Ocellularia chonestoma", "Ocellularia cinchonarum", "Ocellularia cinerascens", "Ocellularia circumscripta", "Ocellularia clandestina", "Ocellularia collativa", "Ocellularia comparabilis", "Ocellularia concentrica", "Ocellularia concolor", "Ocellularia conferta", "Ocellularia confluens", "Ocellularia confluentula", "Ocellularia conformis", "Volemys millicens", "Ocellularia confusa", "Ocellularia conglomerata", "Volemys musseri", "Ocellularia conpsoromica", "Ocellularia crassula", "Ocellularia crocea", "Ocellularia croceoisidiata", "Ocellularia cruentata", "Ocellularia decolorata", "Ocellularia deformis", "Ocellularia defossa", "Ocellularia dehiscens", "Ocellularia diacida", "Ocellularia diffractella", "Ocellularia diospyrosis", "Ocellularia diplotrema", "Ocellularia discoidea", "Leptura ochrotera", "Ocellularia dolichospora", "Ocellularia dolichotata", "Ocellularia domingensis", "Leptura chujoi", "Ocellularia dominicana", "Ocellularia efformata", "Ocellularia emergens", "Ocellularia emersella", "Ocellularia endoleuca", "Ocellularia endomelaena", "Ocellularia epitrypa", "Ocellularia eumorpha", "Ocellularia eumorphoides", "Ocellularia eurychades", "Ocellularia exanthismocarpa", "Ocellularia excavata", "Ocellularia exigua", "Ocellularia exuta", "Ocellularia fecunda", "Ocellularia feeana", "Ocellularia feigei", "Ocellularia flavescens", "Ocellularia flavida", "Ocellularia flavisorediata", "Ocellularia flavomedullosa", "Ocellularia floridana", "Orestes mouhotii", "Ocellularia percolumellata", "Ocellularia peremergens", "Ocellularia perforata", "Ocellularia pertusariaeformis", "Ocellularia petrinensis", "Ocellularia phaeotropa", "Ocellularia persimilis", "Ocellularia phlyctellacea", "Setina flavicans", "Setina flavicans flavicans", "Setina flavicans pseudoirrorella", "Setina cantabrica", "Yigoga celsicola", "Yigoga celsicola celsicola", "Yigoga celsicola goateri", "Yigoga celsicola sincera", "Ocellularia phlyctillacea", "Ocellularia piperis", "Ocellularia planaria", "Ocellularia platychlamys", "Ocellularia plurifaria", "Ocellularia pluripora", "Ocellularia pluriporoides", "Ocellularia polydisca", "Ocellularia pomiformis", "Ocellularia poncinsiana", "Ocellularia postposita", "Ocellularia praestans", "Ocellularia psathyroloma", "Ocellularia psoromica", "Ocellularia pulchra", "Ocellularia punctulata", "Ocellularia pupula", "Ocellularia pycnophragmia", "Ocellularia pyrenuloides", "Ocellularia rassagala", "Ocellularia radians", "Ocellularia remanens", "Dares verrucosus", "Cricetulus barabensis", "Dares ziegleri", "Planispectrum bakiensis", "Planispectrum bengalensis", "Planispectrum cochinchinensis", "Planispectrum hongkongense", "Planispectrum javanense", "Planispectrum pusillus", "Ametastegia glabrata", "Sambucus peruviana", "Dichelyne alatae", "Dioctophyma renale", "Neolovricia ozimeci", "Trevesia arborea", "Cicindis horni", "Sambucus ebulus subsp. ebulus", "Sambucus gaudichaudiana", "Sambucus australasica", "Ocellularia wirthii", "Elaeagnus angustata", "Ocellularia polydisca var. polydisca", "Ocellularia polydisca var. margaritacea", "Allocricetulus curtatus", "Allocricetulus eversmanni", "Cansumys canus", "Woodlarkia scorpionides", "Spinodares jenningsi", "Dares breitensteini", "Dares kinabaluensis", "Dares mjobergi", "Cricetulus alticola", "Dares murudensis", "Dares navangensis", "Dares philippinensis", "Dares planissimus", "Orestes subcylindricus", "Dares ulula", "Dares validispinus", "Copaxa escalantei", "Copaxa moinieri", "Caio championi", "Caio richardsoni", "Caio romulus", "Cercophana venusta", "Cerodirphia cutteri", "Cerodirphia harrisae", "Citheronia aroa", "Citheronia azteca", "Citheronia bellavista", "Citheronia guayaquila", "Citheronia laocoon", "Citheronia lobesis", "Citheronia lobesis lobesis", "Citheronia lobesis jordani", "Citheronia maureillei", "Citheronia phoronea", "Influenzavirus A", "Citheronia pseudomexicana", "Citheronia vogleri", "Influenza A virus H1N1", "Citheronia splendens", "Citheronia splendens splendens", "Citheronia splendens queretana", "Citheronia splendens sinaloensis", "Lychnis coronaria", "Lychnis coronata", "Chapsa bicellularis", "Chapsa conglomerata", "Chapsa conveniens", "Chapsa cruentata", "Chapsa dilatata", "Chapsa hiata", "Trevesia beccarii", "Trevesia burckii", "Trevesia lateospina", "Trevesia palmata", "Morbakka fenneri", "Carukia shinju", "Malo kingi", "Malo maximus", "Ademosynoides abnormis", "Ademosynoides magnifica", "Ademosynoides striatella", "Ademosynoides alternata", "Ademosynoides obtusa", "Ademosynoides minor", "Lygephila schachti", "Caryocolum hackeri", "Boloria napaea", "Boloria napaea napaea", "Boloria napaea altaica", "Boloria napaea pustagi", "Boloria napaea vinokurovi", "Boloria napaea contaminata", "Boloria napaea joanni", "Chapsa alborosella", "Chapsa cinchonarum", "Chapsa diploschistoides", "Chapsa eitenii", "Chapsa indica", "Ocellularia verrucomarginata", "Ocellularia verrucosa", "Ocellularia verruculosa", "Ocellularia vezdana", "Ocellularia violacea", "Ocellularia virens", "Ocellularia viridipallens", "Ocellularia viridis", "Ocellularia wandoorensis", "Ocellularia wolseleyana", "Ocellularia xantholeuca", "Ocellularia xanthostroma", "Ocellularia xanthostromiza", "Ocellularia zamboangensis", "Ocellularia zamiae", "Ocellularia zenkeri", "Ocellularia zeorina", "Xanthichthys ringens", "Sufflamen fraenatum", "Ancylostoma braziliense", "Ancylostoma caninum", "Ancylostoma duodenale", "Ancylostoma pluridentatum", "Ancylostoma tubaeforme", "Necator americanus", "Angiostrongylus cantonensis", "Onchocerca volvulus", "Loa loa", "Dirofilaria repens", "Dracunculus medinensis", "Ascaris suum", "Chimaphila umbellata", "Sambucus racemosa subsp. sieboldiana", "Crassignatha haeneli", "Sambucus racemosa subsp. sieboldiana f. stenophylla", "Quamtana huberi", "Sambucus latipinna", "Sambucus williamsii", "Sambucus palmensis", "Chapsa perdissuta", "Chapsa pseudoschizastoma", "Chapsa rotunda", "Ademosynoides angusta", "Sacodes dux", "Chapsa sublilacina", "Chapsa leprocarpoides", "Drylichus fidelitas", "Drylichus monteithi", "Drylichus hylesinoides", "Bertinotus gallicus", "Syagrus coronata", "Influenzavirus B", "Syagrus romanzoffiana", "Influenzavirus C", "Lobodiamesa campbelli", "Maoridiamesa harrisi", "Maoridiamesa glacialis", "Maoridiamesa insularis", "Maoridiamesa intermedia", "Hemiandrus superbus", "Nymphes georgei", "Pronymphes hoffeinsorum", "Nymphes paramyrmeleonides", "Nymphes aperta", "Nymphes nigrescens", "Meehania urticifolia", "Ocellularia retispora", "Ocellularia rhabdospora", "Ocellularia rhicnopora", "Ocellularia rhodostroma", "Ocellularia rhicnoporoides", "Ocellularia ripleyi", "Ocellularia roseotecta", "Ocellularia rufocincta", "Ocellularia sanfordiana", "Ocellularia sexlocularis", "Ocellularia siamensis", "Ocellularia scolecospora", "Ocellularia sorediata", "Ocellularia sphaerica", "Ocellularia stictica", "Ocellularia sticticans", "Ocellularia stictidea", "Ocellularia straminea", "Ocellularia subcrassula", "Ocellularia subleucina", "Ocellularia sublilacina", "Ocellularia submicrosporoides", "Ocellularia subperforata", "Ocellularia subpraestans", "Ocellularia subsimilis", "Ocellularia subterebrata", "Ocellularia suecica", "Ocellularia tanii", "Ocellularia terebrata", "Ocellularia texana", "Ocellularia thelotremoides", "Ocellularia thryptica", "Ocellularia trachodes", "Ocellularia triglyphica", "Ocellularia trypanea", "Ocellularia tuberculata", "Ocellularia turgidula", "Ocellularia udupiensis", "Ocellularia umbilicata", "Ocellularia vaga", "Ocellularia verrucoisidiata", "Chapsa leprocarpa", "Chapsa patens", "Chapsa phlyctidioides", "Chapsa platycarpa", "Symmoca achrestella", "Symmoca albicanella", "Symmoca alhambrella", "Chapsa rubropruinosa", "Symmoca attalica", "Symmoca christenseni", "Symmoca italica", "Symmoca perobscurata", "Symmoca pyrenaica", "Symmoca revoluta", "Symmoca sattleri", "Symmoca senora", "Symmoca serrata", "Symmoca simulans", "Symmoca sorrisa", "Symmoca sultan", "Symmoca torrida", "Symmoca caliginella", "Symmoca cinerariella", "Symmoca designella", "Symmoca dodecatella", "Symmoca dolomitana", "Symmoca nigromaculella", "Symmoca oenophila", "Symmoca orphnella", "Symmoca petrogenes", "Symmoca pleostigmella", "Symmoca signatella", "Symmoca signella", "Symmoca tofosella", "Symmoca tristella", "Symmoca uniformella", "Symmoca vitiosella", "Symmoca straminella", "Symmoca salinata", "Leptura yokoyamai", "Urspelerpes brucei", "Trevesia sundaica", "Trevesia valida", "Brassaiopsis rufosetosa", "Chiasmia clathrata", "Caligula japonica", "Caligula simla", "Glaucocharis senekai", "Microphyllium spinithorax", "Euchromius karsholti", "Catoptria mytilella", "Catoptria mytilella hermesi", "Catoptria mytilella mytilella", "Mesocrambus canariensis", "Amselina parapsestra", "Orpecovalva aphrodite", "Arragonia anatolica", "Holoarctia cervini", "Leptura amamiana", "Episcapha gorhami", "Planispectrum hainanensis", "Pylaemenes kasetsartii", "Pylaemenes moluccanus", "Dares multispinosus", "Pylaemenes muluensis", "Pylaemenes coronatus", "Orestes guangxiensis", "Pylaemenes mitratus", "Pylaemenes otys", "Pylaemenes oileus", "Pylaemenes borneensis", "Pylaemenes borneensis borneensis", "Pylaemenes borneensis sepilokensis", "Pylaemenes borneensis waterstradti", "Ademosyne adunca", "Ademosyne vittamargina", "Ademosyne rugulosa", "Ademosyne ramocostata", "Ademosyne curvata", "Ademosyne brevis", "Ademosyne parva", "Ademosyne intermedia", "Ademosyne lata", "Ademosyne australiensis", "Ademosyne congener", "Ademosyne cameroni", "Ademosyne punctata", "Ademosyne wianamattensis", "Ademosyne major", "Ademosyne olliffi", "Ademosyne tumida", "Ademosyne speciosa", "Ademosyne reducta", "Ademosyne arcucciae", "Ademosyne elongata", "Ademosyne hexacostata", "Ademosyne punctuada", "Ademosyne bacca", "Ademosyne elliptica", "Ademosyne kirghizica", "Ademosyne prisca", "Nanophyllium adisi", "Nanophyllium hasenpuschi", "Nanophyllium pygmaeum", "Nanophyllium rentzi", "Vindula arsinoe sapor", "Vindula arsinoe albosignata", "Vindula arsinoe intermedia", "Clambus lohsei", "Vindula arsinoe clodia", "Vindula arsinoe catenes", "Dichrorampha abhasica", "Dichrorampha teichiana", "Absala dorcada", "Leptura subtilis", "Arotrophora anemarcha", "Arotrophora arcuatalis", "Arotrophora canthelias", "Leptura yakushimana", "Arotrophora charistis", "Arotrophora diadela", "Arotrophora ericirra", "Arotrophora euides", "Arotrophora ochraceellus", "Arotrophora siniocosma", "Arotrophora semifulva", "Arotrophora hongsona", "Arotrophora khasiasana", "Arotrophora khatana", "Arotrophora charassapex", "Arotrophora paiana", "Arotrophora khunmaei", "Arotrophora cherrapunji", "Vindula dejone sibutuensis", "Vindula dejone celebensis", "Vindula dejone satellitica", "Vindula dejone bushi", "Vindula dejone kabiana", "Vindula dejone dioneia", "Vindula dejone javana", "Vindula dejone susanoo", "Dianthus rupicola", "Micropterix renatae", "Euzophera fibigerella", "Scopula agutsaensis", "Calyptomerus dubius", "Calyptomerus oblongulus", "Clambus simsoni", "Clambus myrmecophilus", "Pentagonica vittipennis", "Ophrys holoserica", "Vindula boetonensis", "Vindula boetonensis boetonensis", "Vindula boetonensis banta", "Vindula boetonensis sulaensis", "Hlavaciellus sabahensis", "Vindula arsinoe", "Vindula arsinoe arsinoe", "Vindula arsinoe moluccana", "Vindula arsinoe figalea", "Paeneutheia pallida", "Vindula arsinoe adina", "Vindula arsinoe meforica", "Vindula arsinoe bosnikensis", "Vindula arsinoe rebeli", "Vindula arsinoe archeri", "Vindula arsinoe polykaste", "Vindula arsinoe meridionalis", "Stenichnus dabanus", "Stenichnus montanus", "Vindula arsinoe lemina", "Vindula arsinoe insularis", "Vindula arsinoe ada", "Thalassodes pilaria", "Thalassodes sulawesus", "Thalassodes yazakii", "Thalassodes viridulus", "Thalassodes spathulatus", "Thalassodes indistantus", "Thalassodes giganteus", "Thalassodes grandis", "Orothalassodes mirificus", "Orothalassodes luculentus", "Orothalassodes philippinus", "Orothalassodes masuii", "Orothalassodes pantascia", "Orothalassodes curiosa", "Leptura kusamai", "Euzopherodes nipponensis", "Didia fuscostriatella", "Didia striatella", "Toona ciliata", "Acrobasis subceltifoliella", "Vindula dejone", "Vindula dejone dejone", "Vindula dejone elisae", "Vindula dejone hildae", "Vindula erota", "Vindula erota erota", "Vindula erota saloma", "Vindula erota asela", "Vindula erota pallida", "Vindula erota hainana", "Vindula erota chersonesia", "Baiomys musculus", "Vindula erota battaka", "Vindula erota simalurensis", "Vindula erota orahilia", "Vindula erota manis", "Vindula erota huyghei", "Vindula erota montana", "Vindula erota gedeana", "Vindula dejone rafflesi", "Vindula dejone tiomana", "Vindula dejone natunensis", "Vindula dejone kohana", "Vindula dejone palawana", "Vindula dejone basanica", "Vindula dejone bongana", "Stenoloba jankowskii", "Stenoloba marina", "Stenoloba assimilis", "Stenoloba assimilis assimilis", "Cricetulus kamensis", "Stenoloba assimilis taiwana", "Cricetulus lama", "Stenoloba lampra", "Cricetulus longicaudatus", "Odontosia morumoi", "Cricetulus sokolovi", "Odontosia patricia", "Cricetulus tibetanus", "Odontosia carmelita", "Mesocricetus brandti", "Mesocricetus raddei", "Lebeda brechlini", "Phodopus campbelli", "Paralebeda vritra", "Phodopus roborovskii", "Phodopus sungorus", "Kunugia varuna", "Kunugia celebica", "Tscherskia triton", "Gastropacha prionophora", "Gastropacha pelengata", "Allium rotundum", "Sceloporus occidentalis", "Aspidoscelis tesselatus", "Leptura watanabei", "Clambus saturnus annulus", "Clambus saturnus saturnus", "Luffa aegyptiaca", "Clambus bulla elongatus", "Agathis levantensis", "Hallicarnia bidens", "Sphaerularia bombi", "Odonestis kama", "Odonestis gisla", "Odonestis maya", "Trabala leopoldi", "Arotrophora inthanona", "Arotrophora gilligani", "Arotrophora fijigena", "Arotrophora charopa", "Arotrophora kundasanga", "Arotrophora obrimsocia", "Arotrophora bernardmyo", "Arotrophora utarana", "Arotrophora tubulosa", "Goodia praedicta", "Chiasmia gueyei", "Copaxa andensis", "Copaxa bella", "Copaxa cineracea", "Copaxa copaxoides", "Copaxa curvilinea", "Copaxa cydippe", "Copaxa denda", "Copaxa denhezi", "Copaxa evelynae", "Helianthus mollis f. mollis", "Helianthus mollis f. flavidus", "Pentanema salicinum", "Ambulyx interplacida", "Ambulyx rudloffi", "Neodiphthera schaarschmidti", "Lophocolea trichocoleoides", "Stegobolus actinotus", "Stegobolus anamorphus", "Stegobolus austroafricanus", "Stegobolus carneopustulatus", "Colenis saikaidoensis", "Colenis saikaidoensis saikaidoensis", "Colenis saikaidoensis onodai", "Colenis lunaris", "Colenis pecki", "Dermatohomoeus terrenus", "Dermatohomoeus miyatakei", "Pseudcolenis picea", "Dermatohomoeus wachteli", "Eupithecia tenuisquama", "Eupithecia invicta", "Eupithecia lariciata", "Eupithecia conjunctiva", "Eupithecia pannosa", "Eupithecia vetula", "Eupithecia firmata", "Kalohydnobius californicus", "Kalohydnobius dentatus", "Kalohydnobius strigilatus", "Eupithecia mesodeicta", "Megalobrama terminalis", "Hydnobius acarinus", "Hydnobius autumnalis", "Trachinus draco", "Brachaelurus waddi", "Nakanea vicaria adumbrata", "Megadontomys nelsoni", "Megadontomys thomasi", "Oryzomys nelsoni", "Spiraea cantoniensis", "Platyhydnobius andersoni", "Platyhydnobius bicolor", "Platyhydnobius calvario", "Platyhydnobius howdenorum", "Platyhydnobius latigra", "Platyhydnobius newtonorum", "Besuchetionella castanea", "Besuchetionella nipponica", "Besuchetionella kamiyai", "Agacalles formosus", "Agacalles integer", "Agacalles tortipes", "Agacalles comptus", "Agacalles gracilis", "Scelodolichus altulus", "Scelodolichus celsus", "Scelodolichus decorus", "Scelodolichus denotans", "Scelodolichus flectipes", "Scelodolichus hilaris", "Scelodolichus juncobius", "Scelodolichus lineithorax", "Scelodolichus politus", "Hemerocallis \u00d7 baronii", "Scelodolichus pyriformis", "Scelodolichus setosus", "Scelodolichus squamosus", "Scelodolichus villosus", "Hemerocallis \u00d7 fallaxlittoralis", "Hemerocallis \u00d7 exilis", "Hemerocallis yezoensis", "Pseudocrangonyx febras", "Pseudocrangonyx korkishkoorum", "Amurocrangonyx arsenjevi", "Procrangonyx japonicus", "Procrangonyx limpidus", "Perissomma fuscum", "Perissomma mcalpinei", "Perissomma bellissimum", "Perissomma dobrotworskyi", "Perissomma congruum", "Polytrichastrum norwegicum", "Schrankia howarthi", "Hosta ventricosa", "Antaresia perthensis", "Bothrochilus boa", "Hippophae rhamnoides", "Hippophae salicifolia", "Vipera seoanei", "Vipera wagneri", "Hosta plantaginea", "Incertae sedis", "Lithohypoderma ascarides", "Parachaos zoochlorellae", "Melanotrema meiospermoides", "Melanotrema meiospermum", "Pelagodes semirana", "Dicranum bergeri", "Melanotrema platystomum", "Pelagodes denticulatus", "Pelagodes ochreipennis", "Pelagodes bicornutus", "Pelagodes forficatus", "Pelagodes ultimarius", "Pelagodes mirandus", "Remiformvalva longicornuta", "Remiformvalva viridicaput", "Alompra ferruginea", "Alompra roepkei", "Alompra hyalina", "Hemerocallis fulva var. littorea", "Gyrotrema sinuosum", "Gyrotrema wirthii", "Nakanea vicaria", "Dicranum laevidens", "Nakanea vicaria vicaria", "Euphorbia pekinensis", "Typhlocolenis furunoi", "Typhlocolenis fusca", "Typhlocolenis uenoi", "Agnathus secundus", "Stegobolus crassus", "Stegobolus croceoporus", "Coscinocera niepelti", "Neodiphthera habemana", "Neodiphthera roicki", "Neodiphthera buruensis", "Stegobolus emersus", "Stegobolus fissus", "Stegobolus guianensis", "Stegobolus isidiiferus", "Stegobolus korupensis", "Stegobolus polillensis", "Stegobolus pruinatus", "Stegobolus radians", "Stegobolus ramificans", "Stegobolus reconditus", "Stegobolus schizostomus", "Stegobolus subcavatus", "Stegobolus subemersus", "Stegobolus tanzanicus", "Stegobolus wrightii", "Lemaireia naessigi", "Cricula palawanica", "Dicranum drummondii", "Adelges abietis", "Adelges viridis", "Adelges segregis", "Kitaibela balansae", "Redingeria deightonii", "Redingeria glaucoglyphica", "Redingeria glyphica", "Redingeria krempelhuberi", "Redingeria leiostoma", "Chrysso nigriceps", "Paromalia vestita", "Paromalia setiger", "Paromalia nigricollis", "Baiomys taylori", "Habromys chinanteco", "Habromys delicatulus", "Habromys ixtlani", "Habromys lepturus", "Habromys lophurus", "Hemerocallis fulva var. aurantiaca", "Habromys schmidlyi", "Rhodinia broschi", "Nannostomus rubrocaudatus", "Habromys simulatus", "Austrochaperina minutissima", "Hodomys alleni", "Rhodambulyx hainanensis", "Isthmomys flavidus", "Isthmomys pirrensis", "Rhabdodiscus anomorphoides", "Hemerocallis fulva var. angustifolia", "Zeadolopus spinipes", "Flakea papillata", "Cis bilamellatus", "Puttea margaritella", "Australomimetus mendicus", "Australomimetus sennio", "Niveaphasma annulata", "Fecampia abyssicola", "Kronborgia isopodicola", "Polytrichum jensenii", "Pentobesa valta", "Pentobesa roberta", "Pentobesa drechseli", "Bahaia sceletaria", "Bahaia empirica", "Bahaia tucumanata", "Bahaia schrottkyi", "Bahaia gallica", "Abraxas breueri", "Abraxas sylvata", "Inouea cyclobalia", "Inouea hiroshii", "Inouea colini", "Scotocyma rutilimixta", "Erioderma mollissimum", "Vipera barani", "Vipera kaznakovi", "Archaeocindis johnbeckeri", "Hemerocallis fulva var. fulva", "Megadontomys cryophilus", "Velella velella", "Conogethes pinicolalis", "Conogethes parvipunctalis", "Milionia amethystea", "Milionia carsteni", "Milionia coalescens", "Milionia coronifera", "Milionia costidepressa", "Milionia decrescens", "Milionia laevigata", "Milionia philippinensis", "Milionia philippinensis philippinensis", "Milionia philippinensis intermedia", "Milionia philippinensis negrosensis", "Milionia philippinensis treadawayi", "Milionia pingorum", "Milionia supercyanea", "Milionia zwickorum", "Milionia zonea", "Milionia zonea nishiyamai", "Ovis ammon polii", "Phalera aciei", "Phalera ziran", "Phalera abnoctans", "Phalera zi", "Phalera zi zi", "Phalera zi doisuthepica", "Eschatogonia angustiloba", "Eschatogonia dissecta", "Eschatogonia marivelensis", "Eschatogonia minuta", "Eschatogonia montagnei", "Eschatogonia prolifera", "Eschatogonia triptophyllina", "Caluromys philander philander", "Pelagodes palawanus", "Melanotrema astrolucens", "Melanotrema foratum", "Pelagodes furcatus", "Melanotrema lirelliforme", "Pelagodes luzonicus", "Procrangonyx stygoedincus", "Pseudocrangonyx levanidovi", "Luzula brachyphylla", "Allium giganteum", "Pentobesa jacobensis", "Pentobesa montana", "Pentobesa inexpectata", "Pentobesa roura", "Pentobesa melites", "Pentobesa aroata", "Pentobesa densissima", "Pentobesa apostatica", "Pentobesa typhon", "Pentobesa guanay", "Pentobesa wellerae", "Aspidites melanocephalus", "Simalia boeleni", "Montandoniola bellatula", "Montandoniola ishikawai", "Montandoniola sawtellense", "Montandoniola moraguesi", "Morimotoa phreatica miurai", "Morimotoa phreatica phreatica", "Euxoa misturata", "Euxoa simulata", "Euxoa tronellus", "Deuteramoeba mycophaga", "Euxoa bostoniensis", "Euxoa medialis", "Protogygia biclavis", "Protogygia comstocki", "Protogygia pectinata", "Chaos illinoisense", "Trichamoeba sinuosa", "Triassamoeba alpha", "Mentha longifolia subsp. hymalaiensis", "Mentha longifolia subsp. cyprica", "Ludia ambrensis", "Ludia ankaranensis", "Ludia antanosarum", "Ludia arborea", "Ludia boinensis", "Ludia brevipes", "Ludia chapelieri", "Ludia comorensis", "Colophon eastmani", "Colophon nagaii", "Proterhinus brevicornis", "Lilium oxypetalum", "Lilium wallichianum var. wallichianum", "Phreatodytes archaeicus", "Phreatodytes elongatus", "Phreatodytes mohrii", "Phreatodytes sublimbatus", "Phreatodytes latiusculus", "Lilium wallichianum var. neilgherrense", "Rosa centifolia", "Rosa gallica", "Rosa moschata", "Rosa \u00d7 damascena", "Lilium brownii var. brownii", "Lilium brownii var. viridulum", "Eoophyla boernickei", "Crocallis helenaria", "Vipera latifii", "Bembecia tshatkalensis", "Vipera raddei", "Kunugia victoriae", "Rhodinia davidi", "Rhodinia jankowskii", "Rhodinia jankowskii jankowskii", "Rhodinia jankowskii hokkaidoensis", "Rhodinia jankowskii hattoriae", "Zygophyllum fabago", "Rivula propinquinalis", "Rivula pusilla", "Pastinaca armena", "Lithophane atara", "Lithophane thaxteri", "Mentha longifolia subsp. typhoides", "Mentha longifolia subsp. wissii", "Ludia dracaenoides", "Ludia erosifolia", "Ludia faradifani", "Ludia myrtoides", "Ludia madagascariensis", "Ludia ludiifolia", "Ludia leandriana", "Ludia imontiensis", "Ludia ikongoensis", "Ludia glaucocarpa", "Ludia glaberrima", "Ludia pachyadenia", "Ludia pinnatinervia", "Ludia reticulata", "Ludia scolopioides", "Ludia sessiliflora", "Ludia sessilis", "Ludia suarezensis", "Ludia wikstroemiifolia", "Eupithecia cana", "Eupithecia meridiana", "Eupithecia procerissima", "Eupithecia demissa", "Tripudia quadrifera", "Tripudia rectangula", "Tripudia paraplesia", "Tripudia flavibrunnea", "Tripudia lamina", "Tripudia furcula", "Tripudia fabrilium", "Tripudia grapholithoides", "Afrocyrtusa hansmuehlei", "Pseudidonauton admirabile", "Pseudidonauton bhaga", "Pseudidonauton nigribasis", "Barisania honeyi", "Pseudaltha eboris", "Pseudaltha sapa", "Hyoscyamus pusillus", "Lilium \u00d7 dalhansonii", "Pselaphophus atriventris", "Lilium \u00d7 marmed", "Isocolon frontale", "Isocolon hilare", "Isocolon modestum", "Isocolon oruruense", "Isocolon ovale", "Lilium \u00d7 testaceum", "Hemaris thysbe", "Lilium \u00d7 aurelianense", "Austrapoda seres", "Bahiaxenos relictus", "Nelsonia goldmani", "Wockia chewbacca", "Wockia mexicana", "Nelsonia neotomodon", "Holcocera plagatola", "Zoma zoma", "Andasta siltte", "Andasta benoiti", "Lilium martagon var. martagon", "Lilium martagon var. pilosiusculum", "Barisania lampra", "Pseudaltha atramentifera", "Austrapoda dentatus", "Austrapoda hepatica", "Quercus macranthera subsp. sysprensis", "Usnea antarctica", "Voay robustus", "Dendrocnide moroides", "Canis ursinus", "Euphlyctinides albifusum", "Pseudonagoda naessigi", "Euliodes endroedyi", "Euliodes subglobosa", "Lilium \u00d7 manglesii", "Varanus lirungensis", "Clinopalpus hanae", "Lilium maculatum", "Lilium \u00d7 crovidii", "Heliconius xanthocles", "Heliconius xanthocles xanthocles", "Sphagnum subfulvum", "Heliconius xanthocles cleoxanthe", "Lilium \u00d7 centigale", "Lilium \u00d7centisargale", "Lilium \u00d7 formolense", "Lilium \u00d7 formolongi", "Pterophorus djebeli", "Pterophorus diwani", "Pterophorus sobeidae", "Lilium \u00d7 intermedium", "Pterophorus elbursi", "Pterophorus brandti", "Lilium \u00d7 pseudograyi", "Bonus petrochenckoi", "Xenodonta bogasoni", "Lilium longiflorum var. longiflorum", "Lilium longiflorum var. scabrum", "Rajburicoris stysi", "Pehuencoris gurguliophagus", "Pavlostysia wunderlichi", "Blattivorus inquirendus", "Blattivorus lusitanicus", "Blattivorus margaritae", "Blattivorus madagascariensis", "Heteromeroxylon yagii", "Heteromeroxylon ruficeps", "Persicaria senticosa", "Lilium davidii var. davidii", "Lilium davidii var. willmottiae", "Nosphistica cornunata", "Etielloides longipalpus", "Promalactis peculiaris", "Promalactis tricuspidata", "Promalactis zhejiangensis", "Promalactis tridentata", "Euphlyctinides indi", "Euphlyctinides aeneola", "Pseudonagoda siniaevi", "Atosioides rochei", "Atosioides accola", "Pseudidonauton siamica", "Pseudidonauton chihpyh", "Pseudidonauton vexa", "Rhodinia fugax diana", "Rhodinia fugax szechuanensis", "Rhodinia newara", "Rhodinia tenzingyatsoi", "Rhodinia verecunda", "Lepchina plutenkoi", "Eupsilia delicata", "Paralebeda femorata", "Paralebeda femorata femorata", "Paralebeda femorata mirabilis", "Paralebeda femorata karmata", "Paralebeda crinodes", "Paralebeda crinodes crinodes", "Paralebeda crinodes paos", "Paralebeda plagifera", "Ennomos freidbergi", "Dendroaspis polylepis", "Lilium \u00d7 imperiale", "Lilium \u00d7 hollandicum", "Hinomoto nihonensis", "Triarthron maerkelii", "Hydnobius akitsuensis", "Leptotrema aemulans", "Leptotrema argillaceum", "Leptotrema compactum", "Trigonodera tokejii", "Macrosiagon deuvei", "Macrosiagon ebboi", "Macrosiagon bipunctatum", "Macrosiagon cyaniveste", "Macrosiagon nasutum", "Leptotrema develatum", "Leptotrema endoxanthellum", "Leptotrema exalbidum", "Leptotrema fallax", "Leptotrema flavicans", "Macrosiagon bifasciatum", "Macrosiagon ferrugineum", "Macrosiagon spinicolle", "Leptotrema inclusum", "Leptotrema integrum", "Leptotrema irosinum", "Leptotrema leiospodium", "Fragaria \u00d7 intermedia", "Leptotrema loandense", "Leptotrema melanosporum", "Fragaria \u00d7 neglecta", "Leptotrema microglaenoides", "Leptotrema mirabilis", "Eophliantis tindalei", "Bircenna fulva", "Bircenna nichollsi", "Bircenna dronga", "Bircenna ignea", "Wandelia wairarapa", "Wandelia crassipes", "Ceinina japonica", "Procrangonyx primoryensis", "Neonephrites partiniger", "Neonephrites mollipes", "Meganola nitida", "Meganola nitidoides", "Mantis religiosa", "Centroleninae incertae sedis", "Thelotrema turgidula", "Thelotrema umbonatum", "Thelotrema umbratum", "Thelotrema vagum", "Thelotrema variolarioides", "Thelotrema velatum", "Thelotrema verrucorugosum", "Thelotrema verrucosarareolatum", "Thelotrema verruculosum", "Thelotrema vesiculiferum", "Thelotrema viride", "Thelotrema weberi", "Thelotrema willeyi", "Thelotrema zamboangense", "Thelotrema zenkeri", "Thelotrema zimbabwense", "Pseudodryinus shihoae", "Pseudodryinus parisiensis", "Thelotrema leucaspis", "Coscinasterias tenuispina", "Marthasterias glacialis", "Tulipa clusiana", "Thelotrema infundibulare", "Tulipa humilis", "Jubaea chilensis", "Meganola scripta scripta", "Meganola scriptoides", "Dialithoptera gemmata", "Leucodecton compunctellum", "Leucodecton compunctum", "Thelotrema schizostomum", "Thelotrema secoligella", "Thelotrema sendaiense", "Thelotrema sepultum", "Nephrites apicalis", "Nephrites japonicus", "Nephrites kurosawai", "Nephrites obscurus", "Thelotrema siamense", "Thelotrema similans", "Thelotrema simplex", "Thelotrema sitianum", "Thelotrema spondaicum", "Nephrites wilsoni", "Thelotrema stenosporum", "Nephrites helenae", "Hemirhipidius nigroapicalis", "Nephrites nitidus", "Sitarida picta", "Sitarida gigas", "Sitarida nigricans", "Sitarida flavicornis", "Sitarida hopei", "Sitarida pictipes", "Sitarida quadriloba", "Sitarida scabriceps", "Thelotrema stromatiferum", "Thelotrema subcaesium", "Thelotrema subconcretum", "Thelotrema subcrassulum", "Thelotrema subexpallescens", "Thelotrema subgeminum", "Thelotrema subgranulosum", "Thelotrema subhiatum", "Thelotrema subinalbescens", "Thelotrema subkeralense", "Thelotrema suboccultum", "Thelotrema subsphaerosporum", "Thelotrema subterebrans", "Thelotrema subterebratum", "Thelotrema subweberi", "Thelotrema suecicum", "Thelotrema tarvesedis", "Thelotrema tetrasporum", "Thelotrema thelotremoides", "Thelotrema trypethelioides", "Thelotrema phaeospermoides", "Thelotrema phliuense", "Thelotrema pidurutalagalum", "Thelotrema piluliferum", "Thelotrema platycarpellum", "Thelotrema platycarpoides", "Thelotrema plurifarium", "Thelotrema poeltii", "Thelotrema polythecium", "Thelotrema porinoides", "Thelotrema porphyrodiscum", "Thelotrema prevostianum", "Fulvius stysi", "Satonius schoenmanni", "Satonius stysi", "Satonius wangi", "Thelotrema profundum", "Thelotrema pruinosum", "Thelotrema pseudoschizostomum", "Thelotrema pseudosubtile", "Thelotrema punctulatum", "Thelotrema pycnocarpellum", "Thelotrema quinqueseptatum", "Thelotrema quito\u00ebnse", "Thelotrema radiatum", "Thelotrema ravenelii", "Thelotrema refertum", "Thelotrema rhamni-purshianae", "Thelotrema rhododiscum", "Thelotrema rhodothecium", "Thelotrema rimulosum", "Thelotrema rockii", "Mikado japonicus", "Thelotrema rudius", "Thelotrema rugatulum", "Thelotrema samaranum", "Thelotrema sandaiense", "Thelotrema saxatile", "Mikado agilis", "Mikado parva", "Mikado parvicornis", "Thelotrema saxicola", "Thelotrema scabridum", "Thelotrema scabrosum", "Thelotrema schaereri", "Thelotrema schizostomoides", "Leucodecton elachistoteron", "Leucodecton fissurinum", "Leucodecton glaucescens", "Leucodecton nuwarense", "Leucodecton occultum", "Leucodecton sorediiferum", "Leucodecton subcompunctum", "Leucodecton verrucosum", "Leptinopterus asketus", "Leptinopterus assimilis", "Leptinopterus tibialis", "Clinops badius", "Clinops spectabilis", "Ancholaemus lyciformis", "Ancholaemus acuminatus", "Philothermus japonicus", "Sarothrias amabilis", "Sarothrias audax", "Sarothrias pacificus", "Sarothrias crowsoni", "Sarothrias fijianus", "Sarothrias lawrencei", "Saphophagus minutus", "Necrobiopsis tasmanica", "Thelotrema gallowayanum", "Thelotrema gibberulosum", "Thelotrema globulare", "Thelotrema glyphidellum", "Thelotrema granatum", "Thelotrema grossomarginatum", "Thelotrema gyalectoides", "Thelotrema harmandii", "Thelotrema hawaiiense", "Thelotrema hegetschweileri", "Thelotrema hians", "Thelotrema hiatum", "Thelotrema homopastoides", "Thelotrema homothecium", "Thelotrema hypomelaenum", "Thelotrema hypoprotocetraricum", "Thelotrema indicum", "Thelotrema inscalpens", "Thelotrema integrellum", "Thelotrema interponendum", "Thelotrema intervallatum", "Thelotrema inturgescens", "Thelotrema irosinum", "Thelotrema isertii", "Thelotrema isidiatum", "Thelotrema isidioides", "Thelotrema isidiophorum", "Thelotrema kalakkadense", "Thelotrema kalarense", "Thelotrema kamatii", "Thelotrema keralensis", "Thelotrema khasianum", "Thelotrema lacteum", "Thelotrema laevigans", "Thelotrema laevius", "Thelotrema lathraeum", "Thelotrema lecanodeum", "Thelotrema leightonii", "Thelotrema leiospodium", "Thelotrema lepademersum", "Thelotrema lepadizum", "Thelotrema leprocarpoides", "Thelotrema leptosporum", "Thelotrema leucarpoides", "Thelotrema leucastrum", "Thelotrema leucocarpum", "Thelotrema leucocheilum", "Thelotrema leucohymenium", "Thelotrema limae", "Thelotrema lindigianum", "Thelotrema lirellizans", "Promalactis zhengi", "Promalactis varivalvata", "Promalactis dilatignatha", "Promalactis heterojuxta", "Promalactis xianfengensis", "Promalactis latijuxta", "Promalactis varimorpha", "Promalactis parvignatha", "Promalactis densidentalis", "Promalactis chishuiensis", "Thelotrema abrosellum", "Thelotrema acharianum", "Thelotrema acrocordiaeforme", "Thelotrema adjectum", "Thelotrema africanum", "Thelotrema agrelii", "Thelotrema ahtii", "Thelotrema albescens", "Thelotrema albidiforme", "Thelotrema albidopallens", "Thelotrema allosporoides", "Thelotrema amabilis", "Thelotrema annulatum", "Thelotrema annuloelevatum", "Thelotrema argenum", "Thelotrema armellense", "Thelotrema atratum", "Thelotrema attenuatum", "Apistogramma panduro", "Thelotrema australiense", "Thelotrema berkeleyanum", "Thelotrema bicavatum", "Thelotrema bicinctulum", "Thelotrema bicuspidatum", "Thelotrema biliranum", "Thelotrema butuanum", "Thelotrema byssoideum", "Thelotrema calceum", "Thelotrema californicum", "Thelotrema cameroonensis", "Thelotrema canarense", "Thelotrema canescens", "Thelotrema capense", "Thelotrema capetribulense", "Thelotrema carassense", "Thelotrema carneoradians", "Thelotrema catastictum", "Thelotrema cavatum", "Thelotrema chioneum", "Thelotrema cinchonarum", "Thelotrema cinerellum", "Thelotrema cinereovirens", "Thelotrema citrinodiscum", "Thelotrema colobicum", "Thelotrema columellatum", "Thelotrema conchylioides", "Thelotrema conferendum", "Thelotrema confertum", "Thelotrema confluens", "Thelotrema conformale", "Thelotrema conforme", "Thelotrema conglomeratum", "Thelotrema consanguineum", "Thelotrema conveniens", "Thelotrema crassulum", "Thelotrema crateriforme", "Thelotrema crespoae", "Thelotrema cubanum", "Thelotrema cyphelloides", "Thelotrema defectum", "Thelotrema defossum", "Thelotrema deightonii", "Thelotrema demersum", "Thelotrema demissum", "Thelotrema depressum", "Thelotrema develatum", "Thelotrema dignitosum", "Thelotrema disciforme", "Thelotrema discolor", "Thelotrema dislaceratum", "Thelotrema dissutum", "Thelotrema dodecamerum", "Thelotrema dolichosporum", "Thelotrema dominicanum", "Thelotrema efformatum", "Thelotrema elliottii", "Thelotrema elmeri", "Thelotrema emersellum", "Thelotrema endoxanthum", "Thelotrema eungellaense", "Thelotrema euphorbiae", "Thelotrema exalbidum", "Thelotrema exanthismocarpum", "Thelotrema excavatum", "Thelotrema expallescens", "Thelotrema expansum", "Thelotrema exsertum", "Thelotrema farinaceum", "Thelotrema fauriei", "Thelotrema fissiporum", "Thelotrema flavescens", "Thelotrema floridense", "Thelotrema foraminulosum", "Thelotrema foranum", "Thelotrema formosanum", "Thelotrema foveolare", "Thelotrema fumosum", "Thelotrema galactinum", "Thelotrema galactizans", "Topeliopsis subdenticulata", "Topeliopsis vezdae", "Ripidius pectinicornis", "Falsorhipidius lemkaminensis", "Imleria badia", "Trigonodera subparallela", "Ripidius longicollis", "Metoecus vespae", "Metoecus satanus", "Metoecus paradoxus", "Ectatosticta deltshevi", "Leucojum vernum var. vernum", "Leucojum vernum var. carpathicum", "Leucojum ionicum", "Tremotylium africanum", "Leptotrema neozelandicum", "Leptotrema nitidulum", "Neocalyptis affinisana", "Neocalyptis angustilineata", "Neocalyptis aperta", "Toposcopus wrightii", "Neocalyptis brinchangi", "Pelecotoma fennica", "Neocalyptis felina", "Neocalyptis conicus", "Neocalyptis insularis", "Neocalyptis kimbaliana", "Neocalyptis krzeminskii", "Neocalyptis lacernata", "Neocalyptis liratana", "Leptotrema oleosum", "Neocalyptis malaysiana", "Leptotrema patulum", "Leptotrema polycarpum", "Neocalyptis molesta", "Leptotrema polyporum", "Neocalyptis monotoma", "Leptotrema prevostianum", "Leptotrema ravenelii", "Neocalyptis morata", "Leptotrema sandwicense", "Leptotrema saxatile", "Leptotrema subconcretum", "Neocalyptis nematodes", "Leptotrema subterebrans", "Leptotrema vesiculiferum", "Leptotrema zollingeri", "Neocalyptis nexilis", "Leptotrema lithophila", "Neocalyptis nuristana", "Neocalyptis owadai", "Metoecus javanus", "Neocalyptis pigra", "Neocalyptis platytera", "Neocalyptis rotundata", "Neocalyptis sabahia", "Neocalyptis sodaliana", "Neocalyptis telutanda", "Neocalyptis utarica", "Isodemis illiberalis", "Isodemis serpentinana", "Isodemis stenotera", "Kennelia albifacies", "Kennelia tropica", "Pseudotolida arida", "Pseudotolida knausi", "Pseudotolida lutea", "Pseudoramonia richeae", "Pseudoramonia stipitata", "Polistroma fernandezii", "Scilla monanthos", "Pycnonotus hualon", "Elacatinus lobeli", "Osteochilus flavicauda", "Osteochilus kerinciensis", "Hilophyllus penai", "Hilophyllus argentinensis", "Lilium apertum", "Lilium humboldtii subsp. ocellatum", "Crooktacalles abruptus", "Tremotylium angolense", "Tremotylium australiense", "Tremotylium nitidulum", "Tremotylium occultum", "Tremotylium sierraleonense", "Tremotylium sprucei", "Ingvariella bispora", "Aphelandra squarrosa", "Nadvornikia diplotylia", "Nadvornikia hawaiiensis", "Nadvornikia sorediata", "Hoplogonus bornemisszai", "Ryssonotus costatus", "Ryssonotus grandis", "Ryssonotus jugularis", "Ryssonotus laticeps", "Ryssonotus parallelus", "Ryssonotus politus", "Helicoverpa zea", "Toca bossanova", "Toca samba", "Thelotrema loandense", "Thelotrema lockeanum", "Thelotrema macrosporum", "Thelotrema magnificum", "Thelotrema mammosum", "Thelotrema manosporum", "Thelotrema marginans", "Thelotrema marginatum", "Thelotrema megalosporum", "Thelotrema meridense", "Thelotrema microporoides", "Thelotrema microsporoides", "Thelotrema microsporum", "Thelotrema minarum", "Thelotrema mongkolsukii", "Thelotrema monobactrium", "Thelotrema monospermum", "Thelotrema monosporum", "Thelotrema mozambicum", "Thelotrema muralis", "Thelotrema murinum", "Thelotrema muscicola", "Thelotrema myriotrema", "Thelotrema neohians", "Thelotrema nipponicum", "Thelotrema nostalgicum", "Thelotrema obconicum", "Thelotrema obturatum", "Thelotrema occlusum", "Thelotrema oculatum", "Thelotrema oleosum", "Thelotrema olivaceum", "Thelotrema opacum", "Necrobiopsis shangrila", "Thelotrema osornense", "Thelotrema pachysporum", "Thelotrema palmense", "Thelotrema papillosum", "Thelotrema pauperculum", "Thelotrema pechuelii", "Thelotrema periphysatum", "Thelotrema pertusariaeforme", "Thelotrema petractoides", "Kennelia xylinana", "Kennelia protocyma", "Reimnitzia santensis", "Archips okuio", "Archips baolokia", "Archips vivesi", "Isodemis brevicera", "Isodemis longicera", "Atsusina curiosissima", "Allium moly", "Phaecasiophora euchlanis", "Vicamentia vietnamica", "Melanotopelia blepharostoma", "Melanotopelia rugosa", "Melanotopelia toensbergii", "Wockia balikpapanella", "Orthosia ussuriana", "Holoarctia marinae", "Oiketicus jamaicana", "Wittstrotia fansipani", "Wittstrotia flavannamica", "Wittstrotia fukiensis", "Wittstrotia taroko", "Meganola ascripta", "Allium thunbergii", "Topeliopsis acutispora", "Topeliopsis athallina", "Topeliopsis corticola", "Topeliopsis decorticans", "Topeliopsis globosa", "Topeliopsis lomatiae", "Pelecotoma septentrionalis", "Macrosiagon iwatai", "Micropelecotoides japonicus", "Pelecotoma flavipes", "Topeliopsis muscigena", "Topeliopsis novae-zelandiae", "Topeliopsis patagonica", "Crooktacalles certus", "Cottiusculus nihonkaiensis", "Paraliparis adustus", "Paraliparis bullacephalus", "Pleuronichthys japonicus", "Pleuronichthys cornutus", "Stolephorus teguhi", "Pseudognaptorina flata", "Pachymeroceroides novabadensis", "Tuberculobasis williamsoni", "Neotomodon alstoni", "Modicarventus wisei", "Syndesus cornutus", "Lissapterus pelorides", "Rodgersia sambucifolia var. sambucifolia", "Neocarventus uncus", "Dryinus koebelei", "Thaumatodryinus hainanensis", "Thaumatodryinus zhejiangensis", "Iberolacerta aurelioi", "Iberolacerta aranica", "Ochrotomys nuttalli", "Onychomys arenicola", "Onychomys leucogaster", "Onychomys torridus", "Spiraea \u00d7 arguta", "Chaulionyx paivacarvalhoi", "Leptostylopsis basifulvus", "Leptostylopsis caliginosus", "Leptostylopsis chlorescens", "Leptostylopsis humerofulvus", "Leptostylopsis perfasciatus", "Leptostylopsis puntacanaensis", "Leptostylopsis annulipes", "Leptostylopsis poeyi", "Leptostylopsis viridicomus", "Pseudopyrochroa obtusicristata", "Sarothrias hygrophilus", "Sophora macnabiana", "Lacconotopedilus singularicornis", "Lacconotopedilus elongatus", "Tydessa blaisdelli", "Brasilucanus alvarengai", "Nomaua crinifrons", "Nomaua perdita", "Nomaua cauda", "Nomaua arborea", "Nomaua nelson", "Nomaua waikaremoana", "Hydrangea anomala", "Spiraea cantoniensis var. cantoniensis", "Spiraea cantoniensis var. jiangxiensis", "Spiraea cantoniensis var. pilosa", "Spiraea salicifolia", "Eudoxiatopoplana bilaticlavia", "Nomaua waikanae", "Nomaua rakiura", "Nomaua repanga", "Nomaua rimutaka", "Nomaua taranga", "Nomaua urquharti", "Zeatupua forsteri", "Calcarsynotaxus longipes", "Palombiella stephensoni", "Cyrtosperma merkusii", "Cychrus cordicollis", "Galagania fragrantissima", "Spiraea \u00d7 pyramidata", "Spiraea \u00d7 rosalba nothovar. rubella", "Spiraea douglasii", "Hydrangea aspera", "Hydrangea aspera subsp. aspera", "Cuminum setifolium", "Apomys abrae", "Apomys camiguinensis", "Sison amomum", "Hydrangea aspera subsp. robusta", "Hydrangea aspera subsp. sargentiana", "Hydrangea aspera subsp. strigosa", "Platygrapha flavidoatra", "Platygrapha flavisedella", "Platygrapha flexuosa", "Phlox \u00d7 arendsii", "Platygrapha fractuosa", "Platygrapha galactina", "Oisegenius antiquus", "Platygrapha gregantula", "Platygrapha gymnophora", "Platygrapha homala", "Platygrapha inconspicua", "Platygrapha incurvula", "Platygrapha lecanoroides", "Platygrapha undulata", "Platygrapha leptographa", "Platygrapha leucopsara", "Platygrapha lineolata", "Platygrapha longifera", "Platygrapha macrocarpa", "Platygrapha macrospora", "Platygrapha mecistophora", "Platygrapha megistocarpa", "Platygrapha melastigma", "Platygrapha microsticta", "Platygrapha sulphurescens", "Platygrapha thioleuca", "Platygrapha usambarensis", "Platygrapha vernans", "Platygrapha verruculosa", "Platygrapha viridescens", "Anteon bribianum", "Anteon caledonianum", "Chorocaris chacei", "Alvinocaris alexander", "Lebbeus wera", "Alvinocaris komaii", "Alvinocaris methanophila", "Alvinocaris brevitelsonis", "Shinkaicaris leurokolos", "Alvinocaris dissimilis", "Alvinocaris lusca", "Alvinocaris longirostris", "Alvinocaris markensis", "Alvinocaris muricola", "Alvinocaris stactophila", "Alvinocaris williamsi", "Notiophilus anichtchenkoi", "Filipendula subg.", "Filipendula subg.", "Odobenus rosmarus rosmarus", "Odobenus rosmarus divergens", "Carabus tauricus", "Platygrapha multilocularis", "Platygrapha myriommata", "Platygrapha nebulosa", "Platygrapha occulta", "Platygrapha opegraphina", "Platygrapha palidella", "Platygrapha periclea", "Platygrapha permutans", "Platygrapha phlyctella", "Platygrapha picconiana", "Platygrapha planissima", "Platygrapha plurilocularis", "Platygrapha polyphragmia", "Platygrapha prominula", "Platygrapha psaroleucoides", "Platygrapha psaroleucum", "Platygrapha punctella", "Platygrapha rutila", "Platygrapha septenaria", "Platygrapha shirleyana", "Platygrapha squamigera", "Platygrapha stenogramma", "Platygrapha stigmatica", "Platygrapha striguloides", "Platygrapha sublecanorina", "Platygrapha subreticulata", "Platygrapha subrimata", "Rosa sect.", "Rosa roxburghii", "Rosa roxburghii var. roxburghii", "Rosa kweichowensis", "Rosa roxburghii var. forrestii", "Rosa roxburghii var. hirtula", "Rosa \u00d7 coryana", "Rosa \u00d7 micrugosa", "Rosa sect.", "Rosa sect.", "Rosa sect.", "Rosa sect.", "Rosa sect.", "Rosa sect.", "Rosa sect.", "Rosa \u00d7 aciculosa", "Rosa rugosa", "Rosa rugosa var. chamissoniana", "Rosa rugosa var. rugosa", "Rosa \u00d7 kamtchatica", "Rosa \u00d7 acantha", "Rosa davidii", "Rosa davidii var. davidii", "Rosa davidii var. elongata", "Rosa macrophylla", "Rosa macrophylla var. macrophylla", "Rosa macrophylla var. glandulifera", "Rosa sertata", "Rosa sertata var. sertata", "Rosa bella", "Rosa bella var. bella", "Rosa bella var. nuda", "Rosa setipoda", "Rosa willmottiae", "Rosa willmottiae var. willmottiae", "Rosa willmottiae var. glandulifera", "Rosa willmottiae var. glandulosa", "Rosa \u00d7 pruhoniciana", "Rosa bracteata", "Rosa bracteata var. bracteata", "Rosa bracteata var. taiwanensis", "Vestia foetida", "Pinus sylvestris var. mongholica", "Aphodius bimaculatus", "Tuckermanopsis ciliaris", "Quasipirhidius besucheti", "Quasipirhidius rieki", "Tuckermanopsis platyphylla", "Ripiphorus arabiafelix", "Leuciscus waleckii", "Leuciscus merzbacheri", "Ripiphorus creticus", "Ripiphorus turcicus", "Pterydrias debilis", "Rosa \u00d7 centifolia", "Elachista chelonites", "Elachista longispina", "Elachista planca", "Mendesia secutrix", "Archarius crux", "Rosa \u00d7 dupontii", "Lemniscomys barbarus", "Rosa brunonii", "Perigrapha extincta", "Eupithecia assa", "Hydrangea anomala subsp. petiolaris", "Himalapyrochroa gibbosa", "Hydrangea anomala subsp. anomala", "Hydrangea heteromalla", "Ligularia alatipes", "Rhododendron camtschaticum", "Therorhodion camtschaticum var. pumilum", "Therorhodion camtschaticum var. camtschaticum", "Platygrapha albocincta", "Platygrapha alborufa", "Platygrapha atomella", "Therorhodion glandulosum", "Platygrapha atrata", "Platygrapha aulaxerpeta", "Rhododendron redowskianum", "Platygrapha aurata", "Platygrapha banksiae", "Platygrapha bimarginata", "Platygrapha bivela", "Platygrapha byssiseda", "Platygrapha carnea", "Platygrapha chlorochroa", "Platygrapha cinerea", "Platygrapha congerens", "Platygrapha conspersula", "Boaedon fuliginosus", "Geranium erianthum", "Platygrapha constricta", "Platygrapha devia", "Platygrapha dilatata", "Platygrapha diplotommoides", "Platygrapha dirinea", "Platygrapha dirinella", "Platygrapha dolosa", "Platygrapha endecamera", "Platygrapha epileucoides", "Platygrapha evanescens", "Leishmania braziliensis", "Phaeotrema apertum", "Phaeotrema caracasanum", "Phaeotrema chlorosporum", "Phaeotrema consimile", "Phaeotrema disciforme", "Phaeotrema discissum", "Phaeotrema erumpens", "Phaeotrema exile", "Phaeotrema feeanum", "Phaeotrema fuscescens", "Phaeotrema galactinum", "Phaeotrema globulare", "Phaeotrema glyphidellum", "Phaeotrema grande", "Phaeotrema isidiiferum", "Phaeotrema jamaicensis", "Phaeotrema leucastrum", "Phaeotrema limae", "Phaeotrema melanostomum", "Phaeotrema microcarpa", "Phaeotrema pachysporum", "Phaeotrema palmense", "Phaeotrema phaeospermoides", "Phaeotrema picteanum", "Phaeotrema sticticum", "Phaeotrema subconcretum", "Phaeotrema subfarinosum", "Phaeotrema subnivescens", "Phaeotrema uber", "Phaeotrema subinalbescens", "Rosa clinophylla", "Rosa clinophylla var. clinophylla", "Rosa clinophylla var. glabra", "Rosa clinophylla var. parvifolia", "Rosa sect.", "Rosa subg.", "Rosa subg.", "Rosa sect.", "Rosa laevigata", "Rosa \u00d7 anemonoides", "Rosa \u00d7 cooperi", "Rosa \u00d7 fortuniana", "Rosa setigera", "Liaoximordella hongi", "Rosa pisocarpa", "Rosa pisocarpa subsp. pisocarpa", "Elachista brevis", "Elachista kakamegensis", "Picea linzhiensis", "Rosa helenae", "Rosa micrantha", "Rosa \u00d7 alba", "Rosa \u00d7 formosula", "Rosa \u00d7 apricoides", "Rosa \u00d7polliniana", "Rosa \u00d7pseudoflexuosa", "Rosa \u00d7 francofurtana", "Doddifoenus wallacei", "Rosa \u00d7 richardii", "Rosa \u00d7 sylvicola", "Rosa \u00d7 terebinthinacea", "Rosa \u00d7 waitziana", "Ripidius mexicanus", "Quasirhipidius selanderi", "Tuckermanopsis chlorophylla", "Rosa filipes", "Rosa longicuspis", "Rosa longicuspis var. sinowilsonii", "Rosa longicuspis var. longicuspis", "Pulsatilla alpina", "Rosa sempervirens", "Rosa \u00d7 pervirens", "Rosa spinosissima", "Rosa xanthina", "Zelandothyas diamphida", "Zelandothyas hyporheica", "Anolis marmoratus", "Atelerix algirus vagans", "Bleptaturus magnipalpis", "Colobaturus diamphida", "Hestaturus ovalis", "Davidsia aurita", "Cyrthydrolaelaps watsoni", "Porcellanola minna", "Porcellanola chakri", "Porcellanola lanna", "Porcellanola sukhothai", "Porcellanola thai", "Pingasa nigrolineata", "Kishidaria siniaevi", "Kishidaria takamukui", "Chalcides bedriagai cobosi", "Calpenia saundersi", "Dalailama vadim", "Dalailama bifurca", "Eugoa trifasciata", "Tuckermanella arizonica", "Tuckermanella coralligera", "Tuckermanella fendleri", "Tuckermanella pseudoweberi", "Tuckermanella subfendleri", "Tuckermanella weberi", "Neochera privata", "Neochera privata privata", "Neochera privata fennekenae", "Asota sulawesiensis", "Leptodeuterocopus sorongensis", "Deuterocopus papuaensis", "Platyptilia microbscura", "Trithemis aurora", "Rhipidioides australasiae", "Rhipidioides helenae", "Rhipidioides rubricatus", "Rhipidioides nanus", "Rhipidioides mollis", "Rhipidioides ableptus", "Rhipidioides adynatus", "Rhipidioides fuscatus", "Neorhipidius neoxenus", "Paranephrites xenus", "Maoricoris benefactor", "Hadramphus stilbocarpae", "Scoloposcelis unicolor", "Australiothyas swaini", "Anisitsiellides fuscatus", "Anisitsiellides arraphus", "Anisitsiellides partitus", "Anisitsiellides zelandicus", "Neoseiulus barkeri", "Neoseiulus fallacis", "Neoseiulus harrowi", "Neoseiulus longispinosus", "Sisyra rufistigma", "Rosa acicularis subsp. acicularis", "Rosa davurica", "Rosa acicularis var. acicularis", "Clematis \u00d7 fargesioides", "Vincetoxicum rossicum", "Osgoodomys banderanus", "Kalmiopsis fragrans", "Monstera deliciosa", "Heteroconis ornata", "Odorrana zhaoi", "Armascirus cerris", "Armascirus cyaneus", "Psectra nakaharai", "Cymothoe druryi", "Oeonosia aurifera", "Oeonosia pectinata", "Erythrolamprus atraventer", "Acarus immobilis", "Acarus farris", "Erythrolamprus ornatus", "Erythrolamprus perfuscus", "Nephromopsis ahtii", "Nephromopsis daibuensis", "Nephromopsis endocrocea", "Nephromopsis globulans", "Nephromopsis hengduanensis", "Nephromopsis hypotrachyna", "Nephromopsis isidioidea", "Stinga morrisoni", "Nephromopsis komarovii", "Nephromopsis kurokawae", "Nephromopsis laii", "Nephromopsis leucostigma", "Nephromopsis melaloma", "Stinga kendamulaza", "Nephromopsis morrisonicola", "Orthosia virgata", "Vinca difformis subsp. sardoa", "Amsonia tomentosa var. tomentosa", "Amsonia tomentosa var. stenophylla", "Amsonia tabernaemontana var. tabernaemontana", "Amsonia tabernaemontana var. salicifolia", "Nephromopsis nephromoides", "Nephromopsis ornata", "Nephromopsis pallescens", "Nephromopsis pallidula", "Endotricha minutiptera", "Nephromopsis platyphylla", "Nephromopsis platyphylloides", "Nephromopsis rugosa", "Nephromopsis stracheyi", "Nephromopsis straminea", "Nephromopsis togashii", "Nephromopsis weii", "Nephromopsis yunnanensis", "Microloxia aistleitneri", "Gymnoscelis daniloi", "Zygaena filipendulae", "Rosa acicularis subsp. acicularis var. nipponensis", "Rosa acicularis", "Rosa acicularis subsp. sayi", "Leptogium enkarodes", "Leptogium faciifictum", "Leptogium pellobatum", "Leptogium poliophaeum", "Leptogium streimannii", "Acarus farinae", "Amblyseius perlongisetus", "Amblyseius largoensis", "Amblyseius obtusus", "Amblyseius martini", "Macmurtryseius christinae", "Myelorrhiza antrea", "Myelorrhiza jenjiana", "Vincetoxicum mukdenense", "Vincetoxicum nanum", "Vincetoxicum mongolicum", "Asahinea chrysantha", "Asahinea culbersoniorum", "Asahinea kurodakensis", "Asahinea scholanderi", "Vincetoxicum nigrum", "Vincetoxicum creticum", "Vincetoxicum dionysiense", "Vincetoxicum huteri", "Vincetoxicum scandens", "Vincetoxicum tmoleum", "Vincetoxicum schmalhausenii", "Vincetoxicum juzepczukii", "Vincetoxicum fuscatum", "Vincetoxicum fuscatum subsp. fuscatum", "Vincetoxicum fuscatum subsp. boissieri", "Vincetoxicum utriculosum", "Vincetoxicum hirundinaria subsp. stepposum", "Vincetoxicum atratum", "Vincetoxicum amplexicaule", "Vincetoxicum hirundinaria", "Vincetoxicum darvasicum", "Vincetoxicum funebre", "Vincetoxicum chekiangense", "Vincetoxicum hirundinaria subsp. contiguum", "Vincetoxicum hirundinaria subsp. luteolum", "Vincetoxicum hirundinaria subsp. intermedium", "Himantormia deusta", "Vincetoxicum hirundinaria subsp. hirundinaria", "Himantormia lugubris", "Psoromella pampana", "Vincetoxicum hirundinaria subsp. adriaticum", "Vincetoxicum hirundinaria subsp. cretaceum", "Vincetoxicum hirundinaria subsp. jailicola", "Vincetoxicum hirundinaria subsp. nivale", "Abelaturus cornophorus", "Abelaturus ogalus", "Vincetoxicum nipponicum", "Vincetoxicum speciosum", "Periploca tsiangii", "Periploca forrestii", "Periploca calophylla", "Periploca calophylla var. calophylla", "Periploca calophylla var. mucronata", "Amsonia ciliata var. ciliata", "Amsonia ciliata var. tenuifolia", "Amsonia ciliata var. texana", "Flavocetraria minuscula", "Apteropilo raldae", "Apteropilo humerofuscus", "Apteropilo clarinotus", "Apteropilo volans", "Apteropilo pictipes", "Apteropilo chrysocome", "Flavocetraria nivalis subsp. montana", "Neopsoromopsis argentina", "Heteronychus arator", "Periploca floribunda", "Periploca aphylla", "Periploca hydaspidis", "Demonarosa mediodorsata", "Demonarosa diagonalis", "Periploca aphylla subsp. aphylla", "Periploca aphylla subsp. laxiflora", "Demonarosa nocturnignis", "Altha nivea", "Altha adala", "Althonarosa horisyaensis", "Althonarosa cretacea", "Althonarosa dentijuxta", "Altha kerangatis", "Demonarosa ochrirubra", "Narosa concinna", "Narosa rosipuncta", "Narosa lawaii", "Narosa nagani", "Narosa silati", "Narosa harmani", "Narosa velutina", "Narosa ochracea", "Narosa albidens", "Psiloparmelia arhizinosa", "Psiloparmelia denotata", "Psiloparmelia dichotoma", "Psiloparmelia diffractaica", "Psiloparmelia distincta", "Psiloparmelia flavobrunnea", "Psiloparmelia hypostictica", "Psiloparmelia norstictica", "Psiloparmelia pustulata", "Psiloparmelia salazinica", "Psiloparmelia sorediosa", "Psiloparmelia subcrustosa", "Oxystelma esculentum", "Periploca gracilis", "Cynanchum maximoviczii", "Tyroborus ueckermanni", "Tyroborus lini", "Tyroborus miripes", "Tyroborus houstoni", "Mycetoglyphus fungivorus", "Cosmoglyphus laarmani", "Forcellinia galleriella", "Varanus bushi", "Eupithecia anemica", "Eupithecia assectata", "Eupithecia dzhirgatalensis", "Eupithecia thermosaria", "Eupithecia robiginascens", "Varanus caerulivirens", "Eupithecia particeps", "Eupithecia albispumata", "Eupithecia rajata", "Eupithecia ebriosa", "Eupithecia incurvaria", "Varanus cerambonensis", "Eupithecia latimedia", "Eupithecia acolpodes", "Varanus finschi", "Protousnea poeppigii", "Protousnea teretiuscula", "Hypsilurus binotatus", "Hypsilurus bruijnii", "Aeluroscalabotes felinus", "Symphurus multimaculatus", "Rhazya greissii", "Amsonia orientalis", "Eupithecia nepalata", "Eupithecia acutangula", "Eupithecia vivida", "Amsonia longiflora var. longiflora", "Eupithecia quadripunctata", "Amsonia longiflora var. salpignantha", "Bryocaulon divergens", "Bryocaulon pseudosatoanum", "Bryocaulon satoanum", "Conolophus marthae", "Cetrariella commixta", "Cetrariella delisei", "Bravaisia integerrima", "Exochojoubertia syringophora", "Megninia cubitalis", "Kiwialges palametrichus", "Kiwialges phalagotrichus", "Eupithecia barteli", "Eupithecia fulvipennis", "Nestorilichus atyeoi", "Eupithecia parallelaria", "Eupithecia emittens", "Eupithecia mitigata", "Protousnea alectoroides", "Protousnea dusenii", "Protousnea fibrillatae", "Protousnea magellanica", "Matilda australia", "Bulborrhizina africana", "Eupithecia osornoensis", "Eupithecia atacama", "Eupithecia atacamaensis", "Eupithecia seatacama", "Eupithecia grappleri", "Eupithecia valdivia", "Eupithecia nahuelbuta", "Eupithecia trancasae", "Eupithecia cabrasae", "Eupithecia correana", "Eupithecia malchoensis", "Eupithecia curacautinae", "Eupithecia canchasae", "Eupithecia transexpiata", "Eupithecia petrohue", "Eupithecia yelchoensis", "Eupithecia aysenae", "Eupithecia anticura", "Eupithecia horismoides", "Eupithecia taracapa", "Eupithecia juncalensis", "Eupithecia picada", "Eupithecia pucatrihue", "Eupithecia mallecoensis", "Eupithecia tenoensis", "Eupithecia maule", "Eupithecia caburgua", "Eupithecia encoensis", "Eupithecia nublae", "Eupithecia recintoensis", "Eupithecia oenone", "Eupithecia physocleora", "Eupithecia halosydne", "Eupithecia spurcata", "Eupithecia inexpiata", "Eupithecia semilotaria", "Eupithecia corralensis", "Eupithecia sibylla", "Eupithecia rosalia", "Eupithecia inepta", "Eupithecia usta", "Hericia sanukiensis", "Vincetoxicum rehmannii", "Alcis taiwanovariegata", "Vincetoxicum inamoenum", "Alcis convariata", "Alcis hemiphanes", "Alcis cockaynei", "Alcis lutzi", "Alcis paukstadti", "Pleurosticta acetabulum", "Pleurosticta koflerae", "Pleurosticta lichenicola", "Vincetoxicum volubile", "Vincetoxicum forrestii", "Dactylina arctica", "Dactylina muricata", "Dactylina ramulosa", "Leishmania major", "Rieppeleon kerstenii", "Dactylina arctica subsp. arctica", "Dactylina arctica subsp. beringica", "Dactylina arctica subsp. chinensis", "Acaroidea incertae sedis", "Sitona lepidus", "Glycyphagodes spheniscicola", "Gohieria fusca", "Amhyadesia punctulata", "Vulpicida canadensis", "Vulpicida juniperinus", "Vulpicida pinastri", "Vulpicida tilesii", "Vulpicida tubulosus", "Vulpicida viridis", "Vulpicida pinastri var. soralifera", "Pseudobactrocerus fasciculatus", "Hoangus venustus", "Vincetoxicum mugodsharicum", "Vincetoxicum pannonicum", "Vincetoxicum pumilum", "Vincetoxicum sibiricum", "Varanus juxtindicus", "Varanus macraei", "Varanus marathonensis", "Nassella psittacorum", "Nassella brasiliensis", "Nepenthes attenboroughii", "Crinodendron patagua", "Stoliczkia borneensis", "Coelopogon abraxas", "Coelopogon epiphorellus", "Eupithecia propagata", "Eupithecia karnaliensis", "Eupithecia coccinea", "Eupithecia asempiterna", "Eupithecia hannemanni", "Coronoplectrum namibicum", "Everniopsis pseudoreticulata", "Everniopsis trulla", "Lophosaurus boydii", "Diaperis maculata", "Hypsilurus auritus", "Omphalora arizonica", "Curteria duzgunesae", "Microsmaris mirandus", "Xanthomaculina convoluta", "Xanthomaculina frondosa", "Xanthomaculina hottentotta", "Tropacarus bakeri", "Suidasia reticulata", "Wesmaelius subnebulosus", "Vincetoxicum brachystelmoides", "Vincetoxicum liebianum", "Vincetoxicum linearisepalum", "Vincetoxicum pingshanicum", "Vincetoxicum rockii", "Vincetoxicum wangii", "Calacarus cinerascens", "Calacarus smilax", "Tetra guangxiensis", "Lysianopsis adelae", "Chordodes alticuspis", "Chordodes ecuatoriensis", "Chordodes ruginosus", "Makolia crimeaensis", "Kamertonia polonica", "Vincetoxicum versicolor", "Balaustium xerothermicum", "Geranium thunbergii", "Aphelandra flava", "Vincetoxicum hybanthera", "Vincetoxicum belostemma", "Ingrassia eudyptula", "Sokoloviana gracilis", "Cheyletiella parasitivorax", "Vincetoxicum arnottianum", "Vincetoxicum canescens", "Vincetoxicum cardiostephanum", "Vincetoxicum sakesarense", "Vincetoxicum stocksii", "Vincetoxicum stauntonii", "Hemisarcoptes coccophagus", "Vincetoxicum assadii", "Vincetoxicum mozaffarianii", "Vincetoxicum izuense", "Vincetoxicum yonakuniense", "Vincetoxicum sublanceolatum", "Vincetoxicum sublanceolatum var. kinokuniense", "Vincetoxicum sublanceolatum var. sublanceolatum", "Vincetoxicum sublanceolatum var. macranthum", "Alcis praevariegata", "Alcis colorifera", "Alcis periphracta", "Vincetoxicum sublanceolatum var. auriculatum", "Ochyrotica cretosa", "Ochyrotica pseudocretosa", "Ochyrotica toxopeusi", "Ochyrotica misoolica", "Ochyrotica koteka", "Wattakaka lanceolata", "Turbinoptes strandtmanni", "Hexadactilia trilobata", "Freyana anatina", "Deuterocopus issikii", "Deuterocopus devosi", "Deuterocopus planeta", "Schubertia grandiflora", "Fletcherella niphadothysana", "Araujia angustifolia", "Platyptilia phanerozona", "Platyptilia archimedon", "Platyptilia enargota", "Araujia plumosa", "Araujia stormiana", "Araujia subhastata", "Stenoptilodes taprobanes", "Chirodiscoides caviae", "Chorioptes bovis", "Falculifer rostratus", "Myocoptes musculinus", "Notoedres cati", "Notoedres muris", "Woodia verruculosa", "Vincetoxicum shaanxiense", "Vincetoxicum crassipes", "Vincetoxicum hemsleyanum", "Swima bombiviridis", "Microloma incanum", "Betta kuehnei", "Hyphessobrycon pando", "Betta akarensis", "Betta albimarginata", "Betta burdigala", "Betta channoides", "Betta chloropharynx", "Betta schalleri", "Anisopus efulensis", "Anisopus mannii", "Stephanotis floribunda", "Stephanotis acuminata", "Stephanotis grandiflora", "Stephanotis thouarsii", "Brephosceles puffini", "Wattakaka volubilis", "Analges anthi", "Analges passerinus", "Analges nitzschi", "Analges turdinus", "Dregea cuneifolia", "Dregea yunnanensis", "Dregea sinensis", "Dregea sinensis var. sinensis", "Dregea sinensis var. corrugata", "Lantanophaga pusillidactylus", "Orius vicinus", "Arbacia crassispina", "Arbacia dufresnei", "Arbacia lixula", "Xyroptila marmarias", "Arbacia stellata", "Amblyptilia galactostacta", "Amblyptilia iriana", "Arbacia spatuligera", "Nippoptilia rutteni", "Nippoptilia spinosa", "Sphenarches anisodactyla", "Exelastis pumilio", "Woodia mucronata", "Woodia singularis", "Trouessartia megadisca", "Trouessartia microcaudata", "Proctophyllodes ceratophyllus", "Proctophyllodes ciae", "Proctophyllodes pinnatus", "Proctophyllodes troncatus", "Monojoubertia microphylla", "Tyrophagus putrescentiae", "Tyrophagus fanetzhangorum", "Acokanthera laevigata", "Acokanthera lycioides", "Acokanthera pubescens", "Acokanthera rotundata", "Cestrum citrifolium", "Cascabela pinifolia", "Stangeia xerodes", "Allamanda calcicola", "Megalorhipida leucodactyla", "Megalorhipida deboeri", "Baccharis juncea", "Baccharis articulata", "Baccharis dracunculifolia", "Baccharis tricuneata", "Pteroherpus zosteropis", "Tyrophagus curvipenis", "Tyrophagus longior", "Tyrophagus robertsonae", "Tyrophagus savasi", "Tyrophagus similis", "Tyrophagus vanheurni", "Tyrophagus javensis", "Tyrophagus tropicus", "Tyrophagus perniciosus", "Wrightia saligna", "Wrightia viridiflora", "Wrightia demartiniana", "Wrightia natalensis", "Wrightia hanleyi", "Wrightia candollei", "Wrightia dubia", "Lantanophaga dubitationis", "Wrightia laevis", "Xyroptila colluceo", "Hellinsia iraneaus", "Hellinsia wamenae", "Hellinsia mesoleucus", "Adaina microdactyla", "Pterophorus leucadactylus", "Pterophorus niveus", "Pterophorus albidus", "Pterophorus aliubasignum", "Diacrotricha guttuligera", "Cosmoclostis hemiadelpha", "Cosmoclostis pesseuta", "Hellinsia kaiapensis", "Hellinsia carphodactoides", "Hellinsia tariensis", "Pterophorus lacteipennis", "Pterophorus ebbei", "Cosmoclostis lamprosema", "Sphenarches bilineatus", "Morinyssus simplex", "Brephosceles constrictus", "Brephosceles disjunctus", "Brephosceles lunatus", "Hydroprogne caspia", "Nemoderma tingitanum", "Microspalax brevipes", "Prosobonia parvirostris", "Celaenia excavata", "Carissa boiviniana", "Carissa pichoniana", "Phrynocephalus vlangalii", "Hyposerica courtoisi", "Sulcaria badia", "Sulcaria isidiifera", "Sulcaria sulcata", "Sulcaria virens", "Eleutherengona incertae sedis", "Wrightia indica", "Wrightia sirikitiae", "Wrightia siamensis", "Wrightia angustifolia", "Wrightia flavorosea", "Eugoa aequalis", "Eugoa bipunctalis", "Eugoa mangle", "Eugoa obliquipuncta", "Eugoa submontana", "Eugoa tessellata", "Eugoa holocraspedon", "Eugoa bipunctata", "Eugoa crassa", "Eugoa inconspicua", "Eugoa muluana", "Eugoa bipuncta", "Eugoa pectinicrassa", "Eugoa indeclaratana", "Eugoa apiensis", "Eugoa turbida", "Geogale aurita aurita", "Geogale aurita orientalis", "Alafia lucida", "Wrightia versicolor", "Callipenthalodes pennyae", "Thinornis novaeseelandiae", "Thinornis cucullatus", "Bychovskiata subcharadrii", "Acacia oncinophylla oncinophylla", "Melanelia agnata", "Melanelia culbersonii", "Melanelia hepatizon", "Melanelia stygia", "Kopsia angustipetala", "Kopsia dasyrachis", "Kopsia deverrei", "Kopsia grandifolia", "Kopsia hainanensis", "Chrysoclista grandis", "Chrysoclista cambiella", "Chrysoclista villella", "Chrysoclista linneella", "Wrightia novobritannica", "Wrightia palawanensis", "Megalorhipida madoris", "Hellinsia biangulata", "Wrightia pubescens subsp. lanitii", "Wrightia pubescens subsp. pubescens", "Melanelixia albertana", "Melanelixia fuliginosa", "Melanelixia glabra", "Melanelixia glabroides", "Melanelixia huei", "Melanelixia subargentifera", "Micronyctemera fojaensis", "Melanelixia villosella", "Wrightia annamensis", "Wrightia sikkimensis", "Wrightia lanceolata", "Wrightia lecomtei", "Wrightia tinctoria subsp. tinctoria", "Wrightia tinctoria subsp. rothii", "Melodinus baccellianus", "Wrightia pubescens subsp. penicillata", "Wrightia collettii", "Wrightia dolichocarpa", "Melodinus monogynus", "Wrightia puberula", "Takydromus septentrionalis", "Takydromus sexlineatus ocellatus", "Pittosporum senacia", "Pittosporum senacia subsp. senacia", "Omphalodium arboricola", "Omphalodium atropruinosum", "Omphalodium cartilagineum", "Omphalodium ceranoides", "Omphalodium mutabile", "Omphalodium pachythallum", "Omphalodium phalacrum", "Omphalodium pisacomense", "Omphalodium quartum", "Omphalodium rubinum", "Omphalodium stictellum", "Omphalodium umbilicatum", "Tabernaemontana catharinensis", "Nippoptilia philippensis", "Capperia meyi", "Hellinsia speideli", "Adaina microdactoides", "Ochromolopis cornutifera", "Ochromolopis aphronesa", "Ochromolopis paraphronesa", "Leishmania donovani", "Melanohalea elegantula", "Melanohalea exasperata", "Melanohalea exasperatula", "Melanohalea gomukhensis", "Melanohalea halei", "Melanohalea inactiva", "Melanohalea infumata", "Melanohalea laciniatula", "Melanohalea lobulata", "Sulanyssus dubinini", "Protalges australis", "Sosgenes carinatus", "Nanopterodectes formicivorae", "Melanohalea multispora", "Melanohalea nilgirica", "Melanohalea olivacea", "Melanohalea olivaceoides", "Melanohalea poeltii", "Melanohalea septentrionalis", "Melanohalea subelegantula", "Melanohalea subolivacea", "Melanohalea subverruculifera", "Melanohalea trabeculata", "Melanohalea ushuaiensis", "Melanohalea zopheroa", "Leishmania infantum", "Wrightia coccinea", "Betta anabatoides", "Betta balunga", "Betta bellica", "Betta breviobesus", "Betta brownorum", "Betta chini", "Betta coccina", "Betta dimidiata", "Betta edithae", "Betta enisae", "Betta falx", "Betta foerschi", "Ascoseira mirabilis", "Betta fusca", "Betta hipposideros", "Betta imbellis", "Betta livida", "Betta ocellata", "Leipanthura casuarina", "Titanolichus chiragricus", "Titanolichus seemani", "Titanolichus triangulifer", "Apexolichus affinis", "Apexolichus lathami", "Apexolichus psephoti", "Apexolichus platycerci", "Cerbera inflata", "Cerbera dilatata", "Tabernaemontana persicariifolia", "Ochetorhynchus andaecola", "Ochetorhynchus ruficaudus", "Apexolichus velifer", "Apexolichus neglectus", "Loriprotolichus charmosynae", "Loriprotolichus falculiger", "Calyptolichus favettei", "Nymphicilichus perezae", "Teratothyasides scutulatus", "Platymamersopsis comoros", "Betta patoti", "Betta pi", "Betta picta", "Betta pinguis", "Betta prima", "Betta pugnax", "Betta pulchra", "Plesionika narval", "Betta renata", "Betta rubra", "Betta rutilans", "Betta simorum", "Betta simplex", "Betta smaragdina", "Betta strohi", "Betta taeniata", "Betta tomi", "Betta tussyae", "Betta unimaculata", "Betta waseri", "Macropodus erythropterus", "Macropodus hongkongensis", "Macropodus ocellatus", "Macropodus spechti", "Trouessartia rosteri", "Trichopsis pumila", "Trichopsis schalleri", "Trichopsis vittata", "Sulanyssus caputmedusae", "Echinacarus rubidus", "Pannoparmelia angustata", "Pannoparmelia anzioides", "Pannoparmelia delicata", "Pannoparmelia hypotrachyna", "Pannoparmelia pellucida", "Pannoparmelia wilsonii", "Ochyrotica concursa", "Punctapinella ambatoana", "Punctapinella cosangana", "Punctapinella cerithiphora", "Punctapinella lojana", "Punctapinella tinajillana", "Punctapinella braziliana", "Punctapinella chione", "Punctapinella chionocarpa", "Punctapinella conchitis", "Punctapinella hypsithrona", "Punctapinella niphastra", "Punctapinella niphochroa", "Punctapinella nivaspis", "Punctapinella paratheta", "Punctapinella scleroductus", "Punctapinella theta", "Carissa bispinosa subsp. bispinosa", "Carissa tetramera", "Lecithocera montiatilis", "Lecithocera pakiaensis", "Lecithocera cornutima", "Lecithocera anglijuxta", "Thyrocopa abusa", "Oropogon lorobic", "Oropogon loxensis", "Oropogon macilentus", "Oropogon maurus", "Oropogon mexicanus", "Oropogon orientalis", "Oropogon parietinus", "Oropogon pendulus", "Oropogon pseudoloxensis", "Oropogon salazinicus", "Oropogon secalonicus", "Oropogon sperlingii", "Oropogon striatulus", "Oropogon tanakae", "Oropogon venezuelensis", "Oropogon yunnanensis", "Oropogon satoanus", "Amblysomus corriae", "Amblysomus hottentotus", "Physignathus lesueurii", "Papaver umbonatum", "Cascabela gaumeri", "Thevetia bicornuta", "Cascabela thevetia", "Cascabela ovata", "Cascabela thevetioides", "Thevetia amazonica", "Cerbera dumicola", "Oropogon aliphaticus", "Oropogon americanus", "Oropogon asiaticus", "Oropogon atranorinus", "Oropogon barbaticus", "Oropogon bicolor", "Oropogon bolivianus", "Oropogon byssaceus", "Oropogon caespitosus", "Oropogon cinereus", "Oropogon colibor", "Oropogon diffractaicus", "Cerberiopsis candelabra", "Cerberiopsis candelabra var. vexillaria", "Cerberiopsis candelabra var. candelabra", "Cerberiopsis neriifolia", "Cerberiopsis obtusifolia", "Mortoniella pittieri", "Oropogon fissuratus", "Oropogon formosanus", "Oropogon granulosus", "Oropogon halei", "Oropogon herzogii", "Oropogon imperforatus", "Oropogon lateralis", "Oropogon lopezii", "Cicerbita alpina", "Cicerbita bourgaei", "Cicerbita macrophylla", "Dysphania discalis", "Dysphania discalis discalis", "Dysphania discalis aureolina", "Cicerbita plumieri", "Xanthoparmelia lyrigera", "Chrysochloris stuhlmanni", "Heterothera serrataria", "Chrysochloris stuhlmanni balsaci", "Chrysochloris stuhlmanni stuhlmanni", "Xanthoparmelia quartzitica", "Heterothera serraria", "Chrysochloris visagiei", "Heterothera kurenzovi", "Xanthoparmelia vernicosa", "Heterothera firmata", "Pennithera distractata", "Bryotropha umbrosella", "Neoschoenobia testacealis", "Sophora denudata", "Hypericum bupleuroides", "Hypericum linarioides", "Geoffroea striata", "Hypericum pruinatum", "Hypericum xylosteifolium", "Hypericum scabrum", "Sedorolis simplex", "Dahlica rakosyi", "Hagnagora marionae", "Athetis cristifera", "Jasminanthes chunii", "Jasminanthes mucronata", "Athetis pseudofunesta", "Athetis mienshana", "Jasminanthes pilosa", "Jasminanthes saxatilis", "Athetis longivalva", "Jasminanthes suaveolens", "Phacopsis australis", "Phacopsis campestricola", "Phacopsis cephalodioides", "Phacopsis crustulosae", "Phacopsis ericetorum", "Phacopsis geographici", "Phacopsis huuskonenii", "Phacopsis lethariellae", "Phacopsis menegazziae", "Phacopsis muelleri", "Phacopsis prolificans", "Phacopsis psoromoides", "Phacopsis pulvinata", "Phacopsis rufa", "Phacopsis tremens", "Phacopsis usneae", "Stigmella fervida", "Stigmella kumatai", "Stigmella kurii", "Speleonectes atlantida", "Kakapolichus strigopis", "Chilarchaea quellon", "Asclepias barjoniifolia", "Heterothera tephroptilus", "Heterothera mussooriensis", "Heterothera undulata", "Heterothera hoenei", "Heterothera incerta", "Copernicia prunifera", "Chlorotalpa duthieae", "Heterothera quadrifulta", "Chlorotalpa sclateri", "Heterothera obscurata", "Heterothera dentifasciata", "Heterothera distinctata", "Heterothera yunnanensis", "Heterothera eclinosis", "Heterothera triangulata", "Heterothera comitabilis", "Heterothera stamineata", "Heterothera consimilis", "Heterothera etes", "Heterothera taigana", "Heterothera taigana taigana", "Zearchaea clypeata", "Heterothera taigana sounkeana", "Chlorotalpa sclateri guillarmodi", "Chlorotalpa sclateri montana", "Chlorotalpa sclateri sclateri", "Chlorotalpa sclateri shortridgei", "Chrysochloris asiatica", "Calcochloris tytonis", "Neamblysomus gunningi", "Neamblysomus julianae", "Carpitalpa arendsi", "Otodectes cynotis", "Listrophorus mustelae", "Leporacarus gibbus", "Lynxacarus radovskyi", "Rupephaps taketake", "Hemiphagacarus spinosus", "Astrolabelichus caudatus", "Rhyzobius ventralis", "Rhyzobius forestieri", "Eoleptestheria ticinensis", "Heteroserolis pellucida", "Thysanoserolis orbicula", "Myopiarolis koro", "Myopiarolis lippa", "Myopiarolis norfanz", "Myopiarolis systir", "Myopiarolis novaecaledoniae", "Myopiarolis antarctica", "Myopiarolis apheles", "Myopiarolis bicolor", "Myopiarolis carinata", "Xyroptila oenophanes", "Xyroptila peltastes", "Xyroptila vaughani", "Xyroptila fulbae", "Xyroptila irina", "Xyroptila naiwasha", "Xyroptila ruvenzori", "Xyroptila masaia", "Xyroptila elegans", "Xyroptila oksana", "Xyroptila africana", "Xyroptila monomotapa", "Xyroptila zambesi", "Xyroptila soma", "Xyroptila siami", "Xyroptila dohertyi", "Xyroptila aenea", "Xyroptila maklaia", "Xyroptila variegata", "Xyroptila falciformis", "Xyroptila kuranda", "Xyroptila uluru", "Xyroptila sybylla", "Epimeria robustoides", "Epimeria larsi", "Epimeria reoproi", "Epimeria schiaparelli", "Petrogalochirus dycei", "Petrogalochirus macropus", "Petrogalochirus tasmaniensis", "Caecothrombium deharvengi", "Goliathus goliatus", "Eudicella smithi", "Goliathus regius", "Metatanais bipunctatus", "Longiflagrum amphibium", "Primula veris subsp. veris", "Primula veris subsp. macrocalyx", "Ophthalmitis ogatai", "Ramobia moriutii", "Abaciscus manoi", "Diplurodes stueningi", "Diplurodes sakuraii", "Diplurodes longisacculus", "Acrotomodes kunoi", "Acrotomodes ingridae", "Acrotomodes lindae", "Phacothecium varium", "Phacopsis vulpina", "Usnea trachycarpa", "Cetola costata", "Cetola obscurior", "Cetola phaleroides", "Cetola puechredoni", "Cetola pulchra", "Cetola radiata", "Cetola vicina", "Cetola dentata", "Cetola rubricosta", "Cetola naumanni", "Metarbela naumanni", "Lamellisphecia sumatrana", "Oxypetalum harleyi", "Ochrosia haleakalae", "Pterophorus lieftincki", "Pterophorus erratus", "Amblysomus marleyi", "Ochyrotica connexiva", "Ochyrotica celebica", "Ochyrotica kurandica", "Amblysomus robustus", "Ochyrotica javanica", "Amblysomus septentrionalis", "Fistularia commersonii", "Calcochloris leucorhina", "Calcochloris leucorhina cahni", "Calcochloris leucorhina leucorhina", "Heterothera postalbida", "Calcochloris obtusirostris", "Calcochloris obtusirostris chrysillus", "Heterothera sororcula", "Calcochloris obtusirostris limpopoensis", "Calcochloris obtusirostris obtusirostris", "Pterophorus nigropunctatus", "Agrius cordiae", "Cobaea scandens", "Diapensia lapponica subsp. lapponica", "Diapensia lapponica subsp. obovata", "Crotonia alpina", "Crotonia blacki", "Crotonia cornuta", "Crotonia gadubanudi", "Crotonia momitoi", "Crotonia victoriae", "Foza ambohitra", "Relicina diederichii", "Relicina echinocarpa", "Relicina eumorpha", "Relicina eximbricata", "Relicina fijiensis", "Relicina filsonii", "Relicina fluorescens", "Relicina gemmulosa", "Relicina hirtifructa", "Relicina incongrua", "Relicina kurandensis", "Lenyra astharoth", "Relicina limbata", "Relicina luteoviridis", "Relicina malesiana", "Relicina niuginiensis", "Relicina palmata", "Relicina planiuscula", "Relicina polycarpa", "Relicina precircumnodata", "Relicina ramboldii", "Relicina ramosissima", "Relicina relicinella", "Relicina relicinula", "Relicina retrospinosa", "Relicina sabahensis", "Relicina samoensis", "Relicina schizospatha", "Relicina segregata", "Relicina sipmanii", "Relicina stipitata", "Relicina subabstrusa", "Relicina subconnivens", "Relicina subcoronata", "Relicina sublanea", "Relicina sublimbata", "Relicina subnigra", "Relicina subturgida", "Relicina sydneyensis", "Relicina terricrocodila", "Relicina vinasii", "Relicina xanthoparmeliiformis", "Trilochana scolioides", "Aegerosphecia fasciata", "Aegerosphecia myanmarensis", "Aegerosphecia fumoptera", "Lamellisphecia haematinea", "Lamellisphecia champaensis", "Valeriana montana", "Rhododendron ponticum subsp. ponticum", "Crisius semifuscus", "Crisius dives", "Eutrochium purpureum var. purpureum", "Chrysospalax trevelyani", "Chrysospalax villosus", "Chrysospalax villosus dobsoni", "Chrysospalax villosus leschae", "Chrysospalax villosus rufopallidus", "Chrysospalax villosus rufus", "Chrysospalax villosus transvaalensis", "Chrysospalax villosus villosus", "Hullsia argillicola", "Cryptochloris zyli", "Nestotus macleanii", "Eremitalpa granti", "Eremitalpa granti granti", "Relicina abstrusa", "Relicina acrobotrys", "Relicina agglutinata", "Eremitalpa granti namibensis", "Relicina amphithrix", "Relicina barringtonensis", "Relicina butleri", "Relicina circumnodata", "Relicina clarkensis", "Relicina columnaria", "Relicina conglutinata", "Relicina connivens", "Relicina decaryana", "Relicina demethylbarbatica", "Relicina dentata", "Lamellisphecia wiangensis", "Cyanosesia litseavora", "Cyanosesia tonkinensis", "Cyanosesia cyanosa", "Scasiba difficilis", "Sphecosesia ashinaga", "Teinotarsina luteopoda", "Dervishiya cadambae", "Cossus hoenei", "Catananche lutea", "Catananche lutea subsp. carpholepis", "Aholcocerus ronkayorum", "Catananche lutea subsp. lutea", "Patoptoformis hanuman", "Patoptoformis ganesha", "Catananche arenaria", "Catananche arenaria subsp. dimorpha", "Catananche arenaria subsp. arenaria", "Catananche caespitosa", "Hymenonema graecum", "Catananche montana", "Pseudoparmelia harrisiana", "Pseudoparmelia kalbiana", "Pseudoparmelia regnellii", "Pseudoparmelia relicinoides", "Pseudoparmelia sphaerospora", "Pseudoparmelia uleana", "Pseudoparmelia chapadensis", "Pseudoparmelia hypomiltha", "Succisa pratensis", "Cryptomedasina aurifascia", "Cryptomedasina schnitzleri", "Cryptomedasina sampuragensis", "Cryptomedasina takehikoi", "Cryptomedasina basinigra", "Cryptomedasina pulupulensis", "Ctenognophos nakajimai", "Podarcis filfolensis", "Glyphipterix mikadonis", "Dysphania numana", "Dysphania numana numana", "Dysphania numana kurensis", "Exocelina aipo", "Exocelina aipomek", "Exocelina ascendens", "Exocelina astrophallus", "Exocelina bacchusi", "Exocelina broschii", "Exocelina damantiensis", "Exocelina danae", "Exocelina erteldi", "Myelochroa supraflava", "Myelochroa upretii", "Myelochroa xantholepis", "Cortusa brotheri", "Cortusa matthioli subsp. hazarica", "Cortusa matthioli subsp. pekinensis", "Cortusa matthioli subsp. matthioli", "Cortusa altaica", "Cortusa amurensis", "Cortusa sibirica", "Cortusa turkestanica", "Cortusa sachalinensis", "Gasterostena vietnamica", "Cortusa discolor", "Gasterostena ikedai", "Cortusa gmelinii", "Delias benasu", "Delias benasu benasu", "Delias benasu arimai", "Cortusa matthioli subsp. iranica", "Cortusa matthioli subsp. moravica", "Cortusa jacutica", "Cortusa mongolica", "Kaufmannia semenovii", "Nymphaea ondinea", "Nymphaea ondinea subsp. petaloidea", "Nymphaea ondinea subsp. ondinea", "Thyrocopa acetosa", "Thyrocopa albonubila", "Thyrocopa alterna", "Thyrocopa apatela", "Thyrocopa apikia", "Thyrocopa elikapekae", "Thyrocopa kanaloa", "Eugubinus forsteri", "Thyrocopa kea", "Thyrocopa kokeensis", "Thyrocopa neckerensis", "Thyrocopa nihoa", "Yurebilla gracilis", "Hypochrysops pyrodes", "Pseudoparmelia arida", "Pseudoparmelia brakoana", "Pseudoparmelia buckiana", "Pseudoparmelia chlorea", "Pseudoparmelia convexa", "Pseudoparmelia cubensis", "Pseudoparmelia cyphellata", "Exocelina rasjadi", "Pseudoparmelia floridensis", "Exocelina fume", "Exocelina heidiae", "Exocelina jaseminae", "Exocelina karmurensis", "Exocelina ketembang", "Exocelina larsoni", "Exocelina manfredi", "Exocelina me", "Exocelina miriae", "Exocelina monae", "Exocelina patepensis", "Exocelina rivula", "Exocelina rufa", "Exocelina sanctimontis", "Exocelina takime", "Exocelina tarmluensis", "Exocelina ullrichi", "Formica podzolica", "Aphis valerianae", "Exocelina casuarina", "Exocelina desii", "Exocelina messeri", "Exocelina abdita", "Exocelina atowaso", "Exocelina vladimiri", "Exocelina hintelmannae", "Exocelina marinae", "Exocelina munaso", "Exocelina shizong", "Exocelina madangensis", "Exocelina kainantuensis", "Exocelina australis", "Microtrombidium karriensis", "Microtrombidium zelandicum", "Bdellidae incertae sedis", "Saxifraga fortunei var. fortunei", "Saxifraga fortunei var. alpina", "Saxifraga fortunei var. jotanii", "Saxifraga fortunei var. koraiensis", "Saxifraga fortunei var. obtusocuneata", "Saxifraga fortunei var. suwoensis", "Saxifraga imparilis", "Saxifraga rufescens", "Saxifraga rufescens var. flabellifolia", "Saxifraga rufescens var. rufescens", "Saxifraga rufescens var. uninervata", "Chrysosplenium sedakowii", "Pida niphonis", "Pida niphonis niphonis", "Pselaphotheseus ihupuku", "Micranthes sect.", "Calliteara wolongensis", "Calliteara wolongensis wolongensis", "Calliteara wolongensis goliath", "Alcis pammicra", "Alcis eupithecioides", "Alcis polysticta", "Alcis aagostigma", "Alcis manfredi", "Alcis maculata", "Alcis micromaculata", "Alcis bornemaculata", "Alcis nigrifasciata", "Alcis nigrolineata", "Primula glutinosa", "Thiotricha prunifolivora", "Dasysphecia bombylina", "Dasysphecia ursina", "Myelochroa amagiensis", "Myelochroa aurulenta", "Myelochroa crassata", "Myelochroa degelii", "Myelochroa denegans", "Myelochroa entotheiochroa", "Cosmopterix brevicaudella", "Myelochroa galbina", "Myelochroa hayachinensis", "Myelochroa immiscens", "Myelochroa indica", "Myelochroa irrugans", "Cosmopterix baihashanella", "Myelochroa leucotyliza", "Cosmopterix sichuanella", "Myelochroa macrogalbinica", "Myelochroa metarevoluta", "Cosmopterix bifidiguttata", "Myelochroa nothofagi", "Cosmopterix longivalvella", "Myelochroa obsessa", "Cosmopterix nanshanella", "Myelochroa perisidians", "Myelochroa rhytidodes", "Cosmopterix jiangxiella", "Myelochroa salazinica", "Myelochroa sayanensis", "Myelochroa siamea", "Myelochroa sibirica", "Myelochroa sikkimensis", "Myelochroa sinica", "Myelochroa subaurulenta", "Selaginella bifida", "Martania denigrata", "Nordstromia paralilacina", "Micranthes foliolosa", "Micranthes ferruginea", "Micranthes redofskyi", "Micranthes petiolaris", "Spilarctia hypogopa", "Spilarctia hypogopa hypogopa", "Spilarctia hypogopa mentawaica", "Micranthes sect.", "Spilarctia philippina", "Spilarctia philippina philippina", "Spilarctia philippina mindanaoica", "Spilarctia moorei", "Afrokona aerea", "Metacosma trapezia", "Metacosma triangulata", "Micranthes sect.", "Persicaria perfoliata", "Proailurus lemanensis", "Megatherium americanum", "Phlogophora jarmilae", "Phlogophora kruegeri", "Epidexipteryx hui", "Cleonymia baetica", "Cleonymia baetica baetica", "Cleonymia baetica diluta", "Cleonymia baetica klapperichi", "Cleonymia baetica sardoa", "Cleonymia baetica hoferi", "Rhyzobius fagus", "Hibiscus sect.", "Hibiscus sect.", "Milionia mastrigti", "Chalcides striatus", "Orothalassodes pervulgatus", "Orothalassodes falsaria", "Hibiscus sect.", "Paracymoriza multispinea", "Paracymoriza prodigalis", "Paracymoriza cataclystalis", "Paracymoriza yuennanensis", "Paracymoriza fuscalis", "Paracymoriza laminalis", "Paracymoriza reductalis", "Paracymoriza bleszynskialis", "Paracymoriza distinctalis", "Paracymoriza taiwanalis", "Paracymoriza vagalis", "Paracymoriza aurantialis", "Paracymoriza inextricata", "Gymnanthera cunninghamii", "Chiromachla insulare", "Alcathoe cuauhtemoci", "Cuon alpinus alpinus", "Cuon alpinus hesperius", "Cuon alpinus sumatrensis", "Chelorrhina kraatzi", "Bryodina rhypariza", "Bryodina senelospora", "Bicaubittacus mengyangicus", "Bicaubittacus yangi", "Bicaubittacus appendiculatus", "Bicaubittacus burmanus", "Bicaubittacus longiprocessus", "Micromegistus gourlayi", "Micromegistus bakeri", "Gypsophila oldhamiana", "Ayersacarus plumapilus", "Ayersacarus gressitti", "Ayersacarus gelidus", "Ayersacarus strandtmanni", "Micranthes tolmiei", "Micranthes stellaris", "Cyana heidrunae", "Lophosaurus dilophus", "Omia raphaeli", "Hypsilurus geelvinkianus", "Pyropteron minianiforme", "Pyropteron minianiformis minianiformis", "Pyropteron minianiformis aphrodite", "Scoliokona heptapora", "Scoliokona hyalina", "Scoliokona kalliesi", "Scoliokona tetrapora", "Micranthes engleri", "Stigmella pulla", "Stigmella quercifaga", "Stigmella circumargentea", "Stigmella kao", "Stigmella lithocarpella", "Stigmella vandrieli", "Stigmella egregilustrata", "Stigmella valvaurigemmata", "Prometopus albicollis", "Ptychopseustis pallidochrealis", "Orthocabera euryzona", "Torigea subdita", "Elwesia kojisuzukii", "Condylocarpon amazonicum", "Cetraria aculeata", "Cetraria arenaria", "Cetraria ericetorum", "Cetraria islandica", "Cetraria laevigata", "Cetraria odontella", "Cetraria muricata", "Cetraria kamczatica", "Cetraria australiensis", "Cetraria nigricans", "Cetraria ericetorum subsp. ericetorum", "Cetraria ericetorum subsp. patagonica", "Cetraria ericetorum subsp. reticulata", "Cetraria islandica subsp. islandica", "Cetraria islandica subsp. crispiformis", "Cetraria islandica subsp. orientalis", "Cetraria islandica subsp. antarctica", "Saxifraga sect.", "Barrosasaurus casamiquelai", "Anomotarus illawarrae", "Anomotarus variegatus", "Anomotarus variegatus howei", "Anomotarus variegatus obscuripennis", "Anomotarus variegatus simplex", "Anomotarus variegatus variegatus", "Sphenodon diversum", "Saxifraga \u00d7 burnatii", "Saxifraga \u00d7 churchillii", "Saxifraga \u00d7 lhommei", "Saxifraga \u00d7 portae", "Elachista nipponicella", "Phaulernis fulviguttella", "Phaulernis pulchra", "Phaulernis chasanica", "Edrudia constipans", "Diplurodes inundata", "Diplurodes seinoi", "Diplurodes bifidisacculus", "Diplurodes cristatus", "Allothyrus constrictus", "Diplurodes triangulata", "Diplurodes semicircularis", "Diplurodes indentata", "Diplurodes indentodes", "Diplurodes petras", "Diplurodes kerangatis", "Diplurodes submontana", "Diplurodes sommereri", "Jarava ichu", "Jarava annua", "Jarava atacamensis", "Jarava chrysophylla", "Oryzopsis miliacea", "Astilboides tabularis", "Saxifraga sect.", "Saxifraga paniculata", "Saxifraga cartilaginea", "Paradarisa diehli", "Paradarisa sumatrana", "Paradarisa tarmanni", "Paradarisa heledaria", "Syntypistis spadix", "Syntypistis praeclara", "Syntypistis aspera", "Sphagnum aciphyllum", "Syntypistis synechochlora", "Bryonora castanea", "Bryonora corallina", "Bryonora curvescens", "Bryonora peltata", "Bryonora pruinosa", "Bryonora pulvinar", "Bryonora reducta", "Bryonora septentrionalis", "Bryonora stipitata", "Astilbe \u00d7 arendsii", "Cetraria delisei", "Myrioblephara sinesigno", "Myrioblephara berastagensis", "Myrioblephara ediehli", "Myrioblephara pallibasis", "Myrioblephara simplaria", "Astilbe \u00d7 rosea", "Astilbe \u00d7 lemoinei", "Astilbe macroflora", "Astilbe longicarpa", "Biatora albidula", "Pycnora xanthococca", "Glabrimycetoporus amoenus", "Punctonora nigropulvinata", "Laelaptoseius novaezelandiae", "Calotrachytes sclerophyllus", "Diplurodes diehli", "Diplurodes decursaria", "Diplurodes sinecoremata", "Sternothyrus braueri", "Batrachedra smilacis", "Callicore astarte", "Callicore astarte astarte", "Callicore astarte codomannus", "Callicore astarte patelina", "Callicore astarte stratiotes", "Callicore astarte casta", "Callicore astarte selima", "Callicore astarte antillena", "Callicore astarte otheres", "Callicore astarte astartoides", "Callicore astarte lilliputa", "Callicore astarte staudingeri", "Callicore astarte panamaensis", "Gerontha flexura", "Bangia atropurpurea", "Atrophaneura nox nox", "Atrophaneura nox henricus", "Atrophaneura nox erebus", "Atrophaneura nox tungensis", "Atrophaneura nox solokanus", "Atrophaneura nox petronius", "Atrophaneura nox smedleyi", "Atrophaneura nox mirifica", "Atrophaneura nox nyx", "Atrophaneura nox noctis", "Atrophaneura nox noctula", "Atrophaneura nox banjermasina", "Atrophaneura nox miekoae", "Atrophaneura nox hirokoae", "Saxifraga sect.", "Saxifraga ser.", "Saxifraga caesia", "Astilbe macrocarpa", "Amphilophus citrinellus", "Bryonora yeti", "Manduca violaalba", "Neogene albescens", "Neogene corumbensis", "Neogene intermedia", "Neogene pictus", "Neogene steinbachi", "Neogene carrerasi", "Neogene curitiba", "Neogene dynaeus", "Neogene reevei", "Coenotes maximus", "Coenotes eremophilae", "Langia zenzeroides", "Langia zenzeroides zenzeroides", "Langia zenzeroides formosana", "Langia zenzeroides nawai", "Laothoe amurensis", "Laothoe amurensis amurensis", "Laothoe amurensis sinica", "Laothoe populi", "Laothoe populi populi", "Laothoe populi populeti", "Cladidium bolanderi", "Claurouxia chalybeioides", "Clauzadeana macula", "Saxifraga \u00d7 andrewsii", "Saxifraga \u00d7 gaudinii", "Saxifraga valdensis", "Saxifraga \u00d7 patens", "Saxifraga longifolia", "Schizophragma hypoglaucum", "Schizophragma crassum", "Schizophragma crassum var. ellipticum", "Schizophragma corylifolium", "Schizophragma integrifolium", "Schizophragma integrifolium var. minus", "Schizophragma megalocarpum", "Schizophragma choufenianum", "Schizophragma molle", "Schizophragma fauriei", "Schizophragma hydrangeoides", "Pileostegia subansiriana", "Castianeira arnoldii", "Escherichia coli", "Neodrymonia taiwana", "Astilbe japonica subsp. japonica", "Astilbe japonica subsp. glaberrima", "Cepora timnatha", "Cepora timnatha timnatha", "Cepora timnatha butona", "Cepora timnatha filia", "Cepora timnatha aurulenta", "Cepora timnatha soror", "Vieja synspila", "Cepora timnatha filiola", "Cepora celebensis", "Cepora celebensis celebensis", "Tylothallia biformigera", "Cepora celebensis kazuyoe", "Cepora eurygonia", "Cepora eurygonia eurygonia", "Cepora perimale", "Rodgersia aesculifolia var. aesculifolia", "Cepora perimale perimale", "Rodgersia aesculifolia var. henrici", "Cepora perimale tuekangbesiensis", "Cepora perimale kuehni", "Rodgersia pinnata var. pinnata", "Cepora iudith", "Rodgersia pinnata var. strigosa", "Cepora aspasia", "Cepora aspasia aspasia", "Cepora aspasia jael", "Cepora aspasia talautensis", "Rodgersia sambucifolia var. estrigosa", "Cepora eperia", "Cepora fora", "Cepora fora fora", "Cepora fora papayatana", "Cepora fora milos", "Sagema potentillae", "Penthoscapha doormanensis", "Penthoscapha gerhardschereri", "Penthoscapha pulverea", "Penthoscapha similis", "Necyopa flatipennata", "Necyopa triangularis", "Necyopa ioge", "Necyopa hemiprasina", "Calcyopa rosearia", "Ectropidia exprimata", "Ectropidia harmani", "Ectropidia fimbripedata", "Ectropidia faircloughi", "Ectropidia semijubata", "Ectropidia illepidaria", "Ectropidia quasilepidaria", "Ectropidia minilepidaria", "Nigriblephara radula", "Vainionora aemulans", "Vainionora americana", "Vainionora flavovirens", "Vainionora mexicana", "Vainionora pallidostraminea", "Vainionora stramineopallens", "Vainionora variabilis", "Vainionora warmingii", "Eupithecia blenna", "Eupithecia verprota", "Eupithecia spissata", "Eupithecia nirvana", "Eupithecia serpentigena", "Eupithecia fulvidorsata", "Eupithecia atuni", "Eupithecia phantastica", "Eupithecia actrix", "Eupithecia severa", "Eupithecia magica", "Eupithecia villica", "Gasterostena rubricincta", "Gasterostena funebris", "Neodrymonia anmashanensis", "Aruncus dioicus var. vulgaris", "Racotis boarmiaria", "Racotis hollowayi", "Racotis floresaria", "Racotis sulawesaria", "Racotis keralaria", "Wittocossus mokanshanensis", "Assegaj clenchi", "Eristena bifurcalis", "Eristena szechuanalis", "Eristena medexpansa", "Eristena minutale", "Aruncus gombalanus", "Eristena lunularis", "Eristena pumila", "Eristena tanongchiti", "Cepora eperia eperia", "Sphaeramia nematoptera", "Cepora eperia flava", "Rodgersia nepalensis", "Traponora asterella", "Anopheles baileyi", "Rodgersia sect.", "Anopheles balerensis", "Anopheles bancroftii", "Anopheles barberi", "Rodgersia sect.", "Anopheles barbirostris", "Anopheles barbumbrosus", "Anopheles barianensis", "Anopheles beklemishevi", "Anopheles bengalensis", "Anopheles borneensis", "Anopheles bradleyi", "Anopheles brevipalpis", "Anopheles brevirostris", "Anopheles bulkleyi", "Anopheles bustamentei", "Anopheles calderoni", "Anopheles caliginosus", "Anopheles campestris", "Anopheles changfus", "Anopheles chiriquiensis", "Anopheles chodukini", "Anopheles claviger", "Anopheles colledgei", "Anopheles collessi", "Anopheles concolor", "Anopheles corethroides", "Anopheles costai", "Darmera peltata", "Pachysandra terminalis", "Plagiorhegma dubium", "Pycnora leucococca", "Pycnora praestabilis", "Charaxes bernardus", "Pycnora sorophora", "Stigmella diniensis", "Crambe pinnatifida", "Crambe hedgei", "Crambe grossheimii", "Crambe gordjaginii", "Crambe shugnana", "Crambe alutacea", "Crambe armena", "Crambe grandiflora", "Leishmania enriettii", "Neobythites multiocellatus", "Neobythites alcocki", "Neobythites andamanensis", "Neobythites australiensis", "Neobythites fijiensis", "Nicotiana sect.", "Nicotiana sect.", "Plectocarpon hypogymniae", "Nicotiana sect.", "Nicotiana sect.", "Nicotiana sect.", "Nicotiana sect.", "Nicotiana sect.", "Nicotiana sect.", "Nicotiana sect.", "Nicotiana sect.", "Nicotiana sect.", "Nicotiana sect.", "Nicotiana sect.", "Macronyssidae incertae sedis", "Crambe sect.", "Crambe sect.", "Tricyrtis affinis", "Tricyrtis hirta", "Brucella abortus", "Brucella ovis", "Brucella suis", "Erythrobacter litoralis", "Bordetella bronchiseptica", "Bordetella parapertussis", "Burkholderia mallei", "Burkholderia pseudomallei group", "Burkholderia pseudomallei", "Burkholderia cenocepacia", "Burkholderia vietnamiensis", "Burkholderia xenovorans", "Cupriavidus necator", "Pseudobonzia breviscuta", "Mahanta quadrilinea", "Mahanta kawadai", "Mahanta leworthyi", "Mahanta zolotuhini", "Mahanta svetlanae", "Mahanta fraterna", "Mahanta tanyae", "Achondrostoma arcasii", "Pygmeocossus tonga", "Plutodes hermanowskii", "Plutodes nanlingensis", "Lomographa yueningi", "Lomographa vulpina", "Peratophyga castaneostriata", "Peratophyga modesta", "Parabapta aurantiaca", "Neodrymonia ferruginis", "Aruncus dioicus var. dioicus", "Aruncus dioicus var. pubescens", "Neodrymonia zuanwu", "Aruncus dioicus var. acuminatus", "Mephitis mephitis estor", "Mephitis mephitis holzneri", "Mephitis mephitis hudsonica", "Mephitis mephitis major", "Mephitis mephitis mephitis", "Luffa acutangula", "Mephitis mephitis mesomelas", "Craspedosis latefasciata", "Craspedosis rubicunda", "Mephitis mephitis nigra", "Mephitis mephitis notata", "Eupsilia cuprea", "Eupsilia cuprea cuprea", "Mephitis mephitis occidentalis", "Eupsilia cuprea nanlingensis", "Mephitis mephitis spissigrada", "Eupsilia xiayue", "Eupsilia ancheng", "Eupsilia boursini", "Mephitis mephitis varians", "Eupsilia quinquelinea", "Rorippa aquatica", "Cochlearia glastifolia", "Armoracia macrocarpa", "Harutaea flavizona", "Harutaea sumatrana", "Harutaea conspicuaria", "Decumaria sinensis", "Decumaria barbara", "Pileostegia viburnoides", "Pileostegia viburnoides var. viburnoides", "Pileostegia viburnoides var. glabrescens", "Pileostegia tomentella", "Cupriavidus metallidurans", "Lemna perpusilla", "Polynucleobacter necessarius", "Ralstonia solanacearum", "Acidovorax avenae", "Acidovorax citrulli", "Polaromonas naphthalenivorans", "Verminephrobacter eiseniae", "Thiobacillus denitrificans", "Methylobacillus flagellatus", "Ailurus fulgens fulgens", "Ailurus fulgens refulgens", "Tricyrtis latifolia", "Proutiella esoterica", "Tricyrtis macranthopsis", "Proutiella ilaire", "Conepatus chinga budini", "Proutiella infans", "Proutiella jordani", "Conepatus chinga chinga", "Proutiella latifascia", "Conepatus chinga gibsoni", "Proutiella repetita", "Conepatus chinga inca", "Conepatus chinga mendosus", "Proutiella simplex", "Conepatus chinga rex", "Proutiella tegyra", "Conepatus chinga suffocans", "Proutiella vittula", "Prosartes trachycarpa", "Prosartes hookeri", "Prosartes smithii", "Escherichia coli", "Escherichia coli", "Escherichia coli", "Escherichia coli str.", "Pelodiaetodes prominens", "Hollermayera valdiviana", "Gastropacha populifolia", "Gastropacha populifolia populifolia", "Gastropacha populifolia angustipennis", "Gastropacha populifolia mephisto", "Gastropacha clathrata", "Gastropacha horishana", "Gastropacha horishana horishana", "Gastropacha horishana egregia", "Lagynodes primordialis", "Lagynodes pseudocarinatus", "Aetholagynodes stupendus", "Archisynarsis mongolica", "Lagynodes luciae", "Conepatus humboldtii castaneus", "Conepatus humboldtii humboldtii", "Conepatus humboldtii proteus", "Conepatus leuconotus figginsi", "Conepatus leuconotus leuconotus", "Conepatus leuconotus telmalestes", "Nola ronkayorum", "Conepatus semistriatus amazonicus", "Pselnophorus jaechi", "Eucapperia bullifera", "Scythris tephrella", "Satyrium khowari", "Turanana chitrali", "Conepatus semistriatus semistriatus", "Conepatus semistriatus taxinus", "Conepatus semistriatus trichurus", "Conepatus semistriatus yucatanicus", "Conepatus semistriatus zorrino", "Mephitis mephitis avia", "Mephitis mephitis elongata", "Psorinia conglomerata", "Psorinia lepidotella", "Arsenura albopicta", "Arsenura archianassa", "Arsenura armida", "Arsenura aspasia", "Arsenura batesii", "Arsenura beebei", "Arsenura biundulata", "Arsenura ciocolatina", "Arsenura cymonia", "Arsenura delormei", "Arsenura drucei", "Arsenura meander", "Arsenura mossi", "Arsenura orbignyana", "Arsenura pandora", "Arsenura polyodonta", "Arsenura ponderosa", "Arsenura rebeli", "Arsenura sylla", "Arsenura thomsoni", "Arsenura xanthopus", "Caio harrietae", "Copiopteryx derceto", "Copiopteryx jehovah", "Copiopteryx semiramis", "Copiopteryx sonthonnaxi", "Copiopteryx virgo", "Erigeron caucasicus subsp. venustus", "Erigeron caucasicus subsp. caucasicus", "Dichrocephala integrifolia", "Achillea latiloba", "Tanacetum balsamita subsp. balsamitoides", "Tricyrtis formosana", "Boletus aereus", "Tricyrtis formosana var. formosana", "Tricyrtis formosana var. glandosa", "Tricyrtis formosana var. grandiflora", "Tricyrtis maculata", "Rhizobium etli", "Sinorhizobium medicae", "Bartonella henselae", "Bartonella bacilliformis", "Bartonella quintana", "Enneboeus baeckstroemi", "Enneboeus patagonicus", "Lagrioida obscurella", "Lagrioida rufula", "Crambe cordifolia", "Crambe maritima", "Lagynodes ooii", "Lagynodes coxivillosus", "Lagynodes gastroleius", "Lagynodes hecaterapterus", "Lagynodes velutinus", "Crambe sect.", "Boletus comptus", "Boletus dupainii", "Boletus fechtneri", "Boletus flavosanguineus", "Boletus fragrans", "Boletus fuscoroseus", "Garrya laurifolia", "Garrya ovata", "Parafomoria halimivora", "Parafomoria cistivora", "Parafomoria pseudocistivora", "Parafomoria helianthemella", "Parafomoria liguricella", "Parafomoria ladaniphila", "Parafomoria tingitella", "Stigmella divina", "Spilogale angustifrons angustifrons", "Spilogale angustifrons celeris", "Spilogale angustifrons elata", "Leycesteria formosa", "Spilogale angustifrons tropicalis", "Spilogale angustifrons yucatanensis", "Leycesteria sinensis", "Leycesteria stipulata", "Gastropacha insularis", "Gastropacha watanabei", "Gastropacha sikkima", "Gastropacha acutifolia", "Calotrachytes fimbriatipes", "Gastropacha hauensteini", "Gastropacha moorei", "Gastropacha remnaumovi", "Uropoda vegetans", "Abraxas nanlingensis", "Abraxas culpini", "Rotundabaloghia browni", "Defreinarctia armini", "Defreinarctia dianxi", "Orhantarctia habibiei", "Orhantarctia cymbalophoroides", "Cryptomedasina masuii", "Rorippa amphibia", "Alcis leucophaea", "Alcis lobbichleri", "Parapholodes fuliginea", "Neobythites franzi", "Neobythites javaensis", "Neobythites longispinis", "Neobythites macrocelli", "Neobythites marianaensis", "Neobythites marquesaensis", "Neobythites musorstomi", "Neobythites nigriventris", "Neobythites sereti", "Neobythites sinensis", "Neobythites soelae", "Boletus kluzakii", "Neobythites braziliensis", "Neobythites monocellatus", "Neobythites multidigitatus", "Boletus legaliae", "Neobythites crosnieri", "Neobythites kenyaensis", "Neobythites malhaensis", "Neobythites meteori", "Neobythites natalensis", "Neobythites somaliaensis", "Neobythites vityazi", "Boletus lupinus", "Neobythites unicolor", "Neobythites elongatus", "Bassozetus galatheae", "Bassozetus werneri", "Abyssobrotula galatheae", "Clypeococcum bisporum", "Clypeococcum cetrariae", "Clypeococcum cladonema", "Clypeococcum psoromatis", "Clypeococcum epimelanostolum", "Clypeococcum grossum", "Clypeococcum hypocenomycis", "Clypeococcum placopsiiphilum", "Lagynodes botulifer", "Lagynodes gemellus", "Lagynodes miricornis", "Lagynodes peckorum", "Lagynodes coxivillosus analis", "Lagynodes coxivillosus calliops", "Lagynodes coxivillosus coxivillosus", "Lagynodes acuticornis", "Lagynodes biroi", "Lagynodes flavus", "Lagynodes obscuriceps", "Lagynodes ocellifer", "Lagynodes xanthus", "Lagynodes thoracicus", "Lagynodes pallidus", "Lagynodes occipitalis", "Lagynodes electriphilus", "Gryllochyzeria hojjati", "Chyzeria novaezealandiae", "Chyzeria patagonica", "Chilothorax melanostictus", "Lonicera ligustrina", "Lonicera ligustrina subsp. ligustrina", "Lonicera ligustrina subsp. yunnanensis", "Corticifraga santessonii", "Lonicera \u00d7helvetica", "Orwellium enigmaticum", "Masnerium wellsae", "Masner lubomirus", "Rhysacephala novacaledonica", "Rhysacephala leai", "Rhysacephala masneri", "Rhysacephala obtusiventris", "Rhysacephala rufipes", "Rhysacephala testacea", "Rhysacephala wilsoni", "Rhysacephala warraensis", "Lonicera \u00d7notha", "Lonicera \u00d7 heckrottii", "Lonicera \u00d7 tellmanniana", "Cleptophasia scissa", "Scotura atelozona", "Formica sanguinea", "Apatetris elaeagnella", "Apatetris elymicola", "Nematopogon taiwanella", "Lonicera implexa var. implexa", "Lonicera implexa var. longifolia", "Lonicera implexa var. valentina", "Lonicera splendida", "Salanoemia dissimilis", "Spilogale gracilis amphialus", "Spilogale gracilis gracilis", "Spilogale gracilis latifrons", "Acinonyx jubatus venaticus", "Elephas maximus asurus", "Salmo letnica", "Corticifraga chugachiana", "Corticifraga fuckelii", "Corticifraga peltigerae", "Leycesteria gracilis", "Leycesteria glaucophylla", "Leycesteria dibangvalliensis", "Heracleum mantegazzianum", "Leycesteria crocothyrsos", "Leycesteria insignis", "Leycesteria japonica", "Walterinnesia aegyptia", "Acanthophis antarcticus", "Dendroaspis viridis", "Chalcostephia flavifrons", "Endotricha parki", "Nigilgia violacea", "Ectropis floresensis", "Ectropis herbuloti", "Ectropis bhurmitra", "Ypthima wenlungi", "Megaphobema robustum", "Mydaus javanensis javanensis", "Mydaus javanensis lucifer", "Mydaus javanensis ollula", "Lonicera pileata var. pileata", "Lonicera pileata var. linearis", "Lonicera caerulea var. caerulea", "Neophysobates monodactylus", "Spilogale gracilis leucoparia", "Spilogale gracilis lucasana", "Spilogale gracilis martirensis", "Spilogale gracilis phenax", "Spilogale putorius ambarvalis", "Spilogale putorius interrupta", "Spilogale putorius putorius", "Spilogale pygmaea australis", "Spilogale pygmaea intermedia", "Spilogale pygmaea pygmaea", "Triosteum himalayanum", "Mydaus javanensis", "Actinomyxa australiensis", "Rentonium chilense", "Rentonium daldiniae", "Scotura auriceps", "Scotura contracta", "Scotura delineata", "Scotura longigutta", "Scotura nigrata", "Scotura nigricaput", "Scotura transversa", "Scotura vestigiata", "Scotura aeroptera", "Scotura annulata", "Scotura bugabensis", "Scotura abstracta", "Scotura flavicapilla", "Lonicera \u00d7permixta", "Elachista wieseriella", "Stigmella gutlebiella", "Polyommatus artvinensis", "Lonicera \u00d7salicifolia", "Stenoptilia coenei", "Lasiommata ananda", "Devendraea \u00d7 myrtilloides", "Sphinx ligustri", "Azygophleps confucianus", "Lonicera \u00d7amoena", "Lonicera \u00d7pseudochrysantha", "Lonicera \u00d7micranthoides", "Scirpophaga xanthogastrella", "Scirpophaga linguatella", "Scirpophaga adunctella", "Scirpophaga khasis", "Scirpophaga fusciflua", "Scirpophaga virginia", "Scirpophaga lineata", "Scirpophaga auristrigella", "Scirpophaga incertulas", "Scirpophaga whalleyi", "Scirpophaga gotoi", "Lonicera pyrenaica var. majoricensis", "Scirpophaga kumatai", "Scirpophaga nepalensis", "Lonicera pyrenaica var. paui", "Lonicera pyrenaica var. pyrenaica", "Blanus mariae", "Atheris nitschei", "Bitis arietans", "Cerastes cerastes", "Echis carinatus", "Proatheris superciliaris", "Pseudocerastes persicus", "Trimeresurus albolabris", "Deinagkistrodon acutus", "Bothriechis nigroviridis", "Calloselasma rhodostoma", "Blanus cinereus", "Syntormon aotearoa", "Falcaria vulgaris", "Mengenilla leucomma", "Reseda lutea", "Lonicera rhytidophylla", "Platyfigulus scorpio", "Saponaria pumila", "Saponaria ocymoides", "Saponaria ocymoides subsp. ocymoides", "Saponaria ocymoides subsp. alsinoides", "Saponaria subrosularis", "Saponaria \u00d7 boissieri", "Saponaria \u00d7 peregrina", "Symmoca deprinsi", "Amselina olympi", "Loftacarus siefi", "Pamiria farmanali", "Scythris alhamrae", "Stomacarus abresi", "Scythris amplexella", "Scythris cucullella", "Scythris elachistoides", "Scythris pollicella", "Scythris valgella", "Dichagyris lux", "Hydrictis maculicollis", "Pectinivalva caenodora", "Pectinivalva chalcitis", "Pectinivalva commoni", "Pectinivalva endocapna", "Pectinivalva gilva", "Pectinivalva melanotis", "Saponaria \u00d7 lempergii", "Saponaria glutinosa", "Saponaria bargyliana", "Saponaria \u00d7 olivana", "Phyllhermannia phyllophora", "Neotrichozetes spinulosus", "Neotrichozetes spinulosus germaineae", "Monocerotesa commissa", "Monocerotesa minuta", "Monocerotesa proximesta", "Monocerotesa hypomoesta", "Monocerotesa locoscripta", "Monocerotesa sumatrana", "Bindahara meeki", "Bindahara meeki meeki", "Bindahara meeki kolmaui", "Bindahara meeki moluccana", "Hypolycaena asahi", "Eupithecia concava", "Eupithecia flavimacula", "Eupithecia lini", "Eupithecia blandula", "Eupithecia rhadine", "Eupithecia lupa", "Eupithecia pellicata", "Eupithecia exrubicunda", "Eupithecia longipennata", "Eupithecia yoshimotoi", "Eupithecia funerea", "Eupithecia masculina", "Eupithecia nishizawai", "Eupithecia acutipapillata", "Eupithecia clavifera", "Abrothallus stereocaulorum", "Abrothallus stictarum", "Abrothallus stroblii", "Abrothallus suecicus", "Abrothallus talcophilus", "Abrothallus tegularum", "Abrothallus tulasnei", "Abrothallus urceolariae", "Abrothallus usneae", "Abrothallus viduus", "Enhydra lutris kenyoni", "Abrothallus welwitschii", "Enhydra lutris lutris", "Enhydra lutris nereis", "Danionella dracula", "Lemna minor", "Fortuynia arabica", "Fortuynia taiwanica", "Vinsonella caeca", "Ochyrotica taiwanica", "Dichagyris ilseae", "Scythris ghaemii", "Perittia mucronata", "Perittia huemeri", "Perittia junnilaisella", "Perittia minitaurella", "Lichenopeltella alpestris", "Lichenopeltella ammophilae", "Lichenopeltella bunodophoronis", "Perittia ravida", "Lichenopeltella cetrariae", "Lichenopeltella cetrariicola", "Perittia karadaghella", "Lichenopeltella cladoniarum", "Perittia biloba", "Lichenopeltella coppinsii", "Lichenopeltella cupularum", "Lichenopeltella epiphylla", "Lichenopeltella fimbriata", "Lichenopeltella heterodermiicola", "Lichenopeltella hydrophila", "Lichenopeltella hypogymniae", "Lichenopeltella hypotrachynae", "Lichenopeltella leptogii", "Lichenopeltella lobariae", "Lichenopeltella maculans", "Lichenopeltella megalosporae", "Lichenopeltella microspora", "Lichenopeltella minuta", "Lichenopeltella nigroannulata", "Lichenopeltella norfolciana", "Lichenopeltella palustris", "Lichenopeltella pannariacearum", "Lichenopeltella peltigericola", "Lichenopeltella physciae", "Lichenopeltella pinophylla", "Lichenopeltella pseudocyphellariae", "Lichenopeltella quinquecladiopsis", "Lichenopeltella ramalinae", "Lichenopeltella salicis", "Lichenopeltella santessonii", "Lichenopeltella setifera", "Lichenopeltella swaminathaniana", "Lichenopeltella thamnoliae", "Lichenopeltella thelidii", "Lichenopeltella heterodermiae", "Dysdaemonia boreas", "Dysdaemonia brasiliensis", "Dysdaemonia concisa", "Dysdaemonia fosteri", "Ectropis longiscapia", "Ectropis susceptaria", "Ectropis pais", "Ectropis ischnadelpha", "Ectropis brooksi", "Gibbovalva tricuneatella", "Aonyx cinerea cinerea", "Thalassodes opalina", "Thalassodes intaminata", "Pelagodes subquadraria", "Pelagodes proquadraria", "Aonyx cinerea concolor", "Pelagodes antiquadraria", "Aonyx cinerea nirnai", "Abrothallus acetabuli", "Abrothallus bertianus", "Abrothallus bryoriarum", "Abrothallus buellianus", "Abrothallus caerulescens", "Abrothallus cetrariae", "Abrothallus cladoniae", "Abrothallus curreyi", "Abrothallus exilis", "Abrothallus friesii", "Abrothallus granulatae", "Abrothallus hypotrachynae", "Abrothallus lepidophilus", "Abrothallus maieri", "Abrothallus microspermus", "Abrothallus parmeliarum", "Abrothallus parmotrematis", "Abrothallus peyritschii", "Abrothallus pezizicola", "Abrothallus placophyllus", "Abrothallus prodiens", "Abrothallus protothallinus", "Abrothallus quercinus", "Abrothallus ricasolii", "Abrothallus secedens", "Citrus viroid V", "Persimmon viroid", "Mulberry small circular viroid-like", "Citrus dwarfing viroid", "Pepper chat fruit viroid", "Coleus blumei viroid 5", "Coleus blumei viroid 6", "Palaeophanes lativalva", "Palaeophanes taiwanensis", "Palaeophanes brevispina", "Palaeophanes xoutha", "Novazelandiella greensladeae", "Novazelandiella kellyi", "Lyrifissella latoclava", "Lyrifissella cryptonota", "Hexachaetoniella bunya", "Saponaria bellidifolia", "Saponaria lutea", "Saponaria pumilio", "Odobenus rosmarus laptevi", "Pinus monophylla subsp. fallax", "Pinus monophylla subsp. monophylla", "Pinus contorta subsp. contorta", "Pinus contorta subsp. latifolia", "Pinus contorta subsp. murrayana", "Pinus brutia subsp. brutia", "Pinus brutia subsp. eldarica", "Gypsophila subg.", "Gypsophila subg.", "Acanthophyllum honigbergeri", "Agrostemma githago subsp. thessalum", "Agrostemma githago subsp. githago", "Hexachaetoniella contigua", "Hexachaetoniella norfolkensis", "Hexachaetoniella sexpilosa", "Pear blister canker viroid", "Tomato apical stunt viroid", "Tomato planta macho viroid", "Coconut tinangaja viroid", "Citrus exocortis viroid", "Hop stunt viroid", "Peach latent mosaic viroid", "Apple scar skin viroid", "Avocado sunblotch viroid", "Chrysanthemum stunt viroid", "Citrus bark cracking viroid", "Coleus blumei viroid", "Columnea latent viroid", "Grapevine yellow speckle viroid 1", "Citrus bent leaf viroid", "Hop latent viroid", "Grapevine yellow speckle viroid 2", "Iresine viroid 1", "Chrysanthemum chlorotic mottle viroid", "Citrus viroid", "Apple dimple fruit viroid", "Mexican papita viroid", "Citrus viroid-I-LSS", "Tomato chlorotic dwarf viroid", "Citrus viroid", "Apple fruit crinkle viroid", "Australian grapevine viroid", "Coleus blumei viroid 1", "Coleus blumei viroid 2", "Coleus blumei viroid 3", "Eggplant latent viroid", "Gnaphalium stewartii", "Gnaphalium sylvaticum", "Adelococcus alpestris", "Adelococcus immersus", "Adelococcus interlatens", "Adelococcus porocyphi", "Dianthus brevicaulis", "Dianthus brevicaulis subsp. brevicaulis", "Dianthus brevicaulis subsp. setaceus", "Echinacea subg.", "Echinacea subg.", "Echinacea simulata", "Echinacea angustifolia", "Echinacea tennesseensis", "Echinacea paradoxa", "Echinacea pallida var. pallida", "Ochsenheimeria algeriella", "Ochsenheimeria baurella", "Ochsenheimeria birdella", "Ochsenheimeria bisontella", "Ochsenheimeria bubalella", "Ochsenheimeria capella", "Ochsenheimeria danilevskii", "Ochsenheimeria distinctella", "Ochsenheimeria glabratella", "Ochsenheimeria hederarum", "Ochsenheimeria hirculella", "Centipeda minima", "Ochsenheimeria hugginsi", "Ochsenheimeria kisilkuma", "Ochsenheimeria lovyi", "Lontra canadensis canadensis", "Ochsenheimeria mediopectinella", "Ochsenheimeria porpyrella", "Lontra canadensis kodiacensis", "Ochsenheimeria rupicaprella", "Ochsenheimeria scabrosella", "Ochsenheimeria talhouki", "Ochsenheimeria taurella", "Ochsenheimeria trifasciata", "Ochsenheimeria urella", "Ochsenheimeria vacculella", "Lontra canadensis lataxina", "Lontra canadensis mira", "Lontra canadensis pacifica", "Lontra canadensis periclyzomae", "Iostephane madrensis", "Neopseustis calliglauca", "Iostephane papposa", "Lontra canadensis sonora", "Iostephane trilobata", "Salvelinus alpinus", "Salvethymus svetovidovi", "Rudbeckia sect.", "Rudbeckia amplexicaulis", "Herminiimonas glaciei", "Vaccaria hispanica", "Notiophanes fuscata", "Vaccaria oxyodonta", "Vouauxiomyces brattii", "Cnissostages oleagina", "Cnissostages mastictor", "Vouauxiomyces granulatae", "Cnissostages osae", "Vouauxiomyces ramalinae", "Vouauxiomyces santessonii", "Vouauxiomyces truncatus", "Dysoptus fasciatus", "Dysoptus pseudargus", "Dysoptus prolatus", "Dysoptus sparsimaculatus", "Dysoptus denticulatus", "Dysoptus anachoreta", "Dysoptus chiquitus", "Dysoptus tantalota", "Dysoptus probata", "Crithmum maritimum", "Adiantum capillus-veneris", "Cota melanoloma", "Carduus adpressus", "Carlina biebersteinii", "Carpesium cernuum", "Centaurea helenioides", "Cyanus nigrifimbrius", "Centaurea urvillei", "Cynara scolymus", "Echinops galaticus", "Porocyphus sanguineus", "Porocyphus vivariensis", "Porocyphus vulcanicus", "Polemonium eximium", "Tetragma gei", "Polemonium reptans var. reptans", "Polemonium reptans var. villosum", "Geranium rotundifolium", "Greya punctiferella", "Greya piperella", "Greya mitellae", "Greya obscura", "Greya obscuromaculata", "Greya sparsipunctella", "Greya politella", "Greya enchrysa", "Cassiope hypnoides", "Greya pectinifera", "Greya variata", "Dicepolia aerealis", "Greya subalba", "Dicepolia amazonalis", "Dicepolia artoides", "Greya solenobiella", "Dicepolia bicolor", "Dicepolia cuiabalis", "Dicepolia vaga", "Dicepolia venezolalis", "Greya suffusca", "Greya reticulata", "Greya powelli", "Leucoma salicis", "Cassiope stelleriana", "Caliphis calvus", "Caliphis hickmani", "Caliphis novaezelandiae", "Polemonium yezoense", "Polemonium acutiflorum", "Xerophyllum asphodeloides", "Dysoptus bilobus", "Dysoptus pentalobus", "Dysoptus avittus", "Dysoptus asymmetrus", "Dysoptus acuminatus", "Dysoptus spilacris", "Dysoptus argus", "Arrhenophanes perspicilla", "Arrhenophanes volcanica", "Notiopostega atrata", "Chrysosplenium tetrandrum", "Opostegoides malaysiensis", "Paralopostega callosa", "Opostega afghani", "Opostegoides gephyraea", "Opostegoides menthinella", "Porocyphus arnoldii", "Porocyphus byssoides", "Porocyphus cataractarum", "Opostegoides scioterma", "Porocyphus coccodes", "Opostegoides sinevi", "Porocyphus dimorphus", "Porocyphus effiguratus", "Porocyphus fuliginascens", "Porocyphus globulosus", "Porocyphus groenlandicus", "Porocyphus incrustans", "Porocyphus kalbarriensis", "Porocyphus kenmorensis", "Porocyphus lecideiformis", "Porocyphus leptogiella", "Porocyphus lichinelloides", "Porocyphus lignyotus", "Porocyphus ocellatus", "Porocyphus populicola", "Porocyphus rehmicus", "Porocyphus rehmii", "Porocyphus riparius", "Porocyphus ruttneri", "Heliopetes arsalte", "Hesperia comma", "Halesia carolina", "Thelignya fuliginea", "Thelignya groenlandica", "Thelignya lignyota", "Tripylina tamaki", "Tripylina tearoha", "Tripylina manurewa", "Tripylina yeatesi", "Tripylina kaikoura", "Tripylina stramenti", "Biatoropsis usnearum", "Cerocepheus mirabilis", "Cardamine amara", "Cardamine pratensis", "Acantholimon ulicinum", "Phycita characterica", "Bazaria venosella", "Euzophera hulli", "Talis caboensis", "Ilex crenata var. crenata", "Ilex crenata var. fukasawana", "Ilex crenata var. paludosa", "Elachista anatoliensis", "Elachista pollutella", "Brassavola perrinii", "Brassavola subulifolia", "Lutra lutra angustifrons", "Lutra lutra aurobrunneus", "Lutra lutra barang", "Lutra lutra chinensis", "Lutra lutra hainana", "Lutra lutra kutab", "Lutra lutra meridionalis", "Lutra lutra monticolus", "Lutra lutra nair", "Lutra lutra seistanica", "Bucculatrix latviaella", "Elachista nolckeni", "Lutrogale perspicillata perspicillata", "Lutrogale perspicillata sindica", "Austrocarabodes elegans", "Persicaria viscosa", "Brassavola grandiflora", "Brassavola venosa", "Brassavola cucullata", "Brassavola martiana", "Brassavola flagellaris", "Brassavola tuberculata", "Brassavola ceboletta", "Tulipa subg.", "Iris reticulata var. reticulata", "Tulipa subg.", "Tulipa linifolia", "Habeleria huemeri", "Sineviana karadaghella", "Ectropis consentanea", "Ectropis schintlmeisteri", "Buelliella colombiana", "Buelliella dirinariae", "Stenus merina", "Buelliella eximia", "Buelliella inops", "Buelliella inquilina", "Buelliella lecanorae", "Buelliella minimula", "Buelliella nuttallii", "Buelliella physciicola", "Buelliella poetschii", "Buelliella pusilla", "Buelliella trypethelii", "Lontra longicaudis annectens", "Stenus bulirschi", "Lontra longicaudis enudris", "Stenus ambondromde", "Lontra longicaudis longicaudis", "Stenus vohitrosae", "Stenus lecoqi", "Stenus misaraka", "Stenus moraveci", "Stenus betsileo", "Stenus andringitra", "Stenus maromiza", "Stenus manga", "Barghoornia oblongifolia", "Brassavola sect.", "Trillium subg.", "Tectodamaeus daliensis", "Tectodamaeus longus", "Cyperus fuscus", "Cyperus soongoricus", "Opostega diplardis", "Opostega epactaea", "Opostega epistolaris", "Opostega frigida", "Leila esula", "Mycetopoda siliquosa", "Mycetopoda soliniformis", "Mycetopoda pittieri", "Mycetopoda legumen", "Anodontites elongatus", "Anodontites ensiformis", "Anodontites soleniformis", "Anodontites trapesialis", "Agaocephala margaridae", "Brassavola sect.", "Brassavola sect.", "Brassavola sect.", "Republica hickeyi", "Euproctis chrysorrhoea", "Erionota thrax", "Tsukada davidiifolia", "Rhyncholaelia glauca", "Pseudoscaphirhynchus kaufmanni", "Polypterus ansorgii", "Polypterus bichir", "Polypterus delhezi", "Polypterus endlicherii", "Rhyncholaelia digbyana", "Brassavola nodosa", "Schoepfia republicensis", "Koelreuteria arnoldi", "Cameraria tildeni", "Euplexia vetula", "Paralopostega dives", "Paralopostega filiforma", "Paralopostega maculata", "Paralopostega peleana", "Paralopostega serpentina", "Opostega amphimitra", "Opostega angulata", "Opostega arthrota", "Opostega atypa", "Opostega basilissa", "Opostega bimaculatella", "Opostega brithys", "Opostega chalcopepla", "Opostega chalcophylla", "Opostega chalcoplethes", "Opostega chalinias", "Opostega chordacta", "Opostega cirrhacma", "Opostega costantiniella", "Opostega cretatella", "Opostega diorthota", "Parantennulus scolopendrarum", "Diplopodophilus antennophoroides", "Promegistus armstrongi", "Fuchsia jimenezii", "Dicepolia roseobrunnea", "Dicepolia rufitinctalis", "Eudolichotis lacerta", "Orthalicus pulchella", "Ptychopetalum olacoides", "Polypterus ornatipinnis", "Polypterus palmas", "Polypterus polli", "Polypterus retropinnis", "Polypterus weeksii", "Atractosteus tristoechus", "Alepidomus evermanni", "Kestratherina brevirostris", "Kestratherina esox", "Trichomanes macilentum", "Carapa guianensis", "Smilax longifolia", "Rhineura floridana", "Tikizetes spinipes", "Maorizetes ferox", "Lampronia sakhalinella", "Greya kononenkoi", "Melilotus messanensis", "Melilotus neapolitanus", "Chloroclystis v-ata", "Chloroclystis v-ata v-ata", "Chloroclystis v-ata relicta", "Apamea yunnana", "Scythris felesella", "Scythris kailai", "Scythris kullbergi", "Scythris kyzylensis", "Scythris subsiccella", "Scythris terekholensis", "Pteronura brasiliensis brasiliensis", "Pteronura brasiliensis paraguensis", "Rena humilis", "Anchiornis huxleyi", "Momorangia jacksoni", "Elachista jaskai", "Elachista ripula", "Ephestia animella", "Psoricoptera latignathosa", "Psoricoptera kawabei", "Scythris saarelai", "Buvatina iremella", "Dinica aspirans", "Eutegaeus bostocki", "Dinica diana", "Dinica dierli", "Eutegaeus membraniger", "Eutegaeus pinnatus", "Eutegaeus radiatus", "Dinica hyacinthopa", "Eutegaeus stylesi", "Dinica orphnospila", "Dinica vulcanica", "Dinica rhombata", "Phaeophyscia confusa", "Phaeophyscia constipata", "Phaeophyscia crocea", "Phaeophyscia culbersonii", "Phaeophyscia denigrata", "Phaeophyscia echinata", "Phaeophyscia endococcinodes", "Phaeophyscia endophoenicea", "Phaeophyscia erythrocardia", "Phaeophyscia exornatula", "Phaeophyscia fumosa", "Fuchsia sect.", "Fuchsia sect.", "Fuchsia sect.", "Fuchsia sect.", "Fuchsia sect.", "Fuchsia sect.", "Novumbra hubbsi", "Fuchsia \u00d7 colensoi", "Fuchsia perscandens", "Fuchsia cyrtandroides", "Fuchsia thymifolia subsp. thymifolia", "Fuchsia thymifolia subsp. minimiflora", "Fuchsia campii", "Fuchsia campos-portoi", "Fuchsia regia", "Fuchsia regia subsp. regia", "Fuchsia regia subsp. reitzii", "Tachosa aspera", "Tachosa fumata", "Tachosa guichardi", "Fuchsia regia subsp. serrae", "Tachosa sagittalis", "Tachosa acronyctoides", "Audea vadoni", "Audea delphinensis", "Audea jonasi", "Audea subligata", "Actinobacillus pleuropneumoniae", "Actinobacillus succinogenes 130Z", "Borrelia afzelii", "Borrelia burgdorferi", "Borrelia garinii", "Acidiphilium cryptum", "Acidothermus cellulolyticus", "Acinetobacter baumannii", "Alkalilimnicola ehrlichii", "Alkaliphilus metalliredigens", "Anabaena variabilis", "Anaeromyxobacter dehalogenans", "Anaplasma marginale", "Anaplasma phagocytophilum", "Aquifex aeolicus", "Arcobacter butzleri", "Arthrobacter aurescens", "Aster yellows witches'-broom phytoplasma", "Aromatoleum aromaticum", "Bacteroides fragilis", "Bacteroides thetaiotaomicron", "Bacteroides vulgatus", "Bdellovibrio bacteriovorus", "Burkholderia thailandensis", "Alcanivorax borkumensis", "Actinobacillus pleuropneumoniae", "Actinobacillus succinogenes", "Aeromonas hydrophila", "Aeromonas salmonicida", "Arborichthonius styosetosus", "Fuchsia apetala", "Fuchsia kirkii", "Metasequoia foxii", "Acidobacteria bacterium", "Acidothermus cellulolyticus 11B", "Acinetobacter baumannii", "Acinetobacter sp.", "Alkalilimnicola ehrlichii", "Alkaliphilus metalliredigens", "Anabaena variabilis", "Anaeromyxobacter dehalogenans 2CP-C", "Anaeromyxobacter sp.", "Anaplasma marginale str.", "Anaplasma phagocytophilum", "Aquifex aeolicus", "Arcobacter butzleri", "Arthrobacter aurescens", "Arthrobacter sp.", "Aster yellows witches'-broom phytoplasma", "Aromatoleum aromaticum", "Bacteroides fragilis", "Phaeophyscia hirsuta", "Phaeophyscia hirtella", "Phaeophyscia hirtuosa", "Phaeophyscia hunana", "Phaeophyscia insignis", "Phaeophyscia kairamoi", "Phaeophyscia laciniata", "Phaeophyscia leana", "Phaeophyscia limbata", "Phaeophyscia lygaea", "Phaeophyscia nadvornikii", "Phaeophyscia nashii", "Phaeophyscia orbicularis", "Phaeophyscia primaria", "Phaeophyscia pusilloides", "Phaeophyscia pyrrhophora", "Phaeophyscia sonorae", "Phaeophyscia spinellosa", "Phaeophyscia squarrosa", "Phaeophyscia stiriaca", "Phaeophyscia strigosa", "Phaeophyscia sulphurascens", "Phaeophyscia trichophora", "Hydrolagus melanophasma", "Perittia regina", "Perittia ernsti", "Perittia punatensis", "Perittia tucumana", "Perittia morgana", "Perittia patagonica", "Perittia smaragdophanes", "Perittia nephele", "Perittia mastodon", "Perittia ramona", "Perittia fraudatrix", "Perittia spermatopis", "Perittia cygnodiella", "Perittia eremonoma", "Perittia herrichiella", "Perittia passula", "Mendesia serica", "Mendesia metaxea", "Icacinicarya collinsonae", "Macrocheles scutatus", "Macrocheles subbadius", "Macrocheles lyallpurensis", "Macrocheles peniculatus", "Macrocheles feehani", "Macrocheles kappa", "Macrocheles paralius", "Macrocheles similis", "Tumerozetes bifurcatus", "Tumerozetes circularis", "Tumerozetes indistinctus", "Tumerozetes parallelus", "Tumerozetes pumilis", "Elachista beltira", "Elachista beriga", "Elachista donia", "Arctonyx collaris collaris", "Elachista vasrana", "Arctonyx collaris consul", "Arctonyx collaris dictator", "Elachista kherana", "Arctonyx collaris leucolaemus", "Eira barbara barbara", "Eira barbara biologiae", "Eira barbara inserta", "Eira barbara madeirensis", "Eira barbara peruana", "Eira barbara poliocephala", "Eira barbara senex", "Eira barbara senilis", "Eira barbara sinuensis", "Cameraria lobatiella", "Cameraria mendocinensis", "Cameraria sadlerianella", "Cameraria pentekes", "Cameraria agrifoliella", "Cameraria anomala", "Cameraria wislizeniella", "Cameraria temblorensis", "Cameraria diabloensis", "Cameraria shenaniganensis", "Cameraria mediodorsella", "Cameraria jacintoensis", "Cyperus esculentus", "Cyperus longus", "Cameraria serpentinensis", "Cyperus rotundus", "Cameraria marinensis", "Cameraria walsinghami", "Cameraria sempervirensella", "Opostega granifera", "Opostega heringella", "Opostega horaria", "Opostega idiocoma", "Opostega index", "Opostega kuznetzovi", "Opostega luticilia", "Opostega machaerias", "Opostega melitardis", "Opostega monotypa", "Opostega myxodes", "Opostega nephelozona", "Opostega nubifera", "Opostega orestias", "Opostega orophoxantha", "Opostega pelocrossa", "Opostega pelorrhoa", "Opostega phaeosoma", "Opostega phaeospila", "Opostega praefusca", "Opostega radiosa", "Opostega reliquella", "Opostega rezniki", "Opostega salaciella", "Opostega scoliozona", "Opostega snelleni", "Opostega spatulella", "Opostega spilodes", "Opostega stekolnikovi", "Opostega stiriella", "Opostega subviolacea", "Opostega symbolica", "Opostega tetroa", "Opostega tincta", "Opostega uvida", "Opostega velifera", "Opostega xenodoxa", "Opostega zelopa", "Pseudopostega abrupta", "Pseudopostega accessoriella", "Pseudopostega acidata", "Pseudopostega adusta", "Pseudopostega albogaleriella", "Pseudopostega bellicosa", "Pseudopostega bistrigulella", "Pseudopostega clastozona", "Pseudopostega congruens", "Pseudopostega crepusculella crepusculella", "Pseudopostega crepusculella lvovskyi", "Pseudopostega cretea", "Pseudopostega elachista", "Dallia admirabilis", "Dallia delicatissima", "Crypsotidia clytiformis", "Crypsotidia bibrachiata", "Crypsotidia bullula", "Bacteroides fragilis", "Bacteroides thetaiotaomicron", "Bacteroides vulgatus", "Bdellovibrio bacteriovorus", "Burkholderia cenocepacia", "Burkholderia thailandensis", "Bartonella bacilliformis", "Bartonella henselae str.", "Bartonella quintana str.", "Bradyrhizobium japonicum", "Bradyrhizobium sp.", "Bradyrhizobium sp.", "Brucella melitensis 16M", "Brucella melitensis biovar", "Brucella ovis", "Brucella suis 1330", "Agrobacterium tumefaciens str.", "Bordetella bronchiseptica", "Bordetella parapertussis 12822", "Burkholderia cenocepacia", "Burkholderia ambifaria", "Burkholderia sp. 383", "Burkholderia vietnamiensis", "Burkholderia xenovorans", "Burkholderia mallei", "Burkholderia mallei", "Burkholderia mallei", "Burkholderia mallei", "Burkholderia pseudomallei 1106a", "Burkholderia pseudomallei 1710b", "Burkholderia pseudomallei 668", "Burkholderia pseudomallei", "Acidovorax citrulli", "Acidovorax sp.", "Azoarcus sp.", "Bifidobacterium adolescentis", "Bifidobacterium longum", "Bordetella pertussis Tohama I", "Bacillus amyloliquefaciens", "Bacillus clausii", "Bacillus halodurans", "Bacillus licheniformis", "Bacillus pumilus", "Bacillus subtilis subsp. subtilis str. 168", "Bacillus anthracis str. 'Ames", "Bacillus anthracis str.", "Bacillus anthracis str.", "Bacillus cereus", "Bacillus cereus", "Bacillus cereus", "Bacillus cereus", "Bacillus cereus subsp. cytotoxis", "Bacillus thuringiensis", "Bacillus thuringiensis serovar konkukian str. 97-27", "Bacillus thuringiensis str.", "Aeromonas hydrophila subsp. hydrophila", "Aeromonas salmonicida subsp. salmonicida", "Alcanivorax borkumensis", "Eurypterus clevelandi", "Icacinicarya dictyota", "Icacinicaryites corruga", "Icacinicaryites linchensis", "Brachypelma auratum", "Quercus hiholensis", "Quercus subg.", "Quercus subg.", "Corvus corax corax", "Macrocheles agilis", "Macrocheles angustus", "Macrocheles borealis", "Macrocheles caelatus", "Macrocheles denhamensis", "Macrocheles eta", "Macrocheles forceps", "Macrocheles fungicolus", "Macrocheles gamma", "Macrocheles halli", "Macrocheles zeta", "Macrocheles lama", "Macrocheles lambda", "Macrocheles omicron", "Macrocheles holmi", "Macrocheles peckorum", "Macrocheles guttatus", "Macrocheles howdenorum", "Macrocheles wallacei", "Macrocheles rimbija", "Macrocheles siderolophus", "Macrocheles spatei", "Macrocheles spiculatus", "Macrocheles tesselatus", "Macrocheles undoolya", "Macrocheles upsilon", "Macrocheles waitei", "Macrocheles glaber", "Macrocheles hyatti", "Macrocheles matrius", "Macrocheles merdarius", "Macrocheles muscaedomesticae", "Macrocheles novaezelandiae", "Macrocheles penicilliger", "Macrocheles perglaber", "Macrocheles robustulus", "Crypsotidia digitata", "Crypsotidia gigantea", "Crypsotidia longicosta", "Crypsotidia piscicaudae", "Crypsotidia postfusca", "Crypsotidia inquirenda", "Crypsotidia maculifera", "Crypsotidia mesosema", "Crypsotidia remanei", "Crypsotidia wollastoni", "Hypotacha pulla", "Hypotacha parva", "Hypotacha antrummagna", "Hypotacha catilla", "Hypotacha soudanensis", "Hypotacha austera", "Hypotacha brandbergensis", "Hypotacha alba", "Hypotacha fractura", "Hypotacha nigristria", "Hypotacha glaucata", "Hypotacha legrandi", "Hypotacha bubo", "Hypotacha ochribasalis", "Hypotacha raffaldi", "Hypotacha fiorii", "Hypotacha indecisa", "Hypotacha isthmigera", "Hypotacha retracta", "Hypotacha retracta retracta", "Hypotacha retracta waterbergensis", "Archaeopilocornus lucidus", "Colchicum speciosum", "Amelanchier parviflora", "Fuchsia sect.", "Umbra krameri", "Fuchsia sect.", "Umbra limi", "Umbra pygmaea", "Fuchsia sect.", "Fuchsia sect.", "Fuchsia sect.", "Fuchsia \u00d7 speciosa", "Fuchsia alpestris", "Epilobium sect.", "Epilobium septentrionale", "Chamerion sect.", "Chamerion sect.", "Cyperus haspan", "Chamerion dodonaei", "Chamerion colchicum", "Chamerion stevenii", "Chamerion fleischeri", "Oenothera sect.", "Cyperus glaber", "Oenothera sect.", "Chamerion \u00d7 prantlii", "Chamerion latifolium", "Pseudotsuga menziesii subsp. glauca", "Chamerion conspersum", "Chamerion speciosum", "Pinus mugo subsp. mugo", "Stigmella geimontani", "Rhodeus ocellatus", "Chamerion iranicum", "Liquidambar changii", "Shirleya grahamae", "Monogereion carajensis", "Chamerion angustifolium subsp. angustifolium", "Chamerion angustifolium subsp. circumvagum", "Oenothera sect.", "Oenothera \u00d7 scandinavica", "Topalia africana", "Topalia problematica", "Topalia clavata", "Topalia granulata", "Topalia velata", "Myrtus communis", "Paleoactaea nagelii", "Paleoactaea bowerbanki", "Rhynchosperma quinnii", "Audea paulumnodosa", "Audea luteoforma", "Audea tachosoides", "Audea kathrina", "Audea blochwitzi", "Audea albiforma", "Audea nigrior", "Audea watusi", "Audea irioleuca", "Audea melanoptera", "Audea zimmeri", "Audea tegulata", "Audea hemihyala", "Audea melaleuca", "Audea melanoplaga", "Audea agrotidea", "Audea bipunctata", "Audea stenophaea", "Ulotrichopus nigricans", "Ulotrichopus phaeopera", "Ulotrichopus fatilega", "Ulotrichopus variegata", "Ulotrichopus ochreipennis", "Ulotrichopus trisa", "Ulotrichopus marmoratus", "Ulotrichopus longipalpus", "Ulotrichopus dinawa", "Ulotrichopus rama", "Ulotrichopus sumatrensis", "Ulotrichopus varius", "Ulotrichopus meyi", "Ulotrichopus usambarae", "Ulotrichopus pseudomarmoratus", "Ulotrichopus recchiai", "Ulotrichopus mesoleuca", "Ulotrichopus stertzi", "Ulotrichopus tinctipennis", "Ulotrichopus primulina", "Ulotrichopus catocala", "Fuchsia cylindracea", "Ulotrichopus pseudocatocala", "Ulotrichopus macula", "Ulotrichopus phaeoleucus", "Ulotrichopus phaeoleucus phaeoleucus", "Ulotrichopus phaeoleucus griseus", "Onobrychis lasistanica", "Archosargus probatocephalus", "Fuchsia encliandra", "Cyperus difformis", "Drasteria walshi", "Morrisonia triangula", "Tinacrucis noroesta", "Fritillaria latifolia", "Linum hypericifolium", "Catocala benjamini", "Catocala benjamini benjamini", "Catocala benjamini ute", "Heracleum pastinacifolium", "Heracleum sosnowskyi", "Heracleum apiifolium", "Heracleum platytaenium", "Laserpitium affine", "Oenochroma barcodificata", "Fuchsia \u00d7 exoniensis", "Fuchsia \u00d7 dominiana", "Promalactis quinilineata", "Promalactis similinfulata", "Promalactis noviloba", "Promalactis longiuncata", "Promalactis biovata", "Promalactis lobatifera", "Promalactis apicispinifera", "Fuchsia decidua", "Thivolleo xanthographa", "Thivolleo albicervix", "Thivolleo meruensis", "Chionodes stefaniae", "Chionodes manabiensis", "Hedya brunneograpta", "Eccopsis galapagana", "Eccopsis floreana", "Megalota johni", "Mallotus villosus", "Episimus alcedanus", "Abalakeus bambusae", "Cyathea cranhamii", "Abalakeus chekei", "Abalakeus lorestanicus", "Nanotanaupodus andrei", "Nanotanaupodus gracehallae", "Paratanaupodus insensus", "Linopenthaloides novazealandicus", "Aethosolenia laselvensis", "Eriorhynchus hades", "Eriorhynchus ramosus", "Eriorhynchus walteri", "Eriorhynchus womersleyi", "Eriorhynchus australicus", "Proteoteras atromacula", "Dibrachichthys melanurus", "Coniostola isabelae", "Dichrorampha galapagana", "Stilbosis schmitzi", "Galagete krameri", "Platyptilia romieuxi", "Sphenarches bifurcatus", "Exelastis pilum", "Stenodacma cognata", "Hellinsia katangae", "Hellinsia bengtssoni", "Hellinsia punctata", "Curitiba prismatica", "Chamguava schippii", "Aethes kandovana", "Algrizea macrochlamys", "Syzygium jambos", "Jacaranda carajasensis", "Jacaranda egleri", "Neurostrota magnifica", "Neurostrota brunnea", "Spiranthes sinensis", "Pimenta racemosa var. racemosa", "Laurus novocanariensis", "Protium giganteum", "Protium heptaphyllum", "Pleonotoma bracteata", "Pilocarpus alatus", "Physocalymma scaberrimum", "Amomyrtus luma", "Amomyrtus meli", "Psidium cattleianum var. purpureum", "Psidium cattleianum var. littorale", "Psidium cattleianum var. cattleianum", "Galagete protozona", "Cyperus iria", "Galagete gnathodoxa", "Myrtus arayan", "Galagete seymourensis", "Galagete turritella", "Galagete espanolaensis", "Galagete darwini", "Galagete consimilis", "Galagete cinerea", "Eugenia uniflora", "Galagete levequei", "Galagete cristobalensis", "Galagete pecki", "Astrotischeria scalesiaella", "Astrotischeria alcedoensis", "Galagete griseonana", "Galagete pecki pecki", "Galagete pecki flavofasciata", "Dactylorhiza maculata", "Pseudorasbora parva", "Diathrausta semilunalis", "Acrocercops serrigera serrigera", "Acrocercops serrigera galapagosensis", "Cryptolectica lazaroi", "Dialectica galapagosensis", "Dialectica sanctaecrucis", "Dialectica sanctaecrucis darwini", "Dialectica sanctaecrucis sanctaecrucis", "Bhatia radhamaniae", "Bhatia serrata", "Galictis cuja cuja", "Galictis cuja furax", "Galictis cuja huronax", "Galictis cuja luteola", "Erinacea anthyllis subsp. schoenenbergeri", "Anapistula ataecina", "Pinus mugo subsp. uncinata", "Llavea cordifolia", "Ambulyx regia", "Ambulyx pseudoregia", "Parectropis extersaria", "Parectropis extersaria extersaria", "Parectropis extersaria japonica", "Protalcis concinnata", "Ectropis brevifasciata", "Ectropis arizanensis", "Ectropis excellens", "Eugenia foetida", "Thyrocopa brevipalpis", "Thyrocopa cinerella", "Thyrocopa decipiens", "Thyrocopa epicapna", "Thyrocopa geminipuncta", "Thyrocopa gigas", "Thyrocopa indecora", "Thyrocopa leonina", "Eugenia buxifolia", "Thyrocopa megas", "Thyrocopa minor", "Physcia alba", "Robinia \u00d7 ambigua", "Robinia \u00d7 longiloba", "Maudheimia wilsoni", "Maudheimia petronia", "Maudheimia tanngardenensis", "Multimaudheimia marshalli", "Maudheimia marshalli", "Zeascheloribates palustris", "Bunabodes truncatus", "Astyanax xavante", "Robinia neomexicana var. neomexicana", "Robinia neomexicana var. rusbyi", "Cyperus glomeratus", "Cyperus amuricus", "Epinephelus coioides", "Lepidogalaxias salamandroides", "Justicia vasica", "Physcia phaea", "Physcia poncinsii", "Physcia pseudospeciosa", "Physcia pumilior", "Physcia rolfii", "Physcia sinuosa", "Physcia solistella", "Physcia sorediosa", "Physcia stellaris", "Physcia subtilis", "Physcia tenella", "Physcia tenellula", "Physcia tenuis", "Physcia tretiachii", "Physcia tribacioides", "Physcia undulata", "Physcia verrucosa", "Physcia villosula", "Physcia vitii", "Lathyrus sect.", "Physcia americana", "Eugenia reinwardtiana", "Eugenia brasiliensis", "Physcia atrostriata", "Physcia cinerea", "Eugenia sprengelii", "Physcia clementei", "Argentina striata", "Physcia convexa", "Physcia convexella", "Physcia coronifera", "Physcia crispa", "Physcia dakotensis", "Physcia decorticata", "Physcia duplicorticata", "Physcia erumpens", "Physcia halei", "Physcia integrata", "Physcia jackii", "Physcia kalbii", "Physcia leptalea", "Physcia lopezii", "Physcia magnussonii", "Physcia manuelii", "Acca sellowiana var. sellowiana", "Physcia krogiae", "Physcia mexicana", "Physcia millegrana", "Physcia montana", "Physcia nashii", "Physcia neglecta", "Acca sellowiana var. rugosa", "Physcia neogaea", "Physcia nubila", "Acca subg.", "Brachyiulus pusillus", "Cylindroiulus britannicus", "Ophyiulus pilosus", "Ophyiulus verruculiger", "Crocus ancyrensis", "Ophyiulus targionii", "Ripidius abeillei", "Syzygium tripinnatum", "Syzygium aromaticum", "Syzygium sect.", "Oxypoda stanleyi", "Sonoma squamishorum", "Gyrophaena meduxnekeagensis", "Gyrophaena pseudocriddlei", "Pella glooscapi", "Blaniulus guttulatus", "Choneiulus palmatus", "Proteroiulus fuscus", "Nopoiulus kochii", "Nopoiulus minutus", "Mutinus elegans", "Osmerus mordax", "Osmerus spectrum", "Syzygium australe", "Tulipa cypria", "Ambulyx adhemariusa", "Physcia tenella subsp. tenella", "Physcia tenella subsp. marina", "Ipomoea sect.", "Miltochrista miniata", "Miltochrista miniata miniata", "Miltochrista miniata mosbacheri", "Ipomoea sect.", "Dryopteris villarii", "Mucronothrus willmanni", "Mucronothrus nasalis", "Brachydesmus superus", "Austrogneta multipilosa", "Austrogneta quadridentata", "Turnera subulata", "Turnera ulmifolia", "Jabouilleia naungmungensis", "Macrobrochis benderi", "Promalactis auriella", "Promalactis striola", "Promalactis albipunctata", "Promalactis wonjuensis", "Promalactis atriplagata", "Promalactis bitaenia", "Torodora phamae", "Torodora bachmaensis", "Torodora nabiella", "Thubana circularis", "Cynoglossum columnae", "Hermonassa yixincheni", "Cynoglossum creticum", "Cynoglossum germanicum", "Cynoglossum vanense", "Agdistis takamukui", "Gustavia erythrocarpa", "Pentapalpus unguempodius", "Ipomoea carajasensis", "Eranthis lobulata", "Ipomoea cavalcantei", "Eranthis lobulata var. elatior", "Eranthis lobulata var. lobulata", "Chiasmocleis devriesi", "Eranthis cilicica", "Eugenia oleaeoides", "Anteon molisae", "Chyzeria queenslandica", "Exapate bicuspidella", "Endothenia marginana", "Endothenia marginana marginana", "Endothenia marginana tarandina", "Caldicellulosiruptor saccharolyticus", "Campylobacter concisus 13826", "Campylobacter curvus 525.92", "Campylobacter fetus subsp. fetus 82-40", "Campylobacter hominis", "Campylobacter jejuni", "Campylobacter jejuni subsp. doylei 269.97", "Campylobacter jejuni subsp. jejuni 81-176", "Campylobacter jejuni subsp. jejuni 81116", "Campylobacter jejuni subsp. jejuni", "Cynoglossum montanum", "Deuterocopus albipunctatus", "Deuterocopus socotranus", "Stenoptilia albilimbata", "Cynoglossum borbonicum", "Cynoglossum microglochin", "Homaloxestis grabia", "Homaloxestis lacerta", "Philadelphus \u00d7 purpureomaculatus", "Lecithocera metopaena", "Lecithocera plicata", "Lecithocera pogonikuma", "Lecithocera mesosura", "Eranthis longistipitata", "Quassitagma laminospina", "Eranthis sect.", "Eranthis sect.", "Elachista leifi", "Pelosia hellenica", "Eranthis keiskei", "Eranthis albiflora", "Eranthis sibirica", "Eranthis byunsanensis", "Eranthis pinnatifida", "Euxylophora paraensis", "Eranthis stellata", "Protochlamydia amoebophila", "Carboxydothermus hydrogenoformans", "Caulobacter crescentus", "Chlamydia abortus", "Chlamydophila caviae", "Chlamydia felis", "Chlamydophila pneumoniae", "Chlamydophila pneumoniae", "Chlamydophila pneumoniae", "Chlorobium chlorochromatii", "Chlorobium phaeobacteroides", "Chlorobium tepidum", "Chromohalobacter salexigens", "Clavibacter michiganensis subsp. michiganensis", "Clostridium acetobutylicum", "Clostridium beijerinckii", "Clostridium difficile 630", "Clostridium kluyveri", "Clostridium novyi", "Clostridium tetani", "Clostridium thermocellum", "Corynebacterium diphtheriae", "Corynebacterium efficiens", "Corynebacterium glutamicum", "Corynebacterium glutamicum", "Corynebacterium jeikeium", "Coxiella burnetii", "Coxiella burnetii", "Cytophaga hutchinsonii", "Dechloromonas aromatica", "Dehalococcoides ethenogenes 195", "Dehalococcoides sp.", "Dehalococcoides sp.", "Desulfitobacterium hafniense", "Desulfotalea psychrophila", "Desulfotomaculum reducens", "Desulfovibrio desulfuricans", "Desulfovibrio vulgaris subsp. vulgaris", "Desulfovibrio vulgaris subsp. vulgaris str.", "Ehrlichia canis str.", "Ehrlichia chaffeensis str.", "Ehrlichia ruminantium str.", "Ehrlichia ruminantium str.", "Enterococcus faecalis", "Fervidobacterium nodosum", "Flavobacterium johnsoniae", "Flavobacterium psychrophilum", "Frankia alni", "Frankia sp.", "Fusobacterium nucleatum subsp. nucleatum", "Geobacillus kaustophilus", "Geobacillus thermodenitrificans", "Geobacter metallireducens", "Geobacter sulfurreducens", "Geobacter uraniireducens", "Gloeobacter violaceus", "Gluconobacter oxydans 621H", "Gramella forsetii", "Mycoplasma hyopneumoniae 7448", "Mycoplasma hyopneumoniae", "Mycoplasma mobile 163K", "Mycoplasma mycoides subsp. mycoides", "Mycoplasma penetrans", "Mycoplasma pneumoniae", "Mycoplasma pulmonis", "Mycoplasma synoviae 53", "Myxococcus xanthus", "Neorickettsia sennetsu str.", "Nitratiruptor sp.", "Nitrosomonas europaea", "Nitrosomonas eutropha", "Nitrosospira multiformis", "Nocardia farcinica", "Nocardioides sp.", "Nostoc sp.", "Novosphingobium aromaticivorans", "Ochrobactrum anthropi", "Oenococcus oeni", "Onion yellows phytoplasma", "Orientia tsutsugamushi", "Parabacteroides distasonis", "Paracoccus denitrificans", "Parvibaculum lavamentivorans", "Pediococcus pentosaceus", "Pelobacter carbinolicus", "Pelobacter propionicus", "Pelodictyon luteolum", "Pelotomaculum thermopropionicum", "Photorhabdus luminescens subsp. laumondii", "Porphyromonas gingivalis", "Prochlorococcus marinus str.", "Prochlorococcus marinus str.", "Prochlorococcus marinus str.", "Prochlorococcus marinus str.", "Prochlorococcus marinus str.", "Prochlorococcus marinus str.", "Prochlorococcus marinus str.", "Prochlorococcus marinus str.", "Prochlorococcus marinus str.", "Prochlorococcus marinus subsp. marinus str.", "Prochlorococcus marinus subsp. pastoris str.", "Propionibacterium acnes", "Chlorobium phaeovibrioides", "Psychrobacter arcticus 273-4", "Psychrobacter cryohalolentis", "Psychrobacter sp.", "Psychromonas ingrahamii 37", "Rhodobacter sphaeroides 2.4.1", "Rhodobacter sphaeroides", "Rhodobacter sphaeroides", "Rhodococcus sp.", "Rhodoferax ferrireducens", "Rhodopirellula baltica", "Rhodospirillum rubrum", "Rickettsia akari str.", "Rickettsia bellii", "Rickettsia bellii", "Rickettsia canadensis str.", "Rickettsia conorii str.", "Rickettsia felis", "Rickettsia massiliae", "Shewanella oneidensis", "Shewanella oneidensis", "Dichelobacter nodosus", "Nitrosococcus oceani", "Citrobacter koseri", "Enterobacter sakazakii", "Enterobacter sp. 638", "Klebsiella pneumoniae subsp. pneumoniae", "Pectobacterium atrosepticum", "Salmonella enterica subsp. enterica serovar", "Salmonella enterica subsp. enterica serovar", "Salmonella enterica subsp. enterica serovar", "Salmonella typhimurium", "Serratia proteamaculans 568", "Shigella boydii", "Shigella dysenteriae", "Shigella flexneri 2a str. 2457T", "Shigella flexneri 2a str. 301", "Shigella flexneri 5 str. 8401", "Shigella sonnei", "Shigella dysenteriae", "Yersinia enterocolitica subsp. enterocolitica 8081", "Yersinia pestis", "Yersinia pestis", "Yersinia pestis", "Yersinia pestis", "Yersinia pestis Pestoides F", "Yersinia pestis biovar", "Yersinia pseudotuberculosis", "Yersinia pseudotuberculosis", "Marinomonas sp.", "Pseudomonas entomophila", "Pseudomonas mendocina ymp", "Pseudomonas stutzeri", "Pseudomonas aeruginosa", "Pseudomonas aeruginosa", "Pseudomonas aeruginosa", "Pseudomonas fluorescens", "Pseudomonas fluorescens", "Pseudomonas putida", "Pseudomonas putida", "Pseudomonas syringae pv. phaseolicola 1448A", "Pseudomonas syringae pv. syringae", "Pseudomonas syringae pv. tomato str.", "Thiomicrospira crunogena", "Photobacterium profundum", "Vibrio fischeri", "Vibrio harveyi", "Vibrio parahaemolyticus", "Vibrio cholerae", "Vibrio cholerae", "Vibrio vulnificus", "Vibrio vulnificus", "Xylella fastidiosa 9a5c", "Xylella fastidiosa", "Helicobacter pylori 26695", "Helicobacter pylori", "Helicobacter pylori", "Methylococcus capsulatus", "Methylococcus capsulatus str.", "Neisseria gonorrhoeae", "Neisseria meningitidis", "Neisseria meningitidis", "Neisseria meningitidis", "Granulibacter bethesdensis", "Hahella chejuensis", "Halorhodospira halophila", "Helicobacter acinonychis str.", "Helicobacter hepaticus", "Herminiimonas arsenicoxydans", "Hyphomonas neptunium", "Jannaschia sp.", "Janthinobacterium sp.", "Kineococcus radiotolerans", "Lactobacillus acidophilus", "Lactobacillus brevis", "Lactobacillus casei", "Lactobacillus delbrueckii subsp. bulgaricus", "Lactobacillus delbrueckii subsp. bulgaricus", "Lactobacillus gasseri", "Lactobacillus johnsonii", "Lactobacillus plantarum", "Lactobacillus reuteri", "Lactobacillus sakei subsp. sakei 23K", "Lactobacillus salivarius", "Lactococcus lactis subsp. cremoris", "Lactococcus lactis subsp. cremoris", "Lactococcus lactis subsp. lactis", "Lawsonia intracellularis", "Legionella pneumophila str.", "Legionella pneumophila str.", "Legionella pneumophila str.", "Legionella pneumophila subsp. pneumophila str.", "Leifsonia xyli subsp. xyli str.", "Leptospira borgpetersenii serovar", "Leptospira borgpetersenii serovar", "Leptospira interrogans serovar", "Leptospira interrogans serovar", "Leuconostoc mesenteroides subsp. mesenteroides", "Magnetococcus sp.", "Magnetospirillum magneticum", "Maricaulis maris", "Marinobacter aquaeolei", "Mesoplasma florum", "Mesorhizobium loti", "Methylibium petroleiphilum", "Moorella thermoacetica", "Mycobacterium avium 104", "Mycobacterium avium subsp. paratuberculosis", "Mycobacterium bovis", "Mycobacterium bovis", "Mycobacterium gilvum", "Mycobacterium leprae", "Mycobacterium smegmatis str.", "Mycobacterium sp.", "Mycobacterium sp.", "Mycobacterium sp.", "Mycobacterium tuberculosis", "Mycobacterium tuberculosis", "Mycobacterium tuberculosis", "Mycobacterium tuberculosis", "Mycobacterium ulcerans", "Mycobacterium vanbaalenii", "Mycoplasma agalactiae", "Mycoplasma capricolum subsp. capricolum", "Mycoplasma gallisepticum", "Mycoplasma genitalium", "Mycoplasma hyopneumoniae 232", "Rickettsia prowazekii str. Madrid E", "Rickettsia rickettsii str. 'Sheila", "Rickettsia typhi str.", "Roseiflexus castenholzii", "Roseiflexus sp.", "Roseobacter denitrificans", "Rubrobacter xylanophilus", "Saccharopolyspora erythraea", "Salinibacter ruber", "Salinispora tropica", "Silicibacter pomeroyi", "Silicibacter sp.", "Sodalis glossinidius str. 'morsitans'", "Solibacter usitatus", "Sphingomonas wittichii", "Sphingopyxis alaskensis", "Streptomyces avermitilis", "Sulfurovum sp.", "Symbiobacterium thermophilum", "Synechococcus elongatus", "Synechococcus elongatus", "Synechococcus sp.", "Synechococcus sp.", "Synechococcus sp.", "Synechococcus sp.", "Synechococcus sp.", "Synechococcus sp.", "Synechococcus sp.", "Synechocystis sp.", "Syntrophobacter fumaroxidans", "Syntrophomonas wolfei subsp. wolfei str.", "Syntrophus aciditrophicus", "Thermoanaerobacter tengcongensis", "Thermobifida fusca", "Thermosipho melanesiensis", "Thermosynechococcus elongatus", "Thermus thermophilus", "Thermus thermophilus", "Sulfurimonas denitrificans", "Trichodesmium erythraeum", "Tropheryma whipplei", "Tropheryma whipplei str.", "Ureaplasma parvum serovar 3 str.", "Wigglesworthia glossinidia endosymbiont of", "Wolbachia endosymbiont of", "Wolbachia endosymbiont strain", "Wolinella succinogenes", "Xanthobacter autotrophicus", "Xanthomonas axonopodis pv. citri str. 306", "Xanthomonas campestris pv. campestris str. 8004", "Xanthomonas campestris pv. campestris str.", "Xanthomonas campestris pv. vesicatoria str. 85-10", "Xanthomonas oryzae pv. oryzae", "Xanthomonas oryzae pv. oryzae", "Zymomonas mobilis subsp. mobilis", "Nitrobacter hamburgensis", "Nitrobacter winogradskyi", "Rhodopseudomonas palustris", "Rhodopseudomonas palustris", "Rhodopseudomonas palustris", "Rhodopseudomonas palustris", "Rhodopseudomonas palustris", "Haemophilus ducreyi 35000HP", "Haemophilus influenzae 86-028NP", "Haemophilus influenzae", "Haemophilus influenzae", "Haemophilus influenzae", "Haemophilus somnus 129PT", "Mannheimia succiniciproducens", "Pasteurella multocida subsp. multocida str.", "Treponema denticola", "Actaea pachypoda", "Treponema pallidum subsp. pallidum str.", "Staphylococcus epidermidis", "Staphylococcus epidermidis", "Staphylococcus haemolyticus", "Staphylococcus saprophyticus subsp. saprophyticus", "Staphylococcus aureus", "Staphylococcus aureus subsp. aureus", "Staphylococcus aureus subsp. aureus", "Staphylococcus aureus subsp. aureus", "Staphylococcus aureus subsp. aureus", "Staphylococcus aureus subsp. aureus", "Staphylococcus aureus subsp. aureus", "Staphylococcus aureus subsp. aureus", "Staphylococcus aureus subsp. aureus", "Staphylococcus aureus subsp. aureus", "Staphylococcus aureus subsp. aureus", "Staphylococcus aureus subsp. aureus", "Staphylococcus aureus subsp. aureus str.", "Streptococcus agalactiae 2603V/R", "Streptococcus agalactiae", "Streptococcus agalactiae", "Streptococcus gordonii str.", "Streptococcus mutans", "Streptococcus mutans", "Streptococcus pneumoniae", "Streptococcus pneumoniae", "Streptococcus pneumoniae", "Streptococcus pyogenes", "Streptococcus pyogenes", "Streptococcus pyogenes", "Streptococcus pyogenes", "Streptococcus pyogenes", "Streptococcus pyogenes", "Streptococcus pyogenes", "Streptococcus pyogenes", "Streptococcus pyogenes", "Streptococcus pyogenes", "Streptococcus pyogenes", "Streptococcus pyogenes str.", "Streptococcus sanguinis", "Streptococcus suis 05ZYH33", "Streptococcus suis 98HAH33", "Streptococcus thermophilus", "Streptococcus thermophilus", "Streptococcus thermophilus", "Thermotoga maritima", "Thermotoga petrophila", "Caldicellulosiruptor saccharolyticus", "Campylobacter concisus", "Campylobacter curvus", "Campylobacter fetus subsp. fetus", "Campylobacter hominis", "Campylobacter jejuni", "Campylobacter jejuni subsp. doylei", "Campylobacter jejuni subsp. jejuni", "Protochlamydia amoebophila", "Calyptogena okutanii thioautotrophic gill symbiont", "Carboxydothermus hydrogenoformans", "Caulobacter vibrioides", "Chlamydia abortus", "Chlamydia caviae", "Chlamydia felis", "Chlamydia pneumoniae", "Chlorobium chlorochromatii", "Chlorobium phaeobacteroides", "Chlorobaculum tepidum", "Chromohalobacter salexigens", "Clavibacter michiganensis subsp. michiganensis", "Clostridium acetobutylicum", "Clostridium beijerinckii", "Clostridium kluyveri", "Clostridium novyi", "Clostridium thermocellum", "Coxiella burnetii", "Cytophaga hutchinsonii", "Dechloromonas aromatica", "Dehalococcoides ethenogenes", "Desulfitobacterium hafniense", "Desulfotalea psychrophila", "Desulfotomaculum reducens", "Desulfovibrio desulfuricans subsp. desulfuricans", "Desulfovibrio vulgaris", "Ehrlichia canis", "Ehrlichia chaffeensis", "Ehrlichia ruminantium", "Enterococcus faecalis", "Fervidobacterium nodosum", "Flavobacterium johnsoniae", "Flavobacterium psychrophilum", "Fusobacterium nucleatum subsp. nucleatum", "Geobacillus kaustophilus", "Geobacillus thermodenitrificans", "Geobacter metallireducens", "Geobacter sulfurreducens", "Geobacter uraniireducens", "Gloeobacter violaceus", "Gluconobacter oxydans", "Gramella forsetii", "Granulibacter bethesdensis", "Hahella chejuensis", "Halorhodospira halophila", "Hyphomonas neptunium", "Lactobacillus brevis", "Lactobacillus casei", "Lactobacillus delbrueckii subsp. bulgaricus", "Lactobacillus gasseri", "Lactobacillus johnsonii", "Lactobacillus plantarum", "Lactobacillus reuteri", "Lactobacillus sakei subsp. sakei", "Lactobacillus salivarius", "Lactococcus lactis subsp. cremoris", "Lactococcus lactis subsp. lactis", "Lawsonia intracellularis", "Legionella pneumophila", "Legionella pneumophila subsp. pneumophila", "Leifsonia xyli subsp. xyli", "Leptospira borgpetersenii serovar", "Leptospira interrogans serovar", "Leptospira interrogans serovar", "Leuconostoc mesenteroides subsp. mesenteroides", "Magnetospirillum magneticum", "Maricaulis maris", "Marinobacter hydrocarbonoclasticus", "Mesoplasma florum", "Mesorhizobium loti", "Methylibium petroleiphilum", "Moorella thermoacetica", "Mycobacterium avium subsp. paratuberculosis", "Mycobacterium bovis", "Mycobacterium gilvum", "Mycobacterium leprae", "Mycobacterium smegmatis", "Mycobacterium ulcerans", "Mycobacterium vanbaalenii", "Mycoplasma agalactiae", "Mycoplasma capricolum subsp. capricolum", "Mycoplasma gallisepticum", "Mycoplasma genitalium", "Mycoplasma hyopneumoniae", "Mycoplasma mobile", "Mycoplasma mycoides subsp. mycoides", "Mycoplasma penetrans", "Mycoplasma pneumoniae", "Mycoplasma pulmonis", "Mycoplasma synoviae", "Myxococcus xanthus", "Neorickettsia sennetsu", "Nitrosomonas europaea", "Nitrosospira multiformis", "Nocardia farcinica", "Novosphingobium aromaticivorans", "Ochrobactrum anthropi", "Onion yellows phytoplasma", "Parabacteroides distasonis", "Parvibaculum lavamentivorans", "Pediococcus pentosaceus", "Pelobacter carbinolicus", "Pelobacter propionicus", "Pelodictyon luteolum", "Pelotomaculum thermopropionicum", "Photorhabdus luminescens subsp. laumondii", "Porphyromonas gingivalis", "Prochlorococcus marinus", "Prochlorococcus marinus subsp. marinus", "Propionibacterium acnes", "Chlorobium phaeovibrioides", "Psychrobacter arcticus", "Psychrobacter cryohalolentis", "Actaea rubra", "Mesorhizobium sp.", "Rhizobium etli", "Rhizobium leguminosarum bv. viciae 3841", "Sinorhizobium medicae", "Sinorhizobium meliloti 1021", "Erythrobacter litoralis", "Ralstonia eutropha", "Ralstonia eutropha", "Ralstonia metallidurans", "Polynucleobacter necessarius subsp. asymbioticus", "Ralstonia solanacearum", "Polaromonas naphthalenivorans", "Polaromonas sp.", "Verminephrobacter eiseniae", "Thiobacillus denitrificans", "Methylobacillus flagellatus", "Chromobacterium violaceum", "Chlamydia muridarum", "Chlamydia trachomatis", "Chlamydia trachomatis", "Chlamydia trachomatis", "Chlamydophila pneumoniae", "Clostridium botulinum", "Clostridium botulinum", "Clostridium botulinum", "Clostridium botulinum", "Clostridium botulinum", "Clostridium perfringens", "Clostridium perfringens", "Clostridium perfringens str. 13", "Deinococcus geothermalis", "Deinococcus radiodurans", "Oceanobacillus iheyensis", "Listeria innocua", "Listeria monocytogenes", "Listeria monocytogenes str. 4b", "Listeria welshimeri serovar 6b str.", "Francisella tularensis", "Francisella tularensis subsp. holarctica", "Francisella tularensis subsp. holarctica", "Francisella tularensis subsp. holarctica", "Francisella tularensis subsp. novicida", "Francisella tularensis subsp. tularensis", "Francisella tularensis subsp. tularensis", "Francisella tularensis subsp. tularensis", "Colwellia psychrerythraea 34H", "Idiomarina loihiensis", "Pseudoalteromonas atlantica", "Pseudoalteromonas haloplanktis", "Saccharophagus degradans 2-40", "Shewanella amazonensis", "Shewanella baltica", "Shewanella baltica", "Shewanella denitrificans", "Shewanella frigidimarina", "Shewanella loihica", "Shewanella pealeana", "Shewanella putrefaciens", "Shewanella sediminis", "Shewanella sp.", "Shewanella sp.", "Shewanella sp.", "Shewanella sp.", "Chromobacterium group", "Delta/epsilon subdivisions", "Moorella group", "Nitrosomonas eutropha", "Acidiphilium cryptum", "Salmonella enterica subsp. enterica serovar", "Prochlorococcus marinus subsp. pastoris", "Pseudomonas syringae group genomosp. 2", "Syntrophomonas wolfei", "Yersinia pseudotuberculosis", "Bifidobacterium adolescentis", "Chlamydia muridarum", "Clostridium botulinum A", "Clostridium botulinum F", "Deinococcus geothermalis", "Bacillus amyloliquefaciens", "Bacillus clausii", "Bacillus halodurans", "Bacillus licheniformis", "Bacillus pumilus", "Bacillus subtilis subsp. subtilis", "Bacillus cereus group", "Bacillus cytotoxicus", "Bacillus thuringiensis serovar konkukian", "Oceanobacillus iheyensis", "Francisella tularensis subsp. novicida", "Francisella tularensis subsp. tularensis", "Aeromonas hydrophila subsp. hydrophila", "Aeromonas salmonicida subsp. salmonicida", "Colwellia psychrerythraea", "Idiomarina loihiensis", "Pseudoalteromonas atlantica", "Pseudoalteromonas haloplanktis", "Saccharophagus degradans", "Shewanella amazonensis", "Shewanella baltica", "Shewanella denitrificans", "Shewanella frigidimarina", "Shewanella loihica", "Shewanella pealeana", "Shewanella putrefaciens", "Shewanella sediminis", "Dichelobacter nodosus", "Nitrosococcus oceani", "Citrobacter koseri", "Cronobacter sakazakii", "Escherichia coli", "Klebsiella pneumoniae subsp. pneumoniae", "Pectobacterium atrosepticum", "Salmonella enterica subsp. enterica serovar", "Salmonella enterica subsp. enterica serovar Paratyphi A", "Salmonella enterica subsp. enterica serovar", "Salmonella enterica subsp. enterica serovar", "Serratia proteamaculans", "Shigella flexneri 2a", "Shigella flexneri 5", "Shigella sonnei", "Yersinia enterocolitica subsp. enterocolitica", "Pseudomonas entomophila", "Pseudomonas syringae pv. phaseolicola", "Pseudomonas syringae pv. syringae", "Pseudomonas syringae pv. tomato", "Thiomicrospira crunogena", "Photobacterium profundum", "Vibrio fischeri", "Vibrio harveyi", "Vibrio parahaemolyticus", "Vibrio cholerae", "Vibrio cholerae", "Vibrio vulnificus", "Neisseria gonorrhoeae", "Neisseria meningitidis serogroup C", "Neisseria meningitidis serogroup B", "Neisseria meningitidis serogroup A", "Haemophilus ducreyi", "Haemophilus influenzae", "Histophilus somni", "Mannheimia succiniciproducens", "Pasteurella multocida subsp. multocida", "Borrelia afzelii", "Borrelia bavariensis", "Treponema denticola", "Treponema pallidum subsp. pallidum", "Staphylococcus epidermidis", "Staphylococcus haemolyticus", "Staphylococcus saprophyticus subsp. saprophyticus", "Staphylococcus aureus subsp. aureus", "Streptococcus agalactiae serogroup V", "Streptococcus agalactiae serogroup", "Streptococcus agalactiae serogroup III", "Streptococcus gordonii str.", "Streptococcus pneumoniae", "Streptococcus pyogenes serotype", "Streptococcus pyogenes serotype", "Streptococcus pyogenes serotype", "Streptococcus pyogenes serotype", "Streptococcus pyogenes serotype", "Streptococcus pyogenes serotype", "Streptococcus pyogenes serotype", "Streptococcus pyogenes serotype", "Streptococcus pyogenes serotype", "Streptococcus sanguinis", "Streptococcus suis", "Thermotoga maritima", "Thermotoga petrophila", "Phagocytophilum group", "Pseudomonas putida group", "Campylobacter fetus", "Sulfur-oxidizing symbionts", "Clavibacter michiganensis", "Desulfovibrio desulfuricans", "Canis group", "Psychromonas ingrahamii", "Rhodobacter sphaeroides", "Rhodococcus jostii", "Rhodoferax ferrireducens", "Rhodopirellula baltica", "Rhodospirillum rubrum", "Rickettsia akari", "Rickettsia bellii", "Rickettsia canadensis", "Rickettsia conorii", "Rickettsia felis", "Rickettsia massiliae", "Rickettsia typhi", "Roseiflexus castenholzii", "Roseobacter denitrificans", "Rubrobacter xylanophilus", "Saccharopolyspora erythraea", "Salinibacter ruber", "Salinispora tropica", "Ruegeria pomeroyi", "Sodalis glossinidius", "Solibacter usitatus", "Sphingomonas wittichii", "Sphingopyxis alaskensis", "Streptomyces avermitilis", "Streptomyces coelicolor", "Symbiobacterium thermophilum", "Synechococcus elongatus", "Syntrophobacter fumaroxidans", "Syntrophomonas wolfei subsp. wolfei", "Syntrophus aciditrophicus", "Thermoanaerobacter tengcongensis", "Thermobifida fusca", "Thermosipho melanesiensis", "Thermosynechococcus elongatus", "Thermus thermophilus", "Sulfurimonas denitrificans", "Trichodesmium erythraeum", "Ureaplasma parvum serovar 3", "Wigglesworthia glossinidia", "Wolbachia endosymbiont of", "Wolinella succinogenes", "Xanthobacter autotrophicus", "Xanthomonas axonopodis pv. citri", "Xanthomonas campestris pv. campestris", "Xanthomonas euvesicatoria", "Xanthomonas oryzae pv. oryzae", "Zymomonas mobilis subsp. mobilis", "Bradyrhizobium japonicum", "Nitrobacter hamburgensis", "Nitrobacter winogradskyi", "Rhodopseudomonas palustris", "Brucella abortus bv. 1", "Rhizobium leguminosarum bv. viciae", "Burkholderia ambifaria", "Polynucleobacter necessarius subsp. asymbioticus", "Chromobacterium violaceum", "Manilkara excelsa", "Manilkara huberi", "Thubana pedicucullata", "Thubana gyrostigmatis", "Piptoporus betulinus", "Actaea sect.", "Actaea sect.", "Actaea sect.", "Actaea sect.", "Actaea sect.", "Actaea sect.", "Actaea sect.", "Licania anneae", "Mimosa skinneri", "Actaea acuminata", "Peltogyne maranhensis", "Actaea \u00d7ludovicii", "Lactobacillus casei group", "Lactobacillus delbrueckii", "Lactobacillus sakei", "Lactococcus lactis", "Leifsonia xyli", "Leptospira borgpetersenii", "Leptospira interrogans", "Mycoplasma capricolum", "Mycoplasma mycoides subsp. mycoides", "Photorhabdus luminescens", "Spotted fever group", "Typhus group", "Ureaplasma parvum", "Xanthomonas axonopodis", "Xanthomonas campestris", "Xanthomonas oryzae", "Zymomonas mobilis", "Bacillus subtilis group", "Salmonella enterica subsp. enterica", "Shigella flexneri", "Yersinia enterocolitica", "Pseudomonas stutzeri subgroup", "Pseudomonas syringae group genomosp. 3", "Vibrio cholerae", "Neisseria meningitidis", "Pasteurella multocida", "Borrelia burgdorferi group", "Staphylococcus saprophyticus", "Streptococcus agalactiae", "Streptococcus gordonii", "Bacteroidetes/Chlorobi group", "Mycoplasma mycoides group", "Mycoplasma mycoides", "Chlorobium/Pelodictyon group", "Pseudomonas stutzeri group", "Pseudomonas syringae group", "Mannheimia haemolytica", "Ant endosymbionts", "Ant, tsetse, mealybug, aphid, etc. endosymbionts", "Pouteria brevensis", "Pouteria decussata", "Hypolytrum paraense", "Pomponia backanensis", "Tanna yunnanensis", "Tanna sinensis", "Teinoptila clavata", "Aboilus chinensis", "Notohagla mauii", "Anemonopsis macrophylla", "Urda zelandica", "Pleistorallus flemingi", "Acizzia keithi", "Acizzia veski", "Cimbrophlebia brooksi", "Cimbrophlebia flabelliformis", "Cimbrophlebia leahyi", "Cimbrophlebia westae", "Malmocimbrophlebia buergeri", "Mongolbittacus daohugouensis", "Antiquanabittacus nanus", "Anemone trifolia subsp. trifolia", "Anemone trifolia subsp. brevidentata", "Anemone subg.", "Anemone subsect.", "Anemone sect.", "Pantherinus nue", "Pantherinus canus", "Pantherinus gestor", "Pantherinus bipunctatus", "Neodrymonia okanoi", "Anemone sect.", "Cathyalia nishizawai", "Peumus boldus", "Clematis subsect.", "Clematis subsect.", "Clematis subsect.", "Clematis smilacifolia subsp. smilacifolia", "Clematis smilacifolia var. peltata", "Clematis smilacifolia var. smilacifolia", "Anopheles coustani", "Anopheles crawfordi", "Anopheles crucians", "Pseudocyphocaris gosema", "Pseudocyphocaris lobata", "Pseudocyphocaris coxalis", "Urohaustorius halei", "Urohaustorius vercoi", "Urohaustorius drummondae", "Warragaia rintouli", "Nepelle nelera", "Dirimus tarlitus", "Gheegerus garbaius", "Narunius tallerkus", "Tecophilaea violiflora", "Ampelisca dingaal", "Ampelisca jiigurru", "Anemone pseudoaltaica", "Anemone trifolia", "Anopheles crypticus", "Anopheles cucphuongensis", "Clematis fulvicoma", "Clematis metuoensis", "Anopheles culiciformis", "Clematis vietnamensis", "Anopheles dazhaius", "Clematis crassipes", "Anopheles diluvialis", "Anopheles donaldi", "Anopheles earlei", "Anopheles eiseni", "Clematis gialaiensis", "Clematis andersonii", "Clematis munroiana", "Clematis menglaensis", "Clematis hedysarifolia", "Clematis bourdillonii", "Clematis pianmaensis", "Clematis fengii", "Clematis herrei", "Clematis korthalsii", "Clematis tashiroi", "Clematis papillosa", "Torreya masonii", "Calocedrus schornii", "Cunninghamia chaneyi", "Clematis liboensis", "Clematis antonii", "Clematis macgregori", "Sequoia affinis", "Tetraclinis potlachensis", "Tetraclinis salicornioides", "Ophelosia bifasciata", "Ophelosia crawfordi", "Ophelosia keatsi", "Cephennium aridum", "Cephennium canestroi", "Cephennium celsifrons", "Cephennium gilberti", "Cephennium grandarboreum", "Cephennium mariposae", "Cephennium urbanum", "Spinestis nikita", "Plectromerus roncavei", "Moranila aotearoae", "Moranila strigaster", "Clematis ser.", "Hyposcada illinissa", "Hyposcada illinissa tundayme", "Pedaliodes minabilis", "Dulzura taylorae", "Clematis sect.", "Clematis ser.", "Clematis mauritiana", "Dodia maja", "Clematis mauritiana var. mauritiana", "Clematis mauritiana var. coriacea", "Clematis ser.", "Hypophthalmus edentatus", "Hypophthalmus fimbriatus", "Hypophthalmus oremaculatus", "Xerus striatus", "Schizodon altoparanae", "Schizodon australis", "Schizodon borellii", "Schizodon dissimilis", "Schizodon intermedius", "Schizodon isognathus", "Schizodon jacuiensis", "Schizodon knerii", "Schizodon nasutus", "Schizodon platae", "Schizodon rostratus", "Schizodon vittatus", "Pentoperculum minimus", "Myleus altipinnis", "Myleus arnoldi", "Myleus asterias", "Myleus knerii", "Myleus levis", "Myleus lobatus", "Myleus micans", "Myleus pacu", "Myleus rhomboidalis", "Myleus schomburgkii", "Myleus setiger", "Myleus torquatus", "Fokieniopsis praedecurrens", "Alioramus altai", "Keteleeria ptesimosperma", "Chrysobothris fiji", "Xystriogidiella juliani", "Ceina gerlachae", "Ceina wannape", "Ceina carinata", "Taihape karori", "Waitomo manene", "Chevalia tenuis", "Gammaropsis hephaestus", "Diploporus torreyoides", "Photis davei", "Actinidia oregonensis", "Alangium dubium", "Alangium jenkensii", "Alangium vermontanum", "Alangium eydei", "Alangium rotundicarpum", "Bolttsia myersi", "Colomastix dentipalma", "Colomastix thomasi", "Colomastix processa", "Aphobetus cultratus", "Aphobetus erroli", "Aphobetus paucisetosus", "Rhus rooseae", "Clematis subsect.", "Clematis sect.", "Anonaspermum bonesii", "Anonaspermum pulchrum", "Clematis subsect.", "Clematis subsect.", "Clematis subsect.", "Aphobetus goldsmithii", "Clematis subsect.", "Aphobetus moundi", "Clematis subsect.", "Clematis subsect.", "Clematis sect.", "Aphobetus lecanii", "Aphobetus silvifilia", "Clematis subsect.", "Clematis subsect.", "Clematis subsect.", "Clematis subsect.", "Clematis subsect.", "Cavitas concava", "Aphobetus cyaneus", "Aphobetus nanus", "Aphobetus maskelli", "Ophelosia stenopteryx", "Ophelosia mcglashani", "Ophelosia charlesi", "Ophelosia australis", "Selenipedium isabelianum", "Selenipedium palmifolium", "Aechmea eurycorymbus", "Cissus apendiculata", "Teinoptila bolidias", "Teinoptila antistatica", "Teinoptila brunnescens", "Teinoptila guttella", "Galeandra curvifolia", "Prosotas dubiosa asbolodes", "Taxus masonii", "Torreya clarnensis", "Vesquia tournaisii", "Playaspalangia rothi", "Spalangia alyxia", "Spalangia flavicrus", "Spalangia imitator", "Spalangia innuba", "Spalangia leiopleura", "Spalangia masneri", "Spalangia nigroides", "Spalangia noyesi", "Spalangia plaumanni", "Spalangia rugosifrons", "Spalangia stictocephala", "Spalangia stictocyla", "Spalangia xanthoscapa", "Cimbrophlebia bittaciformis", "Wandin griffini", "Sikhotelumpia dersuuzalai", "Ussurilumpia trichaptumi", "Ptiliolum nemtsevi", "Vivamexico tamaulipeca", "Pristoderus bakewellii", "Ochrocydus huttoni", "Pedaliodes phantasia", "Pedaliodes phantasia phantasia", "Pedaliodes phantasia planetaria", "Lymanopoda marianna valentinae", "Lymanopoda marianna jacquelineae", "Lymanopoda marianna giselleae", "Lymanopoda marianna veronicae", "Lymanopoda marianna ioanae", "Saphenista deliphrobursa", "Saphenista dexia", "Napeogenes pharo", "Napeogenes pharo pharo", "Napeogenes pharo azeka", "Napeogenes pharo lamia", "Napeogenes pharo osuna", "Napeogenes pharo elva", "Napeogenes pharo astarte", "Napeogenes pharo gryne", "Napeogenes pharo pheranthes", "Napeogenes quadrilis", "Napeogenes sodalis", "Napeogenes verticella", "Napeogenes gracilis", "Qualea coerulea", "Marbefia carthyi", "Inermiphonte hamondi", "Inermiphonte danversae", "Inermiphonte drachi", "Paralaophonte pallaresae", "Paralaophonte kolarovi", "Riculorampha ancyloides", "Chlerogella anthonoma", "Chlerogella prolixa", "Chlerogella fortunaensis", "Chlerogella kellieae", "Chlerogella pinocchio", "Chlerogella clidemiae", "Chlerogella mourella", "Chlerogella elongaticeps", "Syndesus ambericus", "Acanthoscelides sauli", "Bittacus monastyrskiyi", "Colasidia abramovi", "Cylindroselloides dybasi", "Cylindroselloides maritimus", "Nanosella russica", "Ptiliolum orientalis", "Acrotrichis kemae", "Acrotrichis zhantievi", "Primorskiella anodonta", "Clematis sibirica var. iliensis", "Clematis sibirica var. tianschanica", "Clematis subsect.", "Physciella chloantha", "Physciella denigrata", "Physciella melanchra", "Physciella nepalensis", "Metahelotella schawalleri", "Metahelotella sprecherae", "Metahelotella semifulva", "Picipes badius", "Metahelotella bouchardi", "Metahelotella immaculata", "Metahelotella marthae", "Clematis sect.", "Clematis ser.", "Clematis columbiana var. tenuiloba", "Varanus rainerguentheri", "Varanus zugorum", "Aethalida pasinuntia", "Aethalida conflictalis", "Clematis sibirica", "Clematis sibirica var. sibirica", "Galictis vittata andina", "Galictis vittata brasiliensis", "Galictis vittata canaster", "Galictis vittata vittata", "Airamanna columbia", "Airamanna rhapsodia", "Airamanna rhaptissima", "Ampulloclitocybe clavipes", "Ampulloclitocybe avellaneialba", "Gulo gulo albus", "Gulo gulo gulo", "Gulo gulo katschemakensis", "Gulo gulo luscus", "Gulo gulo luteus", "Gulo gulo vancouverensis", "Clematis ser.", "Clematis ser.", "Culbersonia nubila", "Clematis ser.", "Clematis ser.", "Clematis pauciflora", "Clematis subsect.", "Ahnea lineata", "Sagola suturalis", "Sagola sharpi", "Sagola rugifrons", "Sagola prisca", "Sagola parva", "Sagola major", "Sagola misella", "Sagola mimica", "Sagola robusta", "Sagola pertinax", "Sagola robustula", "Sagola punctulata", "Sagola macronyx", "Meteorus rugonasus", "Alara castanea", "Alara cervus", "Alara dux", "Alara fulva", "Clematis chiisanensis", "Alara fumata", "Alara fusca", "Alara hyalina", "Clematis columbiana", "Alara improba", "Clematis columbiana var. columbiana", "Varanus indicus indicus", "Varanus indicus rouxi", "Physconia servitii", "Physconia sikkimensis", "Physconia subpallida", "Physconia subpulverulenta", "Physconia tentaculata", "Physconia thorstenii", "Physconia venusta", "Thaumalea testacea", "Bathylychnops exilis", "Opisthoproctus soleatus", "Sagola acuminata", "Sagola aemula", "Sagola affinis", "Sagola arboricola", "Sagola bilobata", "Sagola bipuncticeps", "Sagola brevifossa", "Sagola cilipes", "Sagola cordiceps", "Sagola distorta", "Sagola fagicola", "Sagola fasciculata", "Sagola foveiventris", "Sagola furcata", "Sagola ignota", "Sagola minuscula", "Sagola planipennis", "Sagola remixta", "Sagola rufescens", "Sagola strialis", "Sagola striatifrons", "Sagola subcuneata", "Sagola tenebrica", "Sagola valida", "Sagola angulifera", "Sagola auripila", "Varanus mabitang", "Varanus olivaceus", "Clematis \u00d7 guascoi", "Clematis \u00d7 francofurtensis", "Clematis \u00d7 triternata", "Clematis \u00d7 jeuneiana", "Varanus yemenensis", "Clematis \u00d7 jouiniana", "Varanus griseus griseus", "Varanus griseus caspius", "Varanus griseus koniecznyi", "Clematis \u00d7 bonstedtii", "Alara isabella", "Rinodinella controversa", "Rinodinella dubyanoides", "Rinodinella halophila", "Rinodinella lignana", "Rinodinella stenospora", "Redonia chilena", "Tornabea scutellifera", "Ramobia anmashana", "Psilalcis fui", "Uliura kurokoi", "Uliura gratiosa", "Darisa mucidaria", "Darisa maxima", "Darisa parallela", "Darisa peracuta", "Darisa missionaria", "Darisa firmilinea", "Darisa lampasaria", "Coremecis maculata", "Coremecis stueningi", "Eulemur rufifrons", "Drimys winteri", "Alara alboapicalis", "Eulemur flavifrons", "Hapalemur gilberti", "Hapalemur meridionalis", "Avahi betsileo", "Avahi meridionalis", "Avahi peyrierasi", "Androprosopa bispicula", "Thaumalea stelviana", "Physconia americana", "Physconia californica", "Physconia chinensis", "Physconia detersa", "Physconia distorta", "Physconia elegantula", "Physconia enteroxantha", "Physconia fallax", "Physconia farrea", "Physconia grisea", "Physconia grumosa", "Physconia hokkaidensis", "Physconia isidiigera", "Physconia isidiomuscigena", "Physconia jacutica", "Physconia leucoleiptes", "Physconia lobulifera", "Physconia petraea", "Physconia pulverulenta", "Physconia rossica", "Tetramelas chloroleucus", "Tetramelas confusus", "Varanus priscus", "Clematis \u00d7 rubro-violacea", "Clematis \u00d7 cartmanii", "Clematis \u00d7 stricta", "Clematis \u00d7 cylindrica", "Cherminotus longifrons", "Chilingosaurus chingshankouensis", "Palaeosaniwa canadensis", "Saniwides mongoliensis", "Telmasaurus grangeri", "Clematis takedana", "Saniwa ensidens", "Saniwa brooksi", "Sagola citima", "Sagola castanea", "Sagola brevitarsis", "Sagola unicalis", "Sagola terricola", "Sagola tenuis", "Sagola sulcator", "Sagola osculans", "Sagola duplicata", "Sagola elevata", "Sagola excavata", "Sagola fovealis", "Sagola genalis", "Sagola deformipes", "Sagola denticollis", "Sagola notabilis", "Sagola pulchra", "Sagola monstrosa", "Sagola australiae", "Sagola tasmaniae", "Sagola victoriae", "Sagola brevipennis", "Sagola formicicola", "Sagola helenae", "Sagola rugicornis", "Sagola foveicornis", "Sagola filixicola", "Zealachertus abbreviatus", "Zealachertus aspirensis", "Zealachertus bildiri", "Zealachertus binarius", "Zealachertus conjunctus", "Zealachertus holderi", "Zealachertus longus", "Zealachertus nephelion", "Zealachertus pilifer", "Zealachertus planus", "Zealachertus tortriciphaga", "Zealachertus nothofagi", "Clematis ochotensis f. fauriei", "Sagola dickensis", "Sagola disparata", "Sagola electa", "Sagola eminens", "Sagola flavipes", "Sagola frontalis", "Sagola fuscipalpis", "Sagola halli", "Sagola hectorii", "Sagola immota", "Sagola laminata", "Saniwa edura", "Saniwa osmaelensis", "Saniwa feisti", "Saniwa agilis", "Saniwa crassa", "Saniwa grandis", "Saniwa paucidens", "Iberovaranus catalaunicus", "Apalone spinifera", "Vanuatubasis santoensis", "Dolonagrion fulvellum", "Dichotropis amboinensis", "Adiantum diaphanum", "Adiantum raddianum", "Paleopanex oregonensis", "Guanabarostreptus triangulatus", "Pteris cretica", "Coryloides hancockii", "Pteris vittata", "Kardiasperma parvum", "Paraderma bogerti", "Eurheloderma gallicum", "Lanthanotus borneensis", "Anabaxis electrica", "Anabaxis foveolata", "Sagola basalis", "Sagola cognata", "Sagola diversa", "Sagola laticeps", "Sagola latistriata", "Sagola longipennis", "Sagola nitida", "Sagola puncticeps", "Sagola puncticollis", "Sagola anisarthra", "Sagola elongata", "Sagola insignis", "Clematis sect.", "Sagola hirtalis", "Sagola sobrina", "Sagola rectipes", "Sagola insolens", "Clematis sect.", "Sagola punctata", "Sagola ruficeps", "Sagola parallela", "Sagola bifida", "Sagola brevisternis", "Sagola concolorata", "Sagola confusa", "Sagola crassulipes", "Sagola fulvipennis", "Sagola indiscreta", "Sagola laetula", "Sagola longipes", "Sagola opercularis", "Sagola posticalis", "Sagola rotundiceps", "Sagola rustica", "Sagola setiventris", "Sagola socia", "Sagola bifoveiceps", "Sagola biimpressa", "Sagola clavatella", "Sagola grata", "Sagola latula", "Sagola lawsoni", "Sagola monticola", "Sagola occipitalis", "Sagola pallidula", "Sagola spiniventris", "Ahnea ventralis", "Sagola bipunctata", "Sagola bituberata", "Sagola brevicornis", "Sagola convexa", "Sagola colorata", "Clematis viticella", "Clematis rigoi", "Clematis ser.", "Clematis ser.", "Levu amboinensis", "Levu bicolensis", "Clematis subsect.", "Levu elongatus", "Clematis ser.", "Levu halosydne", "Trachinocephalus myops", "Levu muiri", "Levu pallescens", "Levu patolai", "Levu penarius", "Levu rubrofrontalis", "Levu rubropleuralis", "Levu samoensis", "Levu rufulus", "Argia variegata", "Levu vitiensis", "Phoenicagrion flammeum", "Phoenicagrion paulsoni", "Muiralevu africanus", "Muiralevu curvispinosus", "Schistolobos boliviensis", "Tycherobius aotearoa", "Neophyllobius sturmerwoodi", "Simkinion bimanum", "Simkinion prelaticum", "Clematis \u00d7 vedrariensis", "Clematis \u00d7 pseudococcinea", "Alara kershawi", "Alara laetanda", "Alara obscura", "Alara quatei", "Clematis \u00d7 divaricata", "Bahiria maytenella", "Copamyntis martimella", "Clematis \u00d7 morelii", "Clematis \u00d7 lawsoniana", "Pericallia matronula", "Pericallia matronula matronula", "Pericallia matronula sachalinensis", "Pericallia matronula helena", "Clematis \u00d7 standishii", "Homeoura sobrina", "Mecognatha hirsuta", "Mecognatha paradoxa", "Raphignathus atomatus", "Raphignathus crustus", "Mecognatha parilis", "Mecognatha rara", "Bursericarpum oregonense", "Bursericarpum aldwickense", "Cornus clarnensis", "Tycherobius hawaiiensis", "Mastixioidiocarpum oregonense", "Muiralevu inermis", "Clematis subsect.", "Clematis williamsii", "Muiralevu philippinensis", "Smerinthulus witti", "Smerinthulus myanmarensis", "Muiralevu quadramaculatus", "Neodiphthera venusta", "Neodiphthera sahulensis", "Neodiphthera sulphurea", "Neodiphthera decellei", "Neodiphthera tennenti", "Neodiphthera aruensis", "Mastixicarpum occidentale", "Hebomoia glaucippe glaucippe", "Andrevella persiangulfia", "Stigmatochroma adaucta", "Stigmatochroma epiflavia", "Stigmatochroma epimarta", "Stigmatochroma kryptoviolascens", "Stigmatochroma metaleptodes", "Stigmatochroma sorediata", "Coladenia uemurai", "Coladenia uemurai uemurai", "Coladenia uemurai motuoa", "Tetramelas geophilus", "Tetramelas graminicolus", "Tetramelas granulosus", "Tetramelas phaeophysciae", "Tetramelas pulverulentus", "Tetramelas regiomontanus", "Tetramelas terricolus", "Tetramelas triphragmioides", "Habrodais poodiae", "Habrodais poodiae poodiae", "Habrodais poodiae browni", "Arsenura jennettae", "Copaxa litensis", "Copaxa herbuloti", "Copaxa lavendera", "Copaxa mannana", "Copaxa mazaorum", "Copaxa medea", "Copaxa sophronia", "Copaxa simson", "Varanus bolkayi", "Varanus dirus", "Varanus emeritus", "Varanus hofmanni", "Varanus hooijeri", "Varanus lungui", "Varanus pronini", "Varanus rusingensis", "Varanus semjonovi", "Varanus sivalensis", "Varanus tyrasiensis", "Varanus darevskii", "Colpodontosaurus cracens", "Clematis ser.", "Buellia berggrenii", "Buellia caerulescens", "Buellia fusco-ochracea", "Buellia lavicola", "Buellia microspora", "Buellia oxydata", "Buellia pallidula", "Buellia pandani", "Buellia subcallispora", "Buellia subgranularis", "Pseudosalix handleyi", "Saxifragispermum spinosissimum", "Saxifragispermum tetragonalus", "Buellia circumpallida", "Rhotana albata", "Clematis ser.", "Trialeurodes bruneiensis", "Trialeurodes rex", "Metabemisia palawana", "Aleuroplatus biluminiporus", "Stenaleyrodes papillote", "Hebomoia glaucippe erinna", "Hebomoia glaucippe philippensis", "Hebomoia glaucippe boholensis", "Hebomoia glaucippe iliaca", "Hebomoia glaucippe cuyonicola", "Hebomoia glaucippe palawensis", "Hebomoia glaucippe lindae", "Langtonia bisulcata", "Nyssa spatulata", "Nyssa scottii", "Buellia boergesenii", "Buellia catasema", "Stigmatochroma gerontoides", "Buellia glaziouana", "Buellia jamaicensis", "Castanopsis crepetii", "Buellia placodiomorphoides", "Buellia subsensitiva", "Buellia subdispersula", "Salassa shuyiae", "Salassa lemaii", "Eumera lewandowskii", "Olepa schleini", "Clematis cadmia", "Clematis cadmia var. leptomera", "Synanthedon spatenkai", "Synanthedon armeniacum", "Bembecia daghestanica", "Quercus paleocarpa", "Incertae sedis", "Fortunearites endressii", "Buellia annulata", "Zelandanura bituberculata", "Clematis ochotensis f. ochotensis", "Naravelia zeylanica", "Pinus subg.", "Pinus sect.", "Dianthus armeria", "Amaurobius ferox", "Rhotana concolor", "Rhotana excelsa", "Rhotana formosana", "Rhotana fuscofasciata", "Rhotana haematoneura", "Santessonia bactridifolii", "Rhotana inoptata", "Santessonia cervicornis", "Rhotana inorata", "Santessonia epiphylla", "Santessonia hereroensis", "Rhotana latipennis", "Santessonia lagunebergii", "Santessonia namibensis", "Santessonia peruviensis", "Santessonia roccelloides", "Rhotana maculata", "Rhotana marmorata", "Rhotana mindanaoensis", "Rhotana torrevillasi", "Rhotana stigmosa", "Rhotana ornata", "Rhotana obaerata", "Rhotana pavo", "Rhotana vitriceps", "Dactylospora hafellneriana", "Hypoflavia andicola", "Hypoflavia crustosa", "Hypoflavia velloziae", "Neomegistus remus", "Allothrombium neapolitanum", "Thrips martini", "Caputanurina sinensis", "Holacanthella paucispinosa", "Platanurida marplesi", "Holacanthella brevispinosa", "Platanurida lata", "Terricula graphitana", "Adelphithrips dolus", "Scirtothrips pan", "Fritillaria michailovskyi", "Rhantus elisabethae", "Phaeorrhiza nimbosa", "Clematis ser.", "Reisserita zouhari", "Scalidomia hoenei", "Rhodobates sinensis", "Nemapogon gliriella", "Podarcis carbonelli", "Edosa spinosa", "Edosa sinica", "Praeacedes atomosella", "Spongia officinalis", "Clematis courtoisii", "Heterolacurbs ovalis", "Lygodactylus mirabilis", "Clematis ser.", "Clematis ser.", "Saccharodite rhinoceros", "Saccharodite rubra", "Saccharodite sanguinea", "Saccharodite thia", "Saccharodite toroensis", "Sumangala delicatula", "Sumangala furcata", "Sumangala nigromaculata", "Sumangala sordida", "Sumangala josephinae", "Sumangala otilanoi", "Sumangala nigropunctata", "Sumangala sufflava", "Neotrochometridium sensillum", "Trochometridium iranicum", "Chelipoda fuscoptera", "Zeros invenatus", "Stigmatomyces ilytheae", "Clematis vitalba var. vitalba", "Clematis vitalba var. angustiloba", "Oligosoma judgei", "Clematis gouriana var. gouriana", "Clematis gouriana var. mollifolia", "Catada psychis", "Penaincisalia atymna", "Amphotrombium jenseni", "Penaincisalia fassli", "Penaincisalia loxurina", "Penaincisalia amazona", "Clematis cirrhosa var. balearica", "Clematis cirrhosa var. pedicellata", "Poekilocerus pictus", "Ictonyx striatus arenarius", "Ictonyx striatus elgonis", "Ictonyx striatus erythreae", "Ictonyx striatus ghansiensis", "Ictonyx striatus giganteus", "Ictonyx striatus intermedius", "Ictonyx striatus kalaharicus", "Saccharodite metcalfi", "Saccharodite separata", "Saccharodite quinalayoi", "Saccharodite luzonensis", "Saccharodite cornicula", "Saccharodite inermis", "Saccharodite basicolorata", "Saccharodite imperiali", "Saccharodite spinosa", "Saccharodite virgata", "Saccharodite terebra", "Saccharodite rubrovenis", "Saccharodite rubirostrata", "Saccharodite millironi", "Saccharodite lutea", "Saccharodite bicornis", "Saccharodite misamensis", "Saccharodite basipunctulata", "Fungitarsonemus acus", "Fungitarsonemus boriquensis", "Fungitarsonemus cocosi", "Saccharodite casca", "Saccharodite chrysonoe", "Fungitarsonemus subtepidariorum", "Saccharodite coccinea", "Saccharodite guamana", "Saccharodite iridipennis", "Saccharodite kagoshimana", "Saccharodite laratica", "Saccharodite matsumurae", "Asparagus persicus", "Naravelia pilulifera", "Stylephorus chordatus", "Clematis cirrhosa var. cirrhosa", "Clematis cirrhosa var. bibracteata", "Latinopsis patagonica", "Latinopsis anisitsi", "Clematis subsect.", "Candona quasiincarum", "Neocypridopsis albida", "Terrestricypris wurdigae", "Gassicurtia acidobaeomyceta", "Gassicurtia bellardii", "Clematis moissenkoi", "Clematis crassisepala", "Clematis turkestanica", "Clematis kogenensis", "Clematis occidentalis", "Clematis occidentalis var. occidentalis", "Pediasia dolichanthia", "Pediasia echinulatia", "Pediasia perselloides", "Capperia irkutica", "Rhynchina helgae", "Carebara coqueta", "Carebara corniger", "Carebara crassiuscula", "Carebara cribriceps", "Carebara crigensis", "Carebara curvispinus", "Carebara debilis", "Carebara deponens", "Carebara diabola", "Carebara diabolica", "Carebara distincta", "Carebara donisthorpei", "Ictonyx libyca libyca", "Ictonyx libyca multivittata", "Ictonyx libyca oralis", "Ictonyx libyca rothschildi", "Pinus johndayensis", "Ictonyx striatus albescens", "Asclerobia gilvaria", "Pinus sect.", "Pinus subsect.", "Pinus sect.", "Pinus subsect.", "Pinus subsect.", "Pinus subsect.", "Pinus subsect.", "Pinus subsect.", "Phaeorrhiza sareptana", "Monerolechia bayrhofferi", "Oecanthus fultoni", "Oecanthus adyeri", "Oecanthus allardi", "Oecanthus angustus", "Oecanthus antennalis", "Mobergia angelica", "Mobergia calculiformis", "Australiaena streimannii", "Coscinocladium gaditanum", "Coscinocladium occidentale", "Carebara elmenteitae", "Carebara elongata", "Carebara erythraea", "Carebara escherichi", "Carebara frontalis", "Carebara globularia", "Rhotana pellax", "Carebara grandidieri", "Rhotana quadrimaculata", "Rhotana ramentosa", "Carebara hannya", "Carebara hunanensis", "Rhotana satsumana", "Carebara inca", "Carebara incerta", "Carebara incierta", "Rhotana semiopalina", "Carebara infima", "Gassicurtia catasema", "Gassicurtia chermesina", "Gassicurtia clathrisidiata", "Gassicurtia coccifera", "Gassicurtia coccinea", "Savignia zero", "Opiliotrombium akatarawa", "Gassicurtia coccinoides", "Gassicurtia dodecaspora", "Gassicurtia elizae", "Gassicurtia ferruginascens", "Gassicurtia manguensia", "Gassicurtia pseudosubpulchella", "Gassicurtia rufofuscescens", "Gassicurtia subpulchella", "Gassicurtia vaccinii", "Gassicurtia vernicoma", "Acritrombium striatum", "Fungitarsonemus kawakawa", "Fungitarsonemus kerikeri", "Fungitarsonemus tawa", "Fungitarsonemus kohia", "Clematis cirrhosa var. barnadesii", "Rhynchina martonhreblayi", "Clematis cirrhosa var. semitriloba", "Rhynchina rivuligera", "Hirstiosoma novaehollandiae", "Hirstiosoma scalaris", "Hirstiosoma tasmaniensis", "Sphaerotarsus leptopilus", "Sphaerotarsus claviger", "Clavismaris conifera", "Clavismaris cybaea", "Trichosmaris dispar", "Trichosmaris dispar dispar", "Trichosmaris dispar dentella", "Calorema azteka", "Rhotana septemmaculata", "Carebara intermedia", "Carebara jacobsoni", "Carebara jeanneli", "Carebara jiangxiensis", "Rhotana transversolinea", "Carebara junodi", "Rhotana trimaculata", "Carebara khamiensis", "Carebara kofana", "Rhotana venosa", "Carebara lamellifrons", "Carebara langi", "Carebara latro", "Carebara leei", "Dermiscellum oulocheilum", "Rhotanella lautereri", "Rhotanella lucida", "Rhotanella novemmacula", "Rhotanella punctovenosa", "Rhotanella thyrsis", "Kakadudessus tomweiri", "Clematis robertsiana", "Dermatiscum fallax", "Saccharodite acuta", "Dermatiscum harrissoni", "Dermatiscum mawsonii", "Dermatiscum thunbergii", "Dermatiscum viride", "Saccharodite singularis", "Saccharodite obtusa", "Echeta toulgoeti", "Amaxia paragnosia", "Clematis ligusticifolia var. angustifoliola", "Haemanota concelata", "Clematis ligusticifolia var. californica", "Haemanota improvisa", "Clematis ligusticifolia var. ligusticifolia", "Mylothris knoopi", "Mylothris lucens", "Mylothris eximia", "Pinus sect.", "Pinus subsect.", "Pinus subsect.", "Pinus subsect.", "Pinus subsect.", "Pinus subsect.", "Pinus fragilissima", "Taxus chinensis", "Alopia pomatias albicostata", "Alopia pomatias pomatias", "Alopia glauca glauca", "Alopia glauca latens", "Taxus mairei", "Alopia subcosticollis subcosticollis", "Alopia subcosticollis vicina", "Alopia straminicollis straminicollis", "Buellia fosteri", "Buellia fraudans", "Hypsilurus godeffroyi", "Buellia gomerana", "Buellia levieri", "Buellia metaphragmia", "Hypsilurus hikidanus", "Buellia parastata", "Buellia pleiotera", "Calycanthus chinensis", "Gnorimoschema brachiatum", "Gnorimoschema clavatum", "Calycanthus floridus var. glaucus", "Aculops beeveri", "Aculops hilli", "Aculops monoices", "Aculops albensis", "Aculops pittospori", "Aculops serrati", "Aculops wahlenbergiae", "Argemone hunnemannii", "Calycanthus occidentalis", "Lambella cerina", "Calycanthus floridus", "Calycanthus floridus var. floridus", "Levonga papaitongensis", "Acalitus carpatus", "Acalitus dissimus", "Acalitus excelsus", "Acalitus intertextus", "Acalitus kohus", "Acalitus spinus", "Ramaculus mahoe", "Alopia straminicollis novalis", "Alopia straminicollis monacha", "Alopia plumbea plumbea", "Alopia plumbea wagneri", "Alopia plumbea proclivis", "Alopia plumbea bellicosa", "Alopia plumbea mutabilis", "Alopia plumbea glabriuscula", "Alopia plumbea sabinae", "Alopia plumbea deubeli", "Alopia plumbea regalis", "Alopia plumbea doftanae", "Alopia plumbea rossmaessleri", "Alopia bogatensis bogatensis", "Alopia bogatensis angustata", "Alopia bielzii clathrata", "Alopia bielzii tenuis", "Alopia bielzii madensis", "Alopia bielzii bielzii", "Cinnamomophyllum bendirei", "Pseudokoala cathysantamaria", "Pseudokoala curramulkensis", "Pseudokoala erlita", "Algyroides marchi", "Drosophila suzukii", "Hyposmocoma laysanensis", "Hyposmocoma ekemamao", "Hyposmocoma opuumaloo", "Hyposmocoma mokumana", "Hyposmocoma nihoa", "Hyposmocoma kikokolu", "Hyposmocoma menehune", "Hyposmocoma papahanau", "Nealyda bifidella", "Nealyda kinzelella", "Nealyda phytolaccae", "Nealyda pisoniae", "Sonotetranychus tawhairauriki", "Sonotetranychus albiflorae", "Sonotetranychus angiopenis", "Sonotetranychus daleae", "Sonotetranychus kermanensis", "Sonotetranychus vaneyndhoveni", "Sonotetranychus wadicolus", "Tribolonychus collyerae", "Yezonychus brevipilus", "Yezonychus falsicornus", "Schizotetranychus kaspari", "Schizotetranychus levinensis", "Austrorhexius orientalis", "Tomeplasus capetocavus", "Platomesus dorrigo", "Eupinolus altulus", "Eupinolus punctatus", "Dalmisus batrisodes", "Adalmus velutinus", "Sotropalpus manga", "Maoricicada oromelaena", "Momorangia vallata", "Carastrum ferrari", "Carastrum sanurense", "Ulotrichopus fatilega fatilega", "Ulotrichopus fatilega griseus", "Bactrianoscythris satyrella", "Bactrianoscythris pamirica", "Bactrianoscythris khinjani", "Bactrianoscythris annae", "Bactrianoscythris afghana", "Bactrianoscythris ginevrae", "Bactrianoscythris depranella", "Scythris farsi", "Oenomaus jauffreti", "Oenomaus taua", "Oenomaus griseus", "Oenomaus druceus", "Oenomaus magnus", "Oenomaus morroensis", "Oenomaus nigra", "Oenomaus curiosa", "Tristerix corymbosus", "Corades liliaceus", "Filipendula subg.", "Taygetis rufomarginata", "Taygetis rufomarginata rufomarginata", "Taygetis rufomarginata tapulunmi", "Ictonyx striatus lancasteri", "Ictonyx striatus limpopoensis", "Ictonyx striatus maximus", "Ictonyx striatus obscuratus", "Ictonyx striatus orangiae", "Ictonyx striatus ovamboensis", "Ictonyx striatus pretoriae", "Ictonyx striatus senegalensis", "Ictonyx striatus shoae", "Ictonyx striatus shortridgei", "Ictonyx striatus striatus", "Lyncodon patagonicus patagonicus", "Lyncodon patagonicus thomasi", "Argia concinna", "Argia telesfordi", "Cymeda zealandica", "Litaculus khandus", "Litaculus acutus", "Litaculus antapicus", "Litaculus gillianae", "Litaculus pennigerus", "Litaculus squarrosus", "Neandra marginicollis", "Archandra caspia", "Termitaradus avitinquilinus", "Termitaradus mitnicki", "Iodes multireticulata", "Iodes cirrhosa", "Iodes chandlerae", "Iodicarpa ampla", "Iodicarpa lenticularis", "Taxus cuspidata var. nana", "Buellia procellarum", "Buellia pruinosa", "Hypsilurus longi", "Calycanthus brockianus", "Buellia pseudotetrapla", "Buellia reagens", "Buellia rechingeri", "Buellia subcrassata", "Magnolia rabaniana", "Buellia subtropica", "Hypsilurus macrolepis", "Buellia tetrapla", "Buellia xanthonica", "Hypsilurus magnus", "Scopelodes bicolor", "Hypsilurus modestus", "Hydrangea knowltonii", "Pinus subsect.", "Pinus subg.", "Pinus sect.", "Pinus subsect.", "Pinus subsect.", "Pinus sect.", "Pinus subsect.", "Carebara overbecki", "Carebara paeta", "Carebara panamensis", "Carebara patrizii", "Carebara paya", "Platanus condonii", "Platanus exaspera", "Cedrelospermum lineatum", "Cedrelospermum nervosum", "Ulmus chaneyi", "Ulmus speciosa", "Fagus schofieldii", "Fagus langevinii", "Laevicaulis alte", "Cretodinapsis caucasica", "Prodinapsis succinalis", "Vaginulus occidentalis", "Prodinapsis minor", "Prodinapsis pumilio", "Coleocoptus senio", "Prodinapsis janzeni", "Prodinapsis oesiensis", "Megapallifera mutabilis", "Ukrainosa prolata", "Helophilus campbellicus", "Helophilus seelandicus", "Pyroderces bifurcata", "Thyrocopa peleana", "Thyrocopa sapindiella", "Thyrocopa seminatella", "Thyrocopa spilobathra", "Thyrocopa subahenea", "Thyrocopa usitata", "Thyrocopa vagans", "Thyrocopa viduella", "Dynastor darius", "Dynastor darius darius", "Dynastor darius anaxarete", "Dynastor darius faenius", "Dynastor darius ictericus", "Dynastor darius stygianus", "Brassolis dinizi", "Stephensia armata", "Tischeria urticicolella", "Nemophora insulariella", "Nemophora sinevi", "Nemophora ochrocephala", "Cinnamomophyllum knowltonii", "Litseaphyllum presanguinea", "Smicromorpha banksi", "Smicromorpha lagynos", "Smicromorpha eudela", "Smicromorpha masneri", "Aconitum fletcheranum", "Aconitum fukutomei", "Aconitum fukutomei var. formosanum", "Aconitum fukutomei var. fukutomei", "Dingosa humphreysi", "Cynomacrurus piriei", "Haplomacrourus nudirostris", "Calathodes oxycarpa", "Actaea simplex", "Amata harandii", "Lepidorhynchus denticulatus", "Loepa diffundata", "Loepa katinka", "Macrosmia phalacra", "Cabomina monicae", "Cabomina dracomontana", "Phymatophaea earlyi", "Phymatophaea insula", "Phymatophaea atrata", "Phymatophaea breviclava", "Phymatophaea fuscitarsis", "Phymatophaea hudsoni", "Phymatophaea longula", "Phymatophaea lugubris", "Phymatophaea oconnori", "Phymatophaea opacula", "Phymatophaea pustulifera", "Phymatophaea testacea", "Phymatophaea guttigera", "Phymatophaea reductipennis", "Phymatophaea opiloides", "Balcus violaceus", "Sympedius bufo", "Sympedius costatus", "Sympedius densus", "Sympedius minor", "Sympedius lepidus", "Sympedius rectirostris", "Sympedius ferrugatus", "Sympedius testudo", "Belenois java", "Lancetes dacunhae", "Cabomina heliostoma", "Chamanthedon heliostoma", "Anemone subg.", "Anemone crassifolia", "Cethosia biblis", "Cethosia biblis biblis", "Cethosia biblis insularis", "Cethosia biblis sandakana", "Cethosia biblis liacura", "Cethosia biblis placito", "Cethosia biblis mapuna", "Pyrgus aladaghensis", "Bathyphlebia aglioides", "Martes americana abieticola", "Martes americana albeietinoides", "Martes americana actuosa", "Martes americana americana", "Martes americana atrata", "Martes americana caurina", "Nyceryx janzeni", "Martes americana humboldtensis", "Martes americana kenaiensis", "Martes americana nesophila", "Martes americana origensis", "Martes americana sierrae", "Martes americana vancourverensis", "Martes americana vulpina", "Odontomacrurus murrayi", "Pseudocetonurus septifer", "Holoarctia puengeleri fridolini", "Holoarctia puengeleri perunovi", "Nuphar advenoides", "Mahonia simplex", "Mahonia bilinica", "Arion alpinus", "Mahonia marginata", "Carebara lignata", "Carebara longiceps", "Carebara longii", "Carebara lucida", "Carebara lusciosus", "Carebara majeri", "Carebara manni", "Carebara mayri", "Arion ater", "Carebara menozzii", "Arion distinctus", "Fothergilla praeovata", "Carebara minima", "Carebara minuta", "Carebara mjobergi", "Carebara nana", "Parrotia brevipetiolata", "Carebara nayana", "Arion fuscus", "Carebara nitida", "Carebara norfolkensis", "Carebara nosindambo", "Carebara nuda", "Carebara obtusidentus", "Carebara octata", "Arion rufus", "Carebara oertzeni", "Carebara oertzeni aeolia", "Carebara oertzeni oertzeni", "Carebara oni", "Carebara osborni", "Meghimatium fruhstorferi", "Rubes bruesi", "Hyperphyscia adglutinata", "Hyperphyscia carassensis", "Hyperphyscia cochlearis", "Hyperphyscia coralloidea", "Hyperphyscia coronata", "Hyperphyscia crocata", "Megazar elegans", "Hyperphyscia granulata", "Hyperphyscia isidiata", "Hyperphyscia minor", "Hyperphyscia mobergii", "Hyperphyscia pandani", "Hyperphyscia plinthiza", "Hyperphyscia pruinosa", "Hyperphyscia pseudocoralloides", "Hyperphyscia pyrithrocardia", "Hyperphyscia syncolla", "Hyperphyscia synthalea", "Hyperphyscia tuckermanii", "Hyperphyscia variabilis", "Hyperphyscia viridissima", "Taxus contorta", "Phymatophaea tracheloglaba", "Phymatophaea deirolinea", "Phymatophaea enodis", "Phymatophaea caledonia", "Phymatophaea watti", "Phymatophaea maorias", "Phymatophaea aquila", "Phymatophaea auripila", "Megalava truncata", "Valaa delclosi", "Megallica parva", "Auchenoceros punctatus", "Alisalia elongata", "Alisalia minuta", "Notocoderus argentinus", "Pelecystola nearctica", "Clivina morio", "Clivina americana", "Curculapolipus trisetosus", "Blaberpolipus cavernicola", "Buprestapolipus megachelus", "Dilopolipus leei", "Eichhornia diversifolia", "Bircericola bertrami", "Eichhornia paniculata", "Palaeoplatycarya ? hickeyi", "Palaeoplatycarya richardsonii", "Palaeoplatycarya wingii", "Palaeoplatycarya manchesteri", "Faristenia ussurilla", "Faristenia quercivora", "Faristenia omelkoi", "Faristenia jumbongae", "Faristenia geminisignella", "Palaeophytocrene pseudopersica", "Pyrenacantha occidentalis", "Eichhornia heterosperma", "Eichhornia paradoxa", "Hasodima ediliacarmenae", "Euclidiodes frayjorgeana", "Eichhornia azurea", "Eichhornia natans", "Juglans clarnensis", "Palaeocarya clarnensis", "Calisius zealandicus", "Nymphoides peltata", "Allorhogas taua", "Allorhogas conostegia", "Calleremites subornata", "Pachista superans", "Pseudohedya fanjingica", "Pseudohedya liui", "Pseudohedya cincinna", "Pseudohedya dentata", "Pseudohedya gradana", "Pseudohedya plumbosana", "Pseudohedya retracta", "Pseudohedya satoi", "Cryptalyra colombia", "Cryptalyra depressa", "Rigel chiliensis", "Cryptalyra plaumanni", "Cabomba aquatica", "Neodinapsis peckorum", "Cabomba caroliniana var. caroliniana", "Carminator affinis", "Carminator ater", "Carminator cavus", "Carminator nooni", "Comicilabium atkinsii", "Megalyra baltica", "Palaeophytocrene hancockii", "Carminator helios", "Carminator japonicus", "Ceratophyllum demersum", "Naonella forsythi", "Naonella kimihia", "Oliveiriella almeidai", "Tapinoma melanocephalum", "Mayriella ebbei", "Mayriella sharpi", "Mayriella abstinens", "Cabomba caroliniana var. pulcherrima", "Cabomba caroliniana var. flavida", "Pontederia subovata", "Martes flavigula borealis", "Martes flavigula chrysospila", "Martes flavigula flavigula", "Martes flavigula hainana", "Martes flavigula henrici", "Martes flavigula indochinensis", "Decodon allenbyensis", "Martes flavigula peninsularis", "Martes flavigula robinsoni", "Martes flavigula saba", "Scholleropsis lutea", "Hydrothrix gardneri", "Eupodes longisetatus", "Eoophyla abstrusa", "Eoophyla evidens", "Eoophyla conjunctalis", "Eoophyla gibbosalis", "Eoophyla halialis", "Eoophyla hamalis", "Eoophyla melanops", "Eoophyla menglensis", "Eoophyla mimeticalis", "Eoophyla nigripilosa", "Butomus junceus", "Butomus umbellatus", "Mayriella spinosior", "Mayriella overbecki", "Mayriella granulata", "Mayriella transfuga", "Imaizumila sexdentata", "Imaizumila araucana", "Portunites eocenica", "Portunites incerta", "Portunites insculpta", "Portunites kattachiensis", "Portunites stintoni", "Portunites sylviae", "Portunites nodosus", "Megokkos alaskensis", "Eudyaria sigridae", "Lindera clarnensis", "Laurocalyx wheelerae", "Laurocarpum hancockii", "Laurocarpum nutbedensis", "Laurocarpum proteum", "Laurocarpum raisinoides", "Pontederia cordata", "Pontederia cordata var. ovalis", "Pontederia cordata var. cordata", "Pontederia sagittata", "Pontederia parviflora", "Tanaecia leucotaenia", "Tanaecia leucotaenia leucotaenia", "Tanaecia leucotaenia cabigoni", "Pontederia triflora", "Pontederia rotundifolia", "Delias hyparete", "Carebara reticapitus", "Carebara reticulata", "Hibiscus insularis", "Pandorea linearis", "Pandorea baileyana", "Neosepicaea leptophylla", "Pandorea nervosa", "Pandorea floribunda", "Pandorea doratoxylon", "Pandorea pandorana subsp. austrocaledonica", "Speyeria idalia", "Speyeria diana", "Speyeria cybele", "Pandorea pandorana subsp. timorensis", "Pandorea pandorana subsp. pandorana", "Faristenia circulicaudata", "Faristenia angustivalvata", "Faristenia cornutivalvaris", "Laudakia stoliczkana", "Megalagrion calliphya", "Hypsilurus nigrigularis", "Eeyorius hutchinsi", "Hypsilurus ornatus", "Eretmophorus kleinenbergi", "Hypsilurus papuensis", "Halargyreus johnsonii", "Zegris fausti", "Hypsilurus papuensis longicauda", "Hypsilurus papuensis papuensis", "Hypsilurus schoedei", "Hypsilurus schultzewestrumi", "Lophosaurus spinipes", "Hypsilurus tenuicephalus", "Notophycis fitchi", "Notophycis marginata", "Faristenia kangxianensis", "Faristenia medimaculata", "Faristenia impenicilla", "Faristenia pallida", "Faristenia triangula", "Faristenia wuyiensis", "Faristenia praemaculata", "Monochoria vaginalis", "Danionella priapus", "Danionella translucida", "Danionella mirifica", "Halobatrachus didactylus", "Caliagrion billinghursti", "Aphos porosus", "Rhynchogadus hepaticus", "Coproptilia tawiensis", "Salilota australis", "Svetovidovia lucullus", "Helmholtzia glaberrima", "Austroppia crozetensis", "Setuloppia newelli", "Africasejus congoensis", "Africasejus solaris", "Epicroseius blaszaki", "Tosia neossia", "Psammodromus jeanneae", "Anapoma martoni", "Camptoloma kishidai", "Camptoloma bella", "Heteranthera limosa", "Psammodromus manuelae", "Olepa kakatii", "Corades anfortas anfortas", "Corades anfortas celestini", "Acosmeryx beatae", "Achyra arida", "Psammotis roseus", "Paschiodes ugandae", "Neotinea ustulata", "Zephyranthes carinata", "Zephyranthes nervosa", "Ianiropsis koreaensis", "Lernaeenicus longiventris", "Lernaeenicus polyceraus", "Lernaeenicus alatus", "Neosampa granulata", "Floydwernerius australis", "Floydwernerius troilus", "Ceratobaeus mussiae", "Ceratobaeus turneri", "Decoroppia prodigiosa", "Colopea lehtineni", "Crenicichla tesay", "Trapelus schmitzi", "Nineta vittata", "Alicorhagia usitata", "Papillocepheus decorus", "Constrictocepheus curtiseta", "Spathodea campanulata subsp. campanulata", "Constrictocepheus punctatus", "Constrictocepheus tenuiseta", "Plenotocepheus colliger", "Spathodea campanulata subsp. congolana", "Spathodea campanulata subsp. nilotica", "Megalestes palaceus", "Pandorea stenantha", "Polyodontognathus caerulescens", "Praescutata viperina", "Monomorium sydneyense", "Monomorium fieldi", "Monomorium antipodum", "Chilopsis linearis subsp. linearis", "Chilopsis linearis subsp. arcuata", "Discomegistus pectinatus", "Discozercon derricki", "Discozercon mirabilis", "Echeandia durangensis", "Lyconodes argenteus", "Anemone tenuifolia", "Monochoria hastata", "Lyconus pinnatus", "Monochoria hastata var. hastata", "Lyconus brachycolus", "Monochoria hastata var. elata", "Steindachneria argentea", "Isopenthocrates japona", "Carebara perpusilla", "Carebara perpusilla arnoldiana", "Carebara perpusilla condecens", "Carebara perpusilla perpusilla", "Carebara perpusilla spinosa", "Carebara peruviana", "Carebara petulca", "Carebara pilosa", "Carebara pisinna", "Carebara polita", "Idioglossa thailandica", "Carebara polita nicotianae", "Carebara polita polita", "Carebara polyphema", "Carebara pseudolusciosus", "Carebara punctata", "Carebara raja", "Carebara rara", "Carebara rectidorsus", "Carebara reina", "Helicoverpa sugii", "Anhimomegninia longipes", "Anhemialges gaudi", "Anhemialges albidus", "Anhemialges gracillimus", "Anhemialges subinteger", "Dolichandra chodatii", "Merlangius merlangus", "Microgadus proximus", "Microgadus tomcod", "Dolichandra dentata", "Dolichandra quadrivalvis", "Dolichandra steyermarkii", "Dolichandra unguiculata", "Retipenna variegata", "Retipenna diana", "Retipenna callioptera", "Nadagara subnubila", "Retipenna huai", "Retipenna chaoi", "Nadagara prosigna", "Nadagara vigaia", "Retipenna burmana", "Retipenna chione", "Nadagara umbrifera", "Retipenna dasyphlebia", "Retipenna maculosa", "Retipenna notata", "Retipenna sichuanica", "Retipenna inordinata", "Adelpha levona", "Carebara robertsoni", "Carebara rothneyi", "Carebara rugata", "Carebara santschii", "Carebara sarasinorum", "Carebara sarita", "Carebara satana", "Carebara sauteri", "Carebara semilaevis", "Carebara sicheli", "Chrysopa pallens", "Carebara silvestrii", "Carebara simalurensis", "Carebara similis", "Carebara sodalis", "Carebara sophiae", "Carebara stenopterus", "Mictopsichia callicharis", "Mictopsichia gemmisparsana", "Mictopsichia godmani", "Mictopsichia hubneriana", "Gadiculus argenteus", "Mictopsichia miocentra", "Mictopsichia ornatissima", "Mictopsichia pentargyra", "Mictopsichia periopta", "Mictopsichia renaudalis", "Martes foina bosniaca", "Martes foina bunites", "Martes foina foina", "Martes foina kozlovi", "Martes foina intermedia", "Martes foina mediterranea", "Martes foina milleri", "Martes foina nehringi", "Martes foina rosanowi", "Martes foina syriaca", "Martes foina toufoeus", "Acanthocercus adramitanus", "Mictopsichia cubilgruitza", "Mictopsichia cubae", "Mictopsichia guatemalae", "Mictopsichia atoyaca", "Mictopsichia marowijneae", "Mictopsichia benevides", "Mictopsichia panamae", "Mictopsichia chlidonata", "Mictopsichia egae", "Mictopsichia boliviae", "Mictopsichia mincae", "Mictopsichia buenavistae", "Mictopsichia jamaicana", "Rubropsichia fuesliniana", "Rubropsichia brasiliana", "Rubropsichia santaremana", "Chamaepsichia rubrochroa", "Chamaepsichia durranti", "Hilarographa charagmotorna", "Hilarographa mariannae", "Hilarographa iquitosana", "Hilarographa belizeae", "Hilarographa parambae", "Atrytonopsis llorentei", "Hesperagrion heterodoxum", "Microsmaris hirsti", "Microsmaris joannae", "Microsmaris minutus", "Callidosoma ripicola", "Holcotrombidium scalare", "Holcotrombidium cygnus", "Parantica fuscela fuscela", "Parantica fuscela berak", "Philiris siassi", "Philiris siassi siassi", "Philiris siassi krima", "Philiris apicalis", "Philiris apicalis apicalis", "Philiris apicalis ginni", "Gadus chalcogrammus", "Diplublephara cornujuxta", "Theragra finnmarchica", "Callichlamys latifolia", "Bignonia aequinoctialis", "Adenocalymma bipinnatum", "Adenocalymma bracteosum", "Bignonia callistegioides", "Bignonia phellosperma", "Hesperilla sarnia", "Lecythis pisonis", "Trisopterus luscus", "Trisopterus esmarkii", "Napoleonaea imperialis", "Argyrosomus japonicus", "Argyrosomus thorpei", "Brosme brosme", "Napoleonaea heudelotii", "Argyrosomus inodorus", "Napoleonaea egertonii", "Argyrosomus hololepidotus", "Argyrosomus coronus", "Dicrotegaeus mirabilis", "Napoleonaea gabonensis", "Napoleonaea gossweileri", "Napoleonaea lutea", "Napoleonaea reptans", "Napoleonaea septentrionalis", "Napoleonaea talbotii", "Napoleonaea vogelii", "Eupithecia amicula", "Eupithecia honesta", "Martes martes borealis", "Eupithecia albimetia", "Martes martes latinorum", "Eupithecia salubris", "Martes martes lorenzi", "Eupithecia antiqua", "Fridericia cuneifolia", "Eupithecia tibetana", "Eupithecia citraria", "Micromesistius poutassou", "Micromesistius australis", "Eupithecia russula", "Eupithecia brunneilutea", "Eupithecia luctuosa", "Eupithecia apta", "Eupithecia fortis", "Pollachius virens", "Amblychia atropunctata", "Catoria sulawesensis", "Cryptomedasina nagaii", "Cryptomedasina vandenberghi", "Ectropidia subprimata", "Ectropidia saitoi", "Ectropidia hollowayi", "Ectropidia paraprimata", "Carebara striata", "Carebara sublatra", "Carebara subreptor", "Carebara sudanensis", "Adelpha bredowii", "Adelpha bredowii bredowii", "Carebara sudanica", "Adelpha bredowii eulalia", "Carebara sundaica", "Carebara tahitiensis", "Adelpha bredowii californica", "Adelpha diocles", "Adelpha diocles diocles", "Adelpha diocles creton", "Adelpha paroeca", "Adelpha paroeca paroeca", "Adelpha paroeca pseudodonysa", "Adelpha paraena", "Adelpha paraena paraena", "Adelpha paraena massilia", "Adelpha paraena reyi", "Adelpha paraena lecromi", "Boreogadus saida", "Eleginus gracilis", "Eleginus nawaga", "Albericus murritus", "Cophixalus caverniphilus", "Oreophryne anamiatoi", "Epistomolichus reticulatus", "Molva dypterygia", "Molva macrophthalma", "Molva molva", "Raniceps raninus", "Erythromma lindenii", "Erythromma humerale", "Erythromma tinctipennis", "Calvertagrion minutissimum", "Argia yungensis", "Compactozetes zeugus", "Sadocepheus foveolatus", "Compactozetes niger", "Compactozetes rotoruensis", "Compactozetes hastatus", "Compactozetes serratus", "Vanuatubasis bidens", "Vanuatubasis malekulana", "Metopiosa fossiliata", "Pieris napi migueli", "Pieris napi santateresae", "Pieris napi carlosi", "Magnolia macrophylla subsp. macrophylla", "Idaea acutipennis", "Macroglossum cadioui", "Achrosis sandroi", "Thyranthrene albicincta", "Thyranthrene obliquizona", "Thyranthrene pyrophora", "Melitaea kunlunensis", "Gandaca harina", "Gandaca butyrosa", "Gandaca harina harina", "Gandaca harina auriflua", "Eurema andersoni", "Eurema andersoni andersoni", "Eurema andersoni sadanobui", "Eurema andersoni shimai", "Rhopobota falcata", "Pediasia sinevi", "Leuciacria olivei", "Martes martes martes", "Martes martes minoricensis", "Martes martes notialis", "Martes martes ruthena", "Martes martes uralensis", "Martes melampus coreensis", "Martes melampus melampus", "Martes melampus tsuensis", "Martes pennanti columbiana", "Martes pennanti pacifica", "Martes pennanti pennanti", "Parantica fuscela", "Leiocephalus carinatus", "Notochoragus chathamensis", "Notochoragus crassus", "Notochoragus fungicola", "Notochoragus nanus", "Notochoragus thoracicus", "Lissodema japonum", "Lissodema plagiatum", "Asemonea cuprea", "Couroupita subsessilis", "Couroupita nicaraguarensis", "Megalota submicans", "Megalota synchysis", "Megalota peruviana", "Megalota aquilonaris", "Megalota vulgaris", "Megalota cacaulana", "Megalota macrososia", "Megalota ochreoapex", "Megalota spinulosa", "Megalota simpliciana", "Megalota delphinosema", "Megalota jamaicana", "Megalota ricana", "Megalota ceratovalva", "Megalota bicolorana", "Megalota longisetana", "Megalota deceptana", "Megalota crassana", "Megalota gutierrezi", "Megalota chamelana", "Megalota beckeri", "Megalota flintana", "Megalota plenana", "Megalota pastranai", "Magnolia \u00d7 thompsoniana", "Magnolia \u00d7 speciosa", "Hypolimnas bolina", "Hypolimnas bolina nerina", "Akebia chingshuiensis", "Hemidendroides daglariensis", "Dendroides canadensis", "Akebia longeracemosa", "Akebia trifoliata subsp. trifoliata", "Akebia trifoliata subsp. australis", "Psephenotarsis shepardi", "Akebia trifoliata subsp. longisepala", "Akebia \u00d7pentaphylla", "Phyllonorycter melanosparta", "Magnolia \u00d7 alba", "Zeasuctobelba quinquenodosa", "Zeasuctobelba trinodosa", "Chrysomelobia cubile", "Chrysomelobia lipsettae", "Chrysomelobia nahrungae", "Chrysomelobia orthagoriscus", "Chrysomelobia pagurus", "Chrysomelobia vafer", "Chrysomelobia verecundus", "Chrysomelobia alipilus", "Chrysomelobia aquariolus", "Chrysomelobia armstrongi", "Chrysomelobia captivus", "Chrysomelobia donati", "Chrysomelobia eickworti", "Chrysomelobia peruviensis", "Chrysomelobia oneili", "Chrysomelobia mahunkai", "Chrysomelobia lawsoni", "Chrysomelobia gimlii", "Chrysomelobia husbandi", "Chrysomelobia labidomerae", "Chrysomelobia elytrosphaerae", "Parobia captivus", "Crotalus scutulatus", "Crotalus viridis", "Lon monticola", "Paratrytone decepta", "Schisandra sect.", "Schisandra sect.", "Athis flavimaculata", "Athis inca", "Athis inca inca", "Athis inca dincadu", "Schisandra sect.", "Enchelyopus cimbrius", "Schisandra rubriflora", "Rhinocerophis jonathani", "Euclidiodes ediliacarmenae", "Stenoloba yunley", "Stenoloba viridibasis", "Stenoloba oculatoides", "Stenoloba viridinivea", "Stenoloba rufosagittoides", "Stenoloba acutivalva", "Stenoloba clara", "Stenoloba albiangulata", "Stenoloba oculata", "Stenoloba brunneola", "Stenoloba basiviridis", "Stenoloba dominula", "Zygogramma bicolorata", "Magnolia \u00d7 loebneri", "Magnolia \u00d7 proctoriana", "Magnolia \u00d7 brooklynensis", "Acupicta jeffreyi", "Nirvanopsis susah", "Psychonotis parsonsi", "Gymnocypris przewalskii", "Magnolia \u00d7 wieseneri", "Psychonotis marginalis", "Psychonotis finisterre", "Austroagrion watsoni", "Zoniagrion exclamationis", "Magnolia sieboldii subsp. sieboldii", "Magnolia sieboldii subsp. japonica", "Magnolia sieboldii subsp. sinensis", "Nevadopalpa striata", "Nevadopalpa minor", "Nevadopalpa albula", "Nevadopalpa alboaura", "Nevadopalpa deaurata", "Nevadopalpa maculata", "Nevadopalpa nevadana", "Gryllotalpa gryllotalpa", "Ennomomima foliacea", "Ennomomima gigantea", "Ennomomima bilineata", "Ennomomima trilineata", "Ennomomima cardytera", "Ennomomima griseorufa", "Chrysomela lapponica", "Ennomomima fallax", "Ennomomima ignota", "Ennomomima atrata", "Ennomomima miniata", "Ennomomima magnifenestrata", "Ennomomima flavida", "Ennomomima modesta", "Ennomomima funebris", "Ennomomima dichroma", "Ennomomima varicolor", "Ennomomima elegans", "Ennomomima marmorata", "Ennomomima haxairei", "Coiffaitarctia groisonae", "Magnolia \u00d7 soulangeana", "Magnolia \u00d7 veitchii", "Tanytydeus cristatus", "Tanytydeus neocristatus", "Tanytydeus kakadu", "Tanytydeus lamington", "Oxyallagma dissidens", "Decaisnea insignis", "Maipomyia insolita", "Maipomyia velata", "Decaisnea fargesii", "Hexatricha pulverulenta", "Callidosoma leodegari", "Callidosoma metzi", "Scutacarus extrovertus", "Scutacarus quadrangularis", "Imparipes insignis", "Granulocheyletus gallowayi", "Aphaereta aotea", "Procyliosoma delacyi", "Procyliosoma leiosomum", "Procyliosoma tuberculatum", "Argemone crassifolia", "Argemone rosea", "Libertia flaccidifolia", "Ischnura nursei", "Illicium anisatum", "Topobates scheloribatoides", "Topobates medius", "Tetranychus ludeni", "Libertia cranwelliae", "Libertia edgariae", "Libertia mooreae", "Electroatopos castaneus", "Ektatotricha paradoxa", "Kachinus antennatus", "Araucaria fibrosa", "Laricobius daliensis", "Laricobius incognitus", "Melogale moschata ferreogrisea", "Melogale moschata hainanensis", "Notophthiracarus tripartitus", "Melogale moschata millsi", "Metaeuchromius fulvusalis", "Metaeuchromius grisalis", "Brahmaea polymehntas", "Brahmaea litserra", "Hepialus biruensis", "Pleurota dentata", "Melogale moschata moschata", "Melogale moschata sorella", "Melogale moschata subaurantiaca", "Melogale moschata taxilla", "Tuta elaborata", "Tuta totalis", "Tuta isolata", "Tuta spinosa", "Tuta truncata", "Microcraspedus powelli", "Microcraspedus fontosus", "Phycis chesteri", "Neopalpa neonata", "Eurysaccoides gallaespinosae", "Eurysaccoides alternatus", "Kuznetzoviana unifasciella", "Gibraltarensis calpella", "Stephensia brunnichella", "Stephensia staudingeri", "Stephensia jalmarella", "Traumatocampa sedirica", "Traumatocampa torosica", "Meganola albiscripta", "Meganola calligrapha", "Meganola latiscripta", "Meganola cuneifera", "Meganola ruficostata", "Oecanthus argentinus", "Oecanthus bilineatus", "Oecanthus burmeisteri", "Oecanthus californicus", "Oecanthus capensis", "Obtexocorytus schuettei", "Melittosesia flavitarsa", "Martes zibellina angarensis", "Martes zibellina arsenjevi", "Martes zibellina averini", "Martes zibellina brachyura", "Martes zibellina ilimpiensis", "Martes zibellina jakutensis", "Martes zibellina kamtschadalica", "Martes zibellina obscura", "Martes zibellina princeps", "Martes zibellina sahalinensis", "Martes zibellina sajanensis", "Oribotritia paracarolinae", "Microtritia fusa", "Microtritia tumida", "Microtritia paratropica", "Microtritia mirifica", "Microtritia hawaiiensis", "Oribotritia brevis", "Magnolia muldoonae", "Magnolia paroblonga", "Magnolia tiffneyi", "Garcorops jadis", "Microtritia fissurata", "Microtritia hauseri", "Microtritia incisa", "Microtritia minima", "Microtritia neonominata", "Microtritia schusteri", "Microtritia simplex", "Microtritia striatissima", "Microtritia tropica", "Martes zibellina schantaricus", "Martes zibellina tomensis", "Martes zibellina tungussensis", "Martes zibellina yeniseensis", "Martes zibellina zibellina", "Mellivora capensis abyssinica", "Mellivora capensis buechneri", "Mellivora capensis capensis", "Mellivora capensis concisa", "Mellivora capensis cottoni", "Stauntonia obovata", "Mellivora capensis inaurita", "Mellivora capensis indica", "Mellivora capensis leuconota", "Mellivora capensis maxwelli", "Mellivora capensis pumilio", "Mellivora capensis signata", "Mellivora capensis wilsoni", "Carebara taiponica", "Carebara taprobanae", "Carebara tenua", "Carebara termitolestes", "Carebara thoracica", "Carebara thorali", "Carebara traegaordhi", "Carebara ucrainica", "Carebara ugandana", "Carebara urichi", "Carebara vidua", "Carebara vidua fur", "Carebara vidua vidua", "Carebara viehmeyeri", "Carebara villiersi", "Carebara voeltzkowi", "Carebara vorax", "Carebara weyeri", "Carebara wheeleri", "Carebara wroughtonii", "Carebara yamatonis", "Epinephelus caninus", "Archakebia apetala", "Narcissus \u00d7 susannae", "Illicium floridanum", "Narcissus \u00d7 ponsii-sorollae", "Illicium parviflorum", "Illicium henryi", "Iberolacerta cyreni", "Delias hyparete hyparete", "Delias hyparete noellindae", "Delias ottonia", "Delias ottonia ottonia", "Delias ottonia semperorum", "Xanthagrion erythroneurum", "Apanisagrion lais", "Issikiopteryx taipingensis", "Vipera bornmuelleri", "Dalla roeveri", "Schisandra subg.", "Schisandra subg.", "Schisandra subg.", "Zalomes cordillera", "Zalomes allynorum", "Crotalus atrox", "Indotritia aotearoana", "Amanita vaginata", "Psephenotarsis triangularis", "Xestophanes caspiana", "Xestophanes brevitarsis", "Xestophanes potentillae", "Afroeubria sebastiani", "Eomecon chionantha", "Pretoriana aganopa", "Xylomoia chagnoni", "Xylomoia apameaoides", "Xylomoia graminea", "Xylomoia fusei", "Xylomoia retinax", "Xylomoia strix", "Xylomoia stangelmaieri", "Alastria tropicalis", "Alastria chico", "Alastria macho", "Pseudocoladenia dan", "Pseudocoladenia dan dan", "Pseudocoladenia dan sadakoe", "Pero macneilli", "Anthocharis midea midea", "Anthocharis midea texana", "Eschscholzia palmeri", "Hunnemannia fumariifolia", "Hunnemannia hintoniorum", "Dendromecon harfordii", "Dendromecon rigida", "Meconella denticulata", "Meconella californica", "Meconella oregana", "Platystigma lineare", "Anamirta leiocarpa", "Chandlera lacunosa", "Odontocaryoidea nodulosa", "Calycocarpum crassicrustae", "Tinospora elongata", "Acrotritia vestita", "Tinospora hardmanae", "Phthiracarus pellucidus", "Notophthiracarus australis", "Notophthiracarus caliginosus", "Notophthiracarus perlucundus", "Notophthiracarus unicarinatus", "Arphthicarus heterotrichus", "Hoplophthiracarus bisulcus", "Plonaphacarus dikros", "Comaster meyerensis", "Maorimetra ardlogiensis", "Zelandimetra neozelandiae", "Vicetiametra otiakeensis", "Amphorometra waitakiana", "Palaeantedon pentlandica", "Agrias amydon smalli", "Platystemon californicus", "Speyeria aphrodite aphrodite", "Phyciodes batesii", "Phyciodes batesii batesii", "Phyciodes batesii maconensis", "Euclichthys polynemus", "Snyderidia canina", "Lacinipolia delongi", "Lacinipolia aileenae", "Lacinipolia triplehorni", "Eschscholzia glyptosperma", "Lacinipolia bucketti", "Eschscholzia lobbii", "Eschscholzia lemmonii", "Lacinipolia baueri", "Eschscholzia lemmonii subsp. lemmonii", "Lacinipolia sharonae", "Lacinipolia fordi", "Eschscholzia lemmonii subsp. kernensis", "Lacinipolia franclemonti", "Eschscholzia hypecoides", "Lacinipolia martini", "Eschscholzia parishii", "Eschscholzia minutiflora", "Eschscholzia rhombipetala", "Eschscholzia caespitosa", "Eschscholzia ramosa", "Eschscholzia californica", "Eschscholzia californica subsp. californica", "Eschscholzia californica subsp. mexicana", "Eschscholzia elegans", "Meconopsis subg.", "Eagris multiplagata", "Meconopsis subg.", "Meconopsis sect.", "Papaver cambricum", "Carebarella alvarengai", "Carebarella bicolor", "Carebarella condei", "Diplomorium longipenne", "Hypopomyrmex bombiccii", "Machomyrma dispar", "Megalomyrmex acauna", "Megalomyrmex ayri", "Megalomyrmex balzani", "Meconopsis sect.", "Meconopsis ser.", "Meconopsis ser.", "Meconopsis sect.", "Micromus variegatus", "Phyllocnistis drimiphaga", "Phyllocnistis maxberryi", "Phyllocnistis tropaeolicola", "Eodendrus reticulatus", "Lynx issiodorensis", "Enyalioides rubrigularis", "Habralictus insularis", "Weiria australis", "Meconopsis betonicifolia", "Meconopsis baileyi", "Meconopsis grandis", "Meconopsis \u00d7 sheldonii", "Propylea quatuordecimpunctata", "Papaver sect.", "Eurypleuron owasianum", "Sarangesa astrigera", "Sarangesa aza", "Meconopsis ser.", "Meconopsis ser.", "Hydroscapha khasiorum", "Hydroscapha rajani", "Cherublemma emmelas", "Meconopsis sect.", "Meconopsis ser.", "Meconopsis ser.", "Meconopsis sect.", "Corynoneura donovani", "Corynoneura australiensis", "Corynoneura scutellata", "Parallidiostoma tricornum", "Macleaya cordata", "Macleaya microcarpa", "Macleaya \u00d7 kewensis", "Acrepyris agraensis", "Acrepyris rugicollis", "Myllaena magnicollis", "Brouniana lucida", "Brouniana vulcanica", "Dicentra uniflora", "Tramiathaea cornigera", "Eleusomatus allocephalus", "Eleusomatus caudatus", "Eleusomatus oculatus", "Eleusomatus vidamoides", "Eleusomatus subcaecus", "Eleusomatus ovicollis", "Stenometra otekaikeensis", "Acanthocercus atricollis kiwuensis", "Colletteichthys dussumieri", "Acanthocercus atricollis loveridgei", "Acanthocercus atricollis minutus", "Acanthocercus atricollis ugandaensis", "Acanthocercus cyanogaster", "Acanthocercus guentherpetersi", "Acanthocercus phillipsii", "Acanthocercus yemensis", "Acanthocercus zonurus", "Adlumia asiatica", "Adlumia fungosa", "Ichtyoselmis macrantha", "Hovaesia donckieri", "Cypelometra aotearoa", "Hertha otakauica", "Micromelalopha sieversi", "Micromelalopha haemorrhoidalis", "Micromelalopha vicina", "Micromelalopha vicina vicina", "Micromelalopha vicina flavomaculata", "Micromelalopha baibarana", "Micromelalopha adrian", "Micromelalopha dorsimacula", "Micromelalopha albifrons", "Micromelalopha sitecta", "Micromelalopha variata", "Dicentra pauciflora", "Micromelalopha ralla", "Syntypistis comatus", "Syntypistis fasciata", "Ehrendorferia ochroleuca", "Syntypistis hercules", "Syntypistis subgriseoviridis", "Dicentra formosa subsp. formosa", "Metaeuchromius singulispinalis", "Metaeuchromius anacanthus", "Metaeuchromius inflatus", "Dicentra formosa subsp. oregana", "Metaeuchromius flavofascialis", "Dactylicapnos scandens", "Dactylicapnos roylei", "Macginitiea angustiloba", "Plataninium haydenii", "Rapipontonia hydra", "Papaver sect.", "Papaver sect.", "Papaver sect.", "Papaver sect.", "Papaver hybridum", "Papaver argemone", "Thunbergia subg.", "Megalomyrmex bidentatus", "Megalomyrmex bituberculatus", "Megalomyrmex caete", "Megalomyrmex cuatiara", "Megalomyrmex cupecuara", "Megalomyrmex cyendyra", "Megalomyrmex drifti", "Megalomyrmex emeryi", "Megalomyrmex foreli", "Megalomyrmex glaesarius", "Megalomyrmex gnomus", "Megalomyrmex goeldii", "Megalomyrmex iheringi", "Megalomyrmex incisus", "Megalomyrmex leoninus", "Megalomyrmex miri", "Megalomyrmex modestus", "Megalomyrmex mondabora", "Megalomyrmex myops", "Megalomyrmex pacova", "Megalomyrmex piriana", "Megalomyrmex poatan", "Megalomyrmex pusillus", "Megalomyrmex silvestrii", "Megalomyrmex staudingeri", "Megalomyrmex symmetochus", "Megalomyrmex tasyba", "Megalomyrmex timbira", "Megalomyrmex wallacei", "Megalomyrmex wettereri", "Megalomyrmex weyrauchi", "Periacma orthiodes", "Periacma kanchanaburiensis", "Periacma changkhianensis", "Periacma kunai", "Riekertia ellisi", "Sabal bracknellense", "Sabal jenkinsii", "Carmenta chromolaenae", "Neobidessodes thoracicus", "Neobidessodes samkrisi", "Dicentra nevadensis", "Macginicarpa glabra", "Galafria rufa", "Plesiosipalia arrowi", "Myrmecopora paradoxa", "Dasytricheta haastiana", "Dasytricheta hookeriana", "Dasytricheta intermedia", "Dasytricheta kapuniana", "Dasytricheta mahitahiana", "Periacma nualsriae", "Periacma siamensis", "Periacma thamthanlotensis", "Periacma wongsirii", "Periacma angkhangensis", "Chilara taylori", "Periacma rumakomi", "Periacma nakhonnayokensis", "Irepacma pakiensis", "Irepacma meksongseei", "Chelidonium asiaticum", "Irepacma lannathaiensis", "Ripeacma chandratati", "Ripeacma nangae", "Ripeacma yamadai", "Ripeacma tirawati", "Raneya brasiliensis", "Ripeacma yaiensis", "Ripeacma chiangmaiensis", "Ripeacma angusta", "Ripeacma qinlingensis", "Ripeacma fopingensis", "Ripeacma acuminiptera", "Ripeacma conophanta", "Ripeacma scissignatha", "Chelidonium majus subsp. majus", "Ripeacma trigonia", "Chelidonium majus subsp. grandiflorum", "Ripeacma bicruris", "Ripeacma verruculosa", "Ripeacma latizona", "Hylomecon japonica", "Hylomecon japonica var. japonica", "Hylomecon japonica var. dissecta", "Hylomecon hylomeconoides", "Hylomecon japonica var. subincisa", "Digrammus miricollis", "Geostibasoma antipodum", "Colle campbellensis", "Pseudofumaria lutea", "Pseudofumaria alba", "Pseudofumaria alba subsp. alba", "Corydalis capnoides", "Dactylicapnos torulosa", "Melogale orientalis orientalis", "Melogale orientalis sundaicus", "Dactylicapnos grandifoliolata", "Dactylicapnos burmanica", "Dactylicapnos gaoligongshanensis", "Dactylicapnos schneideri", "Dactylicapnos macrocapnos", "Dactylicapnos ventii", "Dactylicapnos leiosperma", "Dactylicapnos lichiangensis", "Capnoides sempervirens", "Anolis sagrei", "Parelasmopus poorei", "Parelasmopus sowpigensis", "Parelasmopus cymatilis", "Dactylicapnos sect.", "Dactylicapnos sect.", "Pseudacroclita projecta", "Pseudacroclita micrancistra", "Nuntiella extenuata", "Nuntiella angustiptera", "Nuntiella lacticulla", "Barchatus cirrhosus", "Bifax lacinia", "Dasytricheta periana", "Dasytricheta shotoveriana", "Dasytricheta testacea", "Dasytricheta waihoana", "Dasytricheta funesta", "Dasytricheta spectabilis", "Ecomorypora densepunctata", "Ecomorypora longelytrata", "Ecomorypora pseudogranulata", "Ecomorypora granulata", "Aphytopus gracilis", "Makara hudsoni", "Macralymma punctiventre", "Oligota longula", "Oligota hudsoni", "Oligota speculicollis", "Arena fultoni", "Oligota masculina", "Paraphytopus brookesi", "Paraphytopus minutus", "Hydroscapha nepalensis", "Syntypistis viridipicta", "Syntypistis cyanea", "Allenbatrachus meridionalis", "Syntypistis ambigua", "Syntypistis victor", "Allenbatrachus reticulatus", "Syntypistis jupiter", "Syntypistis umbrosa", "Syntypistis pryeri", "Syntypistis witoldi", "Atriaecarpum clarnense", "Syntypistis parcevirens", "Curvitinospora formanii", "Syntypistis nigribasalis", "Syntypistis perdix", "Davisicarpum limacioides", "Syntypistis perdix perdix", "Syntypistis perdix gutianshana", "Diploclisia auriformis", "Eohypserpa scottii", "Austrobatrachus foedus", "Syntypistis subgeneris", "Palaeosinomenium venablesii", "Syntypistis cupreonitens", "Syntypistis defector", "Tinomiscoidea occidentalis", "Syntypistis melana", "Thanikaimonia geniculata", "Ensete oregonense", "Acanthocercus annectens", "Vladichthys gloverensis", "Acanthocercus atricollis atricollis", "Acanthocercus atricollis gregorii", "Monomorium andrei", "Monomorium andrei andrei", "Monomorium andrei bernardi", "Monomorium andrei fur", "Monomorium andrei furunculum", "Glaucium cappadocicum", "Glaucium caricum", "Glaucium grandiflorum", "Glaucium grandiflorum var. grandiflorum", "Glaucium grandiflorum var. torquatum", "Glaucium grandiflorum var. haussknechtii", "Glaucium grandiflorum var. iranicum", "Glaucium oxylobum var. oxylobum", "Glaucium oxylobum var. paucilobatum", "Tathicarpus butleri", "Glaucium sect.", "Acleris tungurahuae", "Acleris supernova", "Pyxine adamesii", "Pyxine africana", "Pyxine albida", "Pyxine albovirens", "Pyxine arecae", "Pyxine asiatica", "Pyxine astridiana", "Pyxine australiensis", "Pyxine austroindica", "Pyxine azorea", "Pyxine berteriana", "Pyxine brachyloba", "Pyxine chevalieri", "Pyxine chrysantha", "Pyxine coccifera", "Pyxine coccinea", "Pyxine cocoes", "Sytus aerarius", "Sytus flavescens", "Sytus granifer", "Sytus fulgens", "Sytus optabilis", "Glaucium oxylobum", "Pyxine caesiopruinosa", "Pyxine pyxinoides", "Lophiomus setigerus", "Otiorhynchus rugosus", "Eosladenia caucasica", "Glaucium acutidentatum", "Glaucium arabicum", "Glaucium afghanicum", "Glaucium aleppicum", "Glaucium squamigerum", "Pieris bryoniae vitimensis", "Glaucium fimbrilligerum", "Pieris bryoniae kamtschadalis", "Pieris bryoniae sheljuzhkoi", "Pieris bryoniae schintlmeisteri", "Melogale personata laotum", "Glaucium corniculatum", "Melogale personata nipalensis", "Melogale personata personata", "Glaucium corniculatum subsp. corniculatum", "Glaucium corniculatum subsp. refractum", "Melogale personata pierrei", "Pieris napi kaszabi", "Melogale personata tonquinia", "Pieris bryoniae flavescens", "Pieris bryoniae wolfsbergeri", "Pieris bryoniae lorcovici", "Pieris bryoniae marani", "Pieris bryoniae vihorlatensis", "Pieris bryoniae carpathensis", "Pieris bryoniae adalwinda", "Antennarius hispidus", "Pieris bryoniae bicolorata", "Pieris bryoniae turcica", "Pieris bryoniae caucasica", "Antennarius maculatus", "Glaucium contortuplicatum", "Glaucium sect.", "Glaucium insigne", "Glaucium golestanicum", "Glaucium calycinum", "Glaucium calycinum subsp. calycinum", "Glaucium calycinum subsp. aserbaidshanicum", "Glaucium elegantissimum", "Glaucium elbursium", "Glaucium elbursium subsp. elbursium", "Glaucium elbursium subsp. ventii", "Glaucium cuneatum", "Glaucium grandiflorum var. judaicum", "Glaucium grandiflorum var. malacocarpum", "Glaucium grandiflorum var. helissopelma", "Glaucium fischeri", "Glaucium mathiolifolium", "Glaucium refractocarpum", "Glaucium refractocarpum subsp. refractocarpum", "Glaucium refractocarpum subsp. erectocarpum", "Roemeria refracta", "Papaver refractum", "Papaver refractum subsp. refractum", "Papaver refractum subsp. occidentale", "Roemeria hybrida", "Canthodimorpha lawrencei", "Plecia parisiensis", "Papaver bivalve", "Gyronotus mulanjensis", "Marecon rufipennis", "Papaver bivalve subsp. hybridum", "Myllaena neozelandensis", "Macclintockia pugetensis", "Macclintockia basinervis", "Pieris segonzaci", "Pieris tomariana", "Pieris dulcinea dulcinea", "Pieris dulcinea pseudonapi", "Pieris dulcinea saghalensis", "Pieris venosa", "Pieris oleracea oleracea", "Pieris oleracea ekisi", "Pieris marginalis marginalis", "Pinus escalantensis", "Pieris marginalis reicheli", "Canbya aurea", "Pieris marginalis pallidissima", "Canbya candida", "Pieris marginalis macdunnoughi", "Pieris marginalis mogollon", "Brachionichthys australis", "Pieris marginalis hulda", "Pieris marginalis meckyae", "Papaver heterophyllum", "Pieris marginalis guppyi", "Pieris marginalis tremblayi", "Pieris marginalis shapiroi", "Brachionichthys hirsutus", "Rhipidomys latimanus", "Hypecoum subg.", "Neozelandusa giachinoi", "Neodoxa giachinoi", "Meconopsis integrifolia", "Meconopsis integrifolia subsp. integrifolia", "Romneya coulteri", "Romneya trichocalyx", "Allantodiopsis pugetensis", "Vinea pugetensis", "Paraconosoma naviculare", "Carya cashmanensis", "Carya pugetensis", "Pugetia longifolia", "Pterocarya pugetensis", "Nehemitropia lividipennis", "Alnus kluckingi", "Alnus operia", "Castanopsis franklinensis", "Pieris pseudorapae pseudorapae", "Antennarius commerson", "Pieris pseudorapae suffusa", "Pieris pseudorapae balcana", "Histrio histrio", "Pieris persis persis", "Pieris narina narina", "Pieris ochsenheimeri ochsenheimeri", "Pieris ochsenheimeri gerhardi", "Allenichthys glauerti", "Kuiterichthys furcipilis", "Lophiocharon trisignatus", "Nudiantennarius subteres", "Phyllophryne scortea", "Monomorium abeillei", "Monomorium aberrans", "Monomorium abyssinicum", "Monomorium acutinode", "Monomorium adiastolon", "Monomorium advena", "Monomorium aeyade", "Monomorium affabile", "Monomorium afrum", "Glaucium elegans", "Monomorium aithoderum", "Monomorium alamarum", "Monomorium albipes", "Monomorium albopilosum", "Monomorium algiricum", "Monomorium altinode", "Monomorium anceps", "Monomorium anderseni", "Glaucium flavum var. flavum", "Sytus bifossuta", "Sytus curiosus", "Polylobus sternalis", "Aphytopus granifer", "Aphytopus guinnessi", "Aphytopus pictulus", "Aphytopus porosus", "Anocalea natalensis", "Anocalea aisensis", "Anocalea cribrata", "Anocalea dilaticeps", "Anocalea major", "Anocalea nemoralis", "Anocalea nublensis", "Anocalea pedestris", "Anocalea picea", "Anocalea talcaensis", "Anocalea thaxteri", "Anocalea virilis", "Anocalea transversa", "Pyxine cognata", "Pyxine connectens", "Crataraea suturalis", "Austrocalea lewisi", "Austrocalea brookesi", "Gastrolamprusa helmsi", "Aupouriella pohei", "Mecrona algophila", "Pyxine consimilis", "Pyxine consocians", "Pyxine convexior", "Pyxine copelandii", "Pyxine coralligera", "Pyxine curvatula", "Pyxine cylindrica", "Pyxine daedalea", "Pyxine desudans", "Pyxine dimorpha", "Pyxine dissecta", "Pyxine elixii", "Dryophyllum pugetensis", "Leptoglossula giachinoi", "Ulmus oregoniana", "Incertae sedis", "Phymatura neozelandensis", "Artocarpoides litseafolia", "Artocarpoides kummerensis", "Calkinsia franklinensis", "Goweria dilleri", "Goweria linearis", "Acrotona lugens", "Acrotona aterrima", "Hyperbaena dilleri", "Papaver pavoninum", "Hypserpa cashmamensis", "Hypserpa franklinensis", "Fothergilla durhamensis", "Cladrastis pugetensis", "Macaranga pugetensis", "Anacardites franklinensis", "Tetrabrachium ocellatum", "Rhamnites cashmanensis", "Willisia rentonensis", "Camellia multiforma", "Lophichthys boschmai", "Ternstroemites ravenensis", "Viburnum pugetensis", "Papaver bracteatum", "Papaver sect.", "Tabularia variostriata", "Belohina inexpectata", "Begumia lithinopa", "Eliphia plenicolor", "Papaver californicum", "Papaver sect.", "Herochroma baba", "Herochroma baibarana", "Herochroma curvata", "Herochroma pallensia", "Herochroma perspicillata", "Herochroma rosulata", "Herochroma mansfieldi", "Antennarius coccineus", "Hepialus pui", "Polyura mutata", "Antennarius radiosus", "Hydroscapha satoi", "Hydroscapha jaechi", "Hydroscapha monticola", "Hydroscapha reichardti", "Hydroscapha coomani", "Hydroscapha turbinata", "Hydroscapha substrigosa", "Hydroscapha hunanensis", "Hydroscapha takahashii", "Leptostiba neozelandensis", "Leptostiba pseudopolitula", "Leptostiba franzi", "Leptostiba hyenghenensis", "Leptostiba australiensis", "Leptostiba bidens", "Leptostiba bunyamontis", "Leptostiba daccordii", "Leptostiba drugmandi", "Leptostiba melbournensis", "Leptostiba muscicola", "Leptostiba secreta", "Leptostiba tasmaniensis", "Leptostiba politula", "Leptostiba paolettii", "Leptostiba benlomondensis", "Leptostiba columbicola", "Leptostiba cradlemontis", "Leptostiba wellingtonimontis", "Leptostiba subtilis", "Leptostiba rapida", "Leptostiba major", "Leptostiba incisa", "Leptostiba profundior", "Leptostiba lamingtonensis", "Leptostiba murchisonicola", "Leptostiba lacustris", "Leptostiba pratensis", "Leptostiba greenmontium", "Aloconota maculiventris", "Pieris bryoniae bryoniae", "Pieris bryoniae bryonides", "Pieris bryoniae sifanica", "Thymichthys politus", "Hypecoum sect.", "Hypecoum sect.", "Thymichthys verrucosus", "Hypecoum sect.", "Hypecoum aegyptiacum", "Rhipidomys macconnelli", "Hypecoum subg.", "Hypecoum sect.", "Hypecoum sect.", "Hypecoum leptocarpum", "Hypecoum zhukanum", "Rhipidomys mastacalis", "Hypecoum erectum", "Rhipidomys venezuelae", "Rhipidomys venustus", "Platyrhinoidis triseriata", "Rhynchobatus djidensis", "Zapteryx xyster", "Hypecoum lactiflorum", "Hypecoum duriaei", "Hypecoum pendulum", "Hypecoum parviflorum", "Hypecoum trilobum", "Hypecoum procumbens", "Phenacoscorpius longirostris", "Halieutichthys aculeatus", "Papaver somniferum subsp. setigerum", "Papaver somniferum subsp. somniferum", "Dalotia coriaria", "Mocyta fungi", "Aloconota sulcifrons", "Aleochara puberula", "Atheta amicula", "Atheta brouni", "Atheta cottieri", "Monomorium angustinode", "Monomorium annamense", "Monomorium antarcticum", "Monomorium anthracinum", "Monomorium aper", "Monomorium aper aper", "Monomorium aper dubium", "Monomorium arboreum", "Monomorium arenarium", "Hypecoum procumbens subsp. procumbens", "Monomorium areniphilum", "Monomorium arnoldi", "Monomorium asiriense", "Monomorium atomum", "Monomorium atomum aharonii", "Monomorium atomum atomum", "Monomorium atomum cooperi", "Monomorium atomum integrium", "Monomorium atomum procax", "Hypecoum procumbens subsp. atropunctatum", "Monomorium aureorugosum", "Hypecoum procumbens subsp. fragrantissimum", "Monomorium australe", "Monomorium australicum", "Hypecoum torulosum", "Hypecoum littorale", "Hypecoum imberbe", "Potentilla \u00d7 gabarae", "Trigonocapnos lichtensteinii", "Pyxine endochrysina", "Pyxine endochrysoides", "Pyxine endocrocea", "Pyxine endolutea", "Pyxine fallax", "Blediotrogus guttiger", "Pyxine farinosa", "Blediotrogus cribricollis", "Pyxine glaucescens", "Pyxine glaucovirescens", "Pyxine glebosa", "Pyxine granulifera", "Pyxine heterospora", "Pyxine himalayensis", "Pyxine isidiophora", "Pyxine katendei", "Pyxine keralensis", "Pyxine kibweziensis", "Pyxine leptothallina", "Pyxine lilacina", "Pyxine limbulata", "Pyxine lyei", "Pyxine maculata", "Pyxine margaritacea", "Pyxine meissneriana", "Pyxine mexicana", "Pyxine microspora", "Pyxine minuta", "Pyxine nana", "Pyxine nilgiriensis", "Pyxine nitidula", "Pyxine niveomarginata", "Pyxine obscurascens", "Pyxine oceanica", "Pyxine ochroleuca", "Pyxine palniensis", "Pyxine papuana", "Pyxine patellaris", "Pyxine petricola", "Pyxine philippina", "Pyxine plumea", "Pyxine primaria", "Pyxine prominula", "Pyxine pungens", "Pyxine reticulata", "Pyxine retirugella", "Pyxine rhizophorae", "Pyxine rhodesiaca", "Pyxine richardsii", "Pyxine rosacea", "Pyxine rugulosa", "Pyxine saxicola", "Pyxine schechingeri", "Pyxine schmidtii", "Pyxine simulans", "Pyxine sorediata", "Pyxine subcinerea", "Pyxine subolivacea", "Pyxine sulphurans", "Pyxine vermiformis", "Pyxine sibirica", "Glaucium leiocarpum", "Atheta luridipennis", "Atheta trinotata", "Amischa analis", "Amischa decipiens", "Amischa nigrofusca", "Atheta nigra", "Atheta splendidicollis", "Atheta muggeridgei", "Atheta maruiana", "Atheta zealandica", "Aloconota planifrons", "Aloconota plicata", "Omias verruca", "Cissidium elongatum", "Cissidium ikeuchii", "Cissidium ishigakiense", "Cissidium itoi", "Cissidium latum", "Cissidium nishikawai", "Cissidium nomurai", "Cissidium sakaii", "Cissidium shibatai", "Cissidium adustipenne", "Cissidium matthewsi", "Cissidium basale", "Cissidium rufescens", "Stephanocleonus tetragrammus", "Papaver lateritium subsp. monanthum", "Deltamys kempi", "Holochilus brasiliensis", "Spicara alta", "Spicara australis", "Papaver \u00d7 strigosum", "Spicara axillaris", "Papaver \u00d7 trilobum", "Papaver \u00d7 godronii", "Papaver \u00d7 propinquum", "Papaver pilosum", "Papaver pilosum subsp. spicatum", "Papaver pilosum subsp. pilosum", "Carpilius occidentalis", "Hantzschia doigiana", "Kyrtusa curticornis", "Papaver orientale", "Papaver \u00d7 pseudo-orientale", "Mesocyparis borealis", "Centrophryne spinulosa", "Papaver fugax var. platydiscus", "Papaver lisae", "Ceratias tentaculatus", "Ceratias uranoscopus", "Dendrochaetus acarus", "Papaver alpinum", "Encephalus latulus", "Encephalus zealandicus", "Papaver alpinum subsp. alpinum", "Papaver alpinum subsp. sendtneri", "Gyrophaena brookesi", "Gyrophaena densicornis", "Gyrophaena glabricollis", "Gyrophaena nugax", "Gyrophaena oligotina", "Gyrophaena punctata", "Diceratias bispinosus", "Sternotropa versicolor", "Deudorix brilligi", "Deudorix tenebrosa", "Deudorix parsonsi", "Deudorix mulleri", "Deudorix rathsi", "Deudorix eagon", "Deudorix wabens", "Papaver laestadianum", "Phrixolepia sericea", "Phrixolepia tenebrosa", "Pulsatilla bungeana", "Phrixolepia luoi", "Phrixolepia zhejiangensis", "Phrixolepia majuscula", "Phrixolepia similis", "Phrixolepia inouei", "Phrixolepia pudovkini", "Phrixolepia sinyaevi", "Phrixolepia nigra", "Papaver macounii", "Papaver macounii subsp. discolor", "Papaver microcarpum", "Papaver fauriei", "Papaver miyabeanum", "Ctenoplectrella gorskii", "Caulophryne pietschi", "Robia legula", "Papaver sect.", "Papaver lateritium", "Lumawigia leytensis", "Philippscelus gracilis", "Coraebosoma viridis", "Cuscuta subg.", "Didymocantha obliqua", "Cuscuta subg.", "Blediotrogus cordicollis", "Blediotrogus fauveli", "Teropalpus coloratus", "Rakiura vernale", "Kaprosuchus saharicus", "Laganosuchus thaumastos", "Laganosuchus maghrebensis", "Pseudoligota cooki", "Brachida minuta", "Austrasilida zealandica", "Notiomerinx zealandica", "Thymus collinus", "Thymus alatauensis", "Adelarthra carltoni", "Adelarthra pecki", "Adelarthra watrousi", "Adelarthra queenslandica", "Adelarthra caligata", "Adelarthra barbara", "Adelarthra borneensis", "Adelarthra burckhardti", "Adelarthra concursionis", "Adelarthra fulva", "Adelarthra pallida", "Adelarthra implicationis", "Adelarthra differens", "Waitatia maoriana", "Discheramocephalus semisulcatus", "Papaver alpinum subsp. kerneri", "Callianassa moinensis", "Papaver lapeyrousianum", "Glypturus toulai", "Rachana jalindra", "Papaver alpinum subsp. rhaeticum", "Rachana jalindra jalindra", "Monomorium bicolor", "Monomorium bicolor bicolor", "Monomorium bicolor judaicum", "Monomorium bicorne", "Monomorium bidentatum", "Monomorium bifidoclypeatum", "Monomorium bifidum", "Monomorium bihamatum", "Monomorium bimaculatum", "Monomorium biroi", "Monomorium biroianum", "Monomorium bodenheimeri", "Monomorium boerorum", "Monomorium boltoni", "Papaver stipitatum", "Monomorium borlei", "Monomorium brachythrix", "Monomorium brasiliense", "Monomorium braunsi", "Monomorium brocha", "Monomorium brunneolucidulum", "Papaver pinnatifidum", "Papaver decaisnei", "Papaver decaisnei var. decaisnei", "Papaver decaisnei var. patulum", "Papaver decaisnei var. setosum", "Glypturus acanthochirus", "Unduloribates dianae", "Anatosuchus minor", "Deudorix confusa", "Deudorix emira", "Tripyla bioblitz", "Tripyla filicaudata", "Tripyla affinis", "Minosiella intermedia", "Papaver alboroseum", "Papaver gorodkovii", "Papaver lapponicum", "Papaver lapponicum subsp. lapponicum", "Papaver lapponicum subsp. orientale", "Papaver radicatum", "Papaver radicatum subsp. alaskanum", "Capnosolius ariasae", "Papaver sect.", "Papaver armeniacum", "Papaver fugax", "Papaver libanoticum", "Papaver persicum", "Euplectus tuberigerus", "Papaver dahlianum", "Monochamus scutellatus", "Papaver tatricum", "Rachana jalindra menganae", "Rachana jalindra balabacensis", "Remelana jangala", "Remelana jangala jangala", "Remelana jangala huberta", "Remelana jangala callias", "Remelana jangala khusus", "Cochlearia sintenisii", "Draba rosularis", "Draba hispida", "Draba siliquosa", "Arabis brachycarpa", "Rorippa sylvestris", "Cardamine bulbosa", "Cardamine bulbifera", "Cardamine lazica", "Cardamine tenera", "Cardamine impatiens", "Hesperis matronalis", "Hesperis matronalis subsp. voronovii", "Erysimum pulchellum", "Pachyphragma macrophyllum", "Xystrocera globosa", "Papaver julicum", "Papaver corona-sti-stephani", "Papaver degenii", "Papaver rupifragum", "Papaver atlanticum", "Papaver atlanticum subsp. atlanticum", "Papaver atlanticum subsp. mesatlanticum", "Monomorium balathir", "Monomorium banksi", "Monomorium barbatulum", "Monomorium baushare", "Monomorium bequaerti", "Monomorium bevisi", "Trollius europaeus subsp. europaeus", "Neoceratias spinifer", "Trollius altaicus", "Trollius asiaticus", "Trollius chinensis", "Trollius ledebourii", "Trollius hondoensis", "Bertella idiomorpha", "Trollius citrinus", "Trollius japonicus", "Wairarapaia mildenhallii", "Bathytoshia brevicaudata", "Austrorhysus raucus", "Anepius koebelei", "Trollius laxus", "Eupsorus costatus", "Trollius albiflorus", "Edaphus beszedesi", "Meles meles canescens", "Meles meles heptneri", "Meles meles marianensis", "Meles meles meles", "Meles meles milleri", "Meles meles rhodius", "Meles meles severzovi", "Hypena obsitalis", "Hypena vulgatalis", "Craspedophysa monteithi", "Hackeriella brachycephala", "Hackeriella echina", "Idophysa chonos", "Oiophysa paradoxa", "Oiophysa ablusa", "Oiophysella constans", "Oiophysella cristata", "Oiophysella marginata", "Pantinia darwini", "Peltophysa minor", "Xenophysella greensladeae", "Rhacophysa taylori", "Howeria kingsmilli", "Hemiodoecus acutus", "Hemiodoecus crassus", "Hemiodoecus leai", "Chirophryne xenolophus", "Ctenochirichthys longimanus", "Danaphryne nigrifilis", "Meles leucurus amurensis", "Meles leucurus arenarius", "Hypolycaena thecloides", "Hypolycaena thecloides thecloides", "Hypolycaena thecloides mortadai", "Pareronia nishiyamai", "Pareronia gulussa", "Pareronia gulussa gulussa", "Pareronia gulussa alpha", "Delias durai", "Delias cumanau", "Trollius sect.", "Trollius sect.", "Trollius sect.", "Trollius sect.", "Trollius sect.", "Trollius sect.", "Trollius sect.", "Oligoryzomys flavescens", "Oligoryzomys nigripes", "Trollius acaulis", "Trollius europaeus", "Trollius europaeus subsp. transsilvanicus", "Delias fojaensis", "Delias ormoensis", "Delias microsticha", "Delias microsticha weja", "Delias microsticha microsticha", "Delias microsticha flavopicta", "Delias microsticha serratula", "Trollius altaicus subsp. sachalinensis", "Trollius altaicus subsp. altaicus", "Trollius sajanensis", "Trollius sibiricus", "Trollius \u00d7 apertus", "Trollius ircuticus", "Trollius taihasenzanensis", "Trollius chinensis subsp. macropetalus", "Trollius chinensis subsp. chinensis", "Apotomus qiongshanensis", "Isopyrum sect.", "Lasionemopoda hirsuta", "Carpelimus zealandicus", "Odontria borealis", "Hypena commixtalis", "Hypena polycyma", "Hypena evamariae", "Hypena striolalis", "Hypena saltalis", "Hypena raiedi", "Hypena frappieralis", "Hypena muscosoides", "Hypena senialis", "Agonostomus monticola", "Aldrichetta forsteri", "Trollius riederianus", "Trollius riederianus subsp. riederianus", "Trollius riederianus subsp. uncinatus", "Chaenomugil proboscideus", "Trollius altaicus subsp. pulcher", "Trollius afghanicus", "Trollius lilacinus", "Trollius komarovii", "Trollius pumilus", "Otagonia chathamensis", "Otagonia labralis", "Trollius yunnanensis", "Meles leucurus leucurus", "Meles leucurus sibiricus", "Meles leucurus tianschanensis", "Meles meles arcalus", "Lyriothemis defonsekai", "Danielaparra fragmentata", "Leptacanthichthys gracilispinis", "Charca triquetra", "Achagua obsoleta", "Lophodolos acanthognathus", "Lophodolos indicus", "Pentherichthys venustus", "Pentherichthys atratus", "Orchesella cincta", "Orchesella villosa", "Isotoma arborea", "Trollius ranunculinus", "Phyllorhinichthys balushkini", "Papaver \u00d7 murbeckii", "Phyllorhinichthys micractis", "Propomacrus davidi", "Propomacrus bimucronatus", "Celaenorrhinus beni", "Celaenorrhinus beni beni", "Celaenorrhinus beni jacquelinae", "Celaenorrhinus ambra", "Celaenorrhinus ankasa", "Celaenorrhinus aureus", "Celaenorrhinus bakolo", "Celaenorrhinus bettoni", "Joturus pichardi", "Periclimenes brockii", "Periclimenes amethysteus", "Samiriamorpha grace", "Yasunimorpha piranha", "Manumorpha biolat", "Tuxtlamorpha tuxtla", "Hellerius conflictus", "Hellerius deplancheae", "Hellerius obtusus", "Hellerius scansus", "Anneckella srilankae", "Pieris acadica", "Pieris virginiensis virginiensis", "Pieris virginiensis hyatti", "Isopyrum sect.", "Pieris erutae erutae", "Pieris erutae reissingeri", "Pieris erutae latouchei", "Pieris erutae kneitzi", "Pieris erutae werneri", "Pieris steinigeri", "Pieris extensa extensa", "Pieris extensa bhutya", "Pieris orientis", "Pieris melaina", "Dichocarpum sect.", "Dichocarpum subsect.", "Dichocarpum sect.", "Dichocarpum sect.", "Dichocarpum subsect.", "Dichocarpum ser.", "Dichocarpum ser.", "Dichocarpum subsect.", "Dichocarpum subsect.", "Enemion sect.", "Enemion sect.", "Isopyrum sect.", "Discobola haetara", "Discobola dicycla", "Discobola dohrni", "Discobola gibberina", "Discobola striata", "Discobola tessellata", "Discobola venustula", "Viticis vanuatensis", "Trigonops samuelsoni", "Maleuterpes acutus", "Maleuterpes caledonicus", "Maleuterpes collinus", "Maleuterpes montanus", "Maleuterpes watti", "Ottinychus futunae", "Ottinychus lavae", "Ottistira koghiensis", "Pseudomelactus grevilleae", "Pseudomelactus kraussi", "Rhinoscapha vanuatensis", "Strotus marshalli", "Anomalodermus incrustatus", "Anomalodermus proclivis", "Aralius dispar", "Aralius gemellus", "Baladaeus insularum", "Dermatias platynogaster", "Monomorium buettikeri", "Monomorium burchera", "Monomorium butteli", "Monomorium butteli butteli", "Monomorium butteli demochrum", "Monomorium buxtoni", "Monomorium capito", "Monomorium captator", "Monomorium carbo", "Monomorium carbonarium", "Monomorium carinatum", "Monomorium castaneum", "Monomorium cekalovici", "Monomorium centrale", "Monomorium chilensis", "Monomorium chinense", "Monomorium chnodes", "Monomorium chobauti", "Monomorium chobauti ajjer", "Monomorium chobauti chobauti", "Monomorium clarinodis", "Monomorium clavicorne", "Monomorium clavicorne clavicorne", "Monomorium clavicorne punicum", "Monomorium compressum", "Monomorium concolor", "Monomorium crawleyi", "Psychonotis slithyi", "Psychonotis slithyi slithyi", "Psychonotis slithyi borogrovesi", "Psychonotis julie", "Psychonotis eleanor", "Puck pinnata", "Psychonotis waihuru", "Tyrannophryne pugnax", "Athrips tigrina", "Athrips nitrariella", "Athrips mongolorum", "Athrips bidilatata", "Trollius membranostylis", "Celeuthetes sanctus", "Elytroteinus vitiensis", "Idastes grandis", "Idastes graphicus", "Idastes paniensis", "Levoecus vanuatensis", "Strabonus albiscutum", "Strabonus altulus", "Strabonus caledonicus", "Strabonus glabratus", "Strabonus sabulosus", "Strabonus unionis", "Strabonus vitticollis", "Dracophyllius dracophylli", "Dracophyllius marginicollis", "Orthorhinoides brevirostris", "Orthorhinoides caledonicus", "Orthorhinoides dugdalei", "Orthorhinoides humboldtensis", "Orthorhinoides punctirostris", "Brathinus nitidus", "Achorius humeralis", "Achorius parvioculis", "Achorius strigiceps", "Cyrtetes spiritus", "Tetragynetes onychialis", "Loxorhinus eruditus", "Psammisotoma restingae", "Megatracheloides bidentipes", "Megatracheloides blaffarti", "Megatracheloides cornutus", "Megatracheloides jourdani", "Megatracheloides millei", "Megatracheloides chloris", "Deinacrida mahoenui", "Deinacrida elegans", "Deinacrida talpa", "Deinacrida pluvialis", "Erichorema basale", "Helleborus sect.", "Helleborus sect.", "Helleborus sect.", "Helleborus sect.", "Helleborus sect.", "Helleborus sect.", "Helleborus foetidus subsp. balearicus", "Helleborus \u00d7 jourdanii", "Helleborus \u00d7 nigercors", "Helleborus bocconei", "Helleborus lividus subsp. corsicus", "Necydalis ulmi", "Helleborus lividus", "Helleborus lividus nothosubsp. sternii", "Helleborus niger subsp. niger", "Helleborus niger subsp. macranthus", "Helleborus purpurascens", "Helleborus viridis subsp. occidentalis", "Monomorium creticum", "Monomorium criniceps", "Monomorium crinitum", "Monomorium croceiventre", "Monomorium cryptobium", "Monomorium cyaneum", "Monomorium dakarense", "Monomorium damarense", "Monomorium dammame", "Monomorium decuria", "Monomorium delabiei", "Monomorium delagoense", "Monomorium demisum", "Monomorium dentatum", "Monomorium denticulatum", "Helleborus bocconei subsp. intermedius", "Helleborus multifidus", "Helleborus croaticus", "Stupendemys geographicus", "Helleborus multifidus subsp. hercegovinus", "Helleborus dumetorum", "Helleborus torquatus", "Dirofilaria immitis", "Grammosciadium platycarpum", "Meringa australis", "Meringa borealis", "Meringa centralis", "Meringa conway", "Meringa hinaka", "Meringa leith", "Meringa nelson", "Meringa otago", "Meringa tetragyna", "Mangua caswell", "Mangua convoluta", "Mangua flora", "Mangua gunni", "Mangua hughsoni", "Mangua kapiti", "Mangua makarora", "Mangua sana", "Mangua secunda", "Monomorium denticulus", "Monomorium dentigerum", "Monomorium desertorum", "Monomorium destructor", "Monomorium dichroum", "Monomorium dictator", "Monomorium dilatatum", "Filatima loowita", "Compsolechia camilotus", "Compsolechia vittatiella", "Aptostichus angelinajolieae", "Neomyxus leuciscus", "Xenomugil thoburni", "Bothrops neuwiedi pubescens", "Helleborus viridis subsp. abruzzicus", "Helleborus viridis subsp. liguricus", "Helleborus dumetorum subsp. atrorubens", "Pseudoxantholinus sharpi", "Helleborus odorus", "Helleborus odorus subsp. odorus", "Helleborus odorus subsp. cyclophyllus", "Helleborus multifidus subsp. laxus", "Helleborus bocconei subsp. bocconei", "Helleborus bocconei subsp. istriacus", "Mangua otira", "Mangua oparara", "Mangua paringa", "Mangua medialis", "Mitua tuberculicostata", "Pahora cantuaria", "Pahora graminicola", "Pahora kaituna", "Pahora media", "Pahora montana", "Pahora murihiku", "Pahora rakiura", "Pahora taranaki", "Pahora wiltoni", "Trinodicalles terricola", "Pseudocyclodinus minor", "Quedius mesomelinus", "Helleborus orientalis subsp. orientalis", "Helleborus orientalis subsp. abchasicus", "Genetta genetta genetta", "Helleborus \u00d7 ericsmithii", "Helleborus \u00d7 ballardiae", "Zeiraphera unfortunana", "Isopyrum thalictroides", "Carabus intricatus", "Heterodermia albicans", "Heterodermia albidiflava", "Aptostichus stephencolberti", "Arsenura thomsoni thomsoni", "Arsenura thomsoni lemairei", "Aplocera vivesi", "Aplocera plagiata", "Aplocera plagiata plagiata", "Aplocera plagiata hausmanni", "Heterodermia albopruinosa", "Heterodermia allardii", "Heterodermia angustiloba", "Heterodermia antillarum", "Heterodermia appendiculata", "Heterodermia awasthii", "Heterodermia barbifera", "Heterodermia chilensis", "Heterodermia chondroidea", "Labidesthes sicculus", "Amphisbaena darwinii", "Adonis sect.", "Adonis subsect.", "Adonis subsect.", "Daccordiusa australis", "Trisporusa tasmaniensis", "Chitra indica", "Sooretamys angouya", "Elodina egnatia", "Elodina egnatia egnatia", "Elodina egnatia wonkanobi", "Adonis sect.", "Gangara thyrsis", "Gangara thyrsis thyrsis", "Gangara thyrsis siberutensis", "Zeuxidia amethystus amethystina", "Zeuxidia amethystus belitungensis", "Zeuxidia amethystus linggaensis", "Zeuxidia amethystus obscura", "Zeuxidia amethystus tawiensis", "Zeuxidia amethystus victrix", "Zeuxidia amethystus zambra", "Zeuxidia amethystus wallacei", "Tagiades japetus", "Tagiades japetus japetus", "Tagiades japetus banika", "Cirrochroa kishii", "Athyma adunora", "Athyma adunora adunora", "Athyma adunora saifuli", "Heterodermia verrucifera", "Heterodermia vulgaris", "Weintrauboa yunnan", "Heterodermia yunnanensis", "Weintrauboa yele", "Pimoa lata", "Coptis occidentalis", "Paroxyethira auldorum", "Paroxyethira dunedensis", "Paroxyethira hughwilsoni", "Paroxyethira sarae", "Paroxyethira manapouri", "Paroxyethira pounamu", "Paroxyethira zoae", "Paroxyethira ramifera", "Paroxyethira takitimu", "Coptis aspleniifolia", "Paroxyethira teika", "Coptis laciniata", "Coptis chinensis var. chinensis", "Paroxyethira dumagnes", "Paroxyethira nigrispina", "Paroxyethira hendersoni", "Coptis chinensis var. brevisepala", "Paroxyethira eatoni", "Paroxyethira tillyardi", "Paroxyethira hintoni", "Paroxyethira kimminsi", "Coptis quinquesecta", "Coptis subg.", "Coptis subg.", "Coptis sect.", "Ipomoea \u00d7 multifida", "Coptis sect.", "Hebomoia glaucippe kahtrii", "Eurema candida", "Eurema candida candida", "Eurema candida yatai", "Eurema puella", "Eurema puella puella", "Eurema puella brandti", "Eurema puella misima", "Pseudodipsas mulleri", "Zeuxidia amethystus", "Zeuxidia amethystus amethystus", "Zeuxidia amethystus ayakae", "Coenonica puncticollis", "Coenonica wellingtonica", "Giachinusa aborigena", "Tripyla pulchella", "Heterodermia papuana", "Tripylella iucunda", "Heterodermia paradoxa", "Heterodermia pellucida", "Heterodermia peruviana", "Heterodermia pinnata", "Tripylella intermedia", "Tripylella maiuscula", "Tripylella minuscula", "Heterodermia podocarpa", "Heterodermia polyrhiza", "Heterodermia punctifera", "Heterodermia rubescens", "Helleborus \u00d7 lemonnierae", "Heterodermia leucomela", "Ensayara kermadecensis", "Ensayara ursus", "Galathella solivagus", "Hippomedon iugum", "Hippomedon hurleyi", "Tryphosella moana", "Heterodermia linearis", "Heterodermia loriformis", "Heterodermia lutescens", "Heterodermia magellanica", "Heterodermia major", "Weintrauboa plana", "Weintrauboa pollex", "Heterodermia multiciliata", "Heterodermia namaquana", "Heterodermia neglecta", "Helleborus \u00d7 fissus", "Heterodermia neoleucomelaena", "Helleborus \u00d7 viridescens", "Heterodermia obesa", "Brachida tasmaniensis", "Heterodermia obscurata", "Brachida callicornis", "Heterodermia orientalis", "Helleborus \u00d7 hybridus", "Heterodermia pacifica", "Heterodermia palpebrata", "Heterodermia pandurata", "Heterodermia congoensis", "Heterodermia corallophora", "Heterodermia coronata", "Heterodermia crocea", "Heterodermia cubensis", "Heterodermia cyathiformis", "Heterodermia dactyliza", "Heterodermia dendritica", "Heterodermia detonsa", "Heterodermia diademata", "Heterodermia dispansa", "Heterodermia dissecta", "Heterodermia echinata", "Heterodermia erecta", "Heterodermia fauriei", "Heterodermia firmula", "Heterodermia flabellata", "Heterodermia flavosquamosa", "Heterodermia follmannii", "Atherinops affinis", "Heterodermia fragilissima", "Atherinopsis californiensis", "Heterodermia himalayensis", "Heterodermia hypocaesia", "Heterodermia hypochraea", "Colpichthys regis", "Colpichthys hubbsi", "Heterodermia hypoleuca", "Heterodermia incana", "Leuresthes tenuis", "Heterodermia indica", "Heterodermia intermedia", "Leuresthes sardina", "Heterodermia isidiophora", "Heterodermia isidiosa", "Heterodermia japonica", "Heterodermia kalbii", "Heterodermia kurokawae", "Heterodermia lamelligera", "Helleborus \u00d7 lividescens", "Heterodermia lepidota", "Notocheirus hubbsi", "Cyclaxyra impressa", "Mecodema huttense", "Mecodema persculptum", "Mecodema lucidum", "Mecodema fulgidum", "Mecodema curvidens", "Oopterus basalis", "Holcaspis mucronata", "Neptosternus circumductus", "Tachysphex stysi", "Adonis annua subsp. annua", "Halobrecta hadriatica", "Halobrecta algae", "Halobrecta algophila", "Halobrecta cingulata", "Halobrecta discipula", "Halobrecta flavipes", "Halobrecta halensis", "Halobrecta princeps", "Oopterus subopacus", "Hydroptila hodkovae", "Tinodes hajeki", "Tinodes voriseki", "Hydropsyche lundaki", "Euthalia khambounei hayashii", "Glossolepis incisus", "Iriatherina werneri", "Lobelia cardinalis", "Nigella segetalis", "Massocephalus stysi", "Epichrysodes tienmuensis", "Candalides parsonsi", "Theclinesthes petersi", "Symbrenthia hippalus", "Symbrenthia hippalus hippalus", "Symbrenthia hippalus taliabuensis", "Mustela africana africana", "Mustela africana stolzmanni", "Kalyptatherina helodes", "Marosatherina ladigesi", "Mustela altaica altaica", "Mustela altaica birulai", "Mustela altaica raddei", "Mustela altaica temon", "Elymnias harterti", "Elymnias haterti haterti", "Elymnias harterti arbaimuni", "Euthalia khambounei", "Cairnsichthys rhombosomoides", "Euthalia khambounei khambounei", "Corocosma memorabilis", "Adonis dentata", "Adonis annua subsp. castellana", "Udea sviridovi", "Palearctia ammosovi", "Palearctia hauensteini", "Palearctia glaphyra", "Palearctia glaphyra glaphyra", "Palearctia glaphyra altotibetana", "Aegialomys galapagoensis", "Aegialomys xanthaeolus", "Amphinectomys savamis", "Carletonomys cailoi", "Salix elbursensis", "Salix acmophylla", "Mylothris carvalhoi", "Nigella glandulifera", "Nigella arvensis var. microcarpa", "Nigella arvensis subsp. glaucescens", "Nigella arvensis var. glaucescens", "Nigella arvensis var. glauca", "Nigella arvensis var. arvensis", "Herochroma viridaria", "Herochroma viridaria viridaria", "Herochroma viridaria peperata", "Herochroma yazakii", "Herochroma supraviridaria", "Herochroma sinapiaria", "Nigella sect.", "Nigella sect.", "Herochroma ochreipicta", "Herochroma cristata", "Nigella orientalis", "Nigella lancifolia", "Nigella ciliaris", "Nigella sect.", "Scyrotis athleta", "Scyrotis granosa", "Scyrotis diplopsamma", "Karamea lobata", "Karamea tricerata", "Karamea tuthilli", "Karamea trailli", "Nigella sativa var. sativa", "Nigella sativa var. hispidula", "Nigella segetalis var. armena", "Jezekia kmenti", "Osmundastrum cinnamomeum", "Nigella segetalis var. segetalis", "Nigella fumariifolia", "Nigella stellaris", "Nigella turcica", "Nigella hispanica", "Nigella hispanica var. hispanica", "Nigella hispanica var. intermedia", "Nigella hispanica var. parviflora", "Tituboea biguttata", "Microsania tonnoiri", "Nigella elata", "Komaroffia diversifolia", "Acetropis stysi", "Soerensenella prehensor", "Cymothoa exigua", "Monomorium dirie", "Monomorium disertum", "Monomorium disetigerum", "Monomorium disoriente", "Monomorium dolatu", "Monomorium draculai", "Monomorium drapenum", "Monomorium draxocum", "Monomorium durokoppinense", "Monomorium ebangaense", "Monomorium ebeninum", "Monomorium edentatum", "Monomorium effractor", "Monomorium egens", "Monomorium elegantulum", "Monomorium elgonense", "Monomorium elongatum", "Monomorium emarginatum", "Pelangia mbutaensis", "Orontobia dalailama", "Orontobia dalailama dalailama", "Orontobia dalailama kansuensis", "Orontobia mooseri", "Orontobia taglangla", "Rhadinocentrus ornatus", "Garidella nigellastrum", "Garidella unguicularis", "Nigella oxypetala", "Nigella oxypetala subsp. oxypetala", "Nigella oxypetala subsp. latisecta", "Ochterus marginatus", "Ochterus seychellensis", "Orthosaldula stysi", "Orthosaldula flavonigra", "Orthosaldula rubroalata", "Ploiaria paveli", "Ploiaria stysi", "Hybosorus roei", "Cyathea pinnata", "Sena augustasi", "Tilia johnsoni", "Lacandonajapyx cristinae", "Psychrophila sagittata", "Psychrophila dionaeifolia", "Soehrensia camarguensis", "Nemapalpus brejetubensis", "Nemapalpus capixaba", "Nemapalpus espiritosantensis", "Notofairchildia zelandiae", "Nemapalpus australiensis", "Liromus pardalis", "Ditropidus compactus", "Ctenognathus adamsi", "Crisius ornatus", "Holcaspis sinuiventris", "Nemapalpus acaenohybos", "Nemapalpus stenygros", "Nemapalpus rondanica", "Nemapalpus phoenimimos", "Nemapalpus dampfianus", "Trichomyia capsulata", "Sycorax cryptella", "Sycorax dispar", "Sycorax impatiens", "Sycorax milleri", "Trichomyia fusca", "Sabatinca lucilia", "Sabatinca incongruella", "Gerobrunettia filamentosa", "Gerobrunettia geminata", "Gerobrunettia kagora", "Gerobrunettia sibilensis", "Psychodula harrisi", "Caltha scaposa", "Caltha sinogracilis", "Caltha fistulosa", "Nesolycaena medicea", "Caltha palustris var. enkoso", "Caltha palustris var. nipponica", "Caltha palustris var. pygmaea", "Duliophyle agitata", "Duliophyle agitata agitata", "Duliophyle agitata taiwana", "Cleora leucophaea", "Cleora leucophaea leucophaea", "Cleora leucophaea taiwanensis", "Bosara refusaria", "Bosara minima", "Thubana costimaculella", "Thubana heylaertsi", "Thubana raphidodea", "Thubana erycinae", "Thubana apiculalis", "Thubana sellarius", "Mustela erminea augustidens", "Mustela erminea bangsi", "Mustela erminea celenda", "Mustela erminea cigognanii", "Caltha caespitosa", "Caltha gorovoii", "Caltha arctica", "Caltha membranacea", "Mustela erminea erminea", "Mustela erminea fallenda", "Caltha silvestris", "Mustela erminea ferghanae", "Mustela erminea gulosa", "Thubana dialeukos", "Thubana doisuthepana", "Thubana ochrodelta", "Thubana fangensis", "Mustela erminea haidarum", "Thubana batillua", "Thubana caligaris", "Thubana abbreviata", "Mustela erminea hibernica", "Caltha palustris var. umbrosa", "Thubana kurokoi", "Thubana helvilimbata", "Thubana clavula", "Caltha palustris subsp. sibirica", "Thubana chanthaburiensis", "Thubana adelella", "Thubana albinulla", "Thubana albiprata", "Thubana albisignis", "Caltha palustris var. himalaica", "Caltha palustris var. himalensis", "Caltha palustris subsp. renifolia", "Bedotia albomarginata", "Bedotia leucopteron", "Dasyophthalma creusa", "Dasyophthalma vertebralis", "Dasyophthalma rusina", "Dasyophthalma geraensis", "Mobula alfredi", "Rheocles sikorae", "Amychus candezei", "Rheocles vatosoa", "Rheocles wrightae", "Fagopsis undulata", "Kiunga ballochi", "Kiunga bleheri", "Scaturiginichthys vermeilipinnis", "Commatarcha guangxiensis", "Commatarcha angustiptera", "Guanlong wucaii", "Commatarcha fanjingshana", "Eonympha erythrozona", "Eonympha hesperanthes", "Eonympha retrolapsa", "Eonympha chelonina", "Eonympha fanjingshana", "Eonympha basiprojecta", "Popondichthys furcatus", "Mustela erminea aestiva", "Mustela erminea alascensis", "Mustela erminea anguinae", "Mustela erminea arctica", "Nigella arvensis var. anatolica", "Nigella arvensis var. assyriaca", "Nigella arvensis var. beershevensis", "Nigella arvensis var. involucrata", "Nigella arvensis var. iranica", "Nigella arvensis var. longicornis", "Nigella arvensis var. multicaulis", "Nigella arvensis var. negevensis", "Nigella arvensis var. palaestina", "Nigella arvensis var. simplicifolia", "Nigella arvensis var. mutica", "Caltha palustris subsp. araneosa", "Psychrophila obtusa", "Psychrophila novae-zealandiae", "Psychrophila introloba", "Psychrophila phylloptera", "Psychrophila appendiculata", "Kokeshia stysi", "Kokeshia oroszi", "Kokeshia similis", "Kokeshia esakii", "Kokeshia hsiaoi", "Kokeshia martensi", "Ochterus stysi", "Ochterus caffer", "Ranitomeya defleri", "Arthroleptis langeri", "Paralomis nivosa", "Paralomis makarovi", "Paralomis alcockiana", "Ranunculus ashibetsuensis", "Brachyolus punctatus", "Oreda notata", "Ranunculus pekinensis", "Plocamostethus planiusculus", "Ranunculus bungei", "Cicindela latecincta", "Cicindela parryi", "Holcaspis vagepuncta", "Ranunculus flavidus", "Zeopoecilus calcaratus", "Laemostenus complanatus", "Ranunculus rionii", "Actenonyx bembidioides", "Ranunculus peltatus subsp. peltatus", "Heterodermia rubricosa", "Heterodermia sinocomosa", "Zygoneura contractans", "Scythropochroa nitida", "Cratyna zealandica", "Heterodermia sitchensis", "Heterodermia spathulifera", "Heterodermia speciosa", "Heterodermia spinigera", "Heterodermia spinulosa", "Heterodermia stellata", "Heterodermia subaquila", "Heterodermia subascendens", "Heterodermia subcitrina", "Heterodermia subcomosa", "Heterodermia subisidiosa", "Heterodermia szechuanensis", "Tripylina longa", "Tripyla elegantula", "Tripyla aquatica", "Tripyla terricola", "Tripyla infia", "Heterodermia togashii", "Heterodermia translucens", "Putaoa huaping", "Heterodermia trichophora", "Putaoa megacantha", "Heterodermia trichophoroides", "Heterodermia undulata", "Heterodermia urtasuni", "Nanoa enana", "Heterodermia usambarensis", "Mustela erminea nippon", "Mustela erminea ognevi", "Ranunculus montenegrinus", "Ranunculus \u00d7 intermediifolius", "Mustela erminea olympica", "Mustela erminea polaris", "Ranunculus alpestris", "Mustela erminea richardsonii", "Mustela erminea ricinae", "Mustela erminea salva", "Mustela erminea seclusa", "Mustela erminea semplei", "Mustela erminea stabilis", "Mustela erminea streatori", "Mustela erminea teberdina", "Mustela erminea tobolica", "Malthodes malinkorum", "Malthodes zdeneki", "Malthodes flagellatus", "Malthodes aphroditae", "Malthodes fritzlari", "Malthodes lysosensis", "Malthodes anadyomenae", "Malthodes cyprogenius", "Malthodes andreasi", "Malthodes lycicus", "Malthodes paveli", "Alnus parvifolia", "Threticus philpotti", "Threticus tortuosus", "Calathodes palmata", "Psychoda acutipennis", "Psychoda alternata", "Psychoda lloydi", "Psychoda parthenogenetica", "Psychoda pseudalternata", "Psychoda solivaga", "Calathodes polycarpa", "Calathodes unciformis", "Logima surcoufi", "Psychodocha brachyptera", "Psychodocha campbellica", "Beesia calthifolia", "Bohlenia americana", "Beesia deltophylla", "Psychodocha eremita", "Metanemone ranunculoides", "Adonis aleppica", "Republica kummerensis", "Republica litseafolia", "Adonis annua subsp. cupaniana", "Adonis palaestina", "Callianthemum farreri", "Callianthemum taipaicum", "Heterosphecia tawonoides", "Ranunculus eradicatus", "Ranunculus kauffmannii", "Ranunculus trichophyllus", "Ranunculus trichophyllus var. trichophyllus", "Ranunculus trichophyllus var. kadzusensis", "Ranunculus lobbii", "Ranunculus sect.", "Scolopterus tetracanthus", "Scolopterus penicillatus", "Scolopterus aequus", "Ranunculus sect.", "Scolopterus submetallicus", "Pactola fuscicornis", "Pactola variabilis", "Pactola nigra", "Exomesites optimus", "Pamborus cooloolensis", "Pamborus euopacus", "Pamborus monteithi", "Pamborus moorei", "Aleochara lescheni", "Xenocera sericea", "Mirosternomorphus oblongus", "Scottanobium africanum", "Dasytanobium inaequale", "Dasytanobium timberlakei", "Dasytanobium monstrosum", "Pronus magniventris", "Pronus medianus", "Mirosternomorphus rhizobioides", "Dorcatomiella sericeovariegata", "Masatierrum impressipenne", "Leanobium subhumerale", "Deroptilinus granicollis", "Celastrina perplexa perplexa", "Celastrina perplexa kuroobi", "Satyrium thalia", "Satyrium thalia thalia", "Satyrium thalia chan", "Euthalia purchella", "Euthalia purchella purchella", "Euthalia purchella ebbe", "Chrysozephyrus vittatus vittatus", "Chrysozephyrus vittatus akikoae", "Holcaspis dentifera", "Holcaspis hispida", "Megadromus vigil", "Malthinus ciraliensis", "Malthinus egadiensis", "Malthinus hulai", "Malthinus malinkai", "Ranunculus peltatus subsp. baudotii", "Ranunculus peltatus subsp. fucoides", "Ranunculus saichinensis", "Ranunculus fluitans", "Ranunculus sect.", "Ranunculus sect.", "Falsivalva prensoria", "Atherinason hepsetoides", "Falsivalva paraprensoria", "Falsivalva nephophila", "Falsivalva clavata", "Oecanthus celerinictus", "Oecanthus chopardi", "Oecanthus comma", "Oecanthus comptulus", "Oecanthus crucis", "Oecanthus decorsei", "Oecanthus dissimilis", "Oecanthus dulcisonans", "Oecanthus euryelytra", "Oecanthus exclamationis", "Oecanthus filiger", "Oecanthus flavipes", "Oecanthus forbesi", "Savalia savaglia", "Ranunculus camissonis", "Savalia lucifica", "Atherion africanum", "Atherion elymus", "Atherion maccullochi", "Dentatherina merceri", "Xenocera ambigua", "Xenocera furca", "Xenocera pulla", "Xenocera versuta", "Xenocera plagiata", "Xenocera obscura", "Xenocera notata", "Xenocera granulata", "Oecanthus galpini", "Oecanthus henryi", "Oecanthus immaculatus", "Oecanthus indicus", "Oecanthus jamaicensis", "Oecanthus karschi", "Oecanthus laricis", "Oecanthus latipennis", "Oecanthus leptogrammus", "Oecanthus lineolatus", "Oecanthus longicauda", "Oecanthus macer", "Oecanthus major", "Oecanthus minutus", "Oecanthus nanus", "Oecanthus neofiliger", "Oecanthus neosimilis", "Oecanthus nigricornis", "Oecanthus niveus", "Oecanthus pellucens", "Oecanthus peruvianus", "Mustela erminea initis", "Mustela erminea invicta", "Mustela erminea kadiacensis", "Ranunculus platanifolius", "Mustela erminea kaneii", "Mustela erminea karaginensis", "Mustela erminea lymani", "Mustela erminea martinoi", "Monomorium firmum", "Monomorium fisheri", "Monomorium flavimembra", "Monomorium flavonigrum", "Monomorium flavum", "Mustela erminea minima", "Monomorium floricola", "Monomorium floricola floricola", "Monomorium floricola furinum", "Mustela erminea mongolica", "Monomorium floricola philippinense", "Monomorium forcipatum", "Monomorium fridae", "Monomorium fugelanum", "Monomorium gabrielense", "Mustela erminea muricus", "Monomorium gallagheri", "Monomorium gilberti", "Monomorium glabrum", "Ophonus azureus", "Ranunculus seguieri", "Ranunculus thora", "Ranunculus jovis", "Hyperion schroetteri", "Eristena monika", "Eristena mesilauensis", "Eoophyla becki", "Eoophyla liwaguensis", "Eoophyla cocos", "Nymphicula kinabaluensis", "Nymphicula silauensis", "Monomorium emeryi", "Monomorium emeryi emeryi", "Monomorium emeryi laevior", "Monomorium epinotale", "Monomorium eremophilum", "Monomorium ergatogyna", "Monomorium esharre", "Monomorium euryodon", "Monomorium evansi", "Monomorium excelsior", "Ranunculus subg.", "Monomorium excensurae", "Monomorium exiguum", "Monomorium falcatum", "Monomorium fasciatum", "Monomorium fastidium", "Monomorium fayfaense", "Monomorium ferodens", "Monomorium fezzanense", "Pseudophragmatobia parvula", "Ranunculus subg.", "Pseudophragmatobia limbata", "Pseudophragmatobia cinnamomea", "Pseudophragmatobia salmo", "Pseudophragmatobia perpunctata", "Pseudophragmatobia paucirubra", "Pseudophragmatobia unicolor", "Heterosphecia melissoides", "Ranunculus setosissimus", "Heterosphecia indica", "Heterosphecia robinsoni", "Bittacus hainanicus", "Terrobittacus longisetus", "Terrobittacus xiphicus", "Terrobittacus echinatus", "Terrobittacus implicatus", "Helmoreus sharpi", "Helmoreus agathidis", "Helmoreus curvirostris", "Helmoreus dufouri", "Helmoreus dugdalei", "Helmoreus gressitti", "Helmoreus nothofagi", "Helmoreus watti", "Synallaxis beverlyae", "Corvus moriorum", "Corvus antipodum", "Corvus antipodum antipodum", "Corvus antipodum pycrafti", "Sycoscapter australis", "Androporus caledonicus", "Androporus hollowayae", "Androporus porifer", "Androporus pteropodi", "Androporus discedens", "Gastrotheca antoniiochoai", "Dasyanthribus strigicollis", "Dasyanthribus purpureus", "Anaptychia adamesii", "Ficaria fascicularis", "Anaptychia alba", "Anaptychia albociliata", "Anaptychia applanata", "Anaptychia astroidea", "Mustela eversmanii admirata", "Mustela eversmanii amurensis", "Mustela eversmanii eversmanii", "Mustela eversmanii hungarica", "Mustela eversmanii larvatus", "Mustela eversmanii michnoi", "Mustela eversmanii talassicus", "Mustela felipei", "Krapfia ranunculina", "Malachius rubidus", "Malachius stolatus", "Malachius suturalis", "Ranunculus fascicularis", "Ranunculus sect.", "Mentophilonthus crocuta", "Mentophilonthus equus", "Mentophilonthus hystrix", "Mentophilonthus manis", "Mentophilonthus struthio", "Mentophilonthus vanellus", "Ranunculus sect.", "Philonthus aonyx", "Philonthus bucorvus", "Philonthus falco", "Philonthus limbipennis", "Hydroglyphus sinuspersicus", "Oosternum convexum", "Oosternum intermedium", "Oosternum simplex", "Herodotia subatriventris", "Pseudidarnes minerva", "Eukoebelea australiensis", "Odontofroggatia corneri", "Odontofroggatia ishii", "Odontofroggatia gajimaru", "Anaptychia bryorum", "Australanobium inaequale inaequale", "Anaptychia burnetiae", "Anaptychia ciliaris", "Anaptychia cinerascens", "Anaptychia compacta", "Mustela frenata affinis", "Mustela frenata agilis", "Mustela frenata alleni", "Mustela frenata altifrontalis", "Mustela frenata arizonensis", "Mustela frenata arthuri", "Mustela frenata aureoventris", "Mustela frenata boliviensis", "Mustela frenata costaricensis", "Mustela frenata effera", "Euphaedra mambili", "Kyphocalanus atlanticus", "Mustela frenata frenata", "Mustela frenata goldmani", "Mustela frenata gracilis", "Mustela frenata helleri", "Mustela frenata inyoensis", "Caligo euphorbus", "Mustela frenata latirostra", "Caligo euphorbus euphorbus", "Caligo euphorbus menoetius", "Caligo euphorbus alukuma", "Caligo superbus", "Caligo superbus superbus", "Caligo superbus agamemnon", "Caligo eurilochus", "Euthalia eriphylae", "Euthalia eriphylae eriphylae", "Euthalia eriphylae elioti", "Satyrium tamikoae", "Delias dortheysi", "Delias fascelis", "Delias fascelis fascelis", "Delias fascelis citrona", "Ranunculus subg.", "Delias fascelis sagawaorum", "Delias fascelis paniaia", "Delias fascelis amungme", "Delias fascelis ibelana", "Delias fascelis korupun", "Delias fascelis cartieri", "Ranunculus glacialis", "Thecla betulina", "Thecla betulina betulina", "Thecla betulina minekoae", "Thecla betulina shibasakii", "Araragi enthea enthea", "Antigius attilia attilia", "Antigius attilia michiyoae", "Chrysozephyrus nigroapicalis katsurai", "Chrysozephyrus inthanonensis inthanonensis", "Chrysozephyrus inthanonensis miyashitai", "Delias singhapura", "Delias themis", "Delias agoranis", "Epizoanthus fiordicus", "Epizoanthus beeren-islandicus", "Epizoanthus danielsseni", "Epizoanthus koreni", "Epizoanthus lindahli", "Mesozoanthus fossii", "Stenatherina panatela", "Anaptychia setifera", "Anaptychia solenaria", "Anaptychia spectabilis", "Anaptychia squarrosa", "Anaptychia stellatociliata", "Anaptychia subheterochroa", "Anaptychia tentaculata", "Anaptychia ulotrichoides", "Anaptychia villosa", "Scaphodius amieus", "Scaphodius bifasciatus", "Scaphodius bituberculatus", "Scaphodius complanatus", "Scaphodius forcipatus", "Scaphodius gibbosus", "Scaphodius joliveti", "Scaphodius megalognathus", "Scaphodius montrouzieri", "Scaphodius pictipennis", "Scaphodius striaticollis", "Scaphodius suffriani", "Euacanthella impressa", "Meriones unguiculatus", "Mimopeus buchanani", "Mimopeus elongatus", "Mimopeus humeralis", "Mimopeus insularis", "Mimopeus neglectus", "Mimopeus opaculus", "Maleuterpes spinipes", "Nososticta kalumburu", "Nososticta koolpinyah", "Nososticta mouldsi", "Nososticta taracumbi", "Arabineura khalidi", "Ischalis dugdalei", "Rumohra bartonae", "Bryospilus repens", "Bryospilus culverwelli", "Bryospilus africanus", "Dryopteris gibbsi", "Protoneura cara", "Neoneura aaroni", "Neoneura amelia", "Elattoneura glauca", "Elattoneura frenulata", "Elattoneura leucostigma", "Esme longistyla", "Phylloneura westermanni", "Disparoneura quadrimaculata", "Novamundoniscus gracilis", "Prodasineura verticalis", "Prodasineura autumnalis", "Prodasineura collaris", "Prodasineura interrupta", "Prodasineura notostigma", "Mus mayori", "Dryopteris chuckanutensis", "Dryopteris whatcomensis", "Athyrium gracilium", "Notialis stigmatis", "Notialis vernaculae", "Neuroscelio doddi", "Neuroscelio storeyi", "Neuroscelio stirlingensis", "Neuroscelio noyesi", "Neuroscelio nervalis", "Neuroscelio lagunai", "Neuroscelio orientalis", "Ranunculus sect.", "Coptidium pallasii", "Vema occidua", "Vema levinae", "Coptidium \u00d7spitsbergense", "Nososticta solida", "Nososticta baroalba", "Nososticta solitaria", "Nososticta coelestina", "Nososticta pilbara", "Nososticta liveringa", "Nososticta fraterna", "Nososticta koongarra", "Sapajus nigritus nigritus", "Carystus cacaulandia", "Carystus rufoventris", "Oecanthus sycomorus", "Oecanthus tenuis", "Oecanthus turanicus", "Oecanthus varicornis", "Oecanthus zhengi", "Helcyra hemina", "Helcyra hemina hemina", "Helcyra hemina watanabei", "Mesosemia hazelae", "Delias ladas", "Delias ladas ladas", "Delias ladas fakfakensis", "Delias kummeri", "Delias kummeri kummeri", "Delias kummeri athena", "Delias geraldina", "Delias geraldina geraldina", "Delias geraldina onin", "Idea leuconoe leuconoe", "Idea leuconoe jumaloni", "Idea leuconoe sibutana", "Helcyra miyamotoi", "Aporia agathon", "Aporia agathon agathon", "Aporia agathon omotoi", "Aporia agathon lemoulti", "Mus crociduroides", "Bostrychia bocagei", "Scaptodrosophila fumida", "Ferula orientalis", "Ranunculus sect.", "Ferula rigidula", "Ferula moschata", "Phallostethus dunckeri", "Phallostethus lehi", "Panyapedaliodes muscosa", "Panyapedaliodes muscosa muscosa", "Panyapedaliodes muscosa tambito", "Panyapedaliodes muscosa sumaco", "Panyapedaliodes cocorna", "Caeruleuptychia twalela", "Cissia maripa", "Magneuptychia murrayae", "Euptychia marceli", "Euptychia mollina", "Euptychia mollina mollina", "Euptychia mollina suzannae", "Euptychia westwoodi", "Euptychia westwoodi westwoodi", "Euptychia westwoodi muli", "Euptychia neildi", "Pareuptychia hesionides", "Pareuptychia hesionides hesionides", "Pareuptychia hesionides deviae", "Pareuptychia metaleuca", "Pareuptychia metaleuca metaleuca", "Pareuptychia metaleuca tekolokem", "Pareuptychia hervei", "Monomorium gongromos", "Monomorium grassei", "Monomorium guillarmodi", "Monomorium guineense", "Monomorium hainanense", "Monomorium hanaqe", "Monomorium hanneli", "Monomorium hannonis", "Monomorium harithe", "Mesene babosa", "Monomorium havilandi", "Monomorium hemame", "Monomorium hercules", "Monomorium herero", "Mesene citrinella", "Euselasia jocotoco", "Euselasia nytua", "Callianthemoides semiverticillatus", "Caligo eurilochus eurilochus", "Caligo eurilochus livius", "Caligo eurilochus delectans", "Caligo eurilochus mattogrossensis", "Caligo eurilochus pallidus", "Caligopsis seleucida", "Caligopsis seleucida seleucida", "Caligopsis seleucida juruana", "Caligopsis seleucida akali", "Aponarope sutor", "Aponarope beneluzi", "Notomys amplus", "Anaptychia crinalis", "Anaptychia decipiens", "Greta gabiglooris", "Anaptychia desertorum", "Anaptychia elbursiana", "Anaptychia ephebea", "Anaptychia esorediata", "Anaptychia ethiopica", "Anaptychia formosa", "Anaptychia fulvescens", "Anaptychia hypocrocodes", "Anaptychia isidiata", "Anaptychia isidiza", "Anaptychia jattana", "Anaptychia labellifera", "Anaptychia latifolia", "Anaptychia lineariloba", "Anaptychia megaloplaca", "Anaptychia mexicana", "Anaptychia ophioglossa", "Anaptychia palmulata", "Anaptychia pectinata", "Anaptychia penicillifera", "Anaptychia podocarpiza", "Anaptychia podocarpoides", "Anaptychia pseudoroemeri", "Anaptychia roemeri", "Anaptychia runcinata", "Ranunculus sect.", "Adistemia watsoni", "Actinote kennethi", "Ranunculus hyperboreus", "Lawsonia variabilis", "Lawsonia punita", "Micropilina reinga", "Micropilina wareni", "Micropilina tangaroa", "Cryptolaemus montrouzieri", "Micropilina rakiura", "Micropilina minuta", "Micropilina arntzi", "Euselasia artos", "Euselasia ignitus", "Euselasia rubrocilia", "Euselasia mazaca", "Euselasia euboea", "Euselasia seitzi", "Euselasia pelor", "Euselasia pellonia", "Dodona mizunumai", "Dodona deodata", "Dodona deodata deodata", "Dodona deodata treadawayi", "Mus pahari", "Nososticta aurantiaca", "Nososticta circumscripta", "Nososticta diadesma", "Nososticta eburnea", "Nososticta emphyla", "Prodasineura verticalis humeralis", "Prodasineura verticalis verticalis", "Prodasineura verticalis delia", "Prodasineura verticalis burmanensis", "Prodasineura verticalis annandalei", "Prodasineura verticalis andamanensis", "Necrophilus hydrophiloides", "Necrophilus nomurai", "Necrophilus pettitii", "Necrophilus roderi", "Necrophilus rupinensis", "Necrophilus subterraneus", "Deropygus grammicus", "Deropygus niger", "Xanthoderopygus flavicollis", "Rhantus suturalis", "Peplomicrus yinae", "Caparaonia itaiquara", "Cyamops femobrunneus", "Cyamops femoctenidius", "Cyamops fumipennis", "Pseudoboletus parasiticus", "Russula betularum", "Russula foetens", "Ptilodon longexsertus", "Cosmoclostis parauxileuca", "Cosmoclostis gmelina", "Macrobathra latipterophora", "Coleophora gongliuensis", "Ferula gummosa", "Oecanthus pictipes", "Oecanthus pini", "Oecanthus prolatus", "Oecanthus pseudosimilis", "Oecanthus quadripunctatus", "Oecanthus rectinervis", "Oecanthus rileyi", "Oecanthus rufescens", "Oecanthus rufopictus", "Oecanthus similator", "Oecanthus similis", "Oecanthus sinensis", "Oecanthus socians", "Allantodiopsis erosa", "Pteris whatcomensis", "Equisetum newberryi", "Incertae sedis", "Danaea borealis", "Parbattia arisana", "Parbattia serrata", "Parbattia latifascialis", "Parbattia vialis", "Parbattia excavata", "Alloxysta victrix", "Alloxysta fuscicornis", "Lygodium kaulfussi", "Alloxysta desantisi", "Apocharips angelicae", "Anemia elongata", "Apocharips hansoni", "Lobopterocharips arreplegata", "Thoreauana giraulti", "Eilema uniola", "Metaparagia doddi", "Papilio forbesi", "Papilio helenus", "Papilio iswara", "Papilio mahadeva", "Papilio nephelus", "Papilio polytes", "Papilio sataspes", "Papilio woodfordi", "Papilio fuscus fuscus", "Papilio fuscus motomurai", "Charaxes latona", "Charaxes latona latona", "Charaxes latona grandis", "Charaxes bernardus mirabilis", "Euploea tobleri", "Euploea tobleri tobleri", "Euploea tobleri yoshioi", "Cylindropuntia \u00d7 multigeniculata", "Bassarona dunya", "Cylindropuntia \u00d7 neoarbuscula", "Cylindropuntia \u00d7 tetracantha", "Cylindropuntia \u00d7 viridiflora", "Micropeplus sinensis", "Micropeplus okiensis", "Arthonia rubrocincta", "Rhantus frontalis", "Micropeplus dentatus", "Peplomicrus iviei", "Charaxes solon", "Charaxes solon solon", "Charaxes solon setsuroi", "Charaxes bernardus miyatai", "Charaxes amycus", "Charaxes amycus amycus", "Xanthoderopygus jocosus", "Charaxes amycus shunichii", "Polyura delphis", "Polyura delphis delphis", "Polyura delphis hiroyukii", "Polyura athamas", "Polyura athamas athamas", "Xanthoderopygus didymus", "Xanthoderopygus kasaharai", "Xanthoderopygus matobai", "Xanthoderopygus ogasawarensis", "Polyura athamas kotakii", "Xanthoderopygus watanabei", "Ferulago campestris", "Ferulago setifolia", "Ferulago sylvatica", "Bryotropha patockai", "Eterusia vitessa", "Eterusia vitessa vitessa", "Eterusia vitessa seramensis", "Nokona christineae", "Toleria sherpa", "Euthalia anosia", "Euthalia anosia anosia", "Euthalia anosia recta", "Eulaceura osteria", "Eulaceura osteria osteria", "Eulaceura osteria nakamotoi", "Micropeplus borealis", "Micropeplus dokuchaevi", "Ramalina panizzei", "Mordella jucunda", "Cercyon analis", "Rhipsalis mesembryanthemoides", "Cylindropuntia imbricata", "Cylindropuntia spinosior", "Brachycerus sinuatus", "Cylindropuntia imbricata subsp. imbricata", "Mustela frenata noveboracensis", "Mustela frenata occisor", "Mustela frenata olivacea", "Mustela frenata oregonensis", "Mustela frenata oribasus", "Mustela frenata panamensis", "Mustela frenata peninsulae", "Mustela frenata perda", "Mustela frenata perotae", "Mustela frenata primulina", "Cylindropuntia \u00d7 congesta", "Mustela frenata pulchra", "Cylindropuntia \u00d7 deserta", "Cylindropuntia \u00d7 fosbergii", "Mustela frenata saturata", "Cylindropuntia \u00d7 campii", "Mustela frenata spadix", "Mustela frenata texensis", "Cylindropuntia \u00d7 kelvinensis", "Mustela frenata tropicalis", "Mustela frenata washingtoni", "Mustela frenata xanthogenys", "Papilio ascalaphus", "Papilio castor", "Papilio bootes", "Papilio deiphobus", "Mustela frenata macrophonius", "Mustela frenata munda", "Mustela frenata neomexicanus", "Mustela frenata nevadensis", "Mustela frenata nicaraquae", "Mustela frenata nigriauris", "Mustela frenata notius", "Esme cyaneovittata", "Esme mudiensis", "Sierraphytoptus ambulans", "Bocchus whiteleyi", "Bocchus kogelbergensis", "Porina austroatlantica", "Elenchus maorianus", "Peplomicrus dybasi", "Euphilotes rita emmeli", "Euphilotes rita mattoni", "Euphilotes enoptes langstoni", "Memphis proserpina", "Memphis proserpina proserpina", "Satureja taurica", "Memphis proserpina kingi", "Celaenorrhinus bitjena", "Celaenorrhinus boadicea", "Celaenorrhinus boadicea boadicea", "Carnegieispora rimeliae", "Celaenorrhinus boadicea howarthi", "Celaenorrhinus nimba", "Celaenorrhinus milleri", "Celaenorrhinus hecqui", "Celaenorrhinus dargei", "Celaenorrhinus cordeironis", "Celaenorrhinus kimboza", "Celaenorrhinus leona", "Celaenorrhinus lourentis", "Celaenorrhinus macrostictus", "Celaenorrhinus ovalis", "Celaenorrhinus plagiatus", "Celaenorrhinus pooanus", "Celaenorrhinus rubeho", "Celaenorrhinus sagamase", "Celaenorrhinus sanjeensis", "Celaenorrhinus selysi", "Celaenorrhinus suzannae", "Celaenorrhinus uluguru", "Celaenorrhinus zanqua", "Celaenorrhinus toro", "Araecerus fasciculatus", "Araecerus palmaris", "Cepora kotakii", "Hebomoia glaucippe kangeanensis", "Oecanthodes anomala", "Viphyus livingstonei", "Viphyus victorinoxi", "Ursus arctos beringianus", "Ursus arctos crowtheri", "Ursus arctos isabellinus", "Ursus arctos marsicanus", "Monomorium hesperium", "Monomorium hesperium hesperium", "Monomorium hesperium lanzarotense", "Monomorium hildebrandti", "Monomorium hirsutum", "Monomorium hiten", "Monomorium holothir", "Monomorium hospitum", "Monomorium ilgii", "Monomorium impexum", "Monomorium indicum", "Monomorium indicum indicum", "Monomorium indicum kusnezowi", "Monomorium infuscum", "Monomorium inquietum", "Monomorium inquilinum", "Monomorium insolescens", "Monomorium intrudens intrudens", "Monomorium intrudens pieli", "Monomorium inusuale", "Monomorium invidium", "Monomorium iyenasu", "Papilio acheron", "Mus vulcani", "Mustela frenata leucoparia", "Mustela frenata longicauda", "Morphozonitis angolensis", "Macroleptura thoracica", "Doxozilora punctata", "Grammoptera viridipennis", "Grammoptera auricollis", "Morphozonitis mashuna", "Acmaeops pratensis", "Perthida glyphopa", "Perthida phoenicopa", "Hypochrysops piceata", "Philetes megalospila", "Philetes acosmeta", "Blacophanes pallida", "Thalamarchella alveola", "Thalamarchella robinsoni", "Thalamarchella aneureta", "Phthonerodes scotarcha", "Phthonerodes peridela", "Aesculus \u00d7 balgiana", "Notomys longicaudatus", "Ramonia extensa", "Munychryia periclyta", "Munychryia senicula", "Acanthosaura armata", "Gephyroneura cosmia", "Acanthosaura bintangensis", "Trapezites macqueeni", "Deudorix smilis", "Deudorix smilis smilis", "Deudorix smilis dalyensis", "Euphilotes battoides battoides", "Euphilotes battoides allyni", "Euphilotes battoides comstocki", "Euphilotes battoides ellisii", "Euphilotes battoides baueri", "Euphilotes rita", "Euphilotes rita rita", "Cylindropuntia \u00d7 vivipara", "Cylindropuntia bigelovii", "Cerapeplus siamensis", "Cerapeplus sinensis", "Oligochlora semirugosa", "Oligochlora eickworti", "Oligochlora micheneri", "Phosphaenus hemipterus", "Oligochlora rozeni", "Oligochlora marquettorum", "Oligochlora grimaldii", "Nesagapostemon moronei", "Chrysina diversa", "Peplomicrus uyttenboogaarti", "Peplomicrus acumen", "Peplomicrus africanus", "Peplomicrus carayoni", "Peplomicrus mexicanus", "Peplomicrus pecki", "Peplomicrus watrousi", "Gonatopus alpinus", "Gonatopus zealandicus", "Tawa hallae", "Macratria aotearoa", "Macratria exilis", "Notomys cervinus", "Notomys fuscus", "Notomys mitchellii", "Notomys mordax", "Syncesia subintegra", "Arecopais spectabilis", "Sarcogyne algerica", "Cacephatus ancoralis", "Cacephatus liromoides", "Cacephatus scolopax", "Cacephatus sericeus", "Poecilopachys australasia", "Sharpius sandageri", "Acis ionica", "Sharpius venustus", "Sharpius brouni", "Dysnocryptus pallidus", "Dysnocryptus dignus", "Dysnocryptus inflatus", "Dysnocryptus maculifer", "Dysnocryptus pilicornis", "Dysnocryptus rugosus", "Mimiselma pintoi", "Philadelphus caucasicus", "Philadelphus tenuifolius", "Philadelphus schrenkii", "Geotrupes mutator", "Dichorragia nesimachus luzonensis", "Dichorragia nesimachus leytensis", "Dichorragia nesimachus baliensis", "Bolboceras armiger", "Lichenodiplis rinodinicola", "Notomys macrotis", "Satureja laxiflora", "Lecanora gyrophorica", "Lecanora munzii", "Prodoxus praedictus", "Plagiomimicus kathyae", "Verrucaria thujae", "Notomys alexis", "Satureja mutica", "Tondanichthys kottelati", "Cryptothecia evergladensis", "Notomys aquilo", "Arrhamphus sclerolepis", "Pericnemis stictica", "Pericnemis triangularis", "Lenax mirandus", "Phytilea propera", "Lophocorona pediasia", "Lophocorona astiptica", "Lophocorona melanora", "Aesculus +dallimorei", "Proeidosa polysema", "Stachys intermedia", "Melanolycaena altimontana", "Melanolycaena altimontana altimontana", "Melanolycaena altimontana microgyris", "Melanolycaena thecloides", "Pseudodipsas aurea", "Myrascia cremantis", "Myrascia mychias", "Myrascia melitypa", "Aesculus \u00d7 hybrida", "Aesculus \u00d7 marylandica", "Aesculus \u00d7 mutabilis", "Aesculus \u00d7 hemiacantha", "Aesculus \u00d7 arnoldiana", "Aesculus \u00d7 worlitzensis", "Aesculus sect.", "Aesculus sect.", "Chriodorus atherinoides", "Aesculus sect.", "Aesculus sect.", "Aesculus sect.", "Euleptorhamphus velox", "Euleptorhamphus viridis", "Melapedalion breve", "Aesculus chinensis var. chinensis", "Aesculus chinensis var. wilsonii", "Aesculus parryi", "Apoaphelopus mostovskii", "Apoaphelopus niassensis", "Conganteon kolyadai", "Conganteon walkerense", "Conganteon nepalense", "Conganteon gigas", "Conganteon taiwanense", "Conganteon townesi", "Conganteon transvaalense", "Conganteon vannoorti", "Conganteon vulcanicum", "Cyclaxyra jelineki", "Cyclaxyra politula", "Oncopera tindalei", "Carthaea saturnioides", "Jalmenus pseudictinus", "Candalides consimilis", "Candalides consimilis consimilis", "Candalides consimilis toza", "Hypochrysops digglesii", "Hypochrysops rufimargo", "Hirudo medicinalis", "Ablennes hians", "Lerista karlschmidti", "Billia hippocastanum", "Salpichlaena serrata", "Woodwardia clarus", "Billia rosea", "Woodwardia aurora", "Polypodium alternatum", "Aesculus glabra subsp. glabra", "Metasequoia occidentalis", "Taxodium dubium", "Apteroloma belousovi", "Apteroloma jelineki", "Apteroloma qinligense", "Aesculus glabra subsp. arguta", "Glischrochilus jelineki", "Graphium agamemnon", "Faunis aerope", "Faunis arcesilaus", "Faunis assama", "Faunis canens", "Faunis eumeus", "Faunis gracilis", "Faunis menado", "Faunis phaon", "Faunis sappho", "Faunis kirata", "Morpho telemachus", "Syzygium smithii", "Scomberesox simulans", "Laniferus uniformis", "Laniferus grandis", "Aaveqaspis inesoni", "Hoheria sect.", "Hoheria sect.", "Python sebae", "Python sebae sebae", "Python sebae natalensis", "Micropeplus volcanus", "Micropeplus smetanai", "Micropeplus tesserula", "Micropeplus laticollis", "Micropeplus durangoensis", "Micropeplus robustus", "Micropeplus cribratus", "Micropeplus punctatus", "Omonadus formicarius", "Carneiola zealandica", "Trichotomoxia chubbi", "Pselaphostena arnoldi", "Stachys turkestanica", "Oonotus rex", "Oonotus sericeus", "Actaeus armatus", "Maoritrechus rangitotoensis", "Trichotomoxia grosseantennalis", "Neostromboceros teres", "Pergula turneri", "Pergula exilis", "Pergula xantha", "Aegognathus waterhousei", "Thyreophagus australis", "Stachys maritima", "Stachys turcomanica", "Stachys trinervis", "Geotrupes impressus", "Dichorragia nesimachus", "Dichorragia nesimachus nesimachus", "Athetis hanmiensis", "Athetis motuoensis", "Acria equibicruris", "Acria ornithorrhyncha", "Micromoema xiphophora", "Millerichthys robustus", "Papiliolebias bitteri", "Llanolebias stellifer", "Panagaeus bipustulatus", "Panagaeus sallei", "Pomatoschistus microps", "Paraneseuthia inexpectata", "Aegus ogasawarensis", "Stygocaris townsendi", "Araeocerodes lilliputanus", "Araeocerodes elongatus", "Araeocerodes punctatus", "Araeocerodes kinke", "Araeocerodes makiharai", "Amphisbaena ridleyi", "Araeocerodes inaequalis", "Sorex sadonis", "Amara fulva", "Gnatholebias zonatus", "Cortodera aestiva", "Cortodera cirsii", "Cortodera omophloides", "Cortodera pseudomophlus", "Cortodera rubripennis", "Cortodera syriaca", "Stachys balansae", "Polyura nepenthes", "Polyura nepenthes nepenthes", "Polyura nepenthes kiangsiensis", "Lexias satrapes", "Lexias satrapes satrapes", "Lexias satrapes hiwaga", "Belonion apodion", "Belonion dibranchodon", "Petalichthys capensis", "Platybelone argalus", "Delias waterstradti", "Delias waterstradti waterstradti", "Delias waterstradti cameriae", "Pachliopta aristolochiae aristolochiae", "Pachliopta aristolochiae jemajensis", "Stachys alpina", "Cololabis adocetus", "Dodonaea viscosa", "Alectryon excelsus subsp. grandis", "Alectryon excelsus subsp. excelsus", "Chengiopanax sciadophylloides", "Centropristis striata", "Brassaiopsis sumatrana", "Brassaiopsis resecta", "Hypanus americanus", "Gymnothorax funebris", "Salvia verbascifolia", "Salvia brachyantha", "Clupea pallasii", "Lasionycta subfuscula livida", "Lasionycta staudingeri", "Lasionycta staudingeri staudingeri", "Lasionycta staudingeri preblei", "Lasionycta dolosa", "Lasionycta subfumosa", "Hippotragus niger variani", "Epithora dorsalis", "Astrantia minor", "Astrantia sect.", "Astrantia sect.", "Sericospilus aenealis", "Stachys hissarica", "Parandrexis rotundicollis", "Parandrexis subtilis", "Parandrexis parvula", "Parandrexis beipiaoensis", "Martynopsis laticollis", "Oonotus adspersus", "Oonotus interioris", "Dryophilastes cyamudongoensis", "Dryophilastes crassipunctatus", "Stachys setifera", "Hoheria angustifolia", "Stachys komarovii", "Stachys chinensis", "Stachys atherocalyx", "Myrascia interlineatella", "Myrascia lathicentra", "Myrascia megalocentra", "Myrascia subductella", "Myrascia bracteatella", "Myrascia trijugella", "Myrascia chionora", "Myrascia racinora", "Myrascia empheres", "Cadra cautella", "Cadra figulilella", "Cadra reniformis", "Cadra perfasciata", "Cadra corniculata", "Cadra acuta", "Cadra rugosa", "Acrodipsas mortoni", "Acrodipsas aurata", "Croitana arenaria", "Croitana aestiva", "Stictoleptura rufa", "Cydia marathonana", "Euidosomus acuminatus", "Mustela kathiah caporiaccoi", "Mustela kathiah kathiah", "Faunis stomphax", "Faunis stomphax stomphax", "Faunis stomphax insularis", "Elymnias panthera", "Elymnias panthera panthera", "Elymnias panthera ruricolaris", "Lexias pardalis", "Lexias pardalis pardalis", "Lexias pardalis nigricans", "Tarattia libnites", "Tarattia lymire", "Tarattia lymire lymire", "Tarattia lymire potens", "Tarattia lymire munaensis", "Tarattia libnites libnites", "Tarattia libnites nieuwenhuisi", "Tarattia lysanias", "Tarattia lysanias lysanias", "Tarattia lysanias hiromii", "Tarattia lysanias aberrans", "Charaxes solon obscurus", "Stachys angustifolia", "Prothoe franck", "Prothoe franck franck", "Prothoe franck karimatana", "Amphioctopus marginatus", "Cladonia stipitata", "Navigobius dewa", "Pterocerdale insolita", "Vaejovis ocotensis", "Temnostega antarctica", "Compoceration garyi", "Amblystogenium minimum", "Amblystogenium pacificum", "Lasionycta discolor", "Lasionycta promulsa", "Lasionycta macleani", "Pelochelys bibroni", "Pelochelys signifera", "Lasionycta impingens", "Lasionycta impingens impingens", "Lasionycta impingens curta", "Palea steindachneri", "Nilssonia formosa", "Lasionycta haida", "Pelodiscus axenaria", "Lasionycta coracina", "Pelodiscus parviformis", "Lasionycta anthracina", "Pelodiscus maackii", "Lasionycta illima", "Lasionycta frigida", "Lasionycta sasquatch", "Hedera helix subsp. rhizomatifera", "Hedera maderensis", "Hedera pastuchovii subsp. cypria", "Hedera maroccana", "Hedera rhombea var. rhombea", "Hedera helix subsp. poetarum", "Polyscias acuminata", "Aralia acutifolia", "Barbatia merriami", "Elseya irwini", "Mustela nivalis allegheniensis", "Mustela nivalis boccamela", "Mustela nivalis campestris", "Mustela nivalis caucasica", "Mustela nivalis eskimo", "Mustela nivalis heptneri", "Ataeniobius toweri", "Mustela nivalis namiyei", "Anabasis ochrodesma", "Mustela nivalis nivalis", "Mustela nivalis numidica", "Bazaria turensis", "Bazaria dulanensis", "Anabasis prompta", "Pseudanabasis incanimaculata", "Autochthonus chalybiellus", "Autochthonus singulus", "Hubbsina turneri", "Agriothera doipakiae", "Agriothera issikii", "Melanotus punctolineatus", "Melanotus castanipes", "Xenoophorus captivus", "Xenotaenia resolanae", "Fatsia oligocarpella", "Fatsia polycarpa", "Discheramocephalus brucei", "Discheramocephalus elisabethae", "Discheramocephalus jarmilae", "Discheramocephalus mikaeli", "Discheramocephalus minutissimus", "Discheramocephalus stewarti", "Oplopanax horridus", "Oplopanax elatus", "Oplopanax japonicus", "Coronadillo hamiltoni", "Coronadillo suteri", "Sepia vermiculata", "Sepia tuberculata", "Sepia simoniana", "Kalopanax septemlobus subsp. septemlobus", "Donacia semicuprea", "Neofelis diardi diardi", "Neofelis diardi borneensis", "Donacia versicolorea", "Cryptocephalus biguttatus", "Opegrapha moroziana", "Amphicoma laosana", "Amphicoma nikodymi", "Chelagyrtodes davidi", "Chelagyrtodes glacicola", "Chelagyrtodes haasti", "Chelagyrtodes newtoni", "Chelagyrtodes rotundus", "Notolaemus castaneus", "Notolaemus unifasciatus", "Endopleura uchi", "Haliotis midae", "Haliotis parva", "Haliotis queketti", "Haliotis spadicea", "Haliotis speciosa", "Lasionycta skraelingia", "Lasionycta taigata", "Lasionycta secedens", "Lasionycta secedens secedens", "Lasionycta secedens bohemani", "Lasionycta phaea", "Lasionycta subdita", "Lasionycta conjugata", "Lasionycta fergusoni", "Lasionycta mutilata", "Lasionycta luteola", "Lasionycta leucocycla", "Lasionycta leucocycla leucocycla", "Lasionycta leucocycla moeschleri", "Lasionycta leucocycla hampa", "Lasionycta leucocycla albertensis", "Lasionycta flanda", "Lasionycta poca", "Lasionycta coloradensis", "Lasionycta benjamini", "Lasionycta benjamini benjamini", "Lasionycta benjamini medaminosa", "Mustela lutreola biedermanni", "Mustela lutreola binominata", "Mustela lutreola cylipena", "Mustela lutreola lutreola", "Mustela lutreola novikovi", "Mustela lutreola transsylvanica", "Mustela lutreola turovi", "Lasionycta perplexa", "Lasionycta subfuscula", "Lasionycta subfuscula subfuscula", "Sericospilus costellus", "Sericospilus eximius", "Sericospilus piliventris", "Bicava convexa", "Bicava verrucifera", "Forestocheles perplexus", "Philoscia pubescens", "Pseudophiloscia brevicornis", "Hedera nepalensis var. nepalensis", "Hedera rhombea var. formosana", "Hedera nepalensis var. sinensis", "Hedera pastuchovii", "Lasionycta quadrilunata", "Lasionycta quadrilunata quadrilunata", "Lasionycta quadrilunata yukona", "Lasionycta lagganata", "Hedera canariensis", "Lasionycta phoca", "Hedera iberica", "Hedera algeriensis", "Hedera azorica", "Lasionycta uniformis", "Lasionycta uniformis uniformis", "Lasionycta uniformis multicolor", "Hedera helix subsp. helix", "Hedera taurica", "Lasionycta uniformis fusca", "Galeruca tanaceti", "Lasionycta uniformis shasta", "Lasionycta uniformis handfieldi", "Vijayachelys silvatica", "Cuora yunnanensis", "Octopus magnificus", "Thysanoteuthis rhombus", "Papaver lateritium subsp. lateritium", "Sepia papillata", "Sepia pulchra", "Dogania subplana", "Pelochelys cantorii", "Hedera hibernica", "Ahmetia achaja achaja", "Crocus pallasii", "Ahmetia achaja jamadai", "Hozbeka anomala", "Eraina thamnocephala", "Aniuta ochroleuca", "Pachyphoenix phoenissa", "Crocus caspius", "Cualac tessellatus", "Crocus korolkowii", "Garmanella pulchra", "Crocus michelsonii", "Megupsilon aporus", "Lamprichthys tanganicanus", "Agoseris coronopifolia", "Rhynchotus maculicollis", "Salvelinus agassizi", "Salvelinus albus", "Salvelinus andriashevi", "Tulaya margelana", "Tulaya staudingeri", "Oreopanax acerifolius", "Salvelinus boganidae", "Salvelinus czerskii", "Salvelinus drjagini", "Salvelinus colii", "Oreopanax argentatus", "Salvelinus confluentus", "Salvelinus jacuticus", "Neocoloneura fragilis", "Anolis equestris", "Basiliscus basiliscus", "Sauromalus ater", "Triakis semifasciata", "Brassaiopsis aculeata", "Pertusaria stalactiza", "Trithemis annulata", "Digitalis mariana subsp. mariana", "Digitalis mariana subsp. heywoodii", "Mytilus buwaldana", "Modiolus restorationensis", "Paphia landesi", "Tellina gibbsonensis", "Leptolucania ommata", "Triakis acutipinna", "Triakis maculata", "Triakis megalopterus", "Triakis scyllium", "Manis culionensis", "Reuda mayri", "Aulacosternus zelandicus", "Oxyzygonectes dovii", "Crocus autranii", "Ahmetia achaja", "Marrubium woronowii", "Marrubium parviflorum", "Marrubium plumosum", "Marrubium catariifolium", "Marrubium leonuroides", "Helesius nigripennis", "Helesius nubilans", "Marrubium propinquum", "Marrubium persicum", "Digitalis \u00d7 fucata", "Salvelinus malma", "Salvelinus maxillaris", "Salvelinus murta", "Salvelinus neiva", "Salvelinus obtusus", "Salvelinus perisii", "Austropotamobius italicus", "Austropotamobius pallipes", "Eleutherococcus divaricatus", "Lasionycta brunnea", "Lasionycta caesia", "Lasionycta gelida", "Lasionycta mono", "Lasionycta pulverea", "Lasionycta silacea", "Lasionycta sierra", "Lasionycta perplexella", "Lasionycta subalpina", "Lasionycta carolynae", "Psammopolia arietis", "Psammopolia wyatti", "Psammopolia insolens", "Psammopolia sala", "Psammopolia ochracea", "Tricholita knudsoni", "Tricholita ferrisi", "Rastrelliger kanagurta", "Pammene blanda", "Salvia compar", "Pammene soyoensis", "Gamblea innovans", "Salvia daghestanica", "Pantanodon stuhlmanni", "Pantanodon madagascariensis", "Naso lituratus", "Atelophyllodes atyeoi", "Atelophyllodes menurae", "Cleidopus gloriamaris", "Bisinocoelia despecta", "Cacephatus inornatus", "Diazosma seclusum", "Agoseris glauca var. dasycephala", "Diazosma tibeticum", "Diazosma hirtipenne", "Diazosma subsinuatum", "Diazosma pratti", "Tricharnhemia browni", "Pterozetes novazealandicus", "Atalotegaeus mensarosi", "Birotegaeus biroi", "Dudichella membranigera", "Neoeutegaeus africanus", "Neoeutegaeus phyllophorus", "Neoeutegaeus silvicola", "Eutegaeus papuensis", "Neseutegaeus spinatus", "Neseutegaeus angustus", "Neseutegaeus consimilis", "Neseutegaeus distentus", "Neseutegaeus latus", "Neseutegaeus denticulatus", "Neseutegaeus monteithi", "Eutegaeus biovatus", "Eutegaeus fueginus", "Eutegaeus lagrecai", "Eutegaeus soror", "Porrhotegaeus ornatus", "Porrhotegaeus herminae", "Pareutegaeus similis", "Pareutegaeus pulcher", "Dumetoniscus graniticus", "Serendibia cavernicola", "Serendibia denticulata", "Serendibia filiformis", "Serendibia vagans", "Serendibia samhaensis", "Platyarthrus alticolus", "Fortagonum bellorum", "Paridiagonum bidentatum", "Tetramorium bicarinatum", "Tetramorium grassii", "Sphyracephala europaea", "Sphyracephala babadjanidesi", "Sphyracephala nigrimana", "Sphyracephala beccarii", "Sphyracephala detrahens", "Parisopalpus macleayi", "Parisopalpus nigronotatus", "Agoseris hirsuta", "Agoseris monticola", "Agoseris parviflora", "Agoseris aurantiaca var. aurantiaca", "Agoseris aurantiaca var. purpurea", "Lucanus dybowskyi", "Actenicerus aerosus", "Mustela nivalis pallida", "Mustela nivalis pygmaea", "Mustela nivalis rixosa", "Mustela nivalis rossica", "Mustela nivalis russelliana", "Mustela nivalis stoliczkana", "Mustela nivalis tonkinensis", "Mustela nivalis vulgaris", "Mustela nudipes leucocephalus", "Mustela nudipes nudipes", "Mustela putorius anglia", "Mustela putorius aureola", "Mustela putorius caledoniae", "Cnesterodon pirai", "Tomeurus gracilis", "Chaerophyllum angelicifolium", "Chaerophyllum astrantiae", "Carum meifolium", "Carum caucasicum", "Belonesox belizanus", "Pimpinella rhodantha", "Heracleum sphondylium", "Chlorostilbon lucidus", "Aphanius mesopotamicus", "Clausia aprica", "Phalloceros caudimaculatus", "Proiphys alba", "Proiphys amboinensis", "Proiphys cunninghamii", "Proiphys infundibularis", "Calostemma abdicatum", "Calostemma purpureum", "Calostemma luteum", "Mystacina tuberculata", "Chrysolina americana", "Ligidium jiuzhai", "Mustela putorius mosquensis", "Mustela putorius putorius", "Paguristes haigae", "Mustela putorius rothschildi", "Mustela sibirica canigula", "Mustela sibirica charbinensis", "Quintana atrizona", "Agoseris apargioides var. apargioides", "Neoheterandria elegans", "Neoheterandria cana", "Neoheterandria tridentiger", "Agoseris apargioides var. eastwoodiae", "Agoseris apargioides var. maritima", "Fellhanera africana", "Fellhanera albidocincta", "Fellhanera antennophora", "Fellhanera aurantiaca", "Fellhanera avilezii", "Fellhanera badia", "Fellhanera badimioides", "Fellhanera bouteillei", "Fellhanera bullata", "Fellhanera buxi", "Fellhanera carnea", "Fellhanera cenii", "Fellhaneropsis australiana", "Fellhaneropsis kurokawana", "Fellhaneropsis myrtillicola", "Fellhaneropsis subantarctica", "Fellhaneropsis vezdae", "Ammocharis nerinoides", "Ammocharis tinneana", "Dyscritaspis whartoni", "Lichomolgus uncus", "Australocilliba hallidayi", "Australocilliba kuchtaorum", "Ismene pedunculata", "Lexias albopunctata albopunctata", "Lexias albopunctata borealis", "Danaus melanippus", "Danaus melanippus melanippus", "Danaus melanippus variabilis", "Euploea radamanthus", "Euploea radamanthus radamanthus", "Bulgaroperla mirabilis", "Euploea radamanthus scitula", "Bassarona labotas", "Agoseris \u00d7 agrestis", "Agoseris \u00d7 dasycarpa", "Agoseris \u00d7 elata", "Bassarona labotas labotas", "Bassarona labotas pelengensis", "Losaria neptunus neptunus", "Losaria neptunus eminens", "Xenophallus umbratilis", "Losaria neptunus manasukkiti", "Acanthosaura coronata", "Acanthosaura crucigera", "Acanthosaura lepidogaster", "Sympetrum vulgatum", "Acanthosaura nataliae", "Acanthosaura titiwangsaensis", "Hypocassida subferruginea", "Allotinus otsukai", "Arhopala tindongani", "Tanaecia iapis", "Agoseris heterophylla var. quentinii", "Tanaecia iapis karimatana", "Lebadea martha", "Lebadea martha martha", "Lebadea martha onishii", "Moduza procris", "Moduza procris procris", "Moduza procris natunensis", "Lexias albopunctata", "Phycella australis", "Phycella scarlatina", "Zephyranthes tenuiflora", "Zephyranthes bifida", "Platysetosus occultus", "Neocypholaelaps ewae", "Neocypholaelaps phooni", "Neocypholaelaps apicola", "Neocypholaelaps novaehollandiae", "Hattena rhizophorae", "Hattena tongana", "Ismene subg.", "Graphium antiphates", "Euthalia mahadeva dacasini", "Euthalia mahadeva zichrina", "Euthalia alpheda", "Euploea blossomae", "Euploea blossomae blossomae", "Euploea blossomae corazonae", "Euploea blossomae escapardae", "Euploea blossomae sibulanensis", "Euploea blossomae tamaraw", "Troides haliphron", "Pachliopta liris liris", "Pachliopta liris seruaensis", "Zeuxidia doubledayi", "Zeuxidia doubledayi doubledayi", "Zeuxidia doubledayi natunensis", "Fellhanera ochracea", "Fellhanera paradoxa", "Fellhanera parvula", "Fellhanera pauciseptata", "Fellhanera perpusilla", "Fellhanera pilomarginata", "Fellhanera pilosa", "Fellhanera rhapidophylli", "Fellhanera rubida", "Fellhanera santessonii", "Fellhanera semecarpi", "Fellhanera seroexspectata", "Fellhanera silicis", "Fellhanera sorediantha", "Fellhanera stanhopeae", "Fellhanera subfuscatula", "Fellhanera sublecanorina", "Fellhanera submicrommata", "Fellhanera substanhopeae", "Fellhanera subternella", "Fellhanera subtilis", "Fellhanera tasmanica", "Fellhanera tricharioides", "Fellhanera tropica", "Fellhanera tubulifera", "Fellhanera vandenberghenii", "Fellhanera verrucifera", "Fellhanera viridis", "Fellhanera viridisorediata", "Fellhanera winkleriana", "Fellhanera wirthii", "Fellhanera silhouettae", "Acanthosaura capra", "Ammocharis angolensis", "Ammocharis baumii", "Pareronia tritaea", "Pareronia tritaea tritaea", "Pareronia tritaea illustris", "Athyma adunora exilis", "Charaxes latona insignis", "Laxita thuisto", "Laxita thuisto thuisto", "Laxita thuisto obscura", "Hebomoia glaucippe kazukoae", "Graphium sarpedon", "Trichiura verenae verenae", "Trichiura verenae witti", "Zygaena araxis", "Nordstromia guenterriedeli", "Phylloscopus calciatilis", "Ornithonyssus spinosus", "Ophionyssus galeotes", "Ophionyssus scincorum", "Ornithonyssus bacoti", "Ornithonyssus bursa", "Ornithonyssus sylviarum", "Athiasella caverna", "Athiasella stefani", "Athiasella viripileus", "Athiasella longiseta", "Athiasella pecten", "Athiasella scaphosternum", "Lemidia aptera", "Cotigaonopsis providenceae", "Aphyosemion campomaanense", "Prionocerus paiensis", "Prionocerus wittmeri", "Prionocerus championi", "Prionocerus malaysiacus", "Prionocerus bicolor", "Prionocerus coeruleipennis", "Prionocerus opacipennis", "Idgia viridescens", "Phycella brevituba", "Idgia hirtus", "Fellhanera cateilea", "Fellhanera christiansenii", "Fellhanera colchica", "Fellhanera congesta", "Fellhanera cryptocarpa", "Fellhanera dictyospora", "Fellhanera dispersa", "Fellhanera dominicana", "Fellhanera duplex", "Fellhanera ekmanii", "Fellhanera elliottii", "Fellhanera emarginata", "Fellhanera encephalarti", "Fellhanera endopurpurea", "Fellhanera eriniae", "Agoseris grandiflora var. leptophylla", "Fellhanera fallax", "Fellhanera farinosa", "Fellhanera follmannii", "Fellhanera fragilis", "Nemacepheus dentatus", "Nodocepheus dentatus", "Nodocepheus dentatus dentatus", "Nodocepheus dentatus barbatus", "Agoseris heterophylla var. cryptopleura", "Cuspitegula stellifer", "Fellhanera fuscatula", "Fellhanera granulosa", "Fellhanera gyrophorica", "Fellhanera hybrida", "Fellhanera ivoriensis", "Fellhanera lambinonii", "Fellhanera lisowskii", "Fellhanera longispora", "Fellhanera mackeei", "Fellhanera mastothallina", "Fellhanera michaeliana", "Fellhanera microdiscus", "Fellhanera minnisinkorum", "Fellhanera misionensis", "Fellhanera montana", "Fellhanera montesfumosi", "Fellhanera muhlei", "Fellhanera naevia", "Diderma novae-zelandiae", "Fellhanera nashii", "Kalanchoe laetivirens", "Hymenocallis ovata", "Bapalmuia buchananii", "Bapalmuia cacaotica", "Bapalmuia callichroa", "Bapalmuia confusa", "Bapalmuia consanguinea", "Bapalmuia costaricensis", "Bapalmuia halleana", "Bapalmuia ivoriensis", "Bapalmuia kakouettae", "Bapalmuia lafayetteana", "Bapalmuia lineata", "Bapalmuia marginalis", "Macroglossum stellatarum", "Cyrtanthus odorus", "Haemanthus carneus", "Griffinia intermedia", "Coptomma lineatum", "Coptomma sticticum", "Coptomma sulcatum", "Coptomma variegatum", "Brunsvigia nervosa", "Brunsvigia josephiniae", "Rayellus raymondi", "Rayellus rotuma", "Idgia huegeli", "Phycella cyrtanthoides", "Eustephia coccinea", "Alliphis siculus", "Nothogynus camini", "Nothogynus klompeni", "Microgynium incisum", "Microsejus truncicola", "Microgynium brasiliense", "Microgynium rectangulatum", "Byssoloma lueckingii", "Byssoloma marginatum", "Byssoloma meadii", "Byssoloma microcarpum", "Byssoloma minutissimum", "Byssoloma multipunctatum", "Byssoloma murinum", "Byssoloma octomerum", "Byssoloma ortizii", "Byssoloma pernambucensis", "Byssoloma polychromum", "Byssoloma redeptum", "Byssoloma rubrireagens", "Byssoloma subdiscordans", "Byssoloma subleucoblepharum", "Byssoloma subnebulosum", "Byssoloma subpolychromum", "Byssoloma subundulatum", "Byssoloma syzygii", "Byssoloma tomentosum", "Byssoloma tricholomum", "Byssoloma usambarense", "Byssoloma vanderystii", "Byssoloma vezdanum", "Byssoloma wettsteinii", "Brahmaea ledereri", "Brahmaea ledereri ledereri", "Brahmaea ledereri zaba", "Brenthis mofidii", "Neomarica longifolia", "Griffinia ornata", "Griffinia liboniana", "Griffinia hyacinthina", "Griffinia parviflora", "Puncia levis", "Puncia nodosa", "Pyrolirion albicans", "Neopantopsalis quasimodo", "Neopantopsalis pentheter", "Neopantopsalis psile", "Neopantopsalis thaumatopoios", "Neopantopsalis camelus", "Neopantopsalis continentalis", "Mecodema oconnori", "Opopaea ectognophus", "Opopaea phineus", "Pantopsalis phocator", "Pua novaezealandiae", "Phaedranassa dubia", "Zephyranthes phycelloides", "Zephyranthes bagnoldii", "Rhodophiala montana", "Chrysolina fuliginosa", "Chrysolina lepida", "Ismene subg.", "Ismene subg.", "Campanula rapunculoides subsp. rapunculoides", "Campanula rapunculoides subsp. cordifolia", "Sorbus subfusca", "Knautia involucrata", "Cyrtanthus clavatus", "Trachyandra ciliata", "Cypella herbertii", "Callirhipis philiberti", "Derolathrus cavernicolus", "Sphecomyrmodes orientalis", "Haidomyrmodes mammuthus", "Sphecomyrmodes occidentalis", "Narcissus papyraceus subsp. panizzianus", "Leucocoryne odorata", "Uroseius australianus", "Acroseius womersleyi", "Acroseius tuberculatus", "Afrotrachytes seticaudatus", "Afrotrachytes longicaudatus", "Barnardia japonica", "Aletris foliolosa", "Ismene ringens", "Ophrys insectifera", "Deltoplastis cremnaspis", "Deltoplastis straminicornis", "Deltoplastis acrophanes", "Deltoplastis figurata", "Deltoplastis clerodotis", "Deltoplastis byssina", "Deltoplastis propensa", "Deltoplastis amicella", "Deltoplastis figurodigita", "Deltoplastis lamellospina", "Deltoplastis cognata", "Szczawinskia foliicola", "Szczawinskia leucopoda", "Szczawinskia tsugae", "Tetrapturus albidus", "Larus smithsonianus", "Zephyranthes capitata", "Cyrtanthus falcatus", "Australiscutum graciliforceps", "Australiscutum hunti", "Australiscutum triplodaemon", "Clinanthus fulvus", "Manawa tryphena", "Puncia novozealandica", "Ismene \u00d7 spofforthiae", "Puncia goodwoodensis", "Periplaneta australasiae", "Periplaneta americana", "Stenomesson miniatum", "Anisolabis littorea", "Labidura riparia", "Labidura truncata", "Euborellia annulipes", "Psylla buxi", "Anasuscuta monosetosa", "Hirondellea diamantina", "Hirondellea endeavour", "Hirondellea franklin", "Hirondellea kapala", "Hirondellea naturaliste", "Eumerus funeralis", "Byssoloma absconditum", "Byssoloma adspersum", "Byssoloma amazonicum", "Byssoloma annuum", "Byssoloma anomalum", "Byssoloma aptrootii", "Byssoloma arboricola", "Byssoloma aterulum", "Neobaeus novazealandensis", "Byssoloma aurantiacum", "Byssoloma carneum", "Byssoloma cateilea", "Byssoloma chlorinum", "Byssoloma chloroplacum", "Byssoloma cinereonigricans", "Byssoloma cinnamothrix", "Byssoloma confusum", "Byssoloma croceum", "Byssoloma diederichii", "Byssoloma dimerelloides", "Byssoloma discordans", "Byssoloma ectolechioides", "Byssoloma expansum", "Byssoloma fadenii", "Byssoloma farkasii", "Byssoloma fuscothallium", "Byssoloma gahavisukanum", "Byssoloma glabrum", "Byssoloma guttiferae", "Byssoloma humboldtianum", "Byssoloma hypophyllum", "Byssoloma javanicum", "Byssoloma kalbii", "Byssoloma lambinonii", "Byssoloma lecanorinum", "Byssoloma leprieurii", "Byssoloma leuckingii", "Byssoloma leucoblepharum", "Byssoloma leucocheilioides", "Byssoloma leucocheilum", "Byssoloma lichenophila", "Byssoloma llimonae", "Lycoris \u00d7 straminea", "Okamejei kenojei", "Opabinia regalis", "Brunsvigia grandiflora", "Athrotaxivora tasmanica", "Boophone disticha", "Boophone haemanthoides", "Crossyne guttata", "Scadoxus multiflorus subsp. multiflorus", "Scadoxus multiflorus subsp. longitubus", "Scadoxus multiflorus subsp. katherinae", "Caradrina morpheus", "Caradrina agrotina", "Caradrina likiangia", "Scadoxus puniceus", "Tropihypnus bimargo", "Olsynium biflorum", "Aegithalos glaucogularis", "Spermadictyon suaveolens", "Bapalmuia nigrescens", "Bapalmuia palmularis", "Bapalmuia rubicunda", "Bapalmuia sorediata", "Bapalmuia variratae", "Bapalmuia verrucosa", "Sophona albibasilaris", "Sophona greenfieldi", "Sophona canzona", "Sophona ezodda", "Sophona fusca", "Sophona galba", "Sophona gilvifasciata", "Sophona hoffmanni", "Sophona hondurasensis", "Sophona ludtkei", "Sophona panzona", "Sophona snellingi", "Sophona xanthocera", "Sophona xanthotarsis", "Sophona yucatanensis", "Sophona zukowskyi", "Sophona pedipennula", "Sophona piperi", "Sophona ceropaliformis", "Sophona cyanomyia", "Sophona flavizonata", "Sophona halictipennis", "Sophona lemoulti", "Sophona leucoteles", "Sophona manoba", "Sophona tabogana", "Tinthia beijingana", "Tinthia cuprealis", "Tinthia mianjangalica", "Tinthia ruficollaris", "Tinthia varipes", "Tinthia xanthospila", "Mecyclothorax flavipes", "Hucho taimen", "Cyclocephala casanova", "Cyclocephala monzoni", "Byssolecania deplanata", "Byssolecania fadeni", "Byssolecania fumosonigricans", "Byssolecania fuscolivida", "Byssolecania hymenocarpa", "Byssolecania scotia", "Byssolecania usambarense", "Byssolecania variabilis", "Byssolecania vezdae", "Ranunculus constantinopolitanus", "Convolvulus scammonia", "Polygonum cognatum", "Rhamnus grandiflora", "Gomphrena globosa", "Eucrosia bicolor", "Zephyranthes versicolor", "Crinum amoenum", "Crinum amphibium", "Crinum bakeri", "Crinum balfouri", "Crinum bambusetum", "Crinum belleymei", "Crinum biflorum", "Crinum binghamii", "Crinum binsii", "Crinum brachynema", "Crinum brevilobatum", "Amychus manawatawhi", "Tethea albicosta", "Alxasaurus elesitaiensis", "Psyllopsis fraxinicola", "Mandirola rupestris", "Hoya bella", "Chalcides simonyi", "Ectoedemia vivesi", "Clerodendrum umbellatum", "Ectoedemia longicaudella", "Clerodendrum capitatum", "Bebearia fountaineana", "Bebearia laetitia", "Bebearia maximiana", "Bebearia phantasia", "Bebearia phranza", "Bebearia tessmanni", "Besaia melanius", "Catasticta ctemene", "Catasticta huancabambensis", "Catasticta pharnakia", "Catasticta pluvius", "Hessea cinnamomea", "Agdistis arenbergeri", "Bulbine asphodeloides", "Zephyranthes cardinalis", "Epilobium tetragonum", "Storeria dekayi", "Zephyranthes lehmilleri", "Hippeastrum cybister", "Cyrtanthus collinus", "Orchis militaris", "Tapellaria bilimbioides", "Tapellaria corticola", "Tapellaria epiphylla", "Tapellaria gilva", "Tapellaria herpetospora", "Tapellaria intermedia", "Tapellaria leonorae", "Tapellaria maior", "Tapellaria malmei", "Tapellaria marcellae", "Tapellaria moelleri", "Tapellaria nana", "Tapellaria nigrata", "Tapellaria phyllophila", "Tapellaria puiggarii", "Tapellaria samoana", "Tapellaria saxicola", "Tapellaria schindleri", "Tapellaria similis", "Eugamasus cornutus", "Phorytocarpais americanus", "Parasitus intermedius", "Pergamasus crassipes", "Pergamasus longicornis", "Pergamasus runcatellus", "Phorytocarpais fimetorum", "Sporopodiopsis mortimeriana", "Sporopodiopsis sipmanii", "Acanthodavacarus klompeni", "Crossyne flava", "Sansevieria fischeri", "Boophone pulchra", "Lacon querceus", "Trichalophus leucon", "Agriotes pallidulus", "Agriotes pilosellus", "Anostirus jarmilae", "Derolathrus anophthalmus", "Derolathrus atomus", "Derolathrus sharpi", "Derolathrus ceylonicus", "Derolathrus insularis", "Derolathrus parvulus", "Derolathrus troglophilus", "Ranunculus cappadocicus", "Ranunculus buhsei", "Ranunculus brachylobus", "Archaeoglenes nemoralis", "Trichosurolaelaps crassipes", "Pseudohynobius jinfo", "Crinum acaule", "Crinum album", "Crinum arenarium", "Crinum aurantiacum", "Zephyranthes graciliflora", "Boulengerella maculata", "Cherax tenuimanus", "Crinum woodrowii", "Tethea consimilis", "Appias maria", "Leptomyrina henningi", "Austrosimulium laticorne", "Caradrina terrea", "Acontia antica", "Acontia torrefacta", "Alphaea imbuta", "Appias paulina", "Aricia crassipuncta", "Asilis tumida", "Bebearia abesa", "Bebearia absolon", "Bebearia cinaethon", "Bebearia cocalia", "Bebearia cocalioides", "Bebearia comus", "Bebearia orientis", "Bebearia oxione", "Bebearia paludicola", "Bebearia subtentyris", "Bebearia tentyris", "Bebearia aurora", "Bebearia brunhilda", "Bebearia flaminia", "Porcellio scaber", "Porcellionides pruinosus", "Ungnadia speciosa", "Erythrites guttatus", "Erythrites reginae", "Erythrites womersleyi", "Erythrites urrbrae", "Erythrites osmondensis", "Erythrites stuarti", "Erythrites pilosus", "Rainbowia celeripes", "Rainbowia imperator", "Erythrellus imbricatus", "Procapperia orientalis", "Intercapperia scindia", "Agdistis aberdareana", "Clerodendrum sinuatum", "Rotheca incisa", "Agdistis nigra", "Agdistis obstinata", "Agdistis olei", "Agdistis pala", "Agdistis paralia", "Agdistis parvella", "Agdistis picardi", "Agdistis piccolo", "Agdistis protai", "Randia tomatillo", "Randia aculeata var. dasyphylla", "Randia aculeata var. jamaicensis", "Randia obovata", "Dyssochroma viridiflora", "Incertae sedis", "Caeculisoma hunanica", "Caeculisoma haussa", "Bembidioglyphus acinacisetosus", "Sphyraena picudilla", "Agdistis karabachica", "Agdistis karakalensis", "Agdistis karischi", "Agdistis kenyana", "Agdistis korana", "Agdistis lomholdti", "Agdistis maghrebi", "Agdistis malitiosa", "Agdistis malleana", "Agdistis manicata", "Agdistis melitensis", "Agdistis meridionalis", "Agdistis meylaniella", "Agdistis minima", "Agdistis murgabica", "Agdistis namibiana", "Agdistis nanodes", "Agdistis neglecta", "Catasticta sella", "Catasticta teutamis", "Catasticta hegemon", "Catasticta nimbice", "Catasticta prioneris", "Catasticta sisamnus", "Catasticta apaturina", "Catasticta amastris", "Catasticta marcapita", "Catasticta semiramis", "Catasticta socorrensis", "Catasticta striata", "Cebrella pellecebra", "Cebrella penelope", "Cebrella lingga", "Euphaedra crossei", "Euphaedra cuprea", "Euphaedra hewitsoni", "Euphaedra sinuosa", "Echis pyramidum", "Physalia physalis", "Caeculisoma mouldsi", "Raphanus raphanistrum", "Pollux workandae", "Mypongia brevipes", "Grandjeanella charadrae", "Grandjeanella pangela", "Grandjeanella shepherdae", "Balaustium medicagoense", "Mandirola ichthyostoma", "Mandirola multiflora", "Agdistis adenensis", "Agdistis africana", "Agdistis adactyla", "Agdistis americana", "Agdistis arabica", "Agdistis asthenes", "Agdistis bellissima", "Agdistis bennetti", "Agdistis betica", "Agdistis bifurcatus", "Agdistis bigoti", "Agdistis cappadociensis", "Agdistis caradjai", "Agdistis cathae", "Agdistis clara", "Agdistis cretifera", "Agdistis criocephala", "Agdistis cypriota", "Agdistis dahurica", "Agdistis dentalis", "Agdistis desertorum", "Agdistis dimetra", "Agdistis espunae", "Agdistis facetus", "Agdistis falkovitshi", "Agdistis flavissima", "Agdistis frankeniae", "Agdistis furcata", "Agdistis gerasimovi", "Agdistis gibberipenis", "Agdistis gittia", "Agdistis glaseri", "Agdistis hakimah", "Leptochiton helianthus", "Leptochiton quitoensis", "Hymenocallis liriosme", "Hymenocallis choretis", "Agdistis halodelta", "Agdistis hartigi", "Agdistis heydeni", "Agdistis hulli", "Agdistis incisa", "Agdistis infumata", "Agdistis ingens", "Agdistis insidiatrix", "Agdistis intermedia", "Cerura delavoiei", "Hymenocallis coronaria", "Hymenocallis crassifolia", "Hymenocallis woelfleana", "Hymenocallis venezuelensis", "Hymenocallis tridentata", "Hymenocallis schizostephana", "Hymenocallis pygmaea", "Hymenocallis pumila", "Hymenocallis proterantha", "Hymenocallis praticola", "Hymenocallis portamonetensis", "Hymenocallis phalangidis", "Hymenocallis howardii", "Hymenocallis leavenworthii", "Hymenocallis pimana", "Hymenocallis partita", "Hymenocallis palmeri", "Hymenocallis ornata", "Eugnorisma persago", "Euphaedra aureola", "Euphaedra castanoides", "Euphaedra harpalyce", "Euphaedra janetta", "Euphaedra laboureana", "Euphaedra nigrobasalis", "Euphaedra splendens", "Euphaedra calliope", "Euphaedra hastiri", "Euphaedra melpomene", "Euphaedra zaddachi", "Euphaedra imperialis", "Euphaedra rubrocostata", "Euphaedra symphona", "Echis coloratus", "Anteon ctenoides", "Badimia cateilea", "Badimia corticola", "Badimia dimidiata", "Badimia elegans", "Badimia elixii", "Badimia galbinea", "Badimia lecanorina", "Anteon actuosum", "Anteon yunnanense", "Anteon tongi", "Anteon wengae", "Anteon yani", "Anteon chaoi", "Anteon biprocessum", "Anteon sylvaticum", "Anteon cacumen", "Anteon abatanense", "Anteon abditum", "Anteon abdulnouri", "Anteon montanum", "Anteon abruptum", "Anteon accurrens", "Anteon achterbergi", "Anteon acre", "Anteon aculeatum", "Anteon adebratti", "Anteon affine", "Anteon afrum", "Anteon agile", "Anteon arabicum", "Anteon aulicum", "Anteon australe", "Anteon anxium", "Anteon allisoni", "Anteon amabilis", "Anteon amazonicum", "Anteon amritodiphagum", "Anteon araripense", "Anteon atrum", "Anteon austini", "Anteon autumnale", "Anteon arizonense", "Anteon anthereon", "Anteon felice", "Anteon occultum", "Anteon opacum", "Anteon xericum", "Sapindus saponaria", "Pristis clavata", "Hymenocallis fragrans", "Ismene hawkesii", "Ismene nutans", "Notoniscus australis", "Notoniscus helmsii", "Notoniscus chiltoni", "Xanthoceras sorbifolium", "Styloniscus commensalis", "Styloniscus kermadecensis", "Styloniscus otakensis", "Styloniscus phormianus", "Styloniscus thomsoni", "Styloniscus verrucosus", "Notoniscus tasmanicus", "Ismene \u00d7 deflexa", "Okeaninoscia oliveri", "Ismene morrisonii", "Ismene vargasii", "Ismene sublimis", "Erysimum \u00d7 cheiri", "Yucca brevifolia", "Yucca arkansana", "Bryobia watersi", "Bryobia annatensis", "Bryobia variabilis", "Schlumbergera gaertneri", "Badimia lucida", "Badimia montoyana", "Badimia pallidula", "Badimia polillensis", "Badimia stanhopiae", "Badimia subelegans", "Badimia tuckermanii", "Badimia vieillardii", "Elasmotherium caucasicum", "Elasmotherium inexpectatum", "Elasmotherium pei", "Badimiella pteridophila", "Hymenocallis cordifolia", "Agama aculeata", "Agama aculeata aculeata", "Agama aculeata distanti", "Mustela sibirica davidiana", "Mustela sibirica fontanierii", "Mustela sibirica hodgsoni", "Mustela sibirica moupinensis", "Mustela sibirica quelpartis", "Mustela sibirica sibirica", "Mustela sibirica subhemachalana", "Mustela subpalmata", "Phalloniscus bifidus", "Phalloniscus bowleyi", "Phalloniscus chiltoni", "Phalloniscus forsteri", "Phalloniscus kenepurensis", "Phalloniscus lamellatus", "Phalloniscus minimus", "Phalloniscus montanus", "Phalloniscus occidentalis", "Phalloniscus propinquus", "Hoya sect.", "Scyphoniscus waitatensis", "Scyphoniscus magnus", "Trichosmaris papuana", "Trichosmaris jacoti", "Sphaerotarsus womersleyi", "Hirstiosoma bolivari", "Hirstiosoma glacialis", "Hirstiosoma ampulligera", "Hirstiosoma latreillei", "Hirstiosoma copiolarum", "Hirstiosoma furtadoi", "Sphaerotarsus allmani", "Sphaerotarsus monticolus", "Sphaerotarsus ripicolus", "Fulvius pallens", "Shaochilong maortuensis", "Passiflora sect.", "Passiflora sect.", "Passiflora supersect.", "Epigonichthys hectori", "Neomyxine biniplicata", "Nemamyxine kreffti", "Nemamyxine elongata", "Typhlonarke aysoni", "Typhlonarke tarakea", "Stokellia anisodon", "Macroprotodon brevis", "Fiordichthys slartibartfasti", "Brosmodorsalis persicinus", "Crypsithyris nanlingensis", "Crypsithyris hoenei", "Niditinea sinensis", "Micromelalopha cinereibasis", "Micromelalopha troglodytodes", "Anarsia lineatella", "Weberocereus glaber", "Erodium cicutarium subsp. cicutarium", "Weberocereus glaber var. mirandae", "Lathyrus czeczottianus", "Weberocereus glaber var. glaber", "Lathyrus roseus subsp. roseus", "Lathyrus rotundifolius subsp. miniatus", "Lathyrus laxiflorus subsp. laxiflorus", "Stenoptilia aridus", "Stenoptilia plagiodactylus", "Stenoptilia serotinus", "Stereodytis brevignatha", "Stereodytis acutidens", "Stereodytis increta", "Hoya sect.", "Catopta albonubila albonubila", "Catopta albimacula", "Catopta kansuensis", "Catopta birmanopta", "Catopta cashmirensis", "Hoya sect.", "Hoya sect.", "Hoya sect.", "Hoya sect.", "Hoya cumingiana", "Passiflora subg.", "Passiflora supersect.", "Passiflora supersect.", "Passiflora sect.", "Broughtonia sanguinea", "Carabus impressulus", "Carabus phoenix", "Carabus rumelicus", "Carabus sidonius", "Carabus syriacus", "Carabus syrus", "Ctenognathus lucifugus", "Ctenognathus bidens", "Disporum uniflorum", "Agdistis protecta", "Agdistis pseudocanariensis", "Agdistis pustulalis", "Agdistis pygmaea", "Agdistis reciprocans", "Agdistis riftvalleyi", "Agdistis rubasiensis", "Agdistis sabokyi", "Agdistis salsolae", "Agdistis sanctaehelenae", "Agdistis satanas", "Agdistis singula", "Agdistis sissia", "Agdistis sphinx", "Agdistis spinosa", "Agdistis symmetrica", "Agdistis tamaricis", "Agdistis tenera", "Agdistis tigrovaja", "Agdistis tihamae", "Agdistis toliarensis", "Agdistis tsumkwe", "Agdistis turkestanica", "Agdistis unguica", "Agdistis yemenica", "Deuterocopus tengstroemi", "Heptaloba argyriodactylus", "Tetraschalis arachnodes", "Tetraschalis deltozela", "Tetraschalis ischnites", "Tetraschalis lemurodes", "Tetraschalis ochrias", "Tetraschalis mikado", "Stenoptilia bipunctidactyla", "Stenoptilia scabiodactylus", "Hellinsia inulaevorus", "Gypsochares bigoti", "Emmelina bigoti", "Emmelina amseli", "Yucca aloifolia", "Yucca lacandonica", "Yucca linearifolia", "Yucca madrensis", "Lathyrus aphaca var. biflorus", "Michauxia campanuloides", "Silene italica", "Hemigrapsus penicillatus", "Neovison vison aestuarina", "Neovison vison aniakensis", "Neovison vison energumenos", "Neovison vison evagor", "Neovison vison evergladensis", "Neovison vison ingens", "Neovison vison lacustris", "Neovison vison letifera", "Neovison vison lowii", "Neovison vison lutensis", "Neovison vison melampeplus", "Neovison vison mink", "Neovison vison nesolestes", "Neovison vison vison", "Neovison vison vulgivaga", "Barubria flavescens", "Barubria fuscorubra", "Globicornis apicalis", "Kantvilasia hians", "Yunnanozoon lividum", "Vormela peregusna koshewnikowi", "Vormela peregusna negans", "Vormela peregusna pallidior", "Vormela peregusna peregusna", "Vormela peregusna syriaca", "Yucca sect.", "Yucca sect.", "Yucca sect.", "Yucca sect.", "Yucca sect.", "Yucca ser.", "Yucca ser.", "Yucca ser.", "Yucca ser.", "Yucca ser.", "Yucca ser.", "Yucca ser.", "Yucca ser.", "Yucca ser.", "Yucca flaccida", "Pseudagrion acaciae", "Yucca baccata", "Pseudagrion caffrum", "Pseudagrion citricola", "Yucca baccata var. baccata", "Yucca baccata var. brevifolia", "Yucca filifera", "Euriphene doriclea", "Euriphene butleri", "Euriphene grosesmithi", "Heliophorus kohimensis", "Ischiopsopha menieri", "Japonica saepestriata", "Japonica lutea", "Japonica onoi", "Udara akasa", "Udara aristius", "Udara camenae", "Udara cardia", "Udara coalita", "Udara cyma", "Udara dilecta", "Udara dilectissima", "Udara drucei", "Udara placidula", "Udara rona", "Udara toxopeusi", "Udara selma", "Udara santotomasana", "Udara ceyx", "Udara sibatanii", "Udara owgarra", "Udara meeki", "Udara mankowariensis", "Udara cybele", "Udara albocaerulea", "Viola alba subsp. dehnhardtii", "Thalasseleotris iota", "Thalasseleotris adela", "Volia athollandersoni", "Vitirallus watlingi", "Tirarinetta kanunka", "Miotadorna sanctibathansi", "Dunstanetta johnstoneorum", "Manuherikia lacustrina", "Manuherikia minuta", "Passiflora ser.", "Matanas enrighti", "Passiflora ser.", "Passiflora ser.", "Passiflora ser.", "Passiflora sect.", "Taxidea taxus berlanderi", "Passiflora insignis", "Taxidea taxus jacksoni", "Taxidea taxus jeffersonii", "Taxidea taxus marylandica", "Taxidea taxus taxus", "Bryobia rubrioculus", "Yucca baileyi", "Bryobia graminum", "Yucca intermedia", "Bryobia kissophila", "Bryobia praetiosa", "Bryobia lagodechiana", "Yucca glauca", "Rumex scutatus", "Rumex alpinus", "Rumex caucasicus", "Rumex tuberosus", "Yucca \u00d7 karlsruhensis", "Anzora unicolor", "Acanthaegilips colombiensis", "Acanthaegilips venezuelensis", "Mikeius berryi", "Mikeius gatesi", "Mikeius grandawi", "Mikeius hartigi", "Thrasorus pilosus", "Myrtopsen dettmeri", "Myrtopsen punctuatus", "Myrtopsen maesi", "Myrtopsen levisulcus", "Macvicaria heronensis", "Logilvia gilva", "Harrisia tortuosa", "Harrisia tortuosa var. uruguayensis", "Poecilogale albinucha albinucha", "Poecilogale albinucha bechuanae", "Poecilogale albinucha doggetti", "Poecilogale albinucha lebombo", "Poecilogale albinucha transvaalensis", "Dactylopus dactylopus", "Rhodeus ocellatus kurumeus", "Cirrhitichthys aureus", "Passiflora subg.", "Passiflora subg.", "Passiflora subg.", "Passiflora subg.", "Passiflora supersect.", "Passiflora supersect.", "Passiflora supersect.", "Passiflora supersect.", "Passiflora supersect.", "Passiflora supersect.", "Passiflora sect.", "Passiflora ser.", "Passiflora subg.", "Passiflora subg.", "Simipercis trispinosa", "Viola sieheana", "Linum catharticum", "Paliurus spina-christi", "Himantolophus groenlandicus", "Euchroma gigantea", "Ussuriana igarashii", "Eupithecia skoui", "Eupithecia macrodisca", "Eupithecia szaboi", "Eupithecia tropicata", "Eupithecia thaica", "Eupithecia hreblayi", "Eupithecia ronkayi", "Eupithecia schnitzleri", "Eupithecia stueningi", "Eupithecia swanni", "Eupithecia burmata", "Eupithecia kuni", "Eupithecia peregovitsi", "Eupithecia herczigi", "Eupithecia laoica", "Cattleya walkeriana", "Lycaena boldenarum", "Lycaena feredayi", "Lycaena rauparaha", "Lycaena salustius", "Ipomoea jalapa", "Hoya campanulata", "Deto aucklandiae", "Deto bucculenta", "Phalloniscus armatus", "Nylanderia braueri", "Geranium pyrenaicum", "Nylanderia vaga", "Nylanderia braueri glabrior", "Monodontides musina", "Morpho aurora", "Morpho rhetenor", "Morpho sulkowskyi", "Polychoerus gordoni", "Cattleya labiata", "Cattleya perrinii", "Oreolyce vardhana", "Oreolyce archena", "Sinobryobia fani", "Argulus japonicus", "Ganawamaya acris", "Ganawamaya aediculis", "Ganawamaya ornata", "Ochyrotica africana", "Ochyrotica diehli", "Ochyrotica fasciata", "Ochyrotica gielisi", "Ochyrotica mexicana", "Ochyrotica moheliensis", "Ochyrotica placozona", "Ochyrotica rufa", "Leptodeuterocopus citrogaster", "Leptodeuterocopus exquisitus", "Leptodeuterocopus fortunatus", "Leptodeuterocopus gratus", "Leptodeuterocopus hipparchus", "Leptodeuterocopus zonites", "Leptodeuterocopus neales", "Leptodeuterocopus sochchoroides", "Leptodeuterocopus trinidad", "Hexadactilia borneoensis", "Hexadactilia civilis", "Deuterocopus alopecodes", "Deuterocopus atrapex", "Deuterocopus bathychasma", "Deuterocopus deltoptilus", "Deuterocopus famulus", "Deuterocopus honoratus", "Deuterocopus melanota", "Deuterocopus ritsemae", "Kniphofia uvaria", "Iberolacerta martinezricai", "Netechma niveonigra", "Lasiothyris docilis", "Henricus sangayanus", "Saphenista pyrczi", "Saphenista chanostium", "Saphenista runtuna", "Sphaenelater collaris", "Sphaenelater lineicollis", "Sphaenelater nitidofuscus", "Maoricicada alticola", "Maoricicada clamitans", "Maoricicada phaeoptera", "Maoricicada tenuis", "Maoricicada otagoensis", "Maoricicada myersi", "Leiodermatium linea", "Passiflora sect.", "Passiflora loefgrenii", "Suinoorda maccabei", "Clupeosoma cohilavale", "Clupeosoma orientalale", "Hyalinarcha hyalinalis", "Noordodes magnificalis", "Diospyros discolor", "Cliniodes ostreonalis", "Cliniodes paradisalis", "Diospyros virginiana", "Phaeomolis tavakilinani", "Zatrephes varicolor", "Zatrephes elegans", "Zatrephes funebris", "Zatrephes marmorata", "Zatrephes afenestrata", "Amaxia duchatae", "Gorgonidia vulcania", "Hesperopilio magnificus", "Hesperopilio mainae", "Esperia oliviella", "Bryophryne hanssaueri", "Silene saxatilis", "Manu antiquus", "Silene swertiifolia", "Silene odontopetala", "Silene multifida", "Silene dichotoma", "Cephalaria gigantea", "Yucca capensis", "Lepidothenea incrustans", "Lexias cyanipardus", "Lexias cyanipardus cyanipardus", "Lexias cyanipardus grandis", "Polyura galaxia", "Polyura galaxia galaxia", "Polyura galaxia seruaensis", "Abisara savitri", "Abisara savitri savitri", "Abisara savitri obscura", "Goodyera repens", "Gymnadenia conopsea", "Selenicereus macdonaldiae", "Swertia iberica", "Gentianella caucasea", "Selenicereus grandiflorus subsp. grandiflorus", "Centaurium erythraea", "Selenicereus atropilosus", "Chiapasophyllum chrysocardium", "Selenicereus murrillii", "Selenicereus inermis", "Selenicereus vagans", "Strophocactus testudo", "Aethes albogrisea", "Deltophalonia termasia", "Atrocenta centrata", "Anopinella yangana", "Anopinella shillanana", "Thalleulia pondoana", "Ernocornutia altonapoana", "Subterinebrica festivaria", "Subterinebrica labyrinthana", "Clarkenia pantherina", "Netechma tenuifascia", "Netechma napoana", "Netechma simulans", "Netechma guamotea", "Netechmodes gravidarmata", "Furcinetechma sangaycola", "Furcinetechma labonitae", "Rhythmologa polyfenestra", "Galomecalpa quatrofascia", "Romanaria leuca", "Sinningia bulbosa", "Thlaspi arvense", "Zephyranthes chlorosolen", "Passiflora ser.", "Passiflora capparidifolia", "Passiflora laurifolia", "Passiflora odontophylla", "Alchemilla cimilensis", "Alchemilla venosa", "Alchemilla ancerensis", "Alchemilla ellenbergiana", "Alchemilla retinervis", "Alchemilla transcaucasica", "Alchemilla kackarensis", "Alchemilla ikizdereensis", "Alchemilla elevitensis", "Alchemilla oxysepala", "Alchemilla hemsinica", "Alchemilla pseudocartalinica", "Alchemilla erythropoda", "Alchemilla rizensis", "Alchemilla sericea", "Sibbaldia parviflora", "Lamium galactophyllum", "Cirsium hypoleucum", "Salvia forskaehlei", "Plagiolepis alluaudi", "Geranium divaricatum", "Lophospermum sect.", "Geranium columbinum", "Geranium psilostemon", "Lophospermum atrosanguineum", "Nylanderia tasmaniensis", "Austrelater howensis", "Austrelater macphersonensis", "Austrelater peckorum", "Canna jaegeriana", "Canna liliiflora", "Canna pedunculata", "Zygaena araxis kurdi", "Zygaena araxis araxis", "Polyommatus schuriani", "Polyommatus icarus", "Polyommatus icadius", "Polyommatus erotides", "Polyommatus eros", "Myosotis forsteri", "Nylanderia gulinensis", "Myosotis venosa", "Valdivelater krahmeri", "Valdivelater oncolensis", "Gardenia pannea", "Hibiscus cravenii", "Euphaedra clio", "Saliocleta acyptera", "Sancterila shelfordii", "Sancterila archagathos", "Sancterila hermarchus", "Sancterila deliciosa", "Stauropus teikichiana", "Takapsestis semiobsoleta", "Takapsestis wilemaniella", "Canna tuerckheimii", "Canna \u00d7 orchioides", "Ozarchaea forsteri", "Aotearoa magna", "Breviata anathema", "Zearchaea fiordensis", "Pararchaea alba", "Ozarchaea bodalla", "Ozarchaea bondi", "Ozarchaea daviesae", "Ozarchaea harveyi", "Ozarchaea janineae", "Ozarchaea platnicki", "Ozarchaea spurgeon", "Ozarchaea stradbroke", "Ozarchaea valida", "Ozarchaea waldockae", "Ozarchaea werrikimbe", "Ozarchaea westraliensis", "Ozarchaea wiangarie", "Ozarchaea ornata", "Ozarchaea saxicola", "Nesotanais ryukyuensis", "Homoeocera georginas", "Homoeocera papalo", "Laelia furfuracea", "Laelia autumnalis", "Laelia albida", "Laelia lyonsii", "Myosotis laxa subsp. caespitosa", "Solenanthus stamineus", "Onosma roussaei", "Symphytum sylvaticum", "Teucrium brevifolium", "Turbina longiflora", "Leonurus quinquelobatus", "Turbina bracteata", "Phlomis russeliana", "Stachys viscosa", "Nepeta nuda subsp. albiflora", "Orchis purpurea", "Allium olympicum", "Cruciata taurica", "Androsace albana", "Centaurea drabifolioides", "Ipomoea temascaltepecensis", "Ipomoea nationis", "Zamia incognita", "Ipomoea orizabensis var. novogaliciana", "Ipomoea orizabensis var. austromexicana", "Ipomoea orizabensis var. collina", "Ipomoea orizabensis var. orizabensis", "Callidosoma womersleyi", "Callidosoma apollo", "Callidosoma galtoni", "Callidosoma heatherae", "Callidosoma rostratum", "Callidosoma wallaceanum", "Callidosoma tindalei", "Callidosoma treati", "Brachycyphon afrosuturalis", "Brachycyphon fairmairei", "Brachycyphon anthracinus", "Callidosoma daviesi", "Callidosoma droozi", "Callidosoma guatemalense", "Callidosoma insulare", "Callidosoma quinteri", "Callidosoma sorkini", "Callidosoma welbourni", "Callidosoma harlani", "Callidosoma huachuca", "Callidosoma matsumuratettix", "Callidosoma dasypodiae", "Asperula graveolens", "Asperula cynanchica", "Cossus siniaevi", "Paracossus khmer", "Paracossus microgenitalis", "Paracossus schoorli", "Garuda galina", "Butaya gracilis", "Trismelasmos robinson", "Regina septemvittata", "Pheloneis amaroides", "Pheloneis simulans", "Gastrodia elata", "Kupeia toi", "Argyreia splendens", "Argyreia sericea", "Argyreia poilanei", "Argyreia pilosa", "Argyreia strigosa", "Argyreia strigosa subsp. strigosa", "Melanophryniscus langonei", "Ipomoea barlerioides", "Inape parelegans", "Inape parastella", "Diomus marmorosus", "Diomus ningning", "Diomus reidi", "Diomus storeyi", "Diomus tinaroo", "Diomus torres", "Diomus weiri", "Diomus zborowskii", "Diomus australis", "Ipomoea sect.", "Ipomoea sect.", "Ipomoea sect.", "Ipomoea sect.", "Ipomoea ser.", "Ipomoea ser.", "Ipomoea electrina", "Richeaphyllum waimumuensis", "Cyathodophyllum novae-zelandiae", "Diomus sphragitis", "Pavonia paucidentata", "Viola singularis", "Pilea matama", "Eumicrotremus taranetzi", "Ipomoea corymbosa", "Ipomoea oblongata", "Tiliqua nigrolutea", "Tiliqua occipitalis", "Tiliqua scincoides", "Homonopsis multilata", "Lyclene uncalis", "Lyclene hollowai", "Lyclene goaensis", "Erigeron daenensis", "Rhinocheilus lecontei", "Rhynchophis boulengeri", "Storeria occipitomaculata", "Spilotes pullatus", "Scolecophis atrocinctus", "Ipomoea ser.", "Ipomoea ser.", "Senticolis triaspis", "Gollumjapyx smeagol", "Sympholis lippiens", "Ipomoea ser.", "Ipomoea sect.", "Ipomoea ser.", "Ipomoea ser.", "Ipomoea ser.", "Ipomoea ser.", "Ipomoea ser.", "Ipomoea ser.", "Ipomoea sect.", "Ipomoea sect.", "Tantilla planiceps", "Ipomoea sect.", "Ipomoea sect.", "Ipomoea sect.", "Ipomoea ser.", "Ipomoea ser.", "Xyelodontophis uluguruensis", "Ipomoea sect.", "Ipomoea ser.", "Ipomoea ser.", "Ipomoea ser.", "Diomus ancorus", "Alburnus alburnus", "Diomus bimaculatus", "Diomus brookfieldi", "Diomus capital", "Diomus kuranda", "Diomus kosciuszko", "Diomus millaamillaa", "Hemaris aksana", "Aotus jorgehernandezi", "Alsophis rijgersmaei", "Alsophis rufiventris", "Cerberus rynchops", "Erythrolamprus triscalis", "Contia tenuis", "Zamenis longissimus", "Zamenis hohenackeri", "Heterodon nasicus", "Hypsiglena torquata", "Telescopus fallax", "Lampropeltis extenuatum", "Zamenis situla", "Farancia abacura", "Macroprotodon cucullatus", "Erythrolamprus epinephalus", "Psammophis sibilans", "Chyzeria flindersi", "Chyzeria derricki", "Bakerdania workandae", "Sibumbella esterae", "Divisestylus brevistamineus", "Divisestylus longistamineus", "Trichopeza chaomek", "Trichopeza pia", "Trichopeza taiwanensis", "Trichopeza liliae", "Trichopeza sinensis", "Trichopeza albocincta", "Trichopeza fusca", "Trichopeza longicornis", "Stellaria holostea", "Paranillus insularis", "Argiloborus scotti", "Gonioctena japonica", "Operculina pteripes", "Sarcocheilichthys variegatus microoculus", "Operculina hamiltonii var. hamiltonii", "Operculina hamiltonii var. mucronata", "Operculina pinnatifida", "Operculina sericantha", "Convolvulus sect.", "Polymeria ambigua", "Polymeria calycina", "Polymeria distigma", "Polymeria lanata", "Polymeria longifolia", "Polymeria marginata", "Polymeria pusilla", "Polymeria angusta", "Polymeria mollis", "Polymeria subhirsuta", "Ipomoea abyssinica", "Operculina petaloidea", "Nkandla flavisecta", "Scythris angustella", "Scythris caballoides", "Scythris falkovitshi", "Scythris onerica", "Scythris timoi", "Scythris tugaiensis", "Sedum euxinum", "Scythris turanica", "Sedum tenellum", "Papilio antimachus", "Papilio fuelleborni", "Papilio hornimani", "Papilio mackinnoni", "Papilio maesseni", "Papilio phorbanta", "Ipomoea indica var. indica", "Ipomoea indica var. variabilis", "Stictodrya longipennis", "Mycteromimus insularis", "Dunedinia decolor", "Dunedinia denticulata", "Dunedinia pullata", "Dunedinia occidentalis", "Dunedinia opaca", "Distimake dissectus", "Diploplecta adjacens", "Diploplecta communis", "Diploplecta duplex", "Diploplecta nuda", "Diploplecta opaca", "Diploplecta proxima", "Diploplecta simplex", "Dunedinia forsteri", "Ipomoea diversifolia", "Enacantha caribbea", "Hypodacnella rubripes", "Azuragrion nigridorsum", "Ipomoea heptaphylla", "Papuagrion pesechem", "Papuagrion pesechem pesechem", "Papuagrion pesechem corniculatum", "Papuagrion prothoracale", "Papuagrion flavithorax", "Papuagrion insulare", "Papuagrion rectangulare", "Papuagrion reductum", "Merremia sibirica", "Papuagrion rufipedum", "Merremia sibirica var. sibirica", "Inape stella", "Inape eltabloana", "Transtillaspis cosangana", "Transtillaspis costipuncta", "Transtillaspis papallactana", "Nicobariodendron sleumeri", "Clarkeulia magnana", "Lobogenesis primitiva", "Mosaiculia mosaica", "Oregocerata magna", "Hynhamia runtuana", "Seticosta szeptyckii", "Seticosta concava", "Seticosta subariadnae", "Seticosta albicentra", "Seticosta droserana", "Punctapinella guamoteana", "Punctapinella viridargentea", "Ptyongnathosia harpifera", "Argyrotaenia posticicnephaea", "Argyrotaenia atrata", "Argyrotaenia rufuscens", "Saxifraga moschata", "Saxifraga juniperifolia", "Chrysosplenium dubium", "Cirsium osseticum", "Cirsium echinus", "Cirsium pseudopersonata", "Papuagrion spinicaudum", "Papuagrion auriculatum", "Papuagrion fraterculum", "Papuagrion gurneyi", "Papuagrion magnanimum", "Papuagrion laminatum", "Papuagrion flavipedum", "Papuagrion ekari", "Papuagrion perameles", "Papuagrion pandanicolum", "Papuagrion oppositum", "Papuagrion occipitale", "Papuagrion digitiferum", "Papuagrion degeneratum", "Papuagrion corruptum", "Papuagrion nigripedum", "Papuagrion carcharodon", "Telebasis carvalhoi", "Telebasis corbeti", "Telebasis farcimentum", "Telebasis levis", "Telebasis leptocyclia", "Telebasis williamsoni", "Stictocardia beraviensis", "Cyanallagma corbeti", "Mesamphiagrion dunklei", "Mesamphiagrion ecuatoriale", "Stictocardia macalusoi", "Neomomorangia asphaerae", "Diomus tenebricosus", "Diomus sydneyensis", "Odontria striata", "Odontria xanthosticta", "Rivea hypocrateriformis", "Rivea ornata", "Eonessa anaticula", "Rivea wightiana", "Alyssum misirdalianum", "Laperousea blattifer", "Sisurcana rufograpta", "Sisurcana tabloneana", "Sisurcana sangayana", "Sisurcana ruficilia", "Sisurcana microbaccata", "Sisurcana pululahuana", "Anacrusis gutta", "Hilarographa castanea", "Auratonota sucumbiosa", "Pseudocomotis chingualana", "Statherotis sangaica", "Ancylis ecuadorica", "Epinotia runtunica", "Quebradnotia tubuligera", "Laculataria splendida", "Mesochariodes tablonica", "Osteopilus ocellatus", "Leptodactylus latrans", "Neothrombium medium", "Neothrombium gryllotalpae", "Neothrombium longitarsis", "Neothrombium neglectum", "Laetesia aucklandensis", "Laetesia bellissima", "Laetesia amoena", "Laetesia minor", "Laetesia distincta", "Laetesia prominens", "Laetesia germana", "Laetesia chathami", "Laetesia peramoena", "Laetesia olvidada", "Laetesia pseudamoena", "Laetesia paragermana", "Laetesia intermedia", "Laetesia graciliscapa", "Laetesia obscura", "Laetesia pulcherrima", "Erycibe borneensis", "Stictocardia lutambensis", "Stictocardia multiflora", "Stictocardia cordatosepala", "Ipomoea campanulata", "Pseudodiploexochus watti", "Alistra napua", "Alistra opina", "Alistra centralis", "Alistra inanga", "Alistra tuna", "Alistra mangareia", "Stictocardia sivarajanii", "Stictocardia mojangensis", "Stictocardia subg.", "Stictocardia subg.", "Rupicapra pyrenaica pyrenaica", "Stictocardia discolor", "Rupicapra pyrenaica parva", "Ipomoea jucunda", "Stictocardia neglecta", "Tetracis crocallata", "Tetracis cachexiata", "Tetracis cervinaria", "Tetracis australis", "Distimake cissoides", "Synaphris saphrynis", "Sepioloidea lineolata", "Metasepia pfefferi", "Metasepia tullbergi", "Crypsiphona tasmanica", "Catopta griseotincta", "Catopta albothoracis", "Catopta danieli", "Ectopsis ferrugalis", "Catopta rocharva", "Catopta kendevanensis", "Catopta sikkimensis", "Ectopsis foveigera", "Ectopsis simplex", "Catopta eberti", "Catopta hyrcanus", "Chiangmaiana buddhi", "Chiangmaiana qinlingensis", "Tetracis fuscata", "Tetracis pallulata", "Tetracis mosesiani", "Tetracis jubararia", "Tetracis jubararia jubararia", "Tetracis jubararia sericeata", "Tetracis montanaria", "Tetracis barnesii", "Tetracis formosa", "Tetracis hirsutaria", "Tetracis pallidata", "Ipomoea carnea subsp. carnea", "Ipomoea carnea subsp. fistulosa", "Artemisia arborescens", "Artemisia verlotiorum", "Elymus lazicus", "Dianthus chinensis", "Dianthus caryophyllus", "Dianthus carmelitarum", "Henosepilachna vigintioctopunctata", "Pediobius foveolatus", "Operculina turpethum", "Operculina turpethum var. turpethum", "Walsinghamiella eques", "Operculina turpethum var. ventricosa", "Walsinghamiella illustris", "Titanoptilus laniger", "Titanoptilus melanodonta", "Titanoptilus procerus", "Titanoptilus rufus", "Titanoptilus serrulatus", "Operculina brownii", "Operculina aequisepala", "Macrotinactis stenodactylus", "Fletcherella niphadarcha", "Sochchora albipunctella", "Sochchora donatella", "Sochchora dotina", "Platyptiliodes albisignatula", "Quadriptilia obscurodactyla", "Quadriptilia philorectis", "Quadriptilia rectangulodactyla", "Platyptilia ainonis", "Platyptilia albicans", "Platyptilia amphiloga", "Platyptilia ardua", "Platyptilia anniei", "Platyptilia arsenica", "Platyptilia bullifera", "Platyptilia cacaliae", "Platyptilia calamicola", "Platyptilia calodactyla", "Platyptilia campsiptera", "Platyptilia carduidactyla", "Platyptilia celidotus", "Platyptilia censoria", "Platyptilia chalcogastra", "Platyptilia charadrias", "Platyptilia chondrodactyla", "Operculina riedeliana", "Operculina hamiltonii", "Operculina macrocarpa", "Ipomoea clavata", "Arctocephalus pusillus doriferus", "Ipomoea sagittifolia", "Bradypodion ngomeense", "Bradypodion caeruleogula", "Bradypodion kentanicum", "Nadzikambia mlanjensis", "Ipomoea elongata", "Hypolycaena toshikoae", "Hypolycaena shirozui", "Kinyongia magomberae", "Kinyongia asheorum", "Kinyongia vanheygeni", "Hadrobregmus pertinax", "Ipomoea flavopurpurea", "Urtica cannabina", "Ipomoea fimbriosepala", "Anencyrus discedens", "Agapanthida morosa", "Agapanthida pulchella", "Platyptilia chosokeiella", "Platyptilia citropleura", "Platyptilia comorensis", "Platyptilia comstocki", "Platyptilia corniculata", "Platyptilia cretalis", "Platyptilia daemonica", "Platyptilia davisi", "Platyptilia dschambija", "Platyptilia emissalis", "Platyptilia empedota", "Platyptilia euctimena", "Platyptilia euridactyla", "Platyptilia exaltatus", "Platyptilia farfarellus", "Platyptilia fulva", "Platyptilia gandaki", "Platyptilia gentiliae", "Platyptilia gondarensis", "Platyptilia gonodactyla", "Platyptilia gravior", "Platyptilia grisea", "Platyptilia hokowhitalis", "Platyptilia humida", "Platyptilia iberica", "Platyptilia ignifera", "Platyptilia implacata", "Platyptilia infesta", "Platyptilia interpres", "Platyptilia isocrates", "Platyptilia isodactylus", "Platyptilia isoterma", "Platyptilia johnstoni", "Platyptilia longiloba", "Platyptilia lusi", "Platyptilia melitroctis", "Aorangia ansa", "Aorangia kapitiensis", "Aorangia mauii", "Aorangia tumida", "Actias neidhoeferi", "Stromatinia cryptomeriae", "Ipomoea argentea", "Salltius ruficeps", "Ceratophileurus lemoulti", "Gibberichthys pumilus", "Gibberichthys latifrons", "Ipomoea obscura var. obscura", "Ipomoea obscura var. sagittifolia", "Archaeosamia watsoni", "Macroderma malugara", "Mesotopus tarandus", "Lasioloma appendiculata", "Lasioloma arachnoideum", "Lasioloma heliotropicum", "Lasioloma inexspectatum", "Lasioloma phycophilum", "Lasioloma phycophorum", "Lasioloma spinosum", "Lasioloma stephanellum", "Lasioloma trichophorum", "Cupha erymanthis", "Cupha erymanthis erymanthis", "Cupha erymanthis vaga", "Cirrochroa tyche", "Cirrochroa tyche tyche", "Cirrochroa tyche tambelana", "Charaxes bernardus siporanus", "Delias singhapura singhapura", "Eremurus inderiensis", "Delias singhapura simeuluensis", "Aniseia martinicensis var. ambigua", "Monomorium jacksoni", "Monomorium jizane", "Monomorium jonesi", "Monomorium junodi", "Monomorium katir", "Monomorium kelapre", "Monomorium kempi", "Monomorium kiliani", "Monomorium kineti", "Monomorium kitectum", "Monomorium knappi", "Monomorium kugitangi", "Aniseia argentina", "Ipomoea hackeliana", "Hypolycaena umbrata", "Hypolycaena sohmai", "Gobio gobio", "Arctocephalus pusillus pusillus", "Ipomoea cyanantha", "Ophrys schulzei", "Spiranthes spiralis", "Aceria gleicheniae", "Ipomoea ampullacea", "Platyptilia montana", "Platyptilia morophaea", "Platyptilia naminga", "Platyptilia nemoralis", "Platyptilia odiosa", "Platyptilia onias", "Platyptilia pauliani", "Platyptilia percnodactylus", "Platyptilia peyrierasi", "Platyptilia picta", "Platyptilia postbarbata", "Platyptilia profunda", "Platyptilia pseudofulva", "Platyptilia pulverulenta", "Platyptilia pygmaeana", "Platyptilia resoluta", "Platyptilia rhyncholoba", "Platyptilia sabius", "Platyptilia sciophaea", "Platyptilia sedata", "Platyptilia semnopis", "Platyptilia sogai", "Platyptilia strictiformis", "Platyptilia suigensis", "Platyptilia superscandens", "Platyptilia tesseradactyla", "Platyptilia thiosoma", "Platyptilia thyellopa", "Platyptilia toxochorda", "Platyptilia triphracta", "Platyptilia umbrigeralis", "Platyptilia ussuriensis", "Platyptilia vilema", "Platyptilia vinsoni", "Platyptilia violacea", "Platyptilia washburnensis", "Platyptilia williamsii", "Bigotilia centralis", "Bigotilia montana", "Vietteilus stenoptilioides", "Bipunctiphorus dissipata", "Bipunctiphorus nigroapicalis", "Bipunctiphorus pelzi", "Gillmeria albertae", "Gillmeria armeniaca", "Salassa belinda belinda", "Salassa lola", "Eucalyptus robertsonii", "Salassa katschinika", "Aorangia agama", "Mimosicerya williamsi", "Mimosicerya hempeli", "Anthocharis cardamines constibackii", "Amerila affinis", "Amerila bipartita", "Amerila bubo", "Amerila howardi", "Amerila makadara", "Galtara doriae", "Karschiola holoclera", "Alytarchia amanda", "Alytarchia leonina", "Menegites nivea", "Menegites sulphurea", "Leucaloa nyasica", "Diacrisia nyasica", "Acantharctia flavicosta", "Afrospilarctia unipuncta", "Creatonotos punctivitta", "Alpenus investigatorum", "Spilosoma investigatorum", "Estigmene melanocera", "Afroarctia kenyana", "Hypolycaena alcestis", "Hypolycaena amabilis", "Hypolycaena amabilis amabilis", "Hypolycaena amabilis lisba", "Hypolycaena amanica", "Lucanus datunensis", "Calopadiopsis tayabasensis", "Pterobius itiokai", "Cheleion malayanum", "Ipomoea tuberculata var. tuberculata", "Ipomoea tuberculata var. odontosepala", "Podarcis pityusensis", "Plestiodon fasciatus", "Ipomoea chenopodiifolia", "Calopadia aurantiaca", "Calopadia chacoensis", "Calopadia foliicola", "Calopadia fusca", "Calopadia isidiosa", "Calopadia lecanorella", "Calopadia lucida", "Calopadia nymanii", "Calopadia pauciseptata", "Calopadia perpallida", "Calopadia phyllogena", "Calopadia psoromoides", "Calopadia puiggarii", "Calopadia schaeferi", "Calopadia subfusca", "Calopadia turbinata", "Calopadia vermiculifera", "Ipomoea jamaicensis", "Populus nigra subsp. betulifolia", "Populus nigra subsp. caudina", "Populus nigra subsp. nigra", "Ipomoea meyeri", "Ipomoea pes-tigridis var. strigosa", "Ipomoea pes-tigridis var. pes-tigridis", "Apedunculata discoidea", "Annulotrematoides bryconi", "Dactylogyrus agolumaccessorius", "Primula auriculata", "Primula veris subsp. columnae", "Primula longipes", "Primula megaseifolia", "Ligophorus tainhae", "Ligophorus brasiliensis", "Ligophorus guanduensis", "Ligophorus lizae", "Aphanoblastella travassosi", "Aphanoblastella robustus", "Aphanoblastella mastigatus", "Aniseia martinicensis var. martinicensis", "Hypolycaena erylus erna", "Hypolycaena erylus erylus", "Hypolycaena erylus figulus", "Hypolycaena erylus fuiulus", "Dipsacus pilosus", "Hypolycaena erylus gamatius", "Hypolycaena erylus himavantus", "Hypolycaena erylus orsiphantus", "Hypolycaena erylus pigres", "Hypolycaena erylus pupienus", "Hypolycaena erylus splendidus", "Hypolycaena erylus syphax", "Hypolycaena erylus teatus", "Hypolycaena erylus thyrius", "Hypolycaena erylus tmolus", "Stenagrion dubium", "Stenagrion petermilleri", "Tukanobasis corbeti", "Angelagrion fredericoi", "Costelytra brunnea", "Carpodetus serratus", "Hypolycaena antifaunus", "Hypolycaena antifaunus antifaunus", "Hypolycaena antifaunus latimacula", "Nerine undulata", "Hypolycaena auricostalis", "Hypolycaena auricostalis auricostalis", "Hypolycaena auricostalis frommi", "Hypolycaena buxtoni", "Ostracion meleagris", "Chrysina resplendens", "Neoapterocis chilensis", "Neoapterocis mexicanus", "Hughleechia giulianii", "Hughleechia gracilis", "Minagrion caldense", "Minagrion canaanense", "Hypolycaena clenchi", "Minagrion mecistogastrum", "Minagrion ribeiroi", "Minagrion waltheri", "Hypolycaena coerulea", "Hypolycaena condamini", "Calystegia silvatica subsp. silvatica", "Calystegia silvatica subsp. disjuncta", "Eunymphicus uvaeensis", "Calystegia stebbinsii", "Calystegia hederacea", "Calystegia pubescens", "Acanthistius brasilianus", "Acanthistius joanae", "Pseudocrenilabrus multicolor multicolor", "Pseudocrenilabrus multicolor victoriae", "Calystegia sepium subsp. spectabilis", "Arsissa atlantica", "Scythris antisymmetrica", "Convolvulus betonicifolius", "Aroga atraphaxi", "Aroga panchuli", "Abantis bergeri", "Hypolycaena buxtoni buxtoni", "Hypolycaena buxtoni rogersi", "Hypolycaena buxtoni spurcus", "Hypolycaena danis", "Hypolycaena danis danis", "Hypolycaena danis danisoides", "Hypolycaena danis derpiha", "Hypolycaena danis milo", "Hypolycaena danis turneri", "Hypolycaena dubia", "Hypolycaena erylus", "Hypolycaena erylus aimnestus", "Hypolycaena erylus andamana", "Stethaspis longicornis", "Haliplus leechi", "Argyreia mollis", "Angelagrion nathaliae", "Anisagrion allopterum", "Anisagrion inornatum", "Anisagrion kennedyi", "Anisagrion truncatipenne", "Millotagrion inaequistigma", "Andinagrion garrisoni", "Andinagrion peterseni", "Andinagrion saliceti", "Hypolycaena hatita", "Hypolycaena hatita hatita", "Hypolycaena hatita japhusa", "Hypolycaena hatita ugandae", "Hypolycaena irawana", "Hypolycaena ithna", "Hypolycaena jacksoni", "Hypolycaena kadiskos", "Hypolycaena kakumi", "Hypolycaena lebona", "Hypolycaena lebona davenporti", "Hypolycaena lebona lebona", "Nanotermitodius peckorum", "Hadrorhyparus pecki", "Aschnarhyparus peregrinus", "Leptorhyparus gilli", "Hibiscus sect.", "Ctenoplectra australica", "Hibiscus sect.", "Dodona egeon", "Dodona kaolinkon", "Dodona katerina", "Dodona speciosa", "Procharista sardonias", "Paramorpha glandulata", "Heterogymna chorospila", "Capua exalbescens", "Argyroploce dryoptycha", "Canthonistis amphicarpa", "Homaloxestis queribunda", "Homaloxestis liciata", "Lecithocera barbifera", "Lecithocera chlorogastra", "Lecithocera diligens", "Lecithocera diplosticta", "Lecithocera perigypsa", "Lecithocera lamprodesma", "Lecithocera xylogramma", "Lecithocera excaecata", "Hibiscus martianus", "Veronica gentianoides", "Formica cunicularia", "Formica fusca", "Formica rufibarbis", "Formica picea", "Formica lusatica", "Formica lemani", "Formica transkaucasica", "Formica exsecta", "Formica pressilabris", "Veronica imerethica", "Camponotus herculeanus", "Busycon perversum", "Silene lasiantha", "Hypolycaena lochmophila", "Colias jomooseri", "Colias wernerbacki", "Chitoria leei", "Xenostegia tridentata", "Hypolycaena merguia", "Hypolycaena merguia histiaa", "Hypolycaena merguia merguia", "Hypolycaena merguia palpatoris", "Hypolycaena merguia skapane", "Hypolycaena merguia watsoni", "Hypolycaena amabilis phemis", "Trichocateres fasciculifer", "Camonea umbellata", "Termitaxis holmgreni", "Termitoderus grassei", "Termitoderus kistneri", "Termitoderus sandsi", "Termitoderus ultimus", "Termitodius coronatus", "Termitodius araujoi", "Lioglyptoxenus mirabilis", "Microtermitodius atomus", "Ipomoea aspera", "Ipomoea mairetii", "Scolytus esuriens", "Ipomoea tastensis", "Ophiostoma ulmi", "Ophiostoma novo-ulmi", "Loflammia demoulinii", "Loflammia epiphylla", "Loflammia gabrielis", "Loflammia intermedia", "Evorinea iota", "Costelytra distincta", "Costelytra brookesi", "Costelytra symmetrica", "Costelytra gregoryi", "Eutrichodesmus soesilae", "Hypolycaena liara", "Hypolycaena liara liara", "Hypolycaena liara plana", "Microscydmus lynfieldi", "Rhinocerotopsis nakasei", "Daintreeola grovei", "Bruneixenus reidi", "Monteitheolus fijiensis", "Adebrattia depressa", "Stereomera pusilla", "Bruneixenus squamosus", "Australoxenella bathurstensis", "Australoxenella humptydooensis", "Australoxenella concinna", "Australoxenella kalpara", "Australoxenella midgee", "Australoxenella mirreen", "Australoxenella moogoon", "Australoxenella peckorum", "Australoxenella teeta", "Australoxenella wurrook", "Australoxenella zborowskii", "Danielssonia minuta", "Pseudostereomera mirabilis", "Agrilinus ater", "Bolitoglossa pygmaea", "Bolitoglossa robinsoni", "Trachycephalus mambaiensis", "Macroglossum svetlana", "Androsace villosa", "Plagiolepis vindobonensis", "Veronica serpyllifolia", "Ajuga orientalis", "Dracocephalum austriacum", "Pentanema oculus-christi", "Anogramma leptophylla", "Hibiscus grandiflorus", "Gossypium subg.", "Gossypium sect.", "Gossypium sect.", "Gossypium subsect.", "Gossypium subsect.", "Gossypium subsect.", "Gossypium subsect.", "Gossypium subg.", "Gossypium sect.", "Gossypium sect.", "Gossypium subg.", "Gossypium subg.", "Gossypium sect.", "Hypolycaena schroederi", "Indognorimus costipennis", "Indotrichius assamensis", "Buglossoides arvensis", "Nonea pulla", "Hypolycaena ogadenensis", "Hypolycaena pachalica", "Hypolycaena philippus", "Hypolycaena philippus philippus", "Hypolycaena philippus ramonza", "Hypolycaena schubotzi", "Hibiscus sect.", "Hibiscus sect.", "Hibiscus sect.", "Hypolycaena scintillans", "Hypolycaena similis", "Hypolycaena tearei", "Hypolycaena nilgirica", "Hypolycaena periphorbas", "Hypolycaena phorbas", "Hypolycaena phorbas phorbas", "Hypolycaena phorbas infumata", "Hypolycaena phorbas ingura", "Hypolycaena phorbas silo", "Pachnistis cremnobathra", "Brachmia lusoria", "Autosticha academica", "Odites concava", "Stathmopoda immatura", "Yponomeuta favillacea", "Pronomeuta lemniscata", "Malacograptis notophanes", "Oxycirrhites typus", "Alucita ussurica", "Alucita kosterini", "Hypolycaena anara", "Hypolycaena obscura", "Talipariti tiliaceum var. tiliaceum", "Hypolycaena naara", "Talipariti tiliaceum var. pernambucense", "Hypolycaena nigra", "Campanula trachelium subsp. trachelium", "Gehyra barea", "Gossypium herbaceum subsp. herbaceum", "Gossypium herbaceum subsp. africanum", "Veronica schmidtiana", "Hypolycaena amabilis martini", "Distimake guerichii", "Sesamum sect.", "Sesamum sect.", "Sesamum sect.", "Sesamum sect.", "Ceroplastes rusci", "Cyptochirus ambiguus", "Cyptochirus decellei", "Cyptochirus distinctus", "Cyptochirus trogiformis", "Drepanocerus orientalis", "Drepanocerus kirbyi", "Drepanocerus patrizii", "Verbascum gaillardotii", "Verbascum orientale", "Verbascum sinuatum", "Verbascum tripolitanum", "Lichnomesopsyche daohugouensis", "Lichnomesopsyche gloriae", "Vitimopsyche kozlovi", "Vitimopsyche torta", "Indotrichius sikkimensis", "Indotrichius ornatus", "Afrodrepanus impressicollis", "Afrodrepanus marshalli", "Clypeodrepanus striatus", "Clypeodrepanus strigatus", "Pholcus zhuolu", "Pholcus dali", "Pholcus fengcheng", "Pholcus harveyi", "Pholcus huberi", "Pholcus kangding", "Pholcus kunming", "Pholcus mianshanensis", "Pholcus paralinzhou", "Pholcus parayichengicus", "Pholcus phoenixus", "Pholcus saaristoi", "Pholcus shangrila", "Pholcus songi", "Pholcus songxian", "Pholcus sublingulatus", "Pholcus subwuyiensis", "Pholcus yangi", "Pholcus yugong", "Pholcus zhangae", "Canterburaturus cooki", "Canterburaturus minutus", "Canterburaturus novaeseelandicus", "Taintaturus selwynus", "Taintaturus rostratus", "Taintaturus waikirikiri", "Colobaturus selwynus", "Abelaturus schwoerbeli", "Zelandalbia longipalpis", "Indomias acutipennis", "Indomias ajaykumari", "Indomias albizziae", "Indomias dubeyi", "Indomias kriparami", "Indomias maicykuttyae", "Indomias mangalai", "Indomias marshalli", "Indomias mayarami", "Indomias menoni", "Indomias premlali", "Indomias rajendrani", "Indomias ramakrishnani", "Indomias sharanagoudai", "Indomias yercaudensis", "Indomias anamalainus", "Indomias beesoni", "Indomias cretaceus", "Indomias decipiens", "Indomias frater", "Indomias hispidus", "Indomias lividus", "Indomias perroteti", "Indomias praeteritus", "Indomias prasinus", "Sympiezomias subserratipes", "Chrysanthemum maximum", "Frontipoda minutipalpis", "Veronica spicata", "Thaumamermis cosgrovei", "Tradescantia sect.", "Drepanoplatynus gilleti", "Eodrepanus coopei", "Pholcus babao", "Clypeodrepanus digitatus", "Pholcus chicheng", "Pholcus datan", "Pholcus exilis", "Pholcus jinniu", "Pholcus jiulong", "Pholcus luding", "Pholcus wuling", "Pholcus quadarfia", "Pholcus gomerae", "Veronica schistosa", "Pholcus bimbache", "Pholcus anachoreta", "Veronica monticola", "Pholcus corniger", "Taira flavidorsalis", "Geometra symaria", "Geometra albovenaria", "Geometra albovenaria albovenaria", "Geometra albovenaria latirigua", "Geometra valida", "Geometra euryagyia", "Geometra dieckmanni", "Gossypium subsect.", "Gossypium subsect.", "Gossypium subsect.", "Gossypium subsect.", "Colias rankinensis", "Gossypium subsect.", "Gossypium subsect.", "Gossypium sect.", "Colias nastes", "Colias nastes nastes", "Colias nastes variabilis", "Gossypium sect.", "Charaxes basquini", "Troides helena", "Vanessa dilecta", "Bassarona teuta", "Bassarona teuta teuta", "Bassarona teuta senilis", "Tanaecia aruna", "Tanaecia aruna aruna", "Tanaecia aruna dumaranensis", "Veronica olgensis", "Veronica subsessilis", "Sporopodium glaucinum", "Veronica daurica", "Hibiscus \u00d7 archeri", "Charaxes durnfordi nanami", "Neurosigma siva siva", "Neurosigma siva orientale", "Coelites euptychioides", "Coelites euptychioides euptychioides", "Coelites euptychioides pulcherrimus", "Ragadia makuta", "Ragadia makuta makuta", "Ragadia makuta karimatana", "Danaus affinis affinis", "Danaus affinis suwajii", "Parantica luzonensis", "Parantica luzonensis luzonensis", "Parantica luzonensis pagaica", "Ciposia wheeleri", "Idea leuconoe mentawaica", "Sporopodium muscicola", "Sporopodium nylanderi", "Sporopodium ochraceoluteum", "Sporopodium ochrolechioides", "Sporopodium octosporum", "Sporopodium olivaceum", "Sporopodium oudemansii", "Sporopodium peribyssicum", "Sporopodium phyllocharis", "Sporopodium pilocarpoides", "Hypolycaena sipylus bella", "Sporopodium podosphaera", "Sporopodium pycnoblastum", "Sporopodium rotuliforme", "Hypolycaena sipylus capella", "Sporopodium subflavescens", "Sporopodium subpilosum", "Sporopodium subvelutinum", "Hydroscapha perijaensis", "Sporopodium tropicum", "Sporopodium vermiculiferum", "Sporopodium violaceum", "Hypolycaena sipylus giscon", "Hypolycaena sipylus intermedius", "Hypolycaena sipylus numa", "Hypolycaena sipylus pictor", "Hypolycaena sipylus rhodanus", "Hypolycaena sipylus sipylus", "Hypolycaena sipylus tharrytas", "Zelandalbia hopkinsi", "Hypolycaena vanavasa", "Zelandalbia acuta", "Hypolycaena xenia", "Zelandalbia imamurai", "Hibiscus arnottianus", "Hibiscus arnottianus subsp. arnottianus", "Hibiscus arnottianus subsp. immaculatus", "Hibiscus arnottianus subsp. punaluuensis", "Centropyge boylei", "Centropyge abei", "Centropyge debelius", "Tibiodrepanus hircus", "Tibiodrepanus kazirangensis", "Tibiodrepanus setosus", "Tibiodrepanus simplex", "Hibiscus boryanus", "Tibiodrepanus sinicus", "Faunis canens canens", "Faunis canens anambasensis", "Chironomus acerbiphilus", "Odontopsen shii", "Odontopsen hanedai", "Hypolycaena pahanga", "Pavonia multiflora", "Pavonia \u00d7 gledhillii", "Hypolycaena tora", "Hypolycaena tora plataea", "Hypolycaena tora tora", "Catostomus muriei", "Pavonia makoyana", "Ichthyophis sendenyu", "Boophis calcaratus", "Anodonthyla vallani", "Pavonia sect.", "Pavonia subg.", "Pavonia subg.", "Pavonia sect.", "Pavonia sect.", "Ardisia lammersiana", "Zygophyseter varolai", "Brygmophyseter shigensis", "Acrophyseter deinodon", "Anema bullatum", "Anema camaromorpha", "Anema cernohorskyi", "Anema decipiens", "Anema diffusum", "Anema exiguum", "Eleutherospermum lazicum", "Anema jenisejensis", "Anema moedlingense", "Anema nodulosum", "Eleutherospermum cicutarium", "Anema notarisii", "Anema nummulariellum", "Anema nummularium", "Anema plicatissimum", "Anema suffruticosum", "Anema veronensis", "Anema tumidulum", "Veronica sajanensis", "Veronica spuria", "Veronica incana", "Eurema brigitta", "Eurema brigitta brigitta", "Eurema brigitta baguioensis", "Eurema brigitta roberto", "Eurema brigitta siquijorana", "Eurema brigitta sachikoi", "Hypselotriton fudingensis", "Cornufer caesiops", "Cornufer manus", "Mantophryne axanthogaster", "Agdistis tugai", "Liophryne magnitympanum", "Hylophorbus proekes", "Callulops omnistriatus", "Agdistis iranica", "Coregonus hoyi", "Hibiscus furcellatus var. youngianus", "Hypolycaena amasa", "Hypolycaena amasa amasa", "Hypolycaena amasa censorinus", "Hypolycaena amasa gratidanus", "Hypolycaena amasa masaya", "Hypolycaena amasa maximinianus", "Hypolycaena amasa miyatakei", "Hypolycaena amasa pompadius", "Limnesia zelandica", "Limnesia auspexa", "Limnesia birgelda", "Limnesia conroyi", "Limnesia crowelli", "Limnesia foldoma", "Limnesia halcarda", "Limnesia rotoruaensis", "Limnesia reptans", "Limnesia testacea", "Banksia novae-zelandiae", "Kogia pusilla", "Paracorupella pallida", "Marilia aiuruoca", "Marilia huamantincoae", "Thunbergia subg.", "Chlamydoselachus lawleyi", "Chlamydoselachus africana", "Thunbergia chrysops", "Thunbergia kirkii", "Thunbergia gibsonii", "Epimetasia monotona", "Amicta sericata", "Oreophryne furu", "Veronica longifolia", "Veronica bachofenii", "Lexias cyanipardus miyatai", "Lexias aegle", "Lexias aegle aegle", "Lexias aegle miyatai", "Lexias cyanipardus nishikawai", "Moduza procris futao", "Charaxes bernardus kangeanensis", "Charaxes durnfordi", "Charaxes durnfordi durnfordi", "Charaxes durnfordi siporanus", "Sporopodium xantholeucum", "Sporopodium aeruginascens", "Sporopodium albonigrum", "Sporopodium antoninianum", "Sporopodium argillaceum", "Sporopodium aurantiacum", "Sporopodium awasthianum", "Sporopodium citrinum", "Sporopodium cupuliferum", "Hypolycaena sipylus", "Sporopodium duplicatum", "Sporopodium exiguellum", "Sporopodium flavescens", "Sporopodium fulgurans", "Sporopodium gigantosporum", "Sporopodium glaucovirescens", "Sporopodium hossei", "Sporopodium inocarpi", "Sporopodium isidiatum", "Sporopodium leprieurii", "Sporopodium leprosum", "Sporopodium leucoxanthoides", "Sporopodium lucidum", "Sporopodium marginatum", "Sporopodium mastophorum", "Sporopodium microplacum", "Sporopodium miradorense", "Anodonthyla emilei", "Anodonthyla theoi", "Anodonthyla jeanbai", "Anodonthyla pollicaris", "Petropedetes euskircheni", "Petropedetes juliawurstnerae", "Allobates paleovarzensis", "Veronica linariifolia", "Veronica laeta", "Tropidocoleus bicarinatus", "Odontozineus penicillatus", "Althaea \u00d7 taurinensis", "Parabaryssinus lineaticollis", "Althaea australis", "Tropidozineus albidus", "Nyssodrysternum cingillum", "Althaea sect.", "Althaea sect.", "Cryptosolenomeris macrogon", "Althaea ludwigii", "Catostomus spatulifer", "Pavonia subg.", "Pavonia subg.", "Spinus pinus perplexa", "Rhagonycha bimucronota", "Micropodabrus semifumatoides", "Micropodabrus fissiformis", "Micropodabrus kopetzi", "Micropodabrus kantnerorum", "Micropodabrus jendeki", "Micropodabrus laosensis", "Micropodabrus kresli", "Micropodabrus rectiangulatus", "Micropodabrus reductus", "Micropodabrus eduardi", "Ichthyophis alfredii", "Ichthyophis daribokensis", "Ichthyophis nokrekensis", "Ichthyophis khumhzi", "Ichthyophis moustakius", "Eodrepanus morgani", "Eodrepanus paolae", "Eodrepanus bechynei", "Eodrepanus fastiditus", "Eodrepanus integriceps", "Eodrepanus parallelus", "Eodrepanus liuchungloi", "Eodrepanus striatulus", "Tradescantia sect.", "Tradescantia sect.", "Tradescantia sect.", "Brontoliota lawrencei", "Araschnia doris", "Eurhaphidophora visibilis", "Hypolycaena balua", "Hypolycaena balua balua", "Hypolycaena balua gabrieli", "Hypolycaena kina", "Hypolycaena kina celastroides", "Hypolycaena kina inari", "Hypolycaena kina kina", "Veronica porphyriana", "Veronica alatavica", "Pavonia rosa-campestris", "Hypolycaena othona", "Hypolycaena othona dendrobii", "Hypolycaena othona matiana", "Hypolycaena othona minima", "Hypolycaena othona othona", "Hypolycaena othona semanga", "Hypolycaena othona waltraudae", "Lucanus elaphus", "Passalus interruptus", "Homo troglodytes", "Strategus simson", "Sulcophanaeus carnifex", "Calcodes carinatus", "Scarabaeus tridentatus", "Elymnias saola", "Lethe huongii", "Aemona falcata", "Scobura coniata", "Capillibates stagaardi", "Catochrysops nubila", "Notophthiracarus brachys", "Catochrysops panormus", "Catochrysops panormus andamanica", "Catochrysops panormus argentata", "Catochrysops panormus batchiana", "Luxtoneremaeus forsteri", "Rhinella paraguayensis", "Leptolalax khasiorum", "Allobates algorei", "Scopodes fossulatus", "Notagonum submetallicum", "Veronica pinnata", "Xeronema callistemon", "Veronica biloba", "Catochrysops panormus caerulea", "Catochrysops panormus caledonica", "Catochrysops panormus exiguus", "Catochrysops panormus insularis", "Catochrysops panormus lithargyria", "Catochrysops panormus panormus", "Catochrysops panormus papuana", "Catochrysops panormus platissa", "Catochrysops panormus pura", "Catochrysops panormus rennellensis", "Catochrysops panormus timorensis", "Scorzonera hieraciifolia", "Galeus melastomus", "Urena rigida", "Catochrysops strabo", "Catochrysops strabo asoka", "Catochrysops strabo celebensis", "Catochrysops strabo kandarpa", "Malvaviscus arboreus var. arboreus", "Malvaviscus arboreus var. drummondii", "Catochrysops strabo luzonensis", "Sparrmannia discolor", "Sparrmannia subpalmata", "Catochrysops strabo naerina", "Sparrmannia ricinocarpa", "Catochrysops strabo strabo", "Catochrysops strabobinna", "Catochrysops taitensis", "Scapheremaeus insularis", "Scapheremaeus emarginatus", "Gymnura altavela", "Trygonoptera mucosa", "Xanthophryne tigerinus", "Pristimantis lassoalcalai", "Pristimantis rivasi", "Oreophryne ezra", "Pseudohydromys berniceae", "Pseudohydromys eleanorae", "Pseudohydromys patriciae", "Cephalallus oberthuri", "Callictita mala", "Callictita tifala", "Callictita jola", "Callictita cyara", "Callictita cyara cyabla", "Callictita cyara cyara", "Callictita cyara cyelsa", "Callictita albiplaga", "Callictita felgara", "Callictita arfakiana", "Callictita lara", "Callictita lara kina", "Callictita lara lara", "Callictita lara ronda", "Callianthe darwinii", "Hylurgus ligniperda", "Hylastes ater", "Eremopoa songorica", "Poa caucasica", "Scobura lyso", "Scobura evansi", "Scobura youngi", "Scobura phuongi", "Celaenorrhinus subsimilis", "Aurivittia aurivittata insularis", "Kishidaria khasiana", "Kishidaria zerenaria", "Ebertarctia nordstroemi", "Creataloum arabicum", "Oroncus bundeli", "Monapia charrua", "Malva sect.", "Malva sect.", "Malva sect.", "Fritillaria lusitanica", "Castalius rosimon", "Castalius rosimon godarti", "Castalius rosimon monrosi", "Castalius rosimon rosimon", "Ctenoplectron fasciatum", "Pyronota festiva", "Pyronota laeta", "Aetobatus narinari", "Rhadinosomus acuminatus", "Myliobatis californica", "Lasiorhynchus barbicornis", "Stephanorhynchus attelaboides", "Nyxetes bidens", "Hybolasius crista", "Mobula eregoodootenkee", "Selenopalpus cyaneus", "Stethaspis suturalis", "Creophilus oculatus", "Oemona hirta", "Coccinella leonina", "Zorion minutum", "Siphanta acuta", "Helops caeruleus", "Scarabaeus zagrosensis", "Scarabaeus karlwerneri", "Sceliages granulatus", "Scarabaeus namibicus", "Pachysoma endroedyi", "Pachysoma glentoni", "Pseudohydromys carlae", "Mirzamys norahae", "Mirzamys louiseae", "Pseudohydromys ellermani", "Pseudohydromys fuscus", "Pseudohydromys germani", "Pseudohydromys occidentalis", "Acomys spinosissimus", "Kheper zurstrasseni", "Verrallia eximia", "Verrallia helvetica", "Verrallia hodosa", "Verrallia kurilensis", "Verrallia makarkini", "Verrallia pollinosa", "Verrallia sidorenkoi", "Verrallia speciosa", "Verrallia verrucosa", "Caprella vitjazi", "Diastylis moskalevi", "Paraleptostylis vityazi", "Eudorella bathyalis", "Campylaspis pisum", "Pastinachus sephen", "Pteroplatytrygon violacea", "Taeniurops grabatus", "Taeniura lymma", "Taeniurops meyeni", "Urogymnus asperrimus", "Mycozetes oleariae", "Chironomus forsythi", "Luciaphorus auriculariae", "Kenocoelus dimorphus", "Liomera yaldwyni", "Patreus lewisi", "Desmalopex microleucopterus", "Paratriaenops pauliani", "Barbastella beijingensis", "Xyroptila caminites", "Stenoptilia admiranda", "Stenoptilia aethiopica", "Stenoptilia aktashiensis", "Stenoptilia alaii", "Stenoptilia amseli", "Stenoptilia annadactyla", "Stenoptilia atlanticola", "Stenoptilia bandamae", "Stenoptilia caradjai", "Stenoptilia caroli", "Stenoptilia coloradensis", "Stenoptilia columbia", "Stenoptilia conicephala", "Stenoptilia convexa", "Stenoptilia coprodactylus", "Stenoptilia dubatolovi", "Stenoptilia eborinodactyla", "Stenoptilia elkefi", "Stenoptilia etcetera", "Hypolycaena thecloides camotana", "Stenoptilia exclamationis", "Hypolycaena thecloides extensa", "Stenoptilia friedeli", "Stenoptilia grandipuncta", "Stenoptilia graphodactyla", "Stenoptilia gratiolae", "Stenoptilia hahni", "Stenoptilia himachala", "Stenoptilia inexpectata", "Stenoptilia ionota", "Stenoptilia islandicus", "Stenoptilia jacutica", "Stenoptilia karsholti", "Stenoptilia kosterini", "Stenoptilia kurushensis", "Stenoptilia latistriga", "Stenoptilia leuconephes", "Stenoptilia lucasi", "Stenoptilia luteocinereus", "Stenoptilia lutescens", "Stenoptilia madyana", "Hypolycaena thecloides philippina", "Stenoptilia mannii", "Stenoptilia melanoloncha", "Stenoptilia mengeli", "Stenoptilia meyeri", "Hypolycaena thecloides vardara", "Stenoptilia millieridactyla", "Stenoptilia mimula", "Crataegus nothosect.", "Lathrobium brunnipes", "Lathrobium elongatum", "Lathrobium eppelsheimii", "Lathrobium fovulum", "Lathrobium longulum", "Lathrobium taxi", "Urobatis jamaicensis", "Urobatis halleri", "Urobatis maculatus", "Urolophus cruciatus", "Urolophus kapalensis", "Urolophus viridis", "Veronica arguteserrata", "Veronica rubrifolia", "Hemitrygon akajei", "Lonchodryinus niger", "Gonatopus leurosipropodeus", "Dryinus maculipennis", "Dryinus wuyishanensis", "Anteon lochmocolum", "Anteon qinlingense", "Anteon yuae", "Anteon scrupulosum", "Anteon papillum", "Anteon punctum", "Anteon chonganense", "Anteon septentrionale", "Anteon parapriscum", "Anteon alpinum", "Bathytoshia centroura", "Hypanus dipterurus", "Hemitrygon fluviorum", "Bathytoshia lata", "Hypanus longus", "Dasyatis pastinaca", "Hypanus sabinus", "Hypanus say", "Dasyatis thetidis", "Himantura chaophraya", "Pateobatis fai", "Urogymnus granulatus", "Pateobatis jenkinsii", "Fluvitrygon oxyrhynchus", "Styracura schmardae", "Himantura uarnak", "Pseudohydromys pumehanae", "Pseudohydromys sandrae", "Isothrix barbarabrownae", "Isothrix negrensis", "Stuckenbergina africana", "Stuckenbergina callani", "Curupirina comosipes", "Nothohoraia micrognathia", "Acerbia alpina", "Acerbia alpina alpina", "Acerbia alpina severa", "Acerbia alpina sibirica", "Acerbia alpina johanseni", "Paidia elegantia", "Erebia ajanensis", "Erebia ajanensis ajanensis", "Erebia ajanensis kosterini", "Erebia ajanensis arsenjevi", "Castalius fasciatus", "Orthosiphon aristatus var. aristatus", "Orthosiphon aristatus var. velteri", "Castalius fasciatus adorabilis", "Castalius fasciatus fasciatus", "Pyrus sect.", "Pyrus sect.", "Theope shaphir", "Theope palambala", "Pyrus nivalis", "Pyrus phaeocarpa", "Libanotis pyrenaica", "Megathecla corentini", "Seseli petraeum", "Crocus pulchellus", "Ornithogalum oligophyllum", "Ornithogalum orthophyllum", "Paragymnopleurus sparsus", "Paragymnopleurus sparsus arnoldi", "Paragymnopleurus sparsus javanus", "Melinesthes roggemani", "Cryptogenius tristis", "Raveniella hickmani", "Eterosonycha ocellata", "Eterosonycha aquilina", "Eterosonycha alpina", "Taphiassa castanea", "Taphiassa globosa", "Taphiassa magna", "Taphiassa robertsi", "Taphiassa impressa", "Taphiassa punctata", "Olgania cracroft", "Olgania eberhardi", "Olgania weld", "Olgania troglodytes", "Olgania excavata", "Eterosonycha complexa", "Epigastrina loongana", "Epigastrina typhlops", "Epigastrina fulva", "Styloctenium mindorensis", "Ilybius hozgargantae", "Lobivia tegeleriana", "Veronica albanica", "Veronica campylopoda", "Troides amphrysus", "Veronica ramosissima", "Veronica bucharica", "Sus amyus", "Rayforstia antipoda", "Rayforstia insula", "Rayforstia signata", "Rayforstia wisei", "Rayforstia scuta", "Rayforstia mcfarlanei", "Rayforstia plebeia", "Rayforstia vulgaris", "Rayforstia propinqua", "Rayforstia salmoni", "Pseudotriphyllus nepalensis", "Pleocoma hovorei", "Pygopleurus keithi", "Hipposideros boeadii", "Chlerogella buyssoni", "Chlerogella nasus", "Kerivoula krauensis", "Hipposideros khasiana", "Stenoptilia molleti", "Stenoptilia murzini", "Stenoptilia naryna", "Stenoptilia neblina", "Stenoptilia nepetellae", "Stenoptilia nivea", "Stenoptilia nolckeni", "Stenoptilia nurolhaki", "Stenoptilia orites", "Stenoptilia pallistriga", "Stenoptilia parnasia", "Stenoptilia pelidnodactyla", "Gigiella milledgei", "Gigiella platnicki", "Patelliella adusta", "Austropholcomma florentine", "Austropholcomma walpole", "Micropholcomma linnaei", "Begonia bataiensis", "Micropholcomma junee", "Begonia zairensis", "Begonia zenkeriana", "Taliniella nigra", "Taliniella vinki", "Tinytrella pusilla", "Guiniella tropica", "Raveniella peckorum", "Algidiella aucklandica", "Eperiella alsophila", "Eperiella hastings", "Rayforstia lordhowensis", "Rayforstia raveni", "Normplatnicka barrettae", "Normplatnicka chilensis", "Normplatnicka lamingtonensis", "Raveniella luteola", "Arhopalus syriacus", "Hibiscus phoeniceus", "Hydromys chrysogaster", "Neptis manasa neohainana", "Neptis guia", "Neptis guia guia", "Callictita upola", "Neptis guia gumaobini", "Neptis namba", "Neptis namba namba", "Neptis namba leechuanlungi", "Chitoria sordida", "Chitoria sordida sordida", "Chitoria sordida vietnamica", "Faunis aerope aerope", "Faunis aerope centrala", "Aganonerion polymorphum", "Stockophorus charitopa", "Postplatyptilia aestuosa", "Postplatyptilia akerbergsi", "Postplatyptilia alexisi", "Postplatyptilia biobioica", "Postplatyptilia camptosphena", "Postplatyptilia fuscicornis", "Postplatyptilia genisei", "Postplatyptilia haemogastra", "Postplatyptilia nielseni", "Postplatyptilia paraglyptis", "Postplatyptilia pusillus", "Postplatyptilia saeva", "Postplatyptilia eelkoi", "Postplatyptilia flinti", "Postplatyptilia machupicchu", "Postplatyptilia naranja", "Postplatyptilia nubleica", "Postplatyptilia palmeri", "Postplatyptilia parana", "Postplatyptilia sandraella", "Postplatyptilia triangulocosta", "Postplatyptilia talcaica", "Postplatyptilia huigraica", "Postplatyptilia minima", "Paraplatyptilia albiciliatus", "Paraplatyptilia albidus", "Paraplatyptilia albidorsellus", "Paraplatyptilia fragilis", "Paraplatyptilia grandis", "Paraplatyptilia modesta", "Paraplatyptilia shastae", "Paraplatyptilia auriga", "Paraplatyptilia baueri", "Paraplatyptilia bifida", "Paraplatyptilia carolina", "Paraplatyptilia catharodactyla", "Paraplatyptilia cooleyi", "Paraplatyptilia edwardsi", "Paraplatyptilia hedemanni", "Paraplatyptilia immaculata", "Paraplatyptilia inanis", "Paraplatyptilia lutescens", "Paraplatyptilia maea", "Paraplatyptilia metzneri", "Paraplatyptilia nana", "Paraplatyptilia optata", "Paraplatyptilia petrodactylus", "Paraplatyptilia sahlbergi", "Paraplatyptilia sibirica", "Paraplatyptilia terminalis", "Paraplatyptilia vacillans", "Paraplatyptilia xylopsamma", "Paraplatyptilia terskeyiensis", "Paraplatyptilia dugobae", "Paraplatyptilia azteca", "Nippoptilia eochrodes", "Nippoptilia vitis", "Nippoptilia issikii", "Nippoptilia minor", "Koremaguia alticola", "Amblyptilia acanthadactyla", "Amblyptilia acanthadactyloides", "Amblyptilia aeolodes", "Amblyptilia atrodactyla", "Amblyptilia bowmani", "Amblyptilia deprivatalis", "Amblyptilia direptalis", "Amblyptilia epotis", "Amblyptilia falcatalis", "Chrysolina herbacea", "Chitoria chrysolora", "Chitoria chrysolora chrysolora", "Chitoria chrysolora eitschbergeri", "Chitoria ulupi", "Platycnemis echigoana", "Eocapnia nivalis", "Eocapnia yezoensis", "Orthosia ijimai", "Orthosia mirabilis", "Zanclognatha martha", "Zanclognatha lunalis", "Veronica capillipes", "Zanclognatha pedipilalis", "Veronica stylophora", "Zanclognatha tarsipennalis", "Zanclognatha sugii", "Veronica tenuissima", "Veronica intercedens", "Spherillo danae", "Merulana canaliculata", "Merulana chathamensis", "Glaresis thiniensis", "Scarabaeinus termitophilus", "Scarabatermes amazonensis", "Xenocanthus singularis", "Crocodylus anthropophagus", "Veronica cardiocarpa", "Hipposideros khaokhouayensis", "Scotophilus marovaza", "Harpiola isodon", "Ivieolus pseudoscutellatus", "Ivieolus inflaticollis", "Ivieolus brooksi", "Pinus nigra subsp. nigra", "Australiodillo bifrons", "Atelomastix albanyensis", "Atelomastix anancita", "Macrodactylus howdeni", "Australiodillo anomalus", "Australiodillo armus", "Australiodillo muscosus", "Australiodillo setosus", "Australiodillo haplophthalmoides", "Australiodillo neocaledoniensis", "Australiodillo insularis", "Australiodillo primitivus", "Angraecum cadetii", "Veronica triphyllos", "Veronica praecox", "Veronica amoena", "Tamarix duezenlii", "Phytophthora heveae", "Blastophaga psenes", "Lasiommata zagrossica", "Lasiommata megera", "Lasiommata paramegaera", "Lasiommata maera", "Lasiommata meadewaldoi", "Lasiommata adrastoides", "Lopinga kasumi", "Cyphelium adspersum", "Cyphelium affine", "Cyphelium albidum", "Cyphelium alboatrum", "Hippeastrum stylosum", "Veronica agrestis", "Veronica opaca", "Abydosaurus mcintoshi", "Cyphelium apostaticum", "Cyphelium atomarium", "Veronica crista-galli", "Cyphelium averonense", "Cyphelium bolanderi", "Cyphelium brachysporum", "Cyphelium brunneum", "Cyphelium buellianum", "Cyphelium caliciforme", "Cyphelium cantherellum", "Cyphelium cembrinum", "Cyphelium chlorelloides", "Cyphelium chlorellum", "Cyphelium chloroconium", "Cyphelium cinereum", "Melanitis atrax", "Melanitis phedima phedima", "Melanitis phedima morosa", "Melanitis zitenius", "Melanitis zitenius zitenius", "Melanitis zitenius mentawaiensis", "Elymnias esaca", "Elymnias esaca esaca", "Elymnias esaca saifuli", "Neorina lowii", "Neorina lowii lowii", "Neorina lowii mentawaiensis", "Amathusia masina", "Amathusia masina masina", "Amathusia masina siberuta", "Acratosaura spinosa", "Afrotyphlops nanus", "Afrotyphlops angolensis", "Afrotyphlops bibronii", "Afrotyphlops blanfordii", "Echinopsis calochlora subsp. glaetzleana", "Galeus antillensi", "Galeus arae", "Agama lebretoni", "Agama anchietae", "Lobivia arachnacantha", "Galeus atlanticus", "Galeus boardmani", "Soehrensia thelegona", "Texosporium sancti-jacobi", "Melanitis amabilis", "Cleapa cleapa", "Tillandsia subg.", "Acroscyphus sphaerophoroides", "Sphinctrinopsis pertusariae", "Alvinocaris chelys", "Aiteng ater", "Echinopsis calochlora subsp. calochlora", "Omorgus vladislavi", "Afromorgus satorui", "Afromorgus genieri", "Afromorgus frater", "Afromorgus inermis", "Afromorgus maindroni", "Stenoptilia petraea", "Stenoptilia phaeonephes", "Stenoptilia pinarodactyla", "Stenoptilia pinkeri", "Stenoptilia platanodes", "Stenoptilia pneumonanthes", "Stenoptilia poculi", "Stenoptilia pterodactyla", "Stenoptilia reisseri", "Stenoptilia rougeoti", "Stenoptilia saigusai", "Stenoptilia sanaa", "Stenoptilia scoprodactyla", "Stenoptilia stenodactyla", "Stenoptilia stigmatodactylus", "Stenoptilia stigmatoides", "Stenoptilia suprema", "Stenoptilia tenuis", "Stenoptilia transversata", "Stenoptilia tyropiesta", "Stenoptilia veronicae", "Stenoptilia viettei", "Stenoptilia wagneri", "Stenoptilia zophodactylus", "Stenoptilia succisae", "Stenoptilia tourlani", "Uroloba calycospila", "Uroloba fuscicostata", "Paraamblyptilia eutalanta", "Paraamblyptilia ridouti", "Stenoptilodes antirrhina", "Stenoptilodes brevipennis", "Stenoptilodes debbiei", "Stenoptilodes duckworthi", "Stenoptilodes gielisi", "Stenoptilodes gilvicolor", "Stenoptilodes huanacoicus", "Stenoptilodes hypsipora", "Stenoptilodes juanfernandicus", "Stenoptilodes limaicus", "Stenoptilodes littoralis", "Stenoptilodes posticus", "Stenoptilodes sematodactyla", "Stenoptilodes sordipennis", "Stenoptilodes stigmatica", "Stenoptilodes thrasydoxa", "Anstenoptilia hugoiella", "Anstenoptilia marmorodactyla", "Gillmeria irakella", "Gillmeria macrornis", "Gillmeria melanoschista", "Akodon fumeus", "Gillmeria miantodactylus", "Gillmeria omissalis", "Gillmeria pallidactyla", "Gillmeria rhusiodactyla", "Gillmeria scutata", "Gillmeria stenoptiloides", "Gillmeria tetradactyla", "Gillmeria vesta", "Ganaspidium eldiablo", "Ganaspidium flemingi", "Ganaspidium kolmaci", "Ganaspidium konzaense", "Ganaspidium pusillae", "Tarucus callinara", "Tarucus hazara", "Thelomma californicum", "Thelomma carolinianum", "Thelomma mammosum", "Thelomma occidentale", "Thelomma ocellatum", "Thelomma santessonii", "Garcinia mangostana", "Cyphelium sticticum", "Cyphelium subroscidum", "Cyphelium subsimile", "Cyphelium subtigillare", "Cyphelium subtile", "Minthea rugicollis", "Cyphelium sulphureum", "Cyphelium trachylioides", "Minthea reticulata", "Phyllodactylus papenfussi", "Phyllodactylus thompsoni", "Phyllodactylus delsolari", "Phyllodactylus clinatus", "Phyllodactylus interandinus", "Phyllodactylus johnwrighti", "Cyphelium tricinctum", "Cyphelium turbinatum", "Cyphelium verrucosum", "Cyphelium viridescens", "Cyphelium viridiloculare", "Cyphelium viridulum", "Cyphelium vouauxii", "Cyphelium zahlbruckneri", "Actenicerus siaelandicus", "Acratosaura mentalis", "Cebrio gigas", "Thyas miniacea", "Thyas miniacea miniacea", "Thyas miniacea sulawesensis", "Thyas miniacea philippensis", "Thyas miniacea regia", "Thyas honesta", "Saliocleta goergneri", "Saliocleta aurora", "Saliocleta longipennis", "Saliocleta ochracaea", "Saliocleta seacona", "Saliocleta argus", "Amathuxidia amythaon", "Amathuxidia amythaon amythaon", "Amathuxidia amythaon jokoi", "Lobivia backebergii", "Discophora necho", "Discophora necho necho", "Discophora necho siberutensis", "Tylophoropsis nyeriana", "Tholurna dissimilis", "Hymenodontopsis bifaria", "Hymenodontopsis mnioides", "Hymenodontopsis vallis-gratiae", "Hymenodontopsis stresemannii", "Soehrensia candicans", "Tarucus ananda", "Veronica peregrina", "Veronica dillenii", "Veronica verna", "Veronica filiformis", "Ganaspidium didionae", "Orcus cordiformis", "Orcus viridulus", "Orcus tetrafasciatus", "Amphisbaena brevis", "Amphisbaena supernumeraria", "Amphisbaena uroxena", "Leposternon cerradensis", "Jilinocaris chinensis", "Veronica ceratocarpa", "Spongiocaris semiteres", "Spongiocaris yaldwyni", "Spongiocaris goyi", "Cyphelium cyathellum", "Cyphelium corallinum", "Cyphelium claviculare", "Cyphelium elassosporum", "Cyphelium emergens", "Cyphelium fallax", "Cyphelium flavum", "Cyphelium flexile", "Cyphelium ignobile", "Cyphelium incrustans", "Cyphelium ingricum", "Cyphelium inquinans", "Cyphelium karelicum", "Cyphelium kenyanum", "Cyphelium lecanorinum", "Cyphelium lecideinum", "Cyphelium leptoconium", "Cyphelium leucomelas", "Cyphelium lucidum", "Cyphelium mammosum", "Cyphelium marcianum", "Cyphelium mediterraneum", "Cyphelium microscopicum", "Cyphelium microsporum", "Cyphelium minutulum", "Cyphelium neesii", "Cyphelium nigricans", "Cyphelium notarisii", "Cyphelium nudiusculum", "Cyphelium ochreatum", "Cyphelium ollare", "Lebbeus cristatus", "Cyphelium paroicum", "Cyphelium physarellum", "Cyphelium picastrum", "Cyphelium piceum", "Cyphelium pileatum", "Veronica cymbalaria", "Cyphelium pinicola", "Cyphelium polycarpum", "Cyphelium saepiculare", "Cyphelium sardoum", "Rhynchophorus ferrugineus", "Cyphelium scabrosulum", "Cyphelium schaereri", "Cyphelium sessile", "Veronica acinifolia", "Lobivia bridgesii", "Telebasis celiovallei", "Telebasis divaricata", "Telebasis lenkoi", "Telebasis myrianae", "Telebasis pallida", "Telebasis pareci", "Telebasis pataxo", "Telebasis luizae", "Telebasis digiticollis", "Telebasis flammeola", "Telebasis carota", "Telebasis livida", "Veronica chamaedrys", "Telebasis aurea", "Archilestes neblina", "Paltothemis cyanosoma", "Acanthagrion speculum", "Diceratobasis melanogaster", "Aphylla angustifolia", "Hetaerina americana", "Hetaerina curvicauda", "Hetaerina erythrokalamus", "Hetaerina flavipennis", "Hetaerina indeprensa", "Sympetrum signiferum", "Telebasis theodori", "Libellula mariae", "Telebasis boomsmae", "Argia sabino", "Argia leonorae", "Argia pima", "Argia anceps", "Argia westfalli", "Telebasis milleri", "Neoneura jurzitzai", "Erpetogomphus erici", "Setaria viridis", "Sciadocladus menziesii", "Telebasis gigantea", "Veronica umbrosa", "Telebasis bickorum", "Touwiodendron diversifolium", "Telebasis carmesina", "Franciella spiridentoides", "Mniodendron camptotheca", "Veronica austriaca subsp. teucrium", "Mniodendron colensoi", "Mniodendron comatulum", "Mniodendron comatum", "Mniodendron comosum", "Mniodendron dendroides", "Mniodendron tahiticum", "Veronica prostrata", "Dendro-hypnum auricomum", "Dendro-hypnum beccarii", "Dendro-hypnum brevipes", "Dendro-hypnum flagelliferum", "Dendro-hypnum fuscomucronatum", "Galeus mincaronei", "Veronica austriaca", "Dendro-hypnum milnei", "Dendro-hypnum opacum", "Dendro-hypnum reinwardtii", "Setaria glauca", "Cereus jamacaru subsp. jamacaru", "Palaemnema brasiliensis", "Palaemnema picicaudata", "Palaemnema brucelli", "Palaemnaea abbreviata", "Palaemnema abbreviata", "Telebasis byersi", "Galeus cadenati", "Galeus eastmani", "Cereus jamacaru subsp. calcirupicola", "Cyrtopodendron vieillardii", "Braithwaitea sulcata", "Pterobryella longifrons", "Pterobryella papuensis", "Pterobryella praenitens", "Pterobryella rigida", "Telebasis bastiaani", "Telebasis abuna", "Telebasis brevis", "Telebasis dunklei", "Telebasis garrisoni", "Telebasis limoncocha", "Telebasis racenisi", "Telebasis rubricauda", "Telebasis watsoni", "Telebasis simulata", "Tiliqua gigas", "Sciadocladus kerrii", "Achrysocharoides robiniae", "Achrysocharoides robinicolus", "Trichocereus macrogonus var. macrogonus", "Trichocereus puquiensis", "Micropedeticus ochrus", "Tarucus waterstradti", "Tarucus waterstradti dharta", "Tarucus waterstradti simillimus", "Tarucus waterstradti vileja", "Tarucus waterstradti waterstradti", "Echinopsis eyriesii", "Anzia americana", "Anzia centrifuga", "Anzia formosana", "Anzia ornata", "Anzia semiteres", "Soehrensia formosa", "Anolis anchicayae", "Anolis lyra", "Anolis monteverde", "Anolis morazani", "Veronica arceutobia", "Veronica caucasica", "Veronica orientalis", "Amathuxidia amythaon sundingi", "Discophora necho simeuluensis", "Rhinopalpa polynice", "Rhinopalpa polynice polynice", "Veronica kurdica", "Rhinopalpa polynice sipora", "Zemeros flegyas", "Zemeros flegyas flegyas", "Zemeros flegyas jokoi", "Zemeros flegyas florensis", "Archigenes aita aita", "Archigenes aita ismaili", "Tapena thwaitesi", "Tapena thwaitesi thwaitesi", "Tapena thwaitesi maruyamai", "Charaxes bernardus siporaensis", "Sephisa chandra chandra", "Sephisa chandra hainanensis", "Corydalis caucasica", "Discophora celinde", "Discophora celinde celinde", "Discophora celinde sumba", "Dendro-hypnum subspininervium", "Hypnodendron arcuatum", "Hypnodendron marginatum", "Hypnodendron microstictum", "Hypnodendron samoanum", "Hypnodendron spininervium", "Hypnodendron vitiense", "Hypnodendron junghuhnii", "Cyrtopus setosus", "Bescherellia elegantissima", "Bolboceras davatchii", "Ombronesus stuvensis", "Oryctes rhinoceros", "Tarucus indica", "Tarucus venosus", "Tarucus nara", "Amygdalaria aeolotera", "Amygdalaria consentiens", "Amygdalaria continua", "Amygdalaria elegantior", "Veronica khorossanica", "Cnemidophorus lemniscatus", "Echinopsis arachnacantha subsp. densiseta", "Lobivia arachnacantha var. densiseta", "Delias inopinata", "Delias inopinata inopinata", "Cereus subg.", "Delias inopinata orri", "Delias angabungana", "Delias endela", "Cereus subg.", "Delias hyperapproximata", "Bosara kadooriensis", "Bosara maior", "Bosara agassizi", "Bosara maculilinea", "Bosara torquibursa", "Glyphotheciopsis gracile", "Ptychomniella ptychocarpa", "Sulcopyrenula canellae-albae", "Sulcopyrenula cruciata", "Sulcopyrenula staurospora", "Benitotania elimbata", "Ancistrodes genuflexa", "Cynoscion striatus", "Cynoscion regalis", "Hypopterygium flavolimbatum", "Pteropeltarion novaezelandiae", "Aristelliger reyesi", "Asaccus saffinae", "Atractus acheronius", "Atractus multidentatus", "Soehrensia korethroides", "Dorcus tenuihirsutus", "Veronica multifida", "Veronica filifolia", "Soehrensia bruchii", "Daymfus montanus", "Veronica czerniakowskiana", "Hylocereus undatus subsp. undatus", "Hylocereus undatus subsp. luteocarpus", "Arbusculohypopterygium arbuscula", "Acanthoscurria brocklehursti", "Dendrohypopterygium filiculiforme", "Cereus subg.", "Canalohypopterygium tamariscinum", "Catharomnion ciliatum", "Dendrocyathophorum decolyi", "Hypopterygium hookerianum", "Hypopterygium parvifolium", "Pulchrinodus inflatus", "Manota granvillensis", "Manota birgitae", "Manota purakaunui", "Manota regineae", "Rhynchotermes bulbinasus", "Protoliupanshania wangi", "Paracleodoxus cineraceus", "Paracleodoxus simillimus", "Carphontes paradoxus", "Neobelocera lii", "Paraparatrechina brunnella", "Paraparatrechina concinnata", "Paraparatrechina gnoma", "Paraparatrechina oreias", "Paraparatrechina umbranatis", "Paraparatrechina splendida", "Paraparatrechina myops", "Paraparatrechina ocellatula", "Tarucus balkanicus", "Amphistomus alfurorum", "Anaclastoctedon ancistrodes", "Anaclastoctedon antarai", "Anaclastoctedon lek", "Anaclastoctedon prionton", "Anaclastoctedon sano", "Haloscatella balioptera", "Haloscatella harrisoni", "Haloscatella karekare", "Limnellia abbreviata", "Limnellia maculipennis", "Pseudomystus funebris", "Atractus echidna", "Atractus medusa", "Atractus typhon", "Atractus macondo", "Atractus nasutus", "Atractus paisa", "Atractus titanicus", "Soehrensia grandiflora", "Potentilla nitida", "Primula vulgaris subsp. rubra", "Primula vulgaris subsp. vulgaris", "Primula vulgaris subsp. balearica", "Geranium purpureum", "Veronica denudata", "Myxocyprinus asiaticus", "Anthracothecium australiense", "Carinotetraodon travancoricus", "Anthracothecium gregale", "Anthracothecium macrosporum", "Anthracothecium prasinum", "Anthracothecium toowoombense", "Anthracothecium doleschallii", "Cephaloscyllium albipinnum", "Cephaloscyllium circulopullum", "Cephaloscyllium cooki", "Cephaloscyllium fasciatum", "Cephaloscyllium hiscosellum", "Cephaloscyllium isabellum", "Cephaloscyllium laticeps", "Tarucus balkanicus areshana", "Tarucus balkanicus balkanicus", "Tarucus balkanicus nigra", "Cephaloscyllium pictum", "Cephaloscyllium sarawakensis", "Cephaloscyllium signourum", "Cephaloscyllium silasi", "Aradus gaoligongensis", "Sinahemeroscopus magnificus", "Achrysocharoides platanoidae", "Amygdalaria haidensis", "Amygdalaria panaeola", "Amygdalaria pelobotryon", "Catharsius molossus", "Schoenoplectus californicus", "Copris incertus", "Amygdalaria subdissentiens", "Amygdalaria tellensis", "Epirinus deplanatus", "Anadia escalerae", "Anadia bumanguesa", "Anadia pariaensis", "Anadia altaserrania", "Anadia bitaeniata", "Anadia blakei", "Anadia bogotensis", "Anadia brevifrontalis", "Anadia hobarti", "Anamylopsora pulcherrima", "Delias sagessa", "Delias sagessa sagessa", "Delias sagessa straatmani", "Delias aroae", "Delias flavissima", "Delias flavissima flavissima", "Delias flavissima giselae", "Delias angiensis", "Delias kenricki", "Delias pheres", "Delias subapicalis", "Delias subapicalis subapicalis", "Delias subapicalis sibatanii", "Delias daniensis", "Astrophytum subg.", "Astrophytum subg.", "Anzina carneonivea", "Soehrensia volliana", "Taraxacum coreanum", "Arctomia acutior", "Arctomia delicatula", "Arctomia interfixa", "Arctomia latispora", "Arctomia muscicola", "Arctomia subantarctica", "Soehrensia vasquezii", "Arctomia teretiuscula", "Pithecops corvus", "Pithecops corvus corax", "Pithecops corvus correctus", "Pithecops corvus corvus", "Soehrensia arboricola", "Cleistocactus samaipatanus", "Arrhenia peltigerina", "Cubatea asphaltica", "Beauvoisina carinata", "Bathymodiolus palmarensis", "Pithecops dionisius", "Caspiconcha rubani", "Pithecops fulgens", "Paskentana anistratenkorum", "Paskentana umbilicata", "Hokkaidoconcha novacula", "Pithecops fulgens tsushimana", "Humptulipsia macsotayi", "Triassurella goederti", "Puncturella mcleani", "Pithecops fulgens urai", "Pithecops fulgens fulgens", "Streblosoma patriciae", "Pithecops mariae", "Terebella leslieae", "Pista alonsae", "Nicolea ceciliae", "Pithecops phoenix", "Pithecops phoenix moeros", "Pithecops phoenix phoenix", "Hokkaidoconcha hikidai", "Hokkaidoconcha tanabei", "Hokkaidoconcha hignalli", "Hokkaidoconcha bilirata", "Hokkaidoconcha morenoensis", "Hokkaidoconcha tehamaensis", "Gregorella humida", "Celsinotum candango", "Acroperus tupinamba", "Alona yara", "Cyrtodactylus auribalteatus", "Cyrtodactylus batucolus", "Cyrtodactylus jarakensis", "Cyrtodactylus jambangan", "Cyrtodactylus leegrismeri", "Cyrtodactylus pantiensis", "Cyrtodactylus zhaoermii", "Wawea fruticulosa", "Athrips neimongolica", "Athrips maculata", "Athrips huangshana", "Athrips ravida", "Athrips montana", "Athrips nigristriata", "Athrips gansuensis", "Echinopsis adolfofriedrichii", "Soehrensia hahniana", "Leucostele atacamensis", "Ficus religiosa", "Leucostele deserticola", "Pseudopontonides plumosus", "Pseudopontonides principis", "Alvinocaridinides formosa", "Allopontonia alastairi", "Allopontonia brockii", "Famegana nisa", "Micropterus salmoides salmoides", "Trichocereus bridgesii", "Archoleptoneta gertschi", "Darkoneta quetzal", "Darkoneta reddelli", "Rhinatrema shiv", "Boltenia yossiloya", "Poephagus grunniens", "Leucostele coquimbana", "Tetranchyroderma antenniphorum", "Harrisia gracilis", "Tepakiphasma ngatikuri", "Otagonia nunni", "Leioproctus launcestonensis", "Corticaria unca", "Corticaria lisae", "Corticaria lata", "Ancylomenes luteomaculatus", "Ancylomenes okunoi", "Ancylomenes kuboi", "Eupontonia oahu", "Eupontonia noctalbata", "Bruceopsis guamensis", "Bruceopsis projecta", "Periclimenaeus devaneyi", "Lysmata rauli", "Caridina kaombeflutilis", "Caridina lumilympha", "Caridina alba", "Ganguilus indicus", "Ganguilus rex", "Ganguilus veniae", "Lebinthus ambonensis", "Lebinthus buruensis", "Lebinthus cyclopus", "Lebinthus greensladei", "Lebinthus kolombara", "Lebinthus villemantae", "Ablabesmyia platensis", "Trichomyia stephani", "Telmatoscopus thuringiacus", "Liosphex achuar", "Liosphex atratus", "Liosphex boreus", "Liosphex bribri", "Liosphex darien", "Liosphex guanabara", "Liosphex guarani", "Liosphex longicornis", "Liosphex maleku", "Liosphex micropterus", "Bronchocela rubrigularis", "Liosphex quechua", "Liosphex tupi", "Paraxenylla norvegica", "Calamaria abramovi", "Trichopetalum dickbrucei", "Trichopetalum jerryblatti", "Scoterpes alabama", "Scoterpes hesperus", "Scoterpes jackdanieli", "Scoterpes musicarustica", "Scoterpes stewartpecki", "Scoterpes tombarri", "Scoterpes tricorner", "Scoterpes willreevesi", "Scoterpes nudus", "Liosphex varius", "Liosphex trichopleurum", "Cyrtodactylus tautbatorum", "Periclimenes laevimanus", "Selenicereus \u00d7 callianthus", "Chrysomela saliceti", "Veronica galathica", "Veronica aphylla", "Veronica baumgartenii", "Veronica grandiflora", "Veronica scutellata", "Arthonia macounii", "Lebbeus cristagalli", "Lebbeus clarehannah", "Arthonia lecanactidea", "Lebbeus eludus", "Lebbeus acudactylus", "Lebbeus mundus", "Oxalis articulata", "Pentanema ensifolium", "Opopaea vitrispina", "Kunstidamaeus fraterculus", "Gobiesox juniperoserrai", "Fundulus lima", "Veronica callitrichoides", "Trapelus mutabilis pallidus", "Trapelus ruderatus", "Trapelus agilis", "Trapelus blanfordi", "Trapelus flavimaculatus", "Trapelus jayakari", "Trapelus lessonae", "Trapelus megalonyx", "Trapelus microtympanum", "Trapelus mutabilis", "Trapelus rubrigularis", "Trapelus sanguinolentus", "Trapelus savignii", "Trapelus tournevillei", "Veronica montana", "Veronica minuta", "Platanthera bifolia", "Micropsephodes bahamaensis", "Veronica kopetdaghensis", "Nisaetus floris", "Nisaetus kelaarti", "Veronica telephiifolia", "Sigmodon hispidus", "Gymnotus omarorum", "Struthiopteris spicant", "Corticaria formicaephila", "Apogonatopus edaphicus", "Apogonatopus madagascariensis", "Crovettia hansoni", "Thrips obscuratus", "Ophiomyia cornuta", "Veronica petraea", "Veronica oltensis", "Laricobius jizu", "Hyleoglomeris aschnae", "Veronica microcarpa", "Laricobius taiwanensis", "Laricobius wittmeri", "Veronica armena", "Harrisia fernowii", "Habronattus ustulatus", "Habronattus icenoglei", "Habronattus kawini", "Habronattus kubai", "Habronattus schlingeri", "Philodryas inca", "Atractus pauciscutatus", "Atractus nigricaudus", "Sphenomorphus sabanus", "Sphenomorphus multisquamatus", "Sphenomorphus stickeli", "Thriocerodes corporaali", "Harrisia pomanensis", "Pulicaria odora", "Bellis annua", "Athanas iranicus", "Manipontonia persiana", "Opaepele vavilovi", "Caridina jeani", "Caridina elisabethae", "Caridina buergersi", "Palaemonella dijonesae", "Philocheras anthonyi", "Salmoneus armatus", "Salmoneus wehrtmanni", "Salmoneus camaroncito", "Salmoneus degravei", "Salmoneus hispaniolensis", "Heterocarpus abulbus", "Heterocarpus corona", "Synalpheus hoetjesi", "Synalpheus kuadramanus", "Synalpheus orapilosus", "Macrobrachium duri", "Macrobrachium sundaicum", "Lysmata vittata", "Merhippolyte chacei", "Alainopasiphaea australis", "Leontocaris alexander", "Leontocaris amplectipes", "Leontocaris yarramundi", "Glyphocrangon taludensis", "Phycomenes zostericola", "Ashibusa jezoensis", "Ashibusa aculeata", "Sula dactylatra tasmani", "Calamaria banggaiensis", "Calamaria gialaiensis", "Cnemaspis kolhapurensis", "Cnemaspis monachorum", "Cnemaspis pseudomcguirei", "Cnemaspis paripari", "Cnemaspis bayuensis", "Cnemaspis mcguirei", "Opopaea diaoluoshan", "Opopaea furcula", "Opopaea sanya", "Harrisia portoricensis", "Harrisia divaricata", "Doryphoribius dawkinsi", "Scapheremaeus rodickae", "Phymaturus castillensis", "Phymaturus videlai", "Diplodactylus galaxias", "Batakomacrus noyesi", "Acropimpla laevituberculata", "Acropimpla taishunensis", "Leioproctus huakiwi", "Leioproctus kanapuu", "Leioproctus keehua", "Leioproctus pango", "Leioproctus waipounamu", "Lampropholis ronhoseri", "Pauroripidius groehni", "Pauroripidius pyrrholophus", "Austrophthiracarus pulchellus", "Opuntia \u00d7 andersonii", "Opuntia \u00d7 carstenii", "Heterokamaka lutensis", "Heterokamaka isahayae", "Leptobrachium waysepuntiense", "Terebellides jitu", "Diopatra micrura", "Kheper aegyptiorum", "Kheper aeratus", "Kheper cupreus", "Kheper festivus", "Kheper laevistriatus", "Kheper lamarcki", "Kheper nigroaeneus", "Kheper platynotus", "Austrophthiracarus daimonios", "Notophthiracarus paracapillatus", "Meta birmanica", "Meta gertschi", "Meta longipalpis", "Meta maculata", "Meta merianopsis", "Meta meruensis", "Meta milleri", "Meta mixta", "Meta monogrammata", "Meta montana", "Meta nigra", "Meta rufolineata", "Meta serrana", "Meta simlaensis", "Meta stridulans", "Meta trivittata", "Meta turbatrix", "Meta vacillans", "Meta villiersi", "Notophthiracarus rotoitiensis", "Notophthiracarus conspicuus", "Notophthiracarus repostus", "Austrophthiracarus aureus", "Notophthiracarus claviger", "Cerastium cerastoides", "Cerastium lazicum", "Sagina saginoides", "Myosoton aquaticum", "Lepyrodiclis holosteoides", "Arenaria rotundifolia", "Cherleria circassica", "Minuartia recurva", "Petrorhagia alpina", "Petrorhagia syriaca", "Opuntia urbaniana", "Ashibusa clavativalvula", "Ashibusa flavalba", "Ashibusa lativalvula", "Ashibusa sinensis", "Ashibusa subelliptica", "Persicaria minor", "Anisomeridium ranunculosporum", "Epilobium montanum", "Cnemaspis karsticola", "Cnemaspis pulchra", "Cnemaspis punctata", "Androsace umbellata", "Cnemaspis wicksi", "Ameivula jalapensis", "Cnemidophorus parecis", "Opuntia microdasys subsp. rufida", "Opuntia microdasys subsp. microdasys", "Myosotis nemorosa", "Myosotis stenophylla", "Aspius aspius", "Setiechinopsis mirabilis", "Veronica anagallis-aquatica", "Leucauge venusta", "Acanthocalycium ferrarii", "Incilius karenlipsae", "Rhinella bernardoi", "Gekko carusadensis", "Gekko canhi", "Aylostera steinmannii", "Stenostomum gotlandense", "Stenostomum handoelense", "Stenostomum heebuktense", "Stenostomum steveoi", "Cryptoporus volvatus", "Ischnodactylus loripes", "Parabolitophagus felix", "Hoplophorella szeptyckii", "Notophthiracarus szeptyckii", "Rhacaplacarus szeptyckii", "Hoplophorella clavifer", "Atropacarus ewingi", "Thermococcus gammatolerans", "Opuntia polyacantha var. arenaria", "Opuntia polyacantha var. polyacantha", "Tetrapturus angustirostris", "Opuntia polyacantha var. nicholii", "Notophthiracarus atratus", "Plonaphacarus insolens", "Hoplophthiracarus lividus", "Notophthiracarus abacus", "Notophthiracarus aquilus", "Notophthiracarus ater", "Notophthiracarus fecundus", "Notophthiracarus incomparabilis", "Notophthiracarus maurus", "Notophthiracarus uncinulus", "Notophthiracarus quietus", "Notophthiracarus comatus", "Phrathicarus inflatus", "Arthopyrenia carneobrunneola", "Arthopyrenia cerasi", "Arthopyrenia cinereopruinosa", "Arthopyrenia confluens", "Arthopyrenia degelii", "Arthopyrenia exasperata", "Arthopyrenia fraxini", "Arthopyrenia kentrospora", "Arthopyrenia lyrata", "Iberolacerta bonnali", "Arthopyrenia majuscula", "Styraconyx craticulus", "Styraconyx hallasi", "Arthopyrenia malaccitula", "Arthrorhaphis muddii", "Arthrorhaphis olivaceae", "Arthrorhaphis summorum", "Arthrorhaphis vacillans", "Arthrorhaphis viridescens", "Eremichthys acros", "Opuntia santa-rita", "Ancinus jarocho", "Stupkaiella capricornuata", "Stupkaiella lasiostyla", "Stupkaiella robinsoni", "Parameristomerinx copelandi", "Anevrina neotropica", "Azana frizzelli", "Acidogona stecki", "Agallamyia pendula", "Phacelochaeta obliqua", "Stenopa mexicana", "Procecidochares suttoni", "Arthopyrenia minor", "Arthopyrenia nitescens", "Arthopyrenia oblongens", "Arthopyrenia persoonii", "Arthopyrenia plumbaria", "Arthopyrenia punctiformis", "Arthopyrenia rappii", "Arthopyrenia rhyponta", "Arthopyrenia salicis", "Arthopyrenia saxicola", "Arthopyrenia subcerasi", "Arthopyrenia taxodii", "Carduelis corsicana", "Colubroelaps nguyenvansangi", "Ctenosaura praeocularis", "Ctenosaura oaxacana", "Ctenosaura melanosterna", "Arthotheliopsis floridensis", "Arthotheliopsis hymenocarpoides", "Arthotheliopsis planicarpa", "Arthotheliopsis serusiauxii", "Arthotheliopsis tricharioides", "Mymar maritimum", "Mymar schwanni", "Mymar taprobanicum", "Mymar africanum", "Mymar pulchellum", "Mymar regale", "Mymar venustum", "Opuntia polyacantha var. erinacea", "Opuntia polyacantha var. hystricina", "Arthrosporum frigoris", "Arthrosporum populorum", "Arthrosporum trigemme", "Aspicilia terrestris", "Pinguicula alpina", "Opuntia basilaris var. basilaris", "Phyteuma nigrum", "Phyteuma orbiculare", "Phyteuma spicatum", "Hamadryas albicornis", "Hamadryas alicia", "Hamadryas amphinome", "Hamadryas arete", "Hamadryas arinome", "Hamadryas atlantis", "Hamadryas belladonna", "Hamadryas chloe", "Hamadryas epinome", "Hamadryas februa", "Hamadryas feronia", "Hamadryas fornax", "Hamadryas glauconome", "Hamadryas guatemalena", "Hamadryas glauconome honorina", "Hamadryas iphthime", "Hamadryas velutina", "Hamadryas rosandra", "Hamadryas lelaps", "Hamadryas ferox", "Hamadryas arethusa", "Hamadryas evanescens", "Hamadryas fasciata", "Hamadryas amphinome aegina", "Hamadryas iphthime griffoni", "Sciapus richterae", "Rugilus kamchaticus", "Mymar roopum", "Mymar ermak", "Sphenarches caffer", "Sphenarches nanellus", "Sphenarches ontario", "Sphenarches zanclistis", "Sphenarches cafferoides", "Leesi massoala", "Crocydoscelus ferrugineum", "Buszkoiana capnodactylus", "Cnaemidophorus horribilis", "Cnaemidophorus smithi", "Cnaemidophorus rhododactyla", "Phelsuma barbouri", "Marasmarcha aibasovi", "Marasmarcha brevirostris", "Phelsuma astriata", "Marasmarcha colossa", "Marasmarcha iranica", "Marasmarcha lydia", "Phelsuma antanosy", "Marasmarcha picardi", "Marasmarcha samarcandica", "Phelsuma andamanense", "Marasmarcha sisyrodes", "Marasmarcha spinosa", "Phelsuma abbotti", "Marasmarcha tugaicola", "Marasmarcha verax", "Marasmarcha asiatica", "Marasmarcha bonaespei", "Marasmarcha cinnamomeus", "Marasmarcha ehrenbergianus", "Marasmarcha fauna", "Marasmarcha lunaedactyla", "Marasmarcha oxydactylus", "Marasmarcha pulcher", "Marasmarcha rhypodactylus", "Exelastis atomosa", "Veronica anagalloides", "Opuntia engelmannii var. engelmannii", "Veronica anagallidiformis", "Veronica scardica", "Arthrorhaphis aeruginosa", "Arthrorhaphis alpina", "Arthrorhaphis anziana", "Arthrorhaphis arctoparmeliae", "Arthrorhaphis citrinella", "Arthrorhaphis grisea", "Tetrapturus georgii", "Tetrapturus pfluegeri", "Aspicilia caesiascens", "Aspicilia cernohorskyana", "Aspicilia montana", "Mochlus sundevalli", "Aspicilia zonata", "Aspicilia alexanderi", "Aspicilia aspicilioidea", "Aspicilia praeruptorum", "Aspicilia scabrida", "Lobivia ferox", "Lobivia potosina", "Alloschizidium magrinii", "Alloschizidium maymon", "Halophiloscia cristagalli", "Alpioniscus thanit", "Hydraena rosannae", "Trichrysis baratzsensis", "Melanophora chia", "Aphanotrigonum lanceolatum", "Elachiptera sarda", "Dinocampus coccinellae", "Acanthocalycium spiniflorum", "Musaespora corticola", "Musaespora multilocularis", "Eriocactus magnificus", "Eriocactus warasii", "Aridelus rufotestaceus", "Aridelus reticulatus", "Lycaon sekowei", "Leptocyon douglassi", "Leptocyon leidyi", "Leptocyon matthewi", "Leptocyon tejonensis", "Iberolacerta galani", "Podarcis vaucheri", "Amblyptilia fibigeri", "Amblyptilia forcipatus", "Amblyptilia heliastis", "Amblyptilia japonica", "Amblyptilia lithoxestes", "Amblyptilia pica", "Amblyptilia punctidactyla", "Amblyptilia repletalis", "Amblyptilia scutellaris", "Amblyptilia vigens", "Amblyptilia shirozui", "Amblyptilia grisea", "Amblyptilia incerta", "Amblyptilia punoica", "Amblyptilia skoui", "Amblyptilia viettei", "Amblyptilia zhdankoi", "Asiaephorus extremus", "Asiaephorus longicucullus", "Asiaephorus sythoffi", "Inferuncus nigreus", "Inferuncus pentheres", "Inferuncus stoltzei", "Lioptilodes aguilaicus", "Lioptilodes alolepidodactylus", "Lioptilodes brasilicus", "Lioptilodes cuzcoicus", "Lioptilodes doeri", "Lioptilodes fetisi", "Lioptilodes limbani", "Lioptilodes neuquenicus", "Lioptilodes ockendeni", "Lioptilodes parafuscicostatus", "Lioptilodes rionegroicus", "Lioptilodes subantarcticus", "Lioptilodes topali", "Lioptilodes zapalaicus", "Lioptilodes albistriolatus", "Lioptilodes antarcticus", "Lioptilodes prometopa", "Lioptilodes tribonia", "Lioptilodes testaceus", "Lioptilodes parvus", "Michaelophorus dentiger", "Michaelophorus indentatus", "Michaelophorus nubilus", "Michaelophorus hodgesi", "Michaelophorus schafferi", "Swammerdamella spinigera", "Dilophus sardous", "Bibio sardocyrneus", "Trichonta sandalyon", "Boletina ichnusa", "Macrocera nuragica", "Urytalpa juliae", "Sciophila benjaminbottomi", "Sciophila immodesta", "Meligethes foddaii", "Leptotyphlus minator", "Leptotyphlus nardii", "Leptotyphlus villacidrinus", "Entomoculia villascemae", "Entomoculia melonii", "Entomoculia carbonaria", "Entomoculia shardana", "Mymaromma ypt", "Xiphyropronia tianmushanensis", "Aulaxina velata", "Aplanocalenia inconspicua", "Veronica montioides", "Veronica alpina", "Makararaja chindwinensis", "Pastinachus solocirostris", "Fontitrygon ukpam", "Cnemaspis neangthyi", "Rolueckia aggregata", "Rolueckia conspersa", "Rolueckia siamensis", "Haaniella erringtoniae", "Veronica bellidioides", "Veronica fruticulosa", "Owenia australis", "Owenia bassensis", "Owenia mirrawa", "Owenia borealis", "Owenia polaris", "Ferraroa hyalina", "Cyrtopodion dehakroense", "Cyrtopodion medogense", "Altiphylax mintoni", "Stenothremma brevicorne", "Stenothremma novicaledoniense", "Stenothremma townesi", "Cleistocactus winteri subsp. winteri", "Cleistocactus winteri subsp. colademono", "Jamesiella anastomosans", "Jamesiella chaverriae", "Jamesiella perlucida", "Massinium magnum", "Jamesiella scotica", "Aridelus antennatus", "Aridelus longius", "Aridelus taiwanus", "Aridelus tsuifengensis", "Aridelus tungpuensis", "Aridelus flavicans", "Aridelus rutilipes", "Aridelus alternecolatus", "Scolotosus centrolobii", "Scolotosus hartfordi", "Juxtacolopodacus phalakros", "Aridelus absonus", "Aridelus aeros", "Aridelus achterbergi", "Aridelus alveolatus", "Aridelus basalis", "Aridelus confusus", "Aridelus elasmuchae", "Aridelus fuscus", "Aridelus ziyangensis", "Aridelus ussuriensis", "Aridelus sinensis", "Aridelus rufiventris", "Aridelus nigricans", "Aridelus miccus", "Aridelus keralicus", "Aridelus malabaricus", "Aridelus flavicoxae", "Veronica americana", "Aridelus emeiensis", "Protaetia shamil", "Lunaria rediviva", "Lachnoloma lehmannii", "Aulaxina africana", "Aulaxina aggregata", "Aulaxina corticola", "Aulaxina dictyospora", "Aulaxina epiphylla", "Aulaxina insularis", "Aulaxina intermedia", "Aulaxina microphana", "Aulaxina minuta", "Aulaxina multiseptata", "Aulaxina opegraphina", "Aulaxina quadrangula", "Aulaxina submuralis", "Aulaxina uniseptata", "Aulaxina unispora", "Armascirus satianaensis", "Armascirus asghari", "Psorotheciopsis albomaculans", "Psorotheciopsis biseptata", "Psorotheciopsis decipiens", "Psorotheciopsis guajalitensis", "Psorotheciopsis gyalideoides", "Psorotheciopsis patellarioides", "Psorotheciopsis paudalhensis", "Psorotheciopsis philippinensis", "Psorotheciopsis premneella", "Psorotheciopsis varieseptata", "Viola alba subsp. cretica", "Viola alba subsp. alba", "Viola alba subsp. scotophylla", "Paratricharia paradoxa", "Veronica macrostemonoides", "Exelastis crepuscularis", "Exelastis crudipennis", "Hellinsia agraphodactylus", "Hellinsia albidactylus", "Hellinsia albilobata", "Hellinsia aldabrensis", "Hellinsia ammonias", "Hellinsia ares", "Hellinsia arion", "Hellinsia auster", "Hellinsia cadmus", "Hellinsia cochise", "Hellinsia corvus", "Hellinsia costatus", "Hellinsia eros", "Oreocereus celsianus", "Hellinsia falsus", "Hellinsia iobates", "Hellinsia linus", "Hellinsia luteolus", "Hellinsia medius", "Hellinsia mizar", "Hellinsia pan", "Hellinsia perditus", "Hellinsia phoebus", "Hellinsia pollux", "Hellinsia triton", "Hellinsia varius", "Hellinsia venapunctus", "Oreocereus pseudofossulatus", "Oreocereus trollii", "Mesoclemmys dahli", "Congosorex phillipsorum", "Procyon pygmaeus", "Crateromys australis", "Nemapogon flabellata", "Nemapogon bidentata", "Nemapogon ningshanensis", "Metadorodocia frolovi", "Brithura shii", "Brithura stigmosa", "Brithura flaviflagellum", "Brithura aureola", "Brithura jinpingensis", "Korecnomios glaber", "Ecnomios papuensis", "Vandellia cirrhosa", "Ecnomios stenosoma", "Ecnomios flavus", "Ecnomios brevitarsus", "Ecnomios infuscatus", "Ecnomios yasiri", "Ecnomios caophongi", "Ecnomios nigra", "Mammillaria prolifera", "Capperia marginellus", "Capperia ningoris", "Capperia raptor", "Capperia trichodactyla", "Capperia agadirensis", "Capperia bonneaui", "Capperia fletcheri", "Capperia hellenica", "Capperia maratonica", "Capperia polonica", "Capperia washbourni", "Capperia zelleri", "Capperia taurica", "Oxyptilus caryornis", "Oxyptilus catathectes", "Oxyptilus causodes", "Oxyptilus cinctipedalis", "Oxyptilus delawaricus", "Oxyptilus epidectis", "Oxyptilus erythrodactylus", "Oxyptilus idonealis", "Oxyptilus insomnis", "Oxyptilus languidus", "Oxyptilus maleficus", "Oxyptilus mycites", "Oxyptilus praedator", "Oxyptilus scutifer", "Oxyptilus variegatus", "Oxyptilus vibrans", "Oxyptilus wallecei", "Oxyptilus chrysodactyla", "Oxyptilus ericetorum", "Oxyptilus parvidactyla", "Oxyptilus pilosellae", "Dejongia californicus", "Dejongia lobidactylus", "Crombrugghia distans", "Crombrugghia kollari", "Crombrugghia laetus", "Crombrugghia tristis", "Crombrugghia reichli", "Stenodacma pyrrhodes", "Stenodacma wahlbergi", "Buckleria girardi", "Buckleria madecassea", "Buckleria paludum", "Buckleria parvulus", "Trichoptilus archeaodes", "Trichoptilus ceramodes", "Trichoptilus cryphias", "Owenia gomsoni", "Owenia petersenae", "Owenia persica", "Veronica fruticans", "Veronica macrostemon", "Rubrotricha helminthospora", "Platocoelotes bifidus", "Rubrotricha subhelminthospora", "Platocoelotes icohamatoides", "Veronica densiflora", "Massinium albicans", "Massinium granulosum", "Anoplodesmus aspinosus", "Anoplodesmus spiniger", "Gymnocalycium ochoterenae", "Aulobia cardueli", "Gammarus kesanensis", "Euscorpiops xui", "Gymnocalycium mihanovichii", "Aridelus bicolor", "Aridelus exilis", "Aridelus niger", "Lithogyalideopsis aterrima", "Lithogyalideopsis poeltii", "Lithogyalideopsis vivantii", "Lithogyalideopsis zelandica", "Hippocrepidea nigra", "Parapiromis guadalcanalensis", "Parapiromis kiungaensis", "Parapiromis santacruzensis", "Parapiromis translucida", "Planeocoris redeii", "Hurleyella brooksi", "Hurleyella cumberlandensis", "Malthinus danieli", "Malthodes sucini", "Malthodes sucinopenninus", "Gomphillus americanus", "Gomphillus calycioides", "Hoffeinsensia jantarica", "Gomphillus hyalinus", "Gomphillus morchelloides", "Gomphillus pedersenii", "Sucinocantharis baltica", "Brachevania kristenseni", "Ochtheosus fungicolus", "Cleistocactus brookeae", "Exelastis ebalensis", "Exelastis luqueti", "Exelastis montichristi", "Exelastis pavidus", "Exelastis phlyctaenias", "Exelastis rhynchosiae", "Exelastis sarcochroa", "Exelastis tenax", "Exelastis viettei", "Exelastis bergeri", "Exelastis boireaui", "Exelastis vuattouxi", "Exelastis robinsoni", "Antarches aguessei", "Veronica tianschanica", "Fuscoptilia emarginatus", "Fuscoptilia hoenei", "Fuscoptilia jarosi", "Arcoptilia gizan", "Geina buscki", "Geina didactyla", "Geina periscelidactyla", "Geina tenuidactyla", "Geina sheppardi", "Procapperia kuldschaensis", "Procapperia linariae", "Procapperia maculatus", "Procapperia pelecyntes", "Procapperia amira", "Procapperia hackeri", "Paracapperia anatolicus", "Paracapperia esuriens", "Capperia britanniodactylus", "Capperia celeusi", "Capperia evansi", "Capperia fusca", "Capperia jozana", "Capperia loranus", "Caleniopsis aggregata", "Caleniopsis laevigata", "Caleniopsis tetramera", "Veronica gorbunovii", "Veronica sessiliflora", "Veronica ciliata", "Veronica fedtschenkoi", "Veronica ruprechtii", "Veronica teberdensis", "Veronica pinnata subsp. laeta", "Bunomys coelestis", "Trachypithecus poliocephalus poliocephalus", "Melanargia lachesis", "Melanargia russiae", "Melanargia parce", "Melanargia larissa", "Melanargia hylata", "Melanargia teneates", "Melanargia evartianae", "Melanargia leda", "Melanargia halimede", "Melanargia lugens", "Melanargia meridionalis", "Melanargia epimede", "Melanargia ganymedes", "Melanargia asiatica", "Melanargia occitanica", "Melanargia montana", "Melanargia pherusa", "Melanargia arge", "Melanargia ines", "Melanargia titea", "Melanargia galathea", "Ocypus bicoloris", "Nasimyia megacephala", "Nasimyia nigripennis", "Prionocyphon costipennis", "Prionocyphon macrodascilloides", "Prionocyphon picigrandis", "Acylophorus nitens", "Acylophorus tshuapensis", "Acylophorus makhoreae", "Acylophorus micans", "Acylophorus salifi", "Acylophorus minor", "Acylophorus setiger", "Protochthebius satoi", "Protochthebius jendeki", "Protochthebius schillhammeri", "Protochthebius jagthanae", "Trichoptilus inclitus", "Trichoptilus negotiosus", "Trichoptilus pelias", "Trichoptilus pygmaeus", "Trichoptilus regalis", "Trichoptilus scythrodes", "Trichoptilus varius", "Trichoptilus viduus", "Stangeia distantia", "Stangeia rapae", "Stangeia siceliota", "Megalorhipida angusta", "Megalorhipida fissa", "Megalorhipida pseudodefectalis", "Megalorhipida dulcis", "Megalorhipida leptomeres", "Megalorhipida prolai", "Karachia xylochromella", "Puerphorus olbiadactylus", "Gypsochares aulotes", "Gypsochares kukti", "Typha angustifolia", "Gypsochares nielswolffi", "Gypsochares baptodactylus", "Gypsochares catharotes", "Typha minima", "Gypsochares kyraensis", "Sagina procumbens", "Sagina apetala", "Sagina micropetala", "Persicaria amphibia", "Pselnophorus ducis", "Pselnophorus japonicus", "Pselnophorus laudatus", "Pselnophorus pachyceros", "Pselnophorus albitarsella", "Pselnophorus belfragei", "Pselnophorus heterodactyla", "Pselnophorus poggei", "Pselnophorus vilis", "Setosipennula viettei", "Helpaphorus boby", "Helpaphorus imaitso", "Helpaphorus testaceus", "Helpaphorus festivus", "Helpaphorus griveaudi", "Crassuncus defectus", "Crassuncus pseudolaudatus", "Crassuncus orophilus", "Paravinculia bolivari", "Hellinsia acuminatus", "Hellinsia adumbratus", "Hellinsia aegyptiacus", "Hellinsia aethiopicus", "Brithura guangxiensis", "Pandanus tectorius", "Henosepilachna sumbana", "Henosepilachna vigintisexpunctata", "Epilachna dawkinsi", "Diplodactylus calcicolus", "Diplodactylus wiru", "Litostolus brevitarsis", "Tetramorium aegeum", "Cremnomys elvira", "Cleistocactus smaragdiflorus", "Visiana fuscata", "Cardamine flexuosa", "Cardamine hirsuta", "Hypobapta tachyhalotaria", "Hypobapta percomptaria", "Hypobapta diffundens", "Hypobapta xenomorpha", "Hypobapta barnardi", "Melanargia galathea galathea", "Protochthebius convexus", "Protochthebius loebli", "Protochthebius smetanai", "Meropathus zelandicus", "Meropathus johnsi", "Meropathus aucklandicus", "Tainiterma pachytarsis", "Tainiterma maiphuquyi", "Sinuatophorus breviceps", "Sinuatophorus longiceps", "Sinuatophorus maximus", "Sinuatophorus constrictus", "Sinuatophorus acutidentatus", "Kollasmosoma cubiceps", "Kollasmosoma platamonense", "Kollasmosoma marikovskii", "Podaena dentipalpis", "Podaena glabriventris", "Podaena kuscheli", "Podaena latipalpis", "Podaena obscura", "Podaena trochanteralis", "Podaena maclellani", "Sagiolechia atlantica", "Sagiolechia cimbrica", "Sagiolechia fusiformis", "Sagiolechia leucoplacoides", "Sagiolechia parasitica", "Sagiolechia protuberans", "Dixonius aaronbaueri", "Sagiolechia rhexoblephara", "Dixonius hangseesom", "Cryptoxilos pallipes", "Dixonius melanostictus", "Cryptoxilos cracoviensis", "Dixonius siamensis", "Atanycolus grandis", "Siniphanerotomella fanjingshana", "Siniphanerotomella disparclypeolus", "Harrisia martinii", "Chremyloides abnormis", "Lygodactylus picturatus", "Carinitermus reticulatus", "Leodonta tagaste", "Leodonta tagaste tagaste", "Leodonta tagaste colombiana", "Leodonta tagaste calderoni", "Leodonta tagaste peruana", "Leodonta tagaste extrema", "Phryma leptostachya var. asiatica", "Hylocereus triangularis", "Fistularia corneta", "Fistularia petimba", "Fistularia tabacaria", "Echinaster sepositus", "Dirrhope shawi", "Dirrhope eoa", "Dirrhope minor", "Dirrhope americana", "Strophocactus chontalensis", "Vaepellis varica", "Andesipolis masoni", "Andesipolis framea", "Andesipolis whartoni", "Andesipolis yanayacu", "Carex heteroneura", "Schoenoplectus acutus", "Chrysolepis chrysophylla", "Polystichum munitum", "Gaultheria procumbens", "Carex breweri", "Eriogonum pyrolifolium", "Pseudoroegneria spicata", "Bistorta bistortoides", "Pulsatilla occidentalis", "Dodecatheon jeffreyi", "Castilleja miniata", "Valeriana sitchensis", "Aconitum ajanense", "Aconitum sukaczevii", "Rhodopechys alienus", "Asplenium cuneifolium", "Echinaster brasiliensis", "Echinaster echinophorus", "Echinaster modestus", "Echinaster sentus", "Echinaster serpentarius", "Echinaster spinulosus", "Aconitum umbrosum", "Aconitum crassifolium", "Draba aureola", "Lupinus lyallii", "Erigeron aureus", "Elgaria coerulea", "Charina bottae", "Gaultheria shallon", "Lysimachia borealis", "Corallorhiza mertensiana", "Clintonia uniflora", "Erythronium montanum", "Xerophyllum tenax", "Phyllodoce empetriformis", "Petrophytum cinerascens", "Plumulites canadensis", "Fucus vesiculosus", "Carinichremylus peleopodae", "Chremyloides cardaleae", "Chremyloides naumanni", "Doa ampla", "Leuculodes lacteolaria", "Clostera albosigma", "Clostera apicalis", "Clostera brucei", "Clostera inclusa", "Clostera inornata", "Clostera strigosa", "Clostera paraphora", "Leptolalax tamdil", "Allobates hodli", "Pycnoclavella stolonialis", "Hemienchytraeus jeonjuensis", "Hemienchytraeus koreanus", "Hemienchytraeus quadratus", "Aylostera subg.", "Aylostera subg.", "Serinus flavivertex", "Lysimachia nummularia", "Trigonopterus vandekampi", "Dendrozetes jordani", "Linheraptor exquisitus", "Pseudomarimatha flava", "Microgale majori", "Afrocampsis griseosetosus", "Malasigalphus petiolaris", "Petalura gigantea", "Petalura hesperia", "Petalura ingentissima", "Sania masoni", "Sania masneri", "Sania browni", "Petalura litorea", "Sania capensis", "Sania henryi", "Sania marjoriae", "Khoikhoia townesi", "Petalura pulcherrima", "Khoikhoia lission", "Khoikhoia semiadusta", "Khoikhoia solata", "Khoikhoia turneri", "Khoikhoia anthelion", "Khoikhoia oligospilos", "Helianthemum salicifolium", "Silene latifolia subsp. alba", "Silene coniflora", "Bocchus sinensis", "Harrisia adscendens", "Harrisia taetra", "Helconichia sarria", "Helconichia reina", "Helconichia brenesi", "Helconichia areolata", "Helconichia trichiops", "Helconichia trichopteryx", "Pseudichneutes atanassovae", "Pseudichneutes flavicephalus", "Strophocactus wittii", "Baniana minor", "Baniana inaequalis", "Catocala delilah", "Catocala desdemona", "Catocala caesia", "Catocala frederici", "Catocala benjamini jumpi", "Catocala benjamini mayhewi", "Catocala andromache", "Catocala californiensis", "Catocala johnsoniana", "Catocala mcdunnoughi", "Nyctocereus serpentinus var. pietatis", "Catocala chelidonia", "Catocala chelidonia chelidonia", "Nyctocereus serpentinus var. serpentinus", "Catocala chelidonia occidentalis", "Nyctocereus serpentinus var. splendens", "Catocala chelidonia uniforma", "Gymnocalycium stellatum", "Lemna gibba", "Spirodela polyrhiza", "Wolffia arrhiza", "Aconitum komarovii", "Aconitum desoulavyi", "Cydistomyia missimiensis", "Cydistomyia madangiensis", "Cydistomyia waigani", "Cydistomyia moresbyensis", "Aconitum ranunculoides", "Cystopteris fragilis", "Kamaka silvana", "Kamaka appendiculata", "Kamaka songkhlaensis", "Kamaka morinoi", "Polydactylus luparensis", "Dubiaranea difficilis", "Metadynomene tuamotu", "Altiverruca longimandible", "Litoscalpellum spinosus", "Kamaka taditadi", "Aconitum monticola", "Ephedrus plagiator", "Thoressa similissima", "Halpe paupera", "Halpe paupera paupera", "Halpe paupera walthewi", "Scobura eximia", "Praescobura chrysomaculata", "Palearctia glaphyra aksuensis", "Palearctia turkestana", "Palearctia sussamyra", "Palearctia ferghana", "Palearctia ferghana ferghana", "Weingartia arenacea", "Lithosarctia kozlovi", "Aconitum \u00d7 stoerkianum", "Aconitum pubiceps", "Aconitum cymbulatum", "Betashachia angustipennis", "Betashachia angustipennis angustipennis", "Betashachia angustipennis punctata", "Syntypistis sinope", "Syntypistis sinope sinope", "Syntypistis sinope median", "Hupodonta uniformis", "Spatalia decorata", "Adhemarius roessleri", "Glyphis garricki", "Podosilis geukdongensis", "Torymus itoi", "Narynia luanae", "Asplenium ceterach", "Chorthippus antecessor", "Chorthippus relicticus", "Nysius tasmaniensis", "Nysius orarius", "Nysius convexus", "Nysius liliputanus", "Nysius huttoni", "Aconitum nasutum", "Aridelus africanus", "Aridelus angustipterus", "Aridelus cameroni", "Aconitum villosum", "Micranthribus atomus", "Xanthoparmelia teydea", "Aconitum arcuatum", "Aconitum raddeanum", "Ochtheosus franzi", "Neochthebius vandykei", "Neochthebius granulosus", "Xanthoparmelia perezdepazii", "Hylaeus perhumilis", "Hylaeus kermadecensis", "Hylaeus matamoko", "Hylaeus murihiku", "Hylaeus luna", "Hyleoides concinna", "Rinodina lindingeri", "Carabus aino", "Carabus chishimanus", "Carabus ushishirensis", "Hypogymnia magnifica", "Enoclerus franki", "Enoclerus hovorei", "Echinoplaca macgregorii", "Echinoplaca marginata", "Echinoplaca melanotrix", "Echinoplaca pachyparaphysata", "Echinoplaca pellicula", "Echinoplaca serusiauxii", "Echinoplaca similis", "Echinoplaca streimannii", "Echinoplaca subsimilis", "Echinoplaca tetrapla", "Echinoplaca tricharioides", "Echinoplaca triseptata", "Echinoplaca verrucifera", "Echinoplaca vezdana", "Echinoplaca wilsoniorum", "Echinoplaca leucotrichoides", "Aconitum krylovii", "Echinoplaca furcata subsp. neotropica", "Echinoplaca furcata subsp. furcata", "Akodon polopi", "Ritteria ambigua", "Horstia kincaidi", "Mesoglossus intermedius", "Mesoglossus macginitiei", "Stereobalanus willeyi", "Protoglossus mackiei", "Amolops kohimaensis", "Amolops nidorbellus", "Forania sendrai", "Forania mentonensis", "Amphibolocypris arida", "Amphibolocypris exigua", "Asplenium trichomanes", "Asplenium adiantum-nigrum", "Ranunculus brevifolius", "Salix triandra subsp. bornmuelleri", "Salix triandra subsp. triandra", "Salix excelsa", "Salix trabzonica", "Salix caucasica", "Salix myrsinifolia", "Halpe dizangpusa", "Salix pseudomedemii", "Salix pseudodepressa", "Zinaida gigantea", "Potanthus yani", "Potanthus tibetana", "Coladenia tanya", "Asplenium adulterinum", "Echinoplaca affinis", "Echinoplaca amapensis", "Echinoplaca areolata", "Echinoplaca argentea", "Echinoplaca atrofusca", "Echinoplaca atromuralis", "Echinoplaca bispora", "Echinoplaca campanulata", "Echinoplaca cestri", "Echinoplaca diffluens", "Squatina aculeata", "Echinoplaca epiphylla", "Aconitum kirinense", "Echinoplaca epiphylloides", "Echinoplaca furcata", "Echinoplaca fusconitida", "Echinoplaca gemmifera", "Echinoplaca handelii", "Echinoplaca heterella", "Echinoplaca hispida", "Echinoplaca hymenocarpoides", "Echinoplaca hymenula", "Echinoplaca incrustaticiliata", "Echinoplaca intercedens", "Aconitum lasiostomum", "Echinoplaca leucomuralis", "Echinoplaca lucernifera", "Hypogymnia pseudopruinosa", "Hypogymnia subfarinacea", "Aconitum macrorhynchum", "Epiphyllum hookeri", "Viola ishidoyana", "Viola iwagawae", "Viola jagellonica", "Viola jalapensis", "Viola jangiensis", "Viola japonica", "Viola jaubertiana", "Viola javanica", "Viola joergensenii", "Viola johnstonii", "Viola jooi", "Viola jordanii", "Viola kalbreyeri", "Viola kamibayahsii", "Viola kashmiriana", "Viola kauaensis", "Viola keiskei", "Viola kermesina", "Viola kiangsiensis", "Viola kitaibeliana", "Viola kitamiana", "Viola kizildaghensis", "Viola kjellbergii", "Viola kosaninii", "Viola kunawarensis", "Viola kupfferi", "Viola kusanoana", "Viola kusnezowiana", "Viola labradorica", "Viola lactea", "Viola lactiflora", "Viola lanaiensis", "Viola lanceolata", "Viola langeana", "Viola langsdorffii", "Viola lanifera", "Viola latistipulata", "Viola lehmanii", "Viola leyboldiana", "Viola lianhuashanensis", "Viola libanotica", "Viola lilloana", "Viola lithion", "Viola littoralis", "Viola llullaillacoensis", "Viola lobata", "Viola lucens", "Viola lutea", "Viola lyallii", "Viola macloskeyi", "Viola macroceras", "Viola maculata", "Viola magellanica", "Viola magellensis", "Viola magnifica", "Viola majchurensis", "Viola makranica", "Viola mandonii", "Viola mandshurica", "Viola maroccana", "Viola mauritii", "Viola maviensis", "Viola maximowicziana", "Viola maymanica", "Viola mearnsii", "Viola membranacea", "Viola mercurii", "Viola merrilliana", "Viola meyeriana", "Viola micranthella", "Viola microdonta", "Viola minuta", "Viola minutiflora", "Viola modesta", "Viola monbeigii", "Viola mongolica", "Viola montagnei", "Viola montcaunica", "Viola moupinensis", "Viola mucronulifera", "Viola muehldorfii", "Viola munbyana", "Viola munozensis", "Viola muscoides", "Viola nagasawae", "Viola nannae", "Viola nannei", "Viola nassauvioides", "Viola nemausensis", "Viola niederleinii", "Viola nobilis", "Viola nubigena", "Viola nuda", "Viola nuevo-leonensis", "Viola nummulariifolia", "Viola nuttallii", "Viola oahuensis", "Viola obliquifolia", "Viola obtusa", "Viola occulta", "Viola ocellata", "Viola odontocalycina", "Viola odorata", "Viola oligoceps", "Viola orbiculata", "Viola orientalis", "Viola orphanidis", "Viola orthoceras", "Viola ovalleana", "Viola ovato-oblonga", "Viola oxyodontis", "Viola pachyrrhiza", "Viola pacifica", "Viola painteri", "Viola pallascaensis", "Viola palmata", "Viola palmensis", "Viola palustris", "Viola papuana", "Viola paravaginata", "Viola parnonia", "Viola parvula", "Viola pascua", "Viola patrinii", "Viola pedata", "Viola pedatifida", "Viola pedunculata", "Viola pekinensis", "Viola pendulicarpa", "Viola pentadactyla", "Viola perinensis", "Viola phalacrocarpa", "Viola philippica", "Viola philippii", "Viola pilosa", "Viola pinetorum", "Viola pinnata", "Viola placida", "Viola poetica", "Viola pogonantha", "Viola polycephala", "Viola polymorpha", "Viola polypoda", "Viola popetae", "Viola portalesia", "Viola portulacea", "Viola praemorsa", "Viola primulifolia", "Viola principis", "Viola prionantha", "Viola pseudo-arcuata", "Viola pseudo-bambusetorum", "Viola pseudogracilis", "Viola pseudo-monbeigii", "Viola pubescens", "Viola pulchella", "Viola pulvinata", "Viola pumila", "Viola purpurea", "Viola pusillima", "Viola pygmaea", "Viola pyrenaica", "Viola raddeana", "Viola raunsiensis", "Viola reichei", "Viola renifolia", "Viola repens", "Viola replicata", "Viola rheophila", "Viola rhodopeia", "Viola rhombifolia", "Viola rockiana", "Viola rodriguezii", "Viola roigii", "Harmonia antipoda", "Epiphyllum hookeri subsp. columbiense", "Distilirella taiwanensis", "Aneuradesha harleyi", "Viola lavrenkoana", "Viola winteri", "Buenoa anomala", "Buenoa burtsa", "Buenoa dactylis", "Buenoa prosthetus", "Buenoa tumaquensis", "Fusiissus frontomaculatus", "Paratetricodes sinensis", "Schistopeltis microschistos", "Malesherbia linearifolia", "Adesha acuta", "Puccinia acarnea", "Puccinia accedens", "Puccinia acerum", "Puccinia acetosa", "Puccinia acetosae", "Puccinia acetosae f. acetosae", "Puccinia acetosae f. rumicicola", "Puccinia achilleae", "Puccinia achilleicola", "Puccinia achnatheri-inebriantis", "Puccinia achnatheri-sibirici", "Puccinia achroa", "Puccinia achyroclines", "Puccinia acnisti", "Puccinia acokantherae", "Puccinia aconiti-elymi", "Puccinia aconiti-rubri", "Puccinia acrophila", "Puccinia acroptile", "Puccinia acroptili", "Puccinia actaeae-agropyri", "Puccinia actaeae-agropyri f.sp. actaeae-elymi", "Puccinia actaeae-agropyri f.sp. hepaticae-agropyri", "Puccinia actaeae-agropyri f.sp. hepaticae-elymi", "Puccinia actaeae-agropyri f.sp. typica", "Puccinia actaeae-elymi", "Puccinia actinellae", "Puccinia actinomeridis", "Puccinia actinostemonis", "Puccinia aculeata", "Puccinia aculeatispora", "Puccinia acuminata", "Puccinia acunae", "Puccinia acutiuscula", "Puccinia addita", "Puccinia additicia", "Puccinia adducta", "Puccinia adenocalymmatis", "Puccinia adenophorae", "Puccinia adenophorae-verticillatae", "Puccinia adenostegiae", "Puccinia adesmiae", "Puccinia adjuncta", "Puccinia adoxae", "Puccinia adspersa", "Puccinia aduncata", "Puccinia advena", "Puccinia aecidiiformis", "Puccinia aecidii-leucanthemi", "Puccinia aecidii-leucanthemi var. aecidii-leucanthemi", "Puccinia aecidii-leucanthemi var. leucanthemi-vernae", "Puccinia aecidii-melampyri", "Puccinia aecidii-trientalis", "Puccinia aegilopis", "Puccinia aegopodii", "Puccinia aegopogonis", "Puccinia aegra", "Puccinia aegroides", "Puccinia aeluropodis", "Puccinia aemulans", "Puccinia aenigmatica", "Puccinia aequalis", "Viola rossii", "Viola rostrata", "Viola rosulata", "Viola rotundifolia", "Viola rubella", "Viola rudolphi", "Viola rugosa", "Viola rupestris", "Viola rupicola", "Viola saccata", "Viola sacchalinensis", "Viola sacculus", "Viola sagittata", "Viola sandrasea", "Viola santiagoensis", "Viola savatieri", "Viola saxifraga", "Viola scandens", "Viola schachimardanica", "Viola schaffneriana", "Viola schensiensis", "Viola schneideri", "Viola schulzeana", "Viola scorpiuroides", "Viola seleriana", "Viola sempervirens", "Viola sempervivum", "Viola senzanensis", "Viola seoulensis", "Viola septemloba", "Viola serrula", "Viola sheltonii", "Viola shikokiana", "Viola shinchikuensis", "Viola sieboldii", "Viola sikkimensis", "Viola skottsbergiana", "Viola somchetica", "Viola sororia", "Viola spathulata", "Aconitum sichotense", "Viola speciosa", "Viola spegazzinii", "Viola sphaerocarpa", "Viola splendida", "Viola steinbachii", "Viola stewardiana", "Viola stipularis", "Viola stojanowii", "Viola stoloniflora", "Viola striata", "Viola suavis", "Viola subandina", "Viola subdimidiata", "Viola subsinuata", "Viola sumatrana", "Viola sylvatica", "Viola szetschwanensis", "Viola taischanensis", "Viola taltalensis", "Viola tanaitica", "Viola tarbagataica", "Viola tashiroi", "Viola tectiflora", "Viola tenuicornis", "Viola tenuissima", "Viola teplouchovii", "Viola thibaudieri", "Viola thomasiana", "Viola thomsonii", "Viola tokubuchiana", "Viola tomentosa", "Viola triangulifolia", "Viola trichopetala", "Viola tridentata", "Viola triflabellata", "Viola trinervata", "Viola tripartita", "Viola truncata", "Viola tsugitakaensis", "Viola tucumanensis", "Viola turkestanica", "Viola uleana", "Viola uliginosa", "Viola umbraticola", "Viola uniflora", "Viola urophylla", "Viola ursina", "Viola utchinensis", "Viola vaginata", "Viola valderia", "Viola vallenarensis", "Viola vallicola", "Viola variegata", "Viola verecunda", "Viola veronicaefolia", "Viola vespertina", "Viola villosa", "Viola violacea", "Viola wailenalenae", "Viola wallichiana", "Viola walteri", "Viola weberbaueri", "Viola websteri", "Viola weddellii", "Viola weibelii", "Viola weixiensis", "Viola werdermannii", "Viola willkommii", "Viola wittrockiana", "Viola woosanensis", "Viola yamatsutae", "Viola yazawana", "Viola yezoensis", "Viola yildirimlii", "Viola yunnanensis", "Viola yuzufelensis", "Daucus carota subsp. sativus", "Aconitum ambiguum", "Adesha albolineata", "Adeshoides asulcatus", "Africadesha tobiasi", "Africadesha usherwoodi", "Indadesha achterbergi", "Spinadesha jacksoni", "Spinadesha sinica", "Furcadesha huddlestoni", "Furcadesha walteri", "Furcadesha bimaculata", "Furcadesha nanningensis", "Macromia splendens", "Exochomus bellus", "Exochomus cedri", "Exochomus ceylonicus", "Exochomus fulviventris", "Brumoides blumi", "Brumoides histrio", "Asplenium scolopendrium", "Herpothallon rubroechinatum", "Herpothallon flavominutum", "Herpothallon himalayanum", "Puccinia abchazica", "Puccinia abei", "Puccinia aberrans", "Puccinia abnormis", "Puccinia abramoviana", "Puccinia abramsii", "Puccinia abrepta", "Puccinia abrotani", "Puccinia abrupta", "Puccinia abrupta var. abrupta", "Puccinia abrupta var. partheniicola", "Puccinia absicca", "Puccinia absinthii", "Puccinia absinthii var. absinthii", "Puccinia absinthii var. artemisiae-maritimae", "Puccinia absinthii var. dracunculina", "Puccinia absinthii var. levispora", "Puccinia absinthii var. minor", "Puccinia abundans", "Puccinia abuthoides", "Puccinia abutili", "Puccinia abyssinica", "Puccinia acalyphae", "Puccinia acanthi", "Puccinia acanthophora", "Puccinia acanthospermi", "Puccinia acarnae", "Puccinia acarnae var. acarnae", "Puccinia acarnae var. maroccanus", "Puccinia aequatoriensis", "Puccinia aequinoctialis", "Puccinia aequitatis", "Puccinia aestivalis", "Puccinia aetheopappi", "Puccinia aethionematis", "Puccinia aethiopica", "Puccinia aethusae", "Puccinia affinis", "Puccinia affinis var. affinis", "Puccinia affinis var. triporosa", "Puccinia afra", "Puccinia aframomi", "Puccinia aframomicola", "Puccinia aframomi-gigantei", "Puccinia africana", "Puccinia agasyllidis", "Puccinia aggregata", "Puccinia agnesiae", "Puccinia agnita", "Puccinia agnitinalis", "Puccinia agnitionalis", "Puccinia agoseridis", "Puccinia agrimoniae", "Puccinia agrophila", "Puccinia agropyri", "Puccinia agropyri var. agropyri", "Puccinia agropyri var. europaea", "Puccinia agropyri-ciliaris", "Puccinia agropyricola", "Puccinia agropyri-juncei", "Puccinia agropyrina", "Puccinia agrostemmae", "Puccinia agrostidicola", "Puccinia agrostidis", "Puccinia agrostidis-caninae", "Puccinia ahmadiana", "Puccinia ainsliaeae", "Puccinia ainsliaeae-acerifoliae", "Puccinia airae", "Puccinia akebiae", "Puccinia akiraho", "Puccinia akiyoshidanensis", "Puccinia alamedensis", "Puccinia alatavica", "Puccinia albescens", "Puccinia albicera", "Puccinia albida", "Puccinia albigensis", "Puccinia albispora", "Puccinia alboclava", "Puccinia alboperidia", "Puccinia albula", "Puccinia albulensis", "Puccinia albulensis subsp. albulensis", "Puccinia albulensis subsp. cascadensis", "Puccinia alcazabae", "Puccinia alepideae", "Puccinia aletridis", "Puccinia algerica", "Puccinia alia", "Puccinia aliena", "Puccinia alisovae", "Puccinia allanii", "Puccinia andropogonis-macranthi", "Puccinia andryalae", "Puccinia anemones", "Puccinia anemones var. anemones", "Puccinia anemones var. betonicae", "Puccinia anemones var. phyteumatis", "Puccinia anemones-raddeanae", "Puccinia anemones-virginianae", "Puccinia anemopaegmatis", "Puccinia anethi", "Puccinia aneurolepidii", "Puccinia angelicae", "Puccinia angelicae var. angelicae", "Puccinia angelicae var. athamanthae", "Puccinia angelicae-bistortae", "Puccinia angelicae-edulis", "Puccinia angelicae-mammillata", "Puccinia angelicicola", "Puccinia angivyi", "Puccinia angulata", "Puccinia angulosi-phalaridis", "Puccinia anguriae", "Puccinia angusii", "Puccinia angustata", "Puccinia angustata var. angustata", "Puccinia angustata var. eriophori", "Puccinia angustatoides", "Puccinia angustifoliae", "Puccinia anhweiana", "Puccinia anisacanthi", "Puccinia anisotomes", "Puccinia ankarensis", "Puccinia annapurnae", "Puccinia annularis", "Puccinia annulata", "Puccinia annulatipes", "Puccinia anodae", "Puccinia anomala", "Puccinia ansata", "Puccinia antarctica", "Puccinia antennata", "Puccinia antenori", "Puccinia antensis", "Puccinia anthemidis", "Puccinia anthephorae", "Puccinia anthistiriae", "Puccinia anthospermi", "Puccinia anthoxanthi", "Puccinia anthoxanthina", "Puccinia anthrisci", "Puccinia anthriscicola", "Puccinia antioquiensis", "Puccinia antirrhini", "Puccinia antoniana", "Puccinia antucensis", "Puccinia aomoriensis", "Puccinia aorangi", "Puccinia aphanicondra", "Puccinia apii", "Puccinia apii-graveolentis", "Puccinia aplopappi", "Puccinia apludae", "Puccinia apochitonis", "Puccinia apocrypta", "Puccinia apocyni", "Puccinia apoda", "Puccinia apophysata", "Puccinia appendiculata", "Puccinia appendiculatoides", "Puccinia apus", "Puccinia aquita", "Puccinia arabicola", "Puccinia arabidis", "Puccinia arabidis-conringioidis", "Puccinia arachidis", "Puccinia arachidis var. arachidis", "Puccinia arachidis var. offuscata", "Puccinia araguata", "Puccinia araliae", "Puccinia araliae-cordatae", "Puccinia araucana", "Puccinia araujae", "Puccinia araujae var. araujae", "Puccinia araujae var. morreniae", "Puccinia arayatensis", "Puccinia arbor-miraculensis", "Puccinia archangelicae", "Puccinia archibaccharidis", "Puccinia arctica", "Puccinia arcythophylli", "Puccinia arechavaletae", "Puccinia arechavaletae var. arechavaletae", "Puccinia arechavaletae var. serjaniae", "Puccinia arenariae", "Puccinia arenariae f. arenariae", "Puccinia arenariae var. arenariae", "Puccinia arenariae var. australis", "Puccinia arenariae-griffithii", "Puccinia arenariae-serpyllifoliae", "Puccinia arenariicola", "Puccinia arenariicola var. arenariicola", "Puccinia arenariicola var. caricis-montanae", "Puccinia areolata", "Puccinia argentata", "Puccinia argentina", "Puccinia argophyllae", "Puccinia argophylli", "Puccinia aridariae", "Puccinia ariorum", "Puccinia ari-phalaridis", "Brumoides lineatus", "Puccinia arisanensis", "Puccinia aristidae", "Puccinia aristidae var. aristidae", "Puccinia aristidae var. chaetariae", "Puccinia aristidicola", "Puccinia aristolochiae", "Puccinia aristolochiae var. aristolochiae", "Puccinia aristolochiae var. crassior", "Puccinia aristolochiarum", "Puccinia ari-triphylli", "Puccinia armeniaca", "Puccinia arnaudensis", "Puccinia arnaudii", "Puccinia arnicae-scorpioidis", "Puccinia arnicalis", "Puccinia arnoseridis", "Puccinia aromatica", "Puccinia arracachae", "Puccinia arracacharum", "Puccinia arrhenatheri", "Puccinia arrhenathericola", "Puccinia artemisiae", "Puccinia artemisiae-afrae", "Puccinia artemisiae-arenariae", "Puccinia artemisiae-camphoratae", "Puccinia artemisiae-hookerianae", "Puccinia artemisiae-keiskeanae", "Puccinia artemisiae-maritimae", "Puccinia artemisiae-norvegicae", "Puccinia artemisiae-sibiricae", "Puccinia artemisiarum", "Puccinia artemisiella", "Puccinia artemisiicola", "Puccinia arthraxonicola", "Puccinia arthraxonis", "Puccinia arthraxonis-ciliaris", "Puccinia arthrocnemi", "Puccinia arthurella", "Puccinia arthuriana", "Puccinia arthuriana var. arthuriana", "Puccinia arthuriana var. bahamensis", "Puccinia arthuriana var. tabascana", "Puccinia arthurii", "Puccinia arundiariae", "Puccinia arundinacea", "Puccinia arundinacea \u00df arundinacea", "Puccinia arundinacea \u00df epicaula", "Puccinia arundinacea var. arundinacea", "Puccinia arundinacea var. maydis", "Puccinia arundinacea var. obtusata", "Puccinia arundinacea var. phalaridis", "Puccinia arundinariae", "Puccinia arundinellae", "Puccinia arundinellae-anomalae", "Puccinia arundinellae-setosae", "Puccinia arundinis-donacis", "Puccinia arvernensis", "Puccinia asari", "Puccinia asaricola", "Puccinia asarina", "Puccinia asarina sensu", "Puccinia aschersoniana", "Puccinia ascophorae", "Puccinia asiatica", "Puccinia asiatica var. asiatica", "Puccinia asiatica var. tiarellae", "Puccinia asparagi", "Puccinia asparagi-lucidi", "Puccinia aspera", "Puccinia asperifolii", "Puccinia asperior", "Puccinia asperulae", "Puccinia asperulae-aparinis", "Puccinia asperulae-cynanchicae", "Puccinia asperulae-luteae", "Puccinia asperulae-odoratae", "Puccinia asperulina", "Puccinia asphodeli", "Puccinia asphodeli var. asphodeli", "Puccinia asphodeli var. asphodeli-subalpini", "Puccinia allaudabilis", "Puccinia allii-cepulae", "Puccinia allii-japonici", "Puccinia allii-phalaridis", "Puccinia alliorum", "Puccinia allogena", "Puccinia alnetorum", "Puccinia alpestris", "Puccinia alpina", "Puccinia alpinae-coronatae", "Puccinia alsophila", "Puccinia alstroemeriae", "Puccinia altaica", "Puccinia altensis", "Puccinia alternans", "Puccinia alternans f.sp. bromi-benekenii", "Puccinia altimurica", "Puccinia altissima", "Puccinia altissimorum", "Puccinia altissimorum var. altissimorum", "Puccinia altissimorum var. horriduli", "Puccinia alyssi", "Puccinia alyxiae", "Puccinia amadelpha", "Puccinia amaniensis", "Puccinia ambigua", "Puccinia amboinensis", "Puccinia americana", "Puccinia ametableta", "Puccinia amianthina", "Puccinia amiciae", "Puccinia ammophilae", "Puccinia ammophilina", "Puccinia amorphae", "Puccinia amphibii", "Puccinia amphigena", "Puccinia amphilophidis", "Puccinia amphilophii", "Puccinia amphiospora", "Puccinia amphispila", "Puccinia amphispilusa", "Puccinia amphistelmae", "Puccinia amplifica", "Puccinia anachoreta", "Puccinia anaphalidis", "Puccinia anatolica", "Puccinia anceps", "Puccinia ancizari", "Puccinia andalgalensis", "Puccinia andersonii", "Puccinia andina", "Puccinia andropogonicola", "Puccinia andropogonis", "Puccinia andropogonis var. andropogonis", "Puccinia andropogonis var. gerardiae", "Puccinia andropogonis var. micropuncta", "Puccinia andropogonis var. micropunctata", "Puccinia andropogonis var. onobrychidis", "Puccinia andropogonis var. oxalidis", "Puccinia andropogonis var. pentastemonis", "Puccinia andropogonis var. polygalina", "Puccinia andropogonis var. pustulata", "Puccinia andropogonis var. xanthoxyli", "Puccinia andropogonis-hirti", "Puccinia baccharidis", "Puccinia baccharidis-boliviensis", "Puccinia baccharidis-cassinoidis", "Puccinia baccharidis-cylindricae", "Puccinia baccharidis-hirtellae", "Puccinia baccharidis-multiflorae", "Puccinia baccharidis-petiolatae", "Puccinia baccharidis-polifoliae", "Puccinia baccharidis-rhexioidis", "Puccinia baccharidis-sparteae", "Puccinia baccharidis-triplinervis", "Puccinia badia", "Puccinia baeumleri", "Puccinia baeumleriana", "Puccinia bahamensis", "Puccinia baicalensis", "Puccinia bakeriana", "Puccinia bakoyana", "Puccinia bakshii", "Puccinia balansae", "Puccinia baldensis", "Puccinia baldshuanica", "Puccinia ballotae", "Puccinia ballotaeflora", "Puccinia balsamitae", "Puccinia balsamorrhizae", "Puccinia bambusarum", "Puccinia bambusicola", "Puccinia band-i-amirii", "Puccinia banisteriae", "Puccinia bankatensis", "Puccinia baphiae", "Puccinia baradensis", "Puccinia barbacensis", "Puccinia barbara", "Puccinia barbareae", "Puccinia barbatula", "Puccinia barbeyi", "Puccinia barclayi", "Puccinia bardanae", "Puccinia barkhausiae-rhoeadifoliae", "Puccinia barranquillae", "Puccinia barri-aranae", "Puccinia barroeteae", "Puccinia bartholomaei", "Puccinia baryi", "Puccinia baschmica", "Puccinia basiporula", "Puccinia basirostrata", "Puccinia bassiae", "Puccinia batatas", "Puccinia batesiana", "Puccinia baudysii", "Puccinia becii", "Puccinia beckii", "Puccinia beckmanniae", "Puccinia behboudii", "Puccinia behenis", "Puccinia belamcandae", "Puccinia belizensis", "Puccinia bella", "Exochomus nigrifrons", "Puccinia bellidiastri", "Puccinia bellidis", "Puccinia aspiliae", "Puccinia aspiliae-latifoliae", "Puccinia asprellae-japonicae", "Puccinia asteris", "Puccinia asteris \u00df chrysanthemi-leucanthemi", "Puccinia asteris var. asteris", "Puccinia asteris var. purpurascens", "Puccinia asteris-alpini", "Puccinia asteris-caricis", "Puccinia asterum", "Puccinia astragenes", "Puccinia astrantiae", "Puccinia astrantiae-vivipari", "Puccinia astrantiicola", "Puccinia astricta", "Puccinia asyneumatis", "Puccinia asystasiae", "Puccinia ateridoi", "Puccinia athamanthae", "Puccinia athamanthina", "Puccinia athamanthina var. athamanthina", "Puccinia athamanthina var. domugledensis", "Puccinia atkinsoniana", "Puccinia atkinsoniana var. atkinsoniana", "Puccinia atkinsoniana var. bolleyana", "Puccinia atkinsonii", "Puccinia atlantica", "Puccinia atra", "Puccinia atractylidis", "Puccinia atragenes", "Puccinia atragenicola", "Puccinia atrofusca", "Puccinia atropae", "Puccinia atropuncta", "Puccinia aucta", "Puccinia aulacospermi", "Exochomus mongolicus", "Puccinia aulica", "Puccinia auloderma", "Puccinia aurata", "Puccinia aurea", "Puccinia aureocrassa", "Puccinia australis", "Puccinia austrina", "Puccinia austroberingiana", "Puccinia austroberingiana subsp. austroberingiana", "Puccinia austroberingiana subsp. saxifragarmn", "Puccinia austroussuriensis", "Puccinia austroyunnanica", "Puccinia avenae-barbatae", "Puccinia avenae-pubescentis", "Puccinia avenastri", "Puccinia aviculariae", "Puccinia aviculariae var. aviculariae", "Puccinia aviculariae var. fabae", "Puccinia avocensis", "Puccinia axiniphylli", "Puccinia axinophylli", "Puccinia azanzae", "Puccinia azerbaijanica", "Puccinia azrouana", "Puccinia azteca", "Puccinia babbagiae", "Puccinia baccharidicola", "Puccinia bellurensis", "Puccinia beltraniana", "Puccinia beltranii", "Puccinia beltranii f. beltranii", "Puccinia beltranii f. dipora", "Puccinia benedicta", "Puccinia benedicti", "Puccinia bengalensis", "Puccinia benguetensis", "Puccinia benkei", "Puccinia benokijamensis", "Puccinia benokiyamensis", "Puccinia berberidis", "Puccinia berberidis f. berberidis", "Puccinia berberidis f. brachypoda", "Puccinia berberidis f. macropoda", "Puccinia berberidis var. berberidis", "Puccinia berberidis var. heterosperma", "Puccinia berberidis var. paraphysigera", "Puccinia berberidis var. typica", "Puccinia berberidis-darwinii", "Puccinia berberidis-trifoliae", "Puccinia bergii", "Puccinia berkeleyana", "Puccinia berkeleyi", "Puccinia berkheyae", "Puccinia berkheyicola", "Puccinia beschiana", "Puccinia bessei", "Puccinia betae-bengalensis", "Puccinia betonicae", "Puccinia bewsiae", "Puccinia bhutanensis", "Puccinia bicolor", "Puccinia bidentis", "Puccinia biformis", "Puccinia bigeloviae", "Puccinia bignoniacearum", "Puccinia bimbergi", "Puccinia biocellata", "Puccinia biporosa", "Puccinia biporula", "Puccinia biscutellae", "Puccinia bistortae", "Puccinia bistortae var. bistortae", "Puccinia bistortae var. vivipari", "Puccinia bithynica", "Puccinia blasdalei", "Puccinia blechni", "Puccinia blepharidis", "Puccinia blyttiana", "Puccinia blyttii", "Puccinia bocconiae", "Puccinia boehmeriae", "Puccinia boerhaviifoliae", "Puccinia bogotensis", "Puccinia boingaei", "Puccinia boisduvaliae", "Puccinia bokensis", "Puccinia boliviana", "Puccinia bolleyana", "Puccinia bomani", "Puccinia bomareae", "Puccinia bombacis", "Puccinia bonanniae", "Puccinia bonariensis", "Puccinia boopidis", "Puccinia borealis", "Puccinia boreo-occidentalis", "Puccinia bornmuelleri", "Puccinia boroniae", "Puccinia borreriae", "Puccinia bottomleyae", "Puccinia bougainvilleae", "Puccinia bouinanensis", "Puccinia boutelouae", "Puccinia bouvardiae", "Puccinia bouwardiae", "Puccinia brachybotrydis", "Puccinia brachycarpa", "Puccinia brachycomes", "Puccinia brachycyclica", "Puccinia brachypodii", "Puccinia brachypodii var. arrhenatheri", "Puccinia brachypodii var. brachypodii", "Puccinia brachypodii var. brachypodii-phoenicoidis", "Puccinia brachypodii var. major", "Puccinia brachypodii var. poae-nemoralis", "Puccinia brachypodii-phoenicoidis", "Puccinia brachypodii-phoenicoidis var. brachypodii-phoenicoidis", "Puccinia brachypodii-phoenicoidis var. chisosana", "Puccinia brachypodii-phoenicoidis var. davisii", "Puccinia brachypus", "Puccinia brachypus var. brachypus", "Puccinia brachypus var. bromiphila", "Puccinia brachypus var. hordeiphila", "Puccinia brachypus var. loliiphila", "Puccinia brachysora", "Puccinia brachystachyicola", "Puccinia brachytela", "Puccinia brandegei", "Puccinia brassicae", "Puccinia brevicornis", "Puccinia breviculmis", "Puccinia brevispora", "Puccinia brickelliae", "Puccinia brigantiaca", "Puccinia brittoi", "Puccinia brizae-maximae", "Puccinia bromicola", "Puccinia bromi-japonici", "Puccinia bromi-maximi", "Puccinia bromina", "Puccinia bromina subsp. bromina", "Puccinia bromina subsp. symphyti-bromorum", "Puccinia bromina var. bromina", "Puccinia bromina var. madritensis", "Puccinia bromina var. paucipora", "Puccinia bromoides", "Puccinia bruchiana", "Puccinia brunellarum-moliniae", "Puccinia brunoniae", "Puccinia buchananii", "Puccinia buchnerae", "Puccinia bufoniae", "Puccinia buharica", "Puccinia bulbilipes", "Puccinia bulbocastani", "Puccinia caricis f. caricis", "Puccinia caricis f. urticae-acutae", "Puccinia caricis f. urticae-acutiformis", "Puccinia caricis f. urticae-hirtae", "Puccinia caricis f. urticae-vesicariae", "Puccinia caricis f.sp. urticae-frigidae", "Puccinia caricis f.sp. urticae-inflatae", "Puccinia caricis var. caricis", "Puccinia caricis var. grossulariata", "Puccinia caricis var. himalayensis", "Puccinia caricis var. himalensis", "Puccinia caricis var. uniporula", "Puccinia caricis-amblyolepis", "Puccinia caricis-asterina", "Puccinia caricis-asteris", "Puccinia caricis-atropictae", "Puccinia caricis-blepharicarpae", "Puccinia caricis-bonariensis", "Puccinia caricis-boottianae", "Puccinia caricis-bracteosae", "Puccinia caricis-brunneae", "Puccinia caricis-cernuae", "Puccinia caricis-circaearum", "Puccinia caricis-conicae", "Puccinia caricis-daisenensis", "Puccinia caricis-darwinii", "Puccinia caricis-diffusa", "Puccinia caricis-dimorpholepis", "Puccinia caricis-erigerontis", "Puccinia caricis-fediae", "Puccinia caricis-filicinae", "Puccinia caricis-flabellatae", "Puccinia caricis-frigidae", "Puccinia caricis-gayanae", "Puccinia caricis-gibbae", "Puccinia caricis-grossulariae", "Puccinia caricis-haematorrhynchae", "Puccinia caricis-hancockianae", "Puccinia caricis-heterolepis", "Puccinia caricis-incisae", "Puccinia caricis-japonicae", "Puccinia caricis-kouriyamensis", "Puccinia caricis-lanceolatae", "Puccinia caricis-lingii", "Puccinia caricis-linkii", "Puccinia caricis-macrocephalae", "Puccinia caricis-maximowiczii", "Puccinia caricis-molliculae", "Puccinia caricis-montanae", "Puccinia caricis-montanae f.sp. jaceae", "Puccinia caricis-nubigenae", "Puccinia caricis-okushiriensis", "Puccinia caricis-petasitidis", "Puccinia caricis-phrymae", "Puccinia caricis-pilosae", "Puccinia caricis-pocilliformis", "Puccinia caricis-podogynae", "Puccinia caricis-polystachyae", "Puccinia caricis-pseudololiaceae", "Puccinia caricis-rhizopodae", "Puccinia caricis-ribis", "Puccinia caricis-ribis f. caricis-grossulariae", "Puccinia caricis-ribis f.sp. acutae", "Puccinia caricis-ribis f.sp. ripariae", "Puccinia bulbostylidicola", "Puccinia bulbostylidis", "Puccinia bullaria", "Puccinia bullata", "Puccinia bunii", "Puccinia bupleuri", "Puccinia bupleuri-falcati", "Puccinia bupleuri-stellati", "Puccinia burchardiae", "Puccinia buriticae", "Puccinia burmanica", "Puccinia burmeisteri", "Puccinia burnettii", "Puccinia butleri", "Puccinia buxi", "Puccinia byliana", "Puccinia byssoides", "Puccinia cabo-friensis", "Puccinia caborcensis", "Puccinia cacabata", "Puccinia cacaliae", "Puccinia cacao", "Puccinia cacheutensis", "Puccinia caeomatiformis", "Puccinia cagayanensis", "Exochomus oblongus", "Puccinia calamagrostidis", "Puccinia calaminthae", "Puccinia calanticariae", "Puccinia calchakina", "Puccinia calcitrapae", "Puccinia calcitrapae var. bardanae", "Puccinia calcitrapae var. calcitrapae", "Puccinia calcitrapae var. cardui-pycnocephali", "Puccinia calcitrapae var. centaureae", "Puccinia calcitrapae var. fennica", "Puccinia caleae", "Puccinia caleae var. caleae", "Puccinia caleae var. cuernavacae", "Puccinia calendulae", "Puccinia californica", "Puccinia californica var. californica", "Puccinia californica var. deserticola", "Puccinia calimeridis", "Puccinia callaquensis", "Puccinia callianthemi", "Puccinia callistea", "Puccinia callistephi", "Puccinia callosa", "Puccinia calocephali", "Puccinia calochorti", "Puccinia calogynes", "Puccinia calosperma", "Puccinia calotidis", "Puccinia calthae", "Puccinia calthaecola", "Puccinia calthicola", "Puccinia calumnata", "Puccinia calycerae", "Puccinia calycerae-cavanillesii", "Puccinia calystegiae-soldanellae", "Puccinia camargoi", "Puccinia cambucae", "Puccinia cameliae", "Puccinia campanulae", "Puccinia campanulae-herminii", "Puccinia campanulae-rotundifoliae", "Puccinia campanulae-scheuchzeri", "Puccinia campanumeae", "Puccinia campulosae", "Puccinia canadensis", "Puccinia canaliculata", "Puccinia canaliculata subsp. canaliculata", "Puccinia canaliculata subsp. inulaecanaliculata", "Puccinia canaliculata var. canaliculata", "Puccinia canaliculata var. tenuis", "Puccinia canariensis", "Puccinia cancellata", "Puccinia cannacearum", "Puccinia cannae", "Puccinia capensis", "Puccinia capillaris", "Puccinia capitulata", "Puccinia capsici", "Puccinia capsicicola", "Puccinia cara", "Puccinia caracasana", "Puccinia carbonacea", "Puccinia cardamines", "Puccinia cardamines-bellidifoliae", "Puccinia cardamines-cordatae", "Puccinia cardui", "Puccinia cardui-carlinoidis", "Puccinia cardui-pycnocephali", "Puccinia carduncelli", "Puccinia carduorum", "Puccinia carduorum f.sp. is", "Puccinia cari-bistortae", "Puccinia carici-adenocauli", "Puccinia caricicola", "Puccinia caricifolia", "Puccinia caricina f.sp. acutae", "Puccinia caricina f.sp. pringsheimiana", "Puccinia caricina f.sp. pseudocyperi", "Puccinia caricina var. bigelowii", "Puccinia caricina var. caricina", "Puccinia caricina var. caricis-strictae", "Puccinia caricina var. circaeae-caricis", "Puccinia caricina var. limosae", "Puccinia caricina var. magnusii", "Puccinia caricina var. paludosa", "Puccinia caricina var. pringsheimiana", "Puccinia caricina var. ribesii-digitatae", "Puccinia caricina var. ribesii-diversicoloris", "Puccinia caricina var. ribesii-pendulae", "Puccinia caricina var. ribis-ferrugineae", "Puccinia caricina var. ribis-nigri-acutae", "Puccinia caricina var. ribis-nigri-lasiocarpae", "Puccinia caricina var. ribis-nigri-paniculatae", "Puccinia caricina var. uliginosa", "Puccinia caricina var. urticae-acutae", "Puccinia caricina var. urticae-acutiformis", "Puccinia caricina var. urticae-flaccae", "Puccinia caricina var. urticae-hirtae", "Puccinia caricina var. urticae-inflatae", "Puccinia caricina var. urticae-ripariae", "Puccinia caricina var. urticae-vesicariae", "Puccinia caricis", "Puccinia caricis-ribis subsp. caricis-grossulariae", "Puccinia caricis-ribis subsp. caricis-ribis", "Puccinia caricis-ribis subsp. caricis-ribis-nigri", "Puccinia caricis-ribis subsp. diffusa", "Puccinia caricis-sadoensis", "Puccinia caricis-scabrifoliae", "Puccinia caricis-shepherdiae", "Puccinia caricis-shimidzensis", "Puccinia caricis-siderostictae", "Puccinia caricis-siderostidae", "Puccinia caricis-sikokianae", "Puccinia caricis-solidaginis", "Puccinia caricis-stipatae", "Puccinia caricis-strictae", "Puccinia caricis-thunbergii", "Puccinia caricis-trichostylis", "Puccinia caricis-urticae", "Puccinia caricola", "Puccinia carissae", "Puccinia carissae-edulis", "Puccinia carlinae", "Puccinia carlinae var. carlinae", "Puccinia carlinae var. carlinae-acanthifoliae", "Puccinia carnegiana", "Puccinia carniolica", "Puccinia carthami", "Puccinia carthami f. carthami", "Puccinia carthami f. longipes", "Puccinia carthami var. carthami", "Puccinia carthami var. oxyacanthae", "Puccinia caryophyllacearum", "Puccinia cascadensis", "Puccinia castagnei", "Puccinia castaneae", "Puccinia castellana", "Puccinia castillejae", "Puccinia catamarcensis", "Puccinia catervaria", "Puccinia caucasica", "Puccinia caudata", "Puccinia caulicola", "Puccinia caulincola", "Puccinia cavatica", "Puccinia ceanothi", "Puccinia ceillacensis", "Puccinia celakovskyana", "Puccinia celebica", "Puccinia cellulosa", "Puccinia celmisiae", "Puccinia cenchri", "Puccinia cenchri var. africana", "Puccinia cenchri var. cenchri", "Puccinia centaureae", "Puccinia centaureae f. carpetana", "Puccinia centaureae f. carpetanae", "Puccinia centaureae f. centaureae", "Puccinia centaureae f. centaureae-hoffmannseggianae", "Puccinia centaureae f. centaureae-ornatae", "Puccinia centaureae f. centaureae-pullatae", "Puccinia centaureae f. nervosae", "Puccinia centaureae f. nigrae", "Puccinia centaureae f. scabiosae", "Puccinia centaureae f. transalpinae", "Puccinia centaureae var. australis", "Puccinia centaureae var. centaureae", "Puccinia centaureae var. diffusae", "Puccinia centaureae var. hellenica", "Puccinia centaureae-asperae", "Puccinia centaureae-caricis", "Puccinia centaureae-pullatae", "Puccinia centaureae-rhapontici", "Puccinia centaureae-ruthenicae", "Puccinia centaureae-vallesiacae", "Puccinia centaureae-virgatae", "Puccinia centellae", "Puccinia centellae-asiaticae", "Puccinia centrophylli", "Puccinia cephalandrae", "Puccinia cephalandrae-indicae", "Puccinia cephalariae", "Puccinia cephalotes", "Puccinia cerasi", "Puccinia cerastii", "Puccinia cerealis", "Puccinia cerinthes-agropyrina", "Puccinia cerinthes-agropyrina f.sp. echii-agropyri", "Puccinia cervariae", "Puccinia cervina", "Puccinia cesatii", "Puccinia cesatii f. cesatii", "Puccinia cesatii f. heteropogonis", "Puccinia cestri", "Puccinia chaerophylli", "Puccinia chaerophylli var. chaerophylli", "Puccinia chaerophylli var. osmorhizae", "Puccinia chaerophylli var. retifera", "Puccinia chaerophyllina", "Puccinia chaetacanthi", "Puccinia chaetii", "Puccinia chaetochloae", "Puccinia chaetogastrae", "Puccinia chaetogastriae", "Exochomus quadriplagiatus", "Puccinia chamaecyparidis", "Puccinia chamaedryos", "Puccinia chamaemelifoliae", "Puccinia chamaepeuces", "Puccinia chamaesarachae", "Puccinia changtuensis", "Puccinia chardoniensis", "Puccinia chaseana", "Puccinia chasmatis", "Puccinia chathamica", "Puccinia cheiranthi", "Puccinia cheiri", "Puccinia chelonis", "Puccinia chelonopsidis", "Puccinia chichenensis", "Puccinia chihuahuana", "Puccinia chilensis", "Puccinia chimborazoensis", "Puccinia chisosensis", "Puccinia chisosensis var. chisosensis", "Puccinia chisosensis var. longa", "Puccinia chitralensis", "Puccinia chloracae", "Puccinia chloridicola", "Puccinia chloridina", "Puccinia chloridis", "Puccinia chloridis-incompletae", "Puccinia chlorocrepidis", "Puccinia chomeliae", "Puccinia chondrillae", "Puccinia chondrillae f. chondrillae", "Puccinia chondrillae f. longipes", "Puccinia chondrillina", "Puccinia chondroderma", "Puccinia chrysanthemi", "Puccinia chrysanthemicola", "Puccinia chrysanthemi-sinensis", "Puccinia chrysophylli", "Puccinia chrysopogoni", "Puccinia chrysosplenii", "Puccinia cichorii", "Puccinia cichorii f. cichorii", "Puccinia cichorii f. longipes", "Puccinia cicutae", "Puccinia cicutae-majoris", "Puccinia cilia", "Puccinia ciliata", "Puccinia cinae", "Puccinia cincta", "Puccinia cinerariae", "Puccinia cinerea", "Puccinia cingens", "Puccinia cinnamomea", "Puccinia cinnamomi", "Puccinia cinnamomicola", "Puccinia cipurae", "Puccinia circaeae", "Puccinia circaeae-caricis", "Puccinia circinans", "Puccinia circinata", "Puccinia circumacta", "Puccinia circumalpina", "Puccinia circumdata", "Puccinia cirsii", "Puccinia cirsii f. cirsii", "Puccinia cirsii f. notobasis-syriacae", "Puccinia cirsii-eriophori", "Puccinia cirsii-lanceolati", "Puccinia cirsii-maritimi", "Puccinia cirsii-palustris", "Puccinia cirsii-sempervirentis", "Puccinia cirsiorum var. cirsii-palustris", "Puccinia cissi", "Puccinia citrata", "Puccinia citricolor", "Puccinia citrina", "Puccinia citrulli", "Puccinia citrulli var. citrulli", "Puccinia citrulli var. gymnopetali-wightii", "Puccinia citrulli var. vulgaris", "Puccinia citrullina", "Puccinia cladiana", "Puccinia cladii", "Puccinia cladophila", "Puccinia clandestina", "Puccinia claoxyli", "Puccinia clara", "Puccinia clarioneae", "Puccinia clarioneicola", "Puccinia clarkiae", "Puccinia clausenae", "Puccinia clavata", "Puccinia claviformis", "Puccinia clavispora", "Puccinia clavuligera", "Puccinia claytoniae", "Puccinia claytoniata", "Puccinia claytoniicola", "Puccinia clematidicola", "Puccinia clematidis-agropyri", "Puccinia clematidis-hayatae", "Puccinia clematidis-secalis", "Puccinia clementis", "Puccinia cleomes", "Puccinia clinopodii", "Puccinia clinopodii-polycephali", "Puccinia clintoniae-udensis", "Puccinia clintoniae-udensis var. clintoniae-udensis", "Puccinia clintoniae-udensis var. tibetica", "Puccinia clintonii", "Puccinia clintonii var. albae", "Puccinia clintonii var. bracteosae", "Puccinia clintonii var. clintonii", "Puccinia clintonii var. groenlandicae", "Puccinia clintonii var. ornithorhynchae", "Puccinia clintonii var. racemosae", "Puccinia clintonii var. sylvaticae", "Puccinia clusii", "Puccinia cnici", "Puccinia cnici var. cnici", "Puccinia cnici var. crassiuscula", "Puccinia cnici var. turcica", "Puccinia cnici-oleracei", "Puccinia cnidii", "Puccinia cnidiicola", "Puccinia coaetanea", "Puccinia cobresiae", "Puccinia coccocypseli", "Puccinia cochleariae", "Puccinia cockaynei", "Puccinia cockerelliana", "Puccinia cococlinii", "Puccinia codonanthes", "Puccinia codyi", "Puccinia coelopleuri", "Puccinia cognata", "Puccinia cognata var. cognata", "Puccinia cognata var. echinulata", "Puccinia cognata var. fraseri", "Puccinia cognatella", "Puccinia cohaesa", "Puccinia cohaesa var. cohaesa", "Puccinia cohaesa var. japonica", "Puccinia coimbatorica", "Puccinia colata", "Puccinia colata var. bajapora", "Puccinia colata var. colata", "Puccinia collettiana", "Puccinia collignoniae", "Puccinia collinsiae", "Puccinia colossea", "Puccinia colquhouniae", "Puccinia colquhouniicola", "Puccinia columbiensis", "Puccinia comandrae", "Puccinia commelinae", "Puccinia commelinae-benghalensis", "Puccinia commutata", "Puccinia compacta", "Puccinia completa", "Puccinia complicata", "Puccinia compositarum", "Puccinia compositarum f. compositarum", "Puccinia compositarum f. jurineae", "Puccinia compressa", "Puccinia concentrica", "Puccinia concinna", "Puccinia concinna var. concinna", "Puccinia concinna var. duranii", "Puccinia conclusa", "Puccinia concrescens", "Puccinia concumulata", "Puccinia condigna", "Puccinia conferta", "Puccinia confinis", "Puccinia confluens", "Puccinia conformata", "Puccinia confraga", "Puccinia congdonii", "Puccinia congesta", "Puccinia conglobata", "Puccinia conglomerata", "Puccinia congregata", "Puccinia congrescens", "Puccinia conii", "Puccinia conjuncta", "Puccinia connersii", "Puccinia conoclinii", "Puccinia conoclinii var. conoclinii", "Puccinia conoclinii var. depressipora", "Puccinia conopodii-bistortae", "Puccinia conostylidis", "Puccinia conquisita", "Puccinia consimilis", "Puccinia consobrina", "Puccinia conspersa", "Puccinia conspersa var. conspersa", "Puccinia conspersa var. paramensis", "Puccinia conspicua", "Puccinia constata", "Puccinia constricta", "Puccinia consueta", "Puccinia consulta", "Puccinia contecta", "Puccinia contegens", "Puccinia contengens", "Puccinia conturbata", "Puccinia convallariae", "Puccinia convallariae-digraphidis", "Puccinia convolvulacearum", "Puccinia convolvuli", "Puccinia conyzae", "Puccinia conyzella", "Puccinia cookei", "Puccinia cooperiae", "Puccinia coprosmae", "Puccinia coprosmatis", "Puccinia coprosmatis var. coprosmatis", "Puccinia coprosmatis var. operculariae", "Puccinia cordiae", "Puccinia cordiicola", "Puccinia cordobensis", "Puccinia cordyceps", "Puccinia cordylanthi", "Puccinia coreopidis", "Puccinia coreopsidis", "Puccinia corniculata", "Puccinia cornigera", "Puccinia cornurediata", "Puccinia cornuta", "Puccinia coronata", "Puccinia coronata f. agrostidis", "Puccinia coronata f. coronata", "Puccinia coronata f. holci", "Puccinia coronata f.sp. alopecuri", "Puccinia coronata f.sp. avenae", "Puccinia coronata f.sp. calamagrostis", "Puccinia coronata f.sp. festucae", "Puccinia coronata f.sp. holci", "Puccinia coronata f.sp. lolii", "Puccinia coronata f.sp. melicae", "Puccinia coronata f.sp. saxatilis-coronata", "Puccinia coronata var. arrhenatheri", "Puccinia coronata var. avenae", "Puccinia coronata var. bromi", "Puccinia coronata var. calamagrostis", "Puccinia coronata var. coronata", "Puccinia coronata var. elaeagni", "Puccinia coronata var. epigejos", "Puccinia coronata var. festucae", "Puccinia coronata var. gibberosa", "Puccinia coronata var. golestanica", "Puccinia coronata var. himalensis", "Puccinia coronata var. holci", "Puccinia coronata var. hordei", "Puccinia coronata var. intermedia", "Puccinia coronata var. lolii", "Puccinia coronata var. melicae", "Puccinia coronata var. rangiferina", "Puccinia coronata var. secalis", "Puccinia coronata var. sertata", "Puccinia coronifera", "Puccinia coronifera f. avenae", "Puccinia coronifera f. coronifera", "Puccinia coronifera f.sp. agrostis", "Puccinia coronifera f.sp. beckmanniae", "Puccinia coronillae", "Puccinia coronopsora", "Puccinia coronospora", "Puccinia correae", "Puccinia corrigiolae", "Puccinia corsica", "Puccinia corteyi", "Puccinia corteziana", "Puccinia corticioides", "Puccinia corticola", "Puccinia cortusae", "Puccinia corvarensis", "Puccinia corylopsidis", "Puccinia costa", "Puccinia eragrostidis-chalcanthae", "Puccinia eragrostidis-ferrugineae", "Puccinia eragrostidis-superbae", "Puccinia eragrostis-arundinaceae", "Puccinia erebia", "Puccinia erechtitis", "Puccinia eremuri", "Puccinia erianthi", "Puccinia erianthicola", "Puccinia erigeniae", "Puccinia erigerontis", "Puccinia erigerontis-caricis", "Puccinia erigerontis-elongati", "Puccinia erikssonii", "Puccinia eriocyclae", "Puccinia eriophori", "Puccinia eriophori var. apargidii", "Puccinia eriophori var. eriophori", "Puccinia eriophori-alpini", "Puccinia eriophylli", "Puccinia eriostemonis", "Puccinia eritraeensis", "Puccinia erlangeae", "Puccinia erratica", "Puccinia ervi", "Puccinia eryngii", "Puccinia erythraeensis", "Puccinia erythropus", "Puccinia erythroxyli", "Puccinia escharoides", "Puccinia esclavensis", "Puccinia esclavensis var. esclavensis", "Puccinia esclavensis var. panicophila", "Puccinia esclavensis var. unicellula", "Puccinia espinosarum", "Puccinia estcourtensis", "Puccinia ethuliae", "Puccinia eucomi", "Puccinia eugeniae", "Puccinia eulaliae", "Puccinia eulobi", "Puccinia eumacrospora", "Puccinia euodiae", "Puccinia euodiae-trichotomae", "Puccinia euopla", "Puccinia eupatorii", "Puccinia eupatoriicola", "Puccinia eupatorii-columbiani", "Puccinia euphorbiae", "Puccinia euphorbiae var. euphorbiae", "Puccinia euphorbiae var. intumescens", "Puccinia euphorbiae var. longipes", "Puccinia euphorbiae var. minor", "Puccinia euphrasiana", "Puccinia eurotiae", "Puccinia eutela", "Puccinia eutremae", "Puccinia evadens", "Puccinia evansii", "Puccinia evidens", "Puccinia exaltata", "Puccinia examinata", "Puccinia exanthematica", "Puccinia exasperans", "Puccinia costi", "Puccinia costina", "Puccinia cotyledonis", "Puccinia coulterophyti", "Puccinia courtoisiae", "Puccinia cousiniae", "Puccinia crandallii", "Puccinia crassa", "Puccinia crassapicalis", "Puccinia crassicutis", "Puccinia crassipes", "Puccinia crassivertax", "Puccinia crassocephali", "Puccinia cremanthodii", "Puccinia crepidicola", "Puccinia crepidis", "Puccinia crepidis sensu", "Puccinia crepidis-acuminatae", "Puccinia crepidis-aureae", "Puccinia crepidis-blattarioidis", "Puccinia crepidis-blattarioidis f. alpestris", "Puccinia crepidis-blattarioidis f. crepidis-blattarioidis", "Puccinia crepidis-blattarioidis f. setosae", "Puccinia crepidis-grandiflorae", "Puccinia crepidis-hookerianae", "Puccinia crepidis-integrae", "Puccinia crepidis-jacquini", "Puccinia crepidis-japonicae", "Puccinia crepidis-leontodontoidis", "Puccinia crepidis-montanae", "Puccinia crepidis-pygmaeae", "Puccinia crepidis-sibiricae", "Puccinia crespiana", "Puccinia cressae", "Puccinia cretica", "Puccinia cribrata", "Puccinia crinitae", "Puccinia cristata", "Puccinia croci", "Puccinia croci-pallasii", "Puccinia crotonicola", "Puccinia crucheti", "Puccinia cruchetiana", "Puccinia crucianellae", "Puccinia crucianellae var. crucianellae", "Puccinia crucianellae var. crucinallae-macrostachyae", "Puccinia cruciferae", "Puccinia cruciferarum", "Puccinia cruciferarum subsp. borealis", "Puccinia cruciferarum subsp. cardamines-cordatae", "Puccinia cruciferarum subsp. cruciferarum", "Puccinia cruciferarum subsp. inornata", "Puccinia cruciferarum subsp. nearctica", "Puccinia cruciferarum subsp. wyomingensis", "Puccinia crupinae", "Puccinia crustulosa", "Puccinia cryptandri", "Puccinia cryptandri var. cryptandri", "Puccinia cryptandri var. luxurians", "Puccinia cryptanthes", "Puccinia cryptica", "Puccinia cryptica var. bromicola", "Puccinia cryptica var. cryptica", "Puccinia cryptostemmatis", "Puccinia cryptotaeniae", "Puccinia crysanthemicola", "Puccinia ctenolepidis", "Puccinia cucumeris", "Puccinia cuilapensis", "Puccinia culcitii", "Puccinia culmicola", "Puccinia cumula", "Puccinia cundinamarcensis", "Puccinia cuneata", "Puccinia cuniculi", "Puccinia cunilae", "Puccinia cupheae", "Puccinia curculiginis", "Puccinia curcumae", "Puccinia curicoana", "Puccinia curtipes", "Puccinia cutandiae", "Puccinia cuticulosa", "Puccinia cuzcoensis", "Puccinia cyani", "Puccinia cyani var. cyani", "Puccinia cyani var. sublevis", "Puccinia cyathulicola", "Puccinia cyathulicola var. cyathulicola", "Puccinia cygnorum", "Puccinia cymbopogonis-brevipes", "Puccinia cymboseridis", "Puccinia cymopteri subsp. cymopteri", "Puccinia cymopteri subsp. oregonensis", "Puccinia cymopteri subsp. traversiana", "Puccinia cynanchi", "Puccinia cynoctoni", "Puccinia cynodontis", "Puccinia cynodontis var. cynodonticola", "Puccinia cynodontis var. cynodontis", "Puccinia cynomarathri", "Puccinia cynosuroides", "Puccinia cypellae", "Puccinia cyperi", "Puccinia cypericola", "Puccinia cyperi-cristati", "Puccinia cyperi-fastigiati", "Puccinia cyperiphila", "Puccinia cyperi-pilosi", "Puccinia cyperi-tagetiformis", "Puccinia cyperi-tagetiformis var. africana", "Puccinia cyperi-tagetiformis var. cyperi-tagetiformis", "Puccinia cyperi-tagetiformis var. madagascariensis", "Puccinia cyphochlaenae", "Puccinia cypria", "Puccinia cypripedii", "Puccinia cyrnaea", "Puccinia dactylidina", "Puccinia dactylidis", "Puccinia dactyloctenii", "Puccinia daisenensis", "Puccinia daleae", "Puccinia dampierae", "Puccinia daneshpazhuhii", "Puccinia daniloi", "Puccinia danthoniae", "Puccinia dasantherae", "Puccinia dasypyri", "Puccinia dayi", "Puccinia debaryana", "Puccinia debaryana f. atragenicola", "Puccinia debaryana f. debaryana", "Puccinia decipiens", "Puccinia decolorata", "Puccinia decora", "Puccinia defecta", "Puccinia deformans", "Puccinia deformata", "Puccinia degeneris", "Puccinia dehiscens", "Puccinia delavayana", "Puccinia delicatula", "Puccinia delicatula var. delicatula", "Puccinia delicatula var. niveoides", "Puccinia delphinensis", "Puccinia delphinii", "Puccinia delphiniicola", "Puccinia deminuta", "Puccinia dendranthemae", "Puccinia densa", "Puccinia densissima", "Puccinia dentariae", "Puccinia dentariae var. dentariae", "Puccinia dentariae var. sublevis", "Puccinia denticulata", "Puccinia deodikarii", "Puccinia deosaiensis", "Puccinia depallens", "Puccinia depauperans", "Puccinia deprecanea", "Puccinia depressa", "Puccinia deschampsiae", "Puccinia desertorum", "Puccinia desmanthodii", "Puccinia desmazieri", "Puccinia destruens", "Puccinia detonsa", "Puccinia deyeuxiae", "Puccinia deyeuxiae-scabrescentis", "Puccinia diantherae", "Puccinia dianthi", "Puccinia dianthi-japonici", "Puccinia diarrhenae", "Puccinia diaziana", "Puccinia dichelostemmae", "Puccinia dichondrae", "Puccinia dichromenae", "Puccinia diclipterae", "Puccinia dictyoderma", "Puccinia dictyospora", "Puccinia didymophysae", "Puccinia didyoderma", "Puccinia dielsiana", "Puccinia dieramae", "Puccinia dieteliana", "Puccinia dietelii", "Puccinia dietrichiana", "Puccinia difformis", "Puccinia diffusa", "Puccinia doloris", "Puccinia dolosa", "Puccinia dolosa var. biporula", "Puccinia dolosa var. catervaria", "Puccinia dolosa var. circumdata", "Puccinia dolosa var. dolosa", "Puccinia dolosoides", "Puccinia dombeyae", "Puccinia dominicana", "Puccinia dondiae", "Puccinia doremae", "Puccinia dorematis-ammoniaci", "Puccinia doronicella", "Puccinia doronici", "Puccinia dorsteniae", "Puccinia douglasii", "Puccinia douglasii var. douglasii", "Puccinia douglasii var. hoodii", "Puccinia dovrensis", "Puccinia dovrensis var. dovrensis", "Puccinia dovrensis var. leptoticha", "Puccinia dovrensis var. russa", "Puccinia drabae", "Puccinia drabae var. articae", "Puccinia drabae var. drabae", "Puccinia drabicola", "Puccinia dracaenae", "Puccinia dracunculi", "Puccinia dracunculina", "Puccinia drimiae", "Puccinia droborii", "Puccinia droogenis", "Puccinia droogensis", "Puccinia dubia", "Puccinia dubyi", "Puccinia dulichii", "Puccinia dummeri", "Puccinia dupiasii", "Puccinia duplex", "Puccinia durangensis", "Puccinia duranii", "Puccinia durrieui", "Puccinia dusenii", "Puccinia duthiei", "Puccinia dyris", "Puccinia dyschoristes", "Puccinia dyssodiae", "Puccinia eatoniae", "Puccinia eatoniae var. eatoniae", "Puccinia eatoniae var. myosotidis", "Puccinia eatoniae var. ranunculi", "Puccinia echeveriae", "Puccinia echinophorae", "Puccinia echinopis", "Puccinia echinopteridis", "Puccinia echinulata", "Puccinia ecliptae", "Puccinia ecuadorensis", "Puccinia ecuadorientalis", "Puccinia efferta", "Puccinia effusa", "Puccinia egmontensis", "Puccinia egregia", "Puccinia egregia var. cumminsiana", "Puccinia egregia var. egregia", "Puccinia egressa", "Puccinia eichelbaumii", "Puccinia ekmanii", "Puccinia elaeagni", "Puccinia elata", "Puccinia elatipes", "Puccinia electrae", "Puccinia electrae var. depressiporosa", "Puccinia electrae var. electrae", "Puccinia electrae var. robusta", "Puccinia elegans", "Puccinia eleocharidis", "Puccinia elephantopi", "Puccinia elephantopi-spicati", "Puccinia eleutherantherae", "Puccinia eleutherospermi", "Puccinia elgonensis", "Puccinia elliptica", "Puccinia ellisiana", "Puccinia ellisii", "Puccinia elongata", "Puccinia eluta", "Puccinia elymi", "Puccinia elymi var. elymi", "Puccinia elymi var. longispora", "Puccinia elymicola", "Puccinia elymi-impatientis", "Puccinia elymina", "Puccinia elymi-sibirici", "Puccinia elytrariae", "Puccinia emaculata", "Puccinia embergeriae", "Puccinia emiliae", "Puccinia eminens", "Puccinia emondensis", "Puccinia enamii", "Puccinia enceliae", "Puccinia enceliae var. aemulans", "Puccinia enceliae var. enceliae", "Puccinia endiviae", "Puccinia enecta", "Puccinia engleriana", "Puccinia enixa", "Puccinia enneapogonis", "Puccinia enormis", "Puccinia ensenadensis", "Puccinia enteropogonis", "Puccinia entrerriana", "Puccinia epicampis", "Puccinia epigejos", "Puccinia epilobii", "Puccinia epilobii subsp. epilobii", "Puccinia epilobii subsp. palustris", "Puccinia epilobii var. hypodites", "Puccinia epilobii-fleischeri", "Puccinia epilobii-tetragoni", "Puccinia epimedii", "Puccinia epiphylla", "Puccinia eragrostidicola", "Puccinia eragrostidis", "Puccinia difonzoi", "Puccinia digitariae", "Puccinia digitariae-biformis", "Puccinia digitariae-velutinae", "Puccinia digitariae-vestitae", "Puccinia digitariicola", "Puccinia digitata", "Puccinia digna", "Puccinia digraphidis", "Puccinia dilecta", "Puccinia dimorpha", "Puccinia dimorphothecae", "Puccinia dioicae", "Puccinia dioicae var. arenariicola", "Puccinia dioicae var. caricis-frigidae", "Puccinia dioicae var. cirsii-sempervirentis", "Puccinia dioicae var. dioicae", "Puccinia dioicae var. extensicola", "Puccinia dioicae var. firma", "Puccinia dioicae var. micropuncta", "Puccinia dioicae var. opizii", "Puccinia dioicae var. schoeleriana", "Puccinia dioicae var. silvatica", "Puccinia dioicae var. uromycetoides", "Puccinia dioscoreae", "Puccinia dioscoreae-mundtii", "Puccinia diotidis", "Puccinia diplachnes", "Puccinia diplachnicola", "Puccinia diplolophii", "Puccinia diplopappi", "Puccinia discoidearum", "Puccinia discoidearum var. asparagi", "Puccinia discoidearum var. discoidearum", "Puccinia discolor", "Puccinia discors", "Puccinia discreta", "Puccinia dispersa", "Puccinia dispersa f. bromi", "Puccinia dispersa f. dispersa", "Puccinia dispersa f.sp. tritici", "Puccinia dispersa var. agropyri", "Puccinia dispersa var. dispersa", "Puccinia dispersa var. secalis", "Puccinia dispori", "Puccinia dissiliens", "Puccinia dissotidis", "Puccinia distenta", "Puccinia distichlidis", "Puccinia distichlydis", "Puccinia distichophylli", "Puccinia distichydis", "Puccinia distincta", "Puccinia distinguenda", "Puccinia distorta", "Puccinia ditassae", "Puccinia ditissima", "Puccinia diutina", "Puccinia divergens", "Puccinia dobrogensis", "Puccinia dochmia", "Puccinia dolichi", "Puccinia dolomitica", "Puccinia excelsa", "Puccinia excursionis", "Puccinia exhauriens", "Puccinia exhauriens var. abyssinica", "Puccinia exhauriens var. exhauriens", "Puccinia exhausta", "Puccinia exigua", "Puccinia exilis", "Puccinia exilis var. exilis", "Puccinia exilis var. hibisci", "Puccinia eximia", "Puccinia exitiosa", "Puccinia exoptata", "Puccinia exornata", "Puccinia expallens", "Puccinia expansa", "Puccinia expetiva", "Puccinia extensicola", "Puccinia extensicola var. asteris", "Puccinia extensicola var. erigerontis", "Puccinia extensicola var. euthamii", "Puccinia extensicola var. extensicola", "Puccinia extensicola var. hieraciata", "Puccinia extensicola var. linosyridis-caricis", "Puccinia extensicola var. oenatherae", "Puccinia extensicola var. rudbeckiae", "Puccinia extensicola var. valerianae", "Puccinia extensicola-phrymae", "Puccinia eylesii", "Puccinia fabae", "Puccinia faceta", "Puccinia fagarae", "Puccinia fagopyri", "Puccinia fagopyricola", "Puccinia falcariae", "Puccinia fallaciosa", "Puccinia fallax", "Puccinia fallens", "Puccinia farameae", "Puccinia farinacea", "Puccinia farinacea var. azurea", "Puccinia farinacea var. constricta", "Puccinia farinacea var. farinacea", "Puccinia fasciata", "Puccinia fashamensis", "Puccinia fastidiosa", "Puccinia fausta", "Puccinia favargeri", "Puccinia favi", "Puccinia feliciae", "Puccinia fendleri", "Puccinia fergussonii", "Puccinia fergussonii var. fergussonii", "Puccinia fergussonii var. hastata", "Puccinia ferox", "Puccinia ferrarisii", "Puccinia ferruginea", "Puccinia ferruginosa", "Puccinia ferulae", "Puccinia ferulae-songoricae", "Puccinia ferulae-turkestanicae", "Puccinia festata", "Puccinia festucae", "Puccinia festucae-ovinae", "Puccinia festucina", "Puccinia fibigiae", "Puccinia ficalhoana", "Puccinia fidelis", "Puccinia filiola", "Puccinia filipodia", "Puccinia filopes", "Puccinia fimbristylidis", "Puccinia fimbristylidis-ferrugineae", "Puccinia finschiae", "Puccinia firma", "Puccinia firma var. capillaris", "Puccinia firma var. firma", "Puccinia fischeri", "Puccinia flaccida", "Puccinia flahaultii", "Puccinia flammulfformis", "Puccinia flavenscentis", "Puccinia flaveriae", "Puccinia flavescens", "Puccinia flavipes", "Puccinia flavovirens", "Puccinia flosculosorum", "Puccinia flosculosorum var. flosculosorum", "Puccinia flosculosorum var. hieracii", "Puccinia flourensiae", "Puccinia fodiens", "Puccinia fodieris", "Puccinia foliola", "Puccinia fontanesii", "Puccinia foyana", "Puccinia fragariae", "Puccinia fragariastri", "Puccinia fragilis", "Puccinia fragilis var. divaricatae", "Puccinia fragilis var. fragilis", "Puccinia fragilispora", "Puccinia fragosoana", "Puccinia fragosoi", "Puccinia francoeuriae", "Puccinia frankeniae", "Puccinia frankeriae", "Puccinia franseriae", "Puccinia fraseri", "Puccinia fraseri var. fraseri", "Puccinia fraseri var. minor", "Puccinia fraterna", "Puccinia fraxinata", "Puccinia fraxini", "Puccinia freycinetiae", "Puccinia frigida", "Puccinia fuchsiae", "Puccinia fuckelii", "Puccinia fuegiana", "Puccinia fuhrmanii", "Puccinia fuhrmanni", "Puccinia fuirenae", "Puccinia fuirenae-pubescentis", "Puccinia fuirenella", "Puccinia fuirenicola", "Puccinia fuireniphila", "Puccinia geranii-silvatici", "Puccinia geranii-silvatici var. geranii-silvatici", "Puccinia geranii-silvatici var. nepalensis", "Puccinia geranii-tuberosi", "Puccinia gerardiae", "Puccinia gerardii", "Puccinia gerascanthi", "Puccinia gerberae", "Puccinia gerbericola", "Puccinia gesneriacearum", "Puccinia ghiesbreghtii", "Puccinia gibberosa", "Puccinia gibberulosa", "Puccinia giberti", "Puccinia gigantea", "Puccinia gigantispora", "Puccinia gilbertii", "Puccinia gilgiana", "Puccinia gilia", "Puccinia giliae", "Puccinia giliicola", "Puccinia gillesii", "Puccinia gilva", "Puccinia gjaerumii", "Puccinia glabella", "Puccinia glacieri", "Puccinia gladioli", "Puccinia gladioli subsp. gladioli", "Puccinia gladioli subsp. romuleae", "Puccinia gladioli var. gladioli", "Puccinia gladioli var. macrospora", "Puccinia gladioli-crassifolii", "Puccinia glaucis", "Puccinia glechomae", "Puccinia glechomatis", "Puccinia glechonis", "Puccinia globosa", "Puccinia globosipes", "Puccinia globulariae", "Puccinia globulifera", "Puccinia glomerata", "Puccinia glumarum", "Puccinia glumarum f. aegilopis", "Puccinia glumarum f. bromicola", "Puccinia glumarum f. glumarum", "Puccinia glumarum f. hordei", "Puccinia glumarum f. koeleriae", "Puccinia glumarum f. koeleriana", "Puccinia glumarum f. laguri", "Puccinia glumarum f. lolii", "Puccinia glumarum f. loliicola", "Puccinia glumarum f. lolii-loliacei", "Puccinia glumarum f. tritici-compacti", "Puccinia glumarum f. vulpiae", "Puccinia glumarum f. vulpiae-delicatulae", "Puccinia glyceriae", "Puccinia glycyrrhizae", "Puccinia gnaphalii", "Puccinia gnaphaliicola", "Puccinia gnidiae", "Puccinia fujiensis", "Puccinia fujisanensis", "Puccinia fukienensis", "Puccinia fumosa", "Puccinia fundata", "Puccinia funkiae", "Puccinia fusca", "Puccinia fuscata", "Puccinia fuscella", "Puccinia fuscella f. fuscella", "Puccinia fuscella f. montecristensis", "Puccinia fushunensis", "Puccinia fusiformis", "Puccinia fusispora", "Puccinia fusoidea", "Puccinia gaeumannii", "Puccinia gahniae", "Puccinia gaillardiae", "Puccinia galactitis", "Puccinia galanthi", "Puccinia galatellae", "Puccinia galatica", "Puccinia galeniae", "Puccinia galerita", "Puccinia galii", "Puccinia galii-cruciatae", "Puccinia galii-elliptici", "Puccinia galii-rivularis", "Puccinia galii-silvatici", "Puccinia galii-uliginosi", "Puccinia galii-verni", "Puccinia galiorum", "Puccinia gallula", "Puccinia galopinae", "Puccinia gamocarphae", "Puccinia ganeschinii", "Puccinia garcesispora", "Puccinia garcilassae", "Puccinia garckiana", "Puccinia gardoquiae", "Puccinia garhadioli", "Puccinia garnotiae", "Puccinia garrettii", "Puccinia gastrolobii", "Puccinia gaubae", "Puccinia gaudiniana", "Puccinia gayophyti", "Puccinia gei", "Puccinia gei-parviflori", "Puccinia gemella", "Puccinia gentianae", "Puccinia gentilis", "Puccinia geophila", "Puccinia geophilae", "Puccinia geranii", "Puccinia geranii-aculeolati", "Puccinia geraniicola", "Puccinia geranii-doniani", "Puccinia geranii-phila", "Puccinia geranii-pilosi", "Puccinia geranii-polyanthis", "Puccinia gonolobi", "Puccinia gonospermi", "Puccinia gonzalezii", "Puccinia gorganensis", "Puccinia gouaniae", "Puccinia gouaniae-tiliaefoliae", "Puccinia gouaniicola", "Puccinia goughensis", "Puccinia goyazensis", "Puccinia gracilenta", "Puccinia gracilis", "Puccinia graellsiae", "Puccinia grahamii", "Puccinia graminella", "Puccinia graminella var. chilensis", "Puccinia graminella var. graminella", "Puccinia graminella var. neesiana", "Puccinia graminicola", "Puccinia graminis f. agropyri", "Puccinia graminis f. avenae", "Puccinia graminis f. graminis", "Puccinia graminis f. macrospora", "Puccinia graminis f. maroccana", "Puccinia graminis f. tritici", "Puccinia graminis f. tritici-compacti", "Puccinia graminis f.sp. avenae", "Puccinia graminis f.sp. oryzae", "Puccinia graminis f.sp. poae", "Puccinia graminis f.sp. secalis", "Puccinia graminis f.sp. tritici", "Puccinia graminis subsp. graminicola", "Puccinia graminis subsp. graminis", "Puccinia graminis subsp. lolii", "Puccinia graminis subsp. major", "Puccinia graminis subsp. media", "Puccinia graminis subsp. minor", "Puccinia graminis var. agropyri-repentis", "Puccinia graminis var. avenae", "Puccinia graminis var. brevicarpa", "Puccinia graminis var. calamagrostidis", "Puccinia graminis var. caulium", "Puccinia graminis var. elymi", "Puccinia graminis var. erikssoni", "Puccinia graminis var. graminis", "Puccinia graminis var. hordei", "Puccinia graminis var. junci", "Puccinia graminis var. lolii", "Puccinia graminis var. phlei-pratensis", "Puccinia graminis var. secalis", "Puccinia graminis var. simplex", "Puccinia graminis var. stakmanii", "Herpothallon adnatum", "Puccinia graminis var. tritici", "Puccinia graminis var. vulpiae", "Puccinia granchacoensis", "Puccinia granularis", "Puccinia granulata", "Puccinia granulispora", "Puccinia grata", "Puccinia grayiae", "Puccinia gregaria", "Puccinia grenfelliana", "Puccinia grevilleae", "Puccinia grindeliae", "Puccinia grindeliae subsp. grindeliae", "Puccinia grindeliae subsp. riddelliae", "Puccinia grisea", "Puccinia griseliniae", "Puccinia griseola", "Puccinia grosii", "Puccinia grossulariae", "Puccinia grumixamae", "Puccinia grumosa", "Puccinia guaranitica", "Puccinia guardiolae", "Puccinia guatemalensis", "Puccinia guerkianus", "Puccinia guillemineae", "Puccinia guizotiae", "Puccinia gulosa", "Puccinia gundeliae", "Puccinia gutierreziae", "Puccinia gyirongensis", "Puccinia gymnandrae", "Puccinia gymnandrae subsp. alascensis", "Puccinia gymnandrae subsp. camschatcensis", "Puccinia gymnandrae subsp. gymnandrae", "Puccinia gymnandrae subsp. yunnanensis", "Puccinia gymnocarpi", "Herpothallon albidum", "Puccinia gymnolomiae", "Puccinia gymnopetali-wightii", "Puccinia gymnopogonicola", "Puccinia gymnopogonis", "Puccinia gymnotrichis", "Puccinia gynandriridis", "Puccinia gypsophilae", "Puccinia gypsophilae-repentis", "Puccinia habenariae", "Puccinia habranthi", "Puccinia hackeliae", "Puccinia hadacii", "Puccinia haematites", "Puccinia haemodori", "Puccinia hainanensis", "Puccinia hajanthemi", "Puccinia hakkodensis", "Puccinia hakodatensis", "Puccinia haleniae", "Puccinia haloragis", "Puccinia halosciadis", "Puccinia hansfordiana", "Puccinia hansfordii", "Puccinia hanyuenensis", "Puccinia harae", "Puccinia hariotii", "Puccinia harknessii", "Puccinia harknessii var. harknessii", "Puccinia harknessii var. major", "Puccinia harknessii var. stephanomeriae", "Puccinia harryana", "Puccinia hashiokai", "Puccinia hastata", "Puccinia heucherae", "Puccinia heucherae var. asiaticae", "Puccinia heucherae var. austroberingiana", "Puccinia heucherae var. chrysosplenii", "Puccinia heucherae var. cordillerana", "Puccinia heucherae var. diffusistriata", "Puccinia heucherae var. heucherae", "Puccinia heucherae var. japonica", "Puccinia heucherae var. lithophragmae", "Puccinia heucherae var. lithophragmatis", "Puccinia heucherae var. meridionalis", "Puccinia heucherae var. minor", "Puccinia heucherae var. saxifragae", "Puccinia heucherae var. saxifragae-micranthae", "Puccinia hiascens", "Puccinia hibayamensis", "Puccinia hibbertiae", "Puccinia hibisci", "Puccinia hibisciata", "Puccinia hibisci-trioni", "Puccinia hieraciata", "Puccinia hieracii", "Puccinia hieracii f. hieracii", "Puccinia hieracii f.sp. cichorii", "Puccinia hieracii subsp. hieracii", "Puccinia hieracii var. chlorocrepidis", "Puccinia hieracii var. harknessii", "Puccinia hieracii var. hieracii", "Puccinia hieracii var. hypochaeridis", "Puccinia hieracii var. piloselloidarum", "Puccinia hieracii var. stephanomeriae", "Puccinia hieracii-murorum", "Puccinia hieraciiphila", "Puccinia hierochloae", "Puccinia hierochloina", "Puccinia hieroglyphica", "Puccinia hieronymi", "Puccinia hikawaensis", "Puccinia hilariae", "Puccinia hilleriae", "Puccinia himalensis", "Puccinia hirosakiensis", "Puccinia hispanica", "Puccinia hodgsoniana", "Puccinia hoheriae", "Puccinia holboelliae-latifoliae", "Puccinia holboellii", "Puccinia holcicola", "Puccinia holcina", "Puccinia hololeii", "Puccinia holophaea", "Puccinia holosericea", "Puccinia holwayi", "Puccinia holwayula", "Puccinia hommae", "Puccinia homoianthi", "Puccinia hookeri", "Puccinia hordei", "Puccinia hordeicola", "Puccinia hordei-maritimi", "Puccinia hordei-murini", "Puccinia hordeina", "Puccinia haussmanni", "Puccinia haynaldiae", "Puccinia hazslinskii", "Puccinia hectorensis", "Puccinia hedbergii", "Puccinia hederaceae", "Puccinia hedjaroudei", "Puccinia hedysari-obscuri", "Puccinia hedysari-paniculati", "Puccinia heeringiana", "Puccinia heideri", "Puccinia heimerliana", "Puccinia heimerliana var. heimerliana", "Puccinia heimerliana var. melicae-cupani", "Puccinia heitoensis", "Puccinia heketara", "Puccinia heldreichiana", "Puccinia helenii", "Puccinia helianthellae", "Puccinia helianthemi", "Puccinia helianthi", "Puccinia helianthi-mollis", "Puccinia helianthorum", "Puccinia helicalis", "Puccinia helichrysi", "Puccinia heliconiae", "Puccinia helictotrichi", "Puccinia heliocarpi", "Puccinia heliopsidis", "Puccinia heliotropicola", "Herpothallon aurantiacoflavum", "Puccinia heliotropii", "Puccinia hellenica", "Puccinia helvetica", "Puccinia hemerocallidis", "Puccinia hemigraphidis", "Puccinia hemipogonis", "Puccinia hemisphaerica", "Puccinia hemizoniae", "Puccinia hemopsiana", "Puccinia hendersonii", "Puccinia henningsii", "Puccinia henryae", "Puccinia henryana", "Puccinia heraclei", "Puccinia heracleicola", "Puccinia heraclei-nepalensis", "Puccinia heribaudiana", "Puccinia herniariae", "Puccinia heroica", "Puccinia hestorensis", "Puccinia heteranthae", "Puccinia heterisiae", "Puccinia heterochroa", "Puccinia heterocolor", "Puccinia heterogenea", "Puccinia heteromorpha", "Puccinia heterophyllae", "Puccinia heteropteridis", "Puccinia heterospora", "Puccinia heterospora-valerianae", "Puccinia heterothalami", "Puccinia impatientis-uliginosae", "Puccinia impedita", "Puccinia imperatae", "Puccinia imperatoriae", "Puccinia imperatoriae-mamillata", "Puccinia imperspicua", "Puccinia impetrabilis", "Puccinia impolita", "Puccinia imposita", "Puccinia impressa", "Puccinia improcera", "Puccinia improvisa", "Puccinia inaequata", "Puccinia inanipes", "Puccinia inaudita", "Puccinia inayati", "Puccinia incallida", "Puccinia incarcerata", "Puccinia inclita", "Puccinia inclusa", "Puccinia inclusa var. boreohesperia", "Puccinia inclusa var. brevifolii", "Puccinia inclusa var. flodmanii", "Puccinia inclusa var. inclusa", "Puccinia inclusa var. mexicana", "Puccinia incompleta", "Puccinia incomposita", "Puccinia incondita", "Puccinia inconspicua", "Puccinia indagata", "Puccinia indecorata", "Puccinia indica", "Puccinia indotata", "Puccinia inermis", "Puccinia inflata", "Puccinia inflorescenticola", "Puccinia infra-aequatorialis", "Puccinia infrequens", "Puccinia infuscans", "Puccinia iniapii", "Puccinia inopina", "Puccinia inopinata", "Puccinia inornata", "Puccinia inquinans", "Puccinia inquinans var. athamanthae", "Puccinia inquinans var. bardanae", "Puccinia inquinans var. inquinans", "Puccinia inrecta", "Puccinia insidiosa", "Puccinia insignis", "Puccinia insititia", "Puccinia insititia var. insititia", "Puccinia insititia var. spicigerae", "Puccinia insolita", "Puccinia insperata", "Puccinia insueta", "Puccinia insulana", "Puccinia interjecta", "Puccinia intermedia", "Puccinia intermixta", "Puccinia interveniens", "Puccinia intumescens", "Puccinia intybi", "Puccinia invaginata", "Puccinia joerstadii", "Puccinia jogashimensis", "Puccinia johandiezii", "Puccinia johnstonii", "Puccinia johreniae", "Puccinia johreniae-alpinae", "Puccinia jonesii", "Puccinia jonesii subsp. asperior", "Puccinia jonesii subsp. jonesii", "Puccinia jonesii var. cymopteri", "Puccinia jonesii var. jonesii", "Puccinia jonesii-lindrothii", "Puccinia jordanovii", "Puccinia jorstadi", "Puccinia jostephanes", "Puccinia jovis", "Puccinia jubata", "Puccinia jueliana", "Puccinia juncelli", "Puccinia junci", "Puccinia junci var. africana", "Puccinia junci var. junci", "Puccinia junci-oxycarpi", "Puccinia juncophila", "Puccinia junggarensis", "Puccinia jungiae", "Puccinia juniperi", "Puccinia jurineae", "Puccinia jurineae-humilis", "Puccinia jussiaeae", "Puccinia jussiei", "Puccinia justiciae", "Puccinia kaernbachii", "Puccinia kakamariensis", "Puccinia kalchbrenneri", "Puccinia kalchbrenneri var. kalchbrenneri", "Puccinia kalchbrenneri var. valida", "Puccinia kalchbrenneriana", "Puccinia kampalensis", "Puccinia kamtschatkae", "Puccinia kangrikarpoensis", "Puccinia kansensis", "Puccinia karelica", "Puccinia karelica subsp. karelica", "Puccinia karelica subsp. laurentina", "Puccinia karstenii", "Puccinia katajevii", "Puccinia kawakamiensis", "Puccinia kawandensis", "Puccinia kazenasii", "Puccinia keae", "Puccinia kellermanii", "Puccinia kelseyi", "Puccinia keniensis", "Puccinia kenmorensis", "Puccinia kentaniensis", "Puccinia kentrophylli", "Puccinia kenyana", "Puccinia kermanensis", "Puccinia khalkhalensis", "Puccinia khanspurica", "Puccinia kigeziensis", "Puccinia kimurai", "Puccinia kinseyi", "Puccinia invelata", "Puccinia invelata var. echinulata", "Puccinia invelata var. invelata", "Puccinia invenusta", "Puccinia investita", "Puccinia iostephanes", "Puccinia ipomoeae", "Puccinia ipomoeae-panduratae", "Puccinia iridis", "Puccinia iridis f. australis", "Puccinia iridis f. iridis", "Puccinia iridis f. septentrionalis", "Puccinia iridis f.sp. floridana", "Puccinia iridis var. iridis", "Puccinia iridis var. polyporis", "Puccinia iriensis", "Puccinia irregularis", "Puccinia irrequisita", "Puccinia isachneicola", "Puccinia isachnes", "Puccinia ischaemi", "Puccinia ishikariensis", "Puccinia ishikawai", "Puccinia ishizuchiensis", "Puccinia isiacae", "Puccinia isoderma", "Puccinia isoglossae", "Puccinia isolepidis", "Puccinia isopyri", "Puccinia istriaca", "Puccinia itatiayensis", "Puccinia ivanitzkiae", "Puccinia iwakuniensis", "Puccinia iwateyamensis", "Puccinia ixeridicola", "Puccinia ixeridis", "Puccinia ixeridis-oldhami", "Puccinia izuda", "Puccinia jaagii", "Puccinia jaceae", "Puccinia jaceae var. diffusae", "Puccinia jaceae var. jaceae", "Puccinia jaceae var. solstitialis", "Puccinia jackson-holwayi", "Puccinia jackyana", "Puccinia jaczewskii", "Puccinia jaffueliana", "Puccinia jahnii", "Puccinia jalapensis", "Puccinia jaliscana", "Puccinia jaliscensis", "Puccinia jambolani", "Puccinia jambosae", "Puccinia jamesiana", "Puccinia japonica", "Puccinia jasiones-orbiculatae", "Puccinia jasmini", "Puccinia jasmini-chrysopogonis", "Puccinia jasminicola", "Puccinia jasmini-humilis", "Puccinia jericosensis", "Puccinia joannesiae", "Puccinia joerstadiana", "Puccinia lepidolophae", "Puccinia lepistemonis", "Puccinia leptochloae", "Puccinia leptochloae-uniflorae", "Puccinia leptoderma", "Puccinia leptodermidis", "Puccinia leptosperma", "Puccinia leptospora", "Puccinia lepturi", "Puccinia lespedezae-polystachiae", "Puccinia lespedezae-procumbentis", "Herpothallon confusum", "Puccinia lespedezia-procumbentis", "Puccinia le-testui", "Puccinia leucadis", "Puccinia leucanthemi", "Puccinia leucanthemi-kurilensis", "Puccinia leucanthemi-vernae", "Puccinia leuceriae", "Puccinia leuceriana", "Puccinia leuceriicola", "Puccinia leucocephala", "Puccinia leucophaea", "Puccinia leuzeae", "Puccinia levata", "Puccinia leveilleana", "Puccinia leveillei", "Puccinia levis", "Puccinia levis var. goyazensis", "Puccinia levis var. levis", "Puccinia levis var. panici-sanguinalis", "Puccinia levis var. tricholaenae", "Puccinia liabi", "Puccinia liabicola", "Puccinia liatridis", "Puccinia libani", "Puccinia libanotidis", "Puccinia liberta", "Puccinia liebenbergii", "Puccinia lifuensis", "Puccinia ligericae", "Puccinia ligulariae", "Puccinia ligustici", "Puccinia ligusticicola", "Puccinia ligustici-jeholensis", "Puccinia liliacearum", "Puccinia liliacearum f. liliacearum", "Puccinia liliacearum f. ornithogali", "Puccinia liliacearum var. liliacearum", "Puccinia liliacearum var. rossiana", "Puccinia lilloana", "Puccinia limnodeae", "Puccinia limonii", "Puccinia limosae", "Puccinia linariae", "Puccinia lindaviana", "Puccinia linderae-setchuenensis", "Puccinia lindrothii", "Herpothallon corallinum", "Puccinia lindrothii subsp. lindrothii", "Puccinia lindrothii subsp. sphalerocondra", "Puccinia lineariformis", "Puccinia lagerheimiana", "Puccinia lagerheimii", "Puccinia lagoensis", "Puccinia lagophyllae", "Puccinia lagunensis", "Puccinia laguri", "Puccinia laguri-chamaemoly", "Puccinia lakanensis", "Puccinia lamyi", "Puccinia lantanae", "Puccinia lantanae f. erythraeae", "Puccinia lantanae f. lantanae", "Puccinia lapathicola", "Puccinia lappae", "Puccinia lapponica", "Puccinia lapponica subsp. jenissejensis", "Puccinia lapponica subsp. lapponica", "Puccinia lapsanae", "Puccinia lapsanae var. lapsanae", "Puccinia lapsanae var. major", "Puccinia largifica", "Puccinia laschii", "Herpothallon cinereum", "Puccinia laschii var. fennica", "Puccinia laschii var. laschii", "Puccinia laschii var. palustris", "Puccinia laschii var. pannonici", "Puccinia laschii var. spinosissimi", "Puccinia laschii var. xerophila", "Puccinia laserpitii", "Puccinia lasiacidis", "Puccinia lasiagrostis", "Puccinia lasianthi", "Puccinia lateripede", "Puccinia lateripes", "Puccinia lateripes var. blechi", "Puccinia lateripes var. lateripes", "Puccinia lateripes var. strepentis", "Puccinia lateritia", "Puccinia latimamma", "Puccinia launaeae", "Puccinia laundonii", "Puccinia launeae", "Puccinia laurentiana", "Puccinia lauricola", "Puccinia laurifoliae", "Puccinia lavroviana", "Puccinia lavrovii", "Puccinia lecokiae", "Puccinia ledi", "Puccinia leiocarpa", "Puccinia leioderma", "Puccinia lemanensis", "Herpothallon confluenticum", "Puccinia lemonnieriana", "Puccinia lentapiculata", "Puccinia leochroma", "Puccinia leonotidicola", "Puccinia leonotidis", "Puccinia leontodontis", "Puccinia leontodontis var. australis", "Puccinia leontodontis var. leontodontis", "Puccinia leontopodii", "Puccinia lepidii", "Puccinia kirghisica", "Herpothallon australasicum", "Puccinia kirkii", "Puccinia kiusiana", "Puccinia knersvlaktensis", "Puccinia kobistanica", "Puccinia kochiae", "Puccinia kochiana", "Puccinia koedoeensis", "Puccinia koeleriae", "Puccinia koeleriicola", "Puccinia koherika", "Puccinia komarovii", "Puccinia kondeensis", "Puccinia kopetdaghensis", "Puccinia kopoti", "Puccinia kozukensis", "Puccinia kraussiana", "Puccinia kreageri", "Puccinia kreiselii", "Puccinia krigiae", "Puccinia krookii", "Puccinia krupae", "Puccinia kuehnii", "Puccinia kuhniae", "Puccinia kuhniae var. brickelliae", "Puccinia kuhniae var. decora", "Puccinia kuhniae var. kuhniae", "Puccinia kuhniae var. robusta", "Puccinia kukkonensis", "Puccinia kulabica", "Puccinia kundmanniae", "Puccinia kunthiana", "Puccinia kuntzii", "Puccinia kunzeana", "Puccinia kupferi", "Puccinia kupreviczii", "Puccinia kurdistani", "Puccinia kurosawae", "Puccinia kusanoi", "Puccinia kusanoi var. azuma", "Puccinia kusanoi var. kusanoi", "Puccinia kwangsiana", "Puccinia kwanhsienensis", "Puccinia kweichowana", "Puccinia kyangjinensis", "Puccinia kyllingae-brevifoliae", "Puccinia kyllingicola", "Puccinia labiatarum", "Puccinia laburni", "Puccinia lacerata", "Puccinia lactucae", "Puccinia lactucae-debilis", "Puccinia lactucae-denticulatae", "Puccinia lactucae-repentis", "Puccinia lactucarum", "Herpothallon brialmonticum", "Puccinia lactucicola", "Puccinia lactucina", "Puccinia laevigata", "Puccinia laevissima", "Puccinia lagasceae", "Puccinia lagenophorae", "Puccinia linearis", "Puccinia lineatula", "Puccinia lineolata", "Puccinia linkii", "Puccinia linosyridis-caricis", "Puccinia linosyridis-vernae", "Puccinia lioui", "Puccinia lippiae", "Puccinia lippiicola", "Puccinia lippiivora", "Puccinia lisianthi", "Puccinia lithophragmae", "Puccinia lithospermi", "Puccinia litseae", "Puccinia litseae-elongatae", "Puccinia littoralis", "Puccinia litvinovii", "Puccinia ljulinica", "Puccinia lobata", "Puccinia lobeliae", "Puccinia lojkaiana", "Puccinia lolii", "Puccinia lolii f.sp. holci", "Puccinia loliicola", "Puccinia loliina", "Puccinia lomatogonii", "Puccinia longa", "Puccinia longiana", "Puccinia longicornis", "Herpothallon echinatum", "Puccinia longinqua", "Puccinia longior", "Puccinia longipedicellata", "Puccinia longipes", "Puccinia longipes var. brevipes", "Puccinia longipes var. longipes", "Puccinia longirostris", "Puccinia longirostroides", "Puccinia longispora", "Puccinia longissima", "Puccinia lophatheri", "Puccinia loranthi", "Puccinia loranthicola", "Puccinia lorentzianae", "Puccinia lorentzii", "Puccinia loti", "Puccinia loudetiae", "Puccinia loudetiae-superbae", "Puccinia luandensis", "Puccinia lucida", "Puccinia luculenta", "Puccinia lucumae", "Puccinia ludibunda", "Puccinia ludovicianae", "Puccinia ludwigiae", "Puccinia ludwigii", "Puccinia lugoae", "Puccinia lupinicola", "Puccinia luteobasis", "Herpothallon elegans", "Puccinia luxurians", "Puccinia luxuriosa", "Puccinia luzulae", "Puccinia luzulae-maximae", "Puccinia luzulicola", "Puccinia luzulina", "Puccinia lychnidearum", "Puccinia lychnidearum var. arenariae", "Puccinia lychnidearum var. dianthi", "Puccinia lychnidearum var. lychnidearum", "Puccinia lychnidis", "Puccinia lychnidis-miquelianae", "Puccinia lycii", "Puccinia lyciicola", "Puccinia lycoctoni", "Puccinia lycoctoni var. lycoctoni", "Puccinia lycoctoni var. trollii", "Puccinia lycoridicola", "Puccinia lygodesmiae", "Puccinia lygodii", "Puccinia lyngbyei", "Puccinia lyngei", "Puccinia lysimachiae", "Puccinia lythri", "Puccinia macalpinei", "Puccinia macbrideana", "Puccinia macclatchieana", "Puccinia maccleanii", "Puccinia machalillae", "Puccinia machili", "Puccinia machilicola", "Herpothallon fertile", "Puccinia macintiriana", "Puccinia macowanii", "Puccinia macra", "Puccinia macrachaenii", "Puccinia macrocarya", "Puccinia macrocephala", "Puccinia macroecia", "Puccinia macropoda", "Puccinia macropus", "Puccinia macrorhynchi", "Puccinia macrosora", "Puccinia macrospora", "Puccinia maculicola", "Puccinia maculosa", "Puccinia maculosa var. lactucae", "Puccinia maculosa var. maculosa", "Puccinia macvaughii", "Puccinia madiae", "Puccinia madritensis", "Puccinia magelhaenica", "Puccinia magellanica", "Puccinia magnoecia", "Puccinia magnusiana", "Puccinia magnusii", "Puccinia magydaridis", "Puccinia mahoniae", "Puccinia majanthemi", "Puccinia major", "Puccinia major var. major", "Puccinia major var. praecox", "Puccinia majori", "Puccinia majoricensis", "Puccinia majoricensis var. gnaphalodes", "Herpothallon furfuraceum", "Puccinia majoricensis var. majoricensis", "Puccinia majuscula", "Puccinia horiana", "Puccinia horrida", "Puccinia horti-kirstenboschi", "Puccinia hoslundiae", "Puccinia hostae", "Puccinia houstoniae", "Puccinia hsinganensis", "Puccinia huallagensis", "Puccinia huberi", "Puccinia huber-morathii", "Puccinia hultenii", "Puccinia humahuacencis", "Puccinia humahuacensis", "Puccinia humationis", "Puccinia humilicola", "Puccinia humilis", "Puccinia hunzikeri", "Puccinia hutchinsiae", "Puccinia huteri", "Puccinia hyalina", "Puccinia hyalomitra", "Puccinia hyderabadensis", "Puccinia hydnoidea", "Puccinia hydrocotyles", "Puccinia hydrocotyles var. hydrocotyles", "Puccinia hydrocotyles var. tristanensis", "Puccinia hydrophylli", "Puccinia hydrophylli subsp. hydrophylli", "Puccinia hydrophylli subsp. mertensiae", "Puccinia hymenochaetoides", "Puccinia hyoscyami", "Puccinia hyoseridis-radiatae", "Puccinia hyoseridis-scabrae", "Puccinia hyparrheniae", "Puccinia hyparrheniicola", "Puccinia hyparrheniiphila", "Puccinia hyperici", "Puccinia hypochaeridis", "Puccinia hypochaeridis f. hypochaeridis", "Puccinia hypochaeridis f. longipes", "Puccinia hypochaeridis-cretensis", "Puccinia hypoxidis", "Puccinia hyptidicola", "Puccinia hyptidis", "Puccinia hyptidis-mutabilis", "Puccinia hyssopi", "Puccinia hysteriiformis", "Puccinia hysterioides", "Puccinia hysterium", "Puccinia hysterium subsp. brachycyclica", "Puccinia iberidis", "Puccinia ibozae", "Puccinia ibrae", "Puccinia ichnanthi", "Puccinia idonea", "Puccinia ifraniana", "Puccinia ignava", "Puccinia ilicis", "Puccinia illatabilis", "Puccinia imitans", "Puccinia immaculata", "Puccinia immensispora", "Puccinia impatientis", "Puccinia impatientis-elymi", "Puccinia makenensis", "Puccinia makiana", "Puccinia malabailae", "Puccinia malalhuensis", "Puccinia malatyensis", "Puccinia maligna", "Puccinia mallae", "Puccinia malvacearum", "Puccinia malvacearum var. ayajuchensis", "Puccinia malvacearum var. malvacearum", "Puccinia malvacearum var. sphaeralceae", "Puccinia malvastri", "Puccinia mamillata", "Puccinia mammillata", "Puccinia manangensis", "Puccinia mandevillae", "Puccinia mandshurica", "Puccinia mania", "Puccinia manoutcherii", "Puccinia mapaniae", "Puccinia marchionattoi", "Puccinia mariae", "Puccinia mariae-wilsoniae", "Puccinia mariae-wilsoniae var. mariae-wilsoniae", "Puccinia mariae-wilsoniae var. montiae", "Herpothallon globosum", "Puccinia mariana", "Puccinia marianae", "Puccinia marisci", "Puccinia mariscicola", "Puccinia marisci-sieberiani", "Puccinia maritima", "Puccinia marquesii", "Puccinia marsdeniae", "Puccinia martianoffiana", "Puccinia marylandica", "Puccinia massalis", "Puccinia matricariae", "Puccinia maublancii", "Puccinia maupasii", "Puccinia maurea", "Puccinia mauritanica", "Puccinia maximiliani", "Puccinia mayanoi", "Puccinia maydis", "Puccinia mayerhansii", "Puccinia mayoriana", "Puccinia mayori-eugeni", "Puccinia mayorii", "Puccinia medellinensis", "Puccinia medioasiaticae", "Puccinia mediterranea", "Puccinia medogensis", "Puccinia medusa", "Puccinia medusaeoides", "Herpothallon granulare", "Puccinia megalopotamica", "Puccinia megalospora", "Puccinia megatherium", "Puccinia mei-mamillata", "Puccinia melampodii", "Puccinia melanconioides", "Puccinia melandrii", "Puccinia melanida", "Puccinia melanocephala", "Puccinia melanogramma", "Puccinia melanographa", "Puccinia melanoplaca", "Puccinia melanopsis", "Puccinia melanosora", "Puccinia melanosora var. melanosora", "Puccinia melanosora var. tigrensis", "Puccinia melantherae", "Puccinia melanthii", "Puccinia melasmioides", "Puccinia melasmioides var. aquilegiae-viridiflorae", "Puccinia melasmioides var. melasmioides", "Puccinia melasmoides", "Puccinia melicae", "Puccinia melicina", "Puccinia melitellae", "Puccinia mellea", "Puccinia mellifera", "Puccinia meloncilloi", "Herpothallon hypoprotocetraricum", "Puccinia melothriae", "Puccinia melothricola", "Puccinia melothriicola", "Puccinia membranacea", "Puccinia memorae", "Puccinia mendozana", "Puccinia menthae", "Puccinia menthae f. americana", "Puccinia menthae f. calaminthae", "Puccinia menthae f. menthae", "Puccinia menthae f. nepetae", "Puccinia menthae var. basiporula", "Puccinia menthae var. clinopodii", "Puccinia menthae var. cordillerensis", "Puccinia menthae var. levis", "Puccinia menthae var. menthae", "Puccinia menthae var. pseudomenthae", "Puccinia menthae var. rugosa", "Puccinia menthae var. ziziphorae", "Puccinia mentzeliae", "Puccinia mera", "Puccinia mercei", "Puccinia meridensis", "Puccinia merrillii", "Puccinia mertensiae", "Herpothallon japonicum", "Puccinia mesembryanthemi", "Puccinia meshhedensis", "Puccinia mesnieriana", "Puccinia mesobulbosae", "Puccinia mesomajalis", "Puccinia mesomegala", "Puccinia mesomorpha", "Puccinia metanarthecii", "Puccinia metanarthecii var. burchardiae", "Puccinia metanarthecii var. metanarthecii", "Puccinia metastelmatis", "Puccinia metawarthecii", "Puccinia mexicana", "Puccinia mexicensis", "Puccinia meyeri-alberti", "Puccinia micranthae", "Puccinia microchloae", "Puccinia microica", "Puccinia microlonchi", "Puccinia micromeriae", "Puccinia microseris", "Puccinia microsora", "Puccinia microsperma", "Puccinia microsphincta", "Puccinia microspora", "Puccinia microstegii", "Puccinia microthelis", "Puccinia mikaniae", "Herpothallon minimum", "Puccinia mikaniae-micranthae", "Puccinia mikanifolia", "Puccinia milii", "Puccinia milii-effusi", "Puccinia millefolii", "Puccinia millefolii f. clavennae", "Puccinia millefolii f. millefolii", "Puccinia millegranae", "Puccinia milovidoviae", "Puccinia mimosae", "Puccinia minima", "Puccinia minshanensis", "Puccinia minuscula", "Puccinia minussensis", "Puccinia minussensis var. africana", "Puccinia minussensis var. minussensis", "Puccinia minuta", "Puccinia minutissima", "Brumoides septentrionis davisi", "Puccinia minutula", "Puccinia mirabilissima", "Puccinia mirandensis", "Puccinia mirifica", "Puccinia miscanthi", "Puccinia miscanthicola", "Puccinia miscanthidii", "Puccinia missouriensis", "Puccinia mitoensis", "Puccinia mitracarpi", "Puccinia mitrata", "Puccinia mitrata var. basiporula", "Puccinia mitrata var. mitrata", "Puccinia mitriformis", "Herpothallon mycelioides", "Puccinia miurae", "Puccinia mixta", "Puccinia miyabeana", "Puccinia miyakei", "Puccinia miyoshiana", "Puccinia modesta", "Puccinia modica", "Puccinia modiolae", "Puccinia moehringiae", "Puccinia moelleriana", "Puccinia mogiphanis", "Puccinia moiwensis", "Puccinia molikaiensis", "Puccinia moliniae", "Puccinia moliniicola", "Puccinia molokaiensis", "Puccinia obscurata", "Puccinia obscuripora", "Puccinia obtecta", "Herpothallon rubrocinctoides", "Puccinia obtectella", "Puccinia obtegens", "Puccinia obtegenta", "Puccinia obtusa", "Puccinia obtusata", "Puccinia obvoluta", "Puccinia occulta", "Puccinia ocellifera", "Puccinia ocimi", "Puccinia odontolepidis", "Puccinia oederi", "Puccinia oedibasidis", "Puccinia oedipus", "Puccinia oedopoda", "Puccinia oedospora", "Puccinia oenanthes", "Puccinia oenanthes-stoloniferae", "Puccinia oenotherae", "Puccinia oerteliana", "Puccinia offuscata", "Puccinia ohsawaensis", "Puccinia okatamaensis", "Puccinia okudairai", "Puccinia oldenlandiae", "Puccinia oldenlandiicola", "Brumoides septentrionis hogei", "Puccinia oleariae", "Puccinia oliganthae", "Puccinia oliganthicola", "Puccinia oligocarpa", "Puccinia olyrae-latifoliae", "Puccinia omeiensis", "Puccinia omnivora", "Puccinia oncidii", "Puccinia oniwaensis", "Puccinia onobrychidis", "Puccinia onopordi", "Puccinia onosmae", "Puccinia onosmaticola", "Puccinia opaca", "Puccinia operculariae", "Puccinia operculinae", "Puccinia operta", "Puccinia ophiopogonis", "Puccinia opipara", "Puccinia opizii", "Puccinia oplismeni", "Puccinia opopanacis", "Puccinia opposita", "Puccinia opulenta", "Puccinia opuntiae", "Puccinia orbicula", "Puccinia orbiculata", "Puccinia orchidearum-phalaridis", "Puccinia ordinata", "Puccinia oregonensis", "Puccinia orellana", "Puccinia oreoboli", "Puccinia oreogeta", "Puccinia oreomyrrhidis", "Puccinia mysorensis", "Puccinia nabali", "Puccinia nabugaboensis", "Puccinia nakanishikii", "Puccinia nakanoi", "Puccinia namibiana", "Puccinia namjagbarwana", "Puccinia namua", "Puccinia nanbuana", "Puccinia nanomitra", "Puccinia narcissi", "Puccinia nardosmiae", "Puccinia narduri", "Puccinia narinensis", "Puccinia nasellae", "Puccinia nassellae", "Puccinia nassellae var. nassellae", "Puccinia nassellae var. platensis", "Puccinia nastanthi", "Puccinia nasuensis", "Puccinia natalensis", "Puccinia natalensis var. evansii", "Puccinia natalensis var. natalensis", "Puccinia naumanniana", "Puccinia naumovii", "Puccinia necopina", "Puccinia negeriana", "Puccinia neglecta", "Puccinia negrensis", "Puccinia nemophila", "Puccinia nemoralis", "Herpothallon pustulatum", "Puccinia neocoronata", "Puccinia neohyptidis", "Puccinia neoporteri", "Puccinia neorotundata", "Puccinia neotuberculata", "Puccinia nepalensis", "Puccinia nepetae", "Puccinia nephroidea", "Puccinia nephrophylli", "Puccinia nephrophyllidii", "Puccinia nervincola", "Puccinia nerviphila", "Puccinia nesaeae", "Puccinia nesodes", "Puccinia neurophila", "Puccinia nevadensis", "Puccinia nevadensis var. giennensis", "Puccinia nevadensis var. nevadensis", "Puccinia nevodovskii", "Puccinia neyraudiae", "Puccinia nicotianae", "Puccinia nidificans", "Puccinia niederleinii", "Puccinia nierembergiae", "Puccinia nigrescens", "Puccinia nigroconoidea", "Puccinia nigrolinearis", "Puccinia nigrovelata", "Puccinia niitakensis", "Puccinia nipponica", "Puccinia nishidana", "Puccinia nissoliae", "Puccinia momordicae", "Puccinia monardae", "Puccinia monardellae", "Puccinia monoica", "Puccinia monopora", "Puccinia monsoniae", "Puccinia montagnei", "Puccinia montana", "Puccinia montanensis", "Puccinia monticola", "Puccinia montisfontium", "Puccinia montivaga", "Puccinia montoyae", "Puccinia montoyai", "Puccinia montserrates", "Puccinia moraeae", "Puccinia morata", "Puccinia moreae", "Puccinia moreniana", "Puccinia morganae", "Puccinia morigera", "Puccinia moringae", "Puccinia moriokaensis", "Puccinia moriokaensis var. moriokaensis", "Puccinia moriokaensis var. okatamaensis", "Puccinia morobeana", "Puccinia morobensis", "Puccinia morotoensis", "Puccinia morreniae", "Puccinia morrisoni", "Puccinia morthieri", "Puccinia moschariae", "Puccinia moschata", "Puccinia moschopsidis", "Herpothallon nigroisidiatum", "Puccinia mougeotii", "Puccinia moyanoi", "Puccinia mucronata", "Puccinia mucronata a rosae", "Puccinia mucronata \u00df mucronata", "Puccinia mucronata \u00df rubi", "Puccinia mucronata var. mucronata", "Puccinia muehlenbeckiae", "Puccinia muhlenbergiae", "Puccinia mulgedii", "Puccinia multiloculata", "Puccinia munbyi", "Puccinia mundula", "Puccinia munita", "Puccinia murashkinskii", "Puccinia musenii", "Puccinia mussonii", "Puccinia mutabilis", "Puccinia mutisiae", "Puccinia mutisiicola", "Puccinia mycogone", "Puccinia myosotidis", "Puccinia myosotidis-alpestris", "Puccinia myrrhis", "Brumoides septentrionis septentrionis", "Puccinia myrsiphylli", "Herpothallon philippinum", "Puccinia nitida", "Puccinia nitida var. major", "Herpothallon queenslandicum", "Puccinia nitida var. nitida", "Puccinia nitidula", "Puccinia nivea", "Puccinia niveoides", "Puccinia noackii", "Puccinia noccae", "Puccinia nociva", "Puccinia nocticolor", "Puccinia nodosa", "Puccinia nokoensis", "Puccinia noli-tangere", "Puccinia nolletiae", "Puccinia nonensis", "Puccinia nonerumpens", "Puccinia norica", "Puccinia notabilis", "Puccinia notha", "Puccinia notha subsp. notha", "Puccinia notha subsp. socorrensis", "Puccinia notha var. atrocastanea", "Puccinia notha var. notha", "Puccinia notha var. peraffinis", "Puccinia nothaphoebes", "Puccinia nothoscordi", "Puccinia notobasidis", "Puccinia notopterae", "Puccinia novae-zelandiae", "Puccinia novae-zembliae", "Puccinia novozelandica", "Puccinia nubigena", "Herpothallon roseocinctum", "Puccinia nuda", "Puccinia nuttallii", "Puccinia nyasaensis", "Puccinia nyasalandica", "Puccinia oahuensis", "Puccinia oaxacana", "Puccinia obducens", "Puccinia obesa", "Puccinia obesiseptata", "Puccinia obesispora", "Puccinia oblata", "Puccinia obliqua", "Puccinia obliquoseptata", "Puccinia obliterata", "Puccinia oblongata", "Puccinia oblongatoides", "Puccinia oblongula", "Puccinia obregonensis", "Puccinia obrepta", "Puccinia obscura", "Puccinia obscura f.sp. campestris", "Puccinia obscura f.sp. luzulinae", "Puccinia obscura f.sp. multiflorae", "Puccinia obscura f.sp. niveae", "Puccinia obscura f.sp. pilosae", "Puccinia obscura sensu", "Puccinia obscura var. luzulae-maximae", "Puccinia obscura var. obscura", "Puccinia obscura var. vernalis", "Puccinia phragmitis f.sp. polygoni-cuspidatae", "Puccinia phragmitis f.sp. polygoni-thunbergii", "Puccinia phragmitis f.sp. rumicis-acetosae", "Puccinia phragmitis f.sp. rumicis-japonicae", "Puccinia phragmitis var. longinqua", "Puccinia phragmitis var. phragmitis", "Puccinia phrymae", "Puccinia phrynae", "Puccinia phyllachoroidea", "Puccinia phyllocladiae", "Puccinia phyllostachydis", "Puccinia phymatospora", "Puccinia physalidis", "Puccinia physedrae", "Puccinia physospermi", "Puccinia physospermopsis", "Puccinia physostegiae", "Puccinia phyteumatis", "Puccinia picridii", "Puccinia picridis", "Puccinia picridis-strigosae", "Puccinia picridis-strigosae var. longipedicellata", "Puccinia picridis-strigosae var. picridis-strigosae", "Puccinia picrosiae", "Puccinia picturata", "Puccinia pienaarii", "Puccinia pilearum", "Puccinia pileatospora", "Puccinia pilgeriana", "Puccinia pilocarpi", "Puccinia pilocarpi var. minor", "Puccinia pilocarpi var. pilocarpi", "Puccinia piloselloidearum", "Puccinia pimpinellae", "Puccinia pimpinellae subsp. carlottae", "Puccinia pimpinellae subsp. pimpinellae", "Puccinia pimpinellae var. eryngii", "Puccinia pimpinellae var. pimpinellae", "Puccinia pimpinellae-bistortae", "Puccinia pimpinellae-brachycarpae", "Puccinia pimpinellarum", "Puccinia pinaropappi", "Puccinia pindoramae", "Puccinia pinguis", "Puccinia piperi", "Puccinia piperi subsp. piperi", "Puccinia piperi subsp. scillae-rubrae", "Puccinia piptadeniae", "Puccinia piptatheri", "Puccinia piptocarphae", "Puccinia piptochaetii", "Puccinia piqueriae", "Puccinia pisi", "Puccinia pistorica", "Puccinia pitcairniae", "Puccinia pitcairniae subsp. chapalensis", "Puccinia pitcairniae subsp. pitcairniae", "Puccinia pithecoctenii", "Puccinia pittieriana", "Puccinia placeae", "Puccinia plagianthi", "Puccinia plagii", "Puccinia plagiopus", "Puccinia plantaginis", "Puccinia pavoniae", "Puccinia pazensis", "Puccinia pazschkei", "Puccinia pazschkei var. ferrugineae", "Puccinia pazschkei var. heterisiae", "Puccinia pazschkei var. huteri", "Puccinia pazschkei var. jueliana", "Puccinia pazschkei var. oppositifoliae", "Puccinia pazschkei var. pazschkei", "Puccinia pazschkei var. tricuspidatae", "Puccinia peckiana", "Puccinia peckii", "Puccinia pectiniformis", "Puccinia pedatissima", "Puccinia pedicularis", "Puccinia pedunculata", "Puccinia pegleriana", "Puccinia pelargonii", "Puccinia pelargonii-zonalis", "Puccinia pencana", "Puccinia penicillariae", "Puccinia penningtonii", "Puccinia penniseti", "Puccinia penniseticola", "Puccinia penniseti-lanati", "Puccinia penniseti-spicati", "Puccinia pentactina", "Puccinia pentadicola", "Brumoides suturalis", "Puccinia pentadis", "Puccinia pentadis-carneae", "Puccinia pentanisiae", "Puccinia pentanisiae var. pentagynae", "Puccinia pentanisiae var. pentanisiae", "Puccinia pentastemonis", "Puccinia pentastemonum", "Puccinia pentstemonis", "Puccinia peperomiae", "Puccinia peraffinis", "Puccinia perasperata", "Puccinia perelegans", "Puccinia pereziae", "Puccinia pereziicola", "Puccinia perforans", "Puccinia perfuncta", "Puccinia peridermiospora", "Puccinia perincerta", "Puccinia periodica", "Puccinia peristrophes", "Puccinia perlaevis", "Puccinia permagna", "Puccinia perminuta", "Puccinia permixta", "Puccinia perotidis", "Puccinia perplexans", "Puccinia perplexans f. arrhenatheri", "Puccinia perplexans f. perplexans", "Puccinia perplexans var. perplexans", "Puccinia perplexans var. triticina", "Puccinia perplexantem", "Puccinia perscita", "Puccinia persica", "Puccinia persistens", "Puccinia persistens subsp. agropyri", "Puccinia oreophila", "Puccinia oreophilae", "Puccinia oreoselini", "Puccinia oreosolenis", "Puccinia oriciae", "Herpothallon rubrocinctum", "Puccinia orientalis", "Puccinia ormosiae", "Puccinia ornata", "Puccinia ornatula", "Puccinia ornithogali", "Puccinia ornithogali-thyrsoidis", "Puccinia ortizi", "Puccinia ortonii", "Puccinia oryzopsidis", "Puccinia osbornii", "Puccinia osmorhizae", "Puccinia osoyoosensis", "Puccinia ostryoderridis", "Puccinia osyridocarpi", "Puccinia otaniana", "Puccinia otavalensis", "Puccinia othonnae", "Puccinia othonnoides", "Puccinia otiophorae", "Puccinia otomeriae", "Puccinia otopappi", "Puccinia otopappicola", "Puccinia otostegia", "Puccinia ottochloae", "Puccinia otzeniani", "Puccinia oudemansii", "Puccinia ourisiae", "Puccinia ourmiahensis", "Puccinia ovamboensis", "Puccinia oxalidis", "Herpothallon rubromaculatum", "Puccinia oxyacanthae", "Puccinia oxypetali", "Puccinia oxyriae", "Puccinia oxyris", "Puccinia oyedaeae", "Puccinia pachycarpi", "Puccinia pachycephala", "Puccinia pachyderma", "Puccinia pachypes", "Puccinia pachyphloea", "Puccinia pachyspora", "Puccinia pacifica", "Puccinia pacilis", "Puccinia padwickii", "Puccinia paederiae", "Puccinia paederotae", "Puccinia pagana", "Puccinia paihuashanensis", "Puccinia pakistani", "Puccinia palicoureae", "Puccinia paliformis", "Puccinia pallefaciens", "Puccinia pallens", "Puccinia pallescens", "Heiomasia sipmanii", "Puccinia pallida", "Puccinia pallidefaciens", "Puccinia printziae", "Puccinia prionosciadii", "Puccinia pritzeliana", "Puccinia pritzelii", "Puccinia proba", "Puccinia probabilis", "Puccinia procera", "Puccinia procerula", "Puccinia proluviosa", "Puccinia promatensis", "Puccinia propinqua", "Puccinia proserinacae", "Puccinia proserpinacae", "Puccinia prosopidis", "Puccinia prospera", "Puccinia prostii", "Puccinia proximella", "Puccinia prunastri", "Puccinia pruni", "Puccinia prunicolor", "Puccinia pruni-persicae", "Puccinia pruni-spinosae", "Puccinia pruni-spinosae f. discolor", "Puccinia pruni-spinosae f. pruni-spinosae", "Puccinia prunorum", "Puccinia pryorii", "Puccinia psammochloae", "Puccinia psephelli", "Puccinia pseudechinolaenae", "Puccinia pseudoatra", "Puccinia pseudocesatii", "Puccinia pseudocymopteri", "Puccinia pseudomenthae", "Puccinia pseudomyuri", "Puccinia pseudophacospora", "Puccinia pseudophaeospora", "Puccinia pseudosphaeria", "Puccinia pseudostriiformis", "Puccinia psidii", "Puccinia psoraleae", "Puccinia psoroderma", "Puccinia psychotriae", "Puccinia ptarmicae", "Puccinia ptarmicae-caricis", "Puccinia pternopetali", "Puccinia pterocauli", "Puccinia pteroniae", "Puccinia ptilosiae", "Puccinia ptychotidis", "Puccinia pucarae", "Puccinia pugiensis", "Puccinia puiggarii", "Puccinia pulchella", "Puccinia pulchra", "Puccinia pulsatillae", "Puccinia pulverulenta", "Puccinia pulvillulata", "Aconitum smirnovii", "Puccinia pulvinata", "Puccinia pulvinata f. jurineae", "Puccinia pulvinata f. pulvinata", "Puccinia pulvinulata", "Puccinia pumilae-coronatae", "Puccinia polygonicola", "Puccinia polygoni-convolvuli", "Puccinia polygoni-cyanandri", "Puccinia polygoni-lapathifolii", "Puccinia polygoni-pensylvanici", "Puccinia polygoni-sachalinensis", "Puccinia polygoni-sieboldii", "Puccinia polygoni-vivipari", "Puccinia polygoni-weyrichii", "Puccinia polygonorum", "Puccinia polymniae", "Puccinia polypogonis", "Puccinia polypogonobia", "Puccinia polysora", "Puccinia polystegia", "Puccinia ponsae", "Puccinia popowiae", "Puccinia populi-albae", "Puccinia poromera", "Puccinia porophylli", "Puccinia porphyretica", "Puccinia porphyrogenita", "Puccinia porri", "Puccinia porteri", "Puccinia posadensis", "Puccinia potentillae", "Puccinia potosina", "Puccinia pottsii", "Puccinia pounamu", "Puccinia pounanumu", "Puccinia pouzolzii", "Puccinia pozzii", "Puccinia praealta", "Puccinia praeandina", "Puccinia praecellens", "Puccinia praeclara", "Puccinia praecox", "Puccinia praeculta", "Puccinia praedicabilis", "Puccinia praedicta", "Puccinia praegracilis", "Puccinia praegracilis var. cabotiana", "Puccinia praegracilis var. connersii", "Puccinia praegracilis var. praegracilis", "Puccinia praemorsa", "Puccinia praetermissa", "Puccinia praevara", "Puccinia prainiana", "Puccinia pratensis", "Puccinia premnae", "Puccinia prenanthis", "Puccinia prenanthis var. himalensis", "Puccinia prenanthis var. prenanthis", "Puccinia prenanthis-purpureae", "Puccinia prenanthis-purpureae var. himalensis", "Puccinia prenanthis-purpureae var. prenanthis-purpureae", "Puccinia prenanthis-racemosae", "Puccinia prescotti", "Puccinia pretoriensis", "Puccinia primulae", "Puccinia princeps", "Puccinia pringhsheimiana", "Puccinia pringlei", "Puccinia pringsheimiana", "Puccinia persistens subsp. agropyrina", "Puccinia persistens subsp. persistens", "Puccinia persistens subsp. triticina", "Puccinia persistens var. agropyrina", "Puccinia persistens var. borealis", "Puccinia persistens var. bromi-erecti", "Puccinia persistens var. cerinthes-agropyrina", "Puccinia persistens var. heteroecica", "Puccinia persistens var. milii-effusi", "Puccinia persistens var. persistens", "Puccinia persistens var. sardonensis", "Puccinia persistens var. scarlensis", "Puccinia persistens var. thalictri-distichophylli", "Puccinia persistens var. thalictri-koeleriae", "Puccinia persistens var. thalictri-poarum", "Puccinia persistens var. triticina", "Puccinia perspicabilis", "Puccinia pertenuis", "Puccinia pertrita", "Puccinia perundulata", "Puccinia peruviana", "Puccinia pervenusta", "Puccinia pestibilis", "Puccinia petalostemonis", "Puccinia petasites-pendulae", "Puccinia petasites-poarum", "Puccinia petasites-pulchellae", "Puccinia petasitis", "Puccinia petitianae", "Puccinia petrakii", "Puccinia petroselini", "Puccinia peucedani", "Puccinia peucedani-alsatici", "Puccinia peucedani-austriaci", "Puccinia peucedani-elgonensis", "Puccinia peucedani-kerstenii", "Puccinia peucedani-parisiensis", "Puccinia pfaffiae", "Puccinia phaceliae", "Puccinia phaenospermatis", "Puccinia phaeopappi", "Puccinia phaeopappi var. cretica", "Puccinia phaeopappi var. phaeopappi", "Puccinia phaeopoda", "Puccinia phaeospora", "Puccinia phaeosticta", "Puccinia phakopsoroides", "Puccinia phalaridis", "Puccinia phaseoli", "Puccinia phaseoli var. phaseoli", "Puccinia phaseoli var. taraxaci", "Puccinia phaseoli-trilobi", "Puccinia phellopteri", "Puccinia phelloptericola", "Puccinia philibertiae", "Puccinia philippii", "Puccinia philippinensis", "Puccinia phlei-pratensis", "Puccinia phlogacanthi", "Puccinia phlomidis", "Puccinia phlyctopus", "Puccinia phoebes-hunanensis", "Puccinia phomi", "Puccinia phragmitis", "Puccinia platani", "Puccinia platypoda", "Puccinia platyspora", "Puccinia platytaeniae", "Puccinia plectranthella", "Puccinia plectranthi", "Puccinia plectranthicola", "Puccinia pleurospermi", "Puccinia plicata", "Puccinia plucheae", "Puccinia plumasensis", "Puccinia plumbaria", "Puccinia poae-alpinae", "Puccinia poae-annuae", "Puccinia poae-aposeridis", "Puccinia poae-nemoralis", "Puccinia poae-nemoralis f.sp. caulophylli", "Puccinia poae-nemoralis f.sp. milii", "Puccinia poae-nemoralis subsp. hyparctica", "Puccinia poae-nemoralis subsp. poae-nemoralis", "Puccinia poae-pratensis", "Puccinia poae-sudeticae", "Puccinia poae-sudeticae f.sp. poae", "Puccinia poae-sudeticae var. airae", "Puccinia poae-sudeticae var. poae-sudeticae", "Puccinia poae-trivialis", "Puccinia poarum", "Puccinia poarum var. petasitidis-pulchellae", "Puccinia poarum var. poarum", "Puccinia poculiformis", "Puccinia podolepidis", "Allodus podophylli", "Puccinia podospermi", "Puccinia pogonarthriae", "Puccinia pogonatheri", "Puccinia poikilospora", "Puccinia pole-evansii", "Puccinia polemonii", "Puccinia polii", "Puccinia polliniae", "Puccinia polliniae-imberbis", "Puccinia polliniae-quadrinervis", "Puccinia polliniicola", "Puccinia polozhiae", "Puccinia polycampta", "Puccinia polycnemi", "Puccinia polygalae", "Puccinia polygoni", "Puccinia polygoni var. bistortae", "Puccinia polygoni var. lysamachiae", "Puccinia polygoni var. polygoni", "Puccinia polygoni-alpini", "Puccinia polygoni-amphibii", "Puccinia polygoni-amphibii var. convolvuli", "Puccinia polygoni-amphibii var. persicae", "Puccinia polygoni-amphibii var. persicariae", "Puccinia polygoni-amphibii var. polygoni-amphibii", "Puccinia polygoni-amphibii var. polygoni-caespitosi", "Puccinia polygoni-amphibii var. polygoni-sachalinensis", "Puccinia polygoni-amphibii var. polygoni-sieboldii", "Puccinia polygoni-amphibii var. tovariae", "Puccinia polygoni-avicularis", "Puccinia polygoni-avicularis var. fabae", "Puccinia pallidissima", "Puccinia pallidomaculata", "Puccinia pallor", "Puccinia palmeri", "Puccinia paludosa", "Puccinia pamirica", "Puccinia pammelii", "Puccinia pampeana", "Puccinia panciciae", "Puccinia pangasinensis", "Puccinia panici", "Puccinia panicicola", "Puccinia panici-montani", "Puccinia panicophila", "Puccinia paniculariae", "Puccinia papillata", "Puccinia papillifera", "Puccinia papillosa", "Puccinia pappiana", "Puccinia pappophori", "Puccinia papuana", "Puccinia paradis", "Puccinia paradoxapoda", "Puccinia paradoxica", "Puccinia paraensis", "Puccinia paraguayensis", "Puccinia paramensis", "Puccinia paranahybae", "Puccinia paraphysaria", "Puccinia paraphysata", "Puccinia parca", "Puccinia paridis-digraphidis", "Puccinia parielii", "Puccinia parilis", "Puccinia parkerae", "Puccinia parksiana", "Puccinia parnassiae", "Puccinia parodii", "Puccinia paronychiae", "Puccinia paroselae", "Puccinia parthenices", "Puccinia parthenii", "Puccinia partheniicola", "Puccinia pasitheae", "Puccinia paspali", "Puccinia paspalicola", "Puccinia paspalina", "Puccinia passerinii", "Puccinia passerinii var. iranica", "Puccinia passerinii var. passerinii", "Puccinia patagonica", "Puccinia patriniae", "Puccinia patriniae-gibbosae", "Puccinia patruelis", "Puccinia pattersoniae", "Puccinia pattersoniana", "Puccinia paulensis", "Puccinia paulii", "Puccinia paullula", "Puccinia paullula f.sp. amorphopalli", "Puccinia paullula f.sp. monsterae", "Puccinia paulsenii", "Puccinia paupercula", "Puccinia punctata", "Puccinia punctata f.sp. galii-cruciatae", "Puccinia punctata f.sp. galii-pumili", "Puccinia punctata f.sp. galii-pumiti", "Puccinia punctata f.sp. galii-purpurei", "Puccinia punctata f.sp. galii-veri", "Puccinia punctata var. coaetanea", "Puccinia punctata var. punctata", "Puccinia punctata var. troglodytes", "Puccinia punctiformis", "Puccinia punctoidea", "Puccinia punctum", "Puccinia puntana", "Puccinia puritanica", "Puccinia purpurea", "Puccinia purpurescens", "Puccinia purpusii", "Puccinia pusilla", "Puccinia puspa", "Puccinia pustulata", "Puccinia puta", "Puccinia puttemansii", "Puccinia puyana", "Puccinia pycnanthemi", "Puccinia pycnothelis", "Puccinia pygmaea", "Puccinia pygmaea var. ammophilina", "Puccinia pygmaea var. angusta", "Puccinia pygmaea var. chisosana", "Puccinia pygmaea var. major", "Puccinia pygmaea var. minor", "Puccinia pygmaea var. pygmaea", "Puccinia pyrenaea", "Puccinia pyrethri", "Puccinia pyrolae", "Puccinia pyrrhopappi", "Puccinia quadricostata", "Puccinia quadriporula", "Puccinia quercus", "Puccinia quillensis", "Puccinia quitensis", "Puccinia rabdosiae", "Puccinia rameliana", "Puccinia ramelianoides", "Puccinia rangiferina", "Puccinia ranulipes", "Puccinia ranunculi", "Puccinia ranunculi-falcati", "Puccinia rapipes", "Puccinia rara", "Puccinia rata", "Puccinia raunkiaerii", "Puccinia rautahi", "Puccinia reaumuriae", "Puccinia recedens", "Puccinia rechingeri", "Puccinia rechingeriana", "Puccinia recondita", "Puccinia recondita f.sp. agropyrina", "Puccinia recondita f.sp. agrostidis", "Puccinia recondita f.sp. borealis", "Puccinia recondita f.sp. bromina", "Puccinia recondita f.sp. echii-agropyrina", "Puccinia recondita f.sp. holci", "Puccinia recondita f.sp. holcina", "Puccinia recondita f.sp. perplexans", "Puccinia recondita f.sp. persistens", "Puccinia recondita f.sp. recondita", "Puccinia recondita f.sp. triseti", "Puccinia recondita f.sp. tritici", "Puccinia recondita f.sp. triticina", "Puccinia recondita subsp. persistens", "Puccinia recondita subsp. recondita", "Puccinia recondita var. recondita", "Puccinia recondita var. simlensis", "Puccinia redempta", "Puccinia redfieldiae", "Puccinia reichei", "Puccinia reidii", "Puccinia remireae", "Puccinia remoti-montis", "Puccinia repentina", "Puccinia retecta", "Puccinia reticulata", "Puccinia retifera", "Puccinia reverdattoana", "Puccinia rhaetica", "Puccinia rhaetica subsp. americana", "Puccinia rhaetica subsp. rhaetica", "Puccinia rhagadioli", "Puccinia rhamni", "Puccinia rhaphidophorae", "Puccinia rhapontici", "Puccinia rhei-palmati", "Puccinia rhei-undulati", "Puccinia rhodiolae", "Puccinia rhododendri", "Puccinia rhynchosiae", "Puccinia rhynchosporae", "Puccinia rhynchosporae-candidae", "Puccinia rhynchosporicola", "Puccinia rhynchosporiphila", "Puccinia rhyssostelmatis", "Puccinia rhytidioderma", "Puccinia rhytismoides", "Puccinia ribesii-caricis", "Puccinia ribesii-caricis f.sp. ribis-ferrugineae", "Puccinia ribesii-digitatae", "Puccinia ribesii-diversicoloris", "Puccinia ribesii-pendulae", "Puccinia ribesii-pseudocyperi", "Puccinia ribis", "Puccinia ribis var. ribis", "Puccinia ribis-japonici", "Puccinia ribis-nigri-acutae", "Puccinia ribis-nigri-lasiocarpae", "Puccinia ribis-nigri-paniculatae", "Puccinia richardsonii", "Puccinia rigensis", "Puccinia rimosa", "Puccinia rimosa f. nattrassii", "Puccinia rimosa f. rimosa", "Puccinia riobambensis", "Puccinia riparia", "Puccinia ripulae", "Puccinia rivalis", "Puccinia rivinae", "Puccinia rocherpaniana", "Puccinia rodriguezii", "Puccinia roegneriae", "Puccinia roesteliiformis", "Puccinia romagnoliana", "Puccinia romanzoffiae", "Puccinia rompelii", "Puccinia romuleae", "Puccinia rosae", "Puccinia roscoeae", "Puccinia rosea", "Puccinia roseana", "Puccinia roseanae", "Puccinia rosenii", "Puccinia rossiana", "Puccinia rossii", "Puccinia rostkowiae", "Puccinia rostrata", "Puccinia rottboelliae", "Puccinia rottboelliana", "Puccinia rotundata", "Puccinia rouliniae", "Puccinia rubefaciens", "Puccinia rubelii", "Puccinia rubella", "Puccinia rubi", "Puccinia rubiae", "Puccinia rubiae-tataricae", "Puccinia rubicola", "Puccinia rubicunda", "Puccinia rubiginosa", "Puccinia rubigo-vera", "Puccinia rubigo-vera f. secalis", "Puccinia rubigo-vera f. triseti", "Puccinia rubigo-vera f.sp. aconiti-rubrae", "Puccinia rubigo-vera f.sp. actaeae-agropyri", "Puccinia rubigo-vera f.sp. actaeae-elymi", "Puccinia rubigo-vera f.sp. agrostidis", "Puccinia rubigo-vera f.sp. alpina", "Puccinia rubigo-vera f.sp. alternans", "Puccinia rubigo-vera f.sp. anemonicola", "Puccinia rubigo-vera f.sp. anomala", "Puccinia rubigo-vera f.sp. aquilegiae", "Puccinia rubigo-vera f.sp. arthuri", "Puccinia rubigo-vera f.sp. arvensis", "Puccinia rubigo-vera f.sp. bethelii", "Puccinia rubigo-vera f.sp. bromi", "Puccinia rubigo-vera f.sp. bromicola", "Puccinia rubigo-vera f.sp. californica", "Puccinia rubigo-vera f.sp. canadensis", "Puccinia rubigo-vera f.sp. circumscripta", "Puccinia rubigo-vera f.sp. clematidicola", "Puccinia rubigo-vera f.sp. coloradensis", "Puccinia rubigo-vera f.sp. dakotensis", "Puccinia rubigo-vera f.sp. delphinii", "Puccinia rubigo-vera f.sp. dietrichiana", "Puccinia rubigo-vera f.sp. elymicola", "Puccinia rubigo-vera f.sp. fraseri", "Puccinia rubigo-vera f.sp. graminicola", "Puccinia rubigo-vera f.sp. hepaticae-agropyri", "Puccinia rubigo-vera f.sp. hepaticae-elymi", "Puccinia rubigo-vera f.sp. holcina", "Puccinia rubigo-vera f.sp. hordeicola", "Puccinia rubigo-vera f.sp. hydrophylli", "Puccinia rubigo-vera f.sp. impatiensis", "Puccinia rubigo-vera f.sp. indianensis", "Puccinia rubigo-vera f.sp. lithospermi", "Puccinia rubigo-vera f.sp. montanensis", "Puccinia rubigo-vera f.sp. obliterata", "Puccinia rubigo-vera f.sp. occidentalis", "Puccinia rubigo-vera f.sp. onosmodii", "Puccinia rubigo-vera f.sp. oregonensis", "Puccinia rubigo-vera f.sp. orientalis", "Puccinia rubigo-vera f.sp. perplexans", "Puccinia rubigo-vera f.sp. persistens", "Puccinia rubigo-vera f.sp. phaceliae", "Puccinia rubigo-vera f.sp. procera", "Puccinia rubigo-vera f.sp. puccinelliae", "Puccinia rubigo-vera f.sp. secalis", "Puccinia rubigo-vera f.sp. septentrionalis", "Puccinia rubigo-vera f.sp. similis", "Puccinia rubigo-vera f.sp. singularis", "Puccinia rubigo-vera f.sp. stenobromi", "Puccinia rubigo-vera f.sp. symphyti-bromorum", "Puccinia rubigo-vera f.sp. triseti", "Puccinia rubigo-vera f.sp. tritici", "Puccinia rubigo-vera f.sp. triticina", "Puccinia rubigo-vera f.sp. virginica", "Puccinia rubigo-vera f.sp. vulgaris", "Puccinia rubigo-vera f.sp. wardii", "Puccinia rubigo-vera f.sp. zeobromi", "Puccinia rubigo-vera var. agropyri", "Puccinia rubigo-vera var. impatientis", "Puccinia rubigo-vera var. rubigo-vera", "Puccinia rubigo-vera var. simplex", "Puccinia rubigo-vera var. tritici", "Puccinia rubi-idaei", "Puccinia rubiivora", "Puccinia ruborum", "Puccinia rubricans", "Puccinia rudbeckiae", "Puccinia ruderaria", "Puccinia ruebsaamenii", "Puccinia ruelliae", "Puccinia ruelliae-bourgaei", "Puccinia ruelliae-parviflorae", "Puccinia ruelliicola", "Puccinia rufescens", "Puccinia rufescens var. densiflorae", "Puccinia rufescens var. rufescens", "Puccinia rufipes", "Puccinia rugispora", "Puccinia rugosa", "Puccinia rugulosa", "Puccinia ruizensis", "Puccinia rumescicola", "Puccinia rumicicola", "Puccinia rumicis", "Puccinia rumicis-scutati", "Puccinia rumicis-scutati var. rumicis-scutati", "Puccinia rupestris", "Puccinia russa", "Puccinia russa var. leptoticha", "Puccinia russa var. russa", "Puccinia rutainsulara", "Puccinia ruttneri", "Puccinia rydbergii", "Puccinia rytzii", "Puccinia saccardoi", "Puccinia sacchari", "Puccinia saepta", "Puccinia saginae", "Puccinia sagittariae", "Puccinia sagittata", "Puccinia sakamotoi", "Puccinia salebrata", "Puccinia salicum-prunorum", "Puccinia salinarum", "Puccinia saltensis", "Puccinia saltensis var. faldensis", "Puccinia saltensis var. saltensis", "Puccinia salviae", "Puccinia salviae-glutinosae", "Puccinia salviae-interruptae", "Puccinia salviae-lanceolatae", "Puccinia salviae-runcinatae", "Puccinia salviae-stipae", "Puccinia salviicola", "Puccinia sambuci", "Puccinia samperi", "Puccinia sana", "Puccinia sanctae-balmae", "Puccinia sanguinea", "Puccinia sanguinolenta", "Puccinia sanguisorbae", "Puccinia saniculae", "Puccinia saniniensis", "Puccinia santolinae", "Puccinia sarachae", "Puccinia sardonensis", "Puccinia sasae", "Puccinia satarensis", "Puccinia satureiae", "Puccinia satyrii", "Puccinia saussureae", "Puccinia saussureae-acrophyllae", "Puccinia saussureae-alpinae", "Puccinia saussureae-ussuriensis", "Puccinia saxifragae", "Puccinia saxifragae var. curtipes", "Puccinia saxifragae var. heucherarum", "Puccinia saxifragae var. holochloae", "Puccinia saxifragae var. longior", "Puccinia saxifragae var. mitellae", "Puccinia saxifragae var. saxifragae", "Puccinia saxifragae-ciliatae", "Puccinia saxifragae-gei", "Puccinia saxifragae-micranthae", "Puccinia saxifragae-tricuspidatae", "Puccinia saxifragarum", "Puccinia scaber", "Puccinia scabiosae", "Puccinia scabiosae-sempervirentis", "Puccinia scabrida", "Puccinia scaevolincola", "Puccinia scaliana", "Puccinia scandica", "Puccinia scandicicola", "Puccinia scarlensis", "Puccinia scharifii", "Puccinia schedonnardii", "Puccinia schelliana", "Puccinia semibarbatae", "Puccinia semiinsculpta", "Puccinia semi-insculpta", "Puccinia semi-insculpta var. hennenii", "Puccinia semi-insculpta var. semi-insculpta", "Puccinia semiloculata", "Puccinia semireticulata", "Puccinia semota", "Puccinia senecionicola", "Puccinia senecionis", "Puccinia senecionis-acutiformis", "Puccinia senecionis-ochrocarpi", "Puccinia senecionis-scandentis", "Puccinia senilis", "Puccinia seorsa", "Puccinia separabilis", "Puccinia seposita", "Puccinia septentrionalis", "Puccinia septentrionalis var. japonica", "Puccinia septentrionalis var. septentrionalis", "Puccinia sepulta", "Puccinia seriata", "Puccinia seriphidii", "Puccinia serjaniae", "Puccinia serpylli", "Puccinia serratulae", "Puccinia serratulae-caricis", "Puccinia serratulae-cerinthefoliae", "Puccinia serratulae-oligocephalae", "Puccinia serratulae-pinnatifidae", "Puccinia serrulatae", "Puccinia sertata", "Puccinia seseleos", "Puccinia seseleos f.sp. seseleos-montani", "Puccinia sesleriae", "Puccinia sesleriae-caeruleae", "Puccinia sessilis", "Puccinia sessilis f.sp. convallariae-digraphidis", "Puccinia sessilis f.sp. narcissi-orchidacearum", "Puccinia sessilis f.sp. orchidacearum", "Puccinia sessilis f.sp. smilacearum-digraphidis", "Puccinia sessilis var. minor", "Puccinia sessilis var. sessilis", "Puccinia setariae", "Puccinia setariae-forbesianae", "Puccinia setariae-longisetae", "Puccinia setariae-viridis", "Puccinia seymeriae", "Puccinia seymouriana", "Puccinia seymourii", "Puccinia sherardiana", "Puccinia shikotsuensis", "Puccinia shiraiana", "Puccinia sibirica", "Puccinia sibutiana", "Puccinia sidae", "Puccinia sidae-rhombifoliae", "Puccinia sidalceae", "Puccinia sierrensis", "Puccinia sieversiae", "Puccinia sii-falcariae", "Puccinia sikokiana", "Puccinia schemahensis", "Puccinia schileana", "Puccinia schimperiana", "Puccinia schirajewskii", "Puccinia schismi", "Puccinia schismi var. bromi-maximi", "Puccinia schismi var. loliina", "Puccinia schismi var. schismi", "Puccinia schistocarphae", "Puccinia schizocodonis", "Puccinia schizonepetae", "Puccinia schlechteri", "Puccinia schmidtiana", "Puccinia schneideri", "Puccinia schneideri var. constricta", "Puccinia schneideri var. ruebsaamenii", "Puccinia schneideri var. schneideri", "Puccinia schnyderi", "Puccinia schoeleriana", "Puccinia schoenanthi", "Puccinia schoenoxiphii", "Puccinia schoenus", "Puccinia schottmuelleri", "Puccinia schroeteri", "Puccinia schroeteriana", "Puccinia schweinfurthii", "Puccinia scillae", "Puccinia scillae subsp. muscari", "Puccinia scillae subsp. scillae", "Puccinia scillae-rubrae", "Puccinia scillarum", "Puccinia scimitriformis", "Puccinia sciophila", "Puccinia scirpi", "Puccinia scirpi-grossi", "Puccinia scirpi-mucronati", "Puccinia scirpi-ternatani", "Puccinia scleriae", "Puccinia scleriae-dregeanae", "Puccinia scleriicola", "Puccinia sclerolaenae", "Puccinia scleropogonis", "Puccinia sclerotioidea", "Puccinia sclerotioides", "Puccinia scolymi", "Puccinia scorodoniae", "Puccinia scorodoprasi", "Puccinia scorzonerae", "Puccinia scorzonerae-limnophilae", "Puccinia scorzonericola", "Puccinia scribneriana", "Puccinia scrophulariae", "Puccinia scutellariae", "Puccinia scutiae", "Puccinia seaveriana", "Puccinia sebastianiae", "Puccinia secalina", "Puccinia sedi", "Puccinia sedi-triseti", "Puccinia seijoensis", "Puccinia sejuncta", "Puccinia selini-carvifoliae", "Puccinia semadenii", "Puccinia silai", "Puccinia silenes", "Puccinia silenicola", "Puccinia silenigena", "Puccinia sileria", "Puccinia sileris", "Puccinia silphii", "Puccinia silvatica", "Puccinia silvatica f. caricis-linkii", "Puccinia silvatica f. silvatica", "Puccinia silvaticella", "Puccinia simasii", "Puccinia similis", "Puccinia simillima", "Puccinia simplex", "Puccinia sinaloana", "Puccinia sinarundinariae", "Puccinia sinarundinariicola", "Puccinia singeri", "Puccinia singularis", "Puccinia sinica", "Puccinia sinicensis", "Puccinia sinkiangensis", "Puccinia sinoborealis", "Puccinia sisyrinchii", "Puccinia sjuzevii", "Puccinia skottsbergii", "Puccinia smilacearum-digraphidis", "Puccinia smilacearum-festucae", "Puccinia smilacicola", "Puccinia smilacinae", "Puccinia smilacis", "Puccinia smilacis-chinae", "Puccinia smilacis-kraussianae", "Puccinia smilacis-persicae", "Puccinia smilacis-sempervirentis", "Puccinia smilacis-sieboldii", "Puccinia smyrnii", "Puccinia smyrnii-olusatri", "Puccinia sogdiana", "Puccinia solanacearum", "Puccinia solani", "Puccinia solanicola", "Puccinia solani-giganteae", "Puccinia solanina", "Puccinia solanita", "Puccinia solani-tristis", "Puccinia soldanellae", "Puccinia soledadensis", "Puccinia solenodonta", "Puccinia solheimii", "Puccinia solida", "Puccinia solidaginicola", "Puccinia solidaginis", "Puccinia solidaginis-caricis", "Puccinia solidaginis-microglossae", "Puccinia solidaginis-mollis", "Puccinia solidipes", "Puccinia solitaria", "Puccinia solmsii", "Puccinia sommieriana", "Puccinia somsii", "Puccinia sonchi", "Puccinia sonchi-arvensis", "Puccinia sonchina", "Puccinia songarica", "Puccinia sonorae", "Puccinia sonorica", "Puccinia sonorica var. minor", "Puccinia sonorica var. sonorica", "Puccinia sordida", "Puccinia sorghi", "Puccinia sorghi-halepensis", "Puccinia sparganioides", "Puccinia sparganioidis", "Puccinia spathyemae", "Puccinia spatiosa", "Puccinia speciosa", "Puccinia spectabilis", "Puccinia spegazziniana", "Puccinia spegazziniella", "Puccinia spegazzinii", "Puccinia spergulae", "Puccinia spergulae f. longipes", "Puccinia spergulae f. spergulae", "Puccinia spergulae var. serpyllifoliae", "Puccinia spergulae var. spergulae", "Puccinia spermacoces", "Puccinia sphacelicola", "Puccinia sphaeralceae", "Puccinia sphaeralceoides", "Puccinia sphaeroidea", "Puccinia sphaeromeriae", "Puccinia sphaerospora", "Puccinia sphaerostigmatis", "Puccinia sphalerocondra", "Puccinia sphenica", "Puccinia sphenospora", "Puccinia spicae-venti", "Puccinia spigeliae", "Puccinia spilanthicola", "Puccinia spilanthis", "Puccinia spilogena", "Puccinia spinulosa", "Puccinia spiraeae", "Puccinia spiraeae-ulmariae", "Puccinia spiranthicola", "Puccinia splendens", "Puccinia spongiosa", "Puccinia sporoboli", "Puccinia sporoboli var. robusta", "Puccinia sporoboli var. sporoboli", "Puccinia sporoboli-arabici", "Puccinia sporobolomyces", "Puccinia sporotrichi", "Puccinia spreta", "Puccinia stachydis", "Puccinia staehelianae", "Puccinia stakmanii", "Puccinia stapfiana", "Puccinia stapfiolae", "Puccinia stauntoniae", "Puccinia steinmanniae", "Puccinia steiractiniae", "Puccinia stellariae", "Puccinia stellariicola", "Puccinia toyohirensis", "Puccinia trabutii", "Puccinia trabutii var. abei", "Puccinia trabutii var. trabutii", "Puccinia trachyderma", "Puccinia trachylaena", "Puccinia trachypogonicola", "Puccinia trachypogonis", "Puccinia trachytela", "Puccinia tracyi", "Puccinia tragiae", "Puccinia tragopogonis", "Puccinia tragopogonis subsp. brachycyclica", "Puccinia tragopogonis subsp. tragopogonis", "Puccinia trailii", "Puccinia transformans", "Puccinia transvaalensis", "Puccinia tranzscheliana", "Puccinia tranzschelii", "Puccinia trautvetteriae", "Puccinia traversiana", "Puccinia trebouxii", "Puccinia trechispora", "Puccinia treleasiana", "Puccinia tremandrae", "Puccinia triannulata", "Puccinia triarticulata", "Puccinia trichloridis", "Puccinia tricholaenae", "Puccinia tricholepidis", "Puccinia trichopterygicola", "Puccinia trichopterygiphila", "Puccinia tridacis", "Puccinia trientalis", "Puccinia trifoliatae", "Puccinia trifolii", "Puccinia trimorpha", "Puccinia triniae", "Puccinia triodiae", "Puccinia tripolii", "Puccinia tripsaci", "Puccinia tripsacicola", "Puccinia triptilii", "Puccinia tripustulata", "Puccinia triraphidis", "Puccinia triseti", "Puccinia tristachyae", "Puccinia tritici", "Puccinia triticina", "Puccinia triticina f.sp. speltoides", "Puccinia triticorum", "Puccinia triumfettae", "Puccinia trixitis", "Puccinia trochomeriae", "Puccinia troglodytes", "Puccinia trollii", "Puccinia troximontis", "Puccinia truncata", "Puccinia tshujensis", "Puccinia tsinlingensis", "Puccinia tuberculans", "Puccinia tuberculata", "Puccinia tubulosa", "Puccinia subaquila", "Puccinia subcentripora", "Puccinia subcircinata", "Puccinia subcollapsa", "Puccinia subcoronata", "Puccinia subdecora", "Puccinia subdigitata", "Puccinia subdiorchidioides", "Puccinia subepidermalis", "Puccinia subglobosa", "Puccinia subhyalina", "Puccinia subindumentana", "Puccinia subita", "Puccinia sublesta", "Puccinia subnemophila", "Aconitum altaicum", "Puccinia subneurophila", "Puccinia subnitens", "Puccinia subsessilis", "Puccinia substerilis", "Puccinia substerilis var. oryzopsidis", "Puccinia substerilis var. scribneri", "Puccinia substerilis var. substerilis", "Puccinia substriata", "Puccinia substriata var. decrospora", "Puccinia substriata var. imposita", "Puccinia substriata var. indica", "Puccinia substriata var. insolita", "Puccinia substriata var. penicillariae", "Puccinia substriata var. substriata", "Puccinia substriata var. zimmermannii", "Puccinia subtecta", "Puccinia subtegulanea", "Puccinia subtilipes", "Puccinia subtropica", "Puccinia succisae", "Puccinia suffulta", "Puccinia suffusca", "Puccinia suifunensis", "Puccinia suksdorfii", "Puccinia superflua", "Puccinia superior", "Puccinia suzutake", "Puccinia svendsenii", "Puccinia swertiae", "Puccinia swertiae var. minor", "Puccinia swertiae var. swertiae", "Puccinia sydowiana", "Puccinia sylvatica", "Puccinia symphoricarpi", "Puccinia symphyti-bromorum", "Puccinia symphyti-bromorum f. symphyti-bromorum", "Puccinia symphyti-bromorum f. tuberosi-asperi", "Puccinia synedrellae", "Puccinia syngenesiarum", "Puccinia synthyridis", "Puccinia syriaca", "Puccinia szechuanensis", "Puccinia tabernaemontanae", "Puccinia tagana", "Puccinia tagananensis", "Puccinia taganesuge", "Puccinia tageticola", "Puccinia tahensis", "Puccinia taibaiana", "Puccinia taihaensis", "Puccinia taihokuensis", "Puccinia taiwaniana", "Puccinia takikibicola", "Puccinia taliensis", "Puccinia tanaceti", "Puccinia tanaceti var. actinellae", "Puccinia tanaceti var. dracunculina", "Puccinia tanaceti var. tanaceti", "Puccinia tanaceti-balsamitae", "Puccinia tandaaiensis", "Puccinia tandilensis", "Puccinia tangkuensis", "Puccinia tararua", "Puccinia taraxaci", "Puccinia taraxaci-bithynici", "Puccinia taraxaci-serotini", "Puccinia tardissima", "Puccinia tarennicola", "Puccinia tarrii", "Puccinia tasmanica", "Puccinia tassadiae", "Puccinia tatarica", "Puccinia tatarinovii", "Puccinia tatrensis", "Puccinia taurica", "Puccinia taygetea", "Puccinia taylorii", "Puccinia tecleae", "Puccinia tecomicola", "Puccinia tecta", "Puccinia tekapo", "Puccinia tendae", "Puccinia tenella", "Puccinia tenuis", "Puccinia tenuispora", "Puccinia tenuistipes", "Puccinia tepperi", "Puccinia terebinthacei", "Puccinia terminaliae", "Puccinia terrieri", "Puccinia terrieriana", "Puccinia tessariae", "Puccinia tetradeniae", "Puccinia tetragoniae", "Puccinia tetragoniae var. austroafricana", "Puccinia tetragoniae var. novae-zelandiae", "Puccinia tetragoniae var. tetragoniae", "Puccinia tetramerii", "Puccinia tetranthi", "Puccinia tetuanensis", "Puccinia teucrii", "Puccinia teucriicola", "Puccinia texana", "Puccinia thalassica", "Puccinia thaliae", "Puccinia thalictri", "Puccinia thalictri-distichophylli", "Puccinia thalictri-elymi", "Puccinia thalictri-koeleriae", "Puccinia thalictri-poarum", "Puccinia thelypodii", "Puccinia stellatarum", "Puccinia stellenboschiana", "Puccinia stenandrii", "Puccinia stenardrii", "Puccinia stenomessi", "Puccinia stenospora", "Puccinia stenotaphri", "Puccinia stenotaphricola", "Puccinia stenothecae", "Puccinia stephanachnes", "Puccinia stephanomeriae", "Puccinia steudneri", "Puccinia stichosora", "Puccinia stipae", "Puccinia stipae var. stipae", "Puccinia stipae var. stipae-sibiricae", "Puccinia stipae var. stipina", "Puccinia stipae-sibiricae", "Puccinia stipae-sibiricae subsp. stenocoelii-stipae-sibiricae", "Puccinia stipae-sibiricae subsp. stipae-sibiricae", "Puccinia stipae-sibiricae subsp. umbelliferarum-stipae-sibirica", "Puccinia stipicida", "Puccinia stipicola", "Puccinia stipina", "Puccinia stipina f.sp. gallicae", "Puccinia stizolophi", "Puccinia stobeae", "Puccinia stobeae var. stobeae", "Puccinia stobeae var. woodii", "Puccinia stojanovii", "Puccinia stolpiana", "Puccinia stonemaniae", "Puccinia stonemanniae", "Puccinia stowardii", "Puccinia straminea", "Puccinia straminis", "Puccinia straminis var. simplex", "Puccinia straminis var. straminis", "Puccinia streptanthi", "Puccinia striata", "Puccinia striatifera", "Puccinia striatospora", "Puccinia striatula", "Puccinia striiformis", "Puccinia striiformis f. striiformis", "Puccinia striiformis f. tritici", "Puccinia striiformis f.sp. dactylidis", "Puccinia striiformis f.sp. poae", "Puccinia striiformis var. dactylidis", "Puccinia striiformis var. striiformis", "Puccinia striiformoides", "Puccinia striola", "Puccinia striolata", "Puccinia stromatica", "Puccinia stromatifera", "Puccinia stuckertii", "Puccinia stylidii", "Puccinia stylosanthis", "Puccinia suaveolens", "Puccinia suaveolens f. cyani", "Puccinia suaveolens f. suaveolens", "Puccinia subandina", "Puccinia subangulata", "Puccinia themedae", "Puccinia thesii", "Puccinia thesii var. passerinii", "Puccinia thesii var. thesii", "Puccinia thesiicola", "Puccinia thesii-decurrentis", "Puccinia thibetana", "Puccinia thiensis", "Puccinia thlaspeos", "Puccinia thlaspeos-glaucophylli", "Puccinia thlaspidis", "Puccinia thomasii", "Puccinia thompsonii", "Puccinia thuemeniana", "Puccinia thuemenii", "Puccinia thunbergiae", "Puccinia thunbergiae-alatae", "Puccinia thwaitesii", "Puccinia thwaitesii var. novo-guineensis", "Puccinia thwaitesii var. thwaitesii", "Puccinia thymi", "Puccinia thymi-stipae", "Puccinia thyrimni", "Puccinia tianguensis", "Puccinia tianshanica", "Puccinia tiarellae", "Puccinia tiarellicola", "Puccinia tibetica", "Puccinia tiflisensis", "Puccinia tiliaefolia", "Puccinia tillandsiae", "Puccinia tinctoria", "Puccinia tinctoriae", "Puccinia tinctoriicola", "Puccinia tiritea", "Puccinia tirolensis", "Puccinia tithoniae", "Puccinia tjibodensis", "Puccinia toa", "Puccinia toddaleae", "Puccinia toddaliae", "Puccinia togashiana", "Puccinia tokubuchii", "Puccinia tokunagai", "Puccinia tokyensis", "Puccinia tolimensis", "Puccinia tomantheae", "Puccinia tomatillo", "Puccinia tombeana", "Puccinia tomipara", "Puccinia tonduziana", "Puccinia toreniae", "Puccinia tornata", "Puccinia torosa", "Puccinia torquati", "Puccinia tossoensis", "Puccinia tosta", "Puccinia tosta var. luxurians", "Puccinia tosta var. tosta", "Puccinia tottoriensis", "Puccinia toumeyi", "Puccinia tournefortiae", "Puccinia tournefortiicola", "Puccinia venezuelana", "Puccinia veniabilis", "Puccinia ventanensis", "Puccinia venustula", "Puccinia veratri", "Puccinia veratricola", "Puccinia verbenicola", "Puccinia verbeniphila", "Puccinia verbesinae", "Puccinia verbesinae-dentatae", "Puccinia verbesinicola", "Puccinia vergrandis", "Puccinia vernoniae", "Puccinia vernoniae var. brevipes", "Puccinia vernoniae var. vernoniae", "Puccinia vernoniae-mollis", "Puccinia vernoniae-monosis", "Puccinia vernoniae-scariosae", "Puccinia vernoniicola", "Puccinia vernoniphila", "Puccinia veronicae", "Puccinia veronicae f. fragilipes", "Puccinia veronicae f. persistens", "Puccinia veronicae f. veronicae", "Puccinia veronicae f.sp. spicatae", "Puccinia veronicae-anagallidis", "Puccinia veronicae-longifoliae", "Puccinia veronicarum", "Puccinia veronicarum sensu", "Puccinia verruca", "Puccinia verrucoides", "Puccinia verrucosa", "Puccinia versatilis", "Puccinia versicolor", "Puccinia versicoloris", "Puccinia vertisepta", "Puccinia vertiseptoides", "Puccinia verwoerdiana", "Puccinia vesiculosa", "Puccinia vestita", "Puccinia vexans", "Puccinia vexans var. vexans", "Puccinia viatica", "Puccinia viburnicola", "Puccinia viguierae", "Puccinia vilfae", "Puccinia vilfae var. mexicana", "Puccinia vilfae var. vilfae", "Puccinia vilis", "Puccinia vincae", "Puccinia vincae f. aecidiosporea", "Puccinia vincae f. vincae", "Puccinia vinulla", "Puccinia violacea", "Puccinia violae", "Puccinia violae subsp. americana", "Puccinia violae subsp. violae", "Puccinia violae var. sublaevis", "Puccinia violae var. violae", "Puccinia violae-glabellae", "Puccinia violae-reniformis", "Puccinia violarum", "Puccinia viornae", "Puccinia virectae", "Puccinia urticae-ripariae", "Puccinia urticae-umbrosae", "Puccinia urticae-vesicariae", "Puccinia urticae-xiphioidis", "Puccinia urticata", "Puccinia urticata var. biporula", "Puccinia urticata var. urticae-acutae", "Puccinia urticata var. urticae-acutiformis", "Puccinia urticata var. urticae-ferrugineae", "Puccinia urticata var. urticae-flaccae", "Puccinia urticata var. urticae-frigidae", "Puccinia urticata var. urticae-hirtae", "Puccinia urticata var. urticae-inflatae", "Puccinia urticata var. urticae-paniceae", "Puccinia urticata var. urticae-pilosae", "Puccinia urticata var. urticae-ripariae", "Puccinia urticata var. urticae-umbrosae", "Puccinia urticata var. urticae-vesicariae", "Puccinia urticata var. urticata", "Puccinia uruguayensis", "Puccinia ustalis", "Puccinia usteri", "Puccinia ustilas var. pulsatillae", "Puccinia utahensis", "Puccinia uzbekistana", "Puccinia vacua", "Puccinia vaga", "Puccinia vagans", "Puccinia vagans var. gayophyti", "Puccinia vagans var. spartinae", "Puccinia vagans var. vagans", "Puccinia vaginalium", "Puccinia vaginata", "Puccinia vaginatae", "Puccinia vahlii", "Puccinia valantiae", "Puccinia valdiviana", "Puccinia valentula", "Puccinia valenzueliana", "Puccinia valerianae", "Puccinia valerianicola", "Puccinia valida", "Puccinia vallartensis", "Puccinia vanderystii", "Puccinia vangueriae", "Puccinia vangunteni", "Puccinia vanillosmopsidis", "Puccinia varelae", "Puccinia varia", "Puccinia variabilis", "Puccinia variabilis f. intybi", "Puccinia variabilis f. variabilis", "Puccinia variabilis var. insperata", "Puccinia variabilis var. lapsanae", "Puccinia variabilis var. variabilis", "Puccinia varians", "Puccinia variiformis", "Puccinia variodes", "Puccinia varioides", "Puccinia variolans", "Puccinia variospora", "Puccinia velata", "Puccinia velutina", "Puccinia veneta", "Puccinia tucumanensis", "Puccinia tulipae", "Puccinia tumamocensis", "Puccinia tumida", "Puccinia tumidipes", "Puccinia tumidipes var. argentina", "Puccinia tumidipes var. tumidipes", "Puccinia tunuyanensis", "Puccinia tupistrae", "Puccinia turgenica", "Puccinia turgida", "Puccinia turgidipes", "Puccinia turrita", "Puccinia turyutensis", "Puccinia tuyutensis", "Puccinia tweediana", "Puccinia typhae", "Puccinia ugandae", "Puccinia ugandana", "Puccinia uleana", "Puccinia uliginiphila", "Puccinia uliginosa", "Puccinia ulmariae", "Puccinia umbelliferarum", "Puccinia umbelliferarum var. bunii", "Puccinia umbelliferarum var. peucedani-parisiensis", "Puccinia umbelliferarum var. selini-appuani", "Puccinia umbelliferarum var. selini-cervariae", "Puccinia umbelliferarum var. selini-oreoselini", "Puccinia umbelliferarum var. umbelliferarum", "Puccinia umbilici", "Puccinia umbilicicola", "Puccinia unamunoi", "Puccinia unciniae", "Puccinia unciniarum", "Puccinia undulitunicata", "Puccinia unica", "Puccinia unica var. bottomleyae", "Puccinia unica var. chica", "Puccinia unica var. unica", "Puccinia unicolor", "Puccinia uniformis", "Puccinia unilateralis", "Puccinia uniporula", "Puccinia universalis", "Puccinia uralensis", "Puccinia urbaniana", "Puccinia urbanii", "Puccinia urochloae", "Puccinia urospermi", "Puccinia ursiniae", "Puccinia urticae", "Puccinia urticae-acutae", "Puccinia urticae-acutiformis", "Puccinia urticae-austroalpinae", "Puccinia urticae-caricis", "Puccinia urticae-elatae", "Puccinia urticae-ferrugineae", "Puccinia urticae-flaccae", "Puccinia urticae-frigidae", "Puccinia urticae-hirtae", "Puccinia urticae-inflatae", "Puccinia urticae-paniceae", "Puccinia urticae-pilosae", "Dichomeris acrochlora", "Dichomeris acrogypsa", "Dichomeris acrolychna", "Dichomeris acuminatus", "Dichomeris acuta", "Dichomeris adactella", "Dichomeris adelocentra", "Dichomeris aenigmatica", "Dichomeris aequata", "Dichomeris aestuosa", "Dichomeris agathopa", "Dichomeris aglaia", "Dichomeris agonia", "Phyllotreta nemorum", "Aconitum biflorum", "Aconitum decipiens", "Aconitum leucostomum", "Aconitum rotundifolium", "Aconitum seravschanicum", "Datura lanosa", "Datura sect.", "Apocedria nodifer", "Datura sect.", "Datura sect.", "Anthocoris austropiceus", "Teuchothrips disjunctus", "Puccinia virgae-aureae", "Puccinia virgata", "Puccinia virginiana", "Puccinia viridis", "Puccinia visci", "Puccinia vitata", "Puccinia vittadiniae", "Puccinia vivipari", "Puccinia volgensis", "Puccinia volkartiana", "Puccinia volutarellae", "Puccinia vomica", "Puccinia vongunteni", "Puccinia vossii", "Puccinia vuilleminii", "Puccinia vulcanicola", "Puccinia vulgaris", "Puccinia vulpiae-myuri", "Puccinia vulpiana", "Puccinia vulpinae", "Puccinia vulpinoideae", "Puccinia wahlenbergiae", "Puccinia waldsteiniae", "Puccinia waltheriae", "Puccinia wangiana", "Puccinia wangikarii", "Puccinia wattiana", "Puccinia weberbaueri", "Puccinia wedeliae", "Puccinia wedeliicola", "Puccinia wenchuanensis", "Puccinia wendelboi", "Puccinia wendermanni", "Puccinia wentii", "Puccinia werdermannii", "Puccinia werneri", "Puccinia wettsteinii", "Puccinia whakatipu", "Puccinia widsoriae", "Puccinia wiehei", "Puccinia wilcoxiana", "Puccinia willemetiae", "Puccinia windhoekensis", "Puccinia windsoriae", "Puccinia windsoriae var. australis", "Puccinia windsoriae var. windsoriae", "Puccinia winteri", "Puccinia winteriana", "Puccinia withaniae", "Puccinia withaniae var. maroccanus", "Puccinia withaniae var. withaniae", "Puccinia woldemarii", "Puccinia wolgensis", "Puccinia wondo-gennetensis", "Puccinia woodiana", "Puccinia woodii", "Puccinia wrightii", "Puccinia wulfeniae", "Puccinia wulfeniae subsp. saximontana", "Puccinia wulfeniae subsp. wulfeniae", "Puccinia wulingensis", "Puccinia wurmbeae", "Puccinia wurthii", "Puccinia wyethiae", "Puccinia wyomensis", "Puccinia xanthifoliae", "Puccinia xanthii", "Puccinia xanthii f.sp. ambrosiae-trifidae", "Puccinia xanthii var. parthenii-hysterophorae", "Puccinia xanthiifoliae", "Puccinia xanthocarpi", "Puccinia xanthopoda", "Puccinia xanthosiae", "Puccinia xanthosperma", "Puccinia xatartiae", "Puccinia xenosperma", "Puccinia xeranthemi", "Puccinia ximenesiae", "Puccinia xylariiformis", "Puccinia xylorrhizae", "Puccinia yamadana", "Puccinia yaramesuga", "Puccinia yildizii", "Puccinia yokogurae", "Puccinia yokotensis", "Puccinia yosemitana", "Puccinia yunnanensis", "Puccinia zaluzaniae", "Puccinia zanthoxyli", "Puccinia zapallarensis", "Puccinia zauschneriae", "Puccinia zeae", "Puccinia zelenikensis", "Puccinia zeravschanica", "Puccinia zexmeniae", "Puccinia zexmeniicola", "Puccinia zimmermanniana", "Puccinia zingiberis", "Puccinia zinniae", "Puccinia zizaniae", "Puccinia ziziae", "Puccinia ziziphorae", "Puccinia zoegeae-crinitae", "Puccinia zopfii", "Puccinia zorniae", "Puccinia zoysiae", "Puccinia zozimiae", "Puccinia zygadeni", "Puccinia buchlo\u00ebs", "Puccinia concolor", "Puccinia cyathulicola var. kenyensis", "Puccinia cylindrica", "Puccinia cymbiformis", "Puccinia cymbopogonis", "Puccinia cymopteri", "Puccinia lespedezae-violaceae", "Puccinia rumicis-scutati var. muehlenbeckiae", "Puccinia vexans var. buchlo\u00ebs", "Aeolochroma acanthina", "Aeolochroma hypochromaria", "Aeolochroma melaleucae", "Aeolochroma mniaria", "Aeolochroma rhodochlora", "Aeolochroma olivia", "Aeolochroma metarhodata", "Aeolochroma saturataria", "Dichomeris kimballi", "Dichomeris laetitia", "Dichomeris legnotoa", "Dichomeris mercatrix", "Dichomeris mica", "Dichomeris mimesis", "Dichomeris nenia", "Dichomeris offula", "Dichomeris santarosensis", "Dichomeris scrutaria", "Dichomeris simulata", "Dichomeris siren", "Dichomeris solatrix", "Dichomeris sybilla", "Dichomeris sylphe", "Dichomeris vindex", "Dichomeris xanthoa", "Dichomeris albiscripta", "Dichomeris allantopa", "Dichomeris alogista", "Dichomeris amauropis", "Dichomeris ammoxantha", "Dichomeris amorpha", "Dichomeris amphichlora", "Dichomeris amphicoma", "Dichomeris amphicosma", "Dichomeris ampliata", "Dichomeris ampycota", "Dichomeris analoxa", "Dichomeris anisospila", "Dichomeris anticrates", "Dichomeris antisticha", "Dichomeris antisticta", "Dichomeris antizyga", "Dichomeris aphanopa", "Dichomeris aprica", "Dichomeris argentaria", "Dichomeris asaphocosma", "Dichomeris asodes", "Dichomeris asteropis", "Dichomeris atomogypsa", "Dichomeris atricordis", "Dichomeris atriguttata", "Dichomeris attenta", "Dichomeris aulotoma", "Dichomeris aurisulcata", "Dichomeris autometra", "Dichomeris autophanta", "Aconitum soongaricum", "Eleodes osculans", "Saxicola stejnegeri", "Aconitum karakolicum", "Saxicola sibilla", "Aconitum saposhnikovii", "Aconitum tranzschelii", "Aconitum nemorum", "Phrynosoma coronatum", "Lyctocoris campestris", "Xylocoris galactinus", "Paramyocara iridescens", "Paramyocara punctatum", "Margareta dominica", "Psyllaephagus cornwallensis", "Psyllaephagus breviramus", "Psyllaephagus richardhenryi", "Mycopsylla fici", "Ficus macrophylla", "Aconitum talassicum", "Aconitum angusticassidatum", "Brumoides maculatus", "Brumoides piae", "Dichomeris aleatrix", "Dichomeris alphito", "Dichomeris blanchardorum", "Dichomeris baxa", "Dichomeris caia", "Dichomeris copa", "Dichomeris crepida", "Dichomeris diva", "Dichomeris empusa", "Oreopteris limbosperma", "Dichomeris euprepes", "Dichomeris fistuca", "Dichomeris furia", "Dichomeris gausapa", "Dichomeris gleba", "Dichomeris illusio", "Dichomeris imitata", "Dichomeris isa", "Atelomastix mainae", "Atelomastix melindae", "Salvinia natans", "Acipenser oxyrinchus oxyrinchus", "Acipenser oxyrinchus desotoi", "Acipenser baerii baerii", "Acipenser baerii baicalensis", "Acipenser baerii stenorrhynchus", "Curetis venata", "Curetis naga", "Chilocorus braeti", "Chilocorus cacti", "Chilocorus canariensis", "Chilocorus circumdatus", "Chilocorus infernalis", "Chilocorus nigritus", "Chilocorus rubidus", "Chilocorus melas", "Asplenium septentrionale", "Ascogaster bicolorata", "Ascogaster erroli", "Ascogaster gourlayi", "Ascogaster iti", "Ascogaster mayae", "Ascogaster parrotti", "Ascogaster strigosa", "Ascogaster tekapoense", "Ascogaster vexator", "Demtrius carinulatus", "Aconitum czekanovskyi", "Paradrymus exilirostris", "Grossander major", "Brentiscerus putoni", "Datura ferox", "Galerucella tenella", "Ptinus speciosus", "Agelastica coerulea", "Stenoluperus nipponensis", "Tisis thaiana", "Tisis asterias", "Tisis elegans", "Cneorane violaceipennis", "Dichomeris abscessella", "Dichomeris achlyodes", "Aconitum flagellare", "Plateumaris braccata", "Dichomeris achne", "Plateumaris sericea", "Dichomeris acratopa", "Dichomeris acritopa", "Cyrtopodion montiumsalsorum", "Cyrtopodion narynense", "Cyrtopodion potoharense", "Cyrtopodion rhodocaudum", "Chromis durvillei", "Cryptotendipes tuberosus", "Thitarodes caligophilus", "Thitarodes namnai", "Drepanosticta sbong", "Protosticta tubau", "Carlina vulgaris", "Androsace intermedia", "Eulimnadia graniticola", "Africasia comorosensis", "Anomaloglossus verbeeksnyderorum", "Cyrtodactylus roesleri", "Xixianykus zhangi", "Tasmaniosoma armatum", "Tasmaniosoma alces", "Tasmaniosoma aureorivum", "Tasmaniosoma australe", "Tasmaniosoma barbatulum", "Tasmaniosoma bruniense", "Tasmaniosoma cacofonix", "Tasmaniosoma clarksonorum", "Tasmaniosoma compitale", "Tasmaniosoma decussatum", "Tasmaniosoma fasciculum", "Tasmaniosoma fragile", "Tasmaniosoma gerdiorivum", "Tasmaniosoma hesperium", "Tasmaniosoma hickmanorum", "Tasmaniosoma laccobium", "Tasmaniosoma maria", "Tasmaniosoma warra", "Tasmaniosoma orientale", "Drawida hattamimizu", "Cypherotylus californicus", "Guiglia schauinslandi", "Caloperga josephinae", "Trichananca victoriensis", "Trichananca nigripennis", "Trichananca pisoniae", "Trichananca concolor", "Brumoides septentrionis", "Atelomastix attemsi", "Atelomastix bamfordi", "Atelomastix brennani", "Atelomastix culleni", "Atelomastix danksi", "Hypocassida meridionalis", "Atelomastix dendritica", "Atelomastix ellenae", "Atelomastix flavognatha", "Atelomastix francesae", "Atelomastix gibsoni", "Atelomastix grandis", "Atelomastix julianneae", "Atelomastix lengae", "Atelomastix longbottomi", "Flavarchaea humboldti", "Myotis flavus", "Odontothelphusa apicpac", "Curetis acuta dentata", "Gyalidea asteriscus", "Leptoperga brunnea", "Phylacteophaga froggatti", "Phylacteophaga amygdalini", "Phylacteophaga eucalypti", "Phylacteophaga rubida", "Phylacteophaga occidens", "Bracon phylacteophagus", "Bracon confusus", "Hierodoris atychioides", "Icerya purchasi", "Ischyronota desertorum", "Chilocorus fraternus", "Chilocorus hexacyclus", "Chilocorus hauseri", "Chilocorus coelosimilis", "Chilocorus kuwanae", "Chilocorus matsumurai", "Chilocorus melanophthalmus", "Chilocorus orbus", "Chilocorus politus", "Chilocorus similis", "Athyrium distentifolium", "Chilocorus subindicus", "Chilocorus tricyclus", "Chilocorus tumidus", "Arawana arizonica", "Axion plagiatum", "Axion tripustulatum", "Anisorcus fryi", "Coenogonium aciculatum", "Coenogonium acrocephalum", "Coenogonium antonianum", "Coenogonium atroluteum", "Coenogonium bacilliferum", "Coenogonium barbatum", "Coenogonium botryosum", "Coenogonium byssothallinum", "Coenogonium ciliatum", "Coenogonium confervoides", "Coenogonium congense", "Coenogonium curvulum", "Coenogonium degeneri", "Coenogonium dilucidum", "Coenogonium disciforme", "Coenogonium disjunctum", "Coenogonium epiphyllum", "Coenogonium eximium", "Coenogonium fallaciosum", "Coenogonium flavoviride", "Coenogonium flavum", "Coenogonium frederici", "Aeolochroma unitaria", "Aeolochroma pammiges", "Aeolochroma quadrilinea", "Aeolochroma turneri", "Aeolochroma viridicata", "Aeolochroma subrubescens", "Ourapteryx clara", "Serapias vomeracea", "Xanthogaleruca luteola", "Traunsteinera globosa", "Traunsteinera sphaerica", "Puccinia hypo\u00ebstis", "Pyrrhalta viburni", "Steveniella satyrioides", "Neotinea tridentata", "Dactylorhiza urvilleana", "Dactylorhiza euxina", "Gagea glacialis", "Chrysomya rufifacies", "Aglyptinus phymaphorus", "Aglyptinus tumerus", "Ellisembia maungatautari", "Corynespora ripogoni", "Solicorynespora maungatautari", "Juniperus angosturana", "Juniperus blancoi", "Juniperus comitana", "Juniperus convallium", "Urotrygon chilensis", "Kapalgagraecia brayi", "Kapalgagraecia nauma", "Armadillagraecia mataranka", "Armadillagraecia triodiae", "Armadillagraecia yerilla", "Betasyrphus keiseri", "Asiothrixus unicus", "Asiothrixus specialis", "Catalpa sect.", "Catalpa sect.", "Gymnocarpium dryopteris", "Boschalis usambarica", "Paraplatynaspis bimaculatus", "Curinus coeruleus", "Gyalidea asteriscus subsp. asteriscus", "Gyalidea asteriscus subsp. gracilispora", "Gyalidea asteriscus subsp. nigrescens", "Crypsithyris falcovalva", "Acrolophus tretus", "Protoschwenkia mandonii", "Alacran tartarus", "Setophaga auduboni", "Setophaga goldmani", "Setophaga auduboni nigrifrons", "Duttaphrynus totol", "Pseudasthenes cactorum", "Pseudasthenes humicola", "Pseudasthenes patagonica", "Pseudasthenes steinbachi", "Chromatophotina awajun", "Chromatophotina cofan", "Absensomina weara", "Wellsomina ampulla", "Wellsomina baru", "Wellsomina bucera", "Wellsomina furca", "Wellsomina gumurr", "Wellsomina thigi", "Wellsomina tam", "Wellsomina stuarti", "Wellsomina saeta", "Wellsomina naumanni", "Wellsomina mattina", "Wellsomina jalgoodoo", "Cryptochetum iceryae", "Coenogonium subluteum", "Coenogonium subsquamosum", "Coenogonium subzonatum", "Coenogonium tanzanicum", "Coenogonium tavaresianum", "Coenogonium tomentosum", "Coenogonium tuckermanii", "Coenogonium usambarense", "Silene cappadocica", "Coenogonium velutinum", "Coenogonium vezdanum", "Coenogonium weberi", "Coenogonium wrightii", "Coenogonium zonatum", "Lonchodryinus cheni", "Microtypus petiolatus", "Microtypus algiricus", "Microtypus desertorum", "Microtypus trigonus", "Microtypus wesmaelii", "Raphirhynchus cylindricornis", "Agathinus tridens", "Sitophilus oryzae", "Geranium asphodeloides", "Acarospora rosulata", "Caenolestomyobia faini", "Caenolestomyobia lukoschusi", "Megasoma svobodaorum", "Hellinsia angulofuscus", "Hellinsia aruna", "Hellinsia balanotes", "Hellinsia calais", "Hellinsia callidus", "Hellinsia cervicalis", "Hellinsia chionophanes", "Hellinsia chlorias", "Hellinsia conscius", "Hellinsia crescens", "Hellinsia delospilus", "Hellinsia discors", "Hellinsia ecstaticus", "Hypocyrema pauxillum", "Hellinsia basalis", "Hellinsia beneficus", "Hellinsia bigoti", "Hellinsia bogotanus", "Hellinsia carphodactyla", "Hellinsia caudelli", "Hellinsia chamelai", "Hellinsia chrysocomae", "Hellinsia cinerarius", "Tysius bicornis", "Catoptes interruptus", "Cecyropa modesta", "Sapintus quadrinotatus", "Sapintus adonis", "Sapintus albertisi", "Sapintus alfurus", "Sapintus dilensis", "Coenogonium siquirrense f. siquirrense", "Sapintus hirtipennis", "Sapintus horvathi", "Sapintus insulanus", "Sapintus loriae", "Sapintus neoguineensis", "Sapintus papuus", "Sapintus rugosicollis", "Sapintus semiobliteratus", "Sapintus semirugosus", "Coenogonium siquirrense f. denticulatum", "Sapintus madangensis", "Sapintus placitus", "Sapintus propinquus", "Sapintus relatus", "Sapintus javanus", "Sapintus oceanicus", "Sapintus argenteofasciatus", "Redonda bordoni", "Aspilota albertica", "Aspilota angusta", "Aspilota parecur", "Aspilota villosa", "Aspilota andyaustini", "Truncala hirsuta", "Truncala hirta", "Truncala sulcata", "Truncala insularis", "Cardiaspina fiscella", "Gymnocarpium robertianum", "Ophrys sipontensis", "Capila pauripunetata", "Capila pauripunetata pauripunetata", "Capila pauripunetata tamdaoensis", "Parasovia perbella", "Thoressa monastyrskyi", "Pedesta submacula", "Pedesta submacula submacula", "Pedesta submacula rubella", "Palearctia gracilis", "Palearctia gracilis gracilis", "Palearctia gracilis arcana", "Parochlus steinenii", "Neosyagrius cordipennis", "Neosyagrius porosus", "Neosyagrius striatus", "Aphela helopoides", "Aphela algarum", "Aphela phalerioides", "Parascatonomus brendelli", "Uraba lugens", "Coenogonium fuscescens", "Coenogonium geralense", "Coenogonium hypophyllum", "Coenogonium implexum", "Coenogonium interplexum", "Coenogonium interpositum", "Coenogonium isidiatum", "Coenogonium isidiiferum", "Coenogonium isidiigerum", "Coenogonium isidiosum", "Coenogonium kalbii", "Coenogonium kawanae", "Coenogonium labyrinthicum", "Coenogonium leprieurii", "Coenogonium linkii", "Coenogonium lisowskii", "Coenogonium luteocitrinum", "Coenogonium luteolum", "Coenogonium lutescens", "Coenogonium luteum", "Coenogonium magdalenae", "Coenogonium minimum", "Coenogonium moniliforme", "Coenogonium nepalense", "Hylocereus minutiflorus", "Coenogonium ornatum", "Lonchodryinus infuscatus", "Coenogonium pannosum", "Coenogonium perminutum", "Coenogonium persistens", "Japananus lamellosus", "Japananus meilingensis", "Coenogonium pertenue", "Coenogonium pineti", "Coenogonium pocsii", "Coenogonium pulchrum", "Coenogonium pusillum", "Coenogonium pyrophthalmum", "Coenogonium queenslandicum", "Coenogonium roumeguerianum", "Coenogonium rubrifuscum", "Coenogonium saepincola", "Desmopachria cavia", "Desmopachria manus", "Coenogonium siquirrense", "Desmopachria nigrocapitata", "Desmopachria varzeana", "Coenogonium stenosporum", "Coenogonium stramineum", "Coenogonium strigosum", "Coenogonium subdentatum", "Coenogonium subdilutum", "Coenogonium subfallaciosum", "Graphis chrysocarpa", "Allographa lutea", "Saotis alpinator", "Saotis boreator", "Saotis granulator", "Saotis subarctor", "Anzia leucobates", "Aturus kimichungi", "Aturus tuzovskyi", "Sperchon bakeri", "Sperchon schwoerbeli", "Atractides acetabulensis", "Atractides davecooki", "Atractides himachali", "Atractides lahauli", "Holostaspella oblonga", "Holostaspella villosa", "Brigantiaea leucoxantha", "Dialeurodes swidi", "Cryptocephalus apicalis", "Cladia retipora", "Cladonia imperialis", "Coccocarpia stellata", "Crotonia venetiolana", "Radula splendida", "Dibaeis baeomyces", "Carex colchica", "Brunnera orientalis", "Symphytum bulbosum", "Pulmonaria obscura", "Pulmonaria dacica", "Carex praecox", "Odocoileus virginianus leucurus", "Anchusa leptophylla subsp. incana", "Lindernia procumbens", "Veronica pusilla", "Veronica magna", "Carcinoscorpius rotundicauda", "Carex accrescens", "Asphondylia ericiformis", "Asphondylia inflata", "Cyrtopodion russowii", "Cyrtopodion russowii russowii", "Cyrtopodion russowii zarudnyi", "Cyrtopodion sagittiferum", "Cyrtopodion scabrum", "Cyrtopodion sistanense", "Sedum minus", "Leucascus lobatus", "Lathyrus plitmannii", "Juniperus saltillensis", "Juniperus standleyi", "Acanthopelma beccarii", "Avicularia gracilis", "Iridopelma hirsutum", "Juniperus tibetica", "Parasarcophaga paularnaudi", "Juniperus durangensis", "Campomanesia guazumifolia", "Juniperus gamboana", "Juniperus gracilior", "Cyrtopodion spinicaudum", "Altiphylax stoliczkai", "Cyrtopodion tibetanus", "Cyrtopodion turcmenicum", "Tenuidactylus voraginosus", "Cyrtopodion walli", "Juniperus jaliscana", "Cyrtopodion watsoni", "Juniperus komarovii", "Dihammaphora brasileira", "Dihammaphora falsa", "Dihammaphora mineira", "Dihammaphora uncinata", "Carex humilis", "Carex fuliginosa", "Carex curvula", "Jameela albiplaga", "Jameela palmyra", "Jameela palmyra clara", "Jameela palmyra coelia", "Jameela palmyra lateplaga", "Jameela palmyra palmyra", "Jameela palmyra tasmanicus", "Eutheia horii", "Eutheia rufa", "Eutheia nujianglisuana", "Eutheia linda", "Eutheia gramme", "Eutheia latissima", "Eutheia yoshidai", "Eutheia exortiva", "Eutheia hariola", "Eutheia klapperichi", "Eutheia taiwanensis", "Eutheia simillima", "Eutheia carreti", "Eutheia clavicornis", "Eutheia formicetorum", "Eutheia himalayana", "Eutheia jordaniae", "Eutheia linearis", "Eutheia merklii", "Eutheia minutissima", "Eutheia nigriceps", "Eutheia paganettii", "Eutheia parallela", "Eutheia plicata", "Eutheia praeclara", "Eutheia ptinelloides", "Eutheia pusilla", "Eutheia schaumi", "Eutheia scydmaenoides", "Eutheia tenerifae", "Hlavaciellus promissor", "Dictyosporium hughesii", "Dictyosporium rhopalostylidis", "Lylea rhopalostylidis", "Carex atherodes", "Lathyrus sect.", "Juniperus pingii", "Juniperus przewalskii", "Laetesia trisphathulata", "Laetesia weburdi", "Laetesia woomeraensis", "Laetesia nornalupiensis", "Laetesia leo", "Loberus anthracinus", "Chaetosoma colossa", "Loberus depressus", "Loberus nitens", "Amblyopone australis", "Ponera leae", "Zealaranea prina", "Lathyrus sect.", "Geranium ibericum", "Zelinkaderes klepali", "Geranium platypetalum", "Geranium cinereum", "Hellinsia citrites", "Hellinsia confusus", "Hellinsia conjunctus", "Hellinsia contortus", "Hellinsia coquimboicus", "Hellinsia cristobalis", "Hellinsia devriesi", "Hellinsia didactylites", "Hellinsia distinctus", "Telsimia abdita", "Hellinsia elliottii", "Telsimia acaciae", "Hellinsia emmorus", "Hellinsia epileucus", "Hellinsia excors", "Telsimia angulata", "Hellinsia fieldi", "Hellinsia fishii", "Telsimia bangalorensis", "Hellinsia fumiventris", "Hellinsia furfurosus", "Telsimia bicolor", "Hellinsia fusciciliatus", "Telsimia humidiphila", "Telsimia postocula", "Telsimia rotundata", "Hellinsia glaphyrotes", "Telsimia ceylonica", "Hellinsia glenni", "Telsimia flavomaculata", "Telsimia martis", "Hellinsia glochinias", "Telsimia darjeelingensis", "Hellinsia grandaevus", "Telsimia nitida", "Hellinsia grandis", "Hellinsia gratiosus", "Hellinsia griseodactylus", "Hellinsia gypsotes", "Hellinsia haplistes", "Hellinsia harpactes", "Hellinsia hebrus", "Hellinsia helianthi", "Hellinsia hololeucos", "Hellinsia homodactylus", "Hellinsia ignifugax", "Hellinsia illutus", "Telsimia cassicula", "Telsimia glorious", "Telsimia leucoceps", "Telsimia occidua", "Telsimia palitans", "Telsimia rossi", "Telsimia rotunda", "Telsimia crebra", "Telsimia gibbosa", "Telsimia subviridis", "Telsimia elainae", "Telsimia obscuripes", "Fergusonina lockharti", "Fergusobia brittenae", "Fergusonina thomasi", "Fergusonina giblindavisi", "Fergusobia ptychocarpae", "Fergusonina metrosiderosi", "Fergusobia pohutukawa", "Fergusobia cajuputiae", "Fergusobia dealbatae", "Fergusobia leucadendrae", "Fergusobia nervosae", "Fergusobia quinquenerviae", "Fergusobia viridiflorae", "Fergusobia fisheri", "Fergusonina burrowsi", "Fergusonina centeri", "Fergusonina goolsbyi", "Fergusonina makinsoni", "Fergusonina purcelli", "Fergusonina schefferae", "Fergusonina turneri", "Terrazoanthus onoi", "Terrazoanthus sinnigeri", "Antipathozoanthus hickmani", "Parazoanthus darwini", "Bombacoccus aguacatae", "Carex disticha", "Anchusa undulata subsp. hybrida", "Hormuzakia aggregata", "Phyllocara aucheri", "Anchusa limbata", "Anchusa pusilla", "Anchusa strigosa", "Anchusa thessala", "Xyleborus glabratus", "Tapinauchenius concolor", "Pachistopelma rufonigrum", "Juniperus saxicola", "Juniperus mucronata", "Juniperus maritima", "Pieterfaurea unilobata", "Cyrtopodion rohtasfortai", "Viola mirabilis \u00d7 reichenbachiana", "Viola mirabilis \u00d7 canina", "Viola mirabilis \u00d7 riviniana", "Lathyrus sect.", "Leontodon tuberosus", "Lysimachia dubia", "Blackstonia perfoliata", "Centaurium pulchellum", "Pedicularis racemosa", "Centaurium maritimum", "Convolvulus cantabrica", "Synodus vityazi", "Synodus macrocephalus", "Synodus macrocephalus", "Luciobrama macrocephalus", "Cnemaspis psychedelica", "Cnemaspis roticanai", "Paratus halabala", "Elachistocleis cesarii", "Dendryphantes villarrica", "Euophrys flordellago", "Euophrys rapida", "Exocelina atra", "Exocelina atrata", "Exocelina atripennis", "Exocelina aubei", "Exocelina australiae", "Exocelina novaecaledoniae", "Exocelina nomax", "Exocelina bimaculata", "Exocelina boulevardi", "Exocelina brownei", "Exocelina commatifera", "Exocelina elongatula", "Exocelina ferruginea", "Exocelina gapa", "Exocelina glypta", "Exocelina gracilis", "Exocelina interrupta", "Exocelina melanaria", "Exocelina maculata", "Exocelina parvula", "Exocelina perfecta", "Exocelina polita", "Exocelina punctipennis", "Exocelina rasilis", "Exocelina simplex", "Carex iljinii", "Carex curaica", "Carex pseudocuraica", "Pseudoseliza crassiprocessa", "Itaphlebia exquisita", "Itaphlebia laeta", "Microdytes cameroni", "Microdytes svensoni", "Microdytes whitingi", "Abies beshanzuensis", "Abies ziyuanensis", "Abies durangensis", "Abies flinckii", "Abies neodurangensis", "Carex leiorhyncha", "Abies hickelii", "Lathyrus sect.", "Carex neurocarpa", "Lathyrus sect.", "Lathyrus sect.", "Viola tricolor subsp. curtisii", "Viola tricolor subsp. tricolor", "Phymatosternus khalaus", "Phymatosternus samchus", "Phymatosternus wittmeri", "Abies fanjingshanensis", "Abies yuanbaoshanensis", "Monopelopia paranaense", "Chaetosoma scaritides", "Discothyrea antarctica", "Ochetellus glaber", "Technomyrmex briani", "Technomyrmex jocosus", "Aphaereta tricolor", "Synaldis distenta", "Synaldis fuscoflava", "Synaldis hirsuta", "Synaldis nigriceps", "Synaldis sincera", "Synaldis vestigata", "Idiasta pallida", "Dolerus thargitai", "Phymatosternus lewisi", "Cedrus libani subsp. libani", "Medicago minima", "Medicago rigidula", "Larix kongboensis", "Larix \u00d7 czekanowskii", "Crocidura russula osorio", "Phymatosternus octoguttatus", "Rumex amanus", "Rumex angustifolius", "Rumex bithynicus", "Rumex bucephalophorus", "Rumex chalepensis", "Rumex conglomeratus", "Picea \u00d7 fennica", "Rumex crispus", "Picea \u00d7 lutzii", "Picea \u00d7 notha", "Rumex cristatus", "Rumex dentatus", "Rumex gracilescens", "Picea critchfieldii", "Rumex hydrolapathum", "Rumex longifolius", "Rumex nepalensis", "Rumex pulcher", "Rumex sanguineus", "Rumex palustris", "Rumex patientia", "Rumex tmoleus", "Rumex ponticus", "Rumex maritimus", "Rumex olympicus", "Shaoshia zhangi", "Coniceromyia apechoneura", "Coniceromyia brandaoi", "Coniceromyia diaphaniptera", "Coniceromyia franciscana", "Coniceromyia sanctaetheresae", "Nallachius furcatus", "Nallachius potiguar", "Anoplophilus koreanus", "Gymnoscelis silvicola", "Chloroclystis decimana", "Chloroclystis onusta", "Eupithecia cretosa", "Eupithecia depasta", "Eupithecia millesima", "Eupithecia sublata", "Halichoeres rubrovirens", "Gigantea urubambensis", "Brugmansia \u00d7 candida", "Phlyctinus callosus", "Iridomyrmex rufoniger", "Iridomyrmex suchieri", "Rhyzobius acceptus", "Pimpinella thellungiana", "Xanthomendoza alfredii", "Zearagytodes maculifer", "Rhytisternus liopleurus", "Rhytisternus miser", "Bitoma insularis", "Litargus balteatus", "Litargus vestitus", "Xanthomendoza aphrodites", "Namunaria guttulata", "Namunaria picta", "Xanthomendoza fallax", "Australopithecus sediba", "Pimpinella nudicaulis", "Pimpinella peucedanifolia", "Xanthomendoza galericulata", "Xanthomendoza mendozae", "Xanthomendoza pruinosa", "Xanthomendoza soechtingii", "Xanthomendoza ulophyllodes", "Allobitoma halli", "Cychrus semigranosus", "Hydrocoptus jaechi", "Iridomyrmex anceps", "Doleromyrma darwiniana", "Wrangelia penicillata", "Dianthus andronakii", "Saponaria picta", "Perrottetia sandwicensis", "Silene bupleuroides", "Silene viscosa", "Anubias gigantea", "Pelargonium sect.", "Parazoanthus puertoricensis", "Parazoanthus anguicomus", "Microhydrodytes elachistus", "Hydrodytes dodgei", "Hydrodytes inaciculatus", "Drosophila kikalaeleele", "Drosophila bunnanda", "Blosyropus spinosus", "Syringa reticulata subsp. amurensis", "Pimpinella anthriscoides", "Pimpinella titanophila", "Pimpinella tomiophylla", "Pelargonium sect.", "Thrips solari", "Thrips kurahashii", "Contarinia manii", "Bolivaritettix sanbaishanensis", "Bolivaritettix tenuifemura", "Rhynchortalia australis", "Rhynchortalia viridis", "Rhynchortalia iongai", "Rhynchortalia purpurea", "Rhynchortalia similis", "Rhynchortalia riedeli", "Rhynchortalia anupama", "Rhynchortalia iba", "Rhynchortalia moresby", "Rhynchortalia insueta", "Rhynchortalia wau", "Rhynchortalia papuana", "Iridomyrmex viridiaeneus", "Iridomyrmex spodipilus", "Iridomyrmex spadius", "Iridomyrmex sanguineus", "Iridomyrmex reburrus", "Iridomyrmex purpureus", "Iridomyrmex lividus", "Iridomyrmex galbanus", "Iridomyrmex bigi", "Iridomyrmex discors", "Lancetes lanceolatus", "Onychohydrus hookeri", "Platynaspis flavoguttata", "Platynaspis nepalensis", "Platynaspis nigra", "Platynaspis ocellimaculata", "Platynaspis trimaculata", "Platynaspidius maculosa", "Platynaspidius angulimaculatus", "Platynaspidius bimaculata", "Platynaspis kapuri", "Platynaspidius saundersi", "Tamiasciurus hudsonicus grahamensis", "Eulaema felipei", "Hengchunia hexaproducta", "Herina odnosumi", "Anastrepha acuminata", "Anastrepha carreroi", "Anastrepha sinuosa", "Lauromacromia melanica", "Bajauana acuminata", "Neocarpia rhizophorae", "Nesochlamys capensis", "Nesochlamys contrarius", "Nesochlamys jubatus", "Nesochlamys pandikros", "Nesochlamys yiralli", "Xylariophilus bicoloripennis", "Xylariophilus comatus", "Xylariophilus honoratus", "Allodessus bistrigatus", "Sphaenognathus xerophilus", "Phalacrognathus muelleri", "Longitarsus panope", "Microlucanus greensladeae", "Bartolozziolucanus kadazanorum", "Bartolozziolucanus ohbayashii", "Bartolozziolucanus pallidus", "Neaspis pusilla", "Neaspis sculpturata", "Neaspis serrata", "Neaspis variegata", "Neaspis villosa", "Neaspis squamata", "Indoreonectes evezardi", "Kocherius perpusillus", "Limnebius millani", "Limnebius kamali", "Rustleria obscura", "Lasconotus gracilis", "Philothermus nitidus", "Pycnomerus sophorae", "Pycnomerus simulans", "Pycnomerus minor", "Bitoma vicina", "Bitoma rugosa", "Bitoma nana", "Bitoma distans", "Pristoderus asper", "Pristoderus antarcticus", "Pristoderus viridipictus", "Euricania ocellus", "Euricania facialis", "Euricania brevicula", "Euricania longa", "Euricania clara", "Euricania xizangensis", "Suberites diversicolor", "Podabacia kunzmanni", "Podabacia motuporensis", "Carex strigosa", "Cyrtopodion kotschyi colchicus", "Cyrtopodion kotschyi concolor", "Cyrtopodion kotschyi danilewskii", "Cyrtopodion kotschyi fitzingeri", "Cyrtopodion kotschyi fuchsi", "Cyrtopodion kotschyi kalypsae", "Cyrtopodion kotschyi karabagi", "Cyrtopodion kotschyi maculatus", "Cyrtopodion kotschyi oertzeni", "Cyrtopodion kotschyi orientalis", "Cyrtopodion kotschyi ponticus", "Aponogeton ulvaceus", "Cyrtopodion kotschyi rumelicus", "Cyrtopodion kotschyi schultzewestrumi", "Cyrtopodion kotschyi skopjensis", "Cyrtopodion kotschyi solerii", "Cyrtopodion kotschyi stepaneki", "Cyrtopodion kotschyi syriacus", "Cyrtopodion kotschyi tinensis", "Cyrtopodion kotschyi wettsteini", "Cyrtopodion kotschyi unicolor", "Cyrtopodion kotschyi kotschyi", "Cyrtopodion kotschyi lycaonicus", "Cyrtopodion kotschyi saronicus", "Cyrtopodion kotschyi steindachneri", "Cacostomus floralis", "Cacostomus subvittatus", "Dendezia renieri", "Pelargonium sect.", "Aegus jansoni", "Aegus listeri", "Sphaenognathus queenslandicus", "Sphaenognathus munchowae", "Homolamprima crenulata", "Lissotes distinctus", "Lissotes basilaris", "Hexarthrius mandibularis", "Lucanus laetus", "Litarachna triangularis", "Pseudostegias dulcilacuum", "Stenopus goyi", "Rusavskia aspera", "Rusavskia crassa", "Thalassina anomala", "Rusavskia granulifera", "Rusavskia hafellneri", "Rusavskia muscicola", "Rusavskia sorediata", "Rusavskia subfruticulosa", "Telsimia tetrasticta", "Oxneria alfredii", "Oxneria aphrodites", "Oxneria coppinsii", "Oxneria fallax", "Oxneria gallowayii", "Oxneria soechtingii", "Oxneria sogdiana", "Oxneria ulophyllodes", "Macrocheilus fuscipennis", "Macrocheilus solidipalpis", "Macrocheilus cheni", "Macrocheilus quadratus", "Macrocheilus sinuatilabris", "Szombatya deretzi", "Szombatya fleutiauxi", "Szombatya hodgarti", "Szombatya malaccensis", "Szombatya merkli", "Szombatya minutus", "Topaldios apertus", "Topaldios porrectus", "Diospilus fulvus", "Diospilus podobe", "Diospilus belokobylskiji", "Pelargonium acetosum", "Xylopolia bellula", "Xylopolia bellula bellula", "Xylopolia bellula primoryensis", "Oreovalgus merkli", "Madeleinea colca", "Madeleinea huascarana", "Madeleinea lea", "Madeleinea lolita", "Madeleinea cobaltana", "Madeleinea gradoslamasi", "Madeleinea ludicra", "Madeleinea moza", "Madeleinea pacis", "Madeleinea pelorias", "Madeleinea sigal", "Madeleinea ardisensis", "Madeleinea bella", "Madeleinea koa", "Madeleinea nodo", "Madeleinea tintarrona", "Madeleinea vokoban", "Madeleinea malvasa", "Chersotis eberti", "Himalistra variabilis", "Himalistra obscura", "Himalistra hackeri", "Himalistra rubida", "Himalistra aristata", "Hypericum salsugineum", "Himalistra tahiricola", "Himalistra caesia", "Himalistra nivea", "Himalistra fusca", "Himalistra fusca fumata", "Himalistra fusca fusca", "Catocala faustina", "Catocala faustina faustina", "Catocala faustina allusa", "Roldana aliena", "Roldana angulifolia", "Roldana anisophylla", "Roldana aschenborniana", "Roldana barba-johannis", "Roldana cordovensis", "Roldana ehrenbergiana", "Neusticomys monticolus", "Equulites absconditus", "Donuea collustrata", "Cryphiops sbordonii", "Meinerteuma lucasii", "Multitestis coradioni", "Multitestis paramagnacetabulum", "Polyacanthia flavipes", "Tetrorea cilipes", "Oemona separata", "Oemona simplicollis", "Oemona plicicollis", "Macrocheilus gigas", "Ceresium unicolor", "Macrocheilus parvimaculatus", "Xylopolia bella", "Xylopolia bella bella", "Xylopolia bella amamiensis", "Xylopolia bella koreana", "Sinobdella kinzelbachi", "Bagilloflagellomera pectinicornis", "Baliopteridion brevitarsus", "Gibbolauxania elegans", "Minilauxania bulbifacies", "Paraphysoclypeus nigropleura", "Pseudominettia platypeza", "Tauridion shewelli", "Himalistra dimorpha", "Himalistra simillima", "Estagrotis benescripta", "Estagrotis benescripta benescripta", "Estagrotis benescripta rai", "Estagrotis canescens", "Estagrotis canescens canescens", "Estagrotis canescens tibetana", "Estagrotis gemina", "Roldana eriophylla", "Roldana gentryi", "Roldana gilgii", "Roldana glinophylla", "Pelargonium sect.", "Roldana gonzaleziae", "Roldana greenmanii", "Roldana grimesii", "Roldana guadalajarensis", "Roldana hartwegii", "Roldana hederifolia", "Roldana heracleifolia", "Roldana heterogama", "Roldana heteroidea", "Roldana hintonii", "Flavizona dolichostigma", "Aleuroclava kharazii", "Polyplectropus cubitalis", "Polyplectropus subteres", "Polyplectropus tianmushanensis", "Polyplectropus tridentatus", "Anagrus vulneratus", "Simulium litobranchium", "Roldana hirsuticaulis", "Roldana jurgensenii", "Roldana kerberi", "Roldana langlassei", "Roldana lanicaulis", "Roldana lineolata", "Dixonius vietnamensis", "Ebenavia inunguis", "Ebenavia maintimainty", "Euleptes europaea", "Roldana metepeca", "Roldana mexicana", "Roldana mezquitalana", "Roldana michoacana", "Roldana mixtecana", "Odontria halli", "Mycernus elegans", "Mycernus intermediatus", "Psilodontria viridescens", "Caryomyia ansericollum", "Caryomyia caryae", "Caryomyia aggregate", "Caryomyia albipilosa", "Xanthoanaptychia chrysophthalma", "Xanthoanaptychia villosa", "Pelargonium sect.", "Pelargonium sect.", "Pelargonium sect.", "Pelargonium sect.", "Pelargonium sect.", "Teloschistes capensis", "Aristias excavatus", "Labrisomus conditus", "Roldana lobata", "Roldana acutangula", "Roldana albonervia", "Chiasognathus sombrus", "Chiasognathus impubis", "Chiasognathus grantii", "Chiasognathus jousselinii", "Scaphidium longum", "Scaphidium spinatum", "Scaphidium laxum", "Scaphidium inflexitibiale", "Scaphidium liui", "Scaphidium reni", "Ravavy miafina", "Eupithecia oppidana", "Eupithecia natalica", "Eupithecia percuriosa", "Eupithecia subnixa", "Eupithecia ina", "Chloroclystis ignava", "Chloroclystis parthenia", "Garyus altus", "Agalliopsis acrita", "Agalliopsis ancyra", "Agalliopsis bidigita", "Agalliopsis davidsoni", "Agalliopsis dicroma", "Agalliopsis extenda", "Agalliopsis extrema", "Agalliopsis intera", "Agalliopsis lathripa", "Agalliopsis longistyla", "Agalliopsis meiosa", "Agalliopsis treptona", "Agalliopsis uncula", "Scolypopa australis", "Aethomys chrysophilus", "Palearctia rasa", "Crossotocera wagnerella", "Pelargonium sect.", "Anemone hepatica var. asiatica", "Anemone hepatica var. japonica", "Vernaya fulva", "Pancalia aureatus", "Pancalia wuyiensis", "Calyciphora golestanica", "Aphysoneura scapulifascia", "Aphysoneura scapulifascia scapulifascia", "Aphysoneura scapulifascia harmi", "Aphysoneura scapulifascia collinsi", "Aphysoneura scapulifascia kigeziae", "Aphysoneura scapulifascia zairensis", "Aphysoneura scapulifascia occidentalis", "Aphysoneura pigmentaria", "Aphysoneura pigmentaria pigmentaria", "Aphysoneura pigmentaria latilimba", "Aphysoneura pigmentaria obnubila", "Aphysoneura pigmentaria pringlei", "Aphysoneura pigmentaria kiellandi", "Aphysoneura pigmentaria dewittei", "Amanita verna", "Caryomyia arcuata", "Caryomyia asteris", "Caryomyia biretta", "Caryomyia caminata", "Caryomyia cilidolium", "Caryomyia conoidea", "Caryomyia cucurbitata", "Caryomyia deflexipili", "Caryomyia echinata", "Caryomyia eumaris", "Caryomyia flaticrustum", "Caryomyia glauciglobus", "Caryomyia glebosa", "Caryomyia guttata", "Caryomyia hirtiglobus", "Caryomyia hirtidolium", "Caryomyia inclinata", "Caryomyia inflate", "Caryomyia lenta", "Caryomyia levicrustum", "Caryomyia leviglobus", "Caryomyia marginata", "Caryomyia melicrustum", "Caryomyia ovalis", "Caryomyia procumbens", "Caryomyia purpurea", "Caryomyia recurvata", "Caryomyia shmoo", "Caryomyia spherica", "Caryomyia spiniglobus", "Caryomyia spinulosa", "Caryomyia stellata", "Caryomyia striolacrustum", "Caryomyia striolata", "Caryomyia subulata", "Caryomyia supina", "Caryomyia tuberculata", "Caryomyia tuberidolium", "Caryomyia tumida", "Caryomyia turbanella", "Caryomyia turbinata", "Roldana neogibsonii", "Caryomyia urnula", "Caryomyia viscidolium", "Caryomyia antennata", "Roldana petasitis", "Caryadiplosis biconvexa", "Caryadiplosis venicola", "Contarinia bulliformis", "Contarinia cucumata", "Roldana platanifolia", "Roldana reglensis", "Roldana reticulata", "Gliaspilota glutinosa", "Roldana robinsoniana", "Roldana scandens", "Roldana schaffneri", "Roldana sessilifolia", "Chrysomila amazonica", "Chrysomila cycloeides", "Chrysomila dichroa", "Chrysomila erwini", "Chrysomila eudaemon", "Chrysomila filicis", "Chrysomila gamboensis", "Chrysomila lema", "Chrysomila tinalandiae", "Hepatica transsilvanica", "Chrysomila virginensis", "Fissidens arnoldii", "Metzgeria conjugata", "Seligeria patula", "Bazzania trilobata", "Aethomys ineptus", "Valeriana estonica", "Amanita spissa", "Roldana subpeltata", "Roldana suffulta", "Roldana sundbergii", "Roldana tlacotepecana", "Roldana petasitis var. cristobalensis", "Roldana petasitis var. oaxacana", "Roldana petasitis var. sartorii", "Rolanda kerberi var. calzadana", "Scythrodes squalidus", "Rolanda kerberi var. manantlanensis", "Roldana hartwegii var. durangensis", "Roldana hartwegii var. carlomasonii", "Roldana hartwegii var. subcymosa", "Hapatesus electus", "Hapalips prolixus", "Stephanorhynchus lawsoni", "Felisacus elegantulus", "Remaudiereana inornata", "Khorata fusui", "Khorata ningming", "Aphysoneura pigmentaria seminigra", "Aphysoneura pigmentaria kanga", "Aphysoneura pigmentaria mbulu", "Aphysoneura pigmentaria semilatilimba", "Aphysoneura pigmentaria songeana", "Aphysoneura pigmentaria uzungwa", "Aphysoneura pigmentaria vumba", "Quietula y-cauda", "Saprosites exsculptus", "Stachys bullata", "Xeronema moorei", "Saprosites mendax", "Australaphodius frenchi", "Saprosites communis", "Cyrestis heracles", "Cyrestis heracles heracles", "Cyrestis heracles selayarensis", "Bassarona dunya dunya", "Bassarona dunya jionoi", "Euthalia mahadeva yokochii", "Lebadea martha sebuku", "Faunis saifuliana", "Atrophaneura sycorax sycorax", "Atrophaneura sycorax hiroyukii", "Trogonoptera brookiana toshikii", "Lamproptera meges meges", "Lamproptera meges bella", "Charaxes borneensis", "Charaxes borneensis borneensis", "Charaxes borneensis latifasciatus", "Elymnias panthera banyakensis", "Caxamarca sanchezii", "Chersodoma argentina", "Chersodoma candida", "Chersodoma jodopappa", "Chersodoma antennaria", "Chersodoma arequipensis", "Chersodoma deltoidea", "Chersodoma glabriuscula", "Chersodoma juanisernii", "Espeleonaushonia palauensis", "Amerothyasella tiunovae", "Dinonemertes shinkaii", "Chersodoma ovopedata", "Geophagus sveni", "Geophagus neambi", "Alona altiplana", "Geoffreya fryeri", "Pleuroxus fryeri", "Brachypsectra kadleci", "Alfenus calamistratus", "Alfenus chrysophaeus", "Addyme confusalis", "Acrobasis ochrifasciella", "Calguia rufobrunnealis", "Amsactoides guangxica", "Abrostola korbi", "Aporcelinus decimus", "Zercon bercziki", "Thienemanniella absens", "Thienemanniella hainanensis", "Thienemanniella sichuana", "Thienemanniella triangula", "Thienemanniella wuyiensis", "Thienemanniella cavata", "Pediella colorata", "Pediella ancashensis", "Pediella cajamarcaensis", "Pediella juninensis", "Clematoscenea smithersi", "Setopsocus clematoscenoides", "Dorcus carinulatus", "Dorcus carinulatus koreanus", "Procambridgea grayi", "Argyrodes hawaiiensis", "Argyrodes laha", "Argyrodes ilipoepoe", "Medeola virginiana", "Mashunoides carneiromendesi", "Viridixes dilutus", "Viridixes dilutus dilutus", "Viridixes dilutus amanica", "Viridixes eupale", "Viridixes minor", "Viridixes minor minor", "Viridixes minor karinae", "Viridixes montis", "Viridixes schiltzei", "Viridixes schultzei", "Viridixes subornatus", "Viridixes subornatus subornatus", "Viridixes subornatus couilloudi", "Addyme inductalis", "Calguia defiguralis", "Coleothrix crassitibiella", "Coleothrix obscuriella", "Coleothrix swinhoeella", "Cineraria pinnata", "Cineraria platycarpa", "Protopeltis viridescens", "Pimpinella daghestanica", "Pimpinella idae", "Dahlia sect.", "Dahlia sect.", "Dahlia sect.", "Lemidia longipes", "Lemidia debilis", "Gobiopsis namnas", "Dahlia subsect.", "Dahlia subsect.", "Caloptilia rjabovi", "Hetereleotris exilis", "Phyllonorycter sibirica", "Sacrimarinema allae", "Ancistrogobius dipus", "Sacrimarinema ljajiae", "Sacrimarinema tatushae", "Panophthalmus rileyi", "Aiphonsinus boviei", "Ancistrogobius squamiceps", "Ancistrogobius yanoi", "Ancistrogobius yoshigoui", "Barioxyonyx kerzhneri", "Ceutorhynchus mariannae", "Datonychus glocianoides", "Ceutorhynchus sphaerula", "Setopsocus leuserensis", "Bolandia argillacea", "Bolandia pedunculosa", "Oresbia heterocarpa", "Pyrenidium aggregatum", "Mesepipsocus bolivianus", "Mesepipsocus brunellus", "Mesepipsocus brasilianus", "Mesepipsocus brevistigma", "Mesepipsocus fuscatus", "Mesepipsocus niger", "Mesepipsocus obscurus", "Mesepipsocus roesleri", "Mesepipsocus roncadorensis", "Mesepipsocus sinuatus", "Mesepipsocus taitubai", "Epipsocus uniformis", "Epipsocus willineri", "Mesepipsocus capitulatus", "Mesepipsocus newi", "Mesepipsocoides perezgelaberti", "Mesepipsocus peruanus", "Mesepipsocus semiclarus", "Limmenius porcellus", "Milnesioides exsertum", "Milnesium brachyungue", "Milnesium dujiangensis", "Milnesium eurystomum", "Milnesium katarzynae", "Milnesium reticulatum", "Chrysothrix chamaecyparicola", "Milnesium tardigradum", "Chrysothrix susquehannensis", "Milnesium tardigradum tardigradum", "Milnesium tardigradum trispinosum", "Milnesium tetralamellatum", "Myopsaron nelsoni", "Proscleropterus davidiani", "Beorn leggi", "Alesinus nepalensis", "Scleropterus antoni", "Barioxyonyx helenae", "Platypteronyx volkovitshi", "Colobura dirce", "Rhamphus amplipennis", "Rhamphus kazabi", "Rhamphus medvedevi", "Rhamphus namibicus", "Bucculatrix longispiralis", "Bucculatrix tubulosa", "Bucculatrix nepalica", "Stigmidium congestum", "Bucculatrix acuta", "Pseudocrenilabrus nicholsi", "Chrysothrix onokoensis", "Chrysothrix insulizans", "Garra chebera", "Glossanodon kotakamaru", "Cineraria abyssinica", "Cineraria atriplicifolia", "Phoxacromion kaneharai", "Cineraria deltoidea", "Cineraria decipiens", "Cineraria huilensis", "Cineraria mollis", "Cineraria grandibracteata", "Cineraria albicans", "Cineraria austrotransvaalensis", "Cineraria longipes", "Cineraria geraniifolia", "Cineraria vagans", "Chrysothrix septemseptata", "Pseudophilothrips gandolfoi", "Otiorhynchus adrianus", "Otiorhynchus pseudosetosulus", "Otiorhynchus vagans", "Polystichum aculeatum", "Cineraria dryogeton", "Depressaria kailai", "Polystichum woronowii", "Cineraria anampoza", "Cineraria erodioides", "Cineraria glandulosa", "Cineraria vallis-pacis", "Epilobium anagallidifolium", "Cineraria cyanomontana", "Cineraria canescens", "Cineraria erosa", "Cineraria mazoensis", "Cineraria foliosa", "Cineraria pulchra", "Cineraria magnicephala", "Cineraria alchemilloides", "Cineraria lobata", "Cineraria ngwenyensis", "Cineraria saxifraga", "Cineraria geifolia", "Cineraria angulosa", "Cineraria parvifolia", "Plectrocnemia ambaita", "Plectrocnemia martynovi", "Plectrocnemia kachin", "Plectrocnemia dalat", "Plectrocnemia kamba", "Plectrocnemia malaisei", "Plectrocnemia thai", "Plectrocnemia taungyia", "Polyplectropus daimong", "Polyplectropus dinhdan", "Polyplectropus giandi", "Polyplectropus jalan", "Polyplectropus pairavatika", "Polyplectropus coronivia", "Polyplectropus vanuatu", "Polyplectropus palma", "Polyplectropus vanda", "Polyplectropus vanua", "Polyplectropus wainimbuk", "Arnoglossum album", "Cyrnopsis tangaron", "Pahamunaya espelandae", "Pahamunaya khoii", "Pahamunaya wamana", "Hoplorhaphus nodifer", "Lophus cristatellus", "Lophus lewisi", "Lophus rudis", "Pimpinella turcomanica", "Pimpinella lithophila", "Pimpinella litvinovii", "Pimpinella aromatica", "Zalophus japonicus", "Zalophus wollebaeki", "Nothrolohmannia samarensis", "Nothrolohmannia calcarata", "Dorsipes balli", "Eutarsopolipus steveni", "Neognathus ueckermanni", "Epitrimerus angustisternalis", "Epitrimerus torus", "Parioglossus caeruleolineatus", "Parioglossus senoui", "Parioglossus winterbottomi", "Calohypsibius caelatus", "Pempelia disitnctella", "Pempelia distinctella", "Calohypsibius maliki", "Pimpinella confusa", "Phyllonorycter crimea", "Caloptilia dubatolovi", "Cypripedium sect.", "Cypripedium subtropicum", "Cypripedium wardii", "Cypripedium sect.", "Cypripedium irapeanum", "Cypripedium molle", "Cypripedium dickinsonianum", "Cypripedium flavum", "Parazoanthus axinellae", "Trogoderma maestum", "Trogoderma serrigerum", "Trogoderma signatum", "Grynoma diluta", "Grynoma fusca", "Lepidopteryx farinosa", "Austroablepharus barrylyoni", "Leiolepis ngovantrii", "Trogoderma antennale", "Trogoderma granulatum", "Trogoderma pictulum", "Trogoderma punctatum", "Trogoderma suffusum", "Trogoderma puncticolle", "Trogoderma quadrifasciatum", "Grynoma setigera", "Grynoma clavalis", "Grynoma proxima", "Grynoma pallidula", "Amblyomma longirostre", "Tetranychus evansi", "Ateuchus lecontei", "Promalactis sulawesiella", "Promalactis fansipanella", "Pleurota brevipalpella", "Pleurota margelanica", "Denisia caucasiella", "Denisia yukonella", "Hexapodibius bindae", "Hexapodibius boothi", "Hexapodibius christenberryae", "Hexapodibius micronyx", "Hexapodibius pseudomicronyx", "Hexapodibius reginae", "Parhexapodibius bactrianus", "Parhexapodibius castrii", "Parhexapodibius lagrecai", "Parhexapodibius pilatoi", "Parhexapodibius ramazzottii", "Serica basumtsoensis", "Serica becvari", "Serica behluhdinensis", "Serica benesi", "Serica bolm", "Serica chautarana", "Serica daliangshanica", "Serica daliensis", "Serica degenensis", "Serica doiinthanonensis", "Serica emeishanica", "Serica furcata", "Serica gonggashanica", "Serica heishuiensis", "Serica kangdingensis", "Serica leigongshanica", "Serica litangensis", "Serica meiguensis", "Serica mianningensis", "Serica minshanica", "Serica montreuili", "Serica muliensis", "Serica plutenkoi", "Serica puetzi", "Serica qinlingshanica", "Serica ratcliffei", "Serica schoenmanni", "Serica shaanxiensis", "Serica shokhini", "Serica sudhausi", "Serica taibashanica", "Serica tayanpingensis", "Serica xichangensis", "Serica yaogiensis", "Serica yulongshanica", "Serica zerchei", "Serica almorae", "Serica angustatotibialis", "Serica arborea", "Serica bhaktai", "Serica bidentata", "Serica chasilakhae", "Serica chuttana", "Serica filitarsata", "Serica guidoi", "Serica incognita", "Serica kingdoni", "Lavandula subg.", "Lavandula sect.", "Lavandula sect.", "Lavandula sect.", "Lavandula subg.", "Lavandula subg.", "Lavandula sect.", "Lavandula sect.", "Lavandula sect.", "Lavandula sect.", "Lavandula dentata var. dentata", "Lavandula dentata var. candicans", "Pimpinella affinis", "Pimpinella grossheimii", "Pimpinella puberula", "Pimpinella ramosa", "Arnoglossum reniforme", "Dilemma japonicum", "Pimpinella korshinskyi", "Zwackhiomyces arenicola", "Zwackhiomyces argentina", "Zwackhiomyces aspiciliae", "Zwackhiomyces berengerianus", "Zwackhiomyces calcariae", "Zwackhiomyces cervinae", "Zwackhiomyces cladoniae", "Antillanthus acunae", "Antillanthus azulensis", "Tmesipteris horomaka", "Draconarius beloniforis", "Draconarius bifarius", "Draconarius brevicarenos", "Draconarius capitellus", "Draconarius communis", "Draconarius condocephalus", "Draconarius confusus", "Draconarius contiguus", "Draconarius cylindratus", "Draconarius dapaensis", "Draconarius distinctus", "Draconarius dorsicephalus", "Draconarius gorkhaensis", "Draconarius gurkha", "Draconarius latiforus", "Draconarius meganiger", "Draconarius microcoelotes", "Draconarius panchtharensis", "Draconarius paraepisomos", "Draconarius phulchokiensis", "Draconarius pseudogurkha", "Draconarius pseudomeganiger", "Draconarius sacculus", "Draconarius schawalleri", "Draconarius semicirculus", "Draconarius seorsus", "Draconarius simplicifolis", "Draconarius spinosus", "Draconarius subconfusus", "Draconarius subepisomos", "Draconarius subrotundus", "Calohypsibius ornatus", "Draconarius taplejungensis", "Draconarius testudinatus", "Draconarius tinjuraensis", "Draconarius tritos", "Draconarius volutobursarius", "Draconarius wuermlii", "Inegocia ochiaii", "Draconarius yadongensis", "Calohypsibius placophorus", "Draconarius abbreviatus", "Calohypsibius schusteri", "Draconarius acidentatus", "Calohypsibius verrucosus", "Draconarius adligansus", "Cocotropus izuensis", "Draconarius bounnami", "Draconarius latidens", "Draconarius postremus", "Draconarius songi", "Draconarius tabularis", "Draconarius hanoiensis", "Cosmos sect.", "Draconarius huongsonensis", "Lenomys meyeri", "Alloclubionoides pseudonariceus", "Alloclubionoides triangulatus", "Alloclubionoides trisaccatus", "Platocoelotes daweishanensis", "Platocoelotes globosus", "Platocoelotes latus", "Platocoelotes paralatus", "Alloclubionoides jaegeri", "Haplohexapodibius seductor", "Haplomacrobiotus hermosillensis", "Haplomacrobiotus utahensis", "Cosmos sect.", "Thermozodium esakii", "Antillanthus biseriatus", "Antillanthus carinatus", "Antillanthus cubensis", "Antillanthus ekmanii", "Antillanthus eriocarpus", "Antillanthus leucolepis", "Antillanthus moaensis", "Antillanthus moldenkei", "Antillanthus pachylepis", "Stigmidium aggregatum", "Stigmidium cerinae", "Stigmidium conspurcans", "Stigmidium croceae", "Aremonia agrimonoides", "Stigmidium degelii", "Stigmidium ephebes", "Stigmidium epiramalina", "Stigmidium epistigmellum", "Stigmidium epixanthum", "Stigmidium eucline", "Stigmidium frigidum", "Stigmidium fuscatae", "Stigmidium glebarum", "Stigmidium gyrophorarum", "Stigmidium hafellneri", "Stigmidium hageniae", "Stigmidium hesperium", "Stigmidium johnii", "Stigmidium leprariae", "Stigmidium marinum", "Stigmidium microcarpum", "Stigmidium microspilum", "Stigmidium mycobilimbiae", "Stigmidium peltideae", "Stigmidium pseudopeltideae", "Stigmidium psorae", "Stigmidium pumilum", "Stigmidium punctillum", "Stigmidium schaereri", "Stigmidium squamariae", "Stigmidium stygnospila", "Stigmidium superpositum", "Stigmidium tabacinae", "Stigmidium xanthoparmeliarum", "Cosmos sect.", "Antillanthus pachypodus", "Antillanthus saugetii", "Antillanthus shaferi", "Antillanthus trichotomus", "Antillanthus subsquarrosus", "Liolaemus casamiquelai", "Varanus obor", "Nototriton tomamorum", "Arthonia rinodinicola", "Arthonia epitoninia", "Acizzia alternata", "Acizzia solanicola", "Callophrys paulae", "Callophrys paulae paulae", "Callophrys paulae kolak", "Callophrys paulae jomuda", "Cyana janinae", "Scorpaenodes rubrivinctus", "Cyana v-nigrum", "Cyana v-nigrum v-nigrum", "Cyana v-nigrum visayana", "Cyana alexi", "Cyana andromeda", "Cyana aurifinis", "Cyana carmina", "Cyana gabriellae", "Cyana geminipuncta", "Cyana libulae", "Cyana treadawayi", "Cyana soror", "Cyana soror soror", "Cyana soror denigrata", "Cyana indonesia", "Cyana indonesia palawanica", "Cyana indonesia indonesia", "Paidia atargatis", "Sesia himachalensis", "Sesia ladakhensis", "Enos polka", "Xanthoria elegans var. elegans", "Lathyrus rotundifolius subsp. rotundifolius", "Eurema alitha", "Xanthoria elegans var. splendens", "Xanthoria parietina subsp. parietina", "Xanthoria parietina subsp. ectanea", "Tortopus harrisi", "Cephalophysis leucospila", "Eulasia rittneri", "Lathyrus miniatus", "Sphinditeles ruficornis", "Sphinditeles dorsalis", "Sphinditeles nigricornis", "Sphinditeles rufescens", "Zwackhiomyces coepulonus", "Zwackhiomyces diederichii", "Zwackhiomyces dispersus", "Zwackhiomyces echinulatus", "Zwackhiomyces euplocinus", "Zwackhiomyces immersae", "Zwackhiomyces inconspicuus", "Zwackhiomyces kantvilasii", "Zwackhiomyces kiszkianus", "Zwackhiomyces lacustris", "Zwackhiomyces lecanorae", "Zwackhiomyces lithoiceae", "Zwackhiomyces macrosporus", "Zwackhiomyces martinatianus", "Zwackhiomyces namibiensis", "Zwackhiomyces peltigerae", "Zwackhiomyces physciicola", "Cissampelopsis buimalia", "Zwackhiomyces sipmanii", "Cissampelopsis erythrochaeta", "Zwackhiomyces sphinctriniformis", "Zwackhiomyces sphinctrinoides", "Cissampelopsis calcadensis", "Cissampelopsis glandulosa", "Cissampelopsis walkeri", "Cissampelopsis corifolia", "Cissampelopsis volubilis", "Cissampelopsis ansteadii", "Cissampelopsis spelaeicola", "Cissampelopsis corymbosa", "Lavandula \u00d7 allardii", "Eviota tigrina", "Eviota randalli", "Eviota rubrisparsa", "Eviota toshiyuki", "Eviota winterbottomi", "Eviota guttata", "Eviota albolineata", "Phaeorrhiza sareptana var. sareptana", "Phaeorrhiza sareptana var. sphaerocarpa", "Azara dentata", "Sugimotoa anthracoides", "Sphinditeles atriventris", "Austrotinodes abrachium", "Austrotinodes belchioris", "Austrotinodes boliviensis", "Austrotinodes cressae", "Austrotinodes longispinum", "Austrotinodes taquaralis", "Anomaloblaste sudaryantoi", "Blaste jambiense", "Javablaste darmayasai", "Javablaste junithai", "Javablaste ramonai", "Neoblaste cochleata", "Neoblaste katambiense", "Neoblaste piscata", "Neoblaste torquata", "Sphinditeles niticollis", "Sphinditeles debilis", "Aprostomis cephalotes", "Lagrioida australis", "Profundulus portillorum", "Lacon funebris", "Lacon lepidopterus", "Lacon fasciatus", "Podabrocephalus sinuaticollis", "Neocrowsonia viatoricus", "Taphropiestes electa", "Taphropiestes chathamensis", "Taphropiestes dumbletoni", "Taphropiestes fusca", "Taphropiestes pullivora", "Hellinsia improbus", "Hellinsia inconditus", "Hellinsia innocens", "Hellinsia inquinatus", "Hellinsia integratus", "Hellinsia inulae", "Hellinsia investis", "Hellinsia invidiosus", "Hellinsia ishiyamanus", "Hellinsia jason", "Hellinsia kellicottii", "Hellinsia kuwayamai", "Hellinsia laciniata", "Hellinsia lacteodactylus", "Hellinsia lacteolus", "Hellinsia lenis", "Hellinsia lienigianus", "Hellinsia logistes", "Hellinsia longifrons", "Hellinsia malesanus", "Hellinsia mallecoicus", "Hellinsia mauleicus", "Hellinsia mollis", "Hellinsia mongolicus", "Hellinsia monserrate", "Hellinsia monteverda", "Hellinsia montezerpae", "Hellinsia nauarches", "Hellinsia nephogenes", "Hellinsia nigridactylus", "Hellinsia nivalis", "Hellinsia nodipes", "Hellinsia nuwara", "Hellinsia obandoi", "Hellinsia obscuricilia", "Hellinsia ochracealis", "Hellinsia osteodactylus", "Hellinsia oxyntes", "Hellinsia pacifica", "Hellinsia paleaceus", "Hellinsia palmatus", "Hellinsia paraglochinias", "Hellinsia paramoi", "Hellinsia paraochracealis", "Hellinsia pectodactyla", "Hellinsia pelodactylus", "Hellinsia phlegmaticus", "Hellinsia phloeochroa", "Hellinsia praealtus", "Hellinsia probatus", "Hellinsia procontias", "Hellinsia pseudobarbata", "Hellinsia pseudokorbi", "Hellinsia rigidus", "Hellinsia salticola", "Hellinsia scholasticus", "Adenostyles alliariae", "Adenostyles alpina", "Adenostyles briquetii", "Adenostyles leucophylla", "Upeneus indicus", "Upeneus margarethae", "Upeneus suahelicus", "Upeneus supravittatus", "Redigobius lekutu", "Redigobius nanus", "Astyanax stenohalinus", "Altica bicarinata", "Dichomeris argentenigera", "Dichomeris hamulifera", "Dichomeris parvisexafurca", "Xanthoria ascendens", "Xanthoria aureola", "Xanthoria calcicola", "Gnorimoschema jalavai", "Gnorimoschema mikkolai", "Xanthoria ectaneoides", "Gnorimoschema epithymellum", "Xanthoria elegans", "Xanthoria hafellneri", "Xanthoria isidioidea", "Gnorimoschema epithymellum kirgisicum", "Gnorimoschema epithymellum epithymellum", "Xanthoria parietina", "Gnorimoschema herbichi", "Gnorimoschema herbichi herbichi", "Gnorimoschema herbichi kamchaticum", "Gnorimoschema antiquum", "Gnorimoschema antiquum antiquum", "Gnorimoschema antiquum montanum", "Xanthoria sorediata", "Gnorimoschema nordlandicolellum", "Hellinsia scribarius", "Hellinsia batallonica", "Hellinsia betsiae", "Hellinsia bhutanensis", "Hellinsia chionoptila", "Hellinsia costalba", "Hellinsia elhacha", "Paradiphascon manningi", "Hellinsia fissuralba", "Hellinsia fissuripuncta", "Hellinsia fletcheri", "Hellinsia fuscomarginata", "Hellinsia fuscotransversa", "Hellinsia scripta", "Hellinsia sematias", "Hellinsia serpens", "Hebesuncus conjungens", "Hellinsia sichuana", "Hellinsia simplicissimus", "Hebesuncus ryani", "Hellinsia siskaellus", "Hebesuncus schusteri", "Hellinsia socorroica", "Hellinsia solanoi", "Hellinsia sordidatus", "Hellinsia spermatias", "Hellinsia sphenites", "Hellinsia spiculibursa", "Hellinsia stadias", "Hellinsia sublatus", "Hellinsia subnotatus", "Hellinsia subochraceus", "Hellinsia sulphureodactylus", "Hellinsia tephradactyla", "Hellinsia tetraonipennis", "Hellinsia thor", "Hellinsia thoracica", "Hellinsia tinctus", "Hellinsia trachyphloeus", "Hellinsia triadias", "Bertolanius mahunkai", "Bertolanius markevichi", "Hellinsia tripunctatus", "Hellinsia unicolor", "Bertolanius nebulosus", "Hellinsia urbanus", "Hellinsia varioides", "Hellinsia wrangeliensis", "Picardia betsileo", "Grammoptera gracilis", "Noona regalis", "Leptura mimica", "Macratriomima lobigera", "Laccobius harteni", "Oosternum cicatricosum", "Sternarchogiton zuanoni", "Tetropium danilevskyi", "Picardia eparches", "Picardia orchatias", "Picardia ruwenzoricus", "Paulianilus conyzae", "Paulianilus madecasseus", "Oidaematophorus aethes", "Oidaematophorus argutus", "Oidaematophorus balsamorrhizae", "Microcalicium ahlneri", "Oidaematophorus barbatus", "Oidaematophorus baroni", "Oidaematophorus borbonicus", "Microcalicium arenarium", "Microcalicium conversum", "Oidaematophorus brucei", "Oidaematophorus castor", "Microcalicium disseminatum", "Oidaematophorus catalinae", "Oidaematophorus cineraceus", "Oidaematophorus constantini", "Oidaematophorus cretidactylus", "Oidaematophorus downesi", "Oidaematophorus eupatorii", "Balitora eddsi", "Bertolanius volubilis", "Bertolanius weglarskae", "Calumia eilperinae", "Calumia papuensis", "Apodibius confusus", "Apodibius richardi", "Eohypsibius nadjae", "Eohypsibius terrestris", "Oidaematophorus giganteus", "Oidaematophorus grisescens", "Oidaematophorus guttatus", "Oidaematophorus hoguei", "Oidaematophorus iwatensis", "Oidaematophorus lindseyi", "Oidaematophorus lithodactyla", "Oidaematophorus madecasseus", "Arnica intermedia", "Oidaematophorus mathewianus", "Oidaematophorus mauritius", "Oidaematophorus mineti", "Oidaematophorus negus", "Oidaematophorus nigricalcarius", "Oidaematophorus nigrofuscus", "Oidaematophorus nigrosparsus", "Oidaematophorus occidentalis", "Oidaematophorus ochricostatus", "Oidaematophorus ossipellis", "Oidaematophorus pelospilus", "Oidaematophorus phaceliae", "Oidaematophorus powelli", "Oidaematophorus praenigratus", "Oidaematophorus rileyi", "Oidaematophorus rogenhoferi", "Oidaematophorus surinamensis", "Oidaematophorus suspiciosus", "Oidaematophorus tepidus", "Oidaematophorus vafradactylus", "Oidaematophorus zetes", "Emmelina argoteles", "Emmelina buscki", "Emmelina lochmaius", "Emmelina monodactyla", "Adaina ambrosiae", "Adaina beckeri", "Adaina bernardi", "Adaina bipunctatus", "Milnesium alabamae", "Adaina cinerascens", "Adaina costarica", "Adaina desolata", "Adaina everdinae", "Adaina excreta", "Adaina fuscahodias", "Adaina gentilis", "Adaina hodias", "Adaina invida", "Adaina montanus", "Adaina obscura", "Adaina parainvida", "Adaina periarga", "Adaina perplexus", "Adaina planaltina", "Adaina praeusta", "Adaina primulacea", "Adaina propria", "Adaina simplicius", "Adaina thomae", "Adaina zephyria", "Calyciphora acarnella", "Calyciphora adamas", "Calyciphora albodactylus", "Calyciphora homoiodactyla", "Calyciphora marashella", "Calyciphora nephelodactyla", "Calyciphora xanthodactyla", "Dima elateroides", "Chrysiptera arnazae", "Nothobranchius boklundi", "Vitis subg.", "Neotrygon ningalooensis", "Vitis subg.", "Cortodera ciliata sakmarensis", "Carex brunnescens", "Carex elongata", "Carex echinata", "Hypnoidus alticola", "Carex macloviana", "Sericus brunneus", "Carex heleonastes", "Hemicrepidius oblongus", "Hebdomactis crystallodes", "Arbelaezaster ellsworthii", "Acanthopagrus omanensis", "Garcibarrigoa telembina", "Alinguata neblina", "Paelia lunuligera", "Prymnotomis crypsicroca", "Microschismus antennatus", "Lepidocephalichthys alkaia", "Microschismus cymatias", "Microschismus fortis", "Microschismus premnias", "Microschismus sceletias", "Triscaedecia dactyloptera", "Triscaedecia septemdactyla", "Lepidocephalichthys kranos", "Pterotopteryx colchica", "Pterotopteryx monticola", "Pterotopteryx tshatkalica", "Pterotopteryx synaphodactyla", "Alucita acalles", "Acrisione cymosa", "Acrisione denticulata", "Vitis vinifera subsp. vinifera", "Abrotanella emarginata", "Abrotanella diemii", "Abrotanella forsteroides", "Abrotanella inconspicua", "Abrotanella rosulata", "Chocophorus solisi", "Chocophorus venedictoffi", "Imbophorus aptalis", "Imbophorus leucophasma", "Imbophorus pallidus", "Pterophorus ashanti", "Pterophorus bacteriopa", "Pterophorus baliolus", "Pterophorus candidalis", "Pterophorus ceraunia", "Pterophorus chionadelpha", "Pterophorus chosokeialis", "Pterophorus cleronoma", "Pterophorus dallastai", "Pterophorus denticulata", "Pterophorus elaeopa", "Pterophorus flavus", "Pterophorus furcatalis", "Pterophorus innotatalis", "Pterophorus ischnodactyla", "Pterophorus jaechi", "Pterophorus kuningus", "Pterophorus lamottei", "Pterophorus lampra", "Pterophorus legrandi", "Pterophorus lindneri", "Pterophorus massai", "Pterophorus melanopoda", "Pterophorus monospilalis", "Pterophorus niveodactyla", "Pterophorus pentadactyla", "Pterophorus rhyparias", "Pterophorus spissa", "Pterophorus uzungwe", "Pterophorus virgo", "Septuaginta zagulajevi", "Singularia walsinghami", "Diacrotricha fasciola", "Diacrotricha lanceata", "Cosmoclostis aglaodesma", "Cosmoclostis auxileuca", "Cosmoclostis brachybela", "Cosmoclostis chalconota", "Cosmoclostis leucomochla", "Cosmoclostis quadriquadra", "Cosmoclostis schouteni", "Agdistopis griveaudi", "Agdistopis halieutica", "Agdistopis sinhala", "Muellerella antarctica", "Muellerella erratica", "Muellerella frullaniae", "Muellerella hospitans", "Muellerella lecanactidis", "Muellerella lichenicola", "Muellerella macrospora", "Muellerella polyspora", "Muellerella pygmaea", "Muellerella rubescens", "Muellerella stictinae", "Muellerella thallophila", "Muellerella triseptata", "Muellerella ventosicola", "Muellerella vesicularia", "Leptobasis mauffrayi", "Leptobasis guanacaste", "Thraulodes jones", "Thraulodes quevedoensis", "Gonioctena koryeoensis", "Zonopimpla diazi", "Zonopimpla moralesi", "Zonopimpla rodriguezi", "Zonopimpla sebastiani", "Zonopimpla torrellasi", "Zonopimpla vasquezi", "Zonopimpla victoriae", "Zonopimpla pereirai", "Zonopimpla pseudoatriceps", "Astronotus crassipinnis", "Myxophora amerospora", "Myxophora apotheciicola", "Myxophora leptogiophila", "Myxophora ovalispora", "Myxophora placynthii", "Myxophora tetraspora", "Myxophora tjibodensis", "Tabulaephorus afghanus", "Cyana bigutta", "Diastylis andeepae", "Diastylis catalinae", "Lehtinenia arcus", "Indicoblemma cruxi", "Shearella sanya", "Singaporemma bifurcata", "Tetrablemma nandan", "Hippotion hateleyi", "Necterosoma susanna", "Orchymontia spinipennis", "Cathartocryptus maculosus", "Abrotanella spathulata", "Abrotanella scapigera", "Abrotanella nivigena", "Abrotanella linearis", "Abrotanella pusilla", "Abrotanella caespitosa", "Abrotanella fertilis", "Abrotanella linearifolia", "Tropidophorus boehmei", "Niphargus frasassianus", "Niphargus montanarius", "Ranitomeya cyanovittata", "Ranitomeya yavaricola", "Csiromedusa medeopolis", "Phloiophilus edwardsi", "Bephrata atra", "Bephrata bouceki", "Bephrata camacho", "Bephrata chica", "Bephrata christeri", "Bephrata citri", "Bephrata clava", "Bephrata flava", "Bephrata leptogaster", "Bephrata lorraineae", "Bephrata nigracephala", "Bephrata noyesi", "Bephrata nublada", "Bephrata petiolata", "Bephrata stichogaster", "Bephrata ticos", "Isosomodes azofiefai", "Isosomodes colombia", "Isosomodes landoni", "Isosomodes paradoxus", "Isosomodes parkeri", "Isosomodes similis", "Abrotanella trilobata", "Abrotanella submarginata", "Abrotanella muscosa", "Geum \u00d7 sudeticum", "Abrotanella trichoachaenia", "Abrotanella purpurea", "Abrotanella rostrata", "Promanus depressus", "Promanus auripilus", "Abrotanella patearoa", "Tabulaephorus decipiens", "Tabulaephorus djebeli", "Tabulaephorus hissaricus", "Tabulaephorus maracandicus", "Tabulaephorus marptys", "Tabulaephorus murzini", "Tabulaephorus narynus", "Tabulaephorus parthicus", "Tabulaephorus punctinervis", "Tabulaephorus sesamitis", "Tabulaephorus thomasi", "Tabulaephorus ussuriensis", "Porrittia galactodactyla", "Porrittia herzi", "Porrittia imbecilla", "Merrifieldia alaica", "Merrifieldia baliodactylus", "Merrifieldia brandti", "Merrifieldia bystropogonis", "Merrifieldia calcarius", "Merrifieldia cana", "Merrifieldia caspius", "Merrifieldia chordodactylus", "Merrifieldia deprinsi", "Merrifieldia diwani", "Merrifieldia farsi", "Merrifieldia hedemanni", "Merrifieldia huberti", "Merrifieldia improvisa", "Merrifieldia leucodactyla", "Merrifieldia melacodactylus", "Merrifieldia nigrocostata", "Merrifieldia particiliata", "Merrifieldia probolias", "Merrifieldia semiodactylus", "Merrifieldia tridactyla", "Patagonophorus murinus", "Wheeleria elbursi", "Wheeleria ivae", "Wheeleria kabuli", "Wheeleria kasachstanica", "Wheeleria leptopsamma", "Wheeleria lyrae", "Wheeleria obsoletus", "Wheeleria parviflorellus", "Wheeleria phlomidis", "Wheeleria raphiodactyla", "Wheeleria sobeidae", "Pogonarthron semenovianum", "Wheeleria spilodactylus", "Oirata nivella", "Oirata smirnovi", "Oirata taklamakanus", "Oirata volgensis", "Chocophorus alternaria", "Chocophorus carabayus", "Chocophorus leptochorda", "Phormiobius halli", "Agatyrus fulvihirtus", "Lethe staudingeri", "Lehte staudingeri staudingeri", "Lethe staudingeri staudingeri", "Euthalia staudingeri", "Euthalia staudingeri staudingeri", "Euthalia staudingeri yunnana", "Euthalia staudingeri nujiangensis", "Euthalia sakota", "Euthalia chayuensis", "Galega africana", "Galega battiscombei", "Galega sect.", "Galega sect.", "Omma aberratum", "Omma jurassicum", "Hypsibius dujardini", "Sternarchorhynchus chaoi", "Sternarchorhynchus cramptoni", "Sternarchorhynchus freemani", "Sternarchorhynchus galibi", "Sternarchorhynchus goeldii", "Sternarchorhynchus hagedornae", "Pyroneura callineura", "Pyroneura callineura callineura", "Pyroneura callineura natalia", "Matapa aria", "Matapa druna", "Matapa sasivarna", "Matapa intermedia", "Matapa intermedia intermedia", "Immersaria athroocarpa", "Immersaria carbonoidea", "Immersaria mehadiana", "Asilis nigricans", "Immersaria olivacea", "Immersaria usbekica", "Asilis flavipennis", "Asilis intermixta", "Asilis subnuda", "Neope oberthueri", "Neope oberthueri oberthueri", "Neope oberthueri yangbiensis", "Neope oberthueri qiqia", "Neope pulaha", "Neope pulaha pulaha", "Neope pulaha didia", "Asilis tumida aptera", "Neope pulaha pandyia", "Neope pulaha emeinsis", "Neope pulaha nuae", "Neope pulahoides", "Neope ramosa", "Neope ramosa ramosa", "Neope ramosa chuni", "Neope pulahoides pulahoides", "Neope pulahoides tamur", "Neope chayuensis", "Lethe lisuae", "Paraporpidia aboriginum", "Paraporpidia glauca", "Paraporpidia leptocarpa", "Cleroclytus semirufus collaris", "Porpidia superba f. sorediata", "Rasbora naggsi", "Rasbora armitagei", "Homatula pycnolepis", "Porpidia macrocarpa f. macrocarpa", "Porpidia macrocarpa f. nigrocruenta", "Neostygarctus acanthophorus", "Hypsolebias harmonicus", "Rivulus tocantinensis", "Creagrutus maculosus", "Cis andersoni", "Cis peckorum", "Agetocera choui", "Agetocera yuae", "Agetocera huatungensis", "Apolysis galba", "Apolysis glabrifrons", "Apolysis pusilloides", "Pseudodynerus garcetei", "Bertolanius portucalensis", "Incertae sedis", "Carex argunensis", "Carex rupestris", "Rhinanthus minor", "Carex capitata", "Carex pauciflora", "Carex loliacea", "Porotergus duende", "Stiphodon oatea", "Halichoeres zulu", "Vitis \u00d7 alexanderi", "Poecilocampa nilsinjevi", "Euthrix tenebrosus", "Liolaemus goetschi", "Kunugia wotteni", "Arguda era", "Syrastrena dorca", "Coronarctus disparilis", "Porpidia rugosa", "Coronarctus fastigatus", "Porpidia skottsbergiana", "Coronarctus laubieri", "Porpidia soredizodes", "Porpidia speirea", "Coronarctus stylisetus", "Porpidia stephanodes", "Coronarctus tenellus", "Coronarctus verrucatus", "Porpidia striata", "Porpidia subsimplex", "Porpidia superba", "Porpidia thomsonii", "Porpidia trullisata", "Tetranematichthys barthemi", "Porpidia tuberculosa", "Porpidia umbonifera", "Porpidia urbanskyana", "Porpidia zeoroides", "Batillipes acaudatus", "Batillipes adriaticus", "Batillipes africanus", "Ageneiosus uranophthalmus", "Turanoclytus campadellii", "Batillipes annulatus", "Batillipes bullacaudatus", "Xyliphius anachoretes", "Neoarctus primigenius", "Biwia yodoensis", "Porpidia superba f. superba", "Carex kabanovii", "Poeltiaria coromandelica", "Poeltiaria corralensis", "Poeltiaria howickensis", "Poeltiaria turgescens", "Poeltiaria urbanskyana", "Carex mucronata", "Carex parallela", "Schizodiscus afroalpinus", "Agriotes acuminatus", "Agriotes gurgistanus", "Agriotes gracilis", "Xenolecia spadicomma", "Agriotes obscurus", "Agriotes reitteri", "Agriotes sputator", "Agriotes starcki", "Carex davalliana", "Sternarchorhynchus axelrodi", "Lethe umedai", "Lethe umedai umedai", "Stephanocyclos henssenianus", "Lethe umedai albofasciata", "Lethe liae", "Lethe latiaris", "Lethe latiaris latiaris", "Lethe latiaris perimele", "Lethe latiaris lishadii", "Porpidia afromontana", "Porpidia albocaerulescens", "Porpidia austroshetlandica", "Porpidia calcarea", "Porpidia carlottiana", "Porpidia chungii", "Porpidia cinereoatra", "Ropalopus mali", "Poecilium maaki viarius", "Hyphessobrycon nicolasi", "Porpidia contraponenda", "Porpidia crustulata", "Hasemania piatan", "Porpidia flavicunda", "Porpidia flavocruenta", "Porpidia grisea", "Porpidia hydrophila", "Hasemania kalunga", "Porpidia islandica", "Porpidia lowiana", "Porpidia macrocarpa", "Pareiorhaphis scutula", "Porpidia melinodes", "Porpidia nadvornikiana", "Porpidia ochrolemma", "Porpidia pachythallina", "Porpidia platycarpoides", "Hypostomus kopeyaka", "Porpidia pseudomelinodes", "Trogloarctus trionyches", "Hypostomus weberi", "Lethe marginalis", "Lethe marginalis marginalis", "Lethe marginalis obscurofasciata", "Euthalia heweni", "Euthalia mingyiae", "Garcibarrigoa sinbundoya", "Aequatorium asterotrichum", "Aequatorium jamesonii", "Aequatorium lepidotum", "Aequatorium repandiforme", "Aequatorium albiflorum", "Aequatorium polygonoides", "Cis fuscipes", "Reynoldsiella parallela", "Tasmosalpingus promiscuus", "Tasmosalpingus quadrispilotus", "Clauzadea chondrodes", "Clauzadea immersa", "Stenichnaphes peloriensis", "Clauzadea metzleri", "Clauzadea monticola", "Sharpius imitarius", "Trimitomerus riversii", "Sphalma quadricollis", "Phycosecis limbata", "Phycosecis litoralis", "Phycosecis hilli", "Phycosecis ammophilus", "Liochoria huttoni", "Xylotoles costatus", "Calliprason pallidum", "Calliprason costifer", "Inophloeus traversii", "Inophloeus inuus", "Inophloeus villaris", "Inophloeus rhesus", "Inophloeus vitiosus", "Phrynixus terreus", "Tetrorea variegata", "Stenellipsis cuneata", "Amarotypus edwardsii", "Mecodema allani", "Mecodema rugiceps", "Tetrorea discedens", "Tetrorea sellata", "Tetrorea longipennis", "Mesolamia marmorata", "Mesolamia aerata", "Metalamia cuprea", "Metalamia obtusipennis", "Polychidium contortum", "Polychidium dendriscum", "Matapa intermedia nigrita", "Farnoldia dissipabilis", "Farnoldia hypocrita", "Farnoldia jurana", "Farnoldia micropsis", "Farnoldia muscigena", "Farnoldia similigena", "Synanthedon myopaeformis", "Synanthedon myopaeformis myopaeformis", "Synanthedon myopaeformis mesoreaca", "Acolastus pelargus", "Acolastus uncatus", "Galega cirujanoi", "Eurema sarilata", "Eurema sarilata rosario", "Eurema sarilata dayani", "Eurema sarilata sarilata", "Baccharis microdonta", "Montetinea efflexa", "Sternarchorhynchus higuchii", "Sternarchorhynchus inpai", "Sternarchorhynchus jaimei", "Sternarchorhynchus kokraimoro", "Sternarchorhynchus mareikeae", "Sternarchorhynchus marreroi", "Sternarchorhynchus mendesi", "Sternarchorhynchus montanus", "Sternarchorhynchus retzeri", "Sternarchorhynchus schwassmanni", "Sternarchorhynchus starksi", "Sternarchorhynchus stewarti", "Sternarchorhynchus taphorni", "Sternarchorhynchus villasboasi", "Sternarchorhynchus yepezi", "Sternarchorhynchus roseni", "Sternarchorhynchus oxyrhynchus", "Sternarchorhynchus mormyrus", "Koerberiella alboviridula", "Koerberiella alsatica", "Koerberiella assimilis", "Koerberiella athroocarpa", "Sternarchorhynchus mesensis", "Koerberiella basalticola", "Koerberiella carinthiaca", "Koerberiella condensata", "Koerberiella conglomerans", "Koerberiella crystallina", "Sternarchorhynchus curvirostris", "Koerberia sonomensis", "Pachygrapsus marmoratus", "Tetraphalerus bruchi", "Tetraphalerus wagneri", "Callopanchax sidibei", "Pathocerus wagneri", "Tetraphalerus antiquus", "Tetraphalerus brevis", "Tetraphalerus fentaiensis", "Tetraphalerus incertus", "Tetraphalerus grandis", "Tetraphalerus laetus", "Tetraphalerus largicoxa", "Tetraphalerus lentus", "Tetraphalerus macilentus", "Tetraphalerus maximus", "Tetraphalerus mongolicus", "Tetraphalerus okhotensis", "Tetraphalerus surrectus", "Grammonus minutus", "Tetraphalerus tenuipes", "Tetraphalerus verrucosus", "Morvina caecus", "Bistrisyne tenua", "Speyeria atlantis", "Speyeria hesperis elko", "Brenthis daphne", "Holochilus sciureus", "Aaptosyax grypus", "Donacia bicolora", "Plateumaris sibirica", "Lema decempunctata", "Lema pygmaea", "Coptocephala gebleri", "Tituboea macropus", "Koerberiella curvabilis", "Sternarchorhynchus curumim", "Koerberiella gallicola", "Koerberiella humida", "Koerberiella incrustans", "Koerberiella infuscata", "Sternarchorhynchus britskii", "Koerberiella johnsonii", "Koerberiella notabilis", "Koerberiella pruinosa", "Koerberiella radians", "Koerberiella serpentinicola", "Koerberiella simulans", "Koerberiella sprotawensis", "Koerberiella trunciseda", "Koerberiella uplandica", "Koerberiella wimmeriana", "Omma sibiricum", "Omma avus", "Omma brevipes", "Omma zitteli", "Omma pilosum", "Dermothrius brevipennis", "Dermothrius asaphus", "Dermothrius farinosus", "Dermothrius porcatus", "Dermothrius puncticollis", "Dermothrius ruficollis", "Dermothrius sanguineus", "Athor arcifera", "Tychanopais dealbatus", "Tychanopais flavisparsus", "Tychanopais hudsoni", "Tychanopais tuberosus", "Tychanopais fougeri", "Tychanopais pictulus", "Koerberia biformis", "Chrysolina auraria", "Chrysolina pirka", "Sternoplatys sibiricus", "Ambrostoma quadriimpressum", "Gonioctena decemnotata", "Pallasiola absinthii", "Xanthogaleruca seminigra", "Sermylassa halensis", "Gallerucida flaviventris", "Galerucella pusilla", "Galerucella nymphaeae", "Dichomeris sandycitis", "Galeruca melanocephala", "Dichomeris moriutii", "Calomicrus pinicola", "Dichomeris simaoensis", "Dichomeris zonata", "Torodora crassidigitata", "Gentiliana transversalis", "Gentiliana araucanica", "Eurynotia enysi", "Ranunculus oreophilus", "Eurynotia hochstetteri", "Ranunculus chius", "Nerthra gaucha", "Xylotoles traversii", "Stenellipsis gracilis", "Basilepta balyi", "Basilepta fulvipes", "Paracalamobius tonkineus", "Chrysomela collaris", "Poecilopsetta multiradiata", "Trichacalolepta mouhoti", "Chrysomela cuprea", "Parajoesse nagaensis", "Parahybolasius fuscomaculatus", "Parahiekeia hebridarum", "Parostedes tonkinensis", "Sternoplatys fulvipes", "Isohypsibius altai", "Hebecerus australicus", "Isohypsibius annulatus", "Prasocuris phellandrii", "Mimipochira sikkimensis", "Mimozygoceropsis flavosignata", "Paranaesthetis metallica", "Isohypsibius annulatus annulatus", "Isohypsibius annulatus minor", "Phratora vitellinae", "Phratora tibialis", "Phratora laticollis", "Phratora atrovirens", "Polychidium muscicola", "Stylosomus tamaricis", "Oomorphus concolor", "Pachnephorus villosus", "Pachnephorus tessellatus", "Pachnephorus cylindricus", "Hypsibius allisoni", "Placynthium flabellosum", "Placynthium garovaglioi", "Placynthium hungaricum", "Placynthium lismorense", "Placynthium pannariellum", "Placynthium petersii", "Placynthium pluriseptatum", "Placynthium rosulans", "Placynthium stenophyllum", "Placynthium subradiatum", "Placynthium tantaleum", "Placynthium tremniacum", "Placynthium stenophyllum var. stenophyllum", "Placynthium stenophyllum var. isidiatum", "Vimola emarginata", "Hyborhinus linderae", "Neocatarhinus dendrocalamus", "Rhinophytoptus tremae", "Syndesmis patagonica", "Psednocnemis brachyramosa", "Psednocnemis gnathospina", "Coremiocnemis hoggi", "Psednocnemis jeremyhuffi", "Coremiocnemis kotacana", "Coremiocnemis obscura", "Coremiocnemis valida", "Coremiocnemis cunicularia", "Coremiocnemis tropix", "Coelotes forficatus", "Draconarius bannaensis", "Draconarius turriformis", "Draconarius exiguus", "Syrphetodes marginatus", "Jacekaphorura sakhaensis", "Exaeretia liupanshana", "Serraphula alticola", "Serraphula audisiana", "Serraphula bulirschi", "Serraphula colonnellii", "Serraphula debiasei", "Serraphula drakensbergensis", "Serraphula duplessisi", "Serraphula grobbelaariae", "Serraphula monticola", "Serraphula mpumalangaensis", "Serraphula natalensis", "Serraphula oberprieleri", "Serraphula osellai", "Serraphula transvaalensis", "Serraphula uysi", "Serraphula wittmeri", "Xylotoloides huttoni", "Synodontis afrofischeri", "Anagotus turbotti", "Agelasa nigriceps", "Synodontis alberti", "Papilio prexaspes", "Papilio prexaspes prexaspes", "Papilio prexaspes intricatus", "Fractonotus caelatus", "Sphaeroderma rubidum", "Sphaeroderma testaceum", "Meandrusa sciron sciron", "Meandrusa sciron dalata", "Sangariola punctatostriata", "Synodontis annectens", "Psylliodes angusticollis", "Microhypsibius truncatus", "Polychidium stipitatum", "Phaedon laevigatus", "Phaedon cochleariae", "Phaedon concinnus", "Paropsides soriculata", "Plagiosterna aenea", "Gonioctena intermedia", "Gonioctena quinquepunctata", "Agathymus fieldi", "Mixibius saracenus", "Mixibius sutirae", "Chlosyne rosita", "Chlosyne rosita rosita", "Gastrophysa atrocyanea", "Chlosyne rosita montana", "Gastrophysa mannerheimi", "Chlosyne rosita mazarum", "Chlosyne rosita browni", "Entomoscelis adonidis", "Chlosyne rosita riobalsensis", "Crosita altaica", "Crosita kowalewskyi", "Colaphellus sophiae hoefti", "Chlosyne ehrenbergii", "Chrysolina varians", "Rhyacionia subtropica", "Janthecla rocena", "Janthecla malvina", "Janthecla janthodonia", "Janthecla cydonia", "Janthecla leea", "Janthecla armilla", "Janthecla janthina", "Janthecla sista", "Janthecla aurora", "Janthecla flosculus", "Synodontis acanthomias", "Cis bimaculatus", "Cis campoi", "Cis espinosai", "Cis fernandezianus", "Cis chilensis", "Cis rufus", "Renaudarctus psammocryptus", "Trichomycterus brunoi", "Trichomycterus claudiae", "Trichomycterus fuliginosus", "Trichomycterus mariamole", "Trichomycterus novalimensis", "Trichomycterus rubiginosus", "Trichomycterus macrotrichopterus", "Catarrhospora mira", "Catarrhospora splendida", "Pseudostygarctus intermedius", "Poeltidea perusta", "Synodontis batesii", "Ravenna nivea nivea", "Goldia pacifica", "Notomuraenobathys microcephalus", "Plebejus argyrognomon", "Poromitra jucunda", "Poromitra megalops", "Poromitra macrophthalma", "Oreella vilucensis", "Philodendron subg.", "Dianthus arenarius", "Philodendron sect.", "Philodendron sect.", "Philodendron subsect.", "Potentilla anglica", "Potentilla bifurca", "Potentilla canescens", "Potentilla heidenreichii", "Potentilla intermedia", "Potentilla subarenaria", "Phaeophanus turbotti", "Telema auricoma", "Acutuncus antarcticus", "Dichomeris rectifascia", "Dichomeris ferrogra", "Dichomeris mengdana", "Dichomeris angustiptera", "Deudorix pseudorapaloides", "Cypripedium sect.", "Cypripedium henryi", "Cypripedium shanxiense", "Cypripedium cordigerum", "Cypripedium fasciolatum", "Cypripedium farreri", "Philodendron consanguineum", "Philodendron muricatum", "Philodendron purpureoviride", "Chama hicksi", "Octoglena claraqua", "Varanus palawanensis", "Varanus rasmusseni", "Varanus cumingi", "Varanus cumingi samarensis", "Pristimantis minimus", "Kaveinga lusca", "Zeadelium intricatum", "Borealibius zetlandicus", "Doryphoribius doryphorus", "Synodontis brichardi", "Euthalia confucius", "Dactylispa excisa", "Euthalia confucius confucius", "Euthalia confucius gibbsi", "Macroversum mirum", "Dodona katerina katerina", "Dodona katerina sombra", "Thlaspida lewisii", "Glyphocassis spilota", "Cassida vittata", "Cassida vibex", "Cassida nobilis", "Cassida murraea", "Cassida sanguinosa", "Cassida sanguinolenta", "Cassida prasina", "Cassida parvula", "Murrayon pullari", "Cassida panzeri", "Cassida pannonica", "Cassida margaritacea", "Dactylobiotus grandipes", "Cassida hablitziae", "Cassida flaveola", "Cassida denticollis", "Necopinatum mirabile", "Synodontis ansorgii", "Synodontis arnoulti", "Stygarctus bradypus", "Stygarctus abornatus", "Stygarctus gourbaultae", "Synodontis bastiani", "Celastrina idella", "Synodontis camelopardalis", "Synodontis caudalis", "Synodontis centralis", "Ramazzottius oberhaeuseri", "Thalerius konradi", "Thulinius stephaniae", "Thulinius itoi", "Thulinius ruffoi", "Thulinius augusti", "Ministrymon azia", "Selenophanes cassiope", "Abagrotis kirkwoodi", "Abagrotis rubricundis", "Abagrotis striata", "Abagrotis glenni", "Abagrotis hennei", "Abagrotis denticulata", "Abagrotis barnesi", "Abagrotis baueri", "Endecatomus dorsalis", "Endecatomus reticulatus", "Endecatomus rugosus", "Centrodraco atrifilum", "Mucillnata rava", "Seira potiguara", "Seira praiana", "Heterobarcinus minor", "Heterobarcinus schaeferi", "Papuabarcinus riedeli", "Papuabarcinus intermedius", "Brachybarcinus baianus", "Brachybarcinus secundus", "Brachybarcinus vietnamensis", "Pintomyia itza", "Psathyromyia maya", "Synodontis budgetti", "Paracolochirus mysticus", "Silene noctiflora", "Silene nocturna", "Bispinatus vietnamensis", "Bispinatus capillatus", "Remigera spatulata", "Dascillocyphon minor", "Platydascillus sumatranus", "Haematoides davidis", "Haematoides atriceps", "Xerasia grisescens", "Xerasia meschniggi", "Xerasia variegata", "Potanthus tibetana tibetana", "Potanthus tibetana laocai", "Eremobiotus ovezovae", "Eremobiotus alicatai", "Potanthus eugenius", "Halobiotus crispae", "Halobiotus arcturulius", "Celaenorrhinus victor", "Halobiotus stenostomus", "Pseudobiotus kathmanae", "Exaeretia lechriosema", "Exaeretia indubitatella", "Ramajendas renaudi", "Ramajendas frigidus", "Exaeretia ciniflonella", "Ramajendas heatwolei", "Villarica villaricae", "Seticosta coquimbana", "Acmanthina molinana", "Haemateulia placens", "Haemateulia barrigana", "Haemateulia haematitis", "Rouxicrinus vestitus", "Althaesia pilosa", "Althaesia acuminata", "Althaesia arrowi", "Althaesia leai", "Micrambina discoidea", "Micrambina silvana", "Antarcticotectus aucklandicus", "Thortus ovalis", "Cryptophagus amoenus", "Cryptosomatula longicornis", "Agnetaria cryptophagoides", "Micrambina basalis", "Micrambina distincta", "Micrambina helmsi", "Micrambina insignis", "Micrambina obscura", "Micrambina rutila", "Micrambina tumida", "Cryptophagus lindensis", "Mexiculia chorisma", "Meyathorybia digitifera", "Monimosocia parvisignis", "Monochamia monochama", "Synodontis clarias", "Moronata eriosocii", "Neoeulia dorsistriatana", "Nesochoris brachystigma", "Nesochoris holographa", "Lychnis fulgens", "Cyornis unicolor harterti", "Lychnis senno", "Zilchogyra franzi", "Medicocorophium longisetosum", "Bresilia gibbosa", "Austrocheirus isasii", "Boreathelphusa uglowi", "Porina conica", "Papaver chakassicum", "Solepyris unicus", "Solepyris montuosus", "Megaprosternum longiceps", "Megaprosternum pentagonal", "Tuberepyris basibrevis", "Platepyris sepalus", "Elymnias hypermnestra", "Elymnias hypermnestra hypermnestra", "Elymnias hypermnestra robinsona", "Phygasia fulvipennis", "Lethe philesanoides", "Philopona vibex", "Ethope diademoides", "Ethope diademoides diademoides", "Nonarthra cyanea", "Ethope diademoides metayei", "Longitarsus linnaei", "Aemona kontumei", "Hemipyxis plagioderoides", "Aemona simulatrix", "Aemona implicata", "Dibolia foersteri", "Zeuxidia sapphirus", "Microhypsibius bertolanii", "Discophora aestheta", "Microhypsibius minimus", "Microhypsibius japonicus", "Crepidodera aurata", "Neptis armandia", "Neptis armandia armandia", "Crepidodera fulvicornis", "Crepidodera nitidula", "Neptis armandia morrisi", "Neptis genulfa", "Argopus nigritarsis", "Neptis genulfa genulfa", "Neptis genulfa miennamica", "Argopistes biplagiatus", "Aphthona pallida", "Neptis philyroides", "Neptis philyroides philyroides", "Neptis philyroides mienbaca", "Bembecia kreuzbergi", "Bembecia elena", "Bembecia lastuvkai", "Tesarius sulcipennis", "Aetodactylus halli", "Mycalesis splendens", "Mycalesis splendens splendens", "Mycalesis splendens versicolor", "Mycalesis splendens tenebrosus", "Temnaspis bonneuili", "Mycalesis splendens guadalcanalensis", "Mycalesis splendens magnificans", "Mycalesis splendens malaitensis", "Mycalesis interrupta", "Mycalesis interrupta interrupta", "Mycalesis interrupta woodsi", "Mycalesis richardi", "Mycalesis biliki", "Mycalesis sara", "Mycalesis perseus", "Mycalesis perseus perseus", "Mycalesis perseus lalassis", "Wockia variata", "Clemira magnifica", "Clemira hilzingeri", "Clemira schausi", "Clemira dolens", "Clemira trita", "Clemira sororcula", "Oraesia silleri", "Oraesia poteensis", "Oraesia brunnerae", "Oraesia sapucayai", "Oraesia cidae", "Oraesia subucula badofszkyi", "Oraesia subucula subucula", "Nyctomys sumichrasti", "Telema guihua", "Chaunax nudiventer", "Porina amygdalina", "Trimeroptes kakius", "Dichopelmus lotus", "Porina nucula", "Porina nuculastrum", "Porina pacifica", "Anagotus helmsi", "Anagotus stephenensis", "Anagotus fairburni", "Anagotus rugosus", "Phaeophanus oconnori", "Porina peregrina", "Synodontis petricola", "Porina radicicola", "Phaeophanus fairburni", "Phaeophanus rugosus", "Porina salicina", "Porina scabrida", "Prosphodrus waltoni", "Prosphodrus occultus", "Zeadelium gratiosum", "Zeadelium senile", "Zeadelium arthurense", "Pinguicula vallisneriifolia", "Zeadelium australe", "Zeadelium parvum", "Zeadelium zelandicum", "Zeadelium simplex", "Zeadelium intermedium", "Proctophanes sculptus", "Tropidonophis statistictus", "Tropidonophis truncatus", "Haldea striatula", "Virginia valeriae pulchra", "Virginia valeriae", "Evax anatolica", "Evax contracta", "Evax eriosphaera", "Evax palaestina", "Gagea graeca", "Silene subg.", "Silene sect.", "Silene subg.", "Silene sect.", "Silene sect.", "Silene subsect.", "Silene subsect.", "Silene subsect.", "Melampyrum arvense", "Melampyrum cristatum", "Melampyrum pratense", "Silene sect.", "Lychnis sect.", "Lychnis sect.", "Lychnis chalcedonica", "Lychnis abyssinica", "Tiliqua multifasciata", "Tiliqua adelaidensis", "Celatiscincus euryotis", "Celatiscincus similis", "Lychnis miqueliana", "Sclerodermus kuschelianus", "Proeulia schouteni", "Proeulia chancoana", "Varifula trancasiana", "Rebinea brunnea", "Aulosaphobracon striatus", "Austrothaumalea caledonica", "Chileulia yerbalocae", "Epinotia nigrovenata", "Notomacer araucariae", "Notomacer caledonicus", "Notomacer hirtulus", "Notomacer brittoni", "Notomacer eximius", "Notomacer reginae", "Notomacer zimmermani", "Notomacer australiae", "Torodora notacma", "Kuschelomacer kerneggeri", "Paragongylopus sinensis", "Hepialus bibelteus", "Hepialus latitegumenus", "Testechiniscus spitsbergensis", "Aroga danfengensis", "Aroga controvalva", "Porina alba", "Porina albicera", "Proeulia gielisi", "Proeulia rucapillana", "Proeulia domeykoi", "Porina aluniticola", "Porina aptrootii", "Porina crassa", "Porina heterocarpa", "Porina kantvilasii", "Porina malmei", "Porina papuensis", "Porina riparia", "Porina tasmanica", "Porina applanata", "Porina aspera", "Porina minutissima", "Porina mirabilis", "Porina athertonii", "Porina atlantica", "Porina atriceps", "Pseudosagedia atrocoerulea", "Porina atropunctata", "Porina australiensis", "Porina austropacifica", "Porina bacillifera", "Aphis nerii", "Porina bellendenica", "Porina blechnicola", "Aglenus brunneus", "Pseudosagedia borreri", "Tretothorax cleistostoma", "Porina bryophila", "Porina buellioides", "Pseudosagedia byssophila", "Porina canthicarpa", "Eudianthe coeli-rosa", "Pseudosagedia cestrensis", "Eudianthe laeta", "Minanga brevicarinata", "Pseudosagedia chlorotica", "Minanga achterbergi", "Porina chloroticula", "Porina chrysophora", "Dromaeolus barnabita", "Storeria hidalgoensis", "Storeria storerioides", "Otho sphondyloides", "Tropidoclonion lineatum", "Isorhipis minuta", "Isorhipis nigriceps", "Tropidonophis aenigmaticus", "Tropidonophis dahlii", "Tropidonophis dendrophiops", "Xylophilus corticalis", "Tropidonophis dolasii", "Tropidonophis doriae", "Tropidonophis elongatus", "Tropidonophis halmahericus", "Tropidonophis hypomelas", "Tropidonophis mairii", "Microrhagus mystagogus", "Microrhagus foveolatus", "Tropidonophis mcdowelli", "Tropidonophis montanus", "Tropidonophis multiscutellatus", "Tropidonophis negrosensis", "Tropidonophis novaeguineae", "Tropidonophis parkeri", "Tropidonophis picturatus", "Tropidonophis punctiventris", "Nothepyris sulcatus", "Nothepyris brasiliensis", "Thlastepyris pertenuis", "Porina pallescens", "Epyris viduatus", "Alloplastanoxus unexpectatus", "Alongatepyris ingens", "Porina lucida", "Pseudosagedia corruscans", "Porina trichothelioides", "Pseudosagedia thaxteri", "Pseudosagedia impressa", "Pseudosagedia whinrayi", "Bethylopsis carinata", "Chilepyris platythelys", "Proeulia vanderwolfi", "Proeulia tricornuta", "Proeulia sublentescens", "Proeulia mauleana", "Discleroderma gundari", "Discleroderma indiense", "Discleroderma yemenense", "Discleroderma tuberculatum", "Proeulia paronerata", "Proeulia limaria", "Proeulia talcana", "Glenosema denteata", "Glenosema elevata", "Bethylopsis fullawayi", "Proeulia macrobasana", "Proeulia longula", "Ablepharus bivittatus", "Proclavarctus fragilis", "Parmursa fimbriata", "Parmursa torquata", "Porina coralloidea", "Porina corrugata", "Ablepharus budaki", "Ablepharus chernovi", "Ablepharus darvazi", "Ablepharus deserti", "Ablepharus grayanus", "Ablepharus pannonicus", "Acontophiops lineatus", "Lychnis cognata", "Pseudosagedia curnowii", "Lychnis wilfordii", "Lychnis kiusiana", "Porina danbullensis", "Lychnis gracillima", "Lychnis flos-cuculi", "Porina deminuta", "Lychnis flos-cuculi subsp. flos-cuculi", "Lychnis flos-cuculi subsp. subintegra", "Porina distans", "Porina thujopsicola", "Ancyrona diversa", "Porina tetramera", "Porina tetracerae", "Porina sudetica", "Plodia interpunctella", "Lychnis lagrangei", "Lychnis crassifolia", "Aulacaspis thorntoni", "Greeniella calophylli", "Lychnis flos-jovis", "Midoria huapingensis", "Midoria lamellata", "Pseudomelactus acutus", "Porina subrubrosphaera", "Platysimus planidorsis", "Porina subnucula", "Idastes gibbosus", "Idastes maculipes", "Idastes montanus", "Auletobius montrouzieri", "Porina farinosa", "Elytroteinus geophilus", "Elytroteinus recticollis", "Porina flavoaurantiaca", "Porina elixiana", "Hypotagea lewisi", "Porina elegantula", "Porina effilata", "Porina ocoteae", "Porina epiphylla", "Moebjergarctus manganis", "Exoclavarctus dineti", "Euclavarctus convergens", "Euclavarctus thieli", "Pseudosagedia globulans", "Porina grandicula", "Pseudosagedia grandis", "Pseudosagedia guentheri", "Porina hibernica", "Porina howeana", "Porina mariae", "Porina ocellatoides", "Porina hypochroa", "Porina imitatrix", "Porina impolita", "Lychnis \u00d7 media", "Pseudosagedia interjungens", "Silene sect.", "Porina internigrans", "Arrhenechthites tomentellus", "Porina karnatakensis", "Silene linnaeana", "Porina kennedyensis", "Arrhenechthites mixtus", "Glishades ericksoni", "Arrhenechthites haplogynus", "Calliparus lanceolarus", "Colopodacus glochidion", "Neocosella laurifolia", "Gamasiphis paulista", "Cnodalia flavescens", "Cnodalia quadrituberculata", "Phaeopterus unicolor", "Euanoma nigricornis", "Porina leptalaeoides", "Omalisus fontisbellaquei", "Omalisus nicaeensis", "Omalisus sanguinipennis", "Omalisus taurinensis", "Omalisus victoris", "Thilmanus laticeps", "Thilmanus obscurus", "Rachidiscodes altipennis", "Rachidiscus granicollis", "Porina leptalea", "Allostyphlus jugosus", "Porina leptosperma", "Strabonus kanalensis", "Porina limbulata", "Viticis aspersus", "Viticis maculatus", "Viticis aeratus", "Viticis marquesanus", "Viticis bidentatus", "Viticis parvidens", "Viticis proximus", "Viticis stellifer", "Viticis maculosus", "Viticis guamae", "Porina limitata", "Porina virescens", "Testechiniscus laterculus", "Porina ulceratula", "Hepialus ferrugineus", "Testechiniscus macronyx", "Testechiniscus meridionalis", "Porina triseptata", "Porina tolgensis", "Trisuloides zhangi", "Diarsia tibetica", "Porina eminentior", "Cidariplura chinensis", "Porina exocha", "Porina terrae-reginae", "Promalactis dorsoprojecta", "Promalactis apicidentata", "Promalactis apiciconcava", "Promalactis fengyangensis", "Astragalus physocalyx", "Porina constrictospora", "Porina decrescens", "Neaspasia rhodesiae", "Porina hyperleptalea", "Porina sylvatica", "Vacanara caravanica", "Herpystis capeana", "Porina tahitiensis", "Cydia ibadena", "Porina semecarpi", "Ocaria calesia", "Porina rufula", "Porina rudiuscula", "Porina rubescens", "Vietnascincus rugosus", "Ablepharus rueppellii", "Nesogaster cristata", "Dicromantispa hyalina", "Dicromantispa leucophaea", "Haematomantispa amazonica", "Anastoechus candidus", "Anastoechus fulvus", "Anastoechus turriformis", "Anastoechus xuthus", "Empis prolongata", "Empis shennongana", "Tafalisca paranaensis", "Meteorus gigas", "Paracladius ovatus", "Thotmus halli", "Ptinosoma waitei", "Veronicobius macrostictus", "Cacephatus propinquus", "Saprosites sulcatissimus", "Saprosites distans", "Saprosites fortipes", "Cacephatus aucklandicus", "Cacephatus huttoni", "Cacephatus incertus", "Cacephatus vates", "Gypsophila pacifica", "Rachidiscodes glabrus", "Chalcides pseudostriatus", "Euthalia kanda matsudai", "Dracaena ombet", "Neptis duryodana", "Neptis duryodana duryodana", "Neptis duryodana paucalba", "Austrosynotis rectirama", "Bafutia tenuicaulis", "Artocarpus kemando", "Ophryops dispar", "Artocarpus chaplasha", "Eburida picta", "Eburida sublineata", "Ambeodontus tristis", "Marileus chiloensis", "Promecheilus variegatus", "Casignetus humboldti", "Melytra ovata", "Nunimeus numenius", "Odonthalitus bisetanus", "Odonthalitus conservanus", "Odonthalitus fuscomaculatus", "Odonthalitus improprius", "Gnathaphanus melbournensis", "Odonthalitus poas", "Odonthalitus viridimontis", "Odonthalitus lacticus", "Odonthalitus orinoma", "Odonthalitus regilla", "Ortognathosia santamariana", "Oryguncus oribasus", "Palusita ochrans", "Palusita paulista", "Paramonochamia moemae", "Paraptila argocosma", "Linum bienne", "Linum corymbulosum", "Paraptila biserrata", "Paraptila bloomfieldi", "Paraptila pseudogamma", "Paraptila symmetricana", "Paraptila gamma", "Paraptila cornucopis", "Parexoletuncus mundius", "Pleurospermum uralense", "Placabis placabilis", "Pleurospermum austriacum", "Porina adflata", "Pseudosagedia aenea", "Porina africana", "Porina ahlesiana", "Porina rubentior", "Porina similis", "Porina sphaerocephala", "Porina subapplanata", "Porina subargillacea", "Androngo trivittatus", "Apterygodon vittatus", "Porina subinterstes", "Ateuchosaurus chinensis", "Barkudia insularis", "Barkudia melanosticta", "Techmarscincus jigurru", "Porina andamanica", "Porina angusta", "Porina atroperiostiola", "Porina aurantiaca", "Porina elliptica", "Porina glaucoflava", "Porina halei", "Porina indica", "Pseudosagedia isidiata", "Porina microcarpa", "Porina multiloculata", "Porina ochrostoma", "Porina santessonii", "Porina subgigantospora", "Porina subsanctirosae", "Clavarctus falculus", "Porina dwesica", "Porina exacta", "Porina exserta", "Porina fluminea", "Alkanna mughlae", "Florarctus acer", "Florarctus antillensis", "Florarctus asper", "Florarctus cervinus", "Florarctus cinctus", "Florarctus glareolus", "Florarctus heimi", "Florarctus hulingsi", "Florarctus kwoni", "Florarctus pulcher", "Florarctus salvati", "Florarctus stellatus", "Florarctus vulcanius", "Durio zibethinus", "Ligiarctus eastwardi", "Cotinus coggygria", "Wingstrandarctus corallinus", "Cotinus obovatus", "Wingstrandarctus crypticus", "Wingstrandarctus intermedius", "Cotinus nana", "Cotinus kanaka", "Cotinus szechuanensis", "Porina fulvella", "Porina fulvula", "Pseudosagedia ginzbergeri", "Ezrana primitiva", "Tanaecia julii", "Tanaecia julii mansori", "Tanaecia julii julii", "Phalanta alcippe", "Phalanta alcippe alcippe", "Phalanta alcippe alcippoides", "Algia fasciata", "Algia fasciata fasciata", "Gypsophila acutifolia", "Cirrochroa emalea", "Cirrochroa emalea emalea", "Cirrochroa emalea miranda", "Cirrochroa malaya", "Cirrochroa malaya minerva", "Cirrochroa malaya malaya", "Gypsophila bicolor", "Terinos terpander", "Terinos terpander mentawaiensis", "Terinos terpander terpander", "Cethosia hypsea", "Cethosia hypsea hypsea", "Cethosia hypsea pallaurea", "Symbrenthia hippoclus", "Symbrenthia hippoclus hippoclus", "Symbrenthia hippoclus emas", "Porina macroverrucosa", "Porina ocellata", "Porina psilocarpa", "Junonia atlites", "Junonia atlites atlites", "Chalcides sexlineatus", "Porina sagedioides", "Porina weberi", "Porina grandispora", "Doleschallia bisaltide", "Doleschallia bisaltide bisaltide", "Porina planiuscula", "Porina abrupta", "Doleschallia bisaltide proteus", "Rhinopalpa polynice mentawica", "Rhinopalpa polynice illepida", "Dianthus superbus", "Cyrestis maenalis", "Cyrestis maenalis maenalis", "Cyrestis maenalis peropaca", "Cyrestis nivea", "Cyrestis nivea nivea", "Cyrestis nivea perrara", "Chersonesia peraka", "Chersonesia peraka peraka", "Chersonesia rahria", "Chersonesia rahria rahria", "Chersonesia rahria apicusta", "Pantoporia hordonia", "Pantoporia hordonia hordonia", "Pantoporia hordonia sura", "Pantoporia paraka", "Pantoporia paraka paraka", "Pantoporia paraka confluence", "Eudorcas albonotata", "Lasippa tiga", "Lasippa tiga tiga", "Lasippa tiga siaka", "Lasippa tiga siberuta", "Neptis hylas hylas", "Neptis hylas hageni", "Neptis ilira ilira", "Neptis ilira shika", "Neptis clinia", "Gyriscus asteleformis", "Neptis clinia clinia", "Neptis clinia smedleyi", "Architectonica perspectiva", "Architectonica reevei", "Neptis leucoporos", "Neptis leucoporos leucoporos", "Neptis leucoporos taranda", "Neptis magadha", "Neptis magadha magadha", "Neptis magadha kerosa", "Neptis magadha siporaensis", "Annona crassiflora", "Neptis magadha pagaica", "Neptis miah", "Echis hughesi", "Neptis miah miah", "Neptis miah karnyi", "Annona longiflora", "Echis jogeri", "Neptis miah jokoi", "Neptis miah suwajii", "Echis leucogaster", "Echis megalocephalus", "Echis ocellatus", "Athyma reta", "Athyma reta reta", "Athyma reta riamba", "Echis omanensis", "Athyma reta venus", "Athyma reta cupido", "Athyma pravara", "Athyma pravara pravara", "Athyma alcamene", "Athyma alcamene alcamene", "Athyma jina", "Athyma jina jina", "Athyma perius", "Athyma perius perius", "Athyma asura", "Athyma asura asura", "Pseudosagedia linearis", "Euroka dunravenensis", "Archaeoprepona licomedes", "Archaeoprepona licomedes licomedes", "Archaeoprepona licomedes pacifica", "Porina longispora", "Polygrapha cyanea", "Polygrapha cyanea silvaorum", "Polygrapha cyanea cyanea", "Porina mammillosa", "Bradleyana biloba", "Whitebreadia weberella", "Porina mastoidea", "Whitebreadia granadensis", "Porina mastoidella", "Whitebreadia sineverella", "Whitebreadia andoi", "Whitebreadia siberica", "Porina meridionalis", "Austriana abbreviatella", "Porina nigrofusca", "Canariana cedronellae", "Anisonyches diakidius", "Holstia unipunctella", "Kumia integra", "Pseudosagedia nitidula", "Porina nonaria", "Euthalia kanda", "Euthalia kanda kanda", "Euthalia kanda mitsuoi", "Porina octomera", "Euthalia mahadeva hanafusai", "Porina pariata", "Porina pelochroa", "Porina perminuta", "Porina quintaria", "Porina rhaphidiophora", "Porina rosei", "Athyma larymna", "Athyma larymna larymna", "Athyma kanwa", "Athyma kanwa kanwa", "Athyma kanwa euryleuca", "Athyma kanwa siberutensis", "Athyma nefte", "Athyma nefte nefte", "Athyma nefte tigrina", "Athyma pravara siberuta", "Athyma pravara navicularis", "Athyma adunora sitepui", "Athyma larymna libera", "Athyma gutama", "Athyma gutama gutama", "Athyma gutama angustifascia", "Moduza thespias", "Moduza thespias thespias", "Moduza thespias boholensis", "Gaultheria mucronata", "Gaultheria miqueliana", "Gaultheria sect.", "Gaultheria insana", "Dianthus superbus subsp. norvegicus", "Dianthus sect.", "Sirrhas limbatus", "Dianthus sect.", "Pseudodarwinella amaroides", "Dianthus subg.", "Perimylops antarcticus", "Chanopterus paradoxus", "Sirrhas variegatus", "Bethelium signiferum", "Astetholida lucida", "Brounopsis hudsoni", "Astetholea pauper", "Cacodrotus bifasciatus", "Chalcides colosii", "Callidiopis scutellaris", "Chalcides mauritanicus", "Votum mundum", "Tessaromma undatum", "Gastrosarus nigricollis", "Dianthus superbus subsp. superbus", "Dianthus superbus subsp. alpestris", "Dianthus superbus subsp. autumnalis", "Dianthus superbus subsp. stenocalyx", "Dianthus longicalyx", "Valvata cristata", "Valvata macrostoma", "Borysthenia goldfussiana", "Borysthenia naticina", "Chrysanthia viatica", "Oedemera amurensis", "Neptis vikasi", "Neptis vikasi norina", "Neptis vikasi vikasi", "Neptis omeroda", "Neptis omeroda omeroda", "Neptis omeroda infuscata", "Neptis ilira", "Valvata sibirica", "Lebadea martha distincta", "Lebadea martha formosa", "Pandita sinope", "Pandita sinope sinope", "Pandita imitans", "Pandita imitans imitans", "Pandita imitans confluens", "Pandita imitans pagaiensis", "Moduza aemonia", "Moduza aemonia aemonia", "Moduza aemonia laubenheimeri", "Moduza aemonia siberut", "Dianthus pungens", "Tanaecia visandra", "Tanaecia sipora", "Tanaecia vuiana", "Tanaecia vuiana vuiana", "Tanaecia vuiana patagiata", "Bassarona dunya placida", "Bassarona teuta mitsunagai", "Dophla evelina", "Dophla evelina evelina", "Dophla evelina invisitata", "Lexias dirtea", "Lexias dirtea dirtea", "Lexias dirtea inimitabilis", "Lexias pardalis saifuii", "Euthalia adonia", "Euthalia adonia adonia", "Euthalia adonia gratiosa", "Euthalia anosia pagiana", "Euthalia alpheda raritas", "Euthalia alpheda alpheda", "Euthalia monina", "Euthalia monina monina", "Euthalia monina livida", "Euthalia aconthea aconthea", "Euthalia aconthea nemorivaga", "Ligustrum vulgare var. italicum", "Ligustrum vulgare var. vulgare", "Ligustrum sect.", "Ligustrum ser.", "Leontice incerta", "Ligustrum ser.", "Leontice leontopetalum subsp. armeniaca", "Ligustrum sect.", "Uloma tenebrionoides", "Gnatocerus cornutus", "Artystona rugiceps", "Lorelus crassicornis", "Lorelus latulus", "Menimus batesi", "Menimus crassus", "Menimus caecus", "Tribolium castaneum", "Wattadelium alienum", "Exadelium rufilabrum", "Artystona erichsoni", "Nothotelus ocularius", "Nothotelus nigellus", "Nothotelus usitatus", "Ligustrum sect.", "Ligustrum sect.", "Ligustrum sect.", "Ligustrum subsect.", "Glenosema chiangmaiensis", "Glenosema doiinthanonensis", "Glenosema siamensis", "Glenosema dispersum", "Sclerodermus undulatus", "Sclerodermus yakushimensis", "Discleroderma yakushimensis", "Gymnospermium darwasicum", "Calathosoma rubromarginatum", "Dicrochile whitei", "Amnosia decora", "Amnosia decora decora", "Amnosia decora quarta", "Amnosia decora subagrestis", "Stibochiona coresia", "Stibochiona coresia coresia", "Stibochiona coresia osiris", "Dichorragia nesimachus artemis", "Parahelops antarcticus", "Parahelops falklandicus", "Parahelops kuscheli", "Parahelops skottsbergi", "Parahelops pubescens", "Parahelops darwinii", "Parahelops quadricollis", "Parahelops haversii", "Parahelops angulicollis", "Hydromedion anomocerum", "Hydromedion elongatum", "Hydromedion sparsutum", "Hydromedion variegatum", "Bedfordia arborescens", "Bedfordia linearis", "Hydromedion magellanicum", "Cerodolus chrysomeloides", "Doronicum cacaliifolium", "Doronicum dolichotrichum", "Doronicum haussknechtii", "Cerodolus arthurensis", "Cerodolus manepouricus", "Cerodolus sinuatus", "Doronicum macrophyllum", "Cerodolus curvellus", "Cerodolus genialis", "Cerodolus tuberculatus", "Pseudhelops capitalis", "Pseudhelops chathamensis", "Pseudhelops posticalis", "Pseudhelops quadricollis", "Pseudhelops tuberculatus", "Dianthus sect.", "Pseudhelops wenhami", "Dianthus subsect.", "Necydalosaurus durantoni", "Necydalosaurus ichneumonides", "Neoorthocaulis binsteadii", "Neoorthocaulis floerkei", "Phobetes atricoxator", "Zeadelium aeratum", "Zeadelium bullatum", "Zeadelium chalmeri", "Zeadelium complicatum", "Zeadelium femorale", "Zeadelium hanseni", "Zeadelium hudsoni", "Zeadelium indigator", "Zeadelium lentum", "Zeadelium nigritulum", "Zeadelium thoracicum", "Bitoma iranica", "Pyronota splendens", "Pyronota punctata", "Pycnomerus depressiusculus", "Pycnomerus latitans", "Pycnomerus simplex", "Pyronota rubra", "Pyronota setosa", "Pyronota minor", "Langelandia grandis", "Pycnomerus ellipticus", "Endophloeus exsculptus", "Eulaceura osteria baraena", "Euripus nyctelius", "Euripus nyctelius nyctelius", "Euripus nyctelius orphanus", "Agatasa calydonia", "Agatasa calydonia calydonia", "Agatasa calydonia munda", "Prothoe franck phameralis", "Prothoe franck fragilis", "Polyura athamas omen", "Polyura schreiber mentawaica", "Charaxes fervens", "Charaxes fervens fervens", "Charaxes fervens pagensis", "Charaxes durnfordi kawaii", "Dichorragia nesimachus tanahmasa", "Euthalia adonia simeuluensis", "Poritia personata", "Deramas nanae", "Deramas masae", "Poritia philota", "Poritia philota philota", "Poritia philota mindora", "Poritia phama", "Poritia phama phama", "Poritia phama palawana", "Equus hemionus hemippus", "Equus hemionus hemionus", "Graphium euphrates", "Graphium androcles", "Abisara echerius", "Abisara echerius echerius", "Abisara echerius panayensis", "Abisara mindanaensis", "Octotemnus mandibularis", "Athyma cosmia", "Athyma cosmia cosmia", "Athyma cosmia tawitawiensis", "Nipponocis longisetosus", "Delias aruna", "Delias aruna aruna", "Delias aruna sarera", "Cis jacquemartii", "Euthalia mahadeva yui", "Euthalia aconthea obatrata", "Cis micans", "Cis fissicornis", "Cepora iudith mentawaica", "Cepora himiko", "Lamproptera curius curius", "Lamproptera curius sundingi", "Lamproptera curius suwajii", "Elymnias panthera attenuata", "Cis seriatopilosus", "Amathuxidia amythaon subagrestis", "Cirrochroa niasica", "Pisenus chujoi", "Cirrochroa niasica niasica", "Cirrochroa niasica tanahmasa", "Holostrophus diversefasciatus", "Cirrochroa malaya batuensis", "Doleschallia bisaltide engganensis", "Hallomenus axillaris", "Amnosia decora zonata", "Charaxes harmodius", "Abisara mindanaensis mindanaensis", "Abisara mindanaensis canlaonensis", "Elymnias harterti lautensis", "Poritia sumatrae", "Poritia sumatrae sumatrae", "Poritia sumatrae stellans", "Hypochrysops coelisparsus", "Hypochrysops coelisparsus coelisparsus", "Hypochrysops coelisparsus exoticus", "Croton stellatoferrugineus", "Entomacrodus solus", "Cnemaspis laoensis", "Mystus carcio", "Mitocybe auriportae", "Ligustrum ser.", "Ligustrum ser.", "Scapheremaeus alisonae", "Scapheremaeus allmani", "Scapheremaeus baylyi", "Scapheremaeus bulbosensillatus", "Scapheremaeus euthemellus", "Scapheremaeus minjambuta", "Scapheremaeus nivalis", "Scapheremaeus notoverrucatus", "Scapheremaeus tegulatus", "Scapheremaeus truncatus", "Scapheremaeus tuberculosus", "Scapheremaeus walteri", "Scapheremaeus zephyrus", "Ligustrum subsect.", "Scapheremaeus angusi", "Scapheremaeus cheloniella", "Scapheremaeus ewani", "Scapheremaeus lambieae", "Scapheremaeus pulleni", "Scapheremaeus hammerae", "Ligustrum sect.", "Neoorthocaulis attenuatus", "Colobicus hirtus", "Corticus brevipennis", "Typhaea stercorea", "Arhopala antimuta", "Arhopala antimuta antimuta", "Arhopala antimuta timana", "Mycetophagus intermedius", "Mycetophagus infulatus", "Mycetophagus hyrcanicus", "Arhopala antimuta amica", "Mycetophagus decempunctatus", "Mycetophagus atomarius", "Mycetophagus ancora", "Arhopala alaconia", "Arhopala alaconia alaconia", "Litargus connexus", "Arhopala alaconia nocturna", "Litargus kyushuensis", "Arhopala horsfieldi", "Arhopala horsfieldi horsfieldi", "Protistolophus spangleri", "Arhopala horsfieldi reimi", "Arhopala trogon", "Arhopala trogon trogon", "Arhopala trogon perelegans", "Dacalana lyrica", "Mantoides gama", "Mantoides gama gama", "Mantoides gama gamelan", "Arhopala anthelus", "Arhopala anthelus anthelus", "Arhopala anthelus expallida", "Arhopala anthelus fulgurita", "Arhopala anthelus mitis", "Arhopala anthelus reverie", "Euthrix isocyma", "Euthrix inobtrusa", "Barbilophozia sudetica", "Euthrix lao", "Oleolophozia perssonii", "Parnassius patricius", "Ligustrum pricei", "Ligustrum angustum", "Admonitosoter rafiqui", "Presoter yusufi", "Ripipteryx pasochoensis", "Pliocaloca fidesria", "Pliocaloca kleithria", "Hexarhopalus barclayi", "Hexarhopalus becvari", "Hexarhopalus ferreri", "Hexarhopalus iwani", "Hexarhopalus murudensis", "Hexarhopalus rolandi", "Thelenella aeruginosa", "Thelenella amylospora", "Thelenella antarctica", "Thelenella astroidella", "Thelenella brasiliensis", "Thelenella cervina", "Thelenella chrysoglypha", "Thelenella cinerascens", "Thelenella cinereoglauca", "Thelenella cinereonigricans", "Nippononebria changbaiensis", "Thelenella coenosa", "Thelenella cuyabensis", "Thelenella duplicascens", "Thelenella elaeophthalma", "Thelenella elegans", "Thelenella elliottii", "Chlerogas aterrimus", "Thelenella endochrysoides", "Thelenella enteroxantha", "Thelenella fernandeziana", "Thelenella follmannii", "Thelenella fugiens", "Malgassochaetus cordicollis", "Malgassochaetus quadraticollis", "Thelenella fulva", "Thelenella fusispora", "Thelenella geminella", "Thelenella geminipara", "Thelenella harrisii", "Thelenella hassei", "Pyronota sobrina", "Pyronota edwardsi", "Pyronota munda", "Ataenius brouni", "Ataenius picinus", "Thelenella humilis", "Thelenella indica", "Charaxes harmodius harmodius", "Charaxes harmodius shiloi", "Delias nysa", "Delias nysa nysa", "Delias nysa caledonica", "Eustrophus niponicus", "Zilora ferruginea", "Phryganophilus pseudoauritus", "Phloiotrya bellicosa", "Phloiotrya subtilis", "Abdera flexuosa", "Abdera scriptipennis", "Osphya bipunctata", "Orchesia arnoldii", "Annona tomentosa", "Orchesia undulata", "Melandrya caraboides", "Melandrya rausuana", "Annona liebmanniana", "Euryzilora ussurica", "Annona cacans", "Anisoxya conicicollis", "Annona salzmannii", "Annona sericea", "Mordella holomelaena", "Annona chrysophylla", "Annona cornifolia", "Cerastes gasperettii", "Delias funerea", "Cerastes vipera", "Delias funerea funerea", "Delias funerea moritai", "Delias mira", "Delias mira mira", "Neoorthocaulis hyperboreus", "Cerberolebeda styx", "Euthrix laeta", "Euthrix laeta laeta", "Euthrix laeta austrina", "Euthrix fox", "Metagyrinus sinensis", "Pyronota inconstans", "Pyronota lugubris", "Ptilophorus dufourii", "Ptilophorus fallax", "Moelleropsis nebulosa", "Musca vetustissima", "Macrosiagon bimaculatum", "Scotodes annulatus", "Nematoplus semenovi", "Cephaloon pallens", "Bitoma brouni", "Bitoma novella", "Meladema lanio", "Ganisa pulupuluana", "Ganisa floresiaca", "Ganisa plana", "Parepierus sylvanus", "Lytta suturella", "Meloe brevicollis", "Meloe erythrocnemus", "Meloe uralensis", "Meloe mandli", "Meloe variegatus", "Meloe cicatricosus", "Meloe rugosus", "Meloe hungarus", "Lytta aenea", "Moelleropsis nebulosa subsp. nebulosa", "Cerocoma muehlfeldi", "Moelleropsis nebulosa subsp. frullaniae", "Nymphicula zambalensis", "Nymphicula samarensis", "Ligustrum \u00d7 vicaryi", "Capelio caledonica", "Capelio tabularis", "Capelio tomentosa", "Opilioseius grallator", "Podoprionides akantha", "Podoprionides moonamoona", "Normanion hipposideros", "Normanion whoi", "Podoprionella bulla", "Mesotritia bicarinata", "Mesotritia serrata", "Indopinnixa kasijani", "Indopinnixa moosai", "Stygobromus anastasiae", "Stygobromus mikhaili", "Sundanina cochinchina", "Sundanina medialis", "Hatschekia churaumi", "Hatschekia fukurubi", "Hatschekia hemicyclium", "Hatschekia izenaensis", "Hatschekia jonesi", "Hatschekia kabatai", "Hatschekia mihkagan", "Hatschekia zanpa", "Hatschekia mongarah", "Hatschekia nakamurai", "Hatschekia pseudobalistesi", "Logania distanti drucei", "Aspidothelium arachnoideum", "Logania distanti distanti", "Aspidothelium cuyabense", "Aspidothelium gemmiferum", "Aspidothelium glabrum", "Bethencourtia hermosae", "Aspidothelium macrosporum", "Aspidothelium mirabile", "Aspidothelium ornatum", "Aspidothelium papillicarpum", "Aspidothelium scutellicarpum", "Bethencourtia palmensis", "Logania distanti massalia", "Logania distanti staudingeri", "Logania dumoga", "Bethencourtia rupicola", "Aptrootia terricola", "Aptrootia elatior", "Aptrootia robusta", "Aoruroides cochinchinensis", "Logania hampsoni", "Euscorpiops puerensis", "Eudontomyzon graecus", "Hourstonius geojeensis", "Mauriesia splendida", "Hyleoglomeris aurata", "Hyleoglomeris proximata", "Hyleoglomeris sinuata", "Gyrinus convexiusculus", "Mandalotus irritus", "Mandalotus miricollis", "Losaria neptunus lepida", "Gandaca harina babiensis", "Neorina lowii tanahmasaensis", "Thaumantis odana", "Thaumantis odana odana", "Thaumantis odana tanahmasana", "Elymnias esaca popularis", "Polyura moori", "Polyura moori moori", "Polyura moori suwajii", "Taxila haquinus", "Taxila haquinus haquinus", "Thelenella muscorum var. muscorum", "Taxila haquinus yagishitai", "Thelenella muscorum var. octospora", "Abisara savitri batuensis", "Papilio fuscus", "Paralaxita damajanti", "Paralaxita damajanti damajanti", "Paralaxita damajanti sarana", "Paralaxita damajanti sabahensis", "Paralaxita damajanti cyme", "Artocarpus anisophyllus", "Trichiura crataegi", "Trichiura crataegi crataegi", "Trichiura crataegi anatolica", "Trichiura crataegi lasistana", "Trichiura castiliana", "Trichiura castiliana castiliana", "Trichiura castiliana minotaurus", "Trichiura moghrebana", "Trichiura stroehlei", "Trichiura stroehlei stroehlei", "Trichiura stroehlei carmelea", "Trichiura mirzayani", "Trichiura gornoscythica", "Trichiura ilicis", "Trichiura sapor", "Trichiura sapor sapor", "Trichiura sapor wiltshirei", "Ornativalva cerva", "Ornativalva alces", "Logania distanti", "Ochosternus zealandicus", "Deronectes ferrugineus", "Geodromicus beibienkoi", "Thoramus parryi", "Olophrum fuscum", "Thoramus wakefieldi", "Thoramus perblandus", "Gonodonta jamaicensis", "Clypastraea humeralis", "Clypastraea elongata", "Litoprosopus papayensis", "Anicla biweri", "Neostictoptera lezardensis", "Cyclosa oculata", "Anthocharis gruneri gruneri", "Asterope markii morphoides", "Asterope markii selectus", "Ligustrum obtusifolium subsp. obtusifolium", "Ligustrum obtusifolium subsp. microphyllum", "Acostatrichia simulans", "Syringa \u00d7 chinensis", "Cryptopygus tingus", "Paracerura pindorama", "Asphinctopone pilosa", "Juraheterosmylus antiquatus", "Juraheterosmylus astictus", "Juraheterosmylus minor", "Neopanorpa latiseparata", "Eoophyla leytensis", "Eoophyla cernyi", "Eoophyla napoleoni", "Eoophyla cervinalis", "Anthelephila pedestris", "Eristena samaritai", "Margarosticha nigrescens", "Paracymoriza fuliginosa", "Paracymoriza argenteolineata", "Paracymoriza nigrella", "Parapoynx leucographa", "Anaspis arctica", "Parapoynx pycnarmonides", "Sphaeriestes stockmanni", "Salpingus depressifrons", "Nymphicula yoshiyasui", "Tisis amabilis", "Tisis sabahensis", "Tisis yasudai", "Epidromia lafontainei", "Epidromia dickeli", "Epidromia maracayensis", "Hypercompe guyanensis", "Asterope markii", "Asterope markii markii", "Asterope markii davisii", "Asterope markii hewitsoni", "Asterope markii boyi", "Asterope markii ackeryi", "Asterope markii gallardi", "Asterope markii werneri", "Mylabris fabricii", "Mylabris quadripunctata", "Mylabris variabilis", "Hycleus polymorphus", "Aschistodesmus spatulifer", "Aschistodesmus tridentifer", "Pseudopyrochroa vestiflua", "Steropes obscurans", "Omonadus bifasciatus", "Notoxus appendicinus", "Notoxus monoceros", "Notoxus trinotatus", "Notoxus caucasicus", "Dendrogonopus maculatus", "Dendrogonopus robustus", "Microhoria terminata", "Microhoria piciceps", "Hirticollis hispidus", "Cyclodinus debilis", "Cyclodinus dentaticornis", "Cyclodinus montandoni", "Cordicollis baicalicus", "Anthicus nazarovi", "Anthicus antherinus", "Fredilocarcinus apyratii", "Fredilocarcinus musmuschiae", "Liocrobyla lobata", "Liocrobyla brachybotrys", "Eurema nilgiriensis", "Nymphicula morimotoi", "Nymphicula luzonensis", "Nymphicula negrosensis", "Nymphicula mindorensis", "Horelophopsis avita", "Ptinus tectus", "Charadranaetes durandii", "Brounina guatemalensis", "Brounina distincta", "Acidota crenata", "Neanops caecus", "Acidota quadrata", "Scototrechus orcinus", "Deliphrum tectum", "Microtribodes formosanus", "Conisius yaeyamanus", "Chalcides minutus", "Tribalus brouni", "Neopachylopus lepidulus", "Nymphicula banauensis", "Eoophyla pulchralis", "Eoophyla naumanni", "Eoophyla fontis", "Aulacosternus caledoniae", "Eoophyla nussi", "Eoophyla richteri", "Eoophyla yeni", "Eoophyla quezonensis", "Eoophyla bicolensis", "Eoophyla litoralis", "Eoophyla montanalis", "Eoophyla callilithalis", "Eoophyla schintlmeisteri", "Anthocharis gruneri fereiduni", "Maltagorea pseudovulpina", "Accra amanica", "Accra erythrocyma", "Accra kassaicola", "Accra kikuayana", "Accra ornata", "Accra plumbeana", "Accra rubicunda", "Accra rubrothicta", "Accra tanzanica", "Accra witteae", "Accra venatrix", "Accra viridis", "Accra canthararcha", "Acropora palmata", "Syringa subg.", "Syringa subg.", "Syringa ser.", "Mycoporum acervatum", "Mycoporum antecellens", "Mycoporum buckii", "Syringa ser.", "Mycoporum californicum", "Mycoporum elabens", "Mycoporum eschweileri", "Mycoporum fuscocinereum", "Mycoporum hippocastani", "Mycoporum lacteum", "Mycoporum mycoporoides", "Mycoporum pycnocarpoides", "Mycoporum quercus", "Mycoporum sparsellum", "Mycoporum uniloculatum", "Acropora prolifera", "Syringa ser.", "Syringa ser.", "Thelenella inductula", "Thelenella interrupta", "Thelenella irregularis", "Thelenella justii", "Thelenella kerguelena", "Thelenella larbalestieri", "Thelenella leucothelia", "Thelenella leucothelioides", "Thelenella luridella", "Thelenella luzonensis", "Thelenella madreporiformis", "Thelenella marginata", "Thelenella mawsonii", "Thelenella megapotamica", "Thelenella melanospora", "Thelenella modesta", "Mordellistena humeralis", "Paratomoxia scutellata", "Thelenella muelleri", "Thelenella muscorum", "Thelenella nitidula", "Thelenella obtecta", "Thelenella ocellata", "Thelenella ochroleucodes", "Thelenella paraguayensis", "Thelenella perfragilis", "Thelenella pertusariella", "Thelenella philippina", "Thelenella rappii", "Thelenella reducta", "Thelenella sastreana", "Thelenella saxicola", "Thelenella scopularis", "Thelenella sordidula", "Thelenella straminea", "Thelenella subluridella", "Thelenella sychnogonioides", "Thelenella tasmanica", "Thelenella thaxteri", "Thelenella trichothelioides", "Rhithrodytes agnus", "Thelenella turgida", "Thelenella verruculosa", "Thelenella vezdae", "Thelenella wallrothiana", "Thelenella weberi", "Thelenella wellingtonii", "Trogonoptera brookiana akikoa", "Dodona elvira", "Dodona elvira elvira", "Dodona elvira hanafusai", "Dodona elvira chuai", "Agalba ruficornis", "Agalba nigrescens", "Agalba cylindrata", "Chlorocardium venenosum", "Agalba basalis", "Agalba flavipes", "Agalba rufipennis", "Austrella arachnoidea", "Austrella brunnea", "Agalba lawrencei", "Agalba storeyi", "Dromaeolus nigellus", "Claviceps purpurea", "Neocharis varia", "Neocharis pubescens", "Neocharis simplex", "Neocharis concolor", "Neocharis osculans", "Neocharis lobitarsis", "Rubidograptis regulus", "Rubidograptis praeconia", "Talerax capax", "Talerax distans", "Talerax dorsalis", "Talerax micans", "Talerax niger", "Talerax rusticus", "Talerax spinitarsis", "Talerax tenuis", "Rubrograptis recrudescentia", "Rutilograptis cornesi", "Rutilograptis couteauxi", "Hadramphus spinipennis", "Clepsis brachyptycta", "Hadramphus pittospori", "Clepsis enochlodes", "Clepsis scaeodoxa", "Degeliella versicolor", "Equus hemionus khur", "Fuscoderma amphibolum", "Fuscoderma applanatum", "Fuscoderma limbatum", "Fuscoderma papuanorum", "Fuscoderma pyxinoides", "Lagria rufipennis", "Uloma rufa", "Eumeces algeriensis", "Leioderma cherokeense", "Leioderma duplicatum", "Leioderma erythrocarpum", "Leioderma glabrum", "Leioderma pycnophorum", "Leioderma sorediatum", "Leioderma spongiosum", "Caenothrombium corpulentum", "Allothrombium simoni", "Allothrombium trouessarti", "Parepierus abrogatus", "Parepierus crenulatus", "Parepierus rusticus", "Parepierus simplex", "Parepierus planiceps", "Parepierus purus", "Carcinops pumilio", "Gnathoncus rotundatus", "Parepierus punctulipennis", "Parepierus rufescens", "Parepierus spinellus", "Kiwitachys antarcticus", "Kiwitachys latipennis", "Osteospermum calendulaceum", "Tribolium destructor", "Osteospermum caulescens", "Osteospermum ecklonis", "Osteospermum jucundum", "Tentyria nomas", "Tagona macrophthalma", "Siphulastrum alpinum", "Vahliella globuligera", "Pristimantis muchimuk", "Neriene poculiforma", "Saccoglossus porochordus", "Saccoglossus rhabdorhynchus", "Saccoglossus shumaginensis", "Saccoglossus sonorensis", "Dorcatoma pilosella", "Ptinus pilosus", "Stephanorhynchus crassus", "Stephanorhynchus curvipes", "Stephanorhynchus aper", "Stephanorhynchus tuberosus", "Stephanorhynchus purus", "Boros unicolor", "Diesia quadridentata", "Platyscelis brevis", "Pimelia subglobosa", "Philhammus zaitzevi", "Phaleromela subhumeralis", "Pentaphyllus chrysomeloides", "Pentaphyllus testaceus", "Siphulastrum cladinoides", "Siphulastrum granulatum", "Siphulastrum mammillatum", "Siphulastrum squamosum", "Siphulastrum triste", "Siphulastrum usneoides", "Scleropatroides hirtulus", "Scleropatroides seidlitzi", "Scaphidema metallicum", "Equus hemionus kulan", "Eulamprus quoyii", "Probaticus subrugosus", "Santessoniella arctophila", "Santessoniella brunnea", "Santessoniella chilensis", "Santessoniella crossophylla", "Santessoniella elongata", "Santessoniella grisea", "Santessoniella luctuosa", "Santessoniella polychidioides", "Santessoniella pulchella", "Santessoniella rosettiformis", "Santessoniella rugosa", "Santessoniella saximontana", "Neolimnus quadricornis", "Santessoniella arctophila var. arctophila", "Santessoniella arctophila var. glomerulosa", "Santessoniella arctophila var. terricola", "Crassocephalum bauchiense", "Crassocephalum bougheyanum", "Eulamprus leuraensis", "Psoromidium aleuroides", "Psoromidium wellingtonii", "Platymantis biak", "Waynokiops dentatogriphus", "Crassocephalum coeruleum", "Radicafurcus breviprocessus", "Baguoidea yunnanensis", "Tortopus arenales", "Tortopsis limoncocha", "Tortopsis spatula", "Neostrengeria alexae", "Rhachotropis abyssalis", "Rhachotropis chathamensis", "Rhachotropis delicata", "Rhachotropis rossi", "Salfacarus kirindiensis", "Salfacarus mahafaliensis", "Salfacarus ranobensis", "Salfacarus antsirananensis", "Salfacarus dispar", "Salfacarus tanzaniensis", "Salfacarus lawrencei", "Salfacarus robustipes", "Salfacarus legendrei", "Chlerogella agaylei", "Chlerogella arhyncha", "Chlerogella borysthenis", "Chlerogella breviceps", "Chlerogella cochabambensis", "Chlerogella cooperella", "Chlerogella cyranoi", "Chlerogella dolichorhina", "Chlerogella elysia", "Chlerogella eumorpha", "Chlerogella euprepia", "Chlerogella hauseri", "Chlerogella hypermeces", "Chlerogella materdonnae", "Chlerogella oresbios", "Chlerogella picketti", "Chlerogella rostrata", "Chlerogella silvula", "Chlerogella terpsichore", "Chlerogella tychoi", "Chlerogella vachali", "Chlerogella xuthopleura", "Chlerogella azurea", "Chlerogella octogesima", "Crassocephalum ducis-aprutii", "Copelatus strigosulus", "Crassocephalum effusum", "Huxelhydrus syntheticus", "Hydrotrupes palpalis", "Hydrotrupes chinensis", "Paratachys crypticolus", "Pericompsus australis", "Polyderis captus", "Xysticus lanio", "Xysticus ulmi", "Bolbelasmus orientalis", "Protopannaria alcicornis", "Protopannaria austro-orcadensis", "Protopannaria azorellae", "Protopannaria corticola", "Protopannaria hilaris", "Protopannaria pezizoides", "Lepidocollema carassense", "Lepidocollema wainioi", "Geum pusillum", "Geum leiospermum", "Geum uniflorum", "Vahliella adnata", "Vahliella atlantica", "Geum divergens", "Vahliella californica", "Vahliella hookerioides", "Vahliella labrata", "Vahliella leucophaea", "Geum involucratum", "Vahliella saubinetii", "Geum cockaynei", "Paranemia schroederi", "Palorus ratzeburgii", "Geotrupes koltzei", "Phelotrupes laevistriatus", "Ocnera lepidacantha", "Neomida haemorrhoidalis", "Nalassus sareptanus", "Micropedinus pullulus", "Cerastium arvense", "Russula paludosa", "Copris pecuarius", "Hepatica nobilis", "Geum divergens var. divergens", "Geum albiflorum", "Geum lechlerianum", "Nysius caledoniae", "Drusus ramae", "Drusus medianus", "Aeshna persephone", "Quaestus pasensis", "Pedionis lii", "Pedionis spinata", "Pedionis yunnana", "Crassocephalum goetzenii", "Crassocephalum gracile", "Pseudolunularia enigma", "Pseudolunularia unguis", "Otionellina boneae", "Helixotionella scutata", "Luprops orientalis", "Helixotionella spiralis", "Helixotionella rubra", "Kausiaria jamesi", "Kausiaria magna", "Idisia ornata", "Gonocephalum sexuale", "Gonocephalum rusticum", "Gonocephalum recticolle", "Gonocephalum pusillum", "Epitrichia kerzhneri", "Blastobius humeridens", "Cerocranus extremus", "Cranoides avitus", "Cranoides hirsutus", "Docolens nothofagi", "Onychomerus fortisetis", "Enneaeus bituberculatus", "Eledona agricola", "Spanochelus fijiensis", "Spanochelus syzygii", "Spanochelus tahitiensis", "Ectromopsis tantilla", "Diesia sexdentata", "Pristoderus aemulus", "Pristoderus affinis", "Diaphanidus ferrugineus", "Pristoderus discedens", "Crypticus quisquilius", "Zophobas morio", "Cryphaeus amurensis", "Cryphaeus cornutus", "Corticeus linearis", "Corticeus unicolor", "Fuscopannaria abscondita", "Fuscopannaria ahlneri", "Fuscopannaria alaskana", "Fuscopannaria albomaculata", "Fuscopannaria aurita", "Boletoxenus incurvatus", "Japanagromyza hymenoedemia", "Japanagromyza intricata", "Chrysoteuchia furva", "Chrysoteuchia nonifasciaria", "Chrysoteuchia rotundiprojecta", "Chrysoteuchia shafferi", "Typhlocharis toletana", "Tentablabus fulvus", "Acolophoides storeyi", "Norix crassus", "Pristoderus wallacei", "Pristoderus uropterus", "Anomalodermus flexuosocostatus", "Pseudotrapelus sinaitus", "Hemicrepidius tartarus", "Platambus striatus", "Lanelater pubescens", "Hemicrepidius hirtus", "Psammodromus blanci", "Hemicrepidius jugicola", "Hydronebrius amplicollis", "Hydronebrius cordaticollis", "Hydronebrius kashmirensis", "Hydronebrius mattheyi", "Hydronebrius mattheyi mattheyi", "Hydronebrius mattheyi nepalensis", "Megathous dauricus", "Glaucidium pinnatum", "Allium sect.", "Allium subg.", "Allium sect.", "Allium sect.", "Allium sect.", "Allium sect.", "Allium sect.", "Allium sect.", "Allium sect.", "Allium subsect.", "Pseudosemnus retifer", "Berberis nummularia", "Logania malayica", "Logania malayica malayica", "Logania malayica subura", "Tanysphyrus ater", "Allium sect.", "Allium sect.", "Parascatonomus alexeevi", "Procloeon fascicaudale", "Copidosomopsis orientalis", "Isca lea", "Kilariodes marifae", "Scobura parawoolletti", "Scobura stellata", "Xenovarta longicornis", "Stenochironomus roquei", "Berberis orientalis", "Ptinus plagiatus", "Sclerodermus darlingtoni", "Sclerodermus irradiatus", "Sclerodermus niveifemur", "Allium subg.", "Allium sect.", "Polychalca punctatissima", "Cerabilia aphela", "Cerabilia major", "Cerabilia maori", "Cerabilia oblonga", "Cerabilia rufipes", "Cerabilia striatula", "Psoroma tenue", "Psoroma tenue var. tenue", "Didymocantha flavopicta", "Psoroma tenue var. boreale", "Heliconius melpomene", "Chalcides ocellatus", "Ptinus maorianus", "Pycnonotus dispar", "Naupactus leucoloma", "Huernia guttata", "Huernia guttata subsp. guttata", "Asynonychus cervinus", "Atrichonotus taeniatulus", "Atrichonotus sordidus", "Amphionotus douei", "Geum sylvaticum", "Rhinoscapha meridiana", "Rhinoscapha cristovalensis", "Geum capense", "Geum heterocarpum", "Baladaeus macgillivrayi", "Yukara inornata", "Pseudanostirus ecarinatus", "Passiflora nitida", "Passiflora coriacea", "Cloeodes jaragua", "Peyrierocoris guilberti", "Peyrierocoris mirabilis", "Tanna kimtaewooi", "Lemuriana cambodiana", "Zatypota kerstinae", "Buenoa funensis", "Psoroma absconditum", "Psoroma aphthosum", "Psoroma asperellum", "Psoroma boninense", "Psoroma caliginosum", "Psoroma cinnamomeum", "Psoroma cyanosorediatum", "Psoroma dimorphum", "Psoroma echinaceum", "Psoroma fruticulosum", "Psoroma geminatum", "Psoroma hirsutulum", "Psoroma hypnorum", "Psoroma incisum", "Psoroma isabellinum", "Psoroma macquariense", "Psoroma microlepideum", "Psoroma multifidum", "Psoroma paleaceum", "Psoroma patagonicum", "Psoroma pholidotoides", "Psoroma rubromarginatum", "Psoroma soccatum", "Psoroma sphinctrinum", "Allium listera", "Allium ochotense", "Allium prattii", "Allium ovalifolium", "Catenotaenia apodemi", "Catenotaenia cricetuli", "Catenotaenia microti", "Anatoma rolani", "Bothriurus nendai", "Eriovixia sticta", "Acanthosaura cardamomensis", "Cephalidiosus freycinetiae", "Cephalidiosus spinosus", "Cephalidiosus thy", "Cephalidiosus guilberti", "Cephalidiosus sineoroe", "Dicysta tristanopsidis", "Allium ovalifolium var. ovalifolium", "Nobarnus picarti", "Xanthochorema nathaliae", "Xanthochorema christinae", "Xanthochorema johnwardi", "Caucasalia macrophylla", "Anahita punctulata", "Xysticus pellax", "Xysticus peninsulanus", "Caucasalia pontica", "Distopyrenis americana", "Distopyrenis fuliginosa", "Distopyrenis pachyspora", "Barilium dawsoni", "Hypselospinus fittoni", "Xysticus triguttatus", "Eusphalerum sibiricum", "Eusphalerum angustum", "Allium hollandicum", "Xanthochorema bifurcatum", "Xanthochorema calcaratum", "Lauraesilpha do", "Lauraesilpha paniensis", "Lauraesilpha unio", "Lauraesilpha vulcania", "Lauraesilpha angusta", "Lauraesilpha antiqua", "Lauraesilpha chazeaui", "Lauraesilpha dogniensis", "Lauraesilpha heteroclita", "Lauraesilpha koghiensis", "Lauraesilpha mearetoi", "Matuanus rectinervus", "Matuanus bruneonervus", "Matuanus bicolor", "Matuanus azurensis", "Matuanus mirabilis", "Matuanus elegans", "Matuanus priapus", "Matuanus rufidulus", "Matuanus flavomaculatus", "Matuanus caledonicus", "Matuanus rufomaculatus", "Artocarpus sarawakensis", "Artocarpus sericicarpus", "Anatoma fujikurai", "Hypselodoris juliae", "Pannaria asahinae", "Pannaria caesiocinerea", "Pannaria complanata", "Pannaria emodii", "Pannaria formosana", "Pannaria insularis", "Pannaria prolificans", "Pannaria ramulosa", "Crassocephalum libericum", "Crassocephalum macropappus", "Crassocephalum manampanihense", "Pannaria andina", "Pannaria multifida", "Pannaria orphnina", "Pannaria papuana", "Pannaria planiuscula", "Pannaria pruinosa", "Pannaria squamulosa", "Pannaria cinerascens", "Crassocephalum montuosum", "Allium subg.", "Ixodes luciae", "Miletus cellarius", "Miletus drucei", "Miletus drucei drucei", "Miletus drucei metrovius", "Philodromus monitae", "Symplectoscyphus frondosus", "Paramesotriton yunwuensis", "Mexecheles thailandensis", "Samsinakia charanasriae", "Miletus bannanus", "Duvaliomimus mayae", "Duvaliomimus styx", "Duvaliomimus watti", "Duvaliomimus walkeri", "Erebotrechus infernus", "Kenodactylus audouini", "Kupetrechus lamberti", "Saprinus cyaneus", "Hexathele cantuaria", "Colchicum serpentinum", "Colchicum szovitsii", "Colchicum luteum", "Styela clava", "Miletus rosei", "Miletus biggsii", "Miletus biggsii albotignula", "Miletus biggsii biggsii", "Godzilliognomus schrami", "Arcanobisium comasi", "Alpheus baccheti", "Deione ovata", "Deione renaria", "Physalaemus feioi", "Physalaemus orophilus", "Orthorhinus aspredo", "Orthorhinus carbonarius", "Orthorhinus cruciatus", "Orthorhinus rugosus", "Orthorhinus lateralis", "Orthorhinus palmaris", "Orthorhinus tenellus", "Orthorhinus variegatus", "Orthorhinus laetus", "Orthorhinus leseleuci", "Orthorhinus klugi", "Orthorhinus simulans", "Allorthorhinus brevirostris", "Allorthorhinus granosparsus", "Allorthorhinus insularis", "Orthorhinoides centurio", "Orthorhinoides ambiguus", "Rhinoscapha bicincta", "Pantorhytes stanleyanus", "Passiflora suberosa", "Passiflora organensis", "Passiflora cuspidifolia", "Passiflora picturata", "Passiflora zamorana", "Rygmodus alienus", "Rygmodus antennatus", "Logania marmorata", "Logania marmorata damis", "Logania marmorata diehli", "Logania marmorata faustina", "Logania marmorata hilaeira", "Logania marmorata javanica", "Logania marmorata lahomius", "Logania marmorata marmorata", "Logania marmorata munichya", "Logania marmorata palawana", "Logania marmorata samosata", "Logania nehalemia", "Logania obscura", "Logania paluana", "Logania regina", "Logania regina regina", "Logania regina sriwa", "Logania waltraudae", "Allium subsect.", "Allium subsect.", "Logania watsoniana", "Lontalius eltus", "Lontalius eltus eltus", "Lontalius eltus treadawayi", "Elytrurus alatus", "Elytrurus caudatus", "Elytrurus marginatus", "Elytrurus ambrymensis", "Elytrurus risbeci", "Elytrurus santicolus", "Elytrurus convexus", "Elytrurus aobae", "Elytrurus divaricatus", "Elytrurus serrulatus", "Stethaspis convexa", "Stethaspis simmondsi", "Stethaspis discoidea", "Stethaspis lineata", "Stethaspis intermediata", "Stethaspis prasina", "Stethaspis pulchra", "Drasterius agnatus", "Hemilobella ferrumequinum", "Fuscopannaria caribbaea", "Fuscopannaria cheiroloba", "Fuscopannaria coerulescens", "Fuscopannaria confusa", "Fuscopannaria convexa", "Fuscopannaria coralloidea", "Fuscopannaria crustacea", "Fuscopannaria crustata", "Fuscopannaria cyanogranulata", "Fuscopannaria cyanolepra", "Fuscopannaria dispersa", "Fuscopannaria dissecta", "Fuscopannaria granulifera", "Fuscopannaria hirsuta", "Asida lutosa", "Fuscopannaria ignobilis", "Fuscopannaria incisa", "Anatolica impressa", "Fuscopannaria laceratula", "Fuscopannaria leprosa", "Fuscopannaria leucosticta", "Alphitophagus bifasciatus", "Fuscopannaria leucostictoides", "Fuscopannaria maritima", "Fuscopannaria mediterranea", "Fuscopannaria minor", "Fuscopannaria obtegens", "Phaenops cyanea", "Fuscopannaria olivacea", "Fuscopannaria pacifica", "Fuscopannaria poeltii", "Fuscopannaria praetermissa", "Fuscopannaria protensa", "Fuscopannaria pulveracea", "Fuscopannaria ramulina", "Fuscopannaria saltuensis", "Fuscopannaria siamensis", "Fuscopannaria sorediata", "Fuscopannaria subgemmascens", "Fuscopannaria subimmixta", "Fuscopannaria subincisa", "Fuscopannaria thiersii", "Fuscopannaria viridescens", "Fuscopannaria granulans", "Geum \u00d7 aurantiacum", "Geum \u00d7 cebennense", "Geum \u00d7 intermedium", "Harveycapsus dimorpha", "Ambracius alineae", "Ambracius liviae", "Ambracius rudybuenoi", "Japanagromyza browni", "Japanagromyza cestra", "Hemilobella daeana", "Syneta betulae", "Zeugomantispa minuta", "Pannaria elatior", "Pannaria lurida", "Pannaria malmei", "Pannaria rubiginella", "Pannaria subfusca", "Pannaria tavaresii", "Pannaria aenea", "Pannaria caespitosa", "Pannaria centrifuga", "Pannaria contorta", "Pannaria crenulata", "Pannaria delicata", "Pannaria dichroa", "Pannaria durietzii", "Pannaria elegantior", "Pannaria elixii", "Pannaria euphylla", "Pannaria farinosa", "Pannaria fimbriata", "Pannaria fulvescens", "Pannaria globigera", "Pannaria immixta", "Pannaria isidiosa", "Pannaria mangroviana", "Pannaria microphyllizans", "Pannaria molkenboeri", "Pannaria obscura", "Pannaria prolifera", "Pannaria pulvinula", "Pannaria ramosii", "Pannaria subcrustacea", "Pannaria xanthorioides", "Pannaria leproloma", "Berberis kaschgarica", "Pannaria calophylla", "Crassocephalum guineense", "Crassocephalum kassnerianum", "Crassocephalum lemuricum", "Pannaria pallida", "Pannaria lurida subsp. lurida", "Pannaria lurida subsp. quercicola", "Pannaria lurida subsp. russellii", "Allium subg.", "Allium sect.", "Crotalus molossus", "Allium subg.", "Parmeliella cinerata", "Parmeliella conopleioides", "Parmeliella dactylifera", "Parmeliella delicata", "Parmeliella endolutea", "Parmeliella exornata", "Parmeliella expansa", "Parmeliella flavida", "Parmeliella fuscata", "Parmeliella imbricatula", "Parmeliella isidiopannosa", "Parmeliella lacerata", "Parmeliella magellanica", "Parmeliella paramensis", "Crassocephalum togoense", "Parmeliella philippina", "Parmeliella plumosella", "Parmeliella polydactyla", "Parmeliella rakiurae", "Parmeliella rosettiformis", "Parmeliella serpentinicola", "Parmeliella triptophylloides", "Crassocephalum torreanum", "Parmeliella vainioi", "Parmeliella verruculosa", "Parmeliella himalayana", "Vaejovis oaxaca", "Crassocephalum uvens", "Sparisoma rocha", "Crassocephalum vitellinum", "Crassocephalum \u00d7picridifolium", "Miletus biggsii natunensis", "Miletus biggsii niasicus", "Ahua dentata", "Ahua insula", "Ahua kaituna", "Ahua vulgaris", "Huka alba", "Huka lobata", "Huka minima", "Huka minuta", "Huka pallida", "Miletus boisduvali", "Miletus boisduvali avitus", "Miletus boisduvali diotrophes", "Oramiella wisei", "Miletus boisduvali boisduvali", "Allium lusitanicum", "Allium roseum", "Pimephales promelas", "Omalium septentrionis", "Crassocephalum paludum", "Crassocephalum radiatum", "Crassocephalum sonchifolium", "Crassocephalum splendens", "Parmeliella aggregata", "Parmeliella appalachensis", "Parmeliella brisbanensis", "Parmeliella clavulifera", "Parmeliella coerulescens", "Parmeliella concinna", "Parmeliella crassa", "Parmeliella cyanolepra", "Parmeliella diffracta", "Parmeliella furfuracea", "Parmeliella granulata", "Parmeliella granulifera", "Parmeliella gymnocheila", "Parmeliella incrassata", "Parmeliella ligulata", "Parmeliella mariana", "Parmeliella miradorensis", "Parmeliella nigrata", "Parmeliella nigrocincta", "Parmeliella palmatula", "Parmeliella pannosa", "Parmeliella papillata", "Parmeliella parvula", "Parmeliella polyphyllina", "Parmeliella ruderatula", "Parmeliella saxicola", "Parmeliella stylophora", "Parmeliella subtilis", "Parmeliella testacea", "Parmeliella thysanota", "Parmeliella adpressa", "Parmeliella alniphila", "Parmeliella angustiloba", "Parmeliella asahinae", "Parmeliella chilensis", "Ephistemus globulus", "Ephistemus gyrinoides", "Ephistemus nigriclavis", "Ephistemus confinis", "Henoticus californicus", "Passiflora lutea", "Cryptophagus pilosus", "Metophthalmus serripennis", "Echyridella onekaka", "Passiflora flavicarpa", "Passiflora guatemalensis", "Passiflora rubra", "Waipatia maerewhenua", "Centaurea antennata", "Tangaroasaurus kakanuiensis", "Austrosqualodon trirhizodonta", "Hyoscyamus turcomanicus", "Vipera dinniki", "Frigidopyrenia bryospila", "Cacaliopsis nardosmia", "Hyoscyamus kopetdaghi", "Coccocarpia adnata", "Coccocarpia dissecta", "Coccocarpia domingensis", "Coccocarpia endoferruginea", "Coccocarpia erythrocardia", "Coccocarpia erythroxyli", "Coccocarpia filiformis", "Coccocarpia flavicans", "Coccocarpia glaucina", "Coccocarpia guimarana", "Coccocarpia kerguelensis", "Coccocarpia myriocarpa", "Coccocarpia palmicola", "Coccocarpia pellita", "Coccocarpia pruinosa", "Coccocarpia rottleri", "Coccocarpia smaragdina", "Allium sect.", "Caucasalia similiflora", "Caucasalia parviflora", "Macadamia integrifolia", "Macadamia tetraphylla", "Endocarpon simplicatum var. simplicatum", "Endocarpon simplicatum var. bisporum", "Digitothyrea divergens", "Digitothyrea polyglossa", "Digitothyrea rotundata", "Miletus chinensis", "Miletus chinensis assamensis", "Miletus chinensis chinensis", "Miletus chinensis learchus", "Miletus chinensis longeana", "Akalyptoischion bathytrematos", "Akalyptoischion delotretos", "Akalyptoischion diadeletron", "Akalyptoischion dyskritos", "Akalyptoischion echinos", "Akalyptoischion gigas", "Akalyptoischion hadromorphus", "Akalyptoischion heptalocos", "Akalyptoischion heterotrichos", "Akalyptoischion lasiosus", "Akalyptoischion leptosoma", "Akalyptoischion parechinos", "Akalyptoischion pogonias", "Akalyptoischion polytremetron", "Akalyptoischion prionotus", "Akalyptoischion texas", "Akalyptoischion anasillos", "Akalyptoischion atrichos", "Akalyptoischion chandleri", "Akalyptoischion giulianii", "Akalyptoischion hormathos", "Akalyptoischion sleeperi", "Akalyptoischion tomeus", "Akalyptoischion quadrifoveolata", "Hemidactylus fasciatus", "Benedenia ernsti", "Benedenia fieldsi", "Benedenia haywardi", "Hyoscyamus reticulatus", "Passiflora punctata", "Pyura praeputialis", "Colchicum umbrosum", "Colchicum laetum", "Attenuata manawatawhia", "Laccodytes rondonia", "Laccodytes takutuanus", "Laccodytes neblinae", "Laccodytes bassignanii", "Laccodytes obscuratus", "Laccodytes androginus", "Laccodytes olibroides", "Laccodytes americanus", "Laccodytes apalodes", "Laccodytes phalacroides", "Emasia dentata", "Megalopinus lescheni", "Allium subg.", "Allium sect.", "Calvia decemguttata", "Dentex gibbosus", "Dentex macrophthalmus", "Dentex maroccanus", "Endocarpon adsurgens", "Takifugu rubripes", "Endocarpon aridum", "Endocarpon crassisporum", "Endocarpon helmsianum", "Endocarpon lepidallum", "Endocarpon loscosii", "Endocarpon macrosporum", "Endocarpon myeloxanthum", "Endocarpon pallidulum", "Endocarpon pallidum", "Endocarpon petrolepideum", "Endocarpon pseudosubnitescens", "Endocarpon psorodeum", "Endocarpon pulvinatum", "Endocarpon pusillum", "Endocarpon robustum", "Endocarpon rogersii", "Endocarpon schisticola", "Endocarpon simplicatum", "Endocarpon subnitescens", "Endocarpon tortuosum", "Elachistocleis magna", "Pseudopaludicola murundu", "Korinchocoris venulus", "Polypedilum marcondesi", "Empoasca latibasis", "Empoasca tuberculata", "Myuchelys bellii", "Myuchelys georgesi", "Collemopsidium angermannicum", "Myuchelys latisternum", "Myuchelys purvisi", "Leioaspetos archeyi", "Oligosoma newmani", "Oligosoma robinsoni", "Collemopsidium argilospilum", "Collemopsidium arenisedum", "Collemopsidium caesium", "Collemopsidium chlorococcum", "Collemopsidium elegans", "Collemopsidium foveolatum", "Collemopsidium halodytes", "Hybolasius modestus", "Hybolasius promissus", "Hybolasius pedator", "Hybolasius simplex", "Hybolasius sticticus", "Hybolasius vegetus", "Hybolasius viridescens", "Xylotoles griseus", "Xylotoles inornatus", "Xylotoles rugicollis", "Xylotoles nudus", "Xylotoles humeratus", "Collemopsidium monense", "Collemopsidium ostrearum", "Collemopsidium pyrenuloides", "Collemopsidium subarenisedum", "Collemopsidium sublitorale", "Collemopsidium tasmanicum", "Mycetaea subterranea", "Allium maximowiczii", "Klyngon aulacis", "Klyngon brasilense", "Klyngon copaiferae", "Klyngon costalimai", "Klyngon gibberum", "Klyngon guimaraesi", "Klyngon hortense", "Klyngon pegosoma", "Klyngon petalon", "Klyngon serjaniae", "Ilybius quadriguttatus", "Ilybius angustior", "Ilybius similis", "Ilybius subaeneus", "Deronectes latus", "Cyana ruwenzoriana", "Cyana ueleana", "Cyana ugandana", "Cyana ugandana ugandana", "Cyana ugandana abyssinica", "Heterogynis jellaba", "Heterogynis rifensis", "Leucophlebia frederkingi", "Polyommatus wagneri", "Polyommatus wagneri wagneri", "Polyommatus wagneri iphiactis", "Archon apollinaris apollinaris", "Palearctia gratiosa", "Holcocera lignyodes", "Obrima pyraloides", "Vipera eriwanensis", "Allium splendens", "Parapolycope oligohalina", "Parapolycope spiralis", "Uca cryptica", "Isometopsallops prokopi", "Corylus sieboldiana var. mandshurica", "Embolemopsis baissensis", "Collemopsidium iocarpum", "Allium \u00d7 proliferum", "Allium altyncolicum", "Allium karelinii", "Allium oliganthum", "Cyana arenbergeri", "Cyana luchoana", "Cyana pallidilinea", "Allium schmitzii", "Allium prostratum", "Allium altaicum", "Allium asarense", "Allium farctum", "Allium galanthum", "Allium oschaninii", "Allium praemixtum", "Allium pskemense", "Allium rhabdotum", "Allium roylei", "Allium vavilovii", "Allium \u00d7 cornutum", "Allium sect.", "Leuctra usdi", "Allium sect.", "Allium sect.", "Klyngon jimenezi", "Klyngon bouceki", "Klyngon albicornis", "Macrophthalmus lisae", "Nomisia levyi", "Nomisia peloponnesiaca", "Gekko vietnamensis", "Hyperolius veithi", "Paramphilochus parachelatus", "Reductholaspis analis", "Longicheles mandibularis", "Apate monachus", "Apate terebrans", "Micridina hilli", "Bambara testacea", "Pseudouroplectes lalyae", "Phengaris xiushani", "Seticeros tunupai", "Morimus asper", "Baissobius minutus", "Allium sacculiferum", "Bocchus cenomanianus", "Gonatopus cretacicus", "Deinodryinus aptianus", "Anteonopsis antiqua", "Baissobius carolianus", "Baissobius minimus", "Baissobius parvus", "Bocchus vetustus", "Deinodryinus areolatus", "Pollenia pseudorudis", "Macroplea appendiculata", "Donacia clavipes", "Ptenidium posticale", "Donacia malinovskyi", "Allium sect.", "Allium sect.", "Allium sect.", "Allium sect.", "Bostrychopsis jesuita", "Allium sect.", "Elius phansadicus", "Elius prionocerus", "Elius sericeus", "Propsephus thanensis", "Schizotus fuscicollis", "Isoplenodia vidalensis", "Isoplenodia arabukoensis", "Isoplenodia kisubiensis", "Eugnosta percnoptila", "Eugnosta macneilli", "Cornips dryocausta", "Cornips gravidspinatus", "Epichoristodes imbriculata", "Epichoristodes pylora", "Saponaria halophila", "Allium sect.", "Allium sect.", "Allium sect.", "Allium sect.", "Python anchietae", "Allium subg.", "Allium sect.", "Palearctia gratiosa gratiosa", "Palearctia gratiosa sarezica", "Hydrobaenus saetheri", "Trichomyia madsoni", "Sycorax australis", "Trichomyia dlinzae", "Trichomyia nodosa", "Trichomyia riodocensis", "Kotchevnik modestus", "Kotchevnik tapinus", "Kotchevnik durrelli", "Pristoderus tuberculatus", "Pristoderus isostictus", "Pristoderus fulvus", "Pristoderus carus", "Pristoderus fuscatus", "Pristoderus rufescens", "Pristoderus cinereus", "Pristoderus integratus", "Pristoderus atratus", "Pristoderus brouni", "Pristoderus discalis", "Pristoderus dissimilis", "Pristoderus lawsoni", "Pristoderus planiceps", "Pristoderus proprius", "Pristoderus punctatus", "Pristoderus undosus", "Pristoderus exiguus", "Pristoderus insignis", "Pristoderus salebrosus", "Papaver commutatum", "Sisymbrium orientale", "Polygala transcaucasica", "Onobrychis fallax", "Cephalaria transsylvanica", "Tanacetum argenteum", "Cirsium dirmilense", "Nonea caspica", "Verbascum symes", "Antirrhinum orontium", "Veronica polita", "Veronica macrostachya", "Euphorbia forskalii", "Euphorbia ledebourii", "Asperula stricta", "Galium setaceum", "Galium consanguineum", "Galium margaceum", "Allium phanerantherum", "Clepsis anderslaneyii", "Histura perseavora", "Paedophryne kathismaphlox", "Paedophryne oyatabu", "Marmosa isthmica", "Marmosa zeledoni", "Marmosa simonsi", "Stuckenberginiella hystrix", "Rapistrum rugosum", "Linum flavum", "Linum nervosum", "Dorycnium pentaphyllum", "Alchemilla caucasica", "Elattoneura mauros", "Thailocyba boa", "Limnophora longiantennata", "Helina flavoextrema", "Dichaetomyia shinonagai", "Pygophora spinifera", "Anillinus gimmeli", "Anillinus juliae", "Anillinus merritti", "Scalida pyrrhocephala", "Scalida quadrispinata", "Malaisemyia foliacea", "Pristoderus aberrans", "Pristoderus acuminatus", "Pristoderus plagiatus", "Pristoderus philpotti", "Helichrysum kopetdagense", "Allium petraeum", "Cyrtodactylus yangbayensis", "Persianthrombium farajii", "Naushonia latimana", "Naushonia serratipalma", "Rhacophorus norhayatii", "Ophichthus alleni", "Ophichthus aniptocheilos", "Ophichthus congroides", "Ophichthus hirritus", "Ophichthus humanni", "Ophichthus ishiyamorum", "Ophichthus lentiginosus", "Ophichthus microstictus", "Ophichthus tomioi", "Perepsilonema benguelae", "Leptepsilonema saldanhae", "Tylencholaimus singaporensis", "Dorella shamimi", "Tantunema enigmatum", "Cortinicara andersoni", "Cortinicara subgibbosa", "Cortinicara gibbosa", "Cortinicara biloba", "Cortinicara bhutanica", "Cortinicara luzonica", "Porphyrogenes peterwegei", "Tituacia gracilis", "Elusia enalis", "Dargida spinicassida", "Dargida juxta", "Dargida lilium", "Cundinamarca indistincta", "Cundinamarca subalbata", "Cundinamarca nigralbata", "Cundinamarca rindgei", "Allium sect.", "Gorgonidia cubotaensis", "Stictotarsus duodecimpustulatus", "Hygrotus inaequalis", "Hygrotus versicolor", "Suphrodytes dorsalis", "Porhydrus lineatus", "Rhombomys opimus", "Allium paradoxum", "Diploschistes aeneus", "Diploschistes arabiensis", "Diploschistes badius", "Diploschistes caesioplumbeus", "Diploschistes cinereocaesius", "Diploschistes conceptionis", "Allium sect.", "Allium narcissiflorum", "Allium insubricum", "Diploschistes diploschistoides", "Diploschistes elixii", "Diploschistes euganeus", "Diploschistes gyrophoricus", "Diploschistes hensseniae", "Diploschistes hypoleucus", "Diploschistes microsporus", "Allium subg.", "Allium sect.", "Alvamaja chlorometallica", "Ischnura rurutana", "Fortagonum angusticolle", "Ischnura jeanyvesmeyeri", "Bubastia ephialtes", "Bubastia olympica", "Bubastia quadracuta", "Bubastia sakisi", "Diploschistes muscorum subsp. muscorum", "Diploschistes muscorum subsp. bartlettii", "Haplophyllum patavinum", "Gorgyra stewarti", "Pristimantis educatoris", "Helichrysum mussae", "Helichrysum nuratavicum", "Migadopiella convexipennis", "Migadopiella octoguttata", "Paracossus pinratanai", "Sansara naumanni", "Sansara hreblayi", "Palaeophilotes triphysina", "Palaeophilotes triphysina triphysina", "Palaeophilotes triphysina lama", "Micraloa lineola", "Micraloa emittens", "Acerbia seitzi", "Acerbia seitzi seitzi", "Acerbia khumbeli", "Allium macleanii", "Acerbia seitzi micropuncta", "Acerbia cornuta", "Caloplaca diffluens", "Caloplaca fusanii", "Caloplaca lacinulata", "Caloplaca vulnerata", "Parnassius acdestis", "Allium sect.", "Allium subsect.", "Diploschistes muscorum", "Alburnus zagrosensis", "Portelmis gurneyi", "Portelmis nevermanni", "Diploschistes ocellatus", "Diploschistes prominens", "Diploschistes scruposus", "Diploschistes sticticus", "Diploschistes thunbergianus", "Caloplaca chelyae", "Lexias bangkana", "Allium subsect.", "Allium subsect.", "Allium sect.", "Allium subsect.", "Allium subsect.", "Allium sect.", "Allium roseum var. roseum", "Penaincisalia elisabeth", "Berosus degallieri", "Berosus spiniger", "Leptophyes calabra", "Leptophyes sicula", "Craspedomerus giganteus", "Craspedomerus gongshanus", "Craspedomerus zhangi", "Metiochodes acutiparamerus", "Metiochodes minor", "Metiochodes tibeticus", "Metiochodes truncatus", "Allium roseum var. tourneuxii", "Tasmanitachoides mandibularis", "Squamarina albomarginata", "Squamarina albocretacea", "Passiflora actinia", "Kotchevnik schablyai", "Vartiania zaratustra", "Panau borealis", "Rotundabaloghia benyovszkyi", "Rotundabaloghia madagascarensis", "Chilecomadia valdiviana", "Chilecomadia moorei", "Rhizocossus munroei", "Vipera lotievi", "Vipera magnifica", "Vipera monticola", "Allium senescens", "Helichrysum thianschanicum", "Dendromus ruppi", "Eliurus carletoni", "Surdisorex schlitteri", "Sylvisorex corbeti", "Sylvisorex silvanorum", "Rhinolophus thailandensis", "Miniopterus griffithsi", "Miniopterus brachytragos", "Miniopterus mahafaliensis", "Suncus hututsi", "Allium senescens subsp. senescens", "Allium senescens subsp. glaucum", "Polyura gilolensis besar", "Polyura gilolensis utara", "Polyura epigenes", "Polyura epigenes epigenes", "Polyura epigenes bicolor", "Polyura schreiber ikami", "Delias levicki", "Delias levicki levicki", "Delias levicki hokamae", "Delias levicki borromeoi", "Delias levicki justini", "Delias levicki mandaya", "Delias kummeri chiekoae", "Delias kummeri rouffaer", "Delias kummeri highlandensis", "Delias acalis", "Delias kuehni", "Delias kuehni kuehni", "Delias kuehni sulana", "Delias kuehni prinsi", "Delias kuehni yoshimiae", "Delias singhapura indistincta", "Delias singhapura acuta", "Delias singhapura yusukei", "Delias singhapura tsukadai", "Delias themis themis", "Delias themis soteira", "Delias themis mihoae", "Delias themis yuii", "Delias themis kawamurai", "Delias vidua", "Delias eschatia", "Delias manuselensis", "Delias manuselensis manuselensis", "Delias manuselensis brooksi", "Delias ingai", "Delias pulla", "Delias pulla pulla", "Delias pulla nimivinye", "Delias momea", "Delias momea momea", "Delias momea hageni", "Delias momea huphinoides", "Delias momea ikuyoae", "Delias momea sumiae", "Python breitensteini", "Helichrysum polyphyllum", "Allium subvillosum", "Allium trifoliatum", "Allium erdelii", "Allium massaessylum", "Allium scorzonerifolium", "Gyrodactylus jarocho", "Gyrodactylus xalapensis", "Notonyx rayneri", "Notonyx sagittifer", "Aphelenchoides fujianensis", "Ophryotrocha shieldsi", "Kaszabjbaloghia ecuadorica", "Hutufeideria hirschmanni", "Passiflora jamesonii", "Stefania neblinae", "Afrogehringia endroedyi", "Passiflora manicata", "Pristimantis adnus", "Bagous alismatis", "Squamarina antarctica", "Squamarina aspera", "Squamarina callichroa", "Passiflora murucuja", "Squamarina cartilaginea", "Squamarina charletyi", "Squamarina chondroderma", "Squamarina concrescens", "Squamarina deminuta", "Squamarina dilabens", "Squamarina dufourei", "Squamarina fragilis", "Squamarina gypsacea", "Squamarina haysomii", "Squamarina kansuensis", "Squamarina lamarckii", "Squamarina lentigera", "Delias waterstradti jini", "Delias gabia", "Delias gabia gabia", "Squamarina magnussonii", "Squamarina natalensis", "Squamarina nivalis", "Squamarina oleosa", "Delias gabia naokoae", "Squamarina pachylepidea", "Squamarina pachyphylla", "Squamarina pamirica", "Squamarina periculosa", "Delias mysis", "Delias mysis mysis", "Allium canariense subsp. obtusitepalum", "Takashia nana", "Takashia nana nana", "Takashia nana shaanxiensis", "Passiflora ampullacea", "Apaturina erminea", "Apaturina erminea erminea", "Apaturina erminea morotaiensis", "Neocorynura sophia", "Neocorynura tangophyla", "Helenaea bisignata", "Helenaea felixi", "Tasmanitachoides arnhemensis", "Tasmanitachoides katherinei", "Dauresia alliariifolia", "Squamarina placodina", "Squamarina poeltii", "Squamarina provincialis", "Squamarina schimperi", "Squamarina scopulorum", "Squamarina semisterilis", "Squamarina serpentini", "Squamarina squamulosa", "Squamarina stella-petraea", "Passiflora hartwiesiana", "Passiflora haematostigma", "Maoritrechus nunni", "Maoritrechus stewartensis", "Oarotrechus gracilentus", "Waiputrechus cavernicola", "Kettlotrechus edridgeae", "Kettlotrechus marchanti", "Kettlotrechus millari", "Mesogramma apiifolium", "Microcaecilia grandis", "Duvaliomimus mayae mayorum", "Duvaliomimus mayae mayae", "Rhacophorus spelaeus", "Duvaliomimus australis", "Duvaliomimus chrystallae", "Duvaliomimus crypticus", "Duvaliomimus megawattus", "Duvaliomimus obscurus", "Delias ribbei ribbei", "Delias ribbei connectens", "Delias ribbei taekoae", "Delias maudei", "Delias enniana", "Delias enniana enniana", "Delias enniana obsoleta", "Delias enniana reducta", "Delias enniana eceicei", "Delias enniana majoripuncta", "Delias enniana contracta", "Delias akikoae", "Delias chrysomelaena", "Delias chrysomelaena chrysomelaena", "Delias chrysomelaena prodigialis", "Delias talboti", "Delias ladas waigeuensis", "Delias ladas levis", "Delias ladas wamenaensis", "Delias ladas yapenensis", "Delias caliban", "Delias caliban caliban", "Delias caliban satisbona", "Delias totila", "Delias stresemanni", "Delias schmassmanni", "Delias anjae", "Delias sinak", "Delias abrophora", "Delias abrophora abrophora", "Delias abrophora bugebu", "Delias abrophora okbibab", "Delias geraldina emilia", "Delias geraldina siderea", "Delias geraldina vaneechoudi", "Delias geraldina vogelcopensis", "Delias geraldina masakoae", "Delias messalina orientalis", "Delias alberti", "Delias alberti alberti", "Delias alberti guava", "Hollowayana landaca", "Cardamine corymbosa", "Duvaliomimus pseudostyx", "Duvaliomimus taieriensis", "Duvaliomimus maori", "Meristogenys maryatiae", "Scototrechus hardingi", "Scototrechus morti", "Scototrechus hardingi hardingi", "Scototrechus hardingi worthyi", "Amolops akhaorum", "Kupetrechus gracilis", "Kupetrechus larsonae", "Kettlotrechus orpheus", "Kettlotrechus pluto", "Phrynobatrachus kakamikro", "Phrynobatrachus chukuchuku", "Passiflora pinnatistipula", "Luscinia svecica svecica", "Caulastrocecis perexigella", "Megacraspedus multispinella", "Megacraspedus orenburgensis", "Megacraspedus albovenata", "Megacraspedus longipalpella", "Monochroa uralensis", "Teleiodes kaitilai", "Athrips aquila", "Athrips bidzilyai", "Ephysteris tenuisaccus", "Hedma karsholti", "Lutilabria prolata", "Syncopacma steppicolella", "Helcystogramma flavescens", "Athyma kanwa tanahmasa", "Bhagadatta austenia", "Bhagadatta austenia austenia", "Bhagadatta austenia violetta", "Passiflora chama", "Delias messalina", "Delias messalina messalina", "Delias messalina lizzae", "Cethosia vasalia", "Delias messalina vigasa", "Delias hempeli", "Delias hempeli hempeli", "Delias hempeli miekoae", "Polyura gilolensis", "Polyura gilolensis gilolensis", "Allium sect.", "Hepatus epheliticus", "Periclimenes nevillei", "Ypsolopha helva", "Ypsolopha pseudoparallela", "Ypsolopha sordida", "Psecadioides cuneus", "Psecadioides owadai", "Psecadioides prominens", "Scoposcartula tentaculata", "Hellinsia habecki", "Censorinus karinae", "Niconiades bifurcus", "Helichrysum armenium", "Stirogaster kmenti", "Zegara polymorpha", "Cercyonis pegala australosierra", "Anthocharis sara sempervirens", "Hydroscapha granulum", "Chiasmognathus saheliensis", "Georissus persicus", "Dendrocacalia crepidifolia", "Macrosiagon elegans", "Macrosiagon oberthurii", "Macrosiagon terminata", "Horelophopsis hanseni", "Salinella salve", "Franciscoia morenoi", "Franciscoia ediliae", "Helichrysum araxinum", "Glena mielkei", "Staurothele arctica", "Staurothele bacilligera", "Staurothele guestphalica", "Staurothele hymenogonia", "Achillea phrygia", "Tesarius caelatus", "Palaeoaxinidium orapense", "Dalyat mirabilis", "Axinidium africanum", "Axinidium angulatum", "Paraxinidium andreaei", "Metaxinidium leleupi", "Metaxinidium nanum", "Holaxinidium fitzsimonsi", "Promecognathus crassus", "Promecognathus laevissimus", "Dentifemura maculata", "Odontoxenus thailandicus", "Discoxenus katayamai", "Apotomoderes anodontos", "Apotomoderes chariedris", "Apotomoderes hadroprion", "Apotomoderes menocrater", "Apotomoderes sotomayorae", "Sphingius deelemanae", "Xiphinema chambersi", "Lepidonema magnum", "Trachyuropoda newtoni", "Uropoda amplaformis", "Uroobovella panamensis", "Trichouropodella punctata", "Trichouropodella ujvarii", "Chelonuropoda africana", "Allium karataviense", "Petropedetes vulpiae", "Leptobrachium tagbanorum", "Leptobrachium lumadorum", "Leptobrachium mangyanorum", "Boophis spinophis", "Boophis sandrae", "Boophis roseipalmatus", "Boophis praedictus", "Boophis piperatus", "Boophis miadana", "Boophis luciae", "Boophis haingana", "Boophis entingae", "Boophis arcanus", "Ololygon tripui", "Scinax rogerioi", "Crotalus oreganus", "Yara maculata", "Uroobovella vazquezae", "Delias fruhstorferi", "Delias fruhstorferi fruhstorferi", "Delias fruhstorferi takakoae", "Delias nysa nivira", "Delias nysa santo", "Delias lemoulti", "Delias dice", "Delias dice dice", "Delias dice fulvoflava", "Delias dice samarai", "Delias dice mitisana", "Delias dice latimarginata", "Delias dice rectifascia", "Delias ribbei", "Sinoxylon muricatum", "Banji long", "Osteocephalus festae", "Osteocephalus castaneicola", "Veigaia transylvanica", "Nimbaphrynoides occidentalis occidentalis", "Nimbaphrynoides occidentalis liberiensis", "Tricyrtis sect.", "Tricyrtis sect.", "Tricyrtis sect.", "Tricyrtis sect.", "Calochortus sect.", "Calochortus sect.", "Calochortus sect.", "Diplocoelus probiphyllus", "Julolaelaps kilifiensis", "Julolaelaps celestiae", "Julolaelaps pararotundatus", "Brachycephalus pitanga", "Ischnocnema concolor", "Ischnocnema melanopygia", "Pedesta hyrie maculata", "Ripeacma umbellata", "Gentiana aquatica", "Gentiana pyrenaica", "Valeriana alpestris", "Alosa kessleri", "Scrobipalpa acuminatella", "Scrobipalpa bidzilyai", "Chelone obliqua", "Chelone lyonii", "Chelone glabra", "Hoplopisthius maximus", "Hemidactylus turcicus", "Herpestes urva formosanus", "Herpestes urva sinensis", "Herpestes urva urva", "Penstemon subg.", "Penstemon subsect.", "Penstemon sect.", "Porina norrlinii", "Penstemon subsect.", "Penstemon rostriflorus", "Plutodes magdelinae", "Plutodes moultoni", "Plutodes thorbeni", "Gerontha hoenei", "Penstemon subg.", "Frutidella caesioatra", "Penstemon davidsonii", "Penstemon rupicola", "Penstemon newberryi", "Scrobipalpa distincta", "Scrobipalpa erichiodes", "Scrobipalpa flavidinigra", "Scrobipalpa flavimaculata", "Scrobipalpa flavinerva", "Scrobipalpa fusca", "Scrobipalpa hoenei", "Scrobipalpa latiuncella", "Scrobipalpa nigrigrisea", "Scrobipalpa nigripuncta", "Scrobipalpa ochrostigma", "Scrobipalpa sinica", "Scrobipalpa strictella", "Centaurea nivea", "Salvia cadmica", "Morina persica", "Staurothele caesia", "Staurothele clopima", "Staurothele discedens", "Staurothele drummondii", "Staurothele effigurata", "Staurothele elenkinii", "Staurothele fissa", "Staurothele lecideoides", "Staurothele monicae", "Staurothele moreliiensis", "Staurothele orispruinosa", "Nicoletiella carpatica", "Nicoletiella denticulatum", "Staurothele polygonia", "Staurothele rufa", "Staurothele rugosa", "Staurothele rugulosa", "Staurothele succedens", "Staurothele tenuissima", "Staurothele verruculosa", "Staurothele frustulenta", "Staurothele fuscocuprea", "Neptis pryeri pryeri", "Neptis pryeri kitakamiensis", "Neptis pryeri iwasei", "Neptis pryeri setoensis", "Neptis pryeri yodoei", "Neptis pryeri hamadai", "Neptis pryeri kiiensis", "Hystrignathus splendidus", "Allium lojaconoi", "Eremurus spectabilis", "Consolida hellespontica", "Elymnias tamborana", "Faunis aerope montana", "Stachys iberica", "Eupithecia hollowayi", "Eupithecia russeola", "Eupithecia niveivena", "Eupithecia anasticta", "Eupithecia acyrtoterma", "Eupithecia leucenthesis", "Eupithecia tricrossa", "Eupithecia sinicaria", "Herpestes urva annamensis", "Eupithecia melanolopha", "Paradoxecia gravis", "Paradoxecia pieli", "Paradoxecia vietnamica", "Paradoxecia fukiensis", "Paradoxecia chura", "Nokona nigra", "Punctelia jeckeri", "Punctelia caseana", "Ranunculus bulbilliferus", "Helichrysum callichrysum", "Jurinea kilaea", "Hesperis turkmendaghensis", "Helichrysum pallasii", "Euphorbia cassia", "Fritillaria pontica", "Helichrysum aurantiacum", "Erysimum aznavourii", "Euphorbia aleppica", "Allium caeruleum", "Allium sect.", "Cephalobares yangdingi", "Halitiarella nudibulbus", "Octovannuccia zhangjinbiaoi", "Penstemon sect.", "Penstemon sect.", "Penstemon subsect.", "Penstemon subsect.", "Meitingsunes aldwelles", "Macrognathus aureus", "Amphilepis neozelandica", "Scinax tigrinus", "Sperchon ayyildizi", "Sperchon oezkani", "Uropoda gibba", "Uropoda afra", "Uropoda cornuata", "Uropoda ocellata", "Uropoda latvica", "Chelone cuthbertii", "Uropoda mazsalakiae", "Uropoda csuzdii", "Uropoda hungarica", "Trachyuropoda kinsella", "Psalmocharias balochii", "Psalmocharias chitralensis", "Psalmocharias gizarensis", "Psalmocharias japokensis", "Pseudebenia argyrosoma", "Pseudebenia fulvipalpis", "Pseudebenia fuscata", "Pseudebenia nepalensis", "Pseudebenia trisetosa", "Stachia oregonensis", "Friesea kariae", "Carrerapyrgota aczeli", "Carrerapyrgota bernardii", "Trissolcus radjabii", "Plantago weldenii", "Plantago holosteum", "Plantago anatolica", "Plantago euphratica", "Plantago scabra", "Plantago squarrosa", "Bronchus lineatus", "Bronchus oneili", "Anagotus hamiltoni", "Anagotus latirostris", "Typhonia bimaculata", "Typhonia alluaudiella", "Typhonia decaryella", "Typhonia fibriculatella", "Typhonia seyrigiella", "Typhonia vadonella", "Melasina alluaudiella", "Melasina decaryella", "Melasina fibriculatella", "Euplocamus anthracinalis", "Euplocamus ophisa", "Euplocamus bienerti", "Euplocamus delagrangei", "Euplocamus pallidellus", "Euplocamus schaeferi", "Euplocamus demodes", "Euplocamus melanchrodes", "Euplocamus triplatynta", "Euplocamus charadropis", "Phausis reticulata", "Psecadioides tanylopha", "Metzneria lappella", "Megacraspedus plutella", "Afrasura indecisa", "Afrasura indecisa indecisa", "Afrasura indecisa orientalis", "Orizabus amalgamatus", "Podistra rufotestacea", "Orizabus delgadoi", "Orizabus epithecus", "Orizabus mezclus", "Orizabus thomasi", "Meandrusa gyas", "Meandrusa gyas gyas", "Meandrusa gyas sukkiti", "Passiflora holosericea", "Teinopalpus imperialis gerritesi", "Lexias canescens", "Lexias canescens canescens", "Lexias canescens albata", "Lexias canescens pacalis", "Euthaliopsis aetion", "Passiflora umbilicata", "Passiflora colinvauxii", "Hydrochara affinis", "Passiflora subpurpurea", "Peltasta zonula", "Peltasta pseudozonula", "Peltasta gershensonae", "Catatinagma kraterella", "Metanarsia guberlica", "Allium permixtum", "Allium zebdanense", "Canga renatae", "Sphaeroma silvai", "Thelcticopis zhengi", "Peridinetus illabes", "Peridinetus imperialis", "Peridinetus lugubris", "Peridinetus notabilis", "Peridinetus odone", "Peridinetus pena", "Peridinetus rubens", "Peridinetus wyandoti", "Hydrobaenus olfa", "Neocorynura gaucha", "Neocorynura guarani", "Gnathisotoma spinolabris", "Mucronia enigmatica", "Desoria albicornis", "Desoria ater", "Desoria capra", "Desoria cryophila", "Desoria garibaldii", "Desoria olympica", "Desoria rosea", "Desoria pilifrons", "Desoria triangularis", "Euterpnosia cucphuongensis", "Lelia concavaemargo", "Hybos medialis", "Hybos vietnamensis", "Osmia palmula", "Pselaphodes aculeus", "Pselaphodes cornutus", "Pselaphodes declinatus", "Pselaphodes hlavaci", "Pselaphodes latilobus", "Pselaphodes miraculum", "Pselaphodes nomurai", "Pselaphodes subtilissimus", "Pselaphodes tianmuensis", "Pselaphodes wuyinus", "Penstemon fruticosus", "Penstemon subg.", "Penstemon sect.", "Penstemon subsect.", "Penstemon hirsutus", "Anomaloglossus confusus", "Mannophryne speeri", "Arthroleptis fichika", "Arthroleptis kidogo", "Arthroleptis nguruensis", "Arthroleptis perreti", "Rainacalles volens", "Sapheneutis pulchella", "Callipogon barbatus", "Musa exotica", "Musa savitus", "Russula ochroleuca", "Pachypasa otus", "Pachypasa otus otus", "Pachypasa otus fulvescens", "Gufria limosa", "Genista tridens", "Penstemon laevigatus", "Penstemon australis", "Penstemon subsect.", "Penstemon multiflorus", "Stereocaulon alpinum", "Stereocaulon apocalypticum", "Stereocaulon arcticum", "Stereocaulon arenarium", "Stereocaulon argus", "Stereocaulon azulense", "Stereocaulon botryosum", "Stereocaulon caespitosum", "Stereocaulon capitellatum", "Paralivatiella serrata", "Cephennomicrus fesumatranus", "Lathomicrus sumatranus", "Perdita celadona", "Perdita vespertina", "Pilosocereus pachycladus", "Ansonia echinata", "Atelopus chirripoensis", "Atelopus patazensis", "Atelopus eusebiodiazi", "Atelopus oxapampae", "Pelophryne saravacensis", "Rhaebo andinophrynoides", "Rhinella azarai", "Ptinella tenella", "Ptinella johnsoni", "Ptinella rovnoensis", "Ptinella yapensis", "Aristotelia coeruleopictella", "Uropoda hiramatsui", "Aristotelia baltica", "Uropoda hiramatsuiformis", "Uropoda hiramatsuioides", "Uropoda hiramatsuisimilis", "Uropoda lauta", "Uropoda matskasii", "Uropoda meridiana", "Aristotelia pancaliella", "Agdistis notabilis", "Caryocolum siculum", "Spiniphallellus desertus", "Spiniphallellus stonisi", "Spiniphallellus fuscescens", "Spiniductellus atraphaxi", "Spiniductellus flavonigrum", "Anthophila massaicae", "Dichrorampha acuminatana", "Dichrorampha typhlodes", "Rhodostrophia tabestana", "Rhodostrophia vastaria", "Eriogaster rimicola", "Eriogaster rimicola rimicola", "Eriogaster rimicola hackeri", "Eriogaster rimicola cahama", "Eriogaster inspersa", "Saxifraga sempervivum", "Hypericum sechmenii", "Perdita rhondae", "Epidaus insularis", "Neurigona hainana", "Neurigona sichuana", "Neurigona yaoi", "Phoenicagrion flavescens", "Phoenicagrion ibseni", "Phoenicagrion karaja", "Phoenicagrion megalobos", "Portelmis kinonatilis", "Portelmis paulicruzi", "Stereocaulon condensatum", "Stereocaulon coniophyllum", "Stereocaulon cumulatum", "Stereocaulon corticatulum", "Acrotrichis montandoni", "Acrotrichis rosskotheni", "Stereocaulon cymosum", "Stereocaulon dactylophyllum", "Ptinella aptera", "Stereocaulon delisei", "Ptinella britannica", "Ptinella denticollis", "Stereocaulon depreaultii", "Stereocaulon depressum", "Stereocaulon evolutum", "Stereocaulon exalbidum", "Stereocaulon exutum", "Stereocaulon furfuraceum", "Stereocaulon glareosum", "Stereocaulon glaucescens", "Stereocaulon gregarium", "Stereocaulon haumanianum", "Rhinella centralis", "Ikakogi tayrona", "Stereocaulon heardii", "Stereocaulon humbertii", "Stereocaulon incrustatum", "Stereocaulon intermedium", "Stereocaulon japonicum", "Stereocaulon karisimbiense", "Stereocaulon leucophaeopsis", "Chorasus costatus", "Chorasus costicollis", "Stereocaulon corticatulum var. humile", "Stereocaulon corticatulum var. subcorticatum", "Pennellianthus frutescens", "Copelatus marginatus", "Exocelina subjecta", "Pseudolaguvia virgulata", "Haliclystus californiensis", "Paramoera myslenkovi", "Paramoera tiunovi", "Scytalopus notorius", "Exocelina allerbergeri", "Exocelina barbarae", "Exocelina brunoi", "Exocelina burwelli", "Exocelina charlottae", "Exocelina creuxorum", "Exocelina feryi", "Exocelina flammi", "Exocelina gaulorum", "Exocelina gelima", "Exocelina inexspectata", "Exocelina jeannae", "Exocelina koghis", "Exocelina kolleri", "Exocelina leae", "Exocelina lilianae", "Exocelina monteithi", "Exocelina nielsi", "Exocelina niklasi", "Exocelina poellabauerae", "Exocelina ouin", "Exocelina remyi", "Exocelina schoelleri", "Exocelina simoni", "Exocelina rotteri", "Exocelina staneki", "Ptinella matthewsiana", "Mauisaurus haasti", "Torodora rectilinea", "Cupes manifestus", "Cupes orbiculatus", "Cupes ponomarenkoi", "Cupes varians", "Bupredactyla magna", "Lasiosyne daohugouensis", "Lasiosyne fedorenkoi", "Lasiosyne gratiosa", "Lasiosyne quadricollis", "Matsumuraeses phaseoli", "Darwallia patula", "Sundorrhinus bruneiensis", "Nikomiklukha praecedens", "Nikomiklukha sumatrana", "Nikomiklukha maclayi", "Nabis raiateana", "Nabis rugosus", "Fortagonum acuticolle", "Fortagonum bisetosiceps", "Fortagonum curtum", "Fortagonum denticulatum", "Fortagonum depressum", "Fortagonum globulipenne", "Fortagonum insulare", "Fortagonum laevigatum", "Fortagonum latum", "Fortagonum sinak", "Fortagonum skalei", "Fortagonum spinipenne", "Fortagonum spinosum", "Fortagonum unipunctatum", "Fortagonum bufo", "Fortagonum cychriceps", "Fortagonum forceps", "Fortagonum formiceps", "Fortagonum subconicolle", "Stromatella bermudana", "Potentilla doddsii", "Potentilla lazica", "Potentilla ruprechtii", "Rosa villosa", "Rosa montana", "Rosa dumalis", "Epilobium anatolicum", "Epilobium roseum", "Epilobium palustre", "Epilobium algidum", "Epilobium ponticum", "Epilobium gemmascens", "Zealandopterix zonodoxa", "Tasmantrix fragilis", "Tasmantrix lunaris", "Tasmantrix nigrocornis", "Tasmantrix phalaros", "Tasmantrix tasmaniensis", "Tasmantrix thula", "Aureopterix micans", "Nannopterix choreutes", "Aureopterix sterops", "Austromartyria porphyrodes", "Tasmantrix calliplaca", "Betadevario ramachandrani", "Pangaeus bilineatus", "Pangaeus scotti", "Nosodendron ovatum", "Kuiornis indicator", "Pheidole singaporensis", "Pheidole neolongiscapa", "Pheidole pallidula selenia", "Pheidole pallidula tasdelenia", "Pristimantis bicantus", "Pristimantis lucidosignatus", "Pristimantis onorei", "Ameerega boehmei", "Ameerega ignipedis", "Ameerega pepperi", "Pachyrhamma cavernae", "Ameerega yoshina", "Euphlyctis aloysii", "Euphlyctis mudigere", "Limnonectes ferneri", "Pachyrhamma unicolor", "Pachyrhamma longipes", "Minervarya chilipata", "Troides magellanus leyteanus", "Psallops sakaerat", "Calicovatellus petrodytes", "Psallops fulvioides", "Psallops grandoculus", "Psallops myiocephalus", "Psallops nakatanii", "Psallops oculatus", "Strigula minutula", "Psallops ponapensis", "Psallops yaeyamanus", "Psallops yapensis", "Pachyna subfascia", "Pachyna bogema", "Pachyna satanas", "Pachyna crabik", "Cheligium licrisonia", "Cheligium sansei", "Cheligium pinheyi", "Cheligium ufo", "Cheligium lineatum", "Cheligium nigrescens", "Cheligium choerocampoides", "Lasiocesa fulgurata", "Lasiocesa occidentale", "Lasiocesa lanceolata", "Lasiocesa dogma", "Sophyrita argibasis", "Grellada marshalli", "Grellada enigmatica", "Crataegus remotilobata", "Grellada imitans", "Rhyacophila tamderensis", "Euthalia amanda", "Euthalia amanda amanda", "Euthalia amanda selayarensis", "Lexias panopus", "Lexias panopus panopus", "Lexias damalis", "Lexias damalis damalis", "Lexias hikarugenzi", "Lexias aeropa", "Lexias aeropa aeropa", "Lexias perdix", "Lexias aeetes", "Lexias aeetes aeetes", "Hebomoia glaucippe uedai", "Euthalia strephon", "Euthalia strephon strephon", "Euthalia strephon haradai", "Eulaceura osteria tanahmasa", "Polygala anatolica", "Silene caryophylloides", "Silene olympica", "Delias callima", "Delias callima callima", "Delias callima satura", "Dianthus kastembeluensis", "Delias callima ayamiae", "Noaea mucronata", "Delias albertisi", "Linum aroanium", "Linum austriacum", "Linum olympicum", "Linum tenuifolium", "Delias albertisi albertisi", "Linum usitatissimum", "Delias albertisi discoides", "Delias albertisi putih", "Delias albertisi albiplaga", "Delias discus", "Delias discus discus", "Delias discus neyi", "Delias discus apodiscus", "Delias discus larseni", "Peganum harmala", "Byasa adamsoni adamsoni", "Byasa adamsoni takakoae", "Bhutanitis lidderdalii lidderdalii", "Bhutanitis lidderdalii ocellatomaculata", "Thelidium aeneovinosum", "Urotrygon microphthalmum", "Trigla lyra", "Helichrysum sanguineum", "Penthicodes caja", "Anchocerus giganteus", "Gibbosella elongata", "Gibbosella mirabilis", "Apiomerus barrocoloradoi", "Penthicodes caja malayana", "Penthicodes celebicus", "Penthicodes warleti", "Longicellochrysa yixiana", "Pachyprotasis altantennata", "Pachyprotasis fopingensis", "Pachyprotasis maculoannulata", "Pachyprotasis nigricoxis", "Zatypota baragi", "Zatypota brachycera", "Zatypota chryssophaga", "Platymantis bayani", "Telmatobius rubigo", "Ceuthomantis smaragdinus", "Cretonodes antounazari", "Rhizophtoma elateroides", "Archelatrius marinae", "Eopeplus stetzenkoi", "Palaeoestes eocenicus", "Corticaria missa", "Corticaria hodeberti", "Scaligeria lazica", "Euploea mulciber mulciber", "Euploea mulciber cebuensis", "Euploea mulciber semperi", "Euploea mulciber triggia", "Euploea mulciber ticaoana", "Euploea mulciber masbatensis", "Euploea mulciber kochi", "Euploea mulciber visaya", "Euploea mulciber dinagatensis", "Plantago major subsp. intermedia", "Amathusia phidippus", "Amathusia phidippus phidippus", "Chorasus incertus", "Chorasus lateralis", "Chorasus setarius", "Chorasus suturalis", "Chorasus purus", "Chorasus posticalis", "Chorasus subcaecus", "Stereocaulon leprocephalum", "Stereocaulon loricatum", "Stereocaulon mamillosum", "Stereocaulon massartianum", "Stereocaulon microcarpum", "Stereocaulon microthuja", "Stereocaulon myriocarpum", "Stereocaulon nanodes", "Stereocaulon nigromaculatum", "Stereocaulon nivale", "Stereocaulon octomerum", "Stereocaulon penicillium", "Stereocaulon pileatum", "Stereocaulon piluliferum", "Stereocaulon plicatile", "Stereocaulon pomiferum", "Stereocaulon ramulosum", "Stereocaulon rivulorum", "Stereocaulon ruwenzoriense", "Stereocaulon sasakii", "Stereocaulon saviczii", "Stereocaulon saxatile", "Stereocaulon sorediiferum", "Stereocaulon spathuliferum", "Stereocaulon sterile", "Stereocaulon subcoralloides", "Stereocaulon subdenudatum", "Stereocaulon symphycheilum", "Stereocaulon tennesseense", "Stereocaulon tomentosum", "Stereocaulon tornense", "Stereocaulon trachyphloeum", "Stereocaulon vanoyei", "Stereocaulon verruciferum", "Stereocaulon vesuvianum", "Stereocaulon virgatum", "Redonda empetrus", "Stereocaulon weberi", "Stereocaulon vesuvianum var. vesuvianum", "Passiflora glandulosa", "Stereocaulon vesuvianum var. nodulosum", "Stereocaulon vesuvianum var. symphycheileoides", "Stereocaulon sasakii var. sasakii", "Stereocaulon sasakii var. simplex", "Stereocaulon sasakii var. tomentosoides", "Stereocaulon dactylophyllum var. dactylophyllum", "Stereocaulon dactylophyllum var. occidentale", "Stereocaulon corticatulum var. corticatulum", "Strigula minor", "Strigula multipunctata", "Strigula muriformis", "Gerynassa affinis", "Gerynassa andersoni", "Gerynassa minor", "Gerynassa picticornis", "Gerynassa simplex", "Gerynassa basalis", "Gerynassa nodulosa", "Plantago media subsp. media", "Palaelodus aotearoa", "Matuku otagoense", "Medicago falcata", "Astragalus incertus", "Astragalus frickii", "Psoralea acaulis", "Oxytropis lazica", "Strigula natalis", "Strigula nemathora", "Strigula nitidula", "Strigula novae-zelandiae", "Strigula obducta", "Strigula obtecta", "Strigula oceanica", "Strigula orbicularis", "Strigula phaea", "Strigula phyllogena", "Strigula platypoda", "Strigula prasina", "Strigula rostrata", "Strigula rupestris", "Strigula schizospora", "Strigula smaragdula", "Strigula stigmatella", "Strigula subelegans", "Strigula submuriformis", "Strigula subtilissima", "Strigula sychnogonioides", "Strigula tagananae", "Strigula taylorii", "Strigula viridis", "Strigula viridiseda", "Strigula wilsonii", "Amathusia phidippus negrosensis", "Amathusia phidippus cebuensis", "Athyma gutama canlaonensis", "Athyma gutama cebuensis", "Tanaecia calliphorus", "Tanaecia calliphorus calliphorus", "Tanaecia calliphorus hinunanganensis", "Charaxes amycus leytensis", "Charaxes amycus marion", "Charaxes amycus negrosensis", "Charaxes amycus theobaldo", "Tirumala ishmoides", "Tirumala ishmoides ishmoides", "Tirumala ishmoides trasinanus", "Neptis mindorana", "Neptis mindorana mindorana", "Neptis mindorana ilocana", "Phaedyma columella", "Phaedyma columella columella", "Phaedyma columella guimarensis", "Chorthippus parallelus", "Synalissa acharii", "Synalissa austroafricana", "Synalissa cancellata", "Synalissa conferta", "Synalissa glomerulosa", "Synalissa lichinella", "Synalissa matogrossensis", "Synalissa melodermia", "Synalissa minuscula", "Synalissa nitidula", "Synalissa phaeococca", "Synalissa phyllisca", "Synalissa phylliscina", "Synalissa picina", "Synalissa polycocca", "Synalissa salevensis", "Synalissa sphaerospora", "Synalissa symphorea", "Crataegus pseudomelanocarpa", "Synalissa violacea", "Synalissa viridirufa", "Synalissa vulgaris", "Synalissa arabica", "Synalissa coralloides", "Synalissa lichenophila", "Plantago major subsp. sinuata", "Neophyllobius kamalii", "Neophyllobius zolfigolii", "Boana paranaiba", "Phyllochthonius ovatosetosus", "Phyllochthonius peniculus", "Strigula affinis", "Strigula albolinitum", "Strigula albicascens", "Strigula albomaculata", "Strigula americana", "Strigula antillarum", "Strigula australiensis", "Strigula austropunctata", "Strigula bahamensis", "Strigula bermudana", "Strigula caerulensis", "Strigula cinefaciens", "Strigula complanata", "Strigula concreta", "Strigula connivens", "Strigula decipiens", "Strigula delicata", "Strigula elixii", "Strigula fossulicola", "Strigula fractans", "Strigula fracticonidia", "Strigula glabra", "Strigula graminicola", "Plantago media subsp. stepposa", "Plantago media subsp. pindica", "Strigula griseonitens", "Strigula hypothallina", "Strigula indutula", "Strigula jamesii", "Strigula janeirensis", "Strigula johnsonii", "Strigula laceribracae", "Strigula lacericola", "Strigula macrocarpa", "Strigula maculata", "Strigula melanobapha", "Ottinychus buxtoni", "Ottinychus hopkinsi", "Alcichthys elongatus", "Leacis vitiensis", "Ottinychus comptus", "Ottinychus gemmatus", "Elytrurus bicolor", "Elytrurus samoensis", "Nodocnemus subfasciatus", "Andriashevicottus megacephalus", "Urotrygon aspidura", "Urotrygon munda", "Urotrygon nana", "Urotrygon reticulata", "Urotrygon rogersi", "Urotrygon simulatrix", "Urotrygon venezuelae", "Cranopoeus turritus", "Urobatis concentricus", "Urobatis marmoratus", "Urobatis tumbesensis", "Argyrocottus zanderi", "Urotrygon caudispinosus", "Urotrygon cimar", "Urotrygon peruanus", "Urotrygon serrula", "Tarsistes philippii", "Artediellichthys nigripinnis", "Trygonorrhina fasciata", "Stomosis arachnophila", "Parisognoriste eocenica", "Platyscelio arcuatus", "Platyscelio mysterium", "Platyscelio mzantsi", "Platyscelio striga", "Platyscelio pulchricornis", "Platyscelio africanus", "Eupolybothrus kahfi", "Paulownia \u00d7 henanensis", "Paulownia \u00d7 intermedia", "Boana botumirim", "Elseya novaeguineae", "Scinax iquitorum", "Sphaenorhynchus botocudo", "Sphaenorhynchus mirim", "Brachinus crepitans", "Gambusia zarskei", "Bryconamericus guyanensis", "Zatypota dendrobia", "Zatypota elegans", "Zatypota maculata", "Zatypota sulcata", "Zatypota takayu", "Zatypota yambar", "Coprosma decurva", "Agaporomorphus colberti", "Agaporomorphus tambopatensis", "Agaporomorphus silvaticus", "Agaporomorphus dolichodactylus", "Agaporomorphus grandisinuatus", "Agaporomorphus mecolobus", "Agaporomorphus knischi", "Agaporomorphus pereirai", "Megacolabus sculpturatus", "Megacolabus bifurcatus", "Nothaldonus peacei", "Lyperobius huttoni", "Lyperobius australis", "Lyperobius barbarae", "Lyperobius clarkei", "Lyperobius eylesi", "Lyperobius glacialis", "Lyperobius montanus", "Lyperobius townsendi", "Lyperobius patricki", "Lyperobius coxalis", "Lyperobius nesidiotes", "Lyperobius carinatus", "Lyperobius spedenii", "Lyperobius hudsoni", "Lyperobius fallax", "Lyperobius cupiendus", "Scaptomyza flavella", "Scaptomyza fuscitarsis", "Scaptomyza flava", "Quasipaa acathophora", "Scaptomyza elmoi", "Heleophryne depressa", "Cryptobatrachus remotus", "Cryptobatrachus conditus", "Cryptobatrachus pedroruizi", "Cryptobatrachus ruthveni", "Bokermannohyla capra", "Bokermannohyla juiju", "Charadrahyla tecuani", "Paulownia taiwaniana", "Paulownia fargesii", "Paulownia elongata", "Paulownia catalpifolia", "Paulownia tomentosa var. tsinlingensis", "Thelopsis byssoidea", "Thelopsis flaveola", "Thelopsis inordinata", "Thelopsis isiaca", "Thelopsis melathelia", "Thelopsis rubella", "Paulownia tomentosa var. tomentosa", "Paulownia coreana", "Shiuyinghua silvestrii", "Australopericoma delta", "Threticus thelyceratus", "Trichomyia styloryncha", "Empoasca acanthafera", "Empoasca affinipeba", "Empoasca apatapeba", "Empoasca daggyi", "Empoasca davidi", "Empoasca nella", "Empoasca peba", "Empoasca pexa", "Elachista adunca", "Elachista lata", "Elachista laxa", "Elachista phiala", "Acrorrhinium amblyangulum", "Acrorrhinium dolichantennatum", "Daruma sagamia", "Jordania zonope", "Pheropsophus javanus", "Lamium subg.", "Lamium orvala", "Dougiola yanegai", "Trygonorrhina melaleuca", "Trygonorrhina dumerilii", "Artediellina antilope", "Artedielloides auriculatus", "Thrombium aoristum", "Thrombium discordans", "Thrombium epigaeum", "Thrombium mongolicum", "Triplophysa laterimaculata", "Triplophysa rosa", "Triplophysa longipectoralis", "Chitoria ulupi ulupi", "Chitoria ulupi subcaerulea", "Chitoria ulupi dubernardi", "Chitoria ulupi albifasciata", "Chitoria ulupi arakii", "Chitoria ulupi morii", "Chitoria modesta", "Chitoria naga", "Chitoria cooperi", "Chitoria pallas", "Chitoria fasciola", "Allium szovitsii", "Allium balansae", "Allium djimilense", "Allium rupestre", "Allium ponticum", "Hieracium djimilense", "Hieracium labillardierei", "Hieracium macrolepis", "Hieracium microtum", "Hieracium amblylepis", "Hieracium lazicum", "Thyrea asahinae", "Hieracium lazistanum", "Thyrea confusa", "Crocus aerius", "Thyrea girardii", "Thyrea latissima", "Inula thapsoides", "Thyrea pachyphylla", "Linum mucronatum", "Thyrea plicatissima", "Thyrea plectopsora", "Lamium subg.", "Lamium sect.", "Lamium sect.", "Bloszykiella africana", "Acanthemblemaria hastingsi", "Acanthicolepis zibrowii", "Morronella lawsoni", "Morronella latirostris", "Moaxiphia decepta", "Nestrius rubidus", "Unas piceus", "Unas conirostris", "Unas pictonensis", "Iphiaulax yanegai", "Parammoplanus yanegai", "Dermatopelte yanegai", "Lymeon yanegai", "Bicryptella yanegai", "Entium aberrans", "Delias shunichii", "Delias nigrina", "Delias joiceyi", "Delias prouti", "Delias ornytion", "Delias ornytion ornytion", "Delias ornytion persephone", "Delias ornytion rosselana", "Delias dohertyi", "Delias dohertyi dohertyi", "Delias dohertyi knowlei", "Delias funerea occo", "Delias duris", "Delias buruana", "Delias eximia", "Delias wollastoni", "Delias wollastoni wollastoni", "Delias wollastoni abmisibilensis", "Novitas dispar", "Torostoma apicale", "Proconus asperirostris", "Dieuches abundans", "Leiocottus hirundo", "Delias hapalina", "Delias hapalina hapalina", "Delias hapalina amoena", "Delias hapalina adnexa", "Delias hapalina kerowagiensis", "Delias hapalina owenstanleyi", "Delias hapalina kaloni", "Delias tessei", "Delias tessei tessei", "Delias tessei conspectirubra", "Delias virgo", "Delias campbelli", "Delias campbelli campbelli", "Delias campbelli microlueca", "Delias campbelli dentatus", "Delias campbelli cyclops", "Delias phippsi", "Delias phippsi phippsi", "Delias phippsi mulia", "Delias weiskei", "Delias weiskei weiskei", "Delias weiskei sayuriae", "Delias nieuwenhuisi", "Delias nieuwenhuisi nieuwenhuisi", "Delias nieuwenhuisi poponga", "Delias nieuwenhuisi nose", "Delias leucias", "Delias leucias leucias", "Delias leucias huonensis", "Delias leucias torini", "Delias rosamontana", "Delias rosamontana rosamontana", "Delias rosamontana osadai", "Delias rosamontana tanakaorum", "Delias rosamontana timur", "Delias marguerita", "Delias pseudomarguerita", "Delias telefominensis", "Delias niepelti", "Delias niepelti niepelti", "Delias niepelti henki", "Delias meeki", "Heterotyles argentatus", "Xenocnema spinipes", "Elseya dentata", "Elseya lavarackorum", "Birlimarr gaffneyi", "Rheodytes leukops", "Eiratus setulifer", "Microtribus longiceps", "Gitonischius tubicollis", "Dahira jitkae", "Dahira kitchingi", "Dahira klaudiae", "Dahira plutenkoi", "Dahira svetsinjaevae", "Dahira uljanae", "Dahira viksinjaevi", "Dahira yunlongensis", "Dahira yunnanfuana", "Dahira nili", "Dahira taiwana", "Ascelichthys rhodorus", "Asemichthys taylori", "Tomasellia americana", "Tomasellia arthonioides", "Tomasellia diffusa", "Tomasellia dispora", "Tomasellia gelatinosa", "Atopocottus tribranchius", "Bero elegans", "Bolinia euryptera", "Chitonotus pugetensis", "Crataegus caucasica", "Delias meeki meeki", "Delias meeki arfakensis", "Delias meeki neagra", "Delias meeki septentrionalis", "Delias meeki albimarginata", "Delias meeki hypochrysis", "Delias meeki hypoxantha", "Delias anamesa", "Malcolmiella cinereovirens", "Leocottus kesslerii", "Malmidea fuscella", "Malmidea granifera", "Malmidea piperis", "Malmidea rhodopsis", "Malmidea vinosa", "Lepidobero sinensis", "Digitalis sect.", "Digitalis sect.", "Digitalis sect.", "Digitalis sect.", "Centaurea hermannii", "Digitalis sect.", "Digitalis sect.", "Waynea adscendens", "Waynea californica", "Waynea cretica", "Waynea giraltiae", "Waynea hirsuta", "Waynea stoechadiana", "Dieuches abyssiniae", "Dieuches annobonensis", "Neobidessodes bilita", "Neobidessodes denticulatus", "Icarops aenae", "Icarops breviceps", "Icarops paradox", "Litoria gasconi", "Litoria serrata", "Afrixalus fulvovittatus fulvovittatus", "Afrixalus fulvovittatus brevipalmatus", "Afrixalus paradorsalis paradorsalis", "Afrixalus paradorsalis manengubensis", "Morerella cyanophthalma", "Mystacina robusta", "Mystacina tuberculata aupourica", "Mystacina tuberculata rhyacobia", "Mystacina tuberculata tuberculata", "Mystacinobia zelandica", "Mystacobia hirsuta", "Acrophtalmia chione", "Acrocordia alba", "Acrocordia macrospora", "Acrocordia sphaeroides", "Acrocordia subglobosa", "Digitalis \u00d7 macedonica", "Digitalis \u00d7 pelia", "Digitalis \u00d7 fulva", "Rhabdopsora platyspora", "Chalcalburnus tarichi", "Demadiana simplex", "Demadiana carrai", "Demadiana cerula", "Demadiana complicata", "Demadiana diabolus", "Demadiana milledgei", "Pachyrhamma filifer", "Thelidium absconditum", "Thelidium areolatum", "Thelidium circumspersellum", "Thelidium decipiens", "Thelidium fontigenum", "Thelidium fumidum", "Thelidium heardense", "Thelidium impressum", "Thelidium incavatum", "Thelidium methorium", "Thelidium microsporum", "Thelidium microbolum", "Thelidium minimum", "Thelidium minutulum", "Thelidium olivaceum", "Thelidium papulare", "Glyptemys insculpta", "Thelidium parvulum", "Thelidium pluvium", "Thelidium praevalescens", "Thelidium pyrenophorum", "Thelidium rehmii", "Thelidium submethorium", "Thelidium transsylvanicum", "Thelidium velutinum", "Thelidium zwackhii", "Thelidium amylaceum", "Thelidium papulare f. papulare", "Carapus acus", "Thelidium papulare f. sorediatum", "Anoxia orientalis", "Cephalaria syriaca", "Pelobates caucasicus", "Rangifer tarandus fennicus", "Digitalis \u00d7 velenovskyana", "Digitalis \u00d7 fuscescens", "Adenomera engelsi", "Paratelmatobius yepiranga", "Leptobrachium guangxiense", "Henrica americana", "Leptolalax applebyi", "Henrica melaspora", "Henrica ramulosa", "Leptolalax kecil", "Henrica theleodes", "Kiwinema gracilicauda", "Hatterianema hollandei", "Dieuches basiceps", "Dieuches braunsi", "Dieuches breviceps", "Dieuches brevirostris", "Dieuches osellai", "Dieuches conspicuus", "Dieuches constrictus", "Dieuches crinitus", "Dieuches curvus", "Dieuches dasys", "Dieuches diabolus", "Dieuches divergens", "Dieuches duplex", "Dieuches elgonensis", "Dieuches eminens", "Dieuches etemporalis", "Dieuches exiguus", "Dieuches expandens", "Dieuches exsertus", "Dieuches feai", "Dieuches formosus", "Dieuches gracilicrus", "Dieuches inarmatus", "Dieuches incisus", "Dieuches indicus", "Dieuches junctus", "Dieuches kalungwisiensis", "Dieuches laticeps", "Dieuches levis", "Dieuches licinus", "Dieuches liliputanus", "Dieuches linnavuorii", "Dieuches longiceps", "Dieuches major", "Rhabdopsora polymorpha", "Digitalis lamarckii", "Digitalis cariensis", "Digitalis lanata subsp. trojana", "Digitalis purpurea subsp. purpurea", "Digitalis purpurea subsp. toletana", "Digitalis purpurea subsp. amandiana", "Telogalla olivieri", "Telogalla physciicola", "Stictococcus subterreus", "Conocephalus shanghaiensis", "Cautires apicalis", "Cautires pseudoapicalis", "Mioawateria ektonos", "Cryptodaphne adiaphora", "Buccinaria nodosa", "Acanthodaphne basicincta", "Acanthodaphne boucheti", "Acanthodaphne pungens", "Acamptodaphne eridmata", "Acamptodaphne solomonensis", "Epeorus extraordinarius", "Protolichus sigillator", "Parahelpis smithae", "Helpis longipalpis", "Adoxotoma embolica", "Adoxotoma nitida", "Adoxotoma sexmaculata", "Cautires bolavensis", "Cautires dembickyi", "Cautires hergovitsi", "Cautires jendeki", "Cautires kundratai", "Cautires matsudai", "Cautires yunnanus", "Digitalis \u00d7 ujhelyii", "Centropyge ferrugata", "Centropyge shepardi", "Dieuches megalops", "Dieuches membranaceus", "Dieuches microtropis", "Dieuches mixtus", "Dieuches neavei", "Dieuches nitens", "Dieuches opaciclavus", "Dieuches pallidicoxis", "Dieuches pamelae", "Dieuches parallelus", "Dieuches philippinensis", "Oneirodes haplonema", "Dieuches pinguis", "Dieuches planus", "Dieuches projectus", "Dieuches prolixus", "Dieuches proximus", "Dieuches purpureus", "Dieuches rectangularis", "Dieuches rhodesiae", "Dieuches sagittatus", "Dieuches scudderi", "Dieuches signatipennis", "Dieuches slateri", "Dieuches solus", "Dieuches stenus", "Dieuches subcoxalis", "Dieuches subvectus", "Dieuches tenuis", "Dieuches trapeziformis", "Dieuches triangulus", "Dieuches tropis", "Dieuches turneri", "Dieuches vilis", "Dieuches virgatus", "Dieuches wittei", "Dieuches ochromus", "Dieuches embolicus", "Diederimyces fuscideae", "Diederimyces microsporus", "Dieuches parvimaculatus", "Dermestes maximus", "Dermestes ater", "Dermestes bicolor", "Corethrella novaezealandiae", "Dermestes boliviensis", "Galanthus plicatus subsp. byzantinus", "Dermatocarpella yunnana", "Psolus byrdae", "Psolus carolineae", "Psolus lockhartae", "Glyptothorax malabarensis", "Chirocephalus algidus", "Chirocephalus brteki", "Digitalis ferruginea subsp. ferruginea", "Centropyge heraldi", "Dieuches africanus", "Emuarius guljaruba", "Emuarius gidju", "Digitalis ferruginea subsp. schischkinii", "Glomerilla subtilis", "Aegotheles novaezealandiae", "Chenonetta finschi", "Callulops eremnosphax", "Certhiasomus stictolaemus", "Cophixalus desticans", "Cophixalus interruptus", "Cophixalus iovaorum", "Involucropyrenium pusillum", "Trachinotus goreensis", "Involucropyrenium sbarbaronis", "Involucropyrenium terrigenum", "Trachinotus kennedyi", "Involucropyrenium tremniacense", "Trachinotus marginatus", "Trachinotus maxillosus", "Involucropyrenium waltheri", "Trachinotus mookalee", "Trachinotus ovatus", "Trachinotus paitensis", "Trachinotus rhodopus", "Trachinotus stilbe", "Trachinotus teraia", "Digitalis obscura subsp. obscura", "Alectis indica", "Digitalis obscura subsp. laciniata", "Inocellia biprocessus", "Inocellia digitiformis", "Metataenia hudsoni", "Cacatua galerita eleonora", "Dieuches alternatus", "Dieuches fuscus", "Lauderlindsaya borreri", "Lauderlindsaya simodensis", "Camacho bathyplous", "Musculium novaezelandiae", "Pisidium hodgkini", "Pisidium novaezelandiae", "Sphaerius alticola", "Awasthiella indica", "Thaumaglossa demeyeri", "Thaumaglossa latemaculata", "Thaumaglossa laosense", "Thaumaglossa paratonkinea", "Thaumaglossa pici", "Apphianus yuccae", "Attagenus abbreviatus", "Attagenus jendeki", "Attagenus ziegleri", "Laena badrinathica", "Laena barclayi", "Laena mussoorica", "Laena simlaica", "Anthracocarpon andinum", "Anthracocarpon caribaeum", "Anthracocarpon virescens", "Bellemerella acarosporae", "Bellemerella polysporinae", "Bellemerella ritae", "Bellemerella trapeliae", "Clauzadella gordensis", "Armascirus jasmina", "Armascirus akhtari", "Armascirus sabrii", "Armascirus gojraensis", "Clavascidium antillarum", "Clavascidium kisovense", "Clavascidium liratum", "Sphaerius gustavlohsei", "Sphaerius humicola", "Sphaerius silvicola", "Metamagnusia marani", "Kalophrynus yongi", "Digitalis canariensis", "Digitalis isabelliana", "Leucocarpia biatorella", "Papawera zelandiae", "Digitalis sceptrum", "Digitalis chalcantha", "Tajuria illurgoides", "Tajuria illurgoides illurgoides", "Tajuria illurgoides minekoae", "Rangifer tarandus tarandus", "Delias descombesi", "Delias descombesi descombesi", "Delias descombesi eranthos", "Delias descombesi leucacantha", "Delias oraia", "Delias oraia oraia", "Delias oraia lydia", "Delias oraia adonarensis", "Delias oraia bratana", "Delias oraia solorensis", "Delias splendida", "Pusa hispida saimensis", "Delias belisama", "Delias belisama belisama", "Delias belisama glauce", "Delias belisama nakula", "Delias belisama balina", "Delias zebuda", "Delias eumolpe", "Lycaena phlaeas arctodon", "Prepona laertes", "Prepona laertes laertes", "Prepona laertes demodice", "Prepona laertes louisa", "Prepona laertes octavia", "Megathymus ursus", "Megathymus ursus ursus", "Megathymus ursus violae", "Megathymus ursus deserti", "Boloria epithore", "Boloria epithore epithore", "Boloria epithore chermocki", "Boloria epithore uslui", "Boloria epithore sierra", "Heliconius astraea", "Heliconius astraea astraea", "Heliconius astraea rondonia", "Heliconius aoede", "Heliconius aoede eurycleia", "Heliconius ethilla", "Heliconius ethilla ethilla", "Heliconius ethilla chapadensis", "Megathymus yuccae", "Megathymus yuccae yuccae", "Megathymus yuccae albasuffusus", "Cyphosoma euphraticum", "Cophixalus kethuk", "Cophixalus linnaeus", "Cophixalus melanops", "Cophixalus phaeobalius", "Haleomyces oropogonicola", "Cophixalus tomaiodactylus", "Himalayacetus subathuensis", "Dieuches albomarginatus", "Dieuches albostriatus", "Dieuches annulatus", "Dieuches armatipes", "Dieuches armipes", "Dieuches chinensis", "Dieuches coenosus", "Dieuches coloratus", "Dieuches consanguineus", "Dieuches consimilis", "Dieuches discoguttatus", "Dieuches distanti", "Dieuches femoralis", "Dieuches flavipes", "Dieuches forbesi", "Dieuches fuscans", "Dieuches japonicus", "Dieuches grandicus", "Dieuches herero", "Dieuches hirsutus", "Dieuches humilis", "Dieuches kansuensis", "Dieuches lateralis", "Dieuches leucoceras", "Dieuches longicollis", "Dieuches maculicollis", "Dieuches marginipennis", "Dieuches modestus", "Dieuches mucronatus", "Dieuches neolateralis", "Dieuches notatus", "Dieuches nudus", "Dieuches obscuripes", "Dieuches oceanicus", "Dieuches ornatus", "Dieuches parvipictus", "Digitalis minor", "Dieuches patrizii", "Dieuches patruelis", "Dieuches placidus", "Dieuches punctipes", "Dieuches relatus", "Dieuches schmitzi", "Dieuches scioensis", "Dieuches scorteccii", "Dieuches scutellatus", "Dieuches siamicus", "Dieuches similis", "Dieuches sloggetti", "Dieuches smithi", "Dieuches suratensis", "Adiphlebia lacoana", "Gerarus teutonicus", "Sporadanthus ferrugineus", "Placocarpus americanus", "Placocarpus amylaceus", "Placocarpus cinerascens", "Placocarpus psorinus", "Placocarpus saxorum", "Placocarpus schaereri", "Placocarpus subcrustosus", "Sesia apiformis", "Fresna maesseni", "Micandra tongida", "Parrhasius moctezuma", "Aricoris terias", "Colias gigantea", "Colias gigantea gigantea", "Colias gigantea mayi", "Colias gigantea harroweri", "Paramacera chinanteca", "Paramacera copiosa", "Paramacera allyni", "Psoroglaena cubensis var. cubensis", "Psoroglaena cubensis var. teretiloba", "Crataegus sera", "Cameronaptera glabrinotum", "Vietnamaptera bogiessa", "Yangiella mimetica", "Yangiella montana", "Montandoniola kerzhneri", "Aquatica wuhana", "Montandoniola pictipennis", "Montandoniola thripodes", "Mycophycias apophlaeae", "Mycophycias ascophylli", "Crinia fimbriata", "Cacosternum kinangopensis", "Diagrypnodes wakefieldi", "Cacosternum parvum", "Neocatapyrenium cladonioideum", "Neocatapyrenium disparatum", "Neocatapyrenium latzelii", "Neocatapyrenium radicescens", "Neocatapyrenium rhizinosum", "Dieuches syriacus", "Dieuches torpidus", "Dieuches tuberculatus", "Dieuches ugandensis", "Dieuches umbrifer", "Dieuches uniformis", "Dieuches vexans", "Seydelora semna", "Eutricha capensis", "Eutricha obscura", "Eutricha bifascia", "Eutricha morosa", "Eutricha fulvida", "Beriola anagnostarai", "Euphorea ondulosa", "Cleopatrina bilinea", "Cleopatrina phocea", "Malapterurus electricus", "Muzunguja rectilineata", "Braura desdemona", "Braura othello", "Braura sultani", "Braura concolor", "Braura truncatum", "Braura nilotica", "Braura picturata", "Braura elgonensis", "Braura ligniclusa", "Heterocarpon follmannii", "Heterocarpon ochroleucum", "Heterocarpon simodense", "Macroglossum backi", "Gomphoides albrighti", "Gomphus diminutus", "Gomphus hodgesi", "Heteroplacidium acervatum", "Heteroplacidium compactum", "Heteroplacidium congestum", "Heteroplacidium contumescens", "Heteroplacidium divisum", "Heteroplacidium endocarpoides", "Heteroplacidium fusculum", "Heteroplacidium imbricatum", "Heteroplacidium phaeocarpoides", "Heteroplacidium podolepis", "Trachinotus africanus", "Trachinotus anak", "Trachinotus baillonii", "Trachinotus blochii", "Trachinotus botla", "Trachinotus carolinus", "Trachinotus cayennensis", "Trachinotus coppingeri", "Trachinotus falcatus", "Trachinotus goodei", "Delias eumolpe eumolpe", "Delias eumolpe masaeae", "Pusa hispida botnica", "Delias arabuana", "Delias arabuana arabuana", "Delias arabuana modioensis", "Delias raymondi", "Delias raymondi raymondi", "Delias raymondi shirahatai", "Delias raymondi ogawai", "Celaenorrhinus illustroides", "Abantis lucretia", "Abantis lucretia lucretia", "Abantis lucretia etoumbiensis", "Abantis maesseni", "Ceratrichia phocion", "Ceratrichia phocion phocion", "Ceratrichia phocion camerona", "Osmodes adonides", "Osmodes maesseni", "Osmodes lindseyi", "Osmodes lindseyi lindseyi", "Osmodes lindseyi occidentalis", "Meza cybeutes", "Meza cybeutes cybeutes", "Meza cybeutes volta", "Leona allyni", "Psoroglaena abscondita", "Psoroglaena arachnoidea", "Psoroglaena costaricensis", "Psoroglaena cubensis", "Psoroglaena dictyospora", "Psoroglaena epiphylla", "Psoroglaena hepaticicola", "Psoroglaena japonica", "Psoroglaena laevigata", "Psoroglaena ornata", "Psoroglaena perminuta", "Psoroglaena sorediata", "Psoroglaena stigonemoides", "Psoroglaena biatorella", "Rorippa austriaca", "Norrlinia medoborensis", "Norrlinia peltigericola", "Crataegus ellwangeriana", "Crataegus lanuginosa", "Scleropyrenium japonicum", "Scleropyrenium kurokawae", "Plurisperma dalbergiae", "Placothelium staurothelioides", "Bothrops colombiensis", "Thelidiopsis lapponica", "Thelidiopsis mangiferae", "Thelidiopsis robinsonii", "Thelidiopsis siplei", "Myrmeleon yemenicus", "Digitalis lutea subsp. lutea", "Heteropodagrion sanguinipes", "Naddia hainanensis", "Naddia mangshanensis", "Naddia nanlingensis", "Amphipteryx chiapensis", "Amphipteryx meridionalis", "Amphipteryx nataliae", "Gabrita erwini", "Sandersellus bigladius", "Sandersellus bilanceus", "Sandersellus digitatus", "Madecorphnus cuccodoroi", "Stegana apicopubescens", "Stegana apicosetosa", "Stegana mediospinosa", "Apalone ferox", "Leucocoprinus birnbaumii", "Iguanodon bernissartensis", "Dakotadon lakotaensis", "Jeyawati rugoculus", "Centranthera hispida", "Centranthera nepalensis", "Izinkala griffithsi", "Chimaera notafricana", "Cryptofavognathus anatolicus", "Filicisparsa albobrunnea", "Discantenna tumba", "Supercytis gracilis", "Filifascigera brevicaudex", "Plagioecia parva", "Favosipora bathyalis", "Dartevellopora granulosa", "Dartevellopora neozelanica", "Disporella minicamera", "Disporella minutissima", "Habrobathynella krishna", "Habrobathynella savitri", "Habrobathynella vaitarini", "Habrobathynella vidua", "Gordius balcanicus", "Gordius digitatus", "Gordius helveticus", "Gordius karwendeli", "Gordius zwicki", "Gordius pesici", "Digitalis lutea subsp. australis", "Tshekardocoleus minor", "Digitalis subalpina", "Merismatium cladoniicola", "Merismatium coccisporum", "Merismatium coccotremicola", "Merismatium decolorans", "Merismatium deminutum", "Merismatium discrepans", "Merismatium heterophractum", "Merismatium lecanorae", "Merismatium nigritellum", "Merismatium peregrinum", "Merismatium scammoecum", "Merismatium thamnoliicola", "Rhaphuma diminuta", "Rhaphuma bhutanica", "Malgassochaetus crowsoni", "Malgassochaetus descarpentriesi", "Malgassochaetus pauliani", "Malgassochaetus penicillatus", "Malgassochaetus sogai", "Malgassochaetus viettei", "Gordius serratus", "Philautus davidlabangi", "Polypedates assamensis", "Polypedates subansiriensis", "Rhyzobius rarus", "Castnia estherae", "Castnia allyni", "Castnia escalantei", "Zaglossus bartoni bartoni", "Oligodonta florissantensis", "Prepona deiphile", "Prepona deiphile deiphile", "Prepona deiphile diaziana", "Memphis wellingi", "Adelpha boeotia", "Adelpha boeotia boeotia", "Adelpha boeotia oberthurii", "Adelpha boeotia fidicula", "Adelpha delinita", "Adelpha delinita delinita", "Adelpha delinita utina", "Pindis squamistriga", "Mirocastnia pyrrhopygoides", "Mirocastnia canis", "Mirocastnia smalli", "Polites sabuleti sabuleti", "Polites sabuleti alkaliensis", "Polites sabuleti albamontana", "Polites sabuleti sinemaculata", "Dunkleosteus amblyodoratus", "Dunkleosteus raveri", "Polycoccum hymeniicola", "Verrucaria mundula", "Penestomus armatus", "Penestomus croeseri", "Penestomus egazini", "Penestomus kruger", "Penestomus montanus", "Penestomus planus", "Penestomus prendinii", "Penestomus stilleri", "Penestomus zulu", "Manchurochelys manchoukuoensis", "Peckoltia compta", "Petroleuciscus esfahani", "Sinoxylon anale", "Calliprason elegans", "Calliprason sinclairi", "Phaedropholus oconnori", "Rhacophorus subansiriensis", "Theloderma lateriticum", "Micarea doliiformis", "Biatora veteranorum", "Paramacera xicaque", "Paramacera xicaque xicaque", "Cylindromorphus filum", "Paramacera xicaque rubrosuffusa", "Placopyrenium arbogense", "Placopyrenium bucekii", "Placopyrenium caeruleopulvinum", "Placopyrenium canellum", "Placopyrenium cinereoatratum", "Placopyrenium formosum", "Placopyrenium coloradoense", "Placopyrenium conforme", "Placopyrenium fuscellum", "Placopyrenium insuetum", "Placopyrenium iranicum", "Placopyrenium lecideoides", "Placopyrenium noxium", "Placopyrenium rubescens", "Placopyrenium stanfordii", "Placopyrenium tatrense", "Placopyrenium trachyticum", "Placopyrenium heppioides", "Placopyrenium tatrense var. tatrense", "Placopyrenium tatrense var. hispanicum", "Odorrana geminata", "Heteronyx pumilus", "Placopyrenium trachyticum var. trachyticum", "Astraeus hygrometricus", "Placopyrenium trachyticum var. subtrachyticum", "Parantirrhoea marshalli", "Cyllogenes milleri", "Cyllogenes janetae", "Cyllogenes janetae janetae", "Cyllogenes janetae fascialata", "Cyllogenes janetae orientalis", "Digitalis laevigata subsp. laevigata", "Callarge sagitta", "Callarge sagitta sagitta", "Callarge sagitta pseudouvrari", "Callarge occidentalis", "Callarge occidentalis occidentalis", "Lethe berdievi", "Lethe melisana", "Neptis transita", "Phaedyma armariola", "Pilophorus yunnanensis", "Euthalia eriphylae alboapicala", "Euthalia hoa", "Euthalia strephonida", "Digitalis cedretorum", "Cyana klausruedigerbecki", "Digitalis transiens", "Monomorium leae", "Bryophryne gymnotis", "Bryophryne zonalis", "Noblella coloma", "Noblella pygmaea", "Ligdia wagneri", "Nematocampa brehmeata", "Nematocampa baggettaria", "Taeniogramma octolineata", "Phoronopsis harmeri", "Taeniogramma mendicata", "Phoronopsis albomaculata", "Taeniogramma tenebrosata", "Pliciloricus cavernicola", "Protitame virginalis", "Protitame subalbaria", "Protitame cervula", "Heliomata cycladata", "Heliomata scintillata", "Heliomata infulata", "Isturgia dislocaria", "Eumacaria madopata", "Mellilla xanthometata", "Trigrammia quadrinotaria", "Adelopsis tandapi", "Dissochaetus napoensis", "Adelopsis catarina", "Adelopsis curvipes", "Idaea davidi", "Polyommatus fabressei", "Digitalis \u00d7 charrelii", "Speranza varadaria", "Speranza marcescaria", "Speranza brunneata", "Speranza inextricata", "Speranza exonerata", "Speranza sulphurea", "Speranza amboflava", "Clitostethus luteoniger", "Bothynus nyx", "Physopleurus swifti", "Athous yozgatiensis", "Athous pomboi", "Athous azoricus", "Eucomis vandermerwei", "Athous warchalowskii", "Athous fragariae", "Athous alticola", "Athous asturiensis", "Athous catalonicus", "Athous codinai", "Athous conradi", "Athous desbrochersi", "Athous divaricatus", "Athous escolai", "Athous espanoli", "Athous espinamensis", "Athous fuentei", "Athous giustoi", "Athous gonzalesi", "Athous guadalupensis", "Athous ibericus", "Athous lusitanus", "Athous malkinorum", "Athous nigror", "Athous paganettii", "Athous perezarcasi", "Athous putativus", "Athous reitteri", "Athous serranoi", "Athous subtruncatoides", "Athous vasconicus", "Neita bikuarica", "Polites sabuleti nigrescens", "Polites sabuleti margaretae", "Placidium acarosporoides", "Placidium andicola", "Placidium arboreum", "Eudrepanulatrix rectifascia", "Placidium californicum", "Placidium chilense", "Placidium fingens", "Placidium imbecillum", "Placidium lachneum", "Placidium lacinulatum", "Centranthera cochinchinensis", "Centranthera cochinchinensis subsp. cochinchinensis", "Mimeusemia morinakai", "Placidium lesdainii", "Placidium michelii", "Placidium norvegicum", "Placidium pilosellum", "Placidium pseudorufescens", "Placidium rufescens", "Placidium squamulosum", "Placidium umbrinum", "Placidium yoshimurae", "Placidium lacinulatum var. lacinulatum", "Placidium lacinulatum var. erythrostratum", "Lithopolia confusa", "Placidium lacinulatum var. atrans", "Placidium lacinulatum var. latisporum", "Digitalis laevigata subsp. graeca", "Onomastus indra", "Onomastus kaharian", "Onomastus pethiyagodai", "Onomastus rattotensis", "Lecanographa insolita", "Graphis collinsiae", "Dendrosenecio adnivalis", "Dendrosenecio adnivalis subsp. adnivalis", "Dendrosenecio adnivalis var. adnivalis", "Bacidia punica", "Velloziella dracocephaloides", "Dendrosenecio adnivalis var. petiolatus", "Dendrosenecio adnivalis subsp. friesiorum", "Xanthoparmelia patagonica", "Xanthoparmelia peltata", "Dendrosenecio battiscombei", "Dendrosenecio brassiciformis", "Dendrosenecio cheranganiensis", "Haploniscus angolensis", "Haploniscus bihastatus", "Haploniscus machairis", "Haploniscus monoceros", "Fenestrulina juani", "Dendrosenecio cheranganiensis subsp. cheranganiensis", "Dendrosenecio cheranganiensis subsp. dalei", "Dendrosenecio elgonensis", "Barrosia balearica", "Dendrosenecio elgonensis subsp. elgonensis", "Squalius janae", "Caenis pycnacantha", "Anastrepha atlantica", "Anastrepha glochin", "Anastrepha linharensis", "Anastrepha martinsi", "Dendrosenecio elgonensis subsp. barbatipes", "Mecodema punctellum", "Mecodema spiniferum", "Catapyrenium boccanum", "Catapyrenium cinereum", "Catapyrenium dactylinum", "Catapyrenium globosum", "Catapyrenium simulans", "Catapyrenium squamellum", "Dendrosenecio erici-rosenii", "Dendrosenecio erici-rosenii subsp. erici-rosenii", "Dendrosenecio erici-rosenii subsp. alticola", "Dendrosenecio johnstonii", "Dendrosenecio keniensis", "Dendrosenecio keniodendron", "Parainvenusta englarorum", "Dendrosenecio meruensis", "Erythraeus hamedanicus", "Erythraeus soleimanii", "Crenicichla hu", "Aplidiopsis chilensis", "Eudistoma clivosum", "Distaplia arnbackae", "Dendrosenecio kilimanjari subsp. kilimanjari", "Dendrosenecio kilimanjari subsp. cottonii", "Symphytum savvalense", "Dicercoclados triplinervis", "Psychotria stolonifera", "Psychotria ternatifolia", "Phoronis psammophila", "Mecodema alternans", "Mecodema alternans hudsoni", "Dermatocarpon luridum", "Dermatocarpon luridum var. xerophilum", "Dermatocarpon americanum", "Dermatocarpon arenosaxi", "Dermatocarpon arnoldianum", "Dermatocarpon atrogranulosum", "Carex repens", "Racinaea condorensis", "Racinaea guacamayosensis", "Racinaea terrestris", "Racinaea tillii", "Vesalea coriacea", "Dolomedes dondalei", "Arthurdendyus albidus", "Arthurdendyus vegrandis", "Kontikia andersoni", "Mecodema oregoides", "Candida derodonti", "Pterognathia sica", "Pterognathia ugera", "Austrognathia novaezelandiae", "Gnathostomula maorica", "Gnathostomula salotae", "Haplognathia asymmetrica", "Vittadinia burbidgeae", "Haplognathia gubbarnorum", "Haplognathia rosea", "Haplognathia ruberrima", "Diglymma castigatum", "Synteratus ovalis", "Baeostethus chiltoni", "Oclandius vestitus", "Oopterus marrineri", "Oopterus clivinoides", "Oopterus plicaticollis", "Oopterus soledadinus", "Oopterus strenuus", "Pristimantis divnae", "Adenosma glutinosum", "Digitalis \u00d7 denticulata", "Catops velhocabrali", "Alucita abenahoensis", "Alucita aramsolkiensis", "Alucita deboeri", "Alucita dejongi", "Alucita devosi", "Alucita lackneri", "Alucita mabilabolensis", "Alucita manneringi", "Alucita nipsana", "Alucita papuaensis", "Alucita rutteni", "Alucita vanmastrigti", "Alucita walmakensis", "Alucita wamenaensis", "Alucita withaari", "Alucita zumkehri", "Alucita zwieri", "Niconiades caeso", "Niconiades centralis", "Niconiades comitana", "Niconiades cydia", "Niconiades gladys", "Niconiades incomptus", "Niconiades linga", "Niconiades loda", "Niconiades nabona", "Niconiades parna", "Niconiades yoka", "Niconiades nikko", "Niconiades tina", "Digitalis \u00d7 sibirica", "Niconiades xanthaphes", "Digitalis \u00d7 rhodopaea", "Niconiades merenda", "Niconiades viridis", "Niconiades viridis viridis", "Niconiades viridis vista", "Digitalis \u00d7 di-tellae", "Digitalis \u00d7 campbelliana", "Cycloneda lueri", "Cycloneda vandenbergae", "Digitalis lanata subsp. leucophaea", "Nothocolus chusqueae", "Nothocolus gordoni", "Athous montserratensis", "Chondrina arigonoides", "Chondrina ingae", "Chondrina marjae", "Chondrina pseudavenacea", "Abida secale", "Abida secale ionicae", "Abida secale merijni", "Abida secale peteri", "Abida secale vilellai", "Digitalis atlantica", "Digitalis ciliata", "Digitalis davisiana", "Sacosternum megalopus", "Bathyllia plumbea", "Eachamia bismarckiana", "Enervia elongata", "Metolinus balianus", "Thyreocephalus balianus", "Sacosternum auribleps", "Sacosternum cruciphallus", "Sacosternum delta", "Sacosternum emissarium", "Sacosternum epulum", "Sacosternum garciai", "Sacosternum inconnivum", "Sacosternum lebbinorum", "Spartimas apiciniger", "Spartimas hainanensis", "Baryssiniella hieroglyphica", "Baryssiniella tavakiliani", "Neobaryssinus altissimus", "Philadelphus mexicanus", "Trechisibus antarcticus", "Poophylax villosa", "Poophylax falklandica", "Cymbalaria pallida", "Lancetes angusticollis", "Auerbachia anomala", "Auerbachia monstrosa", "Ptinella natvigi", "Tristanodes scirpophilus", "Cercyon depressus", "Cymbalaria aequitriloba", "Cymbalaria aequitriloba subsp. aequitriloba", "Speranza abruptata", "Speranza umbriferata", "Cymbalaria aequitriloba subsp. fragilis", "Speranza anataria", "Speranza boreata", "Speranza coloradensis", "Speranza exauspicata", "Speranza confederata", "Speranza extemporata", "Speranza coortaria", "Speranza hesperata", "Speranza prunosata", "Speranza bitactata", "Cymbalaria aequitriloba subsp. insularis", "Speranza wauaria", "Speranza subcessaria", "Speranza denticulodes", "Speranza semivolata", "Speranza decorata", "Pachnobium dreuxi", "Digitalis \u00d7 intermedia", "Bothrometopus elongatus", "Cymbalaria glutinosa", "Micrambe micoae", "Isoetes durieui", "Asplenium adiantum-nigrum subsp. woronowii", "Cystopteris dickieana", "Dryopteris remota", "Juniperus communis var. saxatilis", "Dermatocarpon bachmannii", "Dermatocarpon deminuens", "Dermatocarpon dolomiticum", "Dermatocarpon leptophyllodes", "Dermatocarpon leptophyllum", "Dermatocarpon linkolae", "Dermatocarpon meiophyllizum", "Cymbalaria muralis subsp. muralis", "Cymbalaria muralis subsp. pubescens", "Dermatocarpon miniatum", "Dermatocarpon moulinsii", "Dermatocarpon muhlenbergii", "Dermatocarpon multifolium", "Cymbalaria muralis subsp. visianii", "Dermatocarpon polyphyllizum", "Dermatocarpon reticulatum", "Dermatocarpon schaechtelinii", "Dermatocarpon taminium", "Dolomedes mirificus", "Dolomedes facetus", "Dolomedes aquaticus", "Dolomedes schauinslandi", "Dolomedes minor", "Dermatocarpon tenue", "Dermatocarpon tomentulosum", "Dermatocarpon vellereum", "Dermatocarpon lorenzianum", "Blaiseus chiapasensis", "Blaiseus daklakensis", "Blaiseus fujianus", "Blaiseus guatemalensis", "Blaiseus laoensis", "Blaiseus malayensis", "Blaiseus mexicanus", "Blaiseus nothoafricanus", "Blaiseus zamoranoensis", "Cymbalaria microcalyx subsp. microcalyx", "Cymbalaria ebelii", "Bentartia cinerea", "Santelmoa carmenae", "Missulena dipsaca", "Cymbalaria minor", "Cymbalaria acutiloba", "Peromyia perardua", "Peromyia pertrita", "Peromyia plena", "Peromyia praeclara", "Peromyia rara", "Peromyia rotoitiensis", "Peromyia sera", "Peromyia serrata", "Peromyia setosa", "Peromyia sinuosa", "Peromyia spinigera", "Peromyia squamigera", "Peromyia tecta", "Peromyia tumida", "Elaphropeza cattiensis", "Elaphropeza hirsutiterga", "Elaphropeza vietnamensis", "Dimelaena australiensis", "Dimelaena elevata", "Dimelaena radiata", "Dimelaena tenuis", "Dimelaena thysanota", "Dimelaena weberi", "Cymbalaria hepaticifolia", "Cymbalaria longipes", "Cymbalaria muelleri", "Planipeza rafaeli", "Cymbalaria microcalyx", "Calyptogonia atra", "Cymbalaria acutiloba subsp. acutiloba", "Cymbalaria acutiloba subsp. dodekanesi", "Anaphothrips obscurus", "Homonemobius nigrus", "Polionemobius annulicornis", "Pteronemobius yunnanicus", "Speonemobius sinensis", "Arrenurus glaucus", "Arrenurus grampiansensis", "Arrenurus hyalinus", "Arrenurus indentatus", "Arrenurus kakadu", "Arrenurus neogereckei", "Arrenurus niveensis", "Arrenurus novaecambricus", "Arrenurus pesici", "Arrenurus pseudomargatellus", "Arrenurus rotundicaudatus", "Periclimenes poriphilus", "Neodischistus marstoni", "Ommatius coperitus", "Ommatius latus", "Ommatius prolixus", "Ommatius ultimus", "Taenarthrus philpotti", "Loxomerus capito", "Taenarthrus capito", "Loxomerus nebrioides", "Loxomerus brevis", "Loxomerus huttoni", "Digitacalia chiapensis", "Digitacalia crypta", "Digitacalia hintoniorum", "Eucalyptus nebulosa", "Digitacalia jatrophoides", "Migadops latus", "Migadops latus lebruni", "Migadops jeanneli", "Antarctonomus complanatus", "Lissopterus quadrinotatus", "Lissopterus hyadesii", "Lissopterus hyadesii hyadesii", "Lissopterus hyadesii falklandicus", "Metaphycus cerealis", "Migadopidius bimaculatus", "Rhytidognathus ovalis", "Monolobus ovalipennis", "Blaiseus bedeli", "Decogmus chalybeus", "Nebriosoma fallax", "Gymnocephalus ambriaelacus", "Peromyia acutula", "Peromyia aleemkhani", "Peromyia ampla", "Peromyia angulata", "Peromyia anocellata", "Peromyia austrina", "Peromyia autumnalis", "Peromyia avia", "Peromyia ayaensis", "Peromyia bipuncta", "Peromyia boreojaponica", "Peromyia boreophila", "Peromyia capitata", "Peromyia carinata", "Peromyia cassa", "Peromyia centrosa", "Peromyia fujiensis", "Peromyia gemella", "Peromyia gotohi", "Peromyia ibarakiensis", "Peromyia imoeratoria", "Peromyia lobuscorum", "Peromyia maetoi", "Peromyia miyazakiensis", "Peromyia montivaga", "Peromyia obesa", "Peromyia ogawaensis", "Peromyia okochii", "Peromyia ornata", "Peromyia pilosa", "Peromyia pumila", "Peromyia puncta", "Peromyia rhombica", "Peromyia ryukyuensis", "Peromyia semota", "Peromyia simpla", "Peromyia sphenoides", "Peromyia spinosa", "Peromyia subcurta", "Peromyia tenella", "Peromyia trifida", "Peromyia tripuncta", "Peromyia tsukubasabebsis", "Peromyia valens", "Peromyia vernalis", "Peromyia yezoensos", "Peromyia clandestina", "Peromyia culta", "Peromyia derupta", "Peromyia didhami", "Peromyia dissona", "Peromyia doci", "Peromyia insueta", "Peromyia intecta", "Peromyia intonsa", "Peromyia katieae", "Peromyia latebrosa", "Peromyia memoranda", "Peromyia mountalbertiensis", "Peromyia multifurcata", "Peromyia novaezealandiae", "Peromyia obunca", "Speleomantes ambrosii ambrosii", "Speleomantes ambrosii bianchii", "Coenonympha dorus", "Coenonympha dorus dorus", "Coenonympha dorus cerratoi", "Erebia pronoe", "Erebia pronoe pronoe", "Erebia pronoe martae", "Antirrhinum sect.", "Antirrhinum sect.", "Antirrhinum sect.", "Ogyris halmaturia", "Bocathrips okajimai", "Nudobius pleuralis", "Nudobius sejunctus", "Ephebe americana", "Ephebe brasiliensis", "Ephebe epheboides", "Ephebe fruticosa", "Ephebe japonica", "Ephebe lanata", "Physorhinus brivioi", "Physorhinus gudenzii", "Ephebe multispora", "Ephebe ocellata", "Rhagovelia incognita", "Dirinaria confusa var. confusa", "Rhagovelia ranau", "Rhagovelia melanopsis", "Rhagovelia simulata", "Dirinaria confusa var. saxicola", "Rhagovelia borneensis", "Rhagovelia silau", "Rhagovelia tebakang", "Rhagovelia samarinda", "Rhagovelia tawau", "Rhagovelia sondaica", "Rhagovelia sarawakensis", "Rhagovelia sabela", "Rhagovelia bacanensis", "Rhagovelia obi", "Alucita anticoma", "Alucita argyrospodia", "Alucita baliochlora", "Alucita brachyphimus", "Alucita cymographa", "Dirinaria africana", "Dirinaria autenboeri", "Dirinaria coccinea", "Dirinaria leoniae", "Dirinaria melanocarpa", "Dirinaria mikawensis", "Dirinaria naggarana", "Dirinaria persoredians", "Dirinaria pruinosa", "Alucita eteoxantha", "Alucita eudasys", "Alucita eurynephela", "Alucita microdesma", "Alucita micrographa", "Alucita niphadosema", "Alucita ochraspis", "Alucita semophantis", "Alucita xanthozona", "Buthus jianxinae", "Babycurus solegladi", "Neobuthus sudanensis", "Ephebe orthogonia", "Ephebe perspinulosa", "Ephebe solida", "Ephebe tasmanica", "Ephebe trachytera", "Ladigesocypris ghigii", "Antirrhinum microcarpum", "Antirrhinum calycinum", "Teabooma secunda", "Acanthococcus mariannae", "Boophis tsilomaro", "Teratura flexispatha", "Teratura thrinaca", "Brachyphisis nattecantor", "Paradecolya briseferi", "Paradecolya expectata", "Nepheliphila raptor", "Pinnotheres novaezelandiae", "Pinnotheres atrinicola", "Pseudione pontocari", "Pseudione murawaiensis", "Gyge angularis", "Gigantione pikei", "Rhopalione atrinicolae", "Pseudostegias otagoensis", "Dorobaea pimpinellifolia", "Dorobaea laciniata", "Dorobaea callacallensis", "Amanayara jutinga", "Amanayara piuna", "Amanayara bernardesi", "Amanayara helenae", "Amanayara ribasi", "Colobothea berkovi", "Colobothea wappesi", "Austrogastrura marambaia", "Hypogastrura heptasetata", "Hypogastrura hexasetata", "Thripomorpha liliae", "Thripomorpha ungula", "Neorhegmoclemina dentata", "Neorhegmoclemina raptoria", "Pittosporum anggiense", "Pittosporum serpentinum", "Trioza vitreoradiata", "Ruffia patagonica", "Vespula vulgaris", "Vespula alascensis", "Vespula maculifrons", "Lema victoris", "Cryptotriton sierraminensis", "Charadriphilus lyudmilae", "Charadriphilus vanelli", "Charadriphilus paraguaiae", "Hygrobia cretzschmari", "Hygrobia australasiae", "Hygrobia davidi", "Hygrobia hermanni", "Hygrobia nigra", "Euciodes suturalis", "Exapion ulicis", "Anystis baccarum", "Sabatinca chalcophanes", "Doronicum carpaticum", "Doronicum carpetanum", "Doronicum cataractarum", "Megadictyna thilenii", "Arthurdendyus triangulatus", "Phloeophagosoma brouni", "Phloeophagosoma pedatum", "Digitacalia napeifolia", "Digitacalia jatrophoides var. jatrophoides", "Digitacalia jatrophoides var. pentaloba", "Bolitoglossa cataguana", "Dirinaria adscensionis", "Anoplius fabricii", "Rhagovelia chac", "Dirinaria aegialita", "Rhagovelia compacta", "Dirinaria applanata", "Rhagovelia suarezensis", "Rhagovelia manankazo", "Dirinaria areolata", "Rhagovelia angulata", "Rhagovelia madecassa", "Dirinaria ascensionis", "Rhagovelia sculpturata", "Dirinaria batavica", "Dirinaria caesiopicta", "Rhagovelia diabolica", "Dirinaria complicata", "Rhagovelia beangonyi", "Rhagovelia milloti", "Dirinaria confluens", "Dirinaria confusa", "Dirinaria consimilis", "Dirinaria devertens", "Dirinaria endopyxinea", "Rhagovelia nigranota", "Dirinaria flava", "Dirinaria flavicans", "Rhagovelia azulita", "Rhagovelia huila", "Dirinaria frostii", "Rhagovelia oporapa", "Dirinaria inelegans", "Dirinaria isidiophora", "Dirinaria leopoldii", "Dirinaria melanoclina", "Dirinaria minuta", "Dirinaria mozambica", "Dirinaria neotropica", "Dirinaria palmarum", "Dirinaria papillulifera", "Dirinaria picta", "Dirinaria purpurascens", "Dirinaria robsonii", "Dirinaria rupicola", "Dirinaria sekikaica", "Dirinaria singularis", "Dirinaria subconfluens", "Dirinaria subpicta", "Antiporus interrogationis", "Antiporus jenniferae", "Antiporus kalbarriensis", "Antiporus mcraeae", "Antiporus pembertoni", "Antiporus simplex", "Antiporus willyamsi", "Antiporus wilsoni", "Antiporus blakeii", "Holcorpa dillhoffi", "Holcorpa maculosa", "Doronicum altaicum", "Australachalcus separatus", "Australachalcus relictus", "Australachalcus nigroscutatus", "Australachalcus minutus", "Australachalcus minusculus", "Australachalcus minor", "Australachalcus medius", "Australachalcus luteipes", "Australachalcus chaetifemoratus", "Doronicum briquetii", "Parentia johnsi", "Lonchoptera furcata", "Athelges lacertosi", "Hemiarthrus nematocarcini", "Pseudione hayi", "Pseudione affinis", "Pseudione hyndmanni", "Cynops ensicauda ensicauda", "Eophrixus shojii", "Pleurocryptella infecta", "Cynops ensicauda popei", "Gekko badenii", "Austrarcturella galathea", "Pseudarcturella crenulata", "Hemidactylus lamaensis", "Dendromus mystacalis mystacalis", "Dendromus mystacalis lineatus", "Crataegus dsungarica", "Bronchocela orlovi", "Bronchocela vietnamensis", "Urbanus proteus", "Urbanus proteus proteus", "Urbanus proteus domingo", "Urbanus viterboana", "Urbanus dubius", "Urbanus belli", "Urbanus huancavillcas", "Urbanus pronta", "Urbanus pronus", "Urbanus viridis", "Euptelea polyandra", "Coleophora spartana", "Scythris stalagmitella", "Euryclasper auricularia", "Euryclasper terranea", "Euryclasper anthophila", "Dargida semilunata", "Stachyris nonggangensis", "Phallus impudicus", "Calomera jakli", "Pavania elongata", "Pavania gymnopleuri", "Pavania kamalii", "Pavania onthophagi", "Pavania sabzevarensis", "Poritia erycinoides", "Mynes plateni", "Platythecium nothofagi", "Paspalum concavum", "Paspalum perspicinervium", "Paspalum potamophilum", "Panicum subtiliracemosum", "Digitaria dusenii", "Chusquea elegans", "Corvitorotroglus alpha", "Charadriphilus ralli", "Syringophiloidus klimovi", "Gammarus loeffleri", "Gammarus shirazinus", "Castriidinychus longisetosus", "Castriidinychus robynae", "Castriidinychus tasmanicus", "Charadriphilus gallinago", "Urbanus esmeraldus", "Urbanus esma", "Urbanus evona", "Urbanus elmina", "Urbanus esta", "Urbanus prodicus", "Urbanus magnus", "Urbanus velinus", "Asterope batesii", "Asterope degandii bartletti", "Asterope degandii adamsi", "Asterope degandii allyni", "Asterope degandii degandii", "Asterope degandii orientalis", "Polites sabuleti basinensis", "Crataegus \u00d7 zangezura", "Fulgensia chanousiae", "Fulgensia poeltii", "Fulgensia schistidii", "Crataegus \u00d7 armena", "Scalopus aquaticus aquaticus", "Epacanthaclisis amydrovittata", "Epacanthaclisis ningshana", "Diogmites bilobatus", "Leuropeltis urubuzense", "Agrilus bellamyi", "Agrilus braconoides", "Agrilus lucindae", "Glomeremus orchidophilus", "Glomeremus paraorchidophilus", "Glomeremus tikasignatus", "Antiporus bakewellii", "Antiporus gilbertii", "Antiporus hollingsworthi", "Speranza ribearia", "Speranza simplex", "Speranza lorquinaria", "Speranza loricaria", "Speranza plumosata", "Speranza pustularia", "Speranza quadrilinearia", "Speranza trilinearia", "Speranza guenearia", "Speranza austrinata", "Speranza deceptrix", "Speranza graphidaria", "Speranza schatzeata", "Speranza benigna", "Speranza perornata", "Speranza grossbecki", "Speranza saphenata", "Speranza simpliciata", "Speranza pallipennata", "Epelis truncataria", "Bacidiopsora microphyllina", "Bacidiopsora orizabana", "Bacidiopsora psorina", "Bacidiopsora silvicola", "Bacidiopsora squamulosula", "Bacidiopsora tenuisecta", "Psamatodes pallidata", "Psamatodes atrimacularia", "Psamatodes rectilineata", "Psamatodes abydata", "Psamatodes trientata", "Psamatodes everiata", "Psamatodes everiata everiata", "Psamatodes everiata errata", "Papilio machaon", "Cenozosia inanis", "Macaria notata", "Macaria notata notata", "Macaria notata kirina", "Macaria notata appalachiata", "Teinopalpus imperialis miecoae", "Bhutanitis lidderdalii nobucoae", "Cephalaria subg.", "Cephalaria subg.", "Centranthus sect.", "Centranthus sect.", "Centranthus sect.", "Eurycercus norandinus", "Ixias balice yagishitai", "Graphium timur", "Heppsora indica", "Chilasa agestor", "Euthalia monina juni", "Physalis peruviana", "Pisaura mirabilis", "Anthene georgiadisi", "Herteliana alaskensis", "Herteliana australis", "Herteliana gagei", "Cafioquedus gularis", "Quediocafus insolitus", "Bazzania engelii", "Oligosoma nigriplantare", "Crustospathula cartilaginea", "Crustospathula macrocarpa", "Delias cinerascens", "Delias cinerascens cinerascens", "Delias cinerascens uedai", "Delias cinerascens nishikawai", "Delias cinerascens naomii", "Echidnocymbium speciosum", "Delias ninus", "Delias ninus ninus", "Delias ninus parthenia", "Delias ninus alluviorum", "Delias ninus shoujii", "Delias ninus saranensis", "Delias ninus babai", "Ixias balice", "Ixias balice balice", "Ixias balice nakanoi", "Doronicum columnae", "Doronicum corsicum", "Doronicum falconeri", "Doronicum glaciale", "Cliostomum corrugatum", "Cliostomum flavidulum", "Cliostomum flavum", "Cliostomum griffithii", "Cliostomum haematommatis", "Cliostomum leprosum", "Cliostomum tenerum", "Cliostomum tetrasporum", "Cliostomum vezdae", "Cliostomum vitellinum", "Eupolybothrus longicornis", "Eupolybothrus gloriastygis", "Claveupodes delicatus", "Bakerdania arvorum", "Bakerdania mirabilis", "Bakerdania quadratus", "Bakerdania sellnicki", "Bakerdania togatus", "Limacina helicina", "Cavolinia grandis", "Limacina atypica", "Compsocladium archboldianum", "Compsocladium kalbii", "Macaria promiscuata", "Macaria solisata", "Macaria alternata", "Macaria carpo", "Macaria infimata", "Macaria aequiferaria", "Macaria bisignata", "Macaria masquerata", "Macaria bicolorata", "Macaria adonis", "Macaria ponderosae", "Macaria transitaria", "Macaria transitaria transitaria", "Macaria transitaria resinosae", "Macaria distribuaria", "Macaria sanfordi", "Macaria minorata", "Macaria liturata", "Macaria sexmaculata", "Macaria sexmaculata sexmaculata", "Macaria sexmaculata incolorata", "Macaria submarmorata", "Macaria marmorata", "Macaria signaria", "Macaria unipunctaria", "Macaria pinistrobata", "Macaria fissinotata", "Macaria oweni", "Macaria granitata", "Macaria fuscaria", "Macaria multilineata", "Macaria ochrifascia", "Macaria angulata", "Macaria bifilaria", "Macaria carbonaria", "Letispe metanemaria", "Phloeophagosoma dilutum", "Phloeophagosoma corvinum", "Catocala blandula", "Scalopus aquaticus aereus", "Scalopus aquaticus alleni", "Diorygma africanum", "Diorygma alagoense", "Diorygma albocinerascens", "Diorygma albovirescens", "Diorygma australasicum", "Diorygma biforme", "Diorygma circumfusum", "Diorygma confluens", "Diorygma dealbatum", "Diorygma epiglaucum", "Diorygma erythrellum", "Diorygma excipuloconvergentum", "Diorygma grammitis", "Diorygma hieroglyphicum", "Diorygma hololeucum", "Diorygma inaequale", "Megapomponia foksnodi", "Diorygma insculptum", "Diorygma intermedium", "Diorygma junghuhnii", "Diorygma longilirellatum", "Megapomponia atrotunicata", "Diorygma macgregorii", "Megapomponia castanea", "Diorygma manipurense", "Megapomponia sitesi", "Diorygma megaspermum", "Diorygma megasporum", "Diorygma megistosporum", "Diorygma minisporum", "Diorygma monophorum", "Diorygma nitidum", "Diorygma pachygraphum", "Diorygma panchganiense", "Diorygma poitaei", "Diorygma pruinosum", "Diorygma reniforme", "Toxopsiella orientalis", "Toxopsiella parrotti", "Toxopsiella perplexa", "Toxopsiella horningi", "Toxopsiella nelsonensis", "Galliena montigena", "Cycloctenus abyssinus", "Cycloctenus cryptophilus", "Cycloctenus flavus", "Cycloctenus infrequens", "Cycloctenus montivagus", "Cycloctenus robustus", "Cycloctenus flaviceps", "Cycloctenus agilis", "Cycloctenus centralis", "Cycloctenus duplex", "Cycloctenus fiordensis", "Cycloctenus nelsonensis", "Cycloctenus paturau", "Cycloctenus fugax", "Cycloctenus lepidus", "Cycloctenus pulcher", "Cephalaria alpina", "Desis marina", "Hapona otagoa", "Hapona muscicola", "Macaria aemulataria", "Hapona marplesi", "Hapona insula", "Hapona crypta", "Hapona aucklandensis", "Hapona salmoni", "Macaria juglandata", "Hapona tararua", "Hapona paihia", "Hapona moana", "Hapona amira", "Hapona momona", "Diorygma rufopruinosum", "Diorygma rufosporum", "Diorygma salvadoriense", "Diorygma saxicola", "Diorygma sipmanii", "Diorygma socotranum", "Diorygma soozanum", "Diorygma subalbatum", "Diorygma tibellii", "Diorygma tinctorium", "Diorygma tuberculosum", "Diorygma verrucirimosum", "Diorygma wallamanense", "Diorygma wilsonianum", "Doronicum clusii", "Tegenaria bayrami", "Plastus amplus", "Plastus biconcavus", "Plastus rhombicus", "Plastus shanghaiensis", "Plastus tuberculatus", "Zaprionus lachaisei", "Zaprionus santomensis", "Clepidecrella cabinda", "Clepidecrella tropicalis", "Bipalium kewense", "Pteroglossus bailloni", "Speranza colata", "Speranza colata colata", "Arthurdendyus australis", "Speranza colata correllata", "Arthurdendyus latissimus", "Arthurdendyus testaceus", "Speranza occiduaria", "Speranza andersoni", "Speranza argillacearia", "Speranza evagaria", "Speranza flavicaria", "Speranza helena", "Euthalia merta lautensis", "Euthalia adonia linggana", "Japewiella djagensis", "Euthalia patala kikuoi", "Japewiella pacifica", "Japewiella tavaresiana", "Euthalia garuda", "Centranthus longiflorus", "Ornithoptera tithonus makikoae", "Doronicum oblongifolium", "Chaerephon atsinanana", "Papakula niveopunctata", "Centranthus longiflorus subsp. longiflorus", "Centranthus nevadensis", "Centranthus nevadensis subsp. nevadensis", "Stanwellia bipectinata", "Stichonotus leai", "Stichonotus limbatus", "Stichonotus piceus", "Doronicum reticulatum", "Doronicum stenoglossum", "Doronicum grandiflorum", "Aristias eden", "Aristias gomoni", "Aristias nowra", "Aristias otway", "Aristias poorei", "Memana sarda", "Pratinas ludmilla", "Hemilepistus taftanicus", "Tilapia pra", "Paduniella ambra", "Paduniella burmana", "Paduniella dongdata", "Paduniella flinti", "Paduniella madagassa", "Paduniella monga", "Paduniella nama", "Paduniella sabarmata", "Paduniella taya", "Paduniella nandra", "Paduniella sona", "Doronicum hungaricum", "Doronicum kamaonense", "Doronicum maximum", "Plectophanes frontalis", "Plectophanes altus", "Plectophanes archeyi", "Plectophanes hollowayae", "Plectophanes pilgrimi", "Cycloctenus westlandicus", "Uzakia unica", "Toxopsiella alpina", "Toxopsiella australis", "Toxopsiella centralis", "Toxopsiella dugdalei", "Toxopsiella lawrencei", "Toxopsiella medialis", "Toxopsiella minuta", "Siconema neozealandicum", "Iponema australe", "Pheidole rugosula", "Sphecophaga vesparum", "Lamprima aurata", "Tasmanorites flavipes", "Pseudomigadops handkei", "Pseudomigadops fuscus", "Pseudomigadops falklandicus", "Pseudomigadops handkei punctatus", "Pseudomigadops fuscus sericeus", "Pseudomigadops handkei handkei", "Pseudomigadops fuscus fuscus", "Miohebrus anderseni", "Mesovelia dominicana", "Rhagovelia origami", "Lactarius indigo", "Contia longicaudae", "Oryzias woworae", "Dresslerothamnus angustiradiatus", "Litoria aurifera", "Pseudocybele paranasuta", "Beania americana", "Beania correiae", "Beania metrii", "Beania mirabilissima", "Ichthyosaura alpestris carpathica", "Sterreria psammicola", "Graphium dorcus", "Euthalia anosia marsana", "Centranthus ruber subsp. ruber", "Euthalia aconthea pahana", "Euthalia lubentina", "Euthalia djata", "Centranthus ruber subsp. sibthorpii", "Euthalia undosa", "Euthalia lubentina lubentina", "Euthalia lubentina pinamalaya", "Euthalia djata djata", "Euthalia undosa undosa", "Centranthus angustifolius", "Euthalia djata sanggaua", "Euthalia alpheda etsuzoi", "Euthalia alpheda sagetana", "Euthalia monina tsukadai", "Euthalia monina okanoi", "Euthalia undosa melli", "Euthalia aconthea daika", "Euthalia duda", "Euthalia duda duda", "Euthalia merta", "Euthalia merta merta", "Euthalia ipona", "Euthalia phemius", "Euthalia phemius phemius", "Euthalia agnis", "Euthalia agnis agnis", "Euthalia malaccana", "Euthalia malaccana malaccana", "Euthalia whiteheadi", "Euthalia whiteheadi whiteheadi", "Digrammia spinata", "Digrammia indeterminata", "Digrammia yavapai", "Digrammia mellistrigata", "Digrammia gilletteata", "Digrammia subminiata", "Digrammia neptaria", "Digrammia fieldi", "Digrammia puertata", "Digrammia minuta", "Digrammia gnophosaria", "Digrammia irrorata", "Digrammia irrorata irrorata", "Digrammia irrorata venosata", "Digrammia irrorata rubricata", "Digrammia rippertaria", "Digrammia rippertaria rippertaria", "Digrammia rippertaria flavularia", "Lasallia asiae-orientalis", "Lasallia brigantium", "Lasallia chiriquiensis", "Lasallia daliensis", "Lasallia freyana", "Lasallia glauca", "Rindgea subterminata", "Rindgea nigricomma", "Rindgea piccoloi", "Rindgea parcata", "Rindgea adjacens", "Rindgea heliothidata", "Rindgea disparcata", "Rindgea stipularia", "Rindgea prolificata", "Rindgea maricopa", "Rindgea flaviterminata", "Rindgea cyda", "Rindgea s-signata", "Rindgea indeterminata", "Rindgea ballandrata", "Rindgea hypaethrata", "Fernaldella fimetaria", "Fernaldella georgiana", "Fernaldella stalachtaria", "Lasallia hispanica", "Lasallia mayebarae", "Lasallia membranacea", "Lasallia pertusa", "Houttuynia cordata", "Euthalia nais", "Japewia subaurifera", "Euthalia thibetana", "Euthalia thibetana thibetana", "Japewia torno\u00ebnsis", "Euthalia kameii", "Euthalia aristides", "Euthalia formosana", "Euthalia tsangpoi", "Euthalia alpherakyi", "Euthalia alpherakyi alpherakyi", "Euthalia agniformis", "Euthalia franciae", "Euthalia franciae franciae", "Euthalia irrubescens", "Euthalia irrubescens irrubescens", "Euthalia hebe", "Euthalia khama", "Euthalia khama khama", "Euthalia kardama", "Euthalia kosempona", "Euthalia lusiada", "Euthalia lusiada lusiada", "Euthalia malapana", "Euthalia nara", "Euthalia nara nara", "Euthalia omeia", "Euthalia pacifica", "Euthalia pacifica pacifica", "Euthalia bunzoi", "Euthalia bunzoi bunzoi", "Euthalia patala", "Euthalia patala patala", "Euthalia guangdongensis", "Euthalia perlella", "Euthalia pratti", "Euthalia sahadeva", "Euthalia sahadeva sahadeva", "Euthalia yasuyukii", "Euthalia telchinia", "Euthalia niepelti", "Euthalia aconthea bangkana", "Euthalia adonia kangeana", "Euthalia lusiada mindorana", "Euthalia pratti pratti", "Euthalia pratti occidentalis", "Euthalia merta tioma", "Euthalia anosia balina", "Panara phereclus", "Panara aureizona", "Panara ovifera", "Panara jarbas", "Panara jarbas jarbas", "Panara jarbas episatnius", "Lasallia rossica", "Panara jarbas thymele", "Panara soana", "Lasallia rubiginosa", "Panara soana soana", "Lasallia sinensis", "Lasallia sinorientalis", "Lasallia xizangensis", "Panara soana bacana", "Panara soana ruschii", "Patagosmilus goini", "Mesochodaeus daohugouensis", "Odontophotopsis hammetti", "Sphaeropthalma arnalduri", "Sphaeropthalma chandleri", "Sphaeropthalma fergusoni", "Sphaeropthalma mankelli", "Rugiloricus doliolius", "Sarcophaga airosalis", "Sarcophaga cadyi", "Sarcophaga cuautla", "Sarcophaga fattigina", "Sarcophaga ironalis", "Folsomia mofettophila", "Metabetaeus mcphersonae", "Haplosyllis imajimai", "Haplosyllis sanchoi", "Haplosyllis sandii", "Macrobiotus armatus", "Macrobiotus pseudoliviae", "Litokoala dicktedfordi", "Litokoala thurmerae", "Hulitherium tomasettii", "Digrammia californiaria", "Digrammia colorata", "Digrammia pervolata", "Digrammia aliceata", "Digrammia sexpunctata", "Digrammia delectata", "Digrammia ubiquitata", "Digrammia denticulata", "Digrammia pictipennata", "Digrammia terramalata", "Digrammia nubiculata", "Digrammia palodurata", "Digrammia curvata", "Digrammia pallidata", "Digrammia triviata", "Digrammia continuata", "Digrammia pertinata", "Digrammia setonana", "Digrammia napensis", "Digrammia imparilata", "Digrammia excurvata", "Digrammia pallorata", "Digrammia cinereola", "Digrammia cinereola cinereola", "Digrammia cinereola septemberata", "Digrammia burneyata", "Digrammia atrofasciata", "Digrammia modocata", "Digrammia muscariata", "Digrammia muscariata muscariata", "Digrammia muscariata respersata", "Digrammia muscariata teucaria", "Digrammia extenuata", "Digrammia ocellinata", "Digrammia ordinata", "Digrammia sublacteolata", "Digrammia eremiata", "Digrammia equivocata", "Digrammia hebetata", "Digrammia decorata", "Digrammia plemmelata", "Dresslerothamnus gentryi", "Dresslerothamnus peperomioides", "Rhynchelmis bolinensis", "Rhynchelmis croatanensis", "Pararhynchelmis murdocki", "Neocypholaelaps geonomae", "Aboriginesia ludmilae", "Aboriginesia obuchi", "Dresslerothamnus schizotrichus", "Bembidion brullei", "Aneuraptera cimiciformis", "Hydrobiosis gollanis", "Hydrobiosis torrentis", "Pselaphotheseus hippolytae", "Anopheles hyrcanus", "Valeriana hardwickii", "Valeriana hardwickii var. hardwickii", "Valeriana hardwickii var. hoffmeisteri", "Zosterops somadikartai", "Lagenandra dewitii", "Laticilla burnesii burnesii", "Laticilla burnesii nipalensis", "Oceanodroma monteiroi", "Zosterops gibbsi", "Tetradium ruticarpum", "Valeriana pyrolifolia", "Coenagrion lunulatum", "Myxobolus cerebralis", "Elekmania barahonensis", "Elekmania buchii", "Elekmania fuertesii", "Elekmania haitiensis", "Elekmania kuekenthalii", "Elekmania marciana", "Automeris manantlanensis", "Elekmania picardae", "Elekmania samanensis", "Elekmania stenodon", "Automeris phrynon", "Citheronioides collaris", "Laoma minuta", "Nymphon chaetochir", "Scalopus aquaticus anastasae", "Scalopus aquaticus australis", "Ctenocheloides attenboroughi", "Potamonautes elgonensis", "Potamonautes williamsi", "Potamonautes loveni", "Rhytida australis", "Rhytida citrina", "Rhytida greenwoodi", "Brasilotyphlus guarantanus", "Rhytida meesoni", "Rhytida oconnori", "Rhytida otagoensis", "Rhytida stephenensis", "Rhytida patula", "Cephalorhynchus hectori maui", "Copaxa troetschi", "Meropathus campbellensis", "Meropathus chuni", "Meropathus labratus", "Meropathus randi", "Meropathus vectis", "Meropathus subcostatus", "Meropathus schizolabrus", "Metius guillermoi", "Metius kuscheli", "Pseudomigadops darwini", "Pseudomigadops nigrocoeruleus", "Pseudomigadops ovalis", "Pseudomigadops ater", "Monolobus testaceus", "Neolithodes brodiei", "Macrobiotus hapukuensis", "Macrobiotus semmelweisi", "Hexagonaloides bathyalis", "Acutihumerus petronius", "Parvisquama vanuatuensis", "Dichaetomyia univittata", "Boreozercon emendi", "Mixozercon albertaensis", "Mixozercon borealis", "Mixozercon jasoniana", "Salamandra longirostris", "Salamandra aurorae", "Lanteriella microphtalma", "Stenhammarella turgida", "Schinia psamathea", "Keilbachia fengyangensis", "Keilbachia subacumina", "Bountya insularis", "Hemiphlebia mirabilis", "Pseudunela cornuta", "Apaturina erminea sorimachii", "Amathuxidia amythaon kohtarohi", "Pareronia tritaea binongkoensis", "Polyura galaxia sawuensis", "Laxita thuisto langkawiensis", "Delias takashii", "Cepora iudith iudith", "Delias hemianops", "Apistogramma mendezi", "Glossogobius ankaranensis", "Brycinus macrolepidotus", "Brycinus fwaensis", "Micralestes ambiguous", "Phenacogrammus bleheri", "Phenacogrammus taeniatus", "Melanotaenia goldiei", "Melanotaenia kamaka", "Melanotaenia lakamora", "Lepidocephalichthys zeppelini", "Axianassa ngochoae", "Nemacheilus marang", "Pollicipes caboverdensis", "Neopetalia punctata", "Bombycomorpha bifascia", "Bombycomorpha bifascia bifascia", "Bombycomorpha bifascia borealis", "Bombycomorpha pallida", "Bombycomorpha dukei", "Angonyx boisduvali", "Angonyx kai", "Angonyx meeki", "Angonyx papuana", "Angonyx papuana papuana", "Angonyx papuana bismarcki", "Angonyx testacea", "Angonyx krishna", "Angonyx chelsea", "Angonyx williami", "Macroglossum fischeri", "Macroglossum ronja", "Aholcocerus ihleorum", "Plestiodon longirostris", "Umbilicaria africana", "Umbilicaria americana", "Umbilicaria angulata", "Umbilicaria aprina", "Umbilicaria cinereorufescens", "Umbilicaria decussata", "Umbilicaria dendrophora", "Umbilicaria esculenta", "Umbilicaria formosana", "Umbilicaria grisea", "Milyeringa veritas", "Lepanus storeyi", "Notiokasis chaudoiri", "Taleporia inopinata", "Taleporia reticulata", "Verrucaria nidulans", "Crocallis cypriaca", "Idaea neglecta", "Idaea erlacheri", "Idaea terminolineata", "Idaea muelleri", "Delias harpalice", "Delias madetes", "Delias madetes madetes", "Delias madetes honrathi", "Delias madetes neohannoverana", "Delias aurantiaca", "Delias aruna rona", "Delias aruna irma", "Delias aruna seriata", "Delias aruna inferna", "Delias aruna arovana", "Delias aruna rana", "Delias apoensis", "Delias apoensis apoensis", "Delias apoensis maizurui", "Delias diaphana", "Delias diaphana diaphana", "Delias diaphana sagaguchii", "Delias diaphana basilisae", "Delias diaphana yatai", "Delias ellipsis", "Delias aganippe", "Cepora iudith belitungensis", "Cepora iudith jemajaensis", "Delias hemianops hemianops", "Delias hemianops sanaeae", "Litinga mimica", "Litinga mimica mimica", "Litinga mimica ueharai", "Hebomoia glaucippe sachiyoae", "Dioscorea oppositifolia", "Dioscorea polystachya", "Pero corosha", "Siderone nemesis", "Siderone nemesis nemesis", "Siderone nemesis mexicana", "Siderone nemesis catarina", "Aspilidea myrinii", "Melanitis atrax atrax", "Melanitis atrax soloni", "Melanitis atrax pitya", "Melanitis atrax elya", "Melanitis atrax lucillus", "Melanitis atrax bazilana", "Melanitis atrax cajetana", "Melanitis atrax erichsonia", "Melanitis atrax semperi", "Melanitis atrax sibuyana", "Melanitis atrax oliver", "Acaroconium punctiforme", "Ameliella andreaeicola", "Ameliella grisea", "Passer hispaniolensis transcaspicus", "Arthonia xanthoparmeliarum", "Delias luctuosa magoda", "Delias luctuosa archboldi", "Delias luctuosa mizukamii", "Delias luctuosa kuning", "Delias luctuosa gottsi", "Delias luctuosa versicolor", "Delias iltis", "Delias iltis iltis", "Delias iltis leucotera", "Delias iltis sibil", "Delias iltis majai", "Delias mesoblema", "Apetaenus littoreus", "Ypthima eckweileri", "Ypthima kitawakii", "Ypthima akragas", "Ypthima akragas akragas", "Ypthima akragas perfectoides", "Chrysozephyrus intermedius tamamitsui", "Delias catisa", "Delias catisa catisa", "Delias catisa sumbole", "Delias catisa morinakai", "Elymnias panthera redangensis", "Chrysozephyrus marginatus", "Chrysozephyrus linae", "Athyma zeroca", "Athyma zeroca zeroca", "Athyma zeroca galaesus", "Athyma zeroca meinippus", "Limenitis doerriesi", "Cephimallota densoni", "Stugeta subinfuscata", "Stugeta subinfuscata subinfuscata", "Stugeta subinfuscata reynoldsi", "Umbilicaria havaasii", "Parnassius apollo apollo", "Umbilicaria hirsuta", "Umbilicaria hypococcinea", "Umbilicaria indica", "Parnassius apollo rubidus", "Umbilicaria kisovana", "Umbilicaria koidzumii", "Parnassius apollo nivatus", "Umbilicaria krascheninnikovii", "Umbilicaria lambii", "Parnassius apollo merzbacheri", "Umbilicaria leiocarpa", "Parnassius apollo rhaeticus", "Parnassius apollo novitas", "Umbilicaria lyngei", "Umbilicaria neocylindrica", "Umbilicaria nylanderiana", "Umbilicaria phaea", "Umbilicaria proboscidea", "Umbilicaria pseudocinerascens", "Umbilicaria rubiginosa", "Umbilicaria scholanderi", "Umbilicaria soralifera", "Umbilicaria spodochroa", "Umbilicaria subglabra", "Umbilicaria thamnodes", "Umbilicaria torrefacta", "Umbilicaria tylorrhiza", "Umbilicaria umbilicarioides", "Umbilicaria virginis", "Umbilicaria yunnana", "Stugeta bowkeri", "Stugeta bowkeri bowkeri", "Stugeta bowkeri henningi", "Salanoia durrelli", "Paranothrotes rammei", "Stirellus brevialatus", "Stirellus laticellus", "Stirellus capitatus", "Novadelonema camerunense", "Lithobius variegatus", "Allothereua maculata", "Scutigera coleoptrata", "Scolopendra subspinipes", "Scolopendra abnormis", "Scolopendra polymorpha", "Scolopendra gigantea", "Agnotecous humboldti", "Agnotecous nekando", "Agnotecous minoris", "Agnotecous petchekara", "Agnotecous pinsula", "Tachygerris tumaquensis", "Martarega awa", "Martarega lofoides", "Martarega oriximinaensis", "Ctenosciara mutisetosa", "Ctenosciara pseudoinsolita", "Ctenosciara xijingensis", "Orthotrichia apophysis", "Orthotrichia cornuta", "Orthotrichia cuspidigera", "Orthotrichia discedata", "Orthotrichia latiramifera", "Orthotrichia subrhomba", "Orthotrichia terpsichore", "Americabaetis mecistognathus", "Stictolecanium cranstoni", "Cryptinglisia chilensis", "Pulvinaria drimyswinteri", "Micrurus nigrocinctus", "Microzetia mirabilis", "Parochlus carolinae", "Pseudophilautus amboli", "Epiparbattia gloriosalis whalleyi", "Acrolepiopsis assectella", "Acrolepiopsis californica", "Acrolepiopsis heppneri", "Acrolepiopsis incertella", "Acrolepiopsis leucoscia", "Acrolepiopsis reticulosa", "Acrolepiopsis sapporensis", "Megathymus cofaqui", "Megathymus cofaqui cofaqui", "Megathymus cofaqui slotteni", "Mahanarva dubia", "Scalopus aquaticus bassi", "Scalopus aquaticus caryi", "Hasora sakit", "Halpe ormenes", "Halpe ormenes ormenes", "Halpe ormenes arbaimuni", "Halpe fushigina", "Isma damocles", "Isma damocles damocles", "Isma damocles flavoguttata", "Telicota hilda", "Telicota hilda hilda", "Telicota hilda palawana", "Halpe confusa", "Halpe takanamii", "Halpe hermaphrodite", "Halpe hermaphrodite hermaphrodite", "Halpe hermaphrodite leytea", "Euthalia masumi", "Pseudodipsas maluku", "Hypochrysops anacletus", "Hypochrysops anacletus anacletus", "Hypochrysops anacletus lato", "Clematis ispahanica", "Dolichopus lepidus", "Scolopendrelloides congolensis", "Scolopendrelloides pseudocongolensis", "Pseudolaguvia spicula", "Triparatanais meios", "Zeuxo andaminimus", "Zerconella lobata", "Asterophoma mazaediicola", "Pseudolaguvia ferruginea", "Pseudolaguvia ferula", "Pseudolaguvia flavida", "Pseudolaguvia foveolata", "Pseudolaguvia inornata", "Pseudolaguvia kapuri", "Pseudolaguvia muricata", "Pseudolaguvia ribeiroi", "Pseudolaguvia shawi", "Taphropiestes watti", "Taphropiestes plaumanni", "Kandelia obovata", "Taphropiestes magna", "Tylototriton verrucosus verrucosus", "Pacificana cockayni", "Ypthima iris", "Ypthima iris iris", "Ypthima iris paradromon", "Ypthima iris microiris", "Ypthima iris naqialoa", "Ypthima dromon", "Ypthima dromon dromon", "Ypthima dromon pseudoiris", "Ypthima sinica", "Danis danis tanimbarensis", "Delias luctuosa", "Delias luctuosa luctuosa", "Telmatogeton macquariensis", "Parochlus rennelli", "Parochlus reductus", "Parochlus gressitti", "Parochlus brevis", "Telmatogeton antipodensis", "Telmatogeton amphibius", "Telmatogeton sanctipauli", "Myro pumilus", "Myro jeanneli", "Myro kerguelenensis", "Myro maculatus", "Myro marinus", "Myro paucispinosus", "Myro kerguelenensis kerguelenensis", "Myro kerguelenensis crozetensis", "Parafroneta marrineri", "Thinophilus pedestris", "Apetaenus litoralis", "Apetaenus litoralis watsoni", "Aphrosylopsis lineata", "Aeshna palmata", "Aeshna affinis", "Aeshna canadensis", "Aeshna grandis", "Parapsyllus nestoris", "Parapsyllus nestoris antichthones", "Thalassarche cauta salvini", "Agnotecous brachypterus", "Agnotecous brachypterus pocquensis", "Banasa maculata", "Jankowskia acuta", "Jankowskia curva", "Jankowskia improjecta", "Jankowskia obtusangula", "Pleosporius bullatus", "Lichenobius littoralis", "Lichenobius silvicola", "Ambrosiodmus compressus", "Raorchestes akroparallagi", "Irenimus compressus", "Selonomus linearis", "Maceda savura", "Pusia illuminata", "Plusia illuminata", "Calliteara nandarivatu", "Thalassodes figurata", "Telmatogeton magellanicus", "Epiparbattia gloriosalis", "Epiparbattia gloriosalis gloriosalis", "Microthoron torauti", "Scalopus aquaticus howelli", "Scalopus aquaticus inflatus", "Belenois gidica", "Belenois creona", "Belenois aurota", "Crotalus simus", "Holboellia latifolia", "Stauntonia hexaphylla", "Piper caninum", "Chilenomyia paradoxa", "Menispermum canadense", "Menispermum dauricum", "Buchonomyia brundini", "Afrochlus harrisoni", "Podochlus australiensis", "Podochlus cockaynei", "Podochlus grandis", "Podochlus knoxi", "Podochlus tasmaniensis", "Exocelina bagus", "Exocelina talaki", "Aeshna verticalis", "Jateorhiza palmata", "Cocculus laurifolius", "Asterothyrium anomalum", "Asterothyrium argenteum", "Asterothyrium aspidospermatis", "Asterothyrium atromarginatum", "Asterothyrium aulaxinoides", "Asterothyrium bisporum", "Asterothyrium chroodisciforme", "Asterothyrium decipiens", "Asterothyrium elmeri", "Asterothyrium filiforme", "Asterothyrium gigantosporum", "Asterothyrium gyalideoides", "Asterothyrium hedbergii", "Asterothyrium leptosporum", "Asterothyrium leucophthalmum", "Asterothyrium longisporum", "Asterothyrium maculans", "Asterothyrium microsporum", "Asterothyrium microthyrioides", "Asterothyrium monosporum", "Asterothyrium naevium", "Asterothyrium octomerum", "Asterothyrium pallidum", "Asterothyrium pernambucense", "Asterothyrium pittieri", "Asterothyrium robinsonii", "Asterothyrium rondoniense", "Asterothyrium rostratum", "Asterothyrium rotuliforme", "Asterothyrium segmentatum", "Rotheca myricoides", "Asterothyrium septemseptatum", "Asterothyrium subargenteum", "Asterothyrium tetrasporum", "Asterothyrium umbilicatum", "Asterothyrium uniseptatum", "Asterothyrium vezdae", "Asterothyrium welwitschii", "Asterothyrium septemseptatum subsp. septemseptatum", "Asterothyrium septemseptatum subsp. africanum", "Orepukia nummosa", "Cirsium acaule", "Epichorius sorenseni", "Ablabesmyia mala", "Astrothelium confusum", "Astrothelium diplocarpum", "Toxorhina levis", "Paralimnophila skusei", "Trigonospila brevifacies", "Orthoprosopa bilineata", "Australimyza macquariensis", "Australimyza setigera", "Australimyza longiseta", "Australimyza salicorniae", "Natalimyza milleri", "Haplinis mundenia", "Astrothelium eustomum", "Astrothelium galbineum", "Astrothelium ocellatum", "Astrothelium subclandestinum", "Astrothelium variolosum", "Astrothelium versicolor", "Astrothelium conicum", "Kadsura japonica", "Amerotyphlops tenuis", "Placidochromis milomo", "Leptusa antarctica", "Silybum \u00d7 gonzaloi", "Leptusa atriceps", "Onopordum acanthium subsp. acanthium", "Anthomyia punctipennis", "Calliphora vicina", "Lucilia sericata", "Ninia sebae", "Hyadina irrorata", "Hyadina obscurifrons", "Parydra neozelandica", "Ochrocephala imatongensis", "Benthocometes australiensis", "Trididemnum lanugineum", "Leptoclinides planus", "Notiocoelotes membranaceus", "Notiocoelotes orbiculatus", "Notiocoelotes pseudolingulatus", "Notiocoelotes spirellus", "Notiocoelotes parvitriangulus", "Notiocoelotes pseudovietnamensis", "Alloclubionoides amurensis", "Alloclubionoides jirisanensis", "Alloclubionoides wolchulsanensis", "Neotemnopteryx fulva", "Paratemnopteryx couloniana", "Otopharynx antron", "Otopharynx spelaeotes", "Eburilla sericea", "Astrothelium cinnamomeum", "Phrixgnathus hamiltoni", "Histiostoma montanum", "Proterodesma turbotti", "Kleidotoma subantarcticana", "Phthitia empirica", "Raorchestes chlorosomma", "Raorchestes chotta", "Raorchestes chromasynchysi", "Raorchestes coonoorensis", "Smicrus filicornis", "Antarcticodomus fallai", "Marsilea quadrifolia", "Hesperis armena", "Hesperis buschiana", "Erysimum cuspidatum", "Sobolewskia clavata", "Moehringia trinervia", "Geranium bohemicum", "Geranium collinum", "Euonymus latifolius", "Cousinia woronowii", "Piper polycarpa", "Macroglenes caudatus", "Apleurotropis albicaulis", "Ceraeochrysa melaenopareia", "Heterothrips pilarae", "Heterothrips stellae", "Malthinus orbiculatus", "Malthinus serrulatus", "Bergiantina familiae", "Microscolex macquariensis", "Daphnia gelida", "Pleuroxus macquariensis", "Macroglenes gibsoni", "Macroglenes hokkaidensis", "Macroglenes incisiclypeatus", "Macroglenes japonicus", "Macroglenes noyesi", "Macroglenes samurai", "Macroglenes zdeneki", "Apleurotropis albiscapus", "Apleurotropis anemia", "Apleurotropis assis", "Apleurotropis ficaria", "Apleurotropis strix", "Ceraeochrysa torresi", "Ceraeochrysa pittieri", "Bergiantina parva", "Bergiantina intermedia", "Ephydrella macquariensis", "Symplecta pilipes", "Symplecta pilipes macquariensis", "Duplominona amnica", "Macquaridrilus bennettae", "Metarbela shimonii", "Salagena charlottae", "Lebedodes johni", "Mustelus mustelus", "Metarbela abdulrahmani", "Metarbela chidzingai", "Salagena quentinlukei", "Paralebedella estherae", "Lebedodes willihaberlandi", "Ortharbela sommerlattei", "Salagena bennybytebieri", "Metarbela lornadepewae", "Ortharbela cliftoni", "Ortharbela jurateae", "Lebedodes ianrobertsoni", "Lebedodes leifaarviki", "Paralebedella shimonii", "Cerrophidion godmani", "Athelia arachnoidea", "Athelia epiphylla", "Athelia poeltii", "Procryphocricos perplexus", "Pseudaneitea schauinslandi", "Pseudaneitea simrothi", "Pseudaneitea sorenseni", "Deroceras reticulatum", "Heterochromis multidens", "Nostima duoseta", "Nostima negramaculata", "Hydrellia acutipennis", "Hydrellia novaezealandiae", "Hydrellia williamsi", "Hydrellia velutinifrons", "Hydrellia tritici", "Psilopa metallica", "Hylaeus agilis", "Hylaeus asperithorax", "Hylaeus capitosus", "Hylaeus relegatus", "Argogorytes carbonarius", "Podagritus albipes", "Ichneumon lotatorius", "Ichneumon promissorius", "Hatschekia bibullae", "Hatschekia kuroshioensis", "Hatschekia pseudostracii", "Gyrodactylus corleonis", "Gyrodactylus neretum", "Gyrodactylus eyipayipi", "Poecilimon affinis", "Isophya clara", "Leptophyes intermedia", "Pachytrachis tumidus", "Phyllodromica montenegrina", "Poecilimon albolineatus", "Poecilimon pseudornatus", "Poecilimon nonveilleri", "Poecilimon affinis dinaricus", "Buenoa dilaticrus", "Buenoa exilidens", "Carduus personata", "Brachydeutera sydneyensis", "Nessaea aglaura", "Nessaea aglaura aglaura", "Nessaea aglaura regina", "Nessaea aglaura thalia", "Nessaea obrinus", "Nessaea obrinus obrinus", "Nessaea obrinus faventia", "Strophurus taenicauda", "Nessaea obrinus lesoudieri", "Nessaea batesii", "Nessaea batesii batesii", "Nessaea batesii magniplaga", "Philaccolilus ramuensis", "Philaccolilus mekus", "Alcanola tympanistis", "Alcanola speideli", "Alcanola obsculata", "Philaccolilus incognitus", "Hyalaethea attemae", "Hyalaethea obraztsovi", "Alucita ochrobasalis", "Damias biakensis", "Monosyntaxis bimaculata", "Papuasyntaxis metallescens", "Ideopsis vitrea", "Ideopsis vitrea vitrea", "Ideopsis vitrea arachosia", "Ideopsis vitrea ribbei", "Ideopsis vitrea iza", "Ideopsis vitrea chloris", "Papilio palinurus", "Asphondylia germinis", "Asphondylia bursicola", "Asphondylia occidentalis", "Asphondylia pilogerminis", "Asphondylia glabrigerminis", "Asphondylia acaciae", "Lithostege clarae", "Cilix hispanica", "Clepidecrella abeona", "Clepidecrella cataraqui", "Clepidecrella colliboi", "Clepidecrella ira", "Kerguelenia euroka", "Kerguelenia leura", "Kerguelenia matilda", "Pseudechiniscus santomensis", "Parasesarma hartogi", "Zelotes helicoides", "Kerguelenia kanowna", "Kerguelenia kawatiri", "Kerguelenia adeliensis", "Kerguelenia antarctica", "Kerguelenia antiborealis", "Kerguelenia borealis", "Kerguelenia compacta", "Kerguelenia eoa", "Kerguelenia glacialis", "Kerguelenia japonica", "Kerguelenia ochotica", "Kerguelenia reducta", "Kerguelenia palpalis", "Kerguelenia microphthalma", "Kerguelenia macropoda", "Kerguelenia lifou", "Onopordum cinereum", "Kerguelenia koutoumo", "Pseudaneitea aspera", "Pseudaneitea campbellensis", "Pseudaneitea delli", "Pseudaneitea dendyi", "Pseudaneitea gigantea", "Pseudaneitea gravisulca", "Pseudaneitea huttoni", "Pseudaneitea johnsi", "Pseudaneitea leva", "Pseudaneitea maculata", "Pseudaneitea marmorata", "Pseudaneitea multistriata", "Pseudaneitea nodosa", "Pseudaneitea papillata", "Pseudaneitea powelli", "Pseudaneitea pseudophyllum", "Inostemma boscii", "Gallirallus philippensis macquariensis", "Bachmanniomyces pseudocyphellariae", "Lumbricillus macquariensis", "Physemothrips chrysodermus", "Eudonia mawsoni", "Physemothrips hadrus", "Barnanola atra", "Barnanola sumatra", "Barnanola fibigeri", "Leucobaeta hemiphea", "Leuconola herczigi", "Leuconola wilsonae", "Omaliomimus venator", "Casminola arminbecheri", "Omaliomimus albipennis", "Casminola chionobasis", "Casminola pulchella", "Casminola yoshimotoi", "Casminola seminigra", "Casminola splendida", "Onopordum bracteatum", "Halozetes macquariensis", "Halozetes marinus", "Halozetes otagoensis", "Halozetes plumosus", "Neomaso claggi", "Crymus antarcticus", "Cartodere hemicarinata", "Cartodere spathe", "Cartodere malouinensis", "Delias felis", "Delias binniensis", "Delias pellos", "Delias carstensziana", "Delias carstensziana carstensziana", "Delias carstensziana inexpecta", "Cricula australovietnama", "Boloria angarensis angarensis", "Boloria angarensis shelkovnikovi", "Bothrometopus fasciatus", "Bothrometopus randi", "Bothrometopus derelictorum", "Oeneis jutta", "Oeneis jutta jutta", "Oeneis jutta akoene", "Bothrometopus dreuxi", "Bothrometopus variabilis", "Bothrometopus villiersi", "Hilyotrogus bicoloreus", "Ectemnorhinus affinis", "Ectemnorhinus inexpectatus", "Ectemnorhinus possessionensis", "Ectemnorhinus vanhoeffenianus", "Bradysia watsoni", "Ereynetes macquariensis", "Parapsyllus cardinis", "Androlaelaps pachyptilae", "Nanorchestes macquariensis", "Nanorchestes marianae", "Nanorchestes rounsevelli", "Nanorchestes watsoni", "Nanorchestes bellus", "Nanorchestes wilbanksi", "Nanorchestes antarcticus", "Nanorchestes lalae", "Nanorchestes brekkeristae", "Nanorchestes berryi", "Nanorchestes triclavatus", "Nanorchestes bifurcatus", "Nanorchestes nivalis", "Raorchestes jayarami", "Raorchestes kaikatti", "Pseudophilautus kani", "Barypeithes pellucidus", "Haplinis rufocephala", "Casminola rubropicta", "Casminola johannstumpfi", "Casminola breviharpe", "Casminola spinosa", "Porcellanola thonburi", "Porcellanola ayutthaya", "Porcellanola langtangi", "Porcellanola uthong", "Calonola ectrocta", "Calonola argyria", "Barasa acronyctoides", "Barasa lunisigna", "Barasa alopha", "Barasa costalis", "Barasa subtilis", "Ezishnola fuscographa", "Suerkenola longiventris", "Mokfanola crustaceata", "Onopordum \u00d7 brevicaule", "Pilularia globulifera", "Pilularia minuta", "Azolla filiculoides", "Linum maritimum", "Erodium birandianum", "Erodium hendrikii", "Lythrum anatolicum", "Sedum aytacianum", "Bacidia siberiensis", "Phyllodistomum tana", "Triplophysa parvus", "Prosotas russelli", "Prosotas patricae", "Deudorix mathewi", "Deudorix mathewi mathewi", "Deudorix mathewi narua", "Danaus affinis atchinii", "Neptis argiromaculosa", "Ischnobracon albitarsus", "Ischnobracon baltazarae", "Ischnobracon feliciae", "Ischnobracon hannongbuai", "Ischnobracon morleyi", "Ischnobracon xanthoflagellaris", "Chionodes abdominella", "Chionodes abella", "Elachista aerinella", "Elachista amrodella", "Bergiantina schausi", "Bacidia augustinii", "Herreranthus rivalis", "Bacidia flavens", "Bacidia ioessa", "Lundinia plumbea", "Bacidia kekesiana", "Bacidia peltigericola", "Bacidia ravenelii", "Bacidia rosellizans", "Leonis trineura", "Bacidia rubidofusca", "Bacidia saxicola", "Bacidia subgranulosa", "Nesampelos alainii", "Zemisia discolor", "Nesampelos hotteana", "Nesampelos lucens", "Bactrospora cascadensis", "Lebaziella renatae", "Lebaziella viridis", "Aspidophorodon vera", "Aphaenops parvulus", "Acauloplacella incisa", "Acauloplacella hasenpuschae", "Acauloplacella mecyna", "Acauloplacella queenslandica", "Pterydrias januschevi", "Pterydrias jelineki", "Pterydrias loebli", "Pterydrias ruzickai", "Pseudomugil pellucidus", "Neosilurus gloveri", "Neosilurus mollespiculum", "Neosilurus pseudospinosus", "Apogon deetsie", "Apogon taeniopterus", "Apogonichthys perdix", "Glaciopsyllus antarcticus", "Gramma brasiliensis", "Saemundssonia antarctica", "Pseudonirmus charcoti", "Stereotydeus pallodus", "Stereotydeus shoupi", "Stereotydeus delicatus", "Stereotydeus meyeri", "Stereotydeus punctatus", "Stereotydeus mollis", "Stereotydeus villosus", "Stereotydeus belli", "Penthaleus major", "Rhagidia campbellensis", "Rhagidia mildredae", "Halozetes bathamae", "Halozetes belgicae", "Halozetes crozetensis", "Halozetes intermedius", "Crozetia crozetensis", "Crozetia seguyi", "Parochlus crozetensis", "Eupodes crozetensis", "Macrocera crozetensis", "Crozetulus minutus", "Antarctotachinus crozetensis", "Ringina antarctica", "Hahnia crozetensis", "Palirhoeus eatoni", "Raorchestes manipurensis", "Raorchestes marki", "Bothrometopus comes", "Bothrometopus gravis", "Bothrometopus daviesi", "Christensenia antarctica", "Christensenia dreuxi", "Bothrometopus crozetensis", "Bothrometopus desolationis", "Apetaenus litoralis litoralis", "Apetaenus enderleini", "Nuncia unifalculata", "Kleidotoma icarus", "Boloria angarensis", "Allium drobovii", "Automeris chaconoides", "Bathyphlebia eminentoides", "Copaxa novocineracea", "Allium oreoscordum", "Coscinocera aruensis", "Allium clathratum", "Cricula australosinica", "Cricula hainanensis", "Loepa sinjaevi", "Allium leucocephalum", "Dirphia albescens", "Allium flavidum", "Dysdaemonia australoboreas", "Dysdaemonia undulensis", "Allium maackii", "Eacles cuscoensis", "Eacles paraadoxa", "Janiodes cuscoensis", "Janiodes oxapampensis", "Janiodes napoensis", "Janiodes pichinchensis", "Kentroleuca boliviensis", "Leucanella anikae", "Allium lineare", "Allium strictum", "Allium amphibolum", "Calciphilopteris alleniae", "Calciphilopteris ludens", "Calciphilopteris papuana", "Calciphilopteris wallichii", "Allium brachyodon", "Bothrometopus angusticollis", "Bothrometopus brevis", "Bothrometopus gracilipes", "Bothrometopus parvulus", "Ectemnorhinus bougainvillei", "Ectemnorhinus geniculatus", "Ectemnorhinus fuscus", "Ectemnorhinus richtersi", "Ectemnorhinus pluricro", "Ectemnorhinus tamarisi", "Ectemnorhinus similis", "Ectemnorhinus kuscheli", "Ectemnorhinus viridis", "Canonopsis sericea", "Disker tenuicornis", "Histiostoma mantelli", "Parietaria judaica", "Raorchestes munnarensis", "Sisymbrium officinale", "Pringleophaga crozetensis", "Phreodrilus crozetensis", "Microscolex crozetensis", "Loepa diehli", "Microscolex enzenspergeri", "Loepa diffunoccidentalis", "Loepa diffunorientalis", "Loepa finnackermanni", "Loepa nepalensis", "Allium barsczewskii", "Allium lutescens", "Cypa luzonica", "Cypoides parachinensis", "Allium longiradiatum", "Allium dolichomischum", "Daphnusa philippinensis", "Daphnusa sinocontinentalis", "Smerinthulus cadioui", "Dolbina borneensis", "Dolbina luzonensis", "Dolbina mindanaensis", "Dolbina paraexacta", "Allium dolichostylum", "Allium inderiense", "Sataspes leyteana", "Sataspes negrosiana", "Psilogramma andamanica", "Psilogramma floresica", "Psilogramma orientalis", "Psilogramma papuensis", "Psilogramma salomonis", "Psilogramma wetarensis", "Allium stephanophorum", "Allium tenuicaule", "Carcinopyga proserpina lindti", "Anemone sect.", "Anemone sect.", "Leptolalax melicus", "Malacoctenus brunoi", "Cacuminostreptus mazowensis", "Cacuminostreptus triangulatus", "Cacuminostreptus vumbaensis", "Noodtorthopsyllus tageae", "Acuticoxa ubatubaensis", "Acuticoxa biarticulata", "Eretmoptera murphyi", "Christensenidrilus blocki", "Sarbena hollowayi", "Sarbena lignifera", "Sarbena ustipennis", "Evonima aperta", "Evonima xanthoplaga", "Evonima ochritincta", "Evonima unicolor", "Varganola flavibasis", "Manoba lativittata", "Manoba tesselata", "Manoba fasciatus", "Manoba coxi", "Manoba melanota", "Manoba phaeochroa", "Manoba melanomedia", "Manoba lilliptiana", "Manoba subfuscataria", "Allodrepa decipiens", "Crymus kronii", "Nesomalium campbellense", "Nesomalium imitator", "Manoba tristicta", "Cricula kalimantanensis", "Cricula sichuana", "Cricula tonkintrifenestratoides", "Cricula trifenestratoides", "Cricula vietnama", "Cricula vietnama vietnama", "Actias parasinensis", "Sagediopsis aquatica", "Sagediopsis aspiciliae", "Sagediopsis barbara", "Sagediopsis campsteriana", "Sagediopsis dissimilis", "Sagediopsis fissurisedens", "Sagediopsis lomnitzensis", "Sagediopsis pertusariicola", "Muscina stabulans", "Zearagytodes concinnus", "Quediocafus taieriensis", "Anatalanta crozetensis", "Anatalanta aptera", "Siphlopteryx antarctica", "Amalopteryx maritima", "Calycopteryx mosleyi", "Pseudeuplectus antarcticus", "Belgica albipes", "Allium trachyscordum", "Ptiloscola paraguayensis", "Salassa parakatschinica", "Salassa pararoyi", "Salassa paratonkiniana", "Salassa arianae", "Salassa lemaii lemaii", "Salassa bhutanensis", "Giacomellia drechseli", "Giacomellia escobari", "Xylophanes crenulata", "Nystalea paranensis", "Syntherata innescens", "Syntherata sinjaevi", "Syntherata arfakiana", "Syntherata cernyi", "Syntherata engaiana", "Syntherata lagariana", "Syntherata minoris", "Syntherata okapiana", "Syntherata papuensis", "Syntherata parvoantennata", "Syntherata rudloffi", "Syntherata godeffroyi", "Syntherata godeffroyi godeffroyi", "Syntherata godeffroyi michaschaarschmidti", "Acosmeryx tenggarensis", "Acosmeryx anceus", "Acosmeryx anceus anceus", "Acosmeryx anceus bismarckiana", "Acosmeryx anceus subdentata", "Allium gusaricum", "Acosmeryx sinjaevi", "Allium inconspicuum", "Acosmeryx castanea", "Acosmeryx formosana", "Acosmeryx miskini", "Acosmeryx naga", "Allium drepanophyllum", "Acosmeryx pseudomissa", "Acosmeryx sericeus", "Acosmeryx shervillii", "Allium xiphopetalum", "Nola canioralis", "Nola opalina", "Nola ceylonica", "Nola euryzonata", "Nola lucidalis", "Nola erythrostigmata", "Nola thyrophora", "Nola endotherma", "Nola fasciata", "Nola infralba", "Nola shakishimana", "Nola cretacea", "Nola defreina", "Nola wernerthomasi", "Nola pinratana", "Nola kiflisigna", "Nola mediolineata", "Allium oreoprasum", "Nola serrativalva", "Nola picurka", "Tshodanola gabriella", "Neonola mesosticta", "Spininola armata", "Spininola loxoscia", "Spininola denticulata", "Spininola vesiculalis", "Spininola trilinea", "Spininola fuscibasalis", "Njalkanola bimaculata", "Panolis estheri", "Allium flavescens", "Allium stellerianum", "Allium rubens", "Pseudopanolis stumpfi", "Pseudopanolis phalerina", "Pseudopanolis heterogyna", "Pseudopanolis heterogyna heterogyna", "Allium tytthocephalum", "Pseudopanolis heterogyna funerea", "Pseudopanolis azusa", "Pseudopanolis lala", "Anemone sect.", "Streptocarpus subg.", "Paractora dreuxi", "Pringleophaga kerguelensis", "Loepa peggyae", "Loepa peggyae peggyae", "Loepa peggyae hainanensis", "Loepa siamensis", "Loepa siamensis siamensis", "Loepa siamensis malayensis", "Loepa martinii", "Loepa mirandula", "Loepa paramiranda", "Pringleophaga marioni", "Loepa orientomiranda", "Loepa orientomiranda orientomiranda", "Loepa orientomiranda mirella", "Molippa bertrandoides", "Molippa wenczeli", "Molippa cruenta", "Molippa latemedia", "Molippa nibasa", "Molippa ninfa", "Molippa wittmeri", "Loepa megacore", "Mammea americana", "Ormiscodes eugeniae", "Ormiscodes cinnamomea", "Paradirphia rudloffi", "Allium oreoprasoides", "Paradirphia citrina", "Paradirphia hoegei", "Paradirphia lasiocampina", "Allium oreodictyum", "Paradirphia valverdei", "Pseudodirphia frickei", "Pseudodirphia marxi", "Pseudodirphia singeri", "Pseudodirphia weritzi", "Sinictinogomphus clavatus", "Pseudodirphia agis", "Pseudodirphia mexicana", "Allium scabriscapum", "Ptiloscola burmeisteri", "Ptiloscola wolfei", "Manoba chamberlaini", "Manoba gyulaipeteri", "Orchesia rennelli", "Bicava globipennis", "Latridius minutus", "Manoba adriennae", "Manoba ronkaylaszloi", "Oclandius cinereus", "Inouenola diversalis", "Inouenola grisalis", "Inouenola pallescens", "Toerpenola laticincta", "Anemone subg.", "Toerpenola siamica", "Nanola hluchyi", "Anemone sect.", "Meganola tarkabarka", "Meganola hollowayi", "Meganola mediana", "Anemone subsect.", "Meganola galsworthyi", "Meganola honeyi", "Meganola benescripta", "Meganola geoffmartini", "Meganola yakovlevi", "Meganola tarka", "Meganola zolotuhini", "Meganola postmediana", "Meganola igorkostjuki", "Meganola semirufa", "Meganola indistincta", "Meganola trianguloquelinea", "Meganola triangulalis", "Meganola punctilineata", "Meganola tenebrosa", "Meganola suffusata", "Meganola major", "Meganola argentescens", "Meganola brunellus", "Anemone subsect.", "Nola ochrolopha", "Nola sindhulica", "Nola atrocincta", "Nola sikkima", "Nola peguense", "Nola duplicilinea", "Nola fraterna", "Nola bifascialis", "Nola mesotherma", "Hoehnephytum almasense", "Hoehnephytum imbricatum", "Hoehnephytum trixoides", "Microcryptorhynchus linagri", "Microcryptorhynchus mayae", "Hesperis pendula", "Geranium glaberrimum", "Geranium pusillum", "Genista albida", "Genista acanthoclada", "Lythrum thymifolia", "Lythrum junceum", "Orthosia kalinini", "Orthosia marmorata", "Orthosia raui", "Orthosia tiszka", "Orthosia hoferi", "Orthosia coniortota", "Orthosia coniortota coniortota", "Orthosia coniortota yeni", "Anorthoa semiflusca", "Anorthoa polymorpha", "Anorthoa biborka", "Cinnamomum aggregatum", "Kukufeldia tilgatensis", "Amphisbaena carli", "Bagliettoa calciseda", "Cnemaspis shahruli", "Marionina georgiana", "Rhopalosiphum padi", "Macrosiphum euphorbiae", "Saintpaulia ionantha subsp. grandifolia", "Myzus ascalonicus", "Saintpaulia ionantha subsp. mafiensis", "Aulacorthum solani", "Saintpaulia ionantha subsp. nitida", "Lumbricillus healyae", "Saintpaulia ionantha subsp. occidentalis", "Ostearius melanopygius", "Saintpaulia ionantha subsp. orbicularis", "Saintpaulia ionantha subsp. pendula", "Saintpaulia ionantha subsp. rupicola", "Psilogramma joachimi", "Psilogramma hayati", "Psilogramma discistriga", "Psilogramma surholti", "Psilogramma macromera", "Psilogramma vanuatui", "Halecium calderi", "Antennella armata", "Antennella incerta", "Sertularella fraseri", "Sertularia ephemera", "Notonyx castroi", "Solenotheres prolixus", "Cyrtodactylus dumnuii", "Saintpaulia ionantha subsp. velutina", "Saintpaulia ionantha subsp. ionantha", "Cabreriella sanctae-martae", "Dienerella filiformis", "Dienerella filum", "Cabreriella oppositicordia", "Dienerella ruficollis", "Saintpaulia pusilla", "Saintpaulia shumensis", "Saintpaulia teitensis", "Saintpaulia ulugurensis", "Saintpaulia watkinsii", "Cricula aungsansuukyiae", "Cricula baliensis", "Cricula falcata", "Cricula fansipanensis", "Cricula frederkingi", "Cricula griseorubrescens", "Cricula hoabinhnguyensis", "Cricula hoffmanni", "Cricula magnifenestrata", "Cricula maxalorensis", "Cricula pseudandrei", "Cricula separata", "Cricula schintlmeisteri", "Cricula sponai", "Cricula variabilis", "Synsepalum dulcificum", "Allium nutans", "Allium pumilum", "Allium polyrhizum", "Allium bidentatum", "Allium bellulum", "Allium tenuissimum", "Psilogramma dillerorum", "Psilogramma reinhardti", "Psilogramma vates", "Psilogramma lukhtanovi", "Psilogramma monastyrskii", "Allium anisopodium", "Allium caespitosum", "Psilogramma edii", "Psilogramma dantchenkoi", "Psilogramma rupprechtorum", "Psilogramma japonica", "Psilogramma gerstbergeri", "Brachionostylum pullei", "Psilogramma wernerbacki", "Psilogramma koalae", "Psilogramma karui", "Psilogramma karui karui", "Psilogramma karui babariensis", "Psilogramma villani", "Micralymma brevilingue", "Chrysolina septentrionalis", "Psilogramma angelika", "Psilogramma anne", "Psilogramma bartschereri", "Psilogramma baueri", "Psilogramma choui", "Psilogramma danneri", "Psilogramma frankenbachi", "Psilogramma gerstmeieri", "Psilogramma gloriosa", "Psilogramma hainanensis", "Psilogramma hauensteini", "Psilogramma kleineri", "Psilogramma mandarina", "Psilogramma mastrigti", "Psilogramma mastrigti mastrigti", "Psilogramma mastrigti aruensis", "Psilogramma maxmouldsi", "Psilogramma medicieloi", "Psilogramma milleri", "Psilogramma paukstadtorum", "Psilogramma renneri", "Psilogramma stameri", "Psilogramma stameri stameri", "Psilogramma stameri chuai", "Psilogramma ulrichroesleri", "Psilogramma wernerwolfi", "Psilogramma yillingae", "Psilogramma argos", "Psilogramma casuarinae", "Psilogramma hausmanni", "Psilogramma increta", "Psilogramma jordana", "Psilogramma lifuense", "Psilogramma menephron", "Psilogramma nebulosa", "Psilogramma wannanensis", "Cinnamomum glanduliferum", "Cafius algophilus", "Cafius quadriimpressus", "Teropalpus unicolor", "Pseudoangonyx excellens", "Cricula flavoglena", "Anthocharis australis", "Phaeocalicium tibetanicum", "Phaeocalicium tremulicola", "Haplochromis katonga", "Chaudhuria caudata", "Nelima doriae", "Metophthalmus sinuosus", "Cartodere nodifer", "Cartodere costata", "Protegira songi", "Xylopolia quadra", "Xylopolia macrobscura", "Xylopolia conspicienda", "Xylopolia bella bellaetani", "Lithopolia confusa confusa", "Lithopolia confusa tsinlinga", "Nepalopolia egiromima", "Nepalopolia gottfriedi", "Egira variabilis", "Pygmeopolia commixta", "Kisegira regina", "Kisegira regina regina", "Kisegira regina rubra", "Allium kaschianum", "Miliusa wayanadica", "Stylidium darwinii", "Geranium pratense", "Quadrella subg.", "Allium tianschanicum", "Allium condensatum", "Quadrella subg.", "Quadrella subg.", "Eugenia azeda", "Eugenia valsuganana", "Paratuposa placentis", "Myrcia crassa", "Schwetzochromis neodon", "Myrcia floridissima", "Poa unispiculata", "Fevillea narae", "Angelonia parviflora", "Lithodes aotearoa", "Lithodes australiensis", "Lithodes chaddertoni", "Lithodes jessica", "Lithodes macquariae", "Lithodes rachelae", "Lithodes robertsoni", "Lithodes richeri", "Neolithodes flindersi", "Neolithodes bronwynae", "Neolithodes yaldwyni", "Paralomis stevensi", "Paralomis echidna", "Paralomis gowlettholmes", "Paralomis poorei", "Paralomis staplesi", "Paralomis taylorae", "Paralomis webberi", "Paralomis zealandica", "Paralomis birsteini", "Paralomis dawsoni", "Paralomis hirtella", "Lithodes formosae", "Eudontomyzon danfordi", "Arhopala anarte", "Arhopala anarte anarte", "Arhopala anarte tanimitsui", "Arhopala bazalus", "Arhopala bazalus bazalus", "Arhopala bazalus tamamitsui", "Arhopala bazalus barbarus", "Horaga takanamii", "Euthalia whiteheadi miyazakii", "Allium subtilissimum", "Philaccolilus ameliae", "Nesopupa rarotonga", "Myrsidea darwini", "Myrsidea nesomimi", "Myrsidea nesomimi borealis", "Myrsidea nesomimi nesomimi", "Myrsidea ridulosa", "Haemaphysalis longicornis", "Atropis rarotongana", "Minidonta aroa", "Minidonta arorangi", "Minidonta iota", "Minidonta kavera", "Minidonta matavera", "Minidonta ngatangiia", "Minidonta pue", "Minidonta rutaki", "Sinployea muri", "Sinployea taipara", "Sinployea titikaveka", "Sinployea tupapa", "Agalinis flexicaulis", "Lomatium ochocense", "Varanus bitatawa", "Potentilla uliginosa", "Scutellaria platyphylla", "Scutellaria platyphylla var. occidentalis", "Scutellaria potosina", "Scutellaria potosina var. kaibabensis", "Salvia coriana", "Calceolaria molaui", "Allium glaciale", "Allium setifolium", "Aspidimorpha karamojana", "Tomicus armandii", "Pseudopimpla propodeumpunctata", "Gabrius batangensis", "Gabrius breviantennatus", "Gabrius brevistrigatus", "Gabrius curvus", "Gabrius dentatus", "Gabrius disparatus", "Gabrius extraneus", "Gabrius hong", "Gabrius instrigatus", "Gabrius leigongshanus", "Gabrius nasiformis", "Gabrius tortilis", "Gabrius yaanensis", "Gabrius zhaoi", "Vulcanidas insolatus", "Bathymodiolus tangaroa", "Anthocharis mandschurica", "Anthocharis mandschurica mandschurica", "Anthocharis mandschurica nanjingensis", "Harutaeographa odavissa", "Harutaeographa stangelmaieri", "Harutaeographa seibaldi", "Harutaeographa loeffleri", "Houlberthosia ornatissima", "Houlberthosia ornatissima ornatissima", "Houlberthosia ornatissima speideli", "Clavipalpula aurariae", "Clavipalpula aurariae aurariae", "Clavipalpula aurariae formosana", "Megaegira monoglypha", "Anorthoa changi", "Dryobotodes caerulescens", "Potnyctycia nemesi", "Filatima transsilvanella", "Aporia shinnooka", "Athyma zeroca hishikawai", "Limenitis doerriesi doerriesi", "Limenitis doerriesi shennonjiaensis", "Palaeonympha opalina", "Palaeonympha opalina opalina", "Palaeonympha opalina bailiensis", "Atropus atropos", "Phaeocalicium ahtii", "Phaeocalicium asciiforme", "Litinga cottini zhon", "Allium marschallianum", "Elymnias esaca egialina", "Elymnias esaca splendida", "Elymnias esaca lingga", "Elymnias esaca nigricans", "Allium saxatile", "Allium alexandrae", "Allium teretifolium", "Allium korolkowii", "Periergos confusus", "Dicranostigma erectum", "Liccana argyrosticta", "Liccana terminicana", "Liccana terminicana terminicana", "Liccana terminicana substraminea", "Agonoxena argaula", "Agonoxena pyrogramma", "Heleanna fukugi", "Heleanna melanomochla", "Heleanna physalodes", "Heleanna physalodes physalodes", "Heleanna physalodes abudantia", "Heleanna physalodes elitha", "Heleanna physalodes tricia", "Nicotiana knightiana", "Collogenes dascia", "Nicotiana mutabilis", "Euops arfakensis", "Collogenes squamosa", "Petunia axillaris", "Petunia axillaris subsp. axillaris", "Osthelderiella amardiana", "Petunia axillaris subsp. parodii", "Parachanda phantastis", "Phaeocalicium betulinum", "Phaeocalicium boreale", "Phaeocalicium cercocarpicola", "Phaeocalicium compressulum", "Phaeocalicium curtisii", "Aleutihenricia federi", "Chaudhuria ritvae", "Leia bimaculata", "Leia walkeri", "Dysmicodesmus jeekeli", "Setoisenoton pallidus", "Docosia setosa", "Docosia garretti", "Odontohenricia ahearnae", "Odontohenricia aurantia", "Odontohenricia violacea", "Henricia echinata", "Henricia elachys", "Henricia gemma", "Henricia insignis", "Henricia iodinea", "Henricia lineata", "Henricia rhytisma", "Henricia uluudax", "Henricia vermilion", "Tetragoneura tibialis", "Tetragoneura sasakawai", "Pseudopsis arrowi", "Phaeocalicium flabelliforme", "Phaeocalicium fuegensis", "Allium platyspathum", "Phaeocalicium gracile", "Phaeocalicium interruptum", "Phaeocalicium matthewsianum", "Phaeocalicium mildeanum", "Phaeocalicium minutissimum", "Phaeocalicium ornicolum", "Phaeocalicium pinaceum", "Phaeocalicium polyporaeum", "Phaeocalicium populneum", "Phaeocalicium praecedens", "Phaeocalicium tibellii", "Petunia axillaris subsp. subandina", "Parachanda polycosma", "Euops biru", "Licania dominicensis", "Lagotis glauca", "Lagotis glauca subsp. lanceolata", "Hechtia podantha", "Petunia \u00d7 atkinsiana", "Petunia littoralis", "Argemone pinnatisecta", "Petunia integrifolia", "Petunia integrifolia subsp. integrifolia", "Actidium reticulatum", "Petunia integrifolia subsp. depauperata", "Petunia inflata", "Petunia occidentalis", "Quadrella cynophallophora", "Quadrella cynophallophora f. linearifolia", "Quadrella gonaivensis", "Quadrella isthmensis", "Quadrella isthmensis subsp. isthmensis", "Quadrella isthmensis subsp. mexicana", "Quadrella isthmensis subsp. glabripetala", "Quadrella jamaicensis", "Quadrella jamaicensis f. longifolia", "Quadrella odoratissima", "Quadrella quintanarooensis", "Arhopala aedias", "Arhopala aedias aedias", "Arhopala aedias agnis", "Arhopala oenotria", "Arhopala aura", "Arhopala aura aura", "Arhopala aura purpura", "Arhopala sakaguchii", "Arhopala sakaguchii sakaguchii", "Arhopala sakaguchii monstrosa", "Arhopala pseudovihara", "Arhopala trionoea", "Arhopala trionoea trionoea", "Arhopala trionoea monticola", "Abisara miyazakii", "Abisara miyazakii miyazakii", "Abisara miyazakii shigehoi", "Abisara attenuata", "Abisara atlas", "Archigenes aita neoaita", "Abisara savitri albisticta", "Abisara savitri ishizukai", "Abisara savitri teutyra", "Abisara savitri denya", "Abisara savitri periya", "Abisara savitri sciurus", "Tajuria diaeus", "Tajuria diaeus diaeus", "Tajuria diaeus mirabilis", "Limenitis tamaii", "Tanaecia ultima", "Allium jucundum", "Allium tytthanthum", "Dilkea subg.", "Dilkea subg.", "Scabiosa canescens", "Dilkea clarkei", "Allium kokanicum", "Dilkea granvillei", "Dilkea retusa", "Dilkea exilis", "Dilkea cuneata", "Dilkea lecta", "Dilkea ovalis", "Dilkea tillettii", "Dilkea vanessae", "Divandu albimarginatus", "Ptinella okei", "Trichopteryx sydneyensis", "Actinopteryx australis", "Baranowskiella ehnstromi", "Neotrichopteryx grandelytra", "Euops coelestinus", "Euops coeruleus", "Asthenocnemis stephanodera", "Allium albovianum", "Allium gunibicum", "Allium daghestanicum", "Allium semenovii", "Bendekia gaudina", "Allomeganephria hollogabori", "Psaphida palaearctica", "Taipsaphida curiosa", "Taipsaphida curiosa curiosa", "Taipsaphida curiosa fujiani", "Fansipania viridistellata", "Beshkovietta indigena", "Oncocnemis mixtazona", "Oncocnemis mixtazona mixtazona", "Oncocnemis mixtazona honeyi", "Bryomima striata", "Euops curvipes", "Xylena apicimacula", "Xylena apicimacula apicimacula", "Xylena apicimacula ayubia", "Xylena changi", "Xylena nihonica", "Xylena tataijana", "Myrcia mucugensis", "Myrcia pendula", "Myrcia pseudomarlierea", "Myrcia pseudospectabilis", "Myrcia tetraphylla", "Plinia espinhacensis", "Isolumpia divina", "Tessiera hexasepala", "Tessiera lithospermoides", "Planaltina capitata", "Planaltina lanigera", "Planaltina myndeliana", "Tripterocalyx carneus", "Etronia convexa", "Tripterocalyx carneus var. pedunculatus", "Tripterocalyx crux-maltae", "Parasesarma tripectinis", "Anillinus lescheni", "Cigaritis gigas", "Cigaritis miyamotoi", "Deudorix pewcaecus", "Lycaena tseng", "Lycaena tseng tseng", "Lycaena tseng sonephetae", "Gymnoscelis barbuti", "Maneca bhotea", "Maneca bhotea bhotea", "Allium talassicum", "Maneca bhotea unnanensis", "Carterocephalus houangty", "Carterocephalus houangty houangty", "Carterocephalus houangty jiuzaikouensis", "Aporia acraea acraea", "Aporia acraea lotis", "Aporia tayiensis", "Litinga cottini", "Litinga cottini cottini", "Chirostirca gomyi", "Quadrella singularis", "Quadrella incana", "Quadrella incana subsp. incana", "Quadrella incana var. triangularis", "Quadrella incana subsp. yucatanensis", "Quadrella domingensis", "Quadrella domingensis subsp. grisebachii", "Quadrella ferruginea subsp. cubensis", "Quadrella ferruginea", "Allium margaritae", "Allium inaequale", "Euconnus curvicrus", "Cinnamomum sericeum", "Meharia yakovlevi", "Wittocossus dellabrunai", "Lithophane fansipana", "Sciacharis puncticollis", "Lithophane gonggashana", "Lithophane karakorina", "Litholomia pacifica", "Litholomia gansuana", "Litholomia compromissa", "Dryobotodes mikkolai", "Dryobotodes sinjaevi", "Dryobotodes angusta", "Dryobotodes angusta angusta", "Dryobotodes angusta weiserti", "Antivaleria peregovitsi", "Daseutype secunda", "Meganyctycia hanhuilini", "Fabiania dolorosa", "Fabiania submediana", "Phyllobaeis erythrella", "Xylena sugii", "Xylena tanabei", "Xylena nepalina", "Xylena plumbeopaca", "Agasbogas viridis", "Euops dintelmanni", "Eupsilia shyu", "Eupsilia metashyu", "Eupsilia sulphurea", "Eupsilia yoshimotoi", "Eupsilia silla", "Stenocybe bartlettii", "Eupsilia transversa", "Eupsilia transversa transversa", "Stenocybe clavata", "Stenocybe flexuosa", "Eupsilia transversa latipennata", "Stenocybe fragmenta", "Stenocybe major", "Stenocybe mildeana", "Stenocybe montana", "Stenocybe nitida", "Stenocybe pullatula", "Stenocybe septata", "Stenocybe spinosae", "Pericallis webbii", "Polymixis longilinea", "Etia nguti", "Polymixis petrolignea", "Polymixis remota", "Quadrella antonensis", "Quadrella asperifolia", "Quadrella calciphila", "Quadrella dressleri", "Quadrella filipes", "Quadrella indica", "Euops illegalovi", "Euops judithae", "Euops oops", "Baeomyces carneus", "Baeomyces heteromorphus", "Baeomyces placophyllus", "Quadrella lindeniana", "Quadrella lundellii", "Atelopus ardila", "Atelopus gigas", "Atelopus orcesi", "Atelopus pastuso", "Atelopus podocarpus", "Quadrella mirifica", "Oxychalepus angulatus", "Itagonia medvedevi", "Itagonia tuberculata", "Itagonia xinlongensis", "Quadrella morenoi", "Quadrella morenoi f. hastata", "Quadrella pringlei", "Quadrella steyermarkii", "Quadrella alaineana", "Quadrella angustifolia", "Storicricha furiosa", "Cichorium intybus subsp. spicatum", "Storicricha primitiva", "Phyllobaeis imbricata", "Fabiania pulla", "Fabiania marki", "Fabiania satellitia", "Chasminodes bremeri", "Chasminodes japonica", "Chasminodes nigrostigma", "Chasminodes niveus", "Chasminodes ussurica", "Chasminodes annamica", "Chasminodes nigrifascia", "Dasypolia nekrasovi", "Dasypolia sylvia", "Polymixis chloromixis", "Polymixis muluki", "Lobelia sect.", "Lobelia fangiana", "Lobelia montana", "Lobelia deleiensis", "Lobelia longipedicellata", "Lobelia sect.", "Lobelia borneensis", "Lobelia origenes", "Lobelia borneensis subsp. celebensis", "Lobelia borneensis subsp. insulae-florum", "Lobelia borneensis subsp. grandiflora", "Eriotrix commersonii", "Microcerella asymmetrica", "Fannia bifolia", "Boundarus ancinatus", "Catoptes binodis", "Aneuma rubricale", "Siteroptoides kneeboni", "Siteroptoides microsaniae", "Urophorus humeralis", "Carpophilus bakewelli", "Megisba malaya aenigma", "Zeadolopus maoricus", "Zeadolopus validipes", "Tanaecia shigehoi", "Poritia erycinoides erycinoides", "Poritia erycinoides kudohatsuoi", "Poritia erycinoides miuramasatsunei", "Mynes plateni plateni", "Mynes plateni sharpi", "Limosella aquatica", "Homo erectus palaeojavanicus", "Homo erectus pekinensis", "Raorchestes sushili", "Homo erectus soloensis", "Spatulipalpia albistralis", "Pempelia maculata", "Pempelia ellenella", "Lecithocera chersitis", "Lecithocera daebuensis", "Homaloxestis croceata", "Athymoris martialis", "Pandinus imperator", "Copelatus kaszabi", "Allium callidyction", "Allium stamineum", "Exorstaenia festiva", "Exorstaenia nova", "Sychnovalva chreostes", "Sychnovalva crocea", "Sychnovalva syrrhapta", "Claduncaria ochrochlaena", "Claduncaria rufochlaena", "Claduncaria maestrana", "Raisapoana paraisoana", "Argyrotaenia albosignata", "Argyrotaenia alisellana", "Argyrotaenia amatana", "Argyrotaenia artocopa", "Argyrotaenia atima", "Argyrotaenia bialbistriata", "Aconitum subg.", "Aconitum subg.", "Cnemaspis harimau", "Cnemaspis chanardi", "Cnemaspis huaseesom", "Cnemaspis kamolnorranathi", "Cnemaspis narathiwatensis", "Cnemaspis niyomwanae", "Cnemaspis punctatonuchalis", "Cyperus absconditicoronatus", "Cyperus unispicatus", "Ctenomys rionegrensis", "Tympanoctomys cordubensis", "Citharischius crawshayi", "Curculio nucum", "Colias croceus", "Nymphalis polychloros", "Melanargia galathea magdalenae", "Melanargia galathea satnia", "Melanargia galathea syracusana", "Allium kossoricum", "Camptochaete novae-zeelandiae", "Malva subovata subsp. subovata", "Chaetomitrium spuriosubtile", "Phyllodon bilobatus", "Phyllodon choiropyxis", "Phyllodon glossoides", "Sematophyllum borneense", "Sematophyllum laevigatum", "Sematophyllum mundulum", "Trichosteleum friedense", "Strobilanthes ovata", "Stillingia tenella", "Anolis otongae", "Moenkhausia mikia", "Bathymodiolus heretaunga", "Gigantidas coseli", "Gigantidas gladius", "Gigantidas horikoshii", "Boundarus nigronotus", "Hypselotropis jekeli", "Hypselotropis jordani", "Eriotrix lycopodioides", "Taphropiestes australis", "Cisseis fascigera", "Phyllobaeis linearis", "Phyllobaeis rhodochroa", "Phyllobaeis rubescens", "Sychnovalva simillima", "Isolasia intermixta", "Isolasia hunana", "Isolasia adriennei", "Isolasia valentina", "Isolasia olivascens", "Potnyctycia barna", "Potnyctycia porphyrea", "Potnyctycia porphyrea porphyrea", "Potnyctycia porphyrea burmana", "Potnyctycia argyllacea", "Plantea fidahusseini", "Copelatus biroi", "Architrypethelium hyalinum", "Architrypethelium nitens", "Architrypethelium seminudum", "Plantea aulombardi", "Architrypethelium uberinum", "Daseuplexia unicata", "Daseuplexia pittergabori", "Daseuplexia inexpecta", "Daseuplexia oroplexina", "Daseuplexia issekutzi", "Ascocratera manglicola", "Tamu fisheri", "Howickia trilineata", "Livyatan melvillei", "Pogonus dichrous", "Pogonus dostali", "Syrdenoidius spinipes", "Pogonus nigrescens", "Chascolytrum altimontanum", "Chascolytrum latifolium", "Chascolytrum juergensii", "Chascolytrum juergensii var. angustilemma", "Astragalus tacorensis", "Astragalus minimus", "Allograpta hollowayae", "Allograpta schlingeri", "Dictyoloma vandellianum", "Cnemaspis vandeventeri", "Clidicus crocodylus", "Chilochromis duponti", "Etnalis spinicollis", "Ektonodiastylis robusta", "Alcolapia grahami", "Gromilus insularis", "Acharax clarificata", "Adipicola arcuatilis", "Adipicola osseocola", "Oxyura vantetsi", "Ocotea arenicola", "Ocotea ramosissima", "Clidemia fluminensis", "Epinephelus stictus", "Epinephelus timorensis", "Epinephelus trophis", "Gentiana spathulisepala", "Epinephelus bilobatus", "Westralichthys uwagedensis", "Swertia lihengiana", "Wallabia kitcheneri", "Tylos tantabiddyi", "Nocticola flabella", "Schoenoplectus monocephalus", "Neonidulus tereotus", "Saltipedis puertoricensis", "Pygopus robertsi", "Cydrela kreagra", "Cydrela neptuna", "Polymeridium albidum", "Polymeridium albocinereum", "Polymeridium amyloideum", "Polymeridium bambusicola", "Polymeridium biloculare", "Pygopus hortulanus", "Halolaguna sublaxata", "Alciphanes tetraclina", "Alciphanes palathodes", "Alciphanes isochra", "Alciphanes platycapna", "Parelliptis scytalias", "Carodista isomila", "Carodista paroristis", "Carodista lycopis", "Carodista geraea", "Carodista epigompha", "Carodista nubigena", "Carodista fabajuxta", "Kalocyrma epileuca", "Kalocyrma oxygonia", "Technographa ephestris", "Mnesteria pharetrata", "Mnesteria sideraula", "Teucrodoxa spiculifera", "Heterodeltis trichroa", "Pseudocrates antisphena", "Pseudocrates soritica", "Malva subovata subsp. bicolor", "Oxygnostis diacma", "Dinochares conotoma", "Dolichotorna tholias", "Malva subovata subsp. rupestris", "Craterocephalus munroi", "Polymeridium campylothelioides", "Pygopus steelescotti", "Pygopus schraderi", "Pygopus nigriceps", "Pygopus lepidopodus", "Brachylicoa estasiatica", "Saussurea bartholomewii", "Saussurea sugongii", "Polygala densiracemosa", "Neonidulus cornus", "Neonidulus brevipilus", "Neonidulus falsicornus", "Casearia espiritosantensis", "Pseudohalmyrapseudes linnaei", "Rungia linifolia", "Rungia linifolia var. saldanhae", "Melomys cooperae", "Cicindela lacrymosa", "Cicindela mindanaoensis", "Cicindela leguilloui", "Cicindela sanguineomaculata", "Polyrhanis variolosa", "Oceanella vitiensis", "Iranocichla hormuzensis", "Lavatera olbia subsp. olbia", "Lavatera olbia subsp. hispida", "Demetrida dieffenbachii", "Demetrida lateralis", "Demetrida lineella", "Demetrida moesta", "Demetrida nasuta", "Demetrida sinuata", "Lavatera \u00d7 clementii", "Demetrida picea", "Cicindela klugii", "Cicindela campestris campestris", "Cicindela campestris pontica", "Gonocephalum sinicum", "Karripurcellia peckorum", "Karripurcellia sierwaldae", "Karripurcellia harveyi", "Ipelates altaicus", "Aclypea kopetdaghica", "Odites aethiopicus", "Euops violaceus", "Euops tibialis", "Jaltomata bohsiana", "Cryptocarya panamensis", "Cryptocarya yasuniensis", "Typhonium vermiforme", "Camellia maiana", "Notocupes pingi", "Spiranthera atlantica", "Browneopsis sanintiae", "Apolinus irian", "Apolinus jaya", "Cordia pilosa", "Erikssonia edgei", "Pterochromis congicus", "Alfaroa costaricensis", "Alfaroa costaricensis subsp. septentrionalis", "Aclypea bicarinata", "Aclypea bituberosa", "Aclypea calva", "Aclypea cicatricosa", "Aclypea daurica", "Aclypea opaca", "Aclypea pamirensis", "Aclypea sericea", "Aclypea souverbiei", "Aclypea turkestanica", "Aclypea undata", "Aclypea altaica", "Groenendaelia kinabaluensis", "Zeuzera multistrigata", "Zeuzera rhabdota", "Zeuzera coffeae", "Zeuzera conferta", "Zeuzera indica", "Tarsozeuzera fuscipans", "Relluna nurella", "Rapdalus pardicolor", "Cicindela rafflesia", "Mantica horni", "Polymeridium catapastum", "Polymeridium chioneum", "Polymeridium cinereonigricans", "Manticora latipennis", "Polymeridium contendens", "Polymeridium dithecium", "Polymeridium endocrocinum", "Polymeridium flavothecium", "Polymeridium glaucoatrum", "Polymeridium neblinae", "Polymeridium pleiomeroides", "Polymeridium pleurothecium", "Polymeridium proponens", "Polymeridium quinqueseptatum", "Polymeridium simulans", "Polymeridium subcinereum", "Polymeridium sulphurescens", "Distipsidera flavicans", "Pyrausta flavimarginalis", "Pyrausta apicalis", "Pyrausta sanguifusalis", "Pyrausta centralis", "Pyrausta bilineaterminalis", "Pyrausta grisealis", "Pyrausta perparvula", "Venia kakamega", "Charanyctycia maria", "Charanyctycia laura", "Nystalea marona", "Nystalea dognini", "Nystalea pichincha", "Nystalea richardi", "Bardaxima bolivari", "Bardaxima coloradorum", "Bardaxima belizensis", "Cuscuta subg.", "Urogyrus cichlidarum", "Pseudojana floresina", "Eacles lauroi", "Eacles mayi", "Hylesia corevia", "Hylesia metapyrrha", "Hylesia hubbelli", "Euops paratibialis", "Euops piceus", "Euops ratcliffei", "Euops swartensis", "Euops tenuiflagellaris", "Euops torricelliensis", "Euops ruficornis", "Brownephilus major", "Anolis podocarpus", "Odaginiceps korykosensis", "Myrmedonota aidani", "Myrmedonota lewisi", "Myrmedonota heliantha", "Stenolophus thoracicus", "Thubana felinaurita", "Thubana xanthoteles", "Thubana leucosphena", "Ribes frankei", "Ribes huancabambense", "Ribes tumerec", "Fagopyrum pugense", "Dendrophorbium americanum", "Dendrophorbium arboluco", "Speleoithona bermudensis", "Hippolyte sapphica", "Hylomyscus pamfi", "Speleoithona eleutherensis", "Speleoithona salvadorensis", "Mallada basalis", "Mallada albofacialis", "Raveniella apopsis", "Raveniella arenacea", "Raveniella cirrata", "Raveniella janineae", "Raveniella mucronata", "Raveniella subcirrata", "Desmognathus organi", "Pamborus alternans", "Pamborus brisbanensis", "Hexarhopalus andoi", "Hexarhopalus cameroni", "Hexarhopalus clavipes", "Hexarhopalus crockeri", "Hexarhopalus difformis", "Hexarhopalus eva", "Macroglossum paukstadtorum", "Hexarhopalus granulipennis", "Hexarhopalus grimmi", "Hexarhopalus jendeki", "Hexarhopalus kaszabi", "Hexarhopalus kubani", "Hexarhopalus lilligi", "Hexarhopalus loeffleri", "Hexarhopalus masumotoi", "Hexarhopalus merkli", "Hexarhopalus pacholatkoi", "Hexarhopalus particularis", "Hexarhopalus punctithorax", "Hexarhopalus rotundicollis", "Hexarhopalus schawalleri", "Hexarhopalus seniori", "Hexarhopalus sinjaevi", "Hexarhopalus sumatranus", "Hexarhopalus tibangi", "Theretra babarensis", "Anthocharis cardamines carolinae", "Troides rhadamantus", "Allium pseudoflavum", "Allium carinatum", "Gymnomitrion bolivianum", "Delias awongkor", "Delias awongkor awongkor", "Delias awongkor hindenburgensis", "Gymnomitrion minutulum", "Gymnomitrion nigrum", "Gymnomitrion subintegrum", "Delias bakeri", "Delias luteola", "Allium lenkoranicum", "Ribes chachapoyense", "Chalcidica minea", "Xyleutes persona", "Xyleutes strix", "Duomitus ceramicus", "Phragmataecia impura", "Lakshmia zolotuhini", "Lakshmia hauensteini", "Skeletophyllon euphyes", "Azygophleps scalaris", "Cossus cossus deserta", "Cossus aksuensis", "Codonopsis lanceolata", "Nirvana buddhi", "Buteo socotraensis", "Paidia moabitica", "Paidia albescens", "Paidia cinerascens", "Paidia cinerascens cinerascens", "Paidia cinerascens palaestinensis", "Hexarhopalus attenuatus", "Hexarhopalus birmanicus", "Thalurania nigricapilla", "Spilarctia leopardina", "Spilarctia leopardina leopardina", "Spilarctia leopardina dhaulagiriensis", "Hexarhopalus borneensis", "Spilarctia leopardina rosepuma", "Architectonica modesta", "Hexarhopalus bouchardi", "Hexarhopalus bremeri", "Hexarhopalus loebli", "Hexarhopalus montanus", "Hexarhopalus problematicus", "Hexarhopalus sculpticollis", "Hexarhopalus sculptilis", "Hexarhopalus sculptithorax", "Hexarhopalus tuberculatus", "Hexarhopalus tuberculipennis", "Bellulia basalia", "Bellulia kendricki", "Bellulia postea", "Sinochrostia sichuanensis", "Mimachrostia novofasciata", "Mimachrostia fasciata minimus", "Duplex cockingi", "Duplex edwardsi", "Duplex horakae", "Duplex pullata", "Duplex weintraubi", "Sympetrum pedemontanum", "Rhagio yangi", "Sympetrum nigrifemur", "Spilarctia murzini", "Murzinarctia murzini", "Orontobia murzini", "Eucharia festiva murzini", "Sympetrum sanguineum", "Platarctia murzini", "Polyplectropus hollyae", "Polyplectropus hystricosus", "Polyplectropus insularis", "Polyplectropus juliae", "Polyplectropus kanukarum", "Polyplectropus maculatus", "Polyplectropus manuensis", "Polyplectropus matatlanticus", "Polyplectropus minensium", "Polyplectropus novafriburgensis", "Polyplectropus peruvianus", "Polyplectropus petrae", "Polyplectropus pratherae", "Polyplectropus puyoensis", "Polyplectropus rodmani", "Polyplectropus robertsonae", "Polyplectropus rondoniensis", "Polyplectropus tragularius", "Polyplectropus tripunctatum", "Polyplectropus venezolanus", "Polyplectropus woldai", "Polyplectropus zamoranoensis", "Polyplectropus zuliae", "Pleurocerina aquila", "Pleurocerina brevis", "Pleurocerina chrysopyga", "Pleurocerina lamellata", "Pleurocerina lutea", "Pleurocerina luteiceps", "Pleurocerina occidua", "Pleurocerina saxatilis", "Pleurocerina scutellata", "Pleurocerina vespiformis", "Smartiomyia arena", "Smartiomyia cerina", "Smartiomyia danielsi", "Smartiomyia macalpinei", "Conops aureolus", "Conops badius", "Conops chvalai", "Conops sparsus", "Xenorthrius berndi", "Xenorthrius bornensis", "Xenorthrius consimilis", "Xenorthrius cruralis", "Xenorthrius decoratus", "Xenorthrius dissipatus", "Xenorthrius doliaris", "Xenorthrius furcalis", "Xenorthrius hoerrmanni", "Xenorthrius lanatus", "Xenorthrius loricus", "Xenorthrius lugubris", "Xenorthrius oblongopunctatus", "Xenorthrius penangis", "Xenorthrius rubicollis", "Xenorthrius rubris", "Alliphis transversus", "Raorchestes resplendens", "Evimirus scutellatus", "Scarabaspis masani", "Scarabaspis sternalis", "Scarabaspis victoriensis", "Thinoseius helenae", "Thinoseius jarretti", "Thinoseius papillatus", "Thinoseius peltatus", "Thinoseius variabilis", "Uroiphis montivagus", "Neocrassicheles sternomus", "Axonopsis graeca", "Woolastookia minuta", "Atractides stankovici", "Sperchon pelopeius", "Arrenurus ornatus", "Arrenurus ornatus graecus", "Stylactaria munita", "Philonthus bruchianus", "Philonthus floresi", "Exiliseptum ocellatum", "Tolpia hainanensis", "Tolpia mons", "Tolpia paraunguis", "Disca anser", "Tanyconops longicaudus", "Tanyconops luteus", "Tanyconops ocellatus", "Setosiconops epixanthus", "Setosiconops similis", "Placidochromis longus", "Placidochromis lukomae", "Placidochromis macroceps", "Placidochromis macrognathus", "Australoconops aglaos", "Placidochromis mbunoides", "Neoconops brevistylus", "Neoconops glaber", "Placidochromis minor", "Placidochromis minutus", "Australoconops aurantius", "Australoconops balteus", "Australoconops breviplatus", "Australoconops brunneus", "Australoconops camrasi", "Australoconops cantrelli", "Australoconops elegans", "Australoconops fulvitarsus", "Australoconops furvus", "Australoconops nebrias", "Australoconops neuter", "Placidochromis msakae", "Australoconops pallorivittus", "Australoconops phaeomeros", "Australoconops ruficrus", "Australoconops vespoides", "Chrysidiomyia rugifrons", "Chrysidiomyia setosa", "Heteroconops carnarvonensis", "Polyplectropus alatespinus", "Polyplectropus amazonicus", "Polyplectropus andinensis", "Polyplectropus blahniki", "Polyplectropus bolivianus", "Polyplectropus brasilensis", "Polyplectropus brborichorum", "Polyplectropus colombianus", "Polyplectropus corniculatus", "Polyplectropus cressae", "Polyplectropus cuzcoensis", "Polyplectropus ecuadoriensis", "Polyplectropus flintorum", "Polyplectropus gaesum", "Polyplectropus guyanae", "Pamborus guerinii", "Pamborus opacus", "Pamborus pradieri", "Pamborus punctatus", "Pamborus tropicus", "Pamborus transitus", "Pamborus subtropicus", "Pamborus elegans", "Pamborus macleayi", "Pamborus viridis", "Megophrys tuberogranulatus", "Gomphus vulgatissimus", "Stylurus flavipes", "Ophiogomphus cecilia", "Onychogomphus forcipatus", "Trypetheliopsis boninensis", "Trypetheliopsis coccinea", "Trypetheliopsis epiphylla", "Trypetheliopsis gigas", "Trypetheliopsis kalbii", "Trypetheliopsis kassamensis", "Somatochlora alpestris", "Somatochlora metallica", "Somatochlora arctica", "Somatochlora flavomaculata", "Epitheca bimaculata", "Cordulia aenea", "Cordulegaster bidentata", "Cordulegaster boltonii", "Orthetrum coerulescens", "Orthetrum brunneum", "Orthetrum cancellatum", "Exochomoscirtes arunahalensis", "Khorata digitata", "Leptonetela anshun", "Xenorthrius aurorafasciatus", "Polyplectropus adamsae", "Notoconops alexanderi", "Asytegumen absurdus", "Chrysopilus amorimi", "Chrysopilus amulus", "Chrysopilus batak", "Chrysopilus mawambus", "Chrysopilus meunieri", "Chrysopilus occidentalis", "Bakerdania latissimosetosa", "Bakerdania martyaniensis", "Bakerdania undulata", "Petrocephalus mbossou", "Petrocephalus odzalaensis", "Petrocephalus pulsivertens", "Petrocephalus valentini", "Petrocephalus zakoni", "Allium kunthianum", "Sierramyia caligatus", "Sierramyia nagatomii", "Allium convallarioides", "Xenorthrius procerus", "Allium kirindicum", "Placidochromis nigribarbis", "Placidochromis nkhatae", "Placidochromis nkhotakotae", "Placidochromis obscurus", "Placidochromis ordinarius", "Dianthus serotinus", "Placidochromis orthognathus", "Ornithogalum pyramidale", "Placidochromis pallidus", "Placidochromis platyrhynchos", "Placidochromis rotundifrons", "Placidochromis trewavasae", "Placidochromis turneri", "Placidochromis vulgaris", "Allium rubellum", "Placidochromis phenochilus", "Khorata triangula", "Khorata wangae", "Draconarius adnatus", "Draconarius anceps", "Draconarius catillus", "Draconarius curvus", "Draconarius duplus", "Draconarius euryembolus", "Draconarius gigas", "Draconarius guoi", "Draconarius kavanaughi", "Draconarius laticavus", "Draconarius levyi", "Draconarius longlingensis", "Draconarius mikrommatos", "Draconarius olorinus", "Draconarius paraspiralis", "Draconarius pseudoagrestis", "Draconarius pseudospiralis", "Draconarius quattour", "Draconarius renalis", "Draconarius spiralis", "Draconarius tangi", "Draconarius tridens", "Draconarius xuae", "Draconarius yani", "Lasioglossum abundipunctum", "Lasioglossum atwoodi", "Lasioglossum dashwoodi", "Lasioglossum ebmerellum", "Lasioglossum ephialtum", "Lasioglossum imbrex", "Lasioglossum knereri", "Lasioglossum lilliputense", "Lasioglossum macroprosopum", "Lasioglossum packeri", "Lasioglossum prasinogaster", "Lasioglossum reasbeckae", "Lasioglossum sablense", "Lasioglossum sandhousiellum", "Lasioglossum sheffieldi", "Lasioglossum sitocleptum", "Lasioglossum taylorae", "Lasioglossum timothyi", "Lasioglossum yukonae", "Lasioglossum mitchelli", "Lasioglossum carlinvillense", "Lasioglossum puteulanum", "Physalaemus lateristriga", "Placidochromis subocularis", "Cychropsis sehnali", "Cychropsis tryznai", "Cychropsis paramontana", "Placidochromis polli", "Scinax juncae", "Osornophryne cofanorum", "Mannophryne orellana", "Mannophryne urticans", "Mannophryne vulcano", "Pamborus pradieri darlingtoni", "Apamea kawadai", "Apamea askoldis", "Odontosia marumoi", "Ptilodon longipennis", "Crocothemis erythraea", "Synurus deltoides", "Pyractonema nigripennis", "Azumamiris vernalis", "Sphaerocetum malayanum", "Casuarinicola australis", "Casuarinicola mucronalatus", "Casuarinicola nigrimaculatus", "Casuarinicola novacaledonica", "Casuarinicola warrigalensis", "Riseveinus asymmetricus", "Sinowatsonia mussoti", "Spilosoma mienshanica", "Arctia martinhoneyi", "Rambuasalama augustasi", "Platylesches robustus", "Sympetrum meridionale", "Platylesches robustus robustus", "Platylesches robustus villa", "Platylesches robustus fofi", "Platylesches affinissima", "Platylesches ayresii", "Platylesches batangae", "Platylesches dolomitica", "Platylesches fosta", "Platylesches galesa", "Platylesches iva", "Platylesches langa", "Platylesches panga", "Platylesches lamba", "Platylesches larseni", "Platylesches moritili", "Platylesches neba", "Platylesches picanini", "Platylesches rossii", "Platylesches shona", "Platylesches tina", "Platylesches rasta", "Platylesches rasta rasta", "Platylesches rasta anka", "Platylesches chamaeleon", "Platylesches chamaeleon chamaeleon", "Platylesches chamaeleon tero", "Athrips gussakovskii", "Athrips autumnella", "Athrips carthaginella", "Tactusa major", "Tactusa rima", "Tactusa sine", "Tactusa sumatrensis", "Tactusa parasumatrensis", "Tactusa schnacki", "Tactusa trigonifera", "Tactusa nilssoni", "Tactusa ostium", "Tactusa peregovitsi", "Tactusa flavoniger", "Tactusa nieukerkeni", "Tactusa topi", "Allium anisotepalum", "Dendrolimus ledereri", "Scepomycter rubehoensis", "Loxia sinesciuris", "Allium minutum", "Allium parvulum", "Allium griffithianum", "Dindica taiwana", "Synurus excelsus", "Synurus pungens", "Fidicinoides sarutaiensis", "Mystrophorus formicaeformis", "Saadanius hijazensis", "Tactusa incognita", "Tactusa jeppeseni", "Tactusa bechi", "Tactusa dohertyi", "Dipterygina japonica", "Dipterygina cupreotincta", "Psyra subcuneata", "Tactusa artus", "Tactusa assamia", "Tactusa biartus", "Tactusa constrictor", "Tactusa discrepans", "Tactusa minor", "Tactusa pars", "Tactusa similis", "Tactusa spadix", "Tactusa tranumi", "Conspica inconspicua", "Conspica parainconspicua", "Tumula flavicollis", "Vas owadai", "Vas proceus", "Nilgerides trifasciata", "Fustis biextuta", "Fustis extuta", "Fustis gregerseni", "Fustis malaysiensis", "Fustis papei", "Fustis parasensora", "Fustis sensora", "Fustis s-forma", "Fustis sterlingi", "Bruma parvus", "Costasensora honeyi", "Longiantrum burmaensis", "Longiantrum coclea", "Longiantrum legraini", "Longiantrum quadra", "Abes vedi", "Asyprocessa laevi", "Asyprocessa spinus", "Asyprocessa wapi", "Tantulius belli", "Asylemissa comma", "Clarior kitchingi", "Obscura clarus", "Obscura davisi", "Obscura fragilis", "Obscura lateraprocessa", "Obscura niasiensis", "Editum editoides", "Editum editum", "Campylothelium decolorans", "Campylothelium defossum", "Campylothelium lugescens", "Aplothorax burchellii", "Campylothelium megalostomum", "Xenorthrius scordalus", "Xenorthrius stefanieae", "Xenorthrius supraflaveolis", "Xenorthrius temeris", "Xenorthrius versicolor", "Leptonetela bama", "Leptonetela curvispinosa", "Leptonetela danxia", "Leptonetela digitata", "Leptonetela furcaspina", "Leptonetela geminispina", "Leptonetela grandispina", "Leptonetela hamata", "Leptonetela hexacantha", "Leptonetela jinsha", "Leptonetela jiulong", "Leptonetela liping", "Leptonetela maxillacostata", "Leptonetela meitan", "Leptonetela oktocantha", "Leptonetela palmata", "Leptonetela pentakis", "Leptonetela reticulopecta", "Leptonetela suae", "Leptonetela tetracantha", "Leptonetela tongzi", "Leptonetela yangi", "Exochomoscirtes basipunctatus", "Exochomoscirtes bezdeki", "Exochomoscirtes buechei", "Exochomoscirtes cambodiensis", "Exochomoscirtes ceylonicus", "Exochomoscirtes dilaticornis", "Exochomoscirtes globosus", "Exochomoscirtes jaechi", "Exochomoscirtes klausnitzeri", "Exochomoscirtes longispinus", "Exochomoscirtes luteosuturalis", "Exochomoscirtes luteosuturaloides", "Exochomoscirtes meghalayensis", "Exochomoscirtes nahangensis", "Exochomoscirtes nigromarginatus", "Exochomoscirtes nipponicus", "Exochomoscirtes pectinatus", "Exochomoscirtes picturatus", "Exochomoscirtes quadripartitus", "Exochomoscirtes serricornis", "Exochomoscirtes takizawai", "Exochomoscirtes thailandicus", "Exochomoscirtes ruforotundus", "Khorata dongkou", "Khorata epunctata", "Khorata flabelliformis", "Khorata guiensis", "Khorata liuzhouensis", "Khorata luojinensis", "Khorata macilenta", "Khorata miaoshanensis", "Khorata nanningensis", "Khorata paquini", "Khorata robertmurphyi", "Khorata rongshuiensis", "Khorata shao", "Riseveinus compressus", "Rhabdotalebra flava", "Rhabdotalebra litoralensis", "Izatha blepharidota", "Izatha dasydisca", "Izatha dulcior", "Izatha gekkonella", "Izatha gibbsi", "Izatha haumu", "Izatha katadiktya", "Izatha lignyarcha", "Izatha minimira", "Izatha notodoxa", "Izatha quinquejacula", "Izatha spheniscella", "Izatha taingo", "Izatha voluptuosa", "Izatha walkerae", "Izatha acmonias", "Izatha apodoxa", "Izatha attactella", "Izatha austera", "Izatha balanophora", "Izatha caustopa", "Izatha churtoni", "Izatha convulsella", "Izatha copiosella", "Izatha epiphanes", "Izatha florida", "Izatha heroica", "Izatha hudsoni", "Izatha huttonii", "Izatha manubriata", "Izatha mesoschista", "Izatha metadelta", "Izatha mira", "Izatha oleariae", "Izatha peroneanella", "Izatha phaeoptila", "Izatha picarella", "Izatha prasophyta", "Izatha psychra", "Izatha rigescens", "Anarsia dryinopa", "Scinax lutzorum", "Bufo centralis", "Apteroloma coreanum", "Antiochtha leucograpta", "Antiochtha protrusa", "Antiochtha jianfengensis", "Antiochtha purpurata", "Antiochtha rotunda", "Antiochtha balbidota", "Spulerina virgulata", "Spulerina castaneae", "Spulerina corticicola", "Spulerina dissotoma", "Spulerina astaurota", "Spulerina bifaria", "Spulerina elegans", "Spulerina quadrata", "Euhyponomeuta stannella", "Euhyponomeuta rotunda", "Talicada nyseus", "Talicada nyseus nyseus", "Talicada nyseus delhiensis", "Talicada metana", "Eudarcia similidentata", "Eudarcia prolongata", "Eudarcia dentata", "Eudarcia defluescens", "Allium jacquemontii", "Nyctycia adnivis", "Nyctycia nivescens", "Nyctycia albivariegata", "Nyctycia sugii", "Nyctycia laci", "Nyctycia strigidisca", "Nyctycia strigidisca strigidisca", "Nocardia asteroides", "Nyctycia strigidisca vargai", "Nyctycia hoenei", "Nyctycia hoenei hoenei", "Nyctycia hoenei simonyi", "Evisa fantastica", "Klebsiella granulomatis", "Argyrotaenia cubae", "Argyrotaenia vinalesiae", "Argyrotaenia santacatarinae", "Argyrotaenia chiapasi", "Anommatus fallax", "Propertius dejongi", "Caligulana caligula", "Hansa cotundo", "Hansa hyboma", "Hansa devergens", "Hansa devergens devergens", "Hansa devergens hydra", "Allium ophiophyllum", "Lindra brasus", "Lindra brasus brasus", "Arhopalus tristis", "Allium inops", "Lindra brasus ackeryi", "Lindra brasus huxleyi", "Myrinia catua", "Allium lasiophyllum", "Allium delicatulum", "Allium glomeratum", "Dendrophorbium archeri", "Dendrophorbium barkleyanum", "Dendrophorbium biacuminatum", "Dendrophorbium bomanii", "Dendrophorbium brachycodon", "Dendrophorbium bradei", "Dendrophorbium buchtienii", "Leucorrhinia albifrons", "Campylothelium puiggarii", "Campylothelium superbum", "Campylothelium tenue", "Campylothelium zahlbruckneri", "Ipelates castaneicolor", "Ipelates curtus", "Ipelates himalajanus", "Ipelates indicus", "Ipelates jumlanus", "Ipelates latissimus", "Ipelates latus", "Ipelates ruficollis", "Ipelates ruzickai", "Ipelates schmidti", "Ipelates schuelkei", "Ipelates sikkimensis", "Ipelates striatipennis", "Ipelates weitshati", "Evorinea marie", "Evorinea amberica", "Ipelates kerneggeri", "Cynara cardunculus subsp. flavescens", "Vipio angaricus", "Vipio mongolicus", "Vipio shestakovi", "Vipio striolatus", "Glyptomorpha ovata", "Litinga cottini arayai", "Lethe bitaensis", "Aphantopus hyperantus", "Aphantopus hyperantus hyperantus", "Leucorrhinia rubicunda", "Eriogenes cossoides", "Eriogenes meyricki", "Eriogenes mesogypsa", "Eriogenes nielseni", "Leucorrhinia caudalis", "Cryptophlebia palustris", "Leucorrhinia dubia", "Leucorrhinia pectoralis", "Deinacrida carinata", "Deinacrida connectens", "Deinacrida fallai", "Deinacrida heteracantha", "Deinacrida parva", "Deinacrida rugosa", "Deinacrida tibiospina", "Calosoma inquisitor cupreum", "Calosoma bohnei", "Calosoma jakli", "Microferonia baro", "Aphantopus hyperantus abaensis", "Carterocephalus houangty zorgensis", "Hemianax ephippiger", "Episteme vetula", "Episteme vetula vetula", "Episteme vetula mentawaiensis", "Anax imperator", "Scrobigera muramotoe", "Ophthalmis milete", "Aeshna caerulea", "Ophthalmis milete milete", "Ophthalmis milete kangeana", "Mimeusemia hidekii", "Episteme sumbana", "Episteme sumbana sumbana", "Episteme sumbana floresana", "Euaspa forsteri forsteri", "Euaspa forsteri ucharai", "Euaspa nosei", "Euaspa koizumii", "Euaspa hishikawai", "Howarthia kimurai", "Howarthia wakaharai", "Howarthia sakakibarai", "Howarthia yukinobui", "Aeshna isoceles", "Brahmaea paukstadtorum", "Brahmaea naessigi", "Brahmaea loeffleri", "Brahmaea celebica", "Brahmaea ardjoeno", "Brahmaea hearseyi", "Brahmaea christophi", "Brahmaea wallichi", "Dendrophorbium cabrerae", "Dendrophorbium cabrerianum", "Dendrophorbium catharinense", "Hypochrysops digglesii digglesii", "Dendrophorbium chaenocephalum", "Hypochrysops digglesii gerritsi", "Dendrophorbium colombianum", "Dendrophorbium coroicense", "Dendrophorbium curvidens", "Aeshna subarctica", "Aeshna viridis", "Brachytron pratense", "Nehalennia speciosa", "Axia theresiae", "Axia theresiae theresiae", "Axia theresiae schellhornae", "Coenagrion ornatum", "Streblote lajonquieri", "Coenagrion hastulatum", "Brenthis ino", "Coenagrion scitulum", "Coenagrion armatum", "Pyrrhosoma nymphula", "Allium pallasii", "Allium macrostemon", "Allium caesium", "Allium elegans", "Ptiliodes blackburni", "Ptinella pacifica", "Ptiliodes insignis", "Ptiliodes pulchellus", "Trichocera sardiniensis", "Stylopauropoides erectus", "Stylopauropoides eximius", "Stylopauropoides hetaeros", "Stylopauropoides quadripartitus", "Stylopauropoides rounsevelli", "Stylopauropoides scissus", "Stylopauropoides bilobatus", "Stylopauropoides bornemisszai", "Stylopauropoides delamarei", "Stylopauropoides duplex", "Stylopauropoides dytanekes", "Stylopauropoides furcillatus", "Stylopauropoides hirtus", "Stylopauropoides incisus", "Stylopauropoides infidus", "Stylopauropoides lambda", "Stylopauropoides novaehollandiae", "Stylopauropoides ringueleti", "Stylopauropoides salazarae", "Stylopauropoides subantarcticus", "Stylopauropoides tiegsi", "Stylopauropoides vadoni", "Symphylella subantarctica", "Delias cuningputi", "Delias konokono", "Delias chimbu", "Paeonia subsect.", "Delias citrona", "Delias jordani", "Allium crystallinum", "Allium filidens", "Paeonia cambessedesii", "Paeonia mascula subsp. mascula", "Dennstaedtia punctilobula", "Paeonia obovata subsp. japonica", "Cuisenerita tuberosa", "Arrenurus cornuatus", "Arrenurus kostkai", "Introrsa yaoquensis", "Engystomops puyango", "Paeonia \u00d7 festiva", "Atopomacer hondurasensis", "Rana maoershanensis", "Sympecma fusca", "Sympecma paedisca", "Vagrans egista", "Vagrans egista egista", "Vagrans egista samsoni", "Hypolimnas octocula", "Hypolimnas octocula octocula", "Hypolimnas octocula bellus", "Delias vietnamensis", "Delias vietnamensis vietnamensis", "Delias vietnamensis yasusukei", "Delias ennia", "Delias ennia ennia", "Delias ennia hidehitoi", "Delias hempeli sadakatsui", "Nacaduba novaehebridensis", "Nacaduba novaehebridensis novaehebridensis", "Nacaduba novaehebridensis nubilus", "Catopyrops nebulosa nebulosa", "Catopyrops nebulosa opacus", "Lestes virens", "Proteuaspa akikoae", "Melanocyma faunula", "Melanocyma faunula faunula", "Melanocyma faunula kimurai", "Teinopalpus aureus nagaoi", "Atrophaneura matsudai", "Delias yagishitai", "Pareronia nishiyamai nishiyamai", "Cepora iudith beta", "Euphrasia amblyodonta", "Ectropis adtenuata", "Ectropis scoblei", "Paeonia ludlowii", "Pikelinia arenicola", "Periclimenaeus creefi", "Periclimenaeus heronensis", "Allacanthos yawi", "Cyrtodactylus phuquocensis", "Ectoedemia asiatica", "Ectoedemia fuscata", "Ectoedemia glycystrota", "Ectoedemia hadronycha", "Ectoedemia hobohmi", "Ectoedemia pelops", "Ectoedemia squamibunda", "Ectoedemia vannifera", "Hierodoris torrida", "Hierodoris polita", "Hierodoris gerontion", "Hierodoris sesioides", "Hierodoris pachystegiae", "Hierodoris tygris", "Hierodoris s-fractum", "Hierodoris callispora", "Hierodoris electrica", "Hierodoris eremita", "Hierodoris frigida", "Hierodoris illita", "Hierodoris iophanes", "Hierodoris squamea", "Hierodoris stella", "Albericus alpestris", "Acucapito naso", "Cladocroce reina", "Nereis ovarius", "Euphorbia oblongifolia", "Euphorbia iberica", "Euphorbia hirsuta", "Euphorbia arvalis", "Amphilophus globosus", "Amphilophus supercilius", "Euphorbia squamosa", "Axiothella serrata", "Poecilochaetus trachyderma", "Cossura consimilis", "Ficopomatus enigmaticus", "Boccardia androgyna", "Boccardia magniovata", "Boccardia wellingtonensis", "Platynereis karaka", "Platynereis kau", "Platynereis mahanga", "Acheilognathus striatus", "Deudorix democles", "Deudorix democles democles", "Euthalia mahadeva ghazallyismaili", "Bassarona teuta skrzypinskia", "Polyura schreiber balambangana", "Discophora necho epsilon", "Elymnias panthera zeta", "Acucapito vietnamensis", "Prosopocoilus calcaratus", "Carabus kirghisorum", "Carabus kirghisorum kasantsevi", "Peregrinacarus reticulatus", "Peregrinacarus falklandensis", "Falklandoperla kelper", "Acheilognathus polylepis", "Acheilognathus asmussii", "Falklandoglenes spinosa", "Beauchenia striata", "Acheilognathus barbatulus", "Acheilognathus barbatus", "Acheilognathus binidentatus", "Acheilognathus brevicaudatus", "Anisacate fuegianum", "Anisacate fuegianum bransfieldi", "Anopsobius macfaydeni", "Phyllhermannia falklandica", "Solenoppia pernettyae", "Oribatella blocki", "Furcobates lewissmithi", "Eristalis croceimaculata", "Broscosoma valainisi", "Vahlodea atropurpurea", "Cepora boisduvaliana", "Cepora boisduvaliana boisduvaliana", "Cepora boisduvaliana sibuyanensis", "Tanaecia borromeoi", "Euploea mulciber subvisaya", "Erwinius prognatus", "Dendrophorbium kleinioides", "Paeonia rockii subsp. atava", "Paeonia rockii subsp. rockii", "Dendroctonus micans", "Adelencyrtus biannulatus", "Adelencyrtus noyesi", "Adelencyrtus orientalis", "Epitetracnemus bandus", "Epitetracnemus reni", "Dendrophorbium krukoffii", "Bilobella mahunkai", "Amphicnemis bebar", "Amphicnemis hoisen", "Alloxiphidiopsis fingera", "Alloxiphidiopsis quadratis", "Dendrophorbium limosum", "Stenoscelis hylastoides", "Brarus mystes", "Frontipoda purpurea", "Frontipoda mouensis", "Frontipoda neocaledonica", "Aspidiobates brevipes", "Aspidiobates convexus", "Aspidiobates denticulatus", "Aspidiobates longisetus", "Aspidiobates simplipalpis", "Aspidiobates villosus", "Aspidiobates suturalis", "Broscosoma sichuanum", "Broscosoma stefani", "Broscosoma surkiense", "Broscosoma tawangense", "Broscosoma tiani", "Broscosoma tibetanum", "Broscosoma uenoi", "Broscosoma xuechengense", "Paeonia \u00d7 saundersii", "Paeonia cathayana", "Paeonia \u00d7 lemoinei", "Paeonia \u00d7 smouthii", "Anolis aeneus", "Anolis aequatorialis", "Anolis agassizi", "Anolis agueroi", "Anolis ahli", "Opopanax chironium", "Agaricus campestris", "Zeuzera pyrina", "Paeonia \u00d7 hybrida", "Thyas javanica", "Thyas javanica javanica", "Cydia molesta", "Thyas javanica defasciata", "Euploea midamus", "Euploea midamus midamus", "Euploea midamus theta", "Drupadia theda", "Drupadia theda theda", "Drupadia theda sigma", "Hypochrysops aurantiaca", "Poritia hewitsoni", "Poritia hewitsoni hewitsoni", "Poritia hewitsoni kiyokoae", "Argyronympha rubianensis", "Argyronympha rubianensis rubianensis", "Argyronympha rubianensis masolo", "Hebomoia glaucippe chewi", "Satyrium tateishii", "Elymnias cottonis", "Elymnias cottonis cottonis", "Elymnias cottonis jennifferae", "Deudorix novellus", "Amastus rufothorax", "Pseudohemihyalea inexpectata", "Paeonia sect.", "Psophus stridulus", "Prasinocyma viridipes", "Prasinocyma applicata", "Archichlora basquini", "Archichlora tenera", "Archichlora scissimacula", "Archichlora perineti", "Chrysocraspeda tanala", "Chrysocraspeda cadorelae", "Epigynopteryx roseifascia", "Ectropis albiquadrata", "Clithon barbei", "Neritodryas guillioui", "Nerita gouetensis", "Tomostoma angusta", "Capitonius bellaptera", "Capitonius boringi", "Capitonius catemacoensis", "Capitonius flavusassumentum", "Capitonius lateventris", "Capitonius negrolabiatus", "Capitonius nigrum", "Capitonius robertsonae", "Capitonius rondoniaensis", "Capitonius sarmientoi", "Capitonius seltmannae", "Capitonius sharkeyi", "Capitonius stramentopetiolus", "Capitonius stramentosura", "Capitonius venezuelaensis", "Capitonius venustus", "Capitonius bicolor", "Capitonius rufa", "Capitonius senlura", "Paeonia corsica", "Broscosoma annemariae", "Broscosoma baldense", "Broscosoma benesi", "Broscosoma businskae", "Broscosoma convexum", "Broscosoma deuvei", "Broscosoma doenitzi", "Broscosoma dostali", "Broscosoma farkaci", "Broscosoma gracile", "Broscosoma guttuliforme", "Broscosoma janatai", "Broscosoma jintangense", "Broscosoma kalabi", "Broscosoma monticola", "Broscosoma montreuili", "Broscosoma moriturum", "Broscosoma relictum", "Broscosoma ribbei", "Broscosoma rolex", "Broscosoma schawalleri", "Broscosoma sehnali", "Euphrasia lebardensis", "Euphrasia minima", "Euphrasia petiolaris", "Euphrasia rostkoviana", "Allium kopetdagense", "Allium oreophiloides", "Allium schoenoprasoides", "Allium kujukense", "Lestes macrostigma", "Allium eremoprasum", "Chalcolestes viridis", "Chalcolestes parvidens", "Allium popovii", "Argyrotaenia sagata", "Argyrotaenia lautana", "Argyrotaenia dichroaca", "Argyrotaenia dispositana", "Argyrotaenia lojalojae", "Argyrotaenia brimuncus", "Argyrotaenia chroeca", "Argyrotaenia confinis", "Argyrotaenia cupreographa", "Argyrotaenia dearmata", "Argyrotaenia fortis", "Argyrotaenia fragosa", "Argyrotaenia glabra", "Argyrotaenia jamaicana", "Argyrotaenia obvoluta", "Argyrotaenia parturita", "Argyrotaenia mesosignaria", "Argyrotaenia minisignaria", "Argyrotaenia kimballi", "Argyrotaenia klotsi", "Polygonatum humile", "Dendrophorbium dielsii", "Dendrophorbium dolichodoryium", "Dendrophorbium fastigiaticephalum", "Dendrophorbium favillosum", "Minycardita capitanensis", "Dendrophorbium floribundum", "Dendrophorbium fortunatum", "Sabellomma collinae", "Sabellomma harrisae", "Dianthus collinus", "Dendrophorbium fruticosum", "Deramas treadawayi", "Deramas philippinensis", "Deramas toshikoae", "Arhopala cleander", "Arhopala cleander cleander", "Paeonia sect.", "Allium lehmannianum", "Arhopala philippina", "Paeonia sect.", "Allium borszczowii", "Arhopala nishiyamai", "Arhopala hollowayi", "Paeonia subsect.", "Arhopala aronya", "Arhopala aronya aronya", "Arhopala aronya natsumiae", "Arhopala staudingeri", "Arhopala staudingeri staudingeri", "Arhopala staudingeri negrosiana", "Arhopala alesia", "Arhopala alesia alesia", "Arhopala alesia mio", "Flos setsuroi", "Horaga albimacula", "Horaga albimacula albimacula", "Allium brevidens", "Pratapa tyotaroi", "Sinthusa mindanensis", "Allium turcomanicum", "Neptis sedata", "Thyas javanica variabilis", "Lampris guttatus", "Eupithecia andrasi", "Hestina nicevillei", "Hestina nicevillei nicevillei", "Tubipora musica", "Hestina nicevillei magna", "Dendrophorbium lloense", "Dendrophorbium longilinguae", "Dendrophorbium lucidum", "Paeonia officinalis subsp. huthii", "Paeonia officinalis subsp. officinalis", "Paeonia officinalis subsp. microcarpa", "Paeonia officinalis subsp. banatica", "Paeonia officinalis subsp. italica", "Argyrotaenia purata", "Euops buergersi", "Paeonia sterniana", "Corticea graziellae", "Moeris patriciae", "Cobalopsis brema", "Argon casca", "Pelochares australis", "Pelochares ellipticus", "Pelochares fauveli", "Pelochares decorus", "Pelochares nigripes", "Pelochares picinus", "Pelochares simplex", "Limnichites punctatus", "Anolis alayoni", "Anolis alfaroi", "Anolis aliniger", "Scirtes amoensis", "Scirtes bleuei", "Scirtes chagrinensis", "Scirtes ebenus", "Scirtes kanak", "Scirtes monteithi", "Scirtes nehouensis", "Scirtes raritas", "Scirtes rolandi", "Scirtes serra", "Scirtes vittatus", "Scirtes wanati", "Scirtes caledonicus", "Scirtes immaculatus", "Aspidiobates rarus", "Aspidiobates neocaledonicus", "Aspidiobates minutus", "Aspidiobates caeruleus", "Aspidiobates imamurai", "Aspidiobates lundbladi", "Aspidiobates motasi", "Aspidiobates parvulus", "Aspidiobates serratus", "Aspidiobates spatiosus", "Aspidiobates starmuehlneri", "Aspidiobates violaceus", "Aspidiobates geometricus", "Aspidiobates harveyi", "Aspidiobates pacificus", "Aspidiobates vanuaticus", "Anolis unilobatus", "Clepsis longilabis", "Clepsis jordaoi", "Anolis acutus", "Clepsis brunneotona", "Clepsis griseotona", "Clepsis labisclera", "Anolis adleri", "Clepsis bertiogana", "Clepsis diversa", "Clepsis paralaxa", "Aspidiobates orbiculatus", "Henricus tingomariae", "Aspidiobates aethes", "Aspidiobates bidewel", "Aspidiobates pilbara", "Aspidiobates wittenoom", "Aspidiobates scutatus", "Aspidiobates similis", "Aspidiobates vietsi", "Aspidiobates unidorsalis", "Ulidia metope", "Macrargus sumyensis", "Tetramoera bongwaensis", "Procharista ranongensis", "Procharista spectabilosa", "Paeonia qiui", "Eurodachtha rotundina", "Paeonia decomposita", "Paeonia decomposita subsp. decomposita", "Paeonia decomposita subsp. rotundiloba", "Paeonia jishanensis", "Calocoris affinis", "Oarisma bruneri", "Allium pseudoampeloprasum", "Paeonia subsect.", "Dendrophorbium pellucidinerve", "Allium atroviolaceum", "Paeonia algeriensis", "Dendrophorbium peregrinum", "Dendrophorbium pluricephalum", "Allium monanthum", "Dendrophorbium pururu", "Dendrophorbium reflexum", "Obrienia illaetabilis", "Obrienia ingurgata", "Obrienia kuscheli", "Guillermia lecticula", "Mollitrichosiphum nigrum", "Neotrichia dracanamalama", "Pholetesor hayati", "Parapanteles sireeshaae", "Saetherocladius fusticulus", "Saetherocladius fusus", "Saetherocladius triangulatus", "Saetherocladius urubiciensis", "Saetherocladius hirtus", "Allium dictyoscordum", "Allium dictyoprasum", "Anolis allisoni", "Anolis allogus", "Anolis altae", "Platycerus mandibularis", "Anolis altavelensis", "Allium erubescens", "Cephennomicrus gumnos", "Allium talyschense", "Agathis citrinisoma", "Bassus albobasalis", "Bassus albozonatus", "Biroia soror", "Braunsia bicolorata", "Braunsia devriesi", "Braunsia maculifera", "Braunsia nigrapiculata", "Braunsia pumatica", "Camptothlipsis hanoiensis", "Coronagathis cornifera", "Earinus aurantius", "Earinus brevistigmus", "Euagathis flavosoma", "Disophrys maculifera", "Disophrys quymanhi", "Disophrys rhinoides", "Gyragathis quyi", "Therophilus annuliferus", "Therophilus cattienensis", "Therophilus contrastus", "Therophilus crenulisulcatus", "Therophilus depressiferus", "Therophilus elongator", "Therophilus levisoma", "Therophilus marucae", "Therophilus mellisoma", "Therophilus nigrolineatus", "Therophilus nuichuaensis", "Therophilus parasper", "Therophilus planifrons", "Pythonides eminus", "Euops breyniae", "Euops deceptus", "Euops flyensis", "Chaetocnema concinna", "Balta barbellata", "Balta curvirostris", "Balta spinea", "Balta spinescens", "Balta jinlinorum", "Balta dissecta", "Scoparia bifaria", "Scoparia brevituba", "Scoparia jiuzhaiensis", "Scoparia largispinea", "Scoparia spinosa", "Scoparia uncinata", "Deuteraphorura caprelleana", "Afronurus namnaoensis", "Epeorus inthanonensis", "Epeorus khayengensi", "Epeorus nguyenbaeorum", "Compsoneuria langensis", "Compsoneuria perakensis", "Allium guttatum", "Allium affine", "Calosota albipalpus", "Calosota bicolorata", "Calosota elongata", "Calosota longivena", "Calosota panamaensis", "Calosota setosa", "Calosota speculifrons", "Allium fuscoviolaceum", "Calosota acron", "Calosota aestivalis", "Calosota agrili", "Calosota grylli", "Calosota longiventris", "Calosota metallica", "Calosota modesta", "Calosota obscura", "Calosota vernalis", "Calosota violascens", "Calosota cecidobius", "Bathelium albidoporum", "Bathelium carolinianum", "Bathelium degenerans", "Bathelium endochryseum", "Bathelium lineare", "Bathelium madreporiforme", "Bathelium mastoideum", "Bathelium sphaericum", "Bathelium tuberculosum", "Allium sphaerocephalon", "Allium regelianum", "Paeonia californica", "Plataea polychroma", "Phaneta viridis", "Phaneta hodgesi", "Paeonia mairei", "Nippoptilia distigmata", "Geometra sponsaria", "Geometra ussuriensis", "Geometra neovalida", "Geometra flavifrontaria", "Geometra purissima", "Geometra smaragdus", "Geometra fragilis", "Geometra sinoisaria", "Geometra burmensis", "Geometra glaucaria", "Geometra rana", "Geometra sigaria", "Eudasychira gainsfordi", "Cyana rubristriga", "Cyana rubristriga rubristriga", "Cyana rubristriga katanga", "Cyana hecqi", "Paeonia clusii", "Paeonia clusii subsp. rhodia", "Purpuricenus graecus", "Menophra annegreteae", "Paeonia parnassica", "Dendrophorbium medullosum", "Oplurus cyclurus", "Dendrophorbium moscopanum", "Dendrophorbium multinerve", "Dendrophorbium ocanense", "Dendrophorbium onae", "Paeonia mascula subsp. bodurii", "Allium aucheri", "Dendrophorbium scaphiforme", "Dendrophorbium scytophyllum", "Dendrophorbium sibundoyense", "Dendrophorbium silvani", "Dendrophorbium sotarense", "Dendrophorbium storkii", "Paeonia arietina", "Dendrophorbium tabacifolium", "Paeonia kesrouanensis", "Madagatrox ranotsaraensis", "Omorgus lucidus", "Sericania yamayai", "Afromorgus pauliani", "Lucanus luci", "Dorcus kyawi", "Dorcus kamijoi", "Dorcus tsunodai", "Dorcus myinti", "Dorcus cuongi", "Allium sergii", "Siralus insularis", "Allium eugenii", "Wernoryctes werneri", "Anolis alvarezdeltoroi", "Allium verticillatum", "Anolis amplisquamosus", "Neocheritra manata", "Crotaphytus antiquus", "Charaxes bernardus basilisae", "Charaxes amycus bayanii", "Tajuria mantra", "Glena unipennaria", "Arhopala simoni", "Idaea truschi", "Idaea erubescens", "Idaea gelbrechti", "Idaea deversaria", "Idaea deversaria deversaria", "Idaea deversaria fallax", "Scopula submutata", "Scopula submutata submutata", "Scopula submutata gedrensis", "Scopula scalercii", "Cyclophora punctaria", "Cyclophora punctaria punctaria", "Cyclophora punctaria fritzae", "Castalius clathratus", "Kisaura alveiformis", "Kisaura inflata", "Copidosoma amarginalia", "Allium confragosum", "Allium scrobiculatum", "Allium transvestiens", "Allium sabulosum", "Allium turkestanicum", "Allium ferganicum", "Cornuclepsis seminivea", "Clepsis aba", "Clepsis archidona", "Paeonia rockii", "Dendrophorbium glaziovii", "Therophilus punctiscutum", "Therophilus robustus", "Therophilus rugosiferus", "Therophilus scutellatus", "Troticus alloflavus", "Troticus giganteus", "Zelodia albobasalis", "Zelodia anginota", "Zelodia bicoloristigma", "Zelodia brevifemoralis", "Zelodia flavistigma", "Ptinus rufipes", "Ptinus fur", "Ptinomorphus rosti", "Argyrotaenia montezumae", "Argyrotaenia montezumae montezumae", "Argyrotaenia montezumae huachucensis", "Argyrotaenia floridana", "Argyrotaenia repertana", "Argyrotaenia urbana", "Argyrotaenia tabulana", "Argyrotaenia spaldingiana", "Argyrotaenia gogana", "Argyrotaenia franciscana", "Argyrotaenia heureta", "Argyrotaenia polvosana", "Argyrotaenia graceana", "Argyrotaenia burroughsi", "Argyrotaenia ponera", "Argyrotaenia dichotoma", "Ceruchus tabanai", "Ceruchus luojishanensis", "Dorcus furusui", "Dorcus hamidi", "Dorcus hansi", "Dorcus kirchneri", "Dorcus kucerai", "Dorcus yoshinarii", "Lucanus ngheanus", "Sphaenognathus pseudocurvipes", "Pachypus melonii", "Pseudoscortizus incredibilis", "Prismognathus bretschneideri", "Neolucanus benoiti", "Lucanus brivioi", "Neolucanus shaanxiensis", "Neolucanus lanwanorum", "Tagiades japetus suumoli", "Dendrophorbium argutidentatum", "Dendrophorbium cosnipatense", "Dendrophorbium goodspeedii", "Epimastidia arienis taisia", "Paeonia mascula subsp. hellenica", "Dendrophorbium llewelynii", "Epimastidia arienis outgrabe", "Dendrophorbium trigynum", "Dendrophorbium vanillodorum", "Dendrophorbium vargasii", "Dendrophorbium pericaule", "Dendrophorbium restingae", "Dendrophorbium subnemorale", "Eurotamandua joresi", "Paeonia mascula subsp. russoi", "Achaemenothrombium cyrusi", "Achaemenothrombium talebii", "Chironius challenger", "Pseudochromadora reathae", "Pseudodesmodora lacrima", "Neolamprologus fasciatus", "Neolamprologus furcifer", "Adelotopus adelaideae", "Adelotopus frater", "Adelotopus rufozonatus", "Adelotopus rufozonatus rufozonatus", "Adelotopus rufozonatus roperi", "Adelotopus moluccensis", "Adelotopus pilbarae", "Adelotopus basalis", "Adelotopus minutus", "Adelotopus parrotti", "Adelotopus pulleni", "Hippocampus curvicuspis", "Hippocampus pusillus", "Anolis alumina", "Anolis alutaceus", "Prostomis novacaledonica", "Paeonia caucasica", "Paeonia daurica subsp. velebitensis", "Allium candolleanum", "Allium gypsaceum", "Phoebis agarithe", "Phoebis agarithe agarithe", "Phoebis agarithe antillia", "Allium helicophyllum", "Celaenorrhinus bifurcus", "Anolis anatoloros", "Allium aroides", "Allium monophyllum", "Adelotopus adustus", "Adelotopus aequus", "Adelotopus angustatus", "Adelotopus aterrimus", "Adelotopus atrorufus", "Adelotopus bacillus", "Adelotopus bamagae", "Adelotopus basirufus", "Adelotopus brevior", "Adelotopus brittoni", "Adelotopus browni", "Adelotopus calvus", "Adelotopus caniae", "Adelotopus ciliatus", "Adelotopus clepsydra", "Adelotopus conicollis", "Adelotopus convexicollis", "Adelotopus convexus", "Adelotopus coriaceus", "Adelotopus crassus", "Adelotopus cribricollis", "Adelotopus crucis", "Adelotopus cuneatus", "Adelotopus distinguendus", "Adelotopus doyeni", "Adelotopus dubius", "Adelotopus edithae", "Adelotopus flavescens", "Adelotopus flavus", "Adelotopus foliaceus", "Adelotopus geminus", "Adelotopus gibbosus", "Adelotopus gippslandicus", "Adelotopus grossepunctatus", "Adelotopus houstoni", "Adelotopus howdenorum", "Adelotopus katherinei", "Adelotopus kurandae", "Adelotopus languidus", "Adelotopus laticaudatus", "Adelotopus laticollis", "Adelotopus latior", "Adelotopus latipalpis", "Adelotopus lawrencei", "Adelotopus longiformis", "Adelotopus longus", "Adelotopus lunatus", "Adelotopus luteus", "Adelotopus mainae", "Adelotopus marginicollis", "Adelotopus minor", "Adelotopus montisatri", "Adelotopus montorum", "Adelotopus multipunctatus", "Adelotopus murrayanus", "Adelotopus nigricauda", "Adelotopus nitens", "Adelotopus nitidior", "Adelotopus obsoletus", "Adelotopus ooldeae", "Owadaglaea babicsi", "Jodia nekrasovi", "Elwesia orbiculosa", "Elwesia sugii", "Elwesia sugii sugii", "Elwesia sugii yoshimotoi", "Tiliacea auragides", "Tiliacea changsha", "Tiliacea lineidistincta", "Nessaea hewitsonii", "Nessaea hewitsonii hewitsonii", "Nessaea hewitsonii boliviensis", "Allosaurus fragilis", "Dendrophorbium ullucosanum", "Dendrophorbium usgorense", "Dendrophorbium yalusay", "Dendrophorbium yungasense", "Stachys rizeensis", "Dendrophorbium acuminatissimum", "Dendrophorbium ayopayense", "Ectomis labriaris", "Dendrophorbium biserrifolium", "Dendrophorbium zongoense", "Ectomis teutas", "Dendrophorbium amplexicaule", "Dendrophorbium angelense", "Dendrophorbium balsapampae", "Dendrophorbium dodsonii", "Dendrophorbium gesnerifolium", "Dendrophorbium ingens", "Dendrophorbium solisii", "Dendrophorbium tipocochense", "Adelotopus ovatus", "Adelotopus palumae", "Adelotopus parumpunctatus", "Adelotopus penelopeae", "Adelotopus piceus", "Adelotopus punctatissimus", "Adelotopus punctulifer", "Adelotopus queenslandicus", "Adelotopus rufescens", "Adelotopus rufocaudatus", "Adelotopus rufomarginatus", "Adelotopus sedlaceki", "Adelotopus semilunatus", "Adelotopus seminitidus", "Adelotopus sericeus", "Adelotopus similis", "Adelotopus sinuaticollis", "Adelotopus sparsepunctatus", "Adelotopus substriatus", "Adelotopus ulrichi", "Adelotopus unicolor", "Adelotopus victoriensis", "Adelotopus villosus", "Adelotopus virgatus", "Adelotopus yorkensis", "Adelotopus zborowskii", "Adelotopus bilyi", "Adelotopus laevigatus", "Adelotopus lucidus", "Adelotopus rugaticollis", "Adelotopus wilochrae", "Dorcus prasobsuki", "Serrognathus bandaensis", "Allium derderianum", "Gigatelorta falcipennis", "Gigatelorta herois", "Telorta fibigeri", "Agrochola sakabei", "Hyalobole conistroides", "Hyalobole medvegymihalyi", "Hyalobole phaeosoma", "Hyalobole albimacula", "Hyalobole albimacula albimacula", "Hyalobole albimacula nigrizonata", "Hyalobole orthosioides", "Hyalobole orthosioides orthosioides", "Hyalobole orthosioides hyalbre", "Hyalobole nigripalpis", "Hyalobole nigripalpis nigripalpis", "Hyalobole nigripalpis hreblayi", "Cupreobole adrienneae", "Gaurenoglaea misconspicua", "Gaurenoglaea alternata", "Owadaglaea zillii", "Paeonia coriacea", "Neolucanus guangxii", "Macrodorcas himalayae", "Macrodorcas taibaishanensis", "Yumikoi makii", "Aegognathus spitzi", "Aegognathus iridicolor", "Aegognathus leuthneri", "Echinorhynchus abyssicola", "Echinorhynchus acanthotrias", "Thepytus epytus", "Thepytus thyrea", "Thepytus arindela", "Thepytus echelta", "Thepytus beatrizae", "Thepytus jennifer", "Thepytus nancyana", "Thepytus carmen", "Micraglossa manoi", "Micraglossa straminealis", "Micraglossa michaelshafferi", "Micraglossa aureata", "Micraglossa oenealis", "Micraglossa zhongguoensis", "Micraglossa beia", "Echinorhynchus alcedinis", "Micraglossa flavidalis", "Micraglossa nana", "Micraglossa scoparialis", "Ischyropsalis lithoclasica", "Deschampsia kingii", "Eustoma exaltatum subsp. russellianum", "Paratrachelas atlantis", "Deschampsia looseriana", "Sarax mardua", "Deschampsia mendocina", "Sarax sangkulirangensis", "Sarax yayukae", "Sarax cavernicola", "Deschampsia venustula", "Eustoma exaltatum subsp. exaltatum", "Hippocampus paradoxus", "Deschampsia parvula", "Hersilia orvakalensis", "Deschampsia patula", "Echinorhynchus armoricanus", "Allium alexeianum", "Allium akaka", "Anarpia incertalis", "Anarpia iranella", "Allium materculae", "Antiscopa acompa", "Antiscopa elaphra", "Antiscopa epicomia", "Cosipara chiricahuae", "Allium cristophii", "Cosipara cyclophora", "Cosipara delphusa", "Cosipara flexuosa", "Cosipara molliculella", "Cosipara stereostigma", "Cosipara tricoloralis", "Cosipara smithi", "Allium brachyscapum", "Cosipara tricolor", "Cosipara modulalis", "Dasyscopa axeli", "Dasyscopa barbipennis", "Dasyscopa homogenes", "Micraglossa citrochroa", "Allium mariae", "Micraglossa convatalalis", "Micraglossa cupritincta", "Micraglossa tagalica", "Micraglossa tricitra", "Allium cardiostemon", "Paeonia saueri", "Deschampsia airiformis", "Deschampsia berteroana", "Aquilegia \u00d7 hybrida", "Deschampsia cordillerarum", "Delias lara rosselliana", "Delias lara maga", "Delias lara hideyoae", "Delias euphemia", "Delias doylei", "Delias papuana", "Ideopsis fojana", "Ideopsis vitrea obiana", "Ideopsis vitrea inuncta", "Ideopsis vitrea onina", "Ideopsis vitrea serena", "Digitogorgia brochi", "Tokoprymno anatis", "Psilorhynchus brachyrhynchus", "Psilorhynchus gokkyi", "Psilorhynchus piperatus", "Dercitus xanthus", "Paracornulum fistulosum", "Impatiens rosea", "Limnonectes jarujini", "Limnonectes taylori", "Tokyosoma bifurcatum", "Tokyosoma breviprocessum", "Tokyosoma cornutum", "Cecropterus athesis", "Cecropterus jalapus", "Nisoniades suprapanama", "Nisoniades coca", "Nisoniades lata", "Nisoniades torta", "Nisoniades supra", "Nisoniades evansi", "Echinorhynchus zanclorhynchi", "Pachyneuria milleri", "Pellicia vecina", "Pellicia vecina vecina", "Pellicia vecina naja", "Viola dagamba", "Bolla dorsolaciniae", "Staphylus tridentis", "Staphylus melius", "Staphylus lizeri", "Staphylus lizeri lizeri", "Staphylus lizeri album", "Staphylus lenis", "Staphylus tingo", "Ouleus candidus", "Allium fetisowii", "Allium dasyphyllum", "Echinorhynchus astacifluviatilis", "Koilodepas bantamense", "Sphaenognathus bordoni", "Koilodepas brevipes", "Koilodepas calycinum", "Koilodepas cordisepalum", "Koilodepas hainanense", "Lucanus adelmae", "Koilodepas homaliifolium", "Koilodepas laevigatum", "Koilodepas longifolium", "Lucanus wemckeni", "Koilodepas pectinatum", "Diakontschukia saussureae", "Hemerocallis citrina var. vespertina", "Echinorhynchus baeri", "Echinorhynchus bipennis", "Scoliacma suzannae", "Scoliacma adriani", "Delias mysis aestiva", "Delias mysis aruensis", "Delias mysis nemea", "Delias lara", "Delias lara lara", "Delias lara goodenovii", "Tokyosoma distinctum", "Tokyosoma fanfan", "Tokyosoma lobatum", "Tokyosoma serratum", "Tokyosoma spinifer", "Tokyosoma taroko", "Sphaenognathus gaujoni", "Sphaenognathus peruvianus", "Lucanus manai", "Dorcus schenklingi", "Lucanus kurosawai", "Lomechusa pubicollis", "Mirabilis sect.", "Mirabilis sect.", "Mirabilis sect.", "Mirabilis sect.", "Mirabilis sect.", "Echinorhynchus blenni", "Cydalima capriniodes", "Cydalima decipiens", "Cydalima joiceyi", "Cydalima perspectalis", "Cydalima pfeifferae", "Echinorhynchus briconi", "Echinorhynchus calloti", "Echinorhynchus canyonensis", "Echinorhynchus cestodicola", "Echinorhynchus chierchiae", "Echinorhynchus cinctulus", "Echinorhynchus corrugatus", "Echinorhynchus cotti", "Agnippe lunaki", "Echinorhynchus cryophilus", "Rhanidopsis kogeri", "Dendrophilia fujianensis", "Dendrophilia yifengensis", "Dendrophilia henanensis", "Dendrophilia grandimacularis", "Dendrophilia sophora", "Dendrophilia yuexiensis", "Dendrophilia yuanjiangensis", "Dendrophilia yushanica", "Gallinago delicata", "Echinorhynchus attenuatus", "Zanclognatha nigrobasalis", "Eterusia aedea", "Eterusia aedea aedea", "Eterusia aedea okinoshimensis", "Sedum morganianum", "Perilestes attenuatus", "Haplaxius cabrerensis", "Rhopalopsole hainana", "Rhopalopsole ningxiana", "Cryptochironomus brasiliensis", "Cryptochironomus mantiqueira", "Cryptochironomus reshchikovi", "Lathrolestes barroni", "Lathrolestes fissus", "Lathrolestes soperi", "Lathrolestes syringe", "Lathrolestes thomsoni", "Prismognathus kucerai", "Neolucanus pentaphyllus", "Neolucanus lehmanni", "Echinorhynchus debenhami", "Echinorhynchus dendrocopi", "Agnippe conjugella", "Mirabilis jalapa subsp. jalapa", "Agnippe kuznetzovi", "Agnippe abdita", "Agnippe albidorsella", "Mirabilis jalapa subsp. volcanica", "Agnippe echinuloides", "Mirabilis jalapa subsp. ciliata", "Agnippe turanica", "Mirabilis jalapa subsp. gracilis", "Agnippe deserta", "Agnippe separatella", "Echinorhynchus diffuens", "Echinorhynchus dissimilis", "Echinorhynchus eperlani", "Echinorhynchus gadi", "Echinorhynchus galbulae", "Echinorhynchus garzae", "Echinorhynchus gazae", "Echinorhynchus gomesi", "Echinorhynchus gracilis", "Echinorhynchus gymnocyprii", "Echinorhynchus hexacanthus", "Echinorhynchus hexagrammi", "Echinorhynchus inflexus", "Echinorhynchus jucundus", "Echinorhynchus kushiroensis", "Echinorhynchus labri", "Echinorhynchus lageniformis", "Echinorhynchus lateralis", "Echinorhynchus laurentianus", "Echinorhynchus leidyi", "Pljushtchia prima", "Echinorhynchus lendix", "Echinorhynchus lenoki", "Echinorhynchus lotellae", "Echinorhynchus melanoglaeae", "Echinorhynchus monticelli", "Echinorhynchus nardoi", "Echinorhynchus nitzschi", "Echinorhynchus oblitus", "Echinorhynchus orestiae", "Echinorhynchus orientalis", "Echinorhynchus paranensis", "Echinorhynchus parasiluri", "Echinorhynchus pardi", "Echinorhynchus pari", "Echinorhynchus peleci", "Echinorhynchus platessae", "Echinorhynchus platessoides", "Echinorhynchus pleuronectis", "Echinorhynchus pleuronectisplatessoides", "Echinorhynchus praetextus", "Echinorhynchus pupa", "Echinorhynchus rhenanus", "Echinorhynchus rhytidodes", "Echinorhynchus robustus", "Echinorhynchus salmonis", "Echinorhynchus salobrensis", "Echinorhynchus sciaenae", "Echinorhynchus scopis", "Echinorhynchus scorpaenae", "Echinorhynchus serpentulus", "Echinorhynchus sipunculus", "Echinorhynchus solitarium", "Echinorhynchus stridulae", "Echinorhynchus strigis", "Echinorhynchus taeniaeforme", "Echinorhynchus tardae", "Echinorhynchus tenuicollis", "Echinorhynchus truttae", "Echinorhynchus urniger", "Echinorhynchus yamagutii", "Polygala vulgaris", "Xyleborinus octiesdentatus", "Veronatus amplus", "Veronatus granicollis", "Lobesia cunninghamiacola", "Daltopora sinanensis", "Baetica ustulata", "Helcystogramma fuscomarginatum", "Pectinivalva funeralis", "Pectinivalva anazona", "Pectinivalva libera", "Pectinivalva planetis", "Pectinivalva primigena", "Pectinivalva trepida", "Pectinivalva warburtonensis", "Stigmella leucargyra", "Stigmella phyllanthina", "Stigmella symmora", "Eupithecia kurilensis", "Eupithecia kurilensis kurilensis", "Eupithecia kurilensis mironovi", "Eupithecia atrisignis", "Eupithecia breviclava", "Trypethelium aeneum", "Trypethelium albopruinosum", "Trypethelium andamanicum", "Trypethelium basilicum", "Trypethelium boninense", "Trypethelium buckii", "Trypethelium calosporum", "Trypethelium ceratinum", "Trypethelium ceylonicum", "Trypethelium cinereorosellum", "Trypethelium concatervatum", "Oedipina leptopoda", "Oedipina kasios", "Oedipina quadra", "Oedipina nica", "Macrothea bouchardi", "Galathea denticulata", "Nigidius sukkiti", "Nigidius svenjae", "Proteinus acadiensis", "Proteinus pseudothomasi", "Proteinus creticus", "Proteinus utrarius", "Ceratomerus apterus", "Ceratomerus argutus", "Ceratomerus comarapa", "Ceratomerus hibbsi", "Ceratomerus irramus", "Ceratomerus longicornis", "Ceratomerus masneri", "Ceratomerus paraconnexus", "Ceratomerus penai", "Ceratomerus deansi", "Ceratomerus mediocris", "Ceratomerus connexus", "Ceratomerus paradoxus", "Condica hollowayi", "Chrysodeixis copiaria", "Hydrillodes epidela", "Hydrillodes sechani", "Hypena perexilis", "Hypena cracens", "Scopula tahitiensis", "Bosara montana", "Cleora caliginosa", "Cleora albipuncta", "Fautaua minor", "Entheus crux", "Astraptes mabillei", "Clostera anastomosis", "Psoquilla infuscata", "Tolmiea diplomenziesii", "Elliottia racemosa", "Xantharia galea", "Cheumatopsyche urhpirdana", "Diplectrona dimagaha", "Diplectrona tiguna", "Dipseudopsis gabiana", "Hydropsyche pulakita", "Nyctiophylax anryutah", "Nyctiophylax kupirah", "Nyctiophylax tapan", "Oecetis barisan", "Pseudoneureclipsis complexa", "Psychomyia selatana", "Setodes pantangulil", "Setodes trikuthia", "Setodes wirhal", "Tinodes kerinciana", "Paramanota bifalx", "Paramanota furcillata", "Paramanota grandaeva", "Paramanota paxillosa", "Elliottia pyroliflora", "Wuria indica", "Ischnocnema vizottoi", "Phenacoccus betae", "Achillea alpina subsp. rhodoptarmica", "Parataiwanaptera laevigata", "Schuhaptera penangensis", "Baculentulus pomorskii", "Baculentulus potapovi", "Leptoconops brevistylus", "Leptoconops fortipalpus", "Leptoconops tenebrostigmatus", "Indoquedius aculeus", "Indoquedius bicornutus", "Indoquedius nonparallelus", "Indoquedius radius", "Pseudopyrenula cerei", "Pseudopyrenula endoxantha", "Pseudopyrenula saxicola", "Achillea salicifolia", "Pseudopyrenula diluta var. diluta", "Achillea salicifolia subsp. salicifolia", "Pseudopyrenula diluta var. degenerans", "Scolytoplatypus kunala", "Triotemnus batelkai", "Triotemnus kabateki", "Triotemnus pseudolepineyi", "Triotemnus socotraensis", "Triotemnus yemenensis", "Trypethelium ochroleucum", "Trypethelium papulosum", "Trypethelium parvicarpum", "Trypethelium platyleucostomum", "Trypethelium plicatorimosum", "Trypethelium pseudoplatystomum", "Trypethelium pulcherrimum", "Trypethelium pupula", "Trypethelium rubrocinctum", "Trypethelium subeluteriae", "Trypethelium subnitidiusculum", "Trypethelium thelotremoides", "Trypethelium tropicum", "Trypethelium trypethelizans", "Trypethelium tuberculosum", "Trypethelium ubianense", "Trypethelium variolosum", "Trypethelium violascens", "Incadorcus zugeri", "Viscaria vulgaris subsp. vulgaris", "Anolis annectens", "Hexafrenum leucodera", "Hexafrenum leucodera leucodera", "Hexafrenum leucodera yunnana", "Monteithium storeyi", "Monteithium ascetum", "Sphaenognathus alticollis", "Sphaenognathus armatus", "Sphaenognathus bellicosus", "Sphaenognathus curvipes", "Sphaenognathus feisthamelii", "Sphaenognathus furumii", "Sphaenognathus garleppi", "Sphaenognathus giganteus", "Sphaenognathus higginsi", "Sphaenognathus kolbei", "Sphaenognathus lindenii", "Sphaenognathus mandibularis", "Sphaenognathus metallescens", "Sphaenognathus metallifer", "Sphaenognathus monguilloni", "Sphaenognathus nobilis", "Sphaenognathus oberon", "Rhododendron chilanshanense", "Sphaenognathus prionoides", "Sphaenognathus pubescens", "Sphaenognathus rotundatus", "Sphaenognathus signatus", "Sphaenognathus spinifer", "Sphaenognathus taschenbergi", "Rhododendron dilatatum subsp. decandrum", "Nephelium lappaceum", "Anolis anfiloquioi", "Anolis angusticeps", "Anolis angusticeps angusticeps", "Anolis angusticeps oligaspis", "Anolis anisolepis", "Rhododendron wadanum", "Xyleborinus saxesenii", "Nyctiophylax nepenthes", "Elliottia paniculata", "Nyctiophylax mintin", "Nyctiophylax anosib", "Nyctiophylax argentensis", "Nyctiophylax buoc", "Nyctiophylax dhauli", "Nyctiophylax kilah", "Nyctiophylax lancelot", "Dorcus akahorii", "Dorcus alexisi", "Dorcus antaeus", "Dorcus astridae", "Dorcus bhaskarai", "Dorcus binodulosus", "Dorcus bolanus", "Dorcus branaugi", "Dorcus brevis", "Lucanus fonti", "Lucanus kazumiae", "Lucanus pesarinii", "Lucanus hildegardae", "Lucanus victorius", "Lucanus prossi", "Lucanus kirchneri", "Lucanus aungsani", "Lucanus hansi", "Lucanus werneri", "Lucanus laminifer", "Lucanus laminifer coronatus", "Lucanus laminifer lucidulus", "Lucanus swinhoei continentalis", "Lucanus klapperichi", "Lucanus gamunus", "Lucanus hermani", "Lucanus deuveianus", "Lucanus dirki", "Lucanus gennestieri", "Lucanus ludivinae", "Lucanus fukinukiae", "Lucanus fujitai", "Lucanus satoi", "Lucanus koyamai", "Lucanus miyashitai", "Lucanus tsukamotoi", "Lucanus nyishwini", "Lucanus derani", "Lucanus nosei", "Lucanus hayashii", "Lucanus nangsarae", "Lucanus ziliolii", "Lucanus schenki", "Trypethelium deformis", "Trypethelium degenerans", "Trypethelium dissimilum", "Trypethelium elmeri", "Trypethelium dichroum", "Trypethelium eluteriae", "Trypethelium endosulphureum", "Trypethelium epileucodes", "Trypethelium flavoalbum", "Trypethelium flavocinereum", "Trypethelium floridanum", "Trypethelium galligenum", "Trypethelium hebetem", "Trypethelium indicum", "Trypethelium infossum", "Trypethelium krempelhuberi", "Trypethelium luridum", "Trypethelium luteum", "Trypethelium macrosporum", "Trypethelium meghalayense", "Trypethelium microsporum", "Trypethelium microstomum", "Trypethelium myriocarpum", "Trypethelium neogalbineum", "Trypethelium nigroporum", "Trypethelium nigrorufum", "Scolytus schevyrewi", "Trypethelium nitidiusculum", "Scolytus stepheni", "Scolytus fagi", "Scolytus angustatus", "Scolytus woodi", "Scolytus carveli", "Scolytus vagabundus", "Scolytus lindemani", "Scolytus mozolevskae", "Trypethelium catervarium", "Cactopinus woodi", "Cactopinus sulcifrons", "Cactopinus agavensis", "Stevewoodia minutum", "Dryotomicus oenophilis", "Dryotomicus woodrex", "Viscaria vulgaris", "Asiophilus macropunctatus", "Microditica uniseriata", "Viscaria vulgaris subsp. atropurpurea", "Dryocoetes brownei", "Lucanus maedai", "Lucanus convexus", "Lucanus bruanti", "Lucanus feglini", "Lucanus franciscae", "Lucanus miwai", "Lucanus kanoi", "Lucanus ogakii", "Lucanus szetschuanicus", "Lucanus kraatzi", "Lucanus tibetanus", "Lucanus pulchellus", "Lucanus cyclommatoides", "Lucanus fortunei", "Lucanus sericeus", "Lucanus didieri", "Lucanus villosus", "Lucanus dohertyi", "Lucanus singularis", "Lucanus angusticornis", "Lucanus dongi", "Lucanus fryi", "Lucanus fujianensis", "Lucanus lhasaensis", "Accolabass davidleai", "Accolabass occidentalis", "Accolabass parvus", "Accolabass velutinus", "Accolabass victoriaensis", "Accolabass maculatus", "Prospalta caerulca", "Giaura sokotokai", "Anua fijiensis", "Parallelia koroensis", "Diomea fenella", "Diomea insulana", "Diomea ferrosticta", "Horaga sohmai", "Eupithecia levata", "Eupithecia omissa", "Eupithecia testacea", "Eupithecia fenita", "Eupithecia burselongata", "Eupithecia minutula", "Eupithecia hainanensis", "Eupithecia molybdaena", "Eupithecia lamata", "Eupithecia mediocincta", "Eupithecia tepida", "Dichomeris balioella", "Dichomeris matsumurai", "Dichomeris badiolineariella", "Dichomeris pseudodeltaspis", "Dichomeris rufusella", "Blastodacna ochrella", "Agrias aedon aedon", "Agrias aedon toyodai", "Achillea sect.", "Achillea sect.", "Milionia postmaculata", "Achillea sect.", "Milionia incredula", "Cyperus brevifolius", "Dysgonia marginata", "Pycreus flavescens", "Isolepis setacea", "Achillea sect.", "Phengaris alcon", "Achillea sect.", "Phengaris alcon alcon", "Achillea wilhelmsii", "Achillea millefolium subsp. chitralensis", "Pseudopyrenula diluta", "Macromyzus spinosus", "Systropus brochus", "Systropus coalitus", "Cyana pretoriae pretoriae", "Cyana pretoriae spectabilis", "Hemilepistus reaumuri", "Neoncicola avicola", "Neoncicola bursata", "Neoncicola curvata", "Neoncicola novellae", "Neoncicola pintoi", "Neoncicola potosi", "Neoncicola sinensis", "Neoncicola skrjabini", "Copelatus sibelaemontis", "Semomesia wallacei", "Semomesia geminus", "Semomesia alyattes", "Semomesia alyattes alyattes", "Nephridiorhynchus major", "Semomesia alyattes cecilae", "Semomesia alyattes fassli", "Nephridiorhynchus palawanensis", "Semomesia macaris", "Nephridiorhynchus thapari", "Semomesia nesti", "Brenthis mofidii mofidii", "Achillea ambrosiaca", "Brenthis mofidii zabensis", "Platycerus hongwonpyoi dabashensis", "Platycerus hongwonpyoi funiuensis", "Platycerus hongwonpyoi hongwonpyoi", "Platycerus hongwonpyoi mongolicus", "Platycerus hongwonpyoi shennongjianus", "Platycerus hongwonpyoi tianmushanus", "Figulus binodulus", "Figulus punctatus", "Figulus venustus", "Lucanus maculifemoratus dybowskyi", "Lucanus cambodiensis", "Lucanus cantori", "Lucanus delavayi", "Lucanus fairmairei", "Lucanus formosanus", "Lucanus formosus", "Lucanus westermanni", "Lucanus speciosus", "Lucanus smithii", "Lucanus placidus", "Lucanus parryi", "Lucanus mearesii", "Lucanus minimus", "Lucanus nobilis", "Lucanus lunifer", "Lucanus jeanvoinei", "Ypsiloncyphon ceylonicus", "Ypsiloncyphon pseudoceylonicus", "Gnorimoschema huffmanellum", "Ekmaniopappus mikanioides", "Atosia doenia", "Atosia sumatrae", "Atosia himalayana", "Emiliella epapposa", "Emiliella exigua", "Atosia spicata", "Atosia trusmadia", "Atosia rochei", "Mauritiana rhizophorae", "Echinorhynchus appendiculatus", "Noseolucanus zhengi", "Noseolucanus denticulus", "Phanacis hypochoeridis", "Phanacis neserorum", "Phanacis kiefferi", "Anolis antioquiae", "Anolis antonii", "Anolis apletophallus", "Hexarthrius vitalisi", "Hexarthrius vitalisi cottoni", "Hexarthrius vitalisi miyashitai", "Promalactis infulata", "Promalactis baotianmanensis", "Promalactis densimacularis", "Promalactis brevivalvaris", "Promalactis colacephala", "Antiochtha semialis", "Antiochtha pusilla", "Antiochtha aquila", "Antiochtha nakhonica", "Maliattha orbifera", "Maliattha volodia", "Maliattha vialis", "Cyana ellipsis", "Cyana paramargarethae", "Cyana rufeola", "Cyana pretoriae", "Hystrignathus dearmasi", "Macrostylis antennamagna", "Macrostylis uniformis", "Antaeotricha arizonensis", "Mastrus nigrus", "Mastrus rugotergalis", "Euagathis tobiasi", "Prionocyphon caementum", "Prionocyphon deanboltoi", "Prionocyphon hamatus", "Prionocyphon insolitus", "Prionocyphon kurandaensis", "Prionocyphon lamingtonensis", "Prionocyphon latusmandibularis", "Prionocyphon macroflavidus", "Prionocyphon microflavidus", "Prionocyphon monteithi", "Prionocyphon ocellatus", "Prionocyphon quasichameleon", "Prionocyphon storeyi", "Prionocyphon tolgaensis", "Prionocyphon warra", "Prionocyphon yarraensis", "Anolis apollinaris", "Pomphorhynchus tereticollis", "Milionia androconiata", "Achillea rupestris", "Achillea rupestris subsp. rupestris", "Achillea rupestris subsp. calcarea", "Achillea rupestris subsp. lucana", "Achillea erba-rotta subsp. erba-rotta", "Achillea \u00d7 obscura", "Elasmopus bastidai", "Elasmopus karlae", "Elasmopus lecroyae", "Elasmopus marcelae", "Elasmopus oaxaquensis", "Maera umarae", "Melita bousfieldi", "Buenoa uselus", "Rhaphiomidas ballmeri", "Hexacola lemnaphilae", "Pseudodiaptomus nansei", "Eretris neocycla", "Corades medeba pittieri", "Pedaliodes manis ivica", "Pedaliodes piletha costae", "Echinorhynchus myoxi", "Echinorhynchus pseudosegmentatus", "Moniliformis acomysi", "Moniliformis cestodiformis", "Moniliformis moniliformis", "Moniliformis clarki", "Moniliformis convolutus", "Moniliformis erinacei", "Moniliformis gracilis", "Moniliformis kalahariensis", "Moniliformis monechinus", "Moniliformis semoni", "Moniliformis spiradentatis", "Moniliformis spiralis", "Moniliformis travassosi", "Promoniliformis ovocristatus", "Phengaris albida", "Echinorhynchus amphipacus", "Echinorhynchus depressus", "Echinorhynchus hominis", "Echinorhynchus magretti", "Echinorhynchus pachyacanthus", "Echinorhynchus putorii", "Urolaguna heosa", "Tegenocharis tenebrans", "Macracanthorhynchus catulinus", "Homaloxestis vinhphuensis", "Synersaga kuni", "Synersaga nigriptera", "Synersaga bleszynskii", "Synersaga caradjai", "Synersaga paroena", "Macracanthorhynchus hirudinaceus", "Macracanthorhynchus ingens", "Phengaris arion", "Phengaris arionides", "Achillea acuminata", "Promanus subcostatus", "Friesea handschini", "Scolothrips ochoa", "Pediopsoides jingdongensis", "Pediopsoides membrana", "Promanodes serafini", "Lampetra aepyptera", "Taophila corvi", "Taophila deimos", "Taophila hydrae", "Taophila joliveti", "Tricholapita mars", "Taophila millei", "Taophila sagittarii", "Taophila scorpii", "Taophila subsericea", "Taophila mantillerii", "Taophila nigrans", "Rhagovelia aguaclara", "Rhagovelia rosarensis", "Psithyristria paracrassis", "Psithyristria paratenuis", "Oncotympana brevis", "Oncotympana grandis", "Oncotympana simonae", "Oncotympana undata", "Tubpontania nitidinota", "Echinorhynchus brayi", "Lucanus atratus", "Lucanus imitator", "Lucanus davidis", "Lucanus lesnei", "Lucanus gracilis", "Lucanus prometheus", "Lucanus confusus", "Lucanus oberthueri", "Lucanus kerleyi", "Lucanus wittmeri", "Lucanus groulti", "Lucanus deuvei", "Lucanus xerxes", "Lucanus barbarossa", "Lucanus mazama", "Lucanus capreolus", "Lucanus pani", "Lucanus mingyiae", "Miletus zinckenii", "Miletus zinckenii improbus", "Miletus zinckenii zinckenii", "Achillea maritima subsp. maritima", "Achillea maritima subsp. atlantica", "Spalgis asmus", "Spalgis baiongus", "Spalgis takanamii", "Achillea \u00d7 tomasiana", "Achillea \u00d7 valesiaca", "Spalgis epius", "Plumbago lanceolata", "Spalgis epius dilama", "Spalgis epius epius", "Spalgis epius fangola", "Spalgis epius nubilus", "Plumbago pulchella", "Spalgis epius pharnus", "Spalgis epius semperi", "Spalgis epius strigatus", "Spalgis epius substrigata", "Prionocyphon majusculus", "Prionocyphon numidicus", "Prionocyphon ornatus", "Prionocyphon ovalis", "Prionocyphon serricornis", "Prionocyphon sexmaculatus", "Miletus ancon", "Miletus ancon ancon", "Miletus ancon gigas", "Miletus archilocus", "Miletus archilocus archilocus", "Miletus archilocus siamensis", "Miletus gigantes", "Miletus atimonicus", "Miletus celinus", "Hippolyte obliquimanus", "Carpias montaguensis", "Miletus gallus", "Ianiropsis alanmillari", "Miletus gallus gallus", "Janaira platyoura", "Miletus gallus leucocyon", "Cyrtodactylus durio", "Atractides anatolicus", "Atractides martini", "Phthiracarus paralaevigatus", "Phthiracarus paralongulus", "Miletus heracleion", "Miletus heracleion arion", "Miletus heracleion heracleion", "Synichotritia reticulata", "Miletus leos", "Mescirtes gagatinus", "Mescirtes herthae", "Mescirtes laosensis", "Mescirtes minusculus", "Mescirtes rutai", "Mescirtes ruthsteuerae", "Mescirtes weigeli", "Mescirtes yoshitomii", "Anolis aquaticus", "Anolis argenteolus", "Anolis argillaceus", "Anolis armouri", "Aethiophysa extorris", "Diptychophora lojanalis", "Dichochroma muralis", "Schacontia chanesalis", "Schacontia medalba", "Schacontia ysticalis", "Schacontia replica", "Schacontia pfeifferi", "Calta lamella", "Phengaris atroguttata", "Aethalida rudis", "Aethalida owadai", "Aethalida hollowayi", "Aethalida dohertyi", "Aethalida quadrimaculata", "Achillea atrata", "Aethalida dora", "Aethalida borneana", "Requienella alaterni", "Requienella lichenopsis", "Requienella olearum", "Requienella princeps", "Requienella saccardoana", "Requienella seminuda", "Requienella subcollapsa", "Neochalcia nanlingensis", "Neochalcia remota", "Alloasteropetes guangdongensis", "Alloasteropetes olivacea", "Alloasteropetes paradisea", "Ambulyx amara", "Popoviolimon turcomanicum", "Saharanthus ifniensis", "Goniolimon tataricum", "Bukiniczia cabulica", "Acheilognathus cyanostigma", "Phengaris cyanecula", "Phengaris daitozana", "Phengaris kazamoto", "Phengaris kurentzovi", "Phengaris nausithous", "Phengaris ogumae", "Phengaris sinalcon", "Phengaris takamukui", "Vespa orientalis", "Antaeotricha manzanitae", "Choreutis melanifera", "Phengaris teleius", "Phengaris teleius euphemia", "Phengaris teleius teleius", "Campatonema tapantia", "Campatonema yanayacua", "Campatonema lineata", "Miletus croton", "Miletus croton corus", "Miletus croton croton", "Miletus croton karennia", "Miletus gaesa", "Miletus gaesa carrinas", "Miletus gaesa gaesa", "Guerramontesia microdonta", "Miletus mallus gethusus", "Miletus mallus", "Miletus mallus mallus", "Miletus mallus shania", "Miletus nymphis", "Miletus nymphis eneus", "Miletus nymphis fictus", "Miletus nymphis nymphis", "Miletus nymphis porus", "Miletus bazilanus", "Miletus melanion", "Miletus melanion euphranor", "Miletus melanion melanion", "Achillea taygetea", "Prionocyphon umbratilis", "Prionocyphon anticetestaceus", "Prionocyphon discoideus", "Prionocyphon limbatus", "Spalgis epius titius", "Plantago galapagensis", "Plantago australis subsp. australis", "Plumbago juncea", "Orthomiella pontis", "Orthomiella pontis fukienensis", "Orthomiella pontis rovorea", "Orthomiella pontis pontis", "Armeria maritima subsp. sibirica", "Orthomiella rantaizana", "Orthomiella sinensis", "Una usta", "Una usta usta", "Una usta philippensis", "Derodontus nepalensis", "Tropheops tropheops", "Isoetes minima", "Anolis attenuatus", "Anolis auratus", "Anolis baccatus", "Anolis bahorucoensis", "Anolis bahorucoensis bahorucoensis", "Anolis bahorucoensis southerlandi", "Miletus archilocus guangxiensis", "Miletus leos aronicus", "Miletus leos catoleucos", "Miletus leos florensis", "Miletus leos leos", "Miletus leos mangolicus", "Miletus leos maximus", "Miletus leos tellus", "Miletus leos teos", "Miletus leos virtus", "Miletus symethus", "Miletus symethus acampsis", "Miletus symethus batuensis", "Miletus symethus edonus", "Miletus symethus hierophantes", "Miletus symethus nuctus", "Miletus symethus perlucidus", "Miletus symethus petronius", "Miletus symethus phantus", "Miletus symethus philopator", "Miletus symethus solitarius", "Miletus symethus symethus", "Miletus symethus vespasianus", "Miletus takanamii", "Miletus gaetulus", "Miletus gaetulus aphytis", "Miletus gaetulus gaetulus", "Miletus gaetulus innocens", "Miletus gopara", "Miletus gopara artaxatus", "Miletus gopara eustatius", "Miletus gopara gopara", "Miletus gopara pardus", "Miletus valeus", "Achillea maritima", "Anolis barahonae barahonae", "Anolis barahonae albocellatus", "Anolis barahonae ininquinatus", "Anolis barahonae mulitus", "Anolis barbatus", "Anolis barbouri", "Anolis barkeri", "Anolis bartschi", "Anolis beckeri", "Anolis bellipeniculus", "Tartesa astarte astarte", "Tartesa astarte albescens", "Tartesa astarte narovona", "Tartesa astarte nissani", "Tartesa astarte plumbata", "Belonia americana", "Belonia arctica", "Belonia calcicola", "Belonia caudata", "Belonia herculana", "Belonia herculina", "Belonia hungarica", "Belonia incarnata", "Belonia lumbrispora", "Belonia mediterranea", "Belonia nidarosiensis", "Belonia pellucida", "Belonia russula", "Belonia terrigena", "Belonia uncinata", "Belonia vezdana", "Bamiania pachycorma", "Parasyrisca bucklei", "Veratrum mengtzeanum", "Empidideicus amicus", "Empidideicus ebellicus", "Empidideicus greatheadi", "Empidideicus legulicoxa", "Empidideicus matricarius", "Empidideicus persicus", "Isophya sicula", "Thalassaphorura bapen", "Thalassaphorura grandis", "Thalassaphorura reducta", "Thalassaphorura tiani", "Thalassaphorura pomorskii", "Thalassaphorura tibiotarsalis", "Veratrum sect.", "Veratrum subsect.", "Orconectes cyanodigitus", "Orconectes castaneus", "Orconectes occidentalis", "Orconectes texanus", "Nysius aa", "Nysius wekiuicola", "Nysius beardsleyi", "Nysius hardyi", "Nippononebria chalceola", "Tilapia rendalli", "Entomobrya boneti", "Nosodendron bilyi", "Nosodendron africanum", "Nosodendron chelonarium", "Onthophagus abacus", "Onthophagus akhaus", "Anolis bicaorum", "Anolis bimaculatus", "Nysius sublittoralis", "Nysius longicollis", "Nysius fucatus", "Nysius fullawayi", "Nysius frigatensis", "Nysius terrestris", "Nysius suffusus", "Nysius chenopodii", "Nysius nihoae", "Anolis binotatus", "Nysius neckerensis", "Nysius communis", "Nysius mixtus", "Nysius abnormis", "Nysius nigriscutellatus", "Nysius delectus", "Nysius delectulus", "Nysius coenosulus", "Nysius dallasi", "Nysius nemorivagus", "Nysius blackburni", "Nysius lichenicola", "Nysius rubescens", "Anolis biporcatus", "Anolis biporcatus biporcatus", "Anolis biporcatus parvauritus", "Actizera atrigemmata", "Actizera drucei", "Actizera lucida", "Actizera stellata", "Azanus isis", "Azanus jesous", "Azanus mirza", "Philaccolilus mas", "Philaccolilus bellissimus", "Philaccolilus speciosus", "Philaccolilus aterrimus", "Azanus moriqua", "Azanus natalensis", "Semigyalecta paradoxa", "Azanus sitalces", "Azanus sitalces mayotti", "Azanus sitalces sitalces", "Azanus soalalicus", "Azanus ubaldus", "Veratrum subsect.", "Azanus uranus", "Azanus urios", "Bryophagus gloeocapsa", "Bryophagus minutissimus", "Bryophagus similis", "Onthophagus vladimiri", "Onthophagus pseudojavanus", "Onthophagus orientalis", "Onthophagus clermonti", "Onthophagus cognatus", "Onthophagus gracilipes", "Anolis baleatus", "Anolis baleatus baleatus", "Anolis baleatus altager", "Anolis baleatus caeruleolatus", "Anolis baleatus fraudator", "Anolis baleatus lineatacervix", "Anolis baleatus litorisilva", "Anolis baleatus multistruppus", "Anolis baleatus samanae", "Anolis baleatus scelestus", "Anolis baleatus sublimis", "Anolis baracoae", "Anolis barahonae", "Empis jaschhoforum", "Tanyscelis grallator", "Tanyscelis megagibba", "Tanyscelis mollicornuta", "Tanyscelis tripocula", "Tanyscelis villosigibba", "Opisthoscelis beardsleyi", "Opisthoscelis thurgoona", "Opisthoscelis tuberculata", "Opisthoscelis ungulifinis", "Opisthoscelis serrata", "Opisthoscelis subrotunda", "Tanyscelis conica", "Tanyscelis convexa", "Tanyscelis maculata", "Tanyscelis maskelli", "Tanyscelis pisiformis", "Tanyscelis spinosa", "Tanyscelis verrucula", "Petrea blanchetiana", "Petrea bracteata", "Petrea brevicalyx", "Petrea campinae", "Petrea guianensis", "Petrea insignis", "Petrea macrostachya", "Petrea maynensis", "Glyptothorax chimtuipuiensis", "Atractides persicus", "Axonopsis manoojani", "Bothrinia chennellii", "Glyptothorax anamalaiensis", "Glyptothorax annandalei", "Glyptothorax armeniacus", "Glyptothorax brevipinnis", "Glyptothorax buchanani", "Glyptothorax burmanicus", "Glyptothorax callopterus", "Glyptothorax cavia", "Glyptothorax conirostre", "Glyptothorax cous", "Glyptothorax davissinghi", "Glyptothorax deqinensis", "Glyptothorax dorsalis", "Glyptothorax fokiensis", "Glyptothorax fuscus", "Glyptothorax garhwali", "Glyptothorax gracilis", "Glyptothorax chindwinica", "Glyptothorax granulus", "Glyptothorax hainanensis", "Glyptothorax honghensis", "Glyptothorax housei", "Glyptothorax horai", "Glyptothorax indicus", "Glyptothorax interspinalum", "Glyptothorax jalalensis", "Glyptothorax kashmirensis", "Glyptothorax kurdstanicus", "Glyptothorax lampris", "Glyptothorax laosensis", "Glyptothorax lonah", "Glyptothorax longicauda", "Glyptothorax macromaculatus", "Glyptothorax longjiangensis", "Glyptothorax madraspatanum", "Glyptothorax major", "Glyptothorax manipurensis", "Bothrinia nebulosa", "Glyptothorax minimaculatus", "Glyptothorax naziri", "Glyptothorax nelsoni", "Glyptothorax nieuwenhuisi", "Glyptothorax pallozonum", "Glyptothorax ngapang", "Glyptothorax pectinopterus", "Glyptothorax platypogon", "Brephidium pseudofea", "Brephidium metophis", "Oraidium barberae", "Zigadenus glaberrimus", "Cryptodiscus foveolaris", "Cryptodiscus incolor", "Cryptodiscus pallidus", "Cryptodiscus pini", "Cryptodiscus sambuci", "Cryptodiscus rutilus", "Cryptodiscus tabularum", "Vespa luctuosa", "Vespa bellicosa", "Vespa dybowskii", "Vespa fervida", "Vespa fumida", "Vespa multimaculata", "Vespa philippinensis", "Vespa vivax", "Rysops scintilla", "Vespula akrei", "Glyptothorax platypogonides", "Glyptothorax poonaensis", "Bothrinia chennellii chennellii", "Glyptothorax prashadi", "Glyptothorax punjabensis", "Glyptothorax quadriocellatus", "Glyptothorax saisii", "Glyptothorax schmidti", "Glyptothorax siamensis", "Glyptothorax silviae", "Glyptothorax sinensis", "Glyptothorax steindachneri", "Glyptothorax stocki", "Glyptothorax striatus", "Glyptothorax sufii", "Glyptothorax telchitta", "Bothrinia chennellii celastroides", "Glyptothorax trewavasae", "Glyptothorax trilineatus", "Glyptothorax zanaensis", "Glyptothorax zhujiangensis", "Glyptothorax ventrolineatus", "Carabus drahoslavae", "Anolis birama", "Anolis bitectus", "Anolis blanquillanus", "Anolis boettgeri", "Anolis bombiceps", "Anolis bonairensis", "Leucoptera spartifoliella", "Anolis breedlovei", "Brephidium exilis", "Brephidium exilis exilis", "Brephidium exilis isophthalma", "Protaxymyia melanoptera", "Protaxymyia taiwanensis", "Protaxymyia sinica", "Deudorix littoralis", "Deudorix woodfordi", "Biatorella hemisphaerica", "Biatorella praenotata", "Biatorella rappii", "Biatorella saxicola", "Biatorella zeorina", "Biatorella rousselii", "Biatoridium delitescens", "Biatoridium elegans", "Biatoridium monasteriense", "Biatoridium neozelandicum", "Hypolycaena phorbas dictaea", "Schadonia alpina", "Dendrophryniscus organensis", "Schadonia fecunda", "Schadonia indica", "Microglanis robustus", "Schadonia subobscurata", "Juraxymyia fossilis", "Psocites pectinatus", "Anolis calimae", "Anolis campbelli", "Anolis capito", "Sarcogyne crustacea", "Biatorella australica", "Biatorella austroafrica", "Biatorella camptocarpa", "Biatorella consanguinea", "Biatorella conspurcans", "Biatorella contigua", "Biatorella cyphalea", "Biatorella floridensis", "Biatorella fossarum", "Anolis bremeri", "Anolis bremeri bremeri", "Anolis bremeri insulaepinorum", "Anolis brevirostris", "Anolis brevirostris brevirostris", "Doryphoribius zyxiglobus", "Anolis brevirostris deserticola", "Anolis brevirostris wetmorei", "Anolis brunneus", "Axymyia japonica", "Axymyia furcata", "Cobitis paludica", "Cobitis vettonica", "Veratrum sect.", "Milium schmidtianum", "Hymenobelba exclamationis", "Pteramerus clypeatus", "Hessebius multiforaminis", "Sphaeroma khalijfarsi", "Chordodes janovyi", "Pitcairnia barbatostigma", "Pitcairnia diversifolia", "Pitcairnia glauca", "Lapanthus duartei", "Sinaxymyia rara", "Lapanthus itambensis", "Anolis caquetae", "Anolis carlostoddi", "Carangoides armatus", "Carangoides bajad", "Carangoides bartholomaei", "Carangoides chrysophrys", "Carangoides ciliarius", "Carangoides coeruleopinnatus", "Carangoides dinema", "Carangoides equula", "Carangoides ferdau", "Carangoides fulvoguttatus", "Carangoides gymnostethus", "Carangoides hedlandensis", "Carangoides humerosus", "Carangoides malabaricus", "Carangoides oblongus", "Carangoides orthogrammus", "Carangoides otrynter", "Carangoides plagiotaenia", "Carangoides praeustus", "Carangoides ruber", "Carangoides talamparoides", "Eleocharis angustispicula", "Asperula pontica", "Asperula involucrata", "Eleocharis densicaespitosa", "Eleocharis hatschbachii", "Eleocharis ramboana", "Petrea pubescens", "Petrea rugosa", "Neoechinorhynchus acanthuri", "Neoechinorhynchus schmidti", "Neoechinorhynchus zabensis", "Neoechinorhynchus zacconis", "Neoechinorhynchus wuyiensis", "Neoechinorhynchus devdevi", "Neoechinorhynchus aldrichettae", "Neoechinorhynchus chilkaensis", "Platydema brunnea", "Petrea sulphurea", "Petraeovitex multiflora", "Brigantiaea austroamericana", "Brigantiaea berteroana", "Brigantiaea chrysosticta", "Brigantiaea ferruginea", "Brigantiaea fuscolutea", "Brigantiaea ionoexcipula", "Brigantiaea isidiigera", "Brigantiaea leprosa", "Brigantiaea lobulata", "Brigantiaea lobulatisidiata", "Brigantiaea lordhowensis", "Brigantiaea mariae", "Brigantiaea microcarpa", "Brigantiaea nigra", "Brigantiaea nipponica", "Brigantiaea patwardhanii", "Brigantiaea phaeomma", "Brigantiaea praetermissa", "Brigantiaea subobscurata", "Brigantiaea substipitata", "Brigantiaea tabacodes", "Brigantiaea tricolor", "Brigantiaea tristis", "Paratrizygia albidens", "Paratrizygia alvesi", "Paratrizygia balbii", "Paratrizygia camargoi", "Kupiuka adisi", "Kupiuka extratheca", "Kupiuka heteropicta", "Kupiuka murici", "Kupiuka overalli", "Kupiuka paulista", "Kupiuka taruman", "Kupiuka vochysiae", "Plesiopiuka simplex", "Pandava ganesha", "Pandava ganga", "Pandava kama", "Pandava sarasvati", "Pandava shiva", "Caayguara ajuba", "Caayguara apiaba", "Caayguara atyaia", "Caayguara catuoca", "Caayguara cupepemassu", "Caayguara cupepemayri", "Caayguara itajucamussi", "Caayguara juati", "Caayguara pinda", "Caayguara poi", "Caayguara ybytyriguara", "Caayguara albus", "Pandava hunanensis", "Pentarthrum huttoni", "Pentarthrum chinense", "Megalastrum aquilinum", "Megalastrum glabrius", "Megalastrum inaequale", "Megalastrum inaequalifolium", "Megalastrum masafuerae", "Megalastrum spectabile", "Megalastrum peregrinum", "Culex jalisco", "Megalastrum taafense", "Eleocharis urceolatoides", "Eleocharis loefgreniana", "Galium fissurense", "Galium incanum", "Galium palustre", "Anas nesiotis", "Harpactea konradi", "Paratmeticus bipunctis", "Tmeticus tolli", "Oligacanthorhynchus aenigma", "Oligacanthorhynchus atrata", "Oligacanthorhynchus bangalorensis", "Oligacanthorhynchus spira", "Oligacanthorhynchus carinii", "Oligacanthorhynchus cati", "Witteia dentilabrum", "Flueggea gracilis", "Witteia borneensis", "Oligacanthorhynchus circumplexus", "Tulipa praestans", "Oligacanthorhynchus citilii", "Parawroughtonilla hirsuta", "Leptogenonia roslii", "Oligacanthorhynchus compressus", "Oligacanthorhynchus decrescens", "Tulipa heweri", "Schoenocaulon officinale", "Euops vulgaris", "Duranta \u00d7 skottsbergiana", "Duranta \u00d7 penlandii", "Duranta \u00d7 rupestris", "Duranta \u00d7 lineata", "Duranta recurvistachys", "Duranta wrightii", "Duranta parvifolia", "Lepidepecreella nellae", "Conilurus capricornensis", "Paramphiascella dahmsi", "Paramphiascella ferrarii", "Calicium sequoiae", "Euops japensis", "Zahlbrucknerella africana", "Zahlbrucknerella calcarea", "Zahlbrucknerella californica", "Zahlbrucknerella compacta", "Zahlbrucknerella fabispora", "Zahlbrucknerella granitica", "Zahlbrucknerella indica", "Zahlbrucknerella marionensis", "Zahlbrucknerella maritima", "Zahlbrucknerella maxima", "Zahlbrucknerella patagonica", "Oligacanthorhynchus erinacei", "Oligacanthorhynchus gerberi", "Oligacanthorhynchus hamatus", "Oligacanthorhynchus iheringi", "Oligacanthorhynchus kameruensis", "Oligacanthorhynchus kamtschaticus", "Oligacanthorhynchus lagenaeformis", "Anolis carolinensis carolinensis", "Anolis carolinensis seminolus", "Anolis carpenteri", "Oligacanthorhynchus lamasi", "Anolis casildae", "Anolis caudalis", "Lilium \u00d7 burbankii", "Oligacanthorhynchus lerouxi", "Oligacanthorhynchus longissimus", "Oligacanthorhynchus major", "Oligacanthorhynchus manifestus", "Oligacanthorhynchus manisensis", "Oligacanthorhynchus mariemily", "Oligacanthorhynchus microcephala", "Oligacanthorhynchus minor", "Oligacanthorhynchus oligacanthus", "Oligacanthorhynchus oti", "Oligacanthorhynchus pardalis", "Oligacanthorhynchus ricinoides", "Oligacanthorhynchus shillongensis", "Oligacanthorhynchus taenioides", "Oligacanthorhynchus thumbi", "Oligacanthorhynchus tortuosa", "Lopadium augustinii", "Lopadium brisbanense", "Lopadium coralloideum", "Lopadium dodgei", "Lopadium hepaticicola", "Lopadium japonicum", "Lopadium lecanorellum", "Oligacanthorhynchus tumida", "Lopadium pulchrum", "Jasminum angustifolium var. angustifolium", "Jasminum angustifolium var. sessiliflorum", "Philantomba walteri", "Philantomba maxwelli", "Philantomba monticola", "Thrips razanii", "Chimarra babarensis", "Chimarra kolombangensis", "Chimarra maculata", "Chimarra rosavensis", "Chimarra solomonensis", "Chimarra talinensis", "Chimarra ventrospina", "Chimarra veveensis", "Chimarra vitapinensis", "Blommersia angolafa", "Jenmania goebelii", "Jenmania osorioi", "Calotrichopsis filiformis", "Calotrichopsis granulosa", "Calotrichopsis insignis", "Calotrichopsis rivae", "Duranta vestita", "Flueggea virosa subsp. melanthesoides", "Flueggea virosa subsp. virosa", "Austrozephyrus absolon", "Thermutis compacta", "Thermutis flexuosa", "Thermutis friesii", "Thermutis pannosa", "Thermutis velutina", "Thermutopsis jamesii", "Pinnotherotonia rumphiusi", "Mallinella abdita", "Mallinella bifida", "Mallinella insulana", "Mallinella simoni", "Mallinella wiputrai", "Nyctanthes aculeata", "Tribonium sagittum", "Oocyclus andinus", "Oocyclus bolivari", "Oocyclus coromoto", "Oocyclus floccus", "Oocyclus galbus", "Oocyclus meridensis", "Oocyclus petra", "Oocyclus pico", "Oocyclus pittieri", "Oocyclus sapphirus", "Oocyclus trujillo", "Oocyclus zulianus", "Balanococcus balkanicus", "Phenacoccus alibotush", "Oocyclus foxae", "Oocyclus melinoventris", "Oocyclus namtok", "Oocyclus sitesi", "Oocyclus thailensis", "Oocyclus viridescens", "Oocyclus armstrongorum", "Oocyclus madidus", "Oocyclus rupicola", "Maladera insanabilis", "Austrothaumalea pala", "Austrothaumalea walkerae", "Austrothaumalea zwicki", "Austrothaumalea chilensis", "Austrothaumalea halteralis", "Austrothaumalea neozealandica", "Austrothaumalea nudipennis", "Austrothaumalea spatulata", "Thaumalea appendiculata", "Euopsis granatina", "Euopsis haemalea", "Euopsis haemaleella", "Euopsis pulvinata", "Oterere oliveri", "Oterere setipennis", "Coccus hesperidum", "Pseudoheptura picta", "Edwardiella mirabilis", "Ooctonus lapen", "Ooctonus lokomotiv", "Ooctonus saturn", "Ooctonus spartak", "Ooctonus tretiakovi", "Ooctonus us", "Mesochria schlingeri", "Mesochria vulgaris", "Mesochria thaii", "Diplazium laffanianum", "Jasminum glaucum", "Austrozephyrus absolon absolon", "Austrozephyrus absolon malayicus", "Jasminum scandens", "Austrozephyrus absolon thamar", "Thysanocarpus conchuliferus", "Thysanocarpus curvipes", "Austrothaumalea apicalis", "Austrothaumalea appendiculata", "Austrothaumalea australis", "Austrothaumalea bickeli", "Austrothaumalea barrydayi", "Austrothaumalea bicornis", "Austrothaumalea bifida", "Austrothaumalea concava", "Austrothaumalea queenslandensis", "Austrothaumalea ramosa", "Austrothaumalea theischingeri", "Austrothaumalea uloola", "Austrothaumalea capricornis", "Austrothaumalea cervula", "Austrothaumalea commoni", "Austrothaumalea denticulata", "Austrothaumalea fusca", "Austrothaumalea macalpinei", "Austrothaumalea minnamurrae", "Austrothaumalea similis", "Austrothaumalea simplex", "Austrothaumalea sinuosa", "Austrothaumalea spinosa", "Austrothaumalea tasmanica", "Austrothaumalea tonnoiri", "Austrothaumalea uptoni", "Austrothaumalea victoriae", "Austrothaumalea zentae", "Austrothaumalea crosbyi", "Austrothaumalea gibbsi", "Austrothaumalea macfarlanei", "Austrothaumalea maxwelli", "Austrothaumalea ngaire", "Lamium demirizii", "Lamium eriocephalum", "Lamium garganicum", "Lamium macrodon", "Navarretia linearifolia", "Allium insufficiens", "Navarretia linearifolia subsp. pinnatisecta", "Navarretia sinistra", "Allium robustum", "Limenitis rileyi", "Limenitis rileyi rileyi", "Limenitis rileyi ngoclinensis", "Calinaga funeralis", "Calinaga sudassana", "Calinaga sudassana sudassana", "Calinaga sudassana distans", "Lethe philesana", "Lethe konkakini", "Lamium vreemanii", "Sesuvium portulacastrum", "Salvia elegans", "Sphingonotus caerulans", "Jasminum bignoniaceum", "Aleuria aurantia", "Thysanocarpus curvipes subsp. amplectens", "Brachystoma muankai", "Pleurodema alium", "Politolana sanchezi", "Erseia oligochaeta", "Proceraea albocephala", "Csapodya splendens", "Csapodya challengeri", "Osmia aquilonaria", "Osmia nearctica", "Apalocnemis canadambris", "Neoaphylum grossi", "Aphylum syntheticum", "Aphylum bergrothi", "Anomalempis archon", "Anomalempis tacomae", "Cryptothele permiscens", "Cryptothele rhodosticta", "Finkia portoricensis", "Reithrodon auritus", "Jasminum sect.", "Jasminum sect.", "Mawsonia harrissonii", "Campodea anae", "Campodea sarae", "Deutonura gibbosa", "Lathriopyga nistru", "Rhithrogena klugei", "Pseuderanthemum lanceolatum", "Lepicerus pichilingue", "Jasminum sect.", "Zealandicesa aequabilis", "Zealandicesa fascipennis", "Zealandicesa longicauda", "Zealandicesa masneri", "Zealandicesa setosa", "Zealandicesa singularis", "Zealandicesa tararua", "Thysanocarpus desertorum", "Pseudopaulia tessellata", "Katria katria", "Glyphidopeza fluviatilis", "Glyphidopeza longicornis", "Ceratomerus athertonius", "Ceratomerus attenuatus", "Myosotis latifolia", "Xiphoides badius", "Xiphoides luteolus", "Xiphoides multicolor", "Xiphoides vacans", "Xiphoides myersi", "Phylliscidium monophyllum", "Hydropeza curicoa", "Hydropeza agnetis", "Hydropeza akatarawa", "Hydropeza clarae", "Hydropeza daviesi", "Hydropeza milleri", "Hydropeza paniculata", "Hydropeza tutoko", "Hydropeza vockerothi", "Hydropeza wardi", "Hydropeza longipennae", "Ajuga postii", "Ajuga salicifolia", "Ajuga davisiana", "Ajuga laxmannii", "Ajuga bombycina", "Ajuga relicta", "Ajuga vestita", "Ajuga xylorrhiza", "Pseudarctomia microleuca", "Eupithecia aenigma", "Jasminum sect.", "Portlandia grandiflora", "Graptodytes eremitus", "Portlandia platantha", "Portlandia coccinea", "Portlandia harrisii", "Portlandia microsepala", "Portlandia proctori", "Jasminum syringifolium", "Lamium tschorochense", "Lamium tomentosum", "Cirsium creticum", "Cerastium semidecandrum", "Calicotome villosa", "Stachys marashica", "Geranium kalenderianum", "Salvia marashica", "Teinopalpus aureus shinkaii", "Jasminum nervosum", "Xanthodromia tenuicaudata", "Phylliscidiopsis abissinica", "Hyles lineata", "Rhodoprasina callantha", "Rhodoprasina corrigenda", "Nemophila maculata", "Nemophila aphylla", "Nemophila heterophylla", "Nemophila breviflora", "Nemophila menziesii", "Nemophila parviflora", "Thysanocarpus curvipes subsp. curvipes", "Thysanocarpus curvipes subsp. elegans", "Thysanocarpus curvipes subsp. eradiatus", "Thysanocarpus curvipes subsp. longistylus", "Eucalyptus subg.", "Eucalyptus subg.", "Eucalyptus sect.", "Nemophila pedunculata", "Nemophila pulchella", "Nemophila spatulata", "Phyllisciella aotearoa", "Phyllisciella marionensis", "Phyllisciella polymorpha", "Nonea vesicaria", "Eucalyptus sect.", "Oncicola campanulata", "Oncicola canis", "Oncicola chibigouzouensis", "Oncicola confusus", "Oncicola dimorpha", "Oncicola freitasi", "Oncicola gigas", "Oncicola oncicola", "Oncicola justatesticularis", "Oncicola luehei", "Oncicola machadoi", "Oncicola macrurae", "Oncicola malayanus", "Oncicola martini", "Oncicola megalhaesi", "Oncicola michaelseni", "Oncicola micracantha", "Oncicola paracampanulata", "Gyrocollema rupestrinum", "Gyrocollema scyphuliferum", "Oncicola pomatostomi", "Oncicola schacheri", "Oncicola sigmoides", "Oncicola spirula", "Oncicola travassosi", "Oncicola venezuelensis", "Anolis centralis", "Pachysentis angolensis", "Pachysentis canicola", "Pachysentis dollfusi", "Pachysentis ehrenbergi", "Pachysentis gethi", "Pachysentis lenti", "Pachysentis procumbens", "Pachysentis procyonis", "Pachysentis rugosus", "Pachysentis septemserialis", "Aloe acutissima", "Omocestus viridulus", "Cryptothele africana", "Cryptothele cylindrophora", "Omocestus rufipes", "Cryptothele granuliforme", "Cryptothele laatokkensis", "Cryptothele neglecta", "Apalocnemis fumosa", "Apalocnemis simulans", "Ephydrempis setiventris", "Ceratempis longicornis", "Ruellia guerrerensis", "Ruellia jaliscana", "Ruellia laslobasensis", "Ruellia pringlei", "Ruellia sarukhaniana", "Ruellia sororia", "Artemisia eriantha", "Ruellia speciosa", "Zealandortalis philpotti", "Shuaria ecuadorica", "Zealandortalis gregi", "Zealandortalis interrupta", "Diplazon laetatorius", "Ephutomorpha bivulnerata", "Allium decipiens", "Allium sewerzowii", "Allium suworowii", "Pyrenocarpon lignyotum", "Pyrenocarpon lugubre", "Pyrenocarpon montinii", "Pyrenocarpon myriocarpum", "Pyrenocarpon pelodes", "Pyrenocarpon thelostoma", "Ruellia sect.", "Ruellia bourgaei", "Ruellia cedilloi", "Ruellia conzattii", "Jasminum sect.", "Prasium majus", "Melittis melissophyllum", "Leonurus glaucescens", "Leonurus persicus", "Dracocephalum aucheri", "Dracocephalum multicaule", "Pentapleura subulifera", "Thymbra sintenisii", "Thymbra spicata", "Cyclotrichium glabrescens", "Cyclotrichium leucotrichum", "Cyclotrichium longiflorum", "Cyclotrichium niveum", "Cyclotrichium origanifolium", "Cyclotrichium stamineum", "Lecidopyrenopsis corticola", "Hymenocrater bituminosus", "Euops kukukuku", "Euops lani", "Euops mysolensis", "Euops reticulatus", "Erikssonia acraeina", "Erikssonia cooksoni", "Navarretia capillaris", "Lemmopsis affine", "Navarretia leptalea", "Lemmopsis arnoldiana", "Lemmopsis fulvida", "Lemmopsis oblongans", "Lemmopsis pelodes", "Navarretia leptalea subsp. leptalea", "Lemmopsis suomiensis", "Navarretia leptalea subsp. bicolor", "Atodrapetis infrapratula", "Protonephrocerus chiloensis", "Protonephrocerus florissantius", "Neptis jumbah", "Neptis mahendra", "Neptis antilope", "Neptis cydippe", "Pantoporia bieti", "Pantoporia antara", "Metarbela haberlandorum", "Polyptychus claudiae", "Lymantria dispar dispar", "Lymantria dispar tsushimensis", "Lymantria dispar postalba", "Euproctis kurosawai", "Protomiselia bilinea", "Allium grande", "Allium alaicum", "Allium stipitatum", "Allium aflatunense", "Synalpheus pectiniger", "Dendrophryniscus oreites", "Benhamyia apicalis", "Isodrapetis nitidula", "Isodrapetis subpollinosa", "Isodrapetis suda", "Isodrapetis excava", "Isodrapetis hyalina", "Isodrapetis nitidiuscula", "Isodrapetis rauparaha", "Isodrapetis spinositibia", "Physalaemus insperatus", "Hyalobole hreblayi", "Hyalobole infenestra", "Hyalobole taiwanensis", "Hyalobole variegata", "Dalima kauneorum", "Nacaduba cyanea pindus", "Heliconia rostrata", "Leucaspis albotecta", "Leucaspis trilobata", "Eriococcus korthalsellae", "Munidopsis comarge", "Munidopsis vesper", "Mesodorylaimus bomdillaensis", "Mesodorylaimus khasianus", "Mesodorylaimus noreasus", "Mesodorylaimus spicatus", "Osa pulchra", "Pronoides sutaiensis", "Phylliscum abuense", "Phylliscum demangeonii", "Phylliscum endocarpoides", "Phylliscum indicum", "Phylliscum japonicum", "Phylliscum macrosporum", "Phylliscum microphyllum", "Phylliscum phylliscum", "Psilota atra", "Phylliscum silesiacum", "Phylliscum tenue", "Phylliscum testudineum", "Psilota brevicornis", "Phylliscum vermiformis", "Psilota innupta", "Psilota decessa", "Platymeris biguttatus", "Tanypus nakazatoi", "Scirtothrips mugambii", "Ceratophysella taiguensis", "Siobla acutiserrula", "Siobla annulicornis", "Siobla leucocincta", "Siobla weni", "Mymar ramym", "Ptilophora nanlingensis", "Arhaconotus hainanensis", "Allium taeniopetalum", "Acanthodasys caribbeanensis", "Nelcyndana borneensis", "Nelcyndana mulu", "Nelcyndana vantoli", "Scutibracon fujianensis", "Dolabraulax brevivena", "Dolabraulax flavus", "Dolabraulax jigongshanus", "Didepressorotunda auriculata", "Depressorotunda ecuadorica", "Depressorotunda splendida", "Allium rosenbachianum", "Allium komarowii", "Atelestites senectus", "Dianafranksia fisheri", "Ceryx mirabilis", "Puntius ambassis", "Puntius amphibius", "Puntius aphya", "Puntius arenatus", "Puntius arulius", "Puntius semifasciolatus", "Puntius rohani", "Apomys microdon", "Orecta venedictoffae", "Sphinx porioni", "Xylophanes kiefferi", "Eupanacra treadawayi", "Theretra sugii", "Hippotion paukstadti", "Theretra natashae", "Theretra natashae natashae", "Theretra natashae paukstadtorum", "Theretra tabubilensis", "Gnathothlibus fijiensis", "Gnathothlibus samoaensis", "Thysanotus patersonii", "Talegalla jobiensis jobiensis", "Acrochordus arafurae", "Daphne mezereum subsp. rechingeri", "Daphne mezereum subsp. mezereum", "Acarteroptera licini", "Acarteroptera recta", "Cyphacolus copelandi", "Cyphacolus diazae", "Cyphacolus harteni", "Cyphacolus jenningsi", "Siniassus loberus", "Siniassus aspinus", "Siniassus compressus", "Siniassus webbi", "Flavina nigrifascia", "Flavina nigrifrons", "Orphninotrichia alata", "Orphninotrichia barbarae", "Orphninotrichia desleyae", "Orthotrichia andicairnsae", "Orthotrichia rentzi", "Blacus longipetiolatus", "Blacus huitepec", "Blacus basitarsis", "Blacus julianae", "Leptocysta dellapei", "Leptocysta delrioae", "Eratomyia risaralda", "Eratomyia magnifica", "Ngaheremyia fuscipennis", "Chersodromia zelandica", "Austrodrapetis coxalis", "Cyphacolus leblanci", "Cyphacolus watshami", "Cyphacolus tullyae", "Cyphacolus lucianae", "Cyphacolus normani", "Cyphacolus sallyae", "Cyphacolus tessae", "Cyphacolus veniprivus", "Chersodromia isabellae", "Sinomusca mostovskii", "Galumnella baleensis", "Pilizetes anufrievi", "Taeniogalumna behanae", "Allium trautvetterianum", "Allium schubertii", "Ypthima affectata", "Ypthima yoshinobui", "Ypthima lihongxingi", "Ypthima beautei", "Ypthima beautei beautei", "Ypthima beautei qinghaiensis", "Ypthima akbar", "Ypthima yunosukei", "Ypthima nebulosa", "Ypthima singorensis", "Ypthima singorensis singorensis", "Ypthima singorensis indosinica", "Paulia rhizophora", "Paulia salevensis", "Paulia schroederi", "Paulia stipitata", "Paulia wrightii", "Helichrysum trilineatum", "Silurus burmanensis", "Valgothrombium mariae", "Allium caspium", "Allium darwasicum", "Allium winklerianum", "Sporastatia desmaspora", "Sporastatia polyspora", "Sporastatia testudinea", "Ceratomerus barringtonensis", "Ceratomerus bickeli", "Ceratomerus bulbosus", "Ceratomerus falcatus", "Ceratomerus globosus", "Ceratomerus hibernus", "Ceratomerus lobatus", "Ceratomerus macalpinei", "Ceratomerus maculatus", "Ceratomerus malleolus", "Ceratomerus oreas", "Ceratomerus orientalis", "Ceratomerus victoriae", "Ceratomerus albistylus", "Thysanocarpus erectus", "Oxylapia polli", "Thysanocarpus laciniatus", "Paratilapia polleni", "Ceratomerus campbelli", "Ceratomerus inflexus", "Ceratomerus ordinatus", "Ceratomerus crassinervis", "Thysanocarpus radians", "Ceratomerus biseriatus", "Ceratomerus brevifurcatus", "Ceratomerus earlyi", "Ceratomerus flavus", "Ceratomerus melaneus", "Ceratomerus vittatus", "Ceratomerus tarsalis", "Ceratomerus dorsatus", "Ceratomerus exiguus", "Ceratomerus virgatus", "Ceratomerus prodigiosus", "Ceratomerus longifurcatus", "Thysanocarpus rigidus", "Prosthenorchis elegans", "Prosthenorchis fraterna", "Prosthenorchis lemuri", "Lichinodium ahlneri", "Lichinodium canadense", "Lichinodium saxicola", "Lichinodium sirosiphoideum", "Sesuvium maritimum", "Limnorhyphus haifanggouensis", "Haemanota kindli", "Haemanota senecauxi", "Haemanota rubriceps", "Haemanota sanguidorsia", "Haemanota haemabasis", "Haemanota alboapicalis", "Haemanota prophaea", "Haemanota griseotincta", "Haemanota affinis", "Haemanota abdominalis", "Haemanota syntomoides", "Haemanota chrysozona", "Haemanota flavipurpurea", "Haemanota nigricollum", "Haemanota fereunicolor", "Haemanota croceicauda", "Haemanota gibeauxi", "Haemanota patricki", "Haemanota croceicorpus", "Ormetica abdalsan", "Eupseudosoma aberrans", "Pelochyta adumbrata", "Halysidota agramma", "Leucanopsis ahysa", "Leucanopsis alarica", "Idalus agricus", "Evius albicoxae", "Araeomolis albipicta", "Aegus kandiensis", "Cyphacolus asherae", "Cyphacolus axfordorum", "Figulus aratus", "Figulus horni", "Figulus interruptus", "Prosopocoilus henryi", "Figulus incisus", "Figulus tapinus", "Figulus insulanus", "Figulus fulgens", "Figulus robustus", "Figulus spinosus", "Figulus popei", "Figulus delicatus", "Figulus excavatus", "Figulus hornabrooki", "Figulus splendens", "Figulus caecus", "Paulia aldabrensis", "Paulia caespitosa", "Paulia cubana", "Paulia gibbosa", "Paulia glomerata", "Paulia japonica", "Paulia myriocarpa", "Paulia nitidula", "Paulia perforata", "Paulia pullata", "Paulia pyrenoides", "Paulia resinacea", "Antigius shizuyai", "Euaspa nishimurai", "Teratozephyrus kimurai", "Neozephyrus uedai uedai", "Neozephyrus uedai kachinicus", "Chrysozephyrus kirbariensis kirbariensis", "Antigius cheni", "Apion onopordi", "Cryptoxilos dichromorphus", "Cryptoxilos convergens", "Cryptoxilos lymantori", "Allium cupuliferum", "Chlorodrepana inaequisecta", "Scopula obliquifascia", "Scopula karischi", "Collix brevipalpis", "Eupithecia karischi", "Eupithecia fernandi", "Eupithecia calderae", "Collix biokoensis", "Chesneya elegans", "Helichrysum artvinense", "Rhodothamnus sessilifolius", "Circaea lutetiana", "Rosema poguei", "Rosema ceciliae", "Rosema mariae", "Rosema undaoides", "Rosema undaoides undaoides", "Rosema undaoides pupillata", "Myosotis pusilla", "Myosotis persoonii", "Myosotis gallica", "Myosotis debilis", "Myosotis corsicana", "Myosotis congesta", "Opharus navatteae", "Bellis azorica", "Erigeron cilicicus", "Erigeron olympicus", "Erigeron zederbaueri", "Erodium leucanthum", "Veronica caespitosa", "Tripleurospermum baytopianum", "Tripleurospermum callosum", "Tripleurospermum conoclinium", "Tripleurospermum corymbosum", "Tripleurospermum decipiens", "Tripleurospermum disciforme", "Tripleurospermum elongatum", "Tripleurospermum fissurale", "Tripleurospermum heterolepis", "Tripleurospermum hygrophilum", "Tripleurospermum inodorum", "Tripleurospermum kotschyi", "Tripleurospermum melanolepis", "Tripleurospermum microcephalum", "Tripleurospermum monticolum", "Tripleurospermum parviflorum", "Tripleurospermum pichleri", "Tripleurospermum rosellum", "Tripleurospermum sevanense", "Tripleurospermum tenuifolium", "Tripleurospermum transcaucasicum", "Tripleurospermum ziganaense", "Euops cacuminis", "Euops missai", "Ceradocus mizani", "Victoriopisa tinggiensis", "Benedenia hawaiiensis", "Apogonichthyoides umbratilis", "Marcusadorea jamaicensis", "Mycomyzostoma calcidicola", "Diomea lignicolora", "Diomea eupsema", "Diomea livida", "Diomea jankowskii", "Panilla petrina", "Allium iliense", "Ceratocorema antiphanopa", "Ceratocorema cymbalistis", "Ceratocorema mesatma", "Ceratocorema semihyalinum", "Ceratocorema postcristatum", "Ceratocorema hyalina", "Lichina antarctica", "Ceratocorema yoshiyasui", "Lichina confinis", "Lichina elizabethae", "Lichina macrospora", "Lichina microcarpa", "Lichina minutissima", "Lichina polycarpa", "Lichina pygmaea", "Lichina rosulans", "Lichina tasmanica", "Lichina transfuga", "Lichina willeyi", "Allium tripedale", "Spalgis tintinga", "Spalgis jacksoni", "Spalgis jacksoni stempfferi", "Spalgis jacksoni jacksoni", "Spalgis lemolea", "Spalgis lemolea pilos", "Spalgis lemolea lemolea", "Dactylomyia vockerothi", "Silpha longicornis", "Endasys gibbosus", "Tipula henanensis", "Adamystis thailandensis", "Anoplodesmus borealis", "Anoplodesmus solenophorus", "Crotonia brisbanensis", "Crotonia cameroni", "Crotonia daviesae", "Crotonia eungella", "Crotonia maculata", "Crotonia monteithi", "Crotonia queenslandiae", "Crotonia raveni", "Crotonia seemani", "Crotonia sterigma", "Crotonia weiri", "Crotonia yeatesi", "Ceriops decandra", "Onthophagus rugulosus", "Parentia cagiae", "Ectobius lucidus", "Philodendron subsect.", "Philodendron ser.", "Clitaetra thisbe", "Crotonia gorgonia", "Crotonia norfolkensis", "Crotonia utricularia", "Guadana manauara", "Guadana neblina", "Guadana panguana", "Guadana quillu", "Guadana tambopata", "Guadana urucu", "Tylototriton notialis", "Rhinatrema ron", "Isospora ramphoceli", "Myxinidocotyle eptatreti", "Bellis bernardii", "Bellis caerulescens", "Haemanota kindliana", "Nonea atra", "Nonea micrantha", "Melanortocarya obtusifolia", "Nonea pallens", "Nonea pulmonarioides", "Nonea versicolor", "Baritius kawensis", "Baritius cerdai", "Symphytum aintabicum", "Symphytum bornmuelleri", "Xylophanes alvarezsierrai", "Symphytum brachycalyx", "Symphytum cordatum", "Symphytum davisii", "Symphytum gussonei", "Symphytum kurdicum", "Symphytum longisetum", "Symphytum orientale", "Symphytum ottomanum", "Symphytum pseudobulbosum", "Symphytum tauricum", "Allium regelii", "Diomea suvarnadvipae", "Balaustion pulcherrimum", "Calytrix angulata", "Calytrix brevifolia", "Calytrix depressa", "Calytrix flavescens", "Calytrix fraseri", "Calytrix leschenaultii", "Calytrix strigosa", "Calytrix tetragona", "Grootaertia skorpionensis", "Thrypticus australis", "Thrypticus tropicus", "Thrypticus fortescuensis", "Carcinus maenas", "Zosteria novazealandica", "Anartia jatrophae", "Anartia jatrophae jatrophae", "Anartia jatrophae guantanamo", "Anartia jatrophae semifusca", "Anartia jatrophae intermedia", "Anartia jatrophae jamaicensis", "Anartia jatrophae luteipicta", "Anartia jatrophae saturata", "Satyrium liparops", "Satyrium liparops liparops", "Satyrium liparops fletcheri", "Satyrium liparops aliparops", "Satyrium calanus", "Satyrium edwardsii", "Dieffenbachia oerstedii", "Dieffenbachia bowmannii", "Rhyacionia vernalis", "Eupithecia argentea", "Eupithecia orba", "Eupithecia coribalteata", "Eupithecia viata", "Eupithecia matrona", "Eupithecia opicata", "Eupithecia primitiva", "Eupithecia nigristriata", "Eupithecia cervina", "Eupithecia ensifera", "Eupithecia ultrix", "Eupithecia relaxata", "Eupithecia costipicta", "Eupithecia centaureata", "Eupithecia repetita", "Eupithecia subtilis", "Eupithecia vallenarensis", "Eupithecia rigida", "Eupithecia raniata", "Eupithecia lindti", "Eupithecia convexa", "Eupithecia costalis", "Eupithecia costiconvexa", "Eupithecia balintzsolti", "Nelsoninus maoricus", "Astartea fascicularis", "Metalectra albilinea", "Anthurium sect.", "Anthurium gracile", "Megalopalpus angulosus", "Megalopalpus metaleucus", "Megalopalpus simplex", "Megalopalpus zymna", "Palpomyia cantuaris", "Dendrocerus kurandae", "Holophleps brevigena", "Bomansius gabrieli", "Ericameria nauseosa", "Aloidendron barberae", "Myrciaria cauliflora", "Myrciaria aureana", "Myrciaria baporeti", "Myrciaria caurensis", "Myrciaria dubia", "Myrciaria edulis", "Myrciaria floribunda", "Myrciaria ibarrae", "Myrciaria jaboticaba", "Myrciaria tenella", "Myrciaria trunciflora", "Myrciaria vexator", "Myrciaria vismeifolia", "Platydemus manokwari", "Eupithecia cordata", "Eupithecia hesperina", "Eupithecia sacrivicae", "Eupithecia acuminata", "Eupithecia ancillata", "Eupithecia puella", "Eupithecia hebes", "Eupithecia delicata", "Eupithecia camilla", "Eupithecia julia", "Scutellaria albida", "Scutellaria pontica", "Plantago atrata", "Plantago bellardii", "Thesium alpinum", "Asphodeline lutea", "Valeriana alliariifolia", "Valeriana celtica", "Valeriana flaccidissima", "Valeriana prionophylla", "Valeriana supina", "Valeriana wallrothii", "Valeriana tuberosa", "Valeriana tripteris", "Valeriana pyrenaica", "Valeriana dioica", "Valeriana arizonica", "Philodendron martianum", "Philodendron subsect.", "Dendrocerus carpenteri", "Dendrocerus aphidum", "Dendrocerus laticeps", "Gastrimargus musicus", "Lebanoculicoides mesozoicus", "Polyptychus chinensis", "Polyptychus chinensis chinensis", "Polyptychus chinensis draconis", "Polyptychus chinensis draconoides", "Polyptychus chinensis shaanxiensis", "Polyptychus anochus", "Polyptychus baltus", "Polyptychus barnsi", "Polyptychus bernardii", "Acanthosphinx guessfeldti", "Euops cupreosplendens", "Euops viridiceps", "Kniphofia rooperi", "Euops gladiator", "Mimotettix rectatus", "Mimotettix robustistylus", "Mimotettix tibetensis", "Heterotoma merioptera", "Aradus serbicus", "Japanagallia lamellata", "Japanagallia spinosa", "Roscius diversus", "Roscius niger", "Oncylocotis inexpectatus", "Anopheles yaeyamaensis", "Sanjuansaurus gordilloi", "Distatrix carolinae", "Venanus heberti", "Pseudapanteles gouleti", "Apanteles huberi", "Apanteles samarshalli", "Apanteles jenniferae", "Apanteles masmithi", "Apanteles roughleyi", "Sivapithecus alpani", "Chelonus cereris", "Chelonus malayanus", "Chelonus socors", "Chelonus bedfordi", "Chelonus versatilis", "Zaprionus tuberculatus", "Pleurolabus munroi", "Pleurolabus spectator", "Apopnictus longisetis", "Apopnictus zizyphi", "Apion penicillatum", "Leucanella atahualpa", "Leucanella yungasensis", "Dirphia barinasensis", "Daphnusa ocellaris", "Daphnusa fruhstorferi", "Daphnusa zythum", "Centaurea ornata", "Dolbina elegans", "Dolbina exacta", "Dolbina grisea", "Dolbina formosana", "Dolbina inexacta", "Dolbina krikkeni", "Dolbina tancrei", "Chrysoperla lucasina", "Chondrostoma nasus", "Ceratotherium mauritanicum", "Ambulyx zhejiangensis", "Ambulyx pryeri", "Ambulyx pryeri pryeri", "Ambulyx pryeri tenggarensis", "Ruellia portellae", "Thunbergia subg.", "Kniphofia pauciflora", "Rhinocylapus kmentii", "Rhinocylapus pallescens", "Rhinocylapus redeii", "Hydrolutos breweri", "Decapauropus remyi", "Triacanthoneus alacranes", "Triacanthoneus pacificus", "Triacanthoneus toro", "Euchaetomera spinosa", "Siriella brevispina", "Cyrtodactylus wayakonei", "Angarotipula aspina", "Angarotipula biprocessa", "Transversotrema elegans", "Transversotrema gigantica", "Transversotrema lacerta", "Austrohelea antipodalis", "Austrohelea brevipes", "Austrohelea campbellensis", "Austrohelea ferruginea", "Austrohelea shannoni", "Austrohelea tasmaniensis", "Austrohelea tonnoiri", "Euops doertheae", "Euops paraviridiceps", "Euops punctaticeps", "Euops similis", "Euops waigeoensis", "Euops wapogae", "Aloe viguieri", "Aloe perfoliata", "Kodaianella longispina", "Kodaianella macheta", "Lonchodryinus politus", "Pelmatops tangliangi", "Pseudopelmatops indiaensis", "Pseudopelmatops yunnanensis", "Augerella achterbergi", "Augerella vriesi", "Atkinsoniella biundulata", "Atkinsoniella cuspidata", "Atkinsoniella motuoensis", "Leptonema ferelunatum", "Leptonema santosi", "Leptonema serratum", "Bracon malatyensis", "Mesostoma thamagai", "Griselinia littoralis", "Lempholemma botryosum", "Lempholemma chalazanellum", "Satyrium calanus calanus", "Lempholemma chalazanodes", "Satyrium calanus albidus", "Lempholemma chalazanum", "Satyrium calanus falacer", "Lempholemma cladodes", "Lempholemma compactum", "Satyrium calanus godarti", "Lempholemma elveloideum", "Lempholemma intricatum", "Lempholemma isidioides", "Lempholemma oblique-peltatum", "Satyrium caryaevorus", "Lempholemma polyanthes", "Lempholemma radiatum", "Lempholemma umbella", "Lempholemma vesiculiferum", "Tchadorhynchus quentini", "Erastria decrepitaria", "Erastria decrepitaria decrepitaria", "Erastria decrepitaria esperanza", "Erastria viridirufaria", "Erastria cruentaria", "Junonia zonalis", "Junonia evarete occidentalis", "Crymostygius thingvallensis", "Pongo pygmaeus morio", "Pongo pygmaeus wurmbii", "Thamala marciana", "Thamala marciana miniata", "Thamala marciana marciana", "Thamala marciana petrella", "Thamala marciana sarupa", "Thamala marciana natuna", "Xanthosoma robustum", "Thamala moultoni", "Mimotettix brevicornis", "Mimotettix dietrichi", "Mimotettix distiflangentus", "Mimotettix dorsocavatus", "Leptomydas tigris", "Vespiodes phaios", "Mydaselpis ngurumani", "Syllegomydas astrictus", "Syllegomydas elachys", "Syllegomydas heothinos", "Turbonilla alvheimi", "Turbonilla anselmopenasi", "Turbonilla iseborae", "Turbonilla korantengi", "Turbonilla krakstadi", "Kongsrudia rolani", "Acanthochondria alleni", "Ischnura cyane", "Acontias kgalagadi", "Acontias rieppeli", "Lepidophyma zongolica", "Glyptogidiella omanica", "Gravitcornutia altoperuviana", "Telurips dubius", "Xapamopa oxapampa", "Gnathocolumna asymmetra", "Romanaria chachapoyas", "Romanaria cedrana", "Rhythmologa bicuspis", "Anopinella rotunda", "Epimastidia yiwikana", "Thunbergia subg.", "Thunbergia subg.", "Thunbergia subg.", "Thunbergia subg.", "Thunbergia subg.", "Thunbergia usambarica", "Thunbergia subg.", "Thunbergia bancana", "Hemigraphis latebrosa", "Hemigraphis latebrosa var. rupestris", "Leptomydas notos", "Leptomydas rapti", "Acontias lineatus", "Abactochromis labrosus", "Acontias kgalagadi kgalagadi", "Acontias kgalagadi subtaeniatus", "Chiasmocleis avilapiresae", "Nothodixa campbelli", "Chonostomum crenulatum", "Calenia africana", "Calenia albonigra", "Calenia areolata", "Calenia aspidota", "Calenia atlantica", "Calenia aurantiaca", "Chlorotabanus falsiflagellatus", "Chlorotabanus leuconotus", "Chlorotabanus microceratus", "Chalarus elegantulus", "Blastobasis repartella", "Microniphargus leruthi", "Lambis crocata", "Chelipoda mirabilis", "Eviota nigrispina", "Rhopalodinaria bocherti", "Lanceophora lanceolata", "Ocnus paracorbulus", "Ocnus placominutus", "Panningia pseudocurvata", "Stenobiella variola", "Tribasodites spinacaritus", "Panthera leo somaliensis", "Commelina benghalensis", "Phalonidia baccatana", "Phalonidia olivogrisea", "Saphenista pascana", "Saphenista cuscana", "Saphenista rufoscripta", "Deltophalonia huanuci", "Didymorchis paranephropis", "Didymorchis astacopsidis", "Didymorchis cherapsis", "Didymorchis haswelli", "Justicia scheidweileri", "Justicia sect.", "Pongo pygmaeus pygmaeus", "Justicia subsect.", "Justicia subsect.", "Parascatonomus sakamakii", "Parascatonomus salakensis", "Parascatonomus javanitidus", "Gyalectidium microcarpum", "Gyalectidium minus", "Gyalectidium nashii", "Gyalectidium novoguineense", "Pseudodirphia knorkei", "Gyalectidium pallidum", "Gyalectidium palmicola", "Gyalectidium paolae", "Gyalectidium plicatum", "Gyalectidium puntilloi", "Gyalectidium radiatum", "Gyalectidium rosae-emiliae", "Gyalectidium sanmartinense", "Cupido minimus sanconensis", "Gyalectidium setiferum", "Gyalectidium tuckerae", "Gyalectidium ulloae", "Gyalectidium verruculosum", "Gyalectidium viride", "Gyalectidium yahriae", "Callopistria malagasy", "Nothochrysa fulviceps", "Megaskepasma erythrochlamys", "Ceratotherium simum germanoafricanum", "Ruellia puri", "Ruellia villosa", "Ruellia makoyana", "Roa australis", "Hofstenioplesia haswelli", "Chrysopa perla", "Chrysopa dasyptera", "Ruellia solitaria", "Paranephrops planifrons", "Paranephrops zealandicus", "Prorhynchus putealis", "Giraffa camelopardalis camelopardalis", "Giraffa camelopardalis peralta", "Hyperchiria schmiti", "Gyalectidium appendiculatum", "Gyalectidium areolatum", "Gyalectidium argillaceum", "Gyalectidium atrosquamulatum", "Gyalectidium aurelii", "Gyalectidium australe", "Gyalectidium barbatum", "Gyalectidium catenulatum", "Gyalectidium caucasicum", "Gyalectidium chilense", "Gyalectidium ciliatum", "Gyalectidium cinereodiscus", "Gyalectidium colchicum", "Gyalectidium conchiferum", "Gyalectidium corticola", "Gyalectidium denticulatum", "Gyalectidium dispersum", "Gyalectidium eskuchei", "Gyalectidium fantasticum", "Gyalectidium filicinum", "Gyalectidium flabellatum", "Gyalectidium floridense", "Gyalectidium fuscum", "Gyalectidium imperfectum", "Gyalectidium gahavisukanam", "Gyalectidium kenyanum", "Gyalectidium laciniatum", "Gyalectidium macaronesicum", "Gyalectidium maracae", "Gyalectidium membranaceum", "Pseuderanthemum graciliflorum", "Axonopsis kermanica", "Oregodasys katharinae", "Oregodasys norenburgi", "Anomaloglossus megacephalus", "Leptolalax croceus", "Proceratophrys sanctaritae", "Calliphora kermadeca", "Calliphora rufipes", "Pseuderanthemum laxiflorum", "Pseuderanthemum palatiferum", "Calliphora kanoi", "Calliphora mogii", "Calliphora hasanuddini", "Calliphora gilesi", "Calliphora forresti", "Calliphora maritima", "Ootheca eddae", "Ootheca julianae", "Ootheca tilmani", "Ootheca ugandae", "Anaticola crassicornis", "Pseudoneureclipsis bonkybin", "Pseudoneureclipsis boquan", "Pseudoneureclipsis cauky", "Pseudoneureclipsis congkem", "Pseudoneureclipsis dongian", "Pseudoneureclipsis hailan", "Pseudoneureclipsis halongensis", "Pseudoneureclipsis loang", "Pseudoneureclipsis puyah", "Pseudoneureclipsis quancong", "Pseudoneureclipsis vetcat", "Hyalopsyche orissa", "Hyalopsyche trunga", "Dipseudopsis cocon", "Dipseudopsis gunung", "Dipseudopsis oliveri", "Dipseudopsis rathnotoia", "Dipseudopsis vienha", "Dipseudopsis viklundi", "Pennasolis opitzi", "Cymatodera ignava", "Cymatodera tlahuica", "Pollenia advena", "Pollenia aerosa", "Pollenia antipodea", "Pollenia astrictifrons", "Pollenia atricoma", "Pollenia commensurata", "Pollenia consanguinea", "Pollenia consectata", "Pollenia dysaethria", "Pollenia dyscheres", "Pollenia enetera", "Pollenia eurybregma", "Pollenia fulviantenna", "Pollenia uniseta", "Pollenia scalena", "Pollenia sandaraca", "Pollenia primaeva", "Pollenia pulverea", "Pollenia notialis", "Calenia bullatinoides", "Calenia chroodisciformis", "Calenia ciliata", "Calenia consimilis", "Calenia depressa", "Calenia dictyospora", "Calenia echinoplacoides", "Calenia flava", "Calenia fumosa", "Calenia graphidea", "Calenia graphideoides", "Calenia lacerata", "Calenia leptocarpa", "Calenia leucothrix", "Catocala carissima", "Salassa excellens", "Salassa iris", "Salassa megastica", "Salassa mesosa", "Salassa olivacea", "Salassa royi", "Salassa thespis", "Salassa tibaliva", "Salassa tonkiniana", "Calenia lobulata", "Neobidessodes limestoneensis", "Calenia l\u00fcckingii", "Calenia maculans", "Calenia meiospora", "Calenia minuta", "Calenia monospora", "Calenia obtecta", "Calenia pernambucensis", "Calenia phyllogena", "Calenia pseudographidea", "Calenia puiggarii", "Calenia pulchella", "Calenia rolandiana", "Calenia solorinoides", "Calenia subdepressa", "Calenia submaculans", "Calenia submuralis", "Pachystachys badiospica", "Calenia thelotremella", "Calenia triseptata", "Calenia yucatanensis", "Hydroglyphus balkei", "Phoebis agarithe tumbesina", "Phoebis avellaneda", "Phoebis bourkei", "Phoebis editha", "Phoebis neocypris", "Phoebis neocypris neocypris", "Phoebis neocypris rurina", "Phoebis neocypris virgo", "Phoebis philea", "Phoebis philea philea", "Phoebis philea huebneri", "Phoebis philea thalestris", "Phoebis sennae sennae", "Phoebis sennae amphitrite", "Grapsus albolineatus", "Anopinella granadana", "Anopinella tergemina", "Punctapinella conchitella", "Seticosta tinga", "Seticosta marcapatae", "Seticosta transtillana", "Seticosta constricta", "Vulpoxena separabilis", "Bidorpitia arbitralis", "Leptopteris \u00d7 intermedia", "Cuproxena platuncus", "Ernocornutia altovolans", "Pseuderanthemum carruthersii var. atropurpureum", "Pyrola grandiflora", "Pseuderanthemum alatum", "Mackaya tapingensis", "Asystasia atroviridis", "Mackaya indica", "Asystasia neesiana", "Mackaya macrocarpa", "Asystasia macrocarpa", "Blacometeorus sinicus", "Amphimenes bidoupensis", "Aphelandra sinclairiana", "Amphimenes giganteus", "Amphimenes gracilis", "Amphimenes kabakovi", "Amphimenes maculatus", "Amphimenes medius", "Amphimenes minutus", "Amphimenes montanus", "Amphimenes nitidus", "Amphimenes planicollis", "Amphimenes reflexicollis", "Amphimenes rufipes", "Aphelandra golfodulcensis", "Cephalopsyche gorgona", "Cephalopsyche neboissi", "Polygonia c-album", "Veronica bozakmanii", "Thryptomene calycina", "Thryptomene hyporhytis", "Thryptomene kochii", "Thryptomene racemulosa", "Thryptomene saxicola", "Thryptomene stronglophylla", "Kunzea ambigua", "Kunzea baxteri", "Kunzea ericoides", "Kunzea micrantha", "Kunzea muelleri", "Kunzea parvifolia", "Kunzea pauciflora", "Kunzea pomifera", "Kunzea recurva", "Kunzea spicata", "Calyptranthes bullata", "Calyptranthes pallens", "Calyptranthes peduncularis", "Calyptranthes thomasiana", "Lucilia cuprina", "Calliphora hilli", "Calliphora quadrimaculata", "Calliphora stygia", "Calliphora nothocalliphoralis", "Calliphora dispar", "Lepus capensis schlumbergeri", "Phlossa conjuncta", "Phlossa thaumasta", "Phlossa fasciata", "Phlossa jianningana", "Acanthogyrus acanthogyrus", "Iragoides taiwana", "Iragoides crispa", "Iragoides elongata", "Phoebis argante", "Phoebis argante argante", "Phoebis argante larra", "Phoebis argante minuscula", "Phoebis argante rorata", "Phoebis argante comstocki", "Phoebis argante martini", "Phoebis argante chincha", "Phoebis agarithe fischeri", "Phoebis agarithe maxima", "Phoebis agarithe pupillata", "Maoridiamesa stoutae", "Heterocerus subpilosus", "Heterocerus fijiensis", "Heterocerus simillimus", "Heterocerus scabriusculus", "Heterocerus mastersi", "Heterocerus debilipes", "Heterocerus largsensis", "Heterocerus flindersi", "Elythomerus elongatulus", "Macroprotodon mauritanicus", "Pseuderanthemum tuberculatum", "Gentianella alborosea", "Solanum agnewiorum", "Neillia velutina", "Tectaria acrocarpa", "Tectaria chinensis", "Tectaria sagenioides", "Tectaria subsageniacea", "Chimaphila japonica", "Salix argyracea", "Pollenia opalina", "Pollenia oreia", "Pollenia hispida", "Pollenia immanis", "Pollenia insularis", "Pollenia lativertex", "Pollenia nigripalpis", "Pollenia limpida", "Pollenia demissa", "Pollenia fumosa", "Pollenia pernix", "Pollenia nigripes", "Pollenia nigrisquama", "Asteromyrtus angustifolia", "Asteromyrtus symphyocarpa", "Austromyrtus dulcis", "Austromyrtus tenuifolia", "Chamelaucium ciliatum", "Xenocalliphora clara", "Chamelaucium uncinatum", "Xenocalliphora divaricata", "Xenocalliphora solitaria", "Xenocalliphora vetusta", "Xenocalliphora antipodea", "Xenocalliphora eudyptis", "Xenocalliphora viridiventris", "Xenocalliphora flavipes", "Xenocalliphora hortona", "Xenocalliphora neozealandica", "Chrysomya megacephala", "Hypocalymma angustifolium", "Hypocalymma robustum", "Ptilonesia auronotata", "Malleostemon hursthousei", "Malleostemon tuberculatus", "Micromyrtus hymenonema", "Micromyrtus obovata", "Pileanthus filifolius", "Pileanthus peduncularis", "Scholtzia obovata", "Thryptomene australis", "Thryptomene baeckeacea", "Suaeda pannonica", "Fittonia gigantea", "Jalmenus evagoras", "Heteronympha merope", "Junonia villida", "Lycaena kasyapa", "Lycaena kasyapa kasyapa", "Lycaena kasyapa kalashi", "Hyrcanana evansii", "Alzatea verticillata", "Hyrcanana evansii evansii", "Hyrcanana evansii hindukushensis", "Conocarpus erectus", "Asaphus broeggeri", "Myrmeleon formicarius", "Arctomeles dimolodontus", "Passer ammodendri stoliczkae", "Spathiopus cojimarensis", "Extatosoma tiaratum", "Luma apiculata", "Luma chequen", "Myrcianthes apiculata", "Myrcianthes callicoma", "Myrcianthes fragrans", "Myrcianthes mato", "Myrcianthes osteomeloides", "Myrcianthes pungens", "Myrcianthes rhopaloides", "Myrrhinium atropurpureum", "Myrteola nummularia", "Myrtus maxima", "Myrtus sericea", "Myrtus zuzygium", "Myrtus obcordata", "Myrtus mucronata", "Myrtus aromatica", "Myrtus foliosa", "Plinia glomerata", "Pseudanamomis umbellulifera", "Rhodomyrtus macrocarpa", "Caerostris darwini", "Rhodomyrtus psidioides", "Rhodomyrtus tomentosa", "Ugni molinae", "Calosoma scrutator", "Cyclochila australasiae", "Idea blanchardii", "Idea blanchardii blanchardii", "Idea blanchardii marosiana", "Idea blanchardii kuehni", "Idea blanchardii paluana", "Idea blanchardii togiana", "Memphis marylena", "Zaretis delassisei", "Salix borealis", "Salix brachypoda", "Salix burjatica", "Lucilia fayeae", "Aidia abeidii", "Neelus klisurensis", "Neelus koseli", "Cretapsychops decipiens", "Aidia crassifolia", "Polysphaeria ntemii", "Cuspidevia brevis", "Cuspidevia jaechi", "Odontites aucheri", "Odontites alshehbazianus", "Guiera senegalensis", "Laguncularia racemosa", "Leptusa gimmeli", "Leptusa ferroi", "Leptusa pseudosmokyiensis", "Leptusa stocksi", "Doesburgedessa armata", "Doesburgedessa elongatispina", "Doesburgedessa linnei", "Doesburgedessa nigrolimbata", "Doesburgedessa rugifera", "Rhinopithecus strykeri", "Olmiana argentina", "Kyklioacalles atlasicus", "Kyklioacalles plantapilosus", "Neurosystasis bromeliphila", "Aedes manhi", "Prunus domestica subsp. syriaca", "Dicraeus tibialis", "Lophomyrtus bullata", "Lophomyrtus obcordata", "Pandanus ankaranensis", "Croton rufolepidotus", "Chroniochilus sinicus", "Myrmeleon inconspicuus", "Istiophorus platypterus", "Euthalia aconthea aditha", "Euthalia aconthea garuda", "Euthalia aconthea kwangtungensis", "Sovia subflava", "Sovia fangi", "Sovia malta", "Sovia grahami", "Sovia grahami grahami", "Sovia grahami miliaohuae", "Sovia separata", "Sovia separata separata", "Sovia separata metokana", "Sovia lucasii", "Sovia lucasii lucasii", "Sovia lucasii magna", "Baracus hampsoni", "Baracus vittatus", "Baracus vittatus vittatus", "Baracus vittatus septentrionum", "Myrmeleon bore", "Ampittia subvittatus", "Thoressa aina", "Stenomicra australis", "Stenomicra orientalis", "Stenomicra taeniata", "Stenomicra parataeniata", "Stenomicra flavida", "Stenomicra bicolor", "Stenomicra delicata", "Stenomicra soniae", "Podocera claripennis", "Podocera variegata", "Catocala ellamajor", "Trichosanthes subsect.", "Diarsia parki", "Trichosanthes subsect.", "Trichosanthes subsect.", "Trichosanthes subsect.", "Diarsia hanmiensis", "Trichosanthes subsect.", "Laothoe habeli", "Stenomicra xoutha", "Stenomicra distincta", "Loepa anthera", "Loepa cynopis", "Loepa formosensis", "Loepa javanica", "Loepa kuangtungensis", "Loepa minahassae", "Loepa mindanaensis", "Loepa nigropupillata", "Loepa oberthuri", "Loepa sakaei", "Loepa sikkima", "Loepa sumatrana", "Prestonia leco", "Liparis cordifolia", "Liparis cordifolia var. gongshanensis", "Passiflora madidiana", "Lemaireia loepoides", "Neoris huttoni huttoni", "Poritia erycinoides trishna", "Trichophorum dioicum", "Trichosanthes sect.", "Poritia hewitsoni tavoyana", "Trichosanthes sect.", "Trichosanthes sect.", "Trichosanthes sect.", "Trichosanthes sect.", "Trichosanthes subsect.", "Stenomicra jordanensis", "Stenomicra flava", "Stenomicra angustata", "Stenomicra fascipennis", "Stenomicra cogani", "Stenomicra anacrostichalis", "Stenomicra sabroskyi", "Stenomicra albibasis", "Stenomicra angustiforceps", "Stenomicra argentata", "Stenomicra rufithorax", "Stenomicra stuckenbergi", "Stenomicra deemingi", "Stenomicra nigricolor", "Stenomicra trimaculata", "Stenomicra uniconspicua", "Stenomicra biconspicua", "Siphoneugena minima", "Siphoneugena glabrata", "Poritia fruhstorferi", "Poritia fruhstorferi nila", "Poritia fruhstorferi fruhstorferi", "Trichosanthes dioica", "Trichosanthes kirilowii", "Trichosanthes sect.", "Trichosanthes sect.", "Vittacus cornusis", "Vittacus shaoguanicus", "Aculodes tsukushiensis", "Aculops buddlejaes", "Tegolophus spathaceae", "Apomatus voightae", "Bryodelphax meronensis", "Macrobiotus dimentmani", "Mixibius schnurae", "Pseudobiotus hirsutellus", "Rafflesia verrucosa", "Poritia hewitsoni ampsaga", "Poritia solitaria", "Poritia hewitsoni taleva", "Poritia ibrahimi", "Trichosanthes cucumerina", "Trichosanthes cucumerina var. cucumerina", "Trichosanthes cucumerina subsp. anguina", "Poritia karennia", "Poritia languana", "Arctotis argentea", "Arctotis auriculata", "Arctotis campanulata", "Arctotis campanulata var. campanulata", "Arctotis campanulata var. puberula", "Arctotis canescens", "Theatops chuanensis", "Hyalascus andamanensis", "Liolaemus antumalguen", "Arctotis diffusa", "Poritia manilia", "Poritia manilia dawna", "Poritia manilia evansi", "Poritia manilia manilia", "Poritia palos", "Poritia phama courvoisieri", "Ambulyx bima schmickae", "Ambulyx sericeipennis", "Ambulyx sericeipennis sericeipennis", "Ambulyx sericeipennis javanica", "Ambulyx sericeipennis luzoni", "Ambulyx sericeipennis joiceyi", "Ambulyx sericeipennis palawanica", "Ambulyx tobii", "Loepa miranda", "Loepa obscuromarginata", "Loepa microocellata", "Loepa yunnana", "Loepa taipeishanis", "Loepa wlingana", "Loepa damartis", "Duvernoia adhatodoides", "Justicia candicans", "Justicia sect.", "Justicia sect.", "Amasha haina", "Veronica liwanensis", "Tricharia amazonum", "Epigaea gaultherioides", "Tricharia atrocarpa", "Tricharia aulaxiniformis", "Tricharia aulaxinoides", "Tricharia brevipilosa", "Tricharia carnea", "Tricharia couepiae", "Tricharia cuneata", "Tricharia demoulinii", "Tricharia elegans", "Tricharia farinosa", "Tricharia fimbriata", "Tricharia floridensis", "Tricharia hyalina", "Tricharia kashiwadanii", "Tricharia lancicarpa", "Tricharia leucothrix", "Tricharia livida", "Tricharia longispora", "Tricharia macrospora", "Tricharia melanothrix", "Tricharia membranula", "Tricharia novoguineensis", "Tricharia oaxacae", "Tricharia orbicularis", "Tricharia pallida", "Tricharia paraguayensis", "Tricharia planicarpa", "Tricharia pseudosantessonii", "Tricharia purulhensis", "Tricharia quezelii", "Tricharia santessonii", "Tricharia santessoniana", "Tricharia similis", "Tricharia sipmanii", "Tricharia sublancicarpa", "Tricharia substipitata", "Tricharia subumbrosa", "Tricharia triseptata", "Tricharia tuckerae", "Tricharia umbrosa", "Tricharia urceolata", "Tricharia vainioi", "Tricharia variratae", "Tricharia vulgaris", "Backhousia angustifolia", "Backhousia bancroftii", "Backhousia citriodora", "Backhousia myrtifolia", "Psychoda apennata", "Psychoda arcuata", "Psychoda dennesi", "Psychoda squamata", "Psychoda squamipleuris", "Psychoda subpennata", "Psychoda truncata", "Psychoda ypsylon", "Psychoda penicillata", "Psychoda cristata", "Psychoda disacca", "Psychoda mundula", "Psychoda neoformosana", "Psychoda wattsi", "Psychoda cinerea", "Psychoda gracilipenis", "Psychoda makati", "Psychoda salicornia", "Justicia lanstyakii", "Russula vesca", "Russula sardonia", "Russula claroflava", "Sataspes cerberus", "Sataspes ribbei", "Sataspes scotti", "Sataspes xylocoparis", "Sataspes infernalis", "Sataspes javanica", "Sataspes tagalica", "Ambulyx bima", "Ambulyx bima bima", "Ambulyx bima timoriana", "Ambulyx canescens", "Ambulyx canescens canescens", "Ambulyx canescens flava", "Ambulyx canescens flavocelebensis", "Ruidocollaris apennis", "Ruidocollaris parapennis", "Ruidocollaris ferruginescens", "Ruidocollaris latilobalis", "Ruidocollaris longicaudalis", "Ruidocollaris rubescens", "Anthracites nakanaiensis", "Gonatacanthus gahavisuka", "Ingrischia macrocephala", "Microsalomona brachyptera", "Microsalomona sawetau", "Pandanagraecia armata", "Pandanagraecia bifurcata", "Pandanagraecia porgera", "Pandanagraecia stylata", "Philmontis lobatus", "Pseudonicsara fascifrons", "Pseudonicsara gugusu", "Salomona richardsi", "Scytocera smaragdifrons", "Trichophallus tricuspis", "Dinychus empalmensis", "Carpoglyphus wardleorum", "Poritia erycinoides elsiei", "Poritia kinoshitai", "Poritia erycinoides pellonia", "Poritia erycinoides phraatica", "Poritia erycinoides psophis", "Haplochromis antleter", "Haplochromis bwathondii", "Haplochromis coprologus", "Haplochromis katunzii", "Haplochromis pancitrinus", "Haplochromis sphex", "Haplochromis vanoijeni", "Curiosimusca khooi", "Curiosimusca maefangensis", "Curiosimusca orientalis", "Stenomicra ariela", "Stenomicra brunnea", "Stenomicra castanea", "Stenomicra pallida", "Stenomicra sylpha", "Stenomicra tokotaai", "Rubia pseudogalium", "Galium chekiangense", "Galium kunmingense", "Galium rupifragum", "Galium sichuanense", "Lumnitzera racemosa", "Terminalia arenicola", "Terminalia argentea", "Terminalia arjuna", "Terminalia bellirica", "Terminalia brassii", "Terminalia brownii", "Terminalia catappa", "Terminalia chebula", "Terminalia citrina", "Terminalia foetidissima", "Terminalia franchetii", "Terminalia ivorensis", "Terminalia kaernbachii", "Terminalia latipes", "Terminalia macroptera", "Terminalia microcarpa", "Terminalia muelleri", "Terminalia myriocarpa", "Terminalia nitens", "Terminalia oblonga", "Chaetodontoplus poliourus", "Terminalia oblongata", "Terminalia oliveri", "Terminalia paniculata", "Terminalia pellucida", "Terminalia phanerophlebia", "Terminalia prunioides", "Terminalia richii", "Terminalia sericea", "Terminalia superba", "Terminalia triflora", "Terminalia trifoliata", "Chaetodontoplus duboulayi", "Acanthocladus dichromus", "Cercyon nigriceps", "Psalitrus kuscheli", "Luffa echinata", "Artaxa sakaguchii", "Artaxa sakaguchii sakaguchii", "Artaxa sakaguchii mizusawai", "Laelia miyanoi", "Siccia shikatai", "Dacalana monsapona", "Tanaecia dodong", "Tajuria mantra mantra", "Tajuria mantra kitamurae", "Tajuria igolotiana", "Tajuria igolotiana nonoyi", "Dacalana halconensis", "Tajuria igolotiana igolotiana", "Tajuria igolotiana fumiae", "Smerinthulus olivacea", "Smerinthulus mirabilis", "Cypa decolor", "Cypa decolor decolor", "Cypa decolor euroa", "Cypa uniformis", "Cypa uniformis uniformis", "Cypa uniformis pallens", "Cypa uniformis attenuata", "Cypa enodis", "Scrophularia capillaris", "Scrophularia vernalis", "Scrophularia cinerascens", "Scrophularia libanotica", "Scrophularia kotschyana", "Pedicularis atropurpurea", "Pedicularis condensata", "Pedicularis nordmanniana", "Pedicularis pontica", "Pedicularis wilhelmsiana", "Rhinanthus angustifolius", "Zostera marina", "Zostera noltei", "Justicia leonardii", "Justicia corumbensis", "Aristolochia iberica", "Aristolochia pontica", "Hydrocotyle ramiflora", "Pararhabdepyris lophos", "Byrsopteryx carioca", "Edmundsiops baddamsae", "Offadens confluens", "Luffa aegyptiaca var. aegyptiaca", "Luffa aegyptiaca var. leiocarpa", "Pleopeltis coenosora", "Centropyge narcosis", "Bredemeyera hebeclada", "Arctotis flaccida", "Arctotis revoluta", "Arctotis rosea", "Tulipa albanica", "Hemicladus buqueti", "Istiophorus albicans", "Istiompax indica", "Hydrocynus brevis", "Hydrocynus forskahlii", "Hydrocynus goliath", "Hydrocynus tanzaniae", "Hydrocynus vittatus", "Hydrocotyle apolobambensis", "Plantago orzuiensis", "Luffa acutangula var. amara", "Memphis appias", "Prepona dexamenus", "Prepona pylene", "Luffa graveolens", "Luffa operculata", "Luffa sepium", "Nepalomyia kotrbae", "Nepalomyia reunionensis", "Griphophanes congoensis", "Griphophanes garambaensis", "Indolipa gansuensis", "Pararhabdepyris balios", "Siccia kimurai", "Rivula sugii", "Rivula yoshimotoi", "Diomea yanagitai", "Eugraptoblemma utsugii", "Corgatha sasakii", "Amyna sugiorum", "Plusiodonta tominagaorum", "Hyposemansis fujihirai", "Heliconius metis", "Coccinia grandis", "Ustjuzhania chionea", "Ustjuzhania lineata", "Acanthocladus brasiliensis", "Ustjuzhania lineata lineata", "Ustjuzhania lineata malawica", "Acanthocladus colombianus", "Acanthocladus dukei", "Acanthocladus pulcherrimus", "Acanthocladus guayaquilensis", "Acanthocladus santosii", "Acanthocladus scleroxylon", "Arhopala centaurus", "Arhopala araxes", "Arhopala amantes", "Arhopala similis", "Arhopala agesias", "Arhopala kinabala", "Arhopala ijanensis", "Salix cardiophylla", "Cogniauxia podolaena", "Peponium caledonicum", "Thladiantha dubia", "Thladiantha cordifolia", "Momordica charantia", "Oryzias hadiatyae", "Oryzias songkhramensis", "Lagenaria sphaerica", "Momordica cymbalaria", "Lemurosicyos variegata", "Philagrias zelotica", "Lasiocnemus londti", "Androprosopa zempoala", "Songius rugosus", "Songius bicruris", "Songius hlavaci", "Songius lasiuohospes", "Kanala bipunctata", "Kanala loebli", "Kanala punctiventris", "Kanala montaguei", "Kanala reticulata", "Chaetarthria incisa", "Ptychozoon lionotum", "Ranunculus paludosus", "Dipsacus laciniatus", "Harpidium rutilans", "Afrowatsonius fulvomarginalis", "Arhopala chamaeleona", "Arhopala chamaeleona chamaeleona", "Arhopala chamaeleona maputi", "Arhopala chamaeleona mizunumai", "Arhopala chamaeleona rileyi", "Arhopala chamaeleona susyae", "Gyalideopsis megalospora", "Gyalideopsis mexicana", "Gyalideopsis minima", "Gyalideopsis minutissima", "Gyalideopsis modesta", "Gyalideopsis monospora", "Gyalideopsis montana", "Gyalideopsis moodyae", "Gyalideopsis muscicola", "Gyalideopsis napoensis", "Gyalideopsis nepalensis", "Gyalideopsis ochroleuca", "Gyalideopsis ozarkensis", "Elaphoglossum skutchianum", "Eugenia crassa", "Myrcia santateresana", "Myrcia tumida", "Myrcia concisa", "Eugenia goiapabana", "Gyalideopsis pallescens", "Gyalideopsis pallida", "Gyalideopsis palmata", "Gyalideopsis pandani", "Gyalideopsis parvula", "Gyalideopsis perminuta", "Gyalideopsis peruviana", "Gyalideopsis philippiae", "Gyalideopsis piceicola", "Gyalideopsis pseudoactinoplaca", "Gyalideopsis puertoricensis", "Gyalideopsis robrofusca", "Gyalideopsis robusta", "Gyalideopsis rogersii", "Gyalideopsis rostrata", "Gyalideopsis rubescens", "Gyalideopsis rubra", "Gyalideopsis rubrofusca", "Gyalideopsis saxicola", "Gyalideopsis stipitata", "Gyalideopsis subaequatoriana", "Gyalideopsis submonospora", "Gyalideopsis trapperi", "Gyalideopsis tuerkii", "Gyalideopsis vainioi", "Gyalideopsis actinoplacoides", "Gyalideopsis aequatoriana", "Gyalideopsis africana", "Gyalideopsis altamirensis", "Gyalideopsis americana", "Gyalideopsis applanata", "Gyalideopsis argentea", "Gyalideopsis arvidssonii", "Gyalideopsis berenice", "Gyalideopsis bispora", "Gyalideopsis brevipilosa", "Gyalideopsis buckii", "Gyalideopsis calabrica", "Gyalideopsis capitata", "Gyalideopsis chibaensis", "Gyalideopsis choshuencensis", "Gyalideopsis cochlearifera", "Gyalideopsis confluens", "Gyalideopsis crenulata", "Gyalideopsis cristata", "Gyalideopsis cyanophila", "Gyalideopsis dominicana", "Weberbauerocereus madidiensis", "Gyalideopsis epicorticis", "Gyalideopsis epithallina", "Gyalideopsis floridae", "Gyalideopsis formosana", "Gyalideopsis gigantea", "Gyalideopsis giganteoides", "Gyalideopsis glauca", "Gyalideopsis globispora", "Gyalideopsis graminicola", "Hedysarum orumiehense", "Gyalideopsis haliotidiformis", "Gyalideopsis heardense", "Gyalideopsis helvetica", "Gyalideopsis intermedia", "Hedysarum neyshaboricum", "Gyalideopsis japonica", "Gyalideopsis kalbii", "Gyalideopsis krogiae", "Gyalideopsis laevithallina", "Gyalideopsis lambinonii", "Gyalideopsis lecideina", "Gyalideopsis lobulata", "Gyalideopsis macarthurii", "Abies cilicica subsp. isaurica", "Lysicarpus ternifolius", "Tristaniopsis laurina", "Myrceugenia euosma", "Myrceugenia fernandeziana", "Syncarpia glomulifera", "Syncarpia hillii", "Syncarpia procera", "Rhodoprasina corolla", "Metrosideros collina", "Smerinthulus quadripunctatus", "Smerinthulus quadripunctatus quadripunctatus", "Smerinthulus quadripunctatus cottoni", "Metrosideros villosa", "Clanis hyperion", "Salix caspica", "Salix chamissonis", "Ambulyx placida", "Ambulyx semiplacida", "Ambulyx montana", "Eurypteryx geoffreyi", "Griseosphinx preechari", "Xanthostemon oppositifolius", "Xanthostemon paradoxus", "Xanthostemon verdugonianus", "Lagenaria siceraria", "Verticordia acerosa", "Verticordia brownii", "Verticordia chrysostachys", "Verticordia densiflora", "Verticordia drummondii", "Verticordia huegelii", "Verticordia monadelpha", "Verticordia muelleriana", "Verticordia oculata", "Verticordia pennigera", "Verticordia pholidophylla", "Verticordia polytricha", "Verticordia roei", "Verticordia spicata", "Eumantispa pseudoharmandi", "Proboscitermes mcgrewi", "Pachyprotasis fulvicornis", "Pachyprotasis jiangi", "Pachyprotasis paraspinilabria", "Pachyprotasis rufigaster", "Pachyprotasis rufotegulata", "Pachyprotasis spinilabria", "Pachyprotasis youi", "Pachyprotasis zhouhui", "Zeromastax aris", "Zeromastax malavasei", "Angophora costata", "Zeromastax selenesii", "Angophora hispida", "Angophora subvelutina", "Angophora euryphylla", "Angophora leiocarpa", "Lasioglossum bicornutum", "Lasioglossum canaliculatum", "Lasioglossum donanense", "Lasioglossum latifacies", "Gyalideopsis verruculosa", "Gyalideopsis vezdae", "Gyalideopsis vulgaris", "Gyalideopsis williamsii", "Gyalideopsis wirthii", "Agra cruciaria", "Agra grace", "Agra max", "Agra minasianus", "Agra notpusilla", "Agra ce", "Gyalideopsis wesselsii", "Agra risseri", "Agra maia", "Agra piranha", "Agra tiputini", "Agra pseudopusilla", "Agra catie", "Agra catbellae", "Agra dable", "Agra delgadoi", "Agra fugax", "Agra giesberti", "Agra granodeoro", "Agra ichabod", "Agra jimwappes", "Agra julie", "Agra katewinsletae", "Agra liv", "Agra monteverde", "Agra not", "Agra notcatie", "Agra pitilla", "Agra phallica", "Agra quesada", "Agra santarosa", "Agra schwarzeneggeri", "Agra sirena", "Agra solanoi", "Agra solisi", "Agra turrialba", "Agra ubicki", "Agra winnie", "Agra zumbado", "Agra zuniga", "Gyalideopsis vainioi var. vainioi", "Gyalideopsis vainioi var. semicirculata", "Gyalideopsis muscicola var. muscicola", "Gyalideopsis muscicola var. gomerae", "Gyalideopsis vulgaris f. vulgaris", "Gyalideopsis vulgaris f. albopruinosa", "Cucumis sect.", "Mimonectes spandli", "Cucumis sect.", "Voragonema tatsunoko", "Gonatodes lichenosus", "Himantolophus litoceras", "Gekko lauhachindai", "Cucumis sect.", "Cucumis metuliferus", "Cucumis subg.", "Dasyhelea aucklandensis", "Dasyhelea jucunda", "Dasyhelea oribates", "Paradasyhelea harrisoni", "Cucumis melo subsp. agrestis", "Chrysomya albiceps", "Forcipomyia donatoi", "Forcipomyia brevipalpis", "Agathis montana", "Agathis montana de", "Noctua variegata", "Cucumis \u00d7 hytivus", "Mawsonema mokwanensis", "Parasabanema szalayi", "Montistrongylus ingati", "Paraheligmonelloides amplicaudae", "Paraheligmonelloides ennisae", "Melomystrongylus somoroensis", "Paraustrostrongylus paramelomysi", "Paramelomys rubex", "Melomystrongylus sepikensis", "Paraheligmonelloides singauwaensis", "Paraheligmonelloides kenyensis", "Lasioglossum urumaense", "Lasioglossum yonaguniense", "Lasioglossum silvicolum", "Stilobezzia guarani", "Stilobezzia monopicta", "Stilobezzia paranaensis", "Stilobezzia xerophila", "Eucalyptus ambigua", "Eucalyptus anceps", "Phytoliriomyza tahitiensis", "Phytomyza syngenesiae", "Liriomyza citreifemorata", "Cerodontha australis", "Cerodontha angustipennis", "Bellwoodilabrus landinii", "Weiwoboa meridiana", "Stolotermes kupe", "Zygadenia westraliensis", "Cucumis sativus var. hardwickii", "Cucumis sativus var. sikkimensis", "Cucumis sativus var. xishuangbannanensis", "Eucalyptus drepanophylla", "Ambulyx auripennis", "Ambulyx bakeri", "Ambulyx belli", "Ambulyx celebensis", "Ambulyx ceramensis", "Ambulyx charlesi", "Ambulyx clavata", "Ambulyx cyclasticta", "Scythris cramella", "Scythris deserticola", "Scythris karvoneni", "Scythris rotundella", "Scythris reticulella", "Scythris semifascia", "Scythris asthena", "Scythris bagdadiella", "Scythris canescens", "Scythris maculatella", "Scythris caroxylella", "Scythris deresella", "Scythris dicroa", "Scythris fluxilis", "Scythris tsherkesella", "Scythris tytrella", "Apostibes griseolineata", "Apostibes raguae", "Pseudohypatopa ramusella", "Pseudohypatopa anthracographa", "Holcocera anthracographa", "Blastobasis sinica", "Blastobasis drymosa", "Gnorimoschema albestre", "Muellerargia timorensis", "Muellerargia jeffreyana", "Rhizoplaca aspidophora", "Rhizoplaca baranowii", "Rhizoplaca bullata", "Rhizoplaca charcotiana", "Rhizoplaca chrysoleuca", "Rhizoplaca daltoniana", "Rhizoplaca fumida", "Rhizoplaca glaucophana", "Rhizoplaca haydenii", "Rhizoplaca huashanensis", "Rhizoplaca idahoensis", "Ambulyx immaculata", "Ambulyx johnsoni", "Ambulyx joiceyi", "Ambulyx jordani", "Ambulyx lahora", "Clanis baratana", "Clanis schwartzi", "Clanis surigaoensis", "Clanis negritensis", "Clanis titan", "Clanis orhanti", "Clanis peterseni", "Clanis thailandica", "Clanis mcguirei", "Meganoton analis", "Meganoton analis analis", "Meganoton analis sugii", "Eupanacra harmani", "Eupanacra poulardi", "Eupanacra greetae", "Eupanacra busiris", "Eupanacra busiris busiris", "Eupanacra busiris myosotis", "Argyrogrammana pacsa", "Napaea neildi", "Ithomiola buckleyi", "Symbrenthia viridilunulata", "Cucumis anguria var. anguria", "Euthalia nara colinsmithi", "Cucumis anguria var. longaculeatus", "Syntherata apicalis", "Syntherata brunnea", "Syntherata doboensis", "Syntherata malukuensis", "Syntherata janetta", "Syntherata leonae", "Syntherata naessigi", "Syntherata pristina", "Cucumis subg.", "Cucumis sect.", "Trachycephalus typhonius", "Larsenianthus wardianus", "Larsenianthus careyanus", "Larsenianthus assamensis", "Larsenianthus arunachalensis", "Acanthosicyos horridus", "Pseudocucumis naudinianus", "Meridialaris spina", "Vilargus bicornicans", "Vilargus budenticans", "Vilargus dentulicans", "Vilargus lobulicans", "Vilargus simulans", "Vilargus triquetricans", "Vilargus trunculicans", "Patellapis itigiensis", "Patellapis kahuziensis", "Patellapis knersvlaktei", "Patellapis rutshuruensis", "Patellapis upembae", "Planaeschna laoshanensis", "Planaeschna nankunshanensis", "Paraheligmonelloides annandalei", "Paraheligmonelloides rajah", "Paraheligmonelloides triangulus", "Paraheligmonelloides eropeplios", "Paraheligmonelloides paruromyos", "Haplochromis snoeksi", "Neoblakea venezuelensis", "Neoblakea ecuadorensis", "Pittoniotis trichantha", "Pittoniotis rotata", "Coccotrema hahriae", "Coccotrema minutum", "Stenostomum acreanum", "Stenostomum darienense", "Stenostomum turrialbanum", "Erebus caprimulgus", "Styloceras connatum", "Cucumis myriocarpus", "Heterostemma xuansonense", "Vanessa amerindica", "Cucumis myriocarpus subsp. leptodermis", "Rhizoplaca johowii", "Rhizoplaca maheui", "Rhizoplaca opaca", "Rhizoplaca peltata", "Cucumis melo subsp. melo", "Rhizoplaca priestleyi", "Rhizoplaca subdiscrepans", "Rhizoplaca peltata var. regalis", "Rhizoplaca chrysoleuca var. chrysoleuca", "Eviota karaspila", "Rhizoplaca chrysoleuca var. australis", "Rhizoplaca haydenii subsp. haydenii", "Eviota shimadai", "Rhizoplaca haydenii subsp. arbuscula", "Rhizoplaca melanophthalma subsp. melanophthalma", "Rhizoplaca melanophthalma var. melanophthalma", "Cucumis hystrix", "Rhizoplaca melanophthalma var. obscura", "Cucumis gracilis", "Rhizoplaca melanophthalma subsp. cerebriformis", "Rhizoplaca melanophthalma subsp. crispa", "Myxidium finnmarchicum", "Amblyceps cerinum", "Chomelia chiquitensis", "Chomelia costaricensis", "Chomelia torrana", "Leydigia iberica", "Leydigia korovchinskyi", "Penthalodes alaskaensis", "Penthalodes hawaiiensis", "Penthalodes polonicus", "Periploma hendrickxi", "Periploma kaiserae", "Periploma skoglundae", "Palystes kreutzmanni", "Corydalus wanningeri", "Tithaeus calyptratus", "Antimerus bellus", "Antimerus gracilis", "Antimerus jamesrodmani", "Antimerus metallicus", "Antimerus monteithi", "Antimerus auricomus", "Antimerus posttibialis", "Antimerus punctipennis", "Antimerus smaragdinus", "Porioides rima", "Porioides tasmani", "Eucalyptus oblonga", "Solanum achorum", "Solanum rubicaule", "Solanum falciforme", "Solanum pseudosycophanta", "Lagenaria abyssinica", "Lagenaria breviflora", "Coccotrema antarcticum", "Coccotrema citrinescens", "Coccotrema coccophorum", "Coccotrema colobinum", "Coccotrema corallinum", "Coccotrema cucurbitula", "Coccotrema fernandezianum", "Coccotrema granulatum", "Coccotrema kerguelensis", "Coccotrema magellanicum", "Coccotrema maritimum", "Coccotrema pocillarium", "Coccotrema porinopsis", "Coccotrema sphaerophorum", "Coccotrema stellatum", "Trichodesma pulchella", "Trichodesma texana", "Cucurbita \u00d7 scabridifolia", "Labotaria newtoni", "Eumenes batantanensis", "Eumenes truncatus", "Eumenes inconspicuus", "Carodista flavicana", "Philharmonia spinula", "Nymphicula concaviuscula", "Nymphicula patnalis", "Nymphicula bombayensis", "Nymphicula mesorphna", "Nymphicula xantobathra", "Nymphicula blandialis", "Nymphicula nigritalis", "Nymphicula drusiusalis", "Nymphicula trimacula", "Nymphicula atriterminalis", "Nymphicula queenslandica", "Nymphicula albibasalis", "Nymphicula tripunctata", "Nymphicula stipalis", "Nymphicula infuscatalis", "Nymphicula acuminatalis", "Nymphicula meyi", "Nymphicula nigrolunalis", "Nymphicula albidorsalis", "Nymphicula manilensis", "Nymphicula eberti", "Nymphicula junctalis", "Nymphicula saigusai", "Odontosina nigronervata", "Odontosina zayuana", "Odontosina morosa", "Odontosina shaanganensis", "Zehneria mucronata", "Meriania horrida", "Cucumis myriocarpus subsp. myriocarpus", "Corticifraga scrobiculatae", "Pertusaria mccroryae", "Gnorimoschema anomale", "Gnorimoschema assimile", "Gnorimoschema curiosum", "Gnorimoschema elatior", "Gnorimoschema ferrugineum", "Gnorimoschema foliatum", "Gnorimoschema geminum", "Gnorimoschema generale", "Gnorimoschema gracile", "Gnorimoschema intermedium", "Gnorimoschema interrogationum", "Gnorimoschema lateritium", "Gnorimoschema navajorum", "Gnorimoschema nominale", "Gnorimoschema ovinum", "Gnorimoschema paternale", "Gnorimoschema penetrans", "Gnorimoschema perditum", "Gnorimoschema pocketosum", "Gnorimoschema signatum", "Gnorimoschema tediosum", "Gnorimoschema triforceps", "Gnorimoschema trilobatum", "Gnorimoschema wagneri", "Steineropsis alaskana", "Gnorimoschema ligulatum", "Gnorimoschema lobatum", "Gnorimoschema nanulum", "Gnorimoschema obscurior", "Gnorimoschema petiolatum", "Gnorimoschema segregatum", "Gnorimoschema spinosum", "Gnorimoschema tunicatum", "Eucalyptus nigra", "Stereocaulon klondikense", "Lobaria macaronesica", "Benincasa pruriens f. pruriens", "Heliconius pardalinus lucescens", "Heliconius pardalinus sergestus", "Heliconius pardalinus tithoreides", "Heliconius pardalinus maeon", "Heliconius pardalinus butleri", "Heliconius pardalinus orteguaza", "Heliconius pardalinus ariadne", "Heliconius pardalinus julia", "Heliconius aoede aliciae", "Heliconius aoede auca", "Heliconius aoede ayacuchensis", "Heliconius aoede centurius", "Scythris arerai", "Rapala tara", "Creon cleobis", "Creon cleobis cleobis", "Horaga syrinx", "Horaga syrinx syrinx", "Draba narmanensis", "Horaga syrinx ashinica", "Arabis alanyensis", "Arabis erikii", "Arabis davisii", "Arabis lycia", "Arabis mollis", "Arabis allionii", "Pseudoturritis turrita", "Arabis verna", "Arabis deflexa", "Arabis drabiformis", "Arabis androsacea", "Arabis aubrietioides", "Arabis aucheri", "Arabis carduchorum", "Arabis ionocalyx", "Arabis montbretiana", "Arabis nova", "Arabis sagittata", "Tulipa cinnabarina", "Colchicum leptanthum", "Parentia anomalicosta", "Parentia aotearoa", "Parentia argentifrons", "Parentia calignosa", "Parentia chathamensis", "Parentia defecta", "Parentia insularis", "Parentia lyra", "Parentia magniseta", "Parentia pukakiensis", "Parentia schlingeri", "Parentia titirangi", "Parentia varifemorata", "Parentia whirinaki", "Raphanus raphanistrum subsp. rostratus", "Calomys cerqueirai", "Grallaria urraoensis", "Idaea hausmanni", "Peltularia austroshetlandica", "Peltularia crassa", "Peltularia fuegiana", "Peltularia gyrophoroides", "Idaea obsoletaria", "Synanthedon syriaca", "Bembecia nivalis", "Bembecia blanka", "Bembecia stiziformis", "Bembecia stiziformis belouchistanica", "Bembecia stiziformis stiziformis", "Eucalyptus urophylla", "Cottus gobio", "Cottus immaculatus", "Cottus volki", "Cottus transsilvaniae", "Cottus poecilopus", "Spilonema pannosum", "Spilonema paradoxum", "Spilonema proboscideum", "Spilonema revertens", "Spilonema scoticum", "Spilonema subsimile", "Spilonema tenellum", "Sicyos angulatus", "Sicyos australis", "Sicyos hispidus", "Sicyos macrophyllus", "Sicyos maximowiczii", "Melanagromyza senecionella", "Blepharocalyx cruckshanksii", "Blepharocalyx salicifolius", "Heliconius antiochus", "Heliconius antiochus antiochus", "Heliconius antiochus aranaea", "Heliconius antiochus araneides", "Heliconius antiochus salvinii", "Heliconius pardalinus", "Heliconius pardalinus pardalinus", "Heliconius pardalinus radiosus", "Heliconius pardalinus dilatus", "Trifolium alpestre var. lanigerum", "Trifolium echinatum var. carmeli", "Trifolium hybridum var. elegans", "Delias blanca", "Delias blanca blanca", "Trifolium repens var. biasolettii", "Delias blanca nausicaa", "Delias blanca apameia", "Delias blanca capcoi", "Delias blanca uichancoi", "Elymnias sansoni", "Trifolium tomentosum var. lanatum", "Neptis vibusa", "Neptis vibusa vibusa", "Medicago polymorpha var. apiculata", "Neptis vibusa elioti", "Lotus stepposus", "Ribes anatolicum", "Athyma asura aei", "Athyma gutama samarensis", "Cephalaria aytachii", "Athyma larymna shirozui", "Cephalaria elazigensis", "Cephalaria elazigensis var. purpurea", "Athyma pravara baltazarae", "Pentanema spiraeifolium", "Euthalia amanda irauana", "Euthalia lubentina goertzi", "Salix erythrocarpa", "Euthalia lubentina leytensis", "Helichrysum orbicularifolium", "Tanaecia howarthi", "Campomanesia aromatica", "Tanaecia susoni", "Campomanesia lineatifolia", "Campomanesia pubescens", "Campomanesia xanthocarpa", "Campomanesia adamantium", "Campomanesia aurea", "Campomanesia grandiflora", "Campomanesia guaviroba", "Campomanesia sessiliflora", "Ochna integerrima", "Gnorimoschema powelli", "Gnorimoschema rotundatum", "Gnorimoschema reichli", "Gnorimoschema gallaesolidaginis", "Gnorimoschema siskiouense", "Gnorimoschema valesiellum", "Scrobipalpopsis arnicella", "Solanum kulliwaita", "Solanum dillonii", "Solanum oxapampense", "Solanum verecundum", "Poritia phama regia", "Poritia philota glennuydai", "Ceratalictus argentinus", "Ceratalictus camargoi", "Ceratalictus culminis", "Ceratalictus nitidus", "Ceratalictus orthocarinatus", "Amblystira niborskiana", "Coronabrotica amazonensis", "Stenobelus testaceus", "Stenobelus tibialis", "Eugenia pisiformis", "Eugenia pitanga", "Eugenia punicifolia", "Eugenia pyriformis", "Eugenia salamensis", "Eugenia selloi", "Eugenia speciosa", "Eugenia stipitata", "Eugenia strigosa", "Eugenia sulcata", "Eugenia supra-axillaris", "Eugenia syzygioides", "Eugenia temu", "Eugenia thompsonii", "Eugenia tuberculata", "Eugenia turbinata", "Eugenia variabilis", "Eugenia vauthiereana", "Eugenia woodburyana", "Eugenia cerasiflora", "Myrcia fallax", "Myrcia atramentifera", "Myrcia bombycina", "Myrcia eximia", "Myrcia lanceolata", "Myrcia multiflora", "Myrcia obovata", "Myrcia paganii", "Myrcia popayanensis", "Myrcia splendens", "Myrcia tomentosa", "Myrcia xylopioides", "Hanburia mexicana", "Elysia asbecki", "Ercolania annelyleorum", "Liaochelys jianchangensis", "Paracymus metallescens", "Aepyceros melampus melampus", "Psidium acutangulum", "Psidium salutare", "Psidium sartorianum", "Psidium acre", "Psidium albidum", "Nepeta dirmencii", "Eugenia aeruginea", "Eugenia anastomosans", "Eugenia atropunctata", "Eugenia axillaris", "Eugenia biflora", "Eugenia calycolpoides", "Eugenia campestris", "Eugenia capuli", "Eugenia coloradoensis", "Eugenia compta", "Salvia hedgeana", "Eugenia coronata", "Eugenia crenata", "Eugenia curranii", "Eugenia densiflora", "Eugenia dononaeifolia", "Eugenia dulcis", "Eugenia dysenterica", "Eugenia elliptica", "Eugenia glaucescens", "Eugenia glomerata", "Eugenia guabiju", "Eugenia guilleminiana", "Poritia philota phare", "Poritia philota taimana", "Poritia phormedon", "Salix fuscescens", "Acantholimon anatolicum", "Acantholimon artosense", "Acantholimon bashkaleicum", "Acantholimon birandii", "Acantholimon goeksunicum", "Acantholimon hoshapicum", "Acantholimon karamanicum", "Acantholimon koeycegizicum", "Acantholimon turcicum", "Acantholimon yildizelicum", "Eugenia haematocarpa", "Eugenia inocarpa", "Eugenia insipida", "Eugenia involucrata", "Eugenia itacolumensis", "Eugenia klotzschiana", "Eugenia koolauensis", "Eugenia lambertiana", "Eugenia latifolia", "Eugenia leitonii", "Eugenia ligustrina", "Eugenia lineata", "Eugenia luschnathiana", "Eugenia magnifica", "Eugenia marowynensis", "Eugenia megacarpa", "Eugenia microphylla", "Eugenia myriophylla", "Eugenia nesiotica", "Eugenia nhanica", "Eugenia obovata", "Eugenia parkeri", "Eugenia patrisii", "Marah watsonii", "Marah horrida", "Marah macrocarpa", "Bagaceratops rozhdestvenskyi", "Marah guadalupensis", "Marah gilensis", "Marah fabacea", "Psorula rufonigra", "Tetralobistes bicentenarius", "Gabunillo aridicola", "Asetadiptacus acarubri", "Nanobagrus lemniscatus", "Coraebus undatus", "Gnaphalopoda scissiceps", "Gnaphalopoda lirella", "Gnaphalopoda suspiciosa", "Gnaphalopoda austrina", "Gnaphalopoda solida", "Gnaphalopoda crassa", "Gnaphalopoda biloba", "Gnaphalopoda spinicollis", "Gnaphalopoda ascia", "Gnaphalopoda tridentata", "Gnaphalopoda proxima", "Gnaphalopoda carnei", "Gnaphalopoda lesouefi", "Gnaphalopoda lugubris", "Gnaphalopoda frons", "Gnaphalopoda lepida", "Gnaphalopoda eremia", "Gnaphalopoda fallax", "Gnaphalopoda bidentata", "Gnaphalopoda unidentata", "Gnaphalopoda porosa", "Gnaphalopoda brookesi", "Gnaphalopoda picea", "Gnaphalopoda leptopoda", "Gnaphalopoda fauveli", "Gnaphalopoda kraussi", "Gnaphalopoda undata", "Gnaphalopoda montrouzieri", "Gnaphalopoda aenea", "Gnaphalopoda porcata", "Gnaphalopoda curticollis", "Gnaphalopoda seriata", "Gnaphalopoda pygialis", "Gnaphalopoda baladica", "Gnaphalopoda deslongchampsi", "Gnaphalopoda opacina", "Syzygium cumini", "Syzygium lineatum", "Syzygium ingens", "Echinopepon wrightii", "Geranium molle", "Glyphopeltis ligustica", "Geranium tuberosum", "Echinopepon torquatus", "Gibberifera qingchengensis", "Gibberifera yadongensis", "Echinopepon arachoideus", "Dooabia borealis", "Dooabia alia", "Dooabia tanakai", "Echinopepon coulteri", "Dooabia viridata", "Abaciscus costimacula", "Abaciscus adjuncta", "Abaciscus changi", "Abaciscus bifida", "Metacrocallis vernalis", "Scoparia taiwanensis", "Scoparia subgracilis", "Poritia plateni", "Poritia pleurata", "Earias insulana", "Crypteronia griffithii", "Lecidoma demissum", "Poritia promula", "Poritia promula elegans", "Poritia promula promula", "Echinopepon disjunctus", "Echinopepon cirrhopedunculatus", "Poritia sumatrae milia", "Echinopepon minimus", "Protomicarea limosa", "Echinopepon tultitlanapaensis", "Echinopepon racemosus", "Scaeosopha sattleri", "Scaeosopha rotundivalvula", "Beaufortia niulanensis", "Alaena kiellandi", "Eremastrella crystallifera", "Eremastrella tobleri", "Eremastrella montana", "Echinopepon pubescens", "Brandegea bigelovii", "Limnoxenus nesiticus", "Limnoxenus niger", "Limnoxenus semicylindricus", "Limnoxenus sjostedti", "Tinissa wayfoongi", "Iraota timoleon", "Iraota timoleon timoleon", "Miletus symethus atimonicus", "Halpe nuydai", "Cyrestis kudrati", "Cyrestis maenalis zamboangensis", "Polyura schreiber bilarensis", "Iraota rochana", "Iraota rochana rochana", "Iraota rochana lazarena", "Iraota rochana austrosuluensis", "Iraota rochana garzoni", "Iraota rochana indalawanae", "Iraota rochana boudanti", "Iraota rochana ottonis", "Paruparo cebuensis", "Paruparo cebuensis cebuensis", "Paruparo cebuensis treadawayi", "Paruparo mamertina", "Paruparo mamertina mamertina", "Paruparo mamertina rahmanni", "Paruparo mamertina jeanhooperae", "Cuphea cordata", "Rhynchaglaea fuscipennis", "Teratoglaea pacifica", "Cryphia stygiodes", "Cryphia idiostygia", "Cryphia virescens", "Cryphia stygia", "Orthonama shirahatai", "Marah oregana", "Zanclognatha nakatomii", "Zanclognatha yaeyamalis", "Zanclognatha nigrisigna", "Zanclognatha curvilinea", "Zanclognatha yakushimalis", "Sorolopha bruneiregalis", "Chrysaeglia xantha", "Chrysaeglia magnifica", "Chrysaeglia perpendicularis", "Palpita annulifer", "Steinera molybdoplaca", "Steinera nigra", "Steinera polymorpha", "Steinera sorediata", "Steinera werthii", "Tracheoides tamsi", "Tracheoides modesta", "Tracheoides floridus", "Steinera radiata subsp. aucklandica", "Tracheoides flosculus", "Tracheoides ypsilon", "Tracheoides reticulatus", "Tracheoides amazonicus", "Psilalcis bisinuata", "Psilalcis insecura", "Psilalcis dignampta", "Psilalcis subtochracea", "Psilalcis subochrea", "Psilalcis intermedia", "Psilalcis thricophora", "Psilalcis owadai", "Psilalcis postochrea", "Psilalcis floresana", "Psilalcis galsworthyi", "Psilalcis vietnamensis", "Psilalcis paraceptaria", "Remelana davisi", "Diplusodon virgatus", "Duabanga grandiflora", "Eulamprus amplus", "Neolysandra diana", "Neolysandra diana diana", "Neolysandra diana omnicaerulea", "Dipchasphecia sertavula", "Cyclanthera pedata", "Zullobalanus santamariaensis", "Athanas ahyongi", "Sabellaria isumiensis", "Amynthas trapezoides", "Amynthas conchipapillatus", "Amynthas dongfangensis", "Heimia myrtifolia", "Heimia salicifolia", "Lafoensia nummularifolia", "Pleurophora anomala", "Pleurophora saccocarpa", "Trapa bicornis", "Trapa incisa", "Paracymus acutipenis", "Paracymus amplus", "Paracymus blandus", "Paracymus communis", "Paracymus confluens", "Paracymus confusus", "Paracymus corrinae", "Paracymus delatus", "Paracymus diligens", "Paracymus dispersus", "Paracymus exiguus", "Paracymus fuscatus", "Paracymus generosus", "Paracymus giganticus", "Paracymus incomptus", "Paracymus inconditus", "Paracymus indigens", "Massonia wittebergensis", "Massonia sempervirens", "Macrorhyncolus crassiusculus", "Macrorhyncolus crassitarsis", "Parviphycus trinitatensis", "Sericoderus brouni", "Sericoderus seelandicus", "Phyllotocus macleayi", "Paracymus insularis", "Paracymus leechi", "Paracymus limbatus", "Paracymus mexicanus", "Paracymus mimicus", "Paracymus mirus", "Paracymus monticola", "Paracymus ornatus", "Paracymus pacatus", "Paracymus petulans", "Paracymus placidus", "Paracymus proprius", "Paracymus pusillus", "Paracymus vulgatus", "Paracymus toleratus", "Paracymus spangleri", "Paracymus simulatus", "Paracymus sedatus", "Paracymus securus", "Paracymus secretus", "Paracymus seclusus", "Paracymus robustus", "Paracymus restrictus", "Paracymus regularis", "Paracymus australiae", "Paracymus cariceti", "Paracymus opacus", "Paracymus ovum", "Paracymus wattsi", "Paracymus weiri", "Paracymus aeneus", "Paracymus alluaudianus", "Paracymus armatus", "Paracymus atomus", "Paracymus chalceolus", "Paracymus chalceus", "Paracymus decolor", "Paracymus degener", "Paracymus despectus", "Paracymus elegans", "Paracymus ellipsis", "Paracymus evanescens", "Paracymus gracilis", "Paracymus granulum", "Paracymus gratus", "Paracymus orientalis", "Paracymus zaitzevi", "Paracymus tarsalis", "Paracymus subcupreus", "Paracymus spenceri", "Paracymus gigas", "Paracymus reductus", "Paracymus relaxus", "Paracymus scutellaris", "Paracymus nanus", "Paracymus graniformis", "Paracymus lodingi", "Paracymus rufocinctus", "Paracymus pisanus", "Paracymus phalacroides", "Paracymus maximus", "Paracymus minor", "Brachyotum strigosum", "Bredia hirsuta", "Bredia tuberculata", "Calvoa orientalis", "Centradenia grandifolia", "Clidemia capitellata", "Clidemia hirta", "Clidemia involucrata", "Clidemia anisophylla", "Clidemia petiolata", "Clidemia rubra", "Dercitus bucklandi", "Dercitus bucklandi lusitanicus", "Dercitus bahamensis", "Dercitus fijiensis", "Dercitus senegalensis", "Dercitus verdensis", "Dercitus arubensis", "Dercitus berau", "Dercitus japonensis", "Dercitus sibogae", "Calthropella xavierae", "Calthropella pyrifera", "Nuphar sagittifolia", "Nuphar polysepala", "Paepalanthus decussus", "Paepalanthus stuetzelii", "Pselactus caoduroi", "Pselactus folwacznyi", "Macrorhyncolus littoralis", "Bellucia dichotoma", "Bellucia grossularioides", "Bellucia pentamera", "Laccobius andhraicus", "Laccobius assamita", "Laccobius cupulifer", "Laccobius nigerianus", "Protoblastenia calva", "Protoblastenia cyclospora", "Protoblastenia incrustans", "Protoblastenia lilacina", "Protoblastenia ozarkana", "Protoblastenia rupestris", "Protoblastenia siebenhaariana", "Protoblastenia terricola", "Protoblastenia vakavae", "Vaseyanthus brandegeei", "Nuphar advena subsp. ulvacea", "Nuphar sect.", "Nuphar sect.", "Nuphar advena subsp. ozarkana", "Nuphar advena subsp. orbiculata", "Nuphar advena subsp. advena", "Inermonephtys foretmontardoi", "Nuphar variegata", "Titanobochica magna", "Leptolalax aereus", "Siphonocryptus zigzag", "Sclerocollum saudii", "Neowardula brayi", "Galumna acutirostrum", "Galumna levisensilla", "Neogalumna seniczaki", "Megischus aplicatus", "Tritomurus veles", "Araneibatrus gracilipes", "Salix kirilowiana", "Protoceratops andrewsi", "Blosyropus dentatus", "Bertolonia marmorata", "Blakea gracilis", "Blakea pulverulenta", "Blakea rosea", "Blakea trinervia", "Polyacanthia fonscolombei", "Polyacanthia strandi", "Brachyotum cogniauxii", "Brachyotum lutescens", "Parnida agrestis", "Riftia pachyptila", "Scaligeria napiformis", "Montanoceratops cerorhynchus", "Salix myrsinites", "Nymphaea subg.", "Nymphaea subg.", "Nymphaea subg.", "Nymphaea subg.", "Nymphaea subg.", "Nymphaea sect.", "Nymphaea sect.", "Allium pseudosenescens", "Allium minus", "Croton limae", "Calycogonium bairdianum", "Tricholepidion gertschi", "Conostegia macrantha", "Dissotis princeps", "Fordiophyton faberi", "Henriettea flavescens", "Henriettea multiflora", "Henriettea succosa", "Heterocentron elegans", "Heterocentron subtriplinervium", "Heterotrichum cymosum", "Lavoisiera francavillana", "Leandra agrestis", "Leandra scabra", "Sylvicola festivus", "Sylvicola neozelandicus", "Sylvicola notatus", "Sylvicola undulatus", "Thinempis brouni", "Argiope mascordi", "Argiope caledonia", "Eisenia fetida", "Torodora wauensis", "Plataea blanchardaria", "Ephedra lomatolepis", "Maieta guianensis", "Maieta poeppigii", "Medinilla cummingii", "Medinilla curtisii", "Asyneuma limonifolium", "Medinilla heterophylla", "Medinilla multiflora", "Medinilla scortechinii", "Medinilla sedifolia", "Medinilla venosa", "Cakile maritima", "Moduza nuydai", "Gibberifera angkhangensis", "Gibberifera nigrovena", "Gibberifera hepaticana", "Gibberifera alba", "Gibberifera clavata", "Gibberifera glaciata", "Gibberifera mienshana", "Gibberifera monticola", "Gibberifera similis", "Gibberifera obscura", "Nuphar pumila", "Gibberifera simplana", "Nuphar pumila subsp. pumila", "Gravitarmata margarotana", "Odontopera bidentata", "Gretchena amatana", "Paragona cognata", "Paragona multisignata", "Paepalanthus cipoensis", "Paepalanthus coutoensis", "Paragona inchoata", "Nuphar pumila subsp. oguraensis", "Nuphar pumila subsp. sinensis", "Crocallis elinguaria", "Paepalanthus ithyphyllus", "Pselactus spadix", "Nuphar \u00d7 rubrodisca", "Laminamichaelia australica", "Laminamichaelia pusilla", "Laminamichaelia arbusculosa", "Penthaleus tectus", "Penthaleus falcatus", "Emilia rehmanniana", "Dooabia owadai", "Dooabia ambigua", "Euplexidia exotica", "Euplexidia pallidivirens", "Euplexidia angusta", "Euplexidia illiterata", "Euplexidia benescripta", "Euplexidia noctuiformis", "Euplexidia literata", "Euplexidia literata literata", "Euplexidia literata thailandica", "Palpita asiaticalis", "Palpita perunionalis", "Osbeckia aspera", "Osbeckia buxifolia", "Osbeckia capitata", "Osbeckia chinensis", "Osbeckia nepalensis", "Osbeckia nutans", "Osbeckia rubicunda", "Osbeckia stellata", "Ossaea marginata", "Grandjeanicus theroni", "Grandjeanicus gabonensis", "Grandjeanicus uncus", "Diplothyrus lecorrei", "Tenebrosoma albicoma", "Rhynchocalyx lawsonioides", "Tenebrosoma tenebricum", "Callisthene fasciculata", "Erisma calcaratum", "Erisma japura", "Erisma uncinatum", "Alicorhagia fragilis", "Alicorhagia clavipilus", "Alycus occidentalis", "Paralycus pyrigerus", "Nyctemera lacticinia", "Nyctemera latera", "Nyctemera latemarginata", "Nyctemera leopoldi", "Nyctemera letensis", "Nyctemera limbata", "Nyctemera lombokiana", "Nyctemera ludekingii", "Speleorchestes nylsvleyensis", "Speleorchestes meyerae", "Speleorchestes natulus", "Speleorchestes potchefstroomensis", "Speleorchestes globulus", "Speleorchestes termitophilus", "Speleorchestes formicorum", "Speleorchestes poduroides", "Speleorchestes ventriosus", "Speleorchestes pratensis", "Laminamichaelia novazealandica", "Proterorhagia oztotloica", "Cricula timorensis", "Nyctemera adversata", "Nyctemera angulata", "Nyctemera consobrina", "Nyctemera apensis", "Nyctemera formosana", "Nyctemera aquimqargo", "Tibouchina clavata", "Tibouchina granulosa", "Tibouchina herbacea", "Tibouchina laxa", "Pleroma semidecandrum", "Tibouchina stenocarpa", "Tibouchina aspera", "Tibouchina clinopodifolia", "Pleroma heteromallum", "Tibouchina longifolia", "Tibouchina martialis", "Tibouchina multiceps", "Tibouchina mutabilis", "Tibouchina pulchra", "Tibouchina regnellii", "Tibouchina sellowiana", "Tibouchina ursina", "Tibouchina urvilleana", "Oxyspora exigua", "Oxyspora paniculata", "Phyllagathis rotundifolia", "Rhexia aristosa", "Rhexia mariana", "Rhexia virginica", "Salpinga margaritacea", "Gastropacha quercifolia", "Gastropacha quercifolia quercifolia", "Gastropacha quercifolia mekongensis", "Gastropacha quercifolia thibetana", "Gastropacha hoenei", "Cryphia herczigi", "Cryphia hohuana", "Proceratophrys tupinamba", "Neonanorchestes ammolitoreus", "Neonanorchestes pelosangulus", "Nymphaea \u00d7 astraea", "Bimichaelia augustana", "Bimichaelia sarekensis", "Bimichaelia pallida", "Sericoderus scutellaris", "Sericoderus basalis", "Sericoderus fulvicollis", "Sarcopyramis napalensis", "Tetrazygia bicolor", "Nyctemera gerra", "Nyctemera gratia", "Nyctemera groenendaeli", "Nyctemera herklotsii", "Lepraria barbatica", "Nyctemera homogona", "Nyctemera hyalina", "Lepraria cryophila", "Nyctemera immitans", "Lepraria disjuncta", "Nyctemera interlecta", "Nyctemera kala", "Nyctemera kiauensis", "Lepraria moroziana", "Nyctemera kinagananga", "Nyctemera kinabaluensis", "Nyctemera kinabalina", "Lepraria xanthonica", "Nyctemera kiriwina", "Nyctemera kishidai", "Coccocarpia tomentosa", "Helichrysum sivasicum", "Helichrysum pamphylicum", "Helichrysum noeanum", "Helichrysum compactum", "Helichrysum chasmolycium", "Helichrysum basalticum", "Helichrysum splendidum", "Nymphaea capensis", "Nymphaea \u00d7 pulcherrima", "Kalanchoe eriophylla", "Tibouchina violacea", "Tibouchina weddellii", "Tococa guianensis", "Tococa latifolia", "Tristemma virusanum", "Olinia ventosa", "Penaea mucronata", "Baccharis dichotoma", "Nymphaea malabarica", "Dalea gymonocodon", "Swartzia picramnioides", "Swartzia zeledonensis", "Nyctemera amicus", "Eleocharis cryptica", "Nyctemera brylancik", "Nyctemera fractifascia", "Nyctemera varians", "Nyctemera augustipennis", "Nyctemera bouruana", "Oxyrhynchus populneus", "Nyctemera browni", "Nyctemera calcicola", "Nyctemera carissima", "Nyctemera clathratum", "Nyctemera consobriniformis", "Nyctemera consors", "Nyctemera dentifascia", "Argemone parva", "Nyctemera diaphana", "Nyctemera dispar", "Nyctemera distincta", "Nyctemera drucei", "Nyctemera everetti", "Nyctemera extendens", "Nyctemera externa", "Nyctemera genora", "Psidium australe", "Psidium brownianum", "Psidium cinereum", "Psidium coriaceum", "Psidium cuneatum", "Psidium densicomum", "Psidium formosum", "Psidium grandifolium", "Psidium incanum", "Psidium laruotteanum", "Psidium laurifolium", "Psidium longipes", "Psidium luridum", "Psidium missionum", "Psidium montanum", "Psidium nutans", "Psidium persicifolium", "Psidium sellowianum", "Psidium sorocabense", "Psidium suffruticosum", "Laccobius arrowi", "Syzygium acuminatissimum", "Syzygium aqueum", "Syzygium malaccense", "Syzygium pycnanthum", "Syzygium samarangense", "Syzygium buxifolium", "Syzygium cordatum", "Syzygium cymosum", "Syzygium eucalyptoides", "Enochrus abditus", "Enochrus tritus", "Syzygium francisii", "Syzygium grande", "Syzygium guineense", "Syzygium javanicum", "Syzygium nervosum", "Enochrus maculiceps", "Syzygium oleosum", "Syzygium owariense", "Syzygium paniculatum", "Syzygium polyanthum", "Syzygium tierneyanum", "Mecodina variata", "Calliteara flavobrunnea", "Euproctis mimetica", "Sphaeridium lunatum", "Xenotrachea albidisca", "Bambusiphila vulgaris", "Nyctemera hemixantha", "Nyctemera insulare", "Nyctemera insularis", "Nyctemera itokina", "Nyctemera pallescens", "Nyctemera perspicua", "Nyctemera rattrayi", "Nyctemera restrictum", "Nyctemera seychellensis", "Nyctemera transitella", "Nyctemera ugandicola", "Nyctemera uniformis", "Nyctemera usambarae", "Nyctemera virgo", "Nyctemera xanthura", "Nyctemera plagifera", "Nyctemera annulatum", "Nyctemera annulatum annulatum", "Nyctemera annulatum antipodea", "Nyctemera arctata", "Nyctemera arctata arctata", "Nyctemera arctata albofasciata", "Nyctemera arctata scalarium", "Nyctemera maculosa", "Nyctemera albofasciata", "Nyctemera baulus", "Nyctemera baulus baulus", "Nyctemera baulus alba", "Nyctemera baulus aluensis", "Nyctemera baulus fasciata", "Nyctemera baulus integra", "Nyctemera baulus nigrovena", "Nyctemera baulus nisa", "Nyctemera baulus mundipicta", "Nyctemera baulus moluccana", "Nyctemera baulus samoensis", "Nyctemera lugens", "Nyctemera lunulata", "Nyctemera malaccana", "Nyctemera mastrigti", "Nyctemera mesolychna", "Nyctemera latimargo", "Nyctemera montana", "Nyctemera nicobarensis", "Nyctemera nonapicalis", "Nyctemera obtusa", "Nyctemera ovada", "Nyctemera owadai", "Nyctemera pagenstecheri", "Nyctemera palawanica", "Nyctemera paradelpha", "Nyctemera perissa", "Nyctemera poliodesma", "Nyctemera popiya", "Nyctemera pseudokala", "Nyctemera quadriplaga", "Nyctemera quaternarium", "Nyctemera radiata", "Nyctemera alternata", "Nyctemera regalis", "Nyctemera robusta", "Nyctemera secundiana", "Nyctemera sexmaculatum", "Nyctemera sonticum", "Nyctemera stresemanni", "Nyctemera sumatrensis", "Nyctemera swinhoei", "Nyctemera tenompoka", "Nyctemera tenuifascia", "Nyctemera toxopei", "Nyctemera undulata", "Nyctemera warmasina", "Nyctemera apicalis", "Nyctemera antinorii", "Nyctemera arieticornis", "Nyctemera biformis", "Nyctemera chromis", "Nyctemera crassiantennata", "Nyctemera druna", "Nyctemera glauce", "Nyctemera gracilis", "Nyctemera baulus tertiana", "Nyctemera baulus pullatus", "Nyctemera baulus pratti", "Nyctemera alba", "Nyctemera integra", "Nyctemera mundipicta", "Lexias satrapes ormocana", "Lexias satrapes amlana", "Parantica melaneus", "Parantica melaneus melaneus", "Parantica melaneus schoenigi", "Ideopsis gaura", "Ideopsis gaura gaura", "Ideopsis gaura canlaonii", "Euploea phaenareta", "Euploea phaenareta phaenareta", "Euploea phaenareta rigneyi", "Pseudathyma callina", "Pseudathyma cyrili", "Pseudathyma endjami", "Pseudathyma falcata", "Pseudathyma legeri", "Pseudathyma martini", "Pseudathyma michelae", "Pseudathyma nzoia", "Pseudathyma sibyllina", "Pseudathyma neptidina", "Pseudathyma neptidina neptidina", "Pseudathyma jacksoni", "Pseudathyma jacksoni jacksoni", "Pseudathyma jacksoni kivuensis", "Psora brunneocarpa", "Pseudathyma lucretioides", "Pseudathyma lucretioides lucretioides", "Pseudathyma lucretioides rondo", "Pseudathyma plutonica", "Melastoma candidum", "Melastoma cordifolilium", "Melastoma dodecandrum", "Melastoma malabathricum", "Melastoma sanguineum", "Melastoma setigerum", "Meriania nobilis", "Miconia albicans", "Miconia argyrophylla", "Miconia calvescens", "Miconia ciliata", "Miconia densiflora", "Miconia flavescens", "Miconia impetiolaris", "Miconia longifolia", "Miconia mirabilis", "Miconia molybdea", "Miconia prasina", "Miconia racemosa", "Miconia saldanhaei", "Miconia stenostachya", "Ebinania australiae", "Miconia theaezans", "Monochaetum lineatum", "Arcitalitrus bassianus", "Nymphaea rubra", "Nymphaea \u00d7 robinsonii", "Cleopus japonicus", "Mecinus pascuorum", "Amasa truncata", "Nanorchestes jodiae", "Nanorchestes kirsteueri", "Nanorchestes llanoi", "Nanorchestes memelensis", "Nanorchestes pollicaris", "Nanorchestes pseudocollinus", "Nanorchestes siculus", "Nanorchestes usualis", "Erismadelphus exsul", "Qualea cordata", "Salvertia convallariodora", "Vochysia ferruginea", "Vochysia guatemalensis", "Idiospermum australiense", "Eurysacca danorum", "Nymphaea minuta", "Gyrocarpus americanus", "Hernandia bivalvis", "Hernandia guianensis", "Hernandia jamaicensis", "Hernandia nymphaeifolia", "Hernandia ovigera", "Hernandia sonora", "Sparattanthelium amazonum", "Physignathus lesueurii lesueurii", "Aniba parviflora", "Laccobius affinis", "Laccobius celsus", "Laccobius egregius", "Laccobius incisus", "Laccobius jaechi", "Laccobius munus", "Laccobius senguptai", "Laccobius sharmai", "Promalactis yunnanella", "Myotis capaccinii fimbriatus", "Acrophtalmia chione chione", "Acrophtalmia chione lucidus", "Acrophtalmia chione orientalis", "Paragabara flavomacula", "Paragabara ochreipennis", "Paragabara acygonia", "Paragabara biundata", "Paragabara pectinata", "Paragona cleorides", "Paragona dubia", "Stenoloba pendleburyi", "Stenoloba elegans", "Linaria amethystea", "Stenoloba futii", "Stenoloba robusta", "Tortrix viridana", "Stenoloba domina", "Stenoloba clarescens", "Stenoloba bachmana", "Stenoloba likianga", "Stenoloba liuii", "Stenoloba manleyi", "Stenoloba manleyi manleyi", "Stenoloba manleyi formosana", "Stenoloba manleyi ryukyuensis", "Stenoloba brunnescens", "Stenoloba albistriata", "Stenoloba cineracea", "Stenoloba fontinalis", "Stenoloba rectilinea", "Stenoloba olivacea", "Stenoloba ferrimacula", "Stenoloba punctistigma", "Stenoloba umbrifera", "Stenoloba prasinana", "Stenoloba simplicilinea", "Chrysotus adunatus", "Cinnamomum yabunikkei", "Eusideroxylon zwageri", "Caloplaca lecanoroides", "Caloplaca pusilla", "Licaria triandra", "Eurysacca atrata", "Eurysacca subatrata", "Eurysacca annulata", "Eurysacca tenebrosa", "Eurysacca splendida", "Eurysacca subsplendida", "Eurysacca media", "Eurysacca albonigra", "Eurysacca gnorimina", "Litsea coreana", "Eurysacca parvula", "Eurysacca minima", "Eurysacca acutivalva", "Eurysacca excisa", "Eurysacca paleana", "Eurysacca melanopicta", "Eurysacca chili", "Eurysacca melanocampta", "Eurysacca boertmanni", "Eurysacca novalis", "Eurysacca vera", "Caloplaca schistidii", "Caloplaca pseudofulgensia", "Caloplaca rouxii", "Holcocera extensa", "Holcocera irroratella", "Neoblastobasis laikipiae", "Neoblastobasis wangithiae", "Neoblastobasis perisella", "Neoblastobasis ximeniaella", "Neoblastobasis spiniharpella", "Catocala erichi", "Catocala intacta", "Catocala lincolnana", "Catocala miranda", "Catocala praeclara", "Catocala texarkana", "Catocala ulalume", "Catocala unijuga", "Candelariella xanthostigmoides", "Nectandra angustifolia", "Nectandra coriacea", "Nectandra hihua", "Nectandra pulchra", "Nectandra sanguinea", "Nectandra turbacensis", "Neolitsea confertifolia", "Neolitsea cuipala", "Endocellion sibiricum", "Ocotea arechavaletae", "Ocotea moschata", "Ocotea spathulata", "Endocellion glaciale", "Capronia sexdecimspora", "Persea subg.", "Persea subg.", "Persea parvifolia", "Capronia peltigerae", "Isostomyia paranensis", "Carbacanthographis muriformis", "Sextonia rubra", "Hortonia floribunda", "Monimia rotundifolia", "Tambourissa amplifolia", "Tambourissa quadrifida", "Acanthus eminens", "Acanthus ilicifolius", "Acanthus montanus", "Andrographis paniculata", "Acanthothecis leucopepla", "Acanthothecis mosquitensis", "Acanthothecis peplophora", "Acanthothecis poitaeoides", "Spercheus wattsi", "Spercheus halophilus", "Laccobius wewalkai", "Laccobius serratus", "Laccobius pluvialis", "Laccobius shorti", "Laccobius silvester", "Laccobius eliogentilii", "Laccobius guttalis", "Laccobius hanka", "Laccobius josefi", "Laccobius sipeki", "Laccobius moriyai", "Laccobius maculatus", "Laccobius novaecaledonicus", "Laccobius reflexipenis", "Laccobius spangleri", "Laccobius nevadensis", "Laccobius gloriana", "Catillaria stereocaulorum", "Limnoxenus olenus", "Metablax acutipennis", "Aphelandra aurantiaca", "Aphelandra pulcherrima", "Aphelandra scabra", "Aphelandra tetragona", "Barleria repens", "Enochrus fijiensis", "Enochrus elongatulus", "Incarvillea diffusa", "Panoquina nero", "Aroma aroma", "Aroma henricus", "Aroma henricus henricus", "Aroma henricus balba", "Panoquina lucas", "Panoquina lucas lucas", "Panoquina lucas woodruffi", "Choranthus borincona", "Cogia hassan", "Cogia hassan hassan", "Cogia hassan evansi", "Nisoniades bipuncta", "Pachyneuria damon", "Pachyneuria lineatopunctata", "Chasmogenus barrae", "Chasmogenus lorenzo", "Chasmogenus ruidus", "Chasmogenus schoedli", "Chasmogenus australis", "Chasmogenus bariorum", "Chasmogenus occidentalis", "Chasmogenus yukparum", "Chasmogenus cattienus", "Chasmogenus irianus", "Chasmogenus molinai", "Chasmogenus molluscus", "Chasmogenus paramollis", "Chasmogenus rubellus", "Chasmogenus rudis", "Chasmogenus szeli", "Chasmogenus omissus", "Thapsia villosa", "Torilis leptophylla", "Cecidonia umbonella", "Cecidonia xenophana", "Pseudathyma plutonica plutonica", "Pseudathyma plutonica expansa", "Pseudathyma plutonica shaba", "Pseudathyma uluguru", "Pseudathyma uluguru uluguru", "Pseudathyma uluguru abriana", "Psora californica", "Psora cerebriformis", "Psora crenata", "Psora crystallifera", "Psora elenkinii", "Psora gresinonis", "Psora hyporubescens", "Psora icterica", "Parergodrilus heideri", "Psora indigirkae", "Psora luridella", "Psora montana", "Psora nipponica", "Psora nitida", "Psora pacifica", "Psora peninsularis", "Psora pruinosa", "Psora pseudorussellii", "Psora rubiformella", "Psora tenuifolia", "Psora testacea", "Psora tuckermanii", "Nymphaea colorata", "Psora vallesiaca", "Stigmalychus veretrum", "Nanorchestes africanus", "Nanorchestes amphibius", "Nanorchestes arboriger", "Nanorchestes capensis", "Nanorchestes coatesi", "Nanorchestes collinus", "Nanorchestes exsertus", "Nanorchestes gilli", "Nanorchestes globosus", "Nanorchestes hoffmannae", "Pachyneuria lineatopunctata lineatopunctata", "Pachyneuria lineatopunctata helena", "Noctuana lactifera", "Noctuana lactifera lactifera", "Noctuana lactifera bipuncta", "Iliana romulus", "Iliana remus", "Tosta gorgus", "Bolla subapicatus", "Bolla catharina", "Biscutella auriculata", "Bolla nigerrima", "Dalla eburones eburones", "Dalla eburones inornata", "Dalla eburones ena", "Staphylus putumayo", "Bolla eusebius", "Staphylus balsa", "Cryptocoryne mekongensis", "Cryptocoryne crispatula", "Cryptocoryne crispatula var. decus-mekongensis", "Cryptocoryne crispatula var. planifolia", "Dalla quasca quasca", "Dalla quasca equatoria", "Cynea melius", "Nastra julia", "Zalomes biforis", "Stretchia plusiiformis", "Stretchia plusiiformis plusiiformis", "Stretchia plusiiformis coloradicola", "Stretchia prima", "Stretchia pictipennis", "Stretchia inferior", "Stretchia muricina", "Stretchia pacifica", "Erastria coloraria", "Carinosella maasaiorum", "Prunaspila demeyeri", "Prunaspila bezdeki", "Galathea sinensis", "Cardiodectes asper", "Cardiodectes bertrandi", "Creopelates nohmijimensis", "Mesokalliapseudes quadriflagellata", "Parachironomus lupus", "Trechus tatai", "Malmaemichungia qinlingensis", "Hueikaeana albopunctata", "Labops kerzhneri", "Helicopsyche alajuela", "Helicopsyche dorsocurvata", "Helicopsyche golfitoensis", "Spercheus platycephalus", "Bupleurum baldense", "Anacaena novacaledonica", "Anacaena rara", "Anacaena silvatica", "Anacaena wewalkai", "Anacaena violacea", "Limnocyclus puncticeps", "Hydrobius orientalis", "Hybogralius hartmeyeri", "Hygrophila ringens", "Justicia crassifolia", "Justicia gendarussa", "Mendoncia coccinea", "Hydramara argentina", "Meyenia hawtayneana", "Hydrobius arcticus", "Hydrobius convexus", "Hydrobius melaenus", "Hydrobius pauper", "Hydrobius pui", "Hydrobius punctistriatus", "Hydrobius tumidus", "Ruellia caroliniensis", "Paranacaena lineata", "Astraptes halesius", "Telemiades megallus", "Telemiades epicalus", "Telemiades choricus", "Telemiades sila", "Eracon pebana", "Nisoniades bessus", "Heliopetes domicella", "Heliopetes domicella domicella", "Heliopetes domicella willi", "Heliopetes domicella margarita", "Salix nummularia", "Pyrisitia leuce", "Pyrisitia leuce leuce", "Salix ovalifolia", "Pyrisitia leuce circumcincta", "Pyrisitia leuce athalia", "Pyrisitia leuce flavilla", "Pyrisitia leuce memulus", "Pyrisitia leuce antillarum", "Salix pantosericea", "Phocides johnsoni", "Afrothaumalea capensis", "Afrothaumalea pamelae", "Thaumalea gerecki", "Thaumalea sandaliae", "Thaumalea rivosecchii", "Thaumalea toscanica", "Thaumalea verralli", "Thaumalea veletensis", "Thaumalea alticola", "Staphylus cartagoa", "Ouleus bubaris", "Ouleus negrus", "Ouleus negrus negrus", "Ouleus negrus cristatus", "Zera teresa", "Pythonides rosa", "Carrhenes bamba", "Carrhenes sinesinus", "Scandix australis", "Carrhenes infuscescens", "Megalaria isidiza", "Megalaria versicolor", "Scandix australis subsp. microcarpa", "Ouleus juxta", "Ouleus juxta juxta", "Ouleus juxta dampa", "Anthoptus maracanae", "Propapias sipariana", "Wallengrenia otho", "Wallengrenia otho otho", "Wallengrenia otho drury", "Wallengrenia otho clavus", "Orphniospora groenlandica", "Orphniospora moriopsis", "Orphniospora moriopsis var. moriopsis", "Orphniospora moriopsis var. brunnea", "Hemiosus tarsalis", "Chasmogenus balkei", "Chasmogenus punctulatus", "Chasmogenus nitescens", "Tabebuia bahamensis", "Tabebuia roseoalba", "Bidessus skottsbergi", "Danakilia dinicolai", "Catapaguroides longior", "Mummucia ibirapemussu", "Parapercis randalli", "Troglohyphantes lanai", "Omoadiphas cannula", "Hydraenida guerreroi", "Tieghemella heckelii", "Flattoides amazonensis", "Flattoides amazonensis amazonensis", "Flattoides amazonensis renta", "Gorgopas chlorocephala", "Gorgopas chlorocephala chlorocephala", "Gorgopas chlorocephala sneiderni", "Bolla morona", "Bolla morona morona", "Bolla morona lorea", "Chrysotus agraulus", "Chrysotus anshunus", "Chrysotus apicicaudatus", "Chrysotus biprojicienus", "Chrysotus fanjingshanus", "Chrysotus fuscitibialis", "Chrysotus laxifacialus", "Chrysotus pallidus", "Chrysotus trapezinus", "Chrysotus xinanus", "Homidia sichuanensis", "Anacroneuria otafroehlichi", "Anacroneuria singularis", "Anacroneuria terere", "Diabrotica collicola", "Ceratopriomorphus bolivianus", "Dicliptera bupleuroides", "Dicliptera chinensis", "Rhynchocorys elephas", "Gorditus rotundus", "Rhynchocorys stricta", "Guitonia leimomi", "Guitonia paulayi", "Sperchon beijingensis", "Sperchon heteropoda", "Sperchon huangshanensis", "Flustrellidra armata", "Cryptocellus iaci", "Renda bicarinata", "Renda brendelli", "Renda brevipennis", "Renda cariniventris", "Renda cyanea", "Renda fasciata", "Renda fimetariamimus", "Renda fulgida", "Renda glabrinotum", "Renda grandipenis", "Renda julietarum", "Renda lescheni", "Renda longiceps", "Renda mesoamericana", "Renda nitida", "Renda ophthalmica", "Renda palpalis", "Renda pronotalis", "Renda raulmunizi", "Renda sharpi", "Renda simplicephala", "Iare cheguevarai", "Iare mexicanus", "Pachycondyla nakasujii", "Neocordulia pedroi", "Megommation amazonicum", "Galathea babai", "Cecropterus casica", "Cecropterus tehuacana", "Megalastrum apicale", "Cecropterus toxeus", "Megalastrum atrogriseum", "Thaumalea bernardi", "Thaumalea digitata", "Thaumalea caudata", "Androprosopa larvata", "Androprosopa rangifer", "Thaumalea micomicona", "Thaumalea subafricana", "Colpophyllia natans", "Jacaranda obtusifolia", "Adenocalymma cladotrichum", "Hanriccardoella faini", "Riccardoella novaezealandiae", "Austreynetes maudensis", "Allodessus megacephalus", "Allodessus skottsbergi", "Allodessus thienemanni", "Nisoniades montana", "Nisoniades godma", "Nisoniades panama", "Nisoniades benda", "Nisoniades hecale", "Megalaria albocincta", "Nisoniades cauca", "Megalaria allantoidea", "Nisoniades remo", "Megalaria anaglyptica", "Nisoniades criton", "Megalaria beechingii", "Nisoniades hesperia", "Megalaria bengalensis", "Megalaria brodoana", "Megalaria columbiana", "Nisoniades maura", "Nisoniades borra", "Megalaria endochroma", "Nisoniades brunneata", "Megalaria granulosa", "Nisoniades guianae", "Nisoniades haywardi", "Megalaria grossa", "Megalaria intermiscens", "Megalaria intermixta", "Megalaria jemtlandica", "Megalaria laureri", "Megalaria leptocheila", "Pellicia simulator", "Megalaria leucochlora", "Pellicia santana", "Megalaria macrospora", "Pellicia arina", "Megalaria maculosa", "Ruellia simplex", "Pellicia najoides", "Megalaria melaloma", "Megalaria melanopotamica", "Megalaria melanotropa", "Pellicia tonga", "Pellicia trax", "Megalaria obludens", "Megalaria ochraceonigra", "Megalaria pannosa", "Megalaria phaeolomiza", "Stenandrium dulce", "Megalaria pulverea", "Megalaria semipallida", "Bolla boliviensis", "Megalaria spodophana", "Megalaria subcarnea", "Megalaria sublivens", "Megalaria subtasmanica", "Staphylus vulgata", "Megalaria trachonoides", "Staphylus sambo", "Megalaria variegata", "Staphylus perforata", "Strobilanthes dyeriana", "Staphylus tyro", "Ceratomia sonorensis", "Ceratomia undulosa", "Cocytius antaeus", "Cocytius duponchel", "Dolba hyloeus", "Dolbogene hartwegii", "Isoparce cupressi", "Lapara bombycoides", "Lapara coniferarum", "Lapara phaeobrachycerous", "Manduca albiplaga", "Manduca florestan", "Manduca jasminearum", "Manduca muscosa", "Manduca occulta", "Manduca quinquemaculata", "Manduca rustica", "Manduca sexta", "Neococytius cluentius", "Paratrea plebeja", "Sagenosoma elsa", "Agnotecous tapinopus", "Agnotecous albifrons", "Agnotecous obscurus", "Agnotecous robustus", "Agnotecous yahoue", "Agnotecous novaecaledoniae", "Scopodes arfakensis", "Psalmopoeus pulcher", "Zuphium sedlaceki", "Trigonothops rufescens", "Dettopsomyia alba", "Dettopsomyia woodruffi", "Justinia gertschi", "Justinia gava", "Justinia septa", "Justinia maculata", "Justinia papaea", "Justinia kora", "Justinia justinianus", "Justinia justinianus justinianus", "Justinia justinianus hyperythrus", "Justinia justinianus cappa", "Justinia justinianus dappa", "Justinia phaetusa", "Justinia phaetusa phaetusa", "Justinia phaetusa norda", "Barclaya kunstleri", "Pompeius amblyspila", "Barclaya longifolia", "Eutocus arabupuana", "Sphinx maurorum", "Sphinx morio", "Nymphaea subg.", "Celothelium aciculiferum", "Celothelium agminellum", "Celothelium buxi", "Celothelium cinchonarum", "Celothelium dominicanum", "Celothelium ischnobelum", "Celothelium leprieurii", "Celothelium lutescens", "Celothelium nudum", "Celothelium socialis", "Celothelium stenobelum", "Filchneria mongolica", "Apoxyptilus anthites", "Pseudoxyptilus secutor", "Podaena aotea", "Podaena hauturu", "Podaena mariae", "Podaena moanaiti", "Hadrurus arizonensis", "Acronicta naxi", "Craniophora draudti", "Stenoloba albibasis", "Stenoloba ansari", "Stenoloba benjamini", "Stenoloba dentilinea", "Stenoloba futioides", "Stenoloba javensis", "Stenoloba matovi", "Stenoloba mossy", "Stenoloba pinratanai", "Stenoloba ronkayi", "Stenoloba sacculata", "Stenoloba siamensis", "Stenoloba viridibrunnea", "Stenoloba wolfgangi", "Alasia alpina", "Paragabara curvicornuta", "Paragona nemorata", "Adenaria floribunda", "Limnoxenus olmoi", "Limnoxenus kauaiensis", "Limnoxenus namolokama", "Limnoxenus oahuensis", "Limnoxenus punctatostriatus", "Limnoxenus waialeale", "Limnoxenus zealandicus", "Megalastrum macrotheca", "Onthophagus streltsovi", "Onthophagus nampatensis", "Megalastrum mexicanum", "Megalastrum palmense", "Megalastrum pulverulentum", "Telmatochromis bifrenatus", "Telmatochromis brachygnathus", "Atissa suturalis", "Eleleides chloris", "Eleleides liroceras", "Lobidion punctatissimum", "Deltorhinum armatum", "Deltorhinum bilobatum", "Deltorhinum guyanensis", "Deltorhinum kempffmercadoi", "Deltorhinum robustum", "Deltorhinum vazdemelloi", "Sogana floreni", "Acentrella charadra", "Acentrella glareosa", "Wolframmeyia imperialis", "Kroonia murphyi", "Kroonia natalica", "Kroonia adamauensis", "Kroonia fumealis", "Kroonia carteri", "Kroonia politzari", "Kroonia dallastai", "Kroonia heikeae", "Kroonia honeyi", "Dasypolia proverai", "Dasypolia diva", "Dasypolia diva diva", "Dasypolia diva fabienneae", "Ulotrichopus eugeniae", "Aethalopteryx diksami", "Biwadrilus bathybates", "Nymphaea \u00d7 berolina", "Criodrilus ghaniae", "Criodrilus lacuum", "Tischeria kuehnei", "Coptotriche kenyensis", "Scrobipalpomima relicta", "Scrobipalpomima anonyma", "Scrobipalpomima indifferens", "Scrobipalpomima patagoniae", "Scrobipalpomima triangulignathos", "Scrobipalpomima questionaria", "Scrobitasta varians", "Scrobipalpoides obscurus", "Eurysacca quinoae", "Scrobipalpula psilella", "Scrobipalpula albolineata", "Camelina microcarpa", "Chionosphaera apobasidialis", "Chionosphaera coppinsii", "Chionosphaera cuniculicola", "Chionosphaera erythrinae", "Chionosphaera lichenicola", "Chionosphaera phylaciicola", "Cistus subg.", "Cistus subg.", "Cistus sect.", "Barclaya motleyi", "Cantha roraimae", "Barclaya rotundifolia", "Pyrrhopyge tatei", "Pachyneuria duidae", "Thespieus duidensis", "Phocides oreides", "Phocides oreides oreides", "Phocides oreides colombiana", "Phocides metrodorus", "Phocides metrodorus metrodorus", "Phocides metrodorus metron", "Phocides metrodorus nigrescens", "Clito bibulus", "Carlemannia griffithii", "Silvianthus bracteatus", "Teuthidodrilus samae", "Thespieus tihoneta", "Thespieus tihoneta tihoneta", "Thespieus tihoneta pampa", "Thespieus tihoneta ovallei", "Chalcone santarus", "Tirynthoides lotana", "Tirynthoides virilis", "Megalastrum heydei", "Megalastrum intermedium", "Megalastrum longiglandulosum", "Megalastrum longipilosum", "Megalastrum lunense", "Ceratomia amyntor", "Ceratomia catalpae", "Ceratomia hageni", "Cistus \u00d7 cyprius", "Cistus ladanifer subsp. ladanifer", "Onychoteuthis horstkottei", "Callimachus youngorum", "Chrysothrix chrysophthalma", "Dohrniphora cornuta", "Megaporus feryi", "Necterosoma theonathani", "Necterosoma schoelleri", "Necterosoma novaecaledoniae", "Sloanoglymmius planatus", "Proxylastodoris kuscheli", "Spiniphora bergenstammii", "Corynoptera alneti", "Corynoptera ninae", "Corynoptera serotina", "Corynoptera redunca", "Corynoptera curvapex", "Corynoptera exerta", "Corynoptera micula", "Corynoptera uncinula", "Corynoptera iberica", "Corynoptera truncatula", "Corynoptera vulcani", "Corynoptera plusiochaeta", "Cercidospora macrospora", "Cercidospora parva", "Cercidospora punctillata", "Cercidospora soror", "Cercidospora stereocaulorum", "Cercidospora verrucosaria", "Aeschynanthus parvifolius", "Cercidospora xanthoriae", "Corylus colchica", "Subpelignus hortobagyensis", "Streptocarpus rexii", "Streptocarpus saxorum", "Streptocarpus \u00d7 hybridus", "Megalastrum reductum", "Megalastrum sparsipilosum", "Enochrus nigropiceus", "Enochrus esuriens", "Enochrus malabarensis", "Megalastrum squamosum", "Megalastrum subincisum", "Sinningia canescens", "Sinningia leucotricha", "Zherikhinina alastos", "Trichocera villosa", "Protanyderus invalidus", "Protanyderus savtchenkoi", "Protanyderus nebulosus", "Protanyderus mesozoicus", "Protanyderus senilis", "Protanyderus vetus", "Protanyderus vulcanium", "Dicranomyia chathamensis", "Oxalis obtriangulata", "Cetradonia linearis", "Scrobipalpomima neuquenensis", "Scrobipalpomima excellens", "Scrobipalpomima grisescens", "Scrobipalpomima schematica", "Scrobipalpomima karsholti", "Scrobipalpomima patens", "Scrobipalpomima obsoleta", "Corynoptera primoriensis", "Corynoptera aequispina", "Corynoptera lobata", "Corynoptera condyloma", "Corynoptera pacifica", "Corynoptera decepta", "Corynoptera tarda", "Corynoptera distenta", "Corynoptera phili", "Corynoptera digemina", "Corynoptera subclinochaeta", "Corynoptera stellaris", "Corynoptera tumidula", "Corynoptera adustula", "Corynoptera trichistylis", "Corynoptera sinedens", "Corynoptera fimbriata", "Corynoptera sphaerula", "Corynoptera dioon", "Corynoptera spicigera", "Corynoptera andalusica", "Corynoptera gemellata", "Corynoptera angustior", "Corynoptera patula", "Corynoptera controversa", "Corynoptera collicola", "Corynoptera paracantha", "Corynoptera anodon", "Corynoptera romana", "Corynoptera spiciceps", "Corynoptera inclinata", "Corynoptera badia", "Corynoptera flava", "Corynoptera minax", "Cistus ladanifer subsp. mauritianus", "Cistus ladanifer subsp. sulcatus", "Scrobipalpula hastata", "Scrobipalpula latisaccula", "Scrobipalpula transiens", "Scrobipalpula patagonica", "Scrobipalpula atra", "Scrobipalpula pallens", "Scrobipalpula radiata", "Scrobipalpula latiuncula", "Scrobipalpula flava", "Scrobipalpula falcata", "Scrobipalpula megaloander", "Scrobipalpula tenera", "Scrobipalpula subtenera", "Scrobipalpula omicron", "Scrobipalpula rosariensis", "Scrobipalpula keiferioides", "Scrobipalpula eurysaccomima", "Scrobipalpula agnathos", "Scrobipalpulopsis stirodes", "Scrobipalpulopsis praeses", "Scrobipalpulopsis fallax", "Scrobipalpulopsis fallacoides", "Scrobipalpulopsis simulatrix", "Scrobipalpuloides inapparens", "Scrobipalpuloides congruens", "Scrobipalpuloides habitans", "Scrobipalpuloides absoluta", "Chrismofulvea dialyta", "Chrismofulvea omalia", "Chrismofulvea pinastri", "Chrismofulvea rubifaciens", "Cistus sect.", "Salvia arizonica", "Salvia longispicata", "Salvia nipponica", "Salvia sonomensis", "Salvia subincisa", "Clathroporina isidiifera", "Clathroporina japonica", "Clathroporina mastoidea", "Clathroporina subpungens", "Paramunida mozambica", "Paramunida parvispina", "Paramunida poorei", "Paramunida spica", "Paramunida tenera", "Callicarpa acuminata", "Clerodendrum coulteri", "Poliocephala microabdomina", "Scaptomyza graminum", "Atrax sutherlandi", "Atrax yorkmainorum", "Clinopodium ashei", "Clinopodium coccineum", "Clinopodium dentatum", "Clinopodium menthifolium", "Clinopodium nepeta", "Solivagus alpha", "Dichopelmus ibapitanga", "Callulina hanseni", "Callulina kanga", "Davisella spondias", "Discretitheca nepalensis", "Tabaroa caatingicola", "Eurysolen gracilis", "Moldenhawera intermedia", "Galeopsis speciosa", "Hudsonia tomentosa", "Callisto multimaculata", "Caloptilia aceris", "Dacampia caloplacicola", "Caloptilia acericola", "Caloptilia heringi", "Caloptilia hidakensis", "Dacampia cladoniicola", "Caloptilia wakayamensis", "Caloptilia semifasciella", "Dacampia engeliana", "Dacampia hookeri", "Caloptilia kurokoi", "Caloptilia monticola", "Caloptilia gloriosa", "Caloptilia alni", "Caloptilia pulverea", "Cistus \u00d7 dubius", "Dacampia lecaniae", "Caloptilia cecidophora", "Caloptilia solaris", "Caloptilia heliciae", "Dacampia leptogiicola", "Caloptilia magnoliae", "Caloptilia schisandrae", "Dacampia muralicola", "Caloptilia kadsurae", "Clathroporina tetracerae", "Parphorus jaguar", "Criniferum viridans", "Thoon opus", "Saturnus harpe", "Ostrya knowltonii", "Coenogonium missouriense", "Corynoptera undulosa", "Corynoptera umbrata", "Corynoptera caesula", "Corynoptera latibula", "Dohrniphora acanthiventris", "Dohrniphora acarinata", "Dohrniphora acuta", "Dohrniphora amacayavia", "Dohrniphora anatona", "Dohrniphora anisoseta", "Dohrniphora aprosmicta", "Dohrniphora ardisia", "Dohrniphora atrilinea", "Dohrniphora auricula", "Dohrniphora avispasensis", "Dohrniphora basilacuna", "Dohrniphora berezovskiyi", "Dohrniphora bicavatura", "Dohrniphora brevisimplex", "Dohrniphora bugenitalis", "Dohrniphora caguanensis", "Dohrniphora carrilloensis", "Dohrniphora claviseta", "Dohrniphora commina", "Dohrniphora conspicua", "Dohrniphora zumbadoi", "Dohrniphora uniplicata", "Dohrniphora tayronensis", "Dohrniphora taura", "Dohrniphora suppedita", "Dohrniphora subacuta", "Dohrniphora statheusa", "Dohrniphora spinulicava", "Dohrniphora sinuicoxa", "Dohrniphora sinuicarina", "Dohrniphora selenis", "Dohrniphora segregata", "Cistus \u00d7 florentinus", "Dohrniphora continua", "Dohrniphora crinitiauris", "Dohrniphora cunarensis", "Dohrniphora curvilinea", "Dohrniphora denticotyla", "Dohrniphora dentiloba", "Dohrniphora dimorpha", "Dohrniphora distantia", "Dohrniphora erotesis", "Dohrniphora fernandezi", "Dohrniphora flammidorsa", "Dohrniphora flexicarina", "Dohrniphora fuliginata", "Dohrniphora fulleri", "Dohrniphora fundula", "Dohrniphora hauseri", "Dohrniphora heliconiae", "Dohrniphora hexaseta", "Dohrniphora jalizanoi", "Dohrniphora kerri", "Dohrniphora lafondaensis", "Dohrniphora lamasi", "Dohrniphora longinoi", "Dohrniphora longisetosa", "Dohrniphora lovejoyi", "Dohrniphora luteidorsata", "Dohrniphora matamatae", "Dohrniphora megasoma", "Dohrniphora megobscena", "Dohrniphora minervoidea", "Dohrniphora minilobata", "Dohrniphora sarriae", "Dohrniphora sanmartinensis", "Dohrniphora rotundiloba", "Dohrniphora rinconensis", "Dohrniphora mixtura", "Dohrniphora nakayamai", "Dohrniphora nebulisilvensis", "Dohrniphora nigricarina", "Dohrniphora notoplicata", "Dohrniphora ocellifrons", "Dohrniphora orthogramma", "Dohrniphora ospinae", "Dohrniphora oyapockensis", "Dohrniphora palenquensis", "Dohrniphora parapirirostris", "Dohrniphora parvicarinata", "Dohrniphora parvicava", "Dohrniphora parvilobata", "Dohrniphora parvipala", "Dohrniphora quasicalvaria", "Dohrniphora pellicula", "Dohrniphora phyzela", "Dohrniphora porrasae", "Dohrniphora preacuta", "Xenomerus armatus", "Xenomerus aureipes", "Xenomerus bickeli", "Xenomerus comatus", "Xenomerus feehani", "Xenomerus gloriosus", "Xenomerus guinensis", "Xenomerus halteratus", "Xenomerus hilleri", "Xenomerus kalocsai", "Xenomerus malawi", "Xenomerus melikai", "Xenomerus melleus", "Xenomerus noyesi", "Xenomerus ochraceus", "Xenomerus orientalis", "Xenomerus yamagishii", "Xenomerus watshami", "Xenomerus vanharteni", "Xenomerus spinosus", "Xenomerus scutellatus", "Xenomerus rugifrons", "Xenomerus parorinetalis", "Xenomerus varipes", "Xenomerus laticeps", "Drosophila linearidentata", "Drosophila neobusckii", "Drosophila confertidentata", "Drosophila busckii", "Drosophila simulans", "Drosophila pseudoobscura", "Drosophila funebris", "Drosophila hydei", "Drosophila immigrans", "Drosophila repleta", "Synodus amaranthus", "Cistus \u00d7 hybridus", "Cistus \u00d7 hybridus nothosubsp. hybridus", "Cistus \u00d7 hybridus nothosubsp. grandiflorus", "Scaptodrosophila aclinata", "Cistus subg.", "Spirographa ciliata", "Cistus clusii subsp. multiflorus", "Opacifrons maculifrons", "Alnus pendula", "Alnus mandschurica", "Crocynia cupressicola", "Crocynia gossypina", "Crocynia hakodatana", "Alnus maximowiczii", "Crocynia japonica", "Crocynia leucomelaena", "Crocynia nipponica", "Crocynia pauper", "Crocynia pyxinoides", "Crocynia reticulata", "Crocynia rosella", "Crocynia yesonensis", "Narcosius steinhauseri", "Narcosius pseudomura", "Narcosius odysseus", "Musa barioensis", "Musa bauensis", "Musa beccarii", "Musa boman", "Musa borneensis", "Musa bukensis", "Musa campestris", "Musa celebica", "Musa chunii", "Musa fitzalanii", "Musa gracilis", "Musa griersonii", "Musa hirta", "Musa jackeyi", "Musa johnsii", "Musa lanceolata", "Musa lawitiensis", "Musa lokok", "Musa lolodensis", "Musa lutea", "Musa maclayi", "Taenarthrus aenigmaticus", "Taenarthrus aquatilis", "Taenarthrus curvispinatus", "Taenarthrus gelidimontanus", "Musa paracoccinea", "Taenarthrus latispinatus", "Taenarthrus lissus", "Taenarthrus minor", "Taenarthrus obliteratus", "Taenarthrus pakinius", "Taenarthrus pluriciliatus", "Taenarthrus ruaumokoi", "Loxomerus katote", "Cistus \u00d7 obtusifolius", "Cistus populifolius subsp. populifolius", "Cistus populifolius subsp. major", "Acronicta lutea", "Dibaeis absoluta", "Dibaeis arcuata", "Caloptilia illicii", "Dacampia neglecta", "Dacampia peltigericola", "Dacampia rhizocarpicola", "Dacampia rubra", "Dacampia rufescentis", "Dacampia xanthomendozae", "Phyllonorycter tenebriosa", "Phyllonorycter jozanae", "Phyllonorycter yakusimensis", "Phyllonorycter laciniatae", "Phyllonorycter bifurcata", "Phyllonorycter stephanandrae", "Phyllonorycter pulchra", "Phyllonorycter aino", "Phyllonorycter watanabei", "Phyllonorycter sorbicola", "Phyllonorycter uchidai", "Phyllonorycter viciae", "Phyllonorycter hikomonticola", "Thyreophora cynophila", "Hyloconis puerariae", "Hyloconis desmodii", "Hyloconis lespedezae", "Hyloconis wisteriae", "Phyllonorycter dorinda", "Phyllonorycter jezoniella", "Protoparmeliopsis muralis", "Phyllonorycter kurokoi", "Phyllonorycter orientalis", "Cameraria niphonica", "Phyllonorycter lyoniae", "Phyllonorycter viburni", "Phyllonorycter hikosanensis", "Phyllonorycter turugisana", "Phyllonorycter gigas", "Alnus hirsuta", "Alnus cremastogyne", "Colocasia suzukii", "Meryta sinclairii", "Agama caudospinosa", "Oochoristica noronhae", "Agama caudospinosa spawlsi", "Parartemia bicorna", "Parartemia boomeranga", "Parartemia laticaudata", "Parartemia mouritzi", "Parartemia veronicae", "Parartemia purpurea", "Parartemia cylindrifera", "Parartemia longicaudata", "Tellina rickettsi", "Tellina sadeghianae", "Dendriscocaulon dendriothamnodes", "Tellina steinbecki", "Ctenobrycon oliverai", "Dendriscocaulon intricatulum", "Dendriscocaulon umhausense", "Megaselia scalaris", "Megaselia spiracularis", "Microterys nietneri", "Microterys haroldi", "Telmatochromis brichardi", "Telmatochromis burgeoni", "Telmatochromis dhonti", "Musa aurantiaca", "Musa azizii", "Musa banksii", "Zygoglypta iwatai", "Zygoglypta macrofossa", "Zygoglypta uchidai", "Zygoglypta watanabei", "Ajuga macrosperma", "Ajuga tenorei", "Allium altissimum", "Phyllonorycter pastorella", "Phyllonorycter salictella", "Phyllonorycter salicicolella", "Phyllonorycter styracis", "Phyllonorycter juglandis", "Phyllonorycter pterocaryae", "Phyllonorycter issikii", "Phyllonorycter strigulatella", "Cryptolechia carneolutea", "Phyllonorycter maculata", "Phyllonorycter hancola", "Cryptolechia carneoluteola", "Cryptolechia geoicoides", "Phyllonorycter longispinata", "Cryptolechia myriadella", "Cryptolechia nana", "Cryptolechia plurilocularis", "Phyllonorycter takagii", "Phyllonorycter carpini", "Phyllonorycter ostryae", "Phyllonorycter hikosana", "Cryptolechia saxatilis", "Phyllonorycter ermani", "Cryptolechia stellaris", "Phyllonorycter japonica", "Cryptolechia subincolorella", "Phyllonorycter dakekanbae", "Cryptolechia versicolor", "Pseudodictamnus africanus", "Cryptolechia caudata", "Phyllonorycter fagifolia", "Phyllonorycter nipponicella", "Phyllonorycter acutissimae", "Phyllonorycter nigristella", "Phyllonorycter kamijoi", "Phyllonorycter pseudolautella", "Phyllonorycter pygmaea", "Phyllonorycter rostrispinosa", "Phyllonorycter cretata", "Phyllonorycter mongolicae", "Phyllonorycter leucocorona", "Brazoria truncata", "Paramunida achernar", "Paramunida antares", "Paramunida ascella", "Paramunida crinita", "Paramunida marionis", "Paramunida microrhina", "Dibaeis birmensis", "Dibaeis columbiana", "Dibaeis cretacea", "Dibaeis fungoides", "Dibaeis globulifera", "Dibaeis holstii", "Dibaeis inaequalis", "Musa salaccensis", "Dibaeis pulogensis", "Musa tuberculata", "Dibaeis sorediata", "Dibaeis stipitata", "Dibaeis umbrelliformis", "Dibaeis weberi", "Musa nagensium", "Musa siamensis", "Musa zaifui", "Musa monticola", "Musa muluensis", "Musa ochracea", "Musa peekelii", "Musa rosea", "Musa rubinea", "Musa sakaiana", "Rapala nissa", "Musa schizocarpa", "Musa tonkinensis", "Musa troglodytarum", "Musa violascens", "Musa viridis", "Musa voonii", "Musa yunnanensis", "Spirographa herteliana", "Spirographa intermedia", "Spirographa lichenicola", "Spirographa limaciformis", "Spirographa pittii", "Spirographa pyramidalis", "Spirographa triangularis", "Carpinus \u00d7 schuschaensis", "Cratiria aggrediens", "Cratiria americana", "Cratiria amphorea", "Cratiria chloraceus", "Cratiria dissimilis", "Cratiria exalbida", "Cratiria lauricassiae", "Cratiria megaobscurior", "Cratiria melanochlora", "Cratiria obscurior", "Cratiria paramoensis", "Cratiria rutilans", "Cratiria rutilantoides", "Cratiria saltensis", "Cratiria sorediata", "Cresponea premnea var. premnea", "Cresponea premnea var. saxicola", "Tetramorium bendai", "Tetramorium boltoni", "Tetramorium intermedium", "Tetramorium kakamega", "Tetramorium mkomazi", "Tetramorium renae", "Tetramorium philippwagneri", "Tetramorium robertsoni", "Tetramorium rubrum", "Tetramorium susannae", "Tetramorium tanaense", "Tetramorium trirugosum", "Tetramorium snellingi", "Scaptodrosophila enigma", "Scaptodrosophila kirki", "Scaptodrosophila neozelandica", "Alnus firma", "Cistus clusii subsp. clusii", "Scaptomyza n.sp. 1", "Scaptomyza n.sp. 2", "Betula dahurica", "Dictyonema glabratum", "Dictyonema interruptum", "Dictyonema irpicinum", "Dictyonema ligulatum", "Dictyonema moorei", "Dictyonema sericeum", "Betula delavayi", "Telmatochromis temporalis", "Telmatochromis vittatus", "Genlisea sanariapoana", "Cryptostigma chacoensis", "Cryptostigma gullanae", "Cryptostigma jonmartini", "Cryptostigma longinoi", "Cryptostigma melissophilum", "Cryptostigma mexicanum", "Cryptostigma philwardi", "Cryptostigma rhizophilum", "Cryptostigma serratum", "Cryptostigma tuberculosum", "Branstettocoris parvulus", "Branstettocoris pinguis", "Pentas sect.", "Pentas sect.", "Pentas sect.", "Pentas sect.", "Pentas lanceolata var. lanceolata", "Macrostylis belyaevi", "Macrostylis tumulosa", "Macrostylis galatheae", "Macrostylis hadalis", "Artona cuneonotata", "Artona angusta", "Artona intermediana", "Artona elegantior", "Artona gracilis", "Artona gracilis gracilis", "Dinemasporium strigosum", "Artona taiwana", "Dinemasporium longicapillatum", "Artona martini", "Artona kimurai", "Artona parilis", "Carpias algicola", "Diplolaeviopsis ranula", "Didymellopsis collematum", "Didymellopsis latitans", "Didymellopsis perigena", "Didymellopsis pulposi", "Pinguicula lutea", "Proboscidea althaeifolia", "Chionanthus holdridgei", "Sorbus caucasica", "Sorbus kusnetzovii", "Sorbus migarica", "Sorbus luristanica", "Sorbus takhtajanii", "Sorbus tamamschjanae", "Sorbus caucasica var. yaltirikii", "Artona funeralis", "Artona uniformis", "Artona octomaculata", "Anacharis zealandica", "Dirina calcicola", "Trachypepla euryleucota", "Trachypepla amphileuca", "Trachypepla anastrella", "Trachypepla aspidephora", "Trachypepla galaxias", "Trachypepla spartodeta", "Trachypepla protochlora", "Trachypepla photinella", "Trachypepla lichenodes", "Trachypepla leucoplanetis", "Trachypepla hieropis", "Trachypepla ingenua", "Trachypepla importuna", "Trachypepla cyphonias", "Trachypepla angularis", "Trachypepla roseata", "Trachypepla semilauta", "Trachypepla nimbosa", "Trachypepla minuta", "Trachypepla festiva", "Trachypepla conspicuella", "Trachypepla contritella", "Tropheus moorii", "Tropheus annectens", "Tropheus brichardi", "Tropheus duboisi", "Haemopis sanguisuga", "Culicoides debilipalpis", "Turneriprocris dolens", "Mustelus canis", "Mustelus fasciatus", "Scaptomyza himalayana", "Scaptomyza pallida", "Zaropunis melanope", "Scaptomyza santacruzi", "Fraxinus chiisanensis", "Fraxinus hubeiensis", "Ethmia comitella", "Ethmia septempunctata", "Ethmia cirrhocnemia", "Blastobasis murcyae", "Blastobasis moffetti", "Blastobasis lososi", "Blastobasis christou", "Blastobasis orladelaneae", "Eiglera flavida", "Eiglera homalomorpha", "Cistus osbeckiifolius subsp. osbeckiifolius", "Cistus osbeckiifolius subsp. tomentosus", "Elixia flexella", "Cistus \u00d7 bornetianus", "Endococcus matzeri", "Cistus pouzolzii", "Cistus \u00d7 hetieri", "Cistus \u00d7 ledon", "Acalvolia americana", "Acalvolia squamata", "Cistus \u00d7 purpureus", "Cistus \u00d7 incanus", "Telema feilong", "Telema mayana", "Telema tenella", "Telema wunderlichi", "Telema moritzi", "Cistus heterophyllus subsp. heterophyllus", "Endohyalina brandii", "Endohyalina diederichii", "Endohyalina ericina", "Amblygobius tekomaji", "Usofila pacifica", "Apneumonella jacobsoni", "Apneumonella oculata", "Jocquella leopoldi", "Jocquella boisai", "Telemofila samosirensis", "Telemofila pecki", "Seychellia cameroonensis", "Seychellia lodoiceae", "Seychellia wiljoi", "Fraxinus malacophylla", "Eusarcus acrophthalmus", "Eusarcus alpinus", "Eusarcus caparaoensis", "Eusarcus cavernicola", "Eusarcus didactylus", "Eusarcus garibaldiae", "Eusarcus geometricus", "Eusarcus manero", "Eusarcus matogrossensis", "Eusarcus mirabilis", "Eusarcus sergipanus", "Eusarcus tripectinatus", "Eusarcus metapucrolia", "Greenidea psidii", "Cyrtonion ghanense", "Trachyopella lineafrons", "Gastropacha eberti", "Macrostylis obscurus", "Pedesta hyrie", "Pedesta latris", "Pedesta bivitta", "Pedesta zinnia", "Pedesta gupta", "Pedesta kuata", "Pedesta fusca", "Thoressa justini", "Thoressa cerata", "Thoressa decorata", "Arhopala argentea", "Arhopala argentea argentea", "Arhopala argentea boordi", "Arhopala argentea verityae", "Arhopala azenia", "Arhopala azenia azenia", "Arhopala azenia patsyae", "Distopyrenis composita", "Distopyrenis japonica", "Distopyrenis quercicola", "Distopyrenis submuriformis", "Distopyrenis violacea", "Macroglossum integrifasciatum", "Eupanacra busiris schuetzi", "Nyctemera coleta", "Nyctemera latistriga", "Fraxinus apertisquamifera", "Fraxinus baroniana", "Fraxinus dubia", "Cangoderces cameroonensis", "Cangoderces koupeensis", "Cangoderces lewisi", "Fraxinus platypoda", "Fraxinus purpusii", "Fraxinus rufescens", "Fraxinus trifoliolata", "Fraxinus albicans", "Fraxinus dimorpha", "Fraxinus ferruginea", "Fraxinus odontocalyx", "Usofila flava", "Usofila gracilis", "Usofila oregona", "Endohyalina ericina var. ericina", "Endohyalina ericina var. boomii", "Synodus binotatus", "Synodus capricornis", "Synodus dermatogenys", "Endohyalina insularis", "Synodus doaki", "Synodus englemani", "Dendrophidion atlantica", "Microcaecilia iyob", "Ecnomiohyla sukia", "Daphnia hrbaceki", "Anolis osa", "Gnathia grutterae", "Rhopalovalva rhombea", "Rhopalovalva triangulata", "Endohyalina interjecta", "Endohyalina kalbii", "Delias laknekei", "Insigniocastnia taisae", "Eopyrenula avellanae", "Eopyrenula grandicula", "Eopyrenula intermedia", "Eopyrenula leucoplaca", "Eopyrenula parvispora", "Pellicia alta", "Eopyrenula septemseptata", "Tosta saltarana", "Jasminum \u00d7 stephanense", "Joanna clara", "Neoxeniades anchicayensis", "Epaphroconidia hawksworthii", "Ephebe mamillosa", "Carystus ploetzi", "Pseudolycaena marsyas", "Pseudolycaena nellyae", "Pseudolycaena cybele", "Pseudolycaena damo", "Pseudolycaena dorcas", "Palpita cincinnatalis", "Epicladonia lapponica", "Epicladonia sandstedei", "Palpita freemanalis", "Epicladonia simplex", "Palpita aenescentalis", "Epicladonia stenospora", "Crucianella maritima", "Crucianella macrostachya", "Serissa japonica", "Crematogaster mahery", "Crematogaster malala", "Crematogaster sabatra", "Crematogaster sisa", "Foenatopus crispus", "Foenatopus hesperophagus", "Foenatopus prousti", "Brueelia cantans", "Brueelia senegala", "Brueelia fasciata", "Ophryotrocha costlowi", "Ophryotrocha japonica", "Ophryotrocha macrovifera", "Ophryotrocha permanae", "Ophryotrocha robusta", "Ophryotrocha rubra", "Ophryotrocha vellae", "Chevalia anomala", "Chevalia caetes", "Chevalia convexa", "Chevalia marajoara", "Chevalia setosa", "Chevalia thomasi", "Chevalia aviculae", "Chevalia carpenteri", "Chevalia hirsuta", "Chevalia mexicana", "Chevalia pacifica", "Chevalia inaequalis", "Eulimnadia azisi", "Leptestheria dumonti", "Brachycybe disticha", "Yamasinaium latum", "Aloencyrtus alox", "Aloencyrtus habrus", "Aloencyrtus hardii", "Aloencyrtus johani", "Aloencyrtus lindae", "Aloencyrtus vivo", "Paruzelia rawette", "Procystiphora phyllostachys", "Eumecurus skofitschii", "Ihlegramma ihlei", "Anambulyx elwesi", "Anambulyx elwesi elwesi", "Anambulyx elwesi kitchingi", "Ypthima kedarnathensis", "Peganum nigellastrum", "Larrea tridentata", "Atractocarpus hirtus", "Caprine arthritis encephalitis virus", "Atractocarpus fitzalanii", "Catunaregam obovata", "Catodryobiolus antipodus", "Eosentomon spatulatum", "Eosentomon yambaru", "Osientomon japonicum", "Pseudanisentomon donan", "Pseudanisentomon parvum", "Centranthera grandiflora", "Christisonia thwaitesii", "Conopholis alpina", "Abantiadinus nodipennis", "Abantiadinus pusillus", "Abantiadinus gratulus", "Aganeuma rufula", "Erioderma sorediatum", "Erioderma tomentosum", "Erioderma leylandii", "Rogiera cordata", "Delias bornemanni", "Delias caroli", "Delias caroli caroli", "Delias caroli wandammenensae", "Delias castaneus", "Delias nais", "Delias nais nais", "Delias nais rubrina", "Delias nais aegle", "Delias nais maruyamai", "Delias nais odilei", "Delias nais keysseri", "Delias pratti", "Delias zebra", "Delias zebra zebra", "Delias zebra takanamii", "Delias kristianiae", "Hypolimnas pithoeka", "Hypolimnas pithoeka pithoeka", "Hypolimnas pithoeka imposter", "Hypolimnas pithoeka bradleyi", "Hypolimnas pithoeka ferruginea", "Hypolimnas pithoeka leveri", "Hypolimnas pithoeka scopas", "Colias thisoa thisoa", "Colias thisoa irtyschensis", "Colias thisoa strandiana", "Colias thisoa shakuhensis", "Colias thisoa aeolides", "Colias thisoa urumtsiensis", "Colias thisoa nikolaevi", "Colias hyale", "Colias hyale hyale", "Colias hyale alta", "Colias hyale palidis", "Colias hyale irkutskana", "Colias hyale novasinensis", "Ypthima albipuncta", "Everniicola flexispora", "Aeginetia sessilis", "Synodus evermanni", "Synodus falcatus", "Synodus fasciapelvicus", "Synodus fuscus", "Zeros maculosus", "Zeros orientalis", "Hydrellia mareeba", "Cyphon palustris", "Cyphon lithophilus", "Epigloea bactrospora", "Epigloea biciliata", "Epigloea filifera", "Epigloea grummannii", "Epigloea intermedia", "Epigloea pleiospora", "Epigloea renitens", "Epigloea soleiformis", "Epigloea sparrii", "Epigloea tortuosa", "Epigloea urosperma", "Epigloea medioincrassata", "Neobartsia thiantha", "Cecropia peltata", "Boschniakia hookeri", "Epilichen glauconigellus", "Epilichen scabrosus", "Epilichen stellatus", "Buchnera americana", "Buchnera floridana", "Buchnera longifolia", "Osbornellus afflexus", "Osbornellus aielloae", "Osbornellus bartletti", "Osbornellus bifurcatus", "Osbornellus bitelum", "Osbornellus chichiziensis", "Osbornellus coopertus", "Osbornellus corcovadiensis", "Osbornellus costaricensis", "Osbornellus cruxatus", "Osbornellus diamantinus", "Osbornellus divaricatus", "Osbornellus eberhardi", "Osbornellus emmeni", "Osbornellus expositus", "Osbornellus freytagi", "Osbornellus fuentesi", "Osbornellus hansoni", "Osbornellus ichnoscapitatus", "Osbornellus inbio", "Osbornellus lanceolatus", "Osbornellus latus", "Osbornellus lewisi", "Osbornellus ligatus", "Osbornellus linetteae", "Osbornellus maesi", "Osbornellus nielsoni", "Osbornellus obamai", "Osbornellus pseudopuniceus", "Osbornellus quirosae", "Osbornellus sineprocessus", "Osbornellus springerae", "Osbornellus thompsoni", "Osbornellus transversus", "Osbornellus trifurcatus", "Osbornellus trinax", "Osbornellus villamillsiensis", "Paederia subg.", "Paederia subg.", "Paederia foetida", "Syringa \u00d7 laciniata", "Syringa \u00d7 hyacinthiflora", "Syringa \u00d7 henryi", "Syringa \u00d7 josiflexa", "Syringa \u00d7 nanceiana", "Syringa \u00d7 swegiflexa", "Syringa \u00d7 diversifolia", "Syringa + correlata", "Oleandra neriiformis", "Yara dybasi", "Yara vanini", "Aeginetia mirabilis", "Lavandula maroccana", "Lavandula minutolii", "Lavandula pinnata", "Lavandula pubescens", "Lavandula rejdalii", "Lavandula rotundifolia", "Lavandula saharica", "Lavandula tenuisecta", "Lavandula nimmoi", "Monotoma longicollis", "Lavandula aristibracteata", "Lavandula dhofarensis", "Lavandula galgalloensis", "Lavandula macra", "Lavandula qishnensis", "Lavandula samhanensis", "Lavandula setifera", "Lavandula somaliensis", "Lavandula subnuda", "Chicoreus ramosus", "Lavandula gibsonii", "Megalomyrmex adamsae", "Megalomyrmex mondaboroides", "Megalomyrmex nocarina", "Megalomyrmex reina", "Lavandula hasikensis", "Sugaentulus andrzeji", "Lavandula sublepidota", "Lavandula atriplicifolia", "Philaethria browni", "Philaethria neildi", "Philaethria romeroi", "Lavandula erythraeae", "Philaethria andrei orinocensis", "Philaethria neildi neildi", "Philaethria neildi tachiraensis", "Philaethria neildi winhardi", "Philaethria dido panamensis", "Philaethria ostara araguensis", "Philaethria ostara meridensis", "Philaethria pygmalion metaensis", "Fibrillithecis halei", "Fibrillithecis insignis", "Pleurotus ostreatus", "Fayodia leucophylla", "Fayodia striatula", "Hedeoma oblongifolia", "Leptomyrmex aitchisoni", "Leptomyrmex burwelli", "Leptomyrmex dolichoscapus", "Leptomyrmex garretti", "Leptomyrmex pilosus", "Leptomyrmex ramorniensis", "Leptomyrmex cnemidatus", "Hyptis emoryi", "Leptomyrmex darlingtoni", "Leptomyrmex erythrocephalus", "Leptomyrmex flavitarsus", "Leptomyrmex fragilis", "Leptomyrmex geniculatus", "Leptomyrmex melanoticus", "Leptomyrmex mjobergi", "Leptomyrmex niger", "Leptomyrmex nigriceps", "Leptomyrmex nigriventris", "Leptomyrmex pallens", "Leptomyrmex puberulus", "Leptomyrmex rothneyi", "Leptomyrmex ruficeps", "Leptomyrmex rufipes", "Leptomyrmex rufithorax", "Leptomyrmex tibialis", "Leptomyrmex unicolor", "Leptomyrmex varians", "Leptomyrmex wiburdi", "Leptomyrmex neotropicus", "Karomia speciosa", "Karomia tettensis", "Lavandula \u00d7 chaytoriae", "Lavandula pedunculata", "Lavandula viridis", "Lavandula \u00d7 cadevallii", "Lavandula \u00d7 limae", "Lavandula antineae", "Lavandula bramwellii", "Lavandula buchii", "Lavandula citriodora", "Lavandula coronopifolia", "Rothmannia manganjae", "Tropheus kasabae", "Tropheus polli", "Caribothyrus barbatus", "Neothyrus ana", "Diplothyrus schubarti", "Athrips zetterstedtiella", "Athrips pallida", "Athrips albicostella", "Athrips phoenaula", "Athrips latipalpella", "Athrips flavida", "Athrips hirtopalpa", "Athrips bruneosparsa", "Athrips ravidinigra", "Athrips meyi", "Athrips angustisaccula", "Athrips neograpta", "Athrips nigrinervosa", "Athrips dorsimaculata", "Speleosiro argasiformis", "Purcellia griswoldi", "Purcellia lawrencei", "Parapurcellia amatola", "Parapurcellia convexa", "Parapurcellia minuta", "Parapurcellia natalia", "Parapurcellia staregai", "Myrmecodia beccarii", "Myrmecodia tuberosa", "Exeiratus laqueorum", "Exeiratus turbotti", "Myrmecodia platytyrea", "Lethe europa", "Fissurina insculpta", "Lethe rohria", "Lethe drypetes", "Lethe daretis", "Lethe dynsate", "Lethe satyavati", "Lethe distans", "Lethe naga", "Lethe margaritae", "Lethe sadona", "Fissurina leuconephela", "Lehte serbonis", "Lethe serbonis", "Lethe scanda", "Lethe bhairava", "Fissurina subnitida", "Lethe visrava", "Lethe sidonis", "Lethe nicetella", "Lethe nicetas", "Lethe kabrua", "Lethe nosei", "Lethe sura", "Lethe baladeva", "Lethe atkinsonia", "Lethe ramadeva", "Lethe violaceopicta", "Lethe tristigmata", "Lethe armandina", "Lethe andersoni", "Lethe albolineata", "Lethe argentata", "Lethe nigrifascia", "Lehte baoshana", "Lethe baoshana", "Athrips mappigera", "Athrips albibasella", "Athrips profusa", "Athrips punctosa", "Athrips helicaula", "Athrips ptychophora", "Athrips cretulata", "Athrips irritans", "Athrips sisterina", "Athrips syncopaula", "Parapsectris tholaea", "Parapsectris griseoflavida", "Parapsectris savannae", "Parapsectris nigrifasciata", "Parapsectris curvisaccula", "Parapsectris modica", "Parapsectris violae", "Parapsectris ochrostigma", "Parapsectris konradi", "Parapsectris alfonsi", "Parapsectris feraxoides", "Parapsectris povolnyi", "Parapsectris fastidiosa", "Parapsectris carinata", "Parapsectris exstincta", "Parapsectris lacunosa", "Parapsectris ochrocosma", "Parapsectris ferax", "Parapsectris ferulata", "Parapsectris opaula", "Parapsectris buettikeri", "Parapsectris similis", "Parapsectris amseli", "Monarda clinopodioides", "Thiacidas dukei dukei", "Castilleja affinis", "Castilleja ambigua", "Castilleja angustifolia", "Castilleja applegatei", "Castilleja arvensis", "Castilleja attenuata", "Castilleja campestris", "Castilleja christii", "Castilleja chromosa", "Castilleja cinerea", "Castilleja coccinea", "Castilleja cusickii", "Castilleja elongata", "Castilleja exserta", "Castilleja fissifolia", "Castilleja flava", "Castilleja foliolosa", "Castilleja gleasonii", "Castilleja grisea", "Castilleja haydenii", "Castilleja hispida", "Castilleja indivisa", "Castilleja integra", "Castilleja kaibabensis", "Castilleja latifolia", "Castilleja levisecta", "Castilleja linariifolia", "Castilleja lineata", "Castilleja minor", "Castilleja mollis", "Castilleja oresbia", "Castilleja parviflora", "Angeldiazia weigendii", "Castilleja pilosa", "Castilleja pruinosa", "Castilleja pumila", "Castilleja purpurea", "Castilleja rhexiifolia", "Castilleja schizotricha", "Castilleja sessiliflora", "Castilleja tenuiflora", "Castilleja tenuis", "Castilleja thompsonii", "Castilleja unalaschcensis", "Eosentomon ateruii", "Eosentomon brachychaetum", "Eosentomon calvum", "Eosentomon dubium", "Eosentomon furunoi", "Eosentomon hiroshianum", "Eosentomon hitakami", "Eosentomon impar", "Eosentomon imperiale", "Eosentomon inconditum", "Eosentomon kantoense", "Eosentomon kubotai", "Eosentomon longispine", "Eosentomon mizushimai", "Eosentomon morei", "Eosentomon ornatum", "Eosentomon simulans", "Corbuliporina crepida", "Amastigia aviculifera", "Arachnopusia haywardi", "Aulopocella americana", "Cellaria subtropicalis", "Chaperia brasiliensis", "Conescharellina bocki", "Conescharellina cookae", "Hippomenella amaralae", "Malakosaria atlantica", "Melicerita brasiliensis", "Rhynchozoon coalitum", "Rogicka joannae", "Smittina migottoi", "Stephanollona angusta", "Stephanollona arborescens", "Turbicellepora winstonae", "Isoseculiflustra pinniformis", "Madapolystoma biritika", "Trichosanthes tricuspidata", "Hammenius ingii", "Abutilon indicum subsp. albescens", "Abutilon indicum subsp. indicum", "Origanum compactum", "Fuscidea scrupulosa", "Fuscidea subasbolodes", "Fuscidea submollis", "Fuscidea subrivulosa", "Fuscidea texana", "Fuscidea thomsonii", "Fuscidea verruciformis", "Fuscidea gothoburgensis", "Rothmannia octomera", "Lindothyrus elongatus", "Lindothyrus rubellus", "Haplothyrus hyatti", "Haplothyrus expolitissimus", "Synodus gibbsi", "Synodus hoshinonis", "Synodus indicus", "Pseudochactas ovchinnikovi", "Fuscidea recensa var. arcuatula", "Fuscidea recensa var. recensa", "Troglokhammouanus steineri", "Vietbocap canhi", "Pionenta ochreata", "Notidobiella amazoniana", "Notidobiella brasiliana", "Notidobiella ecuadorensis", "Hyponephele kirghisa", "Hyponephele kirghisa kirghisa", "Hyponephele kirghisa obscurata", "Hyponephele kirghisa pozhogini", "Melitaea kotshubeji", "Melitaea kotshubeji kotshubeji", "Melitaea kotshubeji bundeli", "Melitaea kotshubeji kugarti", "Melitaea kotshubeji pallidoptera", "Euphydryas iduna", "Euphydryas iduna iduna", "Euphydryas iduna putorana", "Euphydryas aurinia aurinia", "Euphydryas aurinia avis", "Fuscidea australis var. australis", "Fuscidea australis var. montana", "Neptis qianweiguoi", "Neptis lixinghei", "Neptis mahendra mahendra", "Neptis mahendra dulongensis", "Neptis antilope wuhaii", "Neptis cydippe yongfui", "Pantoporia bieti lixingguoi", "Fuscidea cyathoides var. japonica", "Fuscidea cyathoides var. sorediata", "Fuscidea cyathoides var. suborientalis", "Fuscidea cyathoides var. orientalis", "Electrolux addisoni", "Pelosia ramosula", "Pelosia ramosula ramosula", "Pelosia ramosula japonica", "Pelosia ramosula jezoensis", "Silene undulata", "Ostryopsis nobilis", "Globosphaeria jamesii", "Synodus janus", "Synodus kaianus", "Synodus lacertinus", "Acaricesa longipes", "Anisolabis seirokui", "Palpita kimaballi", "Palpita viettei", "Palpita persimilis", "Palpita trifurcata", "Palpita isoscelalis", "Palpita isoscelalis isoscelalis", "Palpita isoscelalis gourbeyrensis", "Palpita braziliensis", "Palpita travassosi", "Palpita jansei", "Palpita varii", "Neodiphthera joiceyi", "Glyphis atrofusca", "Monardella lanceolata", "Myllokunmingia fengjiaoa", "Haikouichthys ercaicunensis", "Gardenia erubescens", "Spilarctia graminivora", "Asuridia rubripennis", "Miltochrista expressa", "Spilarctia subtestacea", "Spilarctia punctilinea", "Spilarctia moltrechti", "Amsactoides solitaria", "Creatonotos wilemani", "Eilema magnata", "Eilema pulverea", "Macrobrochis staudingeri", "Macrobrochis staudingeri staudingeri", "Macrobrochis staudingeri formosana", "Cyana hamata", "Catoptria nana", "Calamotropha asagirii", "Zhuchengceratops inexpectus", "Cedestis leucopterostigmatis", "Euhyponomeutoides spadix", "Yponomeuta zebra", "Yponomeuta yanagawanus", "Palpita palpifulvata", "Palpita kiminensis", "Palpita pajnii", "Palpita hexcornutialis", "Euclinia longiflora", "Euclinia squamifera", "Mitriostigma axillare", "Aphyosemion teugelsi", "Nothobranchius krysanovi", "Nothobranchius pienaari", "Hammenius insularis", "Indothyrus greeni", "Dixella tonnoiri", "Culex rotoruae", "Culex asteliae", "Coquillettidia tenuipalpis", "Culex quinquefasciatus", "Opifex fuscus", "Schefflera actinophylla", "Cercidospora caudata", "Cercidospora cecidiiformans", "Scombrolabrax heterolepis", "Cercidospora cladoniicola", "Verilus sordidus", "Xanthoparmelia hypofusca", "Cercidospora decolorella", "Cercidospora epicarphinea", "Cercidospora epipolytropa", "Cercidospora lobothalliae", "Monardella villosa", "Baculum brunneum", "Caecidotea nordeni", "Glyphis cicatricosa", "Glyphis dictyospora", "Stegana acantha", "Stegana ancistrophylla", "Stegana langufoliacea", "Stegana otocondyloda", "Glyphis scyphulifera", "Epipleoneura angeloi", "Brachelytrium aeneum", "Brachelytrium beninense", "Brachelytrium mauritanicum", "Brachelytrium niehuisi", "Brachelytrium nigrum", "Brachelytrium purpureiventre", "Brachelytrium caeruleum", "Brachelytrium metallicum", "Glyphis substriatula", "Taperus bannaensis", "Taperus luchunensis", "Taperus quadragulatus", "Tagalis evavilmae", "Acorystus albicornis", "Acorystus circumflexus", "Tricorythodes chalaza", "Tricorythodes diasae", "Philaethria pygmalion pygmalion", "Philaethria andrei andrei", "Philaethria ostara ostara", "Glypholecia candidissima", "Glypholecia scabra", "Malthonica lehtineni", "Malthonica nakhchivanica", "Leiothyrus holthuisi", "Abutilon persicum", "Blattisocius dentriticus", "Blattisocius tarsalis", "Encarsia accenta", "Calophyllum inophyllum", "Plectranthus rotundifolius", "Alloxysta macrophadna", "Nesothrips zondagi", "Capparis zeylanica", "Acronicta digna", "Acronicta cinerea", "Craniophora simillima", "Craniophora pacifica", "Craniophora ligustri", "Corades medeba medeba", "Unguiculariopsis acrocordiae", "Unguiculariopsis changbaiensis", "Unguiculariopsis damingshanica", "Unguiculariopsis fasciculata", "Unguiculariopsis groenlandiae", "Unguiculariopsis ilicincola", "Unguiculariopsis lesdainii", "Unguiculariopsis lettaui", "Unguiculariopsis manriquei", "Unguiculariopsis refractiva", "Unguiculariopsis thallophila", "Macrosphyra longistyla", "Acaricesa berlesei", "Acaricesa mendi", "Randia aculeata var. aculeata", "Aquiloeurycea cafetalera", "Geltingia associata", "Pupopsis hendan", "Pupopsis maoxian", "Pupopsis rhodostoma", "Pupopsis subpupopsis", "Pupopsis subtorquilla", "Pupopsis yengiawat", "Pupopsis yuxu", "Pupopsis zilchi", "Diplopterys cabrerana", "Piloblephis rigida", "Onthophagus taurus", "Synodus lobeli", "Synodus lucioceps", "Dexia chaoi", "Dexia alticola", "Dexia chinensis", "Dexia kurahashii", "Dexia tenuiforceps", "Pseudoscopelus cordilluminatus", "Pseudoscopelus paxtoni", "Pseudoscopelus odontoglossum", "Hyloxalus yasuni", "Hyloxalus italoi", "Ophiocymbium cavernosum", "Ophiocymbium antarcticus", "Ophiocymbium ninae", "Ophiocymbium rarispinum", "Ophiocymbium tanyae", "Ophioplexa condita", "Abutilon australiense", "Abutilon guineense var. forrestii", "Abutilon grandiflorum var. grandiflorum", "Abutilon grandiflorum var. iringense", "Abutilon angulatum", "Abutilon angulatum var. macrophyllum", "Bhutanitis thaidina", "Bhutanitis thaidina thaidina", "Bhutanitis thaidina dongchuaensis", "Dophla pulchella", "Rapala bomiensis", "Carterocephalus chayuensis", "Sebastonyma medoensis", "Encarsia pergandiella", "Hammenius fujuge", "Holothyrus niger", "Protothelenella corrosa", "Protothelenella leucothelia", "Protothelenella pluriseptata", "Protothelenella pseudocyphellariae", "Protothelenella santessonii", "Protothelenella sphinctrinoidella", "Protothelenella sphinctrinoides", "Hammenius grandjeani", "Hammenius grandjeani gressitti", "Platostoma chinensis", "Platostoma palustre", "Hammenius fujuge iora", "Hammenius fujuge fujuge", "Platyseius mackerrasae", "Proctolaelaps pygmaeus", "Proctolaelaps antennatus", "Euthalia koharai", "Euthalia pacifica masaokai", "Euthalia duda bellula", "Euthalia hebe tsuchiyai", "Euthalia pulchella", "Euthalia pulchella niwai", "Euthalia pulchella ebbe", "Euthalia pulchella pulchella", "Euthalia pyrrha", "Euthalia pyrrha pyrrha", "Euthalia pyrrha ueharai", "Euthalia aristides aristides", "Euthalia aristides kobayashii", "Fuscidea aleutica", "Fuscidea appalachensis", "Fuscidea arboricola", "Fuscidea asbolodes", "Fuscidea asyndecta", "Fuscidea austera", "Fuscidea australis", "Fuscidea cacuminum", "Fuscidea circumflexa", "Latotutulioplitis janae", "Fuscidea cyathoides", "Fuscidea elixii", "Eutheia sculpturata", "Fuscidea impolita", "Fuscidea intercincta", "Fuscidea kochiana", "Fuscidea lightfootii", "Fuscidea lowensis", "Latotutulioplitis kenyaensis", "Latotutulioplitis angustifolia", "Fuscidea lygaea", "Fuscidea maccarthyi", "Fuscidea maculosa", "Fuscidea mayrhoferi", "Fuscidea mollis", "Fuscidea oculata", "Fuscidea praeruptorum", "Pyemotes turkeyensis", "Pyemotes zhonghuajia", "Fuscidea pusilla", "Fuscidea ramboldioides", "Fuscidea recensa", "Pericoma nielseni", "Chorisoneura rochaesilvae", "Procladius rugulosus", "Paratanytarsus corbii", "Paratanytarsus silentii", "Pavonia sect.", "Pavonia sect.", "Pavonia subsect.", "Hattena cometis", "Pavonia zeylanica", "Pogogyne douglasii", "Pavonia sect.", "Premna esculenta", "Premna mollissima", "Pseudocaryopteris bicolor", "Pseudocaryopteris foetida", "Pseudocaryopteris paniculata", "Sepia prashadi", "Sepia elegans", "Dermanyssus gallinae", "Hirstionyssus talpae", "Rhododon ciliatus", "Rotheca serrata", "Scutellaria angustifolia", "Scutellaria elliptica", "Scutellaria incana", "Scutellaria ovata", "Sideritis clandestina", "Pavonia subsect.", "Pavonia subsect.", "Megalastrum costipubens", "Megalastrum ctenitoides", "Megalastrum dentatum", "Megalastrum galeottii", "Spilopyra safrina", "Spilopyra scratchley", "Spilopyra semiramis", "Spilopyra stirlingi", "Spilopyra sumptuosa", "Megalastrum glabrum", "Megalastrum gompholepis", "Neochauliodes nepalensis", "Libellula depressa", "Dryophilocoris kerzhneri", "Sympherobius siriae", "Calyptraeotheres pepeluisi", "Dipsas sazimai", "Diopatra marocensis", "Esagonatopus floridensis", "Cyathopoma pembense", "Dendrolimax vangoethemi", "Sepsis spura", "Perochaeta cuirassa", "Perochaeta lobo", "Agnotecous chopardi", "Agnotecous doensis", "Agnotecous meridionalis", "Agnotecous azurensis", "Agnotecous clarus", "Agnotecous occidentalis", "Agnotecous sarramea", "Parochlus conjungens", "Parochlus aotearoae", "Parochlus spinosus", "Parochlus maorii", "Parochlus subantarcticus", "Parochlus duseni", "Parochlus chiloensis", "Parochlus pallidus", "Parochlus grandilobus", "Rhymbocarpus geographici", "Parochlus villarricensis", "Parochlus spinipalpis", "Parochlus patagonicus", "Parochlus araucanus", "Parochlus bassianus", "Parochlus trigonocerus", "Parochlus carinatus", "Parochlus incaicus", "Parochlus crassicornis", "Parochlus pauperatus", "Parochlus novaezelandiae", "Parochlus longicornis", "Parochlus glacialis", "Parochlus tricornis", "Parochlus skottsbergi", "Parochlus montivagus", "Parochlus tubulicornis", "Parochlus darwini", "Parochlus ayseni", "Parochlus cristatus", "Rhymbocarpus boomii", "Parochlus wellingtoni", "Parochlus fascipennis", "Parochlus tonnoiri", "Parochlus rieki", "Parochlus tasmaniae", "Parochlus fuegianus", "Parochlus pilosus", "Rhymbocarpus cruciatus", "Rhymbocarpus fuscoatrae", "Rhymbocarpus makarovae", "Rhymbocarpus neglectus", "Rhymbocarpus pertusariae", "Rhymbocarpus pubescens", "Rhymbocarpus punctiformis", "Rhymbocarpus stereocaulorum", "Synodus intermedius", "Synodus isolatus", "Synodus jaculum", "Anthomyza neglecta", "Stachys chamissonis", "Onthophagus hecate", "Stachys mexicana", "Stachys rigida", "Stachys rothrockii", "Onthophagus nuchicornis", "Onthophagus orpheus", "Pyroseiulus kethleyi", "Pyrosejus prionotus", "Thiacidas politzari", "Thiacidas ivoiriana", "Granulopyrenis antillensis", "Thiacidas fuscomacula", "Granulopyrenis hymnothora", "Granulopyrenis nigrescens", "Thiacidas subhampsoni", "Granulopyrenis portoricensis", "Thiacidas dukei morettoi", "Granulopyrenis seawardii", "Thiacidas occidentalis", "Thiacidas orientalis", "Thiacidas mukim fuscomukim", "Thiacidas mukim mukim", "Thiacidas somaliensis", "Thiacidas variegata", "Thiacidas variegata variegata", "Thiacidas variegata sumatrana", "Thiacidas celebensis", "Paralpenus julius", "Paralacydes destrictus", "Phlyctaenogastra britae", "Phlyctaenogastra familia", "Asca arboriensis", "Asca plumosa", "Asca porosa", "Asca brevisetosa", "Asca novazelandica", "Asca tuberculata", "Asca foliata", "Asca duosetosa", "Asca aphidioides", "Scinax belloni", "Pavonia fruticosa", "Pavonia grandiflora", "Asca muma", "Asca quinquesetosa", "Asca garmani", "Epilacydes unistriga", "Coscinia aethiopica", "Lepista aposema", "Phryganopsis tenuisparsa", "Phryganopsis gilvapatagia", "Pavonia sect.", "Pavonia sect.", "Pavonia sect.", "Graphis antillarum", "Graphis endoxantha", "Graphis leptoclada", "Graphis parilis", "Graphis sophisticascens", "Sozusa montana", "Sozusa triangulata", "Eilema albostriatum", "Pavonia sect.", "Eilema trichopteroides", "Eilema gainsfordi", "Zobida avifex", "Thumatha punctata", "Thumatha africana", "Clostera limacodina", "Euproctis nigropunctatum", "Lacipa kottleri", "Pavonia sect.", "Lymantria cidariensis", "Aegle dubiosa", "Proschaliphora minima", "Proschaliphora lineata", "Proschaliphora aurata", "Euepicrius filamentosus", "Euepicrius bipeltatus", "Euepicrius brevicruris", "Euepicrius femuralis", "Euepicrius lootsi", "Euepicrius multipori", "Euepicrius queenslandicus", "Cymiphis cymosus", "Cymiphis dumosus", "Cymiphis leptosceles", "Cymiphis mansoni", "Cymiphis nucilis", "Cymiphis validus", "Cymiphis watsoni", "Transtillaspis parallela", "Transtillaspis juxtarmata", "Transtillaspis monoloba", "Clarkeulia hamata", "Athiasella biconi", "Athiasella coniuncta", "Athiasella hami", "Athiasella tuberculata", "Athiasella sellaris", "Caliphis eugenitalis", "Caliphis tamborinensis", "Caliphis schusteri", "Caliphis queenslandicus", "Pseudobombax tomentosum", "Pluroides porteri", "Rhopalum nasale", "Teucrium marum", "Azteca andreae", "Azteca diabolica", "Azteca laurae", "Azteca linamariae", "Azteca snellingi", "Cyphomyrmex andersoni", "Onthophagus abas", "Commersonia bartramia", "Commersonia bartramia var. bartramia", "Commersonia bartramia var. tahitensis", "Iranada sordesens", "Feliniopsis sinaevi", "Feliniopsis jinka", "Feliniopsis parvuloides", "Stenosticta namibiensis", "Stenosticta nigrescens", "Stenosticta virgata", "Stenosticta schreieri", "Odontestis socotrensis", "Lyncestoides unilinea", "Lyncestoides unilinea unilinea", "Lyncestoides unilinea africana", "Lyncestoides kruegeri", "Fodina legraini", "Fodina analamerana", "Fodina antsianaka", "Fodina laurentensis", "Fodina mabillei", "Fodina madagascariensis", "Fodina malagasy", "Fodina megalesia", "Fodina pauliani", "Fodina sakalava", "Fodina vieui", "Tathorhynchus exsiccata", "Strix nivicolum ma", "Strix mauritanica", "Strix nivicolum nivicolum", "Strix aluco sanctinicolai", "Strix aluco siberiae", "Strix aluco sylvatica", "Strix aluco willkonskii", "Strix nivicolum yamadae", "Strix aluco aluco", "Picumnus albosquamatus guttifer", "Hibiscus sect.", "Tylopus bispinosus", "Tylopus extremus", "Tylopus grandis", "Tylopus parajeekeli", "Tylopus veliger", "Aponedyopus latilobatus", "Aponedyopus similis", "Euepicrius caesariatus", "Evanssellus foliatus", "Nephrops norvegicus", "Argyrophorus argenteus", "Argyrophorus argenteus argenteus", "Argyrophorus argenteus barrosi", "Argyrophorus argenteus elinoides", "Argyrophorus blanchardi", "Argyrophorus blanchardi blanchardi", "Argyrophorus blanchardi celendini", "Pedaliodes acjanaco", "Potamodrilus fluviatilis", "Cytaea carolinensis", "Cytaea koronivia", "Cytaea nausori", "Cytaea ponapensis", "Cytaea rai", "Cytaea vitiensis", "Sinopoda chongan", "Tathorhynchus stenoptera", "Plecoptera butkevicii", "Acantholipes canofusca", "Antarchaea flavissima", "Stenosticta wiltshirei", "Metachrostis subvelox", "Eublemma subflaviceps", "Ozarba simplex", "Condica conducta", "Condica capensis", "Condica viscosa", "Condica viscosa viscosa", "Condica viscosa meridiana", "Matopo socotrensis", "Anarta endemica", "Ernocornutia lamna", "Ernocornutia basisignata", "Ernocornutia alpha", "Ernocornutia beta", "Gauruncus molinopampae", "Galomecalpa tingomaria", "Inape arcuata", "Inape intermedia", "Inape saetiphora", "Transtillaspis cholojuxta", "Strix aluco harmsi", "Strix aluco biddulphi", "Encarsia formosa", "Encarsia inaron", "Encarsia koebelei", "Encarsia perniciosi", "Adansonia rubrostipa", "Magnolia ashei", "Magnolia pyramidata", "Magnolia laevifolia", "Encarsia alemansoori", "Encarsia albiscutellum", "Encarsia brimblecombei", "Encarsia lutea", "Encarsia picithorax", "Acritus kuscheli", "Enteroctopus dofleini", "Gyalecta skottsbergii", "Gyalecta suaveolens", "Gyalecta subclausa", "Gyalecta sudetica", "Gyalecta ulmi", "Colias romanovi", "Colias romanovi romanovi", "Colias romanovi seravschana", "Erebia turanica", "Erebia turanica turanica", "Gyalecta jenensis var. jenensis", "Erebia turanica susamyr", "Paralasa hades", "Paralasa hades hades", "Gyalecta jenensis var. macrospora", "Pseudobombax ellipticum var. ellipticum", "Pseudobombax ellipticum var. tenuiflorum", "Salix reptans", "Rethona strigosa", "Arctiocossus strigulatus", "Mirocossus badiala", "Salix richardsonii", "Salix rotundifolia", "Salix sajanensis", "Hydroscapha redfordi", "Xenograpsus novaeinsularis", "Xenograpsus testudinatus", "Encarsia citrina", "Prionoxystus robinae", "Prionoxystus macmurtrei", "Prionoxystus piger", "Gyalectaria diluta", "Fania nana", "Toronia perplexa", "Toronia luzena", "Psychidocossus infantilis", "Miacora tropicalis", "Gyalectaria gyalectoides", "Gyalectaria jamesii", "Paracossus furcatus", "Paracossus parvus", "Paracossus acronyctoides", "Paracossus seria", "Paracossus retak", "Paracossus telisai", "Paracossus cinereus", "Paracossus speideli", "Paracossus chloratus", "Paracossus pusillus", "Hirtocossus cirrilator", "Hirtocossus crucis", "Cossus bohatschi", "Holcocerus ferrugineotinctus", "Holcocerus kinabaluensis", "Cyphomyrmex snellingi", "Banacuniculus beardsleyi", "Banacuniculus brautigani", "Banacuniculus dis", "Banacuniculus strykeri", "Banacuniculus utilis", "Banacuniculus nigrimanus", "Banacuniculus merickeli", "Banacuniculus hunteri", "Xenograpsus ngatama", "Juniperus communis var. communis", "Juniperus communis var. depressa", "Juniperus communis var. megistocarpa", "Juniperus communis var. nipponica", "Gyalecta biformis", "Gyalecta derivata", "Gyalecta erythrozona", "Gyalecta flotowii", "Gyalecta friesii", "Gyalecta geoica", "Gyalecta herrei", "Delias brandti", "Gyalecta hypoleuca", "Gyalecta japonica", "Gyalecta kukriensis", "Gyalecta leucaspis", "Mynes obiana", "Gyalecta liguriensis", "Gyalecta peziza", "Gyalecta sbarbari", "Adansonia sect.", "Adansonia sect.", "Adansonia sect.", "Holcocerus volgensis", "Holcocerus consobrinus", "Holcocerus pulverulentus", "Holcocerus inspersus", "Holcocerus arenicola", "Holcocerus gloriosus", "Holcocerus holosericeus", "Holcocerus mongoliana", "Holcocerus nobilis", "Holcocerus sericeus", "Holcocerus strioliger", "Holcocerus rufidorsius", "Holcocerus verbeeki", "Neostygia postaurantia", "Stygia australis", "Stygia hades", "Stygia mosulensis", "Isocossus vandeldeni", "Alcterogystia l-nigra", "Alcterogystia nilotica", "Alcterogystia cadambae", "Macrocossus toluminus", "Lamellocossus terebra", "Acossus undosus", "Acossus centerensis", "Acossus terebra", "Acossus viktor", "Acossus populi", "Parahypopta radoti", "Nemophora aritai", "Salix turczaninowii", "Nemophora hoeneella", "Salix udensis", "Phyllogyalidea epiphylla", "Phyllogyalidea phyllophila", "Erichius zabulostictus", "Pycnosiphorus lessonii", "Erichius brevicollis", "Erichius caelatus", "Erichius calverti", "Erichius costatus", "Erichius darwinii", "Erichius fairmairii", "Erichius fasciatus", "Erichius femoralis", "Erichius vittatus", "Erichius virgatus", "Erichius franzae", "Pycnosiphorus philippi", "Pycnosiphorus lessonii ugartei", "Pycnosiphorus lessonii elongatus", "Pycnosiphorus lessonii lessonii", "Pycnosiphorus lessonii mandibularis", "Gyalidea lecideopsis var. eucarpa", "Gyalidea lecideopsis var. kurdistanica", "Nemapogon agenjoi", "Nemapogon orientalis", "Nemapogon signatellus", "Nemapogon kasyi", "Nemapogon anatolica", "Nemapogon arenbergeri", "Gaedikeia kokkariensis", "Tenaga rhenania", "Eudarcia nigraella", "Eudarcia hellenica", "Eudarcia echinatum", "Eudarcia lobata", "Infurcitinea captans", "Infurcitinea finalis", "Infurcitinea marianii", "Myrmecozela ochraceella", "Trichophaga bipartitella", "Crypsithyris trimaculata", "Crypsithyris sarobiella", "Monopis weaverella", "Reichardtia pedatrix", "Brounhister vividulus", "Abraeus brunneus", "Tomogenius n.sp.", "Orobanche baumanniorum", "Orobanche borbasiana", "Orobanche borissovae", "Orobanche brassicae", "Orobanche bulbosa", "Orobanche bungeana", "Orobanche calendulae", "Orobanche californica", "Orobanche camptolepis", "Orobanche canescens", "Orobanche caryophyllacea", "Orobanche chironii", "Orobanche chrysacanthi", "Orobanche cilicica", "Orobanche clarkei", "Orobanche clausonis", "Orobanche corymbosa", "Orobanche parishii", "Orobanche pinorum", "Orobanche uniflora", "Orobanche valida", "Orobanche vallicola", "Orobanche vitellina", "Orobanche wendelboi", "Orobanche yunnanensis", "Orobanche clavata", "Orobanche coelestis", "Orobanche colorata", "Orobanche cypria", "Orobanche cyrenaica", "Orobanche densiflora", "Orobanche denudata", "Orobanche ducellieri", "Orobanche dugesii", "Orobanche elatior", "Orobanche eriophora", "Orobanche esulae", "Orobanche foetida", "Orobanche fuliginosa", "Orobanche fuscovinosa", "Orobanche gamosepala", "Orobanche georgii-reuteri", "Orobanche gracilis", "Orobanche grisebachii", "Orobanche grossheimii", "Orobanche hadroantha", "Orobanche haenseleri", "Orobanche hederae", "Orobanche hermonis", "Orobanche hirtiflora", "Orobanche hookeriana", "Orobanche humbertii", "Orobanche icterica", "Orobanche kelleri", "Orobanche kotschyi", "Orobanche krylowii", "Orobanche kurdica", "Orobanche lanuginosa", "Orobanche laserpitii-sileris", "Orobanche leptantha", "Orobanche longibracteata", "Orobanche lutea", "Orobanche mariana", "Orobanche megalantha", "Orobanche mongolica", "Orobanche multicaulis", "Orobanche mupinensis", "Orobanche nowackiana", "Orobanche ombrochares", "Orobanche orientalis", "Orobanche oxyloba", "Orobanche ozanonis", "Orobanche pancicii", "Orobanche picridis", "Orobanche portoilicitana", "Orobanche psila", "Orobanche pubescens", "Orobanche purpurea", "Orobanche rapum-genistae", "Orobanche reticulata", "Orobanche reuteriana", "Orobanche sanguinea", "Orobanche santolinae", "Orobanche schultzii", "Orobanche schweinfurthii", "Orobanche schwingenschussii", "Orobanche scolymi", "Orobanche serbica", "Orobanche serratocalyx", "Orobanche sideana", "Orobanche sinensis", "Orobanche sintenisii", "Orobanche solmsii", "Orobanche sordida", "Orobanche stocksii", "Orobanche tetuanensis", "Orobanche teucrii", "Orobanche trichocalyx", "Orobanche uralensis", "Erythranthe alsinoides", "Salix turanica", "Malamatidia zu", "Trichostema lanatum", "Tripora divaricata", "Vitex mollis", "Vitex orinocensis", "Vitex polygama", "Vitex pseudolea", "Vitex triflora", "Conchopus ciliatus", "Conchopus crassinervis", "Conchopus minutus", "Conchopus menehune", "Conchopus pacificus", "Megabeleses magnoliae", "Megabeleses xiaoi", "Megabeleses liriodendrovorax", "Megabeleses tsurugiensis", "Megabeleses crassitarsis", "Odontothrips yunnanensis", "Yaobinthrips yangtzei", "Inti levis", "Westringia dampieri", "Westringia fruticosa", "Aneuma fasciatum", "Aneuma fulvipes", "Aneuma comptum", "Aneuma conspersum", "Aneuma erubescens", "Aneuma oblonga", "Aneuma rufum", "Aneuma spiniferum", "Aneuma rostrale", "Orobanche alba", "Orobanche almeriensis", "Orobanche alsatica", "Orobanche amoena", "Orobanche anatolica", "Orobanche androssovii", "Orobanche angustelaciniata", "Orobanche arenaria", "Orobanche armena", "Orobanche artemisiae-campestris", "Orobanche astragali", "Orobanche badchysensis", "Orobanche ballotae", "Bak indonesiensis", "Chelacheles indra", "Chelacheles thomasi", "Cheletomimus crowei", "Anubias heterophylla", "Anubias afzelii", "Oconnoricheylus speciosus", "Stigmaeus boshroyehensis", "Rhacophorus vampyrus", "Damaeus cordatus", "Euidothrips antennatus", "Euidothrips borneoensis", "Euidothrips longicornis", "Ferorhinella balatra", "Litocampa mendesi", "Lopescladius morosus", "Lopescladius uncatus", "Lopescladius vibrissatus", "Cyanolicimex patagonicus", "Parabergrothista secunda", "Neobergrothista rotundiventris", "Jarmilaia zetteli", "Jarmilaia rabitschi", "Bergrothista maculipennis", "Bergrothista andasibensis", "Parabergrothista mollis", "Angelonia integerrima", "Angelonia pilosella", "Asarina procumbens", "Bacopa decumbens", "Callitriche stagnalis", "Callitriche deflexa", "Notoreas elegans", "Notoreas casanova", "Notoreas edwardsi", "Capraria biflora", "Eirmopauropus distichos", "Samarangopus constellatus", "Samarangopus plicatus", "Decapauropus whanganuiensis", "Artemia franciscana", "Lepidurus apus", "Lepidurus apus viridis", "Bosmina meridionalis", "Bombax ceiba var. ceiba", "Schoenoplectus lacustris", "Bombax ceiba var. leiocarpum", "Pycnosiphorus lessonii marginipennis", "Gyalidea culbersoniana", "Gyalidea diaphana", "Gyalidea fritzei", "Gyalidea hensseniae", "Gyalidea hyalinescens", "Gyalidea japonica", "Gyalidea kawanae", "Gyalidea lecanorina", "Gyalidea luzonensis", "Gyalidea pacifica", "Gyalidea rivularis", "Gyalidea roseola", "Gyalidea subscutellaris", "Nemophora issikii", "Charaxes acraeoides acraeoides", "Hampsonellus brasiliensis", "Tribalus phyllobius", "Gyalidea lecideopsis", "Gyalidea lecideopsis var. lecideopsis", "Gyalidea lecideopsis var. stigmatoides", "Vanessa dimorphica", "Vanessa dimorphica dimorphica", "Vanessa dimorphica upembana", "Thymus tiflisiensis", "Vanessa dimorphica aethiopica", "Vanessa dimorphica comoroica", "Vanessa dimorphica mortoni", "Thymus ladjanuricus", "Thymus \u00d7 citriodorus", "Antanartia delius", "Antanartia delius delius", "Antanartia delius guineensis", "Antanartia schaeneia", "Antanartia schaeneia schaeneia", "Antanartia schaeneia dubia", "Antanartia schaeneia diluta", "Salix saxatilis", "Vanessa hippomene", "Vanessa hippomene hippomene", "Vanessa hippomene madegassorum", "Antanartia borbonica", "Antanartia borbonica borbonica", "Antanartia borbonica mauritiana", "Salix sitchensis", "Salix tenuijulis", "Simulium suchitrae", "Simulium jomsomense", "Simulium butwalense", "Simulium baglungense", "Simulium nuwakotense", "Simulium lekhaniense", "Simulium letense", "Simulium titarense", "Simulium tamorense", "Simulium tulshii", "Simulium sachini", "Simulium williei", "Paragathotanais vikingus", "Cataleptoneta lingulata", "Cataleptoneta semipinnata", "Cyrtodactylus lomyenensis", "Clubiona kai", "Clubiona kuu", "Clubiona lala", "Clubiona maipai", "Clubiona vukomi", "Malamatidia christae", "Xylena exsoleta", "Xylena exsoleta exsoleta", "Xylena exsoleta canaria", "Xylena exsoleta maltensis", "Silene gallica", "Gortyna golestanensis", "Chaenorhinum calycinum", "Chaenorhinum glareosum", "Chaenorhinum minus", "Chaenorhinum origanifolium", "Chaenorhinum origanifolium subsp. crassifolium", "Collinsia grandiflora", "Collinsia linearis", "Collinsia violacea", "Eilema griseola", "Eilema griseola griseola", "Eilema griseola submontana", "Eilema griseola sachalinensis", "Eilema vetusta", "Eilema vetusta vetusta", "Eilema vetusta aegrota", "Eilema coreana", "Eilema gina", "Eilema okanoi", "Eilema chinensis", "Adelia ricinella", "Eilema digna", "Leucocroton microphyllus", "Eilema fraterna", "Eilema fuscipes", "Eilema punctifera", "Eilema sandakana", "Eilema nigripes", "Eilema calamaria", "Eilema albidula", "Eilema suffusa", "Eilema nigripoda", "Eilema moorei", "Eilema nigripars", "Calicha retrahens", "Calicha ornataria", "Haematomma fluorescens var. longisporum", "Pseudochazara annieae", "Pseudochazara lehana", "Pseudochazara cingovskii", "Archon bostanchii", "Hypermnestra helios helios", "Hypermnestra helios ariana", "Hypermnestra helios persica", "Hypermnestra helios maxima", "Hypermnestra helios bushirica", "Amata gil", "Myrmecoris gracilis", "Prays peregrina", "Dyspessa aphrodite", "Leptodorosida zherikhini", "Smirnovidaphnia smirnovi", "Smirnovidaphnia testacea", "Leposida ponomarenkoi", "Dopatrium junceum", "Gratiola amphiantha", "Gratiola ebracteata", "Gratiola neglecta", "Gratiola officinalis", "Anubias hastifolia", "Anubias pynaertii", "Acanthogyrus adriaticus", "Acanthogyrus lizae", "Devendrosentis garuai", "Penilia avirostris", "Penilia pacifica", "Durio graveolens", "Durio dulcis", "Durio kutejensis", "Durio lowianus", "Durio oxleyanus", "Melittia moni", "Micropterix herminiella", "Merrifieldia renatae", "Dianthus micranthus", "Dianthus zonatus", "Iberis carica", "Turritis glabra", "Turritis laxa", "Asyneuma compactum", "Silene behen", "Cota pestalozzae", "Haematomma accolens", "Centaurea antiochia", "Haematomma africanum", "Haematomma americanum", "Coleophora cuprariella", "Haematomma babingtonii", "Calicha ornataria ornataria", "Calicha griseoviridata", "Catocala praegnax", "Catocala praegnax praegnax", "Equus quagga antiquorum", "Spilosynema ansatum", "Spilosynema comminum", "Spilosynema mancum", "Spilosynema ravum", "Tmarus gladiatus", "Talaus sulcus", "Synema revolutum", "Takachihoa lamellaris", "Takachihoa tumida", "Pistius rotundus", "Heriaeus concavus", "Heriaeus convexus", "Lycopus cha", "Lycopus tabulatus", "Massuria ovalis", "Massuria bandian", "Mastira serrula", "Phrynarachne brevis", "Phrynarachne lancea", "Ozyptila imbrex", "Indoxysticus lumbricus", "Smodicinodes yaoi", "Evadne aspinosus", "Evadne nordmanni", "Pleopis polyphaemoides", "Pleopis trisetosus", "Anubias gilletii", "Anubias gracilis", "Helminthocarpon leprevostii", "Heser vijayanagara", "Carinityla pilosa", "Carinityla punctulata", "Parectyphus namibiensis", "Ectyphus amboseli", "Dimorphacanthella mediaseta", "Euphorbia subg.", "Euphorbia sect.", "Helocarpon crassipes", "Helocarpon lesdainii", "Armatalona macrocopa", "Rhodomyrtus tomentosa var. tomentosa", "Rhodomyrtus tomentosa var. parviflora", "Armatalona imitatoria", "Camptocercus australis", "Camptocercus rectirostris", "Limnophila chinensis", "Limnophila heterophylla", "Limnophila indica", "Limnophila sessiliflora", "Mecardonia ovata", "Mecardonia procumbens", "Scoparia dulcis", "Stemodia florulenta", "Stemodia glabella", "Stemodia viscosa", "Ourisia coccinea", "Ourisia crosbyi", "Ourisia macrophylla", "Ourisia serpyllifolia", "Kickxia elatine", "Kickxia spuria", "Dumontia oregonensis", "Lophospermum erubescens", "Maurandya barclayana", "Maurandya scandens", "Maurandya wislizeni", "Hippuris vulgaris", "Keckiella antirrhinoides", "Keckiella breviflora", "Keckiella cordifolia", "Keckiella corymbosa", "Nothochelone nemorosa", "Saycia cooki", "Saycia cooki cooki", "Penstemon barrettiae", "Saycia cooki novaezealandiae", "Penstemon cardwellii", "Penstemon ellipticus", "Penstemon lyallii", "Penstemon acuminatus", "Penstemon angustifolius", "Libelloides coccajus", "Penstemon buckleyi", "Penstemon cyathophorus", "Penstemon fendleri", "Penstemon grandiflorus", "Penstemon harringtonii", "Penstemon haydenii", "Penstemon osterhoutii", "Penstemon pachyphyllus", "Penstemon secundiflorus", "Penstemon albidus", "Penstemon cobaea", "Penstemon eriantherus", "Penstemon grahamii", "Penstemon jamesii", "Penstemon ophianthus", "Penstemon pumilus", "Penstemon anguineus", "Penstemon degeneri", "Penstemon humilis", "Penstemon ovatus", "Penstemon pruinosus", "Penstemon virens", "Penstemon whippleanus", "Penstemon wilcoxii", "Penstemon albomarginatus", "Penstemon deustus", "Penstemon gairdneri", "Penstemon tracyi", "Penstemon albertinus", "Penstemon calycosus", "Penstemon canescens", "Penstemon digitalis", "Penstemon gracilis", "Penstemon laxiflorus", "Penstemon pallidus", "Penstemon smallii", "Penstemon cinicola", "Penstemon confertus", "Penstemon euglaucus", "Penstemon heterodoxus", "Penstemon procerus", "Penstemon rydbergii", "Penstemon watsonii", "Penstemon subg.", "Penstemon dissectus", "Penstemon subg.", "Alonella excisa", "Alonella nana", "Penstemon clutei", "Penstemon floridus", "Penstemon fruticiformis", "Chelorrhina polyphemus", "Penstemon incertus", "Ephemeroporus barroisi", "Penstemon palmeri", "Penstemon pseudospectabilis", "Penstemon rubicundus", "Penstemon spectabilis", "Penstemon stephensii", "Penstemon subsect.", "Penstemon centranthifolius", "Penstemon parryi", "Chydorus minutus", "Penstemon patens", "Penstemon utahensis", "Penstemon nitidus", "Penstemon subsect.", "Penstemon havardii", "Penstemon murrayanus", "Penstemon sect.", "Penstemon subsect.", "Penstemon ambiguus", "Penstemon thurberi", "Penstemon subsect.", "Pseudochydorus globosus", "Penstemon subsect.", "Dunhevedia crassa", "Penstemon subsect.", "Chydorus sphaericus", "Pleuroxus hastirostris", "Pleuroxus helvenacus", "Pleuroxus unispinus", "Penstemon subsect.", "Penstemon monoensis", "Monospilus dispar", "Onthophagus adspersus", "Onthophagus bimetallicus", "Onthophagus tigrinus", "Onthophagus granulipennis", "Onthophagus plebejus", "Scapholeberis duranguensis", "Scapholeberis kingi", "Simocephalus exspinosus", "Simocephalus obtusatus", "Simocephalus vetulus", "Macrothrix schauinslandi", "Acritus analis", "Streblocerus serricaudatus", "Pseudomoina lemnae", "Lathonura rectirostris", "Ceriodaphnia dubia", "Ceriodaphnia pulchella", "Ceriodaphnia reticulata", "Daphnia carinata", "Daphnia dentifera", "Daphnia lumholtzi", "Daphnia obtusa", "Graptoleberis testudinaria", "Leydigia australis", "Oxyurella tenuicaudis", "Alona affinis", "Alona cambouei", "Alona guttata", "Alona quadrangularis", "Cyrtomium falcatum", "Leydigia leydigi", "Alona setigera", "Cyrtomium falcatum subsp. falcatum", "Ceriodaphnia sublaevis", "Penstemon barbatus", "Anania vicinalis", "Penstemon eatonii", "Anania amaniensis", "Anania ankolae", "Penstemon comarrhenus", "Anania lippensi", "Penstemon cyananthus", "Murina eleryi", "Penstemon cyaneus", "Penstemon cyanocaulis", "Anania ruwenzoriensis", "Penstemon debilis", "Anania bryalis", "Penstemon fremontii", "Penstemon gibbensii", "Anania elutalis", "Penstemon glaber", "Penstemon laevis", "Penstemon leiophyllus", "Penstemon mensarum", "Penstemon nudiflorus", "Penstemon payettensis", "Anania epipaschialis", "Penstemon penlandii", "Penstemon pennellianus", "Penstemon scariosus", "Anania camerounensis", "Penstemon speciosus", "Penstemon strictiformis", "Penstemon strictus", "Penstemon subglaber", "Penstemon virgatus", "Penstemon sect.", "Penstemon subsect.", "Penstemon campanulatus", "Penstemon kunthii", "Evergestis anartalis", "Penstemon sect.", "Penstemon subsect.", "Pelatea klugiana klugiana", "Pelatea assidua", "Penstemon bicolor", "Meiligma impigris", "Haematomma brevisporum", "Haematomma caperaticum", "Coleophora amethystinella", "Thalictrum orientale", "Haematomma cinchonarum", "Haematomma collatum", "Haematomma dolichosporum", "Hyoscyamus aureus", "Haematomma eremaeum", "Haematomma fauriei", "Haematomma fenzlianum", "Haematomma flexuosum", "Haematomma fluorescens", "Tuberaria guttata", "Haematomma gallowayi", "Haematomma guyanense", "Sedum sempervivoides", "Haematomma hilare", "Haematomma infuscum", "Haematomma ivoriense", "Haematomma kenyense", "Haematomma matogrossense", "Haematomma nemetzii", "Haematomma nicoyense", "Haematomma nothofagi", "Haematomma ochroleucum", "Haematomma papuense", "Haematomma sorediatum", "Haematomma staigeriae", "Haematomma stevensiae", "Haematomma subinnatum", "Oegoconia huemeri", "Haematomma sulphureum", "Haematomma wattii", "Oegoconia ceres", "Oegoconia deauratella", "Oegoconia deluccai", "Oegoconia ariadne", "Haematomma ochroleucum var. ochroleucum", "Apatema parodia", "Oegoconia annae", "Haematomma ochroleucum var. porphyrium", "Micropterix mansuetella", "Durio wyatt-smithii", "Micropterix isobasella", "Haematomma fluorescens var. fluorescens", "Hyponephele filistigma", "Simocephalus acutirostratus", "Micropoltys placenta", "Micropoltys baitetensis", "Micropoltys debakkeri", "Micropoltys heatherae", "Cetiocyon incantatus", "Cetiocyon hanseni", "Cetiocyon cribripunctatus", "Cetiocyon hebaueri", "Cetiocyon riedeli", "Cetiocyon loksai", "Cetiocyon goliathus", "Cetiocyon papuensis", "Cetiocyon traipela", "Alaocybites egorovi", "Hyphaene petersiana", "Haematomma leprarioides", "Phocoderma velutina", "Phocoderma betis", "Phocoderma witti", "Anania albeoverbascalis", "Anania chekiangensis", "Anania coronata", "Anania crocealis", "Anania egentalis", "Anania funebris", "Anania fuscalis", "Anania fuscobrunnealis", "Anania fuscofulvalis", "Anania hortulata", "Anania lancealis", "Anania luctualis", "Anania oberthuri", "Anania ocellalis", "Anania occidentalis", "Anania perlucidalis", "Anania stachydalis", "Anania terrealis", "Anania testacealis", "Anania verbascalis", "Anania hasanensis", "Anania luteorubralis", "Anania obtusalis", "Anania shafferi", "Anania delicatalis", "Anania profusalis", "Anania flavicolor", "Anania subfumalis", "Penstemon sect.", "Anania teneralis", "Penstemon sect.", "Lepidunca empidomorpha", "Halecania alpivaga", "Lipsotelus anacanthus", "Lipsotelus anacanthus anacanthus", "Lipsotelus anacanthus amicus", "Lipsotelus anacanthus calens", "Halecania australis", "Halecania bryophila", "Lipsotelus anacanthus insulae", "Halecania elaeiza", "Lipsotelus armiger", "Halecania etayoana", "Zioella pavonina", "Lipsotelus xyloides", "Halecania fuscopannariae", "Lipsotelus lichenoides", "Halecania giraltiae", "Halecania laevis", "Halecania lecanorina", "Halecania lobulata", "Halecania micacea", "Lobesiodes euphorbiana", "Halecania pakistanica", "Halecania pannarica", "Lobesiodes occidentis", "Actinarctus lyrophorus", "Halecania pepegospora", "Halecania ralfsii", "Actinarctus neretinus", "Halecania rhypodiza", "Halecania spodomela", "Actinarctus physophorus", "Halecania tornensis", "Halecania viridescens", "Megalomacha tigripes", "Megalomacha tigripes tigripes", "Megalomacha tigripes ngazinya", "Mesocharis centrifuga", "Tanarctus minotauricus", "Tanarctus ramazzottii", "Tanarctus tauricus", "Tanarctus velatus", "Mesogona olivata", "Mesogona subcuprea", "Mesogona rubra", "Boloria pales", "Boloria pales pales", "Boloria pales yangi", "Dodona adonira", "Dodona eugenes", "Dodona dipoea", "Dodona ouida", "Dodona windu", "Dodona binghami", "Neoris codyi", "Moina australiensis", "Moina tenuicornis", "Homostegia dermatocarpi", "Homostegia hertelii", "Homostegia parmeliana", "Homostegia piggotii", "Neothrix armata", "Ilyocryptus sordidus", "Onthophagus demeyeri", "Onthophagus loxodontaphilus", "Onthophagus pseudoplebejus", "Heracleum argaeum", "Heracleum humile", "Aegokeras caespitosa", "Centaurea drabifolia", "Hieracium bornmuelleri", "Hieracium pannosum", "Jurinea cadmea", "Jurinea consanguinea", "Scorzonera cana", "Paracaryum lithospermifolium", "Hertelidea aspera", "Hertelidea botryosa", "Hertelidea eucalypti", "Hertelidea geophila", "Hertelidea pseudobotryosa", "Hertelidea wankaensis", "Actinarctus doryphorus", "Actinarctus doryphorus doryphorus", "Actinarctus doryphorus ocellatus", "Tanarctus arborspinosus", "Heterocyphelium leucampyx", "Penstemon glandulosus", "Penstemon richardsonii", "Penstemon serrulatus", "Penstemon triphyllus", "Penstemon venustus", "Penstemon azureus", "Penstemon cusickii", "Penstemon heterophyllus", "Penstemon leonardii", "Penstemon platyphyllus", "Penstemon roezlii", "Penstemon sepalulus", "Penstemon caespitosus", "Penstemon crandallii", "Penstemon laricifolius", "Penstemon linarioides", "Tanarctus dendriticus", "Tanarctus gracilis", "Hobsoniopsis santessonii", "Tanarctus helleouetae", "Tanarctus heterodactylus", "Tanarctus longisetosus", "Hydropunctaria adriatica", "Hydropunctaria maura", "Hydropunctaria rheitrophila", "Hydropunctaria scabra", "Parapammene komaiana", "Pleuroxus wittsteini", "Ovalona weinecki", "Coronatella anemae", "Coronatella eucostata", "Synodus macrops", "Synodus marchenae", "Synodus mascarensis", "Synodus mundyi", "Synodus oculeus", "Ellabella chalazombra", "Ellabella bayensis", "Ellabella johnstoni", "Ellabella melanoclista", "Ellabella editha", "Lycaena editha", "Lycaena editha editha", "Polygonia progne", "Polygonia progne progne", "Polygonia progne nigrozephyrus", "Synalocha gutierreziae", "Syllonoma longipalpana", "Synnoma lynosyrana", "Archaeomartus levis", "Niasoma metallicana", "Librella demetrius", "Erilepis zonifer", "Drimys andina", "Allerastria albiciliatus", "Allerastria albiciliatus albiciliatus", "Allerastria albiciliatus paula", "Allerastria albiciliatus chacoensis", "Allerastria annae", "Philiris caelestis", "Philiris pagwi", "Philiris sibatanii", "Philiris tapini", "Manawa staceyi", "Scottia insularis", "Penthesilenula aotearoa", "Penthesilenula kohanga", "Barbronia weberi", "Linta be", "Barbronia arcana", "Silene marschallii", "Silene chlorifolia", "Salvia albimaculata", "Alkanna aucheriana", "Cynoglottis chetikiana", "Wahlenbergiella mucosa", "Wahlenbergiella striatula", "Namurotarbus roessleri", "Tribrachiodemas ordovicicus", "Coronatella rectangula", "Parabagliettoa cyanea", "Parabagliettoa dufourii", "Metasequoia disticha", "Abdiacyclops cirratus", "Zealandcyclops fenwicki", "Zealandcyclops haywardi", "Lanceola galatheae", "Lanceola gruneri", "Parobisium yosemite", "Drimys granadensis", "Drimys confertifolia", "Sphyraena viridensis", "Candona aotearoa", "Candona inexpecta", "Penthesilenula repoa", "Candonocypris assimilis", "Candonocypris novaezelandiae", "Drimys winteri var. chilensis", "Drimys winteri var. winteri", "Asteia crassinervis", "Asteia tonnoiri", "Asteia levis", "Ptilophora ala", "Ptilophora horieaurea", "Ptilophora rufula", "Encarsia iris", "Jarxia ilicicola", "Jarxia thelenula", "Encarsia nigriventris", "Encarsia adusta", "Oiketicoides simulans", "Oiketicoides simulans simulans", "Oiketicoides simulans sysoletinae", "Mesocypris terrestris", "Mesocypris madagascariensis", "Mesocypris pauliani", "Austromesocypris berentsae", "Austromesocypris australiensis", "Fuchsia pringsheimii", "Austromesocypris tasmaniensis", "Mesocypris pubescens", "Scottia pseudobrowniana", "Scottia browniana", "Hypogymnia canadensis", "Hypogymnia recurva", "Scottia tumida", "Hypogymnia wilfiana", "Scottia candonaeformis", "Hypogymnia beringiana", "Hypogymnia castanea", "Hypogymnia fistulosa", "Bobartia indica", "Trachinus radiatus", "Cleithracara maronii", "Lepidocyrtus balteatus", "Lepidocyrtus atratus", "Fokienia hodginsii", "Hypocenomyce anthracophila", "Hypocenomyce australis", "Hypocenomyce caradocensis", "Hypocenomyce castaneocinerea", "Hypocenomyce foveata", "Hypocenomyce isidiosa", "Hypocenomyce oligospora", "Hypocenomyce sierrae", "Hypocenomyce tinderryensis", "Sansevieria hyacinthoides", "Ficus altissima", "Ficus microcarpa", "Ficus citrifolia", "Anoplopoma fimbria", "Torix novaezealandiae", "Pseudobaeomyces insignis", "Pseudobaeomyces pachycarpus", "Placobdelloides octostriata", "Placobdelloides bancrofti", "Helobdella papillornata", "Helobdella nahuelhuapensis", "Helobdella atli", "Helobdella melananus", "Helobdella octatestisaca", "Helobdella nilae", "Helobdella nununununojensis", "Helobdella ringueleti", "Helobdella sorojchi", "Monochroa cleodora", "Monochroa cleodoroides", "Stegasta jejuensis", "Stegasta abdita", "Neptis miah varshneyi", "Comostola hauensteini", "Palpita annulata", "Palpita hyaloptila", "Palpita limbata", "Zabrus tenebrioides", "Thamnolia vermicularis", "Strophanthus singaporianus", "Armiana postfusca", "Clostera insignior", "Ptilurodes castor", "Ptilurodes pollux", "Lobesia yasudai", "Lobesia longisterigma", "Lobesia macroptera", "Autosticha tetragonopa", "Autosticha imitativa", "Autosticha truncicola", "Autosticha modicella", "Autosticha pachysticta", "Autosticha kyotensis", "Colias dimera", "Neopedaliodes juba", "Cordyline fruticosa", "Bosminopsis deitersi", "Bosminopsis ishikawai", "Bosminopsis zernowi", "Bosminopsis brandorffi", "Bosminopsis devendrai", "Bosminopsis negrensis", "Siphula australiensis", "Siphula ceratites", "Siphula coriacea", "Siphula decumbens", "Siphula dissoluta", "Siphula fastigiata", "Siphula gracilis", "Siphula parhamii", "Bosmina longirostris", "Bosmina hagmanni", "Bosmina chilensis", "Bosmina huaronensis", "Bosmina brehmi", "Bosmina macrostyla", "Bosmina tubicen", "Litylenchus coprosma", "Metacrangon haona", "Metacrangon hikurangi", "Metacrangon rau", "Metacrangon teina", "Metacrangon richardsoni", "Metacrangon knoxi", "Penstemon subsect.", "Penstemon apateticus", "Penstemon gentianoides", "Penstemon hartwegii", "Penstemon auriberbis", "Erinus alpinus", "Globularia punctata", "Globularia repens", "Mandevilla velame", "Temnadenia violacea", "Temnadenia odorifera", "Bosmina tripurae", "Prestonia ornata", "Temnadenia stenantha", "Bosmina freyi", "Bosmina liederi", "Bosmina fatalis", "Bosmina tanakai", "Bosmina coregoni", "Bosmina striata", "Bosmina oriens", "Entacmaea quadricolor", "Naetrocymbe atomarioides", "Naetrocymbe atractospora", "Naetrocymbe fraxini", "Naetrocymbe megalospora", "Naetrocymbe punctiformis", "Naetrocymbe herrei", "Pentalinon andrieuxii", "Naetrocymbe cedrina", "Naetrocymbe massalongiana", "Naetrocymbe quassiaecola", "Naetrocymbe rhyponta", "Naetrocymbe saxicola", "Ortaliella palaestinensis", "Ortaliella stonei", "Ortaliella gruneraria", "Stueningia poggearia", "Stueningia poggearia poggearia", "Stueningia poggearia meyi", "Stueningia wolfi", "Stueningia wolfi wolfi", "Stueningia wolfi taurica", "Darapsa versicolor", "Darapsa myron", "Darapsa myron myron", "Darapsa myron mexicana", "Darapsa choerilus", "Diomus tasmanicus", "Diomus micrus", "Diomus circus", "Diomus villus", "Diomus kioloa", "Diomus bunya", "Diomus prodigialis", "Diomus gingera", "Diomus gilvus", "Diomus pisinus", "Diomus carbine", "Diomus leai", "Diomus lord", "Diomus hebes", "Zizula cyna", "Microvelia trichota", "Microvelia kakadu", "Microvelia lilliput", "Microvelia tasmaniensis", "Microvelia kyushuensis", "Microvelia loriae", "Microvelia macgregori", "Microvelia morimotoi", "Microvelia oceanica", "Microvelia pacifica", "Microvelia plumbea", "Microvelia vagans", "Microvelia prompta", "Microvelia starmuehlneri", "Zizula hylax", "Scrophularia atrata", "Veronica cusickii", "Veronica nivea", "Zephlebia nebulosa", "Zephlebia pirongia", "Zephlebia tuberculata", "Zephlebia borealis", "Zephlebia versicolor", "Zephlebia dentata", "Zephlebia inconspicua", "Zephlebia spectabilis", "Neozephlebia scita", "Veronica wormskjoldii", "Veronica abyssinica", "Veronica acrotheca", "Veronica allionii", "Arachnocolus phillipsi", "Veronica antalyensis", "Atalophlebioides cromwelli", "Veronica aragonensis", "Isothraulus abditus", "Austronella planulata", "Veronica aucheri", "Cryophlebia aucklandensis", "Veronica avromanica", "Veronica aznavourii", "Tepakia caligata", "Mauiulus aquilus", "Mauiulus luma", "Austroclima jollyae", "Austroclima sepia", "Vallaris indecora", "Ethmia alba", "Ethmia distigmatella", "Ethmia tamaridella", "Ethmia lybiella", "Ethmia lepidella", "Ethmia vittalbella", "Ethmia lecmima", "Gomphocythere duffi", "Gomphocythere problematica", "Kiwicythere anneari", "Kiwicythere vulgaris", "Paralimnocythere vulgaris", "Icmadophila ericetorum", "Knightiella splachnirima", "Euphyes bayensis", "Euphyes eberti", "Euphyes fumata", "Euphyes ampa", "Euphyes cherra", "Euphyes antra", "Euphyes chamuli", "Crinum \u00d7 worsleyi", "Euphilotes bernardino", "Euphilotes bernardino bernardino", "Euphilotes bernardino garthi", "Euphilotes bernardino marini", "Euphilotes bernardino martini", "Euphilotes bernardino inyomontanus", "Paradirphia boudinoti", "Paradirphia winifredae", "Diedra wielgusi", "Diedra calocedrana", "Diedra intermontana", "Diedra leuschneri", "Diedra cockerellana", "Satyrium auretorum", "Satyrium auretorum auretorum", "Satyrium auretorum spadix", "Satyrium auretorum fumosum", "Ectomis kanshul", "Ectomis mexicanus", "Ectomis roma", "Ectomis gyges", "Paracles minuta", "Paracles diminuta", "Paracles medinata", "Paracles laguerrei", "Monochroa subcostipunctella", "Monochroa japonica", "Monochroa suffusella", "Lobesia takahiroi", "Lobesia globosterigma", "Pachyphysis ozarkana", "Idaea tineata", "Idaea praetineata", "Idaea consociata", "Idaea capnaria", "Idaea detritaria", "Bembecia pashtuna", "Bembecia karategina", "Bembecia aloisi", "Synanthedon stomoxiformis", "Synanthedon stomoxiformis stomoxiformis", "Synanthedon stomoxiformis riefenstahli", "Synanthedon andrenaeformis", "Synanthedon andrenaeformis andrenaeformis", "Synanthedon andrenaeformis tenuicingulata", "Synanthedon stomoxiformis amasina", "Synanthedon stomoxiformis levantina", "Synanthedon cerskisi", "Pachyphiale carneola", "Pachyphiale fagicola", "Pachyphiale gyalizella", "Pachyphiale ophiospora", "Microcalicha fumosaria", "Microcalicha minima", "Microcalicha sordida", "Apatura iris", "Daphnis vriesi", "Eupanacra cadioui", "Eurypteryx alleni", "Macroglossum arimasi", "Neogurelca hyas", "Deleatidium atricolor", "Deleatidium autumnale", "Deleatidium branchiola", "Deleatidium cerinum", "Deleatidium fumosum", "Deleatidium lillii", "Deleatidium magnum", "Deleatidium myzobranchia", "Deleatidium townsi", "Deleatidium vernale", "Vallaris glabra", "Acanthophlebia cruentata", "Plantago elongata", "Plantago hookeriana", "Plantago argyrea", "Plantago erecta", "Plantago helleri", "Plantago macrocarpa", "Russelia equisetiformis", "Russelia juncea", "Russelia sarmentosa", "Tetranema roseum", "Veronica copelandii", "Paratya curvirostris", "Austridotea annectens", "Austridotea benhami", "Austridotea lacustris", "Synodus orientalis", "Synodus poeyi", "Synodus pylei", "Synodus randalli", "Synodus rubromarmoratus", "Veronica cetikiana", "Veronica chamaepithyoides", "Veronica chartonii", "Veronica chayuensis", "Veronica chinoalpina", "Veronica chionantha", "Veronica cinerea", "Veronica colchica", "Synodus sageneus", "Veronica cretacea", "Veronica crinata", "Veronica cuneifolia", "Synodus sanguineus", "Veronica dabneyi", "Ethmia dodecea", "Ethmia ermineella", "Ethmia angarensis", "Ethmia zygospila", "Ethmia albifrontella", "Ethmia japonica", "Ethmia turkmeniella", "Ethmia zaguljaevi", "Veronica balansae", "Veronica bogosensis", "Ethmia elimatella", "Veronica bombycina", "Veronica borissovae", "Ethmia sibirica", "Veronica brownii", "Veronica bullii", "Veronica bungei", "Ethmia ubsensis", "Veronica calycina", "Veronica cana", "Veronica capitata", "Veronica capsellicarpa", "Veronica catenata", "Ethmia soljanikovi", "Ethmia hiemalis", "Ethmia vidua", "Ethmia vidua vidua", "Ethmia vidua flavilaterella", "Ethmia falkovitshi", "Ethmia nykta", "Ethmia albolinella", "Thiallela naevilla", "Thiallela platantra", "Thiallela hiranoi", "Copitarsia uncilata", "Lioptilodes gielisi", "Calycopis caulonia", "Calycopis lerbela", "Calycopis nicolayi", "Calycopis drusilla", "Calycopis anastasia", "Calycopis fractunda", "Nannostomus harrisoni", "Eusphyra blochii", "Sphyrna couardi", "Sphyrna corona", "Amatiguakius forsberghii", "Plumeria inodora", "Protomedeia penates", "Centromedon pavor", "Lysianassa holmesi", "Orchomene decipiens", "Orchomene pacifica", "Paraphoxus similis", "Paraphoxus variatus", "Dactylocythere brachystrix", "Dactylocythere pachysphyrata", "Donnaldsoncythere cayugaensis", "Entocythere kanawhaensis", "Amissidens hainesi", "Thermastrocythere harti", "Amphiarius phrygiatus", "Amphiarius rugispinis", "Uncinocythere stubbsi", "Idolatteria mydros", "Idolatteria fasciata", "Arius africanus", "Idolatteria cantharopisca", "Idolatteria maon", "Idolatteria orgias", "Idolatteria pyropis", "Idolatteria simulatrix", "Idolatteria xanthocapna", "Cambarus longulus", "Cambarus chasmodactylus", "Cambarus coosawattae", "Cambarus elkensis", "Cambarus fasciatus", "Cambarus girardianus", "Batrachocephalus mino", "Cambarus longirostris", "Cambarus manningi", "Cambarus speciosus", "Veronica gaubae", "Veronica glandulosa", "Veronica glauca", "Veronica grisebachii", "Veronica henryi", "Veronica hillebrandii", "Veronica himalensis", "Veronica hispidula", "Veronica japonensis", "Veronica javanica", "Veronica kaiseri", "Veronica kermisina", "Veronica kopgecidiensis", "Veronica kotschyana", "Veronica lanosa", "Veronica lanuginosa", "Veronica laxa", "Veronica laxissima", "Veronica leiocarpa", "Veronica longipetiolata", "Veronica lycica", "Veronica macropoda", "Veronica mannii", "Veronica maximowicziana", "Veronica mazanderanae", "Veronica micrantha", "Veronica micromera", "Veronica miqueliana", "Veronica mirabilis", "Veronica monantha", "Veronica montbretii", "Veronica morrisonicola", "Veronica muratae", "Veronica myrsinoides", "Plumeria \u00d7 stenopetala", "Plumeria \u00d7 stenopetala nothovar. stenopetala", "Plumeria \u00d7 stenopetala nothovar. angustissima", "Enochrus aliciae", "Enochrus eubenangeei", "Enochrus isabellae", "Enochrus pseudoweiri", "Enochrus samae", "Enochrus weiri", "Veronica daranica", "Veronica davisii", "Veronica debilis", "Veronica deltigera", "Veronica dichrus", "Veronica didyma", "Veronica donetzica", "Veronica donii", "Veronica elmaliensis", "Veronica emodi", "Veronica erinoides", "Veronica eriogyne", "Veronica euphrasiifolia", "Veronica euxina", "Veronica fargesii", "Veronica farinosa", "Veronica filipes", "Veronica formosa", "Veronica forrestii", "Veronica fragilis", "Veronica francispetae", "Veronica fridericae", "Veronica fuhsii", "Paratya australiensis", "Phyllognathopus volcanicus", "Phyllognathopus viguieri", "Antarctobiotus diversus", "Antarctobiotus australis", "Antarctobiotus exiguus", "Antarctobiotus ignobilis", "Antarctobiotus triplex", "Antarctobiotus elongatus", "Linum aristatum", "Linum australe", "Linum campanulatum", "Linum dolomiticum", "Linum elegans", "Linum grandiflorum", "Linum hirsutum", "Linum leonii", "Linum lewisii", "Linum narbonense", "Linum pubescens", "Nannostomus espei", "Linum strictum", "Linum suffruticosum", "Linum tenue", "Linum trigynum", "Linum viscosum", "Linum perenne", "Nannostomus bifasciatus", "Globularia salicina", "Globularia sarcophylla", "Hemiphragma heterophyllum", "Parmelina carporrhizans", "Parmelina coleae", "Decalepis salicifolia", "Patriciomyces valentinianus", "Bradysia latipennis", "Pertusaria stenhammarii", "Scotiomyia fusca", "Scotiomyia melanura", "Neolithocolletis pentadesma", "Neolithocolletis kangarensis", "Phyllonorycter conista", "Phyllonorycter malayana", "Phyllonorycter myricae", "Phyllonorycter penangensis", "Phyllonorycter triarcha", "Porphyrosela dorinda", "Porphyrosela alternata", "Ketapangia leucochorda", "Ketapangia regulifera", "Petractis clausa", "Petractis farlowii", "Petractis luetkemuelleri", "Petractis nodispora", "Petractis thelotremella", "Petractis hypoleuca", "Deleatidium insolitum", "Deleatidium cornutum", "Deleatidium patricki", "Deleatidium wardorum", "Deleatidium kiwa", "Deleatidium angustum", "Carlarius latiscutatus", "Carlarius parkii", "Cathorops agassizi", "Cathorops arenatus", "Cathorops dasycephalus", "Cathorops fuerthii", "Cathorops hypophthalmus", "Cathorops mapale", "Cathorops multiradiatus", "Cathorops spixii", "Pararhodobates syriaca", "Pararhodobates petroeca", "Infurcitinea iberica", "Infurcitinea corsica", "Infurcitinea rumelicella", "Cathorops steindachneri", "Infurcitinea sardica", "Cathorops tuyra", "Infurcitinea kasyi", "Infurcitinea banatica", "Infurcitinea roesslerella", "Infurcitinea atrifasciella", "Infurcitinea albicomella", "Infurcitinea teriolella", "Infurcitinea parnassiella", "Infurcitinea hellenica", "Infurcitinea romanica", "Infurcitinea nigropluviella", "Infurcitinea rebeliella", "Infurcitinea ignicomella", "Infurcitinea albulella", "Infurcitinea marcunella", "Infurcitinea frustigerella", "Infurcitinea italica", "Infurcitinea argentimaculella", "Enochrus deserticola", "Enochrus eyrensis", "Plumeria subsessilis", "Liodessus deflectus", "Liodessus plicatus", "Barbicambarus simmonsi", "Veronica nevadensis", "Veronica nipponica", "Veronica notabilis", "Veronica nummularia", "Veronica oligosperma", "Veronica onoei", "Veronica paederotae", "Veronica panormitana", "Veronica pectinata", "Veronica piroliformis", "Veronica plebeia", "Veronica polifolia", "Veronica polium", "Veronica polozhiae", "Veronica ponae", "Veronica quezelii", "Veronica rechingeri", "Veronica reidii", "Veronica repens", "Veronica reuterana", "Veronica rhodopaea", "Veronica riae", "Veronica robusta", "Veronica rockii", "Veronica rosea", "Veronica rotunda", "Veronica samuelssonii", "Veronica saturejoides", "Carlarius gigas", "Carlarius heudelotii", "Infurcitinea graeca", "Infurcitinea tauridella", "Infurcitinea litochorella", "Infurcitinea albanica", "Infurcitinea parentii", "Infurcitinea siciliana", "Infurcitinea walsinghami", "Infurcitinea vartianae", "Infurcitinea reisseri", "Infurcitinea olympica", "Infurcitinea orchidella", "Infurcitinea nedae", "Infurcitinea tribertii", "Infurcitinea gaedikei", "Infurcitinea belviella", "Infurcitinea sardiniella", "Infurcitinea minuscula", "Infurcitinea klimeschi", "Infurcitinea taurus", "Infurcitinea yildizae", "Infurcitinea peterseni", "Infurcitinea karadaghica", "Infurcitinea arenbergeri", "Infurcitinea lakoniae", "Infurcitinea karsholti", "Cephalocassis bleekeri", "Infurcitinea monteiroi", "Infurcitinea amseli", "Infurcitinea grisea", "Cephalocassis borneensis", "Infurcitinea baldizzonei", "Infurcitinea cyprica", "Infurcitinea iranensis", "Infurcitinea turcica", "Infurcitinea zernyi", "Infurcitinea teheranensis", "Infurcitinea anatolica", "Infurcitinea nuristanica", "Infurcitinea maroccana", "Infurcitinea maura", "Infurcitinea lambessella", "Infurcitinea longipennis", "Infurcitinea megalopterella", "Tinea ruricolella", "Tinea personella", "Anomalotinea almaella", "Anomalotinea christophi", "Parochromolopis bicolor", "Parochromolopis fuscocostata", "Parochromolopis mexicana", "Parochromolopis parva", "Veronica semiglabrata", "Veronica sennenii", "Veronica siaretensis", "Peromyia bashfordi", "Peromyia despecta", "Passiflora sect.", "Peromyia debilis", "Peromyia cinalata", "Peromyia tasmanica", "Ansifera asetosa", "Ansifera gombakensis", "Ansifera japonica", "Ansifera longipalpus", "Ansifera malayensis", "Passiflora cerradensis", "Hexanematichthys mastersi", "Hexanematichthys sagor", "Phaeographis brasiliensis", "Phaeographis caesioradians", "Phaeographis ceratoides", "Phaeographis circumscripta", "Phaeographis colligata", "Hyphydrus elegans", "Nemapteryx armiger", "Phaeographis dendritica", "Phaeographis dendriticella", "Phaeographis dendroides", "Nemapteryx augusta", "Phaeographis elaeina", "Phaeographis eludens", "Veronica sibthorpioides", "Veronica stamatiadae", "Dryadaula hellenica", "Veronica stewartii", "Veronica sublobata", "Veronica surculosa", "Veronica syriaca", "Veronica szechuanica", "Veronica taiwanica", "Veronica tauricola", "Eudarcia balcanicum", "Veronica tenuifolia", "Eudarcia dalmaticum", "Veronica thessalica", "Veronica thymifolia", "Veronica thymoides", "Cephalocassis jatia", "Veronica tibetica", "Veronica trichadena", "Veronica triloba", "Veronica tsinglingensis", "Veronica tumadzhanovii", "Veronica turrilliana", "Veronica undulata", "Veronica uralensis", "Cephalocassis manillensis", "Veronica urticifolia", "Veronica urumovii", "Veronica vandellioides", "Veronica vanensis", "Veronica violaefolia", "Veronica viscosa", "Veronica yildirimlii", "Veronica yunnanensis", "Veronica \u00d7 media", "Cephalocassis melanochir", "Tinagma obscurofasciella", "Tinagma pulverilinea", "Cochlefelis burmanicus", "Cochlefelis danielsi", "Cochlefelis spatula", "Leucocraspedum chinense", "Leucocraspedum sinicum", "Pineus boerneri", "Plocosperma buxifolium", "Nuxia floribunda", "Stilbe albiflora", "Phaeographis punctiformis var. nylanderi", "Pineus laevis", "Amischa franzi", "Leptonia sanctaecrucis", "Leptonia onorei", "Monopis albomaculata", "Monopis luteocostalis", "Tinea fuscocostalis", "Tinea kasachica", "Ophthalmitis dissita", "Ophthalmitis longiprocessa", "Ophthalmitis brevispina", "Ophthalmitis tumefacta", "Gyrophaena metuenda", "Gyrophaena dabensis", "Hemiarius hardenbergi", "Gyrophaena neabeijingensis", "Gyrophaena singularitheca", "Gyrophaena zanettii", "Gyrophaena biflagellum", "Gyrophaena kangdingensis", "Hemiarius harmandi", "Gyrophaena sinoplicatella", "Gyrophaena imperita", "Gyrophaena pseudoschuelkei", "Gyrophaena sinoclaricornis", "Gyrophaena zhenpingensis", "Gyrophaena folii", "Gyrophaena sensitiva", "Gyrophaena deprehensionis", "Gyrophaena amplificationis", "Gyrophaena multilobata", "Cochlefelis insidiator", "Gyrophaena distortionis", "Gyrophaena lateappendiculata", "Encephalus appendicis", "Hemiarius stormii", "Encephalus appendiculatus", "Encephalus daxuemontis", "Encephalus schuelkei", "Encephalus tibetanus", "Encephalus yunnanensis", "Hemiarius verrucosus", "Sternotropa dabamontis", "Sternotropa erlangensis", "Sternotropa sinensis", "Phaeographis atromaculata", "Passiflora supersect.", "Peromyia grovei", "Peromyia nitoda", "Peromyia indecorata", "Peromyia warraensis", "Dryophthorus kaszabi", "Dryophthorus konishii", "Dryophthorus kusuii", "Dryophthorus ogasawaraensis", "Dryophthorus perahuae", "Dryophthorus rapaae", "Dryophthorus acarophilus", "Dryophthorus incertus", "Dryophthorus superbus", "Neocheritra amrita", "Stenommatus pulvereus", "Stenommatus ocularis", "Stenommatus fryi", "Stenommatus ferragui", "Stenommatus persimilis", "Stenommatus pseudoviettei", "Stenommatus parasulcifrons", "Stenommatus inflexus", "Stenommatus musae", "Stenommatus nanus", "Stenommatus sulcifrons", "Phyllopsora foliata", "Dryophthorus distinguendus", "Enochrus mastersii", "Tenagomysis nigeriensis", "Mycena interrupta", "Echiniscoides sigismundi", "Echiniscoides sigismundi galliensis", "Echiniscoides sigismundi groenlandicus", "Polypremum procumbens", "Tetrachondra hamiltonii", "Tetrachondra patagonica", "Cameraria philippinensis", "Cameraria pongamiae", "Cameraria palawanensis", "Phyllonorycter luzonica", "Eumetriochroa hederae", "Eumetriochroa miyatai", "Eumetriochroa kalopanacis", "Eumetriochroa hiranoi", "Metriochroa fraxinella", "Metriochroa syringae", "Talaurinus sulciventris", "Galvezia ballii", "Galvezia fruticosa", "Talaurinus acromialis", "Talaurinus angularis", "Leucospora multifida", "Talaurinus carpentariae", "Talaurinus gayndahensis", "Talaurinus illidgei", "Talaurinus inconspicuus", "Talaurinus megalongensis", "Talaurinus parvus", "Talaurinus septentrionalis", "Talaurinus vermicollis", "Talaurinus acutipennis", "Talaurinus carteri", "Talaurinus costipennis", "Asobara ajbelli", "Talaurinus fossulatus", "Asobara albiclava", "Talaurinus foveipennis", "Talaurinus foveogranulatus", "Talaurinus miliaris", "Talaurinus longipes", "Talaurinus irroratus", "Talaurinus mythitoides", "Talaurinus niveovittatus", "Talaurinus prypnoides", "Talaurinus sobrinus", "Talaurinus subvittatus", "Talaurinus tumulosus", "Dinotrema barrattae", "Dinotrema longworthi", "Dinotrema philipi", "Chorebus paranigricapitis", "Chorebus rodericki", "Linaria arvensis", "Linaria bipartita", "Linaria buriatica", "Linaria dalmatica", "Linaria incarnata", "Linaria japonica", "Linaria maroccana", "Linaria pinifolia", "Linaria saxatilis", "Linaria supina", "Linaria triphylla", "Adelges nordmannianae", "Pineus pini", "Leucocraspedum sinofestivum", "Leucocraspedum tronqueti", "Leucocraspedum xiaoxiangensis", "Cryptarius daugueti", "Phaeographis arthonioides", "Cryptarius truncatus", "Phaeographis asteriformis", "Phaeographis asteroides", "Myllaena gonggamontis", "Myllaena erlangensis", "Myllaena huamontis", "Myllaena major", "Myllaena sichuanensis", "Myllaena schuelkei", "Myllaena hubeiensis", "Myllaena problematica", "Philomina chinensis", "Philomina daxiangensis", "Philomina han", "Philomina minor", "Philomina smetanai", "Galeichthys ater", "Galeichthys feliceps", "Galeichthys peruvianus", "Gyrophaena sinolobata", "Gyrophaena sinodilatata", "Gyrophaena sinodivergens", "Gyrophaena guttula", "Gyrophaena magnappendiculata", "Gyrophaena plesiofacilis", "Gyrophaena aequalitatis", "Gyrophaena segmenti", "Gyrophaena munca", "Gyrophaena schuelkeiana", "Gyrophaena vocisnotae", "Gyrophaena sinopinguis", "Gyrophaena glareicola", "Gyrophaena dabamontis", "Gyrophaena aculeifera", "Gyrophaena jaegeri", "Gyrophaena gonggamontis", "Gyrophaena guttuloides", "Gyrophaena subguttula", "Gyrophaena zhouzhicola", "Gyrophaena cervicornoides", "Gyrophaena glacialides", "Gyrophaena pluridenticulata", "Gyrophaena ludingensis", "Gyrophaena erlangensis", "Hemiarius dioctes", "Gyrophaena anatis", "Talaurinus scalpularis", "Tenagomysis longisquama", "Talaurinus alternans", "Talaurinus alternatus", "Talaurinus angustatus", "Talaurinus catenulatus", "Talaurinus euomoides", "Talaurinus foveatus", "Tenagomysis longipes", "Talaurinus griseus", "Talaurinus howittii", "Talaurinus humeralis", "Talaurinus impressicollis", "Talaurinus incanescens", "Talaurinus lacunosus", "Talaurinus mitchellii", "Talaurinus pallidus", "Talaurinus papulosus", "Talaurinus parallelus", "Talaurinus rayneri", "Talaurinus rugicollis", "Talaurinus scabrosus", "Talaurinus sphaerulatus", "Talaurinus squamosus", "Talaurinus typicus", "Talaurinus angustus", "Talaurinus carinatus", "Talaurinus confusus", "Tenagomysis australis", "Talaurinus vitticollis", "Tenagomysis bruniensis", "Tenagomysis tasmaniae", "Tenagomysis thomsoni", "Tenagomysis similis", "Tenagomysis scotti", "Tenagomysis robusta", "Tenagomysis producta", "Tenagomysis tenuipes", "Tenagomysis chiltoni", "Tenagomysis macropsis", "Talaurinus brevior", "Tenagomysis tanzaniana", "Tenagomysis novaezealandiae", "Talaurinus bubaroides", "Talaurinus carinatifrons", "Talaurinus flaveolus", "Talaurinus halmaturinus", "Talaurinus plagiatus", "Talaurinus spiniger", "Ophthalmitis albosignaria", "Ophthalmitis albosignaria albosignaria", "Ophthalmitis albosignaria viridans", "Echiniscoides andamanensis", "Echiniscoides bruni", "Echiniscoides higginsi", "Echiniscoides horningi", "Echiniscoides pollocki", "Echiniscoides travei", "Abraxas karafutonis", "Russula adusta", "Russula amethystina", "Russula fragilis", "Passiflora sect.", "Rheumaptera flavipes", "Russula fellea", "Russula aeruginea", "Passiflora sect.", "Phlyctis argena", "Phlyctis brasiliensis", "Phlyctis ludoviciensis", "Phlyctis speirea", "Phlyctis subuncinata", "Phlyctis uncinata", "Phlyctis willeyi", "Phoebus hydrophobius", "Glareadessus stocki", "Glareadessus franzi", "Lampona cylindrata", "Lampona murina", "Perinaenia accipiter", "Perinaenia mingchyrica", "Perinaenia nigrifascia", "Perinaenia atripunctum", "Isoura fuscicollis", "Isoura clara", "Alboglossiphonia masonae", "Anumeta atrosignata", "Anumeta cestis", "Anumeta henkei", "Anumeta hilgerti", "Anumeta spilota", "Passiflora supersect.", "Calisto hendersoni", "Neocheritra fabronia", "Neocheritra amrita amrita", "Neocheritra amrita theodora", "Neocheritra fabronia fabronia", "Neocheritra fabronia lina", "Neocheritra fabronia xuwantashanus", "Neocheritra manata manata", "Neocheritra manata gertrudes", "Passiflora cincinnata", "Neocheritra namoa", "Babka gymnotrachelus", "Nuisiana arboris", "Chordodes mizoramensis", "Phaeographis epruinosa", "Phaeographis erumpens", "Phaeographis exilior", "Phaeographis fuscodisca", "Phaeographis girringunensis", "Sarcographina glyphiza", "Phaeographis haematites", "Phaeographis hypoglaucoides", "Phaeographis intricans", "Phaeographis inusta", "Phaeographis laevigata", "Phaeographis leiogrammodes", "Phaeographis lindigiana", "Phaeographis litoralis", "Phaeographis lobata", "Phaeographis lyellii", "Phaeographis medusiformis", "Phaeographis montiscalvi", "Phaeographis multicolor", "Phaeographis neotriconica", "Phaeographis neotricosa", "Phaeographis planiuscula", "Phaeographis platycarpa", "Phaeographis pruinosa", "Phaeographis punctiformis", "Phaeographis quadrifera", "Phaeographis scalpturata", "Phaeographis smithii", "Phaeographis subdividens", "Phaeographis subfulgurata", "Phaeographis subintricata", "Phaeographis submarcescens", "Phaeographis subtigrina", "Phaeographis tortuosa", "Phaeographis tuberculifera", "Phaeographis wilsonii", "Phaeographis yakushimensis", "Hyphydrus contiguus", "Hyphydrus decemmaculatus", "Hyphydrus lyratus", "Passiflora sect.", "Passiflora sect.", "Onthophagus amicus", "Onthophagus boucomonti", "Onthophagus karenensis", "Onthophagus khonkaenus", "Onthophagus papulatorius", "Onthophagus schoolmeestersi", "Bryocamptus stouti", "Phaeographis punctiformis var. punctiformis", "Epactophanes richardi", "Prophyllocnistis epidrimys", "Metriochroa latifoliella", "Metriochroa psychotriella", "Metriochroa inferior", "Metriochroa pergulariae", "Metriochroa tylophorae", "Metriochroa argyrocelis", "Metriochroa carissae", "Metriochroa scotinopa", "Metriochroa celidota", "Guttigera rhythmica", "Guttigera albicaput", "Cryphiomystis pentarcha", "Cryphiomystis aletreuta", "Cryphiomystis cyanolampra", "Ancylis barabashi", "Ancylis ussuricana", "Ancylis colonota", "Ancylis columbiana", "Ancylis comptanoides", "Ancylis convergens", "Ancylis cordiae", "Ancylis cornifoliana", "Ancylis coronopa", "Phyllopsora atrocarpa", "Phyllopsora brakoae", "Phyllopsora glaucescens", "Passiflora acuminata", "Phyllopsora labriformis", "Phyllopsora lividocarpa", "Phyllopsora nigrocincta", "Phyllopsora soralifera", "Phyllopsora ochroxantha", "Phyllopsora glaucella", "Passiflora gleasonii", "Phyllopsora cinchonarum", "Phyllopsora leucophyllina", "Phyllopsora cuyabensis", "Phyllopsora sorediata", "Phyllopsora chodatinica", "Phyllopsora conwayensis", "Phyllopsora methoxymicareica", "Phyllopsora neofoliata", "Phyllopsora homosekikaica", "Phyllopsora rappiana", "Dryophthorus japonicus", "Dryophthorus sculpturatus", "Dryophthorus corticalis", "Amblyodus castroi", "Amblyodus taurus", "Coynema poeyi", "Passiflora sect.", "Lophocampa lineata", "Lophocampa albitegula", "Lophocampa brunnea", "Phyllopsora bibula", "Phyllopsora byssiseda", "Liotrigona kinzelbachi", "Phyllopsora fendleri", "Phyllopsora intermediella", "Phyllopsora kiiensis", "Phyllopsora longiuscula", "Phyllopsora malcolmii", "Phyllopsora microdactyla", "Phyllopsora microphyllina", "Passiflora helleri", "Phyllopsora pertexta", "Phyllopsora pocsii", "Phyllopsora porphyromelaena", "Phyllopsora subhispidula", "Dacalana vidura", "Valenzuela flavus", "Mannagettaea hummelii", "Valenzuela flavistigma", "Maoripsocus fastigatus", "Nesogenes rotensis", "Odontites vernus", "Rhinanthus crista-galli", "Rhinanthus major", "Passiflora amethystina", "Fortiseode pervalimand", "Alectra atrosanguinea", "Alectra aurantiaca", "Alectra bainesii", "Alectra basserei", "Alectra basutica", "Alectra capensis", "Alectra dolichocalyx", "Alectra dunensis", "Alectra fruticosa", "Alectra glandulosa", "Anystis agilis", "Alectra gracilis", "Alectra hildebrandtii", "Alectra humbertii", "Alectra lancifolia", "Alectra linearis", "Alectra lurida", "Alectra natalensis", "Alectra orobanchoides", "Alectra parasitica", "Alectra picta", "Alectra pseudobarleriae", "Alectra pubescens", "Alectra rigida", "Alectra schoenfelderi", "Alectra sessiliflora", "Alectra thyrsoidea", "Alectra virgata", "Alectra vogelii", "Chaussieria aprica", "Chaussieria pilifera", "Chaussieria pulleni", "Chaussieria pumila", "Diademadrilus masseyi", "Bouchea prismatica", "Duranta serratifolia", "Duranta stenostachya", "Junellia ballsii", "Junellia crithmifolia", "Junellia fasciculata", "Junellia hookeriana", "Junellia lucanensis", "Junellia occulta", "Junellia origenes", "Lantana canescens", "Lantana microphylla", "Lantana nivea", "Lantana strigocamara", "Sundapsocus robertsoni", "Barrowia insularis", "Passiflora discophora", "Passiflora tryphostemmatoides", "Passiflora supersect.", "Ischnomesus spaercki", "Storthyngurella benti", "Rectisura furcata", "Disconectes madseni", "Eurycope gaussi", "Eurycope galatheae", "Protallocoxa abyssale", "Physcia alnophila", "Physcia subalbinea", "Haploniscus bicuspis", "Haploniscus bicuspis tepidus", "Parapygmephorus khorasanicus", "Piruna brunnea", "Piruna gyrans", "Anomaloblaste spinivalva", "Anomaloblaste treubia", "Anomaloblaste tribulosa", "Glossoblaste amamiensis", "Lasiopsocus michaelseni", "Lasiopsocus dicellus", "Lasiopsocus simulatus", "Lasiopsocus hollowayi", "Lasiopsocus brevipilosus", "Steleops buitrerensis", "Tanystigma maddeni", "Tanystigma westae", "Tanystigma tardipes", "Tanystigma inglewoodense", "Tanystigma edwardsi", "Tanystigma bifurcatum", "Tanystigma dubium", "Tanystigma notiale", "Tanystigma valvula", "Tanystigma paulum", "Tanystigma latimentulum", "Tanystigma elongatum", "Tanystigma striatifrons", "Tanystigma longitibia", "Anystis salicinus", "Anystis wallacei", "Anystis jabanica", "Chaussieria warregensis", "Cordylanthus laxiflorus", "Cordylanthus maritimus", "Chaussieria capensis", "Chaussieria dissimilis", "Cordylanthus mollis", "Chaussieria domestica", "Chaussieria sanctahelenae", "Cordylanthus palmatus", "Cordylanthus ramosus", "Cordylanthus wrightii", "Euphrasia collina", "Euphrasia hibiscus", "Erythracarus amnicolus", "Erythracarus avius", "Erythracarus ciliatus", "Erythracarus decoris", "Euphrasia officinalis", "Erythracarus elegans", "Euphrasia subexserta", "Erythracarus flavipes", "Erythracarus katherinae", "Erythracarus pyrrholeucus", "Hedbergia abyssinica", "Melampyrum lineare", "Melampyrum setaceum", "Erythracarus barbarus", "Erythracarus nasutus", "Anystis cornutum", "Tarsolarkus articulosus", "Erythracarus grahami", "Erythracarus festinus", "Erythracarus parietinus", "Rhagidia harmsworthi", "Walzia australica", "Synodus scituliceps", "Vanhoeffenura pulchra", "Synodus sechurae", "Synodus similis", "Synodus taiwanensis", "Synodus tectus", "Floromadane atrorubens", "Floromadane pictulus", "Floromadane tumens", "Piruna aea", "Piruna aea aea", "Piruna aea mexicana", "Placidiopsis cervinula", "Placidiopsis cinerascens", "Placidiopsis custnani", "Placidiopsis grappae", "Placidiopsis hypothallina", "Placidiopsis minor", "Placidiopsis pseudocinerea", "Piruna sina", "Piruna maculata", "Piruna ajijiciensis", "Dardarina rana", "Dardarina jonesi", "Dardarina castra", "Dalla grovius grovius", "Dalla grovius amba", "Pedicularis attollens", "Pedicularis bicornuta", "Pedicularis bracteosa", "Pedicularis canadensis", "Pedicularis centranthera", "Pedicularis chamissonis", "Pedicularis clarkei", "Pedicularis comosa", "Pedicularis crenulata", "Pedicularis densiflora", "Pedicularis dolichorrhiza", "Passiflora kuranda", "Pedicularis flava", "Pedicularis flexuosa", "Pedicularis foliosa", "Pedicularis furbishiae", "Pedicularis gracilis", "Pedicularis groenlandica", "Pedicularis integrifolia", "Pedicularis kusnetzovii", "Pedicularis lachnoglossa", "Pedicularis langsdorffii", "Pedicularis longiflora", "Pedicularis megalantha", "Pedicularis mollis", "Pedicularis myriophylla", "Pedicularis palustris", "Pedicularis pectinata", "Pedicularis procera", "Pedicularis resupinata", "Pedicularis rhodotricha", "Pedicularis roylei", "Pedicularis schizorrhyncha", "Pedicularis siphonantha", "Pedicularis trichoglossa", "Pedicularis tuberosa", "Pedicularis uliginosa", "Pedicularis verticillata", "Passiflora aurantia var. pubescens", "Passiflora aurantia var. aurantia", "Mouldsia barbarae", "Nimbopsocus hickmani", "Nimbopsocus thorntoni", "Lichenomima ampla", "Lophopterygella petersi", "Myopsocus brunneipes", "Myopsocus furcatus", "Myopsocus incomptus", "Myopsocus placidulus", "Myopsocus tropicus", "Macrosiphon fistulosus", "Rhamphicarpa medwedewii", "Seymeria cassioides", "Seymeria pectinata", "Siphonostegia chinensis", "Sopubia delphiniifolia", "Striga aequinoctialis", "Striga angolensis", "Striga aspera", "Anthoceros granulatus", "Acarospora orcuttii", "Pseudochrysops bornoi", "Pseudochrysops bornoi bornoi", "Pseudochrysops bornoi ecobioi", "Pseudochrysops bornoi yateritas", "Calpodes esperi", "Calpodes esperi esperi", "Calpodes esperi soroa", "Leptotes perkinsae", "Leptotes perkinsae perkinsae", "Leptotes perkinsae idealus", "Leptotes perkinsae hedgesi", "Prophaecasia anthion", "Prophaecasia caemelionopa", "Phlyctis subagelaea", "Phlyctis karnatakana", "Physma ahtianum", "Physma boryanum", "Physma byrsaeum", "Physma cataractaecola", "Physma chilense", "Physma hondoanum", "Physma plicatum", "Physma pseudoisidiatum", "Physma radians", "Tischeria zestica", "Tischeria ekebladoides", "Tischeria antilope", "Tischeria sparmanniae", "Tischeria martinkrugeri", "Coptotriche marginea", "Coptotriche angusticolella", "Coptotriche heinemanni", "Coptotriche longiciliatella", "Coptotriche tantalella", "Coptotriche berberella", "Coptotriche zimbabwiensis", "Coptotriche africana", "Coptotriche basipectinella", "Anania ochrofascialis", "Anania murcialis", "Hyles siehei", "Hyles siehei siehei", "Hyles siehei svetlana", "Orobrassolis latusoris", "Anastrepha conflua", "Anastrepha levefasciata", "Anastrepha nolazcoae", "Anastrepha paradentata", "Anastrepha raveni", "Anastrepha trivittata", "Anastrepha woodleyi", "Anastrepha mucronota", "Piccolia conspersa", "Piccolia crocea", "Piccolia elmeri", "Piccolia haematina", "Piccolia nannaria", "Piccolia ochrophora", "Piccolia wrightii", "Dalla grovius floxa", "Dalla agathocles agathocles", "Dalla agathocles polydesma", "Dalla agathocles lanna", "Dalla agathocles lonia", "Dalla costala costala", "Dalla costala ascha", "Dalla costala zona", "Dalla hesperioides hesperioides", "Dalla hesperioides hister", "Dalla polycrates polycrates", "Dalla polycrates ambala", "Dalla polycrates lania", "Dalla epiphaneus epiphaneus", "Dalla epiphaneus gaujoni", "Dalla epiphaneus poya", "Dalla epiphaneus anca", "Dalla epiphaneus limba", "Dalla epiphaneus junga", "Calisto israeli", "Cupido nagarensis", "Betula luminifera", "Digitivalva africana", "Digitivalva luteola", "Digitivalva trapezopa", "Acrolepiopsis halosticta", "Infurcitinea brunneopterella", "Eudarcia balcaicum", "Eudarcia kasyi", "Eudarcia lattakianum", "Eudarcia aureliani", "Novotinea klimeschi", "Betula megrelica", "Holothyrus coccinella", "Glyphodes onychinalis", "Holothyrus legendrei", "Synodus ulae", "Synodus usitatus", "Synodus variegatus", "Parochromolopis synerata", "Parochromolopis floridana", "Tinagma gigantea", "Tinagma brunneofasciatum", "Tinagma powelli", "Tinagma californicum", "Tinagma mexicanum", "Betula microphylla", "Passiflora cinnabarina", "Orobrassolis ornamentalis", "Coptotriche zelleriella", "Betula ovalifolia", "Pammene casticola", "Orthocarpus bracteosus", "Orthocarpus cuspidatus", "Orthocarpus imbricatus", "Orthocarpus luteus", "Orthocarpus purpureoalbus", "Orthocarpus tenuifolius", "Orthocarpus tolmiei", "Pammene aceris", "Pammene adusta", "Pammene ainorum", "Pammene ignorata", "Pammene japonica", "Pammene luculentana", "Pammene nemorosa", "Pammene shicotanica", "Pammene avetianae", "Pammene caeruleata", "Pammene caliginosa", "Astragalus nitidiflorus", "Pammene exscribana", "Pammene festiva", "Pammene flavicellula", "Pammene griseomaculana", "Pammene insolentana", "Pammene instructana", "Pammene monotincta", "Pammene nequior", "Pammene nescia", "Pammene oreina", "Pammene orientana", "Pammene pullana", "Arctia flavia", "Pammene subsalvana", "Pammene tauriana", "Pammene tsugae", "Pammene bathysema", "Placopsis antarctica", "Placopsis asahinae", "Placopsis aspicilioides", "Placopsis bicolor", "Placopsis brachyloba", "Placopsis centrifuga", "Placopsis clavifera", "Placopsis cribellans", "Placopsis fusciduloides", "Placopsis hertelii", "Placopsis lambii", "Placopsis microphylla", "Placopsis murrayi", "Placopsis parellina", "Placopsis perrugosa", "Placopsis pruinosa", "Placopsis rhodophthalma", "Placopsis roseonigra", "Placopsis stenophylla", "Placopsis subcribellans", "Placopsis ampliata", "Lathraea clandestina", "Placopsis elixii", "Placopsis macrospora", "Lindenbergia hookeri", "Placopsis polycarpa", "Placopsis durietziorum", "Placopsis venosa", "Parentucellia viscosa", "Adelges kitamiensis", "Parastethynium hirsutum", "Heliconius hecuba", "Heliconius hecuba hecuba", "Heliconius hecuba bonplandi", "Heliconius hecuba lamasi", "Heliconius hecuba creusa", "Heliconius hecuba salazari", "Heliconius leucadia", "Heliconius leucadia leucadia", "Heliconius leucadia pseudorhea", "Heliconius leucadia birgitae", "Heliconius leucadia andromeda", "Striga bilabiata", "Striga brachycalyx", "Striga chrysantha", "Striga curviflora", "Striga dalzielii", "Striga elegans", "Striga ellenbergeri", "Striga gastonii", "Striga glumacea", "Striga gracillima", "Striga hallaei", "Striga hirsuta", "Striga junodii", "Striga klingii", "Striga latericea", "Striga lepidagathidis", "Striga lutea", "Striga macrantha", "Striga multiflora", "Striga parviflora", "Striga passargei", "Striga pinnatifida", "Striga primuloides", "Striga pubiflora", "Striga squamigera", "Striga sulphurea", "Striga yemenica", "Triphysaria pusilla", "Diascia barberae", "Leucophyllum candidum", "Leucophyllum frutescens", "Betula tianschanica", "Tarentola fascicularis", "Tarentola fascicularis fascicularis", "Tarentola fascicularis wolfgangi", "Myrsidea bubalornithis", "Passiflora supersect.", "Passiflora supersect.", "Chironomus quinnitukqut", "Carabus variolosus", "Carabus variolosus variolosus", "Carabus variolosus nodulosus", "Myoporum sandwicense", "Myoporum tetrandrum", "Bucklandiella allanfifei", "Scrophularia nudata", "Scrophularia villosa", "Verbascum adzharicum", "Verbascum epixanthinum", "Dermatobotrys saundersii", "Phygelius capensis", "Pseudomelasma pedicularioides", "Trixago versicolor", "Halleria lucida", "Apsectrotanypus maculosus", "Lippia scaberrima", "Mulguraea ligustrina", "Mulguraea tridens", "Phyla lanceolata", "Phyla stoechadifolia", "Priva lappulacea", "Rhaphithamnus spinosus", "Tamonea boxiana", "Sanguisorba armena", "Potentilla micrantha", "Asperula gracilis", "Achillea sintenisii", "Microrhagus klapperichi", "Cupes sibyllae", "Paracypria tenuis", "Ilyodromus stanleyanus", "Ilyodromus obtusus", "Ilyodromus smaragdinus", "Ilyodromus substriatus", "Ilyodromus varrovillius", "Heterocypris incongruens", "Herpetocypris pascheri", "Eucypris lateraria", "Eucypris sanguineus", "Eucypris virens", "Diacypris thomsoni", "Cypris kaiapoiensis", "Cypretta turgida", "Cypretta viridis", "Cyprinotus sarsi", "Cyprinotus flavescens", "Cypridopsis obstinata", "Cypridopsis vidua", "Prionocypris marplesi", "Plesiocypridopsis jolleae", "Cypridopsis australis", "Cypridopsis funebris", "Cypridopsis globulus", "Ilyocypris fallax", "Incrustatus comauensis", "Knopia octocontacanalis", "Moolabalia nevillecolemani", "Rhodelinda gardineri", "Scyphopodium ingolfi", "Stereosoma celebense", "Stereotelesto corallina", "Clavularia alba", "Clavularia arctica", "Coelogorgia palmosa", "Pseudogorgia godeffroyi", "Tubipora chamissonis", "Tubipora fimbriata", "Tubipora syringa", "Tubipora hemprichi", "Apocynum \u00d7 floribundum", "Telesto sanguinea", "Telesto setoutiana", "Telesto smithi", "Telesto trichostemma", "Telesto tubulosa", "Platygramme discurrens", "Platygramme flexuosa", "Euconnus matsunoyamensis", "Telesto rubra", "Telesto rupicola", "Telesto arthuri", "Platygramme fuscescens", "Oosternum sugitai", "Platygramme mucronata", "Platygramme muelleri", "Oosternum shigehisai", "Oosternum toshiiei", "Platygramme pachyspora", "Telesto ambigua", "Platygramme platyloma", "Oosternum attacomis", "Platygramme arechavaletae", "Platygramme australiensis", "Platygramme caesiopruinosa", "Platygramme colubrosa", "Platygramme commutabilis", "Cercyon sanaii", "Passiflora supersect.", "Agathidium ushijimai", "Scaphoxium saigoi", "Cephennomicrus nomurai", "Cephennomicrus hobbiti", "Cephennomicrus japonigenus", "Cephennomicrus cactiformis", "Telesto arborea", "Telesto aurantiaca", "Telesto californica", "Telesto corallina", "Telesto flavula", "Telesto fruticulosa", "Telesto nelleae", "Telesto nuttingi", "Euconnus unpini", "Telesto pelasgica", "Telesto prolifera", "Betula turkestanica", "Punctelia involuta", "Jamesbrittenia breviflora", "Jamesbrittenia foliolosa", "Jamesbrittenia grandiflora", "Phyllopodium cordatum", "Phyllopodium heterophyllum", "Punctelia jujensis", "Passiflora sect.", "Polycarena rariflora", "Passiflora sect.", "Selago albida", "Selago speciosa", "Zaluzianskya ovata", "Bontia daphnoides", "Eremophila bowmanii", "Balticoroma wheateri", "Eremophila debilis", "Eremophila deserti", "Eremophila gilesii", "Eremophila glabra", "Eremophila latrobei", "Eremophila longifolia", "Eremophila maculata", "Neocypholaelaps ceylonicus", "Eremophila mitchellii", "Eremophila nivea", "Eremophila oppositifolia", "Eremophila polyclada", "Eremophila santalina", "Eremophila serrulata", "Eremophila sturtii", "Cladonia cinerella", "Myoporum acuminatum", "Myoporum montanum", "Myoporum parvifolium", "Myoporum platycarpum", "Asperula taurina", "Ochromolopis kaszabi", "Acrolepiopsis sinense", "Acrolepiopsis deltoides", "Digitivalva asiatica", "Digitivalva hoenei", "Tinagma minutissima", "Tinagma klimeschi", "Psilalcis stueningi", "Passiflora sect.", "Psilalcis diorthogonia", "Passiflora ser.", "Bembecia ichneumoniformis", "Bembecia fokidensis", "Bembecia igueri", "Bembecia molleti", "Bembecia peterseni", "Bembecia abromeiti", "Bembecia afghana", "Passiflora ser.", "Heiomasia seaveyorum", "Bembecia megillaeformis megillaeformis", "Bembecia megillaeformis luqueti", "Bembecia pontica", "Bembecia pontica pontica", "Bembecia pontica turcmena", "Bembecia sanguinolenta", "Bembecia sanguinolenta sanguinolenta", "Bembecia sanguinolenta transcaucasica", "Bembecia sirphiformis", "Bembecia hofmanni", "Verbena calinfera", "Verbena falcata", "Verbena halei", "Verbena hirtella", "Verbena incompta", "Verbena livermorensis", "Verbena madrensis", "Verbena moctezumae", "Verbena moranii", "Verbena sagittalis", "Verbena subpetiolata", "Verbena xylopoda", "Platanus \u00d7 hispanica", "Pseudoganisa currani", "Turnera ser.", "Phaeographopsis indica", "Phaeographopsis neotropica", "Phaeographopsis palaeotropica", "Turnera ser.", "Turnera ser.", "Cervera inermis", "Mammuthus imperator", "Cornularia aurantiaca", "Cornularia australis", "Cornularia cornucopiae", "Acrossota amboinensis", "Acrossota liposclera", "Pseudocladochonus hicksoni", "Danio albolineatus", "Alstroemeria stenopetala", "Poeltinula cerebrina", "Poeltinula cerebrinella", "Lychas marmoreus", "Fulgurofusus marshalli", "Fulgurofusus maxwelli", "Turnera ser.", "Oosternum costatum", "Platygramme praestans", "Oosternum pubescens", "Oosternum sahlbergi", "Oosternum sculptum", "Platygramme pseudomontagnei", "Oosternum soricoides", "Oosternum sharpi", "Platygramme pudica", "Platygramme reticulata", "Paroosternum degayanum", "Paroosternum sorex", "Paroosternum saundersi", "Aucuba chinensis", "Aucuba himalaica", "Garrya elliptica", "Oosternum takedai", "Carijoa riisei", "Garrya fadyenii", "Carijoa operculata", "Garrya flavescens", "Garrya fremontii", "Garrya wrightii", "Garrya \u00d7 thuretii", "Oosternum asperrimum", "Oosternum atramentarium", "Oosternum robiginosum", "Oosternum rudicolle", "Oosternum sericicolle", "Carijoa africana", "Carijoa multiflora", "Telestula batoni", "Telestula humilis", "Telestula kuekenthali", "Telestula septentrionalis", "Telestula stocki", "Telestula verseveldti", "Paratelesto rosea", "Bembecia coreacola", "Bembecia kaszabi", "Bembecia montis", "Bembecia sinensis", "Bembecia ussuriensis", "Bembecia flavida", "Bembecia himmighoffeni", "Bembecia hymenopteriformis", "Bembecia uroceriformis", "Bembecia uroceriformis uroceriformis", "Bembecia uroceriformis armoricana", "Bembecia apyra", "Bathytelesto rigida", "Bembecia apyra apyra", "Bembecia apyra johannesi", "Cervera aggregata", "Bembecia fibigeri", "Cervera atlantica", "Cervera komaii", "Cervera minuta", "Bembecia iberica", "Cervera sagamiensis", "Bembecia martensi", "Bathytelesto tubuliporoides", "Bembecia priesneri", "Cryptophyton goddardi", "Bembecia pavicevici", "Bembecia pavicevici pavicevici", "Bembecia pavicevici dobrovskyi", "Bembecia scopigera", "Bembecia deserticola", "Bembecia kryzhanovskii", "Bembecia pyronigra", "Bembecia vidua", "Acca venilia", "Platygraphopsis interrupta", "Hypsopygia regina", "Hypsopygia iwamotoi", "Hypsopygia kawabei", "Leucogymnospora intricata", "Tisis phuruaensis", "Tisis gloriosa", "Xyloschistes platytropa", "Polycentropus minero", "Polycentropus itatiaia", "Polycentropus fluminensis", "Rhexia cubensis", "Mandevilla boliviensis", "Figulus nitens", "Asclepias crispa", "Enochrus peregrinus", "Bembecia viguraea", "Bembecia auricaudata", "Bembecia polyzona", "Flavinarosa holoxanthia", "Flavinarosa obscura", "Flavinarosa paucispina", "Flavinarosa alius", "Flavinarosa glaesa", "Flavinarosa luna", "Fuchsia \u00d7 hybrida", "Bembecia magnifica", "Bembecia aye", "Chiricahua lichenaria", "Chiricahua multidentata", "Nemapogon clematella", "Nemapogon levantinus", "Triaxomasia caprimulgella", "Neurothaumasia macedonica", "Tenaga nigripunctella", "Matratinea rufulicaput", "Eudarcia pagenstecherella", "Eudarcia graecum", "Lichenotinea pustulatella", "Agnathosia mendicella", "Myrmecozela ataxella", "Ateliotum syriaca", "Cephimallota tunesiella", "Ceratuncus danubiella", "Ceratuncus kirghizstana", "Reisserita zelleri", "Anomalotinea liguriella", "Anomalotinea gardesanella", "Tinea pellionella", "Tinea semifulvella", "Niditinea fuscella", "Niditinea tugurialis", "Zizeeria karsandra", "Metatinea immaculatella", "Phereoeca allutella", "Monopis obviella", "Opogona omoscopa", "Zizeeria knysna", "Fractipons cincticornis", "Fractipons dasyscutum", "Fractipons glabriusculus", "Medinilla speciosa", "Polycentropus ancistrus", "Polycentropus boraceia", "Polycentropus carioca", "Polycentropus froehlichi", "Polycentropus galharada", "Polycentropus rosalysae", "Polycentropus acinaciformis", "Polycentropus cipoensis", "Polycentropus paprockii", "Polycentropus cachoeira", "Polycentropus virginiae", "Polycentropus verruculus", "Polycentropus soniae", "Polycentropus tripui", "Polycentropus graciosa", "Polycentropus amphirhamphus", "Polycentropus caaete", "Polycentropus inusitatus", "Polycentropus santateresae", "Polycentropus cheliceratus", "Polycentropus carolae", "Gwawinapterus beardi", "Tibouchina sect.", "Tibouchina sect.", "Tibouchina sect.", "Sephisa dichroa", "Sephisa dichroa dichroa", "Sephisa dichroa tsekouensis", "Sephisa dichroa chinensis", "Perittia weberella", "Pleroma gaudichaudianum", "Gnorimoschema elbursicum", "Scrobipalpa zouhari", "Scrobipalpa meteorica", "Entephria cyanata", "Entephria cyanata cyanata", "Entephria cyanata gerennae", "Agriphila asiatica", "Agriphila amseli", "Copelatus convexus", "Catoptria wolfi", "Talis renetae", "Tischeria berberella", "Oligia latruncula", "Oligia latruncula latruncula", "Oligia latruncula erewani", "Stenoptinea cyaneimarmorella", "Tinagma perdicella", "Tinagma ocnerostomella", "Ochromolopis staintonella", "Oryx beisa", "Montescardia tessulatellus", "Triaxomera parasitella", "Nemapogon cloacella", "Nemapogon wolffiella", "Nemapogon nigralbella", "Nemapogon ruricolella", "Flavinarosa acantha", "Flavinarosa kozyavka", "Flavinarosa ptaha", "Clavaria zollingeri", "Polyblastia abscondita", "Polyblastia agraria", "Polyblastia albida", "Polyblastia australis", "Polyblastia bryophila", "Polyblastia clandestina", "Polyblastia cruenta", "Polyblastia cucurbitula", "Polyblastia cupularis", "Polyblastia dermatodes", "Polyblastia efflorescens", "Polyblastia epigaea", "Polyblastia fuscoargillacea", "Polyblastia gothica", "Polyblastia gotlandica", "Polyblastia helvetica", "Polyblastia hyperborea", "Polyblastia integrascens", "Polyblastia melaspora", "Polyblastia moravica", "Polyblastia nidulans", "Polyblastia obsoleta", "Polyblastia philaea", "Polyblastia quartzina", "Polyblastia schaereriana", "Polyblastia sendtneri", "Polyblastia septentrionalis", "Polyblastia sepulta", "Polyblastia theleodes", "Polyblastia verrucosa", "Polyblastia viridescens", "Polyblastia lutosa", "Polyblastia hyperborea var. hyperborea", "Polyblastia hyperborea var. macrospora", "Pelocyon jeanneli", "Neocyema erythrosoma", "Cyema atrum", "Corynoptera winnertzi", "Corynoptera postglobiformis", "Corynoptera cavipes", "Corynoptera concinna", "Physopleurus rafaeli", "Oeneis chryxus", "Oeneis chryxus chryxus", "Oeneis chryxus socorro", "Oeneis chryxus stanislaus", "Harpadon erythraeus", "Harpadon microchir", "Harpadon nehereus", "Harpadon squamosus", "Harpadon translucens", "Eueides lampeto brownsbergensis", "Schinia carrizoensis", "Gomphocarpus cancellatus", "Matelea biflora", "Matelea cynanchoides", "Corynoptera perpusilla", "Amirantea gardineri", "Amirantea aldabrensis", "Fuchsia bracelinae", "Fuchsia brevilobis", "Fuchsia glazioviana", "Fuchsia hatschbachii", "Ptinella dentata", "Ptinella gomyi", "Ptinella mystica", "Ptinella parva", "Ptinella similata", "Ptinella galapagana", "Ptinella microscopica", "Ptinella limbata", "Ptinella pini", "Pseudocyphellaria argyracea", "Ptinella quercus", "Furchadaspis zamiae", "Parlatoria desolator", "Lepidosaphes pallidula", "Lepidosaphes pallida", "Ochrosia compta", "Lacmellea utilis", "Parahancornia fasciculata", "Funastrum clausum", "Mandevilla martii", "Fuchsia andrei", "Fuchsia austromontana", "Fuchsia abrupta", "Fuchsia pilosa", "Fuchsia confertifolia", "Fuchsia decussata", "Fuchsia furfuracea", "Fuchsia gehrigeri", "Fuchsia glaberrima", "Fuchsia hirtella", "Fuchsia loxensis", "Fuchsia lehmannii", "Fuchsia \u00d7 caracasensis", "Ponticola eurycephalus", "Ponticola cephalargoides", "Ponticola ratan", "Ponticola syrman", "Verbascum yurtkuranianum", "Centaurea lydia", "Campanula ekimiana", "Centaurea haradjianii", "Fuchsia llewelynii", "Fuchsia macrostigma", "Zelkova carpinifolia", "Pseudosagedia crocynioides", "Hyponephele narica", "Hyponephele narica narica", "Hyponephele narica ambialtaica", "Celtis occidentalis", "Pseudosagedia rhaphidosperma", "Celtis sinensis", "Pseudosagedia austriaca", "Fuchsia matthewsii", "Fuchsia canescens", "Fuchsia hartwegii", "Fuchsia cuatrecasasii", "Fuchsia aquaviridis", "Neogobius fluviatilis", "Ponticola kessleri", "Mesogobius batrachocephalus", "Haplophyton crooksii", "Chlerogas tatamaensis", "Chlerogas cooperi", "Tabernaemontana alternifolia", "Tabernaemontana aurantiaca", "Tabernaemontana donnell-smithii", "Tabernaemontana grandiflora", "Chlerogas araguaensis", "Chlerogas boliviensis", "Chlerogas colombiensis", "Chlerogas cyaneus", "Chlerogas nephos", "Voacanga africana", "Chlerogas tiara", "Chlerogas townesi", "Voacanga thouarsii", "Chlerogas chlerogas", "Chlerogas hirsutipennis", "Costus barbatus", "Celtis bungeana", "Pseudosagedia laticarpa", "Pseudosagedia leptospora", "Pseudosagedia obsoleta", "Bauhinia sect.", "Pseudosagedia oleriana", "Pseudosagedia papillifera", "Celtis koraiensis", "Pseudosagedia rapaeformis", "Pseudosagedia umbilicata", "Corynoptera praevia", "Corynoptera nigrocauda", "Corynoptera diligenta", "Corynoptera perornata", "Corynoptera caustica", "Corynoptera karlkulbei", "Corynoptera chaetospina", "Corynoptera sphenoptera", "Schnella sect.", "Tanvia zolotuhini", "Schnella sect.", "Tanvia sabinae", "Bembecia oxytropidis", "Bembecia gobica", "Linhenykus monodactylus", "Talaurinus crenulatus", "Solanum mauritianum", "Talaurinus scabricollis", "Talaurinus fergusoni", "Talaurinus suttoni", "Talaurinus imitator", "Talaurinus inaequalis", "Talaurinus strangulatus", "Catocala seibaldi", "Capsella rubella", "Pyrenothrix nigra", "Pyrenothrix mexicana", "Pyrgillus boninensis", "Pyrgillus cubanus", "Pyrgillus fuscus", "Pyrgillus indicus", "Pyrgillus javanicus", "Kerivoula hardwickii depressa", "Hypena nakajimai", "Hypena gushichan", "Hypena tominagai", "Atherina presbyter", "Ptychographa xylographoides", "Caerulea coelestis", "Caerulea coeligena", "Corynoptera sedula", "Corynoptera consumpta", "Pyrenocollema atlanticum", "Pyrenocollema prospersella", "Corynoptera subsedula", "Pyrenocollema tichothecioides", "Corynoptera uncata", "Corynoptera dubitata", "Wattius cucullatus", "Gargaphia solani", "Gargaphia decoris", "Talaurinus bucephalus", "Talaurinus carinatior", "Talaurinus hystrix", "Talaurinus leai", "Talaurinus perplexus", "Talaurinus posticalis", "Talaurinus simplex", "Talaurinus crassiceps", "Talaurinus regularis", "Pseudocyphellaria neglecta", "Pseudocyphellaria norvegica", "Pseudocyphellaria nudata", "Pseudocyphellaria perpetua", "Pseudocyphellaria pilosella", "Pseudocyphellaria prolificans", "Pseudocyphellaria punctillaris", "Pseudocyphellaria rainierensis", "Pseudocyphellaria reineckeana", "Pseudocyphellaria richardii", "Pseudocyphellaria rigida", "Pseudocyphellaria rubrina", "Pseudocyphellaria rufovirescens", "Pseudocyphellaria sayeri", "Pseudocyphellaria semilanata", "Pseudocyphellaria sericeofulva", "Pseudocyphellaria soredioglabra", "Pseudocyphellaria stenophylla", "Pseudocyphellaria sulphurea", "Neogobius melanostomus", "Pseudocyphellaria trichophora", "Pseudocyphellaria verrucosa", "Pseudocyphellaria wilkinsii", "Macrostylis abyssicola", "Iraponia scutata", "Proterorhinus semilunaris", "Proterorhinus marmoratus", "Macrostylis subinermis", "Fuchsia sylvatica", "Fuchsia ayavacensis", "Dryadaula pactolia", "Dryadaula panscia", "Dryadaula placens", "Dryadaula poecilta", "Dryadaula rhombifera", "Dryadaula selenophanes", "Dryadaula sublimis", "Dryadaula terpsichorella", "Sarcosagium campestre var. campestre", "Dryadaula trapezoides", "Dryadaula tripudians", "Dryadaula visaliella", "Dryadaula zinica", "Dryadaula zygodes", "Dryadaula zygoterma", "Nemapogon robusta", "Sarcosagium campestre var. macrosporum", "Nemapogon echinata", "Nemapogon agnathosella", "Nemapogon picarella", "Triaxomasia orientanus", "Guiyu oneiros", "Hedychium \u00d7 wilkeanum", "Liubangosaurus hei", "Torodora karismata", "Torodora youwon", "Caveana diemseoki", "Triviola puiensis", "Nemapogon flavifrons", "Nemapogon inconditella", "Nemapogon brandti", "Nemapogon variatella", "Hedychium longicornutum", "Nemapogon asyntacta", "Antidorcas marsupialis angolensis", "Antidorcas marsupialis hofmeyri", "Sarcographa medusulina", "Sarcographa melanocarpa", "Sarcographa oculata", "Talaurinus kirbii", "Sarcographa ramificans", "Sarcographa subtricosa", "Sarcographa tricosa", "Sarcographa verrucosa", "Talaurinus laevicollis", "Talaurinus maculipennis", "Talaurinus simplicipes", "Talaurinus multigranulatus", "Talaurinus simulator", "Laccobius atrocephalus", "Talaurinus roei", "Talaurinus semispinosus", "Talaurinus rugifer", "Talaurinus scaber", "Talaurinus verrucosus", "Talaurinus tuberculosus", "Polyoppia baloghi", "Dryadaula ussurica", "Dryadaula multifurcata", "Dryadaula acrodisca", "Dryadaula advena", "Dryadaula amentata", "Dryadaula anthracodeta", "Dryadaula anthracorma", "Dryadaula boviceps", "Dryadaula brontoctypa", "Dryadaula castanea", "Dryadaula catorthota", "Telosentis exiguus", "Sarcosagium campestre", "Dryadaula caucasica", "Dryadaula discatella", "Dryadaula epixantha", "Dryadaula germana", "Dryadaula eutactopa", "Dryadaula glycinoma", "Dryadaula glycinopa", "Dryadaula heindeli", "Dryadaula irinae", "Dryadaula isodisca", "Dryadaula marmoreipennis", "Dryadaula melanoptycha", "Dryadaula melanorma", "Dryadaula mesosticha", "Dryadaula metrodoxa", "Dryadaula murenula", "Dryadaula myrrhina", "Dryadaula napaea", "Cyclargus ammon", "Cyclargus dominica", "Cyclargus kathleena", "Cyclargus sorpresus", "Cyclargus oualiri", "Cyclargus shuturn", "Incadorcus ashaninka", "Incadorcus ayamaranus", "Incadorcus paulseni", "Incadorcus cuzcoensis", "Onorelucanus aequatorianus", "Onorelucanus boileaui", "Onorelucanus marujae", "Onorelucanus nigrosuturalis", "Onorelucanus noguchii", "Onorelucanus pulverosus", "Onorelucanus rufolineatus", "Pristapenesia asiatica", "Encarsia heratyi", "Corynoptera montana", "Oeceoclades maculata", "Sciara fusca", "Corynoptera stipidaria", "Sarcographa concisa", "Sarcographa elmeri", "Sarcographa fenicis", "Sarcographa heteroclita", "Isodemis guangxiensis", "Isodemis hainanensis", "Isodemis quadrata", "Sarcographa labyrinthica", "Merulempista digitata", "Merulempista rubriptera", "Marstonia comalensis", "Sarcographa lactea", "Sarcographa maculata", "Ptinella impressicollis", "Ptinella concinna", "Actidium flavoterminum", "Pseudocyphellaria bartlettii", "Pseudocyphellaria beccarii", "Pseudocyphellaria berteroana", "Pseudocyphellaria billardierei", "Pseudocyphellaria boryana", "Pseudocyphellaria brattii", "Pseudocyphellaria carpoloma", "Pseudocyphellaria chloroleuca", "Pseudocyphellaria corbettii", "Pseudocyphellaria crocata", "Pseudocyphellaria crocatoides", "Pseudocyphellaria desfontainii", "Pseudocyphellaria dissimilis", "Spinitibia hodgesi", "Pseudocyphellaria divulsa", "Pseudocyphellaria dozyana", "Pseudocyphellaria durietzii", "Pseudocyphellaria exanthematica", "Pseudocyphellaria faveolata", "Pseudocyphellaria fimbriata", "Pseudocyphellaria fimbriatoides", "Pseudocyphellaria freycinetii", "Pseudocyphellaria gilva", "Pseudocyphellaria glabra", "Pseudocyphellaria glaucescens", "Pseudocyphellaria godeffroyi", "Pseudocyphellaria granulata", "Pseudocyphellaria gretae", "Pseudocyphellaria haywardiorum", "Pseudocyphellaria imbricatula", "Pseudocyphellaria insculpta", "Pseudocyphellaria intricata", "Pseudocyphellaria knightii", "Pseudocyphellaria lacerata", "Pseudocyphellaria lindsayi", "Pseudocyphellaria maculata", "Pseudocyphellaria mallota", "Pseudocyphellaria meyenii", "Pseudocyphellaria mooreana", "Pseudocyphellaria multifida", "Sabatia angularis", "Eupholus messagieri", "Sabatia campanulata", "Sabatia campestris", "Sabatia gentianoides", "Sabatia kennedyana", "Eupholus nagaii", "Eupholus rigouti", "Eupholus saugrenus", "Exacum affine", "Eupholus chaminadei", "Exacum teres", "Exacum trinervium", "Eupholus ducopeaui", "Eupholus hudsoni", "Eupholus labbei", "Eupholus kotaseaoi", "Eupholus malotrus", "Eupholus sofia", "Eupholus suhandai", "Irlbachia alata", "Eupholus detanii", "Eupholus kuntzmannorum", "Eupholus lacordairei", "Eupholus leblanci", "Eupholus waigeuensis", "Eupholus schneideri", "Eupholus vlasimskii", "Eupholus sedlaceki", "Eupholus mimicus", "Crawfurdia speciosa", "Crawfurdia trinervis", "Scoliciosporum pensylvanicum", "Boletus erythropus", "Curcuma subg.", "Ponticola platyrostris", "Proterorhinus tataricus", "Ridens allyni", "Myrinia raymundo", "Pythonides mundo", "Antidorcas marsupialis marsupialis", "Hedychium \u00d7 moorei", "Baeonectes ochotensis", "Sclerophora amabilis", "Sclerophora coniophaea", "Sclerophora farinacea", "Carabus edithae", "Rumex thyrsiflorus", "Sclerophora peronella", "Sclerophora sanguinea", "Neodiscopoma crenulatum", "Neodiscopoma elegans", "Neodiscopoma franzi", "Neodiscopoma potchefstroomensis", "Neodiscopoma persica", "Neodiscopoma splendida", "Neodiscopoma pulcherrima", "Uroobovella graeca", "Scoliciosporum umbrinum var. umbrinum", "Curcuma subg.", "Poecilia parae", "Scoliciosporum umbrinum var. compactum", "Eupholus amalulu", "Eupholus clarki", "Eupholus dhuyi", "Centaurium littorale", "Eupholus euphrosyne", "Eupholus fleurenti", "Chironia baccifera", "Eupholus helleri", "Eupholus hephaistos", "Eupholus lachaumei", "Longior longior", "Allonychiurus antennalis", "Corynoptera luteofusca", "Gentiana brachyphylla subsp. favratii", "Gentiana fetisowii", "Gentiana froelichii", "Gentiana \u00d7 gentianella", "Gentiana glauca", "Gentiana terglouensis", "Gentiana kurroo", "Gentiana loureiroi", "Gentiana ornata", "Gentiana parryi", "Gentiana platypetala", "Gentiana przewalskii", "Gentiana puberulenta", "Gentiana pumila", "Gentiana purdomii", "Gentiana rostanii", "Gentiana setigera", "Gentiana straminea", "Megacodon stylophorus", "Gentiana uchiyamae", "Pycnosomia asterophila", "Gentianella quinquefolia", "Pycnosomia coxata", "Pycnosomia strongylocentroti", "Pycnosomia tuberculata", "Gentianopsis barbata", "Gentianopsis crinita", "Gentianopsis detonsa", "Gentianopsis holopetala", "Gentianopsis simplex", "Halenia corniculata", "Halenia elliptica", "Jaeschkea canaliculata", "Corynoptera subsaccata", "Corynoptera inexspectata", "Anthene emolus", "Anthene emolus emolus", "Corynoptera grothae", "Anthene emolus andamanicus", "Anthene emolus goberus", "Corynoptera saetistyla", "Anthene emolus javanus", "Anthene emolus minor", "Anthene emolus modesta", "Anthene licates", "Anthene licates addenda", "Anthene licates dusuntua", "Anthene licates licates", "Anthene licates philetas", "Anthene lycaenolus", "Corynoptera flavicauda", "Corynoptera hypopygialis", "Turesis tabascoensis", "Decinea mustea", "Poanes benito", "Gentiana affinis", "Gentiana alba", "Gentiana gelida", "Gentiana makinoi", "Gentiana angustifolia", "Gentiana bigelovii", "Gentiana burseri", "Gentiana clusii", "Gentiana dinarica", "Gentiana douglasiana", "Gentiana elwesii", "Gentiana lawrencei var. farreri", "Quasimellana eulogius", "Segestria lectissima", "Gentianella auriculata", "Segestria leptalea", "Segestria mammillosa", "Segestria octomera", "Segestria rubentior", "Hypostrymon critola", "Heliconius demeter", "Calypso bulbosa", "Copelatus aphroditae", "Copelatus fossilis", "Copelatus ponomarenkoi", "Copelatus stavropolitanus", "Copelatus predaveterus", "Cachiporra extremaglobosa", "Obolaria virginica", "Swertia angustifolia", "Swertia bimaculata", "Swertia chirayita", "Swertia hookeri", "Swertia japonica", "Swertia leducii", "Swertia multicaulis", "Swertia perennis", "Canscora alata", "Canscora diffusa", "Eupholus amaliae", "Hoppea dichotoma", "Eupholus beccarii", "Eupholus bruijnii", "Eupholus quadripustulatus", "Eupholus decempustulatus", "Achelia assimilis", "Achelia australiensis", "Achelia dohrni", "Achelia transfuga", "Eupholus bennetti", "Ammothea bentartica", "Austrodecus breviceps", "Austrodecus cestum", "Austrodecus enzoi", "Austrodecus frigorifugum", "Austrodecus gordonae", "Austrodecus sinuatum", "Austrodecus confusum", "Austrodecus fryi", "Austrodecus minutum", "Austrodecus glaciale", "Pantopipetta australis", "Anoplodactylus pycnosoma", "Anoplodactylus typhlops", "Anoplodactylus laciniosus", "Anoplodactylus speculus", "Parochromolopis gielisi", "Nemapogon algerica", "Infurcitinea italicoides", "Reisserita bettagi", "Reisserita stengeli", "Reisserita karsholti", "Anomalotinea derrai", "Amphixystis maroccana", "Nemapogon sardicus", "Infurcitinea incertula", "Perissomastix zernyi", "Perissomastix agenjoi", "Anomalotinea paepalella", "Monopis burmanni", "Tinea semifulvelloides", "Tinea omichlopis", "Elatobia kostjuki", "Corynoptera breviformis", "Corynoptera levis", "Corynoptera confirmata", "Corynoptera applanata", "Corynoptera macricula", "Corynoptera subtetrachaeta", "Corynoptera tetrachaeta", "Solenopsora asahinae", "Solenopsora candicans", "Solenopsora carpatica", "Solenopsora cesatii", "Solenopsora chihuahuana", "Solenopsora cladonioides", "Archips micaceana", "Solenopsora crenata", "Solenopsora cyathiformis", "Solenopsora elixiana", "Solenopsora holophaea", "Solenopsora liparina", "Solenopsora marina", "Solenopsora olivacea", "Solenopsora tasmanica", "Solenopsora vulturiensis", "Corynoptera mediana", "Anthocleista zambesiaca", "Fagraea auriculata", "Fagraea berteroana", "Fagraea ceilanica", "Corynoptera voluptuosa", "Enicostema axillare", "Enicostema elizabethae", "Corynoptera melanochaeta", "Corynoptera waltraudis", "Corynoptera subtilis", "Corynoptera trepida", "Corynoptera irmgardis", "Corynoptera anae", "Aagaardia sivertseni", "Aagaardia longicalcis", "Aagaardia protensa", "Aagaardia triangulata", "Aagaardia oksanae", "Abapeba hoeferi", "Abapeba taruma", "Abapeba rioclaro", "Abiskoa abiskoensis", "Arcuphantes maritimus", "Tenuiphantes teberdaensis", "Acanthala albiclava", "Acanthala plaumanni", "Acanthala pubipennis", "Solorina bispora", "Solorina platycarpa", "Stericta kogii", "Buthus occitanus", "Sesia tibetensis", "Neogobius pallasi", "Neogobius caspius", "Anthene lycaenina", "Anthene lycaenina lycaenina", "Anthene lycaenina lycambes", "Anthene lycaenina miya", "Anthene lycaenina togata", "Anthene lycaenina villosina", "Staurolemma carolinianum", "Staurolemma dalmaticum", "Staurolemma dussii", "Staurolemma fruticosum", "Staurolemma oculatum", "Staurolemma omphalarioides", "Staurolemma orbiculare", "Staurolemma perforatum", "Staurolemma weberi", "Aegus chelifer", "Steinia australis", "Steinia geophana", "Steinia luridescens", "Eodromaeus murphi", "Antepione tiselaaria", "Antepione imitata", "Antepione thisoaria", "Ochlodes batesi", "Ochlodes samenta", "Deltophalonia embrithopa", "Gravitcornutia aethesiana", "Gravitcornutia cinnamomea", "Gravitcornutia cornuta", "Gravitcornutia curiosa", "Gravitcornutia goianica", "Gravitcornutia major", "Gravitcornutia miserana", "Gravitcornutia nigribasana", "Gravitcornutia ochrata", "Gravitcornutia sterigmaspis", "Gravitcornutia trespolitana", "Gravitcornutia tristis", "Gravitcornutia umbrosa", "Gravitcornutia zonata", "Gravitcornutia artificiosa", "Gravitcornutia cuspis", "Gravitcornutia inapulana", "Cuproxena anielae", "Popayanita ptycta", "Menophra owadai", "Crambus pseudargyrophorus", "Crambus kuzakaiensis", "Calamotropha kikuchii", "Microcalicha fumosaria fumosaria", "Microcalicha fumosaria tchraparia", "Microcalicha fumosaria fulvifusa", "Microcalicha minima minima", "Speerschneidera euploca", "Microcalicha minima praeoptata", "Apatura iris iris", "Apatura iris peninsularis", "Syntypistis japonica", "Labordia lydgatei", "Syntypistis amamiensis", "Mitreola sessilifolia", "Spigelia anthelmia", "Spigelia gentianoides", "Spigelia marilandica", "Spigelia pedunculata", "Lophotyna khumbuensis", "Strychnos castelnaeana", "Catocala praegnax sakaii", "Anthene lycaenoides", "Anthene lycaenoides godeffroyi", "Anthene lycaenoides lycaenoides", "Anthene lycaenoides pegobates", "Anthene lycaenoides sutrana", "Merulempista cingillella", "Merulempista cyclogramma", "Crurifarcimen vagans", "Hyperbolus apicomplexus", "Hyperbolus morogoroensis", "Parabolus calceus", "Parabolus dimorphus", "Pachybolus tectus", "Hadrobolus crassicollis", "Solorina bispora var. bispora", "Solorina bispora var. subspongiosa", "Eupholus albofasciatus", "Gallirallus steadmani", "Solorina bispora var. monospora", "Eupholus bennigseni", "Eupholus humeralis", "Solorina bispora var. macrospora", "Eupholus geoffroyi chrysites", "Eupholus quinitaenia", "Eupholus schoenherrii semicoeruleus", "Eupholus sulcicollis", "Eupholus alternans", "Antonia ovata", "Eupholus magnificus", "Gardneria nutans", "Eupholus quadrimaculatus", "Acantholochus zairae", "Acrocnida spatulispina", "Trifolium repens var. repens", "Trifolium repens var. giganteum", "Trifolium repens var. latum", "Trifolium repens var. pallescens", "Trifolium repens var. macrorrhizum", "Deltophalonia chlidonibrya", "Deltophalonia deltochlaena", "Eupholus loriai", "Hamelia patens", "Eupholus astrolabensis", "Afrophilodana africana", "Hoffmannia pallidiflora", "Isertia coccinea", "Isertia haenkeana", "Eupholus azureus", "Isertia hypoleuca", "Isertia krausei", "Isertia laevis", "Isertia longifolia", "Isertia parviflora", "Isertia pittieri", "Isertia reticulata", "Isertia rosea", "Isertia scorpioides", "Isertia spiciformis", "Isertia verrucosa", "Isertia wilhelminensis", "Eupholus browni", "Mussaenda afzelii", "Mussaenda divaricata", "Mussaenda erythrophylla", "Mussaenda frondosa", "Mussaenda incana", "Mussaenda macrophylla", "Mussaenda parviflora", "Mussaenda philippica", "Mussaenda pilosissima", "Mussaenda pubescens", "Mussaenda roxburghii", "Mussaenda rufinervia", "Mussaenda samana", "Mussaenda scratchleyi", "Mussaenda tristigmatica", "Eupholus chevrolatii", "Anthene seltuttus", "Anthene seltuttus affinis", "Anthene seltuttus amboinensis", "Anthene seltuttus keyensis", "Anthene seltuttus seltuttus", "Anthene seltuttus violacea", "Dalla genes genes", "Anthene villosa", "Dalla genes saleca", "Dalla genes golia", "Dalla genes nona", "Dalla cypselus cypselus", "Dalla cypselus evages", "Dalla spica", "Dalla spica spica", "Dalla spica livia", "Dalla cupavia cupavia", "Rhizocarpon subpostumum", "Dalla cupavia elka", "Rhizocarpon sulphurosum", "Corynoptera alticola", "Notiomystis cincta hautura", "Buxus sect.", "Buxus sect.", "Corynoptera subpiniphila", "Corynoptera syriaca", "Buxus sect.", "Corynoptera tridentata", "Rumarcanella gusuku", "Rumarcanella yanbaruensis", "Corynoptera saccata", "Corynoptera arboris", "Corynoptera cincinnata", "Corynoptera parcitata", "Breonadia salicina", "Nostolachma khasiana", "Ixora barbata", "Ixora brachypoda", "Ixora casei", "Ixora chinensis", "Ixora congesta", "Ixora fragrans", "Ixora fulgens", "Ixora javanica", "Ixora macrothyrsa", "Ixora pavetta", "Ixora timorensis", "Ixora undulata", "Ixora acuminata", "Ixora amoena", "Ixora rosea", "Ixora williamsii", "Ixora \u00d7 westii", "Enochrus bicolor", "Kraussia floribunda", "Robergea pupula", "Pavetta zimmermanniana", "Pavetta harborii", "Pavetta indica", "Pavetta revoluta", "Stictis brunnescens", "Stictis confusum", "Stictis mollis", "Stictis populorum", "Stictis radiata", "Stictis urceolatum", "Buxus sect.", "Anthene paraffinis", "Anthene paraffinis emoloides", "Anthene paraffinis matthias", "Anthene paraffinis nereia", "Anthene paraffinis nissani", "Anthene paraffinis paraffinis", "Racodium rupestre", "Dalla frontinia frontinia", "Dalla frontinia venda", "Dalla frontinia vanca", "Anthene philo", "Dalla cyprius cyprius", "Dalla cyprius quinka", "Anthene philo philo", "Anthene philo scintillans", "Dalla pulchra", "Dalla ligilla", "Dalla dimidiatus dimidiatus", "Dalla dimidiatus lilla", "Dalla dimidiatus pucer", "Dalla caicus caicus", "Dalla caicus inca", "Dalla hilina", "Corynoptera warnckei", "Corynoptera roeschmanni", "Corynoptera triacantha", "Corynoptera hemiacantha", "Niphanda asialis", "Corynoptera flavosignata", "Niphanda asialis asialis", "Corynoptera semipedestris", "Niphanda asialis cyme", "Corynoptera marinae", "Niphanda asialis marcia", "Niphanda asialis onoma", "Corynoptera bipartita", "Niphanda cymbia", "Niphanda cymbia cymbia", "Niphanda cymbia reter", "Corynoptera membranigera", "Philodana johnstoni", "Micromegistus viduus", "Ladenbergia macrocarpa", "Ladenbergia pavonii", "Eupholus cuvierii", "Eupholus schoenherrii schoenherrii", "Eupholus geoffroyi geoffroyi", "Tigasis garima", "Tigasis garima garima", "Sinapis arvensis", "Tigasis garima massarus", "Tava tavola", "Pulicaria dysenterica", "Phlebodes pertinax", "Phlebodes sameda", "Phlebodes buriti", "Phlebodes meesi", "Phlebodes notex", "Phlebodes torax", "Phlebodes virgo", "Phlebodes confixa", "Phlebodes eteocla", "Phlebodes vira", "Phlebodes xanthobasis", "Phlebodes campo", "Phlebodes campo campo", "Phlebodes campo sifax", "Carystus jolus", "Carystus diores", "Carystus elvira", "Carystus hocus", "Carystus junior", "Carystus superbiens", "Carystus periphas", "Carystus periphas periphas", "Carystus periphas amax", "Carystus phorcus", "Carystus phorcus phorcus", "Carystus phorcus claudianus", "Pyrrhopyge arax", "Pyrrhopyge crista", "Pyrrhopyge frona", "Pyrrhopyge placeta", "Pyrrhopyge pusca", "Rhymbocarpus ericetorum", "Rhymbocarpus roccellae", "Simiskina phalena", "Simiskina phalena harterti", "Simiskina phalena hayashii", "Cecidioskyttea osorioi", "Echinodiscus kozhevnikovii", "Echinodiscus lesdainii", "Oedematopiella nathaliae", "Corynoptera subfurcifera", "Oedematopiella sarae", "Galium bifolium", "Galium catalinense", "Galium circaezans", "Galium concinnum", "Galium fendleri", "Galium mexicanum", "Corynoptera semisaccata", "Galium porrigens", "Archilestes exoletus", "Galium tinctorium", "Galium trifidum", "Galium triflorum", "Corynoptera praefurcifera", "Galium uniflorum", "Lupinus subg.", "Corynoptera bistrispina", "Corynoptera defecta", "Corynoptera turkmenica", "Deramas jasoda bradamante", "Deramas jasoda herdi", "Deramas jasoda jasoda", "Halmus evelynensis", "Halmus coelestris", "Halmus cypripennis", "Deramas livens", "Deramas livens evansi", "Deramas livens livens", "Deramas livens livescens", "Pavetta schumanniana", "Lucanus liuyei", "Cosmopterosis hispida", "Cosmopterosis jasonhalli", "Cosmopterosis spatha", "Cosmopterosis thetysalis", "Proterorhinus nasalis", "Proterorhinus semipellucidus", "Deramas antynax", "Deramas anyx", "Deramas arshadorum", "Deramas basrii", "Deramas alixae", "Hyposmocoma carnivora", "Hyposmocoma eliai", "Hyposmocoma nohomaalewa", "Hyposmocoma waikamoi", "Hyposmocoma papaiili", "Hyposmocoma pukoa", "Hyposmocoma pupumoehewa", "Hyposmocoma opuulaau", "Gobius hypselosoma", "Deramas bidotata", "Ropalospora atroumbrina", "Tarenna asiatica", "Ropalospora chlorantha", "Ropalospora hibernica", "Ropalospora lugubris", "Ropalospora phaeoplaca", "Ropalospora viridis", "Deramas evelynae", "Canthium parvifolium", "Deramas evelynae evelynae", "Deramas evelynae nahomiae", "Deramas evelynae tsuiso", "Buxus sinica var. insularis", "Vangueria pygmaea", "Vangueria thamnus", "Deramas ikedai", "Coprosma divergens", "Coprosma propinqua", "Hyalopeziza rapax", "Centrodora scolypopae", "Aphanomerus bicolor", "Aphanomerus niger", "Aphanomerus rufescens", "Aphanomerus aureus", "Aphanomerus flavus", "Aphanomerus nigriceps", "Aphanomerus sordidus", "Eupholus nickerli", "Eupholus prasinus", "Eupholus vethi", "Eupholus geoffroyi", "Eupholus schoenherrii", "Coccocypselum condalia", "Coccocypselum gardneri", "Coccocypselum guianense", "Coccocypselum herbaceum", "Coccocypselum lanceolatum", "Paedocypris progenetica", "Pseudogobiopsis tigrellus", "Pomatoschistus minutus", "Danio rerio", "Charaxes bernardii", "Charaxes bernstorffi", "Charaxes baileyi", "Charaxes balfouri", "Charaxes barnsi", "Charaxes bohemani", "Charaxes brainei", "Charaxes andara", "Charaxes carteri", "Charaxes brutus", "Charaxes brutus brutus", "Charaxes brutus alcyone", "Charaxes brutus angustus", "Charaxes brutus roberti", "Ophiorrhiza japonica", "Charaxes brutus natalensis", "Ophiorrhiza longiflora", "Paederia cruddasiana", "Paederia linearis", "Paederia brasiliensis", "Deramas jasoda", "Bouvardia multiflora", "Geophila macropoda", "Geophila repens", "Hydnophytum formicarum", "Corynoptera furcifera", "Corynoptera tiliacea", "Psychotria asiatica", "Psychotria capensis", "Psychotria elata", "Psychotria erratica", "Psychotria hoffmannseggiana", "Psychotria luconiensis", "Psychotria lupulina", "Psychotria muscosa", "Psychotria nervosa", "Psychotria nuda", "Psychotria poeppigiana", "Psychotria punctata", "Psychotria rubra", "Psychotria ruelliifolia", "Psychotria serpens", "Solenoppia taberlyi", "Solenoppia travei", "Brachioppiella usheri", "Symmachia probetor", "Symmachia probetor probetor", "Symmachia falcistriga", "Symmachia falcistriga falcistriga", "Symmachia maeonius", "Symmachia technema", "Symmachia suevia", "Symmachia multesima", "Balmea stormiae", "Benkara malabarica", "Benkara sinensis", "Corynanthe pachyceras", "Coussarea cornifolia", "Crossopteryx febrifuga", "Cruckshanksia pumila", "Erithalis fruticosa", "Gonzalagunia panamensis", "Gonzalagunia hirsuta", "Cardiophorus gramineus", "Thecaria amnicola", "Thecaria montagnei", "Thecaria quassiaecola", "Eupachyrrhynchus superbus", "Houstonia micrantha", "Houstonia rubra", "Houstonia wrightii", "Machuella pyriformis", "Scheloribates maoriensis", "Spermacoce glabra", "Zeasuctobelba arcuata", "Theligonum cynocrambe", "Sicaxylobates sicafer", "Totobates microseta", "Totobates capita", "Lauritzenia acutirostrum", "Lauritzenia rotundirostrum", "Miroppia zealandica", "Paroppia lebruni", "Gardenia brachythamnus", "Gardenia gjellerupii", "Gardenia volkensii", "Neptis armandia maculodistincta", "Argestina waltoni", "Argestina waltoni waltoni", "Argestina waltoni pseudonitida", "Argestina waltoni sangsangensis", "Lethe cybele", "Lethe cybele cybele", "Lethe cybele namjagbarwae", "Eupholus schoenherrii mimikanus", "Eupholus linnei", "Siphanta angularis", "Siphanta angustata", "Siphanta bifida", "Siphanta compacta", "Siphanta constricta", "Siphanta eberhardi", "Siphanta fusca", "Siphanta gallowayi", "Siphanta glauca", "Siphanta griseoviridis", "Siphanta hackeri", "Siphanta kurandae", "Siphanta luteolineata", "Siphanta lynae", "Siphanta montana", "Siphanta occidentalis", "Siphanta parva", "Siphanta peracuta", "Siphanta recurva", "Siphanta similis", "Siphanta solitaria", "Siphanta tasmanica", "Siphanta thambeos", "Siphanta tropica", "Siphanta striata", "Aphanomerus pusillus", "Eupithecia pinkeri", "Digitivalva sibirica", "Digitivalva kasachstanica", "Digitivalva artemisiella", "Digitivalva moriutii", "Digitivalva reticulella", "Skyttella mulleri", "Tephromela atra var. atra", "Corynoptera boletiphaga", "Corynoptera contusa", "Tephromela atra var. torulosa", "Corynoptera abducera", "Corynoptera bernardoensis", "Tephromela atra var. calcarea", "Corynoptera curvispinosa", "Corynoptera setosa", "Sciara brevipennis", "Orinosciara brachyptera", "Acantholycosa azarkinae", "Starksia greenfieldi", "Starksia langi", "Starksia robertsoni", "Starksia sangreyae", "Starksia springeri", "Starksia weigti", "Starksia williamsi", "Deramas nelvis", "Deramas nelvis manobo", "Deramas nelvis nelvis", "Deramas nelvis sumatrensis", "Deramas nigrescens", "Deramas nolens", "Deramas sumikat", "Deramas suwartinae", "Deramas tomokoae", "Deramas woolletti", "Poriskina phakos", "Solenoppia diaphora", "Solenoppia grandjeani", "Adelpha pithys", "Adelpha tracta", "Adelpha herbita", "Adelpha zea", "Adelpha calliphane", "Adelpha poltius", "Henriquezia nitida", "Hillia parasitica", "Lasianthus biermannii", "Lasianthus fordii", "Lasianthus chinensis", "Lasianthus cyanocarpus", "Lasianthus japonicus", "Lasianthus plagiophyllus", "Lasianthus satsumensis", "Leptactina senegambica", "Cyaniriodes libna", "Cyaniriodes siraspiorum", "Cyaniriodes libna andersonii", "Cyaniriodes libna klossi", "Cyaniriodes libna libna", "Cyaniriodes libna miotsukushi", "Cyaniriodes libna samarana", "Cyaniriodes libna tawicolana", "Simiskina pasira", "Dactylorhiza sambucina", "Simiskina pasira semperi", "Simiskina pasira pasira", "Corynoptera polana", "Corynoptera acantharia", "Corynoptera acerrima", "Corynoptera acuminata", "Corynoptera bispinulosa", "Corynoptera magica", "Corynoptera angusta", "Corynoptera assimilis", "Corynoptera hannae", "Corynoptera apuliaensis", "Corynoptera baradlana", "Simiskina pavonica", "Corynoptera barbata", "Simiskina pavonica pavonica", "Simiskina pavonica veturia", "Corynoptera blanda", "Simiskina pediada", "Skyttea anziae", "Skyttea dacampiae", "Skyttea hawksworthii", "Skyttea megalosporae", "Skyttea spinosa", "Skyttea violacea", "Skyttea viridis", "Eupholus cinnamomeus", "Eutrombicula vandiemeni", "Eupholus circulifer", "Noteolethaeus armstrongi", "Noteolethaeus leeui", "Eupholus compositus", "Eupholus humeridens", "Eupholus mamberamonis", "Cotesia urabae", "Eupholus schoenherrii petiti", "Ypthima pemakoi", "Ypthima yaluzangbui", "Ypthima pseudosakra", "Ypthima uemuraiana", "Ypthima parasakra", "Ypthima parasakra parasakra", "Ypthima parasakra mabiloa", "Ypthima parasakra menpae", "Ypthima baldus", "Ypthima baldus baldus", "Ypthima baldus luoi", "Paroeneis auloceroides", "Dalla carnis carnis", "Dalla carnis sondra", "Dalla decca decca", "Dalla decca doppa", "Neobidessodes darwiniensis", "Dalla faula", "Dalla faula faula", "Dalla faula lysis", "Dalla granites granites", "Dalla granites privata", "Dalla ibhara", "Lupinus subg.", "Tephromela alectoronica", "Tephromela arafurensis", "Tephromela atra", "Tephromela brisbanensis", "Tephromela buelliana", "Tephromela bunyana", "Tephromela cerasina", "Tephromela connivens", "Tephromela elixii", "Tephromela gigantea", "Tephromela globularis", "Deramas mindanensis", "Tephromela grumosa", "Tephromela immersa", "Tephromela isidiosa", "Tephromela korundensis", "Tephromela matogrossensis", "Tephromela nashii", "Tephromela pertusarioides", "Tephromela physodica", "Tephromela promontorii", "Tephromela sorediata", "Corynoptera francescae", "Tephromela stenosporonica", "Tephromela territoriensis", "Tephromela khatiensis", "Echium glomeratum", "Echium orientale", "Echium albicans", "Echium asperrimum", "Echium boissieri", "Echium brevirame", "Echium flavum", "Echium gaditanum", "Echium gentianoides", "Echium sabulicola", "Echium tuberculatum", "Echium virescens", "Echium arenarium", "Echium bethencourtii", "Echium bonnetii", "Echium decaisnei", "Echium handiense", "Echium humile", "Echium giganteum", "Echium judaeum", "Echium pitardii", "Echium leucophaeum", "Echium lusitanicum", "Echium parviflorum", "Echium vulgare subsp. pustulatum", "Echium rosulatum", "Echium salmanticum", "Echium sventenii", "Echium webbii", "Hypena binae", "Trichypena leopardina", "Hypena varialis", "Hypena kallipygae", "Hypena arenbergeri", "Hypena viridifascia", "Veronica erciyasdagi", "Hypena phricocyma", "Hypena grandecomorensis", "Hypena ophiusinalis", "Hypena aridoxa", "Hypena euprepes", "Hypena recurvata", "Hypena albirhomboidea", "Hypena scotina", "Hypena porphyrophaes", "Hypena martinae", "Hypena obacerralis", "Trichypena gravalis", "Trichypena toyi", "Trichypena eucrossa", "Trichypena cowani", "Trichypena griveaudi", "Trichypena schultzei", "Trichypena kingdoni", "Trichypena fusculalis", "Llimoniella acarosporicola", "Llimoniella adnata", "Llimoniella fuscatae", "Llimoniella groenlandiae", "Llimoniella heppiae", "Llimoniella muralicola", "Llimoniella pertusariae", "Llimoniella phaeophysciae", "Llimoniella placopsidis", "Llimoniella pyrenulae", "Llimoniella ramalinae", "Llimoniella terricola", "Llimoniella scabridula", "Llimoniella vinosa", "Acrolepiopsis issikiella", "Acrolepiopsis ussurica", "Acrolepiopsis peterseni", "Acrolepiopsis sinjovi", "Acrolepiopsis orchidophaga", "Acrolepiopsis paradoxa", "Horaga selina", "Acrolepiopsis clavivalvatella", "Acrolepiopsis delta", "Acrolepiopsis albicomella", "Coleophora armeniae", "Infurcitinea vanderwolfi", "Darevskia praticola", "Darevskia daghestanica", "Morophagoides ussuriensis", "Darevskia caucasica", "Morophagoides bucephala", "Archinemapogon yildizae", "Archinemapogon assamensis", "Simiskina phalena howarthi", "Simiskina phalena ilagana", "Corynoptera bulgarica", "Simiskina phalena javanica", "Leptodermis lanceolata", "Leptodermis oblonga", "Leptodermis rehderiana", "Simiskina phalena niasina", "Corynoptera compressa", "Simiskina phalena phalena", "Fungiseius armatus", "Fungiseius clavulisetis", "Simiskina phalia", "Simiskina phalia binghami", "Spirographa arsenii", "Spirographa hypotrachynae", "Simiskina phalia phalia", "Simiskina phalia potina", "Corynoptera cruciata", "Simiskina phalia procotes", "Simiskina pharyge", "Simiskina pharyge deolina", "Simiskina pharyge pharyge", "Corynoptera cuniculata", "Corynoptera cursor", "Corynoptera blandaformis", "Corynoptera ignorata", "Corynoptera incurva", "Scopimera ryukyuensis", "Scopimera intermedia", "Corynoptera inundata", "Corynoptera mamaevi", "Iolana alfierii", "Corynoptera nyxa", "Iolana andreasi", "Iolana gigantea", "Asphodeline taurica", "Lomelosia stellata", "Perissomastix damnificella", "Hyposmocoma wahikanaka", "Bolla giselus", "Telemiades oiclus", "Bolla imbras", "Bolla giselus giselus", "Bolla giselus guerra", "Bolla giselus oriza", "Bolla giselus tornea", "Bolla brennus brennus", "Bolla brennus vexta", "Windia windi", "Mimia chiapaensis", "Tryblidaria capensis", "Mimia phydile", "Mimia phydile phydile", "Mimia phydile pazana", "Aethilla chiapa", "Cyclamen rhodium", "Chersotis oreina", "Macrothylacia rubi", "Macrothylacia digramma", "Rebelia nigricostella", "Micropsyche ariana", "Aponogeton bullosus", "Aponogeton queenslandicus", "Corynoptera globiformis", "Corynoptera flavicoxa", "Corynoptera forcipata", "Corynoptera furcata", "Fleroya ledermannii", "Fleroya stipulosa", "Pinus nigra subsp. nigra var. pallasiana", "Poranopsis paniculata", "Calystegia longipes", "Calystegia macounii", "Calystegia occidentalis", "Convolvulus dorycnium", "Convolvulus lanatus", "Convolvulus pilosellifolius", "Convolvulus prostratus", "Convolvulus sabatius", "Convolvulus scoparius", "Convolvulus trabutianus", "Convolvulus lineatus", "Convolvulus divaricatus", "Convolvulus equitans", "Convolvulus erubescens", "Convolvulus gortschakovii", "Dialypetalanthus fuscescens", "Plowrightia mereschkowskyi", "Simiskina proxima", "Simiskina proxima dohertyi", "Simiskina proxima moultoni", "Simiskina proxima proxima", "Simiskina sibatika", "Leptotes mandersi", "Leptotes webbianus", "Euaspa miyashitai", "Euaspa motokii", "Euaspa mikamii", "Chrysozephyrus kimurai", "Leptosphaeria clarkii", "Leptosphaeria protousneae", "Leptosphaeria pycnostigma", "Corynoptera dentata", "Leptosphaeria ramalinae", "Corynoptera dentiforceps", "Ophiobolus aspiciliae", "Lophiodes reticulatus", "Corynoptera deserta", "Temnolopha matura", "Corynoptera minutula", "Dryophilocoris zebrinus", "Euchrysops cnejus", "Corynoptera disporata", "Corynoptera faculta", "Corynoptera fera", "Convolvulus pseudocantabrica", "Leptosphaerulina peltigerae", "Hypholoma fasciculare", "Gypsophila arrostii", "Adelpha donysa", "Adelpha donysa donysa", "Sideritis libanotica", "Nepeta italica", "Adelpha donysa albifilum", "Ridens crison", "Ridens crison crison", "Ridens crison cachinnans", "Ridens crison howarthi", "Ridens toddi", "Ridens fieldi", "Ridens bidens", "Ridens biolleyi", "Ridens bridgmani", "Ridens fulima", "Ridens fulminans", "Ridens harpagus", "Ridens mephitis", "Ridens mercedes", "Ridens miltas", "Ridens nora", "Ridens pacasa", "Ridens panche", "Ridens ridens", "Ridens telegonoides", "Ridens tristis", "Ridens philistus", "Ridens philistus philistus", "Ridens philistus philia", "Bolla atahuallpai", "Pleospora collematum", "Pleospora crozalsii", "Bolla cupreiceps", "Bolla cybele", "Bolla cyclops", "Bolla cylindus", "Bolla evippe", "Bolla litus", "Bolla mancoi", "Bolla orsines", "Bolla phylo", "Bolla saletas", "Bolla zorilla", "Bolla sonda", "Stratisporella episemoides", "Bolla zora", "Bolla brennus", "Perissomastix stibarodes", "Perissomastix amseli", "Perissomastix peterseni", "Perissomastix flava", "Perissomastix wiltshirella", "Perissomastix sarobiella", "Perissomastix cornuta", "Iolana iolas", "Corynoptera obscuripila", "Corynoptera pannosa", "Corynoptera parvula", "Camptochaeta uncinata", "Progomphus joergenseni", "Corynoptera parvulaformis", "Corynoptera perochaeta", "Corynoptera postforcipata", "Rodrigama takakuwai", "Rodrigama gauldi", "Corynoptera postobscuripila", "Corynoptera postparvula", "Corynoptera praeforcipata", "Corynoptera proboletiphaga", "Corynoptera quantula", "Meteorus restionis", "Corynoptera spinifera", "Eurytenes ormenus", "Eurytenes microsomus", "Eurytenes pachycephalus", "Antiporus occidentalis", "Corynoptera spinosula", "Agnathosia chasanica", "Eudarcia ornata", "Eudarcia sinjovi", "Cephimallota colonella", "Simiskina pheretia", "Simiskina pheretia bilitis", "Tinea trinotella", "Simiskina pheretia maina", "Simiskina pheretia pheretia", "Niditinea truncicolella", "Erechthias atririvis", "Unguiculariopsis ahtii", "Unguiculariopsis cribriformis", "Unguiculariopsis hispidula", "Unguiculariopsis lobariellum", "Unguiculariopsis macrocarpa", "Unguiculariopsis triregia", "Simiskina philura", "Warszewiczia coccinea", "Simiskina philura elioti", "Sladenia shaefersi", "Simiskina philura philura", "Xoser astonyx", "Sladenia remiger", "Wendlandia formosana", "Wendlandia heynei", "Sladenia gardineri", "Orthocomotis parandina", "Xanthophytum kinabaluense", "Lophius gastrophysus", "Anacrusis yanayacana", "Anacrusis guttula", "Sisurcana sanguinoventer", "Sisurcana cirrhochroma", "Lophius americanus", "Lypothora roseochraon", "Luculia grandifolia", "Luculia gratissima", "Luculia pinceana", "Nenax microphylla", "Palicourea aeneofusca", "Palicourea crocea", "Palicourea grandiflora", "Palicourea juruana", "Palicourea lineariflora", "Palicourea marcgravii", "Plocama pendula", "Pseudomussaenda flava", "Plocama calabrica", "Strumpfia maritima", "Tamilnadia uliginosa", "Ranfurlya constanceae", "Verbascum eriorrhabdon", "Silene pygmaea", "Protounguicularia nephromatis", "Proganochelys quenstedti", "Otnjukovia tatjana", "Corynoptera spoeckeri", "Philotes sonorensis", "Cuscuta approximata", "Cuscuta epithymum", "Polycoccum acarosporicola", "Cuscuta americana", "Cuscuta australis", "Cuscuta californica", "Polycoccum aksoyi", "Cuscuta campestris", "Cuscuta choisiana", "Cuscuta colombiana", "Cuscuta coryli", "Cuscuta deltoidea", "Cuscuta gracillima", "Cuscuta gronovii", "Cuscuta indecora", "Cuscuta macvaughii", "Cuscuta pentagona", "Cuscuta punana", "Cuscuta vandevenderi", "Cuscuta cassytoides", "Cuscuta japonica", "Cuscuta lupuliformis", "Cuscuta monogyna", "Cuscuta reflexa", "Cuscuta jepsonii", "Cuscuta epilinum", "Cuscuta planiflora", "Catoptria gozmanyi", "Hoplia coerulea", "Acanthonitschkea peltigericola", "Corynoptera praeparvula", "Calappa philargius", "Hydrochus brevis", "Hydrochus angustatus", "Colon brunneum", "Tangarona pensus", "Pyrrhopyge sadia", "Pyrrhopyge terra", "Pyrrhopyge schausi", "Pyrrhopyge sarpedon", "Pyrrhopyge punctata", "Pyrrhopyge mopsus", "Pyrrhopyge creusae", "Pyrrhopyge cressoni", "Pyrrhopyge boulleti", "Niphanda anthenoides", "Niphanda fusca", "Niphanda fusca fusca", "Niphanda fusca tituria", "Niphanda stubbsi", "Niphanda tessellata", "Niphanda tessellata aristarcha", "Niphanda tessellata tessellata", "Mesobuthus martensii", "Rimularia actinostoma", "Rimularia applanata", "Rimularia australis", "Rimularia austrolimborina", "Rimularia badioatra", "Rimularia campestris", "Rimularia cerebriformis", "Rimularia exigua", "Rimularia gibbosa", "Rimularia globulispora", "Rimularia globulosa", "Rimularia gyrizans", "Rimularia gyromuscosa", "Rimularia hepaticicola", "Rimularia impavida", "Rimularia intercedens", "Rimularia limborina", "Rimularia michoacanensis", "Rimularia mullensis", "Rimularia paradoxa", "Rimularia ramboldiana", "Rimularia sphacelata", "Rimularia umbratilis", "Corynoptera bicuspidata", "Cuscuta chinensis", "Cuscuta compacta", "Cuscuta potosina", "Cuscuta sidarum", "Cuscuta suaveolens", "Polycoccum amygdalariae", "Polycoccum arnoldii", "Polycoccum bryonthae", "Polycoccum cartilaginosum", "Polycoccum cladoniae", "Pergalumna silvestris", "Pergalumna reniformis", "Polycoccum clauzadei", "Polycoccum crassum", "Polycoccum crespoae", "Polycoccum decolorans", "Ateliotum hungaricellum", "Ateliotum petrinella", "Ateliotum arabicum", "Ateliotum confusum", "Ateliotum parvum", "Polycoccum dzieduszyckii", "Polycoccum epiphyllum", "Ateliotum arenbergeri", "Polycoccum epizoharyi", "Polycoccum evae", "Polycoccum follmannii", "Viburnum chunii", "Ateliotum crymodes", "Polycoccum heterodermiae", "Polycoccum infestans", "Polycoccum innatum", "Asphodelus sect.", "Polycoccum jamesii", "Ateliotum convicta", "Polycoccum kaernefeltii", "Ateliotum reluctans", "Polycoccum kerneri", "Polycoccum laursenii", "Ateliotum resurgens", "Rhyzodiastes proprius", "Xenostegia medium", "Cressa truxillensis", "Arthroleptis bioko", "Arthroleptis palava", "Brachycephalus atelopoide", "Acarosporium lichenicola", "Brachycephalus garbeanus", "Brachycephalus toby", "Asphodelus fistulosus subsp. madeirensis", "Bembecia syzcjovi", "Bembecia syzcjovi syzcjovi", "Bembecia syzcjovi alborzica", "Bembecia syzcjovi kappadocica", "Bembecia dispar", "Bembecia volgensis", "Bembecia zonsteini", "Dipchasphecia intermedia", "Zipaetis unipupillata", "Zipaetis unipupillata unipupillata", "Zipaetis unipupillata annamicus", "Corynoptera nigrospina", "Corynoptera tapleyi", "Corynoptera facticia", "Corynoptera variospina", "Corynoptera basisetosa", "Corynoptera densisetosa", "Ipomoea verbascoidea", "Macrographa antarctica", "Phoxinus percnurus sachalinensis", "Sphaerulina dolichotera", "Sphaerulina dubiella", "Sphaerulina intermedia", "Sphaerulina lepidiotae", "Cottus nozawae", "Colpodes wolfi", "Leptorhaphis haematommatum", "Sanguisorba stipulata", "Sanguisorba menziesii", "Corynoptera subcavipes", "Philotiella leona", "Philotiella speciosa", "Corynoptera subconcinna", "Corynoptera subdentata", "Corynoptera subforcipata", "Corynoptera subparvula", "Corynoptera subvariegata", "Corynoptera triangulata", "Asphodelus acaulis", "Hlavaciellus adelphos", "Hlavaciellus angustifrons", "Hlavaciellus bifoveatus", "Hlavaciellus cirrus", "Hlavaciellus clandestinus", "Hlavaciellus decoratus", "Hlavaciellus extremalis", "Hlavaciellus metrios", "Corynoptera trispinulosa", "Hlavaciellus miser", "Hlavaciellus peninsularis", "Asphodelus aestivus", "Hlavaciellus smetanai", "Corynoptera unidentata", "Acinetobacter venetianus", "Corynoptera vagula", "Corynoptera variegata", "Weddellomyces aspiciliicola", "Weddellomyces epicallopisma", "Weddellomyces erythrocarpae", "Weddellomyces gasparriniae", "Weddellomyces geographicola", "Weddellomyces heterochrous", "Weddellomyces macrosporus", "Corynoptera verrucifera", "Weddellomyces pachyosporicola", "Weddellomyces periphericus", "Weddellomyces pertusariicola", "Weddellomyces protearius", "Weddellomyces tartaricola", "Weddellomyces turcicus", "Weddellomyces xanthoparmeliae", "Astragalus fragrans", "Astragalus viridissimus", "Oclandius laeviusculus", "Heterexis sculptipennis", "Heterexis seticostatus", "Notinus aucklandicus", "Peristoreus innocens", "Nestrius bifurcus", "Gromilus aucklandicus", "Gromilus narinosus", "Pachyderris punctiventris", "Notacalles piciventris", "Notacalles planidorsis", "Microcryptorhynchus ferrugo", "Microcryptorhynchus kronei", "Microcryptorhynchus multisetosus", "Microcryptorhynchus suillus", "Pactolotypus depressirostris", "Pactolotypus subantarcticus", "Notonesius aucklandicus", "Phrynixus thoracicus", "Epichorius aucklandiae", "Epichorius longulus", "Nesomalium insulare", "Nesomalium pacificum", "Quedius secretus", "Quedius aliiceps", "Brachycephalus pulex", "Cycloramphus organensis", "Megophrys damrei", "Megophrys takensis", "Kalophrynus calciphilus", "Polycoccum longisporum", "Polycoccum marmoratum", "Polycoccum microcarpum", "Ateliotum insulare", "Eotaleporia lusitaniella", "Ateliotum petrinella petrinella", "Ateliotum petrinella orientale", "Cydia molybdana", "Polycoccum microstictum", "Polycoccum minutulum", "Polycoccum montis-wilhelmii", "Polycoccum opulentum", "Polycoccum peltigerae", "Polycoccum pulvinatum", "Polycoccum rubellianae", "Polycoccum rugulosarium", "Polycoccum serusiauxii", "Polyommatus golgus", "Polycoccum slaptoniense", "Polycoccum sporastatiae", "Polycoccum squamarioides", "Polycoccum stictaria", "Polycoccum superficiale", "Polycoccum teresum", "Polycoccum tinantii", "Polycoccum trypethelioides", "Polycoccum umbilicariae", "Polycoccum ventosicola", "Polycoccum vermicularium", "Polycoccum versisporum", "Polycoccum deformans", "Asphodelus sect.", "Asphodelus sect.", "Asphodelus sect.", "Asphodelus sect.", "Pseudonitschkia parmotrematis", "Jacquemontia curtissii", "Jacquemontia havanensis", "Jacquemontia ovalifolia", "Jacquemontia pentanthos", "Jacquemontia reclinata", "Jacquemontia tamnifolia", "Jacquemontia verticillata", "Corynoptera styptica", "Corynoptera subblanda", "Phlyaria cyara", "Lomelosia graminifolia", "Lomelosia hymettia", "Scabiosa lucida", "Scabiosa vestina", "Scabiosa triandra", "Jacquemontia martii", "Distimake aureus", "Decalobanthus bracteatus", "Merremia discoidesperma", "Merremia emarginata", "Merremia gemella", "Merremia hederacea", "Merremia hirta", "Merremia pterygocaulos", "Keratosphaera batistae", "Keratosphaera dimerellae", "Keratosphaera furcatiseta", "Keratosphaera porinae", "Staurois guttatus", "Polypedates braueri", "Asphodelus cerasifer", "Variacma hongkongensis", "Variacma bifariafera", "Variacma tomentosa", "Variacma saccata", "Ophthalmitis subpicaria", "Ophthalmitis prasinospila", "Ophthalmitis pertusaria", "Oxalis flava", "Oxalis adenophylla", "Oxalis purpurea", "Oxalis versicolor", "Oxalis triangularis", "Lichenostigma anatolicum", "Lichenostigma epirupestre", "Cylicobathra spinosa", "Neoepiscardia sinica", "Aroana olivacea", "Aroana rubra", "Aroana porphyria", "Aroana baliensis", "Aroana cingalensis", "Aroana ochreistriga", "Aroana hemicyclophora", "Cerynea albivitta", "Cerynea ampafana", "Cerynea argentescens", "Cerynea cadoreli", "Cerynea digonia", "Cerynea endotrichalis", "Cerynea fissilinea", "Cerynea flavibasalis", "Cerynea homala", "Cerynea ignealis", "Cerynea ignetincta", "Cerynea limbobrunnea", "Cerynea nigrapicata", "Cerynea nigropuncta", "Cerynea oblops", "Cerynea omphisalis", "Cerynea ovata", "Cerynea pallens", "Cerynea pilipalpus", "Cerynea porphyrea", "Cerynea ragazzii", "Cerynea rubra", "Cerynea sepiata", "Cerynea sumatrana", "Cerynea tetramelanosticta", "Cerynea trichobasis", "Cerynea veterata", "Cerynea virescens", "Cerynea xenia", "Cerynea acidalia", "Cerynea albocostata", "Cerynea apicalis", "Cerynea bicolors", "Cerynea falcigera", "Cerynea minuta", "Cerynea pseudovinosa", "Cerynea punctulata", "Cerynea vinosa", "Cerynea contentaria", "Cerynea disjunctaria", "Cerynea flavicostata", "Cerynea igniaria", "Cerynea ochreana", "Corynoptera nigrotegminis", "Corynoptera quasisetosa", "Corynoptera parasetosa", "Corynoptera plasiosetosa", "Corynoptera semiaggregata", "Corynoptera microsetosa", "Corynoptera filisetosa", "Corynoptera hemisetosa", "Corynoptera oririclausa", "Corynoptera didymistyla", "Corynoptera harrisi", "Corynoptera dividospica", "Corynoptera fuscispica", "Corynoptera pronospica", "Corynoptera densospica", "Corynoptera filispica", "Corynoptera ancylospina", "Corynoptera expressospina", "Corynoptera prinospina", "Corynoptera cowanorum", "Corynoptera prosospina", "Corynoptera psilospina", "Stichophthalma louisa", "Corynoptera coronospina", "Stichophthalma louisa louisa", "Corynoptera priscospina", "Stichophthalma louisa mathilda", "Corynoptera propriospina", "Stichophthalma louisa ranohngensis", "Stichophthalma louisa siamensis", "Stichophthalma louisa eamesi", "Stichophthalma uemurai", "Stichophthalma uemurai uemurai", "Stichophthalma uemurai gialaii", "Corynoptera armigera", "Corynoptera fratercula", "Corynoptera robustior", "Dodona maculosa", "Dodona maculosa maculosa", "Dodona maculosa phuongi", "Evolvulus alsinoides", "Evolvulus convolvuloides", "Evolvulus nuttallianus", "Stylisma pickeringii", "Lichenopeltella arctomiae", "Lichenopeltella biatorae", "Lichenopeltella leprosulae", "Lichenopeltella sclerenchymatica", "Lichenopeltella stereocaulorum", "Meristogenys stenocephalus", "Meristogenys stigmachilus", "Ischnocnema surda", "Callulina laphami", "Callulina shengena", "Callulina stanleyi", "Bufo bufo bufo", "Bufo bufo grediscola", "Bufo spinosus", "Gomphus graslinii", "Hyposada assimilis", "Hyposada carneotincta", "Hyposada devia", "Hyposada effectaria", "Hyposada erubescens", "Hyposada hirashimai", "Hyposada leucoma", "Hyposada melanosticta", "Hyposada niveipuncta", "Hyposada pallidicosta", "Hyposada zavattarii", "Hyposada addescens", "Hyposada aspersa", "Hyposada astona", "Hyposada brunnea", "Hyposada fasciosa", "Hyposada hydrocampata", "Hyposada ineffectaria", "Hyposada juncturalis", "Hyposada postvittata", "Xenopus lenduensis", "Potentilla umbrosa", "Potentilla tauricola", "Potentilla subpalmata", "Potentilla speciosa", "Potentilla sublaevis", "Potentilla savvalensis", "Potentilla pulvinaris", "Potentilla polyschista", "Potentilla pimpinelloides", "Potentilla pannosa", "Alkanna kotschyana", "Hemigrapha asteriscus", "Hemigrapha atlantica", "Hemigrapha nephromatis", "Hemigrapha phaeospora", "Hemigrapha pilocarpacearum", "Hemigrapha pseudocyphellariae", "Hemigrapha strigulae", "Hemigrapha tenellula", "Hyposada ruptifascia", "Hyposada tritonia", "Hyposada kadooriensis", "Pingasa chloroides", "Psilalcis bani", "Psilalcis luzonica", "Euthalia kanda hideoi", "Vagrans sinha", "Vagrans sinha sinha", "Vagrans sinha sumbawensis", "Aglossa acallalis", "Aglossa baba", "Aglossa cacamica", "Aglossa caprealis", "Aglossa costiferalis", "Aglossa cuprina", "Aglossa disciferalis", "Aglossa pinguinalis", "Aglossa electalis", "Aglossa furva", "Aglossa gigantalis", "Aglossa oculalis", "Scriptoplusia nigriluna", "Scriptoplusia pulchristigma", "Scriptoplusia rubriflabellata", "Bufo gargarizans gargarizans", "Bufo gargarizans andrewsi", "Bufo gargarizans popei", "Tachypleus gigas", "Karschia alpicolae", "Karschia santessonii", "Karschia talcophila", "Koordersiella deightonii", "Koordersiella insectivora", "Koordersiella javanica", "Synanthedon tosevskii", "Synanthedon caucasica", "Synanthedon castanevora", "Synanthedon kunmingensis", "Synanthedon jinghongensis", "Synanthedon menglaensis", "Synanthedon ulmicola", "Lanatosphaera dimerellae", "Lanatosphaera porinicola", "Bandicota indica", "Cerynea perrubra", "Lichenopyrenis galligena", "Cerynea thermesialis", "Cerynea trogobasis", "Cerynea ustula", "Cerynea discontenta", "Corynoptera acutula", "Epibryon conductrix", "Epibryon lichenicola", "Epibryon parvipunctum", "Epibryon solorinae", "Corynoptera albispina", "Corynoptera albistigmata", "Corynoptera antespinifera", "Muilla coronata", "Peyerimhoffia crassistylata", "Neocoleroa inundata", "Neocoleroa lichenicola", "Uintatherium anceps", "Neocoleroa lichenicola subsp. lichenicola", "Neocoleroa lichenicola subsp. bouteillei", "Scriptoplusia nigriluna nigriluna", "Scriptoplusia nigriluna noona", "Lemyra boghaika", "Hadrosaurus foulkii", "Corynoptera bellicosa", "Corynoptera bichaeta", "Corynoptera monstera", "Corynoptera brachypennis", "Corynoptera brevipalpis", "Corynoptera calcaripotens", "Corynoptera captiosa", "Corynoptera distracta", "Corynoptera geminispina", "Corynoptera supera", "Corynoptera tumulta", "Corynoptera inops", "Corynoptera triarmata", "Cercidospora alpina", "Baeosomus polytrichi", "Cercidospora anomala", "Cercidospora arthrorhaphidicola", "Cercidospora crozalsiana", "Cercidospora epicallopisma", "Cercidospora exiguella", "Cercidospora galligena", "Cercidospora lecidomae", "Cercidospora solearispora", "Cercidospora thamnoliicola", "Cercidospora trypetheliza", "Onthophagus aerarius", "Cercidospora werneri", "Larimichthys crocea", "Calydorea xyphioides", "Corynoptera declinospina", "Corynoptera comitessa", "Corynoptera sphaera", "Corynoptera puruspina", "Corynoptera factitata", "Corynoptera aurea", "Corynoptera triplexa", "Corynoptera secretas", "Corynoptera novexa", "Corynoptera vigila", "Corynoptera attribuspina", "Corynoptera podiospina", "Corynoptera modulata", "Solenomelus pedunculatus", "Corynoptera pentaspina", "Corynoptera pentaspina", "Sphaerellothecium breussii", "Sphaerellothecium buelliae", "Sphaerellothecium cinerascens", "Trachylepis atlantica", "Sphaerellothecium cladoniae", "Corynoptera progressa", "Corynoptera multiplexa", "Corynoptera circumplexa", "Corynoptera cumulata", "Corynoptera pelliciata", "Sphaerellothecium coniodes", "Corynoptera promota", "Sphaerellothecium gallowayi", "Sphaerellothecium icmadophilae", "Sphaerellothecium pannariacearum", "Sphaerellothecium phaeorrhizae", "Sphaerellothecium soechtingii", "Corynoptera commoda", "Sphaerellothecium stereocaulorum", "Corynoptera christinae", "Hinea brasiliana", "Tylototriton wenxianensis wenxianensis", "Tylototriton wenxianensis dabienicus", "Dendrotriton kekchiorum", "Dendrotriton chujorum", "Bolitoglossa zacapensis", "Myxosoma obovoides", "Parasemia plantaginis", "Trematosphaeriopsis parmeliana", "Agrionympha fuscoapicella", "Agrionympha jansella", "Agrionympha karoo", "Agrionympha kroonella", "Agrionympha pseudovari", "Agrionympha sagittella", "Wernerella maheui", "Ophthalmitis sinensium", "Ophthalmitis irrorataria", "Ophthalmitis herbidaria", "Ophthalmitis siniherbida", "Ophthalmitis cordularia", "Ophthalmitis xanthypochlora", "Lasiophila parthyene", "Lasiophila piscina", "Lasiophila regia", "Crataegus nothosect.", "Lecanographa rinodinae", "Teratozephyrus arisanus arisanus", "Teratozephyrus arisanus kachinus", "Chrysozephyrus smaragdinus amoenus", "Chrysozephyrus smaragdinus doerriesi", "Chrysozephyrus smaragdinus esakii", "Chrysozephyrus smaragdinus odakae", "Chrysozephyrus brillantinus brillantinus", "Chrysozephyrus brillantinus alpinus", "Chrysozephyrus brillantinus kansaiensis", "Chrysozephyrus brillantinus aino", "Chrysozephyrus brillantinus hecalina", "Chrysozephyrus brillantinus jankowskii", "Chrysozephyrus scintillans scintillans", "Cyprinus pellegrini", "Cyprinus pellegrini barbatus", "Dorotheanthus subg.", "Corynoptera glabrifrons", "Cryphalus wapleri", "Hypocryphalus asper", "Phloeosinus cupressi", "Metapocyrtus tawiensis", "Metapocyrtus ticaoensis", "Metapocyrtus transversarius", "Metapocyrtus trifasciatus", "Metapocyrtus tumoridorsum", "Metapocyrtus turgidofemoralis", "Metapocyrtus univerrucosus", "Metapocyrtus variabilis", "Metapocyrtus vestitus", "Metapocyrtus viridans", "Metapocyrtus viridulus", "Metapocyrtus visayensis", "Metapocyrtus waltoni", "Metapocyrtus whiteheadi", "Metapocyrtus worcesteri", "Metapocyrtus zambalensis", "Emblemariopsis signifera", "Metapocyrtus albodecoratus", "Metapocyrtus aurora", "Metapocyrtus bambalio", "Metapocyrtus bituberosus", "Metapocyrtus brevicollis", "Metapocyrtus cylas", "Metapocyrtus derasocobaltinus", "Chironomus antipodensis", "Trematosphaeria lophiostoma", "Metapocyrtus lenis", "Metapocyrtus melanostolus", "Metapocyrtus samarincola", "Metapocyrtus trilineatus", "Metapocyrtus tristis", "Metapocyrtus vigintimaculatus", "Bolitoglossa centenorum", "Bolitoglossa daryorum", "Bolitoglossa eremia", "Bolitoglossa huehuetenanguensis", "Bolitoglossa kaqchikelorum", "Bolitoglossa la", "Bolitoglossa ninadormida", "Bolitoglossa nussbaumi", "Bolitoglossa nympha", "Bolitoglossa pacaya", "Bolitoglossa psephena", "Bolitoglossa suchitanensis", "Bolitoglossa tzultacaj", "Bolitoglossa xibalba", "Phacographa glaucomaria", "Phacographa protoparmeliae", "Pseudohynobius guizhouensis", "Phacographa zwackhii", "Ficus lyrata", "Pristimantis academicus", "Dorotheanthus subg.", "Dorotheanthus bellidiformis subsp. hestermalensis", "Dorotheanthus bellidiformis subsp. bellidiformis", "Chrysozephyrus smaragdinus smaragdinus", "Corynoptera pertaesa", "Corynoptera perfecta", "Corynoptera ponapensis", "Corynoptera praedentata", "Corynoptera quadridens", "Corynoptera roederi", "Corynoptera serena", "Corynoptera sicca", "Corynoptera simplexa", "Corynoptera subantarctica", "Corynoptera subtrivialis", "Corynoptera turbata", "Ancistropterus brouni", "Coeloneurum ferrugineum", "Duckeodendron cestroides", "Espadaea amoena", "Goetzea elegans", "Anthocercis viscosa", "Corynoptera connochaeta", "Tubeufia eriodermae", "Tubeufia heterodermiae", "Tubeufia pannariae", "Altitatiayus koikei", "Metapocyrtus abbrevilineatus", "Metapocyrtus acutispinosus", "Metapocyrtus acutituberculatus", "Metapocyrtus adaptatus", "Metapocyrtus adspersus", "Metapocyrtus apoensis", "Metapocyrtus arayatensis", "Metapocyrtus aureofasciatus", "Metapocyrtus aureomaculatus", "Metapocyrtus bakeri", "Metapocyrtus banahaoensis", "Metapocyrtus banguiensis", "Metapocyrtus batanensis", "Metapocyrtus bifoveatus", "Metapocyrtus biliranensis", "Metapocyrtus biplagiatus", "Metapocyrtus bispinosus", "Metapocyrtus boholensis", "Metapocyrtus bukidnonensis", "Metapocyrtus butuanensis", "Metapocyrtus calavitensis", "Metapocyrtus calivolens", "Metapocyrtus camarinensis", "Metapocyrtus catarmanensis", "Metapocyrtus celestinoi", "Metapocyrtus chamissoi", "Metapocyrtus chevrolati", "Metapocyrtus chlamydatus", "Metapocyrtus chloromaculatus", "Metapocyrtus clemensi", "Metapocyrtus concinnus", "Metapocyrtus confusus", "Metapocyrtus crassispinosus", "Metapocyrtus davanganus", "Metapocyrtus davaoensis", "Metapocyrtus derasus", "Metapocyrtus diffusisquamosus", "Metapocyrtus diffusus", "Metapocyrtus dubiosus", "Metapocyrtus elicanoi", "Metapocyrtus elongatus", "Metapocyrtus emarginaticollis", "Metapocyrtus frosti", "Metapocyrtus geniculatus", "Metapocyrtus germari", "Metapocyrtus multimaculatus", "Metapocyrtus perarmatus", "Metapocyrtus subspinipes", "Metapocyrtus annulatus", "Metapocyrtus lumutanus", "Metapocyrtus moorei", "Metapocyrtus perpulcheroides", "Metapocyrtus propolitus", "Metapocyrtus similis", "Metapocyrtus atocanus", "Metapocyrtus octomaculatus", "Metapocyrtus interruptostriatus", "Metapocyrtus lindabonus", "Metapocyrtus sumptuosus", "Metapocyrtus aureatus", "Chrysozephyrus zoa", "Chrysozephyrus zoa zoa", "Chrysozephyrus zoa interruptus", "Gonerilia thespis", "Gonerilia thespis thespis", "Gonerilia thespis sichuanica", "Gonerilia buddha", "Gonerilia seraphim seraphim", "Corynoptera dentatula", "Phasmahyla spectabilis", "Corynoptera diversicalcaria", "Corynoptera gladiota", "Oryzomys dimidiatus", "Oryzomys antillarum", "Oryzomys couesi", "Oryzomys palustris", "Oryzomys albiventer", "Oryzomys peninsulae", "Perigrapha nitida", "Corynoptera dumosa", "Corynoptera exilis", "Corynoptera gemina", "Corynoptera heterochela", "Corynoptera immunita", "Gressittius antarcticus", "Acanthophyllum cerastioides", "Gypsophila elegans", "Metapocyrtus annuliger", "Metapocyrtus proteus", "Metapocyrtus pseudoelegans", "Metapocyrtus pseudomandarinus", "Metapocyrtus rufotibialis", "Metapocyrtus violaceus", "Metapocyrtus asper", "Metapocyrtus caesiomaculatus", "Metapocyrtus interruptus", "Metapocyrtus reductus", "Metapocyrtus mandarinus", "Metapocyrtus ostentator", "Metapocyrtus phenax", "Metapocyrtus rufithorax", "Metapocyrtus bulusanus", "Metapocyrtus caeruleonotatus", "Metapocyrtus discomaculatus", "Metapocyrtus divisus", "Metapocyrtus falsosquadrulifer", "Metapocyrtus fraudator", "Metapocyrtus italonus", "Metapocyrtus gibbicollis", "Metapocyrtus gregarius", "Metapocyrtus helleri", "Metapocyrtus ilocanus", "Metapocyrtus imitatus", "Metapocyrtus imuganus", "Metapocyrtus joloensis", "Metapocyrtus lagunaensis", "Metapocyrtus lepantoensis", "Metapocyrtus leytensis", "Metapocyrtus limayensis", "Metapocyrtus lineaticollis", "Metapocyrtus longipenis", "Metapocyrtus luzonensis", "Metapocyrtus macrospinosus", "Metapocyrtus magnigibbicollis", "Metapocyrtus mangyanus", "Metapocyrtus metallicus", "Metapocyrtus microspinosus", "Metapocyrtus mindanaoensis", "Metapocyrtus mindorensis", "Metapocyrtus miser", "Metapocyrtus monstrosus", "Metapocyrtus monticola", "Metapocyrtus multisquamosus", "Metapocyrtus mutabilis", "Metapocyrtus nanus", "Metapocyrtus negrosensis", "Metapocyrtus niger", "Metapocyrtus palawanensis", "Metapocyrtus panayensis", "Metapocyrtus pikitensis", "Metapocyrtus pilositibialis", "Metapocyrtus pilosus", "Metapocyrtus polilloensis", "Metapocyrtus profanus", "Metapocyrtus pseudoviridans", "Metapocyrtus pulverulentus", "Metapocyrtus quadricinctus", "Metapocyrtus quadrulifer", "Metapocyrtus reyesi", "Metapocyrtus rostrogibbosus", "Metapocyrtus rugicollis", "Metapocyrtus sabtangensis", "Metapocyrtus samalensis", "Metapocyrtus samarensis", "Metapocyrtus schicki", "Metapocyrtus semotus", "Metapocyrtus sibayensis", "Metapocyrtus sibuyanensis", "Shinkaia crosnieri", "Metapocyrtus simplex", "Metapocyrtus smaragdinus", "Metapocyrtus socius", "Metapocyrtus sparsus", "Metapocyrtus speciosus", "Metapocyrtus sphaericollis", "Metapocyrtus spinipennis", "Metapocyrtus spinipes", "Metapocyrtus subdiffusus", "Metapocyrtus subdolosus", "Metapocyrtus subgregarius", "Metapocyrtus subvirgatus", "Metapocyrtus tapulaonus", "Howarthia watanabei", "Artopoetes praetextatus", "Artopoetes pryeri pryeri", "Artopoetes pryeri shikokuana", "Biciliopsis leptogiicola", "Artopoetes pryeri isurugiae", "Artopoetes pryeri yatsugabakensis", "Cenarchaeum symbiosum", "Artopoetes pryeri yezoensis", "Artopoetes pryeri continentalis", "Bandicota savilei", "Coreana raphaelis raphaelis", "Coreana raphaelis flamen", "Shaanxiana takashimai takashimai", "Shirozua jonasi jonasi", "Shirozua jonasi sichuanensis", "Shirozua melpomene", "Protantigius superans superans", "Leucantigius atayalicus atayalicus", "Leucantigius atayalicus unicolor", "Nitrosocaldus yellowstonii", "Nitrosopumilus maritimus", "Araragi enthea entheoides", "Araragi enthea morisonensis", "Araragi enthea yucara", "Araragi sugiyamai sugiyamai", "Araragi panda", "Saigusaozephyrus atabyrius", "Capronia andina", "Capronia baeomycetis", "Capronia epilobarina", "Pachycotes peregrinus", "Chaetoptelius mundulus", "Dendrotrupes costiceps", "Dendrotrupes vestitus", "Dendrotrupes zealandicus", "Chaetoptelius versicolor", "Chaetoptelius vestitus", "Dichondra micrantha", "Dichondra repens", "Metapocyrtus acutipennis", "Metapocyrtus cuneiformis", "Metapocyrtus femoralis", "Metapocyrtus hopei", "Metapocyrtus laevicollis", "Metapocyrtus longipes", "Metapocyrtus marginenodosus", "Metapocyrtus pretiosus", "Metapocyrtus ruficollis", "Micrurus browni", "Micrurus stuarti", "Sigridea labyrinthica", "Lepistemon owariensis", "Bryophryne abramalagae", "Bryophryne flammiventris", "Cleretum apetalum", "Cleretum pinnatifidum", "Yamamotozephyrus kwangtungensis", "Yamamotozephyrus kwangtungensis kwangtungensis", "Yamamotozephyrus kwangtungensis hainana", "Yamamotozephyrus kwangtungensis mayhkaensis", "Howarthia hishikawai", "Howarthia melli melli", "Howarthia melli fujiokai", "Howarthia nigricans", "Trichoteleia fisheri", "Trichoteleia funesta", "Trichoteleia halterata", "Trichoteleia hemlyae", "Trichoteleia irwini", "Trichoteleia jiro", "Trichoteleia ketrona", "Trichoteleia levii", "Trichoteleia longiventris", "Trichoteleia minima", "Trichoteleia nify", "Trichoteleia oculea", "Trichoteleia orona", "Trichoteleia parvipennis", "Trichoteleia zuparkoi", "Trichoteleia xantrox", "Trichoteleia warreni", "Trichoteleia tonsa", "Trichoteleia tigris", "Trichoteleia tezitra", "Trichoteleia takariva", "Trichoteleia tahotra", "Trichoteleia subtilis", "Trichoteleia sphaerica", "Trichoteleia rugifrons", "Trichoteleia ravaka", "Trichoteleia quazii", "Trichoteleia prolixa", "Trichoteleia prima", "Trichoteleia albidipes", "Kaliphora madagascariensis", "Trichoteleia pauliani", "Montinia caryophyllacea", "Trichoteleia janus", "Trichoteleia picturata", "Trichoteleia solocis", "Cestrum aurantiacum", "Cestrum auriculatum", "Platypus apicalis", "Cestrum diurnum", "Cestrum elegans", "Cestrum fasciculatum", "Cestrum laevigatum", "Cestrum latifolium", "Cestrum mutisii", "Cestrum nocturnum", "Cestrum parqui", "Cestrum santanderianum", "Cestrum strigilatum", "Metapocyrtus alabatanus", "Metapocyrtus breviarmatus", "Metapocyrtus corpulentus", "Metapocyrtus daconus", "Metapocyrtus duyagi", "Metapocyrtus iridanus", "Pseudophilautus hankeni", "Pseudophilautus schneideri", "Philautus juliandringi", "Feihyla fuhua", "Odorrana huanggangensis", "Phrynobatrachus danko", "Phrynobatrachus hieroglyphicus", "Duboisia hopwoodii", "Duboisia leichhardtii", "Duboisia myoporoides", "Nicotiana azambujae", "Nicotiana bonariensis", "Nicotiana cordifolia", "Nicotiana corymbosa", "Nicotiana forgetiana", "Nicotiana longiflora", "Nicotiana plumbaginifolia", "Nicotiana \u00d7 sanderae", "Nicotiana acaulis", "Nicotiana ameghinoi", "Nicotiana noctiflora", "Nicotiana paa", "Nicotiana petunioides", "Thaduka multicaudata", "Thaduka multicaudata multicaudata", "Thaduka multicaudata kanara", "Hasora mus", "Hasora mus mus", "Hasora mus pahanga", "Hasora lizetta", "Hasora salanga", "Corynoptera macclurei", "Capronia guatemalensis", "Capronia hypotrachynae", "Capronia leopoldiana", "Capronia leptogii", "Capronia magellanica", "Capronia normandinae", "Corynoptera latistylata", "Capronia pseudonormandinae", "Corynoptera laureti", "Strigocis vicosensis", "Strigocis bicornis", "Corynoptera lugens", "Strigocis tokunagai", "Strigocis bilimeki", "Strigocis opalescens", "Strigocis opacicollis", "Lacrymospora parasitica", "Fibuloides trapezoidea", "Corynoptera luteola", "Leptosciarella multispinosa", "Gephyromantis atsingy", "Corynoptera minuta", "Aprivesa unimaculata", "Corynoptera nitens", "Hydrolea glabra", "Hydrolea ovata", "Hydrolea spinosa", "Hydrolea zeylanica", "Corynoptera ovatula", "Corynoptera minima", "Parapyrenis lichenicola", "Trichoteleia afo", "Trichoteleia bicolor", "Trichoteleia bidentata", "Trichoteleia carinata", "Trichoteleia cincta", "Trichoteleia delilah", "Trichoteleia eburata", "Trichoteleia echinata", "Belonectes parvus", "Thysanoplusia orichalcea", "Belonectes daytoni", "Tachystola acroxantha", "Belonectes grasslei", "Belonectes stoddarti", "Claustropyga janetscheki", "Opogona comptella", "Disconectes phalangium", "Lepidoscia heliochares", "Dialectica scalariella", "Claustropyga obtusidens", "Barea confusella", "Pseudopanax lessonii", "Myrsine australis", "Ixodiphagus taiaroaensis", "Corynoptera gymnops", "Cattleya \u00d7 hardyana", "Liriomyza antipoda", "Clerota mendeli", "Clinterocera barclayi", "Memes rufirostris", "Metapocyrtus atratus", "Metapocyrtus bucasanus", "Metapocyrtus consobrinus", "Metapocyrtus insulanus", "Metapocyrtus malayanus", "Metapocyrtus ornatus", "Elachistocleis bumbameuboi", "Elachistocleis carvalhoi", "Elachistocleis helianneae", "Elachistocleis matogrosso", "Elachistocleis surumu", "Stumpffia be", "Stumpffia hara", "Stumpffia megsoni", "Stumpffia staffordi", "Nicotiana benavidesii", "Stumpffia madagascariensis", "Stumpffia roseifemoralis", "Pterogobius zonoleucus", "Anoplocapros lenticularis", "Cattleya \u00d7 brasiliensis", "Cattleya \u00d7 brymeriana", "Cattleya aclandiae", "Cattleya amethystoglossa", "Cattleya angereri", "Cattleya bicolor", "Cattleya bicolor subsp. brasiliensis", "Cattleya bicolor subsp. minasgeraensis", "Mollisia collematis", "Niptera lichenicola", "Niptera microscopica", "Bryoscyphus lichenicola", "Pezizella epithallina", "Pezizella stictae", "Pezizella ucrainica", "Nesiostrymon celida", "Pyxis arachnoides arachnoides", "Nicotiana occidentalis", "Nicotiana rosulata", "Nicotiana rotundifolia", "Nicotiana simulans", "Nicotiana truncata", "Nicotiana umbratica", "Nicotiana velutina", "Nicotiana wuttkei", "Nicotiana sylvestris", "Nicotiana kawakamii", "Nicotiana otophora", "Nicotiana setchellii", "Nicotiana tomentosa", "Nicotiana tomentosiformis", "Nicotiana obtusifolia", "Nicotiana arentsii", "Nicotiana glutinosa", "Nicotiana thyrsiflora", "Nicotiana undulata", "Nicotiana wigandioides", "Nicotiana acuminata", "Nicotiana linearis", "Nicotiana longibracteata", "Nicotiana miersii", "Nicotiana pauciflora", "Nicotiana spegazzinii", "Phaeospora dermatocarponis", "Epidendrum subg.", "Camptochaeta longicosta", "Epidendrum sect.", "Epidendrum subsect.", "Camptochaeta consimilis", "Epidendrum nocturnum", "Epidendrum difforme", "Gemmaspora lecanorae", "Nicotiana \u00d7 calyciflora", "Nicotiana \u00d7 edwardsonii", "Nicotiana \u00d7 flindersiensis", "Rhombophryne mangabensis", "Merismatium deminutum subsp. longisporum", "Arum dioscoridis", "Anabasis pelliotii", "Bellis sylvestris", "Erebia fletcheri", "Erebia fletcheri fletcheri", "Erebia fletcheri chorymensis", "Erebia fletcheri chajataensis", "Erebia fletcheri daurica", "Erebia anyuica", "Carlina curetum", "Erebia anyuica anyuica", "Erebia anyuica iltshira", "Erebia anyuica jakuta", "Erebia anyuica sokhondinka", "Erebia pandrose pandrose", "Erebia pandrose yernikensis", "Erebia ligea ligea", "Erebia ligea eumonia", "Erebia ligea takanonis", "Erebia ligea sachaliensis", "Erebia ligea rishirizana", "Erebia ligea dovrensis", "Erebia ligea herculeana", "Erebia ligea kamensis", "Erebia ligea wutaishana", "Centaurea verutum", "Cephalaria joppensis", "Neomaniola euripides", "Colchicum stevenii", "Convolvulus secundus", "Nicotiana cutleri", "Nicotiana paniculata", "Nicotiana raimondii", "Nicotiana solanifolia", "Nicotiana clevelandii", "Nicotiana quadrivalvis", "Nicotiana nudicaulis", "Nicotiana repanda", "Nicotiana stocktonii", "Nicotiana rustica", "Nicotiana africana", "Nicotiana amplexicaulis", "Nicotiana benthamiana", "Nicotiana burbidgeae", "Nicotiana cavicola", "Nicotiana debneyi", "Nicotiana excelsior", "Nicotiana fragrans", "Nicotiana goodspeedii", "Nicotiana gossei", "Nicotiana heterantha", "Nicotiana maritima", "Nicotiana megalosiphon", "Nicotiana monoschizocarpa", "Cattleya bicolor subsp. bicolor", "Cattleya bicolor subsp. canastrensis", "Cattleya harrisoniana", "Cattleya violacea", "Cattleya wallisii", "Cattleya \u00d7 ballantiniana", "Endococcus alpestris", "Endococcus pallidosporus", "Endococcus parentus", "Endococcus parmeliarum", "Endococcus pseudocyphellariae", "Palpita unionalis", "Palpita testalis", "Palpita flegia", "Palpita quadristigmalis", "Palpita gracialis", "Palpita arsatealis", "Palpita illibalis", "Palpita euphaesalis", "Palpita magniferalis", "Palpita florensis", "Palpita quasiannulata", "Palpita masuii", "Palpita pandurata", "Palpita indannulata", "Palpita austrannulata", "Palpita ardealis", "Palpita shafferi", "Palpita luzonica", "Palpita roboralis", "Cattleya \u00d7 brabantiae", "Palpita ensiforma", "Palpita longissima", "Palpita dispersalis", "Palpita homalia", "Palpita hypohomalia", "Palpita candidata", "Palpita microptera", "Palpita diehli", "Palpita pallescens", "Palpita inusitata", "Palpita minuscula", "Palpita celsalis", "Palpita munroei", "Palpita australica", "Palpita inexpectalis", "Merismatium deminutum subsp. deminutum", "Forsteropsalis wattsi", "Forsteropsalis grayi", "Forsteropsalis fabulosa", "Camptochaeta aequidens", "Megalopsalis turneri", "Camptochaeta flagellifera", "Camptochaeta fallax", "Camptochaeta sicilicula", "Camptochaeta scanica", "Luzula forsteri", "Camptochaeta galinae", "Camptochaeta coei", "Luzula rufescens", "Camptochaeta vivax", "Camptochaeta camptochaeta", "Camptochaeta bournei", "Luzula pilosa", "Scutula nephromatis", "Metapocyrtus carinatus", "Metapocyrtus sexmaculatus", "Metapocyrtus furcatus", "Corticifraga pseudocyphellariae", "Cophixalus monosyllabus", "Cophixalus wempi", "Teucrium hircanicum", "Teucrium montbretii", "Blommersia dejongi", "Blommersia galani", "Cuproxena argentina", "Cuproxena astroboda", "Cuproxena auga", "Cuproxena binotata", "Cuproxena bramiliana", "Cuproxena cara", "Cuproxena duckworthorum", "Cuproxena elongana", "Cuproxena flintana", "Cuproxena hoffmanana", "Cuproxena latiana", "Cuproxena minimana", "Cuproxena neonereidana", "Cuproxena paracornuta", "Cuproxena pseudoplesia", "Stigmidium alectoriae", "Stigmidium calopadiae", "Stigmidium disconephromeum", "Stigmidium epiphyllum", "Stigmidium porinae", "Stigmidium ramalinae", "Stigmidium schizosporum", "Stigmidium spegazzinii", "Stigmidium trichotheliorum", "Stigmidium vezdae", "Camptochaeta duplicata", "Stigmidium beringicum", "Stigmidium solorinarium", "Camptochaeta hirtula", "Toninia ualae", "Camptochaeta uniformis", "Camptochaeta jeskei", "Dactylospora inconspicua", "Camptochaeta ofenkaulis", "Megalopsalis epizephyros", "Megalopsalis eremiotis", "Megalopsalis leptekes", "Megalopsalis pilliga", "Forsteropsalis chiltoni", "Forsteropsalis distincta", "Forsteropsalis grimmetti", "Carbonea neuropogonis", "Forsteropsalis inconstans", "Forsteropsalis marplesi", "Camptochaeta subcamptochaeta", "Forsteropsalis tumida", "Chirolophis japonicus", "Cattleya reginae", "Cattleya tenebrosa", "Reliquia santamarta", "Tatochila xanthodice", "Tatochila xanthodice xanthodice", "Tatochila xanthodice pyrrhomma", "Tatochila xanthodice paucar", "Tatochila xanthodice paramosa", "Tatochila orthodice", "Tatochila orthodice orthodice", "Tatochila orthodice carabaya", "Tatochila mercedis", "Tatochila mercedis mercedis", "Tatochila mercedis stereodice", "Tatochila mercedis fueguensis", "Tatochila mercedis macrodice", "Tatochila mercedis arctodice", "Tatochila mercedis vanvolxemii", "Amphixystis anchiala", "Amphixystis islamella", "Amphixystis cymataula", "Amphixystis epirota", "Amphixystis sicaria", "Osorius verhaaghi", "Osorius paganus", "Osorius venezuelanus", "Osorius pusillus", "Osorius ashei", "Osorius tschirnhausi", "Osorius guianensis", "Osorius continentalus", "Camptochaeta stammeri", "Camptochaeta simulator", "Camptochaeta quadriceps", "Camptochaeta cladiator", "Camptochaeta falcator", "Camptochaeta xystica", "Camptochaeta xysticoides", "Camptochaeta propria", "Camptochaeta compar", "Camptochaeta tenuipalpalis", "Nanostictis christiansenii", "Nanostictis nephromatis", "Nanostictis peltigerae", "Nanostictis pluriseptata", "Nanostictis pseudocyphellariae", "Nanostictis stictae", "Neurotettix truncatus", "Synaphris wunderlichi", "Coulmannia rossensis", "Metapocyrtus chrysogrammus", "Metapocyrtus comes", "Boophis quasiboehmei", "Adenomera simonstuarti", "Platocoelotes uenoi", "Africoribates parvoglobosus", "Africoribates nudus", "Lysimachia christinae", "Stictis cladoniae", "Rhombophryne matavy", "Erodium crassifolium", "Oninia senglaubi", "Anabasis brevifolia", "Gagea commutata", "Pseudostigmidium biseptatum", "Pseudostigmidium confusum", "Pseudostigmidium disparatum", "Pseudostigmidium fumosum", "Pseudostigmidium nephromiarium", "Palpita ochrocosta", "Palpita bicornuta", "Palpita curiosa", "Palpita tenuijuxta", "Anabasis salsa", "Palpita lanceolata", "Palpita melanapicalis", "Ziziphus spina-christi", "Palpita fraterna", "Palpita semifraterna", "Palpita nonfraterna", "Palpita inconspicua", "Palpita pratti", "Palpita semimicroptera", "Pentateucha curiosa", "Ficus sycomorus", "Pentateucha stueningi", "Pentateucha inouei", "Belciades hoenei", "Belciades sugii", "Belciades koenigi", "Belciades niveola", "Munnopsis typica", "Palpita triopis", "Epidendrum longicolle", "Palpita horakae", "Rosa phoenicia", "Rubus sanguineus", "Pistacia atlantica", "Ornithogalum lanceolatum", "Epidendrum subsect.", "Epidendrum coriifolium", "Epidendrum subsect.", "Lachnella tetraspora", "Vietomartyria gladiator", "Vietomartyria expeditionis", "Vietomartyria jinggangana", "Vietomartyria baishanzuna", "Erebia fletcheri magnifica", "Polydesmia lichenis", "Woonpaikia villosa", "Woonpaikia angoonae", "Helianthemum vesicarium", "Camptochaeta uncifera", "Camptochaeta uniceps", "Camptochaeta gigantostylata", "Camptochaeta pentacantha", "Camptochaeta regenerata", "Tapuiasaurus macedoi", "Claustropyga abblanda", "Claustropyga acanthostyla", "Claustropyga aperta", "Claustropyga auriculata", "Claustropyga brevichaeta", "Telmatogeton trochanteratum", "Acanthocope spinicauda", "Claustropyga clausa", "Bathyopsurus abyssicolus", "Claustropyga corticis", "Claustropyga ctenophora", "Claustropyga elizabethae", "Protaetia brevitarsis", "Baeonectes muticus", "Halyomorpha halys", "Statilia maculata", "Claustropyga heteroclausa", "Achyra affinitalis", "Brontomerus mcintoshi", "Chrysozephyrus hatoyamai", "Chrysozephyrus haradai", "Chrysozephyrus jiroi", "Odontotrema bryoriae", "Chrysozephyrus shakunage", "Odontotrema cuculare", "Chrysozephyrus wakaharai", "Odontotrema figulinum", "Odontotrema intermedium", "Odontotrema japewiae", "Odontotrema lecanorae", "Odontotrema melaneliae", "Odontotrema navarinoi", "Odontotrema ochrolechiae", "Odontotrema pertusariae", "Odontotrema rhizocarpicola", "Odontotrema santessonii", "Odontotrema sipei", "Odontotrema thamnoliae", "Chrysozephyrus disparatus disparatus", "Camptochaeta spicigera", "Camptochaeta desideralis", "Camptochaeta falcidens", "Paralethariicola aspiciliae", "Camptochaeta mutua", "Camptochaeta inflata", "Kathetostoma binigrasella", "Camptochaeta pellax", "Camptochaeta delicata", "Camptochaeta mimica", "Cuproxena serrata", "Cuproxena virifloscula", "Cuproxena cornuta", "Cuproxena subunicolora", "Cuproxena trema", "Cuproxena triphera", "Cuproxena chelograpta", "Cuproxena flosculana", "Corticiruptor abeloneae", "Cuproxena nereidana", "Corticiruptor corallinus", "Cuproxena quinquenotata", "Cuproxena speculana", "Cuproxena eudiometra", "Ernocornutia capronata", "Ernocornutia catopta", "Ernocornutia carycodes", "Gauruncus argillus", "Gauruncus armatus", "Gauruncus curvatus", "Gauruncus gracilis", "Gauruncus rossi", "Gauruncus simplicissimus", "Gauruncus laudatus", "Gauruncus venezolanus", "Scoliciosporum pseudocyphellariae", "Gauruncus intermedius", "Gauruncus gelastes", "Gauruncus gampsognathos", "Galomecalpa concolor", "Galomecalpa suffusca", "Galomecalpa empirica", "Galomecalpa meridana", "Galomecalpa defricata", "Galomecalpa megaloplaca", "Galomecalpa monogramma", "Clarkeulia aerumnosa", "Clarkeulia ardalio", "Clarkeulia aulon", "Clarkeulia conistra", "Clarkeulia dubia", "Clarkeulia egena", "Umbilithecium pseudocyphellariae", "Umushamyces kuturnum", "Eudyptula minor albosignata", "Eupithecia guayacanae", "Eupithecia bandurriasae", "Eupithecia elquiensis", "Eupithecia frequens", "Eupithecia coquimbo", "Eupithecia juntasae", "Eupithecia concepcion", "Eupithecia arauco", "Nectriopsis silvaustralis", "Clynotis barresi", "Pholcomma antipodianum", "Claustropyga sajanica", "Traukutitan eocaudata", "Sarahsaurus aurifontanalis", "Claustropyga simplicis", "Eriophora pustulosa", "Claustropyga subcorticis", "Leonerasaurus taquetrensis", "Claustropyga mirifica", "Claustropyga spicea", "Claustropyga triloba", "Claustropyga tumida", "Pronectria fragmospora", "Pronectria invisibilis", "Pronectria occulta", "Dichopygina aculeata", "Dichopygina bernhardi", "Dichopygina duplicis", "Dichopygina ramosa", "Dichopygina stricta", "Cattleya alaorii", "Dichopygina intermedia", "Dichopygina nigrohalteralis", "Petrobrasaurus puestohernandezi", "Parafroneta subantarctica", "Trichonectria australis", "Lichenochora acutispora", "Lichenochora aipoliae", "Lichenochora aprica", "Lichenochora atrans", "Lichenochora bellemerei", "Lichenochora clauzadei", "Lichenochora coarctatae", "Lichenochora collematum", "Lichenochora constrictella", "Lichenochora coppinsii", "Lichenochora elegantis", "Lichenochora epidesertorum", "Lichenochora epifulgens", "Lichenochora epimarmorata", "Lichenochora epinashii", "Lichenochora gahavisukae", "Lichenochora galligena", "Lichenochora heppiae", "Lichenochora inconspicua", "Lichenochora lecidellae", "Lichenochora lepidiotae", "Lichenochora mediterraneae", "Lichenochora obscuroides", "Lichenochora paucispora", "Lichenochora polycoccoides", "Lichenochora pyrenodesmiae", "Lichenochora sinapispermae", "Lichenochora thorii", "Lichenochora verrucicola", "Lichenochora wasseri", "Lichenochora weillii", "Lichenochora xanthoriae", "Teratophoneus curriei", "Anthostomella apogyra", "Atronectria magellanica", "Gasparia delli", "Gohia falxiata", "Erigone wiltoni", "Tenuiphantes tenuis", "Claustropyga refrigerata", "Nectriopsis hirta", "Nectriopsis mindoensis", "Nectriopsis porinicola", "Neobarya ciliaris", "Neobarya darwiniana", "Neobarya lichenophila", "Neobarya peltigerae", "Neobarya usneae", "Camptochaeta subspicigera", "Panamericansaurus schroederi", "Niesslia cladoniicola", "Niesslia peltigericola", "Niesslia tatjanae", "Niesslia yaganae", "Austroraptor cabazai", "Neuquenraptor argentinus", "Buitreraptor gonzalezorum", "Rahonavis ostromi", "Unenlagia paynemili", "Unenlagia comahuensis", "Luzula parviflora", "Laeosopis roboris thiersi", "Mapusaurus roseae", "Puertasaurus reuili", "Pontocypria omaha", "Allograpta ventralis", "Morpho peleides", "Lambis millipeda", "Melanopsamma lettauiana", "Baeosomus serripes", "Gromilus laqueorum", "Gromilus exiguus", "Gromilus fallai", "Trichonectria rubefaciens", "Metapocyrtus currani", "Metapocyrtus erichsoni", "Diomma pincersa", "Tautoneura baiyunshana", "Tautoneura caoi", "Tautoneura yunnanensis", "Epicephala relictella", "Conopomorpha flueggella", "Scinax skaios", "Boana aguilari", "Boana gladiator", "Hyla felixarabica", "Dendropsophus salli", "Dendropsophus reichlei", "Bellulia bibella", "Parachrostia pura", "Tactusa virga", "Tactusa flexus", "Tactusa brevis", "Tactusa discrepans yunnanensis", "Cattleya mendelii", "Tactusa discrepans discrepans", "Xenonectriella aurantiaca", "Xenonectriella humilis", "Xenonectriella leptaleoides", "Xenonectriella ornamentata", "Xenonectriella rosea", "Xenonectriella streimannii", "Xenonectriella lutescens", "Cattleya dowiana", "Cattleya dowiana var. dowiana", "Cattleya dowiana var. aurea", "Cattleya elongata", "Scoparia sinensis", "Scoparia spinata", "Scoparia metaleucalis", "Scoparia congestalis", "Scoparia afghanorum", "Scoparia brunnea", "Scoparia tohokuensis", "Antigius attilia tropicanus", "Hemidesmus indicus var. indicus", "Hemidesmus indicus var. pubescens", "Halaelurus quagga", "Peyerimhoffia alpina", "Peyerimhoffia calva", "Peyerimhoffia collina", "Peyerimhoffia curvata", "Heteromphrale blanca", "Peyerimhoffia infera", "Diaugia angusta", "Aldersladum jengi", "Barbus greenwoodi", "Cophinopoda chinensis", "Paracentropogon rubripinnis", "Hyperoglyphe japonica", "Pleosphaeria lichenothricis", "Singida jacksonoides", "Craugastor evanesco", "Ceuthomantis duellmani", "Roselliniella africana", "Roselliniella atlantica", "Roselliniella cladoniae", "Roselliniella coccocarpiae", "Roselliniella epiphylla", "Roselliniella eriodermicola", "Roselliniella euparmeliicola", "Roselliniella heterodeae", "Roselliniella microthelia", "Roselliniella nephromatis", "Roselliniella oxyspora", "Roselliniella pannariae", "Encarsia adela", "Encarsia aferi", "Roselliniella papuana", "Roselliniella peltigericola", "Roselliniella ramirezii", "Roselliniella stereocaulorum", "Roselliniella stictae", "Ussuriana michaelis michaelis", "Ussuriana michaelis gabrielis", "Ussuriana michaelis okamensis", "Ussuriana michaelis secunda", "Laeosopis roboris", "Laeosopis roboris roboris", "Laeosopis roboris lusitanica", "Laeosopis roboris escorialensis", "Laeosopis roboris demissa", "Laeosopis roboris higginsi", "Laeosopis roboris magis", "Laeosopis roboris mudarra", "Laeosopis roboris portaensis", "Sarcoexcipula pannariae", "Tatochila sagittata", "Tatochila sagittata sagittata", "Tatochila sagittata herrerai", "Tatochila autodice", "Tatochila autodice autodice", "Tatochila autodice blanchardii", "Tatochila autodice ernestae", "Tatochila homoeodice", "Tatochila distincta", "Tatochila distincta distincta", "Tatochila distincta fieldi", "Tatochila inversa", "Tatochila inversa inversa", "Tatochila inversa razmilici", "Macroprotodon abubakeri", "Tatochila theodice", "Tatochila theodice theodice", "Tatochila theodice gymnodice", "Tatochila stigmadice", "Tatochila mariae", "Heliconius demeter turneri", "Sphaeria sociella", "Callambulyx sichangensis", "Heliconius demeter terrasanta", "Heliconius demeter ulysses", "Heliconius demeter zikani", "Chrysodeixis dalei", "Chrysodeixis includens", "Peyerimhoffia ultima", "Peyerimhoffia vagabunda", "Angullozetes rostratus", "Pseudoceratoppia sexsetosa", "Pseudoceratoppia microsetosa", "Pseudoceratoppia asetosa", "Pseudoceratoppia clavasetosa", "Pseudoceratoppia diversa", "Pseudoceratoppia longipilis", "Oxymonacanthus longirostris", "Teratoschaeta rondoniensis", "Gromilus veneris", "Collemopsidium cephalodiorum", "Trabala maharadja", "Pachypasoides lucanivalvus", "Dendrolimus senex", "Dendrolimus aelytus", "Kunugia falco", "Kunugia siamka", "Kunugia tamsi", "Kunugia placida", "Kunugia brunnea", "Kunugia latipennis", "Pachysoides yunnanensis", "Pachypasoides yunnanensis", "Dendrolimus marmoratus", "Hymenobia insidiosa", "Antigius attilia yamanakashoji", "Gromilus cockaynei", "Eupromus ruber", "Amblopala avidiena avidiena", "Amblopala avidiena nepalica", "Amblopala avidiena y-fasciata", "Habrodais grunus", "Habrodais grunus grunus", "Heliconius elevatus", "Heliconius elevatus elevatus", "Heliconius elevatus willmotti", "Heliconius demeter demeter", "Heliconius demeter neildi", "Rhagadostoma pannariae", "Rhagadostoma lichenicola", "Rhagadostomella gregaria", "Acosmeryx rebeccae", "Vitessa gritschroeerae", "Reconditella physconiarum", "Megacraspedus eburnellus", "Chrysodeixis taschneri", "Roselliniomyces trichotheliorum", "Woodsia ilvensis", "Roselliniopsis gelidaria", "Roselliniopsis groedensis", "Roselliniopsis palicei", "Roselliniopsis tartaricola", "Roselliniopsis tropica", "Roselliniopsis ventosa", "Archechiniscus marci", "Barbatula barbatula", "Scyllarides haani", "Spiriferina rostrata", "Oligosoma tekakahu", "Oligosoma toka", "Oligosoma burganae", "Oligosoma repens", "Oligosoma inconspicuum", "Oligosoma notosaurus", "Oligosoma acrinasum", "Oligosoma chloronoton", "Oligosoma fallai", "Oligosoma gracilicorpus", "Oligosoma grande", "Peyerimhoffia menzeli", "Oligosoma homalonotum", "Oligosoma infrapunctatum", "Oligosoma lineoocellatum", "Oligosoma maccanni", "Oligosoma otagense", "Oligosoma smithi", "Oligosoma microlepis", "Oligosoma moco", "Oligosoma zelandicum", "Oligosoma waimatense", "Oligosoma striatum", "Oligosoma suteri", "Peyerimhoffia ioculatoria", "Icosidesmus worthingtoni", "Dityloura macrocephala", "Eumastigonus striatus", "Peyerimhoffia obtusicauda", "Spirobolellus antipodarus", "Peyerimhoffia semicurvata", "Peyerimhoffia sepei", "Aulacoporus pruvoti", "Peyerimhoffia subcurvata", "Peyerimhoffia thula", "Onespa nubis", "Osmakasaurus depressus", "Uteodon aphanoecetes", "Camptosaurus dispar", "Saltugilia splendens", "Stellifraga cladoniicola", "Edwardzetes dentifer", "Friesea grisea", "Gamasellus racoviztai", "Rhagidia gerlachei", "Rhagidia leechi", "Cryptopygus antarcticus", "Notoplectron campbellense", "Paralasa gohlshali", "Plebejidea loewii loewii", "Plebejidea loewii atrakensis", "Ceratocuma panamense", "Cimmerius bacescui", "Cimmerius tasmaniensis", "Thamnogalla crombiei", "Takifugu chrysops", "Stomias affinis", "Viridiannula pertusariae", "Iranobates hesabii", "Heliconius charithonia vazquezae", "Capsicum galapagoense", "Capsicum parvifolium", "Capsicum buforum", "Capsicum campylopodium", "Capsicum cardenasii", "Capsicum chacoense", "Capsicum coccineum", "Capsicum cornutum", "Capsicum dimorphum", "Capsicum dusenii", "Capsicum eximium", "Capsicum flexuosum", "Capsicum geminifolium", "Capsicum hookerianum", "Capsicum lanceolatum", "Capsicum leptopodum", "Capsicum lycianthoides", "Capsicum minutiflorum", "Capsicum mirabile", "Capsicum mositicum", "Capsicum rhomboideum", "Capsicum schottianum", "Capsicum scolnikianum", "Capsicum tovarii", "Capsicum villosum", "Sargochromis greenwoodi", "Fibuloides elongata", "Fibuloides wuyiensis", "Anatrytone logan", "Anatrytone logan logan", "Anatrytone logan lagus", "Anatrytone mazai", "Anatrytone barbara", "Anatrytone flavens", "Anatrytone mella", "Anatrytone potosiensis", "Anatrytone perfida", "Anatrytone sarah", "Atrytone arogos", "Atrytone arogos arogos", "Atrytone arogos iowa", "Quasimellana mexicana", "Saltugilia splendens subsp. splendens", "Saltugilia splendens subsp. grantii", "Lysimachia europaea", "Draconyx loureiroi", "Keilbachia acamptochaeta", "Keilbachia bicuspis", "Keilbachia fasciata", "Keilbachia filigera", "Keilbachia flabellata", "Keilbachia foveolata", "Keilbachia gigas", "Keilbachia oligonema", "Keilbachia rima", "Collomia linearis", "Keilbachia acerspina", "Keilbachia aculeata", "Keilbachia apprima", "Keilbachia demissa", "Keilbachia arrecta", "Keilbachia scutica", "Keilbachia tenuicula", "Keilbachia mira", "Keilbachia arcuata", "Visiana brujata", "Visiana inimica", "Visiana robinsoni", "Visiana tamborica", "Visiana excentrata", "Visiana hollowayi", "Visiana hyperctenista", "Visiana vinosa", "Visiana sordidata", "Heliconius demeter karinae", "Heliconius elevatus zoelleri", "Heliconius egeria", "Heliconius egeria egeria", "Scotosia brujata", "Tephrosia breviaria", "Heliconius egeria keithbrowni", "Heliconius xanthocles buechei", "Heliconius burneyi", "Heliconius burneyi burneyi", "Dysphania ambrosioides", "Heliconius charithonia", "Heliconius charithonia charithonia", "Heliconius charithonia bassleri", "Heliconius charithonia ramsdeni", "Heliconius charithonia churchi", "Heliconius charithonia tuckeri", "Nemapogon defectella", "Nemapogon geniculatella", "Nemapogon interstitiella", "Nemapogon molybdanella", "Nemapogon multistriatella", "Nemapogon ophrionella", "Nemapogon rileyi", "Nemapogon roburella", "Nemapogon oregonella", "Nemapogon tylodes", "Nemapogon alticolella", "Lobariella crenulata", "Nemapogon apicisignatella", "Lobariella exornata", "Lobariella subexornata", "Nemapogon bachmarensis", "Nemapogon barikotellus", "Neurothaumasia ankerella", "Neurothaumasia ragusaella", "Nemaxera betulinella", "Triaxomera fulvimitrella", "Triaxomera baldensis", "Triaxomera marsica", "Triaxomera caucasiella", "Reisserita zernyi", "Eudarcia granulatella", "Eudarcia confusella", "Ornithodiplostomum ptychocheilus", "Potentilla alba", "Potentilla elatior", "Crepis gemicii", "Glyceria lazistanica", "Hippocampus kelloggi", "Neolucanus insulicola", "Dunalia brachystemon", "Iochroma cyaneum", "Iochroma tubulosum", "Iochroma warscewiczii", "Oligosoma aeneum", "Flatbergium sericeum", "Prunus \u00d7 juddii", "Eosphagnum inretortum", "Prunus \u00d7 compta", "Takakia lepidozioides", "Anisodus tanguticus", "Takakia ceratophylla", "Nephroma arcticum", "Atropanthe sinensis", "Nephroma areolatum", "Nephroma australe", "Sedum stoloniferum", "Nephroma bellum", "Phedimus spurius", "Nephroma cellulosum", "Protosphagnum nervatum", "Sedum pallidum", "Titanoceratops ouranous", "Utahceratops gettyi", "Prunus \u00d7 fontanesiana", "Agujaceratops mariscalensis", "Microcryptorhynchus latitarsis", "Sebastes schlegelii", "Coahuilaceratops magnacuerna", "Nestrius laqueorum", "Phrynixus laqueorum", "Catoptes versicolor", "Arrhinoceratops brachyops", "Catoptes versicolor australis", "Prunus \u00d7 gondouinii", "Nephroma servitianum", "Nephroma sulcatum", "Nephroma tangeriense", "Nephroma tropicum", "Nephroma venosum", "Lethe proxima", "Lethe proxima proxima", "Lethe proxima baoxingensis", "Lethe tingeda", "Chrysozephyrus sakakibarai", "Catoptes coronatus", "Catoptes cuspidatus", "Catoptes dispar", "Catoptes dorsalis", "Catoptes funestus", "Catoptes hamiltoni", "Catoptes humeralis", "Catoptes latipennis", "Catoptes murinus", "Catoptes nasalis", "Catoptes planus", "Catoptes robustus", "Catoptes scutellaris", "Catoptes simulator", "Anacanthocoris striicornis", "Upeneus tragula", "Flabellum distictum", "Thaumastocheles japonicus", "Stereocaulon alpestre", "Nemapogon koenigi", "Nemapogon nevadella", "Nemapogon gravosaellus", "Nemapogon hungaricus", "Nemapogon hispanica", "Nemapogon reisseri", "Nemapogon quercicolella", "Nemapogon fungivorella", "Nemapogon caucasicus", "Nemapogon meridionalis", "Nemapogon falstriella", "Nemapogon acapnopennella", "Nemapogon angulifasciella", "Nemapogon auropulvella", "Anhypotrix tristis", "Hypotrix ferricola", "Hypotrix diplogramma", "Hypotrix parallela", "Hypotrix rubra", "Hypotrix spinosa", "Hypotrix ocularis", "Hypotrix basistriga", "Hypotrix naglei", "Hypotrix alamosa", "Hypotrix trifascia", "Hypotrix optima", "Hypotrix hueco", "Hypotrix lunata", "Enargia infumata", "Lycianthes rantonnetii", "Lycianthes asarifolia", "Lycianthes biflora", "Lycianthes ciliolata", "Lycianthes coffeifolia", "Lycianthes laevis", "Lycianthes macrodon", "Lycianthes moziniana", "Enargia fausta", "Enargia decolor", "Thymus piperella", "Saphenista rivadeneirai", "Eugnosta matengana", "Santalum album", "Howarthia nigricans nigricans", "Howarthia nigricans wakaharai", "Nephroma helveticum subsp. helveticum", "Chrysozephyrus vittatus phoopan", "Prunus \u00d7 yuyamae", "Chrysozephyrus mushaellus sakaguchii", "Nephroma helveticum subsp. sipeanum", "Xanthoparmelia verruculifera", "Torosaurus utahensis", "Chrysozephyrus tytleri", "Chrysozephyrus tytleri tytleri", "Chrysozephyrus souleana", "Chrysozephyrus souleana souleana", "Chrysozephyrus souleana angustimargo", "Chrysozephyrus souleana myanmarensis", "Chrysozephyrus tienmushanus", "Chrysozephyrus triloka", "Chrysozephyrus kabrua kabrua", "Chrysozephyrus kabrua aungseini", "Chrysozephyrus intermedius intermedius", "Parmelia meiophora", "Physcia albata", "Keilbachia adjuncta", "Keilbachia bifida", "Keilbachia brevicoxa", "Keilbachia camptospina", "Micarea magellanica", "Keilbachia cornuta", "Keilbachia inscissa", "Micarea pannarica", "Keilbachia macripes", "Keilbachia megacantha", "Keilbachia trispinoides", "Keilbachia neglecta", "Pseudocyphellaria lechleri", "Keilbachia adstricta", "Stenoptilia garrevoeti", "Clavigesta gerti", "Clavigesta tokei", "Glyphodes perspectalis", "Dardanus arrosor", "Prosopocoilus inclinatus", "Polynemus multifilis", "Platyrhina sinensis", "Naultinus elegans", "Naultinus grayii", "Naultinus rudis", "Naultinus stellatus", "Hoplodactylus duvaucelii", "Keilbachia cracens", "Keilbachia constricta", "Naultinus gemmeus", "Naultinus manukanus", "Naultinus tuberculatus", "Keilbachia truncata", "Keilbachia fratercula", "Keilbachia adunca", "Keilbachia ancylonema", "Keilbachia camptonema", "Keilbachia clinata", "Usnea aurantiacoatra", "Keilbachia curvispina", "Keilbachia mirabilis", "Keilbachia orthonema", "Keilbachia criniloba", "Laticauda saintgironsi", "Keilbachia biflagrispina", "Keilbachia flagria", "Keilbachia flagrispina", "Keilbachia ferrata", "Keilbachia subferrata", "Keilbachia grandiosa", "Keilbachia praedicta", "Keilbachia profana", "Keilbachia ulcerata", "Keilbachia hamata", "Keilbachia tenerrima", "Keilbachia indigena", "Keilbachia nepalensis", "Keilbachia paucipalpa", "Keilbachia sasakawai", "Catoptes acuminatus", "Catoptes aequus", "Catoptes agrestis", "Catoptes amotus", "Catoptes amplus", "Catoptes angustulus", "Catoptes asteliae", "Catoptes aulicus", "Catoptes binodulus", "Catoptes brevicornis", "Catoptes cavelli", "Catoptes censorius", "Catoptes citimus", "Prunus \u00d7 macedonica", "Prunus \u00d7 rossica", "Vagaceratops irvinensis", "Kosmoceratops richardsoni", "Nephroma expallidum", "Eotriceratops xerinsularis", "Nephroma foliolatum", "Prunus \u00d7 javorkae", "Prunus \u00d7 mohacsyana", "Nephroma helveticum", "Nephroma hensseniae", "Nephroma isidiosum", "Ojoceratops fowleri", "Nephroma javanicum", "Prunus \u00d7 stacei", "Medusaceratops lokii", "Tatankaceratops sacrisonorum", "Nephroma laevigatum", "Flammulina zebra", "Nephroma occultum", "Scopolia carniolica", "Scopolia japonica", "Sindacharax deserti", "Nedoceratops hatcheri", "Nephroma rufum", "Sindacharax greenwoodi", "Taguahelix antipodensis", "Mojoceratops perifania", "Chasmosaurus russelli", "Prunus mume var. mume", "Arctornis labi", "Arctornis pellucidoides", "Arctornis nigrobustus", "Arctornis mallephrika", "Arctornis brunnescens", "Arctornis albescens", "Arctornis rugosacculus", "Arctornis contrarcuatus", "Arctornis calcariphallus", "Arctornis bicalcaratus", "Arctornis asymmetricus", "Arctornis aureopalpatus", "Arctornis secula", "Arctornis ungula", "Arctornis pseudungula", "Arctornis bilobuncus", "Arctornis liguluncus", "Arctornis clavimicruncus", "Arctornis virgamicruncus", "Arctornis sinuaharpe", "Arctornis sclerotuncus", "Arctornis magnaclava", "Arctornis parvaclava", "Arctornis graciliclava", "Arctornis bisetosus", "Arctornis excavatus", "Arctornis naphtha", "Arctornis oranaphtha", "Arctornis keranganaphtha", "Arctornis mulunaphtha", "Arctornis cretosanaphtha", "Arctornis montananaphtha", "Arctornis malleuncus", "Arctornis ferruginicosta", "Arctornis dorsalineatus", "Arctornis tricorniger", "Arctornis hedleyi", "Arctornis cretoserratus", "Arctornis ardea", "Arctornis faucium", "Arctornis kohistana", "Cumnoria prestwichii", "Diacyclops bisetosus", "Eucyclops serrulatus", "Euryte longicauda", "Halicyclops magniceps", "Halicyclops neglectus", "Macrocyclops albidus", "Sarda australis", "Polyptychus trilineatus", "Polyptychus trilineatus trilineatus", "Polyptychus trilineatus philippinensis", "Marumba amboinicus", "Marumba amboinicus amboinicus", "Marumba amboinicus luzoni", "Marumba dyras", "Marumba dyras dyras", "Marumba dyras javanica", "Marumba dyras tenimberi", "Marumba tigrina", "Cypa claggi", "Acacia amythethophylla", "Acacia ataxacantha", "Xylosciara microdon", "Xylosciara misella", "Xylosciara phryganophila", "Xylosciara trimera", "Xylosciara miraculosa", "Xylosciara separata", "Xylosciara spectabilis", "Ambulyx tattina uichancoi", "Ambulyx moorei", "Ambulyx suluensis", "Ambulyx substrigilis", "Ambulyx substrigilis substrigilis", "Clanis stenosema", "Thelypteris palustris", "Polypodium interjectum", "Amphorothecium occultum", "Hygrocrates deelemanus", "Euastacus morgani", "Omophorus rongshu", "Revelieria genei", "Corticaria lapponica", "Metophthalmus telemachos", "Metophthalmus achilles", "Metophthalmus menelaos", "Mataoraphyllum miocenicus", "Phyllocladus palmerii", "Myrsine waihiensis", "Mesocyclops australiensis", "Mesocyclops leuckarti", "Thersitina inopinata", "Abergasilus amplexus", "Paeonodes nemaformis", "Xanthogalum purpurascens", "Dryopteris liliana", "Thymelicus sylvestris", "Microchromis zebroides", "Xylosciara brevipes", "Xylosciara endocristata", "Xylosciara longiforceps", "Xylosciara sensillata", "Xylosciara acanthaformis", "Xylosciara aculeata", "Cicindela elisae", "Xylosciara betulae", "Xylosciara steleocera", "Xylosciara validinervis", "Xylosciara heptacantha", "Corticaria thomasi", "Phthitia lobocercus", "Mosasaurus mokoroa", "Prognathodon waiparaensis", "Massalongia microphylliza", "Lepidochelys waikatoica", "Psephophorus terrypratchetti", "Nepeta trichocalyx", "Nepeta baytopii", "Nepeta betonicifolia", "Nepeta caesarea", "Nepeta concolor", "Nepeta conferta", "Nepeta crinita", "Nepeta flavida", "Nepeta glomerata", "Nepeta heliotropifolia", "Nepeta humilis", "Nepeta isaurica", "Nepeta lamiifolia", "Nepeta macrosiphon", "Nepeta meyeri", "Rhantus fengi", "Rhantus gogonensis", "Laccoporus nigritulus", "Acanthothecis aquilonia", "Acanthothecis subaggregans", "Acanthothecis virgulicola", "Pseudopontia mabira", "Acarospora nodulosa var. nodulosa", "Acarospora nodulosa var. reagens", "Amplypterus panopus", "Acarospora ferdinandii", "Acarospora fuscorufa", "Amplypterus panopus panopus", "Acarospora macrocarpa", "Acarospora negligens", "Acarospora novae-hollandiae", "Amplypterus panopus mindanaoensis", "Ambulyx staudingeri", "Ambulyx tattina", "Ambulyx tattina tattina", "Austrolejeunea secunda", "Anzcyclops silvestris", "Anzcyclops ballensis", "Anzcyclops belli", "Anzcyclops euryantennula", "Anzcyclops yarriensis", "Tropocyclops prasinus", "Pescecyclops monacanthus", "Paracyclops chiltoni", "Paracyclops fimbriatus", "Microcyclops varicans", "Acanthocyclops robustus", "Acanthocyclops vernalis", "Cyclops strennus", "Diacyclops bicuspidatus", "Nepeta pilinux", "Nepeta obtusicrena", "Nepeta phyllochlamys", "Nepeta sorgerae", "Nepeta stenantha", "Nepeta stricta", "Nepeta sulfuriflora", "Nepeta supina", "Nepeta trachonitica", "Nepeta viscida", "Antigius attilia atilla", "Catolechia wahlenbergii", "Abrostola schintlmeisteri", "Rhipidomys ipukensis", "Liolaemus vulcanus", "Xylosciara flavopedalis", "Xylosciara subbetulae", "Taniwhasaurus oweni", "Xylosciara horrida", "Xylosciara trigemina", "Xylosciara mohrigi", "Xylosciara merodon", "Xylosciara ontario", "Rikisaurus tehoensis", "Xylosciara inornata", "Xylosciara xanthogaster", "Mosasaurus flemingi", "Xylosciara pulcherrima", "Xylosciara krivosheinae", "Tuarangisaurus keyesi", "Xylosciara lignicola", "Kaiwhekea katiki", "Maorichelys wiffenae", "Mycomicrothelia xanthonica", "Mycomicrothelia macrocarpa", "Pseudopyrenula cryptotheca", "Bolinus cornutus", "Tropheops modestus", "Pseudotropheus socolofi", "Pseudotropheus purpuratus", "Pandalopsis japonica", "Marchantia quadrata", "Neohodgsonia mirabilis", "Crinum humile", "Angiactis bermudensis", "Angiactis littoralis", "Angiactis spinicola", "Enchelycore anatina", "Crinum kunthianum", "Plusia chariessa", "Crinum jasonii", "Passer hispaniolensis hispaniolensis", "Corynoptera altaica", "Calocera viscosa", "Pseudotropheus williamsi", "Gagrella cauricrepa", "Treubiites kidstonii", "Epipristis roseus", "Epipristis pullusa", "Crinum \u00d7 submersum", "Crinum \u00d7 herbertii", "Crinum \u00d7 mitchamiae", "Callambulyx amanda", "Phyllosphingia dissimilis", "Phyllosphingia dissimilis dissimilis", "Phyllosphingia dissimilis perundulans", "Agrius convolvuli", "Diphasiastrum complanatum", "Megacorma obliqua", "Megacorma obliqua obliqua", "Megacorma obliqua remota", "Acherontia lachesis", "Acherontia styx", "Acherontia styx styx", "Acherontia styx medusa", "Meganoton nyctiphanes", "Diphasiastrum \u00d7 oellgaardii", "Meganoton rufescens", "Meganoton rufescens rufescens", "Meganoton rufescens philippinensis", "Meganoton rufescens thielei", "Poliana albescens", "Cephonodes picus", "Cephonodes banksi", "Cephonodes banksi banksi", "Cephonodes banksi johani", "Bellis hyrcanica", "Bellis longifolia", "Bellis rotundifolia", "Bellis prostrata", "Bellis cordifolia", "Delphinium albiflorum", "Carex bohemica", "Carex tenuiflora", "Crinum \u00d7 altaclarae", "Pagmanella heroica", "Eudonia paghmanella", "Pseudischnocampa diluta", "Watsonidia navatteae", "Caradjaina kwangtungialis", "Hoenia sinensis", "Scoparia caradjai", "Torilis japonica", "Scoparia indica", "Sineudonia brunnea", "Sineudonia brunnea brunnea", "Sineudonia brunnea hoenei", "Gehyra oceanica", "Hemidactylus garnotii", "Naultinus poecilochlorus", "Crinum calamistratum", "Salvia cyclostegia", "Salvia cyclostegia var. cyclostegia", "Salvia cyclostegia var. purpurascens", "Anarrhinum orientale", "Bungea trifida", "Euselasia crinon", "Euselasia marica", "Euselasia serapis", "Euselasia praecipua", "Euselasia janigena", "Eudonia altissima", "Crinum \u00d7 decandolei", "Ripiphorus caboverdianus", "Lycoriella eflagellata", "Lycoriella freyi", "Lycoriella lycorielloides", "Lycoriella polaris", "Lycoriella secundaria", "Nesiaptera picea", "Placostylus hongii", "Placostylus bollonsi", "Pseudotropheus ater", "Pseudotropheus cyaneus", "Pseudotropheus flavus", "Ephippiger provincialis", "Maylandia fainzilberi", "Theope pakitza pakitza", "Orthocladius pictipennis", "Theope pakitza frejoense", "Amaxia pseudognosia", "Agrias aedon rodriguezi", "Agrias aedon pepitoensis", "Mastrus ridens", "Symmachia giffordi", "Fusarium tumidum", "Edwardsiana froggatti", "Scrobipalpa dagmaris", "Canis himalayensis", "Lycoriella brevicubitalis", "Lycoriella chentejensis", "Bemisia flocculosa", "Lycoriella cochleata", "Sciara haemorrhoidalis", "Spherillo minimus", "Spherillo antipodus", "Spherillo invisibilis", "Spherillo tuberculatus", "Leucosoma reevesii", "Samaris cristatus", "Crinum \u00d7 cooperi", "Crinum \u00d7 parkeri", "Crinum \u00d7 murrayi", "Crinum \u00d7 claronis", "Crinum \u00d7 brownii", "Crinum \u00d7 puseyae", "Crinum \u00d7 roxburghii", "Crinum \u00d7 kircape", "Crinum \u00d7 elseae", "Dipchasphecia consobrina", "Dipchasphecia naumanni", "Dipchasphecia rhodocnemis", "Dipchasphecia altaica", "Dipchasphecia nigra", "Dipchasphecia krocha", "Dipchasphecia iskander", "Dipchasphecia kashgarensis", "Dipchasphecia kurdaica", "Dipchasphecia turkmena", "Pieris marginalis ziegleri", "Lycoriella conspicua", "Lycoriella dearmata", "Lycoriella flavicornis", "Lycoriella gerbatshevskayae", "Lycoriella gigastyla", "Lycoriella vitticollis", "Sciara permutata", "Remigera laticornis", "Carphodactylus laevis", "Crinum campanulatum", "Lanceacheyla whartoni", "Pseudocercospora arecacearum", "Myrichthys maculosus", "Anelytropsis papillosus", "Odonestis ophioglossa", "Odonestis germari", "Odonestis pinratanai", "Acanthaspidia namibia", "Hollowaya lateritica", "Hollowaya lifuensis", "Acanthaspidia natalensis", "Acanthaspidia neonotus", "Oregonasellus elliotti", "Cricula hayatiae", "Sphaerocarpos europaeus", "Sphaerocarpos drewiae", "Samia yayukae", "Sphaerocarpos stipitatus", "Sphaerocarpos hians", "Sciara glacialis", "Orthilia secunda", "Notopais quadrispinosa", "Notopais spinosa", "Nasturtium officinale", "Murbeckiella huetii", "Prenanthes abietina", "Prenanthes purpurea", "Erysimum rizeense", "Dipodarctus anaholiensis", "Marmonna marmorata", "Dipodarctus borrori", "Marmonna gella", "Marmonna murphyi", "Dipodarctus subterraneus", "Morongea flavipicta", "Morongea arnoldi", "Morongea lampara", "Morongea lampara lampara", "Morongea lampara kuehnei", "Morongea mastodont", "Chrysoarctus briandi", "Morongea missdeheerae", "Morongea carnaria", "Morongea cruenta", "Hyponephele carbonelli", "Heliconius burneyi anjae", "Heliconius burneyi jamesi", "Heliconius burneyi koenigi", "Heliconius burneyi boliviensis", "Maliattha khasanica", "Aplocera roddi", "Aplocera dzungarica", "Aplocera hissara", "Polygonia extensa", "Polygonia extensa extensa", "Polygonia extensa gongga", "Crenadactylus ocellatus", "Turanana mystica", "Chionopsyche montana", "Chionopsyche grisea", "Chionopsyche admirabile", "Plerogyra sinuosa", "Goggia braacki", "Goggia essexi", "Elephas maximus borneensis", "Goggia gemmula", "Habrotrocha rosa", "Nephrurus deleani", "Plectranthias bilaticlavia", "Nephrurus amyae", "Nephrurus sheai", "Nephrurus stellatus", "Plagiomnium undulatum", "Euthrix morra", "Euthrix morra morra", "Euthrix morra floyana", "Euthrix laeta arina", "Crinum \u00d7 letitiae", "Archechiniscus minutus", "Archechiniscus symbalanus", "Batillipes carnonensis", "Batillipes crassipes", "Batillipes dicrocercus", "Batillipes friaufi", "Batillipes gilmartini", "Batillipes lesteri", "Batillipes longispinosus", "Batillipes marcelli", "Batillipes noerrevangi", "Batillipes orientalis", "Batillipes pennaki", "Batillipes philippinensis", "Batillipes roscoffensis", "Batillipes rotundiculus", "Batillipes similis", "Batillipes spinicauda", "Batillipes tridentatus", "Batillipes tubernatis", "Batillipes mirus", "Batillipes phreaticus", "Batillipes littoralis", "Batillipes littoralis littoralis", "Batillipes littoralis submersus", "Dipchasphecia roseiventris", "Bandicota bengalensis", "Psammomys obesus", "Psammomys vexillaris", "Ammodillus imbellis", "Crinum \u00d7 seymouri", "Brachiones przewalskii", "Dipchasphecia pudorina", "Dipchasphecia lanipes", "Crinum \u00d7 louisae", "Dipchasphecia ljusiae", "Euselasia pullata", "Euselasia gradata", "Euselasia portentosa", "Euselasia erilis", "Euselasia murina", "Euselasia rava", "Euselasia gordios", "Euselasia eumithres", "Euselasia thaumata", "Euselasia illarina", "Euselasia palla", "Lycoriella abbrevinervis", "Lycoriella acerstyla", "Lycoriella altaica", "Lycoriella subcochleata", "Artemisiospiza belli", "Crinum \u00d7 amabile", "Anisomeridium adnexum", "Anisomeridium americanum", "Pseudotropheus demasoni", "Pseudotropheus saulosi", "Pseudotropheus elongatus", "Pseudotropheus fuscoides", "Pseudotropheus minutus", "Moaxiphia gourlayi", "Poecilocryptus zealandicus", "Eupeodes corollae", "Megoura stufkensi", "Adipsomyia gressitti", "Anisomeridium australiense", "Anisomeridium foliicola", "Anisomeridium laevigatum", "Anisomeridium subnectendum", "Anisomeridium subnexum", "Phoricesa fullerae", "Antipodromia radialis", "Naultinus elegans elegans", "Naultinus elegans punctatus", "Pusa hispida hispida", "Pusa hispida ochotensis", "Pusa hispida ladogensis", "Halichoerus grypus grypus", "Phoca vitulina vitulina", "Phoca vitulina concolor", "Phoca vitulina stejnergeri", "Phoca vitulina richardii", "Phoca vitulina mellonae", "Anomomorpha roseola", "Erignathus barbatus barbatus", "Erignathus barbatus nautica", "Erigeron nanus", "Erigeron alpinus subsp. intermedius", "Erigeron aragonensis", "Erigeron argentatus", "Erigeron asper", "Erigeron borealis", "Erigeron chrysopsidis", "Erigeron compositus", "Erigeron concinnus", "Erigeron flettii", "Erigeron glabellus", "Plagiomnium affine", "Erigeron humilis", "Erigeron hungaricus", "Heliconius egeria mariasibyllae", "Erigeron hyssopifolius", "Erigeron modestus", "Papilio alexanor radighierii", "Euthrix laeta sulphurea", "Euthrix laeta divisa", "Odonestis pruni", "Odonestis pruni pruni", "Odonestis pruni oberthueri", "Odonestis pruni rufescens", "Odonestis pruni japonensis", "Odonestis erectilinea", "Odonestis erectilinea erectilinea", "Odonestis erectilinea barisana", "Odonestis erectilinea frater", "Odonestis lipara", "Odonestis erectilinea lipara", "Odonestis bheroba", "Odonestis bheroba bheroba", "Acanthaspidia typhlops", "Odonestis bheroba formosae", "Acanthaspidia acanthonotus", "Odonestis vita", "Odonestis vita vita", "Odonestis vita brachyschalida", "Odonestis vita indica", "Odonestis filigranica", "Odonestis ceylonica", "Acanthaspidia laevis", "Odonestis belli", "Odonestis vita belli", "Odonestis vita ceylonica", "Odonestis leopoldi", "Acutomunna foliacea", "Odonestis vita leopoldi", "Acutomunna minuta", "Haploniscus charcoti", "Odonestis angulata", "Haplomesus biscayensis", "Odonestis apo", "Odonestis schalicteta", "Odonestis vinacea", "Morongea gemmo", "Morongea elfiora", "Chrysoarctus flabellatus", "Morongea elfiora elfiora", "Morongea elfiora galadrielae", "Morongea avinoffi", "Opisthoheza heza", "Halechiniscus chafarinensis", "Hariola haigi", "Gelo joannoui", "Gelo anastella", "Gelo calcarales", "Gelo jordani", "Halechiniscus greveni", "Eremicola semitica", "Halechiniscus guiteli", "Halechiniscus jejuensis", "Halechiniscus macrocephalus", "Halechiniscus paratuleari", "Halechiniscus perfectus", "Halechiniscus tuleari", "Halechiniscus remanei", "Halechiniscus remanei remanei", "Halechiniscus remanei antillensis", "Pungitius tymensis", "Anzia isidiosa", "Anzia minor", "Anzia tianjarana", "Anzia corallophora", "Anzia endoflavida", "Anzia isidiolenta", "Victometopa rorida", "Goggia hewitti", "Goggia hexapora", "Goggia lineata", "Goggia microlepidota", "Goggia rupicola", "Dibamus dezwaani", "Dibamus tiomanensis", "Dibamus alfredi", "Dibamus bogadeki", "Dibamus bourreti", "Dibamus celebensis", "Dibamus deharvengi", "Dibamus greeri", "Dibamus kondaoensis", "Dibamus leucurus", "Dibamus montanus", "Dibamus taylori", "Dibamus somsaki", "Dibamus smithi", "Dibamus seramensis", "Dibamus novaeguineae", "Dibamus nicobaricus", "Crinum mauritianum", "Heliconius demeter titan", "Heliconius elevatus sonjae", "Heliconius egeria christiani", "Samia naumanni", "Cricula trifenestrata", "Cricula trifenestrata trifenestrata", "Cricula trifenestrata cameronensis", "Cricula trifenestrata tenggarensis", "Pseudiragoides itsova", "Pseudiragoides florianii", "Pseudiragoides spadix", "Zygaena purpuralis", "Caecostenetroides ischitanum", "Caecostenetroides ruderalis", "Caecostenetroides nipponicum", "Caecostenetroides ascensionis", "Caecostenetroides mooreus", "Dignatroides leptosoma", "Gnathostenetroides laodicense", "Maresiella barringtoniana", "Maresiella indica", "Maresiella polynesica", "Maresiella samariensis", "Neostenetroides magniezi", "Neostenetroides schotteae", "Crinum erythrophyllum", "Crinum darienense", "Sphaerocarpos donnellii", "Lycoriella globiceps", "Bradysia algida", "Sphaerocarpos cristatus", "Lycoriella heydeni", "Lycoriella hiemalis", "Lycoriella honesta", "Sphaerocarpos michelii", "Sphaerocarpos muccilloi", "Lycoriella inflata", "Riella alatospora", "Riella capensis", "Riella echinospora", "Riella purpureospora", "Riella americana", "Riella affinis", "Riella helicophylla", "Riella battandieri", "Riella cossoniana", "Riella notarisii", "Riella reuteri", "Riella paulsenii", "Riella parisii", "Lasioglossum cyanorugosum", "Lasioglossum oaxacacola", "Lasioglossum verapaz", "Lasioglossum aurora", "Lasioglossum droegei", "Lasioglossum ellisiae", "Lasioglossum griswoldi", "Lasioglossum lepidii", "Lasioglossum petrellum", "Lasioglossum sombrerense", "Lasioglossum tegulare", "Lasioglossum tuolumnense", "Lasioglossum viridipetrellum", "Jacobyana bezdeki", "Jacobyana centrafricana", "Jacobyana sudafricana", "Atractides ethiopiensis", "Anzia ornatoides", "Anzia pseudoangustata", "Anzia pseudopustulata", "Anzia pustulata", "Kaiika maxwelli", "Scilla sect.", "Scilla sect.", "Waimanu manneringi", "Waimanu tuatahi", "Placostylus ambagiosus", "Ayersacarus woodi", "Scilla sect.", "Globularia maxwelli", "Clavilithes philmaxwelli", "Maxwellinatica phillipi", "Haloceras maxwelli", "Prosimnia blackae", "Pellasimnia maxwelli", "Neritina maxwellorum", "Otapiria diana", "Gamopleura maxwelli", "Clavagella maxwelli", "Paradoxipus orzeliscoides", "Orzeliscus belopus", "Orzeliscus septentrionalis", "Opydorscus fonsecae", "Angursa antarctica", "Angursa capsula", "Angursa lanceolata", "Angursa lingua", "Angursa bicuspis", "Angursa bicuspis bicuspis", "Angursa bicuspis clavifera", "Angursa bicuspis abyssalis", "Macroglossum jani", "Hippotion rafflesii", "Hippotion rafflesii rafflesii", "Hippotion rafflesii dyokeae", "Trabala danao", "Bathyechiniscus tetronyx", "Lepoarctus coniferus", "Paratanarctus kristenseni", "Pleocola limnoriae", "Paralebeda crinodes uniformis", "Paralebeda lucifuga", "Paralebeda lagua", "Paralebeda achillesi", "Paralebeda achillesi achillesi", "Paralebeda achillesi mindoroensis", "Paralebeda pluto", "Lebeda gigantea", "Lebeda metaspila", "Lebeda pruetti", "Lebeda intermedia", "Lebeda pruetti pruetti", "Lebeda pruetti bondora", "Eleganteda cassandra", "Eleganteda cassandra cassandra", "Eleganteda cassandra arimasi", "Metanastria hyrtaca", "Metanastria gemella", "Metanastria trefa", "Scilla amoena", "Scilla mischtschenkoana", "Scilla siberica", "Scilla rosenii", "Kuroshioturris putere", "Antimelatoma waimea", "Veltheimia capensis", "Diphasiastrum alpinum", "Tikoloshanes eretiformis", "Hydaticus aruspex", "Hydaticus bowringii", "Hydaticus histrio", "Padina pavonica", "Dactylocnemis pacificus", "Tricholoma equestre", "Woodworthia chrysosiretica", "Woodworthia maculata", "Woodworthia brunnea", "Mokopirirakau cryptozoicus", "Mokopirirakau granulatus", "Mokopirirakau kahutarae", "Mokopirirakau nebulosus", "Toropuku stephensi", "Tukutuku rakiurae", "Arthonia ayseniae", "Kuphomunna rostrata", "Arthonia hertelii", "Santia lisbethae", "Epimeria bruuni", "Epimeria glaucosa", "Epimeria victoria", "Epimeria norfanzi", "Bavayia goroensis", "Oedodera marmorata", "Eurydactylodes occidentalis", "Diphasiastrum sitchense", "Arthonia marginalis", "Nanhermannia acutisetosa", "Nanhermannia tenuicoma", "Nanhermannia nana", "Brachychthonius novazealandicus", "Liochthonius idem", "Cosmochthonius semiareolatus", "Trimalaconothrus sacculus", "Trimalaconothrus longirostrum", "Trimalaconothrus angustirostrum", "Trimalaconothrus opisthoseta", "Trimalaconothrus platyrhinus", "Trimalaconothrus oxyrhinus", "Trimalaconothrus crispus", "Trimalaconothrus tonkini", "Malaconothrus indifferens", "Malaconothrus keriensis", "Malaconothrus zealandicus", "Actias selene selene", "Bathybadistes gurjanovae", "Bathybadistes multispinosa", "Bathybadistes spinosissima", "Amuletta abyssorum", "Echinozone arctica", "Echinozone trispinosa", "Arthonia epifarinosa", "Raiarctus aureolatus", "Raiarctus colurus", "Raiarctus variabilis", "Rhomboarctus aslaki", "Rhomboarctus duplicicaudatus", "Cricula trifenestrata treadawayi", "Rhomboarctus thomassini", "Cricula luzonica", "Cricula luzonica luzonica", "Styraconyx craticuliformis", "Styraconyx haploceros", "Cricula mindanaensis", "Styraconyx kristenseni", "Styraconyx kristenseni kristenseni", "Styraconyx kristenseni neocaledonensis", "Scilla sect.", "Woodsia alpina", "Diphasiastrum \u00d7 issleri", "Hypotia seyrigalis", "Hypotia diehlalis", "Apomyelois bicolorata", "Arthonia hawksworthii", "Astrurus ornatus", "Paramunnopsis spinifer", "Storthyngura elegans", "Munnopsurus australis", "Eurycope vicarius", "Disconectes ovalis", "Disconectes curtus", "Munneurycope crassa", "Disconectes antarcticus", "Ilyarachna antarctica", "Epikopais poorei", "Epikopais aries", "Arthonia parmeliae", "Arthonia pelvetii", "Arthonia sampaianae", "Styraconyx nanoqsunguak", "Styraconyx paulae", "Styraconyx qivitoq", "Styraconyx sardiniae", "Styraconyx testudo", "Styraconyx sargassi", "Styraconyx tyrrhenus", "Eurycope hanseni", "Ilyarachna bergendahli", "Aspidarachna clypeata", "Aspidarachna carinata", "Abyssoniscus ovalis", "Aspidarachna glabra", "Aspidarachna sekhari", "Bathybadistes fragilis", "Metanastria pika", "Metanastria marmorata", "Metanastria jani", "Metanastria minor", "Kunugia gynandra", "Kunugia basinigra", "Kunugia magellani", "Kunugia quadrilineata", "Cystopteris sudetica", "Kunugia pippae", "Kunugia pippae pippae", "Kunugia pippae tagubodica", "Kunugia hollowayi", "Diphasiastrum \u00d7 zeilleri", "Kunugia imeldae", "Kunugia fae", "Kunugia mervillei", "Kunugia mervillei mervillei", "Kunugia mervillei noeli", "Kunugia mervillei bulagaw", "Kunugia dendrolimoides", "Suana concolor", "Takanea diehli", "Syrastrena lanaoensis", "Arguda rectilinea", "Arguda rectilinea rectilinea", "Arguda rectilinea indonesiana", "Arguda rosemariae", "Arguda sandrae", "Arguda dodongi", "Radhica himerta", "Alompra ferruginea ferruginea", "Alompra ferruginea cerastes", "Alompra roepkei roepkei", "Alompra roepkei pella", "Samia treadawayi", "Actias philippinica", "Actias philippinica philippinica", "Actias philippinica bulbosa", "Scilla ser.", "Hemipteroseius vikrami", "Rhadinoscelidia delta", "Rhadinoscelidia malaysiae", "Rhadinoscelidia halimunensis", "Urothoe tinggiensis", "Urothoe sibuensis", "Longitarsus limnophilae", "Tumidochelia tuberculata", "Collettea longisetosa", "Robustochelia pacifica", "Pinkfloydia harveii", "Diplodactylus granariensis", "Diplodactylus kenneallyi", "Diplodactylus klugei", "Diplodactylus mitchelli", "Diplodactylus ornatus", "Diplodactylus polyophthalmus", "Diplodactylus pulcher", "Diplodactylus savagei", "Diplodactylus tessellatus", "Diplodactylus vittatus", "Zela zeta", "Hidari doesoena", "Murzinoria gracilis", "Mniotype loslobensis", "Holcocerus witti", "Ophidiocephalus taeniatus", "Lucasium alboguttatum", "Lucasium byrnei", "Lucasium damaeum", "Lucasium immaculatum", "Lucasium wombeyi", "Ammopiptanthus nanus", "Corydalis alpestris", "Corydalis solida", "Corydalis wendelboi", "Corydalis triternata", "Corydalis cava", "Corydalis conorhiza", "Corydalis rutifolia", "Corydalis oppositifolia", "Corydalis lydica", "Corydalis integra", "Corydalis henrikii", "Corydalis haussknechtii", "Suerkenola sublongiventris", "Aussiedraco molnari", "Chaetodon striatus", "Diplodactylus capensis", "Diplodactylus conspicillatus", "Diplodactylus fulleri", "Diplodactylus furcosus", "Diplodactylus galeatus", "Atractus albuquerquei", "Strophurus assimilis", "Strophurus ciliaris", "Strophurus elderi", "Strophurus intermedius", "Strophurus jeanae", "Strophurus mcmillani", "Strophurus michaelseni", "Strophurus rankini", "Strophurus robinsoni", "Strophurus spinigerus", "Strophurus strophurus", "Strophurus taeniatus", "Strophurus wellingtonae", "Strophurus williamsi", "Strophurus wilsoni", "Stylopauropoides wungongensis", "Stylopauropoides saxicola", "Antichtopauropus brevitarsus", "Trichoplusia sogai", "Trichoplusia lampra", "Thysanoplusia ignescens", "Agrapha laqueata", "Scilla ser.", "Stigmoplusia chalcoides", "Stigmoplusia antsalova", "Plusiopalpa thaumasia", "Trachyandra falcata", "Macrostylis spinifera", "Geissorhiza radians", "Autocrates vitalisi", "Oxydia vesulia", "Oxydia vesulia vesulia", "Oxydia vesulia transponens", "Oxydia cubana", "Oxydia gueneei", "Oxydia nimbata", "Oxydia mundata", "Oxydia masthala", "Ortholepis jugosella", "Ortholepis myricella", "Ortholepis rhodorella", "Pyla aequivoca", "Eurydactylodes agricolae", "Eurydactylodes symmetricus", "Eurydactylodes vieillardi", "Mniarogekko chahoua", "Rhacodactylus sarasinorum", "Rhacodactylus trachyrhynchus", "Dierogekko inexpectatus", "Dierogekko insularis", "Dierogekko kaalaensis", "Dierogekko koniambo", "Dierogekko nehoueensis", "Dierogekko poumensis", "Dierogekko thomaswhitei", "Dierogekko validiclavis", "Oedura jowalbinna", "Oedura jacovae", "Strophurus krisalys", "Cirsium simplex", "Cirsium aggregatum", "Cirsium pubigerum", "Munna aculeata", "Munna varians", "Iais elongata", "Neojaera hirsuta", "Ianiropsis longipes", "Austroniscus ovalis", "Ianthopsis nasicornis", "Ianthopsis multispinosa", "Ianthopsis nodosa", "Ianthopsis ruseri", "Microprotus antarcticus", "Tenupedunculus acutum", "Stenetrium rotundatum", "Nannoniscus australis", "Nannoniscus bidens", "Austroniscus rotundatus", "Caecianiropsis ectiformis", "Austrofilius serratus", "Neojaera octodentata", "Haploniscus antarcticus", "Haploniscus curvirostris", "Disparella longimana", "Stylomesus inermis", "Munna dentata", "Munna globicauda", "Munna psychrophila", "Munna cryophila", "Echinomunna horrida", "Echinomunna uroventralis", "Acanthomunna proteus", "Pleurosignum elongatum", "Pleurosignum magnum", "Holothuria nobilis", "Paragodon paragoides", "Salvia trichoclada", "Paracaryum sintenisii", "Ornithogalum arcuatum", "Linaria chalepensis", "Isatis lusitanica", "Xanthoria hypogymnioides", "Xanthoria kangarooensis", "Xanthoria whinrayi", "Xanthoria yorkensis", "Trimalaconothrus novaezealandiae", "Trimalaconothrus elegans", "Novonothrus flagellatus", "Novonothrus pupuensis", "Heminothrus microclava", "Heminothrus traversus", "Platynothrus major", "Platynothrus tenuiclava", "Berosus pallidipennis", "Onychohydrus scutellaris", "Xanthodactylon perforatum", "Lucasium maini", "Lucasium squarrosum", "Lucasium steindachneri", "Lucasium stenodactylum", "Lucasium occultum", "Lucasium bungabinna", "Pseudothecadactylus australis", "Pseudothecadactylus cavaticus", "Pseudothecadactylus lindneri", "Oedura castelnaui", "Oedura coggeri", "Oedura filicipoda", "Oedura gemmata", "Oedura gracilis", "Oedura obscura", "Oedura tryoni", "Oedura monilis", "Oedura reticulata", "Oedura robusta", "Oedura lesueurii", "Oedura marmorata", "Oedura rhombifer", "Rhynchoedura ornata", "Autotrichia solanikovi", "Pseudocryptolechia sareptensis", "Celaenorrhinus phuongi", "Darpa inopinata", "Tagiades hybridus", "Gerosis tristis", "Gerosis tristis tristis", "Gerosis tristis gaudialis", "Isoparce broui", "Nossa palaearctica", "Symplecta antipodarum", "Symplecta brachyptera", "Symplecta confluens", "Symplecta inconstans", "Symplecta campbellicola", "Icaridion nasutum", "Icaridion debile", "Icaridion nigrifrons", "Australimyza australensis", "Australimyza glandulifera", "Australimyza kaikoura", "Australimyza mcalpinei", "Australimyza victoria", "Trichothelium asplundii", "Trichothelium assurgens", "Trichothelium epiphyllum", "Trichothelium horridulum", "Trichothelium javanicum", "Trichothelium marianense", "Trichothelium meridionale", "Trichothelium nanum", "Trichothelium oceanicum", "Trichothelium pauciseptatum", "Trichothelium porinoides", "Trichothelium rubellum", "Trichothelium triseptatum", "Acanthaegilips braziliensis", "Pseudocyphellaria hirsuta", "Pseudocyphellaria coriifolia", "Trictenotoma westwoodi", "Autocrates maqueti", "Autocrates aeneus", "Autocrates oberthueri", "Riccia huebeneriana", "Isoetes echinospora", "Splendeuptychia mercedes", "Xanthokarrooa karrooensis", "Josefpoeltia parva", "Josefpoeltia sorediosa", "Caloplaca arandensis", "Caloplaca archeri", "Caloplaca craggyensis", "Caloplaca queenslandica", "Caloplaca subsaxicola", "Caloplaca wallabyensis", "Lecanora simeonensis", "Lecanora austrocalifornica", "Lecanora panticapaensis", "Angulobaloghia scrobia", "Angulobaloghia vietnamensis", "Angulobaloghia angulogynella", "Angulobaloghia angustigynella", "Angulobaloghia aokii", "Angulobaloghia cuyi", "Angulobaloghia danyii", "Angulobaloghia triangulata", "Angulobaloghia luzonensis", "Angulobaloghia pyrigynella", "Angulobaloghia latigynella", "Ancylis fergusoni", "Alkanna orientalis", "Alkanna amana", "Alkanna angustifolia", "Alkanna areolata", "Alkanna attilae", "Alkanna cappadocica", "Alkanna confusa", "Alkanna dumanii", "Alkanna froedinii", "Alkanna haussknechtii", "Alkanna hirsutissima", "Alkanna hispida", "Alkanna incana", "Alkanna megacarpa", "Alkanna milliana", "Alkanna oreodoxa", "Alkanna pamphylica", "Alkanna phrygia", "Alkanna pinardii", "Alkanna primuliflora", "Alkanna pseudotinctoria", "Alkanna punctulata", "Alkanna saxicola", "Alkanna sieberi", "Alkanna sieheana", "Alkanna trichophila", "Alkanna tubulosa", "Alkanna verecunda", "Alkanna viscidula", "Verbascum eskisehirensis", "Verbascum gnaphalodes", "Loepa palawana", "Lemaireia schintlmeisteri", "Cyanosesia philippina", "Cyanosesia javana", "Eoophyla mindanensis", "Eoophyla philippinensis", "Eoophyla snelleni", "Dryopteris expansa", "Trichothelium ake-assii", "Trichothelium alboatrum", "Trichothelium angustisporum", "Trichothelium annulatum", "Brevicornu marshalli", "Brevicornu matilei", "Brevicornu subrufithorax", "Brevicornu tongariro", "Brevicornu antennatum", "Brevicornu brunneum", "Brevicornu flavum", "Brevicornu fragile", "Brevicornu quadriseta", "Brevicornu rufithorax", "Brevicornu maculatum", "Scatella vittithorax", "Scatella acutipennis", "Scatella brevis", "Scatella nelsoni", "Scatella nitidithorax", "Scatella nubeculosa", "Scatella subvittata", "Scatella tonnoiri", "Scatella unguiculata", "Pyrtaula campbelli", "Paralimnophora depressa", "Paralimnophora filipennis", "Paralimnophora fumipennis", "Paralimnophora purgatoria", "Spilogona aucklandica", "Apetaenus australis", "Lebia undulata", "Lebia pictipennis", "Lebia hexasticta", "Lebia scutellata", "Aspidoras fuscoguttatus", "Letrouitia vulpina", "Letrouitia hafellneri", "Letrouitia leprolytoides", "Letrouitia bifera", "Letrouitia corallina", "Letrouitia coralloidea", "Letrouitia flavidula", "Letrouitia leprolyta", "Letrouitia muralis", "Letrouitia pseudomuralis", "Lebia thoracella", "Letrouitia sayeri", "Letrouitia spiralis", "Letrouitia subvulpina", "Letrouitia transgressa", "Hainanecio hainanensis", "Calponia harrisonfordi", "Exochomoscirtes bimaculatus", "Exochomoscirtes binotatus", "Exochomoscirtes bipustulatus", "Exochomoscirtes decemguttatus", "Exochomoscirtes discoidalis", "Exochomoscirtes ephippiatus", "Exochomoscirtes heinrichdathei", "Exochomoscirtes holgerdathei", "Exochomoscirtes maculatus", "Exochomoscirtes retusus", "Exochomoscirtes rufomaculatus", "Exochomoscirtes sondaicus", "Exochomoscirtes sphaericus", "Exochomoscirtes tetrastigma", "Parapsyllus longicornis", "Parapsyllus magellanicus magellanicus", "Notiopsylla enciari", "Notiopsylla kerguelensis", "Nosopsyllus fasciatus", "Notiopsylla kerguelensis tenuata", "Notiopsylla enciari enciari", "Nosopsyllus londiniensis", "Nosopsyllus londiniensis londiniensis", "Ceratophyllus gallinae", "Parapsyllus jacksoni", "Parapsyllus mangarensis", "Parapsyllus struthophilus", "Parapsyllus valedictus", "Parapsyllus lynnae", "Parapsyllus nestoris nestoris", "Parapsyllus lynnae alynnae", "Parapsyllus lynnae lynnae", "Parapsyllus lynnae mariae", "Leptopsylla segnis", "Microchilo syndyas", "Evergestis scopicalis", "Hellula undalis", "Cosmopterix ornithognathosella", "Cosmopterix panayella", "Cosmopterix latilineata", "Microjaera anisopoda", "Microjanira dentifrons", "Lycoriella olschwangi", "Protocharon arenicola", "Lycoriella postconspicua", "Lycoriella proconspicua", "Lycoriella riparia", "Proceratophrys renalis", "Qwaqwaia scolopiae", "Lebia albosinuata", "Pseudopomyza antipoda", "Lebia albovariegata", "Lebia boliviensis", "Lebia decemmaculata", "Lebia nigromarginata", "Lebia nigropicta", "Lebia thomsoni", "Lebia trifasciata", "Lebia azteca", "Lebia balli", "Lebia baturitea", "Lebia birai", "Lebia caligula", "Lebia cyclopica", "Lebia erotyloides", "Lebia howdeni", "Lebia mathani", "Lebia mocoronga", "Lebia omophoita", "Lebia passoura", "Lebia pujoli", "Lebia quipapa", "Lebia sagarana", "Lebia ytu", "Lebia championi", "Lebia melanocrepis", "Lebia ocelligera", "Lebia quadriannulata", "Macrotrachelia nigronitens", "Macrotrachelia thripiformis", "Lebia clavata", "Lebia novemmaculata", "Lebia piresa", "Lebia toroana", "Lebia duodecimpunctata", "Lebia testacea", "Lebia fasciata", "Lebia inbio", "Macrotrachelia albovittata", "Macrotrachelia nitida", "Macrotrachelia elongata", "Macrotrachelia opacipennis", "Lebia macromaculata", "Lebia quadrinotata", "Lebia scripta", "Lebia variabilis", "Lebia signatipennis", "Cales berryi", "Lebia angustula", "Lebia atriceps", "Lebia atriventris", "Lebia tricolor", "Lebia calomicra", "Lebia costulata", "Lebia cyane", "Lebia eburata", "Lebia hoegei", "Lebia translucens", "Lebia urania", "Asterochiton aureus", "Lebia yoloensis", "Asterochiton cerata", "Asterochiton fagi", "Asterochiton simplex", "Lebia chloroptera", "Asterochiton pittospori", "Lebia melanocephala", "Lebia rufolimbata", "Lebia deceptrix", "Lebia subdola", "Lebia subgrandis", "Lebia grandis", "Lebia guatemalena", "Lebia obliquata", "Lebia striata", "Lebia pimalis", "Lebia rufosutura", "Lebia xanthogaster", "Xanthodactylon wirthii", "Paracentrotus lividus", "Xanthoria monofoliosa", "Caloplaca aliciae", "Caloplaca astonii", "Caloplaca australiensis", "Caloplaca conranii", "Caloplaca filsonii", "Caloplaca haematommona", "Caloplaca marchantii", "Caloplaca montisfracti", "Caloplaca rexfilsonii", "Caloplaca rheinigera", "Caloplaca streimannii", "Caloplaca tomareeana", "Caloplaca whinrayi", "Filago germanica", "Caloplaca epiborya", "Caloplaca kalbiorum", "Caloplaca pulcherrima", "Xanthoria coomae", "Llimoniella caloplacae", "Odontella aurita", "Carpobrotus edulis", "Sertella septentrionalis", "Lycoriella laevigata", "Lycoriella minutula", "Gramma loreto", "Polyozellus multiplex", "Riccia fluitans", "Lycoriella modesta", "Sciara arctica", "Sciara ecalcarata", "Sciara holmgreni", "Sciara groenlandica", "Sciara fumatella", "Whitmania pigra", "Lycoriella nudata", "Parvoscincus steerei", "Tytthoscincus atrigularis", "Tropidophorus misaminius", "Sibon longifrenis", "Pyrosejus verticis", "Holostethus longosetis", "Gamasiphoides acanthioides", "Gamasiphoides procerus", "Gamasiphoides costai", "Gamasiphoides propinqua", "Alitta succinea", "Gamasiphoides macquariensis", "Pachyrhynchus inclytus", "Gamasiphoides femoralis", "Gamasiphoides aitkeni", "Indiacarus pratyushi", "Origanum acutidens", "Phlyctainophora lamnae", "Scoparia albifusalis", "Scoparia canicostalis", "Scoparia crocalis", "Scoparia delicatalis", "Scoparia mediorufalis", "Scoparia monticola", "Scoparia murificalis", "Scoparia ochrotalis", "Scoparia olivaris", "Scoparia phaealis", "Scoparia philippinensis", "Scoparia polialis", "Scoparia pulveralis", "Scoparia rufostigma", "Scoparia spadix", "Scoparia termobola", "Scoparia vinotinctalis", "Scoparia distictalis", "Scoparia meyi", "Eudonia anthracias", "Eudonia aphrodes", "Eudonia epicryma", "Eudonia eremitis", "Eudonia homala", "Eudonia perierga", "Eudonia protorthra", "Eudonia synapta", "Eudonia threnodes", "Eudonia medinella", "Eudonia notozeucta", "Eudonia promiscua", "Heliothela ophideresana", "Hoploscopa astrapias", "Isoetes caroliniana", "Isoetes mexicana", "Ceroplastes janeirensis", "Caloplaca aseptatospora", "Caloplaca bartlettii", "Caloplaca begaensis", "Caloplaca burneyensis", "Caloplaca cliffwetmorei", "Caloplaca dorrigoensis", "Caloplaca ferdinandmuelleri", "Caloplaca feuereri", "Caloplaca filsoniorum", "Caloplaca fraserensis", "Caloplaca hafellneri", "Caloplaca hnatiukii", "Caloplaca hopetounensis", "Caloplaca johnwhinrayi", "Caloplaca kaernefeltii", "Caloplaca kilcundaensis", "Caloplaca magnetensis", "Caloplaca marchantiorum", "Caloplaca michelagoensis", "Caloplaca ochroleuca", "Caloplaca seawardii", "Caloplaca seppeltii", "Caloplaca stewartensis", "Caloplaca subluteoalba", "Caloplaca tibellii", "Caloplaca wilsonii", "Caloplaca yammeraensis", "Xanthomendoza kashiwadanii", "Phacellanthus tubiflorus", "Caloplaca bastowii", "Caloplaca beaugleholei", "Caloplaca clavatoisidiata", "Caloplaca jerramungupensis", "Caloplaca norfolkensis", "Caloplaca sipmanii", "Caloplaca soredians", "Caloplaca bellemerei", "Sciara nitens", "Sciara interdicta", "Sciara difficilis", "Lycoriella subvenosa", "Lycoriella janetscheki", "Letrouitia domingensis", "Letrouitia aureola", "Letrouitia flavocrocea", "Letrouitia parabola", "Lento lento", "Talides alternata", "Ovis ammon ammon", "Ovis ammon collium", "Ovis ammon comosa", "Ovis ammon darwini", "Ovis ammon hodgsonii", "Ovis ammon karelini", "Ovis ammon nigrimontana", "Ovis ammon severtzovi", "Ovis aries vignei", "Ovis aries ophion", "Ovis aries laristanica", "Ovis aries isphahanica", "Ovis aries cycloceros", "Ovis aries arkal", "Ovis canadensis californiana", "Ovis canadensis canadensis", "Ovis canadensis cremnobates", "Ovis canadensis weemsi", "Ovis canadensis nelsoni", "Ovis canadensis mexicana", "Ovis dalli stonei", "Ovis dalli dalli", "Lebia adusta", "Myospalax psilurus", "Myospalax aspalax", "Myospalax myospalax", "Eospalax fontanierii", "Eospalax rothschildi", "Eospalax smithii", "Xenopsylla cheopis", "Xenopsylla vexabilis", "Ctenocephalides canis", "Ctenocephalides felis felis", "Pagipsylla galliralli", "Pygiopsylla hoplia", "Pygiopsylla phiola", "Notiopsylla corynetes", "Notiopsylla peregrinus", "Notiopsylla enciari regula", "Notiopsylla kerguelensis kerguelensis", "Notechis scutatus", "Hoploscopa anamesa", "Hoploscopa aurantiacalis", "Hoploscopa brunnealis", "Hoploscopa diffusa", "Hoploscopa metacrossa", "Hoploscopa obliqua", "Hoploscopa ocellata", "Hoploscopa persimilis", "Hoploscopa quadripuncta", "Hoploscopa subvariegata", "Hoploscopa semifascia", "Hoploscopa triangulifera", "Hoploscopa luteomacula", "Hoploscopa mediobrunnea", "Symphytum anatolicum", "Symphytum circinale", "Perimeceta incrustalis", "Perimeceta leucoselene", "Perimeceta leucosticta", "Erpis macularis", "Phenacodes epipaschiodes", "Phenacodes nolalis", "Phenacodes scopariodes", "Phenacodes nigroalba", "Uthinia albisignalis", "Lamprosema polysemalis", "Microchilo fulvosignalis", "Microchilo nugalis", "Argentinocupes sara", "Argentinocupes pulcher", "Argentinocupes abdalai", "Lebia abdita", "Lebia insulata", "Lebia nigricapitata", "Lebia perpallida", "Lebia abdominalis", "Lebia reflexicollis", "Lebia acutangula", "Lebia adamantina", "Lebia congrua", "Lebia debilis", "Lebia dubia", "Lebia eximia", "Lebia imitator", "Lebia inconspicua", "Lebia peregrinator", "Lebia speciosa", "Lebia vagans", "Nomascus annamensis", "Sarracenia rubra", "Parapsyllus senellarti", "Zorion batesi", "Myrinia laddeyi", "Quasimellana amicus", "Quasimellana fieldi", "Halotus rica", "Cobososia pruinosa", "Cobososia semiobscura", "Panoquina bola", "Cobososia symphoniaca", "Thespieus fulvangula", "Lerema viridis", "Papias phainis", "Molo visendus", "Cosmopterix scribaiella", "Phylloblastia alvari", "Lemyra praetexta", "Phylloblastia amazonica", "Phylloblastia bielczykiae", "Baroa peniculata", "Baroa oryza", "Phylloblastia borhidii", "Spilosoma trikenzana", "Spilosoma mollis", "Spilosoma brechlini", "Spilosoma harlequina", "Spilosoma victorina", "Cannomys badius", "Spilosoma ummeroides", "Spilosoma mahaplaga", "Spilosoma virgulae", "Spilosoma caloscopium", "Spilosoma fidelia", "Spilosoma daltonica", "Spilosoma extrema", "Spilosoma likiangensis", "Spilosoma ningyuenfui", "Spilosoma ningyuenfui ningyuenfui", "Spilosoma ningyuenfui flava", "Phylloblastia dolichospora", "Phylloblastia excavata", "Phylloblastia fortuita", "Phylloblastia inconspicua", "Phylloblastia inexpectata", "Phylloblastia marattiae", "Phylloblastia mucronata", "Phylloblastia pocsii", "Phylloblastia septemseptata", "Phylloblastia triseptata", "Phylloblastia dispersa", "Aderkomyces gomezii", "Aderkomyces rigidus", "Anisomeridium guttuliferum", "Anisomeridium prolongatum", "Bacidina neotropica", "Bapalmuia araracuarensis", "Bapalmuia napoensis", "Bapalmuia pallescens", "Pyrrhopyge crida", "Pyrrhopyge creona", "Pyrrhopyge phidias", "Pyrrhopyge phidias phidias", "Pyrrhopyge phidias williamsi", "Pyrrhopyge phidias guianae", "Pyrrhopyge phidias evansi", "Pyrrhopyge thericles", "Pyrrhopyge thericles thericles", "Pyrrhopyge thericles orientis", "Pyrrhopyge thericles pseudophidias", "Pyrrhopyge thericles rileyi", "Pyrrhopyge amythaon", "Pyrrhopyge amythaon amythaon", "Pyrrhopyge amythaon peron", "Quasimellana meridiani", "Quasimellana nayana", "Testia potesta", "Cynea iquita", "Cantha zara", "Papias ignarus", "Tigasis colomus", "Vehilius seriatus", "Vehilius seriatus seriatus", "Vehilius seriatus danius", "Hieracium asterodermum", "Vehilius madius", "Hieracium caloprassinum", "Pilosella densiflora", "Hieracium erythrocarpum", "Vehilius putus", "Hieracium gentiliforme", "Hieracium hypoglaucum", "Hieracium hypopityforme", "Hieracium mannagettae", "Hieracium paphlagonicum", "Corticea mendica", "Hieracium ratluense", "Hieracium rizense", "Hieracium teberdense", "Corticea mendica mendica", "Hieracium syreistschikovii", "Hieracium sparsum", "Corticea mendica sylva", "Corticea mendica schwarzi", "Tigasis polistion", "Parphorus fartuga", "Vettius klugi", "Callimormus corades", "Callimormus corus", "Lebia quinquenotata", "Lebia resurgens", "Lebia rhyticrania", "Lebia ruficeps", "Pseudonannochorista willmanni", "Lebia rugatifrons", "Lebia scitula", "Lebia securigera", "Lebia senegalensis", "Lebia similis", "Lebia simillima", "Lebia soror", "Lebia sticticeps", "Lebia striaticeps", "Drakonochorista longovata", "Lebia striatifrons", "Yangochorista hejiafanensis", "Lebia subfasciata", "Lebia subinterrupta", "Lebia subrugosa", "Lebia subtilis", "Lebia testudinea", "Lebia trapezicollis", "Lebia umbrata", "Lebia vicina", "Lebia violacea", "Lebia xanthophaea", "Lebia xanthopleura", "Lebia yucatana", "Lebia aethiopica", "Lebia albidipennis", "Lebia zanzibarica", "Lebia allardi", "Lebia amabilicolor", "Lebia schmidtgoebeli", "Lebia analis", "Lebia bifasciata", "Lebia fuscata", "Lebia marginicollis", "Lebia sellata", "Lebia sulcata", "Lebia solea", "Cosmopterix scribaiella scribaiella", "Cosmopterix scribaiella japonica", "Cosmopterix eximia", "Chrysoesthia sexguttella", "Chrysoesthia heringi", "Bedellia somnulentella", "Bucculatrix exedra", "Zhuchengtyrannus magnus", "Parasa dusii", "Laxiareola ochracea", "Sciara septemtrionalis", "Arhopala abseus", "Pseudobagrus ichikawai", "Arhopala anella", "Lebia anchoralis", "Lebia angolana", "Lebia lateplagiata", "Lebia minutula", "Lebia placida", "Lebia pseudolytata", "Lebia andina", "Lebia crinalis", "Lebia daguerrei", "Lebia elimata", "Lebia emendata", "Lebia grata", "Lebia nevermanni", "Lebia ohausi", "Lebia riedeli", "Lebia sculpticollis", "Lebia strandi", "Lebia tigrana", "Lebia vianai", "Lebia andrewesi", "Lebia gansuensis", "Lebia heyrovskyi", "Lebia jureceki", "Lebia klickai", "Lebia luzoensis", "Lebia marani", "Lebia mindanaensis", "Apotomus syriacus", "Apotomus rufithorax", "Lebia atricapillus", "Apotomus rufus", "Apotomus hirsutulus", "Apotomus latigena", "Apotomus minor", "Apotomus reichardti", "Lebia azurea", "Apotomus alluaudi", "Apotomus annulaticornis", "Apotomus fairmairei", "Apotomus flavescens", "Apotomus neghellianus", "Apotomus sahelianus", "Apotomus sumbawanus", "Ischalia arakii", "Ischalia acco", "Ischalia sasajii", "Ischalia zetteli", "Ischalia yasuakii", "Salvia yosgadensis", "Cyrestis acilia moorensis", "Cyrestis acilia kumambana", "Pentaceration spinosissima", "Pentaceration bassiana", "Pentaceration lancifera", "Pentaceration magna", "Pentaceration megalomos", "Pentaceration novaezealandia", "Pentaceration omalos", "Pentaceration epipedos", "Pentaceration globopleonis", "Pentaceration denticornis", "Pentaceration dentifera", "Pentaceration curvicornis", "Pentaceration bovicornis", "Pentaceration kermadecia", "Pentaceration rihothalassa", "Pentaceration tasmaniensis", "Pentaceration simplex", "Pentaceration setosa", "Pentaceration serrata", "Pentaceration bifida", "Pseudopontia paradoxa", "Pseudopontia gola", "Pseudopontia australis", "Phyllobathelium albolinitum", "Pseudopontia zambezi", "Phyllobathelium anomalum", "Phyllobathelium epiphyllum", "Phyllobathelium firmum", "Phyllobathelium leguminosae", "Phyllobathelium megapotamicum", "Phyllobathelium nigrum", "Phyllobathelium nudum", "Phyllobathelium obtectum", "Phyllobathelium thaxteri", "Strigula vulgaris", "Strigula tremens", "Tegeocranellus hungarorum", "Astrothelium crassum", "Astrothelium intermedium", "Forcipiger flavissimus", "Bathelium feei", "Tephroseris cladobotrys", "Turanecio pandurifolius", "Byssoloma braulioi", "Byssoloma catarinense", "Calopadiopsis aeruginescens", "Caprettia amazonensis", "Caprettia confusa", "Caprettia neotropica", "Caprettia nyssaegenoides", "Caprettia ornata", "Caprettia setifera", "Caprettia tanzanica", "Anomalomyrma taylori", "Anomalomyrma boltoni", "Anomalomyrma helenae", "Protanilla bicolor", "Protanilla concolor", "Furcotanilla furcomandibula", "Protanilla lini", "Protanilla rafflesi", "Protanilla schoedli", "Lebia atripennis", "Lebia australica", "Lebia brisbanensis", "Lebia darlingtoniana", "Lebia fallaciosa", "Lebia foveipennis", "Lebia gemina", "Lebia inornata", "Lebia laticollis", "Lebia monteithi", "Lebia novabritannica", "Lebia permutata", "Lebia salomona", "Lebia sedlaceki", "Lebia subglabra", "Lebia aegra", "Lebia agnata", "Lebia amabilis", "Lebia amoenula", "Lebia anchorago", "Lebia anchorifera", "Lebia annuligera", "Lebia argutula", "Lebia ascendens", "Lebia asterisca", "Lebia biannulata", "Lebia cognata", "Cyrestis acilia dola", "Cyrestis acilia nitida", "Cyrestis acilia haterti", "Cyrestis acilia jordani", "Cyrestis acilia latifascia", "Cyrestis acilia ceramensis", "Cyrestis acilia ulawana", "Cyrestis acilia abisa", "Cyrestis acilia sicca", "Cyrestis acilia bettina", "Cyrestis acilia strigata", "Cyrestis acilia solomonis", "Cyrestis acilia aruana", "Cyrestis acilia russellensis", "Cyrestis acilia misolensis", "Cyrestis acilia maforensis", "Cyrestis acilia biaka", "Cyrestis acilia eximia", "Cyrestis acilia laelia", "Cyrestis acilia parthenia", "Lyromma confusum", "Lyromma dolicobelum", "Lyromma nectandrae", "Lyromma ornata", "Lyromma palmae", "Lyromma pilosum", "Lycoriella sordida", "Microtheliopsis concentrica", "Microtheliopsis uleana", "Microtheliopsis uniseptata", "Microtheliopsis winkleri", "Lycoriella speciosissima", "Lycoriella subpermutata", "Arhopala irregularis", "Acantholycosa logunovi", "Colophon berrisfordi", "Colophon cameroni", "Colophon cassoni", "Colophon haughtoni", "Colophon izardi", "Colophon neli", "Colophon primosi", "Colophon stokoei", "Colophon thunbergi", "Colophon westwoodi", "Colophon whitei", "Forcipiger longirostris", "Lebia confusa", "Lebia confusula", "Lebia consularis", "Lebia contigua", "Lebia cursor", "Lebia dentata", "Lebia denticulata", "Lebia discernenda", "Lebia disconotata", "Lebia discopicta", "Lebia elegantula", "Lebia epiphaea", "Lebia fenestrata", "Lebia figurata", "Lebia flavipes", "Lebia flavoguttata", "Lebia frenata", "Lebia fusciceps", "Lebia fuscula", "Lebia gabonica", "Lebia goudoti", "Lebia gratiosa", "Lebia gressoria", "Lebia guyanensis", "Lebia haplomera", "Lebia hilaris", "Lebia holomera", "Lebia humeroguttata", "Lebia incohaerens", "Lebia incommoda", "Lebia intermedia", "Lebia irregularis", "Lebia lacerata", "Lebia laetula", "Lebia latifascia", "Lebia latiuscula", "Lebia leptodera", "Lebia longiloba", "Lebia luteocincta", "Lebia luteofasciata", "Lebia melanonota", "Lebia melanoptera", "Lebia minuta", "Lebia nemoralis", "Lebia nigriceps", "Lebia nilotica", "Lebia obscuriceps", "Lebia obsoleta", "Lebia omostigma", "Lebia perspicillaris", "Lebia picicollis", "Lebia planiuscula", "Lebia platensis", "Lebia pleurodera", "Lebia pulla", "Lebia quadriplagiata", "Lebia quadritincta", "Lebia obenbergeri", "Lebia singaporensis", "Lebia tanta", "Lebia yunnana", "Lebia angulata", "Lebia chlorotica", "Lebia cyanipennis", "Lebia leprieuri", "Lebia myops", "Lebia puella", "Lebia pumila", "Lebia rugifrons", "Lebia variegata", "Lebia venustula", "Lebia vittigera", "Lebia angusticollis", "Lebia annulipennis", "Lebia c-nigrum", "Lebia centromaculata", "Lebia cumanensis", "Lebia distinguenda", "Lebia granaria", "Lebia heydeni", "Lebia longipennis", "Lebia maculicollis", "Lebia minarum", "Lebia nigrofasciata", "Lebia rotundipennis", "Lebia terminalis", "Lebia x-nigrum", "Lebia apicalis", "Lebia bitaeniata", "Lebia quadricolor", "Lebia apicefusca", "Lebia durbanensis", "Lebia arietis", "Lebia biforis", "Lebia bivitticollis", "Lebia calliope", "Lebia calliparis", "Lebia chalybe", "Lebia charilla", "Lebia chelostigma", "Lebia chiriquensis", "Lebia clio", "Lebia coelina", "Lebia coptoderina", "Lebia cordelia", "Lebia croceicollis", "Lebia cymindoides", "Lebia decolor", "Lebia ditissima", "Lebia dugesi", "Lebia duillia", "Lebia extrema", "Lebia fimbriolata", "Lebia flammea", "Lebia flohri", "Lebia goniessa", "Lebia heraldica", "Lebia histrionica", "Lebia ignita", "Lamium album subsp. barbatum", "Trypethelium cartilagineum", "Trypethelium marcidum", "Lycoriella thuringiensis", "Strigula amphora", "Strigula laureriformis", "Lycoriella venosa", "Sciara lepida", "Lycoria crassivenosa", "Lycoriella praevenosa", "Lycoriella ventrosa", "Arhopala dohertyi", "Pyrenula andina", "Pyrenula duplicans", "Pyrenula globifera", "Pyrenula minae", "Pyrenula montocensis", "Pyrenula rubroanomala", "Pyrenula subsoluta", "Taenianotus triacanthus", "Perroudius hollowayae", "Priacanthus hamrur", "Delias ottonia surigaoensis", "Delias acalis acalis", "Delias acalis pyramus", "Delias acalis kandha", "Delias acalis perakana", "Delias acalis inomatai", "Delias acalis shinkaii", "Delias aglaia", "Delias aglaia aglaia", "Alchemilla ayderensis", "Alchemilla basakii", "Alchemilla chlorosericea", "Alchemilla haraldi", "Ranunculus bulbosus subsp. bulbosus", "Ranunculus bulbosus subsp. aleae", "Delias aglaia dione", "Ranunculus grandiflorus", "Delias aglaia porsenna", "Delias aglaia egialea", "Delias aglaia parthenope", "Delias aglaia pandecta", "Delias aglaia cyrania", "Delias aglaia grisea", "Delias aglaia thyra", "Delias aglaia beata", "Delias aglaia goda", "Delias aglaia curasena", "Delias aglaia balabaca", "Delias aglaia angustifascia", "Delias aglaia horracki", "Delias aglaia siamensis", "Delias aglaia nigrescens", "Delias aglaia mera", "Delias aglaia triglites", "Delias aglaia yakamochii", "Delias aglaia tabitoi", "Delias aglaia takasugii", "Delias aglaia hitomaroi", "Delias aglaia yoshidai", "Delias aglaia silviae", "Delias aglaia premo", "Delias belladonna", "Delias belladonna belladonna", "Delias belladonna horsfieldii", "Delias belladonna chrysorrhoea", "Delias belladonna ithiela", "Delias belladonna zelima", "Delias belladonna lugens", "Delias belladonna hedybia", "Delias belladonna burmana", "Delias belladonna kwangtungensis", "Delias belladonna malayana", "Delias belladonna yukaae", "Delias belladonna dempoensis", "Delias belladonna endoi", "Delias surprisa", "Lebia badakschana", "Lebia mirifica", "Lebia bagdadensis", "Lebia balteata", "Lebia barda", "Lebia cordifer", "Lebia endynomena", "Lebia externa", "Lebia insularum", "Lebia papuella", "Enoplometopus occidentalis", "Silvanus unidentatus", "Alopecurus aucheri", "Alopecurus glacialis", "Delias henningia", "Delias henningia henningia", "Delias henningia ochreopicta", "Delias henningia pandemia", "Delias henningia camotana", "Delias henningia voconia", "Delias henningia palawana", "Delias henningia romblonensis", "Delias crithoe", "Delias crithoe crithoe", "Delias crithoe bromo", "Delias crithoe chrysendeta", "Delias crithoe villia", "Delias crithoe dymas", "Delias crithoe tobahana", "Delias crithoe cherima", "Delias crithoe centralis", "Delias crithoe radiata", "Delias crithoe perextensa", "Delias woodi", "Delias woodi woodi", "Delias woodi colini", "Delias woodi tboli", "Delias hidecoae", "Lebia arisana", "Lebia miwai", "Lebia mushai", "Lebia stepaneki", "Lebia susterai", "Lebia arizonica", "Lebia bumeliae", "Lebia rufopleura", "Lebia armata", "Lebia aviatica", "Lebia callanga", "Lebia chacoensis", "Dugesia subtentaculata", "Aplysina archeri", "Lebia costaricensis", "Lebia curvipicta", "Lebia estebana", "Lebia festinans", "Lebia gounellei", "Lebia jeanneli", "Lebia jedlickai", "Lebia kayetea", "Lebia lapaza", "Lebia lesnei", "Lebia picolina", "Lebia quadratica", "Lebia renalis", "Lebia scalata", "Lebia sericea", "Lebia simoni", "Lebia sulcatella", "Lebia sulciceps", "Lebia togata", "Lebia trigona", "Lebia wagneri", "Apotomus adanensis", "Apotomus angusticollis", "Apotomus atripennis", "Apotomus australis", "Lebia arrowi", "Apotomus chaudoirii", "Apotomus clypeonitens", "Apotomus velox", "Lebia trullata", "Lebia venezolana", "Rhipidoblattina boya", "Elisamoides cantabillingensis", "Kurablattina mintajaensis", "Blattula willmotti", "Delias wilemani", "Delias imitator", "Delias oktanglap", "Delias oktanglap oktanglap", "Delias oktanglap nishiyamai", "Megalotremis biocellata", "Megalotremis cauliflora", "Megalotremis endobrya", "Megalotremis flavovulcana", "Megalotremis infernalis", "Megalotremis lateralis", "Megalotremis megalospora", "Megalotremis nemorosa", "Megalotremis pustulata", "Megalotremis verrucosa", "Xyroptila kuznetzovi", "Catopta tropicalis", "Taenia solium", "Roepkiella rufidorsia", "Roepkiella loeffleri", "Roepkiella artushka", "Roepkiella thaika", "Paracossus thaika", "Roepkiella subfuscus", "Roepkiella celebensis", "Roepkiella javana", "Gryonella affinis", "Gryonella bruesi", "Gryonella crawfordi", "Gryonella magnidens", "Gryonella matogrossensis", "Gryonella platythorax", "Xiphodontus antilope", "Xiphodontus bicolor", "Xiphodontus endroedyi", "Lactuca georgica", "Lactuca aculeata", "Lactuca intricata", "Roepkiella siamica", "Hollowiella chanwu", "Hollowiella bajin", "Hollowiella xishuanbannaensis", "Hollowiella rama", "Chinocossus acronyctoides", "Zeuzera yuennani", "Zeuzera lineata", "Phragmataecia gummata", "Phragmataecia innotata", "Phragmataecia parvipuncta", "Phragmacossia fansipangi", "Quasipirhidius luzziae", "Roerichiora stigmatica", "Neorrhipidius seicherti", "Neorrhipidius bridarollii", "Neorrhipidius cordobensis", "Neorrhipidius dureti", "Roerichiora clara", "Bergaris ruficeps", "Lithothelium almbornii", "Lithothelium australe", "Lakshmia sirena", "Lithothelium austropacificum", "Panau adusta", "Lithothelium bahamense", "Lithothelium concameratum", "Lithothelium cubanum", "Panau stenoptera", "Panau stenoptera stenoptera", "Panau stenoptera sumatrana", "Lithothelium decumbens", "Kitanola uncula", "Kitanola albigrisea", "Kitanola spina", "Kitanola spinula", "Kitanola linea", "Lebia colmanti", "Lebia congoana", "Lebia coptoderopsis", "Lebia maynei", "Lebia ruwenzorica", "Lebia schoutedeni", "Lebia wittei", "Iberis sempervirens", "Rondaniella gutianshanana", "Rondaniella simplex", "Rondaniella unguiculata", "Rondaniella tianmuana", "Rondaniella aspergillformida", "Culicoides cleaves", "Culicoides jianfenglingensis", "Synchiropus picturatus", "Anomomorpha lecanorina", "Anomomorpha tuberculata", "Lebia inconstans", "Lebia maya", "Lebia melantho", "Lebia mesostigma", "Lebia microtes", "Lebia mirabilis", "Lebia neanthe", "Lebia oliviella", "Lebia poecilura", "Lebia retusa", "Lebia rhodope", "Lebia rutilia", "Lebia scalpta", "Lebia sinanja", "Lebia tolteca", "Lebia xanthogona", "Lebia zeta", "Pagomacer deceptus", "Plagiochila porelloides", "Roccellinastrum candidum", "Roccellinastrum epiphyllum", "Roccellinastrum flavescens", "Roccellinastrum lagarostrobi", "Roccellinastrum neglectum", "Roccellinastrum spongoideum", "Fellhanera flavostanhopeae", "Fellhanera punctata", "Perca fluviatilis", "Aubrieta parviflora", "Aubrieta anamasica", "Aubrieta canescens", "Aubrieta olympica", "Aubrieta pinardii", "Aubrieta vulcanica", "Cyrestis acilia", "Cyrestis acilia acilia", "Cyrestis acilia fratercula", "Porotermes adamsoni", "Tuarega insignis", "Tuarega sahara", "Tuarega parisi", "Neanisentomon shaanicum", "Glenea shuteae", "Glenea decolorata", "Lebia bifossifrons", "Lebia desaegeri", "Lebia garambae", "Lebia handenia", "Beris concava", "Beris digitata", "Beris huanglianshana", "Lebia hirsutula", "Beris spinosa", "Lebia masaica", "Beris trilobata", "Lebia orissa", "Lebia sharovae", "Actina bilobata", "Lebia viriditincta", "Actina elongata", "Allognosta concava", "Lebia bilineata", "Chorisops longa", "Kitanola caii", "Kitanola brachygnatha", "Kitanola eurygnatha", "Lebia cyanocephala", "Lithothelium echinatum", "Lithothelium falklandicum", "Lithothelium fluorescens", "Lithothelium fugax", "Lithothelium grossum", "Lithothelium hawaiiense", "Lithothelium hieroglyphicum", "Lithothelium himalayense", "Lithothelium hyalosporum", "Lithothelium illotum", "Lithothelium indicum", "Lithothelium insulare", "Lithothelium japonicum", "Lithothelium macrosporum", "Lithothelium microsporum", "Lithothelium nanosporum", "Lithothelium neoindicum", "Lithothelium obtectum", "Lithothelium paraguayense", "Lithothelium phaeosporum", "Lithothelium polysemum", "Lithothelium quadrisporum", "Lithothelium quiescens", "Lithothelium septemseptatum", "Lithothelium submuriforme", "Lithothelium triseptatum", "Lithothelium violascens", "Cretaceoripidius burmiticus", "Lebia collaris", "Lebia dorsalis", "Lebia pulchella", "Lebia viridipennis", "Perotrochus tosatoi", "Bouchetia erecta", "Sessea brasiliensis", "Brunfelsia chiricaspi", "Brunfelsia densifolia", "Brunfelsia grandiflora", "Brunfelsia latifolia", "Brunfelsia nitida", "Nierembergia repens", "Nierembergia scoparia", "Nierembergia veitchii", "Petunia altiplana", "Petunia bajeensis", "Petunia bonjardinensis", "Petunia exserta", "Petunia guarapuavensis", "Petunia interior", "Petunia ledifolia", "Petunia mantiqueirensis", "Petunia patagonica", "Petunia reitzii", "Petunia saxicola", "Petunia scheideana", "Acarospora flavisparsa", "Acarospora janae", "Aderkomyces thailandicus", "Amandinea maritima", "Ampliotrema cocosense", "Allodia attenuata", "Allodia fuliginosa", "Allodia macrodontusa", "Allodia oblonga", "Allodia pectinata", "Allodia solida", "Allodia xiphodeusa", "Chorisops tianmushana", "Chorisops zhangae", "Lebia binotata", "Lebia coerulea", "Lebia sexmaculata", "Ceratophyllidia papilligera", "Turbinella pyrum", "Arhopala agelastus", "Lycoriella aberrans", "Lycoriella acutostylia", "Lycoriella agraria", "Mesernobius anawrahtai", "Arhopala arsenius", "Arhopala asinarus", "Lebia bioculata", "Lebia chinensis", "Lebia crucifera", "Lebia insularis", "Tethepomima holomma", "Tethepomyia buruhandi", "Lebia basiguttata", "Lebia bivulnerata", "Lebia conjugata", "Lebia guttata", "Lebia quadrimaculata", "Lebia submaculata", "Lebia unimaculata", "Lebia bella", "Lebia campania", "Lebia chalcoma", "Lebia clarissa", "Lebia dichroma", "Lebia ephippiata", "Lebia exilis", "Lebia lacerta", "Lebia leucaspis", "Lebia lineola", "Lebia lunigera", "Lebia monostigma", "Lebia ocellata", "Lebia bicolor", "Lebia bicurvata", "Lebia boliviana", "Lebia charisma", "Lebia chopimana", "Lebia coronata", "Lebia dentipicta", "Lebia emblemata", "Lebia epigramma", "Lebia fatua", "Lebia flavopicta", "Lebia fruhstorferi", "Lebia gloriosa", "Lebia graphica", "Lebia hamata", "Lebia illustris", "Lebia lauta", "Lebia levicula", "Lebia libita", "Lebia lubrica", "Lebia minuscula", "Lebia mirabunda", "Lebia montivaga", "Lebia ornamentalis", "Lebia pauliana", "Lebia pilula", "Lebia plaumanni", "Lebia quadraticollis", "Lebia reticulata", "Lebia steinbachi", "Lebia tendicula", "Lebia tenenbaumi", "Lebia tremolerasi", "Aspicilia mansourii", "Hirstionyssus gansuensis", "Hirstionyssus huangheensis", "Hirstionyssus laterispinatus", "Hirstionyssus xinghaiensis", "Bacidina sorediata", "Badimia multiseptata", "Badimia vezdana", "Biatora epirotica", "Abyssianira bathyalis", "Abyssianira tasmaniensis", "Buellia sulphurica", "Bunodophoron pinnatum", "Byssoloma spinulosum", "Lycoriella aliena", "Calopadia cinereopruinosa", "Calopadia editae", "Lycoriella approximatonervis", "Lycoriella attenuata", "Lycoriella auripila", "Sciara tenuis", "Lebia biplagiatella", "Lebia zuluensis", "Lebia bipunctata", "Lebia bivittata", "Lebia fasciola", "Lebia vittata", "Lebia boysii", "Lebia cupripennis", "Lebia olivacea", "Lebia zonata", "Lebia brachinoides", "Lebia nigrolineata", "Lebia smaragdinipennis", "Simulium maeaiense", "Lebia breuningi", "Lebia chyulana", "Lebia cruralis", "Lebia halli", "Lebia jacksoni", "Lebia lemoulti", "Lebia mira", "Schizaphis piricola", "Lebia shimbana", "Lebia straneoi", "Lebia tsaritsa", "Lebia brevilimbata", "Lebia syriaca", "Stylobates birtlesi", "Lebia bruchi", "Lebia reventazonica", "Lebia caeca", "Lebia elegans", "Lebia nigromaculata", "Lebia pallipes", "Lebia callitrema", "Neharpyrhynchus chlorospingus", "Neharpyrhynchus mironovi", "Neharpyrhynchus tangara", "Lebia cannae", "Lebia limbata", "Lebia picta", "Lebia cardoni", "Lebia karenia", "Lebia chalcoptera", "Lebia chalybeipennis", "Lebia charina", "Lebia corcula", "Lebia chiponica", "Lebia chrysomyia", "Lebia circumdata", "Lebia tau", "Chapsa rubropulveracea", "Chapsa thallotrema", "Lebia edentata", "Chiodecton pustuliferum", "Cladonia mongkolsukii", "Clypeopyrenis microsperma", "Clypeopyrenis porinoides", "Coccocarpia delicatula", "Coenogonium flammeum", "Cresponea ancistrosporelloides", "Crocynia microphyllina", "Dictyonema hernandezii", "Dictyonema hirsutum", "Diorygma microsporum", "Diorygma sticticum", "Echinoplaca pernambucensis", "Echinoplaca schizidiifera", "Arhopala asopia", "Arhopala barami", "Arhopala cardoni", "Amynthas phatubensis", "Amynthas tontong", "Amynthas borealis", "Amynthas srinan", "Sinocallipus catba", "Sinocallipus deharvengi", "Sinocallipus jaegeri", "Sinocallipus steineri", "Sinocallipus thai", "Streptomyces thermoautotrophicus", "Physalis grisea", "Physalis heterophylla", "Physalis longifolia", "Physalis philadelphica", "Physalis pruinosa", "Physalis pubescens", "Physalis pumila", "Physalis virginiana", "Physalis viscosa", "Physalis gracilis", "Physalis lanceolata", "Physalis nicandroides", "Lebia inedita", "Lebia phantasma", "Lebia simulatoria", "Lebia umtalina", "Lebia lecta", "Lebia miranda", "Lebia pectita", "Lebia scapula", "Lebia lindemannae", "Lebia violata", "Nebrioporus amicorum", "Nebrioporus sagartus", "Lebia lobulata", "Lebia maraniana", "Lebia marginata", "Lebia scapularis", "Lebia mayumbensis", "Lebia moesta", "Lebia nubicola", "Lebia ornata", "Lebia viridis", "Kempfcyclocypris australis", "Lebia edithae", "Cenocephalus quasiexquisitus", "Lebia elegantissima", "Lebia peruana", "Lebia tschitscherini", "Lebia erythreensis", "Padogobius bonelli", "Lebia esurialis", "Lebia perita", "Lebia tuckeri", "Phormia regina", "Lebia exarata", "Lebia exigua", "Lebia jucunda", "Lebia mesoxantha", "Lebia exsanguis", "Lebia fabriziobattonii", "Lebia tanarataensis", "Physalis acutifolia", "Physalis angulata", "Lebia formosana", "Lebia freudei", "Lebia turkestanica", "Lebia fukiensis", "Lebia klapperichi", "Lebia gaudichaudi", "Lebia gibba", "Lebia nigrita", "Lebia haitiana", "Lebia grammica", "Lebia guttula", "Withania aristata", "Withania coagulans", "Withania somnifera", "Nothocestrum breviflorum", "Nothocestrum peltatum", "Alcolapia alcalica", "Chaetodontoplus meredithi", "Crataegus \u00d7 bornmuelleri", "Crataegus sinaica", "Erodium acaule", "Erodium moschatum", "Haplophyllum armenum", "Potentilla calabra", "Epilobium lanceolatum", "Alavia neli", "Agabetes svetlanae", "Graphis caribica", "Graphis cerradensis", "Graphis itatiaiensis", "Graphis marusae", "Aphelocoma woodhouseii", "Sciara urbana", "Spathobdella detrita", "Opilioacarus aenigmus", "Caloplaca magnussoniana", "Calvitimela uniseptata", "Lebia concinna", "Lebia delineata", "Lebia flavofasciata", "Lebia lepida", "Lebia pusilla", "Lebia rugiceps", "Lebia trisignata", "Lebia congruens", "Lebia discrepans", "Lebia minima", "Lebia natalis", "Lebia sperabilis", "Lebia vaciva", "Lebia contaminata", "Lebia cruciata", "Lebia insecticollis", "Lebia lata", "Lebia truncatipennis", "Lebia cruciferella", "Lebia focki", "Lebia cuonaensis", "Lebia cyanytheana", "Schwenckia americana", "Lebia decellei", "Lebia ivorensis", "Lebia misabena", "Zabrachypus tumidus", "Lebia darlingtoni", "Lebia rhombifera", "Xanthopimpla biamosa", "Triclistus ventrator", "Pimpla bibosa", "Lebia declivis", "Lebia distigma", "Lebia furcatula", "Lebia horni", "Lebia imperfecta", "Lebia tropica", "Lebia tericola", "Lebia obscurata", "Lebia pallida", "Lebia papuensis", "Senilites tristanicola", "Platynectes nageli", "Fellhanera borbonica", "Ravenala madagascariensis", "Agave amica", "Daemonosaurus chauliodus", "Arhopala ocrida", "Arhopala wildeyana", "Arhopala zeta", "Fibrillithecis sprucei", "Fissurina astroisidiata", "Fissurina nigrolabiata", "Fissurina subcomparimuralis", "Quincula lobata", "Belobranchus belobranchus", "Pollanisus marriotti", "Hymenophyllum tunbrigense", "Arhopala epimete", "Arhopala ilocana", "Arhopala labuana", "Carldrakeana engista", "Carldrakeana karli", "Carldrakeana pallida", "Carldrakeana socia", "Carldrakeana tindalei", "Placopsis imshaugii", "Platismatia wheeleri", "Porina huainamdungensis", "Cyperobia carectorum", "Tanybyrsa cumberi", "Stephanitis rhododendri", "Ramalina hyrcana", "Ramalina stoffersii", "Relicina colombiana", "Rhizocarpon diploschistidina", "Lomelosia rotata", "Omalotheca supina", "Lawrencia subg.", "Lawrencia subg.", "Lawrencia sect.", "Myriotrema endoflavescens", "Pleurogonium rubicundum rubicundum", "Ocellularia albobullata", "Ocellularia vizcayensis", "Acilius confusus", "Acilius duvergeri", "Acilius japonicus", "Acilius kishii", "Acilius sinensis", "Acilius abbreviatus", "Acilius athabascae", "Acilius fraternus", "Acilius mediatus", "Acilius semisulcatus", "Acilius sylvanus", "Ochrolechia insularis", "Opegrapha viridipruinosa", "Lebia paramicola", "Lebia pleuritica", "Lebia promontorii", "Lebia sebakuana", "Lebia tenella", "Lebia putzeysi", "Pannaria phyllidiata", "Parmelia asiatica", "Pertusaria conspersa", "Phlyctis psoromica", "Verrucaria rhizicola", "Hyphydrus pictus", "Philaccolilus bacchusi", "Philaccolilus irianensis", "Philaccolilus kokodanus", "Philaccolilus bicinctus", "Laccophilus poecilus", "Hygrotus confluens", "Hygrotus inscriptus", "Hydroglyphus angularis", "Hydroglyphus signatellus", "Prodaticus histrio", "Prodaticus pictus", "Prodaticus servillianus", "Hiodon tergisus", "Hiodon alosoides", "Dicopomorpha liaoningensis", "Ignurbia constanzae", "Anoura fistulata", "Phyllopsora cognata", "Phyllopsora foliatella", "Gyalideopsis chicaque", "Gyrotrema papillatum", "Harpidium gavilaniae", "Hypotrachyna guatemalensis", "Hypotrachyna indica", "Hypotrachyna lueckingii", "Hypotrachyna paracitrella", "Hypotrachyna paraphyscioides", "Hypotrachyna parasinuosa", "Knightiellastrum eucalypti", "Krogia microphylla", "Lecanora mugambii", "Lecanora printzenii", "Lecanora xanthoplumosella", "Lecidea lygommella", "Lecidella greenii", "Lempholemma corticola", "Lepraria sekikaica", "Lobariella sipmanii", "Coulmannia frigida", "Coulmannia australis", "Caecidotea alleghenyensis", "Caecidotea stygia", "Rectisura slavai", "Storthyngura yuzhmorgeo", "Megalospora austropacifica", "Caecidotea xochimilca", "Spinogonium decoratum", "Spinogonium spinosum", "Austrogonium abyssale", "Austrogonium japonicum", "Dentigonium tantulum", "Megalospora galapagoensis", "Heterosignum mutsuensis", "Heterosignum hashimotoi", "Heterosignum unicornis", "Notoxenoides setosa", "Notoxenoides dentata", "Menegazzia endocrocea", "Pleurogonium kyushuense", "Pleurogonium tanseimaruae", "Phyllopsora hispaniolae", "Phyllopsora imshaugii", "Phyllopsora longispora", "Japanolaccophilus nipponensis", "Notaticus fasciatus", "Neasellus kerguelensis", "Phyllopsora mauritiana", "Ateleopus japonicus", "Lebia arcuata", "Lawrencia sect.", "Lawrencia ser.", "Lawrencia ser.", "Sagenidiopsis isidiata", "Sticta venosa", "Phreatodytes haibaraensis", "Tapellaria albomarginata", "Thelotrema fijiense", "Tricharia nigriuncinata", "Lebia smithiella", "Lebia striaticollis", "Lebia sulcipennis", "Lebia thais", "Lebia trimaculata", "Lebia weigeli", "Lebia zaboli", "Pseudanapis amrishi", "Perca schrenkii", "Usnea galapagona", "Usnea pallidocarpa", "Ascionana curvifrons", "Ascionana laevifrons", "Ascionana rhipis", "Glaucocharis incisella", "Glaucocharis subnatalensis", "Euchromius mythus", "Neochilo oxyprora", "Neargyrioides aglaopis", "Australargyria fulvinotella", "Chilandrus chrysistes", "Malgasochilo autarotellus", "Ateleopus indicus", "Arhopala agesilaus", "Quasinarosa fulgens", "Arhopala alax", "Quasinarosa laesara", "Quasinarosa swanni", "Quasinarosa azumai", "Quasinarosa corusca", "Tennya propolia", "Tennya propoliodes", "Arhopala atrax", "Caelestomorpha albiceris", "Caelestomorpha endodonta", "Phyllopsora microsperma", "Phyllopsora phaeobyssina", "Phyllopsora pyrrhomelaena", "Phyllopsora teretiuscula", "Phyllopsora tobagensis", "Belippa horrida", "Belippa aeolus", "Acremonium spegazzinii", "Acremonium strictum", "Crinodessus amyae", "Io ambondrombeensis", "Oreodytes sanmarkii", "Carabdytes upin", "Peschetius carinipennis", "Vipaka niveipennis", "Demonarosa rufotessellata", "Ateleopus natalensis", "Arhopala avatha", "Arhopala democritus", "Arhopala ace", "Arhopala agrata", "Arhopala azinis", "Amynthas namphouinensis", "Amynthas chandyi", "Amynthas bouchei", "Amynthas omodeoi", "Amynthas edwardsi", "Amynthas uvaglandularis", "Amynthas penpuensis", "Amynthas nanshanensis", "Amynthas tantulus", "Amynthas fenestrus", "Amynthas wangi", "Acremonium antarcticum", "Amynthas pavimentus", "Amynthas biorbis", "Amynthas libratus", "Amynthas hongyehensis", "Acremonium hypholomatis", "Acremonium lichenicola", "Amynthas rockefelleri", "Acremonium pedatum", "Acremonium persicinum", "Acremonium psychrophilum", "Amynthas youngtai", "Acremonium rhabdosporum", "Ampullifera amoeboides", "Ampullifera foliicola", "Ampullifera hippocrateacearum", "Ampullifera leonensis", "Ampullifera pirozynskii", "Ampullifera ugandensis", "Arborillus llimonae", "Macrolepiota sect.", "Macrolepiota detersa", "Macrolepiota dolichaula", "Macrolepiota mastoidea", "Macrolepiota orientiexcoriata", "Macrolepiota procera", "Macrolepiota velosa", "Cypripedium fargesii", "Ascochyta candelariellicola", "Ascochyta santessonii", "Bachmanniomyces santessonii", "Padogobius nigricans", "Berkleasmium parmeliellae", "Calongeomyces gibelluloides", "Queda compressa", "Rhanidopsis alleni", "Rhanidopsis neophantes", "Torodora angustia", "Torodora phuruaensis", "Torodora karsholti", "Torodora loeica", "Torodora fuscobasalis", "Torodora epiphorana", "Guentherus katoi", "Jessea cooperi", "Jessea megaphylla", "Ijimaia plicatellus", "Jessea multivenia", "Cephalosporiopsis epiparasitaster", "Mecodema aoteanoho", "Mecodema haunoho", "Mecodema manaia", "Mecodema parataiko", "Mecodema ponaiti", "Mecodema tenaki", "Mecodema atrox", "Mecodema sulcatum", "Notiomys edwardsii", "Pearsonomys annectens", "Geoxus valdivianus", "Chelemys delfini", "Guentherus altivela", "Chelemys megalonyx", "Chelemys macronyx", "Ramazzottius belubellus", "Abrothrix andina", "Abrothrix hershkovitzi", "Oreella chugachii", "Abrothrix illutea", "Abrothrix jelskii", "Abrothrix lanosa", "Abrothrix sanborni", "Abrothrix longipilis", "Abrothrix olivacea", "Rhantus souzannae", "Rhantus bohlei", "Rhantus vinsoni", "Lacconectus loeiensis", "Queda youngi", "Queda hydrovatoides", "Dendrodochium subeffusum", "Dimitshydrus typhlops", "Microdytes trontelji", "Siettitia avenionensis", "Iberoporus cermenius", "Dictyophrynella bignoniacearum", "Lebia vilcanota", "Lebia diehli", "Lebia eberti", "Lebia meinkeana", "Lebia peguensis", "Vetuprostomis consimilis", "Biamosa barachek", "Chapsa microspora", "Coleopteron semicrematus", "Pagonana rostrata", "Austronanus glacialis", "Austronanus dubius", "Stenochrus velteni", "Notoxenus spinifer", "Omonana simplex", "Antillostenochrus pseudoannulatus", "Mecodema pluto", "Geodessus besucheti", "Geodessus kejvali", "Typhlodessus monteithi", "Terradessus anophthalmus", "Terradessus caecus", "Barabashka bilineatum", "Barabashka obliqua", "Barabashka mirus", "Euphlyctinides laika", "Chalara lichenicola", "Chalara lobariae", "Chalara pseudocyphellariae", "Nagodopsis alethis", "Limacocera hel", "Cania bilinea", "Choreospora tibellii", "Cladoniicola staurospora", "Cladosporium arthoniae", "Cladosporium licheniphilum", "Ijimaia dofleini", "Ijimaia antillarum", "Tefflus zebulianus", "Ijimaia fowleri", "Clauzadeomyces verrucosus", "Codonmyces lecanorae", "Coniambigua phaeographidis", "Corynespora laevistipitata", "Deichmannia verrucispora", "Yolina libera", "Yolina baerti", "Yolina elegantula", "Yolina royi", "Yolina insignis", "Yolina balfourbrownei", "Ijimaia loppei", "Yolina kongouensis", "Yolina wewalkai", "Parateleopus microstomus", "Cuspicona simplex", "Diederichia pseudeverniae", "Lecanora strobilinoides", "Diplosporium caudatum", "Ellisembia lichenicola", "Chirocentrus dorab", "Endophragmiella franconica", "Endophragmiella hughesii", "Epicoccum nigrum", "Mizothenar maharepa", "Stenetrium armatum", "Stenobermuda acutirostrata", "Stenobermuda syzygus", "Feltgeniomyces dichotomus", "Feltgeniomyces luxemburgensis", "Feltgeniomyces physciae", "Feltgeniomyces uniseptatus", "Carpias minutus", "Joeropsis rathbunae", "Hansenium stebbingi", "Carpias bermudensis", "Fenestroconidia caloplacae", "Microparasellus puteanus", "Fusarium peltigerae", "Euonthophagus verberatus", "Euonthophagus yama", "Nematobrycon palmeri", "Benthophilus durrelli", "Benthophilus stellatus", "Benthophilus granulosus", "Benthophilus nudus", "Benthophilus macrocephalus", "Benthophilus magistri", "Benthophiloides brauneri", "Benthophiloides turcomanus", "Canavesiella lanai", "Archeoboldoria lanai", "Duvalius lanai", "Ceratophyllum submersum", "Troglocheles lanai", "Bacillus pseudofirmus", "Bacillus selenitireducens", "Geobacillus thermoglucosidasius", "Anoxybacillus flavithermus", "Bacillus tusciae", "Bacillus atrophaeus", "Libanolestes flecki", "Canavesiella casalei", "Aconitum cochleare", "Adonis cyllenea", "Adonis eriocalycina", "Adonis flammea", "Fusicladium peltigericola", "Tubocapsicum anomalum", "Canella winterana", "Browallia americana", "Browallia speciosa", "Streptosolen jamesonii", "Rimaconus coronatus", "Barretthydrus geminatus", "Barretthydrus tibialis", "Gliocephalis pulchella", "Rorippa palustris", "Pterogobius elapoides", "Illosporium carneum", "Saururus cernuus", "Saururus chinensis", "Illosporiopsis christiansenii", "Coprinus comatus", "Calisius balticus", "Intralichen baccisporus", "Intralichen christiansenii", "Intralichen lichenicola", "Intralichen lichenum", "Fabiana imbricata", "Chamaesaracha coronopus", "Leucophysalis grandiflora", "Deprea orinocensis", "Lichenodiplisiella makarevichiae", "Teloschistes brevior", "Acestrorhynchus britskii", "Lichenohendersonia squamarinae", "Lichenohendersonia uniseptata", "Lichenohendersonia varians", "Hainesia pertusariae", "Hainesia xanthoriae", "Hansfordiellopsis elongata", "Hansfordiellopsis lichenicola", "Hansfordiellopsis minuta", "Hansfordiellopsis tenuissima", "Hansfordiellopsis variegata", "Bullatina aspidota", "Bullatina viridis", "Calibrachoa parviflora", "Calibrachoa caesia", "Calibrachoa calycina", "Calibrachoa dusenii", "Calibrachoa eglandulata", "Calibrachoa elegans", "Calibrachoa ericifolia", "Calibrachoa excellens", "Calibrachoa hassleriana", "Calibrachoa heterophylla", "Calibrachoa humilis", "Calibrachoa linoides", "Calibrachoa macrodactylon", "Calibrachoa micrantha", "Calibrachoa paranensis", "Calibrachoa pygmea", "Calibrachoa regnellii", "Calibrachoa rupestris", "Calibrachoa sellowiana", "Calibrachoa sendtneriana", "Calibrachoa serrulata", "Calibrachoa spathulata", "Calibrachoa thymifolia", "Nematobrycon lacortei", "Hawksworthiana peltigericola", "Pararhadinaea melanogaster", "Lactoris fernandeziana", "Spiraea media", "Lycium andersonii", "Lycium barbarum", "Lycium brevipes", "Lycium cooperi", "Lycium ferocissimum", "Lycium fremontii", "Lycium afrum", "Lycium berlandieri", "Lycium carolinianum", "Lycium cestroides", "Lycium chilense", "Lycium chinense", "Lycium depressum", "Lycium europaeum", "Lycium flexicaule", "Lycium horridum", "Lycium oxycarpum", "Lycium pallidum", "Lycium ruthenicum", "Lycium shawii", "Lycium torreyi", "Kalchbrenneriella cyanescens", "Tradescantia sect.", "Karsteniomyces llimonae", "Karsteniomyces peltigerae", "Karsteniomyces tuberculosus", "Keissleriomyces sandstedeanus", "Jaborosa integrifolia", "Jaborosa runcinata", "Nolana filifolia", "Nolana humifusa", "Nolana rostrata", "Lambinonia strigulae", "Lawalreea lecanorae", "Acestrorhynchus abbreviatus", "Leightoniomyces phillipsii", "Combretum indicum", "Libertiella curvispora", "Libertiella didymospora", "Libertiella fennica", "Libertiella leprariae", "Libertiella malmedyensis", "Libertiella obscurior", "Latia manuherikia", "Latia climoi", "Latia lateralis", "Latia neritoides", "Arhopala aida", "Arhopala alitaeus", "Arhopala arianaga", "Arhopala denta", "Cyrtodactylus martini", "Lichenobactridium pertusariae", "Sason sechellanum", "Lichenoconium aeruginosum", "Lichenoconium cargillianum", "Kiklonana arnaudi", "Lichenoconium echinosporum", "Stachys neurocalycina", "Lichenoconium erodens", "Lichenoconium usneae", "Combretum holstii", "Lichenopuccinia poeltii", "Carebara abuhurayri", "Anamixis bananarama", "Lichenostella hypotrachynae", "Bolbocerosoma tumefactum", "Lichenoconium christiansenii", "Toxoptera aurantii", "Allopodagrion brachyurum", "Rhantus antarcticus", "Rhantus signatus", "Rhantus obscuricollis", "Rhantus validus", "Lichenoconium edgewoodensis", "Agnoshydrus schillhammeri", "Lichenoconium follmannii", "Agnoshydrus confusus", "Agnoshydrus densus", "Agnoshydrus taiwanus", "Agnoshydrus paulbrowni", "Agnoshydrus ciampori", "Agnoshydrus barong", "Agnoshydrus laccophiloides", "Haideoporus texanus", "Lichenoconium laevisporum", "Lichenoconium lecanorae", "Lichenoconium lichenicola", "Lichenoconium pyxidatae", "Lichenoconium reichlingii", "Lichenoconium plectocarpoides", "Lichenoconium xanthoriae", "Lichenodiplis dendrographae", "Lichenodiplis fallaciosa", "Lichenodiplis lecanoricola", "Lichenodiplis opegraphae", "Lichenodiplis pertusariicola", "Lichenodiplis hawksworthii", "Lichenodiplis lecanorae", "Lichenodiplis lichenicola", "Lichenodiplis poeltii", "Lichenodiplis crespoae", "Acestrorhynchus altus", "Lichenosticta alcicornaria", "Microsphaeropsis lichenicola", "Asphalidesmus allynensis", "Asphalidesmus bellendenkerensis", "Asphalidesmus carbinensis", "Asphalidesmus dorrigensis", "Asphalidesmus magnus", "Asphalidesmus minor", "Asphalidesmus otwayensis", "Nipponesmus minor", "Epanerchodus pinguis", "Epanerchodus bispinosus", "Epanerchodus curtigonopus", "Epanerchodus flagellifer", "Caucasodesmus tauricus", "Ripeacma setosa", "Ripeacma bilobata", "Lobocla bifasciata", "Lobocla liliana", "Lobocla nepos", "Lobocla simplex", "Lobocla quadripunctata", "Gillmeria cuneiformis", "Gillmeria fuscata", "Gillmeria fopingensis", "Palpita curvispina", "Palpita parvifraterna", "Palpita warrenalis", "Autosticha conjugipunctata", "Autosticha cipingensis", "Autosticha microphilodema", "Autosticha maculosa", "Autosticha menglunica", "Autosticha squarrosa", "Autosticha nanchangensis", "Autosticha flavida", "Autosticha valvifida", "Autosticha complexivalvula", "Autosticha fallaciosa", "Autosticha rectipunctata", "Autosticha valvidentata", "Autosticha tianmushana", "Autosticha heteromalla", "Autosticha shenae", "Autosticha wufengensis", "Autosticha mirabilis", "Autosticha arcivalvaris", "Autosticha oxyacantha", "Autosticha bacilliformis", "Autosticha chishuiensis", "Autosticha shexianica", "Autosticha dimochla", "Autosticha calceata", "Autosticha guttulata", "Autosticha philodema", "Autosticha triangulimaculella", "Autosticha opaca", "Autosticha acharacta", "Autosticha ansata", "Autosticha auxodelta", "Autosticha exemplaris", "Autosticha spilochorda", "Autosticha conciliata", "Autosticha encycota", "Autosticha enervata", "Autosticha stagmatopis", "Autosticha tetrapeda", "Capila hainana", "Capila lineata", "Capila omeia", "Capila nigrillima", "Capila penicillatum", "Capila phanaeus", "Capila pieridoides", "Capila translucida", "Capila pseudomeia", "Ripeacma trapezialis", "Ripeacma cotyliformis", "Celerena griseofusa", "Celerena spodoptera", "Episparis philippinensis", "Episparis costistriga", "Episparis exprimens", "Episparis minima", "Artena reggiantii", "Milospium desloover", "Milospium graphideorum", "Milospium lacoizquetae", "Milospium planorbis", "Minutoexcipula beaglei", "Minutoexcipula calatayudii", "Minutoexcipula mariana", "Pertusaria heterochroa", "Minutoexcipula tephromelae", "Consolida scleroclada", "Minutoexcipula tuckerae", "Minutoexcipula tuerkii", "Serratula cerinthifolia", "Pleurosignum capensis", "Paramunna koreana", "Paramunna brevipes", "Cryosignum incisum", "Cryosignum lunatum", "Metamunna typica", "Neasellus oculatum", "Pleurogonium albidum", "Pleurogonium chilense", "Pleurogonium elongatum", "Pleurogonium intermedium", "Pleurogonium kamtshaticum", "Pleurogonium latimanum", "Pleurogonium magnum", "Pleurogonium minutum", "Proasellus ligusticus", "Proasellus linearis", "Proasellus ljovuschkini", "Proasellus lusitanicus", "Proasellus lykaonicus", "Proasellus malagensis", "Proasellus maleri", "Proasellus margalefi", "Proasellus mateusorum", "Proasellus meijersae", "Proasellus meridianus", "Proasellus micropectinatus", "Proasellus minoicus", "Proasellus monodi", "Proasellus monsferratus", "Proasellus montenigrinus", "Proasellus navarrensis", "Proasellus nolli", "Proasellus orientalis", "Proasellus oviedensis", "Proasellus pamphylicus", "Proasellus parvulus", "Proasellus patrizii", "Proasellus pavani", "Proasellus phreaticus", "Proasellus pisidicus", "Proasellus polychaetus", "Proasellus pribenicensis", "Proasellus rectangulatus", "Proasellus rectus", "Proasellus remyi", "Proasellus similis", "Proasellus sketi", "Proasellus slavus", "Proasellus slovenicus", "Proasellus soriensis", "Proasellus spelaeus", "Proasellus spinipes", "Proasellus stocki", "Proasellus strouhali", "Proasellus synaselloides", "Proasellus thermonyctophilus", "Proasellus valdensis", "Proasellus vandeli", "Proasellus variegatus", "Proasellus vignai", "Proasellus vizcayensis", "Proasellus vulgaris", "Proasellus walteri", "Proasellus winteri", "Proasellus wolfi", "Acanthamunnopsis hystrix", "Acanthamunnopsis longicornis", "Acanthamunnopsis milleri", "Baeonectes improvisus", "Belonectes latifrons", "Desmosoma affine", "Desmosoma elegans", "Desmosoma elongatum", "Desmosoma lobipes", "Desmosoma ochotense", "Desmosoma puritanum", "Macrostylis urceolata", "Macrostylis vigorata", "Macrostylis viriosa", "Macrostylis wolffi", "Microcharon alamiae", "Microcharon antonellae", "Microcharon apolloniacus", "Microcharon boui", "Microcharon boutini", "Microcharon bureschi", "Microcharon coineanae", "Microcharon comasi", "Microcharon doueti", "Microcharon eurydices", "Microcharon galapagoensis", "Microcharon harrisi", "Microcharon heimi", "Microcharon hellenae", "Microcharon hercegovinensis", "Microcharon herrerai", "Microcharon kirghisicus", "Microcharon luciae", "Microcharon margalefi", "Microcharon marinus", "Microcharon motasi", "Microcharon novariensis", "Microcharon oltenicus", "Microcharon orghidani", "Microcharon orphei", "Microcharon ourikensis", "Microcharon phlegethonis", "Microcharon phreaticus", "Microcharon reginae", "Microcharon rouchi", "Microcharon salvati", "Microcharon sisyphus", "Microcharon stygius", "Microcharon tantalus", "Microcharon teissieri", "Microcharon thracicus", "Microcharon ullae", "Microprotus acutispinatus", "Microprotus caecus", "Microprotus lobispinatus", "Microprotus paradoxus", "Munna acanthifera", "Munna antarctica", "Munna armoricana", "Munna arnholdi", "Munna avatshensis", "Munna bispina", "Caecidotea spatulata", "Caecidotea steevesi", "Caecidotea tomalensis", "Caecidotea tridentata", "Caecidotea vandeli", "Caecidotea vomeri", "Caecidotea zullini", "Proasellus acutianus", "Proasellus adriaticus", "Proasellus alavensis", "Proasellus albigensis", "Proasellus ambracicus", "Proasellus amiterninus", "Proasellus anophtalmus", "Proasellus aquaecalidae", "Proasellus arnautovici", "Proasellus arthrodilus", "Proasellus bagradicus", "Proasellus barduanii", "Proasellus basnosanui", "Proasellus bellesi", "Proasellus beroni", "Proasellus boui", "Proasellus cantabricus", "Proasellus cavaticus", "Proasellus chappuisi", "Proasellus chauvini", "Proasellus claudei", "Proasellus coiffaiti", "Proasellus collignoni", "Proasellus comasi", "Proasellus coxalis", "Proasellus cretensis", "Proasellus delhezi", "Proasellus deminutus", "Proasellus dianae", "Proasellus escolai", "Mixtoconidium canariense", "Proasellus espanoli", "Proasellus exiguus", "Proasellus faesulanus", "Proasellus franciscoloi", "Proasellus gardinii", "Proasellus gauthieri", "Proasellus gineti", "Proasellus gjorgjevici", "Proasellus gourbaultae", "Proasellus grafi", "Proasellus granadensis", "Proasellus guipuzcoensis", "Proasellus henseni", "Proasellus hercegovinensis", "Proasellus hermallensis", "Proasellus hurki", "Proasellus hypogeus", "Proasellus ibericus", "Proasellus infirmus", "Proasellus intermedius", "Proasellus istrianus", "Proasellus italicus", "Proasellus karamani", "Proasellus lagari", "Proasellus leysi", "Pleurogonium pulchrum", "Pleurogonium serratum", "Pleurogonium spinosissimum", "Minutophoma chrysophthalmae", "Caecidotea alabamensis", "Caecidotea ancyla", "Caecidotea attenuata", "Caecidotea barri", "Caecidotea beattyi", "Caecidotea bicrenata", "Caecidotea bilineata", "Caecidotea bowmani", "Caecidotea brevicauda", "Caecidotea cannula", "Caecidotea carolinensis", "Caecidotea catachaetus", "Caecidotea circulus", "Caecidotea communis", "Caecidotea cumberlandensis", "Caecidotea cyrtorhynchus", "Caecidotea dauphina", "Caecidotea dentadactyla", "Caecidotea dimorpha", "Caecidotea filicispeluncae", "Caecidotea fonticulus", "Caecidotea forbesi", "Caecidotea franzi", "Caecidotea henroti", "Caecidotea hobbsi", "Caecidotea holsingeri", "Caecidotea incurva", "Caecidotea intermedia", "Caecidotea jordani", "Caecidotea kendeighi", "Caecidotea kenki", "Caecidotea laticaudata", "Caecidotea lesliei", "Caecidotea macropropoda", "Caecidotea metcalfi", "Caecidotea mitchelli", "Caecidotea montana", "Caecidotea nickajackensis", "Caecidotea nodula", "Caecidotea nortoni", "Caecidotea obtusa", "Caecidotea occidentalis", "Caecidotea oculata", "Caecidotea packardi", "Caecidotea pasquinii", "Caecidotea paurotrigona", "Caecidotea phreatica", "Caecidotea pricei", "Caecidotea puebla", "Caecidotea racovitzai", "Caecidotea recurvata", "Caecidotea reddelli", "Caecidotea richardsonae", "Caecidotea rotunda", "Caecidotea scrupulosa", "Caecidotea scypha", "Caecidotea simonini", "Caecidotea sinuncus", "Caecidotea mausi", "Zoromunna setifrons", "Pseudonthobium doense", "Pseudonthobium foveolatum", "Pseudonthobium genieri", "Pseudonthobium humboldtense", "Pseudonthobium monteithianum", "Pseudonthobium paniense", "Pseudonthobium sinuatotibiale", "Pseudonthobium fracticolle", "Pseudonthobium fracticolloides", "Nigropuncta groenlandica", "Nigropuncta rugulosa", "Phaeoseptoria peltigerae", "Brissus gigas", "Onthophagus binodis", "Onthophagus vacca", "Paramunnopsis oceanica", "Pseudarachna hirsuta", "Pseudomunnopsis beddardi", "Storthyngura intermedia", "Storthyngura magnispinis", "Storthyngura octospinosalis", "Storthyngura parka", "Storthyngura truncata", "Storthyngurella andeepae", "Storthyngurella hirsuta", "Storthyngurella menziesi", "Storthyngurella wolffi", "Sursumura angulata", "Sursumura longicauda", "Syneurycope affinis", "Syneurycope parallela", "Tytthocope beddardi", "Tytthocope cariacensis", "Tytthocope laktionovi", "Tytthocope megalura", "Tytthocope neupokoevi", "Tytthocope sulcifrons", "Vanhoeffenura bicornis", "Vanhoeffenura caribbea", "Vanhoeffenura chelata", "Vanhoeffenura fragilis", "Vanhoeffenura kermadecensis", "Vanhoeffenura novaezelandiae", "Vanhoeffenura torbeni", "Vanhoeffenura unicornalis", "Iridomyrmex alpinus", "Iridomyrmex atypicus", "Iridomyrmex brennani", "Iridomyrmex coeruleus", "Monodictys anaptychiae", "Iridomyrmex cuneiceps", "Monodictys cellulosa", "Monodictys epilepraria", "Iridomyrmex cupreus", "Iridomyrmex curvifrons", "Iridomyrmex difficilis", "Iridomyrmex elongatus", "Iridomyrmex fulgens", "Iridomyrmex gibbus", "Iridomyrmex gumnos", "Iridomyrmex hertogi", "Iridomyrmex infuscus", "Iridomyrmex longisoma", "Digitonthophagus gazella", "Phlossa conjucta", "Monocostus uniflorus", "Limacocera pachycera", "Cania robusta", "Cania siamensis", "Cania accea", "Cania victori", "Cania heppneri", "Cania javana", "Cania striola", "Cania himalayana", "Cania cocki", "Cania minuta", "Cania sericea", "Cania obliquifascia", "Phaeosporobolus alpinus", "Phaeosporobolus fellhanerae", "Cania bandura", "Phaeosporobolus minutus", "Cania acutivalva", "Cania guichardi", "Cania styx", "Phaeosporobolus usneae", "Cania pseudorobusta", "Cania pseudobilinea", "Cania xizangensis", "Cania polyhelixa", "Munna boeckii", "Munna coeca", "Munna concavifrons", "Munna crozetensis", "Munna fabricii", "Munna groenlandica", "Munna hanseni", "Munna instructa", "Munna japonica", "Munna kerguelensis", "Munna kroyeri", "Munna kurilensis", "Munna limicola", "Munna lukini", "Munna macquariensis", "Munna maculata", "Munna makarovi", "Munna minuta", "Munna nasuta", "Munna neglecta", "Munna neozelanica", "Munna pallida", "Munna palmata", "Munna pellucida", "Munna roemeri", "Munna spinifera", "Munna spitzbergensis", "Munna stephenseni", "Munna studeri", "Munna subneglecta", "Munna temae", "Munna truncata", "Munna unicincta", "Munna vittata", "Munna wolffi", "Munneurycope antarctica", "Munneurycope murrayi", "Munneurycope nodifrons", "Munnicope calyptra", "Munnopsis abyssalis", "Munnopsis beddardi", "Munnopsis bispinosus", "Munnopsis eximius", "Munnopsis gracilis", "Munnopsis latifrons", "Munnopsis longiremus", "Munnopsoides australis", "Munnopsoides callidus", "Munnopsoides chilensis", "Munnopsurus arcticus", "Munnopsurus atlanticus", "Munnopsurus giganteus", "Munnopsurus laevis", "Munnopsurus longipes", "Munnopsurus mimus", "Munnopsurus minutus", "Munnopsurus ochotensis", "Paramunnopsis justi", "Desmosoma strombergi", "Desmosoma thoracicum", "Desmosoma tyrrhenicum", "Disconectes cavusa", "Disconectes coxalis", "Disconectes furcatus", "Disconectes latirostris", "Disconectes picardi", "Echinozone bispinosa", "Echinozone coronata", "Echinozone perarmata", "Epikopais mystax", "Epikopais waringa", "Eurycope affinis", "Eurycope alia", "Eurycope baea", "Eurycope brevirostris", "Eurycope canariensis", "Eurycope caribbea", "Eurycope centobi", "Eurycope complanata", "Eurycope cornuta", "Eurycope cryoabyssalis", "Eurycope dahli", "Eurycope diadela", "Eurycope eltaniae", "Eurycope errabunda", "Eurycope friesae", "Eurycope glabra", "Eurycope grasslei", "Eurycope hessleri", "Eurycope inermis", "Eurycope iphthima", "Eurycope juvenalis", "Eurycope kurchatovi", "Eurycope laticuneata", "Eurycope latifrons", "Eurycope lavis", "Eurycope longiflagrata", "Eurycope manifesta", "Eurycope producta", "Eurycope propilosa", "Eurycope quadrata", "Eurycope ratmanovi", "Eurycope sandersi", "Eurycope spinifrons", "Ilyarachna affinis", "Ilyarachna armata", "Ilyarachna calva", "Ilyarachna crassiceps", "Ilyarachna defecta", "Ilyarachna derjugini", "Ilyarachna frami", "Ilyarachna hirticeps", "Ilyarachna kurilensis", "Ilyarachna longicornis", "Ilyarachna mediorientalis", "Ilyarachna nodifronoides", "Ilyarachna pervica", "Ilyarachna plana", "Ilyarachna polita", "Ilyarachna propinqua", "Ilyarachna scotia", "Ilyarachna torleivi", "Ilyarachna triangulata", "Ilyarachna una", "Ilyarachna vemae", "Ilyarachna wolffi", "Ilyarachna zachsi", "Joeropsis antillensis", "Joeropsis beuroisi", "Joeropsis bidens", "Joeropsis bourboni", "Joeropsis caboverdensis", "Joeropsis ceylonensis", "Joeropsis coralicola", "Joeropsis faurei", "Joeropsis gertrudae", "Joeropsis hawaiiensis", "Joeropsis indicus", "Joeropsis juvenilis", "Joeropsis karachiensis", "Joeropsis latiantennata", "Joeropsis legrandi", "Joeropsis letourneuri", "Joeropsis marionis", "Joeropsis meteor", "Joeropsis minutus", "Joeropsis neozealandica", "Joeropsis palliseri", "Joeropsis paradubia", "Joeropsis patagoniensis", "Joeropsis polynesiensis", "Joeropsis salvati", "Joeropsis sandybrucei", "Joeropsis stebbingi", "Joeropsis tayrona", "Joeropsis unidentata", "Joeropsis vibicaria", "Joeropsis waltervadi", "Joeropsis wolffi", "Macrostylis amplinexa", "Macrostylis angulata", "Macrostylis birsteini", "Macrostylis capito", "Macrostylis carinifera", "Macrostylis elongata", "Macrostylis emarginata", "Macrostylis expolita", "Macrostylis foveata", "Macrostylis gestuosa", "Macrostylis lacunosa", "Macrostylis latifrons", "Macrostylis latiuscula", "Macrostylis longifera", "Macrostylis longipes", "Macrostylis longiremis", "Macrostylis longissima", "Macrostylis longiuscula", "Macrostylis longula", "Macrostylis mariana", "Macrostylis porrecta", "Macrostylis rectangulata", "Macrostylis spiniceps", "Macrostylis squalida", "Phyllosticta galligena", "Megaladapis madagascariensis", "Megaladapis grandidieri", "Megaladapis edwardsi", "Pollenia mesopotamica", "Arhopala pseudomuta", "Hadropithecus stenognathus", "Archaeolemur majori", "Archaeolemur edwardsi", "Archaeoindris fontoynonti", "Babakotia radofilai", "Mesopropithecus pithecoides", "Mesopropithecus globiceps", "Mesopropithecus dolichobrachion", "Palaeopropithecus kelyus", "Palaeopropithecus ingens", "Palaeopropithecus maximus", "Arhopala elopura", "Lepilemur ahmansonorum", "Lepilemur betsileo", "Lepilemur fleuretae", "Lepilemur grewcockorum", "Lepilemur jamesorum", "Irepacma cordata", "Lepilemur milanoii", "Lepilemur petteri", "Lepilemur seali", "Lepilemur tymerlachsoni", "Irepacma magnisaccata", "Lepilemur wrightae", "Lepilemur scottorum", "Lepilemur sahamalazensis", "Lepilemur randrianasoloi", "Lepilemur otto", "Lepilemur mittermeieri", "Lepilemur hollandorum", "Arhopala havilandi", "Arhopala myrtha", "Phoma aggregata", "Phoma caloplacae", "Phoma cladoniicola", "Phoma cytospora", "Phoma denigricans", "Phoma dubia", "Phoma epiphyscia", "Phoma everniae", "Phoma ficuzzae", "Phoma foliaceiphila", "Phoma fuliginosa", "Phoma grumantiana", "Phoma lecanorina", "Catillaria lobariicola", "Phoma maculiformans", "Phoma melanohaleicola", "Phoma peltigerae", "Acestrorhynchus falcatus", "Phoma physciicola", "Phoma rozziana", "Acestrorhynchus grandoculis", "Microcerberus appolliniacus", "Microcerberus thracicus", "Bulgarocerberus phreaticus", "Microcerberus monodi", "Microcerberus remyi", "Enckella lucei", "Protojanira leleupi", "Protojanira prenticei", "Acanthastenasellus forficuloides", "Balkanostenasellus rumelicus", "Etlastenasellus confinis", "Etlastenasellus mixtecus", "Johannella purpurea", "Magniezia africana", "Magniezia guinensis", "Magniezia studiosorum", "Calasellus californicus", "Chthonasellus bodoni", "Gallasellus heilyi", "Lirceolus bisetus", "Lirceolus hardeni", "Lirceolus pilus", "Lirceolus smithii", "Remasellus parvus", "Stygasellus phreaticus", "Uenasellus iyoensis", "Baicalasellus angarensis", "Baicalasellus baicalensis", "Baicalasellus korotnevi", "Baicalasellus minutus", "Bragasellus afonsoae", "Bragasellus aireyi", "Bragasellus bragai", "Bragasellus comasioides", "Bragasellus conimbricensis", "Bragasellus cortesi", "Bragasellus frontellum", "Bragasellus incurvatus", "Bragasellus lagarioides", "Bragasellus meijersae", "Bragasellus molinai", "Bragasellus notenboomi", "Bragasellus pauloae", "Bragasellus rouchi", "Solanum spirale", "Solanum viarum", "Solanum abutiloides", "Solanum acaule", "Solanum accrescens", "Solanum acerifolium", "Solanum achacachense", "Solanum acroglossum", "Solanum acroscopicum", "Solanum adhaerens", "Pseudorobillarda peltigerae", "Crioceris ignorata", "Lema bosqi", "Lema riparia", "Lema commelinarum", "Lema germari", "Lema obscura", "Lema xanthopus", "Synasellus intermedius", "Synasellus lafonensis", "Synasellus leysi", "Neolema adunata", "Neolema cordata", "Neolema ovalis", "Neolema quadriguttata", "Neolema sexpunctata", "Neolema jacobina", "Neolema gundlachiana", "Neolema ephippium", "Neolema histrionica", "Neolema abbreviata", "Neolema dorsalis", "Neolema elegantissima", "Neolema liliacea", "Synasellus longicauda", "Synasellus longicornis", "Synasellus mariae", "Atrobucca trewavasae", "Taeromys arcuatus", "Taeromys microbullatus", "Taeromys hamatus", "Taeromys punicans", "Taeromys taerae", "Taeromys celebensis", "Taeromys callitrichus", "Johnius trewavasae", "Sundamys infraluteus", "Sundamys maxi", "Sundamys muelleri", "Srilankamys ohiensis", "Stochomys longicaudatus", "Neolema oglobini", "Thallomys loringi", "Thallomys nigricauda", "Thallomys paedulcus", "Thallomys shortridgei", "Solanum burtonii", "Thamnomys kempi", "Thamnomys major", "Thamnomys venustus", "Solanum campechiense", "Solanum capsicoides", "Rhabdomys dilectus", "Solanum cardiophyllum", "Rhabdomys pumilio", "Zelotomys hildegardeae", "Zelotomys woosnami", "Stenocephalemys albipes", "Stenocephalemys albocaudata", "Stenocephalemys griseicauda", "Stenocephalemys ruppii", "Spelaeomys florensis", "Solanum chilliasense", "Vandeleuria nilagirica", "Vandeleuria nolthenii", "Vandeleuria oleracea", "Xeromys myoides", "Zyzomys argurus", "Zyzomys woodwardi", "Zyzomys maini", "Xenuromys barbatus", "Solomys ponceleti", "Solomys salamonis", "Solomys sapientis", "Solomys salebrosus", "Solomys spriggsarum", "Rhynchomys isarogensis", "Rhynchomys soricoides", "Solanum chippendalei", "Onitis alexis", "Uromys anak", "Uromys porculus", "Uromys siebersi", "Uromys imperator", "Uromys hadrourus", "Uromys caudimaculatus", "Uromys neobritannicus", "Uromys emmae", "Uromys boeadii", "Solanum ellipticum", "Solanum erianthum", "Solanum exiguum", "Solanum glaucophyllum", "Solanum granulosoleprosum", "Uromys nero", "Uromys scaphax", "Euoniticellus parvus", "Solanum incanum", "Solanum jamesii", "Solanum lanceolatum", "Pseudocercospora lichenum", "Solanum lasiocarpum", "Solanum luteoalbum", "Solanum linnaeanum", "Solanum mammosum", "Solanum minutifoliolum", "Solanum nelsonii", "Solanum paniculatum", "Solanum paucijugum", "Solanum pimpinellifolium", "Solanum prinophyllum", "Solanum pseudolulo", "Solanum pseudocapsicum", "Solanum pseudoquina", "Solanum quadriloculatum", "Solanum regularifolium", "Solanum retroflexum", "Solanum roseum", "Solanum sarrachoides", "Solanum sessiliflorum", "Solanum sisymbriifolium", "Solanum dimidiatum", "Solanum douglasii", "Solanum triflorum", "Bragasellus seabrai", "Bragasellus stocki", "Coxicerberus abbotti", "Coxicerberus andamanensis", "Coxicerberus anfindicus", "Coxicerberus arenicola", "Coxicerberus boninensis", "Coxicerberus brasiliensis", "Coxicerberus delamarei", "Coxicerberus enckelli", "Coxicerberus fukudai", "Coxicerberus insularis", "Coxicerberus interstitialis", "Coxicerberus kiiensis", "Coxicerberus littoralis", "Coxicerberus machadoi", "Coxicerberus magnus", "Coxicerberus mexicanus", "Coxicerberus minutus", "Coxicerberus mirabilis", "Coxicerberus nunezi", "Coxicerberus parvulus", "Coxicerberus pauliani", "Coxicerberus predatoris", "Coxicerberus ramosae", "Coxicerberus redangensis", "Coxicerberus remanei", "Coxicerberus renaudi", "Coxicerberus rossii", "Coxicerberus ruffoi", "Coxicerberus simplex", "Coxicerberus singhalensis", "Hansenium antillense", "Hansenium chiltoni", "Hansenium dodo", "Hansenium entale", "Hansenium gilbertense", "Hansenium hanseni", "Hansenium medipacificum", "Hansenium occidentale", "Hansenium thomasi", "Hansenium tropex", "Hansenium wilsoni", "Liocoryphe algreti", "Liocoryphe gertrudae", "Liocoryphe siamense", "Lirceus alabamae", "Lirceus bicuspidatus", "Lirceus bidentatus", "Lirceus brachyurus", "Lirceus culveri", "Lirceus fontinalis", "Lirceus garmani", "Lirceus hargeri", "Lirceus hoppinae", "Lirceus lineatus", "Lirceus louisianae", "Lirceus richardsonae", "Lirceus trilobus", "Metastenasellus congolensis", "Metastenasellus dartevellei", "Metastenasellus leleupi", "Metastenasellus leysi", "Metastenasellus tarrissei", "Solanum aculeastrum", "Solanum aculeatissimum", "Solanum atropurpureum", "Solanum adscendens", "Solanum aethiopicum", "Solanum albidum", "Solanum albornozii", "Solanum americanum", "Solanum aviculare", "Solanum bahamense", "Solanum bulbocastanum", "Solanum bullatum", "Acusa acus", "Tentasetae cambodiana", "Pseudobscura karwaria", "Parens occi", "Parens paraocci", "Parens melli", "Parens chekiangi", "Alienia flavofasciata", "Tentaspina venus", "Tentaspina duospina", "Tentaspina feriae", "Tentaspina balii", "Tentaspina sinister", "Tentaspina orienta", "Tentaspina paraorienta", "Pethia conchonius", "Arichanna vernalis", "Lassaba hsuhonglini", "Lassaba tayulingensis", "Pyrenochaeta collematis", "Pyrenochaeta xanthoriae", "Horaga amethystus", "Bunomys prolatus", "Horaga amethystus amethystus", "Bunomys penitus", "Bunomys fratrorum", "Bunomys chrysocomus", "Bunomys andrewsi", "Berylmys berdmorei", "Horaga amethystus sibutuensis", "Berylmys bowersi", "Berylmys mackenziei", "Acestrorhynchus minimus", "Berylmys manipulus", "Batomys granti", "Batomys salomonseni", "Apomys hylocetes", "Apomys insignis", "Apomys musculus", "Apomys sacobianus", "Apomys littoralis", "Carpomys melanurus", "Carpomys phaeurus", "Rachana jalindra maganda", "Pyrenochaetopsis microspora", "Rachana jalindra gamtara", "Rachana jalindra shiraishii", "Chiromyscus chiropus", "Acestrorhynchus nasutus", "Chiruromys forbesi", "Chiruromys lamia", "Chiruromys vates", "Chrotomys whiteheadi", "Chrotomys mindorensis", "Ramichloridium cladoniicola", "Calommata megae", "Calommata meridionalis", "Calommata namibica", "Calommata tibialis", "Calommata transvaalica", "Apodemus witherbyi", "Apodemus peninsulae", "Apodemus semotus", "Apodemus latronum", "Apodemus gurkha", "Apodemus rusiges", "Apodemus ponticus", "Apodemus pallipes", "Apodemus epimelas", "Apodemus draco", "Apodemus chevrieri", "Apodemus hyrcanicus", "Apodemus avicennicus", "Aethomys bocagei", "Aethomys hindei", "Aethomys stannarius", "Aethomys nyikae", "Aethomys kaiseri", "Aethomys thomasi", "Aethomys silindensis", "Pycnopsammina lobariae", "Cassis cornuta", "Anisomys imitator", "Anonymomys mindorensis", "Lasioglossum calceatum", "Lebadea martha tessellata", "Lebadea martha undulata", "Dophla evelina chloe", "Dophla evelina circe", "Arvicanthis abyssinicus", "Arvicanthis neumanni", "Arvicanthis rufinus", "Arvicanthis niloticus", "Arvicanthis ansorgei", "Arvicanthis blicki", "Arvicanthis nairobae", "Dophla evelina albusequus", "Archboldomys luzonensis", "Bullimus gamay", "Bullimus bagobus", "Bullimus luzonicus", "Euthalia aconthea bongaoensis", "Euthalia aconthea sibutana", "Euthalia mahadeva ingae", "Euthalia mahadeva waltraudae", "Acestrorhynchus microlepis", "Synasellus mateusi", "Synasellus meijersae", "Synasellus meirelesi", "Synasellus minutus", "Synasellus nobrei", "Synasellus notenboomi", "Synasellus pireslimai", "Synasellus pombalensis", "Synasellus robusticornis", "Synasellus serranus", "Synasellus tirsensis", "Synasellus transmontanus", "Synasellus valpacensis", "Synasellus vidaguensis", "Synasellus vilacondensis", "Tenupedunculus drakensis", "Tenupedunculus elongatus", "Tenupedunculus haswelli", "Tenupedunculus inflectofrons", "Tenupedunculus pulchrum", "Tenupedunculus virginale", "Tristenium acutirostrum", "Tristenium bourboni", "Tristenium euchirum", "Tristenium fractum", "Tristenium longicorne", "Tristenium proximum", "Tristenium temae", "Eustomias trewavasae", "Pseudoseptoria usneae", "Solanum agrarium", "Solanum agrimoniifolium", "Solanum alandiae", "Solanum albicans", "Solanum alternatopinnatum", "Solanum amayanum", "Solanum ambosinum", "Solanum ambrosiacum", "Solanum anamatophilum", "Solanum ancophilum", "Melanomma subdispersum", "Apodemus argenteus", "Apodemus speciosus", "Mexistenasellus coahuila", "Mexistenasellus colei", "Mexistenasellus magniezi", "Mexistenasellus nulemex", "Namibianira aigamensis", "Namibianira aikabensis", "Namibianira arnhemensis", "Namibianira dracohalitus", "Nipponasellus aioii", "Nipponasellus hubrichti", "Nipponasellus kagaensis", "Nipponasellus takefuensis", "Nipponasellus tonensis", "Phreatoasellus akyioshiensis", "Phreatoasellus higoensis", "Phreatoasellus iriei", "Phreatoasellus joianus", "Phreatoasellus kawamurai", "Phreatoasellus minatoi", "Phreatoasellus uenoi", "Phreatoasellus yoshinoensis", "Protelsonia bureschi", "Protelsonia gjorgjevici", "Protelsonia hungarica", "Protelsonia lakatnikensis", "Stenasellus agiuranicus", "Stenasellus asiaticus", "Stenasellus assorgiai", "Stenasellus bedosae", "Stenasellus boutini", "Stenasellus breuili", "Stenasellus brignolii", "Stenasellus buili", "Stenasellus cambodianus", "Stenasellus costai", "Stenasellus covillae", "Stenasellus deharvengi", "Stenasellus galhanoae", "Stenasellus grafi", "Stenasellus henryi", "Stenasellus magniezi", "Stenasellus messanai", "Stenasellus migiurtinicus", "Stenasellus mongnatei", "Stenasellus monodi", "Stenasellus nuragicus", "Stenasellus pardii", "Stenasellus racovitzai", "Stenasellus rigali", "Stenasellus ruffoi", "Stenasellus simonsi", "Stenasellus stocki", "Stenasellus strinatii", "Stenasellus vermeuleni", "Stenasellus virei", "Stenetrium bartholomei", "Stenetrium crassimanus", "Stenetrium dagama", "Stenetrium dalmeida", "Stenetrium diazi", "Stenetrium esquartum", "Stenetrium glauerti", "Stenetrium macrochirium", "Stenetrium magnimanum", "Pipinnipons chauncyvallis", "Acestrorhynchus pantaneiro", "Pipinnipons kampmeierae", "Pipinnipons sphecoda", "Pipinnipons kroeberi", "Pipinnipons fascipennis", "Acupalpa boharti", "Acupalpa dolichorhyncha", "Acupalpa glossa", "Acupalpa melanophaeos", "Acupalpa miaboolya", "Acupalpa minuta", "Acupalpa minutoides", "Acupalpa notomelas", "Acupalpa novayamarna", "Acupalpa westralica", "Acupalpa yalgoo", "Acupalpa yanchep", "Acupalpa semirufa", "Acupalpa rostrata", "Acupalpa irwini", "Acupalpa imitans", "Acupalpa albimanis", "Acupalpa albitarsa", "Acupalpa divisa", "Garra ethelwynnae", "Garra trewavasai", "Gobiocichla ethelwynnae", "Linophryne trewavasae", "Lema vivax", "Lema fastidiosa", "Lema binomis", "Lema amnesia", "Lema homonima", "Lema basicostata", "Lema dolichosoma", "Lema monoleptoides", "Lema mimica", "Lema felix", "Lema devota", "Lema diabroticoides", "Rattus niobe", "Rattus praetor", "Rattus feliceus", "Rattus elaphinus", "Rattus giluwensis", "Rattus jobiensis", "Rattus leucopus", "Rattus omichlodes", "Rattus richardsoni", "Rattus steini", "Rattus pococki", "Rattus novaeguineae", "Rattus vandeuseni", "Rattus unicolor", "Rattus foersteri", "Rattus nikenii", "Psammina inflata", "Psammina simplex", "Psammina stipitata", "Tryphomys adustus", "Tonkinomys daovantieni", "Tateomys macrocercus", "Tateomys rhinogradoides", "Tarsomys apoensis", "Tarsomys echinatus", "Epyris yasha", "Epyris hagoromonis", "Epyris konishii", "Epyris otome", "Epyris yakushimanus", "Epyris yamatonis", "Epyris superbus", "Epyris asura", "Epyris emiae", "Epyris miroku", "Epyris kokuzoh", "Epyris blandus", "Epyris darani", "Epyris idaten", "Epyris minoensis", "Epyris nubatama", "Epyris shohki", "Epyris yakushi", "Epyris kichijo", "Epyris tsunekii", "Epyris tanoi", "Geotrupes spiniger", "Acestrorhynchus isalineae", "Acestrorhynchus lacustris", "Bubas bison", "Bubas bubaloides", "Bubas bubalus", "Acestrorhynchus maculipinna", "Refractohilum achromaticum", "Irenimus posticalis", "Irenimus stolidus", "Irenimus aemulator", "Leptopius robustus", "Leptopius squalidus", "Sonchus tenerrimus", "Scutellaria hastifolia", "Idiomacer basicornis", "Zimmiellus fronto", "Penaeus merguiensis", "Penaeus monodon", "Penaeus indicus", "Sisymbrium loeselii", "Seseli resinosum", "Chesneya rytidosperma", "Refractohilum galligenum", "Trigonella fischeriana", "Dianthus libanotis", "Ixiolirion tataricum", "Chiropodomys calamianensis", "Chiropodomys gliroides", "Chiropodomys karlkoopmani", "Chiropodomys major", "Chiropodomys pusillus", "Chiropodomys muroides", "Coryphomys buehleri", "Cremnomys cutchicus", "Colomys goslingi", "Conilurus albipes", "Conilurus penicillatus", "Crossomys moncktoni", "Crateromys heaneyi", "Crateromys schadenbergi", "Crunomys celebensis", "Crunomys melanius", "Crunomys suncoides", "Dacnomys millardi", "Coccymys ruemmleri", "Refractohilum intermedium", "Refractohilum pluriseptatum", "Refractohilum mycophilum", "Dysdera lata", "Triplophleps inferma", "Chalcoscelides castaneipars", "Chalcocelis albor", "Chalcocelis dydima", "Chalcocelis albiguttatus", "Sansarea circulifera", "Sansarea zeta", "Sansarea grata", "Spatulifimbria castaneiceps", "Spatulifimbria castaneiceps castaneiceps", "Spatulifimbria castaneiceps opprimata", "Spatulifimbria castaneiceps insolita", "Mambarilla grisea", "Miresa burmensis", "Miresa fulgida", "Miresa demangei", "Miresa exigua", "Miresa kwangtungensis", "Miresa urga", "Solanum nigrum subsp. nigrum", "Miresa sagitovae", "Miresa rorida", "Rhabdospora haematommatum", "Miresa bracteata", "Miresa fangae", "Miresa polargenta", "Thymus pubescens", "Miresa argentifera", "Miresa decedens", "Miresa nivaha", "Miresa methathermistis", "Miresa pyronota", "Miresa sibinoides", "Coccymys kirrhos", "Coccymys shawmayeri", "Brassomys albidens", "Chrotomys sibuyanensis", "Diomys crumpi", "Eropeplus canus", "Echiothrix centrosa", "Echiothrix leucura", "Epipristis transiens", "Diplothrix legata", "Desmomys harringtoni", "Desmomys yaldeni", "Epipristis nelearia", "Dephomys defua", "Dephomys eburnea", "Golunda ellioti", "Epipristis minimaria", "Caissa aurea", "Lysimachia atropurpurea", "Caissa bezverkhovi", "Caissa caissa", "Caissa medialis", "Caissa fasciatum", "Grammomys aridulus", "Grammomys cometes", "Grammomys kuru", "Grammomys macmillani", "Pseudocaissa marvelosa", "Grammomys dryas", "Grammomys gigas", "Grammomys ibeanus", "Grammomys dolichurus", "Grammomys buntingi", "Grammomys poensis", "Pseudocaissa apiata", "Grammomys caniceps", "Grammomys minnae", "Grammomys brevirostris", "Grammomys selousi", "Hampsonella dentata", "Hampsonella arizana", "Hampsonella takemurai", "Lamottemys okuensis", "Hampsonella membra", "Leggadina forresti", "Leggadina lakedownensis", "Hampsonella albidula", "Arabessa plumata", "Lenothrix canus", "Solanum felinum", "Solanum fernandezianum", "Solanum ferocissimum", "Solanum flahaultii", "Solanum flavoviridens", "Solanum forskalii", "Solanum fraxinifolium", "Solanum furfuraceum", "Arhopala amphimuta", "Solanum galapagense", "Solanum gandarillasii", "Solanum garcia-barrigae", "Solanum giganteum", "Solanum glaucescens", "Solanum glutinosum", "Solanum goetzei", "Solanum gracilifrons", "Solanum grandiflorum", "Solanum guamense", "Solanum guaraniticum", "Solanum guerreroense", "Solanum guineense", "Solanum guzmanguense", "Solanum habrochaites", "Solanum haematocladum", "Paramelomys lorentzii", "Paramelomys steini", "Margaretamys beccarii", "Margaretamys elegans", "Margaretamys parvus", "Mammelomys lanosus", "Mammelomys rattoides", "Macruromys major", "Leporillus apicalis", "Leporillus conditor", "Refractohilum peltigerae", "Selenipedium aequinoctiale", "Selenipedium chica", "Selenipedium steyermarkii", "Stethopachys formosa", "Stethopachys javeti", "Basiliogeus inops", "Basiliogeus dacrycarpi", "Atopomacer grandifurca", "Atopomacer obrieni", "Atopomacer panamensis", "Atopomacer podocarpi", "Atopomacer pini", "Renicimberis latipecteris", "Solanum ancoripae", "Solanum andreanum", "Solanum anguivi", "Solanum angustifolium", "Solanum anomalum", "Solanum apaense", "Solanum appendiculatum", "Solanum arboreum", "Solanum arcanum", "Solanum argenteum", "Solanum ariduphilum", "Solanum arnezii", "Solanum arundo", "Solanum hastifolium", "Solanum hastiforme", "Solanum heinianum", "Solanum heteropodium", "Solanum heterodoxum", "Solanum hibernum", "Solanum hindsianum", "Solanum hintonii", "Solanum hirtum", "Solanum hispidum", "Solanum hjertingii", "Solanum hoehnei", "Solanum hoopesii", "Mallomys aroaensis", "Solanum hougasii", "Solanum huancabambense", "Solanum huancavelicae", "Mallomys rothschildi", "Solanum huarochiriense", "Solanum huaylasense", "Solanum humectophilum", "Mallomys istapantap", "Solanum hypacrarthrum", "Limnomys bryophilus", "Solanum hyporhodium", "Limnomys sibuanus", "Mesembriomys gouldii", "Mesembriomys macrurus", "Microhydromys richardsoni", "Pseudohydromys musseri", "Solanum immite", "Solanum incahuasinum", "Solanum incamayoense", "Solanum incarceratum", "Solanum incasicum", "Solanum incompletum", "Solanum infundibuliforme", "Solanum ingifolium", "Rosa persica", "Solanum asymmetriphyllum", "Solanum aturense", "Solanum augustii", "Solanum avilesii", "Solanum ayacuchense", "Solanum aymaraesense", "Hapalomys delacouri", "Hapalomys longicaudatus", "Haeromys margarettae", "Haeromys minahassae", "Haeromys pusillus", "Hadromys yunnanensis", "Coryphomys musseri", "Rhynchomys banahao", "Rhynchomys tapulao", "Pogonomelomys brassi", "Hyomys dammermani", "Hyomys goliath", "Hybomys trivirgatus", "Hybomys planifrons", "Hybomys univittatus", "Hybomys lunaris", "Hybomys basilii", "Hybomys badius", "Drusilasaura deseadensis", "Musseromys gulantang", "Saxatilomys paulinae", "Microhydromys argenteus", "Praomys coetzeei", "Notomys robustus", "Caninemys tridentata", "Arhopala alica", "Komodomys rintjanus", "Kadarsanomys sodyi", "Heimyscus fumosus", "Palawanomys furvus", "Malpaisomys insularis", "Lorentzimys nouhuysi", "Mastacomys fuscus", "Parahydromys asper", "Protochromys fellowsi", "Madromys blanfordi", "Oulema taophiloides", "Millardia gleadowi", "Millardia kathleenae", "Millardia kondana", "Millardia meltada", "Malacomys cansdalei", "Malacomys edwardsi", "Malacomys longipes", "Melasmothrix naso", "Muriculus imberbis", "Paulamys naso", "Papagomys theodorverhoeveni", "Papagomys armandvillei", "Nesokia bunnii", "Arhopala sintanga", "Nesokia indica", "Micaelamys granti", "Micaelamys namaquensis", "Mylomys dybowskii", "Mylomys rex", "Oenomys hypoxanthus", "Oenomys ornatus", "Pithecheirops otion", "Pithecheir melanurus", "Pithecheir parvus", "Pelomys campanae", "Pelomys fallax", "Arhopala straatmani", "Pelomys isseli", "Pelomys hopkinsi", "Pelomys minor", "Paraleptomys rufilatus", "Paraleptomys wilhelmina", "Phloeomys cumingi", "Phloeomys pallidus", "Pogonomys championi", "Pogonomys fergussoniensis", "Pogonomys loriae", "Pogonomys sylvestris", "Pogonomys macrourus", "Pogonomelomys mayeri", "Paramelomys gressitti", "Paramelomys levipes", "Paramelomys mollis", "Paramelomys moncktoni", "Paramelomys naso", "Paramelomys platyops", "Basiliogeus striatopunctatus", "Solanum caesium", "Solanum cajamarquense", "Solanum calacalinum", "Solanum calidum", "Solanum calvescens", "Solanum campanulatum", "Solanum campylacanthum", "Solanum candidum", "Solanum candolleanum", "Solanum carduiforme", "Solanum cantense", "Solanum capense", "Solanum caripense", "Solanum cataphractum", "Solanum catombelense", "Solanum cerasiferum", "Solanum cernuum", "Solanum chacoense", "Solanum chancayense", "Solanum cheesmaniae", "Solanum chenopodinum", "Solanum chenopodioides", "Solanum chilense", "Solanum chillonanum", "Solanum chiquidenum", "Solanum chmielewskii", "Solanum chomatophilum", "Solanum chrysotrichum", "Solanum cinereum", "Solanum circinatum", "Solanum citrullifolium", "Solanum clarkiae", "Solanum clarum", "Solanum cleistogamum", "Solanum coagulans", "Solanum cobanense", "Flax basis", "Flax amita", "Flax clavus", "Flax poseidon", "Desertobia nocturna", "Megalospora tuberculosa", "Desertobia kozlovae", "Desertobia heloxylonia", "Solanum cochabambense", "Solanum coelestipetalum", "Solanum colombianum", "Solanum commersonii", "Solanum comptum", "Solanum conditum", "Solanum confertiseriatum", "Solanum contumazaense", "Solanum cordovense", "Solanum corneliomulleri", "Solanum corymbosum", "Solanum crinitipes", "Solanum crinitum", "Solanum crotonoides", "Solanum cunninghamii", "Solanum cyaneopurpureum", "Hydromys hussoni", "Hydromys neobrittanicus", "Baiyankamys habbema", "Baiyankamys shawmayeri", "Leptomys ernstmayri", "Leptomys arfakensis", "Leptomys paulus", "Solanum dasyphyllum", "Solanum demissum", "Solanum dinteri", "Solanum dioicum", "Solanum diphyllum", "Solanum diploconos", "Solanum diversiflorum", "Solanum dolichocremastrum", "Solanum donachui", "Solanum donianum", "Solanum dulcamaroides", "Caspiosoma caspium", "Mesogobius nigronotatus", "Mesogobius nonultimus", "Ponticola turani", "Ponticola rizensis", "Ponticola rhodioni", "Ponticola gorlap", "Ponticola constructor", "Ponticola bathybius", "Ponticola cyrius", "Solanum eburneum", "Solanum echinatum", "Solanum ehrenbergii", "Solanum etuberosum", "Sclerococcum acarosporae", "Sclerococcum cladoniae", "Sclerococcum areolatum", "Sclerococcum epiphytorum", "Sclerococcum gelidarium", "Sclerococcum griseisporodochium", "Sclerococcum hawksworthii", "Solanum basendopogon", "Solanum beaugleholei", "Solanum berthaultii", "Solanum betaceum", "Solanum bill-hookeri", "Solanum bolivianum", "Solanum boliviense", "Solanum bombycinum", "Solanum brachyantherum", "Solanum brevicaule", "Solanum brevifolium", "Solanum buesii", "Solanum bukasovii", "Solanum burchellii", "Solanum burkartii", "Sclerococcum leuckertii", "Sclerococcum montagnei", "Sclerococcum normandinae", "Sclerococcum parmeliae", "Sclerococcum serusiauxii", "Sclerococcum simplex", "Sclerococcum sphaerale", "Sclerococcum tephromelarum", "Sclerococcum verrucisporum", "Basiliogeus prasinus", "Sphaeromma porinae", "Medius khasisiodes", "Medius brassi", "Medius nepali", "Medius unguisi", "Medius kalimantani", "Sternitta parasuffuscalis", "Proteurrhypara cuspidata", "Solanum jaenense", "Solanum jalcae", "Solanum jamaicense", "Solanum juglandifolium", "Solanum kitagawae", "Solanum kurtzianum", "Solanum kurzii", "Solanum kwebense", "Solanum lamprocarpum", "Solanum lanceifolium", "Solanum laxissimum", "Solanum leopoldense", "Solanum leptophyes", "Solanum lesteri", "Arhopala delta", "Solanum macrocarpon", "Solanum maglia", "Solanum mahoriensis", "Solanum mapiriense", "Solanum marinasense", "Solanum maritimum", "Solanum maternum", "Solanum medians", "Solanum megistacrolobum", "Solanum melanospermum", "Solanum memphiticum", "Solanum microdontum", "Solanum microphyllum", "Solanum mitlense", "Solanum mochiquense", "Solanum montanum", "Solanum morellifolium", "Solanum morelliforme", "Solanum moscopanum", "Solanum multifidum", "Solanum multiinterruptum", "Solanum multispinum", "Solanum myoxotrichum", "Solanum myriacanthum", "Solanum myrianthum", "Irenimus vexator", "Stygiomyces galliformis", "Solanum nemophilum", "Solanum nemorense", "Solanum nemorosum", "Solanum neocardenasii", "Solanum neorickii", "Solanum neorossii", "Solanum neovalenzuelae", "Solanum neovargasii", "Solanum neovavilovii", "Solanum nigricans", "Solanum nubicola", "Solanum nummularium", "Solanum nutans", "Subhysteropycnis maculiformans", "Solanum leucocarpon", "Solanum lichtensteinii", "Solanum lidii", "Solanum lignicaule", "Solanum limbaniense", "Spilodochium parmotrematis", "Sporhaplus rondoniensis", "Sporidesmiella lichenophila", "Solanum lobbianum", "Solanum longiconicum", "Solanum longiusculum", "Solanum lopez-camarenae", "Solanum lycocarpum", "Solanum lycopersicoides", "Sporidesmium bacidiicola", "Sporidesmium lichenicola", "Stromatopogon baldwinii", "Stromatopogon cladoniae", "Stromatopogon geminatum", "Mathesius liaoningensis", "Arhopala anamuta", "Simulium ghoomense", "Arhopala avathina", "Progomphus lambertoi", "Arhopala baluensis", "Arhopala dajagaka", "Solanum inopinum", "Solanum insulae-paschalis", "Solanum integrifolium", "Solanum interius", "Solanum iopetalum", "Solanum irosinum", "Irenimus fraudator", "Irenimus instabilis", "Irenimus postrectus", "Irenimus argentalis", "Irenimus aequalis", "Flax tempuensis", "Flax neptun", "Cicindela vonhageni", "Flax brevipennis", "Flax bibrevipennis", "Flax serami", "Flax tamborai", "Flax kuchingi", "Flax sulawesii", "Flax kalliesi", "Flax longus", "Flax semilongus", "Flax micronesia", "Flax palaui", "Flax biaki", "Flax newirlandi", "Flax lueneborgi", "Flax newbritaini", "Flax honeyi", "Flax fulturai", "Flax fletcheri", "Flax solomoni", "Flax sanchristobali", "Flax elachista", "Flax rennelli", "Flax vanuatui", "Medius calceus", "Sphaeromma furcatiseta", "Sphaeromma mazosiae", "Verrucaster lichenicola", "Salpiglossis sinuata", "Latua pubiflora", "Salpichroa origanifolia", "Sclerophylax adnatifolius", "Sclerophylax caducifructus", "Sclerophylax spinescens", "Sphenoclea zeylanica", "Mesocletodes elmari", "Pedionis tabulatus", "Pedionis nankunshanensis", "Pseudobagrus chryseus", "Apis armbrusteri", "Pseudobagrus medianalis", "Laboulbenia curtonoti", "Lucanobium guianense", "Narosoideus vulpina", "Narosoideus morion", "Narosoideus flavidorsalis", "Narosoideus fuscicostalis", "Narosoideus ochridorsalis", "Monema meyi", "Monema flavescens", "Monema coralina", "Monema nigrans", "Monema rubriceps", "Monema melli", "Prapata owadai", "Macrostylis gerdesi", "Munna similis", "Nymphodora fletcheri", "Isoyvesia striata", "Arhopala grandimuta", "Arhopala hesba", "Cales orchamoplati", "Kallihemerobius pleioneurus", "Mepleres watti", "Solanum richardii", "Solanum rigescentoides", "Solanum riparium", "Solanum rovirosanum", "Solanum rubetorum", "Solanum salasianum", "Solanum sanctae-rosae", "Solanum sandwicense", "Solanum sanitwongsei", "Solanum santolallae", "Solanum sarasarae", "Solanum sawyeri", "Solanum saxatilis", "Solanum scabrifolium", "Solanum scabrum", "Solanum schenckii", "Solanum schimperianum", "Solanum sciadostylis", "Solanum sellovianum", "Solanum sessilistellatum", "Solanum sibundoyense", "Solanum simplicissimum", "Solanum sitiens", "Irenimus albosparsus", "Irenimus duplex", "Irenimus latipennis", "Irenimus vastator", "Sternitta suffuscalis", "Sternitta hackeri", "Sternitta gregerseni", "Sternitta goateri", "Sternitta gabori", "Sternitta magna", "Micronola wadicola", "Micronola yemeni", "Micronola yemeni yemeni", "Micronola yemeni occidentalis", "Micronola zahirii", "Micronola irani", "Tolpia kalimantania", "Mimachrostia fasciata fasciata", "Toxobotys boveyi", "Lirceus megapodus", "Liocoryphe minocula", "Toxobotys aureans", "Cuyojanira ischichuca", "Consolida orientalis", "Ranunculus brutius", "Thesium bergeri", "Thesium billardieri", "Crambus neopascuellus", "Aporia potanini", "Aporia potanini potanini", "Aporia potanini huanghaoi", "Pontia edusa edusa", "Pontia edusa heilongjiangensis", "Pontia edusa qiemoensis", "Alestes dentex", "Mexipedium xerophyticum", "Verrucocladosporium dirinae", "Verrucocladosporium roccellae", "Gekko monarchus", "Gekko smithii", "Papaver sect.", "Parasa julikatis", "Parasa emeralda", "Parasa campagnei", "Parasa pseudorepanda", "Parasa ostia", "Parasa prasina", "Parasa shaanxiensis", "Parasa vadimi", "Parasa altilis", "Parasa pastoralis", "Parasa stekolnikovi", "Parasa darma", "Parasa albipuncta", "Parasa zhudiana", "Parasa bicolor", "Parasa flavabdomena", "Parasa hainana", "Parasa yana", "Parasa jade", "Parasa foliola", "Parasa umbra", "Parasa argentifascia", "Parasa atera", "Parasa argentilinea", "Parasa bana", "Parasa dilucida", "Parasa badia", "Parasa albida", "Alestes comptus", "Oculogryphus bicolor", "Oculogryphus fulvus", "Egidemia impudica", "Euglossa obrima", "Phyllocnistis hyperpersea", "Phyllocnistis subpersea", "Phyllocnistis perseafolia", "Phyllocnistis longipalpa", "Trimmatostroma hierrense", "Trimmatostroma lecanoricola", "Trimmatostroma quercicola", "Acer sect.", "Acer ser.", "Acer velutinum var. vanvolxemii", "Centropyge fisheri", "Centropyge aurantonotus", "Vagnia cirriformis", "Solanum ensifolium", "Solanum esuriale", "Solanum gabrielae", "Solanum humile", "Solanum lasiophyllum", "Solanum lyratum", "Solanum orbiculatum", "Solanum simile", "Solanum symonii", "Solanum \u00d7 ajanhuiri", "Solanum \u00d7 arahuayum", "Solanum \u00d7 blanco-galdosii", "Solanum \u00d7 brucheri", "Solanum \u00d7 chaucha", "Solanum \u00d7 curtilobum", "Solanum \u00d7 doddsii", "Solanum \u00d7 edinense", "Solanum \u00d7 hendersonii", "Solanum \u00d7 indunii", "Solanum \u00d7 juzepczukii", "Solanum \u00d7 michoacanum", "Solanum \u00d7 neoweberbaueri", "Solanum \u00d7 proteus", "Solanum \u00d7 rechei", "Solanum \u00d7 ruiz-lealia", "Ilyodromus intermedius", "Solanum \u00d7 sambucinum", "Solanum \u00d7 setulosistylum", "Solanum \u00d7 sucrense", "Solanum \u00d7 vallis-mexici", "Solanum \u00d7 viirsooi", "Centropyge loriculus", "Centropyge colini", "Centropyge joculator", "Jaltomata contorta", "Jaltomata herrerae", "Jaltomata procumbens", "Taeniolella diederichiana", "Taeniolella friesii", "Taeniolella ionaspisicola", "Taeniolella pertusariicola", "Taeniolella phaeophysciae", "Taeniolella pseudocyphellariae", "Taeniolella punctata", "Taeniolella rolfii", "Taeniolella serusiauxii", "Taeniolella strictae", "Taeniolella trapeliopseos", "Taeniolella verrucosa", "Arhopala luzonensis", "Celastrina sugitanii shirozui", "Capila hainana hainana", "Arhopala inornata", "Capila hainana arooni", "Graphium deucalion", "Graphium encelades", "Graphium cloanthus", "Graphium codrus", "Graphium doson", "Graphium evemon", "Graphium gelon", "Graphium hicetaon", "Taeniolina scripta", "Talpapellis peltigerae", "Teratosperma anacardii", "Teratosperma lichenicola", "Trichoconis lichenicola", "Trichothecium roseum", "Trimmatostroma dendrographae", "Solanum virgultorum", "Solanum viride", "Solanum wallacei", "Solanum wittmackii", "Solanum woodsonii", "Solanum wrightii", "Solanum yamobambense", "Solanum yungasense", "Lepinotus fuscus", "Lepinotus vermicularis", "Lepinotus indicus", "Lepinotus angolensis", "Halpe porus", "Halpe nephele", "Halpe molta", "Halpe filda", "Halpe handa", "Halpe gamma", "Halpe hauxwelli", "Halpe unicolora", "Halpe kumara", "Halpe kumara kumara", "Halpe kumara micromacula", "Halpe parakumara", "Halpe mixta", "Halpe muoi", "Halpe sikkima", "Swammerdamia caesiella", "Swammerdamia pyrella", "Swammerdamia zhengi", "Swammerdamia caudinigra", "Miyakea expansa", "Miyakea raddeellus", "Miyakea lushanus", "Miyakea sinevi", "Miyakea ussurica", "Miyakea zhengi", "Gunungia rimba", "Gunungia capitirecava", "Agdistis zhengi", "Birthosea bisura", "Birthosea trigramma", "Birthosea trigrammoidea", "Taeniolella atricerebrina", "Taeniolella beschiana", "Taeniolella breviuscula", "Taeniolella caespitosa", "Taeniolella christiansenii", "Taeniolella chrysothricis", "Taeniolella cladinicola", "Taeniolella delicata", "Solanum sogarandinum", "Solanum solisii", "Solanum sparsipilum", "Solanum spegazzinii", "Solanum stagnale", "Solanum stelligerum", "Solanum stenandrum", "Solanum stenophyllidium", "Solanum stenotomum", "Solanum stoloniferum", "Solanum stramoniifolium", "Solanum stuckertii", "Solanum sturtianum", "Solanum suaveolens", "Solanum subpanduratum", "Solanum sucubunense", "Solanum supinum", "Solanum tabanoense", "Solanum tampicense", "Solanum tapojense", "Solanum tarapatanum", "Solanum tarnii", "Solanum taulisense", "Solanum tenuisetosum", "Solanum tenuispinum", "Solanum terminale", "Solanum thelopodium", "Solanum toliaraea", "Solanum tomentosum", "Solanum torvum", "Solanum trachycyphum", "Solanum trichoneuron", "Solanum tridynamum", "Solanum trifidum", "Solanum trinitense", "Solanum tripartitum", "Solanum triquetrum", "Solanum tudununggae", "Solanum tunariense", "Solanum tundalomense", "Solanum tuquerrense", "Solanum ugentii", "Solanum umbellatum", "Solanum unguiculatum", "Solanum unilobum", "Solanum urticans", "Solanum urubambae", "Solanum vaillantii", "Solanum vansittartense", "Solanum velardei", "Solanum venturii", "Solanum vernei", "Solanum verrucosum", "Solanum vespertilio", "Solanum vestissimum", "Solanum vidaurrei", "Solanum violaceimarmoratum", "Solanum violaceum", "Solanum virginianum", "Solanum obliquum", "Solanum ochranthum", "Solanum oedipus", "Solanum okadae", "Solanum olmosense", "Solanum opacum", "Solanum oplocense", "Solanum orocense", "Solanum orophilum", "Solanum ortegae", "Solanum otites", "Solanum oxycarpum", "Solanum palinacanthum", "Solanum pallidum", "Solanum palustre", "Solanum pampasense", "Solanum pamplonense", "Solanum pancheri", "Solanum panduriforme", "Solanum pascoense", "Solanum paucissectum", "Solanum pectinatum", "Solanum peloquinianum", "Solanum pendulum", "Solanum pennellii", "Solanum peruvianum", "Solanum petraeum", "Solanum petrophilum", "Solanum phlomoides", "Solanum phureja", "Solanum physalifolium", "Solanum pilcomayense", "Solanum pillahuatense", "Solanum pinnatisectum", "Solanum pinnatum", "Solanum piurae", "Solanum platense", "Solanum polyadenium", "Solanum polygamum", "Solanum proteanthum", "Solanum pseudogracile", "Solanum puchupuchense", "Solanum pugiunculiferum", "Solanum pyracanthos", "Solanum radicans", "Solanum raphanifolium", "Solanum raquialatum", "Solanum refractum", "Solanum remyanum", "Solanum repandum", "Solanum reptans", "Solanum rhomboideilanceolatum", "Alestes baremoze", "Irenimus egens", "Acanthomunna bettongia", "Acanthomunna hystrix", "Acanthomunna lagorchestes", "Acanthomunna macropus", "Acanthomunna potorous", "Chelator chelatus", "Chelator insignis", "Chelator striatus", "Dendrotion hanseni", "Dendrotion onychogalea", "Dendrotion paradoxum", "Dendrotion peradorcus", "Dendrotion petrogale", "Dendrotion spinosum", "Dendrotion thylogale", "Eugerda arctica", "Eugerda elegans", "Eugerda fragilis", "Eugerda intermedia", "Eugerda kamtschatica", "Eugerda reticulata", "Eugerda tenuimana", "Eugerdella armata", "Eugerdella coarctata", "Eugerdella distincta", "Eugerdella hessleri", "Eugerdella minutula", "Eugerdella natator", "Eugerdella ordinaria", "Eugerdella polita", "Haplomesus brevispinis", "Haplomesus insignis", "Haplomesus quadrispinosus", "Haploniscus acutirostris", "Haploniscus bruuni", "Haploniscus excisus", "Haploniscus foresti", "Haploniscus furcatus", "Haploniscus gernekei", "Haploniscus gibbernasutus", "Haploniscus inermis", "Haploniscus intermedius", "Haploniscus laticephalus", "Haploniscus latus", "Vouauxiella verrucosa", "Xanthoriicola physciae", "Zevadia peroccidentalis", "Eugerdella falklandica", "Eugerdella rotunda", "Papaver \u00d7 monetii", "Cardamine subg.", "Carebara sangi", "Arhopala kurzi", "Cypripedium subg.", "Cypripedium subg.", "Acanthocope armata", "Acanthocope carinata", "Acanthocope orbus", "Acanthocope pentacornis", "Acanthocope spinosissima", "Angeliera cosettae", "Angeliera dubitans", "Angeliera gracilis", "Angeliera ischiensis", "Angeliera phreaticola", "Angeliera racovitzai", "Angeliera rivularis", "Angeliera xarifae", "Austroniscus acutus", "Austroniscus chelus", "Hyphorma minax", "Hyphorma minor", "Hyphorma avanta", "Scopelodes testacea", "Scopelodes vulpina", "Scopelodes sericea", "Scopelodes venosa", "Scopelodes kwangtungensis", "Lemniscomys bellieri", "Lemniscomys roseveari", "Lemniscomys hoogstraali", "Lemniscomys mittendorfi", "Lemniscomys griselda", "Lemniscomys rosalia", "Lemniscomys linulus", "Lemniscomys zebra", "Lemniscomys striatus", "Lemniscomys macculus", "Dibamus dalaiensis", "Haploniscus miccus", "Haploniscus monodi", "Haploniscus myriamae", "Haploniscus obtusifrons", "Haploniscus oviformis", "Haploniscus piestus", "Haploniscus profundicolus", "Haploniscus pygmaeus", "Haploniscus retrospinis", "Haploniscus saphos", "Haploniscus silus", "Haploniscus similis", "Haploniscus spinifer", "Haploniscus tangaroae", "Heteromesus dentatus", "Heteromesus drachi", "Heteromesus frigidus", "Heteromesus granulatus", "Heteromesus greeni", "Heteromesus longiremus", "Heteromesus schmidtii", "Eugerdella serrata", "Heteromesus similis", "Heteromesus spinescens", "Eugerdella huberti", "Heteromesus spinosus", "Heteromesus wolffi", "Hydroniscus abyssi", "Hydroniscus lobocephalus", "Hydroniscus minutus", "Hydroniscus vandeli", "Ianthopsis beddardi", "Ianthopsis bovallii", "Ianthopsis certus", "Ianthopsis laevis", "Ianthopsis pulchra", "Ianthopsis studeri", "Ischnomesus andriashevi", "Ischnomesus armatus", "Ischnomesus bacilloides", "Ischnomesus bacillopsis", "Ischnomesus bacillus", "Ischnomesus bispinosus", "Ischnomesus calcificus", "Ischnomesus carolinae", "Ischnomesus fragilis", "Ischnomesus gracilis", "Ischnomesus latimanus", "Ischnomesus norvegicus", "Ischnomesus profundus", "Ischnomesus simplex", "Mastigoniscus concavus", "Mastigoniscus elegans", "Mastigoniscus generalis", "Mastigoniscus gratissimus", "Mastigoniscus gratus", "Mastigoniscus microcephalus", "Mastigoniscus pistus", "Mastigoniscus platovatus", "Mastigoniscus stenocephalus", "Choujapyx choui", "Alasjapyx atlas", "Gigasjapyx termitophilous", "Burmjapyx michaelseni", "Notojapyx tillyardi", "Burmjapyx lienhardi", "Burmjapyx murphyi", "Burmjapyx huashanensis", "Agylla foyi", "Agylla argentifera", "Agylla marcata", "Agylla zucarina", "Agylla nochiza", "Agylla zopisa", "Neojaera serrata", "Rapaniscus crassipes", "Rapaniscus dewdneyi", "Rapaniscus multisetosus", "Regabellator abyssi", "Regabellator armatus", "Regabellator profugus", "Tole alascensis", "Tole chuni", "Tole erostrata", "Tole extans", "Tole glabra", "Tole laciniata", "Tole libbeyi", "Tole sarsi", "Tole speciosa", "Tole spinosissima", "Tole triangulata", "Tole vilhelminae", "Uromunna acarina", "Uromunna brevicornis", "Uromunna cananeia", "Uromunna hayesi", "Uromunna peterseni", "Uromunna petiti", "Uromunna powelli", "Uromunna reynoldsi", "Uromunna samariensis", "Uromunna santaluciae", "Uromunna schauinslandi", "Uromunna serricauda", "Uromunna sheltoni", "Prothysana terminalis", "Papaver \u00d7 kobayashii", "Vouauxiella caloplacae", "Vouauxiella lichenicola", "Vouauxiella pithospora", "Mirabilicoxa birsteini", "Mirabilicoxa coxalis", "Mirabilicoxa curticoxalis", "Mirabilicoxa longispina", "Mirabilicoxa magnispina", "Mirabilicoxa richardsoni", "Mirabilicoxa similis", "Oecidiobranchus nanseni", "Oecidiobranchus plebejum", "Oecidiobranchus polare", "Prochelator kussakini", "Prochelator lateralis", "Mirabilicoxa cornuta", "Stylomesus gorbunovi", "Agama armata", "Stylomesus hexatuberculatus", "Stylomesus menziesi", "Stylomesus pacificus", "Echinopleura aculeata", "Pseudogerda filipes", "Pseudogerda fragilis", "Whoia dumbshafensis", "Chelibranchus canaliculatus", "Cryodesma agnari", "Paradesmosoma conforme", "Paradesmosoma orientale", "Pseudomesus bispinosus", "Pseudomesus brevicornis", "Antennuloniscus dilatatus", "Antennuloniscus dimeroceras", "Chauliodoniscus armadilloides", "Chauliodoniscus reyssi", "Chauliodoniscus tasmanaeus", "Dactylostylis acutispinis", "Dactylostylis serrata", "Caecianiropsis birsteini", "Ectias angusta", "Hawaianira caudata", "Hawaianira peleae", "Microjanira biunguiculata", "Protocharon stocki", "Microparasellus aloufi", "Microparasellus libanicus", "Janinella renaudae", "Bathyopsurus nybelini", "Eurycope pygmaea", "Eurycope quadratifrons", "Eurycope sarsi", "Eurycope scabra", "Nannoniscoides angulatus", "Nannoniscoides laticontractus", "Nannonisconus carinatus", "Panetela wolffi", "Thaumastosoma distinctum", "Thaumastosoma jebamoni", "Astrurus crucicauda", "Jaerella armata", "Sugoniscus parasitus", "Trichopleon ramosum", "Urias spinosus", "Xostylus longiflagellatus", "Acanthocope acutispina", "Setora postornata", "Acria ceramitis", "Acria nivalis", "Acria emarginella", "Aphendala aperiens", "Aphendala rufa", "Aphendala grandis", "Aphendala cana", "Aphendala conspersa", "Aphendala castanea", "Aphendala monogramma", "Nama havardii", "Nama hispida", "Nama jamaicense", "Nama rothrockii", "Tolliella truncatula", "Gerontha similihoenei", "Gerontha rugulosa", "Gerontha trapezia", "Gerontha rostriformis", "Gerontha dracuncula", "Gerontha navapuriensis", "Nesiostrymon shoumatoffi", "Nesiostrymon celona", "Nesiostrymon endela", "Nesiostrymon calchinia", "Plataea pausaniasi", "Plataea aristidesi", "Plataea calcaria", "Plataea personaria", "Plataea ursaria", "Plataea californiaria", "Plataea diva", "Plataea trilinearia", "Phacelia argentea", "Phacelia argillacea", "Phacelia bicolor", "Phacelia brachyloba", "Phacelia californica", "Macrosaccus gliricidius", "Macrosaccus neomexicanus", "Macrosaccus morrisella", "Macrosaccus robiniella", "Macrosaccus uhlerella", "Rolepa innotabilis", "Rolepa nigrostriga", "Micromys erythrotis", "Rolepa marginepicta", "Myotomys sloggetti", "Myotomys unisulcatus", "Parotomys brantsii", "Parotomys littledalei", "Austroniscus coronatus", "Austroniscus groenlandicus", "Austroniscus karamani", "Austroniscus norbi", "Austroniscus obscurus", "Austroniscus vinogradovi", "Betamorpha africana", "Betamorpha fusiformis", "Betamorpha indentifrons", "Betamorpha longiramosa", "Betamorpha profunda", "Carpias asterphilous", "Carpias brucei", "Carpias crosslandi", "Carpias deodatus", "Carpias floridensis", "Carpias galloprovincalis", "Carpias longidactylus", "Carpias nana", "Carpias parvus", "Carpias platydactylus", "Carpias serricaudus", "Carpias stebbingi", "Carpias stylodactylus", "Carpias triocellatus", "Exiliniscus aculeatus", "Exiliniscus clipeatus", "Exiliniscus hanseni", "Halacarsantia colombiensis", "Halacarsantia ovata", "Halacarsantia setosa", "Iais aquilei", "Iais californica", "Iais pubescens", "Iais singaporensis", "Ianiropsis derjugini", "Ianiropsis kussakini", "Ianiropsis longiantennata", "Ianiropsis notoensis", "Ianiropsis palpalis", "Ianiropsis picta", "Ianiropsis punctulata", "Ianiropsis serricaudis", "Ianiropsis setifera", "Iathrippa bisbidens", "Iathrippa capensis", "Iathrippa inerme", "Iathrippa longicauda", "Phacelia campanularia", "Phacelia capitata", "Chamberlinius hualienensis", "Phacelia corymbosa", "Phacelia crenulata", "Chamberlinius piceofasciatus", "Prionopeltis piceofasciatus", "Chamberlinius shengmui", "Phacelia douglasii", "Phacelia dubia", "Chamberlinius pessior", "Phacelia formosula", "Phacelia glandulosa", "Chamberlinius sublaevus", "Phacelia grisea", "Phacelia hastata", "Phacelia heterophylla", "Phacelia humilis", "Phacelia imbricata", "Phacelia insularis", "Phacelia integrifolia", "Phacelia inundata", "Phacelia linearis", "Menyanthes trifoliata var. minor", "Menyanthes trifoliata var. trifoliata", "Nymphoides indica subsp. indica", "Tripterophycis gilchristi", "Chaunax penicillatus", "Chaunax pictus", "Liosaccus cutaneus", "Zenion leptolepis", "Cyttus ventralis", "Epinephelus daemelii", "Squamosa brevisunca", "Beryx decadactylus", "Squamosa brevisunca brevisunca", "Agylla perpensa", "Agylla argentea", "Agylla nubens", "Agylla marginata", "Agylla tobera", "Agylla maasseni", "Agylla sericea", "Agylla auraria", "Agylla umbrifera", "Agylla hermanilla", "Agylla separata", "Nymphoides indica subsp. occidentalis", "Agylla tolteca", "Agylla umbrosa", "Agylla corcovada", "Agylla venosa", "Agylla nivea", "Agylla tumidicosta", "Agylla barbicosta", "Agylla polysemata", "Agylla fasciculata", "Agylla rotunda", "Agylla involuta", "Agylla barbipalpia", "Agylla dognini", "Agylla flavitincta", "Agylla strigula", "Agylla dentifera", "Agylla obliquisigna", "Agylla septentrionalis", "Agylla vittata", "Agylla beema", "Agylla metaxantha", "Agylla gigas", "Agylla sinensis", "Agylla gigantea", "Agylla postfusca", "Agylla analimacula", "Crambidia pallida", "Crambidia lithosioides", "Crambidia uniformis", "Crambidia scoteola", "Crambidia casta", "Crambidia cephalica", "Crambidia dusca", "Crambidia impura", "Crambidia pura", "Crambidia suffusa", "Crambidia myrlosea", "Leimacomys buettneri", "Hylomyscus arcimontensis", "Hylomyscus anselli", "Hylomyscus endorobae", "Hylomyscus vulcanorum", "Hylomyscus grandis", "Hylomyscus aeta", "Hylomyscus carillus", "Hylomyscus denniae", "Hylomyscus stella", "Hylomyscus alleni", "Hylomyscus baeri", "Hylomyscus parvus", "Myomyscus angolensis", "Myomyscus brockmani", "Myomyscus verreauxii", "Myomyscus yemeni", "Haematomma puniceum", "Phacelia malvifolia", "Phacelia minor", "Tephromela superba", "Tephromela skottsbergii", "Heterojapyx evansi", "Heterojapyx tambourinensis", "Heterojapyx victoriae", "Heterojapyx novaezeelandiae", "Phacelia nemoralis", "Heterojapyx pauliani", "Phacelia neomexicana", "Phacelia parryi", "Phacelia patuliflora", "Phacelia purshii", "Phacelia robusta", "Phacelia rupestris", "Phacelia sericea", "Phacelia viscida", "Squamosa brevisunca yunnanensis", "Dextellia dorsilineella", "Dextellia palmata", "Speiredonia itynx", "Speiredonia cthulhui", "Speiredonia martabanica", "Speiredonia sandokana", "Speiredonia ibanorum", "Pyxine astipitata", "Speiredonia gowa", "Pyxine exoalbida", "Pyxine mantiqueirensis", "Speiredonia levis", "Speiredonia celebensis", "Speiredonia alix", "Speiredonia cymosema", "Speiredonia hogenesi", "Speiredonia inocellata", "Syncesia indica", "Nesoromys ceramicus", "Paruromys dominator", "Syzygospora parmeliicola", "Dasymys cabrali", "Dasymys rwandae", "Dasymys sua", "Ellisia nyctelea", "Emmenanthe penduliflora", "Eriodictyon altissimum", "Eriodictyon angustifolium", "Eriodictyon californicum", "Eriodictyon capitatum", "Eriodictyon crassifolium", "Eriodictyon tomentosum", "Eriodictyon trichocalyx", "Hydrophyllum appendiculatum", "Hydrophyllum virginianum", "Hydrophyllum tenuipes", "Hydrophyllum occidentale", "Hydrophyllum capitatum", "Hydrophyllum canadense", "Nama aretioides", "Nama densa", "Eugerda globiceps", "Prochelator serratus", "Susica sinensis", "Susica pygmaea", "Thosea sinensis", "Thosea lutea", "Thosea bipartita", "Thosea unifascia", "Thosea vulturia", "Thosea unius", "Quasithosea obliquistriga", "Griseothosea fasciata", "Griseothosea sordeo", "Avatara sicilis", "Avatara onyx", "Iathrippa menziesi", "Iathrippa sarsi", "Iathrippa trilobatus", "Iathrippa tristani", "Janira alta", "Janira denticulata", "Janira japonica", "Janiralata aberrantis", "Janiralata bifurcata", "Janiralata bilobata", "Janiralata chuni", "Hooijeromys nusatenggara", "Janiralata hexadentata", "Janiralata holmesi", "Janiralata intermedia", "Janiralata koreaensis", "Janiralata modesta", "Janiralata occidentalis", "Janiralata problematica", "Janiralata solasteri", "Janiralata soldatovi", "Janiralata tricornis", "Mackinia birsteini", "Mackinia continentalis", "Mackinia coreana", "Mackinia troglodytes", "Mesosignum antarcticum", "Mesosignum latum", "Mesosignum truncatum", "Nannoniscus aequiremus", "Nannoniscus affinis", "Nannoniscus analis", "Nannoniscus antennaspinis", "Nannoniscus arcticus", "Nannoniscus arctoabyssalis", "Nannoniscus caspius", "Nannoniscus cristatus", "Nannoniscus detrimentus", "Rhagamys orthodon", "Nannoniscus inermis", "Nannoniscus laticeps", "Nannoniscus menziesi", "Nannoniscus minutus", "Nannoniscus muscarius", "Nannoniscus oblongus", "Nannoniscus ovatus", "Nannoniscus perunis", "Nannoniscus plebejus", "Nannoniscus profundus", "Nannoniscus reticulatus", "Nannoniscus simplex", "Nannoniscus spinicornis", "Nannoniscus teres", "Neojaera antarctica", "Neojaera pusilla", "Pulmonaria filarszkyana", "Pulmonaria helvetica", "Pulmonaria kerneri", "Pulmonaria mollis", "Pulmonaria montana", "Pulmonaria rubra", "Pulmonaria saccharata", "Pulmonaria stiriaca", "Pulmonaria vallarsae", "Pulmonaria visianii", "Tiquilia latior", "Tiquilia nuttallii", "Apodytes dimidiata", "Calatola mollis", "Hosiea sinensis", "Icacina oliviformis", "Nothapodytes nimmoniana", "Ottoschulzia rhodoxylon", "Phytocrene macrophylla", "Gamundia leucophylla", "Normandina simodensis", "Perissomastix nigerica", "Perissomastix lucifer", "Perissomastix topaz", "Perissomastix onyx", "Perissomastix sericea", "Parmeliella foliicola", "Perissomastix melanops", "Perissomastix mili", "Perissomastix marcescens", "Cypripedium sect.", "Hydraena tekmanensis", "Cypripedium sect.", "Cypripedium sect.", "Cypripedium sect.", "Cypripedium sect.", "Turricula parryi", "Wigandia imperialis", "Wigandia urens", "Lennoa madreporoides", "Pholisma arenarium", "Pholisma sonorae", "Mertensia brevistyla", "Mertensia paniculata", "Pulmonaria affinis", "Pulmonaria longifolia", "Acanthuchus trispinifer", "Pulmonaria officinalis", "Pulmonaria angustifolia", "Cybosia mesomella", "Pholistoma auritum", "Setora baibarana", "Setora fletcheri", "Romanzoffia sitchensis", "Tremella cephalodiicola", "Tremella christiansenii", "Tremella coccocarpiae", "Tremella coppinsii", "Tremella graphidastrae", "Tremella hypocenomycis", "Tremella lobariacearum", "Tremella macroceratis", "Tremella microcarpa", "Tremella monospora", "Tremella montis-wilhelmii", "Tremella normandinae", "Tremella parmeliellae", "Tremella phaeographidis", "Tremella protoparmeliae", "Tremella psoroglaenae", "Tremella psoromicola", "Tremella rinodinae", "Tremella santessonii", "Tremella stevensiana", "Tremella stictae", "Tremella sulcariae", "Acrolepia canachopis", "Tremella wirthii", "Acrolepia gelida", "Acrolepia chalarodesma", "Acrolepiopsis manganeutis", "Acrolepiopsis corticosa", "Acrolepiopsis chirapanthui", "Psoroma pannarioides", "Psoroma internectens", "Platismatia regenerans", "Perissomastix falcata", "Serangium bellum", "Serangium glorious", "Serangium howdenorum", "Serangium magnum", "Serangium monteithi", "Serangium nitidum", "Serangium sculptum", "Serangium yam", "Nymphoides ezannoi", "Nymphoides hydrophylla", "Nymphoides cordata", "Campodea tillyardii", "Campodea zelanda", "Campodea fragilis", "Notocampa philpotti", "Notocampa afra", "Notocampa leae", "Notocampa madecassa", "Notocampa westraliense", "Heterolepisma zelandicum", "Ctenolepisma longicaudatum", "Praesetora divergens", "Praesetora kwangtungensis", "Praesetora confusa", "Pretas furcillata", "Birthamoides junctura", "Birthamula rufa", "Matsumurides thaumasta", "Birthama roseum", "Mambarona congrua", "Vanlangia uniformis", "Vanlangia castanea", "Nephrophyllidium crista-galli subsp. crista-galli", "Leucogyrophana lichenicola", "Benthophilus mahmudbejovi", "Benthophilus pinchuki", "Benthophilus abdurahmanovi", "Benthophilus svetovidovi", "Wagneriana tauricornis", "Marchandiobasidium aurantiacum", "Cypripedium sect.", "Cypripedium sect.", "Cypripedium sect.", "Cypripedium sect.", "Cypripedium sect.", "Marchandiomyces aurantiacus", "Marchandiomyces buckii", "Marchandiomyces corallinus", "Paruparo rosemarie", "Barilius mesopotamicus", "Tajuria alangani", "Burgella flavoparmeliae", "Nephrophyllidium crista-galli subsp. japonicum", "Nirmides altadim", "Nirmides mimur", "Nirmides trani", "Pseudonirmides cyanopasta", "Mummu aerata", "Limacolasia suffusca", "Squamosa svetlanae", "Gamundia striatula", "Iraga rugosa", "Trichogyia gemmia", "Darna sybilla", "Orthocraspeda sordida", "Orthocraspeda furva", "Gamundia xerophila", "Poraqueiba paraensis", "Poraqueiba sericea", "Rhaphiostylis beninensis", "Sarcostigma kleinii", "Oncotheca balansae", "Perideridia howellii", "Perideridia kelloggii", "Perideridia lemmonii", "Perideridia parishii", "Thapsia garganica", "Torilis arvensis", "Torilis nodosa", "Torilis tenella", "Callyspongia vaginalis", "Susica pannosa", "Susica hyphorma", "Susica malayana", "Susica everetti", "Susica heringi", "Susica himalayana", "Susica obscura", "Susica brooksi", "Susica nasuta", "Quasithosea sythoffi", "Griseothosea cruda", "Griseothosea mixta", "Griseothosea filamentata", "Griseothosea kinabaluensis", "Avatara plethoneura", "Avatara interrupta", "Avatara lineofusca", "Avatara pseudocana", "Ramboldia blochiana", "Syncesia mascarena", "Syncesia madagascariensis", "Benthophilus spinosus", "Benthophilus ragimovi", "Benthophilus leptocephalus", "Turbo imperialis", "Syncesia afromontana", "Telephata nitens", "Lecithocera nitens", "Telephata melanista", "Telephata ferruginula", "Telephata cheramopis", "Hedya tritofa", "Tajigyna gansoni", "Parasa neopastoralis", "Parasa darmoides", "Parasa hampsoni", "Parasa argyroneura", "Parasa pseudobicolor", "Parasa virescens", "Parasa feina", "Parasa jiana", "Parasa mina", "Parasa actiacus", "Parasa fidea", "Parasa anchutka", "Parasa pygmy", "Parasa martini", "Latoia undulata", "Parasa eupuncta", "Parasa mutifascia", "Parasa liangdiana", "Parasa parapuncta", "Parasa jina", "Parasa herbifera", "Parasa canangae", "Parasa melli", "Parasa canangoides", "Parasa mustacha", "Parasa barbatanellus", "Parasa xueshana", "Hyphorma capucina", "Hyphorma sericea", "Hyphorma margaritacea", "Hyphorma flaviceps", "Scopelodes unicolor", "Scopelodes albipalpalis", "Scopelodes anthela", "Scopelodes contracta", "Scopelodes dinawa", "Scopelodes exigua", "Scopelodes niassica", "Scopelodes magnifica", "Scopelodes griseoscura", "Scopelodes nigrescens", "Scopelodes nitens", "Scopelodes pallivittata", "Scopelodes nigricans", "Scopelodes minax", "Scopelodes aurogrisea", "Susica pallida", "Alepidea amatymbica", "Anisosciadium lanatum", "Artedia squamata", "Asteriscium chilense", "Burgoa angulosa", "Bunium alpinum", "Bunium bulbocastanum", "Bunium elegans", "Bunium paucifolium", "Elwendia persica", "Laricobius osakensis", "Miniopterus egeri", "Naegleria fowleri", "Minimedusa pubescens", "Parasa consocia", "Parasa humeralis", "Balantidium coli", "Parasa lorquini", "Parasa zulona", "Oxyplax ochracea", "Oxyplax pallivitta", "Athelia alnicola", "Devaz vetus", "Athelia salicum", "Fignya melkaya", "Caniatta levis", "Bezverkhovia lydia", "Radhica vasilissae", "Prapata bisinuosa", "Prapata scotopepla", "Caissa staurognatha", "Thymus calcareus", "Miresa dicrognatha", "Limacolasia hyalodesa", "Austrapoda beijingensis", "Parasa solovyevi", "Striogyia obatera", "Parasa lepida", "Parasa media", "Parasa shirakii", "Parasa sundalepida", "Parasa philepida", "Parasa himalepida", "Parasa corbetti", "Parasa bimaculata", "Parasa chlorostigma", "Parasa brillians", "Parasa semperi", "Parasa balitkae", "Parasa repanda", "Stenetrium mediterraneum", "Stenetrium quinquedens", "Stenetrium saldanha", "Stenetrium serratum", "Stenetrium spinirostrum", "Stenetrium truncatum", "Stenetrium vemae", "Synasellus albicastrensis", "Synasellus barcelensis", "Synasellus bragai", "Synasellus bragaianus", "Synasellus brigantinus", "Synasellus capitatus", "Synasellus dissimilis", "Synasellus exiguus", "Synasellus favaiensis", "Synasellus flaviensis", "Synasellus fragilis", "Synasellus henrii", "Synasellus hurki", "Synasellus insignis", "Rattus andamanensis", "Rattus annandalei", "Rattus arfakiensis", "Rattus arrogans", "Acestrorhynchus heterolepis", "Rattus everetti", "Rattus hainaldi", "Rattus hoogerwerfi", "Rattus korinchi", "Rattus morotaiensis", "Rattus ranjiniae", "Rattus stoicus", "Rattus timorensis", "Rattus sanila", "Rattus nitidus", "Rattus pyctoris", "Rattus bontanus", "Rattus marmosurus", "Rattus pelurus", "Rattus xanthurus", "Rattus salocco", "Rattus baluensis", "Rattus blangorum", "Rattus hoffmanni", "Rattus koopmani", "Rattus losea", "Rattus lugens", "Rattus mindorensis", "Rattus mollicomulus", "Rattus osgoodi", "Rattus palmarum", "Rattus satarae", "Rattus simalurensis", "Rattus tanezumi", "Rattus tawitawiensis", "Rattus tiomanicus", "Rattus colletti", "Rattus sordidus", "Rattus tunneyi", "Rattus villosissimus", "Rattus verecundus", "Rattus mordax", "Allomachilis froggatti", "Machiloides hickmani", "Machiloides granulatus", "Atelurodes similatus", "Australiatelura hartmeyeri", "Australiatelura kraepelini", "Australiatelura michaelseni", "Anthemis pauciloba var. alba", "Anthemis pauciloba var. sieheana", "Anthemis pauciloba var. microstephana", "Anthemis pauciloba var. pauciloba", "Galenatelura deflexa", "Ausallatelura ordoarmata", "Pseudogastrotheus disjunctus", "Anthemis xylopoda", "Achillea ketenoglui", "Anthemis karacae", "Anthemis glaberrima", "Anthemis pseudocotula", "Anthemis tomentosa", "Anthemis pungens", "Cota antitaurica", "Anthemis anthemiformis", "Cota fulvida", "Cota palaestina", "Cota halophila", "Anthemis rosea", "Anthemis wallii", "Acarospora piedmontensis", "Acarospora sphaerosperma", "Arthonia interveniens", "Bactrospora carolinensis", "Benthophilus baeri", "Benthophilus leptorhynchus", "Benthophilus leobergius", "Benthophilus kessleri", "Benthophilus grimmi", "Benthophilus casachicus", "Benthophilus ctenolepidus", "Anatirostrum profundorum", "Bythocythere turgida", "Bythocythere constricta", "Pseudocythere caudata", "Acarospora benedarensis", "Punctelia eganii", "Calopadia schomerae", "Anacroneuria debilis", "Pleopsidium stenosporum", "Capnophyllum africanum", "Caropsis verticillatoinundata", "Caucalis platycarpos", "Changium smyrnioides", "Conioselinum chinense", "Conioselinum longifolium", "Conioselinum pacificum", "Conioselinum scopulorum", "Conioselinum tataricum", "Aulostomus chinensis", "Pelargonium glutinosum", "Pelargonium betulinum", "Pelargonium cordifolium", "Mugilogobius abei", "Lecanora zeroensis", "Pelargonium cucullatum", "Cythere contorta", "Cythere lutea", "Sclerochilus nasus", "Puriana pacifica", "Dystaenia ibukiensis", "Geranium sibbaldioides", "Geranium sibbaldioides subsp. sibbaldioides", "Caddella haddadi", "Caddella africana", "Caddella capensis", "Caddella spatulipilis", "Caloplaca yuchiorum", "Cypris pubera", "Erigenia bulbosa", "Loxospora cismonica", "Loxosporopsis coralifera", "Silene fabaria", "Setora nitens", "Setora cupreiplaga", "Setora cupreistriga", "Setora kelapae", "Setora longifurca", "Setora tagalog", "Setora tamsi", "Praesetora albitermina", "Praesetora monogramma", "Praesetora kinabalua", "Pretas separata", "Birthamoides circinatus", "Birthamoides bilineata", "Birthamoides plagioscia", "Birthamoides angustipennis", "Birthamoides extincta", "Birthamoides ramosa", "Birthamoides buruana", "Birthamoides fuscidorsalis", "Birthamula chara", "Birthamula diffusa", "Birthamula nigroapicalis", "Birthamula altichara", "Matsumurides okinawanus", "Matsumurides bisuroides", "Matsumurides lateritia", "Matsumurides lola", "Matsumurides montana", "Titanis walleri", "Birthama rubicunda", "Mambarona obliquifascia", "Mambarona timorensis", "Mambarona florensis", "Mambarona irrorata", "Mambarona pelochroa", "Nirmides basalis", "Nirmides fusca", "Nirmides pura", "Nirmides flavissima", "Nirmides montana", "Pseudonirmides sola", "Pseudonirmides paloe", "Mummu cuprea", "Limacolasia dubiosa", "Limacolasia ruficollaris", "Limacolasia thermistis", "Squamosa ferruginea", "Squamosa chalcites", "Squamosa ocellata", "Trichogyia semifascia", "Trichogyia limacodiformis", "Trichogyia rufibasale", "Trichogyia castanea", "Darna metaleuca", "Darna nararia", "Orthocraspeda trima", "Ligusticum grayi", "Ligusticum porteri", "Ligusticum canadense", "Ligusticum canbyi", "Ligusticum filicinum", "Ligusticum jeholense", "Ligusticum scoticum", "Ligusticum sinense", "Ligusticum tenuifolium", "Magydaris pastinacea", "Mediasia macrophylla", "Nothosmyrnium japonicum", "Muretia lutea", "Muretia transitoria", "Choerolophodon guangheensis", "Choerolophodon pygmaeus", "Platybelodon barnumbrowni", "Platybelodon dangheensis", "Platybelodon grangeri", "Platybelodon loomisi", "Abrothallus halei", "Choerolophodon palaeindicus", "Choerolophodon corrugatus", "Afrochoerodon kisumuensis", "Choerolophodon ngorora", "Afrochoerodon chioticus", "Choerolophodon zaltaniensis", "Radiarctia screabile", "Silurus lithophilus", "Radiarctia screabile screabile", "Apantesis nais", "Radiarctia screabile nyangana", "Cisthene plumbea", "Pseudoradiarctia rhodesiana", "Cythere amnicola", "Tephromela eatonii", "Penicillifera apicalis", "Penicillifera lactea", "Penicillifera tamsi", "Bivincula diaphana", "Ernolatia moorei", "Gnathocinara situla", "Rondotia diaphana", "Prismosticta microprisma", "Prismosticta regalis", "Prismosticta fenestrata", "Prismosticta tiretta", "Mustilizans hepatica", "Mustilizans hepatica hepatica", "Mustilizans hepatica acola", "Mustilizans dierli", "Stenoscelis gracilitarsis", "Stenoscelis longisetosus", "Stenoscelis setosus", "Stenoscelis acerbus", "Stenoscelis alni", "Stenoscelis foveatus", "Stenoscelis puncticulatus", "Stenoscelis recavus", "Stenoscelis yuxianensis", "Nesomachilis novaecaledoniae", "Nesomachilis sarasini", "Nesomachilis novaeguinae", "Neopilio inferi", "Cryptopygoplus capriviensis", "Ocinara albicollis", "Ocinara bifurcula", "Trilocha varians", "Trilocha friedeli", "Triuncina diaphragma", "Acria cocophaga", "Dichrorampha tarmanni", "Candona neglecta", "Xylographa disseminata", "Xylographa hians", "Xylographa parallela", "Xylographa perminuta", "Xylographa trunciseda", "Xylographa vitiligo", "Kitagawia baicalensis", "Xylographa crassithallia", "Lagoecia cuminoides", "Xylographa pruinodisca", "Ledebouriella seseloides", "Xylographa soralifera", "Orthocraspeda catenatus", "Orthocraspeda bornesordida", "Orthocraspeda luzonica", "Orthocraspeda mindanensis", "Orthocraspeda tuaranensis", "Oxyplax fulvidorsia", "Oxyplax fulvimixta", "Oxyplax caii", "Oxyplax tenebrosa", "Oxyplax yunnanensis", "Devaz senescens", "Devaz senescoides", "Devaz aspergillata", "Euphlyctina phaeopasta", "Bombyx huttoni", "Bombyx lemeepauli", "Gunda ochracea", "Gunda javanica", "Gunda javanica javanica", "Gunda javanica tonkinensis", "Gunda proxima", "Xylographa opegraphella", "Pelargonium quercifolium", "Pelargonium scabrum", "Polycope orbicularis", "Eriocycla stewartii", "Eurytaenia hinckleyi", "Glehnia littoralis", "Stenoscelis aceri", "Stenoscelis cryptomeriae", "Consolida sect.", "Consolida sect.", "Consolida hellespontica subsp. hellespontica", "Consolida hellespontica subsp. rosea", "Consolida ajacis", "Phlojodicarpus sibiricus", "Consolida pubescens", "Consolida mauritanica", "Xestoleberis ikeyai", "Xestoleberis kuroshio", "Xestoleberis notoensis", "Xestoleberis magnoculus", "Xestoleberis ryukyuensis", "Xestoleberis planuventer", "Xestoleberis sesokoensis", "Polytaenia nuttallii", "Portenschlagiella ramosissima", "Prangos bucharica", "Prangos ferulacea", "Prangos haussknechtii", "Prangos pabularia", "Prangos platychlaena", "Prangos tschimganica", "Prangos uloptera", "Saposhnikovia divaricata", "Selinum carvifolia", "Selinum striatum", "Mustilizans dierli dierli", "Mustilizans dierli refugialis", "Mustilizans lepusa", "Mustilizans sinjaevi", "Falcogona gryphea", "Speiredonia mutabilis", "Speiredonia obscura", "Speiredonia simplex", "Speiredonia spectans", "Speiredonia strigiformis", "Speiredonia substruens", "Xestoleberis adriatica", "Eudonia speideli", "Theophasida superba", "Theophasida obusta", "Theophasida cardinalli", "Theophasida valkyria", "Theophasida serafim", "Theophasida kawai", "Opisthodontia superba", "Opisthodontia cardinalli", "Opisthodontia flavipicta", "Opisthodontia ochrosticta", "Opisthodontia arnoldi", "Opisthodontia avinoffi", "Opisthodontia haigi", "Opisthodontia jordani", "Nirbiana micha", "Nirbiana obscura", "Opisthodontia obscura", "Aedemon eurapta", "Archinola pyralidia", "Karaops jenniferae", "Karaops jarrit", "Karaops francesae", "Karaops gangarie", "Karaops pilkingtoni", "Karaops larryoo", "Karaops keithlongbottomi", "Karaops karrawarla", "Karaops marrayagong", "Karaops martamarta", "Karaops monteithi", "Karaops ngarutjaranya", "Karaops australiensis", "Xestoleberis depressa", "Scarabaeus viettei", "Scarabaeus sevoistra", "Scarabaeus radama", "Oreoschimperella verrucosa", "Orlaya daucoides", "Orlaya daucorlaya", "Orlaya grandiflora", "Tephromela lirellina", "Squalidus japonicus japonicus", "Pseudoradiarctia lentifasciata", "Pseudoradiarctia pallida", "Pseudoradiarctia parva", "Pseudoradiarctia tanzanica", "Pseudoradiarctia affinis", "Pseudoradiarctia scita", "Binna penicillata", "Amandinea skottsbergii", "Buellia flavescens", "Calvitimela austrochilenis", "Tephromela atrocaesia", "Tephromela atroviolacea", "Bacillus luciferensis", "Amamanganops baginawa", "Godumops caritus", "Siamspinops aculeatus", "Makdiops mahishasura", "Makdiops shiva", "Karaops alanlongbottomi", "Karaops badgeradda", "Karaops burbidgei", "Karaops dawara", "Karaops vadlaadambara", "Karaops toolbrunup", "Karaops julianneae", "Karaops raveni", "Karaops manaayn", "Karaops deserticola", "Karaops ellenae", "Bacillus algicola", "Bacillus aquimaris", "Bacillus arseniciselenatis", "Bacillus asahii", "Bacillus azotoformans", "Xestoleberis aurantia", "Phragmataecia castaneae", "Szovitsia callicarpa", "Thaspium barbinode", "Thaspium trifoliatum", "Tordylium aegyptiacum", "Tordylium maximum", "Ectenopsis mackerrasi", "Turgenia latifolia", "Zizia aptera", "Zizia aurea", "Zosima absinthifolia", "Ectenopsis vittata", "Ectenopsis lutulenta", "Ectenopsis fulva", "Ectenopsis hamlyni", "Ectenopsis victoriensis", "Ectenopsis angusta", "Ectenopsis australis", "Ectenopsis vulpecula", "Ectenopsis occidentalis", "Ectenopsis norrisi", "Ectenopsis fusca", "Campodea froggattii", "Campodea waterhousei", "Campodea tonnoiri", "Consolida regalis", "Eucamaragnathus desenderi", "Consolida regalis var. mollis", "Consolida regalis var. glanduligera", "Gobius rubropunctatus", "Gobius senegambiensis", "Gobius scorteccii", "Gobius koseirensis", "Gobius leucomelas", "Stenophatna marshalli", "Stenophatna proxima", "Stenophatna cymographa", "Stenophatna rothschildi", "Stenophatna dentata", "Stenophatna foedifraga", "Stenophatna kahli", "Stenophatna tamsi", "Stenophatna hollandi", "Stenophatna accolita", "Sonitha libera", "Sonitha myoctona", "Sonitha chocolatina", "Sonitha bernardii", "Sonitha gelata", "Sonitha alucard", "Sonitha integra", "Sonitha lila", "Sonitha picassoi", "Alicyclobacillus acidoterrestris", "Bacillus aeolius", "Bacillus agaradhaerens", "Brevibacillus agri", "Lamium purpureum var. purpureum", "Lamium caucasicum", "Lamium bifidum", "Matsumurella chinensis", "Eriophyton tuberosum", "Lamium flexuosum", "Lamium glaberrimum", "Lamium multifidum", "Lamium orientale", "Lamium taiwanense", "Bacillus alcalophilus", "Khoratpithecus piriyai", "Khoratpithecus ayeyarwadyensis", "Semenovia transiliensis", "Spermolepis hawaiiensis", "Tordylium carmeli", "Consolida regalis var. sparsiflora", "Consolida regalis var. regalis", "Calleida desenderi", "Consolida regalis var. paniculata", "Gobius ateriformis", "Andraca trilochoides", "Andraca trilochoides trilochoides", "Gobius bontii", "Andraca trilochoides roepkei", "Andraca henosa", "Andraca stueningi", "Andraca apodecta", "Andraca melli", "Andraca olivacea", "Andraca olivacea olivacea", "Gobius gasteveni", "Andraca olivacea olivacens", "Andraca hedra", "Andraca flavamaculata", "Andraca nabesan", "Sesquiluna forbesi", "Sesquiluna theophoboides", "Gobius tropicus", "Gobius tetrophthalmus", "Ganisa postica", "Cryptocentrus leptocephalus", "Centella erecta", "Cheirodendron trigynum", "Cussonia holstii", "Cussonia paniculata", "Cussonia spicata", "Cussonia thyrsiflora", "Cussonia umbellifera", "Munroidendron racemosum", "Cythere aurantia", "Osmoxylon mariannense", "Osmoxylon novoguineense", "Osmoxylon palmatum", "Pseudopanax crassifolius", "Iridomyrmex luteoclypeatus", "Iridomyrmex macrops", "Iridomyrmex meridianus", "Iridomyrmex mirabilis", "Iridomyrmex neocaledonica", "Iridomyrmex niger", "Iridomyrmex xanthocoxa", "Iridomyrmex trigonoceps", "Iridomyrmex tenuiceps", "Iridomyrmex tenebrans", "Iridomyrmex suchieroides", "Iridomyrmex roseatus", "Iridomyrmex phillipensis", "Iridomyrmex omalonotus", "Iridomyrmex nudipes", "Nigromacula uniseptata", "Corynoptera elegans", "Neotinea lactea", "Lohora dexamenus", "Arthopyrenia dirumpens", "Lohora transiens", "Arthopyrenia fallacior", "Arthopyrenia gravastella", "Arthopyrenia macquariensis", "Aulostomus strigosus", "Anemone \u00d7 volgensis", "Anemone \u00d7 lipsiensis", "Arthopyrenia picea", "Satyrium parviflorum", "Arthopyrenia stenotheca", "Arthopyrenia subgregans", "Arthopyrenia subpunctiformis", "Pittosporum colensoi", "Pittosporum confertiflorum", "Pittosporum coriaceum", "Pittosporum cornifolium", "Pittosporum dallii", "Arthopyrenia zostra", "Pittosporum daphniphylloides", "Pittosporum divaricatum", "Pittosporum eriocarpum", "Bursaria spinosa", "Cheiranthera filifolia", "Pittosporum angustifolium", "Pittosporum bicolor", "Pittosporum moluccanum", "Pittosporum phillyreoides", "Pittosporum revolutum", "Pittosporum undulatum", "Pittosporum boninense", "Pittosporum buchananii", "Loxoconcha adriatica", "Pterocerota virginea", "Acrojana sciron", "Camerunia orphne", "Drepanojana fasciata", "Epijana cosima", "Gonojana dimidiata", "Hemijana subrosea", "Hemijana bimaculata", "Hoplojana indecisa", "Jana eurymas", "Stenoglene hilaris", "Stenoglene gregorii", "Urojana eborea", "Viana velutina", "Tissanga pretoriae", "Tetrapanax papyrifer", "Tetraplasandra gymnocarpa", "Hydrocotyle bonariensis", "Hydrocotyle javanica", "Hydrocotyle leucocephala", "Hydrocotyle novae-zelandiae", "Hydrocotyle ranunculoides", "Hydrocotyle sibthorpioides", "Hydrocotyle umbellata", "Hydrocotyle vulgaris", "Perulibatrachus aquilonarius", "Metapanax davidii", "Griselinia lucida", "Griselinia scandens", "Pennantia corymbosa", "Anemone sect.", "Erebia dabanensis", "Erebia dabanensis dabanensis", "Erebia dabanensis olshvangi", "Erebia dabanensis troubridgei", "Erebia dabanensis chingiza", "Erebia dabanensis sokhondoensis", "Petrorhagia cretica", "Petrorhagia dubia", "Petrorhagia hispidula", "Petrorhagia lycica", "Petrorhagia obcordata", "Verbascum artvinense", "Verbascum gracilescens", "Valeriana saxicola", "Saxifraga artvinensis", "Asperula woronowii", "Rosa hirtissima", "Potentilla orbiculata", "Potentilla oweriniana", "Alchemilla plicatissima", "Polygonatum glaberrimum", "Gagea tenuissima", "Primula frondosa subsp. exigua", "Primula farinosa subsp. alpigena", "Parakonarus kopure", "Potamocypris altenburgensis", "Atemtanais taikaha", "Paratanais tara", "Paratanais paraoa", "Araphura whakarakaia", "Kanikipa portobelloensis", "Tanaopsis rawhitia", "Dendrolimus inouei", "Acropsilus errabundus", "Acropsilus niger", "Dendrolimus arizana", "Chonopla tecta", "Cosmeptera hampsoni", "Cosmeptera ornata", "Cosmeptera pulchra", "Cosmeptera salvazai", "Cosmeptera pretiosa", "Eteinopla signata", "Eteinopla obscura", "Paradoxostoma dispar", "Paradoxostoma ponticum", "Echinops pungens", "Pittosporum eugenioides", "Pittosporum fairchildii", "Pittosporum glabratum", "Pittosporum halophilum", "Pittosporum heterophyllum", "Pittosporum hosmeri", "Pittosporum huttonianum", "Pittosporum kauaiense", "Pittosporum mayi", "Pittosporum napaulense", "Pittosporum pentandrum", "Pittosporum podocarpum", "Pittosporum pullifolium", "Pittosporum ralphii", "Pittosporum rehderianum", "Pittosporum resiniferum", "Pittosporum rhombifolium", "Pittosporum tenuifolium", "Pittosporum truncatum", "Pittosporum viridiflorum", "Torricellia angulata", "Cardiopteris quinqueloba", "Thermobia domestica", "Citronella megaphylla", "Citronella moorei", "Citronella mucronata", "Citronella paniculata", "Helwingia chinensis", "Helwingia himalaica", "Phyllonoma laticuspis", "Cantleya corniculata", "Alseuosmia linariifolia", "Alseuosmia macrophylla", "Acicarpha spathulata", "Acrotelsa collaris", "Boopis bupleuroides", "Calycera calcitrapa", "Petrorhagia pamphylica", "Petrorhagia peroninii", "Petrorhagia prolifera", "Petrorhagia saxifraga", "Xylophanes lissy", "Petrorhagia nanteuilii", "Xylophanes macasensis", "Xylophanes ockendeni", "Xylophanes blanca", "Xylophanes bilineata", "Xylophanes fassli", "Xylophanes rothschildi", "Anemone \u00d7 pittonii", "Orthoglymma wangapeka", "Xylophanes loelia", "Xylophanes neoptolemus", "Xylophanes norfolki", "Xylophanes acrus", "Xylophanes adalia", "Xylophanes aglaor", "Xylophanes alexandrei", "Xylophanes amadis", "Xylophanes anubus", "Xylophanes aristor", "Cirsium handaniae", "Xylophanes belti", "Xylophanes ceratomioides", "Xylophanes chiron", "Xylophanes chiron chiron", "Xylophanes chiron nechus", "Xylophanes chiron cubanus", "Xylophanes chiron lucianus", "Xylophanes clarki", "Xylophanes colinae", "Xylophanes columbiana", "Xylophanes cosmius", "Xylophanes crotonis", "Xylophanes cyrene", "Likoma apicalis", "Likoma crenata", "Billardiera cymosa", "Billardiera fusiformis", "Billardiera heterophylla", "Billardiera longiflora", "Billardiera scandens", "Xestoleberis canaliculata", "Xestoleberis intumescens", "Calycera sessiliflora", "Cyananthus lobatus", "Cyananthus longiflorus", "Edraianthus graminifolius", "Githopsis specularioides", "Ostrowskia magnifica", "Prismatocarpus pedunculatus", "Trachelium caeruleum", "Triodanis coloradoensis", "Triodanis perfoliata", "Xylophanes damocrita", "Xylophanes depuiseti", "Xylophanes docilis", "Xylophanes dolius", "Xylophanes elara", "Xylophanes epaphus", "Xylophanes eumedon", "Apterachalcus borboroides", "Xylophanes falco", "Xylophanes ferotinus", "Xylophanes fernandezi", "Xylophanes fosteri", "Xylophanes furtadoi", "Xylophanes fusimacula", "Xylophanes germen", "Xylophanes germen germen", "Xylophanes germen yurakano", "Xylophanes godmani", "Xylophanes guianensis", "Xylophanes gundlachii", "Xylophanes hannemanni", "Xylophanes hannemanni hannemanni", "Xylophanes hannemanni pacifica", "Xylophanes haxairei", "Xylophanes huloti", "Xylophanes hydrata", "Thymelicus leonina", "Thymelicus leonina leonina", "Thymelicus leonina hamadakohi", "Thymelicus leonina tatsia", "Aspicilia contorta subsp. hoffmanniana", "Aspicilia endochlora", "Primula scotica", "Primula nutans", "Philharmostes adami", "Philharmostes cohici", "Philharmostes endroedyi", "Philharmostes ocellatus", "Philharmostes vincenti", "Philharmostes zicsii", "Congomostes baloghi", "Baloghianestes lissoubai", "Cyphia bulbosa", "Cyphocarpus innocuus", "Nemacladus glandulifer", "Lomelosia persica", "Lomelosia prolifera", "Primula mistassinica", "Primula tschuktschorum", "Primula pumila", "Cytheroma variabilis", "Bacidia alutacea", "Trabala pallida", "Trabala irrorata", "Trabala shiva", "Trabala ganesha", "Trabala niphanae", "Trabala inga", "Crinocraspeda torrida", "Dendrolimus grisea", "Kunugia ampla", "Kunugia florimaculata", "Kunugia lemeepauli", "Kunugia lineata", "Kunugia divaricata", "Kunugia labahingra", "Streblote igniflua", "Pyrosis rotundipennis", "Lebeda nobilis", "Eucytherura alata", "Lebeda trifascia", "Metanastria capucina", "Metanastria capucina capucina", "Metanastria capucina purgata", "Metanastria asteria", "Gastropacha xenapates", "Gastropacha pardale", "Gastropacha pardale pardale", "Gastropacha pardale sinensis", "Syrastrena malaccana", "Radhica elisabethae", "Arguda vinata", "Arguda vinata vinata", "Arguda vinata nepalina", "Arguda decurtata", "Arguda tayana", "Arguda sandrae sandrae", "Arguda sandrae boica", "Odontocraspis hasora", "Downingia bacigalupii", "Downingia bicornuta", "Downingia concolor", "Downingia elegans", "Downingia insignis", "Downingia pulchella", "Downingia yina", "Argonestis flammans", "Dendrolimus bazarovi", "Eucytherura gibbera", "Bacidia conspicua", "Bacidia convexa", "Phthitia rennelli", "Mycetophila campbellensis", "Pseudopomyza brevicaudata", "Mycodrosophila matilei", "Thaidenakaoga tridens", "Astygisa vexillaria", "Astygisa albopunctata", "Astygisa orbapicalis", "Astygisa hollowayi", "Rondotia menciana", "Cidariplura subhani", "Zygomyia nigrohalterata", "Zygomyia obsoleta", "Zygomyia penicillata", "Zygomyia ruficollis", "Zygomyia rufithorax", "Zygomyia similis", "Zygomyia unispinosa", "Zygomyia trifasciata", "Zygomyia truncata", "Zygomyia varipes", "Zygomyia fusca", "Zygomyia longicauda", "Zygomyia submarginata", "Zygomyia submarginata", "Austropeltum glareosum", "Catocala abacta", "Catocala abacta abacta", "Catocala abacta irana", "Catocala actaea actaea", "Catocala actaea nigricans", "Catocala abamita", "Catocala adultera", "Catocala aenigma", "Catocala aestimabilis", "Catocala afghana", "Catocala agitatrix", "Catocala amabilis", "Catocala ariana", "Catocala artobolevskiji", "Catocala armandi", "Catocala armandi armandi", "Catocala armandi shirozui", "Austroparmelina chlorolecanorica", "Austroparmelina conlabrosa", "Austroparmelina elixii", "Austroparmelina endoleuca", "Brighamia insignis", "Brighamia rockii", "Clermontia drepanomorpha", "Clermontia lindseyana", "Clermontia oblongifolia", "Clermontia peleana", "Clermontia pyrularia", "Clermontia samuelii", "Clermontia arborescens", "Clermontia clermontioides", "Clermontia kakeana", "Delissea rhytidosperma", "Delissea subcordata", "Delissea argutidentata", "Delissea undulata", "Primula warshenewskiana", "Garuda albostriata", "Lakshmia dea", "Luzoniella meyi", "Bergaris flora", "Rapdalus albicolor", "Rapdalus albicolor albicolor", "Rapdalus albicolor luzonicus", "Tarsozeuzera vavizola", "Tarsozeuzera livingstoni", "Trismelasmos magellani", "Skeletophyllon friedeli", "Skeletophyllon puer", "Micropacha zojka", "Trabala vishnou", "Eurocostra shibaharai", "Lobanda akioseinoi", "Gelastocera motoyukiseinoi", "Bacidia millegrana var. millegrana", "Bembidiomorphum convexum", "Lygephila kishidai", "Bembidiomorphum silvicola", "Zygomyia aguarensis", "Zygomyia aino", "Zygomyia angusta", "Zygomyia argentina", "Zygomyia aurantiaca", "Zygomyia bicolor", "Zygomyia bifasciata", "Zygomyia brasiliana", "Bacidia millegrana var. fusconigrescens", "Zygomyia calvusa", "Zygomyia chavantesi", "Zygomyia christata", "Zygomyia vara", "Zygomyia valida", "Zygomyia unica", "Zygomyia notata", "Zygomyia ignobilis", "Zygomyia christulata", "Zygomyia coxalis", "Zygomyia flaviventris", "Zygomyia insipinosa", "Zygomyia freemani", "Zygomyia setosa", "Zygomyia simplex", "Zygomyia polyspina", "Zygomyia herteli", "Zygomyia tapuiai", "Zygomyia golbachi", "Zygomyia heros", "Zygomyia modesta", "Zygomyia pilosa", "Zygomyia plaumanni", "Zygomyia planitarsata", "Zygomyia kurilensis", "Lygephila yoshimotoi", "Zygomyia interrupta", "Zygomyia ornatipennis", "Zygomyia ornata", "Bacidia millegrana f. millegrana", "Eupithecia persuastrix", "Eupithecia korbi", "Geranium sect.", "Eupithecia aggregata", "Eupithecia consortaria", "Eupithecia detritata", "Geranium subsect.", "Microcythere parallela", "Lobelia rosea", "Lobelia sessilifolia", "Lobelia siphilitica", "Lobelia spicata", "Lobelia tenuior", "Lobelia tupa", "Lobelia urens", "Lobelia valida", "Lobelia zeylanica", "Lobelia fenestralis", "Lobelia yuccoides", "Lobelia angulata", "Lobelia concolor", "Lobelia macrodon", "Lobelia nummularia", "Trematolobelia kauaiensis", "Trematolobelia singularis", "Lechenaultia biloba", "Lechenaultia linarioides", "Lechenaultia expansa", "Lechenaultia formosa", "Bacidia millegrana f. caesiascens", "Esakiozephyrus icana icana", "Bacidina defecta", "Geranium malviflorum", "Geranium subsect.", "Amiana niama", "Argillophora argillophora", "Argillophora furcilla", "Bacidia effusa", "Bacidia entocosmesis", "Bacidia entodiaphana", "Bacidia fratruelis", "Bacidia furfurella", "Bacidia incompta", "Bacidia johnstoniae", "Microcythere inflexa", "Microcythere dentata", "Microcythere depressa", "Microcythere gibba", "Microcythere hians", "Microcythere levis", "Microcythere nana", "Bacidia leucocarpa", "Bacidia lividofusca", "Bacidia lividonigrans", "Bacidia macquariensis", "Bacidia microphyllina", "Bacidia millegrana", "Bacidia modestula", "Bacidia multiseptata", "Bacidia pallida", "Bacidia quadrilocularis", "Bacidia raffii", "Bacidia rhodocardia", "Microcythere obliqua", "Bacidia rudis", "Bacidia septosior", "Bacidia subproposita", "Bacidia superbula", "Microcythere rara", "Bacidia superula", "Bacidia vallatula", "Bacidia vinicolor", "Bacidia wellingtonii", "Bacidia incompta var. incompta", "Ranunculus monophyllus", "Cidariplura gladiata", "Paracaryum incanum", "Cidariplura albolineata", "Cidariplura dinawa", "Cidariplura olivens", "Cidariplura brevivittalis", "Cidariplura chalybealis", "Cidariplura butleri", "Cidariplura modesta", "Cidariplura nigristigmata", "Cidariplura ochreistigma", "Cidariplura dubia", "Cidariplura signata", "Cidariplura perfusca", "Cidariplura nigrisigna", "Cidariplura bilineata", "Cidariplura hani", "Catocala fulminea fulminea", "Catocala fulminea kamuifuchi", "Catocala xarippe xarippe", "Catocala xarippe okitsuhimenomikoto", "Catocala xarippe santanensis", "Sterigmostemum sulphureum", "Spergula arvensis", "Laeria miyanoi", "Spergula morisonii", "Spergula pentandra", "Alyssum repens subsp. trichostachyum", "Geranium platypetalum var. albipetalum", "Delphinium buschianum", "Aethionema diastrophis", "Linum ciliatum", "Deltote bankiana", "Deltote uncula", "Deltote bellicula", "Deltote deceptoria", "Deltote nemorum", "Eucytherura angulata", "Catocala xarippe", "Eucytherura complexa", "Cythere complexa", "Austrographa kurriminensis", "Austrographa pseudopallidella", "Austrographa skyrinica", "Austrolecia antarctica", "Aneura jaschhofi", "Aneura tonnoiri", "Zygomyia egmontensis", "Zygomyia ovata", "Zygomyia taranakiensis", "Zygomyia trispinosa", "Zygomyia multiseta", "Zygomyia acuta", "Zygomyia brunnea", "Zygomyia distincta", "Zygomyia flavicoxa", "Zygomyia marginata", "Zygomyia nigriventris", "Zygomyia tonnoiri", "Zygomyia albinotata", "Zygomyia apicalis", "Zygomyia bifasciola", "Zygomyia bivittata", "Zygomyia costata", "Zygomyia crassicauda", "Zygomyia crassipyga", "Zygomyia diffusa", "Zygomyia eluta", "Zygomyia filigera", "Zygomyia grisescens", "Zygomyia guttata", "Zygomyia immaculata", "Zygomyia nigrita", "Cemocarus stuckenbergi", "Cymatopus baravikai", "Cymatopus flavipes", "Cymatopus neocaledonicus", "Cymatopus othniopteryx", "Cymatopus calcaratoides", "Cymatopus simplex", "Cymatopus calcaratus", "Cymatopus longipilus", "Cymatopus malayensis", "Cymatopus motuporensis", "Cymatopus wirthi", "Cymatopus setosus", "Cymatopus cheesmani", "Cymatopus bredini", "Cymatopus tibialis", "Cymatopus thaicus", "Cymatopus spinosus", "Microxestoleberis nana", "Microxestoleberis rostrata", "Liparophyllum exiguum", "Geranium lanuginosum", "Nymphoides aurantiaca", "Nymphoides beaglensis", "Nymphoides brevipedicellata", "Nymphoides coreana", "Nymphoides crenata", "Nymphoides cristata", "Nymphoides disperma", "Nymphoides elegans", "Nymphoides elliptica", "Nymphoides exiliflora", "Nymphoides fallax", "Nymphoides flaccida", "Nymphoides forbesiana", "Nymphoides furculifolia", "Nymphoides geminata", "Nymphoides grayana", "Nymphoides guineensis", "Nymphoides hastata", "Bacidia incompta var. spissa", "Zygomyia matilei", "Zygomyia pseudohumeralis", "Zygomyia zaitzevi", "Zygomyia valeriae", "Zygomyia valepedro", "Zygomyia kiddi", "Zygomyia pictipennis", "Hippobroma longiflora", "Howellia aquatilis", "Lobelia aberdarica", "Lobelia anceps", "Lobelia appendiculata", "Lobelia assurgens", "Lobelia berlandieri", "Lobelia boykinii", "Lobelia canbyi", "Lobelia chinensis", "Lobelia dortmanna", "Lobelia erinus", "Lobelia flaccidifolia", "Lobelia gaudichaudii", "Lobelia giberroa", "Lobelia kalmii", "Lobelia laxiflora", "Lobelia leschenaultiana", "Lobelia monostachya", "Lobelia nicotianifolia", "Lobelia niihauensis", "Lobelia oahuensis", "Lobelia persicifolia", "Lobelia puberula", "Lobelia pyramidalis", "Lobelia rhombifolia", "Tramea loewii", "Geranium subg.", "Geranium subg.", "Abatetia robusta", "Anthrenus loebli", "Arthrorhaphis citrinella var. citrinella", "Arthrorhaphis citrinella var. catolechioides", "Trilocha guianensis", "Trilocha pulcherioides", "Aspicilia calcarea var. caesioalba", "Primula stricta", "Nymphoides herzogii", "Nymphoides humilis", "Neotinea ustulata var. aestivalis", "Nymphoides krishnakesara", "Nymphoides lungtanensis", "Nymphoides macrospermum", "Nymphoides milnei", "Geranium platypetalum var. platypetalum", "Nymphoides minima", "Nymphoides montana", "Nymphoides parvifolia", "Nymphoides planosperma", "Nymphoides quadriloba", "Nymphoides rautanenii", "Nymphoides simulans", "Nymphoides sivarajanii", "Nymphoides spinulosperma", "Nymphoides spongiosa", "Nymphoides subacuta", "Nymphoides tenuissima", "Nymphoides thunbergiana", "Nymphoides tonkinensis", "Nymphoides triangularis", "Nymphoides verrucosa", "Nymphoides bosseri", "Nymphoides cambodiana", "Ornduffia calthifolia", "Villarsia lacunosa", "Geranium \u00d7 magnificum", "Pentaphragma horsfieldii", "Pentaphragma sinense", "Geranium renardii", "Geranium gracile", "Neotinea tridentata subsp. conica", "Neotinea \u00d7 dietrichiana", "Neotinea \u00d7 dietrichiana nothosubsp. bugarachensis", "Austroparmelina euplectina", "Austroparmelina johnstoniae", "Austroparmelina labrosa", "Austroparmelina macrospora", "Austroparmelina norpruinata", "Austroparmelina pruinata", "Austroparmelina pseudorelicina", "Austroparmelina subarida", "Austroparmelina subtiliacea", "Arna bipunctapex", "Arna bicostata", "Somena scintillans", "Orvasca subnotata", "Myosotis stolonifera", "Artaxa angulata", "Artaxa digramma", "Myosotis pulvinaris", "Toxoproctis croceola", "Nygmia uniformis", "Myosotis secunda", "Nonea flavescens", "Clypeola raddeana", "Euproctis montis", "Euproctis telephanes", "Euproctis yunnanpina", "Gypsophila tenuifolia", "Euproctis flavotriangulata", "Sempervivum staintonii", "Scabiosa velenovskiana", "Scabiosa africana", "Scabiosa cinerea", "Scabiosa nitens", "Scabiosa ochroleuca", "Scabiosa turolensis", "Lomelosia bicolor", "Lomelosia calocephala", "Lomelosia cosmoides", "Scabiosa crinita", "Lomelosia hispidula", "Lomelosia hololeuca", "Lomelosia kurdica", "Lomelosia lycia", "Lomelosia micrantha", "Microcythere helgolandica", "Polytocus spinicosta", "Microcythere parva", "Microcythere minuta", "Scaevola aemula", "Scaevola coriacea", "Scaevola crassifolia", "Scaevola collaris", "Scaevola montana", "Scaevola nitida", "Xenosciomyza turbotti", "Scaevola oppositifolia", "Scaevola platyphylla", "Scaevola plumieri", "Scaevola striata", "Scaevola taccada", "Psammocythere remanei", "Bagliettoa operculata", "Polytocus costatus", "Cymatopus leopoldi", "Trigasilus minutus", "Cymatopus stuckenbergi", "Brunonia australis", "Dampiera eriocephala", "Dampiera hederacea", "Dampiera teres", "Dampiera wellsiana", "Goodenia caerulea", "Goodenia ovata", "Cemocarus griseatus", "Lecidea atromorio", "Lecidea bacidioides", "Cytherura acuticostata", "Lecidea canorufescens", "Cytherura undata", "Lecidea capensis", "Lecidea cerviniicola", "Lecidea contigua", "Lecidea contigua f. contigua", "Geranium sect.", "Lecidea contigua f. leprosa", "Lecidea exigua", "Lecidea flindersii", "Lecidea fuscoatrula", "Lecidea haysomii", "Lecidea hypersporella", "Lecidea immarginata", "Lecidea insulana", "Chalicodoma odontophorum", "Chalicodoma apoicola", "Chalicodoma memecylonae", "Neotinea tridentata subsp. tridentata", "Neotinea ustulata var. ustulata", "Nephrolepis exaltata", "Cordulegaster sarracenia", "Anomalomyia guttata", "Canthyloscelis brevicornis", "Ogcodes paramonovi", "Ogcodes argigaster", "Ogcodes leptisoma", "Ogcodes similis", "Ogcodes brunneus", "Ogcodes consimilis", "Ogcodes nitens", "Matachia ramulicola", "Apsona muscaria", "Helle longirostris", "Helle rufescens", "Exoeolus brouni", "Exoeolus rufescens", "Diglymma seclusum", "Bilimbia lobulata", "Diglymma clivinoides", "Diglymma marginale", "Diglymma obtusum", "Buellia molonglo", "Buellia cranfieldii", "Buellia cretacea", "Buellia curatellae", "Buellia demutans", "Buellia desertorum", "Lonicera interrupta", "Lonicera sempervirens", "Lonicera subspicata", "Lonicera utahensis", "Buellia diplotommoides", "Leptocythere pellucida", "Squalidus japonicus", "Buellia alisioae", "Buellia bispora", "Buellia callispora", "Leopoldamys diwangkarai", "Geranium sect.", "Geranium sect.", "Geranium macrorrhizum", "Lomelosia argentea", "Bassecoia hookeri", "Dipelta floribunda", "Dipelta yunnanensis", "Morina coulteriana", "Morina longifolia", "Sylvicola dubius", "Sylvicola funebris", "Buellia dissa", "Olbiogaster insularis", "Geranium dalmaticum", "Phthirocoris antarcticus", "Swansonella newbrightonensis", "Swansonella novaezealandica", "Lamellocolea integrostia", "Diervilla lonicera", "Diervilla rivularis", "Diervilla sessilifolia", "Diervilla \u00d7 splendens", "Weigela coraeensis", "Weigela decora", "Weigela floribunda", "Weigela florida", "Weigela hortensis", "Weigela maximowiczii", "Weigela middendorffiana", "Weigela subsessilis", "Pterocephalus canus", "Pterocephalus pinardii", "Pterocephalus plumosus", "Rangomarama edwardsi", "Rangomarama humboldti", "Rangomarama leopoldinae", "Rangomarama matilei", "Rangomarama tonnoiri", "Cytherura atra", "Cytherura nana", "Donatia novae-zelandiae", "Stylidium graminifolium", "Heptacodium miconioides", "Heterolepisma stilivarians", "Heterolepisma michaelseni", "Heterolepisma kraepelini", "Buellia aequata", "Anisolepisma hartmeyeri", "Ctenolepisma lineatum", "Acrotelsella silvestri", "Acrotelsella escherichi", "Acrotelsella devriesiana", "Acrotelsella splendens", "Acrotelsella producta", "Buellia aeruginascens", "Trinemura novaehollandiae", "Trinemura excelsa", "Periclimenes pholeter", "Thelesperma megapotamicum", "Thelesperma subnudum", "Knipowitschia thessala", "Knipowitschia radovici", "Knipowitschia longecaudata", "Knipowitschia montenegrina", "Knipowitschia mrakovcici", "Knipowitschia mermere", "Knipowitschia milleri", "Bryconalestes derhami", "Knipowitschia iljini", "Bryconalestes intermedius", "Bryconalestes longipinnis", "Knipowitschia croatica", "Knipowitschia goerneri", "Knipowitschia ephesi", "Bangana dero", "Virilia pabrensis", "Lecidea sarcogynoides", "Rhodeus amarus", "Lecidea scabrida", "Microcobitis misgurnoides", "Lecidea selenospora", "Liobagrus reinii", "Hemigrammopetersius pulcher", "Incisilabeo behri", "Lecidea subassentiens", "Lecidea subcaerulea", "Lecidea sublygomma", "Lecidea subplana", "Lecidea subsimilis", "Lecidea superjecta", "Claea dabryi", "Lecidea tenella", "Pomatoschistus tortonesei", "Pomatoschistus lozanoi", "Pomatoschistus montenegrensis", "Lecidea terrena", "Lecidea tragorum", "Lecidea turgidula", "Lecidea werthii", "Lecidea xylogena", "Lecidea aspidula", "Lecidea medusula", "Lasia caerulea", "Carasobarbus luteus", "Ceruchus yangi", "Triosteum perfoliatum", "Triosteum pinnatifidum", "Triosteum sinuatum", "Tumoris sanasaii", "Lonicera canadensis", "Lonicera arizonica", "Argulus fryeri", "Hartemita coffeana", "Argulus gracilis", "Hartemita daklaka", "Hartemita khuatbaolinhae", "Hartemita maculata", "Hartemita similis", "Hartemita vietnamica", "Hartemita singaporensis", "Heteroxiphia sinica", "Heteroxiphia tenuipalpa", "Obrieniolus robustus", "Polyphylla simoni", "Buellia arenaria", "Buellia atroflavella", "Buellia bahiana", "Buellia bogongensis", "Buellia kimberleyana", "Buellia cinnabarina", "Berzelia galpinii", "Berzelia intermedia", "Berzelia lanuginosa", "Angkapauropus leptotrichos", "Decapauropus undulatulus", "Decapauropus anatonus", "Decapauropus premnos", "Decapauropus brevilingulus", "Sphaeropauropus angulatus", "Samarangopus choanephorus", "Borneopauropus platylopas", "Sphaeropauropus convolvolutus", "Buchananiella whitei", "Buchananiella continua", "Brunia paleacea", "Lecidea interjuncta", "Stenostylus perturbatus", "Suniellus adriani", "Cytherura gibba", "Cephalops libidinosus", "Dasydorylas arthurianus", "Dasydorylas deansi", "Dasydorylas harrisi", "Tomosvaryella novaezealandiae", "Lecidea interstita", "Lecidea leptolomoides", "Lecidea ludibunda", "Lecidea lygomma", "Lecidea lygommoides", "Lecidea macquariensis", "Lecidea meiospora", "Lecidea minutula", "Lecidea multiflora", "Lecidea pelochroa", "Lecidea phaeocarpa", "Lecidea porphyria", "Knipowitschia cameliae", "Knipowitschia punctatissima", "Thelesperma simplicifolium", "Serangium giffardi", "Parahelle stuckenbergi", "Dimacrocolus pauliani", "Eucytherura ninetyeastiana", "Eucytherura parabatalaria", "Tridentiger barbatus", "Tridentiger bifasciatus", "Eucytherura indianensis", "Centranthus macrosiphon", "Tetragonias njalilus", "Buellia aeruginosa", "Buellia albula", "Mythimna separata", "Graphania ustistriga", "Plutella xylostella", "Plutella antiphona", "Eudonia albafascicula", "Silene quadriloba", "Symphoricarpos albus", "Symphoricarpos longiflorus", "Symphoricarpos microphyllus", "Symphoricarpos mollis", "Symphoricarpos occidentalis", "Symphoricarpos orbiculatus", "Symphoricarpos oreophilus", "Symphoricarpos rotundifolius", "Symphoricarpos \u00d7 chenaultii", "Symphoricarpos \u00d7 doorenbosii", "Graphosoma lineatum", "Graphosoma semipunctatum", "Leopoldamys siporanus", "Leopoldamys sabanus", "Leopoldamys edwardsi", "Leopoldamys ciliatus", "Leopoldamys milleti", "Leopoldamys neilli", "Trichocanace sinensis", "Trichocanace atra", "Trichocanace marksae", "Isocanace albiceps", "Isocanace australis", "Isocanace briani", "Isocanace flava", "Isocanace freidbergi", "Phyllidia varicosa", "Leucopsina odyneroides", "Xestoleberis obtusa", "Fedia cornucopiae", "Xestoleberis pratapsinghi", "Rhododendron sect.", "Rhododendron subsect.", "Nardostachys jatamansi", "Patrinia rupestris", "Patrinia scabiosifolia", "Patrinia sibirica", "Patrinia villosa", "Valeriana congesta", "Valeriana californica", "Valeriana acutiloba", "Valeriana amurensis", "Valeriana bridgesii", "Valeriana capitata", "Valeriana chaerophylloides", "Valeriana edulis", "Valeriana interrupta", "Valeriana jatamansi", "Valeriana kilimandscharica", "Valeriana pauciflora", "Valeriana procera", "Valeriana scandens", "Valerianella dentata", "Valerianella texana", "Valerianella echinata", "Berzelia commutata", "Geranium \u00d7 cantabrigiense", "Geranium lucidum", "Eucytherura tumida", "Africaterphis acroceroides", "Africaterphis gertschi", "Sclerochilus contortus", "Cymopterus alpinus", "Cymopterus bulbosus", "Cymopterus coulteri", "Cymopterus longipes", "Cymopterus newberryi", "Cymopterus nivalis", "Cymopterus purpurascens", "Cymopterus purpureus", "Scaphinotus angusticollis", "Zelandothorax novaezealandiae", "Domeykoa oppositifolia", "Megalothorax incertus", "Megalothorax rubidus", "Ducrosia anethifolia", "Neelus fimbriatus", "Peltigera gowardii", "Rhododendron subsect.", "Liza haematocheilus", "Scomber colias", "Scomber australasicus", "Buchananiella novaecaledoniae", "Rhododendron \u00d7 hybridum", "Rhododendron \u00d7 pictum", "Onthophagus samai", "Escallonia myrtilloides", "Escallonia myrtoidea", "Escallonia organensis", "Escallonia poasana", "Escallonia pterocladon", "Escallonia pulverulenta", "Escallonia resinosa", "Escallonia revoluta", "Escallonia rubra", "Escallonia virgata", "Escallonia \u00d7 exoniensis", "Escallonia \u00d7 langleyensis", "Hoplestigma klaineanum", "Hoplestigma pierreanum", "Paracryphia alticola", "Sphenostemon papuanus", "Columellia oblonga", "Desfontainia spinosa", "Desfontainia splendens", "Anopterus glandulosus", "Anopterus macleayanus", "Escallonia paniculata var. floribunda", "Escallonia glutinosa", "Escallonia herrerae", "Escallonia illinita", "Escallonia leucantha", "Mastomys awashensis", "Mastomys coucha", "Mastomys natalensis", "Mastomys erythroleucus", "Mastomys huberti", "Mastomys kollmannspergeri", "Mastomys pernanus", "Mastomys shortridgei", "Atherina breviceps", "Atherina lopeziana", "Rhododendron subsect.", "Laricobius naganoensis", "Epilobium anatolicum subsp. prionophyllum", "Galium divaricatum", "Niviventer andersoni", "Niviventer excelsior", "Niviventer tenaster", "Niviventer brahma", "Niviventer culturatus", "Maxomys whiteheadi", "Maxomys rajah", "Maxomys ochraceiventer", "Maxomys baeodon", "Maxomys alticola", "Praomys tullbergi", "Praomys daltoni", "Praomys delectorum", "Rhododendron \u00d7 altaclerense", "Rhododendron \u00d7 russelianum", "Rhododendron \u00d7 pennsylvanicum", "Cephalaria procera", "Deutzia coreana", "Deutzia corymbosa", "Deutzia crenata", "Deutzia discolor", "Deutzia glabrata", "Deutzia glomeruliflora", "Deutzia grandiflora", "Deutzia hamata", "Deutzia longifolia", "Deutzia maximowicziana", "Deutzia mollis", "Deutzia monbeigii", "Deutzia parviflora", "Deutzia pilosa", "Deutzia pulchra", "Deutzia purpurascens", "Deutzia rubens", "Deutzia scabra", "Deutzia schneideriana", "Deutzia setchuenensis", "Deutzia taiwanensis", "Deutzia uniflora", "Deutzia \u00d7 candelabrum", "Deutzia \u00d7 candida", "Deutzia \u00d7 carnea", "Deutzia \u00d7 elegantissima", "Deutzia \u00d7 hybrida", "Deutzia \u00d7 kalmiiflora", "Deutzia \u00d7 lemoinei", "Deutzia \u00d7 magnifica", "Deutzia \u00d7 maliflora", "Deutzia \u00d7 myriantha", "Deutzia \u00d7 rosea", "Deutzia \u00d7 wilsonii", "Canthyloscelis balaena", "Canthyloscelis antennata", "Canthyloscelis claripennis", "Canthyloscelis nigricoxa", "Hydroporus esseri", "Broussaisia arguta", "Cardiandra alternifolia", "Deinanthe bifida", "Dichroa febrifuga", "Hydrangea arborescens", "Hydrangea hirta", "Hydrangea integrifolia", "Hydrangea involucrata", "Hydrangea macrophylla", "Hydrangea paniculata", "Hydrangea quercifolia", "Hydrangea scandens", "Hydrangea serratifolia", "Hydrangea seemannii", "Carpenteria californica", "Deutzia gracilis", "Deutzia ningpoensis", "Deutzia compacta", "Buellia endoleuca", "Buellia fuliginosa", "Buellia glomerulans", "Buellia homophylia", "Buellia hypomelaena", "Buellia innata", "Buellia inturgescens", "Rhododendron \u00d7 albicans", "Buellia lactea", "Arenysuchus gascabadiolorum", "Loasa argentina", "Alangium chinense", "Alangium longiflorum", "Alangium alpinum", "Alangium platanifolium", "Alangium salviifolium", "Camptotheca acuminata", "Cornus hemsleyi", "Cornus foemina", "Cornus fulvescens", "Cornus oblonga", "Cornus disciflora", "Cornus unalaschkensis", "Cornus schindleri", "Davidia involucrata", "Nyssa aquatica", "Nyssa ogeche", "Nyssa sinensis", "Nyssa sylvatica", "Grubbia tomentosa", "Cardiastethus brounianus", "Cardiastethus consors", "Cardiastethus poweri", "Kirengeshoma palmata", "Philadelphus argyrocalyx", "Philadelphus cordifolius", "Philadelphus coronarius", "Philadelphus coulteri", "Philadelphus delavayi", "Philadelphus grandiflorus", "Philadelphus henryi", "Philadelphus lewisii", "Philadelphus microphyllus", "Philadelphus purpurascens", "Philadelphus hirsutus", "Philadelphus incanus", "Philadelphus inodorus", "Philadelphus kansuensis", "Philadelphus karwinskyanus", "Philadelphus keteleeri", "Philadelphus laxus", "Philadelphus magdelenae", "Philadelphus nepalensis", "Philadelphus pekinensis", "Philadelphus pubescens", "Philadelphus satsumanus", "Philadelphus sericanthus", "Philadelphus shikokianus", "Philadelphus subcanus", "Philadelphus tomentosus", "Philadelphus \u00d7 congestus", "Philadelphus \u00d7 cymosus", "Philadelphus \u00d7 insignis", "Philadelphus \u00d7 lemoinei", "Philadelphus \u00d7 magnificus", "Philadelphus \u00d7 maximus", "Philadelphus \u00d7 monstrosus", "Philadelphus \u00d7 nivalis", "Mentzelia albicaulis", "Mentzelia aspera", "Mentzelia conzattii", "Mentzelia decapetala", "Mentzelia densa", "Mentzelia dispersa", "Mentzelia eremophila", "Mentzelia laciniata", "Mentzelia laevicaulis", "Mentzelia leucophylla", "Mentzelia lindleyi", "Mentzelia mollis", "Mentzelia multiflora", "Mentzelia nuda", "Mentzelia packardiae", "Mentzelia pumila", "Mentzelia rhizomata", "Mentzelia torreyi", "Petalonyx linearis", "Schismocarpus pachypus", "Buellia marginulata", "Actinidia persicina", "Tympanuchus cupido attwateri", "Hydrocera triflora", "Philadelphus \u00d7 pendulifolius", "Philadelphus \u00d7 virginalis", "Whipplea modesta", "Fendlera rupicola", "Parochlus latipalpis", "Aphrotenia barnardi", "Aphrotenia tsitsikamae", "Jamesia americana", "Blumenbachia hieronymi", "Blumenbachia insignis", "Blumenbachia latifolia", "Caiophora lateritia", "Cevallia sinuata", "Eucnide aurea", "Eucnide grandiflora", "Eucnide urens", "Fuertesia domingensis", "Gronovia scandens", "Kissenia arabica", "Kissenia capensis", "Klaprothia fasciculata", "Petracola waka", "Buellia talcophila", "Buellia tristiuscula", "Petracola ventrimaculatus", "Proctoporus pachyurus", "Couratari guianensis", "Buellia ventricosa", "Eschweilera coriacea", "Eschweilera grandiflora", "Eschweilera simiorum", "Eschweilera subglandulosa", "Gustavia augusta", "Gustavia gracillima", "Gustavia macarenensis", "Gustavia speciosa", "Gustavia superba", "Lecythis lanceolata", "Lecythis ollaria", "Proctoporus bolivianus", "Lecythis chartacea", "Lecythis corrugata", "Lecythis minor", "Lecythis tuyrana", "Proctoporus cephalolineatus", "Proctoporus sucullucu", "Proctoporus unsaacae", "Proctoporus guentheri", "Asilis tumida tumida", "Purdiaea cubensis", "Cliftonia monophylla", "Gazania rigens var. rigens", "Berneuxia thibetica", "Gazania rigens var. leucolaena", "Gazania rigens var. uniflora", "Galax urceolata", "Pyxidanthera barbulata", "Diospyros affinis", "Diospyros australis", "Diospyros celebica", "Diospyros ebenum", "Diospyros whyteana", "Diospyros attenuata", "Diospyros caribaea", "Diospyros cathayensis", "Diospyros cauliflora", "Diospyros conzattii", "Diospyros crassiflora", "Diospyros crassinervis", "Diospyros decandra", "Niviventer eha", "Diospyros eriantha", "Diospyros glandulosa", "Niviventer rapit", "Diospyros glaucifolia", "Diospyros grisebachii", "Diospyros guianensis", "Niviventer cameroni", "Diospyros halesioides", "Diospyros inconstans", "Diospyros insignis", "Diospyros insularis", "Niviventer confucianus", "Diospyros japonica", "Diospyros juruensis", "Maxomys surifer", "Maxomys panglima", "Maxomys wattsi", "Maxomys hylomyoides", "Maxomys moi", "Maxomys inflatus", "Parazuphium aguilerai", "Buellia mawsonii", "Stenandra saitoae", "Stenandra asiatica", "Chorizococcus zoysiae", "Buellia microsporella", "Spilococcus mirzayansi", "Phyllodoce aleutica", "Phyllodoce breweri", "Phyllodoce caerulea", "Phyllodoce glanduliflora", "Phyllodoce nipponica", "Rhodothamnus chamaecistus", "Pityopus californica", "Pterospora andromedea", "Sprengelia incarnata", "Epacris longiflora", "Epacris obtusifolia", "Epacris paludosa", "Epacris pulchella", "Needhamiella pumilio", "Oligarrhena micrantha", "Asilis alticola", "Asilis annulicornis", "Niviventer coninga", "Diospyros kirkii", "Diospyros longibracteata", "Diospyros lycioides", "Diospyros macrophylla", "Niviventer niviventer", "Diospyros malabarica", "Diospyros maritima", "Niviventer cremoriventer", "Niviventer fulvescens", "Niviventer lepturus", "Niviventer fraternus", "Niviventer hinpoon", "Diospyros mollis", "Diospyros montana", "Diospyros moonii", "Diospyros morrisiana", "Diospyros natalensis", "Diospyros nitida", "Diospyros oblongifolia", "Diospyros oldhamii", "Diospyros oleifera", "Diospyros pallens", "Diospyros papuana", "Diospyros philippinensis", "Diospyros pilosanthera", "Diospyros rosei", "Diospyros rubra", "Diospyros rumphii", "Diospyros sintenisii", "Diospyros sonorae", "Diospyros subtruncata", "Diospyros sundaica", "Diospyros tessellaria", "Diospyros texana", "Diospyros tutcheri", "Euclea divinorum", "Euclea pseudebenus", "Euclea racemosa", "Lissocarpa benthamii", "Calicium adspersum subsp. adspersum", "Calicium adspersum subsp. australe", "Calicium atronitescens", "Calicium glebosum", "Madagascarcypris voeltzkowi", "Pterostichus bousqueti", "Pterostichus lolo", "Neophyllognathopus bassoti", "Phyllognathopus inexspectatus", "Neoneura kiautai", "Vitila undulata", "Buellia vioxanthina", "Exochomoscirtes chiangmaiensis", "Exochomoscirtes herthae", "Exochomoscirtes rutai", "Cypretta costata", "Blennius normani", "Parablennius intermedius", "Parablennius laticlavius", "Parablennius pilicornis", "Parablennius tasmanianus", "Parablennius thysanius", "Parablennius cornutus", "Parablennius cyclops", "Parablennius dialloi", "Parablennius goreensis", "Parablennius lodosus", "Parablennius marmoreus", "Parablennius opercularis", "Parablennius parvicornis", "Parablennius postoculomaculatus", "Parablennius ruber", "Parablennius salensis", "Parablennius serratolineatus", "Parablennius sierraensis", "Parablennius verryckeni", "Parablennius yatabei", "Cypris voeltzkowi", "Comarostaphylis discolor", "Comarostaphylis diversifolia", "Comarostaphylis glaucescens", "Enkianthus campanulatus", "Enkianthus cernuus", "Enkianthus chinensis", "Enkianthus deflexus", "Enkianthus perulatus", "Enkianthus quinqueflorus", "Enkianthus serrulatus", "Enkianthus subsessilis", "Bejaria aestuans", "Bejaria phillyreifolia", "Bejaria resinosa", "Elliottia bracteata", "Epigaea asiatica", "Epigaea repens", "Kalmia angustifolia", "Kalmia buxifolia", "Kalmia cuneata", "Kalmia microphylla", "Kalmia polifolia", "Maxomys bartelsii", "Maxomys hellwaldii", "Maxomys musschenbroekii", "Maxomys dollmani", "Maxomys inas", "Maxomys pagensis", "Asilis arcuata", "Asilis calleryensis", "Asilis cornuta", "Asilis dentata", "Asilis dugdalei", "Asilis dunensis", "Asilis planata", "Asilis fiordensis", "Asilis forcipifera", "Asilis grossepunctata", "Asilis homerica", "Asilis kuscheli", "Asilis laeviuscula", "Asilis lyriformis", "Asilis maori", "Asilis nelsonensis", "Asilis waipouana", "Asilis reflexodentata", "Asilis platygona", "Asilis pugiunculus", "Asilis ramosa", "Asilis reflexa", "Asilis apicalis", "Asilis brevicornis", "Asilis collaris", "Asilis fulvithorax", "Asilis laevigata", "Asilis tenuicula", "Asilis sinuella", "Asilis parallela", "Asilis pilicornis", "Asilis piliventer", "Buellia parasema", "Buellia parasema var. parasema", "Buellia parasema var. rugulosa", "Buellia perexigua", "Paspalum paspalodes", "Oncocypris voeltzkowi", "Oncocypris debundshae", "Buellia polyxanthonica", "Dracophyllum secundum", "Dracophyllum traversii", "Dracophyllum strictum", "Dracophyllum subulatum", "Dracophyllum urvilleanum", "Buellia psoromica", "Richea dracophylla", "Richea scoparia", "Brachyloma daphnoides", "Coleanthera myrtoides", "Barringtonia acutangula", "Barringtonia asiatica", "Barringtonia procera", "Barringtonia racemosa", "Barringtonia reticulata", "Barringtonia samoensis", "Careya arborea", "Petersianthus macrocarpus", "Planchonia careya", "Asteranthos brasiliensis", "Buellia xantholeuca", "Onopordum cynarocephalum", "Rhododendron subsect.", "Rhododendron subsect.", "Embolemus periallus", "Erebomyia inaequalis", "Eriastrum diffusum", "Eriastrum hooveri", "Eriastrum virgatum", "Eriastrum wilcoxii", "Eriastrum eremicum", "Eriastrum filifolium", "Eriastrum sparsiflorum", "Gilia brecciarum", "Gilia capitata", "Gilia clokeyi", "Gilia inconspicua", "Gilia tricolor", "Gilia caespitosa", "Gilia campanulata", "Gilia crassifolia", "Polycope compressa", "Scophthalmus maeoticus", "Scophthalmus aquosus", "Fidiobia dominica", "Broscus anatolicus", "Broscus bipilifer", "Lyonia ovalifolia", "Lyonia villosa", "Lyonia lucida", "Lyonia mariana", "Buellia subareolata", "Pieris floribunda", "Pieris formosa", "Pieris nana", "Pieris phillyreifolia", "Oxydendrum arboreum", "Sarcodes sanguinea", "Buellia subbadioatra", "Buellia subcoronata", "Satyria panurensis", "Buellia subnexa", "Andinosaura crypta", "Andinosaura stellae", "Andinosaura afrania", "Fouquieria columnaris", "Fouquieria splendens", "Fouquieria burragei", "Fouquieria diguetii", "Fouquieria fasciculata", "Fouquieria macdougalii", "Fouquieria purpusii", "Oreosaurus rhodogaster", "Proctoporus laudahnae", "Allantoma lineata", "Riama inanis", "Cariniana estrellensis", "Cariniana legalis", "Cariniana pyriformis", "Euspondylus nellycarrillae", "Petracola labioocularis", "Bulbothrix australiensis", "Bulbothrix lordhowensis", "Bulbothrix microscopica", "Bulbothrix queenslandica", "Bulbothrix subtabacina", "Rhaptopetalum pachyphyllum", "Marcgravia polyantha", "Marcgravia rectiflora", "Marcgravia sintenisii", "Marcgravia trinitatis", "Marcgravia umbellata", "Arnebia pulchra", "Norantea guianensis", "Schwartzia brasiliensis", "Prays alpha", "Prays delta", "Prays cingulata", "Prays lobata", "Prays inconspicua", "Lissanthe strigosa", "Melichrus erubescens", "Diplycosia heterophylla", "Diplycosia latifolia", "Diplycosia pilosa", "Buellia reagenella", "Gaultheria hispida", "Gaultheria hispidula", "Gaultheria humifusa", "Gaultheria ovatifolia", "Gaultheria trichophylla", "Gaultheria acuminata", "Gaultheria adenothrix", "Gaultheria amoena", "Gaultheria anastomosans", "Gaultheria antipoda", "Gaultheria borneensis", "Gaultheria cuneata", "Gaultheria depressa", "Gaultheria erecta", "Gaultheria fragrantissima", "Gaultheria glomerata", "Gaultheria griffithiana", "Gaultheria hookeri", "Gaultheria japonica", "Gaultheria leucocarpa", "Gaultheria mundula", "Gaultheria nummularioides", "Gaultheria oppositifolia", "Gaultheria phillyreifolia", "Gaultheria punctata", "Gaultheria pyrolifolia", "Gaultheria pyroloides", "Gaultheria reticulata", "Gaultheria rupestris", "Gaultheria semi-infera", "Gaultheria sphagnicola", "Gaultheria strigosa", "Gaultheria tomentosa", "Buellia rimulosa", "Buellia rosellotincta", "Buellia russa", "Buellia spuria var. spuria", "Leucothoe davisiae", "Leucothoe axillaris", "Leucothoe fontanesiana", "Leucothoe griffithiana", "Leucothoe keiskei", "Buellia spuria var. amblyogona", "Buellia subarenaria", "Lyonia ligustrina", "Necrophila americana", "Andinodontis guzzettii", "Gymnosteris nudicaulis", "Ipomopsis aggregata", "Ipomopsis arizonica", "Ipomopsis congesta", "Andinodontis maveetyae", "Andinodontis moreti", "Andinodontis muellermotzfeldi", "Ipomopsis polycladon", "Ipomopsis gunnisonii", "Ipomopsis laxiflora", "Ipomopsis longiflora", "Ipomopsis multiflora", "Ipomopsis rubra", "Ipomopsis sancti-spiritus", "Argentinatachoides balli", "Sinustrombus sinuatus", "Adinandra bockiana", "Adinandra ryukyuensis", "Cleyera japonica", "Eurya acuminata", "Eurya chinensis", "Eurya crenatifolia", "Calicium contortum", "Eurya emarginata", "Eurya glaberrima", "Eurya japonica", "Eurya osimensis", "Eurya yakushimensis", "Eurya zigzag", "Pentaphylax euryoides", "Ternstroemia cherreyi", "Ternstroemia gymnanthera", "Ternstroemia japonica", "Ternstroemia luquillensis", "Ternstroemia meridionalis", "Ternstroemia pringlei", "Ternstroemia ruiziana", "Ternstroemia subsessilis", "Ternstroemia sylvatica", "Ternstroemia tepezapote", "Ogcodes borneoensis", "Ogcodes taiwanensis", "Ogcodes gressitti", "Ogcodes longicolus", "Ogcodes maai", "Ogcodes luzonensis", "Visnea mocanera", "Ogcodes croucampi", "Ogcodes fasciata", "Cantua bicolor", "Ogcodes namibiensis", "Cantua buxifolia", "Ogcodes kosi", "Cobaea penduliflora", "Collomia biflora", "Australoricus oculatus", "Actaecia euchroa", "Actaecia opihensis", "Ocheovelia papua", "Ocheovelia alleni", "Ocheovelia heissi", "Ocheovelia anderseni", "Ocheovelia solomon", "Campanula grandis subsp. grandis", "Carlia bomberai", "Carlia caesius", "Cyrtodactylus epiroticus", "Cyrtodactylus klugei", "Cyrtodactylus robustus", "Cyrtodactylus tripartitus", "Cyrtodactylus batik", "Cyrtodactylus teyniei", "Lobulia alpina", "Lobulia glacialis", "Lobulia stellaris", "Lobulia subalpina", "Lobulia brongersmai", "Nactus acutus", "Nactus sphaerodactylodes", "Nactus soniae", "Gerrhopilus hades", "Typhlops eperopeus", "Cubatyphlops anousius", "Lathrolestes xochiquetzalis", "Lathrolestes quetzalcoatlus", "Lathrolestes tepeyollotlis", "Lathrolestes kukulcanis", "Festuca artvinensis", "Festuca anatolica", "Prays kalligraphos", "Prays tineiformis", "Eriastrum densifolium", "Linanthus pungens", "Tasmanitachoides angulicollis", "Tasmanitachoides balli", "Tasmanitachoides bicolor", "Tasmanitachoides fitzroyi", "Tasmanitachoides glabellus", "Tasmanitachoides hackeri", "Tasmanitachoides minor", "Tasmanitachoides wilsoni", "Tasmanitachoides hendrichi", "Tasmanitachoides kingi", "Tasmanitachoides leai", "Tasmanitachoides lutus", "Tasmanitachoides maior", "Tasmanitachoides murrumbidgensis", "Tasmanitachoides obliquiceps", "Tasmanitachoides rufescens", "Tasmanitachoides wattsensis", "Calicium laevigatum", "Tasmanitachoides hobarti", "Parkinsonia parkinsoni", "Calicium robustellum", "Gastrotrypes caudatus", "Gastrotrypes spatulatus", "Iphitrachelus lar", "Iphitrachelus africanus", "Iphitrachelus danielssoni", "Isostasius punctiger", "Isostasius polaszeki", "Leptacis bispinosa", "Leptacis udzungwensis", "Leptacis leptoventris", "Leptacis exigua", "Leptacis acanthia", "Polycopsis compressa", "Polycopsis serrata", "Tasmanitachoides comes", "Tasmanitachoides gerdi", "Thrips atactus", "Papaver arenarium", "Anochetus boltoni", "Lycoriella ingenua", "Lepidium perfoliatum", "Polycopsis compacta", "Palpita curvilinea", "Palpita nigropunctalis", "Palpita sejunctalis", "Camelina rumelica", "Polycopsis vietnamiensis", "Ethopia roseilinea", "Ethopia gigantea", "Erysimum repandum", "Ethopia crataeganea", "Erysimum kotschyanum", "Ethopia flavibrunnea", "Erysimum leucanthemum", "Scopelodes brunnea", "Scopelodes malaccana", "Scopelodes malayana", "Scopelodes melli", "Scopelodes micacea", "Polycopsis pacifica", "Acraga ciliata", "Acraga ochracea", "Polycopsis quadridentata", "Acraga goes", "Acraga ingenescens", "Acraga luteola", "Acraga hamata", "Acraga andina", "Acraga flava", "Acraga obscura", "Acraga ria", "Acraga neblina", "Acraga serrata", "Acraga infusa", "Acraga philetera", "Acraga conda", "Calicium tricolor", "Acraga moorei", "Acraga coa", "Acraga chicana", "Calicium victorianum", "Calicium victorianum subsp. victorianum", "Calicium victorianum subsp. desidiosum", "Calicium indicum", "Calicium nobile", "Calicium pyriforme", "Calicium tenuisporum", "Calicium verrucosum", "Exallodontophis albignaci", "Geodipsas laphystia", "Geodipsas zeny", "Geodipsas boulengeri", "Geodipsas infralineata", "Pholcus spilis", "Pholcus alloctospilus", "Pholcus bessus", "Pholcus wuyiensis", "Platygaster mazumbaiensis", "Platygaster ultima", "Platygaster vertexialis", "Platygaster kwamgumiensis", "Platygaster leptothorax", "Platygaster nielseni", "Platygaster sonnei", "Synopeas acutanguliceps", "Synopeas canopyanum", "Synopeas dentilamellatum", "Synopeas dorsale", "Synopeas fredskovae", "Synopeas glabratum", "Synopeas lineae", "Synopeas longiceps", "Synopeas mazumbaiense", "Synopeas semihyalinum", "Synopeas verrucosum", "Synopeas ciliarissimum", "Synopeas gnom", "Synopeas laeviventre", "Platygaster planus", "Platygaster hybrida", "Platygaster abrupta", "Platygaster clavatus", "Platygaster lineaticeps", "Platygaster rugosiceps", "Platygaster vintheri", "Platygaster occipitalis", "Platygaster striatithorax", "Platygaster munki", "Platygaster lubomasneri", "Platygaster molsensis", "Platygaster planoides", "Platygaster schlicki", "Euxestonotus error", "Euxestonotus brevicornis", "Euxestonotus flavipes", "Euxestonotus rufidens", "Euxestonotus hasselbachi", "Euxestonotus clavicornis", "Euxestonotus parallela", "Euxestonotus nitidus", "Euxestonotus pini", "Euxestonotus acuticornis", "Platygaster ericeti", "Platygaster nottoni", "Nicrophorus sayi", "Platygaster noonae", "Platygaster rugosiscutellum", "Platygaster striatitergitis", "Leptacis fusiformis", "Leptacis kenyana", "Leptacis luboi", "Leptacis graciliventris", "Leptacis filiclava", "Leptacis pilosa", "Leptacis hanseni", "Leptacis tenuis", "Leptacis longiciliata", "Leptacis brevigaster", "Leptacis bidentata", "Leptacis disticha", "Leptacis microcera", "Leptacis pubicornis", "Leptacis ndundulensis", "Leptacis equatoriana", "Leptacis pallidispina", "Leptacis villosa", "Leptacis soederlundi", "Leptacis oculata", "Leptacis xestonota", "Leptacis athos", "Leptacis aranea", "Leptacis aramis", "Leptacis africana", "Leptacis terricola", "Leptacis porthos", "Leptacis dux", "Leptacis insularis", "Leptacis nana", "Leptacis risbeci", "Leptacis mitratus", "Leptacis pauliani", "Leptacis leroyi", "Leptacis celisi", "Leptacis kivuensis", "Leptacis macrotoma", "Leptacis tipulae", "Leptacis acuticlava", "Leptacis dendrophila", "Leptacis dilatispina", "Leptacis ioannoui", "Leptacis kryi", "Leptacis latipetiolata", "Leptacis mckameyi", "Leptacis piestopleuroides", "Leptacis johnsoni", "Leptacis laevipleura", "Leptacis papei", "Leptacis popovicii", "Leptacis pronotata", "Leptacis seyrigi", "Leptacis longispinula", "Leptacis katanga", "Parabaeus ruficornis", "Parabaeus austini", "Parabaeus papei", "Parabaeus brevicornis", "Parabaeus abyssus", "Platygaster hamadryas", "Parawixia acapulco", "Parawixia honesta", "Parawixia destricta", "Parawixia barbacoas", "Parawixia rimosa", "Caloplaca aurantiaca", "Caloplaca aurantiaca f. aurantiaca", "Parawixia guatemalensis", "Parawixia tredecimnotata", "Parawixia casa", "Parawixia porvenir", "Parawixia hypocrita", "Parawixia nesophila", "Caloplaca aurantiaca f. dealbata", "Parawixia inopinata", "Caloplaca aurantiaca f. lignicola", "Parawixia velutina", "Parawixia monticola", "Parawixia hoxaea", "Parawixia matiapa", "Parawixia tomba", "Parawixia divisoria", "Parawixia tarapoa", "Parawixia ouro", "Parawixia maldonado", "Caloplaca cerina var. anthracina", "Caloplaca cerina var. microcarpa", "Chrysophyllum africanum", "Chrysophyllum albidum", "Chrysophyllum argenteum", "Chrysophyllum bicolor", "Chrysophyllum cainito", "Chrysophyllum cuneifolium", "Chrysophyllum eximium", "Chrysophyllum gonocarpum", "Chrysophyllum gorungosanum", "Chrysophyllum imperiale", "Chrysophyllum mexicanum", "Chrysophyllum oliviforme", "Chrysophyllum pomiferum", "Chrysophyllum prieurii", "Chrysophyllum pruniforme", "Chrysophyllum sanguinolentum", "Chrysophyllum venezuelanense", "Chrysophyllum viridifolium", "Ecclinusa guianensis", "Ecclinusa ramiflora", "Caloplaca cinnabarina var. cinnabarina", "Englerophytum magalismontanum", "Labramia bojeri", "Madhuca betis", "Madhuca burckiana", "Madhuca curtisii", "Madhuca longifolia", "Madhuca malaccensis", "Madhuca motleyana", "Madhuca sericea", "Madhuca utilis", "Manilkara bidentata", "Manilkara chicle", "Manilkara dardanoi", "Manilkara hexandra", "Manilkara kauki", "Manilkara rufula", "Manilkara valenzuelana", "Parawixia rigida", "Caloplaca cinnabarina var. opaca", "Manilkara zapota", "Manilkara kurziana", "Manilkara roxburghiana", "Manilkara salzmannii", "Parawixia kochi", "Parawixia audax", "Caloplaca cirrochroa f. leprosa", "Parawixia undulata", "Parawixia bistriata", "Parawixia chubut", "Aeoliscus punctulatus", "Eschmeyer nexus", "Polycope denticulata", "Polycope parvula", "Polycope quadrata", "Polycope ornata", "Paulasquama callis", "Polycope eilatensis", "Pholcus yichengicus", "Pholcus xinjiangensis", "Pholcus wangxidong", "Pholcus wangtian", "Pholcus hamatus", "Pholcus jiuwei", "Pholcus gaoi", "Loeselia mexicana", "Navarretia atractyloides", "Navarretia cotulifolia", "Navarretia divaricata", "Navarretia fossalis", "Navarretia leucocephala", "Navarretia mellita", "Navarretia squarrosa", "Navarretia intertexta", "Tylochromis leonensis", "Ficus craterostoma", "Tylochromis trewavasae", "Tylochromis praecox", "Tylochromis pulcher", "Polemonium chartaceum", "Polemonium elegans", "Tylochromis aristoma", "Tylochromis variabilis", "Tylochromis robertsi", "Roridula dentata", "Roridula gorgonias", "Tylochromis elongatus", "Tylochromis regani", "Culiseta novaezealandiae", "Culiseta tonnoiri", "Coquillettidia iracunda", "Tylochromis labrodon", "Tylochromis microdon", "Tylochromis mylodon", "Argania spinosa", "Culex pervigilans", "Aedes notoscriptus", "Aedes antipodeus", "Aedes subalbirostris", "Aedes chathamicus", "Aedes australis", "Hemidactylus brasilianus", "Philodromus dispar", "Aedes vigilax", "Metapolycope hartmanni", "Metapolycope microthrix", "Entomophthora muscae", "Polycope areolata", "Polycope clathrata", "Polycope pustulata", "Polycope sublaevis", "Sladenia celastrifolia", "Alniphyllum fortunei", "Centriscus scutatus", "Bruinsmia styracoides", "Halesia diptera", "Halesia tetraptera", "Huodendron biaristatum", "Coelomomyces opifexi", "Caloplaca byrsonimae", "Caloplaca clavigera", "Caloplaca conjungens", "Caloplaca crozetica", "Caloplaca depauperata", "Centriscus cristatus", "Micropholis acutangula", "Micropholis crassipedicellata", "Micropholis guyanensis", "Micropholis melinoniana", "Micropholis rugosa", "Mimusops elengi", "Mimusops balata", "Mimusops caffra", "Mimusops coriacea", "Mimusops obovata", "Mimusops zeyheri", "Northia seychellana", "Caloplaca elixii", "Caloplaca erythrosticta", "Palaquium amboinense", "Palaquium burckii", "Palaquium calophyllum", "Palaquium luzoniense", "Photinus carolinus", "Palaquium gutta", "Palaquium hexandrum", "Palaquium leiocarpum", "Palaquium maingayi", "Palaquium obovatum", "Palaquium philippense", "Palaquium polyandrum", "Palaquium ridleyi", "Palaquium rostratum", "Palaquium stellatum", "Payena leeri", "Phalonidia aetheria", "Phalonidia alassosaccula", "Phalonidia argyraspis", "Phalonidia assensus", "Phalonidia basiochreana", "Phalonidia bassii", "Phalonidia brilhanteana", "Phalonidia charagmophora", "Phalonidia chloridia", "Phalonidia affinitana", "Tieghemella africana", "Vitellaria paradoxa", "Vitellariopsis marginata", "Darlingtonia californica", "Heliamphora nutans", "Yanachagana polyperla", "Sarracenia flava", "Sarracenia leucophylla", "Sarracenia minor", "Sarracenia psittacina", "Sarracenia rosea", "Sarracenia alabamensis", "Terinebrica multidens", "Netechma anterofascia", "Sarracenia \u00d7 ahles", "Sarracenia \u00d7 areolata", "Sarracenia \u00d7 catesbaei", "Sarracenia \u00d7 chelsonii", "Sarracenia \u00d7 excellens", "Sarracenia \u00d7 exornata", "Sarracenia \u00d7 formosa", "Sarracenia \u00d7 gilpinii", "Sarracenia \u00d7 harperi", "Sarracenia \u00d7 mitchelliana", "Sarracenia \u00d7 moorei", "Sarracenia \u00d7 popei", "Sarracenia \u00d7 readii", "Sarracenia \u00d7 rehderi", "Sarracenia \u00d7 swaniana", "Sarracenia \u00d7 wrigleyana", "Phalonidia albipalpana", "Phalonidia amasiana", "Phalonidia chlorolitha", "Phalonidia contractana", "Phalonidia curvistrigana", "Hipposideros nicobarulae", "Mycetaspis ailynaomi", "Osornophryne simpsoni", "Palpostilpnus brevis", "Stenoloba viridicollar", "Ismarus longus", "Ismarus nigritrochanter", "Ismarus parvicellus", "Technomyrmex montaseri", "Mikeius clavatus", "Palmiriella neumanni", "Thrasorus rieki", "Cicatrix neumannoides", "Cicatrix schauffi", "Tajuria matsutaroi", "Razowskiina elcedranus", "Razowskina elcedranus", "Razowskina glochina", "Razowskina glomerula", "Razowskina psychotria", "Razowskina psydra", "Razowskina ptilota", "Razowskina fortunearia", "Razowskina senilis", "Pouteria alnifolia", "Bassiknysna jansei", "Pouteria amygdalina", "Pouteria arguacoensium", "Pseudapina lanceovalva", "Symplocos cochinchinensis", "Symplocos lucida", "Symplocos paniculata", "Symplocos racemosa", "Symplocos tinctoria", "Symplocos glomerata", "Symplocos ramosissima", "Symplocos serrulata", "Pelliciera rhizophorae", "Psiathovalva spinacea", "Ptoseulia oxyropa", "Ptoseulia ozonia", "Punoa dentparypha", "Tetramerista glabra", "Pycnocornuta pyrausta", "Ramaperta perarmata", "Ranapa paranana", "Recintona cnephasiodes", "Pouteria caimito", "Pouteria campechiana", "Pouteria dominigensis", "Pouteria durlandii", "Pouteria elegans", "Pouteria gardneri", "Pouteria gardneriana", "Pouteria glomerata", "Pouteria grandiflora", "Pouteria guianensis", "Pouteria lucuma", "Pouteria macrantha", "Pouteria macrocarpa", "Pouteria macrophylla", "Pouteria malaccensis", "Pouteria melanopoda", "Pouteria multiflora", "Pouteria nemorosa", "Pouteria pariry", "Pouteria procera", "Pouteria psammophila", "Pouteria ramiflora", "Chaunax stigmaeus", "Pouteria reticulata", "Pouteria salicifolia", "Pouteria sapota", "Pouteria speciosa", "Pouteria torta", "Pouteria ucuqui", "Pouteria venosa", "Yakovlevina albostriata", "Pouteria viridis", "Yakovlevina galina", "Pradosia brevipes", "Pradosia lactescens", "Pradosia ptychandra", "Sarcosperma laurinum", "Sideroxylon capiri", "Sideroxylon celastrinum", "Sideroxylon foetidissimum", "Sideroxylon inerme", "Sideroxylon lanuginosum", "Sideroxylon lycioides", "Sideroxylon obovatum", "Sideroxylon obtusifolium", "Sideroxylon palmeri", "Sideroxylon persimile", "Sideroxylon salicifolium", "Sideroxylon tenax", "Synsepalum stipulatum", "Centriscops humerosus", "Thelohania barra", "Aedes ashworthi", "Aedes wardangensis", "Netechma quatropuncta", "Netechma zemiotes", "Netechma saccata", "Netechma gilvoniveana", "Netechma parindanzana", "Netechma brevidagus", "Netechma pecuniosa", "Pseudomeritastis quieta", "Sisurcana vilcanotae", "Sisurcana clavus", "Sisurcana pascoana", "Sisurcana latiloba", "Sisurcana olivobrunnea", "Archipimima yanachagae", "Ophrys insectifera subsp. insectifera", "Ophrys insectifera subsp. aymoninii", "Ophrys insectifera nothosubsp. tytecaeana", "Polyspora axillaris", "Polyspora chrysandra", "Polyspora speciosa", "Pyrenaria microcarpa", "Pyrenaria spectabilis", "Pyrenaria virgata", "Gordonia lasianthus", "Cryptaspasma montana", "Schima superba", "Schima wallichii", "Clavija euerganea", "Clavija latifolia", "Clavija ornata", "Porcellio brevicaudatus", "Jacquinia aculeata", "Jacquinia arborea", "Jacquinia armillaris", "Jacquinia keyensis", "Theophrasta americana", "Theophrasta jussieui", "Xenophyes adelphus", "Berberidopsis corallina", "Achatocarpus nigricans", "Achatocarpus pubescens", "Phaulothamnus spinescens", "Metapolycope duplex", "Galenia africana", "Galenia fruticosa", "Plinthus cryptocarpus", "Tetragonia arbuscula", "Tetragonia fruticosa", "Tetragonia hirsuta", "Mesembryanthemum cryptanthum", "Psilocaulon absimile", "Psilocaulon rogersiae", "Xenophyes goniomus", "Xenophyes metoponcus", "Xenophyes rhachilophus", "Caloplaca hanneshertelii", "Conicosia pugioniformis", "Hymenogyne glabra", "Caloplaca inclinans", "Tylochromis bangwelensis", "Argyroderma delaetii", "Argyroderma testiculare", "Pleiospilos compactus subsp. canus", "Braunsia geminata", "Caloplaca lateritia", "Conioscinella spenceri", "Conioscinella speighti", "Conioscinella badia", "Conioscinella grandis", "Conioscinella apterina", "Conioscinella chathamensis", "Conioscinella fulvithorax", "Chlorops multisulcatus", "Chlorops occipitalis", "Lieparella zentae", "Melanum neozelandicum", "Lieparella elstoni", "Diplotoxa anorbitalis", "Diplotoxa gemina", "Diplotoxa harrisoni", "Diplotoxa knighti", "Diplotoxa stepheni", "Diplotoxa similis", "Diplotoxa orbitalis", "Saopaulista prima", "Searenia cuprea", "Simanica stenoptera", "Sinxema chapada", "Sinxema xenisma", "Subrebinea barrasiana", "Tapinodoxa autonephes", "Cylindrophyllum calamiforme", "Delosperma cooperi", "Delosperma nubigenum", "Delosperma ornatulum", "Dinteranthus microspermus", "Disphyma crassifolium", "Drosanthemum floribundum", "Drosanthemum lique", "Auratonota chemillena", "Omiostola paradelta", "Omiostola albidobrunnea", "Notopogon fernandezianus", "Fannia nudifemorata", "Fannia stigi", "Fannia discoculea", "Fannia postica", "Fannia ringdahlana", "Fannia aethiops", "Fannia ardua", "Fannia coculea", "Fannia spathiophora", "Metapocyrtus bifasciatus", "Erepsia heteropetala", "Erepsia pillansii", "Lithops bella", "Prismosticta hyalinata", "Prismosticta tianpinga", "Trigonopterus insignis", "Trigonopterus oblongus", "Calycidium cuneatum", "Calycidium polycarpum", "Eriphia verrucosa", "Barbarea trichopoda", "Barbarea plantaginea", "Anchonium elichrysifolium", "Montia rivularis", "Rudbeckia sect.", "Rudbeckia fulgida var. umbrosa", "Rudbeckia fulgida var. palustris", "Carbonea assentiens", "Carbonea inactiva", "Carbonea phaeostoma", "Metapocyrtus caeruleomaculatus", "Metapocyrtus iridensis", "Metapocyrtus congestus", "Metapocyrtus orbiferoides", "Petrotilapia flaviventris", "Petrotilapia xanthos", "Petrotilapia palingnathos", "Parachorius semsanganus", "Petrotilapia mumboensis", "Petrotilapia pyroscelos", "Asiphonipponaphis vasigalla", "Ctenoplectrella phaeton", "Amphoropsyche tandayapa", "Microsphecodes xaymacensis", "Frieseomelitta meadewaldoi", "Hamamelistes similibetulae", "Otiorhynchus arcticus", "Otiorhynchus dubius", "Otiorhynchus singularis", "Rudbeckia sect.", "Blyxa japonica var. recurvifolia", "Blyxa japonica", "Euptychia enyo", "Euptychia fetna", "Euptychia hannemanni", "Euptychia jesia", "Euptychia meta", "Euptychia picea", "Euptychia rubrofasciata", "Euptychia rufocincta", "Tylochromis intermedius", "Tylochromis lateralis", "Macroramphosus gracilis", "Tylochromis polylepis", "Tylochromis sudanensis", "Proctoporus oreades", "Proctoporus chasqui", "Tylochromis jentinki", "Carpobrotus acinaciformis", "Carpobrotus aequilaterus", "Carpobrotus chilensis", "Carpobrotus dimidiatus", "Cephalophyllum alstonii", "Cephalophyllum diversiphyllum", "Cheiridopsis caroli-schmidtii", "Conophytum bilobum", "Conophytum calculus", "Conophytum ectypum", "Conophytum fulleri", "Conophytum minutum", "Conophytum obcordellum", "Conophytum saxetanum", "Aedeomyia madagascarica", "Saetosacculina degenerans", "Sagittranstilla mageana", "Megalommum pistacivorae", "Metolinus binarius", "Metolinus emarginatus", "Metolinus xizangensis", "Metolinus yunnanus", "Metolinus hayashii", "Metolinus shanicus", "Metolinus gardneri", "Metolinus planulatus", "Harmonicon oiapoqueae", "Plistobunus columnarius", "Plistobunus rapax", "Enochrus andinus", "Laccobius manalicus", "Aptornis proasciarostratus", "Diplotoxa lineata", "Diplotoxa moorei", "Diplotoxa neozelandica", "Tricimba fuscipes", "Tricimba watti", "Gaurax neozealandicus", "Aedes camptorhynchus", "Mictopsichia janeae", "Mictopsichia torresi", "Mictopsichia rivadeneirai", "Mictopsichia shuara", "Gravitcornutia sodalicia", "Gravitcornutia nasifera", "Gravitcornutia recta", "Caloplaca macquariensis", "Gravitcornutia camacae", "Gravitcornutia rhomboidea", "Gravitcornutia strigulata", "Gravitcornutia caracae", "Gravitcornutia minima", "Gravitcornutia bertioga", "Caloplaca microloba", "Gravitcornutia basiceramea", "Gravitcornutia cearae", "Gravitcornutia constricta", "Gravitcornutia latiloba", "Hynhamia albicorpus", "Hynhamia bahiana", "Caloplaca mooreae", "Hynhamia diversa", "Hynhamia patatea", "Hynhamia cerina", "Hynhamia perampla", "Ayazua hyeroglyphica", "Ramaperta telemaca", "Brusqeulia sebastiani", "Brusqeulia signifera", "Brusqeulia tripuncta", "Brusqeulia guaramiranga", "Brusqeulia ceriphora", "Brusqeulia uncicera", "Brusqeulia costispina", "Brusqeulia bonita", "Brusqeulia tineimorpha", "Brusqeulia atrograpta", "Brusqeulia caracagena", "Brusqeulia baeza", "Brusqeulia monoloba", "Brusqeulia jacupiranga", "Brusqeulia atrocentra", "Guzmania zahnii", "Parapolycope germanica", "Caloplaca ochrochroa", "Caloplaca ochrolechioides", "Limeulia cimoliochroa", "Neoregelia princeps", "Caloplaca phaeocincta", "Ibateguara spinosissima", "Caloplaca sconensis", "Caloplaca tomnashii", "Catada cornesi", "Polycope difficilis", "Polycope helgolandica", "Catada vagalis", "Catada bellaria", "Catada charalis", "Crocynia glaucescens", "Amorbia trisecta", "Caloplaca phaeantha", "Caloplaca rubens", "Sparganothina aurozodion", "Sparganothina xanthozodion", "Sparganothina refugiana", "Anchicremna eulidias", "Anchicremna uncinata", "Caloplaca rugulosa", "Argyrotaenia rufina", "Argyrotaenia interfasciae", "Caloplaca scarlatina", "Argyrotaenia griseina", "Argyrotaenia graviduncus", "Argyrotaenia nigrorbis", "Argyrotaenia posticirosea", "Tsinilla stenuncus", "Tsinilla pallidipuncta", "Epinotia mediostria", "Platanthera chlorantha", "Epipactis persica", "Gladiolus kotschyanus", "Ornithogalum montanum", "Ornithogalum sigmoideum", "Sophora tomentosa var. occidentalis", "Parapolycope digitolabrum", "Foenatopus acutistigmatus", "Foenatopus annulitarsus", "Foenatopus brevimaculatus", "Foenatopus chinensis", "Foenatopus cinctus", "Foenatopus flavidentatus", "Foenatopus maculiferus", "Foenatopus menglongensis", "Foenatopus quadridens", "Foenatopus ruficollis", "Foenatopus yangi", "Megischus chaoi", "Megischus ptosimae", "Parastephanellus angulatus", "Parastephanellus brevicoxalis", "Parastephanellus zhejiangensis", "Parastephanellus brevistigma", "Parastephanellus matsumotoi", "Schlettererius determinatoris", "Schlettererius cinctipes", "Euptychia hilara", "Euptychia anacleta", "Euptychia insolata", "Euptychia cesarense", "Euptychia cesarense cesarense", "Euptychia cesarense viloriai", "Blepolenis bassus", "Blepolenis catharinae", "Blepolenis batea", "Blepolenis batea batea", "Blepolenis batea didymaon", "Blepolenis batea praegrandis", "Parapolycope kunashiri", "Macroramphosus scolopax", "Catillaria alboflavicans", "Catillaria australica", "Catillaria brisbanensis", "Catillaria bryophila", "Catillaria croceella", "Catillaria distorta", "Lacanobia kitokia", "Catillaria effugiens", "Asota chionea", "Asota comorana", "Asota concinnula", "Asota concolora", "Asota diastropha", "Asota fereunicolor", "Asota heliconia", "Ratibida columnifera var. columnifera", "Ratibida columnifera var. pulcherrima", "Malephora crocea", "Malephora smithii", "Pleiospilos bolusii", "Pleiospilos compactus", "Ruschia caroli", "Ruschia cincta", "Ruschia filamentosa", "Daedalma inconspicua inconspicua", "Daedalma inconspicua blancae", "Daedalma inconspicua variegata", "Daedalma inconspicua onorei", "Daedalma inconspicua orientalis", "Daedalma inconspicua cuencana", "Daedalma inconspicua palacio", "Daedalma inconspicua tapichalaca", "Daedalma inconspicua petitia", "Lampranthus aureus", "Lampranthus bicolor", "Lampranthus blandus", "Lampranthus conspicuus", "Lampranthus emarginatus", "Lampranthus haworthii", "Lampranthus multiradiatus", "Lampranthus productus", "Lampranthus roseus", "Lampranthus spectabilis", "Lampranthus variabilis", "Lampranthus vanputtenii", "Eoophyla continentalis", "Eoophyla corniculata", "Eoophyla profalcatalis", "Eoophyla promiscuata", "Eoophyla silvicola", "Eoophyla sumatroceratucha", "Notopogon lilliei", "Glottiphyllum depressum", "Glottiphyllum linguiforme", "Glottiphyllum salmii", "Hereroa granulata", "Hereroa stanleyi", "Dianous fengtingae", "Dianous zhujianqingi", "Dianous huanghaoi", "Juttadinteria simpsonii", "Khadia acutipetala", "Lampranthus amoenus", "Anapausis aberdarica", "Anapausis elgonensis", "Anapausis kashmirica", "Anapausis stapediformis", "Anapausis zealandica", "Daedalma dinias leticia", "Daedalma dinias romeliana", "Daedalma dinias emma", "Daedalma dinias granadillas", "Daedalma dinias radfordi", "Bledius corniger", "Daedalma rubroreducta", "Daedalma eliza", "Daedalma parvomaculata", "Daedalma vertex vertex", "Daedalma vertex milleri", "Daedalma adamsi", "Daedalma dognini", "Daedalma dognini dognini", "Daedalma dognini mirianae", "Daedalma drusilla drusilla", "Daedalma drusilla tinta", "Daedalma drusilla krugeriana", "Rhipsalis pentaptera", "Rhipsalis teres", "Maihuenia patagonica", "Maihuenia poeppigii", "Eoophyla ceratucha", "Cytisus sect.", "Chapsa asteliae", "Cytisus hirsutus", "Astragalus oreades", "Chapsa halei", "Chapsa lamellifera", "Chapsa lordhowensis", "Chapsa megalophthalma", "Chapsa minor", "Chapsa niveocarpa", "Chapsa pulchra", "Chapsa tibellii", "Pfaffia glomerata", "Pfaffia iresinoides", "Ancistrocladus tectorius", "Asteropeia multiflora", "Ullucus tuberosus", "Ophiothrix fragilis", "Armatocereus cartwrightianus", "Armatocereus laetus", "Armatocereus matucanensis", "Jasminocereus thouarsii", "Neoraimondia arequipensis", "Neoraimondia herzogiana", "Stetsonia coryne", "Dendrelaphis walli", "Aphyosemion musafirii", "Nothobranchius seegersi", "Neolindus verhaaghi", "Neolindus pastazae", "Kneria rukwaensis", "Rasbora rubrodorsalis", "Tanichthys micagemmae", "Hemimyzon ecdyonuroides", "Nemacheilus banar", "Nemacheilus cleopatra", "Schistura antennata", "Coryphantha ramillosa", "Schistura bachmaensis", "Schistura carbonaria", "Ruschia laxa", "Ruschia maxima", "Ruschia misera", "Ruschia putterillii", "Ruschia rigidicaulis", "Ruschia rubricaulis", "Ruschia serrulata", "Ruschia strubeniae", "Smicrostigma viride", "Sesuvium verrucosum", "Trianthema portulacastrum", "Trianthema triquetra", "Zaleya decandra", "Zaleya galericulata", "Zaleya pentandra", "Ratibida coahuilensis", "Ratibida latipalearis", "Ratibida mexicana", "Ratibida peduncularis", "Ratibida peduncularis var. peduncularis", "Ratibida peduncularis var. picta", "Ratibida tagetes", "Cymbium cymbium", "Brachypelma klaasi", "Chamissoa altissima", "Deeringia amaranthoides", "Deeringia polysperma", "Neocentema robecchii", "Ptilotus macrocephalus", "Ptilotus calostachyus", "Ptilotus manglesii", "Ptilotus nobilis", "Ptilotus obovatus", "Aptornis otidiformis", "Aptornis defossor", "Ptilotus polystachyus", "Ptilotus spathulatus", "Blutaparon portulacoides", "Blutaparon vermiculare", "Neogutierrezia bicolor", "Neogutierrezia chelii", "Neogutierrezia galileoi", "Neogutierrezia lagosae", "Neogutierrezia payuniensis", "Neogutierrezia scutata", "Neogutierrezia variabilis", "Andesiana brunnea", "Andesiana lamellata", "Andesiana similis", "Pteronemacheilus lucidorsum", "Pteronemacheilus meridionalis", "Neolloydia conoidea", "Calymmanthium substerile", "Coleocephalocereus fluminensis", "Kiwigaster variabilis", "Melocactus broadwayi", "Melocactus caroli-linnaei", "Melocactus curvispinus", "Melocactus harlowii", "Melocactus intortus", "Melocactus matanzanus", "Pseudopsyche endoxantula", "Hylotelephium telephium", "Oraristrix brea", "Typha \u00d7 argoviensis", "Typha subg.", "Clymenura snaiko", "Maihueniopsis clavarioides", "Maihueniopsis glomerata", "Typha lugdunensis", "Tephrocactus articulatus", "Camptocercus vietnamensis", "Corynopuntia emoryi", "Corynopuntia grahamii", "Corynopuntia kunzei", "Corynopuntia vilis", "Pereskiopsis aquosa", "Pereskiopsis porteri", "Denmoza rhodacantha", "Ferocactus johnstonianus", "Ferocactus peninsulae", "Neosclerus javanus", "Neosclerus nigerrimus", "Aloconota dabamonticola", "Aloconota diancangensis", "Aloconota erlangmontis", "Aloconota heilongjiangensis", "Aloconota houzhenziensis", "Aloconota hubeicola", "Aloconota insulsitatis", "Aloconota levitatis", "Aloconota profunda", "Aloconota sinica", "Aloconota sinocarinifera", "Aloconota sinolongula", "Aloconota sinoripicola", "Aloconota rougemonti", "Aloconota longwangensis", "Aloconota invisa", "Hueikaeana ornata", "Deflorita bella", "Deflorita paralyra", "Deflorita pulchra", "Mirollia imitata", "Mirollia lata", "Mirollia ulla", "Pachysandra procumbens", "Pachysandra axillaris", "Pachysandra axillaris subsp. axillaris", "Pachysandra axillaris subsp. stylosa", "Sarcococca coriacea", "Leuchtenbergia principis", "Lophophora williamsii", "Mammillaria elongata", "Mammillaria parkinsonii", "Mammillaria rhodantha", "Mammillaria compressa", "Mammillaria geminispina", "Mammillaria grahamii", "Mammillaria haageana", "Brachycereus nesioticus", "Discocactus bahiensis", "Discocactus catingicola", "Discocactus diersianus", "Discocactus ferricola", "Discocactus hartmannii", "Discocactus heptacanthus", "Discocactus horstii", "Discocactus placentiformis", "Discocactus pseudoinsignis", "Discocactus zehntneri", "Gopherus morafkai", "Espostoa melanostele", "Espostoa blossfeldiorum", "Espostoa lanata", "Espostoopsis dybowskii", "Haageocereus fascicularis", "Austrocylindropuntia cylindrica", "Austrocylindropuntia pachypus", "Austrocylindropuntia subulata", "Solemya elarraichensis", "Acharax gadirae", "Lucinoma asapheus", "Isorropodon megadesmus", "Parochlus squamipalpis", "Parochlus kiefferi", "Parochlus selkirki", "Parochlus ohakunensis", "Alluaudia ascendens", "Alluaudia procera", "Alluaudia comosa", "Alluaudia dumosa", "Alluaudia humbertii", "Alluaudia montagnacii", "Alluaudiopsis fiherenensis", "Alluaudiopsis marnieriana", "Decaryia madagascariensis", "Didierea madagascariensis", "Didierea trollii", "Podochlus stoutae", "Typha alekseevii", "Typha subg.", "Typha sect.", "Typha subsect.", "Anacaena ovatides", "Anacaena limbata", "Anacaena striatides", "Saponaria orientalis", "Meharia fischeri", "Meharia incurvariella", "Meharia incurvariella incurvariella", "Meharia incurvariella persica", "Meharia philbyi", "Meharia tancredii", "Meharia scythica", "Meharia semilactea", "Meharia tanganyikae", "Meharia acuta", "Melocactus oreas", "Melocactus peruvianus", "Melocactus violaceus", "Pilosocereus lanuginosus", "Pilosocereus leucocephalus", "Pilosocereus polygonus", "Pilosocereus royenii", "Uebelmannia buiningii", "Uebelmannia gummifera", "Uebelmannia pectinifera", "Weberocereus tonduzii", "Eriosyce curvispina", "Eriosyce kunzei", "Eriosyce subgibbosa", "Eulychnia acida", "Neowerdermannia vorwerkii", "Aegithalos caudatus siculus", "Ebbepterote expansa", "Aegithalos caudatus italiae", "Bastilla joviana", "Bastilla vitiensis", "Bastilla solomonensis", "Bastilla tahitiensis", "Bastilla binatang", "Bastilla myops", "Bastilla subacuta", "Bastilla cuneilineata", "Bastilla duplicata", "Bastilla flexilinea", "Bastilla missionarii", "Bastilla nielseni", "Rhipsalis baccifera", "Rhipsalis clavata", "Rhipsalis elliptica", "Rhipsalis ewaldiana", "Rhipsalis grandiflora", "Rhipsalis micrantha", "Schistura dalatensis", "Schistura huongensis", "Schistura kontumensis", "Schistura namboensis", "Coryphantha macromeris", "Coryphantha robustispina", "Coryphantha werdermannii", "Schistura psittacula", "Schistura sokolovi", "Schistura susannae", "Schistura thanho", "Schistura yersini", "Echinocactus horizonthalonius", "Echinocactus polycephalus", "Sewellia albisuera", "Sewellia breviventralis", "Sewellia patella", "Sewellia marmorata", "Pyrrhulina zigzag", "Epithelantha bokei", "Escobaria minima", "Escobaria robbinsiorum", "Escobaria sneedii", "Neosclerus armatus", "Neosclerus barbatulus", "Neosclerus barbatus", "Neosclerus bicarinatus", "Neosclerus bifidus", "Neosclerus carinatus", "Neosclerus configens", "Neosclerus dupleseriatus", "Ferocactus cylindraceus", "Neosclerus erubescens", "Neosclerus glaber", "Ferocactus viridescens", "Neosclerus hlavaci", "Neosclerus inarmatus", "Neosclerus incisus", "Neosclerus praeacutus", "Neosclerus rimatus", "Neosclerus rougemonti", "Neosclerus schillhammeri", "Neosclerus schuelkei", "Neosclerus smetanai", "Neosclerus immutatus", "Ferocactus wislizeni", "Ferocactus emoryi", "Ferocactus gracilis", "Ferocactus haematacanthus", "Ferocactus hamatacanthus", "Ferocactus histrix", "Hyponephele haberhaueri", "Hyponephele haberhaueri haberhaueri", "Hyponephele interposita", "Hyponephele interposita interposita", "Hyponephele pamira", "Hyponephele pamira pamira", "Hyponephele haberhaueri pura", "Erebia saita", "Phengaris alcon shaposhnikovi", "Catocala sinyaevi", "Leptidea darvazensis", "Leptidea reali tchuvilini", "Typha sect.", "Commelina caroliniana", "Commelina diffusa", "Commelina erecta", "Commelina tuberosa", "Commelina virginica", "Cyamops alessandrae", "Portulacaria afra", "Cyamops crosbyi", "Acanthophyllum pungens", "Graecobolanthus graecus", "Bolanthus hirsutus", "Cardionema ramosissimum", "Drymaria arenarioides", "Drymaria cordata", "Drymaria glandulosa", "Drymaria pachyphylla", "Baeopterogyna mihalyii", "Titanophyllum spiliarum", "Parochlus nigrinus", "Eoophyla falcatalis", "Eoophyla sejunctalis", "Eoophyla peribocalis", "Eoophyla dominalis", "Eoophyla thaiensis", "Eoophyla inouei", "Eoophyla nectalis", "Eoophyla ectopalis", "Eoophyla mormodes", "Eoophyla simplex", "Eoophyla hirsuta", "Eoophyla parapomasalis", "Eoophyla sinensis", "Eoophyla orchipicta", "Eoophyla saturatalis", "Eoophyla simplicialis", "Eoophyla simplicialis simplicialis", "Eoophyla simplicialis rufalis", "Scrophularia peregrina", "Rhizotrogus romanoi", "Asteriscus aquaticus", "Asteriscus daltonii", "Asteriscus graveolens", "Pallenis hierochuntica", "Asteriscus imbricatus", "Asteriscus intermedius", "Pallenis maritima subsp. maritima", "Asteriscus pinifolius", "Asteriscus schultzii", "Asteriscus sericeus", "Asteriscus smithii", "Pallenis spinosa subsp. spinosa", "Asteriscus graveolens subsp. stenophyllus", "Trox fabricii", "Trox hispidus niger", "Trox litoralis", "Ceratonema christophi", "Apoda limacodes", "Microleon longipalpis", "Heterogenea asella", "Unithosea suigensis", "Chibaraga banghaasi", "Parasa sinica", "Parasa hilarula", "Pseudopsyche dembowskii", "Mimcochylis plasmodia", "Monoceratuncus autolytus", "Monoceratuncus eriodens", "Monoceratuncus cristatus", "Monoceratuncus lugens", "Monoceratuncus tantulus", "Monoceratuncus peltatus", "Monoceratuncus cryphalus", "Monoceratuncus conviva", "Oligobalia viettei", "Sclerocactus brevihamatus", "Sclerocactus mesae-verdae", "Perlorita pilumgestatum", "Sclerocactus brevispinus", "Sclerocactus cloverae", "Sclerocactus glaucus", "Sclerocactus nyensis", "Sclerocactus papyracanthus", "Sclerocactus pubispinus", "Sclerocactus scheeri", "Sclerocactus sileri", "Ferocactus uncinatus", "Sclerocactus whipplei", "Sclerocactus wrightiae", "Notopogon macrosolen", "Strombocactus disciformis", "Notopogon xenosoma", "Phtheochroides clandestina", "Phtheochroides apicana", "Prohysterophora chionopa", "Rigidsociaria erinaceola", "Tambomachaya pollexifera", "Tenoa curicoana", "Mammillaria heyderi", "Mammillaria karwinskiana", "Mammillaria longimamma", "Mammillaria magnimamma", "Mammillaria meiacantha", "Mammillaria mystax", "Mammillaria pectinifera", "Mammillaria plumosa", "Mammillaria sphacelata", "Mammillaria sphaerica", "Mammillaria thornberi", "Mammillaria solisioides", "Obregonia denegrii", "Pediocactus bradyi", "Pediocactus knowltonii", "Pediocactus peeblesianus", "Pediocactus sileri", "Pediocactus bradyi subsp. despainii", "Pediocactus paradinei", "Pediocactus simpsonii", "Pediocactus bradyi subsp. winkleri", "Pelecyphora aselliformis", "Pelecyphora strobiliformis", "Clepsis microceria", "Quebradnotia unitriangula", "Gymnandrosoma junina", "Dichrorampha ochromosaica", "Dichrorampha aeratana", "Dichrorampha agilana", "Dichrorampha alaicana", "Dichrorampha albistriana", "Dichrorampha alexandrae", "Dichrorampha baixerasana", "Dichrorampha broui", "Eucosma rosaocellana", "Pammene medioalbana", "Gryposcleroma schidia", "Hypostromatia versicolorana", "Mimcochylis ochroplasta", "Mimcochylis plagiusa", "Mimcochylis planola", "Muschampia staudingeri", "Muschampia staudingeri staudingeri", "Muschampia staudingeri variegata", "Muschampia staudingeri variabilis", "Euthrix vulpes", "Euthrix sherpai", "Euthrix fossa", "Euthrix fossa fossa", "Euthrix fossa mariae", "Euthrix orboy", "Euthrix orboy orboy", "Euthrix orboy occasialis", "Euthrix imitatrix", "Euthrix imitatrix imitatrix", "Euthrix imitatrix tonkiensis", "Euthrix imitatrix sabon", "Euthrix imitatrix thrix", "Lenodora vittata", "Lenodora oculata", "Cosmotriche discitincta", "Cosmotriche discitincta discitincta", "Cosmotriche discitincta szini", "Microphyes litoralis", "Paronychia chartacea", "Paronychia drummondii", "Paronychia franciscana", "Pollichia campestris", "Polycarpaea corymbosa", "Polycarpaea nivea", "Halophytum ameghinoi", "Adenogramma glomerata", "Coelanthum grandiflorum", "Pseudoasaphus praecurrens", "Riella spiculata", "Riella halophila", "Anzoplana trilineata", "Marionfyfea carnleyi", "Pharnaceum incanum", "Polpoda capensis", "Calandrinia ciliata", "Claytonia lanceolata", "Claytonia perfoliata", "Claytonia rosea", "Claytonia sibirica", "Claytonia virginica", "Mammamia profuga", "Itauara alexanderi", "Itauara bidentata", "Itauara blahniki", "Itauara charlotta", "Itauara emilia", "Itauara flinti", "Itauara guyanensis", "Itauara jamesii", "Itauara julia", "Itauara lucinda", "Itauara ovis", "Itauara peruensis", "Itauara rodmani", "Itauara simplex", "Itauara spiralis", "Itauara stella", "Itauara tusci", "Herniaria glabra", "Itauara unidentata", "Itauara amazonica", "Itauara brasiliana", "Itauara plaumanni", "Herniaria hirsuta", "Itauara guarani", "Holosteum umbellatum", "Honckenya peploides", "Illecebrum verticillatum", "Pahoroides aucklandica", "Renphasma sinica", "Pahoroides balli", "Phoxomylus puncticuspis", "Pahoroides kohukohu", "Pahoroides confusa", "Pahoroides gallina", "Pahoroides forsteri", "Antarctodon sobrali", "Argaplana ranuii", "Pseudostellaria heterophylla", "Pseudostellaria jamesiana", "Scleranthus annuus", "Psilogaster loti", "Scleranthus perennis", "Psilogaster loti loti", "Psilogaster loti algeriensis", "Scleranthus biflorus", "Scleranthus diander", "Scleranthus minusculus", "Psilogaster loti simulatrix", "Scleranthus pungens", "Scleranthus singuliflorus", "Chilena similis", "Scleranthus uncinatus", "Chilena sordida", "Schiedea adamantis", "Schiedea kaalae", "Schiedea lychnoides", "Schiedea obovata", "Oxyria digyna", "Schiedea trinervis", "Schiedea verticillata", "Schiedea viscosa", "Schiedea apokremnos", "Somadasys daisensis", "Schiedea attenuata", "Schiedea diffusa", "Schiedea globosa", "Schiedea haleakalensis", "Schiedea hawaiiensis", "Schiedea helleri", "Schiedea hookeri", "Schiedea implexa", "Schiedea jacobii", "Schiedea kauaiensis", "Schiedea kealiae", "Somadasys saturatus", "Schiedea laui", "Schiedea ligustrina", "Schiedea lydgatei", "Schiedea mannii", "Schiedea membranacea", "Schiedea menziesii", "Schiedea nuttallii", "Schiedea pentandra", "Schiedea perlmanii", "Schiedea pubescens", "Schiedea salicaria", "Schiedea sarmentosa", "Schiedea spergulina", "Schiedea stellarioides", "Peloponnesia culminella", "Peloponnesia glaphyrella", "Myricaria germanica", "Hypericum bithynicum", "Sciopetris amseli", "Sciopetris hartigi", "Sciopetris karsholti", "Sciopetris melitensis", "Sciopetris pretiosa", "Sciopetris technica", "Thranitica hemicopa", "Spergula depauperata", "Spergularia rubra", "Stellaria media", "Stellaria glochidosperma", "Stellaria alsine", "Stellaria cuspidata", "Stellaria dichotoma", "Stellaria graminea", "Stellaria longipes", "Velezia rigida", "Dioncophyllum thollonii", "Triphyophyllum peltatum", "Frankenia johnstonii", "Frankenia juniperoides", "Frankenia laevis", "Frankenia salina", "Gisekia africana", "Rhipidocotyle galeata", "Clinopodes vesubiensis", "Maxfischeria ameliae", "Maxfischeria anic", "Maxfischeria briggsi", "Maxfischeria folkertsorum", "Maxfischeria ovumancora", "Coleocephalus fuscus", "Paralasa kuszenovi", "Paralasa kuszenovi kuszenovi", "Paralasa kuszenovi talastauana", "Paralasa kuszenovi issykkuli", "Paralasa jordana", "Paralasa jordana jordana", "Papaver setiferum", "Paralasa jordana seravschana", "Hyponephele huebneri", "Hyponephele huebneri huebneri", "Hyponephele huebneri iliensis", "Chazara persephone", "Ectobius aetnaeus", "Phyllodromica tyrrhenica", "Chazara persephone persephone", "Chazara persephone transies", "Chazara persephone pseudoenervata", "Melitaea ala", "Scydmoraphes panormitanus", "Melitaea ala ala", "Melitaea ala bicolor", "Melitaea ala zaisana", "Melitaea ala irtyschica", "Melitaea fergana", "Melitaea fergana fergana", "Melitaea fergana maracandica", "Melitaea fergana darvasika", "Melitaea fergana jacobsoni", "Melitaea fergana paradoxa", "Melitaea fergana grumi", "Melitaea fergana vladislavi", "Melitaea fergana khantengri", "Melitaea fergana ketmeana", "Melitaea fergana terskeana", "Melitaea fergana oxuana", "Melitaea lunulata", "Melitaea lunulata lunulata", "Melitaea lunulata merke", "Pelecystola fraudulentella", "Nemapogon arcella", "Nemapogon fuscalbella", "Nemapogon palmella", "Nemapogon oueddarella", "Lewisia brachycalyx", "Lewisia columbiana", "Lewisia cotyledon", "Lewisia maguirei", "Lewisia pygmaea", "Lewisia rediviva", "Lewisia serrata", "Montia fontana", "Montia linearis", "Australopacifica civis", "Phemeranthus mengesii", "Phemeranthus parviflorus", "Phemeranthus rugospermus", "Catillaria flavicans", "Cerastis aspira", "Catillaria frenchiana", "Catillaria grossulina", "Palaeamathes serrulata", "Catillaria melaclina", "Catillaria mycophila", "Hada antonraui", "Catillaria phaeoloma", "Catillaria polycarpa", "Catillaria rimosa", "Mesene jimena", "Catillaria rudolphii", "Catillaria scleroplaca", "Eagris sabadius", "Catillaria subintermixta", "Catillaria tenuilimbata", "Daedalma dinias", "Catillaria umbratilis", "Catillaria verrucosa", "Catillaria subfuscata", "Daedalma drusilla", "Daedalma inconspicua", "Daedalma dinias dinias", "Daedalma dinias salmoni", "Polycarpa aurata", "Notopogon armatus", "Mallacoota chiltoni", "Mallacoota petriei", "Faucaria tigrina", "Fenestraria rhopalophylla", "Frithia pulchra", "Gibbaeum album", "Gibbaeum gibbosum", "Gibbaeum heathii", "Gibbaeum petrense", "Gibbaeum pilosulum", "Gibbaeum pubescens", "Gibbaeum velutinum", "Phemeranthus spinescens", "Boerhavia coccinea", "Boerhavia erecta", "Boerhavia repens", "Boerhavia spicata", "Bougainvillea glabra", "Bougainvillea spectabilis", "Salpianthus macrodontus", "Tripterocalyx wootonii", "Tripterocalyx micranthus", "Ogcodes hirtifrons", "Pterodontia davisi", "Solenostomus armatus", "Ogcodes armstrongi", "Ogcodes waterhousei", "Ogcodes wilsoni", "Ogcodes deserticola", "Ogcodes pusillus", "Ogcodes tenuipes", "Ogcodes canberranus", "Ogcodes glomerosus", "Ogcodes lucidus", "Drosophila ananassae", "Drosophila bipectinata", "Drosophila birchii", "Drosophila denticulata", "Drosophila eugracilis", "Drosophila flavohirta", "Drosophila setifemur", "Drosophila serrata", "Drosophila ironensis", "Drosophila kikkawai", "Drosophila pinnitarsus", "Drosophila progastor", "Drosophila scopata", "Drosophila smithersi", "Drosophila pseudotakahashii", "Drosophila pseudoananassae", "Drosophila prodispar", "Nemaxera emortuella", "Haplotinea ditella", "Candelariella granuliformis", "Candelariella corviniscalensis", "Cephimallota praetoriella", "Cephimallota longipennis", "Cephimallota vittatella", "Cephimallota simplicella", "Ceratuncus affinitella", "Ceratuncus maroccanella", "Ceratuncus dzhungaricus", "Graphis paradussii", "Reisserita haasi", "Reisserita chrysopterella", "Reisserita chalcopterella", "Chorizanthe staticoides", "Chorizanthe valida", "Coccoloba ascendens", "Coccoloba barbadensis", "Coccoloba cujabensis", "Coccoloba diversifolia", "Coccoloba dussii", "Coccoloba krugii", "Coccoloba laevis", "Coccoloba latifolia", "Coccoloba manzinellensis", "Coccoloba obovata", "Coccoloba pubescens", "Coccoloba swartzii", "Coccoloba venosa", "Coccoloba uvifera", "Dodecahema leptoceras", "Eriogonum ampullaceum", "Eriogonum apricum", "Eriogonum baileyi", "Eriogonum brachyanthum", "Eriogonum caespitosum", "Eriogonum cernuum", "Eriogonum davidsonii", "Eriogonum deflexum", "Eriogonum elatum", "Eriogonum flavum", "Eriogonum gracillimum", "Eriogonum heermannii", "Eriogonum heracleoides", "Eriogonum inflatum", "Eriogonum jamesii", "Eriogonum kennedyi", "Eriogonum latifolium", "Eriogonum longifolium", "Eriogonum marifolium", "Eriogonum microthecum", "Eriogonum nidularium", "Eriogonum nudum", "Eriogonum nummulare", "Eriogonum ovalifolium", "Eriogonum pelinophilum", "Eriogonum rosense", "Eriogonum roseum", "Eriogonum sphaerocephalum", "Eriogonum trichopes", "Graphis dussii", "Reisserita luteopterella", "Tajuria matsutaroi motokoae", "Reisserita relicinella", "Reisserita irrorella", "Anomalotinea inquinatella", "Anomalotinea leucelloides", "Physena madagascariensis", "Ledenbergia seguierioides", "Petiveria alliacea", "Phytolacca acinosa", "Phytolacca bogotensis", "Phytolacca dioica", "Phytolacca dodecandra", "Phytolacca icosandra", "Phytolacca rivinoides", "Rivina humilis", "Seguieria aculeata", "Seguieria americana", "Trichostigma octandrum", "Aegialitis annulata", "Goniolimon speciosum", "Limoniastrum monopetalum", "Psylliostachys suworowii", "Afrobrunnichia erecta", "Brunnichia ovata", "Chorizanthe brevicornu", "Chorizanthe diffusa", "Chorizanthe douglasii", "Chorizanthe howellii", "Chorizanthe orcuttiana", "Chorizanthe polygonoides", "Chorizanthe pungens", "Chorizanthe robusta", "Zele ebefal", "Zele pereron", "Zele rutilus", "Zele deceptor", "Zele nigricornis", "Zele niveitarsis", "Zele gracilis", "Zele picinervis", "Zele punctatus", "Zele tuberculifer", "Meteorus affinis", "Meteorus alboannulatus", "Meteorus alborossicus", "Meteorus albulus", "Meteorus camilocamargoi", "Meteorus coffeatus", "Meteorus micrommatus", "Meteorus sterictae", "Pristaulacus rapuzzii", "Pristaulacus samai", "Koenigia forrestii", "Atraphaxis billardierei", "Atraphaxis frutescens", "Atraphaxis muschketovii", "Atraphaxis pyrifolia", "Atraphaxis seravschanica", "Atraphaxis spinosa", "Calligonum aphyllum", "Calligonum arborescens", "Calligonum azel", "Calligonum caput-medusae", "Calligonum comosum", "Calligonum elatum", "Calligonum eriopodum", "Rheum rhabarbarum", "Rheum acuminatum", "Rheum alexandrae", "Rheum australe", "Rheum compactum", "Rheum delavayi", "Rheum forrestii", "Rheum glabricaule", "Rheum globulosum", "Rheum hotaoense", "Rheum inopinatum", "Rheum kialense", "Rheum lhasaense", "Rheum likiangense", "Rheum maculatum", "Rheum moorcroftianum", "Rheum nanum", "Rheum pumilum", "Rheum racemiferum", "Rheum reticulatum", "Rheum spiciforme", "Rheum subacaule", "Rheum sublanceolatum", "Rheum tataricum", "Rheum tibeticum", "Rheum uninerve", "Rheum webbianum", "Rheum wittrockii", "Rheum yunnanense", "Rheum collinianum", "Rheum cordatum", "Rheum coreanum", "Rheum darwazicum", "Rheum fedtschenkoi", "Rheum korshinskyi", "Rheum lobatum", "Rheum lucidum", "Rheum macrocarpum", "Rheum macropterum", "Rheum maximowiczii", "Rheum palaestinum", "Rheum plicatum", "Rheum rupestre", "Rheum tetragonopus", "Rheum turkestanicum", "Fagopyrum snowdenii", "Petrocyphon phoenix", "Viola paradoxa", "Aegus hikidai", "Meteorus abdominator", "Meteorus abscissus", "Meteorus acronyctae", "Meteorus acutus", "Zele absentus", "Zele cristula", "Zele girishi", "Zele granulosus", "Zele helvitarsis", "Zele leurosus", "Zele nigra", "Zele paulus", "Zele spinosus", "Zele admirabilis", "Zele ruricola", "Zele albiditarsus", "Zele annulicrus", "Zele caligatus", "Zele chinensis", "Zele chlorophthalmus", "Zele crassifemur", "Zele levis", "Zele cubiceps", "Meteorus dos", "Meteorus mariamartae", "Meteorus megalops", "Meteorus papiliovorus", "Meteorus pseudodimidiatus", "Meteorus rogerblancoi", "Meteorus uno", "Meteorus yamijuanum", "Meteorus anicus", "Meteorus sedlaceki", "Drosophila baucipyga", "Drosophila merina", "Nemacaulis denudata", "Oxytheca dendroidea", "Oxytheca perfoliata", "Podopterus guatemalensis", "Chameloscyphon huonensis", "Ruprechtia apetala", "Ruprechtia apurensis", "Ruprechtia coriacea", "Ruprechtia costata", "Ruprechtia ramiflora", "Spaniosdascillus elongatus", "Daploeuros lamingtonensis", "Daploeuros tasmanicus", "Daploeuros spencei", "Dasyscyphon hadrostiktos", "Dasyscyphon victoriaensis", "Eurycyphon aquilus", "Eurycyphon fulvus", "Macrodascillus pannuceus", "Petrocyphon antarcticus", "Fagopyrum cymosum", "Petrocyphon arktous", "Petrocyphon dorrigoensis", "Petrocyphon hamoni", "Petrocyphon messatos", "Petrocyphon monga", "Poliaspis chathamica", "Poliaspis floccosa", "Poliaspis lactea", "Poliaspis media", "Poliaspis raouliae", "Poliaspis salicornicola", "Poliaspis argentosis", "Abgrallaspis cyanophylli", "Anoplaspis maskelli", "Anoplaspis metrosideri", "Anzaspis gahniae", "Pseudodonaspis mollyae", "Symeria phyllocladi", "Anzaspis angusta", "Solenostomus leptosoma", "Anzaspis cordylinidis", "Trullifiorinia acaciae", "Serenaspis minima", "Parlatoria fulleri", "Parlatoria pittospori", "Lepidosaphes beckii", "Lepidosaphes multipora", "Lepidosaphes pinnaeformis", "Aonidiella aurantii", "Aspidiotus nerii", "Aspidioides corokiae", "Aulacaspis rosae", "Aulacaspis rosarum", "Carulaspis juniperi", "Carulaspis minima", "Diaspidiotus ostreaeformis", "Diaspidiotus perniciosus", "Diaspis boisduvalii", "Calligonum leucocladum", "Calligonum membranaceum", "Calligonum microcarpum", "Calligonum persicum", "Calligonum rotula", "Calligonum rubescens", "Calligonum setosum", "Calligonum triste", "Calligonum turbineum", "Oxygonum atriplicifolium", "Rhodostrophia lenis", "Rhodostrophia vartianae", "Polygonum douglasii", "Polygonum erectum", "Polygonum hickmanii", "Polygonum paronychia", "Polygonum polygaloides", "Polygonum ramosissimum", "Polygonum argyrocoleon", "Polygonum equisetiforme", "Xenochlorodes gilvescens", "Idaea rufaria", "Triplaris americana", "Triplaris cumingiana", "Idaea rufaria rufaria", "Triplaris melaenodendron", "Triplaris weigeltiana", "Idaea rufaria imami", "Idaea micropaga", "Idaea macropaga", "Solenostomus cyanopterus", "Solenostomus halimeda", "Muehlenbeckia complexa", "Muehlenbeckia ephedroides", "Muehlenbeckia peruviana", "Muehlenbeckia sagittifolia", "Emex australis", "Emex spinosa", "Rheum nobile", "Rheum officinale", "Eriogonum umbellatum", "Eriogonum wrightii", "Eriogonum abertianum", "Eriogonum alatum", "Eriogonum androsaceum", "Eriogonum annuum", "Eriogonum argophyllum", "Eriogonum bicolor", "Eriogonum compositum", "Eriogonum corymbosum", "Eriogonum crosbyae", "Eriogonum divaricatum", "Eriogonum effusum", "Eriogonum elongatum", "Eriogonum lemmonii", "Eriogonum leptocladon", "Eriogonum leptophyllum", "Eriogonum niveum", "Eriogonum racemosum", "Eriogonum rotundifolium", "Eriogonum shockleyi", "Eriogonum subreniforme", "Eriogonum tenellum", "Eriogonum visheri", "Eriogonum thymoides", "Eriogonum codium", "Eriogonum crocatum", "Eriogonum gypsophilum", "Eriogonum molle", "Drosophila yakuba", "Drosophila erecta", "Drosophila mauritiana", "Drosophila orena", "Drosophila santomea", "Drosophila sechellia", "Drosophila teissieri", "Meteorus amazonensis", "Meteorus andrae", "Meteorus antioquensis", "Meteorus boyacensis", "Meteorus calimai", "Meteorus caquetensis", "Meteorus cecavorum", "Meteorus chingazensis", "Meteorus dixi", "Meteorus farallonensis", "Meteorus guacharensis", "Meteorus guineverae", "Meteorus huilensis", "Meteorus iguaquensis", "Meteorus jerodi", "Meteorus magdalensis", "Meteorus muiscai", "Meteorus quimbayensis", "Meteorus santanderensis", "Meteorus alejandromasisi", "Meteorus corniculatus", "Meteorus desmiae", "Platycerus canae", "Plusioglyphiulus dubius", "Platycerus yangi", "Glyphiulus formosus", "Glyphiulus pulcher", "Glyphiulus sinensis", "Glyphiulus javanicus", "Glyphiulus mediator", "Glyphiulus siamensis", "Cambridgea australis", "Glyphiulus vietnamicus", "Cambridgea peelensis", "Cambridgea inaequalis", "Glyphiulus zorzini", "Cambridgea longipes", "Cambridgea obscura", "Glyphiulus recticullus", "Cambridgea solanderensis", "Glyphiulus obliteratus", "Glyphiulus costulifer", "Glyphiulus intermedius", "Glyphiulus mediobliteratus", "Glyphiulus obliteratoides", "Glyphiulus paracostulifer", "Glyphiulus parobliteratus", "Glyphiulus percostulifer", "Glyphiulus subcostulifer", "Glyphiulus subobliteratus", "Glyphiulus subgranulatus", "Glyphiulus paragranulatus", "Glyphiulus semigranulatus", "Glyphiulus pergranulatus", "Glyphiulus beroni", "Glyphiulus deharvengi", "Glyphiulus latellai", "Glyphiulus basalis", "Glyphiulus bedosae", "Glyphiulus adeloglyphus", "Glyphiulus anophthalmus", "Glyphiulus balazsi", "Glyphiulus capucinus", "Glyphiulus granulatus", "Glyphiulus lipsorum", "Glyphiulus melanoporus", "Glyphiulus rayrouchi", "Glyphiulus quadrohamatus", "Glyphiulus septentrionalis", "Glyphiulus superbus", "Chonecambala crassicauda", "Fusilaspis phymatodidis", "Hemiberlesia lataniae", "Hemiberlesia rapax", "Kuwanaspis pseudoleucaspis", "Lepidosaphes ulmi", "Lindingaspis rossi", "Pinnaspis aspidistrae", "Poliaspoides leptocarpi", "Pseudaulacaspis brimblecombei", "Pseudaulacaspis eugeniae", "Pseudoparlatoria parlatorioides", "Symeria intermedia", "Symeria leptospermi", "Symeria pyriformis", "Solenostomus paegnius", "Pellucidaspis epiphytidis", "Rumex aquaticus", "Rumex maderensis", "Rumex vesicarius", "Drosophila dianensis", "Plusioglyphiulus panhai", "Plusioglyphiulus antiquior", "Plusioglyphiulus sutchariti", "Plusioglyphiulus likhitrakarni", "Plusioglyphiulus pimvichaiae", "Plusioglyphiulus erawan", "Plusioglyphiulus wat", "Plusioglyphiulus tham", "Plusioglyphiulus phra", "Plusioglyphiulus jaydee", "Plusioglyphiulus puttakun", "Plusioglyphiulus saksit", "Plusioglyphiulus samakkee", "Plusioglyphiulus bessoni", "Plusioglyphiulus ampullifer", "Cambridgea ambigua", "Platycerus masumotoi", "Plusioglyphiulus bedosae", "Plusioglyphiulus deharvengi", "Plusioglyphiulus foveatus", "Plusioglyphiulus hoffmani", "Plusioglyphiulus pallidior", "Plusioglyphiulus similis", "Plusioglyphiulus steineri", "Plusioglyphiulus cavernicolus", "Platycerus hongwonpyoi quanbaoshanus", "Plusioglyphiulus grandicollis", "Plusioglyphiulus boutini", "Plusioglyphiulus macfarlanei", "Phanerotoma ponti", "Phanerotoma elbaiensis", "Leenurina khualaza", "Leenurina pomorskii", "Lucanus jietuii", "Lucanus suzumurai", "Lucanus takakuwai", "Dorcus fujiii", "Dorcus tanakai", "Rhabdodendron amazonicum", "Rhabdodendron macrophyllum", "Sarcobatus vermiculatus", "Simmondsia chinensis", "Stegnosperma halimifolium", "Reaumuria reflexa", "Tamarix aphylla", "Tamarix chinensis", "Tamarix gallica", "Tamarix hispida", "Tamarix parviflora", "Tamarix dioica", "Tamarix gracilis", "Tamarix jordanis", "Tamarix karelinii", "Tamarix korolkowii", "Tamarix laxa", "Tamarix nilotica", "Tamarix palaestina", "Tamarix smyrnensis", "Tamarix stricta", "Tamarix tetragyna", "Tamarix tetrandra", "Penichrolucanus kabakovi", "Corbichonia decumbens", "Cyttaria hariotii", "Rumex abyssinicus", "Rumex alpestris", "Rumex altissimus", "Rumex arcticus", "Rumex bequaertii", "Rumex brownii", "Rumex confertus", "Rumex cordatus", "Rumex cyprius", "Rumex giganteus", "Rumex gmelinii", "Rumex hastatulus", "Rumex hymenosepalus", "Rumex occidentalis", "Rumex orthoneurus", "Rumex papilio", "Rumex romassa", "Rumex roseus", "Rumex sagittatus", "Rumex salicifolius", "Rumex songaricus", "Rumex stenophyllus", "Rumex thyrsoides", "Rumex tianschanicus", "Rumex triangulivalvis", "Rumex usambarensis", "Rumex venosus", "Rumex verticillatus", "Amauronematus viduatus", "Kionopauropus alyeskaensis", "Kionopauropus facetus", "Kionopauropus lituiger", "Eurypauropus arcuatus", "Rissoella morrocoyensis", "Rissoella venezolanicola", "Buthus kunti", "Caliroa cerasi", "Gunnera manicata", "Gunnera tinctoria", "Gunnera petaloidea", "Gunnera magellanica", "Gunnera masafuerae", "Subcyrtus splendens", "Cambridgea decorata", "Cambridgea insulana", "Cambridgea elongata", "Cambridgea mercurialis", "Cambridgea pallidula", "Cambridgea ordishi", "Cambridgea elegans", "Cambridgea tuiae", "Ogcodes variegatus", "Ogcodes neavei", "Ogcodes congoensis", "Ogcodes trilineatus", "Ogcodes lineatus", "Ogcodes marginifasciatus", "Ogcodes insignis", "Ogcodes sexmaculatus", "Ogcodes siberiensis", "Ogcodes castaneus", "Ogcodes fratellus", "Pamphagus ortolaniae", "Ochropleura implecta", "Paradiarsia littoralis", "Cerastis robertsoni", "Cerastis enigmatica", "Cerastis gloriosa", "Lycophotia phyllophora", "Noctua comes", "Spaelotis bicava", "Spaelotis unicava", "Spaelotis velicava", "Spaelotis quadricava", "Zamenis lineatus", "Brexia madagascariensis", "Catha edulis", "Cheiloclinium cognatum", "Crossopetalum rhacoma", "Denhamia pittosporoides", "Elaeodendron australe", "Tryphosella longidactyla", "Tryphosella longiseta", "Tryphosella lowryi", "Tryphosella metacaecula", "Tryphosella orana", "Tryphosella sarsi", "Amaryllis carrascoi", "Rosa sect.", "Cryptopimpla carinifacialis", "Cryptopimpla flavifacialis", "Cryptopimpla flavipedalis", "Cryptopimpla maculifacialis", "Cryptopimpla rufipedalis", "Cryptopimpla brevis", "Cryptopimpla henanensis", "Cryptopimpla taiwanensis", "Polygonanthus amazonicus", "Hillebrandia sandwicensis", "Matsutaroa iljai", "Drupadia hayashii", "Arhopala tomokoae", "Bagarius yarrelli", "Agrilus watanukiorum", "Parascatonomus itiokai", "Emys trinacris", "Paxistima myrsinites", "Peritassa campestris", "Peritassa huanucana", "Peritassa pruinosa", "Ptelidium integrifolium", "Putterlickia pyracantha", "Reissantia indica", "Schaefferia frutescens", "Stackhousia minima", "Tontelea micrantha", "Tripterococcus brunonis", "Tripterygium wilfordii", "Lepidobotrys staudtii", "Anisophyllea apetala", "Combretocarpus rotundatus", "Arneria alinae", "Arneria filiformis", "Philanthaxia chalcogenioides", "Philanthaxia jakli", "Philanthaxia lombokana", "Philanthaxia pseudoaenea", "Intestinarius guangdongensis", "Intestinarius longiceps", "Malpolon monspessulanus insignitus", "Corticeus cephalotes", "Podarcis waglerianus", "Metrocoris sunda", "Metrocoris borneensis", "Metrocoris tigrinus", "Metrocoris celebensis", "Metrocoris luzonicus", "Metrocoris philippinensis", "Metrocoris zetteli", "Metrocoris tenuicornis", "Metrocoris nigrofasciatus", "Metrocoris squamifer", "Metrocoris strangulator", "Microtropis discolor", "Paxistima canbyi", "Elaeodendron croceum", "Elaeodendron curtipendulum", "Elaeodendron glaucum", "Elaeodendron orientale", "Elaeodendron xylocarpum", "Elaeodendron zeyheri", "Euonymus alatus", "Euonymus americanus", "Lacerta bilineata chloronota", "Euonymus atropurpureus", "Brachythemis leucosticta", "Tonna sulcosa", "Acrida turrita", "Alpenus whalleyi", "Alpenus wichgrafi", "Alpenus thomasi", "Alpenus auriculatus", "Micralarctia australis", "Micralarctia toulgoeti", "Euonymus echinatus", "Euonymus fimbriatus", "Euonymus fortunei", "Euonymus frigidus", "Euonymus grandiflorus", "Euonymus hamiltonianus", "Euonymus macropterus", "Euonymus melananthus", "Euonymus nanoides", "Euonymus nanus", "Euonymus obovatus", "Euonymus occidentalis", "Euonymus oxyphyllus", "Euonymus phellomanus", "Euonymus sachalinensis", "Euonymus sanguineus", "Euonymus semenovii", "Euonymus wilsonii", "Euonymus acanthocarpus", "Euonymus bullatus", "Euonymus dielsianus", "Euonymus giraldii", "Euonymus javanicus", "Euonymus kwangtungensis", "Euonymus laxiflorus", "Euonymus maximowiczianus", "Euonymus nitidus", "Euonymus oblongifolius", "Euonymus pallidifolius", "Euonymus lucidus", "Euonymus porphyreus", "Euonymus przewalskii", "Euonymus schensianus", "Euonymus theifolius", "Chaoborus fryeri", "Pterostichus kimioi", "Hymenaphorura reducta", "Hymenaphorura ridibunda", "Hymenaphorura alaskana", "Hymenaphorura granulata", "Hymenaphorura sensitiva", "Hymenaphorura superba", "Hymenaphorura nearctica", "Hymenaphorura mystica", "Hymenaphorura teretis", "Hymenaphorura anatolii", "Hymenaphorura palaearctica", "Taitastreptus flavipes", "Intestinarius kuzmini", "Hypsilara royi", "Pyrocoelia prolongata", "Torrenticola nanshihensis", "Torrenticola taiwanicus", "Agrilus aliciae", "Glyptopetalum ilicifolium", "Gyminda latifolia", "Pristimera celastroides", "Hippocratea volubilis", "Lophopetalum javanicum", "Lophopetalum wightianum", "Lophopetalum beccarianum", "Lophopetalum floribundum", "Lophopetalum multinervium", "Lophopetalum pachyphyllum", "Lophopetalum pallidum", "Lophopetalum rigidum", "Lophopetalum subobovatum", "Macgregoria racemigera", "Maurocenia frangula", "Maytenus ilicifolia", "Maytenus laevis", "Maytenus magellanica", "Maytenus acuminata", "Maytenus aquifolium", "Maytenus krukovii", "Maytenus quadrangulata", "Maytenus reynosioides", "Maytenus undata", "Limaya longitarsis", "Paraheptagyia cinerascens", "Paraheptagyia nitescens", "Paraheptagyia semiplumata", "Paraheptagyia tasmaniae", "Paraheptagyia tonnoiri", "Paraheptagyia umbraculata", "Paraheptagyia andina", "Heptagyia annulipes", "Chironocesa antiqua", "Chironocesa gelida", "Chironocesa valdesiana", "Arhopala japonica", "Decevania feitosai", "Dacalana kurosawai", "Tajuria mizunumai", "Pseudoeudesis sicula", "Pseudoeudesis sulcipennis", "Faronus vitalei", "Eusphalerum bivittatum", "Eusphalerum sicanum", "Boreaphilus pacei", "Entomoculia caprai", "Leptobium siculum", "Xantholinus vitalei", "Haplidia massai", "Photosella charlotteae", "Photosella miersi", "Photosella mucronata", "Tryphosella abyssalis", "Tryphosella angulata", "Tryphosella biloba", "Tryphosella californica", "Tryphosella camela", "Tryphosella horingi", "Tryphosella insignis", "Tryphosella minima", "Tryphosella quadrata", "Tryphosella umbonatus", "Tryphosella ama", "Tryphosella apalachicola", "Tryphosella astrolabensis", "Tryphosella bet", "Tryphosella betka", "Tryphosella bicheno", "Tryphosella cameloides", "Tryphosella chinchilla", "Tryphosella cooee", "Tryphosella flynnana", "Tryphosella fortescue", "Tryphosella freycinet", "Tryphosella martrudan", "Tryphosella oupi", "Tryphosella rodondo", "Tryphosella seasana", "Tryphosella serans", "Tryphosella sorell", "Tryphosella tathra", "Tryphosella toowoomba", "Tryphosella tuckanarra", "Tryphosella wangaratta", "Tryphosella wongada", "Coriaria myrtifolia", "Coriaria arborea", "Coriaria himalayensis", "Coriaria japonica", "Coriaria nepalensis", "Coriaria ruscifolia", "Coriaria terminalis", "Corynocarpus laevigatus", "Paralovricia beroni", "Onthophagus psychopompus", "Onthophagus annoyeri", "Coccinia abyssinica", "Coccinia adoensis", "Coccinia keayana", "Onthophagus funestus", "Onthophagus hericiniformis", "Onthophagus intricatus", "Onthophagus macroliberianus", "Onthophagus montreuili", "Gnorimella maculosa", "Onthophagus quiproquo", "Onthophagus stanleyi", "Onthophagus pseudoliberianus", "Onthophagus spitsbergeniensis", "Onthophagus chumphonensis", "Onthophagus ranongensis", "Onthophagus isanus", "Onthophagus kaosoidowensis", "Onthophagus konsarnensis", "Onthophagus mordindangus", "Onthophagus phatoensis", "Onthophagus pimpasaleei", "Onthophagus sangwalus", "Onthophagus samoengus", "Onthophagus thainuaensis", "Onthophagus tungkamungensis", "Onthophagus wangnamkieous", "Parascatonomus masahiroi", "Parascatonomus thaitai", "Coccinia longicarpa", "Onthophagus thailaevis", "Coccinia palmata", "Onthophagus kaengkrachangus", "Coccinia rehmannii", "Coccinia sessilifolia", "Cogniauxia trilobata", "Ichthyoelephas humeralis", "Diplocyclos palmatus", "Ruthalicia eglandulosa", "Calycophysum pedunculatum", "Calycophysum spectabile", "Botrylloides delicatus", "Onthophagus caesariatus", "Onthophagus demarzi", "Trioza machilicola", "Pseudoclanis kakamegae", "Pseudoclanis somaliae", "Pseudoclanis tomensis", "Pseudoclanis evestigata", "Pseudoclanis zairensis", "Cayaponia africana", "Cayaponia amazonica", "Cayaponia americana", "Cayaponia angustiloba", "Cayaponia attenuata", "Cayaponia boliviensis", "Cayaponia bonariensis", "Cayaponia botryocarpa", "Cayaponia buraeavii", "Cayaponia cabocla", "Manduca gloriosa", "Cayaponia capitata", "Cayaponia caulobotrys", "Cayaponia citrullifolia", "Cayaponia cogniauxiana", "Manduca lamasi", "Cayaponia coriacea", "Cayaponia cruegeri", "Cayaponia denticulata", "Cayaponia diversifolia", "Cayaponia duckei", "Cayaponia espelina", "Cayaponia ferruginea", "Cayaponia floribunda", "Cayaponia fluminensis", "Manduca duquefi", "Cayaponia glandulosa", "Cayaponia gracillima", "Cayaponia granatensis", "Cayaponia guianensis", "Cayaponia jenmanii", "Cayaponia longifolia", "Cayaponia longiloba", "Cayaponia macrocalyx", "Cayaponia martiana", "Cayaponia membranacea", "Cayaponia metensis", "Cayaponia micrantha", "Cayaponia nitida", "Cayaponia noronhae", "Cayaponia ophthalmica", "Cayaponia oppositifolia", "Cayaponia palmata", "Scrophularia peyronii", "Lucillella arcoirisa", "Cayaponia peruviana", "Cayaponia pilosa", "Cayaponia podantha", "Lucillella camissa", "Cayaponia quinqueloba", "Cayaponia racemosa", "Cayaponia rigida", "Cayaponia rugosa", "Cayaponia ruizii", "Lucillella suberra", "Cayaponia selysioides", "Cayaponia sessiliflora", "Cayaponia setulosa", "Cayaponia simplicifolia", "Cayaponia tayuya", "Ichthyoelephas longirostris", "Onthophagus abeillei", "Onthophagus abreui", "Onthophagus abruptus", "Onthophagus absyrtus", "Onthophagus abyssinicus", "Onthophagus academus", "Parascatonomus accedens", "Onthophagus acerus", "Onthophagus aciculatulus", "Onthophagus acrisius", "Polynoncus bullatus", "Polynoncus patriciae", "Polynoncus patagonicus", "Polynoncus hemisphaericus", "Polynoncus erugatus", "Polynoncus brevicollis", "Polynoncus gibberosus", "Polynoncus aeger", "Polynoncus gemmifer", "Polynoncus haafi", "Polynoncus burmeisteri", "Polynoncus neuquen", "Polynoncus guttifer", "Polynoncus peruanus", "Cayaponia ternata", "Cayaponia tessmannii", "Cayaponia triangularis", "Cayaponia trifoliolata", "Lucillella asterra", "Cayaponia trilobata", "Cayaponia tubulosa", "Cayaponia ulei", "Cayaponia villosissima", "Cayaponia weddellii", "Lucillella pomposa", "Cucurbita cordata", "Cucurbita ecuadorensis", "Cucurbita pedatifolia", "Cucurbita radicans", "Cucurbita foetidissima", "Cucurbita lundelliana", "Satyrium titus", "Satyrium titus titus", "Peponopsis adhaerens", "Polyclathra cucumerina", "Schizocarpum fileforme", "Schizocarpum palmeri", "Schizocarpum parviflorum", "Schizocarpum reflexum", "Satyrium titus carrizozo", "Sicana odorifera", "Satyrium titus immaculosus", "Momordica balsamina", "Momordica cochinchinensis", "Phaneta browni", "Momordica dioica", "Momordica foetida", "Momordica angustisepala", "Momordica cabrae", "Momordica calantha", "Momordica cissoides", "Momordica peteri", "Momordica rostrata", "Momordica trifoliolata", "Phaneta arenana", "Siraitia grosvenorii", "Siraitia siamensis", "Siraitia sikkimensis", "Sicyos microphyllus", "Sicyos pachycarpus", "Prochilodus costatus", "Ampelosicyos major", "Ampelosicyos scandens", "Peponium sublitorale", "Peponium vogelii", "Prochilodus hartii", "Prochilodus lacustris", "Rhinanthus osiliensis", "Helichrysum yurterianum", "Helichrysum chionophilum", "Helichrysum unicapitatum", "Lophostoma occidentale", "Tenuipalpus omani", "Lethrus liviae", "Trox elkantaraensis", "Trox cyrenaicus", "Onthophagus dellacasai", "Thladiantha davidii", "Thladiantha hookeri", "Thladiantha oliveri", "Thladiantha nudiflora", "Cucumis aculeatus", "Cucumis africanus", "Cucumis baladensis", "Cucumis canoxyi", "Cucumis carolinus", "Cucumis globosus", "Cucumis hastatus", "Cucumis heptadactylus", "Cucumis insignis", "Cucumis jeffreyanus", "Cucumis kalahariensis", "Cucumis meeusei", "Cucumis messorius", "Cucumis prolatior", "Cucumis pubituberculatus", "Cucumis pustulatus", "Cucumis quintanilhae", "Cucumis rigidus", "Cucumis sacleuxii", "Cucumis thulinianus", "Cucumis zambianus", "Cucumis zeyheri", "Cucumis hirsutus", "Cucumis humifructus", "Cucumis rostratus", "Cucumis javanicus", "Cucumis leiospermus", "Cucumis maderaspatanus", "Cucumis ritchiei", "Cucumis rumphianus", "Cucumis sagittatus", "Cucumis aetheocarpus", "Cucumis asper", "Cucumis bryoniifolius", "Cucumis cinereus", "Cucumis clavipetiolatus", "Cucumis engleri", "Cucumis indicus", "Cucumis kelleri", "Cucumis kirkbridei", "Cucumis reticulatus", "Cucumis silentvalleyi", "Cucumis subsericeus", "Johnsonita johnbanksi", "Johnsonita auda", "Johnsonita catadupa", "Johnsonita pardoa", "Ibervillea hypoleuca", "Ibervillea lindheimeri", "Ibervillea millspaughii", "Ibervillea sonorae", "Ibervillea tenuisecta", "Triton litoreus", "Kedrostis abdallai", "Kedrostis africana", "Kedrostis bennettii", "Kedrostis crassirostrata", "Melothria dulcis", "Melothria pallidinervia", "Melothria pendula", "Melothria scabra", "Melothria trilobata", "Melothria uliginosa", "Zehneria anomala", "Zehneria bodinieri", "Zehneria capillacea", "Zehneria emirnensis", "Zehneria hallii", "Zehneria keayana", "Zehneria marlothii", "Zehneria minutiflora", "Zehneria pallidinervia", "Zehneria parvifolia", "Zehneria scabra", "Zehneria thwaitesii", "Zehneria viridifolia", "Zehneria grayana", "Zehneria neocaledonica", "Zehneria pisifera", "Cyclanthera brachystachya", "Cyclanthera dissecta", "Cyclanthera langaei", "Cyclanthera mathewsii", "Vaseyanthus insularis", "Prochilodus brevis", "Sechiopsis tetraptera", "Sechiopsis triquetra", "Prochilodus britskii", "Sechium compositum", "Sechium hintonii", "Sechium tacaco", "Sechium jamaicense", "Sicyos albus", "Sicyos baderoa", "Sicyos hillebrandii", "Sicyos lasiocephalus", "Sicyos mcvaughii", "Turanecio davisii", "Turanecio jurineifolius", "Turanecio taraxacifolius var. taraxacifolius", "Turanecio taraxacifolius var. discoideus", "Nassarius pygmaeus", "Cymaenes finca", "Cymaenes albiventris", "Cymaenes albiventris albiventris", "Cymaenes albiventris capixaba", "Cymaenes campestris", "Cymaenes chapa", "Cymaenes laza", "Cymaenes riba", "Veadda veadeira", "Morys sobra", "Adlerodea mineira", "Ouleus fridericus", "Ouleus fridericus fridericus", "Ouleus fridericus candangus", "Quadrus u-lucida", "Quadrus u-lucida u-lucida", "Quadrus u-lucida parabus", "Dardarina para", "Radiatus bradus", "Vidius felus", "Siderus bouvieri", "Ocaria cinerea", "Evenus candidus", "Lamprospilus decorata", "Nicolaea demilineata", "Nicolaea cupa", "Lamprospilus draudti", "Polynoncus aricensis", "Polynoncus pilularius", "Polynoncus gemmingeri", "Polynoncus bifurcatus", "Polynoncus parafurcatus", "Polynoncus juglans", "Polynoncus brasiliensis", "Polynoncus sallei", "Polynoncus gordoni", "Polynoncus seymourensis", "Polynoncus galapagoensis", "Polynoncus tenebrosus", "Polynoncus ecuadorensis", "Polynoncus pedestris", "Polynoncus longitarsis", "Polynoncus chilensis", "Polynoncus mirabilis", "Polynoncus diffluens", "Prochilodus argenteus", "Polynoncus pampeanus", "Onthophagus petrovitzianus", "Onthophagus eulaminicornis", "Onthophagus embersoni", "Proterospastis merdella", "Neomariania partinicensis", "Deudorix philippinensis", "Tetranychus lambi", "Tetranychus turkestani", "Rachana circumdata", "Phaneta corculana", "Phaneta mormonensis", "Phaneta indagatricana", "Phaneta misturana", "Phaneta labiata", "Phaneta goblinana", "Phaneta latens", "Rachana circumdata panayensis", "Phaneta minimana", "Melancium campestre", "Kedrostis foetidissima", "Kedrostis leloja", "Kedrostis nana", "Miocalles akao", "Miocalles albolineatus", "Miocalles benyatsae", "Miocalles bilunatus", "Miocalles hemata", "Miocalles hiri", "Miocalles kakoio", "Miocalles kakumi", "Miocalles kerekere", "Miocalles kirioi", "Psiguria ottoniana", "Miocalles kohlbergeri", "Psiguria pedata", "Psiguria racemosa", "Miocalles longirostris", "Psiguria umbrosa", "Psiguria warscewicizii", "Miocalles maii", "Miocalles mangie", "Miocalles marotiriformis", "Miocalles micrabnormis", "Miocalles namuere", "Miocalles nui", "Miocalles onu", "Miocalles oparuaformis", "Miocalles perau", "Solena amplexicaulis", "Miocalles rapacis", "Miocalles reticulirostris", "Miocalles reticuliventris", "Miocalles squamiventris", "Miocalles vairaatea", "Miocalles zimmermani", "Telfairia occidentalis", "Telfairia pedata", "Naja haje", "Fevillea trilobata", "Fevillea pergamentacea", "Fevillea pedatifolia", "Fevillea cordifolia", "Gynostemma pentaphyllum", "Hemsleya amabilis", "Onthophagus panici", "Omorgus capillamentis", "Prochilodus magdalenae", "Ranunculus cassubicus", "Melampyrum nemorosum", "Melampyrum sylvaticum", "Pulsatilla pratensis", "Ogcodes victoriensis", "Turanecio cariensis", "Turanecio hypochionaeus", "Turanecio lazicus", "Turanecio lorentii", "Turanecio eriospermus", "Turanecio taraxacifolius", "Trochomeria hookeri", "Trochomeria macrocarpa", "Trochomeria polymorpha", "Blastania garcini", "Linnaeosicyos amara", "Datisca glomerata", "Octomeles sumatranum", "Tetrameles nudiflora", "Ceratonia oreothauma", "Ocenebra brevirobusta", "Ocenebra chavesi", "Arapatiella emarginata", "Trox ngomensis", "Trox sternbergi", "Trox elmariae", "Trox quadricostatus", "Trox natalensis", "Afromorgus bayoni", "Afromorgus benadirensis", "Afromorgus chinensis", "Afromorgus denticulatus", "Afromorgus drumonti", "Afromorgus fenestrellus", "Afromorgus gemmatus", "Afromorgus granulatus", "Afromorgus guttalis", "Afromorgus haagi", "Afromorgus inclusus", "Afromorgus indicus", "Afromorgus italicus", "Afromorgus lindemannae", "Afromorgus maissouri", "Afromorgus melancholicus", "Omorgus salebrosus", "Omorgus semicostatus", "Gymnocladus angustifolius", "Gymnocladus assamicus", "Omorgus setosipennis", "Omorgus squamosus", "Omorgus stellatus", "Omorgus strzeleckensis", "Omorgus subcarinatus", "Omorgus tasmanicus", "Omorgus tatei", "Omorgus villosus", "Omorgus trilobus", "Gymnocladus burmanicus", "Haematoxylum dinteri", "Trox parvisetosus", "Trox brahminus", "Trox taiwanus", "Potanthus diffusus", "Potanthus flava", "Potanthus flava flava", "Potanthus flava alcon", "Potanthus niobe", "Potanthus niobe niobe", "Potanthus niobe hyugai", "Potanthus miyashitai", "Potanthus taqini", "Potanthus pseudomaesa", "Potanthus pseudomaesa pseudomaesa", "Hymenaea intermedia", "Potanthus pseudomaesa clio", "Megathous ficcuzzensis", "Orbea schweinfurthii", "Faristenia obliqua", "Psilalcis keytiparki", "Cymbidium finlaysonianum", "Phalaenopsis amboinensis", "Aerides lawrenceae", "Dicodia recurvata", "Boliviela biungulata", "Boliviela caverna", "Boliviela cucurbita", "Collasuyusana bifurcata", "Collasuyusana collaris", "Collasuyusana diversa", "Collasuyusana lanceolata", "Collasuyusana picea", "Collasuyusana recurvata", "Collasuyusana spenceri", "Armaturolidia ordocrista", "Figulus approximatus", "Figulus magnus", "Figulus scotti", "Figulus seychellensis", "Figulus striatus", "Figulus vinsoni", "Tinocripus angustus", "Tinocripus sinuatus", "Gracilidia biflangata", "Gracilidia longiuscula", "Afromorgus niloticus", "Afromorgus omacanthus", "Afromorgus procerus", "Afromorgus squalidus", "Afromorgus testudo", "Afromorgus verrucosus", "Afromorgus zumpti", "Ogcodes ater", "Ogcodes basalis", "Ogcodes doddi", "Ogcodes flavescens", "Ogcodes fortnumi", "Ogcodes froggatti", "Ogcodes ignavus", "Ogcodes nigrinervis", "Ogcodes pygmaeus", "Ogcodes tasmannicus", "Ogcodes trifasciatus", "Xylographus globipennis", "Trox pastillarius", "Omorgus spatulatus", "Trox ciliatus", "Omorgus candezei", "Omorgus suberosus", "Omorgus indigenus", "Omorgus persuberosus", "Omorgus nocheles", "Omorgus capillaceus", "Omorgus loxus", "Omorgus badeni", "Omorgus borrei", "Omorgus batesi", "Trox scaber", "Theclopsis mycon", "Gargina gargophia", "Gargina gnosia", "Gargina caninius", "Gargina thyesta", "Cephennodes astoni", "Cephennodes hongkongensis", "Cephennodes taurus", "Cephennodes tuberculifrons", "Rhyacophila terrai", "Thecadactylus oskrobapreinorum", "Stephanospathius benoiti", "Stephanospathius ornatipes", "Amamiclytus hirtipes", "Amamiclytus subnitidus", "Amamiclytus nobuoi", "Amamiclytus setiger", "Amamiclytus nubilus", "Amamiclytus juni", "Amamiclytus yulongi", "Amamiclytus nobuoi akusekianus", "Amamiclytus nobuoi nobuoi", "Simulium lurauense", "Athymoris aurantiella", "Cantharomorphus longipes", "Athymoris liukueiensis", "Malthinus madoniensis", "Athymoris phreatosa", "Scymnus caprai", "Mordellistena irritans", "Athymoris subtrigona", "Errazurizia rotundata", "Halolaguna oncopteryx", "Anaspis akaira", "Halolaguna palinensis", "Eysenhardtia spinosa", "Pachybrachis osellai", "Philharmonia adusta", "Brongniartia minutifolia", "Otiorhynchus egatensis", "Dianthus callizonus", "Otiorhynchus cossyrensis", "Otiorhynchus linussae", "Solariola ruffoi", "Nephopterix bicolorella", "Nephopterix exotica", "Nephopterix tomisawai", "Nephopterix fumella", "Pseudomeira cossyrica", "Nephopterix paraexotica", "Alaocyba ientilei", "Alaocyba lampedusae", "Alaocyba separanda", "Folsomides meridionalis", "Dichomeris aculata", "Dichomeris elegans", "Pseudosinella aeolica", "Platycleis ragusai", "Biscutella laevigata", "Dolichopoda palpata", "Hydropsyche gereckei", "Alectoris graeca orlandoi", "Drupadia theda nobumasai", "Simulium roslihashimi", "Eucalantica costaricae", "Eucalantica ehecatlella", "Eucalantica icarusella", "Eucalantica polita", "Eucalantica powelli", "Eucalantica pumila", "Eucalantica vaquero", "Monanchora arbuscula", "Paraphrotenia excellens", "Paraphrotenia multispinosa", "Paraphrotenia fascipennis", "Aphroteniella tenuicornis", "Cyclantheropsis parviflora", "Sicydium diffusum", "Sicydium tamnifolium", "Neoalsomitra angustipetala", "Neoalsomitra capricornica", "Neoalsomitra clavigera", "Neoalsomitra plena", "Neoalsomitra sarcophylla", "Neoalsomitra schefferiana", "Xerosicyos danguyi", "Zanonia indica", "Biswarea tonglensis", "Corallocarpus bainesii", "Corallocarpus boehmii", "Corallocarpus epigaeus", "Corallocarpus triangularis", "Corallocarpus welwitschii", "Dactyliandra welwitschii", "Dieterlea fusiformis", "Gurania bignoniacea", "Gurania megistantha", "Gurania villosa", "Herpetospermum pedunculosum", "Hodgsonia heteroclita", "Hodgsonia macrocarpa", "Mycale laxissima", "Gargina emessa", "Gargina humber", "Gargina thoria", "Gargina panchaea", "Rathinda amor", "Horaga onyx", "Horaga onyx onyx", "Horaga onyx cingalensis", "Horaga onyx rana", "Horaga onyx moltrechti", "Horaga onyx sardonyx", "Horaga onyx zuniga", "Horaga onyx akronyx", "Horaga onyx fruhstorferi", "Horaga chalcedonyx", "Horaga chalcedonyx chalcedonyx", "Horaga chalcedonyx malaya", "Horaga araotina", "Horaga bilineata", "Horaga rarasana", "Horaga lefebvrei", "Horaga lefebvrei lefebvrei", "Horaga lefebvrei osma", "Horaga lefebvrei osmana", "Myrina dermaptera", "Myrina dermaptera dermaptera", "Myrina silenus", "Myrina silenus silenus", "Myrina silenus nzoiae", "Myrina silenus penningtoni", "Myrina silenus suzannae", "Myrina silenus ficedula", "Myrina subornata", "Myrina subornata subornata", "Myrina subornata nuba", "Myrina subornata kacheleba", "Myrina sharpei", "Myrina sharpei sharpei", "Myrina sharpei fontainei", "Apporasa atkinsoni", "Boletus impolitus", "Nepeta wilsonii", "Ogcodes eugonatus", "Ogcodes melampus", "Ploiaria weiri", "Eugonissus conulus", "Hoherius meinertzhageni", "Hoplorhaphus spinifer", "Phymatus hetaera", "Lamprolobium fruticosum", "Peteria scoparia", "Sphinga platyloba", "Templetonia stenophylla", "Templetonia egena", "Templetonia hookeri", "Templetonia neglecta", "Templetonia retusa", "Templetonia sulcata", "Leioproctus boltoni", "Comesperma spinosum", "Comesperma volubilis", "Leioproctus imitatus", "Leioproctus metallicus", "Leioproctus purpureus", "Leioproctus vestitus", "Figulus pseudominor", "Gracilidia membrana", "Gracilidia minuta", "Gracilidia tubercula", "Gracilidia uniflangata", "Figulus decipiens", "Figulus sublaevis", "Figulus parvus", "Figulus minor", "Figulus corvinus", "Figulus anthracinus", "Omorgus marshalli", "Omorgus alatus", "Omorgus alius", "Omorgus alternans", "Omorgus amictus", "Omorgus aphanocephalus", "Omorgus augustae", "Omorgus australasiae", "Omorgus brucki", "Omorgus candidus", "Omorgus carinicollis", "Omorgus costatus", "Omorgus crotchi", "Omorgus curvipes", "Omorgus demarzi", "Omorgus dilaticollis", "Omorgus dohrni", "Omorgus elderi", "Omorgus elongatus", "Omorgus euclensis", "Omorgus eyrensis", "Omorgus gigas", "Omorgus granuliceps", "Omorgus howdenorum", "Omorgus insignicollis", "Omorgus mariae", "Omorgus mariettae", "Omorgus mentitor", "Omorgus monteithi", "Omorgus nodicollis", "Omorgus nigroscobinus", "Omorgus ovalis", "Omorgus parvicollis", "Omorgus pellosomus", "Omorgus perhispidus", "Omorgus quadridens", "Omorgus quadrinodosus", "Omorgus regalis", "Omorgus rotundulus", "Myrmecozela lutosella", "Myrmecozela lutosella lutosella", "Myrmecozela lutosella gigantea", "Myrmecozela dzhungarica", "Myrmecozela mongolica", "Cephimallota repetekiella", "Trichophaga ziniella", "Elatobia fuliginosella", "Blastobasis desertarum", "Blastobasis bassii", "Blastobasis lavernella", "Blastobasis decolorella", "Blastobasis luteella", "Blastobasis lacticolella", "Blastobasis vittata", "Blastobasis maroccanella", "Blastobasis walsinghami", "Blastobasis wolffi", "Leucomphalos callicarpus", "Colomboscia bituberculata", "Serianthes myriadenia", "Amicia andicola", "Amicia medicaginea", "Amicia micrantha", "Hovea elliptica", "Hovea heterophylla", "Hovea linearis", "Hovea trisperma", "Hovea acutifolia", "Hovea chorizemifolia", "Hovea longifolia", "Hovea pungens", "Hovea purpurea", "Lilium speciosum var. gloriosioides", "Lilium \u00d7 parkmannii", "Cyamops americus", "Cyamops australicus", "Cyamops banvaneue", "Cyamops buenorum", "Cyamops claudiensis", "Cyamops colombianus", "Cyamops dayi", "Cyamops delta", "Cyamops fasciatus", "Cyamops femoratus", "Cyamops fiji", "Cyamops freidbergi", "Cyamops funkae", "Cyamops halteratus", "Cyamops hotei", "Cyamops kaplanae", "Cyamops laos", "Cyamops micronesicus", "Cyamops nebulosus", "Cyamops neotropicus", "Cyamops nigeriensis", "Cyamops papuensis", "Cyamops pectinatus", "Cyamops sabroskyi", "Cyamops samoensis", "Cyamops truncatus", "Cyamops imitatus", "Clupea harengus suworowi", "Hoshihananomia michaelae", "Dacalana mio", "Dacalana treadawayi", "Neurothaumasia fasciata", "Hapsifera luridella", "Hapsifera kerbelella", "Montescardia kurenzovi", "Monnina ciliolata", "Monnina cuneata", "Monnina parviflora", "Monnina pterocarpa", "Nylandtia spinosa", "Polygala africana", "Polygala fruticosa", "Polygala \u00d7 dalmaisiana", "Omorgus mollis", "Tetragonoderus deuvei", "Draba compacta", "Dasineura strobila", "Dasineura tomentosa", "Capito auratus auratus", "Xanthophyllum flavescens", "Quillaja brasiliensis", "Cadellia pentastylis", "Prothemus laticornis", "Prothemus lycoceroides", "Epidamaeus conjungenus", "Mimobdella japonica", "Guilfoylia monostylis", "Stylobasium spathulatum", "Suriana maritima", "Gymnostoma sumatranum", "Gymnostoma deplancheanum", "Gymnostoma nodiflorum", "Gymnostoma papuanum", "Gymnostoma rumphianum", "Kempynus citrinus", "Kempynus latiusculus", "Kempynus incisus", "Euosmylus stellae", "Trigonobalanus verticillata", "Oreomunnea mexicana", "Oreomunnea pterocarpa", "Aegus nayani", "Lucanus angusticornis inclinatus", "Lucanus fryi schepanskii", "Caloncoba brevipes", "Caloncoba echinata", "Caloncoba welwitschii", "Lucanus nyishwini bretschneideri", "Neolucanus lanwanorum rudolphi", "Carpotroche brasiliensis", "Ceratiosicyos laevis", "Lucanus brivioi guangxii", "Zaireichthys lacustris", "Pseudocrangonyx elenae", "Xenoperdix obscurata", "Anthemis carpatica", "Acrocera ashleyi", "Pachypus caesus", "Acrocera londti", "Acrocera vansoni", "Acrocera rhodesiensis", "Acrocera turneri", "Acrocera melanogaster", "Afrotheora argentimaculata", "Afrotheora brevivalva", "Afrotheora flavimaculata", "Afrotheora minirhodaula", "Afrotheora jordani", "Afrotheora rhodaula", "Afrotheora thermodes", "Otus scops cycladum", "Fraus basicornis", "Fraus basidispina", "Fraus biloba", "Fraus distispina", "Fraus furcata", "Fraus griseomaculata", "Fraus tedi", "Lilium formosanum var. formosanum", "Lilium formosanum var. microphyllum", "Gazoryctra wielgusi", "Gazoryctra confusa", "Lilium sect.", "Stereomera masumotoi", "Securidaca coriacea", "Securidaca diversifolia", "Securidaca elliptica", "Securidaca pubiflora", "Securidaca longipedunculata", "Securidaca sylvestris", "Securidaca virgata", "Acrocera altaica", "Acrocera transbaicalica", "Acrocera khamensis", "Acrocera sordida", "Acrocera trifasciata", "Acrocera mongolica", "Acrocera arizonensis", "Freesia verrucosa", "Acrocera bacchulus", "Onthophagus kimioi", "Acrocera bakeri", "Acrocera bicolor", "Acrocera bimaculata", "Hylaeus amplus", "Onthophagus ephippioderus", "Onthophagus brevicollis", "Onthophagus bronzeus", "Onthophagus coeruleicollis", "Onthophagus cupreiceps", "Parascatonomus egregius", "Onthophagus manipurensis", "Onthophagus productus", "Onthophagus regalis", "Onthophagus rubripennis", "Onthophagus tibetanus", "Parascatonomus vividus", "Onthophagus frugivorus", "Onthophagus gulo", "Onthophagus hindu", "Onthophagus hingstoni", "Onthophagus metalliceps", "Onthophagus oculatus", "Onthophagus socialis", "Onthophagus agaricophilus", "Onthophagus amphinasus", "Onthophagus andrewesi", "Calophyllum tetrapterum", "Calophyllum thwaitesii", "Calophyllum tomentosum", "Calophyllum blancoi", "Calophyllum calaba", "Calophyllum canum", "Calophyllum dasypodum", "Calophyllum ferrugineum", "Calophyllum molle", "Calophyllum pulcherrimum", "Calophyllum rigidum", "Calophyllum teysmannii", "Calophyllum wallichianum", "Calophyllum apetalum", "Calophyllum depressinervosum", "Calophyllum lanigerum", "Calophyllum macrocarpum", "Calophyllum polyanthum", "Calophyllum rubiginosum", "Calophyllum rufigemmatum", "Calophyllum sclerophyllum", "Calophyllum venulosum", "Mammea africana", "Mammea suriga", "Mesua ferrea", "Mesua lepidota", "Anthodiscus obovatus", "Anthodiscus pilosus", "Caryocar amygdaliferum", "Caryocar coriaceum", "Caryocar costaricense", "Caryocar glabrum", "Caryocar microcarpum", "Caryocar nuciferum", "Caryocar villosum", "Acioa edulis", "Afrolicania elaeosperma", "Atuna racemosa", "Bafodeya benna", "Parascatonomus diversiformis", "Onthophagus dubernardi", "Onthophagus duporti", "Onthophagus echinus", "Onthophagus ensifer", "Onthophagus falculatus", "Onthophagus fasciatus", "Onthophagus favrei", "Onthophagus foedus", "Onthophagus fuscostriatus", "Onthophagus histeriformis", "Onthophagus holzi", "Onthophagus insulindicus", "Onthophagus kchatriya", "Onthophagus leomontanus", "Onthophagus luctuosus", "Onthophagus ludio", "Onthophagus lunulifer", "Onthophagus magnipygus", "Onthophagus malangensis", "Onthophagus manguliensis", "Onthophagus martialis", "Onthophagus mentaveiensis", "Onthophagus militaris", "Onthophagus mindanaensis", "Onthophagus multipunctatus", "Onthophagus neervoorti", "Parascatonomus niasensis", "Onthophagus obscurior", "Onthophagus palatus", "Onthophagus papulatus", "Onthophagus pauper", "Onthophagus peninsularis", "Onthophagus personatus", "Onthophagus phanaeiformis", "Onthophagus purpurascens", "Onthophagus ribbei", "Onthophagus rouyeri", "Onthophagus sangirensis", "Onthophagus senex", "Onthophagus spathatus", "Onthophagus spiculatus", "Onthophagus subcornutus", "Onthophagus sumbavensis", "Onthophagus taeniatus", "Onthophagus timorensis", "Onthophagus tragoides", "Onthophagus tricolor", "Onthophagus tritinctus", "Onthophagus waterstradti", "Onthophagus hystrix", "Caccobius meridionalis", "Parahepialus nebulosus", "Onthophagus arboreus", "Onthophagus beesoni", "Onthophagus bisectus", "Onthophagus brutus", "Onthophagus chrysurus", "Onthophagus circulifer", "Onthophagus coorgensis", "Onthophagus digitatus", "Onthophagus dynastoides", "Onthophagus exquisitus", "Onthophagus felix", "Onthophagus fossor", "Onthophagus furcicollis", "Onthophagus gratus", "Onthophagus griseosetosus", "Onthophagus hamaticeps", "Onthophagus iyengari", "Onthophagus kanarensis", "Onthophagus kumaonensis", "Onthophagus laborans", "Onthophagus lapillus", "Onthophagus madoqua", "Onthophagus mirandus", "Onthophagus nagpurensis", "Onthophagus nasalis", "Onthophagus necrophagus", "Onthophagus orissanus", "Onthophagus paliceps", "Onthophagus porcus", "Onthophagus rana", "Onthophagus refulgens", "Onthophagus ruficauda", "Onthophagus sternalis", "Onthophagus suillus", "Onthophagus taprobanus", "Onthophagus trochilus", "Onthophagus vulpinus", "Onthophagus vultur", "Onthophagus zebra", "Onthophagus aereomaculatus", "Onthophagus aereopictus", "Onthophagus amphicoma", "Onthophagus andonarensis", "Parascatonomus anguicorius", "Onthophagus anguliceps", "Onthophagus angustatus", "Onthophagus aureopilosus", "Onthophagus baeri", "Onthophagus bangueyensis", "Onthophagus carinensis", "Onthophagus cavia", "Onthophagus cervicapra", "Onthophagus coracinus", "Onthophagus cryptogenus", "Onthophagus curvicarinatus", "Onthophagus dayacus", "Onthophagus denticornis", "Onthophagus depressicollis", "Onthophagus nudifrons", "Onthophagus koshunensis", "Onthophagus loroi", "Onthophagus nefarius", "Onthophagus parisii", "Onthophagus pseudojaponicus", "Onthophagus somalicola", "Onthophagus venzoi", "Onthophagus bayeri", "Parascatonomus kuatunensis", "Onthophagus tatsienluensis", "Onthophagus gravearmatus", "Onthophagus pseudoarmatus", "Onthophagus snoflaki", "Onthophagus evae", "Onthophagus admetus", "Onthophagus pseudofimetarius", "Euonthophagus yemenicus", "Onthophagus chinensis", "Onthophagus klapperichi", "Onthophagus kulti", "Onthophagus smetanai", "Onthophagus susterai", "Onthophagus bytinskii", "Onthophagus concursator", "Onthophagus silus", "Parascatonomus aerumnosus", "Onthophagus javanensis", "Onthophagus tschadensis", "Onthophagus javaecola", "Euonthophagus pertinax", "Onthophagus sobrius", "Onthophagus sternax", "Onthophagus usurpator", "Onthophagus volucer", "Onthophagus zimmermanni", "Onthophagus cicer", "Onthophagus decens", "Onthophagus dissentaneus", "Onthophagus dlabolai", "Onthophagus lassulus", "Onthophagus malevolus", "Onthophagus olidus", "Onthophagus pseudosellatus", "Onthophagus seminulum", "Onthophagus tenax", "Onthophagus triundulatus", "Onthophagus tshuapae", "Onthophagus bilingula", "Onthophagus obenbergeri", "Onthophagus bartosi", "Onthophagus chlorophanus", "Onthophagus cincticollis", "Onthophagus cinctifrons", "Onthophagus cineraceus", "Onthophagus confluens", "Diastellopalpus conradti", "Onthophagus coronatus", "Onthophagus cribellum", "Onthophagus cribripennis", "Onthophagus cyaneoniger", "Onthophagus cyanochlorus", "Onthophagus declivicollis", "Onthophagus decolor", "Onthophagus densipilis", "Onthophagus denticulatus", "Onthophagus denudatus", "Onthophagus depilis", "Onthophagus derasus", "Onthophagus diadematus", "Onthophagus discovirens", "Onthophagus dohertyi", "Onthophagus dorsuosus", "Onthophagus ebenicolor", "Onthophagus erectinasus", "Onthophagus escalerai", "Onthophagus excisiceps", "Onthophagus fasciculiger", "Onthophagus flaviclava", "Onthophagus flavimargo", "Onthophagus flexicornis", "Onthophagus foraminosus", "Onthophagus fossifrons", "Onthophagus fritschi", "Onthophagus fulvocinctus", "Onthophagus fuscivestis", "Onthophagus gibbidorsis", "Onthophagus gibbifrons", "Onthophagus gonopygus", "Onthophagus hericius", "Onthophagus hirsutus", "Onthophagus histrio", "Onthophagus imberbis", "Onthophagus inaequalis", "Onthophagus indutus", "Onthophagus intermixtus", "Onthophagus jugicola", "Onthophagus laevatus", "Diastellopalpus laevibasis", "Onthophagus laeviceps", "Onthophagus laminidorsis", "Onthophagus lamnifer", "Onthophagus latissimus", "Onthophagus lemagneni", "Onthophagus leroyi", "Onthophagus lioides", "Onthophagus dicax", "Onthophagus falcarius", "Onthophagus ghanensis", "Onthophagus gradivus", "Onthophagus hoberlandti", "Onthophagus kashmirensis", "Onthophagus parcepilosus", "Onthophagus stehliki", "Onthophagus ulula", "Onthophagus aegrotus", "Onthophagus baloghi", "Onthophagus caelator", "Onthophagus calchas", "Onthophagus crantor", "Onthophagus incantatus", "Onthophagus lefiniensis", "Onthophagus otjivarongus", "Onthophagus vesanus", "Onthophagus zicsii", "Onthophagus bomberaianus", "Onthophagus busiris", "Onthophagus chremes", "Onthophagus cratippus", "Onthophagus eliptaminus", "Onthophagus geryon", "Onthophagus horribilis", "Onthophagus irianus", "Onthophagus labdacus", "Onthophagus ludicrus", "Onthophagus mimikanus", "Onthophagus novaeirlandiae", "Onthophagus parapedisequus", "Onthophagus pedisequus", "Onthophagus phrixus", "Onthophagus sciron", "Onthophagus taxillus", "Onthophagus telegonus", "Onthophagus telephus", "Onthophagus triptolemus", "Onthophagus kabulicus", "Onthophagus turfanicus", "Onthophagus brazzavillianus", "Onthophagus okahandjanus", "Onthophagus parafasciatus", "Onthophagus hermonensis", "Onthophagus hispanicus", "Onthophagus massai", "Onthophagus albarracinus", "Onthophagus moreleti", "Berberis asiatica", "Onthophagus aureofuscus", "Onthophagus belorhinus", "Onthophagus championi", "Onthophagus chryses", "Onthophagus corrosus", "Onthophagus coscineus", "Onthophagus cyanellus", "Onthophagus cyclographus", "Onthophagus dicranius", "Campanula cochleariifolia", "Oxycanus oreades", "Oxycanus oressigenes", "Tajuria matsutaroi matsutaroi", "Thitarodes armoricanus", "Thitarodes albipictus", "Erythrospermum candidum", "Erythrospermum verticillatum", "Erythrospermum zeylanicum", "Gynocardia odorata", "Thitarodes ferrugineus", "Hydnocarpus anthelminthicus", "Hydnocarpus kurzii", "Hydnocarpus alcalae", "Hydnocarpus alpinus", "Hydnocarpus castaneus", "Hydnocarpus pentandrus", "Kiggelaria africana", "Mayna grandifolia", "Pangium edule", "Xylotheca kraussiana", "Thitarodes jinshaensis", "Thitarodes zhangmoensis", "Thitarodes oblifurcus", "Thitarodes kangdingroides", "Balanops balansae", "Thitarodes baimaensis", "Thitarodes meiliensis", "Thitarodes gonggaensis", "Thitarodes zhongzhiensis", "Thitarodes yeriensis", "Thitarodes callinivalis", "Bonnetia anceps", "Bonnetia paniculata", "Thitarodes litangensis", "Thitarodes xunhuaensis", "Thitarodes cingulatus", "Thitarodes baqingensis", "Thitarodes damxungensis", "Calophyllum antillanum", "Calophyllum brasiliense", "Calophyllum soulattri", "Ahamus jianchuanensis", "Ahamus yunnanensis", "Ahamus yushuensis", "Onthophagus fuscidorsis", "Onthophagus latigibber", "Hyalonthophagus nigroviolaceus", "Lophomilia fusca", "Lophomilia posteburna", "Onthophagus aeneopiceus", "Onthophagus aereidorsis", "Onthophagus aethiopicus", "Onthophagus ahenicollis", "Onthophagus ahenomicans", "Onthophagus albipodex", "Onthophagus alluaudi", "Onthophagus anomalipes", "Onthophagus apiciosus", "Onthophagus asperipennis", "Onthophagus asperrimus", "Onthophagus atridorsis", "Onthophagus atronitidus", "Onthophagus atropolitus", "Diastellopalpus basilobatus", "Onthophagus bicallifrons", "Onthophagus bicavifrons", "Onthophagus bidentifrons", "Onthophagus bifidicornis", "Onthophagus bimarginatus", "Onthophagus birugatus", "Onthophagus breviceps", "Onthophagus brevigena", "Onthophagus brevipennis", "Onthophagus caffrarius", "Onthophagus undaticeps", "Onthophagus ursinus", "Onthophagus variatus", "Onthophagus variolosus", "Onthophagus verrucosus", "Onthophagus vestitus", "Onthophagus viridicatus", "Onthophagus vultuosus", "Onthophagus antillarum", "Onthophagus pipitzi", "Onthophagus triceratops", "Onthophagus onthochromus", "Onthophagus ranunculus", "Onthophagus laratinus", "Muscari alpanicum", "Onthophagus prehensilis", "Onthophagus symbioticus", "Trifolium pratense var. maritimum", "Trifolium pratense var. americanum", "Trifolium pratense var. perenne", "Trifolium pratense var. pratense", "Trifolium pratense var. sativum", "Trifolium pratense var. villosum", "Muscari racemosum", "Onthophagus haroldi", "Onthophagus frankenbergeri", "Onthophagus troniceki", "Onthophagus amphioxus", "Onthophagus avocetta", "Onthophagus compactus", "Onthophagus bufulus", "Onthophagus cheesmanae", "Onthophagus latenasutus", "Onthophagus minotaurus", "Onthophagus platalea", "Onthophagus tarsius", "Lasioglossum bidentatulum", "Parascatonomus horni", "Onthophagus inelegans", "Onthophagus kleinei", "Onthophagus komareki", "Onthophagus obliviosus", "Onthophagus procurvus", "Onthophagus roubali", "Onthophagus schaefernai", "Onthophagus strandi", "Onthophagus sulci", "Onthophagus tabidus", "Onthophagus zavreli", "Onthophagus antilocapra", "Onthophagus conradsi", "Onthophagus pauliani", "Onthophagus ukerewensis", "Onthophagus missor", "Onthophagus dicranoides", "Onthophagus durangoensis", "Onthophagus jalapensis", "Onthophagus lojanus", "Onthophagus macrothorax", "Onthophagus micros", "Onthophagus miricornis", "Onthophagus mocquerysi", "Onthophagus montivagus", "Onthophagus nigriventris", "Onthophagus nilicola", "Onthophagus notatus", "Onthophagus ocellifer", "Onthophagus ochropygus", "Onthophagus omostigma", "Onthophagus parceguttatus", "Onthophagus pauxillus", "Onthophagus picatus", "Onthophagus pictipodex", "Onthophagus pilicollis", "Diastellopalpus pluton", "Onthophagus polystigma", "Onthophagus proteus", "Onthophagus puberulus", "Onthophagus quadricallosus", "Onthophagus quadrilunatus", "Onthophagus rectilamina", "Onthophagus reticulatus", "Onthophagus rotundibasis", "Onthophagus rubens", "Onthophagus rubenticollis", "Onthophagus rubricatus", "Onthophagus rufonotatus", "Onthophagus sanguineus", "Onthophagus scapularis", "Onthophagus sellatulus", "Onthophagus semiaratus", "Onthophagus semiasper", "Onthophagus semichalcites", "Onthophagus seminitens", "Onthophagus semivirescens", "Onthophagus senegalensis", "Onthophagus serienotatus", "Onthophagus simoni", "Onthophagus stigmosus", "Onthophagus subalternans", "Onthophagus subglaber", "Onthophagus subhumeralis", "Onthophagus subnudus", "Onthophagus subplanus", "Onthophagus sulcipennis", "Onthophagus sutiliceps", "Onthophagus taboranus", "Onthophagus teitanicus", "Onthophagus temporalis", "Onthophagus tersipennis", "Onthophagus tonsus", "Onthophagus trapezicornis", "Onthophagus tricariniger", "Onthophagus tridenticeps", "Onthophagus tripartitus", "Onthophagus umbratus", "Onthophagus eulophus", "Onthophagus gazellinus", "Onthophagus guatemalensis", "Onthophagus igualensis", "Onthophagus inflaticollis", "Onthophagus iodiellus", "Onthophagus longimanus", "Onthophagus mexicanus", "Onthophagus mirabilis", "Onthophagus nitidior", "Onthophagus nyctopus", "Onthophagus orphnoides", "Onthophagus praecellens", "Onthophagus rufescens", "Onthophagus totonicapamus", "Onthophagus undulans", "Onthophagus xanthomerus", "Berberis boliviana", "Onthophagus croesulus", "Onthophagus dicella", "Onthophagus epilamprus", "Diastellopalpus monapoides", "Diastellopalpus quinquedens", "Diastellopalpus thomsoni", "Onthophagus expansicornis", "Onthophagus furcillifer", "Onthophagus kuluensis", "Onthophagus ramosellus", "Onthophagus hircus", "Onthophagus subansiriensis", "Berberis dictyota", "Onthophagus arunachalensis", "Onthophagus royi", "Onthophagus songsokensis", "Onthophagus tirapensis", "Onthophagus keralicus", "Onthophagus sahai", "Onthophagus taruni", "Onthophagus blackwoodensis", "Onthophagus geelongensis", "Onthophagus murchisoni", "Onthophagus leai", "Onthophagus comperei", "Onthophagus fletcheri", "Onthophagus frenchi", "Onthophagus helmsi", "Onthophagus koebelei", "Onthophagus macleayi", "Onthophagus margaretensis", "Onthophagus pugnacior", "Onthophagus queenslandicus", "Onthophagus sloanei", "Onthophagus sydneyensis", "Onthophagus tamworthi", "Onthophagus tweedensis", "Onthophagus victoriensis", "Lasioglossum josefi", "Lasioglossum mataroa", "Lasioglossum maunga", "Lasioglossum sordidum", "Lasioglossum cognatum", "Nomia melanderi", "Lilium sect.", "Cisticola juncidis juncidis", "Ectobius aeoliensis", "Ectobius filicensis", "Ectobius lagrecai", "Ectobius parvosacculatus", "Ectobius siculus", "Berberis eurybracteata", "Berberis aristata var. floribunda", "Berberis \u00d7 hortensis", "Berberis \u00d7 ottawensis", "Ahamus zadoiensis", "Ahamus yunlongensis", "Ahamus yulongensis", "Ahamus gangcaensis", "Ahamus maquensis", "Ahamus zhayuensis", "Ahamus menyuanensis", "Ahamus sichuanensis", "Ahamus lijiangensis", "Ahamus anomopterus", "Ahamus carna", "Ahamus alticola", "Ahamus macilentus", "Onthophagus flavorufus", "Onthophagus granulum", "Onthophagus hirtipodex", "Onthophagus impunctatus", "Onthophagus investis", "Onthophagus longiceps", "Onthophagus minax", "Onthophagus piceiceps", "Onthophagus ragazzii", "Onthophagus rufovirens", "Onthophagus scaberrimus", "Onthophagus semiviridis", "Onthophagus sjoestethi", "Onthophagus stillatus", "Onthophagus traversii", "Onthophagus tschoffeni", "Adstantes arctus", "Onthophagus unicarina", "Onthophagus aequepubens", "Onthophagus altidorsis", "Onthophagus altilamina", "Onthophagus amplipennis", "Onthophagus androgynus", "Onthophagus areolatus", "Onthophagus asperatus", "Onthophagus asperulus", "Onthophagus atrofasciatus", "Onthophagus atrovirens", "Onthophagus bellus", "Onthophagus biconifer", "Onthophagus bicristatus", "Onthophagus bifrons", "Onthophagus bituberans", "Onthophagus boops", "Onthophagus camerunicus", "Onthophagus chloroderus", "Onthophagus chrysoderus", "Onthophagus clavisetis", "Onthophagus clusifrons", "Onthophagus comatulus", "Onthophagus creber", "Onthophagus cristatus", "Onthophagus crucenotatus", "Onthophagus curtipilis", "Onthophagus debilis", "Onthophagus decoratus", "Onthophagus dilutus", "Onthophagus feai", "Onthophagus flavipennis", "Onthophagus furculifer", "Onthophagus geminifrons", "Onthophagus gibber", "Onthophagus gibberosus", "Onthophagus guttiger", "Onthophagus hilaris", "Onthophagus imbellis", "Onthophagus includens", "Onthophagus inclusus", "Onthophagus inermiceps", "Onthophagus laevissimus", "Onthophagus laminosus", "Onthophagus latevittatus", "Onthophagus longipilis", "Onthophagus masaicus", "Onthophagus miles", "Onthophagus mirifrons", "Onthophagus miscellus", "Onthophagus mixticeps", "Onthophagus mixtidorsis", "Onthophagus mucronifer", "Onthophagus nimbatus", "Onthophagus nitidifrons", "Onthophagus nonstriatus", "Onthophagus pallidus", "Onthophagus polyedrus", "Onthophagus pulchellus", "Onthophagus pullatus", "Onthophagus quadrinotatus", "Onthophagus rotundatus", "Onthophagus semigraniger", "Onthophagus simpliciceps", "Onthophagus simulator", "Onthophagus sinuosicollis", "Onthophagus spurcatus", "Onthophagus subocellatus", "Onthophagus subrugosus", "Onthophagus tenuistriatus", "Onthophagus trichopygus", "Onthophagus trifidisetis", "Onthophagus triimpressus", "Euonthophagus ustus", "Onthophagus variegranosus", "Onthophagus ventrosus", "Onthophagus viviensis", "Onthophagus numidicus", "Onthophagus producticollis", "Onthophagus quadricuspis", "Onthophagus acutus", "Onthophagus albicomus", "Onthophagus amoenus", "Onthophagus angularis", "Onthophagus angulicornis", "Onthophagus aspericeps", "Onthophagus atricapillus", "Onthophagus atroaereus", "Onthophagus atrovittatus", "Onthophagus binodosus", "Onthophagus birugifer", "Onthophagus burchelli", "Onthophagus carinidorsis", "Onthophagus clitellarius", "Onthophagus convexus", "Onthophagus costilatus", "Onthophagus decorsei", "Onthophagus deflexus", "Onthophagus flexifrons", "Onthophagus fossibasis", "Onthophagus fossulatus", "Onthophagus fungicola", "Onthophagus fuscatus", "Diastellopalpus gilleti", "Onthophagus graniceps", "Onthophagus gravoti", "Onthophagus horrens", "Onthophagus horridus", "Onthophagus inermicollis", "Onthophagus juncticornis", "Onthophagus kassaicus", "Onthophagus latestriatus", "Onthophagus maculosus", "Onthophagus marshalli", "Onthophagus mediofuscatus", "Onthophagus meruanus", "Onthophagus minutissimus", "Onthophagus miscellaneus", "Onthophagus naevuliger", "Onthophagus nigripennis", "Onthophagus nigropubens", "Onthophagus nodieri", "Onthophagus nudus", "Onthophagus ornatulus", "Onthophagus pallens", "Onthophagus parcepictus", "Onthophagus picturatus", "Onthophagus plicatifrons", "Onthophagus politissimus", "Onthophagus proximus", "Onthophagus pseudoaeneus", "Onthophagus purifrons", "Onthophagus rasipennis", "Onthophagus rubellus", "Onthophagus rugipennis", "Onthophagus sanguinolentus", "Onthophagus seminitidus", "Onthophagus stuhlmanni", "Onthophagus subdivisus", "Onthophagus subsulcatus", "Onthophagus subulifer", "Onthophagus tesseratus", "Onthophagus umbilicatus", "Onthophagus vassei", "Onthophagus viridiaereus", "Onthophagus waterloti", "Onthophagus xanthopterus", "Onthophagus xanthopygus", "Hyalonthophagus alcedo", "Hyalonthophagus alcyonides", "Hyalonthophagus pseudoalcyon", "Hyalonthophagus virens", "Onthophagus aeneoniger", "Couepia longipendula", "Couepia paraensis", "Couepia polyandra", "Couepia rufa", "Couepia subcordata", "Dactyladenia barteri", "Grangeria borbonica", "Hirtella americana", "Hirtella martiana", "Hirtella rugosa", "Hirtella triandra", "Cirsium trachylepis", "Lapsana communis subsp. intermedia", "Taraxacum scaturiginosum", "Onthophagus hartiniae", "Onthophagus tsubakii", "Onosma ambigens", "Oreodera simplex", "Licania hypoleuca", "Licania incana", "Licania michauxii", "Licania platypus", "Licania pyrifolia", "Neocarya macrophylla", "Parastemon versteeghii", "Onthophagus carmodensis", "Onthophagus rubrescens", "Onthophagus clypeatus", "Onthophagus armatus", "Onthophagus parvus", "Onthophagus convexicollis", "Onthophagus immundus", "Onthophagus insularis", "Onthophagus luridipennis", "Onthophagus axillaris", "Onthophagus tanganus", "Onthophagus tenuigraniger", "Onthophagus tersus", "Onthophagus varius", "Onthophagus vylderi", "Onthophagus hirticulus", "Onthophagus babaulti", "Onthophagus bequaerti", "Onthophagus brevisetis", "Onthophagus costiger", "Onthophagus delicatus", "Onthophagus depressifrons", "Onthophagus hemichalceus", "Onthophagus hemichlorus", "Onthophagus kavirondus", "Onthophagus lemekensis", "Onthophagus ocellidorsis", "Onthophagus pseudobidens", "Onthophagus rectestriatus", "Onthophagus semicroceus", "Mitrastethus baridioides", "Onthophagus aspernatus", "Onthophagus atricolor", "Onthophagus extensicollis", "Onthophagus geminatus", "Onthophagus grandifrons", "Onthophagus laevidorsis", "Onthophagus lutaticollis", "Onthophagus misellus", "Onthophagus parvifrons", "Onthophagus rufostillans", "Onthophagus sulcatulus", "Onthophagus velliger", "Onthophagus alquirta", "Onthophagus apterus", "Onthophagus arrilla", "Onthophagus bambra", "Onthophagus bornemisszai", "Onthophagus bornemisszanus", "Onthophagus brooksi", "Onthophagus bunamin", "Onthophagus chepara", "Onthophagus dandalu", "Onthophagus darlingtoni", "Onthophagus dummal", "Onthophagus endota", "Onthophagus ferrari", "Onthophagus gandju", "Onthophagus gangulu", "Onthophagus gidju", "Onthophagus gulmarri", "Onthophagus jalamari", "Onthophagus jangga", "Onthophagus kokereka", "Onthophagus kumbaingeri", "Onthophagus lamgalio", "Onthophagus manya", "Onthophagus millamilla", "Onthophagus monteithi", "Ahamus altaicola", "Ahamus luquensis", "Thitarodes yadongensis", "Thitarodes deqingensis", "Thitarodes pratensis", "Thitarodes renzhiensis", "Thitarodes markamensis", "Thitarodes jialangensis", "Thitarodes zaliensis", "Eremophila alpestris atlas", "Porthecla dinus", "Porthecla barba", "Porthecla porthura", "Porthecla gemma", "Porthecla ravus", "Porthecla melleus", "Alauda arvensis harterti", "Porthecla minyia", "Porthecla forasteira", "Porthecla annette", "Porthecla prietoi", "Porthecla willmotti", "Porthecla johanna", "Porthecla peruensis", "Lilium sect.", "Arhopala major", "Onthophagus semicornis", "Arhopala moolaiana", "Onthophagus delahayei", "Lilium maculatum var. maculatum", "Lilium \u00d7 elegans", "Onthophagus allojavanus", "Onthophagus javanoides", "Onthophagus clivimerus", "Onthophagus peninsulomerus", "Onthophagus leusermontis", "Schistura aurantiaca", "Couepia bracteosa", "Couepia dolichopoda", "Couepia grandiflora", "Onthophagus aerestriatus", "Onthophagus athiensis", "Onthophagus atrostriatus", "Onthophagus bicristiger", "Onthophagus binodulus", "Onthophagus bisignatus", "Onthophagus calliger", "Onthophagus cavivertex", "Onthophagus chirindanus", "Onthophagus circumdatus", "Onthophagus contiguicornis", "Onthophagus corniculiger", "Onthophagus costatus", "Onthophagus cyaneiceps", "Onthophagus delphinensis", "Onthophagus depilatus", "Onthophagus dinoderus", "Onthophagus ducorpsi", "Onthophagus eburneus", "Onthophagus exilis", "Onthophagus fallax", "Onthophagus fumatus", "Onthophagus gibbus", "Onthophagus grandidorsis", "Onthophagus granosus", "Onthophagus intonsus", "Onthophagus jacksoni", "Onthophagus jeanneli", "Onthophagus laetus", "Onthophagus latepunctatus", "Onthophagus lefebvrei", "Onthophagus liodermus", "Onthophagus metalliger", "Onthophagus mimus", "Onthophagus minans", "Onthophagus naevius", "Onthophagus nigerianus", "Onthophagus nudatus", "Onthophagus parcenotatus", "Onthophagus pictipennis", "Onthophagus pilipodex", "Onthophagus planaticeps", "Onthophagus pleurogonus", "Onthophagus polyodon", "Onthophagus posticicornis", "Hyalonthophagus pseudovirens", "Onthophagus rubefactus", "Onthophagus rubidus", "Onthophagus rufipodex", "Onthophagus rufolimbatus", "Onthophagus rugidorsis", "Onthophagus rugosissimus", "Onthophagus semilaevis", "Diastellopalpus semirubidus", "Onthophagus simillimus", "Onthophagus sinuosus", "Onthophagus stictus", "Onthophagus strictestriatus", "Onthophagus subcinctus", "Onthophagus guttatus", "Onthophagus impressicollis", "Onthophagus semiflavus", "Onthophagus tricorniger", "Onthophagus crassicollis", "Onthophagus parenthesis", "Adel crenatus", "Abrotheus placitus", "Onthophagus bakeri", "Onthophagus bison", "Onthophagus chebaicus", "Onthophagus citreum", "Onthophagus dapitanensis", "Parascatonomus funebris", "Onthophagus galeatus", "Parascatonomus laotianus", "Onthophagus malabarensis", "Onthophagus mauritii", "Parascatonomus naviculifer", "Onthophagus pastillatus", "Onthophagus philippinensis", "Onthophagus sexdentatus", "Onthophagus urellus", "Parascatonomus anceyi", "Onthophagus cyobioides", "Onthophagus dapcauensis", "Onthophagus indosinicus", "Onthophagus inermivertex", "Onthophagus vigilans", "Parascatonomus vitalisi", "Onthophagus zebu", "Onthophagus cuneus", "Onthophagus eschscholtzi", "Onthophagus fasciolatus", "Onthophagus jacobeus", "Onthophagus olsoufieffi", "Onthophagus orbus", "Onthophagus promontorii", "Onthophagus saigonensis", "Onthophagus sceptrifer", "Onthophagus sibuyanus", "Onthophagus tagal", "Adstantes rudis", "Onthophagus adornatus", "Onthophagus aeremicans", "Onthophagus arcifer", "Onthophagus astigma", "Onthophagus bituber", "Onthophagus bocandei", "Onthophagus carinifer", "Onthophagus choanicus", "Onthophagus concavifrons", "Onthophagus criniger", "Onthophagus cupreovirens", "Onthophagus duvivieri", "Onthophagus flavibasis", "Onthophagus mundill", "Onthophagus nammuldi", "Onthophagus nurubuan", "Onthophagus ouratita", "Onthophagus paluma", "Onthophagus parrumbal", "Onthophagus pillara", "Onthophagus togeman", "Onthophagus tuckonie", "Onthophagus turrbal", "Onthophagus wagamen", "Onthophagus wakelbura", "Onthophagus waminda", "Onthophagus wigmungan", "Onthophagus wilgi", "Onthophagus wombalano", "Onthophagus yeyeko", "Onthophagus yiryoront", "Onthophagus yungaburra", "Onthophagus yunkara", "Mitrastethus exsul", "Charaxes nyungwensis", "Turanana laspura", "Turanana laspura laspura", "Turanana laspura tuzovi", "Turanana laspura panjensis", "Eueides tales guyanensis", "Broscosoma herculeanum", "Arhopala norda", "Arhopala sceva", "Arhopala stubbsi", "Arhopala stubbsi serapina", "Arhopala stubbsi stubbsi", "Eriocrania carpinella", "Arhopala zylda", "Arhopala zylda elioti", "Arhopala zylda zylda", "Yagra dalmannii", "Yagra fonscolombe", "Phthoropoea chalcomochla", "Hystrichophora vittana", "Hystrichophora griseana", "Hystrichophora bopprei", "Parinari campestris", "Arhopala brooksiana", "Lilium \u00d7 sulphurgale", "Liljeborgia barhami", "Liljeborgia hansoni", "Liljeborgia akaroica", "Liljeborgia aequabilis", "Liljeborgia dubia", "Lilium \u00d7 centisargale", "Blitopertha orientalis", "Catascopus taylori", "Catascopus rex", "Catascopus biroi", "Catascopus dobodura", "Catascopus sidus", "Catascopus brunneus", "Catascopus latus", "Arhytinus nepalensis", "Arhytinus hammondi", "Arhytinus gerdi", "Arhytinus leytensis", "Arhytinus brendelli", "Arhytinus angustibasis", "Onthophagus calcaratus", "Onthophagus vaulogeri", "Onthophagus ursus", "Onthophagus gaesatus", "Onthophagus surdus", "Onthophagus tiniocelloides", "Onthophagus unidentatus", "Onthophagus sericeicollis", "Ectobius usticaensis", "Typhloreicheia praecox", "Onthophagus sagittarius", "Clivina sicula", "Onthophagus palavanus", "Onthophagus medius", "Onthophagus lindaae", "Onthophagus sabahensis", "Onthophagus ochromerus", "Nicetosoma niceta", "Nicetosoma saturata", "Nicetosoma papuana", "Nicetosoma eogena", "Xenocnema australiae", "Nicetosoma meforensis", "Nicetosoma sulphurata", "Nicetosoma inexpectata", "Nicetosoma semirosea", "Nicetosoma hyporhoda", "Delias alberti tetamba", "Stigmella torminalis", "Stigmella regiella", "Stigmella crataegella", "Stigmella hahniella", "Stigmella pyri", "Stigmella minusculella", "Stigmella desperatella", "Pentadesma butyracea", "Platonia insignis", "Symphonia globulifera", "Symphonia louveli", "Ctenolophon parvifolius", "Dichapetalum braunii", "Dichapetalum cymosum", "Dichapetalum donnell-smithii", "Dichapetalum macrocarpum", "Dichapetalum michelsonii", "Dichapetalum ruhlandii", "Dichapetalum stuhlmannii", "Dichapetalum vitiense", "Garcinia prainiana", "Garcinia bancana", "Garcinia benthamii", "Garcinia binucao", "Garcinia brasiliensis", "Garcinia buchananii", "Garcinia celebica", "Garcinia cochinchinensis", "Garcinia cornea", "Garcinia cowa", "Garcinia cymosa", "Garcinia dioica", "Garcinia dives", "Garcinia forbesii", "Garcinia fusca", "Garcinia gerrardii", "Garcinia gibbsiae", "Garcinia griffithii", "Garcinia kydia", "Garcinia lateriflora", "Garcinia loureiroi", "Garcinia macrophylla", "Garcinia mestonii", "Garcinia mooreana", "Garcinia multiflora", "Garcinia nigrolineata", "Garcinia oblongifolia", "Garcinia parvifolia", "Garcinia pedunculata", "Garcinia picrorhiza", "Garcinia portoricensis", "Garcinia spicata", "Garcinia stipulata", "Garcinia subelliptica", "Garcinia syzygiifolia", "Garcinia venulosa", "Garcinia vidalii", "Garcinia xanthochymus", "Euonthophagus aeneobrunneus", "Euonthophagus amieti", "Stephanopodium blanchetianum", "Tapura amazonica", "Bergia capensis", "Elatine ambigua", "Elatine americana", "Elatine hexandra", "Erythroxylum novogranatense", "Erythroxylum argentinum", "Erythroxylum laurifolium", "Erythroxylum monogynum", "Sinthusa makikoae", "Britomartis igarashii", "Dahlica kabardica", "Psyche bogutica", "Psyche kunashirica", "Epichnopterix moskvensis", "Acanthopsyche apsheronica", "Acanthopsyche monticola", "Acanthopsyche murzini", "Sandalus niger", "Hyalopteronia davarica", "Arhopala anthelus anthea", "Kurentzovia aragacella", "Arhopala anthelus anunda", "Arhopala anthelus grahami", "Arhopala anthelus impar", "Arhopala anthelus jabadia", "Arhopala anthelus majestatis", "Arhopala anthelus marinduquensis", "Arhopala anthelus paradisii", "Arhopala anthelus sanmariana", "Arhopala anthelus saturatior", "Arhopala anthelus sotades", "Arhopala auxesia", "Arhopala auxesia auxesia", "Arhopala auxesia salvia", "Onthophagus callosipennis", "Onthophagus foveicollis", "Onthophagus perniger", "Onthophagus monardi", "Onthophagus atrosericeus", "Onthophagus columbianus", "Onthophagus fuscus", "Onthophagus hulstaerti", "Onthophagus lebasi", "Onthophagus splendidus", "Onthophagus medorensis", "Onthophagus cochisus", "Onthophagus cynomysi", "Onthophagus knausi", "Onthophagus oklahomensis", "Onthophagus ruficapillus", "Onthophagus bernaudi", "Onthophagus pooensis", "Onthophagus foulliouxi", "Onthophagus depressipennis", "Onthophagus carayoni", "Onthophagus kingstoni", "Onthophagus lamotellus", "Onthophagus lamtoi", "Onthophagus rectorispauliani", "Onthophagus shimba", "Onthophagus smeenki", "Onthophagus anogeissii", "Onthophagus bandamai", "Onthophagus baoule", "Onthophagus borassi", "Hoplogonus vandeschoori", "Onthophagus cephalophi", "Onthophagus civettae", "Onthophagus fitiniensis", "Onthophagus hilaridis", "Onthophagus ieti", "Onthophagus infaustus", "Onthophagus iulicola", "Onthophagus kouassii", "Onthophagus lamtoensis", "Onthophagus lobi", "Onthophagus loudetiae", "Onthophagus loxodontae", "Onthophagus marahouensis", "Onthophagus matae", "Onthophagus natronis", "Onthophagus rougonorum", "Onthophagus savanicola", "Onthophagus sipilouensis", "Onthophagus synceri", "Onthophagus taiensis", "Onthophagus vuattouxi", "Onthophagus merdarius", "Onthophagus capitatus", "Onthophagus concinnus", "Onthophagus marginatus", "Onthophagus triacanthus", "Onthophagus navarretorum", "Onthophagus villanuevai", "Onthophagus gilli", "Onthophagus basilewskyi", "Onthophagus curtulus", "Onthophagus desaegeri", "Onthophagus garambae", "Onthophagus granulifrons", "Onthophagus katangensis", "Onthophagus caviceps", "Onthophagus deccanensis", "Onthophagus lamottei", "Onthophagus miricollis", "Onthophagus octogonus", "Onthophagus planifrons", "Onthophagus saudiensis", "Onthophagus capellinus", "Onthophagus densatus", "Onthophagus densepunctatus", "Onthophagus haafi", "Onthophagus monardiellus", "Onthophagus musculus", "Onthophagus tibialis", "Onthophagus hemipygus", "Onthophagus coiffaiti", "Onthophagus neboissi", "Onthophagus signaticollis", "Onthophagus vermiculatus", "Onthophagus ardoini", "Onthophagus kapitensis", "Onthophagus mindanaoensis", "Onthophagus ovigranosus", "Onthophagus ruandanus", "Onthophagus martelli", "Onthophagus traginus", "Onthophagus anomalicollis", "Onthophagus ashanticola", "Onthophagus brivioi", "Onthophagus dhanjuricus", "Onthophagus endroedii", "Onthophagus rugosipennis", "Onthophagus aschenborni", "Onthophagus bergeri", "Onthophagus betschuanus", "Onthophagus costulicollis", "Onthophagus davisi", "Onthophagus enuguensis", "Onthophagus flavocinctus", "Onthophagus keralensis", "Onthophagus kirki", "Onthophagus kirokanus", "Onthophagus kyleensis", "Onthophagus petrovitzi", "Onthophagus rhodesianus", "Onthophagus sericans", "Onthophagus ugandicus", "Onthophagus laticornis", "Onthophagus barretti", "Onthophagus breviconus", "Onthophagus flavicornis", "Onthophagus exasperatus", "Onthophagus laceratus", "Onthophagus lamelliger", "Onthophagus morosus", "Onthophagus ovulum", "Arhopala belphoebe", "Arhopala belphoebe belphoebe", "Arhopala belphoebe cowani", "Arhopala camdana", "Arhopala camdeo", "Arhopala dispar", "Arhopala hellada", "Duckesia verrucosa", "Adenophaedra grandifolia", "Onthophagus kindianus", "Onthophagus lamellicornis", "Onthophagus marginifer", "Onthophagus bechynei", "Onthophagus elongatus", "Onthophagus insignicollis", "Onthophagus zumpti", "Onthophagus gnu", "Onthophagus phalopsides", "Onthophagus protuberans", "Onthophagus caprai", "Onthophagus keiseri", "Onthophagus phanaeides", "Onthophagus sparsepunctatus", "Onthophagus foveatus", "Onthophagus hirtellus", "Onthophagus kochi", "Onthophagus longegranus", "Onthophagus praelaminatus", "Onthophagus rufopygus", "Onthophagus vinctoides", "Onthophagus alienus", "Onthophagus janssensi", "Cephalocroton cordofanus", "Onthophagus kulzeri", "Onthophagus ophtalmicus", "Onthophagus paulianellus", "Onthophagus profanus", "Onthophagus pseudopilosus", "Onthophagus rosettae", "Onthophagus wittei", "Onthophagus reticuliger", "Onthophagus uelensis", "Onthophagus vaneyeni", "Onthophagus antennalis", "Fraus polyspila", "Arhopala muta trima", "Arhopala muta wallacei", "Fraus crocea", "Arhopala muta waterstradti", "Fraus fusca", "Fraus simulans", "Fraus nanus", "Fraus pteromela", "Fraus bilineata", "Arhopala tropaea", "Gazoryctra fuscoargentea", "Gazoryctra ganna", "Arhopala davaona", "Arhopala metamuta", "Arhopala metamuta hilda", "Arhopala metamuta metamuta", "Gazoryctra sciophanes", "Arhopala perimuta", "Arhopala perimuta regina", "Arhopala perimuta perimuta", "Arhopala achelous", "Arhopala achelous malu", "Arhopala achelous achelous", "Lasioglossum seriatum", "Lasioglossum occiduum", "Lasioglossum platychilum", "Lasioglossum impunctatum", "Arhopala alexandrae", "Arhopala antharita", "Arhopala antharita antharita", "Arhopala antharita hyacinthus", "Sinthusa natsumiae", "Garcinia amboinensis", "Garcinia madruno", "Garcinia morella", "Onthophagus veracruzensis", "Onthophagus luismargaritorum", "Onthophagus padrinoi", "Onthophagus mariozuninoi", "Onthophagus yucatanus", "Onthophagus curvifrons", "Onthophagus bisbicornis", "Hyalonthophagus mixtifrons", "Hyalonthophagus viridiceps", "Onthophagus gaillardi", "Onthophagus heteroclitus", "Diastellopalpus neavei", "Onthophagus apicetinctus", "Onthophagus cameloides", "Onthophagus millingeni", "Onthophagus incertus", "Onthophagus latigena", "Onthophagus latipennis", "Euonthophagus maindroni", "Onthophagus ochreatus", "Onthophagus semicinctus", "Onthophagus biexcavatus", "Onthophagus dorsosignatus", "Onthophagus lemuroides", "Onthophagus margaritifer", "Onthophagus oberthuri", "Onthophagus bidentatus", "Onthophagus acuticornis", "Onthophagus asiaticus", "Onthophagus vinctus", "Onthophagus babirussa", "Onthophagus terminatus", "Onthophagus quadripustulatus", "Onthophagus anisocerus", "Onthophagus auritus", "Onthophagus fuliginosus", "Onthophagus pronus", "Onthophagus ptox", "Onthophagus vitulus", "Onthophagus bifasciatus", "Onthophagus lemur", "Onthophagus seniculus", "Onthophagus spinifex", "Diastellopalpus tridens", "Onthophagus ibex", "Onthophagus mopsus", "Onthophagus tarandus", "Onthophagus tragus", "Onthophagus centricornis", "Onthophagus cervus", "Onthophagus dama", "Onthophagus furculus", "Onthophagus fuscopunctatus", "Onthophagus laevigatus", "Onthophagus melitaeus", "Onthophagus pardalis", "Onthophagus parvulus", "Onthophagus politus", "Onthophagus pusillus", "Onthophagus quadridentatus", "Onthophagus variegatus", "Onthophagus hyaena", "Parascatonomus maculatus", "Onthophagus interstitialis", "Onthophagus lugens", "Onthophagus lugubris", "Onthophagus monodon", "Onthophagus naso", "Onthophagus obtusicornis", "Onthophagus pallidipennis", "Onthophagus parumnotatus", "Onthophagus pilosus", "Onthophagus pugionatus", "Onthophagus pusio", "Onthophagus quadrinodosus", "Onthophagus setosus", "Onthophagus signatus", "Onthophagus talpa", "Onthophagus trinodosus", "Onthophagus verticalis", "Onthophagus rufobasalis", "Onthophagus rufocastaneus", "Onthophagus rugulipennis", "Onthophagus sycophanta", "Onthophagus dorsofasciatus", "Onthophagus fissinasus", "Onthophagus lutosopictus", "Onthophagus apicalis", "Onthophagus cornutus", "Bembidion palumboi", "Arhopala eridanus", "Duvalius marii", "Duvalius siculus", "Duvalius silvestrii", "Platyderus canaliculatus", "Pedius siculus", "Percus lacertosus", "Arhopala hypomuta", "Arhopala hypomuta deva", "Arhopala hypomuta hypomuta", "Acinopus brevicollis", "Chlaenius borgiai", "Philorhizus brandmayri", "Arhopala aurea", "Arhopala borneensis", "Arhopala caeca", "Arhopala stinga", "Veratrum virginicum", "Arhopala anarte auzea", "Arhopala annulata", "Onthophagus pinguis", "Onthophagus sculptilis", "Onthophagus tumidulus", "Onthophagus ganalensis", "Onthophagus sidama", "Onthophagus megathorax", "Onthophagus tonkineus", "Onthophagus nilgirensis", "Saurornithoides mongoliensis", "Ditaxis cyanophylla", "Parascatonomus formosanus", "Onthophagus lemniscatus", "Onthophagus mendicus", "Onthophagus sauteri", "Onthophagus loveni", "Micrandra siphonioides", "Onthophagus agnus", "Onthophagus capelliformis", "Onthophagus dicranocerus", "Onthophagus falsus", "Onthophagus gangeticus", "Onthophagus mjobergi", "Onthophagus rugosicollis", "Onthophagus sikkimensis", "Onthophagus violaceotinctus", "Parascatonomus acuticollis", "Onthophagus argyropygus", "Onthophagus germanus", "Onthophagus malasiacus", "Diastellopalpus schultzei", "Onthophagus solidus", "Onthophagus tabellifer", "Onthophagus waterhousei", "Onthophagus adelphus", "Onthophagus aemulus", "Onthophagus affinis", "Onthophagus coprimorphus", "Onthophagus costifer", "Onthophagus devexicornis", "Onthophagus dignus", "Onthophagus flavomaculatus", "Onthophagus gagatinus", "Onthophagus glaucinus", "Onthophagus gothicus", "Onthophagus hamaticornis", "Onthophagus heurni", "Onthophagus hirtuosus", "Onthophagus hoplothorax", "Onthophagus lorianus", "Onthophagus maculosipennis", "Onthophagus malthinus", "Onthophagus nasicus", "Onthophagus nymani", "Onthophagus ornaticollis", "Onthophagus spinicornis", "Onthophagus tauroides", "Onthophagus basicruentatus", "Onthophagus falzonii", "Onthophagus leanus", "Onthophagus neofurcatus", "Onthophagus neostenocerus", "Onthophagus trinominatus", "Onthophagus joannae", "Onthophagus bicarinatus", "Onthophagus rhinocerus", "Onthophagus seabrai", "Onthophagus fradei", "Onthophagus bengali", "Onthophagus stylocerus", "Onthophagus mutatus", "Onthophagus modestus", "Onthophagus praedatus", "Onthophagus australis", "Onthophagus compressus", "Onthophagus nasutus", "Onthophagus osculatii", "Onthophagus mayeri", "Oribatella arctica", "Oribatella brevicornuta", "Oribatella dentaticuspis", "Oribatella gigantea", "Oribatella mediocris", "Oribatella pusilla", "Oribatella reticulata", "Oribatella minuta", "Oribatella quadridentata", "Oribatella plummeri", "Oribatella quadricornuta", "Oribatella reticulatoides", "Oribatella flagellata", "Oribatella jacoti", "Oribatella metzi", "Oribatella nortoni", "Oribatella texana", "Oribatella transtriata", "Oribatella canadensis", "Oribatella abdurachmanovi", "Antillorena gaia", "Antillorena patapata", "Onthophagus adelaidae", "Onthophagus anchommatus", "Onthophagus arkoola", "Onthophagus beelarong", "Onthophagus bindaree", "Onthophagus binyana", "Onthophagus bundara", "Onthophagus cooloola", "Onthophagus dinjerra", "Onthophagus godarra", "Onthophagus gurburra", "Onthophagus kakadu", "Onthophagus mije", "Onthophagus mongana", "Onthophagus pinaroo", "Onthophagus trawalla", "Onthophagus weringerong", "Onthophagus williamsi", "Onthophagus worooa", "Onthophagus yackatoon", "Onthophagus yaran", "Onthophagus yourula", "Allaorops carinatus", "Onthophagus ponticus", "Onthophagus atrox", "Onthophagus bubalus", "Onthophagus capitosus", "Onthophagus consentaneus", "Onthophagus haagi", "Onthophagus leucopygus", "Onthophagus nodulifer", "Onthophagus pentacanthus", "Onthophagus quadraticeps", "Onthophagus schaufussi", "Onthophagus stenocerus", "Onthophagus sticticus", "Onthophagus virescens", "Onthophagus impurus", "Onthophagus lunatus", "Diastellopalpus murrayi", "Onthophagus pugnax", "Onthophagus rhinophyllus", "Onthophagus thoreyi", "Onthophagus blanchardi", "Onthophagus chevrolati", "Onthophagus crinitus", "Onthophagus declivis", "Onthophagus dunningi", "Onthophagus evanidus", "Onthophagus hippopotamus", "Onthophagus hoepfneri", "Onthophagus jubatus", "Onthophagus mniszechi", "Onthophagus nasicornis", "Onthophagus parryi", "Onthophagus pexatus", "Onthophagus rhinolophus", "Onthophagus rostratus", "Onthophagus semiopacus", "Onthophagus crotchi", "Onthophagus depressus", "Onthophagus helciatus", "Onthophagus ineptus", "Onthophagus lecontei", "Onthophagus pennsylvanicus", "Onthophagus tenebrosus", "Onthophagus tessulatus", "Onthophagus tuberculifrons", "Onthophagus wallacei", "Onthophagus anthracinus", "Onthophagus filicornis", "Onthophagus scabriusculus", "Onthophagus tristis", "Onthophagus batillifer", "Onthophagus carcharias", "Onthophagus haematopus", "Onthophagus heydeni", "Onthophagus janthinus", "Onthophagus japonicus", "Onthophagus lenzi", "Onthophagus minutulus", "Onthophagus proletarius", "Onthophagus sharpi", "Onthophagus viduus", "Parascatonomus aurifex", "Onthophagus borneensis", "Onthophagus carinulatus", "Onthophagus diabolicus", "Onthophagus doriae", "Onthophagus egenus", "Onthophagus finschi", "Onthophagus gestroi", "Onthophagus holosericeus", "Onthophagus incisus", "Ricinocarpos pinifolius", "Ricinocarpos tuberculatus", "Hydraena bifunda", "Tragia ramosa", "Tragia nepetifolia", "Hydraena fundextra", "Hydraena hornabrooki", "Hydraena receptiva", "Hydraena thola", "Hydraena tholasoris", "Hydraena apertista", "Hydraena bicarinova", "Hydraena confluenta", "Hydraena exhalista", "Hydraena galea", "Hydraena impala", "Hydraena inhalista", "Hydraena pacificica", "Hydraena processa", "Hydraena dudgeoni", "Hydraena fasciolata", "Hydraena formosopala", "Hydraena koje", "Hydraena maculopala", "Hydraena nanopala", "Hydraena pala", "Hydraena palamita", "Hydraena torosopala", "Hydraena tritropis", "Neoseiulus ishimutus", "Neoseiulus tekeleius", "Neoseiulus irungus", "Neoseiulus mukurweinensis", "Neoseiulus kikuyui", "Neoseiulus lirhandae", "Neoseiulus nambalei", "Typhlodromips bunyorei", "Typhlodromips isulus", "Typhlodromips mukomeriensis", "Transeius jujae", "Transeius kiharus", "Graminaseius shwelei", "Amblyseius paraitalicus", "Amblyseius ignaceous", "Arrenoseius gambogi", "Ueckermannseius bunyalae", "Ueckermannseius kiminini", "Ueckermannseius mangrovei", "Ueckermannseius musoli", "Ueckermannseius sabatiae", "Euseius neominutisetus", "Euseius shinyalus", "Prenda clarissa", "Paurothericles marsabitica", "Hydraena ambra", "Hydraena ambripes", "Hydraena ambroides", "Hydraena essentia", "Hydraena pilulambra", "Hydraena sagatai", "Hydraena foliobba", "Hydraena infoveola", "Hydraena striolata", "Hydraena jubilata", "Hydraena lassulipes", "Hydraena nitidimenta", "Hydraena supina", "Hydraena decepta", "Hydraena intensa", "Hydraena manulea", "Hydraena manuloides", "Hydraena mianminica", "Hydraena phainops", "Hydraena sepikramuensis", "Hydraena thumbelina", "Hydraena thumbelipes", "Hydraena trichotarsa", "Hydraena cheesmanae", "Hydraena marawaka", "Hydraena otiarca", "Hydraena remulipes", "Hydraena sexarcuata", "Hydraena acumena", "Hydraena altapapua", "Hydraena aulaarta", "Hydraena biundulata", "Hydraena huonica", "Hydraena insandalia", "Hydraena penultimata", "Hydraena tarsotricha", "Hydraena tetana", "Hydraena tricosipes", "Hydraena akameku", "Hydraena clarinis", "Hydraena colorata", "Hydraena diadema", "Hydraena fasciata", "Hydraena nanocolorata", "Hydraena paxillipes", "Hydraena pluralticola", "Hydraena bacchusi", "Hydraena balkei", "Hydraena cristatigena", "Hydraena fasciopaca", "Hydraena inplacopaca", "Hydraena labropaca", "Hydraena tibiopaca", "Hydraena transvallis", "Hydraena tritutela", "Hydraena variopaca", "Hydraena cunicula", "Hydraena einsteini", "Hydraena aquila", "Hydraena fascinata", "Hydraena koma", "Hydraena mercuriala", "Hydraena ollopa", "Hydraena okapa", "Hydraena sicula", "Hydraena quadriplumipes", "Hydraena ramuensis", "Hydraena brahmin", "Hydraena austrobesa", "Hydraena limbobesa", "Hydraena owenobesa", "Hydraena perpunctata", "Hydraena pertransversa", "Hydraena reticulobesa", "Hydraena saluta", "Hydraena spinobesa", "Hydraena sexsuprema", "Hydraena supersexa", "Hydraena adelbertensis", "Hydraena bubulla", "Hydraena copulata", "Hydraena ibalimi", "Hydraena idema", "Hydraena incista", "Ochthebius gereckei", "Hydraena velvetina", "Ochthebius hyblaemajoris", "Ochthebius siculus", "Nargus siculus", "Bathysciola destefanii", "Cephennium siculum", "Scydmoraphes ventricosus", "Hydraena fenestella", "Hydraena herzogestella", "Hydraena funda", "Hydraena fundacta", "Stenichnus holdhausi", "Hydraena fundapta", "Hydraena fundarca", "Hydraena johncoltranei", "Stenichnus siculus", "Hydraena photogenica", "Hydraena torricellica", "Hydraena buloba", "Hydraena cavifrons", "Hydraena apexa", "Hydraena pectenata", "Hydraena ulna", "Hydraena pegopyga", "Hydraena buquintana", "Scaphisoma palumboi", "Hydraena quintana", "Hydraena ramuquintana", "Hydraena carinocisiva", "Hydraena carmellita", "Hydraena incisiva", "Hydraena picula", "Dodona deodata ohtsukai", "Pyroneura toshikoae", "Libythea myrrha iwanagai", "Acarus bomiensis", "Acarus ebrius", "Acarus griffithsi", "Eretris julieta", "Microcerella coniseti", "Microcerella cristiani", "Lichenomphalia alpina", "Onthophagus alluvius", "Onthophagus arnetti", "Onthophagus batesi", "Onthophagus browni", "Onthophagus cavernicollis", "Onthophagus knulli", "Onthophagus schaefferi", "Onthophagus subtropicus", "Onthophagus giraffa", "Onthophagus minutus", "Onthophagus coenobita", "Onthophagus limbatus", "Onthophagus basipustulatus", "Onthophagus uniformis", "Onthophagus bivertex", "Onthophagus tripolitanus", "Onthophagus gagates", "Onthophagus rubricollis", "Onthophagus dicolor", "Onthophagus erichsoni", "Onthophagus picipennis", "Onthophagus glabratus", "Onthophagus velutinus", "Onthophagus brevifrons", "Onthophagus coproides", "Onthophagus vespertilio", "Lichenomphalia aurantiaca", "Lichenomphalia chromacea", "Onthophagus stockwelli", "Onthophagus transisthmius", "Onthophagus polyphemi", "Parascatonomus andrewdavisi", "Onthophagus lucidus", "Onthophagus altivagans", "Onthophagus canelasensis", "Onthophagus dubitabilis", "Onthophagus gibsoni", "Onthophagus mcclevei", "Onthophagus pedester", "Onthophagus andersoni", "Onthophagus atriglabrus", "Onthophagus dorsipilulus", "Onthophagus propraecellens", "Onthophagus asperodorsatus", "Onthophagus petenensis", "Onthophagus quetzalis", "Onthophagus solisi", "Onthophagus cartwrighti", "Onthophagus cuevensis", "Onthophagus neomirabilis", "Onthophagus subcancer", "Onthophagus phanaeomorphus", "Onthophagus hirtus", "Onthophagus maki", "Onthophagus nigellus", "Onthophagus punctatus", "Onthophagus infucatus", "Onthophagus kindermanni", "Onthophagus lacustris", "Onthophagus latro", "Onthophagus nitefactus", "Onthophagus ocelliger", "Onthophagus papuensis", "Onthophagus pavidus", "Onthophagus rorarius", "Parascatonomus sarawacus", "Onthophagus scrutator", "Parascatonomus semicupreus", "Onthophagus sibiricus", "Onthophagus signifer", "Onthophagus tetricus", "Onthophagus vilis", "Onthophagus vulpes", "Onthophagus hildebrandti", "Onthophagus nanus", "Onthophagus sansibaricus", "Onthophagus niloticus", "Parascatonomus penicillatus", "Onthophagus pollicatus", "Onthophagus remotus", "Onthophagus acuminatus", "Onthophagus cupreus", "Onthophagus falcifer", "Onthophagus laevis", "Onthophagus landolti", "Onthophagus liopterus", "Onthophagus marginicollis", "Onthophagus planicollis", "Onthophagus rugicollis", "Onthophagus steinheili", "Onthophagus bengalensis", "Onthophagus cavifrons", "Onthophagus granulifer", "Onthophagus solivagus", "Onthophagus vicinus", "Siagonodon acutirostris", "Onthophagus aenescens", "Onthophagus aequatus", "Ptychandra ohtanii", "Onthophagus aeruginosus", "Siagonodon borrichianus", "Onthophagus aesopus", "Onthophagus afghanus", "Onthophagus africanus", "Onthophagus akinini", "Onthophagus albicornis", "Onthophagus albipennis", "Hyalonthophagus alcyon", "Onthophagus aleppensis", "Siagonodon cupinensis", "Onthophagus anewtoni", "Siagonodon septemstriatus", "Opisthotropis cucae", "Ptychandra ohtanii lizae", "Opisthotropis alcalai", "Lycodon gongshan", "Lycodon synaptor", "Dodona deodata sakaii", "Onthophagus semipiceus", "Onthophagus strnadi", "Onthophagus cyaneus", "Onthophagus gagatoides", "Onthophagus hissariensis", "Parascatonomus impar", "Onthophagus kachinicus", "Onthophagus nikolajevi", "Onthophagus schillhammeri", "Parascatonomus shanicus", "Onthophagus zagrosicus", "Onthophagus bicuneus", "Onthophagus cervenkai", "Onthophagus gorodinskii", "Onthophagus incollaris", "Onthophagus lahorensis", "Onthophagus turpidoides", "Lichenomphalia grisella", "Onthophagus koryoensis", "Onthophagus capella", "Onthophagus macrocephalus", "Onthophagus aries", "Onthophagus elegans", "Onthophagus juvencus", "Lichenomphalia hudsoniana", "Onthophagus infuscatus", "Onthophagus melanocephalus", "Onthophagus nitidulus", "Onthophagus sellatus", "Onthophagus auriculatus", "Euonthophagus carbonarius", "Onthophagus cruentatus", "Onthophagus flavolimbatus", "Onthophagus suffusus", "Onthophagus sugillatus", "Onthophagus transcaspicus", "Onthophagus coriaceoumbrosus", "Onthophagus cryptodicranius", "Onthophagus genuinus", "Onthophagus grataehelenae", "Onthophagus inediapterus", "Onthophagus limonensis", "Onthophagus nemorivagus", "Onthophagus nubilus", "Onthophagus singulariformis", "Onthophagus viridivinosus", "Onthophagus pupillatus", "Diastellopalpus balubanus", "Diastellopalpus nigerrimus", "Diastellopalpus sulciger", "Diastellopalpus fuelleborni", "Onthophagus truchmenus", "Onthophagus kashizakii", "Parascatonomus tamijii", "Onthophagus glasunovi", "Onthophagus aphodioides", "Onthophagus blumei", "Onthophagus catenatus", "Onthophagus colffsi", "Onthophagus cribratus", "Onthophagus deflexicollis", "Onthophagus denticollis", "Onthophagus deplanatus", "Onthophagus hageni", "Onthophagus hirsutulus", "Onthophagus kraatzeanus", "Parascatonomus laevicollis", "Onthophagus liberianus", "Onthophagus lilliputanus", "Onthophagus luteosignatus", "Onthophagus mulleri", "Onthophagus phanaeicollis", "Parascatonomus pilularius", "Onthophagus pygidialis", "Onthophagus rectecornutus", "Onthophagus rotundicollis", "Onthophagus saleyeri", "Parascatonomus semiaureus", "Onthophagus semigranosus", "Onthophagus sumatranus", "Onthophagus sundanensis", "Onthophagus variolaris", "Onthophagus ventralis", "Lichenomphalia lobata", "Lichenomphalia meridionalis", "Lichenomphalia umbellifera", "Lichenomphalia velutina", "Onthophagus aloysiellus", "Onthophagus alternans", "Onthophagus amamiensis", "Euonthophagus amyntas", "Onthophagus anatolicus", "Onthophagus andalusicus", "Onthophagus angolensis", "Onthophagus angorensis", "Parascatonomus anitidus", "Diastellopalpus anthonyi", "Onthophagus antoinei", "Parascatonomus aokii", "Parascatonomus aper", "Onthophagus azusae", "Onthophagus aztecus", "Diastellopalpus cambeforti", "Diastellopalpus jirouxi", "Diastellopalpus legrandi", "Diastellopalpus pseudoschultzei", "Diastellopalpus walteri", "Onthophagus ecopas", "Onthophagus monforti", "Onthophagus pendjarius", "Onthophagus wensis", "Euonthophagus hazariensis", "Euonthophagus laghmanicus", "Onthophagus poeophagus", "Onthophagus potanini", "Lichenomphalia cinereispinula", "Onthophagus kozlovi", "Onthophagus kukunorensis", "Onthophagus marmotae", "Onthophagus amirus", "Onthophagus arnoldii", "Onthophagus kryzhanovskii", "Onthophagus medvedevi", "Onthophagus nurestanicus", "Onthophagus rufimanus", "Parascatonomus atratus", "Onthophagus avocettoides", "Parascatonomus chapaensis", "Onthophagus collaris", "Onthophagus coracinoides", "Onthophagus janushevi", "Onthophagus kontumicus", "Onthophagus panfilovi", "Onthophagus popovi", "Onthophagus pseudobrutus", "Onthophagus pseudocoracinus", "Onthophagus quadricolor", "Parascatonomus rhombocephalus", "Parascatonomus striaticollis", "Parascatonomus trungboensis", "Parascatonomus vasiljevi", "Onthophagus baykanus", "Onthophagus bonengus", "Onthophagus kondaoensis", "Onthophagus octonaevus", "Onthophagus piceorufulus", "Onthophagus subsapaensis", "Onthophagus thai", "Onthophagus tiamicus", "Onthophagus unguiculatus", "Onthophagus chineicus", "Onthophagus commottoides", "Onthophagus euryceros", "Onthophagus gorochovi", "Onthophagus hiabunicus", "Onthophagus kinhthaicus", "Onthophagus lenis", "Onthophagus napolovi", "Onthophagus nasonis", "Onthophagus privus", "Onthophagus atripennis", "Parascatonomus apilularius", "Onthophagus apunneea", "Onthophagus arai", "Euonthophagus atramentarius", "Onthophagus arayai", "Onthophagus arunensis", "Onthophagus aspericollis", "Onthophagus ater", "Onthophagus asper", "Onthophagus asimilis", "Paedaretus hispidus", "Paedaretus rufulus", "Onthophagus bassariscus", "Onthophagus chiapanecus", "Onthophagus coahuilae", "Onthophagus hidalgus", "Onthophagus howdenorum", "Onthophagus moroni", "Onthophagus pseudofuscus", "Onthophagus pseudoundulans", "Onthophagus reyesi", "Onthophagus salvadorensis", "Onthophagus zapotecus", "Onthophagus tarascus", "Onthophagus brachypterus", "Onthophagus onorei", "Onthophagus violetae", "Onthophagus micropterus", "Onthophagus collinsi", "Onthophagus paroculus", "Onthophagus phillippsorum", "Onthophagus setoculus", "Onthophagus sideki", "Onthophagus montishannoniae", "Onthophagus mogo", "Onthophagus sembeli", "Parascatonomus semifex", "Onthophagus sinagai", "Parascatonomus sumawacus", "Onthophagus vanasseni", "Onthophagus vanderblomi", "Onthophagus vanofwegeni", "Onthophagus watuwila", "Parascatonomus danumcupreus", "Parascatonomus javacupreus", "Parascatonomus monticupreus", "Parascatonomus peninsulocupreus", "Onthophagus calamophilus", "Onthophagus gajo", "Coenosia subflaviseta", "Coenosia parva", "Coenosia aurea", "Coenosia zhooi", "Coenosia brevimana", "Coenosia fanjingensis", "Coenosia angustifolia", "Coenosia obscuriabdominis", "Coenosia sparagmocerca", "Coenosia sponsa", "Coenosia freidbergi", "Coenosia aberrans", "Coenosia altaica", "Coenosia doloresae", "Coenosia extincta", "Coenosia ukokensis", "Coenosia hucketti", "Coenosia tangera", "Chalinga elwesi", "Chalinga pratti", "Esakiozephyrus icana koiwayai", "Chrysozephyrus suroia", "Chrysozephyrus suroia suroia", "Chrysozephyrus suroia takenakai", "Chrysozephyrus abeorum", "Wagimo sulgeri sulgeri", "Wagimo sulgeri akibai", "Chrysozephyrus fujiokai hsui", "Chlorissa sachalinensis", "Hosta subg.", "Hosta subg.", "Onthophagus conspicuus", "Onthophagus cuniculus", "Onthophagus laminatus", "Onthophagus muticus", "Onthophagus purpureicollis", "Onthophagus rubrimaculatus", "Onthophagus rufosignatus", "Onthophagus tabellicornis", "Onthophagus desectus", "Onthophagus incornutus", "Onthophagus perpilosus", "Onthophagus quinquetuberculatus", "Onthophagus rubicundulus", "Onthophagus bicornis", "Onthophagus cruciger", "Onthophagus devexus", "Onthophagus fissiceps", "Onthophagus incanus", "Onthophagus propinquus", "Onthophagus rubescens", "Onthophagus salebrosus", "Onthophagus villosus", "Hosta subg.", "Onthophagus buculus", "Onthophagus hirculus", "Diastellopalpus metriogonus", "Onthophagus furciceps", "Onthophagus furcaticeps", "Onthophagus balawaicus", "Onthophagus balthasari", "Onthophagus basakata", "Onthophagus barriorum", "Onthophagus baraudi", "Onthophagus barbieri", "Onthophagus bateke", "Hosta sect.", "Hosta minor", "Hosta venusta", "Onthophagus kabakovi", "Onthophagus rachelis", "Onthophagus zuninoi", "Onthophagus taiyaruensis", "Onthophagus hajimei", "Onthophagus setchan", "Onthophagus ochii", "Onthophagus hayashii", "Onthophagus sakainoi", "Onthophagus deemaak", "Onthophagus doiinthanonensis", "Onthophagus doipuiensis", "Onthophagus doisuthepensis", "Parascatonomus gosoli", "Parascatonomus mairuu", "Onthophagus maniti", "Onthophagus punneeae", "Onthophagus sunantaae", "Onthophagus khonmiinitnoi", "Parascatonomus lakyim", "Onthophagus maleengnaafon", "Onthophagus maleengnoi", "Onthophagus naaroon", "Parascatonomus phraoensis", "Onthophagus tholaayi", "Arhopala acetes", "Colotis agoye", "Colotis agoye agoye", "Megaspora rimisorediata", "Papaver commutatum subsp. commutatum", "Papaver commutatum subsp. euxinum", "Carbacanthographis albolirellata", "Carbacanthographis indica", "Lecanora kansriae", "Viola altaica subsp. oreades", "Arhopala johoreana", "Arhopala johoreana johoreana", "Arhopala johoreana kalima", "Arhopala opalina", "Lecanora coronulans", "Staphylea trifolia", "Onthophagus opacicollis", "Onthophagus necessarius", "Onthophagus strabo", "Onthophagus parmatus", "Euonthophagus sulcicollis", "Onthophagus trispinus", "Onthophagus corniculatus", "Onthophagus diversus", "Onthophagus lamyi", "Onthophagus bicolor", "Onthophagus carinicollis", "Onthophagus delicatulus", "Onthophagus exiguus", "Onthophagus fallaciosus", "Onthophagus bourgognei", "Onthophagus frontalis", "Onthophagus gemellatus", "Onthophagus interruptus", "Onthophagus nigriceps", "Onthophagus quadrimaculatus", "Onthophagus simplex", "Onthophagus tubericollis", "Onthophagus phuquoci", "Onthophagus cinctipennis", "Onthophagus foliiceps", "Diastellopalpus lamellicollis", "Onthophagus yakuinsularis", "Euonthophagus consobrinus", "Onthophagus coptorhinoides", "Onthophagus deterrens", "Onthophagus discretus", "Onthophagus dispar", "Onthophagus ditus", "Onthophagus emeritus", "Onthophagus fugitivus", "Onthophagus herus", "Onthophagus illotus", "Onthophagus importunus", "Onthophagus indigus", "Onthophagus insulsus", "Onthophagus merus", "Onthophagus obtutus", "Onthophagus praestans", "Onthophagus probus", "Onthophagus versutus", "Onthophagus vigens", "Onthophagus benguellianus", "Onthophagus bennigseni", "Onthophagus colasi", "Onthophagus lagnyi", "Onthophagus longipes", "Onthophagus mulgravei", "Onthophagus nigrinus", "Onthophagus semivestitus", "Onthophagus sumptuosus", "Onthophagus testaceoviolaceus", "Onthophagus usambaricus", "Onthophagus kanyaayonus", "Onthophagus krakadaakhomus", "Onthophagus phrutsaphaakhomus", "Onthophagus singhaakhomus", "Onthophagus thanwaakhomus", "Onthophagus bokiaunus", "Onthophagus falsivigilans", "Onthophagus grandivigilans", "Onthophagus kiuchii", "Onthophagus pseudohystrix", "Onthophagus taayai", "Onthophagus hsui", "Onthophagus wangi", "Onthophagus yangi", "Onthophagus batui", "Parascatonomus kiuchianus", "Onthophagus ratchasimaensis", "Onthophagus sakaeratensis", "Onthophagus wangnamkhieoensis", "Parascatonomus damaki", "Onthophagus gigantivigilans", "Onthophagus mongkhoni", "Onthophagus doitungensis", "Onthophagus namnaoensis", "Onthophagus penmani", "Onthophagus tumami", "Onthophagus yamaokai", "Onthophagus zetteli", "Parascatonomus chaiyaphumensis", "Onthophagus lannamiibun", "Parascatonomus maesaensis", "Onthophagus nongkaiensis", "Onthophagus phetchabunensis", "Parascatonomus piyawati", "Onthophagus scotti", "Onthophagus tongbantumi", "Parascatonomus yukae", "Parascatonomus chaingraiensis", "Onthophagus iumienus", "Onthophagus jingping", "Onthophagus maephaluangus", "Onthophagus phukhieoensis", "Onthophagus tungkamangensis", "Parascatonomus utsunomiyae", "Onthophagus egurianus", "Onthophagus konoi", "Onthophagus mushensis", "Onthophagus nagasawai", "Onthophagus yanoi", "Onthophagus koma", "Onthophagus yubarinus", "Onthophagus cruciatus", "Onthophagus viridis", "Parascatonomus koichii", "Parascatonomus leytensis", "Parascatonomus miyakei", "Parascatonomus negrosensis", "Parascatonomus pseudorudis", "Onthophagus sisyphoides", "Onthophagus vethi", "Onthophagus wiebesi", "Onthophagus knapperti", "Onthophagus bistiniocelloides", "Parascatonomus dejongi", "Onthophagus verticicornis", "Onthophagus castetsi", "Diastellopalpus infernalis", "Onthophagus centurio", "Onthophagus comottoi", "Onthophagus deliensis", "Onthophagus forsteni", "Onthophagus gibbicollis", "Onthophagus granum", "Onthophagus griseoaeneus", "Onthophagus hastifer", "Onthophagus heterorrhinus", "Onthophagus investigator", "Onthophagus occipitalis", "Onthophagus orbicularis", "Onthophagus pacificus", "Onthophagus riparius", "Onthophagus cancer", "Onthophagus foliaceus", "Onthophagus furcatoides", "Onthophagus humpatensis", "Onthophagus laminicornis", "Onthophagus paucigranosus", "Onthophagus serdangensis", "Onthophagus curvicornis", "Onthophagus difficilis", "Onthophagus bicarinaticeps", "Onthophagus bicavicollis", "Onthophagus clypealis", "Onthophagus compositus", "Onthophagus flavoapicalis", "Onthophagus hoplocerus", "Onthophagus mamillatus", "Onthophagus peramelinus", "Onthophagus phoenicocerus", "Onthophagus semimetallicus", "Onthophagus squalidus", "Onthophagus tricavicollis", "Onthophagus varianus", "Onthophagus variolicollis", "Onthophagus ovatus", "Onthophagus planiceps", "Onthophagus reticollis", "Onthophagus parallelicornis", "Meoneura vernicosa", "Meoneura vikhrevi", "Meoneura kerzhneri", "Onthophagus baenzigeri", "Thalassophilus azoricus", "Onthophagus violaceoviridis", "Onthophagus xiphias", "Onthophagus notiodes", "Onthophagus jeannelianus", "Parascatonomus bundutuhanensis", "Parascatonomus serapiensis", "Parascatonomus taichii", "Onthophagus brunellii", "Onthophagus curvilamina", "Onthophagus lomii", "Onthophagus vatovai", "Onthophagus chandrai", "Onthophagus hiroyukii", "Onthophagus koni", "Onthophagus sugihartoi", "Onthophagus bidens", "Onthophagus bituberculatus", "Onthophagus obliquus", "Onthophagus coomani", "Onthophagus dacatrai", "Onthophagus isikdagensis", "Onthophagus rakovici", "Onthophagus rodentium", "Onthophagus gravis", "Onthophagus negligens", "Onthophagus turbatus", "Onthophagus shillongensis", "Onthophagus transquadridentatus", "Onthophagus decedens", "Onthophagus placens", "Onthophagus praetortus", "Onthophagus rhynchophorus", "Onthophagus beiranus", "Onthophagus confertus", "Onthophagus senescens", "Onthophagus bifidus", "Onthophagus blackburni", "Digitonthophagus bonasus", "Onthophagus bonsae", "Onthophagus bovinus", "Onthophagus catharinensis", "Onthophagus carpanetoi", "Onthophagus carpophilus", "Onthophagus changshouensis", "Euonthophagus mostafatsairii", "Onthophagus vlasovi", "Onthophagus cludtsi", "Onthophagus osellai", "Parascatonomus murasakianus", "Onthophagus clitellifer", "Euonthophagus consanguineus", "Onthophagus concolor", "Onthophagus semidanumensis", "Euonthophagus conterminus", "Onthophagus devagiriensis", "Onthophagus benedictorum", "Onthophagus endroedianus", "Onthophagus euzeti", "Onthophagus inflatus", "Onthophagus tuzetae", "Onthophagus legendrei", "Onthophagus lumareti", "Onthophagus menkaoensis", "Onthophagus merdrignaci", "Onthophagus pisciphagus", "Onthophagus pseudosanguineus", "Onthophagus sylvestris", "Onthophagus ramosus", "Parascatonomus tricornis", "Onthophagus trituber", "Onthophagus troglodyta", "Onthophagus fodiens", "Parascatonomus nitidus", "Onthophagus ocellatopunctatus", "Euonthophagus bedeli", "Onthophagus belinga", "Onthophagus gabonensis", "Onthophagus girardinae", "Onthophagus grassei", "Onthophagus justei", "Onthophagus makokou", "Onthophagus circulator", "Onthophagus biplagiatus", "Onthophagus cornifrons", "Onthophagus mucronatus", "Diastellopalpus noctis", "Onthophagus orthocerus", "Onthophagus viriditinctus", "Onthophagus trigibber", "Onthophagus sparsulus", "Parascatonomus discedens", "Parascatonomus dux", "Onthophagus fulvus", "Onthophagus gemma", "Onthophagus imbutus", "Onthophagus iris", "Onthophagus pedator", "Parascatonomus quaestus", "Parascatonomus rudis", "Onthophagus simplicifrons", "Onthophagus rutilans", "Onthophagus simius", "Onthophagus sericatus", "Onthophagus distichus", "Onthophagus fimetarius", "Onthophagus lituratus", "Onthophagus pullus", "Onthophagus scaber", "Onthophagus secundarius", "Onthophagus punctator", "Onthophagus pictus", "Onthophagus conspersus", "Onthophagus curvispina", "Onthophagus flagrans", "Onthophagus kolenatii", "Onthophagus grossepunctatus", "Onthophagus halffteri", "Euonthophagus gibbosus", "Sciaenops ocellatus", "Onthophagus hoogstraali", "Hyalonthophagus hyalcyon", "Onthophagus tapirus", "Onthophagus sutleinensis", "Onthophagus illyricus", "Onthophagus gorokae", "Onthophagus graphicus", "Onthophagus igneus", "Onthophagus incensus", "Parascatonomus itoi", "Onthophagus kapuri", "Onthophagus insignis", "Onthophagus joliveti", "Onthophagus niokolokoba", "Onthophagus maya", "Diastellopalpus johnstoni", "Onthophagus kangeanus", "Onthophagus kentingensis", "Lichenomphalia umbellifera f. umbellifera", "Lichenomphalia umbellifera f. bispora", "Euonthophagus crocatus", "Onthophagus cupricollis", "Onthophagus mendeli", "Onthophagus paramasaoi", "Onthophagus pseudoworoae", "Onthophagus dedecor", "Onthophagus discolor", "Onthophagus viridicervicapra", "Onthophagus vulpinaris", "Onthophagus unifasciatus", "Onthophagus umbilicopunctatus", "Onthophagus uenoi", "Onthophagus turpidus", "Onthophagus truncaticornis", "Onthophagus kolaka", "Onthophagus lindu", "Onthophagus lore", "Onthophagus matanyo", "Onthophagus mekara", "Onthophagus moajat", "Onthophagus sanggona", "Onthophagus sihkahonoi", "Onthophagus transvestitus", "Onthophagus duboulayi", "Euonthophagus dorbignyi", "Onthophagus drescheri", "Diastellopalpus drumonti", "Onthophagus ebenus", "Onthophagus emarginatus", "Onthophagus embrikianus", "Onthophagus tesquorum", "Euonthophagus tissoni", "Onthophagus tersicollis", "Diastellopalpus hassoni", "Onthophagus fabricii", "Onthophagus ginyunensis", "Onthophagus pseudocaccobius", "Onthophagus horii", "Onthophagus rufiobscurior", "Onthophagus nigriobscurior", "Onthophagus semipersonatus", "Onthophagus parviobscurior", "Onthophagus parachandrai", "Onthophagus opacifalculatus", "Onthophagus parafalculatus", "Onthophagus excisus", "Onthophagus excubitor", "Onthophagus formaneki", "Onthophagus sacharovskii", "Onthophagus fissicornis", "Onthophagus fracticornis", "Onthophagus taurinus", "Parascatonomus takakui", "Onthophagus heyrovskyi", "Porrostoma rufipenne", "Lecanora interjecta", "Lecanora leproplaca", "Lecanora melaleuca", "Lecanora toroyensis", "Lecanora hafelliana", "Lecanora loekoesii", "Arhopala semperi", "Lecanora nipponica", "Lecanora sulcata", "Arhopala varro", "Arhopala varro selama", "Arhopala varro varro", "Onthophagus leucostigma", "Onthophagus liothorax", "Euonthophagus loeffleri", "Onthophagus macedonicus", "Onthophagus magnini", "Onthophagus menieri", "Onthophagus mpassa", "Parascatonomus muticifrons", "Onthophagus ohmomoi", "Onthophagus nebulosus", "Onthophagus ohbayashii", "Onthophagus schawalleri", "Onthophagus poggii", "Onthophagus suermelii", "Onthophagus neocolobus", "Onthophagus oshimanus", "Onthophagus oblongus", "Onthophagus ophion", "Onthophagus parapalatus", "Euonthophagus pentaceros", "Onthophagus peyrierasi", "Onthophagus shirakii", "Euonthophagus schnabeli", "Onthophagus piffli", "Onthophagus possoi", "Onthophagus pygargus", "Onthophagus rechingeri", "Parascatonomus satoi", "Onthophagus rupicapra", "Onthophagus taiwanus", "Onthophagus suturalis", "Onthophagus stellio", "Onthophagus pygmaeus", "Parascatonomus quezonensis", "Parascatonomus shizumui", "Parascatonomus takedai", "Parascatonomus takeshii", "Parascatonomus fujiokai", "Parascatonomus katoi", "Parascatonomus renaudpauliani", "Onthophagus johkii", "Onthophagus fujiii", "Onthophagus hidakai", "Onthophagus ishiii", "Parascatonomus hayashimasaoi", "Onthophagus sasajii", "Onthophagus matsudai", "Onthophagus palawanicus", "Parascatonomus gunsalami", "Parascatonomus kikutai", "Parascatonomus liewi", "Onthophagus maryatiae", "Parascatonomus poringensis", "Onthophagus quasijohkii", "Onthophagus quasitagal", "Parascatonomus riekoae", "Parascatonomus sayapensis", "Onthophagus bicolensis", "Onthophagus cheyi", "Onthophagus cupreopastillatus", "Onthophagus hikidai", "Onthophagus ifugaoensis", "Onthophagus liwagensis", "Onthophagus magnioculus", "Onthophagus matsuii", "Onthophagus megapacificus", "Onthophagus ohkuboi", "Onthophagus otai", "Onthophagus robertopoggii", "Onthophagus semipacificus", "Onthophagus sepilokensis", "Onthophagus simboroni", "Onthophagus taoi", "Onthophagus uedai", "Onthophagus woroae", "Onthophagus yumotoi", "Onthophagus kawaharai", "Onthophagus kiyoshii", "Onthophagus suginokoichii", "Onthophagus sumatramontanus", "Onthophagus tridentitibialis", "Onthophagus zymoticus", "Onthophagus dinjeera", "Onthophagus zavattarii", "Onthophagus kiambram", "Onthophagus kora", "Onthophagus punthari", "Onthophagus terrara", "Onthophagus wanappe", "Onthophagus yarrumba", "Onthophagus zairensis", "Onthophagus xanthochlorus", "Onthophagus willameorum", "Onthophagus quadrinodus", "Onthophagus salvazai", "Onthophagus sexstriatus", "Parascatonomus shibatai", "Onthophagus suginoi", "Onthophagus striatulus", "Onthophagus sinicus", "Onthophagus solmani", "Onthophagus similis", "Onthophagus sophiae", "Onthophagus speculifer", "Onthophagus sonani", "Onthophagus subaeneus", "Onthophagus subopacus", "Staphylea bolanderi", "Staphylea bumalda", "Staphylea yuanjiangensis", "Staphylea campanulata", "Staphylea holocarpa", "Staphylea holocarpa var. holocarpa", "Staphylea holocarpa var. rosea", "Staphylea shweliensis", "Staphylea forrestii", "Pseudaspidapion botanicum", "Actenomeros corniculaticaudus", "Actenomeros onyx", "Actenomeros budawang", "Actenomeros aureilineata", "Actenomeros intermedia", "Actenomeros paradoxa", "Deuterixys bifossalis", "Deuterixys curticalcar", "Wilkinsonellus paramplus", "Cestrotus acuticurvus", "Cestrotus heteropterus", "Cestrotus liui", "Colotis agoye bowkeri", "Colotis agoye zephyrus", "Colotis lucas", "Calopieris eulimene", "Aporia agathon sapaensis", "Aporia agathon bifurcata", "Leptosia nina", "Leptosia nina nina", "Leptosia nina malayana", "Cryptoheros chetumalensis", "Trigonopterus scaphioides", "Amatitlania coatepeque", "Amatitlania kanna", "Amatitlania siquia", "Amatitlania nigrofasciata", "Copris schoolmeestersi", "Copris pecuarius continentalis", "Agrilus abyssiniae", "Agrilus achardi", "Agrilus achilleus", "Agrilus addagallensis", "Agrilus agoretus", "Agrilus agrius", "Agrilus agronomus", "Cestrotus longinudus", "Cestrotus obtusus", "Neogriphoneura immaculata", "Neogriphoneura laevifrons", "Neogriphoneura schnusei", "Neogriphoneura bispoi", "Neogriphoneura corrugata", "Paratrigona wasbaueri", "Neogriphoneura pacata", "Paratrigona scapisetosa", "Taperus daozhenensis", "Notochodaeus masumotoi", "Bolbochromus masumotoi", "Copris cambodiensis", "Copris kachinensis", "Copris cambodiensis masumotoi", "Faronus siculus", "Trimium besucheti", "Staphylea emodi", "Tychobythinus effeminatus", "Bryaxis marinae", "Bryaxis nebrodensis", "Bryaxis siculus", "Tychus alicatai", "Tychus hennensis", "Tychus nebrodensis", "Staphylea colchica", "Staphylea \u00d7 coulombieri", "Agrilus elenchon", "Agrilus elimatus", "Agrilus embrikstrandellus", "Agrilus emmerichi", "Agrilus entomogastrinus", "Agrilus epularis", "Agrilus erbeniellus", "Agrilus eucerus", "Agrilus eukamosinus", "Agrilus eusternus", "Agrilus exoletus", "Agrilus fallaciosulus", "Agrilus fartus", "Agrilus fasciohirtus", "Agrilus fasciosus", "Agrilus frerensis", "Agrilus frustrinus", "Agrilus fucatus", "Agrilus furiosus", "Agrilus gebhardti", "Agrilus gracchus", "Agrilus gravedinosus", "Agrilus gravenhorsti", "Agrilus gumia", "Agrilus harmodius", "Agrilus herostratus", "Agrilus hexacanthus", "Agrilus heyrovskyanus", "Agrilus horniellus", "Agrilus howanus", "Agrilus hylaeae", "Agrilus hypoianthus", "Agrilus idas", "Agrilus inachus", "Agrilus incongruellus", "Agrilus indiges", "Agrilus inornatulus", "Agrilus intrusulus", "Agrilus japyx", "Agrilus jarbas", "Agrilus jasius", "Agrilus josei", "Agrilus kackovskii", "Agrilus kalamboinus", "Agrilus kashituensis", "Agrilus kerremansellus", "Agrilus kiloanus", "Agrilus korsakovi", "Agrilus kudunguruus", "Agrilus laelius", "Agrilus laetitius", "Agrilus langei", "Agrilus lasiosurus", "Agrilus lesapinus", "Agrilus lestageanus", "Agrilus limpopoensis", "Agrilus listreuon", "Agrilus loesthus", "Agrilus lopus", "Agrilus lucullus", "Agrilus machaon", "Agrilus machulkai", "Agrilus madegassus", "Agrilus mandubius", "Agrilus aeneipennis", "Agrilus aeneolus", "Agrilus aeneomaculatus", "Agrilus agrestis", "Agrilus albogaster", "Agrilus albolatus", "Agrilus albopunctatus", "Agrilus amethysticollis", "Agrilus amicus", "Agrilus anthracinus", "Agrilus ascanius", "Agrilus auratus", "Agrilus auripes", "Agrilus auripilis", "Agrilus bihamatus", "Agrilus campestris", "Agrilus capitatus", "Agrilus carbonarius", "Agrilus celebiensis", "Agrilus chrysicollis", "Agrilus chrysochloris", "Agrilus ciliatipes", "Agrilus coelestis", "Agrilus concavus", "Agrilus cuneiformis", "Agrilus cupreoviolaceus", "Agrilus cuprifrons", "Agrilus cupripes", "Agrilus cyanicollis", "Agrilus dentipes", "Agrilus diadema", "Agrilus discicollis", "Agrilus distinctus", "Agrilus dorsalis", "Agrilus funebris", "Agrilus gentilis", "Agrilus gracilis", "Agrilus gratiosus", "Agrilus grisescens", "Agrilus guttulatus", "Agrilus hirsutulus", "Agrilus hypocritus", "Agrilus ignifrons", "Agrilus impopularis", "Agrilus incerticolor", "Agrilus indigaceus", "Agrilus insipidus", "Agrilus insularis", "Agrilus lancifer", "Agrilus maculiventris", "Agrilus melanarius", "Agrilus meticulosus", "Agrilus minor", "Agrilus minos", "Agrilus miserabilis", "Agrilus nigerrimus", "Agrilus nigroaeneus", "Agrilus nigroviolaceus", "Agrilus obscurus", "Agrilus ocularis", "Agrilus oedipus", "Agrilus olympicus", "Agrilus alcinous", "Agrilus alesi", "Agrilus alpha", "Agrilus amhar", "Agrilus amphion", "Agrilus angolanus", "Agrilus anomus", "Agrilus apaturus", "Agrilus arabeon", "Agrilus araeus", "Agrilus argodi", "Agrilus argus", "Agrilus argyrothrix", "Agrilus atahualpa", "Agrilus barombinus", "Agrilus belzebuth", "Agrilus bifenestrellatus", "Agrilus bilobus", "Agrilus binodifrons", "Crisius binotatus", "Agrilus bistrilineatus", "Agrilus bivittatellus", "Agrilus blairianus", "Agrilus bourgoini", "Agrilus bremus", "Agrilus bulawayanus", "Agrilus buresi", "Agrilus burgeoni", "Agrilus caesareus", "Agrilus cailloli", "Agrilus calliginulus", "Agrilus calvulus", "Agrilus cariosulus", "Agrilus carystus", "Agrilus cascelius", "Agrilus causalis", "Agrilus cernosvitovi", "Agrilus chacoensis", "Agrilus chirindanus", "Agrilus chiromoensis", "Agrilus chlorochrous", "Agrilus chrysochrous", "Agrilus chrysostictoides", "Agrilus claudulus", "Agrilus claviger", "Agrilus comitulus", "Agrilus comizon", "Agrilus concors", "Agrilus concupiens", "Agrilus conissalus", "Agrilus conradti", "Agrilus contristatus", "Agrilus contrucidatus", "Agrilus coreanus", "Agrilus cucullus", "Agrilus decimatus", "Agrilus decoloratulus", "Agrilus delenitor", "Agrilus devulsus", "Agrilus dilatefasciatus", "Agrilus dioscorides", "Agrilus dondeanus", "Agrilus echthreuon", "Agrilus edeanus", "Dolichovespula media", "Monomorium pharaonis", "Eciton burchellii", "Polyergus rufescens", "Delias walshae", "Delias walshae walshae", "Delias walshae sanaeae", "Delias walshae ilu", "Delias fioretti", "Delias catocausta catocausta", "Delias sawyeri", "Delias mira excelsa", "Delias mira reversa", "Delias roepkei", "Delias roepkei roepkei", "Delias roepkei cieko", "Delias inexpectata", "Acrothericles viridithorax", "Clynotis severus", "Rocio gemmata", "Rocio ocotal", "Cyobius brendelli", "Cyobius mendeli", "Cyobius cheyi", "Cyobius tsukamotoi", "Rocio octofasciata", "Agrilus ornatus", "Agrilus paganus", "Agrilus parallelus", "Agrilus parvulus", "Agrilus pauper", "Agrilus perniciosus", "Agrilus piliventris", "Agrilus plebejus", "Agrilus pretiosus", "Agrilus puberulus", "Agrilus punctifrons", "Agrilus pupillus", "Agrilus purpurifrons", "Agrilus quadripunctatus", "Agrilus rectus", "Agrilus rubifrons", "Agrilus scutellaris", "Agrilus semiaeneus", "Agrilus sepulchralis", "Agrilus sexpunctatus", "Agrilus spinipes", "Agrilus subcornutus", "Agrilus subtrifasciatus", "Agrilus subvestitus", "Agrilus suturaalba", "Agrilus suturalis", "Agrilus sylvestris", "Agrilus taciturnus", "Agrilus thalassinus", "Agrilus tricolor", "Agrilus tripartitus", "Agrilus tristis", "Agrilus trito", "Agrilus tuberculiventris", "Agrilus ultramarinus", "Agrilus validus", "Agrilus vestitus", "Agrilus viridiaeneus", "Agrilus vittatus", "Agrilus vulcanus", "Agrilus aestimatus", "Agrilus affabilis", "Agrilus amazonicus", "Agrilus aurifrons", "Agrilus badius", "Agrilus baliolus", "Agrilus bifoveicollis", "Agrilus cardiaspis", "Agrilus celsus", "Agrilus cingulatus", "Agrilus clausus", "Agrilus consentaneus", "Agrilus consularis", "Agrilus credulus", "Agrilus cupidus", "Agrilus deceptor", "Agrilus decorus", "Agrilus deliciosus", "Agrilus desideratus", "Agrilus dicax", "Agrilus dichrous", "Agrilus dilaticornis", "Agrilus dirus", "Agrilus dives", "Podochlus valdesianus", "Podochlus osornensis", "Podochlus subantarcticus", "Podochlus parvilobus", "Podochlus flexistylus", "Podochlus gracilistylus", "Podochlus robsoni", "Podochlus pusillus", "Podochlus conjunctus", "Agrilus chrysostictus", "Podochlus longisetus", "Agrilus mucronatus", "Agrilus multispinosus", "Agrilus desertus", "Agrilus lituratus", "Agrilus purpuratus", "Podochlus tenuicornis", "Agrilus betuleti", "Agrilus abeillei", "Agrilus crassus", "Agrilus decorsei", "Agrilus farinosus", "Agrilus flacourti", "Agrilus inconstans", "Agrilus mocquerysi", "Agrilus niviferus", "Agrilus spurcus", "Agrilus biplagiatus", "Agrilus carissimus", "Agrilus collaris", "Agrilus complexus", "Agrilus corrugatus", "Agrilus elegantulus", "Agrilus emarginatus", "Agrilus gibbifrons", "Agrilus latevittatus", "Agrilus obscureguttatus", "Agrilus rubrovittatus", "Agrilus ruginosus", "Agrilus vermiculatus", "Agrilus pulvereus", "Agrilus sulcifer", "Agrilus vaucheri", "Agrilus chobauti", "Agrilus delphinensis", "Agrilus juxtasuturalis", "Agrilus macroderus", "Agrilus molitor", "Agrilus roscidulus", "Agrilus sericarius", "Agrilus uhagoni", "Agrilus vaginalis", "Agrilus trochilus", "Agrilus gussakovskiji", "Agrilus pseudoconstantini", "Agrilus rudicollis", "Agrilus laetus", "Agrilus laevipennis", "Agrilus laticaudatus", "Agrilus laticeps", "Agrilus latifrons", "Agrilus lentulus", "Agrilus major", "Agrilus manatus", "Agrilus marginatus", "Agrilus molestus", "Agrilus mutabilis", "Agrilus nodifrons", "Agrilus oblitus", "Agrilus observans", "Agrilus oculatus", "Agrilus opacipennis", "Agrilus pectoralis", "Agrilus phaenicopterus", "Agrilus pilosus", "Agrilus planatus", "Agrilus pullulus", "Agrilus punctatissimus", "Agrilus quadricostatus", "Agrilus quadrimaculatus", "Agrilus ratus", "Agrilus refectus", "Agrilus restrictus", "Agrilus rugosus", "Agrilus scabrosus", "Agrilus sexmaculatus", "Agrilus signatus", "Agrilus simplicicollis", "Agrilus simulans", "Agrilus sobrinus", "Agrilus socialis", "Agrilus sodalis", "Agrilus sparsus", "Agrilus speciosus", "Agrilus spinicaudatus", "Agrilus spissus", "Agrilus squalus", "Agrilus squamulatus", "Agrilus stellatus", "Agrilus striativentris", "Agrilus strigifer", "Agrilus strigifrons", "Agrilus subcostatus", "Agrilus subguttatus", "Agrilus sublateralis", "Agrilus temeratus", "Agrilus temporalis", "Agrilus uniformis", "Agrilus velutinomaculatus", "Agrilus vigilans", "Agrilus vittulus", "Agrilus xanthonotus", "Delias berinda", "Delias berinda berinda", "Delias berinda boylaea", "Delias berinda adelma", "Delias berinda cooperi", "Agrilus sachalinensis", "Agrilus saganaensis", "Agrilus saleius", "Agrilus salmo", "Agrilus sanatus", "Agrilus scerbakovi", "Agrilus schmidtgoebeli", "Agrilus scitus", "Agrilus sericeipilis", "Agrilus sericeiplagis", "Agrilus servius", "Agrilus silvestrii", "Agrilus solus", "Agrilus somniculosus", "Agrilus spathulicornis", "Agrilus stevensoniellus", "Agrilus suahelicus", "Agrilus subnubilis", "Agrilus surrages", "Agrilus suvorovi", "Agrilus thoraciplagis", "Agrilus tityos", "Agrilus toxotes", "Agrilus tragulus", "Agrilus transbaicalensis", "Agrilus triptolemus", "Agrilus triton", "Agrilus tugio", "Agrilus turbator", "Agrilus turneri", "Agrilus uelensis", "Agrilus umbrosellus", "Agrilus vaillanti", "Agrilus verutoides", "Agrilus vimmerianus", "Agrilus vitellius", "Agrilus vseteckai", "Agrilus windhoeki", "Agrilus woodi", "Agrilus xanthograptus", "Agrilus zikani", "Agrilus zuluanus", "Agrilus adansoni", "Agrilus adelungi", "Agrilus alexandri", "Agrilus amazo", "Agrilus antali", "Agrilus antonii", "Agrilus aragonis", "Agrilus ardosiellus", "Agrilus argyrograptus", "Agrilus augustus", "Agrilus baeri", "Agrilus banksi", "Agrilus barrandei", "Agrilus bathyllus", "Agrilus bedelianus", "Agrilus biankii", "Agrilus blanditiosus", "Agrilus bondroiti", "Agrilus boudieri", "Agrilus braemi", "Agrilus bruchianus", "Agrilus buenavistae", "Agrilus manius", "Agrilus marcens", "Agrilus massikessus", "Agrilus mathani", "Agrilus mawambinus", "Agrilus mayumbinus", "Agrilus melanosoma", "Agrilus meleager", "Agrilus mephistinus", "Agrilus mirandus", "Agrilus mlanjensis", "Agrilus motoinus", "Agrilus mulsus", "Agrilus mundanus", "Agrilus mwengwae", "Agrilus natalensis", "Agrilus nataligenus", "Agrilus nickerli", "Agrilus nigeriae", "Agrilus nipponigena", "Agrilus njegus", "Agrilus obnubiloides", "Agrilus obscurecinctus", "Agrilus obsoletulus", "Agrilus octavius", "Agrilus octogemmatus", "Agrilus omissulus", "Agrilus ophthalmoedrus", "Agrilus passerculus", "Agrilus paucipilis", "Agrilus pausias", "Agrilus pedroi", "Agrilus pelops", "Agrilus peraptulus", "Agrilus perfuga", "Agrilus pertener", "Agrilus phlegyas", "Agrilus phoenix", "Agrilus phorcus", "Agrilus plutonius", "Agrilus pohnertianus", "Agrilus pollux", "Agrilus pondo", "Agrilus priscus", "Agrilus proaemulus", "Agrilus prolectus", "Agrilus prosternidens", "Agrilus pupalus", "Agrilus quadrispilotus", "Agrilus quattuordecimsignatus", "Agrilus recellens", "Agrilus regulus", "Agrilus reichardti", "Agrilus remuneratus", "Agrilus remus", "Agrilus reynoldsi", "Agrilus rhodesi", "Agrilus romanovi", "Agrilus romulus", "Agrilus roscidellinus", "Agrilus rudidorsis", "Agrilus rudissimus", "Agrilus rudolphi", "Agrilus rugivertex", "Agrilus zhelochovtsevi", "Agrilus abhayi", "Agrilus bastianae", "Agrilus chounramanyi", "Agrilus clabaudi", "Agrilus dahoi", "Agrilus daillieri", "Agrilus giraudi", "Agrilus goichetae", "Agrilus gouyei", "Agrilus haniquei", "Agrilus lancrenoni", "Agrilus leguayi", "Agrilus lejeunei", "Agrilus loosdregti", "Agrilus morrissae", "Agrilus mouricouae", "Agrilus navarrei", "Agrilus orothi", "Agrilus sommailae", "Agrilus somsanithi", "Agrilus thomasi", "Agrilus traymanyi", "Agrilus alpenae", "Agrilus andrusi", "Agrilus annoi", "Agrilus ashlocki", "Agrilus biasoni", "Agrilus brigitteae", "Agrilus cadoli", "Agrilus camsingi", "Agrilus carettei", "Agrilus connicki", "Agrilus damoiselli", "Agrilus danglesae", "Agrilus disponsae", "Agrilus dunoyeri", "Agrilus falaizei", "Agrilus forquerayi", "Agrilus gagneuxi", "Agrilus georgesi", "Agrilus hobsoni", "Agrilus jaminae", "Agrilus jarrensis", "Agrilus jobi", "Agrilus lancrenonae", "Agrilus licheti", "Agrilus lindryi", "Agrilus lloydae", "Agrilus loupyi", "Agrilus madeci", "Agrilus milletae", "Agrilus milleti", "Agrilus morelae", "Agrilus moreli", "Agrilus nginni", "Agrilus ngonensis", "Agrilus odetteae", "Agrilus paimpolaiseae", "Agrilus palii", "Agrilus panhensis", "Agrilus parizotae", "Agrilus ritavillensis", "Agrilus urbanus", "Agrilus utens", "Agrilus variatus", "Agrilus venustus", "Agrilus verax", "Agrilus verutus", "Agrilus vescus", "Agrilus vespilio", "Agrilus villosulus", "Agrilus volucer", "Agrilus voluptuosus", "Agrilus votus", "Agrilus acceptus", "Agrilus acclivis", "Agrilus acuductus", "Agrilus adjunctus", "Agrilus affinis", "Agrilus albofasciatus", "Agrilus antennatus", "Agrilus apicalis", "Agrilus asperulus", "Agrilus aurilaterus", "Agrilus balaenoides", "Agrilus basilaris", "Agrilus bellus", "Agrilus bicarinatus", "Agrilus biemarginatus", "Agrilus biimpressus", "Agrilus cavifrons", "Agrilus centralis", "Agrilus cephalotes", "Agrilus chevrolati", "Agrilus chlorocephalus", "Agrilus confusus", "Agrilus consimilis", "Agrilus coxalis", "Agrilus cribricollis", "Agrilus croceovittatus", "Agrilus delectabilis", "Agrilus delicatulus", "Agrilus denticulatus", "Agrilus dentifer", "Agrilus detractus", "Agrilus dimidiatus", "Agrilus discoidalis", "Agrilus dissimilis", "Agrilus distans", "Agrilus divaricatus", "Agrilus diversus", "Agrilus excisus", "Agrilus exustus", "Agrilus femoralis", "Agrilus flavoguttatus", "Agrilus fossiger", "Agrilus fossulatus", "Agrilus glabratus", "Agrilus gracilipes", "Agrilus gracilitarsis", "Agrilus hilaris", "Agrilus ignotus", "Agrilus immaculifrons", "Agrilus inaequalis", "Agrilus inclinatus", "Agrilus laetulus", "Agrilus buffoni", "Agrilus buyssoni", "Agrilus caminosus", "Agrilus canelonius", "Agrilus capillitectus", "Agrilus caracanus", "Agrilus cartesias", "Agrilus chevreuli", "Agrilus clairvillei", "Agrilus clangedon", "Agrilus clavaraui", "Agrilus clazon", "Agrilus comstocki", "Agrilus conviva", "Agrilus cordovanus", "Agrilus corysson", "Agrilus cuvieri", "Agrilus daubentoni", "Agrilus decandolli", "Agrilus deceptorosus", "Agrilus desfontainesi", "Agrilus dewetti", "Agrilus diagoros", "Agrilus dohrnianus", "Agrilus dysauxes", "Agrilus elaphrus", "Agrilus empedus", "Agrilus erbeni", "Agrilus eudaemon", "Agrilus evansiae", "Agrilus exageratus", "Agrilus fabricii", "Agrilus fertoni", "Agrilus filiolus", "Agrilus filonius", "Agrilus florilegus", "Agrilus flosculus", "Agrilus geoffroyi", "Agrilus gileti", "Agrilus grilloi", "Agrilus guarani", "Agrilus guercyi", "Agrilus gyllenhalius", "Agrilus hansi", "Agrilus hinnulus", "Agrilus homocletes", "Agrilus honorius", "Agrilus hoschekanus", "Agrilus humboldti", "Agrilus hypatus", "Agrilus hypochoreon", "Agrilus imitator", "Agrilus immsi", "Agrilus jejunus", "Agrilus julius", "Agrilus jussieui", "Agrilus kirbyi", "Agrilus klugianus", "Agrilus koshantshikovi", "Agrilus kuznecovi", "Agrilus lamarcki", "Agrilus lavoisieri", "Agrilus linnei", "Agrilus llanero", "Agrilus docilis", "Agrilus dolatus", "Agrilus dubius", "Agrilus dugesi", "Agrilus electus", "Agrilus eximius", "Agrilus expletus", "Agrilus expolitus", "Agrilus faber", "Agrilus fastigatus", "Agrilus gaudens", "Agrilus gilvopictus", "Agrilus gounellei", "Agrilus hesperus", "Agrilus ignarus", "Agrilus ignavus", "Agrilus impar", "Agrilus impudens", "Agrilus indulgens", "Agrilus inflatus", "Agrilus infuscatus", "Agrilus intermedius", "Agrilus laetabilis", "Agrilus laudabilis", "Agrilus lucens", "Agrilus luctuosus", "Agrilus melancholicus", "Agrilus meracus", "Agrilus munificus", "Agrilus oberthuri", "Agrilus opimus", "Agrilus perangustus", "Agrilus pertenuis", "Agrilus pictus", "Agrilus piliferus", "Agrilus pinguis", "Agrilus placens", "Agrilus postulator", "Agrilus praecipuus", "Agrilus praelucens", "Agrilus prismaticus", "Agrilus probus", "Agrilus prolixus", "Agrilus prudens", "Agrilus pudens", "Agrilus puerilis", "Agrilus puniceus", "Agrilus quietus", "Agrilus rarus", "Agrilus rimosicollis", "Agrilus sculpturatus", "Agrilus sensitivus", "Agrilus sincerus", "Agrilus splendens", "Agrilus strigosus", "Agrilus suavis", "Agrilus suspiciosus", "Agrilus tenebricosus", "Agrilus tersus", "Agrilus timidus", "Agrilus transitorius", "Agrilus tubulus", "Agrilus turgitus", "Agrilus unicus", "Delias berinda yedanula", "Delias lativitta", "Delias lativitta lativitta", "Delias lativitta formosana", "Delias lativitta naga", "Delias lativitta parva", "Delias lativitta tai", "Delias lativitta tongi", "Delias lativitta yunnana", "Delias patrua", "Delias patrua patrua", "Delias patrua shan", "Delias sanaca", "Delias sanaca sanaca", "Delias sanaca atsukoae", "Delias sanaca bhutya", "Delias sanaca oreas", "Delias sanaca perspicua", "Delias subnubila", "Delias subnubila subnubila", "Delias subnubila conspicua", "Delias patrua guiyangensis", "Colias sifanica", "Colias sifanica sifanica", "Colias sifanica herculeana", "Colias sifanica qinghaiensis", "Prioneris thestylis", "Prioneris thestylis thestylis", "Prioneris thestylis formosana", "Prioneris thestylis hainanensis", "Prioneris thestylis malaccana", "Prioneris thestylis yunnae", "Prioneris thestylis fajiansis", "Delias acalis flavivestis", "Cepora wui", "Delias neeltje", "Delias elongatus", "Delias mariae", "Delias menooensis", "Delias menooensis menooensis", "Delias menooensis boschmai", "Delias clathrata", "Delias clathrata clathrata", "Delias clathrata limata", "Delias bobaga", "Delias bobaga bobaga", "Delias bobaga homeyo", "Delias sigit", "Delias catocausta", "Delias catocausta eefi", "Agrilus morus", "Agrilus murzini", "Agrilus niehuisi", "Agrilus torpedo", "Agrilus mandingo", "Agrilus pluvialis", "Agrilus silvanus", "Agrilus aberlenci", "Agrilus allardi", "Agrilus arenatus", "Agrilus bilyi", "Agrilus casalei", "Agrilus coolsi", "Agrilus daccordii", "Agrilus desaegeri", "Agrilus dromas", "Agrilus duttoi", "Agrilus francottei", "Agrilus gianlucai", "Agrilus golettoi", "Agrilus holynskii", "Agrilus leleupi", "Agrilus limnophilus", "Agrilus lusinganus", "Agrilus mourgliai", "Agrilus paulyi", "Agrilus rossii", "Agrilus ruficornis", "Agrilus sagittarius", "Agrilus sainvali", "Agrilus sanguineus", "Agrilus sannio", "Agrilus solers", "Agrilus tervureni", "Agrilus topazius", "Agrilus tranquillus", "Agrilus balena", "Agrilus barbutulus", "Agrilus boanoi", "Agrilus bruschii", "Agrilus forschhammeri", "Agrilus iniudicatus", "Agrilus leveyi", "Agrilus mabokeanus", "Agrilus maddalenae", "Agrilus muehlei", "Agrilus myops", "Agrilus ocellatus", "Agrilus ocularius", "Agrilus olmii", "Agrilus parapupalus", "Agrilus provincialis", "Agrilus pupalinus", "Agrilus rastellii", "Agrilus regius", "Agrilus rotundus", "Agrilus rubescens", "Agrilus sahelicus", "Agrilus saturnus", "Agrilus saudita", "Agrilus scutatus", "Agrilus somalus", "Agrilus subgravidus", "Agrilus syndici", "Agrilus rondoni", "Agrilus rousselatae", "Agrilus samyi", "Agrilus sedonensis", "Agrilus sejeani", "Agrilus seroli", "Agrilus somsavathi", "Agrilus soulieri", "Agrilus stoneae", "Agrilus theodasae", "Agrilus theodasi", "Agrilus thevadensis", "Agrilus trevori", "Agrilus weilli", "Agrilus wilsoni", "Agrilus angolus", "Agrilus brasilius", "Agrilus descarpentriesi", "Agrilus goyaz", "Agrilus legwai", "Agrilus mathabathei", "Agrilus minimus", "Agrilus sanpauloi", "Agrilus aeneoclarus", "Agrilus auratilis", "Agrilus blattaeicollis", "Agrilus cyaneovirens", "Agrilus duporti", "Agrilus erythrostictus", "Agrilus fleutiauxi", "Agrilus fouqueti", "Agrilus macellus", "Agrilus praetextus", "Agrilus vaulogeri", "Agrilus blairi", "Agrilus bonnotei", "Agrilus caligans", "Agrilus coomani", "Agrilus geraudi", "Agrilus hexastigmus", "Agrilus tetrastictus", "Agrilus nobilis", "Agrilus perplexus", "Agrilus sulphurifer", "Agrilus venustulus", "Agrilus bispinosus", "Agrilus brevis", "Agrilus doddi", "Agrilus macleayi", "Agrilus bradti", "Agrilus chihuahuae", "Agrilus rockefelleri", "Agrilus atripennis", "Agrilus basalis", "Agrilus cerinoguttatus", "Agrilus chalcoderes", "Agrilus incertus", "Agrilus sulcatulus", "Agrilus taeniatus", "Agrilus aculeipennis", "Agrilus aureus", "Agrilus auritus", "Agrilus brunnipennis", "Agrilus makonde", "Agrilus matoposinus", "Agrilus methneri", "Agrilus mirus", "Agrilus muehleicus", "Agrilus oblongonotatus", "Agrilus oromo", "Agrilus parsysti", "Agrilus roseus", "Agrilus saucius", "Agrilus scurra", "Agrilus serenae", "Agrilus silvaticus", "Agrilus sollicitus", "Agrilus tropinii", "Agrilus turei", "Agrilus uhligi", "Agrilus ustus", "Agrilus auritinctus", "Agrilus bassetianus", "Agrilus berberus", "Agrilus bozzallai", "Agrilus eburneopilosus", "Agrilus episcopus", "Agrilus extrarmatus", "Agrilus fenestratus", "Agrilus gabonensis", "Agrilus hybridus", "Agrilus incompositus", "Agrilus iucundus", "Agrilus missai", "Agrilus ostellinoi", "Agrilus rosazzae", "Agrilus adinocephalus", "Agrilus atlanticus", "Agrilus baili", "Agrilus bothrops", "Agrilus centunculus", "Agrilus cizeki", "Agrilus colonicus", "Agrilus faganae", "Agrilus hectori", "Agrilus incredulus", "Agrilus ingae", "Agrilus melanocerus", "Agrilus metropolitanus", "Agrilus odegaardi", "Agrilus peresoso", "Agrilus rossanae", "Agrilus rufuscapitae", "Agrilus schmidli", "Agrilus silviettae", "Agrilus tynnanthi", "Agrilus unus", "Agrilus vayssieresi", "Agrilus viridiaeris", "Agrilus yvesi", "Agrilus acer", "Agrilus allisoni", "Agrilus ambifarius", "Agrilus androgynus", "Agrilus baitetanus", "Agrilus cavatus", "Agrilus decemnotatus", "Agrilus fasciolatus", "Agrilus ineditus", "Agrilus languidus", "Agrilus prionurus", "Agrilus pruinosus", "Agrilus pulverosus", "Agrilus setipes", "Agrilus spinamajor", "Agrilus versicolor", "Agrilus rugiplumbus", "Agrilus viridicellus", "Agrilus viridissimus", "Agrilus addendus", "Agrilus floridanus", "Agrilus imbellis", "Agrilus walsinghami", "Agrilus abramii", "Agrilus babuinus", "Agrilus frequens", "Agrilus gazzellus", "Agrilus hehe", "Agrilus integrus", "Agrilus invectus", "Agrilus kenge", "Agrilus malaspinai", "Agrilus pescaroloi", "Agrilus quadruplex", "Agrilus seiunctus", "Agrilus servus", "Agrilus cteniasiformis", "Agrilus delchevi", "Agrilus gordoni", "Agrilus gueorguievi", "Agrilus jiloi", "Agrilus kinuthiae", "Agrilus ljubomirovi", "Agrilus mungaii", "Agrilus njugunai", "Agrilus novaki", "Agrilus pavlinae", "Agrilus penevi", "Agrilus polinae", "Agrilus popovi", "Agrilus semerdjievi", "Agrilus tsavoensis", "Agrilus buani", "Agrilus cristianoi", "Agrilus delmastrellus", "Agrilus drumonti", "Agrilus finellei", "Agrilus goergeni", "Agrilus isoberliniae", "Agrilus samaricus", "Agrilus alboluteus", "Agrilus cobosinus", "Agrilus davidsoni", "Agrilus goodi", "Agrilus iracundus", "Agrilus kindianus", "Agrilus albizziae", "Agrilus bauhiniae", "Agrilus drescheri", "Agrilus javicolus", "Agrilus telawensis", "Agrilus acoloai", "Agrilus balloui", "Agrilus buscki", "Agrilus camaxtlei", "Agrilus carilloensis", "Agrilus caxaxtlei", "Agrilus chicomecoatlae", "Agrilus civacoatlae", "Agrilus civapipiltiae", "Agrilus coatlycuei", "Agrilus dietzi", "Agrilus iaotli", "Agrilus ixcuinae", "Agrilus jenningsi", "Agrilus knabi", "Agrilus mecoatli", "Agrilus napatecutli", "Agrilus omecatli", "Agrilus ometauhtli", "Agrilus opuchtli", "Agrilus paynali", "Agrilus quetzalcoatli", "Agrilus sanjosensis", "Agrilus tabogaensis", "Agrilus teicuae", "Agrilus telpuchtli", "Agrilus tezcatlipocai", "Agrilus tiacapanae", "Agrilus titlacabanae", "Agrilus tlacoae", "Agrilus tlaculteutlae", "Agrilus toteci", "Agrilus totochti", "Agrilus umactli", "Agrilus usingeri", "Agrilus vitzilopuchtli", "Agrilus vixtocioatlae", "Agrilus xipetoteci", "Agrilus xucotzinae", "Agrilus yiacatecutli", "Agrilus yxtliltoni", "Agrilus callani", "Agrilus picinus", "Agrilus praedae", "Agrilus trinidadensis", "Agrilus adamsoni", "Agrilus animatus", "Agrilus captivus", "Agrilus cibarius", "Agrilus consumptoris", "Agrilus esculentus", "Agrilus hostia", "Agrilus victima", "Tychomorphus cossyrensis", "Hemiphileurus panamanius", "Agrilus teocchii", "Agrilus trico", "Agrilus volof", "Agrilus zebratus", "Agrilus adamas", "Agrilus barriosi", "Agrilus bartolozzii", "Agrilus basseti", "Agrilus beckeri", "Agrilus botswanus", "Agrilus caducus", "Agrilus caussei", "Agrilus chowni", "Agrilus collignoni", "Agrilus dhotmanae", "Agrilus ebersolti", "Agrilus endroedyi", "Agrilus francotassii", "Agrilus grobbelaarae", "Agrilus grobleri", "Agrilus hallei", "Agrilus howdenae", "Agrilus karrooi", "Agrilus marreli", "Agrilus micro", "Agrilus nelae", "Agrilus oberprieleri", "Agrilus omearai", "Agrilus orangei", "Agrilus protectus", "Agrilus pyoti", "Agrilus savanae", "Agrilus scholtzi", "Agrilus sitiens", "Agrilus aborigines", "Agrilus bilby", "Agrilus cockatoo", "Agrilus decupratus", "Agrilus dingo", "Agrilus echidna", "Agrilus emu", "Agrilus kangaroo", "Agrilus koala", "Agrilus kokaburra", "Agrilus moloch", "Agrilus numbat", "Agrilus thylacinus", "Agrilus wallaby", "Agrilus wallaroo", "Agrilus achepei", "Agrilus barberoi", "Agrilus berkwae", "Agrilus carolinae", "Agrilus chameleon", "Agrilus ciradi", "Agrilus delmastroi", "Agrilus delphinus", "Agrilus dispersus", "Agrilus giglii", "Agrilus grallus", "Agrilus haafi", "Agrilus haesitans", "Agrilus insolitus", "Agrilus jumbo", "Agrilus ursus", "Agrilus abantiades", "Agrilus ardoini", "Agrilus aurosus", "Agrilus balazuci", "Agrilus barrati", "Agrilus basilewskyanus", "Agrilus baviensis", "Agrilus beatissimus", "Agrilus bernardii", "Agrilus binhensis", "Agrilus bonadonai", "Agrilus bonsae", "Agrilus bourgognei", "Agrilus breuningi", "Agrilus canidius", "Agrilus castus", "Agrilus celerae", "Agrilus certus", "Agrilus cervicatus", "Agrilus chopardi", "Agrilus colasi", "Agrilus collartianus", "Agrilus convictor", "Agrilus dastaracae", "Agrilus desbosi", "Agrilus descampsi", "Agrilus dubouai", "Agrilus emendatus", "Agrilus emeritus", "Agrilus eminens", "Agrilus evolutus", "Agrilus fevreae", "Agrilus fouqueae", "Agrilus franciusi", "Agrilus hayekae", "Agrilus henroti", "Agrilus hexaspilotus", "Agrilus iablokoffi", "Agrilus insuperatus", "Agrilus jarrigei", "Agrilus laurenconi", "Agrilus lebisi", "Agrilus legrosi", "Agrilus lessei", "Agrilus letellierae", "Agrilus levasseuri", "Agrilus lucificus", "Agrilus marreae", "Agrilus mirei", "Agrilus pecoudi", "Agrilus perroti", "Agrilus pierrei", "Agrilus planchardi", "Agrilus quentini", "Agrilus richardae", "Agrilus rivalieri", "Agrilus rougeoti", "Agrilus ruteri", "Agrilus shaumaae", "Agrilus simoninae", "Agrilus stempfferi", "Agrilus syrphus", "Agrilus therondi", "Shortia uniflora var. kantoensis", "Trichadenotecnum shawi", "Chremistica bimaculata", "Diceroprocta heathi", "Paranagallia takiyae", "Egidemia peruana", "Figulus daitoensis", "Aglycyderes setifer", "Aglycyderes tavakiliani", "Agrilus aerosus", "Agrilus bidentulus", "Agrilus plagiatus", "Agrilus smaragdifrons", "Agrilus kandaricus", "Agrilus papuanus", "Agrilus pinii", "Agrilus roroensis", "Agrilus aeneus", "Agrilus australasiae", "Heptapterus qenqo", "Pomacentrus cheraphilus", "Agrilus baroni", "Agrilus baxii", "Agrilus caudalis", "Agrilus cupriventris", "Agrilus cyanipennis", "Agrilus elongatulus", "Agrilus evinadus", "Agrilus biakanus", "Agrilus cavazzutii", "Agrilus cervus", "Agrilus corallinus", "Agrilus cypselus", "Agrilus dama", "Agrilus fusus", "Agrilus gayeli", "Agrilus giraffa", "Agrilus gressitti", "Agrilus lithocarpi", "Agrilus maai", "Agrilus macrocephalus", "Agrilus missanus", "Agrilus morobensis", "Agrilus nebulatus", "Agrilus nocturnus", "Agrilus normanbyanus", "Agrilus oomsisensis", "Agrilus ophidius", "Agrilus pellitus", "Agrilus pudoratus", "Agrilus samuelsonicus", "Agrilus satyrus", "Agrilus sedlaceki", "Agrilus seminudus", "Agrilus striatus", "Agrilus swifti", "Agrilus virilis", "Agrilus wewakinus", "Agrilus molochitis", "Agrilus monteithi", "Agrilus queenslandicus", "Agrilus wrighti", "Agrilus calcar", "Agrilus coyaudi", "Agrilus debakkeri", "Agrilus dotatus", "Agrilus longicornutus", "Agrilus michielsi", "Agrilus perpastus", "Agrilus praemitis", "Agrilus sundholmi", "Agrilus tuberosus", "Agrilus zoster", "Podochlus longispinus", "Agrilus semicinctus", "Agrilus ivetteae", "Agrilus grandinatus", "Agrilus goldsteini", "Agrilus glebae", "Agrilus erici", "Agrilus disparifrons", "Agrilus dauberi", "Agrilus cerrolatus", "Agrilus barriesi", "Agrilus genieri", "Agrilus maesi", "Podochlus paynensis", "Agrilus pumilo", "Agrilus simonellus", "Agrilus steppicus", "Agrilus tyrannus", "Dicentrius carusoi", "Dicentrius peloritanus", "Pselaphostomus adornoi", "Pselaphostomus globiventris", "Delias hiemalis", "Delias hiemalis hiemalis", "Delias hiemalis flabella", "Delias hiemalis labbei", "Delias hiemalis nemangkawi", "Claviger nebrodensis", "Delias autumnalis", "Delias autumnalis autumnalis", "Delias autumnalis hiberna", "Delias autumnalis michiae", "Delias nakanokeikoae", "Delias nakanokeikoae nakanokeikoae", "Delias nakanokeikoae jali", "Delias klossi", "Delias klossi klossi", "Delias klossi chrysanthemum", "Delias klossi gomi", "Poecilium lividum", "Delias klossi okse", "Delias agostina", "Delias agostina agostina", "Delias agostina johnsoni", "Delias agostina annamitica", "Delias melusina", "Delias kazueae", "Delias baracasa dives", "Delias baracasa danala", "Delias baracasa benguetana", "Delias baracasa cathara", "Delias baracasa kalimantana", "Moneuptychia giffordi", "Alucita danunciae", "Tomoplagia achromoptera", "Tomoplagia aczeli", "Tomoplagia bicolor", "Tomoplagia brasiliensis", "Tomoplagia cipoensis", "Tomoplagia dimorphica", "Tomoplagia grandis", "Agrilus gorai", "Agrilus manni", "Agrilus takana", "Agrilus tumupasaensis", "Agrilus acaciae", "Agrilus aeneocephalus", "Agrilus albocomus", "Agrilus arbuti", "Agrilus atricornis", "Agrilus baboquivariae", "Agrilus barberi", "Agrilus benjamini", "Agrilus chiricahuae", "Agrilus corylicola", "Agrilus cupreonitens", "Agrilus eleanorae", "Agrilus exiguellus", "Agrilus falli", "Agrilus lautuellus", "Agrilus malvastri", "Agrilus mimosae", "Agrilus oblongus", "Agrilus olivaceoniger", "Agrilus pilosicollis", "Agrilus prosopidis", "Agrilus pseudocoryli", "Agrilus pubescens", "Agrilus pubifrons", "Agrilus quercicola", "Agrilus coeruleonigra", "Agrilus nevermanni", "Agrilus obsoletovittatus", "Agrilus ochraceomaculatus", "Agrilus raventazonus", "Agrilus sesostris", "Agrilus trypantiformis", "Agrilus turrialbensis", "Agrilus viridicephalus", "Agrilus contractus", "Agrilus curtus", "Agrilus kedahae", "Agrilus kenniah", "Agrilus kudatensis", "Agrilus malasicus", "Agrilus samawangensis", "Agrilus samboides", "Agrilus dampfi", "Agrilus extraneus", "Agrilus hintoni", "Agrilus langkasukae", "Agrilus megerlei", "Agrilus montezuma", "Agrilus pagdeni", "Agrilus prodigiosus", "Agrilus proximulus", "Agrilus rufobrunneus", "Agrilus semiopacus", "Agrilus tahanae", "Agrilus tejupilcoensis", "Agrilus tinctipennis", "Agrilus velasco", "Agrilus vinctus", "Tomoplagia interrupta", "Tomoplagia matzenbacheri", "Tomoplagia rupestris", "Tomoplagia variabilis", "Tomoplagia voluta", "Shortia galacifolia var. galacifolia", "Shortia galacifolia var. brevistyla", "Shortia uniflora var. uniflora", "Proterhinus samoae", "Proterhinus gourvesi", "Proterhinus fimbriatus", "Larutia penangensis", "Hemidactylus graniticolus", "Emoia tuitarere", "Dendrelaphis ashoki", "Glaucomastix venetacauda", "Ameivula confusioniba", "Bachia didactyla", "Asaccus andersoni", "Salvia pseudeuphratica", "Salvia cerino-pruinosa", "Salvia euphratica", "Shortia uniflora var. orbicularis", "Agrilus tsacasi", "Agrilus viettei", "Podochlus magellanicus", "Agrilus xanthias", "Involvulus cupreus", "Agrilus albertianus", "Agrilus chapaensis", "Agrilus meliboeformis", "Agrilus muong", "Agrilus pseudinamoenus", "Agrilus truncatipennis", "Agrilus antennalis", "Agrilus pseudolituratus", "Agrilus pseudonubeculosus", "Podochlus beschi", "Agrilus alemani", "Agrilus bimaculatus", "Agrilus carmineus", "Agrilus chlorus", "Agrilus deborrei", "Agrilus fraternus", "Agrilus igneosignatus", "Agrilus kerremansi", "Agrilus metallescens", "Agrilus tarrascus", "Podochlus simplex", "Agrilus cuspidatus", "Agrilus debilis", "Agrilus discolor", "Agrilus hastulatus", "Agrilus mendicus", "Agrilus subsignatus", "Agrilus sulcifrons", "Agrilus tenellus", "Agrilus aguinaldoi", "Agrilus attenuatus", "Agrilus banahaoensis", "Agrilus bisignatus", "Agrilus butuanensis", "Agrilus dapitanensis", "Agrilus fulvovittatus", "Agrilus iliganensis", "Agrilus immaculatus", "Agrilus inermis", "Agrilus innotatus", "Agrilus malinaoensis", "Agrilus manilensis", "Agrilus maquilingensis", "Agrilus mindanaoensis", "Agrilus oreophilus", "Agrilus palawanensis", "Agrilus philippinensis", "Agrilus quadriplagiatus", "Agrilus rotundipennis", "Agrilus semipubescens", "Agrilus sexsignatus", "Agrilus subspinosus", "Agrilus subviridis", "Agrilus subvittatus", "Agrilus tayabensis", "Agrilus zamboangensis", "Agrilus beniensis", "Agrilus boliviensis", "Agrilus cavinas", "Agrilus loretanus", "Agrilus luederwaldti", "Agrilus lycaon", "Agrilus manaosensis", "Agrilus matho", "Agrilus miron", "Agrilus needhami", "Agrilus ogloblini", "Agrilus omphax", "Agrilus orgetorix", "Agrilus palilogus", "Agrilus pallon", "Agrilus paradelphus", "Agrilus parasimilanus", "Agrilus pattoni", "Agrilus pertristis", "Agrilus petronius", "Agrilus phanaeus", "Agrilus pisander", "Agrilus preyssleri", "Agrilus pseudoparagrilus", "Agrilus pseudosimilanus", "Agrilus putzeysi", "Agrilus pylnovi", "Agrilus quilmesinus", "Agrilus redtenbacheri", "Agrilus reimoseri", "Agrilus rodzjankoi", "Agrilus sainthilairei", "Agrilus saussurei", "Agrilus sceptuchus", "Agrilus schreineri", "Agrilus scopiazon", "Agrilus sedyi", "Agrilus sekerai", "Agrilus severini", "Agrilus sharpi", "Agrilus similanus", "Agrilus skrlandti", "Agrilus stenachon", "Agrilus strandianus", "Agrilus strephon", "Agrilus strombus", "Agrilus strophius", "Agrilus talthybius", "Agrilus telaemenes", "Agrilus tenuisculptus", "Agrilus terentius", "Agrilus thaumastus", "Agrilus thianshanskii", "Agrilus tiberius", "Agrilus tucumanellus", "Agrilus tullius", "Agrilus uruguayanus", "Agrilus uvarovi", "Agrilus vasiljevi", "Agrilus vinitius", "Agrilus vlachi", "Agrilus wasmanni", "Agrilus wytsmani", "Agrilus xiphion", "Agrilus zarudnyi", "Agrilus adonis", "Ebrietas sappho", "Quasimellana aurora", "Quasimellana balsa", "Vacerra cervara", "Petrocerus catiena", "Chlosyne gaudialis", "Chlosyne gaudialis gaudialis", "Chlosyne gaudialis wellingi", "Agrilus longicornis", "Agrilus modestus", "Agrilus niger", "Agrilus owas", "Agrilus pictipennis", "Agrilus posticalis", "Agrilus puellus", "Agrilus pyrosurus", "Agrilus senegalensis", "Agrilus sexnotatus", "Agrilus solieri", "Agrilus thoracellus", "Agrilus thoracicus", "Agrilus umbrosus", "Agrilus unicolor", "Agrilus unipunctatus", "Agrilus variegatus", "Agrilus venosus", "Agrilus virescens", "Agrilus westermanni", "Agrilus aculeatus", "Agrilus acuminatus", "Agrilus albogularis", "Agrilus aleus", "Agrilus almenus", "Agrilus arnus", "Agrilus aurocephalus", "Agrilus chalcoventris", "Agrilus chrysophanus", "Agrilus colombianus", "Agrilus conformis", "Agrilus conicus", "Agrilus ctenocerus", "Agrilus cupai", "Agrilus difficilis", "Agrilus egenus", "Agrilus ethlius", "Agrilus eupalamus", "Agrilus frigidus", "Agrilus funestus", "Agrilus fuscipennis", "Agrilus imbricatus", "Agrilus impressicollis", "Agrilus infelix", "Agrilus lineellus", "Agrilus lucidicollis", "Agrilus maculifrons", "Agrilus mexicanus", "Agrilus nigricans", "Agrilus obscuripennis", "Agrilus obsoletoguttatus", "Agrilus obsoletus", "Agrilus pauperculus", "Agrilus perlucidus", "Agrilus piscis", "Agrilus pisinoe", "Agrilus quadriguttatus", "Agrilus quadrinotatus", "Agrilus siren", "Agrilus subcinctus", "Agrilus tridentatus", "Agrilus trimaculatus", "Agrilus trispinosus", "Agrilus violaceicollis", "Agrilus binotatus", "Agrilus acanthopterus", "Agrilus irrorellus", "Agrilus minutus", "Agrilus umbratus", "Agrilus vagans", "Agrilus costulatus", "Agrilus hildebrandti", "Agrilus vulgaris", "Agrilus argythamniae", "Agrilus barri", "Agrilus interstitialis", "Agrilus vescivittatus", "Agrilus admirabilis", "Agrilus aethiops", "Agrilus alborubronigrus", "Agrilus albovariegatus", "Agrilus atkinsoni", "Agrilus aurantioguttatus", "Agrilus aurulentus", "Agrilus biformis", "Agrilus braconicoloratus", "Agrilus caesalpiniae", "Agrilus chamelae", "Agrilus fuscus", "Agrilus griseoniger", "Agrilus laterimaculatus", "Agrilus lautuelliformis", "Agrilus melanospilus", "Agrilus muscicoloratus", "Agrilus nigroauratus", "Agrilus noguerae", "Agrilus obscuricolor", "Agrilus olivaceoaeneus", "Agrilus olivaceocupreus", "Agrilus sanchezae", "Agrilus anthaxioides", "Agrilus chrysobothroides", "Agrilus giesberti", "Agrilus filiformis", "Agrilus flaveolus", "Agrilus frontalis", "Agrilus furcatipennis", "Agrilus grandis", "Agrilus granulicollis", "Agrilus granulosus", "Agrilus hypoleucus", "Agrilus lacordairei", "Agrilus longiusculus", "Agrilus maculatus", "Glyptothorax ater", "Glyptothorax caudimaculatus", "Kryptolebias hermaphroditus", "Agrilus maculicollis", "Physoschistura yunnaniloides", "Schistura callidora", "Pseudolaguvia austrina", "Aaaaba nodosa", "Eupithecia tamarugalis", "Angelabella tecomae", "Lioptilodes friasi", "Periploca otrebla", "Ithome tiaynai", "Macaria mirthae", "Staphylus huigra", "Staphylus huigra huigra", "Staphylus huigra canka", "Staphylus iguala", "Staphylus imperspicua", "Staphylus incanus", "Staphylus insignis", "Staphylus kayei", "Staphylus melaina", "Staphylus menuda", "Agrilus leucaenae", "Agrilus obrienorum", "Agrilus paramacer", "Agrilus parkinsoniae", "Agrilus rifkindi", "Agrilus bojasinskii", "Agrilus evelinae", "Agrilus jadwigae", "Agrilus abditus", "Agrilus abductus", "Agrilus abjectus", "Agrilus abstersus", "Agrilus angelicus", "Agrilus audax", "Agrilus blandus", "Agrilus concinnus", "Agrilus crinicornis", "Agrilus felix", "Agrilus impexus", "Agrilus jacobinus", "Agrilus masculinus", "Agrilus nevadensis", "Agrilus obtusus", "Agrilus ornatulus", "Agrilus pensus", "Agrilus scitulus", "Agrilus ventralis", "Agrilus chiangdaoensis", "Agrilus dilatometatibialis", "Agrilus holzschuhi", "Agrilus lineatomaculatus", "Agrilus pacholatkoi", "Agrilus shaowensis", "Agrilus souliei", "Agrilus wittemani", "Agrilus champasak", "Agrilus charismaticus", "Agrilus gaoligong", "Agrilus horaki", "Agrilus lubopetri", "Agrilus myopic", "Agrilus notoclavus", "Agrilus pseudoostrinus", "Agrilus qinling", "Agrilus robustipenis", "Agrilus baoloc", "Agrilus darjiling", "Agrilus diaolin", "Agrilus huashanus", "Agrilus pubornatus", "Agrilus somnon", "Agrilus sausai", "Agrilus centurial", "Agrilus bituberculatus", "Agrilus doipui", "Agrilus foliatus", "Agrilus hiatus", "Agrilus hornburgi", "Agrilus kostali", "Agrilus latipalpis", "Agrilus majzlani", "Agrilus nagahatai", "Agrilus nokrek", "Agrilus pao", "Agrilus medius", "Agrilus nervosus", "Agrilus notabilis", "Agrilus oblatus", "Agrilus opulentus", "Agrilus ostentator", "Agrilus perakianus", "Agrilus purus", "Agrilus pyritosus", "Agrilus raapi", "Agrilus sacer", "Agrilus singularis", "Agrilus subconsularis", "Agrilus subornatus", "Agrilus subpyropygus", "Agrilus subvalidus", "Agrilus testor", "Agrilus ventripotens", "Agrilus videns", "Agrilus weyersi", "Agrilus woodlarkianus", "Agrilus alluaudi", "Agrilus amoenulus", "Agrilus argentinus", "Agrilus armillatus", "Agrilus assinicus", "Agrilus avulsus", "Agrilus bellicus", "Agrilus benevolus", "Agrilus bergi", "Agrilus bonariensis", "Agrilus bruchi", "Agrilus caroli", "Agrilus costifer", "Agrilus curator", "Agrilus dahomeicus", "Agrilus dicalis", "Agrilus dualis", "Agrilus eversor", "Agrilus faciatus", "Agrilus fidens", "Agrilus fulvolineatus", "Agrilus garrulus", "Agrilus habilis", "Agrilus idoneus", "Agrilus illibatus", "Agrilus importunus", "Agrilus languens", "Agrilus luctator", "Agrilus messorius", "Agrilus metuens", "Agrilus neuquensis", "Agrilus notus", "Agrilus omissus", "Agrilus orbatus", "Agrilus plicatus", "Agrilus portonovencis", "Agrilus reliquus", "Agrilus saltensis", "Agrilus suberraticus", "Agrilus subfrontalis", "Agrilus tucumanus", "Agrilus bolamanus", "Agrilus feae", "Agrilus gestroi", "Agrilus monticola", "Agrilus subtenuis", "Agrilus ertli", "Agrilus lukuledianus", "Agrilus schultzei", "Agrilus auropictus", "Agrilus canus", "Agrilus convexiusculus", "Agrilus cruciatus", "Agrilus crucifrons", "Agrilus desuetus", "Agrilus dignus", "Agrilus diligens", "Agrilus folognei", "Agrilus formosanus", "Agrilus hornianus", "Agrilus insulicolus", "Agrilus kolleri", "Agrilus lameerei", "Agrilus maynaei", "Agrilus mentor", "Agrilus moultoni", "Agrilus mustus", "Agrilus myrmido", "Agrilus obnotatus", "Agrilus pexus", "Agrilus potens", "Agrilus pravus", "Agrilus priamus", "Agrilus sagax", "Agrilus sauteri", "Agrilus schoutedeni", "Agrilus vacuus", "Agrilus velatus", "Agrilus acastus", "Agrilus albostictus", "Agrilus aristaeus", "Agrilus bacchus", "Agrilus ctesias", "Agrilus eichelbaumi", "Agrilus leonhardi", "Agrilus lunidorsatus", "Agrilus mandatus", "Agrilus orestes", "Agrilus pacatus", "Agrilus radiolus", "Agrilus rubicundus", "Agrilus spiridion", "Agrilus tyndarus", "Agrilus tyrtaeus", "Agrilus wagneri", "Agrilus xantippus", "Agrilus bakeri", "Agrilus balnearis", "Agrilus fontanus", "Agrilus graueri", "Agrilus histrio", "Agrilus intrusus", "Agrilus jeanneli", "Agrilus lugubris", "Agrilus senilis", "Agrilus viduus", "Agrilus auricollis", "Agrilus percarus", "Agrilus perviridis", "Agrilus placidus", "Agrilus simplex", "Agrilus tacitus", "Agrilus transversus", "Agrilus tuberculicollis", "Agrilus adelphinus", "Agrilus ambiguus", "Agrilus bifoveolatus", "Agrilus humilis", "Agrilus morio", "Agrilus muscarius", "Agrilus nigritus", "Agrilus spectabilis", "Agrilus tonkineus", "Agrilus varius", "Agrilus alacris", "Agrilus analis", "Agrilus cabellanus", "Agrilus comes", "Agrilus congener", "Agrilus cylindratus", "Agrilus deletus", "Agrilus differens", "Agrilus duplicatus", "Agrilus fastidiosus", "Agrilus fidelis", "Agrilus fugitivus", "Agrilus fulvopictus", "Agrilus generosus", "Agrilus grouvellei", "Agrilus honestus", "Agrilus inornatus", "Agrilus insidiosus", "Agrilus melas", "Agrilus nixius", "Agrilus petarensis", "Agrilus simoni", "Agrilus somalicus", "Agrilus tabaci", "Agrilus asiaticus", "Agrilus canaliculatus", "Agrilus capicolus", "Agrilus cornutus", "Agrilus duvivieri", "Agrilus fauveli", "Agrilus griseopictus", "Agrilus limvuanus", "Agrilus molirensis", "Agrilus nitidifrons", "Agrilus sellatus", "Agrilus subaeneus", "Agrilus subapicalis", "Agrilus subgriseus", "Agrilus subnitidus", "Agrilus sumbuanus", "Agrilus zonatus", "Agrilus aeneiceps", "Agrilus aeneocupreus", "Agrilus africanus", "Agrilus auriceps", "Agrilus azureus", "Agrilus bennigseni", "Agrilus convexifrons", "Agrilus graminis", "Agrilus grandiceps", "Agrilus lineola", "Agrilus litura", "Agrilus obscuricollis", "Agrilus olivicolor", "Agrilus pseudocyaneus", "Agrilus roscidus", "Agrilus sericans", "Agrilus pubiventris", "Agrilus celti", "Agrilus frosti", "Agrilus juglandis", "Agrilus esperanzae", "Agrilus neabditus", "Agrilus parkeri", "Agrilus viridescens", "Agrilus neoprosopidus", "Agrilus sapindi", "Agrilus shoemakeri", "Agrilus cliftoni", "Agrilus davisi", "Agrilus limpiae", "Agrilus hasegawai", "Agrilus satoi", "Agrilus semiaurovittatus", "Agrilus subcuneiformis", "Agrilus taiwanensis", "Agrilus auroapicalis", "Agrilus yamawakii", "Agrilus boninensis", "Agrilus kawarai", "Agrilus salicivola", "Agrilus shashamboe", "Agrilus tsushimanus", "Agrilus uenoi", "Agrilus amamioshimanus", "Agrilus carinihumeralis", "Agrilus esakii", "Agrilus hirashimai", "Agrilus shibatai", "Agrilus yasumatsui", "Agrilus chujoi", "Agrilus mallotiellus", "Agrilus sudai", "Agrilus suzukii", "Agrilus tazoei", "Agrilus tokyoensis", "Agrilus derasofasciatus", "Agrilus guerinii", "Agrilus sulcicollis", "Agrilus cephalicus", "Agrilus defectus", "Agrilus fulgens", "Agrilus lacustris", "Agrilus obolinus", "Agrilus puncticeps", "Agrilus torquatus", "Agrilus brevitarsis", "Agrilus cupes", "Agrilus fortunatus", "Agrilus imitans", "Agrilus sospes", "Agrilus camerunicus", "Agrilus cariosus", "Agrilus clavatus", "Agrilus compressus", "Agrilus costipennis", "Agrilus curvus", "Agrilus dentipennis", "Agrilus depressus", "Agrilus diversifrons", "Agrilus gibbosus", "Agrilus gratus", "Agrilus griseonotatus", "Agrilus hieroglyphicus", "Agrilus infimus", "Agrilus irregularis", "Agrilus kraatzi", "Agrilus lautus", "Agrilus malus", "Agrilus nobilitatus", "Agrilus notatus", "Agrilus oculifer", "Agrilus pretiosissimus", "Agrilus rufopictus", "Agrilus striolatus", "Agrilus subazureus", "Agrilus subcongener", "Agrilus subcurtulus", "Agrilus subdebilis", "Agrilus subdorsalis", "Agrilus subelongatus", "Agrilus subinflatus", "Agrilus subrugosus", "Agrilus togoensis", "Agrilus triangularis", "Agrilus usaramoensis", "Agrilus variabilis", "Agrilus aberrans", "Agrilus aequalis", "Agrilus amorphus", "Agrilus ampliatus", "Agrilus aurocyaneus", "Agrilus bellator", "Agrilus caviceps", "Agrilus claveri", "Agrilus comptus", "Agrilus connexus", "Agrilus convexus", "Agrilus coraeboides", "Agrilus cupratus", "Agrilus depressifrons", "Agrilus dohrni", "Agrilus erraticus", "Agrilus famulus", "Agrilus frustrator", "Agrilus guttifer", "Agrilus horni", "Agrilus indagator", "Agrilus inhabilis", "Agrilus laevifrons", "Agrilus laeviventris", "Agrilus levifrons", "Agrilus luculentus", "Agrilus maculipennis", "Agrilus mediocris", "Agrilus suturisignatus", "Agrilus tardulus", "Agrilus tebinganus", "Agrilus ternatensis", "Agrilus tolianus", "Agrilus tonkinigena", "Agrilus tristinus", "Agrilus uniformipubis", "Agrilus ussuricola", "Agrilus viridicolor", "Agrilus xenius", "Agrilus yulensis", "Agrilus constantini", "Agrilus ningpoensis", "Agrilus pterostigma", "Agrilus spesivcevi", "Agrilus yunnanus", "Agrilus buraicus", "Agrilus likoniensis", "Agrilus obdurescens", "Agrilus sikkimensis", "Agrilus syrdarjensis", "Agrilus thibetanus", "Agrilus alutaceicollis", "Agrilus attila", "Agrilus daghestanicus", "Agrilus kanssuanus", "Agrilus macrotatopus", "Agrilus abodimanganus", "Agrilus advena", "Agrilus agnatulus", "Agrilus ambodimanganus", "Agrilus anthrax", "Agrilus banguinus", "Agrilus baringanus", "Agrilus barkeri", "Agrilus braunsi", "Agrilus buambanus", "Agrilus bumbulinus", "Agrilus calligatus", "Agrilus cameroonensis", "Agrilus cernus", "Agrilus chrysipleuris", "Agrilus colligatus", "Agrilus coracicolor", "Agrilus delagoanus", "Agrilus dollmanni", "Agrilus ebolowae", "Agrilus ephialtes", "Agrilus euglenes", "Agrilus eupractus", "Agrilus fagniezi", "Agrilus fryi", "Agrilus galiberti", "Agrilus gedeanus", "Agrilus harpagon", "Agrilus indocilis", "Agrilus irreprehensus", "Agrilus irruptus", "Agrilus jedlickai", "Agrilus joukli", "Agrilus kalshoveni", "Agrilus kassaigena", "Agrilus kedirianus", "Agrilus spinipennis", "Agrilus tempestivus", "Agrilus acutipennis", "Agrilus caudatus", "Agrilus laetifrons", "Agrilus croceivestis", "Agrilus ecarinatus", "Agrilus minusculus", "Agrilus quadrisignatus", "Agrilus turcicus", "Agrilus zigzag", "Agrilus kotoensis", "Agrilus arisanus", "Agrilus yamabusi", "Agrilus antiquus", "Agrilus curtulus", "Agrilus elegans", "Agrilus baobdil", "Agrilus chionochaetus", "Agrilus moriscus", "Agrilus paganettii", "Agrilus archaicus", "Agrilus brahma", "Agrilus catamarcanus", "Agrilus ceylonensis", "Agrilus filigranus", "Agrilus graecus", "Agrilus hoscheki", "Agrilus pecirkai", "Agrilus roscidiformis", "Agrilus visnu", "Agrilus abyssinicus", "Agrilus aequatoris", "Agrilus fissus", "Agrilus grusinus", "Agrilus gyleki", "Agrilus narcissus", "Agrilus plasoni", "Agrilus proditor", "Agrilus sordidulus", "Agrilus surrubrensis", "Agrilus tomentosulus", "Agrilus andresi", "Agrilus discoloriformis", "Agrilus globulifrons", "Agrilus bolivari", "Agrilus escaleri", "Agrilus isabellae", "Agrilus amicalis", "Agrilus friebi", "Agrilus oasis", "Agrilus sumatrae", "Agrilus algiricus", "Agrilus bareinus", "Agrilus bergrothi", "Agrilus bivittiger", "Agrilus carbo", "Agrilus cuprosus", "Agrilus danesi", "Agrilus dimorphus", "Agrilus dualae", "Agrilus ekonae", "Agrilus fidelissimus", "Agrilus hexaspinus", "Agrilus pseudobscuricollis", "Agrilus pseudograminis", "Agrilus smatanai", "Agrilus sugiurai", "Agrilus sulcinotus", "Agrilus suturicuspidatus", "Agrilus truncatus", "Agrilus volkovitshi", "Anillinus unicoi", "Anillinus carltoni", "Anillinus chilhowee", "Anillinus smokiensis", "Anillinus chandleri", "Agrilus ventrituber", "Agrilus apicaureus", "Agrilus carinelytratus", "Agrilus cuneatus", "Agrilus dilatipenis", "Agrilus haucki", "Agrilus hunanus", "Agrilus madanensis", "Agrilus pseudoharlequin", "Agrilus rolciki", "Agrilus semicauducus", "Agrilus spiculipenis", "Agrilus tiomanensis", "Agrilus zhongdian", "Agrilus arsenevi", "Agrilus dali", "Agrilus agnatus", "Agrilus albopictus", "Agrilus birmanicus", "Agrilus confossicollis", "Agrilus decoloratus", "Agrilus deyrollei", "Agrilus dianthus", "Agrilus fairmairei", "Agrilus inamoenus", "Agrilus ineptus", "Agrilus inops", "Agrilus lafertei", "Agrilus livens", "Agrilus mandaricus", "Agrilus mixtus", "Agrilus modicus", "Agrilus neelgheriensis", "Agrilus niveoguttatus", "Agrilus nubilus", "Agrilus ostrinus", "Agrilus purpurescens", "Agrilus striatocollis", "Agrilus waterhousei", "Agrilus fragilis", "Agrilus grisator", "Agrilus repercussus", "Agrilus viridifrons", "Agrilus brevicollis", "Agrilus bucolicus", "Agrilus coloratus", "Agrilus demissus", "Agrilus fugax", "Agrilus keyensis", "Agrilus modiglianii", "Agrilus nudatus", "Agrilus kuchingensis", "Agrilus makiharai", "Agrilus matsudai", "Agrilus niisatoi", "Agrilus oishii", "Agrilus sadahiroi", "Agrilus siamensis", "Agrilus babai", "Agrilus naomii", "Agrilus nepalensis", "Agrilus senohi", "Agrilus takahashii", "Agrilus toyoshimai", "Humiria balsamifera", "Humiriastrum cuspidatum", "Agrilus pharao", "Agrilus poecilus", "Agrilus raphelisi", "Agrilus roscidinus", "Agrilus sordidatus", "Agrilus victoriae", "Agrilus viridator", "Agrilus walesicus", "Agrilus admonitor", "Agrilus albosericellus", "Agrilus anabates", "Agrilus anachlorus", "Agrilus argenteornatus", "Agrilus atratulus", "Agrilus aureocoerulans", "Agrilus auristernum", "Agrilus brydli", "Agrilus cannulus", "Agrilus carinellifer", "Agrilus carinipennis", "Agrilus celebicola", "Agrilus cochinchinae", "Agrilus cupido", "Agrilus delphius", "Agrilus demetrius", "Agrilus encaustus", "Agrilus exclusus", "Agrilus gebleri", "Agrilus harlequin", "Agrilus hortator", "Agrilus kheili", "Agrilus lazar", "Agrilus luctuosellus", "Agrilus ludificator", "Agrilus macillentus", "Agrilus malayanus", "Agrilus micromegas", "Agrilus microtatus", "Agrilus mirabiliformis", "Agrilus nicolanus", "Agrilus nodieri", "Agrilus obustulus", "Agrilus oneratus", "Agrilus operosus", "Agrilus oppositus", "Agrilus optatus", "Agrilus orientis", "Agrilus paradiseus", "Agrilus pekinensis", "Agrilus perniciosellus", "Agrilus persolitarius", "Agrilus pictithorax", "Agrilus pidjinus", "Agrilus pilipennis", "Agrilus pilistoma", "Agrilus pilosidorsis", "Agrilus protenor", "Agrilus pterochlorus", "Agrilus sandakanus", "Agrilus saundersianus", "Agrilus sibiricolus", "Agrilus simillipictus", "Agrilus solemnis", "Agrilus spinellifer", "Zygaena naumanni", "Zygaena anthyllidis", "Zygaena transalpina", "Zygaena angelicae", "Zygaena lonicerae", "Zygaena trifolii", "Agrilus semperi", "Agrilus vilis", "Agrilus fallax", "Agrilus otiosus", "Agrilus putillus", "Agrilus auroguttatus", "Agrilus huachucae", "Agrilus quercus", "Agrilus subtropicus", "Agrilus caucasicola", "Agrilus ganglbaueri", "Agrilus validiusculus", "Agrilus gerschuni", "Agrilus lubischevi", "Agrilus lugovoi", "Agrilus machnovskii", "Agrilus uzbekistanus", "Agrilus atomus", "Agrilus aurociliatus", "Agrilus kandyanus", "Agrilus motschulskyi", "Agrilus nalandae", "Agrilus walkeri", "Agrilus babaulti", "Agrilus beauprei", "Agrilus bicornis", "Agrilus cardoni", "Agrilus cyaneofasciatus", "Agrilus derrisi", "Agrilus hassani", "Agrilus lestagei", "Agrilus malloti", "Agrilus mercurini", "Agrilus nemethi", "Agrilus rabaticus", "Agrilus touareg", "Agrilus absonus", "Agrilus chembae", "Agrilus ctenias", "Agrilus evansianus", "Agrilus lepineyi", "Agrilus lesnei", "Agrilus sangadzinus", "Agrilus taveuniensis", "Agrilus voegelini", "Agrilus arestini", "Agrilus jemjemensis", "Agrilus levuensis", "Agrilus mannianus", "Agrilus angolensis", "Agrilus discretus", "Agrilus dispar", "Agrilus dolorosus", "Agrilus pimenteli", "Agrilus taylori", "Agrilus aeneellus", "Agrilus antepodex", "Agrilus bifenestratus", "Agrilus correctus", "Agrilus divergens", "Agrilus dominicanus", "Agrilus fasciatellus", "Agrilus ignicaudatellus", "Agrilus immaculicollis", "Agrilus pliculipennis", "Agrilus pusillesculptus", "Agrilus subtilipilis", "Agrilus suensoni", "Agrilus aesquilius", "Agrilus aurelianus", "Agrilus circumflutus", "Agrilus eurysaces", "Agrilus missionum", "Agrilus vianai", "Agrilus xylochaerus", "Agrilus armstrongi", "Agrilus carterellus", "Agrilus douglasi", "Agrilus fasattii", "Agrilus fassatii", "Agrilus japanocarinatus", "Agrilus koyoi", "Agrilus ogatai", "Agrilus makiharaiellus", "Agrilus nelsondaimio", "Agrilus tsutsumiuchii", "Agrilus decoratus", "Agrilus fraudulentus", "Agrilus gloriosulus", "Agrilus mashunus", "Agrilus aebii", "Agrilus apellos", "Agrilus chaparensis", "Agrilus decellei", "Agrilus pachycerus", "Agrilus rhopalocerus", "Agrilus aeneicollis", "Agrilus aereus", "Agrilus coeruleicollis", "Agrilus longicollis", "Agrilus octonotatus", "Agrilus viridicupreus", "Agrilus albomaculifer", "Agrilus parvus", "Agrilus proximus", "Agrilus sayi", "Agrilus blanchardii", "Agrilus dorbignyi", "Agrilus fahraei", "Agrilus giloloensis", "Agrilus goryi", "Agrilus lecontei", "Agrilus murrayi", "Agrilus auriventris", "Agrilus cyaneoniger", "Agrilus discalis", "Agrilus maculifer", "Agrilus marginicollis", "Agrilus moerens", "Agrilus pilosovittatus", "Agrilus subrobustus", "Agrilus trinotatus", "Agrilus viridiobscurus", "Agrilus abdominalis", "Agrilus inquinatus", "Agrilus nigrocinctus", "Agrilus pilicauda", "Agrilus pulcher", "Bunchosia sonorensis", "Agrilus acroneus", "Agrilus acutus", "Agrilus mikusiakorum", "Agrilus adlbaueri", "Achillea tomentosa", "Achillea ptarmicifolia", "Zygaena hindukuschi", "Sacoglottis amazonica", "Sacoglottis guianensis", "Zherichinixena nigra", "Schistostemon macrophyllum", "Vantanea parviflora", "Desbordesia glaucescens", "Irvingia gabonensis", "Irvingia grandifolia", "Irvingia malayana", "Irvingia smithii", "Melitaea protomedia", "Arhinobelus agathophagus", "Agrilus lagosinus", "Agrilus loangensis", "Agrilus luebanus", "Agrilus luteopictus", "Agrilus mancus", "Agrilus mombassicus", "Agrilus nossibanus", "Agrilus patricius", "Agrilus perniger", "Agrilus polyctor", "Agrilus praetor", "Agrilus pygaera", "Agrilus quaestionis", "Agrilus quaestor", "Agrilus salisburyensis", "Agrilus semarangi", "Agrilus silantjevi", "Agrilus sordidans", "Agrilus sperator", "Agrilus submendicus", "Agrilus sugurovi", "Agrilus surdisquamis", "Agrilus tristicolor", "Agrilus araneipes", "Agrilus buruanus", "Agrilus carinus", "Agrilus cartistus", "Agrilus casignetus", "Agrilus circus", "Agrilus cisses", "Agrilus copraeus", "Agrilus desmaresti", "Agrilus diaphanes", "Agrilus dryadis", "Agrilus dudai", "Agrilus epaulus", "Agrilus eulaxus", "Agrilus eutyches", "Agrilus friesei", "Agrilus frigidinus", "Agrilus graciae", "Agrilus haenkei", "Agrilus huascar", "Agrilus laomedon", "Agrilus lavillei", "Agrilus leminus", "Agrilus maculisternis", "Agrilus maderi", "Agrilus neocles", "Agrilus pabulator", "Agrilus palaestes", "Agrilus pinhadaensis", "Agrilus presli", "Agrilus sorciellus", "Agrilus srogli", "Agrilus strigulioides", "Agrilus sulci", "Agrilus sumptuosissimus", "Agrilus toxopeusi", "Agrilus tumultuosus", "Agrilus aenescentellus", "Agrilus alashanensis", "Agrilus amphiaraus", "Agrilus amulius", "Linum stelleroides", "Linum striatum", "Linum subteres", "Linum sulcatum", "Linum tauricum", "Linum thracicum", "Linum virginianum", "Hepialus xiaojinensis", "Gentiana orbicularis", "Delphinium longebracteatum", "Delphinium araraticum", "Polyporus squamosus", "Zygaena mirzayansi", "Reinwardtia cicanoloba", "Reinwardtia indica", "Tirpitzia sinensis", "Amorimia pubiflora", "Amorimia rigida", "Aspidopterys concava", "Banisteriopsis martiniana", "Banisteriopsis muricata", "Bunchosia argentea", "Bunchosia armeniaca", "Bunchosia biocellata", "Bunchosia costaricensis", "Bunchosia glandulifera", "Bunchosia glandulosa", "Bunchosia hookeriana", "Bunchosia lindeniana", "Platycerus tabanai baotianmanus", "Platycerus consimilis phagophilus", "Platycerus piceus", "Platycerus sepultus", "Agrilus masumotoi", "Agrilus shimabarensis", "Agrilus aurarius", "Agrilus bocae", "Agrilus liscapia", "Agrilus obscurellus", "Agrilus pilosellus", "Agrilus profugellus", "Agrilus pyropygus", "Agrilus rufocentralis", "Agrilus scabiosus", "Agrilus soricellus", "Agrilus splendidipodex", "Agrilus squaliformis", "Agrilus adustellus", "Agrilus albonotatus", "Agrilus albovittatus", "Agrilus allectorellus", "Agrilus bronzeellus", "Agrilus carinellus", "Agrilus ceruleodepilis", "Agrilus citrinolatus", "Agrilus colluviellus", "Agrilus crapulellus", "Agrilus cuprescensellus", "Agrilus dejeanii", "Agrilus dionides", "Agrilus enervatus", "Agrilus filosellus", "Agrilus fosseicollis", "Agrilus fraudatorellus", "Agrilus goryellus", "Agrilus immaculatellus", "Agrilus impressipennis", "Agrilus irrequietus", "Agrilus mansuetus", "Agrilus monogrammus", "Agrilus monotonus", "Agrilus nigerellus", "Agrilus pacificus", "Agrilus plutonicellus", "Agrilus pugionellus", "Agrilus quadriguttatellus", "Agrilus raffrayi", "Agrilus scrobicollis", "Agrilus sexflavoguttatellus", "Agrilus sexguttatellus", "Agrilus sicariellus", "Agrilus simplicellus", "Agrilus sinensis", "Agrilus spurcites", "Agrilus suturalineatus", "Agrilus terminatus", "Agrilus villosostriatus", "Agrilus violacellus", "Agrilus aritai", "Agrilus deguchii", "Agrilus euonymi", "Agrilus imasakai", "Agrilus iriei", "Agrilus nishiyamai", "Agrilus samuelsoni", "Agrilus watanabei", "Agrilus yakushimensis", "Agrilus yamajii", "Agrilus yonahaensis", "Agrilus gunjii", "Agrilus ichikoae", "Agrilus kobayashii", "Anhemialges mironovi", "Agrilus adspersus", "Agrilus aequicollis", "Agrilus albomarginatus", "Lethrus tekesicus", "Lethrus aralicus", "Lethrus shakhristanicus", "Lethrus marakandicus", "Lethrus zeravshanicus", "Lethrus bajsuntavicus", "Lethrus chistjakovae", "Lethrus valentinae", "Pomacea diffusa", "Callophrys nelsoni", "Callophrys nelsoni nelsoni", "Callophrys nelsoni rosneri", "Callophrys nelsoni plicataria", "Callophrys gryneus", "Callophrys farsica", "Callophrys naderii", "Cyphoma signatum", "Heteractis magnifica", "Cyphon sieberi", "Cyphon manaslu", "Aegialites kusnetzovi", "Inocellia shinohara", "Lecithocera turcica", "Chedra fimbristyli", "Bistorta affinis", "Bistorta amplexicaulis", "Bistorta elliptica", "Bistorta emodi", "Bistorta griffithii", "Bistorta macrophylla", "Erythroclelea syfanicum", "Thibetana sieversi", "Bistorta paleacea", "Bistorta vacciniifolia", "Bistorta vivipara", "Thibetana delavayi", "Burdachia prismatocarpa", "Byrsonima crassifolia", "Byrsonima intermedia", "Byrsonima altissima", "Byrsonima coccolobifolia", "Byrsonima coriacea", "Byrsonima crispa", "Byrsonima densa", "Byrsonima lancifolia", "Byrsonima ligustrifolia", "Byrsonima lucida", "Byrsonima pachyphylla", "Lycoriella flavipeda", "Cyllopsis whiteorum", "Panthiades aeolus", "Panthiades boreas", "Panthiades paphlagon", "Panthiades ochus", "Panthiades bitias", "Panthiades hebraeus", "Panthiades bathildis", "Ixonanthes reticulata", "Panthiades phaleros", "Lacistema aggregatum", "Lozania mutisiana", "Anisadenia pubescens", "Hebepetalum humiriifolium", "Hugonia ferruginea", "Agriornis montanus insolens", "Linum marginale", "Linum medium", "Linum puberulum", "Linum africanum", "Linum album", "Linum altaicum", "Linum arboreum", "Tajuria deudorix", "Hepialiscus robinsoni", "Hepialiscus taiwanus", "Linum baicalense", "Linum capitatum", "Linum carteri", "Hepialiscus monticola", "Linum chamissonis", "Linum corymbiferum", "Linum decumbens", "Linum heterosepalum", "Linum hologynum", "Linum hudsonioides", "Linum komarovii", "Linum littorale", "Linum monogynum", "Hepialiscus nepalensis", "Linum mysurense", "Linum neomexicanum", "Linum pallescens", "Linum rigidum", "Linum setaceum", "Parallocorynus bicolor", "Austropanorpa australis", "Catapaecilma evansi shizukoae", "Cyllopsis clinas", "Cyllopsis hedemanni", "Drupadia niasica ohtai", "Cyllopsis hedemanni hedemanni", "Cyllopsis hedemanni tamaulipensis", "Cyllopsis hedemanni vetones", "Drupadia niasica takioi", "Cyllopsis rogersi", "Cyllopsis jacquelineae", "Cyllopsis philodice", "Horaga albimacula ohkuboi", "Cyllopsis nelsoni", "Cyllopsis argentella", "Cyllopsis steinhauserorum", "Cyllopsis guatemalena", "Rapala tomokoae takanamii", "Cyllopsis diazi", "Cyllopsis schausi", "Cyllopsis pallens", "Cyllopsis parvimaculata", "Tajuria deudorix yuhkichii", "Rapala tomokoae", "Cyllopsis suivalenoides", "Cyllopsis suivalens", "Cyllopsis suivalens suivalens", "Cyllopsis suivalens escalantei", "Deramas nelvis osamui", "Cyllopsis pyracmon", "Cyllopsis pyracmon pyracmon", "Cyllopsis pyracmon henshawi", "Cyllopsis pephredo", "Cyllopsis nayarit", "Cyllopsis pseudopephredo", "Cyllopsis pertepida", "Cyllopsis pertepida pertepida", "Cyllopsis pertepida dorothea", "Cyllopsis pertepida maniola", "Cyllopsis pertepida avicula", "Cyllopsis pertepida intermedia", "Cyllopsis hilaria", "Cyllopsis dospassosi", "Cyllopsis windi", "Cyllopsis perplexa", "Cyllopsis gemma", "Cyllopsis gemma gemma", "Cyllopsis gemma freemani", "Cyllopsis caballeroi", "Cyllopsis emilia", "Satyrium iyonis", "Satyrium iyonis kibiensis", "Arhopala acron", "Phengaris teleius hosonoi", "Junonia hedonia", "Junonia hedonia hedonia", "Junonia hedonia hondai", "Macrobathra quercea", "Issikiopteryx japonica", "Junonia hedonia dayak", "Chalconyx secunda", "Arhopala adherbal", "Arhopala admete", "Arhopala admete admete", "Grammodes geometrica", "Euthenarus bicolor", "Euthenarus promptus", "Lebia punctata", "Euthenarus nigellus", "Euthenarus brunneus", "Euthenarus comes", "Euthenarus morganensis", "Chaetopleura papilio", "Halpe albicilia", "Choaspes hemixanthus", "Choaspes hemixanthus hemixanthus", "Choaspes hemixanthus wallacei", "Assara formosana", "Androsace lactea", "Hypomecis infixaria", "Hypomecis transcissa", "Hypomecis lioptilaria", "Hypomecis procursaria", "Hypomecis costaria", "Hypomecis subdetractaria", "Hypomecis cineracea", "Hypomecis nepalensis", "Hypomecis stueningi", "Hypomecis moriutii", "Hypomecis separata", "Acacia brevispica", "Bacillopsis sicula", "Leptotyphlopsis lopadusae", "Proteinus siculus", "Entomoculia sicana", "Stenus angelinii", "Stenus leonhardi", "Lupinus angustifolius var. angustifolius", "Lupinus albus subsp. graecus", "Lupinus albus subsp. termis", "Lupinus albus var. abissinicus", "Lupinus albus var. subroseus", "Lupinus albus subsp. albus", "Lupinus albus var. vavilovii", "Lupinus albus var. albus", "Lupinus angustifolius var. griseomaculatus", "Lupinus angustifolius var. chalibeus", "Lupinus angustifolius var. corylinus", "Lupinus angustifolius var. purpureus", "Lupinus angustifolius var. rubidus", "Lupinus angustifolius var. atabekovae", "Lupinus angustifolius var. sparsiusculus", "Lupinus angustifolius var. candidus", "Lupinus angustifolius var. brunneus", "Lupinus angustifolius var. albosyringeus", "Lupinus angustifolius var. albidus", "Operophtera brunnea", "Agrilus aridosus", "Agrilus arizonicus", "Agrilus assamensis", "Agrilus bacchaeus", "Agrilus barkerellus", "Agrilus belides", "Agrilus candidiventris", "Agrilus cardaces", "Agrilus compitalis", "Agrilus confutus", "Agrilus daimio", "Agrilus discicolliformis", "Agrilus fisherellus", "Agrilus gregori", "Agrilus ieiunulus", "Agrilus irritator", "Agrilus iruwimensis", "Agrilus kratochvili", "Agrilus kusakievici", "Agrilus lacroixi", "Agrilus legatus", "Agrilus lemur", "Agrilus lukesi", "Agrilus malyi", "Agrilus mashukulumbo", "Agrilus milo", "Agrilus mimnermus", "Agrilus minutulus", "Agrilus miwai", "Agrilus mongolorum", "Agrilus morawitzi", "Agrilus mundulus", "Agrilus occidenticola", "Agrilus parvusculus", "Agrilus penangensis", "Agrilus poeta", "Agrilus przewalskii", "Agrilus pseudosericans", "Agrilus quadristigmula", "Agrilus queenslandiae", "Agrilus semirjeciae", "Agrilus strandelinus", "Agrilus subfasciatellus", "Agrilus tantillulus", "Agrilus tiflisicus", "Agrilus ukrainensis", "Agrilus unguiculosus", "Agrilus yunnanicola", "Agrilus charaxes", "Agrilus hartebeestensis", "Agrilus holubiellus", "Agrilus olifantinus", "Agrilus paracuspidatus", "Agrilus rustenburgensis", "Agrilus alesi sacchari", "Agrilus auroornatus", "Agrilus conradsi", "Agrilus densetomentosus", "Agrilus giubbicola", "Agrilus kaluganus", "Agrilus kuangcenensis", "Agrilus laetecyanescens", "Agrilus obscurosericeus", "Agrilus ornamentifer", "Lasioglossum tunguense", "Lasioglossum turneri", "Lasioglossum atasum", "Lasioglossum basilanum", "Lasioglossum perakense", "Lasioglossum redivivum", "Lasioglossum stenorhynchum", "Lasioglossum vulcanicum", "Lasioglossum alanum", "Lasioglossum anguligulare", "Lasioglossum gussakovskii", "Lasioglossum korbi", "Lasioglossum pseudaraxanum", "Lasioglossum skorikovi", "Lasioglossum tadschicum", "Lasioglossum barkense", "Lasioglossum bavaricum", "Lasioglossum kruegeri", "Lasioglossum oraniense", "Lasioglossum acephaloides", "Lasioglossum adabaschum", "Lasioglossum albitarsoides", "Lasioglossum argaeum", "Lasioglossum atschinense", "Lasioglossum bischoffi", "Lasioglossum castilianum", "Lasioglossum chanyomae", "Lasioglossum chiwense", "Lasioglossum ciscapum", "Lasioglossum cockerellellus", "Lasioglossum corsicanum", "Lasioglossum eduardi", "Lasioglossum erraticum", "Lasioglossum gilanum", "Lasioglossum gorkiense", "Lasioglossum grisellinum", "Lasioglossum gunungense", "Lasioglossum hispanicum", "Lasioglossum leptorhynchum", "Lasioglossum limbelloides", "Lasioglossum muganinum", "Lasioglossum nabardicum", "Lasioglossum opaconitens", "Lasioglossum orpheopse", "Lasioglossum popovi", "Lasioglossum przewalskyi", "Lasioglossum pseudoleptorhynchum", "Lasioglossum ragusanum", "Lasioglossum serotinum", "Lasioglossum singhalense", "Lasioglossum subequestre", "Lasioglossum sublaterale", "Lasioglossum subleiosoma", "Lasioglossum tschardschuicum", "Lasioglossum tschibuklinum", "Lasioglossum tschulicum", "Lasioglossum ablenum", "Lasioglossum elbanum", "Lasioglossum hummeli", "Lasioglossum kansuense", "Lasioglossum mariuticum", "Lasioglossum ochreohirtum", "Lasioglossum perclavipes", "Lasioglossum pseudonigripes", "Lasioglossum leptocephalum", "Lasioglossum niveocinctum", "Lasioglossum peregrinum", "Lasioglossum problematicum", "Lasioglossum pseudocaspicum", "Lasioglossum pseudofallax", "Lasioglossum pseudoleptocephalum", "Lasioglossum pseudolittorale", "Lasioglossum pseudosphecodimorphum", "Lasioglossum semilaeve", "Lasioglossum sibiriacum", "Lasioglossum trichopygum", "Lasioglossum centesimum", "Lasioglossum dichrous", "Lasioglossum dusmeti", "Lasioglossum epipygiale", "Lasioglossum ilicum", "Lasioglossum littorale", "Lasioglossum mergense", "Lasioglossum orihuelicum", "Lasioglossum pseudoplanulum", "Lasioglossum schulthessi", "Lasioglossum socorium", "Lasioglossum talyschense", "Lasioglossum betomarium", "Lasioglossum dernaense", "Lasioglossum kussariense", "Lasioglossum maidli", "Lasioglossum tschakarense", "Lasioglossum bataviae", "Lasioglossum burmanicum", "Lasioglossum burmense", "Lasioglossum buruense", "Lasioglossum catileps", "Lasioglossum cavernifrons", "Lasioglossum compressum", "Lasioglossum eidmanni", "Lasioglossum fruhstorferi", "Lasioglossum getasanum", "Lasioglossum goluratum", "Lasioglossum hydrocephalum", "Lasioglossum kintonense", "Lasioglossum laratellum", "Lasioglossum laraticum", "Lasioglossum massuricum", "Lasioglossum matianense", "Lasioglossum mediterraneum", "Lasioglossum nursei", "Lasioglossum pheidolopse", "Lasioglossum plasunicum", "Lasioglossum pseudoccidens", "Lasioglossum pseudopalmeri", "Lasioglossum rugifrons", "Lasioglossum samarense", "Lasioglossum sanitarium", "Lasioglossum serratum", "Lasioglossum shillongense", "Lasioglossum sibuyanense", "Lasioglossum sikkimense", "Lasioglossum singapurellum", "Lasioglossum subglobosum", "Lasioglossum tamulicum", "Lasioglossum tenasserimicum", "Operophtera vulgaris", "Kainops invius", "Plectorhinchus chaetodonoides", "Grynoma albosparsa", "Grynoma regularis", "Grynoma rugosa", "Grynoma varians", "Lebia alluaudana", "Proterhinus gigas", "Proterhinus crassicornis", "Proterhinus anthracias", "Proterhinus eugonias", "Proterhinus dubiosus", "Proterhinus difficilis", "Proterhinus eulepis", "Proterhinus neglectus", "Proterhinus amaurodes", "Proterhinus binotatus", "Proterhinus setulosus", "Proterhinus antiquus", "Proterhinus setiger", "Proterhinus solitarius", "Proterhinus squalidus", "Proterhinus wikstroemiae", "Proterhinus serricornis", "Proterhinus laticornis", "Proterhinus eurhopalus", "Proterhinus homoeochromus", "Proterhinus cognatus", "Proterhinus angustiformis", "Proterhinus leptophyas", "Proterhinus maculifer", "Proterhinus kamptarthrus", "Proterhinus leiorhynchus", "Proterhinus ruficornis", "Proterhinus deinops", "Lebia brunneipennis", "Proterhinus squamicollis", "Proterhinus adelus", "Lebia consobrina", "Proterhinus obscuricolor", "Proterhinus denudatus", "Lebia nanna", "Proterhinus compactus", "Proterhinus platygonias", "Lebia parvicollis", "Proterhinus subplanatus", "Lasioglossum caliginosum", "Lasioglossum miyabei", "Lasioglossum yamanei", "Lasioglossum ebmerianum", "Lasioglossum longifacies", "Lasioglossum nipponicola", "Lasioglossum pumilum", "Lasioglossum sphecodicolor", "Lasioglossum zunaga", "Lasioglossum agelastum", "Lasioglossum circularum", "Lasioglossum lambatum", "Lasioglossum rubsectum", "Lasioglossum sauterum", "Lasioglossum sichuanense", "Lasioglossum subfulgens", "Lasioglossum subrubsectum", "Lasioglossum subversicolum", "Lasioglossum versicolum", "Lasioglossum xizangense", "Lasioglossum pectoraloides", "Lasioglossum perdifficile", "Lasioglossum semibrunneum", "Lasioglossum semicaeruleum", "Lasioglossum sisymbrii", "Lasioglossum subobscurum", "Lasioglossum amicum", "Lasioglossum angustius", "Lasioglossum argemonis", "Lasioglossum lustrans", "Lasioglossum ruidosense", "Lasioglossum aquilae", "Lasioglossum kincaidii", "Lasioglossum kunzei", "Lasioglossum mesillense", "Lasioglossum oleosum", "Lasioglossum olympiae", "Lasioglossum ovaliceps", "Lasioglossum pacificum", "Lasioglossum dasiphorae", "Lasioglossum hemimelas", "Lasioglossum peraltum", "Lasioglossum veganum", "Lasioglossum clematisellum", "Lasioglossum frenchi", "Lasioglossum melbournense", "Lasioglossum peraustrale", "Lasioglossum adelaidae", "Lasioglossum dampieri", "Lasioglossum flindersi", "Lasioglossum gilesi", "Lasioglossum humei", "Lasioglossum loweri", "Lasioglossum murrayi", "Lasioglossum sphecodopsis", "Lasioglossum tasmaniae", "Lasioglossum tepperi", "Lasioglossum forresti", "Lasioglossum leichardti", "Lasioglossum scrophulariae", "Lasioglossum sturti", "Lasioglossum warburtoni", "Lasioglossum willsi", "Lebia rufa", "Proterhinus oxygonias", "Lebia sicardi", "Proterhinus leptothrix", "Proterhinus seticollis", "Proterhinus oahuensis", "Proterhinus kaalae", "Proterhinus archaeus", "Proterhinus pachycnemis", "Lebia atsima", "Lebia decorsei", "Proterhinus vicinus", "Proterhinus comes", "Proterhinus sharpi", "Proterhinus tuberculiceps", "Proterhinus sternalioides", "Lebia mirana", "Proterhinus microtarsus", "Proterhinus megalotarsus", "Lebia omoxantha", "Proterhinus hemichlorus", "Proterhinus brevipennis", "Lebia seyrigi", "Proterhinus epichrysus", "Proterhinus haleakalae", "Proterhinus arhopalus", "Lebia tanala", "Proterhinus epitrachys", "Proterhinus separandus", "Lebia vadoni", "Proterhinus maculatus", "Proterhinus osculans", "Proterhinus leptorhynchus", "Proterhinus mirabilis", "Proterhinus calliphyas", "Proterhinus persimilis", "Proterhinus nivicola", "Proterhinus epimelas", "Proterhinus ruficollis", "Proterhinus lanaiensis", "Proterhinus epitretus", "Lebia kivuensis", "Proterhinus breviformis", "Lebia nyamukubiensis", "Proterhinus analcis", "Proterhinus epichlorus", "Proterhinus molokaiensis", "Lebia stappersi", "Proterhinus convexiusculus", "Proterhinus echinoides", "Proterhinus leucothorax", "Proterhinus angustior", "Lebia uelensis", "Proterhinus heterotarsus", "Proterhinus erythrodes", "Proterhinus ombrophilus", "Proterhinus pteridis", "Proterhinus hawaiiensis", "Proterhinus vulcanus", "Proterhinus peles", "Proterhinus rufescens", "Proterhinus affinis", "Proterhinus eurhynchus", "Proterhinus hypotretus", "Lasioglossum asperithorax", "Lasioglossum basilautum", "Lasioglossum behri", "Lasioglossum blackburni", "Lasioglossum callomelittinum", "Lasioglossum cambagei", "Lasioglossum chapmani", "Lasioglossum cirriferum", "Lasioglossum clelandi", "Lasioglossum contaminatum", "Lasioglossum davide", "Lasioglossum ewarti", "Lasioglossum maitlandi", "Lasioglossum papuarum", "Lasioglossum plorator", "Lasioglossum rowlandi", "Lasioglossum schomburgki", "Lasioglossum sextum", "Lasioglossum tatei", "Lasioglossum vaporellum", "Lasioglossum vau", "Lasioglossum vulneratum", "Lasioglossum woodsi", "Lasioglossum cameronellum", "Lasioglossum debilinerve", "Lasioglossum exterum", "Lasioglossum laeviderme", "Lasioglossum semisculptum", "Lasioglossum viridiscitum", "Lasioglossum bruesi", "Lasioglossum bryotrichum", "Lasioglossum dotatum", "Lasioglossum hybodinum", "Lasioglossum microdontum", "Lasioglossum nicolli", "Lasioglossum recantans", "Lasioglossum speculiferum", "Lasioglossum excultum", "Lasioglossum hewetti", "Lasioglossum kandiense", "Lasioglossum musicum", "Lasioglossum arciferum", "Lasioglossum atronitens", "Lasioglossum atrorufescens", "Lasioglossum banahaone", "Lasioglossum caloundrense", "Lasioglossum cassiaefloris", "Lasioglossum disclusum", "Lasioglossum dissimulator", "Lasioglossum doddi", "Lasioglossum erythrurum", "Lasioglossum eurhodopum", "Lasioglossum expansifrons", "Lasioglossum fultoni", "Lasioglossum fumidicaudum", "Lasioglossum helichrysi", "Lasioglossum holochlorum", "Lasioglossum imitans", "Lasioglossum instabilis", "Lasioglossum kurandense", "Lasioglossum littleri", "Lasioglossum mediopolitum", "Lasioglossum melanopterum", "Lasioglossum mirandum", "Lasioglossum salebrosum", "Lasioglossum sarticum", "Lasioglossum satschauense", "Lasioglossum sinicum", "Lasioglossum subfratellum", "Lasioglossum subsemilucens", "Lasioglossum subfulvicorne subfulvicorne", "Lasioglossum subfulvicorne", "Basiliobelus alveatus", "Lasioglossum aethiops", "Lasioglossum maurusium", "Lasioglossum pendschakenticum", "Lasioglossum samaricum", "Basiliobelus flavovittatus", "Lasioglossum laterale", "Lasioglossum marginatum", "Lasioglossum pallens", "Lasioglossum pauperatum", "Lasioglossum chalcodes", "Lasioglossum loetum", "Lasioglossum viride", "Lasioglossum viride unicolor", "Lasioglossum viride viride", "Basiliobelus lepidus", "Lasioglossum alphenum", "Lasioglossum cire", "Lasioglossum discursum", "Lasioglossum funebre", "Lasioglossum salutatrix", "Lasioglossum serenum", "Lasioglossum tardum", "Lasioglossum aethiopicum", "Lasioglossum capicola", "Lasioglossum collegum", "Lasioglossum dunbrodyense", "Lasioglossum interstitinerve", "Lasioglossum lippani", "Lasioglossum robertianum", "Lasioglossum rubricaude", "Lasioglossum theste", "Lasioglossum whiteanum", "Lasioglossum ounuense", "Lasioglossum wilsoni", "Lasioglossum zingowli", "Lasioglossum disabanci", "Lasioglossum paradmirandum", "Lasioglossum perpunctatulum", "Lasioglossum perspicuum", "Lasioglossum fijiense", "Lasioglossum latro", "Lasioglossum samoae", "Lasioglossum tonganum", "Lasioglossum upoluense", "Lasioglossum versifrons", "Lasioglossum amamiense", "Lasioglossum smilodon", "Lasioglossum virideglaucum", "Lasioglossum zipangu", "Lasioglossum niveifrons", "Lasioglossum noachinum", "Lasioglossum opacicolle", "Lasioglossum perustum", "Lasioglossum plebeium", "Lasioglossum recessum", "Lasioglossum rhodopterum", "Lasioglossum rufotegulare", "Lasioglossum saffordi", "Lasioglossum seductum", "Lasioglossum sordidulum", "Lasioglossum vermiculatum", "Lasioglossum victoriellum", "Lasioglossum wellingtoni", "Lasioglossum baudini", "Lasioglossum blighi", "Lasioglossum busckiellum", "Lasioglossum callaspis", "Lasioglossum cervicale", "Lasioglossum cyclurum", "Lasioglossum latissimum", "Lasioglossum pulvitectum", "Lasioglossum taclobanense", "Lasioglossum waterhousei", "Lasioglossum aurantiacum", "Lasioglossum brazieri", "Lasioglossum bribiense", "Lasioglossum daggetti", "Lasioglossum epiense", "Lasioglossum etheridgei", "Lasioglossum expulsum", "Lasioglossum grinnelli", "Lasioglossum inconditum", "Lasioglossum leptospermi", "Lasioglossum macrops", "Lasioglossum mundulum", "Lasioglossum pachycephalum", "Lasioglossum regis", "Lasioglossum repertulum", "Lasioglossum semipolitum", "Lasioglossum stradbrokense", "Lasioglossum supralucens", "Lasioglossum tannaense", "Lasioglossum brisbanense", "Lasioglossum bruneriellum", "Lasioglossum clarigaster", "Lasioglossum insculptum", "Lasioglossum speculellum", "Lasioglossum adonidiae", "Lasioglossum cyanescens", "Lasioglossum hudsoniellum", "Lasioglossum imuganense", "Lasioglossum melanurum", "Lasioglossum morrilli", "Lasioglossum nusaense", "Lasioglossum opisthochlorum", "Lasioglossum peralpinum", "Lasioglossum pervarians", "Lasioglossum phaceliarum", "Lasioglossum respersiforme", "Lasioglossum subpurpureum", "Lasioglossum supranitens", "Lasioglossum viridatulum", "Byrsonima sericea", "Byrsonima spicata", "Byrsonima verbascifolia", "Thermoplasma acidophilum", "Eccopsis razowskii", "Arhopala bazaloides", "Arhopala bazaloides bazaloides", "Arhopala bazaloides lanka", "Arhopala myrzala", "Arhopala myrzala conjuncta", "Arhopala myrzala lammas", "Arhopala myrzala myrzala", "Arhopala myrzalina", "Arhopala tephlis", "Arhopala tephlis bicolora", "Arhopala tephlis tephlis", "Arhopala tephlis unnoi", "Sciaphyes shestakovi", "Sciaphyes sibiricus", "Pheidole hainanensis", "Lasioglossum percrassiceps", "Lasioglossum simplicior", "Lasioglossum viridellum", "Lasioglossum dispositellum", "Lasioglossum matoporum", "Lasioglossum pellitosum", "Lasioglossum pernitens", "Lasioglossum pernotescens", "Lasioglossum acuiferum", "Lasioglossum natense", "Lasioglossum simulator", "Lasioglossum allonotum", "Lasioglossum cyanurum", "Lasioglossum guianense", "Lasioglossum pilosellum", "Lasioglossum tracyi", "Lasioglossum albobarbatum", "Lasioglossum ameliae", "Lasioglossum angaricum", "Lasioglossum angustulum", "Lasioglossum atopophlebum", "Lasioglossum atopterum", "Lasioglossum baleicum", "Lasioglossum beirense", "Lasioglossum cabrilli", "Lasioglossum callorhinum", "Lasioglossum chloronotum", "Lasioglossum claricinctum", "Lasioglossum clivicola", "Lasioglossum contracticaudum", "Lasioglossum diloloense", "Lasioglossum diminutellum", "Lasioglossum epichlorum", "Lasioglossum exactum", "Lasioglossum flavolineatum", "Lasioglossum gendettense", "Lasioglossum georgicum", "Lasioglossum goniurum", "Lasioglossum hemileucospilum", "Lasioglossum holomelanurum", "Lasioglossum hypoleucum", "Lasioglossum kafubuense", "Lasioglossum kasuloi", "Lasioglossum kowitense", "Lasioglossum lactescens", "Lasioglossum latesellatum", "Lasioglossum macrurops", "Lasioglossum marshalli", "Lasioglossum megastictum", "Lasioglossum mesopolitum", "Lasioglossum miguelense", "Lasioglossum mulungense", "Lasioglossum nigrimente", "Lasioglossum nigritellum", "Lasioglossum nigritinum", "Lasioglossum niveostictum", "Lasioglossum obliteratum", "Lasioglossum pachyacanthum", "Lasioglossum percornutum", "Lasioglossum perichlarum", "Lasioglossum pericinctum", "Lasioglossum perihirtulum", "Lasioglossum pilosicaudum", "Lasioglossum plicatinum", "Proterhinus desquamatus", "Proterhinus ferrugineus", "Proterhinus innotabilis", "Proterhinus alyxiae", "Proterhinus navita", "Proterhinus deceptor", "Lebia sulcipennoides", "Lebia viridella", "Proterhinus blackburni", "Proterhinus vestitus", "Proterhinus simplex", "Proterhinus obscurus", "Proterhinus oscillans", "Proterhinus debilis", "Proterhinus basalis", "Proterhinus sternalis", "Proterhinus lecontei", "Proterhinus paradoxus", "Proterhinus pusillus", "Proterhinus longulus", "Proterhinus humeralis", "Proterhinus collaris", "Proterhinus nigricans", "Agathobelus bivittatus", "Lasioglossum auratum", "Lasioglossum cyaneum", "Lasioglossum plumbeum", "Lasioglossum sanctivincenti", "Lasioglossum subcyaneum", "Lasioglossum ferrerii", "Lasioglossum gundlachii", "Lasioglossum havanense", "Lasioglossum longifrons", "Lasioglossum magdalena", "Lasioglossum mestrei", "Lasioglossum normale", "Lasioglossum hemicyaneum", "Lasioglossum macilentum", "Lasioglossum modestum", "Lasioglossum submetallicum", "Lasioglossum brevizona", "Lasioglossum mediocre", "Lasioglossum moderatum", "Lasioglossum nudatum", "Lasioglossum adaliae", "Lasioglossum algirum", "Lasioglossum araxanum", "Lasioglossum ashabadiense", "Lasioglossum baigakumense", "Lasioglossum crassepunctatum", "Lasioglossum dolichocephalum", "Lasioglossum ellipticeps", "Lasioglossum laevidorsum", "Lasioglossum bowkeri", "Lasioglossum burnupi", "Lasioglossum layardi", "Lasioglossum annexum", "Lasioglossum hirtiventre", "Lasioglossum lichatinum", "Lasioglossum longmani", "Lasioglossum paramelaenum", "Lasioglossum solis", "Lasioglossum subrussatum", "Lasioglossum wollastoni", "Lasioglossum aspilurum", "Lasioglossum brachycephalum", "Lasioglossum pavonotum", "Lasioglossum perplexans", "Lasioglossum speculinum", "Lasioglossum sulcatulum", "Lasioglossum transpositum", "Lasioglossum trichorhinum", "Lasioglossum hiemale", "Lasioglossum leucorhinum", "Lasioglossum megastigmum", "Lasioglossum mesembryanthemi", "Lasioglossum paitense", "Lasioglossum sublatens", "Lasioglossum veronicae", "Lasioglossum victoriae", "Lasioglossum balboae", "Lasioglossum gorgasi", "Lasioglossum lesseppsi", "Lasioglossum barretti", "Lasioglossum blandulum", "Lasioglossum griseipenne", "Lasioglossum mackiae", "Lasioglossum musgravei", "Lasioglossum nigropolitum", "Lasioglossum polygoni", "Lasioglossum risbeci", "Lasioglossum semicyaneum", "Lasioglossum seminitens", "Lasioglossum thor", "Lasioglossum tooloomense", "Lasioglossum tripunctatum", "Lasioglossum ultimum", "Lasioglossum wilmattae", "Lasioglossum zachlorum", "Lasioglossum anhybodinum", "Lasioglossum bribiensiforme", "Lasioglossum heterorhinum", "Lasioglossum moreense", "Lasioglossum notescens", "Lasioglossum picticorne", "Lasioglossum potaroense", "Lasioglossum pulveris", "Lasioglossum rufocollare", "Lasioglossum scrupulosum", "Lasioglossum sculpturatum", "Lasioglossum subcarum", "Lasioglossum subfultoni", "Lasioglossum submeracum", "Lasioglossum submoratum", "Lasioglossum subplebeium", "Lasioglossum zamelanum", "Lasioglossum macrurum", "Batarasa lumampao", "Halegrapha chimaera", "Halegrapha floridana", "Halegrapha intergrapha", "Halegrapha kenyana", "Halegrapha mexicana", "Lucanus cheni", "Halegrapha mucronata", "Meganola strigulosa strigulosa", "Meganola strigulosa satoi", "Lupinus densiflorus", "Acupicta bubases", "Acupicta bubases bubases", "Acupicta bubases matsudai", "Acupicta delicatum", "Acupicta flemingi", "Acupicta meeki", "Acupicta inopinatum", "Acacia ehrenbergiana", "Acacia esterhaziae", "Arhopala amantes amatrix", "Leccinum versipelle", "Arhopala amantes amantes", "Arhopala amantes apella", "Leccinum aurantiacum", "Arhopala ander", "Leccinum alaskanum", "Leccinum quercinum", "Acacia fleckii", "Lasioglossum mabangense", "Lasioglossum mazicum", "Lasioglossum michaelinum", "Lasioglossum monsleone", "Lasioglossum muiri", "Lasioglossum pellitosinum", "Lasioglossum posthirtum", "Lasioglossum postnitens", "Lasioglossum reticulellum", "Lasioglossum sharpi", "Lasioglossum tenuicorne", "Lasioglossum tenuivene", "Lasioglossum triangulinum", "Parnara guttatus", "Parnara guttatus guttatus", "Parnara guttatus mangala", "Parnara apostata", "Parnara apostata apostata", "Parnara apostata andra", "Parnara apostata debdasi", "Parnara kawazoei", "Parnara ganga", "Lupinus luteus var. leucospermus", "Lupinus luteus var. ochroleucus", "Nola neglecta", "Nola funesta", "Nola hiranoi", "Meganola basisignata", "Meganola bryophilalis", "Meganola bryophilalis bryophilalis", "Meganola bryophilalis basifascia", "Meganola bryophilalis hondoensis", "Meganola strigulosa", "Lasioglossum aburiense", "Lasioglossum audasi", "Lasioglossum bianone", "Lasioglossum candicicinctum", "Lasioglossum cardiurum", "Lasioglossum chiromense", "Lasioglossum cinctulum", "Lasioglossum clavigerellum", "Lasioglossum constrictulum", "Lasioglossum denselineatum", "Lasioglossum duplopunctatum", "Lasioglossum entebbianum", "Lasioglossum geteinum", "Lasioglossum giffardiellum", "Lasioglossum gossypiellum", "Lasioglossum griseocinctum", "Lasioglossum hancocki", "Lasioglossum ibadanicum", "Lasioglossum kabetiellum", "Lasioglossum kampalense", "Lasioglossum kingi", "Lasioglossum lamborni", "Lasioglossum laterocinctum", "Lasioglossum latifrontellum", "Lasioglossum libericum", "Lasioglossum lukulense", "Lasioglossum masaiense", "Lasioglossum microsellatum", "Lasioglossum nairobicum", "Lasioglossum nairobiense", "Lasioglossum nialense", "Lasioglossum nigritulinum", "Lasioglossum nyasense", "Lasioglossum pembense", "Lasioglossum rubrocinctum", "Lasioglossum ruwenzicum", "Lasioglossum ruwenzoriellum", "Lasioglossum sellatiferum", "Lasioglossum semilucidum", "Lasioglossum shendicum", "Lasioglossum somereni", "Lasioglossum stellatifrons", "Lasioglossum ufiomicum", "Lasioglossum wilkinsoni", "Lasioglossum xerophilinum", "Lasioglossum yolense", "Lasioglossum zanzibaricum", "Lasioglossum zonaturum", "Lasioglossum aburiellum", "Lasioglossum albostictum", "Lasioglossum angustissimum", "Lasioglossum barbertonicum", "Lasioglossum candidiferum", "Lasioglossum cephalinotum", "Lasioglossum claripenne", "Lasioglossum coloratipes", "Lasioglossum concessum", "Lasioglossum conciliatum", "Lasioglossum crassicaudum", "Lasioglossum cyaneodiscum", "Lasioglossum drakensbergense", "Lasioglossum hirsutifrons", "Lasioglossum klipiellum", "Lasioglossum klooficum", "Agrilus albicollis", "Agrilus amelanchieri", "Agrilus palmerleei", "Lasioglossum bruneri", "Lasioglossum occidentale", "Lasioglossum pictum", "Lasioglossum theodori", "Lasioglossum titusi", "Lasioglossum atriventre", "Lasioglossum birkmanni", "Lasioglossum cooleyi", "Lasioglossum cordleyi", "Lasioglossum costaricense", "Lasioglossum fedorense", "Lasioglossum indistinctum", "Lasioglossum lineatulum", "Lasioglossum pecosense", "Lasioglossum pruinosiforme", "Lasioglossum robertsoni", "Lasioglossum swenki", "Lasioglossum synthyridis", "Lasioglossum albohirtum", "Lasioglossum arizonense", "Lasioglossum brunneiventre", "Lasioglossum cyaneonotum", "Lasioglossum glabriventre", "Lasioglossum hyalinum", "Lasioglossum incompletum", "Lasioglossum longicorne", "Lasioglossum mellipes", "Lasioglossum nevadense", "Lasioglossum nigrescens", "Lasioglossum punctatoventre", "Lasioglossum quebecense", "Lasioglossum robustum", "Lasioglossum ruficorne", "Lasioglossum tegulariforme", "Lasioglossum abanci", "Lasioglossum raleighense", "Lasioglossum sopinci", "Lasioglossum albitarse", "Lasioglossum bardum", "Lasioglossum coactum", "Lasioglossum connexum", "Lasioglossum disparile", "Lasioglossum impurum", "Lasioglossum lusorium", "Lasioglossum texanum", "Lasioglossum cephalotes", "Lasioglossum chinense", "Lasioglossum duplex", "Lasioglossum japonicum", "Figulus myrmecodianus", "Figulus nitidulus", "Figulus mento", "Figulus sulcicollis", "Lamprima adolphinae", "Oxycorynus nigripes", "Oxycraspedus cornutus", "Lasioglossum avalonense", "Lasioglossum brevibasis", "Lasioglossum hammondi", "Lasioglossum rufulipes", "Lasioglossum subviridatum", "Lasioglossum acaciae", "Lasioglossum angusticaudum", "Lasioglossum bredoi", "Lasioglossum crassivene", "Lasioglossum gastrophilinum", "Lasioglossum hirtulinum", "Lasioglossum jessicum", "Lasioglossum latior", "Lasioglossum leucophenax", "Lasioglossum mirifrons", "Lasioglossum norvali", "Lasioglossum palaonicum", "Lasioglossum parvulinum", "Lasioglossum pastinimimum", "Lasioglossum puzeyi", "Lasioglossum subexterum", "Lasioglossum swezeyi", "Lasioglossum tanganum", "Lasioglossum trichardti", "Lasioglossum yapense", "Lasioglossum calviniellum", "Lasioglossum camphorellum", "Lasioglossum cessulum", "Lasioglossum chloronotulum", "Lasioglossum discretulum", "Lasioglossum durbanense", "Lasioglossum holostictum", "Lasioglossum hypochlorinum", "Lasioglossum ingogoense", "Lasioglossum matopiense", "Lasioglossum parapastinum", "Lasioglossum pulchritarse", "Lasioglossum rufitarsellum", "Lasioglossum semidiversum", "Lasioglossum graaffi", "Lasioglossum milneri", "Lasioglossum monodontum", "Lasioglossum nitidibase", "Lasioglossum reenenicum", "Lasioglossum subterminale", "Lasioglossum trianguliferum", "Lasioglossum acanthostomum", "Lasioglossum palapyense", "Lasioglossum phenacorhinum", "Lasioglossum rotaense", "Lasioglossum sublautum", "Lasioglossum anomalipenne", "Lasioglossum botanicorum", "Lasioglossum lucidibase", "Lasioglossum natalicum", "Lasioglossum semiplicatum", "Lasioglossum neurophlaurum", "Lasioglossum phleboleucum", "Lasioglossum rhytidophorum", "Lasioglossum seabrai", "Lasioglossum clarum", "Lasioglossum fulgens", "Lasioglossum krishna", "Lasioglossum declivis", "Lasioglossum kangeani", "Lasioglossum moearae", "Lasioglossum ranacum", "Lasioglossum subdeclivis", "Lasioglossum vechti", "Lasioglossum altissimum", "Lasioglossum filiferreum", "Lasioglossum flammeum", "Lasioglossum goilalaense", "Lasioglossum gorokaense", "Lasioglossum gressitti", "Lasioglossum malgiense", "Lasioglossum morobeense", "Lasioglossum pilositarsis", "Lasioglossum rufiscopa", "Lasioglossum rufopurpureum", "Lasioglossum scabrosum", "Lasioglossum scutolactescens", "Lasioglossum scutopruinescens", "Lasioglossum strigilalium", "Lasioglossum subsphecodes", "Lasioglossum trigoniformis", "Lasioglossum wauense", "Lasioglossum aglyphum", "Lasioglossum albovirens", "Lasioglossum articulare", "Lasioglossum asellum", "Lasioglossum decolor", "Lasioglossum masculum", "Lasioglossum callizonium", "Lasioglossum cristula", "Lasioglossum subaenescens", "Lasioglossum vergilianum", "Lasioglossum aureolum", "Lasioglossum buccale", "Lasioglossum capitale", "Lasioglossum collopiense", "Lasioglossum cupromicans", "Lasioglossum fratellum", "Lasioglossum mesosclerum", "Lasioglossum transitorium planulum", "Lasioglossum butleri", "Lasioglossum calophyllae", "Lasioglossum olgae", "Lasioglossum percingulatum", "Lasioglossum pertribuarium", "Lasioglossum tribuarium", "Lasioglossum appositum", "Lasioglossum gunbowerense", "Lasioglossum apocyni", "Lasioglossum asteris", "Lasioglossum atlanticum", "Lasioglossum bradleyi", "Lasioglossum brassicae", "Lasioglossum ceanothi", "Lasioglossum delectatum", "Lasioglossum divergenoides", "Lasioglossum dreisbachi", "Lasioglossum dubitatum", "Lasioglossum fattigi", "Lasioglossum flaveriae", "Lasioglossum heterognathum", "Lasioglossum highlandicum", "Lasioglossum intrepidum", "Lasioglossum junaluskense", "Lasioglossum lectum", "Lasioglossum leviense", "Lasioglossum michiganense", "Lasioglossum miniatulum", "Lasioglossum novascotiae", "Lasioglossum otsegoense", "Lasioglossum philanthanum", "Lasioglossum pineolense", "Lasioglossum solidaginis", "Lasioglossum stuartense", "Lasioglossum subversans", "Lasioglossum supraclypeatum", "Lasioglossum surianae", "Lasioglossum tahitense", "Lasioglossum tamiamense", "Lasioglossum tarponense", "Lasioglossum weemsi", "Lasioglossum wheeleri", "Lasioglossum glabriusculum", "Lasioglossum griseolum", "Lasioglossum puncticolle", "Lasioglossum bicallosum", "Lasioglossum caspicum", "Lasioglossum fallax", "Lasioglossum annulipes", "Lasioglossum aprilinum", "Lasioglossum cingulatum", "Lasioglossum corvinum", "Lasioglossum croceipes", "Lasioglossum equestre", "Lasioglossum fulvitarse", "Lasioglossum hyalinipenne", "Lasioglossum laevinode", "Lasioglossum limbellum", "Lasioglossum longirostre", "Lasioglossum maculipes", "Lasioglossum nigrilabre", "Lasioglossum obscuratum", "Lasioglossum picipes", "Lasioglossum rhynchites", "Lasioglossum salinum", "Lasioglossum scutellare", "Lasioglossum anguliceps", "Lasioglossum debile", "Lasioglossum nitidulum oculare", "Lasioglossum brachyplectum", "Lasioglossum odyneroides", "Lasioglossum colonicum", "Lasioglossum exoneuroides", "Lasioglossum pertasmaniae", "Lasioglossum testaciventre", "Lasioglossum albipenne", "Lasioglossum cressonii", "Lasioglossum forbesii", "Lasioglossum nelumbonis", "Lasioglossum pectinatum", "Lasioglossum apopkense", "Lasioglossum hartii", "Lasioglossum illinoense", "Lasioglossum obscurum", "Lasioglossum pruinosum", "Lasioglossum reticulatum", "Lasioglossum foxii", "Lasioglossum macoupinense", "Lasioglossum nymphaearum", "Lasioglossum platyparium", "Lasioglossum coreopsis", "Lasioglossum foveolatum", "Lasioglossum versatum", "Lasioglossum absimile", "Lasioglossum abundum", "Lasioglossum academicum", "Lasioglossum accentum", "Lasioglossum actinosum", "Lasioglossum actuarium", "Lasioglossum admirandum", "Lasioglossum aliud", "Lasioglossum apertum", "Lasioglossum arcanum", "Lasioglossum astutum", "Lasioglossum basilicum", "Lasioglossum caducum", "Lasioglossum callidum", "Lasioglossum evestigatum", "Lasioglossum genuinum", "Lasioglossum impavidum", "Lasioglossum insolitum", "Lasioglossum insulsum", "Lasioglossum lactineum", "Lasioglossum latum", "Lasioglossum liguanense", "Lasioglossum mactum", "Lasioglossum malinum", "Lasioglossum meritum", "Lasioglossum merosum", "Lasioglossum molle", "Lasioglossum obnubilum", "Lasioglossum pacatum", "Lasioglossum paululum", "Lasioglossum pensitum", "Lasioglossum perexiguum", "Lasioglossum pikei", "Lasioglossum praepes", "Lasioglossum pudicum", "Lasioglossum sagax", "Lasioglossum sedi", "Lasioglossum tenax", "Lasioglossum tranquillum", "Lasioglossum unicum", "Lasioglossum breviventre", "Lasioglossum taluche", "Lasioglossum tilachum", "Lasioglossum tuchilas", "Lasioglossum zephyrum", "Lasioglossum aspasia", "Lasioglossum chryseis", "Lasioglossum conspicuum", "Lasioglossum convexum", "Lasioglossum desertum", "Lasioglossum diversum", "Lasioglossum exiguum", "Lasioglossum nanum", "Lasioglossum oblitum", "Lasioglossum providens", "Lasioglossum proximatum", "Lasioglossum punctatum", "Lasioglossum vitripenne", "Lasioglossum aegyptiellum", "Lasioglossum clypeiferellum", "Lasioglossum denislucum", "Lasioglossum euboeense", "Lasioglossum fasciger", "Lasioglossum kulense", "Lasioglossum setulellum", "Lasioglossum setulosum", "Lasioglossum termesense", "Lasioglossum deliense", "Lasioglossum formosae", "Lasioglossum kiautschouense", "Lasioglossum picadense", "Lasioglossum aruwimiense", "Lasioglossum coeruleodorsatum", "Lasioglossum schubotzi", "Lasioglossum alenicum", "Lasioglossum guineabium", "Lasioglossum guineacola", "Lasioglossum squamiceps", "Lasioglossum uelleburgense", "Lasioglossum epicinctum", "Quedius antipodum", "Lasioglossum kankauchare", "Lasioglossum leiosoma", "Lasioglossum pallilomum", "Lasioglossum paradnanum", "Lasioglossum scaphonotum", "Lasioglossum signicostatuloides", "Lasioglossum suisharyonense", "Lasioglossum taihorine", "Lasioglossum trichiosulum", "Lasioglossum gibber", "Lasioglossum luridipes", "Lasioglossum sphecodimorphum", "Lasioglossum amitinum", "Lasioglossum cavillosum", "Lasioglossum cuniculum", "Lasioglossum dasygaster", "Lasioglossum fimbriatellum", "Lasioglossum splendidulum", "Lasioglossum spodiozonium", "Lasioglossum triste", "Lasioglossum xystonotum", "Lasioglossum feai", "Lasioglossum immunitum", "Lasioglossum leucopymatum", "Lasioglossum melanopus", "Lasioglossum smithii", "Lasioglossum tertium", "Lasioglossum bimaculatum", "Lasioglossum carneiventre", "Lasioglossum clavipes", "Lasioglossum cattellae", "Lasioglossum lazulis", "Lasioglossum pavoninum", "Lasioglossum perpunctatum", "Lasioglossum succinipenne", "Lasioglossum tenue", "Lasioglossum umbripenne", "Lasioglossum chrysonotum", "Lasioglossum clarissimum", "Lasioglossum crassiceps", "Lasioglossum deceptor", "Lasioglossum diversopunctatum", "Lasioglossum eophilum", "Lasioglossum exiguiforme", "Lasioglossum hypochlorum", "Lasioglossum jamaicae", "Lasioglossum microlepoides", "Lasioglossum pallidellum", "Lasioglossum perparvum", "Lasioglossum proangulare", "Lasioglossum tropicior", "Lasioglossum zophops", "Lasioglossum eickwortellum", "Lasioglossum eleutherense", "Lasioglossum rufopantex", "Lasioglossum areolatum", "Lasioglossum latitarse", "Lasioglossum luteipes", "Lasioglossum meruense", "Lasioglossum montanum", "Lasioglossum namaense", "Lasioglossum ralunicolum", "Lasioglossum semiviride", "Lasioglossum trinidadense", "Lasioglossum babakanense", "Lasioglossum caeruleiceps", "Lasioglossum jacobsoni", "Lasioglossum kozlovi", "Lasioglossum scopaceum", "Lasioglossum testaceipes", "Lasioglossum antennatum", "Lasioglossum arenicola", "Lasioglossum duplocinctum", "Lasioglossum michaelseni", "Lasioglossum ordubadense", "Lasioglossum salinaecola", "Lasioglossum windhukense", "Lasioglossum aeneiventre", "Lasioglossum aeneum", "Lasioglossum biciliatum", "Lasioglossum chalybaeum", "Lasioglossum cinereum", "Lasioglossum cupreicolle", "Lasioglossum herbstiellum", "Lasioglossum nigroaeneum", "Lasioglossum obscuripes", "Lasioglossum tamburinei", "Lasioglossum strictifrons", "Lasioglossum alluaudi", "Lasioglossum apristum", "Lasioglossum atricrum", "Lasioglossum australe", "Lasioglossum barbatum", "Lasioglossum bouyssoui", "Lasioglossum capnopum", "Lasioglossum crocinum", "Lasioglossum duponti", "Lasioglossum evanidum", "Lasioglossum exiliceps", "Lasioglossum harmandi", "Lasioglossum hoedillum", "Lasioglossum mutilum", "Lasioglossum nudulum", "Lasioglossum postumum", "Lasioglossum scobe", "Lasioglossum taeniolellum", "Lasioglossum trispine", "Lasioglossum vulsum", "Lasioglossum aequatum", "Lasioglossum aratum", "Lasioglossum arctoum", "Lasioglossum arctous", "Lasioglossum autranellum", "Lasioglossum beskei", "Lasioglossum biseptum", "Lasioglossum bivarum", "Lasioglossum buccinum", "Lasioglossum circinatum", "Lasioglossum citerius", "Lasioglossum colatum", "Lasioglossum costale", "Lasioglossum crocoturum", "Lasioglossum cubitale", "Lasioglossum curtulum", "Lasioglossum diatretum", "Lasioglossum egregium", "Lasioglossum granosum", "Lasioglossum gulare", "Lasioglossum jubatum", "Lasioglossum linctum", "Lasioglossum nigricalle", "Lasioglossum nigridens", "Lasioglossum nyctere", "Lasioglossum occultum", "Lasioglossum pallicorne", "Lasioglossum pharum", "Lasioglossum pullilabre", "Lasioglossum respersum", "Lasioglossum sertum", "Lasioglossum spinale", "Lasioglossum sudum", "Lasioglossum terginum", "Lasioglossum transvorsum", "Lasioglossum tricnicos", "Lasioglossum atrum", "Lasioglossum brevicornutum", "Lasioglossum exleyae", "Lasioglossum exophthalmum", "Lasioglossum forrestae", "Lasioglossum grossopedalum", "Lasioglossum houstoni", "Parinari curatellifolia", "Parinari excelsa", "Parinari montana", "Parinari sprucei", "Allanblackia floribunda", "Allanblackia parviflora", "Allanblackia stuhlmannii", "Clusia grandiflora", "Clusia flava", "Clusia fluminensis", "Clusia lanceolata", "Clusia major", "Clusia minor", "Clusia ovigera", "Clusia palmicida", "Clusia rosea", "Garcinia afzelii", "Garcinia aristata", "Garcinia atroviridis", "Garcinia dulcis", "Garcinia epunctata", "Garcinia gummi-gutta", "Arhopala moorei", "Arhopala moorei busa", "Garcinia hanburyi", "Arhopala moorei moorei", "Garcinia hombroniana", "Garcinia humilis", "Garcinia indica", "Garcinia intermedia", "Garcinia kola", "Garcinia livingstonei", "Kenyatta iodes", "Arhopala muta", "Fraus minima", "Fraus megacornis", "Fraus quadrangula", "Fraus marginispina", "Fraus orientalis", "Fraus serrata", "Fraus latistria", "Fraus linogyna", "Fraus mediaspina", "Fraus pilosa", "Arhopala muta gloria", "Arhopala muta maranda", "Fraus pelagia", "Arhopala muta merguiana", "Arhopala muta muta", "Lasioglossum aureotarse", "Lasioglossum congoense", "Lasioglossum fahringeri", "Lasioglossum flavopunctatum", "Lasioglossum franki", "Lasioglossum fulviventre", "Lasioglossum gibbosum", "Lasioglossum luteoaeneum", "Lasioglossum niveorufum", "Lasioglossum ruficolle", "Lasioglossum rufulum", "Lasioglossum grandiceps", "Lasioglossum obscurior", "Lasioglossum rufoaeneum", "Lasioglossum rufotibiale", "Lasioglossum xanthopoides", "Lasioglossum aeratum", "Lasioglossum fulvicorne", "Lasioglossum laeve", "Lasioglossum laevigatum", "Lasioglossum leucopus", "Lasioglossum malachurum", "Lasioglossum minutissimum", "Lasioglossum nitidiusculum", "Lasioglossum quadrinotatum", "Lasioglossum sexnotatum", "Lasioglossum smeathmanellum", "Lasioglossum villosulum", "Lasioglossum xanthopus", "Lasioglossum aurigrum", "Lasioglossum nummatum", "Lasioglossum vexator", "Lasioglossum elegans", "Lasioglossum nigripes", "Lasioglossum subhirtum", "Lasioglossum divergens", "Lasioglossum oblongum", "Lasioglossum versans", "Lasioglossum viridatum", "Lasioglossum antiochense", "Lasioglossum danforthi", "Lasioglossum potosi", "Lasioglossum grande", "Lasioglossum insigne", "Lasioglossum niveatum", "Lasioglossum abietum", "Lasioglossum bernardinense", "Lasioglossum humboldtense", "Lasioglossum marinense", "Lasioglossum mendocinense", "Lasioglossum orthocarpi", "Lasioglossum sequoiae", "Lasioglossum hirashimai", "Lasioglossum lieftincki", "Lasioglossum ocellare", "Lasioglossum pelorodontum", "Lasioglossum sedlaceki", "Lasioglossum silvestris", "Lasioglossum torulosum", "Lasioglossum umbone", "Lasioglossum achilleae", "Lasioglossum advertum", "Lasioglossum alachuense", "Lasioglossum alternatum", "Pasiphila hyrcanica", "Volvopluteus gloiocephalus", "Cololejeunea grossepapillosa", "Nephelolejeunea carcharias", "Eochelone monstigris", "Hyneria lindae", "Lasioglossum multicavum", "Lasioglossum pectinalum", "Lasioglossum adiazetum", "Lasioglossum megagnathum", "Lasioglossum pilosigyna", "Lasioglossum sicarium", "Lasioglossum verticulum", "Lasioglossum arctifrons glandarium", "Lasioglossum arctifrons optatum", "Lasioglossum phoenicurum", "Lasioglossum prunellum", "Lasioglossum pulicarium", "Lasioglossum scirpaceum", "Lasioglossum solitarium", "Lasioglossum apricarium", "Lasioglossum bassanum", "Lasioglossum cetti", "Lasioglossum hazarani", "Lasioglossum krausi", "Lasioglossum rusticolum", "Lasioglossum sobrinum", "Lasioglossum stolidum", "Lasioglossum subbuteo", "Lasioglossum tinnunculum", "Lasioglossum zostaceum", "Lasioglossum alectore", "Lasioglossum cinclum", "Lasioglossum cucullatum", "Lasioglossum daglariense", "Lasioglossum lativalve", "Lasioglossum montifringillum", "Lasioglossum rupestre", "Lasioglossum saxatile", "Lasioglossum schachti", "Lasioglossum siirtense", "Lasioglossum taninense", "Lasioglossum sabulosum", "Lasioglossum apostoli", "Lasioglossum aureimontanum", "Lasioglossum hethiticum", "Lasioglossum montivolans", "Lasioglossum angustipes", "Lasioglossum cilicium", "Lasioglossum eurasicum", "Lasioglossum euxinicum", "Lasioglossum filipes", "Lasioglossum glaciegenitum", "Lasioglossum harputicum", "Lasioglossum hilare", "Lasioglossum ituraeum", "Lasioglossum jultschinicum", "Lasioglossum kirgisicum", "Lasioglossum lebedevi", "Lasioglossum margelanicum", "Lasioglossum paleae", "Lasioglossum tauricum", "Lasioglossum urguticum", "Lasioglossum andradei", "Lasioglossum clypeare", "Lasioglossum convexiusculum", "Lasioglossum lativentre", "Lasioglossum marginellum", "Lasioglossum minutulum", "Lasioglossum parvulum", "Lasioglossum pauxillum", "Lasioglossum politum", "Lasioglossum punctatissimum", "Lasioglossum pygmaeum", "Lasioglossum pygmaeum pygmaeum", "Lasioglossum quadrisignatum", "Lasioglossum sexmaculatum", "Lasioglossum tarsatum", "Lasioglossum sexstrigatum", "Lasioglossum lineare", "Lasioglossum laticeps laticeps", "Lasioglossum laticeps", "Lasioglossum intermedium", "Lasioglossum brevicorne", "Lasioglossum aricense", "Lasioglossum cariocum", "Lasioglossum creusum", "Lasioglossum pabulator", "Lasioglossum phaedrum", "Lasioglossum ypirangense", "Guianacara dacrya", "Lasioglossum affine", "Lasioglossum albescens", "Lasioglossum altichum", "Lasioglossum bicingulatum", "Lasioglossum carbonarium", "Lasioglossum coriaceum", "Lasioglossum creberrimum", "Lasioglossum deceptum", "Lasioglossum discum", "Lasioglossum florale", "Lasioglossum fuscipenne", "Lasioglossum gemmatum", "Lasioglossum globosum", "Lasioglossum hilactum", "Lasioglossum hiltacum", "Lasioglossum lacthium", "Lasioglossum laevissimum", "Lasioglossum lanarium", "Lasioglossum lichatum", "Lasioglossum lithuscum", "Lasioglossum nymphale", "Lasioglossum orbatum", "Lasioglossum pectorale", "Lasioglossum pilosum", "Lasioglossum repraesentans", "Lasioglossum rufomarginatum", "Lasioglossum rugolatum", "Lasioglossum sphecodoides", "Lasioglossum stuchilum", "Lasioglossum subopacum", "Lasioglossum sulthicum", "Lasioglossum talchium", "Lucanus langi", "Arhopala aexone", "Arhopala aexone aexone", "Arhopala aexone chrysoana", "Arhopala alkisthenes", "Lucanus fanjingshanus", "Proterhinus detritus", "Proterhinus linearis", "Proterhinus scutatus", "Proterhinus similis", "Proterhinus laticollis", "Proterhinus tarsalis", "Proterhinus robustus", "Proterhinus ineptus", "Proterhinus longicornis", "Proterhinus insignis", "Proterhinus dispar", "Proterhinus gracilis", "Proterhinus punctipennis", "Proterhinus validus", "Proterhinus echidna", "Proterhinus podagricus", "Proterhinus maurus", "Proterhinus myrsineus", "Proterhinus myrsineoides", "Proterhinus platygonioides", "Proterhinus heterostictus", "Proterhinus transversalis", "Proterhinus facilis", "Proterhinus subdeceptor", "Proterhinus pipturi", "Proterhinus minimus", "Proterhinus unicolor", "Proterhinus moribundus", "Proterhinus miricornis", "Lasioglossum excisum", "Lasioglossum lisa", "Lasioglossum nomion", "Lasioglossum scoteinum", "Lasioglossum tessaranotatum", "Lasioglossum xystodorsum", "Lasioglossum spinosum", "Lasioglossum calcarium", "Lasioglossum callophrys", "Lasioglossum cassioides", "Lasioglossum charisterion", "Lasioglossum claudia", "Lasioglossum clypeinitens", "Lasioglossum elaiochromon", "Lasioglossum flavohirtum", "Lasioglossum glandon", "Lasioglossum huanghe", "Lasioglossum kryopetrosum", "Lasioglossum luctuosum", "Lasioglossum melancholicum", "Lasioglossum messoropse", "Lasioglossum metis", "Lasioglossum moros", "Lasioglossum mystaphium", "Lasioglossum pandrose", "Lasioglossum pronotale", "Lasioglossum selma", "Lasioglossum tyndarus", "Lasioglossum chlorophaenum", "Lasioglossum crepusculum", "Lasioglossum cribrum", "Lasioglossum dathei", "Lasioglossum diluculum", "Lasioglossum flavoscapus", "Lasioglossum adriani", "Lasioglossum engeli", "Lasioglossum sierramaestrensis", "Lasioglossum acarophilum", "Lasioglossum acuminatum", "Lasioglossum anhypops", "Lasioglossum argutum", "Lasioglossum asaphes", "Lasioglossum bajaense", "Lasioglossum cercothrix", "Lasioglossum channelense", "Lasioglossum eickworti", "Lasioglossum katyae", "Lasioglossum lampronotum", "Lasioglossum orphnaeum", "Lasioglossum paraforbesii", "Lasioglossum parkeri", "Lasioglossum perscabrum", "Lasioglossum rupticristum", "Lasioglossum sandrae", "Lasioglossum timberlakei", "Lasioglossum tropidonotum", "Lasioglossum xyriotropis", "Lasioglossum comulum", "Lasioglossum robertsonellum", "Lasioglossum sandhouseae", "Lasioglossum denticeps", "Lasioglossum kraussi", "Lasioglossum chloridicum", "Lasioglossum dolus", "Lasioglossum edessae", "Lasioglossum eurydikae", "Lasioglossum imbecillum", "Lasioglossum israelense", "Lasioglossum kappadokium", "Lasioglossum makedonicum", "Lasioglossum mesoviride", "Lasioglossum mose", "Lasioglossum musculoides", "Lasioglossum orion", "Lasioglossum pressithorax", "Lasioglossum subfulvicorne austriacum", "Lasioglossum ibericum", "Lasioglossum iranicum", "Lasioglossum lactipenne", "Lasioglossum acherontion", "Lasioglossum andromeda", "Lasioglossum asteria", "Lasioglossum daphne", "Lasioglossum eos", "Lasioglossum equinum", "Lasioglossum exulans", "Lasioglossum faustum", "Lasioglossum hyrkanium", "Lasioglossum koreanum", "Lasioglossum minutuloides", "Lasioglossum panagaeum", "Lasioglossum phoebos", "Lasioglossum reinigi", "Lasioglossum sakagamii", "Lasioglossum tungusicum", "Lasioglossum viriderostratum", "Lasioglossum cerambyx", "Lasioglossum didomenon", "Lasioglossum hypsiston", "Lasioglossum melan", "Lasioglossum quadrinotatiforme", "Lasioglossum rhadiourgon", "Lasioglossum circe", "Lasioglossum epiphron", "Lasioglossum euryale", "Lasioglossum fulgonitens", "Lasioglossum gorge", "Lasioglossum acanthum", "Lasioglossum fulvopacum", "Lasioglossum melachloron", "Lasioglossum suppressum", "Lasioglossum alexandrinum", "Lasioglossum anthrax", "Lasioglossum eschaton", "Lasioglossum helios", "Lasioglossum melanops", "Lasioglossum schwarzi", "Lasioglossum eriphyle", "Lasioglossum melli", "Lasioglossum onocephalum", "Lasioglossum nicias", "Lasioglossum opacolampron", "Lasioglossum orbitulum", "Lasioglossum ramphos", "Lasioglossum bhutanicum", "Lasioglossum ciliatum", "Lasioglossum strigosigena", "Lasioglossum cephalochilum", "Lasioglossum frenchellum", "Lasioglossum fulvofasciae", "Lasioglossum gynochilum", "Lasioglossum imitator", "Lasioglossum obscurissimum", "Lasioglossum permetallicum", "Lasioglossum bakeri", "Lasioglossum comorense", "Lasioglossum ernesti", "Lasioglossum nathanae", "Lasioglossum urenae", "Lasioglossum alaicum", "Lasioglossum alievi", "Lasioglossum belliatum", "Lasioglossum benignum", "Lasioglossum euxanthopus", "Lasioglossum hofferi", "Lasioglossum kasparyani", "Lasioglossum shestakovi", "Lasioglossum sutshanicum", "Lasioglossum verae", "Lasioglossum zeyanense", "Lasioglossum sororculum", "Lasioglossum abrophilum", "Lasioglossum adustum", "Lasioglossum alacarinatum", "Lasioglossum albopilosum", "Lasioglossum alpinum", "Lasioglossum amboquestrum", "Lasioglossum amplexum", "Lasioglossum anforticornum", "Lasioglossum aquilonium", "Lasioglossum argopilatum", "Lasioglossum aspratulum", "Lasioglossum athrix", "Lasioglossum aureopilatum", "Lasioglossum bibrochum", "Lasioglossum biceps", "Lasioglossum bicolor", "Lasioglossum brochum", "Lasioglossum brunnesetum", "Lasioglossum bubrachium", "Lasioglossum bucculum", "Lasioglossum bullatum", "Lasioglossum caesium", "Lasioglossum cardaleae", "Lasioglossum carpobrotum", "Lasioglossum castor", "Lasioglossum clypeatum", "Lasioglossum copleyense", "Lasioglossum demicapillum", "Lasioglossum ebeneum", "Lasioglossum edentulatum", "Lasioglossum eremaean", "Lasioglossum eremophilum", "Lasioglossum eurycephalum", "Lasioglossum falcatum", "Lasioglossum fasciatum", "Lasioglossum frankenia", "Lasioglossum grumiculum", "Lasioglossum hamatum", "Lasioglossum hapsidum", "Lasioglossum immaculatum", "Lasioglossum inflatum", "Lasioglossum lamellosum", "Lasioglossum latichilum", "Lasioglossum lineatum", "Lasioglossum litovillum", "Lasioglossum mesostenoideum", "Lasioglossum metallicum", "Lasioglossum mu", "Lasioglossum nefrens", "Lasioglossum nitens", "Lasioglossum ochrochilum", "Lasioglossum ochroma", "Lasioglossum pappodum", "Lasioglossum parasphecodum", "Lasioglossum pollux", "Lasioglossum ptyon", "Lasioglossum quadratum", "Lasioglossum roddi", "Lasioglossum sexsetum", "Lasioglossum smaragdinum", "Lasioglossum spatulatum", "Lasioglossum speculatum", "Lasioglossum teltiri", "Lasioglossum triangulatum", "Lasioglossum tridens", "Lasioglossum uncinatum", "Lasioglossum xerophilum", "Lasioglossum froggatti", "Agraptocorixa hirtifrons", "Lasioglossum aberrans", "Lasioglossum absurdiceps", "Cosmopterix argentitegulella", "Arhopala horsfieldi palawanica", "Euthalia hebe hebe", "Lupinus sect.", "Lupinus sect.", "Thiotricha pontifera", "Thiotricha celata", "Thiotricha corylella", "Thiotricha indistincta", "Thiotricha fusca", "Thiotricha attenuata", "Thiotricha synodonta", "Thiotricha tylephora", "Thiotricha pancratiastis", "Thiotricha obliquata", "Thiotricha trapezoidella", "Thiotricha subocellea", "Euboeana castaneivaga", "Wilkinsonellus flavicrus", "Wilkinsonellus masoni", "Wilkinsonellus nigratus", "Wilkinsonellus nigrocentrus", "Eupithecia exactata", "Eupithecia flavoapicaria", "Eupithecia infecunda", "Eupithecia marginata", "Eupithecia nephelata", "Aglossa dimidiata", "Pyralis regalis", "Pyralis farinalis", "Pyralis princeps", "Stemmatophora albifimbrialis", "Stemmatophora valida", "Tamraca torridalis", "Tegulifera bicoloralis", "Bostra nanalis", "Orthopygia glaucinalis", "Orthopygia nannodes", "Orthopygia placens", "Hypothecla astyla palawensis", "Eupithecia granata", "Eupithecia nonpurgata", "Eupithecia albifurva", "Eupithecia apparatissima", "Eupithecia asema", "Eupithecia claudei", "Eupithecia lusoria", "Eupithecia rulena", "Eupithecia superata", "Eupithecia himalayata", "Eupithecia nervosa", "Eupithecia spinibarbata", "Eupithecia fibigeri", "Eupithecia filia", "Eupithecia laszloi", "Eupithecia singhalensis", "Eupithecia kama", "Eupithecia idaeoides", "Eupithecia infestata", "Eupithecia fessa", "Eupithecia lactibasis", "Eupithecia liberata", "Eupithecia vojnitsi", "Eupithecia discolor", "Syncosmia trichophora", "Syncosmia dissographa", "Syncosmia xanthocomes", "Syncosmia eugerys", "Syncosmia eurymesa", "Syncosmia craspedozona", "Syncosmia discisuffusa", "Syncosmia layanga", "Syncosmia seminotata", "Syncosmia patinata", "Eupithecia cupressata", "Axiocerses kiellandi", "Axiocerses susanae", "Axiocerses melanica", "Axiocerses melanica melanica", "Axiocerses melanica aurata", "Hippolyte leptocerus", "Oryzaephilus mercator", "Nausibius clavicornis", "Dendrophagella capito", "Austrosimulium dumbletoni", "Lebia antelobata", "Lebia cerrutii", "Lebia distinctenotata", "Acacia richii", "Lebia ghesquierei", "Acacia rovumae", "Lebia katangana", "Lebia nigrocincta", "Lebia pseudogabonica", "Lebia calycina", "Lebia fortuita", "Lebia transvaalensis", "Lebia franzi", "Pteroteinon concaenira", "Nacaduba kurava fujiokai", "Dendrophagus rugicollis", "Pseudaletis malangi", "Gretna leakeyi", "Iolaus shaba", "Acacia semperflorens", "Paruparo cebuensis chotaroi", "Arhopala bazalus asagiae", "Ablabus sellatus", "Rachana mioae", "Agrilus amplicollis", "Bullis stigmata", "Bullis elioti", "Bullis elioti elioti", "Bullis elioti borneensis", "Bullis buto", "Lygosoma quadrupes", "Bullis buto buto", "Bullis buto cowani", "Lygosoma bowringii", "Sukidion inores", "Sinthusa nasaka ogatai", "Sinthusa privata", "Araotes perrhaebis", "Araotes lapithis", "Araotes lapithis lapithis", "Araotes lapithis archytas", "Araotes lapithis arianus", "Araotes lapithis decolor", "Acacia pachyceras", "Capys bamptoni", "Capys calpurnia", "Capys collinsi", "Capys cupreus", "Capys hermes", "Capys juliae", "Capys meruensis", "Capys brunneus", "Capys brunneus brunneus", "Capys brunneus heathi", "Capys connexivus", "Capys connexivus connexivus", "Capys connexivus gardineri", "Abantis bamptoni", "Axiocerses bamptoni", "Axiocerses callaghani", "Axiocerses coalescens", "Axiocerses collinsi", "Axiocerses heathi", "Axiocerses karinae", "Lebia lucidicollis", "Lebia obesa", "Lebia obtusa", "Lebia olsoufieffi", "Lebia perinetana", "Lebia picea", "Lebia sahy", "Lebia sicardiana", "Lebia silvatica", "Lebia silvestris", "Lebia stricticollis", "Lebia submetallica", "Coptotermes acinaciformis", "Acacia \u00d7 giraffae", "Kajikia audax", "Agriornis montanus solitarius", "Ourapteryx cordifera", "Ourapteryx nonmarginata", "Ourapteryx sulphurea", "Ourapteryx diluculum", "Ourapteryx picticaudata", "Ourapteryx picticaudata picticaudata", "Ourapteryx picticaudata palawanensis", "Aschistophleps murzini", "Baliochila warrengashi", "Baliochila congdoni", "Baliochila lequeuxi", "Baliochila nguru", "Baliochila abri", "Baliochila citrina", "Baliochila collinsi", "Baliochila confusa", "Baliochila fusca", "Baliochila megadentata", "Baliochila mwanihanae", "Lebia andreinii", "Lebia auberti", "Lebia indagacea", "Lebia semicyanea", "Formicium berryi", "Formicium brodiei", "Formicium mirabile", "Veronicastrum formosanum", "Euthalia suprema", "Ravitria yunnanensis", "Ravitria aurifasciata", "Ravitria confusa", "Ravitria sotchivkoi", "Ravitria pyrosema", "Brana cara", "Ampelophaga rubiginosa", "Ampelophaga rubiginosa rubiginosa", "Ampelophaga rubiginosa lohita", "Ampelophaga rubiginosa myosotis", "Ampelophaga khasiana", "Veronicastrum yunnanense", "Veronicastrum brunonianum", "Actias groenendaeli", "Actias groenendaeli groenendaeli", "Actias groenendaeli acutapex", "Purpuricenus paraxillaris", "Halicephalobus mephisto", "Bitoma auriculata", "Bitoma mundula", "Bitoma serraticula", "Bitoma discoidea", "Bitoma distincta", "Bitoma guttata", "Bitoma lobata", "Bitoma morosa", "Bitoma picicornis", "Bitoma scita", "Bitoma costicollis", "Protosilvanus lateritius", "Arhopala birmana hiurai", "Eupithecia jermyi", "Loxura cassiopeia owadai", "Eupithecia leucospila", "Eupithecia nigrinotata", "Simiskina phalia morishitai", "Eupithecia phulchokiana", "Eupithecia garuda", "Nacaduba sericina palawana", "Eupithecia cuneata", "Eupithecia nigrilinea", "Eupithecia mundiscripta", "Arhopala agrata shirozui", "Eupithecia krampli", "Eupithecia peguensis", "Eupithecia kudoi", "Sundabroma bimaculata", "Sundabroma suffusca", "Allobroma kedenburgi", "Allobroma portegiesi", "Unduncus connexa", "Cicadetta dirfica", "Veronicastrum sect.", "Veronicastrum sect.", "Veronicastrum sect.", "Veronicastrum sect.", "Lebia baconi", "Lebia fumata", "Lebia lividipennis", "Lebia melanacra", "Lebia biplagiata", "Lebia bohumilae", "Lebia dolorosa", "Lebia leleupi", "Lebia lualabana", "Lebia chaudoiri", "Lebia diegana", "Lebia damarica", "Lebia ripicola", "Lebia elisabethana", "Lebia evicta", "Lebia fraterna", "Lebia insidiosa", "Lebia invicta", "Lebia exiguella", "Lebia miniata", "Lebia pervicina", "Lebia pusillima", "Lebia viridicolor", "Lebia immaculata", "Lebia modesta", "Lebia nobilis", "Lebia indica", "Lebia melanura", "Lebia verisimilis", "Callaeum antifebrile", "Callaeum macropterum", "Callaeum nicaraguense", "Hemileuca tricolor", "Hemileuca hualapai", "Hemileuca burnsi", "Aculops spondiasis", "Phyllocoptruta citricola", "Tegonotus fisus", "Belisana galeiformis", "Belisana bawangensis", "Belisana chaoanensis", "Belisana diaoluoensis", "Belisana longinqua", "Belisana parallelica", "Belisana erromena", "Belisana lata", "Belisana colubrina", "Belisana tianlinensis", "Belisana yangi", "Oedipina petiola", "Urnaloricus gadi", "Congdonia duplex", "Diphasiastrum nikoense", "Teriomima williami", "Brevianta bathoryon", "Brevianta magnifica", "Brevianta undulata", "Brevianta undulella", "Brevianta celelata", "Brevianta ematheon", "Brevianta busa", "Brevianta perpenna", "Brevianta hyas", "Brevianta tolmides", "Leptidea juvernica", "Arhopala araxes araxes", "Arhopala araxes onetor", "Arhopala araxes talauta", "Arhopala araxes verelius", "Veronica subg.", "Veronica spicata subsp. spicata", "Gekko reevesii", "Gekko russelltraini", "Gekko scientiadventura", "Veronica spicata subsp. fischeri", "Gekko ernstkelleri", "Gekko vertebralis", "Gekko shibatai", "Gekko rossi", "Veronica spicata subsp. lanisepalum", "Veronica spicata subsp. porphyriana", "Veronica spicata subsp. viscosula", "Lebia lytata", "Lebia madagascariensis", "Lebia monticola", "Lebia natalensis", "Lebia perrieri", "Lebia aerea", "Lebia alluaudi", "Lebia ambreana", "Lebia androyana", "Lebia antanosy", "Lebia comorica", "Lebia kalabe", "Lebia kalosa", "Lebia lebisi", "Baltimartyria proavittella", "Palaeomicroides caeruleimaculella", "Palaeomicroides costipunctella", "Palaeomicroides discopurpurella", "Palaeomicroides fasciatella", "Palaeomicroides marginella", "Palaeomicroides obscurella", "Squamicornia aequatoriella", "Undopterix caririensis", "Undopterix sukatshevae", "Deois flavopicta", "Deois incompleta", "Alabonia geoffrella", "Epicallima formosella", "Esperia sulphurella", "Crassa tinctella", "Tylophoron moderatum", "Tylophoron stalactiticum", "Deois coerulea", "Deois flexuosa", "Deois bergi", "Deois crenualata", "Deois constricta", "Deois sexpunctata", "Deois bisignata", "Deois quadrisignata", "Deois schach", "Rapala tomokoae tomokoae", "Dicella macroptera", "Dicella nucifera", "Diplopterys longialata", "Micropterix rothenbachii", "Galphimia brasiliensis", "Galphimia glauca", "Galphimia gracilis", "Micropterix huemeri", "Micropterix tunbergella", "Micropterix paykullella", "Micropterix rablensis", "Micropterix myrtetella", "Micropterix klimeschi", "Micropterix cassinella", "Micropterix cypriensis", "Micropterix elegans", "Micropterix islamella", "Veronica verna subsp. verna", "Veronica subg.", "Veronica gentianoides var. alpina", "Veronica gentianoides var. eglandulosa", "Maoridrilus felix", "Veronica gentianoides var. gentianoides", "Octochaetus kenleei", "Deinodrilus gorgon", "Veronica subg.", "Hadrobelus undulatus", "Veronica subg.", "Escalerosia rubrivestis", "Nola quadriguttula", "Paramartyria baishanzuna", "Paramartyria chekiangella", "Paramartyria bimaculella", "Tribolium confusum", "Paramartyria cipingana", "Paramartyria maculatella", "Paramartyria ovalella", "Parasabatinca aftimacrai", "Parasabatinca caldasae", "Micropterix gertraudae", "Micropterix croatica", "Micropterix fenestrellensis", "Micropterix garganoensis", "Micropterix granatensis", "Micropterix hartigi", "Micropterix italica", "Micropterix lakoniensis", "Micropterix minimella", "Micropterix osthelderi", "Micropterix schaefferi", "Micropterix trifasciella", "Cottsia gracilis", "Micropterix tuscaniensis", "Micropterix vulturensis", "Micropterix zangheriella", "Raorchestes johnceei", "Raorchestes kadalarensis", "Raorchestes manohari", "Raorchestes ravii", "Raorchestes theuerkaufi", "Raorchestes thodai", "Beddomixalus bijui", "Pachytriton moi", "Pachytriton feii", "Microcaecilia trombetas", "Rana jiemuxiensis", "Micropterix conjunctella", "Micropterix constantinella", "Micropterix corcyrella", "Micropterix cornuella", "Micropterix cyaneochrysa", "Micropterix eatoniella", "Micropterix emiliensis", "Micropterix erctella", "Micropterix facetella", "Micropterix fasciata", "Micropterix ibericella", "Micropterix imperfectella", "Micropterix inornatus", "Micropterix jacobella", "Micropterix kardamylensis", "Micropterix lagodechiella", "Micropterix lambesiella", "Micropterix maschukella", "Micropterix montanella", "Micropterix monticolella", "Micropterix montosiella", "Micropterix octopunctelia", "Micropterix sicanella", "Tayalopsyche spinidomifera", "Trichocerota formosana", "Ectropidia altiprimata", "Ectropidia philippidaria", "Ectropidia leytensis", "Nigriblephara cheyi", "Myrioblephara semperi", "Myrioblephara palawanica", "Myrioblephara mamorui", "Myrioblephara plumosa", "Myrioblephara tranostigma", "Myrioblephara macrosimplaria", "Dysgonia algira", "Dysgonia illibata", "Dysgonia serratilinea", "Dysgonia eclipsifera", "Neope niphonica niphonica", "Neope niphonica kiyosumiensis", "Neope niphonica marumoi", "Arhopala centaurus centaurus", "Arhopala eurisus", "Onnuria melanotoma", "Onnuria tenuiella", "Onnuria xanthochroa", "Stethobaris cerpheroides", "Stethobaris hybris", "Stethobaris nemesis", "Stethobaris sprekeliae", "Stethobaris ultima", "Arhopala hylander", "Arhopala kiriwinii", "Arhopala lata", "Arhopala leander", "Arhopala madytus", "Arhopala meander", "Titanomyrma lubei", "Titanomyrma giganteum", "Titanomyrma simillimum", "Micropterix staudinger", "Micropterix turkmeniella", "Micropterix wockei", "Micropterix uxoria", "Micropterix klimeschi klimeschi", "Micropterix klimeschi rhodiensis", "Tylophoron galapagoense", "Tylophoron hibernicum", "Malpighiodes bracteosa", "Sphedamnocarpus pruriens", "Stigmaphyllon bogotense", "Stigmaphyllon bonariense", "Stigmaphyllon ciliatum", "Stigmaphyllon dichotomum", "Stigmaphyllon diversifolium", "Stigmaphyllon emarginatum", "Stigmaphyllon floribundum", "Stigmaphyllon jatrophifolium", "Stigmaphyllon puberum", "Stigmaphyllon sagraeanum", "Stigmaphyllon sinuatum", "Tetrapterys acutifolia", "Tetrapterys discolor", "Tetrapterys multiglandulosa", "Tristellateia australasiae", "Veronica subg.", "Sabatinca heighwayi", "Sabatinca delobeli", "Sabatinca demissa", "Sabatinca eodora", "Sabatinca ianthina", "Sabatinca pervetus", "Deois schach solita", "Deois transiens", "Deois correntina", "Deois grandis", "Deois knighti", "Deois knoblauchii", "Deois morialis", "Deois mourei", "Deois piraporae", "Deois pseudoflavopicta", "Deois rubropicta", "Deois spinulata", "Deois terrea", "Deois uniformis", "Simulium appalachiense", "Simulium apricarium", "Simulium balteatum", "Simulium burgeri", "Simulium carbunculum", "Simulium chromatinum", "Simulium chromocentrum", "Simulium conicum", "Simulium conundrum", "Simulium exulatum", "Simulium infernale", "Simulium joculator", "Simulium merritti", "Simulium modicum", "Simulium moultoni", "Simulium mysterium", "Simulium negativum", "Simulium parmatum", "Simulium saxosum", "Simulium tormentor", "Simulium ubiquitum", "Simulium vampirum", "Simulium vamprium", "Simulium violator", "Simulium zephyrus", "Simulium mediaxisus", "Simulium pulanotum", "Simulium triangustum", "Simulium chenzhouense", "Simulium wangxianense", "Simulium zhangjiajiense", "Simulium acontum", "Simulium lonchatum", "Simulium ludingens", "Simulium damingense", "Simulium longshengense", "Simulium yuanbaoshanense", "Simulium concavustylum", "Simulium lingziense", "Simulium schizolomum", "Mormogystia brandstetteri", "Meharia hackeri", "Heteropterys chrysophylla", "Heteropterys glabra", "Heteropterys laurifolia", "Heteropterys syringifolia", "Heteropterys umbellata", "Hiptage benghalensis", "Prepseudatrichia tiger", "Notiospathius atra", "Notiospathius johnlennoni", "Notiospathius novateutoniae", "Notiospathius sulcatus", "Notiospathius xanthofasciatus", "Lophanthera lactescens", "Notiospathius diversus", "Notiospathius caudatus", "Malpighia coccigera", "Notiospathius carolinae", "Notiospathius pauli", "Malpighia emarginata", "Malpighia cubensis", "Malpighia fucata", "Malpighia mexicana", "Malpighia polytricha", "Malpighia suberosa", "Malpighia urens", "Malpighia setosa", "Tillicera sensibilis", "Tillicera wenii", "Tillicera callosa", "Tillicera michaeli", "Tillicera obscura", "Tillicera pseudocleroides", "Tillicera tonkinensis", "Tillicera soror", "Tillicera paula", "Tillicera assamensis", "Tillicera auratofasciata", "Tillicera hirsuta", "Tillicera cleroides", "Tillicera bibalteata", "Tillicera aurivillosa", "Tillicera ihlei", "Tillicera javana", "Microcaecilia rochai", "Raorchestes uthamani", "Raorchestes agasthyaensis", "Simulium dola", "Simulium ela", "Simulium krombeini", "Simulium nubis", "Simulium cruszi", "Simulium paranubis", "Simulium subpalmatum", "Simulium bicorne", "Simulium schevyakovi", "Simulium vulgare", "Simulium callidum", "Simulium canonicola", "Araneus falcatus", "Simulium clarum", "Simulium congareenarum", "Simulium jacumbae", "Simulium minus", "Simulium piperi", "Simulium pugetense", "Simulium slossonae", "Simulium venator", "Simulium alatum", "Simulium antibrachium", "Simulium baforti", "Simulium bulbiferum", "Simulium candelabrum", "Simulium flavinotatum", "Simulium nyanzense", "Simulium perforatum", "Simulium raybouldi", "Simulium rubescens", "Simulium sacculiferum", "Simulium sirimonense", "Simulium akouense", "Simulium mayumbense", "Simulium ngouense", "Simulium tondewandouense", "Simulium bayakorum", "Simulium kingundense", "Simulium kwangoense", "Simulium cauchense", "Simulium oyapockense", "Simulium iracouboense", "Simulium rorotaense", "Simulium bifila", "Simulium diceros", "Simulium harrisoni", "Simulium tridens", "Simulium zombaense", "Simulium albopictum", "Simulium antenusi", "Simulium magnum", "Simulium scutellatum", "Simulium baetiphilum", "Simulium ekomei", "Simulium oguamai", "Simulium aureonigrum", "Simulium inornatum", "Simulium peregrinum", "Simulium anchistinum", "Simulium chlorum", "Simulium confusum", "Simulium definitum", "Simulium infenestrum", "Simulium ozarkense", "Simulium remissum", "Araneus octumaculalus", "Arhopala matsutaroi", "Catapaecilma nakamotoi", "Tylophoron africanum", "Tylophoron annulatum", "Tylophoron ascidioides", "Arhopala silhetensis philippina", "Adenia aculeata", "Adenia digitata", "Adenia ellenbeckii", "Adenia fruticosa", "Adenia glauca", "Adenia globosa", "Adenia hondala", "Adenia huillensis", "Adenia keramanthus", "Adenia kirkii", "Adenia lobata", "Adenia macrophylla", "Adenia rumicifolia", "Adenia venenata", "Adenia volkensii", "Adenia wightiana", "Ancistrothyrsus tessmannii", "Basananthe apetala", "Deidamia clematoides", "Dilkea acuminata", "Passiflora citrifolia", "Passiflora pittieri", "Passiflora chrysophylla", "Passiflora adenopoda", "Passiflora bryonioides", "Passiflora exsudans", "Passiflora gracilis", "Passiflora sicyoides", "Passiflora affinis", "Passiflora allantophylla", "Passiflora bicornis", "Passiflora bogotensis", "Passiflora cuneata", "Passiflora cupraea", "Passiflora filipes", "Passiflora kalbreyeri", "Passiflora mexicana", "Passiflora misera", "Passiflora perfoliata", "Passiflora sexflora", "Passiflora tricuspis", "Passiflora trifasciata", "Passiflora vespertilio", "Passiflora heterophylla", "Passiflora multiflora", "Passiflora platyloba", "Passiflora tiliifolia", "Passiflora gabrielliana", "Passiflora pergrandis", "Passiflora riparia", "Passiflora adulterina", "Simulium croxtoni", "Simulium luggeri", "Simulium rugglesi", "Simulium mie", "Simulium omutaense", "Simulium yamayaense", "Simulium inaequale", "Simulium jujuyense", "Simulium lahillei", "Passiflora garckei", "Simulium borunicornutum", "Simulium desirei", "Simulium grenieri", "Simulium kiangaraense", "Simulium phluktainae", "Simulium quilleverei", "Simulium tandrokum", "Passiflora mooreana", "Simulium alirioi", "Simulium kabanayense", "Simulium pseudoantillarum", "Passiflora oerstedii", "Simulium curvans", "Simulium elburnum", "Passiflora tenuifila", "Simulium meigeni", "Simulium tricrenum", "Simulium avilae", "Simulium barretti", "Simulium botulus", "Simulium brandti", "Simulium catleyi", "Simulium centrale", "Simulium cervus", "Simulium clavum", "Simulium cristatum", "Simulium evelynae", "Simulium farciminis", "Simulium fimbriatum", "Simulium gagiduense", "Simulium gorokae", "Simulium heldsbachense", "Simulium hemicyclium", "Simulium inuitkiense", "Simulium josephi", "Simulium kainantuense", "Simulium kaiti", "Simulium keravatense", "Simulium kokodae", "Simulium kuingingiense", "Simulium lalokiense", "Simulium mafuluense", "Simulium matokoense", "Simulium mendiense", "Simulium minji", "Simulium munumense", "Simulium nami", "Simulium purosae", "Simulium raunsimnae", "Simulium rounae", "Simulium saihoense", "Simulium tafae", "Simulium wamenae", "Simulium wantoatense", "Simulium kinabaluense", "Simulium pegalanense", "Simulium rayohense", "Simulium sabahense", "Simulium aranti", "Passiflora reflexiflora", "Simulium clarkei", "Simulium dixiense", "Simulium haysi", "Simulium jonesi", "Simulium notiale", "Simulium nyssa", "Simulium snowi", "Simulium underhilli", "Passiflora antioquiensis", "Simulium bullatum", "Simulium crocinum", "Simulium doipuiense", "Simulium lampangense", "Simulium manooni", "Simulium merga", "Simulium oblongum", "Simulium phayaoense", "Simulium prayongi", "Simulium pukaengense", "Simulium surachaii", "Simulium takense", "Simulium yuphae", "Simulium atratoides", "Simulium celsum", "Simulium gyorkosae", "Simulium upikae", "Passiflora bahiensis", "Simulium baimaii", "Simulium chainarongi", "Simulium chaliowae", "Simulium triglobus", "Simulium disneyi", "Simulium dumogaense", "Simulium rosemaryae", "Simulium sulawesiense", "Simulium torautense", "Simulium tumpaense", "Passiflora cumbalensis", "Simulium minangkabaum", "Simulium padangense", "Simulium sumatraense", "Simulium barnesi", "Simulium chamlongi", "Simulium chiangmaiense", "Simulium inthanonense", "Simulium nakhonense", "Simulium nakkhoense", "Simulium siamense", "Simulium thailandicum", "Simulium kawagishii", "Simulium noroense", "Simulium pohaense", "Simulium selewynense", "Simulium selwynense", "Simulium solomonense", "Passiflora cyanea", "Simulium babuyanense", "Simulium bataksense", "Simulium malaibaense", "Simulium mindoroense", "Passiflora filamentosa", "Simulium dieguerense", "Simulium sanctipauli", "Simulium sirbanum", "Simulium soubrense", "Simulium yahense", "Simulium johnsoni", "Simulium juarezi", "Simulium menchacai", "Simulium bustosi", "Simulium costalimai", "Simulium ganalesense", "Simulium jobbinsi", "Simulium parrai", "Passiflora fruticosa", "Simulium bachmanni", "Simulium caprii", "Simulium dureti", "Simulium herreri", "Simulium huemul", "Simulium pichi", "Simulium yacuchuspi", "Passiflora gracilens", "Simulium beringovi", "Simulium multidentatum", "Simulium onum", "Simulium aureohirtum", "Simulium griseifrons", "Simulium grisescens", "Simulium rufibasis", "Simulium rufithorax", "Simulium senile", "Veronica armstrongii", "Passiflora lanata", "Passiflora mathewsii", "Simulium impar", "Simulium luadiense", "Simulium maertensi", "Simulium microlepidum", "Simulium nganganum", "Simulium repertum", "Simulium wambanum", "Simulium beaupertuyi", "Simulium morae", "Simulium nuneztovari", "Simulium suarezi", "Simulium rangeli", "Simulium awashense", "Simulium dawaense", "Simulium gibense", "Simulium jimmaense", "Simulium bricenoi", "Simulium dandrettai", "Simulium downsi", "Simulium dugesi", "Simulium ochoai", "Simulium veracruzanum", "Simulium zempoalense", "Simulium arenicola", "Simulium germuense", "Simulium qinghaiense", "Simulium caledonense", "Simulium craigi", "Simulium decollectum", "Simulium decolletum", "Simulium jilinense", "Simulium jilinensis", "Simulium kuandianense", "Simulium kuandianensis", "Simulium synanceium", "Simulium xinbinense", "Simulium caohaiense", "Simulium leigongshanense", "Simulium weiningense", "Simulium curvastylum", "Simulium nigrofemoralum", "Simulium tumum", "Simulium bahense", "Simulium menglaense", "Simulium wuzhishanense", "Simulium cristalinum", "Simulium sumapazense", "Simulium wygodzinskyorum", "Simulium acarayense", "Simulium bordai", "Simulium hectorvargasi", "Simulium horocochuspi", "Simulium luchoi", "Simulium quechuanum", "Simulium stelliferum", "Simulium caesariatum", "Simulium fararae", "Simulium hirticranium", "Simulium hispidum", "Simulium joyae", "Simulium pallidicranium", "Simulium pseudocorium", "Simulium bulla", "Simulium cremnosi", "Passiflora membranacea", "Simulium antlerum", "Simulium qiaolaoense", "Simulium qingshuiense", "Simulium bartangum", "Simulium jasgulemum", "Simulium obichingoum", "Simulium vantshum", "Passiflora mixta", "Simulium dycei", "Simulium lawnhillense", "Simulium mackerrasorum", "Simulium standfasti", "Simulium petropoliense", "Simulium souzalopesi", "Passiflora mucronata", "Simulium roquemayu", "Simulium shewellianum", "Simulium tolimaense", "Simulium albanense", "Simulium arcabucense", "Simulium tunja", "Passiflora nelsonii", "Passiflora nigradenia", "Simulium admixtum", "Simulium anatolicum", "Simulium arlecchinum", "Simulium castaneum", "Simulium cataractarum", "Simulium exasperans", "Simulium lotii", "Simulium malardei", "Simulium mesodontium", "Simulium neoviceps", "Simulium opunohuense", "Simulium bogusium", "Simulium clibanarium", "Passiflora ovalis", "Passiflora pectinata", "Passiflora pedata", "Passiflora peduncularis", "Simulium concludium", "Simulium connae", "Simulium dojeycorium", "Simulium dussertorum", "Simulium evenhuisi", "Simulium fossatiae", "Simulium jnabsium", "Simulium lonckei", "Simulium maraaense", "Simulium middlemissae", "Simulium proctorae", "Simulium pufauense", "Simulium rurutuense", "Simulium shannonae", "Passiflora resticulata", "Simulium adelaideae", "Simulium englundi", "Simulium sublonckei", "Simulium adsonense", "Simulium banksi", "Simulium callipygium", "Simulium johnfrumi", "Simulium bronchiale", "Simulium dahestanicum", "Simulium djafarovi", "Simulium ogatai", "Simulium sakhalinum", "Simulium sasai", "Simulium shogakii", "Simulium silvaticum", "Simulium takahasii", "Simulium violovitshi", "Simulium fuscum", "Simulium suzukii", "Simulium tjanschanicum", "Simulium biancoi", "Simulium brevicorne", "Simulium couverti", "Simulium gomphocorne", "Simulium schamili", "Simulium vidanoi", "Simulium baatori", "Simulium hibernale", "Simulium sytshevskiae", "Simulium tarbagataicum", "Simulium flavigaster", "Simulium kaszabi", "Simulium mongolicum", "Simulium tenuitarsus", "Polyergus breviceps", "Polyergus lucidus", "Polyergus nigerrimus", "Polyergus samurai", "Veronica subg.", "Simulium albilineatum", "Simulium argentatum", "Simulium cuneatum", "Simulium guttatum", "Simulium latipollex", "Simulium nigrifemur", "Simulium oculatum", "Simulium prodexargenteum", "Simulium aureliani", "Simulium duboisi", "Simulium fuscicorne", "Simulium ngabogei", "Simulium rodhaini", "Simulium ruandae", "Simulium urundiense", "Simulium clarki", "Simulium marathrumi", "Simulium panamense", "Simulium blantoni", "Simulium chiriquiense", "Simulium subexiguum", "Simulium dehnei", "Simulium fuliginis", "Simulium keenani", "Simulium costatum", "Simulium monticola", "Simulium noelleri", "Simulium africanum", "Simulium hargreavesi", "Simulium masabae", "Simulium nili", "Simulium bequaerti", "Simulium brachium", "Simulium duodecimum", "Simulium hissetteum", "Simulium rotundum", "Simulium simplex", "Simulium tentaculum", "Simulium arnoldi", "Simulium octospicae", "Simulium touffeum", "Simulium bisnovem", "Simulium cavum", "Simulium kauntzeum", "Simulium taylori", "Simulium congonse", "Simulium heptaspicae", "Simulium kilibanum", "Simulium moucheti", "Simulium nyaense", "Simulium juxtadamnosum", "Simulium kivuense", "Simulium melanocephalum", "Simulium chelevini", "Simulium patrushevae", "Simulium rubzovium", "Simulium flavipictum", "Simulium spinifer", "Simulium tenuipes", "Simulium limbatum", "Simulium pulverulentum", "Simulium rubicundulum", "Simulium sanguineum", "Simulium carpathicum", "Simulium crenobium", "Simulium maximum", "Simulium capricorne", "Simulium carolinae", "Simulium tricorne", "Simulium bulbosum", "Simulium jani", "Simulium rashidi", "Simulium angustitarse", "Simulium annulum", "Simulium truncatum", "Simulium tuberosum", "Simulium rubrithorax", "Simulium scutistriatum", "Simulium varians", "Simulium aequifurcatum", "Simulium auristriatum", "Simulium botulibranchium", "Simulium brevifurcatum", "Simulium clavibranchium", "Simulium diversibranchium", "Simulium hirtipupa", "Simulium incertum", "Simulium incrustatum", "Simulium minusculum", "Simulium orbitale", "Simulium subclavibranchium", "Simulium subnigrum", "Simulium arcticum", "Simulium bivittatum", "Simulium haematopotum", "Simulium hunteri", "Simulium jenningsi", "Simulium parnassum", "Simulium trivittatum", "Simulium latipes", "Simulium lineatum", "Simulium maculatum", "Simulium nigrum", "Simulium auricoma", "Simulium ornatum", "Simulium variegatum", "Simulium argyrocinctum", "Simulium atratum", "Simulium eximium", "Simulium iridescens", "Simulium blacklocki", "Simulium bovis", "Simulium nyasalandicum", "Simulium woodi", "Simulium empopomae", "Simulium hirsutilateris", "Simulium rutherfoordi", "Simulium buckleyi", "Simulium lumbwanum", "Simulium sexiens", "Simulium merops", "Simulium narcaeum", "Simulium natalense", "Simulium acmeria", "Simulium boldstemta", "Simulium fulvipes", "Simulium nishijimai", "Simulium angrense", "Simulium baiensis", "Simulium catariense", "Simulium lutzianum", "Simulium philippianum", "Simulium aureosimile", "Simulium cervicornutum", "Simulium medusaeforme", "Simulium unicornutum", "Simulium adersi", "Simulium alcocki", "Simulium coalitum", "Simulium hirsutum", "Simulium palmeri", "Simulium vorax", "Simulium barraudi", "Simulium christophersi", "Simulium consimile", "Simulium dentatum", "Simulium digitatum", "Simulium himalayense", "Simulium hirtipannus", "Simulium howletti", "Simulium lineothorax", "Simulium nilgiricum", "Simulium nitidithorax", "Simulium pallidum", "Simulium palmatum", "Simulium ramosum", "Simulium gravelyi", "Simulium nodosum", "Simulium novolineatum", "Simulium palniense", "Simulium paraequinum", "Simulium tenuitarsus", "Simulium damascenoi", "Simulium lourencoi", "Simulium siolii", "Simulium gabaldoni", "Simulium guerreroi", "Simulium lewisi", "Simulium oviedoi", "Simulium pifanoi", "Simulium racenisi", "Simulium rivasi", "Simulium tallaferroae", "Simulium buissoni", "Simulium exiguum", "Simulium ignescens", "Simulium intermedium", "Simulium jolyi", "Simulium perflavum", "Simulium wellmanni", "Simulium aemulum", "Simulium biseriatum", "Simulium bujakovi", "Simulium bukovskii", "Simulium caucasicum", "Simulium cholodkovskii", "Simulium coarctatum", "Simulium curvitarse", "Simulium deserticola", "Simulium ferganicum", "Simulium flaveolum", "Simulium flavoantennatum", "Simulium gonzalezherrejoni", "Simulium jerezense", "Simulium letrasense", "Simulium netteli", "Simulium olimpicum", "Simulium vulcanoae", "Simulium alizadei", "Simulium florae", "Simulium gejgelense", "Simulium cheesmanae", "Simulium stevensoni", "Simulium tahitiense", "Simulium argentipes", "Simulium digrammicum", "Simulium fuscopilosum", "Simulium hirtinervis", "Simulium adamsoni", "Simulium gallinum", "Simulium mumfordi", "Lebia discophora", "Lebia nebulosa", "Lebia opima", "Lebia pendula", "Simulium aeneifacies", "Simulium crassimanum", "Simulium fuscinervis", "Simulium laterale", "Simulium nigripilosum", "Simulium oviceps", "Simulium xanthinum", "Simulium batoense", "Simulium fenestratum", "Simulium feuerborni", "Simulium flavocinctum", "Simulium friederichsi", "Simulium nebulicola", "Simulium sundaicum", "Simulium thienemanni", "Simulium tjidodense", "Simulium tosariense", "Simulium zonatum", "Simulium angustifrons", "Simulium ceylonicum", "Simulium lundstromi", "Simulium ochrescentipes", "Simulium parvum", "Simulium squamosum", "Simulium transcaspicum", "Simulium horvathi", "Simulium janzeni", "Simulium wolffhuegeli", "Simulium albicinctum", "Simulium auripellitum", "Simulium barbatipes", "Simulium edwardsi", "Simulium macca", "Simulium quadristrigatum", "Simulium rubiginosum", "Simulium schoenemanni", "Simulium sinense", "Simulium strigidorsum", "Simulium striginotum", "Simulium urubambanum", "Simulium violacescens", "Simulium lucyae", "Passiflora retipetala", "Simulium pankumuense", "Simulium paradisium", "Simulium steatopygium", "Simulium subparadisium", "Simulium supercilium", "Simulium tuberculum", "Simulium undulatum", "Passiflora schlimiana", "Passiflora seemannii", "Simulium paraloutetense", "Simulium quasidecolletum", "Simulium tenerificum", "Passiflora serratodigitata", "Simulium delatorrei", "Simulium ethelae", "Simulium nigricorne", "Simulium darjeelingense", "Simulium gracile", "Simulium nemorivagum", "Simulium praelargum", "Simulium purii", "Simulium tenuistylum", "Simulium biforaminiferum", "Simulium dasguptai", "Simulium nigrifacies", "Passiflora tetrandra", "Passiflora tina", "Passiflora trifoliata", "Passiflora triloba", "Passiflora villosa", "Passiflora \u00d7 exoniensis", "Passiflora dictamo", "Passiflora napalensis", "Simulium bucolicum", "Simulium fidum", "Simulium kapuri", "Simulium litoreum", "Simulium unum", "Lebia duplex", "Simulium dunfellense", "Simulium naturale", "Simulium urbanum", "Simulium ambigens", "Simulium atrum", "Simulium canlaonense", "Simulium carinatum", "Simulium discrepans", "Simulium forcipatum", "Simulium simulacrum", "Simulium tomentosum", "Simulium bryopodium", "Simulium epistum", "Simulium mussauense", "Simulium palawanense", "Simulium quasifrenum", "Simulium retusum", "Simulium frigidum", "Simulium giganteum", "Simulium heptapotamicum", "Simulium jacuticum", "Simulium kamtshaticum", "Simulium kiritshenkoi", "Simulium kozlovi", "Simulium kuznetzovi", "Simulium lama", "Simulium pavlovskii", "Simulium polare", "Simulium popowae", "Simulium pseudonearcticum", "Simulium rubroflavifemur", "Simulium splendidum", "Simulium subgriseum", "Simulium subpusillum", "Simulium subvariegatum", "Simulium tarnogradskii", "Simulium transbaikalicum", "Simulium transiens", "Simulium turgaicum", "Simulium veltistshevi", "Simulium albellum", "Simulium alpinum", "Simulium angustifilum", "Simulium brachyantherum", "Simulium crassifilum", "Simulium ephemerophilum", "Simulium flavidum", "Simulium humerosum", "Simulium mesasiaticum", "Simulium montium", "Simulium multistriatum", "Simulium nigrofusipes", "Simulium odontostylum", "Simulium paucicuspis", "Simulium planipuparium", "Simulium subornatoides", "Simulium armeniacum", "Simulium australe", "Simulium crassicaulum", "Simulium delizhanense", "Simulium elatum", "Simulium fontium", "Simulium garniense", "Simulium keiseri", "Simulium murvanidzei", "Simulium vitile", "Simulium zakhariense", "Simulium acrotrichum", "Simulium adornatum", "Simulium amurense", "Simulium angustatum", "Simulium angusticorne", "Simulium angustifurca", "Simulium arctium", "Simulium asulcatum", "Simulium beltukovae", "Simulium bergi", "Simulium bimaculatum", "Simulium brachyarthrum", "Simulium brevidens", "Simulium brevifile", "Simulium corpulentum", "Simulium crassum", "Simulium decimfiliatum", "Simulium djebaglense", "Simulium dogieli", "Simulium duodecimcornutum", "Simulium exile", "Simulium flavicans", "Simulium gribae", "Simulium gviletense", "Simulium hiemale", "Simulium karzhantavicum", "Simulium kerisorum", "Simulium kirgisorum", "Simulium konakovi", "Simulium krymense", "Simulium kugartsuense", "Simulium kurganense", "Simulium kurilense", "Simulium latifile", "Simulium latigonium", "Simulium latimentum", "Simulium lepnevae", "Simulium litshkense", "Simulium longipes", "Simulium luppovae", "Simulium margaritae", "Simulium maritimum", "Simulium monticoloides", "Simulium montshadskii", "Simulium ocreastylum", "Simulium octofiliatum", "Simulium palustre", "Simulium paramorsitans", "Simulium parapusillum", "Simulium promorsitans", "Simulium pseudopusillum", "Simulium pullus", "Simulium rangiferinum", "Simulium remotum", "Simulium rezvoi", "Simulium rotundatum", "Simulium saccatum", "Simulium salinum", "Simulium saradzhoense", "Simulium shadini", "Simulium silvestre", "Simulium simulans", "Simulium stackelbergi", "Simulium strelkovi", "Simulium subtile", "Simulium tauricum", "Simulium trilineatum", "Simulium tsheburovae", "Simulium tshernovskii", "Simulium tumulosum", "Simulium versicolor", "Simulium cryophilum", "Simulium erectum", "Simulium minutum", "Simulium annuliforme", "Simulium argentipile", "Sporodochiolichen flavus", "Sporodochiolichen lecanoricus", "Sporodochiolichen papillatus", "Sporodochiolichen pigmentatus", "Phelsuma roesleri", "Abychodes janineae", "Acartophila microsacta", "Acedesta picicolor", "Achyrostola ergastis", "Scytalognatha abluta", "Simulium latistylum", "Simulium leytense", "Simulium liliwense", "Simulium luzonicum", "Simulium makilingense", "Simulium manbucalense", "Simulium mangasepi", "Simulium miblosi", "Simulium mindanaoense", "Simulium montiblense", "Simulium ogonukii", "Simulium perlucidulum", "Simulium recurvum", "Simulium resimum", "Simulium riverai", "Simulium salazarae", "Simulium salebrosum", "Simulium spinosibranchium", "Simulium subatrum", "Simulium suplidoi", "Simulium taalense", "Simulium tuyense", "Simulium visayaense", "Simulium burmense", "Simulium kambaitense", "Simulium namense", "Simulium aropaense", "Simulium kietaense", "Simulium pangunaense", "Simulium peggyae", "Simulium yuleae", "Simulium borneoense", "Simulium guniki", "Simulium lehi", "Simulium sarawakense", "Simulium weji", "Simulium abadii", "Simulium alfurense", "Simulium ambonense", "Simulium anggiense", "Simulium arfakense", "Simulium asperum", "Simulium baliemense", "Simulium biakense", "Simulium bifurcatum", "Simulium brevitruncatum", "Simulium celebesense", "Simulium chairuddini", "Simulium contractum", "Simulium curvum", "Simulium demutaense", "Simulium elongatum", "Simulium flavum", "Simulium fuscitarse", "Simulium gimpuense", "Simulium globosum", "Simulium hadiae", "Simulium hagai", "Simulium halmaheraense", "Simulium inermum", "Simulium irayense", "Simulium irianense", "Simulium jayapuraense", "Simulium kalimerahense", "Simulium latitarsus", "Simulium lilotense", "Simulium saliceti", "Simulium brachystylum", "Simulium brevitarse", "Simulium decafile", "Simulium emiliae", "Simulium gusevi", "Simulium kazahstanicum", "Simulium longifiliatum", "Simulium quattuordecimfiliatum", "Simulium sexafile", "Simulium zhiltzovae", "Simulium ambiguum", "Simulium arisanum", "Simulium bidentatum", "Simulium bonninense", "Simulium falcoe", "Simulium iwatense", "Simulium karenkoense", "Simulium katoi", "Simulium nikkoense", "Simulium oitanum", "Simulium oshimanum", "Simulium quinquestriatum", "Simulium taipei", "Simulium yokotense", "Simulium baracorne", "Simulium costaricense", "Simulium lurybayae", "Simulium nacojapi", "Simulium orsovae", "Simulium sicuani", "Simulium wilhelmlandae", "Simulium guamense", "Simulium palauense", "Simulium trukense", "Simulium daisense", "Simulium subcostatum", "Simulium uchidai", "Simulium chitoense", "Simulium chowi", "Simulium puliense", "Simulium taiwanicum", "Simulium taulingense", "Simulium tuenense", "Simulium ufengense", "Simulium yushangense", "Simulium abatanense", "Simulium acostai", "Simulium alienigenum", "Simulium apoense", "Simulium banauense", "Simulium bansonae", "Simulium benquetense", "Simulium bicolense", "Simulium cabrerai", "Simulium cotabatoense", "Simulium davaoense", "Simulium delfinadoae", "Simulium gatchaliani", "Simulium ifugaoense", "Simulium iwahigense", "Simulium lagunaense", "Simulium kamimurai", "Simulium kolakaense", "Simulium landonoense", "Simulium laxum", "Simulium linduense", "Simulium lorense", "Simulium luridum", "Simulium malinoense", "Simulium malukuense", "Simulium mamasaense", "Simulium manadoense", "Simulium manokwariense", "Simulium manuselaense", "Simulium mediodentatum", "Simulium minahasaense", "Simulium miyagii", "Simulium mogii", "Simulium molliculum", "Simulium motoyukii", "Simulium napuense", "Simulium norforense", "Simulium nudifrons", "Simulium nudipes", "Simulium palopoense", "Simulium pamahaense", "Simulium parvulum", "Simulium prafiense", "Simulium quinquefiliatum", "Simulium ransikiense", "Simulium seramense", "Simulium serratum", "Simulium singgihi", "Simulium sorongense", "Simulium sutebense", "Simulium syafruddini", "Simulium takae", "Simulium tomae", "Simulium tomohonense", "Simulium tumidum", "Simulium wakrisense", "Simulium watanabei", "Simulium watetoense", "Simulium arboreum", "Simulium banahauense", "Simulium brevilabrum", "Simulium fangense", "Simulium floresense", "Simulium mediocoloratum", "Simulium ranauense", "Simulium timorense", "Simulium tokachiense", "Simulium wanchaii", "Simulium alberti", "Simulium binuanense", "Simulium hoiseni", "Simulium keningauense", "Simulium lunduense", "Simulium masilauense", "Simulium debacli", "Simulium fontanum", "Simulium stenophallum", "Simulium baffinense", "Simulium corbis", "Megaselia pernigra", "Megaselia pulcherrima", "Megaselia valida", "Megaselia longispina", "Megaselia pilifrons", "Megaselia similis", "Megaselia humeralis", "Megaselia sordida", "Megaselia zonata", "Megaselia ciliata", "Megaselia flavicoxa", "Megaselia minor", "Megaselia pygmaea", "Megaselia nigricornis", "Megaselia ussuriensis", "Megaselia victorovi", "Megaselia konnovi", "Megaselia triapitsyni", "Megaselia villosa", "Megaselia bursella", "Megaselia dispariterga", "Rodolia blackburni", "Pseuduncifera euchlanis", "Xeneboda kumasiana", "Hulda impudens", "Saliciphaga acharis", "Saliciphaga caesia", "Taniva albolineana", "Endothenia affiliana", "Endothenia alpigena", "Endothenia anthracana", "Endothenia lapideana", "Endothenia lapideana lapideana", "Endothenia lapideana atrata", "Endothenia austerana", "Endothenia bacillata", "Endothenia banausopis", "Simulium fibrinflatum", "Simulium quebecense", "Simulium diaznajerai", "Simulium donovani", "Simulium hoffmanni", "Simulium ayrozai", "Simulium estevezi", "Simulium mangabeirai", "Simulium ammosovi", "Simulium dentatura", "Simulium oresti", "Simulium allaeri", "Simulium johannae", "Simulium schoutedeni", "Simulium schwetzi", "Simulium vangilsi", "Simulium cangshanense", "Simulium cheni", "Simulium nujiangense", "Simulium tanae", "Simulium corniferum", "Simulium paracorniferum", "Simulium vershininae", "Simulium chovdica", "Simulium chowettani", "Simulium decafiliatum", "Simulium dubitskii", "Simulium fuscatum", "Simulium ivashchenkoi", "Simulium kamtshadalicum", "Simulium lugense", "Simulium minuticorpus", "Simulium mongolense", "Simulium onoi", "Simulium tanetchowi", "Simulium ivdelensis", "Simulium samarkandica", "Simulium sonkulense", "Simulium annulitarse", "Simulium nanum", "Simulium vittatum", "Dacalana akayamai", "Dacalana liaoi", "Dacalana irmae", "Dacalana monsapona marinduquensis", "Pratapa tyotaroi ismaeli", "Araneus cylindriformis", "Tylophoron bylii", "Tylophoron crassiusculum", "Tylophoron cupulare", "Paruparo mio", "Tylophoron diplotylium", "Tylophoron eckfeldtii", "Paruparo lumawigi panayensis", "Tylophoron gibsonii", "Zealaranea saxitalis", "Tylophoron mamillatum", "Tylophoron modestius", "Tylophoron nidulans", "Fannia hesperia", "Veronica subg.", "Austrarchaea alani", "Hymenocardia ulmoides", "Austrarchaea aleenae", "Austrarchaea harmsi", "Austrarchaea judyae", "Austrarchaea raveni", "Austrarchaea clyneae", "Austrarchaea cunninghami", "Austrarchaea dianneae", "Austrarchaea christopheri", "Austrarchaea monteithi", "Austrarchaea platnickorum", "Austrarchaea binfordae", "Austrarchaea milledgei", "Austrarchaea mascordi", "Austrarchaea mcguiganae", "Austrarchaea smithae", "Austrarchaea helenae", "Austrarchaea nodosa", "Leptopus chinensis", "Savia sessiliflora", "Uapaca guineensis", "Uapaca kirkiana", "Uapaca nitida", "Uapaca sansibarica", "Austrarchaea daviesae", "Androstachys johnsonii", "Hyaenanche globosa", "Picrodendron baccatum", "Pseudanthus vermicularis", "Mourera fluviatilis", "Stethorus proximus", "Amandinea myrticola", "Stilobezzia wenganga", "Stilobezzia merceri", "Stilobezzia williamsi", "Stilobezzia bicolor", "Stilobezzia modesta", "Stilobezzia simplex", "Arthonia orchidicida", "Stilobezzia punctulata", "Arhopala philander eichhorni", "Arhopala philander gander", "Arhopala philander gazella", "Arhopala philander meeki", "Arhopala philander philander", "Arhopala philander pratti", "Immersaria iranica", "Schistophoron aurantiacum", "Schistophoron tenue", "Schistophoron variabile", "Schistophoron indicum", "Stenacidia violacea", "Micarea capitata", "Pegoscapus bacataensis", "Pegoscapus peritus", "Pegoscapus flaviscapa", "Pegoscapus mexicanus", "Endothenia bira", "Endothenia citharistis", "Endothenia conditana", "Endothenia eidolon", "Endothenia engone", "Endothenia ericetana", "Endothenia furvida", "Endothenia heinrichi", "Endothenia informalis", "Endothenia infuscata", "Endothenia ingrata", "Endothenia kostyuki", "Endothenia limata", "Endothenia lutescens", "Endothenia menthivora", "Endothenia micans", "Endothenia microptera", "Endothenia mollisana", "Endothenia villosula", "Hyalocalyx setiferus", "Loewia glutinosa", "Mathurina penduliflora", "Piriqueta cistoides", "Piriqueta racemosa", "Turnera diffusa", "Stapfiella claoxyloides", "Arhopala micale obina", "Streptopetalum serratum", "Tricliceras pilosum", "Hieronyma alchorneoides", "Hieronyma macrocarpa", "Arhopala micale ribbei", "Hieronyma oblonga", "Arhopala micale riuna", "Arhopala micale selymbria", "Cleistanthus monoicus", "Arhopala micale superba", "Actephila excelsa", "Bischofia javanica", "Azygophleps larseni", "Mormogystia equatorialis", "Mormogystia proleuca", "Mormogystia reibellii", "Olindia schumacherana", "Llimoniella cinnabarinae", "Porpidia submelinodes", "Arhopala micale", "Arhopala micale acerba", "Arhopala micale amphis", "Arhopala micale amydon", "Arhopala micale amytis", "Arhopala micale bosnika", "Arhopala micale cidona", "Arhopala micale jona", "Arhopala micale leptines", "Arhopala micale micale", "Carios denmarki", "Zeadolopus ammophilus", "Zeadolopus bicoloriclavus", "Zeadolopus micropunctatus", "Zeadolopus myrmecophilus", "Zeadolopus wiburdi", "Zeadolopus tasmaniae", "Zeadolopus bicolor", "Zeadolopus jamaicensis", "Zeadolopus puertoricensis", "Zeadolopus microps", "Zeadolopus egenus", "Zeadolopus chaosicus", "Zeadolopus japonica", "Zeadolopus ventriculus", "Zeadolopus freyanus", "Zeadolopus conicitarsis", "Zeadolopus serrativentris", "Zeadolopus multipunctatus", "Zeadolopus globus", "Zeadolopus fulvus", "Zeadolopus besucheti", "Zeadolopus minimus", "Zeadolopus bengalicus", "Zeadolopus sedlaceki", "Zeadolopus punctaticollis", "Medusagyne oppositifolia", "Lophira alata", "Lophira lanceolata", "Ochna multiflora", "Ochna obtusata", "Ochna pulchra", "Ochna serrulata", "Ochna thomasiana", "Ochna atropurpurea", "Ochna gamblei", "Ochna jabotapita", "Ochna kirkii", "Ochna leptoclada", "Ochna polyneura", "Ouratea agrophylla", "Sauvagesia erecta", "Neckia serrata", "Galearia celebica", "Panda oleosa", "Microdesmis caseariifolia", "Malesherbia paniculata", "Polypedates iskandari", "Nanorana kangxianensis", "Tomopterna kachowskii", "Tomopterna elegans", "Pristimantis padiali", "Pachytriton inexpectatus", "Pachytriton granulosus", "Araneus liae", "Araneus chunlin", "Araneus yapingensis", "Araneus plenus", "Simulium aestivum", "Simulium emarginatum", "Simulium excisum", "Zeadolopus tantillus", "Zeadolopus biroanus", "Zeadolopus parvulus", "Zeadolopus insularis", "Zeadolopus guineensis", "Zeadolopus turgidum", "Zeadolopus nanula", "Zeadolopus inflatipes", "Zeadolopus latipes", "Zeadolopus confecta", "Zeadolopus piceata", "Styphlotelus fascicularis", "Stethorus fenestralis", "Stethorus vagans", "Stethorus nigripes", "Stethorus fijiensis", "Sebastes aleutianus", "Stethorus silvestris", "Megaselia citrinella", "Megaselia glabrimargo", "Megaselia hexanophila", "Megaselia immodensior", "Megaselia labellaspinata", "Megaselia mimodensior", "Megaselia raruvesiculae", "Megaselia xanthophila", "Megaselia alpina", "Megaselia coccyx", "Megaselia hectochaeta", "Megaselia brunnipennis", "Megaselia canariensis", "Megaselia comosa", "Megaselia consimilis", "Megaselia flaviventris", "Megaselia fratercula", "Megaselia fulviobscura", "Megaselia fulvipalpis", "Megaselia griseipennis", "Megaselia incostans", "Megaselia luctuosa", "Megaselia nemorensis", "Megaselia nigrifemorata", "Megaselia nigritula", "Acroaspis decorosa", "Tylophoron orientale", "Tylophoron protrudens", "Tylophoron pulchellum", "Tylophoron punctiforme", "Tylophoron rufocapillatum", "Tylophoron simile", "Agrilus betulanigrae", "Pardosa amentata", "Mastogenius guayllabambensis", "Oaxacanthaxia nigroaenea", "Oaxacanthaxia viridis", "Oaxacanthaxia aenea", "Oaxacanthaxia vandenberghei", "Charaxes numenes", "Agrilus sylviae", "Volvopluteus asiaticus", "Volvopluteus michiganensis", "Formosania galericula", "Formosania fasciolata", "Ujna acuta", "Ujna affinis", "Ujna alba", "Ujna bimaculata", "Ujna rostrata", "Ujna trishula", "Ujna variabilis", "Leptostichaeus pumilus", "Acheilognathus changtingensis", "Veronica polita subsp. lilacina", "Veronica polita subsp. polita", "Quiina florida", "Quiina glaziovii", "Touroulia guianensis", "Carallia brachiata", "Cassipourea guianensis", "Macarisia pyramidata", "Hydatocapnia sororia", "Hydatocapnia fimbriata", "Hydatocapnia marginata", "Aglaomorpha histrio", "Aglaomorpha plagiata", "Leucania substriata", "Leucania striata", "Leucania insecuta", "Telorta yazakii", "Telorta obscura", "Nigilgia nagaii", "Veronica perfoliata", "Psorosa decolorella", "Ortholepis atratella", "Acrobasis cymindella", "Lygephila ogatai", "Arhopala sophrosyne", "Arhopala wanda", "Coenonympha gardetta", "Veronica chamaedrys subsp. chamaedrys", "Hybanthus concolor", "Isodendrion hosakae", "Isodendrion laurifolium", "Isodendrion longifolium", "Isodendrion pyrifolium", "Veronica krumovii", "Caracanthus madagascariensis", "Caracanthus maculatus", "Caracanthus typicus", "Atrichopogon tutatus", "Atrichopogon udus", "Dovyalis abyssinica", "Dovyalis caffra", "Dovyalis hebecarpa", "Dovyalis macrocalyx", "Dovyalis rhamnoides", "Dovyalis zeyheri", "Atrichopogon celsus", "Atrichopogon lamellamarsipos", "Atrichopogon lyratus", "Atrichopogon medicrinis", "Atrichopogon nigritellus", "Atrichopogon orbitus", "Atrichopogon pastinaca", "Atrichopogon quadratepenis", "Atrichopogon rhiphidius", "Atrichopogon rictus", "Atrichopogon solivagus", "Atrichopogon lassus", "Atrichopogon largipenis", "Atrichopogon kangnani", "Palpomyia nelsoni", "Palpomyia rastellifera", "Palpomyia urpicifemoris", "Stilobezzia tonnoiri", "Stilobezzia badia", "Stilobezzia antipodalis", "Stilobezzia ohakunei", "Veronica albicans", "Paradasyhelea egregia", "Forcipomyia tasmani", "Forcipomyia desurvillei", "Forcipomyia cooki", "Forcipomyia austrina", "Forcipomyia tapleyi", "Forcipomyia parvicellula", "Forcipomyia kuscheli", "Forcipomyia antipodum", "Forcipomyia belkini", "Monohelea nubeculosa", "Monohelea clavipes", "Cophecheilus bamen", "Euchiloglanis longibarbatus", "Euchiloglanis longus", "Veronica \u00d7 franciscana", "Veronica buchananii", "Forcipomyia nilicola", "Forcipomyia marsafae", "Stethorus gutierrezi", "Stethorus siphonulus", "Stethorus gilvifrons", "Stethorus wollastoni", "Stethorus salutaris", "Stethorus aethiops", "Stethorus jejunus", "Stethorus minutissimus", "Stethorus cruralis", "Stethorus vinsoni", "Stethorus pauperculus", "Stethorus tetranychi", "Stethorus parcepunctatus", "Stethorus rani", "Stethorus aptus", "Stethorus truncatus", "Veronica beccabunga subsp. abscondita", "Veronica beccabunga subsp. muscosa", "Veronica beccabunga subsp. beccabunga", "Stethorus wageri", "Stethorus peruvianus", "Stethorus convexus", "Dacalana lucillae", "Tetrix glochinota", "Tetrix jigongshanensis", "Stethorus exspectatus", "Stethorus exsultabilis", "Atrichopogon diandrous", "Dasyhelea mangshi", "Tautocerus wangmoensis", "Pratapa tyotaroi tyotaroi", "Euschemon rafflesia", "Perichares romeroi", "Perichares manu", "Weddellina squamulosa", "Drypetes lateriflora", "Drypetes sumatrana", "Froesia tricarpa", "Lacunaria jenmanii", "Arhopala aenigma", "Lecanora microloba", "Macrobiotus hufelandi", "Atrichopogon fitzroyi", "Atrichopogon greyi", "Atrichopogon hobsoni", "Atrichopogon shortlandi", "Atrichopogon vestitipennis", "Atrichopogon clastrieri", "Atrichopogon glukhovae", "Atrichopogon hukengicus", "Atrichopogon ladislavi", "Atrichopogon macrodentatum", "Atrichopogon monomorphicus", "Atrichopogon wuyishanicus", "Atrichopogon aereum", "Atrichopogon aquilonarius", "Atrichopogon bangqiensis", "Atrichopogon baripenis", "Atrichopogon bessa", "Atrichopogon biangulus", "Atrichopogon boharti", "Atrichopogon palmatus", "Abatia parviflora", "Atrichopogon echinatus", "Azara integrifolia", "Azara lanceolata", "Azara microphylla", "Azara petiolaris", "Azara serrata", "Azara uruguayensis", "Atrichopogon epixanthopygus", "Atrichopogon exiletergitus", "Atrichopogon horos", "Atrichopogon intertextus", "Atrichopogon jubacaudalis", "Carrierea calycina", "Casearia aculeata", "Casearia corymbosa", "Casearia decandra", "Casearia graveolens", "Casearia hirsuta", "Casearia lasiophylla", "Casearia praecox", "Casearia sylvestris", "Casearia tomentosa", "Atrichopogon volaticus", "Atrichopogon xylochus", "Telletrurona amnicosta", "Ruttellerona pallicostaria", "Thoyowpongia nigrodiscus", "Dasypteroma thaumasia", "Apteroloma zhejiangense", "Myrmica elmesi", "Olmediella betschleriana", "Oncoba dentata", "Oncoba routledgei", "Oncoba spinosa", "Poliothyrsis sinensis", "Ryania speciosa", "Samyda spinulosa", "Scolopia chinensis", "Xylosma congesta", "Xylosma crenata", "Xylosma flexuosa", "Xylosma longifolia", "Xylosma panamensis", "Xylosma prockia", "Xylosma senticosa", "Xylosma serrata", "Xylosma spiculifera", "Zuelania guidonia", "Trigonia nivea", "Trigoniastrum hypoleucum", "Agatea violaris", "Gloeospermum sphaerocarpum", "Mastacembelus strigiventus", "Mastacembelus triolobus", "Mastacembelus apectoralis", "Indecentia nubila", "Steatoda castanea", "Veronica chamaedrys subsp. micans", "Nesticus cellulanus", "Veronica chamaedrys subsp. chamaedryoides", "Testacella maugei", "Testacella haliotidea", "Flacourtia indica", "Flacourtia jangomas", "Flacourtia inermis", "Flacourtia montana", "Flacourtia rukam", "Homalium letestui", "Idesia polycarpa", "Lunania parviflora", "Lebia aglaia", "Lebia benoiti", "Lebia bifenestrata", "Lebia fusca", "Lebia bisbinotata", "Lebia calycophora", "Lebia cognatella", "Lebia consors", "Lebia gentilis", "Lebia cucphuongensis", "Lebia nepalensis", "Lebia temburongensis", "Lebia tuongensis", "Lebia zhejiangensis", "Lebia deplanata", "Lebia hypoxantha", "Lebia fassatii", "Lebia purkynei", "Lebia roubali", "Lebia stichai", "Meharia avicenna", "Aethalopteryx sulaki", "Aethalopteryx kisangani", "Aethalopteryx rudloffi", "Aethalopteryx gazelle", "Aethalopteryx politzari", "Aethalopteryx elf", "Aethalopteryx masai", "Aethalopteryx anikini", "Aethalopteryx nilotica", "Aethalopteryx wiltshirei", "Aethalopteryx atrireta", "Aethalopteryx steniptera", "Aethalopteryx simillima", "Aethalopteryx obscurascens", "Aethalopteryx obsolete", "Aethalopteryx grandiplaga", "Aethalopteryx tristis", "Aethalopteryx pindarus", "Aethalopteryx squameus", "Aethalopteryx dictyotephra", "Aethalopteryx forsteri", "Aethalopteryx gyldenstolpei", "Aethalopteryx mesosticta", "Arhopala philander", "Azygophleps equatorialis", "Azygophleps otello", "Azygophleps liliyae", "Azygophleps ganzelkozikmundi", "Azygophleps kovtunovitchi", "Azygophleps sheikh", "Azygophleps legraini", "Azygophleps godswindow", "Azygophleps liturata", "Azygophleps leopardina", "Azygophleps nubilosa", "Azygophleps atrifasciata", "Azygophleps cooksoni", "Azygophleps melanophele", "Azygophleps albovittata", "Azygophleps simplex", "Azygophleps aburae", "Sinocyclocheilus huangtianensis", "Azygophleps pallens", "Azygophleps pusilla", "Sinocyclocheilus brevibarbatus", "Sinocyclocheilus aluensis", "Azygophleps asylas", "Azygophleps inclusa", "Azygophleps albofasciata", "Azygophleps regia", "Azygophleps afghanistanensis", "Sinocyclocheilus broadihornes", "Azygophleps sponda", "Sinocyclocheilus yaolanensis", "Tineovertex thailandia", "Tineovertex hamoides", "Tineovertex fibriformis", "Tineovertex elongata", "Tineovertex expansa", "Veronica subg.", "Caracanthus unipinna", "Veronica glauca subsp. kavusica", "Veronica glauca subsp. glauca", "Weinmannia guyanensis", "Weinmannia sylvicola", "Aceratium ledermannii", "Aristotelia chilensis", "Aristotelia fruticosa", "Aristotelia serrata", "Crinodendron hookerianum", "Dasyfidonia avuncularia", "Dasyfidonia macdunnoughi", "Athroolopha chrysitaria", "Athroolopha pennigeraria", "Dubouzetia confusa", "Eurranthis plummistaria", "Megaselia superpilosa", "Megaselia totanigra", "Megaselia australiae", "Megaselia barbimargo", "Megaselia biseta", "Megaselia flaviscutellata", "Megaselia leleupi", "Megaselia maranguensis", "Megaselia melanocholica", "Megaselia meruensis", "Megaselia natalicola", "Megaselia nigella", "Megaselia pallidantennata", "Megaselia pedalis", "Megaselia semihyalina", "Megaselia tenuibasis", "Megaselia tenuicoma", "Megaselia trichopleurophora", "Megaselia basitarsalis", "Megaselia brunneipalpata", "Megaselia curtibarba", "Megaselia furcatilis", "Megaselia heterodactyla", "Megaselia longibarba", "Megaselia zebrina", "Megaselia abalienata", "Megaselia africola", "Megaselia antecellens", "Megaselia antennula", "Megaselia appetens", "Megaselia artangula", "Megaselia barbitergata", "Megaselia basipecten", "Megaselia benebarbata", "Megaselia bisetigera", "Megaselia borgmeieri", "Megaselia caudifera", "Megaselia chrysopyge", "Megaselia comfurcula", "Megaselia congrex", "Megaselia costella", "Megaselia crassicostata", "Megaselia cristicincta", "Megaselia crosskeyi", "Megaselia ctenophora", "Megaselia curvitibia", "Megaselia destituta", "Megaselia dewittei", "Megaselia evaginata", "Megaselia evoluta", "Megaselia finitima", "Megaselia fulminifacies", "Megaselia gemellima", "Megaselia gilvivitta", "Megaselia globulosa", "Megaselia hemicyclia", "Megaselia immodesta", "Megaselia incompressa", "Megaselia infracta", "Megaselia insolens", "Megaselia intercedens", "Megaselia keiseri", "Megaselia labiella", "Protomelas annectens", "Geissois pruinosa", "Megaselia dahli", "Megaselia latifemorata", "Megaselia meigeni", "Megaselia palmeni", "Megaselia abdominalis", "Megaselia agnatoides", "Megaselia amplicosta", "Megaselia anomaliseta", "Megaselia anticonigra", "Megaselia atricornis", "Megaselia auriclava", "Megaselia brunneoflava", "Megaselia burmensis", "Megaselia cognoscibilis", "Megaselia compar", "Megaselia consobrina", "Megaselia deflexilinea", "Megaselia dichroma", "Megaselia discolor", "Megaselia flavibasis", "Megaselia flavidula", "Megaselia flavifrons", "Megaselia forticosta", "Megaselia fraudulatrix", "Megaselia innotata", "Megaselia irregularis", "Megaselia latitarsus", "Megaselia malaisei", "Megaselia mixticolor", "Megaselia obscuriterga", "Megaselia paruminflata", "Megaselia peraffinis", "Megaselia pertincta", "Megaselia picticolor", "Megaselia pullifrons", "Megaselia rutilipes", "Megaselia secreta", "Megaselia setalis", "Megaselia sextaperta", "Megaselia solita", "Megaselia subnudiseta", "Megaselia tergalis", "Megaselia aequiperabilis", "Megaselia arcuatilinea", "Megaselia asymmetrica", "Megaselia capensis", "Megaselia caudalis", "Megaselia fastigiicola", "Megaselia furvicolor", "Megaselia hebetifrons", "Megaselia lilliput", "Megaselia lindbergi", "Megaselia lindneri", "Megaselia magna", "Megaselia nigricorpus", "Megaselia pauculitincta", "Megaselia pulicaripar", "Megaselia semota", "Megaselia subpyricornis", "Oxalis valdiviensis", "Oxalis violacea", "Oxalis virgosa", "Anzygina agni", "Anzygina dumbletoni", "Anzygina billi", "Anzygina honiloa", "Anzygina jowettae", "Anzygina medioborealis", "Anzygina melanogaster", "Barbeya oleoides", "Anzygina sidnica", "Anzygina sativae", "Anzygina zealandica", "Anzygina ramsayi", "Anzygina toetoe", "Anzygina honiala", "Anzygina lubra", "Nothoprocta ornata jimenezi", "Nothoprocta ornata labradori", "Aechmophorus occidentalis ephemeralis", "Pelecanus conspicillatus novaezealandiae", "Phalacrocorax auritus heuretus", "Hyposmocoma kahamanao", "Hyposmocoma uhauiole", "Hyposmocoma kahaiao", "Hyposmocoma kawaikoi", "Hyposmocoma kamakou", "Hyposmocoma wailua", "Hyposmocoma eepawai", "Hyposmocoma ipowainui", "Hyposmocoma aumakuawai", "Hyposmocoma waihohonu", "Podiceps major navasi", "Hyposmocoma moopalikea", "Asthenes harterti bejaranoi", "Hyposmocoma alticola", "Anabacerthia variegaticeps schaldachi", "Hyposmocoma oxypetra", "Anumbius annumbi machrisi", "Hyposmocoma trimelanota", "Syndactyla roraimae urutani", "Hyposmocoma hygroscopa", "Hyposmocoma centronoma", "Hyposmocoma nipholoncha", "Hyposmocoma argomacha", "Hyposmocoma thiatma", "Hyposmocoma anisoplecta", "Hyposmocoma hemicasis", "Hyposmocoma filicivora", "Aphthonetus praefracta", "Neelysia palmifera", "Neelysia mormopica", "Neelysia erebogramma", "Euperissus catapyrrha", "Phthoraula homopyrrha", "Hyposmocoma carbonenotata", "Hyposmocoma auripennis", "Hyposmocoma auroargentea", "Hyposmocoma auropurpurea", "Hyposmocoma suffusa", "Hyposmocoma metallica", "Hyposmocoma patriciella", "Hyposmocoma syrrhaptes", "Hyposmocoma sabulella", "Protomelas dejunctus", "Protomelas fenestratus", "Protomelas insignis", "Protomelas kirkii", "Protomelas labridens", "Protomelas macrodon", "Protomelas marginatus", "Protomelas pleurotaenia", "Protomelas similis", "Protomelas spilonotus", "Protomelas spilopterus", "Protomelas taeniolatus", "Protomelas triaenodon", "Protomelas virgatus", "Pseudocrenilabrus multicolor", "Pseudocrenilabrus philander", "Prostomis lawrencei", "Prostomis papuana", "Prostomis africana", "Prostomis atkinsoni", "Prostomis beatae", "Prostomis cameronica", "Prostomis cornuta", "Prostomis edithae", "Prostomis gladiator", "Prostomis intermedia", "Prostomis katrinae", "Prostomis kinabaluca", "Prostomis latoris", "Prostomis luzonica", "Prostomis mandibularis", "Prostomis morsitans", "Prostomis pacifica", "Prostomis samoensis", "Prostomis schlegeli", "Prostomis susannae", "Prostomis americana", "Prostomis apoica", "Prostomis grandis", "Prostomis mindanaoica", "Prostomis subtilis", "Prostomis weigeli", "Sloanea hemsleyana", "Sloanea sinensis", "Tetratheca procumbens", "Tremandra stelligera", "Vallea stipularis", "Biophytum sensitivum", "Dapania racemosa", "Oxalis debilis", "Oxalis incarnata", "Oxalis latifolia", "Oxalis atroglandulosa", "Oxalis barrelieri", "Oxalis bowiei", "Oxalis bulbocastanum", "Oxalis bupleurifolia", "Oxalis cinerea", "Oxalis compacta", "Oxalis compressa", "Araniella proxima", "Oxalis drummondii", "Oxalis fruticosa", "Oxalis gigantea", "Oxalis glabra", "Oxalis grahamiana", "Oxalis japonica", "Oxalis laxa", "Oxalis lotoides", "Oxalis megalorrhiza", "Oxalis melilotoides", "Oxalis micrantha", "Oxalis oregana", "Oxalis ortgiesii", "Oxalis rosea", "Oxalis semiloba", "Oxalis serpens", "Oxalis stipulata", "Oxalis stricta", "Oxalis tetraphylla", "Oxalis tortuosa", "Oxalis tropaeoloides", "Oxalis tuberosa", "Hyposmocoma saccophora", "Hyposmocoma saliaris", "Hyposmocoma scandens", "Hyposmocoma scepticella", "Hyposmocoma schismatica", "Hyposmocoma scolopax", "Hyposmocoma semifuscata", "Hyposmocoma sideritis", "Hyposmocoma similis", "Hyposmocoma somatodes", "Hyposmocoma stigmatella", "Hyposmocoma straminella", "Hyposmocoma subargentea", "Hyposmocoma subcitrella", "Hyposmocoma subflavidella", "Elaeocarpus angustifolius", "Elaeocarpus bancroftii", "Elaeocarpus decipiens", "Elaeocarpus dentatus", "Elaeocarpus grandiflorus", "Elaeocarpus hainanensis", "Elaeocarpus hookerianus", "Elaeocarpus japonicus", "Elaeocarpus kirtonii", "Elaeocarpus lanceifolius", "Elaeocarpus obovatus", "Elaeocarpus photiniifolius", "Elaeocarpus prunifolius", "Elaeocarpus reticulatus", "Elaeocarpus serratus", "Elaeocarpus sikkimensis", "Elaeocarpus stipularis", "Elaeocarpus treubii", "Peripentadenia mearsii", "Sloanea dasycarpa", "Leonia glycycarpa", "Leonia triandra", "Melicytus lanceolatus", "Melicytus ramiflorus", "Rinorea viridifolia", "Brunellia racemifera", "Ectinorus spiculatus", "Agelaea pentagyna", "Tungurahuala acuminata", "Ilyapa bifida", "Ilyapa loca", "Cnestis corniculata", "Cnestis ferruginea", "Cnestis palala", "Ilyapa longispina", "Cnestis polyphylla", "Ilyapa ochrescens", "Ilyapa recurvata", "Ilyapa viridis", "Tungurahuala basiliscus", "Connarus africanus", "Connarus grandis", "Connarus patrisii", "Manotes expansa", "Rourea coccinea", "Rourea solanderi", "Bauera capitata", "Bauera rubioides", "Bauera sessiliflora", "Myrmica alperti", "Myrmica weberi", "Myrmica varisculpta", "Celtis iguanaea", "Celtis laevigata", "Celtis tenuifolia", "Celtis trinervia", "Hyposmocoma suffusella", "Hyposmocoma subsericea", "Hyposmocoma subscolopax", "Hyposmocoma suborella", "Hyposmocoma subnitida", "Hyposmocoma sublimata", "Celtis africana", "Celtis biondii", "Celtis brasiliensis", "Hyposmocoma humerovittella", "Celtis cerasifera", "Celtis ehrenbergiana", "Hyposmocoma niger", "Celtis gomphophylla", "Hyposmocoma nigralbida", "Celtis jessoensis", "Celtis julianae", "Hyposmocoma nigrescens", "Celtis latifolia", "Hyposmocoma nividorsella", "Celtis paniculata", "Celtis philippensis", "Celtis planchoniana", "Hyposmocoma calva", "Hyposmocoma bacilella", "Hyposmocoma bella", "Hyposmocoma belophora", "Hyposmocoma bilineata", "Hyposmocoma butalidella", "Hyposmocoma canella", "Hyposmocoma carnea", "Celtis tetrandra", "Celtis tournefortii", "Hyposmocoma cincta", "Hyposmocoma cinereosparsa", "Hyposmocoma commensella", "Hyposmocoma conditella", "Hyposmocoma continuella", "Hyposmocoma costimaculata", "Hyposmocoma cupreomaculata", "Veronica austriaca subsp. jacquinii", "Lecanora ulrikii", "Pseudolmedia laevis", "Pseudolmedia rigida", "Pseudolmedia spuria", "Hypurus vanharteni", "Purpuricenus axillaris", "Hypurus litoralis", "Kalotermes banksiae", "Kalotermes brouni", "Megaselia maculifera", "Megaselia mediocristata", "Megaselia micantifrons", "Megaselia modica", "Megaselia morosa", "Megaselia nigricauda", "Megaselia notabilis", "Megaselia parumhirta", "Megaselia peniculifera", "Megaselia pentagonalifrons", "Megaselia percaeca", "Megaselia pictella", "Megaselia pictoides", "Megaselia pilosella", "Megaselia praefulgens", "Megaselia praeminens", "Megaselia protarsella", "Megaselia pygidialis", "Megaselia quartobrevis", "Megaselia quartopallida", "Megaselia rotundicauda", "Megaselia sacculifera", "Megaselia signabilis", "Megaselia sokotrana", "Megaselia speculifera", "Megaselia splendescens", "Megaselia tenericoma", "Megaselia tenuicosta", "Megaselia tergatula", "Megaselia tonsipalpis", "Megaselia ustulithorax", "Megaselia xanthopus", "Megaselia xanthopyge", "Megaselia aestiva", "Megaselia chaetorhoea", "Megaselia colyeri", "Megaselia criniloba", "Megaselia deceptrix", "Megaselia excisa", "Megaselia excisoides", "Megaselia frontella", "Megaselia furcellans", "Megaselia grandantennata", "Megaselia heterochaeta", "Megaselia hirtitarsalis", "Megaselia nigribasis", "Megaselia obscuricauda", "Megaselia patellata", "Megaselia seclusa", "Megaselia setella", "Megaselia sextohirta", "Megaselia siamensis", "Megaselia tetrachaeta", "Megaselia venalis", "Megaselia vernicosa", "Megaselia vernicosior", "Megaselia boninensis", "Megaselia chrysophora", "Megaselia curtissima", "Megaselia gressitti", "Megaselia micronesiae", "Megaselia palpella", "Megaselia sejuncta", "Megaselia tenebricior", "Megaselia tetricifrons", "Megaselia parabasiseta", "Megaselia setifemur", "Megaselia suis", "Megaselia concava", "Megaselia luteicauda", "Megaselia luteifasciata", "Megaselia penicillata", "Megaselia pteryacantha", "Megaselia stephanoidea", "Megaselia turgida", "Megaselia amplipennis", "Megaselia maculiapex", "Megaselia scutelliseta", "Glyptotermes brevicornis", "Megaselia criniventris", "Megaselia disiuncta", "Megaselia fuscomaculata", "Megaselia glandularis", "Megaselia gloriosa", "Megaselia grandicosta", "Megaselia grandifurca", "Megaselia prolixa", "Megaselia sacculata", "Megaselia superans", "Megaselia supina", "Megaselia ampullosa", "Megaselia imbricata", "Megaselia lunaris", "Megaselia nepos", "Megaselia semipolita", "Megaselia tergitalis", "Megaselia tripartita", "Megaselia acutifurca", "Megaselia amica", "Megaselia amplifrons", "Megaselia anterodorsalis", "Megaselia anterospinosa", "Megaselia anthracina", "Megaselia argentea", "Megaselia atricolor", "Megaselia atristola", "Megaselia bisinuata", "Megaselia brevifrons", "Megaselia bulbicornis", "Megaselia calvescens", "Megaselia cavimargo", "Caldcluvia paniculata", "Apteroloma anglorossicum", "Apteroloma arizonicum", "Apteroloma caraboides", "Apteroloma davidis", "Apteroloma discicolle", "Apteroloma dolpoense", "Apteroloma gibbum", "Apteroloma harmandi", "Apteroloma heinzi", "Apteroloma jinfo", "Apteroloma kashmirense", "Apteroloma kinkiense", "Apteroloma kozlovi", "Apteroloma kyushuense", "Apteroloma lagnaense", "Apteroloma longulum", "Apteroloma neelumense", "Apteroloma potanini", "Apteroloma rosti", "Apteroloma turkestanicum", "Apteroloma tenuicorne", "Apteroloma tahoecum", "Apteroloma sillemi", "Apteroloma schawalleri", "Apteroloma sankhaense", "Apteroloma plutenkoi", "Lebia hikosana", "Ceratopetalum apetalum", "Ceratopetalum gummiferum", "Lebia humpatensis", "Lebia idae", "Lebia sandaligera", "Cunonia capensis", "Lebia iolanthe", "Lebia sylvarum", "Lebia madecassa", "Lebia picipennis", "Aspicilia fluviatilis", "Davidsonia pruriens", "Apteroloma rotgeri", "Apteroloma sallaei", "Lebia retrofasciata", "Apteroloma bolivari", "Aspicilia granulosa", "Lebia stackelbergi", "Eucryphia cordifolia", "Eucryphia glutinosa", "Eucryphia lucida", "Eucryphia moorei", "Eucryphia \u00d7 hillieri", "Eucryphia \u00d7 intermedia", "Eucryphia \u00d7 nymansensis", "Trema andersonii", "Trema melastomatifolia", "Trema parviflora", "Trema rigida", "Trema rugosa", "Pteroceltis tatarinowii", "Trema orientalis", "Trema cannabina", "Trema lamarckiana", "Trema micrantha", "Trema tomentosa", "Dirachma socotrana", "Dirachma somalensis", "Elaeagnus angustifolia", "Elaeagnus commutata", "Elaeagnus conferta", "Elaeagnus glabra", "Elaeagnus latifolia", "Elaeagnus macrophylla", "Elaeagnus multiflora", "Elaeagnus pungens", "Elaeagnus pyriformis", "Elaeagnus triflora", "Elaeagnus tutcheri", "Elaeagnus \u00d7 submacrophylla", "Elaeagnus \u00d7 reflexa", "Shepherdia argentea", "Shepherdia canadensis", "Shepherdia rotundifolia", "Lecanora austrotropica", "Megaselia notipennis", "Megaselia nudipalpis", "Megaselia obscurella", "Megaselia ochreola", "Megaselia orthoneura", "Megaselia pallidifemur", "Megaselia parachaeta", "Megaselia parastigmatica", "Megaselia paupercula", "Megaselia phoebe", "Megaselia piceata", "Megaselia picticornis", "Megaselia pirirostris", "Megaselia plagiata", "Megaselia pleurofascia", "Megaselia pristina", "Megaselia pruinosifrons", "Megaselia punctipes", "Megaselia rhabdopalpis", "Megaselia rubronigra", "Megaselia rudimentalis", "Megaselia scissa", "Megaselia semilutea", "Megaselia serotina", "Megaselia serpentina", "Megaselia seticlasper", "Megaselia seticosta", "Megaselia setiventris", "Megaselia sexcrinata", "Megaselia sinefurca", "Megaselia sinuosimargo", "Megaselia socia", "Megaselia speculigera", "Megaselia stimulata", "Megaselia striativentris", "Megaselia stricta", "Megaselia subcarinata", "Megaselia subcrinosa", "Megaselia subcuneata", "Megaselia sulina", "Megaselia tubulifera", "Megaselia tumidicornis", "Megaselia tumidicosta", "Megaselia tumidilla", "Megaselia tumidula", "Megaselia vespertilionis", "Megaselia zeno", "Megaselia aequaliseta", "Megaselia bipunctata", "Megaselia furcipriva", "Megaselia labrosa", "Megaselia quartolutea", "Megaselia tristis", "Megaselia ventralis", "Megaselia aciculata", "Megaselia advena", "Megaselia allothrix", "Megaselia amplicornis", "Megaselia atratula", "Megaselia basicavata", "Megaselia beringensis", "Megaselia brachyprocta", "Megaselia brevibarba", "Megaselia brevicauda", "Megaselia postcrinata", "Megaselia procera", "Megaselia pygmaeola", "Megaselia reducta", "Megaselia rotundula", "Megaselia seticerca", "Megaselia shannoni", "Megaselia simiola", "Megaselia spelophila", "Megaselia sphinx", "Megaselia sulphurizona", "Megaselia testaceicornis", "Megaselia abstinens", "Megaselia albiclavata", "Megaselia aldrichi", "Megaselia aliseta", "Megaselia alloterga", "Megaselia antialis", "Megaselia arctifurca", "Megaselia armipectus", "Megaselia barbicauda", "Megaselia breviceps", "Megaselia caledoniae", "Megaselia carinata", "Megaselia chapmani", "Megaselia claudia", "Megaselia cochlophila", "Megaselia conifera", "Megaselia copiosa", "Megaselia crocea", "Megaselia curticauda", "Megaselia curticiliata", "Megaselia dinacantha", "Megaselia dissita", "Megaselia extensicosta", "Megaselia exuberans", "Megaselia flavistola", "Megaselia floricola", "Megaselia fortipes", "Megaselia grandipennis", "Megaselia imperfecta", "Megaselia inconspicua", "Megaselia labiata", "Megaselia latifurca", "Megaselia laxa", "Megaselia lineatipes", "Megaselia luteiclava", "Megaselia malayae", "Megaselia mediocris", "Megaselia miripyga", "Megaselia moderata", "Megaselia morella", "Megaselia mucronifera", "Megaselia nesiotica", "Megaselia nigellifrons", "Megaselia nubilifurca", "Megaselia orbata", "Megaselia pallidivena", "Megaselia patellipyga", "Megaselia politiceps", "Megaselia polychaeta", "Megaselia postorta", "Megaselia privata", "Megaselia purificata", "Megaselia chilochaeta", "Megaselia cilla", "Megaselia cinerascens", "Megaselia coalescens", "Megaselia coarctipennis", "Megaselia communis", "Megaselia confirmata", "Megaselia connexa", "Megaselia crassirostris", "Megaselia croceifascia", "Megaselia crocicornis", "Megaselia cuneata", "Megaselia cybele", "Megaselia daphne", "Megaselia deficiens", "Megaselia diminuta", "Megaselia dinda", "Megaselia disparifemur", "Megaselia disparipennis", "Megaselia dispariseta", "Megaselia exquisita", "Megaselia fimbriata", "Megaselia flavipes", "Megaselia foederalis", "Megaselia fuscipleura", "Megaselia fuscula", "Megaselia gemella", "Megaselia hexachaeta", "Megaselia hexamegas", "Megaselia horticola", "Megaselia ignicornis", "Megaselia impressa", "Megaselia irene", "Megaselia isis", "Megaselia juxtaplantata", "Megaselia juxtaposita", "Megaselia labellata", "Megaselia lanceata", "Megaselia latangula", "Megaselia latirostris", "Megaselia lenis", "Megaselia levifrons", "Megaselia longula", "Megaselia lucipleura", "Megaselia lugens", "Megaselia luteicoxa", "Megaselia mellea", "Megaselia mendax", "Megaselia mesochaeta", "Megaselia microcera", "Megaselia mimica", "Megaselia miristigma", "Megaselia modificata", "Megaselia moesta", "Megaselia morena", "Megaselia morula", "Megaselia munita", "Megaselia mutica", "Megaselia naevia", "Megaselia nanilla", "Megaselia nephelodes", "Megaselia nigelloides", "Megaselia nigrita", "Megaselia nigrofascipes", "Megaselia samoana", "Megaselia semilucens", "Megaselia setipennis", "Megaselia sextolutea", "Megaselia sibylla", "Megaselia sobria", "Megaselia splendens", "Megaselia spoliata", "Megaselia subcrocea", "Megaselia subrecta", "Megaselia subsetella", "Megaselia subvittata", "Megaselia sulcatifrons", "Megaselia suspicata", "Megaselia tritomegas", "Megaselia turbata", "Megaselia turbidipennis", "Megaselia turgidilla", "Megaselia turgipes", "Megaselia usticlava", "Megaselia ustipennis", "Megaselia versicolor", "Megaselia vittata", "Megaselia wheeleri", "Megaselia xanthocera", "Megaselia atrox", "Megaselia chlorocera", "Megaselia monochaetina", "Megaselia apodicraea", "Megaselia aurantiaca", "Megaselia bursaria", "Megaselia bursifera", "Megaselia cassandra", "Megaselia chaetogaster", "Megaselia croceiventris", "Megaselia discrepans", "Megaselia exiens", "Megaselia flexivena", "Megaselia gradualis", "Megaselia hapalogaster", "Megaselia hexacantha", "Megaselia inclinata", "Megaselia laevigata", "Megaselia laevigoides", "Megaselia lineata", "Megaselia luteiventris", "Megaselia maculithorax", "Megaselia megachaeta", "Megaselia nestor", "Megaselia paraensis", "Megaselia piliclasper", "Megaselia plaumanni", "Megaselia plutei", "Megaselia schildi", "Megaselia semimollis", "Megaselia setifimbria", "Megaselia setipectus", "Megaselia sextobsoleta", "Megaselia spinipectus", "Megaselia subcavifrons", "Megaselia sulphurea", "Megaselia transcarinata", "Megaselia utingensis", "Megaselia pleurochaeta", "Lepraria nothofagi", "Lepraria stephaniana", "Megaselia acutipennis", "Megaselia aequidistans", "Megaselia aequimarginata", "Megaselia androidea", "Megaselia attenuata", "Megaselia bispatulata", "Megaselia claripennis", "Megaselia comparabilis", "Megaselia continuata", "Megaselia curvata", "Anarete basmatensis", "Megaselia daemon", "Megaselia densa", "Megaselia dewulfi", "Anarete bharati", "Anarete buscki", "Anarete candidata", "Anarete corni", "Anarete coronata", "Anarete diervillae", "Anarete edwardsi", "Anarete felti", "Anarete flavitarsis", "Anarete iridis", "Anarete jagdyevi", "Anarete johnsoni", "Anarete lacteipennis", "Megaselia evoluta", "Megaselia incrassaticosta", "Megaselia longicauda", "Megaselia nefeloptera", "Megaselia nigriventris", "Megaselia nitidipennis", "Megaselia obscuriventris", "Megaselia pallidipalpis", "Megaselia pentagonalis", "Megaselia punctata", "Megaselia quadrupliciseta", "Megaselia ramierzi", "Megaselia superpilosa", "Megaselia translucida", "Megaselia transversiseta", "Megaselia tripliciseta", "Megaselia tubuliventris", "Megaselia tumipalpis", "Megaselia virescens", "Megaselia vulcanica", "Megaselia apicalis", "Megaselia bella", "Megaselia crassimana", "Megaselia debilis", "Megaselia delicatula", "Megaselia minutussima", "Megaselia peruviana", "Megaselia planifrons", "Megaselia rustica", "Megaselia sodalis", "Megaselia tibialis", "Megaselia spiculata", "Megaselia punctifrons", "Megaselia parviseta", "Megaselia definita", "Megaselia deprivata", "Megaselia pulliclava", "Megaselia obscuripalpis", "Megaselia elegantula", "Megaselia hypochaeta", "Megaselia imitatrix", "Megaselia buccata", "Megaselia labellifera", "Megaselia leptacina", "Megaselia metatarsalis", "Megaselia substricta", "Megaselia tarsodes", "Anarete albipennis", "Megaselia pallidipennis", "Megaselia diplochaeta", "Megaselia gracilipalpis", "Megaselia burselloides", "Megaselia fortirostris", "Megaselia tumidirostris", "Megaselia hamaticauda", "Megaselia paula", "Megaselia crinellifemur", "Megaselia subaristalis", "Megaselia totaflava", "Anarete allahabadensis", "Megaselia mutilata", "Megaselia crinipyga", "Megaselia defecta", "Megaselia adempta", "Megaselia basichaeta", "Megaselia castaneipleura", "Megaselia cercaria", "Megaselia deuteromegas", "Megaselia fausta", "Megaselia perspicua", "Megaselia quartobsoleta", "Megaselia quartocurta", "Megaselia subinflata", "Megaselia submimica", "Megaselia violata", "Megaselia altezza", "Megaselia gigantea", "Megaselia longistyla", "Anarete anepsia", "Megaselia suates", "Megaselia subalpina", "Megaselia athesis", "Megaselia disneyella", "Megaselia meridiana", "Megaselia palmi", "Megaselia pecten", "Megaselia riefi", "Megaselia thaleri", "Megaselia trogeri", "Megaselia impariseta", "Megaselia lucida", "Megaselia cilipes", "Megaselia fumipennis", "Megaselia manca", "Megaselia meridionalis", "Megaselia pauxilla", "Megaselia aemula", "Megaselia atriclava", "Megaselia chipensis", "Megaselia curva", "Megaselia meracula", "Megaselia nana", "Megaselia ochracea", "Megaselia recta", "Megaselia sauteri", "Megaselia trivialis", "Megaselia atrita", "Megaselia canaliculata", "Megaselia curtifrons", "Megaselia fortiuscula", "Megaselia incarum", "Megaselia meijerei", "Megaselia dilatata", "Megaselia modesta", "Megaselia palpata", "Megaselia pulla", "Megaselia scopalis", "Megaselia setigera", "Megaselia breviuscula", "Megaselia brunnicans", "Megaselia formosana", "Megaselia lanceolata", "Megaselia pedicellata", "Megaselia simplicior", "Megaselia andicola", "Megaselia asthenichaeta", "Megaselia rimacensis", "Megaselia alata", "Megaselia antennalis", "Megaselia apoensis", "Megaselia appendiculata", "Megaselia apposita", "Megaselia aristata", "Megaselia barbata", "Megaselia baroringensis", "Megaselia bihamulata", "Megaselia bisecta", "Megaselia brevineura", "Megaselia brevisecta", "Megaselia bulbosa", "Megaselia claggi", "Megaselia clavipedella", "Megaselia conspicua", "Megaselia costipennis", "Megaselia debilitata", "Megaselia digressa", "Megaselia dimidata", "Megaselia directa", "Megaselia equisecta", "Megaselia extensifrons", "Megaselia fulvicauda", "Megaselia galogensis", "Megaselia incompleta", "Megaselia inflaticornis", "Megaselia inflatipes", "Megaselia senegalensis", "Megaselia corkerae", "Megaselia deningi", "Megaselia megaglossa", "Megaselia sandhui", "Megaselia argiopephaga", "Megaselia morani", "Megaselia southwoodi", "Megaselia bifida", "Megaselia bifurcata", "Megaselia hartfordensis", "Megaselia chainensis", "Megaselia damasi", "Megaselia gartensis", "Megaselia kurahashii", "Veronica austriaca subsp. virescens", "Veronica austriaca subsp. vahlii", "Megaselia lalunensis", "Megaselia linoensis", "Megaselia maculipennis", "Megaselia mainitensis", "Megaselia mediata", "Megaselia mutata", "Megaselia nocturnalis", "Megaselia pallidicauda", "Megaselia patellipes", "Megaselia perspinosa", "Megaselia perumbrata", "Megaselia pilifera", "Megaselia politifrons", "Megaselia quadrata", "Megaselia quadrispinosa", "Megaselia repetenda", "Megaselia reversa", "Megaselia scopifera", "Megaselia setifrons", "Megaselia sibulanensis", "Megaselia textilis", "Megaselia tinctipennis", "Megaselia translocata", "Megaselia trisecta", "Megaselia umbrosa", "Megaselia unisetosa", "Megaselia vapidicornis", "Megaselia approximata", "Megaselia flavifacies", "Megaselia inaequalis", "Megaselia latifasciata", "Megaselia pallicornis", "Megaselia trilineata", "Megaselia brevis", "Megaselia consueta", "Megaselia egena", "Megaselia extans", "Megaselia frontata", "Megaselia innocens", "Megaselia invenusta", "Megaselia latinervis", "Megaselia media", "Megaselia mera", "Megaselia planipes", "Megaselia soluta", "Megaselia spreta", "Megaselia viduata", "Megaselia beatricis", "Megaselia cirricauda", "Megaselia claricornis", "Megaselia constricta", "Megaselia criniticauda", "Megaselia pectoraliformis", "Megaselia pullipalpis", "Megaselia rara", "Megaselia sicaria", "Megaselia unichaeta", "Megaselia audreyae", "Megaselia clementsi", "Megaselia ismayi", "Megaselia bowlesi", "Megaselia hepworthae", "Megaselia reynoldsi", "Megaselia robinsoni", "Megaselia baezi", "Megaselia canaryae", "Megaselia torautensis", "Megaselia arietina", "Megaselia bingana", "Megaselia curtinoides", "Megaselia curtispinosa", "Megaselia dentata", "Megaselia ficaria", "Megaselia harteni", "Megaselia humida", "Megaselia jorgensis", "Megaselia kovaci", "Megaselia microcurtineura", "Megaselia miniseta", "Megaselia nectama", "Megaselia orgaoa", "Megaselia parvorata", "Megaselia savannae", "Megaselia surophila", "Megaselia tiagoensis", "Anarete pilipennis", "Megaselia tinglei", "Megaselia verdensis", "Megaselia vorata", "Megaselia zaitzevi", "Megaselia anomaloterga", "Megaselia darlingtonae", "Megaselia exsertacosta", "Megaselia gombakensis", "Megaselia tamanae", "Megaselia brianbrowni", "Megaselia brokawi", "Megaselia peterseni", "Megaselia pleurota", "Megaselia bambootelmatae", "Megaselia belumensis", "Megaselia haraldlundi", "Megaselia jameslamonti", "Megaselia nidanurae", "Megaselia tamilnaduensis", "Anarete pritchardi", "Megaselia dimorphica", "Megaselia manselli", "Megaselia praedafura", "Megaselia zeuzerae", "Megaselia joannae", "Megaselia marekdurskii", "Megaselia marekudurskii", "Megaselia michali", "Megaselia pulveroboleti", "Megaselia teresamajewskae", "Megaselia tinteri", "Megaselia trojani", "Megaselia weissflogi", "Megaselia buchsi", "Megaselia iberiensis", "Megaselia martensi", "Megaselia nectergata", "Megaselia oviaraneae", "Megaselia rotundapicis", "Megaselia spelunciphila", "Ficus coerulescens", "Ficus congesta", "Ficus consociata", "Ficus copiosa", "Ficus cordata", "Ficus cordatula", "Ficus coronata", "Ficus costaricana", "Ficus cotinifolia", "Ficus crassiramea", "Ficus crassiuscula", "Ficus crocata", "Ficus cumingii", "Ficus cuspidata", "Ficus cyathistipula", "Anarete longipalpi", "Anarete mamajevi", "Anarete manii", "Anarete medicaginis", "Anarete pallida", "Megaselia plaumanni", "Anarete perplexia", "Megaselia bruesi", "Megaselia clemonsi", "Megaselia drakei", "Megaselia horsfieldi", "Megaselia kodongi", "Megaselia malhamensis", "Megaselia parnassia", "Megaselia sembeli", "Megaselia coulsoni", "Megaselia feshiensis", "Megaselia hayleyensis", "Megaselia mcleani", "Megaselia oligoseta", "Megaselia pagei", "Megaselia unwini", "Megaselia abernethae", "Megaselia biarticulata", "Megaselia invernessae", "Megaselia killarneyensis", "Megaselia oweni", "Megaselia sheppardi", "Megaselia stenoterga", "Megaselia tonyirwini", "Megaselia durskae", "Megaselia falklandensis", "Megaselia furukawae", "Megaselia gotoi", "Megaselia kanekoi", "Megaselia kanoi", "Megaselia malvinasensis", "Megaselia murakamii", "Megaselia okazakii", "Megaselia spinolabella", "Megaselia termitomyca", "Megaselia teutoniae", "Megaselia zariaensis", "Megaselia ashmolei", "Lasioglossum politescens", "Lasioglossum postpictum", "Lasioglossum prominens", "Lasioglossum pulchripes", "Lasioglossum punctiferellum", "Lasioglossum radiatulum", "Lasioglossum richardsoni", "Lasioglossum rubritarse", "Lasioglossum rufimente", "Lasioglossum shanganiense", "Lasioglossum snelli", "Lasioglossum speculibasis", "Lasioglossum sutepellum", "Lasioglossum sutepinum", "Lasioglossum tenkeanum", "Lasioglossum tenuilingue", "Lasioglossum thomasseti", "Lasioglossum ugandicum", "Lasioglossum uvirense", "Lasioglossum zimbabwicum", "Proterhinus abnormis", "Proterhinus abundans", "Proterhinus adamsoni", "Proterhinus angularis", "Proterhinus phyllobius", "Proterhinus fuscicolor", "Proterhinus cuneatus", "Proterhinus malespretus", "Proterhinus longisetis", "Proterhinus ater", "Proterhinus swezeyi", "Proterhinus euops", "Proterhinus euphorbiae", "Proterhinus impressiscutis", "Proterhinus bridwelli", "Proterhinus asteliae", "Proterhinus excrucians", "Proterhinus subangularis", "Proterhinus bryani", "Proterhinus mumfordi", "Proterhinus tantali", "Proterhinus xanthoxyli", "Proterhinus kahanae", "Proterhinus cristatus", "Proterhinus phoenix", "Proterhinus debilior", "Proterhinus coprosmicola", "Proterhinus perkinsi", "Lupinus albus var. vulgaris", "Lupinus luteus var. luteus", "Austrocidaria erasta", "Enchoria obsculata", "Enchoria herbicolata", "Enchoria lacteata", "Melanelixia glabratula", "Ficus abutilifolia", "Ficus americana", "Ficus ampelos", "Ficus amplissima", "Ficus arfakensis", "Ficus arnottiana", "Ficus aspera", "Ficus asperifolia", "Ficus auriculata", "Ficus barteri", "Dendronotus patricki", "Ficus botryocarpa", "Ficus burtt-davyi", "Ficus bussei", "Ficus callophylla", "Ficus callosa", "Ficus capreifolia", "Dendronotus noahi", "Dendronotus regius", "Ficus casapiensis", "Ficus cassidyana", "Ficus caulocarpa", "Ficus celebensis", "Megaselia capillicauda", "Megaselia capta", "Megaselia cavifemur", "Megaselia chaetocera", "Megaselia cirripes", "Megaselia cirripyga", "Megaselia compacticeps", "Megaselia conflugens", "Megaselia crepidata", "Megaselia cribella", "Megaselia croeciclava", "Megaselia deltoides", "Megaselia deltomima", "Liriope tetraphylla", "Megaselia diplothrix", "Megaselia dreisbachi", "Megaselia ectopia", "Megaselia eleuthera", "Megaselia georgiae", "Megaselia goniata", "Megaselia gracilipes", "Megaselia gravis", "Megaselia ilca", "Megaselia integra", "Megaselia latibasis", "Megaselia melanderi", "Megaselia paraprocta", "Megaselia perichaeta", "Megaselia pilicrus", "Megaselia pilipyga", "Megaselia pressicauda", "Megaselia proclinata", "Megaselia relicta", "Megaselia renata", "Megaselia semicrocea", "Megaselia spiniclasper", "Megaselia spinulata", "Megaselia subcavata", "Megaselia subnudifemur", "Megaselia tamoides", "Megaselia tecticauda", "Megaselia tetrica", "Megaselia vinculata", "Megaselia albibasis", "Megaselia allopyga", "Megaselia bimaculata", "Megaselia compressa", "Megaselia crinifrons", "Megaselia curticosta", "Megaselia decussata", "Megaselia fusipalpis", "Megaselia globipyga", "Megaselia hesperia", "Megaselia hispida", "Megaselia huachuca", "Megaselia hypochondrica", "Megaselia lacustris", "Megaselia lamellicauda", "Megaselia latipennis", "Megaselia minutior", "Megaselia orestes", "Megaselia papayae", "Megaselia piccola", "Megaselia polyporicola", "Anarete rubra", "Megaselia alius", "Megaselia amatorum", "Megaselia andrewi", "Megaselia bilobulus", "Megaselia brevivallorum", "Megaselia cercisetaria", "Megaselia dewittensis", "Megaselia falciphalli", "Megaselia ferimpariseta", "Megaselia filiciarboris", "Megaselia grandlabella", "Megaselia hauclaudia", "Megaselia hebblewhitei", "Megaselia laevubrevis", "Megaselia megasetigera", "Megaselia mountfieldensis", "Megaselia multispinulosa", "Megaselia nudilobulus", "Megaselia quadribrevis", "Megaselia richardsoni", "Megaselia russellensis", "Megaselia sullivani", "Megaselia tetrabrevis", "Megaselia triplicicristae", "Megaselia trudiae", "Megaselia wellingtonensis", "Megaselia anticheira", "Megaselia arcticae", "Megaselia epanquadrata", "Ficus dammaropsis", "Megaselia gouteuxi", "Megaselia nussbaumi", "Megaselia comorosensis", "Ficus deltoidea", "Megaselia gerlachi", "Megaselia silhouettensis", "Megaselia tulearensis", "Ficus destruens", "Ficus drupacea", "Ficus dryepondtiana", "Ficus dulciaria", "Austrolinus arenulus", "Megaselia birdensis", "Megaselia boesii", "Megaselia dawahi", "Megaselia dilatimana", "Megaselia ebejeri", "Megaselia falloconsueta", "Megaselia falsoluta", "Megaselia floccicauda", "Megaselia furculae", "Megaselia fuscamplicosta", "Megaselia gallagheri", "Megaselia hanseni", "Megaselia leucopleuralis", "Megaselia multivesiculae", "Megaselia necmera", "Megaselia nudihalterata", "Megaselia pangmaphae", "Megaselia papei", "Megaselia polidorii", "Megaselia prachavali", "Austrolinus kinnearae", "Megaselia pseudomera", "Megaselia quintincisa", "Megaselia sevciki", "Megaselia seychellesensis", "Megaselia shawi", "Megaselia vannusetarum", "Megaselia vitiomera", "Megaselia aldabrae", "Megaselia barroensis", "Megaselia leptofemur", "Megaselia madeiraensis", "Megaselia miguelensis", "Megaselia rettenmeyeri", "Ficus elasticoides", "Megaselia tetraseta", "Ficus erecta", "Ficus exasperata", "Megaselia insignicauda", "Megaselia ostravaensis", "Megaselia robertsoni", "Megaselia withersi", "Ficus formosana", "Ficus lutea", "Anarete serena", "Ficus pseudopalma", "Anarete sitapurensis", "Lecanora sorediomarginata", "Ficus septica", "Anarete stettinensis", "Ficus tinctoria", "Chelacheles strabismus", "Anarete taimyrensis", "Ficus fulva", "Ficus geniculata", "Ficus gigantosyce", "Megaselia angustifurcata", "Megaselia bezziana", "Megaselia boliviana", "Megaselia crinellicosta", "Megaselia fasciiventris", "Ficus glaberrima", "Ficus globosa", "Ficus glumosa", "Ficus grewiifolia", "Ficus grossularioides", "Ficus heteromorpha", "Ficus heterophylla", "Ficus heteropleura", "Ficus heteropoda", "Ficus hirta", "Ficus hispida", "Ficus hookeriana", "Ficus ilicina", "Ficus ingens", "Ficus insipida", "Megaselia conglomerata", "Megaselia conspicualis", "Megaselia cordobensis", "Megaselia difficilis", "Megaselia divergens", "Megaselia dubitata", "Megaselia fenestrata", "Megaselia fisheri", "Megaselia franconiensis", "Megaselia incisa", "Megaselia infumata", "Megaselia inornata", "Megaselia iroquoiana", "Megaselia longipennis", "Megaselia macrochaeta", "Megaselia manualis", "Megaselia marginalis", "Megaselia monticola", "Megaselia orientata", "Megaselia perdita", "Megaselia perplexa", "Megaselia retardata", "Megaselia schwarzi", "Megaselia setaria", "Megaselia subatomella", "Megaselia subflava", "Megaselia sublutea", "Megaselia submarginalis", "Megaselia subobscurata", "Megaselia subpicta", "Megaselia tasmaniensis", "Megaselia ursina", "Megaselia winnemana", "Megaselia alajuelensis", "Megaselia aristalis", "Megaselia exaltata", "Megaselia flavopleura", "Megaselia latimanus", "Megaselia littoralis", "Megaselia plebeia", "Megaselia pruinosa", "Megaselia rectangulata", "Megaselia seticauda", "Megaselia sylvicola", "Megaselia bisetulata", "Megaselia destructor", "Megaselia aneura", "Megaselia atridorsata", "Megaselia basiseta", "Megaselia safuneae", "Megaselia bicolor", "Megaselia lutea", "Megaselia pumila", "Megaselia pusilla", "Megaselia ruficornis", "Megaselia sulphuripes", "Megaselia chorogi", "Megaselia pamirica", "Megaselia smirnovi", "Megaselia chinganica", "Megaselia fomitopsis", "Megaselia tomskensis", "Megaselia carola", "Megaselia femoralis", "Megaselia flavohalterata", "Megaselia furcella", "Megaselia fuscivertex", "Megaselia immaculipes", "Megaselia luederwaldti", "Megaselia necrophaga", "Megaselia obscurata", "Megaselia polita", "Megaselia prosthioxantha", "Megaselia setimargo", "Megaselia analis", "Megaselia basispinata", "Megaselia brevipes", "Megaselia coacta", "Megaselia consimilis", "Ficus involucrata", "Ficus ischnopoda", "Ficus johannis", "Ficus kellermanii", "Ficus kurzii", "Ficus lapathifolia", "Megaselia fuscipalpis", "Megaselia griseifrons", "Megaselia hypopygialis", "Megaselia indifferens", "Megaselia insons", "Megaselia lactipennis", "Megaselia laeta", "Megaselia magnifica", "Megaselia mortenseni", "Megaselia nigripalpis", "Megaselia pallidizona", "Megaselia paupera", "Megaselia sepulchralis", "Megaselia setifer", "Megaselia stichata", "Megaselia subcarpalis", "Megaselia subconvexa", "Megaselia subpalpalis", "Megaselia tergata", "Ficus lingua", "Megaselia tibiella", "Megaselia breviterga", "Megaselia chaetopyga", "Ficus luschnathiana", "Megaselia intercostata", "Megaselia pilifemur", "Megaselia prodroma", "Megaselia pygmaeoides", "Megaselia tarsella", "Megaselia anomala", "Megaselia arcuata", "Megaselia arizonensis", "Megaselia atomella", "Megaselia barberi", "Megaselia brunnipes", "Megaselia californiensis", "Megaselia carlynensis", "Megaselia chaetoneura", "Megaselia lanata", "Megaselia rotunda", "Megaselia rotundata", "Megaselia ungulata", "Ficus obliqua", "Ficus platypoda", "Ficus rubiginosa", "Ficus watkinsiana", "Ficus maxima", "Ficus membranacea", "Ficus minahassae", "Ficus montana", "Ficus natalensis", "Ficus neriifolia", "Ficus nigropunctata", "Ficus nodosa", "Ficus nota", "Ficus nymphaeifolia", "Ficus obscura", "Ficus obtusifolia", "Ficus odorata", "Ficus opposita", "Ficus padana", "Ficus pallida", "Ficus palmata", "Ficus palmeri", "Ficus pandurata", "Ficus paraensis", "Ficus parietalis", "Ficus pellucidopunctata", "Ficus pertusa", "Ficus petiolaris", "Ficus phaeosyce", "Ficus platyphylla", "Ficus preussii", "Ficus prolixa", "Ficus pumila", "Ficus punctata", "Ficus pyriformis", "Ficus racemigera", "Ficus racemosa", "Ficus recurva", "Ficus reflexa", "Ficus retusa", "Ficus ribes", "Ficus rigo", "Ficus rumphii", "Ficus saffordii", "Ficus sagittata", "Ficus sansibarica", "Ficus sarmentosa", "Ficus satterthwaitei", "Ficus saussureana", "Ficus schumacheri", "Ficus semicordata", "Ficus sinuata", "Ficus squamosa", "Ficus stenophylla", "Ficus stricta", "Ficus stuhlmannii", "Ficus subcordata", "Ficus subgelderi", "Lecithocera squalida", "Alchemilla daghestanica", "Alchemilla epipsila", "Alchemilla holotricha", "Alchemilla smirnovii", "Alchemilla speciosa", "Alchemilla trabzonica", "Ludwigia peploides", "Rhinogobius zhoui", "Angaria delphinus", "Gomphodella maia", "Gomphodella australica", "Cecyropa discors", "Fulguropsis feldmanni", "Fulguropsis radula", "Calocochlia pan", "Megaselia nigra", "Megaselia nigra", "Atriolum robustum", "Siphonogorgia godeffroyi", "Nembrotha kubaryana", "Anarete taishanensis", "Anarete triarthra", "Anarete zhengi", "Anaretella acutissima", "Anaretella africana", "Lasiochira congoensis", "Oospila orula", "Bisigneta procerella", "Alectoris graeca whitakeri", "Megaselia fusca", "Megaselia glabrifrons", "Megaselia hirtiventris", "Megaselia hortensis", "Megaselia infraposita", "Megaselia longiseta", "Megaselia mallochi", "Megaselia obscuripennis", "Megaselia parva", "Megaselia pleuralis", "Megaselia propinqua", "Megaselia rivalis", "Megaselia rudis", "Megaselia scutellaris", "Megaselia subpleuralis", "Megaselia subtumida", "Megaselia surdifrons", "Megaselia tumida", "Megaselia uliginosa", "Megaselia unguicularis", "Megaselia vernalis", "Megaselia albicaudata", "Megaselia angelicae", "Megaselia brevicostalis", "Megaselia erecta", "Megaselia gregaria", "Megaselia hirsuta", "Megaselia hirticaudata", "Megaselia involuta", "Megaselia lata", "Megaselia latifrons", "Megaselia longipalpis", "Megaselia lutescens", "Megaselia manicata", "Megaselia maura", "Megaselia nigrescens", "Megaselia pectoralis", "Megaselia rufifrons", "Megaselia serrata", "Megaselia simplex", "Megaselia spinata", "Megaselia spinicincta", "Megaselia supercilata", "Megaselia sylvatica", "Megaselia tarsalis", "Megaselia verralli", "Megaselia angustifrons", "Megaselia breviseta", "Megaselia errata", "Megaselia hyalipennis", "Megaselia longicostalis", "Megaselia major", "Megaselia rubescens", "Megaselia simulans", "Megaselia communiformis", "Megaselia hirticrus", "Megaselia lucifrons", "Megaselia luteipes", "Megaselia mixta", "Megaselia rubida", "Megaselia aculeata", "Megaselia berndeseni", "Megaselia cothurnata", "Megaselia ignobilis", "Megaselia praeacuta", "Megaselia rubicornis", "Megaselia septentrionalis", "Megaselia subnudipennis", "Megaselia unicolor", "Megaselia virilis", "Megaselia brunnea", "Megaselia brunneicornis", "Megaselia incrassata", "Megaselia indigesta", "Megaselia pseudogiraudii", "Megaselia rubella", "Megaselia stigmatica", "Megaselia ustulata", "Megaselia annulipes", "Megaselia clara", "Megaselia latipalpis", "Megaselia offuscata", "Megaselia producta", "Megaselia styloprocta", "Megaselia trichorrhoea", "Megaselia angularis", "Megaselia baltica", "Megaselia brevior", "Megaselia brevissima", "Megaselia deltomera", "Megaselia languescens", "Megaselia perdistans", "Megaselia agnata", "Megaselia albiclava", "Megaselia brevifemorata", "Megaselia congrua", "Megaselia crassilla", "Megaselia dimidia", "Megaselia fortinervis", "Megaselia fuscinula", "Megaselia incontaminata", "Megaselia lateralis", "Megaselia luminifrons", "Megaselia luteoides", "Megaselia pectinifera", "Megaselia pedatella", "Megaselia phoenicura", "Megaselia scabra", "Megaselia scutellariformis", "Megaselia sinuata", "Megaselia spodiaca", "Megaselia sulfurella", "Megaselia tama", "Megaselia tarsicia", "Megaselia trochanterica", "Megaselia variana", "Megaselia abludens", "Megaselia atrosericea", "Megaselia auricoma", "Megaselia basitumida", "Megaselia crassivenia", "Megaselia densior", "Megaselia eccoptomera", "Megaselia exarcuata", "Megaselia excavata", "Megaselia frameata", "Megaselia goidanichi", "Ficus subincisa", "Ficus subpisocarpa", "Ficus subulata", "Ficus sumatrana", "Ficus sundaica", "Ficus superba", "Ficus sur", "Ficus talbotii", "Ficus thonningii", "Ficus tikoua", "Ficus tiliifolia", "Ficus trigonata", "Ficus trimenii", "Ficus tsjakela", "Ficus ulmifolia", "Ficus umbellata", "Ficus vasta", "Ficus velutina", "Ficus villosa", "Ficus virens", "Ficus virgata", "Veronica orsiniana", "Veronica orsiniana subsp. teucrioides", "Veronica orsiniana subsp. orsiniana", "Caloplaca monacensis", "Caloplaca turkensis", "Isoperla curtata", "Isoperla morenica", "Stolotermes australicus", "Stolotermes brunneicornis", "Stolotermes queenslandicus", "Stolotermes victoriensis", "Stolotermes amanoi", "Caloplaca sterilis", "Pilophorus fruticosus", "Conus figulinus", "Meandrina meandrites", "Agrilus andersoni", "Agrilus howdenorum", "Grapsus grapsus", "Juxilyocypris schwarzbachi", "Dryomyia shawiae", "Stephodiplosis nothofagi", "Alphitonia zizyphoides", "Berchemia edgeworthii", "Berchemia polyphylla", "Ceanothus cordulatus", "Ceanothus crassifolius", "Ceanothus cyaneus", "Ceanothus foliosus", "Ceanothus integerrimus", "Ceanothus leucodermis", "Ceanothus megacarpus", "Ceanothus oliganthus", "Ceanothus papillosus", "Ceanothus spinosus", "Ceanothus thyrsiflorus", "Minuartia woronowii", "Proterodiplosis radicis", "Holoneurus aliculatus", "Serratula radiata", "Gagnea tsutaensis", "Megaselia crassicosta", "Megaselia nitidifrons", "Megaselia xanthozona", "Megaselia albicans", "Megaselia campestris", "Megaselia dubitalis", "Megaselia emarginata", "Megaselia fuscinervis", "Megaselia paludosa", "Megaselia rufa", "Megaselia spinigera", "Megaselia aequalis", "Megaselia affinis", "Megaselia alticolella", "Megaselia altifrons", "Megaselia angusta", "Megaselia armata", "Megaselia barbulata", "Megaselia beckeri", "Megaselia collini", "Megaselia conformis", "Megaselia crassipes", "Megaselia discreta", "Megaselia diversa", "Megaselia flavescens", "Megaselia frontalis", "Megaselia fungivora", "Megaselia hilaris", "Megaselia laticrus", "Megaselia pectunculata", "Megaselia protarsalis", "Megaselia pubecula", "Megaselia sordescens", "Megaselia tenuiventris", "Megaselia triquetra", "Megaselia villicauda", "Megaselia curvivenia", "Megaselia flammula", "Megaselia funeralis", "Megaselia kolana", "Megaselia lapponica", "Megaselia oxybelorum", "Megaselia robusta", "Megaselia superfurcata", "Megaselia austera", "Megaselia barbertonia", "Megaselia capillipes", "Megaselia cavifrons", "Megaselia chiloensis", "Megaselia cirriventris", "Megaselia coaetanea", "Megaselia confortata", "Megaselia constrictior", "Megaselia eupygis", "Megaselia furva", "Megaselia fuscopleuralis", "Megaselia llanquihuea", "Megaselia lutella", "Megaselia miki", "Megaselia norica", "Megaselia paricostalis", "Megaselia pectorella", "Megaselia pressifrons", "Megaselia speiseri", "Megaselia subulicauda", "Megaselia sciaricida", "Megaselia subscaura", "Megaselia verna", "Megaselia fuscovariana", "Megaselia grisaria", "Megaselia subfraudulenta", "Megaselia feronia", "Megaselia furcatipennis", "Megaselia fuscoides", "Megaselia hibernans", "Megaselia perfraea", "Megaselia raetica", "Megaselia rupestris", "Megaselia similifrons", "Megaselia tenebricola", "Megaselia acuta", "Megaselia arquata", "Megaselia basiveluta", "Megaselia flavicans", "Megaselia fusciclava", "Megaselia impinguata", "Megaselia intersecta", "Megaselia latericia", "Megaselia mediterranea", "Megaselia montana", "Megaselia perfusca", "Ceanothus \u00d7 flexilis", "Ceanothus \u00d7 pallidus", "Ceanothus \u00d7 veitchianus", "Leptocythere lacustris", "Hesperis bicuspidata", "Hesperis matronalis subsp. matronalis", "Hesperis matronalis subsp. adzharica", "Myzostoma fuscomaculatum", "Helina subpyriforma", "Helina baoshanensis", "Helina gongshanensis", "Helina larginigra", "Helina maae", "Helina pardiabdominis", "Megaselia sericata", "Megaselia specularis", "Megaselia subfuscipes", "Megaselia thalhammeri", "Megaselia valvata", "Megaselia waagei", "Megaselia aequilateralis", "Megaselia angustiata", "Megaselia angustina", "Megaselia apozona", "Megaselia bistruncata", "Megaselia devia", "Megaselia latior", "Megaselia parumlevata", "Megaselia patula", "Megaselia schutti", "Megaselia umbrata", "Lysimachia japonica", "Megaselia comparabilis", "Megaselia aerivaga", "Megaselia introlapsa", "Megaselia marina", "Megaselia piliventris", "Megaselia pollex", "Megaselia ruralis", "Megaselia variegata", "Megaselia badia", "Megaselia cinerea", "Megaselia coei", "Megaselia hibernica", "Megaselia kuenburgi", "Megaselia laticosta", "Megaselia setulipalpis", "Megaselia testacea", "Salix anatolica", "Megaselia crinita", "Megaselia gratiosa", "Megaselia hybrida", "Megaselia largifrontalis", "Megaselia luisieri", "Megaselia oblongifrons", "Megaselia ocilferia", "Megaselia apophysata", "Megaselia ardua", "Megaselia capronata", "Megaselia compacta", "Megaselia incongruens", "Megaselia striolata", "Megaselia undulans", "Megaselia xanthogastra", "Megaselia cirratula", "Megaselia differens", "Megaselia eisfelderae", "Megaselia gargarans", "Megaselia globicornis", "Megaselia intergeriva", "Megaselia intonsa", "Megaselia laeviceps", "Megaselia basicrinalis", "Megaselia eminens", "Megaselia inquinata", "Megaselia ochripes", "Megaselia pachydactyla", "Ilyocypris perigundi", "Ramalodium austroamericanum", "Ramalodium dumosum", "Ramalodium fecundissimum", "Ramalodium japonicum", "Ramalodium neocaledonicum", "Ramalodium succulentum", "Trioceros hanangensis", "Trioceros nyirit", "Gollum suluensis", "Gollum attenuatus", "Lebia lecontei", "Lebia capensis", "Lebia nigra", "Lebia catalai", "Lebia puncticollis", "Lebia princeps", "Chaltenobatrachus grandisonae", "Hypoponera punctatissima", "Hypoponera eduardi", "Hypoponera aprora", "Hypoponera austra", "Hypoponera blanda", "Ilyodromus amplicolis", "Ilyodromus candonites", "Lebia divisa", "Lebia festiva", "Lebia fulvicollis", "Lebia irakensis", "Lebia lucilla", "Lebia pubipennis", "Lebia rufipes", "Lebia rutilicollis", "Lebia viridana", "Trichopsocus coloratus", "Trichopsocus difficilis", "Trichopsocus fastuosus", "Trichopsocus marmoratus", "Trichopsocus maculosus", "Trichopsocus indicutus", "Retanilla trinervia", "Xenopholis werdingorum", "Megaselia trochanteralis", "Megaselia ciliatula", "Megaselia digitalis", "Megaselia doryphora", "Megaselia euryprocta", "Megaselia exsecta", "Megaselia jochiana", "Megaselia teneripes", "Megaselia aquilonia", "Megaselia conformipar", "Megaselia filamentosa", "Seseli paphlagonicum", "Tulipa koyuncui", "Drosophila oahuensis", "Drosophila obscuripes", "Drosophila varipennis", "Drosophila adunca", "Drosophila arcuata", "Drosophila diamphidiopoda", "Drosophila entrichocnema", "Drosophila hemipeza", "Drosophila orthoptera", "Drosophila tanythrix", "Drosophila villosa", "Fritillaria mughlae", "Oecophylla longinoda", "Cladomyrma scopulosa", "Gagea sivasica", "Muscari babachii", "Bellevalia sirnakensis", "Muscari vuralii", "Ornithogalum boucheanum", "Ornithogalum sandrasicum", "Ornithogalum nurdaniae", "Ornithogalum nallihanense", "Crocus antalyensis", "Crocus antalyensis subsp. striatus", "Poa bussmannii", "Conoppia palmicincta", "Conoppia setiformis", "Pyrrhopyge sergius", "Pyrrhopyge sergius sergius", "Pyrrhopyge sergius andronicus", "Pyrrhopyge sergius ganus", "Crepis foetida subsp. rhoeadifolia", "Crepis sancta", "Bennelongia barangaroo", "Bennelongia tunta", "Arhopala agaba", "Arhopala alea", "Arhopala aroa", "Arhopala aroa aroa", "Arhopala aroa esava", "Arhopala aroa pryeri", "Arhopala aurelia", "Arhopala evansi", "Arhopala milleri", "Arhopala normani", "Empoasca biloba", "Arhopala ormistoni", "Laticlerada tasmanica", "Paramahisa kununurraensis", "Neoclerada parainsulicola", "Bennelongia pinpi", "Crumenaria erecta", "Cryptandra amara", "Discaria serratifolia", "Discaria toumatou", "Gouania corylifolia", "Gouania hillebrandii", "Gouania leptostachya", "Gouania lupuloides", "Gouania meyenii", "Gouania napalensis", "Gouania polygama", "Gouania vitifolia", "Karwinskia calderonii", "Karwinskia humboldtiana", "Karwinskia johnstonii", "Chardinia orientalis", "Karwinskia latifolia", "Karwinskia mollis", "Karwinskia parvifolia", "Karwinskia rzedowskii", "Karwinskia subcordata", "Karwinskia umbellata", "Noltea africana", "Phylica plumigera", "Pomaderris ferruginea", "Pomaderris lanigera", "Pomaderris apetala", "Pomaderris edgerleyi", "Pomaderris elliptica", "Pomaderris obcordata", "Pomaderris phylicifolia", "Crepis foetida subsp. foetida", "Pomaderris pilifera", "Pomaderris rugosa", "Xenopholis scalaris", "Xenopholis ungulatus", "Sarracenia rubra subsp. rubra", "Allium tuncelianum", "Linum obtusatum", "Scutellaria orientalis", "Buglossoides incrassata", "Buglossoides tenuiflora", "Ilyodromus dikrus", "Ilyodromus williamsi", "Adlerodea lemba", "Adlerodea modesta", "Adlerodea petrovna", "Naja siamensis", "Uroplatus ebenaui", "Uroplatus fimbriatus", "Reynosia latifolia", "Reynosia septentrionalis", "Rhamnella franguloides", "Rhamnella julianae", "Rhamnidium elaeocarpum", "Sageretia pycnophylla", "Sageretia thea", "Sageretia randaiensis", "Uroplatus phantasticus", "Uroplatus guentheri", "Tropiocolotes steudneri", "Thecadactylus rapicauda", "Stenodactylus petrii", "Stenodactylus sthenodactylus", "Rhoptropus bradfieldi", "Phelsuma laticauda", "Phelsuma cepediana", "Sarracenia rubra subsp. gulfensis", "Arhopala phaenops", "Arhopala phaenops buruensis", "Arhopala phaenops detrita", "Arhopala phaenops phaenops", "Arhopala phaenops sandakani", "Arhopala phaenops termerion", "Eurytoma kuslitzkyi", "Eurytoma cornuta", "Xylocythere turnerae", "Xylocythere pointillissima", "Xylocythere tridentis", "Xylocythere rimosa", "Tiomanaptera malickyi", "Scutia buxifolia", "Smythea macrocarpa", "Ventilago denticulata", "Ventilago madraspatana", "Ventilago viminalis", "Ziziphus apetala", "Pseudoziziphus celata", "Ziziphus horrida", "Sarcomphalus joazeiro", "Ziziphus mauritiana", "Ziziphus melastomoides", "Ziziphus mistol", "Ziziphus mucronata", "Ziziphus nummularia", "Sarcomphalus obtusifolius", "Ziziphus oenopolia", "Ziziphus oxyphylla", "Ziziphus rugosa", "Phelsuma borbonica", "Ziziphus trinervis", "Ziziphus xylopyrus", "Ziziphus guaranitica", "Ziziphus talanae", "Phelsuma dubia", "Phelsuma edwardnewtoni", "Phelsuma flavigularis", "Phelsuma guentheri", "Phelsuma guttata", "Phelsuma inexpectata", "Phelsuma klemmeri", "Alcea hohenackeri", "Phelsuma lineata", "Phelsuma modesta", "Phelsuma nigristriata", "Phelsuma v-nigra", "Phelsuma ornata", "Phelsuma quadriocellata", "Phelsuma robertmertensi", "Phelsuma serraticauda", "Esox americanus americanus", "Esox americanus vermiculatus", "Enyalioides laticeps", "Enyalioides praestabilis", "Enyalioides palpebralis", "Agama atra", "Agama lionotus", "Agama mwanzae", "Anchusa aegyptiaca", "Agama planiceps", "Heliotropium samoliflorum", "Heliotropium samoliflorum subsp. erzurumicum", "Ctenophorus decresii", "Ctenophorus nuchalis", "Ctenophorus reticulatus", "Paralaudakia caucasia", "Laudakia tuberculata", "Spilopsocus ruidus", "Phrynocephalus mystaceus", "Ophisaurus attenuatus", "Cordylus angolensis", "Xylocythere vanharteni", "Cordylus meculae", "Adenostoma sparsifolium", "Lebeda nobilis nobilis", "Lebeda nobilis sinina", "Arhopala phanda", "Arhopala phanda phanda", "Arhopala phanda sibatika", "Lebeda nobilis sumatrana", "Cordylus cordylus", "Colubrina arborescens", "Colubrina asiatica", "Colubrina cubensis", "Colubrina elliptica", "Colubrina oppositifolia", "Colubrina texensis", "Condalia buxifolia", "Condalia microphylla", "Condalia velutina", "Condalia weberbaueri", "Hovenia acerba", "Hovenia tomentella", "Maesopsis eminii", "Paliurus hemsleyanus", "Paliurus orientalis", "Paliurus ramosissimus", "Oecophylla longinoda annectens", "Oecophylla longinoda claridens", "Oecophylla longinoda fusca", "Oecophylla longinoda rubriceps", "Oecophylla longinoda rufescens", "Oecophylla longinoda taeniata", "Oecophylla longinoda textor", "Oecophylla smaragdina", "Trichopsocus chilensis", "Trichopsocus dalii", "Trichopsocus hirtellus", "Trichopsocus brincki", "Bennelongia harpago", "Lebia chrysis", "Lebia coelestis", "Bennelongia australis", "Bennelongia nimala", "Condalia montana", "Hypoponera comis", "Hypoponera defessa", "Hypoponera dema", "Hypoponera dis", "Hypoponera exigua", "Hypoponera faex", "Hypoponera fatiga", "Hypoponera hawkesi", "Hypoponera hebes", "Hypoponera ignavia", "Hypoponera importuna", "Hypoponera jocosa", "Hypoponera juxta", "Hypoponera lassa", "Hypoponera lepida", "Hypoponera meridian", "Hypoponera mixta", "Hypoponera molesta", "Hypoponera obtunsa", "Hypoponera odiosa", "Hypoponera perparva", "Hypoponera producta", "Hypoponera pulchra", "Hypoponera quaestio", "Hypoponera regis", "Hypoponera rigida", "Hypoponera segnis", "Hypoponera surda", "Hypoponera tecta", "Hypoponera tristis", "Hypoponera venusta", "Hypoponera beppin", "Hypoponera nubatama", "Hypoponera abeillei", "Hypoponera angustata", "Hypoponera boerorum", "Hypoponera ursa", "Hypoponera lea", "Hypoponera petiolata", "Hypoponera transvaalensis", "Hypoponera traegaordhi", "Hypoponera sulcatinasis", "Hypoponera spei", "Hypoponera sinuosa", "Hypoponera ragusai", "Hypoponera orba", "Hypoponera occidentalis", "Hypoponera nivariana", "Hypoponera natalensis", "Hypoponera jeanneli", "Hypoponera inaudax", "Hypoponera dulcis", "Hypoponera coeca", "Hypoponera yuhuang", "Hypoponera nangongshana", "Colletia paradoxa", "Colletia spinosissima", "Hypoponera bulawayensis", "Hypoponera camerunensis", "Ectopsocus mclachlani", "Amphisbaena mertensii", "Ectopsocus risdonensis", "Vezdaea acicularis", "Vezdaea aestivalis", "Vezdaea cobria", "Vezdaea dawsoniae", "Vezdaea flava", "Vezdaea foliicola", "Vezdaea leprosa", "Vezdaea obscura", "Vezdaea polyspora", "Vezdaea retigera", "Vezdaea rheocarpa", "Vezdaea stipitata", "Vezdaea schuyleriana", "Thomontocypris brightae", "Thomontocypris gollnerae", "Sphagnum sect.", "Drymocallis glandulosa subsp. ashlandica", "Drymocallis arguta subsp. convallaria", "Drymocallis fissa", "Filipendula multijuga", "Filipendula rubra", "Apoxyria hirtuosa", "Trachymolgus jesusi", "Trachymolgus niggerimus", "Trachymolgus purpureus", "Trachymolgus recki", "Dasiphora arbuscula", "Dasiphora davurica", "Dasiphora parvifolia", "Dasiphora \u00d7 friederichsenii", "Dasiphora \u00d7 rehderiana", "Lyalia curvata", "Kantohia taiwana", "Lyalia albolineata", "Lyalia robusta", "Kollasmosoma sentum", "Neoneurus recticalcar", "Neoneurus vesculus", "Neoneurus clypeatus", "Neoneurus auctus", "Bruneiaptera tarmanni", "Enkopicephalus gibbidorsus", "Enkopicephalus draco", "Rhopalostyla virgata", "Tyrannasorus rex", "Pontocypria spinosa", "Tremella macrobasidiata", "Neillia hanceana", "Neillia incisa", "Neillia tanakae", "Osteomeles anthyllidifolia", "Dillenia indica", "Micarea byssacea", "Physocarpus malvaceus", "Hadena kogurei", "Micarea nowakii", "Apamea hikosana", "Vauquelinia corymbosa", "Apamea kyushuensis", "Micarea tomentosa", "Euplexia splendida", "Ampelocera verrucosa", "Aphananthe aspera", "Aphananthe philippinensis", "Eupsilia unipuncta", "Pertusaria aceroae", "Pertusaria calderae", "Trachyscorpia verai", "Pyrenula darjeelingensis", "Holoptelea integrifolia", "Phyllostylon brasiliensis", "Phyllostylon rhamnoides", "Carlia rubrigularis", "Carlia fusca", "Ectopsocus insularis", "Prochilodus mariae", "Carlia tetradactyla", "Carlia aenigma", "Carlia ailanpalai", "Paracaecilius lemuris", "Paracaecilius globiclypeus", "Paracaecilius hilli", "Chaetodontoplus mesoleucus", "Acanthurus achilles", "Acanthurus bahianus", "Acanthurus blochii", "Palpita contrangusta", "Veronica incana subsp. pallens", "Palpita postundulata", "Palpita aureolina", "Palpita pudicalis", "Veronica incana subsp. incana", "Palpita junctalis", "Semaprochilodus insignis", "Palpita lautopennis", "Palpita grandifalcata", "Palpita monomaculalis", "Palpita majorina", "Palpita pratti pratti", "Palpita pratti immajorina", "Palpita laciniata", "Palpita submarginalis", "Palpita marginalis", "Palpita simplicissima", "Palpita griseofascialis", "Raphia australis", "Veronica pinnata subsp. pinnata", "Echmepteryx madagascariensis", "Iliffeoecia iliffei", "Pontechium maculatum var. maculatum", "Pontechium maculatum var. acutifolium", "Phyllodes consobrina", "Phyllodes consobrina consobrina", "Phyllodes consobrina hinomaru", "Mocis kagoshimaensis", "Pangrapta edai", "Pseudogyrtona masayukitanakai", "Hypena yoshimatsui", "Acropora abrolhosensis", "Kuromondokuga niphonis", "Kuromondokuga niphonis niphonis", "Kuromondokuga niphonis nanlingensis", "Kidokuga piperita", "Kidokuga torasan", "Echium sect.", "Lebeda nobilis malaccana", "Cordylus niger", "Karusasaurus polyzonus", "Lebeda cognata", "Cordylus tropidosternum", "Lebeda agnata", "Smaug warreni", "Lebeda brauni", "Cordylus jonesii", "Platysaurus broadleyi", "Metanastria aconyta", "Platysaurus imperator", "Platysaurus intermedius", "Gastropacha deruna", "Antaresia childreni", "Antaresia maculosa", "Antaresia stimsoni", "Amphisbaena alba", "Betta pallifina", "Arhopala sublustris", "Arhopala sublustris karnyi", "Arhopala sublustris ralanda", "Arhopala sublustris ridleyi", "Arhopala sublustris sublustris", "Arhopala selta", "Arhopala selta constanceae", "Arhopala selta hislopi", "Arhopala selta selta", "Arhopala vihara", "Arhopala vihara hirava", "Arhopala vihara pagia", "Arhopala vihara vihara", "Arhopala aruana", "Arhopala ate", "Paradoxostoma turnerae", "Kareloecia woutersi", "Kareloecia minacis", "Aplysina aerophoba", "Cecropia pachystachya", "Cecropia palmata", "Cecropia schreberiana", "Cecropia concolor", "Cecropia polystachya", "Debregeasia longifolia", "Debregeasia salicifolia", "Didymodoxa caffra", "Mepleres yeni", "Mepleres rotundatus", "Mepleres crenulatus", "Mepleres pallidus", "Formica bradleyi", "Abronia graminea", "Acanthodactylus scutellatus", "Veronica anagallis-aquatica subsp. oxycarpa", "Veronica anagallis-aquatica subsp. anagallis-aquatica", "Planera aquatica", "Vipera albizona", "Vipera nikolskii", "Palpita angusta", "Vipera palaestinae", "Palpita rhodocosta", "Prochilodus vimboides", "Zelkova abelicea", "Zelkova schneideriana", "Vipera renardi", "Zelkova serrata", "Palpita crococosta", "Zelkova sinica", "Zelkova verschaffeltii", "Palpita obsolescens", "Palpita illustrata", "Lozanella enantiophylla", "Palpita subillustrata", "Palpita rhodocosta rhodocosta", "Palpita rhodocosta erythraia", "Palpita austrounionalis", "Boehmeria nivea", "Boehmeria caudata", "Boehmeria clidemioides", "Boehmeria cylindrica", "Boehmeria densiflora", "Boehmeria japonica", "Boehmeria penduliflora", "Palpita micronesica", "Palpita pilosalis", "Palpita eupilosalis", "Palpita javanica", "Palpita margaritacea", "Palpita candicantis", "Palpita uedai", "Palpita notabilis", "Semaprochilodus brama", "Palpita argoleuca", "Acanthurus chirurgus", "Acanthurus dussumieri", "Acanthurus guttatus", "Acanthurus japonicus", "Acanthurus leucopareius", "Acanthurus leucosternon", "Acanthurus mata", "Acanthurus nigricauda", "Acanthurus nigrofuscus", "Acanthurus nigroris", "Acanthurus olivaceus", "Acanthurus pyroferus", "Acanthurus sohal", "Acanthurus tennentii", "Acanthurus thompsoni", "Acanthurus xanthopterus", "Dillenia triquetra", "Rhynchina pionealis", "Rhynchina cramboides", "Rhynchina obliqualis", "Rhynchina morosa", "Rhynchina albidula", "Rhynchina innotata", "Rhynchina cretacea", "Prochilodus reticulatus", "Rhynchina caerulescens", "Rhynchina albiluna", "Rhynchina striga", "Rhynchina uniformis", "Rhynchina changyangis", "Prochilodus rubrotaeniatus", "Rhynchina mandarinalis", "Rhynchina pallidinota", "Rhynchina angulifascia", "Rhynchina biformatalis", "Rhynchina barbarae", "Rhynchina plusioides", "Rhynchina sagittata", "Rhynchina leucogonia", "Rhynchina vartianae", "Rhynchina albistriga", "Rhynchina lignicolor", "Rhynchina sigillata", "Rhynchina endoleuca", "Rhynchina angulata", "Britha ides", "Rhynchina panczelosi", "Hypena erikae", "Hypena extremipalpis", "Hypena monikae", "Hypena sabinis", "Hypena veronikae", "Hywoolla jeremyi", "Hywoolla adda", "Hywoolla albapex", "Hywoolla stidzeras", "Catocala agitatrix agitatrix", "Catocala agitatrix shaanxiensis", "Catocala agitatrix kobayashii", "Epodonta colorata", "Cabera insulata", "Smerinthus visinskasi", "Areas galactina", "Areas galactina galactina", "Areas galactina orientalis", "Areas galactina khasiana", "Areas galactina ochracea", "Areas galactina formosana", "Areas galactina latifascia", "Areas galactina trigonalis", "Areas galactina inouei", "Areas galactina hollowayi", "Areas galactina owadai", "Cypridopsis inaudita", "Cypridopsis rhomboidea", "Mepleres posticus", "Mepleres circularis", "Mepleres fasciatus", "Mepleres hollowayi", "Acanthus dioscoridis", "Muscari bourgaei", "Verbascum gypsicola", "Echium wildpretii subsp. wildpretii", "Thymus sipyleus", "Echium wildpretii subsp. trichosiphon", "Salvia aytachii", "Palpita griseofascialis griseofascialis", "Palpita griseofascialis sumatrana", "Palpita hollowayi", "Palpita rotundalis", "Eudonia inouei", "Eudonia puellaris", "Eudonia owadai", "Eudonia gigantea", "Eudonia umbrosa", "Eudonia albilinea", "Eudonia taiwanalpina", "Micraglossa aenealis", "Faveria subdasyptera", "Omiodes tristrialis", "Omiodes nipponalis", "Omiodes indistinctus", "Poecilocampa morandiini", "Poecilocampa neka", "Poecilocampa populi", "Poecilocampa populi populi", "Poecilocampa populi pontica", "Poecilocampa populi coluchei", "Poecilocampa alpina", "Poecilocampa alpina alpina", "Poecilocampa alpina canensis", "Poecilocampa tenera", "Poecilocampa tamanukii", "Eterusia aedea sugitanii", "Candonocypris incosta", "Spilarctia strigatula", "Pyrrhopyge sergius andros", "Pyrrhopyge sergius selina", "Pyrrhopyge sergius semana", "Pyrrhopyge sergius josephina", "Pyrrhopyge telassa", "Pyrrhopyge telassa telassa", "Pyrrhopyge proculus", "Pyrrhopyge proculus proculus", "Pyrrhopyge proculus lina", "Ochropyge ruficauda", "Pachyneuria inops", "Zera eboneus", "Pheraeus montes", "Ceanothus americanus", "Ceanothus arboreus", "Ceanothus coeruleus", "Ceanothus dentatus", "Ceanothus fendleri", "Ceanothus ferrisiae", "Ceanothus gloriosus", "Ceanothus griseus", "Ceanothus herbaceus", "Ceanothus impressus", "Ceanothus incanus", "Ceanothus jepsonii", "Ceanothus martini", "Ceanothus ophiochilus", "Ceanothus prostratus", "Ceanothus pumilus", "Ceanothus purpureus", "Ceanothus roderickii", "Ceanothus sanguineus", "Ceanothus velutinus", "Ceanothus \u00d7 delileanus", "Echium sect.", "Echium sect.", "Candonocypris pugionis", "Echium sect.", "Echium sect.", "Echium sect.", "Echium sect.", "Echium sect.", "Urodeta inusta", "Planococcus citri", "Mompha solomoni", "Aacanthocnema burckhardti", "Aacanthocnema huegelianae", "Aacanthocnema luehmannii", "Aacanthocnema torulosae", "Aacanthocnema casuarinae", "Aacanthocnema dobsoni", "Trioza banksiae", "Trioza panacis", "Trioza doryphora", "Trioza adventicia", "Trioza alseuosmiae", "Trioza australis", "Trioza compressa", "Acanthocasuarina acutivalvis", "Acanthocasuarina campestris", "Acanthocasuarina diminutae", "Acanthocasuarina muellerianae", "Acanthocasuarina tasmanica", "Acanthocasuarina verticillatae", "Astragalus micropterus", "Alchemilla ciminensis", "Poa alpina subsp. fallax", "Acrochordus granulatus", "Poa angustifolia", "Bellardiochloa polychroa", "Ectopsocus ambulans", "Ectopsocus graminus", "Ectopsocus hickmani", "Ectopsocus sprenti", "Ectopsocus coyae", "Megarhyssa nortoni", "Cypridopsis niagranensis", "Coenonympha amaryllis", "Coenonympha ampelos", "Coenonympha arcania", "Coenonympha arcanioides", "Coenonympha caeca", "Coenonympha california", "Coenonympha corinna", "Coenonympha darwiniana", "Coenonympha elbana", "Coenonympha fettigii", "Coenonympha glycerion", "Coenonympha haydenii", "Echium hierrense", "Coenonympha hero", "Coenonympha inornata", "Saicella smithi", "Saicella lilinoe", "Saicella kipahulu", "Saicella usingeri", "Saicella mulli", "Saicella perkinsi", "Coenonympha iphioides", "Coenonympha kodiak", "Coenonympha leander", "Coenonympha mahometana", "Coenonympha mangeri", "Coenonympha mongolica", "Coenonympha nolckeni", "Coenonympha ochracea", "Coenonympha oedippus", "Coenonympha pamphilus", "Coenonympha pavonina", "Coenonympha rhodopensis", "Coenonympha saadi", "Coenonympha semenovi", "Coenonympha sinica", "Coenonympha sunbecca", "Coenonympha symphita", "Coenonympha thyrsis", "Coenonympha tullia", "Coenonympha vaucheri", "Coenonympha xinjiangensis", "Coenonympha tydeus", "Echium onosmifolium", "Echium onosmifolium subsp. onosmifolium", "Echium onosmifolium subsp. spectabile", "Underwoodisaurus seorsus", "Underwoodisaurus milii", "Uvidicolus sphyrurus", "Echium portosanctense", "Cypridopsis okeechobei", "Allorattus engesseri", "Pseudobiston pinratanai", "Equus hydruntinus", "Ourapteryx dierli", "Pycnonotus bimaculatus tenggerensis", "Equus lambei", "Nyctemera luzonensis", "Nyctemera angustipennis", "Saiga borealis", "Nyctemera apoensis", "Promanawa australiensis", "Promanawa konishii", "Assara inouei", "Hesperocnide sandwicensis", "Laportea aestuans", "Plinthisus woodwardi", "Plinthisus tineoides", "Plinthisus afer", "Plinthisus herbarum", "Plinthisus patruelis", "Plinthisus kilimensis", "Smilax excelsa", "Pactola demissa", "Pactola fairburni", "Pactola hudsoni", "Pactola posticalis", "Triskelionia tricerata", "Triskelionia compacta", "Echium vulgare subsp. vulgare", "Euproctis angulata", "Stictoptera trajiciens", "Stictoptera repleta", "Quedius bicoloris", "Urtica chamaedryoides", "Urtica pilulifera", "Urtica simensis", "Bulnesia retama", "Guaiacum coulteri", "Guaiacum unijugum", "Larrea divaricata", "Porlieria microphylla", "Alkanna sect.", "Alkanna orientalis subsp. integrifolia", "Ceratobaeus acrotonus", "Alkanna orientalis subsp. orientalis", "Scoparia nipponalis", "Scoparia ancipitella", "Scoparia utsugii", "Ceratobaeus ziai", "Scoparia yamanakai", "Scoparia ambigualis", "Scoparia molestalis", "Scoparia stoetzneri", "Scoparia submedinella", "Scrobipalpa aganophthalma", "Scrobipalpa aptatella", "Scrobipalpa artemisiella", "Scrobipalpa artemisiella artemisiella", "Scrobipalpa artemisiella mongolensis", "Scrobipalpa atriplicella", "Scrobipalpa bryophiloides", "Scrobipalpa candicans", "Scrobipalpa caryocoloides", "Trioza crinita", "Trioza dacrydii", "Trioza decurvata", "Trioza discariae", "Trioza flavida", "Trioza gourlayi", "Trioza hebicola", "Trioza latiforceps", "Trioza obscura", "Trioza parvipennis", "Trioza schefflericola", "Trioza scobina", "Trioza subvexa", "Trioza acuta", "Trioza bifida", "Trioza colorata", "Trioza curta", "Trioza emarginata", "Trioza equalis", "Trioza falcata", "Trioza fasciata", "Trioza irregularis", "Trioza obfusca", "Trioza styligera", "Trioza subacuta", "Trioza dentiforceps", "Cypridopsis mexicana", "Cypridopsis yucatanensis", "Ectopsocus edwardsi", "Ectopsocus spiculatus", "Stictoptera signifera", "Echium creticum subsp. granatense", "Neocypridopsis yucatanensis", "Echium creticum subsp. creticum", "Candona fossiliformis", "Dextella alleni", "Dextella khaoyaiana", "Dextella flavus", "Paradoxica parki", "Paradoxica asymmetrica", "Paradoxica proxima", "Dorsum brunescens", "Laportea bulbifera", "Laportea canadensis", "Laportea interrupta", "Musanga cecropioides", "Myrianthus arboreus", "Myrianthus libericus", "Myriocarpa densiflora", "Myriocarpa longipes", "Parietaria pensylvanica", "Neraudia angulata", "Neraudia ovata", "Neraudia sericea", "Minuartia anatolica", "Minuartia aizoides", "Echium italicum subsp. biebersteinii", "Anolis chamaeleonides", "Sattleria pyrenaica", "Sattleria dzieduszyckii", "Sattleria arcuata", "Sattleria angustispina", "Sattleria breviramus", "Sattleria styriaca", "Sattleria izoardi", "Sattleria marguareisi", "Sattleria triglavica", "Odocoileus hemionus sitkensis", "Hyphessobrycon sweglesi", "Neocypridopsis debilis", "Myiocnema comperei", "Neocypridopsis mexicana", "Neocypridopsis inaudita", "Eunotiscus gahani", "Eunotiscus hypogaeus", "Euryischia indica", "Euryischia inopinata", "Euryischia lestophoni", "Euryischia leucopidis", "Euryischia melancholica", "Euryischia nigra", "Euryischia nigrella", "Euryischia psyllae", "Euryischia sumneri", "Euryischia unmaculatipennis", "Elatostema monandrum", "Forsskaolea angustifolia", "Gesnouinia arborea", "Girardinia diversifolia", "Saxifraga sibirica", "Saxifraga exarata", "Saxifraga cymbalaria", "Seetzenia lanata", "Pardoglossum cheirifolium", "Pardoglossum cheirifolium subsp. cheirifolium", "Ribes biebersteinii", "Chionodes abitus", "Chionodes aleo", "Chionodes gerdius", "Chionodes hospes", "Chionodes lictor", "Chionodes macor", "Chionodes messor", "Chionodes morus", "Chionodes nepos", "Chionodes nitor", "Chionodes obelus", "Chionodes petro", "Chionodes powelli", "Chionodes pulvis", "Chionodes tributor", "Erechthias aspera", "Erechthias beeblebroxi", "Erechthias celestra", "Erechthias cirrhogramma", "Erechthias hoguei", "Brachyta borni", "Neoxychirota isolata", "Kallstroemia californica", "Kallstroemia grandiflora", "Kallstroemia hirsutissima", "Kallstroemia maxima", "Kallstroemia parviflora", "Kallstroemia perennans", "Neoluederitzia sericocarpa", "Tribulus cistoides", "Tribulus micrococcus", "Tribulus pentandrus", "Pilea glaberrima", "Pilea melastomoides", "Pilea pubescens", "Pilea serpyllifolia", "Poikilospermum amboinense", "Poikilospermum diffusum", "Poikilospermum suaveolens", "Pourouma cecropiifolia", "Pourouma acuminata", "Pourouma bicolor", "Pourouma guianensis", "Pourouma melinonii", "Pourouma minor", "Pourouma mollis", "Pourouma tomentosa", "Soleirolia soleirolii", "Touchardia latifolia", "Urera baccifera", "Urera caracasana", "Urera kaalae", "Urera obovata", "Bucculatrix humiliella", "Arripis georgianus", "Hista fabricii", "Microglanis iheringi", "Hista hegemon", "Jankowskia athleta", "Jankowskia taiwanensis", "Jankowskia fuscaria", "Jankowskia fuscaria fuscaria", "Jankowskia fuscaria naitoi", "Jankowskia pseudathleta", "Jankowskia bituminaria", "Jankowskia bituminaria bituminaria", "Jankowskia bituminaria raddensis", "Geophis occabus", "Brachyta amurensis", "Alkanna sect.", "Protandrena amyae", "Protandrena femoralis", "Neocypridopsis nana", "Schaeferiana incompleta", "Sensillonychiurus amuricus", "Sensillonychiurus vitimicus", "Sensillonychiurus mirus", "Sensillonychiurus taimyrensis", "Sensillonychiurus vegae", "Sensillonychiurus geminus", "Sensillonychiurus eisi", "Sensillonychiurus minusculus", "Sensillonychiurus virginis", "Allonychiurus unisetosus", "Allonychiurus subvolinensis", "Allonychiurus elikonius", "Allonychiurus asiaticus", "Lobostemon sect.", "Lobostemon sect.", "Lobostemon sect.", "Lobostemon sect.", "Anolis chocorum", "Anolis christophei", "Anolis chrysolepis", "Anolis clivicola", "Anolis cobanensis", "Anolis coelestinus", "Anolis compressicauda", "Anolis concolor", "Anolis confusus", "Anolis conspersus", "Anolis cooki", "Anolis crassulus", "Dorsum kwaii", "Dorsum teraii", "Dorsum bengali", "Dorsum atlas", "Dignius buchsbaumi", "Fustius sterlingi", "Fustius malaysiensis", "Fustius parasensora", "Fustius sensora", "Fustius biextuta", "Fustius extuta", "Fustius gregerseni", "Fustius s-forma", "Fustius papei", "Rubus platyphyllos", "Ilyocypris schwarzbachi", "Obscurior lateraprocessa", "Obscurior clarus", "Pilea cadierei", "Pilea microphylla", "Obscurior niasiensis", "Pilea nummulariifolia", "Pilea parietaria", "Obscurior fragilis", "Pilea semidentata", "Pilea serpyllacea", "Obscurior davisi", "Anolis charlesmyersi", "Anolis chloris", "Anolis chlorocyanus", "Echium italicum subsp. italicum", "Echium italicum subsp. scaettae", "Echium italicum subsp. siculum", "Echium cantabricum", "Notoplocaptera hainanensis", "Caiaptera picea", "Potamocypris schubarti", "Hainanmezira latiscutellata", "Echium sabulicola subsp. decipiens", "Potamocypris bituminicola", "Puffinus bryani", "Echium sabulicola subsp. sabulicola", "Atissa antennalis", "Atissa hepaticoloris", "Atissa kairensis", "Atissa kerteszi", "Atissa limosina", "Atissa litoralis", "Atissa luteipes", "Atissa mimula", "Atissa oahuensis", "Atissa pygmaea", "Turpinia arguta", "Turpinia arguta var. pubescens", "Scrobipalpa chinensis", "Scrobipalpa chitensis", "Scrobipalpa coctans", "Scrobipalpa cryptica", "Scrobipalpa divergens", "Scrobipalpa erichi", "Scrobipalpa fraterna", "Scrobipalpa gobica", "Scrobipalpa gozmanyi", "Scrobipalpa grisea", "Scrobipalpa indignella", "Scrobipalpa intima", "Scrobipalpa japonica", "Scrobipalpa pauperella", "Scrobipalpa kyrana", "Scrobipalpa magnificella", "Scrobipalpa maniaca", "Scrobipalpa mongolica", "Scrobipalpa mongoloides", "Scrobipalpa nigrosparsea", "Scrobipalpa nitentella", "Rosa boissieri", "Scrobipalpa obsoletella", "Scrobipalpa paradoxa", "Scrobipalpa parki", "Scrobipalpa pulchra", "Rosa dumalis var. boissieri", "Scrobipalpa pseudolutea", "Scrobipalpa reiprichi", "Scrobipalpa sattleri", "Scrobipalpa similis", "Scrobipalpa smithi", "Scrobipalpa solitaria", "Scrobipalpa submagnificella", "Scrobipalpa vartianorum", "Australiopalpa bumerang", "Australiopalpa commoni", "Australiopalpa tristis", "Ypsolopha contractella", "Ypsolopha acuminatus", "Ypsolopha amoenella", "Brachyta balcanica", "Alkanna orientalis var. orientalis", "Alkanna orientalis var. leucantha", "Morkillia acuminata", "Morkillia mexicana", "Viscainoa geniculata", "Assara pallidella", "Eulamprus brachyosoma", "Clarias gariepinus", "Eulamprus frerei", "Clarias stappersii", "Eulamprus heatwolei", "Eulamprus kosciuskoi", "Clarias nieuhofii", "Tumbunascincus luteilateralis", "Manawa konishii", "Acrobasis curvella", "Eulamprus martini", "Silvascincus murrayi", "Gastromyzon fasciatus", "Ortholepis betulae", "Eulamprus sokosoma", "Concinnia tenuis", "Eulamprus tigrinus", "Silvascincus tryoni", "Eulamprus tympanum", "Acontias aurantiacus", "Acontias bicolor", "Acontias breviceps", "Acontias cregoi", "Pseudosyria dilutella", "Pseudosyria gracilis", "Acontias gariepensis", "Melanotaenia boesemani", "Melanotaenia duboulayi", "Acontias gracilicauda", "Melanotaenia fluviatilis", "Melanotaenia herbertaxelrodi", "Acontias jappi", "Melanotaenia lacustris", "Acontias litoralis", "Melanotaenia praecox", "Melanotaenia splendida", "Elachista cordata", "Urodeta absidata", "Urodeta acerba", "Urodeta aculeata", "Urodeta bucera", "Urodeta crenata", "Urodeta cuspidis", "Urodeta faro", "Urodeta talea", "Urodeta tortuosa", "Sattleria karsholti", "Sattleria cottiella", "Sattleria graiaeella", "Sattleria basistrigella", "Sattleria melaleucella", "Erechthias pentatypa", "Erechthias percnomicta", "Cyprinotus giesbrechtii", "Erechthias perfumata", "Erechthias physocapna", "Erechthias platydelta", "Erechthias psammaula", "Cypris madagascarensis", "Arabidopsis lyrata", "Arabis scopoliana", "Arabis kazbegi", "Arabis \u00d7 arendsii", "Arabis \u00d7 kellereri", "Biscutella cichoriifolia", "Biscutella didyma", "Biscutella frutescens", "Biscutella glacialis", "Biscutella intermedia", "Biscutella lusitanica", "Biscutella megacarpaea", "Biscutella scaposa", "Biscutella sempervirens", "Biscutella valentina", "Biscutella variegata", "Colias myrmidone", "Colias christophi", "Symphytum \u00d7 hidcotense", "Erechthias retorta", "Erechthias rufimacula", "Erechthias thraumatias", "Erechthias epispora", "Comodica crypsicroca", "Comodica drepanosema", "Comodica lucinda", "Comodica ordinata", "Ceratobaeus undeneya", "Ceratobaeus usmani", "Ceratobaeus wattora", "Ceratobaeus weemayourula", "Ceratobaeus yasini", "Ceratobaeus yousufi", "Ceratobaeus zafari", "Ceratobaeus zebae", "Ceratobaeus ater", "Ceratobaeus aureus", "Ceratobaeus australicus", "Ceratobaeus clavisegmentus", "Ceratobaeus clubionus", "Ceratobaeus cuspicornutus", "Ceratobaeus fasciativentris", "Ceratobaeus fasciatus", "Ceratobaeus faunus", "Ceratobaeus flavicorpus", "Ceratobaeus flavios", "Ceratobaeus flavipes", "Ceratobaeus flaviventris", "Ceratobaeus giraulti", "Ceratobaeus grandis", "Ceratobaeus intrudae", "Ceratobaeus laeviventris", "Ceratobaeus lamponae", "Ceratobaeus leai", "Ceratobaeus longicornutus", "Ceratobaeus maculatus", "Ceratobaeus mainae", "Ceratobaeus masneri", "Ceratobaeus mirabilis", "Ceratobaeus parvicornutus", "Ceratobaeus platycornutus", "Ceratobaeus rieki", "Ceratobaeus setosus", "Ceratobaeus varicornis", "Ceratobaeus elongatus", "Alyssoides utriculata", "Erechthias darwini", "Erechthias incongrua", "Erechthias penicillata", "Erechthias phaeoptera", "Erechthias richardella", "Comodica signata", "Erechthias saitoi", "Erechthias tritogramma", "Erechthias centroscia", "Erechthias contributa", "Erechthias oxymacha", "Erechthias phileris", "Erechthias polyspila", "Erechthias symmacha", "Erechthias caustophara", "Phthinocola dochmia", "Erechthias chasmatias", "Erechthias chionodira", "Erechthias crypsimima", "Erechthias decoranda", "Erechthias glossophora", "Erechthias graphicopa", "Erechthias indicatrix", "Erechthias stilbella", "Pisistrata trypheropa", "Polygonatum sect.", "Callicerastis stagmatias", "Polygonatum sect.", "Erechthias pandani", "Erechthias praedatrix", "Erechthias semifusca", "Erechthias strangulata", "Erechthias cyanosticta", "Erechthias orchestris", "Erechthias photophanes", "Erechthias glyphidaula", "Erechthias mucronata", "Erechthias deloneura", "Erechthias epomadia", "Erechthias niphoplaca", "Erechthias notophanes", "Erechthias cursoriatella", "Erechthias iseres", "Erechthias sinapifera", "Erechthias capnitis", "Erechthias trigonosema", "Erechthias diacrita", "Erechthias erebocosma", "Erechthias scythromorpha", "Erechthias oxytona", "Petula phalarata", "Thuriostoma homalospora", "Hapsifera gypsophaea", "Pseudocaecilius villosus", "Blennodia pterosperma", "Acmaeodera flavomarginata", "Scathophaga stercoraria", "Ptereleotris heteroptera", "Trithemis arteriosa", "Polygonatum odoratum var. maximowiczii", "Junco hyemalis hyemalis", "Polygonatum odoratum var. thunbergii", "Polygonatum odoratum var. pluriflorum", "Polygonatum odoratum var. odoratum", "Erechthias euthydroma", "Erechthias exospila", "Erechthias externella", "Octopus minor", "Erechthias fulguritella", "Erechthias hemiclistra", "Erechthias indicans", "Erechthias lychnopa", "Erechthias macrozyga", "Erechthias monastra", "Erechthias strigata", "Erechthias terminella", "Erechthias acontotypa", "Erechthias articulosa", "Erechthias elaeorrhoa", "Erechthias acroleuca", "Erechthias celetica", "Erechthias polionota", "Erechthias polyplecta", "Erechthias ancistrosema", "Erechthias niphadopla", "Augea capensis", "Onosma sect.", "Fagonia arabica", "Fagonia cretica", "Odontolabis striata", "Tetraena alba", "Tetraena coccinea", "Tetraena decumbens", "Tetraena dumosa", "Tetraena microcarpa", "Tetraena simplex", "Plectrocarpa rougesii", "Plectrocarpa tetracantha", "Zygophyllum eurypterum", "Zygophyllum potaninii", "Zygophyllum xanthoxylum", "Akania bidwillii", "Zonocypris hispida", "Zonocypris madagascarensis", "Zonocypris elegans", "Ceratobaeus ajmali", "Ceratobaeus alveus", "Ceratobaeus amiti", "Ceratobaeus anjumi", "Ceratobaeus anmarae", "Ceratobaeus ashmeadi", "Ceratobaeus athysanus", "Ceratobaeus ayeshae", "Ceratobaeus azhari", "Ceratobaeus balli", "Ceratobaeus berryae", "Ceratobaeus bethae", "Ceratobaeus boolool", "Ceratobaeus bouceki", "Ceratobaeus buntor", "Ceratobaeus cabon", "Ceratobaeus cardaleae", "Ceratobaeus dillonae", "Ceratobaeus doddi", "Ceratobaeus eumorphus", "Ceratobaeus evelineae", "Ceratobaeus extraordinarius", "Ceratobaeus feckneri", "Ceratobaeus fieldi", "Ceratobaeus fionae", "Ceratobaeus gallowayi", "Ceratobaeus goobita", "Scelio amoenus", "Scelio asperatus", "Scelio australiensis", "Scelio bipartitus", "Scelio chortoicetes", "Scelio concinnus", "Scelio contractus", "Scelio cruentatus", "Scelio diemenensis", "Scelio erythropus", "Scelio flavicornis", "Scelio fulgidus", "Scelio fulvithorax", "Scelio gobar", "Scelio ignobilis", "Scelio improcerus", "Scelio littoralis", "Scelio locustae", "Scelio nigricornis", "Scelio nigricoxa", "Scelio nigriscutellum", "Scelio nigrobrunneus", "Scelio notabilis", "Scelio orientalis", "Scelio parvicornis", "Scelio perspicuus", "Scelio pilosifrons", "Scelio pilosus", "Scelio planithorax", "Scelio punctaticeps", "Scelio semisanguineus", "Scelio striatifacies", "Scelio sulcaticeps", "Scelio varipunctatus", "Lobocaecilius monicus", "Lobocaecilius cynara", "Lobocaecilius fennecus", "Lobocaecilius nigrens", "Lobocaecilius carinifex", "Lobocaecilius longifurca", "Lobocaecilius drepanus", "Lobocaecilius pahangensis", "Lobocaecilius viridis", "Lobocaecilius pilosus", "Lobocaecilius ligur", "Lobocaecilius thorntoni", "Comodica polygrapta", "Comodica semiades", "Comodica tetracercella", "Comodica tigrina", "Erechthias acontistis", "Erechthias aellophora", "Erechthias dochmogramma", "Erechthias sphenotoma", "Mecomodica fullawayi", "Comodica cirrhopolia", "Erechthias acrodina", "Erechthias charadrota", "Canthigaster rivulata", "Lysiteles minimus", "Cladioneura foliata", "Cladioneura punctata", "Cladioneura pulchripennis", "Mepleres alettae", "Symphytum tuberosum subsp. tuberosum", "Symphytum tuberosum subsp. angustifolium", "Mepleres yenoides", "Mepleres tanei", "Mepleres papillosus", "Busycon contrarium", "Heterocaecilius mouldsi", "Heterocaecilius rotundus", "Cypris vavrai", "Cypris strandesioides", "Mepleres medialis", "Levucaecilius hilli", "Cypris clavigera", "Heterocaecilius lachlani", "Heterocaecilius variabilis", "Phallocaecilius hirsutus", "Pseudocaecilius funestus", "Baeus arthuri", "Baeus glenysae", "Baeus hallarakeri", "Baeus iqbali", "Baeus jenningsi", "Baeus maryae", "Baeus matthewi", "Baeus moorei", "Baeus murphyi", "Baeus mymyae", "Baeus ocellatus", "Baeus prolatusspissus", "Baeus scrobiculus", "Baeus spirolimbus", "Baeus tropaeumusbrevis", "Baeus tropaeumusdensus", "Baeus vulcanus", "Baeus dux", "Baeus leai", "Baeus saliens", "Scelio anmarae", "Scelio annae", "Scelio anyirambo", "Scelio borroloolensis", "Scelio bronae", "Scelio doddi", "Scelio flavigaster", "Scelio gallowayi", "Scelio grbini", "Scelio jokentae", "Scelio joni", "Scelio mannesi", "Scelio mareebaensis", "Scelio matthewsi", "Scelio meridionalis", "Scelio mikei", "Scelio nanocuspis", "Scelio naumanni", "Scelio petilus", "Scelio pigotti", "Scelio pseudaustralis", "Scelio reticulatum", "Scelio schmelio", "Scelio setafascis", "Scelio tasmaniensis", "Scelio unidentis", "Scelio zborowskii", "Hapsifera lecithala", "Hapsifera lithocentra", "Hapsifera luteata", "Hapsifera marmarota", "Hapsifera meliceris", "Hapsifera niphoxantha", "Hapsifera ochroptila", "Hapsifera rhodoptila", "Hapsifera richteri", "Hapsifera septica", "Hapsifera cristinae", "Hapsifera equatorialis", "Boechera divaricarpa", "Boechera fecunda", "Boechera fendleri", "Boechera hoffmannii", "Boechera holboellii", "Boechera koehleri", "Boechera perennans", "Boechera platysperma", "Boechera puberula", "Boechera rigidissima", "Boechera sparsiflora", "Hapsifera euschema", "Tiquadra albescens", "Tiquadra atomarcha", "Tiquadra enstacta", "Tiquadra etiennei", "Tiquadra guillermeti", "Parochmastis dromaea", "Parochmastis hilderi", "Parochmastis phaeosema", "Parochmastis styracodes", "Tiquadra gypsatma", "Tiquadra halithea", "Tiquadra inophora", "Brassica nivalis", "Brassica \u00d7 harmsiana", "Potamogeton natans", "Morchella conica", "Elpidium bromeliarum", "Camelina alyssum", "Camelina hispida", "Camelina laxa", "Camelina sativa", "Capsella grandiflora", "Cardamine bonariensis", "Cardamine concatenata", "Cardamine cordifolia", "Cardamine diphylla", "Cardamine douglassii", "Cardamine lyrata", "Cardamine maxima", "Cardamine micranthera", "Cardamine nuttallii", "Agorarcha illapsa", "Pontodryas loxosema", "Erechthias ancostyla", "Erechthias capnographa", "Erechthias discreta", "Erechthias dissepta", "Erechthias emphera", "Erechthias eurylyta", "Erechthias eustropha", "Erechthias fibrivora", "Erechthias heliotoxa", "Erechthias heterogramma", "Erechthias inclinata", "Erechthias inculta", "Erechthias leucocyma", "Erechthias malthaca", "Erechthias methodica", "Erechthias molynta", "Erechthias ophiocypha", "Erechthias platyrrhyncha", "Erechthias scorpiura", "Erechthias simulans", "Erechthias sisyranthes", "Erechthias sphenacma", "Erechthias sphenotona", "Erechthias spodomicta", "Erechthias subridens", "Erechthias symphyas", "Erechthias synclera", "Erechthias thrasymacha", "Erechthias trichalca", "Erechthias trichodora", "Comodica coarctata", "Erechthias coprosoma", "Erechthias melanospila", "Erechthias pagophila", "Erechthias amphibaphes", "Erechthias antimicras", "Erechthias carpophthora", "Erechthias clistopa", "Erechthias coleosema", "Erechthias coniochra", "Erechthias cretosa", "Cypridopsis aldabrae", "Erechthias diplorhiza", "Erechthias disjuncta", "Erechthias dissimulans", "Erechthias dracaenura", "Erechthias eriophysa", "Erechthias flavistriata", "Erechthias gephyrias", "Erechthias heterostoma", "Erechthias hyperacma", "Erechthias lampadacma", "Erechthias limenodes", "Cyprinotus symmetricus", "Erechthias melanostropha", "Erechthias monstruosa", "Erechthias pachygramma", "Erechthias pelotricha", "Symphytum \u00d7 foliosum", "Lobocaecilius arcuatus", "Lobocaecilius mouaputa", "Lobocaecilius nigroides", "Lobocaecilius quadripartitus", "Lobocaecilius vanuensis", "Symphytum \u00d7 wettsteinii", "Symphytum \u00d7 bicknellii", "Symphytum \u00d7 polonicum", "Symphytum \u00d7 ullepitschii", "Symphytum \u00d7 perringianum", "Scelio clarkei", "Scelio ememeye", "Scelio leipo", "Scelio masneri", "Scelio paranitens", "Scelio parapulchripennis", "Scelio tria", "Scelio turbidus", "Lobocaecilius bifurcus", "Lobocaecilius perductivirgus", "Erechthias diaphora", "Austropsocus antennalis", "Austropsocus cornutus", "Austropsocus cuneatus", "Anastathma callichrysa", "Austropsocus froggatti", "Austropsocus occidentalis", "Austropsocus omega", "Austropsocus punctatus", "Austropsocus sinuosus", "Austropsocus suffusus", "Austropsocus tibialis", "Austropsocus venosus", "Austropsocus viridis", "Erechthias calypta", "Erechthias capnosticta", "Erechthias intertexta", "Erechthias kerri", "Erechthias leucophaeta", "Erechthias maculicornis", "Erechthias minuscula", "Erechthias ochrocrena", "Erechthias polyplaga", "Erechthias scaligera", "Erechthias streptogramma", "Erechthias transfumata", "Erechthias transfusa", "Erechthias iuloptera", "Ceratobaeus gorayaran", "Ceratobaeus grahami", "Ceratobaeus greensladeae", "Ceratobaeus gullanae", "Ceratobaeus gwenae", "Ceratobaeus haqi", "Ceratobaeus hardyi", "Ceratobaeus harveyi", "Ceratobaeus huggerti", "Ceratobaeus iota", "Ceratobaeus jenningsi", "Ceratobaeus johnsenae", "Ceratobaeus kabirae", "Ceratobaeus kaikai", "Ceratobaeus kentae", "Ceratobaeus kiefferi", "Ceratobaeus leysonae", "Ceratobaeus litopterus", "Ceratobaeus luboi", "Ceratobaeus mahmoodi", "Ceratobaeus manii", "Ceratobaeus mansoori", "Ceratobaeus markusi", "Ceratobaeus marroocutta", "Ceratobaeus marrooyourula", "Ceratobaeus matong", "Ceratobaeus megacerus", "Ceratobaeus melas", "Ceratobaeus michaeli", "Ceratobaeus minyamea", "Ceratobaeus minyayunde", "Ceratobaeus moki", "Ceratobaeus moola", "Ceratobaeus moonae", "Ceratobaeus moonga", "Ceratobaeus moongacutta", "Ceratobaeus muniri", "Ceratobaeus nailae", "Ceratobaeus narteol", "Ceratobaeus nasiri", "Ceratobaeus naumanni", "Ceratobaeus nephocerus", "Ceratobaeus normani", "Ceratobaeus noyesi", "Ceratobaeus ogmocerus", "Ceratobaeus oimus", "Ceratobaeus pachycerus", "Ceratobaeus phallocerus", "Ceratobaeus pipayourula", "Ceratobaeus pita", "Ceratobaeus proipetye", "Ceratobaeus rabiae", "Ceratobaeus ramishi", "Ceratobaeus raniae", "Ceratobaeus sabrii", "Ceratobaeus saeedi", "Ceratobaeus saliki", "Ceratobaeus schmidti", "Ceratobaeus stegastocerus", "Ceratobaeus systenus", "Ceratobaeus taylori", "Ceratobaeus toheedi", "Ceratobaeus umari", "Ceratobaeus umasensis", "Tiquadra maculata", "Tiquadra aeneonivella", "Tiquadra avitella", "Tiquadra circumdata", "Tiquadra cultrifera", "Tiquadra ghesquierei", "Tiquadra goochii", "Tiquadra lentiginosa", "Tiquadra nivosa", "Tiquadra lichenea", "Tiquadra ochreata", "Tiquadra semiglobata", "Tiquadra butyranthes", "Tiquadra crocidura", "Tiquadra drapetica", "Tiquadra exercitata", "Tiquadra galactura", "Tiquadra inscitella", "Tiquadra mallodeta", "Braya humilis", "Tiquadra nubilella", "Tiquadra nucifraga", "Tiquadra pircuniae", "Tiquadra pontifica", "Tiquadra reversella", "Tiquadra stenopa", "Tiquadra syntripta", "Tiquadra vilis", "Bunias erucago", "Cakile constricta", "Cakile edentula", "Cakile lanceolata", "Descurainia californica", "Descurainia incana", "Descurainia incisa", "Descurainia pinnata", "Descurainia torulosa", "Diplotaxis acris", "Diplotaxis assurgens", "Diplotaxis berthautii", "Diplotaxis catholica", "Diplotaxis siifolia", "Diplotaxis virgata", "Acanthotrema brasilianum", "Acanthotrema frischii", "Billbergia nutans", "Halipeurus confusus", "Halipeurus pricei", "Halipeurus pelagodromae", "Halipeurus vincesmithi", "Halipeurus atlanticus", "Stenocypria fischeri", "Halipeurus bulweriae", "Halipeurus angusticeps", "Halipeurus spadix", "Halipeurus pelagicus", "Halipeurus kermadecensis", "Halipeurus diversus", "Halipeurus noctivagus", "Sesamia firmata", "Sesamia veronica", "Sesamia botanephaga", "Sesamia jansei", "Sesamia oriaula", "Sesamia penniseti", "Sesamia poebora", "Sesamia poephaga", "Buakea venusta", "Buakea kaeuae", "Carrichtera annua", "Buakea obliquifascia", "Pyrenula dermatodes", "Pyrenula mastophoroides", "Periploca hortatrix", "Periploca opinatrix", "Periploca devia", "Periploca dipapha", "Periploca labes", "Aeaea placatrix", "Sorhagenia baucidis", "Sorhagenia pexa", "Siskiwitia alticolans", "Perimede eremos", "Perimede parilis", "Perimede circitor", "Perimede maniola", "Rinodina fuscoisidiata", "Pristen corusca", "Synploca gumia", "Nepotula secura", "Graphis archeri", "Graphis invisibilis", "Graphis lueckingii", "Graphis paranaensis", "Chapsa laemensis", "Omphalodes japonica var. japonica", "Melanotrema melanophthalmum", "Omphalodes japonica var. echinosperma", "Satonius fui", "Satonius jaechi", "Antaeotricha suffumigata", "Antaeotricha pseudochyta", "Antaeotricha vacata", "Chlamydastis dominicae", "Mothonica cubana", "Stenoma comma", "Periploca hostiata", "Leptopilina heterotoma", "Leptopilina australis", "Leptopilina longipes", "Phaenoglyphis villosa", "Leptopilina clavipes", "Leptopilina fimbriata", "Leptopilina rufipes", "Leptopilina atraticeps", "Leptopilina boulardi", "Leptopilina mahensis", "Leptopilina cupulifera", "Leptopilina freyae", "Leptopilina guineaensis", "Leptopilina orientalis", "Leptopilina ryukyuensis", "Leptopilina japonica", "Leptopilina pacifica", "Leptopilina apella", "Leptopilina fannius", "Leptopilina faunus", "Leptopilina itys", "Leptopilina pisonis", "Leptopilina thetus", "Leptopilina vesta", "Leptopilina syphax", "Leptopilina misensus", "Leptopilina victoriae", "Leptopilina rugipunctata", "Pomacea falconensis", "Rinodina albertana", "Rinodina austroborealis", "Rinodina confragosula", "Rinodina freyi", "Rinodina imshaugii", "Symphytum creticum", "Rinodina intrusa", "Rinodina maculans", "Rinodina notabilis", "Rinodina pycnocarpa", "Rinodina sibirica", "Rinodina siouxiana", "Rinodina straussii", "Rinodina wetmorei", "Lebia malickyi", "Lebia pseudosellata", "Lebia punggulensis", "Lebia vientianensis", "Lebia farkaci", "Crataegus tracyi", "Lebia basipunctata", "Echmepteryx anomala", "Echmepteryx lawrencei", "Echmepteryx albigena", "Echmepteryx howensis", "Echmepteryx renoides", "Echmepteryx lunulata", "Echmepteryx pallida", "Echmepteryx picta", "Nototriton picucha", "Arthroleptis formosus", "Phrynobatrachus schioetzi", "Scinax pusillus", "Atelopus loettersi", "Ocellularia pauciseptata", "Pronectria rolfiana", "Scutula pseudocyphellariae", "Yuntapsocus hollowayi", "Lebia phuongensis", "Lebia vietnamensis", "Lebia dabashanensis", "Lebia dalibaiensis", "Lebia erlangshanensis", "Lebia jinggangensis", "Lebia kiangsiensis", "Lebia shimianensis", "Lebia yunnanensis", "Lebia nantouensis", "Lebia levana", "Fibrillithecis argentea", "Fibrillithecis carneodisca", "Fibrillithecis confusa", "Fibrillithecis diminita", "Fibrillithecis eximia", "Drymopsocus brunneus", "Syngnathus abaster", "Lichenostigma rupicolae", "Pertusaria rupicola", "Crataegus \u00d7 almaatensis", "Crataegus \u00d7 atrorubella", "Crataegus \u00d7 dippeliana", "Hyphessobrycon gracilior", "Hyphessobrycon griemi", "Hyphessobrycon guarani", "Hyphessobrycon hamatus", "Hyphessobrycon haraldschultzi", "Hyphessobrycon hasemani", "Hyphessobrycon heliacus", "Hyphessobrycon herbertaxelrodi", "Hyphessobrycon heteresthes", "Hyphessobrycon heterorhabdus", "Hyphessobrycon hexastichos", "Hyphessobrycon hildae", "Hyphessobrycon igneus", "Hyphessobrycon iheringi", "Chapsa albida", "Hyphessobrycon inconstans", "Hyphessobrycon isiri", "Hyphessobrycon itaparicensis", "Hyphessobrycon khardinae", "Hyphessobrycon latus", "Hyphessobrycon loretoensis", "Hyphessobrycon loweae", "Hyphessobrycon luetkenii", "Hyphessobrycon maculicauda", "Chapsa boninensis", "Hyphessobrycon megalopterus", "Chapsa elabens", "Hyphessobrycon melasemeion", "Hyphessobrycon melazonatus", "Hyphessobrycon meridionalis", "Chapsa imperfecta", "Chapsa laceratula", "Chapsa meghalayensis", "Chapsa mirabilis", "Chapsa neei", "Chapsa paralbida", "Chapsa scabiomarginata", "Gigantocypris pellucida", "Gigantocypris dracontovalis", "Syngnathus acus", "Prionotodrilus parvus", "Prionotodrilus serratus", "Ausysium joyceorum", "Fibrillithecis fissurata", "Fibrillithecis gibbosa", "Hyphessobrycon metae", "Hyphessobrycon micropterus", "Hyphessobrycon milleri", "Hyphessobrycon minimus", "Hyphessobrycon minor", "Hyphessobrycon moniliger", "Hyphessobrycon mutabilis", "Hyphessobrycon negodagua", "Hyphessobrycon nigricinctus", "Hyphessobrycon ocasoensis", "Hyphessobrycon oritoensis", "Hyphessobrycon otrynus", "Hyphessobrycon panamensis", "Hyphessobrycon parvellus", "Hyphessobrycon peruvianus", "Hyphessobrycon paucilepis", "Hyphessobrycon piabinhas", "Hyphessobrycon poecilioides", "Hyphessobrycon procerus", "Hyphessobrycon proteus", "Hyphessobrycon pulchripinnis", "Hyphessobrycon pyrrhonotus", "Hyphessobrycon pytai", "Hyphessobrycon reticulatus", "Hyphessobrycon robustulus", "Hyphessobrycon rosaceus", "Hyphessobrycon roseus", "Hyphessobrycon rutiliflavidus", "Hyphessobrycon saizi", "Hyphessobrycon santae", "Hyphessobrycon savagei", "Hyphessobrycon schauenseei", "Hyphessobrycon scholzei", "Hyphessobrycon scutulatus", "Hyphessobrycon sebastiani", "Hyphessobrycon simulatus", "Hyphessobrycon socolofi", "Hyphessobrycon sovichthys", "Hyphessobrycon stegemanni", "Hyphessobrycon stramineus", "Leucodecton desquamescens", "Hyphessobrycon takasei", "Hyphessobrycon taguae", "Hyphessobrycon taurocephalus", "Hyphessobrycon tenuis", "Leucodecton oxysporum", "Hyphessobrycon togoi", "Hyphessobrycon tortuguerae", "Hyphessobrycon tropis", "Hyphessobrycon tukunai", "Billbergia \u00d7 gireoudiana", "Viklundocoris humerosus", "Papeocoris frontalis", "Acontias meleagris", "Pleurasiga echinocostata", "Pleurasiga minima", "Pleurasiga reynoldsii", "Pleurasiga tricaudata", "Architectonica nobilis", "Architectonica peracuta", "Architectonica placentalis", "Architectonica proestleri", "Hyphessobrycon agulha", "Hyphessobrycon albolineatum", "Hyphessobrycon amandae", "Hyphessobrycon amapaensis", "Hyphessobrycon anisitsi", "Gigantocypris agassizii", "Hyphessobrycon arianae", "Hyphessobrycon auca", "Hyphessobrycon axelrodi", "Hyphessobrycon balbus", "Hyphessobrycon bentosi", "Hyphessobrycon bifasciatus", "Hyphessobrycon borealis", "Hyphessobrycon boulengeri", "Hyphessobrycon cachimbensis", "Hyphessobrycon catableptus", "Hyphessobrycon coelestinus", "Hyphessobrycon columbianus", "Hyphessobrycon compressus", "Hyphessobrycon condotensis", "Hyphessobrycon copelandi", "Hyphessobrycon cyanotaenia", "Hyphessobrycon duragenys", "Hyphessobrycon ecuadorensis", "Hyphessobrycon ecuadoriensis", "Hyphessobrycon elachys", "Hyphessobrycon eos", "Hyphessobrycon epicharis", "Hyphessobrycon eques", "Hyphessobrycon fernandezi", "Hyphessobrycon flammeus", "Hyphessobrycon frankei", "Hyphessobrycon georgettae", "Hypericum tenuifolium", "Hypericum tetrapetalum", "Hypericum sect.", "Hypericum sect.", "Hypericum aethiopicum", "Hypericum sect.", "Hypericum attenuatum", "Hypericum concinnum", "Hypericum hakonense", "Hypericum kamtschaticum", "Hypericum \u00d7 mitchellianum", "Hypericum pseudomaculatum", "Hypericum sect.", "Hypericum sect.", "Hypericum brasiliense", "Hypericum caprifoliatum", "Hypericum carinatum", "Hypericum cumulicola", "Hypericum harperi", "Hypericum myrianthum", "Hypericum pratense", "Hypericum thesiifolium", "Hypericum sect.", "Hypericum canadense", "Hypericum denticulatum", "Hypericum drummondii", "Hypericum setosum", "Hypericum sect.", "Hypericum repens", "Hypericum sect.", "Hypericum sect.", "Hypericum elongatum", "Hypericum sect.", "Hypericum sect.", "Hypericum sect.", "Hypericum lanceolatum", "Hypericum roeperianum", "Hypericum sect.", "Drosophila tristis", "Drosophila histrio", "Hypericum sect.", "Hypericum sect.", "Buellia nordinii", "Psammogammarus wallacei", "Chlaenius chuanqianensis", "Chlaenius linwensini", "Chlaenius propeagilis", "Chlaenius agiloides", "Chlaenius wrasei", "Chlaenius noguchii", "Chlaenius leishanensis", "Chlaenius formosensis", "Chlaenius agilis", "Brueelia sueta", "Brueelia cicchinoi", "Knightia bohaiensis", "Knightia branneri", "Knightia humulus", "Knightia irregularis", "Knightia yuyanga", "Paleopiquitinga brasiliensis", "Nepticulomima saltuaria", "Perientomum fucatum", "Trichocereus macrogonus", "Lebia kavani", "Lebia farai", "Cyptophania marginata", "Lebia kabulensis", "Echinopsocus grayi", "Lepidopsocus marmoratus", "Lepidopsocus pretiosus", "Lepolepis graemei", "Parasoa haploneura", "Soa flaviterminata", "Nepticulomima hosemanni", "Nepticulomima lusiae", "Nepticulomima tridentata", "Lebia halmaherae", "Buelliella protoparmeliopsis", "Lebia callizona", "Lecanographa uniseptata", "Bombus pomorum", "Bombus fragrans", "Anomomorpha elegans", "Hypericum vacciniifolium", "Hypericum capitatum", "Hypericum venustum", "Hypericum vesiculosum", "Hypericum ericoides", "Herpothallon biacidum", "Diplotheca cerei", "Diplotheca orbicularis", "Diplotheca rhipsalidis", "Diplotheca uleana", "Mileewa jianzhuensis", "Hypericum ascyron", "Hypericum canariense", "Hypericum hookerianum", "Hypericum kotschyanum", "Hypericum nummularium", "Hypericum patulum", "Hypericum pseudohenryi", "Hypericum revolutum", "Hypericum richeri", "Hypericum aegypticum", "Hyphessobrycon tuyensis", "Ectrepopterus uruguayensis", "Hyphessobrycon vilmae", "Hyphessobrycon wajat", "Hyphessobrycon werneri", "Hyphessobrycon amaronensis", "Phyllurus championae", "Hyphessobrycon melanopleurus", "Phyllurus platurus", "Saltuarius swaini", "Thelotrema patwardhanii", "Coleonyx brevis", "Coleonyx elegans", "Coleonyx mitratus", "Topeliopsis guaiquinimae", "Coleonyx variegatus", "Topeliopsis tuberculifera", "Phyllodactylus xanti", "Phyllodactylus angustidigitus", "Phyllodactylus kofordi", "Phyllodactylus reissii", "Tarentola americana", "Tarentola chazaliae", "Gonatodes albogularis", "Gonatodes annularis", "Gonatodes concinnatus", "Gonatodes hasemani", "Gonatodes humeralis", "Gonatodes vittatus", "Azaleodes micronipha", "Azaleodes brachyceros", "Azaleodes fuscipes", "Azaleodes megaceros", "Schizotrema cryptotrema", "Schizotrema guadeloupense", "Sesommata leuroptera", "Schizotrema schizolomum", "Schizotrema subzebrinum", "Sesommata trachyptera", "Schizotrema zebrinum", "Sesommata holocapna", "Sesommata paraplatysaris", "Sesommata platysaris", "Sesommata albimaculata", "Tropiometra carinata", "Thelotrema hnatiukii", "Gigantocypris muelleri", "Wirthiotrema glaucopallens", "Wirthiotrema santessonii", "Wirthiotrema trypaneoides", "Eulonchiella eocenica", "Quasi fisheri", "Schlingeriella irwini", "Andraca gongshanensis", "Andraca bipunctata", "Andraca theae", "Halocoryza whiteheadiana", "Halocoryza acapulcana", "Halocoryza arenaria", "Halocoryza maindroni", "Gigantocypris muelleri minor", "Bombus mastrucatus", "Polycope setigera", "Gigantocypris danae", "Gigantocypris australis", "Echmepteryx stylesi", "Echmepteryx hamiltoni", "Lebia maharashtra", "Lebia sanpakia", "Lebia taipingensis", "Lebia crockerensis", "Lebia hongsonensis", "Lebia kathmanduensis", "Lebia kinabaluensis", "Lebia laosensis", "Drosophila peruviana", "Drosophila pictifrons", "Drosophila prosaltans", "Drosophila prosimilis", "Drosophila pulverea", "Drosophila scioptera", "Drosophila strigiventris", "Drosophila sturtevanti", "Drosophila triangulina", "Drosophila balneorum", "Drosophila elongata", "Drosophila hirtiscutellata", "Drosophila monochaeta", "Drosophila rubra", "Drosophila takahashii", "Drosophila trilimbata", "Drosophila apectinata", "Drosophila longitarsis", "Drosophila thienemanni", "Drosophila jesonica", "Drosophila fuscoamoeba", "Drosophila iki", "Drosophila kauluai", "Drosophila punalua", "Drosophila z-notata", "Drosophila amplipennis", "Drosophila appendiculata", "Drosophila upoluae", "Drosophila miranda", "Drosophila meigeni", "Drosophila nutrita", "Drosophila scaptomyzoptera", "Drosophila subobscura", "Drosophila mitis", "Drosophila cardami", "Drosophila lamellitarsis", "Drosophila decemseriata", "Drosophila gibbinsi", "Drosophila auraria", "Drosophila denieri", "Drosophila deltaneuron", "Drosophila sadleria", "Drosophila microlabis", "Drosophila americana", "Drosophila pruinosa", "Drosophila sexlineata", "Drosophila trichiaspis", "Drosophila cilitarsis", "Drosophila mojavensis", "Drosophila texana", "Drosophila ambigua", "Drosophila bifasciata", "Drosophila ohioensis", "Drosophila limpiensis", "Drosophila micromelanica", "Drosophila novamexicana", "Drosophila paramelanica", "Drosophila munda", "Drosophila occidentalis", "Drosophila palustris", "Drosophila suboccidentalis", "Drosophila subpalustris", "Drosophila cordata", "Drosophila elliptica", "Hypericum sect.", "Hypericum polyphyllum", "Hypericum sect.", "Hypericum sect.", "Hypericum sect.", "Hypericum formosanum", "Hypericum geminiflorum", "Hypericum nakamurae", "Hypericum subalatum", "Hypericum przewalskii", "Draba asterophora", "Draba incerta", "Draba lactea", "Draba lasiocarpa", "Draba platycarpa", "Draba rectifructa", "Tomostima reptans", "Hypericum sect.", "Hypericum austroyunnanicum", "Hypericum elodeoides", "Hypericum hengshanense", "Hypericum hubeiense", "Hypericum kingdonii", "Hypericum petiolulatum", "Hypericum seniawinii", "Hypericum sect.", "Hypericum daliense", "Hypericum himalaicum", "Hypericum ludlowii", "Hypericum monanthemum", "Hypericum subcordatum", "Hypericum trigonum", "Hypericum wightianum", "Hypericum sect.", "Hypericum nagasawae", "Hypericum nokoense", "Silene bolanthoides", "Galium trojanum", "Centaurea odyssei", "Allium kurtzianum", "Armeria trojana", "Asperula sintenisii", "Cirsium steriolepis", "Hieracium marmoricola", "Hieracium scamandris", "Jasione idea", "Jasione montana", "Matthiola trojana", "Sideritis trojana", "Thymus pulvinatus", "Centaurea athoa", "Dianthus arpadianus", "Iberis saxatilis", "Syngnathus typhle", "Saxifraga sancta", "Sideritis athoa", "Syngnathus variegatus", "Syngnathus tenuirostris", "Ursus americanus kermodei", "Syngnathus schmidti", "Syngnathus taenionotus", "Syngnathus rostellatus", "Syngnathus leptorhynchus", "Syngnathus phlegon", "Chorispora purpurascens", "Chorispora tenella", "Christolea crassifolia", "Coincya monensis", "Drosophila abjuncta", "Drosophila abregolineata", "Acanthopleura granulata", "Drosophila abron", "Drosophila abure", "Drosophila acanthomera", "Drosophila acanthoptera", "Drosophila littoralis", "Drosophila phalerata", "Drosophila ingrata", "Drosophila nigriceps", "Drosophila limbata", "Drosophila testacea", "Drosophila analis", "Drosophila mexicana", "Drosophila reaumurii", "Drosophila pallipes", "Drosophila picta", "Drosophila colorata", "Drosophila debilis", "Drosophila guttifera", "Drosophila albipes", "Drosophila atra", "Drosophila brevis", "Drosophila tarsalis", "Drosophila illata", "Drosophila solennis", "Drosophila dorsivitta", "Drosophila tripunctata", "Drosophila mycethophila", "Drosophila dorsalis", "Drosophila flexa", "Drosophila quinaria", "Drosophila calloptera", "Drosophila coffeina", "Drosophila soror", "Drosophila tarsata", "Drosophila sphaerocera", "Drosophila xanthosoma", "Drosophila crucigera", "Drosophila facialis", "Drosophila latifrons", "Drosophila megaspis", "Drosophila plagiata", "Drosophila ustulata", "Drosophila albincisa", "Erucastrum ifniense", "Drosophila albonotata", "Drosophila obscurata", "Drosophila quadrilineata", "Drosophila ruberrima", "Drosophila ungarensis", "Drosophila hirtipes", "Drosophila nasuta", "Drosophila lineolata", "Drosophila semiatra", "Drosophila subfasciata", "Drosophila grimshawi", "Erucastrum leucanthum", "Drosophila montium", "Drosophila silvata", "Drosophila tjibodas", "Drosophila affinis", "Drosophila annularis", "Drosophila cardini", "Erucastrum littoreum", "Drosophila florae", "Drosophila lutzii", "Drosophila melanica", "Drosophila melanissima", "Drosophila nebulosa", "Drosophila pulchella", "Drosophila putrida", "Drosophila ramsdeni", "Drosophila robusta", "Erucastrum nasturtiifolium", "Drosophila saltans", "Drosophila virilis", "Drosophila willistoni", "Drosophila quinqueannulata", "Drosophila flavopilosa", "Drosophila dilacerata", "Drosophila ferruginea", "Drosophila griseicollis", "Drosophila mellea", "Drosophila albirostris", "Drosophila alfari", "Drosophila bromeliae", "Erucastrum strigosum", "Erucastrum varium", "Erucastrum virgatum", "Drosophila metzii", "Drosophila mulleri", "Drosophila torrei", "Drosophila tristani", "Drosophila prashadi", "Drosophila curvicapillata", "Drosophila hoozani", "Drosophila emarginata", "Drosophila pinicola", "Drosophila rectangularis", "Drosophila repletoides", "Drosophila dobzhanskii", "Drosophila mainlandi", "Drosophila spenceri", "Drosophila unipunctata", "Drosophila innubila", "Drosophila suffusca", "Drosophila tenebrosa", "Drosophila tranquilla", "Drosophila melanura", "Drosophila lacicola", "Archaeatropos alavensis", "Drosophila seguyi", "Drosophila equinoxialis", "Drosophila neocardini", "Drosophila guaraja", "Drosophila alpina", "Drosophila helvetica", "Drosophila fragilis", "Drosophila frolovae", "Drosophila icteroscuta", "Drosophila nannoptera", "Drosophila nubiluna", "Drosophila triangula", "Drosophila trispina", "Drosophila paranaensis", "Drosophila addisoni", "Drosophila moju", "Drosophila tuchaua", "Drosophila alexandrei", "Drosophila mangabeirai", "Drosophila borealis", "Drosophila flavomontana", "Drosophila acutilabella", "Drosophila parthenogenetica", "Drosophila akai", "Drosophila alladian", "Drosophila comoe", "Drosophila diama", "Drosophila dumuya", "Drosophila dyaramankana", "Drosophila dyula", "Drosophila fima", "Drosophila fraburu", "Drosophila iroko", "Drosophila kulango", "Drosophila kuoni", "Drosophila nikananu", "Drosophila sogo", "Drosophila tibudu", "Drosophila bocainoides", "Drosophila parabocainensis", "Drosophila morena", "Drosophila punctatonervosa", "Drosophila albescens", "Drosophila albicans", "Drosophila bifilum", "Drosophila curvapex", "Drosophila mediocris", "Drosophila medioimpressa", "Drosophila mediopicta", "Drosophila mediovittata", "Drosophila mesostigma", "Drosophila nigricincta", "Drosophila platitarsus", "Drosophila pruinifacies", "Drosophila trifilum", "Drosophila argenteifrons", "Drosophila flavopinicola", "Drosophila magnaquinaria", "Drosophila stalkeri", "Drosophila dispar", "Drosophila nepalensis", "Drosophila neoguaramunu", "Drosophila procardinoides", "Drosophila neocordata", "Drosophila parasaltans", "Drosophila pseudosaltans", "Drosophila subsaltans", "Drosophila angularis", "Drosophila brachynephros", "Drosophila daruma", "Drosophila lacertosa", "Drosophila maculinotata", "Drosophila magnipectinata", "Drosophila multispina", "Drosophila unispina", "Drosophila araucana", "Drosophila camaronensis", "Drosophila gasici", "Drosophila huilliche", "Drosophila pavani", "Drosophila serenensis", "Drosophila paucilineata", "Drosophila insularis", "Drosophila vulcana", "Drosophila ingrica", "Drosophila austrosaltans", "Drosophila paraguttata", "Drosophila aureata", "Drosophila canalinioides", "Drosophila carsoni", "Drosophila kallima", "Drosophila maracaya", "Drosophila paracanalinea", "Drosophila reticulata", "Drosophila sticta", "Drosophila suturalis", "Drosophila tibialis", "Drosophila trifiloides", "Drosophila bogoriensis", "Drosophila okadai", "Drosophila adamsi", "Drosophila neochracea", "Drosophila peruensis", "Drosophila rubida", "Drosophila carcinophila", "Drosophila falleni", "Drosophila recens", "Drosophila rellima", "Drosophila alei", "Drosophila antillea", "Drosophila arawakana", "Drosophila caribiana", "Drosophila lusaltans", "Merizomena basalis", "Nepiomorpha pallida", "Nepiomorpha cingulata", "Nepiomorpha peripsocoides", "Nepiomorpha annulata", "Nepiomorpha brasiliana", "Nepiomorpha crucifera", "Nepiomorpha dolosa", "Roesleria desertica", "Roesleria achocallae", "Pristimantis aureoventris", "Aromobates tokuko", "Agama finchi", "Agama finchi leucerythrolaema", "Clinopsocus phragmitellus", "Antarctopsocus jeanneli", "Hypericum origanifolium", "Hypericum havvae", "Hypericum malatyanum", "Hypericum saxifragum", "Hypericum minutum", "Hypericum atomarium", "Hypericum aucheri", "Hypericum acmosepalum", "Hypericum addingtonii", "Hypericum adenotrichum", "Hypericum anagalloides", "Hypericum annulatum", "Antarctopsocus daviesi", "Hypericum sect.", "Hypericum longistylum", "Hypericum sect.", "Lecanora subviridis", "Hypericum adpressum", "Hypericum brachyphyllum", "Hypericum buckleyi", "Hypericum chapmanii", "Hypericum densiflorum", "Hypericum ellipticum", "Hypericum hypericoides", "Hypericum lissophloeus", "Hypericum myrtifolium", "Hypericum nitidum", "Hypericum sphaerocarpum", "Drosophila sigmoides", "Drosophila lineata", "Drosophila nitidapex", "Dontostemon integrifolius", "Enarthrocarpus arcuatus", "Enarthrocarpus clavatus", "Enarthrocarpus lyratus", "Enarthrocarpus pterocarpus", "Enarthrocarpus strangulatus", "Erucastrum gallicum", "Erucastrum abyssinicum", "Erucastrum arabicum", "Erucastrum austroafricanum", "Erucastrum brevirostre", "Drosophila excita", "Drosophila unimaculata", "Drosophila balteata", "Drosophila coffeata", "Drosophila fasciola", "Drosophila illota", "Drosophila ornatipennis", "Drosophila similis", "Drosophila verticis", "Drosophila nigrosparsa", "Drosophila fusca", "Erucastrum canariense", "Drosophila anomalipes", "Drosophila cognata", "Drosophila conspicua", "Drosophila flaviceps", "Drosophila haleakalae", "Drosophila hawaiiensis", "Drosophila humeralis", "Drosophila infuscata", "Drosophila lanaiensis", "Erucastrum cardaminoides", "Drosophila longiseta", "Drosophila melanosoma", "Drosophila molokaiensis", "Drosophila nigra", "Drosophila ochracea", "Drosophila olaae", "Drosophila paucipuncta", "Drosophila picticornis", "Drosophila pilimana", "Drosophila plumosa", "Erucastrum elatum", "Drosophila polita", "Drosophila setiger", "Drosophila sharpi", "Drosophila sordidapex", "Drosophila milleri", "Drosophila nigrosaltans", "Drosophila coroica", "Drosophila desertorum", "Drosophila eohydei", "Drosophila eremophila", "Drosophila meridionalis", "Drosophila mojuoides", "Drosophila neohydei", "Drosophila pachuca", "Drosophila pegasa", "Drosophila pictilis", "Drosophila pictura", "Drosophila promeridiana", "Drosophila propachuca", "Drosophila melina", "Drosophila pagliolii", "Drosophila tetrachaeta", "Drosophila wingei", "Drosophila asahinai", "Drosophila nasutoides", "Drosophila synpanishi", "Drosophila tanorum", "Drosophila truncata", "Drosophila alani", "Drosophila alexanderae", "Drosophila hansoni", "Drosophila leoni", "Drosophila leukorrhyna", "Drosophila mcclintockae", "Drosophila nigrasplendens", "Drosophila othoni", "Drosophila xanthopallescens", "Drosophila xiphiphora", "Drosophila aureopallescens", "Drosophila dominicana", "Drosophila acrostichalis", "Drosophila adiastola", "Drosophila adventitia", "Drosophila agitona", "Drosophila aglaia", "Drosophila albifacies", "Drosophila amydrospilota", "Drosophila ancyla", "Drosophila anthrax", "Drosophila apicipuncta", "Drosophila apicisetae", "Drosophila apodasta", "Drosophila apoxyloma", "Drosophila aquila", "Drosophila araiotrichia", "Drosophila artigena", "Drosophila asketostoma", "Drosophila attenuata", "Drosophila badia", "Drosophila balioptera", "Drosophila basimacula", "Drosophila basisetosa", "Drosophila beardsleyi", "Drosophila bicondyla", "Drosophila bipolita", "Drosophila biseriata", "Drosophila brevicilia", "Drosophila lividinervis", "Drosophila longifrons", "Drosophila californica", "Drosophila fruhstorferi", "Drosophila kuntzei", "Drosophila ochrifrons", "Drosophila paravibrissina", "Drosophila quadriseriata", "Drosophila schmidti", "Drosophila tristipennis", "Drosophila tristipes", "Drosophila unipectinata", "Drosophila xanthogaster", "Drosophila biarmipes", "Drosophila schildi", "Drosophila alternolineata", "Drosophila angustibucca", "Drosophila fumipennis", "Drosophila fundomaculata", "Drosophila fuscolineata", "Drosophila gigas", "Drosophila kerteszina", "Drosophila limbinervis", "Drosophila limbiventris", "Drosophila medioobscurata", "Drosophila mediostriata", "Drosophila prorepleta", "Drosophila rostrata", "Drosophila semialba", "Drosophila subinfumata", "Drosophila calceolata", "Drosophila circumdata", "Drosophila formosana", "Drosophila nodosa", "Drosophila senilis", "Drosophila panamensis", "Drosophila albomarginata", "Drosophila annulimana", "Drosophila boletina", "Drosophila boliviana", "Drosophila boliviensis", "Drosophila canescens", "Drosophila cuzcoica", "Drosophila divisa", "Drosophila fuscipennis", "Drosophila griseolineata", "Drosophila hyalipennis", "Drosophila impudica", "Drosophila latebuccata", "Drosophila latecarinata", "Drosophila lugubripennis", "Drosophila maculifrons", "Drosophila melanoptera", "Drosophila mesophragmatica", "Drosophila nigrifemur", "Drosophila obscuricolor", "Drosophila onychophora", "Drosophila ornatifrons", "Drosophila paraguayensis", "Drosophila brevissima", "Drosophila brevitarsus", "Drosophila bridwelli", "Drosophila brunneifrons", "Drosophila brunneisetae", "Drosophila caccabata", "Drosophila canipolita", "Drosophila canuta", "Drosophila capitata", "Drosophila carnosa", "Drosophila chaetopeza", "Drosophila ciliaticrus", "Drosophila cilifemorata", "Drosophila clavata", "Drosophila clavitibia", "Drosophila clydonia", "Drosophila cnecopleura", "Drosophila comatifemora", "Drosophila conformis", "Drosophila confutata", "Drosophila conjectura", "Drosophila contorta", "Drosophila cracens", "Drosophila curticilia", "Drosophila curvitibia", "Drosophila dasycnemia", "Drosophila demipolita", "Drosophila denotata", "Drosophila diffusa", "Drosophila diminuens", "Drosophila disjuncta", "Drosophila dissita", "Drosophila distinguenda", "Drosophila dolomata", "Drosophila dorsigera", "Drosophila dorsociliata", "Drosophila dracaenae", "Drosophila dumalis", "Drosophila engyochracea", "Drosophila enoplotarsus", "Drosophila eumecothrix", "Drosophila eurypeza", "Drosophila expansa", "Drosophila fasciculisetae", "Drosophila fastigata", "Drosophila flavibasis", "Drosophila flavisternum", "Drosophila freycinetiae", "Drosophila fundita", "Drosophila furva", "Drosophila furvifacies", "Drosophila fuscifrons", "Drosophila fuscoapex", "Drosophila fusticula", "Drosophila gilvilateralis", "Drosophila hexachaetae", "Drosophila hirticoxa", "Drosophila hirtitarsus", "Drosophila illusiopolita", "Drosophila imitator", "Drosophila imparisetae", "Drosophila improcera", "Drosophila incognita", "Drosophila incompleta", "Drosophila inedita", "Drosophila insignita", "Drosophila involuta", "Drosophila ischnotrix", "Drosophila joycei", "Drosophila kraussi", "Drosophila laciniosa", "Drosophila larifuga", "Drosophila latigena", "Drosophila lemniscata", "Drosophila luteola", "Drosophila macrochaetae", "Drosophila magnimacula", "Drosophila magnipalpa", "Drosophila mecocnemia", "Drosophila mediana", "Drosophila megasticta", "Drosophila melanoloma", "Drosophila melanopedis", "Drosophila mimica", "Drosophila mimiconformis", "Drosophila mimiconfutata", "Drosophila mitchelli", "Drosophila musae", "Drosophila musaphilia", "Drosophila nanella", "Drosophila neutralis", "Drosophila nigella", "Drosophila nigripalpus", "Drosophila nigritarsus", "Drosophila nigrocirrus", "Drosophila nigropolita", "Drosophila oreas", "Drosophila orestes", "Drosophila paucula", "Drosophila pectinitarsus", "Drosophila peniculipedis", "Drosophila percnosoma", "Drosophila perissopoda", "Drosophila petalopeza", "Drosophila polliciforma", "Drosophila praesutilis", "Drosophila pretiosa", "Drosophila proceriseta", "Drosophila prodita", "Drosophila prolaticilia", "Drosophila prolixa", "Drosophila prominens", "Drosophila propiofacies", "Drosophila pychnochaetae", "Drosophila quadrisetae", "Drosophila quasianomalipes", "Drosophila quasiexpansa", "Drosophila redunca", "Drosophila residua", "Drosophila retrusa", "Drosophila rustica", "Drosophila sabroskyi", "Drosophila scolostoma", "Drosophila seclusa", "Drosophila semifuscata", "Drosophila seorsa", "Drosophila septuosa", "Drosophila setipalpus", "Drosophila pseudomayri", "Drosophila parabipectinata", "Drosophila breuerae", "Drosophila lummei", "Drosophila lucipennis", "Drosophila prostipennis", "Drosophila parakuntzei", "Drosophila lutescens", "Drosophila davidi", "Drosophila matilei", "Drosophila waddingtoni", "Drosophila curvata", "Drosophila kaneshiroi", "Drosophila stigma", "Drosophila yooni", "Drosophila mettleri", "Drosophila guanche", "Drosophila cestri", "Drosophila cordeiroi", "Drosophila affinidisjuncta", "Drosophila picea", "Drosophila bocki", "Drosophila guptai", "Drosophila ramamensis", "Drosophila arboloco", "Drosophila bomarea", "Drosophila carablanca", "Drosophila desbaratabaile", "Drosophila freilejoni", "Drosophila margarita", "Drosophila altissima", "Drosophila anisoctena", "Drosophila bahunde", "Drosophila bakondjo", "Drosophila kivuensis", "Drosophila mambilla", "Drosophila matae", "Drosophila ngemba", "Drosophila oreia", "Drosophila oribatis", "Drosophila quatrou", "Drosophila aloma", "Drosophila dimitra", "Drosophila eupyga", "Drosophila lamottei", "Drosophila megapyga", "Drosophila microralis", "Drosophila petitae", "Drosophila phyale", "Drosophila sycophaga", "Drosophila sycophila", "Drosophila sycovora", "Drosophila tychaea", "Drosophila xanthia", "Drosophila brevina", "Drosophila macquarti", "Drosophila monocolor", "Drosophila pseudoargentostriata", "Drosophila testacens", "Drosophila sinuata", "Drosophila teratos", "Drosophila dominici", "Drosophila subauraria", "Drosophila tsukubaensis", "Drosophila xerophila", "Drosophila carolinae", "Drosophila ellisoni", "Drosophila hermioneae", "Drosophila ivai", "Drosophila mariettae", "Drosophila mathisi", "Drosophila mayaguana", "Drosophila querubimae", "Drosophila richardsoni", "Drosophila rosinae", "Drosophila senei", "Drosophila vicentinae", "Drosophila zottii", "Drosophila madeirensis", "Drosophila ashburneri", "Drosophila chauvacae", "Drosophila ifestia", "Drosophila lachaisei", "Drosophila serrula", "Drosophila vallismaia", "Drosophila mariaehelenae", "Drosophila pedroi", "Drosophila cariouae", "Drosophila desavrilia", "Drosophila kitumensis", "Drosophila krimbasi", "Drosophila paratarsata", "Drosophila burmae", "Drosophila clarinervis", "Drosophila flavitibiae", "Drosophila kitagawai", "Drosophila obscurinervis", "Drosophila parviprocessata", "Drosophila shwezayana", "Drosophila liui", "Drosophila acuminanus", "Drosophila chisaca", "Drosophila colmenares", "Drosophila franii", "Drosophila avicennai", "Drosophila fusus", "Drosophila hyperpolychaeta", "Drosophila nigriculter", "Drosophila subelegans", "Drosophila triantilia", "Drosophila auriculata", "Drosophila bisetata", "Drosophila bivibrissae", "Drosophila longiserrata", "Drosophila mutica", "Drosophila pagoda", "Drosophila inexspectata", "Drosophila kanaka", "Drosophila levii", "Drosophila micromettleri", "Drosophila oritisa", "Drosophila dossoui", "Drosophila sannio", "Drosophila talasica", "Drosophila parisiena", "Drosophila straubae", "Drosophila paralatinokogiri", "Drosophila spectabilis", "Drosophila spicula", "Drosophila stenoptera", "Drosophila swezeyi", "Drosophila taeniata", "Drosophila tamashiroi", "Drosophila taractica", "Drosophila tarphytrichia", "Drosophila tendomentum", "Drosophila tetraspilota", "Drosophila torula", "Drosophila totonigra", "Drosophila trichaetosa", "Drosophila truncipenna", "Drosophila unicula", "Drosophila varga", "Drosophila variabilis", "Drosophila velutinifrons", "Drosophila venusta", "Drosophila vicaria", "Drosophila villitibia", "Drosophila villosipedis", "Drosophila vinnula", "Drosophila williamsi", "Drosophila xanthognoma", "Drosophila xuthoptera", "Drosophila lacteicornis", "Drosophila cubicivittata", "Drosophila editinares", "Drosophila fuscicostata", "Drosophila immacularis", "Drosophila notostriata", "Drosophila pentastriata", "Drosophila trapezifrons", "Drosophila trisetosa", "Drosophila trizonata", "Drosophila hansonioides", "Drosophila nigrilineata", "Drosophila pseudotetrachaeta", "Drosophila trichaeta", "Drosophila achlya", "Drosophila atroscutellata", "Drosophila ceratostoma", "Drosophila dolichotarsis", "Drosophila fungiperda", "Drosophila gubleri", "Drosophila kokeensis", "Drosophila medialis", "Drosophila scitula", "Drosophila spiethi", "Drosophila leticiae", "Drosophila ancora", "Drosophila comosa", "Drosophila lindae", "Drosophila talamancana", "Drosophila cyrtoloma", "Drosophila hanaulae", "Drosophila nigribasis", "Drosophila substenoptera", "Drosophila kepulauana", "Drosophila kohkoa", "Drosophila pallidifrons", "Drosophila pulaua", "Drosophila flavicauda", "Drosophila fuyamai", "Drosophila myamaungi", "Drosophila nyinyii", "Drosophila pyo", "Drosophila longisetae", "Drosophila ochrogaster", "Drosophila natasha", "Drosophila watanabei", "Drosophila arane", "Drosophila bifurcada", "Drosophila choachi", "Drosophila secunda", "Drosophila bondarenkoi", "Drosophila salpina", "Drosophila solstitialis", "Drosophila sinobscura", "Drosophila comorensis", "Drosophila orphnaea", "Drosophila xanthochroa", "Drosophila allochroa", "Drosophila matileana", "Drosophila pachneissa", "Drosophila semipruinosa", "Drosophila gapudi", "Drosophila majtoi", "Drosophila ocampoae", "Drosophila sierrae", "Drosophila velascoi", "Drosophila diplochaeta", "Drosophila stephanosi", "Drosophila ruizi", "Drosophila acelidota", "Drosophila asticta", "Drosophila cathara", "Drosophila colobos", "Drosophila erebopis", "Drosophila zophea", "Drosophila pacificae", "Drosophila campylophalla", "Drosophila couturieri", "Drosophila ophthalmitis", "Drosophila fengkainensis", "Drosophila huangshaenensis", "Drosophila binocularis", "Agrilus foliicornis", "Agrilus tenuissimus", "Agrilus hypericicola", "Agrilus proteus", "Agrilus jugurtha", "Agrilus nivosus", "Agrilus cygneus", "Agrilus chlorophyllus", "Agrilus roscidoides", "Agrilus lopatini", "Agrilus pseudoussuricola", "Agrilus bespencus", "Agrilus montosae", "Agrilus cytisi", "Agrilus kocheri", "Agrilus genseae", "Agrilus pouesseli", "Agrilus graptelytrus", "Agrilus niveosignatus", "Agrilus perparvus", "Agrilus strandi", "Agrilus fleischeri", "Agrilus simbirensis", "Agrilus komareki", "Agrilus soudeki", "Agrilus ukerewensis", "Agrilus ocyalus", "Agrilus schwerdtfegeri", "Agrilus diolaus", "Agrilus tinantius", "Agrilus wichmanniellus", "Agrilus sekii", "Agrilus melanolucidus", "Agrilus perrini", "Agrilus biscrensis", "Agrilus leprieuri", "Agrilus kaszabi", "Agrilus vezenyii", "Agrilus convexicollis", "Agrilus transversesulcatus", "Agrilus cupricauda", "Agrilus pauciguttatus", "Agrilus ribesi", "Agrilus massanensis", "Agrilus dollii", "Agrilus pugionifer", "Agrilus tschitscherini", "Agrilus sulcipennis", "Agrilus sperkii", "Agrilus salweenensis", "Agrilus exilistis", "Agrilus atriplicis", "Agrilus mayeti", "Agrilus maledictus", "Agrilus patrizzii", "Agrilus thomasseti", "Agrilus gardneri", "Agrilus ogooueensis", "Agrilus pangalae", "Agrilus gedyei", "Agrilus fossithorax", "Agrilus sierrae", "Agrilus peninsularis", "Agrilus exsapindi", "Agrilus obscurilineatus", "Agrilus cupreiceps", "Agrilus continuatus", "Agrilus praepolitus", "Agrilus quadriimpressus", "Lasioglossum extraordinarium", "Lasioglossum familiare", "Lasioglossum fedtschenkoi", "Lasioglossum femorale", "Lasioglossum fernandezis", "Lasioglossum fraternum", "Lasioglossum gentianae", "Lasioglossum giffardi", "Lasioglossum greavesi", "Lasioglossum guaruvae", "Lasioglossum hadrandrum", "Lasioglossum halophitum", "Lasioglossum hemichalceum", "Lasioglossum himalayense", "Lasioglossum hoffmanni", "Lasioglossum holtzi", "Lasioglossum hualitchu", "Lasioglossum hunteri", "Lasioglossum huttoni", "Lasioglossum infimum", "Lasioglossum inoum", "Lasioglossum interruptum", "Lasioglossum iridipenne", "Lasioglossum jameseae", "Lasioglossum kotschyi", "Lasioglossum laeviventre", "Lasioglossum lasereanum", "Lasioglossum latibalteatum", "Lasioglossum laticeps hellenicus", "Lasioglossum leucomontanum", "Lasioglossum leucozonium", "Lasioglossum lionotum", "Lasioglossum lissonotum", "Lasioglossum lorentzi", "Lasioglossum lucidulum", "Lasioglossum mahense", "Lasioglossum majus", "Lasioglossum mandibulare", "Lasioglossum manitouellum", "Lasioglossum marinum", "Lasioglossum meneliki", "Syngnathus pelagicus", "Lasioglossum monstrificum", "Lasioglossum morio", "Lasioglossum nigriceps", "Lasioglossum nigroviride", "Lasioglossum nigrum", "Lasioglossum nipponense", "Lasioglossum nitididorsatum", "Lasioglossum nitidulum fudakowskii", "Agrilus favieri", "Agrilus vientianensis", "Agrilus florentineae", "Agrilus rilliardi", "Agrilus limoniastri", "Agrilus cameroni", "Agrilus tarae", "Agrilus gianfrancoi", "Agrilus kormilevi", "Agrilus kubani", "Agrilus frenchi", "Agrilus terraereginae", "Agrilus samoensis", "Agrilus rugosicollis", "Agrilus pulchellus", "Agrilus paradoxus", "Agrilus munieri", "Agrilus overlaeti", "Agrilus furcillatus", "Agrilus denticornis", "Agrilus oceanicus", "Agrilus klapperichianus", "Agrilus violaceoviridis", "Agrilus nalajchanus", "Agrilus pseudolimoniastri", "Agrilus lanzarotensis", "Agrilus ulaangomiensis", "Agrilus perisi", "Agrilus meloni", "Agrilus relegatus", "Agrilus hiekei", "Agrilus tessmanni", "Orthosia wangwene", "Peltula corticola", "Lasioglossum akroundicum", "Lasioglossum albipes", "Lasioglossum albitarsatum", "Lasioglossum albocinctum", "Lasioglossum albuquerquense", "Lasioglossum alexanderi", "Lasioglossum alinense", "Lasioglossum alpigenum", "Lasioglossum amurense", "Lasioglossum andrewsi", "Lasioglossum anellum", "Rosa pulverulenta", "Lasioglossum angusticeps", "Lasioglossum ankaratrensis", "Lasioglossum arabs", "Lasioglossum arctifrons arctifrons", "Lasioglossum arctifrons", "Lasioglossum athabascense", "Lasioglossum atripygum", "Lasioglossum atroglaucum", "Lasioglossum aulacophorum", "Lasioglossum baruense", "Lasioglossum bellulum", "Lasioglossum berberum", "Lasioglossum bidentatum", "Lasioglossum bremerense", "Lasioglossum bubulcus", "Lasioglossum californiae", "Lasioglossum carinatum", "Lasioglossum carinifrons", "Lasioglossum chalcochiton", "Lasioglossum chloropus", "Lasioglossum cinctipes", "Lasioglossum coeruleum", "Lasioglossum costulatum", "Lasioglossum creightoni", "Lasioglossum ctenander", "Lasioglossum damascenum", "Lasioglossum danicorum", "Lasioglossum danuvium", "Lasioglossum darwiniellum", "Lasioglossum debilior", "Lasioglossum denticolle", "Lasioglossum dimorphum", "Lasioglossum duckei", "Lasioglossum dybowskii", "Lasioglossum dynastes", "Lasioglossum emirnense", "Lasioglossum europense", "Orothalassodes floccosa", "Lasioglossum semilucens", "Lasioglossum sexnotatulum", "Lasioglossum simlaense", "Lasioglossum simplex", "Lasioglossum soror", "Lasioglossum speculum", "Lasioglossum spinolae", "Lasioglossum squamosus", "Lasioglossum stevensoni", "Lasioglossum stictaspis", "Lasioglossum subfasciatum", "Lasioglossum surrubresense", "Lasioglossum synavei", "Lasioglossum szentivanyi", "Lasioglossum testaceum", "Lasioglossum textorium", "Lasioglossum tilachiforme", "Lasioglossum tinguiricum", "Lasioglossum toxopei", "Lasioglossum transitorium transitorium", "Lasioglossum transitorium", "Lasioglossum travassosi", "Lasioglossum tricinctum", "Lasioglossum tricolor", "Lasioglossum trincomalicum", "Lasioglossum trizonatum", "Lasioglossum truncaticolle", "Lasioglossum truncatum", "Lasioglossum upinense", "Lasioglossum uyacicola", "Lasioglossum vagans", "Lasioglossum vierecki", "Lasioglossum virens", "Lasioglossum yakourense", "Lasioglossum zamoranicum", "Lasioglossum zonulum", "Lasioglossum ariadne", "Lasioglossum balearicus", "Lasioglossum bluethgeni", "Lasioglossum breedi", "Lasioglossum briseis", "Lasioglossum dinazade", "Lasioglossum ecanidum", "Lasioglossum eomontanum", "Lasioglossum figueresi", "Lasioglossum godmanae", "Lasioglossum hecate", "Lasioglossum iwatai", "Lasioglossum kinabaluense", "Lasioglossum laevoides", "Lasioglossum micante", "Lasioglossum miyanoi", "Lasioglossum mystron", "Lasioglossum nemorale", "Lasioglossum nupricola", "Lasioglossum omnipunctatum", "Agrilus artevansi", "Agrilus bicoloropsis", "Agrilus brechteli", "Agrilus clytrinoides", "Agrilus dingoides", "Agrilus egeniformis", "Agrilus eyai", "Agrilus gedeellus", "Agrilus gedenus", "Agrilus gianassoi", "Agrilus ibericus", "Agrilus inexpectatus", "Agrilus jacetanus", "Agrilus kettneri", "Agrilus lacus", "Agrilus malicola", "Agrilus marietae", "Agrilus naivashensis", "Agrilus olentangyi", "Agrilus paramasculinus", "Agrilus pistaciophagus", "Agrilus pulex", "Agrilus rosei", "Agrilus uromastyx", "Agrilus vandenberghei", "Agrilus yemenita", "Agrilus zanthoxylumi", "Agrilus enriguei", "Agrilus pseudopurpuratus", "Agrilus rhoos", "Agrilus angustus", "Agrilus catherinae", "Agrilus hyperici", "Agrilus xantholomus", "Agrilus occipitalis", "Agrilus biguttatus", "Agrilus ruficollis", "Agrilus pavidus", "Agrilus angulatus", "Agrilus cyanopterus", "Agrilus madecassus", "Agrilus laticornis", "Agrilus viridanus", "Agrilus falcatus", "Agrilus viridis", "Agrilus ater", "Agrilus cuprescens", "Agrilus muehlheimi", "Agrilus mrazi", "Agrilus binderi", "Agrilus semenovi", "Agrilus spathulatus", "Agrilus gratiosulus", "Agrilus sinuatus", "Lasioglossum nitidulum hammi", "Lasioglossum nitidulum nitidulum", "Lasioglossum nitidulum", "Lasioglossum nodicorne", "Lasioglossum oenotherae", "Lasioglossum olivaceum", "Pelagodes paraveraria", "Pelagodes bellula", "Pelagodes simplvalvae", "Pelagodes sinuspinae", "Pelagodes semengok", "Lasioglossum oppositum", "Lasioglossum ornduffi", "Lasioglossum orpheum", "Lasioglossum osmioides", "Lasioglossum pallidum", "Lasioglossum paramorio", "Lasioglossum parvum", "Lasioglossum patongense", "Lasioglossum pauliani", "Lasioglossum perater", "Lasioglossum perezi", "Lasioglossum perihirtum", "Lasioglossum perpessicium", "Lasioglossum pilicorne", "Lasioglossum pinnatum", "Lasioglossum pistorium", "Lasioglossum platycephalum", "Lasioglossum podolicum", "Lasioglossum polyctor", "Nerophis maculatus", "Lasioglossum prasinum", "Pelagodes clarifimbria", "Lasioglossum proximum", "Lasioglossum pseudopectorale", "Lasioglossum pseudotegulare", "Lasioglossum punctifrons", "Lasioglossum pygmaeum patulum", "Lasioglossum quadrinotatulum", "Lasioglossum resplendens", "Lasioglossum rhodognathum", "Lasioglossum rohweri", "Lasioglossum rubripes", "Lasioglossum rufibase", "Lasioglossum rufitarse", "Lasioglossum rufitarsum", "Lasioglossum sanfrancisconis", "Lasioglossum scitulum", "Thalassodes immissaria", "Nerophis ophidion", "Thalassodes maipoensis", "Nerophis lumbriciformis", "Orothalassodes hypocrites", "Agrilus coraebiformis", "Agrilus bayoni", "Agrilus guningi", "Agrilus krantzi", "Agrilus cordillerae", "Agrilus carpini", "Agrilus duncani", "Agrilus fisherianus", "Agrilus arizonus", "Agrilus wenzeli", "Agrilus osburni", "Agrilus cercidii", "Agrilus hualpaii", "Agrilus catalinae", "Agrilus diospyroides", "Agrilus cladrastis", "Agrilus gillespiensis", "Agrilus cochisei", "Agrilus geronimoi", "Agrilus ohioensis", "Agrilus bentseni", "Agrilus parabductus", "Agrilus howdeni", "Agrilus hazardi", "Agrilus heterothecae", "Agrilus paracelti", "Agrilus ustjurti", "Agrilus paludicola", "Agrilus kutahyanus", "Agrilus asahinai", "Agrilus rokuyai", "Agrilus undulatipennis", "Agrilus elongatissimus", "Agrilus macer", "Agrilus muticus", "Agrilus ignipennis", "Agrilus deauratus", "Agrilus mastersii", "Agrilus samai", "Agrilus hittita", "Agrilus salviaphilos", "Agrilus viridicaerulans", "Agrilus mali", "Agrilus okinawensis", "Agrilus hibisci", "Agrilus diaguita", "Agrilus curvicollis", "Agrilus fulgidiceps", "Agrilus bonvouloirii", "Agrilus saundersii", "Agrilus hattorii", "Agrilus nagaoi", "Agrilus waltersi", "Agrilus turnbowi", "Agrilus harenus", "Agrilus oliveri", "Agrilus ziegleri", "Agrilus cyaneomicans", "Agrilus violaceus", "Agrilus brancsiki", "Agrilus margotanae", "Agrilus hastuliformis", "Agrilus relegatoides", "Agrilus sibiricus", "Agrilus pediculus", "Agrilus wagneranus", "Agrilus dukuduku", "Agrilus giorgiae", "Agrilus ibiscanus", "Agrilus bucephalus", "Agrilus pilosotibialis", "Agrilus pujoli", "Agrilus sallei", "Agrilus ferrisi", "Agrilus mogadoricus", "Agrilus spiniger", "Agrilus fissifrons", "Agrilus indignus", "Agrilus humerosus", "Agrilus ventricosus", "Agrilus nubeculosus", "Agrilus areolatus", "Agrilus semifossus", "Agrilus perrieri", "Agrilus quadraticollis", "Agrilus confinis", "Agrilus gibbicollis", "Agrilus illectus", "Agrilus snowi", "Agrilus lucanus", "Agrilus transimpressus", "Agrilus burkei", "Agrilus dozieri", "Agrilus karakae", "Agrilus perlisensis", "Agrilus walshi", "Agrilus salicis", "Agrilus champlaini", "Agrilus crataegi", "Agrilus criddlei", "Agrilus pseudofallax", "Agrilus inadai", "Agrilus motobuanus", "Agrilus bokori", "Agrilus mjoebergi", "Agrilus telekii", "Agrilus chekiangensis", "Agrilus marozzinii", "Agrilus brevicornis", "Agrilus blandulus", "Agrilus neocollaris", "Agrilus neoflohri", "Agrilus rubroniger", "Agrilus trilineatus", "Agrilus verityi", "Agrilus hispaniolae", "Agrilus jamaicensis", "Agrilus paraimpexus", "Agrilus baueri", "Agrilus assimilis", "Agrilus aurovittatus", "Agrilus sarawakensis", "Agrilus araxenus", "Agrilus fareastensis", "Agrilus voriseki", "Agrilus lineariformis", "Agrilus yami", "Agrilus plicaticollis", "Agrilus junceus", "Agrilus ichthyocerus", "Agrilus vittaticollis", "Agrilus geminatus", "Agrilus granulatus", "Agrilus arcuatus", "Agrilus politus", "Agrilus sicardi", "Agrilus lloydi", "Agrilus sexguttatus", "Agrilus taoi", "Agrilus diversicolor", "Agrilus flohri", "Agrilus bilineatus", "Agrilus hespenheidei", "Agrilus peregrinus", "Agrilus plavilstshikovi", "Agrilus utahensis", "Agrilus ribbei", "Agrilus townsendi", "Agrilus tshapadarensis", "Agrilus cyphothoracoides", "Agrilus pseudosallei", "Agrilus filius", "Agrilus octosignatus", "Agrilus nigrofasciatus", "Agrilus jacobsoni", "Agrilus singkaraensis", "Agrilus mcgregori", "Psocathropos lachlani", "Amblyomma americanum", "Psoquilla marginepunctata", "Rhyopsocus pandanicola", "Amblyomma maculatum", "Lepinotus lepinotoides", "Lepinotus machadoi", "Cerobasis annulata", "Cerobasis australica", "Amblyomma multipunctum", "Lasioglossum achrostum", "Hypericum athoum", "Hypericum augustinii", "Hypericum choisyanum", "Hypericum henryi", "Hypericum galioides", "Rhacophorus pseudacutirostris", "Furnariphilus griffithsi", "Furnariphilus parkeri", "Furnariphilus pagei", "Myrsidea pagei", "Itilochelys rasstrigin", "Acanthopleura vaillantii", "Ampullacypris oblongata", "Heterocypris vatia", "Juraesalus atavus", "Sinaesalus tenuipes", "Sinaesalus longipes", "Sinaesalus curvipes", "Lasioglossum orbitatum", "Lasioglossum osiris", "Lasioglossum pavo", "Lasioglossum persicum", "Lasioglossum pleurospeculum", "Lasioglossum saegeri", "Lasioglossum scheherezade", "Lasioglossum shoichi", "Lasioglossum urbanus", "Lasioglossum urbanum", "Lasioglossum allodalum", "Lasioglossum amnestum", "Lasioglossum blakistoni", "Lasioglossum delobeli", "Lasioglossum enslini", "Lasioglossum frigidum", "Lasioglossum gattaca", "Lasioglossum hartmanni", "Lasioglossum hirashimae", "Lasioglossum kuroshio", "Lasioglossum latilabrum", "Lasioglossum naitoi", "Lasioglossum noctivaga", "Lasioglossum ohei", "Lasioglossum okinawa", "Lasioglossum primavera", "Lasioglossum sakishima", "Lasioglossum solisortus", "Lasioglossum spinodorsum", "Lasioglossum yakuticum", "Lasioglossum atrazureum", "Lasioglossum cocos", "Lasioglossum comagenense", "Lasioglossum kumejimense", "Lasioglossum lustricolle", "Lasioglossum transvaalense", "Lasioglossum boreale", "Lasioglossum paralphenum", "Lasioglossum subtropicum", "Lasioglossum fynbosense", "Lasioglossum acephalum", "Lasioglossum genotrigonum", "Lasioglossum semiruginosum", "Syngnathus schlegeli", "Lasioglossum leucocomum", "Lasioglossum oceanicum", "Lasioglossum planatum", "Lasioglossum yakushimense", "Erysimum baeticum", "Erysimum capitatum", "Erysimum cheiranthoides", "Simulium subratai", "Erysimum creticum", "Erysimum hieraciifolium", "Erysimum albescens", "Erysimum asperum", "Erysimum aucherianum", "Erysimum corinthium", "Eucrada robusta", "Eucrada humeralis", "Eucrada macleani", "Ptinomorphus aquilus", "Ptinomorphus fursovi", "Ptinomorphus sericeus", "Ptinomorphus tatjanae", "Pronectria collematis", "Sinoarctia kasnakovi", "Sinoarctia sieversi", "Sinoarctia forsteri", "Orontobia secreta", "Canararctia rufescens gomerensis", "Erysimum crassicaule", "Erysimum crassipes", "Erysimum flavum", "Erysimum gomez-campoi", "Erysimum graecum", "Erysimum gramineum", "Erysimum grandiflorum", "Erysimum incanum", "Erysimum inconspicuum", "Erysimum lagascae", "Erysimum linifolium", "Erysimum menziesii", "Erysimum metlesicsii", "Erysimum myriophyllum", "Erysimum nevadense", "Erysimum ochroleucum", "Erysimum odoratum", "Erysimum olympicum", "Erysimum pallasii", "Erysimum penyalarense", "Erysimum perofskianum", "Erysimum raulinii", "Erysimum scabrum", "Erysimum scoparium", "Erysimum semperflorens", "Erysimum senoneri", "Erysimum sisymbrioides", "Erysimum smyrnaeum", "Erysimum sylvestre", "Erysimum teretifolium", "Erysimum virgatum", "Erysimum witmannii", "Eutrema edwardsii", "Eutrema japonicum", "Eutrema tenue", "Farsetia stenoptera", "Oenothera sect.", "Oenothera subsect.", "Oenothera suffrutescens", "Thubana residua", "Thubana xylogramma", "Thubana onyx", "Acasis viretata", "Acasis appensata", "Acasis bellaria", "Asota buruensis", "Asota sulamangoliensis", "Amurrhyparia leopardina", "Degia imparata", "Degia pulverulenta", "Degia macrosoma", "Degia subfusca", "Degia bipunctata", "Degia bipunctata bipunctata", "Degia bipunctata siberutensis", "Degia diehli", "Degia adunca", "Degia deficiens", "Degia deficiens deficiens", "Ectopsocus vachoni", "Epatolmis caesarea", "Nikaea longipennis", "Nikaea matsumurai", "Taicallimorpha albipuncta", "Centrarctia mongolica", "Divarctia diva", "Tancrea pardalina", "Caranx crysos", "Sibirarctia buraetica", "Altitatiayus campoi", "Altitatiayus dulceae", "Altitatiayus rotundatus", "Altitatiayus ruficollis", "Altitatiayus trifurcatus", "Sibirarctia kindermanni", "Rhyparioides nebulosa", "Rhyparioides amurensis", "Rhyparioides subvaria", "Degia deficiens palawanensis", "Degia evagata", "Degia sumatrensis", "Cossidopsyche perlucida", "Westia cyrtozona", "Westia nigrobasalis", "Westia permagna", "Elachista baltica", "Charaxes baumanni", "Charaxes berkeleyi", "Limnocythere dorsosicula", "Charaxes bipunctatus", "Charaxes blanda", "Limnocythere milta", "Charaxes bocqueti", "Charaxes boueti", "Syngnathus auliscus", "Syngnathus macrobrachium", "Syngnathus floridae", "Syngnathus carinatus", "Oenothera subsect.", "Oenothera anomala", "Tapinoma kinburni", "Broscus crassimargo", "Limnocythere mowbrayensis", "Ectopsocus acutistigma", "Ectopsocus albiceps", "Drosophila malayana", "Ectopsocus baliosus", "Drosophila toyohii", "Ectopsocus brunneus", "Ectopsocus cetratus", "Ectopsocus cinctus", "Ectopsocus denervus", "Ectopsocus downesi", "Ectopsocus maindroni", "Ectopsocus nerens", "Ectopsocus ornatus", "Ectopsocus parmatus", "Ectopsocus perplexus", "Ectopsocus pilosoides", "Ectopsocus pteridii", "Ectopsocus richardsi", "Ectopsocus rileyae", "Ectopsocus russulus", "Ectopsocus unipunctatus", "Ectopsocus vilhenai", "Axiopoena maura", "Axiopoena karelini", "Lamprologus teugelsi", "Lamprologus tigripictilis", "Sinowatsonia hoenei", "Peripsocus anura", "Peripsocus bifasciatus", "Peripsocus bifidus", "Peripsocus hamiltonae", "Peripsocus hickmani", "Peripsocus hollowayi", "Peripsocus hyalinus", "Peripsocus melaleucae", "Peripsocus tillyardi", "Peripsocus sydneyensis", "Peripsocus roseus", "Peripsocus notialis", "Dubatolovia atrivena", "Peripsocus cochleus", "Peripsocus pamae", "Juxtarctia multiguttata", "Bucaea fumipennis", "Cycloperipsocus edwardsi", "Cycloperipsocus norfolkensis", "Canararctia rufescens", "Rhyparioides metelkana", "Ernobius galasjevae", "Ernobius oculeus", "Xestobium luriei", "Xestobium pleshanovi", "Xestobium rafesi", "Rhyparia purpurata", "Ebertarctia afghanicola", "Ebertarctia solitaria", "Diacrisia irene", "Homophthalmus rufithorax", "Homophthalmus rydhi", "Phyllopeltula steppae", "Syngnathus safina", "Ptinus littoralis", "Syngnathus fuscus", "Scythris kabulella", "Scythris claudiae", "Scythris alborzensis", "Scythris bifasciella", "Afrocoscinia aethiopica", "Pseudostegania defectata", "Pseudostegania chrysidia", "Pseudostegania straminearia", "Pseudostegania distinctaria", "Pseudostegania yargongaria", "Pseudostegania qinlingensis", "Pseudostegania lijiangensis", "Pseudostegania zhoui", "Pseudostegania burmaensis", "Thubana bathrocera", "Thubana bullulata", "Thubana cherandra", "Thubana deltaspis", "Thubana exoema", "Thubana isocrypta", "Thubana laxata", "Thubana nardinopa", "Thubana nodosa", "Dodiopsis solanikovi", "Rhyparioides amurensis nipponensis", "Callimorpha dominula", "Rhyparia purpurata gerda", "Callimorpha dominula kurdistanica", "Callimorpha dominula lusitanica", "Nyctobadistes hamatus", "Callimorpha dominula persona", "Callimorpha dominula philippsi", "Callimorpha dominula pompalis", "Callimorpha dominula profuga", "Sphyraena sphyraena", "Callimorpha dominula rossica", "Callimorpha dominula trinacriae", "Callindra arginalis", "Callindra equitalis", "Callindra lenzeni", "Orontobia coelestina", "Aglaomorpha histrio formosana", "Parasemia plantaginis araitensis", "Parasemia plantaginis kunashirica", "Parasemia plantaginis macromera", "Parasemia plantaginis melanomera", "Parasemia plantaginis melanissima", "Sinowatsonia hoenei alpicola", "Parasemia plantaginis nycticans", "Parasemia plantaginis sachalinensis", "Parasemia plantaginis sifanica", "Parasemia plantaginis carbonelli", "Parasemia plantaginis caspica", "Parasemia plantaginis caucasica", "Parasemia plantaginis hesselbarthi", "Parasemia plantaginis interrupta", "Parasemia plantaginis petrosa", "Speyeria nokomis", "Speyeria nokomis nokomis", "Speyeria nokomis tularosa", "Speyeria nokomis nitocris", "Speyeria nokomis coerulescens", "Speyeria nokomis apacheana", "Speyeria nokomis wenona", "Speyeria nokomis melaena", "Charonia variegata", "Phaneta cibolana", "Phaneta parvula", "Phaneta clementeana", "Echinops ritro subsp. meyeri", "Phaneta baloghi", "Phaneta vogelana", "Spiris bipunctata", "Phaneta stramineana", "Phaneta parvana", "Phaneta grindeliana", "Phaneta alatana", "Phaneta albertana", "Phaneta altana", "Argyrotaenia occultana", "Echinops ritro subsp. thracicus", "Echinops ritro subsp. ruthenicus", "Echinops ritro subsp. sartorianus", "Echinops ritro subsp. siculus", "Echinops ritro subsp. ritro", "Cymbalophora powelli", "Cymbalophora pudica", "Cymbalophora rivularis", "Dodia diaphana", "Dodia kononenkoi", "Pungitius sinensis", "Dodia sikhotensis", "Dodia sazonovi", "Dodia transbaikalensis", "Dodia verticalis", "Epimydia dialampra", "Callindra principalis nuristanica", "Callindra principalis regalis", "Carcinopyga gurkoi", "Carcinopyga proserpina", "Fibigia clypeata", "Glastaria glastifolia", "Goldbachia laevigata", "Harmsiodoxa blennodioides", "Lamprologus congoensis", "Heliophila scandens", "Heliophila suavissima", "Conus beatrix", "Lamprologus tumbanus", "Rhizoplaca macleanii", "Lamprologus callipterus", "Lamprologus lemairii", "Dasyhelea aeratipennis", "Dasyhelea decempunctata", "Dasyhelea minuscula", "Dasyhelea nigella", "Dasyhelea intonsa", "Dasyhelea esakii", "Lamprologus stappersi", "Paradasyhelea albipunctata", "Euleechia arisana", "Euleechia bieti", "Euleechia miranda", "Euleechia pratti", "Tinoliodes benguetensis", "Tinoliodes dehanna", "Sebastia argus", "Lacydes incurvata", "Phaneta camdenana", "Phaneta castrensis", "Phaneta complicana", "Phaneta convergana", "Phaneta indeterminana", "Phaneta modernana", "Phaneta rupestrana", "Phaneta youngi", "Phaneta mayelisana", "Phaneta linitipunctana", "Chicoreus brevifrons", "Phaneta argutipunctana", "Phaneta ambodaidaleia", "Liometopum orientale", "Pungitius hellenicus", "Kempfidea canadensis", "Aloa ihlei", "Aemene fumosa", "Aemene hortensis", "Laccotrephes maculatus", "Lacydes spectabilis", "Lacydes spectabilis annelata", "Euplagia splendidior", "Haploa clymene", "Haploa colona", "Euplagia quadripunctaria", "Euplagia quadripunctaria fulgida", "Epiblema glenni", "Epiblema tripartitana", "Epiblema infelix", "Epiblema scudderiana", "Euplagia quadripunctaria rhodosensis", "Clinopsocus smithersi", "Psocophloea sarahae", "Villopsocus tasmaniensis", "Gondwanapsocus australis", "Onychophallus diemenensis", "Telmopsocus waldheimensis", "Propsocus frodshami", "Tonna galea", "Hemicrambe fruticulosa", "Henophyton deserti", "Hesperidanthus argillaceus", "Hesperidanthus barnebyi", "Hesperidanthus linearifolius", "Hesperidanthus suffrutescens", "Hesperis dinarica", "Hesperis laciniata", "Hesperis persica", "Hesperis sibirica", "Cladonia innominata", "Amblyptilia kosteri", "Amblyptilia landryi", "Pungitius platygaster", "Anomalopsylla insignita", "Coscinia cribraria", "Coscinia caligans", "Coscinia lybissa", "Psylla apicalis", "Coscinia liouvillei", "Coscinia mariarosae", "Coscinia romeii", "Trioza apicalis", "Cymbalophora haroldi", "Cymbalophora oertzeni", "Simulium fionae", "Simulium wulindongense", "Simulium matteabranchium", "Simulium flavipes", "Simulium buxtoni", "Simulium pulchripes", "Simulium croaticum", "Simulium savici", "Simulium golani", "Simulium bravermani", "Simulium indicum", "Simulium griseicolle", "Simulium guimari", "Simulium metallicum", "Simulium longipalpe", "Simulium tatianae", "Simulium makartshenkovi", "Simulium tumninum", "Simulium ussovae", "Simulium jugatum", "Simulium pathrushevae", "Simulium canescens", "Simulium striatum", "Simulium altayense", "Simulium pitense", "Simulium zetterstedti", "Simulium azorense", "Simulium ramulosum", "Simulium tenuatum", "Simulium tongbaishanense", "Simulium vischarvi", "Chiromachla chalcosidia seriatopunctata", "Carbacanthographis sorediata", "Chiromachla leuconoe limbalis", "Podomachla acraeina togoensis", "Podomachla insularis", "Gobio lozanoi", "Keiferia rusposoria", "Callithomia lenea", "Vinpeius tinga", "Virga clenchi", "Gasterosteus aculeatus", "Gasterosteus wheatlandi", "Gasterosteus crenobiontus", "Harenactis argentina", "Plectocephalus chilensis", "Myelochroa lindmanii", "Paradasyhelea minuta", "Paradasyhelea reyei", "Lamprologus meleagris", "Lamprologus speciosus", "Aaroniella howensis", "Aaroniella lobata", "Nigidius sinicus", "Neolucanus guizhoui", "Nannochorista philpotti", "Callindra nepos", "Callindra similis", "Callindra nyctemerata", "Callindra nyctemerata fangchenglaiae", "Callindra principalis", "Limnocythere baikalensis", "Callindra principalis fedtschenkoi", "Elixia cretica", "Callindra principalis flavicolor", "Haploa contigua", "Haploa reversa", "Haploa lecontei", "Agaltara nebulosa", "Diota rostrata", "Lamprologus mocquardi", "Galtara aurivilii", "Galtara colettae", "Galtara convergens", "Galtara doriae megadoriae", "Galtara elongata", "Galtara extensa", "Galtara laportei", "Galtara nepheloptera", "Galtara notabilis", "Galtara pulverata", "Lamprologus werneri", "Galtara purata", "Galtara reticulata", "Galtara turlini", "Galtara somaliensis", "Galtara somaliensis regalis", "Lamprologus symoensi", "Ischnarctia brunnescens", "Ischnarctia oberthueri", "Ischnarctia cinerea", "Pseudogaltara inexpectata", "Lamprologus lethops", "Argina astrea", "Mangina argus", "Mangina syringa", "Mangina pulchra", "Tephromela priestleyi", "Precaffrocrambus manyarae", "Buellia sardiniensis", "Caffrocrambus sordidellus", "Cytheridella ilosvayi", "Ludwigia sect.", "Cystocoleus ebeneus", "Cattleya guttata", "Umbilicaria rhizinata", "Bibio imitator", "Enicoscolus collessi", "Acerbia churkini", "Acerbia kolpakofskii", "Plecia amplipennis", "Plecia aruensis", "Catolobus pendulus", "Caulanthus californicus", "Caulanthus crassicaulis", "Crambe fruticosa", "Crambe laevigata", "Crambe pritzelii", "Crambe scaberrima", "Crambe scoparia", "Crambe strigosa", "Crambe sventenii", "Crambe filiformis", "Crambe hispanica", "Crambe kralikii", "Crambe juncea", "Crambe koktebelica", "Crambe aspera", "Crambe glaberrima", "Crambe kotschyana", "Crambe orientalis", "Crambe tataria", "Pteroxanium forcepetum", "Pteroxanium funebre", "Pteroxanium oaxacanum", "Ectopsocus inornatus", "Sorbus sitchensis var. sitchensis", "Perimede erransella", "Perimede falcata", "Perimede ricina", "Perimede latris", "Perimede battis", "Ocellularia albocincta", "Ocellularia guianensis", "Ocellularia khuntanensis", "Ocellularia subcalvescens", "Ocellularia subgranulosa", "Sorbus sitchensis var. grayi", "Simulium microbranchium", "Simulium yepocapense", "Simulium burchi", "Simulium kompi", "Simulium jacobsi", "Simulium adventicium", "Simulium asishi", "Simulium euryadminiculum", "Simulium erythrocephalum", "Simulium weisiense", "Simulium banaticum", "Simulium vigintifile", "Simulium malyschevi", "Simulium neornatipes", "Simulium norfolkense", "Simulium azerbaidzhanicum", "Simulium assadovi", "Simulium angustipes", "Simulium morsitans", "Simulium gracilipes", "Simulium sergenti", "Simulium laciniatum", "Simulium varicorne", "Simulium hackeri", "Simulium melanopus", "Simulium nemorale", "Simulium speculiventre", "Simulium balcanicum", "Simulium falculatum", "Simulium nigristrigatum", "Simulium berghei", "Simulium ituriense", "Simulium katangae", "Simulium berneri", "Simulium aureum", "Simulium pusillum", "Simulium liberiense", "Simulium copleyi", "Simulium hessei", "Simulium timondavidi", "Simulium galloprovinciale", "Simulium amazonicum", "Simulium fallisi", "Simulium rendalense", "Simulium usovae", "Simulium danense", "Simulium marlieri", "Simulium pictipes", "Simulium tergospinosum", "Simulium johannseni", "Simulium canadense", "Simulium antillarum", "Simulium samboni", "Simulium dinellii", "Simulium lutzi", "Simulium mediovittatum", "Simulium oligotuberculatum", "Simulium rithrogenophila", "Simulium rithrogenophilum", "Simulium kipengere", "Simulium plumbeum", "Simulium larvispinosum", "Simulium hightoni", "Simulium nepalense", "Ludwigia \u00d7 taiwanensis", "Gloniella graphidioidea", "Ludwigia sect.", "Ludwigia sedioides", "Cliostomum coppinsii", "Cliostomum praepallidum", "Ludwigia \u00d7 kentiana", "Ludwigia \u00d7 lacustris", "Cephennium andreinii", "Cephennium faillai", "Cephennium rasna", "Cephennium rossii", "Cephennium zoiai", "Ludwigia sect.", "Acanthothecis archeri", "Acanthothecis celata", "Acanthothecis coccinea", "Lepidium latifolium", "Lepidium montanum", "Lepidium nitidum", "Lepidium oblongum", "Lepidium pinnatifidum", "Lepidium africanum", "Lepidium alluaudii", "Lepidium alyssoides", "Lepidium appelianum", "Lepidium austrinum", "Lepidium bidentatum", "Lepidium bonariense", "Lepidium capense", "Lepidium cardamines", "Lepidium chalepense", "Lepidium coronopus", "Lepidium crenatum", "Lepidium didymum", "Lepidium graminifolium", "Lepidium heterophyllum", "Lepidium hirtum", "Lepidium lasiocarpum", "Lepidium o-waihiense", "Lepidium persicum", "Lepidium ramosissimum", "Plecia crenula", "Plecia dimidiata", "Plecia erebea", "Plecia erebeoidea", "Plecia ornaticornis", "Dilophus aberratus", "Dilophus atripennis", "Dilophus cantrelli", "Dilophus collessi", "Dilophus conspicuus", "Dilophus desistens", "Dilophus discretus", "Dilophus dubius", "Dilophus flavicrus", "Dilophus longipilosus", "Dilophus longirostris", "Dilophus mcalpinei", "Dilophus modicus", "Dilophus partitus", "Dilophus parvus", "Dilophus pictipes", "Dilophus sexspinosus", "Dilophus skusei", "Dilophus surrufus", "Dilophus tersus", "Dilophus tetrascolus", "Dilophus tricuspidatus", "Stauropolia nekrutenkoi", "Dilophus varipes", "Achatina fulica", "Dilophus alpinus", "Dilophus crinitus", "Dilophus fumipennis", "Dilophus harrisoni", "Dilophus neoinsolitus", "Dilophus nigrostigma", "Dilophus segnis", "Dilophus tuthilli", "Dilophus campbelli", "Iberis amara", "Iberis gibraltarica", "Iberis umbellata", "Iberis linifolia", "Diolcogaster pluriminitida", "Diolcogaster praritas", "Diolcogaster punctatiscutum", "Diolcogaster translucida", "Lepidium draba", "Lepidium fremontii", "Diolcogaster alvearia", "Lepidium jaredii", "Diolcogaster chaoi", "Diolcogaster spreta", "Simulium rivosecchii", "Simulium rivosecchii", "Platyprepia virginalis", "Platarctia souliei", "Platarctia parthenos", "Gaza superba", "Amphiglossus meva", "Blaesodactylus ambonihazo", "Euspondylus acutirostris", "Euspondylus caideni", "Euspondylus guentheri", "Platarctia ornata", "Platarctia ornata sotavaltai", "Ludwigia peploides subsp. montevidensis", "Lucanus busignyi", "Neolucanus fuscus", "Neolucanus delicatus", "Neolucanus brochieri", "Neolucanus inaharai", "Novonigidius kirchneri", "Dorcus sewertzowi", "Lucanus planeti dayaoshanensis", "Ludwigia peploides subsp. peploides", "Astelia antiquua", "Cameraria ohridella", "Astelia banksii", "Ludwigia peploides subsp. stipulacea", "Platyceroides latus", "Ludwigia peploides subsp. glabrescens", "Simulium konoi", "Simulium koidzumii", "Simulium faheyi", "Simulium aureofulgens", "Simulium reginae", "Simulium damnosum", "Simulium olonicum", "Simulium kachvorjanae", "Simulium laneportoi", "Simulium paynei", "Simulium smarti", "Simulium chomustachi", "Simulium anamariae", "Simulium decorum", "Simulium ochraceum", "Simulium papuense", "Simulium melatum", "Simulium argus", "Simulium tarsale", "Simulium guianense", "Simulium anatinum", "Simulium paralongipalpe", "Simulium adolfolutzi", "Simulium romanai", "Simulium antonii", "Simulium huairayacu", "Simulium limay", "Simulium walterwittmeri", "Simulium cormonsi", "Simulium jaimeramirezi", "Simulium schmidtmummi", "Simulium delponteianum", "Simulium gutsevitshi", "Simulium brunneum", "Simulium platytarse", "Simulium tsharae", "Simulium talassicum", "Simulium tshuni", "Simulium multifurcatum", "Aspicilia aschabadensis", "Ludwigia alternifolia", "Lecanora saxicola", "Chrysolepis sempervirens", "Placidium subrufescens", "Placidium tenellum", "Ludwigia decurrens", "Iberis simplex", "Idahoa scapigera", "Iodanthus pinnatifidus", "Isatis aucheri", "Isatis boissieriana", "Isatis buschiana", "Isatis cappadocica", "Isatis costata", "Isatis djurdjurae", "Isatis emarginata", "Isatis erzurumica", "Isatis gaubae", "Isatis glauca", "Isatis iberica", "Isatis kotschyana", "Isatis minima", "Thressa bimaculata", "Leavenworthia alabamica", "Leavenworthia aurea", "Leavenworthia crassa", "Leavenworthia exigua", "Leavenworthia stylosa", "Leavenworthia torulosa", "Thressa daiyunshana", "Leavenworthia uniflora", "Thressa foliacea", "Thressa longimaculata", "Thressa flavior", "Thressa beckeri", "Thressa cyanescens", "Thressa spuria", "Thressa guizhouensis", "Thressa maculata", "Thressa anderssoni", "Preparctia hannyngtoni", "Jeholopsyche liaoningensis", "Preparctia cupido", "Preparctia buddenbrocki", "Lepidium arbuscula", "Lepidium barnebyanum", "Preparctia buddenbrocki biedermanni", "Lepidium campestre", "Diolcogaster bifurcifossa", "Lepidium densiflorum", "Diolcogaster brevivena", "Diolcogaster grammata", "Diolcogaster ineminens", "Diolcogaster laetimedia", "Lepidium dictyotum", "Ludwigia epilobioides", "Placidium boccanum", "Gaza compta", "Leptaleum filifolium", "Lunaria annua", "Pararctia lapponica", "Malcolmia maritima", "Mathewsia incana", "Matthiola fruticulosa", "Matthiola longipetala", "Matthiola lunata", "Matthiola maderensis", "Matthiola maroccana", "Matthiola ovatifolia", "Matthiola parviflora", "Matthiola sinuata", "Pararctia lapponica gibsoni", "Megacarpaea delavayi", "Megacarpaea orbiculata", "Pararctia lapponica hyperborea", "Menonvillea chilensis", "Pararctia lapponica lemniscata", "Moricandia arvensis", "Moricandia nitens", "Moricandia suffruticosa", "Myagrum perfoliatum", "Nasturtium africanum", "Nasturtium floridanum", "Nasturtium gambellii", "Nasturtium microphyllum", "Nasturtium \u00d7 sterile", "Candona parva", "Simulium imerinae", "Simulium neireti", "Simulium escomeli", "Simulium syriacum", "Simulium dentulosum", "Simulium neavei", "Simulium alajense", "Simulium desertorum", "Simulium inflatum", "Simulium xanthogastrum", "Simulium abbreviatum", "Simulium curvistylus", "Simulium shevtshenkovae", "Simulium gabovae", "Simulium obikumbense", "Simulium barabense", "Simulium latilobus", "Simulium kerzhneri", "Simulium parargyreatum", "Simulium velutinum", "Simulium venustum", "Simulium lividum", "Simulium paraguayense", "Simulium paranense", "Simulium columbacensis", "Simulium hukaense", "Simulium uaense", "Simulium pseudequinum", "Simulium egregium", "Simulium gurneyae", "Simulium pattoni", "Simulium codreanui", "Simulium voilense", "Simulium furculatum", "Simulium innocens", "Simulium longistylatum", "Simulium simile", "Simulium ornatipes", "Simulium rubtzovi", "Simulium longirostre", "Simulium podostemi", "Simulium lakei", "Simulium solarii", "Simulium gouldingi", "Simulium nigricoxum", "Simulium spilmani", "Simulium argenteostriatum", "Simulium nigrogilvum", "Simulium pekingense", "Simulium kariyai", "Simulium aokii", "Simulium omorii", "Simulium yonakuniense", "Simulium morisonoi", "Simulium tokarense", "Simulium satsumense", "Simulium sakishimaense", "Simulium kyushuense", "Simulium yaeyamaense", "Simulium hiroshii", "Simulium lilianae", "Simulium cagayanense", "Simulium maklarini", "Lepidium ruderale", "Lepidium schinzii", "Lepidium spinosum", "Lepidium subulatum", "Lepidium thurberi", "Lepidium vesicarium", "Lepidium villarsii", "Ludwigia sect.", "Ludwigia sect.", "Ludwigia sect.", "Ludwigia sect.", "Ludwigia sect.", "Ludwigia sect.", "Ludwigia sect.", "Ludwigia sect.", "Ludwigia sect.", "Ludwigia sect.", "Ludwigia sect.", "Ludwigia sect.", "Ludwigia sect.", "Ludwigia sect.", "Ludwigia sect.", "Ludwigia sect.", "Ludwigia sect.", "Ludwigia sect.", "Psorophorus pholidotus", "Ludwigia sect.", "Ludwigia sect.", "Ludwigia peruviana", "Sander marinus", "Usutu virus", "Sander volgensis", "Simulium bracteatum", "Simulium griseum", "Simulium nigritarse", "Simulium virgatum", "Simulium prumirimense", "Simulium bezzii", "Simulium chaquense", "Simulium iguazuense", "Simulium philippii", "Simulium mayuchuspi", "Simulium paracarolinae", "Simulium segusina", "Simulium loveridgei", "Simulium atlanticum", "Simulium garmsi", "Simulium politum", "Simulium arabicum", "Simulium zinaidae", "Simulium flexibranchium", "Simulium trifasciatum", "Simulium benjamini", "Simulium chutteri", "Simulium equinum", "Simulium reptans", "Simulium incanum", "Simulium quadrivittatum", "Simulium quadrifidum", "Simulium kanchaveli", "Simulium sastscheri", "Simulium vernum", "Simulium nigrimanum", "Simulium ruficorne", "Simulium tarsatum", "Simulium bipunctatum", "Simulium townsendi", "Simulium kawamurae", "Simulium arakawae", "Simulium japonicum", "Simulium argyreatum", "Simulium posticatum", "Simulium nobile", "Simulium debegene", "Simulium letabum", "Simulium impukane", "Simulium kenyae", "Simulium mcmahoni", "Simulium rhodesinese", "Simulium gyas", "Simulium iphias", "Simulium santomi", "Simulium mauense", "Simulium roraimense", "Simulium yonagoense", "Simulium larvipilosum", "Simulium tobetsuense", "Simulium rebunense", "Simulium erimoense", "Simulium horokaense", "Simulium oshimaense", "Simulium karasuae", "Simulium dendrofilum", "Simulium acutum", "Simulium zaporojae", "Simulium labellei", "Simulium robynae", "Simulium vantshi", "Simulium annulatum", "Simulium pulchrum", "Simulium nahimi", "Simulium guaporense", "Simulium jeteri", "Simulium fluviatile", "Simulium fontinale", "Simulium nilesi", "Simulium meridionale", "Simulium pontinum", "Simulium liriense", "Simulium fucense", "Simulium marsicanum", "Simulium ibleum", "Simulium saccai", "Simulium sangrense", "Simulium dolomitense", "Simulium ichnusae", "Simulium chilianum", "Pararctia yarrowii", "Nerisyrenia camporum", "Nerisyrenia linearifolia", "Pararctia subnebulosa", "Neslia paniculata", "Noccaea fendleri", "Noccaea montana", "Pararctia subnebulosa tundrana", "Ochthodium aegyptiacum", "Orontobia secreta dalailama", "Orychophragmus violaceus", "Placidium velebiticum", "Oroncus elisabethae", "Oroncus tancrei", "Oroncus tancrei alaica", "Oroncus tancrei fasciata", "Oroncus tancrei urania", "Hyphoraia dejeani", "Parsonsia praeruptis", "Hyphoraia aulica", "Hyphoraia testudinaria", "Sphecius grandis", "Hyphoraia aulica testudinarioides", "Gonerda aglaia", "Gonerda auxo", "Gonerda bretaudeaui", "Gonerda euphrosyne", "Gonerda gloria", "Gonerda kale", "Gonerda perornata", "Gonerda thaleia", "Gonerda watsoni", "Parrya arctica", "Parrya nudicaulis", "Pegaeophyton scapiflorum", "Choerades fimbriata", "Rhynchocinetes durbanensis", "Eucharia festiva arafati", "Cerobasis albipes", "Cerobasis alfredi", "Cerobasis alpha", "Cerobasis amorosa", "Cerobasis caboverdensis", "Cerobasis canariensis", "Cerobasis captiva", "Cerobasis clarionensis", "Eucharia festiva hormozgana", "Cerobasis denticulata", "Cerobasis ericacea", "Cerobasis harteni", "Cerobasis insularis", "Cerobasis intermedia", "Cerobasis lambda", "Cerobasis lapidicola", "Cerobasis longicornis", "Cerobasis maculiceps", "Cerobasis maderensis", "Cerobasis maya", "Cerobasis nigra", "Cerobasis pineticola", "Cerobasis recta", "Cerobasis rosae", "Cerobasis socotrae", "Cerobasis treptica", "Eucharia festiva collaris", "Eucharia festiva interrogationis", "Eucharia festiva interposita", "Eucharia festiva nivea", "Eucharia festiva sartha", "Epicallia villica marchandi", "Epicallia villica konewkaii", "Anomocopeus chrysops", "Epicallia villica fulminans", "Epicallia villica confluens", "Epicallia villica britannica", "Epicallia villica angelica", "Atlantarctia dido", "Atlantarctia oberthueri", "Atlantarctia ungemachi", "Atlantarctia tigrina", "Cerobasis muraria", "Ludwigia grandiflora", "Euonymus glaber", "Atlantarctia tigrina esperi", "Formica forsslundi", "Peltaria angustifolia", "Cyprinotus inversus", "Pennellia longifolia", "Pennellia micrantha", "Phlegmatospermum cochlearinum", "Phoenicaulis cheiranthoides", "Physaria chambersii", "Physaria obcordata", "Physaria acutifolia", "Physaria bellii", "Physaria brassicoides", "Physaria didymocarpa", "Physaria dornii", "Physaria eburniflora", "Physaria floribunda", "Physaria lepidota", "Physaria newberryi", "Physaria rollinsii", "Physaria saximontana", "Physaria vitulifera", "Planodes virginicum", "Polyctenium fremontii", "Psychine stylosa", "Herpetocypris schultzei", "Ludwigia grandiflora subsp. grandiflora", "Rhodomonas salina", "Ludwigia grandiflora subsp. hexapetala", "Jamides pseudosias echeilea", "Ludwigia hyssopifolia", "Ludwigia leptocarpa", "Arctia caja ossetica", "Arctia caja pamiroalaica", "Rorippa alpina", "Arctia caja phaeosoma", "Arctia caja sajana", "Rorippa sinuata", "Arctia caja utahensis", "Rorippa subumbellata", "Arctia caja waroi", "Rorippa teres", "Arctia caja wiskotti", "Arctia rueckbeili", "Schizopetalon rupestre", "Rorippa aurea", "Rorippa brachycarpa", "Arctia intercalaris", "Rorippa hayanica", "Rorippa icarica", "Rorippa integrifolia", "Rorippa lippizensis", "Rorippa prolifera", "Arctia intercalaris alpherakii", "Rorippa pyrenaica", "Selenia aurea", "Selenia grandis", "Arctia intercalaris elisabethana", "Arctia intercalaris truncata", "Sibara filifolia", "Streptanthus hammittii", "Rorippa valdes-bermejoi", "Diacrisia sannio uniformis", "Holoarctia sordida", "Hyperborea czekanowskii", "Micrarctia trigona", "Clarkia sect.", "Clarkia williamsonii", "Notarctia arizoniensis", "Notarctia proxima", "Neoarctia brucei", "Neoarctia lafontainei", "Neoarctia beanii", "Erinnyis obscura", "Sibirarctia kindermanni albovittata", "Sibirarctia kindermanni pomona", "Sibirarctia kindermanni pretiosa", "Clarkia sect.", "Clarkia rhomboidea", "Ixodes ricinus", "Achillea glaberrima", "Placidium lachneum var. lachneum", "Placidium lachneum var. globiferum", "Clarkia purpurea", "Clarkia purpurea subsp. quadrivulnera", "Clarkia purpurea subsp. viminea", "Clarkia williamsonii subsp. incerta", "Clarkia williamsonii subsp. williamsonii", "Sinapis flexuosa", "Sinapis pubescens", "Sisymbrium altissimum", "Sisymbrium erysimoides", "Sisymbrium irio", "Sisymbrium linifolium", "Sisymbrium luteum", "Sisymbrium volgense", "Arctia intercalaris thibetica", "Arctia intercalaris suttadra", "Rorippa dubia", "Rorippa globosa", "Rorippa elata", "Rorippa barbareifolia", "Rorippa benghalensis", "Rorippa cantoniensis", "Apantesis carlotta", "Apantesis bicolor", "Apantesis phalerata", "Clarkia subsect.", "Apantesis vittata", "Apantesis vittata floridana", "Clarkia delicata", "Clarkia subsect.", "Diacrisia sannio caucasica", "Diacrisia sannio mortua", "Parmeliella borbonica", "Coccocarpia imbricascens", "Exsul singularis", "Exsul tenuis", "Alloxysta australiae", "Alloxysta darci", "Thoreauana mascagnini", "Thoreauana thoreauini", "Thoreauana nativa", "Emargo eciton", "Emargo ascia", "Emargo cantus", "Emargo laverna", "Emargo matius", "Emargo micipsa", "Emargo numa", "Emargo palloris", "Emargo peleus", "Emargo themis", "Emargo vacuna", "Thoreauella amatrix", "Alchemilla alpigena", "Alchemilla anisiaca", "Alchemilla barbatiflora", "Epilobium sect.", "Alchemilla faeroensis", "Alchemilla fissa", "Alchemilla flabellata", "Alchemilla glabra", "Alchemilla glaucescens", "Alchemilla hoppeana", "Alchemilla pentaphyllea", "Alchemilla saxatilis", "Alchemilla sibbaldiifolia", "Epilobium siskiyouense", "Alchemilla zmudae", "Alchemilla ziganadagensis", "Alchemilla zapalowiczii", "Alchemilla velebitica", "Anomocopeus nasutus", "Trogium apterum", "Trogium braheicola", "Trogium vanharteni", "Trogium stellatum", "Trogium picticeps", "Trogium lapidarium", "Clarkia sect.", "Clarkia pulchella", "Clarkia sect.", "Alchemilla erzincanensis", "Arctia brachyptera", "Arctia olschwangi", "Arctia opulenta", "Arctia caja americana", "Quidproquo confusum", "Arctia caja kamtschadalis", "Arctia caja tschiliensis", "Arctia caja mazandarana", "Arctia caja orientalis", "Lamprologus finalimus", "Achatina fulica hamillei", "Achatina fulica rodatzi", "Achatina fulica sinistrosa", "Achatina fulica umbilicata", "Clarkia sect.", "Clarkia subsect.", "Gluvia dorsalis", "Clarkia rubicunda", "Eurydice affinis", "Aplysina cavernicola", "Clarkia franciscana", "Tylodina perversa", "Palearctia wagneri", "Palearctia variabilis", "Palearctia mustangbhoti", "Palearctia mira", "Palearctia marxi", "Palearctia golbecki", "Cytherelloidea giriamai", "Emargo recisus", "Quinlania pexus", "Weldiola capito", "Leptogium patwardhanii", "Leptogium subazureum", "Leptogium verrucosum", "Leptogium propaguliferum", "Talponia batesi", "Talponia plummeriana", "Ricula dubitana", "Ricula maculana", "Chelis caecilia", "Chelis dahurica", "Chelis ferghana", "Chelis strigulosa", "Lamprologus laparogramma", "Chelis simplonica", "Chelis reticulata", "Goditha bumeliana", "Chelis maculosa", "Chelis maculosa arragonensis", "Satronia tantilla", "Sereda myodes", "Chelis maculosa honesta", "Sereda tautana", "Chelis maculosa stertzi", "Chelis reticulata schwingenschussi", "Chelis reticulata sultana", "Chelis reticulata transcaucasica", "Thaumasiochaeta beneditae", "Placidium analogicum", "Placidium corticola", "Placidium elisavetae", "Placidium imitans", "Clarkia purpurea subsp. purpurea", "Placidium kaernefeltii", "Placidium krylovianum", "Placidium lachneoides", "Placidium ruiz-lealii", "Placidium semaforonense", "Placidium tuckermanii", "Clarkia imbricata", "Clarkia davyi", "Foveoleberis ymchengi", "Foveoleberis foveolata", "Lamprologus kungweensis", "Lamprologus ocellatus", "Lamprologus ornatipinnis", "Lamprologus signatus", "Talponia alhajuelo", "Talponia rhytidogramma", "Fangarctia huizenensis", "Talponia biseriata", "Fangarctia zhongtiao", "Hyarias metarhoda", "Ricula limenita", "Ricula oneiros", "Ricula waltheriae", "Ricula ybycuia", "Ricula masaguarali", "Ricula gallicola", "Balbis assumptana", "Riculorampha psenbasis", "Riculorampha obrima", "Cytherella interpunctata", "Cytherella dictyon", "Cytherella cincta", "Micrurus ruatanus", "Lycaena rubidus", "Lycaena rubidus rubidus", "Lycaena rubidus duofacies", "Cytherella adenensis", "Cytherella maculosa", "Spinilabochilus turcmenicus", "Oenothera \u00d7 casimiri", "Spinilabochilus deserticola", "Oenothera \u00d7 fallax", "Placopsis tararuana", "Oenothera \u00d7 braunii", "Ninurta coeruleopunctatus", "Oenothera \u00d7 drawertii", "Oenothera \u00d7 heiniana", "Stenocaecilius quercus", "Caloplaca bogilana", "Caloplaca subflavorubescens", "Howeanum costale", "Howeanum tasmaniensis", "Afroarctia bergeri", "Afroarctia dargei", "Afroarctia histrionica", "Afroarctia mamfei", "Afroarctia nebulosa", "Afroarctia sjostedti", "Acizzia dodonaeae", "Afrospilarctia dentivalva", "Acizzia conspicua", "Acizzia jucunda", "Acizzia exquisita", "Acizzia hakeae", "Afrowatsonius spilleri", "Alexicles aspersa", "Allanwatsonia hodeva", "Aloa cardinalis", "Aloa lactinea", "Aloa albistriga", "Aloa collaris", "Aloa costalis", "Aloa corsima", "Aloa flavimargo", "Aloa gangara", "Caecilius insulatus", "Caecilius pacificus", "Haplophallus emmus", "Ricula prepta", "Ricula phtharta", "Ricula incisiva", "Ricula argalea", "Ricula paraffina", "Ricula incerta", "Ricula riparia", "Ricula mysticana", "Ricula marica", "Ricula recens", "Ricula tigropsia", "Ricula eurema", "Ricula figurana", "Ricula lispa", "Ricula atopa", "Ricula migas", "Talponia zuliana", "Talponia trinidadi", "Andala unifascia", "Buellia rhizocarpica", "Cladarctia quadriramosa", "Oenothera subsect.", "Talponia tambopatae", "Acantharctia mundata", "Ricula amethystina", "Ricula diatropa", "Acantharctia nigrivena", "Acantharctia nivea", "Ricula artificialis", "Acantharctia rubrifemora", "Ricula inflexa", "Acantharctia tenuifasciata", "Acantharctia vittata", "Ricula deflexa", "Ricula excavata", "Ricula leira", "Ricula trechalea", "Ricula linharesi", "Ricula luctifica", "Ricula gratia", "Ricula regularis", "Ricula rondoniana", "Psyllipsocus yucatan", "Ricula pinheirana", "Ricula pithana", "Ricula spinulosa", "Aethalida whiteheadi", "Stanleya elata", "Stanleya pinnata", "Stanleya tomentosa", "Stanleya viridiflora", "Rhyopsocidus niger", "Streptanthella longirostris", "Lepolepis trifasciata", "Peripsocus similis", "Haplophallus tandus", "Streptanthus albidus", "Streptanthus bernardinus", "Streptanthus bracteatus", "Howeanum huberi", "Streptanthus carinatus", "Streptanthus cordatus", "Valenzuela pteridii", "Streptanthus glandulosus", "Streptanthus niger", "Oenothera \u00d7 punctulata", "Placopsis gelidioides", "Oenothera \u00d7 wienii", "Alpenus affiniola", "Alpenus diversata", "Paramaka pearljam", "Alpenus dollmani", "Alpenus geminipuncta", "Alpenus intacta", "Alpenus maculosa", "Alpenus microsticta", "Alpenus nigropunctata", "Alpenus pardalina", "Alpenus schraderi", "Alpenus schraderi rattrayi", "Oenothera \u00d7 purpurans", "Oenothera \u00d7 tacikii", "Tonkinosoma flexipes", "Palearctia glaphyra dublitzkyi", "Palearctia glaphyra manni", "Palearctia gratiosa caroli", "Palearctia gratiosa flavoala", "Palearctia gratiosa sergei", "Palearctia gratiosa sarycola", "Palearctia gratiosa kashmirica", "Palearctia gratiosa lochmatteri", "Sellanucheza grandis", "Sellanucheza hoffmani", "Sellanucheza tenebra", "Sellanucheza variata", "Palearctia gratiosa postflavida", "Palearctia gratiosa rupicola", "Microphilypnus acangaquara", "Microphilypnus ternetzi", "Microphilypnus macrostoma", "Talponia geton", "Talponia phantolinea", "Talponia marpta", "Altolamprologus calvus", "Acantharctia atriramosa", "Talponia semiarcha", "Acantharctia bicoloria", "Acantharctia bivittata", "Acantharctia latifasciata", "Acantharctia latifusca", "Acantharctia metaleuca", "Altolamprologus compressiceps", "Platella gatunensis", "Epilacydes bayoni", "Epilacydes simulans", "Epilacydes scita", "Epilacydes unilinea", "Estigmene albida", "Lepraria isidiata", "Lepraria santosii", "Estigmene acrea", "Lepraria aurescens", "Lepraria pulchra", "Trichypena chionosticha", "Trichypena melanistis", "Odontobutis haifengensis", "Trichypena poliopera", "Eyralpenus inconspicua", "Eyralpenus kovtunovitchi", "Eyralpenus postflavida", "Eyralpenus sublutea", "Trichypena directa", "Trichypena leucosticta", "Trichypena eugrapha", "Eyralpenus trifasciata", "Oenothera suaveolens", "Eyralpenus testacea", "Lepraria ecorticata", "Eyralpenus scioana", "Eyralpenus scioana intensa", "Lepraria gelida", "Eyralpenus scioana paucipunctata", "Lepraria methylbarbatica", "Lepraria torii", "Eudiaphora turensis", "Eudiaphora turensis kopetdaghica", "Eudiaphora turensis kuhitangica", "Oenothera cambrica", "Lepraria zeorinica", "Perissomastix biskraella", "Perissomastix nigriceps", "Carbisa venosa", "Diaphora luctuosa", "Diaphora sordida", "Diaphora mendica", "Diaphora mendica hibernica", "Diaphora mendica syra", "Dionychoscelis venata", "Disparctia thomensis", "Disparctia varicolor", "Disparctia vittata", "Orceolina antarctica", "Orceolina kerguelensis", "Perccottus glenii", "Ofatulena manca", "Ofatulena dominica", "Ofatulena neblinana", "Eospilarctia chuanxina", "Ethelgoda opta", "Eospilarctia formosana", "Eospilarctia huangshanensis", "Ethelgoda okrodon", "Eospilarctia lewisii", "Cydia antioquiae", "Eospilarctia nehallenia", "Cydia catamarcae", "Grammcythella dyspnoea", "Cydia rufiterma", "Eospilarctia nehallenia baibarensis", "Eospilarctia neurographa", "Cydia tepica", "Eospilarctia pauper", "Cydia orteguazae", "Eospilarctia taliensis", "Cydia sagittula", "Cydia tonosticha", "Eospilarctia yuennanica guangdonga", "Cydia membrosa", "Cydia curitibana", "Cydia araucariae", "Cydia pyraspis", "Cydia rhodaspis", "Cydia ninana", "Cydia latiferreana", "Cydia ingens", "Teesdalia nudicaulis", "Thelypodiopsis elegans", "Leptarctia californiae", "Leucaloa butti", "Leucaloa eugraphica", "Troglosphaeropsocus voylesi", "Prosphaeropsocus californicus", "Prosphaeropsocus pallidus", "Sphaeropsocopsis castanea", "Lithosarctia goergneri", "Lithosarctia thomasi", "Lithosarctia y-albulum", "Logunovium nigricostum", "Thelypodium eucosum", "Thelypodium howellii", "Thelypodium laciniatum", "Thelypodium milleflorum", "Logunovium scortillum costalis", "Thelypodium stenopetalum", "Thelypodium wrightii", "Madagascarctia adelinae", "Noccaea alpestris", "Madagascarctia feminina", "Madagascarctia madagascariensis sparsipuncta", "Alphaea chiyo", "Alphaea florescens", "Alphaea turatii", "Alphaea rothschildi", "Amsacta marginalis", "Amsacta fuscosa", "Amsacta latimarginalis", "Cytherella abyssorum", "Amsacta latimarginalis elongata", "Neolamprologus modestus", "Neotrogla aurora", "Neotrogla brasiliensis", "Neotrogla truncata", "Afrotrogla fabella", "Afrotrogla maraisi", "Afrotrogla oryx", "Sensitibilla strinatii", "Ardices canescens", "Sensitibilla brandbergensis", "Sensitibilla etosha", "Sensitibilla roessingensis", "Neolamprologus mondabu", "Ardices glatignyi", "Areas imperialis", "Neolamprologus brevis", "Inversacytherella tanantia", "Neolamprologus hecqui", "Neolamprologus tetracanthus", "Crossocheilus elegans", "Nemacheilus paucimaculatus", "Neolamprologus tretocephalus", "Argyarctia fuscobasalis", "Argyarctia reikoae", "Argyarctia sericeipennis", "Artimelia latreillii", "Artimelia latreillii lusitanica", "Cheliosea cosmeta", "Ajuga pyramidalis", "Oenothera sect.", "Oenothera cavernae", "Oenothera cespitosa subsp. cespitosa", "Oenothera cespitosa subsp. marginata", "Enterographa fellhaneroides", "Enterographa meklitiae", "Fodinoidea formosa", "Fodinoidea pluto", "Fodinoidea pluto celsicola", "Fodinoidea pulchra", "Fodinoidea pupieri", "Fodinoidea rectifascia", "Fodinoidea staudingeri", "Fodinoidea staudingeri laeta", "Lepraria leuckertiana", "Fodinoidea vectigera", "Hyphantria penthetria", "Hyphantria panoezys", "Hyphantria orizaba", "Prorops mandibularis", "Prorops obsoleta", "Prorops petila", "Prorops rakan", "Hyphantria cunea", "Kiriakoffalia costimacula", "Kiriakoffalia guineae", "Dendroctonus frontalis", "Kiriakoffalia lemairei", "Kiriakoffalia lemairei paleacea", "Cytherella hiatus", "Cytherella intonsa", "Rhinocylapoides brachypterus", "Cytherella corpusculum", "Cytherella plusminusve", "Cytherella permutata", "Lemyra extensa", "Lemyra maculifascia", "Lemyra philippinica", "Lemyra punctatostrigata", "Lemyra quadrisaccus", "Synthlipsis greggii", "Lemyra venosa", "Mitopus morio", "Talponia lygaria", "Talponia atrosignata", "Talponia necopina", "Keijcyoidea scissa", "Keijcyoidea dissimilis", "Keijcyoidea ubivis", "Keijcyoidea polygonia", "Keijcyoidea rubrimaris", "Clarkia tenella", "Clarkia sect.", "Clarkia breweri", "Clarkia concinna", "Leiorreuma convariatum", "Leiorreuma depressum", "Leiorreuma dilatatum", "Leiorreuma ellipticum", "Leiorreuma exaltatum", "Leiorreuma explicans", "Leiorreuma hepaticum", "Leiorreuma hypomelaenum", "Leiorreuma lyellii", "Leiorreuma melanostalazans", "Leiorreuma nornotaticum", "Leiorreuma patellulum", "Leiorreuma pudicum", "Leiorreuma sericeum", "Leiorreuma sordidum", "Leiorreuma vaginans", "Palearctia erschoffii", "Leiorreuma vicarians", "Leiorreuma yakushimensis", "Leiorreuma subpatellulum", "Palearctia erschoffii sarydzhasica", "Palearctia erschoffii selmonsi", "Palearctia ferghana schottlaenderi", "Tonkinosoma jeekeli", "Centaurea atropurpurea", "Centaurea alba", "Centaurea ammocyanus", "Echmepteryx terricolis", "Chionarctia nivea", "Chionarctia pura", "Eolachesilla chilensis", "Nothopsocus oxyurus", "Levansa ischioleuca", "Uroplatus finiavana", "Uroplatus alluaudi", "Uroplatus giganteus", "Creatonotos transiens", "Creatonotos transiens albina", "Creatonotos transiens koni", "Creatonotos transiens sundana", "Creatonotos transiens vacillans", "Creatonotos flavidus", "Goditha laminaegera", "Creatonotos perineti", "Phloerampha phloea", "Satronia selvae", "Creatonotos leucanioides", "Creatonotos leucanioides albidior", "Satronia herediae", "Sereda vegas", "Creatonotos interrupta", "Creatonotos gangis", "Dichrorampha atalla", "Dichrorampha huichihuayana", "Aspiciliopsis macrophthalma", "Creatonotos fasciatus", "Creatonotos fasciatus pljustshi", "Dichrorampha yallahs", "Dichrorampha rhadina", "Dichrorampha flinti", "Cymaroa leptopepla", "Cymaroa grisea", "Dichrorampha tulancingana", "Dichrorampha chloantha", "Dichrorampha tandayapae", "Dichrorampha geitantrum", "Detoulgoetia virginalis", "Ranapoaca caparoana", "Detoulgoetia virginalis pupieri", "Ofatulena moguileae", "Detoulgoetia virginalis virginalis", "Madagascarctia madagascariensis madagascariensis", "Tropidocarpum capparideum", "Micandra stephanieae", "Micandra ion", "Micandra comae", "Micandra platyptera", "Micandra aegides", "Micandra sylvana", "Micandra cyda", "Micandra dignota", "Micandra extrema", "Pectinimura areola", "Pectinimura brahmanica", "Pectinimura gilvicostata", "Pectinimura singularis", "Pectinimura baryoma", "Pectinimura liberalis", "Pectinimura lutescens", "Pectinimura rhabdostoma", "Apohyale papanuiensis", "Neopectinimura beckeri", "Neopectinimura calligina", "Neopectinimura madangensis", "Neopectinimura setiola", "Impatiens rupestris", "Neopectinimura morobeensis", "Isoetes libanotica", "Apohyale hirtipalma", "Apohyale media", "Apohyale novaezealandiae", "Maurica breveti powelli", "Maurica joiceyi chneouri", "Maurica joiceyi monticola", "Metacrias erichrysa", "Metacrias huttonii", "Rinodina etayoi", "Coniostola procellosa", "Lecanactis rubra", "Netechma cordillerana", "Sanicula arctopoides", "Rinodina brasiliensis", "Sanicula arguta", "Sanicula bipinnatifida", "Sanicula crassicaulis", "Sanicula graveolens", "Sanicula hoffmannii", "Sanicula laciniata", "Sanicula peckiana", "Sanicula saxatalis", "Sanicula tracyi", "Sanicula tuberosa", "Metacrias strategica", "Apohyale freemanae", "Coprosma virescens", "Coprosma waima", "Badonnelia castrii", "Badonnelia granulosa", "Badonnelia similis", "Badonnelia testacea", "Badonnelia titei", "Sphaeropsocopsis argentina", "Sphaeropsocopsis chilensis", "Sphaeropsocopsis microps", "Sphaeropsocopsis myrtleae", "Sphaeropsocopsis recens", "Sphaeropsocopsis reisi", "Sphaeropsocopsis spinosa", "Sphaeropsocopsis valdiviensis", "Sphaeropsocopsis valeriae", "Micralarctia punctulatum", "Micralarctia punctulatum auricinctum", "Micralarctia semipura", "Micralarctia punctulatum euproctina", "Micralarctia punctulatum purus", "Murzinowatsonia x-album", "Anthemis cretica subsp. iberica", "Anthemis cretica subsp. argaea", "Archanthemis marschalliana subsp. pectinata", "Paraplaneta conturbata", "Paraplaneta subfasciata", "Paraplaneta anthracica", "Paraplaneta plurilinearia", "Paraplaneta griseobrunnea", "Paraplaneta hreblayi", "Paraplaneta sternecki", "Paraplaneta nebulata", "Scytalopus petrophilus", "Dryinus rasnitsyni", "Dryinus grimaldii", "Paramsacta marginata", "Paramsacta moorei", "Saltoblattella montistabularis", "Paraspilarctia magna", "Ofatulena duodecemstriata", "Ofatulena jamaicana", "Ofatulena luminosa", "Phaos acmena", "Anallacta abbreviata", "Phaos aglaophara", "Phaos interfixa", "Plumalexius rasnitsyni", "Phlyctaenogastra rangei", "Ethelgoda texanana", "Cydia phyllisi", "Cydia montezuma", "Libanopsyllipsocus alexanderasnitsyni", "Cydia nigra", "Cydia latisigna", "Phragmatobia lineata", "Cydia exsurgens", "Phragmatobia amurensis", "Phragmatobia amurensis japonica", "Ecdytolopha torostoma", "Phragmatobia placida", "Phragmatobia placida mirzayansi", "Ecdytolopha fabivora", "Phragmatobia placida unipuncta", "Phragmatobia amurensis amurensis", "Phragmatobia placida placida", "Bhagwantolita ganpatii", "Centroxena ulophora", "Alchemilla dura", "Psathyrella aquatica", "Rinodina guianensis", "Seseli andronakii", "Seseli campestre", "Seseli foliosum", "Seseli grandivittatum", "Seseli peucedanoides", "Seseli tortuosum", "Seseli gummiferum", "Tapinoma ambiguum", "Epilobium alpestre", "Epilobium alsinifolium", "Rinodina diversa", "Rinodina neglecta", "Epilobium canum", "Rinodina saulensis", "Rinodina sipmanii", "Epilobium ciliatum", "Epilobium luteum", "Epilobium obscurum", "Epilobium hirsutum", "Falsodrupeus barclayi", "Nebrarctia guttata", "Nebrarctia hunza", "Nebrarctia semiramis", "Nebrarctia semiramis elbursi", "Nebrarctia transversa", "Nebrarctia transversa puella", "Nebrarctia transversa vartianae", "Nebrarctia wiltshirei", "Ocnogyna advena", "Ocnogyna boeticum", "Arabopsocus spiniproctus", "Cytherella bermudensis", "Ocnogyna corsicum", "Cytherella kornickeri", "Ocnogyna corsicum sardoa", "Ocnogyna herrichi", "Psyllipsocus disparunguis", "Ocnogyna loewii", "Ocnogyna loewii armena", "Ocnogyna loewii pallidior", "Ocnogyna mutabilis", "Ocnogyna pudens", "Ocnogyna pudens leprieuri", "Ocnogyna zoraida", "Ocnogyna zoraida hemigena", "Olepa anomi", "Olepa duboisi", "Olepa koslandana", "Olepa toulgoeti", "Olepa coromandelica", "Olepa clavatus", "Olepa ocellifera", "Olepa ricini", "Pangora coorgensis", "Pangora distorta", "Pangora erosa", "Pangora matherana", "Cleome anomala", "Cleome arborea", "Cleome chilensis", "Cleome ornithopodioides", "Cleome stylosa", "Cleome titubans", "Cleomella hillmanii", "Cleomella palmeriana", "Oxystylis lutea", "Polanisia dodecandra", "Polanisia uniglandulosa", "Podandrogyne gracilis", "Emblingia calceoliflora", "Caloplaca aegatica", "Sairadelphys tocantinensis", "Mycoblastus affinis", "Mycoblastus bryophilus", "Acrotrichis latipennis", "Paralacydes arborifera", "Paralacydes bomfordi", "Paralacydes gracilis", "Paralacydes vocula", "Paralpenus atripes", "Paralpenus flavizonata", "Paralpenus ugandae", "Paralpenus strigulosa", "Paralpenus flavicosta", "Paralpenus flavicosta punctiger", "Paralpenus wintgensi", "Paralpenus wintgensi zimbabweiensis", "Mycoblastus glabrescens", "Mycoblastus sanguinarioides", "Paramaenas affinis", "Paramaenas strigosus", "Mycoblastus sanguinarius", "Paramaenas nephelistis", "Paramaenas nephelistis diaphana", "Adiantum viridimontanum", "Deinodryinus velteni", "Laniarius willardi", "Crateva tapia", "Lepidiolamprologus cunningtoni", "Maerua crassifolia", "Morisonia americana", "Ritchiea reflexa", "Lepidiolamprologus attenuatus", "Ritchiea simplicifolia", "Steriphoma ellipticum", "Thilachium pouponii", "Jacaratia mexicana", "Jacaratia corumbensis", "Jacaratia digitata", "Jacaratia dolichaula", "Jacaratia heptaphylla", "Jacaratia spinosa", "Jarilla chocola", "Jarilla heterophylla", "Jarilla nana", "Seydelia turlini celsicola", "Spinatropos philippi", "Anaphosia mirabilis", "Myrmicodipnella aptera", "Teracotona homeyeri", "Teracotona latifasciata", "Liposcelis prenolepidis", "Eolepinotus pilosus", "Cerobasis papillata", "Caloplaca himalayana", "Psyllipsocus neoleonensis", "Psyllipsocus hyalinus", "Psyllipsocus maculatus", "Lobogenesis trematerrae", "Streltzovia caeria", "Streltzovia caeria mienshanica", "Streltzovia caeria streltzovi", "Paragebicula orlik", "Paragebicula vietnamensis", "Mantisgebia tuerkayi", "Gyrostemon australasicus", "Gyrostemon cotinifolius", "Gyrostemon ramulosus", "Gyrostemon tepperi", "Gyrostemon thesioides", "Diastylis sexpectinata", "Diastylis fabrizioi", "Streltzovia caeria caeria", "Ectopsocus vishnyakovae", "Centaurea chrysantha", "Centaurea aladaghensis", "Centaurea derderiifolia", "Centaurea pestalozzae", "Centaurea acicularis", "Centaurea aegialophila", "Centaurea aeolica", "Centaurea aggregata", "Centaurea amaena", "Spilosoma rubidus", "Centaurea amanicola", "Centaurea anthemifolia", "Centaurea antitauri", "Rhodogastria amasis", "Rhodogastria similis", "Myanmymar aresconoides", "Warea amplexifolia", "Warea carteri", "Eoanaphes stethynioides", "Saenura flava", "Zilla spinosa", "Eoeustochus borchersi", "Eoeustochus kishenehn", "Gonatocerus greenwalti", "Pseudotrematomus bernacchii", "Gonatocerus rasnitsyni", "Gonatocerus kootenai", "Satara aequata", "Satara lorquini", "Satara nympha", "Satara everetti", "Seydelia ellioti", "Seydelia geometrica", "Seydelia turlini", "Bretschneidera sinensis", "Belencita nemorosa", "Oncometopia orbona", "Transtillaspis atheles", "Orthocomotis tambitoa", "Orthocomotis miranda", "Lemyra alikangensis", "Lemyra alleni", "Holoptygma lingunca", "Lemyra anormala", "Auratonota mimstigmosa", "Lemyra anormala danieli", "Lemyra barliga", "Auratonota meion", "Lemyra bimaculata", "Hilarographa sepidmarginata", "Lemyra biseriata", "Hilarographa belizastrum", "Hilarographa odontia", "Lemyra bornemontana", "Omiostola basiramula", "Lemyra burmanica", "Omiostola detodesma", "Lemyra copiosa", "Lemyra costalis", "Lemyra costimacula", "Hedya zoyphium", "Lemyra crama", "Lemyra cretata", "Tsinilla unciphrona", "Lemyra dejongi", "Lemyra diluta", "Pseudexentera tambitoana", "Lemyra everetti", "Lemyra excelsa", "Tambitnotia tambita", "Lemyra eximia", "Ricula caucae", "Lemyra fallaciosa", "Centaurea coronopifolia", "Centaurea arenaria", "Centaurea inermis", "Centaurea kilaea", "Centaurea vanensis", "Centaurea hakkariensis", "Centaurea sivasica", "Centaurea erivanensis", "Centaurea babylonica", "Centaurea kurdica", "Afronyctemera itokina", "Prosochaeta prima", "Neuroxena aberrans", "Neuroxena albofasciata", "Neuroxena ansorgei", "Neuroxena auremaculatus", "Neuroxena biplagiata", "Neuroxena flammea", "Neuroxena fulleri", "Neuroxena funereus", "Neuroxena lasti", "Neuroxena medioflavus", "Neuroxena obscurascens", "Neuroxena postrubidus", "Neuroxena rectilineata", "Neuroxena rubriceps", "Neuroxena simulans", "Neuroxena sulphureovitta", "Neuroxena truncatus", "Leptogium sphaerosporum", "Xylecata glauce", "Xylecata rattrayi", "Simulium fragai", "Simulium janzi", "Simulium notatum", "Leptogium pedicellatum", "Camacho nodderi", "Cythere canadensis", "Simulium loerchae", "Simulium claricentrum", "Lemyra neurica", "Lemyra nigrescens", "Lemyra nigricosta", "Lemyra nigrifrons", "Lemyra nocturna", "Lemyra pilosa", "Lemyra pilosoides", "Lemyra phasma", "Lemyra pseudoflammeoida", "Lemyra obliquivitta", "Lemyra proteus", "Lemyra punctilinea", "Lemyra pectorale", "Lemyra rhodophiloides", "Lemyra rubrocollaris", "Lemyra sikkimensis", "Lemyra sincera", "Lemyra singularis", "Lemyra sordidescens", "Lemyra zhangmuna", "Lemyra ypsilon", "Leptalpheus azuero", "Lemyra wernerthomasi", "Leptalpheus bicristatus", "Leptalpheus hendrickxi", "Lemyra subfascia", "Leptalpheus marginalis", "Leptalpheus penicillatus", "Fenneralpheus orabovis", "Fenneralpheus chacei", "Leptalpheus forceps", "Lemyra spilosomata", "Lemyra stigmata", "Dangoka japonica", "Lemyra stigmata aurantiaca", "Codonocarpus attenuatus", "Codonocarpus cotinifolius", "Codonocarpus pyramidalis", "Upogebia variana", "Cryptoschesis imitans", "Phragmatobia fuliginosa", "Pellionia repens", "Dierlia aurata", "Dierlia poeciloptera", "Hyposarotis atyphopa", "Hyposarotis impudica", "Phragmatobia fuliginosa borealis", "Phragmatobia fuliginosa melitensis", "Phragmatobia fuliginosa paghmani", "Karacaoglania xerophila", "Phragmatobia fuliginosa pulverulenta", "Phragmatobia fuliginosa taurica", "Phragmatobia fuliginosa rubricosa", "Larisa subsolana", "Poecilarctia venata", "Licigena sertula", "Muhabbetina pectinata", "Pyrrharctia genini", "Seirarctia echo", "Pammenitis calligrapha", "Radiarctia sinefascia", "Mycoblastus campbellianus", "Mycoblastus coniophorus", "Mycoblastus dissimulans", "Mycoblastus disporus", "Adiantum aleuticum", "Mycoblastus kalioruber", "Mycoblastus leprarioides", "Centaurea aphrodisea", "Spilosoma daitoensis", "Centaurea cariensis", "Spilosoma erythrozona", "Spilosoma fujianensis", "Centaurea cariensis subsp. cariensis", "Centaurea cariensis subsp. longipapposa", "Centaurea cariensis subsp. maculiceps", "Centaurea cariensis subsp. microlepis", "Centaurea cariensis subsp. niveotomentosa", "Centaurea yozgatensis", "Spilosoma lubricipeda", "Centaurea cassia", "Centaurea lycopifolia", "Centaurea cheirolopha", "Centaurea spicata", "Centaurea ptosimopappa", "Spilosoma urticae", "Spilosoma punctaria", "Centaurea austro-anatolica", "Centaurea ptosimopappoides", "Centaurea wagenitzii", "Spilosoma punctaria dornesii", "Centaurea zeybekii", "Centaurea demirizii", "Centaurea persica", "Centaurea saligna", "Centaurea tardiflora", "Centaurea wiedemanniana", "Centaurea handelii", "Centaurea kotschyi", "Centaurea tomentella", "Centaurea antalyensis", "Centaurea arifolia", "Centaurea tossiensis", "Centaurea vermiculigera", "Centaurea stevenii", "Centaurea speciosa", "Centaurea spectabilis", "Centaurea thracica", "Centaurea thirkei", "Centaurea stenolepis", "Centaurea stapfiana", "Centaurea sipylea", "Centaurea sieheana", "Centaurea sessilis", "Centaurea sericea", "Centaurea seguenzae", "Centaurea sclerolepis", "Centaurea rigida", "Centaurea salonitana", "Centaurea rhizocalathium", "Centaurea rhizantha", "Centaurea reuteriana", "Lemyra flammeola", "Lemyra flammeola hunana", "Lemyra flavalis", "Lemyra flavalis carnea", "Lemyra flaveola", "Lemyra gloria", "Lemyra hanoica", "Lemyra heringi", "Lemyra hyalina", "Lemyra hyalina nanlingica", "Lemyra imparilis", "Lemyra inaequalis", "Cretorabus rasnitsyni", "Lemyra inaequalis sakaguchii", "Lemyra infernalis", "Cretorabus capitatus", "Cretorabus latus", "Cretorabus orientalis", "Cretorabus ovalis", "Lemyra jankowskii", "Cretorabus sulcatus", "Lemyra jankowskii soror", "Lemyra jeremyi", "Lemyra jiangxiensis", "Lemyra jiangxiensis fangae", "Epilobium \u00d7 sericeum", "Sinatra pacificus", "Lemyra kannegieteri", "Lemyra khasiana", "Lemyra kobesi", "Lemyra kuangtungensis", "Lemyra malickyi", "Lemyra melanochroa", "Lemyra melanosoma", "Lemyra melli", "Lemyra minuta", "Lemyra melli shensii", "Lemyra melli progressa", "Lemyra moltrechti", "Lemyra multivittata", "Lemyra neglecta", "Schinus terebinthifolia", "Undaria pinnatifida", "Plutographa brochota", "Plutographa cryphaea", "Plutographa cyanea", "Plutographa dyspotma", "Plutographa erytema", "Leucauge blauda", "Plutographa glochydosema", "Plutographa microsarca", "Plutographa nigrivittata", "Plutographa phloena", "Plutographa rhodana", "Plutographa spodostoma", "Plutographa tomion", "Plutographa xyloglypha", "Plutographa authodes", "Plutographa cyclops", "Guarianthe \u00d7 laelioides", "Plutographa heteranthera", "Plutographa phloeorrhages", "Protithona fugitivana", "Protithona potamias", "Pseudoclita prosantes", "Carbacanthographis coccospora", "Carbacanthographis induta", "Carbacanthographis triphoroides", "Epilobium obcordatum", "Syndesus luki", "Carbacanthographis alloafzelii", "Carbacanthographis hillii", "Carbacanthographis saxiseda", "Carbacanthographis saxorum", "Moringa oleifera", "Moringa peregrina", "Moringa stenopetala", "Megaselia basseti", "Fenestellidium canfordanum", "Pentadiplandra brazzeana", "Caylusea abyssinica", "Megaselia bacterialis", "Oligomeris linifolia", "Reseda alba", "Reseda crystallina", "Reseda jacquinii", "Reseda luteola", "Reseda odorata", "Reseda scoparia", "Ctenarytaina clavata", "Ctenarytaina eucalypti", "Ctenarytaina euryae", "Ctenarytaina fuchsiae", "Ctenarytaina gracilis", "Ctenarytaina longicauda", "Ctenarytaina lulla", "Ctenarytaina obscura", "Ctenarytaina pollicaris", "Ctenarytaina spatulata", "Ctenarytaina thysanura", "Centaurea pulchella", "Centaurea pterocaula", "Centaurea pseudoscabiosa", "Centaurea pseudoreflexa", "Centaurea pseudokotschyi", "Centaurea polypodiifolia", "Centaurea polyclada", "Centaurea pinetorum", "Cyanus pinardii", "Cyanus pichleri", "Centaurea pergamacea", "Centaurea patula", "Centaurea paphlagonica", "Centaurea olympica", "Centaurea obtusifolia", "Centaurea nydeggeri", "Centaurea nemecii", "Cyanus matthiolifolius", "Centaurea lycia", "Centaurea luschaniana", "Centaurea longifimbriata", "Centaurea leptophylla", "Centaurea laxa", "Cyanus lanigerus", "Centaurea inexpectata", "Centaurea hyalolepis", "Centaurea hierapolitana", "Pedaliodes piletha piletha", "Pedaliodes manis manis", "Meridianelia maccarthyana", "Chromolaena odorata", "Cryphonectria parasitica", "Graphis breussii", "Plutographa anopa", "Plutographa seriopa", "Plutographa orbiculi", "Lates niloticus", "Plutographa reducta", "Plutographa lichenophyes", "Plutographa semna", "Plutographa transversa", "Plutographa monopa", "Plutographa tetracelis", "Plutographa pictura", "Plutographa latefracta", "Phytophthora cinnamomi", "Plutographa eudela", "Plasmodium relictum", "Rhaponticoides ruthenica", "Coenonympha glycerion beljaevi", "Acroclita bryomorpha", "Spilarctia adumbrata", "Spilarctia borneensis", "Spilarctia casigneta", "Spilarctia fumida", "Spilarctia roseata", "Spilarctia rufofusca", "Spilarctia tamangi", "Coenobiodes granitalis", "Noduliferola spiladorma", "Alischirnevalia callirrhoa", "Ancylophyes atrovirens", "Ancylophyes villosa", "Asketria lepta", "Dorcus meeki", "Carbacanthographis cleitops", "Irianoaegus shiokurai", "Eucryphia wilkiei", "Eucryphia jinksii", "Eumedonia eumedon albica", "Oeneis ammosovi", "Hyponephele murzini", "Erebia sachaensis", "Erebia callias tsherskiensis", "Erebia youngi tschuktscha", "Eucosma multifasciana", "Astenus schatzmayri", "Astenus siculus", "Centaurea haussknechtii", "Centaurea halophila", "Centaurea glastifolia", "Centaurea gigantea", "Cyanus germanicopolitanus", "Calomera cabigasi", "Centaurea fenzlii", "Centaurea eugenii", "Psephellus goeksunensis", "Psephellus turcicus", "Psephellus erzincani", "Psephellus recepii", "Psephellus oltensis", "Psephellus hadimensis", "Psephellus yildizii", "Rhaponticoides amplifolia", "Rhaponticoides iconiensis", "Rhaponticoides aytachii", "Rhaponticoides mykalea", "Rhaponticoides africana", "Rhaponticoides alpina", "Rhaponticoides amasiensis", "Rhaponticoides calabrica", "Rhaponticoides centaurium", "Rhaponticoides eriosiphon", "Rhaponticoides fraylensis", "Rhaponticoides hajastana", "Rhaponticoides hierroi", "Rhaponticoides kasakorum", "Rhaponticoides pythiae", "Rhaponticoides razdorskyi", "Spilarctia sagittifera taiwanensis", "Spilarctia daltonica", "Spilarctia postrubida", "Spilarctia inayatullahi", "Spilarctia melanostigma", "Figulus modestus", "Figulus monilifer", "Figulus suzumurai", "Figulus luminosus", "Peziza cerea", "Figulus boninensis karubei", "Carabus klapperichianus", "Carabus klapperichianus salangicus", "Acerophagus aello", "Spilarctia lutea rhodosoma", "Carabus vietinghoffi rugicolor", "Spilarctia lutea japonica", "Spilarctia seriatopunctata", "Spilarctia seriatopunctata azumai", "Spilarctia seriatopunctata nudum", "Spilarctia seriatopunctata suzukii", "Spilarctia seriatopunctata striatopunctata", "Carabus smaragdinus robinzoni", "Carabus gossarei mareschii", "Figulus papuanus", "Figulus regularis", "Figulus rubripes", "Figulus scaritiformis", "Figulus schismonotus", "Figulus similis", "Spilarctia variata", "Figulus weinreichi", "Figulus elateroides", "Figulus exquisitus", "Figulus fusconitens", "Figulus granulosus", "Figulus howei", "Figulus hoogstraali", "Figulus kinabaluensis", "Figulus impressicollis", "Figulus insolitus", "Figulus integricollis", "Figulus javanensis", "Figulus laevipennis", "Figulus laevithorax", "Figulus yunnanensis", "Figulus yujii", "Figulus wittmeri", "Figulus marginalis", "Figulus lansbergei", "Figulus laoticus", "Figulus lilliputanus", "Figulus linearis", "Spilarctia variata pseudohampsoni", "Figulus lupinus", "Figulus mediocris", "Figulus manillarum", "Figulus meridianus", "Figulus napu", "Figulus orthognathus", "Figulus parallelicanthus", "Figulus philippinensis", "Figulus procericornis", "Figulus punctifrons", "Figulus procerus", "Figulus piceus", "Figulus quasisimilis", "Figulus sarawakensis", "Figulus planifrons", "Figulus rossi", "Figulus serratus", "Figulus porrectus", "Figulus tumidimentum", "Figulus powelli", "Figulus praecipuus", "Figulus rugosus", "Figulus samoanus", "Figulus subcastaneus", "Figulus tambourinensis", "Figulus tamburan", "Figulus tubericollis", "Figulus tibialis", "Figulus trilobus", "Spilarctia sagittifera", "Spilarctia sagittifera chekiangi", "Antalis entalis", "Spilarctia sagittifera fukieni", "Equus francisci", "Figulus acutangulus", "Figulus albertisi", "Figulus andamanus", "Figulus angustus", "Figulus arrowi", "Figulus ater", "Figulus beccarii", "Figulus bicolor", "Figulus boileaui", "Figulus bomansi", "Figulus boninensis", "Figulus borneensis", "Eucryphia milliganii", "Figulus cambodiensis", "Figulus canaliculatus", "Figulus capensis", "Figulus caviceps", "Figulus cavifrons", "Figulus chaminadei", "Figulus cheesmani", "Figulus cicatricosus", "Figulus cochinchinensis", "Figulus concatenatus", "Figulus confusus", "Figulus coomani", "Figulus crupsinus", "Figulus curvicornis", "Figulus decorus", "Figulus deletus", "Figulus delislei", "Figulus detzneri", "Spilarctia rubilinea", "Spilarctia xanthosoma", "Spilarctia xanthogastes", "Spilarctia xanthogaster", "Figulus fissicollis", "Figulus foveicollis", "Figulus gestroi", "Figulus gracilentus", "Figulus hoplocnemus", "Antedon mediterranea", "Figulus humeralis", "Figulus incertus", "Figulus joliveti", "Figulus leptochilus", "Figulus lozoki", "Figulus mecynodontus", "Spilarctia sinica", "Figulus minutus", "Figulus moluccanus", "Figulus morosus", "Figulus nubilus", "Figulus orientalis", "Chewlucanus itiokai", "Chewlucanus muramotoae", "Calappa exanthematosa", "Syndesus aequinoctialis", "Syndesus cancellatus", "Syndesus gilberti", "Syndesus macleayi", "Syndesus punctatus", "Syndesus schuberti", "Syndesus seguyi", "Syndesus xerophilicus", "Hemidactylus brookii", "Hemidactylus subtriedrus", "Caecilius dimorphus", "Lepidiolamprologus kendalli", "Lepidiolamprologus profundicola", "Lepidiolamprologus mimicus", "Echinoaesalus gedeensis", "Echinoaesalus arayai", "Echinoaesalus hidakai borneoensis", "Sibirarctia buraetica chajataensis", "Sibirarctia buraetica validus", "Echinoaesalus hidakai hidakai", "Lepidiolamprologus nkambae", "Sinopolycentropus rasnitsyni", "Xylotrupes rindaae", "Spilarctia accensa", "Tersonia brevipes", "Spilarctia ericsoni", "Tersonia cyathiflora", "Spilarctia rhodochroa", "Spilarctia rubriventris", "Spilarctia ananda", "Spilarctia groganae", "Spilarctia irina", "Spilarctia bisecta", "Spilarctia bisecta occidentalis", "Spilarctia lungtani", "Megaselia fallobreviseta", "Phradonoma ambericum", "Spilarctia nydia", "Spilarctia nydia tienmushanica", "Spilarctia nydia werneri", "Chalinochromis brichardi", "Caulophilus zherikhini", "Spilarctia semperi", "Narceus americanus", "Spilarctia montana", "Spilarctia obliqua", "Chalinochromis popelini", "Uskatocoleus chengdeensis", "Caloptilia schinusifolia", "Eucosmophora schinusivora", "Leurocephala schinusae", "Marmara habecki", "Euchiloglanis davidi", "Eucosmophora aspila", "Eucosmophora echinulata", "Rivulus albae", "Eucosmophora ingae", "Eucosmophora manilkarae", "Eucosmophora paraguayensis", "Eucosmophora pithecollobiae", "Eucosmophora pouteriae", "Eucosmophora prolata", "Eucosmophora atlantis", "Eucosmophora chrysocosma", "Eucosmophora eurychalca", "Eucosmophora melanactis", "Eucosmophora trimetalla", "Eucosmophora eclampsis", "Eucosmophora dives", "Boloria tritonia amphilochus", "Acrocercops albofasciella", "Boloria tritonia barkalovi", "Boloria tritonia distincta", "Boloria tritonia dubatolovi", "Boloria tritonia ershovi", "Boloria tritonia machati", "Boloria tritonia matveevi", "Boloria tritonia suntara", "Boloria tritonia tschukotkensis", "Graphis brahmanensis", "Graphis cremicolor", "Graphis cupei", "Chrysocercops argentata", "Chrysocercops azmii", "Acontias percivali", "Chrysocercops hopeella", "Chrysocercops leprosulae", "Chrysocercops lithocarpiella", "Chrysocercops malayana", "Chrysocercops melastigmata", "Chrysocercops neobalanocarpi", "Chrysocercops pectinata", "Chrysocercops shoreae", "Chrysocercops squamosa", "Chrysocercops thapai", "Chrysocercops vaticae", "Chrysocercops castanopsidis", "Graphis enteroleuca", "Graphis galactoderma", "Graphis evirescens", "Graphis funilina", "Graphis inspersolongula", "Graphis isidiata", "Graphis japonica", "Halolaguna sanmaru", "Graphis jeanmuelleri", "Graphis kousyuensis", "Graphis leucaenae", "Eucosmophora sideroxylonella", "Marmara gulosa", "Marmara basidendroca", "Marmara corticola", "Marmara oregonensis", "Marmara fraxinicola", "Haplophallus leptus", "Haplophallus orientalis", "Haplophallus sinus", "Haplophallus wongae", "Philotarsus picicornis", "Philotarsopsis albicrus", "Philotarsopsis brevis", "Philotarsopsis bundoorensis", "Philotarsopsis lemsidia", "Philotarsopsis medialis", "Philotarsopsis mouldsi", "Philotarsopsis ornata", "Philotarsopsis reducta", "Philotarsopsis paraguttata", "Spilarctia caloscopium", "Spilarctia congruenta", "Spilarctia denigrata", "Spilarctia kareli", "Spilarctia percellens", "Spilarctia gopara", "Spilarctia hosei", "Spilarctia mahaplaga", "Spilarctia phaea", "Spilarctia procedra", "Spilarctia punctata", "Spilarctia thomasi", "Spilarctia ummera", "Spilarctia ummeroides", "Spilarctia virgulae", "Spilarctia adelphus", "Borboryctis euryae", "Spilarctia alba", "Borboryctis triplaca", "Spilarctia alba hainana", "Acrocercops triplaca", "Spilarctia alba kikuchii", "Acrocercops achnodes", "Acrocercops aeglophanes", "Acrocercops aellomacha", "Acrocercops aeolellum", "Acrocercops aethalota", "Acrocercops affinis", "Acrocercops albida", "Acrocercops albidorsella", "Graphis apoda", "Acrocercops albomaculella", "Boloria tritonia", "Acrocercops albinatella", "Hamatina hemitoma", "Hamatina nabangae", "Hamatina robdevosi", "Hamatina jembatana", "Hamatina iriana", "Pseudotelphusa floridana", "Pseudotelphusa landryi", "Pseudotelphusa ontariensis", "Eucryphia \u00d7 hybrida", "Eucryphia milliganii subsp. milliganii", "Eucryphia milliganii subsp. pubescens", "Acontias poecilus", "Acontias plumbeus", "Acontias namaquensis", "Acontias orientalis", "Acontias richardi", "Acontias tristis", "Zamenis persicus", "Spilarctia alberti", "Spilarctia albicornis", "Spilarctia ardens", "Spilarctia aurocostata", "Spilarctia baltazarae", "Spilarctia biagi", "Graphis lourdesina", "Graphis myolensis", "Graphis nadurina", "Graphis negrosina", "Graphis norstictica", "Graphis neoelongata", "Discocyrtus prospicuus", "Spilarctia hetera", "Spilarctia holobrunnea", "Spilarctia hypsoides", "Spilarctia inexpectata", "Spilarctia irregularis", "Spilarctia javana", "Spilarctia kebea", "Spilarctia leopoldi", "Spilarctia oberthueri", "Spilarctia longiramia", "Spilarctia metaxantha", "Spilarctia mona", "Spilarctia motuonica", "Spilarctia nigrovittatus", "Spilarctia nobilis", "Panaspis duruarum", "Panaspis africanus", "Panaspis annobonensis", "Panaspis seydeli", "Panaspis wilsoni", "Spilarctia novaeguineae", "Spilarctia obliquizonata", "Apistoneura psarochroma", "Apophthisis pullata", "Apophthisis congregata", "Diplodon flucki", "Diplodon losadae", "Caecilius singularis", "Paracaecilius cardaleae", "Tropaeolum speciosum", "Tropaeolum tricolor", "Asiocaecilius narmadus", "Tapinella curvatoides", "Tomotilus celebratus", "Pachytroctes dichromoscelis", "Pachytroctes sinuosus", "Stimulopalpus distinctus", "Stimulopalpus brunneus", "Spilarctia comma", "Spilarctia comma wittmeri", "Spilarctia contaminata", "Spilarctia coorgensis", "Spilarctia costata", "Spilarctia costata vivida", "Spilarctia dinawa", "Spilarctia dohertyi", "Spilarctia dukouensis", "Spilarctia eldorado", "Spilarctia eichhorni", "Spilarctia extirpata", "Spilarctia fidelia", "Spilarctia fraterna", "Spilarctia gianellii", "Spilarctia harlequina", "Spilarctia adriani", "Spilarctia cinnamomea", "Spilarctia enarotali", "Spilarctia grandimacula", "Spilarctia mastrigti", "Spilarctia nana", "Spilarctia postbrunnea", "Spilarctia transversa", "Spilarctia vulgaris", "Spilarctia wernerthomasi", "Spilarctia arctichroa", "Oxalis sect.", "Placomaronea fuegiana", "Placomaronea kaernefeltii", "Placomaronea minima", "Castalia ambigua", "Spilarctia owgarra", "Castalia multisulcata", "Spilarctia owgarra germanica", "Spilarctia pallidivena", "Spilarctia persimilis", "Castalia schombergiana", "Castalia orinocensis", "Figulus clivinoides", "Castalia stevensi", "Figulus manicatus", "Spilarctia bifascia", "Spilarctia bifasciata", "Spilarctia bipunctata", "Scinax insperatus", "Spilarctia brechlini", "Tarsophilus aequabilis", "Tarsophilus lineatus", "Spilarctia brunnea", "Spilarctia cadioui", "Trischistoma equatoriale", "Trischistoma gracile", "Trischistoma monohystera", "Trischistoma pellucidum", "Trischistoma otaika", "Trischistoma triregium", "Trischistoma waiotama", "Trischistoma tukorehe", "Spilarctia cajetani", "Spilarctia castanea", "Oxalis subg.", "Oxalis subg.", "Graphis novopalmicola", "Graphis oxyspora", "Graphis paralleloides", "Graphis plumbea", "Graphis riopiedrensis", "Graphis sarawakensis", "Graphis subintermedians", "Graphis subradiata", "Graphis subserpens", "Graphis subtecta", "Graphis subvernicosa", "Oxalis subg.", "Graphis sulphurella", "Graphis syzygii", "Graphis subalbostriata", "Oxalis subg.", "Oxalis sect.", "Trischistoma subtilissimum", "Trischistoma tenuissimum", "Trischistoma veracruzense", "Trischistoma minor", "Tripylina ymyensis", "Tripylina valiathani", "Tripylina arenicola", "Tripylina macroseta", "Tripylina sheri", "Tripylina ursulae", "Spilarctia clava", "Spilarctia subcarnea", "Spilarctia tengchongensis", "Spilarctia terminicomma", "Spilarctia tigrina", "Spilarctia todara", "Spilarctia toxopei", "Spilarctia vandepolli", "Spilarctia venata", "Spilarctia victorina", "Spilarctia whiteheadi", "Spilarctia wilemani", "Spilarctia yukikoae", "Caloplaca karadagensis", "Caloplaca adelphoparasitica", "Netrostoma setouchiana", "Oxalis sect.", "Cryptothecia alboglauca", "Cryptothecia bengalensis", "Cryptothecia farinosa", "Cryptothecia multipunctata", "Cryptothecia verruculifera", "Amerila abdominalis", "Amerila accra", "Amerila aldabrensis", "Amerila androfusca", "Aegus sakamakii", "Figulus punctatostriatus", "Oxalis dillenii", "Spilarctia pratti", "Spilarctia pratti eichhorni", "Anopistoscena specularifrons", "Oxalis texana", "Spilarctia quercii", "Spilarctia reticulata", "Oxalis grandis", "Spilarctia rhodius", "Spilarctia rostagnoi", "Oxalis illinoensis", "Spilarctia rubribasis", "Spilarctia ruficosta", "Oxalis priceae", "Spilarctia semialbescens", "Spilarctia sparsalis", "Spilarctia styx", "Oxalis florida", "Spilarctia styx albistriga", "Lophostemon confertus", "Paxydon syrmatophorus", "Prisodon obliquus", "Dipentodon longipedicellatus", "Dipentodon sinicus", "Brachystomella garayae", "Brachystomella parvula", "Brachystomella terrafolia", "Triplodon stevensii", "Paxydon syrmatophorus complanatus", "Paxydon syrmatophorus syrmatophorus", "Setanodosa tetrabrachta", "Amerila vitrea saalmuelleri", "Stenometopiellus cookei", "Stenometopiellus perexiguus", "Herpothallon granulosum", "Herpothallon isidiatum", "Amsactarctia pulchra", "Amsactarctia radiosa", "Amsactarctia venusta", "Carcinarctia kivuensis", "Carcinarctia metamelaena", "Carcinarctia rougeoti", "Pseudacteon gracilisetus", "Pseudacteon charnayensis", "Carcinarctia rufa", "Carcinarctia laeliodes", "Carcinarctia laeliodes fasciata", "Dasyarctia grisea", "Stirtonia curvata", "Stirtonia schummii", "Stirtonia neotropica", "Umbilicaria maculata", "Huertea cubensis", "Tapiscia sinensis", "Cochlospermum malvifolium", "Bixa urucurana", "Cochlospermum fraseri", "Cochlospermum gillivraei", "Cochlospermum orinocense", "Cochlospermum religiosum", "Cochlospermum tinctorium", "Cochlospermum vitifolium", "Cistus inflatus", "Aegus inaharai", "Aegus kobayashii", "Aegus lesacae", "Aegus miyashitai", "Aegus shinjii", "Aegus takakuwai", "Aegus acchusi", "Amerila arthusbertrand", "Aegus syamsuli", "Amerila astreus", "Amerila astreus curtisi", "Amerila bauri", "Aegus kumei", "Aegus rungusiorum", "Aegus dusunorum", "Cyclommatus montanellus", "Cyclommatus murutiorum", "Amerila brunnea", "Amerila brunnea bipartitoides", "Dorcus emikoae", "Cladophyllus bousqueti", "Amerila alberti", "Amerila albivitrea", "Odontolabis kikuchii", "Odontolabis nobuhikoi", "Dorcus katsurai", "Odontolabis hamjahi", "Amerila castanea", "Odontolabis katsurai", "Amerila catinca", "Odontolabis nagaii", "Amerila cinyra", "Prismognathus miyashitai", "Prismognathus siniaevi", "Prismognathus katsurai", "Amerila astreus communis", "Amerila astreus novaeguineae", "Prosopocoilus yasusukei", "Lucanus kraatzi giangae", "Dorcus affinis", "Dorcus affinis ohtai", "Amerila crokeri", "Amerila crokeri bakeri", "Amerila crokeri novobritannica", "Amerila crokeri salomonis", "Amerila curta", "Amerila erythropus", "Amerila eugenia", "Amerila eugenia moorei", "Amerila femina", "Amerila fennia", "Amerila fumida", "Amerila fuscivena", "Eucalyptolyma maideni", "Amerila kiellandi", "Amerila kuehni", "Amerila lactea", "Amerila leucoptera", "Amerila lineolata", "Amerila lucida", "Leptocybe invasa", "Amerila lupia", "Amerila luteibarba", "Amerila madagascariensis", "Amerila magnifica", "Amerila mulleri", "Amerila myrrha", "Amerila nigrivenosa", "Amerila nigroapicalis", "Amerila nigropunctata", "Glycaspis granulata", "Amerila niveivitrea", "Amerila omissa", "Cryptoneossa triangula", "Amerila phaedra", "Blastopsylla occidentalis", "Amerila piepersii", "Amerila puella", "Amerila puella carneola", "Amerila puella invidua", "Amerila puella rothi", "Amerila rhodopa", "Amerila roseomarginata", "Amerila rubripes", "Amerila rufifemur", "Amerila rufitarsis", "Amerila serica", "Amerila shimbaensis", "Amerila simillima", "Baltimartyria rasnitsyni", "Amerila syntomina", "Amerila thermochroa", "Amerila timolis", "Amerila timolis papuana", "Amerila timolis tenebrosa", "Amerila vidua", "Amerila vidua mauritia", "Amerila vitrea", "Nyctemera regularis snelleni", "Braunsia chaweewanae", "Camptothlipsis annemariae", "Camptothlipsis sheilae", "Coccygidium mastigion", "Coccygidium phaeoscapos", "Cremnoptoides yui", "Coccygidium malayensis", "Oxalis repens", "Nyctemera tripunctaria aequimargo", "Nyctemera tripunctaria assimile", "Nyctemera tripunctaria celsa", "Nyctemera tripunctaria cydippe", "Nyctemera tripunctaria lombokiana", "Nyctemera tripunctaria simalura", "Nyctemera tripunctaria subvelata", "Ascoparia neglecta", "Ascoparia secunda", "Nyctemera cenis", "Nyctemera sontica", "Nyctemera clathrata", "Delias descombesi lydia", "Rhaponticoides wagenitziana", "Rhaponticoides tamanianae", "Rhaponticoides taliewii", "Centaurea armena", "Psephellus bornmuelleri", "Pseudochazara kopetdaghi", "Phyllodesma hyssarum", "Centaurea aucheri", "Centaurea cadmea", "Centaurea bruguierana", "Centaurea calolepis", "Centaurea carduiformis", "Centaurea cariensiformis", "Centaurea cataonica", "Centaurea chaldaeorum", "Polyura athamas attalus", "Centaurea cuneifolia", "Centaurea deflexa", "Centaurea doddsii", "Lasioglossum orchidodeceptum", "Sybistroma schachti", "Megarthrus spathuliformis", "Euphyllura caudata", "Nyctemera coleta melaneura", "Euphyllura concolor", "Nyctemera coleta nigrovenosa", "Nyctemera evergista", "Nyctemera evergista agagles", "Nyctemera evergista bismarckiana", "Nyctemera evergista uniplaga", "Nyctemera luzonica", "Nyctemera luzonica plesiastes", "Nyctemera maculata", "Asperitas inquinata", "Nyctemera maculata variamacula", "Nyctemera muelleri", "Nyctemera muelleri eddela", "Nyctemera muelleri mentawaiensis", "Nyctemera contrasta", "Nyctemera contrasta negrosica", "Nyctemera contrasta supracontrasta", "Nyctemera luctuosum", "Nyctemera luctuosum galbana", "Nyctemera simulatrix", "Asperitas inquinata penidae", "Nyctemera clarior", "Nyctemera kinibalina", "Nyctemera ploesslo", "Nyctemera regularis", "Nyctemera regularis crameri", "Psephellus schistosus", "Psephellus sibiricus", "Psephellus simplicicaulis", "Psephellus somcheticus", "Psephellus straminicephalus", "Psephellus sumensis", "Psephellus taochius", "Psephellus transcaucasicus", "Psephellus trinervius", "Psephellus troitzkyi", "Opegrapha hellespontica", "Psephellus xanthocephalus", "Psephellus woronowii", "Psephellus zangezuri", "Psephellus zuvandicus", "Opegrapha vulpina", "Caloplaca albopruinosa", "Psephellus congestus", "Psephellus incanescens", "Psephellus gilanicus", "Psephellus xeranthemoides", "Psephellus iljinii", "Psephellus kopet-daghensis", "Centaurea marashica", "Myochroidea leprosula", "Myochroidea minutula", "Myochroidea porphyrospoda", "Myochroidea rufofusca", "Heteropneustes fossilis", "Heteropneustes kemratensis", "Heteropneustes longipectoralis", "Heteropneustes microps", "Fumana procumbens", "Xanthoparmelia pulvinaris", "Xylodromus affinis", "Mazosia lueckingii", "Aspidothelium scutellicarpum var. scutellicarpum", "Aspidothelium scutellicarpum var. indicum", "Halimium umbellatum", "Halimium lasianthum", "Helianthemum apenninum", "Helianthemum ledifolium", "Helianthemum nummularium", "Crocanthemum arenicola", "Crocanthemum bicknellii", "Crocanthemum canadense", "Crocanthemum corymbosum", "Helianthemum coulteri", "Crocanthemum glomeratum", "Crocanthemum greenei", "Crocanthemum scoparium", "Agelaeopsylla corymbiae", "Agelaeopsylla dividua", "Agelaeopsylla insolita", "Agelaeopsylla maculatae", "Agelaeopsylla papuanae", "Anoeconeossa aquilonia", "Anoeconeossa bullata", "Anoeconeossa assimilis", "Anoeconeossa copidiformis", "Anoeconeossa fuscipennis", "Anoeconeossa kalgoorliensis", "Anoeconeossa miniatae", "Anoeconeossa morgani", "Anoeconeossa nigripennis", "Centaurea werneri", "Centaurea ulrichiorum", "Flagellophora apelti", "Nemertinoides elongatus", "Meara stichopi", "Nemertoderma bathycola", "Nemertoderma westbladi", "Squalidus gracilis gracilis", "Sideritis amasiaca", "Salvia halophila", "Cercopis vulnerata", "Sarcophaga ruficornis", "Anoeconeossa pectinata", "Anoeconeossa secreta", "Anoeconeossa socciformis", "Anoeconeossa tetragonae", "Anoeconeossa trivittata", "Anoeconeossa unicornuta", "Anoeconeossa vespertina", "Doryssa hohenackeri", "Blastopsylla adnatariae", "Blastopsylla barbara", "Blastopsylla bivittata", "Blastopsylla brunnea", "Blastopsylla degluptae", "Blastopsylla moorei", "Blastopsylla multisetulae", "Blastopsylla nigricollaris", "Blastopsylla octosetulae", "Doryssa kappleri", "Cryptoneossa leptospermi", "Cryptoneossa minuta", "Cryptoneossa occidentalis", "Cryptoneossa vulgaris", "Eriopsylla malleensis", "Leptospermonastes fasciata", "Leptospermonastes maculosipennis", "Leptospermonastes attenuati", "Leptospermonastes brunneus", "Syncarpiolyma maculatipennis", "Hudsonia ericoides", "Kapcypridopsis barnardi", "Syncarpiolyma maculata", "Leptospermonastes leptospermi", "Eriopsylla viridis", "Acizzia acaciae", "Acizzia acaciaebaileyanae", "Acizzia albizziae", "Acizzia uncatoides", "Atmetocranium myersi", "Psyllopsis fraxini", "Psylla carmichaeliae", "Gyropsylla zealandica", "Baeopelma foersteri", "Arytainilla spartiophila", "Parmeliella subfuscata", "Inula magnifica", "Asiopsocus mongolicus", "Asiopsocus sonorensis", "Notiopsocus aldretei", "Notiopsocus angulatus", "Notiopsocus facilis", "Notiopsocus machadoi", "Notiopsocus neotropicus", "Notiopsocus rufus", "Notiopsocus vilhenai", "Inula sect.", "Jarmania tristis", "Jarmania scoliciosporoides", "Echmepteryx montana", "Echmepteryx bicolor", "Echmepteryx rara", "Echmepteryx submontana", "Echmepteryx barba", "Echmepteryx acuminata", "Echmepteryx argenta", "Echmepteryx nigrapalpa", "Rhyopsocus confusus", "Rhyopsocus grandiphallus", "Mepleres avisonus", "Ceracis cassumbensis", "Ceracis navarretei", "Semiclivina bergeri", "Semiclivina schmidi", "Semiclivina urophthalmoides", "Scorpaena notata", "Centaurea davisii", "Centaurea cheirolepidoides", "Centaurea consanguinea", "Centaurea cankiriensis", "Centaurea aziziana", "Centaurea dursunbeyensis", "Centaurea ertugruliana", "Centaurea nerimaniae", "Centaurea macedonica", "Centaurea yaltirikii", "Centaurea serpentinica", "Centaurea ochrocephala", "Centaurea cheiranthifolia", "Centaurea kaynakiae", "Centaurea ensiformis", "Centaurea bourgaei", "Anomalopus brevicollis", "Anomalopus gowi", "Anomalopus leuckartii", "Oxalis sect.", "Centaurea regia", "Anomalopus mackayi", "Centaurea regia subsp. cynarocephala", "Centaurea regia subsp. regia", "Centaurea sphaerocephala", "Centaurea demirkapiensis", "Centaurea kizildaghensis", "Utetheisa henrii", "Utetheisa maddisoni", "Utetheisa galapagensis", "Utetheisa clareae", "Utetheisa connerorum", "Utetheisa cruentata", "Pronotiopsocus amazonicus", "Notiopsocus simplex", "Centaurea tuzgoluensis", "Psephellus marschallianus", "Psephellus abchasicus", "Psephellus adjaricus", "Psephellus amblyolepis", "Psephellus andinus", "Psephellus annae", "Psephellus appendicigerus", "Psephellus araxinus", "Psephellus arpensis", "Psephellus atropatanus", "Psephellus aucherianus", "Psephellus avaricus", "Psephellus bagadensis", "Psephellus barbeyi", "Psephellus bellus", "Psephellus boissieri", "Psephellus brevifimbriatus", "Psephellus buschiorum", "Psephellus carbonatus", "Psephellus carthalinicus", "Psephellus circassicus", "Psephellus ciscaucasicus", "Psephellus colchicus", "Psephellus cronquistii", "Psephellus czerepanovii", "Psephellus czirkejensis", "Psephellus daghestanicus", "Psephellus debedicus", "Psephellus declinatus", "Psephellus dittrichii", "Psephellus erivanensis", "Psephellus eugenii", "Psephellus fajvuschii", "Psephellus galushkoi", "Psephellus geghamensis", "Psephellus gracillimus", "Psephellus holophyllus", "Semiclivina urophthalma", "Semiclivina oxyomma", "Athene brama brama", "Eundacypris superba", "Uropoda gressitti", "Verruculina stigmatospora", "Cyparium mikardo", "Cyparium yapalli", "Cyparium navarretei", "Centaurea elazigensis", "Rhaponticum longifolium", "Rhaponticum longifolium subsp. ericeticola", "Centaurea aplolepa", "Centaurea arrigonii", "Centaurea aplolepa subsp. bertolonii", "Centaurea aplolepa subsp. levantina", "Xanthium ambrosioides", "Xanthium orientale", "Xanthium orientale subsp. californicum", "Xanthium orientale subsp. italicum", "Xanthium orientale subsp. orientale", "Xanthium orientale subsp. riparium", "Xanthium strumarium subsp. sibiricum", "Xanthium pungens", "Psephellus holtzii", "Psephellus huber-morathii", "Psephellus hymenolepis", "Psephellus hypoleucus", "Psephellus integrifolius", "Psephellus karabaghensis", "Psephellus karduchorum", "Psephellus kemulariae", "Lichenothelia antarctica", "Lichenothelia calcarea", "Lichenothelia convexa", "Lichenothelia dendritica", "Lichenothelia echinulata", "Lichenothelia gigantea", "Lichenothelia globulifera", "Lichenothelia intermedia", "Lichenothelia intermixta", "Lichenothelia macrocarpa", "Lichenothelia metzleri", "Lichenothelia minor", "Lichenothelia paradoxa", "Kodiosoma fulva", "Lichenothelia patagonica", "Lichenothelia prolifera", "Lichenothelia radiata", "Lichenothelia renobalesiana", "Lichenothelia schindleri", "Lichenothelia scopularia", "Lichenothelia solitaria", "Lichenothelia solitarioides", "Lichenothelia tenuissima", "Lichenothelia uralensis", "Lecanora lasalliae", "Scoliciosporum arachnoideum", "Leptogium loriforme", "Macrobrachium nipponense", "Aspicilia berntii", "Psephellus kobstanicus", "Psephellus kolakovskii", "Psephellus leucophyllus", "Psephellus leuzeoides", "Psephellus maleevii", "Psephellus manakianii", "Psephellus meskheticus", "Psephellus mucronifer", "Psephellus pambakensis", "Psephellus paucilobus", "Psephellus pecho", "Psephellus pergamaceus", "Psephellus phaeopappoides", "Psephellus poluninii", "Psephellus popovae", "Psephellus prokhanovii", "Psephellus psephelloides", "Tropidurus jaguaribanus", "Psephellus pulcherrimus", "Psephellus ruprechtii", "Psephellus salviifolius", "Psephellus schischkinii", "Calliactis polypus", "Graminacaecilius frontalis", "Graminacaecilius micropterus", "Semaprochilodus taeniurus", "Mycomya blagoderovi", "Semaprochilodus varii", "Hedlandella gesae", "Hedlandella parva", "Leporinus apollo", "Microxestoleberis hamelini", "Julidochromis ornatus", "Julidochromis regani", "Julidochromis marlieri", "Julidochromis dickfeldi", "Julidochromis transcriptus", "Lithographa skottsbergii", "Lithographa tesserata", "Lithographa graphidioides", "Lithographa opegraphoides", "Lithographa serpentina", "Lithographa varangarica", "Ptilotus exaltatus", "Begonia sizemoreae", "Raphanus raphanistrum subsp. landra", "Heliangelus zusii", "Begonia sect.", "Xanthium strumarium subsp. brasilicum", "Bellis margaritifolia", "Melanesiandra barclayi", "Solidago virgaurea subsp. minuta", "Mycobilimbia subbyssoidea", "Darwinopterus modularis", "Atla alpina", "Atla palicei", "Atla praetermissa", "Atla wheldonii", "Wukongopterus lii", "Oxybasis urbica", "Chenopodium sosnowskyi", "Chenopodium album subsp. iranicum", "Cotula hispida", "Kunpengopterus sinensis", "Miriquidica effigurata", "Miriquidica squamulosa", "Pertusaria stellata", "Nelepsittacus daphneleeae", "Nelepsittacus donmertoni", "Nelepsittacus minimus", "Semaprochilodus kneri", "Semaprochilodus laticeps", "Spilarctia coccinea", "Tripylina indica", "Atelopus nocturnus", "Oxalis sect.", "Stenopsocus albipileus", "Diplodon granosus", "Hemipsocus selysi", "Hemipsocus luridus", "Azima tetracantha", "Hemipsocus chloroticus", "Dobera glabra", "Salvadora oleoides", "Salvadora persica", "Setchellanthus caeruleus", "Tovaria pendula", "Tropaeolum ciliatum", "Agdistis endospecla", "Calopsocus yatesi", "Tropaeolum minus", "Tropaeolum peltophorum", "Tropaeolum smithii", "Iraota distanti", "Parmeliella endomilta", "Corydalis erdelii", "Ictidomys parvidens", "Spiricella unguicula", "Tetracnemoidea zelandica", "Tetracnemoidea bicolor", "Tetracnemoidea brevicornis", "Tetracnemoidea brounii", "Tetracnemoidea peregrina", "Tetracnemoidea coimbrensis", "Trichopoda pennipes", "Leptobrachium bompu", "Litoria axillaris", "Protounguicularia transiens", "Praemunita hartmanni", "Simulium epauletum", "Boreocypha websteri", "Probstia astoni", "Meximachilis cokendolpheri", "Leptanilloides caracola", "Leptanilloides nubecula", "Leptanilloides nomada", "Leptanilloides biconstricta", "Leptanilloides erinys", "Leptanilloides femoralis", "Leptanilloides sculpturata", "Leptanilloides legionaria", "Leptanilloides gracilis", "Leptanilloides improvisa", "Haliplus latreillei", "Scorpaena cardinalis", "Anisomeridium robustum", "Antennulariella lichenisata", "Actinoleberis arafurae", "Dryocosmus kuriphilus", "Micarea farinosa", "Cryptocentrus cinctus", "Xerotrema quercicola", "Xerotrema megalospora", "Stellaria anagalloides", "Stellaria borealis", "Stellaria bungeana", "Stellaria calycantha", "Stellaria crassifolia", "Bacidia squamellosa", "Stellaria neglecta", "Stellaria palustris", "Stellaria persica", "Stellaria fennica", "Stellaria humifusa", "Stellaria hebecalyx", "Stellaria cilicica", "Stellaria kotschyana", "Stellaria longifolia", "Morbakka virulenta", "Lecidea subfilamentosa", "Copula sivickisi", "Cerastium araraticum", "Cerastium armeniacum", "Cerastium arcticum", "Cerastium banaticum", "Cerastium biebersteinii", "Cerastium brachypetalum", "Cerastium carinthiacum", "Cerastium chlorifolium", "Cerastium dichotomum", "Cerastium diffusum", "Cerastium eriophorum", "Cerastium fontanum", "Cerastium gnaphalodes", "Cerastium fragillimum", "Cerastium gracile", "Cerastium haussknechtii", "Cerastium comatum", "Cerastium ligusticum", "Cerastium kasbek", "Cerastium kotschyi", "Cerastium macranthum", "Cerastium perfoliatum", "Cerastium pisidicum", "Cerastium pumilum", "Cerastium purpurascens", "Cerastium saccardoanum", "Cerastium soleirolii", "Cerastium sylvaticum", "Cerastium tomentosum", "Cerastium uniflorum", "Argulus spinulosus", "Cerastium alpinum", "Cerastium candidissimum", "Cerastium decalvans", "Cerastium gibraltaricum", "Cerastium latifolium", "Cerastium maximum", "Cerastium pyrenaicum", "Cerastium regelii", "Leptanilloides mckennae", "Knautia byzantina", "Begonia sect.", "Knautia degenii", "Knautia drymeja", "Knautia integrifolia", "Knautia macedonica", "Knautia orientalis", "Begonia sect.", "Doryssa atra", "Doryssa consolidata", "Oaxacanthaxia bicolorata", "Doryssa lamarckiana", "Eulipoa wallacei", "Cophixalus kulakula", "Cophixalus pakayakulangun", "Leptodactylus insularum", "Leptodactylus guianensis", "Thelopsis paucispora", "Praemunita broomensis", "Bradyleberis cristatella", "Buellia peregrina", "Chloropsis kinabaluensis", "Chloropsis jerdoni", "Yassinicythere bassiounii", "Cytherelloidea darwinensis", "Cytherelloidea trilirata", "Leptochidium albociliatum", "Begonia scottii", "Leptochidium crenatulum", "Eupolycope occidensnuda", "Anomalopus pluto", "Porina boliviana", "Anomalopus swansoni", "Anomalopus verreauxii", "Trichothelium subargenteum", "Labutisella darwinensis", "Labutisella curta", "Labutisella quadrata", "Labutisella interrupta", "Lecanora calabrica", "Lecanora coppinsii", "Lecanora pseudosarcopidoides", "Lecanora subsaligna", "Lecanora albellula var. albellula", "Lecanora albellula var. macroconidiata", "Thelidium pertusatii", "Rinodina capeverdeana", "Rinodina inspersoparietata", "Rinodina polymorphaespora", "Rhododendron ponticum subsp. baeticum", "Rhododendron \u00d7 davisianum", "Caloplaca jatolensis", "Rhododendron \u00d7 filidactylis", "Caloplaca pseudisteroides", "Rhododendron \u00d7 charadzeae", "Caloplaca subleptozona", "Rhododendron \u00d7 sochadzeae", "Bactrospora flavopruinosa", "Tonlesapia amnica", "Apis mellifera jemenitica", "Anthomalachius davoodi", "Stellaria pubera", "Pedicularis causasica", "Pedicularis cadmea", "Pedicularis olympica", "Pedicularis crassirostris", "Pedicularis acaulis", "Miriquidica pycnocarpa f. pycnocarpa", "Agabus puetzi", "Miriquidica pycnocarpa f. sorediata", "Topeliopsis azorica", "Aegus debatissei", "Aegus acuminatus", "Verrucaria nigrescens f. nigrescens", "Verrucaria nigrescens f. tectorum", "Odontolabis baderi", "Odontolabis taronii", "Cladophyllus nobuhikoi", "Xestoleberis darwinensis", "Xestoleberis paramargaritea", "Attalea seabrensis", "Variabilichromis moorii", "Neolamprologus schreyeni", "Neolamprologus caudopunctatus", "Neolamprologus mustax", "Neolamprologus obscurus", "Trioza eugeniae", "Tamarixia dahlsteni", "Tamarixia schina", "Tamarixia atamiensis", "Angophora floribunda", "Enterographa bengalensis", "Sticta alpinotropica", "Keratosphaera multiseptata", "Parakeijia territoriae", "Tetracnemoidea sydneyensis", "Acanthothecis collateralis", "Fissurina capsulata", "Fissurina coarctata", "Fissurina karnatakensis", "Fissurina khasiana", "Fissurina longiramea", "Fissurina taeniocarpoides", "Fissurina verrucosa", "Fissurina dumastioides var. dumastioides", "Fissurina dumastioides var. salazinica", "Fissurina rugosa", "Mycocalicium llimonae", "Nyctibatrachus acanthodermis", "Nyctibatrachus anamallaiensis", "Nyctibatrachus danieli", "Nyctibatrachus deveni", "Nyctibatrachus gavi", "Nyctibatrachus grandis", "Nyctibatrachus indraneili", "Nyctibatrachus jog", "Nyctibatrachus periyar", "Nyctibatrachus pillaii", "Nyctibatrachus poocha", "Nyctibatrachus shiradi", "Nyctibatrachus vrijeuni", "Thelidium rimosulum", "Nyctibatrachus dattatreyaensis", "Corydalis caucasica subsp. abantensis", "Graphis sundarbanensis", "Isostichopus badionotus", "Coleotroctellus burckhardti", "Coleotroctellus loebli", "Coleotroctellus sui", "Coleotroctellus venosus", "Lecidea grisella", "Aspicilia uxoris", "Heterodera cajani", "Mentha spicata subsp. spicata", "Mentha spicata subsp. condensata", "Jumellea recurva", "Spiricella redferni", "Neolamprologus longior", "Neolamprologus buescheri", "Neolamprologus cylindricus", "Capitodiscus admirandus", "Sepioloidea pacifica", "Sepioloidea magna", "Erinnyis oenotrus", "Begonia \u00d7 ricinifolia", "Lecidea xanthococcoides", "Lecidea versicolor", "Lecidea torquens", "Lecidea symmictella", "Lecidea strasseri", "Lecidea sphaerella", "Lecidea scabridula", "Lecidea polycocca", "Lecidea malmeana", "Lecidea epiphaea", "Lecidea carneoalbens", "Lecidea atromarginata", "Frutidella pullata", "Conringia planisiliqua", "Conringia austriaca", "Conringia persica", "Conringia clavata", "Begonia \u00d7 erythrophylla", "Begonia \u00d7 versaliensis", "Begonia \u00d7 ottoniana", "Marococandona danielopoli", "Marococandona nicolae", "Evania appendigaster", "Annularia stellata", "Charaxes solon jordani", "Ceylonthelphusa durrelli", "Lecidea antiloga", "Lecidea endomelaena", "Lecidea inops", "Lecidea lichenicola", "Lecidea luteoatra", "Lecidea mucosa", "Lecidea obluridata", "Lecidea paraclitica", "Lecidea promiscua", "Lecidea promixta", "Lecidea subspeirea", "Lecidea charadrodes", "Chilomycterus reticulatus", "Lecidea hyalinescens", "Lecidea aspidula var. aspidula", "Lecidea aspidula var. dispersa", "Llimonaea sorediata", "Boscia albitrunca", "Boscia senegalensis", "Cadaba fruticosa", "Cadaba farinosa", "Melanotopelia africana", "Capparis acutifolia", "Capparis micracantha", "Capparis sandwichiana", "Capparis sepiaria", "Graphocephala coccinea", "Capparis tomentosa", "Capparis decidua", "Capparis grandidiera", "Capparis indica", "Capparis mitchellii", "Capparis olacifolia", "Watsonarctia deserta centralasiae", "Watsonarctia deserta elbursica", "Watsonarctia deserta karduchena", "Ustjuzhania albida", "Teracotona kovtunovitchi", "Lepidiolamprologus elongatus", "Crateva adansonii", "Crateva magna", "Crateva religiosa", "Doryssa derivans", "Doryssa brevior", "Doryssa transversa", "Doryssa geijskesi", "Doryssa petechialis", "Veronica allahuekberensis", "Begonia velloziana", "Cladonia paeminosa", "Deccanolestes narmadensis", "Poliaspis cycadis", "Poliaspis gaultheriae", "Cladonia kuringaiensis", "Parapolycopissa rossica", "Aenictus aratus", "Aenictus doydeei", "Aenictus hodgsoni", "Aenictus glabratus", "Aenictus jarujini", "Aenictus pfeifferi", "Aenictus pangantihoni", "Aenictus carolianus", "Aenictus vieti", "Aenictus stenocephalus", "Aenictus wudangshanensis", "Aenictus inflatus", "Aenictus henanensis", "Aenictus fuchuanensis", "Aenictus shillongensis", "Cladonia murrayi", "Coniopteryx conviventibus", "Coniopteryx furcata", "Rhinocypha bisignata", "Indiella ridgenensis", "Pseudagrion rubriceps", "Isotogastrura trichaetosa", "Micrurus annellatus", "Ancyronyx montanus", "Giraffa camelopardalis thornicrofti", "Cladonia enantia", "Giraffa camelopardalis antiquorum", "Consolida aconiti", "Consolida anthoroidea", "Consolida thirkeana", "Consolida hohenackeri", "Cladonia malayana", "Consolida saccata", "Cladonia fenestralis", "Cladonia caperatica", "Consolida persica", "Consolida raveyi", "Consolida glandulosa", "Consolida phrygia", "Consolida stenocarpa", "Consolida barbata", "Cladonia humilis var. humilis", "Cladonia humilis var. bourgeanica", "Cladonia sarmentosa", "Thalictrum sultanabadense", "Thalictrum simplex", "Thalictrum aquilegiifolium", "Thalictrum lucidum", "Thalictrum isopyroides", "Thalictrum flavum", "Thalictrum alpinum", "Thalictrum dioicum", "Thalictrum tuberosum", "Thalictrum pubescens", "Melanocetus eustalus", "Melanocetus murrayi", "Melanocetus niger", "Pseudocalotes ziegleri", "Melanocetus rossi", "Isatis kozlowskyi", "Cyrtodactylus cattienensis", "Callisto albicinctella", "Callisto coffeella", "Callisto denticulella", "Callisto elegantella", "Callisto insperatella", "Callisto pfaffenzelleri", "Isatis amani", "Isatis arenaria", "Isatis besseri", "Isatis bitlisica", "Isatis brachycarpa", "Isatis callifera", "Isatis candolleana", "Isatis cochlearis", "Isatis constricta", "Alexarasnia rossica", "Uca arcuata", "Heteroponera brouni", "Monomorium smithii", "Prolasius advena", "Rhytidoponera metallica", "Cladonia subpityrea", "Coniopteryx martinmeinanderi", "Consolida rugulosa", "Consolida camptocarpa", "Consolida divaricata", "Consolida paradoxa", "Consolida stocksiana", "Consolida leptocarpa", "Consolida tenuissima", "Consolida armeniaca", "Consolida axilliflora", "Consolida cruciata", "Consolida stapfiana", "Consolida oliveriana", "Consolida sulphurea", "Consolida tomentosa", "Consolida brevicornis", "Consolida olopetala", "Consolida lineolata", "Consolida deserti-syriaci", "Consolida cornuta", "Consolida incana", "Consolida samia", "Consolida schlagintweitii", "Consolida staminosa", "Consolida uechtritziana", "Aristaea acares", "Consolida tuntasiana", "Aristaea amalopa", "Consolida teheranica", "Aristaea bathracma", "Aristaea asteris", "Aristaea atrata", "Aristaea eurygramma", "Aristaea issikii", "Aristaea machaerophora", "Cladonia southlandica", "Aristaea onychota", "Aristaea pavoniella", "Aristaea periphanes", "Aristaea thalassias", "Aristaea vietnamella", "Macarostola amalopa", "Parectopa bathracma", "Parectopa latisecta", "Cladonia weymouthii", "Macarostola onychota", "Adonis amurensis", "Adonis chrysocyathus", "Adonis volgensis", "Adonis pyrenaica", "Adonis globosa", "Melanocetus johnsonii", "Adonis ramosa", "Isatis floribunda", "Isatis ermenekensis", "Isatis frigida", "Isatis huber-morathii", "Isatis lockmanniana", "Isatis ornithorhynchus", "Isatis mardinensis", "Caloptilia acericolella", "Cladonia staufferi", "Isatis pinnatiloba", "Isatis sivasica", "Isatis spatella", "Caloptilia aceriella", "Isatis spectabilis", "Isatis takhtajanii", "Isatis undulata", "Caloptilia acerifoliella", "Sisymbrium polyceratium", "Sisymbrium austriacum", "Sisymbrium turczaninowii", "Sisymbrium strictissimum", "Sisymbrium septulatum", "Sisymbrium confertum", "Murbeckiella boryi", "Murbeckiella pinnatifida", "Murbeckiella sousae", "Murbeckiella zanonii", "Descurainia kochii", "Camelina anomala", "Pseudopolycope vitjazi", "Reseda armena", "Reseda aucheri", "Reseda balansae", "Reseda germanicopolitana", "Reseda microcarpa", "Reseda orientalis", "Reseda phyteuma", "Reseda saadae", "Reseda tomentosa", "Polygala comosa", "Polygala calcarea", "Polygala hohenackeriana", "Polygala inexpectata", "Polygala monspeliaca", "Polygala papilionacea", "Polygala pruinosa", "Polygala stocksiana", "Polygala supina", "Polygaloides vayredae", "Polygala venulosa", "Cyclops bohater", "Palinustus truncatus", "Sinosmylites rasnitsyni", "Sinosmylites fumosus", "Austrognatharia barbadensis", "Austrognatharia atraclava", "Austrognatharia homunculus", "Austrognatharia kirsteueri", "Austrognatharia medusifera", "Austrognatharia mooreensis", "Austrognatharia pecten", "Austrognatharia sterreri", "Austrognatharia stirialis", "Austrognatharia strunki", "Hemigrapsus crenulatus", "Cladonia bimberiensis", "Cladonia borbonica", "Cladonia capitellata var. capitellata", "Phymaturus delheyi", "Phymaturus sitesi", "Phymaturus querque", "Persicaria pensylvanica", "Phymaturus maulense", "Persicaria sagittata", "Phymaturus laurenti", "Phymaturus felixi", "Phymaturus etheridgei", "Persicaria orientalis", "Persicaria nepalensis", "Persicaria punctata", "Persicaria barbata", "Persicaria chinensis", "Persicaria humilis", "Persicaria limbata", "Persicaria longiseta", "Persicaria microcephala", "Persicaria mitis", "Persicaria muricata", "Cladonia capitellata var. interhiascens", "Persicaria posumbu", "Persicaria praetermissa", "Persicaria pubescens", "Persicaria runcinata", "Persicaria strigosa", "Cladonia capitellata var. squamatica", "Persicaria hydropiperoides", "Persicaria careyi", "Callicercops iridocrossa", "Callicercops milloti", "Callicercops triceros", "Callicercops triactis", "Acrocercops triactis", "Acrocercops triceros", "Callicercops yakusimensis", "Acrocercops iridocrossa", "Cladonia neozelandica", "Cladonia tenuicaulis", "Linuparus somniosus", "Rapala tomokoae bilara", "Crassostrea gigas", "Epinephelus lanceolatus", "Cyclosternum pentalore", "Hibiscus mandrarensis", "Hibiscus perrieri", "Hibiscus perrieri var. perrieri", "Hibiscus perrieri var. rosa-madagascariensis", "Hibiscus denisonii", "Polycope major", "Polycope bathyalis", "Polycope gulbini", "Metapolycope echinata", "Archypolycope bonaducei", "Archypolycope squalida", "Archypolycope cornea", "Hibiscus storckii", "Archypolycope rotunda", "Cladonia rigida", "Cladonia rigida var. rigida", "Zeidora antarctica", "Aneuretus simoni", "Cladonia rigida var. acuta", "Lepraria granulata", "Batrisus formicarius", "Gyalidea fruticola", "Begonia hatacoa var. hatacoa", "Parupeneus heptacanthus", "Diodon liturosus", "Chrysothrix occidentalis", "Chrysothrix palaeophila", "Chrysothrix tchupalensis", "Chrysothrix sulphurella", "Neolamprologus bifasciatus", "Neolamprologus helianthus", "Neolamprologus marunguensis", "Neolamprologus nigriventris", "Neolamprologus pectoralis", "Neolamprologus similis", "Neolamprologus variostigma", "Neolamprologus ventralis", "Badis dibruensis", "Gnathocharax steindachneri", "Heterocharax macrolepis", "Tanacetum punctatum", "Pseudocyphellaria dubia", "Polygonum cappadocicum", "Cladia aggregata", "Cladia corallaizon", "Cladia deformis", "Culladia zhengi", "Fagus grandifolia subsp. grandifolia", "Euhyponomeuta zhengi", "Cladonia tasmanica", "Cladonia tenerrima", "Cladonia tessellata", "Begonia \u00d7 ameliae", "Tamsiella tamsiana", "Begonia \u00d7 pictavensis", "Dermogenys pusilla", "Cladonia ustulata", "Cladonia aspera", "Cladonia lepidophora", "Mediodactylus stevenandersoni", "Glaucomastix cyanura", "Ameivula nigrigula", "Cyrtodactylus boreoclivus", "Cladonia cyanopora", "Cladonia darwinii", "Cladonia fuscofunda", "Cladonia gallowayi", "Cladonia incerta", "Cladonia nitidella", "Cladonia pulchra", "Cladonia strangulata", "Crassostrea virginica", "Symphurus maculopinnis", "Cryptocopoides pruinosus", "Cryptocopoides nobilis", "Cryptocopoides antarctica", "Adenopea cenata", "Adenopea chuni", "Adenopea illardata", "Bobilla gullanae", "Bobilla illawarra", "Bobilla avita", "Bicornucandona fineganensis", "Bobilla bigelowi", "Bobilla nigrova", "Bobilla bivittata", "Bobilla bakali", "Bobilla killara", "Bobilla victoriae", "Bobilla kindyerra", "Bobilla neobivittata", "Bobilla plurampe", "Bobilla poene", "Bobilla tasmani", "Stigmatochromis woodi", "Cladonia miniata", "Stigmatochromis modestus", "Metioche maorica", "Teleogryllus commodus", "Ornebius novarae", "Lepidogryllus badikovi", "Lepidogryllus comparatus", "Lepidogryllus parvulus", "Lepidogryllus lepidus", "Aorangia pilgrimi", "Aorangia poppelwelli", "Aorangia muscicola", "Aorangia silvestris", "Aorangia isolata", "Aorangia semita", "Aorangia obscura", "Aorangia fiordensis", "Aorangia singularis", "Aorangia pudica", "Aorangia otira", "Myrmica zhengi", "Leptodoras marki", "Maculisclerotica triangulidens", "Sophora jaubertii", "Maculisclerotica curvispinea", "Maculisclerotica truncatidens", "Cladonia subsubulata", "Eudemis zhengi", "Cladonia sulcata", "Promalactis palmata", "Vicia barbazitae", "Vicia caesarea", "Vicia cassia", "Vicia ciliatula", "Cladonia sulcata var. sulcata", "Vicia cuspidata", "Vicia dadianorum", "Vicia eristalioides", "Vicia erzurumica", "Promalactis subcolacephala", "Vicia galilaea", "Vicia freyniana", "Vicia glareosa", "Vicia koeieana", "Vicia lunata", "Vicia mollis", "Vicia parvula", "Vicia quadrijuga", "Vicia sibthorpii", "Vicia splendens", "Cladonia sulcata var. depleta", "Alnus acuminata subsp. acuminata", "Alnus acuminata subsp. arguta", "Alnus acuminata subsp. glabrata", "Clinopodium molle", "Clinopodium menthifolium subsp. ascendens", "Clinopodium menthifolium subsp. hirtum", "Clinopodium menthifolium subsp. menthifolium", "Dardanus pedunculatus", "Chaunax abei", "Clinopodium nepeta subsp. nepeta", "Clinopodium alpinum", "Xylocopa atamisquensis", "Triatoma costalimai", "Begonia \u00d7 reichenheimii", "Pseudanaphes lincolni", "Pseudanaphes particoxae", "Pseudanaphes sikkimianus", "Pseudanaphes zhaoi", "Begonia \u00d7 ingramii", "Stigmatochromis pholidophorus", "Begonia \u00d7 cheimantha", "Stigmatochromis pleurospilus", "Cladonia marionii", "Gryllopsis maoria", "Trachylepis ivensii", "Conocephalus albescens", "Salomona solida", "Conocephalus latifrons", "Conocephalus upoluensis", "Megalobulimus wichmanni", "Solanum woronowii", "Physochlaina orientalis", "Caloptilia acerivorella", "Gracillaria acerivorella", "Caloptilia acinata", "Enteucha acuta", "Stigmella montanotropica", "Stigmella nubimontana", "Stigmella rubeta", "Stigmella austroamericana", "Acalyptris ecuadoriana", "Acalyptris onorei", "Acalyptris basihastatus", "Acalyptris insolentis", "Acalyptris rotundus", "Acalyptris amazonius", "Acalyptris articulosus", "Acalyptris pseudohastatus", "Enteucha gilvafascia", "Enteucha cyanochlora", "Enteucha contracolorea", "Enteucha hilli", "Enteucha snaddoni", "Enteucha terricula", "Varius ochnicola", "Simplimorpha lanceifoliella", "Simplimorpha promissa", "Stigmella allophylivora", "Clinopodium caroli-henricanum", "Begonia \u00d7 antonietae", "Stigmatochromis macrorhynchos", "Stigmatochromis melanchros", "Austrosalomona personafrons", "Austrosalomona zentae", "Dictyna palmgreni", "Axonya farsica", "Oligochoerus limnophilus", "Peripatoides indigo", "Peripatoides novaezealandiae", "Peripatoides suteri", "Haliotis hokiangaensis", "Hylaeus mana", "Hylaeus mimicus", "Hylaeus nalo", "Hylaeus solaris", "Hylaeus takumiae", "Laocoon commensalis", "Arocatus rusticus", "Eigenmannia virescens", "Entomobrya aniwaniwaensis", "Entomobrya atrocincta", "Entomobrya auricorpa", "Entomobrya divafusca", "Stachys huber-morathii", "Stachys pinetorum", "Stachys obliqua", "Stachys libanotica", "Stachys sericantha", "Stachys tmolea", "Stachys longispicata", "Stachys huetii", "Stachys bayburtensis", "Stachys rupestris", "Stachys choruhensis", "Stachys cataonica", "Stachys petrokosmos", "Stachys amanica", "Stachys pumila", "Stachys citrina", "Actina basalis", "Actina gongshana", "Actina longa", "Actina tengchongana", "Actina zhangae", "Begonia \u00d7 ascotiensis", "Polycope bireticulata", "Polycope horrida", "Begonia \u00d7 clementinae", "Polycope semipunctata", "Begonia \u00d7 verschaffeltii", "Polycope bispinosa", "Begonia \u00d7 leopoldii", "Begonia \u00d7 eximia", "Aromobates ornatissimus", "Begonia \u00d7 lindquistii", "Diochus electrus", "Daphniola eptalophos", "Lechea intermedia", "Lechea mensalis", "Lechea minor", "Lechea mucronata", "Lechea pulchella", "Lechea tenuifolia", "Tuberaria lignosa", "Polycope moenia", "Polycope arcys", "Gryllotalpa howensis", "Polycope inornata", "Cotylelobium burckii", "Cotylelobium lanceolatum", "Cotylelobium melanoxylon", "Athene cunicularia hypugaea", "Scarabaeus krutai", "Tomogonus cambeforti", "Siopelus zambiensis", "Stachys munzurdagensis", "Stachys mardinensis", "Stachys menthoides", "Stachys antalyensis", "Stachys longiflora", "Stachys euadenia", "Stachys anamurensis", "Stachys pinardii", "Stachys pseudopinardii", "Stachys chasmosericea", "Stachys megalodonta", "Stachys sivasica", "Stachys baytopiorum", "Stachys kurdica", "Stachys tundjeliensis", "Stachys subnuda", "Stachys sparsipilosa", "Stachys willemsei", "Stachys aleurites", "Stachys bombycina", "Peripatopsis alba", "Peripatopsis balfouri", "Peripatopsis capensis", "Peripatopsis clavigera", "Peripatopsis leonina", "Peripatopsis moseleyi", "Peripatopsis sedgwicki", "Hylaeus strenuus", "Campsicnemus iii", "Campsicnemus bennetti", "Campsicnemus makawao", "Campsicnemus perkinsi", "Campsicnemus quasimodicus", "Paraliancalus laciniafemur", "Mammillaria albicans", "Anabasis zhengi", "Anabasis medogia", "Laocoonella commensalis", "Myotis diminutus", "Molossus alvarezi", "Torulisquama ceratophora", "Tursiops australis", "Torulisquama ovata", "Torulisquama obliquilinealis", "Aenictus certus", "Aenictus ceylonicus", "Aenictus chapmani", "Aenictus clavatus", "Aenictus clavitibia", "Aenictus congolensis", "Aenictus cornutus", "Aenictus crucifer", "Aenictus currax", "Aenictus decolor", "Aenictus dentatus", "Aenictus dlusskyi", "Aenictus doryloides", "Aenictus eugenii", "Aenictus exilis", "Aenictus feae", "Aenictus fergusoni", "Aenictus foreli", "Aenictus furculatus", "Aenictus furibundus", "Aenictus fuscipennis", "Aenictus fuscovarius", "Aenictus gibbosus", "Aenictus gleadowii", "Aenictus gracilis", "Aenictus grandis", "Aenictus hamifer", "Aenictus hilli", "Aenictus humeralis", "Aenictus huonicus", "Aenictus icarus", "Aenictus idoneus", "Aenictus inconspicuus", "Aenictus jacobsoni", "Aenictus javanus", "Aenictus laeviceps", "Aenictus latiscapus", "Aenictus leliepvrei", "Aenictus lifuiae", "Aenictus longi", "Aenictus luteus", "Aenictus mariae", "Aenictus maroccanus", "Aenictus mauritanicus", "Aenictus mentu", "Aenictus mocsaryi", "Aenictus moebii", "Aenictus mutatus", "Aenictus nganduensis", "Aenictus obscurus", "Aenictus pachycerus", "Aenictus peguensis", "Aenictus pharoa", "Aenictus philiporum", "Aenictus philippinensis", "Aenictus porizonoides", "Aenictus pubescens", "Aenictus punctiventris", "Aenictus punensis", "Aenictus rabori", "Aenictus raptor", "Aenictus reyesi", "Aenictus rhodiensis", "Aenictus rixator", "Stachys distans", "Stachys inanis", "Stachys diversifolia", "Stachys spinulosa", "Stachys arabica", "Stachys woronowii", "Stachys obscura", "Stachys saturejoides", "Stachys ramosissima", "Stachys burgsdorffioides", "Stachys melampyroides", "Stachys fruticulosa", "Stachys cydni", "Stachys ajugoides", "Stachys albens", "Stachys aspera", "Stachys circinata", "Stachys corsica", "Stachys glutinosa", "Stachys pycnantha", "Origanum amanum", "Origanum bargyli", "Origanum bilgeri", "Origanum brevidens", "Origanum haussknechtii", "Origanum husnucan-baseri", "Origanum hypericifolium", "Origanum laevigatum", "Origanum leptocladum", "Origanum minutiflorum", "Origanum \u00d7 munzurense", "Origanum saccatum", "Origanum solymicum", "Aspidoconcha limnoriae", "Redekea perpusilla", "Redekea californica", "Hylaeus makaha", "Hylaeus ulaula", "Hylaeus akoko", "Hylaeus gliddenae", "Hylaeus kokeensis", "Hylaeus kuakea", "Hylaeus kukui", "Persicaria robustior", "Persicaria setacea", "Persicaria bungeana", "Persicaria arifolia", "Persicaria meisneriana", "Persicaria acuminata", "Persicaria decipiens", "Persicaria poiretii", "Persicaria senegalensis", "Persicaria dichotoma", "Cladonia calyciformis", "Persicaria lanata", "Cladonia melaleuca", "Cladonia perfossa", "Persicaria hirsuta", "Persicaria sinuata", "Cladonia celata", "Cladonia praetermissa", "Persicaria virginiana", "Cladonia praetermissa var. praetermissa", "Cladonia praetermissa var. modesta", "Cladonia cervicornis subsp. mawsonii", "Rypticus saponaceus", "Micropolycope aliena", "Ephestia elutella", "Ephestia cautella", "Syngnathus affinis", "Cladonia corniculata", "Cladonia corymbescens", "Pseudopolycope inermis", "Pseudopolycope shornikovi", "Tetraclita ehsani", "Pseudebulea fentoni", "Arhopala athada", "Pseudebulea hainanensis", "Pseudebulea kuatunensis", "Arhopala athada minor", "Pseudebulea lungtanensis", "Arhopala athada wilemani", "Pseudebulea polychaeta", "Arhopala athada apha", "Arhopala athada athada", "Linuparus trigonus", "Arhopala cleander malayica", "Arhopala cleander aphadantas", "Arhopala cleander apharida", "Arhopala cleander incerta", "Arhopala cleander jobina", "Mammillaria anniana", "Hapalogaster dentata", "Arhopala cleander regia", "Arhopala cleander sostrata", "Arhopala nicevillei", "Arhopala quercoides", "Arhopala rudepoema", "Begonia \u00d7 prestoniensis", "Arhopala silhetensis", "Arhopala silhetensis silhetensis", "Arhopala silhetensis adorea", "Begonia \u00d7 sedenii", "Arhopala silhetensis fundania", "Begonia \u00d7 pseudophyllomaniaca", "Begonia \u00d7 lapeyrousei", "Arhopala zambra", "Begonia \u00d7 deuringeri", "Begonia \u00d7 digswelliana", "Arhopala zambra plateni", "Begonia \u00d7 lesoudsii", "Arhopala zambra zambra", "Arhopala zambra kitamurai", "Arhopala zambra triviata", "Serangium japonicum", "Serangium clauseni", "Campsicnemus borabora", "Campsicnemus lobatus", "Campsicnemus mylloseta", "Campsicnemus ogradyi", "Campsicnemus ostlinx", "Campsicnemus paralobatus", "Megaselia dickoni", "Megaselia elongata", "Megaselia enderleini", "Megaselia ethiopia", "Megaselia exangulata", "Megaselia fasciventris", "Megaselia ferruginosa", "Megaselia flava", "Megaselia flavifacioides", "Megaselia fumata", "Megaselia fungicola", "Megaselia furtiva", "Megaselia genuina", "Megaselia groenlandica", "Megaselia hendersoni", "Megaselia henrydisneyi", "Megaselia irwini", "Megaselia jheringi", "Megaselia johnsoni", "Megaselia juli", "Megaselia labialis", "Megaselia laffooni", "Megaselia latipes", "Megaselia leucozona", "Megaselia longiciliata", "Megaselia luminosa", "Megaselia mammillata", "Megaselia mantuana", "Megaselia masatierrana", "Megaselia meconicera", "Megaselia melanocephala", "Megaselia melanostola", "Megaselia metropolitanoensis", "Megaselia michaelis", "Megaselia minuta", "Megaselia neivai", "Megaselia nebulosa", "Megaselia nebulosa", "Megaselia nepenthina", "Megaselia nigriceps", "Megaselia nigriclava", "Megaselia nubila", "Megaselia nubilipennis", "Megaselia obscura", "Megaselia opacicornis", "Megaselia pabloi", "Megaselia palaestinensis", "Megaselia parvula", "Megaselia parasitica", "Megaselia parasitica", "Megaselia peyresquensis", "Megaselia picta", "Megaselia plurispinulosa", "Megaselia posticata", "Megaselia prolongata", "Megaselia propior", "Megaselia pseudociliata", "Megaselia pseudopicta", "Megaselia pseudoscalaris", "Megaselia pulicaria", "Megaselia quadripunctata", "Campsicnemus rheocrenus", "Campsicnemus tahaanus", "Campsicnemus zigzag", "Campsicnemus tunoa", "Campsicnemus gladiator", "Campsicnemus aa", "Campsicnemus ee", "Campsicnemus ii", "Campsicnemus oo", "Campsicnemus uu", "Campsicnemus englundi", "Campsicnemus cheesmanae", "Campsicnemus dytei", "Campsicnemus plautus", "Campsicnemus hihiroa", "Campsicnemus taratara", "Campsicnemus tomkovichi", "Campsicnemus gloriamontis", "Ceratocombus plebejus", "Vanhornia leileri", "Vanhornia eucnemidarum", "Equus ovodovi", "Aenictus abeillei", "Aenictus alluaudi", "Aenictus ambiguus", "Aenictus anceps", "Aenictus annae", "Aenictus artipus", "Aenictus arya", "Aenictus asperivalvus", "Aenictus bakeri", "Aenictus bayoni", "Aenictus binghami", "Aenictus biroi", "Aenictus bottegoi", "Aenictus brazzai", "Aenictus brevicornis", "Aenictus buttelreepeni", "Aenictus buttgenbachi", "Hopea dryobalanoides", "Hopea dyeri", "Hopea iriana", "Hopea papuana", "Neobalanocarpus heimii", "Parashorea macrophylla", "Parashorea malaanonan", "Parashorea tomentella", "Arhopala epimuta", "Arhopala epimuta epiala", "Arhopala epimuta epimuta", "Shorea virescens", "Arhopala epimuta elsiei", "Shorea parvifolia", "Shorea pinanga", "Arhopala atosia", "Shorea scrobiculata", "Shorea assamica", "Shorea javanica", "Megaselia abdita", "Megaselia achatinae", "Megaselia afghana", "Megaselia agarici", "Megaselia albocingulata", "Megaselia aletiae", "Megaselia alsea", "Megaselia angulata", "Megaselia araneivora", "Megaselia aterrima", "Megaselia aurea", "Megaselia beyeri", "Megaselia bivesicata", "Megaselia breviciliata", "Megaselia bridarollii", "Megaselia brunneipennis", "Megaselia buxtoni", "Megaselia camariana", "Megaselia cavernicola", "Megaselia chlumetiae", "Megaselia cinereifrons", "Megaselia consetigera", "Megaselia copalina", "Megaselia costalis", "Megaselia crassitarsalis", "Megaselia curvicapilla", "Megaselia decipiens", "Megaselia decora", "Megaselia diana", "Aenictus rotundatus", "Aenictus rougieri", "Aenictus sagei", "Aenictus schneirlai", "Aenictus shuckardi", "Aenictus silvestrii", "Aenictus soudanicus", "Aenictus spathifer", "Aenictus steindachneri", "Aenictus sumatrensis", "Aenictus togoensis", "Aenictus trigonus", "Aenictus vagans", "Aenictus vaucheri", "Aenictus villiersi", "Aenictus weissi", "Aenictus westwoodi", "Aenictus wroughtonii", "Aenictus alticola", "Aenictus piercei", "Aenictus powersi", "Aenictus minutulus", "Aenictus latifemoratus", "Aenictus luzoni", "Aenictus hottai", "Aenictus camposi", "Aenictus asantei", "Campsicnemus aeptus", "Campsicnemus alaskensis", "Campsicnemus albitarsus", "Campsicnemus alexanderi", "Campsicnemus ambytylus", "Campsicnemus argyropterus", "Campsicnemus bicrenatus", "Campsicnemus biseta", "Campsicnemus brevitibia", "Campsicnemus brunnescens", "Campsicnemus camptoplax", "Campsicnemus capitulatus", "Campsicnemus carinatus", "Campsicnemus chauliopodus", "Campsicnemus clinotibia", "Campsicnemus coloradensis", "Campsicnemus comatus", "Campsicnemus compressus", "Campsicnemus coniculus", "Campsicnemus cracens", "Campsicnemus crassipes", "Campsicnemus crossotibia", "Campsicnemus crossotus", "Campsicnemus diamphidius", "Campsicnemus dicondylus", "Campsicnemus diffusus", "Campsicnemus disjunctus", "Campsicnemus distinctus", "Campsicnemus drymoscartes", "Campsicnemus ephydrus", "Campsicnemus exiguus", "Campsicnemus eximius", "Campsicnemus flavipes", "Campsicnemus fulvifacies", "Campsicnemus fusticulus", "Campsicnemus goniochaeta", "Megaselia quadriseta", "Megaselia rufipennis", "Megaselia sakaiae", "Megaselia sanguinea", "Megaselia saprophaga", "Megaselia semiferruginea", "Megaselia setacea", "Megaselia spinipleura", "Megaselia symondsi", "Megaselia tabida", "Megaselia termimycana", "Megaselia tomatoae", "Megaselia troglodytica", "Megaselia vestita", "Megaselia wickenensis", "Megaselia woodi", "Megaselia wuzhiensis", "Megaselia yatesi", "Megaselia aristolochiae", "Megaselia bisetalis", "Megaselia bruchiana", "Megaselia dennerti", "Megaselia holosericei", "Megaselia onis", "Megaselia polonica", "Megaselia prolixifurca", "Megaselia sextovittata", "Megaselia stackelbergi", "Megaselia sulphuriventris", "Megaselia tanypalpis", "Megaselia andrenae", "Megaselia neocorynurae", "Megaselia shiyiluae", "Megaselia sororbata", "Vateria indica", "Arhopala atosia aria", "Vatica odorata", "Vatica mangachapoi", "Arhopala atosia aricia", "Arhopala atosia atosia", "Arhopala atosia jahara", "Arhopala atosia malayana", "Mammillaria backebergiana", "Arhopala brillantina", "Mammillaria armillata", "Lomechusoides strumosus", "Pachycrepoideus vindemmiae", "Angularitermes coninasus", "Campsicnemus longitarsus", "Campsicnemus loripes", "Campsicnemus lucidus", "Campsicnemus lumbatus", "Campsicnemus macula", "Campsicnemus maculatus", "Campsicnemus magius", "Campsicnemus makua", "Campsicnemus mamillatus", "Campsicnemus mammiculatus", "Campsicnemus manaka", "Campsicnemus marginatus", "Campsicnemus maui", "Campsicnemus maukele", "Campsicnemus membranilobus", "Campsicnemus milleri", "Campsicnemus miritibialis", "Campsicnemus miser", "Campsicnemus montgomeryi", "Campsicnemus neoplatystylatus", "Campsicnemus nigricollis", "Campsicnemus nigripes", "Campsicnemus nigroanalis", "Campsicnemus obscuratus", "Campsicnemus obscurus", "Campsicnemus oedipus", "Campsicnemus olympicola", "Campsicnemus ornatus", "Campsicnemus pallidus", "Campsicnemus panini", "Campsicnemus paradoxus", "Campsicnemus patellifer", "Campsicnemus pe", "Campsicnemus penicillatoides", "Campsicnemus penicillatus", "Campsicnemus philoctetes", "Campsicnemus picticornis", "Campsicnemus planitibia", "Campsicnemus plautinus", "Campsicnemus polhemusi", "Campsicnemus puali", "Campsicnemus pumilio", "Campsicnemus pusillus", "Campsicnemus putillus", "Campsicnemus rectus", "Campsicnemus ridiculus", "Campsicnemus rufinus", "Campsicnemus scambus", "Campsicnemus scurra", "Campsicnemus simplicipes", "Campsicnemus simplicissimus", "Campsicnemus sinuatus", "Campsicnemus sinuosus", "Campsicnemus spuh", "Campsicnemus tarsiciliatus", "Campsicnemus thersites", "Campsicnemus tibialis", "Campsicnemus uha", "Campsicnemus ui", "Campsicnemus umbripennis", "Campsicnemus uncatus", "Campsicnemus uncleremus", "Campsicnemus unu", "Campsicnemus bellulus", "Campsicnemus bicirritus", "Campsicnemus bicoloripes", "Campsicnemus breviciliatus", "Campsicnemus brevipes", "Campsicnemus bryanti", "Campsicnemus bryophilus", "Campsicnemus caffer", "Campsicnemus calcaratus", "Campsicnemus calcaritarsus", "Campsicnemus charliechaplini", "Campsicnemus ciliatus", "Campsicnemus cinctipus", "Campsicnemus claudicans", "Campsicnemus compeditus", "Campsicnemus congregatus", "Campsicnemus contortus", "Campsicnemus crinitarsis", "Campsicnemus crinitibia", "Campsicnemus crispatus", "Campsicnemus curvipes", "Campsicnemus curvispina", "Campsicnemus darvazicus", "Campsicnemus dasycnemus", "Campsicnemus deficiens", "Campsicnemus degener", "Campsicnemus depauperatus", "Campsicnemus digitatus", "Campsicnemus distortipes", "Campsicnemus divergens", "Campsicnemus expansus", "Campsicnemus femoratus", "Campsicnemus ferrugineus", "Campsicnemus filipes", "Campsicnemus fimbriatus", "Campsicnemus finitimus", "Campsicnemus flexuosus", "Campsicnemus fragilis", "Campsicnemus fumipennis", "Campsicnemus furax", "Campsicnemus glaucus", "Campsicnemus gloriosus", "Campsicnemus grimshawi", "Campsicnemus haleakalaae", "Campsicnemus halidayi", "Campsicnemus halonae", "Campsicnemus elmoi", "Campsicnemus hirtipes", "Campsicnemus hispanicus", "Campsicnemus hoplitipodus", "Campsicnemus inermipes", "Campsicnemus intermittens", "Campsicnemus invaginatus", "Campsicnemus keokeo", "Campsicnemus kokokekuku", "Campsicnemus kuku", "Campsicnemus lantsovi", "Campsicnemus lawakua", "Campsicnemus limnobates", "Campsicnemus lipothrix", "Campsicnemus longiciliatus", "Campsicnemus longiquus", "Campsicnemus hawaiiensis", "Campsicnemus helvolus", "Campsicnemus hispidipes", "Campsicnemus hygrophilus", "Campsicnemus impariseta", "Campsicnemus inaequalis", "Campsicnemus indecorus", "Campsicnemus inornatus", "Campsicnemus insuetus", "Campsicnemus labilis", "Campsicnemus latipenna", "Campsicnemus lepidochaites", "Campsicnemus lineatus", "Campsicnemus longitibia", "Campsicnemus loxothrix", "Campsicnemus mediofloccus", "Campsicnemus melanus", "Campsicnemus modicus", "Campsicnemus montanus", "Campsicnemus mucronatus", "Campsicnemus mundulus", "Campsicnemus nambai", "Campsicnemus norops", "Campsicnemus oregonensis", "Campsicnemus paniculatus", "Campsicnemus parvulus", "Campsicnemus perplexus", "Campsicnemus petalicnemus", "Campsicnemus pherocteis", "Campsicnemus philohydratus", "Campsicnemus pilitarsis", "Campsicnemus platystylatus", "Campsicnemus profusus", "Campsicnemus pycnochaeta", "Campsicnemus restrictus", "Campsicnemus rhyphopus", "Campsicnemus sciarus", "Campsicnemus scolimerus", "Campsicnemus setiger", "Campsicnemus silvaticus", "Campsicnemus spinicoxa", "Campsicnemus terracola", "Campsicnemus truncatus", "Campsicnemus undulatus", "Campsicnemus unipunctatus", "Campsicnemus uniseta", "Campsicnemus utahensis", "Campsicnemus versicolorus", "Campsicnemus viridulus", "Campsicnemus vtorovi", "Campsicnemus yunnanensis", "Campsicnemus acuticornis", "Campsicnemus albicomus", "Campsicnemus alpinus", "Campsicnemus amana", "Campsicnemus americanus", "Campsicnemus amini", "Campsicnemus arcuatus", "Campsicnemus armatus", "Campsicnemus armoricanus", "Campsicnemus asterisk", "Campsicnemus atlanticus", "Campsicnemus aurilobus", "Campsicnemus barbitibia", "Neopolycystus insectifurax", "Aenictus nesiotis", "Aenictus turneri", "Prorhinotermes japonicus", "Campsicnemus mirabilis", "Campsicnemus hardyi", "Neotimyra senara", "Neotimyra milleri", "Neotimyra gyriola", "Begonia \u00d7 margaritacea", "Neotimyra nemoralis", "Neotimyra warkapiensis", "Strombiola papuana", "Oreta sambongsana", "Urbanus villus", "Urbanus longicaudus", "Urbanus parvus", "Pentaplaris davidsmithii", "Hylaeus perkinsianus", "Hylaeus perspicuus", "Hylaeus psammobius", "Hylaeus pubescens", "Hylaeus rugulosus", "Hylaeus satelles", "Hylaeus setosifrons", "Hylaeus simplex", "Hylaeus specularis", "Hylaeus sphecodoides", "Hylaeus unicus", "Hylaeus volatilis", "Hylaeus volcanicus", "Hylaeus dubitzkyi", "Hylaeus maetai", "Hylaeus insularum", "Hylaeus nippon", "Hylaeus noomen", "Hylaeus pectoralis", "Hylaeus floralis", "Hylaeus globulus", "Hylaeus matsumurai", "Polyacanthorhynchus kenyensis", "Polyacanthorhynchus caballeroi", "Polyacanthorhynchus macrorhynchus", "Polyacanthorhynchus rhopalorhynchus", "Abacarus pliszki", "Argyrosomus camafeus", "Milnesium zsalakoae", "Milnesium jacobi", "Dianthus giganteus", "Dianthus capitatus", "Dianthus pinifolius", "Dianthus cibrarius", "Hepialus sciophanes", "Eucosma guttulana", "Eucosma diabolana", "Orgyia leucostigma leucostigma", "Orgyia leucostigma sablensis", "Dianthus nihatii", "Dianthus robustus", "Arhopala lurida lurida", "Arhopala lurida boxheimeri", "Arhopala acta", "Arhopala asma", "Campsicnemus vafellus", "Campsicnemus vanduzeei", "Campsicnemus varipes", "Campsicnemus waialealeensis", "Campsicnemus wheeleri", "Campsicnemus williamsi", "Campsicnemus yangi", "Campsicnemus zimmermani", "Eucosma pulveratana", "Eucosma consobrinana", "Eucosma suadana", "Eucosma seamansi", "Eucosma sepiana", "Eucosma coconana", "Eucosma parapulveratana", "Eucosma navajoensis", "Eucosma floridensis", "Platanus gentryi", "Dipterocarpus alatus", "Dipterocarpus caudatus", "Dipterocarpus confertus", "Dipterocarpus crinitus", "Dipterocarpus gracilis", "Dipterocarpus grandiflorus", "Dipterocarpus hasseltii", "Dipterocarpus kerrii", "Dipterocarpus retusus", "Dipterocarpus zeylanicus", "Dipterocarpus costatus", "Dipterocarpus dyeri", "Dipterocarpus indicus", "Dipterocarpus intricatus", "Dipterocarpus lowii", "Dipterocarpus obtusifolius", "Dipterocarpus sublamellatus", "Dipterocarpus tuberculatus", "Dipterocarpus turbinatus", "Dryobalanops aromatica", "Dryobalanops beccarii", "Dryobalanops lanceolata", "Hopea acuminata", "Hopea beccariana", "Eucosma costastriata", "Eucosma mirosignata", "Hopea ferrea", "Hopea foxworthyi", "Eucosma mojaveana", "Hopea griffithii", "Hopea helferi", "Hopea mengarawan", "Hopea micrantha", "Hopea odorata", "Hopea pierrei", "Hopea sangal", "Hopea dasyrrhachis", "Arhopala lurida", "Silene regia", "Berrya cubensis", "Begonia angularis var. angularis", "Begonia angularis var. angustifolia", "Begonia grandis subsp. grandis", "Begonia grandis subsp. holostyla", "Akysis bilustris", "Onigocia sibogae", "Platycephalus grandisquamis", "Hylaeus andrenoides", "Hylaeus angustulus", "Hylaeus anomalus", "Hylaeus anthracinus", "Hylaeus assimulans", "Hylaeus chlorostictus", "Hylaeus coniceps", "Hylaeus connectens", "Hylaeus crabronoides", "Hylaeus difficilis", "Hylaeus dimidiatus", "Hylaeus dumetorum", "Hylaeus facilis", "Hylaeus filicum", "Hylaeus finitimus", "Hylaeus flavifrons", "Hylaeus flavipes", "Hylaeus fuscipennis", "Hylaeus haleakalae", "Hylaeus hilaris", "Hylaeus hirsutulus", "Hylaeus hostilis", "Hylaeus hula", "Hylaeus inquilina", "Hylaeus kauaiensis", "Hylaeus kona", "Hylaeus laetus", "Hylaeus longiceps", "Hylaeus mauiensis", "Hylaeus melanothrix", "Hylaeus muranus", "Hylaeus mutatus", "Hylaeus niloticus", "Hylaeus nivicola", "Hylaeus ombrias", "Hylaeus paradoxicus", "Hylaeus pele", "Catabenoides terminellus", "Arhopala bazalus teesta", "Catabenoides vitrina", "Catabenoides divisa", "Catabenoides seorsa", "Arhopala bazalus turbata", "Catabenoides terens", "Arhopala bazalus zalinda", "Catabenoides lazelli", "Begonia \u00d7 excelsior", "Acer hyrcanum subsp. intermedium", "Acer hyrcanum subsp. keckianum", "Perigea gloria", "Acer hyrcanum subsp. reginae-amaliae", "Acer hyrcanum subsp. sphaerocaryum", "Acer hyrcanum subsp. stevenii", "Acer hyrcanum subsp. tauricola", "Ferula elaeochytris", "Begonia \u00d7 intermedia", "Lapsana communis subsp. adenophora", "Lapsana communis subsp. macrocarpa", "Lapsana communis subsp. pisidica", "Lapsana communis subsp. pinnatisecta", "Lapsana communis subsp. communis", "Leontodon oxylepis", "Silene spergulifolia", "Arhopala bella", "Potentilla libanotica", "Dianthus akdaghensis", "Dianthus anatolicus", "Dianthus ancyrensis", "Dianthus biflorus", "Dianthus campestris", "Dianthus cinnamomeus", "Salvia modesta", "Dianthus cretaceus", "Dianthus crinitus", "Australorhynchus tetramorphacanthus", "Zugmayerella taringaturaensis", "Thaumastocoris peregrinus", "Galaxias maculatus", "Aspersentis peltorhamphi", "Micracanthorhynchina hemirhamphi", "Rhadinorhynchus terebra", "Plagiorhynchus allisonae", "Pomphorhynchus turbinella", "Bolbosoma balaena", "Bolbosoma physeteris", "Bolbosoma turbinellum", "Bolbosoma vasculosum", "Corynosoma australe", "Corynosoma bullosum", "Corynosoma clavatum", "Corynosoma hannae", "Corynosoma pseudohammani", "Corynosoma semerme", "Corynosoma shackletoni", "Pyrausta nigrimaculata", "Torodora longilobella", "Torodora lineata", "Torodora epicharis", "Torodora aritai", "Torodora chumphonica", "Torodora pentagona", "Begonia \u00d7 ornata", "Trichadenotecnum circularoides", "Ptycta enderleini", "Arhopala horsfieldi basiviridis", "Aspersentis minor", "Escarpia southwardae", "Stenolemus giraffa", "Stenolemus fraterculus", "Ptycta colei", "Ptycta freycineti", "Ptycta pallawahensis", "Danio margaritatus", "Danio erythromicron", "Scorzonera karabelensis", "Arhopala eridanus davalma", "Neocopytus rarus", "Neocopytus impudicus", "Mercurialis ovata", "Agonopterix costaemaculella", "Neocopytus cylindricus", "Pammene agnotana", "Pammene albuginana", "Pammene amygdalana", "Pammene argyrana", "Pammene aurita", "Athetis hoengshana", "Athetis simplex", "Athetis orthosioides", "Athetis eupsilioides", "Puperita pupa", "Stygia nilssoni", "Begonia \u00d7 erici-magni", "Novuncaria nanophyti", "Furcuncaria fasciata", "Belophora astragali", "Begonia \u00d7 carminata", "Begonia \u00d7 credneri", "Euphorbia amygdaloides subsp. amygdaloides", "Euphorbia meuselii", "Begonia \u00d7 richardii", "Begonia \u00d7 margaritae", "Begonia \u00d7 viaudii", "Euglossa aurantia", "Aulocalyx australis", "Farrea occa", "Auloplax breviscopulata", "Auloplax sonnae", "Sclerothamnopsis compressa", "Arhopala singla", "Arhopala staudingeri castagnedi", "Cladonia vulcanica", "Cladonia squamosissima", "Arhopala tameanga", "Cladonia corymbites", "Cladonia delavayi", "Danio choprae", "Cladonia gonggaensis", "Cladonia gymnopoda", "Arhopala horsfieldi eurysthenes", "Trisuloides catocalina", "Trisuloides sericea", "Trisuloides sericea sericea", "Arhopala horsfieldi serpa", "Trisuloides sericea hawkeri", "Trisuloides sericea trigonoleuca", "Trisuloides papuensis", "Trisuloides taiwana", "Trisuloides rotundipennis", "Arhopala irma", "Arhopala irma irma", "Arhopala irma purpura", "Begonia \u00d7 duchartrei", "Arhopala nobilis", "Begonia \u00d7 coronata", "Arhopala nobilis alce", "Arhopala nobilis alcestis", "Arhopala nobilis bosnikiana", "Arhopala nobilis nobilis", "Arhopala overdijkinki", "Arhopala overdijkinki overdijkinki", "Arhopala overdijkinki unda", "Amphiglossus alluaudi", "Amphiglossus andranovahensis", "Lasioglossum arantium", "Lasioglossum ascheri", "Lasioglossum batya", "Lasioglossum curculum", "Lasioglossum furunculum", "Lasioglossum georgeickworti", "Lasioglossum gotham", "Lasioglossum izawsum", "Lasioglossum katherineae", "Lasioglossum rozeni", "Lasioglossum trigeminum", "Lasioglossum smilacinae", "Stenosoma stephenseni", "Quexua cicra", "Ateleute ferruginea", "Ateleute zixiensis", "Polychrus jacquelinae", "Cladonia laii", "Cladonia leprocephala", "Cladonia luzonensis", "Cladonia phyllopoda", "Arhopala wildei", "Arhopala wildei neva", "Arhopala wildei soda", "Arhopala wildei wildei", "Arhopala fulla", "Sciomesa gnosia", "Cladonia rangiferina subsp. grisea", "Arhopala fulla andamanica", "Dayao pengzhongi", "Cytherella ponderosa", "Cytherella joalensis", "Longidorus carniolensis", "Longidorus orongorongensis", "Leioproctus rosellae", "Dianthus cruentus", "Dianthus cyri", "Dianthus eldivenus", "Dianthus eretmopetalus", "Dianthus freynii", "Dianthus furcatus", "Dianthus glacialis", "Dianthus goerkii", "Hypsugo lanzai", "Dianthus zederbaueri", "Dianthus gracilis", "Dianthus graniticus", "Dianthus gratianopolitanus", "Dianthus haematocalyx", "Dianthus inamoenus", "Dianthus ingoldbyi", "Dianthus knappii", "Dianthus lactiflorus", "Dianthus leptopetalus", "Dianthus leucophaeus", "Dianthus microlepis", "Arhopala corinda", "Dianthus multicaulis", "Dianthus myrtinervius", "Dianthus nardiformis", "Dianthus orientalis", "Dianthus pallens", "Dianthus pavonius", "Dianthus petraeus", "Dianthus plumarius", "Dianthus plumbeus", "Arhopala corinda acestes", "Dianthus siphonocalyx", "Dianthus spiculifolius", "Dianthus strictus", "Arhopala corinda corestes", "Arhopala corinda corinda", "Arhopala critala", "Begonia \u00d7 tuberhybrida", "Trachyleberis ikeyai", "Silene latifolia subsp. latifolia", "Silene latifolia subsp. mariziana", "Silene euxina", "Aseroe rubra", "Arhopala eumolphus", "Bryelmis idahoensis", "Bryelmis rivularis", "Bryelmis siskiyou", "Anthrenus pulaskii", "Anthrenus aegyptiacus", "Anthrenus albonotatus", "Anthrenus amoenulus", "Anthrenus buettikeri", "Anthrenus ceylonicus", "Anthrenus debilis", "Anthrenus difficilis", "Anthrenus distinctus", "Anthrenus endroedyi", "Anthrenus fernandezi", "Anthrenus guineaensis", "Anthrenus ineptus", "Anthrenus israelicus", "Anthrenus jordanicus", "Anthrenus kejvali", "Anthrenus klapperichi", "Anthrenus malkini", "Anthrenus minor", "Anthrenus occultus", "Anthrenus omoi", "Anthrenus poggii", "Anthrenus pulchellus", "Anthrenus sarnicus", "Anthrenus semenovi", "Anthrenus umbellatarum", "Anthrenus wittmeri", "Anthrenus jelineki", "Hymenolepis diminuta", "Arhopala pagenstecheri", "Acerophagus artelles", "Dysmicoccus grassii", "Acerophagus pudongensis", "Acerophagus maculipennis", "Mecampsis cinctifemur", "Mecampsis insolita", "Mecampsis pindapoiensis", "Mecampsis laconia", "Kaindipsocus emarginatus", "Kaindipsocus marksae", "Kaindipsocus mixtus", "Kaindipsocus splendidus", "Euryplegma auriculare", "Ptycta umbrata", "Clematostigma lunulata", "Clematostigma maculiceps", "Clematostigma striata", "Clematostigma vinctum", "Cycetes collessi", "Sigmatoneura formosa", "Psocidus irroratus", "Psocidus parilla", "Psocidus mouldsi", "Heliconius atthis", "Neoaulocystis cristata", "Lathraea squamaria", "Salvia verticillata subsp. amasiaca", "Salvia verticillata subsp. verticillata", "Mictopsichia misahuallia", "Mictopsichia chirripoana", "Rubropsichia kartaboana", "Chamaepsichia cetonia", "Chamaepsichia chitonregis", "Barilius caudiocellatus", "Barilius canarensis", "Daphne glomerata", "Agonopterix likiangella", "Agonopterix ventrangulata", "Agonopterix hoenei", "Agonopterix leptota", "Agonopterix burmana", "Aphrocallistes beatrix", "Conorete gordoni", "Gymnorete pacificum", "Gymnorete stabulatum", "Lefroyella ceramensis", "Periphragella elisae", "Psilocalyx wilsoni", "Hexactinella acanthacea", "Hexactinella aurea", "Hexactinella simplex", "Anomochone furcata", "Anomochone expansa", "Chonelasma australe", "Chonelasma glaciale", "Chonelasma biscopulatum", "Chonelasma chathamense", "Chonelasma lamella", "Chonelasma hamatum", "Farrea ananchorata", "Farrea anoxyhexastera", "Farrea onychohexastera", "Farrea medusiforma", "Farrea raoulensis", "Farrea similaris", "Eurete simplissima", "Pararete farreopsis", "Arhopala fulla babsi", "Conicofrontia dallolmoi", "Conicofrontia diamesa", "Conicofrontia sesamoides", "Poecopa mediopuncta", "Tridentifrons insularis", "Sciomesa bua", "Sciomesa mesophaea", "Arhopala fulla canulia", "Arhopala fulla fulla", "Sciomesa excelsa", "Torodora moriyasu", "Torodora sagmaria", "Torodora chiangdoica", "Torodora pegasana", "Torodora parotidosa", "Torodora flavescens", "Holcocera malikuli", "Holcocera albafaciella", "Holcocera moriutii", "Holcocera albafasciata", "Autosticha suwonensis", "Autosticha lushanensis", "Autosticha pentagona", "Trachyleberis scabrocuneata", "Heteropoda davidbowie", "Cytherella eburnea", "Arhopala eumolphus adonias", "Arhopala eumolphus aristomachus", "Arhopala eumolphus eumolphus", "Arhopala eumolphus maxwelli", "Arhopala florinda", "Arhopala halma", "Arhopala halmaheira", "Arhopala hellenore", "Arhopala hellenore hellenore", "Arhopala hellenore siroes", "Neocopytus novaezealandiae", "Neocopytus boomeri", "Biston mediolata", "Gastroserica nigrofasciata", "Gastroserica yunnanensis", "Ptycta australis", "Ptycta campbelli", "Ptycta cornigera", "Ptycta emarginata", "Ptycta glossoptera", "Ptycta hollowayae", "Ptycta improcera", "Ptycta longipennis", "Ptycta muogamarra", "Ptycta picta", "Ptycta prosta", "Arhopala fulla ignara", "Sciomesa venata", "Sciomesa scotochroa", "Arhopala fulla intaca", "Arhopala fulla santa", "Sciomesa boulardi", "Sciomesa renibifida", "Sciomesa punctipennis", "Hibiscus trilobus", "Hibiscus sect.", "Pelargonium ternatum", "Coenogonium barbatellum", "Coenogonium coralloideum", "Coenogonium davidii", "Coenogonium flavicans", "Coenogonium minutissimum", "Coenogonium platysporum", "Pelargonium patulum", "Pelargonium patulum var. patulum", "Pelargonium patulum var. grandiflorum", "Pelargonium tabulare", "Pelargonium ribifolium", "Beclardia macrostachya", "Angraecopsis parviflora", "Pelargonium hirtum", "Angraecopsis tenerrima", "Naarda melanommoides", "Angraecum borbonicum", "Idia undulilinea", "Angraecum viridiflorum", "Cryptopus elatus", "Jumellea rossii", "Benthamia nigrescens", "Arhopala disparilis", "Cryptopus paniculatus", "Holothrix villosa", "Arhopala aberrans", "Arhopala ammon", "Arhopala ammon sarawaca", "Arhopala ammon ammon", "Masamithrips masamii", "Arhopala ammonides", "Oscarella lobularis", "Pseudoconcha bucculenta", "Plakina monolopha", "Plakina trilopha", "Pseudoconcha omatsolai", "Oscarella stillans", "Pseudoconcha hartmanni", "Oscarella nigraviolacea", "Hexactinella carolinensis", "Anthrenus kadeji", "Anthrenus paraclaviger", "Anthrenus coloratus", "Triebelina indopacifica", "Triebelina intermedia", "Passiflora supersect.", "Arhopala ammonides bowringi", "Arhopala ammonides ammonides", "Arhopala ammonides chunsu", "Arhopala ammonides elira", "Arhopala ammonides kalabakana", "Arhopala ammonides monava", "Arhopala apurpurosa", "Arhopala ariel", "Arhopala birmana", "Arhopala birmana asakurae", "Arhopala birmana birmana", "Arhopala elizabethae", "Atlides browni", "Atlides browni centralis", "Aeolosaurus maximus", "Opistognathus albicaudatus", "Clathria aculeofila", "Gymnochanda verae", "Tanacetum armenum", "Elachista catalana", "Elachista modesta", "Elachista liskai", "Elachista vulcana", "Scolizona rhinoceros", "Trachylepis perrotetii", "Scolizona ulnaformis", "Scolizona palinoides", "Gunungodes ilsa", "Gunungodes zhengi", "Semicytherura duracina", "Collema actinoptychum", "Collema glaucophthalmum", "Collema implicatum", "Collema insulare", "Collema japonicum", "Collema laeve", "Collema leucocarpum", "Collema quadriloculare", "Collema rugosum", "Collema subconveniens", "Collema laeve var. laeve", "Philodendron subsect.", "Philodendron verrucosum", "Damasonium alisma", "Damasonium minus", "Prophaenognatha robusta", "Monocercops resplendens", "Monocercops nepalensis", "Monocercops thoi", "Monocercops triangulata", "Dekeidoryxis asynacta", "Dekeidoryxis maesae", "Dekeidoryxis khooi", "Promalactis rostriformis", "Promalactis fascispinata", "Promalactis apicisetifera", "Arhopala ganesa", "Acanthonitis bouyeri", "Agamopus unguicularis", "Leptocythere culpata", "Sphecomyrma canadensis", "Sphecomyrma freyi", "Homalomena rubescens", "Megaselia basiturgida", "Megaselia depililobulus", "Megaselia pallidivanus", "Megaselia trochimczuki", "Megaselia nigricia", "Kheper kalaharicus", "Versicorpus erongoensis", "Homalomena sect.", "Acrapex abbayei", "Acrapex acuminata", "Acrapex aenigma", "Acrapex albicostata", "Acrapex albivena", "Acrapex apexangula", "Acrapex apicestriata", "Acrapex atriceps", "Acrapex ausseili", "Acrapex azumai", "Acrapex biroseata", "Acrapex breviptera", "Acrapex brunnea", "Acrapex brunneolimbata", "Acrapex bryae", "Acrapex carnea", "Acrapex concolorana", "Acrapex cuprescens", "Acrapex curvata", "Acrapex dallolmoi", "Acrapex exanimis", "Acrapex fayei", "Acrapex exsanguis", "Platolenes hydrophiloides", "Platolenes zelandicus", "Nicotiana noctiflora var. noctiflora", "Nicotiana noctiflora var. albiflora", "Onthophagus statzi", "Onthophagus urusheeri", "Onthophagus bisontinus", "Onthophagus crassus", "Onthophagus prodromus", "Onthophagus ovatulus", "Onthophagus everestae", "Onthophagus luteus", "Onthophagus brittoni", "Onthophagus mankonoensis", "Onthophagus masaoi", "Onthophagus nigrivestis", "Onthophagus muelleri", "Onthophagus stomachosus", "Arhopala ganesa watsoni", "Dasygnathus dejeani", "Helanthium tenellum", "Echinodorus berteroi", "Echinodorus cordifolius", "Arhopala paraganesa dusunensis", "Arhopala paraganesa hammon", "Arhopala paraganesa mendava", "Arhopala paraganesa zephyretta", "Arhopala weelii", "Aceria argentae", "Pseudococcus viburni", "Caccobius seminulum", "Tetrapolipus anoplophorae", "Abacetus grandis", "Onthophagus witteianus", "Belciades sittanae", "Belciades cyana", "Belciades cyanobrunnea", "Alika typica", "Amefrontia purpurea", "Collemopsidium heardense", "Altiplania inornata", "Collemopsidium montanum", "Altiplania luetscheri", "Altiplania maculata", "Allotria elonympha", "Allophyes albithorax", "Allophyes benedictina", "Allophyes asiatica", "Calybites hauderi", "Calybites lepidella", "Calybites phasianipennella", "Calybites quadrisignella", "Calybites securinella", "Calybites trimaculata", "Chilocampyla dyariella", "Chilocampyla psidiella", "Caccobius excavatus", "Caccobius bawangensis", "Arhopala leo", "Conopobathra carbunculata", "Conopobathra gravissima", "Conopobathra geraea", "Conopobathra plethorhabda", "Conopomorpha antimacha", "Conopomorpha chionochtha", "Conopomorpha habrodes", "Conopomorpha heliopla", "Conopomorpha zaplaca", "Conopomorpha cyanospila", "Conopomorpha fustigera", "Conopomorpha cramerella", "Conopomorpha chionosoma", "Conopomorpha euphanes", "Conopomorpha litchiella", "Conopomorpha oceanica", "Conopomorpha sinensis", "Conopomorphina aptata", "Conopomorphina gypsochroma", "Conopomorphina ochnivora", "Corethrovalva allophylina", "Corethrovalva goniosema", "Corethrovalva paraplesia", "Nicotiana tomentosa var. tomentosa", "Nicotiana tomentosa var. leguiana", "Coniocybe furfuracea", "Coniocybe ochrocephala", "Coniocybe rhodocephala", "Barutus hartmanni", "Stigmaeus ueckermanni", "Nosferatumyia no", "Agnitrena igniceps", "Arhopala hercules stymphelus", "Arhopala hercules hercules", "Eulepida anatina", "Eulepida baumanni", "Eulepida flavovestita", "Eulepida gracilipes", "Eulepida kameruna", "Eulepida kenyensis", "Eulepida lepidota", "Eulepida mamboiae", "Eulepida manowensis", "Eulepida mashona", "Eulepida minor", "Eulepida montana", "Eulepida nitidicollis", "Eulepida nyassica", "Eulepida oberthuri", "Eulepida reichei", "Eulepida sinuatifrons", "Eulepida tschindeana", "Eulepida werneri", "Eulepida zambiensis", "Arhopala herculina", "Promalactis hainanensis", "Promalactis tauricornis", "Promalactis clavata", "Promalactis lunularis", "Promalactis carinata", "Promalactis serrata", "Promalactis uncignatha", "Promalactis jezonica", "Promalactis multimaculella", "Promalactis semantris", "Promalactis simplex", "Athetis tridentata", "Athetis linzhi", "Athetis flavicolor", "Athetis biserrata", "Athetis minivalva", "Athetis longiharpe", "Athetis bicornuta", "Athetis furcatula", "Elofsonia baltica", "Elofsonia pusilla", "Xanthosoma helleborifolium", "Xanthosoma platylobum", "Xanthosoma pubescens", "Xanthosoma sagittifolium", "Arhopala hercules", "Collema complanatum", "Collema peregrinum", "Collema shiroumanum", "Xanthosoma striatipes", "Xanthosoma striolatum", "Uca dussumieri", "Uca pugnax", "Aceria pulicaris", "Aculus medicager", "Conotremopsis weberiana", "Dactylosternum marginale", "Dactylosternum dytiscoides", "Dactylosternum circumcinctum", "Dactylosternum kanakorum", "Dactylosternum auripes", "Dactylosternum helleri", "Dactylosternum montaguei", "Cryptoscenea australiensis", "Cresponea litoralis", "Euselasia eucritus", "Euselasia eucritus eucritus", "Prolixocupes lobiceps", "Rhipsideigma adjuncta", "Rhipsideigma anosibense", "Rhipsideigma cretaceotinctus", "Rhipsideigma lugubris", "Rhipsideigma raffrayi", "Kovalevskiella turianensis", "Kovalevskiella dani", "Dubinectes infirmus", "Titanoeca lehtineni", "Crypthonia athertoniensis", "Crypthonia mycelioides", "Pinacopodius praestolatus", "Crypthonia palaeotropica", "Neurogalesus carinatus", "Neurogalesus militis", "Lampetra pacifica", "Nebalia mortoni", "Neurogalesus carinatifrons", "Neurogalesus dissimilis", "Neurogalesus emargipennis", "Neurogalesus faunus", "Neurogalesus grandis", "Neurogalesus hackeri", "Neurogalesus lativentris", "Neurogalesus rubripes", "Meximachilis dampfi", "Wambo puticasus", "Spodochlamys poultoni", "Melissodes cestus", "Melissodes colliciata", "Melissodes cubensis", "Melissodes flexa", "Cryptologa nystalea", "Cryptolectica capnodecta", "Cryptolectica chrysalis", "Cryptolectica ensiformis", "Cryptolectica euryphanta", "Cryptolectica monodecta", "Cryptolectica pasaniae", "Cupedia cupediella", "Cuphodes didymosticha", "Cuphodes diospyri", "Cuphodes dolichocera", "Cuphodes leucocera", "Cuphodes habrophanes", "Cuphodes wisteriella", "Cuphodes diospyrosella", "Cryptothecia eungellaeae", "Cryptothecia irregularis", "Leptocythere munda", "Leptocythere alatiensis", "Leptocythere alatiensis sola", "Melissodes foxi", "Leptocythere gnara arta", "Lineocypris perfida", "Poeonoma similis", "Poeonoma acantha", "Calystegia tuguriorum", "Calystegia truncatella", "Calystegia marginata", "Andinobates fulguritus", "Siagona taggadertensis", "Thyranthrene capensis", "Thyranthrene xhosarum", "Hibiscus sect.", "Megophrys megacephala", "Phyllospadix scouleri", "Phyllospadix serrulatus", "Phyllospadix torreyi", "Hibiscus striatus subsp. striatus", "Oedipina koehleri", "Phyllospadix juzepczukii", "Phyllospadix japonicus", "Phyllospadix iwatensis", "Brathinus satoi", "Nodynus kasaharai", "Trigonurus ruzickai", "Trigonurus sichuanicus", "Erinnyis pallida", "Hypostomus cochliodon", "Euprox altus", "Megavirus chilensis", "Gobicricetodon filippovi", "Funiculus asbestinus", "Funiculus coriaceus", "Funiculus debilis", "Funiculus delavayanus", "Funiculus laurentianus", "Funiculus probatus", "Funiculus songi", "Liaoxientulus xingchengensis", "Euphrasia nemorosa", "Mammillaria aureilanata", "Cypris reptans", "Phytolacca subg.", "Phytolacca sect.", "Rothschildia amoena", "Rothschildia arethusa", "Rothschildia anikae", "Rothschildia interaricia", "Cythere inopinata", "Rhododendron \u00d7 aprilis", "Titaea tamerlan", "Titaea tamerlan tamerlan", "Titaea tamerlan amazonensis", "Titaea tamerlan nobilis", "Titaea tamerlan guayaquilensis", "Aclopus brunneus", "Aclopus intermedius", "Aclopus parvulus", "Aclopus robustus", "Aclopus vittatus", "Aclopus wuenschei", "Amarygmus longulus", "Amarygmus lovisae", "Amarygmus optatus", "Amarygmus procerus", "Amarygmus promiscuus", "Amarygmus unicolor", "Amarygmus yunnanensis", "Amarygmus brandti", "Amarygmus brevicerus", "Amarygmus cassius", "Amarygmus contractus", "Amarygmus falsarius", "Amarygmus infantilis", "Amarygmus neophytus", "Amarygmus pronus", "Amarygmus protibialis", "Amarygmus sekerkai", "Amarygmus sinakensis", "Amarygmus tapiniensis", "Amarygmus ullrichi", "Amarygmus accumbens", "Amarygmus decens", "Amphicoma lalashanensis", "Amphicoma graeca", "Amphicoma aemiliana", "Amphicoma binaghii", "Amphicoma marginata", "Amphicoma floriani", "Amphicoma abdominalis", "Mizotrechus batesi", "Mizotrechus bellorum", "Mizotrechus belvedere", "Mizotrechus brulei", "Mizotrechus chontalesensis", "Mizotrechus costaricensis", "Mizotrechus dalensi", "Mizotrechus edithpiafae", "Mizotrechus fortunensis", "Mizotrechus gorgona", "Mizotrechus grossus", "Mizotrechus jefe", "Mizotrechus marielaforetae", "Mizotrechus minutus", "Mizotrechus neblinensis", "Mizotrechus woldai", "Mizotrechus poirieri", "Mizotrechus novemstriatus", "Zostera novazelandica", "Zostera muelleri", "Zostera mucronata", "Zostera japonica", "Zostera capricorni", "Mammillaria albicoma", "Epinephelus malabaricus", "Ambulyx dohertyi", "Amarygmus egregius", "Amarygmus acerbus", "Amarygmus adelphus", "Amarygmus agnatus", "Amarygmus amoenus", "Amarygmus astutus", "Amarygmus botryitidis", "Amarygmus coruscus", "Amarygmus danumensis", "Amarygmus dispensatus", "Amarygmus distinguens", "Amarygmus filiastra", "Amarygmus floreni", "Amarygmus gilvicornis", "Amarygmus gnomus", "Amarygmus hongi", "Amarygmus inermis", "Amarygmus infans", "Amarygmus intermedius", "Amarygmus invenustus", "Amarygmus lautus", "Amarygmus makiharai", "Amarygmus miser", "Amarygmus morpheus", "Amarygmus neglectus", "Amarygmus nepenthes", "Amarygmus pallidior", "Amarygmus pullus", "Amarygmus seductus", "Amarygmus semotus", "Amarygmus seponens", "Amarygmus zynthiae", "Amarygmus verecundus", "Amarygmus lawrenci", "Amarygmus masumoto", "Ichthyophis davidi", "Ranitomeya toraro", "Diaphorographis queenslandica", "Andinobates abditus", "Rhododendron \u00d7 laetitiae", "Titaea lemoulti", "Titaea orsinome", "Titaea timur", "Rhododendron \u00d7 seymouri", "Diphyllostoma fimbriata", "Diphyllostoma linsleyi", "Diphyllostoma nigricollis", "Costelytra austrobrunnea", "Costelytra macrobrunnea", "Costelytra piceobrunnea", "Costelytra pseudobrunnea", "Collema laeve var. senecione", "Semicytherura nigrescens", "Collema quadriloculare var. quadriloculare", "Semicytherura acuticostata", "Semicytherura sella", "Semicytherura striata", "Semicytherura undata", "Collema quadriloculare var. tasmaniae", "Semicytherura angulata", "Arhopala ganesa ganesa", "Arhopala ganesa loomisi", "Arhopala ganesa seminigra", "Philodendron subg.", "Thaumatophyllum williamsii", "Thaumatophyllum bipinnatifidum", "Lysichiton \u00d7 hortensis", "Damasonium californicum", "Zostera angustifolia", "Zostera chilensis", "Zostera nigricaulis", "Zostera polychlamys", "Zostera tasmanica", "Neophaenognatha capella", "Neophaenognatha jenseni", "Neophaenognatha minor", "Neophaenognatha richteri", "Copaxa expandens expandens", "Copaxa expandens brunneocaeca", "Arhopala allata", "Arhopala khamti", "Mortonagrion indraneil", "Arhopala oenea", "Limnocythere inopinata", "Arhopala allata atarana", "Arhopala allata allata", "Arhopala allata evandra", "Arhopala allata pambihira", "Arhopala allata pandora", "Arhopala allata suffusa", "Trichophya huttoni", "Cylindroleberis mariae", "Trichophya piankou", "Trichophya tenuis", "Trichophya uenoi", "Trichophya antennalis", "Trichophya japonica", "Trichophya kashmirica", "Trichophya kurosawai", "Trichophya obsoleta", "Trichophya turcica", "Trichophya punctata", "Trichophya rudis", "Trichophya andrewesi", "Trichophya lativentris", "Trichophya minuta", "Trichophya texana", "Rhododendron \u00d7 taylori", "Rhododendron \u00d7 standishii", "Megarthrus andinus", "Cyphosticha pyrochroma", "Cyphosticha panconita", "Cyphosticha pandoxa", "Dendrorycter marmaroides", "Deoptilia heptadeta", "Deoptilia syrista", "Dysectopa scalifera", "Arhopala arvina", "Arhopala arvina aboe", "Arhopala arvina adalitas", "Arhopala arvina ardea", "Arhopala arvina arvina", "Gastrotheca nebulanastes", "Callulina meteora", "Pseudaeginella montoucheti", "Chucallis latusigladius", "Arsenura ponderosa ponderosa", "Arsenura ponderosa yungasensis", "Malawisaurus dixeyi", "Arsenura yungascymonia", "Arsenura altocymonia", "Arsenura kaechi", "Arsenura paraorbygnyana", "Arsenura sylla sylla", "Arsenura sylla winbrechlini", "Copaxa rudloffi", "Copaxa pararufinans", "Copaxa yungescens", "Copaxa yungaskoenigoides", "Rhododendron subsect.", "Copaxa conlani", "Copaxa wernermeisteri", "Copaxa kitchingi", "Copaxa vanschaycki", "Copaxa mielkeorum", "Copaxa madrediosiana", "Copaxa pascoandensis", "Copaxa cuscoandensis", "Copaxa yungaspandens", "Copaxa cuscoexpandens", "Copaxa satipoexpandens", "Copaxa lavenderoguatemalensis", "Copaxa chrisbrechlinae", "Copaxa lavenderohidalgensis", "Copaxa lavenderojaliscensis", "Copaxa parvohidalgensis", "Copaxa rufijaliscensis", "Rhododendron \u00d7 tyermanii", "Copaxa rufimichoacanensis", "Copaxa australoescalantei", "Copaxa garciorum", "Copaxa sinjaevi", "Copaxa anikae", "Rhododendron \u00d7 victorianum", "Copaxa flavina", "Copaxa flavina flavina", "Copaxa flavina miranda", "Copaxa intermediata", "Arhopala sophilus", "Copaxa bachuea", "Arhopala tyrannus", "Copaxa flavobrunnea", "Copaxa expandens", "Oedichirus mahasoa", "Oedichirus malalaka", "Oedichirus manarivo", "Oedichirus mavo", "Oedichirus miskoi", "Oedichirus moraveci", "Oedichirus radama", "Oedichirus ranavalona", "Oedichirus ranomafanus", "Oedichirus uhligi", "Oedichirus vaovao", "Oedichirus vohitrosa", "Pericompsus striatopunctatus", "Pogonoglossus danielsi", "Schuelea monstrosa", "Schuelea drumonti", "Schuelea arfakensis", "Ephelidium heardense", "Arhopala comica", "Arhopala curiosa", "Adelphagrotis indeterminata", "Arhopala dodonaea", "Adelphagrotis quarta", "Adelphagrotis stellaris", "Arhopala paralea", "Arhopala paramuta", "Stigmella fasciata", "Cuphodes plexigrapha", "Cuphodes profluens", "Cuphodes lithographa", "Cuphodes melanostola", "Cuphodes paragrapta", "Cuphodes thysanota", "Erinnyis stheno", "Cuphodes tridora", "Cuphodes holoteles", "Cuphodes lechriotoma", "Cuphodes niphadias", "Cuphodes zophopasta", "Cuphodes maculosa", "Cyphosticha acrolitha", "Cyphosticha pterocola", "Cyphosticha albomarginata", "Cyphosticha callimacha", "Cyphosticha dialeuca", "Cyphosticha microta", "Boloria purpurea", "Chazara eitschbergeri", "Rhododendron subsect.", "Rhododendron \u00d7 werei", "Rhododendron \u00d7 sesterianum", "Rhododendron \u00d7 salmoneum", "Rhododendron \u00d7 rovellii", "Megarthrus auricola", "Megarthrus primus", "Megarthrus coreanus", "Syneches bezzii", "Syneches insolitus", "Syneches meijerei", "Syneches yangi", "Megarthrus uhligi", "Megarthrus wollastoni", "Megarthrus zekorum", "Megarthrus zerchei", "Atrichonotus convexifrons", "Atrichonotus marginatus", "Atrichonotus obscurus", "Atrichonotus pacificus", "Atrichonotus whiteheadi", "Trigonurus bruzasi", "Trigonurus crotchii", "Trigonurus edwardsi", "Trigonurus rugosus", "Trigonurus sharpi", "Rapetosaurus krausei", "Agaricus haematosarcus", "Ambulyx celebensis celebensis", "Ambulyx celebensis banggaiensis", "Ambulyx dohertyi dohertyi", "Ambulyx dohertyi novobrittanica", "Ambulyx dohertyi novoirlandensis", "Salassa kitchingi", "Salassa meisteri", "Arhopala buddha", "Arhopala buddha cooperi", "Arhopala buddha whiteheadi", "Arhopala buddha buddha", "Cytherella arostrata", "Cytherella harpago", "Cytherella pandora", "Oedichirus ampamoho", "Oedichirus andringitra", "Oedichirus antitra", "Oedichirus balarombe", "Oedichirus betsileo", "Oedichirus bonibona", "Oedichirus bulirschi", "Oedichirus carolinorum", "Oedichirus didyanus", "Oedichirus dunayi", "Oedichirus epiphyticola", "Oedichirus fitorahana", "Oedichirus haribe", "Oedichirus janae", "Oedichirus jenisi", "Oedichirus kalamba", "Oedichirus lecoqi", "Oedichirus mafana", "Uranoscopus dollfusi", "Eugeniella micrommata", "Uranoscopus sulphureus", "Micrathena cyanospina", "Aphanius farsicus", "Amarygmus propius", "Amarygmus ardoini", "Amarygmus assimilis", "Rhododendron \u00d7 kewense", "Rhododendron \u00d7 loderi", "Rhododendron subsect.", "Arhopala paramuta horishana", "Arhopala paramuta paramuta", "Arhopala rama", "Arhopala rama ramosa", "Arhopala rama rama", "Fellhaneropsis pallidonigrans", "Rhododendron \u00d7 manglesii", "Polistes olivaceus", "Rhododendron \u00d7 halopeanum", "Polistes chinensis", "Amarygmus blairi", "Amarygmus blanchardi", "Amarygmus breviculus", "Rhododendron \u00d7 gauntlettii", "Amarygmus vietnamicus", "Amarygmus sundaensis", "Amarygmus subtilis", "Amarygmus socius", "Microlestodes occidentalis", "Oedichirus analis", "Oedichirus andapanus", "Oedichirus angavokeliensis", "Oedichirus anosibensis", "Oedichirus anosyanus", "Oedichirus anularis", "Oedichirus appendiculatus", "Oedichirus balazuci", "Oedichirus bertiae", "Catacantha evitae", "Catacantha juliae", "Catacantha nataliae", "Catacantha sofiae", "Catacantha siriae", "Catacantha tabeae", "Rhodinia silkae", "Attacus paukstadtorum", "Cyana aurorae", "Cyana cernyi", "Cyana consequenta", "Cyana curioi", "Cyana ibabaoae", "Cyana rubrifinis", "Periphoba aurata", "Periphoba courtini", "Periphoba diasi", "Periphoba attali", "Attacus lemairei", "Attacus paraliae", "Endocena informis", "Elachista occulta", "Elachista maculata", "Elachista sicula", "Elachista exigua", "Elachista vegliae", "Elachista kalki", "Elachista nevadensis", "Elachista parvula", "Elachista differens", "Elachista szocsi", "Chusaris typomelas", "Malotia hirsuta", "Rhododendron subsect.", "Rhododendron \u00d7 spinulosum", "Rhododendron \u00d7 duclouxii", "Cyclasterope hendersoni", "Parupeneus cyclostomus", "Lutilabria olympica", "Fissurina aggregatula", "Fissurina analphabetica", "Fissurina confusa", "Fissurina inspersa", "Fissurina mexicana", "Fissurina pseudostromatica", "Fissurina tuckermaniana", "Fissurina varieseptata", "Atherosperma moschatum subsp. moschatum", "Atherosperma moschatum subsp. integrifolium", "Fissurina egena", "Fissurina radiata", "Zostera caulescens", "Zostera capensis", "Zostera asiatica", "Zostera caespitosa", "Calopadia floridana", "Calopadia imshaugii", "Rhododendron subsect.", "Cryptothecia miniata", "Scheuchzeria palustris", "Rhododendron campanulatum subsp. campanulatum", "Rhododendron campanulatum subsp. aeruginosum", "Rhododendron \u00d7 boddaertianum", "Phaeographis delicatula", "Tapellaria floridensis", "Tapellaria granulosa", "Archicnephasia hartigi", "Archigraptis haemorrhaga", "Archigraptis limacina", "Archigraptis limacinoides", "Archigraptis rosei", "Archigraptis strigifera", "Archigraptis stauroma", "Asterolepis brandti", "Asterolepis earina", "Asterolepis chlorissa", "Asterolepis glycera", "Rhododendron \u00d7 luscombei", "Eucosma apocryphoides", "Eucosma halophilana", "Eucosma ukranica", "Statherotmantis olga", "Trachinus araneus", "Brachiolia amblopis", "Brachiolia egenella", "Brachiolia obscurana", "Brachiolia wojtusiaki", "Paedocypris carbunculus", "Paedocypris micromegethes", "Chilips claduncus", "Clarkenia basilinea", "Clarkenia miramundi", "Clarkenia superba", "Clarkenia nivescens", "Clarkeulia bourquini", "Fissurina abdita", "Clarkeulia craterosema", "Fissurina albonitens", "Clarkeulia deceptiva", "Clarkeulia dimorpha", "Fissurina comparilis", "Clarkeulia epistica", "Fissurina elixii", "Clarkeulia sonae", "Fissurina howeana", "Clarkeulia virga", "Fissurina nigririmis", "Oedichirus nimbaensis", "Oedichirus nitidiventris", "Oedichirus nyakageraensis", "Oedichirus nyalengwensis", "Oedichirus obscuripes", "Oedichirus obscurus", "Oedichirus oldeaniensis", "Oedichirus omoanus", "Oedichirus orophilus", "Oedichirus parviceps", "Oedichirus pearceanus", "Oedichirus pietersburgensis", "Oedichirus problematicus", "Oedichirus profundepunctatus", "Oedichirus puncticollis", "Oedichirus reticulatus", "Oedichirus ruandaensis", "Oedichirus rugegensis", "Oedichirus ruwenzoricus", "Oedichirus similis", "Oedichirus simillimus", "Oedichirus sparsepunctatus", "Oedichirus sparsutus", "Oedichirus spectabilis", "Oedichirus strictus", "Oedichirus subdensus", "Oedichirus summicola", "Oedichirus tenuis", "Oedichirus testaceus", "Oedichirus transvaalensis", "Oedichirus triangulipennis", "Oedichirus tshiaberimuensis", "Oedichirus tshuruyagaensis", "Oedichirus uelensis", "Oedichirus uluguruensis", "Oedichirus unicus", "Oedichirus uniformis", "Oedichirus uviraensis", "Oedichirus variabilis", "Oedichirus variegatus", "Oedichirus variipennis", "Oedichirus witteanus", "Oedichirus woodbushensis", "Oedichirus yangambiensis", "Oedichirus zanzibaricus", "Eucosma oraria", "Eucosma chlorobathra", "Eucosma chrysyphis", "Eucosma getonia", "Eucosma ochricostana", "Eucosma persiae", "Algoforma algoana", "Algoforma paralgoana", "Amboyna diapella", "Amboyna furcifera", "Amphicoecia adamana", "Amphicoecia phasmatica", "Anaccra camerunica", "Anaccra limitana", "Celonites hellenicus", "Celonites discretus", "Celonites longipilis", "Celonites phlomis", "Celonites abbreviatus", "Celonites afer", "Celonites andrei", "Celonites capensis", "Celonites clypeatus", "Celonites crenulatus", "Celonites cyprius", "Celonites zavattarii", "Celonites jousseaumei", "Celonites purcelli", "Celonites rothschildi", "Celonites kostylevi", "Celonites laetus", "Celonites kozlovi", "Celonites rudesculptus", "Celonites rugiceps", "Celonites semenovi", "Celonites savignyi", "Celonites mayeti", "Celonites tristiculus", "Celonites turneri", "Celonites hystrix", "Celonites humeralis", "Celonites varipenis", "Celonites wheeleri", "Celonites yemenensis", "Celonites persicus", "Celonites fischeri", "Celonites modestus", "Celonites nursei", "Celonites montanus", "Celonites foveolatus", "Celonites pictus", "Celonites guichardi", "Celonites octoannulatus", "Celonites osseus", "Celonites promontorii", "Priscomasaris namibiensis", "Oedichirus andringitranus", "Oedichirus betschi", "Oedichirus bonsae", "Oedichirus descarpentriesi", "Oedichirus dubius", "Oedichirus ivohibensis", "Oedichirus muscorum", "Oedichirus novus", "Oedichirus penicillatus", "Oedichirus sogai", "Oedichirus cribricollis", "Oedichirus cribripennis", "Cladia dumicola", "Cladia ferdinandii", "Cladia fuliginosa", "Cladia inflata", "Cladia moniliformis", "Cladia mutabilis", "Cladia oreophila", "Polygonum istanbulicum", "Cladia schizopora", "Cladia sullivanii", "Polygonum afyonicum", "Polygonum arenastrum", "Polygonum arenarium", "Polygonum karacae", "Polygonum longipes", "Polygonum polycnemoides", "Polygonum rottboellioides", "Polygonum salebrosum", "Polygonum salsugineum", "Polygonum samsunicum", "Polygonum maritimum", "Polygonum oxyspermum", "Polygonum plebeium", "Cytheroma latiantennata", "Persicaria capitata", "Persicaria glabra", "Bythocythere intermedia", "Cretoperipatus burmiticus", "Cladonia attacta", "Cladonia complanata", "Cladonia cucullata", "Cladonia glebosa", "Cladonia imbricata", "Cladonia nudicaulis", "Chanodichthys erythropterus", "Cladonia adspersa", "Cladonia archeri", "Neolamprologus boulengeri", "Neolamprologus chitamwebwai", "Neolamprologus walteri", "Gamelioides kattyae", "Gamelioides meisteri", "Rothschildia aricia", "Rothschildia aricia aricia", "Rothschildia aricia xanthina", "Rothschildia aricia napoecuadoriana", "Psilogramma timorica", "Psilogramma manusensis", "Psilogramma exigua", "Psilogramma makirae", "Periphoba rudloffi", "Periphoba tolimaiana", "Periphoba yungasiana", "Periphoba pascoensis", "Periphoba punoensis", "Periphoba hidalgensis", "Paradirphia gabrielae", "Paradirphia peggyae", "Paradirphia lieseorum", "Paradirphia talamancaia", "Paradirphia herediana", "Paradirphia anikae", "Paradirphia andrei", "Paradirphia frankae", "Paradirphia hectori", "Paradirphia pararudloffi", "Arsenura arianae", "Arsenura fuscata", "Caio witti", "Caio hidalgensis", "Caio chiapasiana", "Pseudautomeris rudloffi", "Pseudautomeris chrisbrechlinae", "Pseudautomeris arminicuscoensis", "Pseudautomeris arminiyungasensis", "Hirpida levocuscoensis", "Hirpida levopascoensis", "Hirpida olgae", "Hirpida mavanschaycki", "Hirpida boliviochoba", "Hirpida pomacochasensis", "Hirpida junopascoensis", "Hirpida sinjaevorum", "Hirpida santacruziana", "Hirpida chuquisaciana", "Hyperchiria carabobensis", "Hyperchiria meridaensis", "Hyperchiria nausioccidentalis", "Hyperchiria columbiana", "Hyperchiria sanjuensis", "Hyperchiria jinotegaensis", "Hyperchiria guetemalensis", "Hyperchiria acutapex", "Hyperchiria extremapex", "Hyperchiria australoacuta", "Hyperchiria incisoides", "Hyperchiria cuscoincisoides", "Hyperchiria misionincisoides", "Coloradia jaliscensis", "Coloradia guerreroiana", "Coloradia paraguerreroiana", "Coloradia oaxacaensis", "Amarygmus browni", "Amarygmus collocatus", "Sloaneana lamingtonensis", "Sloaneana similis", "Sloaneana tasmaniae", "Pterocyrtus rubescens", "Fissurina intercludens", "Nemophora assamensis", "Engraulis japonicus", "Clarkeulia excerptana", "Clarkeulia exstinctrix", "Clarkeulia expedita", "Clarkeulia fortuita", "Clarkeulia lacrimosa", "Clarkeulia licea", "Clarkeulia mulsa", "Clarkeulia mediana", "Clarkeulia perversa", "Clarkeulia placabilis", "Clarkeulia umbrifera", "Clarkeulia mitigata", "Clarkeulia neoclyta", "Clarkeulia oreographa", "Clarkeulia radicana", "Cnesteboda anisocornutana", "Cnesteboda assamica", "Cnesteboda celligera", "Cnesteboda facilis", "Cnesteboda haruspex", "Cnesteboda musculus", "Cnesteboda spinosa", "Cnesteboda variabilis", "Erinnyis yucatana", "Cochylimorpha alternana", "Cochylimorpha asiana", "Elodea nuttallii", "Arhopala arta", "Arhopala axina", "Arhopala axiothea", "Arhopala doreena", "Arhopala helianthes", "Clarkeulia spectanada", "Clarkeulia spadix", "Fissurina psoromica", "Clarkeulia simera", "Clarkeulia seposita", "Fissurina streimannii", "Fissurina triticea", "Clarkeulia sepiaria", "Clarkeulia separabilis", "Clarkeulia semigrapha", "Clarkeulia sematica", "Clarkeulia semanota", "Clarkeulia sellata", "Fissurina nigririmis var. nigririmis", "Fissurina nigririmis var. deficiens", "Trachinus armatus", "Vespula rufa", "Vespula orbata", "Celonites pulcher", "Celonites arenarius", "Celonites heliotropii", "Celonites kalahariensis", "Celonites michaelseni", "Celonites gariepensis", "Celonites lobeliae", "Celonites tumidiscutellatus", "Celonites sibiricus", "Celonites bergenwahliae", "Celonites davidi", "Celonites peliostomi", "Celonites wahlenbergiae", "Celonites latitarsis", "Celonites hermon", "Celonites spinosus", "Celonites clarus", "Celonites hamanni", "Oedichirus bifidus", "Oedichirus brachelytratus", "Oedichirus carayoni", "Oedichirus clementi", "Oedichirus curtulus", "Oedichirus denticulatus", "Oedichirus depressipennis", "Oedichirus duflosi", "Oedichirus ensifer", "Oedichirus fageli", "Oedichirus femoralis", "Oedichirus flavipes", "Oedichirus franzi", "Oedichirus furcatus", "Oedichirus gladiatus", "Oedichirus griveaudi", "Oedichirus hammondi", "Oedichirus histrio", "Oedichirus insularis", "Oedichirus jarrigei", "Oedichirus jocquei", "Oedichirus laticeps", "Oedichirus levasseuri", "Oedichirus longicornis", "Oedichirus mandibularis", "Oedichirus mangabensis", "Oedichirus nigrolineatus", "Oedichirus nodieri", "Oedichirus nordicus", "Oedichirus nosykombanus", "Oedichirus noyesi", "Oedichirus obsoletus", "Oedichirus occipitopunctatus", "Oedichirus opacus", "Oedichirus papanganus", "Oedichirus parvus", "Oedichirus pauliani", "Oedichirus pubescens", "Oedichirus pumilus", "Oedichirus ruteri", "Oedichirus sambavanus", "Oedichirus sanctamariae", "Oedichirus satyrus", "Oedichirus serrulatus", "Oedichirus silvestris", "Oedichirus simplex", "Oedichirus splendidus", "Oedichirus tigrinus", "Oedichirus tronqueti", "Oedichirus uncinatus", "Oedichirus vadoni", "Oedichirus varius", "Oedichirus abdominalis", "Oedichirus abyssinicus", "Oedichirus aethiopopygus", "Oedichirus angolensis", "Oedichirus bacillus", "Oedichirus bambusicola", "Oedichirus barbertonensis", "Oedichirus basilewskyanus", "Oedichirus bicolor", "Oedichirus blukwaensis", "Oedichirus brunneicolor", "Oedichirus cribriventer", "Oedichirus pyricollis", "Oedichirus terminalis", "Oedichirus tricolor", "Oedichirus alatus", "Oedichirus andersoni", "Oedichirus arrowi", "Oedichirus beltermanni", "Oedichirus boehmi", "Oedichirus burgeoni", "Oedichirus congoensis", "Oedichirus densus", "Oedichirus dollmani", "Oedichirus grandis", "Oedichirus hewitti", "Oedichirus latipennis", "Oedichirus madagascariensis", "Oedichirus minimus", "Oedichirus puguensis", "Oedichirus rhodesianus", "Oedichirus rufotestaceus", "Oedichirus segmentarius", "Oedichirus sparsipennis", "Oedichirus speculifrons", "Oedichirus strandi", "Oedichirus turneri", "Oedichirus usambarae", "Oedichirus zumpti", "Brachyseps anosyensis", "Flexiseps mandokava", "Brachyseps punctatus", "Brachyseps mandady", "Flexiseps stylus", "Flexiseps tanysoma", "Rhododendron \u00d7 pulcherrimum", "Rhododendron \u00d7 cartonianum", "Exaeretia fuscogriseella", "Depressaria fusconigerella", "Depressaria incognitella", "Depressaria venustella", "Glyphipterix hannemanni", "Tinagma mongolicum", "Tinagma signatum", "Anomaloglossus moffetti", "Astrothelium diplocarpoides", "Oedichirus foveicollis", "Oedichirus geniculatus", "Oedichirus idae", "Oedichirus lewisius", "Oedichirus optatus", "Arhopala thamyras", "Ochicanthon fernandoi", "Ochicanthon vazdemelloi", "Ochicanthon besucheti", "Ochicanthon ceylonicus", "Ochicanthon ernei", "Ochicanthon gauricola", "Ochicanthon mussardi", "Ochicanthon devagiriensis", "Ochicanthon murthyi", "Ochicanthon vazdemelloi", "Ochicanthon crockermontis", "Ochicanthon crypticus", "Ochicanthon danum", "Ochicanthon dulitmontis", "Ochicanthon edmondsi", "Ochicanthon hanskii", "Ochicanthon javanus", "Ochicanthon kimanis", "Ochicanthon mulu", "Ochicanthon tambunan", "Ochicanthon rombauti", "Ochicanthon peninsularis", "Ochicanthon neglectus", "Ochicanthon karasuyamai", "Ochicanthon kikutai", "Ochicanthon maryatiae", "Ochicanthon woroae", "Ochicanthon takakui", "Ochicanthon uedai", "Ochicanthon oharai", "Ochicanthon simboroni", "Ochicanthon cambeforti", "Ochicanthon gangkui", "Astragalus hamzaoglui", "Ochicanthon hikidai", "Ochicanthon parantisae", "Ochicanthon masumotoi", "Astragalus turkmenensis", "Ochicanthon tristoides", "Ochicanthon deplanatus", "Ochicanthon loebli", "Ochicanthon nitidus", "Ochicanthon cingalensis", "Ochicanthon tristis", "Ochicanthon laetus", "Ochicanthon obscurus", "Ochicanthon punctatus", "Ochicanthon dytiscoides", "Verbascum ergin-hamzaoglui", "Ochicanthon ochii", "Ochicanthon thai", "Ochicanthon thailandicum", "Ochicanthon fallacilaetum", "Ochicanthon philippinensis", "Ochicanthon basilewskyi", "Oedichirus cameronianus", "Oedichirus camerounensis", "Oedichirus capensis", "Oedichirus capicola", "Oedichirus celisianus", "Oedichirus conspicuus", "Oedichirus crebrepunctatus", "Oedichirus curticornis", "Oedichirus curtipennis", "Oedichirus densoides", "Oedichirus desaegerianus", "Oedichirus elgonensis", "Oedichirus eppelsheimianus", "Oedichirus ericeticola", "Oedichirus filicornis", "Oedichirus flavifrons", "Oedichirus fortepunctatus", "Oedichirus garambanus", "Oedichirus gracilis", "Oedichirus graskopensis", "Oedichirus hanglipbosensis", "Oedichirus humansdorpensis", "Oedichirus humicola", "Oedichirus ingogoensis", "Oedichirus insolitus", "Oedichirus intermixtus", "Oedichirus itombwensis", "Oedichirus kaboboensis", "Oedichirus kahololoensis", "Oedichirus kahuziensis", "Oedichirus kalehensis", "Oedichirus katanganus", "Oedichirus katbergensis", "Oedichirus keanus", "Oedichirus kidundaensis", "Oedichirus kilimanjarensis", "Oedichirus kimbiensis", "Oedichirus kirunguensis", "Oedichirus kivuensis", "Oedichirus kolwezienus", "Oedichirus kyandolirensis", "Oedichirus lamotteanus", "Oedichirus leleupianus", "Oedichirus longipilis", "Oedichirus luberensis", "Oedichirus lucidiceps", "Oedichirus lugubris", "Oedichirus luikoensis", "Oedichirus luvubuensis", "Oedichirus lwiroensis", "Oedichirus madegassus", "Oedichirus mariepskopensis", "Oedichirus meruensis", "Oedichirus microcephalus", "Oedichirus microphthalmus", "Oedichirus minutus", "Oedichirus mokotoensis", "Oedichirus moloensis", "Oedichirus monticola", "Oedichirus montishoyoensis", "Oedichirus mwengensis", "Oedichirus natalensis", "Oedichirus newtonianus", "Oedichirus nigriceps", "Ochicanthon elongatus", "Ochicanthon vinsoni", "Ochicanthon madecassus", "Archichauliodes diversus", "Orthodera ministralis", "Orthodera novaezealandiae", "Arhopala sangira", "Arhopala theba", "Embolemus zealandicus", "Aegiceras corniculatum", "Oedichirus baloghi", "Oedichirus biroi", "Oedichirus loksai", "Oedichirus magnus", "Oedichirus montanus", "Oedichirus oundaensis", "Oedichirus bara", "Oedichirus biguttatus", "Oedichirus birmanus", "Oedichirus intricatus", "Oedichirus kolbei", "Oedichirus rubricollis", "Oedichirus rufitarsis", "Oedichirus rufus", "Oedichirus schultheissi", "Oedichirus sedilloti", "Oedichirus ventralis", "Oedichirus brunneus", "Oedichirus novaeguineae", "Oedichirus ohausi", "Oedichirus chapmani", "Oedichirus excellens", "Oedichirus minor", "Oedichirus niger", "Oedichirus papuanus", "Oedichirus pendleburyi", "Oedichirus villiersi", "Oedichirus dimidiatus", "Oedichirus melanurus", "Oedichirus simoni", "Porocystis globularis", "Oedichirus flammeus", "Polistes reliciniclypeus", "Pyrenula brunnea", "Pyrenula sexlocularis", "Rossjoycea glacialis", "Heterocypris antillensis", "Prosopogmus fortis", "Prosopogmus koghisensis", "Prosopogmus lescheni", "Danielocandona lieshoutae", "Trichomalopsis sisyrae", "Teraphis cavicola", "Cafius nauticus", "Sphodrosomus monteithi", "Polistes paco", "Polistes curcipunctum", "Polistes gilvus", "Polistes clandestinus", "Porocystis pruniformis", "Polistes affinis", "Polistes angusticlypeus", "Polistes horrendus", "Polistes nigerrimus", "Polistes opacus", "Polistes quadricingulatus", "Polistes rubellus", "Primula tosaensis", "Paramulia laculetana", "Quebradnotia nolckeniana", "Fissurina crassilabra", "Macasinia chorisma", "Stirtonia dubia", "Amandinea endachroa", "Netechmodes harpago", "Epacris \u00d7 autumnalis", "Albadea dea", "Arhopala hellenoroides", "Arhopala qiongdaoensis", "Flos adriana", "Sisurcana brasiliana", "Anacrusis russomitrana", "Archipimima labyrinthopa", "Flos anniella", "Archipimima consentanea", "Archipimima vermelhana", "Flos apidanus", "Rhododendron \u00d7 viscosepalum", "Oedichirus kiuchii", "Oedichirus kuroshio", "Oedichirus longipennis", "Oedichirus ruficeps", "Oedichirus neotropicus", "Oedichirus oedypus", "Oedichirus oneili", "Oedichirus paederinus", "Oedichirus terminatus", "Oedichirus paederoides", "Calopadia subcoerulescens", "Oedichirus pardoi", "Oedichirus pictipes", "Oedichirus senegalensis", "Oedichirus stilicinus", "Oedichirus unicolor", "Lichenostomus melanops cassidix", "Methemus javanus", "Methemus pendleburyi", "Lecanora elapheia", "Solierius obscurus", "Malmidea furfurosa", "Malmidea gyalectoides", "Malmidea leptoloma", "Malmidea variabilis", "Phaeographis flavescens", "Phaeographis inconspicua", "Phaeographis major", "Phaeographis nylanderi", "Phaeographis schizoloma", "Pseudopyrenula subgregaria", "Pseudopyrenula subnudata", "Meonochilus labralis", "Rhododendron \u00d7 vanhoeffenii", "Rhododendron subsect.", "Flos apidanus palawanus", "Graphis pseudocinerea", "Flos apidanus himna", "Graphis sauroidea", "Flos apidanus saturatus", "Graphis stellata", "Prosopogmus aoupiniensis", "Flos arca", "Graphis subflexibilis", "Graphis xanthospora", "Meonochilus bellorum", "Meonochilus rectus", "Meonochilus spiculatus", "Flos areste", "Flos asoka", "Flos bungo", "Sirex juvencus", "Sirex noctilio", "Methemus pulcher", "Methemus africanus", "Methemus decipiens", "Methemus granipennis", "Methemus limnichoides", "Methemus obscurus", "Methemus pauliani", "Cryptothecia punctosorediata", "Dictyonema phyllogenum", "Dictyonema sericeum f. sericeum", "Dictyonema sericeum f. phyllophilum", "Dirphia inexpectata", "Dirphia napoensis", "Eugeniella leucocheila", "Graphis argentata", "Rhododendron subsect.", "Graphis assimilis", "Graphis caesiocarpa", "Rhododendron \u00d7 intermedium", "Rhododendron kotschyi", "Rhododendron \u00d7 myrtifolium", "Hyponephele kirghisa sartha", "Hepialus deqinensis", "Hepialus haimaensis", "Hepialus meiliensis", "Hepialus yulongensis", "Flos anniella anniella", "Pseudocandona schmorditzi", "Hepialus yunnanensis", "Hepialus markamensis", "Flos anniella artegal", "Hepialus pratensis", "Labrisomus dendriticus", "Flos anniella malangana", "Flos apidanus apidanus", "Flos apidanus ahamus", "Graphis conferta", "Graphis disserpens", "Flos apidanus arahat", "Flos apidanus xisuthrus", "Flos apidanus phalakron", "Graphis handelii", "Graphis longula", "Rhododendron subsect.", "Epirinus aquilus", "Epirinus asper", "Epirinus bentoi", "Epirinus pygidialus", "Epirinus relictus", "Epirinus rugosus", "Epirinus scrobiculatus", "Epirinus comosus", "Epirinus sebastiani", "Epirinus convexus", "Epirinus davisi", "Epirinus striatus", "Epirinus drakomontanus", "Epirinus sulcipennis", "Epirinus validus", "Epirinus hopei", "Epirinus flagellatus", "Epirinus granulatus", "Epirinus gratus", "Epirinus hluhluwensis", "Epirinus minimus", "Epirinus montanus", "Epirinus mucrodentatus", "Epirinus ngomae", "Epirinus obtusus", "Epirinus pseudorugosus", "Epirinus punctatus", "Epirinus zumpti", "Chapsa chionostoma", "Seticosta egregia", "Seticosta ariadnae", "Seticosta cigcligrapha", "Seticosta chlorothicta", "Seticosta argentichroa", "Seticosta phrixotricha", "Seticosta retearia", "Seticosta triangulifera", "Seticosta aeolozona", "Seticosta arachnogramma", "Seticosta cerussograpta", "Seticosta charagma", "Seticosta homosacta", "Seticosta mirana", "Seticosta multifidana", "Seticosta paranica", "Seticosta punctum", "Seticosta senecta", "Seticosta sagmatica", "Seticosta tholeraula", "Seticosta versabilis", "Seticosta tridens", "Seticosta tambomachaya", "Seticosta rubicola", "Platycaelus melliei", "Platycaelus prolixus", "Chrysolina aurichalcea", "Pseudocandona cubensis", "Pseudocandona caribbeana", "Anisomeridium conorostratum", "Pseudocandona antilliana", "Anisomeridium endobryum", "Pseudocandona geratsi", "Equus eisenmannae", "Euclemensia barksdalensis", "Eucosma dorsisignatana", "Eucosma similiana", "Anisomeridium excellens", "Anisomeridium flavovulcanus", "Anisomeridium hydei", "Anisomeridium polycarpum", "Anisomeridium tetrasporum", "Anisomeridium throwerae", "Sphodrosomus griseolum", "Brasiella dominicana", "Sphodrosomus saisseti", "Rhododendron \u00d7 multimaculatum", "Euryabax colossus", "Ernogrammus zhirmunskii", "Telestes karsticus", "Flos chinensis", "Clupeonella abrau", "Clupeonella caspia", "Clupeonella tscharchalensis", "Clupeonella engrauliformis", "Clupeonella grimmi", "Bactrospora perspiralis", "Bactrospora subdryina", "Flos diardi", "Flos diardi capeta", "Flos diardi diardi", "Baculifera remensa", "Candonopsis hummelincki", "Rhododendron subsect.", "Caribecandona trapezoidea", "Caribecandona auricularia", "Caribecandona ansa", "Amarygmus appositus", "Amarygmus allectorius", "Amarygmus bellargus", "Amarygmus bryanti", "Amarygmus cneocnemus", "Amarygmus dubius", "Amarygmus fastuosus", "Zoegea leptaurea", "Zoegea purpurea", "Sonchus erzincanicus", "Scinax muriciensis", "Arthothelium desertorum", "Sonchus palustris", "Crupina crupinastrum", "Crupina intermedia", "Pulicaria arabica", "Pulicaria vulgaris", "Pulicaria wightiana", "Pulicaria armena", "Pulicaria sicula", "Tolpis staticifolia", "Tolpis barbata", "Tolpis virgata", "Lachnophyllum noeanum", "Geropogon hybridus", "Clupeonella cultriventris", "Holarctias rufinularia", "Holarctias sentinaria", "Anepholcia pygaria", "Anepholcia talboti", "Anepholcia brechlini", "Anepholcia kobesi", "Anepholcia philippina", "Acasis appensata appensata", "Acasis appensata callaina", "Trisuloides prosericea", "Trisuloides xizanga", "Trisuloides becheri", "Capua cirrhanthes", "Epagoge vulgaris", "Aspicilia cheresina", "Aspicilia hedinii", "Aspicilia subconfluens", "Santelmoa elvirae", "Sclerodisca hemiprasina", "Sclerodisca papuana", "Delphinium macrostachyum", "Bilimbia sabuletorum", "Stenotenes acroptycha", "Stenotenes aspasia", "Stenotenes incudis", "Acleris argyrograpta", "Acleris auricaput", "Acleris avicularia", "Acleris bengalica", "Acleris boscanoides", "Acleris chloroma", "Acleris crassa", "Acleris decolorata", "Acleris dentata", "Acleris diadecta", "Acleris diaphora", "Acleris duoloba", "Acleris duracina", "Acleris emera", "Acleris extranea", "Acleris ferox", "Acleris formosae", "Acleris hokkaidana", "Acleris idonea", "Acleris imitatrix", "Acleris kinangopana", "Acleris kuznetzovi", "Acleris lucipara", "Acleris lucipeta", "Acleris matthewsi", "Acleris ochropicta", "Acleris ophthalmicana", "Acleris phantastica", "Flos morphina", "Flos morphina sidicina", "Flos morphina morphina", "Pontoparta rara", "Semanga helena", "Semanga superba deliciosa", "Semanga superba gloriosa", "Valeriana phu", "Valeriana sisymbriifolia", "Semanga superba siamensis", "Semanga superba superba", "Rhododendron subsect.", "Guernea jejuensis", "Guernea namhaensis", "Guernea ezoensis", "Guernea nullispina", "Dipsacus procera", "Guernea brevispinis", "Guernea coalita", "Guernea endota", "Guernea gelane", "Guernea ipilya", "Guernea longicornis", "Guernea longidactyla", "Guernea mackiei", "Guernea magnaphilostoma", "Guernea melape", "Guernea minor", "Guernea quadrispinosa", "Guernea petalocera", "Guernea rectocephala", "Guernea reduncans", "Guernea rhomba", "Guernea sinica", "Guernea sombati", "Micracanthicus vandragti", "Soromonichthys stearleyi", "Pseudolithoxus kelsorum", "Apenesia membranaceus", "Apenesia auricula", "Apenesia singularis", "Apenesia acia", "Apenesia strigulata", "Apenesia lapsa", "Apenesia curvata", "Apenesia rostrum", "Apenesia crenulata", "Apenesia megaventris", "Apenesia spinipes", "Apenesia concavata", "Apenesia truncaticeps", "Apenesia quadrata", "Apenesia paraensis", "Apenesia photophila", "Apenesia apicilata", "Apenesia elongata", "Apenesia inca", "Apenesia bugabensis", "Apenesia laevigata", "Apenesia evansi", "Apenesia australiensis", "Flos iriya", "Candonopsis kingsleii", "Biebersteinia multifida", "Biebersteinia orphanidis", "Biebersteinia heterostemon", "Biebersteinia odora", "Geranium lasiopus", "Apenesia tianmuensis", "Apenesia yu", "Apenesia chitouensis", "Apenesia formosimonticola", "Apenesia liukueiensis", "Apenesia meifuiae", "Apenesia pingtungensis", "Apenesia takasago", "Apenesia bicolor", "Apenesia formosa", "Apenesia sarawakensis", "Apenesia aurita", "Apeiba glabra", "Apeiba petoumo", "Corchorus orinocensis", "Triumfetta lappula", "Calicium japonicum", "Mansonia altissima", "Paederus ledouxi", "Paederus saengeri", "Paederus bhutanicus", "Paederus iliensis", "Paederus martensi", "Paederus nepalicus", "Gossypium ekmanianum", "Baxteria australis", "Dasypogon bromeliifolius", "Dasypogon hookeri", "Dasypogon obliquifolius", "Calectasia cyanea", "Calectasia intermedia", "Calectasia grandiflora", "Caloplaca chrysophora", "Antigraptis trigonia", "Antigraptis hemicrates", "Acleris potosiana", "Buellia dejungens", "Acleris pulcherrima", "Acleris rantaizana", "Acleris recula", "Draba huetii", "Acleris retrusa", "Acleris roxana", "Acleris rubi", "Acleris ruwenzorica", "Acleris sinica", "Acleris sinuosaria", "Acleris sordidata", "Buellia galapagona", "Acleris stachi", "Acleris tabida", "Acleris takeuchii", "Acleris thiana", "Acleris thomasi", "Acleris tremewani", "Acleris yasudai", "Acleris zeta", "Acleris yasutoshii", "Acleris venatana", "Acleris tsuifengana", "Acleris taiwana", "Acleris pulchella", "Buellia posthabita", "Acleris bicolor", "Chimaera opalescens", "Austrolebias quirogai", "Limnocythere stationis", "Cypridopsis smaragdina", "Syngnathus louisianae", "Syngnathus insulae", "Syngnathus folletti", "Arhopala alaconia oberthuri", "Syngnathus scovelli", "Syngnathus springeri", "Syngnathus makaxi", "Syngnathus macrophthalmus", "Syngnathus californiensis", "Syngnathus caribbaeus", "Syngnathus dawsoni", "Syngnathus euchrous", "Syngnathus exilis", "Melochia pyramidata", "Buellia straminea", "Surendra vivarna", "Surendra vivarna agdistis", "Upeneus itoui", "Japonolirion osense", "Petrosavia stellaris", "Petrosavia sinii", "Petrosavia sakuraii", "Rhododendron \u00d7 ornatum", "Cryptothecia granularis", "Surendra vivarna amisena", "Rhododendron menziesii", "Archactenis centrostricta", "Archactenis haplozona", "Cypretta papuana", "Hibiscus campylosiphon", "Hibiscus ponticus", "Calectasia pignattiana", "Flos fulgida", "Flos fulgida fulgida", "Flos fulgida singhapura", "Flos fulgida zilana", "Calectasia palustris", "Calectasia obtusa", "Calectasia narragara", "Calectasia keigheryi", "Calectasia hispida", "Calectasia browneana", "Calectasia gracilis", "Guernea spinicornis", "Guernea sulawesiensis", "Guernea tenuipes", "Guernea terelamina", "Guernea timaro", "Guernea yamminye", "Guernea tomiokaensis", "Guernea tumulosa", "Guernea unchalka", "Guernea nordenskjoldi", "Scabiosa sosnowskyi", "Rhododendron keiskei var. keiskei", "Rhododendron keiskei var. ozawae", "Micrathena shealsi", "Creophilus rekohuensis", "Creophilus huttoni", "Creophilus galapagensis", "Octavius electrospinosus", "Creophilus albertisi", "Creophilus erythrocephalus", "Creophilus flavipennis", "Creophilus imitator", "Creophilus incanus", "Creophilus lanio", "Creophilus variegatus", "Creophilus insularis", "Creophilus villipennis", "Creophilus violaceus", "Hadrotes wakefieldi", "Hadrotes crassus", "Pseudophloecharis brachyptera", "Pseudophloecharis sinuatum", "Pseudophloecharis fuscum", "Pseudophloecharis occidentalis", "Pseudophloecharis australis", "Pseudophloecharis antipodum", "Coccocarpia epiphylla", "Kennethia cristata", "Coccocarpia prostrata", "Mahathala ameria kiangana", "Galomecalpa parsonsi", "Argonauta argo", "Surendra florimel", "Surendra manilana", "Surendra manilana johnelioti", "Surendra manilana manilana", "Surendra quercetorum", "Surendra quercetorum neritos", "Surendra quercetorum quercetorum", "Crocodylus suchus", "Anisodontea \u00d7 hypomandarum", "Anoda acerifolia", "Paederus nigricornis", "Paederus ilsae", "Paederus chinensis", "Paederus basiventris", "Paederus wittei", "Paederus happerichi", "Paederus klapperichi", "Paederus sjoestedti", "Paederus cartaginis", "Paederus anthracinus", "Paederus ater", "Paederus edwardsi", "Paederus baeri", "Callirhoe digitata", "Paederus basalis", "Paederus kuluensis", "Paederus caligatus", "Paederus kenyanus", "Paederus ceylonicus", "Paederus comorensis", "Paederus curticeps", "Paederus densipennis", "Paederus socius", "Paederus tristis", "Paederus excellens", "Paederus flavocaudatus", "Paederus kaiseri", "Paederus testaceus", "Paederus globulicollis", "Paederus jessoensis", "Paederus witteanus", "Paederus junodi", "Paederus philippinus", "Neohypnus andinus", "Paederus kosempoensis", "Paracorynus arecae", "Neoxantholinus brouni", "Paederus licenti", "Neoxantholinus chathamicus", "Neoxantholinus pseudorufulus", "Paederus riftensis", "Neoxantholinus rufulus", "Pseudocorynus archaicus", "Paederus pietschmanni", "Pseudocorynus cultus", "Pseudocorynus mediocris", "Pseudocorynus nelsonianus", "Paederus preangeranus", "Pseudocorynus neozelandicus", "Paederus steelei", "Whangareiella fulvipes", "Paederus tongyai", "Xantholinus linearis", "Thyreocephalus chloropterus", "Thyreocephalus taitiensis", "Thyreocephalus orthodoxus", "Mota massyla", "Newnhamia petiola", "Newnhamia insolita", "Cetrelia sinensis", "Newnhamia fuscata", "Sphingoquedius strandi", "Austroteneriffia hirsti", "Austroteneriffia littorina", "Archips crataegana", "Archips mertias", "Buellia subarmeniaca", "Herrania albiflora", "Herrania mariae", "Buellia xylographella", "Theobroma sylvestre", "Rhododendron \u00d7 morteri", "Jamides philatus osias", "Apenesia sahyadrica", "Apenesia lobata", "Apenesia ocullata", "Apenesia serrulata", "Apenesia subangulata", "Apenesia triangula", "Apenesia triapicalis", "Apenesia ventosa", "Apenesia distincta", "Apenesia fusilis", "Apenesia unipilosa", "Apenesia atlantica", "Apenesia exigua", "Apenesia hepatica", "Apenesia patens", "Apenesia pectinata", "Apenesia perlonga", "Apenesia simplex", "Apenesia stricta", "Apenesia clypeata", "Apenesia quadrimera", "Apenesia rotunda", "Apenesia longa", "Apenesia magna", "Apenesia peccata", "Apenesia perconcava", "Apenesia permaxima", "Apenesia recta", "Apenesia trivisa", "Apenesia quelata", "Apenesia tengu", "Apenesia kaguyahime", "Apenesia clara", "Apenesia sinensis", "Rindgeopoya unica", "Rindgeopoya variata", "Neomelanesthes atopa", "Neomelanesthes disema", "Nagehana rustica", "Nagehana chagualphaga", "Nagehana elquiensis", "Mahathala ameria", "Mahathala ameria ameria", "Mahathala ameria hainani", "Aslihana roboginosa", "Mahathala gone", "Mahathala ariadeva", "Mahathala ariadeva ariadeva", "Mahathala ariadeva burmana", "Mahathala ariadeva javana", "Newnhamia fenestrata", "Newnhamia patagonica", "Newnhamia dumonti", "Rhipidomys ochrogaster", "Microeca flaviventris", "Cetrelia collata", "Cetrelia delavayana", "Alloproteinus nigriceps", "Silphotelus nitidus", "Silphotelus obliquus", "Nesoneus acuticeps", "Paranesoneus sparsior", "Thyreocephalus chalcopterus", "Paederus coxalis", "Paederus birmanus", "Paederus capillaris", "Paederus sondaicus", "Paederus apterus", "Paederus impressipennis", "Paederus perrieri", "Bisnius parcus", "Bisnius sordidus", "Paederus chilensis", "Gabrius nigritulus", "Paederus coriaceus", "Paederus meridionalis", "Paederus metallicus", "Paederus samoensis", "Paederus vitiensis", "Paederus almorensis", "Paederus distinctus", "Paederus femoratus", "Paederus amplicollis", "Paederus atriventris", "Paederus kozuensis", "Paederus cariniventris", "Paederus fijiensis", "Paederus flavoterminatus", "Paederus hebridensis", "Paederus hingstoni", "Paederus insularis", "Paederus kivuensis", "Paederus lemeranus", "Paederus pendleburyi", "Paederus morosus", "Paederus nigripennis", "Paederus punjabensis", "Paederus quadrifasciatus", "Paederus rubidus", "Paederus segmentarius", "Rhododendron \u00d7 hamondii", "Rhododendron \u00d7 cilipinense", "Caloplaca volkii", "Candelaria calopizodes", "Spilomicrus oskayi", "Spilomicrus argentinicus", "Spilomicrus javaensis", "Spilomicrus brevicornis", "Spilomicrus kiefferi", "Spilomicrus maculipennis", "Enterographa aldabrensis", "Exeirarthra angustula", "Exeirarthra pallida", "Ngarawa dirga", "Yirrkala calyptra", "Yirrkala ori", "Eugeniella ortizii", "Lymanopoda mariposa", "Lymanopoda rana rana", "Lymanopoda rana marrana", "Forsterinaria hannieri", "Schickendantziella trichosepala", "Zinaspa todara distorta", "Pseudocypris dietzi", "Dimelaena triseptata", "Pseudocypris compacta", "Pseudocypris whitei", "Pseudocypris fodiens", "Enyalioides rudolfarndti", "Bernathonomus postrosea", "Pseudopharus reniforma", "Styloniscus hirsutus", "Styloniscus australiensis", "Styloniscus maculosus", "Styloniscus nichollsi", "Styloniscus planus", "Styloniscus squarrosus", "Barygnathella prosecta", "Barygnathella psorospora", "Barygnathella pulverulosa", "Barygnathella seriographa", "Conger japonicus", "Brongersmia polytropa", "Campotenes beryllodes", "Campotenes chrysopluta", "Campotenes microphthalma", "Campotenes vervoorti", "Copidostoma chrysodoris", "Choristenes melitoptila", "Platycypris baueri", "Diacypris dietzi", "Davidgallowaya cornutispora", "Lithostege amoenata", "Lithostege excelsata", "Lithostege distinctata", "Lithostege buxtoni", "Lithostege stadiei", "Lithostege obliquata", "Dermatiscum pusillum", "Diacypris compacta", "Diacypris whitei", "Conger wilsoni", "Diacypris fodiens", "Conger orbignianus", "Conger myriaster", "Conger oceanicus", "Conger verreauxi", "Zinaspa youngi", "Zinaspa zana", "Zinaspa todara", "Zinaspa todara karennia", "Zinaspa todara todara", "Luzuriaga marginata", "Luzuriaga parviflora", "Lymanopoda hockingiana", "Campynema lineare", "Campynemanthe viridiflora", "Campynemanthe parva", "Campynemanthe neocaledonica", "Isocypris priomena", "Isocypris perangusta", "Isocypris laskaridisi", "Paederus aequabalis", "Paederus buluensis", "Paederus cameroni", "Paederus chimbuensis", "Paederus copiosus", "Paederus fuscus", "Paederus hagenensis", "Paederus hornabrooki", "Paederus huonensis", "Paederus kaindiensis", "Paederus kamonoensis", "Paederus katubuensis", "Paederus laensis", "Paederus mafuluensis", "Paederus michaelensis", "Paederus mimicus", "Paederus okapaensis", "Paederus perlongus", "Paederus problematis", "Paederus wauensis", "Paederus asperatus", "Paederus bonus", "Paederus ullrichi", "Paederus brandti", "Paederus centralis", "Paederus gressitti", "Paederus ismayi", "Paederus kuborensis", "Paederus litoreus", "Paederus maai", "Paederus paeninsula", "Stenoloba marinela", "Fissurina quadrispora", "Erica sect.", "Gymnotus tiquie", "Opsopoeodus emiliae", "Erica sect.", "Uvularia floridana", "Uvularia puberula", "Tripladenia cunninghamii", "Kuntheria pedunculata", "Burchardia umbellata", "Erica sect.", "Kennethia major", "Cypretta yapinga", "Parupeneus fraserorum", "Phalloniscus loyolai", "Phalloniscus punctatus", "Phalloniscus cooki", "Phalloniscus meridionalis", "Phalloniscus verhoeffi", "Philoscia novaezelandiae", "Drymophila cyanocarpa", "Drymophila moorei", "Ligia novizealandiae", "Ligia exotica", "Scyphax ornatus", "Haplophthalmus danicus", "Nagurus nanus", "Tylos neozelanicus", "Corsia ornata", "Mediodactylus ilamensis", "Lateolabrax japonicus", "Dirina neozelandica", "Tilia dasystyla subsp. caucasica", "Lithostege bosporaria", "Lithostege usgentaria", "Lithostege witzenmanni", "Lithostege dissocyma", "Lithostege senata", "Lithostege hreblayi", "Lithostege samandooki", "Lithostege notata", "Lithostege fissurata", "Lithostege fissurata fissurata", "Lithostege fissurata inanis", "Lateolabrax latus", "Lithostege parva", "Lithostege turkmenica", "Isocypris beauchampi", "Dolichocarpus seawardii", "Luzuriaga radicans", "Luzuriaga polyphylla", "Styloniscus magellanicus", "Pentagonaspis aravani", "Styloniscus katakurai", "Styloniscus japonicus", "Surendra vivarna biplagiata", "Surendra vivarna discalis", "Surendra vivarna latimargo", "Surendra vivarna palowna", "Surendra vivarna samina", "Surendra vivarna vivarna", "Barygnathella acrogonia", "Barygnathella anthracospila", "Barygnathella argentea", "Barygnathella chrysauges", "Barygnathella glaucops", "Barygnathella lithodes", "Barygnathella olivacea", "Barygnathella ophiodora", "Barygnathella orphnina", "Barygnathella polystalagma", "Barygnathella rhodantha", "Barygnathella subtilis", "Barygnathella teratographa", "Barygnathella triangulum", "Barygnathella virens", "Conger cinereus", "Barygnathella tricolor", "Barygnathella bathyglypha", "Cyphellostereum pusiolum", "Barygnathella caryotrota", "Barygnathella centripeta", "Barygnathella diagrapha", "Barygnathella phanerosema", "Barygnathella plagiozona", "Paederus punctatus", "Paederus samuelsoni", "Paederus sedlacki", "Paederus tambulensis", "Paederus busalminensis", "Paederus gracilis", "Paederus vulneratus", "Paederus atrocyaneus", "Paederus loebli", "Paederus mussardi", "Paederus besucheti", "Paederus antennocinctus", "Glypholoma pustuliferum", "Paederus konfuzius", "Paederus apfelsinicus", "Paederus bursavacua", "Paederus describendus", "Paederus katrinae", "Paederus kopetzi", "Paederus malus", "Paederus pseudobagmatiensis", "Paederus rougemonti", "Paederus sikkimensis", "Paederus yunnanensis", "Dirina massiliensis", "Paederus ahrensi", "Paederus annapurnaensis", "Paederus bagmatiensis", "Paederus fageli", "Paederus hartmanni", "Paederus megascutum", "Paederus puthzi", "Paederus schawalleri", "Paederus wagenitzi", "Paederus langei", "Paederus solodovnikovi", "Paederus uhligorum", "Dirina massiliensis f. massiliensis", "Glypholoma chepuense", "Glypholoma germaini", "Glypholoma pecki", "Glypholoma rotundulum", "Glypholoma temporale", "Glypholoma tenuicorne", "Arachnitis uniflora", "Proglypholoma aenigma", "Dirina massiliensis f. sorediata", "Corsiopsis chinensis", "Quedius hallianus", "Quedius fuscatus", "Quedius eruensis", "Quedius discrepans", "Quedius conspicuellus", "Quedius collinus", "Quedius cavelli", "Quedius bryocharis", "Quedius badius", "Quedius arrowi", "Quedius brunneorufus", "Quedius quadripunctus", "Quedius sericeicollis", "Quedius wakefieldi", "Quedius variegatus", "Quedius tripunctatus", "Quedius subapterus", "Quedius ophthalmicus", "Quedius mannaiaensis", "Quedius fultoni", "Quedius diversicollis", "Quedius aucklandicus", "Quedius brouni", "Quedius brookesi", "Quedius edwardsi", "Quedius latifrons", "Quedius fulgidus", "Quediomimus hybridus", "Thinocafius insularis", "Cafius maritimus", "Cafius litoreus", "Cafius zealandicus", "Cafius puncticeps", "Uvularia sessilifolia", "Philonthus burrowsi", "Philonthus hepaticus", "Philonthus insularis", "Philonthus longicornis", "Philonthus novaezeelandiae", "Philonthus ohianensis", "Philonthus ventralis", "Philonthus politus", "Philonthus pyropterus", "Philonthus umbratilis", "Maorothius adustus", "Maorothius brevispinosus", "Maorothius brookesi", "Maorothius brouni", "Maorothius coalitus", "Gyrinocheilus aymonieri", "Galeacius martini", "Syngrapha venustula", "Aphis odinae", "Herpetogramma sphingealis", "Hagnagora elianne", "Hagnagora unnia", "Hagnagora anicata", "Erica subg.", "Erica sect.", "Erica subg.", "Erica sect.", "Erica sect.", "Quedius aeneiventris", "Quedius aeneoceps", "Quedius agathis", "Quedius ambiguus", "Quedius antarcticus", "Quedius arctifrons", "Quedius enodis", "Quedius veteratorius", "Quedius vividus", "Vulcanoctopus hydrothermalis", "Quedius xenophaenus", "Quedius urbanus", "Quedius tinctellus", "Quedius slipsensis", "Quedius sciticollis", "Quedius recticeps", "Quedius megophthalmus", "Quedius maorinus", "Quedius longiceps", "Quedius latimanus", "Quedius iridescens", "Quedius hirtipennis", "Quedius hilaris", "Coprostygnus curvipes", "Coprostygnus picipennis", "Amblypodia anita", "Coprostygnus optandus", "Coprostygnus sculptipennis", "Teropalpus maritimus", "Carpelimus pusillus", "Carpelimus corticinus", "Carpelimus bilineatus", "Carpelimus persimilis", "Bledius amplicollis", "Bledius bidentifrons", "Bledius salinus", "Anotylus brunneipennis", "Anotylus complanatus", "Anotylus cribriceps", "Anotylus pusillimus", "Anotylus semirufus", "Anotylus sparsus", "Anotylus varius", "Anotylus vinsoni", "Anotylus wattsensis", "Amblypodia annetta", "Erica multiflora subsp. multiflora", "Sandersonia aurantiaca", "Amblypodia narada", "Indiacypris dispar", "Indiacypris chalakkudensis", "Oxypteron dunaria", "Gloriosa carsonii", "Gloriosa simplex", "Erica subg.", "Erica sect.", "Schistura fasciata", "Hemithecium chrysenteron", "Oreoglanis majusculus", "Erica \u00d7 darleyensis", "Rinodina campestris", "Rinodina megistospora", "Rinodina terricola", "Spilonota gallinerana", "Eucosma gustavelsneri", "Epinotia tecta", "Oxypteron algerianum", "Oxypteron homsana", "Hierodula majuscula", "Oxypteron impar", "Oxypteron kruegeri", "Oxypteron palmoni", "Oxypteron polita", "Oxypteron schawerdai", "Oxypteron wertheimsteini", "Oxypteron eremica", "Gondysia consobrina", "Oxypteron exiguana", "Gondysia pertorrida", "Gondysia redditura", "Gondysia similis", "Gondysia smithii", "Gondysia telma", "Hexacyrtis dickiana", "Galerina marginata", "Gloriosa superba", "Maorothius dispar", "Maorothius effeminatus", "Maorothius hamifer", "Maorothius hammondi", "Maorothius insulanus", "Maorothius longispinosus", "Maorothius pectinatus", "Maorothius pubescens", "Maorothius puncticeps", "Maorothius setiger", "Maorothius solus", "Maorothius tonsor", "Maorothius torquatus", "Maorothius tridens", "Maorothius volans", "Gabronthus sulcifrons", "Bisnius impressifrons", "Erica sect.", "Uvularia perfoliata", "Bisnius chilensis", "Bisnius chloropterus", "Bisnius brouni", "Uvularia grandiflora", "Bisnius xuae", "Bisnius gutianshanus", "Batucypretta paradoxa", "Bisnius lubricus", "Exeirarthra maclennanensis", "Exeirarthra mccollae", "Exeirarthra nunni", "Exeirarthra enigma", "Exeirarthra longiceps", "Exeirarthra parviceps", "Archipimima tylonota", "Templemania animosana", "Templemania millistriata", "Templemania rhythmogramma", "Templemania sarothrura", "Amblypodia anita anita", "Albula koreana", "Sisurcana itatiaiae", "Sisurcana valida", "Sisurcana atricaput", "Archipimima telemaco", "Bangana musaei", "Amblypodia anita andamanica", "Amblypodia anita gigantea", "Amblypodia anita hainana", "Amblypodia anita naradoides", "Amblypodia anita parva", "Protoreaster nodosus", "Indiacypris luxata", "Amblypodia annetta anna", "Baeometra uniflora", "Habutarus pilosus", "Liarea aupouria", "Liarea bicarinata", "Liarea lepida", "Liarea ornata", "Trichananca bicolorata", "Trichananca frenchi", "Nosodendron jirii", "Thorictus arabicus", "Ricotia tenuifolia", "Pristiophorus nancyae", "Pristiophorus delicatus", "Pristiophorus schroederi", "Pristiophorus cirratus", "Pristiophorus japonicus", "Pristiophorus nudipinnis", "Pristiophorus lacipidinensis", "Pliotrema warreni", "Chrysophthalmum gueneri", "Chrysophthalmum leptocladum", "Chrysophthalmum montanum", "Pentanema alanyense", "Rhododendron \u00d7 geraldii", "Craspedia cynurica", "Craspedia rosulata", "Cypricercus cuneatus", "Cypricercus salinus", "Cypricercus unicornis", "Paederus tanjorensis", "Astenus zealandicus", "Pseudomedon obscurellus", "Lithocharis ochracea", "Anacrusis aerobatica", "Anacrusis aulaeodes", "Anacrusis rhizosema", "Anacrusis ruptimacula", "Anacrusis atrosparsana", "Anacrusis marriana", "Anacrusis nephrodes", "Anacrusis securiferana", "Pertusaria ilicicola", "Anacrusis stapiana", "Anacrusis thunberghiana", "Anacrusis epidicta", "Anacrusis subruptimacula", "Anacrusis turrialbae", "Holoptygma braulio", "Sisurcana aluminias", "Sisurcana atterimima", "Sisurcana chromotarpa", "Sisurcana heredographa", "Sisurcana holographa", "Sisurcana margaritae", "Sisurcana procidua", "Sisurcana topina", "Sisurcana umbellifera", "Sisurcana citrochyta", "Sisurcana furcatana", "Sisurcana leprana", "Sisurcana paenulata", "Sisurcana polychondra", "Sisurcana rhora", "Sisurcana sectator", "Sisurcana temna", "Sisurcana ranunculata", "Archipimima archipiforma", "Archipimima concavata", "Archipimima cosmoscelis", "Archipimima flexicostalis", "Rhododendron calophytum var. openshawianum", "Rhododendron calophytum var. pauciflorum", "Wahlenbergiella tavaresiae", "Amblypodia narada andersonii", "Amblypodia narada confusa", "Amblypodia narada plateni", "Amblypodia narada salvia", "Amblypodia narada sibutuensis", "Rhododendron \u00d7 chukirishima", "Amblypodia narada erichsonii", "Amblypodia narada narada", "Amblypodia narada pycnoptera", "Amblypodia narada smedleyi", "Amblypodia narada taooana", "Sphaerosyllis levantina", "Ngalki trigonium", "Rhododendron \u00d7 kesselringii", "Cytora ampla", "Malva multiflora", "Malva preissiana", "Pyrirhynchus heterospines", "Hyperomma duplicatum", "Hyperomma flavipes", "Hyperomma lobatum", "Hyperomma sanguineum", "Hyperomma subcaecum", "Hyperomma tenellum", "Paederus szechuanus", "Lathrobium masumotoi", "Lathrobium shinanense", "Lathrobium auruncum", "Lathrobium izumoense", "Lathrobium masatoi", "Lathrobium adachii", "Lathrobium narutoense", "Lathrobium ohtakisanum", "Naviauxella safraneki", "Naviauxella shooki", "Naviauxella phongsalyensis", "Fruhstorferia takuyai", "Scythris disparella", "Scythris dissimilella", "Scythris dissitella", "Scythris dorycniella", "Scythris eberhardi", "Scythris elegantella", "Scythris emichi", "Scythris empetrella", "Scythris ericetella", "Scythris ericivorella", "Scythris fallacella", "Scythris fasciatella", "Scythris flabella", "Scythris flavidella", "Scythris flavilaterella", "Scythris flaviventrella", "Scythris fuscoaenea", "Scythris fuscopterella", "Scythris garciapitai", "Scythris glacialis", "Scythris gozmanyi", "Scythris grandipennis", "Scythris gravatella", "Scythris guimarensis", "Scythris gladiella", "Scythris heinemanni", "Scythris hierroella", "Scythris hornigii", "Scythris hungaricella", "Scythris iagella", "Scythris imperiella", "Scythris inclusella", "Scythris inertella", "Zonocypretta kalimna", "Trichananca aptera", "Trichananca micromelas", "Trichananca vinctus", "Stricticollis mokuensis", "Exochomoscirtes fuscus", "Exochomoscirtes niger", "Exochomoscirtes palawanicus", "Scirtes brunneus", "Hylaeus birmanicus", "Prionoscirtes reliquus", "Chiton pelliserpentis", "Cryptotis oreoryctes", "Thescelosaurus assiniboiensis", "Bombus mongolensis", "Bombus xelajuensis", "Gnathopogon elongatus", "Carassius langsdorfii", "Liarea tara", "Usnea crocata", "Usnea grandisora", "Scythris rubioi", "Scythris salviella", "Scythris sappadensis", "Scythris satyrella", "Scythris saxella", "Scythris schawerdae", "Scythris schleichiella", "Scythris scipionella", "Scythris scopolella", "Scythris scorpionella", "Scythris seliniella", "Scythris setiella", "Scythris siccella", "Scythris siculella", "Scythris similis", "Scythris sinensis", "Oryzias nigrimas", "Scythris skulei", "Scythris speyeri", "Scythris subaerariella", "Scythris subfasciata", "Scythris subschleichiella", "Scythris subseliniella", "Usnea exigua", "Scythris tabescentella", "Scythris tabidella", "Scythris taygeticola", "Scythris tenuivittella", "Scythris tergestinella", "Scythris traugotti", "Scythris tremalzoi", "Scythris tributella", "Scythris trinacriae", "Scythris vartianae", "Scythris veletae", "Scythris ventosella", "Scythris vernusella", "Scythris villari", "Scythris vittella", "Scythris xanthopygella", "Scythris subcassiterella", "Scythris badiella", "Scythris basilicella", "Scythris beccella", "Scythris biacutella", "Usnea densirostra", "Usnea fastuosa", "Usnea hieronymii", "Usnea lutii", "Usnea saxidilatata", "Amblypodia annetta annetta", "Amblypodia annetta eberalda", "Amblypodia annetta faisina", "Amblypodia annetta fabiana", "Stenocyphon neozealandicus", "Amblypodia narada fara", "Rhododendron calophytum subsp. calophytum", "Scythris inspersella", "Scythris insulella", "Scythris jaeckhi", "Scythris karinae", "Scythris kasyi", "Scythris klimeschi", "Scythris knochella", "Scythris cultelloides", "Scythris danilevskyi", "Scythris ganesha", "Scythris lafauryi", "Scythris lagunae", "Scythris laminella", "Scythris lampyrella", "Scythris langohri", "Scythris lempkei", "Scythris levantina", "Scythris lhommei", "Scythris limbella", "Scythris mariannae", "Scythris martini", "Scythris meanderis", "Scythris mediella", "Scythris minima", "Scythris moldavicella", "Scythris mus", "Usnea durietzii", "Usnea poliotrix", "Usnea steineri", "Usnea subrubicunda", "Scythris nevadensis", "Scythris nieukerkeni", "Scythris nigrella", "Scythris noricella", "Scythris obscurella", "Scythris oelandicella", "Scythris palustris", "Scythris parafuscoaenea", "Scythris parnassiae", "Scythris pascuella", "Scythris paullella", "Scythris penicillata", "Scythris petrella", "Scythris picaepennis", "Scythris pilella", "Scythris pinkeri", "Scythris platypyga", "Scythris podoliensis", "Scythris polycarpaeae", "Scythris popescugorji", "Scythris potentillella", "Scythris productella", "Scythris pseudoarachnodes", "Scythris pseudolocustella", "Scythris pudorinella", "Scythris pulicella", "Scythris punctivittella", "Scythris ridiculella", "Scythris rondaensis", "Scythris rouxella", "Brachychiton \u00d7 carneus", "Firmiana fulgens", "Scaphium scaphigerum", "Sterculia roxburghiana", "Graphina insulana", "Paracandona euplectella", "Iraota abnormis", "Congolacerta asukului", "Congolacerta vauereselli", "Knipowitschia byblisia", "Knipowitschia caunosi", "Geophilus arenarius", "Eremias papenfussi", "Krantziaulonastus yoyomi", "Picobia dinemellia", "Opiona graeningi", "Legousia falcata", "Tapinocyba formosa", "Muntingia calabura", "Petenaea cordata", "Neurada procumbens", "Cyparium jiroi", "Cryptophagus alexagrestis", "Cryptophagus rubellus", "Cryptophagus vestitus", "Meiacanthus abruptus", "Meiacanthus erdmanni", "Meiacanthus cyanopterus", "Meiacanthus urostigma", "Typhaea curvipes", "Typhaea hirta", "Liarea tessellata", "Histura bicornigera", "Histura boliviana", "Histura chlorotypa", "Histura xanthotypa", "Histura doriae", "Histura cuprata", "Histura limosa", "Histura hirsuta", "Histura luteochlora", "Histura berylla", "Biclonuncaria alota", "Biclonuncaria cerucha", "Biclonuncaria coniata", "Biclonuncaria conica", "Biclonuncaria dalbergiae", "Biclonuncaria deutera", "Biclonuncaria foeda", "Biclonuncaria juanita", "Biclonuncaria phaedroptera", "Biclonuncaria residua", "Biclonuncaria tetrica", "Biclonuncaria parvuncus", "Graphis albida", "Graphis analoga", "Przewalskia tangutica", "Scythris bornicensis", "Scythris boseanella", "Scythris braschiella", "Scythris bubaniae", "Scythris buszkoi", "Scythris carboniella", "Scythris cicadella", "Scythris cistorum", "Candonocypris caledonica", "Scythris clavella", "Scythris confluens", "Scythris constanti", "Scythris corleyi", "Scythris corsa", "Scythris crassiuscula", "Scythris crypta", "Kapcypridopsis asymmetra", "Scythris cupreella", "Scythris cuspidella", "Scythris derrai", "Oligodon quadrilineatus", "Ceratocephala falcata", "Pristimantis quicato", "Scorpaenopsis cirrosa", "Scorpaenopsis crenulata", "Ricotia davisiana", "Malvastrum aurantiacum", "Sida fallax", "Aeschnophlebia longistigma", "Sidalcea campestris", "Sidalcea multifida", "Sidastrum micranthum", "Sphaeralcea digitata", "Sphaeralcea fendleri", "Sphaeralcea incana", "Scythris bicuspidella", "Scythris bispinella", "Scythris canella", "Scythris capnofasciae", "Scythris ceratella", "Scythris cinisella", "Scythris consimilella", "Scythris cuneatella", "Scythris curvipilella", "Scythris fibigeri", "Scythris galeatella", "Scythris indigoferivora", "Scythris iterella", "Scythris jemenensis", "Scythris nigrogrammella", "Scythris nigropterella", "Scythris paralogella", "Scythris parenthesella", "Scythris pterosaurella", "Scythris reflectella", "Scythris sanae", "Scythris scyphella", "Scythris sinuosella", "Scythris sordidella", "Scythris strabella", "Scythris subgaleatella", "Scythris subparachalca", "Scythris taizzae", "Scythris valvaearcella", "Scythris fissurella", "Scythris angustibasella", "Scythris astacoides", "Scythris haverineni", "Scythris polella", "Scythris salinella", "Graphidastra laii", "Scythris trifurcella", "Brachychiton garrawayae", "Brachychiton grandiflorus", "Brachychiton velutinosus", "Oreonetides taiwanus", "Maculoncus orientalis", "Cymbiodyta orientalis", "Deinacrida gigantea", "Legousia hybrida", "Legousia speculum-veneris", "Rhododendron arboreum var. arboreum", "Candona weltneri", "Rhododendron arboreum var. roseum", "Rhododendron nilagiricum", "Mediorhynchus cisticolae", "Paederus lenkoranus", "Paederus ferreirai", "Paederus kambaitiensis", "Paederus latro", "Mediorhynchus turdi", "Mediorhynchus spinaepaucitas", "Mediorhynchus channapettae", "Mediorhynchus colluricinclae", "Mediorhynchus fatimaae", "Mediorhynchus gibsoni", "Mediorhynchus lanius", "Paederus carpathicus", "Mediorhynchus mariae", "Mediorhynchus nickoli", "Mediorhynchus pandei", "Mediorhynchus quilonensis", "Paederus nigriventris", "Paederus obscurus", "Paederus toxopei", "Paederus ohausi", "Paederus monstratus", "Paederus elongatus", "Legousia pentagonia", "Micrambina amoena", "Micrambina angulifera", "Micrambina australis", "Micrambina hispidula", "Micrambina rufescens", "Legousia julianii", "Usnea rubricornuta", "Usnea subdasaea", "Diacypris spinosa", "Diacypris dictyote", "Diacypris phoxe", "Pediasia rotundiprojecta", "Pediasia pseudopersella", "Pediasia aridella", "Pediasia batangensis", "Pediasia yangtseella", "Pediasia ramexita", "Pediasia hispanica", "Pediasia aridelloides", "Pediasia jecondica", "Pediasia subepineura", "Pediasia lederei", "Pediasia huebneri", "Pediasia radicivitta", "Pediasia kuldjaensis", "Pediasia sajanella", "Pediasia fascelinella", "Pediasia phrygius", "Limnocythere porphyretica", "Pediasia lidiella", "Bactrianoscythris fenestratella", "Erica subg.", "Erica subg.", "Scythris abyanensis", "Scythris accumulata", "Scythris albiangulella", "Erica subg.", "Scythris albocanella", "Scythris albogrammella", "Scythris anthracodelta", "Scythris aquaria", "Scythris autochlorella", "Scythris acarioides", "Scythris albostriata", "Scythris alseriella", "Scythris ambustella", "Scythris andersi", "Scythris anomaloptera", "Scythris apicalis", "Scythris apicistrigella", "Scythris arachnodes", "Scythris arenbergeri", "Scythris baldensis", "Scythris bazaensis", "Scythris bengtbengtssoni", "Scythris bengtssoni", "Scythris bifissella", "Scythris binotiferella", "Erica sect.", "Scythris bolognella", "Speleonectes williamsi", "Miagrammopes guttatus", "Rhododendron arboreum var. cinnamomeum", "Cryptothelypterus obrieni", "Cryptothelypterus pteropilosus", "Cryptothelypterus atomaroides", "Cryptothelypterus selkirki", "Cryptothelypterus skottsbergi", "Cryptothelypterus splendens", "Echinorhynchus trachyrinci", "Leptolaena multiflora", "Sarcolaena multiflora", "Rhopalocarpus lucidus", "Rhopalocarpus thouarianus", "Gastrotheca phelloderma", "Boophis popi", "Boophis fayi", "Theloderma nebulosum", "Theloderma palliatum", "Pseudhenoticus atomaroides", "Graphis benguetensis", "Graphis bifera", "Graphis calcea", "Graphis carassensis", "Scyphax crescentia", "Graphis centrifuga", "Graphis cervina", "Graphis cincta", "Graphis cinerea", "Graphis cinnamomea", "Graphis cleistoblephara", "Graphis consimilis", "Graphis copelandii", "Graphis crassilabra", "Graphis anguilliformis", "Graphis angustata", "Graphis apertella", "Graphis aquilonia", "Graphis arecae", "Graphis atrocelata", "Graphis aurita", "Channa pleurophthalma", "Channa melanoptera", "Triodanis holzingeri", "Triodanis leptocarpa", "Clonuncaria coronae", "Ardeutica patillae", "Ardeutica melidora", "Ardeutica mezion", "Ardeutica parmata", "Ardeutica tonsilis", "Rhinogobius giurinus", "Heterocodon rariflorum", "Triodanis perfoliata subsp. biflora", "Ardeutica emphantica", "Ardeutica crypsilitha", "Ardeutica dryocremna", "Ardeutica sphenobathra", "Ardeutica semipicta", "Ardeutica spumosa", "Ardeutica eupeplana", "Ebodina lagoana", "Ebodina simplex", "Ebodina sinica", "Ebodina lithoptila", "Ebodina circensis", "Ebodina elephantodes", "Triodanis lamprosperma", "Triodanis texana", "Gymnographa cyclospora", "Gymnographa heterospora", "Epigaea \u00d7 intertexta", "Jamides pura tenus", "Synoeca septentrionalis", "Xerophyta retinervis", "Pholiota squarrosa", "Delinius carinipennis", "Delinius convexus", "Delinius curtus", "Delinius insulicola", "Delinius microphthalmus", "Delinius castelnaui", "Dasytes pittensis", "Dasytes stewarti", "Dasytes veronicae", "Dasytes violascens", "Dasytes wakefieldi", "Dasytes subcyaneus", "Dasytes nigripes", "Ectocarpus siliculosus", "Micrasterias furcata", "Pisodonophis sangjuensis", "Platyrhina hyugaensis", "Platyrhina tangi", "Polysteganus mascarenensis", "Spicomacrurus dictyogadus", "Spicomacrurus mccoskeri", "Xylocoris afer", "Sashatherina giganteus", "Pogonophryne brevibarbata", "Xylocoris flaccidus", "Strotihypera flavipuncta", "Elaphria venustula", "Galgula partita", "Oporopsamma wertheimsteini", "Oporopsamma dunaria", "Graphis regularis", "Graphis rigida", "Graphis ruiziana", "Graphis saxicola", "Graphis scaphella", "Graphis schiffneri", "Graphis schizograpta", "Aristolebia paracrucigera", "Aristolebia floreana", "Hartemita basilaris", "Hartemita bruneiensis", "Hartemita rhadinotarsa", "Hartemita townesi", "Hartemita buteae", "Hartemita chapini", "Hartemita rudis", "Hartemita chinensis", "Hartemita excavata", "Hartemita flava", "Hartemita punctata", "Hartemita latipes", "Hartemita muirii", "Hartemita nigrotestacea", "Luciogobius fluvialis", "Luciogobius fonticola", "Hartemita spasskensis", "Hartemita nigrina", "Hartemita tamdaona", "Graphis nanodes", "Graphis noumeana", "Graphis nuda", "Graphis ochracea", "Iraota distanti nileia", "Iraota distanti distanti", "Graphis oligospora", "Graphis oryzaecarpa", "Graphis oxyclada", "Graphis palmyrensis", "Graphis persicina", "Graphis perstriatula", "Graphis persulcata", "Graphis pertricosa", "Graphis phaeospora", "Graphis pittieri", "Graphis plagiocarpa", "Graphis plurispora", "Graphis polyclades", "Graphis propinqua", "Graphis proserpens", "Graphis puiggarii", "Graphis pyrrhocheiloides", "Kalmia microphylla var. microphylla", "Kalmia microphylla var. occidentalis", "Kalmia procumbens", "Onthophagus ambang", "Onthophagus gonipa", "Onthophagus rosenbergi", "Onthophagus sarasinorum", "Onthophagus sulawesiensis", "Onthophagus tambing", "Onthophagus tonywhitteni", "Onthophagus toraut", "Onthophagus hielkemai", "Onthophagus danumensis", "Onthophagus danumensis", "Profundulus guatemalensis", "Onthophagus unidens", "Simnia hiscocki", "Halyles brevicornis", "Halyles nigrescens", "Halyles semidilutus", "Dasytes aethiops", "Dasytes anacharis", "Dasytes aurisetifer", "Dasytes cheesemani", "Dasytes cinerohirtus", "Dasytes clavatus", "Dasytes constrictus", "Dasytes fuscitarsis", "Dasytes helmsi", "Dasytes laevulifrons", "Dasytes laticeps", "Dasytes littoralis", "Dasytes obscuricollis", "Dasytes occiputalis", "Dasytes opaculus", "Dasytes oreocharis", "Dasytes philpotti", "Graphis gloriosensis", "Graphis granulosa", "Graphis hiascens", "Graphis immersella", "Graphis inamoena", "Graphis insulana", "Graphis intermedians", "Hanoniscus monodi", "Hanoniscus nichollsi", "Paederus adumbratus", "Sorsogona humerosa", "Photonectes barnetti", "Photonectes coffea", "Photonectes corynodes", "Paratenuisentis ambiguus", "Bathycongrus parviporus", "Trypauchenopsis intermedia", "Graphis koreaiensis", "Graphis lapidicola", "Graphis leprographa", "Graphis leptogramma", "Graphis longiramea", "Graphis luluensis", "Graphis marginata", "Graphis maritima", "Graphis miniata", "Graphis modesta", "Graphis multisulcata", "Paederus methneri", "Drepanacra binocula", "Paederus montanellus", "Paederus minimus", "Paederus minutissimus", "Paederus niger", "Paederus neotropicus", "Paederus nigerrimus", "Paederus nigrolineatus", "Paederus obscuricollis", "Paederus opacicollis", "Paederus pauloensis", "Paederus praecellens", "Paederus pretiosus", "Paederus republicanus", "Paederus rhodesianus", "Paederus puncticollis", "Paederus punctiventris", "Paederus purpuripennis", "Paederus schoutedeni", "Paederus sijthoffi", "Paederus simillimus", "Paederus subnitidicollis", "Paederus subnitidus", "Paederus subopacus", "Paederus superbus", "Paederus tandalensis", "Paederus testaceopiceus", "Paederus tropicus", "Paederus uruguayensis", "Paederus usagarae", "Paederus viridipennis", "Gromilus setarius", "Gromilus frontalis", "Graphis stipitata", "Graphis streblocarpa", "Xerocnephasia rigana", "Enterobius vermicularis", "Barbapellis pterygalces", "Mugil hospes", "Muscari macrocarpum", "Trimma maiandros", "Graphis streimannii", "Graphis subasahinae", "Graphis subassimilis", "Graphis subelmeri", "Graphis subhiascens", "Graphis subregularis", "Graphis subruiziana", "Graphis subserpentina", "Graphis subtracta", "Graphis subvelata", "Graphis supracola", "Graphis tenuirima", "Graphis turgidula", "Graphis verminosa", "Graphis vestitoides", "Graphis vinosa", "Graphis virescens", "Graphis vittata", "Graphis crebra", "Graphis cycasicola", "Graphis daintreensis", "Isotrias huemeri", "Isotrias martelliana", "Isotrias buckwelli", "Isotrias cuencana", "Isotrias hybridana", "Isotrias joannisana", "Isotrias rectifasciana", "Isotrias stramentana", "Lypothora fernaldii", "Lypothora walsinghamii", "Polylopha cassiicola", "Polylopha hypophaea", "Etmopterus joungi", "Graphis dealbata", "Graphis dendrogramma", "Graphis descissa", "Graphis dimidiata", "Graphis diplocheila", "Graphis discarpa", "Graphis dracenae", "Graphis dupaxana", "Graphis duplicata", "Graphis eimeoensis", "Graphis elixiana", "Graphis emersa", "Graphis erythrocardia", "Graphis exalbata", "Graphis filiformis", "Graphis flavens", "Kalmia angustifolia subsp. carolina", "Kalmia angustifolia subsp. angustifolia", "Australiformis semoni", "Myrmica longisculpta", "Stenomicra gracilior", "Graphis flavovirens", "Graphis fumosa", "Graphis furcata", "Graphis garoana", "Graphis geraensis", "Delinius monicae", "Delinius ruffoi", "Delinius essingtonii", "Delinius australasiae", "Systolosoma breve", "Systolosoma lateritium", "Trachypachus gibbsii", "Trachypachus holmbergi", "Trachypachus slevini", "Derobrachus geminatus", "Paederus castaneus", "Paederus abnormalis", "Paederus alutiventris", "Paederus angolensis", "Paederus anguinus", "Paederus angusticeps", "Paederus angustipennis", "Paederus aquaticus", "Paederus argentinus", "Paederus aureipennis", "Paederus bakerianus", "Paederus bayeri", "Paederus bolivianus", "Paederus brachycephalus", "Paederus braunsi", "Paederus breviceps", "Paederus bruchi", "Paederus burgeonianus", "Paederus coelestinus", "Paederus congoensis", "Paederus dollmani", "Paederus erichsoni", "Phyllodoce nipponica var. nipponica", "Phyllodoce nipponica var. oblongo-ovata", "Celaenorrhinus aspersa", "Celaenorrhinus aspersa aspersa", "Celaenorrhinus aspersa pinratanai", "Celaenorrhinus maculosa", "Celaenorrhinus maculosa maculosa", "Celaenorrhinus maculosa taiwanus", "Celaenorrhinus inexspectus", "Celaenorrhinus incestus", "Celaenorrhinus kuznetsovi", "Celaenorrhinus major", "Celaenorrhinus yaojiani", "Celaenorrhinus oscula", "Celaenorrhinus consanguinea", "Celaenorrhinus consanguinea consanguinea", "Celaenorrhinus consanguinea chihhsiaoi", "Celaenorrhinus shema", "Celaenorrhinus shema shema", "Celaenorrhinus shema ochra", "Celaenorrhinus shema vox", "Celaenorrhinus shema mercedensis", "Phyllodoce deflexa", "Vettius ploetzii", "Vettius ploetzii ploetzii", "Vettius ploetzii morretesi", "Lerema caraca", "Dais cotinifolia", "Daphne acutiloba", "Daphne alpina", "Daphne altaica", "Daphne arbuscula", "Daphne bholua", "Daphne blagayana", "Daphne caucasica", "Daphne genkwa", "Daphne giraldii", "Daphne jezoensis", "Daphne kamtschatica", "Daphne kiusiana", "Daphne longilobata", "Daphne odora", "Daphne oleoides", "Daphne papyracea", "Daphne petraea", "Daphne retusa", "Daphne sericea", "Daphne sureil", "Daphne tangutica", "Daphne \u00d7 houtteana", "Daphne \u00d7 neapolitana", "Daphne involucrata", "Daphne miyabeana", "Daphne \u00d7 burkwoodii", "Daphne \u00d7 hybrida", "Hierodula patellifera", "Listroderes delaiguei", "Listroderes difficilis", "Listroderes foveatus", "Listroderes obliquus", "Listroderes costirostris", "Liparogetus sulcatissimus", "Arabriga bimaculata", "Arachnognatha metascotia", "Arachnognatha meterythra", "Pratylenchus exilis", "Edgeworthia chrysantha", "Edgeworthia gardneri", "Gnidia anthylloides", "Gnidia burchellii", "Gnidia carinata", "Gnidia kraussiana", "Gnidia latifolia", "Gnidia polycephala", "Gnidia squarrosa", "Gonystylus acuminatus", "Gonystylus aerolatus", "Gonystylus affinis", "Gonystylus augescens", "Gonystylus bancanus", "Gonystylus borneensis", "Gonystylus brunnescens", "Gonystylus calophylloides", "Gonystylus calophyllus", "Gonystylus confusus", "Gonystylus consanguineus", "Gonystylus costalis", "Gonystylus decipiens", "Gonystylus eximius", "Gonystylus forbesii", "Gonystylus glaucescens", "Gonystylus keithii", "Gonystylus lucidulus", "Gonystylus macrophyllus", "Gonystylus maingayi", "Gonystylus micranthus", "Gonystylus nervosus", "Gonystylus nobilis", "Gonystylus othmanii", "Gonystylus pendulus", "Gonystylus reticulatus", "Gonystylus spectabilis", "Gonystylus stenosepalus", "Gonystylus velutinus", "Gonystylus xylocarpus", "Gyrinops caudata", "Gyrinops decipiens", "Gyrinops ledermannii", "Gyrinops moluccana", "Gyrinops podocarpus", "Gyrinops salicifolia", "Gyrinops versteegii", "Gyrinops walla", "Euphorbia sect.", "Iraota rochana accius", "Iraota rochana boswelliana", "Iraota rochana johnsoniana", "Iraota rochana lysippus", "Iraota rochana mangolina", "Earias malagasy", "Earias dilatifemur", "Earias roseoviridis", "Ioplaca pindarensis", "Gaultheria sect.", "Julella lactea", "Julella sericea", "Paroosternum sinense", "Gromilus anthracinus", "Gromilus bicarinatus", "Gromilus bifoveatus", "Gromilus brevicornis", "Gromilus calvulus", "Gromilus caudatus", "Gromilus clarulus", "Gromilus cordipennis", "Gromilus cristatus", "Gromilus dorsalis", "Gromilus furvus", "Gromilus granissimus", "Gromilus halli", "Gromilus impressus", "Gromilus inophloeoides", "Gromilus majusculus", "Gromilus merus", "Gromilus nitidellus", "Gromilus nitidulus", "Gromilus nodiceps", "Gromilus philpotti", "Gromilus setosus", "Gromilus sparsus", "Gromilus striatus", "Gromilus sulcicollis", "Gromilus sulcipennis", "Gromilus tenuiculus", "Gromilus thoracicus", "Gromilus variegatus", "Gromilus kuschelii", "Gromilus brounii", "Hydrotaea barkalovi", "Xestomyia atrox", "Fannia altaica", "Paederus ertli", "Paederus gigas", "Paederus gowdeyi", "Paederus himalayicus", "Paederus iheringi", "Paederus hintzi", "Paederus horni", "Paederus japonicus", "Paederus lineativentris", "Paederus longiceps", "Paederus luluensis", "Paederus mangolae", "Paederus margelanicus", "Paederus marshalli", "Wikstroemia ovata", "Wikstroemia pampaninii", "Wikstroemia uva-ursi", "Polymorphus fulicai", "Polymorphus sindensis", "Didogobius amicuscaridis", "Didogobius wirtzi", "Lecanographa atropunctata", "Iberis semperflorens", "Analoma fortis", "Analoma gracilis", "Analoma hornabrooki", "Analoma rosenburgi", "Daphne \u00d7 transatlantica", "Daphnopsis helleriana", "Dirca palustris", "Phyllodoce \u00d7 intermedia", "Phyllodoce \u00d7 alpina", "Oopterus laeviventris", "Neoferonia integrata", "Neoferonia helmsi", "Parnida vestitus", "Gromilus gracilipes", "Gromilus ovipennis", "Gromilus foveirostris", "Paederus aliiceps", "Paederus alutipennis", "Paederus aquatilis", "Paederus argentatus", "Paederus bakeri", "Paederus bicoloripes", "Paederus cheesmani", "Paederus cyaneus", "Paederus cyanopterus", "Paederus dammermani", "Paederus diversiceps", "Paederus drescheri", "Paederus flavitarsis", "Paederus germanus", "Paederus gedyei", "Paederus greeni", "Paederus inconspicuus", "Paederus kakodanus", "Paederus lewisi", "Paederus lombockianus", "Paederus monticola", "Paederus montivagans", "Paederus papuanus", "Paederus pubescens", "Paederus rufotestaceus", "Paederus santoensis", "Paederus sharpi", "Paederus setifer", "Paederus subcoriaceus", "Paederus taprobanus", "Paederus tibetanus", "Paederus turneris", "Paederus unicolor", "Paederus villiersi", "Nestrius cilipes", "Nestrius crassicornis", "Nestrius foveatus", "Nestrius hudsoni", "Nestrius irregularis", "Nestrius ovithorax", "Nestrius prolixus", "Nestrius serripes", "Nestrius simmondsi", "Nestrius sulcirostris", "Nestrius zenoscelis", "Nestrius sculpturatus", "Panorpa confusa", "Steriphus ascitus", "Steriphus diversipes", "Steriphus pullus", "Steriphus variabilis", "Lagetta lagetto", "Phaleria blumei", "Phaleria chermsideana", "Phaleria nisidai", "Phaleria wichmannii", "Pimelea curviflora", "Pimelea decora", "Pimelea drupacea", "Pimelea elongata", "Pimelea ferruginea", "Pimelea flava", "Pimelea glauca", "Pimelea latifolia", "Pimelea ligustrina", "Pimelea linifolia", "Pimelea macrostegia", "Pimelea microcephala", "Pimelea octophylla", "Pimelea pauciflora", "Pimelea physodes", "Pimelea preissii", "Pimelea simplex", "Pimelea suaveolens", "Pimelea sylvestris", "Pimelea trichostachya", "Pimelea longifolia", "Pimelea neoangelica", "Pimelea prostrata", "Struthiola dodecandra", "Tepuianthus auyantepuiensis", "Tepuianthus savannensis", "Thymelaea passerina", "Wikstroemia canescens", "Wikstroemia chamaedaphne", "Wikstroemia elliptica", "Wikstroemia indica", "Iraota timoleon arsaces", "Iraota timoleon nicevillei", "Iraota timoleon wickii", "Gaultheria sect.", "Gaultheria sect.", "Paederus abdominalis", "Manulea vakulenkoi", "Manulea hunanica", "Manulea lurideola", "Champsodon nudivittis", "Zaireichthys conspicuus", "Cigaritis kuyaniana", "Cigaritis takanonis", "Leptogium delavayi", "Cigaritis learmondi", "Leptogium hildenbrandii", "Microchromis aurifrons", "Lecanora phaeocardia", "Anolis benedikti", "Gracixalus quangi", "Ligia australiensis", "Cyrtodactylus cucphuongensis", "Ligia litigiosa", "Lecanora prosecha", "Cyprinotus uenoi", "Cigaritis abnormis", "Ausejanus albisignatus", "Lecanora pseudopinguis", "Cochylimorpha blandana", "Cochylimorpha cultana", "Cochylimorpha decolorella", "Leptogium menziesii", "Leptogium pseudopapillosum", "Pieris subg.", "Pieris subg.", "Leptogium trichophoroides", "Arisarum vulgare", "Pyrrhopyge amythaon gradens", "Pyrrhopyge amythaon orino", "Pyrrhopyge amythaon perula", "Pyrrhopyge amythaon podina", "Pyrrhopyge amythaon polka", "Pyrrhopyge amythaon pollio", "Pyrrhopyge arinas", "Pyrrhopyge arinas arinas", "Pyrrhopyge arinas temenos", "Pyrrhopyge aziza", "Pyrrhopyge aziza aziza", "Lecanora bolcana", "Lecanora chondroderma", "Lecanora chrysocardia", "Lecanora endophaeoides", "Alectroenas payandeei", "Nesoenas cicur", "Columba thiriouxi", "Eubotrys racemosa", "Lecanora fimbriatula", "Moriomorpha adelaidae", "Moriomorpha victoriae", "Moriomorpha curvipes", "Moriomorpha dorrigo", "Moriomorpha lawrencei", "Moriomorpha macrops", "Lecanora flavidorufa", "Metapocyrtus sakaii", "Metapocyrtus conicus", "Metapocyrtus virgatus", "Eviota dorsogilva", "Eviota dorsopurpurea", "Pseudochromis erdmanni", "Lecanora fulvastra", "Lecanora fuscococcinea", "Lecanora hellmichiana", "Chlamys farreri", "Neorrhyncha camerunica", "Neorrhyncha congolana", "Corylus avellana var. avellana", "Corylus avellana var. pontica", "Lecanora legalloana", "Corylus potaninii", "Corylus wangii", "Corylus wulingensis", "Phtheochroa kenyana", "Phtheochroa lonnvei", "Cochylimorpha africana", "Eugnosta marginana", "Eugnosta unifasciana", "Actihema fibigeri", "Actihema jirani", "Actihema msituni", "Actihema simpsonae", "Diceratura complicana", "Falseuncaria aberdarensis", "Afropoecilia kituloensis", "Esox cisalpinus", "Gromilus antipodarum", "Gromilus robustus", "Ectomis cythna", "Ectomis cythna cythna", "Ectomis cythna ega", "Celaenorrhinus disjunctus", "Santa santes", "Eutocus minimus", "Methionopsis purus", "Euphorbia myrsinites subsp. myrsinites", "Euphorbia myrsinites subsp. rechingeri", "Euphorbia sect.", "Melittia oedipus", "Coccinia intermedia", "Perissomastix taeniaecornis", "Hemithecium balbisii", "Perissomastix perdita", "Hemithecium chlorocarpoides", "Perissomastix tihamaella", "Hemithecium chlorocarpum", "Hemithecium hadrosporum", "Hemithecium implicatum", "Perissomastix fulvicoma", "Perissomastix acutibasis", "Perissomastix catapulta", "Hemithecium laubertianum", "Perissomastix recurvata", "Hemithecium oryzaeforme", "Perissomastix praxis", "Perissomastix adamasta", "Hemithecium rufopallidum", "Perissomastix pyroxantha", "Hemithecium radicicola", "Perissomastix caryocephala", "Perissomastix lala", "Perissomastix szunyoghyi", "Coccinia samburuensis", "Coccinia pwaniensis", "Coccinia heterophylla", "Pratylenchus barkati", "Pratylenchus capitatus", "Pratylenchus singhi", "Pratylenchus dasi", "Pratylenchus crassi", "Paratillus analis", "Loxospora lecanoriformis", "Enkianthus cernuus f. cernuus", "Enkianthus cernuus f. rubens", "Astragalus hamzae", "Oeneis melissa", "Oeneis hidakaensis", "Morpho helenor", "Semicytherura ikeyai", "Semicytherura maxima", "Prosopocoilus cyclommatoides", "Prosopocoilus reni", "Prosopocoilus simianshanus", "Pieris koidzumiana", "Cigaritis vulcanus", "Philonthus splendens", "Cochylimorpha despectana", "Cochylimorpha diana", "Cochylimorpha discolorana", "Cochylimorpha eberti", "Cochylimorpha elegans", "Cochylimorpha fluens", "Cochylimorpha fucosa", "Cochylimorpha isocornutana", "Cochylimorpha kenneli", "Cochylimorpha lungtangensis", "Cochylimorpha monstrabilis", "Cochylimorpha montana", "Cochylimorpha nankinensis", "Cochylimorpha nipponana", "Cochylimorpha nuristana", "Cochylimorpha pirizanica", "Sillago sinica", "Menidia beryllina", "Menidia clarkhubbsi", "Menidia colei", "Menidia conchorum", "Menidia extensa", "Menidia menidia", "Menidia peninsulae", "Lecanora sanctae-helenae", "Lecanora thysanota", "Cigaritis elima", "Cigaritis elwesi", "Trichomycterus ballesterosi", "Trichomycterus dali", "Cigaritis evansii", "Trichomycterus maldonadoi", "Lecidella crystallina", "Iraota timoleon aenus", "Lecidella inamoena", "Lecidella xylophila", "Metapocyrtus virens", "Metapocyrtus tumidosus", "Metapocyrtus triangularis", "Metapocyrtus tenuipes", "Metapocyrtus subfasciatus", "Metapocyrtus suavis", "Metapocyrtus striatus", "Metapocyrtus sphenomorphoides", "Metapocyrtus quattuordecimpunctatus", "Metapocyrtus puncticollis", "Metapocyrtus pseudomonilifer", "Metapocyrtus politus", "Metapocyrtus politissimus", "Metapocyrtus pictus", "Metapocyrtus picticollis", "Metapocyrtus picipennis", "Metapocyrtus pardalis", "Metapocyrtus rufipes", "Metapocyrtus rufescens", "Metapocyrtus repandicauda", "Metapocyrtus opulentus", "Metapocyrtus mimicus", "Metapocyrtus maculatus", "Metapocyrtus macgregori", "Metapocyrtus interruptolineatus", "Metapocyrtus intermittens", "Metapocyrtus impius", "Metapocyrtus humeralis", "Metapocyrtus harpago", "Metapocyrtus graniferus", "Metapocyrtus gibbirostris", "Metapocyrtus figuratus", "Metapocyrtus elegans", "Metapocyrtus dolosus", "Metapocyrtus difficilis", "Porcellionides sexfasciatus", "Lecanora flavoviridis", "Astronium fraxinifolium", "Astronium graveolens", "Astronium lecointei", "Papuaphiloscia granulata", "Papuaphiloscia arcangelii", "Naso tergus", "Papuaphiloscia daitoensis", "Papuaphiloscia alba", "Papuaphiloscia terukubiensis", "Glossamia arguni", "Eviota ancora", "Adiantum alarconianum", "Cigaritis ictis", "Cigaritis ictis ceylanica", "Cigaritis ictis ictis", "Microphorella cassari", "Melogale cucphuongensis", "Actocharis calabrica", "Actocharis cassandrensis", "Microsmaris pinnata", "Microsmaris sparsepinnata", "Trichomycterus payaya", "Trichomycterus sketi", "Trichomycterus tropeiro", "Centrorhynchus guira", "Trichomycterus aguarague", "Centrorhynchus smyrnensis", "Pseudobironium hisamatsui", "Hydrostygnus frontalis", "Zaireichthys kafuensis", "Zaireichthys kavangoensis", "Zaireichthys kunenensis", "Zaireichthys maravensis", "Zaireichthys monomotapa", "Zaireichthys pallidus", "Gymnothorax afer", "Gymnothorax albimarginatus", "Gymnothorax angusticauda", "Gymnothorax angusticeps", "Gymnothorax annasona", "Gymnothorax annulatus", "Gymnothorax atolli", "Gymnothorax polyuranodon", "Salmo lourosensis", "Heissothignus baitetus", "Heissothignus slateri", "Gekko truongi", "Cyrtodactylus huongsonensis", "Morpho helenor prometa", "Menegazzia anteforata", "Paracanthurus hepatus", "Menegazzia dispora", "Menegazzia primaria", "Menegazzia sanguinascens", "Cochylimorpha exoterica", "Monerolechia badia", "Monoblastia pellucida", "Multiclavula clara", "Mycomicrothelia subfallens", "Apistogramma ramirezi", "Craibiodendron stellatum", "Tormus helmsi", "Tormus posticalis", "Myeloconis erumpens", "Afrotormus metallescens", "Afrotormus minutus", "Metapocyrtus immeritus", "Centrorhynchus bilqeesae", "Lepidocharax burnsi", "Lepidocharax diamantina", "Hemiculter leucisculus", "Trematochromis benthicola", "Achillea fraasii", "Achillea membranacea", "Achillea brachyphylla", "Achillea oligocephala", "Achillea sipikorensis", "Achillea sieheana", "Achillea cucullata", "Achillea monocephala", "Achillea boissieri", "Lepraria atrotomentosa", "Lepraria nigrocincta", "Brunia antica", "Leptogium asiaticum", "Katha deplana", "Dolgoma cribrata", "Manulea complana", "Manulea pseudofumidisca", "Manulea minor", "Manulea flavociliata", "Manulea lutarella", "Manulea costalis", "Manulea palliatella", "Manulea pseudocomplana", "Manulea affineola", "Manulea japonica", "Leptogium cochleatum", "Cigaritis kutu", "Manulea kansuensis", "Manulea omelkoi", "Manulea nankingica", "Manulea fuscodorsalis", "Manulea minima", "Manulea predotae", "Manulea pygmaeola", "Manulea uniformeola", "Manulea ussurica", "Manulea wiltshirei", "Manulea cereola", "Manulea atratula", "Manulea bicolor", "Manulea debilis", "Manulea hyalinofuscatum", "Manulea nigrocollare", "Parmelia niitakana", "Orthacarus tremli", "Amphialycus oblongus", "Leptoderma macrophthalmum", "Monopterus ichthyophoides", "Trachycorystes menezesi", "Poecilia sarrafae", "Gerres limbatus", "Microlipophrys nigriceps", "Tepidiora variornata", "Microlipophrys canevae", "Microlipophrys dalmatinus", "Microlipophrys adriaticus", "Tepidiora patriciae", "Arbutus pavarii", "Arbutus \u00d7 androsterilis", "Auradilus parallelicostatus", "Arbutus \u00d7 reyorum", "Oehserchestes arboriger", "Auradilus pentoekensis", "Arbutus \u00d7 thuretiana", "Auradilus splendideornatus", "Micropsammus littoralis", "Emodomelanelia masonii", "Gekko coi", "Alycosmesis corallium", "Alycosmesis granuliformis", "Alycosmesis retiformis", "Proteonematalycus wagneri", "Oehserchestes flabelliger", "Oehserchestes dorysetatus", "Gordialycus tuzetae", "Psammolycus delamarei", "Nematalycus nematoides", "Cunliffea strenzkei", "Liarea alta", "Liarea waipoua", "Liarea partula", "Liarea carinella", "Leptogium trichophorum", "Cigaritis leechi", "Cigaritis leechi arooni", "Cigaritis leechi leechi", "Cigaritis lilacinus", "Enkianthus sect.", "Enkianthus sect.", "Enkianthus sect.", "Enkianthus sect.", "Cigaritis maximus", "Paratillus carus", "Paratillus basalis", "Rhododendron subsect.", "Artheneidea chlorotica", "Artheneidea tenuicornis", "Teutates sculpturatus", "Holcocranum saturejae", "Chilacis typhae", "Chapsa platycarpoides", "Syzygitis poecilus", "Polychisme ferruginosus", "Syzygitis chilensis", "Xiphaspis longiclavis", "Amarygmus abditus", "Amarygmus acutulus", "Amarygmus adversus", "Amarygmus alius", "Amarygmus batakensis", "Cosmopterix javanica", "Cosmopterix margaritae", "Cosmopterix flavidella", "Cosmopterix labathiella", "Cosmopterix laetifica", "Cosmopterix lautissimella", "Hyperstrotia aetheria", "Plesiotrygon nana", "Proceratophrys minuta", "Eviota rubriceps", "Gymnothorax melanosomatus", "Zygoballus optatus", "Guntheria apteryxi", "Whartonacarus dupliseta", "Alicorhagia bullocki", "Alicorhagia plumipila", "Alicorhagia segmentata", "Lowrya taiti", "Lowrya kornickeri", "Terpnacarus zaheri", "Terpnacarus carolinaensis", "Terpnacarus glebulentus", "Terpnacarus piliger", "Terpnacarus gibbosus", "Terpnacarus bouvieri", "Terpnacarus subterraneus", "Terpnacarus variolus", "Alycosmesis palmata", "Lipophrys trigloides", "Lipophrys pholis", "Flavoparmelia citrinescens", "Flavoparmelia subambigua", "Pachygnathus wasastjernae", "Amphialycus leucogaster", "Parmotrema norsticticatum", "Sphaerolichus cuspidonasus", "Sphaerolichus oculus", "Sphaerolichus narinosus", "Parmotrema subthomsonii", "Cytheropteron subcircinatum", "Hybalicus fuscinulus", "Hybalicus longipilus", "Hybalicus multifurcatus", "Hybalicus potchensis", "Hybalicus thrombidius", "Parmotrema thomsonii", "Myelochroa radiculata", "Hybalicus ornatus", "Hybalicus peraltus", "Oehserchestes humicolus", "Oehserchestes spathatus", "Hybalicus morikawai", "Bimichaelia grandis", "Vaccinium myrtillus var. artvinense", "Rorippa behcetii", "Erodium aytacii", "Bembidiacarus eidelbergi", "Globularia anatolica", "Teucrium melissoides", "Lathyrus egirdiricus", "Melilotus gorkemii", "Onobrychis cigdemae", "Acantholimon doganii", "Vaccinium korthalsii", "Lipophrys heuvelmansi", "Platyla polita", "Platyla orthostoma", "Isophya rhodopensis", "Verbascum anisophyllum", "Oxytropis urumovii", "Achillea kotschyi subsp. urumoffii", "Dianthus urumoffii", "Campanula ovacikensis", "Campanula ovacikensis subsp. capitellata", "Campanula ovacikensis subsp. ovacikensis", "Sempervivum sosnowskyi", "Brassica beytepeensis", "Draba anatolica", "Draba orientalis", "Hesperis ozcelikii", "Hesperis hamzaoglui", "Hesperis anatolica", "Hesperis aspera", "Hesperis balansae", "Hesperis bottae", "Hesperis kitiana", "Hesperis kuerschneri", "Hesperis nivea", "Hesperis podocarpa", "Hesperis steveniana", "Hesperis theophrasti", "Moenkhausia aurantia", "Microlipophrys velifer", "Astragalus trabzonicus", "Microlipophrys bauchotae", "Microlipophrys caboverdensis", "Linum ertugrulii", "Linum kaynakiae", "Linum verruciferum", "Linum vuralianum", "Alchemilla hamzaoglui", "Asperula pseudochlorantha", "Dioon argenteum", "Nipponoparmelia ricasolioides", "Alchemilla boluensis", "Nipponoparmelia isidioclada", "Podapolipoides ramsayi", "Goniocypris mitra", "Aristolochia zonguldakensis", "Onosma beyazoglui", "Pyemotes tritici", "Pyemotes ventricosus", "Michauxia nuda", "Cypridopsis newtoni", "Dianthus aytachii", "Metapenaeus bennettae", "Pterygosquilla schizodontia", "Parmelia submutata", "Amphialycus pentophthalmus", "Otothyropsis piribebuy", "Hippocampus guttulatus", "Bassanago albescens", "Brachyrhaphis rhabdophora", "Medicago sativa subsp. ambigua", "Medicago sativa subsp. microcarpa", "Medicago sativa subsp. varia", "Cyclasterope orbicularis", "Rhynchoconger guppyi", "Auradilus gravis", "Auradilus packardi", "Auradilus australiensis", "Myriophyllum aquaticum", "Myriophyllum aquaticum var. santacatarinense", "Auradilus costatus", "Laminamichaelia stellaris", "Laminamichaelia ramosa", "Laminamichaelia ramosa", "Saxidromus knoepffleri", "Adamystis sarae", "Bovidromus roussouwi", "Rhinodromus lootsi", "Austroteneriffia japonica", "Austroteneriffia kamalii", "Austroteneriffia leei", "Austroteneriffia tadjikistanica", "Austroteneriffia zamaniani", "Tilapia sparrmanii", "Austroteneriffia hojoensis", "Austroteneriffia andrei", "Sinoteneriffia nuda", "Teneriffia mexicana", "Borinken elyunque", "Kiskeya elyunque", "Silene marschallii subsp. anamasi", "Parmotrema amaniense", "Parmotrema argentinum", "Parmotrema aurantiacoparvum", "Silene bitlisensis", "Silene bayburtensis", "Silene cirpicii", "Silene demirizii", "Silene dumanii", "Silene duralii", "Viscum album subsp. austriacum", "Crocus olivieri", "Ramonda serbica", "Androsace sect.", "Androsace subsect.", "Androsace laevigata", "Bdella iconica", "Cyta latirostris", "Thoribdella reticulata", "Kiwa puravida", "Neobonzia clavata", "Orangescirula filipina", "Orangescirula yongchuanensis", "Orangescirula kethleyi", "Allocunaxa heveae", "Silene kucukodukii", "Corispermum anatolicum", "Achillea sivasica", "Centaurea cadmea subsp. pontica", "Centaurea cassia subsp. dumanii", "Cirsium ekimianum", "Cirsium candelabrum", "Cuspidaria cinerea", "Pyrostegia millingtonioides", "Cyanus eflanensis", "Echinops dumanii", "Jurinea cadmea subsp. nifense", "Jurinea turcica", "Jurinea tortumensis", "Lapsana communis var. aurantia", "Scorzonera renzii", "Scorzonera ketzkhovelii", "Taraxacum salsitatis", "Pseudobonzia delfinadobakerae", "Pseudobonzia yini", "Pseudobonzia landwehri", "Pseudobonzia neoreticulata", "Pseudobonzia reticulata", "Pseudobonzia clathrata", "Neobonzia clava", "Neobonzia moraesi", "Neobonzia saaymani", "Neobonzia smileyi", "Neobonzia themedae", "Neobonzia argillae", "Neobonzia lootsi", "Neobonzia nona", "Pseudobonzia halacaroides", "Pseudobonzia parvirostris", "Pseudobonzia tangkanasingae", "Candona diaphana", "Candona hyalina", "Candona kingsleii", "Amblypodia anita orla", "Haberlea rhodopensis", "Pachybrachis sassii", "Gynacantha auricularis", "Cryptaspasma perseana", "Phryssonotus brevicapensis", "Guntheria omega", "Exochomoscirtes carinensis", "Exochomoscirtes hajeki", "Polygala peshmenii", "Reseda globulosa", "Cimberis attelaboides", "Galium babadaghensis", "Galium cankiriense", "Galium nigdeense", "Galium tuncelianum", "Ferula brevipedicellata", "Ferula duranii", "Peucedanum kittaniae", "Anthribus scapularis", "Gibber nodulosus", "Allium dodecanesi", "Allium ertugrulii", "Allium rumelicum", "Allium yildirimlii", "Ozotomerus japonicus", "Aegilops juvenalis", "Bromus danthoniae subsp. pseudodanthoniae", "Bromus regnii", "Platyrhinus resinosus", "Stomphastis adesa", "Stomphastis crotoniphila", "Stomphastis crotonis", "Winklerites fodori", "Chamberlinius uenoi", "Cuspidaria sceptrum", "Telamoptilia cathedraea", "Telamoptilia geyeri", "Telamoptilia hemistacta", "Telamoptilia prosacta", "Telamoptilia tiliae", "Systoloneura randiae", "Systoloneura geometropis", "Mielkeanthidium albertinoi", "Mielkeanthidium dissimile", "Mielkeanthidium tucumanum", "Mielkeanthidium nigripes", "Mielkeanthidium rubripes", "Synnympha diluviata", "Synnympha perfrenis", "Unixenus corticolus", "Unixenus karajinensis", "Unixenus attemsi", "Unixenus broelemanni", "Unixenus mjoebergi", "Unixenus padmanabhii", "Unixenus vuillaumei", "Propolyxenus squamatus", "Heliotropium thermophilum", "Psephellus yusufeliensis", "Spulerina aphanosema", "Spulerina atactodesma", "Spulerina catapasta", "Spulerina lochmaea", "Spulerina marmarodes", "Spulerina parthenocissi", "Acrocercops allactopa", "Acrocercops amethystopa", "Acrocercops angelica", "Senecio doriiformis", "Acrocercops anthogramma", "Acrocercops anthracuris", "Acrocercops argocosma", "Acrocercops argodesma", "Acrocercops argyraspis", "Acrocercops asaphogramma", "Acrocercops autarithma", "Acrocercops bifrenis", "Acrocercops bisinuata", "Acrocercops brachyglypta", "Acrocercops brochogramma", "Acrocercops zygonoma", "Acrocercops zopherandra", "Acrocercops zamenopa", "Cacopsylla mali", "Aphis pomi", "Sauris purpurotincta", "Sauris victoriae", "Yazakia pilosaria", "Yazakia pulcherrima", "Yazakia callipteris", "Yazakia kalisi", "Epicopeia battaka", "Epicopeia battaka battaka", "Epicopeia battaka dempona", "Epicopeia battaka malayana", "Rhyparida foaensis", "Pseudochromis fuligifinis", "Leptapoderus carbonicolor", "Leptapoderus rubidus", "Euops lespedezae", "Henicolabus giganteus", "Compsapoderus erythropterus", "Paratrachelophorus longicornis", "Tomapoderus ruficollis", "Cyrtolabus christophi", "Phymatapoderus flavimanus", "Paracycnotrachelus chinensis", "Alocentron curvirostre", "Alocentron pachyrrhynchum", "Omphalapion hookerorum", "Aspidapion aeneum", "Aspidapion radiolus", "Aspidapion validum", "Betulapion simile", "Eutrichapion punctiger", "Cyanapion spencii", "Holotrichapion pisi", "Malvapion malvae", "Perapion jacobsoni", "Parmotrema sorediosulphuratum", "Pseudopiezotrachelus placidus", "Pseudoprotapion ergenense", "Oxystoma ochropus", "Rhopalapion longirostre", "Taphrotopium steveni", "Taphrotopium sulcifrons", "Acartauchenius himalayensis", "Agyneta pakistanica", "Nanophyes marmoratus", "Dieckmanniellus nitidulus", "Hypophyes hyalinus", "Microon sahlbergi", "Sphenophorus abbreviatus", "Sphenophorus striatopunctatus", "Clitoria subg.", "Parmotrema superaguiense", "Stomphastis dodonaeae", "Stomphastis eugrapta", "Stomphastis mixograpta", "Stomphastis polygoni", "Stomphastis rorkei", "Enedreytes sepicola", "Stomphastis tremina", "Stomphastis heringi", "Stomphastis aphrocyma", "Stomphastis cardamitis", "Rhaphitropis marchica", "Stomphastis chalybacma", "Sympaector ussuriensis", "Stomphastis conflua", "Stomphastis labyrinthica", "Tropideres naevulus", "Stomphastis thraustica", "Tropideres albirostris", "Byctiscus regularis", "Byctiscus puberulus", "Neoeugnamptus amurensis", "Involvulus cylindricollis", "Mecorhis aethiops", "Neocoenorrhinus germanicus", "Neocoenorrhinus pauxillus", "Aspidobyctiscus lacunipennis", "Auletobius puberulus", "Eusproda proxima", "Rhynchites giganteus", "Lasiorhynchites sericeus", "Neocoenorrhinus minutus", "Involvulus pubescens", "Manonichthys scintilla", "Rhyparida leana", "Rhyparida reiterata", "Rhyparida weiseana", "Turneria rosschinga", "Tesarius doyeni", "Acanthurus tractus", "Lagocephalus laevigatus", "Leptoclinus maculatus", "Sebastes mentella", "Pseudojana incandescens", "Apoderus jekelii", "Clitoria subg.", "Clitoria sect.", "Anacamptis sect.", "Peltigera cichoracea", "Anacamptis sect.", "Anacamptis sect.", "Anacamptis sect.", "Anacamptis sect.", "Anacamptis sect.", "Anacamptis sect.", "Ricinoides afzelii", "Heterolepisma serranoi", "Clitoria sect.", "Surazomus nara", "Surazomus vaughani", "Surazomus arboreus", "Surazomus boliviensis", "Surazomus manaus", "Surazomus mirim", "Surazomus rodriguesi", "Scolytoplatypus tycon", "Aulacobaris coerulescens", "Aulacobaris janthina", "Aulacobaris lepidii", "Eremobaris picturata", "Baris analis", "Euryommatus mariae", "Limnobaris dolorosa", "Mecopomorphus griseus", "Erysimum bulgaricum", "Erysimum bagcii", "Erysimum baytopiae", "Erysimum baytopiae var. baytopiae", "Erysimum baytopiae var. asliae", "Erysimum guneri", "Erysimum euphraticum", "Erysimum duranii", "Erysimum dirmilense", "Erysimum dincii", "Erysimum tuteliae", "Erysimum tuteliae subsp. doganii", "Erysimum thyrsoideum", "Erysimum thyrsoideum subsp. ekicii", "Erysimum thyrsoideum subsp. thyrsoideum", "Peltigera ulcerata", "Pseudosempervivum aucheri", "Pseudosempervivum gurulkanii", "Elaeagnus angustifolia var. angustifolia", "Elaeagnus angustifolia var. turcicus", "Rhopobota okui", "Lophanthus turcicus", "Microsynanthedon ambrensis", "Microsynanthedon setodiformis", "Microsynanthedon tanala", "Calasesia coccinea", "Aenigmina aenea", "Aenigmina latimargo", "Aenigmina critheis", "Aenigmina tiresa", "Chloroda metamelaena", "Chloroda rubricosta", "Chloroda rufolivacea", "Chloroda rufoviridis", "Chloroda thoracica", "Chloroda viridis", "Chloroda tricolor", "Mallocephala rubripes", "Lafajana cupra", "Metacrisiodes pua", "Arachnis aulaea", "Arachnis aulaea pompeia", "Arachnis citra", "Arachnis citra verna", "Arachnis dilecta", "Arachnis martina", "Arachnis mishma", "Arachnis nedyma", "Arachnis zuni", "Arachnis tristis", "Arachnis picta", "Arachnis picta insularis", "Arachnis picta maia", "Arachnis picta meadowsi", "Arachnis picta perotensis", "Hyphantria pictipupa", "Cladrastis sect.", "Pertusaria subrosacea var. subrosacea", "Pertusaria subrosacea var. octospora", "Cladrastis sect.", "Sophora sect.", "Archaeopodella scopulifera", "Clitoria sect.", "Surazomus brus", "Surazomus inexpectatus", "Surazomus selva", "Surazomus uarini", "Surazomus brasiliensis", "Surazomus chavin", "Surazomus macarenensis", "Surazomus paitit", "Clitoria subg.", "Puliciphora calix", "Synchiropus altivelis", "Tripleurospermum griersonii", "Anchusa konyaensis", "Anchusa konyaensis var. selcukensis", "Bryonia flexuosa", "Peltigera dolichospora", "Prometheum aizoon", "Prometheum muratdaghense", "Prometheum pilosum", "Prometheum rechingeri", "Prometheum sempervivoides", "Prometheum serpentinicum", "Prometheum silvana", "Prometheum sincorana", "Prometheum chrysanthum", "Prometheum chrysanthum subsp. chrysanthum", "Prometheum chrysanthum subsp. uludaghense", "Sempervivum armenum", "Sempervivum armenum subsp. armenum", "Sempervivum armenum subsp. insigne", "Histiophryne maggiewalker", "Tesarius mcclayi", "Theanellus bagoides", "Thryogenes festucae", "Tournotaris bimaculata", "Erysimum zeybekianum", "Erysimum yildirimlii", "Erysimum yaltirikii", "Erysimum vuralii", "Notaris scirpi", "Erysimum subulatum", "Erysimum sivasicum", "Erysimum serpentinicum", "Erysimum munzuriense", "Erysimum kostkae", "Erysimum ketenoglui", "Erysimum ibericum", "Erysimum kartalkayaense", "Erysimum jacquemoudii", "Treptoplatypus severini", "Anabasis aphylla", "Scolytus scolytus", "Anabasis aretioides", "Dryocoetes autographus", "Trypodendron domesticum", "Trypodendron lineatum", "Trypodendron proximum", "Anabasis articulata", "Trypodendron signatum", "Xyleborus cryptographus", "Ernoporicus insularum", "Anabasis brachiata", "Orthotomicus laricis", "Ips acuminatus", "Pseudohyorrhynchus wadai", "Alniphagus costatus", "Longulus elatus", "Suaeda subg.", "Phloeosinus aubei", "Suaeda subg.", "Taphrorychus bicolor", "Scolytoplatypus daimio", "Katha nigropoda", "Katha suffusa", "Katha rungsi", "Nishada chilomorpha", "Nishada flabrifera", "Nishada griseoflava", "Nishada rotundipennis", "Cigaritis lohita senama", "Opilioacarus italicus", "Opilioacarus segmentatus", "Paracarus pristinus", "Paracarus hexophthalmus", "Leiothyrus armatus", "Leiothyrus nitidissimus", "Trox youngai", "Mecyclothorax palikea", "Trigonopterus vossi", "Chloroda amabilis", "Chloroda metaleuca", "Clitoria sect.", "Clitoria sect.", "Clitoria sect.", "Clitoria sect.", "Tascina dalattensis", "Melittia pijiae", "Melittia afonini", "Ideopsis juventa", "Pertusaria amara var. philippinensis", "Anacamptis boryi", "Pseudocellus pachysoma", "Pseudocellus chankin", "Pseudocellus jarocho", "Pseudocellus oztotl", "Pseudocellus platnicki", "Pseudocellus krejcae", "Neocarus texanus", "Neocarus arizonicus", "Adenacarus arabicus", "Vanderhammenacarus deharvengi", "Siamacarus dalgeri", "Siamacarus withi", "Phalangiacarus brosseti", "Panchaetes dundoensis", "Neocarus nohbecanus", "Neocarus siankaanensis", "Neocarus nicaraguensis", "Neocarus bajacalifornicus", "Neocarus calakmulensis", "Neocarus ojastii", "Neocarus platensis", "Neocarus veracruzensis", "Opilioacarus orghidani", "Manoblemma cryptica", "Isophya speciosa", "Neptis pryeri jucundita", "Tettigonia viridissima", "Neptis pseudonamba", "Neptis sinocartica", "Diehlea tumida", "Diehlea sulawesiensis", "Diehlea nicobarensis", "Diehlea neotumida", "Diehlea philippinica", "Melittia eurytion", "Melittia nepcha", "Melittia sukothai", "Melittia bella", "Melittia gorochovi", "Cyanosesia treadawayi", "Pertusaria leioplaca var. pycnocarpa", "Descurainia sophia subsp. bartschii", "Melittia propria", "Cigaritis nubilus", "Pertusaria candida", "Pertusaria cinctula", "Anacamptis coriophora", "Pertusaria cryptostoma", "Pertusaria denotanda", "Anacamptis \u00d7 gennarii", "Anacamptis \u00d7 laniccae", "Anacamptis \u00d7 olida", "Pertusaria derogata", "Anacamptis \u00d7 semisaccata", "Anacamptis \u00d7 timbali", "Anacamptis morio", "Pertusaria diffidens", "Pertusaria dussii", "Pertusaria gedehana", "Salsola melitensis", "Cigaritis rukma", "Cigaritis rukmini", "Adenosejus krantzi", "Cigaritis schistacea", "Pertusaria gonolobina", "Euglossa williamsi", "Anacamptis \u00d7 alata", "Granulocheyletus corpuzrarosae", "Pertusaria xanthodes var. xanthodes", "Pertusaria xanthodes var. biformis", "Pertusaria achroiza", "Pertusaria aleianta", "Pertusaria aspera", "Jamides cyta nemea", "Sophora sect.", "Cigaritis nipalicus", "Pertusaria astomoides", "Pertusaria brasiliana", "Sophora sect.", "Sophora ser.", "Pertusaria striolata", "Notoscolex repanga", "Pertusaria subareolata", "Anacamptis \u00d7 alata nothosubsp. apolonana", "Aporodrilus aotea", "Aporodrilus ponga", "Anacamptis \u00d7 alata nothosubsp. sarcidani", "Reductoniscus novaehiberniae", "Reductoniscus pulcher", "Reductoniscus costulatus", "Pseudodiploexochus zairensis", "Sophora molloyi", "Sophora godleyi", "Sophora chathamica", "Sophora fulvida", "Sophora longicarinata", "Pertusaria subdealbata", "Sophora fernandeziana var. fernandeziana", "Pertusaria subpustulata", "Pertusaria subrugosa", "Pertusaria teneriffensis", "Stachys ehrenbergii", "Stachys carduchorum", "Sophora sect.", "Sophora ser.", "Pertusaria melastomella", "Pertusaria mendax", "Pertusaria nagasakensis", "Pertusaria obsolescens", "Pertusaria ochrocarpa", "Pertusaria ochrotheliza", "Pertusaria pachyplaca", "Glyptemys muhlenbergii", "Pertusaria personata", "Pertusaria plana", "Pertusaria platycarpiza", "Pertusaria polysticta", "Pertusaria polystictoides", "Pertusaria rhagadoplaca", "Pertusaria schiffneri", "Pertusaria secedens", "Pertusaria simplicata", "Sophora ser.", "Sophora ser.", "Sophora ser.", "Pertusaria stenostoma", "Sophora ser.", "Sophora ser.", "Sophora ser.", "Sophora ser.", "Pertusaria stramineocarnea", "Pertusaria griseola", "Pertusaria inconveniens", "Charinus vulgaris", "Charinus omanensis", "Charinus perezassoi", "Charinus victori", "Graeophonus anglicus", "Pertusaria lavata", "Pertusaria leeuwenii", "Sigillictystis insigillata", "Cigaritis schistacea gabriel", "Cigaritis schistacea schistacea", "Suaeda sect.", "Suaeda sect.", "Suaeda sect.", "Suaeda sect.", "Suaeda sect.", "Suaeda sect.", "Suaeda sect.", "Suaeda sect.", "Sophora ser.", "Eupyrrhoglossum corvus", "Stachys germanica subsp. dasyanthes", "Stachys germanica subsp. germanica", "Stachys germanica subsp. heldreichii", "Stachys germanica subsp. velezensis", "Stachys alpina subsp. alpina", "Salvia viscosa", "Cigaritis lohita", "Salvia sericeotomentosa", "Salvia sericeotomentosa var. hatayica", "Melittia cristata", "Salvia macrosiphon", "Salvia ertekinii", "Salvia ekimiana", "Melittia cucphuongae", "Salvia aristata", "Melittia distinctoides", "Salvia bahorucona", "Cigaritis lohita formosanus", "Salvia cinnabarina", "Melittia ferroptera", "Salvia lavandula", "Salvia paryskii", "Melittia luzonica", "Salvia kermanshahensis", "Melittia necopina", "Melittia nepalensis", "Stachys cretica subsp. kutahyensis", "Melittia nilgiriensis", "Melittia romieuxi", "Melittia senohi", "Melittia suzukii", "Melittia taiwanensis", "Melittia uenoi", "Melittia inouei", "Cigaritis lohita himalayanus", "Dolgoma angulifera", "Dolgoma fukienica", "Dolgoma lucida", "Dolgoma ovalis", "Dolgoma xanthocraspis", "Dolgoma reticulata", "Dolgoma recta", "Brunia apicalis", "Brunia cucullata", "Brunia fumidisca", "Brunia nebulifera", "Brunia sarawaca", "Cigaritis lohita lazularia", "Capissa vagesa", "Cigaritis lohita lohita", "Gandhara serva", "Katha conformis", "Katha laevis", "Cigaritis lohita panasa", "Katha magnata", "Katha moorei", "Phaeographina commutabilis", "Hydrocyphon deformis", "Hydrocyphon doiinthanonensis", "Hydrocyphon jogjaensis", "Hydrocyphon klapperichi", "Hydrocyphon sagittiger", "Hydrocyphon serratibasialis", "Hydrocyphon takizawai", "Tatuidris kapasi", "Phaeographina galactina", "Whartonacarus anous", "Whartonacarus floridensis", "Whartonacarus nativitatis", "Whartonacarus oceanicus", "Whartonacarus shiraii", "Phaeographina ochrodisca", "Phaeographina prosiliens", "Struthiopterolichus sculpturatus", "Struthiopterolichus bicaudatus", "Phaeographina rhodoplaca", "Naja nigricollis", "Naja nigricollis nigricollis", "Naja nigricollis woodi", "Paphiopedilum subg.", "Paphiopedilum subg.", "Paphiopedilum sect.", "Paphiopedilum sect.", "Physcidia wrightii", "Oreosaurus mcdiarmidi", "Calumma vohibola", "Caragana sect.", "Caragana sect.", "Caragana sect.", "Caragana ser.", "Caragana ser.", "Placolecis opaca", "Platismatia formosana", "Caragana ser.", "Caragana subg.", "Notoscolex tasmani", "Caragana ser.", "Euphaedra eshu", "Euphaedra yemalla", "Uroobovella vietnamica", "Novonothrus lucasi", "Pertusaria vepallida", "Pertusaria xanthothelia", "Pertusaria commutata var. commutata", "Pertusaria commutata var. hypothamnolica", "Pertusaria melaleuca var. melaleuca", "Pertusaria melaleuca var. octospora", "Pertusaria meridionalis", "Pertusaria meridionalis var. meridionalis", "Pertusaria meridionalis var. cinerascens", "Pertusaria subvaginata", "Paphiopedilum micranthum", "Pertusaria subvaginata var. subvaginata", "Pertusaria subvaginata var. orientalis", "Pertusaria praetervisa", "Pertusaria praetervisa var. praetervisa", "Pertusaria praetervisa var. expallescens", "Pertusaria praetervisa var. pileolata", "Pertusaria praetervisa var. straminea", "Sophora ser.", "Sophora ser.", "Sophora ser.", "Virgilia oroboides subsp. ferruginea", "Virgilia oroboides subsp. oroboides", "Cigaritis seliga", "Cigaritis seliga seliga", "Cigaritis seliga rokana", "Megalocypris princeps", "Octochaetus brucei", "Octochaetus sylvestris", "Octochaetus tricystis", "Amynthas corticis", "Amynthas gracilis", "Amynthas hupeiensis", "Anisochaeta laingii", "Anisochaeta novaezealandiae", "Pontodrilus litoralis", "Perionychella egmonti", "Notoscolex hakeaphilus", "Notoscolex napierensis", "Megascolides albus", "Megascolides fuscus", "Megascolides irregularis", "Megascolides parvus", "Megascolides raglani", "Megascolides ruber", "Megascolides rubicundus", "Megascolides viridis", "Graliophilus parvus", "Graliophilus stewartensis", "Diporochaeta caswelli", "Aporodrilus equestris", "Caragana subg.", "Anisochaeta animae", "Aporodrilus esculentus", "Aporodrilus mortenseni", "Aporodrilus dombrovskisi", "Aporodrilus doveri", "Aporodrilus fuscus", "Aporodrilus hartzi", "Aporodrilus melaleucus", "Aporodrilus warrai", "Aporodrilus semisilvus", "Aporodrilus rubicundus", "Aporodrilus olympus", "Aporodrilus nubigenus", "Aporodrilus monogynus", "Decachaetus forsteri", "Decachaetus minor", "Decachaetus violaceus", "Deinodrilus agilis", "Deinodrilus benhami", "Deinodrilus gracilis", "Deinodrilus kanieriensis", "Deinodrilus lateralis", "Deinodrilus montanus", "Deinodrilus parvus", "Deinodrilus suteri", "Diplotrema annectens", "Hoplochaetina pallida", "Hoplochaetina polycystis", "Hoplochaetina robusta", "Leucodrilus digitocystis", "Leucodrilus fuscus", "Diporochaeta minima", "Diporochaeta obtusa", "Diporochaeta punctata", "Celeriella antarctica", "Celeriella argillae", "Celeriella gigantea", "Celeriella pallida", "Bouea macrophylla", "Bouea oppositifolia", "Allolobophora chlorotica", "Campnosperma brevipetiolatum", "Campnosperma panamense", "Pontoscolex corethrurus", "Choerospondias axillaris", "Comocladia dodonaea", "Aporrectodea caliginosa", "Dendrobaena veneta", "Cyrtocarpa edulis", "Cyrtocarpa procera", "Phaeographina stramineoglauca", "Castanospermum brevivexillum", "Gobiomorphus cotidianus", "Amarygmus abiectus", "Phaeographina tumulata", "Osteocephalus duellmani", "Hyalinobatrachium cappellei", "Hyalinobatrachium kawense", "Hyalinobatrachium tricolor", "Kalophrynus tiomanensis", "Alcalus rajae", "Gandaca harina simukensis", "Schinus molle", "Schinus weinmanniifolius", "Tetragonoderus longipes", "Pistacia lentiscus subsp. emarginata", "Pistacia chinensis", "Stellulathyas lundbladi", "Stellulathyas magnifica", "Pistacia eurycarpa", "Pistacia chinensis subsp. integerrima", "Pistacia khinjuk", "Pistacia mexicana", "Pistacia weinmannifolia", "Pistacia \u00d7 saportae", "Notopanisus shewell", "Pseudohydryphantes bebelus", "Wandesia lehmanni", "Caragana subg.", "Caragana ser.", "Caragana ser.", "Cyrtopodion kiabii", "Cyrtopodion dadunense", "Eupyrrhoglossum sagra", "Dracontomelon dao", "Dracontomelon duperreanum", "Megascolides orthostichon", "Diporochaeta pounamu", "Diporochaeta radula", "Perionychella ngakawau", "Zacharius obo", "Decachaetus erici", "Diplotrema bilboi", "Drimycarpus racemosus", "Gluta renghas", "Gluta usitata", "Gluta wallichii", "Lithraea molleoides", "Arostropsis groehni", "Caragana ser.", "Limnonectes sisikdagu", "Phrynoglossus tompotika", "Philautus macroscelis", "Platythecium cristobalensis", "Theridion varians", "Loxoconcha violacea", "Loxoconcha parahuahineensis", "Mangifera altissima", "Mangifera applanata", "Mangifera caesia", "Mangifera decandra", "Mangifera foetida", "Mangifera gedebe", "Mangifera griffithii", "Mangifera lagenifera", "Mangifera macrocarpa", "Mangifera odorata", "Mangifera pajang", "Mangifera pentandra", "Mangifera quadrifida", "Mangifera similis", "Mangifera swintonioides", "Mangifera sylvatica", "Mangifera torquenda", "Leptolalax minimus", "Leptolalax nyx", "Bokermannohyla sagarana", "Paradoxostoma aculeatum", "Paradoxostoma angulatum", "Paradoxostoma congruens", "Paradoxostoma lizardense", "Caragana ser.", "Anacamptis coriophora subsp. fragrans", "Caragana ser.", "Chordodes formosanus", "Dorysthetus fulgidus", "Pachyanas chathamica", "Paradoxostoma worooa", "Paradoxostoma waminoa", "Paradoxostoma virgatum", "Anas chlorotis", "Paradoxostoma tiwiwarrin", "Biziura delautouri", "Paradoxostoma kurrawa", "Cichlasoma zarskei", "Paradoxostoma maldum", "Paradoxostoma melania", "Paradoxostoma minya", "Paradoxostoma moonga", "Alloxysta erythrothorax", "Hedingia albicans", "Paracaudina chilensis", "Paracaudina coriacea", "Paracaudina delicata", "Caragana sect.", "Caragana ser.", "Paracaudina meridionalis", "Utetheisa ornatrix saintcroixensis", "Utetheisa ornatrix bella", "Utetheisa pectinata", "Utetheisa perryi", "Utetheisa sumatrana", "Utetheisa semara", "Utetheisa salomonis", "Utetheisa pulchella", "Utetheisa pulchelloides", "Pyrenula leucotrypa", "Bosara errabunda", "Anacamptis israelitica", "Anacamptis sancta", "Stenocara dentata", "Haematostaphis pierreana", "Harpephyllum caffrum", "Holigarna arnottiana", "Holigarna ferruginea", "Koordersiodendron pinnatum", "Lannea coromandelica", "Lannea edulis", "Amphipterygium adstringens", "Blepharocarya depauperata", "Dobinea vulgaris", "Bracteacoccus ruber", "Chlamydomonas palmellomoewusii", "Elliptochloris philistinensis", "Schizochlamydella orbicularis", "Achoma brachiatum", "Coelastrella ellipsoidea", "Variochloris pyrenoglobularis", "Nepenthes robcantleyi", "Acyrthosiphon kondoi", "Grapholita molesta", "Aleyrodes proletella", "Pyrenula confinis", "Coccus longulus", "Parthenolecanium persicae", "Parthenolecanium elongatum", "Prays nephelomima", "Phyllocoptruta oleivora", "Tarsonemus waitei", "Radumeris tasmaniensis", "Bauhinia cupreonitens", "Pyrenula laii", "Oreophysa microphylla", "Utetheisa amhara", "Utetheisa antennata", "Utetheisa devriesi", "Utetheisa diva", "Utetheisa elata", "Utetheisa lactea", "Utetheisa lotrix", "Utetheisa ornatrix", "Rhododrilus aduncocystis", "Rhododrilus albidus", "Rhododrilus attenuatus", "Rhododrilus benhami", "Rhododrilus intermedius", "Rhododrilus macroseptus", "Rhododrilus minimus", "Rhododrilus papaensis", "Rhododrilus parvus", "Rhododrilus robustus", "Rhododrilus sutherlandi", "Aemene taeniata", "Eupyrrhoglossum venustum", "Aemene altaica", "Thumatha monochroa", "Sigillictystis kendricki", "Thumatha muscula", "Sigillictystis lunifera", "Thumatha senex", "Thumatha ochracea", "Thumatha ochracea bani", "Thumatha orientalis", "Sigillictystis encteta", "Melanaema venata", "Arctelene lateritia", "Chamaita edelburga", "Chamaita fissa", "Chamaita neuropteroides", "Chamaita nubifera", "Chamaita nudapicalis", "Chamaita nympha", "Chamaita trichopteroides", "Cyana adelina", "Schistophleps bipuncta", "Schistophleps fulvia", "Schistophleps hedda", "Schistophleps lofaushanensis", "Schistophleps mundanata", "Schistophleps pyrifulvia", "Utriculofera fuscapex", "Utriculofera macroplaga", "Setina alpestris", "Setina alpestris pseudokuhlweini", "Setina alpestris wolfsbergeri", "Setina aurata", "Setina aurita", "Setina aurita imbuta", "Setina aurita pfisteri", "Setina aurita teriolensis", "Setina roscida", "Setina roscida kuhlweini", "Setina irrorella", "Setina irrorella freyeri", "Setina irrorella mediterranea", "Setina irrorella insignata", "Gandaca harina mindanaensis", "Gandaca harina andamana", "Gandaca harina assamica", "Gandaca harina nicobarica", "Gandaca harina aora", "Gandaca harina austrosundana", "Gandaca harina batanea", "Gandaca harina beruta", "Gandaca harina burmana", "Gandaca harina distanti", "Gandaca harina elis", "Gandaca harina euxenia", "Gandaca harina gardineri", "Gandaca harina hainana", "Gandaca harina kaystia", "Gandaca harina palawanica", "Gandaca harina porana", "Gandaca harina kangeana", "Churinga thailandica", "Churinga rufifrons", "Churinga beema", "Churinga metaxantha", "Churinga virago", "Cyanosesia pelocroca", "Cyanosesia meyi", "Trilochana triscoliopsis", "Trilochana illustris", "Acletoxenus indicus", "Cistopus chinensis", "Amarygmus abortivus", "Pterocyrtus truncaticollis", "Trechistus gordoni", "Goedetrechus damperi", "Goedetrechus florentinus", "Goedetrechus minutus", "Goedetrechus rolani", "Tasmanotrechus alticola", "Tasmanotrechus gordoni", "Tasmanotrechus montisfieldi", "Tasmanotrechus osbornianus", "Tasmanotrechus rolani", "Pleiogynium timoriense", "Tasmanotrechus moorei", "Tasmanorites beatricis", "Poupartia amazonica", "Tasmanorites daccordii", "Tasmanorites lynceorum", "Tasmanorites microphthalmus", "Sloanella gordoni", "Megaselia excuniculus", "Megaselia folliculorum", "Megaselia krejcae", "Megaselia necpleuralis", "Aenigmatias bakerae", "Zambion broadi", "Zambion eileenae", "Zambion kasparyani", "Zambion rogeri", "Zambion wahli", "Zambion hirtum", "Zambion monodon", "Protorhus longifolia", "Pseudosmodingium perniciosum", "Staurophora brantii", "Onobrychis arenaria subsp. arenaria", "Ramalina fimbriata", "Cytheropteron elofsoni", "Prodontria bicolorata", "Brachypauropoides pistillifer", "Bursera aloexylon", "Bursera excelsa", "Bursera fagaroides", "Bursera galeottiana", "Bursera glabrifolia", "Bursera graveolens", "Bursera leptophloeos", "Bursera microphylla", "Bursera penicillata", "Bursera schlechtendalii", "Bursera simaruba", "Paniestichus subsolianus", "Demetrida australis", "Platycaelus depressus", "Setalidius attenuatus", "Setalidius nigerrimus", "Pseudoceneus numeensis", "Platysmodes gambeyi", "Abacomorphus asperulus", "Abacomorphus caledonicus", "Abacophrastus bellorum", "Abacophrastus carnifex", "Abacophrastus chapes", "Abacophrastus hobbit", "Abacophrastus megalops", "Abacophrastus reflexus", "Abacophrastus millei", "Abacoleptus carinatus", "Abacoleptus paradoxus", "Abacoleptus curtus", "Prosopogmus savesi", "Anthrax aethiops", "Pyrenula macrocarpa", "Pyrenula marginatula", "Pyrenula massariospora", "Onobrychis sect.", "Onobrychis sect.", "Diplurodes schintlmeisteri", "Diplurodes vermoleni", "Onobrychis sect.", "Diplurodes spinivalva", "Onobrychis sect.", "Diplurodes lativalva", "Diplurodes negrosana", "Diplurodes tanakai", "Diplurodes mindana", "Diplurodes subdecursaria", "Diplurodes luzonica", "Diplurodes vestita", "Diplurodes karsholti", "Diplurodes luzonensis", "Diplurodes hollowayi", "Jamides pura babinus", "Nacaduba kurava menyangka", "Nacaduba beroe hayashii", "Onobrychis sect.", "Helcyra celebensis", "Helcyra celebensis celebensis", "Helcyra celebensis semifusca", "Onobrychis sect.", "Anacaena paleodominica", "Onobrychis sect.", "Onobrychis sect.", "Hydroscapha jeholensis", "Glyphea wiffenae", "Glyphea christeyi", "Glyphea stilwelli", "Trachysoma antipodum", "Boswellia frereana", "Boswellia neglecta", "Boswellia papyrifera", "Boswellia sacra", "Boswellia serrata", "Boswellia socotrana", "Pyrrhospora bhutanensis", "Plagiolepis boltoni", "Plagiolepis juddi", "Zariquieya boumortensis", "Glyphea franzini", "Onobrychis subg.", "Onobrychis subg.", "Pyrenula parvinuclea", "Pterospoda nigrescens", "Schinopsis balansae", "Schinopsis brasiliensis", "Schinopsis haenkeana", "Schinopsis quebracho-colorado", "Onobrychis sect.", "Pyrenula quassiicola", "Sclerocarya birrea", "Semecarpus anacardium", "Semecarpus ater", "Semecarpus australiensis", "Semecarpus cassuvium", "Smodingium argutum", "Sorindeia juglandifolia", "Sorindeia madagascariensis", "Pyrenula subcongruens", "Pyrenula subcylindrica", "Spondias dulcis", "Spondias indica", "Spondias mombin", "Spondias pinnata", "Spondias purpurea", "Spondias radlkoferi", "Spondias tuberosa", "Spondias venulosa", "Tapirira guianensis", "Tapirira mexicana", "Prosopogmus irideus", "Pyrrhospora fuscisidiata", "Frullania knightbridgei", "Spigelia genuflexa", "Pyrrhospora luminescens", "Hieracium maccoshiana", "Halimione pedunculata", "Neotherina xanthosa", "Halimione portulacoides", "Dysphania anthelmintica", "Dysphania botrys", "Dysphania sect.", "Dysphania sect.", "Dysphania sect.", "Dysphania sect.", "Dysphania sect.", "Ramalina africana", "Dysphania pumilio", "Ramalina anceps", "Ramalina camptospora", "Onobrychis bakuensis", "Ramalina chilensis", "Ramalina darwiniana", "Ramalina darwiniana var. darwiniana", "Ramalina darwiniana var. curvida", "Paracyclopina sacklerae", "Paracyclopina orientalis", "Boholina munaensis", "Boholina parapurgata", "Euglossa marianae", "Euglossa aratingae", "Euglossa carolina", "Euglossa nanomelanotricha", "Euglossa roderici", "Euglossa roubiki", "Euglossa laurensi", "Cigaritis syama", "Filieupodes filiformis", "Filieupodes filistellatus", "Puliciphora fuschermanni", "Puliciphora hermanni", "Puliciphora rontaleri", "Abaristophora nepalensis", "Abaristophora domicamberae", "Abaristophora sachalinensis", "Abaristophora austrophila", "Abaristophora brevicornis", "Abaristophora tonnoiri", "Abaristophora nana", "Abaristophora similicornis", "Abaristophora subarcuata", "Deinodrilus medusa", "Octochaetus diememoratio", "Ramalina geniculatella", "Andesobia sanguinea", "Andesobia boliviana", "Ramalina hossei", "Cytheropteron brastadense", "Patagobia thursbyi", "Venedictoffia karsholti", "Ramalina ketner-oostrae", "Phragmatobia aichelei", "Phragmatobia ibarrae", "Phragmatobia magnifica", "Atriplex calotheca", "Atriplex intracontinentalis", "Ramalina melanothrix", "Ramalina minuscula", "Atriplex longipes", "Zanclognatha dentata", "Ramalina polyforma", "Atriplex praecox", "Argyrostrotis flavistriaria", "Ramalina puiggarii", "Ramalina rigidella", "Ramalina sanctae-helenae", "Ramalina seawardii", "Ramalina sorediosa", "Ramalina subpusilla", "Ramalina throwerae", "Euglossa monnei", "Allotrichoma baliops", "Allotrichoma insulare", "Allotrichoma atrilabre", "Euglossa anodorhynchi", "Euglossa bembei", "Retama raetam subsp. raetam", "Retama raetam subsp. bovei", "Retama raetam subsp. gussonei", "Porcula salvania", "Eurolistriodon tenarezensis", "Typhlops pachyrhinus", "Afrotyphlops anomalus", "Metacypris cordata", "Samariscus neocaledonia", "Metagonia diamantina", "Loxodontomys pikumche", "Protoresinacarus brevipedis", "Athyreacarus pleiotretus", "Crotalomorpha camini", "Commiphora africana", "Commiphora boranensis", "Commiphora caudata", "Commiphora corrugata", "Commiphora gileadensis", "Commiphora guidottii", "Commiphora habessinica", "Commiphora kataf", "Commiphora madagascariensis", "Commiphora mossambicensis", "Commiphora myrrha", "Commiphora schimperi", "Commiphora wightii", "Protium aracouchini", "Protium decandrum", "Protium elegans", "Protium guianense", "Protium icicariba", "Protium serratum", "Eurypauropus maurius", "Hansenauropus gratus", "Pauropus zelandus", "Hansenauropus abrasus", "Aconitum plicatum", "Ramalina fragilis", "Halimione sect.", "Halimione sect.", "Atriplex aucheri", "Methanococcoides burtonii", "Staphylothermus marinus", "Ramalina furcellata", "Andesobia jelskii", "Andesobia flavata", "Gordius paranensis", "Puya raimondii", "Gonocytisus angulatus", "Synemon colona", "Sabussowia ronaldi", "Retama dasycarpa", "Baptista vetai", "Jacobsaptera pilicornis", "Jacobsaptera reunionica", "Jacobsaptera weiserti", "Muna zostera", "Altiura maculata", "Percarina demidoffii", "Percarina maeotica", "Rinodina antillarum", "Rinodina cinereovirescens", "Sparisoma choati", "Lacconotus pinicola", "Lacconotus pallidus", "Lacconotus punctatus", "Ulex gallii subsp. breoganii", "Nocticanace austra", "Nocticanace packhamorum", "Ulex densus", "Rinodina cornutula", "Ulex australis", "Ulex australis subsp. australis", "Stenocader tingidoides", "Ulex australis subsp. welwitschianus", "Caledoderus monteithi", "Aphiura alistairi", "Aphiura borgmeieri", "Aphiura cynthiae", "Aphiura distinctus", "Aphiura tasmaniensis", "Aphiura palpalis", "Maoridrilus suteri ama", "Maoridrilus felix vallis", "Diplonevra caudata", "Metopina australiana", "Metopina climieorum", "Schinia poguei", "Aleptina arenaria", "Beta vulgaris subsp. maritima", "Bassia laniflora", "Ulex gallii subsp. gallii", "Eokochia saxicola", "Odonna passiflorae", "Odonna xenodora", "Xestoleberis expressa", "Talitha anomala", "Deia lineola", "Perzelia arda", "Corita amphichroma", "Cleora determinata", "Cleora fraterna", "Rhodoprasina nanlingensis", "Rinodina pyxinoides", "Loxoconcha ignorabilis", "Loxoconcha arguta", "Cyprinotus luminosus", "Trachyleberis lubrica", "Myrmica radchenkoi", "Rinodina xanthomelana", "Labidostomma multifarium", "Anacamptis cyrenaica", "Anacamptis morio subsp. morio", "Anacamptis morio subsp. caucasica", "Plasmodium cathemerium", "Plasmodium elongatum", "Parapontoporia wilsoni", "Roccellina portentosa", "Rolfidium coccocarpioides", "Anacamptis morio subsp. champagneuxii", "Platyaspistes venustus", "Gonatodes nascimentoi", "Gonatodes riveroi", "Atriplex sphaeromorpha", "Dysphania subsect.", "Dysphania subsect.", "Leptocythere luxuriosa", "Geosiphon pyriformis", "Corispermum intermedium", "Rinodina placynthielloides", "Neodrymonia yakushimensis", "Rinodina pluriloculata", "Neodrymonia taipoensis", "Cleora alienaria", "Loxopterygium huasango", "Loxopterygium sagotii", "Loxostylis alata", "Beckius beccarii", "Anacamptis laxiflora", "Metopium brownei", "Anacamptis laxiflora subsp. dielsiana", "Metopium toxiferum", "Metopium venosum", "Anacamptis laxiflora subsp. dinsmorei", "Orthopterygium huaucui", "Ozoroa insignis", "Pachycormus discolor", "Pterocyrtus striatulus", "Pterocyrtus globosus", "Pterocyrtus cavicola", "Pterocyrtus grayi", "Pterocyrtus meridionalis", "Pterocyrtus tasmanicus", "Amanita gemmata", "Cytisus sect.", "Cytisus sect.", "Cytisus sect.", "Cytisus sect.", "Cytisus sect.", "Cytisus sect.", "Anacamptis palustris", "Halopeplis amplexicaulis", "Halopeplis perfoliata", "Anacamptis palustris subsp. palustris", "Meggoleus fuscatus", "Albunea groeningi", "Xylosalsola chiwensis", "Athanopsis australis", "Macrophthalmus fusculatus", "Charinus bromeliaea", "Lucernariopsis capensis", "Oreobates remotus", "Picia syriaca", "Celeriella shakespeari", "Liacarus longipilis", "Vestergrenopsis elaeina", "Vestergrenopsis isidiata", "Bienertia cycloptera", "Woessia pseudohyphophorifera", "Paedophryne dekot", "Paedophryne verrucosa", "Candonocypris candonioides", "Cicada orni", "Cymatopus femoralis", "Cymatopus ventralis", "Aphodius gissaricus", "Xanthoparmelia beccae", "Orthogonius baconioides", "Scaptia beyonceae", "Anthrenocerus schwarzeneggeri", "Heterostachys ritteriana", "Microcnemum coralloides", "Tecticornia arbuscula", "Tecticornia pergranulata", "Salicornia fruticosa", "Salicornia pacifica", "Salicornia quinqueflora", "Metaleptina diagrapha", "Fodina hoppei", "Eublemma leucoplagiata", "Eublemma argyromorpha", "Periophthalmus barbarus", "Periophthalmus novemradiatus", "Eublemma ionoplagiata", "Periophthalmus novaeguineaensis", "Xanthograpta chrysographa", "Periophthalmus argentilineatus", "Kuehneana antennata", "Metopoceras fibigeri", "Periophthalmus gracilis", "Adisura goateri", "Anacamptis palustris subsp. elegans", "Latrodectus thoracicus", "Noccaea rotundifolia", "Cytisus \u00d7 ceticus", "Sulcaria sulcata f. vulpinoides", "Sabella spallanzanii", "Theora fragilis", "Corbula gibba", "Musculista senhousia", "Synarthothelium cerebriforme", "Parachordodes diblastus", "Cytisus \u00d7 millenii", "Synarthothelium sipmanianum", "Salicornia andina", "Salicornia ambigua", "Salicornia magellanica", "Parachordodes pachydermus", "Salicornia neei", "Salicornia pulvinata", "Noumeaptera spinicephala", "Kaulocoris monteithi", "Kaulocoris stylatus", "Mauricicoris dilatatus", "Retama subg.", "Dysphania rhadinostachya", "Dysphania rhadinostachya subsp. inflata", "Dysphania glomulifera subsp. eremaea", "Dysphania kalpari", "Dysphania littoralis", "Dysphania plantaginella", "Dysphania platycarpa", "Dysphania simulans", "Dysphania sphaerosperma", "Dysphania valida", "Triacanthoneus akumalensis", "Metaculus lepidifolii", "Anacamptis morio subsp. picta", "Rhaebolestes lamingtonensis", "Melisodera gigas", "Moriodema regalis", "Anacamptis morio subsp. syriaca", "Melisodera picipennis", "Prochrysochloris miocaenicus", "Genista subg.", "Genista subg.", "Genista subg.", "Dacryodes costata", "Dacryodes excelsa", "Dacryodes peruviana", "Masteria colombiensis", "Masteria franzi", "Masteria kaltenbachi", "Cytisus sect.", "Reichlingia annae", "Notiophilus dostali", "Notiophilus nuristanensis", "Churia sudana", "Churia typhla", "Cytisus sect.", "Cytisus sect.", "Cytisus sect.", "Cytisus sect.", "Corispermum marschallii", "Nitrophila mohavensis", "Nitrophila occidentalis", "Polycnemum arvense", "Polycnemum majus", "Hablitzia tamnoides", "Oreobliton thesioides", "Septotrapelia triseptata", "Salicornia perennis", "Meggoleus pampahermosensis", "Meggoleus spirator", "Triacanthella madiba", "Platynus daviesi", "Anacamptis palustris subsp. robusta", "Amauropelma matakecil", "Paranamixis thomasi", "Leucothoe vulgaris", "Leucothoe trulla", "Leucothoe obuchii", "Leucothoe nathani", "Leucothoe elegans", "Leucothoe amamiensis", "Oecobius annulipes", "Oecobius marathaus", "Pediculus humanus", "Rattus maorium", "Halopeplis pygmaea", "Halostachys belangeriana", "Heterostachys olivascens", "Cyana luzonica", "Cyana pudens", "Cyana inconclusa", "Hypoblemum albovittatum", "Orchestina gappi", "Orchestina rabagensis", "Rhinodipterus kimberleyensis", "Stenus cangshanus", "Stenus hewenjiae", "Stenus taiyangshanus", "Salicornia pillansii", "Salicornia tegetaria", "Salicornia xerophila", "Salicornia utahensis", "Salicornia globosa", "Salicornia terminalis", "Salsola rosmarinus", "Salsola zygophylloides", "Salsola cruciata", "Salsola cyrenaica", "Salsola drummondii", "Salsola florida", "Salsola foliosa", "Salsola grandis", "Thysanothecium scutellatum", "Salsola glomerata", "Salsola gymnomaschala", "Salsola kerneri", "Salsola makranica", "Toninia bumamma", "Cytisus lanigerus", "Microcebus gerpi", "Trapelia coarctata", "Cytisus infestus", "Trapelia glebulosa", "Cytisus infestus subsp. infestus", "Cytisus infestus subsp. intermedius", "Cytisus rigidus", "Salsola oppositifolia", "Trapelia involuta", "Salsola papillosa", "Trapelia placodioides", "Salsola schweinfurthii", "Salsola stocksii", "Salsola tunetana", "Salsola verticillata", "Salsola zygophylla", "Arnaudius bomansi", "Arnaudius digennaroi", "Arnaudius koikei", "Teloschistes flavicans var. flavicans", "Teloschistes flavicans var. croceus", "Oregus crypticus", "Oregus septentrionalis", "Oregus aereus", "Oregus inaequalis", "Salicornia maritima", "Salicornia virginica", "Allenrolfea patagonica", "Allenrolfea vaginata", "Periophthalmus kalolo", "Kalidium caspicum", "Kalidium cuspidatum", "Kalidium foliatum", "Kalidium gracile", "Kalidium schrenkianum", "Salicornia alpini", "Salicornia blackiana", "Salicornia capensis", "Salicornia decumbens", "Salicornia decussata", "Salicornia dunensis", "Salicornia helmutii", "Salicornia littorea", "Planapamea jiandani", "Salicornia mossambicensis", "Daseuplexia khami", "Daseuplexia shangrilai", "Salicornia mossiana", "Daseuplexia erlangi", "Thalloloma anguinum", "Daseuplexia lagenifera", "Daseuplexia brevipennata", "Thalloloma isidiosum", "Daseuplexia lageniformis", "Daseuplexia marmorata", "Daseuplexia duplicata", "Daseuplexia viridicincta", "Daseuplexia tertia", "Daseuplexia chloromagna", "Salicornia natalensis", "Daseuplexia chloromagna chloromagna", "Daseuplexia chloromagna sericina", "Allopsontus huashanmendesi", "Dysphania burkartii", "Dysphania oblanceolata", "Dysphania retusa", "Dysphania tomentosa", "Dysphania venturii", "Dysphania bonariensis", "Dysphania microcarpa", "Dysphania nepalensis", "Dysphania pseudomultiflora", "Dysphania procera", "Dysphania dissecta", "Dysphania mandonii", "Dysphania stellata", "Dysphania congolana", "Dysphania minuata", "Dysphania melanocarpa", "Dysphania pusilla", "Dysphania truncata", "Dysphania saxatilis", "Teloxys aristata", "Schismatomma spieri", "Dysphania carinata", "Dysphania cristata", "Dysphania graveolens", "Dysphania chilensis", "Anacamptis morio subsp. longicornu", "Dysphania multifida", "Retama rhodorhizoides", "Dysphania glandulosa", "Dysphania glomulifera", "Retama subg.", "Stenus yinziweii", "Stenus zhaiyanbini", "Lathrobium lingae", "Lathrobium longwangshanense", "Lathrobium uncum", "Quedius maoxingi", "Quedius nabanhensis", "Calisto occulta", "Calisto smintheus", "Calisto brochei", "Calisto bruneri", "Calisto muripetens", "Calisto bradleyi", "Paryphanta busbyi", "Paryphanta busbyi busbyi", "Paryphanta busbyi watti", "Metachrostis antemediana", "Metachrostis politzari", "Amefrontia zillii", "Chasmina viridis", "Synchiropus lateralis", "Atheris matildae", "Acarospora interrupta", "Acanthacaris caeca", "Acanthacaris tenuimana", "Eunephrops bairdii", "Eunephrops cadenasi", "Eunephrops manningi", "Hypoblemum villosum", "Oreamnos harringtoni", "Cyana sublutipes", "Aroga kurdistana", "Turatia namibiella", "Pseudatemelia sicilianae", "Aroga affiniella", "Aroga acharnaea", "Aroga alleriella", "Aroga aplasticella", "Metachrostis quinarioides", "Metachrostis chalcoscripta", "Metachrostis snelleni", "Metachrostis remanei", "Metachrostis forsteri", "Metachrostis phaeographa", "Metachrostis pallidiscripta", "Metachrostis comvelox", "Metachrostis rubripuncta", "Metachrostis glaucopuncta", "Metachrostis grandivelox", "Metachrostis ochrographa", "Metachrostis anticalis", "Metachrostis misturata", "Metachrostis eupithecica", "Metachrostis decora", "Metachrostis subdardouini", "Bacidia sulphurella", "Genista sect.", "Euphrasia adenocaulon", "Euphrasia adenonota", "Euphrasia \u00d7 aequalis", "Protanguilla palau", "Anacamptis \u00d7 alatoides", "Anacamptis \u00d7 caccabaria", "Anacamptis \u00d7 dafnii", "Cytisus ratisbonensis", "Thinozercon michaeli", "Azadirachta excelsa", "Azadirachta indica", "Cabralea canjerana", "Carapa procera", "Cedrela lilloi", "Ethmalosa fimbriata", "Suaeda lehmannii", "Suaeda aralocaspica", "Suaeda ifniensis", "Suaeda palaestina", "Suaeda physophora", "Parantica sita", "Suaeda articulata", "Hydraecia franzhoferi", "Valeriodes gyulaiivani", "Valeriodes behouneki", "Oroplexia hreblayi", "Suaeda australis", "Euplexidia youya", "Egira variolosus", "Suaeda divaricata", "Suaeda esteroa", "Suaeda maritima", "Suaeda taxifolia", "Argoctenus aureus", "Hyla molleri", "Euglena obtusa", "Euglena salina", "Lumbriculus variegatus", "Eylais schauinslandi", "Eylais waikawae", "Cricotopus aucklandensis", "Pellucistoma coombsi", "Pellucistoma fordycei", "Paracytheroma stilwelli", "Genista ancistrocarpa", "Genista berberidea", "Gradungula sorenseni", "Spelungula cavernicola", "Sphagniana sphagnorum", "Oxyopes gracilipes", "Oxyopes gregarius", "Aegilops biuncialis", "Aegilops columnaris", "Aegilops kotschyi", "Aegilops longissima", "Aegilops neglecta", "Aegilops peregrina", "Aegilops sharonensis", "Aegilops uniaristata", "Aegilops vavilovii", "Malibaricythere oceanica", "Paracytheroma convexa", "Aoteapsyche colonica", "Neurochorema forsteri", "Clinocythereis australis", "Condica autophiloides", "Tytroca tabberti", "Panilla arabica", "Acarospora lavicola", "Pechipogo saldaitis", "Zanclognatha malhama", "Herminia yemenitica", "Rhynchina yemenitica", "Rhynchina ethiopica", "Acarospora sulphurata", "Churia unipunctata", "Cytherelloidea multicostata", "Cytherelloidea protohieroglyphica", "Aspicilia farinosa", "Cytherelloidea arabesca", "Cytherelloidea parahieroglyphica", "Loxospora elatina", "Leucosporidium golubevii", "Loxospora ochrophaea", "Mungava munda", "Loxospora pustulata", "Nemapalpus spinosus", "Genista sect.", "Pseudodictamnus hirsutus", "Genista sect.", "Multiclavula corynoides", "Genista sect.", "Aglyptorhynchus hakataramea", "Aglyptorhynchus alsandersi", "Aglyptorhynchus casieri", "Aglyptorhynchus columbianus", "Aglyptorhynchus maxillaris", "Aglyptorhynchus palmeri", "Aglyptorhynchus sulcatus", "Aglyptorhynchus venablesi", "Atractogloea stillata", "Mycogelidium sinense", "Notophysis johnstoni", "Notophysis forcipata", "Notophysis laevis", "Sclerochiton acutissimus", "Sclerochiton barbatus", "Sclerochiton bistipulatus", "Sclerochiton excisus", "Haematomma subpuniceum", "Bembecia tancrei", "Bembecia alaica", "Bembecia sareptana", "Bembecia bohatschi", "Bembecia barbara", "Genista sect.", "Salaria economidisi", "Acteonemertes bathamae", "Amphiporus mortonmilleri", "Genista hispanica subsp. hispanica", "Genista hispanica subsp. occidentalis", "Abyssophilos ktis", "Abyssophilos leptodictyota", "Myrmekiaphila neilyoungi", "Genista anglica subsp. anglica", "Asplenium nidus", "Supunna funerea", "Riccia glauca", "Tanycypris centa", "Leptestheriella simhadrii", "Eocyzicus palpalis", "Ischnothyreus namo", "Ischnothyreus tekek", "Ischnothyreus tioman", "Glaucus atlanticus", "Pseudochromis oligochrysus", "Lactuca acanthifolia", "Giganthias serratospinosus", "Lactuca alpestris", "Delena cancerides", "Genista brutia", "Genista silana", "Lactuca graminifolia", "Lactuca longidentata", "Lactuca ludoviciana", "Lactuca watsoniana", "Lactuca azerbaijanica", "Lactuca jamaicensis", "Geonemertes allisonae", "Genista sect.", "Kryptastrina inclusa", "Zygogloea gemellipara", "Genista subg.", "Dacryomycetopsis rosea", "Macrothrix dadayi", "Periplaneta fuliginosa", "Genista sect.", "Kauriphanes khalaimi", "Genista sagittalis subsp. sagittalis", "Olemehlia krali", "Verrucaria epimaura", "Novazelandiella nigroclava", "Eupterotegaeus bitranslamellatus", "Ommatocepheus nortoni", "Genista januensis", "Niphocepheus aborigensis", "Anacyclus valentinus", "Cetraria sepincola", "Cryptomycocolax abnormis", "Anteon ningshanense", "Anteon semirugosum", "Trachurus mediterraneus", "Sheina orri", "Enewton harveyi", "Borneopauropus neozelandicus", "Decapauropus orestes", "Decapauropus undulatus", "Nesopauropus upsilon", "Ataktopauropus adaios", "Pauropus otagoensis", "Pounamupauropus bartonae", "Stylopauropoides vesica", "Neolucanus parryi", "Macrodorcas humilis", "Sundbergia albula", "Microtegeus alvarezi", "Microtegeus asiaticus", "Microtegeus borhidii", "Microtegeus cardosensis", "Microtegeus cervus", "Microtegeus ceylonicus", "Microtegeus cornutus", "Microtegeus foveolatus", "Microtegeus globifer", "Microtegeus granulatus", "Microtegeus hauseri", "Microtegeus hirashimai", "Microtegeus humeratus", "Microtegeus labyrinthicus", "Microtegeus lucianus", "Microtegeus mexicanus", "Microtegeus modestus", "Microtegeus papillosus", "Microtegeus paracervus", "Microtegeus quadrisetosus", "Microtegeus quadristriatus", "Microtegeus reticulatus", "Microtegeus rugosus", "Microtegeus sabahnus", "Microtegeus similis", "Microtegeus undulatus", "Microtegeus variabilis", "Hemitaeniochromis urotaenia", "Zealoctenus cardronaensis", "Argonemertes dendyi", "Antiponemertes novaezealandiae", "Antiponemertes pantini", "Potamonemertes percivali", "Potamonemertes gibsoni", "Schoepfia schreberi", "Balanophora dioica", "Balanophora elongata", "Balanophora latisepala", "Helosis cayennensis", "Libelloides macaronius", "Ocellularia ecolumellata", "Genista januensis subsp. januensis", "Ocellularia gibberulosa", "Apamea remissa", "Apamea remissa remissa", "Apamea remissa karakorina", "Angulorostrum monothrix", "Angulorostrum costatum", "Angulorostrum segonzaci", "Ochrolechia alaskana", "Photeros jamescasei", "Photeros johnbucki", "Photeros mcelroyi", "Allmania nodiflora", "Parmelia barrenoae", "Frankenia hirsuta", "Mixia osmundae", "Microlithosia shaowuica", "Microlithosia umbripuncta", "Macrourus caml", "Colletteichthys occidentalis", "Suctotegeus tumescitus", "Suctotegeus rimosus", "Suctotegeus philippinensis", "Microtegeus zigzag", "Microtegeus khaustovi", "Microtegeus curvisetosus", "Sadocepheus yakuensis", "Eupterotegaeus rostratus", "Eupterotegaeus spinatus", "Eupterotegaeus rhamphosus", "Gomophia gomophia", "Hemeroplanes diffusa", "Leucauge dromedaria", "Exocarpos cupressiformis", "Exocarpos luteolus", "Leucauge taiwanica", "Santalum acuminatum", "Santalum austrocaledonicum", "Santalum ellipticum", "Leucauge liui", "Santalum freycinetianum", "Leucauge tessellata", "Leucauge fastigata", "Santalum haleakalae", "Santalum paniculatum", "Santalum spicatum", "Santalum yasi", "Macrothrix acutirostris", "Macrothrix agsensis", "Macrothrix albuferae", "Macrothrix atahualpa", "Macrothrix boergeni", "Macrothrix brandorffi", "Macrothrix brevicornis", "Macrothrix breviseta", "Macrothrix burstalis", "Macrothrix camjatae", "Macrothrix capensis", "Macrothrix carinata", "Macrothrix elegans", "Macrothrix flabelligera", "Macrothrix flagellata", "Cepheus similis", "Cepheus spinosus", "Macrothrix gauthieri", "Macrothrix hardingi", "Macrothrix hirsuticornis", "Macrothrix hystrix", "Macrothrix indistincta", "Macrothrix laticornis", "Macrothrix longiseta", "Macrothrix magna", "Macrothrix malaysiensis", "Ocellularia inturgescens", "Lecanora sulphurella", "Rhithrogena germanica", "Presbytis hosei canicrus", "Genista triquetra", "Rhopalosiphum chusqueae", "Thaumatocypris echinata", "Koobor jimbarratti", "Koobor notabilis", "Pollenia obscura", "Pollenia rudis", "Ramalina requienii", "Cercopagis micronyx", "Cercopagis neonilae", "Cercopagis ossiani", "Cercopagis pengoi", "Cercopagis prolongata", "Cercopagis robusta", "Cercopagis socialis", "Cercopagis spinicaudata", "Brochiraja heuresa", "Brochiraja vittacauda", "Brochiraja asperula", "Brochiraja spinifera", "Brochiraja aenigma", "Brochiraja albilabiata", "Brochiraja leviveneta", "Brochiraja microspinifera", "Genista sect.", "Xanthoparmelia pulla", "Cypris kraepelini", "Macrothrix marthae", "Macrothrix mexicanus", "Macrothrix montana", "Macrothrix novamexicana", "Macrothrix odiosa", "Macrothrix oviformis", "Macrothrix paulensis", "Macrothrix pectinata", "Macrothrix pennigera", "Macrothrix pholpunthini", "Macrothrix pseudospinosa", "Macrothrix rosea", "Macrothrix ruehei", "Macrothrix sarsi", "Macrothrix shadini", "Macrothrix sierrafriatensis", "Macrothrix sioli", "Macrothrix smirnovi", "Macrothrix spinosa", "Macrothrix superaculeata", "Macrothrix tabrizensis", "Macrothrix timmsi", "Macrothrix tobaensis", "Macrothrix tripectinata", "Macrothrix triserialis", "Macrothrix vietnamensis", "Macrothrix williamsi", "Leptodora richardi", "Holopedium acidophilum", "Holopedium amazonicum", "Holopedium atlanticum", "Holopedium gibberum", "Holopedium glacialis", "Holopedium groenlandicum", "Holopedium ramasarmii", "Tuber melanosporum", "Priscakoala lucyturnbullae", "Charpentiera densiflora", "Charpentiera elliptica", "Charpentiera obovata", "Nototrichium divaricatum", "Xanthoparmelia loxodes", "Nototrichium humile", "Nototrichium sandwicense", "Lepidoceras chilense", "Nestronia umbellula", "Osyris alba", "Osyris quadripartita", "Schoepfia arenaria", "Ilyodromus kerguelensis", "Hymenancora biscutella", "Hymenancora conjungens", "Hymenancora dogieli", "Hymenancora duplicata", "Hymenancora exigua", "Hymenancora inaequalis", "Hymenancora interjecta", "Hymenancora japycina", "Hymenancora laevis", "Hymenancora lundbecki", "Hymenancora orientalis", "Hymenancora pecqueryi", "Hymenancora rhaphidophora", "Hymenancora rufa", "Hymenancora simplicissima", "Hymenancora sirventi", "Hymenancora tenuisclera", "Hymenancora tenuissima", "Hymenancora triungulata", "Hymenancora umbellifera", "Pleuropetalum darwinii", "Ramalina bourgeana", "Ramalina crispatula", "Ramalina decipiens", "Ramalina implectens", "Ramalina pitardii", "Siphusauctum gregarium", "Ramalina pluviariae", "Ctenotus astarte", "Ctenotus serotinus", "Ramalina pusilla", "Sellocharis paradoxa", "Polhillia obsoleta", "Allophyes oxyacanthae", "Allophyes benedictina benedictina", "Allophyes benedictina pseudasiatica", "Allophyes asiatica asiatica", "Pupalia lappacea", "Allophyes asiatica cypriaca", "Noctua noacki", "Ramalina subgeniculata", "Ramonia interjecta", "Cricula leyteana", "Cricula kareli", "Cricula leyteana leyteana", "Cricula leyteana bayani", "Cricula halconensis", "Cyana lutipes", "Cyana costifimbria", "Roccella maderensis", "Stauracanthus subg.", "Stauracanthus subg.", "Protopristus minutus", "Protopristus attenuatus", "Protopristus gracilis", "Helichus cordubensis", "Pamphagus batnensis", "Odontophrynus monachus", "Leptobrachium xanthops", "Kalophrynus limbooliati", "Psammochela tutiae", "Bythotrephes brevimanus", "Bythotrephes cederstroemi", "Bythotrephes crassicadus", "Bythotrephes longimanus", "Bythotrephes transcaucasicus", "Cercopagis anonyx", "Cercopagis beklemishevi", "Cercopagis cylindrata", "Cercopagis longicaudata", "Cercopagis longiventris", "Garuga pinnata", "Haplolobus floribundus", "Santiria tomentosa", "Scutinanthe brunnea", "Tetragastris altissima", "Pachyscalpellum cramptoni", "Pachyscalpellum glauerti", "Tetragastris hostmannii", "Pachyscalpellum debodae", "Tetragastris panamensis", "Paedophryne amauensis", "Salsola komarovii", "Haloxylon ammodendron", "Usnea perpusilla", "Verrucaria aucklandica", "Halogeton glomeratus", "Halogeton sativus", "Verrucaria microsporoides", "Kirkia acuminata", "Kirkia wilmsii", "Aglaia edulis", "Aglaia elaeagnoidea", "Aglaia foveolata", "Aglaia odorata", "Aglaia odoratissima", "Aglaia silvestris", "Aphanamixis polystachya", "Lygephila angustissima", "Lygephila fibigeri", "Lasianobia fickleri", "Verrucaria phaeoderma", "Cornulaca monacantha", "Sideridis vamberyi", "Papestra florianii", "Paedophryne swiftorum", "Cerastis flagellata", "Diarsia pelenai", "Climacoptera crassa", "Cladonia litoralis", "Coccocarpia melloniorum", "Pannaria byssoidea", "Pannaria implexa", "Uncol diazii", "Graphis brittoniae", "Graphis elevata", "Graphis hinnulea", "Vestalenula boteai", "Vestalenula cuneata", "Vestalenula daps", "Meionemertes polygonimos", "Heteromycophaga glandulosae", "Oryctanthus alveolatus", "Phthirusa nitens", "Scurrula ferruginea", "Scurrula parasitica", "Onawea sylvaticus", "Tapinanthus bangwensis", "Tapinanthus globifer", "Taxillus caloreas", "Taxillus chinensis", "Taxillus delavayi", "Taxillus renii", "Taxillus sutchuenensis", "Taxillus yadoriki", "Phragmanthera capitata", "Edaphosoma corniventris", "Edaphosoma cornutiventris", "Edaphosoma impressicollis", "Edaphosoma kurbatovi", "Edaphosoma lanceolifer", "Edaphosoma luojimontis", "Edaphosoma nodiventris", "Edaphosoma puetzi", "Edaphosoma puncticollis", "Edaphosoma schuelkei", "Edaphosoma sinense", "Edaphosoma spinosiventris", "Edaphosoma spinuliventris", "Edaphosoma yunnanense", "Edaphosoma scherpa", "Edaphosoma cassagnaui", "Edaphosoma janetscheki", "Edaphosoma coriaceus", "Edaphosoma nepalensis", "Edaphosoma sikkimensis", "Agnosthaetus aequalis", "Agnosthaetus brounides", "Agnosthaetus chiasma", "Agnosthaetus rodmani", "Agnosthaetus cariniceps", "Agnosthaetus falx", "Agnosthaetus stenomastax", "Agnosthaetus vicinus", "Agnosthaetus stilbus", "Agnosthaetus bisulciceps", "Polyphemus brevicaudis", "Polyphemus exiguus", "Agnosthaetus affinis", "Polyphemus pediculus", "Agnosthaetus akatarawa", "Agnosthaetus aorangi", "Agnosthaetus bicolor", "Agnosthaetus carnelius", "Agnosthaetus ecarinatus", "Agnosthaetus enigmus", "Agnosthaetus heteromastax", "Agnosthaetus imitator", "Agnosthaetus impressus", "Agnosthaetus kaikoura", "Agnosthaetus lanceolatus", "Agnosthaetus leviceps", "Agnosthaetus minutus", "Agnosthaetus newtoni", "Agnosthaetus nitidus", "Agnosthaetus nunni", "Agnosthaetus orongo", "Agnosthaetus sculptus", "Agnosthaetus thayerae", "Agnosthaetus truncatus", "Agnosthaetus tumidus", "Agnosthaetus zonatus", "Thallinocarpon nigritellum", "Thallinocarpon pulvinatum", "Thitarodes sejilaensis", "Thitarodes jiachaensis", "Thitarodes kangdingensis", "Toninia toepfferi", "Thitarodes malaisei", "Thitarodes namensis", "Thitarodes anomopterus", "Thitarodes dongyuensis", "Thitarodes arizanus", "Toninia tristis subsp. pseudotabacina", "Thitarodes biruensis", "Thitarodes danieli", "Thitarodes dierli", "Thitarodes eberti", "Thitarodes lijiangensis", "Thitarodes luquensis", "Thitarodes dinggyeensis", "Thitarodes fusconebulosa", "Thitarodes gallicus", "Thitarodes hainanensis", "Thitarodes latitegumenus", "Thitarodes luteus", "Thitarodes menyuanicus", "Thitarodes namlinensis", "Thitarodes nubifer", "Thitarodes pui", "Thitarodes richthofeni", "Thitarodes sichuanus", "Thitarodes sinarabesca", "Thitarodes varians", "Thitarodes varius", "Thitarodes xizangensis", "Thitarodes yongshengensis", "Thitarodes bibelteus", "Phassodes odorevalvula", "Phassodes albistrigata", "Alicenula serricaudata", "Alicenula inversa", "Alicenula furcabdominis", "Isabenula humphreysi", "Lophophytum mirabile", "Sarcophyte sanguinea", "Thonningia sanguinea", "Amyema pendula", "Dendrophthoe curvata", "Dendrophthoe falcata", "Elytranthe flavida", "Gaiadendron punctatum", "Philonthus puncticollis", "Lepeostegeres beccarii", "Nuytsia floribunda", "Protohepialus comstocki", "Graphis pinicola", "Vestalenula lundi", "Roseala bourgognei", "Schausiana trojesa", "Vestalenula pagliolii", "Toenga oceanica", "Vestalenula danielopoli", "Trichophassus giganteus", "Xhoaphryx lemeei", "Zelotypia stacyi", "Aepytus exclamans", "Alloaepytus tesselloides", "Bipectilus unimacula", "Bipectilus paraunimacula", "Bipectilus omaiensis", "Bipectilus tindalei", "Bipectilus perfuscus", "Bipectilus latirami", "Bipectilus gracilirami", "Penthesilenula incae", "Bipectilus yunnanensis", "Penthesilenula araucana", "Chenopodium atrovirens", "Neomarica humilis", "Fuchsia lycioides", "Gorgopis libania", "Gorgopis armillata", "Gorgopis aurifuscata", "Gorgopis furcata", "Gorgopis inornata", "Gorgopis lobata", "Gorgopis pallidiflava", "Gorgopis hunti", "Gorgopis crudeni", "Gorgopis auratilis", "Vestalenula inconspicua", "Vestalenula marlieri", "Vestalenula molopoensis", "Laburnum \u00d7 watereri", "Leptosciarella coarctata", "Sciara hispida", "Lupinus sect.", "Lupinus sect.", "Apodasya pilosa", "Graphis chlorotica", "Graphis renschiana", "Edaphus wunderlei", "Edaphus aculeiventris", "Edaphus agostii", "Edaphus baliensis", "Edaphus carinifrons", "Edaphus cornelli", "Edaphus crassipennis", "Edaphus koreanus", "Edaphus longifrons", "Edaphus palmi", "Edaphus schawalleri", "Protaetia squamosa", "Aethiessa squamosa", "Stylopauropus zelandus", "Calocaria maurae", "Calocaria robusta", "Tayshaneta archambaulti", "Tayshaneta emeraldae", "Tayshaneta fawcetti", "Tayshaneta grubbsi", "Tayshaneta madla", "Tayshaneta oconnorae", "Tayshaneta sandersi", "Tayshaneta sprousei", "Tayshaneta vidrio", "Tayshaneta whitei", "Abrachybaris psychotriae", "Noctusphecia puchneri", "Bolbozoe acuta", "Rapala masara", "Rapala arbaimuni", "Bolbozoe rugosa", "Bolbozoe parvafraga", "Genoveva henana", "Parabolbozoe armoricana", "Anacamptis \u00d7 duquesnei", "Anacamptis \u00d7 eccarii", "Ceratonia oreothauma subsp. oreothauma", "Ceratonia oreothauma subsp. somalensis", "Anacamptis \u00d7 feinbruniae", "Anacamptis \u00d7 genevensis", "Dasypelates curvatus", "Colotis danae", "Pleopis schmackeri", "Zalea clava", "Zalea dayi", "Zalea earlyi", "Zalea johnsi", "Zalea lithax", "Zalea mathisi", "Zalea ohauorae", "Zalea uda", "Zalea wisei", "Zalea minor", "Zalea major", "Zalea horningi", "Apotropina tomentosa", "Apotropina uniformis", "Apotropina nagatomii", "Apotropina sinensis", "Apotropina stuckenbergi", "Apotropina brunneivittata", "Apotropina lachaisei", "Apotropina nigricornis", "Apotropina sigalopleura", "Apotropina tsitsikama", "Apotropina quadriseta", "Apotropina shewelliana", "Apotropina sulae", "Apotropina tonnoiri", "Apotropina wisei", "Denebola brachycephala", "Andeabatis chilensis", "Cladoxycanus minos", "Neohepialiscus algeriensis", "Oiophassus nycterus", "Parahepialiscus baluensis", "Phialuse palmar", "Prohepialus incertus", "Guilandina caymanensis", "Anacamptis \u00d7 gennarii nothosubsp. bornemanniae", "Anacamptis \u00d7 gennarii nothosubsp. choirokitiana", "Aulacopodus calathoides", "Dicrochile maura", "Ctenognathus cardiophorus", "Ctenognathus parabilis", "Notiobia quadricollis", "Harpalus australasiae", "Notospermus geniculatus", "Notospermus tricuspidatus", "Craticulineus novaezealandiae", "Micrura pleuropolia", "Gorgopis fuscalis", "Gorgopis cochlias", "Gorgopis serangota", "Gorgopis subrimosa", "Gorgopis caffra", "Gorgopis alticola", "Gorgopis intervallata", "Gorgopis leucopetala", "Gorgopis centaurica", "Gorgopis salti", "Gorgopis olivaceonotata", "Gorgopis pholidota", "Gorgopis zellerii", "Gorgopis butlerii", "Gorgopis tanganyikaensis", "Gorgopis grisescens", "Gorgopis annulosa", "Gorgopis ptiloscelis", "Gazoryctra hyperborea", "Gazoryctra lembertii", "Gazoryctra mathewi", "Gazoryctra mcglashani", "Gazoryctra noviganna", "Gazoryctra pulcher", "Gazoryctra roseicaput", "Antihepialus capeneri", "Antihepialus vansoni", "Antihepialus keniae", "Antihepialus antarcticus", "Palpifer pellicia", "Palpifer murinus", "Palpifer taprobanus", "Palpifer tavoyanus", "Palpifer umbrinus", "Palpifer sordida", "Palpifer madurensis", "Palpifer hopponis", "Palpifer falkneri", "Leto venus", "Silurocypridina retroreticulata", "Silurocypridina variostriata", "Silurocypridina calva", "Notholimnophila exclusa", "Acantholimnophila maorica", "Acantholimnophila bispina", "Hydroporus bithynicus", "Aneurillus longicollis", "Aneurillus papuasicus", "Aneurillus doesburgi", "Aneurillus consimilis", "Aneurillus foliaceus", "Aneurillus pumilus", "Cryptophilharmostes merkli", "Exosphaeroma waitemata", "Exosphaeroma falcatum", "Makarasphaera amnicosa", "Bilistra cavernicola", "Bilistra millari", "Bilistra mollicopulans", "Scutuloidea kutu", "Desertoplusia paghmana paupera", "Tungucypridopsis lairdi", "Cypridopsis lairdi", "Rapala mikaae", "Leptosciarella trochanterata", "Sciara coarctata", "Sciara prisca", "Sciara splendens", "Sciara saltuum", "Sciara hirsutissima", "Aneurillodes cascadensis", "Caledoneurus lariviereae", "Naja atra", "Naja nivea", "Potamites montanicola", "Naja melanoleuca", "Aneurillodes borneensis", "Aneurillodes glaberrimus", "Aneurillodes superbus", "Aneurillodes leptosomus", "Aneurillodes tahitianus", "Ilyocryptus raridentatus", "Ilyocryptus sarsi", "Ilyocryptus silvaeducensis", "Ilyocryptus smirnovi", "Ilyocryptus spinifer", "Ilyocryptus spinosus", "Ilyocryptus thailandensis", "Ilyocryptus timmsi", "Ilyocryptus tuberculatus", "Ilyocryptus uenoi", "Ilyocryptus vitali", "Jeholornis palmapenis", "Amaurobioides major", "Amaurobioides piscator", "Apocephalus borealis", "Toxopsoides huttoni", "Trypaneoides costata", "Pseudopomyza aristata", "Aneuria angusta", "Symphylella maorica", "Mesolaelaps australiensis", "Temnosewellia vietnamensis", "Libidibia coriaria", "Libidibia ferrea var. ferrea", "Libidibia ferrea var. glabrescens", "Libidibia ferrea var. parvifolia", "Anacamptis \u00d7 lasithica", "Anacamptis \u00d7 lesbiensis", "Anacamptis \u00d7 lloydiana", "Anacamptis \u00d7 menosii", "Anacamptis \u00d7 olida nothosubsp. paparistoi", "Anacamptis \u00d7 parvifolia", "Anacamptis \u00d7 parvifolia nothosubsp. bicknellii", "Hestina nama", "Hestina nama nama", "Hestina nama namida", "Hestina nama melanoides", "Hestina dissimilis", "Hemicypris pyxidata", "Hemicypris ovata", "Hemicypris megalops", "Cypridopsis exigua", "Cypridopsis adusta", "Cypridopsis dubia", "Anacamptis \u00d7 gerakarionis", "Anacamptis \u00d7 larzacensis", "Anacamptis \u00d7 laniccae nothosubsp. galloprovinciana", "Novafroneta nova", "Tara spinosa", "Lessertia dentichelis", "Cambridgea antipodiana", "Anacamptis \u00d7 gennarii nothosubsp. kusadasiensis", "Anacamptis \u00d7 gennarii nothosubsp. orientecaucasica", "Anacamptis \u00d7 gennarii nothosubsp. subpapilionacea", "Leptoecia midatlantica", "Phlegra proszynskii", "Phintella monteithi", "Yamangalea lubinae", "Eumerus armatus", "Sphiximorpha hiemalis", "Parahyadina lacustris", "Ephydrella novaezealandiae", "Ephydrella thermarum", "Ilyocryptus acutifrons", "Ilyocryptus africanus", "Ilyocryptus agilis", "Ilyocryptus bernerae", "Ilyocryptus bhardwaji", "Ilyocryptus brevidentatus", "Ilyocryptus cornutus", "Ilyocryptus cuneatus", "Ilyocryptus denticulatus", "Ilyocryptus elegans", "Ilyocryptus gouldeni", "Ilyocryptus isanensis", "Ilyocryptus martensi", "Ilyocryptus nevadensis", "Ilyocryptus paranaensis", "Ilyocryptus plumosus", "Gasteria acinacifolia", "Gasteria obliqua", "Gasteria carinata", "Gasteria \u00d7 cheilophylla", "Gasteria croucheri", "Gasteria disticha", "Gasteria excelsa", "Gasteria nitida", "Naja philippinensis", "Naja pallida", "Caesalpinia ciliata", "Aneurillus zairenus", "Breviscutaneurus micromorphus", "Breviscutaneurus angustus", "Aneurus maoricus", "Aneurus zealandensis", "Aneurus brevipennis", "Aneurus brouni", "Aneurus prominens", "Aneurus salmoni", "Tunga bossii", "Tunga trimamillata", "Phacopsylla inexpectata", "Echidnophaga suricatta", "Excremis coarctata", "Geitonoplesium cymosum", "Neotunga euloidea", "Tunga callida", "Tunga monositus", "Simethis mattiazzii", "Tunga travassosi", "Tunga bondari", "Hectopsylla narium", "Hectopsylla pulex", "Aneurillus cetratus", "Aneurillus cheesmanae", "Aneurillus jacobsoni", "Myro hamiltoni", "Gasparia coriacea", "Abrostola agnorista", "Abrostola bettoni", "Abrostola brevipennis", "Abrostola brevipennis brevipennis", "Abrostola brevipennis nairobiensis", "Abrostola confusa", "Abrostola confusa confusa", "Abrostola confusa ethiopica", "Abrostola congolensis", "Abrostola dejeani", "Abrostola fallax", "Abrostola imitatrix", "Abrostola kaszabi", "Abrostola major", "Abrostola marmorea", "Abrostola obliqua", "Abrostola obscura", "Abrostola oculea", "Abrostola pacifica", "Abrostola proxima", "Abrostola pulverea", "Abrostola rougeoti", "Abrostola sugii", "Abrostola ussuriensis", "Abrostola violacea", "Abrostola ugartii", "Checupa viridissima", "Checupa stegeri", "Checupa meiseri", "Checupa bugeri", "Checupa major", "Checupa vitalina", "Checupa fortissima", "Checupa curvivena", "Checupa equifortis", "Abrostola peruviana", "Abrostola karsholti", "Abrostola hyrcanica", "Abrostola gabori", "Mouralia tinctoides", "Desertoplusia bella", "Desertoplusia colornata", "Desertoplusia paghmana", "Desertoplusia paghmana paghmana", "Cambridgea fasciata", "Cambridgea grandis", "Acontosceles javanicus", "Platypelochares chinensis", "Oosternum okinawaense", "Prionocyphon babai", "Pseudeucinetus javanicus", "Pseudeucinetus solomonicus", "Cinnamodendron corticosum", "Prosinodendron krelli", "Cinnamosma macrocarpa", "Pleodendron macranthum", "Warburgia salutaris", "Warburgia ugandensis", "Cafius aguayoi", "Zygogynum bicolor", "Zygogynum crassifolium", "Zygogynum stipitatum", "Hydnora africana", "Bofilliella subarcuata", "Prosopanche americana", "Manekia incurva", "Harperocallis flava", "Hechtia pueblensis", "Climocella pukanui", "Fectola melchior", "Cermatulus nasalis", "Cermatulus nasalis turbotti", "Elingamita johnsonii", "Hedyscepe canterburyana", "Hydriastele beguinii", "Hydriastele oxypetala", "Hydriastele wendlandiana", "Cyrtostachys elegans", "Cyrtostachys renda", "Horama plumipes", "Thermopsis barbata var. barbata", "Anacamptis \u00d7 semisaccata nothosubsp. santamariotae", "Protobothrops maolanensis", "Anacamptis \u00d7 simorrensis", "Thermopsis barbata var. gyirongensis", "Thermopsis sect.", "Anthoseptobasidium taguarae", "Neotyphula guianensis", "Ambolus pumilus", "Ambolus cavallius", "Anacamptis \u00d7 sciathia", "Hestina ouvradi", "Hestina jermyni", "Hestina namoides", "Hestina waterstradti", "Hestina divona", "Thermopsis sect.", "Ambolus coniunctus", "Melanelia subaurifera", "Sigmogloea tremelloidea", "Tremellina pyrenophila", "Xenolachne flagellifera", "Anacamptis \u00d7 semisaccata nothosubsp. murgiana", "Balaustium hernandezi", "Ornithodoros brasiliensis", "Callulops fojaensis", "Callulops mediodiscus", "Libidibia ferrea var. leiostachya", "Cypris vittata", "Cypris decorata", "Ilyocypris angulata", "Ilyocypris dentifera", "Dolerocypris sinensis", "Halodule wrightii", "Syringodium filiforme", "Najas flexilis", "Najas graminea", "Najas guadalupensis", "Najas marina", "Najas minor", "Caesalpinia eriostachys", "Triglochin maritima", "Triglochin palustris", "Triglochin striata", "Althenia filiformis", "Caesalpinia yucatanensis", "Zannichellia palustris", "Caesalpinia palmeri", "Caesalpinia nipensis", "Caesalpinia myabensis", "Hymenobia aporea", "Hypogymnia hultenii", "Pisum sativum subsp. abyssinicum", "Rhynchogastrema coronatum", "Cystobasidiopsis nirenbergiae", "Lecanora carpoides", "Lecanora margacea", "Lecanora chloroleprosa", "Lecanora orbicularis", "Lecanora graeca", "Pisum sativum subsp. elatius", "Leptogorgia cortesi", "Zanchia sanctae-mariae", "Myxobolus insignis", "Philarius condi", "Kwoniella mangrovensis", "Otus mauli", "Dugesia tubqalis", "Anacamptis \u00d7 van-lookenii", "Hypsibius valentinae", "Macrobiotus sottilei", "Paramacrobiotus klymenki", "Coffeikokkos copeyensis", "Zyginella menghaiensis", "Loneura andina", "Loneura tuluaensis", "Amaurobius koponeni", "Naja katiensis", "Thermopsis sect.", "Naja arabica", "Habralictus gonzalezi", "Naja anchietae", "Euxinella alpinella", "Naja nigricincta", "Thermopsis sect.", "Vestia lazarovii", "Naja senegalensis", "Euxinella subaii", "Thermopsis sect.", "Delos coresia", "Delos jeffreysiana", "Cheilolejeunea trifaria", "Ambolus delicatulus", "Ambolus stewartus", "Ambolus swansoni", "Dasyleptus triassicus", "Termitaradus dominicanus", "Cermada inexspectata", "Cermada triregia", "Procambridgea rainbowi", "Procambridgea cavernicola", "Climocella manawatawhia", "Tornatellinops novoseelandica", "Evonima elegans", "Meganola melanomedia", "Meganola diversalis", "Retinia jezoensis", "Retinia khasiensis", "Retinia salweenensis", "Retinia houseri", "Retinia monopunctata", "Zeiraphera suzukii", "Zeiraphera rufimitrana", "Virgo confusa", "Virgo major", "Adixoa pyromacula", "Adixoa alterna", "Adixoa leucocyanea", "Adixoa tomentosa", "Adixoa trizonata", "Echidgnathia vitrifasciata", "Echidgnathia khomasana", "Homogyna bartschi", "Cabomina tsomoana", "Acanthophoenix rubra", "Saruma henryi", "Asarum subg.", "Amorbimorpha powelliana", "Amorbimorpha mackayiana", "Asarum sect.", "Amorbimorpha schausiana", "Amorbimorpha spadicea", "Elachista kobomugi", "Elachista albidella", "Elachista bipunctella", "Elachista utonella", "Naja samarensis", "Naja kaouthia", "Bosara exortiva", "Bosara albitornalis", "Bosara janae", "Bosara subrobusta", "Naja mossambica", "Spiralisigna gloriae", "Axinoptera anticostalis", "Ypthima arctoa", "Ypthima arctoa arctoa", "Ypthima arctoa subarctua", "Ypthima avanta", "Ypthima praestans", "Ypthima pulchra", "Ypthima recta", "Ypthima lamto", "Ypthima vuattouxi", "Ypthima jacksoni", "Ypthima condamini", "Ypthima condamini condamini", "Ypthima condamini nigeriae", "Anacamptis \u00d7 timbali nothosubsp. albuferensis", "Naja annulifera", "Anacamptis \u00d7 timbali nothosubsp. reinhardii", "Chrysozephyrus smaragdinus luxurians", "Acarospora atrata", "Acarospora wahlenbergii", "Aspicilia insolata", "Lobesia virulenta", "Lobesia mieae", "Caloplaca magni-filii", "Candelariella superdistans", "Ionaspis obtecta", "Ypthima asterope", "Ypthima asterope asterope", "Ypthima asterope hereroica", "Ionaspis ventosa", "Ypthima asterope mahratta", "Ypthima yatta", "Ypthima congoana", "Ypthima rhodesiana", "Ypthima simplicia", "Ypthima antennata", "Ypthima antennata antennata", "Ypthima antennata cornesi", "Muellerina latimarginata", "Ypthima granulosa", "Lecanora hypoptella", "Lecanora latro", "Ypthima pupillaris", "Thermopsis dahurica", "Ypthima pupillaris pupillaris", "Ypthima pupillaris obscurata", "Ypthima impura", "Ypthima impura impura", "Anacamptis \u00d7 timbali nothosubsp. barlae", "Ypthima impura paupera", "Ypthima doleta", "Anacamptis \u00d7 timbali nothosubsp. ugrinskyana", "Thysananthus spathulistipus", "Phacopteron gabrieli", "Hebridelos haasi", "Nephrosperma vanhoutteanum", "Oncosperma fasciculatum", "Oncosperma gracilipes", "Oncosperma horridum", "Oncosperma tigillarium", "Phoenicophorium borsigianum", "Roscheria melanochaetes", "Verschaffeltia splendida", "Copernicia alba", "Copernicia baileyana", "Copernicia berteroana", "Copernicia burretiana", "Copernicia curbeloi", "Copernicia gigas", "Copernicia glabrescens", "Copernicia hospita", "Copernicia macroglossa", "Copernicia tectorum", "Copernicia \u00d7 sueroana", "Copernicia \u00d7 vespertilionum", "Copernicia yarey", "Procambridgea carrai", "Procambridgea hilleri", "Procambridgea hunti", "Procambridgea ourimbah", "Procambridgea lamington", "Procambridgea kioloa", "Procambridgea montana", "Procambridgea monteithi", "Procambridgea otwayensis", "Schizoglossa gigantea", "Schizoglossa major", "Schizoglossa worthyae", "Celastrina serotina", "Celastrina fedoseevi", "Celastrina humulus", "Celastrina neglectamajor", "Ypthima diplommata", "Ypthima albida", "Lecidea stenotera", "Ypthima albida albida", "Ypthima albida uniformis", "Ypthima albida occidentalis", "Ypthima ancus", "Chenopodium nutans", "Chenopodium nutans subsp. eremaeum", "Chenopodium nutans subsp. linifolium", "Chenopodium nutans subsp. oxycarpum", "Agrilus alajuelensis", "Agrilus cavei", "Agrilus coloradoensis", "Agrilus exquisitus", "Agrilus dipterioides", "Agrilus frankparkeri", "Agrilus updikei", "Agrilus opitzi", "Chenopodium trigonon", "Agrilus marthae", "Agrilus zumbadoi", "Agrilus percaroides", "Chenopodium trigonon subsp. leiocarpum", "Chenopodium trigonon subsp. stellulatum", "Chenopodium robertianum", "Chenopodium baccatum", "Chenopodium baccatum subsp. dioicum", "Chenopodium candolleanum", "Chenopodium candolleanum subsp. argenteum", "Chenopodium wilsonii", "Chenopodium aciculare", "Stereocaulon urceolatum", "Naja annulata", "Amborhytida dunniae", "Amborhytida pycrofti", "Steriphus binodulus", "Steriphus caudatus", "Steriphus maculatus", "Steriphus lineatus", "Dalader pulchrus", "Neomictis filicornis", "Prionolomia truncata", "Isodermus maculosus", "Aradus australis", "Carventaptera spinifera", "Clavaptera ornata", "Leuraptera zealandica", "Chinamyersia cinerea", "Chinamyersia viridis", "Woodwardiessa quadrata", "Adenocoris brachypterus", "Adenocoris spiniventris", "Neadenocoris abdominalis", "Neadenocoris acutus", "Neadenocoris glaber", "Neadenocoris ovatus", "Neadenocoris reflexus", "Neadenocoris spinicornis", "Ctenoneurus hochstetteri", "Ctenoneurus myersi", "Ctenoneurus pendergrasti", "Ctenoneurus setosus", "Neocarventus angulatus", "Lecidea apochroeella", "Lecidea globulispora", "Lecidea prasinolepis", "Lepraria bergensis", "Steatoda regia", "Leptogium britannicum", "Anoteropsis hilaris", "Anoteropsis hallae", "Hospitalitermes krishnai", "Delouagapia cordelia", "Scrobipalpa wiltshirei", "Sclerophora pallida", "Chenopodium preissii", "Chenopodium preissii subsp. obovatum", "Chenopodium benthamii", "Chenopodium drummondii", "Chenopodium spinescens", "Chenopodium eremaeum", "Chenopodium parabolicum", "Chenopodium allanii", "Chenopodium polygonoides", "Chenopodium triandrum", "Chenopodium ulicinum", "Timdalia intricata", "Varicellaria rhodocarpa", "Pasohstichus konishii", "Spinileberis quadriaculeata", "Spinileberis lubrica", "Acarospora fulvoviridula", "Autosticha bilobella", "Acarospora confusa", "Autosticha dayuensis", "Autosticha pyungyangensis", "Autosticha hainanica", "Autosticha guangdongensis", "Biatora sphaeroidiza", "Autosticha leukosa", "Autosticha cuspidata", "Autosticha sichuanica", "Autosticha sinica", "Autosticha taiwana", "Autosticha latiuncusa", "Autosticha mingchrica", "Autosticha consimilis", "Boreoplaca ultrafrigida", "Calicium denigratum", "Phragmoxenidium mycophilum", "Calydiscoides convolutus", "Calydiscoides japonicus", "Calydiscoides nemipteris", "Calydiscoides cymbidioides", "Leptosciarella pilosa", "Leptosciarella defecta", "Aspilosterna valida", "Aspilosterna albovittata", "Aspilosterna pictor", "Aspilosterna elegantula", "Chamaelirium luteum", "Pycanum rubens", "Doesbergiana borneoensis", "Bombylius helvus", "Byrsodepsus zetteli", "Megymenum affine", "Idiostolus insularis", "Canungrantmictis morindana", "Chinemesa uniannulata", "Enigmocephala deinorhyncha", "Echeneis neucratoides", "Calydiscoides australis", "Porpidinia tumidula", "Calydiscoides difficilis", "Calydiscoides duplicostatus", "Calydiscoides gussevi", "Calydiscoides rohdei", "Calydiscoides euzeti", "Calydiscoides terpsichore", "Protoparmelia leproloma", "Protoparmelia phaeonesos", "Calydiscoides limae", "Psora saviczii", "Ramalina nematodes", "Yezocythere hayashii", "Johnnealella nopporensis", "Rhizocarpon dinothetes", "Rhizocarpon disco\u00ebnse", "Rhizocarpon rivulare", "Rhizocarpon sublavatum", "Calydiscoides conus", "Rimularia subconcava", "Camaegeria aristura", "Calydiscoides scolopsidis", "Calydiscoides kemamanensis", "Calydiscoides monogrammae", "Calydiscoides flexuosus", "Megymenum lisi", "Megymenum megaspinosum", "Megymenum aruense", "Megymenum confusum", "Megymenum salebrosum", "Megymenum obliquum", "Grantessa ampullae", "Grantessa anisactina", "Gonipterus platensis", "Alloeorhynchus myersi", "Gonipterus scutellatus", "Megymenum dohrni", "Megymenum basale", "Megymenum brevicorne", "Toninia collematicola", "Toninia cretica", "Toninia verrucariae", "Toninia tristis subsp. coahuilae", "Toninia tristis subsp. thalloedaemiformis", "Trapelia obtegens", "Usnea dasypoga", "Capillaria acanthopagri", "Acanthopagrus schlegelii", "Oxyopes mundulus", "Megymenum anacanthum", "Megymenum dentatum", "Megymenum gracilicorne", "Megymenum mekongum", "Megymenum parallelum", "Megymenum pratti", "Megymenum quadratum", "Megymenum rectangulatum", "Megymenum semivestitum", "Megymenum serratum", "Megymenum severini", "Megymenum spinosum", "Garsauria laosana", "Tectocoris diophthalmus", "Ochrochira nigrovittata", "Aspilosterna acutangula", "Aspilosterna lateralis", "Phodoryctis caerulea", "Phodoryctis dolichophila", "Phodoryctis thrypticosema", "Phodoryctis stephaniae", "Philodoria auromagnifica", "Philodoria basalis", "Philodoria epibathra", "Philodoria floscula", "Philodoria marginestrigata", "Philodoria micropetala", "Philodoria nigrella", "Philodoria spilota", "Philodoria splendida", "Philodoria succedanea", "Philodoria costalis", "Miriquidica nigroleprosa var. nigroleprosa", "Philodoria dubauticola", "Philodoria naenaeiella", "Miriquidica nigroleprosa var. liljenstroemii", "Philodoria nigrelloides", "Philodoria neraudicola", "Philodoria molokaiensis", "Philodoria lysimachiella", "Philodoria touchardiella", "Philodoria pittosporella", "Miriquidica obnubila", "Miriquidica picea", "Philodoria ureraella", "Philodoria urerana", "Philodoria pipturicola", "Philodoria pipturiana", "Philodoria pipturiella", "Philodoria wilkesiella", "Parmeliopsis esorediata", "Philodoria dubautiella", "Philodoria hibiscella", "Philodoria hauicola", "Philodoria lipochaetaella", "Philodoria sciallactis", "Parectopa viminea", "Parectopa trichophysa", "Parectopa refulgens", "Parectopa pselaphotis", "Parectopa lithomacha", "Huffmanela balista", "Huffmanela banningi", "Huffmanela branchialis", "Huffmanela ossicola", "Huffmanela filamentosa", "Huffmanela canadensis", "Huffmanela carcharini", "Huffmanela huffmani", "Erythrina subg.", "Huffmanela japonica", "Huffmanela shikokuensis", "Huffmanela longa", "Huffmanela lata", "Huffmanela plectropomi", "Huffmanela mexicana", "Huffmanela paronai", "Huffmanela moraveci", "Cyana garuda", "Cyana bebas", "Cyana javanica", "Cyana plateni", "Cyana perornata", "Cyana saulia", "Cyana nigrilineata", "Cyana ariadne", "Cyana arama", "Cyana divakara", "Cyana dohertyi", "Cyana sikkimensis", "Cyana puer", "Cyana candida", "Cyana detrita", "Lecanora compallens", "Cyana miles", "Cyana securizonis", "Huffmanela schouteni", "Helcomeria osheai", "Helcomeria spinosa", "Leptogium juressianum", "Molipteryx asahinai", "Molipteryx chinai", "Molipteryx fuliginosa", "Molipteryx hardwickii", "Molipteryx lunata", "Polididus australis", "Camaegeria auripicta", "Camaegeria monogama", "Camaegeria exochiformis", "Camaegeria sophax", "Camaegeria massai", "Camaegeria polytelis", "Camaegeria xanthomos", "Camaegeria lychnitis", "Camaegeria viettei", "Camaegeria sylvestralis", "Camaegeria xanthopimplaeformis", "Tipulamima auronitens", "Tipulamima grandidieri", "Tipulamima haugi", "Tipulamima tricincta", "Tipulamima opalimargo", "Tipulamima festiva", "Tipulamima malimba", "Tipulamima flammipes", "Tipulamima flavifrons", "Tipulamima hypocalla", "Tipulamima ivondro", "Tipulamima nigriceps", "Tipulamima pedunculata", "Tipulamima pyrosoma", "Tipulamima seyrigi", "Tipulamima sexualis", "Centrocnemis schaeferi", "Centrocnemoides sumatrana", "Cosmolestes picticeps", "Cosmolestes pulcher", "Cosmolestes yunnanus", "Cosmolestes annulipes", "Cosmolestes nigrinus", "Cosmolestes pictus", "Cosmolestes aethiopicus", "Gallobelgicus heissi", "Gallobelgicus nigrovittatus", "Gallobelgicus typicus", "Tribelocodia ashei", "Polididus armatissimus", "Polididus perarmatus", "Kantipuria lyu", "Hymenoclea palmii", "Malgassesia rufescens", "Malgassesia rufithorax", "Malgassesia ankaratralis", "Malgassesia biedermanni", "Malgassesia milloti", "Malgassesia pauliani", "Malgassesia seyrigi", "Rudolphia hombergi", "Pseudalcathoe chatanayi", "Pseudalcathoe aspetura", "Lecanora barkmaniana", "Cyana vespertata", "Cyana vespertata vespertata", "Cyana vespertata decolorata", "Pleocarphus revolutus", "Cyana adita", "Cyana peregrina", "Cyana catorhoda", "Cyana rubrifasciata", "Cyana puella", "Cyana alborosea", "Cyana obliquilineata", "Cyana amabilis", "Cyana pellucida", "Cyana unipunctata", "Cyana obscura", "Cyana pratti", "Cyana signa", "Cyana guttifera", "Cyana grandis", "Cyana molleri", "Cyana khasiana", "Cyana fasciola", "Cyana impunctata", "Cyana sumatrensis", "Cyana conclusa", "Gallobelgicus monticolus", "Gallobelgicus siamensis", "Gallobelgicus saevus", "Lablab purpureus subsp. purpureus", "Potaninia mongolica", "Pileodon megasporus", "Nyctocyrmata crotalopis", "Gorgopis angustiptera", "Gorgopis limbopunctata", "Acanthopteroctetes nepticuloides", "Acanthopteroctetes aurulenta", "Acanthopteroctetes bimaculata", "Acanthopteroctetes tripunctata", "Lablab purpureus subsp. uncinatus", "Acanthopteroctetes unifascia", "Catapterix crimaea", "Scyrotis natalensis", "Achrioptera fallax", "Mictis riedeli", "Mictis sulawesiana", "Mictis difficilis", "Mictis longicornis", "Thermopsis thermophila", "Mictis abstrusa", "Mictis amboinensis", "Mictis angusta", "Mictis caja", "Mictis dilatipes", "Mictis discolor", "Mictis falloui", "Mictis farinulenta", "Mictis formidabilis", "Mictis fuscipes", "Mictis gallina", "Mictis javana", "Mictis macra", "Mictis oceanensis", "Mictis profana", "Mictis pungens", "Mictis rufovittata", "Mictis serina", "Mictis tenebrosa", "Mictis tridentifer", "Mictis tuberosa", "Acanthocephala terminalis", "Pseudomictis distinctus", "Anisoscelis foliacea", "Anisoscelis flavolineata", "Anisoscelis gradadia", "Anisoscelis affinis", "Diactor bilineatus", "Cypris inflata", "Cypris ovalis", "Vigna sect.", "Vigna sect.", "Drosophila virgulata", "Drosophila kikiko", "Drosophila kinoole", "Dyselachista saltatricella", "Hoplophanes tritocosma", "Ischnocanaba euryzona", "Dieffenbachia cannifolia", "Lamprozela praefulgens", "Monachozela neoleuca", "Phanerozela polydora", "Prophylactis argochalca", "Pseliastis trizona", "Diacopia nyssaefoliella", "Normandina acroglypta", "Aechmea magdalenae", "Alavona indecorella", "Cigaritis syama hainana", "Bolbelasmus romanorum", "Cigaritis syama negrita", "Vigna subg.", "Vigna sect.", "Cigaritis syama peguanus", "Vigna subg.", "Hypomecis exilis", "Telebasis obsoleta", "Lathriobates manohardasi", "Lathriobates kuiterti", "Cellana strigilis", "Anisoscelis alipes", "Anisoscelis discolor", "Anisoscelis hymeniphera", "Anisoscelis scutellaris", "Anisoscelis marginella", "Anisoscelis podalica", "Psilodon paschoali", "Cigaritis syama frigidus", "Oiceoptoma inaequale", "Oiceoptoma nakabayashii", "Oiceoptoma subrufum", "Oiceoptoma nigropunctatum", "Oiceoptoma noveboracense", "Oiceoptoma picescens", "Oiceoptoma rugulosum", "Oiceoptoma hypocritum", "Dendroxena sexcarinata", "Oxelytrum anticola", "Oxelytrum apicale", "Oxelytrum biguttatum", "Oxelytrum cayennense", "Adela siccana", "Adela culminicola", "Ceromitia okatjikona", "Ceromitia jamaka", "Antispilina varii", "Antispilina ludwigi", "Antispila metallella", "Antispila treitschkiella", "Antispila cornifoliella", "Antispila freemani", "Antispila nysaefoliella", "Antispila eugeniella", "Antispila isabella", "Antispila viticordifoliella", "Antispila major", "Antispila aurirubra", "Antispila voraginella", "Antispila argentifera", "Antispila ampelopsilofoliella", "Antispila hydrangaeella", "Coptodisca diospyriella", "Coptodisca ella", "Coptodisca juglandiella", "Coptodisca condaliae", "Coptodisca arbutiella", "Coptodisca kalmiella", "Coptodisca lucifluella", "Coptodisca ostryaefoliella", "Coptodisca saliciella", "Milleretta rubidgei", "Coptodisca spledoriferella", "Coptodisca powellella", "Coptodisca ribesella", "Coptodisca cercocarpella", "Coptodisca quercicolella", "Coptodisca negligens", "Tunga penetrans", "Coptodisca magnella", "Heliozela sericiella", "Heliozela resplendella", "Heliozela lithargyrella", "Heliozela hammoniella", "Heliozela aesella", "Heliozela gracilis", "Holocacista rivillei", "Oxelytrum discicolle", "Oxelytrum emarginatum", "Oxelytrum erythrurum", "Oxelytrum lineatocolle", "Oxelytrum opacum", "Heissiphara minuta", "Byrsodepsus coriarius", "Dindymus fecialis", "Jakobia birsteini", "Motacilla flava cinereocapilla", "Bishops whitmorei", "Alicella gigantea", "Maotherium sinensis", "Paralicella tenuipes", "Acinonyx kurteni", "Polypterus bichir lapradei", "Crocodylus palaeindicus", "Aldabrachampsus dilophus", "Diplometopon zarudnyi", "Aegialodon dawsoni", "Cyclommatus faunicolor", "Hemisodorcus nepalensis", "Hemisodorcus rafflesii", "Vigna sect.", "Vigna sect.", "Polypterus bichir bichir", "Syntypistis alleni", "Syntypistis trioculata", "Syntypistis malayana", "Vigna sect.", "Vigna sect.", "Vigna subg.", "Cigaritis syama sepulveda", "Cigaritis syama syama", "Cigaritis syama terana", "Chenopodium suecicum", "Cigaritis vixinga", "Cigaritis vixinga davidsoni", "Cigaritis vixinga vixinga", "Cigaritis masaeae", "Stenia pallida", "Vigna sect.", "Drosophila moli", "Drosophila nukea", "Drosophila opuhe", "Drosophila pihulu", "Drosophila pilipa", "Chenopodium striatiforme", "Stictonectes rebeccae", "Cyrtodactylus kimberleyensis", "Chasca andina", "Chasca gravis", "Catapaecilma elegans", "Vigna subg.", "Vigna sect.", "Vigna sect.", "Vigna sect.", "Ancistrotropis firmula", "Acanthops coloradensis", "Memphis aureola", "Crenicichla tendybaguassu", "Lutjanus argentimaculatus", "Scaphiophis albopunctatus", "Neocentrocnemis stali", "Neocentrocnemis formosana", "Bembidion tillyardi", "Vigna subg.", "Vigna sect.", "Vigna sect.", "Cystoopsis acipenseris", "Cystoopsis atractostei", "Pyrenula chlorospila", "Vigna subg.", "Vigna subg.", "Pyrenula macrospora", "Catapaecilma elegans chaline", "Catapaecilma elegans elegans", "Bolbelasmus gallicus", "Bolbelasmus tauricus", "Bolbelasmus nireus", "Xerodes ypsaria", "Xerodes albisparsa", "Xerodes pilosa", "Xerodes lignicolor", "Xerodes cinerosa", "Xerodes albonotaria", "Xerodes rufescentaria", "Xerodes rufescentaria rufescentaria", "Xerodes rufescentaria consociaria", "Catapaecilma elegans niasana", "Catapaecilma elegans zephyria", "Dolichos formosanus", "Dolichos formosanus var. rhombifolius", "Dolichos formosanus var. formosanus", "Catapaecilma evansi", "Catapaecilma evansi evansi", "Catapaecilma evansi parva", "Catapaecilma evansi rizali", "Catapaecilma gracilis", "Angulicytherura urupica", "Trapelia corticola", "Catapaecilma harmani", "Catapaecilma lila", "Speleonectes fuchscockburni", "Alexandromenia heteroglandulata", "Alexandromenia gulaglandulata", "Simrothiella vasconiensis", "Lygosoma veunsaiensis", "Pedicia fusca", "Hilarempis barbatula", "Hilarempis argentifera", "Hilarempis carinata", "Hilarempis elegans", "Hilarempis gymnaspis", "Hilarempis xanthocera", "Cajanus sect.", "Amborhytida tarangaensis", "Pyrrhospora rubiginans", "Cartomothrips browni", "Cartomothrips manukae", "Cartomothrips laughlini", "Cartomothrips neboissi", "Dasineura rubiformis", "Ctenoplusia limbirena", "Plusia limbirena", "Spinileberis endoi", "Isodermus tenuicornis", "Isodermus crassicornis", "Agnathosia obisagittalis", "Agnathosia byrsinopa", "Agnathosia sandoeensis", "Lissaptera completa", "Scrobipalpa bazae", "Scrobipalpa bigoti", "Scrobipalpa deleta", "Scrobipalpa dellucae", "Scrobipalpa gregori", "Scrobipalpa hannemanni", "Scrobipalpa kasyi", "Scrobipalpa klimeschi", "Scrobipalpa meyricki", "Scrobipalpa milleri", "Scrobipalpa niveifacies", "Scrobipalpa remota", "Scrobipalpa soffneri", "Scrobipalpa superstes", "Scrobipalpa trebujenae", "Cajanus sect.", "Cydnochoerus nigrosignatus", "Catapaecilma major", "Microporus thoreyi", "Cajanus sect.", "Macroscytus australis", "Panstrongylus mitarakaensis", "Catapaecilma major albicans", "Panstrongylus martinezorum", "Catapaecilma major callone", "Catapaecilma major emas", "Catapaecilma major moltrechti", "Cajanus sect.", "Targarema stali", "Nabis biformis", "Nabis kinbergii", "Nabis maoricus", "Empicoris aculeatus", "Empicoris angulipennis", "Empicoris rubromaculatus", "Empicoris seorsus", "Remaudiereana nigriceps", "Tomocoris ornatus", "Cajanus sect.", "Cajanus sect.", "Aegisuchus witmeri", "Rhamphocoris borneensis", "Rhamphocoris rubroniger", "Rhamphocoris pulcher", "Rhamphocoris dorothea", "Rhamphocoris hasegawai", "Phorticus affinis", "Phorticus formosanus", "Alloeorhynchus queenslandicus", "Xanthoparmelia delisei", "Cathalistis secularis", "Catocala antinympha", "Catocala badia", "Catocala bokhaica", "Catocala brandti", "Catocala butleri", "Catocala conjuncta", "Catocala connexa", "Catocala contemnenda", "Catocala conversa", "Catocala danilovi", "Catocala davidi", "Catocala deducta", "Catocala desiderata", "Catocala detrita", "Catocala dilecta", "Catocala distorta", "Catocala diversa", "Catocala doerriesi", "Catocala dotatoides", "Catocala habilis", "Catocala innubens", "Catocala maso", "Catocala muliercula", "Catocala piatrix", "Catocala robinsonii", "Catocala solntsevi", "Catocala seiohbo", "Catocala patala patala", "Catocala chenyixini", "Orthocraspeda janikornae", "Palirisa lineosa", "Palirisa archivicina", "Palirisa cervina", "Palirisa taipeishanis", "Palirisa birmana", "Palirisa salex", "Hypothecla astyla", "Hypothecla astyla astyla", "Hypothecla astyla mindanaensis", "Hypothecla astyla tegea", "Hypothecla honos", "Cathalistis bispinosa", "Cathalistis orinephela", "Picrospora achlyota", "Picrospora oreotrephes", "Picrospora amalthea", "Catapaecilma major major", "Picrospora anastrota", "Picrospora araea", "Picrospora crocostacta", "Picrospora secura", "Picrospora chrysochalca", "Picrospora isometra", "Picrospora coniographa", "Catapaecilma major myosotina", "Picrospora frigens", "Picrospora inops", "Picrospora invia", "Picrospora monoplecta", "Picrospora protocentra", "Picrospora selmatarcha", "Picrospora furcifera", "Picrospora ochrophragma", "Picrospora lithacopa", "Picrospora purgata", "Picrospora medicata", "Catapaecilma major sedina", "Catapaecilma major sophonias", "Picronarycia transversa", "Catapaecilma nuydai", "Picronarycia richtersveldicola", "Picronarycia deserta", "Picronarycia karioscola", "Picronarycia maculasquamosa", "Placodoma oasella", "Placodoma palaestinella", "Placodoma ragonoti", "Placodoma vista", "Catapaecilma subochrea", "Tarsolepis punicea", "Adrisa numeensis", "Hepsetus odoe", "Fromundus pygmaeus", "Fromundus fallax", "Geopeltus tuberculatus", "Homatula laxiclathra", "Geopeltus neocaledonicus", "Enneapterygius qirmiz", "Acaricoris lattini", "Pachynomus alutaceus", "Lytrophila gracilis", "Lytrophila humida", "Lytrophila panarga", "Lytrophila ingeminata", "Lytrophila phaulopa", "Lytrophila sporarcha", "Lytrophila sporocentra", "Lasioctena bonaprospecti", "Lasioctena sisyraea", "Rhodobates mirabib", "Rhodobates unicolor", "Rhodobates friedeli", "Rhodobates algiricella", "Rhodobates emorsus", "Rhodobates paracosma", "Rhodobates asymmetricus", "Rhodobates canariensis", "Rhodobates pallipalpellus", "Rhodobates pinkeri", "Rhodobates transjordana", "Rhodobates pinkeri pinkeri", "Rhodobates pinkeri gomerae", "Rhodobates laevigatellus", "Stenus cirrus", "Stenus zhangdinghengi", "Stenus maoershanus", "Physoderes esakii", "Ploiaria chilensis", "Ploiaria antipoda", "Physoderes bengalensis", "Physoderes buruensis", "Physoderes corporaali", "Physoderes curculionis", "Physoderes decora", "Physoderes dimidiata", "Physoderes dyak", "Physoderes flavipennis", "Physoderes fuliginosa", "Physoderes histrionica", "Physoderes hobbyi", "Physoderes impexa", "Physoderes notata", "Chilocoris neocaledonicus", "Batrachoseps bramei", "Batrachoseps altasierrae", "Ansonia thinthinae", "Macroscytus matilei", "Adrisa flavomarginata", "Teabooma princeps", "Perissomastix dentifera", "Hypochlorosis ancharia", "Perissomastix idolatrix", "Perissomastix varii", "Perissomastix breviberbis", "Hypochlorosis antipha", "Flavoparmelia caperatula", "Perissomastix hirundinea", "Perissomastix atricorna", "Perissomastix madagascarica", "Flavoparmelia virensica", "Rhodobates nodicornella", "Rhodobates amorphopa", "Nyctocyrmata numeesia", "Angulicytherura ventroangulata", "Scalmatica albifusa", "Scalmatica albofasciella", "Scalmatica ascendens", "Scalmatica constrata", "Angulicytherura truncata", "Scalmatica corticea", "Scalmatica insularis", "Scalmatica malacista", "Scalmatica meyelodes", "Scalmatica phaulocentra", "Scalmatica retiaria", "Scalmatica rhicnopa", "Angulicytherura rugosa", "Scalmatica rigens", "Scalmatica rimosa", "Scalmatica separata", "Scalmatica zernyi", "Scalmatica gnathosella", "Scalmatica saccusella", "Angulicytherura miii", "Perissomastix afghana", "Perissomastix atlantis", "Perissomastix meruicola", "Perissomastix montis", "Perissomastix pantsa", "Perissomastix perlata", "Perissomastix protaxia", "Perissomastix ruwenzorica", "Perissomastix similatrix", "Perissomastix styx", "Perissomastix titanea", "Perissomastix bergeri", "Perissomastix bifurcatella", "Perissomastix crassicornella", "Perissomastix gabori", "Perissomastix gibi", "Hypselosoma hickmani", "Perissomastix peltiger", "Perissomastix mascherata", "Perissomastix othello", "Perissomastix nox", "Perissomastix mucrapex", "Edosa namakwana", "Edosa crassivalva", "Edosa gypsoptera", "Edosa montanata", "Edosa nigralba", "Edosa perinipha", "Kariosa autumnaria", "Kariosa albulata", "Pseudurgis karoo", "Pseudurgis mollis", "Pseudurgis minorata", "Pseudurgis tineiformis", "Pseudurgis acosmetos", "Pseudurgis vernalis", "Amphicarpaea bracteata var. comosa", "Bucculatrix khomasi", "Bucculatrix wittnebeni", "Bucculatrix inchoata", "Zelleria namibiensis", "Baerenschenkia umtrunkula", "Paraxenistis macrostoma", "Deryaxenistis serrata", "Deryaxenistis africana", "Homadaula wieseri", "Gallaicolichen pacificus", "Pelocharella palpata", "Glonium circumserpens", "Amphicarpaea bracteata var. bracteata", "Cyphanta minwangi", "Hypomecis philippinicola", "Hypomecis inanimacula", "Hypomecis exilis exilis", "Hypomecis aculeata", "Hypomecis adamata", "Hypomecis roboraria", "Hypomecis castigataria", "Hypomecis akiba", "Hypomecis punctinalis", "Hypomecis danieli", "Hypomecis punctinalis punctinalis", "Hypomecis punctinalis kerstinae", "Hypomecis kuriligena", "Hypomecis crassestrigata", "Hypomecis sommereri", "Hypomecis barretti", "Hypomecis complacita", "Hypomecis intrusilinea", "Graphis borealis", "Hypochlorosis lorquinii", "Kennedia coccinea subsp. calcaria", "Kennedia coccinea subsp. esotera", "Kennedia coccinea subsp. coccinea", "Themonocoris endroedyi", "Themonocoris aethiopicus", "Themonocoris bambesanus", "Themonocoris kinkalanus", "Themonocoris tshikapanus", "Cypretta obfuscata", "Cypretta longidactyla", "Alamella mira", "Alamella oxynthes", "Alamella flava", "Alamella maai", "Mecodema constrictum", "Mecodema gourlayi", "Oncacontias vittatus", "Rhopalimorpha alpina", "Rhopalimorpha humeralis", "Rhopalimorpha lineolaris", "Rhopalimorpha obscura", "Lepiorsillus tekapoensis", "Aedes koreicus", "Coleopterocoris nelsoni", "Aphelocheirus bruneiensis", "Aphelocheirus tuberculipes", "Aphelocheirus narmadaensis", "Aphelocheirus kaygieyess", "Aphelocheirus inops", "Phrynosoma platyrhinos platyrhinos", "Patapius thaiensis", "Leotichius shiva", "Valleriola novacaledonica", "Spectroreta thumba", "Spectroreta hyalodisca", "Spectroreta fenestra", "Vanhornia quizhouensis", "Graphis stenospora", "Graphis stenospora var. stenospora", "Graphis stenospora var. deficiens", "Cifuna locuples", "Cifuna infuscata", "Cifuna glauca", "Mimozethes angula", "Cyclidia sericea", "Cyclidia pitmani", "Cyclidia dictyaria", "Cyclidia fabiolaria", "Cyclidia fractifasciata", "Cyclidia orcifera", "Cyclidia rectificata", "Cyclidia substigmaria", "Graphis coenensis", "Graphis gonimica", "Graphis lumbschii", "Graphis macella", "Graphis rustica", "Graphis seminuda", "Graphis stenotera", "Graphis subimmersa", "Oreta sinuata", "Oreta bimaculata", "Oreta hyalina", "Oreta cera", "Oreta dalia", "Lathyrus sect.", "Oreta zigzaga", "Oreta asignis", "Oreta fusca", "Tilapia busumana", "Oreta bilineata", "Oreta unichroma", "Oreta ancora", "Oreta trianga", "Oreta insignis", "Oreta loochooana", "Oreta paki", "Oreta pulchripes", "Oreta turpis", "Oreta rosea", "Oreta hoenei", "Oreta trispina", "Acleris dispar", "Acleris fuscopunctata", "Acleris lutescentis", "Acleris helvolaris", "Acleris rosella", "Cispia griseola", "Echinoplectanum laeve", "Platynus maculicollis", "Ponerorchis hemipilioides", "Shizhenia pinguicula", "Hemithecium aphanes", "Hemithecium contortum", "Hemithecium rimulosum", "Onthophagus turgidus", "Axelheibergella arctica", "Axelheibergella punctata", "Axelheibergella longipes", "Rhopalimorpha ignota", "Rhopalimorpha similis", "Melittobia clavicornis", "Anexotamos flavibasis", "Macracantha arcuata", "Herminium gracile", "Herminium josephi", "Herminium kalimpongense", "Herminium monophyllum", "Herminium pugioniforme", "Limotettix awae", "Herminium pusillum", "Choerocydnus coleopteroides", "Choerocydnus foveolatus", "Metapocyrtus insularis", "Cypriconcha barbata", "Metapocyrtus lanusinus", "Metapocyrtus latinasus", "Metapocyrtus quadriplagiatus", "Metapocyrtus ruficrus", "Euproctis bubalina", "Euproctis pentamaculata", "Graphis superans", "Euproctis emeiensis", "Euproctis monomaculata", "Euproctis lutea", "Pida apicalis", "Pida decolorata", "Pida postalba", "Pida dianensis", "Pida minensis", "Pida pica", "Pida flavopica", "Daplasa irrorata", "Daplasa blacklinea", "Phassus argentiferus", "Phassus triangularis", "Phassus championi", "Phassus costaricensis", "Phassus pedipogon", "Phassus signifer", "Phassus signifer signifer", "Phassus signifer sinensis", "Phassus signifer hunanensis", "Phassus excrescens", "Haematomma erythromma", "Halecania santessonii", "Rhododendron subsect.", "Glaucocharis tibetensis", "Euproctis gilva", "Euproctis jingdongensis", "Euproctis digitata", "Euproctis helvola", "Euproctis cerina", "Hermonassa griseosignata", "Hermonassa chagyabensis", "Ivela eshanensis", "Latoia argentifascia", "Latoia mutifascia", "Latoia zhudiana", "Latoia liangdiana", "Latoia parapuncta", "Latoia eupuncta", "Latoia bana", "Latoia jina", "Lecithocera sublunata", "Lecithocera tenella", "Lecithocera fascitiala", "Lecithocera niptanensis", "Brookesia micra", "Euheptaulacus esuriens", "Lecithocera pseudolunata", "Longipenis paradeltidius", "Amphimallon vitalei", "Longipenis dentivalvus", "Amphimallon javeti", "Longipenis deltidius", "Oxyuranus microlepidotus", "Oxyuranus scutellatus", "Oxyuranus temporalis", "Dendroaspis angusticeps", "Dendroaspis jamesoni", "Dendroaspis jamesoni kaimosae", "Dendroaspis jamesoni jamesoni", "Anzia afromontana", "Cypriconcha hypsophila", "Krobia xinguensis", "Eviota atriventris", "Aspidelaps scutatus", "Aspidelaps lubricus", "Chilocoris kotejai", "Chilocoris monticola", "Pseudorhabdosynochus americanus", "Chilocoris obscurus", "Ja toshioi", "Dictyotus caenosus", "Hypsithocus hudsonae", "Monteithiella humeralis", "Ge geta", "Ceromitia tubulifolia", "Physignathus lesueurii howittii", "Hemithecium nakanishianum", "Diarsia ferruginea", "Protolampra sobrina", "Gasteracantha dalyi", "Paroxyplast menghaiensis", "Paroxyplast lineata", "Cispia lunata", "Cispia cretacea", "Erebophasma nyalamensis", "Erebophasma conjunctiva", "Erebophasma obliqua", "Graphis dolichographa", "Graphis duplicatoinspersa", "Euproctis bisinuata", "Graphis eburnea", "Euproctis trisinuata", "Graphis sayeri", "Euproctis fumea", "Euproctis cacaina", "Graphis subcelata", "Euproctis heptamaculata", "Euproctis crememaculata", "Parkinsonia scioana", "Cytherella magna", "Amorpha \u00d7 notha", "Echinoplectanum chauvetorum", "Lathyrus sect.", "Echinoplectanum echinophallus", "Echinoplectanum leopardi", "Echinoplectanum pudicum", "Echinoplectanum rarum", "Echinoplectanum plectropomi", "Pennulituba piratifalx", "Pennulituba cymansis", "Volsellituba elephantina", "Volsellituba nabla", "Volsellituba orchidea", "Aculops orlovacae", "Pristimantis bustamante", "Rhypodes clavicornis", "Cermatulus nasalis hudsoni", "Cermatulus nasalis nasalis", "Oechalia schellenbergii", "Parkinsonia \u00d7 carterae", "Himantoglossum adriaticum", "Turritopsis nutricula", "Crotalus tigris", "Crotalus aquilus", "Crotalus basiliscus", "Crotalus catalinensis", "Crotalus culminatus", "Crotalus enyo", "Crotalus intermedius", "Crotalus lannomi", "Crotalus lepidus", "Crotalus mitchellii", "Crotalus polystictus", "Crotalus pricei", "Crotalus pusillus", "Crotalus ruber", "Crotalus stejnegeri", "Pseudorhabdosynochus auitoe", "Pseudorhabdosynochus buitoe", "Pseudorhabdosynochus cuitoe", "Pseudorhabdosynochus duitoe", "Pseudorhabdosynochus euitoe", "Pseudorhabdosynochus fuitoe", "Pseudorhabdosynochus guitoe", "Pseudorhabdosynochus huitoe", "Ethmia austronamibiensis", "Ethmia abdominella", "Ethmia abraxasella", "Ethmia guanzhouensis", "Ethmia hainanensis", "Ethmia hunanensis", "Ethmia menyuanensis", "Ethmia pingxiangensis", "Ethmia yunnanensis", "Ethmia acontias", "Ethmia nivosella", "Cladonia pulvinata", "Ethmia quadrinotella", "Ethmia decaryanum", "Ethmia comoriensis", "Ethmia confusellastra", "Heterocharax leptogrammus", "Heterocharax virgulatus", "Eporycta lurida", "Plexippica verberata", "Plexippica fuscinervosa", "Morotripta fatigata", "Morotripta argillacea", "Enscepastra curvipalpata", "Enscepastra recurvata", "Enscepastra acutissima", "Enscepastra cygnica", "Evynnis mononematos", "Enscepastra scolopaxica", "Enscepastra alhagii", "Enscepastra plagiopa", "Enscepastra longirostris", "Bathyraja leucomelanos", "Namatetris rhinoceros", "Pyncostola grandicornuta", "Hemeroplanes longistriga", "Blaena blothroposa", "Blaena cirra", "Blaena coarctata", "Blaena mediocarinata", "Blaena multitricha", "Blaena setosa", "Blaena subsulcata", "Synchiropus tudorjonesi", "Odontanthias hensleyi", "Chinamiris laticinctus", "Oryzias sakaizumii", "Poecilia waiapi", "Fangfangia spinicleithralis", "Coridromius variegatus", "Simpsonichthys marginatus", "Simpsonichthys margaritatus", "Pseudochromis ammeri", "Pseudochromis eichleri", "Perittia eselkopensis", "Perittia clarkei", "Perittia andoi", "Perittia bullatella", "Perittia bystropogonis", "Perittia cinereipunctella", "Perittia lavandulae", "Perittia obscurepunctella", "Perittia olelella", "Perittia sibirica", "Perittia unicolorella", "Perittia unifasciella", "Coleophora mirabibella", "Scythris vogelfederbergensis", "Ethmia namella", "Chilocoris monteithi", "Chilocoris bicolor", "Chilocoris entzioides", "Chilocoris centrostephoides", "Chilocoris flavus", "Pseudorhabdosynochus amplidiscatus", "Chilocoris tasmanicus", "Chilocoris australis", "Chilocoris barbarae", "Chilocoris biroi", "Pseudorhabdosynochus anulus", "Chilocoris malickyi", "Chilocoris pallidus", "Chilocoris deplanatus", "Chilocoris mirandus", "Chilocoris cavitus", "Chilocoris solomonensis", "Chilocoris bacanicus", "Pseudohaje goldii", "Lactistes obesipes", "Bungarus caeruleus", "Bungarus candidus", "Bungarus multicinctus", "Bungarus andamanensis", "Bungarus bungaroides", "Bungarus ceylonicus", "Megadromus meritus", "Bungarus niger", "Bungarus flaviceps", "Bungarus lividus", "Bungarus magnimaculatus", "Pseudonaja textilis", "Garsauria aradoides", "Holcaspis egregialis", "Holcaspis impigra", "Holcaspis implica", "Holcaspis ovatella", "Holcaspis placida", "Chilocoris assmuthi", "Peltoxys pilosus", "Garsauriella hirta", "Amasenus corticalis", "Anaxarchus badius", "Homalogonia chinensis", "Homalogonia crocemaculata", "Agathocles yunnanensis", "Balitora ludongensis", "Critheus painei", "Alestopetersius conspectus", "Liochthonius sellnicki", "Liochthonius nodosus", "Myrichthys paleracio", "Heterotoma planicornis", "Cydnus aterrimus", "Himantoglossum calcaratum", "Himantoglossum caprinum", "Himantoglossum comperianum", "Himantoglossum formosum", "Socratea exorrhiza", "Himantoglossum galilaeum", "Himantoglossum hircinum", "Himantoglossum hircinum var. hircinum", "Polyhymno paraintortoides", "Stegasta sattleri", "Calliophis beddomei", "Calliophis bibroni", "Sladenia zhui", "Himantoglossum metlesicsianum", "Etrumeus makiawa", "Bryaninops discus", "Himantoglossum montis-tauri", "Bryaninops spongicolus", "Rhinogobius ogasawaraensis", "Himantoglossum robertianum", "Oreonectes elongatus", "Himantoglossum hircinum var. pseudocaprinum", "Himantoglossum \u00d7 agiasense", "Pseudorhabdosynochus argus", "Pseudorhabdosynochus minutus", "Acridophagus paganicus", "Acridophagus flaviscutellaris", "Acridophagus parvissimus", "Carmenelectra shechisme", "Leylaiya aquilonia", "Andricus rosieae", "Microburmyia analvena", "Microburmyia veanalvena", "Proplatypygus matilei", "Glella ashleyi", "Glella quebradae", "Leylaiya whiteheadi", "Cydnotomus australis", "Cydnotomus secundus", "Pullneya meracula", "Beccariophoenix madagascariensis", "Allagoptera arenaria", "Allagoptera brevicalyx", "Allagoptera campestris", "Allagoptera leucocalyx", "Butia campicola", "Butia capitata", "Butia eriospatha", "Butia paraguayensis", "Butia yatay", "Jubaeopsis caffra", "Rhododendron subsect.", "Rhododendron subsect.", "Upupa marginata", "Apostasia latifolia", "Apostasia nuda", "Apostasia odorata", "Apostasia parvula", "Apostasia ramifera", "Apostasia shenzhenica", "Apostasia wallichii", "Himantoglossum \u00d7 samariense", "Khoisa panaula", "Khoisa epicentra", "Istrianis crauropa", "Istrianis fynbosella", "Istrianis squamodorella", "Istrianis nigrosquamella", "Afrotelphusa accensa", "Benguelasa major", "Benguelasa minor", "Cydnus horvathii", "Cydnus incisus", "Cydnus luzonicus", "Cydnus sulawesicus", "Cydnus borneensis", "Cydnus pericarti", "Cydnus infernalis", "Cydnus sobrius", "Cydnus tristis", "Blaena hirta", "Blaena parathroposa", "Blaena tamasi", "Blaena serrata", "Blaena pseudosetosa", "Blaenocoris robustus", "Paranishadana flava", "Nishocoris bicolor", "Nishocoris bipunctatus", "Hermonassa gigantea", "Hermonassa sinuata", "Hermonassa marsypiophora", "Hermonassa orphnina", "Hermonassa anthracina", "Hermonassa ellenae", "Hermonassa hoenei", "Hermonassa dictyota", "Hermonassa megaspila", "Hermonassa xanthochlora", "Hermonassa diaphthorea", "Hermonassa dispila", "Hermonassa reticulata", "Hermonassa dictyodes", "Hermonassa dichroma", "Hermonassa roesleri", "Hermonassa orbicularis", "Hermonassa diaphana", "Hermonassa chlora", "Hermonassa hypoleuca", "Hermonassa pygmaea", "Hermonassa cyanolepis", "Hermonassa lama", "Rhododendron fulvum subsp. fulvum", "Rhododendron fulvum subsp. fulvoides", "Rhododendron subsect.", "Bonatea antennifera", "Habenaria antennifera", "Bonatea boltonii", "Bonatea cassidea", "Bonatea lamprophylla", "Bonatea polypodantha", "Bonatea porrecta", "Bonatea pulchella", "Bonatea rabaiensis", "Bonatea saundersioides", "Heterogynis andalusica", "Bonatea speciosa", "Habenaria robusta", "Phyllonorycter bartolomella", "Phyllonorycter vulturella", "Eriocrania semipurpurella alpina", "Trichosea zhangi", "Phyllocnistis breynilla", "Phyllocnistis embeliella", "Astrocaryum acaule", "Astrocaryum aculeatissimum", "Astrocaryum aculeatum", "Astrocaryum alatum", "Astrocaryum campestre", "Astrocaryum chambira", "Astrocaryum confertum", "Astrocaryum huaimi", "Astrocaryum jauari", "Astrocaryum mexicanum", "Astrocaryum murumuru", "Astrocaryum paramaca", "Astrocaryum standleyanum", "Astrocaryum vulgare", "Desmoncus orthacanthos", "Desmoncus polyacanthos", "Geonoma deversa", "Geonoma interrupta", "Geonoma pauciflora", "Geonoma schottiana", "Ahessea crassirostris", "Psiloderoides mansfieldi", "Onchopelma brevifasciatum", "Onchopelma irwini", "Onchopelma majus", "Onchopelma nitidum", "Onchopelma karooanum", "Onchopelma pulchellum", "Onchopelma trilineatum", "Dictyocaryum fuscum", "Iriartea deltoidea", "Hexaplex trunculus", "Holcaspis punctigera", "Austronepa angusta", "Scrobipalpa vasconiella", "Scrobipalpa ustulatella", "Scrobipalpa stabilis", "Scrobipalpa instabilella", "Tosirips magyarus", "Tosirips magyarus magyarus", "Tosirips magyarus syriacus", "Tosirips perpulchrana", "Tosirips perpulchrana perpulchrana", "Tosirips perpulchrana ceramus", "Arctornis l-nigrum", "Arctornis l-nigrum l-nigrum", "Neuwiedia borneensis", "Neuwiedia elongata", "Neuwiedia griffithii", "Neuwiedia inae", "Neuwiedia siamensis", "Neuwiedia zollingeri var. singapureana", "Neuwiedia veratrifolia", "Neuwiedia zollingeri", "Neuwiedia zollingeri var. annamensis", "Neuwiedia zollingeri var. javanica", "Hydrophis donaldi", "Pseudorhabdosynochus caledonicus", "Pseudorhabdosynochus melanesiensis", "Pseudorhabdosynochus calathus", "Pseudorhabdosynochus cyathus", "Pseudorhabdosynochus hirundineus", "Pseudorhabdosynochus satyui", "Thasus carchinus", "Thasus luteolus", "Thasus neocalifornicus", "Thasus odonnellae", "Thasus rutilus", "Thasus acutangulus", "Thasus gigas", "Thasus heteropus", "Pseudorhabdosynochus inversus", "Pseudorhabdosynochus pai", "Nerthra adspersa", "Nerthra appha", "Paxillostium nanum", "Rhododendron \u00d7 fraseri", "Pseudorhabdosynochus guerreroensis", "Pseudorhabdosynochus urceolus", "Pseudorhabdosynochus spirani", "Pseudorhabdosynochus fulgidus", "Pseudorhabdosynochus tabogaensis", "Malenella nana", "Pseudorhabdosynochus beverleyburtonae", "Pseudorhabdosynochus bacchus", "Pseudorhabdosynochus bocquetae", "Pseudorhabdosynochus summanoides", "Epimeria ashleyi", "Martiodrilus huitoto", "Martiodrilus mirania", "Rhododendron subsect.", "Dolekiella europaea", "Neoferonia prolixa", "Calisius pallidus", "Calisius zimmermani", "Actinorhytis calapparia", "Basselinia deplanchei", "Basselinia gracilis", "Borborophyes mayri", "Bentinckia nicobarica", "Clinostigma ponapense", "Ranatra linearis", "Nesidiocoris tenuis", "Kleidocerys resedae", "Leptoglossus clypealis", "Orius minutus", "Leptoglossus occidentalis", "Dictyosperma album", "Heterospathe elata", "Heterospathe glauca", "Heterospathe salomonensis", "Nerthra kerzhneri", "Rhizocarpon vorax", "Pristinochterus zhangi", "Pristinochterus ovatus", "Pseudorhabdosynochus malabaricus", "Pseudorhabdosynochus manifestus", "Pseudorhabdosynochus manipulus", "Pseudorhabdosynochus marcellus", "Pseudorhabdosynochus maternus", "Pseudorhabdosynochus maaensis", "Pseudorhabdosynochus cyanopodus", "Pseudorhabdosynochus podocyanus", "Pseudorhabdosynochus chauveti", "Pseudorhabdosynochus exoticus", "Elaeis guineensis", "Elaeis oleifera", "Pseudorhabdosynochus exoticoides", "Pseudorhabdosynochus stigmosus", "Parajubaea cocoides", "Parajubaea sunkha", "Syagrus amara", "Syagrus botryophora", "Syagrus campylospatha", "Syagrus cardenasii", "Syagrus cocoides", "Syagrus comosa", "Syagrus flexuosa", "Syagrus glaucescens", "Syagrus graminifolia", "Syagrus inajai", "Syagrus lilliputiana", "Syagrus macrocarpa", "Syagrus oleracea", "Syagrus petraea", "Syagrus pseudococos", "Syagrus sancona", "Syagrus schizophylla", "Syagrus smithii", "Voanioala gerardii", "Calyptrogyne ghiesbreghtiana", "Calyptronoma occidentalis", "Calyptronoma plumeriana", "Calyptronoma rivalis", "Geonoma congesta", "Geonoma cuneata", "Dityloura lissognatha", "Dityloura dasygnatha", "Dityloura cothonognatha", "Dityloura trachypyga", "Dityloura spicativentris", "Dityloura notohyla", "Dityloura unicostata", "Dityloura ditylognatha", "Dityloura edaphica", "Dityloura ignava", "Dityloura dealbata", "Dityloura brevipes", "Phaulacridium marginale", "Phaulacridium otagoense", "Phaulacridium inscitum", "Krascheninnikovia ceratoides", "Aphodius beduinus", "Anoxia sicula", "Anoxia argentea", "Anoxia moltonii", "Anoxia corsicana", "Anoxia sardoa", "Anoxia suturalis", "Polyphylla aliquoi", "Polyphylla ragusae", "Idaea forsteri", "Rhizotrogus siculus", "Idaea nigrella", "Idaea arenophana", "Idaea barikotensis", "Idaea vartianae", "Idaea maskina", "Idaea angustifrons", "Idaea obsoletaria persidis", "Idaea obsoletaria obsoletaria", "Scopula danieli", "Hyponephele maroccana", "Hyponephele maroccana maroccana", "Hyponephele maroccana nivellei", "Hyponephele lycaon", "Hyponephele lycaon lycaon", "Hyponephele lycaon salona", "Hyponephele lycaon alpherakyi", "Hyponephele lycaon catalampra", "Hyponephele lycaon jakovlevi", "Hyponephele lycaon zuvandica", "Nerthra polhemi", "Nerthra femoralis", "Epidendrum buenaventurae", "Epidendrum oliganthum", "Nerthra stali", "Nerthra tuberculata", "Nerthra monteithi", "Nerthra falcatus", "Nerthra membranacea", "Hesychastes solitus", "Haploprocta sulcicornis", "Coreus marginatus", "Coreus spinigerus", "Calisius excelsus", "Calisius discrepans", "Calisius parvus", "Calisius pilosulus", "Calisius varius", "Calisius brachypterus", "Calisius homalanthi", "Calisius magdalenae", "Calisius pusillus", "Calisius granuliger", "Calisius sordidus", "Calisius liliputianus", "Calisius quadridentatus", "Calisius distinctus", "Calisius minutus", "Calisius montanus", "Calisius testaceus", "Calisius nasutus", "Calisius ashlocki", "Calisius ornatus", "Calisius fuscus", "Calisius grossi", "Calisius annulicornis", "Calisius intervenius", "Calisius australis", "Calisius tasmanicus", "Calisius septimus", "Calisius hackeri", "Calisius picturatus", "Calisius papuanus", "Calisius antennalis", "Calisius cognatus", "Calisius notabilis", "Calisius leai", "Calisius pacificus", "Calisius hoffeinsorum", "Calisius rietscheli", "Calisius vonholti", "Calisius weitschati", "Calisius brevicornis", "Calisius breviscutatus", "Calisius robusticornis", "Calisius caledonicus", "Calisius diffusus", "Calisius gracilicornis", "Calisius gressitti", "Calisius orientalis", "Calisius histrionicus", "Calisius anaemus", "Calisius texasanus", "Calisius contubernalis", "Calisius pallipes", "Gnostocoris gressitti", "Lestonia grossi", "Zelus tetracanthus", "Arbelodes sebelensis", "Arbelodes shimonii", "Ancylolomia carcinella", "Ancylolomia hamatella", "Arbelodes varii", "Ancylolomia umbonella", "Ancylolomia aduncella", "Ancylolomia intricata", "Arbelodes albitorquata", "Pseudocytherura pontica", "Arbelodes collaris", "Arbelodes sticticosta", "Arbelodes flavicolor", "Cytheroma karadagiensis", "Arbelodes griseata", "Ochropleura ngariensis", "Ochropleura geochroides", "Eugraphe xizangensis", "Arbelodes meridialis", "Arbelodes heringi", "Arbelodes iridescens", "Heterolocha jinyinhuaphaga", "Semicytherura challengerae", "Vitakridrinda sulaimani", "Solenopsis saudiensis", "Antispila oinophylla", "Puntius madhusoodani", "Zorotypus hudae", "Loxoconcha kosugii", "Palusleptocythere migrans", "Gobibatyr colossus", "Gobibatyr ustyuzhanini", "Cossus colossus", "Lamellocossus gobiana", "Lamellocossus transaltaica", "Holcocerus beketi", "Eogystia sibirica", "Isoceras kaszabi", "Cecryphalus nubila", "Phragmataecia albida", "Phragmataecia roborowskii", "Paracossus longispinalis", "Paracossus indradit", "Paracossus hainanicus", "Paracossus griseatus", "Pygmeocossus simao", "Catopta grumi", "Rugigegat radzha", "Phragmacossia brahmana", "Phragmacossia dudgeoni", "Phragmacossia micromaculata", "Phragmataecia laszloi", "Phragmataecia dushman", "Phragmataecia annapurna", "Sansara pallidalae", "Cossus pallidalae", "Planctogystia lemur", "Pseudozeuzera stenlii", "Haberlandia tempeli", "Haberlandia rudolphi", "Haberlandia hintzi", "Stathmopoda transfasciaria", "Stathmopoda neohexatyla", "Stathmopoda flavithoracalis", "Stathmopoda baotianmana", "Stathmopoda rufithoracalis", "Stathmopoda callopis", "Stathmopoda brachymochla", "Stathmopoda hexatyla", "Stathmopoda stimulata", "Leopoldinia piassaba", "Haberlandia hulstaerti", "Calyptrocalyx forbesii", "Calyptrocalyx geonomiformis", "Haberlandia hollowayi", "Calyptrocalyx micholitzii", "Calyptrocalyx spicatus", "Haberlandia taiensis", "Howea belmoreana", "Howea forsteriana", "Haberlandia togoensis", "Haberlandia ueleensis", "Haberlandia legraini", "Haberlandia lusamboensis", "Haberlandia clenchi", "Haberlandia isakaensis", "Haberlandia janzi", "Haberlandia isiroensis", "Arbelodes agassizi", "Arbelodes claudiae", "Arbelodes deprinsi", "Arbelodes dicksoni", "Arbelodes dupreezi", "Arbelodes franziskae", "Arbelodes haberlandorum", "Arbelodes kruegeri", "Arbelodes mondeensis", "Arbelodes prochesi", "Zorotypus caxiuanus", "Zorotypus absonus", "Zorotypus amazonensis", "Zorotypus mnemosyne", "Zorotypus sechellensis", "Megadromus alternus", "Megadromus antarcticus", "Megadromus asperatus", "Megadromus bucolicus", "Megadromus bullatus", "Megadromus capito", "Megadromus compressus", "Megadromus curtulus", "Megadromus enysi", "Megadromus fultoni", "Megadromus haplopus", "Megadromus lobipes", "Megadromus memes", "Megadromus rectalis", "Megadromus rectangulus", "Megadromus sandageri", "Megadromus temukensis", "Megadromus turgidiceps", "Megadromus vagans", "Megadromus virens", "Megadromus wallacei", "Megadromus australicus", "Megadromus eborensis", "Megalomma janaki", "Amblycheila baroni", "Amblycheila hoversoni", "Amblycheila schwarzi", "Amblycheila picolominii", "Cacostomus rotundicollis", "Aeromonas salmonicida subsp. flounderacida", "Aepophilus bonnairei", "Alloxysta rubidus", "Alloxysta thorpei", "Periphoba albata", "Periphoba amalia", "Periphoba arcaei", "Periphoba hircia", "Periphoba unicolor", "Paradirphia coprea", "Paradirphia fumosa", "Paradirphia geneforti", "Pontocythere xiphoidea", "Leptoglossus oppositus", "Enoplops sibiricus", "Leptoglossus zonatus", "Iguanura geonomiformis", "Leptoglossus phyllopus", "Pelagodoxa henryana", "Rhopaloblaste augusta", "Rhopaloblaste ceramica", "Rhopaloblaste singaporensis", "Lemurophoenix halleuxii", "Leptoglossus absconditus", "Leptoglossus arenalensis", "Leptoglossus crestalis", "Leptoglossus lambayaquinus", "Leptoglossus sabanensis", "Leptoglossus manausensis", "Leptoglossus cartagoensis", "Leptoglossus talamancanus", "Leptoglossus dialeptos", "Leptoglossus katiae", "Leptoglossus tetranotatus", "Leptoglossus digitiformis", "Leptoglossus hesperus", "Leptoglossus ashmeadi", "Leptoglossus brevirostris", "Leptoglossus gonagra", "Leptoglossus fulvicornis", "Leptoglossus corculus", "Leptoglossus concolor", "Silene stenophylla", "Afrikanetz inkubu", "Afrikanetz bugvan", "Afrikanetz makumazan", "Sinjaeviella elegantissima", "Haberlandia lindacammae", "Haberlandia annetteae", "Haberlandia shimonii", "Haberlandia rabiusi", "Haberlandia rohdei", "Haberlandia otfriedi", "Haberlandia odzalaensis", "Haberlandia entebbeensis", "Haberlandia josephi", "Pontocythere tchernjawskii", "Haberlandia hilaryae", "Paradirphia ibarrai", "Paradirphia manes", "Paradirphia michoacana", "Paradirphia oblita", "Paradirphia semirosea", "Pseudautomeris pohli", "Pseudautomeris irene", "Pseudautomeris chinchipensis", "Pseudautomeris sanmartini", "Pseudautomeris zamora", "Bartholina burmanniana", "Bartholina etheliae", "Cytheropteron laptevense", "Pristigenys refulgens", "Pseudorhabdosynochus caballeroi", "Pseudorhabdosynochus capurroi", "Pristigenys niphonia", "Pseudorhabdosynochus chinensis", "Pseudorhabdosynochus coioidesis", "Pseudorhabdosynochus crassus", "Pseudorhabdosynochus dionysos", "Pseudorhabdosynochus viscosus", "Pseudorhabdosynochus hargisi", "Cephennodes vegrandis", "Polycope bahamaensis", "Bittacomorphella lini", "Carpentaria acuminata", "Mammuthus africanavus", "Stygophrynus sunda", "Charon forsteri", "Charon gervaisi", "Charon grayi", "Charon oenpelli", "Charon trebax", "Catageus pusillus", "Sarax monodenticulatus", "Sarax newbritainensis", "Laccospadix australasicus", "Linospadix monostachya", "Linospadix palmeriana", "Reinhardtia elegans", "Paracharon caecus", "Taenia taeniaeformis", "Plutomurus ortobalaganensis", "Sisyphus thoracicus", "Orestias gloriae", "Cirrhilabrus nahackyi", "Triplophysa macrocephala", "Triplophysa huapingensis", "Sinocyclocheilus flexuosdorsalis", "Manicaria saccifera", "Exetasis eickstedtae", "Sarax batueneis", "Sarax brachydactylus", "Sarax buxtoni", "Sarax cochinensis", "Sarax davidovi", "Sarax rimosus", "Sarax javensis", "Sarax mediterraneus", "Sarax sarawakensis", "Sarax willeyi", "Sarax singaporae", "Charinus eleonorae", "Pseudacteon tricuspis", "Holcaspis algida", "Holcaspis angustula", "Holcaspis bathana", "Holcaspis brevicula", "Holcaspis brouniana", "Holcaspis delator", "Holcaspis elongella", "Holcaspis falcis", "Holcaspis hudsoni", "Holcaspis intermittens", "Holcaspis odontella", "Holcaspis ohauensis", "Holcaspis vexata", "Holcaspis mordax", "Holcaspis tripunctata", "Holcaspis stewartensis", "Marojejya darianii", "Balaka seemannii", "Pseudorhabdosynochus justinei", "Hypochlorosis ancharia ancharia", "Pseudorhabdosynochus kritskyi", "Hypochlorosis ancharia tenebrosa", "Hypochlorosis antipha metilia", "Hypochlorosis antipha antipha", "Pseudorhabdosynochus lantauensis", "Hypochlorosis lorquinii buruana", "Hypochlorosis lorquinii obiana", "Hypochlorosis lorquinii lorquinii", "Cheverella galapagensis", "Pseudorhabdosynochus sulamericanus", "Pseudorhabdosynochus magnisquamodiscum", "Pseudorhabdosynochus querni", "Pseudorhabdosynochus serrani", "Pseudorhabdosynochus shenzhenensis", "Britomartis bravurus", "Chikila fulleri", "Parathitarodes changi", "Hepialus arizanus", "Protopedaliodes ridouti", "Protopedaliodes profauna", "Protopedaliodes kukenati", "Pseudorhabdosynochus monaensis", "Pseudorhabdosynochus riouxi", "Pseudorhabdosynochus summanae", "Pseudorhabdosynochus vagampullum", "Pseudorhabdosynochus cupatus", "Pseudorhabdosynochus youngi", "Pseudorhabdosynochus quadratus", "Sabroskya schlingeri", "Pseudorhabdosynochus yucatanensis", "Sabroskya palpalis", "Sabroskya ogcodoides", "Vitrea gostelii", "Cyrtus gibbus", "Mesophysa tenaria", "Panops auricoma", "Panops austrae", "Panops baudini", "Panops conspicuus", "Panops boharti", "Panops grossi", "Panops aurum", "Panops danielsi", "Ambadra macula", "Ambadra vittata", "Ambadra tondanoa", "Ambadra parva", "Ambadra owadai", "Ambadra exigua", "Ambadra camiguinana", "Ambadra gracilis", "Ambadra canescens", "Ambadra sibena", "Ambadra sibena sibena", "Ambadra sibena irinae", "Ambadra sibena complicata", "Ambadra sibena palawanensis", "Syntypistis sula", "Syntypistis miyanoi", "Syntypistis seramica", "Lasioceros sola", "Heterogynis yerayi", "Heterogynis paradoxa", "Heterogynis paradoxa paradoxa", "Heterogynis paradoxa bejarensis", "Paphiopedilum moquetteanum", "Cypridina reynaudii", "Paphiopedilum leucochilum", "Turdus sanchezorum", "Paphiopedilum godefroyae var. godefroyae", "Mentocrex beankaensis", "Merluccius albidus", "Eupithecia fuscorufa", "Eupithecia improvisa", "Eupithecia likiangi", "Eupithecia eduardi", "Eupithecia hilariata", "Eupithecia mekrana", "Eupithecia nachadira", "Eupithecia icterata", "Parmotrema amboimense", "Drupadia estella", "Tetraloniella persiciformis", "Geotrigona joearroyoi", "Geotrigona kaba", "Geotrigona inusitata", "Geotrigona mombuca", "Geotrigona kwyrakai", "Seriana menglaensis", "Pterodontia longisquama", "Pterodontia melli", "Pterodontia variegata", "Kybos albitalicus", "Kybos virgator", "Holcaspis subaenea", "Holcaspis suteri", "Aphanius pluristriatus", "Bohumiljania humboldti", "Solenopsis fugax", "Prismostictoides unihyala", "Mirina christophi", "Mirina fenzeli", "Mirina confucius", "Palirisa cervina cervina", "Palirisa cervina formosana", "Cyanarmostis vectigalis", "Xerodes albonotaria albonotaria", "Xerodes albonotaria aritai", "Xerodes didyma", "Xerodes crenulata", "Xerodes contiguaria", "Xerodes obscura", "Xerodes semilutata", "Alloasteropetes parallela", "Naarda lancanga", "Scardamia xylosmaria", "Scardamia aurantiacaria", "Scardamia metallaria", "Hagapteryx satomiae", "Hagapteryx mirabilior", "Hagapteryx kishidai", "Descoreba simplex", "Descoreba albolutea", "Descoreba alboviridis", "Panops schlingeri", "Panops jade", "Acrocera sanguinea", "Zeadelium turgidulum", "Zeadelium appositum", "Zeadelium angulatum", "Zeadelium calcaratum", "Lasia metallica", "Lasia cuprea", "Rhododendron \u00d7 norbitoense", "Rhododendron \u00d7 enneandrum", "Rhododendron \u00d7 subdeciduum", "Agrias amydon zenodorus", "Agrias amydon amydon", "Agrias amydon phalcidon", "Agrias amydon amydonius", "Agrias amydon boliviensis", "Paphiopedilum javanicum", "Amaranthus asplundii", "Amaranthus cardenasianus", "Amaranthus interruptus", "Amaranthus macrocarpus", "Amaranthus scariosus", "Amaranthus standleyanus", "Amaranthus tamaulipensis", "Amaranthus tenuifolius", "Anomalosa oz", "Anomalosa kochi", "Pseudolycoriella bruckii", "Pseudolycoriella subbruckii", "Pseudolycoriella acicula", "Pseudolycoriella bisulca", "Pseudolycoriella capillosa", "Pseudolycoriella latiflagellata", "Pseudolycoriella pallidula", "Pseudolycoriella senticosa", "Pseudolycoriella simplex", "Pseudolycoriella spicata", "Pseudolycoriella tenuis", "Pseudolycoriella trispicata", "Pseudolycoriella tumidior", "Pseudolycoriella villosa", "Pseudolycoriella sylviae", "Dioryctria mongolicella", "Mahasena yuna", "Prostemma fasciata", "Prostemma falkensteinii", "Prostemma concinnum", "Parasa pseudostia", "Parasa oryzae", "Numenes baimatanensis", "Numenes grisa", "Phassus yunnanensis", "Phassus anhuiensis", "Phassus xizangensis", "Phassus jingdongensis", "Phassus giganodes", "Gonipterus cinnamomeus", "Gonipterus sepulchralis", "Gonipterus cionoides", "Gonipterus bimaculatus", "Gonipterus cancellatus", "Gonipterus conicollis", "Gonipterus excavatus", "Gonipterus fasciatus", "Gonipterus humeralis", "Gonipterus inconspicuus", "Gonipterus intermedius", "Gonipterus lateritius", "Gonipterus lepidopterus", "Gonipterus notographus", "Gonipterus parallelicollis", "Gonipterus reticulatus", "Gonipterus rufus", "Gonipterus suturalis", "Gonipterus scabrosus", "Gonipterus subfasciatus", "Cypridina caudata", "Cypridina nobilis", "Hogna tongatabuensis", "Hogna tanna", "Hogna waitei", "Hogna pulveresparsa", "Hogna strenua", "Hogna rainbowi", "Pardosa pexa", "Hogna diyari", "Hogna kuyani", "Notocosa bellicosa", "Amaranthus acutilobus", "Amaranthus quitensis", "Artoriopsis expolita", "Ramaria flaccida", "Sphragifera magniplaga", "Sphragifera mioplaga", "Eugraphe obsoleta", "Euproctis dealbata", "Euproctis reticulata", "Cyclidia substigmaria substigmaria", "Euproctis maculifasciata", "Pida rufa", "Pantana aurantihumerata", "Agnidra tanyospinosa", "Agnidra tigrina", "Agnidra ataxia", "Agnidra argypha", "Agnidra specularia", "Agnidra specularia specularia", "Agnidra specularia xizanga", "Agnidra furva", "Agnidra fulvior", "Agnidra hoenei", "Agnidra fenestra", "Agnidra discispilaria", "Agnidra alextoba", "Agnidra corticata", "Agnidra corticata corticata", "Agnidra corticata francki", "Agnidra scabiosa", "Agnidra scabiosa scabiosa", "Agnidra scabiosa fixseni", "Agnidra vinacea", "Agnidra fuscilinea", "Drupadia cineas", "Drupadia cinesia", "Drupadia cinesoides", "Megymenum distanti", "Doliopteryx arava", "Doliopteryx diamondis", "Doliopteryx dichroma", "Doliopteryx ecphata", "Doliopteryx omanae", "Doliopteryx palaestinensis", "Doliopteryx pallida", "Doliopteryx splendida", "Doliopteryx tigrina", "Phassus fujianodus", "Phassus nodus", "Phassus giganodus", "Phassus minialus", "Dioryctria kunmingnella", "Estimata hirsuta", "Phyllocnistis wampella", "Chalcosia azurmarginata", "Cypridina hilgendorfii", "Hermonassa fulvescens", "Hermonassa olivascens", "Hermonassa fasciata", "Hermonassa penna", "Hermonassa obscura", "Lymantria xiaolingensis", "Euproctis aureomarginata", "Macrocilix mysticata", "Paphiopedilum godefroyae var. ang-thong", "Cypridina capensis", "Gonipterus balteatus", "Gonipterus pulverulentus", "Gonipterus lepidotus", "Gonipterus gibberus", "Gonipterus exaratus", "Gonipterus kanalensis", "Gonipterus marellii", "Asaphidion delatorrei", "Drupadia cinderella", "Gonipterus citrophagus", "Drupadia cindi", "Gonipterus geminatus", "Drupadia cindi cindina", "Gonipterus excavifrons", "Gonipterus xanthorrhoeae", "Drupadia cindi cindi", "Gonipterus crassipes", "Gonipterus hyperoides", "Gonipterus turbidus", "Gonipterus ferrugatus", "Doliopteryx welwitschia", "Doliopteryx crocea", "Doliopteryx nigrescens", "Bledius bonariensis", "Bledius fernandenzi", "Bledius hermani", "Charinus abbatei", "Charinus acaraje", "Charinus acosta", "Charinus africanus", "Charinus asturias", "Charinus australianus", "Charinus bengalensis", "Charinus bordoni", "Charinus brasilianus", "Charinus camachoi", "Charinus pakistanus", "Prosympiestus nasutus", "Prosympiestus constrictus", "Prosympiestus dilatatus", "Prosympiestus subparallelus", "Proustia cuneifolia var. mendocina", "Nephrotoma appendiculata pertenua", "Nephrotoma appendiculata appendiculata", "Leylaiya mellivora", "Cyrtosia namaquensis", "Cyrtosia stuckenbergi", "Cyrtosia arabica", "Cyrtosia zygophrys", "Cyrtosia panemplio", "Platypygus natalensis", "Achillea aleppica subsp. zederbaueri", "Achillea aleppica subsp. aleppica", "Cephalodromia longirostris", "Cephalodromia bilineata", "Cephalodromia montana", "Achillea armenorum", "Achillea coarctata", "Achillea goniocephala", "Achillea hamzaoglui", "Achillea teretifolia", "Achillea pseudoaleppica", "Achillea formosa", "Achillea fragrantissima", "Achillea lycaonica", "Kybos digitatus", "Kybos albilacustris", "Kybos volgensis", "Kybos lindbergi", "Kybos strigilifer", "Kybos abstrusus", "Kybos aetnicola", "Kybos austriacus", "Kybos butleri", "Kybos calyculus", "Kybos candelabricus", "Kybos limpidus", "Kybos ludus", "Kybos mesasiaticus", "Kybos mucronatus", "Kybos populi", "Kybos rufescens", "Kybos sordidulus", "Kybos strobli", "Kybos betulicola", "Euceraphis punctipennis", "Betulaphis brevipilosa", "Euceraphis betulae", "Arachnocampa luminosa", "Cryptamorpha triregia", "Hierodoris extensilis", "Mecodema kokoromatua", "Parapercis kentingensis", "Parapercis rubromaculata", "Cania robinsoni", "Typhonia witti", "Typhonia philippinensis", "Typhonia anarmosta", "Taleporia corusca", "Kairuku grebneffi", "Kairuku waitaki", "Acanthocephala declivis", "Acanthocephala femorata", "Acanthocephala thomasi", "Aades cultratus", "Adamystis alvandicus", "Adamystis iranoturanianensis", "Bryocyclops maewaensis", "Calyptostoma gorganica", "Bryocyclops campaneri", "Haplocyclops pauliani", "Haplocyclops gudrunae", "Acropora tenuis", "Acropora palifera", "Charinus wanlessi", "Charinus tronchonii", "Charinus tomasmicheli", "Charinus caribensis", "Charinus centralis", "Charinus dominicanus", "Charinus cubensis", "Charinus decu", "Charinus dhofarensis", "Charinus fagei", "Charinus pescotti", "Charinus gertschi", "Charinus platnicki", "Spheterista pleonectes", "Pikaia gracilens", "Eulia ministrana", "Drupadia ravindra boisduvali", "Phalaenopsis amabilis", "Pseudohermenias ajanensis", "Phalaenopsis amabilis subsp. amabilis", "Pseudohermenias hercyniana", "Ephysteris gondwana", "Actaeomorpha alvae", "Ephysteris gobabebensis", "Scrobipalpa meridioafricana", "Scrobipalpa brandbergensis", "Scrobipalpa swakopi", "Sitotroga exquisita", "Lacistodes fuscomaculata", "Aspades luteomaculata", "Dactylethrella leuconota", "Nigilgia eucallynta", "Sulcospira kawaluensis", "Paroxyptera hererofiliella", "Hypotia bolinalis", "Drupadia estella estella", "Hypotia namaensis", "Hypotia pronamibiella", "Hypotia juergensi", "Hypotia namaquensis", "Hypotia quagga", "Hypotia deckerti", "Hypotia faucis", "Hypotia corticalis", "Drupadia estella nicevillei", "Drupadia estella semperna", "Drupadia johorensis", "Drupadia niasica", "Drupadia niasica niasica", "Drupadia niasica biranta", "Cryptamorpha curvipes", "Cryptamorpha suturalis", "Empidideicus notatus", "Empidideicus basutoensis", "Empidideicus brevistilus", "Empidideicus zuluensis", "Pseudoglabellula meridionalis", "Glabellula natalensis", "Aphelopus bennetti", "Aphelopus dui", "Aphelopus guineensis", "Aphelopus hassani", "Aphelopus himyarita", "Aphelopus indicus", "Aphelopus koreanus", "Aphelopus maculiclypeus", "Aphelopus maetoi", "Aphelopus niger", "Aphelopus montanus", "Aphelopus poinari", "Aphelopus orientalis", "Aphelopus orphanidesi", "Aphelopus papuensis", "Aphelopus rugidorsalis", "Aphelopus sabahnus", "Aphelopus spadiceus", "Aphelopus taiwanensis", "Aphelopus testaceus", "Aphelopus thai", "Aphelopus tschirnhausi", "Aphelopus urbaini", "Aphelopus xanthopus", "Aphelopus wushensis", "Aphelopus palaeophoenicius", "Aphelopus alebroides", "Transdryinus notogeicus", "Transgonatopus australianus", "Cryptophagus australis", "Cryptophagus gibbipennis", "Cryptophagus nigroapicalis", "Cryptophagus tasmanicus", "Charinus insularis", "Charinus quinteroi", "Charinus ioanniticus", "Charinus schirchii", "Charinus koepckei", "Charinus neocaledonicus", "Charinus madagascariensis", "Charinus milloti", "Charinus seychellarum", "Charinus socotranus", "Charinus stygochthobius", "Charinus montanus", "Charinus muchmorei", "Charinus mysticus", "Charinus pecki", "Charinus papuanus", "Charinus pardillalensis", "Cirsium sect.", "Drupadia niasica dohertyi", "Drupadia niasica florens", "Drupadia niasica ianthina", "Drupadia niasica karnyi", "Drupadia niasica natinis", "Drupadia niasica perlisa", "Drupadia niasica scudderii", "Cirsium \u00d7 affine", "Cirsium \u00d7 alpestre", "Cirsium heterophyllum", "Mesoparapylocheles michaeljacksoni", "Carposina berberidella", "Carposina fernaldana", "Carposina engalactis", "Carposina phycitana", "Parapylocheles scorpio", "Parapylocheles glasselli", "Kybos smaragdula", "Carposina niponensis", "Aades franklini", "Carposina niponensis niponensis", "Carposina niponensis ottawana", "Carposina simulator", "Carposina biloba", "Lamprima latreillii", "Trepsitypa cardinata", "Dipremna cretata", "Epipremna dominicae", "Hypopremna bullata", "Atoposea maxima", "Bondia comonana", "Bondia crescentella", "Bondia shastana", "Bondia spicata", "Bondia fidelis", "Bondia fuscata", "Bondia nigella", "Tesuquea hawleyana", "Triphassa argentea", "Actenia fuscoserrata", "Actenia dirempta", "Isolopha magna", "Otjipagapaga prima", "Otjipagapaga secundaria", "Otjipagapaga dentilinealis", "Salma gamsbergpastalis", "Salma mombopastalis", "Flotschapa rhynchopalpata", "Merulempista colorata", "Drupadia niasica thaenia", "Drupadia niasica ultra", "Drupadia ravindra", "Laticola lingaoensis", "Laticola latesi", "Laticola paralatesi", "Laticola dae", "Phtheochroa aarviki", "Concinocordis wilsonarum", "Anthozela psychotriae", "Cosmetra podocarpivora", "Cosmetra taitana", "Gypsonoma scolopiae", "Thaumatotibia salaciae", "Cydia sennae", "Cydia connara", "Cydia anthracotis", "Fulcrifera crotalariae", "Thylacogaster garcinivora", "Thylacogaster cyanophaea", "Thylacogaster monospora", "Thylacogaster rhodomenia", "Brookesia desperata", "Brookesia confidens", "Brookesia tristis", "Sclerobia triangulata", "Gaana nigronervosa", "Elegia inconspicuella", "Namibicola karios", "Namibicola palmwagos", "Pogononeura hirticostella", "Pogonotropha dicksoni", "Lysimachia monelli subsp. monelli", "Lysimachia monelli subsp. linifolia", "Drupadia ravindra balabacola", "Drupadia ravindra balina", "Scrobipalpa halimifolia", "Scrobipalpa griseoflava", "Heteromicrocotyloides megaspinosus", "Lysimachia sect.", "Heteromicrocotyloides mirabilis", "Heteromicrocotyla australiensis", "Cryptamorpha umbrina", "Jolyelmis spangleri", "Jolyelmis auyana", "Jolyelmis derkai", "Jolyelmis reitmaieri", "Crovettia masneri", "Crovettia colombiana", "Crovettia brasiliana", "Crovettia neotropica", "Crovettia barbara", "Crovettia plaumanniana", "Crovettia theliae", "Crovettia nearctica", "Crovettia finnamorei", "Crovettia begret", "Crovettia cardaleae", "Crovettia nigra", "Aphelopus mostovskii", "Aphelopus vernonensis", "Aphelopus mangshanensis", "Aphelopus ocellaris", "Aphelopus cardaleae", "Aphelopus varicornis", "Aphelopus albopictus", "Aphelopus leucopus", "Carria nigripes", "Aphelopus querceus", "Aphelopus incisus", "Aphelopus borneanus", "Aphelopus malayanus", "Aphelopus ochreus", "Aphelopus penanganus", "Aphelopus birmanus", "Aphelopus philippinus", "Aphelopus tropicalis", "Aphelopus diaphanus", "Aphelopus surinamensis", "Aphelopus fentoni", "Aphelopus achterbergi", "Aphelopus albiclypeus", "Aphelopus albifacialis", "Aphelopus albifrons", "Ptychopseustis lucipara", "Ptychopseustis schmitzi", "Autocharis arida", "Emprepes maesi", "Tegostoma aridalis", "Metasia grootbergensis", "Teragra macroptera", "Teragra punctana", "Salagena albovenosa", "Unithosea gainsfordi", "Astatophlebia austera", "Thiacidas khomasana", "Escarpamenta damarana", "Eustrotia luteocapitata", "Ozarba himbana", "Ozarba fuscata", "Ozarba schmiedelae", "Ozarba topnaari", "Anteon shimbanum", "Anteon bytebieri", "Anteon copelandi", "Anteon whartoni", "Anteon faciale", "Litopous baehri", "Scaletomerus bicolor", "Parmotrema olivarium", "Drupadia ravindra caesarea", "Drupadia ravindra corbeti", "Drupadia ravindra esla", "Drupadia ravindra fulminans", "Simulium gariepense", "Syrianarpia faunieralis", "Drupadia ravindra janus", "Drupadia ravindra joloana", "Drupadia ravindra moorei", "Lamellodiscus typicus", "Lamellodiscus confusus", "Lamellodiscus theroni", "Laticola cyanus", "Inga cecropietorum", "Lingula anatina", "Calyptostoma tracheatum", "Achillea spinulifolia", "Achillea schischkinii", "Balaustium biscutalae", "Balaustium zhangi", "Cythere dasyderma", "Lasioerythraeus cardonensis", "Mirobaeoides pecki", "Mirobaeoides barbarae", "Mirobaeoides manjimupensis", "Mirobaeoides elongatus", "Mirobaeoides kerryi", "Mirobaeoides lordhowei", "Mirobaeoides lycosi", "Mirobaeoides mirabilis", "Mirobaeoides occidentalis", "Mirobaeoides reticulatus", "Mirobaeoides scutellaris", "Mirobaeoides setosus", "Mirobaeoides tamborinensis", "Mirobaeoides ater", "Mirobaeoides tasmanicus", "Acherontia atropos", "Endothenia gentianaeana", "Endothenia hebesana", "Endothenia melanosticta", "Endothenia sordulenta", "Endothenia ator", "Nesogordonia tricarpellata", "Drupadia ravindra connexa", "Sargus harderseni", "Sargus albibarbus", "Sargus bipunctatus", "Sargus cuprarius", "Sargus flavipes", "Sargus iridatus", "Sargus rufipes", "Sargus ceriferus", "Sargus decorus", "Micrambina amitta", "Micrambina analis", "Chiliotis formosa", "Chiliotis exilis", "Chiliotis germaini", "Chiliotis gigas", "Chiliotis gracilis", "Chiliotis laticeps", "Chiliotis longicornis", "Aphelopus jamaicanus", "Aphelopus alvarenganus", "Aphelopus trinitatis", "Aphelopus diffusus", "Parapolystichum kermadecense", "Aphelopus melaleucus", "Aphelopus atratus", "Aphelopus serratus", "Aphelopus camus", "Aphelopus nigriceps", "Aphelopus nepalensis", "Aphelopus mediocarinatus", "Aphelopus wittei", "Aphelopus maculiceps", "Aphelopus rufiventris", "Aphelopus bicolor", "Lamellodiscus sanfilippoi", "Scaphinion clavatus", "Aethyssius eros", "Aethyssius minor", "Dimorphochilus diversicollis", "Dimorphochilus apicalis", "Tanychilus sobrinus", "Abrolophus montenegrinus", "Abrolophus petanovicae", "Abrolophus nymindegabicus", "Abrolophus crimensis", "Homotrysis macleayi", "Achillea milliana", "Metaprotella sandalensis", "Tutufa bufo", "Acrodontochelys bouceki", "Acrodontochelys vitiensis", "Acrodontochelys mimus", "Acrodontochelys ugandanus", "Acrodontochelys cubensis", "Acrodontochelys americanus", "Acrodontochelys mirabilis", "Acrodontochelys tussaci", "Metaprotella unguja", "Metaprotella mauritiensis", "Metaprotella africana", "Metaprotella excentrica", "Metaprotella haswelliana", "Coronarctus mexicus", "Diploderma brevicauda", "Diploderma yulongense", "Thaumatotibia agriochlora", "Thaumatotibia apicinudana", "Thaumatotibia batrachopa", "Thaumatotibia chaomorpha", "Thaumatotibia encarpa", "Thaumatotibia fulturana", "Thaumatotibia leucotreta", "Thaumatotibia citrogramma", "Thaumatotibia nythobia", "Thaumatotibia dolichogonia", "Thaumatotibia ecnomia", "Thaumatotibia etiennei", "Thaumatotibia eutacta", "Thaumatotibia hemitoma", "Thaumatotibia macrogona", "Thaumatotibia macrops", "Thaumatotibia nannophthalma", "Phoneutria boliviensis", "Acanthoclita acrocroca", "Gryon aculum", "Gryon fervidum", "Areopraon chaitophori", "Areopraon thailandicum", "Ranunculus gueneri", "Elasmia insularis", "Elasmia packardii", "Elasmia cave", "Elasmia mandela", "Elasmia mandela mandela", "Elasmia mandela santaana", "Galium album", "Cattleya briegeri", "Cattleya caulescens", "Acleris atayalicana", "Procrica dinshona", "Procrica parisii", "Procrica ophiograpta", "Ilyocypris inermis", "Procrica parva", "Procrica semilutea", "Procrica agrapha", "Procrica camerunica", "Procrica diarda", "Procrica ochrata", "Procrica imitans", "Procrica intrepida", "Procrica sanidota", "Choristoneura palladinoi", "Bythaelurus giddingsi", "Lozotaenia karchana", "Lozotaenia sciarrettae", "Metamesia episema", "Metamesia physetopa", "Metamesia nolens", "Chrysocoris stollii", "Orcovita hicksi", "Orcovita orchardorum", "Neosarmatium africanum", "Cattleya acuensis", "Cattleya alagoensis", "Cattleya alvaroana", "Metamesia ametria", "Metamesia dilucida", "Metamesia leucomitra", "Metamesia leucophyes", "Metamesia metacroca", "Metamesia peracuta", "Metamesia ptychophora", "Metamesia retrocitra", "Metamesia synclysa", "Metamesia octogona", "Metamesia leptodelta", "Metamesia intensa", "Metamesia incepta", "Metamesia endopyrrha", "Metamesia catadryas", "Metamesia designata", "Metamesia elegans", "Insulamon johannchristiani", "Insulamon magnum", "Insulamon palawanense", "Insulamon porculum", "Insulamon unicorn", "Abrolophus norvegicus", "Russograptis albulata", "Russograptis callopista", "Russograptis medleri", "Russograptis solaris", "Acleris baleina", "Acleris harenna", "Acleris aenigmana", "Acleris aestuosa", "Acleris alnivora", "Salix myrtilloides", "Jasminum humile var. revolutum", "Jasminum officinale var. grandiflorum", "Lonchodryinus notogeicus", "Lonchodryinus guineensis", "Lonchodryinus bakeri", "Lonchodryinus nepalensis", "Lonchodryinus sinensis", "Lonchodryinus flavus", "Lonchodryinus masneri", "Lonchodryinus subapterus", "Lonchodryinus ruficornis", "Lonchodryinus seyrigi", "Lonchodryinus pauliani", "Lonchodryinus tricolor", "Lonchodryinus bimaculatus", "Lonchodryinus melaphelus", "Lonchodryinus verticis", "Lonchodryinus woodi", "Lonchodryinus hovanus", "Lonchodryinus neotropicus", "Anteon giluwense", "Anteon sedlaceki", "Anteon orientale", "Anteon corruptum", "Anteon miles", "Anteon bougainvillei", "Anteon curradoi", "Anteon firmum", "Anteon bouceki", "Anteon mundum", "Anteon bellator", "Anteon fijianum", "Anteon sucklingi", "Anteon bismarckense", "Anteon gloriosum", "Anteon vulsum", "Anteon luctuosum", "Anteon hageni", "Anteon haustum", "Anteon corallinum", "Anteon tasmanianum", "Anteon giraulti", "Anteon rufiscapum", "Anteon superbum", "Erebia deputatska", "Phyllocnistis shizukagozen", "Phyllocnistis chlorantica", "Ranunculus sericeus", "Hyposmocoma inversella", "Hyposmocoma ipohapuu", "Hyposmocoma makawao", "Hyposmocoma tantala", "Hyposmocoma nebulifera", "Hyposmocoma barbata", "Hyposmocoma blackburnii", "Hyposmocoma brevistrigata", "Hyposmocoma caecinervis", "Hyposmocoma candidella", "Hyposmocoma centralis", "Hyposmocoma chilonella", "Hyposmocoma chloraula", "Hyposmocoma corvina", "Hyposmocoma crossotis", "Hyposmocoma discella", "Hyposmocoma discolor", "Hyposmocoma divisa", "Hyposmocoma domicolens", "Hyposmocoma dorsella", "Hyposmocoma emendata", "Ticherra acte", "Hyposmocoma empedota", "Ticherra acte acte", "Hyposmocoma endryas", "Hyposmocoma enixa", "Hyposmocoma ensifer", "Hyposmocoma epicharis", "Hyposmocoma evanescens", "Ticherra acte liviana", "Hyposmocoma exornata", "Hyposmocoma fallacella", "Hyposmocoma falsimella", "Hyposmocoma ferricolor", "Hyposmocoma fervida", "Hyposmocoma flavicosta", "Hyposmocoma fractinubella", "Hyposmocoma fractistriata", "Hyposmocoma fractivittella", "Hyposmocoma fulvida", "Hyposmocoma fulvocervina", "Hyposmocoma fuscopurpurea", "Hyposmocoma fuscotogata", "Hyposmocoma geminella", "Hyposmocoma genitalis", "Drupadia ravindra okurai", "Acanthoclita balanoptycha", "Drupadia ravindra ravindra", "Acanthoclita bidenticulana", "Drupadia ravindra ravindrina", "Acanthoclita conciliata", "Drupadia ravindra resoluta", "Lathraea rhodopaea", "Heteralepas canci", "Acanthoclita hilarocrossa", "Acanthoclita phaulomorpha", "Drupadia ravindra serunica", "Acanthoclita argyrotorna", "Acanthoclita balia", "Acanthoclita dejiciens", "Acanthoclita iridorphna", "Drupadia ravindra sumptuosa", "Drupadia ravindra surindra", "Altensteinia boliviensis", "Altensteinia citrina", "Altensteinia elliptica", "Altensteinia fimbriata", "Altensteinia longispicata", "Altensteinia marginata", "Altensteinia virescens", "Drupadia rufotaenia", "Archiphlebia endophaga", "Archiphlebia rutilescens", "Drupadia rufotaenia alcyma", "Drupadia rufotaenia archibaldi", "Drupadia rufotaenia caesia", "Drupadia rufotaenia kina", "Drupadia rufotaenia praecox", "Drupadia rufotaenia rufotaenia", "Drupadia rufotaenia torquata", "Drupadia scaeva", "Drupadia scaeva scaeva", "Drupadia scaeva cooperi", "Drupadia scaeva cyara", "Drupadia scaeva melisa", "Abrolophus marinensis", "Abrolophus brevus", "Abrolophus glauerti", "Abrolophus insularis", "Abrolophus littoralis", "Abrolophus newmani", "Abrolophus ripicola", "Abrolophus tonsor", "Hyposmocoma haleakalae", "Hyposmocoma illuminata", "Ticherra acte retracta", "Ticherra acte staudingeri", "Ritra aurea cuprea", "Cattleya blumenscheinii", "Ritra aurea volumnia", "Cattleya boissieri", "Cattleya bradei", "Cattleya brevipedunculata", "Pheidole batrachorum", "Pheidole christinae", "Pheidole darwini", "Pheidole semidea", "Pheidole heliosa", "Pheidole rebeccae", "Pheidole setosa", "Pheidole glabrella", "Anteon pteromaculatum", "Dryinus nanlingensis", "Gonatopus nearcticus", "Gonatopus sinensis", "Dryinus indicus", "Dryinus masneri", "Dryinus koreanus", "Apodryinus masneri", "Choreopraon totarae", "Neophyllaphis totarae", "Prestacarus tilbrooki", "Ayersacarus forsteri", "Ayersacarus knoxi", "Ayersacarus savilli", "Ayersacarus hurleyi", "Aphelopus caledonicus", "Aphelopus australis", "Aphelopus townesi", "Lysimachia vulgaris", "Coleophora jurateella", "Coleophora aarviki", "Coleophora capitensis", "Coleophora etoshae", "Coleophora karischella", "Coleophora agassizi", "Lecitholaxa zopheropis", "Lecitholaxa caustospila", "Lecitholaxa kumatai", "Lecitholaxa pogonikuma", "Lecitholaxa mesosura", "Lecitholaxa adonia", "Periacma weishana", "Periacma kangdingensis", "Periacma bifurcata", "Periacma immaculata", "Surattha luteola", "Surattha africalis", "Prionapteryx splendida", "Prionapteryx amathusia", "Suricata suricatta suricatta", "Parancylolomia relicta", "Glaucocharis maculosa", "Crambus proteus", "Coniesta williami", "Eoophyla assegaia", "Eoophyla munroei", "Streptococcus tigurinus", "Hyperlais xanthomista", "Hyperlais conspersalis", "Hyperlais transversalis", "Hyperlais squamosa", "Crambicybalomia ariditatis", "Drupadia ravindra banka", "Drupadia ravindra batuna", "Parmotrema soyauxii", "Endothenia ethiopica", "Endothenia gutturalis", "Lamellodiscus falcus", "Lamellodiscus neifari", "Lamellodiscus ignoratus", "Lamellodiscus kechemirae", "Lamellodiscus tomentosus", "Lamellodiscus crampus", "Lamellodiscus sarculus", "Lamellodiscus sigillatus", "Lamellodiscus rastellus", "Lamellodiscus tubulicornis", "Lamellodiscus magnicornis", "Lamellodiscus parvicornis", "Lamellodiscus epsilon", "Drupadia theda albicans", "Drupadia theda pagiensis", "Balaustium antarcticum", "Balaustium murorum", "Balaustium vignae", "Balaustium graminum", "Balaustium bipilum", "Balaustium innocentae", "Balaustium brunoni", "Balaustium barloventensis", "Balaustium minodorae", "Balaustium medardi", "Balaustium soydani", "Balaustium putmani", "Gauchodaeus patagonicus", "Rhinoecetes dinoceros", "Rhinoecetes meridianus", "Rhinoecetes rhinoceros", "Cephaloecetes enigmaticus", "Neoecetes conipes", "Cheritra freja jafra", "Cheritra freja pallida", "Australoecetes australis", "Australoecetes sellicki", "Australoecetes jervisi", "Rhinoecetes robustus", "Cheritra freja pseudojafra", "Cheritra freja sabanga", "Cheritra orpheus", "Cheritra orpheus orpheus", "Cheritra orpheus eurydice", "Cheritra orpheus orphnine", "Bocchus australiae", "Bocchus minimus", "Bocchus bouceki", "Bocchus guineensis", "Bocchus robustus", "Bocchus bicolor", "Bocchus sulciscutellum", "Bocchoides bekilyensis", "Drupadia theda fulgens", "Drupadia theda miyo", "Drupadia theda namusa", "Drupadia theda osadai", "Ceratoxanthis saratovica", "Drupadia theda pekas", "Aleimma loeflingiana", "Phtheochroa inopiana", "Phtheochroa ingridae", "Phtheochroa johnibrowni", "Cochylimorpha woliniana", "Eana incanana", "Clepsis trifasciata", "Cattleya bicalhoi", "Drupadia theda renonga", "Drupadia theda tawiensis", "Drupadia theda thaliarchus", "Allophryne resplendens", "Drupadia theda thesmia", "Flexopecten glaber", "Drupadia theda umara", "Gastrotheca pachachacae", "Mycena inclinata", "Drupadia theda unicolor", "Floydwernerius elegans", "Dyscritobaeus abnormis", "Epinotia abnormana", "Epinotia aciculana", "Epinotia albangulana", "Epinotia albicapitana", "Epinotia aquila", "Epinotia araea", "Cheritrella truncipennis", "Scotonomus nuragicus", "Scotonomus petriolii", "Lathrobium volscum", "Argoctenus australianus", "Argoctenus bidentatus", "Argoctenus devisi", "Argoctenus gracilis", "Argoctenus hystriculus", "Argoctenus nebulosus", "Argoctenus pectinatus", "Argoctenus vittatus", "Actiniopteris radiata", "Eccopsis brunneopostica", "Eccopsis subincana", "Megalota lygaria", "Plutographa xanthala", "Strepsicrates melanastraptis", "Epinotia anepenthes", "Epinotia latiloba", "Dracontogena niphadonta niphadonta", "Dracontogena metamorphica", "Dracontogena tonitrualis", "Coccothera areata", "Coccothera ferrifracta", "Coccothera spissana", "Coccothera victrix", "Coccothera pharaonana", "Coccothera triorbis", "Coccothera carolae", "Multiquaestia aequivoca", "Drupadia theda bangkaiensis", "Coniostola separata", "Drupadia theda batunensis", "Drupadia theda demialba", "Cydia tytthaspis", "Cydia dinshoi", "Cydia lathetica", "Thaumatotibia spinai", "Drupadia theda fabricii", "Anteon involutum", "Anteon permirum", "Anteon reticulaticeps", "Anteon chelogynoides", "Anteon myrmecophilum", "Anteon parvulum", "Anteon destructor", "Anteon typicum", "Anteon leiosomum", "Anteon nitidum", "Anteon nigricorne", "Anteon coriaceum", "Dryinus areolatus", "Propsocus nitens", "Closterotomus norwegicus", "Ranunculus amplexicaulis", "Ranunculus bilobus", "Ranunculus caucasicus", "Ranunculus crenatus", "Ranunculus creticus", "Cheritra aenea", "Cheritra aenigma", "Cattleya cernua", "Cheritra freja", "Mesorhabditis acidophila", "Cheritra freja butleri", "Cheritra freja evansi", "Cheritra freja fracta", "Cheritra freja freja", "Rhinoecetes albomaculosus", "Cheritra freja frigga", "Rhinoecetes brevirostris", "Rhinoecetes coclearis", "Mystrophorus apterus", "Bocchus rossi", "Gryon mineoi", "Gryon kononovai", "Gryon masneri", "Gryon kozlovi", "Gryon alanidoddi", "Gryon risbeci", "Gryon longipenne", "Gryon nigripes", "Gryon nigriclavatum", "Gryon nigricoxa", "Gryon pictum", "Gryon nigrum", "Gryon rufithorax", "Gryon misellum", "Gryon austrafricanum", "Gryon australicum", "Gryon latum", "Gryon amleticus", "Gryon amplum", "Gryon angustipenne", "Gryon assimile", "Gryon aureum", "Gryon chinchillae", "Gryon dichromos", "Gryon elegans", "Gryon flavios", "Gryon flavum", "Gryon fulviventre", "Gryon fumosum", "Gryon geminum", "Gryon gryonis", "Gryon hirsutioculum", "Gryon introversum", "Gryon latipenne", "Gryon longicorne", "Gryon magneticum", "Gryon meridianum", "Gryon minutum", "Gryon nigriceps", "Gryon nigricorne", "Gryon unicolor", "Gryon tropicale", "Gryon rubriscapus", "Gryon robustum", "Gryon reticulatum", "Gryon querulum", "Gryon pentatomum", "Gryon orestes", "Musaspongia amnicola", "Praon barbatum", "Coridromius chenopoderis", "Coridromius bicolor", "Coridromius boianotum", "Coridromius bulbopella", "Coridromius confusus", "Coridromius crassus", "Coridromius drepanopenis", "Coridromius ephippius", "Coridromius epithema", "Coridromius falsicoleus", "Coridromius hermosus", "Coridromius lestoni", "Coridromius marmoreus", "Coridromius monotocopsis", "Coridromius pilbarensis", "Coridromius prolixipenis", "Coridromius pteraulos", "Coridromius ruwenzorii", "Coridromius sommelieri", "Coridromius tahitiensis", "Coridromius thalame", "Gonatopus dubiosus", "Gonatopus decoratus", "Gonatopus optabilis", "Gonatopus gigas", "Gonatopus melanias", "Gryon papuense", "Gryon rugostriatum", "Gryon dubitatum", "Breviscelio arabicus", "Breviscelio australicus", "Breviscelio crenatus", "Breviscelio striatus", "Platyscelidris fossorius", "Dyscritobaeus nigricoxa", "Gryon acuteangulatum", "Gryon austini", "Gryon minimum", "Strongylocentrotus purpuratus", "Ascochyta pisi", "Sitona lineatus", "Phytonomus variabilis", "Aphis fabae", "Macrosiphum rosae", "Myzus persicae", "Bohadschia argus", "Risbecoma acaciarum", "Gryon aculeator", "Gryon acutiventre", "Gryon atrum", "Gryon chelinideae", "Gryon elatior", "Gryon magnoculo", "Gryon obesum", "Gryon radiculare", "Gryon stewarti", "Gryon triangulum", "Gryon vitripenne", "Gryon xanthosoma", "Gryon longipenne", "Coridromius chinensis", "Coridromius bufo", "Thaleichthys pacificus", "Wurmiella excavata", "Astragalus sect.", "Metopina rotundata", "Globochthonius globimanus", "Chthonius longimanus", "Circaetus rhodopensis", "Oxytropis subg.", "Oxytropis sect.", "Micropsephodes lundgreni", "Ginkgo huolinhensis", "Gonatopus oceanicus", "Gonatopus primitivus", "Gonatopus dubius", "Gonatopus williamsi", "Gonatopus plicatus", "Gonatopus rossi", "Gonatopus naumanni", "Gonatopus papuanus", "Gonatopus pulcherrimus", "Gonatopus australiae", "Riechia acraeoides", "Prometheus cochrus", "Gazera heliconioides", "Gazera heliconioides heliconioides", "Gazera heliconioides micha", "Frostetola gramivora", "Paysandisia archon", "Geyeria uruguayana", "Ceretes thais", "Lithostege farinata", "Lithostege coassata", "Lithostege ancyrana", "Lithostege narynensis", "Lithostege griseata", "Lithostege palaestinensis", "Lithostege luminosata", "Lithostege luigi", "Lithostege infuscata", "Lithostege flavicornata", "Chaetodipterus faber", "Bruchophagus gibbus", "Bruchophagus roddi", "Systole foeniculi", "Cattleya coccinea", "Fasciola hepatica", "Cattleya colnagoi", "Cattleya conceicionensis", "Cattleya crispa", "Cattleya crispata", "Aradacanthia heissi", "Pratapa icetas", "Pratapa icetas extensa", "Pratapa icetas icetas", "Pratapa icetas sakaia", "Polycanthagyna ornithocephala", "Limotettix condylus", "Thaumaglossa baobab", "Hydrochus spangleri", "Hydrochus yadavi", "Gonatopus perkinsi", "Gonatopus haleakalae", "Gonatopus hawaiiensis", "Gonatopus rufus", "Gonatopus rugosus", "Bruchophagus orarius", "Bruchophagus interior", "Bruchophagus acaciae", "Elydnodes variegata", "Elydnodes ornata", "Elydnodes griseata", "Antitrisuloides catocalina", "Antitrisuloides siamensis", "Porthidium ophryomegas", "Porthidium nasutum", "Porthidium yucatanicum", "Imara satrapes", "Porthidium dunni", "Synpalamides phalaris", "Synpalamides rubrophalaris", "Flexopecten glaber ponticus", "Castnia invaria", "Castnia invaria invaria", "Flexopecten glaber glaber", "Sinthusa stephaniae", "Castnia invaria penelope", "Periclimenes imperator", "Castnia invaria trinitatis", "Castnia invaria volitans", "Castnia juturna", "Telchin licus", "Telchin licus licus", "Telchin licus albomaculata", "Telchin licus laura", "Telchin licus chocoensis", "Telchin licus insularis", "Telchin licus licoidella", "Telchin licus pauperata", "Telchin licus magdalena", "Telchin licus microsticta", "Telchin licus rubromaculata", "Telchin licus talboti", "Telchin licus vorax", "Ceretes marcelserres", "Axanthosoma io", "Tetramesa linearis", "Systole geniculata", "Systole myartsevae", "Systole wasseri", "Systole kezivi", "Systole plana", "Systole tokata", "Systole minima", "Systole brunnicornis", "Systole eremodauci", "Systole allergica", "Systole apionivorans", "Systole brevithorax", "Systole longicornis", "Systole merawensis", "Systole abnormis", "Systole minuta", "Buresium naso", "Macrorileya oecanthi", "Macrorileya antanimorae", "Macrorileya inopinata", "Macrorileya podagrica", "Macrorileya femorata", "Pselaphodes linae", "Pselaphodes shii", "Gonatopus kiefferi", "Rhytidodus decimaquartus", "Sierolomorpha barri", "Sierolomorpha bicolor", "Sierolomorpha apache", "Sierolomorpha similis", "Sierolomorpha brevicornis", "Sierolomorpha nigrescens", "Sierolomorpha atropos", "Sierolomorpha isis", "Syntozyga alatheta", "Endothenia albapex", "Grapholita insperata", "Xylophanes marginalis", "Cydia kamijoi", "Cydia pactolana", "Dichrorampha vancouverana", "Hypena senicula", "Hypena plagiota", "Neotrichoporoides viridimaculatus", "Euplectrus agaristae", "Euplectrus flavipes", "Garra namyaensis", "Neoplecostomus bandeirante", "Neoplecostomus botucatu", "Neoplecostomus langeanii", "Barilius profundus", "Garra kalpangi", "Mystus ngasep", "Anielia paranica", "Cirrothaumatia tornocarpa", "Cirrothaumatia tornosema", "Cirrothaumatia vesta", "Cochylimorpha discopunctana", "Cochylimorpha eburneana", "Cochylimorpha emiliana", "Cochylimorpha erlebachi", "Cochylis fusca", "Cochylis virilia", "Cochylis maiana", "Cochylis bana", "Cochylis discana", "Cochylis hollandana", "Cochylis voxcana", "Cochylis bunteana", "Cochylis gunniana", "Cochylis nana", "Schistosoma haematobium", "Mesocentrotus franciscanus", "Cryptocochylis conjunctana", "Crocus baytopiorum", "Arawacus sito", "Systasis lelex", "Cattleya dichroma", "Cattleya dormaniana", "Bennelongia bidgelangensis", "Bennelongia strellyensis", "Bennelongia kimberleyensis", "Dasylirion wheeleri", "Kleidotoma pilosalis", "Kleidotoma nigra", "Kleidotoma japonica", "Sericoderus pecirkanus", "Gonatopus vistosus", "Gonatopus iranicus", "Gonatopus suarezi", "Epigonatopus solitarius", "Epigonatopus fallax", "Haplogonatopus apicalis", "Neodryinus nelsoni", "Neodryinus koebelei", "Echthrodelphax nigricollis", "Echthrodelphax bifasciatus", "Echthrodelphax pelops", "Pseudogonatopus nigricans", "Pseudogonatopus saccharetorum", "Pseudogonatopus kurandae", "Pseudogonatopus juncetorum", "Pseudogonatopus plurisulcatus", "Pseudogonatopus opacus", "Gonatopus notogeicus", "Dryinus pallidus", "Dryinus speciosus", "Dryinus montanus", "Dryinus pseudophanes", "Dryinus insularis", "Dryinus bouceki", "Dryinus gigas", "Dryinus aterrimus", "Dryinus punctatus", "Dryinus leptias", "Dryinus dahmsi", "Dryinus venator", "Dryinus australianus", "Richardsidryinus trilineatus", "Thaumatodryinus koebelei", "Arahura dentata", "Arahura gourlayi", "Arahura reticulata", "Arawa dugdalei", "Arawa negata", "Arawa novella", "Arawa pulchra", "Arawa variegata", "Exitianus plebeius", "Scaphetus brunneus", "Scaphetus simus", "Limotettix harrisi", "Limotettix pallidus", "Limotettix pullatus", "Horouta inconstans", "Montandoniola confusa", "Dinophalia egregia", "Diceratura amaranthica", "Diceratura diceratops", "Diceratura keredjana", "Diceratura porrectana", "Diceratura rhodograpta", "Diceratura teheranica", "Diceratura infantana", "Diceratura ostrinana", "Diceratura roseofasciana", "Empedcochylis empeda", "Enallcochylis enochra", "Eugnosta bimaculana", "Eugnosta sartana", "Hopea malabarica", "Eugnosta euglypta", "Eugnosta hypsitropha", "Eugnosta medioxima", "Eugnosta medvedevi", "Eugnosta mexicana", "Eugnosta misella", "Eugnosta mitis", "Eugnosta ochrolemma", "Eugnosta opalina", "Eugnosta ouralia", "Eugnosta proanoa", "Eugnosta saltillana", "Eugnosta sebasta", "Hopea glabra", "Risbecoma albizziae", "Risbecoma capensis", "Risbecoma mohandasi", "Risbecoma pigrae", "Risbecoma bruchocida", "Protocotyle taschenbergi", "Protocotyle grisea", "Protocotyle euzetmaillardi", "Kleidotoma canaceivorus", "Kleidotoma costata", "Kleidotoma williamsi", "Kleidotoma parydrae", "Kleidotoma bryani", "Kleidotoma kraussi", "Kleidotoma swezeyi", "Kleidotoma convexitas", "Kleidotoma debilifovea", "Kleidotoma longirudis", "Kleidotoma pulchrinis", "Bennelongia cygnus", "Kleidotoma striaticollis", "Bennelongia frumenta", "Bennelongia coondinerensis", "Bennelongia gwelupensis", "Kleidotoma arbitra", "Bennelongia lata", "Kleidotoma bifurcata", "Kleidotoma conica", "Kleidotoma strigosa", "Kleidotoma ventosus", "Kleidotoma distenda", "Kleidotoma norma", "Kleidotoma eala", "Kleidotoma elongula", "Kleidotoma nitidiuscula", "Kleidotoma nigrans", "Kleidotoma morsum", "Kleidotoma fimbriata", "Kleidotoma favus", "Kleidotoma erebus", "Bennelongia cuensis", "Dougiola koebelei", "Nesoclutha phryne", "Nesoclutha obscura", "Nesoclutha pallida", "Nesoclutha concavipenis", "Nesoclutha concolor", "Nesoclutha declivata", "Nesoclutha erythrocephala", "Arawa centralis", "Arawa decolorata", "Nesoclutha flava", "Maiestas knighti", "Maiestas samuelsoni", "Maiestas vetus", "Acer erythranthum", "Echiniscus horningi", "Echiniscus inocelatus", "Echiniscus insuetus", "Echiniscus jagodici", "Echiniscus jamesi", "Echiniscus japonicus", "Echiniscus jenningsi", "Echiniscus testudo", "Echiniscus trisetosus", "Echiniscus kerguelensis", "Echiniscus knowltoni", "Echiniscus kofordi", "Echiniscus kosickii", "Echiniscus lapponicus", "Echiniscus laterosetosus", "Echiniscus laterospinosus", "Echiniscus latifasciatus", "Echiniscus lichenorum", "Echiniscus limai", "Valenciennea puellaris", "Echiniscus crassispinosus", "Echiniscus crassispinosus crassispinosus", "Echiniscus crassispinosus fasciatus", "Echiniscus blumi", "Echiniscus blumi blumi", "Echiniscus blumi schizofilus", "Pammene laserpitiana", "Epinephelus akaara", "Brunfelsia plowmaniana", "Cattleya forbesii", "Hopea utilis", "Rhyothemis variegata", "Tramea limbata", "Trithemis pallidinervis", "Trithemis festiva", "Erysimum hakkiaricum", "Erysimum leptocarpum", "Bayerotrochus teramachii", "Erysimum purpureum", "Erysimum tenellum", "Tetrakentron synaptae", "Erysimum armeniacum", "Tholoarctus natans natans", "Tholoarctus natans pedunculatus", "Megastygarctides isounguis", "Megastygarctides orbiculatus", "Megastygarctides setoloso", "Erysimum degenianum", "Eleniceras nikolovi", "Parastygarctus biungulatus", "Parastygarctus higginsi", "Parastygarctus mediterranicus", "Parastygarctus renaudae", "Parastygarctus sterreri", "Eleniceras transsylvanicum", "Crocus sect.", "Eleniceras stevrecensis", "Crocus ser.", "Pratapa deva", "Pratapa deva cartena", "Pratapa deva christina", "Pratapa deva deva", "Pratapa deva devana", "Cattleya endsfeldzii", "Pratapa deva devula", "Cattleya esalqueana", "Pratapa deva lila", "Cattleya \u00d7 fidelensis", "Cattleya flavasulina", "Pratapa deva relata", "Pratapa icetoides", "Pratapa icetoides calculis", "Pratapa icetoides cretheus", "Pratapa icetoides ecphantus", "Pratapa icetoides icetoides", "Pratapa icetoides yasa", "Pratapa icetoides marikit", "Diploprion bifasciatum", "Macrodactylus farinosus", "Idiocerus verticis", "Pratapa cameria", "Horouta darwini", "Horouta jahmoi", "Horouta spinosa", "Pseudogonatopus dichromus", "Pseudogonatopus palustris", "Cypricercus horridus", "Candona parvula", "Pseudoceneus norfolkensis", "Notagonum marginellum", "Echiniscus barbarae", "Echiniscus batramiae", "Echiniscus becki", "Echiniscus bigranulatus", "Echiniscus bisculptus", "Echiniscus calcaratus", "Echiniscus calvus", "Echiniscus canadensis", "Echiniscus canedoi", "Echiniscus cavagnaroi", "Echiniscus carusoi", "Echiniscus carsicus", "Echiniscus capillatus", "Echiniscus cervicornis", "Echiniscus charrua", "Echiniscus cheonyoungi", "Echiniscus cirinoi", "Echiniscus clavispinosus", "Echiniscus clevelandi", "Echiniscus columinis", "Echiniscus corrugicaudatus", "Echiniscus curiosus", "Echiniscus dariae", "Echiniscus darienae", "Echiniscus dearmatus", "Echiniscus dikenli", "Echiniscus diploglyptus", "Echiniscus divergens", "Echiniscus dreyfusi", "Echiniscus duboisi", "Echiniscus egnatiae", "Echiniscus elegans", "Echiniscus evelinae", "Echiniscus zetotrymus", "Echiniscus wendti", "Echiniscus weisseri", "Echiniscus walteri", "Echiniscus viridissimus", "Echiniscus viridis", "Echiniscus viridianus", "Echiniscus virginicus", "Echiniscus vinculus", "Echiniscus velaminis", "Echiniscus tympanista", "Echiniscus tropicalis", "Echiniscus trojanus", "Echiniscus spiculifer", "Echiniscus speciosus", "Echiniscus simba", "Echiniscus siegristi", "Echiniscus filamentosus", "Echiniscus ganczareki", "Echiniscus glaber", "Echiniscus granulatus", "Echiniscus heterospinosus", "Echiniscus hexacanthus", "Echiniscus hoonsooi", "Notoplatynus darlingtoni", "Dicrochile idae", "Lacordairia insulicola", "Chlaenius flaviguttatus", "Chlaenius ophonoides", "Notiobia melanaria", "Pentagonica atkinsoni", "Anomotarus discofoveatus", "Notagonum angustellum", "Notagonum chathamense", "Notagonum dentellum", "Notagonum externum", "Notagonum nigrellum", "Notagonum murrayense", "Notagonum margaritum", "Notagonum macleayi", "Notagonum lawsoni", "Notagonum feredayi", "Notagonum lafertei", "Xestocephalus magnificus", "Batricavus tibialis", "Sinotrisus nomurai", "Stylonema alsidii", "Horouta lotis", "Horouta austrina", "Horouta perparva", "Horouta aristarche", "Gegenes pumilio", "Caligus chelifer", "Doryphoribius amazzonicus", "Doryphoribius bertolanii", "Doryphoribius bindae", "Doryphoribius dupliglobulatus", "Doryphoribius evelinae", "Doryphoribius flavus", "Doryphoribius gibber", "Doryphoribius huangguoshuensis", "Doryphoribius koreanus", "Doryphoribius korganovae", "Doryphoribius longistipes", "Doryphoribius macrodon", "Doryphoribius maranguensis", "Doryphoribius mariae", "Doryphoribius minimus", "Doryphoribius neglectus", "Doryphoribius pilatoi", "Doryphoribius polynettae", "Doryphoribius qinlingense", "Doryphoribius quadrituberculatus", "Doryphoribius smokiensis", "Doryphoribius solidunguis", "Doryphoribius taiwanus", "Doryphoribius tergumrudis", "Doryphoribius tessellatus", "Doryphoribius turkmenicus", "Doryphoribius vietnamensis", "Doryphoribius zappalai", "Austeruseus balduri", "Austeruseus faeroensis", "Austeruseus rokuri", "Helicolenus hilgendorfii", "Cattleya \u00d7 mesquitae", "Fulvia mutica", "Hydrobia ulvae", "Erysimum leptophyllum", "Erysimum uncinatifolium", "Erysimum amasianum", "Erysimum pseudopurpureum", "Erysimum sorgerae", "Maiestas hospes", "Cytherites insignipes", "Diasemia accalis", "Diasemia reticularis", "Diasemia completalis", "Diasemia erubescens", "Candona subgibba", "Diasemia disjectalis", "Diasemia lunalis", "Diasemia monostigma", "Diasemia trigonialis", "Diasemia zebralis", "Auzata amaryssa", "Auzata semilucida", "Auzata plana", "Auzata semipavonaria", "Auzata chinensis", "Auzata chinensis chinensis", "Auzata chinensis prolixa", "Auzata chinensis arcuata", "Auzata superba", "Auzata superba superba", "Auzata superba cristata", "Macrocilix mysticata mysticata", "Macrocilix mysticata brevinotata", "Macrocilix mysticata watsoni", "Macrocilix mysticata campana", "Macrocilix ophrysa", "Macrocilix nongloba", "Macrocilix trinotata", "Macrocilix maia", "Nordstromia heba", "Nordstromia fusca", "Nordstromia fuscula", "Nordstromia nigra", "Nordstromia niva", "Nordstromia angula", "Austrophotismus daicles", "Austrophotismus fallax", "Cybocephalus aleyrodiphagus", "Bergtrollus dzimbowski", "Milnesium granulatum", "Anisonyches deliquus", "Anisonyches mauritianus", "Mononchoides composticola", "Cornechiniscus brachycornutus", "Cornechiniscus ceratophorus", "Cornechiniscus cornutus", "Cornechiniscus holmeni", "Cornechiniscus lobatus", "Cornechiniscus madagascariensis", "Cornechiniscus schrammi", "Cornechiniscus subcornutus", "Cornechiniscus tibetanus", "Acronicta concerpta", "Acronicta grumi", "Acronicta tiena", "Acronicta auricoma", "Acronicta rumicis", "Acronicta indica", "Acronicta regifica", "Acronicta raphael", "Craniophora jactans", "Craniophora praeclara", "Craniophora fasciata", "Craniophora tigniumbra", "Craniophora harmandi", "Craniophora nubilata", "Craniophora prodigiosa", "Anapisa holobrunnea", "Meganaclia sippia", "Echiniscus africanus", "Echiniscus aliquantillus", "Echiniscus angolensis", "Echiniscus apuanus", "Echiniscus arcangelii", "Echiniscus arctomys", "Echiniscus azoricus", "Echiniscus baius", "Echiniscus baloghi", "Nordstromia unilinea", "Nordstromia vira", "Tridrepana flava", "Tridrepana flava flava", "Tridrepana flava sinica", "Neodryinus raptor", "Neodryinus umbratus", "Pseudogonatopus melanacrias", "Hexacola absensa", "Hexacola amantia", "Hexacola atropos", "Hexacola bifaria", "Hexacola compacta", "Hexacola fringa", "Hexacola octoclava", "Hexacola pallida", "Hexacola quinqueclavata", "Hexacola quisnama", "Hexacola zama", "Hexacola septimius", "Entocythere cambaria", "Hexacola fuscicola", "Hexacola neoscatellae", "Hexacola tahitiensis", "Steraspis laetitia", "Steraspis ferruginea", "Steraspis hehe", "Steraspis mimica", "Steraspis kalaharica", "Agrilus acoenonoetus", "Agrilus interdictus", "Agrilus polyphemus", "Agrilus rwandae", "Agrilus chloris", "Agrilus lampyrus", "Agrilus luciolus", "Agrilus klotinus", "Malawiella regina", "Bellamyus guineensis", "Bellamyus camerounensis", "Brachythemis contaminata", "Eleniceras tchechitevi", "Pseudotajuria donatana", "Cattleya fournieri", "Cybocephalus zakotus", "Cybocephalus beverlyae", "Cybocephalus championi", "Cybocephalus huastecus", "Cybocephalus aonidiellae", "Cybocephalus assiduus", "Cybocephalus balticus", "Cybocephalus kerneggeri", "Cybocephalus electricus", "Rileya spadix", "Gryon neglectum", "Gryon kaszabi", "Gryon cydnoides", "Gryon bernardi", "Saxifraga adscendens", "Saxifraga aizoides", "Saxifraga bulbifera", "Saxifraga cernua", "Saxifraga hederacea", "Saxifraga hirculus", "Saxifraga hyperborea", "Saxifraga kotschyi", "Saxifraga luteoviridis", "Saxifraga rivularis", "Saxifraga sibthorpii", "Micranthes tenuis", "Saxifraga tombeanensis", "Echiniscus quadrispinosus", "Echiniscus quadrispinosus quadrispinosus", "Echiniscus quadrispinosus brachyspinosus", "Echiniscus quadrispinosus cribrosus", "Echiniscus quadrispinosus fissispinosus", "Echiniscus merokensis", "Echiniscus merokensis merokensis", "Echiniscus merokensis suecicus", "Echiniscus nelsonae", "Echiniscus nepalensis", "Echiniscus nigripustulus", "Echiniscus nobilis", "Echiniscus oihonnae", "Echiniscus ollantaytamboensis", "Echiniscus osellai", "Echiniscus pajstunensis", "Echiniscus palmai", "Echiniscus perarmatus", "Echiniscus peruvianus", "Bryodelphax aaseae", "Bryodelphax alzirae", "Guildfordia yoka", "Bryodelphax amphoterus", "Bryodelphax asiaticus", "Bryodelphax atlantis", "Bryodelphax brevidentatus", "Bryodelphax crossotus", "Bryodelphax dominicanus", "Bryodelphax iohannis", "Bryodelphax lijiangensis", "Bryodelphax mateusi", "Bryodelphax ortholineatus", "Bryodelphax parvulus", "Bryodelphax sinensis", "Bryodelphax tatrensis", "Bryodelphax weglarskae", "Echiniscus perviridis", "Echiniscus phocae", "Echiniscus polygonalis", "Echiniscus pooensis", "Echiniscus porabrus", "Echiniscus postojnensis", "Echiniscus pseudelegans", "Echiniscus pseudowendti", "Echiniscus punctus", "Echiniscus pusae", "Echiniscus quitensis", "Echiniscus rackae", "Echiniscus ranzii", "Echiniscus reticulatus", "Echiniscus reymondi", "Echiniscus robertsi", "Echiniscus rodnae", "Echiniscus rufoviridis", "Lycoriella lundstromi", "Wernerius inyoensis", "Tocama laosensis", "Tocama procera", "Meiothrips fuscicrus", "Megalara garuda", "Abbottina rivularis", "Acizzia acaciaedealbatae", "Acizzia acaciaedecurrentis", "Acizzia acaciaejuniperinae", "Acizzia acaciaependulae", "Acizzia acaciaepycnanthae", "Acizzia candida", "Acizzia capparis", "Acizzia frenchi", "Acizzia gracilis", "Acizzia schizoneuroides", "Acizzia amyemae", "Acizzia lidgetti", "Acizzia loranthacae", "Acizzia pendulae", "Acizzia taylorii", "Echiniscus rugospinosus", "Echiniscus scabrospinosus", "Echiniscus semifoveolatus", "Echiniscus shaanxiensis", "Echiniscus spiniger", "Echiniscus spinulosus", "Echiniscus storkani", "Echiniscus sylvanus", "Echiniscus taibaiensis", "Echiniscus tamus", "Echiniscus tardus", "Echiniscus tenuis", "Echiniscus tessellatus", "Orthetrum chrysis", "Rhodothemis rufa", "Jambiliara angula", "Jambiliara moultoni", "Jambiliara selita", "Jambiliara laticauda", "Jambiliara macroptera", "Nahlaksia bidadari", "Nahlaksia suphattra", "Oxylakis singaporensis", "Oxylakis jacobsoni", "Oxylakis javanicus", "Oxylakis karnyi", "Oxylakis magna", "Oxylakis punctipennis", "Oxylakis rugosa", "Oxylakis sumatranus", "Oxylakis titillatus", "Oxylakis truncatipennis", "Alchemilla sintenisii", "Cattleya gaskelliana", "Cattleya ghillanyi", "Cattleya gloedeniana", "Zeala walkerae", "Anisopteromalus calandrae", "Asaphes vulgaris", "Callitula viridicoxa", "Enoggera nassaui", "Fusiterga gallarum", "Fusiterga lativentris", "Homoporus nypsius", "Muscidifurax raptor", "Moranila californica", "Moranila comperei", "Maorita reticulata", "Mesopolobus incultus", "Mesopolobus nobilis", "Lariophagus distinguendus", "Inkaka quadridentata", "Nasonia vitripennis", "Notoglyptus scutellaris", "Trichomalopsis hemiptera", "Trichomalopsis iambe", "Theocolax formiciformis", "Stinoplus etearchus", "Spalangia cameroni", "Spalangia endius", "Spalangia nigra", "Spalangia nigroaenea", "Rhaphitelus maculatus", "Discoplax celeste", "Discoplax gracilipes", "Discoplax hirtipes", "Tridacna gigas", "Tridacna derasa", "Xanthoparmelia alligatensis", "Xanthoparmelia auricampa", "Ranatra lansburyi", "Ranatra akoitachta", "Ranatra sterea", "Ranatra recta", "Ranatra odontomeros", "Xanthoparmelia pimbaensis", "Tridacna maxima", "Tridacna crocea", "Tridacna squamosa", "Xanthoparmelia dapperensis", "Theocolax radhakrishnani", "Theocolax phloeosini", "Theocolax oblonga", "Theocolax ingens", "Theocolax frater", "Theocolax elegans", "Theocolax bakeri", "Inkaka keralensis", "Pachyneuron siphonophorae", "Pachyneuron rieki", "Pachyneuron nelsoni", "Pachyneuron emersoni", "Pachyneuron kingsleyi", "Assara funerella", "Myelois cribrella", "Hypechiniscus exarmatus", "Hypechiniscus gladiator", "Hypechiniscus gladiator gladiator", "Parechiniscus unispinosus", "Hypechiniscus gladiator bigladii", "Hypechiniscus gladiator fissigladii", "Hypechiniscus gladiator spinulosa", "Hypechiniscus papillifer", "Nyctegretis achatinella", "Nyctegretis achatinella achatinella", "Nyctegretis achatinella katastropella", "Mopsechiniscus frenoti", "Mopsechiniscus granulosus", "Mopsechiniscus imberbis", "Mopsechiniscus schusteri", "Mopsechiniscus tasmanicus", "Novechiniscus armadilloides", "Parechiniscus chitonides", "Pseudocadra cuprotaeniella", "Proechiniscus hanneae", "Pseudechiniscus alberti", "Pseudechiniscus asper", "Pseudechiniscus bartkei", "Pseudechiniscus beasleyi", "Pseudechiniscus bidenticulatus", "Pseudechiniscus bispinosus", "Euzophera batangensis", "Pseudechiniscus brevimontanus", "Pseudechiniscus clavatus", "Pseudechiniscus conifer", "Pseudechiniscus dicrani", "Pseudechiniscus distinctus", "Pseudechiniscus facettalis", "Pseudechiniscus goedeni", "Pseudechiniscus gullii", "Pseudechiniscus insolitus", "Pseudechiniscus islandicus", "Pseudechiniscus jiroveci", "Pseudechiniscus juanitae", "Pseudechiniscus jubatus", "Pseudechiniscus megacephalus", "Pseudechiniscus nataliae", "Pseudechiniscus novaezeelandiae", "Pseudechiniscus novaezeelandiae novaezeelandiae", "Pseudechiniscus novaezeelandiae aspinosa", "Pseudechiniscus novaezeelandiae laterospinosa", "Pseudechiniscus novaezeelandiae marinae", "Pseudechiniscus occultus", "Pseudechiniscus papillosus", "Pseudechiniscus pilatoi", "Pseudechiniscus pseudoconifer", "Pseudechiniscus pulcher", "Pseudechiniscus quadrilobatus", "Pseudechiniscus ramazzottii", "Pseudanogmus silanus", "Pachyneuron aphidis", "Pteromalus puparum", "Pteromalus semotus", "Pteromalus sequester", "Proshizonotus resplendens", "Ausasaphes atripes", "Ausasaphes pallipes", "Ausasaphes shiralee", "Sandrabatis crassiella", "Ceroprepes nigrolineatella", "Homoeosoma matsumurella", "Assara terebrella", "Enoggera reticulata", "Enoggera sulcata", "Enoggera tanythrix", "Enoggera polita", "Trachymela tincticollis", "Xanthoparmelia baeomycesica", "Xanthoparmelia capnoexillima", "Xanthoparmelia convolutoides", "Xanthoparmelia curnowiae", "Xanthoparmelia echidnaformis", "Xanthoparmelia ewersii", "Xanthoparmelia fangii", "Xanthoparmelia inopinata", "Xanthoparmelia karolinensis", "Xanthoparmelia nodulosa", "Xanthoparmelia boyaginensis", "Xanthoparmelia bullabullensis", "Xanthoparmelia hybridella", "Xanthoparmelia klauskalbii", "Placocheilus dulongensis", "Lagusia micracanthus", "Hemirhipidia postrosea", "Hemirhipidia danieli", "Parapisa cinereocostata", "Echiniscus longispinosus", "Echiniscus lineatus", "Echiniscus loxophthalmus", "Echiniscus madonnae", "Echiniscus maesi", "Pseudothyretes perpusilla", "Pseudothyretes mariae", "Metarctia haematica", "Metarctia paremphares", "Metarctia priscilla", "Melisa diptera", "Hippurarctia judith", "Tridrepana leva", "Echiniscus malpighii", "Echiniscus manuelae", "Echiniscus marcusi", "Echiniscus marginatus", "Echiniscus marginoporus", "Tridrepana emina", "Echiniscus markezi", "Echiniscus marleyi", "Echiniscus mauccii", "Tridrepana hypha", "Echiniscus mediantus", "Echiniscus migiurtinus", "Echiniscus mihelcici", "Tridrepana hainana", "Echiniscus militaris", "Tridrepana fulvata", "Tridrepana fulvata fulvata", "Tridrepana fulvata brevis", "Tridrepana arikana", "Tridrepana arikana arikana", "Tridrepana arikana falcipennis", "Tridrepana arikana emina", "Echiniscus molluscorum", "Echiniscus moniliatus", "Echiniscus montanus", "Echiniscus mosaicus", "Echiniscus multispinosus", "Echiniscus murrayi", "Deraeocoris maoricus", "Orchamoplatus citri", "Cryptanusia aureiscutellum", "Mangalcoris miniatus", "Metaxyonycha argentiniensis", "Colaspis bridarollii", "Ranatra rafflesi", "Ranatra thai", "Ranatra longipes", "Ranatra libera", "Ranatra katsara", "Ranatra incisa", "Aethriamanta brevipennis", "Hypsibius morikawai", "Hypsibius multituberculatus", "Hypsibius novaezeelandiae", "Hypsibius pachyunguis", "Hypsibius pallidus", "Hypsibius pallidoides", "Hypsibius pedrottii", "Hypsibius pradellii", "Hypsibius ragonesei", "Hypsibius roanensis", "Hypsibius runae", "Hypsibius scaber", "Hypsibius scabropygus", "Hypsibius septulatus", "Hypsibius seychellensis", "Hypsibius stiliferus", "Hypsibius thaleri", "Xanthoparmelia rimalis", "Russula atropurpurea", "Xanthoparmelia knudsenii", "Astatumen bartosi", "Astatumen tamaensis", "Astatumen tamurai", "Astatumen trinacriae", "Xanthoparmelia saxeti", "Erythrodiplax acantha", "Erythrodiplax andagoya", "Erythrodiplax bromeliicola", "Erythrodiplax cauca", "Amata endocrocis", "Itaquascon biserovi", "Itaquascon cambewarrense", "Itaquascon enckelli", "Itaquascon globuliferum", "Itaquascon mongolicus", "Itaquascon pawlowskii", "Itaquascon pisoniae", "Itaquascon placophorum", "Itaquascon simplex", "Itaquascon umbellinae", "Itaquascon unguiculum", "Mesocrista marcusi", "Mesocrista spitzbergensis", "Parascon nichollsae", "Parascon schusteri", "Platicrista affine", "Tridacna rosewateri", "Grapholita catarranae", "Grapholita aprosmicta", "Grapholita huipulcana", "Neolucanus svenjae", "Sideroxylon grandiflorum", "Urothemis signata", "Rhyothemis apicalis", "Rhyothemis aterrima", "Rhyothemis cognata", "Rhyothemis fenestrina", "Rhyothemis fuliginosa", "Rhyothemis mariposa", "Rhyothemis notata", "Rhyothemis obsolescens", "Rhyothemis phyllis", "Rhyothemis plutonia", "Rhyothemis princeps", "Rhyothemis semihyalina", "Rhyothemis splendens", "Rhyothemis triangularis", "Elthusa arnoglossi", "Elthusa epinepheli", "Elthusa parabothi", "Pestalotiopsis microspora", "Amalda utopica", "Perotrochus quoyanus", "Callitula hilla", "Callitula euflavipes", "Pachyneuron ratzeburgi", "Callitula heydoni", "Callitula bambusae", "Callitula domatica", "Callitula peethapada", "Callitula pachyacra", "Ictinogomphus acutus", "Ictinogomphus alaquopterus", "Ictinogomphus angulosus", "Ictinogomphus australis", "Ictinogomphus celebensis", "Ictinogomphus decoratus", "Ictinogomphus distinctus", "Ictinogomphus dobsoni", "Ictinogomphus dundoensis", "Ictinogomphus ferox", "Ictinogomphus fraseri", "Cheiloneurus centaurus", "Ictinogomphus kishori", "Ictinogomphus pertinax", "Ictinogomphus regisalberti", "Ictinogomphus tenax", "Ictinogomphus paulini", "Ictinogomphus pugnovittatus", "Cheiloneurus variocelli", "Diplacodes trivialis", "Diplacodes deminuta", "Diplacodes exilis", "Diplacodes exul", "Diplacodes lefebvrii", "Diplacodes luminans", "Diplacodes nebulosa", "Diplacodes pumila", "Erythrodiplax maculosa", "Tridrepana sadana", "Tridrepana subadelpha", "Hypsibius americanus", "Hypsibius antonovae", "Hypsibius arcticus", "Hypsibius biscuitiformis", "Hypsibius calcaratus", "Hypsibius camelopardalis", "Hypsibius choucoutiensis", "Hypsibius conifer", "Hypsibius convergens", "Hypsibius fuhrmanni", "Hypsibius giusepperamazzotti", "Hypsibius heardensis", "Hypsibius hypostomus", "Hypsibius iskandarovi", "Hypsibius janetscheki", "Hypsibius klebelsbergi", "Hypsibius kunmingensis", "Hypsibius macrocalcaratus", "Hypsibius maculatus", "Hypsibius marcelli", "Hypsibius microps", "Hypsibius montanus", "Platicrista angustata", "Platicrista cheleusis", "Platicrista horribilis", "Platicrista itaquasconoide", "Platicrista ramsayi", "Barremites difficilis", "Erythrodiplax cleopatra", "Erythrodiplax diversa", "Hemeroplanes ornatus", "Xanthoparmelia spodochroa", "Russula acetolens", "Russula acrifolia", "Russula albidula", "Russula albonigra", "Russula nigricans", "Russula aurea", "Lycoriella bispinalis", "Graphiurus walterverheyeni", "Lycoriella pleuroti", "Lycoriella yunpleuroti", "Lycoriella epleuroti", "Lycoriella jingpleuroti", "Lycoriella jipleuroti", "Lycoriella brevipila", "Sosibia aesalus", "Sosibia aurita", "Sosibia bisulca", "Sosibia curtipes", "Sosibia falcifera", "Sosibia euryalus", "Sosibia flavomarginata", "Sosibia guangdongensis", "Sosibia hainanensis", "Sosibia humbertiana", "Sosibia lysippus", "Sosibia macera", "Pseudechiniscus ramazzottii ramazzottii", "Pseudechiniscus ramazzottii facettalis", "Pseudechiniscus raneyi", "Pseudechiniscus scorteccii", "Pseudechiniscus shilinensis", "Pseudechiniscus sinensis", "Pseudechiniscus spinerectus", "Pseudechiniscus suillus", "Pseudechiniscus transsylvanicus", "Pseudechiniscus victor", "Pseudechiniscus yunnanensis", "Pseudostygarctus apuliae", "Pseudostygarctus mirabilis", "Pseudostygarctus rugosus", "Stygarctus granulatus", "Stygarctus lambertii", "Stygarctus spinifer", "Dichrorampha sarmentana", "Pseudostygarctus triungulatus", "Carphania fluviatilis", "Antechiniscus conversus", "Antechiniscus jermani", "Antechiniscus lateromamillatus", "Antechiniscus moscali", "Antechiniscus parvisentus", "Antechiniscus perplexus", "Bryochoerus intermedius", "Bryochoerus intermedius intermedius", "Bryochoerus intermedius hawaiicus", "Bryochoerus intermedius laevis", "Echiniscoides sigismundi hispaniensis", "Echiniscoides sigismundi mediterranicus", "Echiniscoides sigismundi polynesiensis", "Echiniscoides sigismundi porphyrae", "Echiniscoides sigismundi sigismundi", "Echiniscoides sigismundi verrucariae", "Gymnandrosoma trachycerus", "Cryptophlebia saileri", "Xanthoparmelia freycinetiana", "Xanthoparmelia morrisii", "Xanthoparmelia nomosa", "Xanthoparmelia somervilleae", "Xanthoparmelia subvicariella", "Gynacantha bayadera", "Brachydiplax chalybea", "Incertae sedis", "Apodibius nuntius", "Ramazzottius semisculptus", "Ramazzottius saltensis", "Ramazzottius rupeus", "Ramazzottius novemcinctus", "Ramazzottius montivagus", "Ramazzottius ljudmilae", "Ramazzottius horningi", "Ramazzottius edmondabouti", "Vitex zanzibarensis", "Vitex yaundensis", "Vitex urceolata", "Vitex longisepala", "Entocythere occidentalis", "Vitex lehmbachii", "Vitex kuylenii", "Entocythere caudata", "Entocythere ericksoni", "Entocythere neglecta", "Thoressa evershedi", "Pedesta fusca fusca", "Vitex heptaphylla", "Pedesta fusca caenis", "Vitex gaumeri", "Pedesta fusca debilis", "Vitex evoluta", "Pedesta fusca strona", "Vitex cooperi", "Pedesta gupta gupta", "Pedesta gupta leechii", "Pedesta gupta nujiangensis", "Vitex amaniensis", "Thoressa honorie", "Vitex ajugaeflora", "Vitex acunae", "Thoressa justini justini", "Thoressa justini raphaeli", "Pedesta luanchuanensis", "Euthalia lushanensis", "Satyrium uncatum", "Tajuria androconia", "Tongeia shaolinensis", "Ampittia sichunanensis", "Malimanaspis dereimsi", "Cheiloneurus viridiscutum", "Cheiloneurus triguttatipennis", "Cheiloneurus seminigriclavus", "Cheiloneurus regis", "Cheiloneurus rarus", "Cheiloneurus quadricolor", "Cheiloneurus cheles", "Cheiloneurus chlorodryini", "Cheiloneurus pulcher", "Cheiloneurus flaccus", "Cheiloneurus australiae", "Cheiloneurus caesar", "Cheiloneurus olmii", "Erythrodiplax fulva", "Erythrodiplax juliana", "Cheiloneurus americanus", "Cheiloneurus cupreicollis", "Neolucanus chiangmaiensis", "Cheiloneurus bifasciatus", "Cheiloneurus molokaiensis", "Cheiloneurus oahuensis", "Cheiloneurus parvus", "Cheiloneurus exitiosus", "Cheiloneurus brunneipes", "Cheiloneurus vulcanus", "Cheiloneurus pachycephalus", "Cheiloneurus hawaiiensis", "Cheiloneurus flavipes", "Cheiloneurus boldyrevi", "Cheiloneurus bonariensis", "Cheiloneurus swezeyi", "Cheiloneurus javanus", "Palinurus charlestoni", "Nilaparvata myersi", "Bertolanius smreczynskii", "Bupleurum cappadocicum", "Taraxacum oliganthum", "Hyponephele pagmani", "Cheiloneurus chrysopae", "Cheiloneurus kuisebi", "Cheiloneurus hadrodorys", "Cheiloneurus nigricornis", "Cheiloneurus leptulus", "Cheiloneurus flavoscutatus", "Cheiloneurus compressicornis", "Cheiloneurus claviger", "Cheiloneurus coimbatorensis", "Cheiloneurus nigrescens", "Cheiloneurus glaphyra", "Cheiloneurus latiscapus", "Cheiloneurus fulvescens", "Cheiloneurus gahani", "Cheiloneurus lakhimpurensis", "Cheiloneurus latifrons", "Cheiloneurus lateocaudatus", "Cheiloneurus neparvus", "Cheiloneurus morozkoi", "Aponesidea iliffei", "Cheiloneurus phenacocci", "Cheiloneurus tenuicornis", "Abrytasites neumayri", "Ramazzottius cataphractus", "Ramazzottius caucasicus", "Ramazzottius varieornatus", "Ramazzottius valaamis", "Ramazzottius tribulosus", "Ramazzottius thulini", "Ramazzottius theroni", "Ramazzottius szeptycki", "Ramazzottius subanomalus", "Hydatina physis", "Tridacna mbalavuana", "Cheiloneurus antipodis", "Cheiloneurus gonatopodis", "Cheiloneurus purpureicinctus", "Discoplax rotundum", "Neurothemis fulvia", "Orthetrum luzonicum", "Neurothemis fluctuans", "Neurothemis intermedia", "Neurothemis nesaea", "Neurothemis ramburii", "Neurothemis terminata", "Ictinogomphus rapax", "Sosibia medogensis", "Sosibia mohamedsaidi", "Sosibia nigrispina", "Sosibia ocellata", "Sosibia passalus", "Sosibia pholidotus", "Sosibia quadrispinosa", "Sosibia retracta", "Sosibia solida", "Sosibia truncata", "Diversinervus elegans", "Lycoriella castanescens", "Diversinervus bicristatus", "Diversinervus intermedius", "Diversinervus meridionalis", "Diversinervus desantisi", "Diversinervus scutatus", "Diversinervus cervantesi", "Diversinervus madgaoensis", "Diversinervus stramineus", "Diversinervus smithi", "Diversinervus masakaensis", "Diversinervus silvestrii", "Diversinervus orarius", "Diversinervus paradisicus", "Diversinervus redactus", "Diversinervus indicus", "Scolopsis bilineata", "Cheiloneurus divinus", "Hemeroplanes triptolemus", "Cheiloneurus beerwahi", "Cheiloneurus burnsi", "Cheiloneurus cinctiventris", "Cheiloneurus cristatus", "Cheiloneurus dumasi", "Cheiloneurus flaviscutellum", "Cheiloneurus hemipterus", "Cheiloneurus hugoi", "Cheiloneurus margiscutellum", "Cheiloneurus mazzinini", "Cheiloneurus novimandibularis", "Cheiloneurus pasteuri", "Cheiloneurus perbellus", "Cheiloneurus perpulcher", "Cheiloneurus purpureiventris", "Cheiloneurus westwoodi", "Paralpenus wintgensi wintgensi", "Erythrodiplax leticia", "Ilemodes astriga", "Ilemodes isogyna", "Ramazzottius affinis", "Ramazzottius agannae", "Ramazzottius andreevi", "Ramazzottius anomalus", "Ramazzottius baumanni", "Erythrodiplax lygaea", "Ramazzottius bunikowskae", "Tholymis tillarga", "Hyles tithymali gallaeci", "Pedesta xiaoqingae", "Thoressa masoni", "Thoressa astigmata", "Pedesta baileyi", "Pedesta blanchardii", "Pedesta blanchardii blanchardii", "Pedesta blanchardii shensia", "Lethrinitrema chrysostomi", "Lethrinitrema fleti", "Lethrinitrema lethrini", "Lethrinitrema dossenus", "Lethrinitrema gibbus", "Cheiloneurus afer", "Cheiloneurus alaskae", "Cheiloneurus giraulti", "Cheiloneurus albicornis", "Cheiloneurus albinotatus", "Cheiloneurus angulatus", "Cheiloneurus angustifrons", "Cheiloneurus annulicornis", "Cheiloneurus apeniculus", "Cheiloneurus argentifer", "Cheiloneurus assamensis", "Cheiloneurus bouceki", "Cheiloneurus axillaris", "Cheiloneurus bangalorensis", "Cheiloneurus banksi", "Cheiloneurus basiri", "Cheiloneurus bimaculatus", "Cheiloneurus callidus", "Cheiloneurus zeyai", "Cheiloneurus victor", "Cheiloneurus vanpoetereni", "Cheiloneurus unicolor", "Cheiloneurus udaghamundus", "Cheiloneurus tenuistigma", "Cheiloneurus tainus", "Cheiloneurus saissetiae", "Cheiloneurus submuticus", "Cheiloneurus sinensis", "Cheiloneurus rediculus", "Cheiloneurus reate", "Cheiloneurus pyrillae", "Cheiloneurus quercus", "Cheiloneurus pulvinariae", "Cheiloneurus noxius", "Cheiloneurus noyesi", "Cheiloneurus obscurus", "Cheiloneurus orbitalis", "Cheiloneurus paralia", "Cheiloneurus peniculoartus", "Cheiloneurus carinatus", "Cheiloneurus ceroplastis", "Cheiloneurus cyanonotus", "Cheiloneurus chiaromontei", "Cheiloneurus longicornis", "Cheiloneurus daghestanicus", "Cheiloneurus longipennis", "Cheiloneurus longiventris", "Cheiloneurus diversicolor", "Cheiloneurus inimicus", "Cheiloneurus loretanus", "Cheiloneurus dubius", "Cheiloneurus chinensis", "Cheiloneurus izhevskyi", "Cheiloneurus malayensis", "Cheiloneurus japonicus", "Cheiloneurus manipurensis", "Cheiloneurus elcielo", "Cheiloneurus elegans", "Cheiloneurus javensis", "Cheiloneurus praenitens", "Cheiloneurus pistaciae", "Cheiloneurus phenacocci", "Cheiloneurus kanagawaensis", "Cheiloneurus marilandia", "Cheiloneurus kansensis", "Cheiloneurus matsuyamensis", "Cheiloneurus kerrichi", "Cheiloneurus cushmani", "Cheiloneurus liorhipnusi", "Cheiloneurus hawaiicus", "Cheiloneurus nitidulus", "Cheiloneurus lineascapus", "Cheiloneurus metallicus", "Cheiloneurus kollari", "Uncinocythere occidentalis", "Moravecnema segonzaci", "Ascarophisnema tridentatum", "Metabronemoides mirabilis", "Xanthoparmelia adligans", "Xanthoparmelia arquata", "Uncinocythere caudata", "Uncinocythere ericksoni", "Uncinocythere neglecta", "Xanthoparmelia ganymedea", "Xanthoparmelia insipida", "Cheiloneurus dubius", "Cheiloneurus vinculus", "Cannaphila vibex", "Cannaphila mortoni", "Cheiloneurus bidentimaxillae", "Cheiloneurus poeta", "Cannaphila insularis", "Cheiloneurus albicoxa", "Xanthoparmelia leptoplaca", "Cannaphila insularis insularis", "Cannaphila insularis funerea", "Pachyneuron leucopiscida", "Glyptothorax lanceatus", "Adelotremus leptus", "Cheiloneurus mackayensis", "Branchiostegus saitoi", "Bradysia fucorum", "Bradysia paucisetulosa", "Lycoriella agarici", "Lycoriella cellaris", "Bradysia stramentorum", "Lycoriella rufula", "Euragallia batmani", "Conchogneta glabrisensillata", "Clivina alabama", "Clivina choatei", "Encyrtus infelix", "Encyrtus aurantii", "Encyrtus lecaniorum", "Puntius nigripinnis", "Pseudopataecus carnatobarbatus", "Onthophagus fortigibber", "Teinobasis cryptica", "Euacanthella bicolor", "Euacanthella palustris", "Euacanthella insularis", "Euacanthella brunnea", "Amurilla subpurpurea", "Amurilla subpurpurea subpurpurea", "Amurilla subpurpurea dharma", "Baodera khasiana", "Lenodora castanea", "Antennaria caucasica", "Sphaeromicola topsenti", "Conyza albida", "Lycoriella deserticola", "Anthemis samariensis", "Lycoriella felix", "Lycoriella hoyti", "Cichorium bottae", "Cichorium spinosum", "Cichorium calvum", "Lycoriella inconspicua", "Lycoriella latilobata", "Lycoriella latistyla", "Corynoptera longispina", "Lycoriella micria", "Lycoriella pallidior", "Closterocerus cruy", "Neochrysocharis formosus", "Mezium affine", "Mezium africanum", "Mezium americanum", "Mezium andreaei", "Mezium erinaceus", "Mezium giganteum", "Mezium sulcatum", "Mezium glabrum", "Mezium gracilicorne", "Mezium horridum", "Mezium pseudafricanum", "Mezium setosum", "Mezium pseudamericanum", "Pachakutej juchuicha", "Rhodopsalta cruentata", "Rhodopsalta leptomera", "Anthrenus ardoi", "Cybele bellatula", "Micropacha lidderdalii", "Radhica flavovittata", "Radhica puana", "Zolotuhinia bhutata", "Octopus briareus", "Octopus abaculus", "Plectaster decanus", "Colchicum bulbocodium", "Tulipa agenensis", "Azolla imbricata", "Triodia nubifer", "Peronospora sparsa", "Cyathus striatus", "Linothele fallax", "Hypsolebias gilbertobrasili", "Hypsolebias nitens", "Hypsolebias pterophyllus", "Hypsolebias radiseriatus", "Hypsolebias sertanejo", "Cheiloneurus mandibularis", "Xanthoparmelia microscopica", "Erythrodiplax paraguayensis", "Erythrodiplax pallida", "Erythrodiplax ochracea", "Erythrodiplax nivea", "Erythrodiplax abjecta", "Erythrodiplax amazonica", "Erythrodiplax anatoidea", "Erythrodiplax angustipennis", "Erythrodiplax anomala", "Erythrodiplax atroterminata", "Xanthoparmelia perspersa", "Xanthoparmelia protocetrarica", "Xanthoparmelia ralla", "Xanthoparmelia salazinica", "Xanthoparmelia scitula", "Xanthoparmelia spissa", "Xanthoparmelia subchalybaeizans", "Calcarobiotus imperialis", "Famelobiotus scalicii", "Insuetifurca arrowsmithi", "Insuetifurca fujiense", "Insuetifurca xiae", "Xanthoparmelia mucinae", "Salaria atlantica", "Ramusella farsi", "Ramusella aepyornis", "Silene caryophylloides subsp. binbogaense", "Minuartia asiyeae", "Dianthus elegans", "Hypericum peshmenii", "Ballota sechmenii", "Jurinea glycacantha", "Jurinea macrocephala", "Jurinea mesopotamica", "Jurinea pontica", "Jurinea pulchella", "Jurinea ramulosa", "Jurinea staehelinae", "Syrastrena lajonquierei", "Bharetta cinnamomea", "Phagnalon kotschyi", "Neonothopanus gardneri", "Odontosyllis phosphorea", "Kosala kadoi", "Euthrix improvisa", "Micropacha krocha", "Hieracium rigens", "Kunugia austroplacida", "Kunugia loelagrig", "Diphyllobothrium dendriticum", "Galdieria sulphuraria", "Rhodococcus caldariorum", "Cyanidium caldarium", "Mitra stictica", "Cheiloneurus brevipennis", "Helegonatopus crucianus", "Haplogonatopus crucianus", "Myerslopella cardiata", "Myerslopella coronata", "Myerslopella miserabilis", "Myerslopella monteithi", "Myerslopella spinata", "Myerslopella taylori", "Poecilia gillii", "Brycon behreae", "Paleosisyra electrobaltica", "Paleosisyra eocenica", "Acraea epaea homochroa", "Acraea tellus", "Acraea tellus tellus", "Acraea tellus eumelis", "Acraea schubotzi", "Yutyrannus huali", "Melanochromis mpoto", "Acritus exiguus", "Alluaudensia nigrolineata", "Amberana attiei", "Amberana ouvrardi", "Amberana pascali", "Amberana bergevini", "Amberana boucomonti", "Amberana brolemanni", "Amberana dimidiata", "Rhodella violacea", "Allomachilis ochagaviae", "Metapocyrtus samaranus", "Haslundichilis qixiaensis", "Glauconema ramosum", "Kneuckeria pulchra", "Kyliniella latvica", "Phragmonema sordidum", "Erythrolobus coxiae", "Erythrolobus madagascarensis", "Timspurckia oligopyrenoides", "Flintiella sanguinaria", "Derelomus piriformis", "Cyanidioschyzon merolae", "Rufusia pilicola", "Raphidascaris nemipteri", "Neorhodella cyanea", "Prismognathus shani", "Prismognathus haojiani", "Dixoniella grisea", "Glaucosphaera vacuolata", "Maratus harrisi", "Maratus linnaei", "Corynoplastis japonica", "Amarusa australis", "Octopus adamsi", "Octopus aegina", "Estigena pardale", "Estigena philippinensis", "Estigena philippinensis philippinensis", "Estigena philippinensis swanni", "Paradoxopla sinuata", "Kunugia fulgens", "Tyrimnus leucographus", "Kunugia burmensis", "Kunugia vulpina", "Kunugia dzong", "Dendrolimus himalayanus", "Jurinea alpigena", "Bicurta sinica", "Jurinea ancyrensis", "Jurinea aucheriana", "Jurinea bocconei", "Jurinea cyanoides", "Jurinea moschus", "Jurinea brevicaulis", "Jurinea cataonica", "Pyrosis hreblayi", "Arguda thaica", "Syrastrena minor", "Jurinea eriobasis", "Saxifraga ser.", "Saxifraga ser.", "Derelomus argentinensis", "Derelomus atratus", "Derelomus auberti", "Derelomus avicularius", "Derelomus bilineatus", "Derelomus binotatus", "Derelomus ciliatus", "Derelomus callosus", "Derelomus bondari", "Derelomus congoanus", "Derelomus costalis", "Derelomus ephippiger", "Derelomus pallidus", "Derelomus ephippium", "Derelomus palmarum", "Derelomus plagiatus", "Derelomus postfasciatus", "Derelomus rhodesianus", "Derelomus rugosicollis", "Derelomus uelensis", "Derelomus maynei", "Derelomus estriatus", "Derelomus fasciatus", "Derelomus signaticollis", "Derelomus flavicans", "Derelomus signatus", "Derelomus hartmanni", "Derelomus testaceus", "Derelomus tatianae", "Derelomus kamerunicus", "Derelomus singularis", "Derelomus sternicornis", "Derelomus kocheri", "Derelomus languidus", "Derelomus mariaehelenae", "Derelomus subcostatus", "Derelomus subvittatus", "Derelomus suturalis", "Derelomus ueoni", "Derelomus venoi", "Derelomus uniformis", "Derelomus zonatus", "Derelomus sulcifrons", "Derelomus pericarti", "Derelomus albidus", "Derelomus alpinus", "Derelomus ater", "Derelomus costiger", "Derelomus costipennis", "Derelomus lindbergi", "Derelomus madagascariensis", "Derelomus rectirostris", "Derelomus impressicollii", "Elaeidobius kamerunicus", "Elaeidobius subvittatus", "Elaeidobius plagiatus", "Anchylorhynchus gottsbergerorum", "Terires binotatus", "Terires pilosus", "Terires plurisetosus", "Grasidius hybridus", "Anchylorhynchus aegrotus", "Octopus alatus", "Octopus alecto", "Dicrocoelium dendriticum", "Derelomus nigriceps", "Octopus alpheus", "Octopus araneoides", "Octopus arborescens", "Elaeidobius elaeisae", "Octopus areolatus", "Fritillaria imperialis", "Fritillaria acmopetala", "Fritillaria acmopetala subsp. acmopetala", "Fritillaria acmopetala subsp. wendelboi", "Fritillaria kittaniae", "Fritillaria whittallii", "Fritillaria sororum", "Fritillaria hermonis", "Fritillaria viridiflora", "Fritillaria affinis", "Fritillaria agrestis", "Fritillaria atropurpurea", "Fritillaria biflora", "Ctenomys juris", "Cytheropteron cronini", "Cigaritis noellae", "Cigaritis apelles", "Cigaritis apelles apelles", "Cigaritis apelles kiellandi", "Mocis cubana", "Mocis disseverans", "Mocis texana", "Mocis latipes", "Mocis marcida", "Callistege intercalaris", "Callistege diagonalis", "Callistege triangula", "Caenurgina annexa", "Caenurgina caerulea", "Caenurgina crassiuscula", "Caenurgina erechtea", "Doryodes bistrialis", "Doryodes spadaria", "Doryodes grandipennis", "Doryodes tenuistriga", "Camptochaeta prolixa", "Bradysia obscuratipes", "Lycoriella curvispina", "Lycoriella parva", "Lycoriella similis", "Campsicnemus flavissimus", "Campsicnemus meridionalis", "Campsicnemus sanctaehelenae", "Celebochoerus heekereni", "Casmara acantha", "Casmara quadrilatera", "Casmara longiclavata", "Casmara aduncata", "Fibuloides geniculata", "Fibuloides khaoyai", "Lemonia balcanica", "Lemonia balcanica balcanica", "Lemonia balcanica bremeri", "Lemonia balcanica anatolica", "Lemonia balcanica vashlovani", "Lemonia balcanica cis", "Lemonia peilei", "Lemonia peilei peilei", "Lemonia peilei farsica", "Lemonia pia", "Lemonia pia pia", "Lemonia pia friedeli", "Marathyssa chacoensis", "Gnathothlibus marionae", "Perisama tepuiensis", "Acraea epitellus", "Acraea paragea", "Acraea paragea paragea", "Acraea paragea kivuana", "Acraea epaea", "Acraea epaea epaea", "Acraea epaea melina", "Acraea epaea insulana", "Octopus aspilosomatis", "Octopus dierythraeus", "Octopus exannulatus", "Octopus graptus", "Octopus robsoni", "Octopus chierchiae", "Octopus australis", "Derelomus chamaeropis", "Octopus berrima", "Derelomus antonioui", "Derelomus schoedli", "Derelomus bicarinatus", "Derelomus cervicalis", "Derelomus antigae", "Derelomus abyssinicus", "Stenoscelis scutellatus", "Derelomus nigrovariegatus", "Derelomus productus", "Derelomus turneri", "Derelomus incognitus", "Syrastrena borneensis", "Arguda insulindiana", "Arguda insulindiana insulindiana", "Arguda insulindiana inexpectata", "Kosala reducta", "Hallicarnia albipectus", "Actias xenia", "Actias aliena", "Actias dulcinea", "Actias artemis", "Actias gnoma", "Actias gnoma gnoma", "Actias gnoma miyatai", "Actias apollo", "Neoris huttoni galeropa", "Neoris huttoni shadulla", "Saturnia cephalariae", "Hypophthalmichthys nobilis", "Saxifraga sect.", "Saxifraga subsect.", "Rugocythereis horrida", "Rugocythereis praedorsoserrata", "Rugocythereis fortedimorphica", "Rugocythereis dorsoserrata", "Scomberomorus regalis", "Usnea acromelana", "Usnea subcapillaris", "Lycoriella stylata", "Lycoriella suboptica", "Bradysia vanderwieli", "Lycoriella subterranea", "Lycoriella tuomikoskii", "Lycoriella codonopsivora", "Nephila jurassica", "Usnea hossei var. hossei", "Chelisoches morio", "Usnea hossei var. protocetrarica", "Usnea hossei var. squarrosa", "Potamochoerus magnus", "Hyleoides abnormis", "Abrytasites thieuloyi", "Trichomycterus macrophthalmus", "Lycoriella auberti", "Echinocythereis whatleyi", "Lycoriella baishanzuna", "Chorizomma subterraneum", "Lycoriella brevipetiolata", "Lycoriella caesar", "Thyretes buettikeri", "Lycoriella solispina", "Necrophila formosa", "Necrophila chloroptera", "Necrophila magnifica", "Necrophila renatae", "Necrophila viridis", "Krithe rex", "Krithe capensis", "Krithe spatularis", "Krithe peypouqueti", "Cymbachina albobrunnea", "Calophya schini", "Australoheros mattosi", "Australoheros montanus", "Australoheros tavaresi", "Dermatophagoides farinae", "Lemonia ballioni", "Lemonia ponticus", "Lemonia dumi", "Hyles costata", "Hyles costata costata", "Hyles costata solida", "Hyles exilis", "Hyles exilis exilis", "Hyles exilis chuvilini", "Callambulyx tatarinovii eversmanni", "Clanis undulosa", "Clanis undulosa undulosa", "Clanis undulosa gigantea", "Estigena africana", "Estigena silvestris", "Chaca serica", "Sciara decliva", "Gobio sakaryaensis", "Sciara flaviventris", "Sciara venusta", "Cathorops wayuu", "Loricaria coximensis", "Sciara segnis", "Sciara ramicola", "Bradysia mycorum", "Psilosciara flammulinae", "Colchicum bulbocodium var. versicolor", "Colchicum bulbocodium var. edentatum", "Colchicum bulbocodium var. bulbocodium", "Schiodtella japonica", "Schiodtella formosana", "Schiodtella secunda", "Schiodtella africana", "Schiodtella laevicollis", "Schiodtella javana", "Schiodtella struempeli", "Schiodtella subglabra", "Stibaropus indonesicus", "Stibaropus pseudominor", "Stibaropus sumatranus", "Serrapinnus gracilis", "Serrapinnus littoris", "Bathyraja panthera", "Homalernis arystis", "Miomantis paykullii", "Homalernis semaphora", "Homalernis mankoboi", "Homalernis jeriau", "Peraglyphis silvana", "Peraglyphis crustata", "Aoupinieta hollowayi", "Aoupinieta novaecaledoniae", "Molobrus mali", "Sciara pauciseta", "Cattleya grandis", "Sciara bigoti", "Cattleya granulosa", "Cattleya harpophylla", "Sciara celer", "Sciara velox", "Sciara humilis", "Thyretes caffra", "Thyretes cooremani", "Thyretes hippotes", "Thyretes montana", "Thyretes monteiroi", "Thyretes negus", "Thyretes signivenis", "Serrapinnus sterbai", "Lycoriella curvispinosa", "Lycoriella dipetala", "Tulipa armena", "Sempervivum davisii", "Nonea armena", "Lycoriella isoacantha", "Tulipa julia", "Lycoriella jauva", "Ornithogalum balansae", "Lycoriella multiseta", "Lycoriella neimongolana", "Lycoriella orthacantha", "Lycoriella polychaeta", "Lycoriella quadriseta", "Lycoriella sativae", "Lycoriella similans", "Lycoriella solita", "Lycoriella tibetana", "Lycoriella trifolii", "Trirogma prismatica", "Trirogma narendrani", "Trirogma balaensis", "Aphelotoma rufiventris", "Aphelotoma melanogaster", "Aphelotoma nigricula", "Aphelotoma auricula", "Aphelotoma fuscata", "Aphelotoma affinis", "Aphelotoma striaticollis", "Aphelotoma tasmanica", "Aphelotoma tasmanica tasmanica", "Aphelotoma tasmanica auriventris", "Riekefella aterrima", "Dolichurus carbonarius", "Sisyborina scitula", "Buntonia rosenfeldi", "Sisyra brunnea", "Sisyra esbenpeterseni", "Sisyra potamophila", "Sisyra turneri", "Sisyra punctata", "Sisyrina tropica", "Laubieriopsis norvegica", "Sternocoelis yelamosi", "Sinocorophium hangangense", "Orobdella mononoke", "Aufiterna ptyeloides", "Naupactus peregrinus", "Aramigus tessellatus", "Aramigus uruguayensis", "Aramigus globoculus", "Aramigus intermedius", "Aramigus pilosus", "Aramigus planioculus", "Aramigus curtulus", "Aramigus conirostris", "Stibaropus henkei", "Stibaropus callidus", "Stibaropus minor", "Stibaropus molginus", "Schiodtella saitoi", "Schiodtella tabulata", "Pseudostibaropus testaceus", "Pseudostibaropus flavidus", "Stibaropus brunneus", "Afroropus bocagei", "Asparagus acutifolius", "Asparagus adscendens", "Asparagus aethiopicus", "Asparagus albus", "Atarsocoris giselleae", "Scaptocoris carvalhoi", "Scaptocoris brachiariae", "Stibaropus hohlbecki", "Scaptocoris divergens", "Scaptocoris grossa", "Scaptocoris talpa", "Scaptocoris castanea", "Scaptocoris buckupi", "Rypticus carpenteri", "Abrolophus welbourni", "Plesioptopoma curvidens", "Hypoplectrus castroaguirrei", "Rogadius fehlmanni", "Agrilus abrasus", "Agrilus auratolineatus", "Agrilus auroscutatus", "Agrilus camusi", "Agrilus cerdai", "Agrilus colleti", "Agrilus dalensi", "Agrilus depilatus", "Agrilus diromai", "Agrilus durantoni", "Agrilus faurei", "Agrilus figuratus", "Agrilus fragmentatus", "Agrilus giuglarisi", "Agrilus lamatus", "Agrilus laminatus", "Agrilus lignicida", "Agrilus limesignatus", "Agrilus longelineatus", "Agrilus maeror", "Agrilus meloe", "Agrilus minissimus", "Agrilus moraguesi", "Agrilus morvanae", "Agrilus nigror", "Agrilus noctambulus", "Agrilus novellus", "Agrilus partimcinctus", "Agrilus patawaensis", "Agrilus perditus", "Agrilus phallicus", "Agrilus plecotus", "Agrilus poirieri", "Agrilus rosanti", "Agrilus seriatus", "Agrilus simulator", "Agrilus torvus", "Agrilus touroulti", "Agrilus tristani", "Agrilus velox", "Agrilus vespillo", "Agrilus villus", "Agrilus aureofasciatus", "Acleris ganeshia", "Acleris gothena", "Sociosa nesima", "Sociosa macrographa", "Haemaphysalis flava", "Acleris albicomana", "Acleris albiscapulana", "Acleris atomophora", "Acleris britannia", "Acleris bununa", "Acleris capizziana", "Cardamine pectinata", "Acleris clarkei", "Acleris cribellata", "Naupactus albolateralis", "Naupactus minor", "Psilogramma penumbra", "Naupactus tucumanensis", "Naupactus breviscapus", "Barbasphecia hephaistos", "Barbasphecia ares", "Monopetalotaxis luteapunctata", "Sabra harpagula", "Sabra harpagula harpagula", "Cardamine debilis", "Cardamine depressa", "Cardamine enneaphyllos", "Cardamine graeca", "Cardamine lacustris", "Cardamine microphylla", "Sabra harpagula olivacea", "Sabra harpagula emarginata", "Cardamine raphanifolia", "Sabra harpagula bitorosa", "Cardamine uliginosa", "Sabra harpagula euroista", "Asparagus altissimus", "Asparagus aphyllus", "Asparagus arborescens", "Asparagus asiaticus", "Asparagus brachyphyllus", "Asparagus bucharicus", "Asparagus burchellii", "Asparagus capensis", "Asparagus cochinchinensis", "Asparagus dauricus", "Asparagus declinatus", "Asparagus drepanophyllus", "Asparagus duchesnei", "Asparagus falcatus", "Asparagus filicinus", "Asparagus gonoclados", "Asparagus laevissimus", "Asparagus laricinus", "Asparagus maritimus", "Asparagus oligoclonos", "Asparagus palaestinus", "Asparagus pastorianus", "Asparagus prostratus", "Asparagus pseudoscaber", "Asparagus racemosus", "Asparagus rubicundus", "Asparagus sarmentosus", "Asparagus scandens", "Asparagus schoberioides", "Asparagus scoparius", "Asparagus stipulaceus", "Asparagus tenuifolius", "Asparagus trichophyllus", "Asparagus umbellatus", "Asparagus verticillatus", "Asparagus virgatus", "Asparagus warneckei", "Artipe anna", "Artipe dohertyi", "Artipe dohertyi cholas", "Artipe dohertyi fortis", "Artipe dohertyi dohertyi", "Mentha crispata", "Erethistoides longispinis", "Erethistoides luteolus", "Erethistoides vesculus", "Histiophryne pogonius", "Rasbora rheophila", "Iheringichthys syi", "Anchoviella juruasanga", "Euphorbia ingens", "Artipe eryx", "Artipe eryx alax", "Artipe eryx excellens", "Artipe eryx horiella", "Artipe eryx eryx", "Cattleya herbacea", "Pinnotheres pisum", "Cattleya hispidula", "Cattleya hoehnei", "Cattleya intermedia", "Scottoecia foveolata", "Scottoecia crosnieri", "Okakarus ballantinensis", "Ramphotyphlops adocetus", "Ramphotyphlops hatmaliyeb", "Allostemma quadrum", "Allostemma bicolor", "Allostemma brunneum", "Allostemma fuscum", "Liolaemus dumerili", "Liolaemus purul", "Liolaemus tromen", "Amblyaspis breviscutellaris", "Cyrtodactylus adorus", "Amblyaspis vilhelmseni", "Cyrtodactylus hoskini", "Cyrtodactylus mcdonaldi", "Cyrtodactylus pronarus", "Zelandonota bidentata", "Zelandonota dorsipunctata", "Zelandonota rufiscutum", "Zelandonota vilhelmseni", "Crocus pestalozzae", "Longitarsus fowleri", "Cytherella rwhatleyi", "Longitarsus longiseta", "Scraptia testacea", "Acrotona benicki", "Aleochara phycophila", "Chenopodium formosanum", "Corticaria alleni", "Trachyphloeus alleni", "Trachyphloeus asperatus", "Phyllotreta muehlei", "Psylliodes solanae", "Agrilus aurigaster", "Agrilus aurinotus", "Agrilus aurithorax", "Agrilus bai", "Agrilus bicuspidatus", "Agrilus bocaki", "Agrilus brevinotus", "Agrilus businskorum", "Agrilus caudicula", "Agrilus chaetocoxalis", "Agrilus ciping", "Agrilus compacticornis", "Agrilus conspersus", "Agrilus cordicollis", "Agrilus daur", "Agrilus diao", "Agrilus diversornatus", "Agrilus dureli", "Agrilus eunuchus", "Agrilus foramenifer", "Agrilus fornicatus", "Agrilus fusciapex", "Agrilus fusiformis", "Agrilus han", "Agrilus hani", "Ethmia apispinata", "Glaucocharis brevis", "Liolaemus caparensis", "Rhododendron \u00d7 superponticum", "Lodoicea maldivica", "Autographa gamma", "Mamestra brassicae", "Rhododendron \u00d7 alstroemerioides", "Rhododendron \u00d7 anneliesae", "Oniscus asellus", "Juryoecia distoglandula", "Juryoecia abyssalis", "Boletus luridus", "Boletus luridus var. luridus", "Zelostemma dromedarium", "Zelostemma altipetiolata", "Boletus luridus var. rubriceps", "Synopeas novaezealandiae", "Croton lucidus", "Metanopedias novaezealandiae", "Croton nitens", "Piestopleura rubripes", "Amnestus rugosus", "Amnestus sinuosus", "Amnestus ficus", "Amnestus priscus", "Amnestus electricus", "Amnestus guapinolinus", "Lattinestus amplus", "Lattinestus andersoni", "Lattinestus coleopterus", "Heissocteus ernsti", "Aenictus paradentatus", "Gargaphia albescens", "Gargaphia mexicana", "Gargaphia arizonica", "Gargaphia balli", "Gargaphia tuthilli", "Neolacunisoma geraldschmidti", "Rana kobai", "Rana ulma", "Eleutherodactylus feichtingeri", "Lyciasalamandra irfani", "Forstera daviesae", "Cochylidia oblonga", "Cochylidia multispinalis", "Cochylidia liui", "Cochylidia subroseana subroseana", "Cochylidia subroseana roseotincta", "Weberolegra weberi", "Typhonoya longipennis", "Austrinoecia isocheira", "Pseudococcus longispinus", "Kyrtoecia kyrtophora", "Lophostethus dumolinii", "Lophostethus dumolinii dumolinii", "Clausoecia pusilla", "Lophostethus dumolinii cateri", "Lophostethus dumolinii carteri", "Lophostethus dumolinii congoicum", "Nasoecia nasotuberculata", "Lophostethus dumolinii tamarae", "Lophostethus dumolinii riedeli", "Lophostethus morettoi", "Lophostethus negus", "Melitaea didyma", "Melitaea mixta", "Aphis gossypii", "Aphis craccivora", "Parmelina gyrophorica", "Melitaea minerva", "Dysaphis pyri", "Westralianus microstigma", "Symbolanthus argyreus", "Symbolanthus frigidus", "Kyllocarus reticulatus", "Zelanda titirangia", "Martarega guarani", "Martarega barcelos", "Martarega nieseri", "Martarega pydanieli", "Martarega bentoi", "Martarega brasiliensis", "Martarega chinai", "Martarega williamsi", "Martarega gonostyla", "Martarega hondurensis", "Martarega hungerfordi", "Brevicoryne brassicae", "Oligodon wagneri", "Oligodon saintgironsi", "Scottoecia arabica", "Stenomastigus pseudofranzi", "Stenomastigus holmi", "Stenomastigus kosianus", "Stenomastigus berlinafricanus", "Stenomastigus allaeri", "Stenomastigus basilewskyi", "Stenomastigus dendrophilus", "Stenomastigus vulgaris", "Stenomastigus franzi", "Stenomastigus varii", "Stenomastigus inopinatus", "Stenomastigus jeanneli", "Stenomastigus moori", "Stenomastigus kochi", "Stenomastigus joannae", "Stenomastigus longicornis", "Proneoproxius cornutus", "Decimiana clavata", "Decimiana hebardi", "Decimiana bolivari", "Decimiana rehni", "Decimiana tessellata", "Batocera roylei", "Scottoecia subrufa", "Scottoecia darcythompsoni", "Ceratacis latimarginata", "Ceratacis projecta", "Ceratacis punctatoventris", "Leptacis adiaphana", "Platygaster ater", "Platygaster fuscalis", "Platygaster novaezealandiae", "Platygaster solodovnikovi", "Platygaster tuberculatrix", "Leptacis alpina", "Leptacis arcuata", "Leptacis claviger", "Leptacis fuscalata", "Leptacis grandiclava", "Leptacis microalata", "Leptacis moa", "Leptacis pallidipetiolata", "Leptacis recticauda", "Leptacis vicina", "Ditylenchus dipsaci", "Loxostege sticticalis", "Aphelenchoides ritzemabosi", "Limax maximus", "Rhizoglyphus echinopus", "Saissetia coffeae", "Saissetia oleae", "Liolaemus avilae", "Liolaemus morandae", "Hebius arquus", "Vipera altaica", "Dendropsophus frosti", "Ellipes minuta", "Fejervarya sengupti", "Astylosternus laticephalus", "Platypelis ravus", "Margattea remota", "Neoechinorhynchus brentnickoli", "Agrilus smaragdinus habros", "Amnestus zacki", "Amnestus henryi", "Amnestus bergrothi", "Amnestus championi", "Amnestus pusillus", "Amnestus pusio", "Amnestus signoreti", "Amnestus stali", "Amnestus subferrugineus", "Amnestus uhleri", "Scaptocoris minor", "Chenopodium hians", "Chenopodium nevadense", "Chenopodium oahuense", "Chenopodium pallescens", "Centrolene condor", "Squamatinia algharbica", "Fejervarya kawamurai", "Fejervarya asmati", "Oreophryne streiffeleri", "Albericus pandanicolus", "Albericus brevicrus", "Cophixalus tenuidactylus", "Oreophryne graminis", "Quercus engelmannii", "Hoplostethus atlanticus", "Amnestus spinifrons", "Amnestus trimaculatus", "Amnestus basidentatus", "Amnestus pallidus", "Amnestus brailovskyi", "Amnestus calakmulensis", "Amnestus carinatus", "Amnestus obscurus", "Agrilus hmong", "Agrilus hui", "Agrilus improcerus", "Agrilus jindrai", "Agrilus kucerai", "Agrilus lacrima", "Agrilus lahu", "Agrilus lei", "Agrilus lisu", "Agrilus lobatus", "Agrilus lugu", "Agrilus magnus", "Agrilus manchu", "Agrilus mandala", "Agrilus miao", "Agrilus mio", "Agrilus muongoides", "Agrilus naxi", "Agrilus ornatoides", "Agrilus paralleloides", "Agrilus pleuralis", "Agrilus pleurostigmus", "Agrilus presbys", "Agrilus prolatus", "Agrilus prosternalis", "Agrilus pumi", "Agrilus qiang", "Agrilus qinlingcola", "Agrilus recticollis", "Agrilus sagittifer", "Agrilus schillhammeri", "Agrilus sentis", "Agrilus shan", "Agrilus she", "Agrilus sichuanus", "Agrilus siskai", "Agrilus smetanai", "Agrilus spathulifer", "Agrilus spiculum", "Agrilus stigma", "Agrilus tai", "Agrilus terracotta", "Agrilus tuber", "Agrilus ulmicola", "Agrilus vigil", "Agrilus zhuang", "Agrilus zhui", "Ellipes californicus", "Ellipes eisneri", "Neotridactylus apicialis", "Neotridactylus archboldi", "Corythomantis galeata", "Pristimantis mariaelenae", "Pristimantis stipa", "Martarega pacifica", "Martarega membranacea", "Martarega uruguayensis", "Martarega mexicana", "Martarega mcateei", "Chromolaena hirsuta", "Chromolaena impetiolaris", "Chromolaena integrifolia", "Chromolaena macrodon", "Chromolaena squalida", "Chromolaena trigonocarpa", "Sibon merendonensis", "Strophurus taenicauda albiocularis", "Strophurus taenicauda triaureus", "Dasia johnsinghi", "Cyrtodactylus thochuensis", "Caledoniscincus constellatus", "Elaphe zoigeensis", "Cephalocteus melolonthoides", "Cephalocteus punctipennis", "Cephalocteus scarabaeoides", "Homalopsis mereljcoxi", "Psammodromus occidentalis", "Coleodactylus elizae", "Callophrys dumetorum", "Phoroncidia puketoru", "Phoroncidia quadrata", "Barbus borysthenicus", "Amnestus sexdentatus", "Amnestus foveatus", "Amnestus radialis", "Amnestus explanatus", "Amnestus bolivari", "Amnestus brunneus", "Amnestus diminuatus", "Amnestus lateralis", "Amnestus lautipennis", "Amnestus forreri", "Amnestus cribratus", "Amnestus pequinus", "Amnestus lenkoi", "Barbus tauricus", "Trifolium nigrescens subsp. petrisavii", "Trifolium nigrescens subsp. nigrescens", "Stipa spartea", "Corallorhiza maculata", "Corallorhiza odontorhiza", "Cosmos parviflorus", "Melitaea pallas", "Parmelina homogenes", "Parmelina kanakia", "Darevskia brauneri", "Muelleroecia glandulosa", "Muelleroecia macromma", "Rotundoecia teretivalvata", "Deeveyoecia arcuata", "Deeveyoecia bathyrotundata", "Vityazoecia goodayi", "Vityazoecia lunata", "Hypodrassodes isopus", "Hypodrassodes dalmasi", "Hypodrassodes crassus", "Hypodrassodes courti", "Hypodrassodes maoricus", "Trifolium ochroleucon", "Sitona discoideus", "Sitona bicolor", "Sitona humeralis", "Cattleya jenmanii", "Cattleya kautskyana", "Cattleya kerrii", "Cattleya kettieana", "Lonicera subg.", "Punctelia subalbicans", "Alosa tanaica", "Cattleya lawrenceana", "Cattleya liliputana", "Pseudoparmelia usambarensis", "Lonicera sect.", "Zelanda elongata", "Zelanda erebus", "Zelanda kaituna", "Zelanda miranda", "Zelanda obtusa", "Lonicera subsect.", "Lonicera sect.", "Agathidium amae", "Agathidium hamulum", "Agathidium marae", "Parmelina crystallorum", "Sitona cylindricollis", "Sitona californius", "Sitona californicus", "Sitona alpinensis", "Sitona bryanti", "Sitona vittatus", "Eledone caparti", "Hellinsia planiunci", "Infurcitinea corleyi", "Ateliotum larseni", "Neurothaumasia tenuipennella", "Neurothaumasia tunesiella", "Pranburia mahannopi", "Argiope bullocki", "Argiope dietrichae", "Argiope katherina", "Argiope kochi", "Argiope modesta", "Argiope radon", "Hersilia savignyi", "Hersilia sumatrana", "Hersilia tibialis", "Parmulina exsculpta", "Agathidium bushi", "Cattleya iricolor", "Cattleya itambana", "Spilarctia chuanxina", "Spilarctia zhangmuna", "Odontestra potanini", "Odontestra roseomarginata", "Odontestra laszlogabi", "Odontestra simillima", "Odontestra incisa", "Odontestra attila", "Odontestra atuntseana", "Odontestra submarginalis", "Xylopolia bella taiwanicola", "Taivaleria rubrifasciata", "Hemiglaea radiata", "Nyctycia signa", "Oleandra coriacea", "Oleandra cumingii", "Oleandra musifolia", "Oleandra sibbaldii", "Oleandra undulata", "Oleandra vulpina", "Oleandra wallichii", "Oleandra werneri", "Thrips tabaci", "Asidemia albovitta", "Karana hoenei", "Karana hoenei hoenei", "Karana hoenei marcida", "Sphragifera sigillata sigillata", "Sphragifera sigillata taimacula", "Amphipyra averna", "Ethmia guangzhouensis", "Ethmia hodgesella", "Tetranychus urticae", "Gerbillus gerbillus", "Supunna albopunctata", "Adeloneivaia bahiana", "Adeloneivaia paracatharina", "Adeloneivaia erici", "Adeloneivaia misionesa", "Adeloneivaia nutelleri", "Adeloneivaia leopoldiana", "Adeloneivaia orientoandensis", "Adeloneivaia kawiana", "Adeloneivaia cayennsis", "Zelanda ochropa", "Hemicloea rogenhoferi", "Scotophaeus pretiosus", "Nauhea tapa", "Matua valida", "Matua festiva", "Notiodrassus distinctus", "Notiodrassus fiordensis", "Melitaea mixta mixta", "Melitaea mixta problematica", "Melitaea mixta nadezhdae", "Thoressa pandita", "Thoressa pedla", "Pedesta masuriensis", "Pedesta masuriensis masuriensis", "Pedesta masuriensis tali", "Caltoris aurociliata", "Caltoris sirius", "Caltoris sirius sirius", "Caltoris cahira", "Caltoris cahira cahira", "Caltoris cahira austeni", "Agathidium dubitanoides", "Agathidium falcatoperculum", "Caltoris bromus", "Caltoris bromus bromus", "Caltoris kumara", "Agathidium omissum", "Agathidium virile", "Agathidium angulare", "Agathidium concinnum", "Agathidium mollinum", "Agathidium difficile", "Agathidium mexicanum", "Agathidium dentigerum", "Agathidium oniscoides", "Agathidium bistriatum", "Agathidium estriatum", "Agathidium sexstriatum", "Agathidium exiguum", "Agathidium brevisternum", "Agathidium picipes", "Agathidium laetum", "Agathidium maculosum", "Agathidium politum", "Agathidium pulchrum", "Agathidium repentinum", "Agathidium rotundulum", "Agathidium rusticum", "Agathidium compressidens", "Agathidium aristerium", "Agathidium athabascanum", "Agathidium atronitens", "Agathidium columbianum", "Agathidium difforme", "Agathidium canadense", "Agathidium fenderi", "Rastellus deserticola", "Intruda signata", "Eledone cirrhosa", "Micaria croesia", "Micaria inornata", "Eledone gaucha", "Caltoris kumara kumara", "Caltoris kumara moorei", "Caltoris tulsi", "Caltoris tulsi tulsi", "Caltoris septentrionalis", "Baoris pagana", "Baoris leechii", "Baoris farri", "Baoris farri farri", "Baoris penicillata", "Baoris penicillata penicillata", "Baoris penicillata chapmani", "Baoris longistigmata", "Oeneis ammon", "Oeneis ammon ammon", "Oeneis ammon smirnovi", "Oeneis norna", "Oeneis norna norna", "Oeneis norna ivonini", "Euphydryas iduna jacobsoni", "Misgurnus fossilis", "Iris \u00d7 hollandica", "Calamia decipiens", "Parastichtis guskovae", "Xylena ezernilai", "Epirrhoe balearia", "Idaea sordida", "Idaea sordida sordida", "Idaea sordida horus", "Ptinella populicola", "Izecksohniella aimore", "Izecksohniella puri", "Izecksohniella almeidae", "Izecksohniella almeidai", "Marliella titae", "Marliella titai", "Glaucocharis tripunctata", "Pseudandraca gracilis", "Commelina acutispatha", "Commelina acutissima", "Commelina agrostophylla", "Commelina albiflora", "Ethmia persica", "Ethmia euphoria", "Ethmia sattleri", "Commelina amplexicaulis", "Commelina angustissima", "Commelina appendiculata", "Commelina arenicola", "Commelina ascendens", "Commelina aspera", "Commelina attenuata", "Commelina aurantiiflora", "Commelina bambusifolioides", "Commelina bangii", "Commelina barbata", "Commelina beccariana", "Commelina bella", "Commelina bequaertii", "Commelina bianoensis", "Commelina boissieriana", "Commelina bravoa", "Commelina dammeriana", "Commelina deflexa", "Commelina dekindtiana", "Commelina demissa", "Commelina disperma", "Commelina droogmansiana", "Commelina echinosperma", "Commelina echinulata", "Commelina eckloniana", "Commelina elgonensis", "Commelina ensifolia", "Commelina firma", "Commelina fluviatilis", "Ghoria subpurpurea", "Commelina foliacea", "Ghoria albocinerea", "Commelina frutescens", "Commelina gelatinosa", "Ghoria bani", "Commelina geniculata", "Commelina giorgii", "Ghoria tecta", "Commelina gourmaensis", "Commelina grandis", "Ghoria nigripars", "Commelina grossa", "Desmoscolex cristatus", "Weintrauboa chikunii", "Weintrauboa contortipes", "Weintrauboa insularis", "Monosyntaxis affinis", "Monosyntaxis holmanhunti", "Monosyntaxis montanus", "Monosyntaxis trimaculata", "Lamina ulva", "Nishada sambara", "Nishada syntomioides", "Oeonistis altica", "Oeonistis entella", "Pelosia angusta", "Pelosia muscerda", "Pelosia noctis", "Supunna variepes", "Hickmanolobus ibisca", "Hickmanolobus jojo", "Hickmanolobus linnaei", "Hickmanolobus nimorakiotakisi", "Tasmanoonops rogerkitchingi", "Supunna albomaculata", "Micaria belezma", "Micaria yeniseica", "Micaria tripunctata", "Micaria seymuria", "Commelina africana", "Commelina albescens", "Commelina auriculata", "Commelina bracteosa", "Commelina coelestis", "Commelina cyanea", "Commelina dianthifolia", "Commelina elliptica", "Commelina forsskalii", "Commelina avenifolia", "Commelina bambusifolia", "Commelina fasciculata", "Commelina rupicola", "Commelina maculata", "Aka rhodei", "Tridrepana finita", "Tridrepana rubromarginata", "Tridrepana rubromarginata rubromarginata", "Tridrepana rubromarginata indica", "Tridrepana thermopasta", "Tridrepana maculosa", "Tridrepana fulva", "Tridrepana marginata", "Tridrepana crocea", "Tridrepana unispina", "Tridrepana subunispina", "Tridrepana bifurcata", "Tridrepana bicuspidata", "Tridrepana argentistriga", "Goenycta niveiguttata", "Cythere sulcifera", "Goenycta niveiguttata niveiguttata", "Goenycta niveiguttata nigroverticalis", "Ulodemis tridentata", "Iris lusitanica", "Cithaeron contentum", "Ganoderma lucidum", "Serradonta vestimentifericola", "Serradonta kanesunosensis", "Serradonta omagariensis", "Serradonta kimberleyae", "Eurydice naylori", "Eurydice lusitaniensis", "Leptolalax nokrekensis", "Agathidium oregonense", "Agathidium vesperpressidens", "Agathidium iota", "Agathidium kimberlae", "Agathidium vaderi", "Agathidium andersoni", "Agathidium aztec", "Agathidium bituberculum", "Agathidium cortezi", "Agathidium disgregum", "Agathidium erythromelas", "Agathidium gomezae", "Agathidium grandidentatum", "Agathidium grumum", "Agathidium hidalgoense", "Agathidium hirsutum", "Agathidium hyle", "Agathidium impensum", "Agathidium invisitatum", "Agathidium iridescens", "Agathidium lobosternum", "Agathidium megoniscoides", "Agathidium multidentatum", "Agathidium rumsfeldi", "Agathidium oaxacaense", "Agathidium oculeum", "Agathidium oedema", "Agathidium popocatepetlae", "Agathidium potosii", "Agathidium recurvatum", "Agathidium rhamphastes", "Agathidium sejunctum", "Agathidium skoliosternum", "Agathidium stenomma", "Agathidium tenangoense", "Agathidium triangularum", "Agathidium tribulosum", "Agathidium cheneyi", "Agathidium tumidiventre", "Agathidium akrogeneios", "Agathidium appalachium", "Agathidium carolinense", "Agathidium divaricatum", "Agathidium framea", "Agathidium gallititillo", "Agathidium georgiaense", "Agathidium pocahontasae", "Agathidium stephani", "Agathidium chauliodoum", "Agathidium microphthalmum", "Agathidium nimbosilva", "Agathidium fawcettae", "Agathidium akallebregma", "Agathidium tribulograndum", "Agathidium dioperculum", "Agathidium angustoperculum", "Agathidium rhinocerellum", "Agathidium cavisternum", "Agathidium conjunctum", "Agathidium obtusum", "Agathidium depressum", "Agathidium dubitans", "Agathidium jasperanum", "Agathidium revolvens", "Commelina guaranitica", "Commelina haitiensis", "Commelina heterosperma", "Commelina hispida", "Ghoria gigantea", "Commelina hockii", "Commelina holubii", "Commelina homblei", "Ghoria collitoides", "Commelina huillensis", "Commelina humblotii", "Commelina imberbis", "Commelina indehiscens", "Commelina irumuensis", "Macrobrochis alba", "Macrobrochis albifascia", "Macrobrochis albovenosa", "Macrobrochis borneensis", "Macrobrochis dirhabdus", "Macrobrochis fukiensis", "Macrobrochis gigas", "Macrobrochis grahami", "Macrobrochis hampsoni", "Macrobrochis holosericea", "Macrobrochis lucida", "Macrobrochis nigra", "Macrobrochis nigripes", "Macrobrochis notabilis", "Macrobrochis pallens", "Macrobrochis prasena", "Macrobrochis semirufa", "Macrobrochis tibetensis", "Macrobrochis volzi", "Paraona splendens", "Hesudra divisa", "Rhomphaea urquharti", "Protaetia speciosissima", "Myrtopsen colombiensis", "Myrtopsen luederwaldti", "Myrtopsen rufipes", "Myrtopsen rodovalhoi", "Myrtopsen mayri", "Myrtopsen platensis", "Myrtopsen palmirae", "Myrtopsen mimosae", "Lasioglossum santafense", "Thyreoxenus brevitibialis", "Thyreoxenus parviceps", "Thyreoxenus pulchellus", "Thyreoxenus major", "Jeholopsyche bella", "Jeholopsyche maxima", "Jeholopsyche completa", "Hypodrassodes ignambensis", "Hypodrassodes canacus", "Hypodrassodes cockerelli", "Hypodrassodes asbolodes", "Glaucocharis flavifasciaria", "Glaucocharis paulispinata", "Glaucocharis grandispinata", "Glaucocharis siciformis", "Glaucocharis tridentata", "Bradleya japonica", "Ceropoda tibialis", "Citheronula armata", "Procitheronia fenestrata", "Arpiella carabaya", "Bradleya albatrossia", "Bradleya andamanae", "Bradleya paranuda", "Chrysoteuchia quadrapicula", "Rhagophthalmus beigansis", "Menegazzia abscondita", "Rhagophthalmus giallolateralus", "Rhagophthalmus formosanus", "Rhagophthalmus fugongensis", "Rhagophthalmus lufengensis", "Dicrotendipes nudus", "Dicrotendipes saetanumerosus", "Alpheus cedrici", "Parazyginella tiani", "Epimartyria bimaculella", "Neogreenia lonicera", "Glaucocharis biconvexa", "Glaucocharis scrotiformis", "Glaucocharis setosa", "Glaucocharis pilcheri", "Glaucocharis huanggangensis", "Glaucocharis hastatella", "Glaucocharis omeishani", "Glaucocharis longqiensis", "Glaucocharis parmulella", "Glaucocharis alatella", "Glaucocharis albilinealis", "Glaucocharis apicudentella", "Glaucocharis assamensis", "Glaucocharis baculella", "Glaucocharis bifidella", "Glaucocharis chelatella", "Glaucocharis castaneus", "Glaucocharis copernici", "Glaucocharis exsectella", "Glaucocharis forcipella", "Glaucocharis furculella", "Glaucocharis infundella", "Glaucocharis lunatella", "Glaucocharis ochronella", "Glaucocharis octacornutella", "Glaucocharis palidella", "Glaucocharis pomae", "Glaucocharis qujingella", "Glaucocharis reniella", "Glaucocharis rhamphella", "Glaucocharis spiculella", "Glaucocharis spinulella", "Glaucocharis taeniata", "Glaucocharis lasiotella", "Glaucocharis quadratella", "Glaucocharis setacea", "Glaucocharis himalayana", "Glaucocharis melistoma", "Glaucocharis melli", "Glaucocharis minutalis", "Glaucocharis moriokensis", "Glaucocharis mutuurella", "Glaucocharis parthenie", "Glaucocharis ramona", "Glaucocharis rosanna", "Glaucocharis rosannoides", "Glaucocharis vermeeri", "Glaucocharis subalbilinealis", "Glaucocharis rectifascialis", "Heliothrips haemorrhoidalis", "Glaucocharis taphrophracta", "Menegazzia athrotaxidis", "Oramia rubrioides", "Huara grossa", "Huara antarctica", "Neororea sorenseni", "Neoramia hoggi", "Neoramia crucifera", "Abrytasites julianyi", "Oramia scylla", "Telestes dabar", "Telestes miloradi", "Tanganikallabes alboperca", "Tanganikallabes stewarti", "Scleropages inscriptus", "Antilligobius nikkiae", "Laestrygones minutissimus", "Pakeha kirki", "Eulepidotis colleti", "Acraea adrasta", "Acraea formosa", "Acraea dewitzi", "Acraea obliqua", "Acraea kivuensis", "Acraea kivuensis kivuensis", "Acraea kivuensis elgonense", "Acraea poggei", "Acraea poggei poggei", "Acraea poggei ras", "Acraea leopoldina", "Acraea elongata", "Acraea persanguinea", "Acraea epiprotea", "Acraea alcinoe", "Acraea alcinoe alcinoe", "Acraea alcinoe nado", "Acraea umbra", "Acraea umbra umbra", "Acraea umbra macarioides", "Acraea macaria", "Acraea macaria macaria", "Acraea macaria hemileuca", "Arsenura amacymonia", "Arsenura centrocymonia", "Rulyrana mcdiarmidi", "Dactylorhiza fuchsii", "Nymphargus lasgralarias", "Nymphargus vicenteruedai", "Yunnanilus niulanensis", "Prionomyrmex wappleri", "Archimyrmex wedmannae", "Protazteca hendersoni", "Gamelioides elainae", "Byasa trifurca", "Menegazzia hypogymnioides", "Menegazzia lordhowensis", "Menegazzia neozelandica", "Huara ovalis", "Menegazzia petraea", "Neonuncia enderbyi", "Poseidonamicus major", "Poseidonamicus minor", "Eriophora verrucosa", "Oramia marplesi", "Gasparia manneringi", "Rorea aucklandensis", "Trigoniophthalmus graecanicus", "Evalljapyx limpia", "Occasjapyx japonicus", "Periscelis stuckenbergi", "Strobilomyces foveatus", "Menegazzia ramulicola", "Menegazzia subtestacea", "Menegazzia tarkinea", "Stigmatophora acerba", "Stigmatophora chekiangensis", "Stigmatophora conjuncta", "Stigmatophora confusa", "Stigmatophora disticha", "Stigmatophora flava", "Stigmatophora grisea", "Stigmatophora hainanensis", "Stigmatophora leacrita", "Stigmatophora likiangensis", "Stigmatophora micans", "Stigmatophora obraztsovi", "Stigmatophora palmata", "Stigmatophora rhodophila", "Stigmatophora rubivena", "Stigmatophora tridens", "Hyalinobatrachium orocostale", "Poseidonamicus pintoi", "Poseidonamicus nudus", "Ocyolinus rugatus", "Ocyolinus vulneratus", "Ocyolinus amethystinus", "Ocyolinus astenos", "Ocyolinus dimoui", "Ocyolinus nebulosus", "Ocyolinus ganglbaueri", "Agrenocythere spinosa", "Paliolla cooki", "Kankelibranchus alhenae", "Kankelibranchus incognitus", "Liphistius thaleri", "Heptathela sapana", "Heptathela hongkong", "Heptathela tonkinensis", "Hirpida marcapata", "Hirpida levojunensis", "Hyperchiria volcana", "Hypomyces lactifluorum", "Pinelema bailongensis", "Misumenops melloleitaoi", "Misumenops pallidus", "Misumenops pallidus", "Prunus davidiana var. davidiana", "Prunus davidiana var. potaninii", "Pastinachus gracilicaudus", "Pastinachus stellurostris", "Pastinachus ater", "Polycera faeroensis", "Polycera maddoxi", "Agrenocythere americana", "Auzata simpliciata", "Agrenocythere cadoti", "Agrenocythere radula", "Stenobrimus lumad", "Monodelphis sanctaerosae", "Nembrotha lineolata", "Camponotus abditus", "Camponotus abjectus", "Nembrotha aurea", "Nembrotha rosannulata", "Nembrotha purpureolineata", "Nembrotha rutilans", "Nembrotha chamberlaini", "Nembrotha cristata", "Nembrotha yonowae", "Nembrotha livingstonei", "Nembrotha megalocera", "Nembrotha milleri", "Nembrotha mullineri", "Nembrotha caerulea", "Nembrotha guttata", "Automerina valoides", "Automerina bolivaria", "Automerina tatianae", "Automerina chiquisaltana", "Agrisius fuliginosus", "Agrisius guttivitta", "Agrisius similis", "Agrisius japonicus", "Asura strigibasis", "Automerina yungasletes", "Automerina bahiletes", "Automeris lamercedia", "Automeris jupachacona", "Automeris mixthena", "Strobilomyces strobilaceus", "Allium parnassicum", "Allium chamaemoly", "Empoasca lybica", "Allium austrosibiricum", "Allium beesianum", "Allium burjaticum", "Allium carolinianum", "Allium cyaneum", "Allium dauricum", "Eudonia truncicolella", "Eudonia lacustrata", "Eudonia apicifusca", "Eudonia mercurella", "Eudonia microdontalis", "Eudonia persimilis", "Eudonia tibetalis", "Eudonia lijiangensis", "Eudonia zhongdianensis", "Eudonia furva", "Eudonia hexamera", "Eudonia magna", "Eudonia duospinata", "Artipe grandis", "Eudonia cavata", "Artipe grandis mesites", "Artipe grandis jactantis", "Artipe grandis grandis", "Trichius gallicus", "Trichius gallicus zonatus", "Allium atrosanguineum", "Allium virgunculae", "Allium consanguineum", "Allium goloskokovii", "Allium mairei", "Berghia marcusi", "Berghia creutzbergi", "Millereolidia ritmica", "Polycera melanosticta", "Armina aoteana", "Janolus hyalinus", "Heterodoris antipodes", "Bathyberthella zelandiae", "Bathyberthella antarctica", "Trapania rudmani", "Trapania brunnea", "Otagoa wiltoni", "Nebalia villalobosi", "Nebalia deborahae", "Megalaria orokonuiana", "Ramalina microspora", "Auzata minuta", "Auzata minuta minuta", "Auzata minuta spiculata", "Auzata ocellata", "Abrostola suisharyonis", "Loxerebia loczyi", "Ljunghia luciae", "Ljunghia bristowi", "Missulena hoggi", "Missulena pruinosa", "Missulena reflexa", "Missulena rutraspina", "Missulena torbayensis", "Missulena tussulena", "Missulena rugosa", "Psechrus rani", "Psechrus ancoralis", "Psechrus antraeus", "Psechrus steineri", "Psechrus kenting", "Psechrus khammouan", "Psechrus luangprabang", "Psechrus triangulus", "Stiphidion facetum", "Stiphidion ferum", "Stiphidion adornatum", "Stiphidion diminutum", "Stiphidion raveni", "Neostylopyga angusta", "Stylopyga angusta", "Orobanche palaestina", "Sorbus caucasica var. caucasica", "Lepidium virginicum var. virginicum", "Lepidium virginicum subsp. menziesii", "Lepidium virginicum var. menziesii", "Lepidium costaricense", "Schausiella sanjuensis", "Schausiella ronaldzunigi", "Schausiella santarosensis", "Eacles kaechi", "Eacles masoni", "Eacles masoni masoni", "Eacles masoni machiapasiana", "Eacles masoni centralamericana", "Eacles fulvaster", "Eacles fulvaster fulvaster", "Eacles fulvaster oriecuadoriana", "Eacles silkae", "Eacles tyrannus", "Eacles guinlei", "Linum nodiflorum", "Zinaida jigongi", "Zinaida suprema", "Zinaida matsuii", "Zinaida gotama", "Cirsium canum", "Galium rivale", "Eudonia singulannulata", "Carduus argentatus", "Eudonia rectilineata", "Eudonia wolongensis", "Allium amethystinum", "Allium artemisietorum", "Allium bourgeaui", "Allium commutatum", "Allium curtum", "Allium ebusitanum", "Hipparion zandaense", "Allium gramineum", "Allium heldreichii", "Allium jubatum", "Allium macrochaetum", "Allium pyrenaicum", "Allium fibrosum", "Allium umbilicatum", "Allium chloranthum", "Allium desertorum", "Allium flavum", "Allium melanantherum", "Loxerebia bocki", "Loxerebia carola", "Loxerebia sylvicola", "Cicindela maroccana", "Loxerebia pratorum", "Loxerebia saxicola", "Loxerebia ypthimoides", "Loxerebia delavayi", "Loxerebia megalops", "Loxerebia albipuncta", "Loxerebia albipuncta albipuncta", "Loxerebia albipuncta sato", "Loxerebia phyllis", "Loxerebia ruricola", "Loxerebia rurigena", "Loxerebia seitzi", "Loxerebia martyr", "Adeloneivaia jamazonica", "Adeloneivaia jaustralica", "Adeloneivaia orientoboliviana", "Syssphinx paracolla", "Syssphinx mexisinaloana", "Syssphinx jennyphillipsae", "Syssphinx riekerti", "Syssphinx parocellata", "Syssphinx lapazcellata", "Syssphinx misionescellata", "Syssphinx bidentalis", "Syssphinx molina", "Syssphinx molina molina", "Syssphinx molina simulatilis", "Syssphinx molina molpiurica", "Rachesa alegrensis", "Rachesa lampei", "Rachesa sinjaevorum", "Rachesa viksinjaevi", "Rachesa chrisbrechlinae", "Adelowalkeria kitchingi", "Adelowalkeria vanschaycki", "Adelowalkeria witti", "Adelowalkeria flavoparvissima", "Adelowalkeria flavoboliviana", "Adelowalkeria siriae", "Adelowalkeria eugenicolombiana", "Citioica guayensis", "Citioica rubrocanescens", "Ptiloscola cuscoensis", "Giacomellia vanschaycki", "Othorene peggyae", "Othorene lapaziana", "Othorene vanschayckorum", "Othorene bernardoespinozai", "Othorene verana", "Othorene verana verana", "Othorene verana veroaxensis", "Othorene verana verapaziana", "Clubiona blesti", "Allium mongolicum", "Allium przewalskianum", "Allium sikkimense", "Allium spirale", "Allium stracheyi", "Allium aschersonianum", "Allium asclepiadeum", "Allium atropurpureum", "Allium auriculatum", "Allium costatovaginatum", "Allium cyrilli", "Allium ericetorum", "Allium jesdianum", "Allium jodanthum", "Allium libani", "Allium orientale", "Allium pseudostrictum", "Allium rothii", "Allium stenopetalum", "Allium suaveolens", "Allium tubergenii", "Allium tulipifolium", "Allium vodopjanovae", "Raphidascaris etelidis", "Mahura accola", "Mahura bainhamensis", "Mahura boara", "Mahura crypta", "Mahura detrita", "Mahura hinua", "Mahura musca", "Mahura rubella", "Mahura rufula", "Mahura scuta", "Mahura sorenseni", "Mahura southgatei", "Mahura spinosa", "Mahura spinosoides", "Mahura takahea", "Mahura tarsa", "Mahura turris", "Mahura vella", "Tuapoka cavata", "Tuapoka ovalis", "Tararua versuta", "Tararua ratuma", "Tararua puna", "Tararua foordi", "Tararua diversa", "Tararua clara", "Tararua celeripes", "Neorepukia hama", "Neorepukia pilama", "Paramyro apicus", "Paramyro parapicus", "Porotaka detrita", "Porotaka florae", "Oramia chathamensis", "Oramia littoralis", "Oramia mackerrowi", "Oramia occidentalis", "Oramia solanderensis", "Orepukia alta", "Orepukia catlinensis", "Orepukia dugdalei", "Orepukia egmontensis", "Orepukia florae", "Orepukia geophila", "Orepukia grisea", "Orepukia insula", "Orepukia nota", "Orepukia orophila", "Orepukia pallida", "Orepukia poppelwelli", "Orepukia prina", "Orepukia virtuta", "Orepukia tonga", "Orepukia sabua", "Orepukia rakiura", "Orepukia redacta", "Orepukia riparia", "Orepukia tanea", "Orepukia sorenseni", "Orepukia simplex", "Orepukia similis", "Neoramia allanae", "Neoramia alta", "Neoramia childi", "Neoramia fiordensis", "Neoramia hokina", "Neoramia koha", "Neoramia raua", "Neoramia otagoa", "Neoramia oroua", "Neoramia nana", "Neoramia komata", "Neoramia mamoea", "Neoramia marama", "Neoramia margaretae", "Pedaliodes napaea napaea", "Pedaliodes napaea naksi", "Lymanopoda labda bilinskii", "Lymanopoda labineta wojtusiaki", "Lymanopoda hazelana viridia", "Bindahara phocides isabella", "Acraea aganice", "Stigmochelys pardalis", "Acraea aganice aganice", "Acraea aganice montana", "Acraea aganice orientalis", "Acraea scalivittata", "Acraea quadricolor", "Acraea consanguinea", "Acraea consanguinea consanguinea", "Acraea consanguinea albicolor", "Acraea consanguinea sartina", "Acraea excisa", "Acraea indentata", "Acraea pseudeuryta", "Bindahara phocides moorei", "Acraea bana", "Bindahara phocides origenes", "Bindahara phocides phocides", "Acraea lequeuxi", "Acraea macarista", "Acraea ducarmei", "Bindahara phocides yurgama", "Acraea vestalis", "Acraea vestalis vestalis", "Acraea vestalis congoensis", "Mycalesis suaveolens", "Auhunga pectinata", "Pseudoceros kylie", "Otira aquilonaria", "Lyclene weidenhofferi", "Pseudarbudas efetovi", "Eumorphiopais inouei", "Hyblaea aureola", "Deudorix apayao", "Heterophleps inusitata", "Deudorix ceramensis", "Epicephala lanceolaria", "Epicephala lativalvaris", "Epicephala vitisidaea", "Epicephala bipollenella", "Epicephala eriocarpa", "Epicephala mirivalvata", "Epicephala haplodoxa", "Epicephala homostola", "Epicephala jansei", "Epicephala pelopepla", "Epicephala tephrostola", "Acrocercops gossypii", "Acrocercops ochnifolii", "Acrocercops odontosema", "Apistogramma caudomaculata", "Apistogramma flabellicauda", "Apistogramma intermedia", "Apistogramma minima", "Apistogramma nororientalis", "Apistogramma pedunculata", "Apistogramma piaroa", "Apistogramma megaptera", "Anagotus inornatus", "Etheostoma maydeni", "Anagotus lituratus", "Anagotus similis", "Tocris laevicostata", "Tocris pascoi", "Phoxoteles peelensis", "Euonymus subg.", "Mocis bifasciata", "Euonymus sect.", "Phoxoteles fairburni", "Euonymus ser.", "Zenodoxus canescens", "Zenodoxus heucherae", "Zenodoxus maculipes", "Zenodoxus mexicanus", "Zenodoxus palmii", "Zenodoxus rubens", "Zenodoxus sidalceae", "Conopsia bicolor", "Euonymus sect.", "Euonymus ser.", "Euonymus maackii", "Euonymus hamiltonianus var. hamiltonianus", "Lobesia talyana", "Lobesia oluducha", "Lobesia scopifera", "Crimnologa kirunguana", "Crimnologa transmutata", "Maloides cavernicola", "Waitetola huttoni", "Poaka graminicola", "Paravoca opaca", "Paravoca otagoensis", "Muritaia kaituna", "Muritaia longispinata", "Muritaia orientalis", "Muritaia parabusa", "Muritaia suba", "Otira terricola", "Otira satura", "Otira parva", "Otira liana", "Otira indura", "Otira canasta", "Allium cyathophorum", "Allium flavovirens", "Allium frigidum", "Allium hookeri", "Allium humile", "Allium iranicum", "Allium macranthum", "Allium pendulinum", "Allium siculum", "Allium tanguticum", "Allium tel-avivense", "Allium truncatum", "Allium wallichii", "Pakeha buechlerae", "Pakeha duplex", "Pakeha hiloa", "Pakeha inornata", "Pakeha insignita", "Pakeha lobata", "Pakeha manapouri", "Pakeha maxima", "Pakeha media", "Pakeha minima", "Pakeha paratecta", "Pakeha parrotti", "Pakeha protecta", "Pakeha pula", "Pakeha stewartia", "Pakeha subtecta", "Pakeha tecta", "Brimeura amethystina", "Puschkinia scilloides", "Merwilla plumbea", "Promalactis albipars", "Promalactis bitrigona", "Promalactis diorbis", "Promalactis forticosta", "Promalactis magnipuncti", "Promalactis polyspina", "Mexicantha oaxacana", "Mexicantha garciorum", "Automeris abdomicajamarcensis", "Automeris abdomimeridensis", "Automeris abdominapoensis", "Automeris abdomipichinchensis", "Automeris abdomipiurensis", "Automeris altotridens", "Automeris amagabriellae", "Automeris amaloretensis", "Automeris amanda amandocuscoensis", "Automeris amanda amandojunica", "Automeris amasanata", "Automeris anika", "Automeris anikmeisterae", "Automeris arianae", "Automeris banus banumediata", "Automeris barinasmargaritae", "Automeris cecrojaliscensis", "Automeris brenneri", "Automeris chrisbrechlinianae", "Automeris chrismeisterae", "Automeris cinctinicaraguana", "Automeris cundinamarcensis", "Automeris cuscoata", "Automeris cuscosylviae", "Automeris dagmarae", "Sulcostocythere knysnaensis", "Euonymus sect.", "Euonymus ser.", "Euonymus ser.", "Euonymus sect.", "Euonymus sect.", "Euonymus sect.", "Euonymus ser.", "Euonymus ser.", "Liocypris grandis", "Euonymus sect.", "Austrogammarus australis", "Euonymus ser.", "Euonymus ser.", "Stictoptera cucullioides", "Stictoptera macromma", "Stictoptera grisea", "Stictoptera semialba", "Aegilia describens", "Aegilia indescribens", "Gyrtona pyraloides", "Gyrtona todara", "Gyrtona semicarbonalis", "Gyrtona ochreographa", "Odontodes aleuca", "Lophoptera anthyalus", "Lophoptera hamata", "Lophoptera coangulata", "Lophoptera stipata", "Zemeros flegyas hondai", "Deudorix epijarbas timorleste", "Gegeneophis primus", "Gegeneophis pareshi", "Hyperolius chelaensis", "Scinax cosenzai", "Rhacophorus hongchibaensis", "Rhacophorus wui", "Deudorix epijarbas epijarbas", "Carabus odoratus", "Deudorix epijarbas diovella", "Deudorix epijarbas concolor", "Deudorix epijarbas enganicus", "Deudorix epijarbas terenzius", "Aades bifoveifrons", "Aades foveipennis", "Aades griseatus", "Aades scoparius", "Lyperopais mirus", "Lyperopais alternans", "Neoramia matua", "Neoramia minuta", "Neoramia charybdis", "Neoramia finschi", "Neoramia janus", "Neoramia setosa", "Eccopsis dallastai", "Eccopsis lukiana", "Eccopsis bohatolae", "Zellereccopsis nowaki", "Cosmorrhyncha acrocosma", "Cosmorrhyncha microcosma", "Cosmorrhyncha ocellata", "Cosmorrhyncha ocelliferana", "Scrophularia olympica", "Scrophularia ilwensis", "Metendothenia albomaculata", "Scrophularia canina subsp. bicolor", "Metendothenia calopa", "Metendothenia emmilta", "Metendothenia fidelis", "Metendothenia fulvoflua", "Metendothenia heterophenga", "Metendothenia hilarocroca", "Metendothenia plecta", "Metendothenia rhodambon", "Metendothenia inouei", "Metendothenia ogasawarensis", "Metendothenia separatana", "Metendothenia mesarotra", "Metendothenia balanacma", "Metendothenia atropunctana", "Diakonoffiana spumans", "Megalota insolenta", "Sambara sciara", "Allium canadense", "Taiteccopsis taitana", "Allium subangulatum", "Phalarocarpa crocus", "Phalarocarpa harmographa", "Phalarocarpa ioxanthas", "Lobesia acroleuca", "Lobesia albotegula", "Lobesia ambigua", "Lobesia archaetypa", "Bindahara phocides", "Pedaliodes ereiba ereiba", "Pedaliodes ereiba cremera", "Pedaliodes peregrina", "Pedaliodes lithochalcis", "Molippa flavodiosiana", "Molippa flavopiurica", "Molippa flavotegana", "Molippa sinyaevorum", "Molippa intermediata", "Molippa ninfaustralica", "Molippa bertranjunensis", "Auroraia eophila", "Austrolippa convergens", "Austrolippa cruenta", "Penthesilenula loana", "Euonymus sect.", "Phaeophanus graniger", "Phoxoteles graniger", "Euonymus sect.", "Anagotus laevicostataus", "Pparchus costipennis", "Pristimantis bellae", "Bolitoglossa chinanteca", "Cophixalus australis", "Cophixalus hinchinbrookensis", "Scopodes edwardsii", "Scopodes nigrinus", "Paracatops femoratus", "Euonymus ser.", "Monodelphis arlindoi", "Hyperchiria interacuta", "Hyperchiria parallela", "Hyperchiria parda", "Loxoconcha parameridionalis", "Euonymus parasimilis", "Euonymus gibber", "Euonymus laxicymosus", "Euonymus quelpaertensis", "Hyperchiria aniris", "Hyperchiria bicolor", "Hyperchiria gadouae", "Hyperchiria incisa", "Hyperchiria orodina", "Hyperchiria azteca", "Hyperchiria nausica", "Hyperchiria guatemalensis", "Hyperchiria acuta", "Hyperchiria plicata", "Euonymus lichiangensis", "Euonymus semiexcertus", "Janiodes junensis", "Janiodes laverna", "Euonymus microcarpus", "Janiodes lucida", "Janiodes lavernohuanucensis", "Janiodes lavernopascoensis", "Janiodes lavernodiosiana", "Janiodes lavernocuscoensis", "Janiodes lavernoboliviana", "Euonymus sect.", "Janiodes peruviana", "Janiodes madrediosiana", "Janiodes piurensis", "Janiodes meridensis", "Santelmoa antarctica", "Santelmoa fusca", "Limnichthys marisrubri", "Euonymus sect.", "Janiodes dognini", "Moenkhausia dasalmas", "Janiodes manzanoi", "Janiodes nigropuncta", "Janiodes russea", "Janiodes virgata", "Janiodes ecuadorensis", "Janiodes bethulia", "Acrocercops pavonicola", "Euonymus subg.", "Euonymus sect.", "Euonymus sect.", "Euonymus ser.", "Euonymus ser.", "Deudorix epijarbas", "Aleochara daviesi", "Agaricomorpha websteri", "Atheta alesi", "Dinaraea backusensis", "Strigota obscurata", "Atheta riparia", "Atheta microelytrata", "Anagotus aterrimus", "Anagotus carinirostris", "Anagotus costipennis", "Anagotus graniger", "Anagotus gourlayi", "Anagotus halli", "Anagotus laevicostatus", "Anagotus lewisi", "Anagotus pascoi", "Anagotus peelensis", "Anagotus longipes", "Pparchus carinirostris", "Pparchus lewisi", "Tocris aterrima", "Tocris hamiltoni", "Mecosargon costipennis", "Pparchus halli", "Lyperopais stellae", "Synersaga phuruaensis", "Synersaga mondulkiriensis", "Synersaga pseudocathra", "Ramalina meridionalis", "Lophoptera nama", "Lophoptera brunnama", "Lophoptera hayesi", "Lophoptera illucida", "Lophoptera longipennis", "Lophoptera tenuis", "Lophoptera acutiprocessa", "Lophoptera phaeobasis", "Lophoptera negretinoides", "Lophoptera negretina", "Lophoptera hemithyris", "Lophoptera solealis", "Lophoptera huma", "Lophoptera squammigera", "Lophoptera squammilinea", "Lophoptera purpurfera", "Lophoptera trigonoprocessa", "Lophoptera obliquilinea", "Lophoptera hypenistis", "Lophoptera partitistis", "Diascoides ferruginea", "Sigmuncus albigrisea", "Sigmuncus arcuata", "Anomoses hylecoetes", "Neotheora chiloides", "Prototheora angolae", "Prototheora geniculata", "Prototheora drackensbergae", "Prototheora biserrata", "Prototheora merga", "Aegyptobia yertle", "Aegyptobia iranensis", "Aegyptobia iraniensis", "Aegyptobia bromi", "Aegyptobia nazarii", "Gentiana sect.", "Tenuipalpus aboharensis", "Linotetranus anatolicus", "Gentiana subsect.", "Tenuipalpus jandialensis", "Tenuipalpus antipodus", "Tenuipalpus elegans", "Tenuipalpus mahoensis", "Tenuipalpus mansoniculus", "Tenuipalpus montanus", "Tenuipalpus rangiorae", "Tenuipalpus senecionis", "Tenuipalpus venustus", "Tenuipalpus womersleyi", "Tenuipalpus toowongi", "Euseius ovalis", "Prototheora parachlora", "Prototheora corvifera", "Prototheora petrosema", "Prototheora monoglossa", "Prototheora quadricornis", "Prototheora serruligera", "Prototheora cooperi", "Palaeoses scholastica", "Genustes lutata", "Ogygioses caliginosa", "Ogygioses eurata", "Ogygioses issikii", "Ogygioses luangensis", "Osrhoes coronta", "Bipectilus zhejiangensis", "Eudalaca exul", "Eudalaca vaporalis", "Eudalaca isorrhoa", "Eudalaca amphiarma", "Eudalaca eriogastra", "Eudalaca homoterma", "Eudalaca vindex", "Eudalaca crossosema", "Eudalaca troglodytis", "Eudalaca leniflua", "Aegyptobia pomaderrisae", "Dolichotetranychus kermanicus", "Dolichotetranychus ancistrus", "Chanos chanos", "Oreochromis niloticus", "Oreochromis niloticus niloticus", "Epitola posthumus", "Epitola urania", "Azygopus flemingi", "Sciara lackschewitzi", "Pseudoleptus hamedaniensis", "Pseudoleptus iranensis", "Pseudoleptus kermanshahiensis", "Eudalaca semicanus", "Eudalaca rivula", "Eudalaca gutterata", "Eudalaca minuscula", "Eudalaca orthocosma", "Eudalaca infumata", "Eudalaca aurifuscalis", "Eudalaca leucophaea", "Eudalaca crudeni", "Eudalaca aequifascia", "Eudalaca ammon", "Eudalaca nomaqua", "Eudalaca rufescens", "Eudalaca stictigrapha", "Eudalaca leucocyma", "Eudalaca albistriata", "Eudalaca hololeuca", "Eudalaca holophaea", "Eudalaca limbopunctata", "Eudalaca zernyi", "Eudalaca sanctahelena", "Eudalaca albiplumis", "Eudalaca bacotii", "Eudalaca ibex", "Eudalaca cretata", "Metahepialus plurimaculata", "Metahepialus xenoctenis", "Dalaca crocatus", "Dalaca chiliensis", "Dalaca quadricornis", "Dalaca patriciae", "Dalaca laminata", "Dalaca postvariabilis", "Agrisius albula", "Truljalia hibinonis amota", "Lisianthius longifolius", "Gentiana lutea subsp. lutea", "Gentiana lutea subsp. montserratii", "Gentiana lutea subsp. symphyandra", "Dampiercythere tuberoreticulata", "Australimoosella liebaui", "Australimoosella exmouthensis", "Xestoleberis broomensis", "Xestoleberis porthedlandensis", "Macrobiotus alekseevi", "Calacarus flagelliseta", "Ultratenuipalpus womersleyi", "Colopalpus mansoni", "Carex albolutescens", "Pomaderris amoena", "Pomaderris aspera", "Pomaderris ericifolia", "Pomaderris hamiltonii", "Pomaderris kumeraho", "Pomaderris mollis", "Pomaderris paniculosa", "Pomaderris prunifolia", "Pomaderris polifolia", "Pomaderris tacnui", "Aegyptobia kerkyrae", "Aegyptobia beglarovi", "Callipielus arenosus", "Callipielus digitata", "Callipielus salasi", "Callipielus izquierdoi", "Callipielus argentata", "Callipielus fumosa", "Callipielus gentilii", "Callipielus krahmeri", "Callipielus perforata", "Callipielus vulgaris", "Deudorix diovis", "Dalaca variabilis", "Dalaca nigricornis", "Dalaca pallens", "Blanchardinella venosus", "Calada fuegensis", "Calada migueli", "Puermytrans chiliensis", "Parapielus luteicornis", "Parapielus oberthuri", "Parapielus heimlichi", "Parapielus reedi", "Druceiella basirubra", "Druceiella momus", "Druceiella metellus", "Druceiella amazonensis", "Phassus absyrtus", "Phassus smithi", "Himantoides undata", "Xestoleberis cauticola", "Cattleya loddigesii", "Xestoleberis onslowensis", "Cattleya loddigesii subsp. loddigesii", "Xestoleberis exmouthensis", "Xestoleberis paraporthedlandensis", "Xestoleberis tantabiddycreekensis", "Brevipalpus californicus", "Brevipalpus essigi", "Brevipalpus obovatus", "Brevipalpus phoenicis", "Brevipalpus russulus", "Xestoleberis kalbarriensis", "Xestoleberis saxumchinensis", "Ultratenuipalpus aberrans", "Xestoleberis dougiamasorum", "Ultratenuipalpus arboreus", "Ultratenuipalpus asteliae", "Xestoleberis geraldtonensis", "Ultratenuipalpus asteliicola", "Ultratenuipalpus carpodeti", "Ultratenuipalpus coprosmicus", "Ultratenuipalpus nothofagi", "Ultratenuipalpus coprosmae", "Ultratenuipalpus rubi", "Ultratenuipalpus cyathodis", "Ultratenuipalpus cyatheae", "Tenuipalpus cyatheae", "Tenuipalpus cyathodis", "Tenuipalpus guamensis", "Dolichotetranychus alpinus", "Oreochromis tanganicae", "Tenuipalpus rubi", "Tenuipalpus nothofagi", "Tenuipalpus coprosmicus", "Tenuipalpus coprosmae", "Tenuipalpus carpodeti", "Tenuipalpus asteliicola", "Tenuipalpus asteliae", "Tenuipalpus arboreus", "Tenuipalpus aberrans", "Phassus chrysodidyma", "Phassus agrionides", "Phassus aurigenus", "Phassus basirei", "Phassus eldorado", "Phassus exclamationis", "Phassus huebneri", "Phassus marcius", "Phassus n-signatus", "Phassus pharus", "Phassus pretiosus", "Phassus tesselatus", "Phassus transversus", "Phassus rosulentus", "Aplatissa michaelis", "Aplatissa strangoides", "Pfitzneriana olivescens", "Pfitzneriana prosopus", "Pfitzneriana vogli", "Pfitzneriana allura", "Aloeides thyra", "Aloeides thyra thyra", "Aloeides thyra orientis", "Aloeides pallida", "Aloeides pallida pallida", "Aloeides pallida grandis", "Aloeides pallida littoralis", "Aloeides pallida jonathani", "Aloeides pallida juno", "Aloeides pallida liversidgei", "Loxoconcha megapora", "Carex biltmoreana", "Carex blanda", "Carex brevicaulis", "Carex cherokeensis", "Carex chordorrhiza", "Carex comosa", "Carex complanata", "Carex crinita", "Carex cumberlandensis", "Carex frankii", "Carex gmelinii", "Carex grayi", "Carex gynodynama", "Carex inversa", "Carex juniperorum", "Carex louisianica", "Carex mackenziei", "Paradoxostoma pararcuatum", "Carex magellanica", "Carex muskingumensis", "Carex oklahomensis", "Carex oligosperma", "Carex plantaginea", "Carex platyphylla", "Proceratophrys vielliardi", "Proceratophrys strussmannae", "Rhinella major", "Rhinella merianae", "Rhinella mirandaribeiroi", "Rhinella nattereri", "Erannis kashmirensis", "Erannis caspica", "Gentiana ser.", "Gentiana ser.", "Gentiana ser.", "Carex polyphylla", "Carex wakatipu", "Kytorhinus caraganae", "Kytorhinus lefevrei", "Kytorhinus senilis", "Kytorhinus thermopsis", "Kytorhinus immixtus", "Kytorhinus karasini", "Kytorhinus kaszabi", "Kytorhinus mongolicus", "Kytorhinus pectinicornis", "Kytorhinus piptanthi", "Kytorhinus tibetanus", "Kytorhinus rushanensis", "Gamelia romanovi", "Gamelia chuquibambensis", "Gamelia sanmartiniana", "Gamelia abahiana", "Gamelia progressiana", "Gamelia rudloffi", "Gamelia paramartiniana", "Gamelia argentina", "Gamelia lojensis", "Gamelia hollinensis", "Gamelia kaechi", "Gamelia neidcuscoensis", "Gamelia paradargei", "Gamelia amadargei", "Gamelia corralesi", "Gamelia parvoocellata", "Gamelia acomayensis", "Gamelia tamarae", "Leptosciarella tomentosa", "Leptosciarella albescens", "Leptosciarella aspiculosa", "Deudorix ferrea", "Gentiana bavarica subsp. bavarica", "Gentiana bavarica subsp. subacaulis", "Deudorix superbiens", "Delphinium geraniifolium", "Delphinium multiplex", "Delphinium newtonianum", "Delphinium nudicaule", "Delphinium parishii", "Delphinium wellbyi", "Delphinium \u00d7 cultorum", "Microcryptorhynchus albistrigalis", "Microcryptorhynchus contractus", "Microcryptorhynchus perpusillus", "Microcryptorhynchus praesetosus", "Microcryptorhynchus quietus", "Microcryptorhynchus setifer", "Microcryptorhynchus vafer", "Leptosciarella dolichocorpa", "Leptosciarella furiosa", "Gentiana arisanensis", "Leptosciarella fuscipalpa", "Leptosciarella helvetica", "Leptosciarella imberba", "Leptosciarella ironica", "Leptosciarella juniperi", "Leptosciarella longistilis", "Leptosciarella mediterranea", "Deudorix toxopeusi", "Leptosciarella melanoma", "Leptosciarella melanoxera", "Leptosciarella nativa", "Leptosciarella neopalpa", "Leptosciarella nigrosetosa", "Leptosciarella truncatula", "Carex retrorsa", "Carex rotundata", "Carex saxatilis", "Carex senta", "Carex siccata", "Carex squarrosa", "Carex straminea", "Paradoxostoma gantheaumense", "Carex stricta", "Paradoxostoma pharibroomense", "Carex tetrastachya", "Carex tribuloides", "Carex trifida", "Carex vulpinoidea", "Paradoxostoma acuticaudatum", "Carex amplifolia", "Carex aperta", "Carex bella", "Paradoxostoma porthedlandense", "Paradoxostoma hoppei", "Carex chihuahuensis", "Paradoxostoma vespornatum", "Deudorix elioti", "Paradoxostoma exmouthense", "Deudorix epirus", "Rothschildia chrisbrechlinae", "Deudorix epirus eos", "Gamelia pozuzana", "Gamelia nadezhdae", "Deudorix epirus despoena", "Deudorix epirus epirus", "Deudorix epirus kallias", "Deudorix gaetulia", "Deudorix hainana", "Deudorix hypargyria", "Gentiana sino-ornata", "Pristidia ramosa", "Suphisellus shorti", "Suphisellus parsonsi", "Paradoxostoma horrocksense", "Inocellia cheni", "Inocellia cornuta", "Paradoxostoma crassicaudatum", "Inocellia elegans", "Inocellia nigra", "Inocellia yunnanica", "Paradoxostoma paravespornatum", "Paradoxostoma paenearcuatum", "Glabellula humeralis", "Paradoxostoma propearcuatum", "Cyrtosia persica", "Colopalpus elegans", "Tenuipalpus abutiloni", "Tenuipalpus acaciae", "Tenuipalpus banksiae", "Tenuipalpus grevilleae", "Tenuipalpus pacificus", "Amblyseius bidibidi", "Paradoxostoma bifalculatum", "Paradoxostoma minimum", "Paradoxostoma guildertonense", "Paradoxostoma geraldtonense", "Carex cirrhosa", "Carex leersii", "Carex leporina", "Carex montana", "Carex okamotoi", "Carex oshimensis", "Automeris mideperuensis", "Gentiana ser.", "Automeris midenapoensis", "Gentiana ser.", "Dalea erythrorhiza", "Dalea gattingeri", "Dalea lanata", "Dalea ornata", "Dalea pringlei", "Dalea tomentosa", "Heterobathmia megadecella", "Heterobathmia nielsenella", "Gentiana sect.", "Sedum litoreum", "Sedum samium", "Sedum assyriacum", "Rhinella inopinus", "Sedum confertiflorum", "Lathyrus atropatanus", "Scrophularia gracilis", "Silene monerantha", "Gentiana scabra var. scabra", "Gentiana scabra var. buergeri", "Deudorix sumatrensis", "Bucculatrix mirnae", "Gentiana \u00d7 iseana", "Gentiana sikokiana", "Gentiana scabra var. kitadakensis", "Trichosia jugicola", "Gentiana subsect.", "Trichosia opacicollis", "Trichosia minor", "Leptosciarella holotricha", "Trichosia quadristrigata", "Leptosciarella parcepilosa", "Tetranychus neocaledonicus", "Tetranychus cinnabarinus", "Tetranychus ludenensis", "Guibemantis annulatus", "Guibemantis wattersoni", "Gentiana ser.", "Gentiana sect.", "Sceloporus graciosus", "Microhyla malang", "Gentiana ser.", "Gentiana ser.", "Gentiana sect.", "Yezonychus sapporensis", "Bryobia gramium", "Deudorix rapaloides", "Pontarachna africana", "Deudorix hypargyria hypargyria", "Automeris paralarra", "Automeris parageus", "Automeris vanschaycki", "Automeris silkae", "Automeris mixtus", "Deudorix hypargyria strephanus", "Deudorix staudingeri", "Automeris yungaiana", "Automeris zurouae", "Automeris witti", "Automeris intertridens", "Automeris lapazchowskyi", "Automeris dianae", "Automeris punochacona", "Automeris parachacona", "Automeris santaclariana", "Automeris pastaziana", "Automeris occiecuatoriana", "Delias echidna", "Delias echidna echidna", "Delias hippodamia", "Delias mavroneria", "Delias mavroneria mavroneria", "Delias narses", "Delias rothschildi", "Delias rothschildi rothschildi", "Delias subviridis", "Delias dorylaea", "Delias eileenae", "Cypripedium parviflorum var. parviflorum", "Delias destrigata", "Delias callista", "Delias callista callista", "Cypripedium parviflorum var. exiliens", "Delias flavistriga", "Delias flavistriga flavistriga", "Cypripedium parviflorum var. makasin", "Delias bosnikiana", "Delias candida", "Delias candida candida", "Delias isse", "Delias isse isse", "Delias lytaea", "Delias lytaea lytaea", "Delias parennia", "Delias sacha", "Delias sacha sacha", "Noctua tertia", "Delias alepa", "Delias alepa alepa", "Leptosciarella brevior", "Leptosciarella brevipalpa", "Leptosciarella cerifera", "Leptosciarella claviforceps", "Leptosciarella dimera", "Phytoscutus acaridophagus", "Iphiseius acaridophagus", "Tenuipalpus alpinus", "Amolops afghanus", "Amolops indoburmanensis", "Pristimantis ventrigranulosus", "Pristimantis bambu", "Pristimantis loujosti", "Pristimantis romanorum", "Pristimantis yumbo", "Pristimantis sirnigeli", "Tetranychus palmarum", "Automeris abdominalis", "Automeris ahuitzotli", "Automeris altapazia", "Automeris alticola", "Automeris andicola", "Automeris annulata", "Automeris arminia", "Automeris aurantiaca", "Automeris averna", "Automeris balachowskyi", "Automeris basalis", "Automeris beckeri", "Automeris bilinea", "Automeris boops", "Automeris postalbida", "Automeris niepelti", "Automeris boucardi", "Automeris belti belti", "Automeris belti zaruma", "Automeris boudinotiana", "Automeris caucensis", "Automeris cinctistriga", "Automeris dandemon", "Automeris daudiana", "Automeris duchartrei", "Automeris eogena", "Automeris fieldi", "Automeris hebe", "Automeris janus", "Automeris lemairei", "Siphunculina breviseta", "Siphunculina montana", "Siphunculina ismayi", "Siphunculina loici", "Siphunculina matilei", "Siphunculina striolata", "Anteon koreana", "Melangyna novaezelandiae", "Melangyna viridiceps", "Silurus soldatovi", "Buchwaldoboletus lignicola", "Delias hypomelas", "Delias hypomelas hypomelas", "Delias eudiabolus", "Delias heroni", "Delias hikarui", "Delias itamputi", "Delias langda", "Delias langda langda", "Delias nigropunctata", "Delias rileyi", "Delias rileyi rileyi", "Delias sphenodiscus", "Delias thompsoni", "Delias apatela", "Delias biaka", "Delias dorimene", "Delias dorimene dorimene", "Viola banksii", "Tuckerella filipina", "Tuckerella ornata", "Tuckerella japonica", "Tuckerella ablutus", "Tuckerella anommata", "Tuckerella equalis", "Tuckerella saetula", "Tuckerella murreensis", "Tuckerella channabasavannai", "Tuckerella eloisae", "Tuckerella hainanensis", "Tuckerella jianfengensis", "Tuckerella xinglongensis", "Tuckerella xiamenensis", "Tuckerella delhiensis", "Tuckerella coleogynis", "Tuckerella hypoterra", "Leptosciarella hirtipennis", "Deudorix loxias", "Deudorix maudei", "Gentiana ser.", "Gentiana ser.", "Gentiana ser.", "Trichosia absurda", "Deudorix niepelti", "Meseres pluto", "Chrysso bicuspidata", "Chrysso bifurca", "Gentiana ser.", "Prosopodesmus crater", "Prosopodesmus kirrama", "Prosopodesmus monteithi", "Acanthodasys paurocactus", "Eotetranychus sexmaculatus", "Oligonychus brevipodus", "Oligonychus ununguis", "Oligonychus hondoensis", "Bryobia vasiljevi", "Panonychus citri", "Panonychus ulmi", "Petrobia harti", "Petrobia latens", "Tetranychus collyerae", "Tetranychus elsae", "Tetranychus eyrewellensis", "Tetranychus lintearius", "Tetranychus moutensis", "Gamelia boliviettei", "Gamelia cusciettei", "Gamelia juniettei", "Gamelia amiettei", "Gamelia esmeraliettei", "Gamelia rindguayana", "Gamelia camacana", "Gamelia herbini", "Gamelia lampei", "Cerodirphia bahikani", "Hyperchiria bahisa", "Hyperchiria rincon", "Catacantha bahiginea", "Automeris paraxigua", "Gentiana sect.", "Typhlodromus bakeri", "Typhlodromus caudiglans", "Typhlodromus pyri", "Neoseiulus scoticus", "Typhlodromus scoticus", "Phytoseius fotheringhamiae", "Phytoseius leaki", "Neoseiulella aceri", "Neoseiulella novaezealandiae", "Neoseiulella ashleyae", "Neoseiulella cassiniae", "Neoseiulella cottieri", "Neoseiulella dachanti", "Neoseiulella myopori", "Neoseiulella nesbitti", "Neoseiulella oleariae", "Neoseiulella spaini", "Typhlodromus aceri", "Aegyptobia delfinadae", "Lycophantis vietnamica", "Roxita spinosa", "Leptosciarella nudinervis", "Gentiana catesbaei", "Leptosciarella nudinervosa", "Leptosciarella opaca", "Leptosciarella perturbata", "Leptosciarella prospera", "Leptosciarella rejecta", "Glyptothorax jayarami", "Podanotum pulsar", "Caneorhinus biangulatus", "Caneorhinus araucanus", "Caneorhinus tessellatus", "Caneorhinus indefensus", "Caneorhinus metrius", "Caneorhinus vittatus", "Caneorhinus lemniscatus", "Caneorhinus lineatus", "Caneorhinus uretai", "Gogoltilla chichikovi", "Tuckerella indica", "Tuckerella nilotica", "Tuckerella pavoniformis", "Tuckerella spechtae", "Tuckerella knorri", "Tuckerella kumaonensis", "Tuckerella ghotkiensis", "Deudorix democles crichtoni", "Valvaribifidum huananense", "Valvaribifidum sinica", "Crocanthes poliozona", "Crocanthes warmarensis", "Crocanthes gatoralis", "Crocanthes cyclopsana", "Mycalesis suaveolens suaveolens", "Mycalesis suaveolens ranotei", "Jagiello molinopampa", "Jagiello boyeropampa", "Semblis phalaenoides", "Chrysoteuchia hamatella", "Chrysoteuchia hamatoides", "Chrysoteuchia dentatella", "Chrysoteuchia curvicavus", "Chrysoteuchia deltella", "Calamotropha dentatella", "Calamotropha sawtoothella", "Calamotropha multicornuella", "Scandix iberica", "Scandix australis subsp. grandiflora", "Scandix macrorhyncha", "Scandix turgida", "Gentiana clausa", "Lycophantis leviaurata", "Lycophantis moriutii", "Chiliopelates lanceolatus", "Chiliopelates kuscheli", "Chiliopelates crenulatus", "Cetreliopsis rhytidocarpa subsp. langtangii", "Udara blackburni", "Udara tyotaroi", "Udara oviana", "Udara albocaerulea albocaerulea", "Udara albocaerulea scharffi", "Udara albocaerulea yamamotoi", "Udara aristinus", "Udara etsuzoi", "Udara lanka", "Udara singalensis", "Udara masinissa", "Udara serangana", "Udara antonia", "Udara aemulus", "Udara wilemani", "Udara nishiyamai", "Udara pullus", "Udara laetitia", "Allochaetophora californica", "Allochaetophora africana", "Tuckerella elegans", "Dianthus gallicus", "Ixodes amersoni", "Simosyrphus grandicornis", "Cetraria fastigiata", "Teratozephyrus yugaii", "Cetraria subalpina", "Prolasius advenus", "Liatris spicata var. resinosa", "Liatris spicata var. spicata", "Crocodylus thorbjarnarsoni", "Liatris sect.", "Liatris ser.", "Liatris ser.", "Liatris ser.", "Deudorix isocrates", "Dianthus abchasicus", "Dianthus absconditus", "Dianthus acantholimonoides", "Dianthus acrochlorus", "Dianthus afghanicus", "Dianthus agrostolepis", "Dianthus albens", "Dianthus androsaceus", "Dianthus angolensis", "Sylvicola brevis", "Dytiscus sharpi", "Sinonympha amoena", "Pseudocatharylla simplex", "Pseudocatharylla inclaralis", "Pseudocatharylla duplicella", "Pseudocatharylla infixella", "Pseudocatharylla mea", "Pseudocatharylla latiola", "Pseudocatharylla aurifimbriella", "Pseudocatharylla innotalis", "Wernya griseochrysa griseochrysa", "Wernya griseochrysa hainanensis", "Wernya cyrtoma", "Wernya hamigigantea", "Polyommatus amandus amurensis", "Automeris doelfi", "Automeris winbrechlini", "Gentiana \u00d7 bergeri", "Gentiana \u00d7 spuria", "Gentiana \u00d7 hybrida", "Gentiana \u00d7 charpentieri", "Gentiana \u00d7 media", "Tanaecia cibaritis", "Tanaecia flora", "Tanaecia flora flora", "Tanaecia flora andersonii", "Tanaecia flora salangana", "Tanaecia palawana", "Tanaecia palawana palawana", "Tanaecia palawana pallida", "Lebadea martha jecieli", "Athyma separata", "Athyma separata separata", "Athyma separata gracilis", "Lopinga eckweileri", "Gentiana burseri subsp. burseri", "Gentiana burseri subsp. villarsii", "Stanhopea insignis", "Gentiana \u00d7 stevenagensis", "Macropinna microstoma", "Gentiana \u00d7 grisebachiana", "Sciara elongata", "Gentiana \u00d7 dumoulinii", "Leptosciarella echinata", "Gentiana \u00d7 laengstii", "Amblypsilopus curvus", "Amblypsilopus flavicercus", "Amblypsilopus liaoae", "Amblypsilopus liui", "Amblypsilopus nigricercus", "Amblypsilopus setosus", "Amblypsilopus ventralis", "Amblypsilopus flavellus", "Stanhopea bueraremensis", "Oligaphorura pseudomontana", "Micraphorura changbaiensis", "Phragmataecia monika", "Patoptoformis rimsaite", "Stanhopea deltoidea", "Stanhopea madouxiana", "Tipula recondita", "Panaspis cabindae", "Namibiana rostrata", "Stanhopea marizaiana", "Stanhopea moliana", "Stanhopea napoensis", "Liatris \u00d7 weaveri", "Stanhopea nicaraguensis", "Stanhopea novogaliciana", "Stanhopea tolimensis", "Dianthus multiaffinis", "Dianthus multisquameus", "Hyperphyscia confusa", "Leptosciarella scutellata", "Dianthus monspessulanus", "Dianthus subacaulis", "Dianthus sylvestris", "Dianthus tripunctatus", "Dianthus webbianus", "Dianthus fruticosus", "Dianthus szowitsianus", "Dianthus caespitosus", "Dianthus elatus", "Dianthus nitidus", "Dianthus ramosissimus", "Dianthus repens", "Dianthus scardicus", "Dianthus seguieri", "Dianthus turkestanicus", "Dianthus acicularis", "Dianthus hoeltzeri", "Dianthus kuschakewiczii", "Dianthus pygmaeus", "Dianthus squarrosus", "Dianthus angrenicus", "Dianthus angulatus", "Dianthus arrostii", "Dianthus austroiranicus", "Dianthus awaricus", "Dianthus aydogdui", "Dianthus azkurensis", "Podanotum glorissimum", "Phragmataecia andarana", "Phragmataecia anikini", "Phragmataecia brunni", "Phragmataecia cinnamomea", "Deudorix kessuma", "Phragmataecia furia", "Phragmataecia geisha", "Gamelia centralis", "Deudorix kessuma clearchus", "Deudorix kessuma deliochus", "Deudorix kessuma kessuma", "Halobates sericeus", "Deudorix kessuma throana", "Liatris sect.", "Liatris sect.", "Liatris sect.", "Liatris ser.", "Liatris ser.", "Charaxes mars", "Liatris ser.", "Liatris ser.", "Liatris ser.", "Liatris sect.", "Deudorix perse", "Liatris \u00d7 steelei", "Leptosciarella rotunda", "Stanhopea anfracta", "Stanhopea annulata", "Stanhopea avicula", "Stanhopea cirrhata", "Stanhopea candida", "Notobatrachus reigi", "Parmelinella cinerascens", "Dianthus balansae", "Dianthus balbisii", "Dianthus banaticus", "Dianthus basianicus", "Dianthus basuticus", "Dianthus behriorum", "Dianthus bessarabicus", "Dianthus bicolor", "Dianthus binaludensis", "Dianthus bolusii", "Dianthus borbasii", "Hapaloptyx difficilis", "Dianthus brevipetalus", "Dianthus brutius", "Dianthus burchellii", "Dianthus cachemiricus", "Dianthus canescens", "Dianthus carbonatus", "Dianthus charadzeae", "Dianthus chimanimaniensis", "Dianthus ciliatus", "Dianthus cintranus", "Dianthus corymbosus", "Dianthus costae", "Dianthus crenatus", "Dianthus cribrarius", "Dianthus crossopetalus", "Chirostylus sandyi", "Dianthus cyprius", "Puttea exsequens", "Protomunida pentacantha", "Torbenella calvata", "Torbenella insolita", "Torbenella orbis", "Sadayoshia inermis", "Sadayoshia latisternata", "Dianthus daghestanicus", "Dianthus darvazicus", "Dianthus debrogensis", "Dianthus denaicus", "Dianthus deserti", "Dianthus desideratus", "Dianthus dilepis", "Dianthus caucaseus", "Uroptychodes babai", "Dianthus diutinus", "Dianthus diversifolius", "Dianthus dmanissianus", "Dianthus elbrusense", "Uroptychus cartesi", "Dianthus elymaiticus", "Dianthus engleri", "Dianthus erythrocoleus", "Dianthus eugeniae", "Dianthus excelsus", "Dianthus falconeri", "Dianthus ferrugineus", "Dianthus floribundus", "Dianthus formanekii", "Dianthus fragrans", "Lauriea siagiani", "Lauriea gardineri", "Dianthus giganteiformis", "Dianthus grossheimii", "Dianthus guessfeldtianus", "Dianthus guttatus", "Dianthus hafezii", "Dianthus harrissii", "Dianthus helenae", "Dianthus henteri", "Dianthus hispanicus", "Dianthus holopetalus", "Dianthus humilis", "Dianthus hymenolepis", "Dianthus hypanicus", "Dianthus hyrcanicus", "Dianthus imereticus", "Dianthus jacobsii", "Dianthus jacquemontii", "Dianthus japonicus", "Dianthus jaroslavii", "Dianthus juniperinus", "Dianthus juzeptchukii", "Dianthus zeyheri", "Dianthus xylorrhizus", "Dianthus vulturius", "Dianthus volgicus", "Dianthus vladimiri", "Dianthus viscidus", "Dianthus viridescens", "Dianthus vigoi", "Simopone amana", "Bactrocera tryoni", "Litoria flavipunctata", "Dianthus kamisbergensis", "Dianthus kapinaensis", "Dianthus karami", "Dianthus karataviensis", "Dianthus ketzkhovelii", "Dianthus kirghizicus", "Dianthus kiusianus", "Dianthus kubanensis", "Dianthus kusnezovii", "Dianthus laingsburgensis", "Dianthus lanceolatus", "Dianthus langeanus", "Dianthus laricifolius", "Dianthus lenkoranicus", "Dianthus leptoloma", "Dianthus leucophoeniceus", "Dianthus lindbergii", "Dianthus littorosus", "Dianthus longiglumis", "Dianthus longivaginatus", "Dianthus lumnitzeri", "Dianthus lusitanus", "Dianthus macranthoides", "Dianthus marschallii", "Dianthus martuniensis", "Dianthus masmenaeus", "Dianthus mazanderanicus", "Dianthus membranaceus", "Dianthus mercurii", "Dianthus micropetalus", "Dianthus minimus", "Dianthus moesiacus", "Dianthus monadelphus", "Dianthus mooiensis", "Dianthus mossanus", "Sadayoshia tenuirostris", "Sadayoshia lipkei", "Sadayoshia miyakei", "Raymunida vittata", "Raymunida bellior", "Raymunida cagnetei", "Raymunida confundens", "Raymunida dextralis", "Raymunida elegantissima", "Raymunida erythrina", "Raymunida formosanus", "Raymunida insulata", "Raymunida limbata", "Raymunida lineata", "Dianthus muschianus", "Dianthus namaensis", "Dianthus nangarharicus", "Dianthus oschtenicus", "Dianthus paghmanicus", "Dianthus palinensis", "Dianthus pamiralaicus", "Dianthus pancicii", "Dianthus patentisquameus", "Dianthus pelviformis", "Dianthus pendulus", "Dianthus persicus", "Dianthus platyodon", "Dianthus polylepis", "Dianthus polymorphus", "Dianthus pratensis", "Dianthus pseudarmeria", "Dianthus purpureimaculatus", "Dianthus pyrenaicus", "Dianthus raddeanus", "Dianthus recognitus", "Dianthus rehmannii", "Dianthus rigidus", "Dianthus rudbaricus", "Dianthus ruprechtii", "Dianthus sahandicus", "Dianthus scaber", "Dianthus schemaschensis", "Dianthus seidlitzii", "Dianthus semenovii", "Dianthus seravschanicus", "Dianthus serratifolius", "Dianthus serrulatus", "Dianthus sessiliflorus", "Dianthus setisquameus", "Dianthus shemaschensis", "Dianthus shinanensis", "Dianthus simulans", "Dianthus sinaicus", "Dianthus soongoricus", "Dianthus sphacioticus", "Dianthus stamatiadae", "Dianthus stapfii", "Dianthus stenocephalus", "Dianthus stenopetalus", "Dianthus sternbergii", "Dianthus stramineus", "Munida ampliantennulata", "Tanipone aglandula", "Tanipone aversa", "Tanipone cognata", "Tanipone hirsuta", "Tanipone maculata", "Tanipone pilosa", "Munida lipkeholthuisi", "Tanipone scelesta", "Tanipone subpilosa", "Munida caeli", "Tanipone varia", "Munida acola", "Tanipone zona", "Munida clevai", "Munida jubata", "Munida mica", "Munida pauxilla", "Munida squarrosa", "Munida lailai", "Munida mendagnai", "Munida oblongata", "Munida lanciaria", "Munida macphersoni", "Munida barbeti", "Vicinopone conciliatrix", "Munida osawai", "Simopone annettae", "Simopone brunnea", "Simopone conradti", "Agononida isabelensis", "Agononida cerovensis", "Phragmataecia fusca", "Phragmataecia fuscifusa", "Phragmataecia hummeli", "Phragmataecia innominata", "Phragmataecia irrorata", "Phragmataecia itremo", "Phragmataecia longivitta", "Phragmataecia minima", "Phragmataecia minor", "Phragmataecia okovangae", "Phragmataecia pectinicornis", "Phragmataecia pelostema", "Phragmataecia psyche", "Phragmataecia purpurens", "Phragmataecia pygmaea", "Phragmataecia saccharum", "Leptosciarella subpilosa", "Stanhopea grandiflora", "Trichosia subelegans", "Leptosciarella subspinulosa", "Rhododendron degronianum subsp. heptamerum", "Platypodia delli", "Xanthias dawsoni", "Actumnus griffini", "Caphyra acheronae", "Charybdis japonica", "Phragmataecia sericeata", "Phragmataecia sumatrensis", "Phragmataecia terebrifer", "Cyanosesia ormosiae", "Lecania croatica", "Lamellisphecia xerampelina", "Rectala asyliformis", "Rectala magnifica", "Dianthus \u00d7 roysii", "Dianthus \u00d7 hellwigii", "Dianthus \u00d7 courtoisii", "Dianthus \u00d7 allwoodii", "Scoliciosporum perpusillum", "Dianthus uzbekistanicus", "Dianthus uralensis", "Dianthus uniflorus", "Dianthus ugamicus", "Dianthus tymphresteus", "Dianthus trifasciculatus", "Dianthus transvaalensis", "Dianthus transcaucasicus", "Dianthus toletanus", "Dianthus tlaratensis", "Dianthus tichomirovii", "Dianthus thunbergii", "Dianthus tesquicola", "Dianthus tenuiflorus", "Dianthus talyschensis", "Dianthus tabrisianus", "Dianthus \u00d7 cincinnatus", "Dianthus subulosus", "Dianthus subscabridus", "Dianthus subaphyllus", "Dianthus strymonis", "Dianthus strumarius", "Fissurina srilankensis", "Simopone dryas", "Simopone fulvinodis", "Graphis allugallenensis", "Simopone grandis", "Simopone laevissima", "Simopone latiscapa", "Simopone marleyi", "Simopone matthiasi", "Simopone miniflava", "Simopone persculpta", "Simopone rabula", "Simopone schoutedeni", "Simopone vepres", "Simopone wilburi", "Simopone consimilis", "Stanhopea connata", "Stanhopea dodsoniana", "Stanhopea ecornuta", "Eremomastax speciosa", "Graphis dotalugalensis", "Graphis knucklensis", "Graphis srilankensis", "Thelotrema pseudosimilans", "Hypogymnia dichroma", "Hypogymnia proteus", "Hypogymnia salsa", "Hypogymnia verruculosa", "Amphibolurus muricatus", "Amphibolurus nobbi", "Amphibolurus norrisi", "Diporiphora nobbi", "Diporiphora phaeospinosa", "Diporiphora australis", "Amphibolurus nobbi coggeri", "Amphibolurus nobbi nobbi", "Diporiphora linga", "Agononida aequabilis", "Podophyllum hexandrum", "Sciara bilineata", "Sciara obscuripennis", "Sciara inhonesta", "Sciara interrupta", "Rhododendron \u00d7 holmbaense", "Diplazium arnottii", "Diplazium cristatum", "Diplazium esculentum", "Diplazium expansum", "Diplazium grammitoides", "Diplazium l'herminieri", "Diplazium molokaiense", "Diplazium polypodioides", "Diplazium proliferum", "Ensete glaucum", "Ensete perrieri", "Epilobium collinum", "Laricobius danielae", "Epilobium denticulatum", "Epilobium glaucum", "Charybdis yaldwyni", "Charybdis curtilobus", "Charybdis callianassa", "Monatractides novaeguinea", "Monatractides abepurus", "Monatractides alticolus", "Monatractides bionus", "Monatractides humilis", "Monatractides nipsanicus", "Monatractides papuensis", "Monatractides sahuli", "Monatractides sentanicus", "Monatractides gledhilli", "Monatractides fontinalis", "Monatractides harveyi", "Monatractides ironicus", "Monatractides polypapillatus", "Monatractides australicus", "Monatractides circuloides", "Monatractides neoapratima", "Monatractides kyphophorus", "Monatractides parviventris", "Monatractides longiventris", "Monatractides oxystomus", "Exbucklandia populnea", "Mytilaria laosensis", "Dicoryphe viticoides", "Peltoscytus klysi", "Peltoscytus samoanus", "Haplotaxis heterogyne", "Haplotaxis gordioides", "Damas horridus", "Papias projectus", "Enosis dognini", "Pinus radiata var. binata", "Pinus radiata var. radiata", "Elachista bassii", "Georissus smetanai", "Agononida alisae", "Agononida analoga", "Agononida andrewi", "Agononida callirrhoe", "Agononida eminens", "Agononida emphereia", "Agononida fortiantennata", "Agononida garciai", "Agononida imitata", "Agononida incerta", "Agononida laurentae", "Agononida longipes", "Agononida longispinata", "Agononida marini", "Agononida nielbrucei", "Agononida normani", "Agononida ocyrhoe", "Agononida pilosimanus", "Agononida procera", "Agononida prolixa", "Agononida sabatesae", "Agononida schroederi", "Agononida similis", "Agononida variabilis", "Agononida tenuipes", "Agononida squamosa", "Agononida spinicordata", "Agononida sphecia", "Agononida soelae", "Agononida simillima", "Simopone dignita", "Simopone dux", "Simopone elegans", "Simopone emeryi", "Simopone fera", "Simopone grandidieri", "Simopone inculta", "Simopone mayri", "Simopone merita", "Simopone nonnihil", "Simopone rex", "Simopone sicaria", "Simopone silens", "Simopone trita", "Simopone victrix", "Simopone bakeri", "Simopone chapmani", "Simopone gressitti", "Simopone oculata", "Simopone occulta", "Cervimunida princeps", "Cervimunida johni", "Gyalidea fuscoclavata", "Cerapachys aberrans", "Rhododendron \u00d7 shilsonii", "Rhododendron subsect.", "Parvocythere japonica", "Strobilurus esculentus", "Hemiparvocythere lagunicola", "Ammothea uru", "Ammothea makara", "Ammothea adunca", "Ammothea gordonae", "Vulpes hassani", "Orochlesis bryani", "Orochlesis cornuta", "Orochlesis gibbera", "Orochlesis lunata", "Orochlesis nigra", "Orochlesis vitticollis", "Orochlesis conspersa", "Eupolybothrus andreevi", "Rhododendron subsect.", "Amandinea diorista var. diorista", "Roynortonia vietnamica", "Amandinea diorista var. hypopelidna", "Rhododendron \u00d7 cavronii", "Rhododendron \u00d7 cunninghamii", "Deudorix masamichii", "Automeris mideloretensis", "Automeris montegabriella", "Automeris junogabriellae", "Deudorix smilis silo", "Automeris miamazonica", "Deudorix smilis sylvia", "Deudorix smilis vocetius", "Leptosciarella subviatica", "Leptosciarella truncata", "Leptosciarella viatica", "Stanhopea graveolens", "Deudorix subguttata", "Deudorix subguttata subguttata", "Sciara proxima", "Deudorix subguttata malaya", "Pamela dudgeonii", "Disanthus cercidifolius", "Dirphia avibarinasensis", "Hypermerina rubrojunensis", "Epinotia nigristriana", "Epinotia coryli", "Epinotia corylana", "Epinotia densiuncaria", "Epinotia digitana", "Epinotia dorsifraga", "Epinotia ethnica", "Epinotia evidens", "Epinotia fujisawai", "Epinotia fumoviridana", "Paralola buresi", "Balkanopetalum rhodopinum", "Troglohyphantes drenskii", "Parastenocaris bulgarica", "Pseudamnicola codreanui", "Sphecodoptera repanda", "Rhododendron \u00d7 edmondii", "Clavisphecia pugnax", "Clavisphecia chrysoptera", "Trichromia quadricolor", "Rhododendron \u00d7 barclayi", "Epilobium hornemannii", "Epilobium lactiflorum", "Epilobium minutiflorum", "Epilobium densiflorum", "Epilobium minutum", "Epilobium torreyi", "Epilobium valdiviense", "Munida consobrina", "Munida maculata", "Munida megalophthalma", "Munida multilineata", "Cerapachys adamus", "Munida paucistria", "Munida vicina", "Munida solitaria", "Munida squamifera", "Munida trigonocornus", "Munida honshuensis", "Munida japonica", "Munida munin", "Munida olivarae", "Munida ommata", "Munida parvioculata", "Munida rufiantennulata", "Munida pectinata", "Munida tiresias", "Munida disiunctus", "Munida koyo", "Munida longinquus", "Rhododendron yakushimanum", "Stanhopea embreei", "Stanhopea florida", "Stanhopea frymirei", "Stanhopea gibbosa", "Leptosciarella subcoarctata", "Malus sect.", "Malus sect.", "Limnesia rubra", "Pseudopostega kempella", "Pseudopostega microlepta", "Pseudopostega monosperma", "Georissus chameleo", "Distyliopsis dunnii", "Distylium racemosum", "Maingaya malayana", "Parrotiopsis jacquemontiana", "Teratocephalus angustus", "Teratocephalus annulatus", "Teratocephalus bisexualis", "Teratocephalus cornutus", "Teratocephalus brevicaudatus", "Ciulfina baldersoni", "Tilapia konkourensis", "Ciulfina rentzi", "Ciulfina biseriata", "Lates lakdiva", "Lates uwisara", "Ciulfina liturgusa", "Sudesna circularis", "Branchiostoma longirostrum", "Rhododendron subsect.", "Orycteropus djourabensis", "Rhododendron \u00d7 valpinense", "Orycteropus abundulafus", "Rhododendron benhallii", "Mitella diphylla", "Mitella nuda", "Mitella pentandra", "Mitella stauropetala", "Mitella trifida", "Mukdenia rossii", "Circaeaster agrestis", "Paradonea presleyi", "Boquila trifoliata", "Lardizabala biternata", "Sinofranchetia chinensis", "Sargentodoxa cuneata", "Envia moleque", "Micromygale diblemma", "Microstigmata amatola", "Catocala elocata", "Ophiocaryon heterophyllum", "Sabia pauciflora", "Alphonsea lutea", "Anaxagorea acuminata", "Anaxagorea brevipes", "Anaxagorea dolichocarpa", "Annickia affinis", "Annickia chlorantha", "Annickia polycarpa", "Malus baccata var. baccata", "Cleistochlamys kirkii", "Cleistopholis glauca", "Cleistopholis patens", "Cymbopetalum penduliflorum", "Microlithosia decreta", "Malus sect.", "Trichosia acrotricha", "Trichosia basdeni", "Trichosia bicolorata", "Schoenorchis gemmata", "Deudorix epijarbas armstrongi", "Deudorix epijarbas doris", "Deudorix viridens", "Deudorix affinis", "Parapercis pariomaculata", "Helminthope psammobionta", "Dermatobranchus rubidus", "Epidromia rotundata", "Epidromia conspersata", "Epidromia poaphiloides", "Epidromia zephyritis", "Epidromia xanthogramma", "Epidromia profana", "Epidromia flavilineata", "Epidromia glaucescens", "Epidromia lenis", "Epidromia antica", "Epidromia arenosa", "Epidromia pedestris", "Epidromia profecta", "Epidromia saturatior", "Epidromia sigillata", "Epidromia suffusa", "Epidromia tinctifera", "Prosoparia anormalis", "Medusandra richardsiana", "Boykinia occidentalis", "Boykinia richardsonii", "Leptarrhena pyrolifolia", "Lithophragma affine", "Lithophragma glabrum", "Lithophragma maximum", "Aelurillus catus", "Cattleya longipes", "Leptosciarella lobodentata", "Leptosciarella subdentata", "Leptosciarella tuberculigera", "Leptosciarella sinica", "Leptosciarella ampullocera", "Leptosciarella bipalpata", "Leptosciarella macroabdominalis", "Leptosciarella virgatoalata", "Leptosciarella elongatula", "Leptosciarella incomposita", "Orycteropus browni", "Orycteropus chemeldoi", "Orycteropus crassidens", "Orycteropus depereti", "Orycteropus gaudryi", "Orycteropus mauritanicus", "Orycteropus minutus", "Orycteropus pilgrimi", "Orycteropus pottieri", "Orycteropus seni", "Amphiorycteropus abundulafus", "Amphiorycteropus browni", "Amphiorycteropus depereti", "Amphiorycteropus gaudryi", "Amphiorycteropus mauritanicus", "Amphiorycteropus pottieri", "Amphiorycteropus seni", "Rhodoleia championii", "Itea chinensis", "Itea ilicifolia", "Itea japonica", "Itea oldhamii", "Itea parviflora", "Itea virginica", "Itea yunnanensis", "Penthorum sedoides", "Peridiscus lucidus", "Triops baeticus", "Epidromia pannosa", "Microstigmata geophila", "Catocala promissa", "Catocala sponsa", "Atteva aurata", "Atteva niveigutta", "Tetramelas insignis", "Microstigmata lawrencei", "Microstigmata longipes", "Arabis flaviflora", "Pseudopostega euryntis", "Xanthorhiza simplicissima", "Myosurus apetalus", "Myosurus aristatus", "Myosurus cupulatus", "Myosurus minimus", "Rhododendron rupicola var. chryseum", "Meliosma dilleniifolia", "Meliosma myriantha", "Meliosma pinnata", "Meliosma simplicifolia", "Meliosma sumatrana", "Meliosma veitchiorum", "Cirsium oleraceum", "Pseudopostega nonstrigella", "Pseudopostega paromias", "Pseudopostega perdigna", "Pseudopostega pexa", "Pseudopostega pontifex", "Pseudopostega protomochla", "Pseudopostega pumila", "Pseudopostega quadristrigella", "Pseudopostega sacculata", "Pseudopostega saltatrix", "Pseudopostega trinidadensis", "Pseudopostega venticola", "Neopostega longispina", "Neopostega falcata", "Neopostega asymmetra", "Neopostega petila", "Neopostega distola", "Pseudopostega rotunda", "Pseudopostega ovatula", "Tulipa orphanidea", "Phyllonorycter blancardella", "Omphaliaster asterosporus", "Malus sect.", "Sciarosoma nigriclava", "Malus sect.", "Limnesia diploseta", "Limnesia hirtigenitalia", "Limnesia turgeotrochanter", "Limnesia megaseta", "Limnesia longiseta", "Limnesia papuensis", "Limnosia pseudopatens", "Acochlidium fijiense", "Acochlidium fijiensis", "Acochlidium bayerfehlmanni", "Acochlidium weberi", "Palliohedyle sutteri", "Pontohedyle verrucosa", "Bathocyroe longigula", "Microstigmata ukhahlamba", "Microstigmata zuluensis", "Ministigmata minuta", "Pseudonemesia parva", "Pseudonemesia kochalkai", "Spelocteniza ashmolei", "Xenonemesia platensis", "Xenonemesia otti", "Xenonemesia araucaria", "Durvillaea poha", "Acochlidium amboinense", "Flabellina amabilis", "Okenia aspersa", "Okenia mediterranea", "Flabellina riwo", "Pseudodirphia undulata", "Pseudodirphia theodorici", "Pseudodirphia birejunensis", "Flabellina exoptata", "Flabellina delicata", "Pseudodirphia birepascoensis", "Pseudodirphia biremis", "Flabellina bilas", "Flabellina rubropurpurata", "Pseudodirphia obhuanucensis", "Pseudodirphia obmartiana", "Tritonia incerta", "Ammoconia aholai", "Epidromia lienaris", "Sinowilsonia henryi", "Sycopsis sinensis", "Trichocladus ellipticus", "Dirphia aviluisiana", "Dirphia avichoco", "Dirphia aviurica", "Dirphia avinapoana", "Dirphia allae", "Dirphia aviboliviana", "Dirphia avialtoparanensis", "Dirphia avia", "Dirphia muscosa", "Dirphia cadioui", "Dirphia curitiba", "Dirphia triangulum", "Dirphia dentimaculata", "Dirphia nora", "Dirphia winbrechlini", "Dirphia amazhorca", "Dirphia riojhorca", "Dirphia tolimafurca", "Dirphia apeggyae", "Pignus lautissimum", "Pignus pongola", "Dirphia pastazana", "Dirphia aculecuatoriana", "Pignus simoni", "Dirphia fabiani", "Dirphia schmiti", "Dirphia lapaziana", "Dirphia aculea", "Dirphia carimaguensis", "Dirphia centralis", "Dirphia crassifurca", "Dirphia panamensis", "Dirphia somniculosa", "Dirphia tarquinia", "Dirphia centrifurca", "Dirphia lichyi", "Dirphia mielkeorum", "Dirphia subhorca", "Pseudodirphia nicjunensis", "Pseudodirphia nicamazonica", "Leptosciarella viaticella", "Leptosciarella yerburyi", "Leptosciarella atricha", "Leptosciarella dentata", "Eupithecia landryi", "Eupithecia yubitzae", "Carbonemys cofrinii", "Malus sect.", "Schoenorchis fragrans", "Schoenorchis juncifolia", "Schoenorchis sarcophylla", "Trichosia calcarata", "Trichosia confusa", "Dorcadion axillare", "Deeringothamnus pulchellus", "Deeringothamnus rugelii", "Neactaeonina argentina", "Maxacteon cratericulatus", "Desmos chinensis", "Duguetia barteri", "Duguetia confinis", "Tritonia flemingi", "Pseudodirphia obecuatoriana", "Pseudodirphia obguayana", "Pseudodirphia obbeniana", "Pseudodirphia bolivaria", "Pseudodirphia draudtioides", "Pseudodirphia varia", "Pseudodirphia draudti", "Pseudodirphia benicola", "Pseudodirphia andicoloides", "Pseudodirphia parfuscata", "Pseudodirphia napola", "Pseudodirphia zamorcola", "Pseudodirphia pascola", "Pseudodirphia dioscola", "Pseudodirphia andicola", "Pseudodirphia infuscata", "Pseudodirphia herbuloti", "Pseudodirphia cupripuncta", "Pseudodirphia alticola", "Pseudodirphia sanctmartinensis", "Pseudodirphia uniseptentrionalis", "Neopostega nigrita", "Theope pierreli", "Theope klagesi", "Euselasia uria", "Euselasia uria uria", "Euselasia uria angustifascia", "Euselasia uria amapaena", "Palearctia erschoffii erschoffii", "Palearctia erschoffii arcana", "Palearctia erschoffii miranda", "Malus sect.", "Prosoparia perfuscaria", "Prosoparia floridana", "Virbia fergusoni", "Virbia rindgei", "Acanthogonatus ericae", "Stenoterommata arnolisei", "Stenoterommata grimpa", "Stenoterommata curiy", "Katha nankunshanica", "Microlithosia nanlingica", "Duguetia furfuracea", "Duguetia lanceolata", "Duguetia lepidota", "Duguetia marcgraviana", "Duguetia phaeoclados", "Duguetia staudtii", "Duguetia stenantha", "Bullina lineata", "Fusaea longifolia", "Meiogyne cylindrocarpa", "Oxandra lanceolata", "Oxandra laurifolia", "Popowia declina", "Porcelia ponderosa", "Porcelia venezuelensis", "Sapranthus microcarpus", "Stelechocarpus burahol", "Uvariopsis tripetala", "Xylopia aethiopica", "Xylopia aromatica", "Xylopia frutescens", "Xylopia quintasii", "Xylopia sericea", "Degeneria vitiensis", "Eupomatia bennettii", "Eupomatia laurina", "Bullina vitrea", "Rictaxiella choshiensis", "Rictaxiella debelius", "Rictaxiella joyae", "Parvulactaeon inusitata", "Pterolobium microphyllum", "Horsfieldia irya", "Iryanthera laevis", "Owadaglaea reta", "Owadaglaea kulmani", "Owadaglaea michelleae", "Owadaglaea dominiki", "Owadaglaea barna", "Owadaglaea triangulifera", "Owadaglaea expallida", "Owadaglaea hackeri", "Owadaglaea lucida", "Owadaglaea nigricomma", "Owadaglaea elongata", "Owadaglaea elongata elongata", "Owadaglaea elongata annamica", "Owadaglaea elongata siamica", "Owadaglaea lexuancanhi", "Owadaglaea hadasi", "Owadaglaea siddiquii", "Owadaglaea chloromixta", "Owadaglaea fuscopicta", "Owadaglaea yoshimotoi", "Owadaglaea moorei", "Owadaglaea nigriclava", "Owadaglaea reticulata", "Trichosia conglobata", "Trichosia controversa", "Trichosia flavicoxa", "Cyerce bourbonica", "Estagrotis plantei", "Pinellia pedatisecta", "Pinellia ternata", "Culbersonia americana", "Colletogyne perrieri", "Philovenator curriei", "Schoenorchis aurea", "Schoenorchis brevirachis", "Schoenorchis buddleiflora", "Schoenorchis endertii", "Schoenorchis jerdoniana", "Schoenorchis manilaliana", "Schoenorchis micrantha", "Schoenorchis minutiflora", "Schoenorchis nivea", "Schoenorchis pachyacris", "Schoenorchis pachyglossa", "Schoenorchis paniculata", "Schoenorchis secundiflora", "Schoenorchis seidenfadenii", "Schoenorchis subulata", "Schoenorchis sumatrana", "Schoenorchis tixieri", "Schoenorchis tortifolia", "Schoenorchis vanoverberghii", "Elachista saarelai", "Malus spontanea", "Trichosia ghesquierei", "Trichosia glabra", "Trichosia gravitata", "Trichosia hypertricha", "Trichosia jenkinsoni", "Trichosia longisetosa", "Polycera janjukia", "Polycera parvula", "Polycera fujitai", "Polycera hedgpethi", "Hapaline benthamiana", "Jasarum steyermarkii", "Dermatobranchus albineus", "Dermatobranchus arminus", "Dermatobranchus caesitius", "Dermatobranchus caeruleomaculatus", "Dermatobranchus cymatilis", "Dermatobranchus dendronephthyphagus", "Dermatobranchus diagonalis", "Dermatobranchus earlei", "Dermatobranchus fasciatus", "Dermatobranchus funiculus", "Dermatobranchus kalyptos", "Dermatobranchus kokonas", "Dermatobranchus leoni", "Dermatobranchus microphallus", "Dermatobranchus oculus", "Dermatobranchus phyllodes", "Dermatobranchus piperoides", "Dermatobranchus tuberculatus", "Dermatobranchus rodmani", "Dermatobranchus semilunus", "Jason mirabilis", "Janolus eximius", "Janolus ignis", "Janolus mokohinau", "Janolus novozealandicus", "Elysia maoria", "Philanisus plebeius", "Ercolania felina", "Giardia lamblia", "Tetracheilostoma carlae", "Placida dendritica", "Elysia bennettae", "Acteon mirim", "Elysia cornigera", "Hydatina albocincta", "Hydatina exquisita", "Hydatina montillai", "Hydatina vesicaria", "Hydatina zonata", "Adesmus nigrolineatus", "Adesmus moruna", "Adesmus facetus", "Adesmus acanga", "Adesmus acangauna", "Adesmus windsori", "Adesmus hovorei", "Adesmus nevisi", "Adesmus divus", "Micromelo undatus", "Philine fenestra", "Philine paucipapillata", "Philine puka", "Philine sarcophaga", "Philine alboides", "Philine aperta", "Philinorbis albus", "Philine angasi", "Philine auriformis", "Philine babai", "Philine elegans", "Philine habei", "Philine infundibulum", "Philine orientalis", "Philine quadripartita", "Philine constricta", "Philine powelli", "Philine umbilicata", "Ragactaeon angulosa", "Ragactaeon paucisulcata", "Ragactaeon spiralosulcata", "Himalistra nekrasovi", "Himalistra extera", "Himalistra arcessita", "Sarcoptilus bollonsi", "Bornella dotoides", "Bornella pele", "Bornella valdae", "Bornella johnsonorum", "Cerberilla chavezi", "Cerberilla ambonensis", "Cerberilla potiguara", "Cadlinella ornatissima", "Neomallocera opulenta", "Ceratosoma amoenum", "Protomallocera hilairei", "Ceratosoma amoena", "Championa chemsaki", "Chromodoris amoena", "Stizocera suturalis", "Atlides browni browni", "Cadlina boscai", "Pseudolucia andina", "Pseudolucia asafi", "Pseudolucia avishai", "Pseudolucia magellana", "Pseudolucia talia", "Pseudolucia penai", "Pseudolucia aureliana", "Pseudolucia zina", "Pseudolucia whitakeri", "Scaphispatha gracilis", "Thecacera pennigera", "Plocamopherus imperialis", "Kaloplocamus ramosus", "Phidiana pegasus", "Phoebemima albomaculata", "Corcovado bezarki", "Piruanycha pitilla", "Canarana arguta", "Alampyris fusca", "Cariua sulphurea", "Ipepo dilatatus", "Neomenia naevata", "Scaeosopha percnaula", "Scaeosopha sinevi", "Scaeosopha pseusta", "Scaeosopha betrokensis", "Scaeosopha erecta", "Scaeosopha hongkongensis", "Doriopsilla nigrocera", "Goniobranchus cavae", "Bullina bruguierei", "Bullina callizona", "Bullina deshayesii", "Bullina exquisita", "Bullina lauta", "Bullina melior", "Bullina nobilis", "Bullina oblonga", "Bullina rubeopunctata", "Bullina rubropunctata", "Bullina torrei", "Bullina virgo", "Bullina tuncatula", "Sulcoactaeon zealatus", "Bullina zealata", "Sulcoactaeon bojarkensis", "Sulcoactaeon uralicus", "Sulcoactaeon timanicus", "Sulcoactaeon rantera", "Sulcoactaeon wawalensis", "Sulcoactaeon polonicus", "Sulcoactaeon raresculpta", "Sulcoactaeon erratica", "Sulcoactaeon tenuistriatus", "Sulcoactaeon albineus", "Sulcoactaeon bellireticulatus", "Sulcoactaeon bertrandi", "Sulcoactaeon canalicularis", "Sulcoactaeon elatior", "Sulcoactaeon grayensis", "Sulcoactaeon laevis", "Sulcoactaeon marginatus", "Sulcoactaeon minimus", "Sulcoactaeon nereiformis", "Sulcoactaeon viadrinus", "Parvulactaeon spiralocostata", "Parvulactaeon sulcata", "Biarum bovei", "Eminium lehmannii", "Hatteria viridis", "Scythris tridentata", "Scythris pelinaula", "Atrytonopsis austinorum", "Dalla austini", "Eretis artorius", "Geranium palustre", "Parapercis sagma", "Parapercis bimacula", "Parasphaerion granulosum", "Mephritus quadrimaculatus", "Parambassis bistigmata", "Mephritus fraterculus", "Mephritus castaneus", "Glyptothorax fucatus", "Glyptothorax granosus", "Trochusinus aepea", "Trochusinus balzabamba", "Abia semenoviana", "Cadlina tasmanica", "Cadlina nigrobranchiata", "Cadlina georgiensis", "Cadlina abyssicola", "Cadlina affinis", "Cadlina dubia", "Cadlina excavata", "Cadlina flavomaculata", "Cadlina glabra", "Cadlina japonica", "Cadlina kerguelensis", "Cadlina laevis", "Cadlina limbaughorum", "Cadlina luarna", "Cadlina luteomarginata", "Cadlina magellanica", "Cadlina modesta", "Cadlina pacifica", "Cadlina pellucida", "Cadlina rumia", "Cadlina scabriuscula", "Cadlina sparsa", "Smitinandia helferi", "Smitinandia selebensis", "Morphaneflus prolixus", "Amethysphaerion eximium", "Amethysphaerion jocosum", "Amethysphaerion submetallicum", "Amethysphaerion trinidadensis", "Aposphaerion punctulatum", "Cyprinodon diabolis", "Deudorix livia", "Geitodoris sticta", "Atagema molesta", "Jorunna ramicola", "Jorunna osae", "Jorunna tempisquensis", "Jorunna pantherina", "Paradoris dubia", "Pilisphaerion exoticum", "Adiposphaerion rubrum", "Minipsyrassa guanabarina", "Caldukia affinis", "Caldukia albolineata", "Caldukia rubiginosa", "Chalcosoma caucasus", "Chalcosoma moellenkampi", "Chalcosoma engganensis", "Polycera marplatensis", "Aphelodoris gigas", "Aphelodoris karpa", "Dendrodoris maugeana", "Dendrodoris citrina", "Dendrodoris nigra", "Dendrodoris krusensternii", "Lyctus kosciuszkoi", "Lyctus carbonarius", "Lyctus africanus", "Lyctus tomentosus", "Pogonia trinervia", "Pogonia yunnanensis", "Pogonia ophioglossoides", "Cteniloricaria platystoma", "Harttiella crassicauda", "Argyropelecus aculeatus", "Ecsenius lineatus", "Cattleya lueddemanniana", "Pseudolucia hazearum", "Pseudolucia clarea", "Pseudolucia annamaria", "Pseudolucia tamara", "Pseudolucia shapiroi", "Pseudolucia humbert", "Pseudolucia benyamini", "Pseudolucia vera", "Pseudolucia charlotte", "Pseudolucia neuqueniensis", "Pseudolucia lanin", "Pseudolucia parana", "Pseudolucia scintilla", "Pseudolucia chilensis", "Pseudolucia collina", "Pseudolucia grata", "Pseudolucia patago", "Pseudolucia plumbea", "Pseudolucia argentina", "Pseudolucia oligocyanea", "Taenia saginata", "Pseudolucia sibylla", "Taenia pisiformis", "Taenia crassiceps", "Acentrogobius cenderawasih", "Amblyglyphidodon flavopurpureus", "Amblyglyphidodon silolona", "Aspasmichthys alorensis", "Pseudolucia ugartei", "Pseudolucia oraria", "Pseudolucia henyah", "Pseudolucia arauco", "Pseudolucia kechico", "Pseudolucia dubi", "Pseudolucia barrigai", "Centaurea achtarovii", "Pseudolucia faundezi", "Centaurea saxicola", "Pseudolucia johnsoni", "Pseudolucia luzmaria", "Gocea ohridana", "Pseudolucia munozae", "Pseudolucia zoellneri", "Pseudolucia sigal", "Pseudolucia valentina", "Pseudolucia jujuyensis", "Mithras oroanna", "Smitinandia micrantha", "Melphina maximiliani", "Harttia fluminensis", "Harttia tuna", "Harttiella intermedia", "Harttiella janmoli", "Harttiella longicauda", "Harttiella lucifer", "Harttiella parva", "Harttiella pilosa", "Panaqolus koko", "Peckoltia capitulata", "Peckoltia otali", "Peckoltia simulata", "Cyphocharax biocellatus", "Bidessodes zimmermanni", "Pogonia japonica", "Pogonia minor", "Bidessus plicatus", "Hallaxa gilva", "Galeojanolus ionnae", "Sphaerioeme rubristerna", "Apoclausirion nigricorne", "Trinchesia sibogae", "Estolomimus apicale", "Estolomimus distinctus", "Estolomimus solidus", "Estolomimus curtus", "Trapania bonellenae", "Estolomimus marmoratus", "Estolomimus pulvereus", "Trapania safracornia", "Euproctis pulchella", "Aspasmichthys ciconiae", "Antoculeora wukongensis", "Cirrhilabrus humanni", "Forcipiger wanai", "Bembecia albanensis", "Grallenia baliensis", "Bembecia albanensis albanensis", "Bembecia albanensis kalavrytana", "Bembecia albanensis tunetana", "Bembecia albanensis garganica", "Iniistius naevus", "Lepadichthys akiko", "Neoglyphidodon mitratus", "Ostorhinchus tricinctus", "Bembecia pamira", "Pentapodus komodoensis", "Pseudanthias mica", "Pseudocoris petila", "Pseudochromis tigrinus", "Ptereleotris caeruleomarginata", "Ptereleotris rubristigma", "Pteropsaron longipinnis", "Ecsenius namiyei", "Istiblennius edentulus", "Cattleya luetzelburgii", "Ophtalmoplon aurivillii", "Ophtalmoplon diversum", "Ophtalmoplon inerme", "Ophtalmoplon spinosum", "Ophtalmoplon impunctatum", "Ophtalmoplon simile", "Minibidion aquilonium", "Minibidion confine", "Minibidion punctipenne", "Ursus wenzensis", "Stiliger auarita", "Stiliger smaragdinus", "Phidiana milleri", "Trichomycterus perkos", "Chelidonura fulvipunctata", "Chelidonura inornata", "Pleurobranchus peroni", "Naegleria australiensis", "Naegleria clarki", "Naegleria lovaniensis", "Doto pita", "Doto alidrisi", "Doto caballa", "Scorpaenodes bathycolus", "Tomiyamichthys gomezi", "Scoparia dicteella", "Tomiyamichthys nudus", "Tryssogobius sarah", "Vanderhorstia wayag", "Scoparia manifestella", "Scoparia manifestella manifestella", "Scoparia manifestella italica", "Scoparia manifestella balcanica", "Pseudodirphia niceros", "Pseudodirphia agiyungana", "Pseudodirphia agidiosiana", "Euestola basidensepunctata", "Euestola fasciata", "Euestola basalis", "Euestola lineata", "Pseudestola densepunctata", "Piezophidion thoracicum", "Ampittia kilombero", "Satanoperca rhynchitis", "Andronymus fontainei", "Chondrolepis uluguru", "Chondrolepis ducarmei", "Cteniloricaria napova", "Acleros bobiri", "Meza gardineri", "Andronymus bjornstadi", "Artitropa usambarae", "Doto cristal", "Janolus anulatus", "Janolus chilensis", "Halgerda willeyi", "Aposphaerion unicolor", "Goniobranchus rufomaculatus", "Aetheibidion hirtellum", "Phyllodesmium magnum", "Pteraeolidia ianthina", "Phestilla melanobranchia", "Phestilla melanobrachia", "Caloria indica", "Phidiana indica", "Goniobranchus aureomarginatus", "Hypselodoris kaname", "Hoplodoris nodulosa", "Hoplodoris novaezelandiae", "Aphelodoris luctuosa", "Doris wellingtonensis", "Doris granulosa", "Doris nanula", "Doris violacea", "Borassus aethiopum", "Proscyllium habereri", "Narke japonica", "Rhodeus spinalis", "Hemitrygon bennettii", "Malus \u00d7 adstringens", "Malus \u00d7 eleyi", "Alchemilla jumrukczalica", "Malus \u00d7 gloriosa", "Malus \u00d7 denboeri", "Cattleya lundii", "Cattleya luteola", "Malus \u00d7 riversicarnea", "Strashila incredibilis", "Alloiodoris lanuginata", "Rostanga muscula", "Atagema carinata", "Bothus mancus", "Bothus pantherinus", "Tropidion vicinum", "Tropidion contortum", "Tropidion litigiosum", "Tropidion obesum", "Curculio elephas", "Megaphyllum beroni", "Tropidion pulvinum", "Tropidion cinctulum", "Tropidion personatum", "Tropidion pictipenne", "Oxytropis kozhuharovii", "Syringa tibetica", "Cattleya mantiqueirae", "Cattleya marcaliana", "Cattleya milleri", "Tropidion elegans", "Tropidion pusillum", "Tropidion persimile", "Tropidion semirufum", "Eubranchus agrius", "Tropidion erythrurum", "Eubranchus rubeolus", "Tropidion subcruciatum", "Tropidion signatum", "Tropidion signatum signatum", "Tropidion signatum punctatum", "Pseudovermis mortoni", "Fiona pinnata", "Maculabatis randalli", "Johnius majan", "Epigonus trunovi", "Cobitis amphilekta", "Platyberyx mauli", "Platyberyx opalescens", "Artystone trysibia", "Flabellina albomarginata", "Trinchesia reflexa", "Trinchesia scintillans", "Trinchesia zelandica", "Trinchesia alpha", "Trinchesia beta", "Cuthona alpha", "Trinchesia columbiana", "Babakina caprinsulensis", "Pseudovermis hancocki", "Vayssierea cinnabarea", "Okadaia cinnabarea", "Delia platura", "Delia urbana", "Tropidion atricolle", "Tropidion xanthocele", "Tropidion flavum", "Tropidion flavipenne", "Doto bella", "Tropidion intermedium", "Tropidion citrinum", "Tropidion enochrum", "Tropidion brunniceps", "Tropidion kjellanderi", "Tropidion balfourbrownei", "Tropidion acanthonotum", "Podapolipoides anacridii", "Podapolipoides yucatanensis", "Pleurolidia juliae", "Embletonia pulchra", "Opacibidion sulcicorne", "Opacibidion opacicolle", "Homaloidion pinacopterum", "Dendrodoris gemmacea", "Mirhipipteryx antillarum", "Ripipteryx mopana", "Orchis adenocheila", "Gearum brasiliense", "Spathantheum intermedium", "Psiloibidion leucogramma", "Diasporidion duplicatum", "Diasporidion argentinense", "Thoracibidion flavopictum", "Thoracibidion lineatocolle", "Thoracibidion insigne", "Glossodoris aeruginosa", "Crimora multidigitalis", "Okenia atkinsonorum", "Okenia mija", "Okenia pellucida", "Goniodoris castanea", "Goniodoris punctata", "Okenia felis", "Dendronotus gracilis", "Collodictyon sphaericum", "Minibidion bondari", "Minibidion basilare", "Minibidion minusculum", "Minibidion rurigena", "Minibidion argenteum", "Minibidion bicolor", "Anthemis regis-borisii", "Anthemis stribrnyi", "Anthemis rumelica", "Syringa pubescens subsp. microphylla", "Tropidion sipolisi", "Teulisna bipectinis", "Mengenilla moldrzyki", "Elaticarina recava", "Thoron metallicus", "Burnaia helicochorda", "Spurilla faustina", "Protaeolidiella juliae", "Baeolidia australis", "Berghia australis", "Berghia columbina", "Spurilla drusilla", "Protaeolidiella atra", "Anteaeolidiella indica", "Tropidion salamis", "Tropidion investitum", "Embletonia gracilis", "Tropidion igneicolle", "Embletonia gracile", "Tropidion flavipes", "Tropidion fairmairei", "Tropidion silvestre", "Tropidion inerme", "Tropidion centrale", "Tropidion hermione", "Tropidion calciope", "Tropidion abditum", "Tropidion supernotatum", "Tropidion bituberculatum", "Tropidion nordestinum", "Orchis mascula subsp. ichnusae", "Orchis mascula subsp. laxifloriformis", "Rajella lintea", "Trichosia morio", "Orchis mascula subsp. scopulorum", "Haroldius jechaer", "Ebalia humilis", "Ebalia jordani", "Ctenolepisma rothschildi", "Orchis mascula subsp. mascula", "Filarum manserichense", "Olea subg.", "Olea sect.", "Ulearum sagittatum", "Gymnostachys anceps", "Anaphyllopsis americana", "Anaphyllopsis cururuana", "Anaphyllopsis pinnata", "Anaphyllum beddomei", "Anaphyllum wightii", "Asiapistosia stigma", "Asiapistosia subnigra", "Danielithosia aureolata", "Danielithosia limayca", "Danielithosia consimilis", "Danielithosia difficilis", "Danielithosia fuscipennis", "Danielithosia pallens", "Danielithosia immaculata", "Cyclomilta fangchenglaiae", "Cyclomilta melanolepia", "Squatina nebulosa", "Rhinobatos hynnicephalus", "Takifugu xanthopterus", "Physoschistura tuivaiensis", "Tropidion breviusculum", "Tropidion rubricatum", "Tropidion epaphum", "Tropidion zonapterum", "Tropidion fuscipenne", "Tropidion castaneum", "Tropidion carinicolle", "Tropidion rusticum", "Tropidion periboeoides", "Sicyopterus calliochromus", "Sicyopterus erythropterus", "Sicyopterus stiphodonoides", "Sicyopterus ocellaris", "Sicyopterus lengguru", "Ranunculus stojanovii", "Stictane chinesica", "Stiphodon alcedo", "Glossogobius clitellus", "Glossogobius illimis", "Glossogobius munroi", "Argentinolycus elongatus", "Patagolycus melastomus", "Carcinophora occidentalis", "Dracontioides desciscens", "Pecten dijkstrai", "Chelidonura alisonae", "Chelidonura mandroroa", "Ebalia tuberculosa", "Amoeba agilis", "Ebalia noetlingi", "Ebalia webberi", "Olea subg.", "Trichosia mastersi", "Tropidion festivum", "Tropidion validum", "Tropidion batesi", "Tropidion argentina", "Tropidion boliviensis", "Cosmisoma viridescens", "Hydnellum suaveolens", "Inonotus andersonii", "Gorybia rondonia", "Gorybia bahiensis", "Calycibidion rubricolle", "Scilla bithynica", "Platanthera lacera", "Dracontium asperum", "Dracontium polyphyllum", "Dracontium soconuscum", "Dracontium spruceanum", "Lasimorpha senegalensis", "Plocaederus dozieri", "Anelaphus trinidadensis", "Chelidonura varians", "Neocompsa pallida", "Piezocera rufula", "Chelidonura larramendii", "Chelidonura normani", "Assycuera waterhousei", "Chelidonura pallida", "Chelidonura hirundinina", "Chelidonura punctata", "Chelidonura amoena", "Acteon chattonensis", "Olea subg.", "Olea sect.", "Lemna aequinoctialis", "Lemna minuta", "Lemna obscura", "Lemna trisulca", "Lemna turionifera", "Spathantheum orbignyanum", "Euphrasia ajanensis", "Spathicarpa hastifolia", "Euphrasia alba", "Euphrasia alpina", "Euphrasia alsa", "Euphrasia altaica", "Euphrasia zelandica", "Euphrasia cambrica", "Euphrasia vigursii", "Euphrasia salisburgensis", "Euphrasia pseudokemeri", "Euphrasia heslop-harrisonii", "Orchis subg.", "Orchis subg.", "Orchis sect.", "Orchis sect.", "Orchis sect.", "Orchis sect.", "Orchis sect.", "Orchis sect.", "Orchis sect.", "Sciara mikii", "Sciara sznablii", "Glyphidodontops notialis", "Chromis dispila", "Phyllodesmium orientale", "Pycnospatha arietina", "Pycnospatha palmata", "Anadendrum microstachyum", "Holochlamys beccarii", "Aeolis leptosoma", "Aphelodoris berghi", "Antonietta janthina", "Melanochlamys handrecki", "Melanochlamys queritor", "Melanochlamys cylindrica", "Melanochlamys lorrainae", "Melanochlamys virgo", "Thoracibidion io", "Thoracibidion franzae", "Philinopsis taronga", "Thoracibidion striatocolle", "Philinopsis virgo", "Philinopsis aeci", "Philinopsis bagaensis", "Philinopsis batabanoensis", "Thoracibidion ruficaudatum", "Lemna valdiviana", "Orchis brancifortii", "Orchis militaris subsp. militaris", "Orchis purpurea subsp. purpurea", "Orchis italica", "Orchis simia subsp. simia", "Dactylorhiza incarnata subsp. incarnata", "Orchis militaris subsp. stevenii", "Sciara caudata", "Sciara longiventris", "Sciara dziedzickii", "Prunus delipavlovii", "Syngonium angustatum", "Syngonium auritum", "Syngonium podophyllum", "Callopsis volkensii", "Protarum sechellarum", "Cercestis congensis", "Cercestis mirabilis", "Culcasia mannii", "Culcasia scandens", "Montrichardia arborescens", "Montrichardia linifera", "Anchomanes difformis", "Nephthytis afzelii", "Pseudohydrosme buettneri", "Pseudohydrosme gabunensis", "Dolgoma nigrocribrata", "Nudaria vernalis", "Nudaria nanlingica", "Peltandra sagittifolia", "Peltandra virginica", "Typhonodorum lindleyanum", "Phymatarum borneense", "Schismatoglottis calyptrata", "Orchis galilaea", "Orchis laeta", "Orchis olbiensis", "Orchis pallens", "Hippocampus coronatus", "Hippocampus mohnikei", "Orchis patens", "Orchis patens subsp. canariensis", "Trichosia edwardsi", "Melanochlamys algirae", "Melanochlamys diomedea", "Melanochlamys maderensis", "Melanochlamys wildpretii", "Melanochlamys papillata", "Philinopsis dubia", "Philinopsis coronata", "Philinopsis ctenophoraphaga", "Philinopsis falciphallus", "Thoracibidion tomentosum", "Thoracibidion fasciiferum", "Thoracibidion terminatum", "Thoracibidion galbum", "Thoracibidion buquetii", "Thoracibidion pleurostictum", "Perissomerus hilairei", "Perissomerus hilairei hilairei", "Perissomerus hilairei bimaculatus", "Perissomerus ruficollis", "Perissomerus alvarengai", "Perissomerus dasytes", "Megapedion lefebvrei", "Megapedion sylphis", "Philinopsis lineolata", "Gnomibidion digrammum", "Scolecenchelys aoki", "Scolecenchelys gymnota", "Erica \u00d7 stuartii", "Erica \u00d7 watsonii", "Erica \u00d7 williamsii", "Gnomibidion biacutum", "Gnomibidion fulvipes", "Gnomibidion denticolle", "Gnomibidion cylindricum", "Gnomibidion araujoi", "Gnomibidion armaticolle", "Gnomibidion translucidum", "Gnomibidion occultum", "Smaragdion viride", "Neotropidion nodicolle", "Orchis purpurea subsp. caucasica", "Orchis quadripunctata", "Plestiodon nietoi", "Orchis simia subsp. taubertiana", "Aphelodoris greeni", "Aphelodoris rossquicki", "Aphelodoris lawsae", "Aphelodoris juliae", "Aphelodoris antillensis", "Aphelodoris varia", "Bacillus badius", "Bacillus barbaricus", "Bacillus benzoevorans", "Brevibacillus borstelensis", "Brevibacillus brevis", "Bacillus carboniphilus", "Bacillus centrosporus", "Orchis pauciflora", "Paenibacillus chitinolyticus", "Paenibacillus chondroitinus", "Brevibacillus choshinensis", "Bacillus circulans", "Bacillus clarkii", "Orchis provincialis", "Bacillus coagulans", "Bacillus coahuilensis", "Bacillus cohnii", "Paenibacillus curdlanolyticus", "Alicyclobacillus cycloheptanicus", "Bacillus decolorationis", "Gracilibacillus dipsosauri", "Orchis punctulata", "Trichosia morosa", "Melanochlamys ezoensis", "Doridium seurati", "Odontoglaja mosaica", "Mannesia sabadiega", "Chelidonura sabadiega", "Kaloplocamus verrilli", "Kaloplocamus dokte", "Kaloplocamus maru", "Kaloplocamus peludo", "Kaloplocamus acutus", "Kaloplocamus atlanticus", "Kaloplocamus gulo", "Kaloplocamus maculatus", "Neosarmatium inerme", "Aphelodoris brunnea", "Chelidonura velutina", "Taringa millegrana", "Flabellina bertschi", "Flabellina marcusorum", "Flabellina islandica", "Gymnochanda filamentosa", "Neotropidion nodicolle binoculare", "Neotropidion nodicolle nodicolle", "Gymnochanda limi", "Neotropidion pulchellum", "Gymnochanda flamea", "Alcyopis cyanoptera", "Alcyopis chalcea", "Alcyopis nigrovittata", "Alcyopis nigromaculata", "Dendropoma squamifera", "Orchestia hurleyi", "Paenibacillus edaphicus", "Paenibacillus ehimensis", "Bacillus endophyticus", "Bacillus farraginis", "Bacillus fastidiosus", "Bacillus firmus", "Bacillus flexus", "Bacillus fordii", "Orchis spitzelii subsp. nitidifolia", "Achillea gypsicola", "Rapala caerulea", "Doris bistellata", "Chromodoris bistellata", "Taringa halgerda", "Adelphocoris rapidus", "Aphelodoris pallida", "Omphalotropis costulata", "Aphelodoris rubra", "Doris varia", "Montereina rubra", "Conualevia marcusi", "Conualevia alba", "Conualevia mizuna", "Neognomidolon poecilum", "Notosphaeridion brevithorax", "Notosphaeridion scabrosum", "Notosphaeridion vestitum", "Epacroplon cruciatum", "Ctenoplon x-littera", "Allium subg.", "Orchis \u00d7 algeriensis", "Allium subg.", "Felimare juliae", "Allium subg.", "Neobythites machidai", "Scolecenchelys fuscapenis", "Ophichthus machidai", "Ophichthus obtusus", "Allium sect.", "Allium sect.", "Allium sect.", "Brevibacillus formosus", "Bacillus fortis", "Bacillus fumarioli", "Bacillus funiculus", "Lysinibacillus fusiformis", "Bacillus galactosidilyticus", "Bacillus gelatini", "Bacillus gibsonii", "Sporosarcina globispora", "Paenibacillus glucanolyticus", "Paenibacillus validus", "Brevibacillus reuszeri", "Bacillus jeotgali", "Paenibacillus kobensis", "Bacillus krulwichiae", "Bacillus indicus", "Bacillus infernus", "Bacillus insolitus", "Phocibidion pulcherrimum", "Phocibidion erythrocephalum", "Neognomidolon pereirai", "Orchis sitiaca", "Orchis troodi", "Orchis spitzelii", "Orchis spitzelii subsp. spitzelii", "Orchis spitzelii subsp. cazorlensis", "Chiton sinclairi", "Sypharochiton sinclairi", "Polycera kaiserae", "Asphodeline damascena", "Ornithogalum pyrenaicum", "Ornithogalum sphaerocarpum", "Lophochroa leadbeateri", "Automeris zaruma", "Automeris kopturae", "Allium subg.", "Allium sect.", "Rapala cowani", "Spinoaglaja orientalis", "Polycera japonica", "Allium sect.", "Mataichthys bictenatus", "Mataichthys procerus", "Mataichthys rhinoceros", "Mataichthys taurinus", "Doriopsis granulosa", "Hoplodoris bramale", "Hoplodoris flammea", "Trichoplon extremum", "Glyptoceridion quincunx", "Glyptoscapus bivittatus", "Glyptoscapus cicatricosus", "Hippotragus niger anselli", "Hippotragus niger niger", "Hippotragus niger roosevelti", "Glyptoscapus pallidulus", "Glyptoscapus vanettii", "Trachypithecus poliocephalus leucocephalus", "Glyptoscapus flaveolus", "Amphiglossus ardouini", "Hexoplon integrum", "Hexoplon armatum", "Amphiglossus astrolabi", "Hexoplon lucidum", "Amphiglossus crenni", "Amphiglossus decaryi", "Amphiglossus elongatus", "Platanthera bifolia subsp. bifolia", "Euphorbia hirta", "Euphorbia hypericifolia", "Euphorbia hyssopifolia", "Euphorbia kuwaleana", "Euphorbia nutans", "Euphorbia peplis", "Euphorbia prostrata", "Euphorbia revoluta", "Euphorbia antiquorum", "Platanthera metabifolia", "Platanthera bifolia subsp. subalpina", "Euphorbia abyssinica", "Euphorbia acervata", "Euphorbia actinoclada", "Euphorbia aculeata", "Euphorbia adenochila", "Euphorbia adjurana", "Euphorbia aequoris", "Euphorbia aeruginosa", "Euphorbia akenocarpa", "Euphorbia alata", "Euphorbia albertensis", "Euphorbia albipollinifera", "Euphorbia albomarginata", "Euphorbia alcicornis", "Euphorbia altissima", "Theobroma sect.", "Baldwinella aureorubens", "Baldwinella eos", "Baldwinella vivanus", "Rapala caerulescens", "Choranthias salmopunctatus", "Choranthias tenuis", "Rapala catena", "Clariger taiwanensis", "Theobroma cacao subsp. sphaerocarpum", "Euphorbia ambarivatoensis", "Euphorbia ambovombensis", "Euphorbia ambroseae", "Euphorbia ammak", "Euphorbia ampliphylla", "Euphorbia anacampseros", "Euphorbia anachoreta", "Euphorbia analalavensis", "Euphorbia analavelonensis", "Euphorbia angrae", "Euphorbia angustiflora", "Euphorbia ankazobensis", "Theobroma cacao subsp. cacao", "Euphorbia annamarieae", "Euphorbia antisyphilitica", "Euphorbia antso", "Euphorbia appariciana", "Euphorbia applanata", "Euphorbia arbuscula", "Euphorbia arguta", "Euphorbia arida", "Euphorbia arizonica", "Euphorbia aspericaulis", "Euphorbia asthenacantha", "Euphorbia astrophora", "Euphorbia atrocarmesina", "Euphorbia atroflora", "Euphorbia atrox", "Euphorbia aureoviridiflora", "Euphorbia australis", "Euphorbia avasmontana", "Euphorbia awashensis", "Euphorbia baga", "Euphorbia baioensis", "Euphorbia crassipes", "Euphorbia cremersii", "Euphorbia croizatii", "Euphorbia cryptocaulis", "Euphorbia cryptospinosa", "Euphorbia cumulata", "Euphorbia cuneata", "Euphorbia cuneneana", "Euphorbia cuphosperma", "Euphorbia cuprispina", "Euphorbia \u00d7 curvirama", "Euphorbia cussonioides", "Euphorbia cylindrica", "Euphorbia cylindrifolia", "Euphorbia cymbifera", "Hoplodoris hansrosaorum", "Carminodoris boucheti", "Carminodoris spinobranchialis", "Glaphyrus orbachi", "Gnomidolon picipes", "Gnomidolon subfasciatum", "Gnomidolon cingillum", "Gnomidolon nigritum", "Gnomidolon primarium", "Gnomidolon analogum", "Gnomidolon amaurum", "Gnomidolon bipartitum", "Gnomidolon gracile", "Gnomidolon nanum", "Gnomidolon cruciferum", "Gnomidolon rubricolor", "Gnomidolon glabratum", "Gnomidolon pulchrum", "Gnomidolon pictum", "Gnomidolon lansbergei", "Gnomidolon brethesi", "Euphorbia baleensis", "Euphorbia baliola", "Euphorbia ballyana", "Euphorbia ballyi", "Euphorbia banae", "Euphorbia baradii", "Euphorbia barbicollis", "Euphorbia bariensis", "Euphorbia barnardii", "Maxacteon milleri", "Maxacteon hancocki", "Euphorbia baylissii", "Euphorbia beharensis", "Euphorbia beillei", "Euphorbia bemarahaensis", "Euphorbia bergeri", "Euphorbia berorohae", "Euphorbia berotica", "Euphorbia biaculeata", "Euphorbia biharamulensis", "Euphorbia bitataensis", "Euphorbia boetica", "Euphorbia boinensis", "Euphorbia boissieri", "Euphorbia boiteaui", "Euphorbia bongolavensis", "Euphorbia boophthona", "Euphorbia borenensis", "Euphorbia bosseri", "Euphorbia bottae", "Euphorbia bougheyi", "Euphorbia bourgeana", "Tularia bractea", "Euphorbia brachycera", "Euphorbia brachyphylla", "Euphorbia bracteata", "Euphorbia brakdamensis", "Euphorbia brassii", "Euphorbia braunsii", "Euphorbia breviarticulata", "Euphorbia brevirama", "Euphorbia brevis", "Platanthera peramoena", "Rapala dioetas", "Platanthera algeriensis", "Thecacera boyla", "Larocheopsis macrostoma", "Anatoma amydra", "Anatoma kopua", "Anatoma megascutula", "Anatoma tangaroa", "Larochea spirata", "Satondella azonata", "Satondella bicristata", "Scissurella regalis", "Sinezona enigmatica", "Sinezona mechanica", "Sinezona platyspira", "Sinezona wanganellica", "Pigritia uuku", "Pigritia laticapitella", "Pigritia angustipennella", "Pigritia arizonella", "Pigritia astuta", "Pigritia basilarella", "Pigritia biatomella", "Pigritia canariella", "Pigritia confusella", "Pigritia tristella", "Pigritia spoliatella", "Pigritia obscurella", "Pigritia purpurella", "Pigritia mediofasciella", "Pigritia ornatella", "Pigritia discopunctella", "Pigritia fenyesella", "Pigritia fuscosuffusella", "Pigritia grisella", "Pigritia heidemannella", "Pigritia luteopulvella", "Pigritia medeocris", "Pigritia minnicella", "Pigritia occidentella", "Pigritia ochreella", "Pigritia ochrocomella", "Pigritia pallidotinctella", "Pigritia tenebrella", "Pigritia troctis", "Pigritia murtfeldtella", "Orthomecyna keoniae", "Tamsica kawikae", "Tamsica floricolens", "Rapala cyrhestica", "Scaeosopha minuta", "Scaeosopha nullivalvella", "Scaeosopha spinivalvata", "Scaeosopha tuberculata", "Scaeosopha convexa", "Scaeosopha dentivalvula", "Euphorbia dalettiensis", "Scaeosopha gibbosa", "Scaeosopha grandannulata", "Scaeosopha nigrimarginata", "Euphorbia brevitorta", "Euphorbia lamarckii", "Euphorbia brunellii", "Euphorbia bruynsii", "Euphorbia bubalina", "Euphorbia bulbispina", "Euphorbia bungei", "Euphorbia bupleurifolia", "Euphorbia burgeri", "Euphorbia burmannii", "Euphorbia buruana", "Euphorbia bussei", "Euphorbia bwambensis", "Euphorbia cactus", "Euphorbia caducifolia", "Euphorbia caerulescens", "Euphorbia calamiformis", "Euphorbia californica", "Euphorbia caloderma", "Euphorbia calyptrata", "Euphorbia cameronii", "Euphorbia candelabrum", "Euphorbia cannellii", "Euphorbia capitulata", "Euphorbia capmanambatoensis", "Euphorbia cap-saintemariensis", "Chelidonura sandrana", "Chelidonura tsurugensis", "Hexoplon albipenne", "Hexoplon calligrammum", "Hexoplon bucki", "Hexoplon uncinatum", "Hexoplon carissimum", "Hexoplon praetermissum", "Hexoplon longispina", "Hexoplon juno", "Hexoplon eximium", "Hexoplon reinhardti", "Hexoplon nigropiceum", "Hexoplon venus", "Hexoplon leucostictum", "Phidiana riosi", "Hexoplon anthracinum", "Hexoplon navajasi", "Hexoplon ctenostomoides", "Hexoplon speciosum", "Doris nodulosa", "Doris denisoni", "Doris pantherina", "Kaszabister rubellus", "Kaszabister carinatus", "Kaszabister ferrugineus", "Euphorbia capuronii", "Euphorbia caput-aureum", "Euphorbia caracasana", "Euphorbia carteriana", "Euphorbia carunculifera", "Euphorbia cassythoides", "Euphorbia cataractarum", "Euphorbia cattimandoo", "Euphorbia celata", "Euphorbia ceratocarpa", "Euphorbia cereiformis", "Euphorbia charleswilsoniana", "Euphorbia clandestina", "Euphorbia classenii", "Euphorbia clavarioides", "Euphorbia clavigera", "Euphorbia clivicola", "Euphorbia coerulans", "Euphorbia colletioides", "Euphorbia colliculina", "Euphorbia colorata", "Euphorbia colubrina", "Euphorbia columnaris", "Euphorbia comosa", "Euphorbia confinalis", "Euphorbia confluens", "Euphorbia congestiflora", "Euphorbia contorta", "Euphorbia cooperi", "Euphorbia copiapina", "Euphorbia cornastra", "Euphorbia corniculata", "Euphorbia cornigera", "Hexoplon speciosum speciosum", "Hexoplon speciosum ferruginosum", "Hexoplon nigricolle", "Hexoplon nigritarse", "Hexoplon affine", "Centaurea dichroantha", "Gnomidolon melanosomum", "Gnomidolon maculicorne", "Gnomidolon conjugatum", "Gnomidolon humerale", "Gnomidolon insigne", "Automeris illustris", "Automeris kaechi", "Automeris nadezhdae", "Automeris salkorum", "Automeris fabiani", "Microhoweina elongata", "Neactaeonina inexpectata", "Tenuiactaeon ambiguus", "Leucotina casta", "Maxacteon flammeus", "Maxacteon fabreanus", "Acteon articulatus", "Acteon infulatus", "Acteon pahaka", "Acteon oneroaensis", "Acteon otamateaensis", "Acteon procratericulatus", "Acteon semispiralis", "Acteon wangaloa", "Hypselodoris jacksoni", "Marioniopsis platyctenea", "Chromodoris willani", "Alloiodoris marmorata", "Sinoe robiniella", "Sinoe chambersi", "Sinoe kwakae", "Scaeosopha sabahensis", "Scaeosopha victoriensis", "Epinotia cinereana", "Epinotia nisella", "Epinotia normanana", "Epinotia notoceliana", "Epinotia parki", "Netoxana nana", "Netoxena nana", "Eolepidopterix jurassica", "Micropterix angelica", "Micropterix idea", "Micropterix junctella", "Micropterix lineata", "Micropterix longicornuella", "Micropterix mucidella", "Micropterix obsoleta", "Micropterix purpureopennella", "Micropterix pusilella", "Micropterix rosarum", "Euphorbia ecklonii", "Euphorbia eduardoi", "Euphorbia eilensis", "Euphorbia eleanoriae", "Euphorbia elegantissima", "Euphorbia ellenbeckii", "Euphorbia elliptica", "Euphorbia enormis", "Delias hypomelas f. rubrostriata", "Delias hypomelas f. argentata", "Delias hypomelas f. clutus", "Delias hypomelas f. destrigata", "Orchis \u00d7 angusticruris", "Orchis \u00d7 angusticruris nothosubsp. angusticruris", "Faunula leucoglene", "Faunula leucoglene leucoglene", "Faunula leucoglene eleates", "Faunula patagonica", "Faunula dubii", "Memphis pasibula", "Memphis falcata", "Memphis leonida", "Memphis editha", "Orchis \u00d7 angusticruris nothosubsp. transcaucasica", "Parachaenichthys charcoti", "Afrogegenes letterstedti", "Orchis \u00d7 beyrichii", "Tornatellaea subovalis", "Tornatellaea waihaoensis", "Euphorbia galgalana", "Euphorbia gamkensis", "Euphorbia garberi", "Euphorbia gariepina", "Euphorbia geldorensis", "Euphorbia gemmea", "Xiangornis shenmi", "Euphorbia gentilis", "Orchis \u00d7 hybrida", "Orchis \u00d7 bivonae", "Orchis \u00d7 spuria", "Orchis \u00d7 aurunca", "Scaeosopha rarimaculata", "Euphorbia darbandensis", "Euphorbia dasycantha", "Euphorbia dauana", "Euphorbia davidii", "Scaeosopha trigonia", "Euphorbia davyi", "Euphorbia dawei", "Euphorbia debilispina", "Euphorbia decaryi", "Scaeosopha atrinervis", "Euphorbia decepta", "Euphorbia decidua", "Euphorbia decliviticola", "Euphorbia decorsei", "Euphorbia dedzana", "Euphorbia deightonii", "Euphorbia dekindtii", "Euphorbia delphinensis", "Euphorbia deltoidea", "Scaeosopha triocellata", "Euphorbia demissa", "Euphorbia denisiana", "Euphorbia dentata", "Euphorbia deppeana", "Euphorbia desmondii", "Euphorbia dhofarensis", "Euphorbia dichroa", "Euphorbia didiereoides", "Euphorbia discrepans", "Euphorbia dispersa", "Euphorbia dissitispina", "Euphorbia distinctissima", "Euphorbia dolichoceras", "Euphorbia dracunculoides", "Euphorbia drupifera", "Euphorbia dumeticola", "Euphorbia duranii", "Euphorbia duseimata", "Scaeosopha mitescens", "Scaeosopha chionoscia", "Scaeosopha incantata", "Rapala damona", "Gnomidolon longipenne", "Gnomidolon basicoeruleum", "Gnomidolon nympha", "Gnomidolon grantsaui", "Alloformica aberrans", "Alloformica flavicornis", "Alloformica nitidior", "Alloformica obscurior", "Gnomidolon biarcuatum", "Gnomidolon elegantulum", "Rapala dieneces", "Iphigenella acanthopoda", "Orchis \u00d7 beyrichii nothosubsp. beyrichii", "Orchis \u00d7 beyrichii nothosubsp. golestanica", "Anteon dykeae", "Dryinus schueeppi", "Protowenella cobbensis", "Euphorbia ephedroides", "Euphorbia epiphylloides", "Euphorbia erigavensis", "Euphorbia eranthes", "Euphorbia eriophora", "Euphorbia erlangeri", "Euphorbia esculenta", "Euphorbia espinosa", "Euphorbia estevesii", "Protowenella flemingi", "Protowenella huainanensis", "Protowenella lancaraensis", "Protowenella plena", "Protowenella primaria", "Euphorbia etuberculosa", "Euphorbia eustacei", "Euphorbia excelsa", "Euphorbia exilis", "Euphorbia exilispina", "Euphorbia eyassiana", "Mandelia mirocornata", "Gargamella novozealandica", "Euphorbia famatamboay", "Euphorbia fanshawei", "Euphorbia fascicaulis", "Euphorbia fasciculata", "Euphorbia faucicola", "Euphorbia fendleri", "Euphorbia fianarantsoae", "Euphorbia fiherenensis", "Euphorbia filiflora", "Euphorbia fissispina", "Euphorbia fleckii", "Euphorbia fluminis", "Euphorbia forolensis", "Euphorbia fortissima", "Euphorbia fortuita", "Euphorbia fractiflexa", "Euphorbia franckiana", "Euphorbia friedrichiae", "Euphorbia fruticosa", "Euphorbia fulgens", "Euphorbia furcata", "Euphorbia fusiformis", "Nepenthes gracilis", "Dendronotus elegans", "Dendronotus orientalis", "Dendronotus venustus", "Acteon variegatus", "Chrysolina staphylaea", "Orchis \u00d7 bergonii", "Leptoiulus semenkevitshi", "Theope batesi batesi", "Theope batesi yiyi", "Rapala diopites", "Rapala diopites alcetas", "Rapala diopites diopites", "Rapala diopites alcetina", "Dario urops", "Badis juergenschmidti", "Badis singenensis", "Chiromantes ortmanni", "Bufo kandianus", "Vasostoma aurata", "Setosabatieria conicauda", "Euphorbia geyeri", "Euphorbia giessii", "Euphorbia gillettii", "Euphorbia glandularis", "Euphorbia globulicaulis", "Euphorbia glochidiata", "Euphorbia glyptosperma", "Euphorbia gossypina", "Acteon tornatilis", "Anacharis madagascarensis", "Onchidoris tuberculatus", "Acanthodoris globosa", "Acanthodoris mollicella", "Acanthodoris pilosa", "Acanthodoris planca", "Gnomidolon insulicola", "Gnomidolon simplex", "Adalaria evincta", "Gnomidolon peruvianum", "Gnomidolon denticorne", "Gnomidolon sylvarum", "Taringa aivica", "Gnomidolon laetabile", "Taringa armata", "Taringa luteola", "Taringa ascitica", "Taringa bacalladoi", "Taringa faba", "Gnomidolon varians", "Taringa tritorquis", "Taringa oleica", "Taringa pinoi", "Taringa telopia", "Gnomidolon varians varians", "Gnomidolon varians addictum", "Gnomidolon proximum", "Gnomidolon bonsae", "Gnomidolon ornaticolle", "Gnomidolon pallidicauda", "Gnomidolon oeax", "Gnomidolon proseni", "Gnomidolon hamatum", "Cymothoe bouyeri", "Taringa merria", "Taringa risbeci", "Euphorbia gottlebei", "Euphorbia gracilicaulis", "Euphorbia graciliramea", "Euphorbia gradyi", "Euphorbia graminea", "Euphorbia grandialata", "Euphorbia grandidens", "Euphorbia grandifolia", "Euphorbia graniticola", "Euphorbia greenwayi", "Euphorbia gregaria", "Euphorbia griffithii", "Euphorbia griseola", "Euphorbia groenewaldii", "Euphorbia grossheimii", "Euphorbia gueinzii", "Euphorbia guerichiana", "Euphorbia guiengola", "Euphorbia guillauminiana", "Euphorbia gumaroi", "Euphorbia gummifera", "Euphorbia gymnocalycioides", "Euphorbia gymnoclada", "Euphorbia gymnonota", "Euphorbia haeleeleana", "Euphorbia halemanui", "Euphorbia herbstii", "Euphorbia herniariifolia", "Polinices oneroaensis", "Euphorbia heterophylla", "Euphorbia heyneana", "Euphorbia hierosolymitana", "Euphorbia hirtella", "Euphorbia hooveri", "Euphorbia hormorrhiza", "Euphorbia humifusa", "Euphorbia intisy", "Euphorbia ipecacuanhae", "Euphorbia jacquemontii", "Euphorbia kansui", "Euphorbia kotschyana", "Euphorbia kurtzii", "Microlestodes ibiscae", "Pottsiela pesae", "Godiva quadricolor", "Thorunna africana", "Thorunna horologia", "Thorunna purpuropedis", "Cuthona poritophages", "Philine tepikia", "Okenia hallucigenia", "Okenia vena", "Okenia mellita", "Okenia stellata", "Okenia purpurata", "Hypselodoris maridadilus", "Integripelta acanthus", "Godiva rachelae", "Sempervivum \u00d7 alidae", "Sempervivum \u00d7 barbulatum", "Taringa rubra", "Taringa souriei", "Melamphaes nikolayi", "Melamphaes occlusus", "Melamphaes ebelingi", "Rapala domitia", "Orchis \u00d7 bispurium", "Nymphidium jacarequara", "Rapala domitia albapex", "Rapala domitia domitia", "Rapala domitia flemingi", "Podaxis pistillaris", "Euselasia albomaculiga", "Onchnesoma intermedium", "Gnomidolon pilosum", "Rapala elcia", "Gnomidolon guianense", "Gnomidolon gounellei", "Gnomidolon suturale", "Hexocycnidolon unoculum", "Onchnesoma magnibathum", "Tetroplon caudatum", "Tetroplon caudatum caudatum", "Euselasia euboea euboea", "Euselasia euboea pasoula", "Tetroplon caudatum nigricornis", "Euselasia pellonia pellonia", "Euselasia pellonia azurea", "Tetraibidion aurivillii", "Euselasia eumedia", "Euselasia eumedia eumedia", "Euselasia eumedia ophias", "Euselasia mirania", "Euselasia urites", "Euselasia urites urites", "Euselasia urites eglawahe", "Euselasia pseudomys", "Euselasia pance", "Euselasia eberti", "Euselasia baucis", "Euselasia baucis baucis", "Euselasia baucis aethiops", "Euselasia toppini", "Euselasia calligramma", "Euselasia phelina", "Euselasia pellos", "Euselasia orion", "Rapala enipeus", "Rapala extensa", "Microepidendrum subulatifolium", "Rapala hades", "Pristolepis rubripinnis", "Pristolepis fasciata", "Pristolepis grootii", "Pristolepis marginata", "Agrilus rubicola", "Chromodoris atopa", "Chromodoris figurata", "Acanthodoris metulifera", "Hervia corfei", "Charadra franclemonti", "Synodontis angelicus", "Charadra tapa", "Charadra coyopa", "Charadra deridens", "Charadra moneta", "Charadra dispulsa", "Bryolymnia viridimedia", "Rapala hinomaru", "Sempervivum \u00d7 piliferum", "Porlieria angustifolia", "Porlieria hygrometra", "Rapala iarbus", "Sempervivum \u00d7 giuseppii", "Sempervivum \u00d7 barbulatum nothosubsp. barbulatum", "Rapala iarbus dekaiarchus", "Rapala iarbus menaichus", "Rapala iarbus iarbus", "Rapala lankana", "Rapala aquamarina", "Rapala christopheri", "Corvoheteromeyenia australis", "Corvoheteromeyenia heterosclera", "Trochospongilla gregaria", "Trochospongilla minuta", "Cubiceps gracilis", "Synodontis aterrimus", "Synodontis batensoda", "Phestilla minor", "Phestilla panamica", "Bryolymnia marti", "Hallaxa decorata", "Bryolymnia mixta", "Bryolymnia ensina", "Hallaxa fuscescens", "Bryolymnia biformata", "Bryolymnia semifascia", "Bryolymnia viridata", "Zale intenta", "Zale lunifera", "Euselasia extensa", "Euselasia eubotes", "Euselasia lycaeus", "Euselasia lysimachus", "Euselasia euromus", "Euselasia lisias", "Euselasia dorina", "Euselasia eurypus", "Euselasia angulata", "Euselasia clesa", "Euselasia utica", "Euselasia euphaes", "Euselasia subargentea", "Euselasia ethemon", "Euselasia hypocrita", "Dendropicos fuscescens centralis", "Dendropicos fuscescens intermedius", "Saturnospongilla carvalhoi", "Sempervivum marmoreum subsp. matricum", "Dendropicos fuscescens lepidus", "Sempervivum \u00d7 calcaratum", "Meleneta antennata", "Sempervivum \u00d7 christii", "Charadra pata", "Synodontis albolineatus", "Charadra patafex", "Charadra oligarchia", "Armodoris anudeorum", "Peltodoris temarensis", "Doriopsis flabellifera", "Cybocephalus nipponicus", "Cybocephalus kathrynae", "Cybocephalus randalli", "Cybocephalus liui", "Acanthodoris serpentinotus", "Euphorbia lagascae", "Euphorbia lancifolia", "Euphorbia lata", "Euphorbia leucocephala", "Euphorbia lophogona", "Euphorbia lucida", "Euphorbia lurida", "Euphorbia macrocarpa", "Euphorbia macroclada", "Euplocamus japonicus", "Euphorbia mammillaris", "Euphorbia matritensis", "Euphorbia medicaginea", "Euphorbia melanadenia", "Euphorbia microsphaera", "Kaloplocamus croceus", "Kaloplocamus japonicus", "Kaloplocamus pacificus", "Euphorbia moratii", "Euphorbia multiformis", "Euphorbia nicaeensis", "Euphorbia nubica", "Tetraibidion ephimerum", "Tetraibidion sahlbergi", "Pronoplon rubriceps", "Bugula neritina", "Pseudoplon oculatum", "Hexoplon rosalesi", "Calycibidion multicavum", "Tropidion vianai", "Tropidion mirabile", "Tropidion hispidum", "Tropidion praecipuum", "Ophtalmibidion luscum", "Compsibidion clivum", "Compsibidion derivativum", "Laelia speciosa", "Rapala manea", "Synodontis carineus", "Euselasia fabia", "Euselasia fabia fabia", "Euselasia fabia marcida", "Euselasia regipennis", "Euselasia regipennis regipennis", "Euselasia regipennis eupepla", "Euselasia regipennis eurysthenes", "Euselasia ella", "Euselasia ella ella", "Euselasia ella terrea", "Euselasia euodias", "Euselasia euodias euodias", "Euselasia euodias talidiman", "Euselasia orba", "Euselasia orba orba", "Euselasia orba spectralis", "Euselasia corduena", "Euselasia corduena corduena", "Euselasia corduena anadema", "Euselasia eutaea", "Euselasia eutaea eutaea", "Euselasia eutaea lindana", "Dendrodoris behrensi", "Dendrodoris stohleri", "Montereina lentiginosa", "Euselasia bettina", "Euselasia cataleuca", "Euselasia aurantia", "Euselasia leucophryna", "Euselasia eusepus", "Euselasia eupatra", "Euselasia eumenes", "Euselasia matuta", "Euselasia chrysippe", "Euselasia candaria", "Euselasia euryone", "Euselasia effima", "Euselasia thusnelda", "Euselasia violetta", "Euselasia tarinta", "Euselasia anica", "Euselasia arbas", "Euselasia attrita", "Euphorbia oblongata", "Euphorbia ocellata", "Euselasia rasonea", "Euphorbia officinarum", "Euphorbia ophthalmica", "Euphorbia orientalis", "Euphorbia oxyphylla", "Euselasia andreae", "Euselasia euoras", "Euselasia manoa", "Euselasia cyanira", "Compsibidion crassipede", "Compsibidion circumflexum", "Euselasia cuprea", "Euselasia clithra", "Euselasia phedica", "Compsa montana", "Euselasia eurymachus", "Neocompsa mimosa", "Euselasia pillaca", "Neocompsa veracruzana", "Euselasia issoria", "Paradoris caeruleus", "Hallaxa apefae", "Hallaxa chani", "Hallaxa indecora", "Hallaxa michaeli", "Hallaxa albopunctata", "Hallaxa elongata", "Hallaxa iju", "Hallaxa translucens", "Hallaxa cryptica", "Hallaxa hileenae", "Hallaxa paulinae", "Aapticheilichthys websteri", "Euselasia inconspicua", "Euselasia julia", "Euselasia cucuta", "Euselasia leucon", "Euselasia argentea", "Euselasia hahneli", "Euselasia opimia", "Euselasia euploea", "Euselasia eucerus", "Euselasia gelanor", "Euselasia bilineata", "Euselasia teleclus", "Synodontis acanthoperca", "Euselasia catoleuce", "Euselasia amphidecta", "Euselasia hypophaea", "Euselasia onorata", "Euselasia dolichos", "Euselasia kartopus", "Euselasia mutator", "Euselasia micaela", "Euselasia amblypodia", "Euselasia parca", "Euselasia euhemerus", "Euselasia eugeon", "Euselasia brevicauda", "Euselasia geon", "Euselasia modesta", "Euphorbia skottsbergii", "Euphorbia spathulata", "Euphorbia squamigera", "Euphorbia stapfii", "Euselasia saulina", "Euphorbia strigosa", "Hemerocallis \u00d7 hippeastroides", "Euselasia sergia", "Euselasia rhodon", "Euselasia mystica", "Euselasia procula", "Euphorbia tannensis", "Euphorbia tanquahuete", "Euphorbia teke", "Euphorbia telephioides", "Euphorbia thymifolia", "Euphorbia tulearensis", "Euphorbia uliginosa", "Euphorbia valerianifolia", "Euphorbia viguieri", "Euphorbia xylophylloides", "Euphorbia zonosperma", "Euphorbia \u00d7 ambohipotsiensis", "Euphorbia \u00d7 andrefandrovana", "Euphorbia \u00d7 bothae", "Spongilla alba", "Lissotes latidens", "Aeolidiopsis harrietae", "Spurilla salaamica", "Berghia norvegica", "Berghia rissodominguezi", "Berghia verrucicornis", "Ardeadoris egretta", "Microlestodes arnhemensis", "Pottsiela spoliata", "Sempervivum \u00d7 morelianum", "Sempervivum \u00d7 stenopetalum", "Sempervivum \u00d7 hayekii", "Aeonium \u00d7 hybridum", "Sempervivum \u00d7 praegeri", "Sempervivum \u00d7 roseum", "Sempervivum \u00d7 rupicola", "Synodontis caudovittatus", "Rapala manea asikana", "Rapala manea baweanica", "Rapala manea chozeba", "Rapala manea ingana", "Rapala manea lombokiana", "Rapala manea manea", "Rapala manea philippensis", "Rapala manea renata", "Rapala manea satelliticus", "Rapala manea schistacea", "Paryphanta hochstetteri bicolor", "Sempervivum \u00d7 thompsonianum", "Sempervivum \u00d7 versicolor", "Sempervivum \u00d7 widderi", "Sempervivum \u00d7 wolfianum", "Lonchodryinus balticus", "Synodontis comoensis", "Synodontis congicus", "Hypostomus pagei", "Brachionycha nubeculosa", "Brachionycha nubeculosa nubeculosa", "Brachionycha nubeculosa kullbergi", "Brachionycha nubeculosa jezoensis", "Brachionycha sajana", "Brachionycha sajana sajana", "Brachionycha sajana albicilia", "Brachionycha permixta", "Marimatha nigrofimbria", "Marimatha squala", "Marimatha quadrata", "Marimatha piscimala", "Marimatha tripuncta", "Orchis \u00d7 buelii", "Sempervivum tectorum subsp. cebennense", "Sempervivum minutum", "Athyrium flexile", "Sempervivum transcaucasicum", "Sempervivum davisii subsp. fuseorum", "Sempervivum davisii subsp. davisii", "Sempervivum globiferum subsp. aghricum", "Orchis \u00d7 caesii", "Acyclania tenebrosa", "Acyclania schadei", "Acicula hausdorfi", "Alosa vistonica", "Caularisia zikani", "Silurus aristotelis", "Boyeria cretensis", "Orchis \u00d7 calliantha", "Orchis \u00d7 colemanii", "Orchis \u00d7 fallax", "Orchis \u00d7 fitzii", "Cobitis arachthosensis", "Euselasia perisama", "Euselasia euriteus", "Euselasia uzita", "Euselasia charilis", "Euselasia chinguala", "Euselasia gelon", "Euphorbia parryi", "Euphorbia parvicyathophora", "Euselasia zena", "Euphorbia parviflora", "Euphorbia pedroi", "Euselasia erythraea", "Euphorbia pentadactyla", "Euselasia zara", "Euphorbia phillipsiae", "Euphorbia pinea", "Euphorbia pinetorum", "Euselasia opalina", "Euphorbia piscatoria", "Euselasia praeclara", "Euphorbia polycarpa", "Euphorbia primulifolia", "Euselasia violacea", "Euphorbia pterococca", "Euselasia fournierae", "Euselasia nauca", "Euselasia jigginsi", "Euphorbia pumicicola", "Euphorbia purpurea", "Euselasia cafusa", "Euphorbia radians", "Euselasia eulione", "Euphorbia remyi", "Euselasia athena", "Euphorbia restiacea", "Euselasia alcmena", "Euphorbia rockii", "Euphorbia royleana", "Euselasia cyanofusa", "Euphorbia sarcostemmoides", "Euselasia licinia", "Euphorbia schimperi", "Euselasia eunaeus", "Euphorbia serpens", "Euphorbia serpyllifolia", "Euselasia inini", "Euphorbia sieboldiana", "Euphorbia sikkimensis", "Doris cameroni", "Doris pecten", "Doris chrysoderma", "Ptychochromoides itasy", "Trichomycterus argos", "Platanthera micrantha", "Platanthera azorica", "Alaus oculatus", "Actinocyclus verrucosus", "Actinocyclus papillatus", "Actinocyclus fragilis", "Actinocyclus velutinus", "Uruguaya corallioides", "Orchis \u00d7 lucensis", "Orchis \u00d7 macra", "Orchis \u00d7 palanchonii", "Orchis \u00d7 penzigiana", "Orchis \u00d7 penzigiana nothosubsp. penzigiana", "Orchis \u00d7 penzigiana nothosubsp. jailae", "Orchis \u00d7 penzigiana nothosubsp. sardoa", "Orchis \u00d7 permixta", "Cobitis hellenica", "Darcetina sublata", "Gerra radiata", "Orchis \u00d7 klopfensteiniae", "Orchis \u00d7 kretzschmariorum", "Orchis \u00d7 ligustica", "Orchis \u00d7 loreziana", "Orchis \u00d7 loreziana nothosubsp. loreziana", "Orchis \u00d7 loreziana nothosubsp. kisslingii", "Sempervivum marmoreum subsp. marmoreum", "Orchis mascula subsp. speciosa", "Doris longula", "Orchis \u00d7 petterssonii", "Orchis \u00d7 petterssonii nothosubsp. petterssonii", "Orchis \u00d7 petterssonii nothosubsp. incantata", "Rapala melida", "Orchis \u00d7 plessidiaca", "Orchis \u00d7 pseudoanatolica", "Orchis \u00d7 sezikiana", "Triebelina tuticorensis", "Munida gregaria", "Cytherella eburneola", "Sempervivum wulfenii subsp. wulfenii", "Sempervivum wulfenii subsp. juvanii", "Phalaenopsis cochlearis", "Rapala micans hirayamana", "Rapala micans micans", "Rapala nemorensis", "Austrosimulium bancrofti", "Austrosimulium furiosum", "Austrosimulium magnum", "Austrosimulium victoriae", "Austrosimulium pestilens", "Austrosimulium torrentium", "Simulium austrosimile", "Alsolemia cresswelli", "Doris fulva", "Doris tuberculata", "Palaega kakatahi", "Pelotretis flavilatus", "Torrenticola projectura", "Oxelytrum selknan", "Synodontis contractus", "Bicarinocarcinus tumidus", "Synodontis courteti", "Synodontis cuangoanus", "Evechinus chloroticus", "Rhosus judsoni", "Stichopus mollis", "Magicicada septendecim", "Rapala melida palawanica", "Rapala melida melida", "Diadochia sacimima", "Diadochia saca", "Diadochia stigmatica", "Cytora taipa", "Cytora houhora", "Chaureopa roscoei", "Rhytida webbi", "Pterocella vesiculosa", "Cerius otagensis", "Mecodema costellum", "Mecodema laeviceps", "Mecodema quoinense", "Mecodema strictum", "Bembidion chalmeri", "Euprymna pardalota", "Asteroscopus sphinx", "Asteroscopus syriaca", "Asteroscopus syriaca syriaca", "Asteroscopus syriaca decipulae", "Asteroscopus syriaca wieseri", "Ostheldera gracilis", "Ostheldera kondara", "Ostheldera pakistana", "Sirioba hiemalis", "Sempervivum arachnoideum subsp. arachnoideum", "Aeonium spathulatum", "Sempervivum annae", "Euphydryas maturna", "Euphydryas maturna maturna", "Euphydryas maturna opulenta", "Calospila urichi urichi", "Calospila urichi complemantaris", "Calospila thara thara", "Calospila thara desiderabilis", "Calospila hemileuca hemileuca", "Adelotypa borsippa borsippa", "Sempervivum carpathicum", "Rapala micans", "Rapala micans haniae", "Strephonota buechei", "Strephonota caeruleus", "Strephonota berardi", "Sempervivum ciliosum", "Caenopsylla eremita", "Sempervivum caucasicum", "Sempervivum dolomiticum", "Asynapteron contrarium", "Malagasanja palliatella", "Jana palliatella", "Pygmodeon boreale", "Gracilanja gracilis", "Gracilanja polymorpha", "Heterachthes fascinatus", "Sempervivum tectorum subsp. tectorum", "Orchis \u00d7 thriftiensis", "Orchis \u00d7 tochniana", "Orchis \u00d7 willingiorum", "Orchis \u00d7 wulffiana", "Orchis \u00d7 wulffiana nothosubsp. wulffiana", "Orchis \u00d7 wulffiana nothosubsp. suckowii", "Sempervivum gillianii", "Sempervivum charadzeae", "Sempervivum ermanicum", "Pterocella scutella", "Pterocella gemella", "Neoseiulus saudiensis", "Aceria clianthi", "Salix arbusculoides", "Salix arbutifolia", "Salix geyeriana", "Salix bikouensis", "Salix boothii", "Salix breviserrata", "Gasteruption flavicuspis", "Gasteruption expectatum", "Gasteruption scintillans", "Diadema palmeri", "Hirudobdella antipodum", "Copitype pagodae", "Copitype potalae", "Himalaea unica", "Valeria jaspidea", "Valeria oleagina", "Valeria oleagina oleagina", "Valeria oleagina syriaca", "Valeria kartalea", "Valeria schreieri", "Valeria carducha", "Valeria tricristata", "Valeria exanthema", "Flexivaleria mienshani", "Salix capensis", "Salix capusii", "Salix carmanica", "Salix cavaleriei", "Salix glaucosericea", "Salix gordejevii", "Salix lasiolepis", "Salix lemmonii", "Salix longiflora", "Salix longistamina", "Salix luctuosa", "Balearica regulorum regulorum", "Salix ansoniana", "Allophyes yuennana", "Allophyes miaoli", "Austrosimulium colboi", "Austrosimulium bicorne", "Austrosimulium dugdalei", "Austrosimulium extendorum", "Austrosimulium tonnoiri", "Austrosimulium vailavoense", "Criconema crosbyi", "Ibidion comatum", "Brechmoidion exicisifrons", "Prothoracibidion plicatithorax", "Prothoracibidion flavozonatum", "Prothoracibidion xanthopterum", "Rhysium bimaculatum", "Rhysium bivulneratum", "Rhysium guttiferum", "Austrosimulium australense", "Ophtalmibidion tetrops", "Austrosimulium tillyardianum", "Ophtalmibidion oculatum", "Sempervivum carpathicum subsp. heterophyllum", "Sempervivum carpathicum subsp. carpathicum", "Sempervivum montanum subsp. burnatii", "Austrosimulium longicorne", "Austrosimulium albovelatum", "Austrosimulium alveolatum", "Austrosimulium fiordense", "Austrosimulium multicorne", "Austrosimulium stewartense", "Austrosimulium campbellense", "Austrosimulium ungulatum", "Austrosimulium vexans", "Austrosimulium unicorne", "Austrosimulium cornutum", "Austrosimulium crassipes", "Austrosimulium fulvicorne", "Austrosimulium mirabile", "Austrosimulium montanum", "Simulia australensis", "Macrochiridothea estuariae", "Macrochiridothea uncinata", "Calamotropha fuscacostalis", "Adelpherupa albescens", "Adelpherupa flavescens", "Sempervivum montanum subsp. stiriacum", "Adelpherupa costipuntalis", "Adelpherupa elongalis", "Adelpherupa aethiopicalis", "Adelpherupa lialuiensis", "Adelpherupa pontica", "Ancylolomia tripunctalis", "Evergestis montis", "Evergestis atrapuncta", "Cobitis dalmatina", "Strongylognathus dalmaticus", "Bomaribidion angusticolle", "Bomaribidion hirsutum", "Sempervivum ossetiense", "Megaceron antennicrassum", "Megaceron australe", "Compsibidion capixaba", "Sempervivum ingwersenii", "Sempervivum pittonii", "Sempervivum leucanthum", "Sempervivum minus", "Sempervivum vicentei", "Sempervivum wulfenii", "Lotus maculatus", "Sempervivum montanum subsp. montanum", "Isognathus allamandae", "Carpoglyphus lactis", "Chalicodoma riyadhense", "Bankisus sparsus", "Salix euxina", "Salix graciliglans", "Salix linearistipularis", "Umbonichiton jubatus", "Umbonichiton pellaspis", "Salix pedicellaris", "Salix petrophila", "Salix psammophila", "Salix pyrenaica", "Umbonichiton adelus", "Salix retusa", "Salix schwerinii", "Salix serpyllifolia", "Pittosporum turneri", "Umbonichiton bullatus", "Sigaus homerensis", "Projasus parkeri", "Epidendrum montserratense", "Salix suchowensis", "Salix sungkianica", "Salix tetrasperma", "Salix turfacea", "Salix variegata", "Salix vulpina", "Salix \u00d7 ambigua", "Salix \u00d7 austriaca", "Salix \u00d7 balfourii", "Salix \u00d7 cottetii", "Salix \u00d7 dichroa", "Salix \u00d7 doniana", "Salix \u00d7 ehrhartiana", "Salix \u00d7 erdingeri", "Salix \u00d7 forbyana", "Salix \u00d7 fragilis", "Salix \u00d7 grahamii", "Salix \u00d7 laurina", "Salix \u00d7 meyeriana", "Salix \u00d7 mollissima", "Salix \u00d7 pendulina", "Salix \u00d7 rubra", "Salix \u00d7 sepulcralis", "Salix \u00d7 seringeana", "Salix \u00d7 simulatrix", "Salix \u00d7 subsericea", "Salix \u00d7 wimmeriana", "Atakterges fidia", "Speidelia taiwana", "Speidelia taiwana taiwana", "Speidelia taiwana semialba", "Speidelia taiwana sinica", "Speidelia apocrypha", "Speidelia formosa", "Speidelia siamica", "Xylocampa areola", "Xylocampa mustapha", "Xylocampa mustapha mustapha", "Xylocampa mustapha srira", "Xylocampa mustapha italica", "Xylocampa hethitica", "Feralia sauberi", "Cattleya mirandae", "Cattleya mooreana", "Cattleya munchowiana", "Cattleya neokautskyi", "Cattleya pabstii", "Cattleya pendula", "Cattleya pfisteri", "Cattleya porphyroglossa", "Cattleya praestans", "Cattleya presidentensis", "Asaphodes imperfecta", "Achillea \u00d7 feliciana", "Cattleya nobilior", "Aricoris constantius", "Aricoris tutana", "Aricoris monotona", "Sobralia violacea", "Blepharomermis craigi", "Austromermis namis", "Simulium vexans", "Callechelys kuro", "Caecidotea smithii", "Achillea \u00d7 pseudodorata", "Rapala nissa nissa", "Rapala nissa nissoides", "Rapala nissa odosia", "Rapala nissa pahangana", "Rapala nissa palamera", "Pimeleocoris luteus", "Pimeleocoris roseus", "Pimeleocoris viridis", "Coloceras harrisoni", "Patellinirmus harrisoni", "Saemundssonia chathamensis", "Fellaster zelandiae", "Echinocardium australe", "Aphis nelsonensis", "Raymondionymus fossor", "Rapala nissa ranta", "Daphnia pulex", "Hemidactylus pieresii", "Hemidactylus depressus", "Chrysochamela elliptica", "Chrysochamela noeana", "Chrysochamela velutina", "Potentilla opaca", "Hypenodes anatolica", "Helichrysum amorginum", "Helichrysum foetidum", "Helichrysum litoreum", "Ciliopagurus grandis", "Pitcairnia pomacochae", "Asaphodes stinaria", "Asaphodes frivola", "Xanthorhoe bulbulata", "Antillanthus discolor", "Orocrambus fugitivellus", "Schiffermuelleria orthophanes", "Notoreas perornata", "Declana hermione", "Cattleya pumila", "Acanthocystis antonkomolovi", "Acanthocystis olgashelestae", "Bryoerythrophyllum caledonicum", "Cattleya mossiae", "Hyloscirtus princecharlesi", "Psechrus tingpingensis", "Callipharixenos philippines", "Euselasia thucydides", "Euselasia thucydides thucydides", "Euselasia thucydides truncata", "Mesosemia pardalis", "Mesosemia ephyne", "Mesosemia misipsa", "Mesosemia teulem", "Mesosemia esperanza", "Mesosemia bahia", "Mesosemia zikla", "Mesosemia dulcis", "Mesosemia jucunda", "Cattleya trianae", "Achillea nana", "Cattleya purpurata", "Bletia purpurata", "Synodontis decorus", "Synodontis dekimpei", "Synodontis levequei", "Synodontis depauwi", "Synodontis dhonti", "Synodontis dorsomaculatus", "Synodontis eupterus", "Synodontis filamentosus", "Synodontis flavitaeniatus", "Synodontis frontosus", "Oscarella balibaloi", "Oscarella carmela", "Rapala pheretima", "Lathrobium acutissimum", "Euryplatea nanaknihali", "Callipogon maryae", "Coradion chrysozonus", "Pachycara moelleri", "Gobiodon winterbottomi", "Eoophyla ochripicta", "Eoophyla argyropis", "Eoophyla quinqualis", "Eoophyla basilissa", "Eoophyla gephyrotis", "Glyphodes canthusalis", "Glyphodes bilunalis", "Glyphodes pyloalis", "Heterocnephes scapulalis", "Acellalis iridalis", "Adoxobotys cacidus", "Adoxobotys discordalis", "Aglaops homaloxantha", "Aglaops genialis", "Aglaops aurantialis", "Aglaops youboialis", "Xymalos monospora", "Prunella \u00d7 intermedia", "Jasus caveorum", "Prasmiola unica", "Radopholus cavenessi", "Radopholus kahikateae", "Radopholus nelsonensis", "Contracaecum eudyptes", "Longidorus waikouaitii", "Engraulis albidus", "Engraulis capensis", "Engraulis eurystole", "Engraulis mordax", "Murunducaris juneae", "Murunducaris loyolai", "Murunducaris noodti", "Murunducaris dactyloides", "Porterpygus kieri", "Euphydryas maturna staudingeri", "Phyllopsora catervisorediata", "Solanum xanthocarpum", "Boursinia symmicta", "Boursinia oxygramma", "Parapercis rufa", "Adelphenaldis parvicornis", "Ogcodes fumatus", "Ceratitis whartoni", "Ceratitis quinaria", "Ceratitis inscripta", "Ceratitis millicentae", "Ceratitis hamata", "Ceratitis munroi", "Ceratitis serrata", "Ceratitis semipunctata", "Ceratitis zairensis", "Ceratitis punctata", "Ceratitis bremii", "Ceratitis cuthbertsoni", "Ceratitis ditissima", "Ceratitis edwardsi", "Nigilgia venerea", "Nigilgia superbella", "Phycodes superbella", "Phycodes venerea", "Nigilgia aureoviridis", "Nigilgia cuprea", "Nigilgia diehli", "Nigilgia talhouki", "Nigilgia limata", "Phycodes radiata", "Ocenebra erinacea", "Oberthuerella abscinda", "Oberthuerella aureopilosa", "Oberthuerella breviscutellaris", "Oberthuerella crassicornis", "Nemophora divina", "Nemophora dumerilella", "Stigmella suberivora", "Stigmella ilicifoliella", "Gnopharmia colchidaria", "Gnopharmia colchidaria colchidaria", "Gnopharmia colchidaria sinesefida", "Gnopharmia colchidaria objectaria", "Stanhopea saccata", "Parapercis punctulata", "Rapala repercussa", "Rapala repercussa repercussa", "Rapala repercussa sylvana", "Parapercis fuscolineata", "Parapercis maramara", "Psychoda cultella", "Rapala rhoda", "Asplenium dentatum", "Asplenium cornutissimum", "Asplenium badinii", "Asplenium palaciosii", "Asplenium sessilipinnum", "Asplenium vareschianum", "Asplenium dielpallidum", "Asplenium dielfalcatum", "Asplenium leucostegioides", "Asplenium dielmannii", "Asplenium unisorum", "Achantodes cerusicosta", "Rapala rhodopis", "Semperium leptogramma", "Odontoptilum pygela javanica", "Odontoptilum angulata", "Odontoptilum angulata angulata", "Odontoptilum angulata hyperides", "Odontoptilum helias", "Odontoptilum helias helias", "Odontoptilum helias helisa", "Ephormotris dilucidalis", "Ephormotris cataclystalis", "Glossanodon microcephalus", "Eoophyla crassicornalis", "Eoophyla bipunctalis", "Eoophyla latifascialis", "Eoophyla adjunctalis", "Eoophyla colonialis", "Eoophyla aureolalis", "Eoophyla polydora", "Careproctus rausuensis", "Branchiostegus okinawaensis", "Sciarosoma borealis", "Sempervivum globiferum", "Sempervivum heuffelii", "Sempervivum \u00d7 fauconnettii", "Mesosemia albipuncta", "Mesosemia cyanira", "Mesosemia ackeryi", "Mesosemia thetys", "Mesosemia lycorias", "Mesosemia synnephis", "Mesosemia walteri", "Mesosemia minutula", "Mesosemia mosera", "Mesosemia melese", "Mesosemia myonia", "Mesosemia kwokii", "Mesosemia araeostyla", "Mesosemia luperca", "Cretevania pristina", "Cretevania exquisita", "Cretevania vesca", "Synodontis fuelleborni", "Synodontis geledensis", "Tymbopiptus valeas", "Synodontis gobroni", "Synodontis vermiculatus", "Gyrinus nitidulus", "Isoetes pedersenii", "Oscarella cruenta", "Stanhopea hernandezii", "Ramalina yemensis", "Asplenium aequibasis", "Asplenium antiquum", "Rolfidium peltatum", "Asplenium ascensionis", "Russula adulterina", "Russula aerina", "Russula alnetorum", "Stanhopea intermedia", "Stanhopea lietzei", "Stanhopea maculosa", "Stanhopea maduroi", "Stanhopea martiana", "Stanhopea nigripes", "Stanhopea ospinae", "Eoophyla hemimelaena", "Eoophyla hemicryptis", "Eoophyla angustalis", "Eoophyla idiotis", "Eoophyla discalis", "Eoophyla metriodora", "Trimma fasciatum", "Trimma matsunoi", "Stanhopea ruckeri", "Stanhopea greeri", "Stanhopea guttulata", "Agriphiloides longipalpellus", "Parablechnum pacificum", "Dryopteris macropholis", "Dryopteris sweetiorum", "Stanhopea \u00d7 herrenhusana", "Polystichum kenwoodii", "Polystichum uahukaense", "Pteris hivaoaensis", "Pteris marquesensis", "Pteris tahuataensis", "Gnathia marleyi", "Breviceps branchi", "Asplenium truncorum", "Asplenium bradleyi", "Asplenium montanum", "Asplenium tutwilerae", "Kalanchoe gracilipes", "Kalanchoe velutina", "Amynthas gageodo", "Psychoda atlantica", "Psychoda bahiensis", "Psychoda complexa", "Psychoda concavula", "Psychoda ituberanensis", "Psychoda matogrossensis", "Psychoda paranaensis", "Psychoda pedunculata", "Psychoda pentagona", "Psychoda serrana", "Psychoda silvensis", "Psychoda speculata", "Psychoda trilobatula", "Psychoda khoralkhwairensis", "Psychoda romeroi", "Physolaesthus insularis", "Physolaesthus limbatus", "Physolaesthus australis", "Physolaesthus caviceps", "Physolaesthus grandipalpis", "Physolaesthus minor", "Physolaesthus pallidus", "Physolaesthus ruficollis", "Physolaesthus suturalis", "Rapala rhoda sarata", "Rapala rhoda rhoda", "Joculator acuminatus", "Aegypius jinniushanensis", "Asplenium daucifolium", "Aepyceros datoadeni", "Masiakasaurus knopfleri", "Kinosternon pojoaque", "Asplenium marinum", "Carios quadridentatus", "Berosus aragua", "Berosus asymmetricus", "Berosus capanaparo", "Berosus castaneus", "Berosus corozo", "Berosus ebeninus", "Berosus garciai", "Berosus humeralis", "Berosus jolyi", "Berosus llanensis", "Berosus megaphallus", "Berosus ornaticollis", "Berosus repertus", "Berosus tramidrum", "Diplazium cultrifolium", "Asplenium squamosum", "Diplazium striatum", "Asplenium rhizophyllum", "Asplenium hemionitis", "Hymenasplenium obtusifolium", "Asplenium salicifolium", "Pheropsophus windjanae", "Scutula heeri", "Jana ampla", "Jana basoko", "Jana demoulini", "Jana fletcheri", "Jana fontainei", "Jana forbesi", "Jana hecqui", "Jana kivuensis", "Jana nigrorufa", "Jana overlaeti", "Jana plagiatus", "Jana pujoli", "Jana seydeli", "Jana vandeschricki", "Jana viettei", "Jana yokoana", "Jana anyagudae", "Jana dulcinea", "Jana jeanae", "Jana caesarea", "Jana gaitea", "Jana preciosa", "Jana propinquestria", "Jana roseata", "Jana rustica", "Jana transvaalica", "Pandercetes peronianus", "Isopedella ambathala", "Isopedella gibsandi", "Isopedella tindalei", "Isopedella castanea", "Isopedella cerina", "Isopedella maculosa", "Isopedella cana", "Isopedella cerussata", "Isopedella flavida", "Isopedella frenchi", "Isopedella leai", "Isopedella inola", "Isopedella saundersi", "Isopedella conspersa", "Isopedella meraukensis", "Isopedella terangana", "Parablechnum bicolor", "Parablechnum bolivianum", "Lomaria brunea", "Parablechnum cochabambense", "Parablechnum pazense", "Parablechnum reflexum", "Parablechnum repens", "Parablechnum smilodon", "Parablechnum squamatum", "Austroblechnum vallegrandense", "Phytophthora fallax", "Blechnum gracilipes", "Phytophthora captiosa", "Austroblechnum squamipes", "Pleopeltis orientalis", "Pleopeltis oreophila", "Cattleya rex", "Cattleya rupestris", "Cattleya sanguiloba", "Cattleya schilleriana", "Cattleya schofieldiana", "Mesophleps palpigera", "Cattleya schroederae", "Mesophleps ioloncha", "Mesophleps sublutiana", "Cattleya cinnabarina", "Genlisea subg.", "Genlisea subg.", "Isopeda brachyseta", "Isopeda alpina", "Isopeda binnaburra", "Isopeda canberrana", "Isopeda echuca", "Isopeda girraween", "Isopeda magna", "Isopeda parnabyi", "Isopeda prolata", "Isopeda queenslandensis", "Isopeda subalpina", "Isopeda woodwardi", "Isopeda leishmanni", "Holconia westralia", "Isopeda neocaledonica", "Hypostomus kuarup", "Hypostomus mutucae", "Synodontis multipunctatus", "Synodontis polli", "Synodontis tanganyicae", "Synodontis greshoffi", "Zaretis falcis", "Antillesoma antillarum", "Aricoris caracensis", "Aricoris montana", "Thisbe rupestre", "Symmachia basilissa", "Symmachia basilissa basilissa", "Cypripedium \u00d7 ventricosum", "Systomus xouthos", "Systomus banksi", "Systomus binotatus", "Mankyua chejuense", "Jana tripunctata", "Hoplojana watsoni", "Rhodopteriana abyssinica", "Rhodopteriana anaemica", "Rhodopteriana distincta", "Rhodopteriana insignifica", "Rhodopteriana roseobrunnea", "Stanhopea panamensis", "Rhodopteriana soricis", "Rhodopteriana funebris", "Rhodopteriana obscura", "Rhodopteriana rhodoptera", "Stanhopea peruviana", "Striginiana agrippa", "Stanhopea platyceras", "Stanhopea posadae", "Striginiana camerunica", "Striginiana nobilis", "Stanhopea pozoi", "Striginiana pseudostrigina", "Striginiana strigina", "Archolaemus blax", "Stanhopea pseudoradiosa", "Tantaliana crepax", "Tantaliana nigristriata", "Tantaliana tantalus", "Archolaemus ferreirai", "Tantaliana signifera", "Archolaemus janeae", "Cypripedium luzmarianum", "Archolaemus luciae", "Archolaemus orientalis", "Stanhopea pulla", "Stanhopea radiosa", "Archolaemus santosi", "Stanhopea reichenbachiana", "Stanhopea schilleriana", "Stanhopea shuttleworthii", "Stanhopea stevensonii", "Stanhopea tigrina", "Stanhopea tigrina var. tigrina", "Stanhopea tigrina var. nigroviolacea", "Stanhopea wardii", "Stanhopea warszewicziana", "Stanhopea whittenii", "Stanhopea xytriophora", "Stanhopea \u00d7 fowlieana", "Stanhopea \u00d7 horichiana", "Beregama cordata", "Beregama goliath", "Beregama herculea", "Isopeda montana", "Isopeda sungaya", "Isopeda igraya", "Isopeda catmona", "Rhitymna bicolana", "Rhitymna tuhodnigra", "Rhitymna pseudokumanga", "Rhitymna macilenta", "Rhitymna tangi", "Angerona prunaria", "Angerona prunaria prunaria", "Angerona prunaria kentearia", "Angerona prunaria valens", "Angerona prunaria turbata", "Theope lichyi", "Theope campinensis", "Theope ernestinae", "Theope caroli", "Theope sticheli sticheli", "Microtralia occidentalis", "Microtralia insularis", "Nephtheis fascicularis", "Microtralia ovulum", "Leptocroca sanguinolenta", "Microtralia ovula", "Gibberula pfeifferi", "Crassispira aesopus", "Crassispira comasi", "Crassispira flavocincta", "Crassispira fuscocincta", "Crassispira guildingii", "Crassispira hondurasensis", "Crassispira hosoi", "Crassispira integra", "Crassispira kluthi", "Crassispira semigranosa", "Crassispira blanquilla", "Crassispira cana", "Crassispira mackintoshi", "Crassispira masinoi", "Crassispira multicostata", "Holconia flindersi", "Holconia murrayensis", "Holconia neglecta", "Holconia colberti", "Holconia nigrigularis", "Holconia hirsuta", "Typostola heterochroma", "Typostola tari", "Typostola pilbara", "Typostola barbata", "Typostola broomi", "Typostola magnifica", "Typostola major", "Uloma vanuatensis", "Hypostomus nigropunctatus", "Hypostomus albopunctatus", "Hypostomus commersoni", "Hypostomus derbyi", "Hypostomus myersi", "Clematis \u00d7 zanonii", "Asplenium ecuadorense", "Symmachia basilissa paracatuensis", "Eurybia rubeolata", "Eurybia rubeolata rubeolata", "Eurybia rubeolata planaltensis", "Nymphidium caricae", "Nymphidium caricae caricae", "Nymphidium caricae erubescens", "Cypripedium macranthos", "Threticus aenigmaticus", "Threticus unimaculatus", "Threticus irroratus", "Threticus saetheri", "Threticus tanganicus", "Crassispira mayaguanaensis", "Dolerocypris anatolia", "Delena craboides", "Delena gloriosa", "Delena nigrifrons", "Isopeda deianira", "Polybetes pythagoricus", "Serica grahami", "Myosotella myosotis", "Phytia myosotis", "Cypripedium himalaicum", "Cypripedium tibeticum", "Cypripedium yunnanense", "Hemiodus langeanii", "Cypripedium debile", "Cypripedium elegans", "Cypripedium palangshanense", "Cypripedium lichiangense", "Cypripedium margaritaceum", "Cambridgea peculiaris", "Cambridgea secunda", "Cambridgea sylvatica", "Cambridgea occidentalis", "Cambridgea ramsayi", "Cypripedium \u00d7 columbianum", "Cambridgea annulata", "Cambridgea arboricola", "Cambridgea simoni", "Cambridgea foliata", "Cambridgea plagiata", "Zachria flavicoma", "Zachria oblonga", "Holconia immanis", "Cormocephalus rubriceps", "Polyphylla lerestifi", "Coregonus huntsmani", "Steatoda pengyangensis", "Cambridgea agrestis", "Euselasia orfita", "Euselasia eutychus", "Leptosciarella gretae", "Gnopharmia cocandaria", "Gnopharmia cocandaria cocandaria", "Gnopharmia cocandaria afghanistana", "Gnopharmia erema", "Gnopharmia irakensis", "Gnopharmia kasrunensis", "Gnopharmia rubraria", "Camptochaeta austrica", "Asymmetron lucayanum", "Gnopharmia sarobiana", "Mesophleps adustipennis", "Bradysia fontinalis", "Bradysia kirstenae", "Mesophleps safranella", "Mesophleps epiochra", "Mesophleps tabellata", "Mesophleps acutunca", "Zapalla dentata", "Cypripedium bardolphianum", "Cypripedium micranthum", "Cypripedium plectrochilum", "Cypripedium formosanum", "Cypripedium franchetii", "Christensenia aesculifolia subsp. aesculifolia", "Christensenia aesculifolia subsp. korthalsii", "Christensenia lobbiana", "Cypripedium yatabeanum", "Cypripedium \u00d7 alaskanum", "Cypripedium \u00d7 andrewsii", "Asplenium oellgaardii", "Asplenium pseudoangustum", "Omphalomia accersita", "Omphalomia hirta", "Calochlaena novae-guineae", "Somera viriviri", "Pseudogargetta orbiculata", "Ortholomia osica", "Ortholomia osica osica", "Ortholomia osica sulawesiensis", "Ambadra arta", "Ukamenia dimorpha", "Eudemis amamiensis", "Pseudohedya rubellana", "Enarmonia aritai", "Spilonota amamiana", "Lepteucosma kamasawae", "Lepteucosma hirokoyamamotoae", "Phaneta nagaii", "Katha magnata magnata", "Katha magnata nanlingica", "Systomus barbatus", "Systomus hamiltonii", "Systomus kadoon", "Systomus siamensis", "Systomus tripunctatus", "Systomus unimaculatus", "Ampithoe bizseli", "Oligodon kampucheaensis", "Centrolene sabini", "Lyctus planicollis", "Lyctus politus", "Lyctus caribeanus", "Lyctus cavicollis", "Lyctus chilensis", "Lyctus villosus", "Lyctus longicornis", "Lyctus opaculus", "Lyctus simplex", "Lyctus cinereus", "Lyctus parvulus", "Lyctus praeustum", "Lyctus argentinensis", "Lyctus asiaticus", "Lyctus turkestanicus", "Lyctus chacoensis", "Lyctus patagonicus", "Lyctus suturalis", "Lyctus pubescens", "Lyctus hipposideros", "Lyctus parallelocollis", "Lyctus discedens", "Lyctus costatus", "Lyctus oblongus", "Boletopsis nothofagi", "Systomus kuchingensis", "Systomus leiacanthus", "Systomus orphoides", "Hatiora salicornioides", "Lonicera yunnanensis", "Systomus sarana", "Systomus takhoaensis", "Clematis \u00d7 boweri", "Membranola lampang", "Clematis tubulosa var. ichangensis", "Nola basinigra", "Clematis tubulosa var. tubulosa", "Pelinobius muticus", "Clematis versicolor", "Christensenia aesculifolia", "Theope sticheli reductor", "Theope foliolum", "Stanhopea \u00d7 lewisae", "Stanhopea \u00d7 quadricornis", "Stanhopea \u00d7 thienii", "Theope christophi", "Theope christophi christophi", "Theope christophi rorota", "Theope fernandezi", "Euphaedra incognita", "Euphaedra fusca", "Euphaedra obtura", "Euphaedra minima", "Euphaedra elegans", "Euphaedra obsolescens", "Euphaedra plena", "Euphaedra shaba", "Euphaedra lequeuxiana", "Euphaedra sufflavus", "Euphaedra languens", "Euphaedra festiva", "Euphaedra upemba", "Euphaedra lacteata", "Euphaedra rufobrunnea", "Euphaedra gashaka", "Euphaedra elongata", "Onopordum turcicum", "Perisama bomplandii", "Siebera pungens", "Siebera nana", "Trichomycterus anhanga", "Trichomycterus hasemani", "Trichomycterus johnsoni", "Stanhopea haseloffiana", "Cattleya pygmaea", "Leontodon saxatilis", "Hemiowoodwardia wilsoni", "Phlegmariurus fordii", "Clematis cadmia var. cadmia", "Asplenium \u00d7 wherryi", "Clematis longistyla", "Sciadocera rufomaculata", "Prioriphora schroederhohenwarthi", "Prioriphora intermedia", "Prioriphora setifemoralis", "Prioriphora longicostalis", "Prioriphora casei", "Prioriphora luzzii", "Lecithocera calomerida", "Lecithocera gilviana", "Lecithocera orbiculata", "Lecithocera tumidosa", "Lecithocera poculata", "Lecithocera eremiodes", "Prioriphora canadambra", "Prioriphora cheburashka", "Prioriphora polyankae", "Benthobatis kreffti", "Benthobatis marcida", "Benthobatis moresbyi", "Benthobatis yangi", "Metacosma bifurcata", "Ophrys fuciflora", "Ophioglossum petiolatum", "Eupodium laeve", "Asplenium pinnatifidum", "Asplenium platyneuron", "Asplenium \u00d7 ebenoides", "Cypripedium \u00d7 catherinae", "Cypripedium \u00d7 herae", "Cypripedium \u00d7 wenqingiae", "Lichas australis", "Blaste quieta", "Antricola delacruzi", "Antricola guglielmonei", "Antricola inexpectata", "Polygrapha xenocrates ernestoi", "Memphis anna", "Memphis anna anna", "Memphis anna elina", "Memphis dia", "Memphis dia dia", "Memphis dia divina", "Memphis polyxo", "Memphis verticordia", "Memphis verticordia verticordia", "Memphis verticordia mayaguanae", "Memphis verticordia venus", "Adenandra villosa", "Aeglopsis chevalieri", "Oleria aegle", "Oleria aegle aegle", "Oleria aegle divisa", "Oleria aegle egra", "Clematis ser.", "Clematis subsect.", "Clematis obvallata", "Dichrorampha dinarica", "Urodacus butleri", "Brangas caranus", "Brangas getus", "Brangas felderi", "Brangas silumena", "Brangas carthaea", "Brangas dydimaon", "Brangas neora", "Brangas rita", "Brangas coccineifrons", "Brangas torfrida", "Brangas contrastus", "Brangas insolitus", "Brangas moserorum", "Brangas neildonatus", "Brangas polonus", "Brangas rambutorum", "Dabreras teucria", "Aporia martineti", "Aporia martineti martineti", "Aporia martineti konbogyandaensis", "Trochusinus cospata", "Trochusinus eronos", "Trochusinus trochus", "Trochusinus gabriela", "Trochusinus matthewi", "Trochusinus pilosa", "Trochusinus roberti", "Trochusinus romero", "Trochusinus walteri", "Trochusinus werneri", "Crenicichla chicha", "Crenicichla hemera", "Synodontis grandiops", "Synodontis ilebrevis", "Synodontis lucipinnis", "Synodontis granulosus", "Eretris suprarufescens", "Synodontis irsacae", "Synodontis melanostictus", "Cattleya quadricolor", "Cypripedium calcicola", "Cypripedium forrestii", "Carpophilus maculatus", "Carpophilus africanus", "Carpophilus cheesmani", "Afraegle gabonensis", "Afraegle paniculata", "Balfourodendron riedelianum", "Balsamocitrus dawei", "Balsamocitrus camerunensis", "Glyptothorax scrobiculus", "Oxymycterus rufus", "Oxymycterus amazonicus", "Thamnomys poensis", "Grammomys rutilans", "Thamnomys rutilans", "Oxymycterus rutilans", "Intellagama lesueurii", "Carios mimon", "Cypripedium segawae", "Angostura trifoliata", "Diosma hirsuta", "Empleurum unicapsulare", "Euodia hortensis", "Geijera paniculata", "Geijera parviflora", "Geleznowia calycina", "Lauria gomerensis", "Lauria cylindracea", "Helicodiscus riparbellii", "Helicodiscus singleyanus", "Halfordia kendack", "Hortia brasiliana", "Antricola armasi", "Antricola centralis", "Antricola hummelinki", "Antricola siboneyi", "Antricola cernyi", "Antricola granasi", "Antricola habanensis", "Antricola martelarum", "Antricola naomiae", "Antricola occidentalis", "Antricola silvai", "Antricola mexicanus", "Antricola coprophilus", "Antricola marginatus", "Carios jerseyi", "Biarum pyrami", "Zaretis itys", "Zaretis itylus", "Zaretis callidryas", "Zaretis ellops", "Zaretis isidora", "Zaretis syene", "Zaretis pythagoras", "Anaea troglodyta", "Anaea troglodyta troglodyta", "Anaea troglodyta astina", "Anaea troglodyta aidea", "Anaea troglodyta andria", "Anaea troglodyta cubana", "Anaea troglodyta borinquenalis", "Anaea troglodyta floridalis", "Anaea troglodyta minor", "Anaea troglodyta portia", "Coenophlebia archidona", "Polygrapha suprema", "Polygrapha tyrianthina", "Polygrapha xenocrates", "Polygrapha xenocrates xenocrates", "Polygrapha xenocrates punctimarginale", "Cigaritis larseni", "Cigaritis acamas", "Cigaritis zohra", "Cigaritis zohra zohra", "Cigaritis zohra monticola", "Chaetostoma guairense", "Clematis brasiliana", "Amphipsalta zelandica", "Nothoaspis amazoniensis", "Nothoaspis reddelli", "Argas keiransi", "Simulium aziruni", "Simulium terengganuense", "Carios boueti", "Carios vespertilionis", "Carios rondoniensis", "Hypophthalmichthys okuyamai", "Acanthopsyche calamochroa", "Acanthopsyche carbonarius", "Acanthopsyche ebneri", "Acanthopsyche entwistlei", "Acanthopsyche melanoleuca", "Acanthopsyche mixta", "Acanthopsyche sierricola", "Acanthopsyche tristis", "Acanthopsyche tristoides", "Acanthopsyche emiliae", "Phalaenopsis amabilis subsp. moluccana", "Acanthopsyche zernyi", "Afropsyche nigripennis", "Phalaenopsis amabilis subsp. rosenstromii", "Oiketicoides sudanica", "Oiketicoides africana", "Auchmophila kordofensis", "Bourgognea microcera", "Bourgognea grandis", "Bourgognea maxima", "Bourgognea reimeri", "Bourgognea obscurior", "Deborrea malgassa", "Deborrea robinsoni", "Deborrea cambouei", "Pseudometisa alba", "Pseudometisa aemula", "Oiketicus angulatus", "Eumeta hardenbergi", "Eumeta mercieri", "Eumeta rotunda", "Burkillanthus malaccensis", "Eumeta rougeoti", "Eumeta strandi", "Calodendrum capense", "Chorilaena quercifolia", "Cneoridium dumosum", "Fountainea glycerium comstocki", "Crowea angustifolia", "Crowea exalata", "Memphis verticordia bahamae", "Memphis verticordia danieliana", "Memphis verticordia intermedia", "Lotilia klausewitzi", "Lotilia graciliosa", "Micranthemum micranthemoides", "Neomyro amplius", "Neomyro circe", "Neomyro scitulus", "Clematis \u00d7 macrantha", "Clematis ser.", "Cypripedium lentiginosum", "Cypripedium ludlowii", "Stenoloba hystrix", "Lecithocera brachyptila", "Lecithocera megalosperma", "Lecithocera purpurea", "Lecithocera straurophora", "Lecithocera staurophora", "Lecithocero stelophanes", "Lecithocera stelophanes", "Lecithocera submersa", "Lecithocera biaroensis", "Monanthocitrus cornuta", "Naringi crenulata", "Orixa japonica", "Cypripedium sichuanense", "Cypripedium taibaiense", "Cypripedium wumengense", "Clematis carrizoensis", "Ischalea spinipes", "Tetragnatha tenella", "Trioceros kinangopensis", "Alectrias markevichi", "Megaselia pennisetalis", "Megaselia tarsocrassa", "Psilopeganum sinense", "Ravenia spectabilis", "Ravenia urbanii", "Rhadinothamnus anceps", "Thamnosma montana", "Wenzelia dolichophylla", "Zieria smithii", "Dohrniphora densilinearis", "Tabanus wilsoni", "Lecithocera brunneibella", "Lecithocera inkyuleei", "Clematis subtriternata", "Lecithocera hispidiella", "Lecithocera gyrosiella", "Lecithocera spinulata", "Lecithocera stichoides", "Lecithocera ceratoides", "Lecithocera porrectiella", "Lecithocera lasioides", "Lecithocera castanoma", "Lecithocera mylitacha", "Lecithocera spinigera", "Lecithocera strepsicrena", "Katha prabana", "Aegla saltensis", "Aegla longirostri", "Aegla muelleri", "Aegla pomerana", "Aegla brevipalma", "Aegla leachi", "Aegla oblata", "Aegla occidentalis", "Aegla platensis", "Megaselia randi", "Megaselia crellini", "Megaselia winqvisti", "Megaselia excorticata", "Megaselia tignorum", "Pamburus missionis", "Paramignya lobata", "Paramignya longipedunculata", "Paramignya monophylla", "Megaselia parspallida", "Paramignya scandens", "Pentaceras australe", "Megaselia lobatafurcae", "Megaselia pagolacartei", "Philotheca buxifolia", "Pleiospermium alatum", "Pleiospermium latialatum", "Limnocitrus littoralis", "Luvunga monophylla", "Luvunga scandens", "Metrodorea nigra", "Physiphora insulaepaschalis", "Lipsana insulaepaschalis", "Pacindonus bryani", "Metius chilensis", "Notiobia cupripennis", "Clematis ser.", "Fissidens pascuanus", "Hulua manga", "Hulua pana", "Hulua minima", "Channa longistomata", "Reinga media", "Reinga waipoua", "Reinga aucklandensis", "Naso annulatus", "Albarracina warionis", "Sphrageidus similis", "Laelia coenosa", "Gymnothorax eurostus", "Casama innotata", "Gymnothorax favagineus", "Calliteara pudibunda", "Calliteara abietis", "Gymnothorax javanicus", "Dicallomera fascelina", "Clethrogyna corsica", "Devario kysonensis", "Penthophera morio", "Trichomycterus puriventris", "Opuntia aurea", "Opuntia strigil", "Trichomycterus alternatus", "Epatolmis luctifera", "Trichomycterus longibarbatus", "Fumana trisperma", "Ocnogyna zoraida zoraida", "Minuartia hirsuta", "Minuartia eurytanica", "Ocnogyna parasita", "Minuartia hirsuta subsp. falcata", "Minuartia hirsuta subsp. frutescens", "Minuartia dianthifolia", "Vicia cracca subsp. incana", "Lathyrus armenus", "Hemichromis lifalili", "Phragmipedium caudatum", "Kopua kuiteri", "Kopua japonica", "Lacuniola hadrorhacha", "Crinellus eremicus", "Gallicolumba leonpascoi", "Ducula harrisoni", "Bactrocera paradiospyri", "Bactrocera setinervis", "Dacus setinervis", "Sirex abietinus", "Sirex xerophilus", "Sirex mexicanus", "Sirex hispaniola", "Channa hoaluensis", "Channa ninhbinhensis", "Neodontobutis ngheanensis", "Neodontobutis aurarmus", "Neodontobutis hainanensis", "Neodontobutis macropectoralis", "Neodontobutis tonkinensis", "Clematis javana", "Phragmipedium andreettae", "Echinorhynchus lesteri", "Laetacara flamannellus", "Apistogramma allpahuayo", "Ctenocheirodon pristis", "Ancistrocerus isla", "Stenodynerus otomitus", "Ancistrocerus neavei", "Lissodynerus laminiger", "Ancistrocerus auctus", "Ancistrocerus bolivianus", "Ancistrocerus borneanus", "Ropalidia nigra", "Ancistrocerus cingulatus", "Ancistrocerus densepilosellus", "Carinstrocerus dolorans", "Ancistrocerus domesticus", "Eustenancistrocerus egidae", "Ancistrocerus parietinus", "Ancistrocerus massanensis", "Ancistrocerus unimarginatus", "Ancistrocerus tinctipennis", "Ancistrocerus stevensoni", "Ancistrocerus kitcheneri", "Parancistrocerus pedestris", "Ancistrocerus durangoensis", "Ancistrocerus catskill", "Ancistrocerus horni", "Ancistrocerus hypodynericolor", "Ancistrocerus inconstans", "Ancistrocerus intermediatus", "Ancistrocerus iranensis", "Ancistrocerus kuraruensis", "Ancistrocerus lecontei", "Ancistrocerus leensis", "Cryptocheilus australis", "Gynoplistia pedestris", "Chrysopa skottsbergi", "Tetragnatha paschae", "Melampus pascus", "Clematis sect.", "Clematis ser.", "Phallostethus cuulong", "Obliquogobius fluvostriatus", "Clematis ochroleuca", "Clematis coactilis", "Discordipinna griessingeri", "Discordipinna filamentosa", "Clematis albicoma", "Eucosma blanchardi", "Eucosma mescalerana", "Eucosma maculosa", "Eucosma lafontainei", "Eucosma angelana", "Eucosma candida", "Eucosma johnstoni", "Eucosma rufocostana", "Eucosma conspiciendana", "Eucosma cataclystiana", "Utah sanrafaelensis", "Strymon solitario", "Kopua nuimata", "Stigmatogobius elegans", "Stigmatogobius signifer", "Kasyniana shardana", "Dichrorampha obliqua", "Dichrorampha brusquaea", "Dichrorampha mnesisocia", "Dichrorampha atomosa", "Dichrorampha limae", "Dichrorampha horata", "Dichrorampha rhaphidagus", "Dichrorampha telaria", "Dichrorampha phoreosocia", "Dichrorampha ischyros", "Dichrorampha albicans", "Dichrorampha brevis", "Dichrorampha ochripalpana", "Dichrorampha laevigata", "Dichrorampha loncheres", "Dichrorampha ipameriae", "Clematis mauritiana var. kelleriana", "Dichrorampha deindentata", "Dichrorampha opipara", "Mesophleps crocina", "Steatoda paykulliana", "Eucosma capnoleuca", "Eucosma catharaspis", "Eucosma directa", "Eucosma catoptrana", "Eucosma certana", "Eucosma circulana", "Eucosma clarescens", "Eucosma comatulana", "Eucosma conformana", "Eucosma confunda", "Eucosma coniogramma", "Eucosma consociana", "Eucosma conterminana", "Eucosma corosana", "Eucosma costastrigulana", "Eucosma crambitana", "Eucosma cretaceana", "Eucosma culmana", "Eucosma cumulana", "Eucosma dapsilis", "Eucosma denigratana", "Eucosma denverana", "Eucosma derelicta", "Eucosma diakonoffi", "Eucosma dilatana", "Eucosma discernata", "Eucosma disjectana", "Eucosma dodana", "Eucosma doiinthanonensis", "Eucosma eburata", "Clethrogyna aurolimbata", "Clethrogyna dubia", "Clethrogyna antiquoides", "Clethrogyna trigotephras", "Clethrogyna rupestris", "Synechodes olivora", "Synechodes diabolus", "Synechodes agrippina", "Synechodes platysema", "Synechodes fulvoris", "Synechodes megaloptera", "Synechodes royalis", "Synechodes rubroris", "Synechodes sumatrana", "Synechodes papuana", "Miscera dohertyi", "Miscera basichrysa", "Miscera basichrysa basichrysa", "Miscera basichrysa extensa", "Miscera eubrachycera", "Paranigilgia morosa", "Paranigilgia aritai", "Paranigilgia bushii", "Rapala pheretima petosiris", "Rapala pheretima pheretima", "Rapala pheretima sakaia", "Rapala pheretima sequeira", "Rapala pheretima tiomana", "Rapala rectivitta", "Rosa pendulina", "Oscarella imperialis", "Oscarella kamchatkensis", "Oscarella malakhovi", "Oscarella membranacea", "Oscarella viridis", "Oscarella microlobata", "Aplysilla rubra", "Oscarella tenuis", "Oscarella ochreacea", "Oscarella tuberculata", "Periclimenaeus parkeri", "Pseudocorticium jarrei", "Daseochaeta viridis", "Lamprosticta culta", "Lamprosticta culta culta", "Lamprosticta culta albescens", "Lamprosticta culta plumbitincta", "Valerietta niphopasta", "Valerietta forsteri", "Valerietta hreblayi", "Phenacogrammus interruptus", "Valerietta beshkovi", "Valerietta boursini", "Ancistrocerus liliae", "Ancistrocerus marginaticollis", "Ancistrocerus mediterraneus", "Ancistrocerus megaspilus", "Ancistrocerus moeschleri", "Ancistrocerus nearcticus", "Ancistrocerus neocallosus", "Ancistrocerus nitidissimus", "Ancistrocerus nominalis", "Ancistrocerus or", "Ancistrocerus ormsbyensis", "Ancistrocerus parazairensis", "Ancistrocerus parieum", "Ancistrocerus parvispinosus", "Ancistrocerus pharao", "Ancistrocerus phoenixensis", "Ancistrocerus polonica", "Ancistrocerus pictipes", "Ancistrocerus quadratus", "Ancistrocerus sexcingulatus", "Ancistrocerus subrenimacula", "Ancistrocerus thomsoni", "Ancistrocerus truncatus", "Ancistrocerus verhaereni", "Ancistrocerus yamanei", "Ancistrocerus zairensis", "Ancistrocerus tenebrosus", "Ancistrocerus extremus", "Ancistrocerus coreanus", "Ancistrocerus leleji", "Pseudonortonia kisangani", "Ocnogyna parasita parasita", "Ocnogyna parasita lianea", "Ocnogyna parasita arenosa", "Ocnogyna parasita rothschildi", "Ocnogyna nogelli", "Ocnogyna breveti", "Ocnogyna corsicum corsicum", "Delias aroae aroae", "Delias aroae yabensis", "Delias pheres pheres", "Delias pheres approximata", "Crocus karduchorum", "Rhodeus ocellatus ocellatus", "Cyanocharax obi", "Aphyosemion pseudoelegans", "Scriptaphyosemion wieseae", "Congochromis robustus", "Melanotaenia arguni", "Melanotaenia urisa", "Melanotaenia veoliae", "Melanotaenia wanoma", "Sidymella longipes", "Sidymella angularis", "Sidymella angulata", "Sidymella benhami", "Oreobates machiguenga", "Waipoua ponanga", "Waipoua otiana", "Stathmopoda magnisignata", "Seriphidium santonicum", "Artemisia santonicum subsp. patens", "Artemisia santonicum subsp. santonicum", "Stathmopoda callicarpicola", "Stathmopoda gemmiconsuta", "Colchicum crocifolium", "Stathmopoda luxuriivora", "Stathmopoda flavescens", "Teucrium chasmophyticum", "Onobrychis fallax var. fallax", "Onobrychis fallax var. longifolia", "Derilissus nanus", "Derilissus altifrons", "Derilissus kremnobates", "Derilissus vittiger", "Derilissus lombardii", "Clematis ser.", "Laccognathus embryi", "Laccognathus grossi", "Laccognathus panderi", "Sinaldocader drakei", "Sinaldocader ponomarenkoi", "Sinaldocader rasnitsyni", "Papaver humile", "Papaver glaucum", "Papaver macrostomum", "Papaver rubroaurantiacum", "Papaver oreophilum", "Papaver schinzeanum", "Papaver aculeatum", "Pelargonium \u00d7 citrosum", "Pelargonium \u00d7 limoneum", "Clematis urticifolia", "Geranium ibericum subsp. ibericum", "Geranium ibericum subsp. jubatum", "Dorycnium graecum", "Clematis stans var. austrojaponensis", "Clematis stans var. stans", "Hisonotus bockmanni", "Apteronotus lindalvae", "Nothobranchius niassa", "Rasbora cryptica", "Pangio ammophila", "Melanorivulus pindorama", "Schistura prolixifasciata", "Notoraja alisae", "Notoraja fijiensis", "Notoraja longiventralis", "Notoraja inusitata", "Parotocinclus robustus", "Clematis subsect.", "Clematis subsect.", "Rodolia yemenensis", "Scymnus kapuri", "Scymnus helmutfurschi", "Clematis ser.", "Neocryptopygus nivicolus", "Clematis ser.", "Clematis ser.", "Desoria klovstadi", "Clematis ser.", "Euselasia scotinosa", "Euselasia scotinosa scotinosa", "Euselasia scotinosa matouryensis", "Euselasia rufomarginata", "Euselasia michaeli", "Pelargonium cucullatum subsp. cucullatum", "Mesosemia kahuapayani", "Pelargonium cucullatum subsp. strigifolium", "Mesosemia quadralineata", "Pelargonium \u00d7 citriodorum", "Calospila lucianus", "Calospila lucianus lucianus", "Calospila lucianus concinna", "Calospila emylius", "Calospila emylius emylius", "Calospila emylius crispinella", "Calospila emylius emyliana", "Calospila parthaon", "Calospila gyges", "Careproctus kamikawai", "Careproctus lycopersicus", "Careproctus ovigerus", "Papaver pseudocanescens", "Eucosma flavispecula", "Eucosma floridana", "Eucosma fofana", "Rapala rhoecus", "Platanthera sparsiflora", "Mystus velifer", "Platanthera stricta", "Perimegatoma vespulae", "Cephennodes qiongdaoanus", "Cephennodes capra", "Cephennodes capricornis", "Cephennodes clypeatus", "Cephennodes clypeicornis", "Cephennodes guizhouanus", "Cephennodes zunyianus", "Glossodoris bombayana", "Glossodoris katoi", "Glossodoris semeion", "Glossodoris thalassopora", "Scydmaenus tarsatus", "Dilyta orientalis", "Ficus dewolfii", "Neoclytus scutellaris", "Neoclytus fraterculus", "Neoclytus zonatus", "Neoclytus vitellinus", "Neoclytus anama", "Neoclytus pinima", "Neoclytus potiuna", "Neoclytus turuna", "Neoclytus peruvianus", "Neoclytus amazonicus", "Neoclytus canescens", "Squalus formosus", "Squalus raoulensis", "Squalus griffini", "Tetraphalerus decorosus", "Eucosma fuscida", "Pseudanthias heemstrai", "Eucosma galenapunctana", "Eucosma giarabubensis", "Pseudanthias hypselosoma", "Eucosma giganteana", "Eucosma giganteana giganteana", "Eucosma giganteana minorata", "Pseudanthias ignitus", "Pseudanthias lunulatus", "Eucosma gilletteana", "Eucosma glebana", "Eucosma glomerana", "Pseudanthias marcia", "Eucosma gomonana", "Eucosma gonzalezalvarezi", "Eucosma gorodkovi", "Carmenta foraseminis", "Carmenta tildeni", "Hesperia lindseyi mccorklei", "Waipoua montana", "Waipoua gressitti", "Waipoua totara", "Losdolobus opytapora", "Losdolobus ybypora", "Tangata kohuka", "Tangata horningi", "Pounamuella insula", "Pounamuella kuscheli", "Subantarctia muka", "Ocnogyna clathrata", "Ocnogyna clathrata clathrata", "Ocnogyna clathrata cypriaca", "Ocnogyna anatolica", "Ocnogyna faroulti", "Ocnogyna joiceyi", "Ocnogyna joiceyi joiceyi", "Ocnogyna joiceyi chneouri", "Ocnogyna leprieuri", "Artimelia latreillii latreillii", "Hypselodoris cuis", "Hypselodoris maculosa", "Clematis psilandra", "Phragmatobia fuliginosa fuliginosa", "Cratena kaoruae", "Cratena pilata", "Arctia caja caja", "Lycaena rubidus perkinsorum", "Lycaena rubidus longi", "Lycaena rubidus sirius", "Lycaena rubidus monachensis", "Lycaena rubidus ferrisi", "Lycaena rubidus incana", "Magnastigma hirsuta", "Magnastigma julia", "Magnastigma elsa", "Melanorivulus schuncki", "Parrhasius polibetes", "Eucosma ephedrana", "Eucosma esmodes", "Eucosma exclusoriana", "Eucosma excusabilis", "Eucosma explicatana", "Eucosma fandana", "Eucosma fernaldana", "Eucosma fervidana", "Eucosma fiskeana", "Pseudanthias pulcherrimus", "Pseudanthias squamipinnis", "Thalictrum sect.", "Thalictrum sect.", "Thalictrum sect.", "Thalictrum sect.", "Thalictrum sect.", "Thalictrum sect.", "Thalictrum subsect.", "Pseudanthias taeniatus", "Pseudanthias townsendi", "Pseudanthias unimarginatus", "Thalictrum subsect.", "Thalictrum subsect.", "Thalictrum delavayi", "Thalictrum reniforme", "Thalictrum subsect.", "Austrobatrachus iselesele", "Platanthera dilatata var. dilatata", "Scaphoideus biprocessus", "Scaphoideus shovelaedeagus", "Scaphoideus spinulosus", "Scaphoideus curvatureus", "Scaphoideus unimaculatus", "Scaphoideus dellagiustinai", "Scaphoideus quangtriensis", "Harpalus abasinus", "Harpalus dudkoi", "Harpalus stevensi", "Harpalus hiekei", "Harpalus medvedevi", "Crataerina pacifica", "Crataerina debilis", "Cryptachaea gigantipes", "Ruta lamarmorae", "Ruta corsica", "Trite planiceps", "Thalictrum subg.", "Thalictrum sect.", "Thalictrum subsect.", "Paramamoea aquilonalis", "Paramamoea arawa", "Paramamoea waipoua", "Pseudanthias pillai", "Paramamoea incerta", "Pomacentrus maafu", "Pseudanthias bicolor", "Paramamoea tuna", "Paramamoea incertoides", "Pseudanthias bimaculatus", "Paramamoea paradisica", "Pseudanthias bimarginatus", "Paramamoea parva", "Paramamoea urewera", "Pseudanthias gibbosus", "Pseudanthias connelli", "Pseudanthias conspicuus", "Pseudanthias cooperi", "Pseudanthias evansi", "Gnathia masca", "Eucosma fraudabilis", "Eucosma fraudulentana", "Eucosma fritillana", "Eucosma fulminana", "Eucosma fulvana", "Thalictrum subsect.", "Thalictrum sect.", "Atlantocuma gamoi", "Atlantocuma ojii", "Atlantocuma ramses", "Algophagus brachytarsus", "Algophagus macrolithus", "Algophagus pennsylvanicus", "Thalictrum kiusianum", "Mecodema pavidum", "Megacolabus obesus", "Menimus sinuatus", "Paratorchus alifer", "Paratorchus flexuosus", "Parasiagonum hudsoni", "Myrsine kermadecensis", "Paradictyna ilamia", "Epizoanthus paguricola", "Epizoanthus paguriphilus", "Pyricularia cortaderiae", "Thalictrum ichangense", "Thalictrum subsect.", "Paraccra chorogiae", "Bythocythere solisdeus", "Hylaeus dolichocephalus", "Hylaeus altaicus", "Hylaeus telmenicus", "Hylaeus angustatus", "Hylaeus rinki", "Hylaeus concinnus", "Hylaeus aborigensis", "Hylaeus confusus", "Hylaeus pallescens", "Hylaeus nigrocuneatus", "Hylaeus transversalis", "Hylaeus annulatus", "Hylaeus cardioscapus", "Hylaeus communis", "Hylaeus gracilicornis", "Hylaeus leptocephalus", "Hylaeus montivagus", "Hylaeus nigritus", "Hylaeus paulus", "Hylaeus sibiricus", "Hylaeus dilatatus", "Hylaeus pfankuchi", "Hylaeus niger", "Hylaeus difformis", "Hylaeus incongruus", "Hylaeus signatus", "Hylaeus variegatus", "Hylaeus annularis", "Hylaeus aberrans", "Trichocera chuluuta", "Trichocera brevis", "Trichocera borealis", "Trichocera annulata", "Trichocera rufescens", "Calochortus subsect.", "Calochortus subsect.", "Calochortus subsect.", "Dasybasis chiloensis", "Dasybasis bratrankii", "Dasybasis difficilis", "Dasybasis loewi", "Dasybasis nigripes", "Dasybasis opla", "Dasybasis sarpa", "Dasybasis thereviformis", "Dasybasis transversa", "Dasybasis truncata", "Dasybasis viridis", "Thalictrum subsect.", "Anthophora nachitaiensis", "Anthophora affabilis", "Scaptia concolor", "Scaptia adrel", "Scaptia brevipalpis", "Scaptia lerda", "Scaptia milleri", "Scaptia montana", "Scaptia ricardoae", "Scaptia ferromontana", "Nothobranchius kirki", "Thalictrum urbainii", "Pilosocereus frewenii", "Thalictrum urbainii var. majus", "Thalictrum urbainii var. urbainii", "Thalictrum subg.", "Thalictrum sect.", "Thalictrum cooleyi", "Thalictrum aquilegiifolium var. aquilegiifolium", "Thalictrum aquilegiifolium var. sibiricum", "Thalictrum aquilegiifolium var. intermedium", "Aphis grossulariae", "Calochortus subsect.", "Calochortus subsect.", "Calochortus subsect.", "Calochortus subsect.", "Calochortus subsect.", "Calochortus subsect.", "Calochortus subsect.", "Calochortus subsect.", "Calochortus subsect.", "Trichocera saltator", "Trichocera pappi", "Trichocera mishmi", "Trichocera barraudi", "Trichocera bilobata", "Trichocera calva", "Trichocera implicata", "Trichocera recondita", "Trichocera regelationis", "Trichocera sparsa", "Trichocera dahlae", "Trichocera rufulenta", "Trichocera tsugaruensis", "Anteon crassum", "Anteon tadauchii", "Lasioglossum tadauchii", "Thalictrum rochebrunnianum", "Thalictrum coreanum", "Verbascum euphraticum", "Verbascum melitenense", "Verbascum hasbenlii", "Verbascum ancyritanum", "Verbascum inulifolium", "Platycodon grandiflorus", "Nothobranchius kilomberoensis", "Nothobranchius makondorum", "Bythocythere mylaensis", "Paradictyna rufoflava", "Macrobrachium jacatepecense", "Macrobrachium oaxacae", "Synodontis iturii", "Taenia multiceps", "Paraccra mimesa", "Aethionema rhodopaeum", "Plinthograptis clostos", "Plinthograptis clyster", "Plinthograptis pleroma", "Plinthograptis rhytisma", "Plinthograptis sipalia", "Plinthograptis seladonia", "Plinthograptis ebogana", "Thalictrum subsect.", "Panegyra stenovalva", "Thalictrum subsect.", "Panegyra micans", "Thalictrum petaloideum", "Panegyra metria", "Panegyra cerussochlaeena", "Panegyra cerussochlaena", "Panegyra flavicostana", "Panegyra cosmophora", "Panegyra sectatrix", "Cytheropteron eleonorae", "Apotoforma apatela", "Verbascum bugulifolium", "Verbascum agrimoniifolium", "Verbascum bombyciferum", "Verbascum caesareum", "Thalictrum delavayi var. delavayi", "Thalictrum delavayi var. decorum", "Thalictrum delavayi var. acuminatum", "Thalictrum delavayi var. mucronatum", "Macrobrachium cosolapaense", "Macrobrachium mazatecum", "Macrobrachium pantanalense", "Cytheropteron vricanum", "Cytheropteron cuneatissimum", "Cytheropteron tesakovae", "Trichocera abieticola", "Trichocera alpina", "Trichocera alticola", "Trichocera altipons", "Trichocera andorrensis", "Trichocera antennata", "Trichocera arctica", "Trichocera arisanensis", "Trichocera arnaudi", "Trichocera auripennis", "Nigma tuberosa", "Nigma canariensis", "Scaptia arnhemensis", "Scaptia aurifulga", "Scaptia nelsonae", "Scaptia nigripuncta", "Cucujus tulliae", "Aphanius arakensis", "Lepmia leucothorax", "Scaptia subandina", "Scaptia viridiventris", "Scaptia subulipalpis", "Lepmia molesta", "Lepmia seminigra", "Scaptia horrens", "Anzomyia herculensis", "Dasybasis kuniae", "Dasybasis lydiae", "Dasybasis evenhuisi", "Dasybasis gracilipalpis", "Dasybasis ponandouensis", "Dasybasis setipalpis", "Dasybasis chazeaui", "Dasybasis danielae", "Dasybasis tillierorum", "Dasybasis grenieri", "Dasybasis rageaui", "Dasybasis rubicallosa", "Dasybasis tiwakai", "Cydistomyia tiwakai", "Thalictrum subsect.", "Bucsekia yazakii", "Cranopsis aethiopitica", "Puncturella serraticosta", "Puncturella similis", "Scaptia maculiventris", "Scaptia subappendiculata", "Scaptia auriflua", "Scaptia monticola", "Scaptia stictica", "Scaptia australis", "Lepmia hibernus", "Thalictrum subsect.", "Panolia eldii eldii", "Agrocybe praecox", "Thalictrum sect.", "Thalictrum subsect.", "Thalictrum occidentale", "Calochortus monophyllus", "Tillandsia cucaensis", "Comptosia virida", "Meriones meridianus", "Cytherella gaasensis", "Cytherella kerryswansoni", "Cytherelloidea robinwhatleyi", "Amphisbaena gracilis", "Paramexiweckelia ruffoi", "Calocera cornea", "Cuthona giarannae", "Lactarius turpis", "Dendrolimus punctatus punctatus", "Dendrolimus punctatus wenchanensis", "Dendrolimus punctatus tehchangensis", "Calochortus splendens", "Calochortus superbus", "Calochortus uniflorus", "Calochortus venustus", "Calochortus vestae", "Epigonus chilensis", "Epigonus machaera", "Epigonus constanciae", "Physoschistura chindwinensis", "Calochortus kennedyi", "Camelus ferus", "Bavayia nubila", "Plantago udicola", "Empodisma robustum", "Stauromenia australis", "Prasiola novaezelandiae", "Hymenenopsis heterophylla", "Galaxias tabidus", "Galaxias parvirostris", "Galaxias papilionis", "Galaxias angustiventris", "Galaxias bobmcdowalli", "Galaxias brevicauda", "Rhachotropis novazealandica", "Astilbe \u00d7 photeinophylla", "Astilbe \u00d7 intermedia", "Calochortus gunnisonii", "Calochortus gunnisonii var. perpulcher", "Downingia bella", "Chaetodon reticulatus", "Epidendrum cornutum", "Allothereua bidenticulata", "Astilbe sect.", "Astilbe sect.", "Colubrisquilla dempsey", "Ramalina erumpens", "Ramalina riparia", "Ramalina inflexa", "Tridax paneroi", "Ageratina iltisii", "Ageratina microcephala", "Ageratina reserva", "Sicyos mawhai", "Sicyos undara", "Cheilolejeunea celata", "Spatalistis aglaoxantha", "Spatalistis crocomis", "Spatalistis droserantha", "Spatalistis hormota", "Spatalistis orbigera", "Spatalistis rhopica", "Spatalistis translineata", "Spatalistis tyrophthora", "Hyssopus septemcrenatus", "Hyssopus septemfidus", "Silene azirensis", "Silene akmaniana", "Silene amana", "Silene arguta", "Silene apetala", "Silene argaea", "Silene araratica", "Silene araratica subsp. araratica", "Silene aegyptiaca", "Ecnomiohyla rabborum", "Hyssopus ambiguus", "Silene balansae", "Prototroctes vertex", "Prototroctes modestus", "Paracroesia abievora", "Paracroesia picevora", "Pandemis piceocola", "Archips crassifolianus", "Protaetia morio", "Paratorna catenulella", "Paratorna cuprescens", "Paratorna dorcas", "Paratorna fenestralis", "Paratorna schintlmeisteri", "Paratorna pterofulva", "Paratorna pteropolia", "Pareoda prosecta", "Pareboda prosecta", "Polemograptis chrysodesma", "Polemograptis miltocosma", "Polemograptis rubristria", "Pseudeboda africana", "Pseudeboda gambiae", "Pseudocroesia coronaria", "Reptilisocia paraxena", "Reptilisocia paryphaea", "Hyssopus officinalis subsp. aristatus", "Sanguinograptis obtrecator", "Hyssopus officinalis subsp. canescens", "Hyssopus officinalis subsp. montanus", "Sanguinograptis ochrolegina", "Sanguinograptis albardana", "Silene bellidifolia", "Silene brevicalyx", "Silene brevicaulis", "Calochortus dunnii", "Hyssopus cuspidatus", "Hyssopus latilabiatus", "Hyssopus macranthus", "Hyssopus subulifolius", "Pogostemon paniculatus", "Rafapicobia dendrocolaptesi", "Rafapicobia lepidocolaptesi", "Rafapicobia zirnitra", "Rafapicobia toxostoma", "Cyrtodactylus payacola", "Astilbe \u00d7 amabilis", "Rimicaris hybisae", "Hypselodoris infucata", "Dasybasis elquiensis", "Anzomyia chrysomallis", "Anzomyia pegasus", "Anzomyia anomala", "Scaptia anomala", "Xeneboda congo", "Panegyra sokokana", "Cornesia arabuco", "Congoprinsia juratae", "Apotoforma mayumbeana", "Apotoforma kakamegae", "Acleris cameroonana", "Xeneboda mayumbea", "Cornesia molytes", "Cornesia ormoperla", "Hyssopus officinalis subsp. officinalis", "Scione albopilosus", "Apotoforma cimelia", "Apotoforma dolosa", "Apotoforma monochroma", "Apotoforma negans", "Apotoforma cydna", "Apotoforma hodgesi", "Apotoforma ptygma", "Apotoforma epacticta", "Apotoforma fustigera", "Apotoforma jamaicana", "Apotoforma uncifera", "Apotoforma rotundipennis", "Apotoforma viridans", "Acleris albopterana", "Acleris amurensis", "Acleris arcuata", "Acleris askoldana", "Acleris aurichalcana", "Acleris incognita", "Acleris hudsoniana", "Acleris foliana", "Acleris busckana", "Pariliacantha georgeorum", "Heterosquilla trifida", "Heterosquilla koning", "Haptosquilla helleri", "Gonodactylellus osheai", "Heterosquilla tridentata", "Astilbe longipilosa", "Apechoneura seminigra", "Neohyadesia minor", "Terraphagus antipodus", "Diploscapter formicidae", "Margaretamys christinae", "Protaetia maxwelli", "Astilbe platyphylla", "Gorgasia barnesi", "Astilbe rivularis var. rivularis", "Astilbe rivularis var. angustifoliolata", "Astilbe rivularis var. myriantha", "Colletotrichum annellatum", "Colletotrichum beeveri", "Colletotrichum brassicicola", "Colletotrichum brasiliense", "Colletotrichum colombiense", "Colletotrichum constrictum", "Colletotrichum cymbidiicola", "Colletotrichum dacrycarpi", "Colletotrichum novae-zelandiae", "Colletotrichum oncidii", "Colletotrichum parsonsiae", "Colletotrichum torulosum", "Colletotrichum petchii", "Colletotrichum horii", "Lactarius leonardii", "Scaraphites rotundipennis", "Paratachys plagiatus", "Paratachys transversicollis", "Illaphanus stephensii", "Eurystomis castelnaui", "Prosopogmus suspectus", "Egadroma subrobusta", "Lacordairia elongata", "Lacordairia taylori", "Lacordairia fugax", "Microferonia howei", "Scopodes ovalis", "Sarothrocrepis inquinata", "Gnathaphanus multipunctatus", "Bathysquilla microps", "Gonodactylellus viridis", "Gonodactylus platysoma", "Oratosquilla fabricii", "Anchisquilloides mcneilli", "Hemisquilla australiensis", "Astilbe thunbergii var. bandaica", "Astilbe thunbergii var. congesta", "Spatalistis armata", "Spatalistis delta", "Spatalistis egesta", "Spatalistis gratiosa", "Spatalistis nephritica", "Spatalistis zygota", "Spatalistis violacea", "Spatalistis philauta", "Spatalistis numismata", "Spatalistis gerdia", "Spatalistis dulcedana", "Acleris maximana", "Acleris nigrolinea", "Acleris nigriradix", "Acleris negundana", "Acleris nectaritis", "Acleris nivisellana", "Anameristes cyclopleura", "Anameristes doryphora", "Beryllophantis cochlias", "Beryllophantis allochlora", "Beryllophantis alphophora", "Beryllophantis asticta", "Beryllophantis microtera", "Beryllophantis phaioptera", "Beryllophantis poicila", "Eboda bryochlora", "Eboda discobola", "Eboda smaragdinana", "Eboda chloroclistis", "Eboda chrisitis", "Eboda diakonoffi", "Eboda ethnia", "Eboda virescens", "Eboda dissimilis", "Elaeodina refrangens", "Exeristeboda exeristis", "Exeristeboda chlorocosma", "Herotyda minuta", "Latibulocrinis curiosa", "Nephograptis necropina", "Dendrolimus tabulaeformis", "Dendrolimus xichangensis", "Dendrolimus kikuchii", "Dendrolimus kikuchii kikuchii", "Dendrolimus kikuchii ochraceus", "Dendrolimus omeiensis", "Dendrolimus densatae", "Dendrolimus densatae densatae", "Dendrolimus densatae kangtingensis", "Dendrolimus punctatus", "Phytophthora lacustris", "Macrobathra allocrana", "Macrobathra allophyla", "Macrobathra alternatella", "Macrobathra anacampta", "Macrobathra anemarcha", "Macrobathra anemodes", "Macrobathra aneurae", "Macrobathra aphristis", "Macrobathra arrectella", "Macrobathra asemanta", "Macrobathra astrota", "Macrobathra baliomitra", "Macrobathra basisticha", "Macrobathra bigerella", "Macrobathra brontodes", "Macrobathra callipetala", "Macrobathra callispila", "Macrobathra ceraunobola", "Macrobathra chryseostola", "Macrobathra chrysospila", "Macrobathra chrysotoxa", "Macrobathra cirrhodora", "Macrobathra constrictella", "Macrobathra crococosma", "Macrobathra dasyplaca", "Macrobathra decataea", "Macrobathra desmotoma", "Macrobathra diplochrysa", "Macrobathra dispila", "Macrobathra drosera", "Macrobathra embroneta", "Macrobathra epimela", "Macrobathra erythrocephala", "Macrobathra eudesma", "Macrobathra euryleuca", "Macrobathra euryxantha", "Macrobathra euspila", "Macrobathra galenaea", "Macrobathra gastroleuca", "Pelopidas grisemarginata", "Epipactis mairei", "Lactarius citriolens", "Lactarius controversus", "Sorbaria tomentosa var. angustifolia", "Sorbaria tomentosa var. tomentosa", "Macrobathra hamaxitodes", "Macrobathra harmostis", "Macrobathra heminephela", "Macrobathra hemitropa", "Macrobathra heterocera", "Macrobathra heterozona", "Macrobathra hexadyas", "Macrobathra homocosma", "Macrobathra honoratella", "Macrobathra humilis", "Macrobathra hyalistis", "Macrobathra isoscelana", "Macrobathra leucopeda", "Macrobathra leucozancla", "Macrobathra lychnophora", "Macrobathra melanargyra", "Macrobathra melanomitra", "Macrobathra melanota", "Macrobathra mesopora", "Macrobathra micropis", "Macrobathra microspora", "Macrobathra monostadia", "Macrobathra myriophthalma", "Macrobathra nephelomorpha", "Macrobathra nimbifera", "Macrobathra niphadobola", "Macrobathra notozyga", "Macrobathra paracentra", "Macrobathra parthenistis", "Macrobathra phernaea", "Macrobathra philopsamma", "Macrobathra phryganina", "Macrobathra platychroa", "Macrobathra platyzona", "Macrobathra polypasta", "Macrobathra pompholyctis", "Macrobathra porphyrea", "Macrobathra psathyrodes", "Macrobathra rhodospila", "Macrobathra rhythmodes", "Macrobathra rubicundella", "Macrobathra sarcoleuca", "Macrobathra stenosema", "Macrobathra synacta", "Macrobathra synastra", "Macrobathra syncoma", "Macrobathra trimorpha", "Macrobathra trithyra", "Macrobathra vexillariata", "Macrobathra vividella", "Macrobathra xanthoplaca", "Macrobathra xuthocoma", "Macrobathra xylopterella", "Macrobathra zonodesma", "Macrobathra flavidus", "Macrobathra arneutis", "Macrobathra myrocoma", "Ganoderma applanatum", "Ganoderma australe", "Ganoderma chilense", "Synodontis leopardus", "Lactarius aquizonatus", "Sorolopha aeolochlora", "Sorolopha agathopis", "Sorolopha arctosceles", "Musotima nitidalis", "Sorolopha atmochlora", "Sorolopha autoberylla", "Sorolopha callichlora", "Sorolopha camarotis", "Sorolopha compsitis", "Sorolopha englyptopa", "Sorolopha herbifera", "Sorolopha hydrargyra", "Sorolopha liochlora", "Sorolopha mniochlora", "Sorolopha phyllochlora", "Sorolopha plinthograpta", "Sorolopha prasinias", "Sorolopha semiculta", "Sorolopha semifulva", "Plectus murrayi", "Sorolopha sphaerocopa", "Sorolopha stygiaula", "Sorolopha agalma", "Lactarius aurantiacus", "Sorolopha argyropa", "Sorolopha artocincta", "Sorolopha asphaeropa", "Sorolopha auribasis", "Sorolopha authadis", "Macrobathra nomaea", "Phyllodiscus semoni", "Eudemopsis albopunctata", "Eudemopsis brevis", "Eudemopsis flexis", "Eudemopsis heteroclita", "Eudemopsis ramiformis", "Eudemopsis kirishimensis", "Eudemopsis tokui", "Eudemopsis toshimai", "Eudemopsis polytrichia", "Eudemopsis pompholycias", "Eudemopsis purpurissatana", "Clarias fuscus", "Vitis \u00d7 champinii", "Vitis \u00d7 doaniana", "Vitis \u00d7 novae-angliae", "Lactarius acerrimus", "Lactarius acris", "Synodontis guttatus", "Synodontis haugi", "Synodontis katangae", "Synodontis khartoumensis", "Synodontis koensis", "Synodontis kogonensis", "Synodontis laessoei", "Astilbe microphylla", "Aristolochia vallisicola", "Banksia neoanglica", "Spatalistis bifasciana", "Spatalistis christophana", "Tortrix sinapina", "Transita exaesia", "Trophocosta argyrosperma", "Trophocosta hilarochroma", "Trophocosta aurea", "Trophocosta maculifera", "Trophocosta nitens", "Trophocosta tucki", "Trophocosta conchodes", "Trophocosta cyanoxantha", "Trophocosta nummifera", "Tymbarcha cerinopa", "Tymbarcha translucida", "Vellonifer doncasteri", "Acleris bowmanana", "Acleris braunana", "Acleris blanda", "Acleris bacurana", "Acleris bergmanniana", "Acleris enitescens", "Acleris emargana", "Acleris caerulescens", "Acleris abietana", "Ancylis tryssops", "Congancylis ghesquieri", "Gypsonoma ngangaona", "Charitostega achrosta", "Melanodaedala magdalina", "Cryptophlebia dolia", "Fulcrifera cynicopis", "Lobesia incystata", "Lobesia aeolopa", "Lobesia arenacea", "Lobesia artemisiana", "Lobesia atrata", "Lobesia atsushii", "Lobesia attributana", "Astilbe thunbergii var. fujisanensis", "Astilbe thunbergii var. kiusiana", "Astilbe thunbergii var. thunbergii", "Odontodactylus hawaiiensis", "Odontodactylus scyllarus", "Astilbe apoensis", "Triunia youngiana", "Rosenvingiella australis", "Ectopsocus strauchi", "Cerobasis bundyi", "Lactarius brunneoviolaceus", "Rhyacionia adana", "Rhyacionia insulariana", "Lactarius camphoratus", "Rhyacionia washiyai", "Saduria megalura", "Rhyacionia sonia", "Saduria sabini", "Saduria sibirica", "Lactarius chrysorrheus", "Rhyacionia rubigifasciola", "Rhyacionia cibriani", "Rhyacionia dolichotubula", "Rhyacionia leptotubula", "Cydia curvivalva", "Lactarius circellatus", "Ctenoides ales", "Synodontis longispinis", "Niphonympha longispina", "Niphonympha varivera", "Niphonympha wuzhishana", "Caloptilia chrysitis", "Caloptilia adelosema", "Caloptilia aeneocapitella", "Lactarius alpinus", "Tripleurospermum maritimum subsp. maritimum", "Chelis maculosa maculosa", "Lactarius aspideus", "Chelis caecilia caecilia", "Chelis caecilia slivnoensis", "Dodia albertae albertae", "Dodia albertae eudiopta", "Cordyline angustissima", "Euplagia quadripunctaria quadripunctaria", "Astilbe formosa", "Saduria entomon", "Astilbe khasiana", "Astilbe thunbergii var. shikokiana", "Calypso bulbosa var. americana", "Calypso bulbosa var. occidentalis", "Calypso bulbosa var. speciosa", "Sorolopha bathysema", "Lactarius azonites", "Lactarius blennius", "Bradleycypris obliqua", "Sorolopha caryochlora", "Sorolopha cervicata", "Sorolopha chortodes", "Sorolopha dictyonophora", "Sorolopha doryphora", "Sorolopha dyspeista", "Sorolopha epichares", "Sorolopha euochropa", "Lactarius albocarneus", "Sorolopha eurychlora", "Sorolopha homalopa", "Sorolopha margaritopa", "Sorolopha melanocycla", "Sorolopha metastena", "Sorolopha nucleata", "Sorolopha plumboviridis", "Sorolopha rubescens", "Sorolopha agana", "Sorolopha asymmetrana", "Sorolopha bryana", "Sorolopha chiangmaiensis", "Sorolopha ferruginosa", "Sorolopha ghilarovi", "Sorolopha karsholti", "Sorolopha khaoyaiensis", "Sorolopha nagaii", "Sorolopha satoi", "Sorolopha muscida", "Sorolopha tenuirurus", "Sorolopha timiochlora", "Psegmatica pachnostola", "Campanula sivasica", "Campanula hacerae", "Synodontis leopardinus", "Calypso bulbosa var. bulbosa", "Synodontis longirostris", "Eudemis centritis", "Eudemis gyrotis", "Eudemis lucina", "Eudemis polychroma", "Eudemis porphyrana", "Eudemis profundana", "Penthostola albomaculatis", "Penthostola diakonoffi", "Penthostola nigrantis", "Penthostola hemeronyx", "Penthostola semna", "Penthostola tricolorana", "Archips kellerianus", "Archips opiparus", "Archips elongatus", "Amauroderma calcigenum", "Anaplectus arenicola", "Eudorylaimus antarcticus", "Meterostachys sikokiana", "Plectus acuminatus", "Rhodiola algida", "Rhodiola crenulata", "Rhodiola himalensis", "Rhodiola integrifolia", "Rhodiola kirilowii", "Rhodiola rhodantha", "Rhodiola rosea", "Rhodiola semenovii", "Rhodiola tangutica", "Rhodiola wallichiana", "Rhodiola yunnanensis", "Helina similidensibarbata", "Helina richardi", "Haloragis erecta", "Candelariella boleana", "Myriophyllum heterophyllum", "Myriophyllum sibiricum", "Myriophyllum verticillatum", "Myriophyllum verrucosum", "Myriophyllum variifolium", "Astilbe thunbergii var. okuyamae", "Proserpinaca palustris", "Spilonota pyrusicola", "Dichomeris bimaculatus", "Buckinghamia celsissima", "Embothrium coccineum", "Oreocallis grandiflora", "Lomatia ferruginea", "Lomatia fraseri", "Lomatia fraxinifolia", "Lomatia ilicifolia", "Lomatia myricoides", "Lomatia obliqua", "Lomatia silaifolia", "Astilbe hachijoensis", "Stenocarpus cunninghamii", "Stenocarpus salignus", "Stenocarpus sinuatus", "Campsicnemus ciliatoides", "Telopea aspera", "Campsicnemus kaluanui", "Campsicnemus niveisoma", "Campsicnemus scintillatus", "Telopea mongaensis", "Telopea oreades", "Telopea truncata", "Finschia chloroxantha", "Isopogon sphaerocephalus", "Isopogon teretifolius", "Sorbaria sorbifolia var. stellipila", "Sorbaria sorbifolia var. sorbifolia", "Cypris obliqua", "Sorbaria grandiflora subsp. grandiflora", "Sorbaria grandiflora subsp. rhoifolia", "Hennediella antarctica", "Aulax pinifolia", "Hennediella diaguita", "Hennediella steereana", "Leucadendron album", "Leucadendron argenteum", "Leucadendron discolor", "Leucadendron dregei", "Leucadendron galpinii", "Leucadendron laureolum", "Leucadendron linifolium", "Leucadendron procerum", "Tortula diaguita", "Leucadendron rubrum", "Leucadendron salicifolium", "Leucadendron salignum", "Orothamnus zeyheri", "Prethopalpus attenboroughi", "Blakea attenboroughii", "Tercentenarium linnaei", "Promalactis saligna", "Brabejum stellatifolium", "Euplassa cantareirae", "Euplassa incana", "Roboastra arika", "Floydia prealta", "Gevuina avellana", "Roboastra caboverdensis", "Hicksbeachia pilosa", "Hicksbeachia pinnatifolia", "Roupala macrophylla", "Orites revolutus", "Roboastra ricei", "Balta spuria", "Phyllodromia spuria", "Roboastra tentaculata", "Conospermum bracteosum", "Conospermum crassinervium", "Conospermum glumaceum", "Conospermum incurvum", "Conospermum taxifolium", "Isopogon anemonifolius", "Isopogon anethifolius", "Isopogon asper", "Isopogon buxifolius", "Isopogon ceratophyllus", "Isopogon cuneatus", "Isopogon dawsonii", "Isopogon divergens", "Isopogon dubius", "Isopogon formosus", "Isopogon heterophyllus", "Isopogon latifolius", "Isopogon scabriusculus", "Rostanga risbeci", "Rostanga crawfordi", "Rostanga elandsia", "Rostanga aureomala", "Rostanga phepha", "Rostanga crocea", "Nicrophorus sepultor", "Semachrysa jade", "Ectopsocus chiapensis", "Ectopsocus chiapensoides", "Ectopsocus eertmoedi", "Ectopsocus formosus", "Ectopsocus mexicanus", "Ectopsocus obscurus", "Ectopsocus pacificus", "Ectopsocus thorntoni", "Ectopsocus tuxtlarum", "Ectopsocus veracruzensis", "Ectopsocus yucatanus", "Ectopsocus meridionalis", "Ectopsocus thibaudi", "Ectopsocus titschacki", "Ectopsocus lambus", "Allolobophora caliginosa", "Adnatosphaeridium regulatum", "Filifolium sibiricum", "Promalactis tamdaoella", "Promalactis griselocula", "Promalactis albisquama", "Promalactis heppneri", "Promalactis rectifascia", "Promalactis vittapenna", "Eudemopsis angustivalvae", "Cordyline banksii", "Eudonia abrupta", "Zamarada excisa", "Zamarada undimarginata", "Zamarada erato", "Zamarada phrontisaria", "Zamarada dolorosa", "Zamarada bilobata", "Zamarada clavigera", "Zamarada subincoloris", "Zamarada ixiaria", "Zamarada dearmata", "Zamarada pelobasis", "Zamarada tortura", "Zamarada triangularis", "Cordyline cannifolia", "Cordyline indivisa", "Cordyline casanovae", "Cordyline congesta", "Capito fitzpatricki", "Cordyline forbesii", "Rosa majalis", "Thymiatris loureiriicola", "Haplophyllum telephioides", "Astragalus vexillaris", "Falco barbarus", "Artemisia subg.", "Neocarus potiguar", "Glyptothorax maceriatus", "Leptobrachium rakhinensis", "Hemitriakis complicofasciata", "Balta duplovittata", "Balta notulata", "Metopina tetrasetae", "Metopina arimaensis", "Metopina cootei", "Asterodiscides japonicus", "Ocneridia volxemii", "Ocnerodes soleri", "Sanaa intermedia", "Alterbidinium mcmillanii", "Alterbidinium austrinum", "Lacydes spectabilis spectabilis", "Spiris slovenica", "Coscinia benderi", "Coscinia bifasciata", "Coscinia lybissa lybissa", "Coscinia lybissa caligans", "Euchaetes egle", "Nudaria mundana", "Paidia rica", "Paidia rica rica", "Paidia rica fuliginosa", "Paidia griseola", "Paidia minoica", "Cordyline x gibbingsiae", "Cordyline pumilio", "Cordyline lateralis", "Cordyline x matthewsii", "Nezumia shinoharai", "Diasporus igneus", "Hemitaeniochromis brachyrhynchus", "Raorchestes kakachi", "Herpysma longicaulis", "Tylecodon grandiflorus", "Tylecodon paniculatus", "Tylecodon ventricosus", "Tylecodon wallichii", "Daphniphyllum beddomei", "Daphniphyllum glaucescens", "Daphniphyllum himalense", "Daphniphyllum macropodum", "Daphniphyllum pentandrum", "Daphniphyllum teijsmannii", "Glischrocaryon aureum", "Helina dasyodolychomma", "Helina edita", "Helina karina", "Helina marisha", "Helina setipostitibia", "Helina briaroacantha", "Helina corrugicerca", "Helina cuneicauda", "Helina curvoifemoralisa", "Helina deqinensis", "Helina dianibrunneigena", "Helina kytososurstylia", "Helina mesolobata", "Helina nigrointermedia", "Helina nudusimacula", "Helina spinusiabdomena", "Helina tigrisipedisa", "Helina yanzigouensis", "Helina submaculitibia", "Helina haiyanicus", "Helina yunnanica", "Helina luensis", "Helina manasensis", "Helina xingkaiensis", "Helina medogensis", "Helina maoxianica", "Hydroginella roselineae", "Hydroginella agulhasensis", "Ectopsocus exastis", "Archips myrrhophanes", "Archips spinatus", "Archips strigopterus", "Archips pachyvalvus", "Archips tharsaleopa", "Enigmatochromis lucanusi", "Archips abiephage", "Archips alcmaeonis", "Archips alleni", "Archips arcanus", "Archips asiaticus", "Archips atrolucens", "Archips barlowi", "Caloptilia bimaculata", "Caloptilia dactylifera", "Caloptilia dentata", "Caloptilia flavida", "Caloptilia hamulifera", "Caloptilia hypodroma", "Caloptilia jasminicola", "Caloptilia koelreutericola", "Caloptilia pekinensis", "Cirsium eriophorum", "Caloptilia quadripunctata", "Lactarius badiosanguineus", "Caloptilia saccisquamata", "Caloptilia sichuanensis", "Caloptilia spinulosa", "Caloptilia striata", "Caloptilia tricolor", "Caloptilia striolata", "Cirsium pseudobracteosum", "Caloptilia sassafracicola", "Caloptilia trimaculiformis", "Caloptilia garcinicola", "Lactarius britannicus", "Cirsium poluninii", "Platytaeniodus degeni", "Lactarius brunneohepaticus", "Tragopogon coloratus", "Scutellaria salviifolia", "Caloptilia acrotherma", "Sideritis perfoliata", "Ornithogalum narbonense", "Caloptilia strictella", "Cordyline stricta", "Endotricha dentiprocessa", "Endotricha unicolor", "Endotricha shafferi", "Endotricha convexa", "Endotricha whalleyi", "Endotricha hoenei", "Endotricha luteogrisalis", "Falco lanarius", "Endotricha simipunicea", "Endotricha flammealis", "Endotricha ragonoti", "Endotricha consocia", "Endotricha theonalis", "Endotricha decessalis", "Endotricha decessalis decessalis", "Endotricha decessalis major", "Endotricha occidentalis", "Endotricha hemicausta", "Endotricha melanochroa", "Endotricha kuznetzovi", "Endotricha flavofascialis", "Endotricha flavofascialis flavofascialis", "Endotricha flavofascialis affinialis", "Endotricha icelusalis", "Artemisia subg.", "Artemisia sect.", "Barilius howesi", "Cypriconcha steveni", "Canningia fairfieldensis", "Artemisia subg.", "Apocephalus longimanus", "Apocephalus longimucrus", "Apocephalus missouriensis", "Apocephalus setissitergus", "Apocephalus weissi", "Apocephalus mucronatus", "Apocephalus mesacanthus", "Apocephalus brunneiventris", "Apocephalus cochisei", "Apocephalus mcfarlandi", "Apocephalus orthocladus", "Apocephalus reflexus", "Apocephalus spantoni", "Apocephalus titanus", "Apocephalus uncinus", "Apocephalus wilki", "Apocephalus albipetrensis", "Apocephalus anapastus", "Apocephalus arizonensis", "Apocephalus brevipennis", "Apocephalus cernuus", "Apocephalus fulleri", "Apocephalus nocturnus", "Apocephalus pollocki", "Apocephalus portalensis", "Apocephalus pugilis", "Apocephalus exlobicornis", "Apocephalus exstriatus", "Apocephalus flavitenuipes", "Apocephalus intermedius", "Apocephalus longisetarum", "Apocephalus necdivergens", "Apocephalus noetingerorum", "Apocephalus penicillatus", "Apocephalus philhispidus", "Apocephalus tritarsus", "Apocephalus nequecomatus", "Apocephalus meekerjensenae", "Apocephalus parvus", "Discocharopa concentrivolva", "Discocharopa expandivolva", "Discocharopa stenomphala", "Copris arimotoi", "Lipothrix japonica", "Psittacus obscurus", "Ancylis sativa", "Retinia pseudotsugaicola", "Pandemis rectipenita", "Pandemis curvipenita", "Copris mindorensis", "Synapsis masumotoi", "Puliciphora sobria", "Puliciphora etiamodesta", "Puliciphora edaphomyia", "Puliciphora epichaeta", "Diphucephala bernhardti", "Triphleba withersi", "Triphleba conchiformis", "Triphleba ypsilon", "Triphleba ropalon", "Triphleba fungorum", "Triphleba hoffeinsorum", "Hydroporus hellenicus", "Panesthia cribata", "Micardia pulcherrima", "Micardia pallens", "Micardia distincta", "Micardia minuta", "Micardia munda", "Micardia argentata", "Cordyline racemosa", "Linaria pelisseriana", "Peltodytes quadratus", "Delphinium ilgazense", "Papaver apokrinomenon", "Serranochromis macrocephalus", "Silene caryophylloides subsp. subulata", "Geranium macrostylum", "Spiraea crenata", "Paraliparis haploporus", "Paraliparis longicaecus", "Paraliparis macrocephalus", "Paraliparis macropterus", "Paraliparis magnoculus", "Paraliparis mentikoilon", "Paraliparis neelovi", "Paraliparis nigrolineatus", "Psittacus rufirostris", "Paraliparis nullansa", "Classeya hexagona", "Classeya preissneri", "Thalera fimbrialis", "Thalera fimbrialis fimbrialis", "Thalera fimbrialis magnata", "Thalera fimbrialis chlorosaria", "Thalera simpliria", "Paraliparis alius", "Paraliparis amerismos", "Paraliparis camilarus", "Caccobius jessoensis", "Paraliparis andriashevi", "Paraliparis antarcticus", "Paraliparis devriesi", "Planes major", "Paraliparis ekaporus", "Paraliparis epacrognathus", "Paraliparis fuscolingua", "Agave dasylirioides", "Gastroptychus perarmatus", "Paracaesio brevidentata", "Eviota kermadecensis", "Eumecichthys fiski", "Planovalvata roseivena", "Tucetona laticostata", "Tucetona aureomaculata", "Psittacus caerulocephalus", "Psittacus paradisi", "Calochortus kennedyi var. munzii", "Anthemis ruthenica", "Asplenium acuminatum", "Asplenium australasicum", "Asplenium horridum", "Asplenium lobulatum", "Asplenium paucidens", "Asplenium polyodon", "Asplenium radicans", "Asplenium vittiforme", "Asplenium wrightii", "Asplenium \u00d7 heteroresiliens", "Asplenium rhomboideum", "Asplenium ruprechtii", "Pseudacteon pseudocercus", "Tucetona arcodentiens", "Pseudacteon dorymyrmecis", "Tucetona audouini", "Pseudacteon lusitanus", "Pseudacteon lundbecki", "Cordyline rubra", "Cordyline schlechteri", "Cordyline sellowiana", "Pelosia obtusa obtusa", "Pelosia plumosa", "Apaidia mesogona", "Apaidia mesogona mesogona", "Apaidia mesogona barbarica", "Apaidia rufeola", "Lithosia quadra", "Atolmis rubricollis", "Eilema muscula", "Eilema albicosta", "Eilema interposita", "Sarotherodon melanotheron", "Manulea lutarella laturella", "Manulea lutarella lutarella", "Manulea lutarella luqueti", "Eilema caniola", "Eilema caniola caniola", "Eilema caniola torstenii", "Wittia klapperichi", "Wittia yazakii", "Gampola fasciata", "Gampola sinica", "Paraliparis orbitalis", "Psittacus cristatus", "Psittacus erythroleucus", "Psittacus aurorae", "Paraliparis parviradialis", "Paraliparis plicatus", "Paraliparis posteroporus", "Paraliparis rossi", "Paraliparis stehmanni", "Paraliparis tangaroa", "Paraliparis voroninorum", "Paraliparis vipera", "Paraliparis terraenovae", "Careproctus ampliceps", "Careproctus inflexidens", "Careproctus polarsterni", "Careproctus pseudoprofundicola", "Careproctus vladibeckeri", "Genioliparis kafanovi", "Tucetona isabellae", "Tucetona amboinensis", "Tucetona angusticosta", "Pseudacteon laciniosus", "Pseudacteon planidorsalis", "Calochortus nitidus", "Calochortus apiculatus", "Calochortus coeruleus", "Calochortus elegans", "Hylaeus dathei", "Hylaeus jirisanensis", "Hylaeus koreaensis", "Calochortus elegans var. nanus", "Calochortus elegans var. selwayensis", "Calochortus plummerae", "Oreodera dalensi", "Veratrum oxysepalum", "Semachrysa yananica", "Semachrysa guangxiensis", "Semachrysa phanera", "Semachrysa pulchella", "Semachrysa polysticta", "Litiopa texana", "Dunstanoides hesperis", "Asplenium \u00d7 kenzoi", "Hymenasplenium unilaterale", "Asplenium \u00d7 lucrosum", "Huara inflata", "Huara chapmanae", "Huara decorata", "Huara dolosa", "Huara hastata", "Huara kikkawa", "Huara marplesi", "Huara mura", "Huara pudica", "Ozotroctes ogeri", "Ozotroctes vassali", "Zobida bipuncta", "Rosa rubiginosa", "Setina irrorella irrorella", "Setina alpestris alpestris", "Tmesipteris zamorae", "Setina aurita aurita", "Setina roscida roscida", "Amata phegea", "Amata phegea phegea", "Amata phegea ligata", "Amata ragazzii", "Amata ragazzii ragazzii", "Amata ragazzii silaensis", "Amata ragazzii asperomontana", "Amata marjana", "Amata marjana marjana", "Amata marjana quercii", "Amata marjana albionica", "Amata marjana sheljuzkoi", "Amata nigricornis", "Dracaena acaulis", "Amata transcaspica", "Amata transcaspica transcaspica", "Amata transcaspica jasoni", "Amata caspia", "Herculia orthogramma", "Pyrausta coronatoides", "Clematis ser.", "Clematis catesbyana", "Clematis dioica", "Clematis guadeloupae", "Bradina atopalis", "Bradina atopalis atopalis", "Bradina atopalis krigeri", "Bleekeria murtii", "Cottus perifretum", "Cottus rhenanus", "Ramphastos picatus", "Phyllonorycter durangensis", "Phyllonorycter alaskana", "Brenthis ino ino", "Brenthis ino schmitzi", "Calochortus subalpinus", "Calochortus tolmiei", "Calochortus westonii", "Eicomorpha kurdistana", "Linnaea borealis subsp. borealis", "Epinotia tianshanensis", "Zeiraphera gansuensis", "Zeiraphera argutana", "Zeiraphera atra", "Zeiraphera bicolora", "Zeiraphera caeruleumana", "Zeiraphera fulvomixtana", "Zeiraphera shimekii", "Zeiraphera nigra", "Zeiraphera lariciana", "Zeiraphera luciferana", "Zeiraphera hiroshii", "Zeiraphera hohuanshana", "Zeiraphera taiwana", "Zeiraphera smaragdina", "Zeiraphera pacifica", "Zeiraphera hesperiana", "Zeiraphera canadensis", "Phalonidia nicotiana", "Phalonidia scabra", "Phalonidia julianiensis", "Phalonidia diamphidia", "Phalonidia diaphona", "Phalonidia dotica", "Phalonidia droserantha", "Phalonidia ecuadorensis", "Phalonidia embaphion", "Phalonidia fatua", "Phalonidia fraterna", "Phalonidia albertae", "Phalonidia assector", "Phalonidia callifornica", "Phalonidia campicolana", "Phalonidia dubia", "Phalonidia fusifera", "Phalonidia haplidia", "Phalonidia laetitia", "Phalonidia mendora", "Neocorynura faceta", "Cordyline ledermannii", "Cordyline manners-suttoniae", "Cordyline mauritiana", "Cordyline minutiflora", "Cordyline murchisoniae", "Cordyline neocaledonica", "Cordyline obtecta", "Cordyline petiolaris", "Bryomima hakkariensis", "Enargia pinkeri", "Chrysanthemum sect.", "Euphyllia baliensis", "Semachrysa polystricta", "Semachrysa contorta", "Semachrysa hyndi", "Semachrysa minuta", "Semachrysa papuensis", "Semachrysa sagitta", "Semachrysa wallacei", "Semachrysa claggi", "Semachrysa cruciata", "Semachrysa dammermani", "Semachrysa picilabris", "Semachrysa matsumurae", "Semachrysa decorata", "Semachrysa nigribasis", "Nothofagus azureus", "Neobulgaria alba", "Catocala minuta", "Catocala nebulosa", "Beuroisia major", "Catocala borthi", "Gracula barita", "Amegilla dizona", "Synodontis lufirae", "Calochortus coxii", "Synodontis matthesi", "Calochortus eurycarpus", "Calochortus umbellatus", "Synodontis pulcher", "Calochortus greenei", "Elachistocleis muiraquitan", "Amegilla anekawarna", "Agulla protomaculata", "Amegilla quadrifasciata", "Amegilla candens", "Amegilla custos", "Amegilla cyanipennis", "Amegilla insignata", "Amegilla macroleuca", "Amegilla marqueti", "Amegilla semipulverosa", "Amegilla subrussata", "Amegilla vigilans", "Tyrannoseira gladiata", "Icerya koebelei", "Coccidoctonus dubius", "Juscelinomys huanchacae", "Oncorhynchus formosanus", "Cuculus niger", "Skelleyanus eremita", "Umbilicaria semitensis", "Picus hirundinaceus", "Eucosma piperata", "Eucosma nordini", "Eucosma taosana", "Picus semirostris", "Pelochrista emaciatana", "Pelochrista popana", "Gliocladiopsis curvata", "Decapterus lajang", "Decapterus russelli", "Decapterus macrosoma", "Nemapogon cyprica", "Xystophora kostjuki", "Monochroa rufulella", "Monochroa elongella", "Monochroa moyses", "Monochroa hornigi", "Daltopora felixi", "Bryotropha terrella", "Bryotropha domestica", "Bryotropha vondermuhlli", "Bryotropha rossica", "Bryotropha azovica", "Bryotropha arabica", "Bryotropha purpurella", "Coracias caffra", "Pocillopora meandrina", "Sericulus aureus", "Catocala briseis", "Catocala californica", "Catocala editha", "Catocala marmorata", "Parequula melbournensis", "Amegilla albigena", "Amegilla salviae", "Amegilla savignyi", "Amegilla talaris", "Amegilla garrula", "Amegilla ochroleuca", "Amegilla andresi", "Amegilla velocissima", "Amegilla fasciata", "Bradleya kenmckenziei", "Monoblastia palmicola", "Eupotemus limicola", "Eumetopus limicola", "Epimetopus flavicaptus", "Epimetopus mendeli", "Epimetopus asperatues", "Epimetopus costaricensis", "Epimetopus fisheri", "Epimetopus panamensis", "Epimetopus punctipennis", "Epimetopus simplex", "Epimetopus apocinus", "Atomaria bella", "Blaberus paulistanus", "Blaberus giganteus", "Lecidella oceanica", "Megazosteria patula", "Megazosteria shawi", "Nananthea perpusilla", "Pelochrista powelli", "Daveaua anthemoides", "Alcedo atthis ispida", "Perigea berinda", "Perigea glaucoptera", "Perigea xanthioides", "Calochortus howellii", "Ranunculus illyricus", "Ranunculus sphaerospermus", "Bulia confirmans", "Alchemilla surculosa", "Filago eriocephala", "Bulia mexicana", "Filago pyramidata", "Bulia schausi", "Bulia similaris", "Calochortus longibarbatus", "Bulia deducta", "Calochortus longibarbatus var. peckii", "Dodona ouida ouida", "Dodona ouida palaya", "Dodona adonira adonira", "Endococcus peltigericola", "Stigmidium buelliae", "Epinephroma kamchatica", "Diorygma antillarum", "Caloplaca lecanorae", "Stellaria solaris", "Dunstanoides hinawa", "Dunstanoides hova", "Dunstanoides kochi", "Dunstanoides mira", "Dunstanoides montana", "Dunstanoides salmoni", "Makora detrita", "Makora diversa", "Makora figurata", "Makora mimica", "Makora calypso", "Mamoea assimilis", "Mamoea cantuaria", "Mamoea cooki", "Mamoea florae", "Mamoea grandiosa", "Mamoea hesperis", "Mamoea hughsoni", "Mamoea inornata", "Mamoea maorica", "Mamoea montana", "Trichophysetis cretacea", "Mamoea monticola", "Mamoea otira", "Mamoea unica", "Mamoea westlandica", "Mamoea rufa", "Trichophysetis neophyla", "Miltochrista jucunda", "Miltochrista ziczac", "Sapromyza neozelandica", "Miltochrista obscuripostica", "Barsine aberrans", "Barsine dimidiata", "Barsine compar", "Barsine conformis", "Barsine sinuata", "Barsine longstriga", "Asuridia nigriradiata", "Megazosteria nigrolutea", "Merops cinereus", "Certhia pusilla", "Trochilus afer", "Trochilus paradiseus", "Trochilus forficatus", "Trochilus surinamensis", "Trochilus tomineo", "Agnippe syrictis", "Trochilus ourissa", "Agnippe novisyrictis", "Agnippe yongdengensis", "Agnippe echinulata", "Agnippe dichotoma", "Agnippe zhouzhiensis", "Agnippe pseudolella", "Agnippe miniscula", "Calochortus lyallii", "Calochortus persistens", "Calochortus umpquaensis", "Ammandra decasperma", "Aphandra natalia", "Calochortus minimus", "Calochortus nudus", "Phytelephas aequatorialis", "Phytelephas macrocarpa", "Phytelephas tenuicaulis", "Phytelephas tumacana", "Calochortus albus", "Calochortus amabilis", "Synodontis macrophthalmus", "Synodontis macrops", "Acanthoecia larminati", "Neohyadesia microtricha", "Neohyadesia signyi", "Brahea aculeata", "Brahea armata", "Brahea brandegeei", "Brahea dulcis", "Brahea edulis", "Brahea moorei", "Brahea pimo", "Halozetes impeditus", "Thambema thunderstruckae", "Colpothrinax wrightii", "Parisotoma octooculata", "Friesea antarctica", "Friesea woyciechowskii", "Cryptopygus badasa", "Acanthopsyche alstoni", "Acanthopsyche atra", "Acanthopsyche bipars", "Acanthopsyche cana", "Acanthopsyche canarensis", "Acanthopsyche carayoni", "Acanthopsyche chrysora", "Acanthopsyche desertella", "Acanthopsyche diaphana", "Acanthopsyche dimidiata", "Acanthopsyche ecksteini", "Acanthopsyche elwesi", "Acanthopsyche ernsti", "Serenoa repens", "Placolecis balaniana", "Calochortus amoenus", "Calochortus raichei", "Calochortus pulchellus", "Thyretes ustjuzhanini", "Nicetosoma raddei", "Washingtonia filifera", "Washingtonia robusta", "Cryosophila nana", "Cryosophila warscewiczii", "Austromesocypris bluffensis", "Rhapidophyllum hystrix", "Episomus turritus", "Rhapis excelsa", "Rhapis humilis", "Schippia concolor", "Spiranthes suishanensis", "Trogloraptor marchingtoni", "Caryota cumingii", "Caryota mitis", "Caryota rumphiana", "Caryota urens", "Wallichia caryotoides", "Eremospatha hookeri", "Eremospatha macrocarpa", "Eugeissona tristis", "Eugeissona utilis", "Pseudouroctonus savvasi", "Trithrinax brasiliensis", "Trithrinax campestris", "Zombia antillarum", "Nacaduba niueensis", "Drymophloeus litigiosus", "Drymophloeus oliviformis", "Normanbya normanbyi", "Burbunga mouldsi", "Drymaplaneta communis", "Drymaplaneta lobipennis", "Drymaplaneta shelfordi", "Drymaplaneta variegata", "Drymaplaneta submarginata", "Leptopius obsidianus", "Synodontis macropunctatus", "Synodontis macrostigma", "Alloptes chionis", "Acanthopsyche subatrata", "Acanthopsyche subnigra", "Acanthopsyche tavilanus", "Acanthopsyche tshemalica", "Acanthopsyche tzvetaevi", "Acanthopsyche umbrosus", "Acanthopsyche uralensis", "Acanthopsyche varsobicus", "Acanthopsyche zelleri", "Moraea miniata", "Moraea minor", "Moraea ochroleuca", "Moraea ovalifolia", "Moraea pallida", "Moraea papilionacea", "Moraea patens", "Moraea pendula", "Moraea polyanthos", "Moraea polystachya", "Moraea pyrophila", "Moraea radians", "Moraea reflexa", "Moraea schlechteri", "Moraea serratostyla", "Moraea sisyrinchium", "Moraea spathulata", "Moraea unguiculata", "Moraea vallisbelli", "Moraea villosa", "Pareugoa grisescens", "Haeterius ferrugineus", "Aemene taprobanis", "Aemene taprobanis taprobanis", "Aemene taprobanis likiangensis", "Verbascum diversifolium", "Verbascum brandianum", "Spiranthes australis", "Spiranthes flexuosa", "Acanthopsyche iliensis", "Acanthopsyche incana", "Acanthopsyche meridionalis", "Acanthopsyche minima", "Perna oyami", "Acanthopsyche modesta", "Acanthopsyche multicaulis", "Perna woodi", "Acanthopsyche muralis", "Acanthopsyche ogiva", "Acanthopsyche pauliani", "Acanthopsyche phaea", "Acanthopsyche roomei", "Acanthopsyche siederi", "Pagurus bernhardus", "Johannesteijsmannia altifrons", "Livistona australis", "Livistona benthamii", "Livistona chinensis", "Livistona humilis", "Livistona inermis", "Livistona jenkinsiana", "Livistona mariae", "Livistona merrillii", "Livistona muelleri", "Livistona saribus", "Pholidocarpus sumatrana", "Adisomus duckei", "Apotriophtydeus erebus", "Juania australis", "Kerriodoxa elegans", "Nannorrhops ritchiana", "Lepidocaryum tenue", "Ancaudellia marshallae", "Panesthia ancaudellioides", "Panesthia australis", "Panesthia matthewsi", "Panesthia obtusa", "Panesthia parva", "Panesthia sloanei", "Panesthia tepperi", "Panesthia tryoni", "Epeolus cruciger", "Epeolus variegatus", "Pseudanos varii", "Epeolus schummeli", "Anthophora aestivalis", "Pseudanos winterbottomi", "Aeonoxena palaeographa", "Albidopsis major", "Parapanesthia pearsoni", "Altobankesia cavernicolella", "Amatissa albitarsia", "Parapanesthia gigantea", "Synodontis membranaceus", "Synodontis manni", "Synodontis marmoratus", "Chrysanthemum \u00d7 rubellum", "Cytherella elongatavalva", "Geoscapheus rugulosus", "Geoscapheus woodwardi", "Macropanesthia heppleorum", "Macropanesthia kinkuna", "Macropanesthia lithgowae", "Macropanesthia rothi", "Macropanesthia saxicola", "Macropanesthia ferrugineipes", "Macropanesthia mackerrasae", "Macropanesthia rhinoceros", "Geoscapheus crenulatus", "Neogeoscapheus barbarae", "Neogeoscapheus dahmsi", "Neogeoscapheus hirsutus", "Geoscapheus crenulatus fraserensis", "Tanacetum parthenium var. praealtum", "Polyzosteria cuprea", "Acanthopsyche zernyi zernyi", "Acanthopsyche zernyi dioica", "Matthiola tricuspidata", "Synodontis macrostoma", "Acentra subvestalis", "Acentra vestalis", "Lamyristis bruneiensis", "Moraea aspera", "Moraea autumnalis", "Moraea bifida", "Moraea bipartita", "Moraea brachygyne", "Moraea britteniae", "Moraea bulbillifera", "Moraea carsonii", "Moraea cedarmonticola", "Moraea collina", "Moraea comptonii", "Moraea cookii", "Moraea demissa", "Moraea elegans", "Moraea fenestrata", "Moraea flaccida", "Moraea flavescens", "Moraea fragrans", "Moraea fugacissima", "Moraea fuscomontana", "Moraea graminicola", "Moraea huttonii", "Moraea karroica", "Moraea knersvlaktensis", "Moraea lewisiae", "Moraea longistyla", "Moraea louisabolusiae", "Moraea marlothii", "Burbidgea schizocheila", "Rhynchanthus beesianus", "Smithatris supraneanae", "Orchidantha longiflora", "Orchidantha maxillarioides", "Leptinella subg.", "Ctenanthe amphiandina", "Ctenanthe lubbersiana", "Ctenanthe muelleri", "Ischnosiphon arouma", "Leptinella subg.", "Marantochloa cuspidata", "Marantochloa purpurea", "Marantochloa ramosissima", "Megaphrynium velutinum", "Leptinella subg.", "Gnathonemus petersii", "Laelia aurea", "Amatissa cardiophora", "Amatissa fuscescens", "Amatissa geminipunctata", "Geoscapheus dilatatus", "Amatissa inornata", "Amatissa joannisii", "Geoscapheus robustus", "Amatissa leonina", "Amatissa leucosoma", "Camponotus fallax", "Amatissa lipara", "Amatissa lourensi", "Macropanesthia monteithi", "Amatissa monochroma", "Amatissa snelleni", "Amatissa sumatrana", "Amatissa tjipannensis", "Amatissa vaulogeri", "Amatissa weyersi", "Amatissa insularia", "Amatissa mussauensis", "Acanthopsyche lemkaminensis", "Psyche dyaulensis", "Arbelodes goellnerae", "Parequula elongata", "Pammene ginkgoicola", "Cydia dalbergiacola", "Acleris sinuopterana", "Acleris flavopterana", "Acleris maculopterana", "Acleris griseopterana", "Acleris nigropterana", "Acleris macropterana", "Acleris gibbopterana", "Acleris micropterana", "Acleris ochropterana", "Acleris fuscopterana", "Lecithocera petalana", "Lecithocera eretma", "Lecithocera hiata", "Lecithocera levirota", "Lecithocera meloda", "Lecithocera beijingensis", "Lecithocera gemma", "Lecithocera cuspidata", "Leucothrinax morrisii", "Lecithocera contorta", "Lecithocera sabrata", "Lecithocera nitikoba", "Loxococcus rupicola", "Neonicholsonia watsonii", "Lecithocera olinxana", "Lecithocera eligmosa", "Lecithocera lacunara", "Oenocarpus bacaba", "Oenocarpus balickii", "Lecithocera palmata", "Oenocarpus bataua", "Oenocarpus distichus", "Oenocarpus mapora", "Lecithocera licnita", "Prestoea acuminata", "Lecithocera ambona", "Lecithocera didentata", "Pigafetta elata", "Pigafetta filaris", "Lecithocera tridentata", "Pseudophoenix sargentii", "Pseudophoenix vinifera", "Ptychococcus paradoxus", "Lecithocera erebosa", "Ptychosperma ambiguum", "Ptychosperma elegans", "Ptychosperma gracile", "Ptychosperma macarthurii", "Ptychosperma propinquum", "Ptychosperma sanderianum", "Wodyetia bifurcata", "Ceroxylon alpinum", "Ceroxylon echinulatum", "Ceroxylon quindiuense", "Epeolus melectiformis", "Aloiampelos commixta", "Ammobates maxschwarzi", "Satranala decussilvae", "Synechanthus fibrosus", "Synechanthus warscewiczianus", "Aloiampelos juddii", "Lapeirousia jacquinii", "Lapeirousia pyramidalis", "Micranthus alopecuroideus", "Aloiampelos gracilis", "Aloe pearsonii", "Issikiopteryx corythista", "Aloe haemanthifolia", "Savannosiphon euryphyllus", "Watsonia aletroides", "Watsonia angusta", "Watsonia borbonica", "Watsonia densiflora", "Watsonia fourcadei", "Watsonia galpinii", "Watsonia humilis", "Watsonia marginata", "Watsonia meriana", "Watsonia pillansii", "Watsonia strubeniae", "Watsonia tabularis", "Watsonia versfeldii", "Watsonia watsonioides", "Watsonia wilmaniae", "Watsonia wilmsii", "Watsonia zeyheri", "Trimezia juncifolia", "Trimezia martinicensis", "Trimezia steyermarkii", "Amara alpina", "Anthophora borealis", "Chrysanthemum sect.", "Chrysanthemum aphrodite", "Nivenia corymbosa", "Synodontis melanopterus", "Synodontis multimaculatus", "Geostiba myohyangensis", "Geostiba pasniki", "Geostiba fabaeformis", "Geostiba excaecata", "Geostiba sororcula", "Geostiba akceliensis", "Geostiba artvinensis", "Geostiba granulipennis", "Geostiba balkarensis", "Geostiba bitlisensis", "Geostiba lunata", "Geostiba othrisensis", "Geostiba emirdaghensis", "Geostiba itschiliensis", "Geostiba thryptisensis", "Geostiba cingarae", "Geostiba hamata", "Geostiba beydaghensis", "Geostiba numantiensis", "Geostiba urquillae", "Geostiba asturiensis", "Geostiba neilae", "Laelia anceps", "Laelia anceps subsp. anceps", "Laelia anceps subsp. dawsonii", "Nyctibora acaciana", "Nyctibora inedita", "Nyctibora minuta", "Baccaurea courtallensis", "Balta scripta", "Balta hebardi", "Anolis ruibali", "Archiblatta hoeveni", "Archiblatta beccarii", "Archiblatta phalangium", "Tanacetum parthenium var. parthenium", "Megazosteria impressa", "Megazosteria purpurascens", "Amiantastis brachycasis", "Amiantastis manicola", "Amiantastis renovata", "Dorylaea flavifrons", "Amicta cabrerai", "Amicta maliarda", "Amicta mauretanica", "Amicta mauretanica mauretanica", "Amicta mauretanica arabica", "Amicta murina", "Tanacetum coccineum subsp. coccineum", "Amicta quadrangularis", "Anaproutia caucasica", "Anaproutia comitella", "Tanacetum coccineum subsp. carneum", "Anaproutia elongatella", "Anaproutia raiblensis", "Anaproutia reticulatella", "Anaproutia sichotaelinica", "Anaproutia talgarica", "Tanacetum coccineum subsp. chamaemelifolium", "Laelia colombiana", "Laelia elata", "Laelia eyermaniana", "Zonioploca pallida", "Catara minor", "Parellipsidion latipenne", "Melanozosteria soror", "Laelia marginata", "Periclimenaeus dactylodon", "Pelvicachromis sacrimontis", "Tarsopolipus husbandi", "Myosotis chaffeyorum", "Myosotis mooreana", "Methana soror", "Chrysophora chrysochlora", "Vaccinium \u00d7 intermedium", "Vaccinium yakushimense", "Vaccinium pipolyi", "Vaccinium puberulum", "Vaccinium \u00d7 marianum", "Vaccinium \u00d7 pahalae", "Inca clathrata", "Dicronocephalus adamsi", "Dicronocephalus wallichi", "Goliathus cacicus", "Temnelytra truncata", "Scabina antipoda", "Scabina horrida", "Methana marginalis", "Methana convexa", "Celatoblatta tryoni", "Maoriblatta albipalpis", "Maoriblatta laevipennis", "Maoriblatta sublobata", "Cytherella gupcoensis", "Thysanothecium hookeri", "Hylotelephium sect.", "Hylotelephium sect.", "Hylotelephium populifolium", "Laelia heidii", "Laelia moyobambae", "Laelia rosea", "Laelia schultzei", "Laelia splendida", "Laelia weberbaueriana", "Laelia \u00d7 crawshayana", "Lactarius glaucescens", "Hylotelephium sect.", "Hylotelephium sect.", "Melanozosteria subpellucida", "Melanozosteria angustipennis", "Polyzosteria rouxi", "Polyzosteria terrosa", "Platyzosteria laevipennis", "Celatoblatta punctipennis", "Platyzosteria punctipennis", "Celatoblatta immunda", "Celatoblatta marksae", "Celatoblatta nigrifrons", "Celatoblatta papuae", "Celatoblatta perpolita", "Celatoblatta quadriloba", "Celatoblatta shawi", "Celatoblatta shelfordi", "Celatoblatta zonata", "Lactarius glyciosmus", "Plagiolirion horsmannii", "Hylopezus whittakeri", "Chamaesphecia adelpha", "Chamaesphecia amygdaloides", "Chamaesphecia anthracias", "Chamaesphecia anthraciformis", "Pelecanus piscator", "Phaethon demersus", "Lactarius fraxineus", "Lactarius hysginoides", "Lactarius platicus", "Phedimus subg.", "Colletteichthys flavipinnis", "Lactarius ilicis", "Lactarius nanus", "Lactarius pilatii", "Animula basalis", "Animula dichroa", "Animula limpia", "Animula microptera", "Apaphristis themeliota", "Melecta luctuosa", "Pseudoprospero firmifolium", "Leodia sexiesperforata", "Mellita quinquiesperforata", "Bembecia garrevoeti", "Leptocythere karamani", "Bembecia hissorensis", "Leptocythere proboscidea", "Leptocythere angulata", "Eupithecia rubidorsata", "Eupithecia marmorea", "Leptocythere fluviatilis", "Limnocythere alata", "Limnocythere umbonata", "Lactarius decipiens", "Lactarius deterrimus", "Helcogramma williamsi", "Lactarius flavidus", "Epidendrum fimbriatum", "Laelia gloriosa", "Limnocythere ochridensis", "Euryrhynchus pemoni", "Rothisilpha bouleti", "Rothisilpha latreilleae", "Rothisilpha najtae", "Punctulonicus crassus", "Pellucidonicus epilamproides", "Pallidionicus freycinetiae", "Pallidionicus pandanorum", "Pallidionicus paniensis", "Angustonicus amieuensis", "Angustonicus arboricolus", "Angustonicus boucheti", "Angustonicus koghensis", "Angustonicus lifou", "Angustonicus mare", "Angustonicus pinorum", "Angustonicus pouebo", "Angustonicus yate", "Platyzosteria melanaria", "Polyzosteria analis", "Celatoblatta baldwinspenceri", "Polyzosteria metallica", "Cosmozosteria gloriosa", "Lactarius fluens", "Parmaturus melanobranchus", "Lactarius fuliginosus", "Lactarius fulvissimus", "Limnocythere aethiopica", "Limnocythere neotropica", "Rapala persephone", "Lactarius atlanticus", "Microsporidium itiiti", "Chiromantes haematocheir", "Cosmozosteria bicolor", "Cosmozosteria froggatti", "Cosmozosteria lateralis", "Cosmozosteria maculimarginata", "Cosmozosteria mesomacula", "Cosmozosteria musgravei", "Cosmozosteria picta", "Cosmozosteria sloanei", "Cosmozosteria striata", "Cosmozosteria subzonata", "Cosmozosteria trifasciata", "Polyzosteria bicolor", "Hucho perryi", "Pleiostachya pruinosa", "Sarcophrynium brachystachyum", "Stachyphrynium griffithii", "Stachyphrynium jagorianum", "Stromanthe porteana", "Stromanthe tonckat", "Thaumatococcus daniellii", "Neolebias trewavasae", "Microsporidium rapuae", "Calliophis castoe", "Lactarius subcircellatus", "Ptychomitrium muelleri", "Lactarius fascinans", "Cytherella insulaetremiti", "Cytherella obesina", "Cytherella pierredonzei", "Platyzosteria parva", "Cytherelloidea undosa", "Protagonista lugubris", "Platella kempfi", "Blaberus craniifer", "Platella drexlerae", "Methana athertonensis", "Eppertia aptera", "Platyzosteria variolosa", "Polyzosteria variolosa", "Sellaphora styxii", "Planothidium victori", "Eolimna krummensis", "Arctosa sanctaerosae", "Hogna carolinensis", "Hogna aspersa", "Phaethon aethereus indicus", "Temnelytra abbreviata", "Temnelytra subtruncata", "Cosmozosteria zonata", "Blatta orientalis", "Lactarius cistophilus", "Lactarius pseudouvidus", "Supella longipalpa", "Melanozosteria nitida", "Diploptera pulchra", "Phrynobatrachus ruthbeateae", "Pertusaria southlandica", "Gastrotheca recava", "Gastrotheca prasina", "Alsodes neuquensis", "Lactarius lepidotus", "Lactarius cyathuliformis", "Lactarius omphaliformis", "Ardiosteres dryophracta", "Ardiosteres eumelana", "Ardiosteres lacerata", "Ardiosteres moretonella", "Ardiosteres trifasciana", "Rosenvingea sanctae-crucis", "Ardiosteres tortricitella", "Myoporum semotum", "Ardiosteres velutinana", "Lactarius pterosporus", "Ardiosteres pectinata", "Ardiosteres sporocosma", "Ardiosteres tetrazona", "Armidalia ornamentalis", "Lactarius ruginosus", "Lepidium peregrinum", "Armidalia orientalis", "Apoecis anholoxantha", "Apoecis stenomorpha", "Aprata mackwoodii", "Lactarius subruginosus", "Lophomyrtus aotearoana", "Lactarius robertianus", "Lactarius dryadophilus", "Lactarius salicis-herbaceae", "Lactarius salicis-reticulatae", "Lactarius fennoscandicus", "Lactarius semisanguifluus", "Lactarius cyanopus", "Lactarius sanguifluus", "Lactarius mediterraneensis", "Lactarius illyricus", "Prototulbaghia siebertii", "Apterona gracilis", "Apterona helicinella", "Apterona helicoidella", "Apterona nylanderi", "Apterona orientalis", "Apterona powelli", "Apterona pusilla", "Apterona stauderi", "Apterona valvata", "Archaeoneura amictopis", "Lactarius evosmus", "Lactarius tesquorum", "Lactarius torminosulus", "Lactarius auriolla", "Lactarius leonis", "Lactarius olivinus", "Lactarius tuomikoskii", "Lactarius lapponicus", "Lactarius lanceolatus", "Lactarius sphagneti", "Lactarius subdulcis", "Lactarius lacunarum", "Lactarius mitissimus", "Pterois radiata", "Creatonotos fasciatus fasciatus", "Cryptotis aroensis", "Adelophryne mucronatus", "Adelophryne patamona", "Phenacostethus trewavasae", "Protosciaena trewavasae", "Kokopapa bispathulata", "Kokopapa matarua", "Kokopapa milleneri", "Kokopapa mokihinui", "Kokopapa rapahoe", "Kokopapa unispathulata", "Eumunida pacifica", "Ammoscalaria georgescotti", "Ascochyta manawaorae", "Lejeunea rhigophila", "Lejeunea oracola", "Watlingia cassis", "Watlingia chathamensis", "Frullania truncatistyla", "Dieurostus dussumieri", "Ghatophryne rubigina", "Leptoxis compacta", "Nemacheilus keralensis", "Agriocnemis keralensis", "Agriocnemis aderces", "Lactarius intermedius", "Agriocnemis dissimilis", "Lactarius resimus", "Bijugis pectinella", "Bijugis proxima", "Bijugis sikkimensis", "Bijugis songarica", "Bijugis subgrisea", "Lactarius scrobiculatus", "Biopsyche apicalis", "Triplophysa trewavasae", "Sceliphron laetum", "Pelmatosilpha vagabunda", "Lactarius pallidus", "Lactarius utilis", "Bathromelas hyaloscopa", "Aegolius gradyi", "Bijugis apistella", "Bijugis bombycella", "Bijugis bombycella bombycella", "Bijugis bombycella altimontana", "Bijugis bombycella collina", "Bijugis bombycella elongatella", "Lactarius luridus", "Bijugis bombycella helvetica", "Bijugis bombycella hungarica", "Bijugis bombycella lacteella", "Bijugis bombycella noricella", "Bijugis bombycella silvicolella", "Bijugis bombycella rotundella", "Bijugis bombycella tatricolella", "Gentiana boissieri", "Bijugis dzhungarica", "Lactarius uvidus", "Bijugis topolevica", "Eudahlica dzhabaglella", "Lactarius violascens", "Lactarius repraesentaneus", "Lactarius quieticolor", "Lactarius salmonicolor", "Lactarius pyrogalus", "Murdannia japonica", "Murdannia keisak", "Murdannia nudiflora", "Murdannia spirata", "Lactarius vietus", "Callisia diuretica", "Callisia grandiflora", "Palisota albertii", "Palisota elizabethae", "Palisota maclaudii", "Lactarius trivialis", "Lactarius musteus", "Sedum \u00d7 nicaeense", "Sedum \u00d7 affomarcoi", "Dactyloptena orientalis", "Cyanotis axillaris", "Cyanotis cristata", "Tinantia anomala", "Lachnanthes caroliniana", "Godleya alpina", "Periplaneta heydeniana", "Aspinoides luteiventris", "Astala confederata", "Astala edwardsi", "Astala hoffmanni", "Astala polingi", "Astala tristis", "Astala vigasi", "Astala zacualpania", "Asynetha longivalva", "Atelopsycha mataea", "Lactarius bertillonii", "Bacotia claustrella", "Bacotia nepalica", "Bambalina africa", "Bambalina consortus", "Bankesia conspurcatella", "Bankesia desplatsella", "Bankesia montanella", "Bankesia pallida", "Barandra fumata", "Barbaroscardia fasciata", "Barbaroscardia metaclina", "Basicladus tracyi", "Basicladus celibata", "Cartonema spicatum", "Pterygoplichthys disjunctivus", "Sturisoma aureum", "Dichorisandra hexandra", "Ancistrus triradiatus", "Dichorisandra thyrsiflora", "Asplenium dalhousiae", "Geogenanthus ciliatus", "Siderasis fuscata", "Lactarius flexuosus", "Lactarius hysginus", "Gibasis geniculata", "Gibasis karwinskyana", "Gibasis pellucida", "Biopsyche thoracicum", "Brachycyttarus fasciatus", "Brachycyttarus fuscus", "Brachycyttarus griseus", "Brachycyttarus reijnvaanii", "Brachycyttarus subteralbata", "Lactarius helvus", "Brachygyna incae", "Brevantennia adriatica", "Brevantennia herrmanni", "Brevantennia pinkeri", "Brevantennia reliqua", "Brevantennia siederi", "Brevantennia styriaca", "Brevantennia triglavensis", "Lactarius lilacinus", "Bythogenes atechna", "Jupiaba iasy", "Canephora asiatica", "Jupiaba paranatinga", "Lactarius mammosus", "Canephora hirsuta", "Casana trochiloides", "Behnia reticulata", "Diamena stenantha", "Cathopsyche reidi", "Diora cajamarcaensis", "Cebysa leucotelus", "Lactarius rufus", "Lactarius hepaticus", "Bembecia bartschi", "Eupithecia leamariae", "Eupithecia utae", "Eupithecia falkenbergi", "Eupithecia sola", "Lactarius quietus", "Epitoxis namaqua", "Pleistodontes addicotti", "Leucanella christbrechlinae", "Leucanella evanschaycki", "Leucanella hausmanni", "Leucanella julianae", "Leucanella maandensis", "Leucanella rufoboliviana", "Leucanella siriae", "Leucanella winfbrechlini", "Philopteroides flavala", "Philopteroides terpsiphoni", "Leucanella viridescens", "Leucanella viridescens viridescens", "Leucanella viridescens paraviridior", "Leucanella viridescens viridior", "Lactarius rubrocinctus", "Leucanella hosmera", "Leucanella lynx", "Claustula fischeri", "Clathrus archeri", "Clathrus chrysomycelinus", "Clathrus columnatus", "Lactarius cremor", "Lactarius serifluus", "Lactarius subumbonatus", "Copaxa amazpandens", "Copaxa andescens", "Copaxa andorientalis", "Lactarius porninsis", "Lactarius zonarioides", "Xiphidium caeruleum", "Anigozanthos preissii", "Hechtia glomerata", "Lactarius zonarius", "Hechtia texensis", "Lactarius mairei", "Deuterocohnia brevifolia", "Leporinus britskii", "Dyckia brevifolia", "Dyckia floribunda", "Dyckia fosteriana", "Dyckia frigida", "Dyckia microcalyx", "Dyckia rariflora", "Dyckia remotiflora", "Synaptolaemus latofasciatus", "Lactarius pubescens", "Catopsis berteroniana", "Catopsis floribunda", "Lactarius scoticus", "Lactarius spinosulus", "Sedum acre subsp. majus", "Sedum acre subsp. acre", "Petrochromis trewavasae", "Hirpida gaujoni", "Hirpida levis", "Hirpida nigrolinea", "Hirpida jujuylinea", "Uranoscopus scaber anostomus", "Automeris iguaquensis", "Automeris napoensis", "Automeris pomiferoides", "Automeris ecuata", "Automeris frankae", "Automeris harriamazonica", "Automeris harricajamarcensis", "Automeris harriyungasiana", "Automeris janrudloffi", "Automeris magdaleniana", "Automeris kitchingi", "Liopropoma randalli", "Automeris moenchorum", "Conus betulinus", "Ardea aequinoctialis", "Asticopyrgodesmus lamingtonensis", "Asticopyrgodesmus maiala", "Nephopyrgodesmus eungella", "Notopyrgodesmus kulla", "Notopyrgodesmus weiri", "Notopyrgodesmus lanosus", "Uropoda thorpei", "Uroobovella pilosetosa", "Oplitis pusaterii", "Rhynchoconger trewavasae", "Symphurus trewavasae", "Acer acuminatum", "Oplitis nitida", "Oplitis tielingensis", "Oplitis iranicus", "Oplitis turcica", "Oplitis angolensis", "Oplitis csuzdii", "Oplitis yuxini", "Oplitis jilinensis", "Oplitis mauritiensis", "Oplitis salebrosa", "Oplitis latisaetigera", "Oplitis punctata", "Ileodictyon cibarium", "Carpinus tropicalis", "Carpinus tsaiana", "Sedum sect.", "Sedum sect.", "Scolopax glottis", "Hebesuncus mollispinus", "Anhinga walterbolesi", "Segestria florentina", "Onthophagus shapovalovi", "Glyptophidium macropus", "Sciaenochromis fryeri", "Chonopeltis fryeri", "Aphanius dispar", "Zeatylenchus pittosporum", "Uroobovella madagascarica", "Uroobovella multisetosa", "Uroobovella oviformis", "Uroobovella danyii", "Automeris parainornata", "Automeris paramelanops", "Automeris parapichinchensis", "Automeris rudloffiani", "Automeris tolimaiensis", "Automeris viksinjaevi", "Automeris winbrechliniani", "Automeris yungasmargaritae", "Automeris zoziboucardi", "Automeris zozimanaguana", "Automeris zozinicaraguana", "Automeris grammoboliviana", "Automeris grammocajamarcensis", "Automeris grammocuscoensis", "Automeris grammopiurensis", "Automeris peggyae", "Automeris lenarti", "Automeris mailinae", "Automeris paracreta", "Automeris hegena", "Automeris jalishena", "Automeris oaxhena", "Zedura dolabella", "Automeris pueblensis", "Automeris siri", "Automeris tamaulipasiana", "Automeris wenczeli", "Automeris choco", "Automeris jinotegana", "Automeris juarezia", "Zedura dololabella", "Automeris knorkeorum", "Automeris managuana", "Automeris paracelata", "Automeris stumpei", "Automeris wernermeisteri", "Automeris occidentorestes", "Automeris celata", "Automeris heppneri", "Automeris unifasciatus", "Automeris angulatus", "Automeris rubrescens", "Automeris wayampi", "Volodichthys catherinae", "Volodichthys herwigi", "Volodichthys parini", "Volodichthys smirnovi", "Carpinus chuniana", "Volodichthys solovjevae", "Carpinus dayongiana", "Carpinus hebestroma", "Carpinus kweichowensis", "Carpinus lipoensis", "Carpinus londoniana", "Carpinus luochengensis", "Carpinus mengshanensis", "Carpinus microphylla", "Carpinus mollicoma", "Carpinus monbeigiana", "Carpinus omeiensis", "Carpinus paohsingensis", "Carpinus pubescens", "Carpinus purpurinervis", "Carpinus putoensis", "Carpinus rankanensis", "Carpinus rupestris", "Carpinus shensiensis", "Carpinus shimenensis", "Carpinus tientaiensis", "Copaxa chimaltengangensis", "Copaxa corralesi", "Copaxa knorkei", "Copaxa mexcentralis", "Copaxa purulhensis", "Copaxa sanmarcosiana", "Copaxa siriae", "Copaxa yungallita", "Lactarius obscuratus", "Copaxa orientalis orientalis", "Copaxa orientalis guamaniana", "Copaxa carolinae", "Copaxa simoni", "Copaxa winbrechlini", "Copaxa rufinans", "Lactarius tabidus", "Automerina auletes", "Automerina caudatula", "Automerina cypria", "Automerina vala", "Dirphia horca", "Dirphiopsis amamartiniana", "Dirphiopsis cuscoensis", "Dirphiopsis rotenbergi", "Dirphiopsis unicarpishiana", "Dirphiopsis unipascoensis", "Dirphiopsis flora", "Dirphiopsis orientalis", "Eacles imperialis", "Eacles imperialis imperialis", "Eacles imperialis quintanensis", "Eacles imperialis decoris", "Eacles imperialis tucumana", "Eacles imperialis oslari", "Eacles imperialis pini", "Eacles imperialis nobilis", "Eacles imperialis cacicus", "Eacles imperialis opaca", "Eacles imperialis hallwachsae", "Eacles imperialis piurensis", "Eacles ormondei", "Eacles ormondei ormondei", "Eacles ormondei yucatanensis", "Eacles ormondei violacea", "Eacles ormondei peruviana", "Eacles ormondei niepelti", "Eacles ormondei vanschaycki", "Eacles ormondei janzeni", "Eubergia altoparanensis", "Eubergia chuquisaciana", "Eubergia santacruziana", "Eubergia sinjaevorum", "Gamelioides anneliesae", "Gamelioides ifei", "Gamelioides sachai", "Hirpida amazonensis", "Hirpida cuscolinea", "Hirpida choba", "Automeris ovalina", "Automeris rectilinea", "Automeris submacula", "Automeris themis", "Bathyphlebia aglia", "Bathyphlebia eminens", "Bathyphlebia flavior", "Bathyphlebia johnsoni", "Bathyphlebia rufescens", "Townsendiella pulchra", "Townsendiella rufiventris", "Townsendiella californica", "Automeris escalantei", "Automeris pallidior", "Automeris orestes", "Automeris serpina", "Automeris boudinoti", "Automeris castrensis", "Automeris coresus", "Automeris cryptica", "Automeris denhezorum", "Automeris descimoni", "Automeris despicata", "Automeris dognini", "Automeris elenensis", "Automeris falco", "Automeris fletcheri", "Automeris godartii", "Automeris goiasensis", "Automeris goodsoni", "Automeris granulosa", "Automeris haxairei", "Automeris innoxia", "Automeris inornata", "Automeris jucundoides", "Automeris lachaumei", "Automeris latenigra", "Automeris lauroia", "Automeris lecourti", "Automeris lemensis", "Automeris maeonia", "Automeris margaritae", "Automeris masti", "Automeris melichari", "Automeris melmon", "Automeris meridionalis", "Biastes popovi", "Automeris micheneri", "Automeris michoacana", "Automeris midea", "Automeris moloneyi", "Automeris muscula", "Automeris naranja", "Automeris nebulosa", "Automeris nubila", "Automeris tristis", "Automeris zugana", "Automeris windiana", "Automeris rougeoti", "Automeris schwartzi", "Automeris stacieae", "Automeris oiticicai", "Automeris paramaculata", "Automeris peigleri", "Automeris pelaezi", "Automeris praemargaritae", "Automeris rostralis", "Automeris tamsi", "Automeris watsoni", "Automeris vomona", "Automeris vinosus", "Automeris oberthurii", "Nomada fulvicornis", "Tringa littorea", "Charadrius cristatus", "Asplenium \u00d7 waikamoi", "Asplenium \u00d7 kokeense", "Asplenium \u00d7 sphenocookii", "Asplenium \u00d7 flagrum", "Ephydatia fluviatilis", "Heterorotula kakahuensis", "Austrarchaea griswoldi", "Austrarchaea hoskini", "Austrarchaea karenae", "Austrarchaea tealei", "Austrarchaea thompsoni", "Austrarchaea wallacei", "Austrarchaea westi", "Austrarchaea woodae", "Zephyrarchaea austini", "Zephyrarchaea barrettae", "Zephyrarchaea grayi", "Zephyrarchaea janineae", "Zephyrarchaea marae", "Zephyrarchaea marki", "Zephyrarchaea melindae", "Zephyrarchaea porchi", "Zephyrarchaea vichickmani", "Zephyrarchaea mainae", "Zephyrarchaea robinsi", "Ergasilus fryeri", "Goliathus albosignatus", "Goliathus meleagris", "Goliathus orientalis", "Indopeniculus fryeri", "Acer \u00d7 boscii", "Acer \u00d7 coriaceum", "Acer \u00d7 hillieri", "Acer \u00d7 schwerinii", "Acer caudatifolium", "Acer chapaense", "Acer cordatum", "Acer duplicatoserratum", "Acer erianthum", "Acer lucidum", "Acer nipponicum", "Acer okamotoanum", "Acer osmastonii", "Acer pauciflorum", "Acer pentapomicum", "Acer pictum", "Acer pubipalmatum", "Acer sino-oblongum", "Acer sosnowskyi", "Acer sutchuenense", "Acer wardii", "Acer pubinerve", "Haliplus incrassatus", "Onthophagus alfuricus", "Onthophagus biscarinulatus", "Onthophagus coprimorphoides", "Onthophagus frankrozendaali", "Onthophagus ontosatu", "Onthophagus seramicus", "Zephyrarchaea hickmani", "Colletotrichum aenigma", "Colletotrichum aeschynomenes", "Colletotrichum alatae", "Colletotrichum alienum", "Colletotrichum aotearoa", "Colletotrichum clidemiae", "Colletotrichum salsolae", "Colletotrichum ti", "Colletotrichum queenslandicum", "Colletotrichum acerbum", "Colletotrichum johnstonii", "Colletotrichum pyricola", "Anostomoides passionis", "Tubella amazonica", "Tubella delicata", "Tubella gregaria", "Tubella horrida", "Tubella lanzamirandai", "Tubella latouchiana", "Tubella leidii", "Tubella minuta", "Tubella paulula", "Tubella pennsylvanica", "Tubella petrofila", "Tubella philottiana", "Tubella repens", "Tubella singpuensis", "Tubella tanganyikae", "Tubella variabilis", "Tubella tsingpuensis", "Trochospongilla tsingpuensis", "Micromelalopha flammea", "Micromelalopha uncinatus", "Micromelalopha uniformis", "Micromelalopha megaera", "Micromelalopha longijuxta", "Micromelalopha capreolus", "Micromelalopha simonovi", "Onthophagus sibela", "Onthophagus wayaua", "Onthophagus danumicus", "Onthophagus giuseppecarpanetoi", "Onthophagus paravinctus", "Onthophagus pseudovinctus", "Melanolestes argentinus", "Melanolestes degener", "Melanolestes morio", "Melanolestes picicornis", "Melanolestes picinus", "Melanolestes picipes", "Melanolestes goiasensis", "Melanolestes lugens", "Melanolestes minutus", "Pleistodontes achorus", "Pleistodontes astrabocheilus", "Pleistodontes athysanus", "Pleistodontes deuterus", "Pleistodontes macrocainus", "Pleistodontes schizodontus", "Pleistodontes xanthocephalus", "Uropoda abantica", "Copaxa marona", "Copaxa niepelti", "Copaxa koenigi", "Copaxa apollinairei", "Copaxa wolfei", "Manodirphia manes", "Nomada fucata", "Nomada australensis", "Nomada bifasciata", "Nomada flavopicta", "Nomada conjungens", "Caranx ignobilis", "Nomada lathburiana", "Nomada leucophthalma", "Caranx melampygus", "Nomada marshamella", "Biastes brevicornis", "Biastes emarginatus", "Biastes truncatus", "Euselasia gloori", "Cupido minimus minimus", "Micromelalopha undulata", "Micromelalopha afghanus", "Micromelalopha argentea", "Micromelalopha cornutijuxta", "Micromelalopha cornutuncus", "Micromelalopha curvivalva", "Micromelalopha melinau", "Micromelalopha celebesa", "Micromelalopha dorsalis", "Micromelalopha kononis", "Micromelalopha leucorhetha", "Micromelalopha montium", "Micromelalopha quadrata", "Micromelalopha pamina", "Scleropages formosus", "Scleropages jardinii", "Marionina spongicola", "Trichogaster chuna", "Marionina seminuda", "Marionina riparia", "Trichopodus trichopterus", "Heterorotula caledonensis", "Tylototriton dabienicus", "Tylototriton broadoridgus", "Sisyra palmata", "Copaxa rufotincta", "Synodontis fascipinna", "Procyon lotor insularis", "Acrophtalmia luzonica", "Anisochaeta aemula", "Cattleya sincorana", "Cattleya storeyi", "Microgobius urraca", "Synodontis nebulosus", "Kalanchoe subg.", "Kalanchoe subg.", "Kalanchoe subg.", "Crex nigra", "Kalanchoe \u00d7 houghtonii", "Colinus virginianus marilandicus", "Mylabris barezensis", "Euscorpius avcii", "Oryzias eversi", "Nomorhamphus rex", "Unionicola billieaehonore", "Unionicola longiseta", "Aphenochiton chionochloae", "Aphenochiton dierama", "Perichaeta carnosa", "Copaxa satellita", "Copaxa syntheratoides", "Copaxa trottierorum", "Citheronia lichyi", "Citheronia andina", "Dirphia rengei", "Rallus lariformis", "Rhopalodes lecorrei", "Chitala chitala", "Paraona micans", "Arias inbio", "Lates calcarifer", "Gymnosarda unicolor", "Meleagris cristata", "Pterodactylus antiquus", "Allium nemrutdaghense", "Allium fethiyense", "Scleromochlus taylori", "Eugnosta brownana", "Cochylis yinyangana", "Anepholcia rosahoferae", "Tentasetae pura", "Oreta vatama", "Oreta vatama vatama", "Oreta vatama acutula", "Oreta vatama tsina", "Oreta andrema", "Oreta obtusa", "Oreta obtusa obtusa", "Oreta obtusa dejeani", "Oreta speciosa", "Oreta brunnea", "Oreta shania", "Oreta loochooana loochooana", "Oreta loochooana timutia", "Lucihormetica zomproi", "Lucihormetica grossei", "Lucihormetica luckae", "Retrotortina damara", "Coccinella transversalis", "Phytophthora bilorbang", "Dinemasporium morbidum", "Gnomoniopsis smithogilvyi", "Nomada ruficornis", "Nomada armata", "Nomada signata", "Nomada rufipes", "Nomada japonica", "Nomada melathoracica", "Nomada moeschleri", "Nomada mutabilis", "Nomada mutica", "Nomada obscura", "Nomada opaca", "Nomada panurgina", "Nomada piccioliana", "Nomada pleurosticta", "Nomada posthuma", "Nomada roberjeotiana", "Nomada trapeziformis", "Nomada tridentirostris", "Nomada zonata", "Blenniella gibbifrons", "Dendya poterium", "Galloisiana odaesanensis", "Nomada ladakhiensis", "Athetis hexencauma", "Acrapex lepta", "Acrapex leptepilepta", "Sesamia mediostriga", "Sesamia ammopoecilma", "Sesamia funebris", "Grammoscelis aganniphus", "Grammoscelis brincki", "Rhodochlaena hadenaeformis", "Rhodochlaena albidior", "Diargyria argyrogramma", "Diargyria argyrostolmus", "Gypsophila muralis", "Aldama dentata", "Epeolus ainsliei", "Epeolus alatus", "Bigelowia nuttallii", "Lorandersonia linifolia", "Lorandersonia pulchella", "Bothriocline laxa", "Procyon lotor gloveralleni", "Procyon lotor maynardi", "Synodontis nigrita", "Nomada obtusifrons", "Nomada sayi", "Nomada stigma", "Nomada texana", "Nomada vegana", "Zabelia densipila", "Mus narmadaensis", "Delta dimidiatipenne", "Delta emarginatum", "Anisochaeta kiwi kiwi", "Anisochaeta kiwi mihi", "Cycloneda pretiosa", "Liometopum microcephalum", "Epeolus minimus", "Epeolus tarsalis", "Epeolus alpinus", "Charaxes nagaensis", "Nomada alboguttata", "Charaxes nandina", "Nomada argentata", "Nomada atroscutellaris", "Nomada basalis", "Nomada blepharipes", "Nomada bluethgeni", "Nomada braunsiana", "Charaxes nicati", "Nomada carnifex", "Nomada castellana", "Charaxes nichetes", "Nomada chrysopyga", "Charaxes nichetes nichetes", "Charaxes nichetes bouchei", "Charaxes nichetes leopardinus", "Nomada confinis", "Charaxes nichetes leoninus", "Charaxes nichetes pantherinus", "Nomada connectens", "Charaxes nichetes ssese", "Nomada distinguenda", "Charaxes nobilis", "Charaxes nobilis nobilis", "Charaxes nobilis claudei", "Aphenochiton grammicus", "Aphenochiton kamahi", "Aphenochiton matai", "Aphenochiton pronus", "Aphenochiton pubens", "Aphenochiton subtilis", "Crystallotesta neofagi", "Crystallotesta ornatella", "Ctenochiton chelyon", "Ctenochiton paraviridis", "Ctenochiton toru", "Kalasiris paradepressa", "Lecanochiton actites", "Lecanochiton scutellaris", "Plumichiton diadema", "Plumichiton nikau", "Plumichiton pollicinus", "Plumichiton punctatus", "Poropeza cologabata", "Harmonia bicolor", "Biastes schmidti", "Harmonia octomaculata", "Harmonia testudinaria", "Gephyromantis hintelmannae", "Gephyromantis verrucosus", "Cystoderma fallax", "Aromobates cannatellai", "Aromobates ericksonae", "Aromobates inflexus", "Aromobates zippeli", "Delta unguiculatum", "Nomada ferruginata", "Anisochaeta kiwi", "Rhododrilus mangamingi", "Deinodrilus orcus", "Nomada flavoguttata", "Nomada goodeniana", "Nomada succincta", "Bombus ruderatus", "Platax batavianus", "Corynespora kenyensis", "Sporidesmiella parva", "Helminthosporium palmigenum", "Helminthosporium velutinum", "Ellisembia bambusicola", "Sylvilagus palustris hefneri", "Dawkinsia filamentosa", "Aptenocanthon rossi", "Aptenocanthon jimara", "Aptenocanthon kabura", "Aptenocanthon speewah", "Aptenocanthon winyar", "Aptenocanthon wollumbin", "Aptenocanthon monteithi", "Charaxes nobilis rosemariae", "Charaxes northcotti", "Charaxes nyikensis", "Charaxes obudoensis", "Charaxes octavus", "Charaxes odysseus", "Charaxes opinatus", "Charaxes overlaeti", "Charaxes paradoxa", "Charaxes pelias", "Charaxes pembanus", "Charaxes petersi", "Charaxes phoebus", "Charaxes phraortes", "Charaxes plantroui", "Charaxes pondoensis", "Charaxes prettejohni", "Charaxes distanti", "Charaxes eurialus", "Charaxes aristogiton", "Charaxes kahruba", "Charaxes marmax", "Charaxes varanes", "Nomada fabriciana", "Nomada errans", "Nomada femoralis", "Nomada flava", "Nomada flavilabris", "Nomada furva", "Nomada gribodoi", "Nomada guttulata", "Nomada hirtipes", "Nomada italica", "Nomada kohli", "Sphex funerarius", "Stizoides tridentatus", "Stizoides crassicornis", "Gorytes albilabris", "Gorytes laticinctus", "Gorytes quadrifasciatus", "Amynthas carnosus", "Chrysogonum virginianum", "Cyclolepis genistoides", "Melanozosteria mjoebergi", "Sedum mucizonia subsp. mucizonia", "Sedum mucizonia subsp. abylaeum", "Elaphomyces compleximurus", "Elaphomyces digitatus", "Pseudotulostoma volvata", "Pseudotulostoma japonicum", "Dendrobaena attemsi", "Murchieona muldali", "Murchieona minuscula", "Eisenia japonica", "Acanthodrilus ravus", "Mythimna albomarginata", "Epigonus exodon", "Alburnoides holciki", "Nidilaelaps lisae", "Nidilaelaps holdsworthi", "Nidilaelaps annectans", "Sedum sect.", "Sedum sect.", "Onigocia macrocephala", "Hypostomus arecuta", "Gobicar ulugeiensis", "Oenospila altistrix", "Oenospila microstrix", "Synodontis nigromaculatus", "Plestiodon japonicus", "Columba cucullata", "Columba gutturosa", "Columba hispanica", "Columba hispida", "Columba leucoptera", "Columba sinica", "Columba tabellaria", "Columba tremula", "Columba turbita", "Cattleya tenuis", "Cattleya tigrina", "Cattleya vandenbergii", "Cattleya velutina", "Cattleya verboonenii", "Cattleya virens", "Cattleya warneri", "Apis terrestris", "Sphaerularia vespae", "Nosema bombi", "Lasioseius penicilliger", "Bombus hortorum", "Cerathopsyche leptodeta", "Chalioides ferevitrea", "Chalioides nakatomii", "Chalioides sumatrensis", "Chalioides stenocyttara", "Chalioides vitrea", "Chaliopsis junodi", "Chaliopsis junodi junodi", "Chaliopsis junodi brunnescens", "Clania acacienta", "Clania antrami", "Clania lewinii", "Clania ignobilis", "Clania mahanti", "Claniades ekeikei", "Colpotorna lasiopa", "Commotrias eucolapta", "Conoeca guildingi", "Criocharacta amphiactis", "Cryptothelea congregatus", "Cattleya \u00d7 duveenii", "Thomasomys ucucha", "Myrmecia picticeps", "Lepidolaena novae-zelandiae", "Gackstroemia alpina", "Gackstroemia weindorferi", "Cattleya \u00d7 calimaniana", "Crassula subsect.", "Crassula arborescens subsp. arborescens", "Crassula arborescens subsp. undulatifolia", "Triplophysa lihuensis", "Myliobatis ridens", "Cattleya \u00d7 calimaniorum", "Cattleya \u00d7 colnagiana", "Cattleya \u00d7 dayana", "Cattleya \u00d7 dolosa", "Cattleya \u00d7 dukeana", "Cryptothelea gloverii", "Cryptothelea hoffmanni", "Cryptothelea macleayi", "Cryptothelea nigrita", "Cryptothelea surinamensis", "Cryptothelea symmicta", "Cryptothelea watsoni", "Cuphomantis petrosperma", "Curtorama cassiae", "Dahlica achajensis", "Etiella zinckenella", "Gypsophila fastigiata", "Crassula perforata subsp. kongaensis", "Crassula perforata subsp. perforata", "Crassula rupestris subsp. marnieriana", "Cattleya warscewiczii", "Crassula rupestris subsp. commutata", "Crassula rupestris subsp. rupestris", "Cattleya wittigiana", "Cattleya xanthina", "Adelomyrmex quetzal", "Dicranocarpus parviflorus", "Haploesthes greggii", "Varilla texana", "Jefea brevifolia", "Kaunia lasiophthalma", "Monoptilon bellioides", "Tricheilostoma jani", "Trachylepis cristinae", "Cattleya \u00d7 elegans", "Pulsatilla albana", "Pulsatilla violacea", "Cattleya \u00d7 frankeana", "Lepidogyna hodgsoniae", "Lepidolaena berggrenii", "Lepidolaena clavigera", "Lepidolaena palpebrifolia", "Lepidolaena reticulata", "Lepidolaena taylorii", "Manota abakiga", "Manota aculifera", "Manota afra", "Manota bracteata", "Manota clurina", "Manota comata", "Manota dissidens", "Manota foliolata", "Manota freerki", "Manota ghanaensis", "Manota katusabei", "Manota kibaleensis", "Manota pedicellata", "Manota petiolata", "Manota pilosa", "Manota pinnata", "Manota pinnulata", "Manota redunca", "Manota relicina", "Manota senticosa", "Manota simina", "Manota toomasi", "Manota toroensis", "Manota usubi", "Manota aquila", "Manota falcata", "Manota flammula", "Manota subcollina", "Manota satoyamanis", "Manota indahae", "Manota tunoae", "Manota acehensis", "Epipompilus insularis", "Manota anceps", "Manota bruneiensis", "Manota capillata", "Manota dolichothrix", "Manota hexacantha", "Manota hyboloma", "Manota perangulata", "Manota radula", "Manota sinepollex", "Manota stricta", "Manota subforceps", "Manota aureonigra", "Manota crassiseta", "Pulsatilla violacea subsp. armena", "Pulsatilla violacea subsp. violacea", "Cattleya \u00d7 gaezeriana", "Cattleya \u00d7 gransabanensis", "Brasileirinho cavaticus", "Phymaturus sinervoi", "Cattleya \u00d7 hummeliana", "Cattleya \u00d7 hybrida", "Cattleya \u00d7 imperator", "Cattleya \u00d7 intricata", "Crassula subsect.", "Crassula subsect.", "Cattleya \u00d7 irrorata", "Cattleya \u00d7 isabellae", "Cattleya \u00d7 joaquiniana", "Cattleya \u00d7 wilsoniana", "Cattleya \u00d7 whitei", "Nasonia giraulti", "Nasonia longicornis", "Nasonia oneida", "Cattleya \u00d7 zayrae", "Cabelodopsis hispida", "Platyschkuhria integrifolia", "Rainiera stricta", "Syneilesis aconitifolia", "Syneilesis palmata", "Argyrodes lepidus", "Cattleya \u00d7 kautskyi", "Cattleya \u00d7 labendziana", "Cattleya \u00d7 lucieniana", "Cattleya \u00d7 measuresii", "Cattleya \u00d7 mixta", "Cattleya \u00d7 moduloi", "Cattleya \u00d7 patrocinii", "Peraxilla colensoi", "Peraxilla tetrapetala", "Cattleya \u00d7 picturata", "Cattleya \u00d7 pittiana", "Cattleya \u00d7 resplendens", "Cattleya \u00d7 schunkiana", "Cattleya \u00d7 tenuata", "Cattleya \u00d7 varelae", "Cattleya \u00d7 venosa", "Cattleya \u00d7 victoria-regina", "Manota flavipes", "Manota furcata", "Paraponera dieteri", "Manota fusca", "Manota hamulata", "Manota issongo", "Manota joerni", "Manota lachaisei", "Manota mabokeensis", "Manota mazumbaiensis", "Manota montana", "Manota nigra", "Manota pacifica", "Manota saepium", "Manota serrata", "Manota sespinea", "Manota styloides", "Manota teocchi", "Manota tridactyla", "Paramanota awanensis", "Paramanota orientalis", "Paramanota peninsulae", "Paramanota schachti", "Paramanota sumatrana", "Eumanota vilkamaai", "Kamimuria digyracantha", "Kamimuria wangi", "Bordoniola ecuadorialis", "Bordoniola minima", "Bordoniola otongana", "Bordoniola relicta", "Bordoniola simillima", "Catops perkovskyi", "Tafforeus cainosternus", "Diaperia candida", "Diaperia prolifera", "Diaperia verna", "Adelomyrmex anxiocalor", "Adelomyrmex bispeculum", "Adelomyrmex coco", "Adelomyrmex dentivagans", "Adelomyrmex marginodus", "Adelomyrmex metzabok", "Adelomyrmex nortenyo", "Adelomyrmex paratristani", "Fimoscolex bartzi", "Echidna amblyodon", "Echidna catenata", "Spondylurus sloanii", "Spondylurus semitaeniatus", "Spondylurus nitidus", "Chloeia viridis", "Spondylurus macleani", "Spondylurus lineolatus", "Spondylurus fulgidus", "Eurythoe complanata", "Smeringopus bwindi", "Smeringopus mgahinga", "Smeringopus ruhiza", "Smeringopus mpanga", "Smeringopus chogoria", "Smeringopus bujongolo", "Smeringopus ngangao", "Smeringopus turkana", "Smeringopus oromia", "Smeringopus saruanle", "Smeringopus koppies", "Smeringopus badplaas", "Smeringopus florisbad", "Smeringopus harare", "Smeringopus blyde", "Smeringopus hanglip", "Smeringopus lydenberg", "Smeringopus mlilwane", "Smeringopus ndumo", "Smeringopus sederberg", "Smeringopus lotzi", "Smeringopus ubicki", "Smeringopus dehoop", "Smeringopus atomarius", "Smeringopus uisib", "Smeringopus tombua", "Smeringopus luki", "Smeringopus isangi", "Smeringopus butare", "Smeringopus katanga", "Smeringopus kalomo", "Smeringopus chibububo", "Smeringopus dundo", "Smeringopus moxico", "Smeringopus principe", "Smeringopus mayombe", "Smeringopus lubondai", "Smeringopus sambesicus", "Smeringopus roeweri", "Smeringopus similis", "Smeringopus peregrinoides", "Smeringopus lesserti", "Smeringopus rubrotinctus", "Smeringopus arambourgi", "Smeringopus affinitatus", "Smeringopus zonatus", "Smeringopus lineiventris", "Smeringopus natalensis", "Smeringopus lesnei", "Smeringopus hypocrita", "Smeringopus cylindrogaster", "Smeringopus peregrinus", "Smeringopus thomensis", "Smeringopus carli", "Echidna delicatula", "Echidna leucotaenia", "Algia felderi mimicus", "Algiachroa woodfordi", "Oregonia gracilis", "Cirrochroa aoris", "Cirrochroa aoris aoris", "Cirrochroa aoris olivacea", "Cirrochroa clagia", "Cirrochroa clagia clagia", "Cirrochroa clagia clagina", "Cirrochroa emalea martini", "Cirrochroa emalea bajadeta", "Cirrochroa emalea ravana", "Cirrochroa emalea lapaona", "Cirrochroa imperatrix", "Cirrochroa malaya calypso", "Cirrochroa menones", "Cirrochroa nicobarica", "Cirrochroa orissa", "Cirrochroa orissa orissa", "Cirrochroa orissa orissides", "Cirrochroa orissa chione", "Cirrochroa regina", "Cirrochroa regina regina", "Cirrochroa regina sophene", "Cirrochroa regina princesa", "Cirrochroa regina nasica", "Cirrochroa regina myra", "Cirrochroa regina jobina", "Cirrochroa regina ducalis", "Cirrochroa regina paulowna", "Cirrochroa satellita", "Cirrochroa satellita satellita", "Cirrochroa satellita illergata", "Cirrochroa semiramis", "Cirrochroa eremita", "Cirrochroa recondita", "Chionanthus mala-elengi", "Diaphenchelys pelonates", "Spiraea hypericifolia", "Spiraea japonica", "Spiraea lucida", "Spiraea micrantha", "Spiraea miyabei", "Spiraea mollifolia", "Spiraea lasiocarpa", "Spiraea myrtilloides", "Spiraea nipponica", "Spiraea prunifolia", "Spiraea pubescens", "Spiraea rosthornii", "Spiraea stevenii", "Spiraea tomentosa", "Spiraea trichocarpa", "Spiraea trilobata", "Spiraea vacciniifolia", "Spiraea veitchii", "Spiraea virginiana", "Spiraea wilsonii", "Storeyus pseudodipterus", "Spiraea \u00d7cinerea", "Spiraea \u00d7 foxii", "Spiraea \u00d7 pikoviensis", "Spiraea \u00d7 vanhouttei", "Spiraea splendens", "Protogamasellopsis dioscorus", "Crataegus \u00d7 gillotii", "Crataegus \u00d7 lobata", "Rafinesquia neomexicana", "Afrocypholaelaps analicullus", "Afrocypholaelaps dalyi", "Echidna nocturna", "Ninox rumseyi", "Echidna peli", "Ninox leventisi", "Crassula columnaris subsp. columnaris", "Crassula columnaris subsp. prolifera", "Echidna polyzona", "Echidna rhodochilus", "Echidna unicolor", "Echidna xanthospilos", "Spiraea affinis", "Spiraea alaskaense", "Spiraea alba", "Spiraea alpina", "Spiraea arcuata", "Spiraea bella", "Spiraea betulifolia", "Spiraea canescens", "Spiraea chamaedryfolia", "Spiraea chinensis", "Spiraea corymbosa", "Spiraea dasyantha", "Spiraea flexuosa", "Spiraea formosana", "Spiraea fritschiana", "Spiraea hayatana", "Spiraea henryi", "Spiraea hirsuta", "Scabrethia scabra", "Shinnersoseris rostrata", "Dendrobium anosmum", "Dendrobium bowmanii", "Tarentola bocagei", "Tarentola fogoensis", "Spondylurus anegadae", "Spondylurus caicosae", "Spondylurus culebrae", "Spondylurus haitiae", "Spondylurus magnacruzae", "Spondylurus martinae", "Spondylurus monae", "Spondylurus monitae", "Spondylurus powelli", "Spondylurus turksae", "Spondylurus spilonotus", "Heliconius doris", "Heliconius doris doris", "Heliconius doris obscurus", "Heliconius doris delila", "Heliconius doris viridis", "Heliconius doris dives", "Algia fasciata palloris", "Algia fasciata bilbilis", "Algia fasciata ortopia", "Algia fasciata angustata", "Algia fasciata formosana", "Algia fasciata lautus", "Algia satyrina", "Algia satyrina satyrina", "Algia satyrina sibylla", "Algia satyrina similiana", "Oregonia spinifera", "Algia felderi", "Algia felderi felderi", "Oregonia bifurca", "Simarouba glauca", "Simarouba tulae", "Ctenoplectron rufobrunneum", "Ctenoplectron vittatum", "Ctenoplectron humerale", "Aspronema cochabambae", "Aspronema dorsivittata", "Brasiliscincus agilis", "Brasiliscincus caissara", "Brasiliscincus heathi", "Echeveria ser.", "Trixagus majusculus", "Macrocheles insulicola", "Macrocheles pumilus", "Macrocheles turgoensis", "Macrocheles similiscutatus", "Macrocheles simplex", "Pisione papuensis", "Pisione helenae", "Pisione parhelenae", "Pisione parva", "Pisione brevicirra", "Pisione ungulata", "Pisione primitiva", "Pisione subulata", "Pisione guanche", "Pisione inkoi", "Pisione parapari", "Pisione remota", "Echinax clara", "Echinax hesperis", "Echinax natalensis", "Diloma durvillaea", "Promalactis bifasciaria", "Promalactis odaiensis", "Promalactis autoclina", "Promalactis autoclina autoclina", "Promalactis autoclina javanica", "Echinax scharffi", "Echinax similis", "Echinax spatulata", "Echinax longespina", "Hyalella brasiliensis", "Hyalella caeca", "Hyalella montenegrinae", "Hyalella pseudoazteca", "Hyalella dielaii", "Hyalella spelaea", "Cyana griseilinea", "Hyalella montezumae", "Hyalella montezuma", "Agrisius bolovena", "Agrisius dubatolovi", "Stomatanthes oblongifolius", "Stylocline micropoides", "Xanthocephalum gymnospermoides", "Maesa chisia", "Maesa indica", "Maesa japonica", "Maesa lanceolata", "Maesa macrophylla", "Maesa montana", "Maesa perlaria", "Maesa rugosa", "Wallenia laurifolia", "Capitellum mariagalantae", "Capitellum metallicum", "Capitellum parvicruzae", "Echeveria ser.", "Curatella americana", "Davilla nitida", "Davilla rugosa", "Dillenia mindanaensis", "Dillenia pentagyna", "Dillenia philippinensis", "Dillenia reifferscheidia", "Acineta antioquiae", "Acineta beyrodtiana", "Acineta confusa", "Acineta hagsateri", "Acineta hennisiana", "Acineta mireyae", "Acineta salazarii", "Acineta sulcata", "Mimus polyglottos orpheus", "Acineta barkeri", "Acineta chrysantha", "Acineta cryptodonta", "Acineta densa", "Acineta erythroxantha", "Acineta hrubyana", "Acineta sella-turcica", "Phoenix roebelenii", "Euphorbia subg.", "Euphorbia sect.", "Echeveria ser.", "Phragmipedium besseae", "Phragmipedium dalessandroi", "Harpactea christodeltshevi", "Abyssocythere squalidentata", "Dillenia suffruticosa", "Dillenia ovata", "Doliocarpus dentatus", "Colubotelson edgarensis", "Colubotelson pedderensis", "Calepina irregularis", "Ammannia verticillata", "Malope anatolica", "Malope malacoides", "Enchelycore bayeri", "Enchelycore bikiniensis", "Enchelycore carychroa", "Enchelycore kamara", "Enchelycore lichenosa", "Enchelycore nigricans", "Enchelycore octaviana", "Enchelycore pardalis", "Enchelycore ramosa", "Enchelycore schismatorhynchus", "Hibbertia cuneiformis", "Hibbertia dentata", "Hibbertia lasiopus", "Hibbertia linearis", "Hibbertia miniata", "Hibbertia montana", "Hibbertia procumbens", "Hibbertia riparia", "Hibbertia scandens", "Pseudopachylaelaps ornatus", "Australocheles holmi", "Sinployea pitcairnensis", "Echeveria ser.", "Ancistrus temminckii", "Ancistrus dolichopterus", "Cirrochroa surya", "Cirrochroa surya surya", "Cirrochroa surya siamensis", "Cirrochroa thais", "Cirrochroa thais thais", "Cirrochroa thais lanka", "Cirrochroa thule", "Cirrochroa thule thule", "Cirrochroa thule massalia", "Cupha arias", "Cupha crameri", "Cupha lampetia", "Cupha lampetia lampetia", "Cupha lampetia mirona", "Cupha maeonides", "Cupha melichrysos", "Cupha prosope", "Cupha erymanthis peliopteryx", "Lachnoptera anticlia", "Lachnoptera ayresii", "Echeveria \u00d7 ovata", "Echeveria gigantea", "Echeveria \u00d7 ferrea", "Echeveria ser.", "Dicopomorpha echmepterygis", "Squatina australis", "Tetracera alnifolia", "Tetracera sarmentosa", "Tetracera cowleyana", "Tetracera volubilis", "Abyssocythere casca", "Abyssocythere atlantica", "Stevacarus claggi", "Stevacarus evansi", "Leptolaelaps reticulatus", "Glossopetalon spinescens", "Glossopetalon texense", "Euscaphis japonica", "Leptolaelaps capensis", "Francoa appendiculata", "Francoa sonchifolia", "Leptolaelaps lambda", "Hypseocharis pimpinellifolia", "Leptolaelaps lawrencei", "Leptolaelaps macquariensis", "Leptolaelaps elegans", "Leptolaelaps longicornea", "Leptolaelaps reticulatus campbellensis", "Pulchraplaga caledonia", "Saemundssonia gygisa", "Saemundssonia creagrusa", "Saemundssonia albatrossa", "Ithystenus curvidens", "Enchelynassa canina", "Sclerodermus pupariae", "Trichomycterus rubbioli", "Eulaema quadragintanovem", "Promalactis commotica", "Promalactis cornigera", "Promalactis crenopa", "Promalactis dimolybda", "Promalactis enopisema", "Promalactis epistacta", "Promalactis geometrica", "Promalactis haliclysta", "Promalactis holozona", "Promalactis isodora", "Promalactis isopselia", "Promalactis isothea", "Promalactis jourdheuillella", "Promalactis lunisequa", "Promalactis mercedella", "Promalactis nebrias", "Promalactis orphanopa", "Promalactis parazeucta", "Promalactis pentaclosta", "Promalactis platyxantha", "Promalactis pyrochalca", "Promalactis recurva", "Promalactis ruficolor", "Promalactis scalmotoma", "Promalactis sphaerograpta", "Promalactis spintheritis", "Promalactis sponsalis", "Promalactis suzukiella", "Promalactis symbolopa", "Promalactis teleuropa", "Promalactis thiasitis", "Promalactis venustella", "Promalactis veridica", "Promalactis fuscomaculella", "Promalactis ermolencoi", "Promalactis fengxianica", "Promalactis flavescens", "Promalactis proximipulchra", "Promalactis pulchra", "Promalactis quadrilineata", "Promalactis rubra", "Promalactis taibaiensis", "Promalactis kuznetsovi", "Promalactis maculosa", "Promalactis nadezhdae", "Promalactis sakaiella", "Acineta superba", "Promalactis sinevi", "Promalactis subsuzukiella", "Promalactis svetlanae", "Promalactis trapezia", "Vicia sativa subsp. amphicarpa", "Acineta alticola", "Loxia panicivora", "Loxia sanguinirostris", "Loxia cyanea", "Loxia butyracea", "Loxia collaria", "Loxia fusca", "Loxia cana", "Loxia bicolor", "Ancorina bellae", "Ancorina globosa", "Ancorina diplococcus", "Ancorina stalagmoides", "Ancorina corticata", "Stryphnus atypicus", "Stryphnus levis", "Stryphnus novaezealandiae", "Stryphnus poculum", "Stryphnus spelunca", "Stryphnus ariena", "Ecionemia alata", "Ecionemia novaezealandiae", "Asbestopluma anisoplacochela", "Asbestopluma desmophora", "Abyssocladia carcharias", "Podospongia virga", "Chondrocladia turbiformis", "Arfeuillea arborescens", "Atalaya hemiglauca", "Blighia sapida", "Diplopodospongia teliformis", "Diplopodospongia rara", "Diplopodospongia macquariensis", "Neopodospongia bergquistae", "Neopodospongia pagei", "Neopodospongia exilis", "Podospongia colini", "Neptis ananta", "Neptis ananta ananta", "Echeveria ser.", "Aa paleacea", "Hepatus pudibundus", "Echeveria ser.", "Cyclozodion tuberatum", "Cyclozodion angustum", "Echeveria ser.", "Echeveria \u00d7 carnitricha", "Pseudophryne robinsoni", "Ilyocryptus yooni", "Alona kotovi", "Diplocephalus guidoi", "Paramoera anivae", "Abyssocythere japonica", "Abyssocythere australis", "Hepatus biformis", "Hepatus bottomsi", "Hepatus guraboensis", "Abyssocythere pannucea", "Hepatus lineatinus", "Hepatus praecox", "Hepatus spinimarginatus", "Abyssocythere trinidadensis", "Ranunculus acraeus", "Clausilia dubia", "Stephopoma abrolhosense", "Saemundssonia boschi", "Peratophyga hyalinata", "Peratophyga grata", "Peratophyga grata grata", "Peratophyga grata totifasciata", "Peratophyga crista", "Peratophyga recta", "Peratophyga bifasciata", "Peratophyga xanthyala", "Dracontogena continentalis", "Rhopobota amphigonia", "Rhopobota argyrophenga", "Rhopobota bostrichus", "Rhopobota falcigera", "Rhopobota hypomelas", "Rhopobota metastena", "Rhopobota ancyloides", "Rhopobota antrifera", "Rhopobota bicolor", "Rhopobota blanditana", "Rhopobota cicatrix", "Rhopobota clivosa", "Rhopobota cornuta", "Rhopobota dietziana", "Rhopobota eclipticodes", "Rhopobota finitimana", "Rhopobota grypodes", "Phragmipedium humboldtii", "Rhopobota ilexi", "Rhopobota kaempferiana", "Rhopobota latipennis", "Rhopobota leucognoma", "Rhopobota macroceria", "Rhopobota macrosepalana", "Rhopobota microceria", "Rhopobota multiplex", "Rhopobota myrtillana", "Rhopobota naevana", "Rhopobota punctiferana", "Rhopobota relicta", "Rhopobota safidana", "Rhopobota scleropa", "Rhopobota shikokuensis", "Rhopobota svetlanae", "Rhopobota symbolias", "Rhopobota toshimai", "Rhopobota unidens", "Rhopobota ustomaculana", "Rhopobota verditer", "Rhopobota visenda", "Rhopobota stagnana", "Rhopobota cornifera", "Rhopobota larocana", "Rhopobota mostardana", "Rhopobota mayarica", "Rhopobota ventriloba", "Rhopobota monospina", "Rhopobota granpiedrae", "Rhopobota lacteicaput", "Rhopobota platyceria", "Candona quasiakaina", "Candona sillae", "Phragmipedium boissierianum", "Phragmipedium boissierianum var. czerwiakowianum", "Bactra goiasia", "Endothenia tuxtlasia", "Monopis bisonella", "Satyrium pruni", "Satyrium pruni pruni", "Satyrium pruni jezoensis", "Satyrium pruni dujianensis", "Satyrium pruni gansuensis", "Acupicta hainanicum", "Abisara freda", "Abisara freda freda", "Abisara freda daliensis", "Loxia cristata", "Loxia mexicana", "Loxia flavicans", "Promalactis balikpapana", "Promalactis brevivalva", "Promalactis caniceps", "Promalactis dierli", "Promalactis dolokella", "Promalactis hoenei", "Promalactis irinae", "Promalactis jacobsoni", "Promalactis javana", "Promalactis jongi", "Promalactis kalimantana", "Promalactis lungtanella", "Promalactis mentawirella", "Promalactis merangirella", "Promalactis meyi", "Promalactis nabokovi", "Promalactis nataliae", "Promalactis naumanni", "Promalactis palawanella", "Promalactis raptitalella", "Promalactis roesleri", "Promalactis submentawirella", "Promalactis sumatrana", "Promalactis unistriatella", "Promalactis uncinata", "Promalactis spiculata", "Promalactis spiniformis", "Promalactis splendida", "Promalactis spatulata", "Promalactis similiflora", "Promalactis similipulchra", "Promalactis scleroidea", "Promalactis ruiliensis", "Promalactis punctuata", "Promalactis projecta", "Promalactis proximaculosa", "Promalactis parasuzukiella", "Promalactis meyricki", "Promalactis jiyuanica", "Promalactis guangxiensis", "Promalactis fuscimaculata", "Promalactis bifurca", "Promalactis bellatula", "Promalactis basifasciaria", "Promalactis akaganea", "Promalactis kumanoensis", "Promalactis manoi", "Promalactis matsuurae", "Promalactis yaeyamaensis", "Promalactis wegneri", "Promalactis albiapicalis", "Promalactis buonluoi", "Promalactis amphicopa", "Promalactis bathroclina", "Promalactis calathiscias", "Promalactis callimetalla", "Promalactis climacota", "Promalactis clinometra", "Etiella walsinghamella", "Culama anthracica", "Culama crepera", "Culama dasythrix", "Culama suffusca", "Culama alpina", "Culama glauca", "Phragmipedium hirtzii", "Phragmipedium klotzschianum", "Phragmipedium kovachii", "Pelagodes cancriformis", "Elatine alsinastrum", "Nomada aldrichi", "Elatine hydropiper", "Nomada algira", "Phragmipedium lindenii", "Nomada alpha", "Nomada alpigena", "Nomada amabilis", "Phragmipedium lindleyanum", "Nomada amamiensis", "Nomada amoena", "Nomada amorphae", "Nomada amurensis", "Nomada angelarum", "Nomada angulata", "Phragmipedium sargentianum", "Nomada annulata", "Nomada anpingensis", "Nomada antennata", "Nomada aprilina", "Nomada aquilarum", "Nomada arasiana", "Nomada arenicola", "Nomada argentea", "Nomada ariasi", "Nomada arizonica", "Nomada armatella", "Nomada arrogans", "Phragmipedium longifolium", "Phragmipedium longifolium var. longifolium", "Nomada articulata", "Nomada ashabadensis", "Nomada ashmeadi", "Nomada asozuana", "Nomada asteris", "Phragmipedium longifolium var. chapadense", "Neptis ananta yanagisawai", "Callerebia uemurai", "Callerebia yukikoae", "Carterocephalus urasimataro", "Carterocephalus stax", "Limenitis misuji", "Limenitis helmanni", "Limenitis helmanni helmanni", "Limenitis helmanni sichuanensis", "Meandrusa sciron abaensis", "Argodrepana marilo", "Phragmipedium caricinum", "Schellencandona schellenbergi", "Nomada abyssinica", "Nomada accentifera", "Nomada accepta", "Nomada acutilabris", "Nomada adducta", "Nomada adusta", "Schellencandona tea", "Nomada advena", "Nomada aethiopica", "Phragmipedium christiansenianum", "Nomada affabilis", "Phragmipedium fischeri", "Nomada illinoensis", "Phragmipedium hartwegii", "Nomada panzeri", "Nomada sheppardana", "Nomada africana", "Nomada agrestis", "Nomada agynia", "Nomada albidemaculata", "Nomada alboscutellata", "Etiella behrii", "Etiella chrysoporella", "Etiella grisea", "Culama australis", "Etiella hobsoni", "Etiella scitivittalis", "Ancylodes pallens", "Amphithrix sublineatella", "Anonaepestis bengalella", "Archiephestia adpiscinella", "Bahiria latevalvata", "Chrysosplenium glechomifolium", "Cota hamzaoglui", "Minuartia turcica", "Phragmipedium pearcei", "Phragmipedium reticulatum", "Phragmipedium schlimii", "Phragmipedium tetzlaffianum", "Phragmipedium vittatum", "Phragmipedium warszewiczianum", "Gymnomuraena zebra", "Phragmipedium \u00d7 colombianum", "Gymnothorax reticularis", "Phragmipedium \u00d7 roethianum", "Schellencandona belgica", "Schellencandona insueta", "Schellencandona triquetra", "Schellencandona simililampadis", "Heterotanoides muimui", "Cercopithecus lomamiensis", "Uroxys boneti", "Uroxys pauliani", "Psoralea karooensis", "Macrocheilus devagiriensis", "Helina densiseta", "Helina desnudifemorata", "Bridgesia incisifolia", "Copeoglossum arajara", "Copeoglossum aurae", "Copeoglossum margaritae", "Copeoglossum nigropunctatum", "Copeoglossum redondae", "Braemia vittata", "Undulacandona spinula", "Cephalaria elmaliensis", "Cephalaria amana", "Cephalaria uralensis", "Cavernocypris cavernosa", "Infurcitinea absconditella", "Cephalaria duzceensis", "Infurcitinea albicapilla", "Infurcitinea alpicella", "Infurcitinea fasciella", "Rodriguezia lanceolata", "Infurcitinea karmeliella", "Exila nigronigrata", "Rhodobates dierli", "Rhodobates pusillus", "Infurcitinea fibigeri", "Stachys cretica subsp. bulgarica", "Stachys cretica subsp. cassia", "Stachys cretica subsp. cretica", "Mabuya cochonae", "Stachys cretica subsp. garana", "Stachys cretica subsp. mersinaea", "Stachys cretica subsp. salviifolia", "Stachys cretica subsp. anatolica", "Stachys cretica subsp. vacillans", "Silene hamzaoglui", "Scorzonera zorkunensis", "Marrubium sivasense", "Marrubium depauperatum", "Salvia brachyantha subsp. tankutiana", "Salvia brachyantha subsp. brachyantha", "Vinca soneri", "Emberiza atrata", "Emberiza familiaris", "Emberiza flaveola", "Emberiza psittacea", "Monopenchelys acuta", "Alopecosa kovblyuki", "Allecula suberina", "Cytisus heuffelii", "Cytisus rochelii", "Cardiospermum corindum", "Cardiospermum grandiflorum", "Cardiospermum halicacabum", "Castanospora alphandii", "Cupania americana", "Cupania diphylla", "Cupania juglandifolia", "Cupania scrobiculata", "Cupania vernalis", "Aeschnosoma marizae", "Fringilla sylvatica", "Fringilla melancholica", "Fringilla brasiliana", "Fringilla butyracea", "Fringilla domestica", "Fringilla chinensis", "Liopropoma emanueli", "Pterygotrigla amaokai", "Frambocythere relicta", "Frambocythere tumiensis", "Fimbriaria mergi", "Centropyge argi", "Centropyge aurantia", "Centropyge bicolor", "Centropyge deborae", "Centropyge eibli", "Centropyge flavipectoralis", "Centropyge hotumatua", "Centropyge multicolor", "Centropyge multifasciata", "Centropyge multispinis", "Centropyge nahackyi", "Centropyge nigriocellus", "Centropyge nox", "Centropyge resplendens", "Centropyge tibicen", "Centropyge venustus", "Centropyge vrolikii", "Madrepora oculata", "Centropyge acanthops", "Centropyge subconvexa", "Centropyge rotthawi", "Pomacentrus fakfakensis", "Cupaniopsis anacardioides", "Cupaniopsis leptobotrys", "Cupaniopsis serrata", "Diatenopteryx sorbifolia", "Dimocarpus longan", "Dipteronia sinensis", "Megagrapha thaica", "Ceiba sect.", "Ceiba sect.", "Dappula tertia", "Deborreides febrettina", "Deloscopa cataplecta", "Dendropsyche burrowsi", "Dendropsyche golbachi", "Dendropsyche venezuelae", "Diaphanopsyche leucophaea", "Diaphanopsyche rogenhoferi", "Dichromopsyche cassualallae", "Dichromopsyche nigroapicalis", "Dierla pseudomonda", "Dipyle boucardi", "Dissoctenioides schwingenschussi", "Elegistis cunicularis", "Elegistis priscilla", "Elinostola agriodes", "Elinostola hyalina", "Elinostola hypomela", "Elinostola panagria", "Eochorica balcanica", "Eopsyche vitripennis", "Dodonaea adenophora", "Dodonaea bursariifolia", "Dodonaea hexandra", "Anthemis hyalina", "Anthemis tricornis", "Dodonaea humilis", "Dodonaea lanceolata", "Dodonaea lobulata", "Dodonaea madagascariensis", "Dodonaea megazyga", "Dodonaea microzyga", "Chrysocraspeda kastilla", "Dodonaea stenozyga", "Dodonaea triquetra", "Antitrygodes mariarosae", "Periphoba galmeidai", "Motacilla calidris", "Motacilla hippolais", "Motacilla salicaria", "Motacilla sylvia", "Motacilla philomela", "Motacilla ficedula", "Exothea paniculata", "Filicium decipiens", "Luehea paniculata", "Motacilla erithacus", "Phalaenopsis pulchra", "Nomada astori", "Nomada aswensis", "Nomada atrocincta", "Nomada atrofrontata", "Nomada atrohirta", "Nomada attenuata", "Nomada attrita", "Nomada augustiana", "Nomada aurantifascia", "Nomada australis", "Nomada austriaca", "Nomada autumnalis", "Skrjabinodon trimorphi", "Rosacythere grekoffi", "Skrjabinodon poicilandri", "Glenniea thorelii", "Guioa acutifolia", "Harpullia arborea", "Harpullia cupanioides", "Harpullia pendula", "Bledius adamus", "Bledius afghanicus", "Inula helenium subsp. orgyalis", "Inula helenium subsp. helenium", "Anaphothrips beijingensis", "Centaurea solstitialis subsp. carneola", "Centaurea solstitialis subsp. erythracantha", "Centaurea solstitialis subsp. pyracantha", "Centaurea solstitialis subsp. schouwii", "Chilothrips jiuxiensis", "Centaurea solstitialis subsp. solstitialis", "Oedaleus cnecosopodius", "Procyliosoma tuberculatum westlandicum", "Anthemis rosea subsp. rosea", "Anthemis rosea subsp. carnea", "Papaver arachnoideum", "Papaver clavatum", "Papaver purpureomarginatum", "Papaver stylatum", "Papaver gracile", "Papaver curviscapum", "Papaver polychaetum", "Minuartia hamata", "Crepis armena", "Crepis macropus", "Paullinia alata", "Paullinia cururu", "Lepidiolamprologus kamambae", "Calomicrus jungchangi", "Ammodesmus nimba", "Zeascalpellum crassum", "Euscalpellum balcombicum", "Euscalpellum egmontense", "Ithome quinquepunctata", "Arumecla aruma", "Arumecla galliena", "Arumecla nisaee", "Anexophana robinsonalis", "Astrapometis saburalis", "Austropaschia porrigens", "Axiocrita cataphanes", "Catalaodes malgassicalis", "Schellencandona yakushimaensis", "Catamola funerea", "Catamola xanthomelalis", "Synapsusa lecoqi", "Synapsusa reunionensis", "Tanycypris madagascarensis", "Iberis halophila", "Allium sect.", "Entomoculia sassariensis", "Allium shirnakiense", "Ornithogalum malatyanum", "Eryngium babadaghensis", "Galium caminianum", "Mericarpaea ciliata", "Onosma aksoyii", "Silene gevasica", "Afrosorius alutipennis", "Afrosorius assiniensis", "Tambocerus elongatus", "Tambocerus triangulatus", "Tambocerus furcellus", "Tambocerus quadricornis", "Lecanora anopta", "Tambocerus acutus", "Tambocerus cholas", "Tambocerus daii", "Tambocerus furcostylus", "Tambocerus krameri", "Tambocerus nilgiris", "Tambocerus zahniseri", "Rapala ribbei", "Fringilla lulensis", "Cyclamen subg.", "Cyclamen ser.", "Cyclamen ser.", "Cyclamen ser.", "Cyclamen subg.", "Cyclamen subg.", "Cyclamen subg.", "Cyclamen ser.", "Cyclamen ser.", "Cyclamen \u00d7 hildebrandii", "Aphaereta ceratitivora", "Bradysia aktru", "Bradysia quadridentata", "Bradysia aleica", "Bradysia iberiana", "Bradysia iberica", "Geholaspis longispinosus", "Chironomus analis", "Elphidium albanii", "Elphidium carteri", "Elphidium collinsi", "Elphidium fijiense", "Elphidium phillipense", "Elphidium silvestrii", "Elphidium vavauense", "Elphidium vellai", "Eurycoma longifolia", "Leitneria floridana", "Picrasma excelsa", "Picrasma quassioides", "Quassia amara", "Soulamea amara", "Crocodylus raninus", "Ampelocissus acapulcensis", "Ampelocissus africana", "Ampelocissus imperialis", "Ampelocissus latifolia", "Ampelocissus martini", "Cayratia acris", "Causonis japonica", "Causonis trifolia", "Rhoicissus tomentosa", "Rhoicissus tridentata", "Tetrastigma bracteolatum", "Tetrastigma harmandii", "Tetrastigma leucostaphylum", "Tetrastigma planicaule", "Tetrastigma pubinerve", "Tetrastigma serrulatum", "Tetrastigma voinierianum", "Leea aequata", "Leea amabilis", "Leea asiatica", "Leea guineensis", "Leea indica", "Leea macrophylla", "Leea rubra", "Paullinia fuscescens", "Paullinia pinnata", "Paullinia yoco", "Paullinia acuminata", "Paullinia barbadensis", "Paullinia elegans", "Paullinia eriocarpa", "Paullinia leiocarpa", "Paullinia macrophylla", "Paullinia tricornis", "Paullinia trigonia", "Paullinia turbacensis", "Pometia pinnata", "Pometia ridleyi", "Sapindus emarginatus", "Sapindus marginatus", "Sapindus mukorossi", "Sapindus oahuensis", "Sapindus rarak", "Sapindus trifoliatus", "Sapindus vitiensis", "Rumex chrysocarpus", "Schleichera oleosa", "Pedetes surdaster", "Serjania glabrata", "Serjania membranacea", "Serjania mexicana", "Serjania paniculata", "Serjania paucidentata", "Serjania pyramidata", "Serjania reticulata", "Serjania rhombea", "Talisia acutifolia", "Talisia cerasina", "Talisia cupularis", "Talisia esculenta", "Talisia guianensis", "Talisia hexaphyla", "Nephelium papillatum", "Nephelium reticulatum", "Nephelium subfalcatum", "Nephelium uncinatum", "Nephelium ramboutan-ake", "Fulgora crocodilia", "Nomada avalonica", "Fulgora laternaria", "Nomada azaleae", "Nomada aztecorum", "Fulgora castresii", "Fulgora orthocephala", "Fulgora cearensis", "Nomada babai", "Pyrops nigripennis", "Fulgora graciliceps", "Fulgora lucifera", "Fulgora lampetis", "Protoblepharon mccoskeri", "Nomada baccata", "Nomada bakeri", "Nomada baldiniana", "Nomada banahaonis", "Pappea capensis", "Zicrona caerulea", "Nomada banksi", "Nomada barcelonensis", "Paranephelium macrophyllum", "Nomada barbilabris", "Nomada beaumonti", "Fulgora riograndensis", "Nomada belfragei", "Nomada bella", "Fulgora servillei", "Petrocephalus longianalis", "Petrocephalus longicapitis", "Petrocephalus catostoma", "Pyrops candelaria", "Petrocephalus congicus", "Petrocephalus degeni", "Petrocephalus haullevillii", "Hypelate trifoliata", "Jagera pseudorhus", "Koelreuteria bipinnata", "Koelreuteria elegans", "Koelreuteria paniculata", "Lepisanthes alata", "Lepisanthes amoena", "Lepisanthes fruticosa", "Lepisanthes senegalensis", "Lepisanthes tetraphylla", "Litchi chinensis", "Teleocichla centrarchus", "Teleocichla gephyrogramma", "Teleocichla monogramma", "Teleocichla prionogenys", "Teleocichla proselytus", "Pyrops esteban", "Teleocichla centisquama", "Pyrops detanii", "Pyrops hamdjahi", "Pyrops hashimotoi", "Melicoccus bijugatus", "Pyrops jasmini", "Melicoccus pedicellaris", "Pyrops jefferyi", "Pyrops nishiyamai", "Nephelium aculeatum", "Nephelium compressum", "Nephelium costatum", "Pyrops ochracea", "Nephelium cuspidatum", "Nephelium daedaleum", "Nephelium hamulatum", "Nephelium havilandii", "Nephelium hypoleucum", "Pyrops shiinaorum", "Nephelium juglandifolium", "Pyrops valerian", "Nephelium laurinum", "Nephelium macrophyllum", "Nephelium maingayi", "Nephelium meduseum", "Nephelium melanomiscum", "Protoblepharon rosenblatti", "Nephelium melliferum", "Urvillea ulmacea", "Gruvelialepas leguillouxi", "Zanha africana", "Gruvelialepas kempi", "Gruvelialepas pilsbryi", "Boniodendron minus", "Petrocephalus magnitrunci", "Petrocephalus magnoculis", "Petrocephalus okavangensis", "Petrocephalus petersi", "Petrocephalus squalostoma", "Ailanthus excelsa", "Petrocephalus steindachneri", "Brucea javanica", "Castela coccinea", "Castela emoryi", "Petrocephalus stuhlmanni", "Petrocephalus tanensis", "Petrocephalus wesselsi", "Castela erecta", "Zonocypris laevis", "Bradysia perfecta", "Bradysia regulariformis", "Bradysia arcula", "Dicronocephalus diminuata", "Paraphysomonas preisigii", "Anacolosa frutescens", "Ongokea gore", "Dulacia inopiflora", "Olax scandens", "Olax stricta", "Ptychopetalum uncinatum", "Misodendrum brachystachyum", "Misodendrum linearifolium", "Agonandra brasiliensis", "Agonandra ovatifolia", "Agonandra silvatica", "Anaeromyces polycephalus", "Urodeta acinacella", "Urodeta quadrifida", "Urodeta trilobata", "Urodeta falciferella", "Urodeta gnoma", "Urodeta hibernella", "Urodeta maculata", "Urodeta taeniata", "Urodeta spatulata", "Urodeta tantilla", "Erythrolamprus typhlus", "Ambulyx marissa", "Anotylus archaicus", "Anotylus aeneotinctus", "Rufoclanis numosae", "Rufoclanis numosae numosae", "Rufoclanis numosae subjectus", "Rufoclanis numosae rostislavi", "Kentrochrysalis heberti", "Rhagastis diehli", "Daphnis hypothous", "Daphnis hypothous hypothous", "Praedora melichari", "Zacria vojtechi", "Tursiocola podocnemicola", "Microcachrys novae-zelandiae", "Wahlenbergia albomarginata", "Australovuilleminia coccinea", "Cladosporium hillianum", "Cladosporium perangustum", "Cladosporium pseudocladosporioides", "Drosera hookeri", "Echinosphaeria cincinnata", "Echinosphaeria medusa", "Frullania colliculosa", "Frullania hodgsoniae", "Ilyocypris alta", "Ilyocypris propinqua", "Avicularia purpurea", "Avicularia velutina", "Achillea griseo-virens", "Lepophidium brevibarbe", "Lepophidium prorates", "Lepophidium negropinna", "Rhagastis meridionalis", "Lophomilia kononenkoi", "Lophomilia speideli", "Lycophantis chalcoleuca", "Rapala rubida", "Digitalis sect.", "Atelecyclus undecimdentatus", "Cryptocorynetes elmorei", "Lepophidium profundorum", "Lepophidium staurophor", "Lepophidium collettei", "Storchia hendersonae", "Lepophidium jeannae", "Lepophidium pheromystax", "Lepophidium pardale", "Didymosphenia geminata", "Lepophidium kallion", "Gnaphaloryx borneensis", "Aegus falcicornis", "Aegus punctatissimus", "Aegus sexlineatus", "Podapolipoides valangus", "Podapolipoides porteri", "Podapolipoides peruvensis", "Podapolipoides patangae", "Podapolipoides brevichelus", "Podapolipoides cochisensis", "Podapolipoides mohanasundarami", "Podapolipoides melanocerae", "Podapolipoides madagascariensis", "Podapolipoides locustanus", "Podapolipoides cohni", "Podapolipoides eickworti", "Podapolipoides faini", "Podapolipoides lavoipierrei", "Podapolipoides flechtmanni", "Podapolipoides grassii", "Podapolipoides hopperae", "Podapolipoides jordani", "Podapolipoides houstoni", "Podapolipoides ichthyus", "Anthobolus leptomerioides", "Melientha suavis", "Fortunearia sinensis", "Megadrymus aurorae", "Megadrymus brunneus", "Megadrymus capeyorkensis", "Megadrymus kakadu", "Megadrymus refugiensis", "Megadrymus tenuicornis", "Dolerocypris ikeyai", "Petrocephalus frieli", "Elisabethinia cosmia", "Azaxia hamula", "Astapa drewi", "Dicentria argyroma", "Dicentria cymatila", "Disphragis anatole", "Disphragis disvirens", "Disphragis rhodoglene", "Disphragis sobolis", "Disphragis thrinax", "Dognina honeyi", "Drugera santiago", "Luca yanayacensis", "Malocampa confusa", "Meragisa zebrina", "Urgedra chlorolepis", "Urgedra deserta", "Urgedra janzeni", "Urgedra pavimenta", "Syncerus caffer nanus", "Urgedra quindinata", "Dunama mattonii", "Lepasta majorina", "Xenomigia caesura", "Xenomigia cosanga", "Xenomigia crenula", "Xenomigia dactyloides", "Xenomigia flavivulta", "Xenomigia noctipenna", "Xenomigia phaeloma", "Xenomigia premiosa", "Xenomigia wilmeri", "Cyclamen subg.", "Paracypria adnata", "Rapala rosacea", "Cartomothrips abrsi", "Cartomothrips tofti", "Metohicandona dushkaiae", "Aegus krieschei", "Chrysoteuchia ningensis", "Evalea sabulosa", "Nemophora maxinae", "Meganoton analis sumatranus", "Ginginella maudriseensis", "Ambulyx semifervens", "Ambulyx semifervens semifervens", "Amplypterus mansoni", "Amplypterus mansoni mansoni", "Theretra mansoni", "Theretra latreillii", "Theretra latreillii latreillii", "Theretra latreillii lucasi", "Theretra latreillii prattorum", "Rhagastis castor", "Rapala scintilla", "Rhagastis albomarginatus", "Rhagastis albomarginatus albomarginatus", "Rhagastis albomarginatus everetti", "Saussurea salsa", "Phagnalon rupestre", "Coenotes jakli", "Acosmeryx miskinoides", "Platysphinx zabolicus", "Nomada besseyi", "Nomada bethunei", "Nomada beulahensis", "Nomada bicellula", "Nomada bicrista", "Nomada bifurcata", "Nomada biguttata", "Nomada biroi", "Nomada bisetosa", "Nomada bisignata", "Nomada bispinosa", "Nomada bohartorum", "Nomada bolivari", "Nomada bonaerensis", "Archipolipus canthoni", "Archipolipus adrianae", "Stigmacarus stantoni", "Sphaerodactylus leonardovaldesi", "Sphaerodactylus guanajae", "Sphaerodactylus continentalis", "Coccipolipus synonychae", "Regenopolipus madrasensis", "Cyclosemia anastomosis", "Mabuya desiradae", "Lento lotus", "Draco volans", "Chaetodon melannotus", "Mabuya dominicana", "Rapala suffusa", "Mabuya grandisterrae", "Mabuya guadeloupae", "Dorsipes amarae", "Dorsipes auncinius", "Dorsipes diplocheilae", "Dorsipes zeelandicae", "Letis lily", "Dorsipes curtonoti", "Dorsipes evarthrusi", "Dorsipes limnocarabi", "Dorsipes mackenzyae", "Dorsipes nigeri", "Dorsipes rackae", "Dorsipes saxicolae", "Dorsipes tefflii", "Dorsipes yezoensis", "Letis rougeriei", "Celiptera carbonensis", "Celiptera virginiae", "Tarsopolipus africanus", "Tarsopolipus bisetalus", "Tarsopolipus hallidayi", "Tarsopolipus massai", "Tarsopolipus mahunkai", "Tarsopolipus endrodyyoungai", "Nyctimystes intercastellus", "Nyctimystes bivocalis", "Nyctimystes daymani", "Nyctimystes gularis", "Eutarsopolipus jamaicaensis", "Eutarsopolipus leytei", "Eutarsopolipus lindquisti", "Eutarsopolipus lukoschusi", "Eutarsopolipus megacheli", "Eutarsopolipus mirifici", "Eutarsopolipus ochoai", "Eutarsopolipus osunaharae", "Eutarsopolipus platyni", "Eutarsopolipus porteri", "Eutarsopolipus pungens", "Eutarsopolipus quebecensis", "Eutarsopolipus rackae", "Eutarsopolipus regenfussi", "Eutarsopolipus scariteus", "Eutarsopolipus secundus", "Eutarsopolipus shpeleyi", "Eutarsopolipus teteri", "Eutarsopolipus tomentosi", "Eutarsopolipus trichognathi", "Eutarsopolipus weatherbyi", "Alloxylon flammeum", "Lambertia formosa", "Paranomus reflexus", "Paranomus spicatus", "Serruria acrocarpa", "Serruria aitonii", "Serruria elongata", "Serruria florida", "Serruria pedunculata", "Spatalla racemosa", "Theretra tomasi", "Pectocythere quadrangulata", "Ribes sect.", "Ribes sect.", "Ribes \u00d7 gordonianum", "Pectocythere pseudoamphidonta", "Podapolipus husbandi", "Podapolipoides channabasavannai", "Podapolipus kurosai", "Podapolipus klompeni", "Podapolipus haramotoi", "Podapolipus platyzosteriae", "Podapolipus womersleyi", "Podapolipus pacificus", "Podapolipus monistriae", "Podapolipus naudoi", "Mirapecten boutetorum", "Euglossa clausi", "Euglossa pepei", "Euglossa moratoi", "Podapolipus welbourni", "Podapolipus pegazzanoae", "Podapolipus prasadi", "Podapolipus luzoni", "Podapolipus komareki", "Podapolipus alumniae", "Podapolipus alphitobii", "Eutarsopolipus acinopi", "Eutarsopolipus bembidii", "Eutarsopolipus brettae", "Eutarsopolipus brevichelus", "Eutarsopolipus brevici", "Eutarsopolipus capowayensis", "Eutarsopolipus dastychi", "Eutarsopolipus davidsoni", "Eutarsopolipus elzingai", "Eutarsopolipus fischeri", "Eutarsopolipus harpali", "Eutarsopolipus jacobi", "Nomada bouceki", "Nomada brevis", "Nomada breviuscula", "Nomada brewsterae", "Nomada californiae", "Nomada calimorpha", "Nomada calloptera", "Nomada pyrifera", "Nomada calloxantha", "Nomada carinicauda", "Nomada clarescens", "Nomada concinnula", "Nomada heterosticta", "Nomada melanoptera", "Nomada orophila", "Nomada vulpis", "Nomada capillata", "Nomada carthaginensis", "Nomada centenarii", "Nomada caspia", "Nomada gracilicornis", "Nomada ceanothi", "Nomada ednae", "Nomada garciana", "Nomada subaccepta", "Nomada ceylonica", "Nomada cherkesiana", "Nomada limassolica", "Nomada citrina", "Manduca contracta", "Manduca lanuginosa", "Encyclia viridiflora", "Rapala scintilla enganica", "Rapala scintilla nemana", "Rapala scintilla scintilla", "Acomys ngurui", "Rapala selira", "Podapolipoides acridae", "Podapolipoides acrideus", "Podapolipoides acridivorus", "Podapolipoides alatus", "Podapolipoides andrei", "Podapolipoides bacillus", "Podapolipoides barmounti", "Podapolipoides volkonskyi", "Nyctimystes obsoleta", "Nyctimystes persimilis", "Nyctimystes semipalmata", "Ischnocnema karst", "Tarsopolipus langi", "Monoporeia gurjanovae", "Monoporeia microphthalma", "Coccipolipus africanae", "Coccipolipus bifasciatae", "Coccipolipus oconnori", "Coccipolipus micraspisi", "Coccipolipus macfarlanei", "Coccipolipus cooremani", "Coccipolipus chilocori", "Coccipolipus camerouni", "Coccipolipus cacti", "Coccipolipus benoiti", "Paectes silvaini", "Eutelia biangulata", "Eutelia haxairei", "Hemeroblemma dolosina", "Hemeroblemma honeyi", "Hemeroblemma laguerrei", "Nomada civilis", "Nomada clarkii", "Nomada coloradensis", "Opharus calosoma", "Opharus procroides", "Opharus consimilis", "Opharus bimaculata", "Opharus bimaculata bimaculata", "Opharus bimaculata major", "Nomada coquilletti", "Opharus basalis", "Nomada cordleyi", "Nomada corvallisensis", "Nomada crucis", "Nomada davidsoni", "Nomada decempunctata", "Lophocampa puertoriciensis", "Nomada electella", "Lophocampa hispaniola", "Nomada elegantula", "Nomada elrodi", "Nomada erythrochroa", "Pteridophyllum racemosum", "Hyadesia sanjuanensis", "Hyadesia fusca", "Lentungula fusca", "Hyadesia nearctica", "Hyadesia vietsi", "Hyadesia australiana", "Hyadesia glynni", "Hyadesia kerguelensis", "Hyadesia alexi", "Hyadesia algivorans", "Hyadesia arabica", "Hyadesia travei", "Hyadesia womersleyi", "Hyadesia verrucosa", "Hyadesia uncinifer", "Hyadesia tumida", "Hyadesia halophila", "Hyadesia maxima", "Hyadesia pakistanensis", "Hyadesia tenuipilis", "Hyadesia paulensis", "Hyadesia subantarctica", "Saxifraga sect.", "Livoneca neocyttus", "Saxifraga rebunshirensis", "Elthusa neocytta", "Amphiporeia gigantea", "Chonopeltis australissimus", "Chonopeltis minutus", "Chonopeltis brevis", "Chonopeltis congicus", "Chonopeltis elongatus", "Chonopeltis flaccifrons", "Chonopeltis meridionalis", "Lamproglena clariae", "Lamproglena nyasae", "Argulus brachypeltis", "Argulus jollymani", "Argulus monodi", "Afrolernaea longicollis", "Lernaea hardingi", "Dolops tasmanicus", "Lamproglenoides vermifornis", "Bathyporeia parkeri", "Bathyporeia pontica", "Drotops armatus", "Etrumeus acuminatus", "Etrumeus micropus", "Etrumeus teres", "Etrumeus whiteheadi", "Etrumeus golanii", "Etrumeus wongratanai", "Monoporeia affinis", "Pontoporeia affinis", "Noctiluca scintillans", "Platycnemis acutipennis", "Platycnemis latipes", "Ideopsis vitrea oenopia", "Rapala suffusa anabasis", "Hydrosaurus amboinensis", "Melese barbuti", "Melese levequei", "Lepophidium zophochir", "Lepophidium entomelan", "Lepophidium cultratum", "Lepophidium crossotum", "Lepophidium wileyi", "Lepophidium aporrhox", "Lepophidium gilmorei", "Lepophidium hubbsi", "Lepophidium inca", "Lepophidium marmoratum", "Lepophidium microlepis", "Lepophidium stigmatistium", "Lepophidium robustum", "Gymnospermium smirnovii", "Anomospermum grandifolium", "Anomospermum reticulatum", "Coccipolipus solanophilae", "Amphiporeia lawrenciana", "Amphiporeia virginiana", "Cesa waggae", "Xylophanes lamontagnei", "Falcatula svaricki", "Podanotum metallicus", "Heliconius burneyi mirtarosa", "Podanotum vanewrighti", "Heliconius burneyi ada", "Heliconius burneyi catharinae", "Heliconius burneyi huebneri", "Heliconius burneyi lindigii", "Heliconius burneyi skinneri", "Rapala rhoecus rhoecus", "Rapala rhoecus vajana", "Saxifraga austromontana", "Saxifraga pseudoburseriana", "Oenomaus mancha", "Oenomaus gwenish", "Oenomaus lea", "Oenomaus myrteana", "Oenomaus mentirosa", "Oenomaus andi", "Oenomaus moseri", "Lacerta caudiverbera", "Simalia amethistina", "Dasypolia sacelli", "Nomada cleopatra", "Nomada collarae", "Nomada collinsiana", "Nomada coloradella", "Nomada crawfordi", "Rapala varuna", "Nomada florilega", "Nomada gillettei", "Nomada graenicheri", "Nomada lamarensis", "Nomada luteopicta", "Nomada pallidella", "Nomada perivincta", "Nomada pseudops", "Nomada rhodoxantha", "Nomada rubrella", "Nomada subrutila", "Nomada uhleri", "Nomada comparata", "Nomada custeriana", "Nomada gyangensis", "Nomada hakonensis", "Nomada mitchelli", "Nomada osborni", "Nomada secessa", "Nomada victrix", "Nomada xantholepis", "Rapala varuna ambasa", "Rapala varuna arima", "Rapala varuna batilma", "Dasypolia isotima", "Dasypolia gansoni", "Dasypolia mimetica", "Dasypolia tertia", "Dasypolia murina", "Rapala varuna formosana", "Lithostege stueningi", "Rhopobota baoxingensis", "Rhopobota biloba", "Rapala varuna grisea", "Saxifraga sect.", "Uranoscodon superciliosus", "Saxifraga sect.", "Cochlearia danica", "Lyriocephalus scutatus", "Alainites sadati", "Campsicnemus aniani", "Campsicnemus leucostoma", "Campsicnemus spectabulus", "Orthogonis christmasensis", "Orthogonis nigrocaerulea", "Orthogonis nitididorsalis", "Cypridina mariae", "Tydeus antipodus", "Mumulaelaps ammochostos", "Lorryia polaris", "Raphignathus johnstoni", "Agaue hamiltoni", "Halacarus lohmanni", "Werthella johnstoni", "Pachyseius adeliensis", "Eulaelaps mawsoni", "Acarapis woodi", "Cychropsis bousqueti", "Cychropsis bousqueti erwanrozoi", "Heliconius besckei", "Cychropsis draconis", "Cychropsis draconis gorodinskiiana", "Cychropsis tiani", "Cychropsis weiperti", "Cychropsis shiva", "Cychropsis poggii", "Heliconius clysonymus", "Heliconius clysonymus clysonymus", "Heliconius clysonymus hygiana", "Heliconius clysonymus montanus", "Heliconius clysonymus tabaconas", "Cychropsis belzebuth", "Cychropsis conaensis", "Cychropsis beatepuchnerae", "Cychropsis businskyi", "Cychropsis dembickyi", "Cychropsis deuvei", "Cychropsis fuscotarsalis", "Cychropsis hartmanni", "Cychropsis janetscheki", "Cychropsis mandli", "Cychropsis martensi", "Cychropsis namchabarwana", "Cychropsis nepalensis", "Arcangelisia flava", "Rapala suffusa barthema", "Saxifraga \u00d7 macnabiana", "Rapala suffusa catulus", "Prohaploblepharus riegrafi", "Chondrodendron platiphyllum", "Chondrodendron tomentosum", "Coscinium fenestratum", "Curarea toxicofera", "Rapala suffusa laima", "Rapala suffusa suffusa", "Dioscoreophyllum cumminsii", "Disciphania juliflora", "Fibraurea tinctoria", "Rapala takasagonis", "Ostorhinchus aphanes", "Saxifraga \u00d7 superba", "Ostorhinchus atrogaster", "Saxifraga \u00d7 engleri", "Cicadocoris varians", "Forcepsioneura sancta", "Cychropsis schmidti", "Cychropsis sikkimensis", "Cychropsis tuberculipennis", "Cychropsis weigeli", "Cychropsis wittmeri", "Cychropsis wittmeriana", "Cychropsis brezinai", "Cychropsis casalei", "Cychropsis coronata", "Cychropsis cyanicollis", "Cychropsis meihuanae", "Cychropsis gigantea", "Cychropsis gongga", "Cychropsis hungi", "Cychropsis infernalis", "Cychropsis kabaki", "Cychropsis nagahatai", "Cychropsis korelli", "Cychropsis lucifer", "Octopus bimaculatus", "Octopus carolinensis", "Heliconius charithonia antiquus", "Heliconius charithonia simulator", "Heliconius congener", "Heliconius congener congener", "Heliconius congener aquilionaris", "Heliconius congener ocannensis", "Heliconius cydno", "Heliconius cydno cydno", "Heliconius cydno cordula", "Heliconius cydno barinasensis", "Heliconius cydno wanningeri", "Heliconius cydno lisethae", "Heliconius eleuchia", "Heliconius eleuchia eleuchia", "Heliconius hecale", "Tirumala septentrionis", "Heliconius hecale hecale", "Heliconius hecale naxos", "Heliconius hecale paulus", "Heliconius hecale zeus", "Tirumala limniace", "Heliconius hecalesia", "Zygomyia toro", "Zygomyia mollemani", "Zygomyia siminensis", "Zygomyia yllae", "Hyadesia microseta", "Hyadesia mollis", "Hyadesia plicata", "Hyadesia reticulata", "Hyadesia tesselata", "Hyadesia zelandica", "Amhyadesia californica", "Amhyadesia bursaria", "Amhyadesia heterophallus", "Amhyadesia longipilis", "Amhyadesia pacifica", "Hyadesia benguelensis", "Hyadesia agulhensis", "Hyadesia heteromorpha", "Hyadesia curassaviensis", "Hyadesia sellai", "Amhyadesia madeirensis", "Pachygone ovata", "Penianthus zenkeri", "Amhyadesia bartschae", "Amhyadesia heteromorpha", "Pericampylus glaucus", "Sinomenium acutum", "Bocconia arborea", "Bocconia frutescens", "Bocconia gracilis", "Amhyadesia atlantica", "Amhyadesia austrafricana", "Amhyadesia bermudana", "Amhyadesia brasiliensis", "Amhyadesia costaricensis", "Amhyadesia elizabethensis", "Rapala varuna lazulina", "Rapala varuna nada", "Rapala varuna olivia", "Ceratocapnos palaestina", "Cychrus casalei", "Cysticapnos cracca", "Cysticapnos vesicaria", "Cychrus coronatus", "Thottea grandiflora", "Thottea siliquosa", "Endomychus coccineus", "Cychropsis lucifer mianningensis", "Apatosaurus ajax", "Bombus randeckensis", "Heliconius hecalesia hecalesia", "Heliconius hermathena", "Heliconius hermathena hermathena", "Heliconius hierax", "Heliconius himera", "Heliconius hortense", "Heliconius ismenius", "Heliconius ismenius ismenius", "Heliconius lalitae", "Heliconius luciana", "Heliconius luciana luciana", "Heliconius luciana watunna", "Heliconius nattereri", "Heliconius numata", "Heliconius numata numata", "Heliconius peruvianus", "Heliconius hermathena sabinae", "Eucharis adscendens", "Eucharis esakii", "Eucharis przhevalskii", "Kapala cuprea", "Kapala floridana", "Kapala furcata", "Kapala terminalis", "Zonia zonia", "Uracentron azureum", "Lacerta principalis", "Batoteuthis skolops", "Todarodes sagittatus", "Todarodes angolensis", "Neusticurus bicarinatus", "Rapala varuna guineensis", "Saxifraga sect.", "Gambusia quadruncus", "Alburnoides kubanicus", "Saxifraga sect.", "Saxifraga subsect.", "Dahira marisae", "Dahira rubiginosa", "Dahira hoenei", "Uncifera acuminata", "Dahira bruno", "Dahira niphaphylla", "Dahira obliquifascia", "Copaxa haxairei", "Automeris nogueirai", "Copaxa bireni", "Quekettia microscopica", "Copaxa canella", "Copaxa joinvillea", "Copaxa miranda", "Copaxa muellerana", "Copaxa brunneocaeca", "Copaxa ockendeni", "Xylophanes indistincta", "Xylophanes irrorata", "Nomada composita", "Nomada decepta", "Xylophanes isaon", "Nomada detrita", "Xylophanes jamaicensis", "Nomada dreisbachi", "Xylophanes jordani", "Nomada fragariae", "Acarapis dorsalis", "Acarapis externus", "Acarapis vagans", "Ameiva ameiva", "Loligo forbesii", "Melittiphis alvearius", "Loligo reynaudii", "Cancer maenas", "Gnathostoma hispidum", "Ranunculus nivalis", "Tetradactylus seps", "Alopoglossus angulatus", "Acampe rigida", "Zygostates cornuta", "Scincus scincus", "Rufoclanis erlangeri", "Rufoclanis fulgurans", "Rufoclanis jansei", "Rufoclanis maccleeryi", "Rufoclanis rosea", "Belobranchus segura", "Nomada indusata", "Xylophanes josephinae", "Nomada inepta", "Nomada kingstonensis", "Nomada media", "Nomada mendica", "Nomada minima", "Nomada ochlerata", "Nomada orba", "Megachoriolaus sylvainae", "Nomada rodecki", "Nomada seneciophila", "Xylophanes juanita", "Nomada sobrina", "Nomada townesi", "Xylophanes kaempferi", "Nomada tyrrellensis", "Xylophanes katharinae", "Megachoriolaus yucatanus", "Nomada ulsterensis", "Xylophanes pluto", "Nomada concessa", "Nomada exheredans", "Nomada palavanica", "Nomada pervasor", "Nomada sedi", "Nomada siccorum", "Nomada concolor", "Metalloleptura gemina", "Rhodinia benedeki", "Rapala varuna orseis", "Procitheronia vanschaycki", "Eulophias koreanus", "Othorene winbrechlini", "Rapala varuna phranga", "Rapala varuna rogersi", "Rapala varuna sagata", "Balitora laticauda", "Rapala varuna saha", "Saxifraga subsect.", "Triplophysa jiarongensis", "Leucanella saturata", "Saxifraga subsect.", "Leucanella memusae", "Leucanella memusae memusae", "Leucanella memusae gardineri", "Pseudingolfiella morimotoi", "Trachyuropoda constricta", "Hemichenopus zelandicus", "Adelpha atlantica", "Adelpha palmarensis", "Automeris io io", "Automeris io potosiana", "Leucanella stuarti", "Leucanella verdiana", "Leucanella viettei", "Lonomia paralectra", "Leucanella neglecta", "Saxifraga sect.", "Saxifraga subg.", "Saxifraga subg.", "Brachyseps frontoparietalis", "Saxifraga subsect.", "Saxifraga sect.", "Rapala varuna simsoni", "Rapala varuna varuna", "Balmaceda variegata", "Saxifraga subsect.", "Rapala zamona", "Rapala zamona mohagani", "Rapala zamona zamona", "Alachua floridensis", "Saxifraga ser.", "Saxifraga ser.", "Saxifraga ser.", "Lonomia mexilectra", "Lonomia luteomexicana", "Lonomia yucatensis", "Lonomia puntarenasiana", "Lonomia orientoandensis", "Lonomia madrediosiana", "Lonomia marenhensis", "Lonomia sinjaevorum", "Lonomia viksinjaevi", "Lonomia canescens", "Lonomia rubrescens", "Lonomia parubrescens", "Lonomia belizonensis", "Lonomia parobliqua", "Neodiphthera paukstadtorum", "Neodiphthera magodensis", "Neodiphthera mapiana", "Neodiphthera pelepagana", "Neodiphthera nabiriana", "Neodiphthera arfakiana", "Euchloron megaera", "Euchloron megaera megaera", "Euchloron megaera asiatica", "Nyceryx mielkei", "Coscinocera jakli", "Fernandezia subbiflora", "Barkeria uniflora", "Saxifraga ser.", "Yoania japonica", "Parabotia brevirostris", "Onthophagus koechlei", "Ischalia kitanoi", "Ischalia toshikoae", "Cephennomicrus tanakai", "Sinonychus tsujunensis", "Sinonychus satoi", "Chirocephalus anatolicus", "Chirocephalus cupreus", "Chirocephalus tauricus", "Chirocephalus murae", "Chirocephalus kerkyrensis", "Atelopteryx compsoceroides", "Isselicrinus mangahouangaensis", "Emoia adspersa", "Panturichthys fowleri", "Agama hispida", "Pristionchus pacificus", "Acanthamoeba polyphaga mimivirus", "Typhlatya garciai", "Typhlatya iliffei", "Typhlatya jusbaschjani", "Typhlatya kakuki", "Typhlatya miravetensis", "Typhlatya mitchelli", "Typhlatya monae", "Typhlatya pearsei", "Typhlatya pretneri", "Typhlatya rogersi", "Typhlatya taina", "Typhlatya utilaensis", "Tritonia dantarti", "Metavelifer multiradiatus", "Leptolalax platycephalus", "Leptolalax firthi", "Leptolalax eos", "Kuzinia affinis", "Kuzinia americana", "Kuzinia dispar", "Kuzinia nova", "Kuzinia recki", "Kuzinia sciurina", "Kuzinia woykei", "Leptolalax bidoupensis", "Kuzinia evae", "Ischnocnema abdita", "Phrynosoma orbiculare", "Graphis pergracilis", "Leporinus scalabrinii", "Graphis inustuloides", "Tullbergia templei", "Tullbergia bisetosa", "Phyllodesmium longicirrum", "Bathyaethiops atercrinis", "Hypostomus careopinnatus", "Psammophilocyclops boccaroi", "Agrisius aestivalis", "Agrisius vernalis", "Linogeraeus appalachensis", "Neocypholaelaps ampullula", "Neocypholaelaps cocos", "Neocypholaelaps favus", "Neocypholaelaps stridulans", "Neocypholaelaps hongkongensis", "Neocypholaelaps rotundus", "Neocypholaelaps indica", "Neocypholaelaps linquisti", "Monstrotyphis tangaroa", "Monstrotyphis singularis", "Monstrotyphis montfortii", "Monstrotyphis pauperis", "Siphonochelus solus", "Neocypholaelaps malayensis", "Neocypholaelaps pradhani", "Neocypholaelaps breviperitremata", "Neocypholaelaps capitis", "Neocypholaelaps crocisae", "Neocypholaelaps leopoldi", "Neocypholaelaps nova", "Neocypholaelaps varipilosa", "Neocypholaelaps xylocopae", "Dasia griffini", "Sitobion avenae", "Polypedates ranwellai", "Bokermannohyla flavopicta", "Brachycephalus guarani", "Onychodactylus zhaoermii", "Onychodactylus zhangyapingi", "Onychodactylus nipponoborealis", "Onychodactylus koreanus", "Dendropsophus norandinus", "Astyanacinus yariguies", "Oziroe arida", "Oziroe biflora", "Eoptychopterina postica", "Eotrichocera spatiosa", "Schizocarphus nervosus", "Cobboldina gubernacularia", "Careproctus novaezelandiae", "Cinclodes pabsti espinhacensis", "Rhinoncus australis", "Saxifraga sect.", "Rhinoncus bruchoides", "Saxifraga cuneifolia", "Saxifraga cuneifolia subsp. robusta", "Saxifraga cuneifolia subsp. cuneifolia", "Semicytherura kazahana", "Semicytherura sasameyuki", "Semicytherura slipperi", "Rhinoncus smreczynskii", "Eupholus brossardi", "Eupholus lorrainei", "Discus rotundatus", "Pedicularis sceptrum-carolinum", "Eubaeus abdominalis", "Soldanella montana", "Urotryphon baikurensis", "Gryphoceratops morrisoni", "Chamaescilla corymbosa", "Cypraea tigris", "Saxifraga \u00d7 biasolettoi", "Saxifraga federici-augusti", "Saxifraga \u00d7 fleischeri", "Lomandra confertifolia", "Lomandra filiformis", "Lomandra fluviatilis", "Lomandra hystrix", "Lomandra longifolia", "Lomandra patens", "Lomandra spicata", "Saxifraga stribrnyi", "Bowiea volubilis", "Hypoxis rigidula", "Hypoxis stellipilis", "Hypoxis villosa", "Saxifraga sect.", "Micranthes sect.", "Aspistor verumquadriscutis", "Bawitius bartheli", "Bruehnopteron murphyi", "Himantura undulata", "Himantura leoparda", "Prosthechea mariae", "Brachyseps spilostichus", "Brachyseps splendidus", "Prosthechea citrina", "Prosthechea karwinskii", "Saxifraga subsect.", "Saxifraga subsect.", "Aegrotocatellus jaggeri", "Aegrotocatellus nankerphelgeorum", "Saxifraga nipponica", "Xenophrys binlingensis", "Xenophrys baolongensis", "Saxifraga \u00d7 bertolonii", "Ursus americanus floridanus", "Brachyseps gastrostictus", "Ursus americanus hamiltoni", "Amphiglossus johannae", "Brachyseps macrocercus", "Diaphananthe pellucida", "Flexiseps melanurus", "Pedicellarum paiei", "Pothoidium lobbianum", "Pothos chinensis", "Pothos longipes", "Pothos scandens", "Eremocrinum albomarginatum", "Herreria stellata", "Leucocrinum montanum", "Phyllium giganteum", "Geranium dissectum", "Odorrana splendida", "Leptolingia oblonga", "Amphiglossus ornaticeps", "Amphiglossus reticulatus", "Bicentenaria argentina", "Bonapartenykus ultimus", "Elaltitan lilloi", "Circaea alpina", "Nomada confusa", "Nomada javaensis", "Nomada micheneri", "Nomada consobrina", "Nomada conspicua", "Nomada insularis", "Nomada corcyraea", "Nomada cruenta", "Nomada dira", "Nomada discrepans", "Nomada eos", "Nomada glaberrima", "Nomada illustris", "Nomada imperialis", "Nomada incisa", "Nomada insignipes", "Nomada melanopyga", "Ecsenius axelrodi", "Nomada mocsaryi", "Nomada nausicaa", "Nomada pallidenotata", "Nomada pastoralis", "Nomada propinqua", "Nomada sybarita", "Nomada thersites", "Nomada transitoria", "Nomada trispinosa", "Nomada verna", "Molineria capitulata", "Molineria latifolia", "Curculigo scorzonerifolia", "Hypoxis decumbens", "Hypoxis hirsuta", "Hypoxis multiceps", "Hypoxis nitida", "Cryptothele alluaudi", "Bulbinella hookeri", "Bulbinella nutans", "Scoliopus bigelovii", "Streptopus amplexifolius", "Neoclytus acuminatus", "Streptopus lanceolatus", "Streptopus obtusatus", "Streptopus streptopoides", "Bersama abyssinica", "Bersama engleriana", "Bersama tysoniana", "Bersama usambarica", "Greyia radlkoferi", "Greyia sutherlandii", "Melianthus comosus", "Melianthus elongatus", "Melianthus major", "Mesaphorura macrochaeta", "Mesaphorura pacifica", "Biscoia sudpolaris", "Scottnema lindsayae", "Keysercypria affinis", "Keysercypria longiseta", "Keysercypria deformis", "Keysercypria obtusa", "Amazophrynella vote", "Rhaebo ecuadorensis", "Keysercypria pellucida", "Keysercypria xanabanica", "Keysercypria sanctaeannae", "Keysercypria circinata", "Oreobates amarakaeri", "Oreobates gemcare", "Keysercypria schubarti", "Tylototriton lizhenchangi", "Tylototriton pseudoverrucosus", "Tylototriton yangi", "Pterostylis curta", "Ursus americanus carlottae", "Ursus americanus cinnamomum", "Saxifraga subsect.", "Saxifraga subsect.", "Typhlatya arfeae", "Typhlatya campecheae", "Typhlatya consobrina", "Typhlatya dzilamensis", "Typhlatya elenae", "Typhlatya galapagensis", "Typhlatya garciadebrasi", "Tatuidris tatusia", "Hydraena kucinici", "Gryllus locorojo", "Cicindela albissima", "Pareiorhaphis proskynita", "Adontosternarchus duartei", "Trinectes hubbsbollinger", "Saxifraga sendaica", "Rhodohypoxis baurii", "Peckoltia feldbergae", "Cyanastrum bussei", "Cyanastrum cordifolium", "Tecophilaea cyanocrocus", "Amphiglossus tsaratananensis", "Amphiglossus valhallae", "Diplotheca tunae", "Galium uliginosum", "Polyergus texana", "Comastoma tenellum", "Calotes calotes", "Plica umbra", "Plica plica", "Rhinolophus mossambicus", "Rhinolophus cohenae", "Rhinolophus mabuensis", "Rhinolophus smithersi", "Bugula foliolata", "Bugula bowiei", "Bugula guara", "Bugula alba", "Bugula migottoi", "Bugula biota", "Bugula gnoma", "Bugula ingens", "Bugula rochae", "Lecanora peninsularis", "Dendrobium amplum", "Anolis garmani", "Anolis lineatus", "Gekko melli", "Gnathia micheli", "Boca normae", "Chiloplacoides antarcticus", "Penjatinema natalense", "Penjatinema novaezeelandiae", "Acamptus texanus", "Acamptus verrucosus", "Micranthemum umbrosum", "Diphascon sanae", "Macrobiotus stuckenbergi", "Cephaloziella varians", "Eupodes wisei", "Eupodes tottanfjella", "Tetramorium amalae", "Perissomyrmex medogensis", "Rhagidia macquariensis", "Coccorhagidia gressitti", "Coccorhagidia keithi", "Gaoligongidris planodorsa", "Philodina gregaria", "Protanilla gengma", "Protanilla tibeta", "Lysimachia ciliata", "Tullbergia mediantarctica", "Parabuthus villosus", "Parabuthus transvaalicus", "Opistophthalmus carinatus", "Tapinoma wilsoni", "Prionopelta aethiopica", "Pseudolasius machhediensis", "Mazarunia mazarunii", "Nomada cordilabris", "Nomada glabriventris", "Nomada hirtiventris", "Nomada jammuensis", "Mazarunia charadrica", "Nomada nepalensis", "Nomada obscuriventris", "Nomada xanthopoda", "Nomada zonalis", "Mazarunia pala", "Nomada cordillera", "Nomada eximia", "Nomada guichardiana", "Nomada whiteheadi", "Nomada coronata", "Nomada cristata", "Nomada nigrovaria", "Nomada costalis", "Narcissus \u00d7 nelsonii", "Lygosoma punctatum", "Gymnophthalmus lineatus", "Chamaesaura anguina", "Narcissus \u00d7 humei", "Scorpio teter", "Sarcogyne angulosa", "Ananias riccardii", "Ananias weyeri", "Ananias seminudum", "Diphascon tricuspidatum", "Ananias appeli", "Anubias barteri var. angustifolia", "Anubias barteri var. caladiifolia", "Anubias barteri var. glabra", "Anubias barteri var. nana", "Lebiasina marilynae", "Lebiasina melanoguttata", "Lebiasina minuta", "Pegomastax africanus", "Tyttocharax metae", "Typhlodromus sabelisi", "Cryptachaea veruculata", "Trichoglottis biglandulosa", "Antarcticola meyeri", "Antarcticola georgiae", "Narcissus triandrus subsp. lusitanicus", "Nanorchestes pulvinar", "Polypodium guianense", "Polypodium hesperium", "Polypodium polypodioides", "Polypodium pteropus", "Agronus cinerarius", "Lithobates marginata", "Koumansetta rainfordi", "Koumansetta hectori", "Nomada costaricensis", "Nomada coxalis", "Nomada emarginata", "Nomada pectoralis", "Nomada piliventris", "Nomada cressonii", "Nomada crotchii", "Nomada crudelis", "Scybalocanthon korasakiae", "Nomada dilucida", "Nomada edwardsii", "Nomada fragilis", "Nomada heiligbrodtii", "Nomada krugii", "Nomada libata", "Nomada limata", "Nomada melliventris", "Nomada mexicana", "Nomada morrisoni", "Nomada munda", "Nomada opposita", "Nomada parata", "Nomada ridingsii", "Nomada rivalis", "Nomada scita", "Nomada snowii", "Nomada suavis", "Nomada vicinalis", "Nomada vitticollis", "Nomada zebrata", "Nomada cubensis", "Nomada flaviceps", "Nomada pilipes", "Nomada tibialis", "Listrura costai", "Narcissus subg.", "Narcissus subg.", "Cirrhaea fuscolutea", "Cirrhaea dependens", "Populus \u00d7 acuminata", "Populus trichocarpa", "Populus \u00d7 moskoviensis", "Populus \u00d7 petrowskiana", "Populus \u00d7 rasumowskiana", "Populus \u00d7 vernirubens", "Populus \u00d7 woobstii", "Meteorus arabicus", "Chiton aorangi", "Hygrochus cuprealis", "Thelidium austroatlanticum", "Epitimetes grisealis", "Homodus fumeus", "Phaeocharis punctatus", "Neotournieria szypulai", "Grimmia antarctici", "Sarconeurum glaciale", "Acarospora gwynnii", "Acarospora williamsii", "Buellia grisea", "Buellia pallida", "Buellia frigida", "Lecidea cancriformis", "Lecidea placodiiformis", "Lecidella siplei", "Pitcairnia altensteinii", "Pitcairnia andreana", "Pitcairnia atrorubens", "Pitcairnia corallina", "Pitcairnia darblayana", "Hypodontolaimus antarcticus", "Pitcairnia feliciana", "Pitcairnia heterophylla", "Pitcairnia integrifolia", "Pitcairnia karwinskyana", "Pitcairnia maidifolia", "Pitcairnia punicea", "Pitcairnia tabuliformis", "Pitcairnia undulata", "Pitcairnia xanthocalyx", "Cryptopygus cisantarcticus", "Polygonatum pubescens", "Stenomalium sulcithorax", "Stenomalium helmsi", "Salacca clemensiana", "Katianna banzarei", "Primula filchnerae", "Primula \u00d7 arendsii", "Belone svetovidovi", "Lecanora schizochromatica", "Sinthusa aspra", "Cirrhaea loddigesii", "Cirrhaea longiracemosa", "Cirrhaea nasuta", "Cirrhaea seidelii", "Cirrhaea silvana", "Sinthusa chandrana", "Antarcticinella monoculata", "Antarctenchus hooperi", "Boa orophias", "Brahmaea certia", "Brahmaea tancrei", "Coryanthes maculata", "Bitis atropos", "Paratriophtydeus coineaui", "Paratriophtydeus dubius", "Paratriophtydeus elegans", "Coluber leberis", "Paratriophtydeus haustovi", "Paratriophtydeus polozhencevi", "Ranunculus eschscholtzii", "Ranunculus flabellaris", "Bifidunguiglenea gestroi", "Pareiorhaphis ruschii", "Ilyonectria alcacerensis", "Ituglanis ina", "Eucibdelus nepalensis", "Eucibdelus transversiceps", "Eucibdelus cariniceps", "Luzula campestris", "Luzula spicata", "Luzula sudetica", "Saussurea alpina", "Eleutherococcus senticosus", "Xenofrea zischkai", "Drycothaea clara", "Drycothaea hovorei", "Itacolomi letiziae", "Yapyguara fusca", "Metacypris digitiformis", "Vestalenula cornelia", "Uca splendida", "Avicularia aurantiaca", "Avicularia metallica", "Avicularia minatrix", "Avicularia avicularia", "Avicularia azuraklaasi", "Avicularia nigrotaeniata", "Avicularia palmicola", "Avicularia pulchra", "Avicularia taunayi", "Avicularia urticans", "Avicularia anthracina", "Tetrosomus fornasini", "Liolaemus camarones", "Liolaemus shehuen", "Ostracion nasus", "Isotopenola perterrens", "Sinthusa chandrana chandrana", "Tullbergia mixta", "Tillieria penai", "Hypogastrura viatica", "Senecio bigelovii", "Oreogria hornabrooki", "Senecio serra", "Fortagonum laevissimum", "Fortagonum hornabrookianum", "Senecio brachypodus", "Senecio brigalowensis", "Senecio hydrophiloides", "Senecio linearifolius", "Atyloella tribinicuspidata", "Paralomis elongata", "Archisotoma brucei", "Friesea tilbrooki", "Drosophila hei", "Drosophila velox", "Drosophila aracataca", "Drosophila aragua", "Drosophila araicas", "Liolaemus burmeisteri", "Liolaemus cuyumhue", "Synodontis nummifer", "Arabidopsis suecica", "Xerorchis amazonica", "Xerorchis trichorhiza", "Neotournieria ambigener", "Neotournieria bureschi", "Neotournieria liebmanni", "Neotournieria witzgalli", "Neotournieria lodosianus", "Laophontodes macropodia", "Antarcturus signiensis", "Nesozineus osorioensis", "Cryptachaea amazonas", "Cryptachaea maldonado", "Cryptachaea ingijonathorum", "Cymothoa hermani", "Drosophila verbesinae", "Drosophila pappobolusae", "Drosophila wayta", "Drosophila sisapamba", "Buprestis haemorrhoidalis", "Drosophila acanthos", "Drosophila acanthostoma", "Drosophila acroria", "Drosophila acrostigma", "Drosophila adamisa", "Primula sect.", "Primula austrofrigida", "Narcissus sect.", "Primula clevelandii", "Primula fragrans", "Primula hendersonii", "Primula jeffreyi", "Primula latiloba", "Primula meadia", "Primula pauciflora", "Primula standleyana", "Primula tetrandra", "Primula utahensis", "Primula borealis", "Primula parryi", "Coryanthes gomezii", "Coryanthes gustavo-romeroi", "Coryanthes horichiana", "Coryanthes javieri", "Coryanthes jorgemarioi", "Coryanthes kaiseriana", "Coryanthes lachuensis", "Coryanthes lagunae", "Coryanthes leferenziorum", "Coryanthes leucocorys", "Coryanthes macrantha", "Coryanthes macrocorys", "Pseudoeryx plicatilis", "Ranunculus occidentalis", "Ranunculus pensylvanicus", "Ranunculus recurvatus", "Ranunculus reptans", "Paratriophtydeus plummeri", "Paratriophtydeus protydeus", "Ranunculus morii", "Eleutherococcus sessiliflorus", "Nomada cuneata", "Nomada dentariae", "Nomada ovata", "Coccalicus enigmaticus", "Coccalicus athaliahea", "Paratydaeolus enigmaticus", "Schoenoplectus americanus", "Schoenoplectus pungens", "Schoenoplectus subulatus", "Schoenoplectus tabernaemontani", "Schoenoplectus triqueter", "Grahamelytron crofti", "Pseudoceros scriptus", "Otiorhynchus rugosostriatus", "Nomada curvispinosa", "Nomada diacantha", "Nomada guichardi", "Nomada gusenleitneri", "Nomada kusdasi", "Nomada oralis", "Nomada ovaliceps", "Nomada platythorax", "Nomada pygidialis", "Nomada quadrifasciata", "Nomada quinquefasciata", "Nomada rubriventris", "Nomada unispinosa", "Nomada yarrowi", "Nomada cymbalariae", "Nomada flammigera", "Nomada jennei", "Nomada ornithica", "Nomada packardiella", "Nomada pulsatillae", "Nomada rohweri", "Nomada undulaticornis", "Nomada vallesina", "Iris barnumiae f. barnumiae", "Synodontis njassae", "Synodontis notatus", "Jacobaea analoga", "Jacobaea aquatica", "Jacobaea maritima", "Jacobaea raphanifolia", "Lecanora stramineoalbida", "Brachyglottis monroi", "Tephroseris palustris", "Sagina nodosa", "Hypoplectrus floridae", "Iris iberica subsp. elegantissima", "Iris iberica subsp. iberica", "Hypoplectrus ecosur", "Crenicara latruncularium", "Drosophila angor", "Drosophila ciliotarsa", "Duberria lutrix", "Coryanthes albertinae", "Oxyethira luanae", "Oxyethira longipenis", "Oxyethira sinistra", "Coryanthes angelantha", "Coryanthes bergoldii", "Coryanthes bicalcarata", "Coryanthes boyi", "Diceratostele gabonensis", "Oxyethira albiceps", "Packera anonyma", "Coryanthes bruchmuelleri", "Packera aurea", "Packera cana", "Packera castoreus", "Packera clevelandii", "Packera cynthioides", "Coryanthes alborosea", "Packera fendleri", "Packera franciscana", "Packera glabella", "Coryanthes cataniapoensis", "Packera layneae", "Coryanthes cavalcantei", "Enhydrina schistosa", "Coryanthes dasilvae", "Packera multilobata", "Packera neomexicana", "Coryanthes elegantium", "Packera obovata", "Packera plattensis", "Coryanthes elianae", "Packera quercetorum", "Packera schweinitziana", "Coryanthes feildingii", "Coryanthes flava", "Enhydrina zweifeli", "Coryanthes gerlachiana", "Coryanthes gernotii", "Halacarus laterculatus", "Halacarus minor", "Halacarus nanus", "Halacarus profundus", "Halacarus propinquus", "Halacarus setifer", "Halacarus validus", "Synodontis obesus", "Synodontis ocellifer", "Synodontis omias", "Cypris pseudodecaryi", "Narcissus nothosect.", "Narcissus nothosect.", "Sinthusa chandrana grotei", "Basilemys gaffneyi", "Aleiodes gaga", "Thecacera darwini", "Thecacera picta", "Thecacera vittata", "Thecacera virescens", "Halacarus spongiphilus", "Vigna subramaniana", "Vigna trinervia", "Viviania crenata", "Viviania ovata", "Pygoscelis calderensis", "Pygoscelis grandis", "Pygoscelis tyreei", "Antarctophthirus microchir", "Biatorella antarctica", "Cocceupodes australis", "Halotydeus signiensis", "Dasypoda riftensis", "Dasypoda intermedia", "Pseudogarypus pangaea", "Pseudogarypus extensus", "Pseudogarypus hemprichii", "Pseudogarypus minor", "Pseudogarypus synchrotron", "Diaprepes abbreviatus", "Synalpheus regalis", "Polystachya concreta", "Nigma walckenaeri", "Agauopsis mccaini", "Agauopsis racki", "Agauopsis antarctica", "Agauopsis glacialis", "Agauopsis luxtoni", "Nuuanu peroa", "Pentaceration bifficlyro", "Antarctobius malvinensis", "Antarctobius abditus", "Antarctobius bidentatus", "Antarctobius falklandicus", "Antarctobius vulsus", "Antarctobius rugirostris", "Antechinus mysticus", "Cervonema kaikouraensis", "Cervonema multispira", "Cervonema proberti", "Dorylaimopsis nodderi", "Hopperia ancora", "Halacarus socius", "Halacarus cucullatus", "Halacarus otiosus", "Halacarus parmatus", "Halacarus arnaudi", "Halacarus excellens", "Tinissa connata", "Tinissa leguminella", "Tinissa spirella", "Amorphophallus sylvaticus", "Euphrasia bottnica", "Afrasura amaniensis", "Afrasura crenulata", "Afrasura discocellularis", "Afrasura discreta", "Afrasura dubitabilis", "Afrasura emma", "Zuzalpheus regalis", "Ogyges laevissimus", "Synalpheus tumidomanus", "Synalpheus microneptunus", "Profundulus kreiseri", "Barilius pectoralis", "Myrmarachne bidentata", "Myrmarachne assimilis", "Myrmarachne tagalica", "Myrmarachne mcgregori", "Myrmarachne chapmani", "Myrmarachne piercei", "Myrmarachne bakeri", "Myrmarachne iridescens", "Myrmarachne seriatis", "Sinthusa chandrana kuyaniana", "Synalpheus agelas", "Synalpheus androsi", "Synalpheus bousfieldi", "Synalpheus brevifrons", "Synalpheus brooksi", "Synalpheus carpenteri", "Synalpheus chacei", "Synalpheus dardeaui", "Synalpheus elizabethae", "Synalpheus goodei", "Synalpheus filidigitus", "Synalpheus herricki", "Synalpheus idios", "Synalpheus kensleyi", "Synalpheus mcclendoni", "Synalpheus pandionis", "Synalpheus paraneptunus", "Synalpheus sanctithomae", "Synalpheus ruetzleri", "Synalpheus ul", "Synalpheus williamsi", "Synalpheus yano", "Synalpheus osburni", "Synalpheus longicarpus", "Bucklandiella longtonii", "Sinthusa malika niasicola", "Pareiorhina cepta", "Narcissus \u00d7 perezlarae", "Sinthusa malika valdarna", "Sinthusa menglaensis", "Arhynchonemertes axi", "Scelophysa trimeni", "Chiridota kermadeca", "Melibe colemani", "Melibe coralophilia", "Aenictus arabicus", "Barbronia assiuti", "Woodwardia japonica", "Woodwardia unigemmata", "Nothotrichocera antarctica", "Nothotrichocera aucklandica", "Nothotrichocera chiloe", "Nothotrichocera cingulata", "Nothotrichocera collessi", "Nothotrichocera cranstoni", "Nothotrichocera johnsi", "Nothotrichocera ruda", "Nothotrichocera tasmanica", "Nothotrichocera terebrella", "Galapagonotus cuneiformis", "Thrips imaginis", "Jacksonia papillata", "Orostachys boehmeri", "Dendrotrophe varians", "Leptomeria drupacea", "Sadleria cyatheoides", "Stenochlaena palustris", "Stenochlaena tenuifolia", "Polykatianna davidi", "Blechnum appendiculatum", "Parablechnum chilense", "Blechnum lanceola", "Oceaniopteris obtusata", "Blechnum occidentale", "Woodwardia areolata", "Woodwardia fimbriata", "Daphniopsis studeri", "Ghoria nanlingica", "Ghoria sinotibetica", "Epichorius tumidellus", "Sinthusa chandrana margala", "Sinthusa chandrana sophonisbe", "Aaata finchi", "Sinthusa indrasari", "Sinthusa kawazoei", "Abispa ephippium", "Sinthusa malika", "Sinthusa malika amata", "Sinthusa malika malika", "Napeogenes glycera glycera", "Napeogenes glycera nausica", "Napeogenes glycera eunomia", "Napeogenes glycera olyrina", "Napeogenes glycera ellariformis", "Napeogenes juanjuiensis", "Napeogenes juanjuiensis juanjuiensis", "Protoparmelia australiensis", "Napeogenes inachia inachia", "Napeogenes inachia johnsoni", "Protoparmelia nebulosa", "Napeogenes larina", "Napeogenes larina larina", "Napeogenes peridia", "Napeogenes peridia peridia", "Napeogenes stella", "Napeogenes stella stella", "Napeogenes tolosa", "Napeogenes tolosa tolosa", "Napeogenes tolosa mombachoensis", "Sinthusa nasaka", "Napeogenes stella caucaensis", "Napeogenes stella delgadoi", "Napeogenes peridia willmotti", "Napeogenes tolosa panamensis", "Maronina hesperia", "Sinthusa nasaka amba", "Sinthusa nasaka nasaka", "Sinthusa nasaka fulva", "Sinthusa nasaka pallidior", "Sinthusa peregrinus", "Alpheus heterochaelis", "Alpheus angulosus", "Myrmarachne aurea", "Myrmarachne rubra", "Myrmarachne smaragdina", "Myrmarachne gurgulla", "Myrmarachne balinese", "Myrmarachne jacksoni", "Myrmarachne glavisi", "Listronotus bonariensis", "Nigidius okudai", "Eryx miliaris", "Narcissus \u00d7 leedsii", "Nomada cypriaca", "Narcissus \u00d7 poculiformis", "Nomada schulthessi", "Nomada tsunekiana", "Nomada cypricola", "Nomada dahli", "Nomada debilis", "Nomada opacella", "Nomada denticulata", "Nomada depressa", "Halixodes novaezelandiae", "Nomada electa", "Nomada festiva", "Nomada gracilis", "Nomada lepida", "Nomada maculata", "Nomada obliterata", "Nomada perplexa", "Nomada placida", "Nomada proxima", "Sillago indica", "Halixodes chitonis", "Nomada pygmaea", "Narcissus \u00d7 boutignyanus", "Nomada superba", "Halixodes truncipes", "Nomada vicina", "Nomada discedens", "Nothotrichocera theischingeri", "Nothotrichocera tonnoiri", "Dennstaedtia cicutaria", "Dennstaedtia dissecta", "Dennstaedtia flaccida", "Dennstaedtia hirsuta", "Dennstaedtia obtusifolia", "Delias eucharis", "Hypolepis flaccida", "Hypolepis hawaiiensis", "Hypolepis tenuifolia", "Lindsaea guianensis", "Lindsaea stricta", "Microlepia speluncae", "Microlepia strigosa", "Pteridium arachnoideum", "Pteridium caudatum", "Pteridium esculentum", "Pteridium aquilinum subsp. latiusculum", "Heilogonemertes cooki", "Gypsophila adenophylla", "Gypsophila peshmenii", "Gypsophila briquetiana", "Gypsophila hakkiarica", "Gypsophila pulvinaris", "Gypsophila davisii", "Gypsophila graminifolia", "Gypsophila brachypetala", "Gypsophila patrinii", "Gypsophila glomerata", "Gypsophila olympica", "Gypsophila pinifolia", "Gypsophila pilulifera", "Gypsophila leucochleana", "Gypsophila simulatrix", "Gypsophila baytopiorum", "Gypsophila simonii", "Gypsophila oblanceolata", "Gypsophila germanicopolitana", "Gypsophila nabelekii", "Gypsophila curvifolia", "Gypsophila festucifolia", "Gypsophila libanotica", "Gypsophila ruscifolia", "Claea sonlaensis", "Claea trilineatus", "Gypsophila pallida", "Gypsophila tuberculosa", "Gypsophila aucheri", "Gypsophila eriocalyx", "Gypsophila lepidioides", "Gypsophila parva", "Gypsophila linearifolia", "Gypsophila bitlisensis", "Gypsophila viscosa", "Gypsophila antari", "Gypsophila polyclada", "Gypsophila tubulosa", "Gypsophila hispida", "Gypsophila pilosa", "Gypsophila nodiflora", "Gypsophila venusta", "Gypsophila perfoliata", "Gypsophila heteropoda", "Gypsophila spinosa", "Gypsophila altissima", "Gypsophila bellidifolia", "Gypsophila capituliflora", "Gypsophila cephalotes", "Gypsophila davurica", "Gypsophila desertorum", "Gypsophila huashanensis", "Gypsophila licentiana", "Gypsophila lignosa", "Gypsophila repens", "Gypsophila scorzonerifolia", "Gypsophila stevenii", "Protoparmelia hesperia", "Gypsophila thyraica", "Gypsophila tschiliensis", "Gypsophila aretioides", "Channichthys richardsoni", "Napeogenes flossina", "Napeogenes flossina flossina", "Napeogenes flossina hypsaea", "Napeogenes flossina baumanni", "Napeogenes glycera", "Synodontis orientalis", "Pactola fiji", "Synodontis ornatipinnis", "Galeandra baueri", "Synodontis ornatissimus", "Macropoda convexa", "Neptis ida", "Pactola convexa", "Pactola setacea", "Coriophagus jennyae", "Sarcococca confusa", "Sarcococca hookeriana", "Sarcococca ruscifolia", "Sarcococca saligna", "Didymeles integrifolia", "Cryptanthus acaulis", "Anomotaenia minuta", "Anomotaenia verulamii", "Cryptanthus beuckeri", "Halacarellus bouvieri", "Halacarellus georgiensis", "Halacarellus heteroculus", "Halacarellus thomasi", "Halacarellus glaber", "Halacarellus lubricellus", "Halacarellus harioti", "Pulluterina nestoris", "Narcissus \u00d7 trilobus", "Taenia apterycis", "Sinthusa rayata", "Sinthusa verriculata", "Sinthusa virgo", "Andreolepis petri", "Bufo siachinensis", "Eviota notata", "Eviota springeri", "Nomada maculicornis", "Nomada rubiginosa", "Nomada serricornis", "Nomada discicollis", "Nomada fedtschenkoi", "Nomada ferghanica", "Nomada ruficollis", "Nomada sarta", "Nomada mitaii", "Nomada subvirescens", "Nomada setteri", "Nomada dissessa", "Nomada palmeni", "Nomada penangensis", "Nomada chacoana", "Nomada polyodonta", "Nomada sandacana", "Nomada holmbergiana", "Nomada dives", "Nomada longula", "Nomada turrigera", "Nomada mesopotamica", "Nomada missionica", "Nomada tsushimae", "Nomada dolosa", "Nomada lateritia", "Nomada laticrus", "Nomada melanura", "Nomada tenella", "Nomada dreisbachorum", "Nomada tepoztlan", "Nomada utahensis", "Symmachia divisora", "Symmachia aconia", "Symmachia calliste", "Symmachia pardalia", "Symmachia tigrina", "Symmachia pardalis", "Symmachia accusatrix", "Symmachia arcuata", "Symmachia hetaerina", "Symmachia jugurtha", "Symmachia hippodice", "Symmachia arion", "Symmachia titiana", "Symmachia fulvicauda", "Symmachia aurigera", "Symmachia juratrix", "Symmachia xypete", "Symmachia estellina", "Symmachia hetaerina hetaerina", "Symmachia hetaerina hesione", "Tinissa apicimaculata", "Tinissa conchata", "Agauopsis novaezelandiae", "Agauopsis similis", "Actacarus arabius", "Actacarus chelonis", "Actacarus cornutus", "Actacarus nanus", "Actacarus spinosus", "Actacarus pacificus", "Actacarus festivus", "Actacarus angustus", "Anonchotaenia clelandi", "Zosteropicola clelandi", "Anonchotaenia lambi", "Mathevotaenia ornithis", "Anonchotaenia globata", "Mouchetia eremomelae", "Mouchetia stachyris", "Mouchetia indochinensis", "Mouchetia rumiantzevi", "Mouchetia viduata", "Mouchetia oliferae", "Mouchetia dolichosikya", "Pediobius imbreus", "Diospyros buxifolia", "Halacarellus antipodianus", "Halacarellus decipiens", "Halacarellus lubricus", "Halacarellus arnaudi", "Halacarellus auster", "Coriophagus monteithi", "Coriophagus rieki", "Coriophagus solomonensis", "Coriophagus zanzibarae", "Sithon nedymond", "Phalaenopsis aphrodite", "Coriophagus borneensis", "Halictophagus zanzibarae", "Choanotaenia intestinalis", "Greigia landbeckii", "Greigia sphacelata", "Neoglaziovia concolor", "Neoglaziovia variegata", "Nidularium fulgens", "Nidularium innocentii", "Nidularium scheremetiewii", "Nidularium \u00d7 chantrieri", "Hymenolepis serpentulus", "Portea kermesina", "Quesnelia imbricata", "Quesnelia liboniana", "Quesnelia marmorata", "Quesnelia quesneliana", "Drepanulatrix hulstii verdiaria", "Ilyocypris binocularis", "Dahlica sauteri", "Lecanora admontensis", "Dahlica sauteri sauteri", "Dahlica sauteri lichtenbergi", "Dahlica marmorella", "Lecanora coudercii", "Pterophorus tinsuki", "Hellinsia shillongi", "Hellinsia siniaevi", "Hellinsia umrani", "Alucita budashkini", "Alucita karadagica", "Alucita pliginskii", "Alucita araxella", "Alucita ordubadi", "Lecanora macrocyclos", "Lecanora squamea", "Uropoda bengalica", "Uropoda karnai", "Uropoda lawrencei", "Narcissus \u00d7 monochromus", "Narcissus \u00d7 dichromus", "Narcissus \u00d7 magni-antonii", "Discourella pandui", "Trichouropoda arjunai", "Uroseius durjadhanai", "Coriophagus adebratti", "Coriophagus borneoensis", "Coriophagus gressittorum", "Coriophagus griveaudi", "Coriophagus latimanus", "Coriophagus lockerbiensis", "Coriophagus maai", "Coriophagus medleri", "Cryptanthus bivittatus", "Cryptanthus lacerdae", "Cryptanthus pumilus", "Cryptanthus zonatus", "Cryptanthus \u00d7 osyanus", "Choanotaenia infundibulum", "Dilepis undula", "Paricterotaenia apterygis", "Aploparaksis dujardinii", "Dildotaenia latovarium", "Cladogynia latovarium", "Lasiocampa trifolii", "Lasiocampa trifolii trifolii", "Lasiocampa trifolii mauritanica", "Lasiocampa terreni", "Lasiocampa puengeleri", "Lasiocampa puengeleri puengeleri", "Lasiocampa puengeleri rubrescens", "Lasiocampa serrula", "Lasiocampa decolorata", "Lasiocampa nana", "Aepytus biedermanni", "Aepytus guarani", "Bubulcus coromandus", "Eudrepanulatrix rectifascia rectifascia", "Eudrepanulatrix rectifascia erubescens", "Drepanulatrix unicalcararia", "Gaidropsarus argentatus", "Drepanulatrix hulstii", "Sinthusa yagishitai", "Drepanulatrix hulstii hulstii", "Sinthusa zhejiangensis", "Drepanulatrix hulstii carneolata", "Actinoscirpus grossus", "Coralliophila clathrata", "Choanotaenia passerina", "Androtrichum trigynum", "Blysmus compressus", "Bolboschoenus fluviatilis", "Bolboschoenus maritimus", "Bolboschoenus robustus", "Bolboschoenus yagara", "Coitocaecum parvum", "Synthemis serendipita", "Epaleura salaria", "Eriochrysis penelope", "Eucalyptipsyche citriodorae", "Eucoloneura fragilis", "Amraica superans", "Amraica superans superans", "Amraica superans confusa", "Amraica superans taiwana", "Salassa inversa", "Rapala dieneces dazata", "Rapala dieneces dieneces", "Limnichthys polyactis", "Rapala dieneces intermedius", "Rhododrilus sexpapillatus", "Rapala dieneces mezetulus", "Namalycastis vuwaensis", "Rapala dieneces paradoxa", "Narcissus tazetta subsp. italicus", "Atylana rarotongae", "Atylana carcinias", "Atylana castanea", "Atylana crataeis", "Atylana fasciata", "Atylana herbida", "Atylana intrusa", "Atylana maculifrons", "Atylana orientalis", "Atylana sinis", "Atylana maculifrons ochracea", "Caustis blakei", "Salassa hauensteini", "Salassa htayaungi", "Salassa albocirculata", "Salassa cottoni", "Salassa extremorientalis", "Salassa viridis", "Daphnis hypothous crameri", "Daphnis dohertyi", "Daphnis dohertyi dohertyi", "Daphnis dohertyi callusia", "Daphnis layardii", "Daphnis minima", "Daphnis moorei", "Daphnis nerii", "Daphnis placida", "Daphnis placida placida", "Daphnis placida salomonis", "Daphnis torenia", "Phragmipedium sect.", "Daphnis kitchingi", "Kunanyia stephaniae", "Rapala duma", "Tinissa indica", "Tinissa insularia", "Rapala duma abusina", "Rapala duma duma", "Phragmipedium sect.", "Phragmipedium sect.", "Phragmipedium sect.", "Limnocythere esphigmena", "Anthaxia badghyzica", "Sithon nedymond ismarus", "Paphiopedilum purpuratum", "Onthophagus pseudoriekoae", "Parascatonomus pseudoriekoae", "Sithon nedymond nedymond", "Sithon nedymond klossi", "Sithon nedymond mastanabal", "Synodontis ouemeensis", "Sithon micea", "Synodontis pardalis", "Cyttalia depressirostris", "Listronotus dietzi", "Cyperus strigosus", "Cyperus surinamensis", "Cyperus tenerrimus", "Cyperus trachysanthos", "Cyperus elegans", "Cyperus exaltatus", "Cyperus reflexus", "Pactolotypus humeralis", "Pactolotypus prolixus", "Narcissus \u00d7 cyclazetta", "Eviota pellucida", "Narcissus \u00d7 magnenii", "Eviota prasites", "Fallacipsyche adelpha", "Fallacipsyche coccivora", "Grypotheca horningae", "Grypotheca pertinax", "Grypotheca triangularis", "Gyrophylla eumetra", "Heckmeyeria pronubella", "Proterochersis robusta", "Marmocandona zschokkei", "Marmocandona delamarei", "Marmocandona rouchi", "Marmocandona pescei", "Theretra gala", "Theretra hausmanni", "Marmocandona serfozoi", "Theretra mercedes", "Theretra viridis", "Sycoscapter arnottianus", "Anthaxia aureoviridis", "Anthaxia brodskyi", "Rhopalomerus hudsoni", "Echeveria lilacina", "Echeveria pulidonis", "Echeveria strictiflora", "Dudleya pulverulenta", "Dudleya saxosa", "Hoplocneme interstitialis", "Hoplocneme brouni", "Hoplocneme forcipata", "Ogasawarana obtusa", "Trochochlamys crenulata", "Trochochlamys labilis", "Trochochlamys praealta", "Trochochlamys settuensis", "Trochochlamys tanzawensis", "Coneuplecta praealta", "Ogasawarana ogasawarana", "Elasmus curticornis", "Phragmites frutescens", "Drosophila afer", "Drosophila afoliolata", "Synodontis pleurops", "Euchloron megaera orhanti", "Euchloron megaera lacordairei", "Euchloron megaera serrai", "Synodontis polyodon", "Eurypteryx alleni alleni", "Synodontis polystigma", "Eurypteryx alleni gigas", "Rhadinopasa hornimani", "Rhadinopasa hornimani hornimani", "Rhadinopasa hornimani tanganyikae", "Synodontis punctifer", "Cladium mariscoides", "Cladium mariscus", "Atylana vesontio", "Atylana volumna", "Atylana sagmaria", "Atylana urania", "Atylana parmenides", "Atylana tormina", "Atylana torcular", "Atylana phorcynis", "Atylana phoebe", "Atylana palanto", "Atylana astydamia", "Atylana melissa", "Atylana parmula", "Cyperus aggregatus", "Cyperus albostriatus", "Cyperus alopecuroides", "Cyperus alternifolius", "Cyperus amabilis", "Cyperus articulatus", "Cyperus compactus", "Cyperus compressus", "Cyperus congestus", "Cyperus cuspidatus", "Cyperus cyperinus", "Cyperus cyperoides", "Cyperus dentatus", "Cyperus digitatus", "Cyperus distans", "Cyperus echinatus", "Cyperus entrerianus", "Cyperus eragrostis", "Cyperus erythrorhizos", "Cyperus fauriei", "Cyperus fendlerianus", "Cyperus gracilis", "Cyperus giganteus", "Cyperus grayioides", "Cyperus imbricatus", "Cyperus laetus", "Cyperus laevigatus", "Cyperus laxus", "Cyperus ligularis", "Cyperus malaccensis", "Cyperus odoratus", "Cyperus pangorei", "Cyperus pennatiformis", "Cyperus pilosus", "Cyperus planifolius", "Cyperus pseudovegetus", "Cyperus radians", "Cyperus retroflexus", "Cyperus retrorsus", "Cyperus rockii", "Cyperus scariosus", "Cyperus serotinus", "Cyperus sphacelatus", "Cyperus squarrosus", "Salvia rosifolia", "Weirdonia baccara", "Weirdonia murena", "Weirdonia helicea", "Weirdonia hypocrita", "Siederia turcestanica", "Acompsia delmastroella", "Sauterelia lukhtanovi", "Pseudobankesia aphroditae", "Fossocytheridea ventrotuberculata", "Horaga chalcedonyx dianae", "Tulipa montana", "Horaga chalcedonyx meridionalis", "Horaga chalcedonyx taweya", "Horaga chalcedonyx violetta", "Eugnomus durvillei", "Eugnomus albisetosus", "Eugnomus dispar", "Ancyttalia munda", "Anisocampium niponicum", "Athyrium otophorum", "Athyrium sinense", "Athyrium yokoscense", "Acanthopterus inermis", "Euprymna berryi", "Itycirrhitus wilhelmi", "Copelatus commatifer", "Parvispinia parvispina", "Praolepra fasciculata", "Parvispinia cortex", "Praolepra albopicta", "Parvispinia caelestina", "Parvispinia barkama", "Parvispinia geminus", "Parvispinia parilis", "Atrachea nitens", "Horaga albimacula triumphalis", "Corydoras acrensis", "Corydoras albolineatus", "Corydoras amandajanea", "Corydoras amapaensis", "Corydoras amphibelus", "Corydoras approuaguensis", "Corydoras araguaiaensis", "Corydoras areio", "Corydoras armatus", "Corydoras atropersonatus", "Corydoras aurofrenatus", "Horaga albimacula viola", "Corydoras axelrodi", "Corydoras baderi", "Corydoras bicolor", "Corydoras bifasciatus", "Corydoras bilineatus", "Corydoras blochi", "Corydoras boehlkei", "Corydoras boesemani", "Corydoras bondi", "Corydoras breei", "Synodontis punctulatus", "Cladia glaucolivida", "Synodontis punu", "Syntherata mirata", "Splachnum melanocaulon", "Syntherata melvilla", "Syntherata escarlata", "Syntherata pseudescarlata", "Theretra rhesus", "Theretra acuta", "Theretra catherinae", "Theretra clotho", "Theretra clotho clotho", "Theretra clotho vincenti", "Theretra tibetiana", "Theretra celata", "Theretra celata celata", "Theretra celata babarensis", "Theretra boisduvalii", "Theretra sumatrensis", "Synodontis rebeli", "Horaga albimacula albistigmata", "Horaga albimacula anara", "Betta mahachaiensis", "Pseudolaguvia viriosa", "Eviota fallax", "Horaga albimacula bellula", "Polystachya villosa", "Polystachya affinis", "Horaga albimacula singularis", "Platepistoma seani", "Cyrtodactylus phuketensis", "Eugnomus flavipilus", "Corydoras brevirostris", "Corydoras carlae", "Corydoras cervinus", "Corydoras cochui", "Horaga amethysta", "Corydoras concolor", "Corydoras condiscipulus", "Corydoras copei", "Corydoras coppenamensis", "Corydoras coriatae", "Corydoras crimmeni", "Corydoras cruziensis", "Corydoras crypticus", "Corydoras delphax", "Corydoras difluviatilis", "Corydoras diphyes", "Corydoras duplicareus", "Corydoras ehrhardti", "Lactarius vellereus", "Corydoras ellisae", "Corydoras ephippifer", "Corydoras eques", "Corydoras esperanzae", "Corydoras evelynae", "Corydoras filamentosus", "Corydoras flaveolus", "Corydoras fowleri", "Corydoras garbei", "Corydoras geoffroy", "Corydoras geryi", "Corydoras gomezi", "Corydoras gossei", "Corydoras gracilis", "Corydoras guapore", "Corydoras guianensis", "Corydoras habrosus", "Corydoras heteromorphus", "Corydoras imitator", "Corydoras incolicana", "Corydoras isbrueckeri", "Corydoras kanei", "Corydoras lacerdai", "Corydoras lamberti", "Corydoras latus", "Corydoras leopardus", "Corydoras leucomelas", "Corydoras longipinnis", "Corydoras loretoensis", "Corydoras loxozonus", "Corydoras maculifer", "Corydoras mamore", "Corydoras melanistius", "Corydoras melanotaenia", "Corydoras metae", "Corydoras micracanthus", "Corydoras multimaculatus", "Corydoras nanus", "Corydoras napoensis", "Corydoras negro", "Corydoras nijsseni", "Corydoras noelkempffi", "Corydoras oiapoquensis", "Corydoras ornatus", "Mandarina anijimana", "Mandarina aureola", "Mandarina chichijimana", "Mandarina conus", "Mandarina exoptata", "Mandarina hahajimana", "Mandarina hayamii", "Mandarina hayatoi", "Mandarina hirasei", "Mandarina io", "Mandarina kaguya", "Mandarina mandarina", "Mandarina nola", "Mandarina polita", "Mandarina ponderosa", "Mandarina suenoae", "Mandarina titan", "Mandarina tomiyamai", "Mandarina trifasciata", "Mandarina carinata", "Mandarina luhuana", "Mandarina ogasawarana", "Mandarina pallasiana", "Heliopsychidea graecella", "Heylaertsia fusca", "Heylaertsia griseata", "Heylaertsia laniata", "Heylaertsia quadripuncta", "Paludinella minima", "Hyalarcta huebneri", "Hyalarcta nigrescens", "Corydoras orphnopterus", "Corydoras osteocarus", "Corydoras ourastigma", "Corydoras oxyrhynchus", "Corydoras panda", "Corydoras pantanalensis", "Corydoras paragua", "Corydoras pastazensis", "Corydoras paucerna", "Corydoras pinheiroi", "Corydoras polystictus", "Corydoras potaroensis", "Corydoras pulcher", "Corydoras pygmaeus", "Corydoras reynoldsi", "Corydoras sanchesi", "Corydoras saramaccensis", "Corydoras sarareensis", "Corydoras semiaquilus", "Corydoras septentrionalis", "Corydoras serratus", "Corydoras seussi", "Corydoras similis", "Corydoras simulatus", "Corydoras sipaliwini", "Corydoras sodalis", "Corydoras solox", "Corydoras spectabilis", "Corydoras spilurus", "Corydoras steindachneri", "Corydoras stenocephalus", "Corydoras surinamensis", "Horaga amethysta amethysta", "Corydoras sychri", "Corydoras treitlii", "Corydoras trilineatus", "Corydoras tukano", "Corydoras undulatus", "Corydoras virginiae", "Corydoras vittatus", "Corydoras weitzmani", "Corydoras xinguensis", "Corydoras zygatus", "Corydoras gladysae", "Corydoras microcephalus", "Corydoras petracinii", "Corydoras urucu", "Horaga amethysta ciniata", "Horaga amethysta isna", "Horaga amethysta overdijkinki", "Horaga amethysta purpurescens", "Horaga amethysta sibutuensis", "Horaga anytus", "Weirdonia idakum", "Weirdonia balia", "Hyalinaria fuscibasis", "Helicina ogasawarana", "Helicina capsula", "Helicina hirasei", "Helicina yoshiwarana", "Ogasawarana capsula", "Ogasawarana hirasei", "Ogasawarana yoshiwarana", "Hyaloptila melanosoma", "Ogasawarana arata", "Ogasawarana microtheca", "Helicina microtheca", "Ogasawarana chichijimana", "Ogasawarana rex", "Ogasawarana habei", "Ogasawarana metamorpha", "Ogasawarana nitida", "Ogasawarana discrepans", "Ogasawarana optima", "Ogasawarana comes", "Ogasawarana minamijimana", "Cercopithecus albogularis zammaranoi", "Cercopithecus albogularis schwarzi", "Cercopithecus albogularis phylax", "Cercopithecus albogularis monoides", "Cercopithecus albogularis moloneyi", "Cercopithecus albogularis labiatus", "Cercopithecus albogularis kolbi", "Trochochlamys ogasawarana", "Automeris io lilith", "Automeris io neomexicana", "Automeris io draudtiana", "Lonomia maranhensis", "Lonomia electra", "Lonomia leopoldina", "Lonomia obliqua", "Lonomia achelous", "Lonomia columbiana", "Lonomia descimoni", "Lonomia quintanarooensis", "Neodiphthera papuana", "Neodiphthera albicera", "Neodiphthera goodgeri", "Neodiphthera elleri", "Neodiphthera sciron", "Neodiphthera foucheri", "Neodiphthera gazella", "Neodiphthera intermedia", "Watsonia sect.", "Watsonia sect.", "Watsonia sect.", "Watsonia subg.", "Ligia baudiniana", "Watsonia subg.", "Ligia cajennensis", "Ligia cinerascens", "Ligia dilatata", "Ligia natalensis", "Ligia oceanica", "Ligia cursor", "Goneumus bryobius", "Isolepis cernua", "Isolepis fluitans", "Isolepis inundata", "Isolepis nigricans", "Carex borealipolaris", "Acanthopterus tristis", "Lepironia articulata", "Tubuaia garrettiana", "Tubuaia bakerorum", "Dacalana anysides", "Dacalana anysis", "Dacalana anysis anysis", "Lecidea subauriculata", "Dacalana canachus", "Dacalana anysis cervinus", "Lyctocoris ichikawai", "Dacalana aristarchus", "Dacalana burmana", "Aotearocumella acantha", "Aotearocumella echinoseta", "Aotearocumella watlingi", "Atlantocuma confunda", "Campylaspenis tangaroae", "Campylaspis apheles", "Campylaspis bituberculata", "Campylaspis hatchae", "Campylaspis macrosulcata", "Campylaspis microsulcata", "Campylaspis millsae", "Campylaspis normani", "Campylaspis rufus", "Campylaspis schnabelae", "Campylaspis sculptaspinosa", "Campylaspis zealandiaensis", "Campylaspis zimmeri", "Procampylaspis chathamensis", "Procampylaspis rhypakoceros", "Procampylaspis rhypakos", "Tubuaia amoebodonta", "Tubuaia fosbergi", "Tubuaia myojinae", "Tubuaia hendersoni", "Tubuaia saproderma", "Tubuaia coprophora", "Tubuaia saintjohni", "Palibythus magnificus", "Melicytus drucei", "Melicytus flexuosus", "Panemeria tenebromorpha", "Bletilla chartacea", "Bletilla formosana", "Scopula immistaria", "Scopula immistaria immistaria", "Scopula immistaria beshkovi", "Bletilla foliosa", "Denisia fuscicapitella", "Atrachea jankowskii", "Atrachea miyakensis", "Atrachea miyakensis miyakensis", "Atrachea miyakensis contaminata", "Atrachea ochrotica", "Atrachea alpherakyi", "Atrachea chlorofascia", "Draconectes narinosus", "Urticina fecunda", "Charana mandarinus mandarinus", "Charana mandarinus splendida", "Melicytus dentatus", "Charana cepheis", "Schoenus nigricans", "Schoenus asperocarpus", "Schoenus calostachyus", "Omoides validus", "Omoides uretanus", "Omoides variabilis", "Omoides humeralis", "Nanopsis pairidaeza", "Nanopsis victoria", "Nanopsis pilloides", "Coluber domicella", "Coluber alidras", "Leimonis erratica", "Creon cleobis queda", "Psilogramma manjunatha", "Psilogramma bacanensis", "Coluber caeruleus", "Pseudoclanis molitor", "Pseudoclanis molitor molitor", "Pseudoclanis molitor transversa", "Pseudoclanis kenyae", "Nephele xylina", "Nephele xylina xylina", "Nephele xylina rybari", "Acanthopterus penicillatus", "Vata gracilipalpis", "Vata thomsoni", "Caledonica wormae", "Caledonica fleutiauxi", "Manautea gracilior", "Manautea millei", "Manautea minimior", "Manautea tripotini", "Rhopalomerus tenuirostris", "Callistomorphus farinosus", "Liolaemus exploratum", "Horaga syrinx privigna", "Horaga syrinx samoena", "Horaga syrinx schoutensis", "Dirphia irradians", "Dirphia radiata", "Horaga syrinx sikkima", "Alyssum nezaketiae", "Pseudodirphia eupanamensis", "Pseudodirphia beckei", "Pseudodirphia lampei", "Pseudodirphia svetlanae", "Pseudodirphia ecoridides", "Pseudodirphia ecoccidides", "Pseudodirphia andides", "Pseudodirphia punodides", "Pseudodirphia pascodides", "Pseudodirphia septentridens", "Pseudodirphia convexa", "Pseudodirphia eumedide", "Pseudodirphia eumedidoides", "Pseudodirphia peruviana", "Pseudodirphia thiaucourti", "Pseudodirphia sinuosa", "Citheronia volcan", "Atrachea draudti", "Atrachea japonica", "Atrachea leucochlora", "Atrachea munda", "Atrachea prasinatra", "Atrachea viridinigra", "Hermonassa formontana", "Hermonassa plantei", "Cerastis griseiorbis", "Cyperus albescens", "Cyperus sellowianus", "Rhynchospora alba", "Rhynchospora caduca", "Rhynchospora colorata", "Rhynchospora corniculata", "Rhynchospora corymbosa", "Rhynchospora globularis", "Rhynchospora glomerata", "Rhynchospora inexpansa", "Rhynchospora knieskernii", "Rhynchospora nervosa", "Rhynchospora nivea", "Rhynchospora tenuis", "Rhynchospora ciliata", "Rhynchospora latifolia", "Bucculatrix cretica", "Bucculatrix absinthii", "Bucculatrix acerifolia", "Bucculatrix acrogramma", "Bucculatrix adelpha", "Bucculatrix fusicola", "Pennyella pennyi", "Charana mandarinus", "Egira fatima", "Egira tibori", "Itylos pasco", "Citheronia bellavista bellavista", "Citheronia bellavista cinerea", "Adeloneivaia jason jason", "Adeloneivaia jason nigripunctata", "Adeloneivaia subangulata", "Adeloneivaia subangulata subangulata", "Adeloneivaia subangulata pallida", "Adeloneivaia wellingi", "Fuirena glomerata", "Gahnia procera", "Gahnia trifida", "Molippa pearsoni", "Molippa bertrandi", "Dirphia proserpina", "Britomartis cleoboides", "Periphoba porioni", "Britomartis cleoboides cleoboides", "Dirphiopsis unicolor", "Britomartis cleoboides epigenes", "Britomartis cleoboides viga", "Cerodirphia sanctimartinensis", "Cerodirphia porioni", "Cerodirphia inopinata", "Prohylesia peruviana", "Hylesia bertrandi", "Schizocuma delicata", "Styloptocuma gordoni", "Nanopsis nanella", "Scirpodendron ghaeri", "Scirpoides holoschoenus", "Scirpus ancistrochaetus", "Scirpus atrovirens", "Scirpus cyperinus", "Scirpus fuirenoides", "Scirpus longii", "Scirpus microcarpus", "Scirpus pallidus", "Scirpus sylvaticus", "Scleria lithosperma", "Scleria macrophylla", "Scleria microcarpa", "Scleria mitis", "Scleria oligantha", "Scleria pauciflora", "Scleria polycarpa", "Scleria racemosa", "Scleria sumatrensis", "Scleria tessellata", "Flagellaria guineensis", "Marsippospermum grandiflorum", "Arocatus longiceps", "Papustyla pulcherrima", "Rhopalomerus aenescens", "Rhopalomerus alternans", "Rhopalomerus antennalis", "Cercopithecus ascanius whitesidei", "Cercopithecus ascanius schmidti", "Chilatherina pagwiensis", "Eleocharis brittonii", "Eleocharis congesta", "Eleocharis kuroguwai", "Eleocharis montana", "Eleocharis montevidensis", "Eleocharis parvula", "Helaeomyia petrolei", "Laimosemion paryagi", "Nothobranchius ivanovae", "Nothobranchius kardashevi", "Uranoscopus rosette", "Eriophorum angustifolium", "Eriophorum callitrix", "Eriophorum scheuchzeri", "Eriophorum vaginatum", "Ficinia nodosa", "Ficinia spiralis", "Horaga pseudosyrinx", "Ficinia truncata", "Fimbristylis tetragona", "Horaga onyx decolor", "Cassia duartei", "Horaga syrinx artontes", "Horaga syrinx camiguina", "Horaga syrinx incerta", "Horaga syrinx joloana", "Horaga syrinx paulla", "Horaga syrinx maenala", "Horaga syrinx moulmeina", "Horaga syrinx onychina", "Horaga syrinx permagna", "Rhopalomerus fucosus", "Erythrolamprus reginae", "Xenodon severus", "Lamprophis aurora", "Dacalana cotys", "Hampsonicola deccerti", "Calamia tridens", "Oreocalus albosparsus", "Oreocalus carinulatus", "Oreocalus castaneus", "Oreocalus cinnamomeus", "Oreocalus congruens", "Oreocalus dealbatus", "Oreocalus fasciatus", "Oreocalus hebe", "Oreocalus latipennis", "Oreocalus lineirostris", "Oreocalus nigrescens", "Oreocalus nigriceps", "Oreocalus picigularis", "Oreocalus pleuralis", "Oreocalus pullatus", "Oreocalus uniformis", "Oreocalus veronicae", "Oreocalus vittatus", "Tulipa kaufmanniana", "Dacalana cremera", "Dacalana cremera capusa", "Dacalana cremera cremera", "Rhopalomerus argutus", "Rhopalomerus aspersus", "Rhopalomerus squamifer", "Rhopalomerus tristis", "Rhopalomerus wakefieldi", "Rhopalomerus atratus", "Rhopalomerus calvulus", "Rhopalomerus dennanensis", "Rhopalomerus elegans", "Rhopalomerus fervidus", "Rhopalomerus fasciatus", "Rhopalomerus femoralis", "Rhopalomerus interstitialis", "Rhopalomerus lituratus", "Rhopalomerus luctuosus", "Rhopalomerus maculosus", "Rhopalomerus maurus", "Rhopalomerus nobilis", "Rhopalomerus nubilans", "Rhopalomerus picipennis", "Rhopalomerus robustus", "Acrotrema arnottianum", "Hemigrapsus takanoi", "Hemigrapsus sexdentatus", "Hemigrapsus edwardsii", "Jamides titei", "Jamides titei pseudocyta", "Jamides titei titei", "Lecanora aberrata", "Clarias dayi", "Lecidea advertens", "Micropentila mukanirwai", "Brachyorrhos albus", "Sidemia bremeri", "Sidemia spilogramma", "Nanopsis coquena", "Tantilla melanocephala", "Erythrolamprus cobella", "Dacalana cremera ricardi", "Dacalana inorthodoxa", "Dacalana lowii", "Onthophagus tnai", "Centropodia forskalii", "Centropodia glauca", "Sarocalamus racemosus", "Zuloagaea bulbosa", "Amelichloa brachychaeta", "Amelichloa brevipes", "Monotrema aemulans", "Rapatea circasiana", "Schoenocephalium martianum", "Spathanthus unilateralis", "Apodasmia similis", "Homoroselaps lacteus", "Staurophora celsia", "Coluber monilis", "Celaena haworthii", "Thamnodynastes pallidus", "Helotropha leucostigma", "Helotropha reniformis", "Eremobia ochroleuca", "Eremobia ochroleuca ochroleuca", "Eremobia ochroleuca asiatica", "Dacalana monsapona boholensis", "Dacalana monsapona monsapona", "Lophuromys brevicaudus", "Lecidea auriculata var. auriculata", "Lophuromys brunneus", "Lophuromys chrysopus", "Lecidea auriculata var. evoluta", "Canthigaster criobe", "Lecidea hardangeriana", "Lophuromys luteogaster", "Lophuromys medicaudatus", "Lophuromys woosnami", "Dacalana vidura vidura", "Havanardia havanensis", "Pterostylis banksii", "Earina mucronata", "Sibon nebulatus", "Baltraella baltraensis", "Chondropetalum microcarpum", "Coleocarya gracilis", "Hypodiscus argenteus", "Ischyrolepis subverticillata", "Rhodocoma gigantea", "Willdenowia teres", "Prionium serratum", "Thurnia polycephala", "Thurnia sphaerocephala", "Lophuromys aquilus", "Lophuromys angolensis", "Amphiesma stolatum", "Lophuromys ansorgei", "Lomatogonium carinthiacum", "Lomatogonium rotatum", "Centaurium serpentinicola", "Centaurium erythraea subsp. turcicum", "Centaurium erythraea subsp. rumelicum", "Centaurium erythraea subsp. apertum", "Centaurium erythraea subsp. bernardii", "Xenochrophis vittatus", "Erythrolamprus miliaris", "Crypsedra gemmea", "Psammophylax rhombeatus", "Coluber cyaneus", "Erythrolamprus aesculapii", "Canthigaster janthinoptera", "Lecidea auriculata var. paupera", "Canthigaster axiologus", "Canthigaster rapaensis", "Lecidea auriculata var. subfoederata", "Canthigaster amboinensis", "Lecidea auriculata var. subinops", "Dacalana sangirica", "Odo patricius", "Oreocalus cyaneus", "Epirinus arrowi", "Xyris ambigua", "Xyris baldwiniana", "Xyris caroliniana", "Xyris indica", "Xyris laxifolia", "Xyris pauciflora", "Xyris tennesseensis", "Xyris torta", "Hedyosmum bonplandianum", "Ascarina lucida", "Ascarina diffusa", "Hoplocneme cyanea", "Hoplocneme hookeri", "Hoplocneme inaequalis", "Hoplocneme propinqua", "Hoplocneme punctatissima", "Hymenothrix autumnalis", "Hymenothrix glandulosus", "Hymenothrix janakosiana", "Acomys airensis", "Acomys chudeaui", "Acomys cineraceus", "Acomys dimidiatus", "Acomys ignitus", "Acomys johannis", "Chaetodon auriga", "Hoplocneme squamosa", "Hoplocneme vicina", "Icmalius abnormis", "Stephanorhynchus brevipennis", "Stephanorhynchus costifer", "Stephanorhynchus griseipictus", "Stephanorhynchus pygmaeus", "Stephanorhynchus nigrosparsus", "Stephanorhynchus insolitus", "Stephanorhynchus halli", "Udeus cecropiae", "Udeus eugnomoides", "Udeus fonsecai", "Udeus longicollis", "Udeus muticus", "Udeus sergioi", "Udeus variabilis", "Ancyttalia acaciae", "Ancyttalia apicalis", "Ancyttalia erichsoni", "Ancyttalia impura", "Ancyttalia inornata", "Ancyttalia maculata", "Ancyttalia nigriclava", "Ancyttalia oleariae", "Ancyttalia parva", "Ancyttalia rufipes", "Ancyttalia sydneyensis", "Ancyttalia tarsalis", "Ancyttalia ventralis", "Omoides azarae", "Omoides cortezi", "Omoides flavipes", "Tylodina americana", "Tylodina corticalis", "Tylodina fungina", "Lecidea calpodes", "Colabotelus dealbatus", "Opistognathus pardus", "Hypsolebias tocantinensis", "Lophuromys dieterleni", "Corallorhiza maculata var. maculata", "Corallorhiza maculata var. mexicana", "Corallorhiza maculata var. occidentalis", "Xylophanes beneluzi", "Corallorhiza odontorhiza var. odontorhiza", "Corallorhiza odontorhiza var. pringlei", "Rufoclanis haxairei", "Corallorhiza odontorhiza f. radia", "Microsporum canis", "Nephele xylina socotrensis", "Corallorhiza trifida", "Corallorhiza bentleyi", "Corallorhiza bulbosa", "Corallorhiza ekmanii", "Corallorhiza macrantha", "Corallorhiza williamsii", "Pyrularia edulis", "Pyrularia pubera", "Comandra umbellata", "Corallorhiza striata var. striata", "Corallorhiza striata", "Corallorhiza striata var. involuta", "Minquartia guianensis", "Corallorhiza striata var. vreelandii", "Cionosicys excisus", "Cionosicys macranthus", "Cionosicys pomiformis", "Corallorhiza wisteriana", "Luffa astorii", "Asplundia latifolia", "Asplundia moritziana", "Asplundia rigida", "Carludovica palmata", "Cyrtostylis reniformis var. reniformis", "Cyrtostylis reniformis", "Cyrtostylis reniformis var. huegelii", "Cyclanthus bipartitus", "Dicranopygium atrovirens", "Reidus hilli", "Coluber ovivorus", "Micrurus lemniscatus", "Leptodeira annulata", "Coluber dipsas", "Coluber tyria", "Oxyrhopus petolarius", "Coluber filiformis", "Cynomorium coccineum", "Cynomorium songaricum", "Davallia canariensis", "Davallia embolostegia", "Davallia pectinata", "Davallia repens", "Coluber cinereus", "Tenagomysis natalensis", "Cheiropleuria bicuspis", "Dipteris conjugata", "Aipysurus mosaicus", "Larinus araxicola", "Australobius anamagnus", "Australobius nodulus", "Australobius daamsae", "Neoliodes iheyaensis", "Neoliodes nigricans", "Nannarrup hoffmani", "Demodex acutipes", "Demodex aelleni", "Demodex agrarii", "Demodex ailuropodae", "Demodex antechini", "Demodex artibei", "Demodex arvicolae", "Onthophagus aeneus", "Onthophagus zubaci", "Ambulyx japonica", "Ambulyx japonica japonica", "Ambulyx japonica angustifasciata", "Ambulyx japonica koreana", "Ambulyx kuangtungensis", "Ambulyx lestradei", "Ambulyx liturata", "Ambulyx maculifera", "Viola albanica", "Ambulyx matti", "Ambulyx meeki", "Ambulyx meeki meeki", "Ambulyx meeki makirae", "Ambulyx meeki pyrrhina", "Ambulyx obliterata", "Ambulyx ochracea", "Ambulyx phalaris", "Ambulyx phalaris phalaris", "Ambulyx phalaris carycina", "Ambulyx pseudoclavata", "Lecidea convexa", "Ambulyx schauffelbergeri", "Ambulyx siamensis", "Ambulyx tenimberi", "Ambulyx tondanoi", "Ambulyx wildei", "Lycosphingia hamatus", "Malgassoclanis delicatus", "Malgassoclanis suffuscus", "Microclanis erlangeri", "Parum colligata", "Mimas christophi", "Lophuromys dudui", "Lophuromys eisentrauti", "Lophuromys flavopunctatus", "Lophuromys huttereri", "Lophuromys melanonyx", "Eugnomus niger", "Eugnomus piceosetosus", "Lophuromys nudicaudus", "Lophuromys rahmi", "Lophuromys roseveari", "Lophuromys sikapusi", "Lophuromys verhageni", "Lophuromys zena", "Amnemus quadrituberculatus", "Epitimetes lutosus", "Attacus selayarensis", "Hyblaea maldivesa", "Hyblaea puera", "Hyblaea vasa", "Hyblaea esakii", "Sinonympha avinoffi", "Lecidea cerarufa", "Lygophis lineatus", "Coluber padera", "Pseudaspis cana", "Heisteria parvifolia", "Dicranopteris linearis", "Diplopterygium glaucum", "Abaris aenea", "Gleichenia japonica", "Gleichenia owhyhensis", "Gleichenia polypodioides", "Sticherus owhyhensis", "Sticherus palmatus", "Sticherus remotus", "Callistopteris baueriana", "Radimella dictyon", "Abaris erwini", "Thuridilla splendens", "Abaris basistriata", "Stegopontonia commensalis", "Gnatholepis cauerensis", "Kozhantshikovia borisi", "Coluber caerulescens", "Coluber arges", "Scelotes bipes", "Cylindrophis maculatus", "Crambus attis", "Crambus bachi", "Crambus berliozi", "Crambus frescobaldii", "Crambus mozarti", "Amerotyphlops reticulatus", "Crambus netuncus", "Crambus paris", "Crambus rossinii", "Crambus varii", "Typhlops lumbricalis", "Anguis laticauda", "Australobius scabrior", "Faristenia hirowatarii", "Faristenia nakatanii", "Hymenophyllum barbatum", "Hymenophyllum flabellatum", "Hymenophyllum hirsutum", "Hymenophyllum inaequale", "Hymenophyllum sericeum", "Trichomanes crinitum", "Trichomanes elegans", "Trichomanes trigonum var. fimbriatum", "Didymoglossum kapplerianum", "Trichomanes osmundoides", "Trichomanes trigonum", "Metaxya lanosa", "Metaxya rostrata", "Notolomus bicolor", "Notolomus basalis", "Cryptoscenea maior", "Yphthimoides ordinaria", "Carminda griseldis", "Carminda paeon", "Carminda umuarama", "Ansellia africana", "Ansellia africana subsp. africana", "Miriquidica molybdochroa", "Ansellia africana subsp. australis", "Telmatoscopus capixaba", "Telmatoscopus micropilosus", "Telmatoscopus paranaensis", "Uromyces peckianus", "Oidospora anomala", "Manto hypoleuca hypoleuca", "Ramuliseta lindneri", "Ramuliseta palpifera", "Ramuliseta madagascariensis", "Ramuliseta thaica", "Nepaliseta mirabilis", "Nepaliseta ashleyi", "Hypericum \u00d7 moserianum", "Hypericum \u00d7 inodorum", "Hypericum nudiflorum", "Hypericum apocynifolium", "Vismia cayennensis", "Vismia laxiflora", "Psorospermum febrifugum", "Krameria argentea", "Krameria bicolor", "Krameria erecta", "Krameria ixine", "Krameria lanceolata", "Krameria lappacea", "Gnatholepis anjerensis", "Gnatholepis knighti", "Philodryas viridissima", "Ricciocarpos natans", "Dacalana vidura azyada", "Pseudocolochirus violaceus", "Dacalana penicilligera", "Dacalana penicilligera penicilligera", "Dacalana penicilligera vaja", "Tescalsia giulianiata", "Tescalsia minata", "Acrolepiopsis liliivora", "Heliothis australis", "Imantodes cenchoa", "Ilygenes intractata", "Janseides subhyalina", "Kearfottia albifasciella", "Poliodes roseicornis", "Polyptychopsis marshalli", "Polyptychopsis marshalli marshalli", "Polyptychopsis marshalli auriguttatus", "Pseudandriasa mutata", "Pseudopolyptychus foliaceus", "Xenosphingia jansei", "Imber tropicus", "Gnatholepis argus", "Gnatholepis caudimaculata", "Gnatholepis ophthalmotaenia", "Macrobrachium prabhakarani", "Eriocaulon aquaticum", "Eriocaulon benthamii", "Eriocaulon buergerianum", "Eriocaulon decangulare", "Eriocaulon magnificum", "Eriocaulon palmeri", "Eriocaulon parkeri", "Eriocaulon truncatum", "Syngonanthus chrysanthus", "Epimetopus clandestinus", "Epimetopus venezuelensis", "Epimetopus tridens", "Epimetopus fimbriatus", "Epimetopus hintoni", "Epimetopus lacordairei", "Epimetopus costatus", "Epimetopus burruyacu", "Epimetopus ballatoris", "Epimetopus graniger", "Epimetopus thermarum", "Epimetopus tuberculatus", "Epimetopus trogoides", "Epimetopus plaumanni", "Epimetopus angulatus", "Epimetopus vianai", "Epimetopus balfourbrownei", "Callicebus vieirai", "Epimetopus alvarengai", "Atergatis subdentatus", "Lecidea interstincta", "Liparis loeselii", "Liparis loeselii subsp. loeselii", "Olona albistrigella", "Liparis loeselii subsp. orientalis", "Liparis loeselii subsp. sachalinensis", "Olona zolotuhini", "Tornodoxa dubicanella", "Jankeijcythere koenigswaldi", "Prosetomorpha falcata", "Palatka nymphaeella", "Palatka powelli", "Dendrobium lawesii", "Caleana minor", "Monoleuca longifascia", "Alcyonohippolyte brachycarpus", "Manto hypoleuca", "Tulipa sylvestris", "Tulipa fosteriana", "Gagea pratensis", "Crambus kazitaellus", "Crambus sparselloides", "Calamotropha afra", "Pseudocatharylla allecto", "Pseudocatharylla asteria", "Pseudocatharylla calypso", "Pseudocatharylla megera", "Pseudocatharylla shafferi", "Pseudocatharylla tisiphone", "Jacoona anasuja nigerrima", "Pseudocatharylla submikengella", "Pseudocatharylla submikengella submikengella", "Pseudocatharylla submikengella zairella", "Chrysocatharylla agraphellus", "Chrysocatharylla ceylonella", "Chrysocatharylla gozmanyi", "Chrysocatharylla fusca", "Chrysocatharylla oenescentellus", "Chrysocatharylla lucasi", "Chrysocatharylla lucasi lucasi", "Chrysocatharylla lucasi bathurstella", "Niveocatharylla bifasciella", "Niveocatharylla romieuxi", "Crambus dedalus", "Crambus puccinii", "Crambus theseus", "Crambus vulcanus", "Ancylolomia nigrifasciata", "Chrysocrambus brutiellus", "Gnatholepis gymnocara", "Gnatholepis pascuensis", "Gnatholepis thompsoni", "Gnatholepis yoshinoi", "Gnatholepis volcanus", "Acianthus sinclairii", "Adenochilus gracilis", "Corybas carsei", "Corybas rotundifolius", "Aporostylis bifolia", "Ululodes hyalinus", "Ululodes macleayanus", "Ululodes paleonesia", "Jacoona anasuja", "Jacoona anasuja anasuja", "Jacoona anasuja irmina", "Jacoona anasuja jusana", "Dysmicoccus ambiguus", "Dysmicoccus arcanus", "Dysmicoccus celmisicola", "Dysmicoccus delitescens", "Dysmicoccus formicicola", "Dysmicoccus ornatus", "Dysmicoccus rupestris", "Dysmicoccus viticis", "Juniperus occidentalis subsp. australis", "Juniperus martinezii", "Juniperus poblana", "Juniperus taxifolia", "Juniperus \u00d7 pfitzeriana", "Hydrostachys imbricata", "Hydrostachys plumosa", "Cratoxylum arborescens", "Cratoxylum cochinchinense", "Cratoxylum formosum", "Harungana madagascariensis", "Asplenium \u00d7 gravesii", "Eretmodus marksmithi", "Nassarius burchardi", "Elysia ryukyuensis", "Bactrocera xanthodes", "Pseudoclasseya sinuosellus", "Pseudoclasseya mirabilis", "Pseudoclasseya minuta", "Pseudoclasseya inopinata", "Dacalana sannio", "Argentochiloides meridionalis", "Classeya bleszynskii", "Classeya symetrica", "Classeya luteomarginata", "Aurotalis hermione", "Aurotalis similis", "Sebrus absconditus", "Sebrus argus", "Alphacrambus cristatus", "Alphacrambus parvus", "Caffrocrambus parmenides", "Dacalana sinhara", "Caffrocrambus heraclitus", "Caffrocrambus leucippus", "Caffrocrambus democritus", "Dacalana polyorketes polyorketes", "Crambus erechtheus", "Crambus erostratus", "Crambus tenuis", "Crambus zelator", "Dacalana polyorketes laduanae", "Pediasia strenua", "Aureocramboides mopsos", "Crambus averroellus", "Amphisbaena fuliginosa", "Mimonectes gaussi", "Proscina vinogradovi", "Solenopsis elhawagryi", "Clethra sect.", "Jacutscia strigata", "Ululodes cajennensis", "Ululodes quadripunctatus", "Manto hypoleuca inopinata", "Aerangis brachycarpa", "Clogmia coronata", "Menegazzia gallowayi", "Hadogenes troglodytes", "Scarites subterraneus", "Scarites abbreviatus", "Scarites cyclops", "Abaris aquilonaria", "Abaris bigenera", "Abaris impunctata", "Abaris metallica", "Scarabaeus ambiguus", "Ateuchetus catenatus", "Scarabaeus jalof", "Scarabaeus nitidicollis", "Escarabaeus satyrus", "Kheper bonellii", "Ateuchetus cicatricosus", "Scarabaeus gangeticus", "Ateuchetus laticollis", "Kheper paganus", "Scarabaeus pius", "Ateuchetus puncticollis", "Ateuchetus variolosus", "Mimas tiliae", "Lecidea lygomma var. lygomma", "Lecidea lygomma var. crassilabra", "Dryopteris arguta", "Dryopteris campyloptera", "Dryopteris crinalis", "Arachniodes standishii", "Bolbitis fluviatilis", "Bolbitis heteroclita", "Bolbitis heudelotii", "Bolbitis serratifolia", "Bolbitis sinuata", "Ctenitis squamigera", "Didymochlaena truncatula", "Elaphoglossum crinitum", "Elaphoglossum peltatum", "Elaphoglossum spatulatum", "Elaphoglossum cubense", "Elaphoglossum herminieri", "Elaphoglossum lingua", "Elaphoglossum muscosum", "Elaphoglossum palmeri", "Elaphoglossum parvisquameum", "Elaphoglossum serpens", "Polystichum setiferum", "Polystichum acanthophyllum", "Polystichum braunii", "Polystichum calderonense", "Polystichum emarginatum", "Polystichum neolobatum", "Polystichum polyblepharum", "Polystichum rigens", "Polystichum squarrosum", "Polystichum tripteron", "Rumohra adiantiformis", "Odontosoria chinensis", "Odontosoria jenmanii", "Odontosoria scandens", "Lecidea demolita", "Neoclanis basalis", "Opistoclanis hawkeri", "Anguis eryx", "Dacalana polyorketes", "Dacalana polyorketes kawamurai", "Epimetopus transversus", "Epimetopus transversoides", "Epimetopus trilobus", "Epimetopus spatulus", "Epimetopus ecuadorensis", "Epimetopus steineri", "Epimetopus inaequalis", "Epimetopus angustus", "Epimetopus latus", "Epimetopus plicatus", "Epimetopus robustus", "Epimetopus latisoides", "Epimetopus microporus", "Epimetopus lobilatus", "Epimetopus rectus", "Epimetopus latilobus", "Epimetopus mucronatus", "Epimetopus acuminatus", "Epimetopus bifidus", "Epimetopus oaxacus", "Epimetopus arizonicus", "Epimetopus peruvianus", "Epimetopus coleuncus", "Epimetopus lanceolatulus", "Epimetopus lanceolatus", "Epimetopus arcuatus", "Epimetopus clypeatus", "Epimetopus surinamensis", "Epimetopus vulpinus", "Epimetopus multiportus", "Epimetopus deceptus", "Ancistropterus mundus", "Clogmia albipunctata", "Arianula haxairei", "Psychocampa laguerrei", "Psychocampa styx", "Psychocampa kohlli", "Cicinnus patawaensis", "Cicinnus montagnaniae", "Cicinnus kawensis", "Cicinnus beneluzi", "Cicinnus mamorensis", "Gorgonidia garleppi", "Gorgonidia inversa", "Gorgonidia maronensis", "Gorgonidia buckleyi", "Gorgonidia harterti", "Gorgonidia whitfordi", "Gorgonidia helenae", "Lacosoma arizonicum", "Lacosoma chiridota", "Naniteta elassa", "Ateuchetus semipunctatus", "Palaeostigus prolongatus", "Bakonybatrachus fedori", "Beiyanerpeton jianpingensis", "Eobarbourula delfinoi", "Pachysoma denticolle", "Mastigus deustus", "Mastigus andrae", "Mastigus caffer", "Mastigus hottentotus", "Mastigus spinicornis", "Morina persica var. decussatifolia", "Ceratomia hoffmanni", "Ceratomia mooseri", "Ceratomia paltingi", "Acanthus dioscoridis var. brevicaulis", "Acanthus dioscoridis var. dioscoridis", "Manto hypoleuca martina", "Acanthus dioscoridis var. lacinitaus", "Ceratomia undulosa undulosa", "Lecidea pallidoatra", "Ceratomia undulosa polingi", "Theretra mothironi", "Theretra rezaci", "Hopliocnema brachycera", "Hopliocnema melanoleuca", "Hopliocnema ochra", "Hopliocnema lacunosa", "Tornodoxa paraleptopalta", "Hypatima teramotoi", "Hypatima mangiferae", "Artanema longifolium", "Craterostigma plantagineum", "Clogmia guianica", "Clogmia poncianicola", "Pachysoma aesculapius", "Pachysoma bennigseni", "Pachysoma fitzsimonsi", "Pachysoma gariepinum", "Pachysoma valeflorae", "Pachysoma striatum", "Pachysoma schinzi", "Pachysoma hippocrates", "Pachysoma rotundigenum", "Pachysoma rodriguesi", "Pachylomera femoralis", "Pachylomera opaca", "Mida salicifolia", "Nitraria billardierei", "Nitraria retusa", "Nitraria schoberi", "Nitraria sibirica", "Acanthonitis nicolasi", "Acanthonitis oberthuri", "Chiron cylindrus", "Indorana prasadi", "Angraecum sesquipedale var. sesquipedale", "Angraecum sesquipedale var. angustifolium", "Taractrocera ceramas", "Gayophytum diffusum", "Gayophytum racemosum", "Gayophytum ramosissimum", "Circaea cordata", "Gongylocarpus rubricaulis", "Hauya elegans", "Lopezia hirsuta", "Lopezia miniata", "Lopezia racemosa", "Lecidea pruinosula", "Onoclea sensibilis", "Matteuccia orientalis", "Matteuccia struthiopteris", "Woodsia neomexicana", "Woodsia polystichoides", "Woodsia mexicana", "Cystopteris bulbifera", "Cystopteris protrusa", "Centrostigma occultans", "Semicalamidia owgarra", "Neosyntaxis warringtonella", "Oeonosia cruda", "Oeonosia abenaho", "Lindernia antipoda", "Lindernia ciliata", "Lindernia crustacea", "Lindernia dubia", "Lindernia nummulariifolia", "Palaeosia bicosta", "Oeonosia longistriga", "Calamidia hirta", "Striosia irrorata", "Pseudluperina pozzii", "Dolgoma striola", "Fabula zollikoferi", "Rhizedra lutosa", "Sedina buettneri", "Saiga tatarica mongolica", "Nonagria puengeleri", "Nonagria puengeleri puengeleri", "Nonagria puengeleri pringlei", "Nonagria typhae", "Phragmatiphila nexa", "Phragmatiphila agrapta", "Phragmatiphila hemicelaena", "Phragmatiphila connexa", "Arenostola phragmitidis", "Arenostola amseli", "Arenostola unicolor", "Longalatedes elymi", "Longalatedes elymi elymi", "Longalatedes elymi procera", "Trox hispidus", "Candona levanderi", "Scarabaeus acuticollis", "Sceliages adamastor", "Sceliages augias", "Sceliages brittoni", "Sceliages difficilis", "Sceliages gagates", "Sceliages hippias", "Scarabaeus sulcipennis", "Scarabaeus typhon", "Scarabaeus babori", "Scarabaeus winkleri", "Escarabaeus bannuensis", "Scarabaeus dioscoridis", "Scarabaeus irakensis", "Scarabaeus transcaspicus", "Scarabaeus wilsoni", "Scarabaeus goryi", "Scarabaeus isidis", "Scarabaeus costatus", "Scarabaeus proximus", "Kheper pustulosus", "Scarabaeus proboscideus", "Kheper prodigiosus", "Scarabaeus aegyptiacus", "Scarabaeus alienus", "Escarabaeus andrewesi", "Ateuchetus armeniacus", "Kheper asceticus", "Scarabaeus basuto", "Scarabaeus bornemizzai", "Escarabaeus brahminus", "Scarabaeus caffer", "Scarabaeus cancer", "Scarabaeus galenus", "Kheper vanderkelleni", "Scarabaeus vansoni", "Kheper venerabilis", "Scarabaeus zambezianus", "Scarabaeus vethi", "Scarabaeus viator", "Scarabaeus xavieri", "Scarabaeus vicinus", "Scarabaeus westwoodi", "Scarabaeus silenus", "Scarabaeus spretus", "Scarabaeus tonckeri", "Kheper subaeneus", "Scarabaeus suri", "Scarabaeus licitus", "Kheper clericus", "Scarabaeus cognatus", "Scarabaeus heqvisti", "Scarabaeus multidentatus", "Scarabaeus ritchiei", "Scarabaeus rixosus", "Scarabaeus confusus", "Scarabaeus convexus", "Scarabaeus rugosus", "Ateuchetus hottentorum", "Scarabaeus natalensis", "Escarabaeus cristatus", "Scarabaeus rusticus", "Scarabaeus sanctus", "Scarabaeus inquistus", "Kheper cuvieri", "Kheper intermedius", "Scarabaeus janssensi", "Ateuchetus savignyi", "Scarabaeus deludens", "Scarabaeus schulzeae", "Scarabaeus devotus", "Ateuchetus opacipennis", "Scarabaeus palemo", "Scarabaeus piliventris", "Scarabaeus erichsoni", "Scarabaeus planifrons", "Scarabaeus plausibilis", "Scarabaeus fraterculus", "Escarabaeus furcatus", "Seminobatrachus boltyschkensis", "Liatongus mergacerus", "Uberabatrachus carvalhoi", "Wesserpeton evansae", "Periphoba tangerini", "Periphoba moseri", "Periphoba pessoai", "Tetradiclis tenella", "Cneorum tricoccon", "Diplolaena angustifolia", "Diplolaena dampieri", "Ertela trifolia", "Leionema phylicifolium", "Ptaeroxylon obliquum", "Episema tamardayanae", "Episema ulriki", "Episema gozmanyi", "Atalantia acuminata", "Atalantia dasycarpa", "Atalantia fongkaica", "Atalantia henryi", "Atalantia kwangtungensis", "Ptyongnathosia lativalva", "Ptyongnathosia lobosaccula", "Ptyongnathosia palliorana", "Ptyongnathosia oxybela", "Ptyongnathosia oxynosocia", "Vulpoxena dentata", "Goebelobryum vermiculare", "Janssensellus rasplusi", "Tropidia formosana", "Tropidia curculigoides", "Spirocerca arctica", "Spirocerca cylicola", "Spirocerca longispiculata", "Spirocerca rytipleuristes", "Spirocerca sanguinolenta", "Spirocerca skrjabini", "Spirocerca vigisiana", "Cylicospirura advena", "Cladosporium arthropodii", "Alpheus randalli", "Onitis tingaudi", "Diplaziopsis cavaleriana", "Aglaomorpha coronans", "Aglaomorpha heraclea", "Drynaria quercifolia", "Drynaria rigidula", "Drynaria sinica", "Drynaria sparsisora", "Lemmaphyllum microphyllum", "Paphiopedilum haynaldianum", "Dipturus oxyrinchus", "Raja miraletus", "Leucoraja fullonica", "Namalycastis jaya", "Rhinobatos rhinobatos", "Muehlenbeckia astonii", "Muehlenbeckia australis", "Muehlenbeckia axillaris", "Atelesia nervosa", "Oriolus kundoo", "Oriolus decipiens", "Scarabaeus poggei", "Scarabaeus funebris", "Kheper porosus", "Scarabaeus sennaariensis", "Synorthus rotundus", "Synorthus setarius", "Spirocerca lupi", "Ceratobia ratjadae", "Ceratobia oxymora", "Trichophaga robinsoni", "Tinea murariella", "Monopis crocicapitella", "Monopis nigricantella", "Monopis henderickxi", "Monopis barbarosi", "Oinophila v-flava", "Psychoides filicivora", "Acrolepiopsis vesperella", "Acrolepiopsis mauli", "Acrolepiopsis infundibulosa", "Lecidea siderolithica", "Goniophysetis malgassellus", "Goniophysetis actalellus", "Manto hypoleuca paluana", "Manto hypoleuca terana", "Acanthonitis spissus", "Mantoides gama teunga", "Glyptothorax churamanii", "Mantoides gama maga", "Eupsenella insulana", "Leptochilus decurrens", "Leptochilus pteropus", "Microsorum grossum", "Microsorum musifolium", "Microsorum punctatum", "Synorthus anomalus", "Synorthus granulatus", "Synorthus insuetus", "Synorthus laevigatus", "Synorthus mandibularis", "Synorthus mixtus", "Synorthus nigralis", "Synorthus nigricans", "Synorthus orbicularis", "Synorthus pygmaeus", "Synorthus rectifrons", "Synorthus sternalis", "Synorthus substriatus", "Synorthus versipilus", "Synorthus villosus", "Lenisa geminipuncta", "Archanara neurica", "Archanara dissoluta", "Coenobia rufa", "Coenobia orientalis", "Oria musculosa", "Unchelea myodea", "Lecidea subcinerascens", "Cirrhitichthys oxycephalus", "Inula acaulis", "Inula anatolica", "Inula aucheriana", "Inula discoidea", "Inula fragilis", "Inula inuloides", "Inula macrocephala", "Inula montbretiana", "Inula sarana", "Inula sechmenii", "Inula viscidula", "Denticucullus pygmina", "Denticucullus mabillei", "Hypocoena stigmatica", "Hypocoena stigmatica stigmatica", "Hypocoena stigmatica dispersa", "Photedes fluxa", "Photedes dulcis", "Photedes captiuncula", "Photedes minima", "Photedes morrisii", "Photedes morrisii morrisii", "Photedes morrisii sohnretheli", "Photedes extrema", "Photedes extrema extrema", "Photedes extrema calamoxantha", "Pseudodirphia angulata", "Pseudodirphia catarinensis", "Pseudodirphia agandensis", "Pseudodirphia purpurata", "Pseudodirphia mexaustralica", "Pseudodirphia regia", "Pseudodirphia imperialis", "Pseudodirphia lesieuri", "Pseudodirphia ducalis", "Pseudodirphia lacsa", "Pseudodirphia weberorum", "Pseudodirphia reguayana", "Pseudodirphia regia regia", "Pseudodirphia regia madriziana", "Platycnemis foliacea sasakii", "Saiga tatarica tatarica", "Pseudocnus echinatus", "Lecanora subtecta", "Cestrum sect.", "Echidnophaga gallinacea", "Cestrum sect.", "Curdiea balthazar", "Cestrum sect.", "Mnematium ritchiei", "Paruparo annie", "Paruparo arbaimuni", "Serinus alario alario", "Psychoda formosa", "Cestrum \u00d7 cultum", "Paruparo kuehni", "Malabaricythere oceanica", "Bizarrifrons quasisymmetricus", "Bizarrifrons wecksteini", "Bizarrifrons latifrons", "Ethmia praeclara", "Ethmia submersa", "Ethmia pullata", "Ethmia thoraea", "Ludwigia palustris", "Scoparia cordata", "Dionysia aretioides", "Dionysia bryoides", "Dionysia freitagii", "Dionysia paradoxa", "Dionysia tapetodes", "Dionysia bornmuelleri", "Dionysia curviflora", "Dionysia denticulata", "Dionysia diapensiifolia", "Dionysia lamingtonii", "Dionysia revoluta", "Dionysia michauxii", "Dionysia viscidula", "Dionysia teucrioides", "Dionysia odora", "Dionysia archibaldii", "Speyeria atlantis atlantis", "Speyeria aphrodite", "Speyeria aphrodite cullasaja", "Cyclamen parviflorum subsp. parviflorum", "Cyclamen parviflorum subsp. subalpinum", "Cnephasia delnoyana", "Cyclamen graecum subsp. graecum", "Cyclamen graecum subsp. candicum", "Lecidea variegatula", "Shafferograptis michaeli", "Thrix scopula nisibis", "Thrix scopula scopula", "Platycerium andinum", "Platycerium bifurcatum", "Platycerium coronarium", "Platycerium grande", "Platycerium madagascariense", "Platycerium ridleyi", "Platycerium stemaria", "Platycerium superbum", "Platycerium wandae", "Pyrrosia hastata", "Pyrrosia linearifolia", "Pyrrosia lingua", "Pyrrosia petiolosa", "Pyrrosia piloselloides", "Pyrrosia polydactylos", "Pyrrosia princeps", "Pyrrosia sheareri", "Campyloneurum angustifolium", "Campyloneurum phyllitidis", "Niphidium crassifolium", "Phlebodium aureum", "Phlebodium decumanum", "Phlebodium pseudoaureum", "Meryta pastoralis", "Syrphetodes crenatus", "Phyllonorycter zonochares", "Phrudocentra pupillata", "Assachlora assa", "Thrix scopula", "Lindachlora flaccida", "Lindachlora niveiceps", "Lindachlora senescens", "Lissocentra hydatodes", "Ethmia argopa", "Ethmia hilarella", "Ethmia dentata", "Ethmia nigroapicella", "Bizarrifrons clayae", "Bizarrifrons francisi", "Bizarrifrons meinertzhageni", "Bizarrifrons juruani", "Bizarrifrons picturatus", "Bizarrifrons magus", "Bizarrifrons maculatus", "Palmaellus inexpectatus", "Cotingacola engeli", "Cotingacola lutzae", "Psophiicola foedus", "Paraselliguea leucophora", "Philopteroides novaezelandiae", "Philopteroides xenicus", "Terpsichore aspleniifolia", "Pennantia baylisiana", "Neurodium lanceolatum", "Adiantum anceps", "Adiantum concinnum", "Adiantum davidii", "Adiantum deltoideum", "Adiantum dolosum", "Neenchelys buitendijki", "Rhopalostylis baueri", "Adiantum flabellulatum", "Adiantum hispidulum", "Adiantum latifolium", "Adiantum lucidum", "Adiantum lunulatum", "Adiantum macrophyllum", "Adiantum peruvianum", "Adiantum poiretii", "Adiantum tenerum", "Adiantum trapeziforme", "Adiantum venustum", "Adiantum vivesii", "Philopteroides mitsusui", "Philopteroides lineatus", "Pycnonotus finlaysoni eous", "Spizixos semitorques cinereicapillus", "Xenicus longipes longipes", "Meryta angustifolia", "Meryta balansae", "Meryta brachypoda", "Meryta capitata", "Meryta coriacea", "Meryta denhamii", "Meryta drakeana", "Meryta lanceolata", "Meryta latifolia", "Meryta lucida", "Meryta macrophylla", "Meryta malietoa", "Meryta mauluulu", "Meryta mauruensis", "Meryta neoebudica", "Meryta oxylaena", "Meryta pachycarpa", "Meryta pandanicarpa", "Meryta pauciflora", "Meryta raiateensis", "Meryta salicifolia", "Meryta schizolaena", "Meryta senfftiana", "Meryta sonchifolia", "Paruparo lumawigi", "Paruparo lumawigi jumaloni", "Paruparo lumawigi lumawigi", "Paruparo lumawigi mindorana", "Hypoatherina celebesensis", "Hypoatherina macrophthalma", "Notholaena candida", "Notholaena schaffneri", "Pentagramma pallida", "Pentagramma triangularis", "Cryptamorpha abnormis", "Syrphetodes cordipennis", "Syrphetodes dorsalis", "Syrphetodes pensus", "Syrphetodes punctatus", "Arachana nigra", "Caloplaca maculata", "Caloplaca murrayi", "Caloplaca papanui", "Caloplaca schisticola", "Barbonymus schwanenfeldii", "Merguinia merguinia", "Benthosuchus gusevae", "Spatalistis alleni", "Spatalistis katmandana", "Caloplaca rubentior", "Spatalistis phulchokia", "Spatalistis viridphantasma", "Cacops woehri", "Placostylus bivaricosus", "Adiantopsis paupercula", "Adiantopsis pedata", "Adiantopsis radiata", "Argyrochosma fendleri", "Astrolepis cochisensis", "Cheilanthes distans", "Myriopteris fendleri", "Gaga kaulfussii", "Myriopteris lanosa", "Myriopteris microphylla", "Cheilanthes sieberi", "Myriopteris wootonii", "Doryopteris angelica", "Doryopteris palmata", "Pteris semipinnata", "Pteris actinopteroides", "Hypoderris brownii", "Tectaria estremerana", "Tectaria heracleifolia", "Tectaria incisa", "Tectaria pedata", "Tectaria plantaginea", "Sminthurus viridis", "Sminthurus multidentatus", "Aetobarbakinoides brasiliensis", "Atrytonopsis cestus", "Atrytonopsis deva", "Atrytonopsis edwardsi", "Atrytonopsis frappenda", "Atrytonopsis hianna", "Atrytonopsis hianna hianna", "Atrytonopsis hianna turneri", "Atrytonopsis loammi", "Atrytonopsis lunus", "Atrytonopsis pittacus", "Atrytonopsis python", "Atrytonopsis vierecki", "Atrytonopsis zweifelei", "Atrytonopsis ovinia", "Atrytonopsis ovinia ovinia", "Atrytonopsis ovinia zaovinia", "Morpho achilles", "Oxynotus centrina", "Paphiopedilum bullenianum var. bullenianum", "Adiantum wilsonii", "Adiantum pentadactylon", "Anetium citrifolium", "Antrophyum plantagineum", "Vittaria lineata", "Neenchelys mccoskeri", "Paphiopedilum acmodontum", "Paphiopedilum adductum", "Paphiopedilum argus", "Paphiopedilum armeniacum", "Thrix scopula elioti", "Cotingacola stotzi", "Cotingacola fitzpatricki", "Paruparo kuehni kuehni", "Cotingacola dimorpha", "Cotingacola gracilis", "Paruparo kuehni regulus", "Cotingacola meridae", "Cotingacola parmipapillae", "Cotingacola rupicolae", "Cotingacola tergalis", "Philopteroides sclerotifrons", "Meryta tenuifolia", "Philopteroides cucphuongensis", "Meryta choristantha", "Meryta sect.", "Philopteroides kayanobori", "Curioseboda probola", "Spinacleris inthanoni", "Acleris schiasma", "Acleris kerincina", "Sabahtortrix montana", "Cordatijuxta thailandiae", "Paphiopedilum barbatum", "Paphiopedilum coccineum", "Paphiopedilum barbigerum var. barbigerum", "Paphiopedilum barbigerum", "Paphiopedilum barbigerum var. sulivongii", "Paphiopedilum bellatulum", "Phaeospora perrugosaria", "Paphiopedilum bougainvilleanum", "Paphiopedilum bougainvilleanum var. bougainvilleanum", "Paphiopedilum bougainvilleanum var. saskianum", "Quadrencyrtus paradoxus", "Eupteryx cytinsularis", "Eupteryx melissae", "Eupteryx decemnotata", "Pyrenula prostrata", "Pyrenula pyrenastroides", "Paruparo violacea", "Eupteryx adornata", "Paphiopedilum bullenianum", "Bythocypris reniformis", "Caloplaca cretensis", "Bythocypris antoniettae", "Savzdargia hofferi", "Paphiopedilum bullenianum var. celebesense", "Aeschynanthus sect.", "Aeschynanthus sect.", "Barreirosuchus franciscoi", "Amargasuchus minor", "Entheus eumelus", "Entheus ninyas", "Entheus eunyas", "Entheus telemus", "Entheus priassus", "Entheus priassus priassus", "Entheus priassus pralina", "Aeschynanthus sect.", "Sauroniops pachytholus", "Georgeiella clavigera", "Georgeiella haydocki", "Georgeiella hopkinsi", "Macrothelypteris torresiana", "Phegopteris connectilis", "Phegopteris decursive-pinnata", "Phegopteris hexagonoptera", "Amauropelta inabonensis", "Stegnogramma pilosa", "Pseudostanus tasmanicus", "Marsilea crenata", "Marsilea minuta", "Marsilea villosa", "Marsilea drummondii", "Marsilea mutica", "Marsilea vestita", "Regnellidium diphyllum", "Cytheropteron italoi", "Cytheropteron rossanae", "Geosesarma malayanum", "Nymania capensis", "Chukrasia tabularis", "Cipadessa baccifera", "Dysoxylum fraserianum", "Dysoxylum maota", "Dysoxylum mollissimum", "Dysoxylum parasiticum", "Dysoxylum spectabile", "Dysoxylum gotadhora", "Deraeocoris australicus", "Deraeocoris grisescens", "Deraeocoris signatus", "Deraeocoris ruber", "Deraeocoris schach", "Nomada yanoi", "Nomada facilis", "Nomada lucidula", "Microtechnites minutus", "Nomada pallispinosa", "Nomada rubricollis", "Borealosuchus threeensis", "Micrelephas crassipalpis", "Micrelaphas pictellus", "Micrelephas pictellus", "Bystrowisuchus flerovi", "Micrelephas kadenii", "Sarota subtessellata", "Sarota chrysus", "Sarota neglecta", "Sarota chocoensis", "Sarota turrialbensis", "Sarota craspediodonta", "Paphiopedilum viniferum", "Paphiopedilum callosum", "Paphiopedilum callosum var. callosum", "Paphiopedilum callosum var. potentianum", "Paphiopedilum callosum var. warnerianum", "Anemone ranunculoides subsp. ranunculoides", "Anemone ranunculoides subsp. wockeana", "Mayriphilopterus brevicephalus", "Mayriphilopterus ernsti", "Mayriphilopterus galbulicus", "Mayriphilopterus nystalicus", "Mayriphilopterus orinocensis", "Mayriphilopterus spinosus", "Charitopsis laticornis", "Moraviella inexpectata", "Cascoplecia insolitis", "Nomada dubia", "Nomada lutea", "Nomada rubricosa", "Nomada duplex", "Nomada fervida", "Nomada imbricata", "Nomada lusca", "Nomada miniata", "Nomada sanguinea", "Nomada sulphurata", "Nomada valida", "Nomada durangoae", "Nomada portalensis", "Nomada timberlakei", "Nomada dybovskij", "Nomada moravitzii", "Nomada sabulosa", "Nomada ecarinata", "Nomada hammarstroemi", "Nomada erigeronis", "Nomada erythra", "Nomada erythraea", "Nomada integerrima", "Nomada erythrocephala", "Nomada erythrospila", "Nomada melanosoma", "Nomada mimus", "Nomada odontocera", "Nomada pyrrha", "Nomada vernonensis", "Nomada esana", "Nomada fukuiana", "Nomada ginran", "Nomada hackoda", "Nomada hakusana", "Nomada kinosukei", "Nomada koikensis", "Nomada montverna", "Nomada munakatai", "Nomada okubira", "Nomada pacifica", "Nomada pulawskii", "Nomada sabaensis", "Nomada silvicola", "Nomada taicho", "Nomada towada", "Nomada yagensis", "Clayiella dreophila", "Clayiella dennyi", "Clayiella prionitis", "Corcorides biocellatus", "Corcorides inopinatus", "Notobitus meleagris", "Rhyothemis variegata imperatrix", "Tritrabeculus goshikidori", "Tritrabeculus osculolimbatus", "Nyctibicola longistris", "Clayiella panamensis", "Theriosynoecum wyomingense", "Rhyothemis variegata variegata", "Pessoaiella absita", "Eupteryx gilvus", "Purlisa gigantea", "Purlisa gigantea gigantea", "Purlisa gigantea borneana", "Matatua montivaga", "Matatua maorica", "Agrilus hewitti", "Agrilus crepuscularis", "Agrilus pseudolubopetri", "Agrilus sapphirinus", "Agrilus seramensis", "Agrilus spineus", "Agrilus tomentipennis", "Edwardsiana lethierryi", "Ribautiana tenerrima", "Coniogramme fraxinea", "Coniogramme japonica", "Cryptogramma stelleri", "Cryptogramma sitchensis", "Cryptogramma acrostichoides", "Acrostichum aureum", "Ceratopteris pteridoides", "Ceratopteris richardii", "Ceratopteris thalictroides", "Pellaea atropurpurea", "Pellaea falcata", "Pellaea mucronata", "Pellaea rotundifolia", "Cheilanthes viridis", "Pityrogramma calomelanos", "Pteris ensiformis", "Pteris grandifolia", "Pteris longifolia", "Pteris lydgatei", "Pteris multifida", "Pteris tremula", "Pteris tripartita", "Pteris hexagona", "Pteris quadriaurita", "Osculotes curta", "Osculotes macropoda", "Clayiella barypthenga", "Clayiella momotula", "Bothriometopus macrocnemis", "Bothriometopus simillimus", "Microtechnites chrysolepis", "Brueelia insolita", "Brueelia jacarinae", "Rosenscheldiella korthalsellae", "Cancricepon multituberosum", "Cancricepon elegans", "Cancricepon knudseni", "Cancricepon xanthi", "Cancricepon pilula", "Cancricepon anagibbosus", "Cancricepon choprae", "Cancricepon garthi", "Microtechnites tibialis", "Trigonotylus tenuis", "Trigonotylus exilis", "Trigonotylus setosus", "Sibataniozephyrus fujisanus", "Euzkadiella errata", "Nematocampa resistaria", "Hyalophora euryalus", "Hyalophora euryalus euryalus", "Hyalophora euryalus cedrosensis", "Caloplaca asserigena", "Bambusicola thoracicus", "Anastrus virens", "Xenophrys jinggangensis", "Ekebergia capensis", "Entandrophragma angolense", "Entandrophragma caudatum", "Entandrophragma cylindricum", "Entandrophragma utile", "Lejeunea hawaikiana", "Actinidia lijiangensis", "Actinidia petelotii", "Actinidia zhejiangensis", "Ximenia americana", "Ximenia caffra", "Ximenia coriacea", "Hemidictyum marginatum", "Asplenium \u00d7 kentuckiense", "Golofa porteri", "Zacco platypus", "Galeorhinus galeus", "Ormosia travancorica", "Rachana australis", "Rachana circumdata circumdata", "Entandrophragma candollei", "Entandrophragma delevoyi", "Libertia sessiliflora", "Libertia micrantha", "Libertia paniculata", "Libertia peregrinans", "Libertia pulchella", "Guarea glabra", "Guarea guidonia", "Guarea pterorhachis", "Cosmisoma chalybeipenne", "Paromoeocerus barbicornis", "Vietbocap thienduongensis", "Vietbocap lao", "Theriosynoecum berwickense", "Parastratiosphecomyia freidbergi", "Parastratiosphecomyia rozkosnyi", "Parastratiosphecomyia szechuanensis", "Parastratiosphecomyia stratiosphecomyioides", "Lansium breviracemosum", "Lansium domesticum", "Lansium membranaceum", "Hypoderma siculum", "Lovoa swynnertonii", "Lovoa trichilioides", "Munronia pinnata", "Owenia acidula", "Owenia venosa", "Owenia vernicosa", "Yersinia entomophaga", "Physcia verdonii", "Protopannaria campbellensis", "Coprinopsis austrophlyctidospora", "Actinidia hubeiensis", "Paphiopedilum aranianum", "Paphiopedilum areeanum", "Paphiopedilum canhii", "Paphiopedilum cornuatum", "Paphiopedilum charlesworthii", "Paphiopedilum ciliolare", "Rachana jalindra burbona", "Chrysoperla carnea", "Paphiopedilum affine", "Mycalesis mineus", "Rachana jalindra degenerata", "Rachana jalindra indra", "Rachana jalindra macanita", "Spininola fibigeri", "Spininola subvesiculalis", "Phyllotocus rufipennis", "Hemibarbus longirostris", "Protarchanara abrupta", "Protarchanara brevilinea", "Globia sparganii", "Globia sparganii sparganii", "Globia sparganii algaeoides", "Globia algae", "Globia oblonga", "Globia subflava", "Globia laeta", "Xysticus parallelus", "Xysticus abramovi", "Rachana mariaba", "Eschata quadrispinea", "Eschata shafferella", "Eschata isabella", "Eschata miranda", "Eschata rififi", "Rachana plateni", "Rachana plateni parvula", "Rachana plateni plateni", "Paphiopedilum dayanum", "Paphiopedilum delenatii", "Paphiopedilum dianthum", "Paphiopedilum druryi", "Paphiopedilum emersonii", "Anolis cumingii", "Geodromicus pusillus", "Nemapalpus glyphanos", "Nastus borbonicus", "Sycorax furca", "Sycorax sinuosa", "Sycorax spina", "Sycorax tridentata", "Sycorax webbi", "Echelus myrus", "Sycorax silacea", "Sycorax cariacicaensis", "Sycorax espiritosantensis", "Passiflora tarapotina", "Tetracera indica", "Synhoria testacea", "Synhoria cephalotes", "Chondrocladia lyra", "Rachana jalindra mindorensis", "Rachana jalindra obsoleta", "Rachana jalindra palawandra", "Theriosynoecum pahasapense", "Rachana jalindra tarpina", "Gymnocarpium disjunctum", "Dendrophthora domingensis", "Ginalloa arnottiana", "Rhyzobius antiquus", "Rhyzobius gratiosus", "Notothixos incanus", "Phoradendron californicum", "Phoradendron juniperinum", "Phoradendron leucarpum", "Phoradendron libocedri", "Phoradendron piperoides", "Phoradendron quadrangulare", "Phoradendron rubrum", "Allomyrina davidis", "Allomyrina pfeifferae", "Allomyrina kanamorii", "Catharsius juheli", "Catharsius heros", "Catharsius sesostris", "Catharsius eteocles", "Catharsius mirabilis", "Catharsius gorilla", "Ectenognathus dryptoides", "Paphiopedilum kolopakingii", "Tulostoma kotlabae", "Paphiopedilum lawrenceanum", "Paphiopedilum liemianum", "Paphiopedilum lowii var. lowii", "Paphiopedilum lowii", "Paphiopedilum lowii var. lynniae", "Paphiopedilum richardianum", "Agave subg.", "Eutonina indicans", "Caristius fasciatus", "Thelyphassa lineata", "Xylotoles lynceus", "Agriocnemis pygmaea", "Suasa lisides", "Paphiopedilum malipoense", "Paphiopedilum malipoense var. malipoense", "Upeneus stenopsis", "Ophichthus ophis", "Geum japonicum", "Diplazium errans", "Polystichum schizophyllum", "Isoetes junciformis", "Alchemilla gracilipes", "Paphiopedilum exul", "Paphiopedilum fairrieanum", "Paphiopedilum fowliei", "Paphiopedilum gigantifolium", "Paphiopedilum praestans", "Paphiopedilum glanduliferum", "Paphiopedilum guangdongense", "Paphiopedilum hangianum", "Xysticus acerbus", "Xysticus acquiescens", "Xysticus advectus", "Xysticus adzharicus", "Xysticus aethiopicus", "Paphiopedilum helenae", "Xysticus albertensis", "Paphiopedilum hennisianum", "Xysticus albidus", "Xysticus albolimbatus", "Paphiopedilum hookerae", "Paphiopedilum hookerae var. hookerae", "Paphiopedilum hookerae var. volonteanum", "Rosa palustris", "Paphiopedilum inamorii", "Paphiopedilum intaniae", "Stemona tuberosa", "Actinostachys digitata", "Actinostachys pennula", "Myotis phanluongi", "Myotis badius", "Myotis korotkevichae", "Myotis lavali", "Myotis izecksohni", "Myotis darelbeidensis", "Tuberolachnus salignus", "Pabulatrix pabulatricula", "Ogcocephalus vespertilio", "Resapamea hedeni", "Resapamea hedeni hedeni", "Resapamea hedeni vargai", "Resapamea hedeni rhodochrea", "Resapamea hedeni takanensis", "Resapamea vaskeni", "Resapamea vaskeni vaskeni", "Resapamea vaskeni kazbekiana", "Hypostomus plecostomus", "Resapamea tibeticola", "Resapamea megaleuca", "Resapamea alticola", "Resapamea passer", "Resapamea trigona", "Resapamea venosa", "Litoligia literosa", "Bicodes murinus", "Pthirus gorillae", "Xerophyta dasylirioides", "Xerophyta suffrutescens", "Lacandonia schismatica", "Sciaphila purpurea", "Triuris brevistylis", "Triuris hyalina", "Buckleya distichophylla", "Buckleya henryi", "Buckleya lanceolata", "Thesium humile", "Thesium namaquense", "Thesium pyrenaicum", "Thesium triflorum", "Stixis suaveolens", "Stemona japonica", "Stemona javanica", "Stemona parviflora", "Stemona sessilifolia", "Litoligia literosa literosa", "Litoligia literosa kutchilou", "Eulophia ramosa", "Eschata truncata", "Eschata tricornia", "Eschata hainanensis", "Eschata horrida", "Eschata minuta", "Eschata shanghaiensis", "Eschata smithi", "Eschata aida", "Eschata chrysargyria", "Eschata argentata", "Eschata gelida", "Eschata conspurcata", "Eschata rembrandti", "Eschata rococo", "Eschata irrorata", "Eschata xanthorhyncha", "Eschata xanthocera", "Eschata himalaica", "Chiqua eblisella", "Calamotropha malgasella", "Pseudocatharylla berberichi", "Melanimon tibialis", "Synanthedon tipuliformis", "Fragaria bucharica", "Fragaria chinensis", "Fragaria corymbosa", "Acaena argentea", "Acaena buchananii", "Arytainilla atlantica", "Ophisurus serpens", "Xenoceratops foremostensis", "Xystrologa grenadella", "Xystrologa nigrovitta", "Torodora parakarismata", "Torodora sabahana", "Torodora leucochlora", "Torodora niphadodes", "Ctenopoma gabonense", "Torodora eupatris", "Holcocera munroei", "Epipactis troodi", "Arthropodium cirratum", "Arthropodium bifurcatum", "Servaea narraweena", "Servaea incana", "Servaea murina", "Servaea spinibarbis", "Servaea villosa", "Servaea zabkai", "Austrotengella hackerae", "Austrotengella hebronae", "Austrotengella monteithi", "Austrotengella plimeri", "Austrotengella wrighti", "Austrotengella toddae", "Epipactis \u00d7 schulzei", "Scolochloa festucacea", "Epipactis \u00d7 reinekei", "Epipactis \u00d7 schmalhausenii", "Carmenta guayaba", "Carmenta munroei", "Carectocultus dominicki", "Trichiurus lepturus", "Epipactis africana", "Epipactis alata", "Epipactis albensis", "Sycorax confusa", "Sycorax peruensis", "Sycorax prompta", "Sycorax tumultosa", "Phyllodesmium rudmani", "Neobolusia tysonii", "Monodelphis gardneri", "Monodelphis touan", "Aposycorax chilensis", "Parasycorax bidentis", "Parasycorax filipinae", "Parasycorax satchelli", "Parasycorax utriensis", "Parribacus antarcticus", "Parribacus papyraceus", "Ibacus alticrenatus", "Ibacus brucei", "Halirages cainae", "Lasioglossum hantamense", "Lasioglossum tigrinum", "Lasioglossum timmermanni", "Lasioglossum mosselinum", "Yoda purpurata", "Palinurus delagoae", "Patiriella mortenseni", "Patiriella oliveri", "Patiriella regularis", "Servaea melaina", "Evotella rubiginosa", "Asplenium fontanum", "Dracomonticola virginea", "Asplenium monanthes", "Epimorius maylinae", "Epimorius adustalis", "Epimorius epipaschiella", "Epimorius testaceellus", "Epimorius suffusa", "Ataxia crassa", "Diasemopsis comoroensis", "Tridactyle bicaudata subsp. rupestris", "Abromias minoica", "Abromias assimilis", "Abromias assimilis assimilis", "Abromias assimilis jenskjeldi", "Abromias groenlandica", "Abromias groenlandica groenlandica", "Abromias groenlandica ingloria", "Abromias rubrirena", "Lateroligia ophiogramma", "Carectocultus perstrialis", "Cromarcha polybata", "Cromarcha stroudagnesia", "Tanakia lanceolata", "Rangaeris trilobata", "Asplenium erosum", "Epipactis albensis var. fibri", "Esophyllas synankylis", "Esophyllas vetteri", "Ctenus sigma", "Anarhichas lupus", "Tulostoma brumale", "Ammodytes tobianus", "Stromateus fiatola", "Tulostoma armillatum", "Peprilus paru", "Tulostoma fimbriatum", "Tulostoma squamosum", "Tulostoma macrocephalum", "Tulostoma simulans", "Oncopagurus tuamotu", "Oncopagurus africanus", "Oncopagurus bicristatus", "Oncopagurus cidaris", "Oncopagurus stockmani", "Oncopagurus orientalis", "Oncopagurus conicus", "Oncopagurus oimos", "Oncopagurus glebosus", "Oncopagurus gracilis", "Oncopagurus haigae", "Oncopagurus monstrosus", "Oncopagurus indicus", "Oncopagurus minutus", "Oncopagurus mironovi", "Parapagurus richeri", "Parapagurus abyssorum", "Parapagurus bouvieri", "Parapagurus latimanus", "Ancyra annamensis", "Ancyra appendiculata", "Ancyra histrionica", "Ancyra luangana", "Ancyra nigrifrons", "Ancyra vicina", "Ancyra xiengana", "Dacus coenensis", "Opsilia tenuilinea", "Opsilia irakensis", "Neoxyphinus axe", "Neoxyphinus barreirosi", "Neoxyphinus boibumba", "Neoxyphinus furtivus", "Neoxyphinus gregoblin", "Neoxyphinus hispidus", "Neoxyphinus keyserlingi", "Neoxyphinus petrogoblin", "Neoxyphinus termitophilus", "Neoxyphinus xyphinoides", "Costarina abdita", "Calliergonella lindbergii", "Lutjanus kasmira", "Prionurus scalprum", "Costarina concinna", "Costarina improvisa", "Costarina intempina", "Costarina meridina", "Costarina obtina", "Costarina potena", "Superpendicythere binodosa", "Costarina watina", "Tridactyle bicaudata subsp. bicaudata", "Epimorius caribellus", "Epimorius prodigiosus", "Epimorius cymonia", "Upeneus davidaromi", "Upeneus mascareinsis", "Upeneus subvittatus", "Micrelephas gaskini", "Micrelephas chalybeus", "Upeneus vittatus", "Micrelephas pseudokadenii", "Paphiopedilum mastersianum var. mastersianum", "Paphiopedilum mastersianum", "Micrelephas helenae", "Paphiopedilum mastersianum var. mohrianum", "Oxynoemacheilus atili", "Paphiopedilum malipoense var. angustatum", "Paphiopedilum jackii", "Paphiopedilum malipoense var. jackii", "Oxynoemacheilus mesudae", "Paphiopedilum niveum", "Passiflora ciliata var. santiagana", "Epipactis phyllanthes var. phyllanthes", "Passiflora foetida var. fluminensis", "Epipactis phyllanthes", "Epipactis phyllanthes var. olarionensis", "Novaranea powelli", "Novaranea quaesita", "Paphiopedilum ooii", "Paphiopedilum papuanum", "Diplazium plantaginifolium", "Veronica jovellanoides", "Horaglanis abdulkalami", "Horaglanis alikunhii", "Gambiella caelata", "Paphiopedilum parishii", "Loebelia crassicornis", "Paphiopedilum parnatanum", "Lomera albifrons", "Platycephalus indicus", "Lomera boisduvalii", "Paphiopedilum philippinense var. philippinense", "Paphiopedilum philippinense", "Paphiopedilum philippinense var. roebelenii", "Luffia lapidella", "Luffia gomerensis", "Paphiopedilum platyphyllum", "Paphiopedilum qingyongii", "Paphiopedilum randsii", "Luffia rebeli", "Paphiopedilum rothschildianum", "Lumacra brasiliensis", "Amelanchier cusickii", "Barea codrella", "Zaprora silenus", "Macracanthorhynchus gigas", "Macracanthorhynchus haerucus", "Selenochlamys ysbryda", "Chrysozephyrus rarasanus", "Chrysozephyrus rarasanus rarasanus", "Chrysozephyrus rarasanus occiduus", "Jaiba kesselringi", "Mesene celetes", "Mesene patawa", "Mesene sardonyx", "Cotoneaster conspicuus", "Cotoneaster laxiflorus", "Cotoneaster mongolicus", "Cotoneaster symondsii", "Cotoneaster tomentosus", "Linggana cardinaali", "Callionymus lyra", "Liothula omnivora", "Lithopleurota monachopis", "Paphiopedilum wardii", "Chrysina arellanoi", "Chrysina eyai", "Chrysina gaitalica", "Chrysina donthomasi", "Chrysina blackalleri", "Chrysina amalia", "Chrysina citlaltepetlamayatli", "Chrysina ohausi", "Paphiopedilum sanderianum", "Lumacra haitiensis", "Lumacra hyalinacra", "Lumacra kuenckeli", "Lumacra kuenckelii", "Lumacra leucobasilaris", "Paphiopedilum sangii", "Lumacra quadridentata", "Paphiopedilum schoseri", "Paphiopedilum stenolomum", "Paphiopedilum stonei", "Paphiopedilum sugiyamanum", "Paphiopedilum sukhakulii", "Paphiopedilum supardii", "Paphiopedilum superbiens", "Paphiopedilum thaianum", "Paphiopedilum tigrinum", "Paphiopedilum braemii", "Paphiopedilum tonsum", "Paphiopedilum tranlienianum", "Eocorythoderus incredibilis", "Aceria cheiradeniae", "Aculops seguieranae", "Paphiopedilum urbanianum", "Synodontis resupinatus", "Argyrogrammana talboti", "Argyrogrammana talboti talboti", "Argyrogrammana talboti naranjilla", "Xenandra mielkei", "Pachythone analuciae", "Adelpha hesterbergi", "Adelpha lamasi", "Adelpha salus", "Adelpha salus salus", "Adelpha salus emmeli", "Hoya pubicalyx", "Adelpha attica", "Adelpha attica attica", "Adelpha attica hemileuca", "Caladenia carnea", "Paphiopedilum victoria-mariae", "Paphiopedilum vietnamense", "Adelpha seriphia", "Adelpha seriphia seriphia", "Adelpha seriphia pione", "Adelpha seriphia aquillia", "Adelpha seriphia therasia", "Adelpha seriphia godmani", "Adelpha seriphia egregia", "Adelpha seriphia barcanti", "Adelpha radiata", "Adelpha radiata radiata", "Adelpha radiata myrlea", "Adelpha radiata gilletella", "Adelpha radiata romeroi", "Noturus exilis", "Adelpha radiata explicator", "Adelpha radiata aiellae", "Tajuria albiplaga", "Calamotropha duofurcata", "Nervilia concolor", "Hoplocharax goethei", "Pachycara karenae", "Anastrus virens virens", "Anastrus virens albopannus", "Caleana major", "Tosta capra", "Tosta tosta", "Tosta taurus", "Tosta niger", "Tosta platypterus", "Tosta sapasoa", "Drakaea elastica", "Drakaea andrewsiae", "Drakaea concolor", "Drakaea confluens", "Drakaea gracilis", "Drakaea isolata", "Drakaea micrantha", "Drakaea glyptodon", "Drakaea livida", "Drakaea thynniphila", "Birthana taiwana", "Choranthus maria", "Nefundella munroei", "Nefundella dentata", "Nefundella xalapensis", "Abyssobela atoxica", "Paphiopedilum vejvarutianum", "Synodontis ricardoae", "Paphiopedilum venustum", "Synodontis robbianus", "Blastobasis marmorosella", "Carpobrotus glaucescens", "Quintinia acutifolia", "Quintinia elliptica", "Malus baoshanensis", "Malus brevipes", "Malus crescimannoi", "Malus maerkangensis", "Malus muliensis", "Malus orthocarpa", "Malus \u00d7 asiatica", "Malus zhaojiaoensis", "Lotus tenuis", "Lotus hispidus", "Onymacris brainei", "Orobothriurus paessleri", "Orobothriurus parvus", "Paphiopedilum \u00d7 burbidgei", "Paphiopedilum \u00d7 cribbii", "Paphiopedilum \u00d7 cribbii nothovar. yunnanicum", "Paphiopedilum \u00d7 dalatense", "Euthalia bellula", "Paphiopedilum \u00d7 dixlerianum", "Paphiopedilum \u00d7 expansum", "Paphiopedilum \u00d7 fanaticum", "Paphiopedilum \u00d7 frankeanum", "Paphiopedilum \u00d7 glanzii", "Paphiopedilum \u00d7 grussianum", "Paphiopedilum wenshanense", "Paphiopedilum wentworthianum", "Paphiopedilum wilhelminae", "Melanostoma wollastoni", "Melanostoma tiantaiensis", "Melanostoma subbituberculatum", "Melanostoma perinetense", "Melanostoma ochraceum", "Melanostoma matilei", "Melanostoma keiseri", "Melanostoma incurvum", "Melanostoma clausseni", "Melanostoma tschernovi", "Macrobrachium hungi", "Melanostoma babyssa", "Melanostoma bicruciatum", "Melanostoma apicale", "Melanostoma univittatum", "Diplazon generosus", "Diplazon varipes", "Coccus multisetus", "Asplenium obovatum", "Asplenium obovatum subsp. billotii", "Asplenium obovatum subsp. obovatum", "Asplenium obovatum subsp. protobillotii", "Melanostoma orientale", "Ussuriana michaelis kham", "Ravenna nivea miyagawai", "Lecanora carlottiana", "Shirozuozephyrus alienus", "Anzia rhabdorhiza", "Athene cunicularia cunicularia", "Athene cunicularia grallaria", "Athene cunicularia brachyptera", "Athene cunicularia floridana", "Stictis palniense", "Paphiopedilum \u00d7 huangrongshuanum", "Paphiopedilum \u00d7 kimballianum", "Paphiopedilum \u00d7 littleanum", "Paphiopedilum \u00d7 lushuiense", "Trithuria inconspicua", "Paphiopedilum \u00d7 nitens", "Paphiopedilum \u00d7 mattesii", "Paphiopedilum \u00d7 pereirae", "Argynnis paphia paphia", "Convolvulus phrygius", "Pholis gunnellus", "Convolvulus pulvinatus", "Convolvulus compactus", "Convolvulus assyricus", "Convolvulus libanoticus", "Zoarces viviparus", "Convolvulus cataonicus", "Convolvulus carduchorum", "Convolvulus pentapetaloides", "Convolvulus coelesyriacus", "Convolvulus stachydifolius", "Cepola macrophthalma", "Gymnopilus aeruginosus", "Gobiesox nudus", "Gymnopilus lepidotus", "Gymnopilus luteofolius", "Gymnopilus penetrans", "Gymnopilus sapineus", "Paphiopedilum \u00d7 herrmannii", "Aemene micromesozonata", "Aemene clarimaculata", "Aemene pseudonigra", "Aemene amnaea", "Aemene punctigera", "Aemene mesozonata", "Aemene punctatissima", "Aemene maculifascia", "Orobothriurus curvidigitus", "Orobothriurus famatina", "Orobothriurus huascaran", "Paphiopedilum \u00d7 aspersum", "Paphiopedilum villosum", "Paphiopedilum villosum var. villosum", "Inostemma szelenyii", "Paphiopedilum villosum var. annamense", "Paphiopedilum villosum var. boxallii", "Paphiopedilum villosum var. densissimum", "Inostemma productum", "Paphiopedilum violascens", "Scolecenchelys australis", "Scolecenchelys breviceps", "Scolecenchelys castlei", "Quassiremus polyclitellum", "Mordellistena fuscocastanea", "Mordellistena koelleri", "Adelpha iphiclus", "Adelpha iphiclus iphiclus", "Adelpha iphiclus ephesa", "Adelpha iphiclus estrecha", "Adelpha iphicleola", "Adelpha iphicleola iphicleola", "Adelpha iphicleola gortyna", "Adelpha iphicleola leucates", "Adelpha iphicleola iphimedia", "Adelpha iphicleola thessalita", "Adelpha serpa", "Adelpha serpa serpa", "Adelpha serpa celerio", "Adelpha serpa duiliae", "Adelpha serpa diadochus", "Adelpha hyas", "Adelpha hyas hyas", "Adelpha hyas viracocha", "Adelpha hyas hewitsoni", "Chrysina ofidiodontophallica", "Chrysina hawksi", "Chrysina ericsmithi", "Myrmarachne bicurvata", "Chrysina beckeri", "Chrysina erubescens", "Chrysina gloriosa", "Chrysina beyeri", "Chrysina woodi", "Chrysina flohri", "Chrysina lecontei", "Chrysina brevis", "Chrysina adelaida", "Cylistella coccinelloides", "Melanostoma fasciatum", "Cylistella castanea", "Ceratotherium neumayri", "Cleora bukidnonensis", "Cleora cadioui", "Cleora taschnerorum", "Cleora tanimbaris", "Cleora lombokensis", "Melanostoma mellinum", "Melanostoma scalare", "Stilobezzia enigma", "Chauliognathus lugubris", "Namanereis quadraticeps", "Rumikiru atacama", "Rumikiru lourencoi", "Orobothriurus grismadoi", "Orobothriurus alticola", "Orobothriurus ampay", "Orobothriurus atiquipa", "Orobothriurus calchaqui", "Orobothriurus compagnuccii", "Porcellio dilatatus", "Maiestas truncata", "Ciliata mustela", "Gaidropsarus mediterraneus", "Neptis pryeri sioulinensis", "Gymnopilus junonius", "Clinus superciliosus", "Euthalia saitaphernes", "Euthalia saitaphernes saitaphernes", "Euthalia saitaphernes tamamitsui", "Blennius mustelarius", "Blennius lumpenus", "Euthalia saitaphernes mindanaensis", "Euthalia yao", "Convolvulus aucheri", "Convolvulus calvertii", "Argynnis paphia", "Convolvulus oleifolius", "Ctenosaura oedirhina", "Neolaemosaccus narinus", "Orobothriurus quewerukana", "Orobothriurus ramirezi", "Orobothriurus tamarugal", "Orobothriurus wawita", "Bothriurus araguayae", "Bothriurus asper", "Bothriurus bertae", "Acrocercops alysidota", "Bothriurus bonariensis", "Convolvulus pseudoscammonia", "Bothriurus buecherli", "Convolvulus cassius", "Convolvulus germaniciae", "Convolvulus galaticus", "Convolvulus angustissimus", "Convolvulus farinosus", "Convolvulus fatmensis", "Convolvulus holosericeus", "Ixodes stromi", "Cressa cretica", "Euthalia dubernardi", "Euthalia dubernardi dubernardi", "Euthalia dubernardi tonegawai", "Tajuria cyrillus", "Tajuria cyrillus cyrillus", "Tajuria cyrillus roberti", "Tajuria megistia", "Tajuria megistia megistia", "Tajuria megistia thria", "Tajuria iapyx", "Tajuria iapyx iapyx", "Faunis bicoloratus", "Faunis bicoloratus bicoloratus", "Faunis bicoloratus obscurus", "Bulbophyllum nutans var. nutans", "Adelpha alala", "Adelpha alala alala", "Adelpha alala negra", "Adelpha alala completa", "Adelpha alala titia", "Asplenium \u00d7 trudellii", "Schisandra sphenanthera", "Paphiopedilum \u00d7 wuliangshanicum", "Paphiopedilum \u00d7 yingjiangense", "Galearis rotundifolia", "Haematopinus tuberculatus", "Malaxis monophyllos", "Malaxis monophyllos var. monophyllos", "Malaxis monophyllos var. brachypoda", "Malaxis monophyllos var. obtusa", "Venus verdensis", "Lactuca muralis", "Magnolia virginiana subsp. oviedoae", "Venus albina", "Magnolia virginiana subsp. virginiana", "Argyrophenga harrisi", "Remora remora", "Anthocharis sara sara", "Pieris naganum naganum", "Paphiopedilum \u00d7 petchleungianum", "Paphiopedilum \u00d7 powellii", "Hydrocotyle tripartita", "Hydrocotyle muscosa", "Cupiennius salei", "Bairdoppilata martyni", "Bairdoppilata viticula", "Botanophila jacobaeae", "Ixodes hoogstraali", "Calamotropha abrupta", "Calamotropha aequilata", "Calamotropha unispinea", "Calamotropha formosella", "Calamotropha josettae", "Calamotropha melli", "Calamotropha latella", "Calamotropha anticella", "Calamotropha aureliella", "Calamotropha baibarella", "Calamotropha brevilinella", "Calamotropha brevistrigella", "Calamotropha caesella", "Calamotropha doii", "Calamotropha franki", "Calamotropha fulvifusalis", "Calamotropha nigripunctella", "Calamotropha obliterans", "Calamotropha okanoi", "Calamotropha paludella", "Calamotropha shichito", "Calamotropha sienkiewiczi", "Calamotropha subterminella", "Polyporus brumalis", "Polyporus leptocephalus", "Ouleus accedens", "Ouleus accedens accedens", "Ouleus accedens noctis", "Ouleus accedens finda", "Aglais urticae", "Ouleus calavius", "Ouleus cyrna", "Ouleus fatinitza", "Ouleus fridericus hilarina", "Ouleus fridericus sinepunctis", "Ouleus fridericus panna", "Ouleus fridericus riona", "Ouleus fridericus salvina", "Ouleus narycus", "Ouleus dilla", "Ouleus dilla dilla", "Ouleus dilla baru", "Virga paraiba", "Pamba boyaca", "Papias trimacula", "Vettius chagres", "Damas immacula", "Thespieus inez", "Cerastis cornuta", "Erynnis brizo", "Erynnis brizo brizo", "Erynnis brizo somnus", "Polyporus umbellatus", "Elkalyce cogina", "Polyporus alveolaris", "Polyporus arcularius", "Polyporus ciliatus", "Polyporus tuberaster", "Paphiopedilum \u00d7 pradhanii", "Paphiopedilum \u00d7 sanjiangianum", "Paphiopedilum \u00d7 shipwayae", "Paphiopedilum \u00d7 siamense", "Oiera argentinana", "Oliera argentinana", "Alburnoides bipunctatus", "Paphiopedilum \u00d7 sinovillosum", "Alburnoides ohridanus", "Dicranoses capsulifex", "Alburnoides eichwaldii", "Alburnoides taeniatus", "Alburnoides fasciatus", "Adelpha corcyra", "Alburnoides oblongus", "Alburnoides prespensis", "Adelpha corcyra corcyra", "Adelpha corcyra aretina", "Adelpha corcyra collina", "Paphiopedilum \u00d7 undulatum", "Adelpha corcyra dognini", "Paphiopedilum \u00d7 crossianum", "Adelpha corcyra salazari", "Adelpha aricia", "Paphiopedilum \u00d7 vietenryanum", "Adelpha aricia aricia", "Adelpha aricia serenita", "Adelpha aricia portunus", "Mesopolia inconspicua", "Metacharistis zonophanes", "Metasticha centrodoxa", "Lactarius corrugis", "Cherleria biflora", "Fallopia dumetorum", "Xerophyta pinifolia", "Wolffiella welwitschii", "Viridibacillus arvi", "Viridibacillus arenosi", "Viridibacillus neidei", "Toshitamia komatsui", "Somera viridifusca", "Somera virens", "Somera virens virens", "Somera virens watsoni", "Melitaea alraschid irinae", "Melitaea alraschid garun", "Prunus bracteopadus", "Prunus guanaiensis", "Prunus pygeoides", "Prunus dictyoneura", "Zegris meridionalis", "Zegris meridionalis meridionalis", "Zegris meridionalis marocana", "Adenochilus nortonii", "Epirrhoe fulminata", "Epirrhoe dubiosata", "Epirrhoe tristata", "Bulbophyllum nutans", "Bulbophyllum nutans var. variifolium", "Dossinia marmorata", "Trioza tristaniae", "Sisyrinchium sect.", "Sisyrinchium chilense", "Potentilla crinita", "Potentilla dombeyi", "Potentilla hippiana", "Potentilla hypartica", "Potentilla imerethica", "Potentilla nana", "Potentilla tucumanensis", "Sphaeroma serratum", "Lactarius volemus", "Endrosis sarcitrella", "Acrocercops lysibathra", "Acrocercops laciniella", "Philophlaeus luculentus", "Pseudowintera axillaris", "Pseudowintera colorata", "Pseudowintera insperata", "Pseudowintera traversii", "Megalophanes hyalina", "Megalophanes lactescens", "Megalophanes luteipalpis", "Megalophanes nigrimanus", "Megalophanes stetinensis", "Megalophanes stetinensis stetinensis", "Megalophanes stetinensis viadrina", "Megalophanes takahashii", "Megalophanes turatii", "Megalophanes viciella", "Megalophanes viciella viciella", "Megalophanes viciella detrita", "Megalophanes viciella orientalis", "Platypelis olgae", "Crocus gargaricus", "Saponaria kotschyi", "Cousinia iconica", "Pediculus oudemansi", "Mahasena andamana", "Mahasena corbetti", "Mahasena graminivora", "Mahasena hockingi", "Mahasena kotoensis", "Mahasena oolona", "Mahasena poliotricha", "Mahasena taprobana", "Mahasena theivora", "Malgassopsyche viettei", "Mallobathra abyssina", "Mallobathra angusta", "Mallobathra aphrosticha", "Mallobathra cana", "Mallobathra cellulata", "Mallobathra crataea", "Mallobathra fenwicki", "Mallobathra homalopa", "Mallobathra lapidosa", "Mallobathra memotuina", "Mallobathra metrosema", "Mallobathra obscura", "Mallobathra oriana", "Mallobathra perisseuta", "Mallobathra petrodoxa", "Androsace caduca", "Mallobathra scoriota", "Mallobathra sphyrota", "Mallobathra strigulata", "Mallobathra subalpina", "Mallobathra tonnoiri", "Mallobathra zophaula", "Manatha albipes", "Manatha assamica", "Manatha scotopepla", "Mecynopla majoropsis", "Rhyzobius nubilus", "Anoectochilus regalis", "Anoectochilus setaceus", "Cigaritis cilissa", "Aethaloessa calidalis", "Junonia lemonias", "Cytherelloidea paraweberi", "Encheloclarias medialis", "Congolapia louna", "Cytherella suprajurassica", "Peristoreus dilucidus", "Prunus carduchorum", "Prunus cercocarpifolia", "Prunus elaeagrifolia", "Prunus eremophila", "Prunus erioclada", "Prunus korshinskyi", "Prunus kotschyi", "Prunus \u00d7 vavilovii", "Prunus \u00d7 knudsonii", "Prunus ramburii", "Prunus ussuriensis", "Prunus campanulata", "Prunus pojarkovii", "Prunus tatsienensis", "Prunus \u00d7 furuseana", "Prunus \u00d7 incam", "Prunus \u00d7 tschonoskii", "Dyspanopeus sayi", "Beilschmiedia tawaroa", "Pittosporum x obcordatum", "Rimula blainvillei", "Rimula mazatlanica", "Rimula mexicana", "Argynnis paphia angustia", "Melitaea alraschid", "Melitaea alraschid alraschid", "Eria javanica", "Dictyosoma tongyeongensis", "Trillium gracile", "Trillium undulatum", "Trillium kamtschaticum", "Trillium texanum", "Acizzia jamatonica", "Ornithogalum arabicum", "Ornithogalum broteroi", "Ornithogalum collinum", "Ornithogalum comosum", "Ornithogalum conicum", "Crepidium rheedei", "Dienia ophrydis", "Rhyzobius thoracicus", "Rhyzobius bassus", "Rhyzobius consors", "Rhyzobius tristis", "Rhyzobius minutulus", "Rhyzobius suffusus", "Rhyzobius oculatissimus", "Rhyzobius eximius", "Rhyzobius nigritulus", "Rhyzobius pallidiceps", "Rhyzobius prolongatus", "Rhyzobius sedatus", "Rhyzobius terrenus", "Rhyzobius villosus", "Anomaloglossus astralogaster", "Anomaloglossus isthminus", "Melanophryniscus setiba", "Piper excelsum", "Piper melchior", "Peperomia tetraphylla", "Peperomia urvilleana", "Melanophryniscus vilavelhensis", "Cophixalus albolineatus", "Cophixalus amabilis", "Cophixalus clapporum", "Cophixalus nexpius", "Cophixalus pictus", "Ichthyophis lakimi", "Trichonotus somaliensis", "Trichonotus cyclograptus", "Argyranthemum frutescens subsp. canariae", "Argyranthemum frutescens subsp. foeniculaceum", "Argyranthemum frutescens subsp. gracilescens", "Argyranthemum frutescens subsp. pumilum", "Porpax reticulata", "Halpe annamensis", "Ovoo gurvel", "Bairdemys hartsteini", "Bairdemys venezuelensis", "Tongeia burte", "Cupido minimus ihagvajavi", "Karanasa abramovi", "Catasetum macroglossum", "Catasetum macrocarpum", "Danio flagrans", "Agonus cataphractus", "Triglopsis quadricornis", "Haemanthus \u00d7 clarkei", "Haemanthus albiflos", "Sararanga philippinensis", "Freycinetia arborea", "Freycinetia cumingiana", "Euparagia boregoensis", "Euparagia desertorum", "Euparagia maculiceps", "Euparagia platiniceps", "Euparagia richardsi", "Euparagia scutellaris", "Euparagia siccata", "Euparagia timberlakei", "Euparagia unidentata", "Euparagia yuma", "Barbus devosi", "Gobius eleotris", "Gobius aphya", "Boleophthalmus pectinirostris", "Ornithogalum dubium", "Ornithogalum exscapum", "Ornithogalum flexuosum", "Ornithogalum graminifolium", "Ornithogalum gussonei", "Ornithogalum maculatum", "Ornithogalum nutans", "Ornithogalum saundersiae", "Ornithogalum thyrsoides", "Ornithogalum umbellatum", "Ornithogalum viridiflorum", "Ripogonum scandens", "Conobea scoparioides", "Lagotis kunawurensis", "Stenogrammitis brevipubens", "Stenogrammitis \u00d7 guatemalensis", "Diplazium fimbriatum", "Schoenocaulon texanum", "Stenanthium densum", "Isoetes mourabaptistae", "Stenanthium occidentale", "Elaphoglossum montanum", "Veratrum dahuricum", "Veratrum grandiflorum", "Veratrum fimbriatum", "Veratrum japonicum", "Veratrum maackii", "Veratrum schindleri", "Rhyzobius bielawskii", "Rhyzobius bipunctatus", "Rhyzobius boothi", "Rhyzobius brunneus", "Rhyzobius calderi", "Rhyzobius dryandra", "Rhyzobius gingera", "Rhyzobius gonzalezi", "Rhyzobius gordoni", "Rhyzobius greeni", "Rhyzobius hongae", "Rhyzobius indicus", "Rhyzobius iracildae", "Rhyzobius jaya", "Rhyzobius josephi", "Rhyzobius leai", "Rhyzobius leucochaetus", "Rhyzobius lineellus", "Rhyzobius luciae", "Rhyzobius macromaculatus", "Rhyzobius metallicus", "Rhyzobius micrus", "Rhyzobius nataliae", "Rhyzobius newtonorum", "Rhyzobius papuensis", "Rhyzobius pelion", "Rhyzobius poorani", "Rhyzobius popei", "Rhyzobius pseudopulcher", "Rhyzobius quadrimaculatus", "Rhyzobius reidi", "Rhyzobius riedeli", "Rhyzobius rodmani", "Rhyzobius similis", "Rhyzobius slipinskii", "Rhyzobius sumatrensis", "Rhyzobius tasmanicus", "Rhyzobius tribulation", "Parsonsia capsularis", "Rhyzobius subaustralis", "Epalxiphora axenana", "Poecilotheria metallica", "Poecilotheria subfusca", "Dipodium atropurpureum", "Dipodium bicallosum", "Dipodium brevilabium", "Dipodium campanulatum", "Dipodium conduplicatum", "Dipodium elatum", "Dipodium elegans", "Musa sect.", "Heteranthera dubia", "Heteranthera reniformis", "Dipodium elegantulum", "Dipodium ensifolium", "Dipodium fevrellii", "Dipodium fragrans", "Dipodium freycinetioides", "Dipodium gracile", "Rhyzobius unicolor", "Rhyzobius victoriensis", "Rhyzobius violaceus", "Rhyzobius wanati", "Rhyzobius weiri", "Paris japonica", "Paris verticillata", "Rhyzobius pulchellus", "Rhyzobius alphabeticus", "Rhyzobius apicalis", "Rhyzobius approximatus", "Rhyzobius aurantii", "Rhyzobius bilineatus", "Rhyzobius brevicornis", "Rhyzobius breweri", "Rhyzobius caecus", "Rhyzobius discipennis", "Rhyzobius discoidalis", "Rhyzobius dorsalis", "Rhyzobius eminens", "Rhyzobius fasciculatus", "Rhyzobius fugax", "Rhyzobius gosfordensis", "Rhyzobius insipidus", "Rhyzobius laeticulus", "Rhyzobius nigrovarius", "Rhyzobius nitidus", "Rhyzobius pulcher", "Rhyzobius secessus", "Rhyzobius speculifer", "Rhyzobius subhirtellus", "Rhyzobius umbratus", "Rhyzobius amabilis", "Rhyzobius angolensis", "Rhyzobius apicesignatus", "Rhyzobius bicolor", "Rhyzobius bipartitus", "Rhyzobius burmeisteri", "Rhyzobius c-pallidum", "Rhyzobius cyaneus", "Rhyzobius decoratus", "Rhyzobius decussatolobatus", "Rhyzobius densepunctatus", "Rhyzobius ephippiatus", "Rhyzobius evansii", "Rhyzobius filicis", "Rhyzobius gratus", "Rhyzobius hirtellus", "Rhyzobius javeti", "Rhyzobius klapperichi", "Rhyzobius pictus", "Rhyzobius virgatus", "Rhyzobius viridipennis", "Rhyzobius waterhousei", "Rhyzobius xanthurus", "Rhyzobius quadrifenestratus", "Rhyzobius lophanthae", "Rhyzobius nigripennis", "Rhyzobius stillatus", "Rhyzobius nigromarginatus", "Rhyzobius noctuabundus", "Rhyzobius occidentalis", "Freycinetia multiflora", "Pandanus brosimos", "Pandanus conoideus", "Pandanus julianettii", "Pandanus kaida", "Pandanus pacificus", "Argyroploce chlorosaris", "Plastanoxus bellulus", "Plastanoxus chittendenii", "Plastanoxus evansi", "Plastanoxus fukuokensis", "Plastanoxus incompletus", "Plastanoxus konishii", "Plastanoxus laevis", "Plastanoxus munroi", "Plastanoxus musashiensis", "Plastanoxus thailandensis", "Plastanoxus westwoodi", "Saichangurvel davidsoni", "Acheilognathus koreensis", "Acheilognathus somjinensis", "Placobdella ali", "Schistura mobbsi", "Pterocryptis crenula", "Schistura fasciolata", "Capila pieridoides pieridoides", "Capila pieridoides chinensis", "Capila pieridoides sofa", "Capila pieridoides pingpiensis", "Karanasa straminea", "Karanasa incerta", "Karanasa abramovi abramovi", "Karanasa abramovi naryna", "Karanasa abramovi regula", "Karanasa abramovi striata", "Karanasa pamira", "Karanasa pamira pamira", "Karanasa pamira ornata", "Karanasa pamira hohlbecki", "Karanasa pamira kotandari", "Karanasa pamira disjuncta", "Karanasa alpherakyi", "Karanasa alpherakyi alpherakyi", "Karanasa alpherakyi kafir", "Karanasa alpherakyi twomeyi", "Karanasa alpherakyi titan", "Karanasa alpherakyi transitoria", "Pseudochazara nukatli", "Oeneis temujin", "Hyponephele dzhungarica", "Hyponephele interposita mimonovi", "Hyponephele interposita depressa", "Hyponephele argyrostigma", "Hyponephele laeta", "Hyponephele laeta laeta", "Hyponephele laeta ochracea", "Hyponephele laeta turkestana", "Hyponephele hilaris", "Hyponephele hilaris hilaris", "Hyponephele hilaris bori", "Hyponephele hilaris pallida", "Hyponephele hilaris tsvetajevi", "Providencia alcalifaciens", "Hapalogenys sennin", "Picramnia nitida", "Picramnia pentandra", "Riccia bifurca", "Ancoraphylus mariala", "Ancoraphylus carolus", "Riccia canaliculata", "Riccia cavernosa", "Ancoraphylus auski", "Ancoraphylus arctous", "Barkeria archilarum", "Barkeria barkeriola", "Barkeria dorotheae", "Barkeria fritz-halbingeriana", "Barkeria lindleyana subsp. lindleyana", "Barkeria lindleyana", "Barkeria lindleyana subsp. vanneriana", "Barkeria melanocaulon", "Barkeria naevosa", "Moneses uniflora", "Barkeria obovata", "Pyrola chlorantha", "Barkeria palmeri", "Barkeria scandens", "Barkeria shoemakeri", "Barkeria skinneri", "Barkeria spectabilis", "Barkeria strophinx", "Barkeria whartoniana", "Zegris fausti lucullus", "Pontia callidice hazara", "Melitaea shandura", "Melitaea shandura shandura", "Melitaea shandura pavlitzkajana", "Melitaea shandura apsara", "Melitaea kuchi", "Dipodium hamiltonianum", "Dipodium paludosum", "Dipodium pardalinum", "Dipodium parviflorum", "Dipodium pictum", "Heteromycteris japonica", "Dipodium pulchellum", "Dipodium purpureum", "Dipodium roseum", "Dipodium pandanum", "Dipodium scandens", "Dipodium punctatum", "Dipodium squamatum", "Dipodium stenocheilum", "Salmo chilo", "Dipodium variegatum", "Salmo labecula", "Salmo opimus", "Ematheudes nigropunctata", "Sericostola rhodanopa", "Sericostola semibrunnea", "Entheus aureanota", "Entheus gentius", "Entheus bombus", "Entheus aureolus", "Echinops sect.", "Echinops melitenensis", "Echinops phaeocephalus", "Echinops orientalis", "Echinops ritrodes", "Echinops gaillardotii", "Centrolophus niger", "Echinops adenocaulos", "Lonchogenys ilisha", "Echinops tenuisectus", "Echinops chardinii", "Echinops antalyensis", "Echinops borae", "Curtonotum electrodominicum", "Depressonotum priscum", "Asymblepharus alaicus", "Anemia underwoodiana", "Isolona campanulata", "Polyalthia longifolia", "Polyalthia suberosa", "Uvaria calamistrata", "Uvaria chamae", "Uvaria grandiflora", "Uvaria ovata", "Uvaria rufa", "Acrocercops leucocyma", "Acrocercops panacicorticis", "Acrocercops zorionella", "Acrocercops panacivermiforma", "Acrocercops panacivagans", "Acrocercops panacifinens", "Acrocercops panacitorsens", "Pyroderces apparitella", "Monochirus trichodactylus", "Achirus lineatus", "Microchirus ocellatus", "Bothus lunatus", "Glyptocephalus cynoglossus", "Cyana interrogationis", "Cyana distincta", "Eugoa grisea", "Hemipsilia grahami", "Epipogium aphyllum", "Epipogium japonicum", "Epipogium roseum", "Cyathula achyranthoides", "Cyathula capitata", "Cyathula officinalis", "Cyathula prostrata", "Anacampseros albissima", "Anacampseros alstonii", "Anacampseros australiana", "Anacampseros dinteri", "Anacampseros herreana", "Anacampseros kasasmontana", "Anacampseros kurtzii", "Anacampseros mallei", "Anacampseros papyracea", "Anacampseros pisina", "Anacampseros quinaria", "Anacampseros recurvata", "Anacampseros rhodesica", "Anacampseros ruschii", "Anacampseros ustulata", "Anacampseros variabilis", "Anarthria scabra", "Isotoma fluviatilis", "Lobelia glaberrima", "Lobelia ionantha", "Lobelia carens", "Lobelia fatiscens", "Lobelia fugax", "Lobelia purpurascens", "Schistura aizawlensis", "Andinoacara blombergi", "Ceriagrion coromandelianum", "Leporinus piau", "Michotamia aurata", "Heliconia angusta", "Gentianella aurea", "Gentianella amarella", "Gentianella uliginosa", "Myoxocephalus scorpius", "Parambassis waikhomi", "Achirus achirus", "Rhyzobius trimeni", "Rhyzobius colon", "Crinum gracile", "Prunella laciniata", "Parentia restricta", "Parentia dichaeta", "Anemia adiantifolia", "Anemia coriacea", "Anemia cuneata", "Anemia mexicana", "Anemia phyllitidis", "Dienia carinata", "Dienia cylindrostachya", "Dienia truncicola", "Dienia volkensii", "Rhizomnium tuomikoskii", "Stachyops sebparri", "Orestias foliosa", "Orestias micrantha", "Orestias stelidostachya", "Cryptachaea extrilida", "Eviota jewettae", "Eviota pinocchioi", "Pyroderces aellotricha", "Pyroderces anarithma", "Pyroderces deamatella", "Cleora rostrata", "Citharus lingulata", "Cleora olivomaculata", "Megaceramis clara", "Megaceramis clara clara", "Megaceramis clara lata", "Megaceramis opaca", "Osakia lineolella", "Hypsotropa solipunctella", "Raphimetopus ablutellus", "Emmalocera leucotaeniella", "Coccidophilus arrowi", "Postia stiptica", "Postia fragilis", "Postia tephroleuca", "Postia ptychogaster", "Coccidophilus citricola", "Postia caesia", "Postia pelliculosa", "Syacium papillosum", "Sergia lucens", "Monodactylus argenteus", "Heniochus acuminatus", "Platax pinnatus", "Drepane punctata", "Pseudopanolis yazakii", "Peratophyga subtrigonata", "Peratophyga pseudotrigonata", "Leioproctus morsus", "Euryglottis guttiventris", "Euryglottis dognini", "Icelita cirrholepida", "Icelita antecellana", "Leporella fimbriata", "Pinalia spicata", "Mobilabium hamatum", "Leptoceras menziesii", "Pancratium longiflorum", "Pancratium triflorum", "Pancratium trianthum", "Pancratium maximum", "Caloplaca borreri", "Deramas cham", "Deudorix refulgens", "Maliattha bethunebakeri", "Athetis bicornutoides", "Equetus lanceolatus", "Callenya lenya halimuna", "Kretzoiarctos beatrix", "Blastobasis tarda", "Exocarpocoris aurum", "Exocarpocoris praegracilis", "Exocarpocoris tantulus", "Leptidolon australianus", "Leptidolon bulita", "Leptidolon furcilla", "Leptidolon galbanus", "Leptidolon kojonup", "Leptidolon kuringgai", "Lobobunaea goodii", "Lobobunaea goodii goodii", "Lobobunaea goodii bousqueti", "Lobobunaea acuta", "Lobobunaea equatoriensis", "Lobobunaea melichari", "Lobobunaea doogii", "Lobobunaea erythrotes", "Lobobunaea ansorgei", "Lobobunaea dallastei", "Lobobunaea dargei", "Lobobunaea turlini", "Epipactis helleborine subsp. helleborine", "Hydrocleys nymphoides", "Sagittaria montevidensis", "Sagittaria platyphylla", "Sagittaria subulata", "Bupleurum candollii", "Bupleurum chinense", "Bupleurum croceum", "Bupleurum exaltatum", "Bupleurum lancifolium", "Bupleurum multinerve", "Bupleurum scorzonerifolium", "Bupleurum sibiricum", "Bupleurum bicaule", "Rhyzobius submetallicus", "Hydrocotyle moschata", "Erodium botrys", "Erodium malacoides", "Erodium trifolium", "Entheus latebrosus", "Entheus curvus", "Eracon asymmetrica", "Cornuphallus problematica", "Cornuphallus albifascia", "Doronicum wendelboi", "Doronicum turkestanicum", "Doronicum schischkinii", "Antirrhea pterocopha", "Antirrhea pterocopha pterocopha", "Doronicum conaense", "Antirrhea pterocopha chocoensis", "Doronicum calotum", "Caloplaca septella", "Caloplaca spodoplaca", "Pratapa tyotaroi mindorensis", "Caloplaca subaurantiaca", "Caloplaca tabidella", "Bullis stigmata stigmata", "Bullis stigmata sylvicola", "Pratapa icetas mishmia", "Caloplaca aurantiaca f. rupicola", "Caloplaca aurantiaca f. stenophyllodes", "Caloplaca diplacia var. diplacia", "Caloplaca diplacia var. carneofusca", "Crinum malabaricum", "Lobobunaea phaedusa", "Lobobunaea jamesoni", "Lobobunaea aethiops", "Lobobunaea melanoneura", "Lobobunaea niepelti", "Maltagorea fuscicolor", "Maltagorea griveaudi", "Adelphophylus pericarti", "Caladenia major", "Arhopala atosia amorosa", "Deudorix subguttata sasakii", "Arhopala hellenore sanherib", "Caloplaca ferruginea var. bungoensis", "Caladenia minor", "Caladenia minorata", "Zegris eupheme", "Zegris eupheme eupheme", "Zegris eupheme erothoe", "Zegris eupheme menestho", "Zegris eupheme harandi", "Zegris eupheme sulphurea", "Zegris eupheme larseni", "Zegris eupheme uarda", "Zegris fausti fausti", "Zegris pyrothoe", "Amphylaeus flavicans", "Amphylaeus morosus", "Amphylaeus nubilosellus", "Amphylaeus obscuriceps", "Neivamyrmex bruchi", "Neivamyrmex californicus", "Neivamyrmex carettei", "Neivamyrmex carinifrons", "Neivamyrmex carolinensis", "Neivamyrmex chamelensis", "Neivamyrmex clavifemur", "Neivamyrmex cloosae", "Chrysocolaptes guttacristatus", "Chrysocolaptes guttacristatus guttacristatus", "Chrysocolaptes haematribon haematribon", "Chrysocolaptes strictus", "Nesoctites micromegas micromegas", "Maorina bimacula", "Anisotome filifolia", "Neivamyrmex compressinodis", "Neivamyrmex cornutus", "Neivamyrmex crassiscapus", "Neivamyrmex cratensis", "Neivamyrmex cristatus", "Neivamyrmex curvinotus", "Neivamyrmex densepunctatus", "Neivamyrmex detectus", "Neivamyrmex diabolus", "Euphaedra annae", "Euphaedra inanis", "Euphaedra sankuruensis", "Calanthe speciosa", "Phaius tankervilleae", "Phaius grandiflorus", "Agrilus angelinii", "Clinus exasperatus", "Lepidogyne longifolia", "Lobelia pedunculata", "Poecilohetaerus punctatifacies", "Tajuria albiplaga albiplaga", "Tajuria albiplaga alixae", "Tajuria albiplaga tura", "Tajuria berenis", "Amblyomma oblongoguttatum", "Vrydagzynea albida", "Draba alshehbazii", "Tajuria berenis berenis", "Gilbertolus alatus", "Tajuria berenis larutensis", "Tajuria caerulea", "Neivamyrmex adnepos", "Neivamyrmex agilis", "Neivamyrmex albacorpus", "Neivamyrmex alfaroi", "Neivamyrmex andrei", "Neivamyrmex angulimandibulatus", "Brachynotus gemmellari", "Neivamyrmex angustinodis", "Neivamyrmex antillanus", "Neivamyrmex asper", "Neivamyrmex balzani", "Neivamyrmex baylori", "Neivamyrmex bohlsi", "Candona fluviatilis", "Sillago sihama", "Prays galapagosella", "Gnathopogon elongatus elongatus", "Atteva hysginiella", "Gnathopogon elongatus suwae", "Gnathopogon caerulescens", "Automerella miersi", "Euxoamorpha ceciliae", "Euryglottis chrysus", "Euryglottis subtessellata", "Euryglottis neglecta", "Euryglottis oliver", "Euryglottis johannes", "Euryglottis aper", "Spathiphyllum montanum", "Heroina isonycterina", "Leptidolon manilla", "Leptidolon mina", "Leptidolon tridens", "Pseudosthenarus albipes", "Pseudosthenarus alboantennatus", "Pseudosthenarus albocuneatus", "Pseudosthenarus anapophysis", "Pseudosthenarus aquilonius", "Pseudosthenarus brendae", "Pseudosthenarus meridionalis", "Carinotetraodon imitator", "Psilorhynchus pseudecheneis", "Psilorhynchus homaloptera homaloptera", "Psilorhynchus homaloptera", "Pratapa tyotaroi cadohaana", "Euhapigiodes hallwachsae", "Caladenia saccharata", "Caloplaca atricolor", "Caloplaca caesiorufa", "Caloplaca commutans", "Caloplaca dyseimata", "Hapigiodes sigifredomarini", "Caloplaca fumosa", "Hapigiodes misericordia", "Hapigiodes xolotl", "Caloplaca gilvofumosa", "Caloplaca kobeana", "Caloplaca leptopisma", "Caloplaca leucerythrella", "Caloplaca micromera", "Ithutomus formosus", "Ithutomus valdivianus", "Caloplaca phacodes", "Caloplaca phaeocarpodes", "Caloplaca placidia", "Caloplaca pyropoecila", "Caloplaca rubeola", "Clinus musaicus", "Clinus ornatus", "Clinus arborescens", "Clinus spatulatus", "Caloplaca elaeophora", "Caloplaca subochracea", "Caloplaca tenuatula", "Tajuria cippus", "Tajuria cippus bagus", "Ophrys omegaifera", "Ophrys lycia", "Ophrys ferrum-equinum", "Ophrys cilicica", "Ophrys bombyliflora", "Melanorivulus ubirajarai", "Melanorivulus kunzei", "Trichomycterus pirabitira", "Caloplaca tenuatula subsp. tenuatula", "Pachystoma pubescens", "Icelita tatarana", "Icelita tatarana tatarana", "Icelita tatarana coppelia", "Gypsonoma adjuncta", "Gypsonoma aechnemorpha", "Gypsonoma amseli", "Pachystoma nutans", "Papillilabium beckleri", "Peristeranthus hillii", "Euphaedra cuypersiana", "Euphaedra abri", "Euphaedra castanea", "Euphaedra desmeti", "Euphaedra discreta", "Euphaedra limbourgi", "Euphaedra moloundou", "Euphaedra sabinae", "Euphaedra sardetta", "Euphaedra wissmanni", "Euphaedra vulnerata", "Euphaedra eusemoides", "Euphaedra imitans", "Gastrodia sesamoides", "Piophila australis", "Piophila casei", "Phyllocnistis tethys", "Phyllocnistis abatiae", "Phyllocnistis acmias", "Phyllocnistis ampelopsiella", "Phyllocnistis amydropa", "Phyllocnistis argentella", "Phyllocnistis argothea", "Phyllocnistis atractias", "Phyllocnistis atranota", "Caloplaca scabrida", "Caloplaca trabicola", "Caloplaca applanata", "Caloplaca montevidensis", "Caloplaca friesii", "Caloplaca submodesta", "Caloplaca subathallina", "Caloplaca sibirica", "Caloplaca mauiensis", "Caloplaca minuta", "Caloplaca tromsoeensis", "Lathyrus woronowii", "Phyllocnistis aurilinea", "Phyllocnistis baccharidis", "Phyllocnistis bourquini", "Caloplaca tenuatula subsp. verrucarium", "Caloplaca subrubelliana", "Caloplaca fulgescens", "Caloplaca amsterdamensis", "Caloplaca itiana", "Euchloe hyantis hyantis", "Caloplaca tenuata", "Caloplaca necator", "Caloplaca anchon-phoeniceon", "Caloplaca anularis", "Caloplaca lecideina", "Caloplaca concinerascens", "Caloplaca latzelii", "Caloplaca austroatlantica", "Caloplaca felipponei", "Caloplaca skottsbergii", "Caloplaca aubertii", "Caloplaca jorgensis", "Caloplaca racovitzae", "Caloplaca schofieldii", "Caloplaca angolensis", "Caloplaca pyrithromoides", "Caloplaca mawsonii", "Caloplaca furax", "Caloplaca salina", "Caloplaca fernandeziana", "Caloplaca megalariicola", "Caloplaca negevensis", "Caloplaca nigrescens", "Caloplaca adriatica", "Caloplaca tianshanensis", "Caloplaca phaeothamnos", "Caloplaca araguana", "Caloplaca brebissonii", "Phyllocnistis canariensis", "Phyllocnistis cassiella", "Phyllocnistis chrysophthalma", "Phyllocnistis cirrhophanes", "Donda eurychlora", "Donda continentalis", "Donda sundana", "Donda sailendra", "Donda ornata", "Donda lichenoides", "Icelita papuarana", "Dictyoprays kyutekparki", "Ecliptopera convexa", "Chromodoris joshi", "Tajuria cippus pseudolonginus", "Tajuria cippus malcolmi", "Tajuria cippus theodosius", "Tajuria cippus maxentius", "Pseudovanilla montigena", "Pseudovanilla foliata", "Pseudovanilla affinis", "Pseudovanilla anomala", "Pseudovanilla gracilis", "Pseudovanilla philippinensis", "Pseudovanilla ponapensis", "Pseudovanilla ternatensis", "Griffinia subg.", "Griffinia subg.", "Caloplaca perfida", "Caloplaca kauaiensis", "Megaselia sororpusilla", "Megaselia jani", "Caloplaca oahuensis", "Caloplaca subdecadens", "Caloplaca vainioi", "Caloplaca epiphyta", "Caloplaca coaddita", "Erycina echinata", "Erycina pusilla", "Caloplaca hexaspora", "Caloplaca hakkodensis", "Caloplaca magnussonii", "Caloplaca calicioides", "Caloplaca hedinii", "Philotarsopsis greyi", "Caloplaca fragillima", "Caloplaca balatonica", "Caloplaca thuringiaca", "Aiphanes horrida", "Bactris tomentosa", "Caloplaca xerica", "Caloplaca degeneriana", "Styphnolobium conzattii", "Myrmica paradoxa", "Praecoxanthus aphyllus", "Hippeastrum \u00d7 splendens", "Rhinerrhiza divitiflora", "Caloplaca minuscula", "Tajuria cippus longinus", "Caloplaca caespitosa", "Caloplaca aetnensis", "Caloplaca bisagnonis", "Rhizanthella gardneri", "Rhizanthella omissa", "Rhizanthella slateri", "Pyrorchis forrestii", "Pyrorchis nigricans", "Caloplaca pyraceoides", "Caloplaca rubro-aurantiaca", "Bathyleberis yamadai", "Caloplaca spotornonis", "Bathyleberis californica", "Attalea oleifera", "Archontophoenix tuckeri", "Caloplaca cateileoides", "Ophrys omegaifera subsp. israelitica", "Amblyomma nodosum", "Caloplaca keissleri", "Caloplaca sarcopidoides", "Caloplaca esdraelonensis", "Caloplaca laricina", "Arenga mindorensis", "Macroasteropteron mindax", "Macroasteropteron chathamensis", "Hyphaene compressa", "Hyphaene coriacea", "Hyphaene guineensis", "Borassus flabellifer", "Latania loddigesii", "Latania lontaroides", "Latania verschaffeltii", "Tropidoderus childrenii", "Paleomelitta nigripennis", "Eomacropis glaesaria", "Gammarus sepidannus", "Gammarus zagrosensis", "Ophrys omegaifera var. basilissa", "Saccurosa calcicola", "Saccurosa calcicola calcicola", "Saccurosa calcicola clavata", "Caloplaca kiewkaensis", "Caloplaca letrouitioides", "Caloplaca trassii", "Caloplaca ussuriensis", "Caloplaca mogoltanika", "Caloplaca nuraki", "Caloplaca vorukhica", "Caloplaca pseudocitrina", "Caloplaca akbarica", "Caloplaca hensseniana", "Caloplaca bispora", "Caloplaca almbornii", "Caloplaca gyalectoides", "Caloplaca veneris", "Caloplaca egeana", "Caloplaca albopustulata", "Caloplaca etesiae", "Caloplaca gordejevii", "Caloplaca cerinoides", "Caloplaca fuscoatroides", "Caloplaca scythica", "Caloplaca circumalbata", "Caloplaca biatorinoides", "Delias frater", "Delias eichhorni", "Delias antara", "Delias gilliardi", "Delias hallstromi", "Delias leucobalia", "Delias muliensis", "Delias toxopei", "Delias toxopei toxopei", "Delias toxopei morosa", "Delias toxopei nipsan", "Delias toxopei uranoi", "Caloplaca isidiosella", "Caloplaca epimarmorata", "Dracula chimaera", "Caloplaca coccinea", "Caloplaca interna", "Caloplaca rinodinae-albae", "Caloplaca sarda", "Caloplaca festivella", "Caloptilia azaleella", "Caloplaca psoromatis", "Caloplaca austroshetlandica", "Ophrys omegaifera subsp. omegaifera", "Ophrys omegaifera subsp. dyris", "Tajuria culta", "Bathyleberis garthi", "Bathyleberis hancocki", "Areca montana", "Nenga pumila", "Pinanga batanensis", "Pinanga coronata", "Pinanga dicksonii", "Pinanga disticha", "Pinanga insignis", "Pinanga maculata", "Pinanga philippinensis", "Valerianella costata", "Scorzonera elata", "Electrapis micheneri", "Electrapis prolata", "Electrapis krishnorum", "Compsopsectra elegans", "Compsopsectra sundana", "Caloplaca calcicola", "Caloplaca rechingeri", "Caloplaca lojkae", "Caloplaca coeruleofrigida", "Caloplaca alstrupii", "Striogyia spinosa", "Darna senescoides", "Sinigarra napoense", "Rectoris longibarbus", "Salebria vinacea", "Schistura tenebrosa", "Physoschistura tigrinum", "Maliattha dissimilis", "Maliattha ninae", "Maliattha tapaishana", "Maliattha ahni", "Maliattha chalcogramma", "Pogonophryne tronio", "Chromodoris dianae", "Echiodon prionodon", "Chromodoris michaeli", "Goniobranchus hintuanensis", "Goniobranchus roboi", "Caloplaca ochraceofulva", "Caloplaca coralligera", "Caloplaca constantinii", "Caloplaca subfruticulosa", "Caloplaca perminima", "Caloplaca alpestris", "Caloplaca ameliensis", "Caloplaca fuerteventurae", "Pseudargyria acuta", "Girdharia tauromma", "Amraica ferrolavata", "Amraica kimurai", "Nyctibicola longirostris", "Amraica asahinai", "Amraica solivagaria", "Amraica prolata", "Gonodontis planaria", "Gonodontis angulata", "Xylinophylla mistacalis", "Xylinophylla celebensis", "Electrolictus antiquus", "Xylinophylla paeninsalaris", "Hypomecis miyanoi", "Hypomecis numatai", "Hypomecis bani", "Hypomecis acehensis", "Abaciscus nakaoi", "Abaciscus bachmensis", "Lophobates flavicosta", "Lophobates tenebrosa", "Crenicichla saxatilis", "Ophrys omegaifera subsp. fleischmannii", "Ophrys omegaifera subsp. hayekii", "Hippeastrum \u00d7 sweetii", "Agrilus dis", "Agrilus freundi", "Agrilus kakamegae", "Agrilus luteomicans", "Agrilus solitarius", "Syzygium uessalvadorensis", "Embola albaciliella", "Maliattha bella", "Teleiopsis albifemorella", "Teleiopsis paulheberti", "Tajuria cippus vandeldeni", "Tajuria cippus moultoni", "Tajuria cippus cippus", "Tajuria cippus frontinus", "Bathyleberis grossmani", "Pheladenia deformis", "Microbrotula geraldalleni", "Bathyleberis oculata", "Bathyleberis monothrix", "Cyrtodactylus hikidai", "Stereocyclops palmipes", "Tajuria deudorix oeta", "Tajuria deudorix primitivoi", "Tajuria deudorix verona", "Tajuria deudorix zoletai", "Sarotherodon galilaeus", "Sarotherodon galilaeus galilaeus", "Gymnotus interruptus", "Betta siamorientalis", "Parosphromenus gunawani", "Parosphromenus phoenicurus", "Typhleotris mararybe", "Asplenium achalense", "Asplenium lorentzii", "Rimacola elliptica", "Asplenium balansae", "Aetheliparis taurocanis", "Ophrys scolopax", "Ophrys speculum subsp. speculum", "Ophrys speculum subsp. lusitanica", "Ophrys speculum subsp. regis-ferdinandii", "Oxytate minuta", "Asplenium geraense", "Psednos argyrogaster", "Psednos chathami", "Psednos cryptocaeca", "Psednos longiventris", "Psednos microstomus", "Psednos nemnezi", "Psednos platyoperculosus", "Psednos struthersi", "Paraliparis exilis", "Paraliparis freeborni", "Paraliparis pearcyi", "Paraliparis pseudokreffti", "Osteodiscus rhepostomias", "Careproctus narilobus", "Careproctus pellucicauda", "Ophrys kojurensis", "Caloplaca vitellinaria", "Ophrys konyana", "Asplenium acrobryum", "Asplenium longissimum", "Asplenium adnatum", "Asplenium falcatum", "Aubrieta edentula", "Aubrieta erubescens", "Aubrieta glabrescens", "Aubrieta gracilis", "Aubrieta libanotica", "Aubrieta scardica", "Aubrieta scyria", "Aubrieta thessala", "Aubrieta canescens subsp. canescens", "Aubrieta canescens subsp. cilicica", "Aubrieta macrostyla", "Eupithecia brandti", "Eupithecia truschi", "Eupithecia zagrosata", "Eupithecia persidis", "Eupithecia basurmanca", "Euclidium syriacum", "Heldreichia bupleurifolia", "Eupithecia relativa", "Eupithecia inexercita", "Eupithecia subvulgata", "Eupithecia subvaticina", "Eupithecia elbursi", "Eupithecia edaphopteryx", "Eupithecia xanthomixta", "Xenoleberis bex", "Coccothrinax argentata", "Coccothrinax argentea", "Coccothrinax barbadensis", "Coccothrinax crinita", "Coccothrinax fragrans", "Coccothrinax inaguensis", "Coccothrinax miraguama", "Coccothrinax proctorii", "Coccothrinax spissa", "Teratomyza pappi", "Teratomyza smithersi", "Xanthocryptus novozealandicus", "Euglossa bazinga", "Milnesium beasleyi", "Xystrocera australasiae", "Xystrocera virescens", "Parasaccogaster melanomycter", "Perissomastix asiretta", "Parasaccogaster ramphidognatha", "Calamus poilanei", "Calamus rotang", "Calamus rudentum", "Calamus scipionum", "Calamus siamensis", "Calamus simplicifolius", "Calamus siphonospathus", "Calamus solitarius", "Calamus subinermis", "Calamus tenuis", "Calamus tetradactylus", "Calamus thysanolepis", "Calamus trachycoleus", "Calamus viminalis", "Calamus zollingeri", "Calamus draco", "Calamus jenkinsianus", "Saccogaster brayae", "Saccogaster hawaii", "Saccogaster horrida", "Saccogaster maculata", "Saccogaster nikoliviae", "Saccogaster parva", "Saccogaster staigeri", "Saccogaster tuberculata", "Parasaccogaster normae", "Caloplaca scolecomarginata", "Caloplaca frigida", "Caloplaca lewis-smithii", "Caloplaca ochronigra", "Caloplaca melanocarpa", "Caloplaca fuscula", "Caloplaca gialolechiiformis", "Eublepharis turcmenicus", "Asplenium abyssinicum", "Hypoatherina golanii", "Cobitis striata", "Hypoatherina lunata", "Hastatobythites arafurensis", "Cobitis striata striata", "Cobitis striata fuchigamii", "Tajuria deudorix cyrus", "Tajuria deudorix deudorix", "Tajuria deudorix ingeni", "Cobitis striata hakataensis", "Cobitis kaibarai", "Cobitis magnostriata", "Cobitis minamorii", "Cobitis minamorii minamorii", "Cobitis minamorii oumiensis", "Cobitis minamorii saninensis", "Cobitis minamorii tokaiensis", "Cobitis minamorii yodoensis", "Dianella haematica", "Dianella latissima", "Dianella nigra", "Dianella prunina", "Dianella revoluta", "Dianella tasmanica", "Dianella intermedia", "Calamus acanthospathus", "Calamus caesius", "Calamus deerratus", "Calamus egregius", "Calamus erectus", "Calamus floribundus", "Calamus gracilis", "Calamus grandis", "Draba streptobrachia", "Calamus longisetus", "Calamus manan", "Calamus merrillii", "Calamus micracanthus", "Calamus mindorensis", "Calamus mollis", "Calamus nambariensis", "Calamus optimus", "Calamus ornatus", "Calamus ovoideus", "Calamus palustris", "Eupithecia xanthomixta xanthomixta", "Eupithecia xanthomixta derbendi", "Berteroa gintlii", "Berteroa obliqua", "Berteroa orbiculata", "Asplenium azoricum", "Caloplaca thamnoblasta", "Caloplaca syvashica", "Caloplaca neotaurica", "Caloplaca abbreviata", "Caloplaca brachyspora", "Caloplaca lacteoides", "Bryophila xizanga", "Schistura maejotigrina", "Barilius signicaudus", "Caffrocrambus albifascia", "Caffrocrambus albistrigatus", "Caffrocrambus carneades", "Caffrocrambus fulvus", "Caffrocrambus fuscus", "Caffrocrambus husserli", "Caffrocrambus jansei", "Caffrocrambus krooni", "Caffrocrambus luteus", "Caffrocrambus polyphemus", "Caffrocrambus savonarolae", "Caffrocrambus szunyoghyi", "Caffrocrambus machiavellii", "Caffrocrambus galileii", "Lutjanus synagris", "Siganus spinus", "Anisotremus virginicus", "Caloplaca phoenicea", "Ophrys kopetdagensis", "Caloplaca stalactitica", "Caloplaca bryophila", "Ophrys atlantica", "Caloplaca squamulata", "Caloplaca fuscorufa", "Caloplaca caesiosorediata", "Caloplaca catillarioides", "Caloplaca caesioisidiata", "Caloplaca fuscoblastidiata", "Caloplaca vitellinoides", "Caloplaca salicina", "Dracula subg.", "Calamus didymophyllus", "Daemonorops grandis", "Daemonorops micracantha", "Daemonorops ochrolepis", "Daemonorops robusta", "Daemonorops sabut", "Daemonorops trichrous", "Dracula sodiroi", "Salacca wallichiana", "Salacca zalacca", "Asplenium acostae", "Asplenium acutiserratum", "Asplenium macrurum", "Chamaedorea alternans", "Chamaedorea cataractarum", "Chamaedorea costaricana", "Chamaedorea elatior", "Chamaedorea fragrans", "Chamaedorea geonomiformis", "Chamaedorea glaucifolia", "Chamaedorea graminifolia", "Chamaedorea metallica", "Chamaedorea oblongata", "Chamaedorea pinnatifrons", "Chamaedorea radicalis", "Chamaedorea sartorii", "Chamaedorea schippii", "Chamaedorea seifrizii", "Chamaedorea stolonifera", "Chamaedorea tepejilote", "Chamaedorea ernesti-augustii", "Andinoacara rivulatus", "Schrankia pelicano", "Harutaeographa shui", "Harutaeographa yangzisherpani", "Harutaeographa adusta", "Harutaeographa akos", "Harutaeographa babai", "Callinola antennata", "Celazia bipuncta", "Metaxypsyche trinidadensis", "Metisa aethiops", "Metisa atra", "Crinum lorifolium", "Acanthocepola krusensternii", "Clavulinopsis corallinorosacea", "Cardamine bellidifolia", "Cardamine parviflora", "Bizia altera", "Bizia aexaria", "Androsace carnea", "Grammoplites scaber", "Schistura koladynensis", "Glyptothorax verrucosus", "Leporinus piavussu", "Talides cantra", "Talides riosa", "Euselasia hieronymi", "Euselasia hieronymi hieronymi", "Euselasia hieronymi bianala", "Helichrysum heywoodianum", "Dracula subg.", "Dracula xenos", "Dracula subg.", "Dracula sect.", "Dracula andreettae", "Sparus capistratus", "Dracula sect.", "Caloplaca dovrensis", "Caloplaca latispora", "Dracula chestertonii", "Dracula cutis-bufonis", "Lutjanus griseus", "Dracula sect.", "Dracula cochliops", "Labrus scarus", "Picris olympica", "Picris pauciflora", "Dracula sect.", "Picris amalecitana", "Dracula dodsonii", "Labrus ferrugineus", "Rectoris mutabilis", "Estimata dailingensis", "Silene sumbuliana", "Corydalis solida subsp. densiflora", "Corydalis solida subsp. oligantha", "Corydalis solida subsp. slivenensis", "Corydalis solida subsp. subremota", "Corydalis solida subsp. solida", "Carduus lanuginosus", "Rhaponticum serratuloides", "Eupithecia ochridata", "Parietaria lusitanica", "Satureja cilicica", "Oncidium noezlianum", "Eupithecia tshimganica", "Eupithecia myoma", "Eupithecia mystica", "Eupithecia hysterica", "Eupithecia hundamoi", "Eupithecia repentina", "Eupithecia morosa", "Oncidium vulcanicum", "Eupithecia procera", "Saccogaster torpidus", "Saccogaster vonderhochti", "Timorichthys citreus", "Timorichthys disjunctus", "Sarota spicata", "Sarota willmotti", "Sarota acanthoides", "Sarota harveyi", "Caffrocrambus ochreus", "Sarota psaros", "Sarota psaros psaros", "Sarota psaros albidisca", "Sarota psaros psaronius", "Caffrocrambus homerus", "Sarota chloropunctata", "Caloplaca viperae", "Sarota estrada", "Sarota estrada estrada", "Caloplaca blanchoti", "Caloplaca mauritanica", "Sarota estrada sabanella", "Caloplaca farinulenta", "Sarota gamelia", "Caloplaca antiatlantica", "Caloplaca franciscae", "Sarota gamelia gamelia", "Caffrocrambus angulilinea", "Sarota gamelia alba", "Caloplaca olivieri", "Caffrocrambus leucofascialis", "Sarota acantus", "Sarota miranda", "Sarota gyas", "Sarota myrtea", "Caloplaca glebosa", "Sarota lasciva", "Sarota completa", "Caloplaca aerea", "Caloplaca ayachina", "Caloplaca superba", "Caloplaca percrocata", "Baeotis attali", "Caloplaca areolata", "Caloplaca awasthii", "Lasaia cutisca", "Chalodeta pescada", "Talides sergestus", "Talides hispa", "Talides sinois", "Dracula insolita", "Dracula trichroma", "Picris kotschyi", "Picris campylocarpa", "Picris strigosa", "Dracula portillae", "Picris cyprica", "Asplenium affine", "Deparia acrostichoides", "Picris albida", "Picris angustifolia", "Picris asplenioides", "Aristea major", "Picris barbarorum", "Picris burbidgeae", "Picris compacta", "Picris conyzoides", "Onthophagus abmisibilus", "Onthophagus kokodanus", "Onthophagus kokosquamatus", "Larutia nubisilvicola", "Corypha umbraculifera", "Corypha utan", "Onthophagus kokodanus kokodanus", "Onthophagus kokodanus hagenaltus", "Desmopachria rex", "Dypsis baronii", "Dypsis cabadae", "Dypsis lastelliana", "Dypsis pinnatifrons", "Gaussia attenuata", "Gaussia maya", "Promethis illaesicollis", "Nycticebus kayan", "Rutilus virgo", "Rutilus heckelii", "Rutilus frisii", "Rutilus kutum", "Rutilus caspicus", "Anabelcia kala", "Anabelcia nepalensis", "Anabelcia siitanae", "Anabelcia staudingeri", "Anabelcia thai", "Anabelcia taiwana", "Minigrapta basinigra", "Minigrapta minimoides", "Viridistria thoracica", "Viridistria viridipicta", "Viridistria striatovirens", "Viridistria secreta", "Viridistria hollowayi", "Rectoris posehensis", "Rectoris longifinus", "Rectoris luxiensis", "Labrus marginalis", "Eupithecia vacitina", "Eupithecia adelpha", "Eupithecia crenata", "Eupithecia wettsteini", "Sarcanthopsis praealta", "Sarcanthopsis nagarensis", "Phanaeus haroldi", "Schistotylus purpuratus", "Belonoperca pylei", "Tajuria diaeus dacia", "Tajuria diaeus karenkonis", "Juniperus occidentalis subsp. occidentalis", "Tajuria discalis", "Cupressus revealiana", "Hyophorbe amaricaulis", "Hyophorbe indica", "Hyophorbe lagenicaulis", "Hyophorbe verschaffeltii", "Licuala grandis", "Licuala lauterbachii", "Licuala paludosa", "Licuala peltata", "Licuala pumila", "Licuala rumphii", "Licuala spinosa", "Pritchardia affinis", "Pritchardia aylmer-robinsonii", "Pritchardia gaudichaudii", "Pritchardia hardyi", "Pritchardia kaalae", "Pritchardia lanigera", "Pritchardia lowreyana", "Pritchardia martii", "Pritchardia munroi", "Pritchardia napaliensis", "Pritchardia pacifica", "Pritchardia remota", "Pritchardia schattaueri", "Pritchardia thurstonii", "Pritchardia viscosa", "Leptospermum amboinense", "Leptospermum javanicum", "Metroxylon amicarum", "Metroxylon paulcoxii", "Metroxylon sagu", "Metroxylon salomonense", "Metroxylon vitiense", "Metroxylon warburgii", "Barilius bernatziki", "Barilius dogarsinghi", "Barilius ornatus", "Megalospora pachycheila", "Opsarius pulchellus", "Megalospora porphyritis", "Megalospora bartlettii", "Barilius infrafasciatus", "Megalospora melanodermia var. purpurea", "Megalospora occidentalis", "Megalospora pauciseptata", "Erromyzon kalotaenia", "Erromyzon sinensis", "Erromyzon compactus", "Erromyzon yangi", "Yaoshania pachychilus", "Armascirus mactator", "Armascirus pluri", "Typhlodromus creticus", "Phyllocoptruta balansis", "Phyllocoptruta cochinchinensis", "Phyllocoptruta hungmaoensis", "Xinglongarus racemoser", "Austrachipteria phongnhae", "Galumna kebangica", "Protoplophora iranica", "Triplophysa longliensis", "Megalospora pulverata", "Megalospora pupa", "Megalospora reniformis", "Megapiranha paranensis", "Megalospora sulphurata", "Microphysogobio nudiventris", "Dracula sect.", "Schistura pantherina", "Oribatella abmi", "Oribatella banksi", "Oribatella ewingi", "Oribatella heatherae", "Oribatella manningensis", "Oribatella maryae", "Oribatella oregonensis", "Oribatella parallelus", "Oribatella pawnee", "Oribatella yukonensis", "Dracula subsect.", "Eremaeozetes aokii", "Eremaeozetes darwinensis", "Eremaeozetes malleensis", "Eremaeozetes schatzi", "Rogerzetes samueli", "Retrozetes fernandezi", "Retrozetes koghisensis", "Retrozetes mirabilis", "Retrozetes novaecaledoniae", "Idiozetes hagenensis", "Dracula bella", "Pontarachna nemethi", "Montesauria abroscopi", "Dracula subsect.", "Montesauria macronoi", "Montesauria pellornei", "Splendeuptychia toynei", "Montesauria phylloscopi", "Montesauria seicerci", "Dracula ser.", "Megeuptychia monopunctata", "Adelpha shuara", "Adelpha argentea", "Tajuria illurgioides", "Periphoba ockendeni", "Megaloblastenia flavidoatra", "Dracula ser.", "Megaloblastenia marginiflexa", "Tajuria illurgis", "Megaloblastenia marginiflexa var. marginiflexa", "Megaloblastenia marginiflexa var. dimota", "Tajuria illurgis illurgis", "Tajuria illurgis tattaka", "Metacapnodium adamantinum", "Metacapnodium gemmiferum", "Gleichenia inclusisora", "Elaphomyces bollardii", "Elaphomyces luteicrustus", "Elaphomyces putridus", "Sematophyllum fiordensis", "Sematophyllum kirkii", "Wijkia extenuata", "Tajuria inexpectata", "Dracula ser.", "Dracula lotax", "Ammophila antenniferruginea", "Podalonia tydei", "Fulakora agostii", "Amblyopone boltoni", "Amblyopone caliginosa", "Amblyopone cleae", "Amblyopone crenata", "Amblyopone eminia", "Amblyopone heraldoi", "Amblyopone octodentata", "Amblyopone triloba", "Amblyopone zaojun", "Xymmer muticus", "Phoenix rupicola", "Phoenix reclinata", "Phoenix acaulis", "Megalospora granulans", "Megalospora hillii", "Megalospora weberi", "Megalospora knightii", "Megalospora subtuberculosa", "Megalospora maderensis", "Megalospora thomensis", "Megalospora albescens", "Megalospora australiensis", "Megalospora halei", "Megalospora kalbii", "Megalospora lopadioides", "Megalospora queenslandica", "Megalospora pruinata", "Megalospora pruinata subsp. pruinata", "Megalospora pruinata subsp. fusca", "Megalospora pruinata subsp. lamii", "Tajuria discalis centralis", "Megalospora coccodes", "Megalospora coccodes subsp. coccodes", "Megalospora coccodes subsp. nigricans", "Megalospora atrorubicans", "Megalospora atrorubicans subsp. atrorubicans", "Megacraspedus kaszabianus", "Megalospora atrorubicans subsp. australis", "Megalospora atrorubicans subsp. sendaiensis", "Tajuria discalis discalis", "Tajuria discalis triangularis", "Tajuria discalis floresica", "Tajuria dominus", "Tajuria dominus dominus", "Spiculaea ciliata", "Tajuria dominus pisatis", "Tajuria gui", "Megalospora gompholoma", "Tajuria iapyx bangkaianus", "Megalospora gompholoma subsp. fuscolineata", "Megalospora gompholoma subsp. gompholoma", "Megalospora disjuncta", "Megalospora admixta", "Megalospora galactocarpa", "Arhopala alitaeus panta", "Megalospora melanodermia", "Megalospora melanodermia var. melanodermia", "Miltidea ceroplasta", "Miltidea rutilescens", "Miltidea subrutila", "Miltidea venusta", "Miltidea venustula", "Pannoniasaurus inexpectatus", "Alicyclobacillus acidocaldarius", "Aneurinibacillus aneurinilyticus", "Lobogyniella tragardhi", "Lobogyniella harrynahmani", "Angraecum tenellum", "Paradiplogynium caitlinae", "Paradiplogynium damieni", "Antedon bifida", "Paradiplogynium elizabethae", "Paradiplogynium isaaci", "Paradiplogynium kaii", "Paradiplogynium nahmani", "Paradiplogynium panesthia", "Tajuria isaeus", "Schistura albirostris", "Opsanus tau", "Thryssocypris smaragdinus", "Thryssocypris tonlesapensis", "Thryssocypris ornithostoma", "Thryssocypris wongrati", "Phoenix andamanensis", "Phoenix caespitosa", "Phoenix loureiroi", "Phoenix paludosa", "Phoenix pusilla", "Phoenix sylvestris", "Amblyopone aberrans", "Amblyopone clarki", "Amblyopone hackeri", "Amblyopone leae", "Amblyopone longidens", "Amblyopone mercovichi", "Amblyopone michaelseni", "Stigmatomma saundersi", "Passeroptes hippolais", "Passeroptes sylviae", "Schizocarpus saveljevi", "Schizocarpus heatherae", "Schizocarpus faini", "Schizocarpus klompeni", "Schizocarpus parahumilis", "Schizocarpus gozdziewskii", "Schizocarpus pseudonumerosus", "Schizocarpus zurowskii", "Schizocarpus testiculatus", "Schizocarpus brachyurus", "Schizocarpus fedjushini", "Schizocarpus capitis", "Schizocarpus radiatus", "Abbottina obtusirostris", "Ormiscodes penai", "Microphysogobio chenhsienensis", "Microphysogobio liaohensis", "Aerangis alcicornis", "Aerangis arachnopus", "Aerangis articulata", "Aerangis bouarensis", "Eupithecia pekingiana", "Eupithecia meszarosi", "Aerangis calantha", "Eupithecia rudniki", "Eupithecia sidemii", "Aerangis carnea", "Eupithecia pseudoplumbeolata", "Aerangis citrata", "Argyrogrammana bonita", "Hypena cherylae", "Violella fucata", "Violella wangii", "Raphia farinifera", "Raphia hookeri", "Raphia laurentii", "Raphia longiflora", "Raphia palma-pinus", "Raphia sudanica", "Raphia taedigera", "Raphia vinifera", "Tajuria ister", "Tajuria ister ister", "Tajuria ister tussis", "Eunica malvina", "Eunica malvina malvina", "Eunica malvina albida", "Eunica malvina almae", "Pratapa icetoides carmentalis", "Barbatula gibba", "Barbatula nuda", "Eupithecia gozmanyi", "Eupithecia gozmanyi gozmanyi", "Alara anulus", "Alara aquilonia", "Alara armifera", "Alara armilla", "Alara australiensis", "Alara cheesmani", "Barbatula toni", "Alara clava", "Alara cornigera", "Barbatula toni toni", "Alara cranstoni", "Barbatula toni posteroventralis", "Alara cultellus", "Alara frigida", "Physoschistura dikrongensis", "Alara interrupta", "Alara lingua", "Schistura obliquofascia", "Alara linigera", "Alara regia", "Alara rubicunda", "Alara schmidti", "Tajuria jalajala", "Ravenea louvelii", "Ravenea xerophila", "Ctenoplusia albostriata", "Megastylis gigas", "Euproteaciphyllum alloxylonoides", "Euproteaciphyllum amphistomaticum", "Euproteaciphyllum pacificum", "Euproteaciphyllum pinnatum", "Clematepistephium smilacifolium", "Epyaxa lucidata", "Roystonea borinquena", "Roystonea oleracea", "Roystonea princeps", "Turcizyras assingi", "Eritrichium uralense", "Thisizima fasciaria", "Thisizima subceratella", "Thisizima antiphanes", "Thisizima bovina", "Thisizima bubalopa", "Thisizima ceratella", "Thisizima sedilis", "Hyloconis luki", "Nebria rhilensis", "Neolithocolletis mayumbe", "Neolithocolletis nsengai", "Metzia bounthobi", "Tephromela bullata", "Tephromela disjuncta", "Tephromela lillipillensis", "Tradescantia pinetorum", "Tradescantia occidentalis", "Tradescantia wrightii", "Pollia japonica", "Tephromela olivetorica", "Hydrophorus praecox", "Commelina latifolia", "Commelina longifolia", "Commelina paludosa", "Commelina sikkimensis", "Commelina subulata", "Conostylis candicans", "Hanguana malayana", "Philydrum lanuginosum", "Cupressus butanoensis", "Aceria feijoae", "Syzygium maire", "Syzygium floribundum", "Trioza jambolanae", "Schistura balteata", "Schistura sexcauda", "Aerangis appendiculata", "Schistura desmotes", "Typhleotris madagascariensis", "Typhleotris pauliani", "Sabal causiarum", "Sabal domingensis", "Sabal etonia", "Sabal mauritiiformis", "Sabal mexicana", "Triplophysa pseudostenura", "Sabal minor", "Sabal uresana", "Traccatichthys tuberculum", "Homatula wuliangensis", "Ajuga chamaepitys subsp. chamaepitys", "Ajuga chamaepitys subsp. chia", "Ajuga chamaepitys subsp. cuneatifolia", "Ajuga chamaepitys subsp. laevigata", "Ajuga chamaepitys subsp. mesogitana", "Thrinax parviflora", "Thrinax radiata", "Ajuga chamaepitys subsp. palaestina", "Ajuga chamaepitys subsp. rechingeri", "Ajuga chamaepitys subsp. suffrutescens", "Ajuga chamaepitys subsp. tridactylites", "Veitchia arecina", "Veitchia filifera", "Veitchia joannis", "Isophya dochia", "Termitotrox cupido", "Introvertocystis rangiaotea", "Tajuria isaeus amardus", "Tajuria isaeus isaeus", "Tajuria isaeus tyro", "Tajuria isaeus verna", "Asplenium sarelii subsp. pekinense", "Myosurus sessilis", "Agonopterix assimilella", "Agonopterix umbellana", "Cricetomys gambianus", "Anteros nubosus", "Symmachia fassli", "Argyrogrammana praestigiosa", "Argyrogrammana barine", "Argyrogrammana physis", "Argyrogrammana physis physis", "Argyrogrammana physis phyton", "Argyrogrammana amalfreda", "Argyrogrammana nurtia", "Argyrogrammana nurtia nurtia", "Argyrogrammana nurtia ludibunda", "Argyrogrammana alstonii", "Argyrogrammana pulchra", "Argyrogrammana sticheli", "Argyrogrammana caesarion", "Argyrogrammana venilia", "Argyrogrammana denisi", "Argyrogrammana sebastiani", "Argyrogrammana chicomendesi", "Argyrogrammana natalita", "Argyrogrammana caelestina", "Argyrogrammana aparamilla", "Argyrogrammana celata", "Hancockia uniflora", "Coeliopsis hyacinthosma", "Equisetum \u00d7 nelsonii", "Trimeresurus rubeus", "Austrosciapus proximus", "Golofa henrypitieri", "Golofa olsoufieffi", "Golofa wagneri", "Gonatopus chiruanus", "Megatrioza zanthoxyli", "Megatrioza armata", "Megatrioza kauaiensis", "Megatrioza mauiensis", "Megatrioza molokaiensis", "Zonocypris lata", "Leptobrachium leucops", "Coelogyne pachystachya", "Brassavola reginae", "Aetheliparis rossi", "Scoloplax dicra", "Scoloplax baileyi", "Tolypella nidifica", "Tolypella canadensis", "Pseudocoremia suavis", "Pseudocoremia fenerata", "Pseudocoremia leucelaea", "Pseudocoremia productata", "Pseudocoremia amaculata", "Pseudocoremia pergrata", "Pseudocoremia dugdalei", "Pseudocoremia fox", "Pseudocoremia hollyae", "Pseudocoremia hudsoni", "Xyridacma alectoraria", "Xyridacma ustaria", "Xyridacma veronicae", "Xyridacma octomaculata", "Zermizinga indocilisaria", "Hygraula nitens", "Chloroclystis filata", "Paraleucoptera albella", "Pachyascus lapponicus", "Eidophasia albifasciata", "Ypsolopha aleutianella", "Crepis purpurea", "Dendrobium moschatum", "Notoliparis kermadecensis", "Aerangis collum-cygni", "Aerangis hyaloides", "Polia bombycina", "Aerangis fastuosa", "Adetomyrma aureocuprea", "Adetomyrma bressleri", "Adetomyrma caputleae", "Adetomyrma cassis", "Adetomyrma caudapinniger", "Adetomyrma cilium", "Adetomyrma clarivida", "Adetomyrma goblin", "Adetomyrma venatrix", "Congoglanis howesi", "Trichomycterus minus", "Nannoplecostomus eleonorae", "Potamorrhaphis labiatus", "Aerangis cryptodon", "Aerangis decaryana", "Aerangis flexuosa", "Aerangis fuscata", "Aerangis gracillima", "Aerangis gravenreuthii", "Aerangis hologlottis", "Aerangis jacksonii", "Aerangis kirkii", "Aerangis luteoalba var. luteoalba", "Aerangis luteoalba", "Aerangis luteoalba var. rhodosticta", "Aerangis macrocentra", "Aerangis maireae", "Aerangis megaphylla", "Aerangis monantha", "Aerangis montana", "Aerangis mooreana", "Aerangis oligantha", "Aerangis pallidiflora", "Aerangis pulchella", "Aerangis punctata", "Ambastaia nigrolineata", "Ambastaia sidthimunki", "Botia almorhae", "Botia birdi", "Botia dario", "Botia histrionica", "Botia kubotai", "Botia lohachata", "Botia rostrata", "Botia striata", "Charaxes affinis", "Gyrinocheilus pennocki", "Gyrinocheilus pustulosus", "Campylocentrum hirtellum", "Campylocentrum latifolium", "Campylocentrum robustum", "Lethe monilifera", "Lethe monilifera monilifera", "Lethe monilifera trungha", "Heterotis niloticus", "Mycteroperca cidi", "Phastia erneoides", "Phastia ernea", "Blastobasis millicentae", "Blastobasis kenya", "Aerangis somalensis", "Aerangis spiculata", "Leiurus quinquestriatus", "Aerangis splendida", "Aerangis stelligera", "Aerangis thomsonii", "Aerangis ugandensis", "Aerangis verdickii var. verdickii", "Aerangis verdickii", "Aerangis verdickii var. rusituensis", "Aerangis \u00d7 chirioana", "Aerangis \u00d7 primulina", "Aerangis stylosa", "Aerangis rostellaris", "Aerangis seegeri", "Adeixis griseata", "Barea consignatella", "Barea exarcha", "Procecidochares alani", "Procecidochares utilis", "Urophora cardui", "Urophora solstitialis", "Urophora stylata", "Urophora merzi", "Trichodryas slipinskii", "Urophora hani", "Urophora doganlari", "Syringophiloidus microcerculus", "Aulonastus henicorhina", "Picobia troglodytidus", "Licnodamaeolus asetosus", "Licnodamaeolus erfenisdamensis", "Ramusella iranica", "Hauptmannia dagmarae", "Lassenia castronuoviensis", "Halpe clara", "Graphium doson doson", "Enispe cycnus", "Enispe cycnus cycnus", "Enispe cycnus verbanus", "Enispe cycnus vertex", "Crepis hakkarica", "Glyphipterix ametris", "Crepis aurea subsp. glabrescens", "Crepis aurea subsp. olympica", "Crepis dioritica", "Crepis fraasii", "Crepis smyrnaea", "Crepis bupleurifolia", "Crepis pannonica", "Crepis bithynica", "Crepis willdenowii", "Crepis frigida", "Crepis sahendii", "Crepis stojanovii", "Crepis palaestina", "Crepis amanica", "Crepis syriaca", "Crepis multiflora", "Crepis neglecta", "Nothobranchius wattersi", "Crepis conyzifolia subsp. dshimilensis", "Crepis conyzifolia subsp. confusa", "Crepis reuteriana", "Pocillopora damicornis", "Crepis mollis", "Crepis mollis subsp. succisifolia", "Crepis mollis subsp. velenovskyi", "Crepis nicaeensis", "Crepis magellensis", "Crepis bocconi", "Crepis chondrilloides", "Crepis intermedia", "Phyllonorycter kisoensis", "Crepis jacquinii", "Phyllonorycter koreana", "Sobennikoffia humbertiana", "Sobennikoffia fournieriana", "Sobennikoffia poissoniana", "Sobennikoffia robusta", "Aerangis confusa", "Aerangis coriacea", "Campylocentrum grisebachii", "Campylocentrum schiedei", "Campylocentrum acutilobum", "Campylocentrum amazonicum", "Campylocentrum brachycarpum", "Campylocentrum densiflorum", "Campylocentrum fasciola", "Rhagoletis acuticornis", "Rhagoletis nakaoi", "Rhagoletis quamplurima", "Rhagoletis yasudai", "Urophora lopholomae", "Aciurina bigeloviae", "Aciurina mixteca", "Posidonia oceanica", "Compsobuthus krali", "Compsobuthus levyi", "Compsobuthus somalilandus", "Buthus prudenti", "Austroderia fulvida", "Austroderia richardii", "Austroderia splendens", "Austroderia toetoe", "Austroderia turbaria", "Sphenophorus brunnipennis", "Onosma mersinana", "Onosma bisotunensis", "Onosma armena", "Onosma hebebulbum", "Stenotus binotatus", "Theriodes sandakanensis", "Nomada fallax", "Nomada kervilleana", "Nomada orbitalis", "Speonectes tiomanensis", "Nomada felici", "Nomada lamellata", "Nomada nitida", "Nomada fenestrata", "Nomada fuscipennis", "Nomada mauritanica", "Barbucca diabolica", "Nomada numida", "Nomada pusilla", "Nomada fervens", "Nomada flavescens", "Nomada rugicollis", "Nomada flavinervis", "Nomada integra", "Nephrolepis biserrata", "Nephrolepis cordifolia", "Nephrolepis hirsutula", "Nephrolepis pectinata", "Smilax aristolochiifolia", "Smilax aspera", "Smilax bona-nox", "Smilax china", "Smilax corbularia", "Smilax glabra", "Smilax glauca", "Smilax herbacea", "Smilax japicanga", "Smilax kraussiana", "Smilax laurifolia", "Smilax officinalis", "Smilax pseudochina", "Smilax regelii", "Smilax rigida", "Smilax rotundifolia", "Smilax tamnoides", "Smilax walteri", "Smilax aspericaulis", "Smilax auriculata", "Smilax biflora", "Smilax discotis", "Smilax domingensis", "Smilax febrifuga", "Smilax ferox", "Smilax nipponica", "Smilax ornata", "Smilax papyracea", "Smilax pumila", "Smilax riparia", "Smilax sieboldii", "Smilax vaginata", "Smilax wightii", "Rhamnus crenulata", "Rhamnus crocea", "Rhamnus dumetorum", "Rhamnus erythroxyloides", "Rhamnus erythroxylon", "Austrotaxus spicata", "Pseudotaxus chienii", "Yssolebias martae", "Onosma visianii", "Onosma caucasica", "Onosma gigantea", "Zingel asper", "Onosma gmelinii", "Onosma gracilis", "Torreya fargesii", "Torreya grandis", "Torreya jackii", "Nomada flavozonata", "Nomada lucilla", "Nomada priscilla", "Nomada fontis", "Nomada itamera", "Nomada malonella", "Nomada malonina", "Nomada mutans", "Nomada orcusella", "Nomada perplexans", "Nomada semisuavis", "Nomada waltoni", "Micarea austroternaria", "Micarea flagellispora", "Micarea isabellina", "Micarea mutabilis", "Micarea almbornii", "Micarea endoviolascens", "Micarea intersociella", "Aphyllanthes monspeliensis", "Micarea prasinella", "Phenacostethus smithi", "Micarea cyanescens", "Micarea hylocomii", "Micarea minima", "Micarea polytrichi", "Micarea inquinans", "Micarea osloensis", "Leionema nudum", "Rhamnus imeretina", "Rhamnus \u00d7 spathulifolia", "Coptotermes brunneus", "Coptotermes curvignathus", "Onosma stenosiphon", "Musa sect.", "Musa \u00d7 kewensis", "Onosma sect.", "Tetramicra riparia", "Tarsiger rufilatus", "Pylorobranchus hoi", "Labrus linearis", "Cephalopholis fulva", "Labrus cynaedus", "Sciaena cappa", "Sciaena lepisma", "Sciaena unimaculata", "Anaplectoides pressus", "Draudtia egestis", "Onosma pyramidalis", "Onosma pygmaea", "Onosma bornmuelleri", "Schinia accessa", "Sarisophora leucoscia", "Drosophyllum lusitanicum", "Abies concolor subsp. lowiana", "Abies \u00d7 umbellata", "Abies \u00d7 insignis", "Abies \u00d7 vasconcellosiana", "Abies \u00d7 vilmorinii", "Zygina doris", "Zygina leveri", "Arboridia itangulata", "Agathis silbai", "Anelosimus vierae", "Leptoconops myersi", "Amphipoea bifurcata", "Chirocentrus nudus", "Amphipoea chovdica", "Amphipoea szabokyi", "Brachygalea miskoi", "Brachygalea kamalii", "Campylocentrum apiculatum", "Parabotia curtus", "Campylocentrum aromaticum", "Campylocentrum asplundii", "Leptobotia elongata", "Campylocentrum brenesii", "Leptobotia flavolineata", "Campylocentrum cornejoi", "Campylocentrum crassirhizum", "Campylocentrum ecuadorense", "Campylocentrum embreei", "Campylocentrum generalense", "Campylocentrum gracile", "Leptobotia guilinensis", "Leptobotia hengyangensis", "Campylocentrum hasslerianum", "Leptobotia microphthalma", "Campylocentrum hirtzii", "Campylocentrum hondurense", "Campylocentrum huebneri", "Campylocentrum huebnerioides", "Campylocentrum intermedium", "Campylocentrum lansbergii", "Campylocentrum madisonii", "Leptobotia orientalis", "Campylocentrum jamaicense", "Campylocentrum kuntzei", "Campylocentrum peniculus", "Campylocentrum mattogrossense", "Campylocentrum micranthum", "Leptobotia pellegrini", "Campylocentrum microphyllum", "Tajuria jehana ceylanica", "Tajuria jehana jehana", "Trichoglottis philippinensis", "Zephyranthes primulina", "Pinus densata", "Pinus latteri", "Pinus brutia var. stankewiczii", "Pinus \u00d7 holfordiana", "Pinus \u00d7 schwerinii", "Tsuga formosana", "Zygina rhamni", "Ferocactus glaucescens", "Ferocactus sect.", "Ferocactus latispinus", "Byssoloma kakouettae", "Photonectes achirus", "Apospasta elgonensis", "Chysis aurea", "Zygopetalum maculatum", "Agrilus mucidus", "Agrilus nebulosus", "Agrilus picturatus", "Agrilus pluvius", "Agrilus pseudoambiguus", "Agrilus tesselatus", "Agrilus trepanatus", "Agrilus umrongso", "Vargasiella peruviana", "Vargasiella venezuelana", "Zeadolopus punctiventris", "Onthophagus rutriceps", "Henosepilachna frusciantei", "Leptobotia posterodorsalis", "Campylocentrum minus", "Campylocentrum minutum", "Campylocentrum multiflorum", "Campylocentrum natalieae", "Leptobotia punctata", "Campylocentrum neglectum", "Campylocentrum organense", "Campylocentrum ornithorrhynchum", "Campylocentrum parahybunense", "Campylocentrum pachyrrhizum", "Campylocentrum panamense", "Campylocentrum pauloense", "Campylocentrum pernambucense", "Campylocentrum poeppigii", "Campylocentrum polystachyum", "Campylocentrum pubirhachis", "Campylocentrum pugioniforme", "Campylocentrum pygmaeum", "Campylocentrum rimbachii", "Campylocentrum schneeanum", "Campylocentrum sellowii", "Campylocentrum spannagelii", "Campylocentrum steyermarkii", "Campylocentrum tenellum", "Campylocentrum tenue", "Campylocentrum tyrridion", "Campylocentrum ulei", "Campylocentrum wawrae", "Campylocentrum zehntneri", "Fomes fomentarius", "Haplochromis argens", "Haplochromis goldschmidti", "Phyllotocus apicalis", "Phyllotocus armstrongi", "Phyllotocus chapmani", "Phyllotocus darlingtoni", "Phyllotocus gilvus", "Phyllotocus giveni", "Phyllotocus luridus", "Phyllotocus melanurus", "Phyllotocus pelus", "Kybos altaicus", "Kybos betulae", "Kybos bipunctatus", "Kybos cracoviensis", "Kybos fedtshenkoi", "Kybos mongolicus", "Kybos obliquus", "Kybos sabourensis", "Kybos studzinskii", "Kybos theacola", "Kybos theroni", "Kybos topoli", "Kybos tremulae", "Kybos ulmicola", "Kybos verbae", "Kybos zaisanensis", "Onosma fastigiata", "Onosma graeca", "Onosma helvetica", "Onosma pseudoarenaria", "Onosma simplicissima", "Onosma tricerosperma", "Pauline avibella", "Anelosimus potmosbi", "Anelosimus pomio", "Anelosimus eidur", "Anelosimus luckyi", "Anelosimus bali", "Anelosimus terraincognita", "Sphenella fascigera", "Anelosimus biglebowski", "Anelosimus dude", "Anelosimus monskenyensis", "Anelosimus sulawesi", "Anelosimus kohi", "Anelosimus nelsoni", "Anelosimus agnar", "Anelosimus linda", "Arcas gozmanyi", "Arcas ducalis", "Arcas jivaro", "Ethmia stojanovitsi", "Ethmia bisignata", "Ethmia didyma", "Ethmia lapidella", "Ethmia octanoma", "Ethmia heptasema", "Ethmia nobilis", "Ethmia reposita", "Gilbertolus atratoensis", "Ferocactus sect.", "Onosma caerulescens", "Onosma dasytricha", "Onosma riedliana", "Onosma adenopus", "Onosma affinis", "Onosma alba", "Onosma apiculata", "Onosma aucheranum", "Onosma arenaria", "Onosma bracteosa", "Onosma bubanii", "Onosma chrysochaeta", "Onosma cingulata", "Onosma circinnata", "Onosma conferta", "Onosma decasticha", "Kyphosus gladius", "Urodeta noreikai", "Parasteatoda triangula", "Centropristis philadelphica", "Phenacoscorpius eschmeyeri", "Epigonus macrops", "Atlides dahnersi", "Epinephelus guttatus", "Mycteroperca venenosa", "Trichocereus scopulicola", "Barronopsis pelempito", "Campylocentrum palominoi", "Barronopsis arturoi", "Phalaenopsis finleyi", "Barronopsis stephaniae", "Photonectes paxtoni", "Photonectes waitti", "Homonacna pocsi", "Onosma subsect.", "Apospasta tamsi", "Hoplostethus grandperrini", "Onosma subsect.", "Onosma sect.", "Onosma subsect.", "Hoplostethus melanopeza", "Hoplostethus gigas", "Phenacoscorpius longilineatus", "Onosma olivieri", "Onosma kilouyensis", "Onosma elwendica", "Onosma chlorotricha", "Hoplostethus adenensis", "Onosma araratica", "Onosma bodeana", "Onosma bulbotricha", "Sylvia subalpina", "Sebastes norvegicus", "Onosma cornuta", "Onosma dichroantha", "Onosma kotschyi", "Onosma longiloba", "Onosma pachypoda", "Onosma platyphylla", "Onosma sabalanica", "Onosma sintenisii", "Onosma straussii", "Onosma angustissima", "Onosma bourgaei", "Onosma briquetii", "Arcas imperialis", "Arcas cypria", "Arcas tuneta", "Arcas arcadia", "Arcas delphia", "Arcas splendor", "Arcas alleluia", "Echinocereus sect.", "Homonota darwinii", "Sceloporus woodi", "Pabstiella mirabilis", "Rhagonycha mollis", "Euxenus punctatus", "Euxenus jordani", "Sweta bambusana", "Platycephalus angustus", "Cyanophrys acaste", "Cyanophrys pseudolongula", "Cyanophrys argentinensis", "Stomopteryx mongolica", "Plagodis pulveraria", "Plagodis pulveraria pulveraria", "Plagodis pulveraria singularis", "Plagodis pulveraria violacearia", "Odontopera bidentata bidentata", "Odontopera bidentata exsul", "Odontopera bidentata rava", "Kemtrognophos ambiguata", "Kemtrognophos ambiguata ambiguata", "Coelogyne swaniana", "Kemtrognophos ambiguata ophthalmicata", "Kemtrognophos ambiguata pullularia", "Kemtrognophos ambiguata viidaleppi", "Conodon nobilis", "Tajuria jalajala jalajala", "Tajuria jalajala steffi", "Cottapistus cottoides", "Cyrtopodium andersonii", "Tajuria jehana", "Echinopsis tacuarembense", "Haemulon striatum", "Acanthocalycium leucanthum", "Archosargus rhomboidalis", "Dendrophylax lindenii", "Dendrophylax funalis", "Dendrophylax alcoa", "Dendrophylax barrettiae", "Dendrophylax constanzensis", "Dendrophylax fawcettii", "Dendrophylax filiformis", "Schisandra propinqua", "Austrobaileya scandens", "Trimenia weinmanniaefolia", "Ceratophyllum muricatum", "Camissonia benitensis", "Camissonia contorta", "Camissonia parvula", "Camissonia pusilla", "Camissonia strigulosa", "Camissoniopsis bistorta", "Tribolium bremeri", "Tribolium arndti", "Tribolium ferreri", "Tribolium namibiensis", "Tribolium setosum", "Echinopsis chrysantha", "Leucostele werdermanniana", "Echinopsis marsoneri", "Onosma trapezuntea", "Onosma troodi", "Chamaecereus saltensis", "Xenosaurus tzacualtipantecus", "Thermophis baileyi", "Aepyceros melampus petersi", "Trichopetalum lunatum", "Microbisium parvulum", "Lagarostrobos franklinii", "Dacrydium balansae", "Dacrydium beccarii", "Dacrydium elatum", "Anemone apennina", "Nebalia pseudotroncosoi", "Lysmata jundalini", "Lysmata guamensis", "Onosma luquanensis", "Onosma lycaonica", "Calosoma chlorostictum", "Onosma maaikangensis", "Onosma malkarmayorum", "Ptinus bertranpetiti", "Onosma mertensioides", "Onosma mollis", "Onosma multiramosa", "Onosma nangqenensis", "Onosma neglecta", "Onosma nemoricola", "Onosma nigricaulis", "Onosma obtusifolia", "Onosma ovalifolia", "Onosma paphlagonica", "Onosma papillosa", "Onosma paradoxa", "Onosma polioxantha", "Onosma polyantha", "Tribolium caledonicum", "Notylia sylvestris", "Myrmica elbrusi", "Erythroneura comes", "Erythroneura tricincta", "Erythroneura ziczac", "Hauptidia distinguenda", "Arboridia erecta", "Arboridia pusilla", "Erythroneura acantha", "Graphocephala fennahi", "Taeniophyllum norfolkianum", "Gastrotheca megacephala", "Pristimantis gryllus", "Rhacophorus helenae", "Cyrtodactylus minor", "Acontias schmitzi", "Ribautiana ulmi", "Hypsiglena chlorophaea", "Zonocyba pomaria", "Cirrhitus pinnulatus", "Cirrhitus pinnulatus pinnulatus", "Cirrhitus pinnulatus maculosus", "Cirrhitus spilotoceps", "Eugeniella atrichoides", "Eugeniella corallifera", "Eugeniella newtoniana", "Echinocereus sect.", "Eugeniella psychotriae", "Echinocereus sect.", "Echinocereus sect.", "Echinocereus sect.", "Echinocereus sect.", "Gyromitra infula", "Echinocereus sect.", "Echinocereus sect.", "Rhamma amethystina", "Tomzanonia filicina", "Carex buekii", "Selaginella biformis", "Selaginella erythropus", "Selaginella grandis", "Selaginella haematodes", "Selaginella heterodonta", "Selaginella involvens", "Selaginella marginata", "Selaginella martensii", "Selaginella microdendron", "Selaginella myosurus", "Selaginella ornithopodioides", "Selaginella pallescens", "Selaginella pulcherrima", "Selaginella tamariscina", "Selaginella umbrosa", "Selaginella versicolor", "Selaginella wallichii", "Selaginella willdenowii", "Selaginella commutata", "Selaginella doederleinii", "Selaginella pulvinata", "Selaginella serpens", "Soehrensia caulescens", "Soehrensia lobivioides", "Soehrensia crassicaulis", "Trichocereus macrogonus var. pachanoi", "Acanthocalycium rhodotrichum", "Onosma argentata", "Verbascum haraldi-adnani", "Echinopsis tubiflora", "Onosma rascheyana", "Onosma procera", "Onosma oreodoxa", "Onosma microcarpa", "Onosma macrophylla", "Onosma intertexta", "Onosma heterophylla", "Onosma halophila", "Onosma cassia", "Onosma bozakmanii", "Onosma mitis", "Onosma lanceolata", "Onosma tinctoria", "Onosma nana", "Onosma auriculata", "Onosma thracica", "Onosma rutila", "Onosma isaurica", "Radiola linoides", "Fumaria vaillantii", "Kyphosus sectatrix", "Perca stigma", "Phlegmariurus carinatus", "Phlegmariurus hippurideus", "Phlegmariurus hippuris", "Phlegmariurus phlegmaria", "Phlegmariurus pithyoides", "Phlegmariurus squarrosus", "Lygodium japonicum", "Lygodium cubense", "Lygodium flexuosum", "Lygodium microphyllum", "Lygodium palmatum", "Lygodium volubile", "Acianthera pubescens", "Illicium lanceolatum", "Kadsura heteroclita", "Kadsura marmorata", "Acianthera strupifolia", "Schisandra grandiflora", "Schisandra lancifolia", "Lysmata lipkei", "Cirsium helenioides", "Allocypria inclinata", "Allocypria aberrans", "Trioza fletcheri", "Trioza magnoliae", "Podocarpus gnidioides", "Podocarpus angustifolius", "Podocarpus trinitensis", "Podocarpus novae-caledoniae", "Podocarpus pilgeri", "Podocarpus chingianus", "Podocarpus subtropicalis", "Podocarpus spinulosus", "Podocarpus costalis", "Podocarpus matudae", "Raphignathus azarshahriensis", "Synodontis ruandae", "Synodontis rufigiensis", "Leucostele bolligeriana", "Penaincisalia cillutincarae", "Synodontis rukwaensis", "Ocaria arcula", "Thaeides muela", "Nicolaea schausa", "Rhamma brunea", "Rhamma lapazensis", "Rhamma adriana", "Rhamma arria", "Rhamma tolimensis", "Dendrophylax gracilis", "Dendrophylax helorrhiza", "Dendrophylax macrocarpus", "Onosma aaronsohnii", "Onosma arcuata", "Onosma armeniaca", "Dendrophylax porrectus", "Onosma caespitosa", "Onosma cinerea", "Dendrophylax sallei", "Onosma cyrenaica", "Onosma decorticans", "Onosma echinata", "Dendrophylax serpentilingua", "Onosma epirotica", "Onosma euboica", "Onosma farreri", "Dendrophylax varius", "Onosma exserta", "Onosma fistulosa", "Onosma frutescens", "Onosma fruticosa", "Onosma gehardica", "Aglycyderes ornatus", "Onosma glomerata", "Onosma guberlinensis", "Ptilophorus purcharti", "Oryzias sinensis", "Onosma haussknechtii", "Onosma helleri", "Onosma iricolor", "Onosma irritans", "Onosma kaheirei", "Afromorgus reiterorum", "Onosma lijiangensis", "Onosma liui", "Onosma lineariloba", "Phyllopezus pollicaris", "Heteromys catopterius", "Heteromys nubicolens", "Dendropsophus luddeckei", "Nyctimystes cryptochrysos", "Hyloconis bicruris", "Hyloconis luminata", "Johnsonita johnsoni", "Denivia espiritosanto", "Anakasia simplicifolia", "Synodontis robertsi", "Penaincisalia browni", "Penaincisalia saraha", "Penaincisalia vittata", "Penaincisalia magnifica", "Penaincisalia purpurea", "Penaincisalia swarthea", "Penaincisalia bimediana", "Penaincisalia amatista", "Penaincisalia albalineata", "Penaincisalia penai", "Penaincisalia downeyi", "Penaincisalia rawlinsi", "Penaincisalia caudata", "Penaincisalia culminicola", "Penaincisalia alatus", "Penaincisalia aurulenta", "Penaincisalia descimoni", "Penaincisalia perezi", "Penaincisalia lamasi", "Onosma discedens", "Onosma elegantissima", "Onosma erecta", "Onosma inexspectata", "Onosma leptantha", "Onosma mattirolii", "Onosma liparioides", "Clanculus ormophorus", "Onosma nervosa", "Onosma stridii", "Onosma sorgeri", "Onosma stellulata", "Onosma trachytricha", "Monopterus albus", "Peristedion barbiger", "Trichocereus glaucus", "Trichocereus chalaensis", "Munidopsis kareenae", "Vanilla mexicana", "Soehrensia tarijensis", "Cyrtanthus elatus", "Cis taurus", "Clarkia speciosa", "Clarkia virgata", "Clarkia lewisii", "Clarkia rostrata", "Clarkia springvillensis", "Clarkia tembloriensis", "Clarkia unguiculata", "Clarkia xantiana", "Clarkia gracilis", "Clarkia arcuata", "Clarkia amoena", "Clarkia biloba", "Coptotermes formosanus", "Clarkia bottae", "Clarkia cylindrica", "Clarkia dudleyana", "Cunaxa gordeevae", "Rosa minutifolia", "Onosma pulchra", "Onosma proballanthera", "Onosma propontica", "Onosma psammophila", "Onosma rechingeri", "Onosma rhodopaea", "Onosma rostellata", "Rhipidoglossum xanthopollinium", "Spinachia spinachia", "Echinopsis berlingii", "Rhipidoglossum adoxum", "Munidopsis ceres", "Munidopsis acalipha", "Munidopsis analoga", "Munidopsis arenula", "Munidopsis austellus", "Munidopsis bruta", "Munidopsis calvata", "Munidopsis concava", "Munidopsis cornuata", "Munidopsis demeter", "Munidopsis denudata", "Munidopsis gladiola", "Munidopsis keijii", "Munidopsis leptotes", "Munidopsis lophia", "Munidopsis nereidis", "Munidopsis pectinata", "Munidopsis pericalla", "Munidopsis pubescens", "Munidopsis solidissima", "Munidopsis spissata", "Munidopsis tuberipes", "Echinopsis sanguiniflora", "Echinopsis breviflora", "Antidesma japonicum", "Antidesma leptocladum", "Bridelia insulana", "Bridelia tomentosa", "Schizocerella pilicornis", "Cunaxa guanotoleranta", "Cunaxa maculata", "Cunaxa papuliphora", "Cunaxa violaphila", "Cunaxa yaylensis", "Cunaxa rafiqi", "Cunaxa leuros", "Cunaxa nankanaensis", "Lobivia cardenasiana", "Rhipidoglossum bilobatum", "Rhipidoglossum brevifolium", "Rhipidoglossum candidum", "Rhipidoglossum cuneatum", "Angraecum minutum", "Rhipidoglossum curvatum", "Rhipidoglossum densiflorum", "Rhipidoglossum globulosocalcaratum", "Rhipidoglossum kamerunense", "Rhipidoglossum laticalcar", "Rhipidoglossum laxiflorum", "Onosma samarica", "Onosma sangiasensis", "Onosma sanguinolenta", "Onosma sericea", "Onosma setosa", "Onosma sieheana", "Onosma sinica", "Onosma spruneri", "Onosma stenoloba", "Onosma stojanoffii", "Onosma subsericea", "Onosma subulifolia", "Onosma velutina", "Oenothera berlandieri", "Oenothera brachycarpa", "Oenothera howardii", "Onosma viridis", "Oenothera cinerea", "Oenothera coloradensis", "Oenothera curtiflora", "Onosma waddellii", "Onosma waltonii", "Onosma wardii", "Oenothera elongata", "Oenothera fruticosa", "Oenothera gaura", "Oenothera glaucifolia", "Oenothera hartwegii", "Oenothera hexandra", "Oenothera lavandulifolia", "Oenothera lindheimeri", "Oenothera linifolia", "Oenothera picensis", "Oenothera ravenii", "Oenothera serrulata", "Oenothera siambonensis", "Oenothera sinuosa", "Oenothera tafiensis", "Oenothera tubicula", "Oenothera xenogaura", "Onosma yajiangensis", "Oenothera curtissii", "Onosma xanthotricha", "Onosma zayuensis", "Onosma strigosissima", "Bryocarpum himalaicum", "Gymnocephalus schraetser", "Perca argentea", "Perca radula", "Gasterosteus occidentalis", "Rhipidoglossum longicalcar", "Rhipidoglossum magnicalcar", "Rhipidoglossum melianthum", "Ulmus \u00d7 hollandica", "Lagunaria patersonia", "Rhipidoglossum microphyllum", "Rhipidoglossum mildbraedii", "Rhipidoglossum montanum", "Rhipidoglossum obanense", "Schizocerella lineata", "Liriomyza caulophaga", "Chironomus polonicus", "Munidopsis strigula", "Munidopsis ternaria", "Munidopsis trichodes", "Munidopsis zarazagai", "Galacantha quiquei", "Galacantha subrostrata", "Galacantha subspinosa", "Galacantha bellis", "Galacantha diomedeae", "Galacantha rostrata", "Galacantha spinosa", "Galacantha trachynotus", "Galacantha valdiviae", "Munidopsis kermadec", "Munidopsis serricornis", "Munidopsis maunga", "Munidopsis papanui", "Munidopsis marginata", "Munidopsis kaiyoae", "Munidopsis abyssicola", "Munidopsis antonii", "Munidopsis bractea", "Munidopsis proales", "Munidopsis tasmaniae", "Munidopsis treis", "Munidopsis victoriae", "Munidopsis norfanz", "Ludwigia adscendens", "Ludwigia bonariensis", "Ludwigia erecta", "Ludwigia hexapetala", "Ludwigia longifolia", "Ludwigia octovalvis", "Ludwigia perennis", "Ludwigia prostrata", "Ludwigia repens", "Ludwigia virgata", "Xylonagra arborea", "Echinopsis setosa", "Anneslea fragrans", "Munidopsis laevisquama", "Munidopsis aurantia", "Munidopsis ariadne", "Munidopsis curvimana", "Munidopsis taiwanica", "Odontochilus bisaccatus", "Odontochilus lanceolatus", "Echinopsis densispina", "Schizocerella treza", "Asclera ruficollis", "Bisnius blandus", "Cephaloon ungulare", "Acantholimon alberti", "Acantholimon armenum", "Acantholimon avenaceum", "Acantholimon glumaceum", "Acantholimon venustum", "Portulaca halimoides", "Portulaca lanceolata", "Portulaca suffrutescens", "Portulaca umbraticola", "Syzygium erythrocalyx", "Posidonia australis", "Potamogeton berchtoldii", "Potamogeton crispus", "Potamogeton distinctus", "Potamogeton epihydrus", "Potamogeton foliosus", "Potamogeton gayi", "Potamogeton gramineus", "Potamogeton illinoensis", "Potamogeton lucens", "Potamogeton nodosus", "Potamogeton ochreatus", "Potamogeton octandrus", "Potamogeton perfoliatus", "Potamogeton pusillus", "Potamogeton richardsonii", "Potamogeton schweinfurthii", "Potamogeton tricarinatus", "Rhipidoglossum polyanthum", "Rhipidoglossum polydactylum", "Lobivia acanthoplegma", "Lobivia acanthoplegma var. acanthoplegma", "Lobivia acanthoplegma var. roseiflora", "Lobivia acanthoplegma var. pilosa", "Lobivia oligotricha", "Leptospermum anfractum", "Leptospermum barneyense", "Leptospermum benwellii", "Leptospermum madidum", "Leptospermum pallidum", "Caladenia flava subsp. flava", "Caladenia flava subsp. maculata", "Caladenia flava subsp. sylvestris", "Rhipidoglossum pulchellum", "Rhipidoglossum pulchellum var. geniculatum", "Rhipidoglossum rutilum", "Pseudolycoriella borealis", "Rhipidoglossum schimperianum", "Pseudolycoriella villabonensis", "Rhipidoglossum stellatum", "Rhipidoglossum stolzii", "Rhipidoglossum subsimplex", "Kunzea sinclairii", "Rhipidoglossum tanneri", "Rhipidoglossum tenuicalcar", "Rhipidoglossum ugandense", "Acca lanuginosa", "Nicrophorus defodiens", "Nicrophorus tomentosus", "Limnocharis flava", "Ranalisma rostrata", "Wiesneria triandra", "Burnatia enneandra", "Caldesia oligococca", "Caldesia parnassifolia", "Limnophyton obtusifolium", "Astonia australiensis", "Alisma orientale", "Ruppia cirrhosa", "Ruppia maritima", "Allocasuarina hystricosa", "Holoaden suarezi", "Leptospermum spectabile", "Leptospermum variabile", "Pyxicephalus angusticeps", "Brachycephalus margaritatus", "Leptospermum morrisonii", "Guibemantis tasifotsy", "Proceratophrys huntingtoni", "Incilius aurarius", "Incilius mccoyi", "Synodontis schall", "Malmidea amazonica", "Malmidea atlantica", "Malmidea aurigera", "Malmidea bacidinoides", "Malmidea badimioides", "Malmidea bakeri", "Malmidea ceylanica", "Malmidea chrysostigma", "Malmidea cinereonigrella", "Malmidea coralliformis", "Malmidea duplomarginata", "Malmidea fellhaneroides", "Malmidea eeuuae", "Malmidea fenicis", "Malmidea flavopustulosa", "Malmidea hypomela", "Malmidea inflata", "Malmidea perisidiata", "Malmidea perplexa", "Malmidea piae", "Malmidea polisensis", "Malmidea polycampia", "Malmidea psychotrioides", "Malmidea sorsogona", "Malmidea subaurigera", "Malmidea subgranifera", "Malmidea taytayensis", "Malmidea trailiana", "Megalaspis cordyla", "Trachurus trachurus", "Lichia amia", "Onosma chitralica", "Onosma griffithii", "Onosma hispida", "Onosma hypoleuca", "Onosma khyberiana", "Onosma limitanea", "Onosma limitanea var. limitanea", "Onosma limitanea var. major", "Onosma thomsonii", "Onosma bracteata", "Onosma bheriensis", "Anoplocheylus sinai", "Anoplocheylus kazemii", "Bjoernstadia kasuluensis", "Anoplocheylus aegypticus", "Aquila chrysaetos chrysaetos", "Rhipidoglossum ochyrae", "Rhipidoglossum orientalis", "Rhipidoglossum ovale", "Rhipidoglossum oxycentron", "Rhipidoglossum paucifolium", "Lobivia pugionacantha subsp. pugionacantha", "Lobivia pugionacantha subsp. haemantha", "Lobivia caineana", "Neomyrtus pedunculata", "Melaleuca linearifolia", "Melaleuca plumea", "Hydrocharis morsus-ranae", "Lagarosiphon major", "Limnobium laevigatum", "Limnobium spongia", "Nechamandra alternifolia", "Ottelia alismoides", "Ottelia ovalifolia", "Ottelia ulvifolia", "Stratiotes aloides", "Thalassia hemprichii", "Thalassia testudinum", "Vallisneria spiralis", "Lilaea scilloides", "Agraphospiza rubescens", "Lanaria lanata", "Mungos minutus", "Tetramorium nigrum", "Allothrombium sicilianum", "Echinocereus engelmannii", "Schoengastia sulawesiensis", "Schoengastia persica", "Polystachya neobenthamia", "Aspredo aspredo", "Loricaria cataphracta", "Leptanilla lamellata", "Leptanilla escheri", "Charax gibbosus", "Lobivia maximiliana", "Lobivia maximiliana subsp. westii", "Lobivia maximiliana subsp. maximiliana", "Lobivia maximiliana subsp. caespitosa", "Quercus trojana subsp. trojana", "Quercus trojana subsp. yaltirikii", "Quercus trojana subsp. euboica", "Quercus robur subsp. brutia", "Quercus robur subsp. imeretina", "Quercus robur subsp. pedunculiflora", "Quercus robur subsp. robur", "Quercus infectoria subsp. infectoria", "Quercus infectoria subsp. veneris", "Quercus ithaburensis subsp. ithaburensis", "Quercus macranthera subsp. macranthera", "Lobivia minutiflora", "Lobivia pugionacantha", "Lobivia pugionacantha subsp. rossii", "Accara elegans", "Syncarpia verecunda", "Echinodorus grandiflorus", "Echinodorus horizontalis", "Echinodorus macrophyllus", "Echinodorus palaefolius", "Tarbosaurus bataar", "Cuora amboinensis couro", "Cuora amboinensis kamaroma", "Cuora amboinensis lineata", "Tetramorium ankarana", "Tetramorium kelleri", "Tetramorium ala", "Tetramorium andohahela", "Tetramorium andrei", "Tetramorium electrum", "Ritterocactus sect.", "Ritterocactus sect.", "Ritterocactus sect.", "Motacilla alba yarrellii", "Szczawinskia phylicae", "Ritterocactus herteri", "Tetramorium elf", "Tetramorium isectum", "Tetramorium isoelectrum", "Tetramorium nify", "Tetramorium voasary", "Tetramorium avaratra", "Tetramorium jedi", "Tetramorium pleganon", "Tetramorium aherni", "Tetramorium ambanizana", "Tetramorium noeli", "Tetramorium singletonae", "Tetramorium adamsi", "Tetramorium latreillei", "Tetramorium marojejy", "Tetramorium nazgul", "Tetramorium sabatra", "Tetramorium smaug", "Sagittaria australis", "Sagittaria brevirostra", "Sagittaria cuneata", "Sagittaria demersa", "Sagittaria engelmanniana", "Sagittaria fasciculata", "Poecile weigoldicus", "Sagittaria filiformis", "Sagittaria graminea", "Sagittaria guayanensis", "Sagittaria isoetiformis", "Sagittaria kurziana", "Sagittaria lancifolia", "Sagittaria macrophylla", "Sagittaria papillosa", "Sagittaria pygmaea", "Sagittaria sanfordii", "Sagittaria secundifolia", "Sagittaria teres", "Sagittaria longiloba", "Parus cinereus", "Parus minor", "Machlolophus aplonotus", "Blyxa aubertii", "Egeria najas", "Gyps bochenskii", "Elodea bifoliata", "Gyps melitensis", "Elodea canadensis", "Parapherusa crassipes", "Cytherella hemipuncta", "Hydrilla verticillata", "Tetramorium kali", "Tetramorium nosybe", "Tetramorium olana", "Tetramorium popell", "Tetramorium sada", "Tetramorium trafo", "Tetramorium vony", "Tetramorium macki", "Tetramorium mallensiana", "Tetramorium orc", "Tetramorium sargina", "Tetramorium vohitra", "Tetramorium yammer", "Tetramorium tsingy", "Tetramorium tyrion", "Tetramorium norvigi", "Tetramorium hector", "Tetramorium valky", "Tetramorium shamshir", "Tetramorium silvicola", "Tetramorium robitika", "Tetramorium orientale", "Tetramorium hasinae", "Tetramorium lucyae", "Tetramorium notomelanum", "Tetramorium polymorphum", "Ixerba brexioides", "Tetramorium sericeiventre", "Tetramorium caespitum", "Copiapoa sect.", "Copiapoa ser.", "Copiapoa ser.", "Copiapoa ser.", "Copiapoa ser.", "Copiapoa ser.", "Copiapoa echinoides", "Copiapoa coquimbana", "Arenaria ciliata", "Arenaria gothica", "Arenaria montana", "Arenaria norvegica", "Arenaria grandiflora", "Arenaria lycopodioides", "Thamnaconus modestus", "Tetramorium shivalikense", "Tetramorium triangulatum", "Tetramorium akengense", "Tetramorium alpestre", "Tetramorium mahafaly", "Tetramorium sepultum", "Tetramorium guineense", "Ritterocactus sect.", "Tetramorium muralti", "Tetramorium zonacaciae", "Tetramorium weitzeckeri", "Tetramorium schoutedeni", "Tetramorium flavithorax", "Tetramorium rogatum", "Tetramorium occidentale", "Tetramorium pinnipilum", "Eriocactus subg.", "Eriocactus subg.", "Eriocactus ser.", "Eriocactus ser.", "Notocactus subg.", "Notocactus ser.", "Notocactus ser.", "Notocactus ser.", "Notocactus subg.", "Notocactus minimus", "Wigginsia sect.", "Wigginsia sect.", "Brasilicactus haselbergii", "Ritterocactus buiningii", "Ritterocactus horstii", "Ritterocactus ayopayanus", "Arthrosporum accline", "Ritterocactus mammulosus", "Crossosoma californicum", "Stachyurus chinensis", "Stachyurus praecox", "Stachyurus yunnanensis", "Notocactus ottonis", "Bolivicactus ocampoi", "Turpinia pomifera", "Turpinia occidentalis", "Copiapoa sect.", "Copiapoa sect.", "Tetramorium azcatltontlium", "Tetramorium feroxoide", "Tetramorium boehmei", "Tetramorium densopilosum", "Tetramorium ferox", "Tetramorium diomedeum", "Tetramorium edouardi", "Tetramorium humbloti", "Tetramorium ambatovy", "Tetramorium artemis", "Tetramorium malagasy", "Tetramorium ryanphelanae", "Tetramorium wardi", "Tetramorium bonibony", "Silurus undecimalis", "Silurus ascita", "Caladenia arenicola", "Osteogeneiosus militaris", "Lasioglossum hitchensi", "Lasioglossum biclausum", "Ameiurus catus", "Hucho hucho", "Nylonala infidelis", "Peristedion cataphractum", "Eutrigla gurnardus", "Chelidonichthys cuculus", "Tibellia dimerelloides", "Toniniopsis obscura", "Lophoterges mariannae", "Chelidonichthys lucerna", "Curimata cyprinoides", "Trigla asiatica", "Leifidium tenerum", "Silurus asotus", "Eriaxis rigida", "Sirenoscincus mobydick", "Uromycladium naracoortense", "Aeneator martae", "Entoloma hochstetteri", "Carcharhinus coatesi", "Carcharhinus tjutjot", "Carcharhinus macrops", "Serratia marcescens", "Tubastraea coccinea", "Tubastraea faulkneri", "Tubastraea micranthus", "Tubastraea aurea", "Tubastraea diaphana", "Tubastraea floreana", "Tubastraea tagusensis", "Acropora secale", "Voragonema pedunculata", "Scotopteryx kuznetzovi", "Tetramorium adelphon", "Tetramorium adpressum", "Tetramorium africanum", "Corynopuntia guccinii", "Chamorchis alpina", "Leptosciarella zanti", "Leptosciarella ignis", "Leptosciarella alba", "Leptosciarella krille", "Leptosciarella juliae", "Acianthera rostellata", "Caladenia paludosa", "Eremogone franklinii", "Eremogone gypsophiloides", "Eremogone hookeri", "Eremogone juncea", "Eremogone kingii", "Eremogone macradenia", "Eremogone ursina", "Cryptocandona smithi", "Myosotis sylvatica subsp. cyanea", "Schilbe mystus", "Iotabrycon praecox", "Caladenia ampla", "Clarias anguillaris", "Eremogone capillaris", "Eremogone congesta", "Eremogone eastwoodiae", "Eremogone fendleri", "Eremogone ferrisiae", "Tetramorium confine", "Tetramorium perspicax", "Squamacidia janeirensis var. janeirensis", "Squamacidia janeirensis var. endococcinea", "Stirtoniella kelica", "Thyris sinicaensis", "Cyana delicata", "Cyana nemasisha", "Lymanopoda caudalis caudalis", "Thamnolecania antarctica", "Lymanopoda caudalis raymondae", "Thamnolecania brialmontii", "Thamnolecania fuegiensis", "Lymanopoda balintiana", "Lymanopoda inaudita", "Thamnolecania gerlachei", "Lymanopoda necalba", "Thamnolecania iodoflavescens", "Thamnolecania mawsonii", "Lymanopoda confusiana", "Thamnolecania subvermicularis", "Lymanopoda dietzi rosanna", "Lymanopoda dietzi argentata", "Lymanopoda dietzi vetula", "Lymanopoda dietzi oliva", "Lymanopoda dietzi neildi", "Squamacidia janeirensis", "Eremogone aculeata", "Cryptocandona vavrai", "Mecodema angustulum", "Mecodema brittoni", "Mecodema bullatum", "Mecodema chiltoni", "Mecodema costipenne", "Mecodema crenicolle", "Mecodema ducale", "Mecodema validum", "Mecodema dunense", "Mecodema dux", "Mecodema elongatum", "Mecodema femorale", "Mecodema florae", "Mecodema hector", "Mecodema impressum", "Mecodema infimate", "Mecodema integratum", "Mecodema laterale", "Mecodema litoreum", "Mecodema politanum", "Mecodema striatum", "Mecodema longicolle", "Mecodema proximum", "Mecodema nitidum", "Mecodema pulchellum", "Mecodema punctatum", "Mecodema rectolineatum", "Mecodema rex", "Mecodema metallicum", "Mecodema minax", "Mecodema sculpturatum", "Mecodema simplex", "Atolla tenella", "Atolla wyvillei", "Voragonema laciniata", "Tetramorium aculeatum", "Noctulana noctula", "Melphinyet tarace", "Melphinyet unistriga", "Melphinyet statirides", "Melphinyet flavina", "Melphinyet eala", "Melphina malthina", "Melphina statira", "Eremogone pumicola", "Melphina melphis", "Eremogone lychnidea", "Melphina hulstaerti", "Melphina evansi", "Salvelinus umbla", "Triphora uniflora", "Dicepolia nigritinctalis", "Caenides dacenova", "Carathis gortynoides", "Carathis alayorum", "Carathis australis", "Carathis septentrionalis", "Carathis byblis", "Triphora trianthophoros subsp. mexicana", "Sarisophora pyrrhotata", "Sarisophora beckerina", "Sarisophora hadroides", "Sarisophora melanotata", "Sarisophora notornis", "Sarisophora designata", "Sarisophora cyanostigmatis", "Sarisophora praecentrix", "Sarisophora tamiodes", "Entheus warreni", "Gobiletria kaszabi", "Ceratophaga lichmodes", "Monopis magelodelta", "Monopis megalodelta", "Perissomastix christinae", "Cylicobathra chionarga", "Microcerberus plesai", "Isolatocereus dumortieri", "Cypria javana", "Cypria asiatica", "Magnolia quetzal", "Eremogone stenomeres", "Limenitis populi", "Limenitis populi szechwanica", "Neptis philyroides maotai", "Neptis nemorosa", "Neptis nemorosa diqingensis", "Phaedyma aspasia", "Luzula alopecurus", "Phaedyma aspasia weisiensis", "Luzula arcuata", "Neptis nemorosa nemorosa", "Luzula comosa", "Luzula elegans", "Luzula glabrata", "Luzula luzuloides", "Luzula multiflora", "Luzula nivea", "Phaedyma aspasia falda", "Luzula piperi", "Luzula wahlenbergii", "Achroia grisella", "Erebia wanga", "Lobobunaea lemairei", "Lobobunaea sorangei", "Lobobunaea klemettii", "Lobobunaea jokineni", "Acianthera magalhanesii", "Psyllopsis distinguenda", "Psyllopsis repens", "Psyllopsis discrepans", "Psyllopsis dobreanuae", "Psyllopsis machinosa", "Psyllopsis securicola", "Psyllopsis mexicana", "Psyllopsis meliphila", "Psyllopsis narzykulovi", "Oceanites oceanicus chilensis", "Mecodema simulans", "Mecodema punctifer", "Sparganium americanum", "Sparganium androcladum", "Sparganium angustifolium", "Sparganium erectum", "Sparganium eurycarpum", "Sparganium simplex", "Sparganium stenophyllum", "Ecdeiocolea monostachya", "Galiteuthis phyllura", "Galiteuthis glacialis", "Galiteuthis armata", "Teuthowenia megalops", "Teuthowenia pellucida", "Teuthowenia maculata", "Gonatus onyx", "Gonatus antarcticus", "Gonatus fabricii", "Berryteuthis anonychus", "Berryteuthis magister", "Chauliodus macouni", "Chauliodus danae", "Juncus decipiens", "Juncus leschenaultii", "Juncus lesueurii", "Chauliodus vasnetzovi", "Juncus marginatus", "Juncus microcephalus", "Juncus occidentalis", "Juncus orthophyllus", "Juncus sarophorus", "Aglantha digitale", "Aglantha elata", "Aglantha intermedia", "Grimpoteuthis discoveryi", "Grimpoteuthis meangensis", "Grimpoteuthis umbellata", "Grimpoteuthis innominata", "Periphylla periphylla", "Herichthys tamasopoensis", "Oncorhynchus masou", "Litinga mimica gaolingonensis", "Litinga mimica pe", "Synodontis schoutedeni", "Litinga mimica meilius", "Regulus madeirensis", "Australocosmica augustae", "Australocosmica sanctumpatriciusae", "Cephalopone grandis", "Cephalopone potens", "Cyrtopone microcephala", "Cyrtopone curiosa", "Cyrtopone elongata", "Cyrtopone striata", "Messelepone leptogenoides", "Vertigo moulinsiana", "Indiospastus epentheticus", "Mylothra christophi", "Pecteneremus walsinghami", "Pecteneremus decipiens", "Tenieta evae", "Odontognophos dumetana", "Odontognophos dumetata", "Odontognophos dumetata dumetata", "Odontognophos dumetata vindobonica", "Costignophos pullata", "Costignophos pullata pullata", "Costignophos pullata kovacsi", "Euchrognophos variegata", "Euchrognophos variegata variegata", "Euchrognophos variegata subtaurica", "Euchrognophos variegata cava", "Hyssia cavernosa", "Hyssia cavernosa cavernosa", "Hyssia cavernosa korebia", "Hyssia cavernosa kaszabi", "Saragossa porosa", "Saragossa porosa porosa", "Saragossa porosa kenderesiensis", "Dendrobium aberrans", "Geckobia estherae", "Anochetus hohenbergiae", "Micrambe danielssoni", "Litinga mimica rileyi", "Dolgoma rectoides", "Dolgoma striata", "Gandhara vietnamica", "Danielithosia zolotuhini", "Neptis sankara", "Phrissogonus laticostatus", "Macotasa nedoshivinae", "Denteilema unicolora", "Neptis sankara xishuanbannaensis", "Neptis ananta minus", "Neptis cartica", "Neptis cartica pagoda", "Bucsekia mediumpilosa", "Microlithosia pseudodecreta", "Typha domingensis", "Typha elephantina", "Typha laxmannii", "Typha orientalis", "Typha angustata", "Nigidius inaharai", "Platycerus diluvialis", "Tuscaridium cygenum", "Haplophryne triregium", "Peridium longispinum", "Peridium spinipes", "Paracostus englerianus", "Tapeinochilos ananassae", "Stauroteuthis syrtensis", "Stauroteuthis gilchristi", "Benthocodon hyalinus", "Costus afer", "Costus allenii", "Costus arabicus", "Costus dubius", "Costus malortieanus", "Costus mosaicus", "Costus pulverulentus", "Costus rumphianus", "Costus spicatus", "Costus stenophyllus", "Costus tappenbeckianus", "Costus woodsonii", "Hammada griffithii", "Casaleia inversa", "Casaleia eocenica", "Pseudectatomma eocenica", "Pseudectatomma striatula", "Pachycondyla eocenica", "Pachycondyla lutzi", "Pachycondyla messeliana", "Pachycondyla minuta", "Pachycondyla petiolosa", "Pachycondyla petrosa", "Dynamine chiquita", "Alesa suzana", "Alesa prema", "Alesa telephae", "Alesa fournierae", "Alesa amesis", "Alesa rothschildi", "Alesa lipara", "Alesa hemiurga", "Alesa thelydrias", "Protopone germanica", "Protopone? dubia", "Protopone magna", "Protopone oculata", "Protopone sepulta", "Protopone vetula", "Protopone primigena", "Lemaireocereus lepidanthus", "Gymnocaesio gymnoptera", "Dichagyris lobato", "Dichagyris vivida", "Dichagyris rubripenna", "Dichagyris madida", "Dichagyris richioides", "Dichagyris perotensis", "Dichagyris aphronus", "Dichagyris larga", "Dichagyris cyminopristes", "Dichagyris longivesica", "Dichagyris neaphronus", "Dichagyris perplexa", "Equinoxiodus alcantarensis", "Dichagyris hahama", "Dorypteryx albicans", "Galearis camtschatica", "Salarias patzneri", "Salarias sibogai", "Salarias obscurus", "Salarias ramosus", "Salarias segmentatus", "Hypleurochilus bananensis", "Cytherella pleistocenica", "Bothriechis thalassinus", "Cytherella santosensis", "Acianthera minima", "Drasteria pulverosa", "Dipterygonotus balteatus", "Drasteria pulchra", "Paragordius obamai", "Salvinia radula", "Salvinia sprucei", "Azolla geneseana", "Centrolepis cambodiana", "Centrolepis strigosa", "Azolla arctica", "Azolla circinata", "Clethra occidentalis", "Salvinia adnata", "Salvinia cerebrata", "Salvinia rhenana", "Salvinia preauriculata", "Salvinia mildeana", "Neptis kuangtungensis", "Eugerdella celata", "Eugerdella margaretae", "Tetramorium agile", "Neptis kuangtungensis kuangtungensis", "Heliconia metallica", "Heliconia platystachys", "Heliconia psittacorum", "Heliconia stricta", "Heliconia wagneriana", "Calathea crotalifera", "Calathea lutea", "Donax canniformis", "Cerapteryx megala", "Cerapteryx megala megala", "Cerapteryx megala tugani", "Acianthera miqueliana", "Cucullia behouneki", "Cucullia behouneki behouneki", "Cucullia behouneki korsosi", "Apopestes noe", "Acianthera wawraeana", "Acianthera cryptantha", "Acianthera punctatiflora", "Acianthera fenestrata", "Acianthera langeana", "Pseudocordylus langi", "Acianthera octophrys", "Maranta amazonica", "Maranta arundinacea", "Maranta conspicua", "Maranta divaricata", "Eupithecia bohatschi", "Limenitis homeyeri", "Limenitis homeyeri sugiyamai", "Eupithecia sachalini", "Eupithecia fennoscandica", "Neptis speyeri", "Caloptilia jurateae", "Neptis speyeri genulfa", "Neptis speyeri chuang", "Osmunda claytoniana", "Osmunda japonica", "Osmunda bromeliifolia", "Neptis thetis", "Neptis thetis pumi", "Timelaea albescens", "Eupithecia omnigera", "Timelaea albescens longshengensis", "Eupithecia sclerata", "Eupithecia paupera", "Eupithecia fulgurata", "Timelaea maculata", "Eupithecia inexplicabilis", "Eupithecia proprivata", "Eupithecia costisignata", "Temnothorax microreticulatus", "Calinaga lhatso", "Temnothorax himachalensis", "Temnothorax kashmirensis", "Calinaga lhatso senseiensis", "Eupithecia subomnigera", "Eupithecia pamiri", "Eupithecia hangayorum", "Tenedocythere trindadensis", "Cucullia marci", "Cucullia jakesi", "Isognathus rimosa", "Azolla caroliniana", "Azolla microphylla", "Azolla pinnata", "Salvinia auriculata", "Salvinia biloba", "Salvinia cucullata", "Salvinia hastata", "Salvinia herzogii", "Salvinia minima", "Salvinia molesta", "Euptelea pleiosperma", "Dracula deltoidea", "Pseudobombax calcicola", "Pseudobombax parvifolium", "Pseudobombax minimum", "Pseudoplatystoma punctifer", "Heliconia aurantiaca", "Heliconia bihai", "Heliconia caribaea", "Heliconia collinsiana", "Heliconia crassa", "Heliconia hirsuta", "Heliconia indica", "Heliconia latispatha", "Heliconia librata", "Heliconia mariae", "Maranta pohliana", "Maranta sobolifera", "Phenakospermum guyannense", "Phyllanthus fluitans", "Phyllanthus polygonoides", "Phyllanthus warnockii", "Metaglymma aberrans", "Metaglymma moniliferum", "Metaglymma tibiale", "Ceratodus concinnus", "Nepenthes adnata", "Nepenthes alata", "Nepenthes albomarginata", "Nepenthes argentii", "Nepenthes bellii", "Nepenthes benstonei", "Nepenthes bongso", "Nepenthes boschiana", "Nepenthes burbidgeae", "Nepenthes burkeii", "Nepenthes campanulata", "Nepenthes danseri", "Nepenthes deaniana", "Nepenthes densiflora", "Nepenthes diatas", "Nepenthes distillatoria", "Nepenthes edwardsiana", "Nepenthes ephippiata", "Nepenthes eustachya", "Nepenthes eymae", "Nepenthes faizaliana", "Nepenthes fusca", "Nepenthes glabrata", "Artigisa melanephele", "Apopestes phantasma", "Apopestes phantasma phantasma", "Aroga gozmanyi", "Hypatima mediofasciana", "Cryphia uzahovi", "Amphipoea aslanbeki", "Acianthera montana", "Pabstiella fusca", "Cerodirphia chrisbrechlinae", "Cerodirphia parvagans", "Cerodirphia occikani", "Cerodirphia roseobasalis", "Cerodirphia paradama", "Cerodirphia rubrocarpishiana", "Cerodirphia fuscajamarcensis", "Cerodirphia chanchillensis", "Cerodirphia fuscarpishiana", "Cerodirphia siriae", "Neotermitosocius bolivianus", "Harrisia sect.", "Nepenthes macrovulgaris", "Nepenthes madagascariensis", "Nepenthes mapuluensis", "Nepenthes masoalensis", "Nepenthes maxima", "Nepenthes merrilliana", "Nepenthes micramphora", "Nepenthes mikei", "Nepenthes mindanaoensis", "Nepenthes mira", "Nepenthes mirabilis", "Nepenthes mollis", "Nepenthes muluensis", "Nepenthes neoguineensis", "Nepenthes northiana", "Nepenthes ovata", "Nepenthes paniculata", "Nepenthes papuana", "Nepenthes pervillei", "Nepenthes petiolata", "Nepenthes philippinensis", "Nepenthes pilosa", "Nepenthes platychila", "Nepenthes reinwardtiana", "Nepenthes rhombicaulis", "Nepenthes rigidifolia", "Nepenthes rowanae", "Nepenthes sanguinea", "Nepenthes saranganiensis", "Nepenthes sibuyanensis", "Nepenthes singalana", "Nepenthes spathulata", "Nepenthes spectabilis", "Nepenthes stenophylla", "Nepenthes sumatrana", "Nepenthes talangensis", "Nepenthes tentaculata", "Nepenthes tenuis", "Alchemilla microscopica", "Acianthera caldensis", "Alchemilla nitida", "Alchemilla erythropodoides", "Acianthera duartei", "Acianthera fabiobarrosii", "Acianthera glumacea", "Acianthera gracilis", "Acianthera hygrophila", "Hemicythere hornibrooki", "Genyonemus lineatus", "Mezium natalense", "Narycia maschukella", "Narycia negligata", "Narycia tarkitavica", "Nepenthes gracillima", "Nepenthes glandulifera", "Nepenthes gymnamphora", "Nepenthes hamata", "Nepenthes hirsuta", "Nepenthes inermis", "Nepenthes insignis", "Nepenthes izumiae", "Nepenthes jacquelineae", "Nepenthes khasiana", "Nepenthes klossii", "Nepenthes lamii", "Nepenthes longifolia", "Nepenthes lowii", "Nepenthes macfarlanei", "Aptostichus barackobamai", "Menneus bituberculatus", "Menneus superciliosus", "Menneus nemesio", "Menneus neocaledonicus", "Menneus quasimodo", "Menneus trinodosus", "Menneus wa", "Menneus aussie", "Sinanapis longituba", "Harrisia subg.", "Harrisia subg.", "Harrisia sect.", "Nepenthes thorelii", "Nepenthes tobaica", "Nepenthes tomoriana", "Nepenthes treubiana", "Stichaster australis", "Nepenthes truncata", "Nepenthes veitchii", "Nepenthes ventricosa", "Nepenthes vieillardii", "Nepenthes villosa", "Nepenthes vogelii", "Cyphonia clavata", "Nephroma flavorhizinatum", "Phiala occidentalis", "Epijana vingerhoedti", "Thelyschista ghillanyi", "Harrisia ser.", "Harrisia sect.", "Acianthera adamantinensis", "Menneus camelus", "Menneus capensis", "Menneus darwini", "Menneus dromedarius", "Menneus samperi", "Menneus tetragnathoides", "Metisa canifrons", "Metisa griseoalba", "Metisa hypoleuca", "Metisa heylaertsi", "Metisa jansei", "Metisa nainiagini", "Metisa plana", "Metisa saccharivora", "Metura elongatus", "Metura oceanica", "Microcossus mackwoodi", "Moffatia plumicauda", "Monda afra", "Monda bicolor", "Monda brevicosta", "Monda delicatissima", "Monda elegans", "Monda immunda", "Monda junctimacula", "Monda fragilissima", "Monda stupida", "Montanima aurea", "Montanima karavankensis", "Montanima predotae", "Montanima venetiana", "Naevipenna aphaidropa", "Naevipenna cruttwellae", "Naevipenna crutwellae", "Neomeristis abscensella", "Napecoetes belogramma", "Napecoetes crossospila", "Microlepidogaster arachas", "Thecostele alata", "Napecoetes chrysomitra", "Napecoetes scoteina", "Imerinaea madagascarica", "Porphyroglottis maxwelliae", "Narycia archipica", "Narycia astrella", "Thaia saprophytica", "Narycia duplicella", "Narycia infernalis", "Acianthera macropoda", "Acianthera exarticulata", "Acianthera fockei", "Acianthera heringeri", "Leptogium caesium", "Acianthera johannensis", "Leptogium caesium var. caesium", "Cretevania bechlyi", "Acianthera klotzschiana", "Acianthera leptotifolia", "Leptogium caesium var. pichneum", "Acianthera muscosa", "Loefgrenianthus blanche-amesiae", "Callitettix versicolor", "Callitettix braconoides", "Callitettix biformis", "Callitettix carinifrons", "Acianthera auriculata", "Alchemilla abchasica", "Alchemilla armeniaca", "Alchemilla bornmuelleri", "Alchemilla bursensis", "Alchemilla buseriana", "Alchemilla compactilis", "Alchemilla crinita", "Alchemilla gigantodus", "Alchemilla grossheimii", "Parmelina yalungana", "Alchemilla hirtipedicellata", "Alchemilla heterophylla", "Alchemilla hessii", "Alchemilla hirsutiflora", "Alchemilla holocycla", "Alchemilla lithophila", "Alchemilla orduensis", "Alchemilla oligotricha", "Alchemilla oriturcica", "Alchemilla tiryalensis", "Alchemilla persica", "Alchemilla orthotricha", "Alchemilla sciadiophylla", "Alchemilla stricta", "Alchemilla stevenii", "Alchemilla straminea", "Alchemilla valdehirsuta", "Alchemilla paracompactilis", "Alchemilla pectiniloba", "Alchemilla porrectidens", "Acianthera aveniformis", "Alchemilla procerrima", "Alchemilla akdoganica", "Alchemilla amoena", "Alchemilla ayazii", "Alchemilla bandericensis", "Alchemilla echinogloba", "Alchemilla effusa", "Alchemilla elisabethae", "Acianthera asaroides", "Alchemilla erectilis", "Alchemilla minusculiflora", "Psechrus vivax", "Psechrus obtectus", "Psechrus fuscai", "Psechrus clavis", "Psechrus hartmanni", "Psechrus zygon", "Psechrus tauricornis", "Psechrus crepido", "Psechrus schwendingeri", "Psechrus aluco", "Psechrus annulatus", "Psechrus argentatus", "Psechrus borneo", "Psechrus cebu", "Mystus tengara", "Mystus vittatus", "Mystus dibrugarensis", "Mystus cavasius", "Mystus gulio", "Mystus bleekeri", "Charaxes hansali", "Acianthera ochreata", "Acianthera ochreata subsp. cylindrifolia", "Acianthera myrticola", "Leptogium diffractum", "Orchestes fagi", "Cyphagogus modiglianii", "Cyphagogus fijianus", "Odontolabis castelnaudi", "Cyclommatus canaliculatus", "Holotrichia geilenkeuseri", "Apogonia destructor", "Gymnopleurus qurosh", "Gymnopleurus naviauxi", "Dorcus parryi", "Psechrus ulcus", "Psechrus decollatus", "Psechrus elachys", "Psechrus norops", "Psechrus arcuatus", "Psechrus laos", "Psechrus inflatus", "Psechrus pakawini", "Psechrus demiror", "Psechrus jaegeri", "Charaxes hansali hansali", "Charaxes hansali baringana", "Charaxes hansali kutalae", "Charaxes hansali arabica", "Charaxes lucretius", "Charaxes lucretius lucretius", "Charaxes lucretius intermedius", "Charaxes lucretius maximus", "Charaxes monteiri", "Charaxes protoclea", "Charaxes protoclea protoclea", "Charaxes protoclea protonothodes", "Charaxes protoclea nothodes", "Charaxes protoclea catenaria", "Charaxes protoclea azota", "Acianthera crinita", "Acianthera recurva", "Typhochlaena seladonia", "Typhochlaena amma", "Typhochlaena costae", "Typhochlaena curumim", "Typhochlaena paschoali", "Acianthera karlii", "Acianthera jacarepaguaensis", "Acianthera sabinoana", "Pleurothallis mantiquyrana", "Mirabilis nyctaginea", "Mirabilis rotundifolia", "Mirabilis viscosa", "Acianthera aculeata", "Pisonia alba", "Pisonia grandis", "Pisonia excelsa", "Pisonia zapallo", "Acianthera acuminatipetala", "Acianthera adirii", "Eumedonia eumedon rondensis", "Acianthera aechme", "Acianthera agathophylla", "Pabstiella alligatorifera", "Hymenopus coronatoides", "Hymenopus coronatus", "Polyommatus violetae", "Acianthera amaralii", "Acianthera angustifolia", "Herila herilus", "Dalla pura", "Leptogium wilsonii", "Dalla plancus", "Dalla pincha", "Dalla ramirezi", "Dalla puracensis", "Dalla oxaites", "Dalla orsines", "Dalla nubes", "Dalla ochrolimbata", "Scopula succrassula", "Scopula subtracta", "Scopula subserena", "Scopula subrubellata", "Scopula subtaeniata", "Acianthera tricarinata", "Acianthera teres", "Pardosa fritzeni", "Charaxes bwete", "Pardosa zonsteini", "Pardosa ovtchinnikovi", "Pardosa trottai", "Pardosa mikhailovi", "Pardosa gromovi", "Pardosa pantinii", "Charaxes andrefana", "Charaxes baumanni baumanni", "Charaxes baumanni bamptoni", "Charaxes baumanni bwamba", "Charaxes baumanni didingensis", "Charaxes baumanni interposita", "Charaxes baumanni tenuis", "Charaxes baumanni granti", "Charaxes baumanni selousi", "Charaxes baumanni whytei", "Charaxes baumanni nyiro", "Acianthera sonderiana", "Acianthera purpureoviolacea", "Charaxes castor", "Charaxes castor castor", "Charaxes castor arthuri", "Hedyselmis opis", "Hedyselmis belatani", "Scolecenchelys fuscogularis", "Onychostoma minnanensis", "Hypoplectrus atlahua", "Chromis fieldi", "Thysanophrys randalli", "Thysanophrys rarita", "Thysanophrys springeri", "Thysanophrys tricaudata", "Harrisia tortuosa var. tortuosa", "Leptogium phyllocarpum var. phyllocarpum", "Leptogium phyllocarpum var. turneri", "Acianthera luteola", "Dendrocereus nudiflorus", "Salvinia exigua", "Homothecium chilense", "Homothecium intermedium", "Homothecium opulentum", "Homothecium patagonicum", "Nepenthes andamana", "Nepenthes bokorensis", "Nepenthes chang", "Homothecium sorediosum", "Nepenthes chaniana", "Nepenthes flava", "Nepenthes hispida", "Nepenthes hurrelliana", "Nepenthes jamban", "Nepenthes kampotiana", "Nepenthes kerrii", "Nepenthes lingulata", "Nepenthes mantalingajanensis", "Nepenthes murudensis", "Nepenthes naga", "Nepenthes peltata", "Nepenthes pitopangii", "Nepenthes ramispina", "Nepenthes smilesii", "Nepenthes suratensis", "Nepenthes surigaoensis", "Nepenthes tenax", "Nepenthes thai", "Homothecium opulentum var. opulentum", "Polyommatus violetae subbaeticus", "Homothecium opulentum var. redonii", "Acianthera aphthosa", "Mirabilis alipes", "Mirabilis greenei", "Acianthera bicarinata", "Mirabilis macfarlanei", "Mirabilis coccinea", "Mirabilis expansa", "Acianthera aberrans", "Mirabilis himalaica", "Mirabilis linearis", "Bomarea acutifolia", "Callinectes exasperatus", "Cupido minimus trinacriae", "Acianthera ciliata", "Agriades zullichi", "Tirumala hamata", "Argonauta cygnus", "Synodontis serpentis", "Synodontis serratus", "Carum buriaticum", "Synodontis smiti", "Synodontis soloni", "Brunia gibonica", "Synodontis sorex", "Brunia lacrima", "Synodontis steindachneri", "Synodontis tessmanni", "Hua gabonii", "Synodontis thamalakanensis", "Synodontis thysi", "Zygophyllum dumosum", "Celaenorrhinus andamanicus", "Celaenorrhinus andamanicus andamanicus", "Celaenorrhinus andamanicus hanna", "Daimio tethys", "Callitettix contiguus", "Callitettix coomani", "Callitettix costalis", "Callitettix proximus", "Callitettix ruficeps", "Cyphagogus hirsutus", "Elmomorphus brevicornis", "Pseudophyllus titan", "Noideattella amboa", "Noideattella assumptia", "Noideattella gamela", "Noideattella famafa", "Noideattella saka", "Noideattella tsiba", "Noideattella mamba", "Noideattella tany", "Noideattella fantara", "Noideattella lakana", "Noideattella farihy", "Tolegnaro sagani", "Tolegnaro kepleri", "Oreonetides quadridentatus", "Stenoglene basquini", "Stenoglene inversus", "Stenoglene kenyensis", "Stenoglene leonardi", "Stenoglene brunneus", "Stenoglene clucki", "Stenoglene noellae", "Stenoglene pseudosygina", "Stenoglene perissinottoi", "Stenoglene plenevauxae", "Stenoglene morettoi", "Stenoglene sinjaevi", "Stenoglene dallastai", "Stenoglene dufranei", "Murphyana rayi", "Leptogium biloculare", "Leptogium bullatulum", "Leptogium crispatellum", "Leptogium fallax", "Leptogium granulans", "Leptogium javanicum", "Leptogium limbatum", "Leptogium moluccanum", "Leptogium pecten", "Leptogium philorheuma", "Leptogium puberulum", "Leptogium tasmanicum", "Leptogium victorianum", "Glaucopsyche alexis alexis", "Bomarea subg.", "Glaucopsyche aeruginosa", "Glaucopsyche aeruginosa aeruginosa", "Glaucopsyche aeruginosa tshatkala", "Bomarea subg.", "Bomarea subg.", "Bomarea subg.", "Acianthera angustisepala", "Acianthera antennata", "Bomarea subg.", "Acianthera atroglossa", "Bomarea subg.", "Leciophysma finmarkicum", "Leciophysma furfurascens", "Leciophysma japonicum", "Leciophysma neocaledonicum", "Leciophysma occidentale", "Leciophysma subantarcticum", "Pachistopelma bromelicola", "Leightoniella zeylanensis", "Dichotropis brevis", "Dichotropis flexuosa", "Dichotropis maai", "Dichotropis nivea", "Dichotropis peregrina", "Dichotropis sedlacekorum", "Dichotropis straatmani", "Dichotropis sublimis", "Bomarea multiflora", "Cyathea arborea", "Cyathea borinquena", "Cyathea fulva", "Aricia morronensis", "Cyathea bipinnatifida", "Cyathea \u00d7 wilsonii", "Daimio tethys tethys", "Daimio tethys roona", "Daimio tethys birmana", "Carterocephalus alcina", "Petrophora kaszabi", "Afrostyrax lepidophyllus", "Galbulimima belgraveana", "Trithuria submersa", "Iridopelma zorodes", "Iridopelma vanini", "Iridopelma katiae", "Iridopelma oliveirai", "Iridopelma marcoi", "Acianthera binotii", "Acianthera tristis", "Acianthera pardipes", "Odilla noralis", "Acianthera marumbyana", "Eucatagma amyrisella", "Aponema subtile", "Holboellia angustifolia", "Holboellia coriacea", "Holboellia grandiflora", "Stauntonia brunoniana", "Angiopteris evecta", "Angiopteris hypoleuca", "Angiopteris javanica", "Angiopteris palmiformis", "Angiopteris pruinosa", "Angiopteris suboppositifolia", "Marattia brassii", "Anoeconeossa bundoorensis", "Placoscopana nigrilinea", "Erioderma americanum", "Nactus galgajuga", "Erioderma barbellatum", "Planonasus parini", "Erioderma cyathophorum", "Erioderma divisum", "Erioderma gloriosum", "Erioderma papyraceum", "Erioderma pycnidiferum", "Erioderma sinuatum", "Erioderma latilobatum", "Erioderma peruvianum", "Erioderma hypomelaenum", "Annona sect.", "Acianthera oligantha", "Erioderma javanicum", "Pseudonchus donsi", "Pseudonchus longus", "Pseudonchus norwegicus", "Pseudonchus virginiae", "Erioderma limbatum", "Annona sect.", "Acianthera micrantha", "Erioderma meiocarpum", "Erioderma microcarpum", "Monistria concinna", "Trachymela papulosa", "Erioderma phaeorhizum", "Paropsisterna agricola", "Paropsisterna aurea", "Paropsisterna subcostata", "Neosesarma hirsutus", "Erioderma physcioides", "Erioderma polycarpum", "Erioderma pulchrum", "Erioderma rigidum", "Erioderma unguigerum", "Primula davisii", "Erioderma boreale", "Erioderma borneense", "Primula sect.", "Erioderma granulosum", "Fufius striatipes", "Erioderma laminisorediatum", "Erioderma marcellii", "Vitalius nondescriptus", "Erioderma nilsonii", "Oxyopes boriensis", "Oxyopes kohaensis", "Architectonica acuta", "Vespula consobrina", "Vespula pensylvanica", "Provespa anomala", "Provespa barthelemyi", "Provespa nocturna", "Pempheris ufuagari", "Acianthera ophiantha", "Pempheris compressa", "Erioderma chilense", "Erioderma glabrum", "Erioderma glaucescens", "Erioderma groenlandianum", "Onepunema enigmaticum", "Acianthera glanduligera", "Acianthera panduripetala", "Leperina gayndahensis", "Acianthera papillosa", "Acianthera serpentula", "Acianthera ramosa", "Odontolabis chewi", "Acianthera macuconensis", "Acianthera nemorosa", "Agnus egenus", "Agnus gomyi", "Ferula michaelii", "Ferula hyrcana", "Ferula sabulosum", "Brillantaisia owariensis", "Monechma depauperatum", "Monechma genistifolium", "Scolopsis igcarensis", "Phlogacanthus turgidus", "Acerentulus shrubovychae", "Ruellia nudiflora", "Schwabea ciliaris", "Streblacanthus roseus", "Strobilanthes hamiltoniana", "Tetramerium nervosum", "Araeomolis transversa", "Araeomolis peruviana", "Kolibacia tibialis", "Kolibacia squamulata", "Acanthophippium bicolor", "Kolibacia tsushimana", "Acanthophippium javanicum", "Acanthophippium mantinianum", "Phanodesta manawatawhi", "Acianthera bibarbellata", "Annona sect.", "Acianthera saundersiana", "Acianthera translucida", "Leperina burnettensis", "Leperina cincta", "Leperina fraterna", "Leperina lichenea", "Leperina lifuana", "Leperina loriae", "Leperina mastersi", "Leperina monilata", "Leperina opatroides", "Leperina spercheoides", "Leperina turbata", "Annona sect.", "Acianthera yauaperyensis", "Eutheia laolongiana", "Veraphis assingi", "Veraphis gansuanus", "Cottus specus", "Annona sect.", "Annona sect.", "Persicaria lapathifolia subsp. lapathifolium", "Persicaria lapathifolia subsp. nodosa", "Persicaria lapathifolia subsp. pallidum", "Persicaria glacialis", "Glyphidrilus mekongensis", "Glyphidrilus papillatus", "Glyphidrilus malayanus", "Euploea swainson", "Glyphidrilus birmanicus", "Glyphidrilus yunnanensis", "Euploea swainson swainson", "Glyphidrilus singaporrensis", "Glyphidrilus vangviengensis", "Calinaga davidis", "Arhopala agaba agaba", "Arhopala agaba aborigina", "Polygonum khajeh-jamali", "Annona sect.", "Agonimia flabelliformis", "Diploschistes albopruinosus", "Erioderma vellerigerum", "Erioderma velligerum", "Codakia orbicularis", "Cupido lorquinii", "Cupido carswelli", "Erioderma verruculosum", "Erioderma wrightii", "Nemastylis geminiflora", "Calycocarpum lyonii", "Ligophorus navjotsodhii", "Ligophorus chelatus", "Ligophorus funnelus", "Ligophorus parvicopulatrix", "Ligophorus bantingensis", "Saurauia scabrida", "Ligophorus careyensis", "Ligophorus kedahensis", "Ligophorus fenestrum", "Verbascum lindae", "Acianthera welsiae-windischiae", "Penaincisalia felizitas", "Acianthera wageneriana", "Astelia chathamica", "Astelia fragrans", "Astelia graminea", "Astelia grandis", "Astelia linearis", "Astelia nivicola", "Astelia skottsbergii", "Astelia subulata", "Astelia trinervia", "Milligania densiflora", "Acianthera prolifera", "Pterostyrax corymbosus", "Pterostyrax hispidus", "Pterostyrax psilophyllus", "Sinojackia rehderiana", "Sinojackia xylocarpa", "Acianthera pectinata", "Acianthera wyvern", "Styrax americanus", "Styrax benzoides", "Styrax calvescens", "Styrax camporum", "Styrax confusus", "Annamaria draudti", "Styrax benzoin", "Styrax dasyanthus", "Styrax faberi", "Styrax formosanus", "Styrax grandifolius", "Styrax hemsleyanus", "Styrax hookeri", "Styrax japonicus", "Styrax limprichtii", "Annamaria ganimedes", "Styrax maninul", "Styrax obassia", "Styrax odoratissimus", "Styrax platanifolius", "Styrax portoricensis", "Styrax serrulatus", "Styrax shiraianus", "Styrax suberifolius", "Styrax tonkinensis", "Styrax wilsonii", "Annamaria lathyi", "Hemigraphis angustifolia", "Hemigraphis bicolor", "Justicia aurea", "Brevianta saphonota", "Justicia floribunda", "Annona sect.", "Phanodesta carinata", "Phanodesta oculata", "Phanodesta tepaki", "Phanodesta brounii", "Phanodesta nigrosparsa", "Acianthera biceps", "Phanodesta shandae", "Phanodesta sobrina", "Phanodesta wakefieldi", "Phanodesta pudica", "Acianthera bicornuta", "Acianthera bidentata", "Acianthera bidentula", "Phanodesta argentea", "Phanodesta brevipennis", "Phanodesta cribraria", "Phanodesta cribrata", "Phanodesta francoisi", "Phanodesta guerini", "Phanodesta iohowi", "Phanodesta pubescens", "Phanodesta robusta", "Phanodesta signoreti", "Phanodesta variegata", "Grynoma ambiguum", "Sambucus adnata", "Sambucus australis", "Sambucus canadensis", "Sambucus javanica", "Aphloia theiformis", "Gymnostoma nobile", "Iodes seguinii", "Nasa triphylla", "Phanodesta fasciolata", "Phanodesta picea", "Leperina decorata", "Leperina cirrosa", "Leperina adusta", "Leperina lacera", "Pannaria minutiphylla", "Pannaria pulverulacea", "Niesslia echinoides", "Vespa orientalis arabica", "Vespa orientalis somalica", "Vespa orientalis zavatarii", "Carbacanthographis chilensis", "Persicaria subsessilis", "Athamanthia eitschbergeri", "Alstroemeria longistaminea", "Alstroemeria speciosa", "Acianthera serrulatipetala", "Bomarea carderi", "Bomarea nematocaulon", "Bomarea ovata", "Bomarea rosea", "Bomarea distichophylla", "Bomarea salsilla", "Acianthera melachila", "Luzuriaga laxifolia", "Persicaria lapathifolia subsp. brittingeri", "Eryngium alismifolium", "Eryngium heterophyllum", "Eryngium hookeri", "Eryngium integrifolium", "Chasmatophyllum stanleyi", "Cylindera pseudokibbyana", "Epipremnum amplissimum", "Epipremnum ceramense", "Epipremnum falcifolium", "Homalomena wallisii", "Homalomena griffithii", "Homalomena humilis", "Homalomena occulta", "Homalomena pendula", "Homalomena punctulata", "Typhonium giganteum", "Typhonium trilobatum", "Brassaiopsis glomerulata", "Chengiopanax fargesii", "Chrysoteuchia culmella", "Dyakia janus", "Dyakia perstriata", "Dyakia euconus", "Dyakia hugonis", "Dyakia kintana", "Abertella aberti", "Tylopus phanluongi", "Pempheris oualensis", "Bothriechis schlegelii", "Tylopus degerboelae", "Ostoma pippingskoeldi", "Tylopus haplorugosus", "Tylopus prosperus", "Tylopus jeekeli", "Tylopus rugosus", "Pedetontus bouvieri", "Pedetontus meridionalis", "Machilellus heteropalpus", "Machilontus phami", "Machilontus lii", "Machilontus medogensis", "Valleriola javanica", "Polyommatus pulchella", "Polyommatus pulchella pulchella", "Polyommatus pulchella chaburobata", "Erebia sokolovi", "Erebia sokolovi sokolovi", "Erebia progne", "Erebia progne progne", "Erebia progne samodurovi", "Annona sect.", "Annona sect.", "Changnienia amoena", "Annona sect.", "Acianthera cabiriae", "Acianthera caparaoensis", "Acianthera capillaris", "Pseudocandona sywulai", "Acianthera carinata", "Acianthera cogniauxiana", "Centrostachys aquatica", "Digera muricata", "Hebanthe eriantha", "Leucosphaera bainesii", "Pleuropterantha revoilii", "Psilotrichum ferrugineum", "Tidestromia lanuginosa", "Acianthera casapensis", "Bijlia tugwelliae", "Carpobrotus muirii", "Acianthera cerberus", "Acianthera chamelopoda", "Conophytum jucundum", "Acianthera chionopa", "Acianthera chrysantha", "Leotichius speluncularum", "Acianthera circumplexa", "Conophytum angelicae", "Conophytum auriflorum", "Acianthera compressicaulis", "Corallocoris marksae", "Pentacora malayensis", "Salduncula murphyi", "Salduncula fasciata", "Salduncula palawanensis", "Erepsia forficata", "Galenia pallens", "Acianthera crassilabia", "Acianthera cremasta", "Acianthera cryptophoranthoides", "Acianthera decipiens", "Acianthera decurrens", "Acianthera deserta", "Acianthera dichroa", "Acianthera discophylla", "Acianthera dutrae", "Acianthera ellipsophylla", "Acianthera erebatensis", "Acianthera erosa", "Acianthera erythrogramma", "Acianthera esmeraldae", "Acianthera exdrasii", "Acianthera eximia", "Acianthera variegata", "Glottiphyllum difforme", "Glottiphyllum longum", "Glottiphyllum nelii", "Glottiphyllum surrectum", "Acianthera capanemae", "Acianthera butantanensis", "Tylopus spinisterna", "Tylopus roseiparaterga", "Tylopus golovatchi", "Tylopus sapaensis", "Tylopus hilaris", "Tylopus nodulipes", "Tylopus crassipes", "Tylopus strongylosomoides", "Tylopus procurvus", "Tylopus topali", "Tylopus hilaroides", "Tylopus tamdaoensis", "Acianthera bissei", "Tylopus allorugosus", "Acianthera boliviana", "Acianthera brachiloba", "Annona sect.", "Annona sect.", "Acianthera bragae", "Annona sect.", "Acianthera breviflora", "Bembecia rushana", "Acianthera butcheri", "Acianthera saurocephala", "Conophytum bicarinatum", "Conophytum blandum", "Conophytum breve", "Conophytum burgeri", "Conophytum caroli", "Conophytum concavum", "Conophytum depressum", "Conophytum ficiforme", "Conophytum flavum", "Conophytum fraternum", "Conophytum friedrichiae", "Conophytum frutescens", "Conophytum hians", "Conophytum lithopsoides", "Conophytum longum", "Conophytum luckhoffii", "Conophytum lydiae", "Conophytum marginatum", "Conophytum maughanii", "Conophytum meyeri", "Conophytum minimum", "Conophytum minusculum", "Conophytum obscurum", "Conophytum pageae", "Conophytum pellucidum", "Conophytum piluliforme", "Conophytum praesectum", "Conophytum quaesitum", "Conophytum reconditum", "Conophytum regale", "Conophytum smorenskaduense", "Conophytum stephanii", "Conophytum subfenestratum", "Conophytum swanepoelianum", "Conophytum taylorianum", "Conophytum truncatum", "Conophytum turrigerum", "Conophytum uviforme", "Conophytum velutinum", "Conophytum verrucosum", "Conophytum wettsteinii", "Acianthera consatae", "Conophytum khamiesbergense", "Acianthera cordatifolia", "Delosperma echinatum", "Drosanthemum candens", "Drosanthemum hispidum", "Acianthera costabilis", "Pacificulla kekamatana", "Guzmania berteroniana", "Guzmania conifera", "Guzmania lindenii", "Guzmania lingulata", "Guzmania monostachia", "Guzmania musaica", "Pacificulla thrasydora", "Pacificulla philotima", "Lampranthus falcatus", "Lampranthus glaucoides", "Lampranthus glaucus", "Lampranthus pittenii", "Pacificulla miltina", "Pacificulla ignigera", "Pacificulla zonias", "Pacificulla geniola", "Bifrenaria atropurpurea", "Notodonta dedmazai", "Chimonanthus nitens var. nitens", "Levu haedulus", "Levu lactineus", "Levu paganus", "Levu apiatus", "Levu apicalis", "Levu candidus", "Levu confinis", "Levu echinus", "Levu elmohardyi", "Levu erraticus", "Levu immaculatus", "Levu kirkaldyi", "Levu knighti", "Levu kraussi", "Levu nocturnus", "Levu psittacus", "Levu pudens", "Levu rufigena", "Levu shanahani", "Levu simplissimus", "Levu triangularis", "Acianthera hamata", "Glossotrophia bullata", "Idaea ronkayi", "Colostygia salicata", "Chimonanthus nitens", "Chimonanthus nitens var. salicifolius", "Acianthera garciae", "Acianthera geminicaulina", "Acianthera gouveiae", "Acianthera granitica", "Maxillaria picta", "Paralycaeides vapa", "Plagiobothrys arizonicus", "Plagiobothrys bracteatus", "Plagiobothrys chorisianus", "Plagiobothrys collinus", "Plagiobothrys nothofulvus", "Rupisalda thailandana", "Pacificulla flaviagera", "Pacificulla esdiparki", "Pacificulla searsi", "Pacificulla callisomata", "Pacificulla cervicalis", "Fosterella penduliflora", "Synodontis unicolor", "Claviceps africana", "Synodontis vaillanti", "Callambulyx poecilus", "Callambulyx rubricosa", "Callambulyx rubricosa rubricosa", "Callambulyx rubricosa piepersi", "Cyllogenes suradeva", "Cyllogenes woolletti", "Maxillaria marginata", "Maxillaria tricolor", "Trioza malloticola", "Trioza oleariae", "Trioza pallida", "Ruanoho whero", "Ruanoho decemdigitatus", "Cyanea asarifolia", "Cyanea calycina", "Cyanea copelandii", "Cyanea crispa", "Oophytum nanum", "Oophytum oviforme", "Plinthus karooicus", "Acanthocarpus preissii", "Araeosoma bidentatum", "Araeosoma anatirostrum", "Araeosoma bakeri", "Araeosoma leppienae", "Araeosoma migratum", "Araeosoma tertii", "Hapalosoma amynina", "Araeosoma alternatum", "Araeosoma thetidis", "Neoregelia carolinae", "Neoregelia chlorosticta", "Neoregelia marmorata", "Neoregelia pauciflora", "Neoregelia sarmentosa", "Neoregelia spectabilis", "Neoregelia tristis", "Puya alpestris", "Puya dasylirioides", "Puya mirabilis", "Puya spathacea", "Psilocaulon coriarium", "Psilocaulon junceum", "Cleistocactus baumannii", "Wolffiella gladiata", "Wolffiella lingulata", "Wolffiella oblonga", "Hapalosoma pulchrum", "Hapalosoma gemmiferum", "Hapalosoma pellucidum", "Hemerodromia grootaerti", "Wolffia borealis", "Wolffia brasiliensis", "Wolffia columbiana", "Wolffia cylindracea", "Wolffia globosa", "Phanaeus chalcomelas", "Dicronocephalus bowringi", "Spathiphyllum atrovirens", "Spathiphyllum bariense", "Spathiphyllum blandum", "Setophaga flavescens", "Tayloria callophylla", "Tayloria octoblepharum", "Tayloria purpurascens", "Tayloria tasmanica", "Epiphyllum phyllanthus", "Gymnocalycium denudatum", "Matucana fruticosa", "Matucana polzii", "Codonopsis pilosula", "Pantopsalis cheliferoides", "Pantopsalis listeri", "Codonopsis bulleyana", "Codonopsis cardiophylla", "Codonopsis clematidea", "Codonopsis foetens", "Codonopsis javanica", "Codonopsis ovata", "Codonopsis thalictrifolia", "Codonopsis tubulosa", "Apodanthera mandonii", "Apodanthera sagittifolia", "Andersonia sprengelioides", "Pantopsalis albipalpis", "Pantopsalis coronata", "Pantopsalis halli", "Pantopsalis johnsi", "Pantopsalis pococki", "Pantopsalis rennelli", "Pantopsalis snaresensis", "Trioza kentae", "Trioza tricornuta", "Trioza percyae", "Resseliella xanthorrhoeae", "Trioza hopeae", "Javanella kendengensis", "Spathiphyllum brevirostre", "Spathiphyllum cannifolium", "Spathiphyllum cochlearispathum", "Spathiphyllum commutatum", "Spathiphyllum cuspidatum", "Spathiphyllum dressleri", "Spathiphyllum floribundum", "Spathiphyllum friedrichsthalii", "Spathiphyllum fulvovirens", "Spathiphyllum gardneri", "Spathiphyllum gracile", "Spathiphyllum grandifolium", "Spathiphyllum grazielae", "Spathiphyllum humboldtii", "Spathiphyllum jejunum", "Spathiphyllum juninense", "Spathiphyllum kalbreyeri", "Spathiphyllum laeve", "Spathiphyllum lanceifolium", "Spathiphyllum lechlerianum", "Spathiphyllum maguirei", "Spathiphyllum matudae", "Spathiphyllum mawarinumae", "Spathiphyllum minus", "Spathiphyllum monachinoi", "Spathiphyllum neblinae", "Spathiphyllum ortgiesii", "Spathiphyllum patinii", "Spathiphyllum patulinervum", "Spathiphyllum perezii", "Spathiphyllum phryniifolium", "Spathiphyllum quindiuense", "Spathiphyllum schlechteri", "Spathiphyllum schomburgkii", "Spathiphyllum silvicola", "Spathiphyllum solomonense", "Spathiphyllum tenerum", "Spathiphyllum uspanapaensis", "Spathiphyllum wendlandii", "Lepidoscia protorna", "Cosmopterix attenuatella", "Saldula niveolimbata", "Saldula maculipennis", "Saldula parvula", "Saldula trivialis", "Saldula stoneri", "Saldula gilloglyi", "Monopis marcans", "Edosa endroedyi", "Neospastus ubangi", "Hapsifera hilaris", "Theatrista szunyoghyi", "Cornusymmoca mongolica", "Liquidambar excelsa", "Liquidambar gracilipes", "Liquidambar acalycina", "Liquidambar formosana", "Disocactus flagelliformis", "Disocactus macdougallii", "Dichomeris arquata", "Dichomeris brevicornuta", "Dichomeris dentata", "Enoplometopus antillensis", "Dichomeris ligulacea", "Dichomeris paulidigitata", "Dichomeris tenextrema", "Dichomeris ventriprojecta", "Enoplometopus callistus", "Enoplometopus chacei", "Enoplometopus crosnieri", "Meganola subascripta", "Enoplometopus daumi", "Enoplometopus debelius", "Acianthera freyi", "Acianthera fecunda", "Acianthera fornograndensis", "Acianthera fumioi", "Acianthera gracilisepala", "Promanodes alleni", "Scindapsus hederaceus", "Scindapsus marantifolius", "Scindapsus officinalis", "Scindapsus pictus", "Scindapsus splendidus", "Polyscias cumingiana", "Polyscias elegans", "Polyscias fruticosa", "Polyscias fulva", "Zodarion styliferum", "Polyscias guilfoylei", "Polyscias kikuyuensis", "Polyscias nodosa", "Polyscias scutellaria", "Schefflera delavayi", "Schefflera digitata", "Schefflera morototoni", "Schefflera stellata", "Schefflera taiwaniana", "Schefflera toto", "Schefflera venulosa", "Schefflera versteegii", "Schefflera aromatica", "Schefflera attenuata", "Schefflera bractescens", "Schefflera dumicola", "Schefflera elliptica", "Schefflera heptaphylla", "Schefflera hoi", "Schefflera leucantha", "Schefflera megalantha", "Schefflera pauciflora", "Schefflera pueckleri", "Schefflera rhododendrifolia", "Gamblea ciliata", "Saldoida armata", "Saldoida bakeri", "Saldoida slossonae", "Saldoida cornuta", "Saldoida schmitzi", "Saldoida turbara", "Euhyponomeuta lushanensis", "Oecobia frauenfeldi", "Oedonia exigua", "Oiketicoides acuta", "Oiketicoides acutipennis", "Oiketicoides aethiopica", "Sinolapotamon auriculatum", "Sinolapotamon palmatum", "Oiketicoides armena", "Sinolapotamon patellifer", "Morpho hercules", "Maxillaria schunkeana", "Maxillaria chrysantha", "Maxillaria barbosae", "Maxillaria porphyrostele", "Myiothlypis chlorophrys", "Cylindrococcus casuarinae", "Basileuterus culicivorus azarae", "Cylindrococcus spiniferus", "Cytheretta rubra", "Apanteles mohandasi", "Tanacetum eginense", "Tanacetum mucroniferum", "Tanacetum nivale", "Tanacetum zahlbruckneri", "Tanacetum germanicopolitanum", "Tanacetum oltense", "Enoplometopus gracilipes", "Enoplometopus holthuisi", "Meganola nanlinga", "Meganola cenwanga", "Enoplometopus macrodontus", "Enoplometopus pictus", "Meganola wilbarka", "Enoplometopus voigtmanni", "Meganola daminga", "Pseudopostega brevicaudata", "Opostegoides pelorrhoa", "Pseudopostega zelopa", "Pseudopostega nepalensis", "Pseudopostega frigida", "Stigmella maya", "Acalyptris yucatani", "Synodontis tourei", "Synodontis waterloti", "Polyommatus sagratrox", "Metablax cinctiger", "Metablax approximans", "Metablax brouni", "Cereus forbesii", "Forsteropsalis pureora", "Leocereus bahiensis", "Mangatangi parvum", "Setophaga auduboni auduboni", "Vitis mustangensis", "Vitis palmata", "Vitis riparia", "Vitis rupestris", "Vitis shuttleworthii", "Oeneis tarpeja", "Oeneis tarpeja tarpeja", "Oeneis tarpeja grossi", "Oeneis tarpeja baueri", "Paralasa jordana bogutena", "Hyponephele rubriceps", "Synodontis vanderwaali", "Maxillaria piresiana", "Maxillaria polyantha", "Maxillaria ubatubana", "Synodontis velifer", "Cymbidium aloifolium", "Eupsophus altor", "Allobates ignotus", "Anomaloglossus surinamensis", "Lophocampa albipennis", "Lophocampa dinora", "Camaridium aurantiacum", "Gladiolus caucasicus", "Lophocampa problematica", "Gladiolus dzavakheticus", "Lophocampa ronda", "Lophocampa alternata", "Lophocampa affinis", "Synodontis zanzibaricus", "Lophocampa arpi", "Lophocampa ingens", "Gladiolus hajastanicus", "Gladiolus menitskyi", "Gladiolus szovitsii", "Paectes arcigera", "Gladiolus tenuis", "Paectes longiformis", "Gladiolus persicus", "Gladiolus \u00d7 dubius", "Synodontis victoriae", "Euphorbia loricata", "Asterodiscides grayi", "Asterodiscides truncatus", "Asterodiscides bicornutus", "Gladiolus decoratus", "Synodontis violaceus", "Eomaia scansoria", "Clostridium chauvoei", "Clostridium baratii", "Gladiolus subg.", "Gladiolus subg.", "Eurysternus caribaeus", "Cyanea dolichopoda", "Cyanea eleeleensis", "Cyanea glabra", "Smeagol manneringi", "Smeagol climoi", "Cyanea grimesiana", "Smeagol hilaris", "Smeagol parvulus", "Smeagol phillipensis", "Cyanea hamatiflora", "Cyanea humboldtiana", "Cyanea kolekoleensis", "Cyanea koolauensis", "Cyanea kuhihewa", "Cyanea lanceolata", "Cyanea lobata", "Cyanea longiflora", "Cyanea macrostegia", "Cyanea membranacea", "Cyanea parvifolia", "Cyanea procera", "Cyanea purpurellifolia", "Cyanea remyi", "Cyanea rivularis", "Cyanea scabra", "Cyanea shipmanii", "Cyanea st-johnii", "Cyanea stictophylla", "Cyanea undulata", "Cyanea acuminata", "Cyanea angustifolia", "Cyanea dunbariae", "Cyanea mannii", "Cyanea mceldowneyi", "Cyanea obtusa", "Cyanea platyphylla", "Cyanea recta", "Mycena aurantiomarginata", "Alpheus rudolphi", "Munida coltroi", "Frenchia casuarinae", "Coccophagus multisetae", "Stigmella racemifera", "Acalyptris paradividua", "Acalyptris terrificus", "Pseudopostega robusta", "Pseudopostega mexicana", "Pseudopostega latiplana", "Soterosanthus shepheardii", "Lueckelia breviloba", "Vitis popenoei", "Vitis rotundifolia", "Vitis acerifolia", "Vitis aestivalis", "Vitis amurensis", "Vitis arizonica", "Vitis berlandieri", "Vitis californica", "Vitis cinerea", "Vitis coignetiae", "Diuris aurea", "Vitis girdiana", "Carnegiella myersi", "Carnegiella schereri", "Gasteropelecus maculatus", "Thoracocharax securis", "Paramegastigmus flavus", "Maxillaria heismanniana", "Maxillaria kautskyi", "Maxillaria monantha", "Maxillaria moutinhoi", "Maxillaria phoenicanthera", "Eumedonia eumedon", "Eumedonia eumedon eumedon", "Eumedonia eumedon axarquia", "Eumedonia eumedon mariensis", "Cyllogenes janetae loba", "Cyllogenes janetae akikoae", "Dalbergia baronii", "Dalbergia benthamii", "Cyllogenes nigrimaculata", "Dalbergia brownei", "Dalbergia calderonii", "Dalbergia chapelieri", "Dalbergia glomerata", "Dalbergia louvelii", "Dalbergia madagascariensis", "Dalbergia maritima", "Dalbergia monticola", "Dalbergia trichocarpa", "Euthalia pseudoduda", "Hypsidracon saurodoxa", "Hypsidracon kururana", "Gnathodracon orbiculina", "Gnathodracon arabuko", "Gnathodracon yuhana", "Gnathodracon lukimayumbe", "Gnathodracon monospina", "Caveana senuri", "Lecithocera dondavisi", "Cochylis triangula", "Cochylis posterana posterana", "Cochylis posterana hyrcana", "Javanella sanfordae", "Acalypha phleoides", "Cnidoscolus angustidens", "Cnidoscolus quercifolius", "Cnidoscolus tubulosus", "Micrurapteryx tibetiensis", "Rhagoba obvellata", "Rhagoba octomaculalis", "Allodardanus rugosus", "Allodardanus bredini", "Euploea magou", "Euploea tripunctata", "Allodardanus midas", "Euploea swainson emigrantus", "Cirrochroa tyche anthonia", "Aniculus maximus", "Aniculus hopperae", "Oberonia mucronata", "Synodontis voltae", "Synodontis woleuensis", "Synodontis woosnami", "Synodontis xiphias", "Inga allenii", "Inga bella", "Inga bracteifera", "Inga calderonii", "Inga canonegrensis", "Inga ciliata", "Inga cocleensis", "Inga coruscans", "Inga duckei", "Inga exalata", "Inga golfodulcensis", "Inga herrerae", "Inga jefensis", "Inga jimenezii", "Inga latipes", "Inga leonis", "Inga litoralis", "Inga longispica", "Inga microcalyx", "Camaridium ochroleucum", "Mafulemesa schuhi", "Ranatra schuhi", "Rhynchosia ferulifolia", "Rhynchosia swartzii", "Rhynchosia suaveolens", "Sanguirana aurantipunctata", "Lophocampa atriceps", "Lophocampa flavodorsata", "Lophocampa griseidorsata", "Lophocampa herbini", "Lophocampa sullivani", "Lophocampa andensis", "Lophocampa hyalinipuncta", "Quercus rotundifolia", "Lophocampa significans", "Synodontis zambezensis", "Inga multijuga", "Inga polita", "Inga samanensis", "Inga sierrae", "Inga skutchii", "Leucania fortunata", "Inga stenophylla", "Inga tenuiloba", "Inga venusta", "Eupithecia maspalomae", "Eupithecia schuetzeata", "Idalus paulae", "Idalus maesi maesi", "Idalus maesi faustinoi", "Palpita maritima", "Dunama angulinea", "Dunama jessiehillae", "Dunama jessiebarronae", "Dunama janewaldronae", "Dunama jessiebancroftae", "Dunama janecoxae", "Dunama biosise", "Dunama indereci", "Dunama tuna", "Dunama mexicana", "Dunama ravistriata", "Dunama claricentrata", "Hylamorpha elegans", "Athanas dentirostris", "Maxillaria coccinea", "Notodonta torva", "Gladiolus sect.", "Gladiolus \u00d7 victorialis", "Vitis tiliifolia", "Vitis wilsonae", "Vitis \u00d7 bourquiniana", "Gladiolus \u00d7 brenchleyensis", "Vitis \u00d7 slavinii", "Vitis adenoclada", "Vitis balansana", "Vitis bashanica", "Vitis bellula", "Vitis betulifolia", "Vitis biformis", "Vitis blancoi", "Vitis bloodworthiana", "Vitis bourgaeana", "Vitis bryoniifolia", "Vitis chunganensis", "Vitis chungii", "Vitis davidii", "Vitis erythrophylla", "Vitis fengqinensis", "Dresserus nasivulvus", "Cryptoclidus eurymerus", "Biston melacron", "Cryptoclidus richardsoni", "Linaria antilibanotica", "Linaria armeniaca", "Cyphonisia affinitata", "Tritoniopsis unguicularis", "Tritoniopsis pulchella", "Tritoniopsis pulchella var. alpina", "Tritoniopsis pulchella var. pulchella", "Tritoniopsis triticea", "Alnus viridis subsp. viridis", "Pseudechidna brummeri", "Bitia hydroides", "Vitis flexuosa", "Vitis hancockii", "Vitis heyneana", "Vitis hui", "Vitis jaegeriana", "Vitis jinggangensis", "Vitis lanceolatifoliosa", "Vitis longquanensis", "Vitis luochengensis", "Vitis menghaiensis", "Vitis mengziensis", "Vitis nesbittiana", "Vitis peninsularis", "Vitis piasezkii", "Vitis pilosonerva", "Vitis pseudoreticulata", "Vitis retordii", "Vitis romanetii", "Vitis ruyuanensis", "Vitis shenxiensis", "Vitis silvestrii", "Gladiolus \u00d7 colvillii", "Acianthera heliconioides", "Dendrelaphis luzonensis", "Acianthera heliconiscapa", "Acianthera henrici", "Dendrelaphis nigroserratus", "Acianthera herrerae", "Dendrelaphis marenae", "Acianthera herzogii", "Acianthera heteropetala", "Acianthera hirsutula", "Silene baccifera", "Acianthera hoffmannseggiana", "Acianthera hondurensis", "Silene andicola", "Silene aprica", "Philodendron ruizii", "Theridion vossi", "Philodendron rugosum", "Thaumatophyllum speciosum", "Philodendron sphalerum", "Philodendron squamiferum", "Philodendron standleyi", "Philodendron tenue", "Philodendron tripartitum", "Philodendron warszewiczii", "Philodendron wilburii", "Alnus incana subsp. incana", "Eustreptospondylus oxoniensis", "Polacanthus foxii", "Polacanthus rudgwickensis", "Utahraptor ostrommaysorum", "Ornitholestes hermanni", "Anurognathus ammoni", "Leaellynasaura amicagraphica", "Balaka microcarpa", "Balaka macrocarpa", "Rhinomuraena quaesita", "Paectes similis", "Paectes nana", "Paectes asper", "Strophidon sathete", "Paectes medialba", "Paectes sinuosa", "Babiana ambigua", "Paectes tumida", "Paectes obrotunda", "Ogdoconta cinereola", "Ogdoconta moreno", "Mammuthus lamarmorae", "Ogdoconta sexta", "Ogdoconta altura", "Ogdoconta satana", "Chasmanthe bicolor", "Ogdoconta tacna", "Chasmanthe floribunda var. floribunda", "Chasmanthe floribunda var. duckittii", "Ogdoconta fergusoni", "Ogdoconta rufipenna", "Alnus viridis subsp. fruticosa", "Oryx beisa beisa", "Oryx beisa callotis", "Ufeus satyricus", "Ufeus satyricus satyricus", "Ufeus satyricus sagittarius", "Ufeus plicatus", "Ufeus hulstii", "Ufeus felsensteini", "Ufeus faunus", "Equus alaskae", "Equus crenidens", "Australovenator wintonensis", "Placerias hesternus", "Vitis sinocinerea", "Vitis vulpina", "Vitis wenchouensis", "Vitis wuhanensis", "Vitis \u00d7 andersonii", "Vitis yunnanensis", "Vitis zhejiang-adstricta", "Postosuchus kirkpatricki", "Postosuchus alisonae", "Peteinosaurus zambelli", "Sievekingia suavis", "Alnus sieboldiana", "Acianthera pariaensis", "Acianthera parva", "Acianthera pavimentata", "Acianthera pazii", "Acianthera per-dusenii", "Acianthera pernambucensis", "Acianthera phoenicoptera", "Acianthera prognatha", "Acianthera punicea", "Acianthera quadricristata", "Acianthera quadriserrata", "Acianthera rinkei", "Acianthera rodrigoi", "Acianthera rodriguesii", "Acianthera rubroviridis", "Gladiolus carinatus", "Gladiolus \u00d7 colvillioides", "Muttaburrasaurus langdoni", "Ankylosaurus magniventris", "Quetzalcoatlus northropi", "Dromaeosaurus albertensis", "Teleonemia scrupulosa", "Acizzia credoensis", "Crocosmia aurea subsp. aurea", "Crocosmia aurea subsp. pauciflora", "Hologerrhum philippinum", "Hologerrhum dermali", "Devia xeromorpha", "Acianthera mendozae", "Acianthera mexiae", "Acianthera modestissima", "Acianthera morenoi", "Acianthera morilloi", "Acianthera moronae", "Acianthera murex", "Acianthera murexoidea", "Acianthera muscicola", "Acianthera obscura", "Leucauge abyssinica", "Leucauge auronotum", "Leucauge abbajae", "Nephila pilipes malagassa", "Acianthera odontotepala", "Acianthera ofella", "Acianthera omissa", "Neoscona triangula", "Acianthera oscitans", "Acianthera pacayana", "Acianthera pantasmi", "Acianthera pantasmoides", "Acianthera papulifolia", "Silene bernardina", "Silene campanulata", "Silene cashmeriana", "Silene douglasii", "Silene drummondii", "Silene firma", "Silene indica", "Silene laciniata", "Acianthera hystrix", "Acianthera inaequalis", "Acianthera johnsonii", "Golofa aegeon", "Acianthera jordanensis", "Eutropis cumingi", "Acianthera juxtaposita", "Acianthera kegelii", "Acianthera krahnii", "Eutropis multicarinata", "Eutropis multifasciata", "Gladiolus \u00d7 willmoreanus", "Gladiolus \u00d7 nanceianus", "Gladiolus \u00d7 bowieanus", "Gladiolus \u00d7 haylockianus", "Gladiolus \u00d7 pudibundus", "Gladiolus \u00d7 delicatus", "Gladiolus \u00d7 herbertianus", "Thymallus thymallus", "Coregonus oxyrinchus", "Acianthera sandaliorum", "Acianthera sarcosepala", "Gekko kikuchii", "Gladiolus \u00d7 princeps", "Paracaudina alta", "Paracaudina reductia", "Lamprolepis smaragdina", "Bronchocela marmorata", "Draco spilopterus", "Gladiolus \u00d7 mitchamiensis", "Hedysarum boveanum", "Hedysarum naudinianum", "Hedingia glabra", "Gladiolus \u00d7 propinquus", "Tachigali cavipes", "Tachigali densiflora", "Tachigali denudata", "Otosaurus cumingi", "Tachigali macrostachya", "Tachigali melanocarpa", "Tachigali pilgeriana", "Tachigali vulgaris", "Ulmus harbinensis", "Oxyrhabdium leporinum", "Ampelopsis bodinieri", "Ampelopsis delavayana", "Ampelopsis glandulosa", "Ampelopsis humulifolia", "Ampelopsis japonica", "Ampelopsis denudata", "Ampelopsis orientalis", "Ampelopsis vitifolia", "Parvoscincus decipiens", "Parvoscincus leucospilos", "Varanus marmoratus", "Neoscona triangula mensamontella", "Pararaneus uncivulva", "Oiketicoides borealis", "Oiketicoides caucasica", "Oiketicoides chottella", "Oiketicoides demarcata", "Oiketicoides eganai", "Oiketicoides eldarica", "Orophora triangularis", "Orophora unicolor", "Psammodynastes pulverulentus", "Pseudogekko compressicorpus", "Rhabdophis spilogaster", "Malayopython reticulatus", "Trimeresurus flavomaculatus", "Hyphessobrycon chocoensis", "Lobelia comosa", "Lobelia alsinoides", "Lobelia \u00d7 speciosa", "Kadua acuminata", "Kadua cookiana", "Kadua cordata", "Kadua coriacea", "Kadua degeneri", "Kadua laxiflora", "Kadua parvula", "Kadua st.-johnii", "Caerostris corticosa", "Caerostris vicina", "Gasteracantha sanguinolenta", "Isoxya tabulata", "Acianthera scalpricaulis", "Acianthera sicaria", "Acianthera sicariopsis", "Silene secundiflora", "Silene alexandri", "Silene antirrhina", "Silene borysthenica", "Silene cretica", "Silene densiflora", "Silene hawaiiensis", "Silene inaperta", "Silene jenisseensis", "Silene lanceolata", "Silene otites", "Silene roemeri", "Aplysia dactylomela", "Aplysia extraordinaria", "Aplysia juliana", "Aplysia keraudreni", "Aplysia parvula", "Anthonomus quadrigibbus", "Theridion vosseleri", "Theridion bradyanum", "Theridion caplandense", "Theridion piliphilum", "Theridion lenzianum", "Steatoda lenzi", "Steatoda bradyi", "Tetragnatha laminalis", "Tetragnatha subclavigera", "Leucauge amanica", "Apocolotois smirnovi", "Megaspilates mundataria", "Megaspilates mundataria mundataria", "Megaspilates mundataria uncinataria", "Aspitates gilvaria", "Aspitates gilvaria gilvaria", "Aspitates gilvaria minimus", "Napuca mongolica", "Napuca staudingeri", "Dyschloropsis impararia", "Cucullia hannemanni", "Ctenoceratoda sukharevae", "Polia bombycina bombycina", "Ctenocheloides almeidai", "Acianthera sicula", "Acianthera silvae", "Acianthera sotoana", "Gladiolus \u00d7 vitriacensis", "Acianthera spilantha", "Acianthera subrotundifolia", "Acianthera sulcata", "Acianthera sulphurea", "Acianthera tikalensis", "Acianthera toachica", "Acianthera tokachii", "Acianthera unguicallosa", "Acianthera venulosa", "Acianthera verecunda", "Ophionereis novaezelandiae", "Acianthera violacea", "Ophionereis terba", "Acianthera violaceomaculata", "Acianthera viridis", "Anthemis arenicola", "Anthemis auriculata", "Anthemis candidissima", "Ptilocephala muscella", "Epipactis leptochila subsp. leptochila", "Cuscuta bonafortunae", "Goodyera pubescens", "Ptilocephala atrella", "Philodendron barrosoanum", "Philodendron hylaeae", "Philodendron panduriforme", "Philodendron auriculatum", "Rhamphorhynchus jessoni", "Palpimanus sanguineus", "Philodendron correae", "Rhamphorhynchus manselii", "Philodendron wendlandii", "Philodendron sagittifolium", "Rhamphorhynchus muensteri", "Philodendron glanduliferum", "Rhamphorhynchus pleydellii", "Philodendron quinquenervium", "Philodendron acutifolium", "Thaumatophyllum adamantinum", "Philodendron alliodorum", "Philodendron bipennifolium", "Philodendron brenesii", "Liopleurodon ferox", "Liopleurodon pachydeirus", "Pholcus lamperti", "Philodendron cordatum", "Philodendron crassinervium", "Philodendron cretosum", "Philodendron deflexum", "Philodendron deltoideum", "Philodendron devansayeanum", "Philodendron domesticum", "Philodendron ensifolium", "Philodendron erubescens", "Philodendron eximium", "Philodendron giganteum", "Philodendron gloriosum", "Philodendron guttiferum", "Philodendron hastatum", "Philodendron herbaceum", "Philodendron imbe", "Argyrodes meus", "Philodendron inconcinnum", "Philodendron jacquinii", "Philodendron lacerum", "Philodendron latifolium", "Philodendron mamei", "Philodendron melanochrysum", "Philodendron microstictum", "Philodendron opacum", "Philodendron ornatum", "Philodendron pastazanum", "Philodendron pedatum", "Philodendron pinnatifidum", "Philodendron radiatum", "Philodendron renauxii", "Philodendron robustum", "Pogonophryne minor", "Ehretia microphylla", "Acanthocleithron chapini", "Chamaegastrodia shikokiana", "Centrosema molle", "Centrosema platycarpum", "Centrosema triquetrum", "Albula vulpes", "Thomisus blandus", "Philodromus caffer", "Olios amanensis", "Eusparassus palystiformis", "Palystes superciliosus", "Phlogophora meticulosa", "Anthemis aciphylla", "Anthemis adonidifolia", "Anthemis ammophila", "Trichosanthes villosa", "Trichosanthes globosa", "Trichosanthes quinquangulata", "Trichosanthes rubriflos", "Thomisus scrupeus", "Taraxacum sect.", "Taraxacum annalisae", "Taraxacum mannoccii", "Hanguana stenopoda", "Hanguana podzolicola", "Hanguana pantiensis", "Hanguana major", "Hanguana nitens", "Hanguana kassintu", "Hanguana exultans", "Hanguana bogneri", "Hanguana bakoensis", "Desmazeria philistaea", "Scopula sentinaria", "Cuscuta cotijana", "Ennealophus foliosus", "Neptis manasa mientrunga", "Ennealophus foliosus subsp. foliosus", "Ennealophus foliosus subsp. amazonicus", "Ennealophus subg.", "Ennealophus subg.", "Capsicum eshbaughii", "Solanum neei", "Ctenarytaina bipartita", "Agapanthus sect.", "Ctenarytaina pandai", "Anthemis cretica subsp. anatolica", "Anthemis cretica subsp. absinthiifolia", "Anthemis cretica subsp. albida", "Agapanthus sect.", "Anthemis cretica subsp. alpina", "Anthemis cretica subsp. calabrica", "Praomys hartwigi", "Anthemis cretica subsp. candicans", "Anthemis cretica subsp. carpatica", "Anchoa hepsetus", "Ambulocetus natans", "Tulbaghia violacea subsp. macmasteri", "Esox bellone", "Tulbaghia violacea subsp. violacea", "Esox gymnocephalus", "Hemiramphus brasiliensis", "Tulbaghia cominsii", "Ipheion uniflorum", "Austromerope brasiliensis", "Leucocoryne coquimbensis", "Calopogon tuberosus", "Cercis chuniana", "Chorizema racemosum", "Jatropha subg.", "Streptopharagus pigmentatus", "Jatropha sect.", "Cyclopia galioides", "Cyclopia genistoides", "Cyclopia glabra", "Jatropha subsect.", "Cyclopia plicata", "Acianthera zumbae", "Sarcoglottis acaulis", "Ophionereis fasciata", "Copris tripartitus", "Psolus tesselatus", "Deltochilum valgum", "Deltochilum kolbei", "Circellium bacchus", "Michauxia laevigata", "Wahlenbergia gracilis", "Wahlenbergia linarioides", "Wahlenbergia marginata", "Wahlenbergia undulata", "Wahlenbergia albens", "Gypsophila nana", "Gypsophila petraea", "Gypsophila struthium", "Gypsophila uralensis", "Gypsophila \u00d7 castellana", "Trichosanthes kinabaluensis", "Trichosanthes montana", "Trichosanthes pendula", "Trichosanthes pentaphylla", "Trichosanthes postarii", "Trichosanthes reticulinervis", "Trichosanthes ovigera", "Trichosanthes schlechteri", "Trichosanthes rosthornii", "Trichosanthes subvelutina", "Anthemis cretica subsp. cassia", "Anthemis cretica subsp. columnae", "Anthemis cretica subsp. cretica", "Anthemis cretica subsp. leucanthemoides", "Anthemis cretica subsp. petraea", "Anthemis cretica subsp. saxatilis", "Anthemis cretica subsp. tenuiloba", "Anthemis cretica subsp. umbilicata", "Loxoconcha bulgarica", "Agapanthus coddii", "Otus jolandae", "Agapanthus walshii", "Sphenophorus venatus", "Notiobia acuminata", "Notiobia variabilis", "Gymnobathra hyetodes", "Genista suanica", "Genista depressa", "Lonchocarpus constictus", "Lonchocarpus minimiflorus", "Palystes ellioti", "Clubiona limpidella", "Cercyon bononiensis", "Catostomus texanus", "Calinaga davidis davidis", "Calinaga davidis rarus", "Dorycnium pentaphyllum subsp. gracile", "Dorycnium pentaphyllum subsp. haussknechtii", "Dorycnium pentaphyllum subsp. herbaceum", "Dorycnium pentaphyllum subsp. pentaphyllum", "Chlorostrymon simaethis", "Jatropha sect.", "Jatropha sect.", "Jatropha sect.", "Jatropha subg.", "Epipactis helleborine subsp. bithynica", "Epipactis helleborine subsp. degenii", "Jatropha sect.", "Epipactis helleborine subsp. densifolia", "Reisseronia arnscheidi", "Leucospermum conocarpodendron", "Leucospermum cordifolium", "Leucospermum reflexum", "Leucospermum bolusii", "Leucospermum catherinae", "Leucospermum cuneiforme", "Leucospermum glabrum", "Leucospermum grandiflorum", "Leucospermum hypophyllocarpodendron", "Leucospermum lineare", "Leucospermum tottum", "Leucospermum truncatum", "Leucospermum vestitum", "Faurea saligna", "Faurea macnaughtonii", "Archidendron utile", "Erebia radians", "Erebia radians radians", "Erebia radians zhdankoi", "Erebia radians uzungyrus", "Erebia sokolovi severa", "Erebia sokolovi colorata", "Erebia sokolovi arcana", "Erebia sibo", "Erebia sibo sibo", "Erebia sibo saluki", "Heliophanus ochrichelis", "Erebia calypso", "Icius pseudocellatus", "Thyene scalarinota", "Erebia meta", "Hyllus pachypoessae", "Erebia meta meta", "Erebia meta alexandra", "Erebia meta issyka", "Ctenolophus heligmomeriformis", "Erebia meta pseudometa", "Erebia meta manuevi", "Erebia callias callias", "Erebia callias chastilovi", "Erebia anyuica argentea", "Erebia zapateri", "Erebia neoridas", "Erebia melancholica", "Paralasa horaki", "Paralasa kusnezovi", "Paralasa kusnezovi kusnezovi", "Paralasa kusnezovi talastauana", "Paralasa kusnezovi issykkuli", "Paralasa kusnezovi kolesnichenkoi", "Euphydryas merope", "Euphydryas merope merope", "Euphydryas merope altivolans", "Ponomarenkoa polonica", "Ponomarenkoa ellenbergeri", "Arenigobius bifrenatus", "Cerastium beeringianum", "Cerastium brachypodum", "Cerastium siculum", "Bryonia lappifolia", "Eremurus altaicus", "Eremurus anisopterus", "Eremurus aurantiacus", "Eremurus bucharicus", "Eremurus chinensis", "Eremurus comosus", "Eremurus elwesii", "Eremurus hilariae", "Eremurus himalaicus", "Eremurus lactiflorus", "Eremurus olgae", "Eremurus regelii", "Eremurus robustus", "Eremurus stenophyllus", "Eremurus tauricus", "Eremurus turkestanicus", "Clubiona caplandensis", "Carteroniella macroclava", "Messapus martini", "Messapus secundus", "Ctenus quinquevittatus", "Ctenus amanensis", "Oxyopes lenzi", "Oxyopes sternimaculatus", "Heliophanus menemeriformis", "Amphipyra amentet", "Caulastrocecis interstratella", "Megacraspedus bilineatella", "Jatropha subsect.", "Tubulanus mawsoni", "Allomycterus pilatus", "Thermopsis gracilis", "Thermopsis mollis", "Thermopsis turcica", "Diodon hystrix", "Onthophagus alaindrumonti", "Onthophagus andrewsmithi", "Onthophagus francoisgenieri", "Onthophagus hagenmontis", "Onthophagus ioramaculatus", "Onthophagus ioranus", "Onthophagus kokoiorus", "Onthophagus mokwamensis", "Onthophagus opacotaurus", "Onthophagus papuater", "Onthophagus papuplicatus", "Onthophagus papurugosus", "Onthophagus peotoxus", "Onthophagus pseudocostifer", "Onthophagus solomonensis", "Onthophagus sylvipapuanus", "Onthophagus tarasovi", "Onthophagus toxopeus", "Onthophagus ubaidillahi", "Onthophagus yifer", "Sekaliporus kriegi", "Papillogobius melanobranchus", "Hermacha nigromarginata", "Harutaeographa monimalis", "Harutaeographa pallida", "Jatropha subsect.", "Harutaeographa cinerea", "Cytisus eriocarpus", "Jatropha sect.", "Jatropha subsect.", "Cytisus albus", "Cytisus cassius", "Cytisus drepanolobus", "Cytisus lasiosemius", "Cytisus austriacus", "Jatropha subsect.", "Cytisus anatolicus", "Cytisus gueneri", "Cytisus wulfii", "Dorycnium axilliflorum", "Dorycnium fulgurans", "Dorycnium pentaphyllum subsp. germanicum", "Dorycnium pentaphyllum subsp. anatolicum", "Cupha erymanthis melanodotis", "Pseudoclanis occidentalis", "Pseudoclanis schaarschmidti", "Pseudoclanis postica", "Pseudoclanis staudei", "Pseudoclanis joannoui", "Paralycaeides shade", "Paralycaeides inconspicua", "Chlorostrymon orbis", "Cyanophrys roraimiensis", "Rhamma cassidyi", "Badecla badaca", "Anthemis davisii", "Badecla picentia", "Badecla quadramacula", "Agapanthus inapertus subsp. inapertus", "Agapanthus inapertus subsp. intermedius", "Agapanthus inapertus subsp. parviflorus", "Agapanthus praecox subsp. orientalis", "Agapanthus praecox subsp. praecox", "Agapanthus campanulatus subsp. campanulatus", "Agapanthus campanulatus subsp. patens", "Agapanthus caulescens subsp. caulescens", "Agapanthus caulescens subsp. angustifolius", "Agapanthus caulescens subsp. gracilis", "Hofmannophila pseudospretella", "Prepalla austrina", "Koolasuchus cleelandi", "Jatropha sect.", "Jatropha sect.", "Jatropha subsect.", "Jatropha subsect.", "Jatropha subsect.", "Jatropha sect.", "Jatropha subsect.", "Jatropha subsect.", "Anisomorpha buprestoides", "Anisomorpha clara", "Anisomorpha ferruginea", "Anisomorpha paromalus", "Megaselia larvivora", "Morus cathayana", "Morus kagayamae", "Lysimachia acroadenia", "Lysimachia barystachys", "Lysimachia clethroides", "Lysimachia fortunei", "Lysimachia nemorum", "Lysimachia quadrifolia", "Lysimachia terrestris", "Lysimachia asperulifolia", "Lysimachia chenopodioides", "Lysimachia daphnoides", "Lysimachia davurica", "Lysimachia filifolia", "Lysimachia iniki", "Lysimachia lydgatei", "Entypesa annulipes", "Arctonyx albogularis", "Arctonyx hoevenii", "Corylopsis glabrescens", "Corylopsis gotoana", "Corylopsis pauciflora", "Corylopsis sinensis", "Corylopsis spicata", "Trichoplusia indica", "Polychrysia marmorea", "Autographa khinjana", "Diachrysia chrysitis", "Diachrysia chrysitis chrysitis", "Diachrysia chrysitis generosa", "Tigidia typica", "Jatropha sect.", "Orthoceras strictum", "Jatropha subsect.", "Anaplusia pannosa", "Extremoplusia megaloba", "Orthoceras novae-zeelandiae", "Muiralevu medleri", "Muiralevu septemspinosus", "Muiralevu dimidius", "Muiralevu ignavus", "Muiralevu parvus", "Muiralevu rufomarginatus", "Muiralevu silvestris", "Muiralevu telum", "Alexa grandiflora", "Spathoglottis ixioides", "Muiralevu exotivus", "Muiralevu cavernae", "Muiralevu coniunctus", "Muiralevu maestus", "Muiralevu reticulatus", "Muiralevu vetus", "Monomorium kondratieffi", "Diacyclops ishidai", "Scymnus blackburni", "Lysimachia maxima", "Lysimachia pendens", "Lysimachia scopulensis", "Lysimachia sikokiana", "Lysimachia thyrsiflora", "Lysimachia venosa", "Pulicaria paludosa", "Malacomorpha guamuhayaense", "Aster amellus subsp. ibericus", "Aster amellus subsp. bessarabicus", "Tripolium pannonicum subsp. pannonicum", "Tripolium pannonicum subsp. tripolium", "Tripolium sorrentinoi", "Oiketicoides grummi", "Oiketicoides gracilis", "Oiketicoides febretta", "Oiketicoides febretta febretta", "Oiketicoides febretta lambessa", "Oiketicoides hampsoni", "Oiketicoides heptapotamica", "Oiketicoides hurei", "Oiketicoides inquinata", "Oiketicoides javana", "Oiketicoides jordana", "Cephalohibiscus peekelii", "Hampea sect.", "Hampea sect.", "Hampea sect.", "Hampea trilobata", "Paradigma mamalapi", "Paradigma pectinicorne", "Neoparadigma mamalapi", "Neoparadigma pectinicorne", "Milyeringa justitia", "Abelmoschus manihot subsp. tetraphyllus", "Hesperia nabokovi", "Glyptothorax pantherinus", "Schistura porocephala", "Caradrina rudebecki", "Caradrina dukei", "Mythimna corax", "Mythimna semicorax", "Mythimna mamohau", "Sotoa confusa", "Tycomarptes superior", "Funkiella hyemalis", "Agrotis plumiger", "Agrotis alticaffer", "Ochropleura distriata", "Ochropleura reductistriga", "Eurystyles auriculata", "Eurystyles colombiana", "Eurystyles cotyledon", "Ochropleura creatochroa", "Psectraxylia bisagittatum", "Luperina dumerilii", "Luperina diversa", "Luperina diversa terteriani", "Luperina diversa diversa", "Colostygia salicata salicata", "Colostygia salicata hangayi", "Tigidia processigera", "Tigidia dubia", "Itylos mira", "Cyphonisia rastellata", "Lagenaria rufa", "Ministrymon fostera", "Ministrymon cruenta", "Ministrymon arthuri", "Ministrymon una", "Stenodus nelma", "Excoecaria cochinchinensis", "Excoecaria oppositifolia", "Helleriella guerrerensis", "Helleriella nicaraguensis", "Isochilus linearis", "Scaphyglottis graminifolia", "Cyrtodactylus dati", "Hedma lycia", "Roxita fujianella", "Roxita yunnanella", "Hieromantis sheni", "Hieromantis makiosana", "Hieromantis kurokoi", "Ambostracon costatum", "Thalera lacerataria", "Thalera lacerataria lacerataria", "Thalera lacerataria thibetica", "Thalera suavis", "Thalera rubrifimbria", "Thracides joannisii", "Perichares metallica", "Dipteryx micrantha", "Dipteryx oleifera", "Euphyes singularis", "Euphyes singularis singularis", "Euphyes singularis insolata", "Hydrochorea gonggrijpii", "Hydrochorea marginata", "Lebeckia ambigua", "Lebeckia gracilis", "Lebeckia meyeriana", "Lebeckia pauciflora", "Lebeckia sepiaria", "Telemiades amphion", "Inula persica", "Telemiades misitheus", "Brassia incantans", "Sprattus sprattus", "Uresiphita polygonalis", "Brassia arachnoidea", "Cosmiomorpha modesta", "Polia bombycina psammochroa", "Acianthera lamia", "Acianthera lepidota", "Acianthera limae", "Acianthera litensis", "Acianthera lojae", "Acianthera maculiglossa", "Silene conoidea", "Acianthera madisonii", "Silene csereii", "Acianthera malachantha", "Silene falcata", "Silene gigantea", "Silene menziesii", "Silene monbeigii", "Silene nigrescens", "Silene patagonica", "Silene scouleri", "Silene songarica", "Silene spaldingii", "Silene stellata", "Silene subciliata", "Silene uralensis", "Silene virginica", "Gladiolus \u00d7 turicensis", "Silene repens", "Acianthera melanochthoda", "Silene sedoides", "Silene seelyi", "Silene sibirica", "Silene spinescens", "Silene tachtensis", "Silene viscaria", "Silene viscidula", "Acianthera melanoglossa", "Pialea brunea", "Pialea corbiculata", "Neophilopota brevirostris", "Coquena stangei", "Abelmoschus manihot subsp. manihot", "Palaemon affinis", "Palaemon quoianus", "Dioscorea glomerulata", "Dioscorea grisebachii", "Dioscorea hassleriana", "Dioscorea hemicrypta", "Dioscorea hondurensis", "Dioscorea humifusa", "Dioscorea humilis", "Dioscorea laxiflora", "Dioscorea mexicana", "Haemulon flavolineatum", "Pyrus spinosa", "Sacoila paludicola", "Malva sect.", "Scymnus mitior", "Abelmoschus moschatus subsp. moschatus", "Abelmoschus moschatus subsp. biakensis", "Abelmoschus sagittifolius", "Tanacetum mucronulatum", "Tanacetum odessanum", "Tanacetum oshanahanii", "Tanacetum oxystegium", "Phoneyusa minima", "Tanacetum paczoskii", "Tanacetum peucedanifolium", "Tanacetum santolina", "Tanacetum silaifolium", "Hysterocrates affinis", "Tanacetum sinaicum", "Tanacetum tenuissimum", "Tanacetum tricholobum", "Hysterocrates ochraceus", "Tanacetum vahlii", "Tanacetum yabrudae", "Tanacetum zangezuricum", "Encyocratella olivacea", "Reisserita panormitanella", "Filago arvensis", "Brassia keiliana", "Brassia aurantiaca", "Brassia glumacea", "Brassia sulphurea", "Brassia endresii", "Platymiscium dimorphandrum", "Poecilanthe amazonica", "Chrysochloris arenosa", "Chrysochloris bronneri", "Knightia excelsa", "Xylomelum angustifolium", "Xylomelum occidentale", "Acronychia acidula", "Acronychia pedunculata", "Acronychia wilcoxiana", "Correa alba", "Correa pulchella", "Correa schlechtendalii", "Correa \u00d7 bicolor", "Musca nevilli", "Hydriomena sperryi", "Hydriomena septemberata", "Platyptilia barbarae", "Hydriomena perfracta", "Platyptilia rufamaculata", "Platyptilia rwandae", "Platyptilia albilobata", "Hydriomena perfracta perfracta", "Platyptilia bowkeri", "Platyptilia gatamaiyua", "Platyptilia kaijadoensis", "Hydriomena perfracta marmorata", "Platyptilia kasulua", "Platyptilia nyungwea", "Platyptilia sochivkoi", "Hydriomena perfracta centralis", "Hydriomena perfracta monoensis", "Hydriomena expurgata", "Hydriomena expurgata expurgata", "Hydriomena expurgata franclemonti", "Hydriomena exculpata", "Telemiades marpesus", "Inula peacockiana", "Telemiades pekahia", "Telemiades antiope", "Telemiades meris", "Telemiades meris meris", "Exocoetus volitans", "Telemiades meris brazus", "Polynemus paradiseus", "Chioides catillus", "Chioides churchi", "Heterothele villosella", "Proteides mercurius", "Proteides mercurius mercurius", "Proteides mercurius vincenti", "Proteides mercurius sanchesi", "Polygonus savigny", "Polygonus savigny savigny", "Selenogyrus brunneus", "Polygonus savigny punctus", "Echelatus sempiternus", "Echelatus sempiternus sempiternus", "Echelatus sempiternus dilloni", "Achlyodes mithridates", "Achlyodes mithridates mithridates", "Pentanemus quinquarius", "Burca stillmanni", "Polydactylus virginicus", "Burca hispaniolae", "Ephyriades brunnea", "Ephyriades brunnea brunnea", "Ephyriades brunnea dominicensis", "Ephyriades brunnea floridensis", "Copaeodes stillmani", "Deguelia amazonica", "Deguelia costata", "Deguelia rariflora", "Deguelia rufescens", "Deguelia scandens", "Deguelia spruceana", "Deguelia utilis", "Dendrorhynchoides mutoudengensis", "Cyprinotus sulphureus", "Chlorogalum grandiflorum", "Chlorogalum parviflorum", "Parthenocissus henryana", "Parthenocissus semicordata", "Parthenocissus thomsonii", "Parthenocissus tricuspidata", "Parthenocissus inserta", "Microschismus lenzi", "Microschismus reginus", "Murraya euchrestifolia", "Microschismus sterkfonteini", "Avicularia soratae", "Olios soratensis", "Paspalidium caespitosum", "Paspalidium desertorum", "Paspalidium distans", "Paspalidium flavidum", "Isoetes \u00d7 brittonii", "Cissites maculata", "Cupes cinereus", "Tubbia tasmanica", "Alveopora spongiosa", "Pavonia subsect.", "Hydriomena exculpata exculpata", "Hydriomena shasta", "Hydriomena borussata", "Hydriomena marinata", "Hydriomena marinata marinata", "Hydriomena marinata exasperata", "Hydriomena obliquilinea", "Hydriomena arizonata", "Hydriomena sierrae", "Hydriomena nevadae", "Hydriomena muscata", "Hydriomena modestata", "Hydriomena costipunctata", "Hydriomena morosata", "Hydriomena furculoides", "Hydriomena henshawi", "Eumenodora encrypta", "Bembecia salangica", "Bembecia tshimgana", "Tanacetum cilicium", "Tanacetum albipannosum", "Tanacetum alyssifolium", "Tanacetum aucheri", "Tanacetum munzurdaghense", "Tanacetum depauperatum", "Tanacetum haradjanii", "Tanacetum heterotomum", "Tanacetum nitens", "Tanacetum praeteritum", "Tanacetum sericeum", "Tanacetum sipikorense", "Tanacetum tabrisianum", "Tanacetum tomentellum", "Tanacetum uniflorum", "Tanacetum aureum", "Tanacetum cadmeum", "Tanacetum canescens", "Tanacetum cappadocicum", "Tanacetum densum", "Tanacetum haussknechtii", "Pseudhapalopus aculeatus", "Harpactira guttata", "Tanacetum millefolium", "Tanacetum albanicum", "Tanacetum aucherianum", "Tanacetum audibertii", "Tanacetum daghestanicum", "Grammostola monticola", "Tanacetum kittaryanum", "Tanacetum larvatum", "Tanacetum leptophyllum", "Tanacetum marionii", "Sauroglossum elatum", "Schiedeella saltensis", "Pavonia malacophylla", "Pavonia luetzelburgii", "Pavonia sect.", "Pavonia sidifolia", "Paguristes bakeri", "Paguristes weddellii", "Tubbia stewarti", "Paspalidium geminatum", "Paspalidium globoideum", "Paspalidium gracile", "Paspalidium jubiflorum", "Paspalidium rarum", "Agdistis danutae", "Agdistis mostovskii", "Agdistis violaceus", "Agdistis gornostaevi", "Agdistis yakovi", "Polycope regina", "Abelmoschus enbeepeegearense", "Abelmoschus muliensis", "Ponerorchis graminifolia var. suzukiana", "Ponerorchis graminifolia", "Dioscorea alata", "Dioscorea bulbifera", "Dioscorea dumetorum", "Dioscorea esculenta", "Dioscorea hispida", "Dioscorea nummularia", "Polycope foraminosa", "Dioscorea pentaphylla", "Dioscorea trifida", "Dioscorea convolvulacea", "Dioscorea abyssinica", "Dioscorea amaranthoides", "Dioscorea aristolochiifolia", "Dioscorea auriculata", "Dioscorea balcanica", "Dioscorea bartlettii", "Dioscorea biloba", "Dioscorea campestris", "Dioscorea caucasica", "Dioscorea cayenensis", "Dioscorea collettii", "Dioscorea composita", "Dioscorea cotinifolia", "Polycope choane", "Dioscorea cyanisticta", "Dioscorea deltoidea", "Dioscorea densiflora", "Dioscorea divaricata", "Dioscorea dodecaneura", "Dioscorea dregeana", "Dioscorea elephantipes", "Dioscorea floribunda", "Dioscorea futschauensis", "Dioscorea galeottiana", "Dioscorea glandulosa", "Sacoila lanceolata", "Dioscorea monadelpha", "Dioscorea multiflora", "Dioscorea nelsonii", "Dioscorea nipponica", "Dioscorea olfersiana", "Dioscorea ovata", "Dioscorea pallens", "Dioscorea pilcomayensis", "Dioscorea piperifolia", "Dioscorea polygonoides", "Dioscorea praehensilis", "Dioscorea preussii", "Dioscorea remota", "Dioscorea remotiflora", "Dioscorea retusa", "Dioscorea sagittata", "Dioscorea sansibarensis", "Dioscorea saxatilis", "Dioscorea sellowiana", "Dioscorea septemloba", "Dioscorea simulans", "Dioscorea sinuata", "Dioscorea spiculiflora", "Dioscorea subhastata", "Dioscorea subtomentosa", "Dioscorea sylvatica", "Dioscorea tenuipes", "Dioscorea tokoro", "Dioscorea transversa", "Dioscorea valdiviensis", "Dioscorea villosa", "Kohleria hirsuta", "Abelmoschus tuberculatus var. tuberculatus", "Ilyocypris taprobanensis", "Abelmoschus tuberculatus var. deltoidefolius", "Hibiscus hispidissimus", "Brunia noduliflora", "Actias selene taprobanis", "Samia kikibudiamini", "Attacus suparmani", "Stalkya muscicola", "Stenorrhynchos speciosum", "Cyprinus niloticus", "Oxysarcodexia varia", "Boreioglycaspis melaleucae", "Myrmecosaurus ferrugineus", "Paniscomima kilombero", "Paniscomima mulanje", "Echinopla cherapunjiensis", "Operclipygus abbreviatus", "Operclipygus andinus", "Operclipygus angulifer", "Operclipygus arquus", "Operclipygus ashei", "Operclipygus assimilis", "Operclipygus atlanticus", "Operclipygus baylessae", "Operclipygus belemensis", "Operclipygus bickhardti", "Operclipygus bicolor", "Operclipygus bosquesecus", "Operclipygus britannicus", "Operclipygus brooksi", "Operclipygus bulbistoma", "Operclipygus callifrons", "Operclipygus campbelli", "Operclipygus carinisternus", "Operclipygus cavisternus", "Operclipygus cephalicus", "Operclipygus chamelensis", "Operclipygus chiapensis", "Operclipygus colombicus", "Operclipygus communis", "Operclipygus confertus", "Operclipygus confluens", "Operclipygus crenulatus", "Operclipygus curtistrius", "Operclipygus dentatus", "Operclipygus diffluens", "Operclipygus disconnectus", "Operclipygus dybasi", "Operclipygus dytiscoides", "Operclipygus ecitonis", "Operclipygus elongatus", "Operclipygus extraneus", "Operclipygus falini", "Operclipygus faltistrius", "Operclipygus farctissimus", "Operclipygus florifaunensis", "Operclipygus formicatus", "Operclipygus foveiventris", "Operclipygus fusistrius", "Operclipygus gilli", "Operclipygus granulipectus", "Operclipygus gratus", "Operclipygus guianensis", "Operclipygus hintoni", "Operclipygus hirsutipes", "Operclipygus ibiscus", "Operclipygus ignifer", "Operclipygus impositus", "Operclipygus impressicollis", "Operclipygus impressifrons", "Operclipygus impressistrius", "Operclipygus incisus", "Operclipygus inflatus", "Operclipygus innocuus", "Operclipygus inquilinus", "Operclipygus intermissus", "Operclipygus intersectus", "Operclipygus sinuatus", "Operclipygus subrufus", "Operclipygus subsphaericus", "Operclipygus subterraneus", "Operclipygus subviridis", "Operclipygus tenuis", "Operclipygus tiputinus", "Operclipygus tripartitus", "Operclipygus troglodytes", "Operclipygus validus", "Operclipygus variabilis", "Operclipygus vorax", "Operclipygus wenzeli", "Operclipygus yasuni", "Rajania cordata", "Rajania hastata", "Operclipygus conquisitus", "Operclipygus sulcistrius", "Operclipygus carinistrius", "Operclipygus kerga", "Operclipygus friburgius", "Operclipygus crenatus", "Operclipygus impuncticollis", "Operclipygus depressus", "Operclipygus sejunctus", "Operclipygus dubius", "Operclipygus farctus", "Operclipygus hospes", "Operclipygus bidessois", "Operclipygus plicatus", "Operclipygus subplicatus", "Garrya congdonii", "Operclipygus distinctus", "Operclipygus distractus", "Operclipygus latemarginatus", "Operclipygus hamistrius", "Operclipygus gibbulus", "Operclipygus subdepressus", "Operclipygus teapensis", "Operclipygus iheringi", "Operclipygus pygidialis", "Operclipygus marginellus", "Operclipygus angustisternus", "Operclipygus arnaudi", "Operclipygus dubitabilis", "Operclipygus therondi", "Operclipygus rubidus", "Operclipygus striatellus", "Operclipygus panamensis", "Operclipygus lama", "Operclipygus geometricus", "Operclipygus fungicolus", "Operclipygus mirabilis", "Operclipygus impunctipennis", "Operclipygus fossipygus", "Operclipygus foveipygus", "Operclipygus miladae", "Operclipygus propygidialis", "Operclipygus itoupe", "Operclipygus juninensis", "Operclipygus latifoveatus", "Operclipygus latipygus", "Operclipygus limonensis", "Operclipygus lissipygus", "Operclipygus longidens", "Operclipygus lucanoides", "Operclipygus lunulus", "Operclipygus maesi", "Operclipygus mangiferus", "Operclipygus marginipennis", "Operclipygus minutus", "Operclipygus montanus", "Operclipygus mortavis", "Operclipygus mutuca", "Operclipygus nicodemus", "Operclipygus nitidus", "Operclipygus novateutoniae", "Operclipygus nubosus", "Operclipygus occultus", "Operclipygus olivensis", "Operclipygus orchidophilus", "Operclipygus pacificus", "Operclipygus paraguensis", "Operclipygus parallelus", "Operclipygus parensis", "Operclipygus pauperculus", "Operclipygus pecki", "Operclipygus peregrinus", "Operclipygus perplexus", "Operclipygus petrovi", "Operclipygus pichinchensis", "Operclipygus planifrons", "Operclipygus plaumanni", "Operclipygus plicicollis", "Operclipygus praecinctus", "Operclipygus profundipygus", "Operclipygus prolixus", "Operclipygus prominens", "Operclipygus propinquus", "Operclipygus proximus", "Operclipygus punctatissimus", "Operclipygus punctifrons", "Operclipygus punctipleurus", "Operclipygus punctissipygus", "Operclipygus punctistrius", "Operclipygus punctiventer", "Operclipygus punctulatus", "Operclipygus pustulifer", "Operclipygus quadratus", "Operclipygus quinquestriatus", "Operclipygus remotus", "Operclipygus rileyi", "Operclipygus rufescens", "Operclipygus rupicolus", "Operclipygus schlingeri", "Operclipygus schmidti", "Operclipygus selvorum", "Operclipygus setiventris", "Operclipygus shorti", "Operclipygus siluriformis", "Operclipygus simplicipygus", "Operclipygus simplistrius", "Agdistis varii", "Agdistis potgieteri", "Agdistis jansei", "Agdistis endrodyi", "Agdistis dicksoni", "Agdistis krooni", "Agdistis kruegeri", "Bathycythere vanstraateni", "Clupanodon thrissa", "Clupea sima", "Olios malagassus", "Olios exterritorialis", "Heteropoda venatoria maculipes", "Heteropoda emarginativulva", "Heteropoda eungella", "Mesadenella cuspidata", "Tesserodon pilicrepus", "Tesserodon seramicum", "Tesserodon variolosum", "Tesserodon setulosum", "Tesserodon simplicipunctatum", "Tesserodon tenebroides", "Diplazium franconis", "Myrmica curvispinosa", "Myrmica kothiensis", "Myrmica religiosa", "Epidendrum calanthum", "Chrysoesthia longifibriata", "Chrysoesthia luteola", "Boloria tritonia tritonia", "Formicaricola analoides", "Formicaricola willisi", "Formicaphagus magnus", "Formicaphagus clypeatus", "Formicaphagus angustifrons", "Sidnia kinbergi", "Formicaphagus minutus", "Formicaphagus brevifrons", "Formicaphagus pittasomae", "Formicaphagus splendidus", "Formicaphagus arnoldi", "Formicaphagus donpetersi", "Formicaphagus mariae", "Formicaphagus thamnophili", "Formicaphagus severus", "Formicaphagus picturatus", "Formicaphagus tyrannina", "Formicaphagus rhamphasti", "Rhotana suttoni", "Prunus avium subsp. avium", "Fritillaria glauca", "Eudynamys orientalis", "Australophyra rostrata", "Hydrotaea australis", "Hydrotaea nubilicosta", "Helina sexmaculata", "Haematobia irritans", "Cyrnea apterycis", "Musca prisca", "Sepsis cynipsea", "Koleps angulatus", "Cybebus grandis", "Cotylolabium lutzii", "Pseudogoodyera wrightii", "Rhinichthys cataractae", "Rhinichthys atratulus", "Rhinichthys cobitis", "Rhinichthys deaconi", "Rhinichthys evermanni", "Rhinichthys falcatus", "Rhinichthys obtusus", "Rhinichthys osculus", "Rhinichthys umatilla", "Prunus pananensis", "Cuculus optatus", "Cuculus lepidus", "Spilogona nora", "Mentophilus hollandiae", "Mentophilus subsulcatus", "Tesserodon angulatum", "Tesserodon elongatus", "Tesserodon erratum", "Tesserodon feehani", "Tesserodon gestroi", "Tesserodon granulatum", "Tesserodon henryi", "Tesserodon heurni", "Tesserodon hilleri", "Tesserodon howdeni", "Tesserodon intricatum", "Tesserodon novaehollandiae", "Tesserodon papuanum", "Fritillaria dzhabavae", "Fritillaria ehrhartii", "Fritillaria epirotica", "Fritillaria gibbosa", "Phragmacossia ariana", "Dieida judith", "Agdistis kevintucki", "Agdistis anikini", "Agdistis dazdraperma", "Agdistis swierstri", "Rhopalothrix andersoni", "Agdistis myburgi", "Rhopalothrix apertor", "Rhopalothrix atitlanica", "Rhopalothrix megisthmica", "Rhopalothrix nubilosa", "Rhopalothrix subspatulata", "Rhopalothrix therion", "Rhopalothrix triumphalis", "Rhopalothrix weberi", "Cacomantis leucolophus", "Apsectus araneorum", "Apsectus centralis", "Morova subfasciata", "Hellinsia powelli", "Pterophorus homodactylus", "Pterophorus mollis", "Hellinsia paccha", "Fritillaria uva-vulpis", "Fritillaria stribrnyi", "Fritillaria straussii", "Fritillaria reuteri", "Hellinsia pelospilus", "Fritillaria pinardii", "Fritillaria persica", "Fritillaria minuta", "Fritillaria minima", "Fritillaria latakiensis", "Fritillaria kurdica", "Fritillaria frankiorum", "Fritillaria forbesii", "Fritillaria fleischeriana", "Fritillaria elwesii", "Fritillaria crassifolia", "Fritillaria crassifolia subsp. crassifolia", "Fritillaria crassifolia subsp. hakkarensis", "Fritillaria carica", "Fritillaria carica subsp. carica", "Fritillaria carica subsp. serpenticola", "Fritillaria byfieldii", "Fritillaria bithynica", "Fritillaria baskilensis", "Fritillaria amana", "Fritillaria alburyana", "Fritillaria alfredae", "Fritillaria alfredae subsp. alfredae", "Fritillaria alfredae subsp. glaucoviridis", "Fritillaria alfredae subsp. platyptera", "Fritillaria assyriaca", "Fritillaria assyriaca subsp. assyriaca", "Fritillaria assyriaca subsp. melananthera", "Fritillaria caucasica", "Fritillaria collina", "Fritillaria davisii", "Fritillaria drenovskii", "Agdistis nikolaii", "Agdistis namaqua", "Agdistis augrabiesi", "Agdistis prisoner", "Agdistis streltzovi", "Agdistis springbok", "Agdistis insolitus", "Agdistis capensis", "Stenopterix bicolorella", "Skeletophyllon kalinini", "Trismelasmos valentini", "Polyhymno exalbida", "Paranarsia straminea", "Hellinsia ambo", "Cosmoclostis gorbunovi", "Wardium squatarolae", "Pristimantis mazar", "Gracixalus nonggangensis", "Scinax pombali", "Allobates grillisimilis", "Bolitoglossa leandrae", "Bolitoglossa tamaense", "Xenorhina brachyrhyncha", "Oreophryne ampelos", "Cerodirphia mandoriana", "Cerodirphia rosecuscoensis", "Cerodirphia riojensis", "Cerodirphia zamorana", "Cerodirphia roseamazonica", "Cerodirphia diosiana", "Cerodirphia roseissima", "Cerodirphia consaepta", "Lemaireodirphia hoegei", "Lemaireodirphia lasiocampina", "Lemaireodirphia oaxacana", "Lemaireodirphia guerreroiana", "Lemaireodirphia centralis", "Lemaireodirphia albida", "Lemaireodirphia rubra", "Lemaireodirphia rosivora", "Lemaireodirphia fusca", "Lemaireodirphia knorkei", "Lemaireodirphia chiapasiana", "Lemaireodirphia transversaria", "Leucanella arcuata", "Coilia mystus", "Clupea tropica", "Clupea sinensis", "Prohylesia carpishiana", "Prohylesia bahikani", "Prohylesia bahiana", "Arsissa afghana", "Arsissa aksuella", "Arsissa pupillatella", "Arsissa leucomixtella", "Arsissa pempeliella", "Arsissa haberhaueri", "Arsissa miridella", "Arsissa divaricella", "Arsissa ramosella", "Arsissa milka", "Menticirrhus americanus", "Fritillaria messanensis subsp. gracilis", "Fritillaria messanensis subsp. messanensis", "Fritillaria messanensis subsp. neglecta", "Fritillaria messanensis subsp. sphaciotica", "Fritillaria montana", "Fritillaria pyrenaica subsp. boissieri", "Fritillaria pyrenaica subsp. pyrenaica", "Fritillaria orientalis", "Fritillaria purdyi", "Scardinius erythrophthalmus", "Clasmatocolea bisexualis", "Lantanophaga anellatus", "Megalorhipida paradefectalis", "Megalorhipida gielisi", "Prichotilus bidens", "Prichotilus yakovlevi", "Prichotilus tara", "Prunus avium subsp. juliana", "Walsinghamiella orichalcias", "Walsinghamiella prolai", "Platyptilia longalis", "Rhotana jacobsoni", "Rhotana aperta", "Rhotana crassa", "Rhotana hirashimai", "Rhotana holtmanni", "Rhotana kuncheriai", "Rhotana sabaea", "Rhotana truncata", "Rhotana luteola", "Rhotana melichari", "Rhotana sectator", "Rhotana triplex", "Rhotana fera", "Rhotana pacata", "Rhotana ramosa", "Rhotana tridentata", "Rhotana aequa", "Rhotana argus", "Rhotana biermani", "Degranvillea dermaptera", "Rhotana dammermani", "Rhotana deminuta", "Rhotana dentata", "Rhotana dextra", "Rhotana fordi", "Rhotana globosa", "Fritillaria anhuiensis", "Rhotana gracilis", "Fritillaria ariana", "Fritillaria atrolineata", "Rhotana gressittorum", "Fritillaria aurea", "Rhotana novahiberniensis", "Fritillaria ayakoana", "Rhotana panthera", "Rhotana papuensis", "Fritillaria brandegeei", "Fritillaria bucharica", "Rhotana rubifasciata", "Fritillaria camschatcensis", "Fritillaria chlorantha", "Prunus avium subsp. duracina", "Rhotana similis", "Fritillaria chlororhabdota", "Fritillaria cirrhosa", "Rhotana unca", "Fritillaria conica", "Rhotana wallacei", "Fritillaria crassicaulis", "Fritillaria dagana", "Fritillaria dajinensis", "Fritillaria davidii", "Fritillaria delavayi", "Fritillaria eastwoodiae", "Rhotana brendelli", "Fritillaria euboeica", "Rhotana cribraria", "Fritillaria falcata", "Discyphus scopulariae", "Rhotana dohertyi", "Discyphus scopulariae var. scopulariae", "Fritillaria fusca", "Fritillaria gentneri", "Discyphus scopulariae var. longiauriculata", "Rhotana lalage", "Rhotana magna", "Rhotana mendax", "Rhotana miles", "Rhotana reticulata", "Rhotana spenceri", "Rhotana stali", "Fritillaria sichuanica", "Fritillaria sinica", "Fritillaria skorpili", "Fritillaria spetsiotica", "Fritillaria striata", "Anochetus goodmani", "Fritillaria taipaiensis", "Fritillaria tortifolia", "Fritillaria tubaeformis", "Fritillaria unibracteata", "Fritillaria usuriensis", "Fritillaria verticillata", "Fritillaria walujewii", "Fritillaria yuminensis", "Anochetus grandidieri", "Fritillaria yuzhongensis", "Chicoreus margaritensis", "Fritillaria amabilis", "Fritillaria thunbergii", "Piruna penaea", "Aides brilla", "Fritillaria viridea", "Fritillaria affinis var. affinis", "Fritillaria affinis var. tristulis", "Erythrocharax altipinnis", "Fritillaria karelinii", "Fritillaria kotschyana", "Pseudokoleps akainae", "Pheos aculeatus", "Hallicis bisetosellus", "Hallicis clavicula", "Barbaloba meleagrisellae", "Barbaloba jubae", "Blastobasis paludis", "Fritillaria grandiflora", "Fritillaria gussichiae", "Fritillaria japonica", "Fritillaria kaiensis", "Fritillaria koidzumiana", "Fritillaria lagodechiana", "Fritillaria legionensis", "Fritillaria liliacea", "Fritillaria macedonica", "Fritillaria meleagroides", "Fritillaria messanensis", "Fritillaria micrantha", "Fritillaria monantha", "Fritillaria muraiana", "Fritillaria mutabilis", "Fritillaria obliqua", "Fritillaria ojaiensis", "Fritillaria olgae", "Fritillaria olivieri", "Fritillaria oranensis", "Fritillaria pallidiflora", "Fritillaria pinetorum", "Fritillaria pluriflora", "Fritillaria przewalskii", "Fritillaria pudica", "Fritillaria pyrenaica", "Fritillaria raddeana", "Eilema umbripuncta", "Lithosia decreta", "Thymelicus lineola lineola", "Thymelicus lineola galinae", "Fritillaria recurva", "Fritillaria regelii", "Thymelicus lineola semicolon", "Fritillaria rhodia", "Anochetus cryptus", "Fritillaria rhodocanakis", "Anochetus validus", "Thymelicus lineola kushana", "Fritillaria rixii", "Fritillaria ruthenica", "Fritillaria sewerzowii", "Fritillaria shikokiana", "Fritillaria sibthorpiana", "Prunus mandshurica var. glabra", "Prunus mandshurica var. mandshurica", "Spilostethus hospes", "Prunus spachiana", "Oceanites pincoyae", "Cymbidium tigrinum", "Cymbidium formosanum", "Cymbidium goeringii", "Scutovertex pannonicus", "Tajuria luculentus", "Blastobasis lygdi", "Blastobasis dapis", "Blastobasis balucis", "Blastobasis caetrae", "Blastobasis furtivus", "Blastobasis deae", "Blastobasis erae", "Blastobasis iuanae", "Hammarbya paludosa", "Narella mosaica", "Narella vulgaris", "Calyptrophora cristata", "Calyptrophora cucullata", "Calyptrophora diaphana", "Calyptrophora inornata", "Calyptrophora niwa", "Calyptrophora wyvillei", "Bairdia canterburyensis", "Dasineura gannoni", "Prunus \u00d7 hillieri", "Erwinia amylovora", "Prunus domestica subsp. italica", "Eurytoma casuarinae", "Prunus mahaleb subsp. cupaniana", "Prunus mahaleb subsp. simonkaii", "Prunus mahaleb subsp. mahaleb", "Pempeliella alibotuschella", "Iolana iolas arjanica", "Sanguisorba vestita", "Sanguisorba verrucosa", "Hemibagrus guttatus", "Rhytidodus nobilis", "Hemibagrus macropterus", "Raphignathus quadrigeminus", "Raphignathus koseiensis", "Eucalyptus sect.", "Eucalyptus sect.", "Corymbia gummifera", "Hemibagrus vietnamicus", "Rhynchostylis retusa", "Rhynchostylis coelestis", "Nidema ottonis", "Nidema boothii", "Zemiocrita spermatopis", "Perittoides ochrella", "Eucalyptus sect.", "Sruogania petrosa", "Eucalyptus ser.", "Corymbia subg.", "Corymbia sect.", "Agrias amydon uniformis", "Agrias amydon rubella", "Agrias amydon oaxacata", "Agrias amydon philatelica", "Agrias amydon lacandona", "Lycaena editha obscuramaculata", "Artorima erubescens", "Acrorchis roseola", "Prunus subhirtella var. subhirtella", "Prunus \u00d7 subhirtella var. koshiensis", "Metanarella nannolepis", "Narelloides crinitus", "Helicoprimnoa fasciola", "Narella dampieri", "Narella hypsocalyx", "Narella mesolepis", "Orgyia thyellina", "Teia anartoides", "Sphaerocera curvipes", "Prunus sect.", "Prunus sect.", "Bembecia guesnoni", "Blicca bjoerkna", "Cossus cossus kopetdaghi", "Cossus shmakovi", "Cossus orientalis", "Cossus afghanistana", "Cossus cossus dersu", "Perna perna", "Perna viridis", "Spiripockia punctata", "Hyles tithymali mauretanica", "Hyles tithymali deserticola", "Hyles tithymali gecki", "Prunus persica subsp. persica", "Eucalyptus ser.", "Eucalyptus ser.", "Eucalyptus ser.", "Eucalyptus ser.", "Eucalyptus ser.", "Ceresium flavipes", "Eucalyptus subg.", "Cymbidium bicolor", "Cymbidium bicolor subsp. bicolor", "Cymbidium bicolor subsp. pubescens", "Eucalyptus subg.", "Eucalyptus sect.", "Eucalyptus ser.", "Stenotus gressitti", "Stenotus witchelina", "Rhytidodus zalantunensis", "Rhytidodus poplara", "Sanguisorba megacarpa", "Sanguisorba lateriflora", "Sanguisorba filiformis", "Adamantinia miltonioides", "Eucalyptus sect.", "Eucalyptus ser.", "Alamania punicea subsp. punicea", "Alamania punicea", "Eucalyptus ser.", "Hemibagrus baramensis", "Eucalyptus ser.", "Alamania punicea subsp. greenwoodiana", "Eucalyptus ser.", "Hemibagrus sabanus", "Hemibagrus semotus", "Arpophyllum giganteum", "Arpophyllum giganteum subsp. giganteum", "Arpophyllum spicatum", "Arpophyllum giganteum subsp. alpinum", "Arpophyllum giganteum subsp. medium", "Arpophyllum laxiflorum", "Boleophthalmus poti", "Tajuria luculentus nela", "Betta dennisyongi", "Tajuria luculentus luculentus", "Tajuria luculentus taorana", "Sanguisorba alpina", "Sanguisorba applanata", "Eucalyptus sect.", "Ophelmodiplosis clavata", "Eucalyptus sect.", "Eucalyptus ser.", "Tajuria lucullus", "Eucalyptus ser.", "Eucalyptus ser.", "Eucalyptus ser.", "Fundulopanchax sjostedti", "Eucalyptus sect.", "Eucalyptus subsect.", "Eucalyptus ser.", "Samia ceramensis", "Ceuthmochares australis", "Samia naessigi", "Samia abrerai", "Samia wangi", "Samia kohlli", "Samia beekei", "Eucalyptus globulus subsp. globulus", "Samia peigleri", "Samia vandenberghi", "Gammarus baysali", "Prozercon giresunensis", "Prozercon murati", "Meiracyllium trinasutum", "Meiracyllium gemma", "Pulvinariella mesembryanthemi", "Otothyropsis biamnicus", "Otothyropsis polyodon", "Sarotherodon lamprechti", "Sarotherodon knauerae", "Pastria pastria", "Pastria grinpela", "Cittarium pica", "Tilapia deckerti", "Tilapia ejagham", "Tilapia fusiforme", "Tilapia nigrans", "Allium phanerantherum subsp. deciduum", "Allium phanerantherum subsp. phanerantherum", "Stigmella atricapitella", "Stigmella ruficapitella", "Stigmella cocciferae", "Stigmella kasyi", "Stigmella macrolepidella", "Stigmella svenssoni", "Stigmella szoecsiella", "Stigmella zangherii", "Stigmella dorsiguttella", "Agrias amydon bogotana", "Agrias amydon frontina", "Agrias amydon ferdinandi", "Agrias amydon aurantiaca", "Agrias amydon aristoxenus", "Persoonia levis", "Agrias amydon excelsior", "Dendrobium cunninghamii", "Eucalyptus sect.", "Hemibagrus caveatus", "Hemibagrus peguensis", "Hypochrosis chiarinii", "Hypochrosis roberti", "Eucalyptus subsect.", "Eucalyptus ser.", "Helicoverpa armigera", "Eucalyptus \u00d7 beasleyi", "Eucalyptus \u00d7 bucknellii", "Dendrobium macrophyllum", "Dendrobium macranthum", "Dendrobium striolatum", "Dendrobium teretifolium", "Eucalyptus sect.", "Eucalyptus sect.", "Eucalyptus ser.", "Eucalyptus ser.", "Eucalyptus ser.", "Lymnaea stagnalis", "Eucalyptus subg.", "Brullea antarctica", "Aptostichus bonoi", "Aptostichus aguacaliente", "Aptostichus anzaborrego", "Aptostichus asmodaeus", "Aptostichus cabrillo", "Rhynchostylis gigantea", "Rhynchostylis gigantea subsp. gigantea", "Rhynchostylis gigantea subsp. violacea", "Clintonia udensis", "Eucalyptus ser.", "Eucalyptus ser.", "Eucalyptus ser.", "Eucalyptus ser.", "Eucalyptus ser.", "Metriochroa symplocosella", "Eucalyptus subsect.", "Eucalyptus ser.", "Eucalyptus subser.", "Eucalyptus ser.", "Pygmaeorchis brasiliensis", "Pygmaeorchis seidelii", "Isabelia virginalis", "Onthophagus aceroides", "Onthophagus baiyericus", "Onthophagus bituberoculus", "Onthophagus daymanus", "Onthophagus dissidentatus", "Onthophagus kokocellosus", "Onthophagus kokodentatus", "Onthophagus kokopygus", "Onthophagus kukali", "Onthophagus ofianus", "Isabelia pulchella", "Isabelia violacea", "Monomorium sarawatensis", "Anthrax alruqibi", "Isabelia \u00d7 pabstii", "Pseudolaelia corcovadensis", "Harpactea ballarini", "Trachyuropoda darwini", "Trachyuropoda bali", "Trachyuropoda extremica", "Euceraphis borealis", "Euceraphis quednaui", "Euceraphis papyrifericola", "Sanguisorba rupicola", "Sanguisorba cretica", "Eucalyptus subg.", "Hemibagrus menoda", "Aptostichus cahuilla", "Aptostichus cajalco", "Aptostichus chavezi", "Aptostichus chemehuevi", "Aptostichus chiricahua", "Aptostichus dantrippi", "Aptostichus derhamgiulianii", "Aptostichus dorothealangeae", "Aptostichus edwardabbeyi", "Aptostichus elisabethae", "Aptostichus fisheri", "Aptostichus fornax", "Aptostichus hedinorum", "Aptostichus huntington", "Aptostichus icenoglei", "Aptostichus isabella", "Aptostichus killerdana", "Aptostichus lucerne", "Aptostichus mikeradtkei", "Aptostichus muiri", "Aptostichus nateevansi", "Aptostichus pennjillettei", "Aptostichus sarlacc", "Aptostichus satleri", "Aptostichus serrano", "Aptostichus sierra", "Aptostichus sinnombre", "Aptostichus flavipes", "Myrmekiaphila flavipes", "Gauna aegusalis", "Eucalyptus sect.", "Eucalyptus subsect.", "Eucalyptus subsect.", "Agapanthinus callophilus", "Eucalyptus subsect.", "Eucalyptus ser.", "Eucalyptus ser.", "Eucalyptus ser.", "Eucalyptus ser.", "Eucalyptus ser.", "Eucalyptus ser.", "Eucalyptus ser.", "Protoplotina vietnamica", "Protoplotina nigrosuturalis", "Corymbia subg.", "Eucalyptus ser.", "Pseudolaelia citrina", "Edwardsiana crataegi", "Calothamnus subg.", "Prosthechea glauca", "Calothamnus subg.", "Calothamnus quadrifidus", "Calothamnus rupestris", "Calothamnus robustus", "Nilio dominicana", "Ischalis gallaria", "Tulipa sprengeri", "Tulipa urumiensis", "Tulipa biflora", "Tulipa bifloriformis", "Tulipa dasystemon", "Tulipa turkestanica", "Tulipa tubergeniana", "Tulipa ingens", "Tulipa lanata", "Tulipa greigii", "Tulipa tetraphylla", "Tulipa lehmanniana", "Tulipa korolkowii", "Tulipa borszczowii", "Tulipa altaica", "Psychilis bifida", "Mesenopsis jordana", "Mesenopsis bryaxis", "Mesenopsis melanochlora", "Mesenopsis briseis", "Mesenopsis pulchella", "Mesenopsis albivitta", "Heppneralis decorella", "Heppneralis dumogaensis", "Crinipus leucozonipus", "Crinipus marisa", "Crinipus pictipes", "Crinipus vassei", "Cyrtosperma johnstonii", "Cyrtosperma macrotum", "Dieffenbachia aglaonematifolia", "Dieffenbachia antioquensis", "Dieffenbachia aurantiaca", "Dieffenbachia beachiana", "Dieffenbachia brittonii", "Dieffenbachia concinna", "Dieffenbachia copensis", "Dieffenbachia cordata", "Dieffenbachia costata", "Dieffenbachia crebripistillata", "Dieffenbachia daguensis", "Dieffenbachia davidsei", "Afrasura trunca", "Afrasura camilla", "Afrasura duplex", "Afrasura aetheria", "Dieffenbachia duidae", "Dieffenbachia elegans", "Afrasura fracta", "Liparis nervosa subsp. nervosa", "Selenochilus hinewai", "Selenochilus hutchisonae", "Selenochilus omalleyi", "Liparis nervosa subsp. granitica", "Paris tetraphylla", "Dieffenbachia enderi", "Dieffenbachia fortunensis", "Afrasura numida", "Dieffenbachia fosteri", "Dieffenbachia fournieri", "Dieffenbachia galdamesiae", "Dieffenbachia gracilis", "Dieffenbachia grayumiana", "Dieffenbachia hammelii", "Dieffenbachia herthae", "Dieffenbachia horichii", "Dieffenbachia humilis", "Dieffenbachia imperialis", "Dieffenbachia isthmia", "Dieffenbachia killipii", "Dieffenbachia leopoldii", "Dieffenbachia longispatha", "Dieffenbachia lutheri", "Dieffenbachia macrophylla", "Dieffenbachia nitidipetiolata", "Dieffenbachia obliqua", "Dieffenbachia obscurinervia", "Dieffenbachia olbia", "Dieffenbachia paludicola", "Dieffenbachia panamensis", "Dieffenbachia parlatorei", "Dieffenbachia parvifolia", "Dieffenbachia pittieri", "Dieffenbachia standleyi", "Dieffenbachia tonduzii", "Dieffenbachia weberbaueri", "Dieffenbachia weirii", "Dieffenbachia wendlandii", "Dieffenbachia williamsii", "Afrasura hieroglyphica", "Afrasura hyporhoda", "Afrasura ichorina", "Afrasura neavi", "Calliandra coriacea", "Calliandra pittieri", "Calliandra rubescens", "Calliandra trinervia", "Lactarius lividatus", "Maratus speciosus", "Edwardsiana ulmiphagus", "Erythrina blakei", "Erythrina sigmoidea", "Candobrasilopsis rochai", "Lotononis acutiflora", "Lotononis arenicola", "Lotononis brachyantha", "Lotononis delicata", "Lotononis fruticoides", "Lotononis macrocarpa", "Lotononis marlothii", "Lotononis minima", "Lotononis oxyptera", "Lotononis polycephala", "Lotononis pulchra", "Lotononis rabenaviana", "Lotononis solitudinis", "Lotononis sparsiflora", "Tricyrtis ishiiana", "Tricyrtis macrantha", "Tricyrtis perfoliata", "Tricyrtis ohsumiensis", "Tricyrtis nana", "Tricyrtis flava", "Tricyrtis stolonifera", "Tricyrtis macropoda", "Tricyrtis dilatata", "Tricyrtis yatabeana", "Dorycnium hirsutum", "Dorycnium rectum", "Dorycnium spectabile", "Heliotropium circinatum", "Heliotropium torreyi", "Pantoporia consimilis", "Osmia alaiensis", "Kyllinga melanosperma", "Cyperus aromaticus", "Kyllinga pulchella", "Alloxylon pinnatum", "Parapercis moki", "Parapercis macrophthalma", "Periegops keani", "Osmia calaminthae", "Afrasura obliterata", "Afrasura pallescens", "Afrasura peripherica", "Afrasura peripherica peripherica", "Afrasura peripherica hilara", "Afrasura rivulosa", "Afrasura rivulosa rivulosa", "Afrasura rivulosa ethiopica", "Afrasura submarmorata", "Afrasura violacea", "Lomelosia olgae", "Scabiosa comosa", "Abarema campestris", "Abarema floribunda", "Abarema idiopoda", "Abarema macradenia", "Salmonella bongori", "Cyrtomium caryotideum", "Cyrtomium macrophyllum", "Joinvillea ascendens", "Joinvillea borneensis", "Mentzelia oligosperma", "Mentzelia rusbyi", "Marcusenius cyprinoides", "Callosobruchus chinensis", "Hapsifera estimata", "Elachista stenopterella", "Elachista dimicatella", "Hippeophyllum micranthum", "Hippeophyllum alboviride", "Hippeophyllum biakenae", "Hippeophyllum celebicum", "Protea sect.", "Hippeophyllum halmaherense", "Hippeophyllum hamadryas", "Hippeophyllum papillosum", "Hippeophyllum scortechinii", "Hippeophyllum sulense", "Hippeophyllum wenzelii", "Oberonioides oberoniiflora", "Oberonioides pusillus", "Protea sect.", "Risleya atropurpurea", "Protea sect.", "Limbarda crithmoides", "Tajuria mantra kimia", "Protea sect.", "Protea sect.", "Mormyrops anguilloides", "Tajuria mantra lucrosa", "Protea sect.", "Protea sect.", "Protea sect.", "Liparis amboinensis", "Liparis condylobulbon", "Tajuria mantra mesambria", "Tajuria mantra maroneia", "Mormyrus caschive", "Liparis grossa", "Protea sect.", "Liparis latifolia", "Fumariola turkestanica", "Daviesia nudiflora", "Frickius costulatus", "Frickius variolosus", "Taurocerastes patagonicus", "Psorothamnus kingii", "Swartzia grandifolia", "Swartzia leptopetala", "Swartzia oriximinaensis", "Merothrips indicus", "Merothrips morgani", "Corydalis aurea", "Corydalis cheilanthifolia", "Corydalis cornuta", "Corydalis curvisiliqua", "Corydalis decumbens", "Corydalis diphylla", "Corydalis elata", "Corydalis flavula", "Corydalis flexuosa", "Corydalis fumariifolia", "Corydalis micrantha", "Corydalis mira", "Corydalis moorcroftiana", "Paralasa kusnezovi bogutena", "Atheris hispida", "Serapias strictiflora", "Atheris squamigera", "Paralasa jordana roxana", "Paralasa jordana kipnisi", "Paralasa jordana shachristana", "Paralasa jordana summa", "Lactophrys trigonus", "Lactophrys bicaudalis", "Coelogyne kelamensis", "Ostracion cubicus", "Tajuria prenoxa", "Bulbophyllum longisepalum", "Tajuria sekii", "Trichoglottis seidenfadenii", "Bulbophyllum singulare", "Bulbophyllum rigidum", "Tajuria shigehoi", "Trachyspermum stewartii", "Loxoconcha gramanni", "Rhinecanthus verrucosus", "Zecicindela austromontana", "Zecicindela brevilunata", "Zecicindela campbelli", "Zecicindela feredayi", "Zecicindela giveni", "Zecicindela hamiltoni", "Zecicindela helmsi", "Zecicindela perhispida", "Zecicindela savilli", "Tarastethus convexus", "Trichopsida debilis", "Trichopsida diversa", "Trichopsida optata", "Trichopsida oxygona", "Trichopsida pretiosa", "Trichopsida propinqua", "Trichopsida robusta", "Trichopsida simplex", "Sieversia pusilla", "Darbicythere yakovlevi", "Ariopelta variegata", "Akatiomyia eremnos", "Neodiscopoma fabiani", "Corydalis nobilis", "Corydalis ochotensis", "Corydalis repens", "Corydalis scouleri", "Corydalis shimienensis", "Corydalis ternata", "Corydalis tomentella", "Corydalis turtschaninovii", "Corydalis wilsonii", "Corydalis yanhusuo", "Corydalis ambigua", "Corydalis caseana", "Corydalis chaerophylla", "Cyphostemma bainesii", "Abseudrapa lancinata", "Abseudrapa metaphaearia", "Tajuria mantra plateia", "Cyphostemma cirrhosum", "Cyphostemma currorii", "Cyphostemma elephantopus", "Cyphostemma juttae", "Cyphostemma montagnacii", "Cissus alata", "Cissus campestris", "Cissus erosa", "Cissus gongylodes", "Cissus hypoglauca", "Cissus obliqua", "Cissus quadrangularis", "Cissus striata", "Cissus trifoliata", "Cissus adnata", "Cissus cucurbitina", "Cissus incisa", "Cissus intermedia", "Cissus nodosa", "Cissus pentagona", "Cissus repanda", "Cissus repens", "Cissus rotundifolia", "Cissus sulcicaulis", "Cissus verticillata", "Clematicissus angustissima", "Tajuria mantra vergara", "Chionodes tundra", "Chionodes ermolaevi", "Rhinesomus triqueter", "Asura violacea", "Proteaphila maculosa", "Asura amaniensis", "Proteaphila pajori", "Proteaphila stuckenbergorum", "Tajuria melastigma", "Paralasa kusnezovi bosbutaensis", "Paralasa kusnezovi alajense", "Paralasa kusnezovi helios", "Nolina beldingii", "Nolina bigelovii", "Nolina brittoniana", "Nolina durangensis", "Nolina georgiana", "Nolina interrata", "Nolina lindheimeriana", "Nolina microcarpa", "Nolina parryi", "Nolina texana", "Symphurus orientalis", "Acreichthys tomentosus", "Paradaemonia andensis", "Paradaemonia pluto", "Paradaemonia berlai", "Loxolomia johnsoni", "Loxolomia serpentina", "Rhescyntis descimoni", "Rhescyntis hermes", "Balistes papillosus", "Panopsis rubescens", "Anathallis obovata", "Chrysitrix capensis", "Casuarina avenacea", "Casuarina stellata", "Chamelophyton kegelii", "Casuarina deleta", "Frondaria caulescens", "Gymnostoma australianum", "Epidendrum brachyglossum", "Neocogniauxia monophylla", "Neocogniauxia hexaptera", "Casuarina pauper", "Trichosalpinx ciliaris", "Rhodolirium montanum", "Restrepia chameleon", "Neocicindela dunedensis", "Neocicindela latecincta", "Neocicindela waiouraensis", "Neocicindela parryi", "Tajuria yajna", "Rhotanella bipunctata", "Tajuria yajna cato", "Rhotanella cyclops", "Rhotanella sophiae", "Tajuria yajna ellisi", "Chrysiridia rhipheus", "Sumangala tenebrosa", "Sumangala nubila", "Sumangala indica", "Sumangala distanti", "Sumangala badia", "Liparis nervosa var. khasiana", "Selenochilus erythropus", "Molopsida lindrothi", "Tarastethus sirvidi", "Trichopsida boltoni", "Trichopsida erwini", "Trichopsida goethei", "Trichopsida hewitti", "Trichopsida koyai", "Trichopsida maudensis", "Trichopsida nitida", "Trichopsida nunni", "Trichopsida paturauensis", "Trichopsida popei", "Neocicindela garnerae", "Bosea amherstiana", "Bosea yervamora", "Celosia isertii", "Celosia leptostachya", "Celosia trigyna", "Laserpitium latifolium", "Osmorhiza depauperata", "Monodora myristica", "Monodora crispata", "Monodora tenuifolia", "Monodora undulata", "Brodiaea elegans", "Gelis apterus", "Chlorophytum arundinaceum", "Chlorophytum bowkeri", "Chlorophytum capense", "Chlorophytum gallabatense", "Chlorophytum krookianum", "Chlorophytum macrophyllum", "Chlorophytum orchidastrum", "Chlorophytum alismifolium", "Ceuthostoma palawanense", "Ceuthostoma terminale", "Aetheorhyncha andreettae", "Tajuria sunia", "Dracaena cinnabari", "Moaxiphia flavopicta", "Paropsisterna beata", "Disporum smilacinum", "Pholiota microspora", "Arhopala hayashihisakazui", "Waldsteinia ternata", "Tajuria yajna istroidea", "Tajuria yajna selangorana", "Tajuria yajna yajna", "Bulbophyllum graveolens", "Bulbophyllum tricornoides", "Pimpinella corymbosa", "Pimpinella lutea", "Woldstedtius dundasius", "Woldstedtius gauldius", "Woldstedtius titirangiensis", "Trachyspermum roxburghianum", "Amblyaspis pederseniana", "Leptacis brachyptera", "Leptacis dolichoptera", "Leptacis schomannae", "Platygaster politiceps", "Eupines chandleri", "Eupines crosbyi", "Eupines tronqueti", "Eupines watti", "Gastrobothrus buckleyi", "Hamotulus pectinatus", "Sagola incisa", "Sagola triregia", "Scabritiopsis caecus", "Pselaphogenius butcherae", "Pselaphogenius carltoni", "Pselaphogenius hodeberti", "Pselaphogenius turbotti", "Trichouropoda szabadi", "Leucobrephos mongolicum", "Lithostege coassata coassata", "Lithostege coassata stepparia", "Lithostege coassata mongolica", "Burara oedipodea", "Burara tuckeri", "Burara phul", "Burara imperialis", "Burara imperialis imperialis", "Burara imperialis veteratrix", "Celaenorrhinus halconis", "Gangara tumpa", "Taractrocera luzonensis", "Teractrocera luzonensis luzonensis", "Taractrocera luzonensis tissara", "Taractrocera luzonensis luzonensis", "Taractrocera luzonensis dongala", "Taractrocera luzonensis zenia", "Taractrocera luzonensis stella", "Taractrocera luzonensis bessa", "Taractrocera archias", "Taractrocera archias archias", "Taractrocera archias bavius", "Taractrocera archias quinta", "Taractrocera archias kisaga", "Taractrocera archias samadha", "Taractrocera nigrolimbata", "Taractrocera nigrolimbata nigrolimbata", "Taractrocera nigrolimbata talanta", "Pleurospermum apiolens", "Pleurospermum brunonis", "Pleurospermum hookeri", "Scythris marashi", "Scythris caramani", "Teleiopsis tchukotka", "Halieutaea stellata", "Porpax meirax", "Diodonopsis erinacea", "Nissolia platycalyx", "Lemodinus tumidipennis", "Bulbophyllum bicolor", "Geum rhodopeum", "Geum canadense var. texanum", "Geum canadense var. canadense", "Darevskia rudis", "Dryas integrifolia subsp. integrifolia", "Dryas integrifolia subsp. sylvatica", "Donax striatus", "Geum peruvianum", "Geum \u00d7 jankae", "Geum \u00d7 gajewskii", "Geum \u00d7 thomasianum", "Geum \u00d7 pratense", "Geum \u00d7 pulchrum", "Geum \u00d7 heldreichii", "Oiketicoides lefevrei", "Oiketicoides lutea", "Oiketicoides leoi", "Geum \u00d7 rhaeticum", "Geum \u00d7 catlingii", "Geum \u00d7 gudaricum", "Tetraodon lineatus", "Geum \u00d7 hortigenum", "Geum \u00d7 velenovskyi", "Geum \u00d7 macneillii", "Geum \u00d7 montibericum", "Sphoeroides testudineus", "Geum \u00d7 teszlense", "Lagocephalus lagocephalus", "Malthopsis asparata", "Malthopsis parva", "Malthopsis gigas", "Malthopsis mitrigera", "Malthopsis annulifera", "Malthopsis gnoma", "Malthopsis tiarella", "Malthopsis retifera", "Malthopsis kobayashii", "Malthopsis jordani", "Malthopsis lutea", "Malthopsis triangularis", "Malthopsis ocellata", "Halieutopsis bathyoreos", "Rothschildia orizaba cauca", "Rothschildia orizaba equatorialis", "Rothschildia orizaba meridana", "Rothschildia orizaba peruviana", "Rothschildia orizaba triloba", "Rothschildia roxana", "Rothschildia schreiteriana", "Rothschildia triloba", "Rothschildia tucumani", "Rothschildia zacateca", "Rothschildia condor", "Rothschildia prionia", "Rothschildia speculifer", "Rothschildia chiris", "Rothschildia jorulla", "Rothschildia belus", "Rothschildia hesperus hesperus", "Rothschildia hesperus lutea", "Rothschildia maurus", "Rothschildia paucidentata", "Rothschildia renatae", "Rothschildia xanthina", "Rothschildia hopfferi hopfferi", "Rothschildia speculifer speculifer", "Rothschildia chiris chiris", "Rothschildia lebtolimaiana", "Geum sikkimense", "Dendropanax arboreus", "Dendropanax cuneatus", "Dendropanax trifidus", "Citheronia chrisbrechlinae", "Actias chapae", "Geum montanum", "Geum pyrenaicum", "Geum macrophyllum var. sachalinense", "Geum macrophyllum var. perincisum", "Geum macrophyllum nothovar. rydbergii", "Alburnoides manyasensis", "Copa flavoplumosa", "Copa kei", "Badis triocellus", "Restrepiella ophiocephala", "Restrepiella lueri", "Pleurothallopsis nemorosa", "Badiera oblongata", "Zecicindela circumpictoides", "Zecicindela halli", "Zecicindela novaseelandica", "Vegaea pungens", "Macadamia jansenii", "Macadamia ternifolia", "Symplocos lancifolia", "Symplocos prunifolia", "Symplocos sumuntia", "Adesmus fortunei", "Flammulina stratosa", "Delias battana", "Delias battana battana", "Delias battana ariae", "Pollicipes polymerus", "Rothschildia cincta", "Rothschildia cincta cincta", "Rothschildia cincta guerreronis", "Rothschildia arethusa arethusa", "Rothschildia arethusa rhodina", "Rothschildia aurota", "Rothschildia aurota aurota", "Rothschildia aurota andensis", "Rothschildia erycina", "Rothschildia erycina erycina", "Rothschildia erycina nigrescens", "Rothschildia erycina vinacea", "Rothschildia erycina luciana", "Rothschildia erycina mexicana", "Rothschildia hesperus", "Rothschildia hopfferi", "Rothschildia jacobaeae", "Rothschildia jorulloides", "Rothschildia lebeau aroma", "Rothschildia lebeau forbesi", "Rothschildia lebeau yucatana", "Rothschildia orizaba", "Rothschildia orizaba orizaba", "Rothschildia orizaba bogotana", "Geum macrophyllum var. macrophyllum", "Geum elatum", "Geum elatum var. elatum", "Hemiodus iratapuru", "Geum elatum var. humile", "Geum macrosepalum", "Lutjanus indicus", "Lutjanus papuensis", "Citharichthys darwini", "Bulbophyllum micholitzii", "Bulbophyllum retusiusculum", "Geum bulgaricum", "Tulipa suaveolens", "Tulipa hungarica", "Tulipa gesneriana", "Tulipa kuschkensis", "Tulipa micheliana", "Tulipa undulatifolia", "Tulipa schmidtii", "Calothamnus gilesii", "Calothamnus validus", "Calothamnus graniticus", "Calothamnus graniticus subsp. graniticus", "Calothamnus graniticus subsp. leptophyllus", "Calothamnus pinifolius", "Calothamnus sanguineus", "Darwinia masonii", "Darwinia meeboldii", "Guttigera schefflerella", "Eumetriochroa araliella", "Corythoxestis tricalysiella", "Corythoxestis sunosei", "Corythoxestis yaeyamensis", "Corythoxestis praeustella", "Drina donina", "Euscorpius hadzii", "Geum calthifolium subsp. nipponicum", "Geum calthifolium subsp. calthifolium", "Delias putih", "Delias putih putih", "Delias putih tamamitsui", "Strongylognathus testaceus", "Paradaemonia siriae", "Paradaemonia vanschaycki", "Paradaemonia winbrechlini", "Paradaemonia bahiana", "Paradaemonia samba", "Paradaemonia samba samba", "Paradaemonia samba sambdensis", "Drina donina donina", "Paradaemonia balsasensis", "Paradaemonia balsasensis balsasensis", "Paradaemonia balsasensis cearaiana", "Paradaemonia gravis", "Paradaemonia mayi", "Paradaemonia orsilochus", "Paradaemonia platydesmia", "Paradaemonia ruschii", "Paradaemonia terrena", "Paradaemonia thelia", "Rothschildia lebeau", "Rothschildia lebeau lebeau", "Limonium ovalifolium", "Tajuria mantra jalysus", "Prosthechea abbreviata", "Chaunax latipunctatus", "Chaunax breviradius", "Chaunax endeavouri", "Chaunax fimbriatus", "Chaunax flammeus", "Chaunax suttkusi", "Chaunax tosaensis", "Chaunax umbrinus", "Chaunax flavomaculatus", "Chaunax mulleus", "Chaunax reticulatus", "Chaunax russatus", "Eleutherococcus cissifolius", "Eleutherococcus giraldii", "Eleutherococcus henryi", "Eleutherococcus lasiogyne", "Eleutherococcus leucorrhizus", "Eleutherococcus nodiflorus", "Eleutherococcus rehderianus", "Eleutherococcus setulosus", "Eleutherococcus sieboldianus", "Eleutherococcus spinosus", "Eleutherococcus trifoliatus", "Oreopanax capitatus", "Oreopanax dactylifolius", "Oreopanax dussii", "Oreopanax echinops", "Oreopanax epremesnilianus", "Oreopanax incisus", "Oreopanax nymphaeifolius", "Cuapetes uncinatus", "Geum virginianum", "Marylynnia gracila", "Dryas crenulata", "Hydriomena bistriolata", "Hydriomena pluviata", "Hydriomena mississippiensis", "Hydriomena edenata", "Hydriomena edenata edenata", "Hydriomena edenata indistincta", "Ancylis definitivana", "Ancylis diminutana", "Ancylis discigerana", "Ancylis divisana", "Oiketicoides lyauteyi", "Oiketicoides minuta", "Phtheochroa aegrana", "Phtheochroa agelasta", "Phtheochroa albiceps", "Phtheochroa alphitopa", "Gastrodiscoides hominis", "Colocasia gigantea", "Cryptocoryne beckettii", "Cryptocoryne ciliata", "Cryptocoryne lingua", "Cryptocoryne retrospiralis", "Cryptocoryne spiralis", "Cryptocoryne wendtii", "Lagenandra gomezii", "Lagenandra toxicaria", "Monstera adansonii", "Monstera dubia", "Monstera obliqua", "Stuckenia filiformis", "Stuckenia pectinata", "Gastrodiscus aegyptiacus", "Flemingia vestita", "Medicago murex", "Raillietina echinobothrida", "Raillietina cesticillus", "Drina cowani", "Drina discophora", "Geum \u00d7 macranthum", "Tetrosomus gibbosus", "Ancylis enneametra", "Ancylis rhoderana", "Triangulocypris laeva", "Caloptilia rhodorella", "Phastia basalis", "Barbus neumayeri", "Phastia walkeri", "Phastia duronia", "Phastia clavei", "Phastia subtilis", "Barbus pellegrini", "Chilomycterus spinosus", "Bulbophyllum kingii", "Aganisia cyanea", "Diodon holocanthus", "Aganisia pulchella", "Aganisia fimbriata", "Diodon raninus", "Dryas ajanensis", "Dryas ajanensis subsp. beringensis", "Dryas ajanensis subsp. ajanensis", "Entelurus aequoreus", "Syngnathus barbatus", "Anteon magnatum", "Pegasus volitans", "Dryas drummondii var. eglandulosa", "Paraphalaenopsis denevei", "Paraphalaenopsis labukensis", "Paraphalaenopsis laycockii", "Paraphalaenopsis serpentilingua", "Dryas \u00d7 wyssiana", "Batemannia colleyi", "Batemannia armillata", "Batemannia leferenzii", "Schausiplusia lahoussei", "Adenophora coelestis", "Adenophora gmelinii", "Adenophora liliifolia", "Adenophora nikoensis", "Adenophora stenanthina", "Adenophora stricta", "Adenophora trachelioides", "Adenophora triphylla", "Adenophora khasiana", "Dryas punctata", "Dryas punctata subsp. punctata", "Dryas punctata subsp. alaskensis", "Dryas punctata subsp. hookeriana", "Dryas incisa", "Dryas grandis", "Dryas \u00d7 grandiformis", "Dryas oxyodonta", "Dryas sumneviczii", "Dryas dasypetala", "Dryas crenata", "Dryas drummondii var. drummondii", "Dryas drummondii var. tomentosa", "Hemigymnus sexfasciatus", "Oxyeleotris colasi", "Pseudolaguvia lapillicola", "Cyanogaster noctivaga", "Hisonotus bocaiuva", "Anablepsoides urubuiensis", "Rothschildia hopfferi hopfflapaziana", "Rothschildia vanschaycki", "Andrachne telephioides", "Rothschildia lebecuatoriana", "Rothschildia lebecuatoriana lebecuatoriana", "Rothschildia lebecuatoriana eloroiana", "Rothschildia inca", "Rothschildia inca inca", "Rothschildia inca incecuatoriana", "Rothschildia inca incjunensis", "Rothschildia inca inclapaziana", "Rothschildia orizaba verapaziana", "Elaphrus riparius", "Rothschildia winbrechlini", "Rothschildia peggyae", "Rothschildia fabiani", "Rothschildia alexapricae", "Rothschildia silkae", "Rothschildia peruviana", "Rothschildia peruviana peruviana", "Callogobius winterbottomi", "Medauroidea extradentata", "Filipendula palmata var. glabra", "Schausiella denhezorum", "Schausiella moinieri", "Adelowalkeria caeca", "Adelowalkeria torresi", "Adelowalkeria eugenia", "Adelowalkeria flavosignata", "Adelowalkeria plateada", "Adelowalkeria tristygma", "Adelowalkeria vinacea", "Adelowalkeria hypoxantha", "Adelowalkeria hemirhodia", "Adelowalkeria lanaris", "Dipsacus japonicus", "Dipsacus sativus", "Mallotus nudiflorus", "Oxytropis lagopus", "Oxytropis pallasii", "Actias seitzi pahangensis", "Actias seitzi sinjaevorum", "Actias ningpoana", "Actias ningpoana ningpoana", "Actias ningpoana ninghainana", "Actias ningpoana ningtaiwana", "Actias guangxiana", "Actias laotiana", "Actias sinensis sinensis", "Actias sinensis subaurea", "Abobra tenuifolia", "Callambulyx diehli", "Sesbania procumbens", "Loepa vanschaycki", "Hyphalocope dorsoithys", "Lessertia montana", "Lessertia tomentosa", "Zippelia begoniifolia", "Nhandu chromatus", "Epidendrum paniculatum", "Cylindropuntia acanthocarpa", "Cylindropuntia echinocarpa", "Cylindropuntia fulgida", "Cylindropuntia kleiniae", "Cylindropuntia leptocaulis", "Cylindropuntia tunicata", "Cylindropuntia versicolor", "Cylindropuntia whipplei", "Cylindropuntia caribaea", "Parodia haselbergii", "Pereskia aculeata", "Leuenbergeria portulacifolia", "Pseudorhipsalis ramulosa", "Rebutia minuscula", "Weingartia neocumingii", "Selenicereus coniflorus", "Asyneuma rigidum", "Paracanthonchus heterocaudatus", "Perinereis gualpensis", "Podarcis levendis", "Apristurus nakayai", "Phastia funebris", "Phastia marxi", "Phastia cornuta", "Phastia alcimede", "Phastia umbrata", "Phastia rufolineata", "Phastia miguetorum", "Phastia yavita", "Pseudophastia toulgoeti", "Pseudophastia sabrena", "Drugera glauca", "Drugera rubra", "Marthula ochreata", "Pseudodryas pistacina", "Stryphnodendron paniculatum", "Bembecia bestianaeli", "Petrophile biloba", "Bembecia buxea", "Petrophile pulchella", "Petrophile sessilis", "Aphyocypris pulchrilineata", "Aphyocypris amnis", "Aphyocypris arcus", "Persoonia acerosa", "Persoonia gunnii", "Persoonia juniperina", "Persoonia linearis", "Aphyocypris chinensis", "Persoonia pinifolia", "Persoonia media", "Persoonia myrtilloides", "Aphyocypris kikuchii", "Aphyocypris moltrechti", "Aphyocypris normalis", "Galactia crassifolia", "Filipendula tsuguwoi", "Filipendula stepposa", "Glycine syndetika", "Glycine montis-douglas", "Glycine gracei", "Bembecia pogranzona", "Bembecia irina", "Piper ovatum", "Hakea teretifolia", "Eutrochium dubium", "Eutrochium steelei", "Racinaea dielsii", "Racinaea pallidoflavens", "Racinaea pendulispica", "Racinaea undulifolia", "Vriesea barilletii", "Vriesea carinata", "Vriesea duvaliana", "Vriesea ensiformis", "Vriesea fenestralis", "Vriesea hieroglyphica", "Vriesea incurvata", "Vriesea platynema", "Vriesea psittacina", "Vriesea rodigasiana", "Vriesea saundersii", "Vriesea gigantea", "Philine indistincta", "Philine grandioculi", "Parasymmetrorbione bicauda", "Flos kuehni", "Acetabulastoma kurilense", "Acetabulastoma longum", "Ptilimnium nuttallii", "Acetabulastoma arcticum", "Sanicula odorata", "Bognera recondita", "Protea aurea", "Protea mundii", "Protea lacticolor", "Protea gaguedi", "Protea nitida", "Protea compacta", "Protea eximia", "Protea longifolia", "Protea obtusifolia", "Protea roupelliae", "Protea susannae", "Protea aristata", "Protea lanceolata", "Protea repens", "Protea acuminata", "Protea nana", "Protea scolymocephala", "Protea grandiceps", "Protea laurifolia", "Protea lepidocarpodendron", "Protea magnifica", "Protea neriifolia", "Protea effusa", "Protea subulifolia", "Tityus discrepans", "Filipendula \u00d7 intermedia", "Melicope elleryana", "Filipendula \u00d7 purpurea", "Alpinia calcarata", "Warczewiczella discolor", "Neptunia amplexicaulis", "Neptunia dimorphantha", "Peperomia caperata", "Ionopsis burchellii", "Peperomia glabella", "Picea jezoensis subsp. jezoensis", "Peperomia obtusifolia", "Ionopsis minutiflora", "Ionopsis papillosa", "Picea jezoensis subsp. hondoensis", "Peperomia abyssinica", "Peperomia angustata", "Peperomia argyreia", "Peperomia brachytricha", "Peperomia clusiifolia", "Ionopsis satyrioides", "Peperomia deppeana", "Peperomia diaphanoides", "Peperomia dolabriformis", "Peperomia fenzlii", "Ionopsis zebrina", "Peperomia fraseri", "Peperomia galioides", "Peperomia griseoargentea", "Peperomia incana", "Peperomia lyallii", "Peperomia madagascariensis", "Peperomia marmorata", "Peperomia maypurensis", "Peperomia metallica", "Peperomia nivalis", "Peperomia pellucida", "Peperomia pereskiifolia", "Peperomia peruviana", "Peperomia prostrata", "Peperomia puteolata", "Peperomia quadrangularis", "Peperomia quadrifolia", "Peperomia resediflora", "Peperomia rotundifolia", "Peperomia rubella", "Peperomia serpens", "Peperomia strawii", "Peperomia trifolia", "Peperomia verticillata", "Peperomia wheeleri", "Peperomia velutina", "Piper amalago", "Piper confertinodum", "Piper marginatum", "Piper nudilimbum", "Shangrilana paradisea", "Umbraculum umbraculum", "Chalicotherium wetzleri", "Cynodictis elegans", "Ancylotherium pentelicum", "Rothschildia peruviana perucentralis", "Rothschildia peruviana apurimacana", "Rothschildia arianae", "Rothschildia speculifer siriae", "Rothschildia chiris chiquisaciana", "Sagina japonica", "Sagina maxima", "Rothschildia aricia ariciopichinchensis", "Sagina chilensis", "Sagina \u00d7 normaniana", "Saponaria calabrica", "Pachyphytum hookeri", "Actias brevijuxta", "Actias brevijuxta brevijuxta", "Actias brevijuxta brevinaensis", "Actias seitzi", "Actias seitzi seitzi", "Dianthus subsect.", "Artocarpus camansi", "Artocarpus gomezianus", "Artocarpus ovatus", "Boronia molloyae", "Harrisonia abyssinica", "Harrisonia perforata", "Trachyandra divaricata", "Trachyandra laxa", "Xanthorrhoea arborea", "Xanthorrhoea australis", "Xanthorrhoea media", "Xanthorrhoea preissii", "Xanthorrhoea semiplana", "Calanthe argenteostriata", "Holcophloeus cruciatus", "Holcophloeus laurae", "Centromadia fitchii", "Centromadia parryi", "Centromadia pungens", "Holcophloeus weilli", "Dipsacus inermis", "Maoripria earlyi", "Dyakia hendersoniana", "Abelia chinensis var. ionandra", "Abelia forrestii", "Batemannia lepida", "Batemannia wolteriana", "Coffeikokkos korytkowskii", "Stephania cephalantha", "Stephania japonica", "Stephania rotunda", "Stephania sinica", "Stephania tetrandra", "Tinospora cordifolia", "Tinospora crispa", "Tinospora sagittata", "Tinospora sinensis", "Cocculus carolinus", "Cocculus hirsutus", "Cocculus orbiculatus", "Parrotia persica", "Parrotia subaequalis", "Vouacapoua macropetala", "Dryas \u00d7 suendermannii", "Dryas \u00d7 lewinii", "Poitea florida", "Poitea paucifolia", "Chamaebatia australis", "Dimorphandra campinarum", "Cologania pallida", "Anaphothrips zelandicus", "Phyteuma michelii", "Ancistrobasis zumbii", "Centroderes spinosus", "Rugiloricus renaudae", "Purshia stansburyana", "Neptunia gracilis", "Neptunia lutea", "Neptunia monosperma", "Neptunia oleracea", "Neptunia plena", "Neptunia pubescens", "Filipendula palmata var. palmata", "Zingiber spectabile", "Heuchera americana", "Heuchera parvifolia", "Heuchera rubescens", "Stenohya pengae", "Platycapnos saxicola", "Acetabulastoma littorale", "Acetabulastoma rhomboideum", "Mastigostyla hoppii", "Fothergilla gardenii", "Fothergilla major", "Loropetalum chinense", "Pithecellobium platycarpum", "Cissus bicolor", "Plesiothrips perplexus", "Pristiorhynchus palmi", "Narcosius hercules", "Pythonides pescada", "Potamanaxas bana", "Potamanaxas tunga", "Potamanaxas quira", "Achlyodes munroei", "Linnaea borealis subsp. longiflora", "Lonicera elisae", "Papilionanthe vandarum", "Jubogaster towai", "Spilomena earlyi", "Caloptilia canadensisella", "Caloptilia agrifoliella", "Caloptilia aurifasciata", "Dichaea elianae", "Caloptilia baringi", "Acetabulastoma littorale littorale", "Acetabulastoma littorale robustum", "Dichaea ancoraelabia", "Dichaea moritzii", "Dichaea morrisii", "Filipendula angustiloba", "Filipendula formosa", "Filipendula kiraishiensis", "Adelowalkeria totoma", "Citioica anthonilis", "Rachesa caucensis", "Dirphia abhorca", "Molippa denhezi", "Cerodirphia candida", "Sinbirma malaisei", "Sinobirma malaisei", "Hyponephele issykkuli", "Hyponephele fortambeka", "Hyponephele sheljuzhkoi", "Homatula disparizona", "Trichomycterus piratymbara", "Trichomycterus septemradiatus", "Hyponephele tristis", "Silvinichthys gualcamayo", "Hyponephele tristis tristis", "Liobagrus chenghaiensis", "Hyponephele tristis tshikolovetsi", "Hyponephele glasunovi", "Hyponephele glasunovi glasunovi", "Hyponephele glasunovi magna", "Hyponephele glasunovi namangana", "Hyponephele glasunovi naryna", "Tillandsia aeranthos", "Tillandsia bulbosa", "Tillandsia flexuosa", "Tillandsia pruinosa", "Tillandsia recurvata", "Tillandsia stricta", "Tillandsia tenuifolia", "Tillandsia utriculata", "Tillandsia cacticola", "Tillandsia duratii", "Tillandsia gardneri", "Tillandsia harrisii", "Tillandsia kammii", "Tillandsia kautskyi", "Tillandsia latifolia", "Tillandsia leiboldiana", "Tillandsia mauryana", "Tillandsia multicaulis", "Tillandsia ortgiesiana", "Tillandsia polystachia", "Tillandsia schiedeana", "Tillandsia sprengeliana", "Tillandsia sucrei", "Kryptopterus vitreolus", "Agdistis uncirectangula", "Titanoptilus stenodactylus", "Platyptilia sabia", "Platyptilia sachalinensis", "Platyptilia pallidiola", "Batrachedra litterata", "Epichorista abdita", "Epichorista zatrophana", "Epichorista tenebrosa", "Epichorista siriana", "Epichorista perversa", "Diabroctis mimas", "Mayaca fluviatilis", "Fusarium oxysporum", "Eucomis autumnalis", "Eucomis comosa", "Eucomis regia", "Furcraea andina", "Furcraea cabuya", "Furcraea foetida", "Furcraea hexapetala", "Furcraea pubescens", "Furcraea quicheensis", "Furcraea selloa", "Furcraea tuberosa", "Agave coetocapnia", "Agave howardii", "Agave dolichantha", "Lithospermum helleri", "Lithospermum macromeria", "Lithospermum multiflorum", "Oculotrema hippopotami", "Atolmis rubricollis rubricollis", "Atolmis rubricollis alpischistosis", "Dodia kononenkoi kononenkoi", "Dodia kononenkoi sikhotensis", "Ceroprepes naga", "Paracyphanta kurokoi", "Paracyphanta postlutea", "Sphecodoptera sheni", "Asymblepharus eremchenkoi", "Asymblepharus himalayanus", "Nemipterus flavomandibularis", "Nemipterus peronii", "Megaloceros luochuanensis", "Apocuma australiense", "Apocuma mauritaniensis", "Apocuma pacificum", "Cryptarrhena lunata", "Apocuma poorei", "Cryptarrhena guatemalensis", "Apocuma chathamensis", "Apocuma sculpta", "Cryptarrhena kegelii", "Bathycuma dayae", "Cyclaspis hayeae", "Cyclaspis petrescui", "Cyclaspis zealandiaensis", "Apocuma gerkenae", "Apocuma iorgui", "Caladium humboldtii", "Caladium lindenii", "Caladium picturatum", "Caladium schomburgkii", "Beschorneria septentrionalis", "Beschorneria tubiflora", "Beschorneria yuccoides", "Eustrephus latifolius", "Dichaea sodiroi", "Austrostenichnus caledonicus", "Zeanichnus insignis", "Zeanichnus kuschelianus", "Nemipterus zysron", "Nemipterus randalli", "Nemipterus japonicus", "Nemipterus bipunctatus", "Metzneria inflammatella", "Metzneria aestivella", "Creatonotos leucanioides leucanioides", "Afrospilarctia flavida", "Canarina abyssinica", "Canarina eminii", "Centropogon cornutus", "Centropogon granulosus", "Centropogon longifolius", "Cycloloma atriplicifolium", "Dissocarpus paradoxus", "Corispermum declinatum", "Corispermum hyssopifolium", "Corispermum navicula", "Corispermum nitidum", "Corispermum orientale", "Corispermum papillosum", "Corispermum villosum", "Weinmannia pinnata", "Metanarthecium luteoviride", "Enyalioides azulae", "Enyalioides binzayedi", "Drosera capillaris", "Dioclea megacarpa", "Dioclea scabra", "Stigmella aigialeia", "Diplotropis triloba", "Stigmella aliena", "Stigmella atrata", "Stigmella cassiniae", "Stigmella childi", "Stigmella erysibodea", "Stigmella hakekeae", "Stigmella hamishella", "Stigmella hoheriae", "Stigmella ilsea", "Stigmella kaimanua", "Stigmella palaga", "Stigmella platina", "Stigmella watti", "Eperua purpurea", "Eperua rubiginosa", "Pentaclethra eetveldeana", "Dipterosaccus shiinoi", "Choniomyzon inflatus", "Helicobacter heilmannii", "Stenoptilia johnistella", "Crombrugghia richardi", "Megalorhipida vivax", "Megalorhipida subtilis", "Gypsochares astragalotes", "Chionodes meridiochilensis", "Microsynodontis armatus", "Microsynodontis emarginatus", "Microsynodontis hirsutus", "Microsynodontis laevigatus", "Microsynodontis nannoculus", "Microsynodontis nasutus", "Microsynodontis notatus", "Microsynodontis batesii", "Microsynodontis lamberti", "Microsynodontis polli", "Microsynodontis vigilis", "Vesalea floribunda", "Paratorchus aculeatus", "Paratorchus angulatus", "Paratorchus angustus", "Paratorchus bifurcatus", "Paratorchus brevisetis", "Paratorchus bucinifer", "Paratorchus curvisetis", "Paratorchus decipiens", "Paratorchus fiordensis", "Paratorchus foveatus", "Paratorchus hamatus", "Paratorchus hermes", "Paratorchus homerensis", "Paratorchus humilis", "Paratorchus insuetus", "Paratorchus parvulus", "Paratorchus pelorensis", "Paratorchus phaseolinus", "Paratorchus pubescens", "Paratorchus retroflexus", "Paratorchus scapulifer", "Paratorchus tardus", "Paratorchus tricarinatus", "Paratorchus trivialis", "Paratorchus tubifer", "Phileurus didymus", "Paratorchus grandis", "Paratorchus maritimus", "Paratorchus falcifer", "Paratorchus relictus", "Paratorchus minutus", "Phileurus valgus", "Agistemus mecotrichus", "Eustigmaeus eburneus", "Eustigmaeus edentatus", "Eustigmaeus ptilosetus", "Mediolata delicata", "Mediolata polylocularis", "Mediolata whenua", "Mediolata woodi", "Mediolata xerxes", "Mediolata zonaria", "Pseudostigmaeus schizopeltatus", "Mullederia procurrens", "Mullederia scutellaris", "Macrothelypteris oligophlebia", "Triantha occidentalis", "Deparia japonica", "Deparia petersenii", "Morella californica", "Morella carolinensis", "Morella cerifera", "Morella cordifolia", "Morella esculenta", "Morella caroliniensis", "Morella javanica", "Morella nana", "Morella pensylvanica", "Morella pubescens", "Dayao emeiensis", "Ampelocissus asekii", "Congothemis apicalis", "Congothemis osvaldae", "Eupleurus subterraneus", "Keiferia dalibori", "Sanguinograptis prosphora", "Panegyra praetexta", "Gnathodracon dorsiplaga", "Gnathodracon apicipuncta", "Neogonodactylus oerstedii", "Sycacantha digitiphora", "Lobesia bicinctana", "Lobesia bisyringnata", "Lobesia candida", "Lobesia clavosa", "Lobesia carduana", "Lobesia ceratana", "Lobesia clarisecta", "Lobesia coccophaga", "Lobesia confinitana", "Mochokiella paynei", "Lobesia crimea", "Lobesia crithopa", "Lobesia duplicata", "Mochokus brevis", "Mochokus niloticus", "Malacocarpus crithmifolius", "Fossilyocypris bella", "Marianthus bicolor", "Marianthus ringens", "Aoraia enysii", "Lonicera subsect.", "Aoraia aspina", "Aoraia flavida", "Aoraia hespera", "Aoraia insularis", "Onychium japonicum", "Aoraia lenis", "Aoraia macropis", "Aoraia oreobolae", "Aoraia orientalis", "Aoraia rufivena", "Putranjiva roxburghii", "Baloskion tetraphyllum", "Pselaphodes monoceros", "Pselaphodes pectinatus", "Pselaphodes pengi", "Pselaphodes pseudowalkeri", "Pselaphodes tiantongensis", "Pselaphodes walkeri", "Pselaphodes wrasei", "Pselaphodes yunnanicus", "Linan tendothorax", "Labomimus torus", "Pselaphodes distincticornis", "Pselaphodes erlangshanus", "Pselaphodes flexus", "Pselaphodes grebennikovi", "Pselaphodes jizushanus", "Pselaphodes zhongdianus", "Labomimus cameroni", "Labomimus championi", "Labomimus shibatai", "Conus lenavati", "Labomimus harmandi", "Labomimus reitteri", "Pselaphodes villosus", "Lenzites warnieri", "Megalosaurus bucklandii", "Stygitropha funebris", "Stygitropha phaios", "Stygitropha minys", "Eucosmocydia prolixa", "Leguminivora ischnodes", "Polycope epithema", "Baptisia australis var. minor", "Aframomum corrorima", "Aframomum giganteum", "Grayia brandegeei", "Baptisia australis var. australis", "Pseudopammene fagivora", "Zinnia elegans", "Nematopogon swammerdamella swammerdamella", "Nematopogon swammerdamella reaumurella", "Cephalaria leucantha", "Cephalaria flava", "Cephalaria setosa", "Agrias amydon tryphon", "Onychohydrus atratus", "Geissorhiza inflexa", "Geissorhiza splendidissima", "Rosa berberifolia", "Dictyoloma peruvianum", "Lonicera angustifolia", "Aeolothrips zurstrasseni", "Aeolothrips fasciatus", "Aeolothrips melaleucus", "Lonicera sect.", "Desmidothrips walkerae", "Labomimus fimbriatus", "Labomimus cognatus", "Labomimus dabashanus", "Labomimus jizuensis", "Labomimus mirus", "Labomimus paratorus", "Labomimus sarculus", "Labomimus schuelkei", "Labomimus vespertilio", "Labomimus sichuanicus", "Labomimus simplicipalpus", "Labomimus tibialis", "Labomimus venustus", "Pselaphodes anhuianus", "Pselaphodes condylus", "Pselaphodes daii", "Pselaphodes dayaoensis", "Pselaphodes hainanensis", "Pselaphodes hui", "Pselaphodes kuankuoshuiensis", "Pselaphodes longilobus", "Pselaphodes maoershanus", "Eccopsis sequestra", "Glaphyrus maurus", "Eccopsis hathra", "Erodium foetidum", "Erodium glandulosum", "Erodium gruinum", "Erodium hoefftianum", "Erodium laciniatum", "Erodium reichardii", "Erodium rupestre", "Erodium salzmannii", "Cosmorrhyncha obuduana", "Erodium sebaceum", "Erodium stephanianum", "Erodium stevenii", "Erodium texanum", "Neorrhyncha angina", "Erodium trichomanifolium", "Erodium \u00d7 variabile", "Neorrhyncha bendelana", "Neorrhyncha gestroa", "Afrothreutes nigeriana", "Colobopterus erraticus", "Afroploce cleta", "Astronauta sinastra", "Astronauta astrogenes", "Obudupotamia stereostellans", "Teuchestes fossor", "Willughbeia edulis", "Baptisia \u00d7 bicolor", "Turraea heterophylla", "Turraea obtusifolia", "Turraea rigida", "Xylocarpus granatum", "Xylocarpus moluccensis", "Spanistoneura acrospodia", "Baptisia \u00d7 deamii", "Baptisia \u00d7 sulphurea", "Baptisia \u00d7 fulva", "Tachybaptus tricolor", "Tylosema esculentum", "Tylosema fassoglense", "Rupicapnos africana", "Oryza coarctata", "Fukomys ilariae", "Ornebius abminga", "Ornebius allambi", "Ornebius antakira", "Ornebius attunga", "Ornebius baloois", "Ornebius balumba", "Ornebius bambara", "Ornebius coomialla", "Ornebius coorumbena", "Ornebius dandiri", "Ornebius dirkanala", "Ornebius elvalina", "Ornebius gumbalera", "Ornebius illaroo", "Ornebius immarna", "Ornebius jatalinga", "Ornebius jirira", "Ornebius kalara", "Ornebius kanya", "Ornebius kapunda", "Ornebius karkalo", "Ornebius lilka", "Ornebius oradala", "Ornebius yarandilla", "Ornebius wandella", "Ornebius woomba", "Ornebius tuberculatus", "Oxytenia acerosa", "Kundmannia sicula", "Fulcaldea laurifolia", "Azorina vidalii", "Chloridolum grossepunctatum", "Chloridolum semipunctatum", "Embrikstrandia vivesi", "Chelidonium violaceimembris", "Cyclamen abchasicum", "Ornebius pullus", "Ornebius cibodas", "Ornebius samudra", "Ornebius imitatus", "Ornebius bogor", "Ornebius citrus", "Ornebius albipalpus", "Ornebius dumoga", "Ornebius consternus", "Ornebius aureus", "Ornebius serratus", "Ornebius angustus", "Ornebius peniculatus", "Ornebius brevipalpus", "Ornebius cydistos", "Ornebius tampines", "Laosaphrodisium subplicatum", "Ornebius flori", "Schwarzerium yunnanum", "Ornebius curtipalpis", "Ornebius denticauda", "Ornebius howensis", "Ornebius laevicauda", "Ornebius latifrons", "Ornebius nigromaculatus", "Ornebius parvithorax", "Ornebius parvus", "Squalius squalus", "Agathis microstachya", "Agathis moorei", "Zeltnera venusta", "Zeltnera namophila", "Zeltnera beyrichii", "Zeltnera arizonica", "Zeltnera calycosa", "Zeltnera davyi", "Zeltnera texensis", "Annella reticulata", "Hippocampus severnsi", "Alburnoides tzanevi", "Xylorhiza frutescens", "Afroheterozercon mahsbergi", "Afroheterozercon pachybolus", "Afroheterozercon sanghae", "Afroheterozercon spirostreptus", "Afroheterozercon gabonensis", "Afroheterozercon goodmani", "Afroheterozercon ancoratus", "Afroheterozercon tanzaniensis", "Afroheterozercon madagascariensis", "Scythris digitibasella", "Scythris atollicola", "Frasera albicaulis", "Frasera albomarginata", "Frasera caroliniensis", "Frasera coloradensis", "Frasera montana", "Frasera speciosa", "Anthozela anambrae", "Cosmetra mucronata", "Glyphidrilus borealis", "Glyphidrilus chaophraya", "Glyphidrilus chiensis", "Glyphidrilus huailuangensis", "Glyphidrilus quadratus", "Glyphidrilus trangensis", "Glyphidrilus vangthongensis", "Glyphidrilus vesper", "Glyphidrilus wararamensis", "Potamites strangulatus", "Arundo formosana", "Austrodytes plateni", "Galeottia grandiflora", "Austrodytes insularis", "Neogardneria murrayana", "Saccharum baldwinii", "Saccharum formosanum", "Saccharum villosum", "Saccharum wardii", "Saccharum williamsii", "Ribeiroia ondatrae", "Sacciolepis striata", "Rosa paniculigera", "Blumea sinuata", "Eutarsopolipus americanus", "Radiospongilla pedderensis", "Ferula akitschkensis", "Ferula angreni", "Microcythere vittata", "Nanophyton erinaceum", "Aurila ventriconcava", "Sisyrinchium flabellatum", "Phodilus assimilis", "Semicytherura strena", "Wajira grahamiana", "Tyto javanica", "Semicytherura prona", "Walafrida geniculata", "Aganope stuhlmannii", "Yabea microcarpa", "Tyto deroepstorffi", "Amaranthus roxburghianus", "Daucus arcanus", "Daucus sahariensis", "Daucus gracilis", "Daucus hochstetteri", "Daucus microscias", "Daucus reboudii", "Daucus syrticus", "Daucus tenuisectus", "Daucus virgatus", "Chrysanthemum dichrum", "Callidula evander", "Cydia minor", "Zelenkoa onusta", "Eukoenenia draco", "Eukoenenia potiguar", "Trilocha pallescens", "Kurtia modestissima", "Vitekorchis aurifera", "Trizeuxis falcata", "Dunstervillea mirabilis", "Nohawilliamsia pirarensis", "Mountelgonia percivali", "Moyencharia mineti", "Chordifex amblycoleus", "Ruizterania esmeraldae", "Tasmannia lanceolata", "Tasmannia piperita", "Silphium albiflorum", "Stachys adulterina", "Erodium amanum", "Erodium carvifolium", "Erodium cheilanthifolium", "Erodium chrysanthum", "Erodium ciconium", "Erodium corsicum", "Erodium crinitum", "Erodium cygnorum", "Mochokus gigas", "Polypterus faraou", "Auchenoglanis soye", "Gaeolaelaps iranicus", "Coupatezia attiai", "Gaeolaelaps gillespiei", "Gaeolaelaps invictianus", "Pselaphodes biwenxuani", "Pselaphodes bomiensis", "Pselaphodes cuonaus", "Pselaphodes hanmiensis", "Pselaphodes meniscus", "Pselaphodes parvus", "Pselaphodes fengtingae", "Pselaphodes gongshanensis", "Otophorus haemorrhoidalis", "Lobesia conferta", "Lobesia celeba", "Lobesia lecta", "Lobesia vanillana", "Lobesia vectis", "Chilothorax conspurcatus", "Lobesia vittigera", "Lobesia xenosema", "Lobesia ultima", "Lobesia tritoma", "Apolobesia nsukka", "Dudua setilegula", "Dudua adocima", "Dudua atriphraga", "Dudua brachytoma", "Dudua carpophora", "Dudua chlorohygra", "Dudua cyclographa", "Madegalatha malagassica", "Lepidodelta vadoni", "Matopo oberthueri", "Anedhella boisduvali", "Anedhella thermodesa", "Ethiopica befasy", "Androlymnia malgassica", "Adelophryne meridionalis", "Hordeum innermongolicum", "Pandion cristatus", "Pseudelaeodes proteoides", "Pseudelaeodes sogai", "Chasmina malagasy", "Callyna robinsoni", "Mesosemia messeis", "Mesosemia messeis messeis", "Mesosemia messeis amona", "Mesosemia messeis itoupensis", "Pirascca arbuscula", "Pirascca arbuscula arbuscula", "Pirascca arbuscula mandosa", "Aralia stipulata", "Pirascca histrica", "Pirascca mimica", "Araucaria schmidii", "Araucaria montana", "Araucaria laubenfelsii", "Pirascca apolecta", "Gynura divaricata", "Thymophylla acerosa", "Thymophylla pentachaeta", "Thymophylla tenuiloba", "Niphadophylax sophrona", "Niphadophylax hemicycla", "Niphadophylax mexicanus", "Heliocopris gigas", "Niphadophylax albonigra", "Niphadophylax spectata", "Scarabaeus scaber", "Atopochilus chabanaudi", "Niphadophylax iorrhoa", "Phalarocarpa kryphaios", "Argyroploce pontifraga", "Argyroploce calchantis", "Argyroploce molybdachtha", "Argyroploce platymolybdis", "Syntozyga tryphera", "Endothenia stibara", "Endothenia intrusa", "Endothenia cybicopa", "Endothenia vasculigera", "Endothenia ustulana", "Endothenia trizona", "Ancylis falcata", "Ancylis nilios", "Ancylophyes praestabilis", "Anambrophyes anambrana", "Eucosma gemellana", "Eucosma paragemellana", "Squamophis albozosteres", "Pselaphodes yanbini", "Oxydromus pugettensis", "Psyllaephagus acaciae", "Psyllaephagus pilosus", "Psyllaephagus bliteus", "Psyllaephagus gemitus", "Notopygos caribea", "Notopygos ornata", "Psyllaephagus garuga", "Psyllaephagus phacopteron", "Paepalanthus polyanthus", "Adenia olaboensis", "Mazus miquelii", "Cydia albitacta", "Cydia albisignis", "Cydia lissa", "Cydia paralissa", "Cydia taocosma", "Cydia mutsorae", "Cydia lemniscata", "Cydia volutigrapha", "Cydia stelosema", "Cydia membranea", "Cydia penesta", "Cydia phruda", "Fulcrifera dierama", "Fulcrifera anthracotis", "Attacus erebus", "Fulcrifera nsukkana", "Amabrana plumbata", "Thaumatotibia colivora", "Cryptophlebia euthenica", "Coniostola solivaga", "Coniostola seira", "Grapholita cresson", "Grapholita infucata", "Grapholita monogramma", "Grapholita heptacopa", "Grapholita oma", "Stenentoma pholicosta", "Rudbeckia montana", "Grapholita mutsorae", "Grapholita niveosa", "Grapholita ueleana", "Callitris sulcata", "Callitris neocaledonica", "Grapholita miranda", "Megalonycta mediovitta", "Megalonycta forsteri", "Mageochaela malgassica", "Tanocryx pseudobamra", "Tanocryx pinheyi", "Phoperigea variegata", "Rosa sect. unassigned", "Moyencharia joeli", "Moyencharia winteri", "Thymus syriacus", "Moyencharia herhausi", "Moyencharia sommerlattei", "Potamites ecpleopus", "Psyllaephagus aizawlensis", "Psyllaephagus mycopsyllus", "Borrichia arborescens", "Wyethia arizonica", "Wyethia glabra", "Wyethia helenioides", "Psyllaephagus uncinatus", "Wyethia helianthoides", "Psyllaephagus utilis", "Psyllaephagus unus", "Psyllaephagus atratus", "Psyllaephagus atavus", "Psyllaephagus ascitus", "Psyllaephagus paradoxus", "Psyllaephagus avus", "Psyllaephagus attenuatus", "Xanthisma coloradoense", "Psyllaephagus asser", "Psyllaephagus arctatus", "Psyllaephagus westralis", "Psyllaephagus arduus", "Psyllaephagus argutus", "Psyllaephagus broccus", "Psyllaephagus boletus", "Psyllaephagus bolus", "Psyllaephagus bruchus", "Psyllaephagus blandus", "Psyllaephagus basileus", "Xanthisma gracile", "Psyllaephagus discretus", "Psyllaephagus dignus", "Xanthisma grindelioides", "Psyllaephagus brachiatus", "Xanthisma gymnocephalum", "Psyllaephagus xenus", "Xanthisma spinulosum", "Psyllaephagus xi", "Psyllaephagus positus", "Xanthisma viscidum", "Psyllaephagus resolutus", "Psyllaephagus emarginatus", "Psyllaephagus cornuatus", "Psyllaephagus ypsilon", "Psyllaephagus longissimus", "Psyllaephagus prolatus", "Lopinga achine", "Psyllaephagus carinatus", "Psyllaephagus probus", "Psyllaephagus excisus", "Psyllaephagus similis", "Psyllaephagus funiculus", "Psyllaephagus faustus", "Psyllaephagus facilis", "Psyllaephagus fundus", "Psyllaephagus hirtus", "Psyllaephagus facetus", "Psyllaephagus clarus", "Leucanella contempta flavissima", "Leucanella contei", "Leucanella newmani", "Pseudautomeris subcoronis", "Grapholita curviphalla", "Grapholita globella", "Grapholita dactyla", "Grapholita globovalva", "Hyperchiria incisa incisa", "Hyperchiria incisa gadouae", "Gamelia neidhoeferi", "Gamelia abasia", "Gamelia viettei", "Gamelia rindgei", "Gamelia kiefferi", "Cecropis badia", "Gamelia berliozi", "Gamelia denhezi", "Cecropis hyperythra", "Gamelia remissoides", "Gamelia elainae", "Ilyocypris sarizensis", "Salacia oblonga", "Pachypasoides albisparsa", "Epicopeia hainesii", "Epicopeia hainesii hainesii", "Epicopeia hainesii matsumurai", "Epicopeia hainesii tsushimana", "Epicopeia mencia", "Epicopeia polydora", "Pabstia viridis", "Libythea lepita amamiana", "Libythea lepita formosana", "Libythea myrrha", "Libythea myrrha myrrha", "Libythea myrrha hecura", "Libythea myrrha rama", "Libythea myrrha sanguinalis", "Libythea narina", "Libytheana carinenta", "Libytheana carinenta carinenta", "Rosa \u00d7 involuta", "Libytheana carinenta bachmanii", "Libytheana carinenta larvata", "Libytheana carinenta streckeri", "Libythea geoffroy geoffroy", "Libythea geoffroy ceramensis", "Libythea geoffroy eborinus", "Libythea geoffroy genia", "Libythea geoffroy howarthi", "Libythea geoffroy philippina", "Libythea geoffroy pulchra", "Libythea labdaca", "Libythea labdaca labdaca", "Libythea labdaca ancoata", "Libythea laius", "Libythea laius laius", "Libythea laius lepitoides", "Libythea laius tsiandava", "Libythea lepita lepita", "Ferula assa-foetida", "Ferula badrakema", "Ferula ceratophylla", "Ferula diversivittata", "Ferula dubjanskyi", "Ferula foliosa", "Ferula hermonis", "Ferula iliensis", "Ferula jaeschkeana", "Ferula karatavica", "Ferula karelinii", "Ferula kirialovii", "Ferula kuhistanica", "Lissotes menalcas", "Ferula litwinowiana", "Ferula narthex", "Ferula oopoda", "Ferula ovina", "Ferula penninervis", "Ferula persica", "Ferula prangifolia", "Ferula pseudalliacea", "Ferula sinkiangensis", "Ferula tingitana", "Ferula ugamica", "Ferula varia", "Ferula foetida", "Ferula rubricaulis", "Heteromorpha arborescens", "Heracleum asperum", "Heracleum dissectum", "Heracleum ponticum", "Heracleum pubescens", "Heracleum stevenii", "Heracleum grande", "Heracleum hemsleyanum", "Heracleum nepalense", "Xanthosoma brasiliense", "Xanthosoma caracu", "Xanthosoma mexicanum", "Xanthosoma wendlandii", "Asterodiaspis variolosa", "Agrias amydon lathyi", "Agrias amydon philoxenus", "Agrias amydon klugi", "Automeris harrisorum harrisorum", "Automeris harrisorum latenigra", "Leucanella contempta", "Leucanella contempta contempta", "Leucanella contempta nyctimenoides", "Libytheana florissanti", "Libytheana fulvescens", "Libytheana motya", "Libytheana terena", "Libytheana vagabunda", "Mountelgonia lumbuaensis", "Mountelgonia thikaensis", "Mountelgonia urundiensis", "Mountelgonia abercornensis", "Mountelgonia arcifera", "Pseudacteon hexosetalis", "Pseudacteon quadrisetalis", "Pseudacteon obtusatus", "Lycodryas maculatus", "Pseudacteon crinifer", "Lycodryas cococola", "Pseudacteon fennicus", "Mountelgonia pagana", "Helcogramma inclinata", "Helcogramma trigloides", "Helcogramma striata", "Pyropia plicata", "Helcogramma rhinoceros", "Helcogramma fuscipectoris", "Alnus lanata", "Alnus matsumurae", "Tineobius superba", "Tineobius sidneyi", "Tineobius nassaui", "Tineobius beenleighi", "Tineobius multicolor", "Tineobius longfellowi", "Alnus trabeculosa", "Tineobius facialis", "Tineobius columbi", "Tineobius citri", "Betula cordifolia", "Betula cylindrostachya", "Serangium magnipunctatum", "Serangium trimaculatum", "Serangium centrale", "Serangium leigongicus", "Serangium latilobum", "Serangium digitiforme", "Serangium contortum", "Betula \u00d7 aurata", "Betula \u00d7 purpusii", "Serangium dulongjiang", "Betula \u00d7 raymundii", "Betula \u00d7 sandbergii", "Alternanthera albotomentosa", "Apium panul", "Arctopus echinatus", "Androsace idahoensis", "Tebenna micalis", "Paradoris adamsae", "Carlia decora", "Carlia rubigo", "Paradoris cavernae", "Paradoris tsurugensis", "Carlia pectoralis", "Psyllaephagus concisus", "Psyllaephagus exiguus", "Psyllaephagus parvus", "Psyllaephagus perplexus", "Nymphalis vaualbum", "Psyllaephagus quadrianellus", "Psyllaephagus neoxenus", "Psyllaephagus cornuphagus", "Apatura metis", "Psyllaephagus zdeneki", "Psyllaephagus yaseeni", "Lycaena dispar", "Pseudophilotes bavius", "Erebia christi", "Erebia sudetica", "Lycaena helle", "Erebia calcaria", "Fabriciana elisa", "Hylotelephium anacampseros", "Boloria improba", "Hylotelephium ewersii", "Hylotelephium pallescens", "Hylotelephium spectabile", "Hylotelephium tatarinowii", "Hylotelephium telephioides", "Hylotelephium viviparum", "Hylotelephium cauticola", "Hylotelephium sieboldii", "Ctenardisia amplifolia", "Cybianthus lineatus", "Cybianthus schomburgkianus", "Turraeanthus africanus", "Walsura piscidia", "Microcaecilia dermatophaga", "Cyrtodactylus sanook", "Pseudophilautus bambaradeniyei", "Pseudophilautus dayawansai", "Pseudophilautus jagathgunawardanai", "Pseudophilautus karunarathnai", "Pseudophilautus newtonjayawardanei", "Pseudophilautus puranappu", "Pseudophilautus samarakoon", "Pseudophilautus sirilwijesundarai", "Lemaireia luteopeplus", "Lemaireia luteopeplus luteopeplus", "Lemaireia luteopeplus aureopeplus", "Elimia clara", "Lemaireia hainana", "Elimia ampla", "Elimia annettae", "Elimia cahawbensis", "Elimia showalteri", "Elimia variata", "Leptoxis ampla", "Pleurocera prasinatum", "Elimia virginica", "Pleurocera acuta", "Libythea cinyras", "Toona calantas", "Libythea collenettei", "Toona sinensis", "Toona sureni", "Trichilia catigua", "Trichilia dregeana", "Trichilia elegans", "Trichilia emetica", "Trichilia havannensis", "Trichilia hirta", "Trichilia rubra", "Trichilia spondiodes", "Trichilia triacantha", "Cremastra malipoensis", "Libythea geoffroy", "Libythea geoffroy alompra", "Otoglossum candelabrum", "Labeo batesii", "Labeo boga", "Labeo boggut", "Labeo bottegi", "Labeo boulengeri", "Labeo brachypoma", "Labeo caeruleus", "Labeo calbasu", "Labeo camerunensis", "Labeo capensis", "Labeo chrysophekadion", "Labeo congoro", "Labeo coubie", "Labeo curchius", "Labeo curriei", "Labeo cyclopinnis", "Labeo cyclorhynchus", "Labeo cylindricus", "Resapamea diluvius", "Resapamea angelika", "Resapamea mammuthus", "Candonocypris fimibolus", "Hydraecia obliqua", "Hydraecia medialis", "Fishia nigrescens", "Cuitlauzina pendula", "Heterocypris collaris", "Rosa banksiae", "Rosa banksiae var. banksiae", "Rosa banksiae var. normalis", "Rosa cymosa", "Rosa cymosa var. cymosa", "Rosa cymosa var. puberula", "Rosa cymosa var. dapanshanensis", "Ardisia opegrapha", "Ardisia paschalis", "Ardisia polycephala", "Ardisia polysticta", "Ardisia pusilla", "Ardisia revoluta", "Ardisia sapida", "Ardisia sieboldii", "Ardisia solanacea", "Ardisia thyrsiflora", "Ardisia tinifolia", "Ardisia villosa", "Ardisia wallichii", "Pomacea insularum", "Yushania anceps", "Yushania longiuscula", "Yushania maling", "Yushania polytricha", "Yushania suijiangensis", "Yushania weixiensis", "Newnhamia mckenziana", "Drasteria parallela", "Terebralia palustris", "Briareum violacea", "Eudryas brevipennis", "Eudryas brevipennis brevipennis", "Eudryas brevipennis bonneville", "Guarianthe aurantiaca", "Labeo alluaudi", "Labeo alticentralis", "Labeo altivelis", "Labeo angra", "Labeo annectens", "Labeo ansorgii", "Labeo baldasseronii", "Labeo barbatulus", "Labeo barbatus", "Labeo bata", "Carlia inconnexa", "Brachymeles vulcani", "Brachymeles tiboliorum", "Brachymeles samad", "Cycnia oregonensis", "Cycnia oregonensis oregonensis", "Cycnia oregonensis tristis", "Odontoglossum schillerianum", "Zanclognatha jacchusalis jacchusalis", "Zanclognatha jacchusalis bryanti", "Zanclognatha jacchusalis lutalba", "Dicoelothorax platycerus", "Euvira micmac", "Chytolita morbidalis", "Hypena lividalis", "Anomis illita", "Centroglossa macroceras", "Anomis gentilis", "Hemeroplanis historialis", "Forsebia cinis", "Xenodusa reflexa", "Chytroglossa marileoniae", "Cischweinfia pusilla", "Cischweinfia pusilla var. pusilla", "Cischweinfia pusilla var. furcata", "Baniana gobar", "Proctoporus spinalis", "Euglossa villosa", "Ardisia compressa", "Myrmekiaphila tigris", "Ardisia crispa", "Ardisia escallonioides", "Ardisia guianensis", "Ardisia humilis", "Ardisia involucrata", "Heterobostrychus aequalis", "Ardisia japonica", "Ardisia macrocarpa", "Ardisia mamillata", "Ardisia manglillo", "Miltoniopsis vexillaria", "Rosa \u00d7 hibernica", "Notyliopsis beatricis", "Masdevallia caesia", "Masdevallia bennettii", "Rosa \u00d7 foetida", "Rosa \u00d7 pteragonis", "Labeo greenii", "Labeo gregorii", "Labeo horie", "Labeo indramontri", "Labeo kawrus", "Labeo kibimbi", "Labeo kirkii", "Labeo kontius", "Labeo lineatus", "Labeo longipinnis", "Labeo lualabaensis", "Labeo lukulae", "Labeo luluae", "Labeo lunatus", "Labeo macrostoma", "Labeo maleboensis", "Labeo mesops", "Labeo mokotoensis", "Labeo molybdinus", "Labeo moszkowskii", "Labeo nandina", "Labeo nasus", "Labeo nigricans", "Labeo nigripinnis", "Labeo niloticus", "Labeo nunensis", "Labeo pangusia", "Labeo parvus", "Labeo pellegrini", "Labeo pietschmanni", "Labeo polli", "Labeo porcellus", "Labeo potail", "Labeo quadribarbis", "Labeo rajasthanicus", "Labeo rectipinnis", "Labeo reidi", "Labeo rosae", "Labeo roseopunctatus", "Labeo rouaneti", "Labeo rubromaculatus", "Labeo ruddi", "Labeo sanagaensis", "Labeo seeberi", "Labeo senegalensis", "Labeo simpsoni", "Labeo sorex", "Labeo stolizkae", "Labeo trigliceps", "Labeo udaipurensis", "Labeo umbratus", "Labeo victorianus", "Labeo weeksii", "Labeo werneri", "Labeo worthingtoni", "Labeo yunnanensis", "Sisyrinchium langloisii", "Sisyrinchium montanum", "Sisyrinchium mucronatum", "Sisyrinchium nashii", "Sisyrinchium rosulatum", "Zanthoxylum capense", "Zanthoxylum caribaeum", "Zanthoxylum rhoifolium", "Zanthoxylum riedelianum", "Zanthoxylum tragodes", "Eriophorum russeolum subsp. russeolum", "Dasiphora fruticosa subsp. fruticosa", "Platyrhiza quadricolor", "Porroglossum muscosum", "Rosa \u00d7 noisettana", "Grylloprociphilus imbricator", "Phyllaphis fagi", "Stanleya confertiflora", "Spinacia tetrandra", "Spinacia turkestanica", "Vepris morogorensis", "Veltheimia bracteata", "Stylophorum diphyllum", "Stylophorum lasiocarpum", "Nuttallanthus texanus", "Lymnaea raphidia", "Frerea indica", "Macrohasseltia macroterantha", "Fagonia laevis", "Trisetum caudulatum", "Bothrops otavioi", "Brookesia brunoi", "Cerberus dunsoni", "Seseli mucronatum", "Sisyrinchium atlanticum", "Sisyrinchium biforme", "Sisyrinchium campestre", "Sisyrinchium idahoense", "Dasiphora fruticosa subsp. floribunda", "Dasiphora rigida", "Dasiphora dryadanthoides", "Suarezia ecuadorana", "Schunkea vierlingii", "Chytroglossa aurata", "Chytroglossa paulensis", "Dasiphora davurica var. mandshurica", "Euscorpius rahsenae", "Watshamiella aurea", "Dasiphora davurica var. davurica", "Masdevallia uniflora", "Dasiphora spectabilis", "Maireana aphylla", "Orthrosanthus chimboracensis", "Orthrosanthus multiflorus", "Patersonia occidentalis", "Patersonia umbrosa", "Sandoricum koetjape", "Soymida febrifuga", "Sphaerosacme decandra", "Arthrostylidium schomburgkii", "Arundinella bengalensis", "Shibataea kumasaca", "Tabebuia trachycarpa", "Triodia bynoei", "Triodia pungens", "Triodia rigidissima", "Triodia schinzii", "Acanthocercus branchi", "Agama parafricana", "Agama wagneri", "Hyperia galba", "Anas albogularis", "Anas andium", "Labeo degeni", "Labeo dhonti", "Labeo dussumieri", "Labeo dyocheilus", "Labeo erythropterus", "Labeo falcipinnis", "Labeo fimbriatus", "Labeo fisheri", "Labeo forskalii", "Labeo fuelleborni", "Labeo gonius", "Trigonopterus zygops", "Aegla paulensis", "Trigonopterus wariorum", "Trigonopterus wamenaensis", "Trigonopterus viridescens", "Trigonopterus violaceus", "Trigonopterus verrucosus", "Trigonopterus velaris", "Trigonopterus variabilis", "Trigonopterus uniformis", "Trigonopterus tridentatus", "Trigonopterus tibialis", "Trigonopterus tialeorum", "Trigonopterus taurekaorum", "Trigonopterus talpa", "Trigonopterus taenzleri", "Trigonopterus sulcatus", "Trigonopterus subglabratus", "Trigonopterus strombosceroides", "Trigonopterus strigatus", "Trigonopterus striatus", "Trigonopterus squamirostris", "Trigonopterus sordidus", "Trigonopterus soiorum", "Trigonopterus simulans", "Trigonopterus signicollis", "Trigonopterus scharfi", "Trigonopterus scissops", "Trigonopterus scabrosus", "Trigonopterus rufibasis", "Trigonopterus rubripennis", "Trigonopterus rubiginosus", "Trigonopterus rhomboidalis", "Trigonopterus rhinoceros", "Trigonopterus ragaorum", "Trigonopterus punctulatus", "Trigonopterus ptolycoides", "Trigonopterus pseudonasutus", "Trigonopterus pseudogranum", "Trigonopterus politoides", "Trigonopterus plicicollis", "Trigonopterus phoenix", "Trigonopterus parvulus", "Trigonopterus parumsquamosus", "Trigonopterus oviformis", "Trigonopterus ovatus", "Trigonopterus nothofagorum", "Trigonopterus nangiorum", "Trigonopterus myops", "Trigonopterus moreaorum", "Trigonopterus montivagus", "Trigonopterus monticola", "Trigonopterus mimicus", "Trigonopterus maculatus", "Trigonopterus lineellus", "Trigonopterus lineatus", "Trigonopterus lekiorum", "Trigonopterus kurulu", "Trigonopterus koveorum", "Trigonopterus katayoi", "Trigonopterus kanawiorum", "Trigonopterus ixodiformis", "Trigonopterus irregularis", "Trigonopterus insularis", "Trigonopterus inflatus", "Trigonopterus imitatus", "Trigonopterus hitoloorum", "Trigonopterus helios", "Trigonopterus granum", "Trigonopterus gonatoceros", "Trigonopterus glaber", "Trigonopterus fusiformis", "Trigonopterus ferrugineus", "Trigonopterus euops", "Trigonopterus eremitus", "Trigonopterus edaphus", "Trigonopterus echinus", "Trigonopterus durus", "Trigonopterus dromedarius", "Trigonopterus discoidalis", "Trigonopterus dentirostris", "Trigonopterus cyclopensis", "Trigonopterus cuneipennis", "Trigonopterus crassicornis", "Trigonopterus costicollis", "Trigonopterus costatus", "Trigonopterus constrictus", "Trigonopterus conformis", "Trigonopterus basalis", "Trigonopterus balimensis", "Trigonopterus augur", "Trigonopterus ascendens", "Trigonopterus armatus", "Trigonopterus apicalis", "Trigonopterus angustus", "Trigonopterus angulatus", "Trigonopterus ancoruncus", "Trigonopterus amplipennis", "Trigonopterus agilis", "Trigonopterus agathis", "Trigonopterus aeneus", "Trigonopterus aeneipennis", "Anas zonorhyncha", "Oecophora munda", "Progomphocythere mawsontalenti", "Taraxacum sinicum", "Krascheninnikovia eversmanniana", "Krascheninnikovia lanata", "Blitum asiaticum", "Neomonolepis spathulata", "Maireana brevifolia", "Maireana erioclada", "Maireana georgei", "Maireana pentatropis", "Maireana planifolia", "Maireana pyramidata", "Maireana sedifolia", "Maireana triptera", "Maireana villosa", "Dasiphora spoliata", "Cercosaura hypnoides", "Cerrophidion sasai", "Cerrophidion wilsoni", "Ameivula abalosi", "Cophoscincopus senegalensis", "Cordylus marunguensis", "Ungernia sewerzowii", "Ungernia tadschicorum", "Ungernia trisphaera", "Triadica cochinchinensis", "Triadica sebifera", "Dasiphora galantha", "Labeo chariensis", "Labeo fulakariensis", "Labeo meroensis", "Dasiphora gorovoii", "Labeo microphthalmus", "Labeo percivali", "Labeo ricnorhynchus", "Dasiphora reticulata", "Dasiphora tenuifolia", "Theobroma gileri", "Xerochrysum bracteatum", "Wilbrandia ebracteata", "Drymocallis rupestris subsp. corsica", "Drymocallis rupestris subsp. banatica", "Drymocallis rupestris subsp. jailae", "Drymocallis rupestris subsp. mollis", "Drymocallis rupestris subsp. rupestris", "Oxyopes shweta", "Saccharodite altissima", "Saccharodite bakeri", "Saccharodite affinis", "Saccharodite foliata", "Bavia kairali", "Saccharodite hollowayi", "Saccharodite lamina", "Saccharodite longuida", "Saccharodite scissa", "Saccharodite aucta", "Psychopsis papilio", "Saccharodite dionaea", "Saccharodite egregia", "Saccharodite fasciata", "Saccharodite insulana", "Saccharodite modesta", "Saccharodite nervosa", "Saccharodite nigra", "Phrealcia friesei", "Phrealcia steueri", "Psychopsis krameriana", "Buddleja sect.", "Psychopsiella limminghei", "Psychopsis sanderae", "Psychopsis versteegiana", "Buddleja sect.", "Buddleja sect.", "Buddleja ser.", "Buddleja ser.", "Drymocallis tianschanica", "Drymocallis saviczii", "Drymocallis poteriifolia", "Kingiodendron pinnata", "Micranthes lyallii", "Micranthes odontoloma", "Micranthes californica", "Drymocallis kulabensis", "Micranthes nidifica", "Micranthes oregana", "Micranthes pensylvanica", "Anticlea elegans", "Toxicoscordion fremontii", "Toxicoscordion nuttallii", "Toxicoscordion paniculatum", "Toxicoscordion venenosum", "Cyclanthera hystrix", "Cyclanthera tenuisepala", "Trachys muricata", "Tripsacum andersonii", "Deinandra corymbosa", "Deinandra halliana", "Asarum hypogynum", "Drymocallis glandulosa subsp. glandulosa", "Eutarsopolipus asiaticus", "Moritziella corticalis", "Cyrtodactylus arcanus", "Cyrtodactylus medioclivus", "Satyrichthys milleri", "Cyrtodactylus astrum", "Cyrtodactylus australotitiwangsaensis", "Cyrtodactylus bintangrendah", "Cyrtodactylus bintangtinggi", "Cyrtodactylus langkawiensis", "Cyrtodactylus lekaguli", "Cyrtodactylus trilatofasciatus", "Cyrtodactylus bidoupimontis", "Cyrtodactylus bugiamapensis", "Drymocallis discretica", "Eudaemonia argus", "Drymocallis cuneifolia var. cuneifolia", "Drymocallis cuneifolia var. ewanii", "Drymocallis arguta subsp. arguta", "Maltagorea basquini", "Archaeoattacus edwardsii", "Archaeoattacus staudingeri", "Attacus crameri", "Attacus dohertyi", "Attacus wardi", "Yucca angustissima", "Yucca campestris", "Yucca constricta", "Yucca elata", "Yucca cernua", "Yucca pallida", "Yucca reverchonii", "Yucca rostrata", "Yucca rupicola", "Yucca thompsoniana", "Yucca faxoniana", "Yucca gloriosa", "Yucca harrimaniae", "Yucca neomexicana", "Yucca periculosa", "Yucca schidigera", "Yucca schottii", "Yucca torreyi", "Yucca treculeana", "Yucca utahensis", "Iva angustifolia", "Sarcocapnos enneaphylla", "Saxifraga callosa", "Saxifraga magellanica", "Saxifraga sosnowskyi", "Saxifraga tricuspidata", "Saxifraga umbrosa", "Townsendia annua", "Agrisius excellens", "Buddleja ser.", "Masdevallia zahlbruckneri", "Dendrobium falcorostrum", "Calophya latiforceps", "Erycina hyalinobulbon", "Morosaphycita oculiferella", "Diploprora championii", "Diploprora truncata", "Calophya rubra", "Buddleja ser.", "Buddleja ser.", "Buddleja ser.", "Buddleja ser.", "Buddleja ser.", "Buddleja ser.", "Buddleja ser.", "Buddleja ser.", "Buddleja ser.", "Buddleja ser.", "Buddleja ser.", "Buddleja ser.", "Saccharodite nishidai", "Saccharodite palauensis", "Saccharodite ponapeana", "Saccharodite punctata", "Saccharodite purpurea", "Saccharodite rosea", "Saccharodite rubilineata", "Saccharodite variabilis", "Saccharodite vitrea", "Saccharodite lugubris", "Saccharodite rufa", "Saccharodite aculeata", "Saccharodite aurora", "Saccharodite chinensis", "Saccharodite ignea", "Saccharodite indochinensis", "Saccharodite perlucida", "Saccharodite propinqua", "Saccharodite timida", "Saccharodite vietnamensis", "Saccharodite aquila", "Saccharodite bos", "Saccharodite carens", "Saccharodite cervetta", "Saccharodite costa", "Epidendrum ibaguense", "Synodus macrostigmus", "Saccharodite cruenta", "Saccharodite eburnea", "Saccharodite lata", "Saccharodite lucifera", "Saccharodite picta", "Saccharodite plurima", "Spectrolebias brousseaui", "Saccharodite rostrata", "Saccharodite saucia", "Saccharodite securifera", "Hypostomus delimai", "Coelotilapia joka", "Hassar shewellkeimi", "Calophya terebinthifolii", "Campsicnemus issykkulensis", "Cymatopus madagascarensis", "Aristolochia kaempferi", "Aristolochia albida", "Aristolochia holostylis", "Aristolochia rigida", "Solidago flexicaulis", "Solidago chilensis", "Solidago confinis", "Solidago minutissima", "Solidago nana", "Solidago nitida", "Solidago ohioensis", "Solidago riddellii", "Solidago rigida", "Solidago simplex", "Solidago squarrosa", "Solidago ulmifolia", "Solidago uliginosa", "Solidago wrightii", "Dahlia sorensenii", "Acidosasa notata", "Buddleja \u00d7 whiteana", "Encelia resinifera", "Barklya syringifolia", "Buddleja \u00d7 wardii", "Garberia heterophylla", "Neopinnaspis harperi", "Sairocarpus nuttallianus", "Tapeinosperma vieillardii", "Anolis ginaelisae", "Bachia geralista", "Calotes bachae", "Microauris aurantolabium", "Austrolophrum cribriceps", "Buddleja \u00d7 weyeriana", "Sorbus sect.", "Sorbus subg.", "Micropterus cahabae", "Micropterus chattahoochae", "Micropterus tallapoosae", "Micropterus warriorensis", "Balitora jalpalli", "Deuterodon pedri", "Saccharodite tricuspis", "Saccharodite viperina", "Saccharodite virgula", "Saccharodite colorata", "Saccharodite gagnei", "Saccharodite joycei", "Saccharodite mappa", "Saccharodite abnormis", "Neblinichthys peniculatus", "Saccharodite conducta", "Saccharodite crispa", "Saccharodite doddi", "Hyphessobrycon peugeoti", "Saccharodite extraria", "Saccharodite ligata", "Saccharodite media", "Leporinus santosi", "Saccharodite minuscula", "Leporinus brinco", "Saccharodite montana", "Leporinus melanopleurodes", "Saccharodite nanus", "Saccharodite obrieni", "Saccharodite pirum", "Saccharodite pulla", "Leporinus melanopleura", "Saccharodite satyrus", "Saccharodite siamensis", "Saccharodite solitaria", "Gallinula galeata", "Saccharodite teres", "Characidium papachibe", "Drymocallis halacsyana", "Hemigrammocharax rubensteini", "Drymocallis geoides", "Drymocallis longisepala", "Drymocallis longisepala subsp. longisepala", "Drymocallis longisepala subsp. epirotica", "Heloniopsis orientalis", "Gallinula comeri", "Drymocallis regis-borisii", "Townsendia incana", "Townsendia strigosa", "Stenotus acaulis", "Stenotus armerioides", "Stenotus lanuginosus", "Stenotus pulvinatus", "Sechium chinantlense", "Sechium panamense", "Sechium pittieri", "Sechium talamancense", "Sechium venosum", "Sechium villosum", "Picradeniopsis multiflora", "Stellaria chilensis", "Simarouba amara", "Simarouba berteroana", "Simarouba laevis", "Securigera cretica", "Securigera orientalis", "Securigera parviflora", "Securigera securidaca", "Securigera varia", "Weinmannia racemosa", "Weinmannia silvicola", "Psychrodromus tunisicus", "Calophya mangiferae", "Tamarixia triozae", "Urceolina urceolata", "Correlophus belepensis", "Coryphophylax brevicaudus", "Ctenotus ora", "Dasiphora unifoliolata", "Calophya aurea", "Calophya minuta", "Grielum humifusum", "Pycreus diander", "Pycreus filicinus", "Phlomis macrophylla", "Sericocarpus asteroides", "Sericocarpus linifolius", "Sericocarpus oregonensis", "Sericocarpus rigidus", "Sericocarpus tortifolius", "Schnella angulosa", "Schnella cupreonitens", "Schnella glabra", "Schnella guianensis", "Schnella macrostachya", "Ptilagrostis dichotoma", "Chiloschista usneoides", "Sorbus sect.", "Propelma rhodendorfi", "Sorbus sect.", "Chavturopsis pacifica", "Chavturopsis compacta", "Sorbus sect.", "Sorbus sect.", "Sorbus sambucifolia var. pseudogracilis", "Sorbus sambucifolia var. sambucifolia", "Sorbus sect.", "Sympegma regelii", "Sorbus sect.", "Sorbus sect.", "Sorbus sect.", "Sorbus sect.", "Melitaea jitka", "Sorbus sect.", "Chaenomeles \u00d7 vilmoriniana", "Chaenomeles \u00d7 clarkiana", "Chaenomeles \u00d7 californica", "Thouinidium decandrum", "Guapira discolor", "Bartlettina sordida", "Dasyochloa pulchella", "Macrochloa tenacissima", "Neobassia proceriflora", "Valerianella amarella", "Acis autumnalis", "Acis trichophylla", "Vernonia teucrioides", "Verbesina oreophila", "Disporum calcaratum", "Disporum cantoniense", "Disporum sessile", "Colchicum bivonae", "Colchicum cilicicum", "Colchicum decaisnei", "Colchicum doerfleri", "Colchicum hungaricum", "Colchicum ritchii", "Colchicum robustum", "Colchicum variegatum", "Ornithoglossum viride", "Cyrtodactylus tebuensis", "Helicops apiaka", "Liolaemus carlosgarini", "Liolaemus riodamas", "Madagascarophis fuchsi", "Zaglossus maximus", "Megalibgwilia ramsayi", "Megalibgwilia owenii", "Satyrichthys welchi", "Chavturopsis serrata", "Chavturopsis quadridentata", "Notopleura uliginosa", "Myrmecia pyriformis", "Isophysis tasmanica", "Dulichium arundinaceum", "Syncarpha eximia", "Syncarpha vestita", "Roseodendron chryseum", "Roseodendron donnell-smithii", "Pterocaulon virgatum", "Ptilagrostis malyschevii", "Ptilagrostis mongholica", "Pseudosasa cantorii", "Tiquilia canescens", "Tiquilia plicata", "Cyrtodactylus pageli", "Cyrtopodion hormozganum", "Cyrtopodion golubevi", "Dasypeltis parascabra", "Dendrelaphis levitoni", "Dendrophidion apharocybe", "Calophya actinodaphne", "Calophya elaeocarpae", "Calophya ligustrae", "Calophya octimaculata", "Calophya phaeosticta", "Calophya rhopenjabensis", "Calophya vertifuliginea", "Calophya andina", "Calophya catillicola", "Calophya clausa", "Calophya clavuligera", "Calophya floricola", "Calophya hermicitae", "Calophya mammifex", "Calophya patagonica", "Calophya orbicola", "Calophya scrobicola", "Calophya angulipennis", "Calophya fusca", "Calophya hyalina", "Calophya miramariensis", "Calophya monticola", "Calophya nigricornis", "Calophya nigrilineata", "Calophya stigmotacta", "Calophya rotundipennis", "Sorbus californica", "Synodus bondi", "Aulacidea martae", "Satyrichthys clavilapis", "Satyrichthys laticeps", "Satyrichthys longiceps", "Phanacis comosae", "Phanacis zwolferi", "Satyrichthys moluccensis", "Satyrichthys rieffeli", "Agriophyllum squarrosum", "Apodolirion macowanii", "Bidens subalternans", "Bidens trichosperma", "Eulophia zollingeri", "Sinoe capsana", "Stenocercus chinchaoensis", "Xenagama wilmsi", "Cyrtodactylus majulah", "Echinochloa callopus", "Koeleria atroviolacea", "Koeleria capensis", "Koeleria litvinowii", "Koeleria permollis", "Koeleria splendens", "Ceratozamia becerrae", "Ceratozamia huastecorum", "Eucephalus breweri", "Eucephalus elegans", "Eucephalus engelmannii", "Eucephalus glabratus", "Eucephalus glaucescens", "Eucephalus gormanii", "Eucephalus ledophyllus", "Eucephalus paucicapitatus", "Eucephalus tomentellus", "Eucephalus vialis", "Oncosiphon piluliferum", "Bassia stellaris", "Bassia prostrata", "Bassia indica", "Neokochia americana", "Chaenomeles thibetica", "Meharia murphyi", "Meharia ostrauskasi", "Hepialus jianchuanensis", "Hepialus jialangensis", "Hepialus zaliensis", "Hepialus anomopterus", "Hepialus zhongzhiensis", "Hepialus yeriensis", "Hepialus callinivalis", "Hepialus litangensis", "Dogninades anemolia", "Hymenopappus flavescens", "Hymenopappus mexicanus", "Hymenopappus newberryi", "Hymenopappus scabiosaeus", "Hymenopappus tenuifolius", "Hymenoxys bigelovii", "Nematolepis squamea", "Dendrophidion crybelum", "Dendrophidion graciliverpa", "Dendrophidion prolixum", "Dendrophidion rufiterminorum", "Diporiphora adductus", "Hyles hippophaes", "Hyles hippophaes hippophaes", "Hyles hippophaes bienerti", "Hyles hippophaes miatleuski", "Brachyscome dentata", "Brachyscome formosa", "Brachyscome microcarpa", "Brachyscome sieberi", "Brickellia brachyphylla", "Brickellia dentata", "Brickellia desertorum", "Brickellia grandiflora", "Brickellia greenei", "Brickellia laciniata", "Brickellia longifolia", "Brickellia microphylla", "Suckleya suckleyana", "Pleuropogon californicus", "Tetradium fraxinifolium", "Tetradium glabrifolium", "Tetradium daniellii", "Hulsea californica", "Physcopedaliodes physcoa micromaculata", "Physcopedaliodes physcoa marulla", "Amelanchier parviflora subsp. parviflora", "Amelanchier parviflora subsp. chelmea", "Amelanchier parviflora subsp. dentata", "Vanda pumila", "Phalacrocorax lucidus", "Cethosia myrina", "Cethosia myrina myrina", "Cethosia myrina sarnada", "Cethosia myrina melancholica", "Cethosia myrina ribbei", "Cethosia myrina vanbemmeli", "Eburuncus unifasciata", "Eburuncus hierax", "Wandesia minuta", "Rhododendron subsect.", "Pamianthe peruviana", "Telanthophora grandifolia", "Avellinia festucoides", "Astroloba congesta", "Adenophyllum cooperi", "Echeandia flavescens", "Echeandia paniculata", "Lachnoderma asperum", "Kebirita roudairei", "Diporiphora ameliae", "Diporiphora paraconvergens", "Diporiphora vescus", "Eirenis kermanensis", "Emoia mokolahi", "Emoia oriva", "Furcifer viridis", "Gehyra georgpotthasti", "Gehyra multiporosa", "Gehyra spheniscus", "Gekko remotus", "Anisoplaca achyrota", "Anisoplaca acrodactyla", "Anisoplaca ptyoptera", "Anisoplaca fraxinea", "Anisoplaca viatrix", "Catolethrobius silvestris", "Pterostichus ledenikensis", "Corderopedaliodes corderoi corderoi", "Amelanchier ovalis subsp. ovalis", "Corderopedaliodes buda", "Amelanchier ovalis subsp. cretica", "Corderopedaliodes luzangelae", "Corderopedaliodes pandates", "Amelanchier ovalis subsp. integrifolia", "Corderopedaliodes pandates pandates", "Corderopedaliodes pandates olivieri", "Physcopedaliodes physcoa", "Physcopedaliodes physcoa physcoa", "Saussurea involucrata", "Saussurea laniceps", "Saussurea medusa", "Saussurea nuda", "Saussurea salicifolia", "Tecticornia indica", "Tecticornia lylei", "Tecticornia pterygosperma", "Tecticornia tenuis", "Sedum divergens", "Aspalathus bodkinii", "Aspalathus pendula", "Argyrolobium lunare", "Virola peruviana", "Virola theiodora", "Puccinellia ciliata", "Puccinellia groenlandica", "Puccinellia hauptiana", "Puccinellia tianschanica", "Hylocereus setaceus", "Hylocereus megalanthus", "Callirhoe pedata", "Bilobata subsecivella", "Symmetrischema tangolias", "Geissanthus longistamineus", "Anisoplaca cosmia", "Stillingia texana", "Sitotroga cerealella", "Phthorimaea operculella", "Monochroa leptocrossa", "Chrysoesthia drurella", "Anisoplaca bathropis", "Allocota viridipennis", "Allocota cyanipennis", "Rapanea laetevirens", "Allocota bicolor", "Allocota aurata", "Samanea inopinata", "Tacazzea apiculata", "Maianthemum flexuosum", "Maianthemum fuscum", "Maianthemum japonicum", "Maianthemum oleraceum", "Maianthemum paniculatum", "Maianthemum scilloideum", "Gonatodes rozei", "Hemidactylus albituberculatus", "Hemidactylus albivertebralis", "Hemidactylus alkiyumii", "Hemidactylus endophis", "Hemidactylus festivus", "Hemidactylus hajarensis", "Hemidactylus inexpectatus", "Hemidactylus luqueorum", "Aethiopina argentifera", "Catarbelana bassa", "Rhododendron irroratum subsp. irroratum", "Rhododendron subsect.", "Rhododendron irroratum subsp. yiliangense", "Rhododendron irroratum subsp. pogonostylum", "Rhododendron annae subsp. laxiflorum", "Rhododendron kendrickii", "Microgramma lycopodiodes", "Microgramma reptans", "Microgramma vacciniifolia", "Phymatosorus scolopendria", "Planchonella australis", "Planchonella costata", "Planchonella eerwah", "Planchonella obovata", "Cliococca selaginoides", "Rhododendron subsect.", "Rhododendron subsect.", "Hesperolinon congestum", "Linum alatum", "Linum arenicola", "Linum virgultorum", "Acanthoscyphus parishii", "Rhododendron subsect.", "Rhododendron subsect.", "Babingtonia camphorosmae", "Rhododendron subsect.", "Meteoromyrtus wynaadensis", "Dipcadi glaucum", "Dipcadi serotinum", "Dipcadi viride", "Beaufortia elegans", "Beaufortia macrostemon", "Beaufortia micrantha", "Beaufortia purpurea", "Beaufortia sparsa", "Beaufortia squarrosa", "Adonis multiflora", "Agriophyllum latifolium", "Agriophyllum minus", "Discocalyx psychotrioides", "Embelia basaal", "Embelia floribunda", "Embelia laeta", "Embelia ribes", "Embelia schimperi", "Embelia tsjeriam-cottam", "Haloxylon persicum", "Meconopsis discigera", "Meconopsis dhwojii", "Meconopsis napaulensis", "Meconopsis regia", "Meconopsis forrestii", "Meconopsis lancifolia", "Meconopsis aculeata", "Meconopsis lyrata", "Meconopsis sinuata", "Meconopsis speciosa", "Meconopsis concinna", "Meconopsis delavayi", "Meconopsis henrici", "Meconopsis horridula", "Meconopsis impedita", "Meconopsis paniculata", "Meconopsis primulina", "Meconopsis punicea", "Meconopsis simplicifolia", "Meconopsis venusta", "Setaria vaginata", "Setaria verticilliformis", "Lepidothamnus fonkii", "Lepidothamnus intermedius", "Lepidothamnus laxifolius", "Retrophyllum comptonii", "Retrophyllum minus", "Rhaponticum carthamoides", "Pterapotrechus sp. 1", "Hepsetus cuvieri", "Hepsetus lineatus", "Hepsetus kingsleyae", "Turdus maximus", "Turdus simillimus", "Rhododendron subsect.", "Rhododendron subsect.", "Rhododendron subsect.", "Rhododendron subsect.", "Rhododendron subsect.", "Callambulyx amanda amanda", "Turdus merula aterrimus", "Papuadessus pakdjoko", "Callambulyx amanda aoyamai", "Burhinus indicus", "Amasa banksiae", "Amasa exacta", "Peltoschema sp. 1", "Lilium basilissum", "Nomocharis farreri", "Lilium meleagrinum", "Lilium pardanthinum", "Lilium saluenense", "Lilium synapticum", "Rhodanthe chlorocephala", "Rhodanthe humboldtiana", "Rhodanthe manglesii", "Rhodanthe rubella", "Psilactis asteroides", "Psilactis brevilingulata", "Psilactis gentryi", "Psilactis heterocarpa", "Psilactis odysseus", "Psilactis tenuis", "Muehlenbeckia hastulata", "Muehlenbeckia tamnifolia", "Psilostrophe bakeri", "Psilostrophe cooperi", "Hemidactylus masirahensis", "Hemidactylus paucituberculatus", "Hemidactylus principensis", "Hemidactylus kundaensis", "Homonota williamsii", "Hypsilurus capreolatus", "Imantodes chocoensis", "Rhododendron subsect.", "Rhododendron subsect.", "Platanthera cristata", "Rhododendron subsect.", "Rhododendron subsect.", "Gastrochilus retrocallus", "Rhododendron subsect.", "Ornebius insculpta", "Sternarchella calhamazon", "Glycaspis brimblecombei", "Anchistrocheles sicula", "Montanoa grandiflora", "Montanoa speciosa", "Olearia monticola", "Tetradymia comosa", "Tetradymia nuttallii", "Tetradymia stenolepis", "Libocedrus austrocaledonica", "Libocedrus chevalieri", "Libocedrus yateensis", "Corvus corax clarionensis", "Rhododendron subsect.", "Anchistrocheles fumata", "Rhododendron subsect.", "Rhododendron subsect.", "Rhododendron subsect.", "Rhododendron subsect.", "Rhododendron subsect.", "Rhododendron \u00d7 chlorops", "Rhododendron \u00d7 halense", "Rhododendron \u00d7 morelianum", "Paysonia lyrata", "Paysonia perforata", "Paysonia stonensis", "Lysiloma auritum", "Aphalara tecta", "Physalis cinerascens", "Momordica sahyadrica", "Momordica subangulata", "Cryptognathus cucurbita", "Lycodon davidi", "Boreioglycaspis abudicola", "Boreioglycaspis australiensis", "Boreioglycaspis borneensis", "Boreioglycaspis denigrata", "Boreioglycaspis devexa", "Boreioglycaspis devicola", "Boreioglycaspis muminae", "Boreioglycaspis polymelasma", "Boreioglycaspis paludis", "Boreioglycaspis eugeniae", "Boreioglycaspis fasciata", "Boreioglycaspis moorei", "Boreioglycaspis murphyi", "Boreioglycaspis tristaniopsidis", "Boreioglycaspis forcipata", "Boreioglycaspis penangensis", "Teinopalpus imperialis herteri", "Rhododendron \u00d7 stanwellianum", "Ornebius rufonigrus", "Ornebius abdominalis", "Ornebius acutus", "Ornebius alatus", "Ornebius alii", "Ornebius ambericus", "Ornebius angustifrons", "Ornebius annulatus", "Ornebius barbicornis", "Ornebius bimaculatus", "Ornebius brasilianus", "Ornebius brevipalpis", "Ornebius brevipennis", "Ornebius consternatus", "Ornebius cucullatus", "Ornebius dilatatus", "Ornebius elegantulus", "Ornebius euryxiphus", "Ornebius fasciatus", "Ornebius fastus", "Ornebius flavipalpis", "Ornebius formosanus", "Cassida major", "Ornebius guerini", "Ornebius guerinianus", "Ornebius medius", "Ornebius fuscipennis", "Ornebius fuscicercis", "Ornebius mexicanus", "Ornebius scotops", "Ornebius infuscatus", "Ornebius kanetataki", "Ornebius minusculus", "Ornebius nigrifrons", "Ornebius nigripalpis", "Ornebius stenus", "Ornebius syrticus", "Ornebius nigripennis", "Ornebius testaceus", "Ornebius nigripes", "Ornebius xanthopterus", "Ornebius nigrirostris", "Ornebius noumeensis", "Teinopalpus imperialis imperatrix", "Teinopalpus imperialis gillesi", "Teinopalpus imperialis behludinii", "Olepa neumuthi", "Bellardiochloa variegata", "Galerida macrorhyncha", "Exechia lundstroemi", "Rhododendron taipaoense", "Rhododendron subsect.", "Rhododendron subsect.", "Opistognathus trimaculatus", "Ammodytoides kanazawai", "Chaeturichthys jeoni", "Chaeturichthys stigmatias", "Parkraemeria rhinoceros", "Parkraemeria saltator", "Parkraemeria ornata", "Rhododendron micromalayanum", "Ornebius marginatus", "Ornebius unmadacitra", "Ornebius vadus", "Ornebius varipennis", "Ornebius validus", "Ornebius obscuripennis", "Ornebius occultus", "Ornebius luteicornis", "Ornebius karnyi", "Ornebius pendleburyi", "Ornebius komodensis", "Ornebius rubidus", "Ornebius leai", "Ornebius lepismoides", "Ornebius peruviensis", "Ornebius longipennis", "Ornebius rotundatus", "Ornebius longicaudus", "Ornebius robustus", "Ornebius ceylonicus", "Ornebius ryukyuensis", "Rhododendron subsect.", "Ornebius ohzii", "Ornebius dunkensis", "Rhododendron subsect.", "Rhododendron subsect.", "Cycloptilum erraticum", "Aquilegia dinarica", "Alloxysta chinensis", "Ceratocephala testiculata", "Ormosia pachycarpa", "Onobrychis atropatana", "Onobrychis bungei", "Onobrychis conferta", "Onobrychis meschetica", "Onobrychis ruprechtii", "Hylaeus sagiops", "Ononis variegata", "Alstonia congensis", "Smodicinodes schwendingeri", "Paysonia auriculata", "Paysonia densipila", "Paysonia grandiflora", "Paysonia lasiocarpa", "Paysonia lescurii", "Comaroma tongjunca", "Corvus culminatus", "Buckollia volubilis", "Gymnema sylvestre", "Malosma laurina", "Munzothamnus blairii", "Paramongaia weberbaueri", "Pterolepis glomerata", "Tripodion tetraphyllum", "Zephyranthes robusta", "Habranthus longipes", "Zephyranthes brachyandra", "Haemanthus amarylloides", "Haemanthus coccineus", "Haemanthus humilis", "Haemanthus montanus", "Lapiedra martinezii", "Leucocoryne ixioides", "Lycoris anhuiensis", "Lycoris argentea", "Lycoris \u00d7 flavescens", "Lycoris guangxiensis", "Lycoris longituba", "Lycoris rosea", "Lycoris shaanxiensis", "Lycoris uydoensis", "Stenomesson aurantiacum", "Stenomesson leucanthum", "Stenomesson pearcei", "Angelica acutiloba", "Angelica adzharica", "Angelica angelicastrum", "Angelica anomala", "Angelica biserrata", "Angelica brevicaulis", "Angelica cartilaginomarginata", "Hoplichthys mimaseanus", "Suttonia coccinea", "Eretris microrufescens", "Macalla seyrigalis", "Pedioplanis haackei", "Pedioplanis huntleyi", "Angelica cincta", "Angelica czernaevia", "Angelica dahurica", "Angelica decurrens", "Angelica decursiva", "Angelica gigas", "Angelica glauca", "Angelica heterocarpa", "Angelica japonica", "Angelica keiskei", "Angelica laevis", "Angelica laxifoliata", "Angelica pachycarpa", "Angelica polymorpha", "Angelica pubescens", "Angelica razulii", "Angelica tenuisecta", "Angelica ursina", "Angelica sinensis", "Eupatorium hyssopifolium", "Eupatorium mohrii", "Eupatorium pilosum", "Kinyongia gyrolepis", "Leptosiaphos dungeri", "Liolaemus abdalai", "Liolaemus pyriphlogos", "Liolaemus aparicioi", "Amelora conia", "Apheloceros dasciodes", "Thallogama aellographa", "Hypomecis catephes", "Hypomecis conspersa", "Psilosticha cymatias", "Anchistrocheles acerosa", "Hypomecis curtaria", "Pachyplocia atmocyma", "Clausenia purpurea", "Clausenia josefi", "Nannoperca pygmaea", "Alpheus wonkimi", "Myriopholis parkeri", "Tripyla daviesae", "Tripyla tirau", "Streptoleberis crenulata", "Adelencyrtoides acutus", "Adelencyrtoides blastothrichus", "Adelencyrtoides inconstans", "Adelencyrtoides mucro", "Adelencyrtoides otago", "Adelencyrtoides palustris", "Adelencyrtoides pilosus", "Adelencyrtoides proximus", "Adelencyrtoides similis", "Adelencyrtoides suavis", "Adelencyrtoides tridens", "Adelencyrtoides unicolor", "Adelencyrtoides variabilis", "Trichantha minor", "Stenostomum lucidum", "Osmadenia tenella", "Litsea aestivalis", "Guianodendron praeclarum", "Hydrangea cinerea", "Hydrangea davidii", "Hydrangea kwangsiensis", "Hydrangea radiata", "Hydrangea robusta", "Hydrangea stylosa", "Hydrangea xanthoneura", "Bronwenia acapulcensis", "Cistanthe pulchella", "Montiopsis umbellata", "Tamonea spicata", "Glandularia balansae", "Glandularia catharinae", "Glandularia corymbosa", "Glandularia dusenii", "Glandularia gynobasis", "Glandularia hatschbachii", "Glandularia jordanensis", "Glandularia paraguariensis", "Mabuya hispaniolae", "Mabuya montserratae", "Marisora aurulae", "Marisora magnacornae", "Marisora roatanae", "Enneanectes exsul", "Enneanectes glendae", "Enneanectes macrops", "Tetragonopterus araguaiensis", "Tetragonopterus denticulatus", "Cydia acerivora", "Cydia adenocarpi", "Cydia alabastrina", "Cydia alazon", "Cydia albimaculana", "Cydia albipicta", "Cydia youngana", "Eulobus californicus", "Lippia oxyphyllaria", "Cyclocarya paliurus", "Malacothamnus densiflorus", "Afzelia xylocarpa", "Diarrhena americana", "Galium angustifolium", "Galium virgatum", "Anagyrus fusciventris", "Mniarogekko jalu", "Nactus kunan", "Oligodon nagao", "Paroedura stellata", "Pachycondyla antecurvata", "Pachycondyla becculata", "Pachycondyla breviscapa", "Pachycondyla cernua", "Pachycondyla concava", "Pachycondyla conicula", "Pachycondyla constricticeps", "Pachycondyla cooki", "Pachycondyla coveri", "Pachycondyla curiosa", "Pachycondyla zuparkoi", "Pachycondyla vieirai", "Pachycondyla solisi", "Pachycondyla recava", "Pachycondyla rupinicola", "Pachycondyla schultzi", "Pachycondyla dismarginata", "Pachycondyla donosoi", "Pachycondyla fisheri", "Pachycondyla mirabilis", "Pachycondyla longidentata", "Pachycondyla fusca", "Pachycondyla gilloglyi", "Pachycondyla globularia", "Pachycondyla hispida", "Pachycondyla holcotyle", "Pachycondyla insignis", "Pachycondyla latinoda", "Pachycondyla lattkei", "Pachycondyla bugabensis", "Pachycondyla curvinodis", "Pachycondyla fiebrigi", "Pachycondyla inca", "Pachycondyla rugosula", "Rhododendron subsect.", "Rhododendron subsect.", "Canadanthus modestus", "Giliastrum incisum", "Harbouria trachypleura", "Lapsanastrum apogonoides", "Balizia elegans", "Gelidocalamus kunishii", "Jamesbrittenia carvalhoi", "Samolus ebracteatus", "Vasconcellea cauliflora", "Vasconcellea chilensis", "Vasconcellea crassipetala", "Vasconcellea glandulosa", "Vasconcellea goudotiana", "Vasconcellea horovitziana", "Vasconcellea longiflora", "Vasconcellea microcarpa", "Vasconcellea monoica", "Vasconcellea omnilingua", "Vasconcellea palandensis", "Vasconcellea parviflora", "Vasconcellea pubescens", "Vasconcellea pulchra", "Vasconcellea quercifolia", "Vasconcellea sphaerocarpa", "Vasconcellea sprucei", "Vasconcellea stipulata", "Vasconcellea weberbaueri", "Calycadenia fremontii", "Xestoleberis gracilis", "Enceliopsis argophylla", "Zygia dinizii", "Fumaria capreolata", "Fumaria densiflora", "Fumaria parviflora", "Fumaria indica", "Entolasia marginata", "Polypogon imberbis", "Fagus chienii", "Hydrangea chinensis", "Hydrangea chungii", "Myzocallis coryli", "Cleoserrata serrata", "Cleoserrata speciosa", "Ypthima baileyi", "Ypthima frontierii", "Greenwayodendron suaveolens", "Mosannona depressa", "Atrema americanum", "Bifora testiculata", "Ypthima nareda", "Kniphofia caulescens", "Kniphofia ensifolia", "Kniphofia foliosa", "Kniphofia gracilis", "Kniphofia laxiflora", "Kniphofia northiae", "Loxerebia pieli", "Pyrus armeniacifolia", "Lethe unistigma", "Chimonobambusa hsuehiana", "Lethe confusa", "Lethe confusa confusa", "Gutierrezia californica", "Gutierrezia texana", "Rhododendron latoucheae", "Herrickia horrida", "Herrickia kingii", "Herrickia wasatchensis", "Dimorphotheca dregei", "Rhododendron latoucheae var. amamiense", "Rhododendron mackenzianum", "Rhododendron westlandii", "Ceratocarpus arenarius", "Amphiscirpus nevadensis", "Bulbostylis barbata", "Bulbostylis densa", "Bulbostylis hispidula", "Bulbostylis juncoides", "Bulbostylis puberula", "Skythrenchelys macrostomus", "Cytisus neiceffii", "Discocapnos mundtii", "Dicranostigma lactucoides", "Dicranostigma leptopodum", "Heynea trijuga", "Heynea velutina", "Carapa grandiflora", "Carapa surinamensis", "Myzocallis schreiberi", "Clematis campestris var. campestris", "Myzocallis boerneri", "Myzocallis carpini", "Myzocallis castanicola", "Scutellista aenea", "Scutellista caerulea", "Scutellista gigantea", "Scutellista hayati", "Scutellista hispanica", "Scutellista nigra", "Scutellista obscura", "Scutellista ovivora", "Scutellista cyanea", "Lepus capensis whitakeri", "Oxysternon festivum", "Rutela lineola", "Scarabaeus sepicola", "Pygopleurus syriacus", "Guilleminea densa", "Adonidia merrillii", "Erioneuron pilosum", "Glandora diffusa", "Manochlamys albicans", "Neololeba atra", "Parapolydora fastigiata", "Chlidanthus fragrans", "Bilacunaria microcarpa", "Aglaodorum griffithii", "Hyacinthella leucophaea", "Aristeguietia salvia", "Pasithea caerulea", "Gyranusoidea advena", "Actaea asiatica", "Actaea heracleifolia", "Actaea racemosa", "Actaea cimicifuga", "Actaea dahurica", "Actaea arizonica", "Actaea cordifolia", "Actaea elata", "Actaea japonica", "Actaea podocarpa", "Actaea vaginata", "Dissochondrus biflorus", "Dinochloa malayana", "Ctenium aromaticum", "Coleanthus subtilis", "Chimonocalamus dumosus", "Chimonocalamus makuanensis", "Macraspis chrysis", "Ypsolopha asperella", "Ypsolopha costibasella", "Ypsolopha nigrofasciata", "Ypsolopha nigrimaculata", "Cotalpa lanigera", "Clematis ser.", "Clematis ser.", "Isophya kraussi", "Clematis ser.", "Clematis ser.", "Clematis ser.", "Thalasseus acuflavidus", "Clematis ser.", "Clematis ser.", "Clematis ser.", "Clematis ser.", "Clematis ser.", "Clematis ser.", "Clematis ser.", "Clematis ser.", "Brounopsis concolora", "Brounopsis deitzi", "Brounopsis gourlayi", "Brounopsis nigrifacta", "Ozothamnus argophyllus", "Ozothamnus coralloides", "Ozothamnus microphyllus", "Ozothamnus \u00d7selago", "Ozothamnus depressus", "Ozothamnus glomeratus", "Ozothamnus leptophyllus", "Miconia argentea", "Tibouchina elegans", "Tibouchina foveolata", "Andesanthus lepidotus", "Amioides polyacanthus", "Gastrosarus lautus", "Gastrosarus picticornis", "Gastrosarus urbanus", "Ithomisa kinkelini", "Meroleucoides flavodiscata", "Namuncuraia mansosotoi", "Parancistrota geayi", "Scarabaeus calcaratus", "Scarabaeus fabulosus", "Nothonotus acuticeps", "Nothonotus aquali", "Nothonotus jordani", "Nothonotus juliae", "Nothonotus maculatus", "Nothonotus microlepidus", "Nothonotus moorei", "Clematis ser.", "Nothonotus rufilineatus", "Clematis ser.", "Nothonotus tippecanoe", "Nothonotus vulneratus", "Clematis ser.", "Nothonotus wapiti", "Rhododendron subsect.", "Rhododendron tschonoskii subsp. trinerve", "Larus vegae", "Dubautia imbricata", "Dubautia kalalauensis", "Dubautia kenwoodii", "Dubautia waialealae", "Chaenactis cusickii", "Chaenactis fremontii", "Chaenactis glabriuscula", "Chaenactis santolinoides", "Chaenactis stevioides", "Ainsliaea acerifolia", "Rhododendron retivenium", "Rhododendron \u00d7 sinosimulans", "Rhododendron \u00d7 bathyphyllum", "Thysanotus multiflorus", "Thysanotus tuberosus", "Agave longiflora", "Agave potosina", "Agave sileri", "Agave singuliflora", "Hesperaloe campanulata", "Hesperaloe funifera", "Hesperaloe nocturna", "Hesperaloe parviflora", "Hesperaloe tenuifolia", "Sclerolaena anisacanthoides", "Sclerolaena bicornis", "Sclerolaena birchii", "Sclerolaena calcarata", "Sclerolaena eriacantha", "Sclerolaena lanicuspis", "Sclerolaena muricata", "Marsdenia tinctoria", "Lygodesmia texana", "Lessingia pectinata", "Pectis angustifolia", "Pectis ciliaris", "Pectis papposa", "Philenoptera bussei", "Philenoptera cyanescens", "Philenoptera nelsii", "Philenoptera violacea", "Raphionacme arabica", "Raphionacme hirsuta", "Prosartes lanuginosa", "Prosartes maculata", "Ptychozoon kaengkrachanense", "Andinosaura aurea", "Andinosaura kiziriani", "Sibon noalamina", "Tarentola pastoria", "Tropidophis grapiuna", "Acanthosoma ishiharai", "Acanthosoma haemorrhoidale", "Neolygus viridis", "Phyllonorycter messaniella", "Limnodea arkansana", "Garcinia gardneriana", "Terminalia molinetii", "Agnorhiza reticulata", "Tropidophis preciosus", "Vipera olguni", "Acanthosaura brachypoda", "Agama lucyae", "Agama tassiliensis", "Ameiva pantherina", "Asaphes ecarinatus", "Rhescyntis hippodamia", "Grammopelta lineata", "Rhescyntis pseudomartii", "Rhescyntis reducta", "Nemesia denticulata", "Anisocapparis speciosa", "Mertensia oblongifolia", "Bulbine abyssinica", "Bulbine bulbosa", "Bulbine frutescens", "Parathesis serrulata", "Monoporus paludosus", "Thyrsostachys oliveri", "Phippsia algida", "Centaurium cachanlahuen", "Canthon pilularius", "Euchirus longimanus", "Schenkia sebaeoides", "Schenkia spicata", "Cyrtandra paliku", "Cyrtandra oenobarba", "Gloxinella lindeniana", "Primulina dryas", "Seemannia cuneata", "Seemannia purpurascens", "Seemannia sylvatica", "Gymnosporia buxifolia", "Gymnosporia diversifolia", "Gymnosporia emarginata", "Gymnosporia heterophylla", "Gymnosporia royleana", "Gymnosporia senegalensis", "Gymnosporia thomsonii", "Neolygus contaminatus", "Neolygus populi", "Eviota nigramembrana", "Squalius adanaensis", "Squalius seyhanensis", "Suezichthys rosenblatti", "Trachystoma ballii", "Stenaria nigricans", "Blepharidachne bigelovii", "Brachyelytrum erectum", "Astraea lobata", "Microstachys chamaelea", "Platygyna hexandra", "Sebastiania bilocularis", "Sebastiania pavoniana", "Leontopodium nivale", "Euphoria inda", "Ypsolopha melanofuscella", "Ypsolopha straminella", "Eupinivora ponderosae", "Eupinivora angulicosta", "Eupinivora albolineana", "Eupinivora unicolora", "Eupinivora rufofascia", "Eupinivora hamartopenis", "Eupinivora thaumantias", "Clematis subsect.", "Clematis subsect.", "Clematis subsect.", "Clematis subsect.", "Clematis subsect.", "Teneriffia marina", "Teneriffia quadripapillata", "Teneriffia mortoni", "Carapichea ipecacuanha", "Dimorphocarpa wislizenii", "Achrysocharoides splendens", "Dirichletia pubescens", "Achrysocharoides latreillii", "Pnigalio pectinicornis", "Ditrysinia fruticosa", "Apanteles circumscriptus", "Sympiesis sericeicornis", "Hasteola robertiorum", "Hedosyne ambrosiifolia", "Heinsia crinita", "Matelea reticulata", "Oreochrysum parryi", "Ornithostaphylos oppositifolia", "Agrilus homonymus", "Agrilus galileae", "Philodryas georgeboulengeri", "Phymaturus damasense", "Phymaturus denotatus", "Phymaturus extrilidus", "Plestiodon finitimus", "Protobothrops dabieshanensis", "Pseudotrapelus aqabensis", "Copidosoma exvallis", "Coelopencyrtus australis", "Coelopencyrtus maori", "Metaphycus reductor", "Pseudococcobius annulipes", "Rhopus anceps", "Anagyrus costalis", "Anagyrus cyrenis", "Anagyrus regis", "Nothonotus starnesi", "Melitaea didyma didyma", "Melitaea didyma turkestanica", "Froelichia drummondii", "Froelichia floridana", "Froelichia gracilis", "Gomphrena canescens", "Gomphrena celosioides", "Gomphrena desertorum", "Gomphrena flaccida", "Gomphrena leontopodioides", "Gomphrena nealleyi", "Gomphrena nitida", "Gomphrena parviflora", "Gomphrena pulchella", "Gomphrena serrata", "Gomphrena sonorae", "Iresine diffusa", "Iresine diffusa f. herbstii", "Brunsvigia radulosa", "Clinanthus coccineus", "Clinanthus incarnatus", "Clinanthus recurvatus", "Clinanthus variegatus", "Nothoscordum bivalve", "Nothoscordum gracile", "Phaedranassa carmioli", "Phaedranassa lehmannii", "Phaedranassa viridiflora", "Clematis venusta", "Clematis ser.", "Clematis ser.", "Neolygus machanensis", "Neolygus zebei", "Neolygus partitus", "Neolygus mjohjangsanicus", "Pentachaeta aurea", "Pectocarya recurvata", "Anabasis oropediorum", "Enchylaena tomentosa", "Exomis microphylla", "Grayia spinosa", "Osteocarpum dipterocarpum", "Notholirion thomsonianum", "Oxyserphus baini", "Fustiserphus longiceps", "Oxyserphus maculipennis", "Trichostetha capensis", "Gymnetis lanius", "Spinivalva gaucha", "Leersia monandra", "Frangula crenata", "Frangula purshiana", "Frangula rubra", "Frangula rupestris", "Ceanothus lemmonii", "Bobartia gladiata", "Combretum falcatum", "Batrachomatus larsoni", "Batrachomatus daemeli", "Batrachomatus nannup", "Batrachomatus wingii", "Batrachomatus wilsoni", "Phradonoma blabolili", "Amydrium medium", "Amydrium zippelianum", "Ariopsis protanthera", "Athanasia crithmifolia", "Chaptalia tomentosa", "Chrysopsis mariana", "Cotula nigellifolia", "Allowissadula holosericea", "Sectiliclava isis", "Microcos paniculata", "Boschia grandiflora", "Habrolepis dalmanni", "Metapanax delavayi", "Meranoplus sylvarius", "Meranoplus cryptomys", "Lordomyrma taylori", "Lordomyrma crawleyi", "Lordomyrma cryptocera", "Combretum leprosum", "Gnorimus variabilis", "Schacontia umbra", "Schacontia speciosa", "Schacontia themis", "Schacontia rasa", "Schacontia nyx", "Schacontia clotho", "Schacontia lachesis", "Schacontia atropos", "Arapaima agassizii", "Blossfeldia liliputiana", "Brasiliopuntia brasiliensis", "Consolea moniliformis", "Consolea spinosissima", "Polaskia chende", "Polaskia chichipe", "Lepismium lumbricoides", "Limodorum abortivum var. abortivum", "Limodorum abortivum var. gracile", "Limodorum abortivum var. rubrum", "Limodorum rubriflorum", "Dasymutilla aureola", "Limodorum trabutianum", "Cardiochilos williamsonii", "Eupithecia acutipennis", "Dryocampa rubicunda", "Aenictus minipetiolus", "Aenictus pilosus", "Aenictus pinkaewi", "Aenictus sundalandensis", "Aenictus watanasiti", "Aenictus wilaiae", "Aenictus wiwatwitayai", "Siphonochilus aethiopicus", "Clymenia polyandra", "Pseudostachyum polymorphum", "Monardella sheltonii", "Psychotria hobdyi", "Aglaonema chermsiriwattanae", "Aglaonema cochinchinense", "Aglaonema cordifolium", "Aglaonema robeleynii", "Aglaonema densinervium", "Aglaonema flemingianum", "Aglaonema hookerianum", "Aglaonema marantifolium", "Aglaonema modestum", "Aglaonema nebulosum", "Aglaonema nitidum", "Aglaonema ovatum", "Aglaonema philippinense", "Aglaonema pumilum", "Aglaonema rotundum", "Aglaonema simplex", "Aglaonema tricolor", "Aglaonema vittatum", "Aglaonema brevispathum", "Carelis albula", "Manga basilinea", "Manga nubifera", "Busseola quadrata", "Busseola phaia", "Busseola segeta", "Aenictus duengkaei", "Aenictus longinodus", "Aenictus punctatus", "Clematis aristata var. longiseta", "Clematis aristata var. occidentalis", "Lepismium houlletianum", "Lepismium cruciforme", "Neodusmetia sangwani", "Neobuxbaumia polylopha", "Lithotoma petraea", "Phedimus aizoon", "Phedimus hybridus", "Phedimus kamtschaticus", "Phedimus middendorffianus", "Phedimus obtusifolius", "Phedimus selskianus", "Phedimus stellatus", "Phacelia cicutaria", "Phacelia congesta", "Phacelia distans", "Phacelia lutea", "Ledebouria cooperi", "Ledebouria floribunda", "Ledebouria kirkii", "Ledebouria revoluta", "Ledebouria socialis", "Dichelostemma volubile", "Dasylirion acrotrichum", "Dasylirion durangense", "Dasylirion leiophyllum", "Dasylirion longissimum", "Dasylirion lucidum", "Dasylirion texanum", "Ipomopsis pumila", "Alamella androgyne", "Zaomma lambinus", "Platencyrtus aclerus", "Aenictus appressipilosus", "Aenictus baliensis", "Aenictus brevipodus", "Aenictus concavus", "Aenictus cylindripetiolus", "Aenictus eguchii", "Aenictus gonioccipus", "Aenictus itoi", "Aenictus jawadwipa", "Aenictus khaoyaiensis", "Aenictus longicephalus", "Aenictus maneerati", "Macrosamanea discolor", "Macrosamanea duckei", "Macrosamanea pubiramea", "Listrostachys pertusa", "Pappophorum commune", "Oreostemma alpigenum", "Oreostemma elatum", "Oreostemma peirsonii", "Polymnia canadensis", "Scorzonera laciniata", "Agastus lineatus", "Drypta japonica", "Deltochilum gibbosum", "Tauschia hartwegii", "Tauschia parishii", "Tauschia texana", "Stenostachys gracilis", "Megalodacne fasciata", "Taraxia ovata", "Taraxia tanacetifolia", "Tanaecium bilabiatum", "Almutaster pauciflorus", "Neopanax arboreus", "Neopanax colensoi", "Nematocharax costai", "Apistogramma paulmuelleri", "Betta hendra", "Astrodaucus littoralis", "Astrodaucus orientalis", "Cnidium cnidiifolium", "Cnidium monnieri", "Amphineurion marginatum", "Layia discoidea", "Layia munzii", "Laennecia coulteri", "Laennecia eriophylla", "Hazardia cana", "Hazardia squarrosa", "Hazardia whitneyi", "Malacothrix fendleri", "Malacothrix glabrata", "Malacothrix sonchoides", "Malacothrix torreyi", "Madia elegans", "Madia exigua", "Madia gracilis", "Madia radiata", "Pertya scandens", "Perymenium grande", "Chionochloa conspicua", "Chionochloa rigida", "Moranila viridivertex", "Moranila baeusomorpha", "Moranila brunneiventris", "Moranila australica", "Moranila pini", "Singa keyserlingi", "Tagesoidea tages", "Neopanax laetus", "Cryptocarya agathophylla", "Ocotea austinii", "Persea humilis", "Machilus gamblei", "Machilus japonica", "Machilus thunbergii", "Machilus viridus", "Arachnoscelis arachnoides", "Arachnoscelis feroxnotha", "Arachnoscelis tanasijtshuki", "Arachnoscelis magnifica", "Arachnoscelis meriti", "Arachnoscelis rehni", "Apiomerus californicus", "Plapigus slateri", "Orthosia gothica", "Chionodraco rastrospinosus", "Clematis finetiana var. finetiana", "Resseliella theobaldi", "Clematis finetiana var. pedata", "Clematis akoensis", "Chelodina walloyarrina", "Chelodina alanrixi", "Chelodina burrungandjii", "Chelodina gunaleni", "Gamasomorpha schmilingi", "Gamasomorpha fricki", "Lygaeus kalmii", "Boissiera squarrosa", "Brachystachyum densiflorum", "Urapteroides astheniata", "Cathormion umbellatum", "Bonellia frutescens", "Bonellia macrocarpa", "Bonellia mucronata", "Bonellia sprucei", "Myrsine africana", "Myrsine capitellata", "Myrsine coriacea", "Myrsine juddii", "Myrsine knudsenii", "Myrsine linearifolia", "Myrsine mezii", "Myrsine mitis", "Myrsine neriifolia", "Myrsine nummularia", "Myrsine retusa", "Myrsine semiserrata", "Myrsine urvillei", "Myrsine variabilis", "Celtis pallida", "Curcuma picta", "Camissoniopsis cheiranthifolia", "Zurobata vacillans", "Teleocichla wajapi", "Crenicichla gillmorlisi", "Tachinaephagus zealandicus", "Tachinaephagus australiensis", "Metaphycus lounsburyi", "Metaphycus maculipennis", "Metaphycus claviger", "Metaphycus anneckei", "Anomochone chathamensis", "Chremylus elaphus", "Chremylus algecirasus", "Chremylus pomonellae", "Chremylus planispinus", "Trimerotropis pallidipennis", "Scarabaeus aquaticus", "Speia vuteria", "Poeonoma serrata", "Busseola fusca", "Sesamia nonagrioides", "Commelina andamanica", "Cytherelloidea guineacornensis", "Dahalokely tokana", "Omphalogramma delavayi", "Omphalogramma elwesianum", "Omphalogramma souliei", "Omphalogramma vinciflorum", "Amphimas ferrugineus", "Sinoxylon ceratoniae", "Trachypithecus vetulus nestor", "Sesamia madagascariensis", "Sesamia calamistis", "Sesamia coniota", "Sesamia epunctifera", "Sesamia cretica", "Sesamia taenioleuca", "Gamasomorpha asterobothros", "Gamasomorpha keri", "Gamasomorpha petoteca", "Gamasomorpha insomnia", "Gamasomorpha ophiria", "Gamasomorpha squalens", "Sesamia albivena", "Gamasomorpha coniacris", "Sesamia rufescens", "Gamasomorpha raya", "Estigena caesarea", "Estigena encausta", "Poecilia kempkesi", "Estigena koniensis", "Estigena leopoldi", "Estigena prionophora", "Estigena wilemani", "Estigena xenapates", "Melitaea didyma ambra", "Melitaea didyma carminea", "Melitaea didyma chimaera", "Xestaspis biflocci", "Xestaspis semengoh", "Xestaspis paulina", "Xestaspis kandy", "Aysenia grismadoi", "Aysenia huayun", "Aysenia izquierdoi", "Fuchsia simplicicaulis", "Fuchsia rivularis", "Orthosia munda", "Adela trigrapha", "Adela eldorada", "Dicellostyles axillaris", "Podolotus hosackioides", "Olios helvus", "Olios rufus", "Pomaria rubicunda", "Australopyrum pectinatum", "Australopyrum retrofractum", "Australopyrum uncinatum", "Australopyrum velutinum", "Attagenus pellio", "Ptilinus pectinicornis", "Rhodirphia carminata", "Placosternus erythropus", "Archivea kewensis", "Diabrotica fuscomaculata", "Horichia dressleri", "Eremothera boothii", "Chylismia brevipes", "Chylismia claviformis", "Chylismia multijuga", "Chylismia scapoidea", "Chylismia walkeri", "Bartsia trixago", "Neobartsia bartsioides", "Neobartsia canescens", "Neobartsia mutica", "Cordylanthus parviflorus", "Cordylanthus rigidus", "Castilleja lanata", "Castilleja salsuginosa", "Minuartia drummondii", "Minuartia tenella", "Chorisiva nevadensis", "Chrysactinia mexicana", "Gonocrypta grevei", "Gossweilerodendron balsamiferum", "Piliostigma malabaricum", "Aganope gabonica", "Aganope heptaphylla", "Aganope thyrsiflora", "Paraderris cuneifolia", "Stenocorus cinnamopterus", "Hypsioma asthenia", "Hypsioma bahiensis", "Orchestina acaciae", "Orchestina ampulla", "Orchestina clavigera", "Ancistrus tolima", "Orchestina communis", "Orchestina cornuta", "Ancistrus vericaucanus", "Ancistrus caucanus", "Ancistrus centrolepis", "Podangis rhipsalisocia", "Archaeoattacus malayanus", "Ceratocentron fesselii", "Triceratorhynchus viridiflorus", "Aloe yemenica", "Aloe castanea", "Taeniorrhiza gabonensis", "Cottonia peduncularis", "Carpanthea pomeridiana", "Illicium angustisepalum", "Trichoxenia cineraria", "Yatanga sicca", "Yatanga sudanica", "Yatanga tandala", "Daphne pseudomezereum", "Temnora bafutiana", "Temnora magambana", "Temnora merukilia", "Temnora neodentata", "Temnora subrubra", "Temnora masungai", "Dermestes eustatius", "Micragone amaniana", "Pseudobunaea santini", "Pseudobunaea mwangomoi", "Pseudobunaea miriakambana", "Pseudobunaea mbiziana", "Pseudobunaea elucida", "Pseudobunaea claryi", "Pseudobunaea bondwana", "Charaxes lucretius saldanhai", "Kateretes pedicularius", "Pseudobunaea geita", "Pseudobunaea iyayiensis", "Pseudobunaea kidugalensis", "Pseudobunaea megana", "Pseudobunaea kituloensis", "Pseudobunaea irius", "Rhodormiscodes rosea", "Orthocerus clavicornis", "Molippa azuelensis", "Hylesia coinopus", "Hylesia bouvereti", "Hylesia colimaifex", "Hylesia cressida", "Hylesia dalina", "Hylesia frigida", "Hylesia ileana", "Hylesia olivenca", "Hylesia subaurea", "Hylesia tinturex", "Hylesia umbrata", "Hylesia athlia", "Hylesia invidiosa", "Hylesia gyrex", "Gynanisa arba", "Pityophthorus micrographus", "Agarista oleifolia", "Jarava plumosa", "Ionactis alpina", "Ionactis caelestis", "Ionactis elegans", "Ionactis linariifolia", "Ionactis stenomeres", "Polygraphus poligraphus", "Tomicus piniperda", "Rhizophagus fenestralis", "Gynanisa commixta", "Gynanisa kenya", "Gynanisa meridiei", "Gynanisa uganda", "Gynanisa zimba", "Clubiona brachyptera", "Adafroptilum acutum", "Adafroptilum bellum", "Adafroptilum coloratum", "Adafroptilum singularum", "Adafroptilum tricoronatum", "Adafroptilum tuberculatum", "Schuitemania merrillii", "Zeuxine vietnamica", "Ophioglossella chrysostoma", "Clania neocaledonica", "Vitessa ingeae", "Liolaemus nigromaculatus", "Catorhintha selector", "Opisthopappus longilobus", "Opisthopappus taihangensis", "Lepidaploa proctorii", "Lepidaploa remotiflora", "Lepidaploa sagraeana", "Argentipallium blandowskianum", "Tibetia himalaica", "Draba maguirei", "Draba sobolifera", "Draba trichocarpa", "Optioservus quadrimaculatus", "Optioservus gapyeongensis", "Argia vivida", "Cercyon melanocephalus", "Gynanisa maja", "Gynanisa westwoodi", "Ancistrus chagresi", "Ancistrus martini", "Banasa dimiata", "Polyzosteria mitchelli", "Polycopetta quadrispinata", "Microlaena stipoides", "Micromonolepis pusilla", "Dermestes psyllius", "Cryptophagus scanicus", "Dermestes colon", "Sinobirma myanmarensis", "Orchestina crypta", "Sinobirma bouyeri", "Orchestina debakkeri", "Orchestina fannesi", "Orchestina fractipes", "Orchestina gibbotibialis", "Orchestina gigabulbus", "Orchestina intricata", "Orchestina kasuku", "Orchestina lanceolata", "Cobitis australis", "Orchestina macrofoliata", "Orchestina microfoliata", "Orchestina probosciformis", "Orchestina saaristoi", "Podangis dactyloceras", "Polycarpon tetraphyllum", "Euonymus velutinus", "Cladanthus mixtus", "Doxocopa laurentia", "Spicauda simplicius", "Austrotoxeuma coerulea", "Austrotoxeuma kuscheli", "Acanthaegilopsis malagasy", "Hemizonella minima", "Hirschfeldia incana", "Hollisteria lanata", "Atteva aurea", "Micropsis nana", "Pascalia glauca", "Oreonana clementis", "Oreonana vestita", "Chelidoperca maculicauda", "Eviota pamae", "Leptophilypnion fittkaui", "Leptophilypnion pusillus", "Dactylorhiza maculata subsp. maculata", "Maltagorea dentata", "Maltagorea monsarrati", "Maltagorea ornata", "Cratyna gilva", "Aeonium simsii", "Samia insularis", "Samia insularis insularis", "Samia insularis tetrica", "Pararhodia rotalis", "Crassula multicava", "Crassula connata", "Crassula deceptor", "Crassula helmsii", "Crassula sediflora", "Crassula tillaea", "Perityle emoryi", "Perityle parryi", "Perityle stansburyi", "Perityle vaseyi", "Pseudolycoriella compacta", "Cratyna vetula", "Seutera angustifolia", "Bradysia salina", "Schizocarpus daberti", "Schizocarpus lavrovi", "Epidapus primulus", "Schizocarpus unzhakovi", "Pseudolycoriella subvetula", "Schizocarpus heideckei", "Schizocarpus tuvinicus", "Schizocarpus azasicus", "Menodora longiflora", "Colophospermum mopane", "Conoclinium coelestinum", "Cordeauxia edulis", "Corethrogyne filaginifolia", "Cristonia biloba", "Cronquistianthus glomeratus", "Cucumis debilis", "Lomatium bradshawii", "Lomatium foeniculaceum", "Lomatium lucidum", "Lomatium nuttallii", "Lomatium parvifolium", "Landolphia thollonii", "Gymnanthemum amygdalinum", "Chloroleucon dumosum", "Chloroleucon foliolosum", "Chloroleucon mangense", "Chloroleucon tenuiflorum", "Chloroleucon tortum", "Astrocaryum malybo", "Mauritiella aculeata", "Mauritiella armata", "Ardeadoris tomsmithi", "Clinopodium acinos", "Clinopodium atlanticum", "Clinopodium candidissimum", "Clinopodium caricum", "Chelinidea vittiger", "Hymenorus rufohumeralis", "Chrysocale principalis", "Eubotrys recurva", "Pyrola elliptica", "Pyrola picta", "Hexachlamys edulis", "Lophostemon lactifluus", "Lophostemon suaveolens", "Marlierea tomentosa", "Campuloclinium macrocephalum", "Bromophila caffra", "Eressa confinis", "Gynanisa albescens", "Gynanisa ata", "Gynanisa carcassoni", "Gynanisa hecqui", "Gynanisa jama", "Gynanisa minettii", "Gynanisa nigra", "Gynanisa thiryi", "Maltagorea andriai", "Maltagorea ankaratra", "Hosta sect.", "Apenesia tofti", "Apenesia beggsae", "Apenesia harrisi", "Cephalonomia pinkfloydi", "Goniozus jamiei", "Goniozus musae", "Laelius macfarlanei", "Sierola vibrissata", "Sierola lucyae", "Sierola berryae", "Sierola gilbertae", "Rhabdepyris tricristata", "Parascleroderma azevedonis", "Cardamine penduliflora", "Eleiotis monophyllos", "Eleiotis rottleri", "Erucaria hispanica", "Fleischmannia microstemon", "Fleischmannia pratensis", "Acrocephalus hiwae", "Acrocephalus percernis", "Pogonomyrmex hoelldobleri", "Xenochironomus canterburyensis", "Sinpunctiptilia emissalis", "Thoracophoracarus fluviatilis", "Thoracophoracarus cooki", "Thoracophoracarus silvarum", "Thoracophoracarus felix", "Thoracophoracarus kuehnei", "Thoracophoracarus arrhenuroides", "Hyalopomatus madreporae", "Murgantia thomasi", "Ibervillea maxima", "Pholcus abstrusus", "Pholcus aduncus", "Pholcus agilis", "Pholcus alpinus", "Pholcus bailongensis", "Pholcus bantouensis", "Pholcus bing", "Pholcus brevis", "Pholcus chang", "Pholcus cuneatus", "Pholcus decorus", "Pholcus dieban", "Pholcus ganziensis", "Pholcus huapingensis", "Pholcus imbricatus", "Pholcus jiaotu", "Pholcus kui", "Pholcus lijiangensis", "Pholcus liui", "Pholcus liutu", "Pholcus mao", "Pholcus mirabilis", "Pholcus obscurus", "Pholcus ovatus", "Pholcus shuangtu", "Pholcus tongi", "Pholcus tuoyuan", "Pholcus tuyan", "Pholcus undatus", "Pholcus wangi", "Pholcus xiaotu", "Pholcus yi", "Pholcus yuantu", "Pholcus yunnanensis", "Pholcus zhui", "Chrysilla acerosa", "Loxosceles niedeguidonae", "Anaptomecus paru", "Anaptomecus suni", "Strongylognathus afer", "Cleretum bellidiforme", "Cryptochilus roseus", "Phlomis sect.", "Phlomis subsect.", "Zanclognatha marcidilinea", "Coryanthes mastersiana", "Coryanthes picturata", "Porthesaroa sogai", "Mpanjaka montana", "Dasychira maculata", "Mpanjaka collenettei", "Mpanjaka betschi", "Automeris midea midea", "Automeris midea lemensis", "Dirphia fernandezi", "Eacles ambicolor", "Molippa larensis", "Ptiloscola bipunctata", "Rothschildia lebeau amacurensis", "Coryanthes speciosa", "Coryanthes speciosa var. speciosa", "Coryanthes speciosa var. espritosantense", "Coryanthes speciosa var. sumneriana", "Multidentorhodacarus saboorii", "Lonomia descimoni descimoni", "Lonomia descimoni pseudobliqua", "Periga cluacina", "Gamochaeta antillana", "Gamochaeta stachydifolia", "Beaucarnea gracilis", "Beaucarnea guatemalensis", "Beaucarnea recurvata", "Hastingsia bracteosa", "Hastingsia serpentinicola", "Sierola antipoda", "Goniozus jacintae", "Pseudogaltonia clavata", "Citrus \u00d7 floridana", "Citrus \u00d7 microcarpa", "Fodina contigua", "Euphoria fulgida", "Delias pasithoe", "Opodiphthera decellei", "Opodiphthera tennenti", "Sclerostachya fusca", "Sclerostachya ridleyi", "Boldella deldenensis", "Gazania linearis", "Gonolobus taylorianus", "Gratiola quartermaniae", "Keckiella lemmonii", "Keckiella rothrockii", "Keckiella ternata", "Automeris orneatoides", "Molippa rosea", "Molippa strigosa", "Automeropsis umbrata", "Serapias nurrica", "Serapias nurrica subsp. nurrica", "Serapias nurrica subsp. argensii", "Haemogamasus alongipilis", "Hypermerina kasyi", "Automeris amoena amoena", "Automeris amoena rotunda", "Maltagorea rostaingi", "Maltagorea rubriflava", "Maltagorea sogai", "Cyrtanthus angustifolius", "Cyrtanthus brachyscyphus", "Cyrtanthus breviflorus", "Cyrtanthus contractus", "Cyrtanthus flanaganii", "Cyrtanthus mackenii", "Cyrtanthus macowanii", "Cyrtanthus obliquus", "Cyrtanthus ochroleucus", "Cyrtanthus sanguineus", "Cyrtanthus stenanthus", "Cyrtanthus thorncroftii", "Nerine angustifolia", "Nerine appendiculata", "Nerine bowdenii", "Nerine filifolia", "Nerine humilis", "Nerine huttoniae", "Nerine krigei", "Nerine laticoma", "Nerine pudica", "Nerine sarniensis", "Crespoa carneopruinata", "Crespoa crozalsiana", "Crespoa inhaminensis", "Crespoa schelpei", "Maltagorea dubiefi", "Pseudobunaea bjornstadi", "Antistathmoptera daltonae", "Antistathmoptera daltonae daltonae", "Antistathmoptera daltonae rectangulata", "Antistathmoptera daltonae granti", "Proctophyllodes microstylifer", "Heniocha bioculata", "Proctophyllodes plectrophenax", "Proctophyllodes pinicola", "Proctophyllodes noskovi", "Silvorchis aurea", "Epinephelus geoffroyi", "Requienia pseudosphaerosperma", "Requienia sphaerosperma", "Erophaca baetica", "Galerita bicolor", "Cryptolepis decidua", "Cynanchum viminale", "Dregea floribunda", "Microcharis angolensis", "Microcharis annua", "Microcharis galpinii", "Microcharis latifolia", "Microcharis remotiflora", "Indigastrum argyraeum", "Indigastrum argyroides", "Indigastrum burkeanum", "Indigastrum costatum", "Indigastrum parviflorum", "Aegonychon zollingeri", "Aspilia africana", "Aspilia helianthoides", "Wedelia montevidensis", "Veronica tairawhiti", "Aurinia corymbosa", "Aurinia petraea", "Asphodeline brevicaulis", "Asphodeline liburnica", "Malachra capitata", "Ptycholobium biflorum", "Ptycholobium contortum", "Ptycholobium plicatum", "Veronica parviflora", "Phlomis pichleri", "Epichnopterix hellenidensis", "Cricula bornea", "Cricula elaezia", "Cricula elaezia elaezia", "Carnegia mirabilis", "Olios diao", "Olios jaenicke", "Olios suung", "Isocoma acradenia", "Isocoma coronopifolia", "Isocoma drummondii", "Isocoma pluriflora", "Isocoma tenuisecta", "Isocoma veneta", "Cephalostachyum burmanicum", "Cephalostachyum capitatum", "Cephalostachyum latifolium", "Cephalostachyum pallidum", "Cephalostachyum pergracile", "Cephalostachyum scandens", "Cephalostachyum virgatum", "Mallinella tianlin", "Mallinella zhui", "Asphodelus lusitanicus", "Asphodelus ramosus", "Asphodelus tenuifolius", "Brugmansia arborea", "Brugmansia aurea", "Brugmansia sanguinea", "Brugmansia versicolor", "Catanduba araguaia", "Brugmansia \u00d7 insignis", "Catanduba canabrava", "Catanduba peruacu", "Catanduba piauiensis", "Catanduba tuskae", "Hookerochloa hookeriana", "Peyritschia deyeuxioides", "Lomatium ambiguum", "Lomatium bicolor", "Lomatium brandegeei", "Lomatium californicum", "Lomatium dissectum", "Lomatium geyeri", "Lomatium grayi", "Lomatium macrocarpum", "Lomatium nudicaule", "Lomatium triternatum", "Lomatium utriculatum", "Papuaea reticulata", "Clinopodium bolivianum", "Cytherella pustulosa", "Automeris chacona chacona", "Automeris chacona cochabambae", "Syssphinx gadouae", "Syssphinx ocellata", "Syssphinx gadouae ocellata", "Syssphinx ocellata ocellata", "Syssphinx ocellata jasonoides", "Lonomia camox", "Lonomia rufescens", "Lonomia venezuelensis", "Periga angulosa", "Periga aurantiaca", "Periga bispinosa", "Periga galbimaculata", "Acheilognathus nguyenvanhaoi", "Periga inexpectata", "Periga insidiosa", "Periga lichyi", "Periga occidentalis", "Periga parvibulbacea", "Periga prattorum", "Periga squamosa", "Abraxas illuminata", "Abraxas suspecta", "Tenodera aridifolia", "Pyrrharctia californica", "Phyllodesma americana", "Keysseria erici", "Keysseria helenae", "Keysseria maviensis", "Rhodanthemum gayanum", "Rhodanthemum hosmariense", "Periga cluacina cluacina", "Periga cluacina elsa", "Rhodacarellus iraniensis", "Neocoprozercon europaeus", "Periga cluacina intensiva", "Podocinum tibetensis", "Cerodirphia flammans", "Cerodirphia wellingi", "Citheronia azteca azteca", "Citheronia azteca albescens", "Gamelia abasiella", "Gamelia rubriluna", "Gamelia rubriluna rubriluna", "Gamelia rubriluna lichyi", "Leucanella contempta windi", "Leucanella memusoides", "Devogelia intonsa", "Neosillago marmorata", "Arisarum simorrhinum", "Gamelia abas", "Gamelia abas abas", "Gamelia abas paraensis", "Agapema galbina galbina", "Agapema galbina dentifasciata", "Automeris annulata annulata", "Automeris annulata atrolimbata", "Habronattus conjunctus", "Boechera arcuata", "Boechera atrorubens", "Boechera pauciflora", "Automeris naranja naranja", "Automeris naranja pernambucensis", "Dirphia ludmillae", "Bunaeopsis scheveniana", "Melanocera pinheyi", "Pogonophryne neyelovi", "Melanocera pujoli", "Syssphinx malinacoensis", "Dirphiopsis catarinensis", "Dirphiopsis choroniensis", "Dirphiopsis guyanensis", "Meroleucoides ramicosa", "Cerodirphia nadiana", "Hister unicolor", "Dirphiopsis herbuloti", "Rachesa reventador", "Syssphinx thiaucourti", "Dendrophilus pygmaeus", "Atholus bimaculatus", "Trachytes axe", "Trachytes californica", "Jedediella horneri", "Phalonidia brevifasciaria", "Jedediella sellnicki", "Silpha indica", "Conchogneta traegardhi", "Agathidium seminulum", "Nothrolohmannia flagellata", "Nothrolohmannia thailandica", "Arrenurus abyssinicus", "Arrenurus altomontanus", "Arrenurus baleensis", "Arrenurus bechuanicus", "Arrenurus botswanicus", "Arrenurus coronopetiolatus", "Arrenurus flavus", "Arrenurus monocavus", "Arrenurus okavango", "Arrenurus serratipetiolatus", "Gila elegans", "Phalonidia rotundiventralis", "Phalonidia tenuispiniformis", "Scaphisoma agaricinum", "Silpha maura", "Bosquetina pectinata", "Loepa bhutanensis", "Loepa bretschneideri", "Loepa kachinica", "Ljania orientalis", "Tycherobius farsiensis", "Tycherobius iranensis", "Tycherobius ueckermanni", "Armascirus bahiaensis", "Armascirus brasiliensis", "Hemipilia purpureopunctata", "Dactyloscirus saopauloensis", "Riscus austroamericanus", "Ancistrochilus rothschildianus", "Ancistrochilus thomsonianus", "Amata pseudosimplex", "Hyphessobrycon taphorni", "Hyphessobrycon eschwartzae", "Apistobuthus susanae", "Pseudonemadus adelaidae", "Pseudonemadus obscurus", "Colon hirtale", "Pleuraphis jamesii", "Pleuraphis mutica", "Pleuraphis rigida", "Picradeniopsis oppositifolia", "Picradeniopsis woodhousei", "Rayjacksonia annua", "Rayjacksonia aurea", "Rayjacksonia phyllocephala", "Ramirezella strobilophora", "Armascirus ozarkensis", "Armascirus pennsylvanicus", "Armascirus primigenius", "Dactyloscirus pseudophilippinensis", "Gammaphytoptus schimae", "Lithosia yuennanensis", "Glyptothorax elankadensis", "Cricula tremula", "Cricula gandhii", "Glyptothorax laak", "Amphipyra meifengensis", "Scolesa jauffreti", "Scolesa totoma", "Chrysocephalum apiculatum", "Chrysocephalum semipapposum", "Hylesia alticola", "Hylesia andensis", "Hylesia beneluzi", "Hylesia anchises", "Hylesia haxairei", "Hylesia penai", "Hylesia santaelenensis", "Hylesia travassosi", "Hylesia vassali", "Hylesia acuta", "Hylesia canitia", "Hylesia coex", "Hylesia index", "Hylesia iola", "Hylesia leilex", "Calicotome spinosa", "Callitriche lechleri", "Camphorosma monspeliaca", "Clerodendrum \u00d7 speciosum", "Cochlearia groenlandica", "Cyanthillium cinereum", "Capillipedium assimile", "Capillipedium huegelii", "Capillipedium parviflorum", "Capillipedium spicigerum", "Chionachne macrophylla", "Chionachne punctata", "Clintonia andrewsiana", "Clintonia borealis", "Clintonia umbellulata", "Cota saguramica", "Cardiocrinum cathayanum", "Cardiocrinum cordatum", "Cardiocrinum giganteum", "Chaetobromus involucratus", "Hackelia diffusa", "Hackelia floribunda", "Hackelia hispida", "Hackelia patens", "Hackelia venusta", "Hackelia virginiana", "Penstemon baccharifolius", "Pseudopogonatherum contortum", "Pseudopogonatherum irritans", "Hylesia murex", "Hylesia mymex", "Hylesia tapabex", "Pseudogynoxys chenopodioides", "Psathyrotes pilifera", "Psathyrotes ramosissima", "Polygonella americana", "Polygonella basiramia", "Polygonella myriophylla", "Govenia superba", "Hosta kikutii", "Hosta sieboldii", "Hosta tsushimensis", "Phlomis sect.", "Capsicum pereirae", "Capsicum friburgense", "Capsicum caballeroi", "Capsicum hunzikerianum", "Capsicum ceratocalyx", "Phlomoides sect.", "Chrysolaena flexuosa", "Lessingianthus mollissimus", "Lessingianthus rubricaulis", "Menodora spinescens", "Schizocarpus subornatus", "Schizocarpus grandis", "Schizocarpus pusillus", "Schizocarpus modestus", "Schizocarpus insignis", "Pholistoma membranaceum", "Picrothamnus desertorum", "Pinaropappus roseus", "Cricula pelengensis", "Cricula trifenestrata halmaheraensis", "Lemaireia jaegeri", "Plagiosetum refractum", "Pleiacanthus spinosus", "Pogonarthria squarrosa", "Macrophthalmothrips argus", "Crepidiastrum keiskeanum", "Bahiopsis laciniata", "Bahiopsis parishii", "Bahiopsis reticulata", "Coronidium elatum", "Coronidium waddelliae", "Oclemena acuminata", "Oclemena nemoralis", "Oclemena reticulata", "Oclemena \u00d7 blakei", "Eriobotrya henryi", "Eriobotrya malipoensis", "Eriobotrya prinoides", "Jasminum nobile", "Pryeria sinica", "Copidognathus bruneiensis", "Copidognathus mangrovorum", "Cizara ardeniae", "Atopochilus christyi", "Atopochilus macrocephalus", "Dendrobium pulchellum", "Dendrobium loddigesii", "Haplophyton cimicidum", "Mondia ecornuta", "Parsonsia lanceolata", "Pinochia corymbosa", "Pinochia floribunda", "Tabernaemontana pachysiphon", "Tabernaemontana crassa", "Nepeta \u00d7 faassenii", "Nepeta govaniana", "Nepeta tuberosa", "Praxelis clematidea", "Poliomintha bustamanta", "Lasianobia pensotti", "Podolobium ilicifolium", "Euryops euryopoides", "Euryops subcarnosus", "Euthamia leptocephala", "Erlangea alternifolia", "Eustachys glauca", "Atractides angelieri", "Atractides marsus", "Acaphyllisa changqingiensa", "Farfugium hiberniflorum", "Plectranthus neochilus", "Guarianthe bowringiana", "Atopochilus mandevillei", "Bignonia binata", "Bignonia diversifolia", "Bignonia magnifica", "Atopochilus pachychilus", "Guarianthe skinneri", "Kaveinga waai", "Cidaris cidaris", "Anthocoptes albosinensis", "Phyllocoptruta japonica", "Proartacris cathayensis", "Tegonotus albus", "Bulbophyllum sterile", "Lilium sect.", "Hypsoblennius hentz", "Gonatas hebridalis", "Omadius santo", "Lyclene conjunctana", "Cirolana feldmanni", "Vertigo ovata", "Monocrepidius exsul", "Cochlicopa lubrica", "Eulonchus marialiciae", "Cerotainia albipilosa", "Dendrochilum aurantiacum", "Maylandia pura", "Maylandia pambazuko", "Maylandia lundoense", "Handroanthus albus", "Handroanthus billbergii", "Handroanthus capitatus", "Handroanthus chrysanthus", "Handroanthus chrysotrichus", "Handroanthus guayacan", "Handroanthus heptaphyllus", "Handroanthus impetiginosus", "Handroanthus lapacho", "Handroanthus ochraceus", "Handroanthus riodocensis", "Handroanthus serratifolius", "Leptolobium panamense", "Meizotropis buteiformis", "Meizotropis pellita", "Launaea intybacea", "Launaea petitiana", "Launaea procumbens", "Launaea taraxacifolia", "Lasthenia glaberrima", "Helminthotheca comosa", "Helminthotheca echioides", "Apocharips trapezoidea", "Apocharips colombiana", "Apocharips tamanii", "Apocharips tropicale", "Mecaphesa schlingeri", "Hierochloe fraseri", "Torymus varians", "Lycurus setosus", "Indosasa gigantea", "Indosasa ingens", "Indosasa sinica", "Indosasa spongiosa", "Machaeranthera tagetina", "Cytherelloidea praecipua", "Deloyala cruciata", "Belonesox belizanus belizanus", "Belonesox belizanus maxillosus", "Charidotella bifasciata", "Picobia dziabaszewskii", "Picobia cichladusa", "Picobia echo", "Picobia myrmecocichla", "Pseudocapillaria nannupensis", "Pseudocapillaria moraveci", "Atopochilus savorgnani", "Atopochilus vogti", "Dendrobium senile", "Lilium sect.", "Amathia chimonidesi", "Amathia gracei", "Amathia similis", "Amathia zealandica", "Amathia brasiliensis", "Amathia distans", "Hertia cheirifolia", "Hertia cluytiifolia", "Hertia pallens", "Idiomacromerus terebrator", "Palmon longistigmus", "Palmon kottiyooricus", "Megathyrsus infestus", "Megathyrsus maximus", "Marshallia obovata", "Lawrencella davenportii", "Lawrencella rosea", "Himalayacalamus brevinodus", "Himalayacalamus falconeri", "Himalayacalamus fimbriatus", "Himalayacalamus hookerianus", "Lyssa menoetius", "Lyssa patroclus", "Agoniates anchovia", "Agoniates halecinus", "Callosamia angulifera", "Eviota raja", "Eviota mikiae", "Helophorus aquaticus", "Silpha pedicularis", "Exsul alfredoi", "Cortinarius ixomolynus", "Cortinarius opaculus", "Cortinarius waiporianus", "Cortinarius viscincisus", "Cortinarius verniciorum", "Cortinarius rubrodactylus", "Podapolipus khorasanicus", "Dasygnathus globosus", "Dasygnathus trituberculatus", "Debophanes areolatus", "Zyras librevillensis", "Lilium sect.", "Gymnoscelis rufifasciata", "Allocosa yurae", "Turbinicarpus laui", "Turbinicarpus lophophoroides", "Rapicactus mandragora", "Kadenicarpus pseudomacrochele", "Turbinicarpus pseudopectinatus", "Anobothrus laubieri", "Anobothrus nasuta", "Anobothrus occidentalis", "Anobothrus paleatus", "Anobothrus patagonicus", "Anobothrus pseudoampharete", "Anobothrus trilobotus", "Anobothrus wakatakamaruae", "Kepkatrombicula ciliciensis", "Kepkatrombicula taurensis", "Anobothrus antarctica", "Maylandia midomo", "Maylandia tarakiki", "Maylandia nigrodorsalis", "Maylandia glaucos", "Maylandia xanthos", "Maylandia sciasma", "Maylandia nkhunguensis", "Maylandia mossambica", "Paraselenis flava", "Charidotella purpurea", "Chelymorpha marginata", "Stolas reticularis", "Cheladonta deserticola", "Plectranthias flammeus", "Plectranthias inermis", "Plectranthias longimanus", "Plectranthias nanus", "Plectranthias winniensis", "Lilium sect.", "Agrias beatifica", "Lilium sect.", "Nomada fuscicornis", "Nomada galloisi", "Nomada gibbosa", "Nomada perbella", "Nomada gigas", "Nomada glaucopis", "Nomada grandior", "Nomada nigrescens", "Nomada oculata", "Nomada xanthopus", "Nomada grandis", "Nomada grayi", "Nomada hemphilli", "Nomada hesperia", "Nomada hoodiana", "Nomada kincaidiana", "Nomada latifrons", "Nomada lehighensis", "Nomada lewisi", "Nomada lippiae", "Ophrys \u00d7 heraultii", "Nomada louisianae", "Lilium sect.", "Pseudonoorda edulis", "Pseudonoorda flammea", "Pseudonoorda faroensis", "Tissanga murphyi", "Dactyloceras murphyi", "Lilium sect.", "Tissanga kiboriana", "Tissanga zambiana", "Megalota bicepsunca", "Camptochaeta anceps", "Camptochaeta filifera", "Camptochaeta formosa", "Lilium sect.", "Camptochaeta kajsae", "Camptochaeta mixta", "Camptochaeta orthochaeta", "Camptochaeta spatula", "Camptochaeta truncata", "Camptochaeta winchesteri", "Anobothrus bimaculatus", "Anobothrus mancus", "Turbinicarpus alonsoi", "Anobothrus gracilis", "Rapicactus beguinii", "Rapicactus subterraneus subsp. booleanus", "Turbinicarpus gielsdorfianus", "Turbinicarpus hoferi", "Turbinicarpus schmiedickeanus subsp. jauernigii", "Lilium primulinum var. ochraceum", "Caiman crocodilus crocodilus", "Pseudolaguvia nubila", "Miyatrombicula attaliaensis", "Xinjiangsha lyciaensis", "Xinjiangsha montana", "Neotrombicula kizlarsivrisiensis", "Neotrombicula kolebinovae", "Neotrombicula bolkarensis", "Platybunoides songi", "Pseudanthias oumati", "Zanclopera falcata", "Zanclopera calidata", "Zanclopera subusta", "Zanclopera straminearia", "Zanclopera fulva", "Pseudanthias hiva", "Pseudanthias regalis", "Pseudanthias carlsoni", "Pseudanthias flavicauda", "Pseudanthias privitera", "Schoenotenes pallida", "Schoenotenes petraea", "Schoenotenes plagiostibus", "Schoenotenes prophanes", "Schoenotenes sufflava", "Eugenysa grossa", "Schoenotenes trachygrapha", "Schoenotenes argentaura", "Schoenotenes centroicta", "Schoenotenes gliscens", "Schoenotenes iners", "Schoenotenes luminosa", "Schoenotenes peralba", "Schoenotenes pseudurga", "Schoenotenes collarigera", "Schoenotenes decta", "Schoenotenes ovalis", "Schoenotenes capnosema", "Schoenotenes sciocosma", "Schoenotenes spilonoma", "Schoenotenes synchorda", "Schoenotenes vana", "Saetotenes anguina", "Dentex fourmanoiri", "Dentex angolensis", "Nomada formula", "Nomada frankei", "Nomada picticauda", "Nomada semirugosa", "Nomada sutepensis", "Nomada frieseana", "Nomada semiscita", "Nomada furvoides", "Nomada fusca", "Nomada gransassoi", "Nomada fuscicincta", "Nomada hydrophylli", "Nomada maculiventer", "Nomada obtusata", "Nomada pallidelutea", "Nomada rubi", "Nomada simplicicoxa", "Nomada subnigrocincta", "Nomada subrubi", "Nomada tricurta", "Nomada ziziae", "Zitha adjunctalis", "Zitha albostrigalis", "Zitha ambinanitalis", "Cyrtonota lateralis", "Lactuca glaucifolia", "Lactuca rosularis", "Lactuca spinidens", "Lactuca triangulata", "Lactuca winkleri", "Stolas discoides", "Anthoxanthum flexuosum", "Anthoxanthum glabrum", "Pulsatilla turczaninovii", "Aristotelia billii", "Eurypepla jamaicensis", "Cyrtonota cyanea", "Stolas inaequalis", "Photis inornatus", "Anemone ser.", "Anemone ser.", "Pitcairnia bifrons", "Tytthoberis cuprea", "Zealandoberis violacea", "Zealandoberis micans", "Albuca nelsonii", "Albuca prasina", "Albuca setosa", "Albuca virens", "Austrodanthonia auriculata", "Austrodanthonia caespitosa", "Austrodanthonia carphoides", "Austrodanthonia duttoniana", "Nomada subangusta", "Nomada subgracilis", "Austrodanthonia eriantha", "Austrodanthonia penicillata", "Austrodanthonia pilosa", "Nomada subsimilis", "Austrodanthonia racemosa", "Austrodanthonia richardsonii", "Nomada subvicinalis", "Austrodanthonia setacea", "Nomada taraxacella", "Nomada tintinnabulum", "Nomada ultima", "Alocasia alba", "Alocasia infernalis", "Nomada ultimella", "Nomada vierecki", "Nomada washingtoni", "Nomada wheeleri", "Nomada gruenwaldti", "Nomada gutierreziae", "Nomada hararensis", "Nomada turneri", "Nomada wickwari", "Nomada harimensis", "Nomada henningeri", "Nomada hurdi", "Nomada linsleyi", "Nomada parkeri", "Nomada hera", "Nomada priesneri", "Nomada hirticeps", "Nomada inermis", "Nomada keroanensis", "Nomada polyacantha", "Nomada pruinosa", "Nomada hispanica", "Nomada jaramense", "Nomada navasi", "Nomada nuptura", "Nomada perezi", "Nomada hondurasica", "Nomada tenuicornis", "Nomada zamoranica", "Nomada hummeli", "Zalmoxis gebeleizis", "Zalmoxis derzelas", "Zalmoxis sabazios", "Zalmoxis zibelthiurdos", "Zalmoxis bendis", "Zalmoxis kotys", "Zalmoxis tuberculatus", "Cleistesiopsis divaricata", "Anemone subsect.", "Oedemera flavipes", "Oedemera atrata", "Anemone subsect.", "Nymphargus sucre", "Heterodera fengi", "Dendropsophus shiwiarum", "Santotomasia wardiana", "Goateria vinacealis", "Goateria bourgini", "Goateria lycalis", "Goateria catalalis", "Goateria sanguinea", "Alona anastasia", "Cheiriphotis trifurcata", "Cheiriphotis petronioi", "Chiloglanis benuensis", "Chiloglanis voltae", "Zitha agnielealis", "Zitha gallienalis", "Zitha absconsalis", "Zitha vieualis", "Zitha belalonalis", "Zitha nussalis", "Zitha ranaivosoloalis", "Zitha betsakotsakoalis", "Zitha subradamalis", "Guzmania plumieri", "Searsia lancea", "Searsia pentaphylla", "Searsia tripartita", "Lilium leucanthum var. leucanthum", "Nomada marginella", "Nomada martinella", "Nomada neomexicana", "Nomada oregonica", "Nomada pascoensis", "Nomada pecosensis", "Nomada physura", "Nomada rhodalis", "Nomada placitensis", "Nomada rhodomelas", "Nomada rhodosoma", "Nomada rhodotricha", "Nomada robertsonella", "Nomada ruidosensis", "Nomada sanctaecrucis", "Nomada schwarzi", "Nomada scitiformis", "Nomada sophiarum", "Nomada sphaerogaster", "Phyllolobium chinense", "Phyllolobium donianum", "Phyllostegia hispida", "Phyllostegia renovans", "Philopteroides pilgrimi", "Philopteroides fuliginosus", "Philopteroides macrocephalus", "Pityopsis graminifolia", "Philopteroides beckeri", "Pityopsis ruthii", "Pityrocarpa moniliformis", "Pityrocarpa obliqua", "Ocimum ovatum", "Sida abutifolia", "Sida alnifolia", "Chrysothamnus depressus", "Chrysothamnus greenei", "Chrysothamnus humilis", "Chrysothamnus molestus", "Chrysothamnus stylosus", "Chrysothamnus viscidiflorus", "Albuca aurea", "Albuca bracteata", "Albuca canadensis", "Albuca flaccida", "Goateria bealis", "Goateria fotakalis", "Goateria madegassalis", "Goateria tristiculalis", "Calostoma cinnabarinum", "Eristalis proserpina", "Channichthys mithridatis", "Pachyrhynchus tadauchii", "Pachyrhynchus hirokii", "Pachyrhynchus naokii", "Pachyrhynchus sphenomorphoides", "Pachyrhynchus pseudamabilis", "Pachyrhynchus subamabilis", "Pachyrhynchus zamboanganus", "Pachyrhynchus caeruleovittatus", "Pachyrhynchus apoensis", "Orchymontia nunni", "Lilium \u00d7 scottiae", "Goateria delicatalis", "Goateria dumontalis", "Goateria mandrakalis", "Goateria mantasoalis", "Goateria mayottensis", "Goateria morombealis", "Goateria nigrocilialis", "Goateria sambiranoalis", "Goateria sogalis", "Goateria subpallidalis", "Goateria viettealis", "Locustella davidi", "Locustella kashmirensis", "Locustella timorensis", "Toxicodendron acuminatum", "Toxicodendron diversilobum", "Toxicodendron pubescens", "Toxicodendron radicans", "Toxicodendron succedaneum", "Toxicodendron sylvestre", "Toxicodendron vernicifluum", "Toxicodendron vernix", "Crambe edentula", "Crambe steveniana", "Crambe santosii", "Crambe kilimandscharica", "Crambe sinuato-dentata", "Gnaphalium aldunateoides", "Gnaphalium dysodes", "Gnaphalium palustre", "Neophyllaphis burostris", "Dinotrema amparoae", "Dinotrema benifassaense", "Dinotrema lagunasense", "Dinotrema pilarae", "Dinotrema robertoi", "Dinotrema teresae", "Dinotrema tinencaense", "Dinotrema torreviejaense", "Laboulbenia clivinalis", "Zitha radamalis", "Zitha herbulotalis", "Zitha capuronalis", "Chiloglanis bifurcus", "Chiloglanis emarginatus", "Zitha cyanealis", "Zitha pernalis", "Zitha luquetalis", "Omaspides clathrata", "Novaculops alvheimi", "Anemonoides caucasica", "Beclardia grandiflora", "Anemone subsect.", "Anemone subsect.", "Scopula rubraria", "Australoberis amoena", "Australoberis refugians", "Agropyron tanaiticum", "Mimeusemia perakana", "Latoia vivida", "Latoia albifrons", "Zalmoxis thorelli", "Zalmoxis spinicoxa", "Zalmoxis solitarius", "Zalmoxis soerenseni", "Zalmoxis similis", "Zalmoxis sepikus", "Zalmoxis savesi", "Zalmoxis sarasinorum", "Chiloglanis angolensis", "Zalmoxis robustus", "Chiloglanis anoterus", "Nesterenkonia halobia", "Aorun zhaoi", "Chiloglanis asymetricaudalis", "Chiloglanis batesii", "Lamprista emmeli", "Lamprista ortholepida", "Lamprista hemipyra", "Oiketicoides nigripilosa", "Oiketicoides nivellei", "Oiketicoides oberthueri", "Oiketicoides orophila", "Oiketicoides plotnikovi", "Oiketicoides riemsdyki", "Oiketicoides saurica", "Oiketicoides senex", "Oiketicoides schahkuhensis", "Pluchea foetida", "Pluchea sericea", "Sphaeralcea laxa", "Hedgpethia spinosa", "Eurycercus beringi", "Eurycercus lamellatus", "Eurycercus macracanthus", "Eurycercus pompholygodes", "Eurycercus microdontus", "Eurycercus longirostris", "Eurycercus nipponica", "Pithyllis lhonorealis", "Pithyllis boudinotalis", "Pithyllis yapoensis", "Pithyllis turlini", "Pithyllis mirei", "Anthoxanthum nitens", "Anthoxanthum occidentale", "Anthoxanthum redolens", "Babiana angustifolia", "Babiana dregei", "Babiana fragrans", "Babiana ringens", "Babiana stricta", "Babiana villosula", "Cuscuta brachycalyx", "Cuscuta decipiens", "Cuscuta draconella", "Vanda curvifolia", "Cuscuta liliputana", "Cuscuta pacifica", "Cuscuta salina", "Therea petiveriana", "Vanda miniata", "Cercyon unipunctatus", "Nicon orensanzi", "Cheilosia barbafacies", "Crataegus brachyacantha", "Phragmorchis teretifolia", "Pulsatilla halleri", "Santanderella amadorinconiana", "Coccinella hebraea", "Salvia chamaedryoides", "Salvia engelmannii", "Salvia lycioides", "Salvia nana", "Coccinella quinquepunctata", "Williella angulata", "Williella sauteri", "Coccinella trifasciata", "Coccinella hieroglyphica", "Williella picdupina", "Aoupinieta setaria", "Camponotus thadeus", "Coccinella novempunctata", "Acontiostoma tuberculata", "Stomacontion acutibasalis", "Loepa lampei", "Silene lazica", "Proiectus xiningensis", "Geranium sintenisii", "Rhyncaphytoptus spinus", "Tetra pruniana", "Tetra pyriana", "Tetra simonia", "Erasanthe henrici", "Erasanthe henrici subsp. henrici", "Erasanthe henrici subsp. isaloensis", "Myrrha octodecimguttata", "Achaetothorax similis", "Vicia alpestris subsp. alpestris", "Vicia alpestris subsp. hypoleuca", "Zealandoberis lacuans", "Zealandoberis substituta", "Benhamyia hoheria", "Benhamyia alpina", "Benhamyia smaragdina", "Benhamyia straznitzkii", "Papilio laglaizei", "Papilio hesperus", "Papilio neyi", "Anamixis sentan", "Leucothoe akaisen", "Leucothoe akuma", "Leucothoe chiisainame", "Leucothoe enko", "Leucothoe kebukai", "Paranamixis misakiensis", "Leucothoe akaoni", "Leucothoe bise", "Leucothoe daisukei", "Leucothoe hashi", "Leucothoe lecroyae", "Leucothoe nagatekubi", "Leucothoe nurunuru", "Leucothoe ouraensis", "Leucothoe togatta", "Leucothoe toribe", "Leucothoe zanpa", "Chiloglanis brevibarbis", "Chiloglanis cameronensis", "Zitha marionalis", "Zitha nosivolalis", "Zitha sanguinalis", "Zitha decrepis", "Zitha matsaboryalis", "Chiloglanis carnosus", "Calidota lubeckei", "Euchaetes matudai", "Holomelina erytrina", "Holomelina loti", "Lophocampa cibriani", "Lophocampa donahuei", "Pseudohemihyalea ludwigi", "Dactylorhiza euxina subsp. euxina", "Dactylorhiza euxina subsp. armeniaca", "Agylla brailovskyi", "Besleria lutea", "Oiketicus moyanoi", "Oiketicus kirbyi", "Oiketicus platensis", "Oiketicus saclavus", "Oiketicus specter", "Oiketicus toumeyi", "Dactylorhiza fuchsii subsp. fuchsii", "Miconia coriacea", "Thalictrum dasycarpum", "Thalictrum revolutum", "Thalictrum elegans", "Thalictrum fendleri", "Thalictrum finetii", "Thalictrum foeniculaceum", "Moneta conifera", "Thalictrum foliolosum", "Thalictrum glandulosissimum", "Thalictrum heliophilum", "Thalictrum javanicum", "Thalictrum pedunculatum", "Thalictrum polycarpum", "Thalictrum rhynchocarpum", "Thalictrum rostellatum", "Thalictrum sparsiflorum", "Thalictrum speciosissimum", "Thalictrum squarrosum", "Thalictrum thalictroides", "Thalictrum tuberiferum", "Thalictrum uchiyamae", "Picea schrenkiana subsp. tianschanica", "Moneta coercervea", "Moneta grandis", "Moneta hunanica", "Moneta orientalis", "Moneta triquetra", "Moneta tumulicola", "Moneta tumida", "Moneta subspinigera", "Moneta yoshimurai", "Moneta variabilis", "Moneta uncinata", "Moneta spinigeroides", "Moneta spinigera", "Lissonota multicolor", "Gagea caelestis", "Gagea calantha", "Gagea chlorantha", "Gagea dschungarica", "Gagea fistulosa", "Gagea germainae", "Gagea pedata", "Gagea popovii", "Gagea pusilla", "Gagea reticulata", "Gagea taurica", "Cricula brechlini", "Coris latifasciata", "Euphaedra cyparissa nimbina", "Euphaedra cyparissa aurantina", "Euphaedra cyparissa nominalina", "Anisosticta novemdecimpunctata", "Subcoccinella vigintiquatuorpunctata", "Coccinella vigintiquinquepunctata", "Oenopia conglobata", "Drummondia luce", "Drummondia marlo", "Drummondia tridentata", "Ekelofia eltanin", "Figorella angulosa", "Figorella formosa", "Figorella franklin", "Pachychelium fucaensis", "Pachychelium tropicalis", "Pachynus obsolescens", "Prachynella epa", "Prachynella oculata", "Prachynella shijiki", "Smaraldia springthorpei", "Ultimachelium tac", "Eurystyles gardneri", "Iniistius brevipinnis", "Macropharyngodon marisrubri", "Volvox aureus", "Annona vepretorum", "Annona nutans", "Annona spinescens", "Annona crotonifolia", "Annona malmeana", "Annona paludosa", "Annona echinata", "Annona jahnii", "Annona spraguei", "Annona volubilis", "Annona bullata", "Annona ambotay", "Annona aurantiaca", "Annona calophylla", "Annona campestris", "Annona densicoma", "Annona dioica", "Annona dolabripetala", "Annona excellens", "Annona glaucophylla", "Annona haematantha", "Annona hayesii", "Annona macrocalyx", "Annona monticola", "Annona mucosa", "Annona paraguayensis", "Annona parviflora", "Annona primigenia", "Annona sylvatica", "Amphorites annasona", "Amphorites hurleyi", "Amphorites pungapunga", "Conicostoma karta", "Ocosingo yatala", "Scolopostoma darwinensis", "Scolopostoma keurboomstrandensis", "Scolopostoma norah", "Oxybleptes davisi", "Carpelimus insularis", "Cania hatita", "Mesophleps gallicella", "Vanda ampullacea", "Quercus crenata", "Coccinella undecimpunctata tripunctata", "Annona emarginata", "Annona herzogii", "Annona leptopetala", "Annona neolaurifolia", "Latoia feina", "Latoia flavabdomena", "Latoia hainana", "Latoia yana", "Latoia xueshana", "Parasa undulata", "Latoia shaanxiensis", "Latoia pseudostia", "Latoia oryzae", "Latoia mina", "Latoia jiana", "Latoia hilaris", "Ceropegia sandersonii", "Ceropegia albisepta", "Ceropegia crassifolia", "Ceropegia linearis", "Ceropegia stapeliiformis", "Amorphophallus abyssinicus", "Amorphophallus bulbifer", "Amorphophallus gigas", "Amorphophallus haematospadix", "Amorphophallus lambii", "Amorphophallus longituberosus", "Amorphophallus muelleri", "Amorphophallus napalensis", "Amorphophallus parvulus", "Amorphophallus prainii", "Phanera kockiana", "Phanera integrifolia", "Pseudognaphalium canescens", "Pseudognaphalium microcephalum", "Pseudognaphalium stramineum", "Pseudognaphalium thermale", "Pseudognaphalium viscosum", "Pyrrocoma carthamoides", "Pyrrocoma crocea", "Pyrrocoma racemosa", "Pyrrocoma uniflora", "Pyrrocoma lanceolata", "Vernonanthura brasiliana", "Vernonanthura chamaedrys", "Vernonanthura montevidensis", "Vernonanthura nudiflora", "Vernonanthura patens", "Vernonanthura squamulosa", "Annona hypoglauca", "Annona longipes", "Latoia albicosta", "Latoia albilinea", "Latoia flavicosta", "Latoia viridicosta", "Latoia vitilena", "Latoia phlebodes", "Latoia neglecta", "Latoia parniodes", "Latoia privativa", "Latoia anagaura", "Latoia canescens", "Latoia catalai", "Latoia chlorea", "Latoia cineracea", "Latoia cretata", "Latoia viridifascia", "Latoia vadoni", "Latoia picta", "Latoia nivosa", "Latoia nana", "Latoia colini", "Latoia eremotropha", "Latoia heringiana", "Latoia intermissa", "Latoia joiceyi", "Latoia loxotoma", "Latoia lutunguru", "Fallopia baldschuanica", "Fallopia pterocarpa", "Fallopia denticulata", "Fallopia scandens", "Stephanomeria exigua", "Stephanomeria runcinata", "Stephanomeria tenuifolia", "Stephanomeria virgata", "Tetraneuris acaulis", "Tetraneuris argentea", "Tetraneuris herbacea", "Tetraneuris ivesiana", "Tetraneuris linearifolia", "Tetraneuris scaposa", "Tetraneuris verdiensis", "Thalictrum chelidonii", "Thalictrum cultratum", "Anemone sect.", "Astyanax guaporensis", "Alpheus buckupi", "Cardiocondyla pirata", "Cacyreus marshalli", "Achrysocharoides asperulus", "Achrysocharoides callisetosus", "Achrysocharoides cuspidatus", "Achrysocharoides infuscus", "Achrysocharoides mediocarinatus", "Achrysocharoides purpureus", "Achrysocharoides sulcatus", "Achrysocharoides foveatus", "Achrysocharoides ecuadorensis", "Aclerda pseudozoysiae", "Styela angularis", "Acmaeodera zaitzevi", "Acostatrichia digitata", "Herniaria argaea", "Actidium coarctatum", "Crenidens macracanthus", "Oiketicoides squamopilosa", "Crenidens crenidens", "Oiketicoides staudingeri", "Oiketicoides theodori", "Crenidens indicus", "Oiketicoides subgrisea", "Oiketicoides taurica", "Oiketicoides tebaldii", "Oiketicoides unicolorata", "Oiketicoides villosa", "Oiketicus abbotii", "Psychotria urbaniana", "Oiketicus assimilis", "Oiketicus bergii", "Oiketicus borsanii", "Oiketicus geyeri", "Oxyethira picita", "Oxyethira quiramae", "Oxyethira redunca", "Rhyacopsyche shorti", "Dactylorhiza \u00d7 braunii nothosubsp. braunii", "Dactylorhiza \u00d7 braunii nothosubsp. lilacina", "Dactylorhiza \u00d7 braunii nothosubsp. monticola", "Dactylorhiza \u00d7 braunii nothosubsp. smitakii", "Oiketicus zihuatanejensis", "Agylla dyari", "Calidota guzmani", "Gagea ugamica", "Gagea vvedenskyi", "Bromelia antiacantha", "Bromelia chrysantha", "Bromelia karatas", "Bromelia nidus-puellae", "Bromelia pinguin", "Bromelia serra", "Bromelia trianae", "Abrohadeocoleodes eurycladus", "Abrohadeocoleodes nii", "Abrohadeocoleodes ooideus", "Abrohadeocoleodes patefactus", "Menopraesagus oryziformis", "Acamptonectes densus", "Acaphyllisa tuberculumae", "Diptacus berberinus", "Diptacus mengdaensis", "Phyllocoptes beishaniensis", "Lachnaia africana", "Lachnaia gallaeca", "Lachnaia padillai", "Lachnaia zoiai", "Lachnaia hirta", "Lachnaia variolosa", "Lachnaia pubescens", "Lachnaia paradoxa", "Carex melanorrhyncha", "Euphrasia minima subsp. davisii", "Pteragogus clarkae", "Disporum viridescens", "Pteragogus trispilus", "Pteragogus variabilis", "Coccinella guttatopunctata", "Coccinella decempustulata", "Bairdia limatusformis", "Bairdiacypris ottomanensis", "Fabalicypris parva", "Elliptoideus sloatianus", "Aenhenrya rotundifolia", "Aerangis concavipetala", "Peloponnesia haettenschwileri", "Penestoglossa capensis", "Aerides odorata", "Ambrella longituba", "Hydroptila cressae", "Metrichia bostrychion", "Neotrichia feolai", "Ochrotrichia spira", "Oxyethira bettyae", "Thrixspermum centipeda", "Dactylorhiza \u00d7 braunii", "Tyrodes jenisi", "Megatyrus tengchongensis", "Megatyrus schuelkei", "Ptisana salicina", "Herodotia procopii", "Habenaria conopsea", "Pleistodontes greenwoodi", "Pleistodontes blandus", "Pleistodontes claviger", "Pleistodontes cuneatus", "Pleistodontes galbinus", "Pleistodontes immaturus", "Pleistodontes longicaudus", "Pleistodontes mandibularis", "Pleistodontes nigriventris", "Pleistodontes nitens", "Pleistodontes plebejus", "Pleistodontes proximus", "Pleistodontes regalis", "Pleistodontes rennellensis", "Pleistodontes rieki", "Pleistodontes mayri", "Pleistodontes semiruficeps", "Pleistodontes rigisamos", "Acratia candyae", "Acratia subfusiformis", "Bairdia adelineae", "Bairdia jeromei", "Oiketicus townsendi", "Oiketicus townsendi townsendi", "Oiketicus townsendi dendrokomos", "Oiketicus townsendi mexicanus", "Oreopsyche tenella", "Oreopsyche vorbrodtella", "Oreopsyche dellabrunai", "Pachythelia robusta", "Pachythelia villosella", "Pachythelia villosella villosella", "Pachythelia villosella quadratica", "Pagodiella heckmeyeri", "Paracharactis cautopsis", "Paracharactis delocephala", "Paracharactis erionota", "Paracharactis leeuweni", "Patromasia petroglypta", "Paucivena hispaniolae", "Papaver pilosum subsp. sparsipilosum", "Corydalis wendelboi subsp. congesta", "Bairdia huberti", "Corydalis wendelboi subsp. wendelboi", "Opogona aurisquamosa", "Opogona stereodyta", "Horornis borealis", "Horornis brunnescens", "Bothrochilus huonensis", "Leiopython fredparkeri", "Bothrochilus montanus", "Odontotaenius floridanus", "Coccorchestes ferreus", "Callicythere postiangusta", "Systenobythere archboldi", "Liuzhinia antalyaensis", "Orthobairdia jeanlouisi", "Alcea apterocarpa", "Cartodere lobatus", "Alcea dissecta", "Loepa hayatiae", "Syncopacma cottiennella", "Lebiasina ardilai", "Chiloglanis congicus", "Dendrobium caliculi-mentum", "Alyssum bulbotrichum", "Vasates quadripedes", "Microcheilinella venusta", "Erysimum idae", "Erysimum ponticum", "Erysimum huber-morathii", "Erysimum echinellum", "Loxolomia winbrechlini", "Erysimum ammophilum", "Erysimum artwinense", "Erysimum lycaonicum", "Actias vanschaycki", "Actias ningpoana ningtaibaishana", "Rothschildia sandimasiana", "Chiloglanis deckenii", "Rothschildia orizaba oroaxacana", "Chiloglanis disneyi", "Encyclia duveenii", "Agrisius japonicus japonicus", "Agrisius japonicus albida", "Mecinus baridioides", "Mecinus tavaresi", "Cartodere adonis", "Cartodere bacchusi", "Cartodere barclayi", "Cartodere succinobaltica", "Cartodere constrictus", "Othorene purpurascens", "Othorene intermedia", "Bairdia curta", "Boreofiber wenzenzis", "Oedemera hispanica", "Oedemera basalis", "Oedemera simplex", "Oedemera barbara", "Oedemera unicolor", "Oedemera korbi", "Oedemera subulata", "Oedemera schrammi", "Oedemera caudata", "Canthon virens", "Dolomedes italicus", "Araneus cellulanus", "Horridipamera robusta", "Erysimum sintenisianum", "Erysimum ruscinonensis", "Erysimum rhaeticum", "Erysimum popovii", "Pseudamnicola georgievi", "Valvata nowshahrensis", "Lampetra auremensis", "Lampetra lusitanica", "Hemileuca griffini", "Hemileuca eglanterina", "Hemileuca electra", "Hemileuca peninsularis", "Hemileuca rubridorsa", "Hemileuca stonei", "Periga gueneei", "Periga rasplusi", "Pendarus magnus", "Garra dampaensis", "Dendrolirium lasiopetalum", "Dirphiella albofasciata", "Dirphiella taylori", "Cirsium wallichii", "Cooktownia robertsii", "Periga spatulatoides", "Periga insidiosoides", "Periga foersteri", "Periga fusca", "Periga wandana", "Cirsium sect.", "Allantus ariadne", "Pristiphora calliprina", "Xanthodirphia abbreviata", "Acroloxus pseudolacustris", "Kaskakia khorrasanensis", "Sarkhia sarabensis", "Bothroponera masoala", "Sarkhia kermanshahensis", "Bothroponera planicornis", "Bothroponera tavaratra", "Bothroponera vazimba", "Bothroponera cambouei", "Bothroponera perroti", "Bothroponera wasmannii", "Bothroponera comorensis", "Spatuncusella occitanica", "Xenopathia novaki", "Elegia fallaximima", "Rothschildia sinjaevorum", "Rothschildia speculifer rubra", "Rothschildia aurota auromeridensis", "Rothschildia aurota auroamazonensis", "Lonomia concordia", "Lonomia concordia concordia", "Lonomia concordia conricana", "Erysimum stenophyllum", "Erysimum occidentale", "Erysimum szowitsianum", "Lampetra alavariensis", "Phyllurus ossa", "Asthenodipsas vertebralis", "Sceloporus arenicolus", "Anisota kendallorum", "Opisthograptis luteolata", "Aurila ikeyai", "Aurila okayamensis", "Albionbatrachus oligocenicus", "Aleurodamaeus recenfesevpi", "Cirsium maackii", "Hylesia hawksi", "Hylesia fallaciosa", "Hylesia frederici", "Hylesia melanops", "Hylesia oblonga", "Hylesia paraguayensis", "Hylesia pearsoni", "Hylesia peigleri", "Hylesia subcottica", "Hylesia venezuelensis", "Hylesia praeda", "Hylesia praeda praeda", "Hylesia praeda nigra", "Hylesia continua", "Hylesia continua continua", "Hylesia continua alinda", "Hylesia continua colombiana", "Hylesia gamelioides", "Hylesia lineata", "Hylesia melanostigma", "Hylesia nanus", "Hylesia nigricans", "Hylesia subfasciata", "Hylesia teratex", "Hylesia umbratula", "Hylesia falcifera", "Paralypusa chinensis", "Martyringa hoenei", "Gynnidomorpha curviphalla", "Gynnidomorpha attenuata", "Gynnidomorpha alismana", "Gynnidomorpha datetis", "Gynnidomorpha pista", "Gynnidomorpha sphaenophora", "Turbinicarpus saueri", "Turbinicarpus schmiedickeanus", "Rapicactus subterraneus", "Turbinicarpus swobodae", "Turbinicarpus valdezianus", "Turbinicarpus viereckii", "Turbinicarpus \u00d7 mombergeri", "Paraixeris denticulata", "Osteospermum hyoseroides", "Osteospermum monstrosum", "Diactenis barbarae", "Diactenis isotima", "Diactenis plumula", "Diactenis sequax", "Diactenis thauma", "Diactenis bidentifera", "Diactenis deformata", "Diactenis pteroneura", "Diactenis veligera", "Diactenis orthometalla", "Diactenis tryphera", "Xenotenes micrastra", "Discomorpha variegata", "Schoenotenes affinis", "Zalmoxis princeps", "Schoenotenes agana", "Schoenotenes aphrodes", "Zalmoxis mendax", "Schoenotenes aurispersa", "Schoenotenes chalcitis", "Zalmoxis kaktinsae", "Schoenotenes coccyx", "Zalmoxis perditus", "Schoenotenes croceosema", "Schoenotenes lichenochroma", "Zalmoxis falcifer", "Zalmoxis furcifer", "Schoenotenes nanodes", "Schoenotenes oenographa", "Schoenotenes oligosema", "Oedemera pthysica", "Phellinus linteus", "Cricula trifenestrata barisanensis", "Loepa baliensis", "Periga pachijalensis", "Periga costaricana", "Periga camacana", "Periga falchahiana", "Periga falcleopoldina", "Periga falcparaguayensis", "Periga falcpotensis", "Actias groenendaeli timorensis", "Actias groenendaeli sumbawaensis", "Acrotona horwoodae", "Atheta whitehorsensis", "Atheta pseudolarsoni", "Mielkesia paranaensis", "Ptiloscola dargei", "Ptiloscola descimoni", "Ptiloscola wellingi", "Copaxa canella canella", "Copaxa canella miranda", "Cerodirphia marahuaca", "Cerodirphia avenata", "Cerodirphia avenata avenata", "Cerodirphia avenata araguensis", "Kentroleuca spitzi", "Travassosula mulierata", "Copiopteryx semiramis semiramis", "Copiopteryx semiramis gadouorum", "Eacles imperialis anchicayensis", "Scolesa nebulosa", "Oedemera acutipalpis", "Oedemera antoinei", "Oedemera bomfordi", "Oedemera diversecostata", "Oedemera farsica", "Oedemera femoralis", "Oedemera flavicans", "Oedemera marmorata", "Oedemera murinipennis", "Oedemera natolica", "Oedemera nepalensis", "Oedemera reitteri", "Platyptilia isodactyla", "Oedemera grandis", "Oedemera diversecostata afghana", "Oedemera diversecostata diversecostata", "Eryngium bithynicum", "Ocyusa yukonensis", "Atheta terrestris", "Boreophilia herschelensis", "Boreophilia davidgei", "Afroelfus bothryogaster", "Cypa moniensis", "Cypa bouyeri", "Cypa duponti", "Cypa ferruginea", "Cypa kitchingi", "Cypa latericia", "Cypa terranea", "Delias ligata", "Delias ligata ligata", "Delias ligata weylandensis", "Delias ligata dealbata", "Delias alepa kunupiensis", "Drymoreomys albimaculatus", "Lemonia pauli", "Lemonia tamara", "Acacia raddiana", "Paracypris gaetanii", "Basslerella tota", "Erysimum macrostigma", "Erysimum slavjankae", "Erysimum hedgeanum", "Agnippe prunifoliella", "Fumaria bastardii", "Fumaria muralis", "Ectropidia obliquiprimata", "Ectropidia akikoae", "Ectropidia moluccasana", "Ectropidia jeremyi", "Ectropidia alborufata", "Ectropidia masuii", "Ectropidia necyopata", "Ectropidia archaica", "Ectropidia chaineyi", "Myrioblephara anageniculata", "Myrioblephara sulawesicola", "Sparganocosma docsturnerorum", "Sospita vigintiguttata", "Stigmella mirabella", "Stigmella sashai", "Stigmella regina", "Stigmella attenuata", "Stigmella sakhalinella", "Stigmella tegmentosella", "Stigmella monella", "Delias mariae mariae", "Delias mariae menooensis", "Delias mariae boschmai", "Delias mariae sanaeae", "Delias mariae ilu", "Delias gabia zarate", "Delias gabia bantina", "Delias gabia callistrate", "Delias gabia masinessa", "Delias argenthona", "Delias argenthona argenthona", "Delias argenthona insularis", "Delias bagoe", "Delias bagoe bagoe", "Delias bagoe restricta", "Erigeron vernus", "Alanqa saharica", "Sinoalaria chengguanensis", "Menglunia inaffecta", "Baalzebub rastrarius", "Baalzebub youyiensis", "Karstia nitida", "Karstia prolata", "Ogulnius hapalus", "Theridiosoma plumaria", "Theridiosoma triumphalis", "Theridiosoma vimineum", "Zoma fascia", "Myzia oblongoguttata", "Aphidecta obliterata", "Lonomia mexilectra mexilectra", "Lonomia mexilectra mexpueblensis", "Lonomia quintanarooensis quintanarooensis", "Lonomia quintanarooens quinchiapasiana", "Lonomia peggyae", "Lonomia santarosensis", "Lonomia manabiana", "Lonomia oroiana", "Lonomia nigra", "Lonomia vanschaycki", "Lonomia orientocordillera", "Lonomia annamiekae", "Lonomia riojensis", "Lonomia silkae", "Cattleya viridiflora", "Cattleya kleberi", "Lonomia siriae", "Lonomia rufobahiana", "Lonomia viksinjaevi viksinjaevi", "Lonomia viksinjaevi vikcuscensis", "Verbascum degenii", "Arsenura peggyae", "Arsenura sylla maranhensis", "Copaxa peggyae", "Bithynia forcarti", "Bithynia starmuehlneri", "Bithynia mazandaranensis", "Othorene kitchingi", "Othorene cearaiana", "Othorene carameridensis", "Othorene verana potosiana", "Othorene verana sonorensis", "Paradaemonia iscaybambensis", "Othorene cadmus", "Othorene hodeva", "Ochroconis anomala", "Allenius californianus", "Allenius iviei", "Gordoneus schwarzi", "Cathedrana natalensis", "Periphoba tarapoto", "Pseudautomeris toulgoeti", "Pseudautomeris lata", "Pseudautomeris metea", "Pseudautomeris salmonea", "Pseudodirphia alba", "Pseudodirphia obliqua", "Pseudodirphia uniformis", "Characidium mirim", "Pyrrhulina marilynae", "Travassosula subfumata", "Schausiella toulgoeti", "Nipah henipavirus", "Apristurus garricki", "Samia kalimantanensis", "Pararhodia gyra", "Pararhodia meeki", "Pararhodia daviesorum", "Penestoglossa dardoinella", "Penestoglossa dyscrita", "Penestoglossa marocanella", "Penestoglossa pygmaea", "Penestoglossa tauricella", "Perisceptis horiarcha", "Phalacropterix apiformis", "Ripipteryx rivularia", "Engytatus nicotianae", "Engytatus modestus", "Cirsium arvense var. integrifolium", "Cirsium sect.", "Cirsium purpuratum", "Suillia stuckenbergi", "Micropeplus xiaoae", "Allotrichoma occidentale", "Allotrichoma robustum", "Allotrichoma sabroskyi", "Allotrichoma wallowa", "Allotrichoma valkanovi", "Allotrichoma dahli", "Allotrichoma meridionale", "Allotrichoma abiatense", "Schizocosa mccooki", "Schizocosa uetzi", "Sisyphus macrorubrus", "Exocelina baliem", "Ministrymon janevicroy", "Australoplana sanguinea", "Pasimachus cuestai", "Pasimachus crassus", "Blastodacna atra", "Blastodacna hellerella", "Diadema setosum", "Campbellana attenuata", "Sorensenata agilitata", "Pangio pangia", "Tinearupa sorenseni", "Exsilirarcha graminea", "Chiloglanis igamba", "Prosthetops wolfbergensis", "Ornithodoros guaporensis", "Prosthetops pronotus", "Prosthetops setosus", "Prosthetops megacephalus", "Prosthetops nitens", "Prosthetops capensis", "Prosthetops grandiceps", "Hepialus lupulina", "Alphasida subbaetica", "Dichrorampha minutiana", "Chiloglanis harbinger", "Chiloglanis niger", "Chiloglanis sanagaensis", "Chiloglanis polypogon", "Euptychia boulleti", "Chiloglanis reticulatus", "Spiladarcha adamskii", "Cydia strobilella", "Netelia fulvistigma", "Netelia rasilella", "Netelia vicinalis", "Netelia yoshimatsui", "Netelia tadauchii", "Netelia baibarana", "Sisyphus rubrus", "Narcissus moschatus", "Orthogonioptilum crystallinum", "Orthogonioptilum csomaense", "Orthogonioptilum dallastai", "Orthogonioptilum dargei", "Orthogonioptilum deletum", "Orthogonioptilum dollmani", "Orthogonioptilum ueleense", "Orthogonioptilum kahli", "Orthogonioptilum falcatissimum", "Orthogonioptilum fang", "Orthogonioptilum filippii", "Orthogonioptilum galleyi", "Orthogonioptilum garmsi", "Orthogonioptilum garnieri", "Orthogonioptilum geniculipennis", "Phlomis armeniaca", "Palaeodytes baissiensis", "Solea stanalandi", "Enicospilus insularis", "Baissoptera cretaceoelectra", "Cartodere costatus", "Necroraphidia arcuata", "Styporaphidia hispanica", "Corydalis oppositifolia subsp. kurdica", "Alavaraphidia imperterrita", "Phalacropterix bruandi", "Phalacropterix calberlae", "Phalacropterix fritschi", "Neodiphthera monacha", "Neodiphthera strigata", "Neodiphthera talboti", "Neodiphthera excavus", "Neodiphthera rhythmica", "Neodiphthera saccopoea", "Allolarinus demeyeri", "Allotrichoma bifurcatum", "Allotrichoma deonieri", "Allotrichoma dynatum", "Kentroleuca albilinea", "Kentroleuca dukinfieldi", "Kentroleuca lineosa", "Kentroleuca novaholandensis", "Chiloglanis elisabethianus", "Habenaria glaucifolia", "Chiloglanis fasciatus", "Wockia diabolica", "Wockia tetroidon", "Syssphinx albolineata", "Syssphinx amena", "Syssphinx bicolor", "Syssphinx bidens", "Syssphinx bisecta", "Syssphinx blanchardi", "Syssphinx colla", "Syssphinx colloida", "Syssphinx digueti", "Syssphinx gomezi", "Syssphinx heiligbrodti", "Syssphinx hubbardi", "Syssphinx mexicana", "Syssphinx modena", "Syssphinx montana", "Syssphinx pescadori", "Syssphinx quadrilineata", "Syssphinx raspa", "Syssphinx xanthina", "Syssphinx yucatana", "Syssphinx isias", "Rhaphigaster nebulosa", "Rhaphigaster haraldi", "Rhaphigaster genitalia", "Rhaphigaster brevispina", "Periga santaleopoldina", "Periga inornata", "Periga paraleopoldina", "Periga potensis", "Periga lamercedia", "Periga sanmartiniana", "Periga marcapata", "Periga mariposana", "Periga suninensis", "Periga quillabambensis", "Periga parviboliviana", "Periga parvichuquisaciana", "Ophrys sphegodes", "Tebenna galapagoensis", "Ophrys sphegodes subsp. sphegodes", "Arabapolonia omanensis", "Archaeosciaphilus marshalli", "Pseudoglaesotropis martynovi", "Palaeometrioxena zherikhini", "Eocenorhynchites vossi", "Narcissus moleroi", "Narcissus perez-chiscanoi", "Terrestricythere ivanovae", "Persicaria \u00d7 ambigua", "Hydra shenzhensis", "Laelia superbiens", "Elasmostethus interstinctus", "Elasmostethus amabilis", "Elasmostethus hasegawai", "Elasmostethus kerzhneri", "Elasmostethus rotundus", "Elasmostethus neonilgriens", "Elasmostethus tristriatus", "Elasmostethus minor", "Tagetes arenicola", "Tagetes coronopifolia", "Tagetes elongata", "Tagetes inclusa", "Tagetes lacera", "Tagetes linifolia", "Aphanoconia aprica", "Aphelinus coreae", "Aphelinus glycinis", "Aphelinus rhamni", "Aplysina clathrata", "Aplysina revillagigedi", "Tagetes lunulata", "Tagetes minima", "Tagetes moorei", "Chiloglanis lamottei", "Tagetes osteni", "Tagetes palmeri", "Graphopsocus vietnamicus", "Graphopsocus cruciatus", "Graphopsocus choui", "Chiloglanis kazumbei", "Chiloglanis orthodontus", "Aenetus virescens", "Amarantoraphidia ventolina", "Orthogonioptilum neglectum", "Orthogonioptilum ndokiensis", "Orthogonioptilum paveci", "Epiphora vicina", "Epiphora acuta", "Epiphora leae", "Epiphora eugeniae", "Microclanis littoralis", "Microclanis ventosus", "Andriasa igomaensis", "Andriasa caliginis", "Theretra maranguensis", "Pseudobunaea kiyamyulwa", "Atrina seminuda", "Hypericum marginatum", "Hypericum fissurale", "Orthogonioptilum venustissimum", "Orthogonioptilum igneolum", "Orthogonioptilum adiegetum", "Orthogonioptilum fontainei", "Orthogonioptilum violascens", "Orthogonioptilum adustum", "Orthogonioptilum andreasum", "Orthogonioptilum occidentalis", "Salvia huberi", "Salvia divaricata", "Orthogonioptilum rougeoti", "Orthogonioptilum diabolicum", "Orthogonioptilum bernardii", "Orthogonioptilum bernaudi", "Orthogonioptilum bimaculatum", "Orthogonioptilum bouyeri", "Orthogonioptilum brunneum", "Orthogonioptilum chalix", "Orthogonioptilum chaminadei", "Orthogonioptilum concordia", "Orthogonioptilum ochraceum", "Graphopsocus panduratus", "Graphopsocus shaanxiensis", "Tagetes triradiata", "Graphopsocus borealis", "Graphopsocus epicharis", "Graphopsocus euneurus", "Graphopsocus evanidus", "Graphopsocus flavipunctatus", "Graphopsocus intrans", "Graphopsocus sinuolatus", "Graphopsocus urceolatus", "Graphopsocus putuoshanensis", "Graphopsocus obcuneatus", "Graphopsocus leptostigmus", "Graphopsocus megistigmus", "Graphopsocus luojiashanensis", "Graphopsocus liaoningensis", "Polyommatus dolus", "Polyommatus dolus dolus", "Polyommatus dolus gargano", "Polyommatus dolus virgilius", "Polyommatus dolus vittatus", "Aporocotyle mariachristinae", "Aporocotyle ymakara", "Polyommatus violetae violetae", "Polyommatus fulgens", "Hyponephele korshunovi", "Trachycarpus ukhrulensis", "Thera vetustata", "Graphopsocus subaequalis", "Graphopsocus platynotus", "Graphopsocus mexicanus", "Graphopsocus infirmus", "Graphopsocus maculipennis", "Graphopsocus nervosus", "Stenopsocus uniformis", "Amplirhagada albertiana", "Amplirhagada ambulator", "Amplirhagada fitzpatricki", "Amplirhagada turbinensis", "Anchigyps voorhiesi", "Angelopteromyia korneyevi", "Periga parvicajamarcensis", "Periga parvimartinensis", "Periga cutervensis", "Periga baezana", "Periga altomoronensis", "Periga tungurahuensis", "Periga pacchana", "Periga barragani", "Periga acomayensis", "Periga calabazana", "Cauchas terskella", "Narcissus poeticus subsp. radiiflorus", "Narcissus poeticus subsp. poeticus", "Athamanthia dimorpha turgena", "Athamanthia dimorpha irghiza", "Athamanthia dimorpha infera", "Athamanthia dimorpha funeraria", "Athamanthia dimorpha kekemerena", "Athamanthia japhetica", "Athamanthia issykkuli", "Athamanthia namanganica", "Athamanthia zhdankoi", "Laelia rubescens", "Athamanthia dilutior", "Athamanthia dilutior dilutior", "Athamanthia dilutior alutacea", "Athamanthia dilutior luxuriosa", "Euplectrus scapus", "Chiloglanis lufirae", "Chiloglanis lukugae", "Chiloglanis pojeri", "Cepa apeca", "Chiloglanis macropterus", "Chiloglanis marlieri", "Chiloglanis micropogon", "Cepa alex", "Cepa margarita", "Polyvena horatius", "Anomia macostata", "Veronica serpyllifolia subsp. humifusa", "Entephria flavicinctata", "Entephria flavicinctata flavicinctata", "Entephria flavicinctata elbrusensis", "Entephria rjabovi", "Entephria muscosaria", "Entephria calcephila", "Entephria tejmurovi", "Satyrium bracteatum", "Corydalis oppositifolia subsp. oppositifolia", "Anuvinda milloti", "Pandava andhraca", "Pandava nathabhaii", "Strophedra nitidana", "Strophedra weirana", "Chiloglanis kalambo", "Chiloglanis mbozi", "Chiloglanis rukwaensis", "Chiloglanis trilobatus", "Maxillaria tenuifolia", "Orthogonioptilum herbuloti", "Orthogonioptilum ianthinum", "Orthogonioptilum infernarum", "Orthogonioptilum infinitum", "Orthogonioptilum kasaiensis", "Orthogonioptilum kivuensis", "Orthogonioptilum klinzigi", "Orthogonioptilum lemairei", "Orthogonioptilum loloense", "Orthogonioptilum luminosa", "Orthogonioptilum modestum", "Orthogonioptilum monochromum", "Titanoeca sharmai", "Amblyops amamiensis", "Amblyops australiensis", "Amblyops izuensis", "Amblyops kashimensis", "Amblyops manazuruensis", "Orthogonioptilum adiegetum adiegetum", "Orthogonioptilum adiegetum aequinoctialis", "Orthogonioptilum adiegetum bafutensis", "Orthogonioptilum adiegetum dollmani", "Orthogonioptilum adiegetum mucronatum", "Orthogonioptilum adiegetum ugandensis", "Orthogonioptilum neoprox", "Orthogonioptilum nigrescens", "Orthogonioptilum nimbaense", "Orthogonioptilum subueleense", "Orthogonioptilum vestigiata", "Orthogonioptilum oremansi", "Orthogonioptilum perarcuatum", "Orthogonioptilum piersoni", "Orthogonioptilum prox", "Orthogonioptilum sejunctum", "Orthogonioptilum solium", "Orthogonioptilum tristis", "Orthogonioptilum incana", "Orthogonioptilum modestula", "Orthogonioptilum obamba", "Orthogonioptilum pancratia", "Orthogonioptilum septiguttata", "Antherina suraka", "Antherina suraka suraka", "Antherina suraka comorana", "Amblyops okinawensis", "Amblyops pacificus", "Amblyops sagamiensis", "Amblyops surugensis", "Amblyops timorensis", "Amblypsilopus crassatus", "Ampelisca malakalensis", "Byblis levis", "Plumithoe lata", "Coccinella sexpustulata", "Plumithoe acuticoxa", "Plumithoe madagascariensis", "Bemlos tridens", "Argema besanti", "Argema fournieri", "Argema mimosae", "Argema mittrei", "Athletes albicans", "Athletes ethra", "Athletes ethra ethra", "Athletes ethra ogoouensis", "Periga drechseli", "Periga drechseli drechseli", "Periga drechseli altoparanensis", "Periga circpotensis", "Periga circleopoldina", "Periga circaustralis", "Periga fuscbahiana", "Periga fuscleopoldina", "Psilorhynchus rowleyi", "Sebastes trivittatus", "Schizopyge niger", "Timorichthys angustus", "Dactylorhiza viridis var. viridis", "Dactylorhiza viridis var. virescens", "Protosthetops kenyensis", "Dendrobium biflorum", "Leptanilloides atlantica", "Falkovitshella hindukushi", "Scythris wadiqeltella", "Trichocera maculipennis", "Upeneus randalli", "Mulloidichthys ayliffe", "Upeneus vanuatu", "Upeneus asymmetricus", "Upeneus australiae", "Upeneus guttatus", "Upeneus doriae", "Globosolembos ovatus", "Colomastix lecroyae", "Colomastix lunalilo", "Cyproidea excavata", "Amphicorina ascidicola", "Amphicorina ezoensis", "Amphicorina mobilis", "Amphilectus utriculus", "Amphilectus strepsichelifer", "Amphilectus fucorum", "Esperiopsis cimensis", "Ulosa capblancensis", "Xanthorhoe spadicearia", "Xanthorhoe ferrugata", "Athletes gigas", "Athletes nyansae", "Athletes semialba", "Aurivillius aratus", "Aurivillius divaricatus", "Issikiopteryx parelongata", "Issikiopteryx suiyangensis", "Issikiopteryx nigeriflava", "Ctenomeristis almella", "Meijeriella canaliculata", "Meijeriella frivaldskyi", "Rhabdoena gostelii", "Candona acutula", "Limnocythere ceriotuberosa", "Asiopodabrus daimanji", "Asiopodabrus daimon", "Asiopodabrus enokidoi", "Asiopodabrus getoensis", "Asiopodabrus goyuzanensis", "Asiopodabrus gujoensis", "Asiopodabrus gyojagaeriensis", "Asiopodabrus hagai", "Asiopodabrus hikosanensis", "Asiopodabrus hirakura", "Asiopodabrus hououensis", "Asiopodabrus ihai", "Asiopodabrus ikuridaniensis", "Asiopodabrus isaoi", "Asiopodabrus ishigakiensis", "Asiopodabrus kanekoi", "Asiopodabrus kinpuensis", "Asiopodabrus kirishima", "Asiopodabrus kiritakiensis", "Asiopodabrus kiso", "Asiopodabrus kitayamaensis", "Asiopodabrus komoriensis", "Asiopodabrus kumanoensis", "Asiopodabrus mannamiensis", "Asiopodabrus manoi", "Asiopodabrus meihoensis", "Asiopodabrus mennokiensis", "Asiopodabrus morotsukaensis", "Asiopodabrus nachiensis", "Asiopodabrus nahaensis", "Asiopodabrus ohbayashii", "Asiopodabrus ohkii", "Asiopodabrus ohminensis", "Asiopodabrus oikensis", "Asiopodabrus omogoensis", "Asiopodabrus owasensis", "Asiopodabrus sasakii", "Platycephalus fuscus", "Laelia undulata", "Bipalium fuscatum", "Vestalenula carinata", "Caenoplana coerulea", "Spilomyia interrupta", "Spilomyia scutimaculata", "Spilomyia triangulata", "Arrhopalites macronyx", "Asiodonus diversisquamosus", "Asiodonus knutelskyi", "Asiodonus potanini", "Asiodonus shokhrini", "Asiodonus streltzovi", "Pantinonemertes winsori", "Pantinonemertes enalios", "Pantinonemertes agricola", "Pantinonemertes mortoni", "Prosadenoporus floridensis", "Asiopodabrus akitai", "Asiopodabrus amamiensis", "Asiopodabrus aokigaharaensis", "Asiopodabrus ashigara", "Haptoclinus dropi", "Haptoclinus apectolophus", "Tinea pallescentella", "Asiopodabrus sendan", "Asiopodabrus shiranensis", "Asiopodabrus shojiensis", "Asiopodabrus sugenumaensis", "Asiopodabrus tsugaikensis", "Asiopodabrus tsushimanus", "Asiopodabrus usuguro", "Asiopodabrus utsugidakensis", "Asiopodabrus yamizoensis", "Asiopodabrus azumaensis", "Asiopodabrus fujimidairanus", "Asiopodabrus nonoboriensis", "Asiopodabrus chujoi", "Asiopodabrus kasugensis", "Asiopodabrus albus", "Asiopodabrus komenono", "Asiopodabrus eboshidakensis", "Asiopodabrus ichiuensis", "Asiopodabrus ishizuchiensis", "Asiopodabrus mizugakiensis", "Aspilota stigmalis", "Aspilota alfalfae", "Aspilota poonchensis", "Aspilota crenesulcis", "Aspilota pilgrimorum", "Diversibipalium maculatum", "Diversibipalium virgatum", "Diversibipalium trilineatum", "Bipalium simrothi", "Coccinella sedecimpustulata", "Archicebus achilles", "Antiphrisson trifarius", "Coptosoma josuae", "Caenoplana purpurea", "Caenoplana sulphurea", "Parakontikia ventrolineata", "Assyriella thospitis menkhorsti", "Turanena demirsoyi", "Turanena cochlicopoides", "Coloradia casanovai", "Coloradia velda", "Euchondrus paucidentatus", "Pseudocyclodinus strictus", "Pseudocyclodinus unicinctus", "Pseudocyclodinus flavitarsis", "Sinocyclocheilus wui", "Ceratricula semilutea", "Ceratricula semilutea semilutea", "Ceratricula semilutea congdoni", "Ceratricula semilutea indeterminabilis", "Flandria kelembaensis", "Flandria flandria", "Flandria weberi", "Atyaephyra acheronensis", "Atyaephyra tuerkayi", "Micragone ansorgei bilineata", "Micragone caliginosa", "Micragone camerunensis", "Micragone cana", "Micragone cana cana", "Micragone cana junodi", "Micragone cana politzari", "Micragone colettae", "Micragone elisabethae", "Micragone avinoffi", "Potamocypris alveolata", "Potamocypris arcuata", "Potamocypris bowmani", "Potamocypris brachychaeta", "Potamocypris chelazzii", "Potamocypris comosa", "Rhinostomus barbirostris", "Rhinostomus frontalis", "Rhinostomus meldolae", "Rhinostomus niger", "Rhinostomus oblitus", "Rhinostomus quadrisignatus", "Rhinostomus scrutator", "Rhinostomus thompsoni", "Rhinoclemmys melanosterna", "Phanaeus violetae", "Teratomyza neozelandica", "Avalonnectes arturi", "Litargus transversus", "Litargus infulatus", "Eoplesiosaurus antiquior", "Micragone martinae", "Prionapteryx eberti", "Prionapteryx banaadirensis", "Prionapteryx somala", "Prionapteryx helena", "Pectinivalva brevipalpa", "Pectinivalva minotaurus", "Coccinella gigantea", "Coccinella pantherina", "Coccinella tigrina", "Entephria multivagata", "Entephria separata", "Synaldis cauca", "Entephria aurata", "Telmogarbus olivai", "Blacus latestigma", "Entephria lagganata", "Pseudorhysipolis inaequalis", "Entephria takuata", "Entephria beringiana", "Entephria lynda", "Entephria polata", "Entephria punctipes", "Entephria bradorata", "Entephria kidluitata", "Polypogon plumigeralis", "Polypogon simplicicornis", "Catasetum atratum", "Tityus crassicauda", "Maeropsis paphavasitae", "Rotomelita longipropoda", "Sirthenea flavipes", "Diplonevra pachycera", "Threticus insularis", "Chiloglanis microps", "Chiloglanis modjensis", "Chiloglanis neumanni", "Bipalium vagum", "Perizoma saxicola", "Epilobophora kostjuki", "Samagystia alaica", "Samagystia dubatolovi", "Samagystia enigma", "Samagystia lukhtanovi", "Samagystia pljustchi", "Samagystia pushtunica", "Samagystia stchetkini", "Samagystia wernerithomasi", "Samagystia witti", "Phyllodesma griseum", "Phyllodesma mongolicum", "Arge cerasus", "Arge dorsalis", "Arge swartbergensis", "Loxoconcha baltica", "Arge ventralis", "Arge vannoorti", "Suada albolineata", "Quedara flavens", "Athamanthia dimorpha", "Athamanthia dimorpha dimorpha", "Athamanthia dimorpha saisanica", "Athamanthia dimorpha emeli", "Athamanthia dimorpha bogutena", "Empicoris gradapallida", "Empicoris scabraventris", "Emesopsis fenestrella", "Emesopsis monteithi", "Emesopsis infenestra", "Emesopsis cirratus", "Holocerina angulata", "Holocerina digennariana", "Holocerina intermedia", "Holocerina menieri", "Potamocypris fulva", "Holocerina istsariensis", "Holocerina orientalis", "Emesopsis albispinosa", "Holocerina rhodesiensis", "Emesopsis longipilosa", "Emesopsis streiti", "Potamocypris gibbula", "Emesopsis parvispinea", "Emesopsis bifurcata", "Emesopsis ernsti", "Emesopsis heissi", "Holocerina smilax", "Emesopsis kazutakai", "Holocerina smilax smilax", "Holocerina smilax basquini", "Emesopsis impar", "Pseudantheraea discrepans", "Pseudantheraea imperator", "Potamocypris humilis", "Eudaemonia argiphontes", "Eudaemonia trogophylla", "Eudaemonia trogophylla trogophylla", "Eudaemonia trogophylla hartfordi", "Potamocypris hummelincki", "Potamocypris illinoisensis", "Potamocypris insularis", "Potamocypris islagrandensis", "Anisotoma alesi", "Orphinus luzonicus", "Titanolabis colossea", "Chiloglanis niloticus", "Chiloglanis normani", "Chiloglanis occidentalis", "Metafruticicola kizildagensis", "Astrophocaudia slaughteri", "Atemnus limuensis", "Atemnus politus", "Hypselistes semiflavus", "Hypselistes jacksoni", "Timarcha goettingensis", "Spongospora subterranea", "Atheta librevillensis", "Atheta mondahensis", "Brachida gabonensis", "Cameronium gabonense", "Coenonica wingonbiensis", "Drusilla gabonensis", "Eustenidia gabonensis", "Corybas dienemus", "Kemulariella abchasica", "Kemulariella caucasica", "Kemulariella colchica", "Kemulariella tuganiana", "Symphyotrichum squamatum", "Helichrysum yuksekovaense", "Lamium album subsp. crinitum", "Habenaria petalodes", "Newzealandaxius novaezealandiae", "Myrmechusa gabonensis", "Neosmectonia gabonensis", "Porus gabonensis", "Atlantoscia petronioi", "Atopsyche blahniki", "Atopsyche parauna", "Micragone herilla", "Micragone joiceyi", "Micragone kalamboensis", "Micragone kasanka", "Micragone kitaiensis", "Micragone lichenodes", "Potamocypris compressa", "Potamocypris elegantula", "Potamocypris dadayi", "Micragone loutemboensis", "Micragone mirei", "Micragone morini", "Potamocypris deflexa", "Micragone nenioides", "Micragone neonubifera", "Micragone nubifera", "Micragone nyasae", "Potamocypris dorsomarginata", "Micragone trefurthi", "Micragone udzungwa", "Holocerina agomensis", "Chiloglanis paratus", "Potamocypris philotherma", "Potamocypris fallax", "Stratesaurus taylori", "Axestemys splendida", "Axestemys montinsana", "Axestemys cerevisia", "Axestemys byssina", "Cypris puertoricoensis", "Clusia mangle", "Floydwernerius walkeri", "Sagittalarva inornata", "Atopsyche galharada", "Atopsyche urumarca", "Atopsyche plancki", "Urota manicaensis", "Urota conjuncta", "Urota herbuloti", "Urota sinope", "Prunus domestica subsp. insititia", "Adafroptilum acuminatum", "Adafroptilum austriorientale", "Adafroptilum exiguum", "Adafroptilum incanum", "Adafroptilum occidaneum", "Adafroptilum permixtum", "Adafroptilum rougerii", "Adafroptilum scheveni", "Adafroptilum septiguttata", "Adafroptilum indivisum", "Adafroptilum kitongaensis", "Adafroptilum lejorai", "Adafroptilum quinquevitreatum", "Adafroptilum schmiti", "Campimoptilum simukondei", "Campimoptilum pareensis", "Campimoptilum sparsum", "Campimoptilum boulardi", "Campimoptilum hollandi", "Campimoptilum kuntzei", "Acraea severina", "Acraea severina severina", "Acraea severina terreirovelhoensis", "Micragone mpandana", "Micragone agathylla", "Micragone agathylla agathylla", "Micragone agathylla flammostriata", "Atyaephyra desmarestii", "Atyaephyra orientalis", "Corybas sulcatus", "Atyaephyra stankoi", "Atyaephyra thyamisensis", "Atyaephyra strymonensis", "Dactylorhiza romana subsp. romana", "Potamocypris koenikei", "Potamocypris lobata", "Dactylorhiza romana subsp. georgica", "Maltagorea auricolor", "Maltagorea auricolor auricolor", "Maltagorea auricolor variabile", "Maltagorea cincta", "Maltagorea dura", "Maltagorea vulpina", "Silene mandonii", "Macratria abun", "Macratria asmat", "Macratria brazzaensis", "Macratria cryptica", "Macratria forficula", "Macratria opaca", "Macratria pluvialis", "Macratria pseudodensata", "Macratria riparia", "Macratria spathulata", "Macratria tamarau", "Macratria trimembris", "Acanthocephala heissi", "Leptogium ethiopicum", "Promalactis bifurciprocessa", "Badister indicus", "Baltipanorpa damzeni", "Promalactis convexa", "Promalactis papillata", "Batricavus abdominalis", "Batricavus hainanensis", "Promalactis quadratitabularis", "Promalactis quadriloba", "Promalactis ramispinea", "Promalactis scorpioidea", "Promalactis serpenticapitata", "Promalactis similiconvexa", "Promalactis spinosicornuta", "Promalactis strumifera", "Promalactis uncinispinea", "Atlapetes blancae", "Psammophiliella muralis", "Isthmoconidium bacidiicola", "Coelogyne speciosa subsp. fimbriata", "Coelogyne speciosa subsp. incarnata", "Leontodon asperrimus", "Hellinsia cuculla", "Hellinsia caras", "Gentiana brachyphylla subsp. brachyphylla", "Gentiana verna subsp. verna", "Gentiana tergestina subsp. balcanica", "Gentiana tergestina subsp. pontica", "Cobitis sinensis", "Arctomia fascicularis", "Arctomia leptospora", "Baeus kuscheli", "Baeus anelosimus", "Baeus jabaquara", "Baeus auraticeps", "Baeus achaearaneus", "Baeus metazygiae", "Baeus platensis", "Baeus latrodecti", "Bonnetina papalutlensis", "Bonnetina tanzeri", "Bornia aartseni", "Potamocypris sudzukii", "Arctomia uviformis", "Plaumanniola regina", "Leptogium nylanderi", "Leptogium mantiqueirense", "Bertrandiella chamelaensis", "Bertrandiella jimenezi", "Bertrandiella otophila", "Bertrandiella tenuipes", "Pimeliaphilus insignis", "Pimeliaphilus sharifii", "Potamocypris stewarti", "Coelogyne speciosa subsp. speciosa", "Cryptocephalus hypochaeridis", "Hellinsia nigricalcarius", "Hellinsia cajanuma", "Gonioctena pallida", "Lapsana communis subsp. grandiflora", "Inula multicaulis", "Stathmopoda ficifora", "Stathmopoda ignominiosa", "Stathmopoda sycastis", "Stathmopoda sycophaga", "Hellinsia muraseae", "Hellinsia puruha", "Chrysomela betulae", "Chrysolina haemoptera", "Bennelongia dedeckkeri", "Bennelongia mckenziei", "Bennelongia regina", "Hellinsia orellanai", "Colaspis occidentalis", "Beronaphaenops paphlagonicus", "Cyphon padi", "Hellinsia sucrei", "Hellinsia canari", "Dactylorhiza romana subsp. guimaraesii", "Hellinsia hoguei", "Dactylorhiza fuchsii subsp. carpatica", "Dactylorhiza fuchsii subsp. hebridensis", "Hellinsia pallens", "Macratria rectipilis", "Macratria caledonica", "Anthicomorphus rugulosus", "Tomoderus horningi", "Aaleniella compressa", "Sapintus rarus", "Odonteus gandhara", "Loxura atymnus", "Calphurnioides insolitus", "Potamocypris mastigophora", "Calisto aquilum", "Calisto dissimulatum", "Calisto torrei", "Fumaria purpurea", "Rudenia immanis", "Rudenia leguminana", "Rudenia nigrans", "Rudenia paupercula", "Potamocypris narayanani", "Potamocypris ombrophila", "Potamocypris pallida", "Saphenista discrepans", "Saphenista embolina", "Saphenista endomycha", "Saphenista eneilema", "Saphenista ephimera", "Saphenista epiera", "Saphenista epipolea", "Saphenista erasmia", "Saphenista ereba", "Saphenista euprepia", "Saphenista fluida", "Saphenista glorianda", "Saphenista gnathmocera", "Saphenista illimis", "Saphenista lassa", "Saphenista livida", "Saphenista mediocris", "Saphenista melema", "Byrsax niponicus amamiensis", "Caenocrepis formidolosa", "Caenocrepis simonae", "Caligus evelynae", "Potamocypris variegata", "Aphyosemion pamaense", "Aphyosemion alpha", "Scandix australis subsp. australis", "Scandix australis subsp. brevirostris", "Scandix australis subsp. curvirostris", "Scandix australis subsp. cyrenaica", "Scandix aucheri", "Scandix balansae", "Scandix blepharicarpa", "Scandix brachycarpa", "Scandix damascena", "Scandix palaestina", "Scandix persica", "Cynandra opis opis", "Cynandra opis bernardii", "Pertusaria weii", "Fellhanera crucitignorum", "Gladiolus crassifolius", "Sphinctrina paramerae", "Pertusaria paramerae", "Bunburia prima", "Buthus orientalis", "Byrsax hiranoi", "Byrsax lewisi", "Byrsax nishinoi", "Byrsax takakuwai", "Byrsax niponicus", "Epyaxa rosearia", "Epyaxa venipunctata", "Dalmodes brevicollis", "Dalmodes brunneus", "Dalmodes ensipes", "Dalmodes mexicanus", "Chlenias banksiaria", "Alouatta mauroi", "Potamocypris reticulata", "Potamocypris saskatchewanensis", "Athamanthia alexandra", "Athamanthia alexandra alexandra", "Athamanthia alexandra darja", "Athamanthia alexandra zhanibeki", "Athamanthia alexandra nuratavica", "Potamocypris similis", "Potamocypris smaragdina", "Pellecebra superba", "Hecata splendens", "Selena vesta", "Tragoptyssa flavimaculata", "Ammacosola pygmula", "Chrysomela haemorrhoidalis", "Cryptopacha porphyria", "Potamocypris steueri", "Pieris shangrilla", "Stathmopoda fusciumeraris", "Stathmopoda aprica", "Stathmopoda astricta", "Stathmopoda crassella", "Stathmopoda ficipastica", "Bracalba globosa", "Bracalba plana", "Bracalba clavata", "Bracalba hesperia", "Bracalba intermedia", "Bracalba magnirubra", "Bracalba parvirubra", "Bracalba pinnula", "Bracalba propodealis", "Bracalba sculptifrons", "Bracalba sparsa", "Bracalba tricorata", "Bracalba tridentata", "Hellinsia pizarroi", "Hellinsia ruminahuii", "Hellinsia surinamensis", "Hellinsia magnus", "Hellinsia argutus", "Hellinsia quitus", "Arctomia papuanorum", "Anchusa cespitosa", "Anchusa gmelinii", "Verrucaria hydrophila", "Verrucaria nodosa", "Verrucaria placida", "Verrucaria rosula", "Arthonia diorygmae", "Arenicola marina", "Bracalba cuneata", "Bracalba laminata", "Bracalba nigrescens", "Breviscutum lunatum", "Brevitalitrus kumanoi", "Potamocypris unicaudata", "Bryophaenocladius mucronatus", "Bryophaenocladius parictericus", "Peltigera wulingensis", "Buitinga batwa", "Buitinga wataita", "Cynandra opis", "Saphenista milicha", "Saphenista mira", "Saphenista nongrata", "Saphenista omoea", "Saphenista peraviae", "Saphenista peruviana", "Saphenista phenax", "Saphenista praia", "Saphenista rafaeliana", "Saphenista rawlinsiana", "Saphenista solda", "Saphenista storthingoloba", "Saphenista temperata", "Saphenista xysta", "Potamocypris paludum", "Saphenista teopiscana", "Saphenista domna", "Saphenista eranna", "Saphenista gilva", "Saphenista imaginaria", "Saphenista incauta", "Saphenista juvenca", "Saphenista lathridia", "Saphenista nauphraga", "Saphenista nuda", "Saphenista onychina", "Saphenista oreada", "Saphenista orescia", "Saphenista orichalcana", "Saphenista ryrsiloba", "Saphenista sclerorhaphia", "Saphenista frangula", "Saphenista lacteipalpis", "Saphenista multistrigata", "Saphenista nephelodes", "Saphenista nomonana", "Saphenista praefasciata", "Saphenista pruinosana", "Saphenista saxicolana", "Saphenista semistrigata", "Saphenista sphragidias", "Saphenista substructa", "Potamocypris problematica", "Urota zambiensis", "Urota nguruensis", "Urota ulembwensis", "Bellubrunnus rothgaengeri", "Urota koupensis", "Bembidion ricei", "Bengalia africanoides", "Yatanga arabica", "Yatanga decolor", "Yatanga oriens", "Yatanga smithi", "Yatanga uniformis", "Scandix verna", "Crepis commutata", "Dendrobium griffithianum", "Aerides houlletiana", "Caligus longiramus", "Caligus macoloricola", "Caligus praecinctorius", "Caligus ogawai", "Caligus quadrigenitalis", "Calliostoma tupinamba", "Callophrys suaveola kozlovi", "Potamocypris villosa", "Paphiopedilum callosum var. sublaeve", "Jaltomata repandidentata", "Cambalida compressa", "Cambalida dippenaarae", "Cambalida griswoldi", "Cambalida lineata", "Cambalida unica", "Tubuaia kermadecensis", "Potamocypris worthingtoni", "Phlegmariurus sieberianus", "Adaina atahualpa", "Agrostistachys indica", "Trichomycterus ocanaensis", "Cardamine abchasica", "Cardamine purpurascens", "Cardamine iberica", "Cardamine penzesii", "Hellinsia postnigrata", "Hellinsia huayna", "Hellinsia benalcazari", "Potamocypris zschokkei", "Hellinsia papallacta", "Hellinsia barbatus", "Hellinsia ochricostatus", "Vincetoxicum magnificum", "Hellinsia shyri", "Hellinsia praenigratus", "Hellinsia tupaci", "Hellinsia aguilerai", "Hellinsia alfaroi", "Hellinsia angela", "Hellinsia lumbaquia", "Hellinsia maldonadoica", "Hellinsia milleri", "Hellinsia montufari", "Hellinsia morenoi", "Hellinsia nigrosparsus", "Hellinsia ossipellis", "Hellinsia pichincha", "Hellinsia tepidus", "Hellinsia zetes", "Oidaematophorus pseudotrachyphloeus", "Oidaematophorus trachyphloeus", "Emmelina aethes", "Emmelina jason", "Emmelina suspiciosus", "Phalaenopsis aphrodite subsp. aphrodite", "Aparatanais timutimu", "Acallocheirus echmanomus", "Penteparatanais laevicarpus", "Paratanais caterae", "Paratanais hamulus", "Paratanais incomptus", "Paratanais puia", "Paratanais pseudomartinsi", "Aparatanais denticulatus", "Aparatanais intermedius", "Aparatanais malignus", "Aparatanais spinanotandus", "Aparatanais vicentetis", "Paratanais martinsi", "Paratanais tanyherpes", "Paratanais wanga", "Acanthophyllum acerosum", "Acanthophyllum microcephalum", "Acanthophyllum mucronatum", "Acanthophyllum verticillatum", "Acanthus dioscoridis var. perringii", "Acanthus hirsutus", "Acanthus hirsutus subsp. syriacus", "Acanthus hirsutus subsp. hirsutus", "Dysoxylum beddomei", "Actinolema eryngioides", "Adenostyles alliariae subsp. orientalis", "Andrzeiowskia cardamine", "Huttonobesseria verecunda", "Cambalida loricifera", "Eucomatocera minuta", "Thalassohelix pygmaea", "Chrysolina polita", "Himantura tutul", "Cambalida coriacea", "Cambalida deminuta", "Cambalida fagei", "Cambalida fulvipes", "Calloporina mariae", "Lasioglossum seillean", "Danhatchia australis", "Camptothlipsis aagota", "Camptothlipsis lingualongis", "Camptothlipsis inertusursus", "Camptothlipsis arabica", "Epimedium pinnatum subsp. colchicum", "Fumaria asepala", "Tulipa subg.", "Callothlaspi lilacinum", "Caladenia tentaculata", "Hyponephele capella", "Hyponephele capella capella", "Hyponephele capella shivacola", "Hyponephele naricina", "Hyponephele fusca", "Hyponephele naricoides", "Hyponephele kocaki", "Hyponephele kocaki kocaki", "Hyponephele kocaki melesina", "Leptodeuterocopus tungurahue", "Leptodeuterocopus panamaensis", "Diuris orientis", "Polistes major", "Stenoloba solaris", "Polyommatus ripartii", "Polyommatus ripartii ripartii", "Polyommatus ripartii colemani", "Polyommatus ripartii ovchinnikovi", "Mastixia arborea", "Polyommatus damocles kanduli", "Polyommatus putnami", "Polyommatus haigi", "Aegithus clavicornis", "Mesolia alborzella", "Mesolia meyi", "Mesolia uniformella", "Adaina bolivari", "Adaina scalesiae", "Adaina ipomoeae", "Chocophorus mayaensis", "Carabus francottei", "Carabus eccoptopteroides", "Chrysomela decempunctata", "Dactylorhiza alpestris", "Moenchia erecta", "Moenchia erecta subsp. erecta", "Moenchia erecta subsp. octandra", "Dactylorhiza insularis", "Lindera tessellatella", "Cautires taoi", "Cautires walteri", "Cautires sukosarensis", "Cautires obsoletus", "Cautires singularithorax", "Centris byrsonimae", "Centris pulchra", "Carabus faminii romanoi", "Pinguicula habilii", "Carabus hummeli putyatini", "Prolesophanta dyeri", "Chionobathyscus dewitti", "Sufetula hypochropa", "Sufetula melanophthalma", "Sufetula metallias", "Sufetula minimalis", "Sufetula minuscula", "Sufetula nigrescens", "Sufetula nitidalis", "Sufetula obliquistrialis", "Sufetula polystrialis", "Sufetula rectifascialis", "Sufetula sacchari", "Sufetula sufetuloides", "Sufetula sunidesalis", "Sufetula sythoffi", "Sufetula trichophysetis", "Aboetheta pteridonoma", "Coenobita variabilis", "Lopholatilus chamaeleonticeps", "Agrosoma akenalis", "Cardicola parvus", "Cardicola nonamo", "Neocondeellum chaoyangensis", "Omiodes hallwachsae", "Omiodes janzeni", "Hesperentomon liaoningensis", "Lavatera bryoniifolia", "Anthyllis vulneraria subsp. boissieri", "Onobrychis montana subsp. montana", "Bulbophyllum tuberculatum", "Leptodeuterocopus angulatus", "Leptodeuterocopus duchicela", "Sochchora mulinus", "Melanoptilia arsenica", "Melanoptilia nigra", "Melanoptilia chalcogastra", "Melanoptilia haemogastra", "Amoeba proteus", "Chrysolina sanguinolenta", "Chrysolina marginata", "Platyptilia spicula", "Lantanophaga minima", "Stenoptilodes agricultura", "Stenoptilodes maculatus", "Cypholomia amphiaula", "Cypholomia crypsibela", "Cypholomia leptodeta", "Casminola subseminigra", "Hannara buloloensis", "Carebara sakamotoi", "Hannara gentis", "Cassidibracon gracillariae", "Callispa houjayi", "Callispa tsoui", "Moenchia mantica", "Moenchia mantica subsp. caerulea", "Moenchia mantica subsp. mantica", "Lepidoscia lainodes", "Platyphora aestuans", "Barbucca elongata", "Rasbora vietnamensis", "Marcusenius gracilis", "Marcusenius furcidens", "Marcusenius mento", "Marcusenius senegalensis", "Marcusenius senegalensis senegalensis", "Marcusenius senegalensis gracilis", "Lepidozonates prominens", "Lepidozonates tenebrosellus", "Lepidozonates viciniolus", "Calligrapha philadelphica", "Pogonophryne skorai", "Sufetula carbonalis", "Sufetula diminutalis", "Cephennodes yonaguniensis", "Sufetula albicans", "Ceratina monstrata", "Sufetula alychnopa", "Ceratina rukaina", "Sufetula bilinealis", "Ceratina seikii", "Sufetula brunnealis", "Ceratina yamanei", "Sufetula chagosalis", "Sufetula choreutalis", "Sufetula cyanolepis", "Sufetula dematrialis", "Sufetula dulcinalis", "Sufetula flexalis", "Sufetula grumalis", "Ceratocader langlandsi", "Ceratocader coatesi", "Ceratocader bridgettae", "Sufetula hemiophthalma", "Sufetula hypochiralis", "Omiodes ochracea", "Omiodes sirena", "Odontria magna", "Nicrophorus efferens", "Acartophthalmus coxata", "Acartophthalmus bicolor", "Acartophthalmus nigrinus", "Acartophthalmus latrinalis", "Acartophthalmus pusio", "Ceratosomicola japonica", "Splanchnotrophus helianthus", "Splanchnotrophus imagawai", "Majimun shirakawai", "Ptenidium kishenehnicum", "Entomoscelis sacra", "Laccobius minutus", "Altica oleracea", "Psylliodes chrysocephalus", "Hoplichthys imamurai", "Psylliodes hyoscyami", "Chrysomela helxines", "Longitarsus exsoletus", "Derocrepis rufipes", "Longitarsus holsaticus", "Caladenia alata", "Chrysomela hemisphaerica", "Hopperia beaglense", "Aploceble viridiaeneus", "Chenistonia boranup", "Plutella psammochroa", "Ceratophysella tupamara", "Cherax austini", "Cherax cid", "Chersodromia bulohensis", "Chersodromia flavicaput", "Chersodromia obscura", "Chersodromia sylvicola", "Temnorhynchus sjoestedti", "Temnorhynchus zairensis", "Aconitum senanense", "Aconitum japonicum subsp. ibukiense", "Milvus aegyptius", "Pleurothallis niveoglobula", "Aconitum sect.", "Elaphropeza biuncinata", "Elaphropeza murphyi", "Elaphropeza crassicercus", "Elaphropeza temasek", "Elaphropeza sivasothii", "Elaphropeza limosa", "Elaphropeza shufenae", "Elaphropeza monospina", "Elaphropeza asiophila", "Elaphropeza riatanae", "Elaphropeza furca", "Elaphropeza malayensis", "Elaphropeza chanae", "Elaphropeza gohae", "Elaphropeza lowi", "Elaphropeza luteoides", "Elaphropeza ubinensis", "Elaphropeza modesta", "Elaphropeza feminata", "Elaphropeza semakau", "Chrysomela surinamensis", "Chrysomela litera", "Cota oxylepis", "Cota wiedemanniana", "Omophoita aequinoctialis", "Labidostomis tridentata", "Cryptocephalus bipunctatus", "Cryptocephalus moraei", "Cryptocephalus nitidus", "Phytodietus enriquei", "Phytodietus zealandicus", "Phytodietus pearlus", "Phytodietus australicus", "Phytodietus queenslandicus", "Phytodietus januszi", "Chersodromia glandula", "Chersodromia malaysiana", "Chersodromia nigripennis", "Chersodromia pasir", "Chersodromia singaporensis", "Chersodromia tiomanensis", "Pontodromia pantai", "Acanthopagrus latus", "Crossopalpus exul", "Crossopalpus hirsutipes", "Acanthopagrus longispinnis", "Crossopalpus temasek", "Acanthopagrus morrisoni", "Acanthopagrus arabicus", "Acanthopagrus sheim", "Laurelia otagoensis", "Lepidium aegrum", "Lepidium amissum", "Lepidium castellanum", "Lepidium crassum", "Lepidium juvencum", "Lepidium limenophylax", "Lepidium oblitum", "Lepidium oligodontum", "Lepidium panniforme", "Lepidium rekohuense", "Lepidium seditiosum", "Silene caucasica", "Archanthemis marschalliana subsp. marschalliana", "Archanthemis marschalliana subsp. sosnowskyana", "Cota dipsacea", "Pseudolarix arnoldii", "Pseudolarix erensis", "Drapetis bakau", "Drapetis hutan", "Drapetis laut", "Drapetis mandai", "Drapetis pantai", "Phytodietus javieri", "Elaphropeza singulata", "Elaphropeza asexa", "Elaphropeza collini", "Phytodietus sarae", "Elaphropeza kranjiensis", "Phytodietus ruizi", "Phytodietus ninyoi", "Phytodietus whartoni", "Nanodromia hutan", "Nanodromia narmjeud", "Nanodromia narmkroi", "Nanodromia phukhao", "Nanodromia spinulosa", "Nanodromia taksin", "Stilpon angkorensis", "Stilpon arcuatum", "Stilpon goesi", "Stilpon laawae", "Stilpon malayensis", "Stilpon neesoonensis", "Stilpon nigripennis", "Stilpon singaporensis", "Stilpon weilingae", "Enicospilus skeltonii", "Enicospilus diae", "Enicospilus vitry", "Enicospilus florarum", "Enicospilus migueli", "Enicospilus tocaimensis", "Enicospilus fatimahae", "Enicospilus gladiator", "Enicospilus ashei", "Enicospilus blackburni", "Enicospilus dorsolineatus", "Enicospilus elekino", "Enicospilus hainesi", "Enicospilus swezeyi", "Enicospilus minimus", "Enicospilus petilus", "Acer monspessulanum subsp. cinerascens", "Acer monspessulanum subsp. ibericum", "Acer monspessulanum subsp. microphyllum", "Acer monspessulanum subsp. oksalianum", "Acer monspessulanum subsp. monspessulanum", "Acer monspessulanum subsp. persicum", "Acer monspessulanum subsp. turcomanicum", "Acer campestre subsp. leiocarpum", "Acer campestre subsp. campestre", "Codonorchis lessonii", "Oreorchis patens", "Aconitum sect.", "Tillandsia fasciculata", "Aconitum sect.", "Glyptothorax igniculus", "Anemonia sulcata", "Anemonia viridis", "Tebenna gnaphaliella", "Clivosurella pilosa", "Uroseius loksai", "Uropoda ecuadorica", "Clubiona aberrans", "Clubiona digitata", "Clypeostoma reticulatum", "Clypeostoma salpinx", "Clypeostoma meteorae", "Caladenia nothofageti", "Caladenia variegata", "Caladenia atradenia", "Caladenia lyallii", "Clypeostoma nortoni", "Chimarra soroa", "Genoplesium nudum", "Genoplesium pumilum", "Chlerogelloides nexosa", "Chrysopodes fumosus", "Chrysopodes hagenorum", "Chrysopodes serrabonitensis", "Chrysotimus dalongensis", "Chrysotimus huairouensis", "Chrysotimus hubeiensis", "Cteniopus sulphureus", "Saxifraga adscendens subsp. parnassica", "Saxifraga adscendens subsp. adscendens", "Saxifraga carpetana", "Saxifraga carpetana subsp. carpetana", "Saxifraga carpetana subsp. graeca", "Chubbina fourcadei", "Saxifraga hederacea var. hederacea", "Saxifraga hederacea var. libanotica", "Aconitum ser.", "Champsocephalus esox", "Aconitum sect.", "Aconitum ser.", "Lepidium naufragorum", "Ballota antalyensis", "Ballota glandulosissima", "Ballota macrodonta", "Pseudodictamnus latibracteolatus", "Pseudodictamnus inaequidens", "Ballota cristata", "Pseudodictamnus rotundifolius", "Ballota saxatilis", "Ballota saxatilis subsp. brachyodonta", "Ballota saxatilis subsp. saxatilis", "Cryptocephalus pini", "Dipsacus cephalarioides", "Dipsacus strigosus", "Taraxacum tuzgoluense", "Cryptocephalus decemmaculatus", "Chrysomela bothnica", "Heliotropium bovei", "Heliotropium dolosum", "Heliotropium ferrugineogriseum", "Heliotropium greuteri", "Cryptocephalus cordiger", "Heliotropium haussknechtii", "Heliotropium hirsutissimum", "Heliotropium myosotoides", "Heliotropium suaveolens", "Cryptocephalus sexpunctatus", "Angraecum elephantinum", "Maxillaria grandiflora", "Tofieldia okuboi", "Chiasmognathus batelkai", "Boletus frostii", "Thyreus denolii", "Thyreus batelkai", "Thyreus schwarzi", "Thyreus aistleitneri", "Coccobius zalama", "Coccobius amala", "Aconitum japonicum subsp. japonicum", "Chydaeus fugongensis", "Chydaeus gutangensis", "Chydaeus hanmiensis", "Chydaeus asetosus", "Chydaeus baoshanensis", "Chydaeus satoi", "Cicadatra ziaratica", "Cicadatra gingat", "Caladenia bartlettii", "Caladenia chlorostyla", "Civizelotes ibericus", "Civizelotes medianoides", "Venicoris solaris", "Clavaticoris zhengi", "Schrankia separatalis", "Schrankia taenialis", "Aconitum ser.", "Aconitum ser.", "Ceylalictus perditellus", "Paropsisterna selmani", "Chimarra calori", "Chimarra onchyrhina", "Chimarra inchoata", "Chimarra nicehuh", "Chimarra sunima", "Chimarra cauca", "Chimarra desirae", "Chimarra curvipenis", "Chimarra latiforceps", "Passiflora sect.", "Neottia nidus-avis", "Cryptoprocta spelea", "Micromimetus pictipes", "Micromimetus kusaiensis", "Lythrum tribracteatum", "Lythrum volgense", "Lythrum baeticum", "Lythrum breviflorum", "Lythrum gracile", "Lythrum linearifolium", "Lythrum linifolium", "Lythrum ovalifolium", "Lythrum virgultosum", "Lythrum vulneraria", "Vaceuchelus cretaceus", "Vaceuchelus gemmula", "Vaceuchelus jayorum", "Vaceuchelus natalensis", "Vaceuchelus semilugubris", "Perrinia angulifera", "Perrinia konos", "Perrinia stellata", "Sisor pakistanicus", "Anexochus crassicornis", "Coccidophilus chilensis", "Coccidophilus ferrui", "Coccidophilus mendozai", "Coccidophilus occidentalis", "Coccidophilus vandenbergae", "Coccidophilus transandinus", "Cryptostylis subulata", "Lobariella pallida", "Pterostylis trullifolia", "Pterostylis alobula", "Lythrum maritimum", "Townsonia deflexa", "Townsonia viridis", "Pseudocistela ceramboides", "Isomira murina", "Calochilus herbaceus", "Calochilus paludosus", "Calochilus robertsonii", "Colastomion gregarius", "Colastomion masalaii", "Colastomion madangensis", "Colastomion crambidtphagus", "Colastomion parotiphagus", "Colastomion wanang", "Colastomion cheesmanae", "Colastomion pukpuk", "Colastomion maclayi", "Linum annotinum", "Linum boissieri", "Linum cariense", "Linum densiflorum", "Linum empetrifolium", "Linum meletonis", "Linum pamphylicum", "Linum persicum", "Linum peyronii", "Linum punctatum", "Linum seljukorum", "Linum tmoleum", "Linum triflorum", "Linum unguiculatum", "Linum vanense", "Hippocampus patagonicus", "Trichocentrum ascendens", "Orthotomus chaktomuk", "Rossioglossum ampliatum", "Passiflora sect.", "Passiflora sect.", "Passiflora sect.", "Notophthiracarus paraunicarinatus", "Notophthiracarus dugdalei", "Notophthiracarus matatatipu", "Notophthiracarus whakau", "Mudwigglus macramphidum", "Mudwigglus patumuka", "Mudwigglus plebeius", "Mudwigglus nellyae", "Notophthiracarus bonangensis", "Austrophthiracarus cronadun", "Austrophthiracarus tawhai", "Austrophthiracarus neotrichus", "Danilia boucheti", "Danilia textilis", "Ascetostoma providentiae", "Macrogena minor", "Euchelus alabastrum", "Euchelus atratus", "Herpetopoma serratocinctum", "Herpetopoma stictum", "Macrogena monodactyla", "Pterostylis alveata", "Pterostylis brumalis", "Pterostylis puberula", "Pholidotrope gloriosa", "Granata cumingii", "Granata sulcifera", "Acuclavella leonardi", "Acuclavella makah", "Acuclavella quattuor", "Acuclavella sheari", "Acuclavella shoshone", "Hedera cypria", "Rhynchophorus palmarum", "Gymnopus imbricatus", "Gymnopus ceraceicola", "Gymnopus hakaroa", "Human immunodeficiency virus 1", "Human immunodeficiency virus 2", "Calanthe puberula", "Chrysomela inda", "Pyrgidium bengaliense", "Pyrgidium leptoconium", "Pyrgidium montellicum", "Oreina elongata", "Lunaria telekiana", "Corybas cheesemanii", "Passiflora sect.", "Herpetopoma instrictum", "Herpetopoma seychellarum", "Herpetopoma helix", "Herpetopoma naokoae", "Herpetopoma xeniolum", "Calanthe undulata", "Indocandona biharensis", "Drymoanthus minimus", "Drymoanthus minutus", "Bulbophyllum pygmaeum", "Trikentrion laeve", "Trikentrion flabelliforme", "Trikentrion helium", "Hypera rumicis", "Cyrtostylis oblonga", "Cyrtostylis rotundifolia", "Drymoanthus adversus", "Drymoanthus flavus", "Crisilla ramosorum", "Trichomycterus balios", "Cryptonome conclava", "Trichomycterus brachykechenos", "Chamaecyparis thyoides subsp. henryae", "Trichomycterus diatropoporos", "Chamaecyparis thyoides subsp. thyoides", "Trichomycterus poikilos", "Magdalis violacea", "Curculio alliariae", "Curculio aterrimus", "Magdalis cerasi", "Curculio purpureus", "Candonopsis urmilae", "Dorytomus dorsalis", "Rhodobaenus melanocardius", "Trikentrion muricatum", "Passiflora kwangtungensis", "Acyrthosiphon pisum", "Crassolabium persicum", "Cratoenigma articulata", "Gomesa ciliata", "Indocandona krishnakanti", "Bothrophora lupina", "Taylorilygus apicalis", "Triticella capsularis", "Crematogaster telolafy", "Crematogaster razana", "Crematogaster mpanjono", "Crematogaster volamena", "Cretohypna cristata", "Criconema arkaense", "Criconema warrenense", "Cyclochlamys incubata", "Chlamydella favus", "Micropecten excuratus", "Curculio quinquemaculatus", "Rhinoncus pericarpius", "Asclepias incarnata subsp. pulchra", "Lophiodes iwamotoi", "Glyptothorax radiolus", "Neoblastobasis camelliae", "Cryptops malabarensis", "Ctenoimbricata spinosa", "Curtohibolites bourguetensis", "Hypostomus jaguar", "Curculio indus", "Blitum nuttallianum", "Blitum litwinowii", "Blitum korshinskyi", "Blitum petiolare", "Blitum atriplicinum", "Earina aestivalis", "Rossioglossum oerstedii", "Delphinium subg.", "Delphinium sect.", "Austroteneriffia shiraziensis", "Rossioglossum splendens", "Rossioglossum williamsianum", "Oopterus collaris", "Oopterus pallidipes", "Oopterus frontalis", "Oopterus nigritulus", "Oopterus sculpturatus", "Oopterus fulvipes", "Oopterus sobrinus", "Oopterus laevicollis", "Oopterus laevigatus", "Oopterus latifossus", "Oopterus minor", "Oopterus suavis", "Oopterus ocularius", "Oopterus lewisi", "Oopterus atratus", "Oopterus femoralis", "Oopterus labralis", "Oopterus probus", "Oopterus puncticeps", "Oopterus pygmeatus", "Oopterus parvulus", "Oopterus latipennis", "Oopterus helmsi", "Colpocephalum afrozeae", "Dugesia superioris", "Bonomiella zenaidae", "Bonomiella columbae", "Bonomiella afra", "Bonomiella beieri", "Bonomiella concii", "Bonomiella insolitunguicolata", "Wekamiris auropilosus", "Earina autumnalis", "Gastrodia cunninghamii", "Gastrodia minor", "Chenopodiastrum coronopus", "Chenopodiastrum hybridum", "Chenopodiastrum badachschanicum", "Chenopodiastrum simplex", "Cyamon amphipolyactinum", "Cyamon arguinense", "Cyamon hamatum", "Cyamon vickersii", "Cyamon agnani", "Corydoras lymnades", "Glanidium botocudo", "Gephyrocharax torresi", "Rossioglossum hagsaterianum", "Rossioglossum insleayi", "Rossioglossum krameri", "Orchestes quercus", "Hypera arator", "Ellescus bipunctatus", "Chiloglottis formicifera", "Tometes camunani", "Chiloglottis trapeziformis", "Coccidophilus lozadai", "Coccidophilus luciae", "Coccidophilus octomerus", "Eugerres castroaguirrei", "Coccidophilus aimogastaensis", "Nedyus quadrimaculatus", "Eugerres mexicanus", "Coccidophilus barrigai", "Yosemitia graciella", "Microweisea capsularis", "Microweisea colombiana", "Cyclochlamys aperta", "Trikentrion catalina", "Trikentrion africanum", "Maindronia beieri", "Maindronia neotropicalis", "Maindronia mascatensis", "Nyx viscachensis", "Brachypeplus habecki", "Cyllodes thomasi", "Neolucanus punctulatus", "Neolucanus rudolphi", "Oribotritia duplex", "Sabacarus corneri", "Roeboides bussingi", "Astyanax guaricana", "Propeamussium andamanense", "Propeamussium caducum", "Propeamussium investigatoris", "Cyamon aruense", "Cyamon koltuni", "Cyamon neon", "Cyamon argon", "Cyamon quinqueradiatum", "Cyamon quadriradiatum", "Cyamon spinispinosum", "Oribotritia bilaminae", "Oribotritia mangamuka", "Metamasius hemipterus", "Propeamussium jeffreysii", "Propeamussium rubrotinctum", "Propeamussium siratama", "Atropacarus controvertus", "Parvamussium cristatellum", "Parvamussium multiliratum", "Parvamussium pauciliratum", "Pterostylis tanypoda", "Pterostylis tristis", "Microtis arenaria", "Aeolothrips eremicola", "Microtis oligantha", "Ochthebius capicola", "Microtis unifolia", "Microtis parviflora", "Microtis pulchella", "Corybas cryptanthus", "Corybas saprophyticus", "Otiorhynchus scaber", "Delectopecten musorstomi", "Corybas acuminatus", "Corybas trilobus", "Corybas iridescens", "Corybas rivularis", "Corybas macranthus", "Corybas orbiculatus", "Corybas papa", "Parasidis australis", "Parasidis porteri", "Caladenia calyciformis", "Exophthalmus vittatus", "Caladenia saccata", "Pterostylis tasmanica", "Prasophyllum colensoi", "Prasophyllum hectori", "Pterostylis agathicola", "Bloszykiella grebennikovi", "Austrophthiracarus aenus", "Austrophthiracarus fusticulus", "Austrophthiracarus lamingtoni", "Austrophthiracarus largus", "Austrophthiracarus aculeatus", "Austrophthiracarus baloghi", "Austrophthiracarus dissonus", "Austrophthiracarus egregius", "Austrophthiracarus facetus", "Austrophthiracarus hallidayi", "Austrophthiracarus kochi", "Austrophthiracarus latior", "Austrophthiracarus michaeli", "Austrophthiracarus multisetosus", "Austrophthiracarus mutabilis", "Austrophthiracarus nicoleti", "Austrophthiracarus perpropinqus", "Austrophthiracarus perti", "Austrophthiracarus pilosus", "Austrophthiracarus radiatus", "Austrophthiracarus scopoli", "Austrophthiracarus sellnicki", "Austrophthiracarus tragardhi", "Austrophthiracarus wallworki", "Austrophthiracarus willmanni", "Elpidium merendonense", "Austrophthiracarus glennieensis", "Austrophthiracarus parafusticulus", "Austrophthiracarus warburtonensis", "Austrophthiracarus weldboroughensis", "Austrophthiracarus parapilosus", "Austrophthiracarus parapulchellus", "Microtritia novazealandensis", "Notophthiracarus flagrus", "Notophthiracarus longisetus", "Notophthiracarus modicus", "Notophthiracarus paraparvulus", "Pectinella aequoris", "Arphthicarus tinctus", "Atropacarus diaphoros", "Austrotritia bifurca", "Austrotritia carinata", "Rhysotritia bipartita", "Steganacarus diaphoros", "Pterostylis graminea", "Pterostylis montana", "Lixus paraplecticus", "Coralichlamys madreporarum", "Hemipecten forbesianus", "Laevichlamys cuneata", "Laevichlamys deliciosa", "Pterostylis auriculata", "Pterostylis australis", "Phalaenopsis hieroglyphica", "Pterostylis cardiostigma", "Pterostylis cernua", "Pterostylis foliata", "Pterostylis gracilis", "Pterostylis humilis", "Pterostylis irsoniana", "Pterostylis irwinii", "Pterostylis micromega", "Pterostylis nutans", "Pterostylis oliveri", "Gomphocarpus tomentosus", "Pterostylis paludosa", "Leucodecton biokoense", "Lixomorphus algirus", "Leucodecton tarmuguliense", "Mimachlamys gloriosa", "Talochlamys gladysiae", "Palliolum minutulum", "Giovanella bolivar", "Aralia bicrenata", "Aralia racemosa subsp. racemosa", "Pantophthalmus tabaninus", "Odontacolus berryae", "Odontacolus pintoi", "Pareiorhina hyptiorhachis", "Odontacolus aldrovandii", "Odontacolus anningae", "Odontacolus baeri", "Odontacolus bosei", "Odontacolus cardaleae", "Odontacolus darwini", "Odontacolus dayi", "Odontacolus gallowayi", "Odontacolus harveyi", "Odontacolus heratyi", "Odontacolus heydoni", "Odontacolus irwini", "Odontacolus jacksonae", "Odontacolus lamarcki", "Odontacolus mayri", "Odontacolus noyesi", "Odontacolus schlingeri", "Odontacolus sharkeyi", "Odontacolus veroae", "Odontacolus wallacei", "Odontacolus whitfieldi", "Odontacolus zborowskii", "Odontacolus zimi", "Odontacolus mot", "Odontacolus kiau", "Odontacolus africanus", "Odontacolus australiensis", "Odontacolus gentingensis", "Odontacolus guineensis", "Odontacolus madagascarensis", "Laevichlamys squamosa", "Laevichlamys wilhelminae", "Pascahinnites coruscans", "Pedum spondyloideum", "Semipallium dianae", "Semipallium flavicans", "Semipallium fulvicostatum", "Stenoptilodes altiaustralis", "Stenoptilodes medius", "Stenoptilodes heppneri", "Stenoptilodes umbrigeralis", "Postplatyptilia antillae", "Postplatyptilia nebuloarbustum", "Postplatyptilia carabica", "Postplatyptilia carchi", "Postplatyptilia vorbecki", "Postplatyptilia boletus", "Postplatyptilia uruguayensis", "Postplatyptilia zongoensis", "Postplatyptilia ugartei", "Postplatyptilia pluvia", "Cantharoctonus jaragua", "Cantharoctonus braziliensis", "Rhynchoticida caudata", "Rhynchoticida frenalis", "Rhynchoticida maai", "Rhynchoticida tridens", "Rhynchoticida ovivora", "Rhynchoticida vietnamica", "Postplatyptilia transversus", "Rhynchoticida vriesi", "Postplatyptilia drechseli", "Postplatyptilia corticus", "Postplatyptilia seitetazas", "Lioptilodes altivolans", "Lioptilodes salarius", "Lioptilodes arequipa", "Lioptilodes yungas", "Lioptilodes cocodrilo", "Gomphandra coriacea", "Ficus tsjahela", "Gergithus variabilis", "Cyrtoptyx wayanadensis", "Darwiniella angularis", "Orchis \u00d7 serraniana", "Orchis \u00d7 chabalensis", "Michaelophorus margaritae", "Michaelophorus bahiaensis", "Sphenarches languidus", "Scenergates viridis", "Phthiracarus banksi", "Notophthiracarus angustus", "Pterostylis patens", "Pterostylis porrecta", "Myriotrema tarmuguliense", "Pterostylis silvicultrix", "Pterostylis venosa", "Campylorhamphus procurvoides cardosoi", "Notophthiracarus mirus", "Notophthiracarus extraordinarius", "Notophthiracarus ignobilis", "Arphthicarus evexus", "Arphthicarus parasentus", "Arphthicarus sumatranus", "Euphthiracarus parareticulatus", "Euphthiracarus klabati", "Euphthiracarus sarawaki", "Austrophthiracarus sarawaki", "Apoplophora ornata", "Apoplophora phalerata", "Austrotritia glabrata", "Hoplophthiracarus heterotrichosus", "Hoplophthiracarus parafoveolatus", "Hoplophthiracarus similis", "Hoplophthiracarus stigmosus", "Oribotritia anceps", "Oribotritia bipartita", "Oribotritia heterotricha", "Oribotritia nepalensis", "Oribotritia paraaoki", "Oribotritia submolesta", "Rhysotritia gracile", "Rhysotritia aokii", "Plonaphacarus dispar", "Phthiracarus invenustus", "Mesotritia similis", "Indotritia aspera", "Eligmodontia dunaris", "Eligmodontia bolsonensis", "Pheidole decepticon", "Pheidole dodo", "Pheidole loki", "Pheidole megatron", "Pheidole vulcan", "Pheidole komori", "Pheidole ragnax", "Raorchestes crustai", "Baeus seminulum", "Cyclostremiscus mohicanus", "Episcynia itanhura", "Phyllidiopsis xishaensis", "Marmosops pakaraimae", "Corybas oblongus", "Chiloglottis cornuta", "Chiloglottis valida", "Passiflora andina", "Orchestes alni", "Ocellularia kinabaluensis", "Anathallis articulata", "Mythicomyia lunulata", "Spilomicrus pilgrimi", "Minanga angelus", "Desmoxytes eupterygota", "Desmoxytes spinissima", "Desmoxytes lui", "Diachasmimorpha martinalujai", "Diachasmimorpha norrbomi", "Scheloribates flagellatus", "Hypopygus benoneae", "Leporinus moralesi", "Leporinus parvulus", "Opetiops alienus", "Pantophthalmus comptus", "Pantophthalmus sigma", "Zenkovia gibbosa", "Oribatella sintranslamella", "Oribatella anomola", "Oribatella umaetluisorum", "Oribatella similesuperbula", "Oribatella superbula", "Notophthiracarus thorntonensis", "Oribotritia paracorporaali", "Acrotritia paradivida", "Austrophthiracarus foaensis", "Austrophthiracarus paralargus", "Acrotritia comteae", "Notophthiracarus buffaloensis", "Notophthiracarus dandenongensis", "Notophthiracarus glennieensis", "Notophthiracarus parabonangensis", "Notophthiracarus pararavidus", "Notophthiracarus queenslandensis", "Notophthiracarus ravidus", "Plonaphacarus toolangiensis", "Hoplophthiracarus mallacoolaensis", "Arphthicarus scuticus", "Atropacarus buffaloensis", "Cylloepus bartolozzii", "Cylloepus cesari", "Cylloepus fabianorum", "Cylloepus francescae", "Cylloepus mazzai", "Cylloepus terzanii", "Cylloepus whitmanae", "Macrelmis elicioi", "Pharceonus cianferonii", "Thelymitra longifolia", "Thelymitra aemula", "Thelymitra brevifolia", "Thelymitra carnea", "Thelymitra colensoi", "Thelymitra cyanea", "Neottia convallarioides", "Lorenzopius euryrteniformis", "Neottia cordata", "Ricifalca clarifica", "Ricifalca tremula", "Thiodia albocellus", "Thiodia nasifera", "Arhopala tindali", "Jumellea triquetra", "Apteronotus anu", "Clinopodium cilicicum", "Clinopodium congestum", "Clinopodium dolichodontum", "Thelymitra formosa", "Thelymitra hatchii", "Thelymitra malvina", "Thelymitra matthewsii", "Celaenorrhinus pulomaya", "Cyanocorax luxuosus", "Celaenorrhinus pulomaya pulomaya", "Celaenorrhinus pulomaya formosanus", "Celaenorrhinus ratna", "Celaenorrhinus ratna ratna", "Celaenorrhinus ratna tytleri", "Celaenorrhinus ratna daphne", "Celaenorrhinus ratna nujiangensis", "Celaenorrhinus ambareesa", "Celaenorrhinus pahangensis", "Celaenorrhinus choui", "Passiflora venusta", "Arphthicarus trivestigius", "Passiflora tolimana", "Ilyocypris monstrifica", "Arphthicarus aokii", "Arphthicarus remotus", "Arphthicarus ineptus", "Coenosia fumipennis", "Coenosia filipennis", "Neottia ovata", "Neottia smallii", "Melibe arianeae", "Caurinus tlagu", "Curculio mucoreus", "Pollanisus cyanotus", "Curculio pusio", "Synthemis miranda", "Opetiopalpus scutellaris", "Polyrhachis nepenthicola", "Polyrhachis luteogaster", "Indotritia breviseta", "Passiflora marginata", "Oribotritia lepteces", "Passiflora phoenicea", "Oribotritia dipterocarpensis", "Schoenophilus pedestris campbellensis", "Callistocythere dedeckkeri", "Cobancythere navicularis", "Neocytherideis anneclarkeae", "Spalax leucodon", "Epichoristodes acerbella", "Globoppia gressitti", "Epichoristodes apilectica", "Epichoristodes atricaput", "Globoppia campbellensis", "Epichoristodes atycta", "Epichoristodes canonicum", "Epichoristodes goniopa", "Epichoristodes heterotropha", "Epichoristodes incerta", "Epichoristodes leucocymba", "Epichoristodes licmaea", "Epichoristodes macrosema", "Epichoristodes panochra", "Notophthiracarus bloszyki", "Notophthiracarus hallidayi", "Notophthiracarus lewisensis", "Notophthiracarus parausitatus", "Notophthiracarus comparativus", "Notophthiracarus consimilis", "Notophthiracarus indubitatus", "Notophthiracarus solitarius", "Notophthiracarus sordidus", "Notophthiracarus spurcus", "Notophthiracarus uncinatus", "Notophthiracarus alienus", "Notophthiracarus capillatus", "Notophthiracarus distinctus", "Notophthiracarus flexiloquus", "Notophthiracarus usitatus", "Notophthiracarus schusteri", "Notophthiracarus ramsai", "Notophthiracarus perezinigoi", "Notophthiracarus mahunkai", "Notophthiracarus lionsi", "Notophthiracarus lee", "Notophthiracarus hammeri", "Notophthiracarus hammeni", "Notophthiracarus calugari", "Notophthiracarus inusitatus", "Notophthiracarus pearcei", "Arphthicarus andamanensis", "Notophthiracarus sinuosus", "Notophthiracarus dilatatus", "Notophthiracarus aculeatus", "Darwiniella conjugatum", "Geina integumentum", "Capperia browni", "Buckleria brasilia", "Megalorhipida paraiso", "Megalorhipida dubiosa", "Crataegus christensenii", "Phyllonorycter aemula", "Clinopodium suaveolens", "Clepsis celsana", "Clepsis chishimana", "Clepsis chlorodoxa", "Elesmoides malagasy", "Elesmoides thomae", "Clepsis biformis", "Nkandla macrostoma", "Tuckia zuluana", "Tuckia africana", "Rhinochenus stigma", "Homalinotus depressus", "Dialineura elongata", "Dialineura henanensis", "Dialineura nigrofemorata", "Dialineura gorodkovi", "Dialineura kikowensis", "Cholus annulatus", "Dialineura aurata", "Diasporus citrinobapheus", "Dicheniotes kakamegae", "Ilyocypris hanguk", "Estenorhinus dispar", "Teucrium ramosissimum", "Acrotrichis nana", "Dicranolaius takizawai", "Dicrotendipes flexus", "Dicrotendipes fusconotatus", "Dicrotendipes nervosus", "Dicrotendipes pelochloris", "Dicrotendipes septemmaculatus", "Dicrotendipes tamaviridis", "Dicynodontipus penugnu", "Dinothenarus smetanai", "Dipelicus fastigatoides", "Dipelicus ornatus", "Dipelicus tridentifer", "Passiflora telesiphe", "Passiflora moluccana", "Cratosomus vaginalis", "Periplaneta japonica", "Apteronotus baniwa", "Apteronotus ferrarisi", "Apteronotus galvisi", "Apteronotus leptorhynchus", "Pristionchus maxplancki", "Apteronotus macrostomus", "Apteronotus pemon", "Apteronotus spurrellii", "Opius incoligma", "Opius rugicoxis", "Tubiformopius tubigaster", "Tubiformopius tubibasis", "Psilorhynchus sucatio", "Psilorhynchus nudithoracicus", "Psilorhynchus hamiltoni", "Clepsis burgasiensis", "Clepsis canariensis", "Clepsis capnosticha", "Brentus anchorago", "Dioptoma adamsii", "Amblyomma testudinarium", "Amomum andamanicum", "Amomum carnosum", "Makawe insularis", "Pilinurgus antoinei", "Pilinurgus bouyeri", "Pilinurgus drumonti", "Pilinurgus kerleyi", "Pilinurgus legrandijuheli", "Pilinurgus touroulti", "Pilinurgus werneri", "Pilinurgus zambiensis", "Acrotrichis cognata", "Acrotrichis norvegica", "Biswamoyopterus laoensis", "Scrobipalpula saltans", "Symmetrischema falklandica", "Acrotrichis confusa", "Acrotrichis dissona", "Acrotrichis minuta", "Cyrtoclytus tatsuyai", "Pachypus sardiniensis", "Aristochroa yuae", "Aristochroa exochopleurae", "Aristochroa splendida", "Disasterina akajimaensis", "Dolichoiulus typhlocanaria", "Dolichoiulus oromii", "Dolichoiulus longunguis", "Eumops wilsoni", "Acrotrichis grandicollis", "Acrotrichis sericans", "Acrotrichis sanctaehelenae", "Perdita pedernalensis", "Perdita islacabritosensis", "Ochterus nicobarensis", "Kenyarctia occidentalis", "Kenyarctia melanogastra", "Candona ginnensis", "Chiloglanis polyodon", "Dolichomitus jatai", "Dolichomitus moacyri", "Salix cinerea subsp. oleifolia", "Epichoristodes ypsilon", "Epichoristodes spinulosa", "Epichoristodes adustana", "Epichoristodes dorsiplagana", "Passiflora watsoniana", "Epichorista aethocoma", "Epichorista allogama", "Epichorista armigera", "Epichorista benevola", "Decemtestis johnii", "Epichorista crypsidora", "Epichorista elephantina", "Epichorista emphanes", "Epichorista eribola", "Epichorista fraudulenta", "Decimiana elliptica", "Pescatoria klabochorum", "Epichorista hemionana", "Pinus sylvestris var. hamata", "Epichorista lindsayi", "Epichorista mesosceptra", "Epichorista mimica", "Epichorista passaleuta", "Epichorista phaeocoma", "Epichorista prodigiosa", "Epichorista psoropis", "Epichorista samata", "Epichorista sicca", "Epichoristodes cinerata", "Epichoristodes exanimata", "Epichoristodes niphosema", "Epichoristodes phalaraea", "Epichorista cinerata", "Epichorista exanimata", "Epichorista niphosema", "Epichorista phalaraea", "Passiflora sect.", "Hectaphelia mensaria", "Hectaphelia sporadias", "Hectaphelia vestigialis", "Pinus sylvestris var. sylvestris", "Deliphrosoma ivanovi", "Deliphrosoma kirgizica", "Deliphrosoma frischi", "Dentigaster brullei", "Neottia auriculata", "Clepsis abscisana", "Clepsis aerosana", "Clepsis agenjoi", "Clepsis aliana", "Aristochroa aba", "Cerace xanthocosma", "Aristochroa chuanxiensis", "Aristochroa lama", "Aristochroa lanpingensis", "Aristochroa longiphallus", "Aristochroa morvani", "Aristochroa mosuo", "Aristochroa panda", "Aristochroa deqinensis", "Aristochroa deuvi", "Aristochroa balangensis", "Aristochroa venustoides", "Aristochroa wangi", "Aristochroa zhongdianensis", "Gymnastes flavitibia", "Aristochroa abrupta", "Sericochroa arimatella", "Sericochroa tenuis", "Sericochroa paratenuis", "Sericochroa tenuisoides", "Sericochroa tenuissoides tenuisoides", "Sericochroa tenuissoides amazonensis", "Sericochroa peruviensis", "Sericochroa lioneli", "Sericochroa annieae", "Sericochroa serra", "Sericochroa inca", "Muscari adilii", "Muscari anatolicum", "Muscari discolor", "Kenyarctia epicaste", "Dolichopoda sutini", "Dolichopoda giulianae", "Dolichopoda kalithea", "Dolichopoda calidnae", "Dolichopoda sbordonii", "Dolichopoda gasparoi", "Dolichopoda lustriae", "Dolichopoda giachinoi", "Dolichopoda ithakii", "Dolichopoda kiriakii", "Dolichopoda aegilion", "Dolichopoda muceddai", "Styloniscus monocellatus", "Stegosatyrus imbrialis", "Stegosatyrus ocelloides", "Stegosatyrus periphas", "Stegosatyrus hemiclara", "Liparus germanus", "Passiflora trialata", "Psilocerea pulverosa", "Psilocerea pulverosa pulverosa", "Psilocerea pulverosa vingerhoedti", "Xanthisthisa extrema", "Anthonomus rectirostris", "Xenostega poensis", "Anthonomus pedicularius", "Bolbochromus lao", "Passiflora longifilamentosa", "Bolbochromus malayensis", "Bolbochromus minutus", "Bolbochromus nomurai", "Bolbochromus hirokawai", "Bolbochromus ryukyuensis", "Bolbochromus catenatus", "Bolbochromus celebensis", "Bolbochromus laetus", "Bolbochromus lineatus", "Bolbochromus ludekingi", "Bolbochromus nigerrimus", "Bolbochromus nigriceps", "Bolbochromus plagiatus", "Bolbochromus posticalus", "Bolbochromus sulcicollis", "Paradiplatys kubani", "Hybos aceriformis", "Hybos ancyclochiles", "Hybos anisoserratus", "Hybos bispinatus", "Hybos chaweewani", "Hybos daugeroni", "Hybos divisus", "Hybos hylobates", "Hybos inthanonensis", "Hybos kaluang", "Hybos grootaerti", "Hybos khamfui", "Hybos konkaogwang", "Hybos lannaensis", "Hybos mangraii", "Hybos meeamnat", "Hybos men", "Hybos merzi", "Hybos ngachang", "Hybos paknok", "Hybos phahompokensis", "Hybos pisadaanus", "Hybos saenmueangmai", "Hybos shamshevi", "Hybos sinclairi", "Hybos songbai", "Hybos steatopygus", "Hybos stigmaticus", "Hybos subapicalis", "Hybos tetricus", "Hybos thaosaeo", "Hybos thepkaisoni", "Hybos tilokarati", "Hybos yungyak", "Hybos trifurcatus", "Hybos caesariatus", "Hybos guanmenshanus", "Hybos latus", "Cerobasis lineata", "Blaste bahamensis", "Pheidole acutilobata", "Hybos longipilosus", "Hybos xiaoyanae", "Hybos bawanglingensis", "Hybos hainanensis", "Hybos biancistroides", "Hybos yinyuhensis", "Hybos fulvitarsatus", "Hybos liupanshanus", "Tiomanaptera schwendingeri", "Cicadatra barbodi", "Linan uenoi", "Isolaboides tuberculata", "Isolaboides burri", "Isolaboides kosswigi", "Micadina cheni", "Acrotrichis capensis", "Acrotrichis brincki", "Acrotrichis rudebecki", "Acrotrichis mimica", "Acrotrichis superba", "Acrotrichis superbioides", "Acrotrichis discoloroides", "Acrotrichis africana", "Acrotrichis africanoides", "Acrotrichis alluaudi", "Acrotrichis arambourgi", "Acrotrichis basilewskyi", "Acrotrichis britteni", "Acrotrichis brunnescens", "Acrotrichis celisi", "Acrotrichis ethiopica", "Acrotrichis jeanneli", "Geranium sect.", "Geranium pyrenaicum subsp. lusitanicum", "Geranium pyrenaicum subsp. pyrenaicum", "Geranium aequale", "Geranium sect.", "Geranium albanum", "Geranium sect.", "Geranium hispidissimum", "Geranium moupinense", "Geranium nakaoanum", "Geranium polyanthes", "Geranium strictipes", "Geranium umbelliforme", "Geranium wardii", "Geranium sect.", "Geranium yeoi", "Geranium reuteri", "Geranium sect.", "Geranium bequaertii", "Geranium biuncinatum", "Geranium favosum", "Geranium mascatense", "Geranium ocellatum", "Geranium trilophum", "Geranium sect.", "Geranium sect.", "Clepsis catarinana", "Clepsis centonata", "Clepsis confragosa", "Clepsis cristobaliana", "Clepsis domabilis", "Clepsis dubia", "Clepsis exaraesima", "Clepsis fluxa", "Clepsis fumosa", "Clepsis joaquimana", "Clepsis limana", "Magdalis carbonaria", "Clepsis maracayana", "Clepsis microchone", "Clepsis parorycta", "Clepsis semanta", "Clepsis taima", "Clepsis teopiscae", "Clepsis tuxtlana", "Clepsis zoquipana", "Diachasmimorpha hildagensis", "Diachasmimorpha mexicana", "Diachasmimorpha sanguinea", "Neottia borealis", "Neottia banksiana", "Eurytenes maya", "Eurytenes norrbomi", "Emrahia tenuivalva", "Acrotrichis minuscula", "Acrotrichis problematica", "Acrotrichis scortea", "Acrotrichis scotti", "Acrotrichis semirufa", "Acrotrichis sundti", "Acrotrichis tersa", "Acrotrichis satsumanis", "Epuraea sutcuimamun", "Pseudobarbus skeltoni", "Epigonus lifouensis", "Epigonus tuberculatus", "Epigonus pandionis", "Rhabdosargus niger", "Christophia valvispinifera", "Rhabdosargus sarba", "Christophia paragranulella", "Panaqolus albivermis", "Christophia baliella", "Christophia granulella", "Notoglanidium pembetadi", "Labyrintha implexa", "Coptotettix brachypterus", "Coptotettix emeiensis", "Coptotettix guangzhouensis", "Coptotettix jianfengensis", "Coptotettix spicupennis", "Tamarix octandra", "Lycium anatolicum", "Adipsomyia stigmosa", "Echinops acantholepis", "Echinops emiliae", "Echinops heterophyllus", "Echinops mersinensis", "Echinops microcephalus", "Echinops onopordum", "Echinops ossicus", "Echinops polyacanthus", "Haemanota vicinula", "Echinops tournefortii", "Echinops transcaucasicus", "Echinops vaginatus", "Haemanota maculata", "Haemanota maculosa", "Haemanota leucoplaga", "Trichromia leucoplaga", "Anagnorisma chamrani", "Anagnorisma zakaria", "Anagnorisma glareomima", "Anagnorisma eucratides", "Anagnorisma goniophora", "Echinops humilis", "Echinops setifer", "Protognorisma minjakonka", "Goniographa decussa", "Dolomedes pegasus", "Domene barraganensis", "Doryctopambolus pilcomayensis", "Doryctopambolus clebschi", "Doryctopambolus dominicanus", "Doryctopambolus sarochensis", "Draconizercon punctatus", "Drosophila caxiuana", "Goniographa discussa", "Goniographa shchetkini", "Goniographa funkei", "Goniographa metafunkei", "Goniographa naumanni", "Goniographa marcida", "Goniographa gyulaipeteri", "Immersaria cupreoatra", "Brachystele unilateralis", "Satchellomyia diffusa", "Satchellomyia barbata", "Satchellomyia bilobata", "Mastacembelus moorii", "Mastacembelus albomaculatus", "Mastacembelus platysoma", "Dudanus anepsius", "Dudanus aristes", "Dudanus epiphanes", "Dudanus triadelphus", "Danielithosia hoenei", "Danielithosia mesospila", "Danielithosia milina", "Psychodocha pulchrima", "Plutographa encharacha", "Cryptophlebia peltastica", "Cryptophlebia perfracta", "Cryptophlebia phaeacma", "Cryptophlebia gomyi", "Cryptophlebia hemon", "Cryptophlebia horii", "Cryptophlebia illepida", "Cryptophlebia iridoschema", "Cryptophlebia isomalla", "Cryptophlebia lasiandra", "Cryptophlebia melanopoda", "Cryptophlebia micrometra", "Cryptophlebia moriutii", "Cryptophlebia nota", "Cryptophlebia notopeta", "Cryptophlebia repletana", "Dryopomorphus pekariki", "Dryopomorphus grandis", "Dryopomorphus jaechi", "Dryopomorphus sarawacensis", "Dryopomorphus memei", "Dryopomorphus bishopi", "Dryopomorphus hendrichi", "Dryopomorphus satoi", "Eccopsis orichlora", "Phyllobius pyri", "Eccopsis fluctuatana", "Stanhopea subg.", "Eudemis globigera", "Stanhopea subg.", "Stanhopea subg.", "Stanhopea sect.", "Stanhopea sect.", "Stanhopea sect.", "Gaya mutisiana", "Stanhopea sect.", "Stanhopea sect.", "Ancyroaspis funebris", "Ancyroaspis multimaculata", "Satchellomyia serratipenis", "Satchellomyia bifalcata", "Satchellomyia gourlayi", "Satchellomyia lobisterna", "Satchellomyia spiralifera", "Notodonta valeria", "Notodonta ziczac ziczac", "Notodonta ziczac pallida", "Notodonta derbendica", "Psyra angulifera", "Psyra boarmiata", "Psyra cuneata", "Psyra szetschwana", "Psyra dsagara", "Psyra conferta", "Psyra moderata", "Psyra gracilis", "Psyra similaria", "Psyra spurcataria", "Psyra rufolinearia", "Psyra falcipennis", "Psyra breviprotrusa", "Tychius quinquepunctatus", "Dolichopus nartshukae", "Dolichopus vadimi", "Dolichopus zurikovi", "Dolichopus zaitzevi", "Dolichopus tewoensis", "Callistocypris thailandensis", "Dolichopus qinghensis", "Dolichopus zhoui", "Lentipes caroline", "Scorpaenopsis rubrimarginata", "Pelvicachromis silviae", "Chlorodrepana rothi", "Chlorodrepana allevata", "Ecpetala camerunica", "Ecpetala camerunica camerunica", "Ecpetala camerunica transgressa", "Trachodes hispidus", "Apatochernes pterodromae", "Neottia bifolia", "Orchestes pilosus", "Clepsis altitudinarius", "Clepsis antigona", "Clepsis assensus", "Geranium sect.", "Geranium argenteum", "Geranium austroapenninum", "Geranium cazorlense", "Geranium dolomiticum", "Geranium lazicum", "Geranium makmelicum", "Geranium nanum", "Geranium palmatipartitum", "Geranium petri-davisii", "Geranium ponticum", "Geranium subacutum", "Geranium thessalum", "Geranium subargenteum", "Clepsis balcanica", "Clepsis banhadana", "Geranium sect.", "Geranium aristatum", "Clepsis browni", "Geranium phaeum", "Geranium reflexum", "Clepsis brunneograpta", "Geranium sect.", "Clepsis fraterna", "Geranium aculeolatum", "Clepsis lineata", "Geranium regelii", "Clepsis tassa", "Geranium sect.", "Clepsis brusquea", "Geranium arachnoideum", "Geranium brasiliense", "Clepsis camposana", "Geranium glanduligerum", "Clepsis carillana", "Geranium sect.", "Geranium maderense", "Geranium palmatum", "Cryptophlebia rhizophorae", "Cryptophlebia semilunana", "Cryptophlebia sigerui", "Cryptophlebia strepsibathra", "Cryptophlebia sumatrana", "Cryptophlebia toxogramma", "Cryptophlebia toxotis", "Cryptophlebia vitiensis", "Cryptophlebia williamsi", "Cryptophlebia yasudai", "Polydrusus cervinus", "Compsus argyreus", "Cypris mastigophora", "Statignatha novitana", "Statignatha primigena", "Stephanopyga legnota", "Durbadnus chubbi", "Durbadnus obscuripes", "Thylacandra argyromixtana", "Durbadnus taegeri", "Thylacandra malagassana", "Thylacandra endotera", "Thylacandra melanotoma", "Thylacandra sycophyes", "Kivua cara", "Pammenopsis critica", "Parienia mochlophorana", "Procoronis swinhoeiana", "Pseudogalleria inimicella", "Rhigus speciosus", "Disa uniflora", "Cypris spinosa", "Thelymitra nervosa", "Thelymitra pauciflora", "Thelymitra pulchella", "Thelymitra purpureofusca", "Thelymitra sanscilia", "Thelymitra tholiformis", "Thelymitra venosa", "Waireia stenopetala", "Trichromia postflavida", "Schistura paucireticulata", "Sericochroa ceruroides", "Sericochroa camicana", "Sericochroa maxima", "Nipponcyrtus shibakawae", "Darwininitium shiwalikianum", "Sericochroa leopoldina", "Eugnosta stigmatica", "Clepsis crispata", "Doridostoma denotata", "Doridostoma stenomorpha", "Doridostoma symplecta", "Pescatoria cerina", "Pescatoria backhousiana", "Passiflora poslae", "Passiflora phellos", "Passiflora cerasina", "Passiflora guazumifolia", "Passiflora killipiana", "Elathous maestrei", "Magdalis ruficornis", "Cistus horrens", "Cistus \u00d7 canescens", "Eptatretus luzonicus", "Eptatretus bobwisneri", "Cistus \u00d7 argenteus", "Nephanes euphorbiicola", "Acrotrichis nigella", "Acrotrichis setosa", "Acrotrichis fusca", "Kivua violae", "Kivua cribrifrons", "Kivua pallipes", "Kivua incrassata", "Kivua luteiventris", "Kivua abdominalis", "Kivua bicolor", "Kivua acuticornis", "Kivua afra", "Kivua tenuis", "Kivua punctifrons", "Kivua seydeli", "Kivua sudanica", "Echinoderes ohtsukai", "Echinoderes applicitus", "Logima zetterstedti", "Shimonia splendida", "Arenaria katoana", "Shimonia oyiekeae", "Shimonia fischeri", "Pterostylis dolichochila", "Dendrochirus tuamotuensis", "Olethreutes anisorrhopa", "Dudua hemitypa", "Rubicundus rubicundus", "Xenopotamia radians", "Dolichohedya tripila", "Phaecasiophora auroraegera", "Perissomastix holopsamma", "Bolanthus cherlerioides", "Bolanthus frankenioides", "Bolanthus mevlanae", "Bolanthus minuartioides", "Bolanthus huber-morathii", "Bolanthus spergulifolius", "Bolanthus stenopetalus", "Bolanthus thymoides", "Lamium album subsp. album", "Lamium sect.", "Cypris chrissiensis", "Cistus \u00d7 verguinii", "Bentharca waitakarensis", "Paphies otaiana", "Nystalus obamai", "Dicranomyia arthuriana", "Dicranomyia kronei", "Eisenia japonica hiramoto", "Elaphropeza flaviscutum", "Elaphropeza trimacula", "Elaphropeza plumata", "Elasmus arumburinga", "Elasmus auratiscutellum", "Elasmus bellicaput", "Elasmus broomensis", "Elasmus flavipropleurum", "Elasmus funereus", "Elasmus neofunereus", "Elasmus tenebrosus", "Elasmus concinnus", "Cistus creticus subsp. corsicus", "Cistus creticus subsp. eriocephalus", "Smicrus pruinosus", "Smicrus vulcanius", "Elgonidium bartolozzii", "Empria formosana", "Cistus sect.", "Brachyderes incanus", "Perissomastix palaestinella", "Perissomastix obscura", "Perissomastix nigrocephala", "Ectabola protracta", "Ectabola perversa", "Phyllobius viridicollis", "Moltkia angustifolia", "Moltkia \u00d7 kemalpaschii", "Moltkia suffruticosa", "Lappula spinocarpos", "Lappula caspia", "Hackelia deflexa", "Lappula heteracantha", "Lappula marginata", "Lappula microcarpa", "Lappula patula", "Lappula rigida", "Nephanes flaviventris", "Nephanes laeviusculus", "Nephanes oregonus", "Nephanes puritanus", "Nephanes vicksburgensis", "Nephanes truncatus", "Nephanes rugulodorsus", "Cistus sect.", "Nephanes abbreviatella", "Nephanes curta", "Oligella intermedia", "Oligella nana", "Hymenoscyphus kiko", "Hymenoscyphus haasticus", "Hymenoscyphus ohakune", "Hymenoscyphus waikaia", "Smicrus cekalovici", "Smicrus constrictus", "Smicrus damocles", "Smicrus dipsacitarsis", "Smicrus newtoni", "Smicrus nigritus", "Smicrus pecki", "Shimonia timberlakei", "Nannostomus nigrotaeniatus", "Monotocheirodon pearsoni", "Cypris gunningi", "Monotocheirodon kontos", "Monotocheirodon drilos", "Cypris tuberculata", "Talara muricolor", "Talara simulatrix", "Talara proxima", "Talara nigrivertex", "Talara guyanae", "Talara thiaucourti", "Talara tristis", "Barsinella asuroides", "Nodozana griseovariegata", "Echinoderes aspinosus", "Seseli hartvigii", "Echinoderes cernunnos", "Nodozana boudinoti", "Nodozana toulgoeti", "Echinoderes microaperturus", "Nodozana aurobrunnea", "Nodozana catocaloides", "Echinoderes obtuspinosus", "Nodozana angustata", "Nodozana granvillei", "Seseli transcaucasicum", "Callisthenia ruficollis", "Echinoderes tchefouensis", "Loranthus europaeus", "Cullen jaubertianum", "Clypeola aspera", "Clypeola ciliata", "Callisthenia ruberrima", "Clemensia incerta", "Clemensia barbotini", "Clemensia clathrata", "Clemensia toulgoeti", "Clemensia ochracea", "Cistus \u00d7 aguilari", "Cistus \u00d7 dansereaui", "Cistus \u00d7 stenophyllus", "Lappula sessiliflora", "Lappula sinaica", "Stutzia covillei", "Lappula subsessilis", "Stutzia dioica", "Ectabola extans", "Ectabola laxata", "Ectabola pygmina", "Ectabola phaeocephala", "Ectabola deviata", "Ectabola fuscopilleata", "Curculio rufipes", "Coniocleonus nebulosus", "Rhyncolus ater", "Curculio emeritus", "Enchodelus makarovae", "Issikiopteryx zonosphaera", "Entephria cyanata alanica", "Terthreutis jingae", "Enterognathus inabai", "Sarcogyne mitziae", "Barbosella gardneri", "Myriochapsa psoromica", "Nitidochapsa leprieurii", "Cistus sect.", "Coenocorypha aucklandica perseverance", "Epilasius macropterus", "Epipeltephilus kanti", "Coenocorypha miratropica", "Epirobia subsulca", "Epirobia brevior", "Nuurcala obesa", "Dicyema calamaroceum", "Dicyema pyjamaceum", "Elleanthus robustus", "Eochauliodes striolatus", "Sticta macrothallina", "Platanthera minor", "Jurochauliodes ponomarenkoi", "Sticta neopulmonarioides", "Eospilarctia maciai", "Eospilarctia naumanni", "Eospilarctia yuennanica fansipana", "Sticta phyllidiokunthii", "Sticta pseudolobaria", "Sticta pulmonarioides", "Sticta tatamana", "Cephimallota crassiflavella", "Cephimallota angusticostella", "Acanthaspidia matsi", "Hydrophylita emporos", "Baeocrara andrewesi", "Baeocrara tshiaberimuensis", "Epirobia berendti", "Epirobia berendti berendti", "Epirobia berendti albida", "Epirobia adusta", "Propilsbrya nelsoni", "Propilsbrya potosiana", "Pectinistemma koestneri", "Pectinistemma ceramicum", "Pectinistemma roesslingi", "Pectinistemma gracilidens", "Pectinistemma infernilla", "Gyrocion mirabilis", "Prionoloplax odontoplax", "Gnathifera proserga", "Ochromolopis xeropa", "Ochromolopis pallida", "Ochromolopis ithycentra", "Plantago hakusanensis", "Prosomphax anomala", "Prosomphax callista", "Cistus symphytifolius var. canus", "Cistus symphytifolius var. villosus", "Ptiliopycna moerens", "Ptiliopycna quadrata", "Baeocrara japonica", "Trichopteryx japonica", "Acrotrichis williamsi", "Baeocrara parvula", "Baeocrara vaga", "Empria honshuana", "Empria liturata", "Empria loktini", "Empria plana", "Empria quadrimaculata", "Empria rubicola", "Empria takeuchii", "Empria tridens", "Empria tridentis", "Baeocrara variolosa", "Limulopteryx hintelmanni", "Austroroccella gayana", "Epipactis thunbergii", "Sticta lobarioides", "Epirobia polygyra", "Epirobia apiostoma", "Epirobia lurida", "Epirobia polygyrella", "Epirobia longior", "Phaulernis montuosa", "Epirobia swiftiana", "Epirobia alternans", "Epirobia interupta", "Africepermenia tanzanica", "Phaulernis africana", "Epirobia gassiesi", "Inuncus juratae", "Mesepermenia malgachica", "Cistus grancanariae", "Cistus nothosect.", "Cistus capensis", "Marcusenius multisquamatus", "Sillago suezensis", "Neofundulus splendidus", "Spectrolebias pilleti", "Echinophyllia tarae", "Acrotrichis ponderosa", "Acrotrichis leleupi", "Acrotrichis franzi", "Acrotrichis cursitans", "Acrotrichis hypsibius", "Pseudomaenas microgyne", "Parectropis aemula", "Parectropis rotundipennis", "Hebdomophruda crassipuncta", "Hebdomophruda disconnecta", "Hebdomophruda hamata", "Hebdomophruda kekonimena", "Hebdomophruda nigroviridis", "Hebdomophruda southeyae", "Hebdomophruda tephrinata", "Hebdomophruda curvilinea", "Cistus \u00d7 lecomtei", "Cistus \u00d7 fernandesiae", "Arhopala mimsyi", "Cistus \u00d7 cebennensis", "Sabatieria balbutiens", "Sabatieria bathycopia", "Sabatieria bubulba", "Sabatieria challengerensis", "Sabatieria exculta", "Sabatieria parapraedatrix", "Sabatieria pumila", "Sabatieria exilis", "Sabatieria fidelis", "Setosabatieria australis", "Sabatieria bitumen", "Sabatieria paraspiculata", "Sabatieria spiculata", "Sabatieria subrotundicauda", "Hieracium artvinense", "Hieracium autranii", "Hieracium beypazariense", "Hieracium biebersteinii", "Hieracium brandisianum", "Hieracium callichlorum", "Hieracium chloroprenanthes", "Gnathifera punctata", "Ochromolopis sagittella", "Ochromolopis cana", "Hieracium conicum", "Hieracium cryptonaevum", "Hieracium cyaneum", "Euglossa embera", "Euglossa adiastola", "Eupetersia singaporensis", "Houlletia brocklehurstiana", "Promalactis alveiformis", "Promalactis angusta", "Promalactis bruneiensis", "Promalactis conicispinalis", "Promalactis ellipsoidea", "Promalactis exiliprocessa", "Promalactis extumida", "Helianthemum subg.", "Helianthemum sect.", "Helianthemum canum", "Helianthemum oelandicum subsp. incanum", "Abies concolor subsp. concolor", "Promalactis lancea", "Promalactis latuncata", "Promalactis longisaccata", "Promalactis lophacantha", "Promalactis medispinata", "Promalactis palmifolia", "Abies hidalgensis", "Promalactis pectinifera", "Promalactis sectoralis", "Promalactis semiovata", "Phenacohelix stokesi", "Chiltonia minuta", "Protorchestia campbelliana", "Ptinellodes hunteri", "Ptinellodes darwini", "Ptinellodes aldabricus", "Ptinellodes heterosternus", "Ptinellodes malkini", "Ptinellodes similis", "Ptinellodes suteri", "Helianthemum sect.", "Eupetersia sabahensis", "Eupetersia yanegai", "Eupetersia nathani", "Euphoria canaliculata", "Euphoria diminuta", "Euphoria hidrocalida", "Euphoria lacandona", "Euphoria levinotata", "Euphoria mayita", "Euphoria montana", "Euphoria nicaraguensis", "Euphoria paradisiaca", "Euphoria vittata", "Eupteryx ichnusae", "Europejara olcadesorum", "Promalactis fascisetacea", "Promalactis flagellaris", "Promalactis foraminulata", "Promalactis fortijuxtalis", "Spiraea chamaedryfolia var. pilosa", "Prosomphax deuterurga", "Prosomphax horitropha", "Piercia alpinaria", "Piercia lichenocosmia", "Piercia petraria", "Entephria aurisquamaria", "Entephria glaucocyma", "Entephria leucosticta", "Entephria maraisi", "Entephria mesozona", "Entephria muscosa", "Entephria epipercna", "Hieracium variegatisquamum", "Hieracium valdefrondosum", "Hieracium tuberculatum", "Drepanogynis miltodes", "Drepanogynis nephelochroa", "Drepanogynis styx", "Pachycnemoides atopa", "Aethiopodes saxeticola", "Parectropis alticolaria", "Parectropis pectinicornis", "Idaea consectatrix", "Episcapha lushuiensis", "Episcapha quadriconcava", "Idaea enteucha", "Eupithecia niticallis", "Aethiopodes olivacea", "Erctella cephalaeditana", "Hieracium tmoleum", "Hieracium tersundagense", "Hieracium tamderense", "Proaethiopodes pallididiscus", "Mamilloecia indica", "Mamilloecia mamillata", "Psilocerea krooni", "Acrasia modesta", "Drepanogynis aglaochroa", "Drepanogynis fumosa", "Drepanogynis instabilis", "Gackstroemia novae-zelandiae", "Eremochorus arazantauensis", "Eremochorus lebedevi", "Eremochorus voruchensis", "Eremulus southafricanensis", "Eremulus spindleformis", "Eremulus flagellifer", "Eubasilissa sikkimensis", "Eubasilissa schmidi", "Phenacohelix aurea", "Phenacohelix giveni", "Phenacohelix lucetta", "Phenacohelix perplexa", "Phenacohelix pilula", "Phenacohelix ponsonbyi", "Phenacohelix tholoides", "Phenacohelix ziczag", "Phenacohelix brooki", "Phenacohelix hakarimata", "Phenacohelix mahlfeldae", "Hebdomophruda orhtolinea", "Hebdomophruda endroedyi", "Hebdomophruda irritatrix", "Hebdomophruda imitatrix", "Hebdomophruda confusatrix", "Hebdomophruda complicatrix", "Hypotephrina confertaria", "Hypotephrina exmotaria", "Hypotephrina serrimargo", "Hypotephrina vicina", "Hypotephrina minima", "Hypotephrina nyangae", "Cypriconcha ingens", "Hypotephrina polystriga", "Hypotephrina crassidens", "Plesiocypridopsis affinis", "Afronemacheilus kaffa", "Plesiocypridopsis alluaudi", "Plesiocypridopsis angularis", "Euthyneura zaitsevi", "Evaniodes palikuri", "Evaniodes wayampisi", "Geodorum terrestre", "Geodorum densiflorum", "Aquaelicium typicum", "Aquaelicium elegantulum", "Aquaelicium brunnescens", "Phalaenopsis aphrodite subsp. formosana", "Phalaenopsis philippinensis", "Dactylorhiza fuchsii subsp. sooana", "Plesiocypridopsis thermarum", "Graphosoma inexpectatum", "Helianthemum sect.", "Erythrites otamahua", "Helianthemum sect.", "Helianthemum sect.", "Polytrichophora agens", "Polytrichophora arnaudorum", "Polytrichophora barba", "Polytrichophora conciliata", "Polytrichophora flavella", "Polytrichophora marinoniorum", "Polytrichophora rostra", "Panyapedaliodes traceyannae", "Neopedaliodes chingazaensis", "Neopedaliodes entella", "Phalaenopsis corningiana", "Neopedaliodes margaretha", "Neopedaliodes nora", "Phalaenopsis cornu-cervi", "Phalaenopsis pantherina", "Neopedaliodes parrhoebia", "Neopedaliodes parrhoebia parrhoebia", "Neopedaliodes parrhoebia phintia", "Neopedaliodes philotera", "Neopedaliodes phoenicusa", "Phalaenopsis deliciosa", "Neopedaliodes zipa", "Extremalona timmsi", "Facitrichophora atrella", "Dactylorhiza maculata subsp. savogiensis", "Facitrichophora carvalhorum", "Facitrichophora manza", "Facitrichophora panama", "Hieracium praelongipes", "Polytrichophora adarca", "Hieracium olympicum", "Phalaenopsis natmataungensis", "Calisto aquilum aquilum", "Calisto aquilum occidentalis", "Helianthemum \u00d7 sulphureum", "Helianthemum sect.", "Hofmeisterella eumicroscopica", "Telipogon falcatus", "Dactylorhiza fuchsii subsp. okellyi", "Dactylorhiza fuchsii subsp. psychrophila", "Plesiocypridopsis silvestrii", "Krobia petitella", "Belisarius xambeui", "Evaniscus lansdownei", "Evaniscus rafaeli", "Evaniscus marginatus", "Evaniscus rufithorax", "Zedura antipoda", "Evaniscus tibialis", "Helianthemum stevenii", "Helianthemum sect.", "Plesiocypridopsis inaequivalva", "Plesiocypridopsis laevigata", "Plesiocypridopsis arsenia", "Plesiocypridopsis chrissiensis", "Magia subocellata", "Hieracium jurassicum", "Hieracium karagoellense", "Hieracium ladikense", "Hieracium laevigatum", "Hieracium lasiochaetum", "Hieracium laxifurcans", "Afronemacheilus abyssinicus", "Hieracium leptodermum", "Hieracium leptogrammoides", "Oxynoemacheilus galilaeus", "Hieracium leucothecum", "Hieracium macrogonum", "Hieracium macrophyllopodum", "Phalaenopsis lueddemanniana", "Evarcha selenaria", "Exechocentrus madilina", "Exechocentrus lancearius", "Phalaenopsis appendiculata", "Exiligada brabyi", "Exiligada calciphila", "Exiligada floraevallis", "Exiligada gregoriana", "Exiligada limbunya", "Exiligada longicauda", "Exiligada monochroma", "Phalaenopsis bastianii", "Exiligada montejinni", "Exiligada nodulicauda", "Exiligada pallida", "Exiligada punctata", "Exiligada rivifontis", "Exiligada unistriata", "Phalaenopsis bellina", "Helianthemum subg.", "Plesiocypridopsis dispar", "Plesiocypridopsis fuelleborni", "Phalaenopsis mariae", "Plesiocypridopsis huaronensis", "Phalaenopsis buyssoniana", "Phalaenopsis celebensis", "Ancema blanka", "Phalaenopsis chibae", "Plesiocypridopsis humilior", "Plesiocypridopsis insidiosa", "Garra magnidiscus", "Promalactis sinualis", "Promalactis spinosicostalis", "Promalactis strena", "Promalactis superimposita", "Promalactis truncatapicalis", "Promalactis undulata", "Promalactis vulvida", "Aethes acerba", "Aethes semicircularis", "Aethes subcitreoflava", "Caissa kangdinga", "Hieracium idae", "Hieracium huber-morathii", "Hieracium giresunense", "Hieracium foliosissimum", "Hieracium floccicomatum", "Hieracium diaphanoidiceps", "Hieracium cappadocicum", "Hieracium insolitum", "Eustrophopsis confinis", "Excidobates mysteriosus", "Eustrophopsis bicolor", "Eustrophopsis brunneimarginatus", "Eustrophopsis indistinctus", "Eustrophopsis arizonensis", "Excidobates captivus", "Cyrtosia septentrionalis", "Eustrophopsis ornatus", "Eustrophopsis crowdyi", "Synstrophus repandus", "Pseudoholostrophus impressicollis", "Pseudoholostrophus discolor", "Holostrophus bifasciatus", "Eustrophus tomentosus", "Exechia hiemalis", "Hemiscyllium halmahera", "Melanotaenia sneideri", "Egglestonichthys ulbubunitj", "Ompok karunkodu", "Scydmaenus anophthalmus", "Scydmaenus townsendi", "Scydmaenus wilmotensis", "Scydmaenus tonganus", "Hieracium sabaudum subsp. vagum", "Hieracium jurassicum subsp. barbeyi", "Hieracium murorum subsp. bithynicum", "Hieracium glaucinum subsp. cinerascens", "Hieracium murorum subsp. cinereostriatum", "Hieracium lucidum subsp. cophanense", "Hieracium racemosum subsp. crinitum", "Schistura pawensis", "Schistura rubrimaculata", "Schistura puncticeps", "Schistura ferruginea", "Turcinoemacheilus hafezi", "Psilorhynchus maculatus", "Notholebias vermiculatus", "Laimosemion jauaperi", "Coelostomidia wairoensis", "Ancema blanka blanka", "Ancema blanka minturna", "Parapolycope uncata", "Parapolycope psittacina", "Exocelina alexanderi", "Exocelina anggiensis", "Exocelina arfakensis", "Exocelina oceai", "Exocelina pseudosoppi", "Exocelina soppi", "Exocelina unipo", "Exocelina utowaensis", "Exocelina waigeoensis", "Exocelina weylandensis", "Exocelina wondiwoiensis", "Exocelina bifida", "Exocelina brahminensis", "Exocelina bundiensis", "Exocelina edeltraudae", "Exocelina ekari", "Exocelina eme", "Exocelina evelyncheesmanae", "Exocelina hansferyi", "Exocelina irianensis", "Exocelina kakapupu", "Exocelina knoepfchen", "Plesiocypridopsis newtoni", "Jerdonia indica", "Helianthemum sect.", "Phalaenopsis deliciosa subsp. deliciosa", "Parapedaliodes parepa", "Parapedaliodes parepa parepa", "Parapedaliodes parepa milvia", "Phalaenopsis deliciosa subsp. hookeriana", "Phalaenopsis viridis", "Helianthemum sect.", "Hieracium mallopoderes", "Hieracium medianiforme", "Hieracium nemorense", "Hieracium no\u00ebanum", "Hieracium odontophyllum", "Hieracium onosmaceum", "Hieracium onosmopsis", "Hieracium ovalifrons", "Hieracium patentissimum", "Hieracium phaeochristum", "Hieracium phrygiense", "Ancema ctesia", "Hieracium maculatum subsp. pollichiae", "Hieracium polygonifolium", "Parakonarus robertsoni", "Leptochelia mortenseni", "Fumana arabica", "Celetodes dracopis", "Prosodarma fibularis", "Pachnistis nubivaga", "Autosticha pelodes", "Parochodaeus campsognathus", "Parochodaeus cornutus", "Parochodaeus dentipes", "Cosmopterix zenobia", "Labdia oxycharis", "Labdia compar", "Limnaecia enclista", "Microcolona tumulifera", "Zanclarches fastosa", "Ostrea diluviana", "Fumana ericoides", "Liolaemus lemniscatus", "Follicrinus astacus", "Forcipata elianae", "Frambocythere tumiensis zagrosensis", "Gasteruption angulatum", "Dahlica zagoriensis", "Montetinea montana", "Montetinea tenuicornella", "Hieracium racemosum subsp. subartvinense", "Infurcitinea flavicapilla", "Popillia quadriguttata", "Popillia mutans", "Popillia flavosellata", "Infurcitinea sexguttella", "Infurcitinea media", "Tineiforma sardica", "Lichenotinea maculata", "Lichenotinea pustulatella pustulatella", "Lichenotinea pustulatella igaloensis", "Ischnoscia borreonella", "Ischnoscia pandorella", "Ferrisia multiformis", "Ferrisia pitcairnia", "Ferrisia quaintancii", "Ferrisia setosa", "Ferrisia terani", "Ferrisia uzinuri", "Ferrisia virgata", "Ferrisia williamsi", "Athyroglossa glaphyropus", "Olyra astrifera", "Lycengraulis figueiredoi", "Bryconamericus bucayensis", "Bryconamericus oroensis", "Bryconamericus zamorensis", "Hieracium prenanthoides", "Hieracium sarykamyschense", "Hieracium reductum", "Hieracium pseudodontotrichum", "Hieracium pseudosvaneticum", "Hieracium racemosum", "Hieracium radiatellum", "Hieracium sericicaule", "Visiana horista", "Visiana ranensis", "Visiana grandivinosa", "Visiana variovinosa", "Visiana morobensis", "Enneanectes deloachorum", "Enneanectes matador", "Enneanectes wilki", "Enneanectes boehlkei", "Gasteruption amoyense", "Gasteruption assectator", "Gasteruption bimaculatum", "Gasteruption birmanense", "Gasteruption corniculigerum", "Gasteruption dilutum", "Eugnathichthys virgatus", "Gasteruption dimidiatum", "Eugnathichthys macroterolepis", "Gasteruption formilis", "Eugnathichthys eetveldii", "Pseudophoxinus burduricus", "Satyrichthys kikingeri", "Teleta talaris", "Argyroploce scansilis", "Engelana anisoptera", "Phaulacantha catharostoma", "Phaulacantha acyclica", "Phaulacantha metamelas", "Ophiorrhabda philocompsa", "Laspeyresia obnixa", "Laspeyresia euthenopa", "Crocanthemum scoparium var. scoparium", "Atrypa reticularis", "Atrypa oneidensis", "Acoremata aquila", "Centaurea depressa", "Cheirogaleus lavasoensis", "Centaurea napifolia", "Centaurea triumfettii subsp. adscendens", "Brachypterois curvispina", "Hieracium alpinum", "Brachypterois serrulata", "Hieracium lachenalii subsp. argillaceoides", "Brachypterois serrulifer", "Neopedaliodes proculeja", "Neopedaliodes proculeja proculeja", "Hieracium camkorijense", "Neopedaliodes proculeja malaga", "Hieracium radyrense", "Hieracium murorum subsp. tossianum", "Neopedaliodes yeyo", "Hieracium spodocephalum", "Neopedaliodes juba juba", "Hieracium stellidorsum", "Neopedaliodes juba jubilosa", "Neopedaliodes michaeli", "Hieracium strigulosum", "Neopedaliodes michaeli michaeli", "Neopedaliodes michaeli citrica", "Hieracium subrosulatum", "Fessonia torshizica", "Hieracium murorum subsp. subsilvularum", "Hieracium subvandasii", "Hieracium sylvularum", "Hieracium tomentosum", "Neopedaliodes lafebreae", "Fishermyia stuckenbergi", "Hieracium murorum", "Neopedaliodes margaretha margaretha", "Neopedaliodes margaretha allyni", "Neopedaliodes nora nora", "Neopedaliodes nora stepheni", "Atheris hirsuta", "Polytrichophora setulosa", "Polytrichophora sinuosa", "Polytrichophora desmata", "Polytrichophora pulchra", "Polytrichophora mimbres", "Polytrichophora orbitalis", "Polytrichophora salix", "Polytrichophora setigera", "Polytrichophora sturtevantorum", "Polytrichophora prolata", "Polytrichophora reginae", "Ecpyrrhorrhoe aduncis", "Ecpyrrhorrhoe multispinalis", "Ecpyrrhorrhoe angustivalvaris", "Lopaphus micropterus", "Marmessoidea guangdongensis", "Pseudosipyloidea shuchuni", "Pseudosipyloidea damingshanensis", "Scionecra spinosa", "Eotmethis cyanipes", "Pedaliodes namballe", "Pedaliodes garlaczi", "Ferrisia colombiana", "Ferrisia claviseta", "Ferrisia cristinae", "Ferrisia dasylirii", "Ferrisia ecuadorensis", "Ferrisia gilli", "Ferrisia kondoi", "Ferrisia malvastra", "Panyapedaliodes drymaea", "Panyapedaliodes jephtha", "Panyapedaliodes mara", "Ferrisia meridionalis", "Panyapedaliodes monticola", "Ferrisia milleri", "Panyapedaliodes panyasis", "Panyapedaliodes phila phila", "Panyapedaliodes phila combeima", "Panyapedaliodes phila pilla", "Panyapedaliodes phila philaenis", "Panyapedaliodes puma", "Panyapedaliodes rahab", "Panyapedaliodes silpa", "Panyapedaliodes tomentosa", "Centaurea tchihatcheffii", "Centaurea woronowii", "Centaurea triumfettii", "Gasteruption formosanum", "Gasteruption japonicum", "Gasteruption oriplanum", "Gasteruption parvicollarium", "Gasteruption poecilothecum", "Gasteruption rufescenticorne", "Gasteruption sinarum", "Gasteruption sinicola", "Gasteruption subhamatum", "Gasteruption terebrelligerum", "Gasteruption tonkinense", "Gasteruption tournieri", "Gasteruption transversiceps", "Gasteruption varipes", "Telphusa prasinoleuca", "Palumbina tanyrrhina", "Gasteruption zarudnyi", "Thiotricha hamulata", "Stomopteryx maledicta", "Gasteruption annulitibiale", "Crocanthemum suffrutescens", "Crocanthemum rosmarinifolium", "Crocanthemum nashii", "Chlamys asper", "Crocanthemum scoparium var. vulgare", "Helcystogramma gypsaspis", "Anarsia eutacta", "Hypatima isotricha", "Hypatima apparitrix", "Hypatima instaurata", "Dichomeris ignorata", "Dichomeris microsphena", "Cathartes aura jota", "Trichopsocus harteni", "Odontadenia nitida", "Odontadenia subg.", "Ascalenia subusta", "Pyretaulax miltogramma", "Heterozyga coppatias", "Heterozyga sporadarcha", "Pseudodoxia scotias", "Eutorna generalis", "Eutorna undulosa", "Cryptolechia modularis", "Cryptolechia fatua", "Letogenes auguralis", "Epimactis monodoxa", "Epimactis dissecta", "Odites diacentra", "Odites praefixa", "Eucalyptra picractis", "Stathmopoda dactylias", "Pachyrhabda fissa", "Pachyrhabda suspecta", "Homona coffearia", "Pilosella caucasica", "Pilosella cymosa", "Archips seditiosa", "Pilosella grossheimii", "Pilosella halacsyi", "Pilosella hypeurygenes", "Pilosella echioides", "Pilosella kozlowskyana", "Pilosella lactucella", "Pilosella leptophyton", "Pilosella piloselloides", "Pilosella levieri", "Homona tabescens", "Homona salaconis", "Argyrotoxa septifera", "Argyrotoxa dumigera", "Protopterna chalybias", "Protopterna citrophanes", "Protopterna eremia", "Spilonota albicana", "Spilonota albitegulana", "Spilonota allodapa", "Spilonota aphrocymba", "Spilonota babylonica", "Spilonota calceata", "Spilonota chlorotripta", "Schoenoplectus litoralis", "Tritopterna chionostoma", "Tritopterna anastrepta", "Tritopterna eocnephaea", "Eucosma referenda", "Eucosma deltoplaca", "Gasteruption assectoides", "Gasteruption coloratum", "Gasteruption latitibia", "Cymolomia phaeopelta", "Gasteruption sinepunctatum", "Gasteruption strigosum", "Ara autocthones", "Helianthemum oelandicum subsp. oelandicum", "Odontadenia subg.", "Trichopsocus beipiaoensis", "Odontadenia sect.", "Odontadenia sect.", "Odontadenia sect.", "Parochodaeus jujuyus", "Parochodaeus perplexus", "Parochodaeus phoxus", "Parochodaeus proceripes", "Parochodaeus pudu", "Parochodaeus stupendus", "Geckobiella donnae", "Geckobiella diolii", "Geckobiella javieri", "Geckobiella pyriformis", "Geckobiella stamii", "Geckobiella harrisi", "Geckobiella bakeri", "Geckobiella boneti", "Geckobiella pelaezi", "Geckobiella trombidiiformis", "Geckobiella texana", "Placoptila lucicincta", "Chrysoxestis lauta", "Glenea jini", "Ileifea radiata", "Muiravea hargreavesi", "Ravola pennyi", "Eretmocera cyanosoma", "Razanus beniowskii", "Protanystis chalybastra", "Acanthocasis flavispinis", "Calopogon tuberosus var. tuberosus", "Calopogon tuberosus var. simpsonii", "Campsicnemus craigi", "Campsicnemus elinae", "Campsicnemus meyeri", "Campsicnemus moorea", "Campsicnemus popeye", "Campsicnemus pectinatus", "Eleorchis japonica", "Uromycladium simplex", "Aleeta curvicosta", "Hemiandrus electra", "Hemiandrus maia", "Clinopodium troodi", "Clinopodium troodi subsp. vardaranum", "Clinopodium troodi subsp. grandiflorum", "Acrocercops delicata", "Acrocercops cyphostacta", "Acrocercops tripolis", "Acrocercops lophonota", "Euprophantis autoglypta", "Amphithera smaragdopa", "Daulocoma latens", "Bucculatrix statica", "Oinophila leptorrhiza", "Opogona chlorophaea", "Opogona debilis", "Asymplecta circumflua", "Proboloptila frontella", "Plantago camtschatica", "Monopis brachyaspis", "Crypsithyris enixa", "Crypsithyris symphyrta", "Crypsithyrodes concolorella", "Epactris tabifica", "Epactris micans", "Entimus granulatus", "Lepyrotica scardamyctis", "Proterospastis proletaria", "Gracixalus waza", "Thaumatographa ferox", "Thaumatographa aurosa", "Pseudotsuga menziesii subsp. menziesii", "Imma endocrossa", "Imma pelurga", "Brachycerus barbarus", "Simaethis tigroides", "Pinus nelsonii", "Pinus rzedowskii", "Pinus orizabensis", "Specklinia aurantiaca", "Choreutis semicincta", "Anthophila irimochla", "Anthophila pelargodes", "Anthophila optica", "Anthophila obarata", "Curculio cornutus", "Ericydeus sedecimpunctatus", "Ussara iochrysa", "Glyphipterix clearcha", "Gymnoclasiopa argyrostoma", "Thymbra capitata", "Gymnoclasiopa bella", "Gymnoclasiopa bohemanni", "Thymbra sintenisii subsp. isaurica", "Gymnoclasiopa chiapas", "Thymbra sintenisii subsp. sintenisii", "Gymnoclasiopa grecorum", "Gymnoclasiopa matanuska", "Gymnoclasiopa parilis", "Ptilodoxa lorigera", "Loxoconcha curryi", "Drina mavortia", "Illantis picroleuca", "Hapsifera acrogona", "Drosica memorialis", "Nemophora pecuniosa", "Gymnoclasiopa pulchella", "Gymnoclasiopa subnubila", "Punapedaliodes flavopunctata flavopunctata", "Gymnoclasiopa tacoma", "Ditrichophora cana", "Punapedaliodes albopunctata", "Ditrichophora canifrons", "Corades medeba columbina", "Corades pannonia pannonia", "Corades pannonia ploas", "Corades pannonia albomaculata", "Corades pannonia condorita", "Bulbophyllum roxburghii", "Bulbophyllum stenobulbon", "Onopordum anatolicum", "Onopordum armenum", "Onopordum boissierianum", "Onopordum candidum", "Onopordum carduchorum", "Onopordum caricum", "Onopordum davisii", "Onopordum heteracanthum", "Onopordum majori", "Onopordum myriacanthum", "Onopordum polycephalum", "Onopordum sirsangense", "Cirsium yildizianum", "Cirsium alatum", "Entrichiria amphiphracta", "Syncathartis argestis", "Thyrsotarsa platybyrsa", "Tarphyscelis cirrhozona", "Stelis amoena", "Loxoconcha kuiperi", "Carex sabulosa", "Mus lepidoides", "Psychoda inornata", "Psychoda severini", "Dolichovespula sylvestris", "Gyrodactylus jalalii", "Gyrodactylus alekosi", "Spilosoma wildi", "Spilosoma withaari", "Acrotrichis bidentata", "Acrotrichis blandula", "Acrotrichis jelineki", "Argyrolepidia albiapex", "Argyrolepidia azurea", "Acrotrichis coiffaiti", "Acrotrichis setigera", "Acrotrichis propinqua", "Acrotrichis depressifrons", "Acrotrichis lobeliae", "Acrotrichis palmi", "Brachycerus apterus", "Immetalia mokndoma", "Acrotrichis danica", "Acrotrichis sjobergi", "Acrotrichis strandi", "Acrotrichis suecica", "Attelabus surinamensis", "Brachycerus groneri", "Brachycerus hermoniacus", "Brachycerus wizeni", "Brachycerus anatolicus", "Attelabus pensylvanicus", "Trichodes sipylus", "Lasiophila zapatoza meridae", "Lasiophila prosymna", "Lasiophila prosymna prosymna", "Lasiophila prosymna dirempta", "Sessiliospora bicolor", "Drina donina ninoda", "Primula reidii", "Gentiana arethusae", "Acrotrichis matthewsi", "Smicrus motschulskii", "Drina donina usira", "Smicrus aubaei", "Smicrus americanus", "Throscosana pecki", "Acrotrichis chilensis", "Chaetolopha pseudooxyntis", "Chaetolopha leucophragma", "Chaetolopha decipiens", "Chaetolopha emporias", "Chaetolopha niphosticha", "Bulbophyllum leysianum", "Bulbophyllum antenniferum", "Parachaetolopha flavicorpus", "Acrotrichis thomsoni", "Heilipodus huguenini", "Heilipodus goeldii", "Acrotrichis fratercula", "Acrotrichis lucidula", "Acrotrichis cervina", "Acrotrichis grandis", "Acrotrichis norfolkensis", "Acrotrichis walkomi", "Acrotrichis quadrilatica", "Acrotrichis orientalis", "Acrotrichis ceylonica", "Acrotrichis trapeziformis", "Acrotrichis wollastoni", "Opilo mollis", "Macropophora trochlearis", "Protogynanisa athletoides", "Protogynanisa probsti", "Callipogon cinnamomeus", "Odontadenia sect.", "Cirsium italicum", "Cirsium adjaricum", "Odontadenia lutea", "Cirsium aduncum", "Cirsium aduncum subsp. bashkalense", "Gyrodactylus gelnari", "Gyrodactylus nigritae", "Gyrodactylus synodonti", "Epiphora imperator", "Gyrodactylus turkanaensis", "Epiphora scribonia", "Breizacanthus aznari", "Lasiophila zapatoza", "Lasiophila zapatoza zapatoza", "Lasiophila zapatoza sombra", "Lasiophila zapatoza semipartia", "Lasiophila zapatoza manaurera", "Arisarum vulgare subsp. vulgare", "Arisarum vulgare subsp. clusii", "Arisarum vulgare subsp. hastatum", "Chaetolopha oxyntis", "Drina maneia", "Drina maneia maneia", "Drina maneia borromeorum", "Drina mariae", "Sternodea franzi", "Neonesidea bacata", "Neonesidea edentulata", "Neonesidea holdeni", "Neonesidea plumulosa", "Mecyclothorax aano", "Mecyclothorax arboricola", "Sinopoda serrata", "Australotaenia grobeli", "Australotaenia bunthangi", "Acrotrichis fucicola", "Acrotrichis cephalotes", "Acrotrichis curta", "Acrotrichis guerinii", "Acrotrichis quadrifoveolata", "Acrotrichis myrmecophila", "Acrotrichis exarata", "Acrotrichis rugulosa", "Acrotrichis spencei", "Acrotrichis brachyptera", "Acrotrichis pulchella", "Acrotrichis aptera", "Acrotrichis testacea", "Acrotrichis intermedia", "Acrotrichis tecta", "Acrotrichis fulvoides", "Chlorida festiva", "Upeneus japonicus", "Plantago japonica", "Elateropsis lineatus", "Mallodon spinibarbis", "Juiaparus batus", "Batocera rubus", "Cerambyx ferrugineus", "Batocera sentis", "Mygona propylea", "Oxeoschistus protogenia", "Oxeoschistus puerta", "Oxeoschistus puerta puerta", "Oxeoschistus puerta pervius", "Oxeoschistus puerta simplex", "Oxeoschistus puerta fuscus", "Oxeoschistus puerta garleppi", "Oxeoschistus puerta isolda", "Oxeoschistus puerta submaculatus", "Oxeoschistus cothon", "Oxeoschistus cothonides", "Oxeoschistus euriphyle", "Oxeoschistus hilara", "Oxeoschistus tauropolis", "Halacarsantia acuta", "Rhabdadenia biflora", "Placopsis erosa", "Placopsis campbelliana", "Acrotrichis arnoldi", "Acrotrichis yazakii", "Halictophagus urucui", "Acrotrichis errata", "Acrotrichis similaris", "Halicyclops itohi", "Halicyclops setiformis", "Halicyclops lanceolatus", "Halicyclops pumilus", "Halicyclops uncus", "Dipentium amplicolle", "Dipentium constrictum", "Dipentium magnum", "Dipentium neglectum", "Dipentium parvicolle", "Dipentium wolffi", "Dipentium punctatum", "Dipentium incertum", "Dipentium castaneum", "Dipentium japonicum", "Dipentium reticulatum", "Acrotrichis brunnea", "Scotocyma albinotata", "Scotocyma legalis", "Scotocyma samoensis", "Scotocyma asiatica", "Scotocyma sumatrensis", "Scotocyma scotopepla", "Pronophila unifasciata bogotensis", "Pronophila unifasciata brennus", "Pronophila unifasciata donachui", "Pronophila unifasciata nanegalito", "Pronophila epidipnis epidipnis", "Pronophila epidipnis orchewitsoni", "Pronophila epidipnis lathyi", "Pronophila rosenbergi", "Pronophila rosenbergi rosenbergi", "Pronophila rosenbergi puyango", "Iberodorcadion fuliginator", "Tragidion coquus", "Aquilegia bernardii", "Nigromacula hypotrachyne", "Bonamia sect.", "Bonamia sect.", "Scotocyma longiuncus", "Scotocyma manusensis", "Scotocyma mimula", "Taeniotes farinosus", "Scotocyma miscix", "Cerambyx depressus", "Oreodera glauca", "Polia minae", "Polia sublimis", "Polia praecipua", "Polia praecipua praecipua", "Polia praecipua angusta", "Stichelia catarinensis", "Stichelia cuneifascia", "Stichelia dukinfieldia", "Stichelia pelotensis", "Stichelia bocchoris", "Epepeotes desertus", "Trachyderes succinctus", "Oberthueria caeca", "Cerambyx virens", "Oberthueria falcigera", "Oberthueria formosibia", "Oberthueria yandu", "Oberthueria jiatongae", "Oberthueria lunwan", "Gardenia gummifera", "Halicyclops continentalis", "Halicyclops ariakensis", "Halirages stappersi", "Arisarum proboscideum", "Parachaetolopha petasitruncula", "Parachaetolopha ferruginoapex", "Parachaetolopha coerulescens", "Parachaetolopha turbinata", "Parachaetolopha anomola", "Parachaetolopha anomala", "Parachaetolopha tafa", "Parachaetolopha ornatipennis", "Parachaetolopha nepenthes", "Parachaetolopha collatisaeta", "Parachaetolopha peregrina", "Parachaetolopha spinosicornuta", "Tripteridia synclinogramma", "Amphilophium scabriusculum", "Neonesidea ifalikensis", "Bonamia sect.", "Bonamia agrostopolis", "Praepronophila perperna", "Praepronophila emma", "Praepronophila petronius", "Praepronophila petronius petronius", "Praepronophila petronius kerrianna", "Pronophila attali", "Pronophila isobelae", "Pronophila isobelae isobelae", "Pronophila isobelae benevola", "Pronophila margarita", "Pronophila unifasciata", "Pronophila unifasciata unifasciata", "Pronophila unifasciata deverra", "Okenia luna", "Pseudobuddelundiella hostensis", "Pseudobuddelundiella ljovuschkini", "Antiplotanais actuarius", "Ceratophaga vastella", "Elatobia montelliella", "Elatobia atratella", "Dindymus versicolor", "Clostridium septicum", "Allonychiurus songi", "Mecyclothorax claridgeiae", "Mecyclothorax curtisi", "Mecyclothorax ehu", "Mecyclothorax everardi", "Mecyclothorax fefemata", "Mecyclothorax hoeahiti", "Mecyclothorax hunapopoti", "Mecyclothorax jeanyvesi", "Mecyclothorax kayballae", "Mecyclothorax kokone", "Mecyclothorax konemata", "Mecyclothorax manina", "Mecyclothorax maninamata", "Mecyclothorax maninapopoti", "Mecyclothorax niho", "Mecyclothorax ninamu", "Mecyclothorax oaoa", "Mecyclothorax paahonu", "Mecyclothorax papau", "Mecyclothorax papuhiti", "Mecyclothorax pitohitiensis", "Mecyclothorax poria", "Mecyclothorax rahimata", "Mecyclothorax ramagei", "Mecyclothorax taatitore", "Mecyclothorax tuea", "Mecyclothorax altiusculus", "Mecyclothorax muriauxi", "Mecyclothorax bryobius", "Campsicnemus azyx", "Campsicnemus kariae", "Campsicnemus kohala", "Campsicnemus marilynae", "Campsicnemus puuoumi", "Rossella cylindrica", "Acrotrichis atomaria", "Acrotrichis atomus", "Acrotrichis brevipennis", "Acrotrichis thoracica", "Acrotrichis dispar", "Acrotrichis silvatica", "Acrotrichis sitkaensis", "Acrotrichis volans", "Acrotrichis parva", "Acrotrichis henrici", "Acrotrichis pumila", "Heerz ecmahla", "Heerz macrophthalma", "Lissopsius pacificus", "Lissopsius jaliscoensis", "Acrotrichis infuscata", "Ondigus cuixmalensis", "Acrotrichis xanthocera", "Acrotrichis abrupta", "Acrotrichis aspera", "Acrotrichis dohrnii", "Acrotrichis discolor", "Acrotrichis aubaei", "Acrotrichis californica", "Acrotrichis diffinis", "Acrotrichis crassicollis", "Acrotrichis parallelopipeda", "Acrotrichis tesserula", "Acrotrichis funginus", "Acrotrichis glabricollis", "Acrotrichis hornii", "Acrotrichis schaumii", "Acrotrichis vicina", "Acrotrichis subnitida", "Acrotrichis radicola", "Acrotrichis parallela", "Acrotrichis nanula", "Acrotrichis grossa", "Acrotrichis laticollis", "Acrotrichis haldemani", "Acrotrichis soror", "Acrotrichis flachi", "Acrotrichis umbricola", "Acrotrichis dubitata", "Acrotrichis laevicollis", "Acrotrichis occidentalis", "Acrotrichis matthewsiana", "Asyneuma babadaghense", "Asyneuma amplexicaule", "Asyneuma davisianum", "Asyneuma ekimianum", "Pethia aurea", "Ochthebius hivae", "Jacquemontia subg.", "Jacquemontia subg.", "Anathallis bocainensis", "Anathallis bolsanelloi", "Eooxylides tharis", "Acrotrichis latipedes", "Acrotrichis ryukyuensis", "Acrotrichis pulchellipennis", "Acrotrichis meridiana", "Acrotrichis lewisii", "Rypatula brevis", "Deinodryinus erwini", "Deinodryinus maugeri", "Dryinus acuminatus", "Actinopteryx fucicola", "Trichopteryx fucicola", "Amathillopsis roroi", "Actinopteryx hoguei", "Actinopteryx reflexa", "Anomalotinea chellalalis", "Eooxylides tharis latipictus", "Eooxylides tharis enganicus", "Eooxylides tharis ritsemae", "Eooxylides tharis watsoni", "Eooxylides tharis siberutica", "Eooxylides tharis siporana", "Reisserita mauritanica", "Anomalotinea leucella", "Eooxylides etias", "Trichophaga swinhoei", "Trichophaga abruptella", "Ceratophaga infuscatella", "Ceratophaga kuldjaensis", "Eooxylides etias etias", "Euconnomorphus boliviensis", "Aspasia epidendroides", "Ifloga anomala", "Ifloga glomerata", "Ifloga molluginoides", "Ifloga spicata", "Ifloga thellungiana", "Marrubium anisodon", "Skidmorella amamiana", "Skidmorella quadrisulucia", "Skidmorella elegantula", "Rioneta uluguruensis", "Rioneta inexpectata", "Pteryx franzi", "Myrmecozela chneourella", "Myrmecozela deserticola", "Cinnerethica optodes", "Pachyarthra pallidella", "Cinnerethica tabghaella", "Pachyarthra ochroplicella", "Pachyarthra lividella", "Pachyarthra mediterranea", "Scardia polypori", "Morophaga morellus", "Zygostates lunata", "Archinemapogon laterella", "Morophaga cremnarcha", "Morophaga hyrcanella", "Nemapogon meridionella", "Pachyarthra grisea", "Pachyarthra iranica", "Myrmecozela lutosella centrogramma", "Edosa fuscoviolacella", "Zygosepalum kegelii", "Zygosepalum labiosum", "Eooxylides tharis tharis", "Edosa exhausta", "Eooxylides tharis distanti", "Eooxylides tharis tharisides", "Reisserita oranella", "Reisserita latiusculella", "Anomalotinea cubiculella", "Anomalotinea cubiculella cubiculella", "Anomalotinea cubiculella algiricella", "Anomalotinea cubiculella eremica", "Eooxylides tharis ecyla", "Evolvulus sect.", "Evolvulus subsect.", "Thiemeia phoronea", "Thiemeia phoronea phoronea", "Thiemeia phoronea ortruda", "Novotinea muricolella", "Novotinea carbonifera", "Novotinea liguriella", "Edosa lardatella", "Edosa caerulipennis", "Edosa violacella", "Myrmecozela parnassiella", "Myrmecozela diacona", "Myrmecozela lambesella", "Myrmecozela lambesella lambesella", "Myrmecozela lambesella cuencella", "Helicometra pisodonophi", "Opecoelus haduyngoi", "Synavea apicemaculata", "Synavea hyalina", "Synavea albibaltea", "Synavea compaginata", "Synavea pusilla", "Synavea recurvata", "Synavea rusticola", "Synavea pattersoni", "Anathallis adenochila", "Vizimbum constanti", "Vizimbum lakandavaensis", "Anathallis aristulata", "Evolvulus subsect.", "Acrotrichis rufescens", "Acrotrichis similior", "Acrotrichis lucida", "Acrotrichis godmanni", "Nephanes pubescens", "Acrotrichis alliberti", "Thymus argaeus", "Thymus atticus", "Thymus aznavourii", "Thymus bornmuelleri", "Thymus brachychilus", "Thymus canoviridis", "Thymus cappadocicus", "Thymus cariensis", "Thymus cherlerioides", "Thymus comptus", "Thymus covolutus", "Thymus eigii", "Thymus eriocalyx", "Thymus fallax", "Thymus fedtschenkoi", "Thymus haussknechtii", "Thymus leucostomus", "Thymus migricus", "Thymus revolutus", "Thymus sibthorpii", "Acrotrichis reichii", "Acrotrichis wenckeri", "Thymus sphatulifolius", "Acrotrichis sallaei", "Thymus striatus", "Acrotrichis sarae", "Thymus trautvetteri", "Thymus zygioides", "Pseudomaniola phaselis", "Pseudomaniola phaselis phaselis", "Pseudomaniola phaselis argyritis", "Pseudomaniola phaselis macasica", "Pseudomaniola phaselis pholoe", "Gnoma zonaria", "Pseudomaniola phaselis rogersi", "Pseudomaniola loxo", "Pseudomaniola ilsa", "Pseudomaniola asuba", "Pseudomaniola clethra", "Pseudomaniola gerlinda", "Pseudomaniola helche", "Pseudomaniola mena", "Pseudomaniola gigas", "Zootrophion atropurpureum", "Eooxylides meduana", "Tinea leonhardi", "Tinea lanella", "Schizothorax leukus", "Polycoccum condensatum", "Tinea flavofimbriella", "Tinea rufescentella", "Tinea subalbidella", "Proterospastis autochthones", "Proterospastis ellipticella", "Proterospastis tripolitella", "Proterospastis quadruplella", "Schizothorax heteri", "Monopis rusticella", "Monopis ferruginella", "Monopis cecconii", "Zeuxine strateumatica", "Monopis longella", "Monopis fenestratella", "Monopis desertella", "Monopis meleodes", "Teucrium odontites", "Teucrium ozturkii", "Teucrium paederotoides", "Agdistis gambiaensis", "Teucrium parviflorum", "Teucrium pestalozzae", "Teucrium pruinosum", "Platyptilia albescens", "Platyptilia albidior", "Platyptilia albipunctella", "Chitra vandijki", "Neomegaderus stigma", "Fluvitrygon kittipongi", "Psilorhynchus chakpiensis", "Pethia canius", "Pethia guganio", "Pethia sharmai", "Pethia phutunio", "Pethia gelius", "Pethia ornata", "Polyptychoides chibinda", "Polyptychoides geita", "Polyptychoides furcillatus", "Claviger olympicus", "Polyptychoides digitatus", "Polyptychoides erosus", "Polyptychoides grayii", "Polyptychoides grayii grayii", "Polyptychoides grayii assimilis", "Trimeresurus phuketensis", "Asaphodes aegrota", "Apseudopsis tuski", "Spinosapseudes colobus", "Bunakenia labanticheiros", "Scolopia crenata", "Claviger bartoni", "Claviger caspicus", "Claviger ciscaucasicus", "Claviger emgei", "Claviger duvali", "Claviger colchicus", "Claviger elysius", "Claviger guilloti", "Claviger lederi", "Claviger ibericus", "Claviger intermedius", "Claviger pouzaui", "Xylobium squalens", "Belocera nigrinotalis", "Bambusiphaga basifusca", "Bambusiphaga hainanensis", "Ropalopus femoratus", "Bambusiphaga bakeri", "Bambusiphaga singaporensis", "Bambusiphaga taiwanensis", "Bambusiphaga citricolorata", "Teucrium alyssifolium", "Teucrium andrusi", "Teucrium antitauricum", "Bambusiphaga furca", "Bambusiphaga lacticolorata", "Bambusiphaga mirostylis", "Bambusiphaga nigropunctata", "Teucrium cavernarum", "Bambusiphaga similis", "Teucrium ekimii", "Teucrium haradjanii", "Teucrium kotschyanum", "Teucrium krymense", "Bambusiphaga fasica", "Teucrium leucophyllum", "Teucrium microphyllum", "Teucrium multicaule", "Bambusiphaga nigromarginata", "Bambusiphaga huangi", "Bambusiphaga jinghongensis", "Bambusiphaga kunmingensis", "Bambusiphaga yangi", "Bambusiphaga luodianensis", "Bambusiphaga lynchi", "Hileolaspis auratus", "Bambusiphaga maculata", "Bambusiphaga wangmoensis", "Bambusiphaga maolanensis", "Bambusiphaga pianmaensis", "Neobelocera asymmetrica", "Malaxella flava", "Polyptychoides niloticus", "Polyptychoides niloticus niloticus", "Polyptychoides niloticus ponens", "Neomyrina nivea", "Neomyrina nivea hiemalis", "Claviger katharinae", "Claviger ottomanus", "Claviger piochardi", "Neomyrina nivea nivea", "Neomyrina nivea periculosa", "Valenciennea helsdingenii", "Myrmicotrichis acutangula", "Acrotrichis jocosa", "Acrotrichis flavipennis", "Actidium producta", "Actidium sharpianum", "Ptenidula producta", "Actidium fowlerianum", "Actidium boudieri", "Actidium crotchianum", "Actidium politum", "Actidium magnum", "Actidium parvulum", "Osphronemus exodon", "Osphronemus laticlavius", "Osphronemus septemfasciatus", "Claviger nitidus", "Polycoccum sauteri", "Claviger merkli", "Claviger oertzeni", "Claviger revelierei", "Claviger saulcyi", "Claviger montandoni", "Claviger raffrayi", "Cnidium japonicum", "Synargis tytia", "Synargis orestessa", "Microcheilinella subparallela", "Bassaricyon neblina", "Yasoda androconifera", "Chlorophthalmus mascarensis", "Chlorophthalmus vityazi", "Astyanax pirabitira", "Rodwayia ovata", "Loxura atymnus prabha", "Rodwayia grandis", "Rodwayia hirsuta", "Rodwayia intercoxalis", "Loxura atymnus sulawesiensis", "Nossidium americanum", "Jasminum bhumibolianum", "Nanosella matthewsi", "Apseudes abditospina", "Apseudes poorei", "Apseudes quasimodo", "Compsoptera caesaraugustanus", "Loxura cassiopeia", "Loxura cassiopeia amatica", "Loxura cassiopeia batunensis", "Loxura cassiopeia cassiopeia", "Sinocyclocheilus xichouensis", "Loxura cassiopeia fuscicaudata", "Loxura cassiopeia numana", "Loxura cassiopeia yilma", "Ochyrotica juratea", "Ochyrotica willyi", "Hypsibarbus wetmorei", "Crocydoscelus castaneum", "Hypsibarbus malcolmi", "Walsinghamiella leifi", "Walsinghamiella niniella", "Walsinghamiella peterseni", "Walsinghamiella vibrans", "Platyptilia aeclodes", "Platyptilia aestiva", "Platyptilia africae", "Ancema blanka reina", "Motschulskium sinuatocolle", "Porophila cedri", "Porophila lazovskii", "Porophila mystacea", "Urotriainus bidentatus", "Paradoxapseudes paneacis", "Paradoxapseudes attenuata", "Pugiodactylus syntomos", "Micridium groehni", "Dendromigadops alticola", "Leucanella piura", "Dendromigadops gloriosus", "Stichonotus decoloratus", "Pseudodirphia boliviana", "Cethosia tambora", "Cethosia tambora tambora", "Cethosia tambora sabinae", "Cethosia tambora illicibilis", "Cethosia tambora narmada", "Cethosia tambora sumbana", "Cethosia tambora atia", "Cethosia tambora floresiana", "Titaea raveni", "Paradaemonia castanea", "Epiplatys atratus", "Dactyloceras lucina", "Delias pasithoe pasithoe", "Delias pasithoe silviae", "Yasoda pita", "Atrophaneura luchti luchti", "Atrophaneura luchti spaethi", "Yasoda pita dohertyi", "Bassaricyon medius", "Yasoda pita pita", "Yasoda pita singama", "Yasoda pitane", "Yasoda pitane laruta", "Yasoda pitane pitane", "Yasoda robinsoni", "Zoopsis nitida", "Pestalotiopsis clavispora", "Microcheilinella pusilla", "Yasoda tripunctata", "Yasoda tripunctata atrinotata", "Yasoda tripunctata tripunctata", "Actinopteryx torretassoi", "Actinopteryx tillyardi", "Actinopteryx parallela", "Actinopteryx lancifer", "Actinopteryx hercules", "Ancema blanka nacanda", "Ancema blanka sudica", "Anemopaegma citrinum", "Cylindrosella dampfi", "Throscoptilium duryi", "Nanosella panamensis", "Nanosella robustus", "Throscidium nidicola", "Bambara dybasi", "Bambara sublutea", "Bambara wagneri", "Monandroptera acanthomera", "Synargis fandanga", "Synargis rasqueada", "Synargis axenus", "Synargis bifasciata", "Synargis ochrophlegma", "Pseudamiops springeri", "Calyptogonia lynetteae", "Calyptogonia atra occidentalis", "Zygophyllum atriplicoides", "Zingeria verticillata", "Tunga hexalobulata", "Garicaphila pilosa", "Omphalodes davisiana", "Omphalodes ripleyana", "Mimophytum alienum", "Mimophytum cardiophyllum", "Mimophytum chiangii", "Omphalodes commutata", "Omphalodes erecta", "Omphalodes kusnetzovii", "Omphalodes kuzinskyanae", "Omphalodes littoralis", "Omphalodes luciliae", "Omphalodes luciliae subsp. cilicica", "Omphalodes luciliae subsp. kurdica", "Omphalodes luciliae subsp. luciliae", "Isolumpia propeflava", "Omphalodes luciliae subsp. pisidica", "Omphalodes luciliae subsp. scopulorum", "Mimophytum mexicanum", "Nudaurelia kohlli", "Nudaurelia krucki", "Nudaurelia macrops", "Nudaurelia macrothyris", "Nudaurelia maranguensis", "Nudaurelia mariae", "Nudaurelia rectilineata", "Nudaurelia renvazorum", "Nudaurelia rubra", "Cantharis lampyris", "Battus madyes philetas", "Battus madyes chlorodamas", "Battus madyes plinius", "Battus madyes tucumanus", "Battus madyes montebanus", "Battus madyes magnimacula", "Battus madyes adloni", "Battus madyes buechei", "Battus madyes lojaensis", "Battus madyes frankenbachi", "Battus madyes callangaensis", "Hylopanchax leki", "Hylopanchax moke", "Hylopanchax ndeko", "Euploea eupator", "Euploea eupator eupator", "Euploea eupator orneus", "Euploea eupator thrasetes", "Euploea eupator vanoorti", "Euploea eupator sulaensis", "Euploea eupator gertrudi", "Ancema ctesia agalla", "Ancema ctesia cakravasti", "Ancema ctesia ctesia", "Argynnis paphia formosicola", "Argynnis paphia butleri", "Argynnis paphia thalassata", "Argynnis paphia dives", "Argynnis paphia argyrorrhytes", "Argynnis paphia delila", "Argynnis paphia masandarensis", "Argynnis paphia pusilla", "Pseudotajuria donatana bangueyana", "Argynnis paphia neopaphia", "Argynnis paphia virescens", "Argynnis paphia geisha", "Argynnis paphia tsushimana", "Argynnis paphia megalegoria", "Argynnis paphia argyrophontes", "Pseudotajuria donatana bilara", "Leptura linearis", "Gonimbrasia alopia", "Nudaurelia alopia", "Photinus pyralis", "Nudaurelia anna", "Nudaurelia anthina", "Nudaurelia broschi", "Nudaurelia congolensis", "Nudaurelia dargei", "Nudaurelia eblis", "Nudaurelia flammeola", "Nudaurelia formosissima", "Nudaurelia hurumai", "Nudaurelia kiliensis", "Nudaurelia kilumilorum", "Asyneuma linifolium subsp. eximium", "Asyneuma filipes", "Asyneuma ilgazense", "Asyneuma isauricum", "Asyneuma junceum", "Asyneuma linifolium", "Asyneuma lycium", "Asyneuma canescens", "Asyneuma virgatum", "Asyneuma trichostegium", "Asyneuma pulvinatum", "Asyneuma pulchellum", "Asyneuma lobelioides", "Asyneuma michauxioides", "Asyneuma virgatum subsp. cichoriiforme", "Asyneuma virgatum subsp. virgatum", "Asyneuma rigidum subsp. graminifolium", "Asyneuma rigidum subsp. sibthorpianum", "Asyneuma rigidum subsp. rigidum", "Asyneuma japonicum", "Asyneuma anthericoides", "Asyneuma argutum", "Asyneuma campanuloides", "Asyneuma chinense", "Campanula comosiformis", "Asyneuma fulgens", "Asyneuma giganteum", "Asyneuma macrodon", "Asyneuma persicum", "Campanula pichleri", "Asyneuma thomsonii", "Dixus clypeatus", "Macrobrachium madhusoodani", "Acrotrichis vitrea", "Acrotrichis nigrita", "Acrotrichis bidilatata", "Acrotrichis brevior", "Acrotrichis minor", "Acrotrichis excelsa", "Acrotrichis angustipennis", "Acrotrichis glauca", "Neurophyseta upupalis", "Nephilengys borbonica", "Cyclopoapseudes plumosa", "Labraxeudes heliodiscus", "Metapseudes wilsoni", "Limulopteryx loebli", "Brachyolus obscurus", "Jacaranda puberula", "Protolobus obscurus", "Eremiascincus fasciolatus", "Thalassomya gutae", "Remelana jangala travana", "Remelana jangala orsolina", "Remelana jangala ravata", "Remelana jangala bella", "Lophostoma kalkoae", "Micronycteris giovanniae", "Micronycteris buriri", "Micronycteris yatesi", "Jacaranda sect.", "Jacaranda grandifoliolata", "Vanda sanderiana", "Babrama arcana", "Bicavella nossidioides", "Bicavella relicta", "Greensladella semipunctata", "Sindosium foveatum", "Sindosium opacipenne", "Ilyocypris innermongolica", "Myrmicotrichis subvittata", "Bambara brunnea", "Bambara contorta", "Bambara frosti", "Bambara fusca", "Bambara intricata", "Bambara steevesi", "Bambara elongatula", "Bambara invisibilis", "Bambara joannisi", "Bambara nidicola", "Pteryx mutabilis", "Pteryx flavicornis", "Opisthoncus polyphemus", "Thaumatographa cirrhocosma", "Thaumatographa citharistis", "Hilarographa crocochorista", "Thaumatographa cubensis", "Hilarographa cymatodes", "Thaumatographa decoris", "Rochelia cancellata", "Rochelia cardiosepala", "Thaumatographa machaerophora", "Arnebia densiflora", "Thaumatographa eremnotorna", "Hormuzakia negevensis", "Glyphipterix gemmula", "Glyphipterix gaudialis", "Argiloborus riedeli", "Yamatosa sinensis", "Adistemia prenanti", "Mimophytum richardsonii", "Omphalodes rupestris", "Omphalodes nitida", "Nonea anchusoides", "Nonea anomala", "Nonea dumanii", "Nonea echioides", "Nonea intermedia", "Nonea karsensis", "Nonea macrantha", "Nonea macrosperma", "Nonea melanocarpa", "Nonea monticola", "Nonea persica", "Nonea pisidica", "Nonea stenosolen", "Goodyera schlechtendaliana", "Nonea armeniaca", "Nonea calycina", "Nonea heterostemon", "Nonea rossica", "Nonea taurica", "Nonea ventricosa", "Nonea vivianii", "Nonea philistaea", "Nonea palmyrensis", "Nonea decurrens", "Nonea alpestris", "Nonea polychroma", "Tilia platyphyllos subsp. platyphyllos", "Tilia platyphyllos subsp. pseudorubra", "Proxenus melanephra", "Proxenus pallicornis", "Proxenus lepigone", "Anabremia inquilina", "Proxenus camptogramma", "Proxenus brunneolineosa", "Proxenus martoni", "Rubus caucasigenus", "Rubus collinus", "Rubus ibericus", "Rubus leptostemon", "Rubus mucronatus", "Rubus peruncinatus", "Rubus tereticaulis", "Euphrasia pectinata", "Euphrasia hirtella", "Euphrasia juzepczukii", "Euphrasia sevanensis", "Euphrasia liburnica", "Callitriche brutia", "Callitriche truncata", "Callitriche platycarpa", "Callitriche lenisulca", "Cantharis lucida", "Cantharis phosphorea", "Proxenus aurobrunnea", "Proxenus miranda", "Proxenus mindara", "Proxenus mendosa", "Proxenus fontainei", "Proxenus dallolmoi", "Dirphia rufescens", "Dirphia flavosignata", "Dirphia levis", "Leucanella oaxaca", "Chaiturus marrubiastrum", "Lamium moschatum subsp. micranthum", "Lamium moschatum subsp. moschatum", "Hemileuca nuttalli", "Cinommata bistrigata", "Automeris alticarchensis", "Automeris huascari", "Automeris iwanowitschi", "Automeris sachai", "Automeris cosangana", "Automeris barragani", "Automeris manzanoi", "Automeris oroiana", "Automeris pacchana", "Automeris parecuata", "Automeris pinasi", "Automeris zamorana", "Automeris uniorientalis", "Automeris abdomiorientalis", "Necyria duellona duellona", "Necyria duellona beltiana", "Necyria duellona diva", "Consul electra", "Consul electra electra", "Consul electra adustus", "Aspisoma ignitum", "Acantholimon calvertii", "Dismorphia altis", "Eooxylides etias shahaniae", "Phlomis amanica", "Inferuncus toxochorda", "Bipunctiphorus dimorpha", "Vietteilus vigens", "Stenoptilia amharae", "Stenoptilia uwinka", "Stenoptilia wieringai", "Exelastis hulstaerti", "Nippoptilia regulus", "Sphenarches gilloni", "Capperia morogoroa", "Apoxyptilus steineri", "Acianthera adeodata", "Acianthera albopurpurea", "Prichotilus tanzanicus", "Antarches tessmanni", "Trichoptilus erebites", "Megalorhipida festus", "Megalorhipida umbra", "Jacaranda sect.", "Jacaranda sect.", "Pella limbata", "Brunnera sibirica", "Scleropages leichardti", "Dinarda maerkelii", "Atheta occulta", "Anacaena lutescens", "Luciola italica", "Helochares obscurus", "Solenanthus formosus", "Solenanthus circinnatus", "Cymbiodyta marginella", "Enochrus affinis", "Glyphipterix funditrix", "Glyphipterix melania", "Cantharis italica", "Millieria dolosalis", "Phormoestes palmettovora", "Nyx puyaphaga", "Anthophila fabriciana", "Castianeira amoena", "Ibycus rachelae", "Synargis perrupta", "Synargis gorpa", "Synargis soranus", "Synargis abaris", "Synargis calyce", "Synargis mycone", "Synargis gela", "Synargis pittheus", "Synargis agle", "Synargis dirca", "Synargis ochra", "Synargis chaonia", "Synargis phliasus", "Synargis phliasus phliasus", "Synargis phliasus maravalica", "Synargis phliasus velabrum", "Synargis paulistina", "Synargis victrix", "Synargis ethelinda", "Necyria larunda", "Necyria duellona", "Karshicypridea karaktajensis", "Liphistius laoticus", "Karshicypridea paradoxa", "Cephaloplectus flavus", "Cephaloplectus godmani", "Cephaloplectus insignis", "Cephaloplectus longiseta", "Cephaloplectus mus", "Cephaloplectus quadriglumis", "Cephaloplectus trilobitoides", "Eulimulodes mexicanus", "Paralimulodes wasmanni", "Limulodes argentinus", "Limulodes elongatus", "Limulodes tibialis", "Limulodes bolivianus", "Limulodes brachyscelis", "Limulodes manni", "Limulodes navajo", "Limulodes pallidus", "Limulodes paradoxus", "Limulodes parki", "Limulodes philovagans", "Limulodes stenotropis", "Pselnophorus busoroensis", "Calendula maritima", "Hellinsia ruhuruinia", "Centranthus amazonum", "Adaina kihonda", "Merrifieldia lonnvei", "Cosmoclostis bivalva", "Hellinsia basuto", "Merrifieldia innae", "Microsarotis pauliani", "Cydia trichota", "Muhabbetina psimythistis", "Muhabbetina chromataspis", "Coniostola stereoma", "Coniostola omistus", "Galeopsis angustifolia", "Galeopsis nana", "Galeopsis pyrenaica", "Galeopsis reuteri", "Galeopsis rivas-martinezii", "Lisaea heterocarpa", "Lisaea papyracea", "Lisaea strigosa", "Pelania mauritanica", "Cantharis chinensis", "Aegonychon calabrum", "Glandora gastonii", "Glandora goulandriorum", "Aegonychon purpurocaeruleum", "Cerinthe palaestina", "Cerinthe tenuiflora", "Cerinthe retorta", "Cerinthe minor subsp. auriculata", "Cerinthe minor subsp. minor", "Cerinthe minor subsp. cleiostoma", "Taleporia epomias", "Taleporia subaenea", "Thaumatographa zapyra", "Thaumatographa leucopyrga", "Hilarographa oenobapta", "Thaumatographa opistocapna", "Thaumatographa phlox", "Hilarographa phlox", "Hilarographa mesostigmatias", "Thaumatographa ludens", "Hilarographa undosa", "Thaumatographa undosa", "Thaumatographa spermatodesma", "Hilarographa macaria", "Thaumatographa macaria", "Hilarographa tornoxena", "Thaumatographa calathisca", "Thaumatographa caminodes", "Thaumatographa ceramopa", "Teucrium pseudaroanium", "Teucrium sandrasicum", "Teucrium spinosum", "Agdistis rumurutia", "Agdistis turia", "Teucrium scordium subsp. scordioides", "Teucrium scordium subsp. scordium", "Teucrium lamiifolium", "Claviger apenninus", "Claviger araxidis", "Claviger barbarus", "Claviger justinae", "Claviger handmanni", "Claviger testaceus", "Claviger longicornis", "Actinotus minor", "Loxura atymnus arcuata", "Phthiracarus wallworki", "Loxura atymnus atymnus", "Loxura atymnus continentalis", "Africoptilium concinnum", "Africoptilium marginatum", "Africoptilium mimicum", "Loxura atymnus deinostratus", "Loxura atymnus fuconius", "Loxura atymnus intermedius", "Loxura atymnus kangeanus", "Loxura atymnus leminius", "Loxura atymnus luzonica", "Loxura atymnus manilius", "Loxura atymnus nicobarica", "Rodwayia minuta", "Rodwayia occidentalis", "Rodwayia orientalis", "Adistemia petiti", "Adistemia jeanneli", "Neocamiarus kuscheli chilotus", "Neocamiarus kuscheli edeniensis", "Limulodes heyeri", "Limulodes mexicanus", "Macrochirichthys macrochirus", "Elopichthys bambusa", "Ceriodaphnia cornuta", "Oreoglanis siamensis", "Oreoglanis nakasathiani", "Trigonostigma somphongsi", "Carinotetraodon lorteti", "Discherodontus halei", "Schistura pridii", "Echium longifolium", "Amblypharyngodon chulabhornae", "Lithodora hispidula", "Lithodora hispidula subsp. hispidula", "Lithodora hispidula subsp. versicolor", "Chitala ornata", "Chitala blanci", "Chitala lopis", "Glyphipterix regula", "Glyphipterix okui", "Scleropages macrocephalus", "Glyphipterix euleucotoma", "Scleropages aureus", "Zyras particornis", "Scleropages legendrei", "Gerres filamentosus", "Acanthopagrus berda", "Argyrops spinifer", "Lutjanus russellii", "Choreutis minuta", "Choreutis xanthogramma", "Choreutis basalis", "Choreutis ophiosema", "Choreutis fulminea", "Choreutis amethystodes", "Choreutis cyanogramma", "Choreutis japonica", "Choreutis yakushimensis", "Choreutis achyrodes", "Choreutis diana", "Cynoglossus feldmanni", "Choreutis pariana", "Cynoglossus microlepis", "Choreutis vinosa", "Cynoglossus lingua", "Choreutis vinosa vinosa", "Choreutis vinosa discolor", "Cynoglossus macrolepidotus", "Garra rufa", "Garra cambodgiensis", "Garra fuliginosa", "Choreutis atrosignata", "Osteobrama alfredianus", "Anoxypristis cuspidata", "Mobula japanica", "Rastrococcus asteliae", "Pseudorhombus arsius", "Psettodes erumei", "Premnas biaculeatus", "Poecilopsocus anticus", "Auriglobus modestus", "Auriglobus nefastus", "Cephaloplectus argentinus", "Caranx sexfasciatus", "Pseudapocryptes elongatus", "Cantharellus cinereus", "Nilio barthi", "Paradisanthus mosenii", "Paradisanthus neglectus", "Tecoma fulva", "Remelana jangala centa", "Remelana jangala erna", "Remelana jangala esra", "Remelana jangala mudra", "Tecoma weberbaueriana", "Hilsa kelee", "Choreutis atrosignata atrosignata", "Choreutis atrosignata sinica", "Choreutis hyligenes", "Imma monocosma", "Scaphognathops bandanensis", "Scaphognathops stejnegeri", "Choreutis cunuligera", "Anthophila dischides", "Euphrasia stricta", "Anthophila abhasica", "Anthophila armata", "Anthophila oreina", "Anthophila filipjevi", "Anthophila colchica", "Anthophila decolorana", "Anthophila threnodes", "Prochoreutis drosodoxa", "Prochoreutis hestiarcha", "Tenualosa toli", "Tenualosa thibaudeaui", "Clupeichthys aesarnensis", "Pseudeutropius indigens", "Platytropius siamensis", "Amphioctopus rex", "Labidus coecus", "Eciton vagans", "Luciosoma bleekeri", "Raiamas guttatus", "Garra flavatra", "Rohtee ogilbii", "Ononis basiadnata", "Petrophila cronialis", "Petrophila cyloialis", "Petrophila daemonalis", "Petrophila danaealis", "Petrophila darsanialis", "Petrophila dialitha", "Petrophila divisalis", "Petrophila doriscalis", "Petrophila esperanzalis", "Salmophasia sardinella", "Oxythyrea noemi", "Remelana davisi davisi", "Remelana davisi fulminans", "Remelana davisi negrosensis", "Lasioglossum neocaledonicum", "Remelana davisi noeli", "Lasioglossum tchambae", "Lasioglossum alticola", "Lasioglossum webbi", "Plagiolepis pissina", "Brachymyrmex flavidulus", "Sawbwa resplendens", "Mastacembelus alboguttatus", "Mastacembelus erythrotaenia", "Mastacembelus armatus", "Mastacembelus favus", "Prochoreutis atrox", "Prochoreutis chionocosma", "Prochoreutis radians", "Leontopodium shinanense", "Prochoreutis intermediana", "Prochoreutis brunescens", "Prochoreutis arisema", "Prochoreutis hadrogastra", "Prochoreutis talyshensis", "Prochoreutis ussurica", "Prochoreutis sachalinensis", "Prochoreutis delicata", "Prochoreutis alpina", "Remelana westermanii", "Rhynchostele rossii", "Gekko siamensis", "Garra poilanei", "Homaloptera parclitella", "Homaloptera ogilvie", "Vitusella fijiensis", "Nematalosa galatheae", "Cynoglossus cynoglossus", "Hemibagrus nemurus", "Hemibagrus wyckioides", "Hemibagrus wyckii", "Pseudomystus siamensis", "Eciton hamatum", "Eciton drepanophorum", "Eciton dulcium", "Eciton jansoni", "Eciton lucanoides", "Eciton mexicanum", "Eciton quadriglume", "Eciton rapax", "Eciton setigaster", "Eciton uncinatum", "Rita sacerdotum", "Sperata acicularis", "Prionobutis microps", "Cantharis obscura", "Bombus wangae", "Salanoemia tavoyana", "Automerina esmeraletes", "Gagea spathacea", "Acantopsis dialuzona", "Rosularia blepharophylla", "Rosularia davisii", "Rosularia elymaitica", "Rosularia globulariifolia", "Rosularia haussknechtii", "Rosularia libanotica", "Rosularia lineata", "Rosularia pallidiflora", "Rosularia serrata", "Petrophila aealis", "Petrophila aeglesalis", "Petrophila aengusalis", "Petrophila albulalis", "Petrophila alvealis", "Petrophila amethystina", "Petrophila annulalis", "Petrophila argyrolepta", "Lophiosilurus alexandri", "Petrophila argyrophora", "Petrophila aroalis", "Petrophila auspicatalis", "Petrophila avernalis", "Petrophila axis", "Petrophila aztecalis", "Petrophila bedealis", "Petrophila benezetalis", "Petrophila bifascialis", "Pangasius pangasius", "Petrophila bijonalis", "Petrophila brunneodora", "Petrophila cabimalis", "Petrophila canadensis", "Petrophila cappsi", "Petrophila cathanalis", "Petrophila cerrussalis", "Petrophila chejelalis", "Petrophila chrysopalis", "Petrophila climacusalis", "Petrophila complicatalis", "Petrophila conallalis", "Petrophila confusalis", "Petrophila constellalis", "Anodontostoma chacunda", "Anodontostoma thailandiae", "Labidus praedator", "Devario suvatti", "Devario peninsulae", "Homaloptera ogilviei", "Trogoderma cordillerae", "Epipactis papillosa", "Devario aequipinnatus", "Blumeria graminis", "Mahidolia mystacina", "Mugilogobius rambaiae", "Mugilogobius chulae", "Nemacheilus masyai", "Speleobregma lanzeroteum", "Plotosus lineatus", "Plotosus canius", "Nemapteryx caelata", "Malapterurus microstoma", "Hemibagrus microphthalmus", "Prochoreutis dyarella", "Prochoreutis clemensella", "Prochoreutis extrincicella", "Prochoreutis sororculella", "Prochoreutis inflatella", "Prochoreutis phalaraspis", "Prochoreutis pernivalis", "Caloreas coloradella", "Caloreas leucobasis", "Caloreas occidentella", "Caloreas schausiella", "Caloreas apocynoglossa", "Caloreas augustella", "Caloreas caliginosa", "Caloreas multimarginata", "Dichrorampha sapodilla", "Dichrorampha manilkara", "Bulbophyllum bicoloratum", "Ethmia powelli", "Remelana jangala andamanica", "Remelana jangala baweana", "Paradisanthus bahiensis", "Paradisanthus micranthus", "Congresox talabon", "Congresox talabonoides", "Neivamyrmex harrisii", "Cantharellus friesii", "Prochoreutis myllerana", "Prochoreutis ultimana", "Prochoreutis holotoxa", "Cirrhinus caudimaculatus", "Systomus lateristriga", "Prochoreutis solaris", "Prochoreutis monognoma", "Prochoreutis sehestediana", "Prochoreutis stellaris", "Peotyle atmodesma", "Peotyle batangensis", "Tebenna caucasica", "Laides hexanema", "Tebenna bjerkandrella", "Tebenna bjerkandrella bjerkandrella", "Tebenna bjerkandrella pretiosana", "Pseudeutropius moolenburghae", "Tebenna submicalis", "Tebenna chingana", "Tebenna chodzhajevi", "Tebenna silphiella", "Tebenna balsamorrhizella", "Batrachomoeus trispinosus", "Tebenna gemmalis", "Tebenna immutabilis", "Tebenna piperella", "Tebenna onustana", "Tebenna carduiella", "Emplesis lilliputana", "Emplesis longicollis", "Emplesis macrosticta", "Emplesis masculina", "Emplesis medfasciata", "Emplesis microsticta", "Emplesis miscella", "Emplesis nana", "Emplesis nigriclava", "Emplesis nigrirostris", "Emplesis obliqua", "Emplesis ovalisticta", "Emplesis pallida", "Emplesis parilis", "Emplesis parvidens", "Emplesis picta", "Emplesis pictipennis", "Emplesis pulicosa", "Emplesis rectirostris", "Emplesis setipennis", "Emplesis sordida", "Emplesis squamirostris", "Emplesis squamivaria", "Emplesis stenoderes", "Emplesis sublecta", "Emplesis submunda", "Emplesis subtibialis", "Emplesis subuniformis", "Emplesis suturalis", "Emplesis suturalis meridionalis", "Emplesis tarsalis", "Emplesis tibialis", "Emplesis trisinuata", "Emplesis vitticollis", "Kryptopterus cryptopterus", "Euprymna hyllebergi", "Peruphasma schultei", "Gymnothorax tile", "Brachirus panoides", "Brachirus harmandi", "Petrophila flavivittalis", "Petrophila fluviatilis", "Petrophila fulicalis", "Catlocarpio siamensis", "Parachela oxygastroides", "Parachela siamensis", "Deltochilum violetae", "Trioplus cylindricus", "Paralaubuca harmandi", "Cosmochilus harmandi", "Emplesis albifasciata", "Emplesis albifrons", "Emplesis alphabetica", "Emplesis alternata", "Emplesis angusta", "Emplesis apiciventris", "Emplesis basipennis", "Emplesis bituberculata", "Emplesis bituberculata tasmaniensis", "Emplesis brevimana", "Emplesis composita", "Emplesis cordipennis", "Emplesis costirostris", "Emplesis curvirostris", "Emplesis cylindrirostris", "Emplesis ferruginea", "Emplesis grata", "Emplesis grisea", "Emplesis illota", "Emplesis inscripta", "Emplesis intermixta", "Emplesis interocularis", "Emplesis interrupta", "Emplesis intricata", "Emplesis invenusta", "Emplesis lata", "Emplesis leucomela", "Emplesis leucophaea", "Petrophila unilinealis", "Petrophila zelota", "Petrophila valstanalis", "Petrophila zamoralis", "Agassiziella albidivisa", "Schistura schultzi", "Agassiziella alicialis", "Agassiziella angulipennis", "Agassiziella dianale", "Agassiziella fuscifusalis", "Agassiziella hapilista", "Agassiziella kwangtungiale", "Agassiziella niveinotatum", "Agassiziella picalis", "Eoophyla tigridalis", "Eoophyla lobophoralis", "Eoophyla iriusalis", "Eoophyla palleuca", "Eoophyla clasnaumanni", "Eoophyla myanmarica", "Hemiloba excisa", "Eristena albifurcalis", "Eristena chrysozonalis", "Eristena auropunctalis", "Eristena excisalis", "Eristena ornata", "Eristena fulva", "Eristena argentata", "Eristena gregaria", "Eristena mangalis", "Eristena thalassalis", "Eristena shafferi", "Petrophila gemmiferalis", "Petrophila glycysalis", "Petrophila gordianalis", "Petrophila gratalis", "Petrophila guadarensis", "Petrophila hamiferalis", "Petrophila heppneri", "Petrophila herminalis", "Petrophila hodgesi", "Petrophila inaurata", "Petrophila insulalis", "Petrophila iolepta", "Petrophila jalapalis", "Mystus bocourti", "Petrophila jaliscalis", "Petrophila kearfottalis", "Petrophila laurentialis", "Petrophila leucistis", "Petrophila longipennis", "Petrophila lulesalis", "Petrophila maguilalis", "Petrophila malcusalis", "Petrophila marionialis", "Horabagrus brachysoma", "Petrophila mignonalis", "Petrophila multipicta", "Petrophila niphoplagalis", "Petrophila odoalis", "Petrophila opulentalis", "Rhynchostele pygmaea", "Mystus leucophasis", "Petrophila pantheralis", "Petrophila parvissimalis", "Petrophila pavonialis", "Petrophila peraltalis", "Petrophila phaeopastalis", "Petrophila pyropalis", "Mystus mysticetus", "Petrophila santafealis", "Petrophila schaefferalis", "Petrophila schistopalis", "Petrophila schwarzalis", "Petrophila sumptuosalis", "Petrophila tessimalis", "Mystus singaringan", "Petrophila tristalis", "Petrophila triumphalis", "Petrophila ulfridalis", "Gomyella aptera", "Gomyella apteroides", "Gomyella canaliculata", "Gomyella carinata", "Gomyella longicornis", "Gomyella obscura", "Gomyella parva", "Gomyella schauenbergi", "Gomyella similata", "Gomyella simplex", "Gomyella lata", "Gomyella lawrencei", "Micridium angulicolle", "Micridium halidaii", "Micridium lineatocolle", "Dactylorhiza incarnata subsp. coccinea", "Millidium minutissimum", "Millidium trisulcatum", "Oligella insignis", "Oligella clandestina", "Ptinella mekula", "Trimeresurus wiroti", "Microptilium geistautsi", "Barbonymus altus", "Barbonymus gonionotus", "Pulposipes herculeanus", "Mekongina erythrospila", "Oreoglanis sudarai", "Coenobita rugosus", "Ptiliolum rufotestaceum", "Ptiliodes pruinosus", "Skidmorella magnifica", "Cissidium reitteri", "Pampus argenteus", "Cardiophorus ruficollis", "Neolissochilus dukai", "Actidium kraatzi", "Actidium neresheimeri", "Nossidium flachi", "Trichopteryx boudieri", "Brachyplatystoma tigrinum", "Brachyplatystoma rousseauxii", "Platynematichthys notatus", "Ptenidium reitteri", "Nycticebus javanicus", "Cantharis serrata", "Cantharis tropica", "Greta morgane", "Ischnomera caerulea", "Astatopteryx laticollis", "Championella nubigena", "Pterycodes salvinii", "Pteryx ganglbaueri", "Pteryx oraniensis", "Pteryx splendens", "Pteryx subtruncata", "Pteryx bicolor", "Pteryx ferruginea", "Toxotes blythii", "Toxotes chatareus", "Toxotes jaculatrix", "Toxotes microlepis", "Leiocassis longirostris", "Schistura kohchangensis", "Gongora erecta", "Callistemonus intrusus", "Plutella australiana", "Elater mesomelus", "Tor tambroides", "Elater ferrugineus", "Tor soro", "Ampedus sanguineus", "Ampedus balteatus", "Neolissochilus stracheyi", "Tor douronensis", "Dismorphia astyocha", "Spinibarbus denticulatus", "Dismorphia boliviana", "Dismorphia eunoe eunoe", "Dismorphia eunoe desine", "Dismorphia eunoe chamula", "Dismorphia eunoe popoluca", "Anguilla bengalensis labiata", "Siniperca chuatsi", "Ampedus tristis", "Acanthosquilla derijardi", "Phricotelphusa sirindhorn", "Thaiphusa sirikit", "Stachyridopsis rufifrons", "Schistura kaysonei", "Epelidochiton piperis", "Scaphognathops theunensis", "Balantiocheilos melanopterus", "Schistura jarutanini", "Schistura udomritthiruji", "Opsarius koratensis", "Strepsinoma albimaculalis", "Strepsinoma albiplagialis", "Strepsinoma aulacodoidalis", "Pangio kuhlii", "Actidium attenuatum", "Actidium granulosum", "Actidium longicorne", "Actidium pruinosum", "Actidium reitteri", "Schistura nicholsi", "Actidium robustulum", "Actidium rotundicolle", "Actidium variolatum", "Hypsibarbus suvattii", "Secutor indicius", "Gastrisus nobilis", "Ptilium coarctatum", "Ptilium elongatum", "Actidium aterrimum", "Ptinella aterrima", "Selenophanes cassiope cassiope", "Selenophanes cassiope amplior", "Selenophanes cassiope andromeda", "Selenophanes cassiope cassiopeia", "Selenophanes cassiope haraposa", "Selenophanes cassiope mapiriensis", "Selenophanes cassiope perenensis", "Selenophanes cassiope placentia", "Selenophanes cassiope theognis", "Selenophanes supremus", "Selenophanes supremus supremus", "Selenophanes supremus ditatus", "Selenophanes josephus", "Selenophanes josephus josephus", "Selenophanes josephus excisus", "Selenophanes josephus excultus", "Parides phosphorus phosphorus", "Parides phosphorus laurae", "Callistocypris zlotini", "Dactylorhiza incarnata subsp. cruenta", "Ayressoleberis bathymarina", "Ayressoleberis microagrenon", "Ayressoleberis dasyderma", "Ayressoleberis brevicosta", "Lymexylon navale", "Pyrophorus noctilucus", "Pteridium latiusculum", "Ignelater phosphoreus", "Rosularia alpestris", "Cardiophorus syriacus", "Catacantha ecorientalis", "Catacantha jujuyensis", "Cerodirphia kattyae", "Antaeotricha utahensis", "Antaeotricha duckworthi", "Antaeotricha baboquivariensis", "Lipographis fenestrella", "Lipographis truncatella", "Lipographis umbrella", "Lipographis unicolor", "Cremastobombycia chromolaenae", "Tropaeolum sect.", "Tropaeolum sect.", "Terapon jarbua", "Triacanthus biaculeatus", "Malkinella cavatica", "Tetraodon mbu", "Urotriainus grandis", "Urotriainus molesti", "Urotriainus robustior", "Tetraodon miurus", "Spathius thorpei", "Dendrosotinus chathamicus", "Spathius lubomiri", "Spathius enigmatus", "Spathius ishigakus", "Spathius konishii", "Spathius multigranulatus", "Spathius omotodakus", "Spathius pseudaspersus", "Spathius pumilio", "Spathius tsushimus", "Spathius alahamatus", "Spathius tramlapus", "Spathius maichauensis", "Spathius pacoensis", "Spathius sterlingi", "Spathius subanervis", "Spathius exarator", "Spathius pedestris", "Spathius galinae", "Eristena postalbalis", "Eristena murinalis", "Eristena oligostigmalis", "Eristena straminealis", "Eristena araealis", "Eristena orthoteles", "Eristena camptoteles", "Eristena parvalis", "Eristena pulchellalis", "Eristena melanotalis", "Eristena endosaris", "Eristena fumibasale", "Eristena syagrusalis", "Eristena lunaris", "Dapidodigma hymen", "Pieris marginalis pseudobryoniae", "Angoonopteryx siamensis", "Puntioplites bulu", "Puntioplites falcifer", "Puntioplites proctozystron", "Callistocypris mckenziei", "Amphioctopus aegina", "Callistocypris rossettii", "Euselasia oaxacensis", "Cerodirphia azuayana", "Cerodirphia annelisae", "Cerodirphia moronensis", "Copaxa kaechi", "Copaxa arianae", "Copaxa witti", "Dirphia arianae", "Mormodes cartonii", "Bangana behri", "Phalacronotus micronemus", "Rhaphiodon vulpinus", "Tanacetum siculum", "Tropaeolum azureum", "Tropaeolum \u00d7 tenuirostre", "Strepsinoma grisealis", "Strepsinoma amaura", "Strepsinoma sphenactis", "Strepsinoma croesusalis", "Strepsinoma ectopalis", "Strepsinoma foveata", "Strepsinoma tetralitha", "Margarosticha argyrograpta", "Margarosticha euprepialis", "Margarosticha gaudialis", "Margarosticha leucozonalis", "Margarosticha aurantifusa", "Margarosticha bimaculalis", "Margarosticha pulcherrimalis", "Margarosticha nesiotes", "Margarosticha papuensis", "Margarosticha plumbealis", "Margarosticha sphenotis", "Margarosticha repetitalis", "Potamomusa aquilonia", "Potamomusa midas", "Acantopsis choirorhynchos", "Acantopsis thiemmedhi", "Ebaeus pedicularius", "Paracymoriza albalis", "Paracymoriza albifascialis", "Paracymoriza phlegetonalis", "Paracymoriza stigmatalis", "Anthocomus fasciatus", "Acanthopsoides gracilentus", "Paracymoriza eromenalis", "Malthinus biguttatus", "Malthodes minimus", "Rhagonycha testacea", "Cantharis pectinata", "Salanoemia shigerui", "Salanoemia fuscicornis", "Salanoemia noemi", "Salanoemia sala", "Salanoemia similis", "Tropaeolum crenatiflorum", "Tropaeolum deckerianum", "Tropaeolum umbellatum", "Hydrolycus armatus", "Hydrolycus tatauaia", "Heterometrus laoticus", "Epeolus bifasciatus", "Chrysochroa ignita", "Tropaeolum patagonicum", "Tropaeolum pentaphyllum", "Tropaeolum pentaphyllum subsp. pentaphyllum", "Tropaeolum pentaphyllum subsp. megapetaloides", "Tropaeolum pentaphyllum subsp. megapetalum", "Fijisella vituensis", "Mecyclothorax baehri", "Tropaeolum sanctae-catharinae", "Godyris nubilosa", "Limonius minutus", "Meizocellis infuscans", "Tropaeolum leptophyllum", "Tropaeolum leptophyllum subsp. leptophyllum", "Rachesa arianae", "Boesemania microlepis", "Malaxis versicolor", "Paracymoriza parallelalis", "Paracymoriza immanis", "Paracymoriza olivalis", "Paracymoriza rivularis", "Paracymoriza nigra", "Paracymoriza latifascialis", "Paracymoriza flavicaput", "Incertae sedis", "Paracymoriza okinawanus", "Leedsichthys problematicus", "Buprestis octoguttata", "Thysanoidma octalis", "Thysanoidma stellata", "Tropaeolum beuthii", "Probarbus jullieni", "Probarbus labeaminor", "Probarbus labeamajor", "Inlecypris maetaengensis", "Crinum thaianum", "Idiosepius thailandicus", "Pomacentrus micronesicus", "Anfesta dichotoma", "Exyrias akihito", "Austrotritia parabellingeri", "Pergalumna boliviana", "Colossendeis macerrima", "Euglossa perpulchra", "Tropaeolum sessilifolium", "Tropaeolum trialatum", "Tropaeolum bicolor", "Tropaeolum magnificum", "Megalopsalis atrocidiana", "Megalopsalis caeruleomontium", "Megalopsalis coronata", "Megalopsalis puerilis", "Megalopsalis sublucens", "Megalopsalis suffugiens", "Megalopsalis walpolensis", "Megalopsalis hoggi", "Tropaeolum peregrinum var. peregrinum", "Triepeolus diffusus", "Triepeolus dilutus", "Triepeolus edwardi", "Triepeolus engeli", "Triepeolus exilicurvus", "Triepeolus flavigradus", "Triepeolus fulgidus", "Triepeolus griswoldi", "Triepeolus interruptus", "Triepeolus isohedrus", "Triepeolus jennieae", "Triepeolus joliae", "Triepeolus lateralis", "Triepeolus margaretae", "Triepeolus mauropygus", "Triepeolus melanarius", "Triepeolus micheneri", "Triepeolus nayaritensis", "Triepeolus parkeri", "Triepeolus partitus", "Triepeolus parvidiversipes", "Triepeolus parvus", "Triepeolus perpictus", "Triepeolus phaeopygus", "Triepeolus punctoclypeus", "Triepeolus quadratus", "Triepeolus simulatus", "Triepeolus vernus", "Triepeolus warriti", "Orthosternarchus tamandua", "Paratachys scitulus", "Paratachys atamuradovi", "Paratachys guangxicus", "Paratachys troglocola", "Parapteronotus hasemani", "Bembidion tahitiense", "Episcada salvinia", "Episcada salvinia salvinia", "Episcada salvinia apia", "Episcada salvinia opleri", "Episcada salvinia portilla", "Napeogenes tolosa chrispina", "Napeogenes tolosa amara", "Napeogenes tolosa diaphanosa", "Folifer brevifilis", "Napeogenes larina aethra", "Napeogenes larina deucalion", "Napeogenes larina iquitensis", "Napeogenes larina otaxes", "Napeogenes larina pyrrho", "Napeogenes larina zurippa", "Pangasius conchophilus", "Dirphia carchensis", "Helicophagus waandersii", "Dirphia somoccidentalis", "Dirphia vanschaycki", "Leucanella bolanosi", "Leucanella manzanoi", "Ceratoglanis pachynema", "Cassolaia maura", "Ceratoglanis scleronema", "Pseudautomeris horsti", "Pseudautomeris marceli", "Pseudautomeris cajamarcensis", "Pseudautomeris chocensis", "Rachesa sumacensis", "Maxillaria sessilis", "Maxillaria crassifolia", "Psychopsis mimica", "Tropaeolum porifolium", "Tropaeolum rhomboideum", "Cyclocheilichthys armatus", "Cirripectes filamentosus", "Pterygoplichthys multiradiatus", "Pterygoplichthys anisitsi", "Acizzia albizzialis", "Hemisilurus mekongensis", "Phalacronotus bleekeri", "Okenia academica", "Okenia africana", "Okenia amoenula", "Okenia angelensis", "Okenia angelica", "Okenia hiroi", "Okenia hispanica", "Okenia impexa", "Okenia japonica", "Cirsium subinerme", "Cirsium sorocephalum", "Cirsium sommieri", "Cirsium sivasicum", "Cirsium sipyleum", "Xyelecia nearctica", "Xyelecia japonica", "Sempervivum herfriedianum", "Phalacronotus apogon", "Sempervivum feigeanum", "Centaurea napulifera", "Pateobatis bleekeri", "Storeus albosignatus", "Stigmatogobius sadanundio", "Tropaeolum brachyceras", "Nomorhamphus liemi", "Betta stiktos", "Tropaeolum hookerianum", "Betta apollon", "Mystacoleucus marginatus", "Mystacoleucus argenteus", "Tropaeolum hookerianum subsp. hookerianum", "Tropaeolum hookerianum subsp. austropurpureum", "Tropaeolum hookerianum subsp. pilosum", "Macrobrachium rosenbergii schenkeli", "Xylotrupes gideon", "Brachyhypopomus beebei", "Narcine brunnea", "Brachyhypopomus bombilla", "Brachyhypopomus brevirostris", "Pelecopselaphus strictus", "Opsiphanes quiteria", "Opsiphanes quiteria quiteria", "Opsiphanes quiteria angostura", "Arabis tunetana", "Phalaenopsis parishii", "Didymoplexiopsis khiriwongensis", "Vanilla walkeriae", "Leontopodium nivale subsp. nivale", "Tropaeolum calvum", "Ditropidus fugitivus", "Ancula espinosai", "Ancula evelinae", "Ancula fuegiensis", "Ancula gibbosa", "Ancula lentiginosa", "Ancula mapae", "Ancula kariyana", "Leptobarbus hoevenii", "Omobranchus ferox", "Omobranchus zebra", "Eobroscus bhutanensis", "Tropaeolum leptophyllum subsp. gracile", "Ompok pinnatus", "Sphaerichthys osphromenoides", "Rastrelliger brachysoma", "Rastrelliger faughni", "Scomberomorus sinensis", "Aprostocetus barnallicus", "Aprostocetus arunachalicus", "Aprostocetus namdaphicus", "Aprostocetus neovanilae", "Tetrastichus ramakrishnae", "Tetrastichus anamikicus", "Stolephorus indicus", "Ypthima rosei", "Hydrovatus sringeriensis", "Copelatus wayanadensis", "Oxapampana electrea", "Euconchoecia hormuzensis", "Euconchoecia omanensis", "Oligeriops chalybeus", "Oligeriops dimorphon", "Oligeriops moestus", "Oligeriops occidentalis", "Oligeriops iridomyrmex", "Thaipotamon chulabhorn", "Betta ferox", "Betta stigmosa", "Clarias cataractus", "Clarias meladerma", "Okenia opuntia", "Goniodoris sugashimae", "Comptosia pria", "Comptosia miranda", "Yasuhikotakia eos", "Yasuhikotakia modesta", "Yasuhikotakia lecontei", "Yasuhikotakia morleti", "Viola velutina", "Megalopsalis minima", "Megalopsalis porongorupensis", "Megalopsalis serritarsus", "Megalopsalis stewarti", "Megalopsalis tanisphyros", "Megalopsalis tasmanica", "Megalopsalis thryptica", "Pomadasys kaakan", "Syncrossus berdmorei", "Syncrossus beauforti", "Parisopalpus thoracicus", "Parisopalpus defoei", "Leiopelma acricarina", "Leiopelma miocaenale", "Goodia nodulifera", "Goodia oxytela", "Goodia smithii", "Sphyrna gilberti", "Caesio xanthalytos", "Hypsolebias coamazonicus", "Macrobrachium rosenbergii", "Macrobrachium rosenbergii rosenbergii", "Cirsium sintenisii", "Cirsium rigidum", "Cirsium pugnax", "Cirsium pseudocreticum", "Cirsium peshmenianum", "Cirsium obvallatum", "Cirsium macrobotrys", "Cirsium ligulare", "Cirsium libanoticum", "Cirsium leucopsis", "Cirsium leucocephalum", "Cirsium kosmelii", "Cirsium karduchorum", "Cirsium haussknechtii", "Cirsium hakkaricum", "Tropaeolum dipetalum", "Catada ndalla", "Catada agassizi", "Catada nebrida", "Catada rufula", "Phalaenopsis equestris", "Hydraena ateneo", "Hampala macrolepidota", "Hampala salweenensis", "Kuhlia rupestris", "Okenia ascidicola", "Parosphromenus harveyi", "Parosphromenus paludicola", "Parosphromenus tweediei", "Nygmia pelopicta", "Bulbophyllum makoyanum", "Okenia kendi", "Okenia kondoi", "Okenia lambat", "Okenia leachii", "Okenia liklik", "Okenia quadricornis", "Okenia rhinorma", "Okenia rosacea", "Okenia sapelona", "Okenia vancouverensis", "Okenia virginiae", "Okenia zoobotryon", "Okenia mexicorum", "Okenia miramarae", "Okenia nakamotoensis", "Okenia pilosa", "Okenia purpureolineata", "Okenia ghanensis", "Okenia barnardi", "Okenia brunneomaculata", "Okenia cochimi", "Okenia cupella", "Okenia digitata", "Okenia distincta", "Okenia echinata", "Okenia elegans", "Okenia eolida", "Okenia evelinae", "Trapania africana", "Ypsolopha albiramella", "Ypsolopha allochroa", "Paracataclysta fuscalis", "Parapoynx likiangalis", "Parapoynx crisonalis", "Parapoynx insectalis", "Eptatretus indrambaryai", "Enantia aloikea", "Terrestricythere pratensis", "Ludia orinoptena", "Vegetia dewitzi", "Vegetia ducalis", "Vegetia grimmia", "Goodia falcata", "Cucurbita galeottii", "Pseudohemiodon apithanos", "Marcusenius macrolepidotus", "Silonia silondia", "Planiloricaria cryptodon", "Tropaeolum peregrinum var. weberbaueri", "Aphodius pedellus", "Laides longibarbis", "Clupisoma prateri", "Clupisoma sinense", "Pangasius polyuranodon", "Carduus acicularis", "Carduus amanus", "Carduus getulus", "Carduus nawaschinii", "Carduus nervosus", "Carduus rechingerianus", "Carduus seminudus", "Carduus uncinatus", "Carduus olympicus", "Carduus olympicus subsp. olympicus", "Carduus olympicus subsp. hypoleucus", "Carduus onopordioides", "Carduus onopordioides subsp. onopordioides", "Carduus onopordioides subsp. turcicus", "Carduus nutans subsp. leiophyllus", "Tropaeolum pendulum", "Tropaeolum hayneanum", "Phalaenopsis doweryensis", "Phalaenopsis floresensis", "Phalaenopsis honghenensis", "Phalaenopsis inscriptiosinensis", "Phalaenopsis fimbriata", "Phalaenopsis javanica", "Phalaenopsis luteola", "Phalaenopsis maculata", "Phalaenopsis malipoensis", "Phalaenopsis micholitzii", "Phalaenopsis mirabilis", "Phalaenopsis modesta", "Phalaenopsis mysorensis", "Phalaenopsis pallens", "Compsoptera aemiliorum", "Trimenia weinmanniifolia", "Buphthalmum salicifolium subsp. salicifolium", "Terrestricypris arborea", "Impatiens rubricaulis", "Impatiens fugongensis", "Ruteloryctes bis", "Ruteloryctes morio", "Leporinus copelandii", "Pyrgulopsis micrococcus", "Arriguttia brevissima", "Augoderia boliviana", "Augoderia giuglarisi", "Cyclocheilichthys enoplos", "Okenia modesta", "Okenia pulchella", "Okenia babai", "Clithon diadema", "Cirsium cilicicum", "Cirsium ellenbergii", "Cirsium davisianum", "Cirsium frickii", "Cirsium amani", "Cirsium aytatchii", "Cirsium baytopae", "Cirsium bracteosum", "Cirsium cephalotes", "Cirsium bulgaricum", "Symphyotrichum subg.", "Hexafrenum unicolor", "Amata aequipuncta", "Amata aequipuncta aequipuncta", "Amata aequipuncta maraschi", "Symphyotrichum sect.", "Lycomimodes bejsaki", "Prosthechea vitellina", "Halocypretta profunda", "Homalopteroides smithi", "Cirsium cassium", "Cirsium byzantinum", "Cirsium ciliatum", "Trinectes maculatus", "Catathyridium jenynsii", "Cirsium caucasicum", "Salix alpina", "Ilyocypris steegeri", "Brachyhypopomus bennetti", "Brachyhypopomus walteri", "Akawaio penak", "Symphyotrichum ericoides subsp. ericoides", "Symphyotrichum ericoides subsp. pansum", "Symphyotrichum subg.", "Symphyotrichum subg.", "Myrmecia mandibularis", "Sphoeroides spengleri", "Paraphanocles keratosqueleton", "Bostra tobagoensis", "Porrhomma magnum", "Berinda cooki", "Andrena urfanella", "Yamatentomon guoi", "Embolemus sensitivus", "Aeolothrips romanruizi", "Atrichopleura bezzii", "Sycorax bravoi", "Agrias narcissus tapajonus", "Engytatus tabaci", "Singhalesia obscuricornis", "Sepiella inermis", "Ophisternon bengalense", "Hemirhamphodon byssus", "Macrotrema caligans", "Hemirhamphodon kecil", "Hemirhamphodon sesamum", "Murphydoris singaporensis", "Trapania armilla", "Trapania caerulea", "Trapania circinata", "Trapania cirrita", "Trapania darwini", "Symphyotrichum sect.", "Cropera sericoptera", "Symphyotrichum sect.", "Symphyotrichum sect.", "Trapania fusca", "Trapania aurata", "Trapania aureopunctata", "Trapania benni", "Trapania canaria", "Trapania dalva", "Trapania darveli", "Trapania goddardi", "Trapania goslineri", "Trapania graeffei", "Trapania hispalensis", "Trapania inbiotica", "Trapania velox", "Trapania toddi", "Trapania tartanella", "Trapania sanctipetrensis", "Trapania reticulata", "Trapania pallida", "Trapania orteai", "Trapania maringa", "Trapania maculata", "Trapania luquei", "Trapania lineata", "Trapania japonica", "Gomphocythere angulata", "Euphrasia cuneata", "Paropsisterna crocata", "Phractolaemus ansorgii", "Trichilogaster acaciaelongifoliae", "Runcina australis", "Hyoseris lucida subsp. frutescens", "Hyoseris scabra", "Hyoseris radiata", "Hyoseris lucida", "Hyoseris lucida subsp. taurina", "Lymantria nephrographa", "Amberboa bucharica", "Amberboa glauca", "Amberboa iljiniana", "Amberboa nana", "Amberboa odorata", "Amberboa sosnovskyi", "Amberboa turanica", "Amphoricarpos autariatus", "Amphoricarpos elegans", "Amphoricarpos exsul", "Amphoricarpos praedictus", "Parambassis wolffii", "Aphendala kalinini", "Conus rawaiensis", "Cymbiola tamariskae", "Haliotis ovina ovina", "Turbo tursicus", "Gobiodon ater", "Gobiodon bilineatus", "Gobiodon fuscoruber", "Gobiodon irregularis", "Anthaxia nitidula", "Strigoptera bimaculata", "Wulfenia orientalis", "Agrias narcissus narcissus", "Agrias narcissus stoffeli", "Hemimyzon nanensis", "Hypleurochilus brasil", "Apistogramma atahualpa", "Gerres erythrourus", "Brevitrygon walga", "Amellus asteroides", "Epilissus splendidus", "Bagarius suchus", "Bagarius bagarius", "Amurilla subpurpurea obscurior", "Parambassis pulcinella", "Neojulodis hirta", "Aphendala buka", "Sulcopyrenula subglobosa", "Bipinnula penicillata", "Brassia maculata", "Correlophus ciliatus", "Habenaria uliginosa", "Habenaria pumila", "Dicyphus albonasutus", "Dicyphus ononidis", "Dicyphus lindbergi", "Dicyphus maroccanus", "Dicyphus annulatus", "Dicyphus bolivari", "Dicyphus cerutti", "Dicyphus errans", "Amphoricarpos neumayerianus", "Anacyclus ciliatus", "Sternocera sternicornis", "Anacyclus homogamos", "Anacyclus maroccanus", "Anacyclus monanthos", "Anacyclus radiatus", "Anacyclus anatolicus", "Anacyclus latealatus", "Anacyclus linearilobus", "Anacyclus nigellifolius", "Andryala agardhii", "Leporinus microphysus", "Andryala glandulosa", "Andryala laxiflora", "Andryala integrifolia", "Andryala atlanticola", "Andryala chevallieri", "Leporinus tristriatus", "Andryala cossyrensis", "Andryala crithmifolia", "Andryala laevitomentosa", "Andryala maroccana", "Andryala nigricans", "Andryala pinnatifida", "Andryala ragusina", "Andryala spartioides", "Archanthemis calcarea", "Archanthemis fruticulosa", "Archanthemis trotzkiana", "Moyencharia ochreicosta", "Archanthemis calcarea var. discoidea", "Archanthemis calcarea var. calcarea", "Chrysobothris chrysostigma", "Chavturia abyssopelagica", "Buprestis rustica", "Julodis fascicularis", "Leporinus striatus", "Symphyotrichum subg.", "Trapania euryeia", "Trapania gibbera", "Trapania melaina", "Trapania miltabrancha", "Trapania naeva", "Trapania nebula", "Trapania tora", "Trapania vitta", "Trapania palmula", "Trapania scurra", "Trapania squama", "Tropidophorus hangnam", "Euproctis allocota", "Parafrasura pectinella", "Euglena viridis", "Pantodon buchholzi", "Palaeugoa spurrelli", "Euproctis phaeosticta", "Euproctis argyrochila", "Euproctis embammachroa", "Olene hypersceles", "Phalaenopsis sumatrana", "Dasychira brunneipicta", "Monotropastrum humile", "Rhypotoses atima", "Paphinia seegeri var. seegeri", "Paphinia seegeri var. semialba", "Stiphodon maculidorsalis", "Stiphodon ornatus", "Stiphodon semoni", "Symphyotrichum subg.", "Marblepsis kibwezi", "Bulbophyllum arfakianum", "Zinnia subg.", "Copelatus cessaima", "Oxyscelio rugulosus", "Oxyscelio glabriscutellum", "Persicaria prostrata", "Neodryinus japonicus", "Arctiocossus tessellatus", "Arctiocossus danieli", "Arctiocossus gaerdesi", "Colymbetes striatus", "Bulbophyllum punctatum", "Bulbophyllum baileyi", "Geranium affine", "Geranium wlassovianum", "Geranium gymnocaulon", "Geranium endressii", "Geranium saxatile", "Tithonia subg.", "Goniodoris barvicensis", "Sunipia bicolor", "Globorentonium globulum", "Globorentonium lescheni", "Globorentonium plaumanni", "Australiodes vestitus", "Rentonidium costiventre", "Paraspania brunneri", "Heterocampa guttivitta", "Paraspania torpeo", "Paraspania anamalaiensis", "Dismorpha linearis", "Pyrenula novemsepta", "Loboptera decipiens", "Polypterus mokelembembe", "Mesosemia coelestis", "Mesosemia mesoba", "Mesosemia gneris", "Mesosemia ibycus", "Mesosemia scotina", "Mesosemia lacernata", "Mesosemia olivencia", "Macrocossus grebennikovi", "Mirocossus kibwezi", "Brachylia rectangulata", "Brachylia reussi", "Macrocossus coelebs", "Macrocossus caducus", "Xyleutes atriplaga", "Brachylia terebroides", "Brachylia eutelia", "Arctiocossus poliopterus", "Bulbophyllum auratum", "Bulbophyllum auricomum", "Mesosemia harveyi", "Mesosemia lapillus", "Mesosemia hesperina", "Mesosemia hesperina hesperina", "Mesosemia hesperina tenuivittata", "Mesosemia maeotis", "Mesosemia maeotis maeotis", "Mesosemia maeotis amicula", "Bulbophyllum barbigerum", "Bulbophyllum biflorum", "Bulbophyllum bracteolatum", "Cephalaria media", "Nephelobotys nephelistalis", "Circobotys malaisei", "Vittabotys mediomaculalis", "Nelumbo aureavallis", "Sphodrus leucophthalmus", "Cossus irani", "Tithonia subg.", "Tithonia ser.", "Cossus cossus chinensis", "Tithonia ser.", "Cossus cossus mongolicus", "Holcocera vicarius", "Tithonia ser.", "Holcocerus japonica", "Chinocossus hunanensis", "Franzdanielia fasciata", "Franzdanielia likiangi", "Zinnia subg.", "Zinnia sect.", "Zinnia sect.", "Rafflesia leonardii", "Coenobita violascens", "Megasoma nogueirai", "Notolomus chusqueae", "Notolomus mucugensis", "Notolomus myricae", "Dietes butcheriana", "Dietes flavida", "Cephalaria peshmenii", "Libertia colombiana", "Dicyphus geniculatus", "Dicyphus globulifer", "Dicyphus hyalinipennis", "Dicyphus melanocerus", "Dicyphus orientalis", "Dicyphus pallicornis", "Dicyphus pallidus", "Dicyphus sedilloti", "Dicyphus vestitus", "Dicyphus stachydis", "Goniodoridella savignyi", "Goniodoris glabra", "Goniodoris flavidula", "Goniodoris violacea", "Goniodoris petiti", "Goniodoris nodosa", "Goniodoris modesta", "Goniodoris mimula", "Goniodoris meracula", "Goniodoris kolabana", "Goniodoris joubini", "Goniodoris felis", "Goniodoris citrina", "Goniodoris brunnea", "Goniodoris barroisi", "Goniodoris aspersa", "Goniodoris rossiteri", "Lophodoris danielsseni", "Goniodoris lineata", "Goniodoris mercurialis", "Goniodoris paretii", "Catla catla", "Limbobotys foochowensis", "Limbobotys hainanensis", "Limbobotys limbolalis", "Limbobotys ptyophora", "Limbobotys acanthi", "Eulophonotus stephanius", "Alophonotus rauana", "Bulbophyllum boninense", "Zeuzeropecten zambica", "Bulbophyllum bowkettiae", "Bulbophyllum bittnerianum", "Strigocossus elephas", "Strigocossus moderata", "Strigocossus capensis", "Strigocossus tandoensis", "Bulbophyllum virescens", "Strigocossus ochricosta", "Oreocossus kilimanjarensis", "Dytiscus semistriatus", "Catopta dusii", "Hydroporus erythrocephalus", "Catopta albonubila centralsinica", "Catopta kendevanensis kendevanensis", "Catopta kendevanensis anjumanica", "Dytiscus scarabaeoides", "Diogenes pugilator", "Trigonostigma heteromorpha", "Trigonostigma espei", "Dicyphus miyamotoi", "Rasbora argyrotaenia", "Dicyphus hesperus", "Rasbora borapetensis", "Singhalesia diabolus", "Singhalesia indica", "Singhalesia turcica", "Singhalesia tenuissima", "Singhalesia ornata", "Dicyphus tamaninii", "Beaufortia kweichowensis", "Dicyphus heissi", "Dicyphus matocqi", "Dicyphus luridus", "Dicyphus prasinus", "Dicyphus umbertae", "Dicyphus cerastii", "Lampetis tristis", "Echthrodesis lamorali", "Libertia falcata", "Libertia insignis", "Libertia umbellata", "Libertia tricocca", "Eriopsela aeriana", "Eriopsela annana", "Eriopsela danilevskyi", "Eriopsela fenestrellensis", "Eriopsela klapperichi", "Eriopsela klimeschi", "Eriopsela mongunana", "Eriopsela rosinana", "Eriopsela quadrana", "Eriopsela falkovitshi", "Sudamerlycaste acaroi", "Pteridium aquilinum subsp. pinetorum", "Cydia transcaucasica", "Cydia suffuscana", "Cydia centralasiae", "Cydia centralasiae centralasiae", "Cydia centralasiae elegantana", "Cydia major", "Reithrodontomys bakeri", "Cydia derrai", "Cydia trogodana", "Cydia ilipulana", "Cydia intexta", "Cydia vallesiaca", "Galerita americana", "Cydia rjabovi", "Tychobythinus besucheti", "Wallago leerii", "Lygistorrhina austroafricana", "Eustrongylosoma penevi", "Belodontichthys truncatus", "Clethrorasa tibetica", "Clethrorasa pilcheri", "Clethrorasa micropuncta", "Belodontichthys dinema", "Decapterus akaadsi", "Platyja wambekei", "Platyja ciacula", "Platyja rufiscripta", "Platyja cyanopasta", "Platyja exequialis", "Platyja umminia", "Triorbis siamica", "Triorbis aureovitta", "Triorbis annulata", "Hyperlopha collardi", "Oedisterna cuprea", "Actenodes nobilis", "Brachysternus prasinus", "Thampramon tonvuthi", "Agrias beatifica beatifica", "Brassia verrucosa", "Iraota rochana zwickorum", "Idalus albitornus", "Idalus critheis", "Symmachia hazelana", "Symmachia aureus", "Symmachia aureus aureus", "Symmachia aureus niger", "Mesosemia walteri walteri", "Eviota deminuta", "Mesosemia walteri serenitas", "Eviota dorsimaculata", "Mesosemia cippus", "Mesosemia sylvina", "Eviota hinanoae", "Eviota lacrimosa", "Geranium nodosum", "Erica maderensis", "Xanthichthys greenei", "Erica numidica", "Dyscia malatyana malatyana", "Dyscia rungsi", "Dyscia simplicaria", "Dyscia nobiliaria", "Bulbophyllum chinense", "Bulbophyllum cocoinum", "Bulbophyllum amplebracteatum", "Bulbophyllum amplebracteatum subsp. amplebracteatum", "Bulbophyllum amplebracteatum subsp. carunculatum", "Bulbophyllum amplebracteatum subsp. orthoglossum", "Endoclita absurdus", "Centranthus calcitrapae", "Napialus kulingi", "Endoclita nankingi", "Pharmacis claudiae", "Pharmacis anselminae", "Cephalaria anatolica", "Cephalaria aristata", "Cephalaria balansae", "Cephalaria cilicica", "Cephalaria davisiana", "Cephalaria dirmilensis", "Cephalaria ekimiana", "Cephalaria hakkiarica", "Cephalaria hirsuta", "Cephalaria isaurica", "Cephalaria kotschyi", "Cephalaria salicifolia", "Cephalaria tuteliana", "Cephalaria szaboi", "Cephalaria taurica", "Archon apollinus forsteri", "Cephalaria tchihatchewii", "Cephalaria sumbuliana", "Cephalaria stellipilis", "Cephalaria stapfii", "Procris storaiae", "Chersotis fimbriola", "Chersotis fimbriola vallensis", "Chersotis fimbriola fimbriola", "Zinnia sect.", "Hyperlopha aridela", "Hyperlopha amicta", "Hyperlopha cristifera", "Timandromorpha xuedayongi", "Peratophyga phouhinpounensis", "Peratophyga erotica", "Silurichthys schneideri", "Decapterus kurroides", "Decapterus smithvanizi", "Decapterus tabl", "Comphotis sophistes sophistes", "Comphotis sophistes baba", "Holothuria atra", "Calathus melanocephalus", "Cymindis vaporariorum", "Harpalus latus", "Delphyre tetilla", "Ecdemus carmania", "Episcepsis luctuosa", "Eucereon metoidesis", "Speleonectes cokei", "Lomelosia sulphurea", "Lomelosia rufescens", "Lomelosia polykratis", "Lomelosia pseudograminifolia", "Scabiosa triniifolia", "Lomelosia balianii", "Zospeum tholussum", "Lomelosia olivieri", "Lomelosia paucidentata", "Lomelosia reuteriana", "Lomelosia solymica", "Lomelosia variifolia", "Lomelosia songarica", "Scabiosa angustiloba", "Lomelosia gumbetica", "Lomelosia isetensis", "Cecidopsylla paterae", "Cecidopsylla putealis", "Schistura robertsi", "Schistura mahnerti", "Tychobythinus oculatus", "Pselaphodes unicornis", "Wallago attu", "Cephalaria speciosa", "Cephalaria sparsipilosa", "Cephalaria scoparia", "Cephalaria paphlagonica", "Bulbophyllum calyptratum", "Cephalaria microcephala", "Cephalaria lycica", "Cephalaria gazipashensis", "Cephalaria gazipashensis subsp. gazipashensis", "Cephalaria gazipashensis subsp. pilifera", "Cephalaria radiata", "Bulbophyllum calyptratum var. calyptratum", "Cephalaria scabra", "Cephalaria laevigata", "Cephalaria ambrosioides", "Cephalaria litvinovii", "Mesosemia firmitas", "Cephalaria squamiflora", "Mesosemia patientia", "Cephalaria pastricensis", "Mesosemia tenacitas", "Mesosemia vigilantia", "Valeriana bolkarica", "Mesosemia perspicacitas", "Bulbophyllum intermedium", "Mesosemia sagacitas", "Bulbophyllum calyptratum var. graminifolium", "Valeriana dioscoridis", "Valeriana leucophaea", "Bulbophyllum calyptratum var. lucifugum", "Helianthus sect.", "Helianthus sect.", "Helianthus ser.", "Bulbophyllum cupreum", "Bulbophyllum careyanum", "Bembecia lomatiaeformis", "Bembecia ningxiaensis", "Bembecia powelli", "Bembecia psoraleae", "Bembecia senilis", "Bembecia sophoracola", "Phalaenopsis lobbii", "Phalaenopsis lowii", "Phalaenopsis mannii", "Bembecia strandi", "Phalaenopsis pulcherrima", "Bembecia turanica", "Mniotype schumacheri", "Mniotype schumacheri schumacheri", "Ptychozoon kuhli", "Mniotype schumacheri minor", "Pterostichus melanarius", "Carabus vulgaris", "Poecilus cupreus", "Agonum piceum", "Paranthrenopsis editha", "Paranthrenopsis siniaevi", "Paranthrenopsis polishana", "Paranthrenopsis flaviventris", "Paranthrenopsis flavitaenia", "Paranthrenopsis taiwanella", "Chamanthedon coreacola", "Chaenorhinum sect.", "Dicyphus fieberi", "Dicyphus flavoviridis", "Dicyphus furcifer", "Dicyphus paddocki", "Dicyphus gracilentus", "Dicyphus gracilis", "Dicyphus incognitus", "Dicyphus josifovi", "Dicyphus linnavuorii", "Dicyphus martinoi", "Dicyphus montandoni", "Dicyphus nigrifrons", "Dicyphus parkheoni", "Dicyphus pauxillus", "Dicyphus peruanus", "Dicyphus poneli", "Dicyphus regulus", "Dicyphus rubicundus", "Dicyphus seleucus", "Dicyphus sengge", "Dicyphus stitti", "Dicyphus testaceus", "Dicyphus thoracicus", "Dicyphus tumidifrons", "Dicyphus rubusensis", "Phalaenopsis \u00d7 amphitrite", "Phalaenopsis \u00d7 gersenii", "Linaria sect.", "Aprostocetus aethiops", "Attagenus cootermanni", "Wallago micropogon", "Wallago maculatus", "Diachromus germanus", "Ceratoryctoderus mototanii", "Ceratoryctoderus armatus", "Ceratoryctoderus borchmanni", "Ceratoryctoderus candezei", "Bedellia silvicolella", "Thera juniperata", "Thera juniperata juniperata", "Thera juniperata loeberbaueri", "Perisomena caecigena", "Perisomena caecigena caecigena", "Brombya smithii", "Medicosma mulgraveana", "Medicosma forsteri", "Medicosma heterophylla", "Parasesarma plicatum", "Mylothra pyrrhella", "Aprominta aga", "Aprominta bifasciata", "Aprominta arenbergeri", "Amselina emir", "Pangasius krempfi", "Amselina cedestiella", "Amselina minorita", "Dysspastus cinerascens", "Dyscia atlantica", "Dyscia conspersaria", "Dyscia conspersaria conspersaria", "Acratia typica", "Dyscia conspersaria turturaria", "Dyscia conspersaria sultanica", "Chaunax africanus", "Chaunax nebulosus", "Lygodactylus regulus", "Xanthichthys caeruleolineatus", "Xanthichthys lineopunctatus", "Xanthichthys mento", "Xanthichthys lima", "Hypsibarbus salweenensis", "Napothera crispifrons calcicola", "Micromus posticus", "Xanthichthys gotonis", "Xanthichthys purus", "Xanthichthys surcatus", "Xanthichthys calolepis", "Xanthichthys cicatricosus", "Xanthichthys curassavicus", "Xanthichthys heckeli", "Xanthichthys nitidus", "Xanthichthys notatus", "Hesperapis elegantula", "Ptychozoon intermedium", "Fundulus notatus", "Fundulus olivaceus", "Fundulus euryzonus", "Donacaula albicostella", "Donacaula sordidella", "Alosa killarnensis", "Pterygodium alatum", "Pterygodium catholicum", "Phalaenopsis thailandica", "Phalaenopsis venosa", "Phalaenopsis violacea", "Phalaenopsis wilsonii", "Conopsia flavimacula", "Conopsia terminiflava", "Conopsia lambornella", "Conopsia phoenosoma", "Agonum marginatum", "Cyanophlebia mandarina", "Acratia magna", "Bembecia vulcanica", "Phalaenopsis reichenbachiana", "Cucullia canariensis", "Eupithecia gomerensis", "Eupithecia gomerensis gomerensis", "Eupithecia gomerensis leucophaeata", "Clavulinopsis fusiformis", "Mniotype usurpatrix", "Mniotype usurpatrix usurpatrix", "Mniotype usurpatrix matillana", "Mniotype usurpatrix insulicola", "Mniotype usurpatrix hariana", "Astropyga radiata", "Phalaenopsis robinsonii", "Phalaenopsis rundumensis", "Phalaenopsis sanderiana", "Phalaenopsis schilleriana", "Arenaria marschlinsii", "Arenaria tremula", "Arenaria serpyllifolia subsp. serpyllifolia", "Arenaria saponarioides", "Arenaria pungens", "Herniaria amoena", "Herniaria caucasica", "Herniaria incana", "Herniaria micrantha", "Herniaria olympica", "Herniaria orientalis", "Herniaria pisidica", "Herniaria saxatilis", "Thurya capitata", "Bembecia ceiformis", "Bembecia handiensis", "Phalaenopsis fasciata", "Phalaenopsis fuscata", "Bembecia hedysari", "Phalaenopsis gibbosa", "Bembecia illustris", "Bembecia insidiosa", "Phalaenopsis gigantea", "Bembecia jakuta", "Bembecia joesti", "Phalaenopsis kunstleri", "Bembecia kaabaki", "Satyria warszewiczii", "Bembecia lamai", "Bembecia lasicera", "Phalaenopsis lindenii", "Chaenorhinum sect.", "Chaenorhinum sect.", "Phalaenopsis stobartiana", "Phalaenopsis stuartiana", "Phalaenopsis taenialis", "Gonicolletes anthedonus", "Gonicolletes badius", "Gonicolletes ciliatus", "Gonicolletes comatus", "Gonicolletes dasypus", "Gonicolletes parvus", "Gonicolletes rugosus", "Phalaenopsis tetraspis", "Dahlia hjertingii", "Dahlia macdougallii", "Dahlia mollis", "Dahlia moorei", "Dahlia neglecta", "Liponeura vaillanti", "Dahlia parvibracteata", "Dahlia pteropoda", "Dahlia purpusii", "Dahlia rudis", "Dahlia sherffii", "Dahlia spectabilis", "Dahlia tenuicaulis", "Dahlia tubulata", "Dahlia tenuis", "Dahlia congestifolia", "Dahlia dissecta", "Dahlia foeniculifolia", "Dahlia linearis", "Dahlia rupicola", "Dahlia scapigeroides", "Megaselia cakpoae", "Megaselia fuscilobulorum", "Megaselia kurinai", "Megaselia tedersooi", "Taeniamia bilineata", "Dahlia cordifolia", "Taeniamia mozambiquensis", "Taeniamia pallida", "Archamia bleekeri", "Kurtus gulliveri", "Kurtus indicus", "Dicyphus alkannae", "Dicyphus alluaudi", "Dicyphus azadicus", "Dicyphus baezi", "Dicyphus botrydis", "Dicyphus constrictus", "Dicyphus deylamanus", "Dicyphus digitalidis", "Dicyphus discrepans", "Dicyphus eckerleini", "Dicyphus epilobii", "Dicyphus escalerae", "Dicyphus famelicus", "Dyscia crassipunctaria", "Dyscia distinctaria", "Dyscia dodonaeeti", "Dyscia fagaria", "Dyscia fagaria fagaria", "Dyscia fagaria favillacearia", "Dyscia fagaria emucidaria", "Dyscia fagaria albidaria", "Dyscia galactaria", "Dyscia holli", "Dyscia innocentaria", "Dyscia innocentaria innocentaria", "Arenaria uninervia", "Arenaria tmolea", "Arenaria speluncarum", "Arenaria sivasica", "Arenaria sipylea", "Arenaria sabulinea", "Arenaria muralis", "Arenaria mons-cragus", "Arenaria angustifolia", "Arenaria angustifolioides", "Arenaria antitaurica", "Arenaria balansae", "Arenaria cariensis", "Arenaria eliasiana", "Arenaria graveolens", "Arenaria luschanii", "Arenaria macrosepala", "Arenaria mcneillii", "Arenaria kotschyana", "Arenaria kotschyana subsp. kotschyana", "Arenaria kotschyana subsp. stenophylla", "Arenaria aegaea", "Arenaria cassia", "Arenaria serpyllifolia subsp. lloydii", "Stipa eminens", "Myoxanthus congestus", "Forsythia mira", "Forsythia likiangensis", "Pentameris pallida", "Forsythia velutina", "Forsythia koreana", "Forsythia \u00d7 variabilis", "Nemacheilus selangoricus", "Scrophularia zvartiana", "Scrophularia uniflora", "Scrophularia trifoliata", "Scrophularia tenuipes", "Scrophularia taygetea", "Scrophularia takhtajanii", "Scrophularia tagetifolia", "Scrophularia syriaca", "Scrophularia sublyrata", "Scrophularia sprengerana", "Scrophularia spinulescens", "Scrophularia smithii", "Scrophularia smithii subsp. hierrensis", "Forsythia \u00d7 kobendzae", "Scrophularia smithii subsp. langeana", "Scrophularia smithii subsp. smithii", "Scrophularia subaequiloba", "Scrophularia taihangshanensis", "Scrophularia thesioides", "Scrophularia trichopoda", "Scrophularia urticifolia", "Scrophularia yoshimurae", "Scrophularia yunnanensis", "Scrophularia zuvandica", "Scrophularia versicolor", "Dilomilis montana", "Forsythia saxatilis", "Scaevola gracilis", "Homalanthus polyandrus", "Coreoleuciscus splendidus", "Hypomesus japonicus", "Spirinchus lanceolatus", "Notemigonus crysoleucas", "Kryptopterus cheveyi", "Ompok eugeneiatus", "Erichia longicornis", "Erichia amanosius", "Quadrastichodella nova", "Cosmopterix helike", "Aegithus skelleyi", "Dahlia apiculata", "Dahlia atropurpurea", "Dahlia australis", "Dahlia brevis", "Dahlia campanulata", "Dahlia cuspidata", "Dahlia hintonii", "Nandus meni", "Olearia adenophora", "Olearia algida", "Olearia allomii", "Olearia angustifolia", "Olearia coriacea", "Olearia crosby-smithiana", "Olearia fimbriata", "Olearia gardneri", "Achillea pindicola subsp. corabensis", "Achillea pindicola subsp. integrifolia", "Achillea pindicola subsp. pindicola", "Achillea maura", "Callospermophilus lateralis mitratus", "Arthropogon piptostachyus", "Achillea alexandri-regis", "Achillea aucheri", "Achillea callichroa", "Achillea cheilanthifolia", "Achillea condensata", "Achillea decumbens", "Panolia eldii thamin", "Panolia eldii siamensis", "Olearia adenocarpa", "Caudicornia xanthopimpla", "Caudicornia tonkinensis", "Entrichella pogonias", "Entrichella tricolor", "Trichocerota proxima", "Trichocerota radians", "Trichocerota spilogastra", "Trichocerota melli", "Paradoxecia myrmekomorpha", "Paradoxecia luteocincta", "Paradoxecia karubei", "Paradoxecia dizona", "Paradoxecia tristis", "Similipepsis helicella", "Similipepsis bicingulata", "Entrichella yakushimaensis", "Phalaenopsis \u00d7 intermedia", "Chamanthedon melanoptera", "Chamanthedon bicincta", "Chamanthedon aurigera", "Burmagomphus asahinai", "Achillea oxyloba", "Achillea carpatica", "Achillea absinthoides", "Achillea apiculata", "Synanthedon flavostigma", "Achillea chamaemelifolia", "Achillea abrotanoides", "Achillea barbeyana", "Achillea barrelieri", "Achillea pindicola", "Achillea japonica", "Achillea ptarmicoides", "Achillea wilsoniana", "Achillea cappadocica", "Megasoma gyas", "Megasoma gyas prandii", "Megasoma gyas porioni", "Megasoma gyas rumbucheri", "Megasoma gyas gyas", "Brachysiderus elyanae", "Brachysiderus martinae", "Hylobothynus marielae", "Microryctes silvestrei", "Bactrocera aquilonis", "Olearia bullata", "Olearia polita", "Olearia crebra", "Parapolystichum glabellum", "Lastreopsis velutina", "Lastreopsis hispida", "Lastreopsis microsora", "Okenia pusilla", "Myoporum kermadecense", "Myoporum obscurum", "Myoporum rapense", "Stipa perplexa", "Stipa pinetorum", "Nokona rubra", "Pseudosesia isozona", "Pseudosesia oberthueri", "Pseudosesia zoniota", "Platanthera transversa", "Platanthera dilatata var. albiflora", "Platanthera dilatata var. leucostachys", "Stipa clandestina", "Oryzopsis contracta", "Oryzopsis hymenoides", "Stipa curvifolia", "Lespedeza sect.", "Synavea chambeziensis", "Synavea minazi", "Stipa diegoensis", "Lespedeza sect.", "Sagola crassicornis", "Pinguicula balcanica", "Pinguicula balcanica subsp. balcanica", "Pinguicula balcanica subsp. pontica", "Pinguicula crystallina", "Geum latilobum", "Phellinus igniarius", "Sarsocythere patuxiensis", "Maculobates bruneiensis", "Phalaenopsis \u00d7 leucorrhoda", "Achillea cuneatiloba", "Achillea inundata", "Achillea euxina", "Achillea leptophylla", "Achillea micranthoides", "Achillea holosericea", "Achillea ochroleuca", "Achillea stepposa", "Achillea styriaca", "Achillea virescens", "Synanthedon hemigymna", "Synanthedon martenii", "Carmenta aerosa", "Carmenta angarodes", "Linaria subsect.", "Linaria subsect.", "Linaria sect.", "Phalaenopsis \u00d7 rolfeana", "Phalaenopsis \u00d7 singuliflora", "Phalaenopsis \u00d7 valentinii", "Phalaenopsis \u00d7 veitchiana", "Carmenta asema", "Carmenta laticraspedontis", "Carmenta leptosoma", "Carmenta plaumanni", "Carmenta splendens", "Aschistophleps xanthocrista", "Achillea eriophora", "Achillea heterophylla", "Achillea karatavica", "Achillea kellalensis", "Achillea kotschyi", "Achillea ledebourii", "Achillea leptophylloides", "Achillea mollis", "Forsythia sect.", "Achillea occulta", "Achillea oxyodonta", "Achillea pachycephala", "Achillea schmakovii", "Forsythia sect.", "Achillea schugnanica", "Achillea sergievskiana", "Achillea talagonica", "Achillea tuzsonii", "Scrophularia aequilabris", "Scrophularia alaschanica", "Scrophularia amana", "Scrophularia amplexicaulis", "Scrophularia atropatana", "Scrophularia bitlisica", "Scrophularia candelabrum", "Scrophularia capusii", "Scrophularia chasmophila", "Scrophularia delavayi", "Scrophularia dentata", "Scrophularia desertorum", "Scrophularia diplodonta", "Scrophularia fargesii", "Scrophularia fontqueri", "Scrophularia formosana", "Scrophularia henryi", "Scrophularia heucheriiflora", "Scrophularia hypsophila", "Scrophularia incisa", "Scrophularia kansuensis", "Scrophularia kiriloviana", "Scrophularia lhasaensis", "Scrophularia lijiangensis", "Scrophularia macrocarpa", "Scrophularia mandarinorum", "Scrophularia mapienensis", "Scrophularia modesta", "Scrophularia moellendorffii", "Scrophularia nankinensis", "Scrophularia occidentalis", "Scrophularia pamirica", "Scrophularia przewalskii", "Scrophularia serratifolia", "Scrophularia sosnowskyi", "Scrophularia souliei", "Scrophularia spicata", "Scrophularia stylosa", "Perscheloribates interlamellaris", "Thaumaglossa beali", "Thaumaglossa parahilleri", "Thaumaglossa maculata", "Thaumaglossa aurivilliusi", "Thaumaglossa boana", "Thaumaglossa herrmanni", "Hypselodoris tryoni", "Carabus ustulatus", "Ichneumenoptera duporti", "Ichneumenoptera vietnamica", "Ichneumenoptera caudata", "Ichneumenoptera daidai", "Ichneumenoptera punicea", "Ichneumenoptera xanthogyna", "Ichneumenoptera auripes", "Ichneumenoptera commoni", "Malthopsis austrafricana", "Malthopsis bradburyae", "Tenebrio erraticus", "Antherophagus pallens", "Achillea umbellata subsp. monocephala", "Synaphobranchus affinis", "Synaphobranchus kaupii", "Platanthera clavellata", "Calliscelio elegans", "Calliscelio tanugatra", "Halmaheramys bokimekot", "Paucidentomys vermidax", "Gaza daedala", "Gaza cubana", "Gaza polychoronos", "Gaza fischeri", "Gaza olivacea", "Gaza rathbuni", "Demetrias atricapillus", "Geum boliviense", "Geum donianum", "Geum glaciale", "Geum hispidum", "Geum idahoense", "Geum lobatum", "Geum reptans", "Geum speciosum", "Pentanema helveticum", "Pentanema montanum", "Pentanema hirtum", "Pentanema helenioides", "Buphthalmum speciosissimum", "Oryzopsis hendersonii", "Stipa latiglumis", "Stipa lemmonii", "Stipa lettermanii", "Stipa robusta", "Phyllocnistis gracilistylella", "Phyllocnistis saligna", "Stipa nelsonii", "Stipa occidentalis", "Phyllocnistis unipunctella", "Dolophrosyne balteata", "Stipa nevadensis", "Miscera homotona", "Diapyra igniflua", "Lophocnema eusphyra", "Stipa parishii", "Scrophularia hypericifolia", "Scrophularia imerethica", "Scrophularia kurdica", "Scrophularia laevigata", "Scrophularia laevigata subsp. hispida", "Scrophularia laevigata subsp. pellucida", "Scrophularia laevigata subsp. simplicifolia", "Scrophularia lateriflora", "Scrophularia lepidota", "Scrophularia lowei", "Scrophularia lunariifolia", "Scrophularia luridiflora", "Scrophularia lyrata", "Scrophularia macrobotrys", "Scrophularia macrophylla", "Scrophularia marginata", "Scrophularia mersinensis", "Scrophularia mesopotamica", "Scrophularia minima", "Scrophularia nabataeorum", "Scrophularia nusariensis", "Scrophularia nachitschevanica", "Scrophularia nervosa", "Scrophularia olgae", "Scrophularia oxyrhyncha", "Scrophularia paphlagonica", "Scrophularia pegaea", "Scrophularia pinardii", "Scrophularia pindicola", "Scrophularia pruinosa", "Scrophularia pulverulenta", "Scrophularia pumilio", "Scrophularia pyrenaica", "Scrophularia racemosa", "Scrophularia ramosissima", "Scrophularia rimarum", "Corydalis raddeana", "Scrophularia rupestris", "Scrophularia ruprechtii", "Scrophularia saharae", "Scrophularia sareptana", "Scrophularia scariosa", "Scrophularia schousboei", "Scrophularia schousboei subsp. montana", "Scrophularia schousboei subsp. schousboei", "Scrophularia scorodonia", "Scrophularia scorodonia subsp. multiflora", "Scrophularia scorodonia subsp. scorodonia", "Stipa arida", "Stipa brachychaeta", "Paraplagusia bleekeri", "Paraplagusia bilineata", "Miltochrista karenkensis", "Chionaema karenkonis", "Miltochrista sapporensis", "Spiranthes lacera", "Metaemene karenkonis", "Metaemene atrigutta", "Neasura melanopyga", "Bauhinia nakhonphanomensis", "Platanthera unalascensis", "Pterygophorus cinctus", "Platanthera nivea", "Knautia subg.", "Platanthera elongata", "Coprosma acutifolia", "Knautia subg.", "Cadmus crucicollis", "Camptoscaphiella monteithi", "Camptoscaphiella potteri", "Pseudotyrannochthonius eberhardi", "Duadicus namyatovae", "Koelpinia linearis", "Koelpinia macrantha", "Koelpinia scaberrima", "Koelpinia tenuissima", "Koelpinia turanica", "Serratula tinctoria", "Tigrioides immaculata", "Eclipta alatocarpa", "Eclipta elliptica", "Eclipta leiocarpa", "Eclipta megapotamica", "Eclipta paludicola", "Eclipta platyglossa", "Eclipta turkica", "Miltochrista sauteri", "Miltochrista fuscozonata", "Barsine aberrans aberrans", "Barsine aberrans askoldensis", "Carlina lanata", "Carlina atlantica", "Carlina \u00d7 balfouris", "Carlina barnebyana", "Carlina brachylepis", "Carlina canariensis", "Chamaeleon comosus", "Barsine aberrans okinawana", "Carlina diae", "Geranium solanderi", "Geranium traversii", "Geranium brevicaule", "Geranium gardneri", "Geranium homeanum", "Geranium potentilloides", "Geranium retrorsum", "Geranium sessiliflorum", "Geranium wallichianum", "Cynoglossus quadrilineatus", "Chamaita ranruna", "Hemipsilia coavestis", "Nudaria suffusa", "Callibracon moorei", "Nudaria unifascia", "Metaemene hampsoni", "Labidura herculeana", "Hestina assimilis assimilis", "Hestina assimilis formosana", "Gahnia lacera", "Gahnia pauciflora", "Gahnia rigida", "Scrophularia aestivalis", "Scrophularia alpestris", "Scrophularia arguta", "Scrophularia benthamiana", "Scrophularia bosniaca", "Scrophularia bulgarica", "Scrophularia calliantha", "Scrophularia carduchorum", "Scrophularia chlorantha", "Scrophularia clematidifolia", "Stenosagola gracilis", "Stenosagola connata", "Scrophularia cretacea", "Scrophularia decipiens", "Stenosagola butcheri", "Scrophularia depauperata", "Scrophularia deserti", "Scrophularia diffusa", "Scrophularia divaricata", "Scrophularia donetzica", "Scrophularia eriocalyx", "Scrophularia erzincanica", "Stenosagola chandleri", "Stenosagola clarkei", "Stenosagola dugdalei", "Scrophularia floribunda", "Stenosagola eylesi", "Stenosagola newtoni", "Stenosagola thayerae", "Stenosagola nunni", "Stenosagola ramsayi", "Scrophularia glabrata", "Stenosagola domettensis", "Stenosagola egmontensis", "Stenosagola fiordlandensis", "Stenosagola tararuaensis", "Stenosagola stewartensis", "Stenosagola haunuiensis", "Stenosagola huiaensis", "Stenosagola northlandensis", "Stenosagola pseudoconnata", "Stenosagola pseudogracilis", "Stenosagola griseipila", "Scrophularia grandiflora", "Stenosagola oblongiceps", "Stenosagola planiocula", "Scrophularia grandiflora subsp. grandiflora", "Scrophularia grandiflora subsp. reuteri", "Scrophularia granitica", "Scrophularia hirta", "Scrophularia grossheimii", "Scrophularia gypsicola", "Scrophularia herminii", "Scrophularia heterophylla", "Scrophularia heterophylla subsp. heterophylla", "Scrophularia heterophylla subsp. laciniata", "Gahnia xanthocarpa", "Gahnia setifolia", "Hestina assimilis shirakii", "Hestina mena", "Hestina mena mena", "Hestina mena subdecora", "Hestina japonica", "Hestina japonica japonica", "Hestina japonica seoki", "Hestina mimetica", "Hestina mimetica mimetica", "Hestina mimetica ruvanella", "Hestina mimetica carolinae", "Hestina persimilis", "Hestina persimilis persimilis", "Hestina persimilis zella", "Hestina persimilis chinensis", "Plutodes costatus", "Plutodes warreni", "Plutodes cyclaria", "Plutodes evaginata", "Plutodes malaysiana", "Plutodes udentata", "Plutodes nilgirica", "Plutodes flavescens", "Plutodes wandamannensis", "Plutodes argentilauta", "Plutodes discigera", "Plutodes signifera", "Microplutodes hilaropa", "Microplutodes iridaria", "Microplutodes tristis", "Tenebrio barbarus", "Archiplutodes prasina", "Compsoptera argentaria", "Paradoxecia radiata", "Paradoxecia similis", "Paradoxecia taiwana", "Tenebrio cursor", "Tenebrio pedicularius", "Meloe cichorii", "Lydus algiricus", "Knautia dipsacifolia", "Dipsacus sect.", "Dipsacus sect.", "Echeveria prolifica", "Dipsacus gmelinii", "Knautia salvadoris", "Attagenus multinotatus", "Attagenus kephallenicus", "Clypeodytes weiri", "Knautia longifolia", "Ranunculus altus", "Veronica decora", "Clinopodium abyssinicum", "Clinopodium acutifolium", "Clinopodium alpestre", "Clinopodium amissum", "Clinopodium argenteum", "Clinopodium axillare", "Clinopodium barosmum", "Clinopodium brevicalyx", "Clinopodium bucheri", "Clinopodium capitellatum", "Clinopodium carolinianum", "Clinopodium cercocarpoides", "Clinopodium chandleri", "Clinopodium chilense", "Clinopodium clivorum", "Clinopodium corsicum", "Clinopodium creticum", "Clinopodium cylindristachys", "Clinopodium dalmaticum", "Clinopodium darwinii", "Clinopodium debile", "Clinopodium domingense", "Clinopodium ekmanianum", "Clinopodium discolor", "Clinopodium euosmum", "Geococcus coffeae", "Poropeza dacrydii", "Balanococcus danthoniae", "Ripersiella rumicis", "Rhizoecus graminis", "Rhizoecus californicus", "Euglossa gorgonensis", "Progradungula otwayensis", "Uresiphita polygonalis maorialis", "Psychotria nilgiriensis", "Cydia succedana", "Clinopodium serpyllifolium subsp. brachycalyx", "Clinopodium serpyllifolium subsp. fruticosum", "Clinopodium serpyllifolium subsp. giresunicum", "Clinopodium troodi subsp. troodi", "Moluccella aucheri", "Potentilla aladaghensis", "Potentilla anatolica", "Potentilla argaea", "Potentilla astracanica", "Potentilla aucheriana", "Potentilla aurea", "Potentilla balansae", "Ctenanthe setosa", "Knautia arvernensis", "Knautia nevadensis", "Knautia arvernensis subsp. catalaunica", "Eusandalum barteli", "Evarcha culicivora", "Clinopodium fauriei", "Clinopodium flabellifolium", "Clinopodium foliolosum", "Tenebrio angulatus", "Clinopodium frivaldszkyanum", "Clinopodium ganderi", "Clinopodium gilliesii", "Clinopodium glabellum", "Clinopodium gracile", "Clinopodium graveolens", "Clinopodium griseum", "Clinopodium hintoniorum", "Clinopodium hispidulum", "Clinopodium hydaspidis", "Clinopodium integerrimum", "Clinopodium jacquelinae", "Clinopodium jaliscanum", "Clinopodium jamesonii", "Clinopodium junctionis", "Clinopodium kilimandschari", "Clinopodium kunashirense", "Clinopodium latifolium", "Clinopodium laxiflorum", "Clinopodium libanoticum", "Clinopodium loesenerianum", "Clinopodium longipes", "Clinopodium ludens", "Paranigilgia brandti", "Paranigilgia mariannae", "Nigilgia anactis", "Nigilgia atribractea", "Nigilgia browni", "Memecylon angustifolium", "Garcinia wightii", "Cinnamomum filipedicellatum", "Syzygium occidentale", "Vitex leucoxylon", "Calophyllum austroindicum", "Nigilgia adjectella", "Nigilgia seyrigella", "Nigilgia toulgoetella", "Homonoia riparia", "Cinnamomum riparium", "Antidesma acidum", "Ixora notoniana", "Diospyros pruriens", "Chamaecostus cuspidatus", "Ficus nervosa", "Nothopegia beddomei", "Schinia volupia", "Schinia sanrafaeli", "Schinia fulleri", "Schinia miniana", "Schinia biforma", "Pedaliodes haydoni", "Pedaliodes adrianae", "Secale montanum", "Pedaliodes rodriguezi", "Pedaliodes philinae", "Adela brunnella", "Cauchas canalella", "Cauchas breviantennella", "Platanthera michaelii", "Knautia subg.", "Carlina graeca", "Carlina guittonneaui", "Chamaeleon gummifer", "Carlina hispanica", "Carlina involucrata", "Carlina kurdica", "Carlina libanotica", "Chamaeleon macrocephalus", "Chamaeleon macrophyllus", "Carlina oligocephala", "Carlina pygmaea", "Carlina racemosa", "Carlina salicifolia", "Carlina sicula", "Carlina sitiensis", "Carlina tragacanthifolia", "Carlina \u00d7 vayredae", "Carlina xeranthemoides", "Aphyosemion grelli", "Australoheros sanguineus", "Apistogramma aguarico", "Spilosoma mashuensis", "Spilosoma ukona", "Spilosoma usuguronis", "Nikaea longipennis longipennis", "Nikaea longipennis formosana", "Chionaema okinawana", "Chionaema effracta", "Manulea japonica japonica", "Eilema karenkona", "Dipsacus sylvestris", "Oxalis hirta", "Oxalis brasiliensis", "Oxalis chnoodes", "Oxalis magellanica", "Oxalis polyphylla", "Oxalis vallicola", "Oxalis carolina", "Oxalis filifoliolata", "Cadmus excrementarius", "Dasytes plumbeus", "Upeneus saiab", "Intrepidocythere ibipora", "Veronica zygantha", "Veronica continua", "Veronica grosseserrata", "Veronica sobolifera", "Veronica subtilis", "Veronica wilhelminensis", "Veronica saxicola", "Pittosporum anomalum", "Pittosporum crassicaule", "Pittosporum lineare", "Pittosporum ellipticum", "Pittosporum \u00d7 intermedium", "Pittosporum virgatum", "Pittosporum umbellatum", "Pittosporum rigidum", "Pittosporum pimeleoides", "Pittosporum patulum", "Pittosporum kirkii", "Metrosideros nervulosa", "Metrosideros \u00d7sub-tomentosa", "Macrosarisa bensoni", "Christophia litterella", "Christophia callipterella", "Christophia dattinella", "Christophia trilineella", "Christophia ectypella", "Ochromolopis uptonella", "Schefflera racemosa", "Schefflera capitata", "Cryptolepis dubia", "Humboldtia bourdillonii", "Pittosporum neelgherrense", "Decalepis arayalpathra", "Pseudoxytenanthera bourdillonii", "Turpinia malabarica", "Nothopegia travancorica", "Aganosma cymosa", "Psydrax pergracilis", "Salacia macrosperma", "Solanum rudepannum", "Ochromolopis eurybias", "Urtica parviflora", "Ochromolopis opsias", "Goniothalamus wynaadensis", "Ochromolopis bidentata", "Ochromolopis australica", "Ochromolopis bipunctata", "Ochromolopis queenslandi", "Ochromolopis acacivorella", "Paraepermenia santaliella", "Clinopodium fasciculatum", "Platanthera integrilabia", "Platanthera integra", "Synechodes polias", "Synechodes tamila", "Saccocera orpheus", "Saccocera sauteri", "Saccocera panaras", "Saccocera miangkabau", "Miscera minahasa", "Succisella carvalhoana", "Succisella microcephala", "Succisella andreae-molinae", "Succisella petteri", "Succisella inflexa", "Pycnocomon intermedium", "Psilorhynchus ngathanu", "Scutellaria przewalskii", "Scutellaria tortumensis", "Pycnocomon rutifolium", "Clinopodium macrostemum", "Clinopodium maderense", "Clinopodium maritimum", "Clinopodium matthewsii", "Clinopodium megalanthum", "Clinopodium mexicanum", "Clinopodium micranthum", "Clinopodium micromerioides", "Clinopodium mimuloides", "Clinopodium minae", "Clinopodium multicaule", "Clinopodium multiflorum", "Clinopodium mutabile", "Clinopodium myrianthum", "Clinopodium nanum", "Clinopodium nepalense", "Clinopodium nubigenum", "Clinopodium nummulariifolium", "Clinopodium obovatum", "Clinopodium odorum", "Clinopodium omeiense", "Clinopodium pallidum", "Clinopodium palmeri", "Clinopodium paradoxum", "Clinopodium piperitum", "Clinopodium plicatulum", "Clinopodium polycephalum", "Berberomeloe majalis", "Clinopodium pomelianum", "Clinopodium procumbens", "Clinopodium pulegium", "Clinopodium pulchellum", "Clinopodium revolutum", "Clinopodium robustum", "Clinopodium rouyanum", "Clinopodium sandalioticum", "Clinopodium schusteri", "Clinopodium selerianum", "Clinopodium sericeum", "Clinopodium sericifolium", "Clinopodium simense", "Clinopodium speciosum", "Clinopodium sphenophyllum", "Clinopodium striatum", "Clinopodium taxifolium", "Clinopodium taygeteum", "Clinopodium tenellum", "Clinopodium tomentosum", "Clinopodium uhligii", "Clinopodium vanum", "Clinopodium vardarense", "Clinopodium vargasii", "Clinopodium vernayanum", "Clinopodium wardii", "Clinopodium weberbaueri", "Clinopodium vimineum", "Clinopodium serpyllifolium", "Clinopodium serpyllifolium subsp. serpyllifolium", "Clinopodium serpyllifolium subsp. barbatum", "Ranunculus veronicae", "Ranunculus oresterus", "Ranunculus alveolatus", "Ranunculus radinotrichus", "Lomelosia sect.", "Ranunculus lambayequensis", "Oxalis adspersa", "Oxalis californica", "Oxalis europaea", "Oxalis filiformis", "Oxalis macrantha", "Oxalis novae-guineensis", "Oxalis procumbens", "Oxalis radicosa", "Oxalis rugeliana", "Oxalis suksdorfii", "Oxalis thelyoxys", "Lomelosia sect.", "Lomelosia sect.", "Barbarea anfractuosa", "Barbarea auriculata", "Barbarea brachycarpa", "Barbarea duralii", "Barbarea integrifolia", "Barbarea lutea", "Barbarea platycarpa", "Sonchus kirkii", "Barbarea sicula", "Bidens campylotheca subsp. pentamera", "Pimelea cryptica", "Pimelea declivis", "Pimelea dura", "Pimelea notia", "Pimelea nitens", "Pimelea mesoa", "Pimelea hirta", "Pimelea barbata", "Pimelea mimosa", "Lomelosia simplex", "Mordella aculeata", "Anaspis frontalis", "Anaspis thoracica", "Geocaryum capillifolium", "Geocaryum creticum", "Geocaryum cynapioides", "Geocaryum divaricatum", "Geocaryum euboicum", "Geocaryum macrocarpum", "Geocaryum peloponesiacum", "Geocaryum pumilum", "Geocaryum bornmuelleri", "Geocaryum parnassicum", "Geocaryum pindicola", "Geocaryum stylosum", "Geocaryum tuberosum", "Picris rhagadioloides", "Picris strigosa subsp. kurdica", "Picris strigosa subsp. macrotricha", "Picris strigosa subsp. strigosa", "Picris hieracioides subsp. hieracioides", "Picris hieracioides subsp. grandiflora", "Picris hieracioides subsp. kamtschatica", "Picris hieracioides subsp. longifolia", "Picris hieracioides subsp. rielii", "Picris hieracioides subsp. spinulosa", "Picris hieracioides subsp. umbellata", "Picris cupuligera", "Picris cyanocarpa", "Picris cyrenaica", "Picris davurica", "Picris divaricata", "Picris drummondii", "Picris eichleri", "Picris evae", "Picris galilaea", "Picris helminthioides", "Picris hispidissima", "Picris humilis", "Picris japonica", "Colchicum haynaldii", "Colchicum kesselringii", "Colchicum lingulatum", "Colchicum longifolium", "Colchicum lusitanum", "Colchicum macedonicum", "Colchicum mirzoevae", "Colchicum montanum", "Colchicum multiflorum", "Colchicum nanum", "Colchicum neapolitanum", "Colchicum parlatoris", "Colchicum parnassicum", "Colchicum peloponnesiacum", "Colchicum pulchellum", "Colchicum pusillum", "Colchicum rausii", "Colchicum schimperi", "Colchicum sfikasianum", "Colchicum troodi", "Colchicum tunicatum", "Colchicum tuviae", "Colchicum varians", "Colchicum verlaqueae", "Colchicum wendelboi", "Colchicum woronowii", "Colchicum cupanii", "Colchicum cupanii subsp. glossophyllum", "Colchicum cupanii subsp. cupanii", "Colchicum lingulatum subsp. rigescens", "Colchicum lingulatum subsp. lingulatum", "Colchicum chalcedonicum subsp. punctatum", "Colchicum chalcedonicum subsp. chalcedonicum", "Staphylinus erythropterus", "Tachinus lignorum", "Tachinus subterraneus", "Crocus antalyensis subsp. gemicii", "Crocus antalyensis subsp. antalyensis", "Crocus ser.", "Crocus ser.", "Crocus sect.", "Crocus ser.", "Crocus ser.", "Crocus ser.", "Crocus ser.", "Crocus ser.", "Crocus ser.", "Crocus ser.", "Crocus ser.", "Crocus ser.", "Pterocephalus spathulatus", "Agathodesmus baccatus", "Agathodesmus bucculentus", "Agathodesmus steeli", "Agathodesmus adelphus", "Agathodesmus aenigmaticus", "Agathodesmus agnus", "Agathodesmus anici", "Agathodesmus gayundah", "Agathodesmus hahnensis", "Agathodesmus kerensis", "Agathodesmus kirrama", "Agathodesmus millaa", "Agathodesmus parapholeus", "Agathodesmus quintanus", "Agathodesmus sagma", "Agathodesmus summus", "Agathodesmus yuccabinensis", "Agathodesmus carorum", "Agathodesmus bonang", "Agathodesmus morwellensis", "Agathodesmus chandleri", "Plantago obconica", "Pterocephalus papposus", "Hesperentomon yangi", "Macrosarisa capacis", "Montigena novae-zelandiae", "Reginaterreuma tarkinensis", "Reginaterreuma victorianum", "Reginaterreuma monroei", "Reginaterreuma major", "Reginaterreuma daviesae", "Reginaterreuma unicolor", "Isometrus hainanensis", "Reddyanus tibetanus", "Reddyanus assamensis", "Reddyanus deharvengi", "Isometrus atherii", "Isometrus garyi", "Picris longirostris", "Picris mauginiana", "Picris nuristanica", "Picris scabra", "Picris sinuata", "Picris squarrosa", "Picris sulphurea", "Picris wagenitzii", "Picris willkommii", "Picris xylopoda", "Picris babylonica", "Picris bracteata", "Picris rivularis", "Picris scaberrima", "Urospermum dalechampii", "Ifloga spicata subsp. albescens", "Ifloga spicata subsp. hadidii", "Ifloga spicata subsp. labillardierei", "Ifloga spicata subsp. obovata", "Ifloga spicata subsp. spicata", "Artemisiospiza nevadensis", "Scolymus grandiflorus", "Tripleurospermum ambiguum", "Tripleurospermum auriculatum", "Tripleurospermum homogamum", "Tripleurospermum hookeri", "Tripleurospermum limosum", "Tripleurospermum sannineum", "Tripleurospermum subpolare", "Tripleurospermum tempskyanum", "Tripleurospermum tetragonospermum", "Chlamydophora tridentata", "Sinocyclocheilus anshuiensis", "Brachyrhamdia thayeria", "Isometrus lao", "Isometrus liaqatii", "Isometrus melanodactylus", "Scabiosa \u00d7 lucidula", "Crocus ser.", "Crocus ser.", "Crocus ser.", "Crocus ser.", "Crocus ibrahimii", "Crocus albocoronatus", "Crocus artvinensis", "Crocus atrospermus", "Microglanis lundbergi", "Ituglanis agreste", "Macrosarisa hiulca", "Hyphessobrycon uaiso", "Scabiosa \u00d7 rhodopea", "Astyanax dissensus", "Veronica maccaskillii", "Veronica godefroyana", "Hydrocotyle sulcata", "Hydrocotyle verticillata", "Hydrocotyle pterocarpa", "Hydrocotyle microphylla", "Hydrocotyle hydrophila", "Hydrocotyle elongata", "Hydrocotyle bowlesioides", "Hydrocotyle dissecta", "Saproscincus eungellensis", "Diplodactylus lateroides", "Diplodactylus nebulosus", "Pseudococcus markharveyi", "Pogonophryne pavlovi", "Cabillus nigromarginatus", "Cabillus nigrostigmus", "Cabillus macrophthalmus", "Cabillus caudimacula", "Neotorularia brevipes", "Neotorularia contortuplicata", "Neotorularia dentata", "Strigosella scorpioides", "Rudolf-kamelinia korolkowii", "Neotorularia rossica", "Neotorularia tetracmoides", "Neotorularia torulosa", "Camelina alpkoyensis", "Colchicum antepense", "Cleistanthus malabaricus", "Hedyotis articularis", "Memecylon gracile", "Ilex gardneriana", "Ochlandra scriptoria", "Pittosporum tetraspermum", "Drypetes confertiflora", "Memecylon heyneanum", "Schefflera wallichiana", "Jasminum malabaricum", "Jenynsia luxata", "Jenynsia maculata", "Oryzias asinua", "Oryzias wolasi", "Theriosynoecum pygmaeum", "Lomelosia graminifolia var. graminifolia", "Lomelosia graminifolia var. virescens", "Pristomyrmex tsujii", "Astyanax procerus", "Astyanax xiru", "Lomelosia cretica", "Coprosma pseudociliata", "Acianthera atropurpurea", "Cissidium banari", "Discheramocephalus bisulcatus", "Discheramocephalus vasilii", "Dacrysoma andasibense", "Dacrysoma delicatum", "Dacrysoma denticulatum", "Dacrysoma dolorosum", "Dacrysoma fabrum", "Dacrysoma fusum", "Dacrysoma imitatum", "Dacrysoma longulum", "Dacrysoma nigerrimum", "Dacrysoma pilosum", "Dacrysoma rahanitriniainae", "Dacrysoma ranomafanense", "Dacrysoma ravelosoni", "Dacrysoma subinsulsum", "Dacrysoma varium", "Androctonus cholistanus", "Androctonus robustus", "Lethrus schneideri", "Helobdella bowermani", "Colchicum atticum", "Colchicum balansae", "Colchicum baytopiorum", "Colchicum boissieri", "Colchicum burttii", "Colchicum chlorobasis", "Colchicum davisii", "Colchicum dolichantherum", "Colchicum figlalii", "Colchicum heldreichii", "Colchicum hirsutum", "Colchicum ignescens", "Colchicum imperatoris-friderici", "Colchicum inundatum", "Colchicum kotschyi", "Colchicum kurdicum", "Colchicum lagotum", "Colchicum macrophyllum", "Colchicum manissadjianii", "Colchicum micaceum", "Colchicum micranthum", "Colchicum minutum", "Colchicum munzurense", "Colchicum paschei", "Colchicum persicum", "Colchicum raddeanum", "Colchicum sanguicolle", "Colchicum sieheanum", "Colchicum soboliferum", "Colchicum trigynum", "Colchicum triphyllum", "Colchicum turcicum", "Colchicum alpinum", "Colchicum androcymbioides", "Colchicum antilibanoticum", "Colchicum arenarium", "Colchicum arenasii", "Colchicum asteranthum", "Colchicum chalcedonicum", "Colchicum chimonanthum", "Colchicum confusum", "Colchicum corsicum", "Colchicum cretense", "Colchicum eichleri", "Colchicum euboeum", "Colchicum fasciculare", "Colchicum feinbruniae", "Colchicum filifolium", "Colchicum freynii", "Colchicum gonarei", "Colchicum gracile", "Colchicum graecum", "Colchicum greuteri", "Colchicum hierosolymitanum", "Knautia collina", "Ceratocephala pungens", "Rindera dumanii", "Knautia arvensis subsp. arvensis", "Knautia pseudolongifolia", "Nhandu carapoensis", "Nhandu tripartitus", "Nhandu tripepii", "Nhandu vulpinus", "Nhandu cerradensis", "Nhandu coloratovillosus", "Australutica moreton", "Australutica xystarches", "Australutica manifesta", "Australutica quaerens", "Platanthera psycodes", "Aaadonta constricta", "Aaadonta fuscozonata", "Aaadonta irregularis", "Aaadonta kinlochi", "Aaadonta pelewana", "Sibbaldia unguiculata", "Lonicera subg.", "Dracophyllum elegantissimum", "Rindera albida", "Rindera caespitosa", "Rindera cristulata", "Rindera gymnandra", "Rindera lanata", "Rindera tetraspis", "Rindera umbellata", "Knautia arvensis subsp. rosea", "Knautia arvensis subsp. pannonica", "Masdevallia schroederiana", "Megachile alticola", "Megachile carbonaria", "Megachile gobabebensis", "Megachile goegabensis", "Megachile gessi", "Megachile gessorum", "Megachile namibensis", "Megachile pseudotaraxis", "Megachile richtersveldensis", "Megachile sarahae", "Megachile soutpansbergensis", "Megachile taraxis", "Hypericum involutum", "Leptinella conjuncta", "Pseudopanax kermadecensis", "Crocus caelestis", "Crocus caricus", "Crocus crewei", "Crocus fibroannulatus", "Crocus ionopharynx", "Crocus isauricus", "Crocus leucostylosus", "Crocus nubigena", "Crocus pseudonubigena", "Crocus pulchricolor", "Crocus punctatus", "Crocus tauri", "Platyberyx paucus", "Crocus yataganensis", "Platyberyx pietschi", "Platyberyx rhyton", "Caristius digitus", "Caristius meridionalis", "Crocus weldenii", "Crocus stridii", "Crocus melantherus", "Crocus alexandri", "Megachile mystaceana", "Crocus kurdistanicus", "Megachile chomskyi", "Megachile guangxiense", "Crocus nerimaniae", "Crocus flavus subsp. flavus", "Aeschnosoma auripennis", "Schistura maculosa", "Devendraea sect.", "Dracophyllum marmoricola", "Dracophyllum ophioliticum", "Syzygium filiflorum", "Neuraeschna claviforcipata", "Coeliccia mingxiensis", "Caristius macropus", "Pimelea oreophila", "Pimelea lyallii", "Pimelea microphylla", "Pimelea aridula", "Pimelea bicolor", "Pimelea buxifolia", "Pimelea concinna", "Pimelea gnidia", "Pimelea poppelwellii", "Pimelea pseudolyallii", "Pimelea sericeovillosa", "Pimelea suteri", "Pimelea tomentosa", "Pimelea traversii", "Pimelea urvilleana", "Pimelea villosa", "Megachile droegei", "Megachile cleomis", "Megachile pankus", "Megachile snowi", "Megachile brevis", "Megachile coquilletti", "Megachile gentilis", "Megachile lippiae", "Megachile onobrychidis", "Megachile texana", "Megachile mendica", "Megachile pseudobrevis", "Pinus subsect.", "Megachile lanuginosa", "Megachile nupta", "Megachile palmarum", "Megachile pruinosa", "Megachile generosa", "Madrasostes bartolozzii", "Pinus henryi", "Apogonia cribricollis", "Pinus bhutanica", "Aponesidea acanthigera", "Pseudopanax arboreus", "Pseudopanax chathamicus", "Pseudopanax discolor", "Pseudopanax macintyrei", "Pseudopanax linearis", "Pseudopanax ferox", "Pseudopanax gilliesii", "Natatolana aotearoa", "Natatolana honu", "Natatolana paranarica", "Sixalix arenaria", "Crocus abantensis", "Crocus adanensis", "Crocus almehensis", "Crocus angustifolius", "Crocus asumaniae", "Crocus boulosii", "Crocus gilanicus", "Crocus cambessedesii", "Crocus cancellatus", "Crocus candidus", "Crocus corsicus", "Crocus cvijicii", "Crocus cyprius", "Crocus dalmaticus", "Crocus danfordiae", "Crocus flavus", "Crocus fleischeri", "Crocus goulimyi", "Crocus graveolens", "Crocus hadriaticus", "Crocus hartmannianus", "Crocus hermoneus", "Crocus kerndorffiorum", "Crocus kosaninii", "Crocus leichtlinii", "Crocus malyi", "Crocus mathewii", "Crocus minimus", "Crocus moabiticus", "Crocus nevadensis", "Crocus niveus", "Crocus nudiflorus", "Crocus ochroleucus", "Crocus oreocreticus", "Crocus paschei", "Crocus pelistericus", "Crocus robertianus", "Crocus rujanensis", "Crocus scardicus", "Crocus sieheanus", "Crocus thomasii", "Crocus tournefortii", "Crocus veneris", "Crocus versicolor", "Crocus vitellinus", "Crocus wattiorum", "Agrimonia nipponica", "Agrimonia pringlei", "Agrimonia pilosa var. nepalensis", "Agrimonia pilosa var. pilosa", "Alchemilla glabricaulis", "Pinus sect.", "Pinus sect.", "Pinus subsect.", "Quedius cinctus", "Ferula tunetana", "Alchemilla espotensis", "Masdevallia agaster", "Alchemilla wichurae", "Masdevallia amabilis", "Ruscus hypophyllum", "Ruscus hyrcanus", "Ruscus streptophyllus", "Ruscus \u00d7 microglossus", "Masdevallia abbreviata", "Masdevallia acaroi", "Masdevallia acrochordonia", "Pimelea \u00d7angulata", "Pimelea \u00d7lanceolata", "Pimelea \u00d7similis", "Exetastes arteagus", "Exetastes gauldi", "Exetastes lascivus", "Eophileurus ryuheii", "Stenus biguttatus", "Sepedophilus littoreus", "Aleochara sanguinea", "Phloestiba plana", "Staphylinus flavipes", "Gyrohypnus fuscipes", "Staphylinus rufipes", "Maxillaria desvauxiana", "Solenanthus albanicus", "Solenanthus apenninus", "Solenanthus brachystemon", "Solenanthus hupehensis", "Solenanthus lanatus", "Solenanthus pindicus", "Solenanthus scardicus", "Nimbopsocus griseipennis", "Nimbopsocus zealandicus", "Lomelosia minoana", "Lomelosia minoana subsp. asterusica", "Lomelosia minoana subsp. minoana", "Clematis marmoraria", "Travancoriana granulata", "Ryocalanus brasilianus", "Ryocalanus infelix", "Ryocalanus spinifrons", "Yrocalanus admirabilis", "Yrocalanus antarcticus", "Pyrus yaltirikii", "Pyrus oxyprion", "Pyrus hakkiarica", "Pyrus anatolica", "Pyrus zangezura", "Cotoneaster transcaucasicus", "Cotoneaster meyeri", "Cotoneaster morulus", "Cotoneaster cambricus", "Agrimonia coreana", "Agrimonia hirsuta", "Aspidimorpha miliaris", "Agrimonia macrocarpa", "Hypselobarbus lithopidos", "Crocus balansae", "Crocus hittiticus", "Crocus veluchensis", "Crocus thirkeanus", "Crocus jablanicensis", "Crocus naqabensis", "Crocus suaveolens", "Crocus suwarowianus", "Crocus \u00d7 hybridus", "Crocus \u00d7 paulineae", "Crocus lazicus", "Crocus dispathaceus", "Crocus vaclavii", "Crocus macedonicus", "Crocus archibaldiorum", "Crocus bolensis", "Crocus elegans", "Crocus hellenicus", "Crocus sakariensis", "Crocus cancellatus subsp. cancellatus", "Crocus cancellatus subsp. damascenus", "Crocus lycius", "Crocus cancellatus subsp. mazziaricus", "Crocus pamphylicus", "Crocus minutus", "Crocus \u00d7 fritschii", "Crocus salzmannii", "Crocus atticus", "Crocus nivalis", "Crocus sublimis", "Crocus hadriaticus subsp. hadriaticus", "Crocus hadriaticus subsp. parnassicus", "Crocus hadriaticus subsp. parnonicus", "Heteronychus minimus", "Canthium angustifolium", "Memecylon terminale", "Memecylon randerianum", "Pimelea acra", "Pimelea carnosa", "Pimelea eremitica", "Pimelea sporadica", "Pimelea xenica", "Pimelea orthia", "Pimelea ignota", "Pimelea actea", "Pimelea telura", "Hopea ponga", "Actinodaphne wightiana", "Gomphandra tetrandra", "Kamettia caryophyllata", "Amphisbatis incongruella", "Sibbaldia adpressa", "Sibbaldia cuneata", "Sibbaldia cuneifolia", "Sibbaldia emodi", "Sibbaldia micropetala", "Sibbaldia miyabei", "Sibbaldia omeiensis", "Sibbaldia pentaphylla", "Sibbaldia phanerophlebia", "Sibbaldia purpurea", "Sibbaldia sericea", "Sibbaldia sikkimensis", "Sibbaldia tenuis", "Sibbaldia tetrandra", "Sibbaldia trullifolia", "Sibbaldia perpusilla", "Sibbaldia axilliflora", "Phtheirospermum japonicum", "Aaadonta angaurana", "Maxillaria lineolata", "Lonicera rupicola", "Devendraea sect.", "Gyrophaena boleti", "Devendraea sect.", "Devendraea sect.", "Chaenotheca erkahomattiorum", "Chaenothecopsis dibbleandersoniarum", "Chaenothecopsis marcineae", "Hirmoneura kunchuy", "Chersodromia nikolayi", "Pittosporum bracteolatum", "Sandracottus bakewelli", "Lonicera sect.", "Lonicera subsect.", "Lonicera pilosa", "Carex calcis", "Carex cremnicola", "Carex modesti", "Paspalum orbiculare", "Hydrocotyle americana", "Veronica breviracemosa", "Cotula lineariloba", "Cotula turbinata", "Cotula vulgaris", "Epilobium alsinoides", "Epilobium angustum", "Epilobium astonii", "Rhamnus crocea subsp. crocea", "Rhamnus crocea subsp. insula", "Rhamnus crocea subsp. pilosa", "Rhamnus punctata subsp. punctata", "Rhamnus punctata subsp. angustifolia", "Pycnoscelus surinamensis", "Pyrenula xanthoglobulifera", "Vaccinium leschenaultii", "Turraea villosa", "Panchlora nivea", "Hemelytroblatta africana", "Ectobius lapponicus", "Pseudomops oblongatus", "Lonicera rupicola var. syringantha", "Platyberyx andriashevi", "Arabis amplexicaulis", "Goodyera foliosa", "Hornungia petraea", "Rumex angustifolius subsp. macranthus", "Rumex angustifolius subsp. angustifolius", "Rumex \u00d7 autranianus", "Lonicera subsect.", "Rumex \u00d7 gemlikensis", "Rumex \u00d7 muellneri", "Rumex \u00d7 prusianus", "Lonicera sumatrana", "Epitolina collinsi", "Epitolina larseni", "Ranunculus meristus", "Ranunculus brevis", "Ranunculus mirus", "Ranunculus scrithalis", "Ranunculus reflexus", "Ranunculus simulans", "Ranunculus membranifolius", "Ranunculus viridis", "Ranunculus stylosus", "Ranunculus enysii", "Ranunculus crithmifolius", "Ranunculus cheesemanii", "Ranunculus carsei", "Ranunculus buchananii", "Ranunculus biternatus", "Ranunculus acaulis", "Ranunculus foliosus", "Ranunculus glabrifolius", "Ranunculus godleyanus", "Ranunculus gracilipes", "Ranunculus grahamii", "Ranunculus haastii", "Ranunculus insignis", "Ranunculus kirkii", "Ranunculus limosella", "Ranunculus macropus", "Ranunculus maculatus", "Ranunculus multiscapus", "Ranunculus nivicola", "Ranunculus pachyrrhizus", "Ranunculus pilifera", "Ranunculus pinguis", "Ranunculus ranceorum", "Ranunculus recens", "Ranunculus royi", "Ranunculus sericophyllus", "Ranunculus sessiliflorus", "Ranunculus subscaposus", "Ranunculus ternatifolius", "Ranunculus urvilleanus", "Ranunculus verticillatus", "Ranunculus \u00d7 huttensis", "Dimelaena lichenicola", "Cystomastacoides kiddo", "Porphyrio mcnabi", "Labia minor", "Gyalideopsis ellipsoidea", "Rhamnus atlantica", "Rhamnus aurea", "Rhamnus bodinieri", "Epilobium billardiereanum", "Epilobium brevipes", "Epilobium brunnescens", "Epilobium chionanthum", "Epilobium chlorifolium", "Pinus apulcensis", "Pinus devoniana", "Pinus estevezii", "Pinus maximinoi", "Pinus hondurensis", "Pinus lumholtzii", "Epilobium pallidiflorum", "Neotrygon kuhlii", "Myosotis laingii", "Phasma gigas", "Pseudophasma phthisicum", "Trilepidea adamsii", "Lonicera subsect.", "Rhamnus brachypoda", "Rhamnus breedlovei", "Rhamnus bungeana", "Rhamnus calcicola", "Rhamnus citrifolia", "Rhamnus coriophylla", "Rhamnus dalianensis", "Rhamnus daliensis", "Rhamnus diamantiaca", "Rhamnus esquirolii", "Rhamnus flavescens", "Rhamnus formosana", "Rhamnus fulvotincta", "Rhamnus gilgiana", "Rhamnus hainanensis", "Rhamnus hemsleyana", "Rhamnus heterophylla", "Rhamnus hintonii", "Rhamnus humboldtiana", "Rhamnus hupehensis", "Rhamnus iteinophylla", "Rhamnus kwangsiensis", "Rhamnus lamprophylla", "Rhamnus laoshanensis", "Rhamnus leptacantha", "Rhamnus leptophylla", "Rhamnus liukiuensis", "Rhamnus longistyla", "Rhamnus longpipes", "Rhamnus ludovici-salvatoris", "Rhamnus rosei", "Rhamnus rosthornii", "Rhamnus rugulosa", "Rhamnus sargentiana", "Rhamnus schneideri", "Rhamnus scopulorum", "Rhamnus serpyllifolia", "Rhamnus sharpii", "Rhamnus sibthorpiana", "Rhamnus sintenisii", "Rhamnus sipapoensis", "Rhamnus songorica", "Rhamnus standleyana", "Rhamnus subapetala", "Rhamnus tangutica", "Rhamnus tortuosa", "Rhamnus triquetra", "Rhamnus tzekweiensis", "Rhamnus wilsonii", "Rhamnus wumingensis", "Rhamnus xizangensis", "Rhamnus lycioides subsp. graeca", "Rhamnus lycioides subsp. lycioides", "Rhamnus lycioides subsp. velutina", "Polyphaga aegyptiaca", "Porpax filiformis", "Lonicera subsect.", "Hypomasticus lineomaculatus", "Arapaima leptosoma", "Sunagocia omanensis", "Saguinus ursula", "Aborichthys waikhomi", "Allium olivieri", "Awaouichthys menoni", "Grammosciadium scabridum", "Ferulago angulata", "Gagea alexeenkoana", "Gagea bithynica", "Senecio hauwai", "Senecio esleri", "Senecio repangae", "Senecio marotiri", "Erechtites kermadecensis", "Phyllium siccifolium", "Paracythereis impudica", "Axiocerses argenteomaculata", "Vicoa cernua", "Pentanema divaricatum", "Pentanema ligneum", "Pentanema rupicola", "Pentanema vestita", "Dendrobium plicatile", "Zeritis aurivillii", "Zeritis fontainei", "Zeritis krystyna", "Zeritis neriene", "Zeritis pulcherrima", "Zeritis sorhagenii", "Axiocerses harpax", "Axiocerses harpax harpax", "Axiocerses harpax kadugli", "Axiocerses harpax efulena", "Axiocerses harpax ugandana", "Gongylus gongylodes", "Crassula colligata", "Crassula manaia", "Nestegis lanceolata", "Nestegis montana", "Nestegis apetala", "Nestegis sandwicensis", "Oxalis wulingensis", "Typhlobelus auriculatus", "Characidium amaila", "Hydrocotyle peltiformis", "Hydrocotyle changanensis", "Chilades evorae", "Leptotes pirithous", "Lonicera crassifolia", "Leptotes pirithous pirithous", "Leptotes pirithous insulanus", "Leptotes pirithous capverti", "Euchrysops banyo", "Euchrysops sahelianus", "Lepidochrysops phoebe", "Lepidochrysops abri", "Lepidochrysops quassi", "Lonicera japonica var. chinensis", "Ypsolopha vittella", "Lonicera japonica var. japonica", "Neolongitergus productus", "Neolongitergus similis", "Megaselia elenae", "Megaselia kozlovi", "Stenocrates eniocanoi", "Orizabus ypsilon", "Orizabus dechambrei", "Orizabus vulcanicus", "Orizabus mcclevei", "Orizabus pinalicus", "Orizabus pyriformis", "Orizabus isodonoides", "Lepidochrysops quassi quassi", "Lepidochrysops quassi bernaudi", "Lepidochrysops victoriae", "Lepidochrysops victoriae victoriae", "Lepidochrysops victoriae occidentalis", "Lepidochrysops victoriae vansomereni", "Mimacraea gelinia", "Mimacraea gelinia gelinia", "Mimacraea gelinia nguru", "Mimacraea gelinia georgia", "Neolimnocythere erinacea", "Arctium atlanticum", "Arctium leiobardanum", "Arctium neumani", "Arctium pseudarctium", "Arctium sardaimionense", "Arctium scanicum", "Arctium \u00d7 ambiguum", "Limnocythere elongata", "Arctium \u00d7 batavum", "Arctium \u00d7 bretonii", "Arctium \u00d7 mixtum", "Arctium \u00d7 nothum", "Arctium palladinii", "Cichorium pumilum", "Lonicera loureiri", "Pentila bennetti", "Pentila rondo", "Pentila condamini", "Parotocinclus jequi", "Rumex \u00d7 pseudopatientia", "Rumex \u00d7 subtranianus", "Rumex \u00d7 subtrilobus", "Rumex \u00d7 uludaghensis", "Stellaria nemorum subsp. nemorum", "Corrigiola andina", "Corrigiola capensis", "Corrigiola crassifolia", "Corrigiola drymarioides", "Corrigiola litoralis", "Corrigiola madagascariensis", "Corrigiola palaestina", "Corrigiola paniculata", "Corrigiola propinqua", "Corrigiola squamosa", "Corrigiola vulcanica", "Neolimnocythere hexaceros", "Lonicera sect.", "Liptena priscilla", "Lonicera japonica var. miyagusukiana", "Crenicichla taikyra", "Sonotetranychus menziesii", "Lonicera hildebrandiana", "Harpagomantis tricolor", "Choeradodis strumaria", "Teleogryllus emma", "Hypericum virginicum", "Porthetis carinata", "Alburnus timarensis", "Camassia leichtlinii subsp. suksdorfii", "Tetrix bipunctata", "Tetrix subulata", "Lepidium meyeri", "Lepidium amelum", "Rapistrum perenne", "Camassia quamash subsp. quamash", "Cypridopsis huaronensis", "Camassia quamash subsp. azurea", "Paraphymatoceros coriaceus", "Paraphymatoceros hirticalyx", "Zyzzyva squamosa", "Zyzzyva rufula", "Zyzzyva ochreotecta", "Trogellus chapinitus", "Trogellus hawksi", "Trogellus maesi", "Trogellus trogoides", "Trogellus catrachitus", "Trogellus trifinius", "Trogellus narizotus", "Trogellus herrmanni", "Trogellus ticiticus", "Trogellus neotropicalis", "Leptinotarsa texana", "Dilompus robustus", "Gingidia grisea", "Achyranthes margaretarum", "Celmisia tomentella", "Eremonidiopsis aggregata", "Ripeacma quadridigitata", "Ripeacma damingshana", "Ripeacma magnihamata", "Brachylia vukutu", "Aphnaeus mirabilis", "Aphnaeus nimbaensis", "Ebenus barbigera", "Ebenus boissieri", "Lepidium galapagoensis", "Myosotis brevis", "Ranunculus paucifolius", "Ramaria botrytis", "Erechthias ascensionae", "Erechthias grayi", "Phintella lunda", "Dendryphantes sanguineus", "Iris oratoria", "Ramaria rielii", "Stagmatoptera precaria", "Ilex \u00d7 altaclerensis", "Gagea bulbifera", "Gagea chanae", "Gagea chomutovae", "Gagea chrysantha", "Gagea confusa", "Gagea dubia", "Gagea fibrosa", "Gagea foliosa", "Gagea gageoides", "Gagea granatellii", "Gagea helenae", "Gagea joannis", "Gagea juliae", "Gagea libanotica", "Gagea liotardii", "Gagea luteoides", "Gagea nevadensis", "Gagea peduncularis", "Gagea rigida", "Gagea tenera", "Gagea transversalis", "Gagea uliginosa", "Gagea elliptica", "Schizocephala bicornis", "Orizabus teamscaraborum", "Orizabus hondurensis", "Orizabus puchicus", "Orizabus botox", "Orizabus cuernavacensis", "Orizabus ratcliffei", "Orizabus subaziro", "Orizabus rawlinsi", "Orizabus batesi", "Orizabus brevicollis", "Orizabus clunalis", "Orizabus endrodianus", "Orizabus fairmairei", "Orizabus ligyroides", "Orizabus rubricollis", "Orizabus tuberculatus", "Orizabus cultripes", "Orizabus fontinalis", "Orizabus marginatus", "Orizabus parvitarsis", "Orizabus ponderosus", "Orizabus sallei", "Orizabus snowii", "Orizabus lucidus", "Plumarius brasiliensis", "Myosotis petiolata", "Phrathicarus hikurangi", "Phrathicarus longisensillus", "Acroseius weiri", "Ebenus cappadocica", "Ebenus depressa", "Ebenus laguroides", "Ebenus longipes", "Ebenus macrophylla", "Ebenus pisidica", "Ebenus plumosa", "Ebenus reesei", "Hammatolobium lotoides", "Hammatolobium kremerianum", "Lachnocnema pseudobibulus", "Lachnocnema sosia", "Lachnocnema riftensis", "Lachnocnema kiellandi", "Lachnocnema tanzanensis", "Lachnocnema intermedia", "Lachnocnema abyssinica", "Lachnocnema angolanus", "Lachnocnema ducarmei", "Lachnocnema triangularis", "Lachnocnema katangae", "Lachnocnema regularis", "Lachnocnema regularis regularis", "Lachnocnema regularis grisea", "Lachnocnema brimoides", "Lachnocnema bamptoni", "Lachnocnema obscura", "Lachnocnema overlaeti", "Lachnocnema vuattouxi", "Lachnocnema dohertyi", "Lachnocnema nigrocellularis", "Lachnocnema brunea", "Lachnocnema jolyana", "Lachnocnema albimacula", "Lachnocnema inexpectata", "Lachnocnema unicolor", "Lachnocnema congoensis", "Hemidactylus platyurus", "Aslauga gallmannae", "Pseudaletis barnetti", "Dodecatheon meadia", "Ypsolopha japonica", "Ypsolopha hebeiensis", "Ypsolopha leuconotella", "Ypsolopha flaviterminata", "Ypsolopha flavida", "Charaxes lasti", "Charaxes lasti lasti", "Charaxes lasti kimbozae", "Charaxes lecerfi", "Charaxes legeri", "Charaxes lemosi", "Charaxes loandae", "Charaxes lydiae", "Charaxes mixtus", "Charaxes mixtus mixtus", "Charaxes mixtus tanzanicus", "Neocoenyra fuligo", "Neocoenyra petersi", "Neocoenyra heckmanni", "Neocoenyra heckmanni heckmanni", "Neocoenyra heckmanni kennethi", "Neocoenyra heckmanni mangalisa", "Neocoenyra heckmanni mbinga", "Neocoenyra heckmanni uzungwae", "Neocoenyra jordani", "Neocoenyra jordani jordani", "Neocoenyra jordani septentrionalis", "Uranothauma belcastroi", "Etesiolaus kyabobo", "Stilpnochlora laurifolia", "Viadana myrtifolia", "Pachypanchax sakaramyi", "Tageropsiella ikondae ikondae", "Tageropsiella ikondae upembana", "Tagoropsiella ikondae", "Tagoropsiella ikondae ikondae", "Tagoropsiella expansa", "Tagoropsiella kaguruensis", "Tagoropsiella mbiziensis", "Tagoropsiella mulanjensis", "Tagoropsiella rungwensis", "Tagoropsiella upembana", "Tagoropsiella nyikensis", "Tagoropsiella murphyi", "Tagoropsiella tracenlis", "Goodia ansorgei", "Goodia arabica", "Goodia decolor", "Bullacris unicolor", "Physemacris variolosa", "Camassia leichtlinii subsp. leichtlinii", "Prionolopha serrata", "Incertae sedis", "Clonia melanoptera", "Truxalis nasuta", "Lonicera longiflora", "Myosotis antarctica", "Myosotis asiatica", "Myosotis verna", "Myosotis popovii", "Myosotis rivularis", "Myosotis krylovii", "Myosotis bothriospermoides", "Myosotis baltica", "Myosotis azorica", "Lonicera bournei", "Myosotis angustata", "Myosotis arnoldii", "Myosotis brockiei", "Myosotis capitata", "Myosotis cheesemanii", "Myosotis colensoi", "Myosotis concinna", "Myosotis albosericea", "Myosotis eximia", "Myosotis explanata", "Myosotis glabrescens", "Falsocis hoseri", "Alphitophagus amrishi", "Amycterus pilbara", "Atriplex hollowayi", "Antozola dislocata", "Sciobia umbraculata", "Cnemidophyllum citrifolium", "Myosotis goyenii", "Myosotis laeta", "Myosotis lyallii", "Myosotis lytteltonensis", "Myosotis macrantha", "Myosotis matthewsii", "Myosotis monroi", "Myosotis oreophila", "Myosotis rakiura", "Myosotis saxosa", "Myosotis spathulata", "Myosotis suavis", "Myosotis tenericaulis", "Myosotis traversii", "Myosotis uniflora", "Myosotis cameroonensis", "Logasa novaeanglia", "Epilobium hirtigerum", "Epilobium nerteroides", "Epilobium nummulariifolium", "Epilobium pedunculare", "Epilobium confertifolium", "Epilobium purpuratum", "Epilobium crassum", "Epilobium forbesii", "Epilobium glabellum", "Epilobium gracilipes", "Epilobium gunnianum", "Epilobium hectorii", "Epilobium insulare", "Epilobium komarovianum", "Epilobium macropus", "Epilobium margaretiae", "Epilobium matthewsii", "Epilobium melanocaulon", "Epilobium microphyllum", "Epilobium pernitens", "Epilobium petraeum", "Epilobium pictum", "Epilobium porphyrium", "Epilobium pubens", "Epilobium pycnostachyum", "Epilobium rostratum", "Epilobium rotundifolium", "Epilobium tasmanicum", "Epilobium wilsonii", "Atractus major", "Atractus latifrons", "Atractus alphonsehogei", "Atractus poeppigi", "Atractus schach", "Atractus snethlageae", "Atractus torquatus", "Atractus trilineatus", "Erythromeris saturniata", "Tageropsiella ikondae", "Chrysoritis chrysantas", "Chrysoritis dicksoni", "Chrysoritis chrysaor", "Chrysoritis natalensis", "Chrysoritis aureus", "Chrysoritis aethon", "Chrysoritis lyncurium", "Chrysoritis lycegenes", "Dianthus subsect.", "Chrysoritis coetzeri", "Chrysoritis aridus", "Chrysoritis blencathrae", "Dianthus subsect.", "Chrysoritis violescens", "Chrysoritis daphne", "Chrysoritis irene", "Chrysoritis beulah", "Chrysoritis perseus", "Chrysoritis rileyi", "Chrysoritis plutus", "Chrysoritis trimeni", "Chrysoritis pelion", "Chrysoritis penningtoni", "Chrysoritis braueri", "Pseudonympha southeyi", "Pseudonympha southeyi southeyi", "Stygionympha vansoni", "Archboldomys maximus", "Soricomys kalinga", "Soricomys leonardocoi", "Soricomys montanus", "Soricomys musseri", "Listrophoroides crunomys", "Paranemachilus pingguoensis", "Paranemachilus genilepis", "Dianthus subsect.", "Phyllophaga tesorito", "Phyllophaga aragoni", "Phyllophaga buapae", "Phyllophaga cazahuata", "Dianthus ser.", "Dianthus ser.", "Dianthus ser.", "Stygophrynus brevispina", "Rhabdothamnus solandri", "Centrorhynchus geranoaeti", "Centrorhynchus millerae", "Centrorhynchus pitangi", "Centrorhynchus viarius", "Dolichopus soldatovi", "Procambarus clarkii", "Abisara rogersi", "Abisara rogersi rogersi", "Abisara rogersi simulacris", "Abisara dewitzi", "Abisara delicata", "Abisara delicata delicata", "Abisara delicata tanzania", "Abisara delicata zanzibarica", "Abisara tantalus", "Abisara tantalus tantalus", "Abisara tantalus caerulea", "Abisara tantalus cyanis", "Abisara talantus", "Abisara intermedia", "Abisara caeca", "Abisara caeca caeca", "Neoconocephalus triops", "Abisara caeca semicaeca", "Mecopoda elongata", "Anoedopoda lamellata", "Pterochroza ocellata", "Oxyprora acuminata", "Austrosyrrhoe kathleenae", "Bruzelia erikae", "Bruzelia junkeri", "Bruzelia vogeli", "Ileraustroe neumannae", "Pseudotiron livingstonae", "Syrrhoe sadiae", "Syrrhoe kareenae", "Syrrhoites ebberae", "Syrrhoites hannahae", "Syrrhoites octodentata", "Syrrhoites renatae", "Syrrhoites bowdeni", "Austrosyrrhoe crassipes", "Austrosyrrhoe septentrionalis", "Austrosyrrhoe rinconis", "Austrosyrrhoe fimbriatus", "Hypolepis amaurorachis", "Hypolepis ambigua", "Hypolepis dicksonioides", "Hypolepis distans", "Hypolepis lactea", "Hypolepis millefolium", "Hypolepis punctata", "Hypolepis rufobarbata", "Hypolepis rugosula", "Hypolepis subantarctica", "Hypolepis glandulifera", "Pertya triloba", "Caristius barsukovi", "Caristius litvinovi", "Caristius walvisensis", "Charaxes xiphares", "Charaxes xiphares xiphares", "Charaxes xiphares bergeri", "Charaxes xiphares kiellandi", "Charaxes xiphares upembana", "Charaxes xiphares sitebi", "Charaxes xiphares penningtoni", "Charaxes xiphares burgessi", "Charaxes xiphares bavenda", "Neptis penningtoni", "Plathymenia foliolosa var. foliolosa", "Plathymenia foliolosa var. paraguariensis", "Chrysoritis orientalis", "Chrysoritis azurius", "Chrysoritis uranus", "Chrysoritis uranus uranus", "Chrysoritis midas", "Chrysoritis pan", "Chrysoritis pan pan", "Chrysoritis pan lysander", "Chrysoritis adonis", "Chrysoritis endymion", "Thestor vansoni", "Thestor petra", "Dianthus sect.", "Pogonophryne favosa", "Thestor petra petra", "Thestor petra tempe", "Oreonectes acridorsalis", "Thestor rileyi", "Cacyreus dicksoni", "Neptis laeta", "Chrysoritis oreas", "Sathrophyllia rugosa", "Fraxinus smallii", "Abisara rutherfordii", "Abisara rutherfordii rutherfordii", "Abisara rutherfordii herwigii", "Abisara rutherfordii cyclops", "Cephalanthera \u00d7 schulzei", "Dianthus subsect.", "Taguahelix francesci", "Dianthus subsect.", "Gyronotus carinatus", "Gyronotus dispar", "Gyronotus fimetarius", "Gyronotus glabrosus", "Gyronotus pumilus", "Gyronotus perissinottoi", "Gyronotus schuelei", "Gingidia amphistoma", "Gingidia haematitica", "Gingidia rupicola", "Oncopeltus fasciatus", "Gingidia baxterae", "Gingidia decipiens", "Fraxinus punctata", "Fraxinus suaveolens", "Fraxinus \u00d7 borzae", "Dingana dingana", "Fraxinus \u00d7 aucubifolia", "Fraxinus \u00d7 hybrida", "Fraxinus \u00d7 rehderiana", "Serradinga kammanassiensis", "Serradinga bowkeri", "Serradinga bowkeri bowkeri", "Serradinga bowkeri bella", "Serradinga clarki", "Serradinga clarki clarki", "Serradinga clarki amissivallis", "Serradinga clarki dracomontana", "Serradinga clarki ocra", "Fraxinus sect.", "Fraxinus sect.", "Fraxinus sect.", "Fraxinus sect.", "Fraxinus sect.", "Fraxinus sect.", "Dianthus subsect.", "Anodontia waharoaensis", "Taguahelix crispata", "Lepidochrysops ruthica", "Lepidochrysops barnesi", "Kedestes sublineata", "Kedestes sarahae", "Kedestes heathi", "Kedestes michaeli", "Kedestes monostichus", "Kedestes pinheyi", "Dianthus subsect.", "Thestor rooibergensis", "Thestor overbergensis", "Thestor claasensi", "Thestor dryburghi", "Papilio ophidicephalus ophidicephalus", "Pseudonympha trimenii", "Pseudonympha trimenii trimenii", "Pseudonympha trimenii namaquana", "Stygionympha wichgrafi", "Stygionympha wichgrafi wichgrafi", "Stygionympha wichgrafi lannini", "Stygionympha wichgrafi williami", "Stygionympha wichgrafi grisea", "Stygionympha vigilans", "Stygionympha robertsoni", "Stygionympha irrorata", "Stygionympha geraldi", "Stygionympha dicksoni", "Stygionympha curlei", "Stygionympha scotina", "Stygionympha scotina scotina", "Stygionympha scotina coetzeri", "Dingana alaedeus", "Dingana alticola", "Dingana angusta", "Dingana fraterna", "Dingana jerinae", "Dingana kammanassiensis", "Fraxinus depauperata", "Dingana bowkeri", "Fraxinus pringlei", "Fulcrifera aphrospila", "Scorzonera humilis", "Epiphora bauhiniae bauhiniae", "Epiphora bauhiniae atbarina", "Epiphora bauhiniae damarensis", "Epiphora bauhiniae schultzei", "Epiphora bauhiniae vera", "Nudaurelia carnegiei", "Cigaritis dufranei", "Cigaritis shaba", "Cigaritis victoriae", "Cigaritis tavetensis", "Cigaritis tanganyikae", "Cigaritis somalina", "Cigaritis scotti", "Cigaritis pinheyi", "Cigaritis phanes", "Cigaritis nyassae", "Cigaritis nilus", "Cigaritis namaquus", "Cigaritis natalensis", "Dianthus subsect.", "Deontostoma tridentum", "Shireplitis bilboi", "Shireplitis frodoi", "Shireplitis meriadoci", "Shireplitis peregrini", "Shireplitis samwisei", "Shireplitis tolkieni", "Gingidia enysii", "Gingidia flabellata", "Gingidia montana", "Gingidia trifoliolata", "Metrosideros regelii", "Protocobitis anteroventris", "Sinocyclocheilus luolouensis", "Triplophysa dongganensis", "Triplophysa fengshanensis", "Triplophysa langpingensis", "Yunnanilus bailianensis", "Oreonectes barbatus", "Oreonectes duanensis", "Oreonectes donglanensis", "Macropoliana ferax", "Fraxinus excelsior subsp. coriariifolia", "Fraxinus excelsior subsp. excelsior", "Dovania neumanni", "Fraxinus excelsior subsp. siciliensis", "Dovania poecila", "Dovania poecila poecila", "Dovania poecila mirei", "Dovania dargei", "Fraxinus ornus subsp. cilicica", "Fraxinus ornus subsp. ornus", "Dianthus deltoides subsp. deltoides", "Dianthus deltoides subsp. degenii", "Epiphora bauhiniae", "Chlamisus mimosae", "Valerianella carinata", "Phrixgnathus douglasi", "Phrixgnathus brunneus", "Tragopogon albinervis", "Tragopogon balcanicus", "Tragopogon buphthalmoides", "Tragopogon fibrosus", "Tragopogon graminifolius", "Tragopogon olympicus", "Tragopogon reticulatus", "Tragopogon subacaulis", "Tragopogon vaginatus", "Tragopogon pterodes", "Tragopogon pterocarpus", "Tragopogon pichleri", "Tragopogon oligolepis", "Tragopogon latifolius", "Tragopogon porrifolius subsp. cupani", "Tragopogon porrifolius subsp. eriospermus", "Tragopogon porrifolius subsp. macrocephalus", "Tragopogon porrifolius subsp. porrifolius", "Tragopogon collinus", "Tragopogon crocifolius", "Deloneura millari", "Deloneura millari millari", "Erigeron acris subsp. acris", "Deloneura millari dondoensis", "Erigeron acris subsp. pycnotrichus", "Deloneura abri", "Batelusia zebra", "Erigeron tenuis", "Erigeron vagus", "Erigeron scopulinus", "Erigeron silenifolius", "Erigeron schalbusi", "Erigeron procumbens", "Chrysoritis pyramus", "Chrysoritis pyramus pyramus", "Chrysoritis pyramus balli", "Psychrogeton nigromontanus", "Loxsoma cunninghamii", "Notogrammitis angustifolia", "Notogrammitis billardierei", "Notogrammitis ciliata", "Notogrammitis crassior", "Notogrammitis givenii", "Notogrammitis gunnii", "Notogrammitis garrettii", "Notogrammitis pseudociliata", "Notogrammitis rawlingsii", "Notogrammitis heterophylla", "Notogrammitis patagonica", "Notogrammitis rigida", "Dianthus sect.", "Hymenophyllum pluviatile", "Todea amissa", "Todea tidwellii", "Dianthus subsect.", "Dianthus subsect.", "Ainsliaea apiculata", "Acer tataricum subsp. aidzuense", "Acer tataricum subsp. semenovii", "Acer tataricum subsp. tataricum", "Acer tataricum subsp. theiferum", "Acer campbellii subsp. chekiangense", "Acer campbellii subsp. sinense", "Acer campbellii subsp. wilsonii", "Acer campbellii subsp. campbellii", "Toxicodendron trichocarpum", "Dianthus sect.", "Dianthus subg.", "Dianthus sect.", "Dianthus subsect.", "Pauropsalta walkeri", "Pauropsalta judithae", "Pauropsalta aktites", "Pauropsalta aquilus", "Pauropsalta fuscata", "Pauropsalta collina", "Pauropsalta corticinus", "Pauropsalta opacus", "Pauropsalta siccanus", "Pauropsalta ayrensis", "Pauropsalta johanae", "Pauropsalta infrasila", "Terebellides bigeniculatus", "Terebellides williamsae", "Terebellides sepultura", "Terebellides mediterranea", "Terebellides canopus", "Terebellides crux", "Terebellides mira", "Terebellides rigel", "Terebellides sirius", "Terebellides toliman", "Acer sect.", "Pamphagus elephas", "Acer sect.", "Acer sect.", "Acer sect.", "Tropidacris cristata", "Acer ser.", "Acer ser.", "Acer ser.", "Acer ser.", "Acer ser.", "Acer ser.", "Acer ser.", "Acer ser.", "Acer ser.", "Acer ser.", "Grammatophyllum pantherinum", "Grammatophyllum speciosum", "Acer ser.", "Acer ser.", "Acer ser.", "Phymateus morbillosus", "Acer ser.", "Acer ser.", "Acer ser.", "Aularches miliaris", "Euryphymus haematopus", "Sticherus urceolatus", "Sticherus cunninghamii", "Sticherus flabellatus", "Sticherus tener", "Lygodium articulatum", "Pilularia novae-hollandiae", "Schizaea australis", "Schizaea bifida", "Schizaea dichotoma", "Schizaea fistulosa", "Hymenophyllum nephrophyllum", "Allolobophora kosowensis", "Hydrophorus albosignatus", "Protosmia hamulifera", "Protosmia schwarzi", "Protosmia trifida", "Dianthus hyssopifolius subsp. hyssopifolius", "Hoya nuttiana", "Rubia pianmaensis", "Agrostis griffithiana", "Polystichum cystostegium", "Polystichum lentum", "Polystichum mohrioides", "Polystichum neozelandicum", "Polystichum oculatum", "Polystichum proliferum", "Polystichum silvaticum", "Polystichum wawranum", "Polystichum vestitum", "Protosmia montana", "Phyllonorycter glaserorum", "Dissosteira carolina", "Pycnodictya obscura", "Dianthus subsect.", "Oedaleus flavus", "Calliptamus italicus", "Tylopaedia sardonyx", "Tylopaedia sardonyx sardonyx", "Tylopaedia sardonyx peringueyi", "Tylopaedia sardonyx cerita", "Argyraspodes argyraspis", "Dianthus hyssopifolius", "Sporobolus africanus", "Chrysoritis beaufortius", "Chrysoritis pyroeis", "Chrysoritis pyroeis pyroeis", "Chrysoritis pyroeis hersaleki", "Threskiornis bernieri", "Reisseronia imielinella", "Eupolybothrus cavernicolus", "Hydrophorus callosoma", "Eriosocia igarapeae", "Eriosocia euphrasta", "Chrysoritis thysbe", "Chrysoritis thysbe thysbe", "Chrysoritis thysbe psyche", "Dianthus \u00d7 aschersonii", "Dianthus \u00d7 bottemeri", "Dianthus \u00d7 dufftii", "Dianthus \u00d7 huebneri", "Dianthus \u00d7 isensis", "Dianthus \u00d7 nigritus", "Trichomanes colensoi", "Trichomanes elongatum", "Trichomanes endlicherianum", "Trichomanes strictum", "Trichomanes venosum", "Hymenophyllum armstrongii", "Hymenophyllum bivalve", "Hymenophyllum cupressiforme", "Hymenophyllum demissum", "Hymenophyllum dilatatum", "Hymenophyllum emarginatum", "Hymenophyllum ferrugineum", "Hymenophyllum flexuosum", "Hymenophyllum frankliniae", "Hymenophyllum lyallii", "Hymenophyllum malingii", "Hymenophyllum minimum", "Hymenophyllum multifidum", "Hymenophyllum peltatum", "Hymenophyllum pulcherrimum", "Hymenophyllum rarum", "Hymenophyllum revolutum", "Hymenophyllum rufescens", "Hymenophyllum sanguinolentum", "Hymenophyllum scabrum", "Hymenophyllum secundum", "Tsitana tulbagha", "Tsitana tulbagha tulbagha", "Tsitana tulbagha kaplani", "Tsitana dicksoni", "Tsitana wallacei", "Tsitana uitenhaga", "Tsitana tsita", "Aloeides pringlei", "Aloeides rileyi", "Cyrtacanthacris tatarica", "Aloeides braueri", "Phasis clavum", "Phasis clavum clavum", "Phasis clavum erythema", "Phasis braueri", "Phasis pringlei", "Phasis thero", "Phasis thero thero", "Dianthus seguieri subsp. gautieri", "Phasis thero cedarbergae", "Oedipoda caerulescens", "Terebellides banalis", "Terebellides bulbosa", "Terebellides concertina", "Terebellides diva", "Terebellides gingko", "Equisetum clarnoi", "Equisetum magnum", "Isoetes alpina", "Phlegmariurus varius", "Huperzia australiana", "Pseudolycopodiella serpentina", "Lateristachys diffusa", "Lateristachys lateralis", "Pseudolycopodium densum", "Netechma chamaecera", "Netechma distincta", "Netechma fausta", "Netechma formosa", "Championica coronata", "Acanthodis aquilina", "Netechma graphitaspis", "Netechma illecebrosa", "Netechma indanzana", "Netechma insignata", "Netechma labyrinthica", "Netechma lojana", "Netechma luteopoecila", "Netechma magna", "Netechma moderata", "Netechma nigralba", "Netechma notabilis", "Netechma ochrata", "Netechma phaedroma", "Netechma picta", "Netechma polyspinea", "Netechma atemeles", "Netechma bicerithium", "Netechma delicta", "Netechma furcularia", "Netechma lacera", "Netechma modesta", "Netechma caesiata", "Netechma cerusata", "Netechma consequens", "Gryllacris fastigiata", "Sexava coriacea", "Plinthograptis iitae", "Lobesia hecista", "Decticus verrucivorus", "Taiteccopsis davisorum", "Anthozela daressalami", "Herpystis assimulatana", "Herpystis cuscutae", "Herpystis iodryas", "Herpystis jejuna", "Herpystis maurodicha", "Herpystis mica", "Herpystis mimica", "Herpystis pallidula", "Herpystis rusticula", "Fraxinus chinensis subsp. rhynchophylla", "Fraxinus chinensis subsp. chinensis", "Herpystis theodora", "Herpystis tinctoria", "Hermetia illucens", "Herpystis isolata", "Acer sect.", "Fulcrifera affectana", "Hetrodes pupus", "Acer sect.", "Acer sect.", "Acer sect.", "Acer sect.", "Acer sect.", "Acer sect.", "Acer sect.", "Acer sect.", "Fulcrifera deltozyga", "Fulcrifera halmyris", "Fulcrifera periculosa", "Fulcrifera psamminitis", "Dianthus subsect.", "Fulcrifera refrigescens", "Fulcrifera tricentra", "Fulcrifera fumida", "Fulcrifera luteiceps", "Fulcrifera mongolica", "Fulcrifera orientis", "Fulcrifera infirmana", "Fulcrifera leucophaea", "Fulcrifera nigroliciana", "Fulcrifera noctivaga", "Fulcrifera horisma", "Cydia ergoda", "Dianthus subsect.", "Microsarotis samaruana", "Ioditis capnobactra", "Ioditis mokwae", "Microsarotis palamedes", "Microsarotis lucida", "Microsarotis bicincta", "Microsarotis lygistis", "Phloerampha involuta", "Goditha latebrata", "Goditha plesia", "Goditha prepocydia", "Goditha sporosema", "Ranapoaca rostellaria", "Ranapoaca memata", "Ranapoaca liota", "Rhynchosia acuminatifolia", "Tenodera angustipennis", "Veronica catenata subsp. glandulosa", "Gonatodes timidus", "Allobates amissibilis", "Erigeron canadensis", "Cigaritis apuleia", "Cigaritis avriko", "Cigaritis baghirmii", "Cigaritis bergeri", "Cigaritis brunnea", "Cigaritis collinsi", "Hapalogenys bengalensis", "Cigaritis crustaria", "Cigaritis cynica", "Cigaritis ella", "Cigaritis hassoni", "Cigaritis homeyeri", "Cigaritis iza", "Cigaritis menelas", "Cigaritis montana", "Cigaritis mozambica", "Cigaritis modestus", "Cigaritis modestus modestus", "Cigaritis modestus heathi", "Cigaritis myrmecophila", "Cigaritis nairobiensis", "Ulmus elongata", "Ulmus gaussenii", "Ulmus castaneifolia", "Ulmus changii", "Ulmus chenmoui", "Ulmus glaucescens", "Ulmus ismaelis", "Ulmus lamellosa", "Ulmus mianzhuensis", "Temnora bouyeri", "Ulmus lanceifolia", "Ulmus microcarpa", "Ulmus prunifolia", "Ulmus pseudopropinqua", "Ulmus uyematsui", "Temnora rattrayi", "Temnora rattrayi rattrayi", "Temnora rattrayi hassoni", "Temnora turlini", "Temnora wollastoni", "Temnora zantus", "Temnora zantus zantus", "Temnora zantus apiciplaga", "Temnora zantus curvilimes", "Thestor murrayi", "Tarsocera fulvina", "Tarsocera imitator", "Tarsocera namaquensis", "Tarsocera dicksoni", "Tarsocera cassina", "Tarsocera cassus", "Tarsocera cassus cassus", "Tarsocera cassus outeniqua", "Torynesis orangica", "Melampias huebneri", "Melampias huebneri huebneri", "Melampias huebneri steniptera", "Lactuca oyukludaghensis", "Pseudonympha paragaika", "Pseudonympha loxophthalma", "Coenyropsis natalii", "Coenyropsis natalii natalii", "Coenyropsis natalii poetulodes", "Coenyropsis carcassoni", "Coenyropsis bera", "Prospalta caerulea", "Trimenia wykehami", "Thestor compassbergae", "Dianthus \u00d7 artignanii", "Dianthus \u00d7 subfissus", "Dianthus \u00d7 hendersonianus", "Histiopteris incisa", "Leptolepia novae-zelandiae", "Paesia scaberula", "Lindsaea linearis", "Lindsaea trichomanoides", "Lindsaea viridis", "Nephrolepis brownii", "Nephrolepis falcata", "Nephrolepis flexuosa", "Thelypteris confluens", "Pneumatopteris pennigera", "Cyclosorus interruptus", "Christella dentata", "Arthropteris tenella", "Pellaea calidirupium", "Adiantum aethiopicum", "Adiantum cunninghamii", "Adiantum formosum", "Adiantum fulvum", "Adiantum viridescens", "Cheilanthes austrotenuifolia", "Cheilanthes lendigera", "Pteris argyraea", "Pteris comans", "Pteris dentata", "Pteris macilenta", "Pteris pacifica", "Pteris saxatilis", "Pteris umbrosa", "Pyrrosia eleagnifolia", "Loxogramme dictyopteris", "Microsorum biseriatum", "Microsorum novae-zealandiae", "Microsorum pustulatum", "Microsorum scandens", "Plantago unibracteata", "Plantago araucana", "Thestor kaplani", "Thestor camdeboo", "Thestor rossouwi", "Thestor strutti", "Thestor pictus", "Thestor montanus", "Thestor braunsi", "Thestor calviniae", "Thestor yildizae", "Thestor holmesi", "Thestor barbatus", "Thestor penningtoni", "Thestor stepheni", "Thestor brachycerus", "Thestor brachycerus brachycerus", "Thestor brachycerus dukei", "Ontsira rugivertex", "Ontsira abbreviata", "Ontsira robusta", "Ontsira henana", "Ontsira amamioshima", "Ontsira neantica", "Protosmia asensioi", "Protosmia burmanica", "Protosmia capitata", "Protosmia decipiens", "Protosmia limbata", "Protosmia pulex", "Protosmia devia", "Protosmia exenterata", "Trimenia macmasteri", "Pararhodia hiltrautae", "Pararhodia ulrichi", "Pararhodia acuminalba", "Silene sect.", "Eupolybothrus dolops", "Eupolybothrus osellai", "Eupolybothrus ruffoi", "Eupolybothrus sketi", "Plantago aucklandica", "Plantago spathulata", "Lactuca calophylla", "Lactuca crambifolia", "Lactuca cyprica", "Lactuca deltoidea", "Lactuca fenzlii", "Lactuca glandulifera", "Lactuca glareosa", "Lactuca haimanniana", "Lactuca hispida", "Lactuca madatapensis", "Lactuca marschallii", "Lactuca microcephala", "Lactuca kochiana", "Lactuca lasiorhiza", "Lactuca mulgedioides", "Lactuca olgae", "Lactuca palmensis", "Lactuca pancicii", "Lactuca paradoxa", "Lactuca persica", "Lactuca praecox", "Lactuca praevia", "Lactuca pulchella", "Lactuca rechingeriana", "Lactuca reviersii", "Lactuca schulzeana", "Lactuca schweinfurthii", "Lactuca singularis", "Lactuca takhtadzhianii", "Lactuca tetrantha", "Lactuca triquetra", "Lactuca variabilis", "Verbascum berytheum", "Lepidochrysops penningtoni", "Tarsocera southeyae", "Hymenophyllum tortuosum", "Hymenophyllum villosum", "Gleichenia dicarpa", "Gleichenia alpina", "Gleichenia microphylla", "Davallia tasmanii", "Davallia griffithiana", "Dennstaedtia davallioides", "Austroblechnum durum", "Parablechnum minus", "Parablechnum montanum", "Cranfillia nigra", "Austroblechnum norfolkianum", "Parablechnum novae-zelandiae", "Parablechnum procerum", "Blechnum punctulatum", "Parablechnum subcordatum", "Parablechnum triangularifolium", "Austroblechnum \u00d7 aggregatum", "Diplazium australe", "Deparia tenuifolia", "Arachniodes aristata", "Dryopteris inaequalis", "Dryopteris kinkiensis", "Dryopteris stewartii", "Dryopteris \u00d7 tavelii", "Cardamine cubita", "Oxalis sect.", "Chrysoritis thysbe bamptoni", "Chrysoritis thysbe schloszae", "Chrysoritis thysbe whitei", "Chrysoritis thysbe mithras", "Thestor pringlei", "Lepidochrysops titei", "Chrysoritis turneri", "Chrysoritis turneri turneri", "Chrysoritis turneri wykehami", "Chrysoritis turneri amatola", "Trimenia argyroplaga", "Patella hepatica", "Patelloida victoriae", "Patelloida hepatica", "Dianthus holtzeri", "Callicebus caquetensis", "Eukoenenia ferratilis", "Eukoenenia virgemdalapa", "Eukoenenia mirabilis", "Eukoenenia sagarana", "Eukoenenia florenciae", "Nielsenicrinus waiteteensis", "Taguahelix elaiodes", "Abisara cameroonensis", "Abisara fylla", "Abisara fylloides", "Abisara fylloides fylloides", "Abisara fylloides magdala", "Abisara gerontes", "Abisara gerontes gerontes", "Abisara gerontes gabunica", "Abisara neavei", "Abisara neavei neavei", "Abisara neavei kivuensis", "Abisara neavei latifasciata", "Abisara neavei dollmani", "Abisara neavei congdoni", "Abisara neavei mahale", "Eupolybothrus sternethus", "Eupolybothrus litoralis", "Linaria alpina", "Linaria platycalyx", "Linaria repens", "Linaria triornithophora", "Linaria khalkhalensis", "Linaria farsensis", "Linaria khorasanensis", "Linaria turcica", "Linaria guilanensis", "Linaria iranica", "Linaria dumanii", "Silene sect.", "Silene sect.", "Verbascum vanense", "Bulbophyllum maxillare", "Alcyonium varum", "Escallonia bifida", "Pterocephalus lasiospermus", "Scabiosa anthemifolia", "Rosa fedtschenkoana", "Copionodon pecten", "Guzmania panamensis", "Radula pseudoscripta", "Radula demissa", "Radula strangulata", "Ectophora marginata", "Saproscincus saltus", "Gamochaeta calviceps", "Podisma pedestris", "Thestor basutus", "Thestor basutus basutus", "Thestor basutus capeneri", "Thestor protumnus", "Thestor protumnus protumnus", "Thestor protumnus aridus", "Thestor protumnus terblanchei", "Thestor dicksoni", "Thestor dicksoni dicksoni", "Thestor dicksoni malagas", "Thestor dicksoni warreni", "Trimenia wallengreni", "Chrysoritis zonarius", "Chrysoritis zeuxo", "Chrysoritis zeuxo zeuxo", "Chrysoritis felthami", "Chrysoritis felthami felthami", "Chrysoritis felthami dukei", "Pseudonympha southeyi wykehami", "Pseudonympha southeyi kamiesbergensis", "Trimenia malagrida", "Trimenia malagrida malagrida", "Trimenia malagrida paarlensis", "Trimenia malagrida cedrusmontana", "Trimenia malagrida maryae", "Gomphocerippus rufus", "Monopis jacobsi", "Torynesis mintha", "Torynesis mintha mintha", "Torynesis mintha piquetbergensis", "Protosmia humeralis", "Protosmia minutula", "Protosmia monstrosa", "Protosmia octomaculata", "Protosmia stigmatica", "Protosmia stelidoides", "Protosmia glutinosa", "Protosmia judaica", "Protosmia longiceps", "Protosmia luctuosa", "Protosmia magnicapitis", "Protosmia megaceps", "Protosmia paradoxa", "Protosmia querquedula", "Protosmia rubifloris", "Protosmia sicula", "Protosmia sideritis", "Protosmia tauricola", "Protosmia tiflensis", "Protosmia graeffei", "Neofidelia longirostris", "Neofidelia profuga", "Neofidelia apacheta", "Neofidelia camanchaca", "Neofidelia submersa", "Fidelia borearipa", "Fidelia fasciata", "Fidelia hessei", "Fidelia ulrikei", "Coregonus arenicolus", "Stelis vallenata", "Stelis anasazi", "Stelis anthocopae", "Stelis broemelingi", "Stelis imperialis", "Stelis joanae", "Stelis lamelliterga", "Stelis occidentalis", "Stelis paiute", "Stelis shoshone", "Stelis ortizi", "Stelis rozeni", "Silene subsect.", "Silene subsect.", "Chiridota heheva", "Chiridota hydrothermica", "Chiridota durbanensis", "Chiridota exuga", "Chiridota wigleyi", "Brachionidium folsomii", "Mastigodryas moratoi", "Delias ganymedes", "Delias ganymedes ganymedes", "Delias ganymedes filarorum", "Delias ganymedes hakonensis", "Delias georgina", "Delias magsadana", "Delias nuydaorum", "Delias nuydaorum nuydaorum", "Delias nuydaorum almae", "Delias nuydaorum tagai", "Delias orphne", "Delias orphne orphne", "Delias orphne keda", "Delias orphne tahanica", "Delias orphne zenobia", "Delias paoaiensis", "Delias schoenigi", "Delias schoenigi schoenigi", "Delias schoenigi hermeli", "Delias schoenigi malindangeana", "Eptatretus nelsoni", "Silene subsect.", "Delias schoenigi pasiana", "Delias schoenigi samusawai", "Delias shirozui", "Delias simanabum", "Delias fasciata", "Delias mitisi", "Delias mitisi mitisi", "Verbascum apiculatum", "Verbascum armenum", "Verbascum aschersonii", "Verbascum asperuloides", "Verbascum ballsianum", "Verbascum banaticum", "Verbascum basivelatum", "Verbascum bellum", "Verbascum biledschikianum", "Verbascum biscutellifolium", "Verbascum bithynicum", "Verbascum bornmuellerianum", "Verbascum bourgeauanum", "Verbascum bracteosum", "Acanthobunocephalus nicoi", "Silene subsect.", "Herdonia brunneola", "Herdonia margarodes", "Herdonia acaresa", "Herdonia deminuta", "Herdonia papuensis", "Silene sect.", "Herdonia celebensis", "Herdonia thielei", "Silene sect.", "Himantopterus nobuyukii", "Chrysozephyrus suroia yukiae", "Ourapteryx persica", "Ourapteryx falciformis", "Delias mitisi banggaiensis", "Delias poecila", "Delias poecila poecila", "Delias poecila makikoae", "Delias periboea", "Delias periboea periboea", "Delias periboea wallacei", "Delias periboea livia", "Delias periboea pagenstecheri", "Delias periboea alorensis", "Delias periboea floresiana", "Delias periboea atakei", "Delias rosenbergi", "Delias rosenbergi rosenbergi", "Delias rosenbergi chrysoleuca", "Delias rosenbergi munaensis", "Delias rosenbergi saleyerana", "Delias salvini", "Delias sambawana", "Delias sambawana sambawana", "Delias sambawana minerva", "Delias sambawana everetti", "Delias sambawana boejanana", "Delias sambawana kenta", "Delias schoenbergi", "Delias schoenbergi schoenbergi", "Delias schoenbergi choiseuli", "Delias schoenbergi isabellae", "Delias timorensis", "Delias timorensis timorensis", "Delias timorensis vishnu", "Delias timorensis gardineri", "Delias timorensis moaensis", "Delias timorensis romaensis", "Delias timorensis ardesiaca", "Delias timorensis babberica", "Delias bothwelli", "Delias dixeyi", "Delias isocharis", "Delias isocharis isocharis", "Delias isocharis latiapicalis", "Delias strix", "Delias strix strix", "Verbascum calvum", "Silene subsect.", "Paratrechina currens", "Crosnierita adela", "Onconida ariel", "Plesionida aurelia", "Silene sect.", "Pentacitrotus maculatus", "Cerace vietnamna", "Goniocraspedon manoi", "Saltuarius eximius", "Cophixalus petrophilus", "Ourapteryx yerburii", "Ourapteryx yerburii yerburii", "Ourapteryx yerburii virescens", "Ourapteryx koreana", "Ourapteryx nivea", "Ourapteryx diminuta", "Herdonia osacesalis", "Herdonia sundana", "Herdonia hainanensis", "Herdonia approximata", "Herdonia candida", "Herdonia apoensis", "Herdonia pulchella", "Herdonia acutapex", "Herdonia margarita", "Herdonia thaiensis", "Herdonia gigantea", "Herdonia virginea", "Asplenium cimmeriorum", "Asplenium pauperequitum", "Asplenium chathamense", "Acer saccharum subsp. floridanum", "Asplenium aethiopicum", "Asplenium appendiculatum", "Asplenium difforme", "Asplenium flabellifolium", "Asplenium flaccidum", "Acer saccharum subsp. ozarkense", "Asplenium hookerianum", "Asplenium lamprophyllum", "Asplenium lyallii", "Acer saccharum subsp. saccharum", "Asplenium oblongifolium", "Asplenium obtusatum", "Asplenium richardii", "Asplenium scleroprium", "Asplenium shuttleworthianum", "Asplenium vulcanicum", "Acer pectinatum subsp. taronense", "Acer pectinatum subsp. pectinatum", "Acer davidii subsp. davidii", "Acer davidii subsp. grosseri", "Dianthus barbatus var. barbatus", "Pleurosorus rutifolius", "Doodia aspera", "Doodia australis", "Doodia milnei", "Doodia mollis", "Doodia squarrosa", "Acer caudatum subsp. caudatum", "Dianthus barbatus subsp. compactus", "Dianthus barbatus var. asiaticus", "Fulcrifera arabica", "Fulcrifera cirrata", "Ourapteryx ussurica", "Ourapteryx japonica", "Lobesia elasmopyga", "Phoenicurus ochruros gibraltariensis", "Lobesia embrithes", "Lobesia harmonia", "Phoenicurus ochruros ochruros", "Phoenicurus ochruros phoenicuroides", "Populus sect.", "Myrmecopsis strigosa", "Populus sect.", "Hymenorchis phitamii", "Lobesia leucospilana", "Lobesia metachlora", "Lobesia oxypercna", "Paratrechina longicornis", "Paratrechina zanjensis", "Mastigochirus quadrilobatus", "Mastigochirus gracilis", "Chiridota gigas", "Chiridota mortenseni", "Verbascum austriacum", "Verbascum barnadesii", "Verbascum brevipedicellatum", "Verbascum calycosum", "Verbascum chaixii", "Verbascum chinense", "Verbascum drymophiloides", "Verbascum gabrielianae", "Verbascum laxum", "Delias langda watlangku", "Verbascum megricum", "Verbascum nudicaule", "Verbascum samniticum", "Verbascum schachdagense", "Delias rileyi nishizawai", "Delias rileyi yofona", "Delias rileyi erici", "Delias telefominensis telefominensis", "Delias telefominensis ayamiae", "Verbascum abieticola", "Verbascum adenocarpum", "Verbascum adenocaulon", "Verbascum adenophorum", "Verbascum adrianopolitanum", "Verbascum afyonense", "Verbascum agastachyum", "Verbascum alepense", "Verbascum alpigenum", "Verbascum alyssifolium", "Verbascum amanum", "Verbascum anastasii", "Verbascum andrusii", "Verbascum antinori", "Verbascum antiochium", "Verbascum antitauricum", "Lobesia primaria", "Lobesia quadratica", "Lobesia rapta", "Lobesia scorpiodes", "Lobesia semosa", "Cleptommation bulivyense", "Cleptommation chibchani", "Cleptommation tupaqi", "Cleptommation minutum", "Adela boliviella", "Myosotis pansa", "Myosotis pottsiana", "Myosotis pansa subsp. praeceps", "Obdurodon tharalkooschild", "Stelis rodrigoi", "Cerastium azerbaijanicum", "Sporobolus nesiotioides", "Apatelecypris brevis", "Oxybasis gubanovii", "Oxybasis micrantha", "Chenopodiastrum erosum", "Strongylium cultellatum", "Munida manqingae", "Tarsius fuscus", "Pseudocnus sentus", "Anseropoda aotearoa", "Diarsia coenostola", "Diarsia dichroa", "Diarsia eleuthera", "Diarsia erythropsis", "Diarsia fletcheri", "Diarsia formosana", "Diarsia hoenei", "Diarsia hypographa", "Diarsia macrodactyla", "Diarsia orophila", "Diarsia poliophaea", "Diarsia polytaenia", "Diarsia pseudacharista", "Diarsia robusta", "Diarsia torva", "Diarsia tincta", "Diarsia spilosata", "Diarsia sicca", "Diarsia ruptistriga", "Diarsia ruficauda", "Diarsia rubicilia", "Diarsia nigrosigna", "Monema flavescens flavescens", "Monema flavescens rubriceps", "Monema tanaognatha", "Silene subsect.", "Hyleoglomeris insularis", "Hyleoglomeris subreducta", "Hyleoglomeris translucida", "Silene uralensis subsp. uralensis", "Silene uralensis subsp. ogilviensis", "Actenos kalimantus", "Actenos marshalli", "Actenos tenuicorporeus", "Cladomyrma sirindhornae", "Apseudopsis adami", "Labriphimedia martinae", "Labriphimedia meikae", "Carlito syrichta", "Tarsius wallacei", "Cephalopachus bancanus", "Apona fuliginosa", "Bathypluta triphaenella", "Lethe dataensis", "Lethe dataensis dataensis", "Lethe dataensis halcona", "Phengaris alcon kondakovi", "Phengaris alcon arirang", "Hermonassa hemicyclia", "Hermonassa legraini", "Diarsia yoshimotoi", "Diarsia unica", "Mniotype aulombardi", "Lyctus parvulus", "Hymenorchis tanii", "Diarsia odontophora", "Diarsia borneochracea", "Diarsia serrata", "Diarsia banksi", "Diarsia barlowi", "Diarsia flavostigma", "Diarsia dahlii", "Diarsia dahlii dahlii", "Diarsia dahlii nana", "Diarsia dahlii tibetica", "Diarsia guadarramensis", "Diarsia acharista", "Diarsia acutipennis", "Diarsia axiologa", "Diarsia beckeri", "Diarsia caradjai", "Diarsia chalcea", "Diarsia claudia", "Pseudomantis albofimbriata", "Labriphimedia hinemoa", "Labriphimedia pulchridentata", "Labriphimedia vespuccii", "Silene sect.", "Pachnoda baraui", "Xeloma minettii", "Endoxazus minettii", "Heterospilus achi", "Arge obesa", "Haplomitrium monoicum", "Hyleoglomeris faberi", "Hyleoglomeris bicolor", "Glomeris bicolor", "Sphaerolichus lekprayoonae", "Sphaerolichus barbarus", "Sphaerolichus armipes", "Haplomitrium gibbsiae", "Haplomitrium ovalifolium", "Haplomitrium hookeri var. minutum", "Haplomitrium chilensis", "Chrysamma purpuripulcra", "Chrysamma purpuripulcra purpuripulcra", "Chrysamma purpuripulcra sudanicola", "Chrysamma amabilis", "Afraltha xanthocharis", "Tersicoccus phoenicis", "Silene sect.", "Silene fissipetala", "Protracheoniscus gakalicus", "Silene fortunei", "Diarsia mandarinella", "Diarsia mediotincta", "Diarsia nebula", "Diarsia nipponica", "Diarsia nyei", "Diarsia obuncula", "Diarsia ochracea", "Diarsia pacifica", "Diarsia postfusca", "Syntherata anettae", "Syntherata bettinae", "Syntherata bretschneideri", "Syntherata devosi", "Syntherata erici", "Syntherata gracilis", "Syntherata groenendaeli", "Syntherata haiaensis", "Syntherata hoffmanni", "Syntherata labriquei", "Syntherata lilianae", "Syntherata marlenae", "Syntherata pierrei", "Syntherata vincenti", "Silene subsect.", "Parasa viridiflamma", "Parasa minwangi", "Agyrta dux", "Coreura phoenicides", "Calodesma maculifrons", "Chetone zuleika", "Dysschema amphissa", "Phyllobius oblongus", "Dysschema arema", "Dysschema boisduvalii", "Dysschema centenaria", "Dysschema eurocilia", "Hyleoglomeris curtisulcata", "Hyleoglomeris gudu", "Hyleoglomeris heshang", "Hyleoglomeris kunnan", "Hyleoglomeris lii", "Hyleoglomeris mashanorum", "Hyleoglomeris mulunensis", "Hyleoglomeris nigu", "Hyleoglomeris qiyi", "Hyleoglomeris tiani", "Hyleoglomeris wuse", "Hyleoglomeris xia", "Hyleoglomeris xueju", "Hyleoglomeris yinshi", "Hyleoglomeris youhao", "Hyleoglomeris alutacea", "Hyleoglomeris unicolorata", "Hyleoglomeris buana", "Hyleoglomeris obscura", "Hyleoglomeris confragosa", "Hyleoglomeris sinensis", "Hyleoglomeris emarginata", "Hyleoglomeris albicorporis", "Hyleoglomeris reducta", "Hyleoglomeris eusulcata", "Hyleoglomeris maculata", "Hyleoglomeris differens", "Hyleoglomeris speophila", "Hyleoglomeris sulcostriata", "Hyleoglomeris fusca", "Hyleoglomeris contrasta", "Kaatedocus siberi", "Syntherata disjuncta", "Diarsia mendica", "Diarsia brunnea", "Diarsia dislocata", "Diarsia jucunda", "Diarsia rubifera", "Diarsia rubi", "Diarsia florida", "Diarsia florida florida", "Diarsia florida perturbata", "Diarsia rosaria", "Diarsia rosaria rosaria", "Diarsia rosaria freemani", "Diarsia esurialis", "Diarsia calgary", "Diarsia dimorpha", "Silene polypetala", "Diarsia melanomma", "Diarsia olivacea", "Diarsia pallidimargo", "Diarsia pediciliata", "Diarsia pallidisigna", "Diarsia kebea", "Diarsia stigmatias", "Diarsia owgarra", "Diarsia intermixta", "Diarsia gaudens", "Diarsia magnisigna", "Diarsia inconsequens", "Diarsia albipennis", "Diarsia stictica", "Diarsia arenosoides", "Diarsia basistriga", "Diarsia canescens", "Diarsia cerastioides", "Diarsia deparca", "Diarsia dewitzi", "Diarsia erubescens", "Diarsia fannyi", "Diarsia flavibrunnea", "Diarsia formosensis", "Diarsia frontalis", "Diarsia henrici", "Diarsia latimacula", "Diarsia magnipunctata", "Josiomorphoides dognini", "Lobrathium rotundiceps", "Lobrathium luoxiaoense", "Probles vulnificus", "Probles fulgida", "Probles korusa", "Probles rukora", "Probles vietnamica", "Emersonella curculiovora", "Caenolestes sangay", "Thomomys nayarensis", "Thomomys sheldoni", "Cardamine bilobata", "Thosea nitobeana", "Laportea cuspidata", "Anomis modesta", "Callosamia promethea", "Callosamia securifera", "Drepanoptera albidus", "Drepanoptera antinorii", "Drepanoptera vacuna", "Mitrops noctivida", "Eupackardia calleta", "Westermannia elliptica elliptica", "Westermannia elliptica rajata", "Potentilla caulescens", "Monachather paradoxus", "Geranium himalayense", "Raphirhinus phosphoreus", "Centrolepis pallida", "Centrolepis ciliata", "Centrolepis glabra", "Malthodes muraniensis", "Malthodes kirisensis", "Malthodes stanislavi", "Malthodes weigeli", "Malthodes olympicus", "Dysschema fantasma", "Dysschema forbesi", "Dysschema hilara", "Dysschema innominatum", "Dysschema intermedium", "Dysschema leda", "Dysschema luctuosa", "Dysschema lygdamis", "Dysschema mariamne", "Dysschema minor", "Dysschema perplexa", "Dysschema picta", "Dysschema subapicalis", "Dysschema thetis", "Dysschema thyridina", "Dysschema viuda", "Hypocrita celina", "Josiomorpha cathetozosta", "Josiomorpha triangulifera", "Josiomorpha penetrata", "Josiomorphoides gigantea", "Hyalophora columbia", "Cyprinotus calvus", "Oligosoma pseudornatum", "Oligosoma roimata", "Homalodisca lucernaria", "Membracis foliata", "Kuiterichthys pietschi", "Cyprinodon brontotheroides", "Cyprinodon desquamator", "Lataxiphyda makiharai", "Phaloe cubana", "Phaloesia saucia", "Pseudophaloe ninonia", "Pseudophaloe promiscua", "Pseudophaloe schausii", "Myserla transversa", "Narosoideus apicipennis", "Neiraga baibarana", "Nagodopsis shirakiana", "Belippa boninensis", "Demonarosa rosea", "Verbascum cappadocicum", "Verbascum cariense", "Verbascum caudatum", "Verbascum cedreti", "Verbascum charputense", "Westermannia elliptica", "Malthodes laurae", "Malthodes ramsbyorum", "Malthodes robertae", "Malthodes thedae", "Malthodes williami", "Astropecten tasmanicus", "Powelliphanta fiordlandica", "Cotesia rubecula", "Veronica calcicola", "Fuchsia antiqua", "Prenanthes petiolata", "Nabalus albus", "Prenanthes steenisii", "Prenanthes subpeltata", "Prenanthes sumatrana", "Lactuca rostrata", "Nabalus carrii", "Nabalus trifoliolatus", "Nabalus racemosus", "Faberia faberi", "Prenanthes stenolimba", "Parapercis punctata", "Asplenium \u00d7 boydstoniae", "Microcebus tanosi", "Microcebus marohita", "Scutisorex thori", "Iragaodes nobilis", "Closteromorpha modesta", "Closteromorpha reniplaga", "Apodemia mormo", "Apodemia multiplaga", "Apodemia phyciodoides", "Stegaspis fronditia", "Anisota consularis", "Moehringia sect.", "Anisota finlaysoni", "Anisota peigleri", "Anisota senatoria", "Verbascum chazaliei", "Verbascum cheiranthifolium", "Verbascum chionophyllum", "Verbascum chrysochaete", "Verbascum cicekdagensis", "Verbascum cilicicum", "Verbascum cilicium", "Verbascum coronopifolium", "Verbascum cucullatibracteum", "Verbascum cymigerum", "Verbascum dalamanicum", "Anisota virginiensis", "Verbascum davisianum", "Verbascum decursivum", "Verbascum demirizianum", "Anisota assimilis", "Moehringia sect.", "Anisota dissimilis", "Tortyra slossonia", "Tortyra iocyaneus", "Tortyra hoguella", "Anisota oslari", "Anisota punctata", "Anisota virginiensis virginiensis", "Anisota virginiensis discolor", "Anisota leucostygma", "Jamides alecto espada", "Pristaulacus anijimensis", "Spergularia media", "Spergularia marina", "Spergularia diandra", "Haliotrematoides tukerhamatus", "Haliotrematoides nagibinae", "Haliotrematoides hatzenbuehlerae", "Haliotrematoides isolens", "Haliotrematoides noncalcaroides", "Haliotrematoides lanx", "Haliotrematoides novaecaledoniae", "Haliotrematoides potens", "Haliotrematoides tainophallus", "Haliotrematoides overstreeti", "Haliotrematoides zhukovi", "Haliotrematoides mastigion", "Haliotrematoides mediohamides", "Haliotrematoides plectridium", "Haliotrematoides prolixohamus", "Haliotrematoides spinatus", "Haliotrematoides brachyflagellocirrus", "Haliotrematoides caesionis", "Haliotrematoides calcaris", "Haliotrematoides cornigerum", "Haliotrematoides gracilihamus", "Haliotrematoides guttati", "Haliotrematoides heteracantha", "Haliotrematoides longihamus", "Haliotrematoides longitubocirrus", "Haliotrematoides magnigastrohamus", "Haliotrematoides mediohamus", "Haliotrematoides noncalcaris", "Haliotrematoides parvicirrus", "Haliotrematoides patellacirrus", "Haliotrematoides shenzhenensis", "Artema ziaretana", "Haliotrematoides striatohamus", "Spergularia bocconei", "Jamides aratus sestus", "Dematochroma cancellata", "Haliotrematoides brevispirocirrus", "Lejeunea hodgsoniana", "Verbascum ozturkii", "Verbascum ponticum", "Verbascum oocarpum", "Justicia guttata", "Enchenopa squamigera", "Periga circumstans", "Periga caraca", "Periga acuta", "Periga alticola", "Periga pulchra", "Periga falcata", "Periga cynira", "Chelonopsis moschata", "Hemikyptha crux", "Neoantigius sukkiti", "Strongylocentrotus droebachiensis", "Laricobius ludmilae", "Fuscospora truncata", "Centrotus cornutus", "Ledra aurita", "Iphiclides podalirius xinyuanensis", "Sinopieris kozlovi", "Sinopieris kozlovi kozlovi", "Sinopieris kozlovi aljinensis", "Pontia callidice halasia", "Closteromorpha obconica", "Closteromorpha contrasta", "Closteromorpha hoffmanni", "Closteromorpha passiani", "Jamides sabatus", "Jamides aritai", "Bendiella thalassa", "Planaphrodes bifasciata", "Spergularia purpurea", "Amara littorea", "Ingenia communis", "Alaninema ngata", "Ischnomelissa lignopteryx", "Ischnomelissa zonata", "Pseudocheironchus ingluviosus", "Cobbionema trigamma", "Gammanema agglutinans", "Synonchiella rotundicauda", "Cobbionema capense", "Cobbionema acrocerca", "Synonchium pacificum", "Technomyrmex gorgona", "Cardioscarta quadrifasciata", "Robinia hispida var. nana", "Robinia hispida var. hispida", "Robinia hispida var. rosea", "Lygephila subpicata", "Lygephila minima", "Candona lozeki", "Kapsa aculeiformis", "Kapsa apicispina", "Kapsa brevis", "Kapsa explanata", "Kapsa furcata", "Kapsa imminuta", "Kapsa megaprocessa", "Kapsa serrata", "Holorusia carmichaeli", "Pueraria montana var. lobata", "Ilyocypris kashmirensis", "Munidopsis lauensis", "Herpsilochmus stotzi", "Herpsilochmus praedictus", "Streptocarpus sect.", "Colias wanda wanda", "Colias wanda yangguifei", "Colias grumi", "Colias grumi grumi", "Colias grumi burchana", "Colias grumi evanescens", "Erebia cyclopius cyclopius", "Erebia cyclopius sinopius", "Erebia cyclopius aporia", "Erebia cyclopius yoshikurana", "Coenonympha semenovi semenovi", "Coenonympha semenovi jiadengyuica", "Argynnis laodice", "Argynnis laodice laodice", "Platypleura stridula", "Argynnis laodice huochengice", "Lasiommata maera maera", "Lasiommata maera weiwuerica", "Melitaea scotosia", "Melitaea scotosia scotosia", "Melitaea scotosia butleri", "Melitaea cinxia", "Melitaea cinxia cinxia", "Melitaea cinxia oasis", "Ilyocypris papillata", "Robinia hispida var. fertilis", "Robinia hispida var. kelseyi", "Ischnomelissa rasmusseni", "Ischnomelissa rhina", "Ischnomelissa cyanea", "Ischnomelissa ecuadoriana", "Ischnomelissa lescheni", "Coneuplecta calculosa", "Kapsa acuminata", "Kapsa quadrispina", "Kapsa puerensis", "Tautoneura albida", "Kapsa fangxianga", "Kapsa biprocessa", "Kapsa arca", "Placodoma veletaella", "Placodoma calpella", "Placodoma haettenschwileri", "Placodoma subaquila", "Placodoma minima", "Placodoma yemenella", "Placodoma armeniaca", "Placodoma gaedike", "Placodoma anatolica", "Placodoma pseudoragonoti", "Placodoma mustapha", "Placodoma tifrit", "Placodoma praeclara", "Placodoma wernoi", "Zegris zhungelensis", "Colias wanda", "Pycna repanda", "Bactrocera invadens", "Bactrocera dorsalis", "Aetalion reticulatum", "Ilanga rebjongensis", "Ilanga norfolkensis", "Ilanga gotoi", "Vulcanolepas osheai", "Eubostrichus hortulanus", "Centonema renamphidum", "Vulcanolepas parensis", "Bidens torta", "Microsphecodes stenochorus", "Mesodorylaimus dolichurus", "Kapsa bela", "Kapsa cerna", "Kapsa gracilis", "Kapsa loxia", "Kapsa robusta", "Kapsa vana", "Kapsa distalis", "Kapsa dolka", "Kapsa excelsa", "Kapsa furcifrons", "Limenitis populi fruhstorferi", "Limenitis populi populi", "Athyma jina huochengica", "Thecla betulae betulae", "Thecla betulae yiliguozigounae", "Lycaena thersamon", "Lycaena thersamon thersamon", "Lycaena thersamon jiadengyuensis", "Lycaena thersamon sajanica", "Cyaniris semiargus", "Cyaniris semiargus semiargus", "Cyaniris semiargus jiadengyunus", "Parnassius apollo khotanensis", "Aseraggodes andersoni", "Aseraggodes kruppi", "Aseraggodes macronasus", "Aseraggodes martine", "Nemateleotris exquisita", "Pseudosphromenus cupanus", "Pleurothallis hitchcockii", "Inape simiana", "Streptocarpus \u00d7 multiflorus", "Eulia auxoplaca", "Streptocarpus \u00d7 dyeri", "Hednotodes callichroa", "Streptocarpus \u00d7 bruantii", "Hednotodes metaxantha", "Streptocarpus \u00d7 veitchii", "Zanclodes falculalis", "Symmerista brucesuttoni", "Micronecta minutissima", "Lethocerus grandis", "Nepa cinerea", "Pseudosinella aramendiai", "Pseudosinella arrasatensis", "Pseudosinella duprei", "Pseudosinella luquei", "Pseudosinella jesusi", "Pseudosinella eskualduna", "Pseudosinella jeanpierrei", "Pseudosinella josemarii", "Pseudosinella meganporteri", "Pseudosinella paclti", "Pseudosinella aggtelekiensis", "Pseudosinella rochezi", "Pseudosinella mallorquinensis", "Pseudosinella parattenuata", "Pseudosinella cansiliensis", "Pseudosinella federicoi", "Pseudosinella leivaensis", "Pseudosinella logrognensis", "Pseudosinella gutierrezae", "Pseudosinella torcuatoensis", "Lygosoma boehmei", "Eustrongylosoma curtipes", "Eustrongylosoma liklik", "Eustrongylosoma maculatum", "Eustrongylosoma masalai", "Eustrongylosoma mirabile", "Eustrongylosoma pallidum", "Eustrongylosoma papua", "Eustrongylosoma tifalmin", "Eustrongylosoma tumbuna", "Eustrongylosoma beroni", "Eustrongylosoma finimtel", "Aenictus kutai", "Aenictus sulawesiensis", "Diomocoris fasciatus", "Diomocoris ostiolum", "Diomocoris punctatus", "Diomocoris russatus", "Diomocoris sexcoloratus", "Diomocoris maoricus", "Streptocarpus \u00d7 liechtensteinensis", "Cicada leucophthalma", "Anoscopus albifrons", "Cicada lateralis", "Cicada leucocephala", "Psammotettix striatus", "Lygephila lusoria", "Lygephila lusoria lusoria", "Lygephila lusoria glycyrrhizae", "Lygephila amasina", "Lygephila colorata", "Neophilaenus lineatus", "Lygephila pallida", "Goodyera oblongifolia", "Lygephila fereidun", "Streptocarpus \u00d7 greenii", "Streptocarpus \u00d7 kewensis", "Lygephila alaica", "Evacanthus interruptus", "Lygephila fonti", "Aenictus indicus", "Aenictus wilsoni", "Aenictus minimus", "Aenictus subterraneus", "Aenictus rotundicollis", "Aenictus bodongjaya", "Aenictus brevinodus", "Aenictus fulvus", "Aenictus montivagus", "Aenictus siamensis", "Aenictus sonchaengi", "Aenictus breviceps", "Aenictus glabrinotum", "Aenictus wayani", "Aenictus parahuonicus", "Aenictus yamanei", "Aenictus leptotyphlatta", "Aenictus formosensis", "Helluosoma hangayi", "Helluosoma bouchardi", "Parnassius apollo valesiacus", "Parnassius apollo cetius", "Parnassius apollo maximilianus", "Parnassius apollo guadarramensis", "Parnassius apollo thiemo", "Parnassius apollo escalerae", "Parnassius apollo substitutus", "Parnassius apollo piedemontanus", "Parnassius apollo generosus", "Parnassius apollo agyiens", "Parnassius apollo victorialis", "Parnassius apollo caloriferus", "Parnassius apollo adulanus", "Parnassius apollo artemidor", "Parnassius apollo jelicus", "Parnassius apollo chrysophorus", "Parnassius apollo debilis", "Parnassius apollo venaissinus", "Parnassius apollo heliophilus", "Parnassius apollo phrynius", "Parnassius apollo posthumus", "Parnassius apollo helias", "Parnassius apollo sotirion", "Parnassius apollo tenebrosus", "Parnassius apollo xerophilus", "Parnassius apollo meinhardi", "Parnassius apollo kricheldorffi", "Vini vidivici", "Vini sinotoi", "Dryopteris \u00d7 correllii", "Dryopteris \u00d7 mickelii", "Sphenomorphus sheai", "Alatina alata", "Powelliphanta marchanti", "Eupteryx vittata", "Acleris affinatana", "Halticus apterus", "Poekilloptera phalaenoides", "Lystra lanata", "Acleris trujilloana", "Phalonidia tarijana", "Aethes labonita", "Gauruncus tomaszi", "Sphenorhina rubra", "Cicadella viridis", "Hypochrysops felderi", "Hypochrysops arronica arronica", "Streptocarpus subg.", "Hypochrysops arronica honora", "Hypochrysops hypates", "Hypochrysops hypates hypates", "Hypochrysops hypates zeuxis", "Cuapetes yapiensis", "Hypochrysops luteus", "Scorpaena wellingtoni", "Hemitrygon longicauda", "Brevitrygon javaensis", "Cabillus pexus", "Gobiodon aoyagii", "Gobiodon erythrospilus", "Pogonophryne sarmentifera", "Huigobio exilicauda", "Cixius nervosus", "Euphorbia rayturneri", "Pavetta glaucophylla", "Ranunculus cabrerensis", "Acanthognathus laevigatus", "Streptocarpus \u00d7 watsonii", "Aenictus aitkenii", "Aenictus levior", "Aenictus orientalis", "Castilleja holmgrenii", "Castilleja kerryana", "Trachytes mahunkai", "Parnassius apollo vindobonensis", "Parnassius apollo tauricus", "Parnassius apollo liptauensis", "Parnassius apollo navasi", "Parnassius apollo buehleri", "Parnassius apollo transitoria", "Parnassius apollo oravensis", "Parnassius apollo sicilae", "Parnassius apollo geminus", "Parnassius apollo bartholomaeus", "Neotibicen tibicen", "Parnassius apollo rhodopensis", "Parnassius apollo valdieriensis", "Parnassius apollo linnei", "Parnassius apollo phonolithi", "Parnassius apollo claudius", "Parnassius apollo juvanus", "Parnassius apollo noricanus", "Parnassius apollo finmarchicus", "Parnassius apollo levantinus", "Pinheya violacea", "Lepyronia coleoptrata", "Hypochrysops antiphon", "Hypochrysops elgneri", "Hypochrysops elgneri elgneri", "Hypochrysops elgneri barnardi", "Hypochrysops apollo", "Hypochrysops apollo apollo", "Hypochrysops apollo phoebus", "Hypochrysops apollo wendisi", "Hypochrysops alyattes", "Hypochrysops mioswara", "Hypochrysops halyaetus", "Hypochrysops cyane", "Hypochrysops epicurus", "Hypochrysops hermogenes", "Hypochrysops aristobul", "Hypochrysops cleon", "Hypochrysops miskini", "Hypochrysops argyriorufus", "Hypochrysops hippuris", "Hypochrysops herdonius", "Hypochrysops chrysargyra", "Hypochrysops arronica", "Neoporphyra raulaguilarii", "Phycocalidia suborbiculata", "Ceratostylis retisquama", "Ilanga whitechurchi", "Ilanga undata", "Ilanga rhyssomphala", "Ilanga polita", "Ilanga platypeza", "Ilanga maculicincta", "Ilanga millardi", "Ilanga lirellata", "Ilanga discus", "Ilanga furtiva", "Ilanga impolita", "Ilanga kilburni", "Ilanga agulhaensis", "Ilanga bicarinata", "Ilanga biradiatula", "Ilanga gratiosa", "Ilanga laevissima", "Ilanga aquamarina", "Ilanga illustris", "Ilanga incisura", "Craniophora fujianensis", "Craniophora sichuanensis", "Salda littoralis", "Copium clavicorne", "Renocila bollandi", "Portunion conformis", "Abrabra bura", "Abrela robusta", "Rafflesia mira", "Rafflesia magnifica", "Rafflesia baletei", "Pseudomeritastis decora", "Pseudomeritastis orphnoxantha", "Pseudomeritastis cordigera", "Pseudomeritastis distincta", "Anopinella tariquiae", "Galomecalpa majestica", "Galomecalpa tamaria", "Transtillaspis scyruncus", "Transtillaspis sequax", "Transtillaspis setata", "Cicada flava", "Transtillaspis stiphra", "Eupteryx aurata", "Asplenium onopteris", "Terinebrica saetigera", "Edwardsiana rosae", "Terinebrica achrostos", "Notonecta glauca", "Terinebrica chaulioda", "Terinebrica complicata", "Terinebrica cornicenthes", "Terinebrica inconspigua", "Terinebrica larocana", "Terinebrica paulista", "Terinebrica polyseta", "Terinebrica portentifica", "Terinebrica portentifica portentifica", "Terinebrica portentifica tecta", "Terinebrica spiniloba", "Terinebrica triplex", "Terinebrica vectura", "Terinebrica seiugata", "Terinebrica tenebrica", "Terinebrica pharetrata", "Terinebrica fortifera", "Terinebrica inouei", "Terinebrica orthoscia", "Terinebrica phaloniodes", "Sigara striata", "Terinebrica polycornuta", "Terinebrica spinodela", "Brycon costaricensis", "Punctapinella marginipunctata", "Pardosa groenlandica", "Edessa arabs", "Cobaea sect.", "Cobaea sect.", "Edessa serrata", "Cobaea sect.", "Edessa stolida", "Cobaea sect.", "Uroplatus pietschmanni", "Uroplatus malama", "Uroplatus malahelo", "Uroplatus sameiti", "Dinocoris histrio", "Adhemarius mexicanus", "Metanephrops rossensis", "Facelinopsis marioni", "Rumex rupestris", "Ilyocoris cimicoides", "Cimex lectularius", "Seticosta elbaho", "Exoletuncus angulatus", "Exoletuncus aquilus", "Exoletuncus canescens", "Exoletuncus guacamayosensis", "Exoletuncus paraquilus", "Exoletuncus pleregraptus", "Exoletuncus similis", "Exoletuncus artifex", "Exoletuncus consertus", "Exoletuncus cretatus", "Exoletuncus musivus", "Exoletuncus atalodes", "Exoletuncus exoristus", "Exoletuncus nivesanus", "Exoletuncus unguiculus", "Chrysocoris stockerus", "Thyreocoris scarabaeoides", "Eurygaster maura", "Fargesia grossa", "Geophagus crocatus", "Pseudomeritastis heliadelpha", "Pseudomeritastis voluta", "Sparganopseustis acrocharis", "Sparganopseustis elimata", "Sparganopseustis geminorum", "Sparganopseustis myrota", "Sparganopseustis aurolimbana", "Sparganopseustis flaviciliana", "Sparganopseustis flavicirrata", "Sparganopseustis ningorana", "Sparganopseustis unipunctata", "Sparganopseustis tessellata", "Sparganopseustis niveigutta", "Sparganopseustis martinana", "Cuproxena tarijae", "Orthocomotis benedeki", "Clepsis peguncus", "Sisurcana tachirica", "Archipimima hamata", "Tinacrucis boyeri", "Pseudatteria volcanica", "Pseudatteria volcanica volcanica", "Pseudatteria volcanica rivularis", "Biclonuncaria salinasia", "Auratonota storthynx", "Pseudocomotis lacarbonerae", "Ancylis micta", "Pseudancylis elbahiana", "Platanthera hookeri", "Crocidosema perijana", "Tachirinia rosalana", "Kallima limborgii", "Kallima albofasciata", "Kallima alompra", "Kallima horsfieldi", "Kallima knyvettii", "Kallima philarchus", "Kallima paralekta", "Aemene monastyrskii", "Eugoa nata", "Cyclomilta cambodiaca", "Neoduma alexeikorshunovi", "Heliosia jucunda", "Heliosia punctata", "Rheumaptera acutata", "Rheumaptera affinis", "Photoscotosia gracilescens", "Photoscotosia scrobifasciaria", "Oncidium ghiesbreghtianum", "Kallima inachus inachus", "Kallima inachus alicia", "Kallima inachus chinensis", "Kallima inachus formosana", "Kallima inachus siamensis", "Kallima limborgii limborgii", "Kallima limborgii amplirufa", "Kallima paralekta paralekta", "Kallima limborgii incognita", "Kallima inachus alboinachus", "Kallima limborgii buxtoni", "Kallima limborgii tribonia", "Elymnias miyagawai", "Catocala gansan", "Camptoloma carum", "Ephemerophila torridaria", "Ephemerophila subterminalis", "Chorodna modesta", "Cusiala acutijuxta", "Asparagus coodei", "Asparagus lycaonicus", "Asparagus lycicus", "Asphodeline anatolica", "Asphodeline cilicica", "Asphodeline peshmeniana", "Asphodeline prismatocarpa", "Asphodeline rigidifolia", "Asphodeline sertachiae", "Asphodeline turcica", "Asphodeline recurva", "Danaus chrysippus", "Picus sharpei", "Aradus corticalis", "Aradus betulae", "Phymata erosa", "Pyropia virididentata", "Pyropia cinnamomea", "Pyropia columbina", "Neopyropia pulchella", "Neopyropia rakiura", "Kapsa alba", "Kapsa borealis", "Kapsa maculata", "Kapsa minuta", "Kapsa simlensis", "Kapsa mingorensis", "Kapsa suaoensis", "Kapsa sydlata", "Orthocomotis oxapampae", "Netechma dentata", "Netechma divisoriae", "Netechma egens", "Netechma enucleata", "Netechma epicremna", "Netechma eurychlora", "Netechma miradora", "Netechma neanica", "Netechma ochrotona", "Netechma oppressa", "Netechma phobetrovalva", "Netechma praecipua", "Netechma projuncta", "Netechma pyrrhocolona", "Netechma pyrrhodelta", "Netechma sclerophracta", "Netechma sectionalis", "Netechma selecta", "Netechma setosa", "Netechma similis", "Netechma spinea", "Netechma sulphurica", "Netechma technema", "Netechma triangulina", "Pseudomeritastis clarkei", "Monalocoris filicis", "Halecium arcticum", "Coccophagus argentifascia", "Coccophagus argenteus", "Coccophagus argentiscutellum", "Coccophagus aurantifrons", "Coccophagus ceroplastae", "Coccophagus diabolicus", "Coccophagus leptospermi", "Coccophagus inkermani", "Coccophagus lucani", "Coccophagus pulcini", "Coccophagus poei", "Coccophagus triangulatinotus", "Coccophagus triguttatus", "Coccophagus shakespearella", "Coccophagus tarongaensis", "Boschniakia handelii", "Lamium purpureum var. moluccellifolium", "Lamium purpureum var. incisum", "Lamium purpureum var. hybridum", "Lamium purpureum var. ehrenbergii", "Lamium amplexicaule var. amplexicaule", "Lamium amplexicaule var. aleppicum", "Lamium amplexicaule var. bornmuelleri", "Lamium amplexicaule var. incisum", "Macrobrachium aemulum", "Lamium amplexicaule var. orientale", "Metapenaeus motohi", "Coccophagus gurneyi", "Coccophagus ochraceus", "Coccophagus scutellaris", "Sphinx morio morio", "Sphinx morio inouei", "Sphinx morio arestus", "Dario kajal", "Poliosia solovyevi", "Nishada schintlmeisteri", "Lyclene zinchenkoi", "Lyclene kosterini", "Lyclene kontumica", "Barsine honbaensis", "Barsine y-nigrum", "Chamaita hamata", "Lissapterus ogivus", "Lissapterus tetrops", "Asuridia inouei", "Asuridia kishidai", "Asuridia jinpingica", "Asuridia yuennanica", "Asuridia brevistriata", "Asuridia obscura", "Asuridia carnipicta", "Asuridia decussa", "Asuridia metaphaea", "Asuridia miltochristoides", "Asuridia nigrisparsa", "Asuridia phoenicea", "Asuridia ridibunda", "Asuridia subcruciata", "Acalyptris basicornis", "Pentatoma rufipes", "Leptoscelis bipustulatus", "Xerocomellus chrysenteron", "Abrodictyum angustimarginatum", "Abrodictyum asae-grayi", "Abrodictyum boninense", "Abrodictyum brassii", "Abrodictyum caespifrons", "Abrodictyum caudatum", "Abrodictyum cellulosum", "Abrodictyum clathratum", "Abrodictyum compactum", "Abrodictyum cumingii", "Abrodictyum cupressoides", "Abrodictyum dentatum", "Abrodictyum elongatum", "Abrodictyum englerianum", "Abrodictyum extravagans", "Abrodictyum flavofuscum", "Abrodictyum gemmatum", "Abrodictyum guineense", "Abrodictyum idoneum", "Abrodictyum kalimantanense", "Abrodictyum laetum", "Abrodictyum muluense", "Abrodictyum obscurum", "Abrodictyum pluma", "Abrodictyum polystromaticum", "Abrodictyum pseudoarbuscula", "Abrodictyum rigidum", "Abrodictyum schlechteri", "Abrodictyum schultzei", "Abrodictyum setaceum", "Abrodictyum sprucei", "Abrodictyum strictum", "Abrodictyum stylosum", "Abrodictyum tamarisciforme", "Abrodictyum truncatum", "Abrodictyum windischianum", "Polyphlebium colensoi", "Polyphlebium endlicherianum", "Polyphlebium venosum", "Coccophagus pseudococci", "Episyrphus insularis", "Episyrphus viridaureus", "Episyrphus glaber", "Episyrphus oliviae", "Bolbitis \u00d7 multipinna", "Psolus squamatus", "Coccophagus nigricoxae", "Coccophagus eusaissetiae", "Coccophagus thanhoaensis", "Coccophagus brachypterus", "Lissapterus darlingtoni", "Lissapterus grammicus", "Lissapterus howittanus", "Lissapterus notestinei", "Lissapterus obesus", "Vandenboschia speciosa", "Vandenboschia radicans", "Nephila komaci", "Lissotes cancroides", "Lissotes convexus", "Lissotes cornutus", "Lissotes crenatus", "Lissotes darlingtoni", "Lissotes curvicornis", "Lissotes forcipula", "Lissotes furcicornis", "Lissotes launcestoni", "Lissotes subcrenatus", "Lissotes urus", "Lissotes subcaeruleus", "Lissotes macrocephalus", "Lissotes globosus", "Lissotes lacroixi", "Lissotes laticollis", "Lissotes kershawi", "Lissotes politus", "Lissotes rodwayi", "Lissotes rudis", "Lissotes obtusatus", "Persparsia kopua", "Cernyia kosterini", "Cernyia arizana", "Cernyia furcatus", "Cernyia longpala", "Cernyia pseudocretacea", "Myscelia hypatia", "Myscelia orsis", "Myscelia milloi", "Myscelia capenas", "Myscelia capenas capenas", "Myscelia capenas octomaculata", "Myscelia cyaniris", "Myscelia cyaniris cyaniris", "Myscelia cyaniris albescens", "Myscelia cyaniris millerorum", "Myscelia cyaniris alvaradia", "Myscelia aracynthia", "Myscelia leucocyana", "Myscelia leucocyana leucocyana", "Myscelia leucocyana smalli", "Myscelia ethusa", "Myscelia ethusa ethusa", "Myscelia ethusa pattenia", "Myscelia ethusa chiapensis", "Myscelia ethusa cyanecula", "Myscelia cyananthe", "Myscelia cyananthe cyananthe", "Myscelia cyananthe skinneri", "Aerangis hildebrandtii", "Myscelia cyananthe streckeri", "Myscelia cyananthe diaziana", "Tingis cardui", "Oncidium karwinskii", "Craniophora fujianensis fujianensis", "Craniophora fujianensis hainanensis", "Vanda falcata", "Acalyptris peteni", "Acalyptris caribbicus", "Acalyptris statuarius", "Stigmella pruinosa", "Kosteletzkya sect.", "Liropus minusculus", "Kosteletzkya sect.", "Caprella scaura", "Paracaprella pusilla", "Enteucha basidactyla", "Kosteletzkya sect.", "Colotes maculatus", "Osmylus multiguttatus", "Makoiamya cotterallae", "Scordalus femoratus", "Crinoniscus cephalatus", "Crinoniscus politosummus", "Scalpelloniscus nieli", "Scalpelloniscus vomicus", "Nyctelia rufipes", "Asphodeline baytopiae", "Salvia scabiosifolia", "Cleora frigescens", "Cleora rhadia", "Cleora subfrigescens", "Harutaea anaflavizona", "Ophthalmitis basiscripta", "Catoria kalsi", "Catoria cinygma", "Catoria hemiprosopa", "Catoria hemiprosopa hemiprosopa", "Catoria hemiprosopa affinis", "Psilalcis sumatrana", "Abaciscus paucisignata", "Microcalicha ichnochroma", "Plutodes noraweltiae", "Plutodes dintelmanni", "Triphosa taiwana", "Mormo owadai", "Rhizopus stolonifer", "Disasuridia rubida", "Disasuridia virgula", "Disasuridia conferta", "Disasuridia confusa", "Disasuridia flava", "Disasuridia fangae", "Dichrocephala benthamii", "Dichrocephala gossypina", "Hepialus gonggaensis", "Hermonassa nitella", "Hermonassa renifera", "Hermonassa opima", "Hermonassa connudata", "Hepialus renzhiensis", "Channa andrao", "Argyromatoides nitida", "Megalorchis regalis", "Macroglossum claudepierreae", "Macroglossum wackenheimi", "Dolbina manjunatha", "Yponomeuta acronops", "Yponomeuta calcarata", "Yponomeuta triangularis", "Thubana seimaensis", "Thubana eremophila", "Thubana gilvizonaris", "Thubana silvatica", "Felisacus dauloi", "Felisacus amboinae", "Felisacus usingeri", "Felisacus adamsi", "Felisacus auritulus", "Felisacus bellus", "Felisacus capitatus", "Felisacus carpenterae", "Felisacus crassicornis", "Felisacus curvatus", "Felisacus filicicola", "Felisacus gressitti", "Felisacus insularis", "Felisacus jacobsoni", "Felisacus longiceps", "Felisacus madagascariensis", "Felisacus magnificus", "Austrophilopterus thysi", "Paratrephes hintoni", "Felisacus minutus", "Felisacus rubricuneus", "Felisacus philippinensis", "Felisacus okinawanus", "Felisacus nigrescens", "Felisacus nigricornis", "Felisacus ochraceus", "Dennyus pichorimi", "Dennyus pascoliae", "Dennyus malagonensis", "Myrsidea isacantha", "Myrsidea circumsternata", "Myrsidea cacioppoi", "Myrsidea brasiliensis", "Myrsidea saviti", "Myrsidea rodriguesae", "Myrsidea cnemotriccola", "Myrsidea lathrotriccola", "Myrsidea faccioae", "Myrsidea lampropsaricola", "Myrsidea waterstoni", "Myrsidea meyi", "Myrsidea dalgleishi", "Myrsidea cicchinoi", "Myrsidea castroae", "Myrsidea rozsai", "Nyctelia laevis", "Eurysternus hypocrita", "Nyctelia setipennis", "Nyctelia nevadoensis", "Nyctelia alutacea", "Enochrus algarum", "Felisacus glabratus", "Manoneura trinaria", "Stigmella andina", "Schistura nebeshwari", "Stigmella cuprata", "Schistura scyphovecteta", "Stigmella johannis", "Stigmella rudis", "Smerinthulus laotiana", "Enpinanga assamensis", "Enpinanga vigens", "Enpinanga borneensis", "Epipactis purpurata", "Enpinanga teyniei", "Stigmella hylomaga", "Stigmella costalimai", "Stigmella guittonae", "Bennelongia timmsi", "Mormidea ypsilon", "Bennelongia gnamma", "Rhacognathus punctatus", "Pampus liuorum", "Taygetis drogoni", "Taygetis ypthima", "Taygetis rectifascia", "Taygetis servius", "Coreoperca liui", "Taygetis fulginia", "Bennelongia hirsuta", "Bennelongia ivanae", "Niveas kone", "Niveas agassizi", "Bennelongia mcraeae", "Bennelongia scanloni", "Bennelongia calei", "Teratoglaea hohuanshanensis", "Verbascum leiocladum", "Verbascum levanticum", "Verbascum linearilobum", "Verbascum linguifolium", "Verbascum lobatum", "Verbascum longipedicellatum", "Acidoproctus granthami", "Acidoproctus moschatae", "Acidoproctus emersoni", "Acidoproctus maximus", "Acidoproctus rostratus", "Acidoproctus taschenbergi", "Acidoproctus hilli", "Acidoproctus fuligulae", "Myrsidea cruickshanki", "Myrsidea patersoni", "Myrsidea valimi", "Mycotrupes gaigei", "Acidoproctus gottwaldhirschi", "Lamium confertum", "Matsumurella kwangtungensis", "Matsumurella yangsoensis", "Matsumurella szechuanensis", "Aphenochiton inconspicuus", "Chionochloa flavescens", "Brumptomyia carvalheiroi", "Ctenochiton viridis", "Reisseronia flavociliella", "Reisseronia gertrudae", "Reisseronia hofmanni", "Reisseronia magna", "Reisseronia nigrociliella", "Reisseronia pusilella", "Reisseronia staudingeri", "Reisseronia tarnierella", "Reisseronia tschetverikovi", "Phalacropterix graminifera", "Phalacropterix graslinella", "Phalacropterix praecellens", "Phasmyalea pellucida", "Sinogastromyzon daduheensis", "Rivulus tomasi", "Paracheilinus rennyae", "Amphilophus tolteca", "Amphilophus viridis", "Plumana aequanima", "Plumana ascalopa", "Plumana autoplecta", "Plumana taeniata", "Plumana piperatella", "Ornithobius waterstoni", "Homolepis isocalycina", "Steinchisma spathellosum", "Horabagrus melanosoma", "Mystus indicus", "Mystus heoki", "Pethia expletiforis", "Physoschistura chulabhornae", "Mystus menoni", "Cobitis crassicauda", "Cobitis fasciola", "Cobitis stenocauda", "Verbascum josgadense", "Verbascum kastamunicum", "Verbascum kotschyi", "Verbascum krauseanum", "Verbascum kurdicum", "Verbascum lachnopus", "Verbascum laetum", "Hibiscus sect.", "Verbascum lagurus", "Verbascum lasianthum", "Verbascum latisepalum", "Verbascum leianthoides", "Verbascum leianthum", "Verbascum leiocarpum", "Euceraphis betulijaponicae", "Euceraphis caerulescens", "Euceraphis lineata", "Euceraphis mucida", "Euceraphis ontakensis", "Euceraphis gillettei", "Martarega nessimiani", "Cinclosomicola punctatica", "Paraphilopterus styloideus", "Calaphis flava", "Betulaphis quadrituberculata", "Plutorectella abdominalis", "Piestoceros conjunctella", "Serenoichthys kemkemensis", "Bidens aequisquama", "Coriaria pottsiana", "Coriaria pteridoides", "Coriaria plumosa", "Heinrothiella inexpectata", "Heinrothiella frielingi", "Heptarthrogaster grandis", "Heptarthrogaster laticephalus", "Heptarthrogaster minutus", "Heptarthrogaster parvulus", "Stilobezzia fiebrigi", "Lamprocorpus hirsutus", "Lamprocorpus spinosus", "Heptagoniodes agonus", "Verbascum luciliae", "Verbascum lydium", "Verbascum lyratifolium", "Verbascum lysiosepalum", "Eoneureclipsis akrichalakchmi", "Mindanaoa orientalis", "Wagneriunia thecata", "Rabiana delicatula", "Mcateeana sexnotata", "Lamium subg.", "Crocidolomia subhirsutalis", "Crocidolomia suffusalis", "Crocidolomia pavonana", "Purenola fibigeri", "Herichthys labridens", "Herichthys pantostictus", "Herichthys steindachneri", "Stigmella marmorea", "Stigmella peruanica", "Stigmella epicosma", "Stigmella schoorli", "Stigmella hamata", "Stigmella imperatoria", "Stigmella olyritis", "Stigmella eurydesma", "Stigmella albilamina", "Stigmella fuscilamina", "Stigmella kimae", "Stigmella barbata", "Stigmella gossypii", "Stigmella plumosetaeella", "Baeopelma colorata", "Cyprinodon julimes", "Elasmopoda valga", "Eoneureclipsis pravrisija", "Eoneureclipsis varsikiyja", "Eoneureclipsis alekto", "Opsiphanes bogotanus", "Opsiphanes cassiae", "Opsiphanes cassina", "Opsiphanes invirae", "Opsiphanes mutatus", "Opsiphanes sallei", "Opsiphanes tamarindi", "Opsiphanes zelotes", "Guyanemorpha spectabilis", "Argia chelata", "Amphisbaena maranhensis", "Amphisbaena cayemite", "Amphisbaena leali", "Sehima nervosum", "Sehima sulcatum", "Dolycoris baccarum", "Jalla dumosa", "Neocarus proteus", "Dinocoris variolosus", "Meganola albomarmorea", "Meganola cretaceoides", "Meganola xanthomorpha", "Meganola cryptochra", "Meganola dochmographa", "Meganola endoscota", "Meganola euryochra", "Meganola euthygrapha", "Cornus sect.", "Carvalhoiella stysi", "Carvalhoiella nitida", "Carvalhoiella beckeri", "Ricolla quadrispinosa", "Heza acantharis", "Desmopuntius pentazona", "Desmopuntius rhomboocellatus", "Cornus sect.", "Cornus subg.", "Tityus carolineae", "Cornus sect.", "Kybos abnormis", "Carex longipetiolata", "Usambaranola fibigeri", "Boreviulisoma barrocalense", "Evonima sinonanlinga", "Filatima revisensis", "Lakshmia pandava", "Stagonomus bipunctatus", "Hyrmine sexpunctata", "Elasmucha grisea", "Philiodoron cinereum", "Philiodoron frater", "Amphisbaena prunicolor", "Amphisbaena albocingulata", "Rhypodes argenteus", "Rhypodes atricornis", "Rhypodes brachypterus", "Rhypodes brevifissas", "Rhypodes brevipilis", "Rhypodes bucculentus", "Rhypodes celmisiae", "Rhypodes cognatus", "Rhypodes crinitus", "Rhypodes depilis", "Rhypodes eminens", "Rhypodes gracilis", "Rhypodes hirsutus", "Rhypodes jugatus", "Rhypodes koebelei", "Rhypodes longiceps", "Rhypodes longirostris", "Rhypodes rupestris", "Rhypodes russatus", "Rhypodes spadix", "Rhypodes townsendi", "Rhypodes triangulus", "Rhypodes stewartensis", "Rhypodes sericatus", "Rhypodes chinai", "Rhypodes myersi", "Rhypodes anceps", "Hesperinus ninae", "Physiculus microbarbata", "Cimex peregrinator", "Anathallis vitorinoi", "Anathallis imberbis", "Chlorochroa juniperina", "Cummingsiella ambigua", "Cummingsiella aurea", "Cummingsiella brelihi", "Cummingsiella breviclypeata", "Cummingsiella longirostricola", "Cummingsiella ovalis", "Cornus sect.", "Pollimyrus cuandoensis", "Betulaphis pelei", "Betulaphis longicornis", "Betulaphis hissarica", "Pterocallis alni", "Niesslia chaetomium", "Meganola hypenoides", "Meganola introfusca", "Meganola ochrographa", "Heptagoniodes clayae", "Umbonichiton hymenantherae", "Heptagoniodes dimorphus", "Umbonichiton bispinatus", "Umbonichiton rimu", "Heptagoniodes mirabilis", "Cincloecus neotropicalis", "Cincloecus americanus", "Cincloecus cincli", "Lamium bifidum subsp. bifidum", "Australophilopterus curviconus", "Australophilopterus strepericus", "Verbascum davidoffii", "Verbascum dumulosum", "Verbascum discolor", "Verbascum varians", "Verbascum elegantulum", "Verbascum eleonorae", "Verbascum exuberans", "Verbascum galilaeum", "Verbascum geminiflorum", "Verbascum georgicum", "Verbascum germaniciae", "Verbascum globiferum", "Verbascum globiflorum", "Verbascum glomeratum", "Verbascum glomerulosum", "Verbascum gossypinum", "Verbascum hadschinense", "Verbascum hajastanicum", "Verbascum helianthemoides", "Verbascum heterobarbatum", "Verbascum heterodontum", "Verbascum humile", "Verbascum iconium", "Verbascum inaequale", "Verbascum infidelium", "Ornithobius bucephalus", "Ornithobius cygni", "Ornithobius domesticus", "Ornithobius fuscus", "Ornithobius goniopleurus", "Ornithobius mathisi", "Ornithobius pricei", "Geosesarma protos", "Megasyllis eduardoi", "Petromarula pinnata", "Onopordum bracteatum subsp. creticum", "Sedum tristriatum", "Arenaria cretica", "Verbascum phrygium", "Verbascum ovalifolium", "Verbascum pallidiflorum", "Verbascum parviflorum", "Verbascum pellitum", "Verbascum pestalozzae", "Verbascum petiolare", "Triberta cistifoliella", "Triberta helianthemella", "Strongylocoris leucocephalus", "Reduvius personatus", "Garra arunachalensis", "Garra birostris", "Garra quadratirostris", "Garra gotyla gotyla", "Garra gotyla", "Rhynocoris annulatus", "Capsus ater", "Plectrelminthus caudatus", "Capsodes gothicus", "Berkshiria albistylum", "Centaurea phrygia", "Diplodoma adspersella", "Kybos columbiana", "Kybos clypeata", "Kybos chromata", "Kybos caesarsi", "Kybos chadchalicus", "Kybos carsona", "Kybos confusa", "Kybos gelbata", "Kybos gleditsia", "Kybos grosata", "Kybos jacinta", "Kybos rubrata", "Kybos ziona", "Verbascum pinardii", "Verbascum pinetorum", "Verbascum pinnatifidum", "Verbascum postianum", "Verbascum propontideum", "Verbascum protractum", "Kybos acodens", "Kybos adunca", "Kybos alberta", "Kybos albolinea", "Kybos alexanderae", "Kybos amicis", "Kybos andresia", "Kybos angustifoliae", "Kybos arizona", "Kybos cascada", "Kybos chapingo", "Kybos clinata", "Kybos consecta", "Kybos crystola", "Kybos exiguae", "Kybos fontana", "Kybos gribisa", "Kybos humilis", "Kybos improcera", "Kybos lucidae", "Kybos occidua", "Kybos petaluma", "Kybos petiolaridis", "Kybos portola", "Kybos reddina", "Kybos sprita", "Kybos velutina", "Kybos yukonensis", "Kybos apata", "Kybos annella", "Kybos atinca", "Kybos auricillata", "Kybos aureoviridis", "Kybos excava", "Bruchophagus mandelai", "Desoria saltans", "Oliotius oligolepis", "Striuntius lineatus", "Puntigrus anchisporus", "Puntigrus navjotsodhii", "Puntigrus partipentazona", "Puntigrus pulcher", "Puntigrus tetrazona", "Tritomegas bicolor", "Eurydema ornata", "Polymona schellhorni", "Aster rugulosus", "Hemistola piceacola", "Aelia acuminata", "Hemistola fui", "Hemistola taiwanensis", "Hemistola monotona", "Hemistola kezukai", "Hemistola simplex", "Hemistola orbiculosa", "Hemistola tenuilinea", "Verbascum luridiflorum", "Verbascum macrocarpum", "Verbascum macrosepalum", "Verbascum macrurum", "Verbascum maeandri", "Verbascum meinckeanum", "Verbascum microsepalum", "Verbascum mucronatum", "Verbascum murbeckianum", "Verbascum mykales", "Verbascum myrianthum", "Verbascum napifolium", "Verbascum natolicum", "Verbascum nudatum", "Verbascum pulverulentum", "Verbascum nudiusculum", "Verbascum obtusifolium", "Verbascum orbicularifolium", "Verbascum oreodoxum", "Pao leiurus", "Pao ocellaris", "Rosa chinensis", "Pao palembangensis", "Pao suvattii", "Pao turgidus", "Leiodon cutcutia", "Calophaena laevigata", "Kybos salicis", "Kybos rubrovenosa", "Kybos pyramidalis", "Kybos pura", "Kybos oshanini", "Kybos niveicolor", "Kybos obtusa", "Kybos osborni", "Kybos koreanus", "Kybos laurifoliae", "Kybos livingstonii", "Rosa \u00d7 palustriformis", "Rosa nothosect.", "Pao abei", "Pao baileyi", "Pao bergii", "Pao brevirostris", "Pao cambodgiensis", "Pao cochinchinensis", "Pao fangi", "Gomesa radicans", "Pao hilgendorfii", "Callitriche hermaphroditica", "Centaurea pumilio", "Myriophyllum alterniflorum", "Filago pygmaea", "Aurivillius fuscus", "Aurivillius horsini", "Micropus supinus", "Aurivillius oberthueri", "Aurivillius seydeli", "Aurivillius triramis", "Aurivillius xerophilus", "Bunaea aslauga", "Rosa \u00d7 ruga", "Bunaeopsis annabellae", "Bunaeopsis bomfordi", "Bunaeopsis fervida", "Bunaeopsis chromata", "Bunaeopsis francottei", "Rosa \u00d7 odorata", "Hemileuca eglanterina eglanterina", "Hemileuca eglanterina annulata", "Hemileuca eglanterina shastaensis", "Verbascum freynii", "Verbascum acaule", "Verbascum adeliae", "Verbascum adenanthum", "Verbascum aliciae", "Verbascum aphentulium", "Verbascum antari", "Verbascum arcturus", "Verbascum argenteum", "Verbascum atlanticum", "Verbascum atroviolaceum", "Verbascum azerbaijanense", "Dasypyrum hordeaceum", "Hemileuca electra electra", "Hemileuca electra clio", "Hemileuca electra mojavensis", "Hemileuca electra rubra", "Rosa \u00d7 anachoretica", "Rosa \u00d7 intercalaris", "Opiconsiva dilpa", "Opiconsiva albimarginata", "Rosa \u00d7 reversa", "Eucalyptus phoenix", "Nyctemera amica", "Trioplognathus griseopilosus", "Anoplognathus velutinus", "Euphyes berryi", "Rosa luciae", "Euphyes dukesi", "Euphyes dukesi dukesi", "Euphyes dukesi calhouni", "Phaenosperma globosum", "Hemileuca magnifica", "Hemileuca hera", "Hemileuca hera hera", "Hemileuca hera marcata", "Hemileuca chinatiensis", "Myrsidea minuscula", "Myrsidea williardi", "Hemileuca diana", "Myrsidea kristineae", "Myrsidea jenniferae", "Myrsidea imbricata", "Hemileuca grotei", "Hemileuca juno", "Myrsidea edgarsmithi", "Hemileuca slosseri", "Myrsidea andyolsoni", "Myrsidea rekasii", "Vallisneria australis", "Myrsidea baileyae", "Rosa luciae var. luciae", "Myrsidea laciniaesternata", "Myrsidea cyanocephalae", "Myrsidea suttoni", "Myrsidea bonariensis", "Myrsidea tangarae", "Myrsidea icterocephalae", "Myrsidea violaceae", "Myrsidea melanopis", "Rosa luciae var. formosana", "Myrsidea seminuda", "Myrsidea cayanae", "Myrsidea ophthalmici", "Myrsidea fusca", "Myrsidea fuscicaudae", "Myrsidea zenae", "Myrsidea rufi", "Myrsidea phoenicii", "Myrsidea diglossae", "Myrsidea venustae", "Myrsidea ramphoceli", "Polyrhachis acuminata", "Myrsidea surinami", "Myrsidea spizae", "Myrsidea mitrospingi", "Polyrhachis viola", "Austrophthiracarus hiore", "Myrsidea assimilis", "Myrsidea cerrodelamuertensis", "Meganola onychosoma", "Meganola loxodentata", "Meganola loxoleuca", "Meganola nyungwe", "Meganola pallidifuscata", "Meganola panvirgata", "Meganola paramesoscota", "Meganola parundosaria", "Largus lineola", "Meganola plagioleuca", "Meganola pumilofusca", "Meganola stenochra", "Meganola sulaki", "Meganola tigrivirgata", "Meganola unilineata", "Meganola canovirgata", "Eurydema oleracea", "Meganola cirrhographa", "Pilophyllum villosum", "Adomerus biguttatus", "Desmopuntius endecanalis", "Desmopuntius foerschi", "Desmopuntius gemellus", "Desmopuntius trifasciatus", "Meganola fuscovirgata", "Meganola insolitalis", "Meganola meloui", "Desmopuntius johorensis", "Meganola nigeriensis", "Meganola simplicifacta", "Meganola elaeagni", "Desmopuntius hexazona", "Verbascum prusianum", "Verbascum pseudoholotrichum", "Verbascum pseudovarians", "Verbascum pterocalycinum", "Verbascum pterocladum", "Verbascum pumiliforme", "Kybos tigris", "Kybos rossi", "Kybos coronata", "Kybos dissimilaris", "Kybos empusa", "Verbascum purpureum", "Kybos copula", "Kybos incida", "Kybos obrudens", "Kybos patula", "Kybos pectinata", "Kybos rubrafacia", "Kybos saluta", "Kybos transversa", "Kybos trifasciata", "Kybos tshagotaica", "Kybos unica", "Verbascum pyroliforme", "Kybos cornutus", "Kybos dlabolai", "Verbascum suworowianum", "Kybos rubrovenosus", "Kybos soosi", "Verbascum tenue", "Kybos dworakowskii", "Verbascum tossiense", "Verbascum transcaucasicum", "Verbascum transolympicum", "Verbascum trapifolium", "Verbascum trichostylum", "Verbascum tuna-ekimii", "Kybos denticula", "Verbascum turcicum", "Kybos dentifera", "Verbascum urceolatum", "Kybos ellisae", "Verbascum urobracteum", "Verbascum uschakense", "Kybos mesolinea", "Verbascum vacillans", "Kybos strangula", "Kybos tereholli", "Kybos sublactea", "Verbascum zuccarinii", "Kybos hartzelli", "Kybos iliensis", "Kybos isotoma", "Kybos ivanovi", "Kybos montanus", "Kybos pergandei", "Kybos stepposus", "Luperina pseudoderthisa", "Rosa gentiliana", "Luperina farsiensis", "Luperina rjabovi", "Luperina taurica", "Antechinus argentus", "Karanasa regeli", "Acraea terpsicore", "Lathrolestes ivoriensis", "Myosorex meesteri", "Calaphis alni", "Calaphis betulaecolens", "Calaphis arctica", "Scoparia diphtheralis", "Ovoides fasciatus", "Coleotechnites ponderosae", "Coleotechnites edulicola", "Goya ovaliger", "Goya simulata", "Goya albivenella", "Goya stictella", "Euphyes dion", "Euphyes pilatka", "Euphyes pilatka pilatka", "Euphyes pilatka klotsi", "Rosa onoei", "Rosa onoei var. onoei", "Rosa onoei var. hakonensis", "Euphyes conspicua", "Euphyes conspicua conspicua", "Euphyes conspicua buchholzi", "Rosa onoei var. oligantha", "Psalitrus nigritulus", "Scolopendra heros", "Goniodes minor", "Campanula cretica", "Centaurea lancifolia", "Coloceras piageti", "Crepis sibthorpiana", "Myosotis solange", "Nepeta sphaciotica", "Tulipa cretica", "Galium incurvum", "Centaurea idaea", "Colchicum rechingeri", "Bellevalia brevipedicellata", "Bupleurum kakiskalae", "Centranthus nevadensis subsp. sieberi", "Lomelosia sphaciotica", "Rosa \u00d7 penzanceana", "Onobrychis sphaciotica", "Auriglobus remotus", "Auriglobus silus", "Canthigaster compressa", "Tupinambis quadrilineatus", "Rosa ser.", "Pyrrhocoris apterus", "Rosa ser.", "Colias alexandra altiplano", "Colias alexandra astraea", "Colias alexandra columbiensis", "Colias alexandra edwardsii", "Colias alexandra pseudocolumbiensis", "Verbascum saccatum", "Auriglobus amabilis", "Pleurota aristella", "Pleurota aristella aristella", "Pleurota aristella cyrniella", "Pleurota castagniccia", "Scrobipalpa corsicamontes", "Caryocolum marmorea", "Caryocolum marmorea marmorea", "Caryocolum marmorea mediocorsa", "Tockus damarensis", "Tockus kempi", "Tockus ruahae", "Tockus rufirostris", "Eupithecia mirificata", "Eupithecia minusculata", "Thaumatophyllum solimoesense", "Pterocallis essigi", "Neotoxoptera violae", "Melitaea interrupta", "Melitaea interrupta interrupta", "Melitaea interrupta kendevana", "Hyles euphorbiae", "Colias aurorina", "Colias aurorina aurorina", "Colias aurorina anna", "Colias aurorina rosei", "Colias aurorina kermana", "Colias aurorina transcaspica", "Colias aurorina libanotica", "Colias aurorina sovarensis", "Colias aurorina heldreichi", "Colias adelaidae adelaidae", "Nematopus indus", "Colias adelaidae karmalana", "Colias aegidii", "Colias aias", "Colias alexandra alexandra", "Colias alexandra apache", "Colias alexandra altamont", "Corizus hyoscyami", "Nematus soidaoi", "Actenodes scabrosus", "Actenodes michoacanus", "Gonatopus rileyi", "Dorcadion mosulense", "Lygaeus equestris", "Megastigmus leptocybus", "Megastigmus thailandiensis", "Megastigmus rieki", "Megastigmus thitipornae", "Megastimus chrisburwelli", "Megastigmus erolhasani", "Megastigmus judikingae", "Megastigmus lawsoni", "Megastigmus zvimendeli", "Megastigmus spermotrophus", "Megastigmus aculeatus", "Arotes albicinctus", "Myrsidea hrabaki", "Myrsidea obsoleti", "Myrsidea quinchoi", "Myrsidea tapanti", "Myrsidea tapetapersi", "Myrsidea annae", "Myrsidea aynazae", "Myrsidea mariquensis", "Myrsidea eslamii", "Psolus atlantis", "Eulamprotes immaculatella", "Prunella grandiflora", "Prunella albanica", "Prunella hyssopifolia", "Prunella orientalis", "Prunella prunelliformis", "Infurcitinea gaedikella", "Gnorimoschema nupponeni", "Scrobipalpa skulei", "Scrobipalpa dorsolutea", "Scrobipalpa corleyi", "Scrobipalpa oleksiyella", "Scrobipalpa tokari", "Scrobipalpa heimi", "Scrobipalpa jarii", "Scrobipalpa abstrusa", "Scrobipalpa hendrikseni", "Scrobipalpa deutschi", "Scrobipalpa mixta", "Scrobipalpa postulatella", "Scrobipalpa halimioniella", "Scrobipalpa baischi", "Caryocolum baischi", "Eupithecia tabestana", "Luperina nickerlii", "Luprina nickerlii nickerlii", "Luprina nickerlii gueneei", "Luprina nickerlii knilli", "Luprina nickerlii leechi", "Luprina nickerlii demuthi", "Luprina nickerlii albarracina", "Luperina kaszabi", "Luperina lacunosa", "Rosa taiwanensis", "Phyllotocus bimaculatus", "Phyllotocus nigripennis", "Piophila megastigmata", "Eulamprotes wilkella", "Eulamprotes ochricapilla", "Eulamprotes superbella", "Eulamprotes mirusella", "Eulamprotes baldizzonei", "Eulamprotes occidentella", "Eulamprotes atrifrontella", "Eulamprotes wieseri", "Eulamprotes altaicella", "Eulamprotes kailai", "Eulamprotes libertinella", "Eulamprotes gemerensis", "Cidariplura shanmeii", "Cidariplura maraho", "Cidariplura atayal", "Cidariplura ilana", "Carinotetraodon salivator", "Pseudopanthea palata", "Smilepholcia luteifascia", "Chelonodontops patoca", "Xanthomantis cornelia", "Chonerhinos naritus", "Nepeta nervosa", "Dichotomyctere erythrotaenia", "Dichotomyctere fluviatilis", "Eupithecia lobbichlerata", "Eupithecia obtinens", "Eretmocerus orchamoplati", "Satyrium erectum", "Pteroptrix kamatai", "Rosa \u00d7 polliniana", "Adelencyrtus aulacaspidis", "Pseudomorpha patagonia", "Pseudomorpha santarita", "Pseudomorpha santacruz", "Pseudomorpha huachinera", "Pseudomorpha penablanca", "Pseudomorpha pima", "Sierola testaceipes", "Sierola ellingtoni", "Aphelinus polaszeki", "Aphelinus yasnoshae", "Aphelinus babaneuri", "Aphelinus abdominalis", "Aphelinus thomsoni", "Aphelinus flaviventris", "Allophryne relicta", "Carinotetraodon borneensis", "Carinotetraodon irrubesco", "Tambana variegata", "Pristocera levicollis", "Pristocera flavicornis", "Tettigettalna estrellae", "Tettigettalna mariae", "Tettigettalna helianthemi", "Tettigettalna defauti", "Tettigettalna boulardi", "Tettigettalna armandi", "Tettigettalna aneabi", "Rosa chinensis var. chinensis", "Iberis odorata", "Cypris fischeri", "Sparganium natans", "Koenigia islandica", "Nepeta adenophyta", "Nepeta agrestis", "Nepeta alatavica", "Nepeta algeriensis", "Nepeta amicorum", "Rosa nothosect.", "Nepeta annua", "Nepeta assadii", "Nepeta assurgens", "Aphytis alexandrina", "Aphytis mytilaspidis", "Aphytis ignotus", "Aphytis diaspidis", "Aphytis chrysomphali", "Aphytis chilensis", "Centrodora tropicalis", "Centrodora zacateis", "Centrodora xiphidii", "Eupithecia fredi", "Silene muscipula", "Silene colorata", "Silene tatarica", "Eupithecia innotata", "Pseudocyphellaria curvata", "Moehringia lateriflora", "Eupithecia praesignata", "Dichotomyctere kretamensis", "Dichotomyctere nigroviridis", "Dichotomyctere ocellatus", "Gastrophysus ocellatus", "Stictopleurus crassicornis", "Rosa subsect.", "Saldula saltatoria", "Rosa ser.", "Trapezonotus arenarius", "Ablerus bajacalifornicus", "Ablerus mexicanus", "Neobarya parasitica", "Ablerus xenex", "Rosa ser.", "Encarsia albata", "Encarsia barracas", "Encarsia chichenitza", "Encarsia elenae", "Encarsia santaelenae", "Encarsia xilitla", "Encarsia yumka", "Encarsia ellisvillensis", "Encarsia guerrierii", "Encarsia lambei", "Encarsia normarki", "Encarsia schmidti", "Encarsia vandrieschei", "Nepeta zangezura", "Nepeta alaghezi", "Nepeta amoena", "Nepeta longituba", "Nepeta trautvetteri", "Nepeta velutina", "Rosa \u00d7 lheritierana", "Dichotomyctere sabahensis", "Gastrophysus niphobles", "Gastrophysus oblongus", "Eukoebelea camerunensis", "Eukoebelea cunia", "Eukoebelea nota", "Eukoebelea spinitarsus", "Eukoebelea sycomori", "Eukoebelea tristis", "Pseudidarnes flavicollis", "Cales noacki", "Coccophagoides aegypticus", "Occidenchthonius tenerifae", "Eupithecia convallata", "Eupithecia convallata convallata", "Eupithecia convallata terricolor", "Eupithecia naumanni", "Eupithecia simpliciata", "Eupithecia decipiens", "Eupithecia variostrigata", "Tettigettalna josei", "Eupithecia subpulchrata", "Eupithecia vulgata", "Rhyparochromus pini", "Eupithecia ochrovittata", "Eupithecia sacrosancta", "Eupithecia aradjouna", "Eupithecia assimilata", "Eupithecia bonita", "Eupithecia corroborata", "Eupithecia frontosa", "Eupithecia omniparens", "Gongora fulva", "Rosa arvensis", "Tympanistalna gastrica", "Aphanus rolandri", "Tettigettalna argentata", "Nepeta astorensis", "Nepeta atlantica", "Nepeta azurea", "Nepeta badachschanica", "Nepeta bakhtiarica", "Nepeta balouchestanica", "Eupithecia adjemica", "Nepeta barfakensis", "Nepeta bellevii", "Nepeta binaloudensis", "Nepeta bodeana", "Nepeta bokhonica", "Eupithecia admiranda", "Eupithecia lilliputata", "Eupithecia boneta", "Eupithecia missionerata", "Rangaeris muscicola", "Eupithecia wangi", "Eupithecia hongxiangae", "Eupithecia hoenehermanni", "Eupithecia buysseata", "Eupithecia amandae", "Eupithecia manifesta", "Eupithecia tamara", "Eupithecia qinlingata", "Eupithecia svetlanae", "Eupithecia tectaria", "Rosa ser.", "Rosa nothosect.", "Rosa nothosect.", "Piophila vitrea", "Adelencyrtoides novaezealandiae", "Mesosemia misipsa misipsa", "Mesosemia misipsa carapa", "Mesosemia atachibakka", "Mesosemia minos minos", "Mesosemia minos orarius", "Mesosemia minos modica", "Mesosemia minos tetrophthalma", "Leucochimona hyphea", "Leucochimona hyphea hyphea", "Leucochimona hyphea pallida", "Leucochimona libna", "Perisama oppelii", "Perisama oppelii oppelii", "Perisama oppelii mairae", "Perisama oppelii viridinota", "Perisama oppelii eminens", "Perisama oppelii fulgens", "Perisama oppelii amalia", "Perisama oppelii erebina", "Perisama oppelii angustifasciata", "Perisama oppelii bleuzeni", "Perisama oppelii cristal", "Anser albifrons albifrons", "Abacetus oblongus", "Anacaena sipekorum", "Hypselobarbus canarensis", "Hypselobarbus curmuca", "Lagocephalus stellatus", "Eremocoris abietis", "Lagocephalus lunaris", "Hypselobarbus mussullah", "Amata submarginalis", "Amata sladeni", "Amata acrospila", "Amata polymita", "Amata chlorocera", "Amata fervida", "Amata newara", "Amata euryzona", "Amata pasca", "Amata torquatus", "Amata xanthomela", "Amata xanthopleura", "Amata albobasis", "Amata alenicola", "Amata alicia", "Amata alicia alicia", "Amata alicia damarensis", "Amata williami", "Amata waldowi", "Amata xanthostidsa", "Amata xanthura", "Amata xanthosoma", "Amata yezonis", "Amata simplex", "Amata marina", "Eulophia walleri", "Rosa \u00d7 bruantii", "Forsterinaria emo", "Phytocoris populi", "Forsterinaria rustica rustica", "Forsterinaria pallida pallida", "Geneion honckenii", "Phytocoris ulmi", "Sahyadria chalakkudiensis", "Parides sesostris sesostris", "Parides sesostris zischkai", "Calystegia felix", "Sahyadria denisonii", "Dismorphia pseudolewyi", "Dismorphia theucharila theucharila", "Dismorphia theucharila argochloe", "Rosa phoenicea", "Rosa phoenicea var. phoenicea", "Chloraea bletioides", "Chloraea chrysantha", "Chloraea crispa", "Chloraea cristata", "Chloraea cylindrostachya", "Chloraea galeata", "Chloraea gavilu", "Proapteryx micromeros", "Tapirus kabomani", "Nabis ferus", "Cretodytes incertus", "Berzercon ferdinandi", "Leioproctus aquilus", "Leioproctus eruditus", "Leioproctus exiguus", "Leioproctus exleyae", "Leioproctus insitus", "Leioproctus litotes", "Leioproctus paulus", "Leioproctus pygmaeus", "Leioproctus quadrimaculatus", "Leioproctus rutiliventris", "Leioproctus saltus", "Leioproctus sequax", "Leioproctus crinitus", "Anochetus exstinctus", "Anochetus ambiguus", "Anochetus intermedius", "Anochetus lucidus", "Anochetus conisquamis", "Anochetus dubius", "Chloraea heteroglossa", "Chloraea longipetala", "Chloraea magellanica", "Chloraea membranacea", "Chloraea nudilabia", "Chloraea piquichen", "Chloraea venosa", "Chloraea viridiflora", "Chloraea volkmannii", "Chloraea biserialis", "Rosa phoenicea var. kurdica", "Ligyrocoris sylvestris", "Pseudoctomeris sulcata", "Rosa wichurana", "Fundulopanchax gardneri nigerianus", "Closterotomus fulvomaculatus", "Cimex bimaculatus", "Psolus macquariensis", "Psolus antarcticus", "Psolus parantarcticus", "Phylus coryli", "Cimex mutabilis", "Psolidium aequm", "Psolidium kermadeci", "Psolidium marriotti", "Psolidium ramum", "Phylus pallipes", "Psolidium whittakeri", "Nemaconia striata", "Alydus calcaratus", "Ugnius kermesinus", "Torquigener hypselogeneion", "Rasboroides rohani", "Pereute antodyca", "Pereute callinice", "Pereute callinice callinice", "Pereute callinice numbalensis", "Pereute swainsoni", "Pereute telthusa", "Pereute cheops", "Gerris lacustris", "Gongora catilligera", "Eryngium thorifolium", "Phlomis bruguieri", "Chloraea alpina", "Chloraea apinnula", "Chloraea barbata", "Tettigettacula baenai", "Aradus depictus", "Solanum pseudoamericanum", "Anostostoma australasiae", "Psyllaephagus ramamurthyi", "Meganola strigula", "Meganola kolbi", "Meganola arenbergeri", "Meganola parastrigula", "Meganola antennata", "Meganola leifaarviki", "Meganola albula", "Meganola impura", "Meganola gigantula", "Meganola togatulella", "Meganola togatulalis", "Meganola mesoscota", "Meganola holoscota", "Meganola iringa", "Meganola matengona", "Meganola meniscographa", "Meganola mesoscotoides", "Meganola pseudomesoscota", "Meganola leucosigna", "Meganola leucographa", "Meganola tenuimorpha", "Meganola loxostriata", "Meganola allardi", "Meganola anisographa", "Meganola argentisoma", "Meganola argyrographa", "Meganola caligilinea", "Meganola cerographa", "Meganola chia", "Meganola convexalis", "Meganola cramboidalis", "Meganola dilutalis", "Meganola drepanucha", "Meganola erythrinalis", "Meganola funebralis", "Meganola gibeauxi", "Meganola gondwana", "Meganola hesperigrapha", "Meganola heteroscota", "Meganola inculta", "Meganola infuscatalis", "Meganola kennedyi", "Meganola kenrickialis", "Meganola legraini", "Meganola legraini legraini", "Meganola legraini argentitincta", "Calliclopius nigripes", "Meganola lindemannae", "Stenodema laevigatum", "Nepeta bombaiensis", "Nepeta bornmuelleri", "Nepeta botschantzevii", "Nepeta brachyantha", "Nepeta bracteata", "Nepeta brevifolia", "Nepeta campestris", "Nepeta camphorata", "Nepeta cephalotes", "Nepeta chionophila", "Nepeta ciliaris", "Nepeta coerulescens", "Nepeta connata", "Miris striatus", "Nepeta consanguinea", "Nepeta crispa", "Nepeta cyrenaica", "Nepeta czegemensis", "Nepeta daenensis", "Nepeta deflersiana", "Notostira erratica", "Amata brooksi", "Amata yunnanensis", "Amata wuka", "Amata xanthograpta", "Amata xanthoma", "Amata wimberley", "Amata chrysozona", "Amata vitrea", "Rosa nothosect.", "Baeus fluminensis", "Baeus itatiaiaensis", "Baeus leucophthalmus", "Baeus melanocephalus", "Baeus morenus", "Pollimyrus marianne", "Heteropneustes nani", "Hibiscus richardsonii", "Rosa gigantea", "Bryoclaviculus campylopi", "Caudoeuraphia caudata", "Agrilus bancoi", "Agrilus yangambii", "Agrilus massaronei", "Agrilus ivorianus", "Leopardus guttulus", "Tritonia khaleesi", "Limbodessus bennetti", "Catophragmus imbricatus", "Spinellus fusiger", "Rasboroides nigromarginatus", "Rasboroides vaterifloris", "Rasboroides pallidus", "Catolasmus pilsbryi", "Horadandia atukorali", "Horadandia brittani", "Hypsolebias caeruleus", "Meganola malgassica", "Tagoropsis rubrufa", "Tagoropsis sabulosa", "Adafroptilum sommereri", "Aphanius furcatus", "Aphanius ginaonis", "Aphanius vladykovi", "Aphanius isfahanensis", "Aphanius persicus", "Aphanius sophiae", "Loricaria luciae", "Chriolepis bilix", "Rosa \u00d7 evratina", "Pollimyrus castelnaui", "Issus coleoptratus", "Notochthamalus scabrosus", "Hexechamaesipho pilsbryi", "Chlaenius micans", "Microglanis pleriqueater", "Microphilypnus tapajosensis", "Mystus zeylanicus", "Schistura crocotula", "Pseudolaguvia assula", "Hepsetus occidentalis", "Eviota santanai", "Eviota latifasciata", "Boudinotiana notha", "Boudinotiana puella", "Boudinotiana puella puella", "Boudinotiana puella mediterranea", "Boudinotiana touranginii", "Boudinotiana hodeberti", "Neptis liberti", "Astragalus looseri", "Parusta thelxinoe", "Parusta xanthops", "Sitta arctica", "Rehderella belyaevi", "Nesochthamalus intertextus", "Octomeris angulosa", "Octomeris brunnea", "Chamaesipho tasmanica", "Chamaesipho brunnea", "Microeuraphia permitini", "Microeuraphia imperatrix", "Microeuraphia eastropacensis", "Microeuraphia withersi", "Microeuraphia rhizophorae", "Microeuraphia aestuarii", "Microeuraphia apelloefi", "Microeuraphia depressa", "Rosa moyesii", "Rosa moyesii var. moyesii", "Celiptera valina", "Celiptera frustulum", "Speiredonia darwiniana", "Assara korbi", "Cyrtorchis praetermissa", "Cyrtorchis praetermissa subsp. praetermissa", "Cyrtorchis praetermissa subsp. zuluensis", "Meganola venosalis", "Meganola venustula", "Meganola vingerhoedti", "Meganola virunga", "Meganola zernyi", "Meganola incana", "Meganola millotalis", "Meganola albocandida", "Meganola bispermutata", "Rosa \u00d7 aschersoniana", "Rosa \u00d7 warleyensis", "Stenopelmatus navajo", "Neptis jumbah jumbah", "Neptis jumbah amorosca", "Neptis jumbah nalanda", "Neptis nitetis", "Neptis nitetis nitetis", "Neptis nitetis carvinus", "Neptis nitetis gatanga", "Neptis nitetis ormiscus", "Neptis nitetis prodymus", "Neptis nitetis samiola", "Neptis cymela", "Neptis cymela cymela", "Neptis pseudovikasi", "Neptis felisimilis", "Heliophorus forficatus", "Polyommatus damocles urartua", "Nepeta granatensis", "Nepeta grata", "Nepeta griffithii", "Nepeta hemsleyana", "Nepeta henanensis", "Polyommatus damocles krymaeus", "Nepeta hispanica", "Nepeta hormozganica", "Nepeta hymenodonta", "Nepeta jakupicensis", "Nepeta jomdaensis", "Nepeta juncea", "Nepeta knorringiana", "Nepeta koeieana", "Nepeta kokamirica", "Nepeta kokanica", "Nepeta komarovii", "Nepeta kotschyi", "Nepeta kurdica", "Nepeta kurramensis", "Nepeta ladanolens", "Nepeta lagopsis", "Nepeta lamiopsis", "Polyommatus shahkuhensis", "Rosa \u00d7 barbieriana", "Rosa moyesii var. pubescens", "Erateina amazonia", "Erateina artabates", "Erateina garrulata", "Erateina meduthina", "Erateina rogersi", "Erateina siliquata", "Erateina staudingeri", "Erateina subjunctaria", "Erateina zoraida", "Tuberolachnus macrotuberculatus", "Acaricis urigersoni", "Pseudoeuraphia montgomeryi", "Euraphia calcareobasis", "Euraphia devaneyi", "Euraphia hembeli", "Chinochthamalus scutelliformis", "Clonorchis sinensis", "Jehlius gilmorei", "Opsariichthys brevistomatus", "Opsariichthys dorsoarcus", "Opsariichthys longianalis", "Channa quangtriensis", "Channa centrala", "Chamaesipho columna", "Orestias cuvieri", "Orestias humboldti", "Pseudaphelia ansorgei", "Pseudaphelia appolinaris", "Pseudaphelia appolinaris appolinaris", "Pseudaphelia appolinaris barotsina", "Pseudaphelia flava", "Ellisembia coronata", "Pseudaphelia karemii", "Pseudaphelia luteola", "Pseudaphelia roseibrunnea", "Pseudaphelia simplex", "Maltagorea fusicolor", "Usta alba", "Usta angulata", "Usta subangulata", "Usta terpsichore", "Usta wallengrenii", "Tagoropsis flavinata", "Tagoropsis genoviefae", "Ellisembia adscendens", "Tagoropsis hanningtoni", "Tagoropsis hecqui", "Tagoropsis lambertoni", "Tagoropsis lupina", "Aphanius shirini", "Tagoropsis rougeoti", "Seidenfadenia mitrata", "Rosa subsect.", "Neocaeculus imperfectus", "Agriades aegagrus", "Agriades glandon", "Agriades pheretiades", "Platyptilia swynnertoni", "Walsinghamiella selinda", "Stenoptilia melgarejae", "Adaina coquimboae", "Adaina quieta", "Adaina recta", "Adaina sinuari", "Hellinsia ascensio", "Hellinsia banosae", "Hellinsia bodneri", "Hellinsia cajas", "Hellinsia caligo", "Hellinsia callefloridae", "Hellinsia cosangae", "Hellinsia cuenca", "Hellinsia hamadryadis", "Hellinsia jannitae", "Hellinsia limariae", "Hellinsia llaviuco", "Hellinsia loja", "Hellinsia longeanellus", "Hellinsia paraguariae", "Hellinsia podocarpa", "Hellinsia sanlucasia", "Hellinsia sapucayae", "Hellinsia tenera", "Glaucopsyche aeruginosa memorabilis", "Glaucopsyche charybdis", "Erateina puellaastuta", "Erateina kuczynskii", "Sitta przewalskii", "Acrasia dukei", "Acrasia monticola", "Acrasia robusta", "Acrasia accepta", "Acrasia amoena", "Acrasia lechriogramma", "Acrasia grandis", "Acrasia similis", "Acrasia nyangica", "Acrasia avellanata", "Acrasia lenzi", "Acrasia sympatrica", "Acrasia chimalensis", "Acrasia drakensbergensis", "Acrasia ava", "Acrasia punctillata", "Panhyperochia ingens", "Anolis cristatellus", "Rhamphorrhina bertolonii", "Dichotomius calcaratus", "Rosa \u00d7 piptocalyx", "Rosa \u00d7 schischkinii", "Ribautiana alces", "Ribautiana cruciata", "Ribautiana scalaris", "Ribautiana debilis", "Ribautiana foliosa", "Ribautiana luculla", "Ribautiana multispinosa", "Ribautiana ognevi", "Ribautiana parapiscator", "Ribautiana piscator", "Ribautiana sciotoensis", "Ribautiana trifurcata", "Ribautiana unca", "Rosa subsect.", "Astragalus mayeri", "Edraianthus horvatii", "Laserpitium ochridanum", "Rosa albertii", "Rosa alexandrae", "Rosa uniflorella", "Rosa uniflorella subsp. uniflorella", "Rosa uniflorella subsp. adenopetala", "Rosa uniflora", "Hypselobarbus pulchellus", "Hypselobarbus dobsoni", "Hypselobarbus jerdoni", "Hypselobarbus thomassi", "Pethia setnai", "Encyclia osmantha", "Encyclia dichroma", "Lebistina caffra", "Frullania toropuku", "Encyclia gallopavina", "Heteroscyphus dentammophilus", "Heteroscyphus parallelifolius", "Heteroscyphus stoloniferus", "Heteroscyphus menziesii", "Lejeunea subelobata", "Rosa \u00d7 housei", "Rosa \u00d7 rudiuscula", "Stigmoctenoplusia aeneofusa", "Rosa sambucina", "Rosa sambucina var. pubescens", "Rosa sambucina var. sambucina", "Luthrodes boopis", "Ochromolopis ramapoella", "Parochromolopis parishi", "Parochromolopis syncrata", "Blastobasis virgatella", "Blastobasis adustella", "Blastobasis divisus", "Blastobasis insularis", "Blastobasis laurisilvae", "Blastobasis nigromaculata", "Blastobasis ochreopalpella", "Blastobasis pica", "Blastobasis rebeli", "Blastobasis salebrosella", "Blastobasis serradaguae", "Blastobasis splendens", "Blastobasis subdivisus", "Blastobasis wollastoni", "Seegeriella pinifolia", "Seegeriella crothersii", "Luthrodes buruana", "Luthrodes buruana buruana", "Luthrodes buruana soamis", "Chthamalus angustitergum", "Pterodroma rupinarum", "Chthamalus anisopoma", "Chthamalus antennatus", "Chthamalus barnesi", "Chthamalus bisinuatus", "Chthamalus challengeri", "Chthamalus cirratus", "Chthamalus dalli", "Chthamalus dentatus", "Chthamalus fissus", "Cucullia cineracea", "Cucullia cineracea cineracea", "Cucullia cineracea cyanogrisea", "Cucullia cineracea argyllacea", "Cucullia cineracea nagyapo", "Cucullia duplicata", "Cucullia duplicata duplicata", "Cucullia duplicata orophila", "Cucullia thomasi", "Cucullia thomasi thomasi", "Cucullia thomasi perscripta", "Arctomia borbonica", "Rosa agrestis", "Rosa mollis", "Empicoris vagabundus", "Nepeta densiflora", "Nepeta dentata", "Nepeta denudata", "Nepeta distans", "Nepeta duthiei", "Nepeta elliptica", "Nepeta elymaitica", "Nepeta eremokosmos", "Nepeta eremophila", "Nepeta eriosphaera", "Nepeta eriostachya", "Nepeta ernesti-mayeri", "Nepeta everardii", "Nepeta foliosa", "Nepeta fordii", "Nepeta formosa", "Nepeta freitagii", "Nepeta glechomifolia", "Nepeta gloeocephala", "Nepeta glomerulosa", "Nepeta glutinosa", "Nepeta gontscharovii", "Nepeta graciliflora", "Ionaspis granvina", "Neides tipularius", "Catomerus polymerus", "Tetrachthamalus sinensis", "Tetrachthamalus oblitteratus", "Dipturus crosnieri", "Dipturus acrobelus", "Dipturus apricus", "Dipturus healdi", "Dipturus melanospilus", "Dipturus queenslandicus", "Gastroptychus novaezelandiae", "Uroptychus tomentosus", "Munida chathamensis", "Meganola medialis", "Meganola mediofracta", "Meganola megistosoma", "Meganola melanographica", "Meganola minorata", "Meganola modestalis", "Meganola nigromixtalis", "Meganola nivalitincta", "Meganola nudalis", "Meganola obliquivittata", "Meganola oleaginalis", "Meganola patricia", "Meganola oreodrymona", "Meganola pachygrapha", "Meganola parafuscatalis", "Meganola poliographa", "Meganola proceropteryx", "Meganola psarographa", "Meganola rubiginealis", "Meganola rubiginotincta", "Meganola saalmuelleri", "Meganola subfuscigera", "Meganola subterminalis", "Meganola swierstrai", "Rosa subsect.", "Rosa nothosect.", "Rosa serafinii", "Rosa turcica", "Rosa zalana", "Rosa iberica", "Ochromolopis ictella", "Ochromolopis zagulajevi", "Phaulernis dentella", "Encyclia patens", "Anablepsoides gamae", "Anablepsoides ottonii", "Anablepsoides henschelae", "Anablepsoides roraima", "Encyclia bracteata", "Anablepsoides jari", "Anablepsoides lineasoppilatae", "Apistogramma helkeri", "Neenchelys diaphora", "Neenchelys pelagica", "Neenchelys similis", "Neenchelys cheni", "Encyclia flava", "Neenchelys daedalus", "Spathoglottis affinis", "Orleanesia amazonica", "Akkaia taiwana", "Trichomycterus gasparinii", "Trichomycterus mimosensis", "Melanorivulus leali", "Sitta europaea europaea", "Sitta europaea caesia", "Sitta cinnamoventris", "Sitta neglecta", "Romna albata", "Romna bicolor", "Romna cuneata", "Neenchelys microtretus", "Neenchelys parvipectoralis", "Acanthoplesiops cappuccino", "Astragalus johnstonii", "Chthamalus fragilis", "Chthamalus malayensis", "Epidendrum myrmecophorum", "Chthamalus montagui", "Prosthechea megahybos", "Chthamalus moro", "Chthamalus panamensis", "Chthamalus proteus", "Chthamalus sinensis", "Chthamalus southwardi", "Chthamalus stellatus", "Oncidium gramineum", "Oncidium amazonicum", "Gerontha ampliptera", "Gerontha namhaensis", "Tyttobrycon marajoara", "Hollandichthys taramandahy", "Luthrodes cleotas clitophon", "Melanitta deglandi", "Eupithecia tenellata", "Eupithecia elbursiata", "Oncidium tigroides", "Eupithecia icterata icterata", "Eupithecia icterata iranata", "Eupithecia pseudoicterata", "Lota maculata", "Eupithecia problematicata", "Eupithecia pfeifferata", "Eupithecia forsterata", "Luthrodes cleotas", "Sinowatsonia hoenei hoenei", "Rosa \u00d7 rouyana", "Encyclia advena", "Rosa nothosect.", "Luthrodes cleotas arruana", "Luthrodes cleotas cleotas", "Opodiphthera eucalypti", "Nesiergus insulanus", "Psilota shewelli", "Psilota exilistyla", "Psilota nana", "Epidendrum ciliare", "Stiphodon niraikanaiensis", "Potamotrygon amandae", "Potamotrygon pantanensis", "Eupithecia weigti", "Eupithecia achyrdaghica", "Eupithecia pfeifferi", "Eupithecia ericeata", "Eupithecia reisserata", "Eupithecia scalpata", "Rosa \u00d7 consanguinea", "Rosa \u00d7 stylosa", "Rosa \u00d7 paulii", "Eupithecia oxycedrata", "Eupithecia indigata", "Eupithecia kunzi", "Eupithecia pseudocastigata", "Eupithecia arenbergeri", "Epidendrum filicaule", "Rosa pouzinii", "Rosa abyssinica", "Gymnocalycium baldianum", "Homophileurus waldenfelsi", "Eriosyce heinrichiana", "Rosa barbeyi", "Rosa heckeliana", "Rosa mairei", "Desmometopa aczeli", "Desmometopa aldabrae", "Desmometopa atypica", "Desmometopa blantoni", "Desmometopa argentinica", "Desmometopa evanescens", "Desmometopa flavipalpis", "Desmometopa glaucanota", "Desmometopa floridensis", "Desmometopa gressitti", "Desmometopa lucidifrons", "Desmometopa magnicornis", "Desmometopa leptometopoides", "Desmometopa indistincta", "Harttia absaberi", "Melanitta americana", "Parotocinclus seridoensis", "Serranus aliceae", "Pieris oleracea frigida", "Pieris cheiranthi cheiranthi", "Pieris cheiranthi benchoavensis", "Rosa henryi", "Rosa crocacantha", "Rosa duplicata", "Rosa lasiosepala", "Agave macroacantha", "Rosa cerasocarpa", "Prosthechea allemanii", "Rosa subsect.", "Rosa glauca", "Epidendrum ramosum", "Epidendrum strobiliferum", "Epidendrum paranaense", "Epidendrum chlorinum", "Leptaulopus damasi", "Epidendrum latilabre", "Epidendrum caldense", "Leptaulopus erythrozonatus", "Constantia rupestris", "Epidendrum cogniauxianum", "Pastinaca yildizii", "Scilla vardaria", "Dracula vampira", "Rhynchobatus immaculatus", "Dipturus amphispinus", "Hypochrysops fuscus", "Hypolycaena daawiae", "Chilades lajus", "Kyphosus azureus", "Chilades lajus athena", "Chilades lajus cromyon", "Kyphosus bigibbus", "Kyphosus sydneyanus", "Chilades lajus koshunensis", "Chilades lajus lajus", "Kyphosus cinerascens", "Pyrgus serratulae", "Pyrgus serratulae serratulae", "Pyrgus serratulae shuksini", "Rosa woodsii", "Rosa woodsii subsp. ultramontana", "Chilades lajus leucofasciatus", "Chilades lajus tavoyanus", "Kyphosus cornelii", "Kyphosus elegans", "Conostigmus neotubifer", "Kyphosus hawaiiensis", "Kyphosus ocyurus", "Rosa \u00d7 iwara", "Neoperla lihuae", "Neoperla yanlii", "Dilar hastatus", "Dilar spectabilis", "Dilar taibaishanus", "Pagurus pseudosculptimanus", "Stenocercus arndti", "Periclimenaeus denticulodigitus", "Amazophrynella manaos", "Gredzinskiya lamellaris", "Gredzinskiya serrata", "Gredzinskiya spinalis", "Gredzinskiya zhangae", "Musbrnoia angusta", "Kyphosus vaigiensis", "Desmometopa kandyensis", "Desmometopa latigena", "Desmometopa nearctica", "Desmometopa nigeriae", "Desmometopa melanderi", "Desmometopa meridionalis", "Desmometopa obscurifrons", "Desmometopa nigrohalteralis", "Desmometopa nudigena", "Desmometopa postorbitalis", "Desmometopa propeciliata", "Desmometopa parafacialis", "Desmometopa philippinensis", "Desmometopa pleuralis", "Desmometopa srilankae", "Desmometopa saguaro", "Desmometopa woldai", "Desmometopa stilbopleura", "Desmometopa terminalis", "Desmometopa sabroskyi", "Desmometopa brachycephala", "Desmometopa dolichocephala", "Desmometopa flavicornis", "Desmometopa glandulifera", "Desmometopa nigrifemorata", "Desmometopa microps", "Desmometopa singaporensis", "Desmometopa sordida", "Desmometopa tarsalis", "Desmometopa varipalpis", "Desmometopa m-nigrum", "Desmometopa interfrontalis", "Desmometopa inaurata", "Desmometopa glabrifrons", "Desmometopa flavicoxa", "Desmometopa discipalpis", "Desmometopa ciliata", "Hime pyrhistion", "Hime japonica", "Cytherella maremensis", "Rosa subsect.", "Rosa subsect.", "Epidendrum orchidiflorum", "Rosa \u00d7 makinoana", "Ajuga boninsimae", "Rosa wardii", "Athis pinchoni", "Agriades pheretiades pheretiades", "Agriades pheretiades lara", "Agriades pheretiades sveta", "Agriades glandon glandon", "Agriades glandon ustjuzhanini", "Rosa roopae", "Rosa murielae", "Chromis yamakawai", "Chromis kennensis", "Pterois brevipectoralis", "Cryptomyzus ribis", "Bathylasma corolliforme", "Bathylasma corrugatum", "Musbrnoia lata", "Musbrnoia corollaris", "Rosa nothosect.", "Hohenbergia lativaginata", "Weberbauerella chilensis", "Drosera riparia", "Drosera chimaera", "Bathylasma alearum", "Bathylasma aucklandicum", "Tongeia fischeri", "Tongeia fischeri fischeri", "Tongeia fischeri antropovi", "Tongeia fischeri doroshkini", "Tongeia fischeri caudalis", "Tongeia fischeri sachalinensis", "Tongeia fischeri dea", "Tongeia germani", "Tongeia bisudu", "Tongeia arata", "Plebejus argyrognomon argyrognomon", "Rosa \u00d7 pulcherrima", "Kessleria egregiella", "Kessleria mixta", "Luthrodes cleotas kaiphas", "Epidendrum cooperianum", "Kessleria alpicella", "Kessleria alternans", "Epidendrum sculptum", "Kessleria wehrlii", "Kessleria nivescens", "Kessleria macedonica", "Kessleria burmanni", "Chilades eleusis", "Epidendrum patens", "Epidendrum revolutum", "Chilades elicola", "Rosa lichiangensis", "Rosa maximowicziana", "Kessleria hauderi", "Rosa pricei", "Kessleria diabolica", "Rosa deqenensis", "Kessleria brevicornuta", "Luthrodes ella", "Kessleria brachypterella", "Kessleria petrobiella", "Luthrodes galba", "Pristiophorus lanae", "Kessleria albomaculata", "Kessleria albescens", "Kessleria inexpextata", "Romna nigrovenosa", "Romna oculata", "Romna ornata", "Romna pallida", "Romna uniformis", "Romna variegata", "Romna capsoides", "Romna scotti", "Romna tenera", "Romna pallescens", "Romna rubisura", "Rosa glomerata", "Coenosia macrotriseta", "Novotinea andalusiella", "Tinea exquisita", "Banghaasia lidefonsella", "Niphonympha albella", "Yponomeuta plumbella", "Luthrodes cleotas excellens", "Kessleria rufella", "Kessleria zimmermanni", "Kessleria albanica", "Kessleria caucasica", "Kessleria longipenella", "Kessleria pyrenaea", "Nordmaniana ribesiella", "Swammerdamia aulosema", "Zelleria oleastrella", "Aizoon canariense", "Aizoon paniculatum", "Passerina ericoides", "Paraswammerdamia conspersella", "Paraswammerdamia lapponica", "Paraswammerdamia lutarea", "Paraswammerdamia caesiella", "Luthrodes cleotas gades", "Paraswammerdamia iranella", "Paraswammerdamia ornichella", "Pseudocalantica anas", "Pseudoswammerdamia combinella", "Yponomeuta padellus", "Rosa kwangtungensis", "Epidendrum proligerum", "Rosa ser.", "Epidendrum ammophilum", "Rosa ser.", "Rosa ser.", "Epidendrum parahybunense", "Epidendrum vesicatum", "Stachys aegyptiaca", "Cephalanthera kurdica", "Eviota oculopiperita", "Eviota geminata", "Epidendrum dendrobioides", "Microgaster deductor", "Dolichopus malekii", "Jiucunella phaseloa", "Neokunmingella moroensis", "Bathylasma costatum", "Glaucopsyche argali", "Glaucopsyche argali argali", "Glaucopsyche argali arkhar", "Glaucopsyche argali chingiz", "Bathylasma hirsutum", "Cynodonichthys azurescens", "Cynodonichthys xi", "Cynodonichthys pivijay", "Cynodonichthys ribesrubrum", "Cynodonichthys elegans", "Agriades glandon saluki", "Agriades glandon brutus", "Agriades glandon rubini", "Agriades glandon batchimeg", "Bathylasma rangatira", "Satyrium turkmanica", "Epidendrum corymbosum", "Epidendrum loefgrenii", "Colias hecla", "Colias hecla hecla", "Colias hecla viluiensis", "Epidendrum \u00d7 purpureum", "Colias hecla hela", "Colias hecla sulitelma", "Colias hecla aquilonaris", "Colias hecla chilkana", "Colias hyperborea", "Colias hyperborea hyperborea", "Wulfenia carinthiaca", "Anthocharis cardamines cardamines", "Rumex pseudonatronatus", "Anthocharis cardamines progressa", "Pontia callidice callidice", "Cenolophium denudatum", "Pontia callidice nelsoni", "Kessleria helvetica", "Kessleria klimeschi", "Kessleria caflischiella", "Yponomeuta polystigmellus", "Zelleria hepariella", "Rosa \u00d7 beanii", "Nepeta lasiocephala", "Nepeta latifolia", "Nepeta leucolaena", "Nepeta linearis", "Nepeta lipskyi", "Nepeta longibracteata", "Nepeta longiflora", "Nepeta ludlow-hewittii", "Nepeta mahanensis", "Nepeta mariae", "Papuadessus baueri", "Nepeta maussarifii", "Nepeta melissifolia", "Nepeta membranifolia", "Nepeta menthoides", "Nepeta micrantha", "Nepeta minuticephala", "Nepeta mirzayanii", "Nepeta monocephala", "Nepeta monticola", "Nepeta multibracteata", "Nepeta multicaulis", "Nepeta multifida", "Rosa nothosect.", "Sinskolutella cuspidata", "Jixinlingella daimonikoa", "Mongolitubulus anthelios", "Jurodes daohugouensis", "Jurodes pygmaeus", "Oplegnathus fasciatus", "Prisciba serrata", "Prisciba dominicana", "Hylomyscus kerbispeterhansi", "Munidopsis alfredolaguardai", "Drimia stenocarpa", "Pelargonium pallidoflavum", "Pelargonium sabulosum", "Pelargonium weberi", "Pelargonium flavidum", "Alloxysta buffingtoni", "Alloxysta huberi", "Alloxysta texana", "Alloxysta neartica", "Alloxysta vicenti", "Arhopala paraganesa insula", "Rosa freitagii", "Epidendrum geniculatum", "Epidendrum hololeucum", "Epidendrum paniculosum", "Epidendrum saxatile", "Rosa platyacantha subsp. platyacantha", "Rosa platyacantha subsp. crassipes", "Hexelasma americanum", "Vejdovskybathynella vasconica", "Hexelasma arafurae", "Hexelasma brintoni", "Calitys minor", "Hexelasma callistoderma", "Hexelasma gracilis", "Sennertia punctatus", "Sennertia xylocopi", "Neopectinimura devosi", "Neopectinimura trichodes", "Neopectinimura walmakensis", "Tanna aquilonia", "Habrobathynella borraensis", "Callophrys suaveola suaveola", "Neophyllobius quercus", "Xylena czernilai", "Coenonympha oedippus oedippus", "Coenonympha oedippus magna", "Chazara heydenreichi", "Chazara heydenreichi heydenreichi", "Chazara heydenreichi gusakovi", "Quercus afares", "Mesolasma fosteri", "Mesolasma newmani", "Prosthechea bulbosa", "Tessarelasma pilsbryi", "Catasetum labiatum", "Phaenoglyphis jeffersoni", "Phaenoglyphis kenaii", "Furcaspis douglorum", "Hemiberlesia andradae", "Ectobius kohlsi", "Alexandrium diversaporum", "Rosa ecae", "Tetrachaelasma southwardi", "Rosa primula", "Tetrachaelasma tasmanicum", "Rosa platyacantha", "Rhinolophus kahuzi", "Rhinolophus willardi", "Coenonympha tullia sibirica", "Coenonympha sunbecca sunbecca", "Coenonympha sunbecca alexandra", "Erebia occulta occulta", "Erebia occulta udokanica", "Oeneis altaica", "Oeneis altaica altaica", "Oeneis altaica radnaevi", "Pseudochazara turkestana", "Pseudochazara turkestana turkestana", "Pseudochazara turkestana wakhilkhani", "Satyrus ferula", "Satyrus ferula ferula", "Satyrus ferula liupiuschani", "Satyrus ferula cordulina", "Satyrium sassanides", "Satyrium sassanides sassanides", "Satyrium sassanides mirabilis", "Satyrium deria", "Agriades glandon wosnesenskii", "Melitaea nadezhdae", "Erebia adyte", "Erebia adyte adyte", "Erebia adyte polonina", "Luthrodes mindora", "Hexelasma leptoderma", "Stachys namazdaghensis", "Hexelasma nolearia", "Hexelasma triderma", "Silene laxa", "Hexelasma velutinum", "Euphydryas discordia", "Euphydryas discordia discordia", "Euphydryas discordia kartlica", "Paralasa kusnezovi bektur", "Chilades naidina", "Rosa kokanica", "Abyssocladia atlantica", "Lycopodina communis", "Lycopodina ecoprof", "Asbestopluma inexpectata", "Asbestopluma voyager", "Cladorhiza diminuta", "Trichopeltarion danieleae", "Rosa koreana", "Rosa taronensis", "Cambarus hatfieldi", "Nadzikambia baylissi", "Rosa tsinglingensis", "Haplophyllum dauricum", "Rosa sikangensis", "Coendou baturitensis", "Vihualpenia lithraeophaga", "Rosa graciliflora", "Echinogammarus haraktis", "Rosa hemisphaerica var. rapinii", "Melitaea elisabethae", "Melitaea elisabethae elisabethae", "Melitaea elisabethae petrimagnus", "Austrobalanus antarcticus", "Lycaena margelanica", "Lycaena margelanica margelanica", "Lycaena margelanica legezini", "Lycaena margelanica nigra", "Lycaena margelanica gaudibunda", "Grammoptera solai", "Formosotoxotus kucerai", "Luteicenus magnificus", "Necydalis christinae", "Neoplocaederus iranicus", "Pogonocherus ovatoides", "Saphanus kadleci", "Xylotrechus iranicus", "Inocellia rara", "Dodartia orientalis", "Silaum silaus", "Palmorchis sobralioides", "Cordimus debuisonjei", "Cordimus hooijeri", "Cordimus raton", "Meum athamanticum", "Amphictene helenae", "Poecilium latefasciatus", "Taiwanocantharis adentata", "Taiwanocantharis parasatoi", "Taiwanocantharis wittmeri", "Austroperipatus superbus", "Drosophila denruoi", "Praon kurisakiae", "Strongylophthalmyia gigantica", "Strongylophthalmyia papuana", "Strongylophthalmyia rubella", "Strongylophthalmyia sedlaceki", "Strongylophthalmyia shatalkini", "Denopelopia moema", "Doumea skeltoni", "Eoperipatus totoro", "Potentilla thurberi", "Pelvetia canaliculata", "Cattleya \u00d7 amanda", "Cavariella pastinacae", "Aphis sambuci", "Aphis rumicis", "Brachycaudus lychnidis", "Rosa \u00d7 rubrosa", "Cyphoderus songkhlaensis", "Cyphoderus khaochakanus", "Tamarixia aguacatensis", "Amelichloa ambigua", "Anser albifrons flavirostris", "Verbascum creticum", "Verbascum flavidum", "Verbascum flavipannosum", "Verbascum formosum", "Verbascum froedinii", "Verbascum fruticulosum", "Verbascum gadarense", "Verbascum gilaedense", "Verbascum glabratum", "Verbascum glandulosum", "Verbascum guicciardii", "Verbascum karyeteini", "Verbascum laciniatum", "Verbascum letourneuxii", "Verbascum lanatum", "Tongeia filicaudis", "Scantius aegyptius", "Panthea coenobita", "Panthea grisea", "Panthea fuscogrisea", "Panthea florianii", "Panthea roberti", "Pantheana yangzisherpana", "Panthauma egregia", "Dysdercus andreae", "Orthops kalmii", "Lygus pratensis", "Orthops campestris", "Archiasterella charma", "Scalibregma hanseni", "Molopospermum peloponnesiacum", "Rosa turkestanica", "Ranunculus sulphureus", "Rosa zhongdianensis", "Pedicularis hirsuta", "Pedicularis lapponica", "Pedicularis flammea", "Rosa farreri", "Paratalanta annulata", "Paratalanta furcata", "Ceratopogon azari", "Brachypogon freidbergi", "Peritropisca laticostata", "Rosa transmorrisonensis", "Iapir vanini", "Hypsilara autanai", "Hexanchorus angeli", "Supramontana argentina", "Amphisbaena littoralis", "Austrobalanus imperator", "Rosa hemisphaerica", "Austrobalanus macdonaldensis", "Rosa hemisphaerica var. hemisphaerica", "Newmanella kolosvaryi", "Lasiodiplodia euphorbicola", "Newmanella radiata", "Hamacantha boomerang", "Rosa \u00d7 borboniana", "Rosa maximowicziana var. maximowicziana", "Hoplolatilus randalli", "Athrotaxites yumenensis", "Chaetocnemistoptera lobata", "Chaetocnemistoptera magdalena", "Chaetocnemistoptera phaeonota", "Chaetocnemistoptera pityropyga", "Chaetocnemistoptera trichopoda", "Aprostocetus pinus", "Shivaphis pteroceltis", "Imogine qeshmensis", "Brachypoda milicaae", "Brachypoda sokolowi", "Brachypoda rossica", "Leptotarsus buscalioniae", "Leptotarsus contractus", "Leptotarsus cretaceus", "Leptotarsus grimaldii", "Tesseroplax unisemita", "Rosa abrica", "Luthrodes contracta", "Chilades parrhasius minuta", "Chilades parrhasius nila", "Chilades parrhasius parrhasius", "Luthrodes peripatria", "Auchenoglanis biscutatus", "Acrobrycon ortii", "Acrobrycon starnesi", "Plebejidea loewii afghana", "Acrobrycon ipanquianus", "Chilades eleusis eleusis", "Chilades eleusis pharaonis", "Bethelium monticola", "Bethelium novaguineum", "Bethelium cleroides", "Newmanella hentscheli", "Abyssocladia myojinensis", "Abyssocladia natsushimae", "Abyssocladia bruuni", "Abyssocladia claviformis", "Abyssocladia diegoramirezensis", "Abyssocladia umbellata", "Abyssocladia faranauti", "Abyssocladia dominalba", "Abyssocladia huitzilopochtli", "Abyssocladia inflata", "Abyssocladia naudur", "Abyssocladia tecta", "Abyssocladia oxeata", "Athamanthia segetitovi", "Athamanthia athamantis", "Athamanthia churkini", "Athamanthia phoenicura", "Athamanthia rushanica", "Athamanthia sogdiana", "Euphydryas iduna eremita", "Euphydryas iduna gorodinskii", "Melitaea ambrisia", "Melitaea ambrisia ambrisia", "Melitaea ambrisia avicaena", "Melitaea cassandra", "Melitaea infernalis", "Melitaea infernalis infernalis", "Melitaea infernalis carmen", "Melitaea infernalis rosei", "Leptotarsus ibericus", "Leptotarsus martinsnetoi", "Procretevania mitis", "Jinjuichthys cheongi", "Hypophylloceras danubiense", "Phyllopachyceras petkovici", "Holcophylloceras avrami", "Dryinus splendidus", "Aphis craccae", "Rosa maximowicziana var. pilosa", "Rosa maximowicziana var. coreana", "Hyperomyzus lactucae", "Aphis lactucae", "Rosa kunmingensis", "Rosa langyashanica", "Rosa miyiensis", "Luthrodes pandava insularis", "Luthrodes pandava lanka", "Luthrodes pandava pandava", "Luthrodes pandava vapanda", "Rosa rubus", "Rosa daishanensis", "Temnothorax pilagens", "Rosa derongensis", "Rosa ludingensis", "Rosa shangchengensis", "Rosa weisiensis", "Polistes brunetus", "Rosa soulieana", "Rosa soulieana var. soulieana", "Sphodromantis viridis", "Apteromantis aptera", "Rosa soulieana var. microphylla", "Rosa soulieana var. sungpanensis", "Perlamantis allibertii", "Rosa soulieana var. yunnanensis", "Elaphidion tocanum", "Melitaea pallas pallas", "Melitaea pallas iracunda", "Melitaea cinxia aversa", "Melitaea pallas mendax", "Melitaea pallas interpres", "Melitaea pallas vaschenkoi", "Melitaea pallas pseudoalpina", "Melitaea pallas koitezek", "Melitaea solona", "Melitaea solona solona", "Melitaea solona evadne", "Melitaea solona filipjevi", "Melitaea solona pletnevi", "Melitaea solona plyushchi", "Melitaea sultanensis", "Melitaea sultanensis sultanensis", "Melitaea sultanensis gabrielae", "Melitaea sultanensis sebastiani", "Melitaea sultanensis palamedes", "Melitaea sultanensis balbina", "Melitaea balba", "Melitaea phoebe", "Melitaea phoebe phoebe", "Tetraneura ulmi", "Melitaea ludmilla", "Melitaea ludmilla ludmilla", "Melitaea ludmilla serene", "Melitaea arcesia", "Melitaea arcesia aresia", "Melitaea arcesia dea", "Melitaea turanica", "Anomalomeuta dondavisi", "Spiladarcha derelicta", "Atteva fabriciella", "Atteva wallengreni", "Atteva yanguifella", "Ecnomus australindicus", "Ecnomus maniculatus", "Ecnomus occidicollis", "Yamaguchiella coerulescens", "Neonrosella vitiata", "Hypoponera ergatandria", "Parvanachis dichroma", "Parvanachis adamsi", "Terminalichus sanya", "Calyptooecia conuma", "Hippotrema fissurata", "Uperoleia stridera", "Oecetis angelae", "Oecetis danielae", "Oecetis iara", "Madapolystoma cryptica", "Madapolystoma ramilijaonae", "Caligus chamelensis", "Cortinarius bovarius", "Platycephalus grandispinis", "Pempheris flavicycla", "Pempheris flavicycla flavicycla", "Aetobatus narutobiei", "Cyanea kauaulaensis", "Rosa caballicensis", "Rosa sericea", "Rosa sericea subsp. sericea", "Astrothelium inspersaeneum", "Rosa sericea subsp. omeiensis", "Papahu taitapu", "Hipparion phlegrae", "Afrophoca libyca", "Parvavis chuxiongensis", "Aristonectes quiriquinensis", "Chilades eleusis podorina", "Chilades eleusis nigeriae", "Chilades eleusis strigatus", "Uroleucon cirsii", "Hyphessobrycon kayabi", "Cyphocharax aninha", "Listrura depinnai", "Maxillaria pterocarpa", "Camaridium carinatum", "Camaridium iguapense", "Camaridium imbricatum", "Camaridium hoehnei", "Maxillaria valenzuelana", "Trinodes caneparii", "Elleanthus crinipes", "Rosa mulliganii", "Scolytus rabaglii", "Astroclita longicostata", "Chiloschista lunifera", "Orthosia ronkayorum", "Choerophryne gracilirostris", "Placomerus obscuratus", "Procryphocricos macoita", "Procryphocricos quiu", "Anolis peucephilus", "Leptolalax sabahmontanus", "Pachyphymus namaquensis", "Pachyphymus samwaysi", "Munidopsis mandelai", "Chilades parrhasius", "Psammoecus hiranoi", "Lissaclita melaniae", "Eupelmus vesicularis", "Rosa \u00d7 momiyamae", "Persicaria attenuata", "Lagomeryx manai", "Errachidia pentaspinosa", "Homalopagus multispinosus", "Magrebichthys nelsoni", "Timia altaica", "Timia mokhnata", "Desmopachria andreae", "Palaeopolistes jattioti", "Ramiellona microscolecina", "Ramiellona teapaensis", "Ramiellona tojolabala", "Hydrellia bocaiuvensis", "Hydrellia longiseta", "Hydrellia schneiderae", "Hydrellia similis", "Hydrellia simplex", "Hydrellia vilelai", "Ashleychelys palmeri", "Procolpochelys charlestonensis", "Dormaalocyon latouri", "Sarcophyton aldersladei", "Sarcophyton alexanderi", "Sarcophyton skeltoni", "Sarcophyton soapiae", "Sarcophyton aalbersbergi", "Tesseropora alba", "Tesseropora arnoldi", "Tesseropora atlantica", "Tesseropora pacifica", "Tannuolina maroccana", "Austrotritia lebronneci", "Microtritia stria", "Acrotritia cunangra", "Diorygma longisporum", "Brachycaudus cardui", "Pyrenula sanguinea", "Uroleucon tanaceti", "Bulbothrix bulbillosa", "Macrosiphoniella absinthii", "Uroleucon jaceae", "Bulbothrix lyngei", "Glyphina betulae", "Lachnus roboris", "Coenogonium aurantiacum", "Coenogonium borinquense", "Chilades roemli", "Coenogonium dimorphicum", "Coenogonium portoricense", "Chilades saga", "Leptotes sanctithomae", "Chilades serrula", "Elleanthus graminifolius", "Austrotritia quadricarinata", "Austrotritia finlandica", "Austrotritia didyma", "Austrotritia fissurata", "Austrotritia dentata", "Austrotritia gibba", "Austrotritia herenessica", "Austrotritia kinabaluensis", "Austrotritia ramsayi", "Austrotritia engelbrechti", "Austrotritia singaporensis", "Ootypus globosus", "Pythium phragmiticola", "Begonia motozintlensis", "Begonia macvaughii", "Begonia martinezii", "Begonia tlapensis", "Oregonichthys kalawatseti", "Barbus gulielmi", "Creagrutus changae", "Copella vilmae", "Paralasa hades maida", "Paralasa hades yaktchashma", "Paralasa ali", "Cyclocheilichthys janthochir", "Paralasa nero", "Brevoortia tyrannus", "Chorda filum", "Paralasa afghana", "Sobralia yauaperyensis", "Edwardsiella andrillae", "Talaromyces atroroseus", "Aspergillus pernambucoensis", "Aspergillus caatingaensis", "Corynesporella bannaense", "Paradendryphiopsis elegans", "Minimelanolocus bicolorata", "Melitta avontuurensis", "Melitta richtersveldensis", "Tesseropora isseli", "Dianthus pseudocrinitus", "Utricularia julianae", "Uvaria huana", "Tesseropora rosea", "Pycnophyes almansae", "Tesseropora wireni", "Furnishina holmi", "Westergaardodina asinina", "Austrotritia unicarinata", "Austrotritia saraburiensis", "Austrotritia robusta", "Austrotritia bryani", "Tesseropora africana", "Brachionus plicatilis", "Tylotus laqueatus", "Rosa \u00d7 koehneana", "Rosa \u00d7 novae-angliae", "Rosa sweginzowii", "Euonymus boninensis", "Tetraclita achituvi", "Tetraclita alba", "Diospilus angorensis", "Zodarion bigaense", "Linaria genistifolia subsp. linifolia", "Paralasa bogutena", "Paralasa bogutena bogutena", "Paralasa bogutena ekinchi", "Branta bernicla orientalis", "Branta bernicla hrota", "Branta bernicla bernicla", "Phengaris cyanecula cyanecula", "Phengaris cyanecula sauron", "Phengaris cyanecula arven", "Phengaris teleius kazamoto", "Crenicichla wallacii", "Characodon lateralis", "Wikstroemia pseudoretusa", "Euphydryas phaeton", "Euphydryas phaeton phaeton", "Euphydryas phaeton ozarkae", "Euphydryas iduna alferakyi", "Euphydryas iduna semenovi", "Euphydryas iduna sajana", "Euphydryas iduna inexpectata", "Chilades yunnanensis", "Euphydryas gillettii", "Euphydryas chalcedona", "Euphydryas chalcedona chalcedona", "Euphydryas chalcedona olancha", "Euphydryas chalcedona macglashanii", "Euphydryas chalcedona sperryi", "Heteropecten paranaensis", "Maratus avibus", "Maxillaria paranaensis", "Rosa collettii", "Pseudoeurycea kuautli", "Trachycephalus helioi", "Nemapalpus parvus", "Eldoradina cyanea", "Cyclargus erembis", "Thottea sasidharaniana", "Trachycarpus ravenii", "Miliusa astiana", "Miliusa cambodgensis", "Miliusa ninhbinhensis", "Arremon kuehnerii", "Metanephrocerus belgardeae", "Nemacerota sejilaa", "Ampithoe hughesae", "Elasmopus atollicus", "Elasmopus ora", "Iphimedia garciensis", "Latigammaropsis salomanensis", "Quadrimaera frater", "Troxodania magnifica", "Pseudopygmephorellus troxi", "Pediacus australis", "Pediacus carinatus", "Allolobophora ruzsai", "Stomaphis quercus", "Maxillaria crocea", "Euphydryas aurinia emba", "Troglodytes pacificus", "Troglodytes hiemalis", "Ilex chinensis", "Colias hofmannorum", "Itylos fumosus", "Itylos mashenka", "Tetraclita singaporensis", "Itylos pnin", "Itylos titicaca", "Characodon audax", "Hadropleuranella hadropleura", "Rhinichthys cataractae cataractae", "Sinocyclocheilus tileihornes", "Paralasa asura", "Paradiancistrus christmasensis", "Karanasa voigti", "Karanasa voigti voigti", "Karanasa voigti nigrocellata", "Montrouziera cauliflora", "Paralasa shakti", "Scutellaria albida subsp. albida", "Scutellaria albida subsp. colchica", "Scutellaria albida subsp. condensata", "Scutellaria albida subsp. pycnotricha", "Scutellaria albida subsp. subsimilis", "Scutellaria albida subsp. vacillans", "Scutellaria albida subsp. velenovskyi", "Coenonympha amirica", "Lycaena aeolus", "Muschampia antonia", "Muschampia antonia antonia", "Muschampia antonia shivaensis", "Thymus praecox subsp. caucasicus", "Thymus praecox subsp. praecox", "Koellensteinia eburnea", "Rosa \u00d7 archipelagica", "Strigivenifera venata", "Strigivenifera eborea", "Rosa \u00d7 atropurpurea", "Paralasa maracandica", "Tapirira lepidota", "Paralasa kotzscheae", "Paralasa langara", "Paralasa semenovi", "Paralasa icelos", "Paralasa mani", "Paralasa mohabbati", "Paralasa panjshira", "Rosa \u00d7 calocarpa", "Pediacus fujianensis", "Pediacus japonicoides", "Pediacus leei", "Pediacus pendleburyi", "Pediacus sinensis", "Pediacus taiwanensis", "Pediacus thomasi", "Pediacus tabellatus", "Pediacus subglaber", "Pediacus stephani", "Pediacus ommatodon", "Pediacus hesperoglaber", "Pediacus andrewsi", "Pediacus smirnovi", "Pediacus similis", "Pediacus rufipes", "Pediacus ater", "Pediacus montivagus", "Pediacus mexicanus", "Pediacus major", "Pediacus kurosawai", "Pediacus japonicus", "Pediacus gracilis", "Pediacus fuscus", "Pediacus elongatus", "Pediacus depressus", "Pediacus bhutanicus", "Pediacus confertus", "Phyllophaga gramma", "Phyllophaga jeanmathieui", "Phyllophaga pinophilus", "Onychopygia brachyptera", "Acentroptera bita", "Acentroptera lineata", "Glaresis australis", "Glaresis bajaensis", "Glaresis bautista", "Glaresis caenulenta", "Glaresis california", "Glaresis costaricensis", "Glaresis costata", "Glaresis dentata", "Glaresis donaldi", "Glaresis falli", "Glaresis imitator", "Glaresis limbata", "Glaresis montenegro", "Glaresis paramendica", "Glaresis subulosa", "Glaresis tumida", "Glaresis warneri", "Glaresis yanegai", "Glaresis zacateca", "Andricus shuhuti", "Boloria eunomia", "Rhinichthys cataractae dulcis", "Boloria eunomia eunomia", "Rhinichthys cataractae smithi", "Boloria eunomia tenera", "Boloria eunomia exspectata", "Colias aurorina lauta", "Philedone gerningana", "Philedone gerningana gerningana", "Parasapyga boschi", "Parasapyga yvonnae", "Hemiargus ramon", "Rosa nitida", "Hemiargus hanno", "Archaeohelorus polyneurus", "Archaeohelorus tensus", "Multiproductus complantus", "Hyalessa batangensis", "Liriomyza mystica", "Liriomyza prompta", "Katianna maryae", "Nabokovia faga", "Warmingia eugenii", "Monopeltis kabindae", "Lotisma trigonana", "Lotisma trigonana trigonana", "Lotisma trigonana durangoensis", "Lotisma vulcanicola", "Paralasa yamuna", "Erebia progne sayak", "Bulbophyllum laciniatum", "Bulbophyllum nemorosum", "Nousia latifolia", "Bulbophyllum ochraceum", "Bulbophyllum quadricolor", "Bulbophyllum chloropterum", "Orussus areolatus", "Orussus punctulatissimus", "Orussus hanumanus", "Orussus zhui", "Pristocera zata", "Pristocera zela", "Pristocera zintica", "Pristocera zonta", "Pristocera zuncra", "Bonnierella campensis", "Pocillopora bairdi", "Jamides philatus emetallicus", "Spurilla dupontae", "Spurilla onubensis", "Pallenopsis yepayekae", "Palaiargia clarillii", "Palaiargia quandti", "Palaiargia tydecksjuerging", "Palaiargia benkeni", "Kerberellus marcouensis", "Largocephalosaurus qianensis", "Mammillaria spinosissima", "Boana alfaroi", "Boana almendarizae", "Boana maculateralis", "Boana tetete", "Bulbophyllum granulosum", "Leninia stellans", "Bulbophyllum napellii", "Cinara pini", "Gongora nigrita", "Parnassius apollo democratus", "Cuitlauzina pulchella", "Chazara briseis", "Rosa leschenaultiana", "Chazara briseis briseis", "Tetraclita japonica", "Chazara briseis lyrnessus", "Rosa blanda", "Tetraclita reni", "Charadriineopicobia calidris", "Picobia hylocichlae", "Eimeria perkinsae", "Euryhaliotrema longibaculoides", "Euryhaliotrema lisae", "Levisunguis subaequalis", "Laotrombicula fangumi", "Limenandra barnosii", "Rugiloricus manuelae", "Limenandra confusa", "Limenandra rosanae", "Scaphoideus ramamurthyi", "Scaphoideus menoni", "Scaphoideus viraktamathi", "Alburnoides emineae", "Alburnoides recepi", "Alburnoides velioglui", "Diphascon procerum", "Catasetum micranthum", "Macrobiotus insuetus", "Japanagallia gracilenta", "Japanagallia neohamata", "Japanagallia trifurcata", "Japanagallia viraktamathi", "Conaspasia congolana", "Neaspasia coronana", "Neaspasia malamigambo", "Neaspasia karischi", "Catasetum albovirens", "Glaresis orthochilus", "Chiromantis inexpectatus", "Neoglaphyrites discoidalis", "Somoholites miharanoroensis", "Astroclita aoranga", "Siederia talagovensis", "Tetraclita floridana", "Tetraclita formosana", "Bulbophyllum plumosum", "Bulbophyllum bidentatum", "Bulbophyllum cantagallense", "Bracon persiangulfensis", "Loewia papei", "Periclimenaeus aurantiacus", "Macroocula riyadha", "Ambogaster karooi", "Lanthanomyia bockleri", "Lanthanomyia pardos", "Ariasina adusta", "Ariasina gigas", "Tetraclita confinis", "Aucuba japonica var. borealis", "Halomonhystera tangaroa", "Halomonhystera parasitica", "Stegana jianqinae", "Meredithia kraftii", "Meredithia norfolkensis", "Meredithia nutleorum", "Meredithia opuntioides", "Meredithia pseudopeltata", "Meredithia crenata", "Strigivenifera livingstonei", "Strigivenifera marina", "Strigivenifera tanja", "Strigivenifera ocellaris", "Strigivenifera cruisa", "Strigivenifera bartschi", "Strigivenifera albidiscalis", "Strigivenifera oris", "Strigivenifera tatooifera", "Strigivenifera neo", "Ranunculus anatolicus", "Dichrorampha alatavica", "Dichrorampha albicapitana", "Dichrorampha albimacula", "Dichrorampha alpigenana", "Pterocomma salicis", "Koellensteinia tricolor", "Bulbophyllum atropurpureum", "Pachypappa populi", "Asperula bryoides", "Asperula capitellata", "Asperula cilicia", "Asperula cymulosa", "Asperula daphneola", "Asperula glareosa", "Asperula kotschyana", "Asperula littoralis", "Asperula lycia", "Asperula molluginoides", "Asperula xylorrhiza", "Stelis tricolor", "Patrizianella mascellaroae", "Apanteles gielisi", "Cooksonia aliciae", "Cooksonia neavei", "Cooksonia trimeni", "Tetraclita milleporosa", "Dendrodontia hyphopaxillosa", "Rosa nothosect.", "Rosa nothosect.", "Andrographis stenophylla", "Surirella parahelvetica", "Surirella subrotunda", "Persicaria wugongshanensis", "Bulbophyllum micranthum", "Bulbophyllum rupicola", "Zygopetalum sellowii", "Zygopetalum triste", "Hypsolebias antenori", "Cosmotriche lobulina", "Hypsolebias igneus", "Cosmotriche lobulina lobulina", "Cosmotriche monotona", "Cosmotriche lobulina burmanni", "Amastus zischkai", "Symphlebia haenkei", "Phycitodes saxicola", "Bulbophyllum micropetaliforme", "Ilyocypris bavarica", "Ilyocypris hecki", "Bulbophyllum insectiferum", "Bulbophyllum macroceras", "Bulbophyllum mentosum", "Bulbophyllum epiphytum", "Bulbophyllum glutinosum", "Bulbophyllum barbatum", "Nucifraga multipunctata", "Jamides philatus armatheus", "Parotoplana impastatoi", "Parotoplana livatinoi", "Jamides philatus athanetus", "Parotoplana tubifera", "Parotoplana ambrosolii", "Pseudischyrocerus caecus", "Pseudericthonius concavus", "Pseudericthonius bousfieldi", "Notopoma teresae", "Notopoma lowryi", "Myersius denticaudatus", "Bonnierella laurensi", "Sahitisuchus fluminensis", "Alloactinosynnema iranicum", "Rhodoferax saidenbachensis", "Rheinheimera tuosuensis", "Thalassospira povalilytica", "Vallitalea pronyensis", "Labrenzia suaedae", "Roseomonas rhizosphaerae", "Rheinheimera hassiensis", "Rheinheimera muenzenbergensis", "Novosphingobium malaysiense", "Methylomonas lenta", "Paenibacillus lentus", "Chitinimonas viridis", "Struthiochenopus echtleri", "Togocetus traversei", "Nilpenia rossi", "Microhemidiscia greinerti", "Laotrombicula khunboromi", "Ellipsomyxa nigropunctatis", "Ellipsomyxa manilensis", "Ellipsomyxa apogoni", "Ellipsomyxa arothroni", "Myxidium maxi", "Myxidium milleri", "Myxidium scomberomori", "Zschokkella balistoidi", "Zschokkella bicarinatis", "Zschokkella cardinalis", "Zschokkella compressis", "Zschokkella jaimeae", "Zschokkella ohlalae", "Tetraclita rufotincta", "Teremitra fallax", "Vaughanites superstes", "Hortia aotearoa", "Hortia macrocephala", "Hortia marshalli", "Hortia paradrillia", "Hortia priabonica", "Hortia pseudotaranis", "Hortia solitaria", "Hortia spenceri", "Tetraclita serrata", "Maratus volans", "Maratus calcitrans", "Maratus digitatus", "Maratus robinsoni", "Maratus spicatus", "Maratus velutinus", "Maratus purcellae", "Maratus watagansi", "Maratus tasmanicus", "Maratus plumosus", "Maratus caeruleus", "Maratus karrie", "Maratus melindae", "Maratus sarahae", "Maratus mungaich", "Meredithia guiryorum", "Stegana wulai", "Stegana yangi", "Aphaenogaster iranica", "Aphaenogaster balcanicoides", "Aphaenogaster karpathica", "Thoressa panda", "Thoressa serena", "Thoressa viridis", "Thoressa thandaunga", "Thoressa sitala", "Galanthus alpinus var. bortkewitschianus", "Bupleurum martjanovi", "Eriosynaphe longifolia", "Halosciastrum melanotilingia", "Lloydia serotina", "Taeniolina centaurii", "Taeniolina deightonii", "Taeniolina euryae", "Taeniolina schimae", "Lomographa semiclarata", "Lomographa vestaliata", "Pemphigus bursarius", "Lomographa glomeraria", "Lomographa elsinora", "Caltoris beraka", "Caltoris boisduvalii", "Caltoris confusa", "Caltoris cormasa", "Caltoris malaya", "Caltoris mehavagga", "Caltoris plebeia", "Asperula affinis", "Asperula bargyli", "Asperula bornmuelleri", "Asperula brevifolia", "Brachysira subtile", "Encyonopsis vasiljevae", "Eunotia frigida", "Neidium rugosum", "Crucicostulifera bebourensis", "Encyonopsis cilaosensis", "Encyonopsis palmeti", "Notothylas yunnanensis", "Phidippus clarus", "Phaeostemma surinamensis", "Crataegus hatamii", "Crataegus khatamsazae", "Favites monticularis", "Mucilaginibacter polytrichastri", "Sedlacekvia kinchegaensis", "Pseudopoda bicruris", "Pseudopoda mediana", "Pseudopoda tiantangensis", "Philoponella duopunctata", "Philoponella fluviidulcifis", "Philoponella opelli", "Apanteles fujianensis", "Apanteles brevinervus", "Apanteles curvinervus", "Apanteles flavicorpus", "Apanteles grammatitergitus", "Apanteles infirmicarinatus", "Apanteles longitergitus", "Apanteles longus", "Apanteles parviocellus", "Apanteles rugulosus", "Apanteles semilunatus", "Apanteles semirugosus", "Apanteles tenuialatus", "Apanteles tumidus", "Apanteles validicarinatus", "Apanteles varicolor", "Apanteles yunnanensis", "Apanteles angustus", "Planobispora takensis", "Tetraclita kuroshioensis", "Silvinichthys huachi", "Puntius viridis", "Pinus nigra subsp. salzmannii", "Tetraclitella divisa", "Patrizianella grandis", "Tetraclitella karandei", "Patrizianella russoi", "Patrizianella bonaducei", "Patrizianella nucleuspersici", "Tetraclitella multicostata", "Patrizianella simulatecaeca", "Tetraclitella purpurascens", "Patrizianella opaca", "Maxillaria rigida", "Maxillaria pendens", "Tetraclitella judiciae", "Maxillaria pauciflora", "Tetraclitella miocenica", "Tetraclitella nodicostata", "Maxillaria longipetala", "Maxillaria rodriguesii", "Tetraclita porosa", "Tetraclita vitiata", "Tetraclita stalactifera", "Tetraclita squamosa", "Fissuroderes sorenseni", "Mecopomorphus amurensis", "Schistura sexnubes", "Rosa doluchanovii", "Olethreutes pfeifferiana", "Olethreutes ernestiana", "Olethreutes appalachiana", "Govenia tingens", "Olethreutes baccatana", "Olethreutes bicoloranum", "Olethreutes buckellana", "Olethreutes buckellana buckellana", "Olethreutes buckellana albidula", "Olethreutes carolana", "Orthezia urticae", "Olethreutes furfuranum", "Olethreutes nananum", "Olethreutes nordeggana", "Olethreutes polluxana", "Olethreutes rusticanum", "Olethreutes sordidana", "Olethreutes submissanum", "Olethreutes troglodanum", "Olethreutes valdanum", "Olethreutes viburnanum", "Olethreutes trinitana", "Olethreutes tepkhara", "Gongora irmgardiae", "Cydia cytisanthana", "Tetraclita rubescens", "Dichrorampha dubatolovi", "Earophila pseudobadiata", "Tetraclita perfecta", "Temnoplectron politulum", "Anathallis acuminata", "Acorus calamus var. americanus", "Paradasycera insignis", "Casmara nedoshivinae", "Casmara subagronoma", "Casmara exculta", "Bucculatrix lovtsovae", "Theriosynoecum arinnoense", "Theriosynoecum escuchaense", "Rosacythere denticulata", "Udara renevieri", "Delphinium montanum", "Rosa arkansana", "Rosa arkansana var. arkansana", "Procris kermana", "Procris omotoi", "Procris alpina", "Procris rjabovi", "Perigrapha phaeophysciae", "Trichosalpinx cryptantha", "Praephilotes anthracias", "Praephilotes violacea", "Lepanthopsis floripecten", "Turcinoemacheilus kosswigi", "Tetraclita patellaris", "Lepidoscia globigera", "Ficopomatus uschakovi", "Rhinella yunga", "Cycloseris boschmai", "Brachymyrmex brasiliensis", "Brachymyrmex delabiei", "Brachymyrmex feitosai", "Camarotus coccinelloides", "Lepidoscia acropolia", "Lepidoscia chrysastra", "Lepidoscia myriospila", "Lepidoscia niphospila", "Lepidoscia phaeostola", "Lepidoscia sinuosa", "Lepidoscia tetramochla", "Lepidoscia euthygramma", "Lepidoscia ischnomorpha", "Lepidoscia lechriotypa", "Lepidoscia leucochroa", "Lepidoscia melanospora", "Lepidoscia monosticha", "Lepidoscia conioptila", "Lepidoscia cirrhosticha", "Lepidoscia dicranota", "Lepidoscia commatica", "Lepidoscia confluens", "Lepidoscia euctena", "Lepidoscia lenceres", "Lepidoscia muricolor", "Lepidoscia nemorivaga", "Lepidoscia polymeres", "Lepidoscia polystona", "Lepidoscia stenomochla", "Lepidoscia toxoteuches", "Lepidoscia annosella", "Figura bitalensis", "Figura lineata", "Figura ruwenzorica", "Lytopylus persicus", "Allocaeculus sandbergensis", "Brevipalpus noranae", "Oxynoemacheilus chomanicus", "Oxynoemacheilus kurdistanicus", "Oxynoemacheilus zagrosensis", "Glypta cognata", "Glypta daisetsuzana", "Glypta densepunctata", "Glypta flavitarsus", "Glypta ichitai", "Glypta karasawensis", "Glypta nipponica", "Glypta shigaensis", "Glypta suwai", "Glypta touyaensis", "Glypta zenibakoensis", "Forcipomyia nadicola", "Hydrometra strigosa", "Tanaostigmodes lini", "Silene telavivensis", "Cyperus ustulatus", "Cyperus insularis", "Cyperus gunnii", "Cyperus prolifer", "Cyperus sanguinolentus", "Anegleis cardoni", "Rosa stellata", "Cybocephalus leai", "Pabstiella parvifolia", "Rosa stellata subsp. stellata", "Rosa stellata subsp. abyssa", "Cybocephalus australiae", "Callibaetis calloventer", "Callibaetis cruentus", "Callibaetis gelidus", "Callibaetis itannae", "Callibaetis nigracyclus", "Paramisophria koreana", "Paramisophria sinjinensis", "Urodasys poculostylis", "Inocybe aureocitrina", "Mesadenella bicordata", "Mesadenella longipetiolata", "Triglypta eedemtensis", "Dundgobiestheria mandalgobiensis", "Lepidoscia semiota", "Lepidoscia trizona", "Lepidoscia trileuca", "Lepidoscia placoxantha", "Lepidoscia polychrysa", "Lepidoscia eurystola", "Lepidoscia maculifera", "Lepidoscia stictoptera", "Lepidoscia basiferana", "Lepidoscia glabrella", "Lepidoscia magnella", "Lepidoscia ligatus", "Lepidoscia irrorea", "Tetraclitella depressa", "Scorpaena inermis", "Asperula ambleia", "Scorpaena grandicornis", "Scorpaena albifimbria", "Asperula asthenes", "Asperula hirta", "Asperula gunnii", "Asperula virgata", "Asperula charophyton", "Asperula conferta", "Asperula glomerata", "Asperula cunninghamii", "Asperula euryphylla", "Asperula gemella", "Asperula geminifolia", "Asperula gussonei", "Asperula laevigata", "Asperula lilaciflora", "Asperula nitida", "Asperula minima", "Asperula pestalozzae", "Asperula prostrata", "Asperula pusilla", "Asperula rumelica", "Asperula scoparia", "Asperula serotina", "Asperula setosa", "Asperula tenuifolia", "Asperula suavis", "Asperula subsimplex", "Asperula subulifolia", "Asperula syrticola", "Asperula tenella", "Maxillaria leucaimata", "Achromobacter aegrifaciens", "Achromobacter anxifer", "Achromobacter dolens", "Achromobacter insuavis", "Maxillaria lilacea", "Balta amplior", "Balta athertonae", "Balta curvidens", "Balta fragilis", "Balta denticauda", "Balta fratercula", "Balta gemmicula", "Balta kurandae", "Balta luteicosta", "Balta nebulosa", "Balta pallidula", "Balta praestans", "Balta pulchella", "Balta personata", "Balta perpallida", "Balta perscripta", "Balta punctuligera", "Balta quadricaudata", "Balta serraticauda", "Balta torresiana", "Balta transversa", "Balta toowoomba", "Balta stylata", "Balta yorkensis", "Balta verticalis", "Balta ventralis", "Balta godeffroyi", "Anamesia angusta", "Anamesia maculosa", "Anamesia uniformis", "Anamesia lindsayi", "Anamesia lambii", "Anamesia frenchii", "Anamesia fulvornata", "Anamesia douglasi", "Anamesia serrata", "Anamesia walkeri", "Anamesia polyzona", "Raymondionymus paladinii", "Agriloides concavus", "Agriloides kallipygos", "Agrilus amoenus", "Agrilus bifidus", "Agrilus capucinus", "Agrilus costatus", "Agrilus inauratus", "Agrilus forceps", "Agrilus midas", "Agrilus pudendus", "Agrilus similiter", "Bembidion muemo", "Laccobius arfakensis", "Laccobius bacanicus", "Laccobius cyclopicus", "Laccobius gratus", "Laccobius herzoganus", "Laccobius luciae", "Laccobius okapanus", "Laccobius peraclesicus", "Laccobius skalei", "Onthophagus maruyamai", "Onthophagus perakensis", "Onthophagus semiperakensis", "Onthophagus semiworoae", "Onthophagus ulugombakensis", "Lepidoscia amphiscia", "Lepidoscia adelopis", "Lepidoscia saxosa", "Lepidoscia lasiocola", "Lepidoscia euryptera", "Lepidoscia zonarcha", "Lepidoscia stellaris", "Lepidoscia charitodes", "Lepidoscia crepuscularis", "Lepidoscia reticulata", "Lepidoscia phaulodes", "Lepidoscia pygmaea", "Lepidoscia nephelodes", "Lepidoscia apochroa", "Lepidoscia pelochroa", "Lepidoscia carlotta", "Lepidoscia chrysopetala", "Lepidoscia hamalitha", "Lepidoscia cataphracta", "Lepidoscia characota", "Lepidoscia melanarthra", "Lepidoscia chrysura", "Lepidoscia comochora", "Lepidoscia melitora", "Lepidoscia microsticha", "Lepidoscia strigulata", "Lepidoscia tyrobathra", "Lepidoscia chloropetala", "Lepidoscia desmophthora", "Lepidoscia sciodesma", "Lepidoscia raricoma", "Lepidoscia palleuca", "Iphierga magnifica", "Lepidoscia arctiella", "Lepidoscia punctiferella", "Lepidoscia arctodes", "Lepidoscia educta", "Lepidoscia herbicola", "Lepidoscia lignatrix", "Lepidoscia scotinopis", "Lepidoscia sparsa", "Lepidoscia strepsidoma", "Lepidoscia tetraphragma", "Lepidoscia monozona", "Lepidoscia heliozona", "Tetraclitella chinensis", "Lepidoscia bancrofti", "Lepidoscia barysema", "Lepidoscia callista", "Lepidoscia campylota", "Lepidoscia epichrysa", "Lepidoscia epitricha", "Lepidoscia euscia", "Lepidoscia gastromela", "Lepidoscia hemicalyptra", "Lepidoscia holozona", "Lepidoscia hyalistis", "Lepidoscia lasiomicra", "Lepidoscia microzona", "Lepidoscia photidias", "Lepidoscia retinochra", "Postia alni", "Rosa stellata subsp. mirifica", "Rosa nothosect.", "Cybocephalus antilleus", "Cybocephalus baloghi", "Cybocephalus aphrodite", "Cybocephalus ares", "Cybocephalus brazzanus", "Cybocephalus zicsii", "Cybocephalus sibitiensis", "Lasioseius siamensis", "Ampithoe ricaudyana", "Ampithoe takeuchii", "Cymadusa lituus", "Cymadusa paradisaea", "Plumithoe boulari", "Sunamphitoe kanaka", "Sunamphitoe tjiboui", "Hieracium sudetotubulosum", "Rigidoporus grandisporus", "Rigidoporus mariae", "Planothidium bagualensis", "Psilocybe chuxiongensis", "Salvia guaneorum", "Dociostaurus biskrensis", "Cryptanusia comperei", "Rhagovelia victoria", "Rhagovelia divisoensis", "Rhagovelia mangaratiba", "Dissoctena albidella", "Dissoctena affinis", "Dissoctena granigerella", "Dissoctena dumonti", "Dissoctena ellisoni", "Dissoctena pleionella", "Eudissoctena atlanticella", "Eudissoctena maurella", "Eudissoctena minimella", "Eudissoctena minorella", "Ploiaria stehliki", "Eupteryx lautereri", "Eupteryx logvinenkoae", "Artona superba", "Artona aegeriaeformis", "Thibetana witti", "Trachonitis fuscocristella", "Fuscartona martini", "Fuscartona parilis", "Fuscartona funeralis", "Fuscartona uniformis", "Arachotia flaviplaga", "Arachotia hyalina", "Arachotia euglenia", "Amuria cyclops", "Striartona clathrata", "Allobremeria plurilineata", "Aphis verbasci", "Trachylepis gravenhorstii", "Sarothrias morokanus", "Kanekonia leichhardti", "Kanekonia florida", "Aristolochia quangbinhensis", "Kanekonia pelta", "Kanekonia queenslandica", "Coptoglossus leichhardti", "Erisphex aniarus", "Onthophagus dryander", "Onthophagus leichhardti", "Onthophagus murgon", "Onthophagus penedwardsae", "Onthophagus toopi", "Pao barbatus", "Gypsonoma obraztsovi", "Dichrorampha rilana", "Dorsispina furcicornaria", "Scythris bidzilyai", "Scythris abruptella", "Bryaninops annella", "Bryaninops earlei", "Mesostrix nigropyga", "Mesostrix bimaculata", "Allopachria longyanensis", "Dipteropeltis campanaformis", "Hydredes shchetkini", "Hydredes yakobsoni", "Protarchanara mythimnoida", "Calliotropis arenosa", "Ethminolia wareni", "Halystina conoidea", "Linguaserra franzenae", "Nevania aspectabilis", "Nevania perbella", "Basilicus brumbyensis", "Huiyingogramma formosum", "Kalligramma paradoxum", "Juraheterophlebia sinica", "Velodona togata", "Eviota piperata", "Cnemaspis rammalensis", "Cottus schitsuumsh", "Gomesa sessilis", "Rosa bellicosa", "Stemonocera longisystylis", "Macradenia lutescens", "Serapias cordigera", "Microhyla mukhlesuri", "Microhyla mymensinghensis", "Brueelia binhchauensis", "Brueelia malacocincla", "Cyrtodactylus guakanthanensis", "Cnemaspis bidongensis", "Bilyjomyia parallela", "Drilus nemethi", "Gymnoxenisthmus tigrellus", "Multiformis ramosus", "Coccidohystrix insolita", "Dahlica karadagica", "Dahlica pallidella", "Dahlica karatyshica", "Dahlica klimeschi", "Gomesa longipes", "Eudissoctena straminella", "Eudissoctena ochraceella", "Eudissoctena dumonti", "Eudissoctena maroccana", "Eudissoctena aurantiaca", "Eudissoctena ourika", "Eudissoctena toubkalana", "Eudissoctena cognata", "Eilema aistleitneri", "Bucculatrix galinsogae", "Temnothorax anaphalantus", "Temnothorax arboreus", "Temnothorax caguatan", "Temnothorax morongo", "Temnothorax myrmiciformis", "Temnothorax nuwuvi", "Temnothorax paiute", "Temnothorax pseudandrei", "Temnothorax quasimodo", "Temnothorax wardi", "Chactas moreti", "Australornis lovei", "Glesirhanis bercioi", "Amynthas bimontis", "Amynthas hsiyinensis", "Amynthas dongyinensis", "Amynthas dongjuensis", "Metaphire matsuensis", "Ituglanis australis", "Subsolanoides nagata", "Astyanax hamatilis", "Netelia longipad", "Netelia nigridorsalis", "Netelia nodai", "Netelia yakushimensis", "Palpomyia sohraensis", "Rosa kuhitangi", "Rosa alaica", "Rosa korschinskiana", "Rosa maracandica", "Dahlica pangeoensis", "Rosa pseudobanksiae", "Dahlica albiflavella", "Dahlica argenterae", "Dahlica charlottae", "Dahlica caspari", "Dahlica dorotheae", "Dahlica exulans", "Dahlica colchica", "Dryophthorus consimilis", "Euphorbia amygdaloides subsp. robbiae", "Euphorbia stricta", "Glossotrophia ghirshmani", "Glossotrophia terminata", "Rhodostrophia linguata", "Rhodostrophia meonaria", "Rhodostrophia meonaria meonaria", "Rhodostrophia meonaria pallidior", "Rhodostrophia olivopallens", "Rhodostrophia froitzheimi", "Rhodostrophia froitzheimi froitzheimi", "Rhodostrophia froitzheimi salangensis", "Haplopteris yakushimensis", "Aulonemia cincta", "Aulonemia prolifera", "Aulonemia soderstromii", "Nippononaia tamurai", "Helius ewa", "Cretasonoma corinformibus", "Penarhytus tenebris", "Grapholita orbexilana", "Spazigasteroides caeruleus", "Brunetorhynchus deconincki", "Brunetorhynchus microstylis", "Brunetorhynchus complicatus", "Brunetorhynchus canariensis", "Brunetorhynchus cannoni", "Brunetorhynchus dubius", "Archeutheia magnifica", "Prosolierius parvus", "Antrigoulia circumplicata", "Aspidogyne diaphana", "Microchilus uribei", "Microchilus sarmientoi", "Microchilus mutisii", "Microchilus montanus", "Microchilus globosicalcar", "Microchilus carlos-parrae", "Cybocephalus aeneidorsum", "Cybocephalus akesuensis", "Cybocephalus kuangi", "Cybocephalus algiricus", "Cybocephalus afghanicus", "Aphidoletes aphidimyza", "Erebia ligea kisokomana", "Euchromius bleszynski", "Parnassius apollo manleyi", "Caryocolum albifaciella", "Caryocolum vicinella", "Haderonia thermolimna", "Oeneis jutta chermocki", "Carterocephalus palaemon", "Carterocephalus palaemon palaemon", "Carterocephalus palaemon mackenziei", "Lemonia beirutica", "Mniotype fratellum", "Pauridiantha floribunda", "Deltosoma fernandezi", "Deltosoma humeralis", "Rothmannia lateriflora", "Inia araguaiaensis", "Galium glaucum", "Galium pumilum", "Galium intermedium", "Galium \u00d7 pomeranicum", "Atopodentatus unicus", "Phytophthora hydrogena", "Nepeta schiraziana", "Nepeta schmidii", "Nepeta schugnanica", "Nepeta scordotis", "Nepeta septemcrenata", "Nepeta sessilis", "Nepeta shahmirzadensis", "Nepeta sheilae", "Nepeta sosnovskyi", "Nepeta souliei", "Nepeta spathulifera", "Nepeta spruneri", "Nepeta stachyoides", "Nepeta staintonii", "Nepeta stewartiana", "Nepeta straussii", "Nepeta suavis", "Nepeta subcaespitosa", "Nepeta subhastata", "Nepeta subincisa", "Nepeta subintegra", "Nepeta subsessilis", "Nepeta sudanica", "Nepeta sungpanensis", "Nepeta taxkorganica", "Nepeta tenuiflora", "Nepeta teucriifolia", "Nepeta teydea", "Nepeta transiliensis", "Nepeta tibestica", "Nepeta tytthantha", "Nepeta uberrima", "Nepeta ucranica", "Nepeta veitchii", "Nepeta vivianii", "Nepeta wettsteinii", "Nepeta woodiana", "Nepeta yanthina", "Nepeta yesoensis", "Nepeta zandaensis", "Rosa webbiana", "Rosa nanothamnus", "Micropterix stuebneri", "Thalassaphorura hainanica", "Thalassaphorura brevisetosa", "Tytthus chinensis", "Campylomma novocaledonica", "Lopus decolor", "Hypsolebias shibattai", "Melanotaenia flavipinnis", "Papiliolebias ashleyae", "Mecenopa albiapex", "Rhodostrophia nubifera", "Rhodostrophia nubifera nubifera", "Rhodostrophia nubifera klaperichi", "Dahlica dubatolovi", "Dahlica fennicella", "Erysimum pulchellum subsp. pulchellum", "Erysimum pulchellum subsp. sieheanum", "Dahlica inconspicuella", "Dahlica generosensis", "Acanthis cabaret", "Dahlica goppensteinensis", "Dahlica seileri", "Bryaninops tectus", "Bryaninops translucens", "Nepeta natanzensis", "Nepeta nawarica", "Nepeta nepalensis", "Nepeta nepetoides", "Nepeta odorifera", "Nepeta olgae", "Nepeta orphanidea", "Nepeta pabotii", "Gonepteryx mahaguru", "Gonepteryx mahaguru mahaguru", "Gonepteryx mahaguru iwateanus", "Gonepteryx mahaguru aspasia", "Shijimia moorei", "Shijimia moorei moorei", "Shijimia moorei taiwana", "Nepeta paktiana", "Nepeta pamirensis", "Nepeta parnassica", "Nepeta paucifolia", "Nepeta persica", "Nepeta petraea", "Nepeta podlechii", "Nepeta podostachys", "Nepeta pogonosperma", "Nepeta polyodonta", "Nepeta praetervisa", "Nepeta prattii", "Nepeta prostrata", "Nepeta pseudokokanica", "Nepeta pubescens", "Nepeta pungens", "Nepeta rechingeri", "Nepeta rivularis", "Nepeta roopiana", "Nepeta rtanjensis", "Nepeta rubella", "Nepeta rugosa", "Nepeta saccharata", "Morphogenia struhli", "Nepeta caerulea", "Nepeta santoana", "Nepeta saturejoides", "Carpodacus subhimachalus", "Chrysothemis pulchella", "Shijimia moorei insperatus", "Chariea longispina", "Pescatoria violacea", "Costarina aguirre", "Costarina alturas", "Costarina azul", "Costarina barbilla", "Costarina carara", "Costarina carrillo", "Costarina cerere", "Costarina chiles", "Costarina chonta", "Costarina cima", "Costarina cruces", "Caccinia actinobole", "Caccinia dubia", "Caccinia kotschyi", "Caccinia strigosa", "Sinia leechi", "Caccinia macranthera", "Caccinia macranthera subsp. glauca", "Caccinia macranthera subsp. macranthera", "Acampe pachyglossa", "Solomona sutakiki", "Solomona sutakiki malaitae", "Acampe praemorsa", "Solomona sutakiki sutakiki", "Ananteroides inexpectatus", "Simulium azhari", "Simulium johorense", "Thyroptera wynneae", "Rivellia cestoventris", "Rivellia nigroapicalis", "Chimarra barnardi", "Chimarra bidenta", "Chimarra padami", "Chimarra quadrata", "Chermes graminis", "Psomocolaides katani", "Psomocolaides rhabdophora", "Psychanisa guttata", "Psychanisa baliodes", "Psyche baikalensis", "Psyche brachycornis", "Psyche bundeli", "Psyche casta", "Orthomorpha gladiata", "Orthomorpha suberectoides", "Orthomorpha sutchariti", "Paratrichapus fultoni", "Macrognathus fasciatus", "Oreichthys andrewi", "Epsilon manasicum", "Hydraena armatura", "Hydraena bicarina", "Hydraena biseptosa", "Hydraena capensis", "Hydraena caprivica", "Hydraena clavicula", "Hydraena cooperoides", "Hydraena duodecimata", "Hydraena elephanta", "Hydraena favulosa", "Hydraena genumorpha", "Hydraena habitiva", "Hydraena humanica", "Hydraena injectiva", "Hydraena mpumalanga", "Cyrtodactylus jaegeri", "Charletonia cameroonensis", "Microlasma arwetergum", "Microlasma crinoidophilum", "Microlasma fragile", "Microlasma ochriderma", "Aulacoseira pantanalensis", "Aulacoseira samariana", "Aulacoseira simoniae", "Aulacoseira minuscula", "Pachylasma bacum", "Neidium limuae", "Trioza urticae", "Huntleya meleagris", "Agriades orbitulus", "Agriades amphirrhoe", "Agriades arcaseia", "Warczewiczella candida", "Trioza cerastii", "Agriades asiatica", "Agriades cassiope", "Warczewiczella wailesiana", "Erymanthus transversopustulatus", "Urothrips kobroi", "Cyrtodactylus khelangensis", "Cyrtodactylus samroiyot", "Cavichiana bromelicola", "Miconia bullotricha", "Miconia hirtistyla", "Prochalia licheniphilus", "Prochalia pygmaea", "Proutia betulina", "Proutia breviserrata", "Proutia chinensis", "Proutia nigripunctata", "Proutia norvegica", "Proutia rotunda", "Pseudarbela aurea", "Pseudarbela celaena", "Pseudarbela papuana", "Pseudarbela semperi", "Pseudobankesia arahova", "Pseudobankesia alpestrella", "Pseudobankesia casaella", "Pseudobankesia contractella", "Pseudobankesia caucasica", "Pseudobankesia darwinii", "Pseudobankesia dioszeghyi", "Pseudobankesia macedoniella", "Pseudobankesia gramatella", "Pseudobankesia vernella", "Pseudobankesia hauseriella", "Pseudobankesia leleupiella", "Pseudoclania dinawaensis", "Pseudofumea umbrosella", "Pseudometisa aemula aemula", "Pseudometisa aemula vicina", "Chermes quercus", "Psylla alni", "Hydraena multimurata", "Hydraena namibiensis", "Hydraena natiforma", "Hydraena neoaccurata", "Hydraena nomenipes", "Hydraena pisciforma", "Hydraena profunda", "Hydraena reflectiva", "Hydraena sebastiani", "Hydraena tiara", "Hydraena uniforma", "Hydraena vadosa", "Hydraena zimbabwensis", "Onychomesa gokani", "Amorphophallus perrieri", "Pertusaria allosorodes", "Pertusaria wirthii", "Sagittala peba", "Psyche crassiorella", "Psyche fatalis", "Psyche flavicapitella", "Psyche ghilarovi", "Psyche hissarica", "Eriosoma ulmi", "Psyche hedini", "Psyche luticoma", "Protographium leosthenes leosthenes", "Protographium leosthenes geimbia", "Protographium philolaus philolaus", "Protographium philolaus xanticles", "Shijimiaeoides lanty", "Panau bretschneideri", "Panau variegata", "Panau brunnescens", "Panau eichhorni", "Sporidesmiopsis guangxiensis", "Bordea denotata", "Caeoma origani", "Geastrum rusticum", "Inocybe miyiensis", "Coenogonium chloroticum", "Berkleasmium fusiforme", "Berkleasmium tetraploides", "Berkleasmium obovoides", "Navicula meulemansii", "Zasmidium dioscorinum", "Zasmidium robustum", "Dahlica kurentzovi", "Dahlica larella", "Dahlica lazuri", "Dahlica leoi", "Dahlica rebeli", "Dahlica lichenella", "Dahlica maritimella", "Dahlica modestella", "Dahlica nickerlii", "Dahlica norvegica", "Dahlica pseudoachajensis", "Dahlica rianella", "Dahlica samurensis", "Dahlica siculella", "Dahlica simplonica", "Dahlica ticinensis", "Dahlica thessaliensis", "Dahlica triquetrella", "Dahlica triquetrella triquetrella", "Dahlica triquetrella thurneri", "Dahlica vaudella", "Dahlica wagneri", "Dahlica wehrlii", "Dahlica wockii", "Shijimiaeoides divina barine", "Shijimiaeoides divina divina", "Onthophagus viridiperakensis", "Typhloreicheia susannae", "Typhloreicheia colacurcioi", "Trox abei", "Trox niisatorui", "Trox poggii", "Megafodina barri", "Tricladus namibia", "Nelsonoplium corpeltum", "Nelsonoplium oblatum", "Nelsonoplium omotaxis", "Nelsonoplium parviclavum", "Nelsonoplium toledoi", "Ptosima barri", "Dessumia barri", "Agrilus brattaini", "Anthaxia billbarri", "Bubastoides barri", "Spectralia barri", "Barrelater audreyae", "Holcopasites jerryrozeni", "Holcopasites linsleyi", "Holcopasites ruthae", "Holcopasites illinoiensis", "Lithosia taishanica", "Anathallis pusilla", "Anathallis funerea", "Agriades dis", "Agriades jaloka", "Cacopsylla pyri", "Psylla betulae", "Agriades janigena", "Agriades kumukuleensis", "Agriades kurtjohnsoni", "Chermes salicis", "Agriades lehanus", "Agriades luana", "Agriades morsheadi", "Rhinocola aceris", "Agriades optilete", "Agriades podarce", "Agriades pyrenaicus", "Agriades sikkima", "Agriades pyrenaicus dardanus", "Agriades pyrenaicus asturiensis", "Agriades pyrenaicus ergane", "Agriades pyrenaicus pyrenaicus", "Pachylasma darwinianum", "Pachylasma ecaudatum", "Agriades aquilo", "Agriades franklinii", "Catharylla bijuga", "Catharylla chelicerata", "Catharylla gigantea", "Catharylla mayrabonillae", "Catharylla serrabonita", "Catharylla coronata", "Cirolana songkhla", "Acanoides beijingensis", "Panau quarlesi", "Panau princeps", "Panau goliathi", "Panau speideli", "Gomesa imperatoris-maximiliani", "Gomesa handroi", "Eolasma maxwelli", "Eolasma rugosa", "Eurylasma angustum", "Eurylasma ferulum", "Eurylasma pyramidale", "Crematogaster chhangi", "Crematogaster simboloni", "Eutomolasma chinense", "Eutomolasma japonicum", "Eutomolasma maclaughlinae", "Eutomolasma orbiculatum", "Metalasma crassum", "Lincolnia lucernina", "Isospora pitiguari", "Benthodytes violeta", "Delomys altimontanus", "Homaloxestis ellipsoidea", "Homaloxestis aciformis", "Hemiphyllodactylus chiangmaiensis", "Costarina cruz", "Costarina cuerici", "Costarina elena", "Costarina espavel", "Costarina frantzius", "Costarina gemelo", "Costarina hitoy", "Costarina isidro", "Costarina jimenez", "Costarina junio", "Costarina leones", "Costarina macho", "Costarina maritza", "Costarina monte", "Costarina mooreorum", "Costarina murphyorum", "Costarina nara", "Costarina osa", "Costarina palmar", "Costarina parabio", "Costarina parapalmar", "Costarina paraplena", "Costarina penshurst", "Costarina pittier", "Costarina pity", "Costarina quepos", "Costarina rafael", "Costarina ramon", "Costarina poas", "Costarina reventazon", "Costarina san", "Costarina selva", "Costarina semibio", "Costarina superplena", "Costarina ubicki", "Costarina upala", "Costarina veragua", "Costarina viejo", "Polymeridium albidoreagens", "Polymeridium albidovarians", "Polymeridium alboflavescens", "Polymeridium catapastoides", "Polymeridium costaricense", "Polymeridium inspersum", "Polymeridium multiforme", "Polymeridium multiseptatum", "Polymeridium neuwirthii", "Polymeridium pyrenastroides", "Polymeridium submuriforme", "Polymeridium tribulationis", "Polymeridium xanthoreagens", "Shijimiaeoides divina", "Lobatopedis kirkii", "Minimelanolocus limpidus", "Mallomonas elevata", "Cordia goetzei", "Tsingya clarkei", "Rentonium bicolor", "Atetrapachylasma dijonesae", "Bryoconversor tutus", "Tetrapachylasma ferrugomaculosa", "Tetrapachylasma ornatum", "Tetrapachylasma trigonum", "Heterocentrotus mamillatus", "Homotoma ficus", "Ctenophora ornata", "Millettia puguensis", "Kermes quercus", "Kermes ilicis", "Pulvinaria vitis", "Galeandra batemanii", "Nymphaea novogranatensis", "Phyllonorycter apicinigrella", "Phyllonorycter apparella", "Phyllonorycter arbutusella", "Phyllonorycter argentifimbriella", "Plagiohammus colombiensis", "Diactis hedini", "Oxyomus mariateresae", "Anolis sierramaestrae", "Andrioplecta angusticuculla", "Dissup clausus", "Conchyliurus dispar", "Dichaea pendula", "Galanthus \u00d7 valentinei", "Cyanaeorchis praetermissa", "Quercus brandisiana", "Goniopteris indusiata", "Bulbophyllum cherrapunjeensis", "Isodon delavayi", "Angiopteris chongsengiana", "Ptisana laboudalloniana", "Stenopterobia cataractarum", "Pinguicula filifolia", "Sistotremastrum chilensis", "Didymodon californicus", "Plazia robinsonii", "Neodryinus lohmani", "Protochelonibia submersa", "Pachylasma giganteum", "Pachylasma integrirostrum", "Pachylasma laeviscutum", "Pachylasma ovatum", "Pachylasma scutistriata", "Westindia haxairei", "Epanerchodus jaegeri", "Epanerchodus yunnanensis", "Epanerchodus schawalleri", "Epanerchodus martensi", "Coecobrya draconis", "Coecobrya qin", "Coecobrya xui", "Phyrella mookiei", "Axinella alborana", "Axinella spatula", "Endectyon filiformis", "Sobarocephala anonymos", "Sobarocephala apoxys", "Sobarocephala cycla", "Sobarocephala doryphoros", "Sobarocephala insolata", "Sobarocephala kapnikos", "Sobarocephala laticrinis", "Sobarocephala magna", "Sobarocephala myllolabis", "Sobarocephala nebulosa", "Sobarocephala nimbipennis", "Sobarocephala orientalis", "Sobarocephala recava", "Sobarocephala secaperas", "Sobarocephala triangula", "Sobarocephala paksana", "Rhynchelmis diespluviae", "Rhynchelmis klamathensis", "Andricus ahmeti", "Andricus bakrachus", "Andricus turcicus", "Andricus anatolicus", "Metanephrops elongatus", "Tetrapachylasma arcuatum", "Tetrapachylasma aurantiacum", "Borago morisiana", "Emersonius cybosyrinx", "Grandjeana mauritanica", "Acanthomastix derivatus", "Homaloxestis antibathra", "Homaloxestis cicatrix", "Homaloxestis dehiscentis", "Homaloxestis eccentropa", "Homaloxestis hesperis", "Chelonibia caretta", "Homaloxestis liochlaena", "Homaloxestis miscogana", "Homaloxestis mucroraphis", "Homaloxestis perichlora", "Heribeia simplieciella", "Acrocercops clepsinoma", "Acrocercops macroclina", "Acrocercops scriptulata", "Acrocercops hormista", "Acrocercops prompta", "Acrocercops triscalma", "Acrocercops hemiglypta", "Acrocercops hapalarga", "Liocrobyla paraschista", "Liocrobyla desmodiella", "Liocrobyla kumatai", "Liocrobyla saturata", "Liocrobyla tephrosiae", "Lamprolectica apicistrigata", "Oecetis protrusa", "Oecetis sordida", "Oecetis tumida", "Oecetis uncata", "Oecetis verrucula", "Agriades glandon orbona", "Potamalpheops tyrymembe", "Agriades pheretiades danya", "Agriades pheretiades pheretulus", "Japanagromyza inferna", "Agriades orbitulus pheretimus", "Psammogorgia hookeri", "Syllis amicarmillaris", "Syllis unzima", "Okenia harastii", "Pedionis dentiforma", "Pedionis dinghuensis", "Pedionis tribrachyblasta", "Thraulodes luisae", "Thraulodes pinga", "Hemiphyllodactylus banaensis", "Notophlebia ganeshi", "Brachythecium coruscum", "Pyropia orbicularis", "Pinnularia manausensis", "Pinnularia nelsonii", "Pinnularia walkerae", "Pinnularia tupensis", "Takecallis taiwanus", "Takecallis arundinariae", "Phyllonorycter bataviella", "Phyllonorycter barbarella", "Phyllonorycter bascanaula", "Phyllonorycter basistrigella", "Corydalis angustifolia", "Corydalis paschei", "Corydalis tauricola", "Corydalis cava subsp. cava", "Corydalis cava subsp. marschalliana", "Corydalis heterocarpa", "Corydalis govaniana", "Hydredes praecipua", "Hydredes delattini", "Protarchanara brevilinea brevilinea", "Protarchanara brevilinea impudica", "Strepsicrates penechra", "Megaherpystis agmatophora", "Megaherpystis eusema", "Oecetis acciptrina", "Oecetis agosta", "Oecetis angularis", "Oecetis apache", "Oecetis campana", "Oecetis constricta", "Oecetis houghtoni", "Oecetis maritza", "Oecetis mexicana", "Oecetis patula", "Phyllonorycter balansae", "Phyllonorycter acaciella", "Phyllonorycter acerifoliella", "Phyllonorycter aceripestis", "Phyllonorycter aceriphaga", "Phyllonorycter acratynta", "Phyllonorycter adenocarpi", "Phyllonorycter lucetiella", "Phyllonorycter aeriferella", "Phyllonorycter agilella", "Phyllonorycter albanotella", "Phyllonorycter albimacula", "Phyllonorycter alluaudiella", "Phyllonorycter alni", "Phyllonorycter alnivorella", "Phyllonorycter alpina", "Phyllonorycter amseli", "Phyllonorycter anchistea", "Phyllonorycter anderidae", "Phyllonorycter antiochella", "Phyllonorycter sandraella", "Acrocercops insulariella", "Neurobathra bohartiella", "Phyllonorycter antitoxa", "Phyllonorycter tenerella", "Phyllonorycter alnicolella", "Eugenia alternifolia", "Polyommatus nepalensis", "Blastobasis glandulella", "Blastobasis yuccaecolella", "Hypericum sect.", "Oculogryphus shuensis", "Nannodromus reveilleti", "Scheloribates flagellisetosus", "Pseudoacaremys kramarzi", "Copitarsia gibberosa", "Parastygocaris luisgrossoi", "Ancyronyx reticulatus", "Ancyronyx pulcherrimus", "Psorodonotus suphani", "Steinernema poinari", "Trimma helenae", "Macropsis huangbana", "Macropsis longiprocessa", "Macropsis latiprocessa", "Tonnoira galatiae", "Tonnoira ferreirai", "Tonnoira brisolaii", "Tonnoira andradei", "Qadria bannaensis", "Qadria cucullata", "Qadria daliensis", "Qadria dongfanga", "Qadria guiyanga", "Aceria tripuraensis", "Striga indica", "Phyllonorycter argentifrontella", "Phyllonorycter argentinotella", "Phyllonorycter argyrolobiella", "Phyllonorycter triflorella", "Phyllonorycter arizonella", "Phyllonorycter olympica", "Phyllonorycter armeniella", "Phyllonorycter mespilella", "Phyllonorycter connexella", "Phyllonorycter sorbi", "Phyllonorycter auronitens", "Phyllonorycter baldensis", "Promalactis latiloba", "Promalactis flavicapitata", "Promalactis dilatata", "Promalactis brevisaccata", "Promalactis apicicircularis", "Atrichophyllodes leucopterus", "Mimicalges neopelmae", "Nycteridocaulus guaratubensis", "Schrankiana chacoensis", "Cryphocricos latus", "Pristiphora erichsonii", "Herpetocetus morrowi", "Urstylis thiotyntlus", "Urstylis zapiola", "Urstylis solicopia", "Odontria albonotata", "Odontria aurantia", "Odontria autumnalis", "Odontria aureopilosa", "Odontria australis", "Odontria cassiniae", "Odontria communis", "Odontria convexa", "Odontria decepta", "Odontria inconspicua", "Odontria macrothoracica", "Odontria regalis", "Odontria rufescens", "Odontria subnitida", "Odontria varicolorata", "Odontria variegata", "Odontria velutina", "Odontria fusca", "Odontria marmorata", "Odontria monticola", "Odontria nesobia", "Odontria nitidula", "Odontria obscura", "Odontria obsoleta", "Odontria occiputale", "Odontria sandageri", "Odontria smithii", "Odontria suavis", "Odontria sylvatica", "Odontria cinnamomea", "Phyllonorycter andalusicus", "Stephanastus polinae", "Phyllonorycter baetica", "Phyllonorycter trojana", "Phyllonorycter troodi", "Phyllonorycter zelkovae", "Phyllonorycter trochetellus", "Phyllonorycter tsavensis", "Phyllonorycter turensis", "Phyllonorycter umukarus", "Phyllonorycter belotella", "Phyllonorycter corylifoliella", "Phyllonorycter bicinctella", "Prosthechea varicosa", "Lysandra apennina", "Lysandra bellargus", "Lysandra albicans", "Lysandra caelestissima", "Lysandra coridon", "Lysandra corydonius", "Lysandra corydonius arzanovi", "Phasmatonycteris phiomensis", "Phasmatonycteris butleri", "Colletes kinabalu", "Lysandra dezina", "Pseudorchis albida", "Amphiops coelopunctatus", "Phytoliriomyza bicolorata", "Phytoliriomyza convoluta", "Phytoliriomyza cyatheae", "Phytoliriomyza huttensis", "Phytoliriomyza tearohensis", "Phytoliriomyza flavopleura", "Phytoliriomyza variana", "Lysandra corydonius caucasica", "Lysandra corydonius ciscaucasica", "Lysandra corydonius corydonius", "Lysandra corydonius melamarina", "Lysandra corydonius sheikh", "Lysandra gennargenti", "Chionaspis salicis", "Porphyrophora polonica", "Eriocottis nicolaeella", "Coccus phalaridis", "Protortonia cacti", "Cecilioides acicula", "Hopea aequalis", "Sociognatha oligoropa", "Decticus albifrons", "Notocelia albosectana", "Notocelia cycloides", "Dendrobium capillipes", "Retinia mecynopus", "Neaspasia orthacta", "Neaspasia brevisecta", "Neaspasia brevibasana", "Conaspasia albonigra", "Conaspasia sophrona", "Neaspasia homalota", "Eulecanium tiliae", "Paratalanta cultralis", "Paratalanta cultralis cultralis", "Paratalanta cultralis amurensis", "Paratalanta pandalis", "Paratalanta stachialis", "Paratalanta taiwanensis", "Sobralia ruckeri", "Paratalanta taiwanensis taiwanensis", "Paratalanta taiwanensis sasakii", "Paratalanta ussurialis", "Lepisorus thunbergianus", "Paratalanta hyalinalis", "Agrilus rubensteini", "Epicephala acrobaphes", "Epicephala acrocarpa", "Epicephala albifrons", "Carpodacus davidianus", "Carpodacus dubius", "Carpodacus formosanus", "Carpodacus grandis", "Carpodacus stoliczkae", "Epicephala albistriatella", "Epicephala ancistropis", "Epicephala ancylopa", "Carpodacus verreauxii", "Epicephala australis", "Phyllonorycter aarviki", "Phyllonorycter achilleus", "Phyllonorycter acutulus", "Phyllonorycter adderis", "Phyllonorycter agassizi", "Phyllonorycter albertinus", "Phyllonorycter aberrans", "Chelonibia manati", "Elachista abrasella", "Protochelonibia melleni", "Agatasa chrysodonia", "Agatasa chrysodonia chrysodonia", "Agatasa chrysodonia heterodonia", "Agatasa calydonia luzonensis", "Phyllonorycter acanthus", "Chelonibia patula", "Chelonibia ramosa", "Chelonibia testudinaria", "Protochelonibia capellinii", "Chelonibia depressa", "Chelonibia hemisphaerica", "Neophyllobius lalbaghensis", "Promalactis albilateralis", "Promalactis subclavata", "Neophyllaphis varicolor", "Dictya behrmani", "Polyura cognatus", "Triallan flintorum", "Incawockia rubiginosa", "Incawockia samba", "Gelidium microglossum", "Aptilotella andersoni", "Aptilotella angela", "Aptilotella caerulea", "Aptilotella corona", "Aptilotella diffisa", "Aptilotella ebenea", "Aptilotella erinacea", "Aptilotella gemmula", "Aptilotella germana", "Aptilotella gladia", "Aptilotella gloriosa", "Aptilotella gracilis", "Aptilotella hamata", "Aptilotella involucris", "Aptilotella macta", "Aptilotella macula", "Aptilotella pennifera", "Aptilotella pichinchensis", "Aptilotella pyropanda", "Aptilotella quadrata", "Aptilotella quatuorchela", "Aptilotella radians", "Aptilotella simplex", "Aptilotella solaria", "Aptilotella sphyra", "Aptilotella umbracatus", "Aptilotella viva", "Aptilotella borgmeieri", "Trematosphaeria terricola", "Phytoliriomyza jacarandae", "Malaxis cogniauxiana", "Phyllonorycter yamadai", "Phyllonorycter humilitatis", "Phyllonorycter ovalifoliae", "Chalcides ocellatus linosae", "Phyllonorycter pruni", "Phyllonorycter tribhuvani", "Phyllonorycter himalayana", "Chalcides ocellatus tiligugu", "Phyllonorycter drepanota", "Phyllonorycter engelhardiae", "Phyllonorycter pseuditeina", "Phyllonorycter nepalensis", "Phyllonorycter oreas", "Phyllonorycter cinctata", "Phyllonorycter rubicola", "Phyllonorycter deschkanus", "Phyllonorycter echinosparti", "Phyllonorycter estrela", "Phyllonorycter etnensis", "Phyllonorycter eugregori", "Phyllonorycter pumila", "Phyllonorycter telinella", "Phyllonorycter tridentatae", "Phyllonorycter vueltas", "Phyllonorycter erinaceae", "Phyllonorycter floridae", "Phyllonorycter gerfriedi", "Phyllonorycter graecus", "Iris khassanovii", "Centaurea karamianiae", "Stelis guerrerensis", "Stelis lapinerae", "Stelis kailae", "Friesodielsia sahyadrica", "Gynura tambuyukonensis", "Pseudarmadillo tuberculatus", "Pseudarmadillo cristatus", "Yongjinglong datangi", "Tiwaripotamon vixuyenense", "Sarasaeschna chiangchinlii", "Rasbora arundinata", "Rasbora bindumatoga", "Rasbora haru", "Rasbora maninjau", "Borneopauropus acutifolius", "Samarangopus dilatare", "Decapauropus cutellatus", "Decapauropus biaristatus", "Synaldis berbegalae", "Synaldis falcoi", "Synaldis gilaberti", "Synaldis jujisae", "Synaldis lozanoae", "Synaldis martinezae", "Synaldis navarroae", "Phidiana patagonica", "Phidiana adiuncta", "Phidiana mariadelmarae", "Acer miaotaiense", "Acantholipes acephala", "Acer ukurunduense", "Polyommatus atlantica", "Stelis tricardium", "Cryptolepas murata", "Hypericum canariense var. canariense", "Hypericum canariense var. floribundum", "Hypericum canariense var. platysepalum", "Cetolepas hertleini", "Stelis scabrida", "Stelis ophioglossoides", "Placobdella appalachiensis", "Metaphycus corniae", "Metaphycus cylindricus", "Metaphycus deltoideus", "Metaphycus transversus", "Metaphycus yaanensis", "Siphoninus phillyreae", "Pseudambasia kalaupapa", "Piper kelleyi", "Liriomyza flavolateralis", "Kudoa quraishii", "Trypanosoma epinepheli", "Myxobolus ophiocarae", "Henneguya visibilis", "Leucocytozoon quynzae", "Hypericum hircinum subsp. hircinum", "Hypericum hircinum subsp. albimontanum", "Hypericum hircinum subsp. cambessedesii", "Hypericum hircinum subsp. majus", "Hypericum foliosum", "Hypericum subsect.", "Acer pinnatinervium", "Acer coriaceifolium", "Acer elegantulum", "Xenobalanus globicipitis", "Musa \u00d7 alinsanaya", "Hellenia speciosa", "Cetopirus complanatus", "Hypericum subsect.", "Hypericum subsect.", "Neocladia tibialis", "Hypericum subsect.", "Drepanosiphum platanoidis", "Tuberculatus annulatus", "Coronula aotea", "Hypericum subsect.", "Hypericum subsect.", "Hypericum ser.", "Thrips physapus", "Thrips minutissimus", "Thrips juniperinus", "Pilosella hoppeana", "Hemiargus huntingtoni", "Hemiargus martha", "Crepidochares neblinae", "Crepidochares colombiae", "Crepidochares austrina", "Crepidochares aridula", "Crepidochares subtigrina", "Androsace vitaliana", "Orobanche nana", "Hemiargus hanno antibubastus", "Hemiargus hanno astenidas", "Dacryphanes cyanastra", "Hemiargus hanno bogotana", "Deuterotinea auronitens", "Deuterotinea axiurga", "Deuterotinea balcanica", "Deuterotinea stschetkini", "Deuterotinea casanella", "Deuterotinea decoratella", "Deuterotinea instabilis", "Deuterotinea longipennis", "Deuterotinea macropodella", "Deuterotinea nervatella", "Deuterotinea palaestinensis", "Deuterotinea paradoxella", "Deuterotinea tauridella", "Phytocoris rionegrensis", "Hypericum ser.", "Hypericum subsect.", "Hypericum sect.", "Hypericum subsect.", "Hypericum subsect.", "Antheraea banggaiana", "Antheraea mindanarissa", "Antheraea negrorissa", "Antheraea puncakensis", "Antheraea visayarissa", "Apoctena clarkei", "Tubicinella major", "Prosopocoilus gracilis", "Prosopocoilus denticulatus", "Prosopocoilus piceipennis", "Etiella brevis", "Cingola circularis", "Cingola ceratodicrata", "Allothymoites repandus", "Allothymoites sculptilis", "Ariamnes columnaceus", "Ariamnes petilus", "Carniella foliosa", "Carniella forficata", "Carniella strumifera", "Chrysso dentaria", "Cryptachaea uncina", "Dipoena calvata", "Dipoena complexa", "Emertonella serrulata", "Emertonella trachypa", "Parasteatoda palmata", "Phoroncidia floripara", "Phycosoma corrugum", "Phycosoma crenatum", "Phycosoma ligulaceum", "Platnickina fritilla", "Steatoda spina", "Steatoda terebrui", "Tekellina helixicis", "Yunohamella gibbosa", "Thymoites ramosus", "Theridion acanthopodum", "Theridion circuitum", "Theridion cygneum", "Theridion echinatum", "Theridion falcatum", "Theridion irrugatum", "Theridion mucidum", "Theridion papillatum", "Theridion squamosum", "Chelolepas cheloniae", "Epidendrum pseudepidendrum", "Pteroma dealbata", "Pteroma nipae", "Pteroma pendula", "Pteroma plagiophleps", "Pteroma postica", "Pteroxys goniatus", "Pteroxys uniformis", "Ptilamicta erythropyga", "Monoblastia quisqueyana", "Cymbidium sinense", "Coronula barbara", "Oxalis sect.", "Reichardtiolus aldhaferi", "Reichardtiolus perses", "Phytoliriomyza cognata", "Phytoliriomyza collessi", "Phytoliriomyza flavopleuralis", "Phytoliriomyza lacunosa", "Phytoliriomyza mollis", "Phytoliriomyza monstruosa", "Phytoliriomyza nigricans", "Phytoliriomyza polita", "Phytoliriomyza praecellens", "Phytoliriomyza queenslandica", "Phytoliriomyza rieki", "Phytoliriomyza striatella", "Phytoliriomyza australensis", "Phytoliriomyza australina", "Phytoliriomyza pallidicentralis", "Phytoliriomyza pittosporocaulis", "Phytoliriomyza pittosporophylli", "Phytoliriomyza tricolor", "Phytoliriomyza marginalis", "Phytoliriomyza ypsilon", "Phytoliriomyza papei", "Pseudochthonius arabicus", "Tengella kalebi", "Cardiodactylus admirabilis", "Rhipidia bilobata", "Rhipidia spinosa", "Rhipidia shennongjiensis", "Rhipidia sejuga", "Rhipidia longa", "Rhipidia lobifera", "Rhipidia flava", "Yelicones samaesanensis", "Latreillopsis okala", "Neopalicus halihali", "Seira primaria", "Seira jiboiensis", "Seira harena", "Afrolimosina albitarsis", "Subacuminiseta minor", "Biphallapodema oligodentata", "Biphallapodema polydentata", "Chelilimosina baloghi", "Oligochaetosella inconspicua", "Permixtolimosina sexsetosa", "Preepiphallus nitidifacies", "Preepiphallus endrodyi", "Squalidus chankaensis biwae", "Pilosella balansae", "Pilosella brachiata", "Pilosella caespitosa", "Pilosella floribunda", "Melia volkensii", "Leptotes parrhasioides", "Pilosella officinarum", "Platynota subtinae", "Pilosella pavichii", "Pilosella procera", "Platynota meridionalis", "Pilosella pseudopilosella", "Pilosella tephrocephala", "Pilosella verruculata", "Platynota xylophaea", "Pseudocandona tenuirostris", "Oxalis sect.", "Oxalis sect.", "Libycosaurus bahri", "Nannodectes lynasi", "Promioclaenus walshi", "Protoselene ashtoni", "Samia cynthia", "Opsius stactogalus", "Oxalis pardalis", "Pterygosoma dhofarensis", "Pterygosoma aqabensis", "Oukuriella froehlichi", "Ansonia lumut", "Neophyllobius ostovani", "Neophyllobius lorestanicus", "Coronula reginae", "Coronula bifida", "Minutomon shanweiense", "Yuexipotamon arcophallus", "Shortcrowna leishanensis", "Hetereleotris psammophila", "Lanzavecchia mangrovi", "Heliogomphus selysi", "Cosmolaelaps barbatus", "Cosmolaelaps busolii", "Cosmolaelaps confinisetarum", "Cosmolaelaps jaboticabalensis", "Cosmolaelaps oliveirai", "Eumunida nikko", "Galilia petricola", "Plesionika unicolor", "Polesinesuchus aurelioi", "Depressaria pastinacella", "Ophelimus eucalypti", "Megastigmus brasiliensis", "Myospila apicaliciliola", "Myospila maoershanensis", "Myospila subflavipennis", "Mydaea franzosternita", "Psyche libanotica", "Psyche obscurata", "Psyche ominosa", "Psyche pinicola", "Psyche pyrenaea", "Psyche pyrenaea pyrenaea", "Psyche pyrenaea occidentalis", "Psyche rassei", "Psyche semnodryas", "Psyche samoana", "Psyche servicula", "Psyche syriaca", "Psyche trimenii", "Psychidea alba", "Psychidea balcanica", "Psychidea nudella", "Psychidea transcaucasica", "Psychidopsis alpherakii", "Psychidopsis flavescens", "Psychidopsis flavescens flavescens", "Psychidopsis flavescens kuldchaensis", "Psychidopsis saridzhazi", "Psychites pristinella", "Psychocentra millierei", "Pterogyne insularis", "Aricoris schneideri", "Gerbillus perpallidus", "Ptilocephala albida", "Potentilla sterilis", "Ptilocephala ardanazi", "Ptilocephala biroi", "Ptilocephala colossa", "Bartsia alpina", "Foeniculum scoparium", "Coronula dormitor", "Lithocarpus orbicarpus", "Hermeuptychia hermybius", "Hermeuptychia intricata", "Calyptolepas bjorndalae", "Leucoma candida", "Euproctis kargalika", "Euproctis kogistana", "Leucoma flavosulphurea", "Aphis hederae", "Aphis idaei", "Pelargonium sidoides", "Stranvaesia oblanceolata", "Stranvaesia tomentosa", "Cylindrolepas darwiniana", "Cylindrolepas sinica", "Platylepas coriacea", "Platylepas decorata", "Antechinus arktos", "Platylepas hexastylos", "Sympistis forbesi", "Darwinilus sedarisi", "Coronula ficarazzensis", "Coronula macsotayi", "Pelargonium crispum", "Pelargonium \u00d7 graveolens", "Pelargonium inodorum", "Pelargonium panduriforme", "Pelargonium peltatum", "Pelargonium radens", "Pelargonium tomentosum", "Pelargonium vitifolium", "Pelargonium \u00d7asperum", "Pelargonium \u00d7domesticum", "Pelargonium \u00d7fragrans", "Pelargonium \u00d7hortorum", "Coronula diadema", "Lasinus orientalis", "Tyrrhenoleuctra lusohispanica", "Gobiopsis liolepis", "Hylebainosoma gulickai", "Dendrobaena cevdeti", "Dendrobaena szalokii", "Eisenia patriciae", "Thulinius romanoi", "Paraleucilla incomposita", "Paraleucilla oca", "Paraleucilla solangeae", "Tianyuprosbole zhengi", "Nanotyrannus lancensis", "Oncidium cristatum", "Acrodipsas cuprea", "Acrodipsas hirtipes", "Acrodipsas melania", "Acrodipsas illidgei", "Acrodipsas myrmecophila", "Caucaea nubigena", "Epopella breviscutum", "Phellopsylla formicosa", "Phellopsylla leai", "Phellopsylla olivacea", "Phellopsylla opaca", "Phellopsylla wellingtoniae", "Centroglossa castellensis", "Platylepas ichthyophila", "Arbomia trigonoprocessa", "Raiamas steindachneri", "Platylepas indicus", "Balaenoptera bertae", "Platylepas krugeri", "Platylepas ophiophila", "Platylepas wilsoni", "Sangeeta viraktamathi", "Steromapedaliodes albonotata", "Steromapedaliodes sanchezi", "Steromapedaliodes schuberti", "Stephanolepas muricata", "Hypochrysops siren", "Hypochrysops taeniata", "Aprostocetus zosimus", "Cirrospilus vittatus", "Cirrospilus noyesi", "Pronophila cordillera", "Pronophila cordillera cordillera", "Pronophila cordillera variabilis", "Pronophila colocasia", "Pronophila intercidona", "Pronophila intercidona intercidona", "Pronophila intercidona thelebina", "Pronophila juliani", "Pronophila obscura", "Pronophila orcus", "Pronophila orcus orcus", "Pronophila orcus nepete", "Pronophila orcus locuples", "Pronophila thelebe", "Pronophila timanthes", "Maxillaria nasuta", "Maxillaria cymbidioides", "Maxillaria proboscidea", "Jurinea kemahensis", "Helenium sect.", "Helenium sect.", "Helenium sect.", "Hypochrysops geminatus", "Hypochrysops pythias", "Hypochrysops pythias pythias", "Hypochrysops pythias aurifer", "Hypochrysops pythias drucei", "Hypochrysops pythias euclides", "Hypochrysops pythias werneri", "Cephalanthera falcata", "Sympetrum eroticum", "Hypochrysops architas", "Matapa pseudodruna", "Matapa purpurascens", "Promanawa exposita", "Hypochrysops julie", "Hypochrysops scintillans", "Pangrapta paralasiophora", "Pangrapta neorecusata", "Comadia arenae", "Comadia speratus", "Pronophila cuchillaensis", "Gardenia volkensii subsp. volkensii", "Stomatolepas elegans", "Stomatolepas pilsbryi", "Stomatolepas praegustator", "Stomatolepas pulchra", "Stomatolepas transversa", "Bulbophyllum pseudopicturatum", "Paramorpha marginata", "Ctenarchis cramboides", "Hypochrysops chrysanthis", "Hypochrysops coelisparsus kerri", "Stegommata sulfuratella", "Gardenia subg.", "Gardenia subg.", "Manawa supracretacea", "Trialeurodes asplenii", "Trialeurodes dicksoniae", "Redonda empetrus empetrus", "Redonda bolivari", "Vargula harveyi", "Lotus conjugatus subsp. conjugatus", "Lotus armeniacus", "Passiflora chaparensis", "Passiflora fernandesii", "Passiflora ischnoclada", "Passiflora rufostipulata", "Passiflora crenata", "Placidium podolepis", "Corades tripunctata necrufa", "Masdevallia garciae", "Masdevallia patula", "Oncidium lindleyoides", "Verbascum subg.", "Verbascum sect.", "Verbascum subsect.", "Verbascum sect.", "Cybocephalus taiwanensis", "Agriades walterfoster", "Papilio pammon", "Papilio memnon agenor", "Helenium amarum var. badium", "Potamotrygon limai", "Hypochrysops byzos hecalius", "Helenium sect.", "Gonioctena metallica", "Gonioctena sichuana", "Mimadiestra biloba", "Nyctelia recteplicata", "Nyctelia sulcogranata", "Thrips cacuminis", "Thrips dezeeuwi", "Amydetes bellorum", "Amydetes bolivari", "Amydetes caetite", "Amydetes goiana", "Amydetes itatiaia", "Amydetes lucernula", "Amydetes luzecu", "Amydetes manezinha", "Amydetes marajoara", "Amydetes plaumanni", "Amydetes solaris", "Amydetes vagalume", "Amydetes vivianii", "Bryozobia synaptos", "Austrobalanus imperator aotea", "Terrestricythere proboscidis", "Buddleja jinsixiaensis", "Salacca acehensis", "Astragalus wulingensis", "Ramalina alisiosae", "Hypolimnas pandarus", "Morpho menelaus", "Papilio diomedes", "Polyura pyrrhus", "Urania leilus", "Eucopina bobana", "Eucopina cocana", "Trisetella cordeliae", "Eucopina crymalana", "Eucopina franclemonti", "Eucopina gloriola", "Eucopina monitorana", "Eucopina monoensis", "Eucopina ponderosa", "Eucopina rescissoriana", "Eucopina tocullionana", "Eucopina siskiyouana", "Eucopina sonomana", "Pachylasma distortum", "Pachylasma southlandicum", "Acrodipsas decima", "Scelio albatus", "Scelio aphares", "Scelio apospastos", "Scelio ardelio", "Scelio aurantium", "Scelio bayanga", "Scelio bubulo", "Scelio cano", "Scelio clypeatus", "Scelio concavus", "Scelio copelandi", "Scelio crepo", "Scelio destico", "Scelio dupondi", "Scelio effervesco", "Scelio erugatus", "Scelio exophthalmus", "Scelio gemo", "Scelio grunnio", "Scelio harinhalai", "Scelio igland", "Scelio impostor", "Scelio irwini", "Scelio janseni", "Scelio latro", "Scelio memorabilis", "Scelio modulus", "Scelio mutio", "Scelio ntchisii", "Scelio parkeri", "Scelio phaeoprora", "Scelio pilosilatus", "Scelio pipilo", "Scelio quasiclypeatus", "Scelio retifrons", "Scelio ructo", "Scelio scomma", "Scelio simoni", "Scelio simonolus", "Scelio somaliensis", "Scelio susurro", "Scelio tono", "Scelio transtrum", "Scelio tritus", "Scelio ululo", "Scelio balo", "Scelio fremo", "Scelio vannoorti", "Scelio obscuripennis", "Helenium sect.", "Orobdella kawakatsuorum", "Hypochrysops byzos", "Hypochrysops byzos byzos", "Helenium amarum var. amarum", "Pachylasma veteranum", "Hypochrysops delicia delicia", "Hypochrysops delicia delos", "Hypochrysops delicia duaringae", "Compsocryptus fasciipennis", "Eucephalus ledophyllus var. ledophyllus", "Eucephalus ledophyllus var. covillei", "Morimotoidius zhushandong", "Gadirtha fusca", "Senecio platensis", "Kleinia subg.", "Hypochrysops ignitus", "Hypochrysops ignitus ignitus", "Hypochrysops ignitus chrysonotus", "Hypochrysops ignitus chrysotoxus", "Chasmogenus fluminensis", "Chasmogenus itatiaia", "Chasmogenus lilianae", "Chasmogenus ubatuba", "Peyerimhoffia obesa", "Peyerimhoffia sparsula", "Peyerimhoffia brachypoda", "Peyerimhoffia shennongjiana", "Peyerimhoffia yunnana", "Echinoderes hwiizaa", "Echinoderes komatsui", "Allogalumna monodactyla", "Galumna paracalcicola", "Osperalycus tenerphagus", "Szeptyckiella boulouparica", "Szeptyckiella lii", "Szeptyckiella sinelloides", "Angustalius malacelloides", "Multatria terebratus", "Poratria monopora", "Poratria williamsi", "Coarazuphium caatinga", "Lichnofugia malaya", "Paragraecia temasek", "Peracca macritchiensis", "Peracca mirzai", "Delenda rhodopensis", "Creagrutus nigrotaeniatus", "Actinobalanus actinomorphus", "Tinocallis ulmiparvifoliae", "Equisetum hyemale subsp. hyemale", "Equisetum hyemale subsp. affine", "Hypochrysops polycletus", "Triatoma platensis", "Hypochrysops polycletus polycletus", "Protelminius pomahakensis", "Myrmedonota shimmerale", "Myrmedonota xipe", "Triacanthoneus chapelianus", "Zebragryllus fuscus", "Zebragryllus guianensis", "Zebragryllus intermedius", "Zebragryllus nauta", "Actinobalanus bisulcatus", "Actinobalanus collinsi", "Papilio nestor", "Caligo teucer", "Caligo idomeneus", "Archaeoprepona demophon", "Gadirtha pulchra", "Gadirtha inexacta", "Gadirtha impingens", "Gadirtha impingens impingens", "Gadirtha impingens tinctoides", "Gadirtha impingens uniformis", "Gadirtha impingens papuensis", "Polyommatus ectabanensis", "Polyommatus charmeuxi", "Actinobalanus dolosus", "Eucalyptus saxicola", "Eucalyptus oresbia", "Odontobatrachus natator", "Tympanoctomys kirchnerorum", "Croton planaltoanus", "Gilbertiodendron jongkindii", "Brasiliocroton muricatus", "Piper abajoense", "Piper claseanum", "Manihot saxatilis", "Anthurium angustifolium", "Hermeuptychia sosybius", "Hypochrysops dicomas", "Hypochrysops dicomas dicomas", "Hypochrysops dicomas rufinus", "Plebejidea afshar", "Acasta newmani", "Psilochilus modestus", "Hypochrysops ferruguineus", "Hypochrysops meeki", "Epopella eoplicata", "Epopella eosimplex", "Hypochrysops castaneus", "Hyleoides zonalis", "Hypochrysops alyattes alyattes", "Hypochrysops alyattes aristocles", "Hypochrysops bakeri", "Epopella kermadeca", "Paralastor perkinsi", "Hypochrysops hippuris hippuris", "Hypochrysops hippuris nebulosis", "Helenium sect.", "Hypochrysops delicia", "Rhabdophis guangdongensis", "Anacroneuria iguazu", "Apanteles cosmopterygivorus", "Apanteles dumosus", "Apanteles flavicapus", "Apanteles incurvus", "Apanteles malleus", "Apanteles muticiculus", "Apanteles parvus", "Apanteles transtergum", "Munidopsis anaramosae", "Palaeogammarus debroyeri", "Synurella aliciae", "Chamaesipho grebneffi", "Eolasma lepida", "Lepas coplandi", "Notobalanus primaevus", "Verruca vietus", "Cypretta campechensis", "Cypretta spinosa", "Cypretta maya", "Eoatria goslineri", "Eoatria funiculorum", "Eoatria quinquevittatus", "Vanicela disjunctella", "Hypochrysops ignitus erythrinus", "Hypochrysops ignitus olliffi", "Microporatria loreleyae", "Multatria filigranus", "Papilio ajax", "Multatria perforata", "Hypochrysops calliphon", "Hypochrysops detanii", "Pentzia monodiana", "Crepidium seidenfadenianum", "Peyerimhoffia hamata", "Peyerimhoffia longiprojecta", "Hypochrysops protogenes pretiosus", "Hypochrysops thesaurus", "Heliconius numata holzingeri", "Heliconius numata sourensis", "Heliconius ismenius tilletti", "Hypochrysops coruscans", "Nymphaea jacobsii", "Nymphaea jacobsii subsp. jacobsii", "Nymphaea jacobsii subsp. toomba", "Polyommatus damonides elbursicus", "Polyommatus damonides gilanensis", "Hypochrysops narcissus dryope", "Delphinium virgatum", "Delphinium venulosum", "Delphinium vanense", "Delphinium petrodavisianum", "Delphinium pallidiflorum", "Colias chlorocoma", "Delphinium nydeggeri", "Delphinium munzianum", "Delphinium longibracteatum", "Delphinium laxiusculum", "Delphinium kurdicum", "Colias chlorocoma chlorocoma", "Delphinium iris", "Delphinium gueneri", "Delphinium dolichostachyum", "Delphinium davisii", "Delphinium dasystachyon", "Delphinium cinereum", "Delphinium cilicicum", "Delphinium carduchorum", "Delphinium balcanicum", "Polyommatus bogra", "Delphinium anatolicum", "Polyommatus afghanistana", "Felicia sect.", "Polyommatus ninae", "Hypochrysops narcissus eratosthenes", "Hypochrysops narcissus menandrus", "Hypochrysops narcissus sabirius", "Hypochrysops narcissus eucletus", "Melitaea tangigharuensis", "Karenella pilisinopia", "Hypochrysops plotinus", "Actinobalanus floridanus", "Conopea moronii", "Kleinia subg.", "Jacobaea leucophylla", "Catocala kotschubeyi", "Catocala moltrechti", "Catocala louiseae", "Acasta vesiculosa", "Notobalanus flosculus", "Notobalanus vestitus", "Chthamalus grazianii", "Chthamalus nasus", "Chthamalus robustus", "Jacobaea incana", "Felicia sect.", "Felicia sect.", "Felicia sect.", "Hypochrysops narcissus", "Felicia sect.", "Felicia sect.", "Equisetum ramosissimum subsp. ramosissimum", "Hypochrysops narcissus narcissus", "Delphinium kitianum", "Equisetum ramosissimum subsp. debile", "Nymphaea lukei", "Nymphaea noelae", "Nymphaea vaporalis", "Nymphaea kimberleyensis", "Chilina cuyana", "Chilina sanjuanina", "Hypochrysops coruscans coruscans", "Dumbletoniella eucalypti", "Hypochrysops coruscans subcaeruleum", "Trichosomaptera gibbosa", "Stygobromus amicus", "Asymmetrasca dahaituoensis", "Asymmetrasca helica", "Asymmetrasca hypercurvata", "Asymmetrasca liaoensis", "Asymmetrasca reflexilis", "Asymmetrasca uncus", "Orthocentrus albihumerus", "Hypochrysops polycletus atromarginata", "Kathpalmeria georgiana", "Hypochrysops polycletus brunnea", "Kathpalmeria hantkeni", "Hypochrysops polycletus epicletus", "Hypochrysops polycletus kaystrus", "Hypochrysops polycletus rovena", "Hypochrysops polycletus rex", "Arctotheca prostrata", "Waikalasma juneae", "Hypochrysops apelles", "Hypochrysops apelles apelles", "Waikalasma boucheti", "Hypochrysops apelles praeclarus", "Tasmanobalanus grantmackiei", "Zebragryllus nouragui", "Zebragryllus wittoto", "Pterygotrigla jacad", "Dendrolaelaps linjianzheni", "Dendroseius vulgaris", "Hexaminius popeiana", "Phareicranaus rohei", "Phareicranaus tizana", "Caudotestis ventichthysi", "Buticulotrema thermichthysi", "Biospeedotrema biospeedoi", "Biospeedotrema jolliveti", "Biospeedotrema parajolliveti", "Hexaminius foliorum", "Pseudopaludicola pocoto", "Brachycephalus crispus", "Leptopelis anebos", "Austrobalanus imperator imperator", "Biarum tenuifolium", "Carduus argyroa", "Galactites tomentosus", "Apanteles adelinamoralesae", "Apanteles adrianachavarriae", "Apanteles adrianaguilarae", "Apanteles adrianguadamuzi", "Apanteles aichagirardae", "Apanteles aidalopezae", "Apanteles albanjimenezi", "Apanteles alejandromasisi", "Apanteles alejandromorai", "Apanteles minorcarmonai", "Apanteles alvarougaldei", "Apanteles federicomatarritai", "Apanteles anabellecordobae", "Apanteles rostermoragai", "Apanteles anamarencoae", "Apanteles anamartinesae", "Apanteles anapiedrae", "Apanteles anariasae", "Apanteles andreacalvoae", "Apanteles angelsolisi", "Apanteles arielopezi", "Apanteles bernardoespinozai", "Apanteles bernyapui", "Apanteles bettymarchenae", "Apanteles bienvenidachavarriae", "Apanteles calixtomoragai", "Apanteles carloscastilloi", "Apanteles carlosguadamuzi", "Apanteles carlosrodriguezi", "Apanteles carlosviquezi", "Apanteles carloszunigai", "Apanteles carolinacanoae", "Apanteles christianzunigai", "Apanteles cinthiabarrantesae", "Apanteles ciriloumanai", "Apanteles cristianalemani", "Apanteles cynthiacorderoae", "Apanteles deifiliadavilae", "Apanteles dickyui", "Apanteles didiguadamuzi", "Apanteles diegoalpizari", "Apanteles diegotorresi", "Apanteles diniamartinezae", "Camponotus parabarbatus", "Helenium sect.", "Papillocepheus primus", "Epopella plicata", "Nabicerus baculatus", "Nabicerus dentimus", "Epopella simplex", "Paederus bilobus", "Paederus brunneolus", "Paederus lateralis", "Piaroa pioi", "Cumella achimae", "Cumella victoriae", "Nannastacus craciuni", "Hoplitis crassipunctata", "Hoplitis desertorum", "Hoplitis dispersipunctata", "Hoplitis gobiensis", "Verbascum subg.", "Chapischema doppelganger", "Conocassis dromedaria", "Conocassis invaginata", "Conocassis minor", "Conocassis trisulcata", "Crenulister dentatus", "Crenulister explanatus", "Crenulister grossus", "Crenulister impar", "Crenulister paucitans", "Crenulister seriatus", "Crenulister simplex", "Crenulister spinipes", "Crenulister umbrosus", "Enkyosoma rockwelli", "Lacrimorpha balbina", "Lacrimorpha glabra", "Lacrimorpha subdepressa", "Lacrimorpha acuminata", "Pluricosta onthophiloides", "Scaptorus pyramus", "Pyxister devorator", "Pyxister labralis", "Apanteles duniagarciae", "Apanteles duvalierbricenoi", "Apanteles edgarjimenezi", "Apanteles edithlopezae", "Apanteles eduardoramirezi", "Apanteles edwinapui", "Apanteles eldarayae", "Apanteles eliethcantillanoae", "Apanteles erickduartei", "Apanteles esthercentenoae", "Apanteles eugeniaphilipsae", "Apanteles eulogiosequeira", "Apanteles felipechavarriai", "Apanteles felixcarmonai", "Apanteles fernandochavarriai", "Apanteles flormoralesae", "Apanteles franciscopizarroi", "Apanteles franciscoramirezi", "Apanteles freddyquesadai", "Apanteles freddysalazari", "Apanteles gabrielagutierrezae", "Apanteles garygibsoni", "Apanteles gerardobandoi", "Apanteles gerardosandovali", "Apanteles gladysrojasae", "Apanteles glenriverai", "Apanteles gloriasihezarae", "Apanteles inesolisae", "Apanteles guadaluperodriguezae", "Apanteles guillermopereirai", "Apanteles harryramirezi", "Apanteles hazelcambroneroae", "Apanteles hectorsolisi", "Apanteles humbertolopezi", "Apanteles irenecarrilloae", "Apanteles isaacbermudezi", "Apanteles isidrochaconi", "Apanteles isidrovillegasi", "Apanteles ivonnetranae", "Apanteles jairomoyai", "Tasmanobalanus acutus", "Apanteles javiercontrerasi", "Apanteles javierobandoi", "Apanteles javiersihezari", "Apanteles jesusbrenesi", "Apanteles jesusugaldei", "Apanteles jimmychevezi", "Apanteles johanvargasi", "Apanteles jorgecortesi", "Apanteles jorgehernandezi", "Apanteles josecalvoi", "Apanteles josecortesi", "Apanteles josediazi", "Apanteles josejaramilloi", "Apanteles josemonteroi", "Apanteles joseperezi", "Apanteles joserasi", "Apanteles juanapui", "Apanteles juancarrilloi", "Apanteles juangazoi", "Apanteles juanhernandezi", "Apanteles juanlopezi", "Apanteles juanmatai", "Apanteles ronaldquirosi", "Apanteles ronaldzunigai", "Apanteles rosibelelizondoae", "Apanteles ruthfrancoae", "Apanteles sigifredomarini", "Apanteles sergioriosi", "Apanteles sergiocascantei", "Apanteles tiboshartae", "Apanteles victorbarrantesi", "Apanteles vannesabrenesae", "Apanteles williamcamposi", "Apanteles wadyobandoi", "Apanteles waldymedinai", "Apanteles wilbertharayai", "Apanteles yeissonchavesi", "Apanteles yilbertalvaradoi", "Apanteles yolandarojasae", "Apanteles zeneidabolanosae", "Thaumastocoris australicus", "Thaumastocoris busso", "Thaumastocoris freomooreae", "Thaumastocoris kalaako", "Thaumastocoris majeri", "Thaumastocoris nadeli", "Thaumastocoris ohallorani", "Thaumastocoris safordi", "Thaumastocoris roy", "Thaumastocoris slateri", "Thaumastocoris hackeri", "Thaumastocoris petilus", "Thaumastocoris macqueeni", "Tasmanobalanus acutus clifdenensis", "Tasmanobalanus acutus convexus", "Hypochrysops cleonides", "Hypochrysops miskini miskini", "Kalotermes aemulus", "Hypochrysops miskini parvulus", "Anthaxia madridensis", "Ishikawatrechus bidilatatus", "Varanus hamersleyensis", "Gastrotheca aguaruna", "Gastrotheca aratia", "Althepus erectus", "Apanteles juanvictori", "Apanteles juliodiazi", "Apanteles juniorlopezi", "Apanteles keineraragoni", "Apanteles laurahuberae", "Apanteles laurenmoralesae", "Apanteles leninguadamuzi", "Apanteles leonelgarayi", "Apanteles lilliammenae", "Apanteles lisabearssae", "Apanteles luciariosae", "Apanteles luisbrizuelai", "Apanteles luiscanalesi", "Apanteles luiscantillanoi", "Apanteles luisgarciai", "Apanteles luisgaritai", "Apanteles luishernandezi", "Apanteles luislopezi", "Apanteles luisvargasi", "Apanteles luzmariaromeroae", "Apanteles manuelarayai", "Apanteles manuelpereirai", "Apanteles manuelriosi", "Apanteles manuelzumbadoi", "Apanteles marcobustosi", "Apanteles marcogonzalezi", "Apanteles marcovenicioi", "Apanteles mariachavarriae", "Apanteles mariaguevarae", "Apanteles marialuisariasae", "Apanteles mariamendezae", "Apanteles marianopereirai", "Apanteles mariatorrentesae", "Apanteles marisolarroyoae", "Apanteles marisolnavarroae", "Apanteles marvinmendozai", "Apanteles mauriciogurdiani", "Apanteles milenagutierrezae", "Apanteles minornavarroi", "Apanteles monicachavarriae", "Apanteles oscarchavesi", "Apanteles osvaldoespinozai", "Apanteles pablotranai", "Apanteles pabloumanai", "Apanteles pablovasquezi", "Apanteles paulaixcamparijae", "Apanteles petronariosae", "Nymphaea \u00d7 colossea", "Apanteles randallgarciai", "Apanteles randallmartinezi", "Apanteles raulacevedoi", "Apanteles raulsolorsanoi", "Apanteles ricardocaleroi", "Apanteles robertmontanoi", "Apanteles robertoespinozai", "Apanteles robertovargasi", "Apanteles rodrigogamezi", "Apanteles rogerblancoi", "Apanteles rolandoramosi", "Apanteles rolandovegai", "Apanteles ronaldcastroi", "Apanteles ronaldgutierrezi", "Apanteles ronaldmurilloi", "Apanteles ronaldnavarroi", "Althepus flabellaris", "Althepus nophaseudi", "Althepus reduncus", "Althepus spiralis", "Psiloderces dicellocerus", "Neosyringophilopsis lybidus", "Picineoaulonastus pogoniulus", "Syringophiloidus picidus", "Ptilocephala desertorum", "Ptilocephala fulminella", "Ptilocephala kahri", "Ptilocephala leschenaulti", "Ptilocephala lessei", "Ptilocephala malvinella", "Cathartes aura septentrionalis", "Ptilocephala matthesi", "Ptilocephala monteiroi", "Cathartes aura aura", "Cathartes aura ruficollis", "Atlanteuptychia ernestina", "Pareuptychia summandosa", "Pareuptychia difficilis", "Pareuptychia binocula", "Pareuptychia lydia", "Pareuptychia ocirrhoe", "Pareuptychia ocirrhoe ocirrhoe", "Pareuptychia ocirrhoe intenjecta", "Pareuptychia ocirrhoe interjecta", "Pseudeuptychia languida", "Pseudeuptychia hemileuca", "Rareuptychia clio", "Hermeuptychia hermes", "Hermeuptychia cucullina", "Hermeuptychia fallax", "Hermeuptychia fallax fallax", "Hermeuptychia fallax marinha", "Hypochrysops protogenes", "Hypochrysops protogenes protogenes", "Orthocentrus alboscutellum", "Orthocentrus anguillae", "Orthocentrus brevipilus", "Orthocentrus onkonegare", "Orthocentrus pentagonum", "Orthocentrus shieldsi", "Orthocentrus bicoloratus", "Orthocentrus broadi", "Orthocentrus concrispus", "Orthocentrus flavifrons", "Orthocentrus harlequinus", "Orthocentrus hispidus", "Orthocentrus luteoclypeus", "Orthocentrus maculae", "Orthocentrus mishana", "Orthocentrus nicaraguensis", "Orthocentrus pallidus", "Orthocentrus quercus", "Orthocentrus rectus", "Orthocentrus saaksjarvii", "Orthocentrus scurra", "Orthocentrus tenuiflagellum", "Orthocentrus teres", "Orthocentrus umbrocciput", "Orthocentrus wahlbergi", "Orthocentrus zebra", "Homadaula anisocentra", "Delphinium dazangense", "Heliconius hecale shanki", "Heliconius hecale rosalesi", "Heliconius ethilla jaruensis", "Heliconius hecale australis", "Hypochrysops dinawa", "Heliconius metharme", "Heliconius metharme metharme", "Heliconius metharme makiritare", "Heliconius metharme perseis", "Heliconius ethilla yuruani", "Heliconius cydno gadouae", "Heliconius melpomene anduzei", "Hypochrysops theon medocus", "Ptilocephala melanura", "Masdevallia trochilus", "Ptilocephala plumifera", "Ptilocephala plumifera plumifera", "Ptilocephala plumifera mediterranea", "Pyrgus centaureae", "Ptilocephala plumifera valesiella", "Ptilocephala piae", "Escobedia grandiflora", "Globba marantina", "Hypochrysops theon milesius", "Viola subg.", "Viola subg.", "Viola sect.", "Membranobalanus costatus", "Pseudoacasta libera", "Palaeobalanus lindsayi", "Palaeobalanus lornensis", "Pingasa lahayei", "Pingasa lahayei lahayei", "Pingasa lahayei austrina", "Pingasa lahayei multispurcata", "Pingasa distensaria", "Pingasa distensaria distensaria", "Pingasa distensaria respondens", "Pingasa abyssinaria", "Pingasa abyssinaria abyssinaria", "Pingasa abyssinaria rufata", "Pingasa pallidata", "Pingasa ruginaria", "Pingasa ruginaria ruginaria", "Pingasa ruginaria interrupta", "Trogon caligatus", "Pingasa ruginaria commutata", "Pingasa ruginaria communicans", "Delias pasithoe yakamochii", "Delias pasithoe tabitoi", "Delias pasithoe takasugii", "Delias pasithoe hitomaroi", "Delias pasithoe yoshidai", "Paphiopedilum robinsonianum", "Membranobalanus robinae", "Delias pasithoe premo", "Delias pasithoe siamensis", "Delias pasithoe nigresens", "Delias pasithoe mera", "Delias pasithoe triglites", "Delias pasithoe beata", "Delias pasithoe curasena", "Delias pasithoe balabaca", "Delias pasithoe angustifascia", "Delias pasithoe horracki", "Delias pasithoe thyra", "Delias pasithoe cyrania", "Delias pasithoe dione", "Delias pasithoe egialea", "Delias pasithoe grisea", "Delias pasithoe pandecta", "Delias pasithoe parthenope", "Delias pasithoe porsenna", "Delias pasithoe goda", "Ptilocephala moncaunella", "Ptilocephala muscella muscella", "Ptilocephala muscella liguriensis", "Arenivaga hypogaios", "Arenivaga impensa", "Arenivaga mckittrickae", "Arenivaga milleri", "Arenivaga moctezuma", "Arenivaga mortisvallisensis", "Arenivaga nalepae", "Arenivaga nicklei", "Arenivaga nocturna", "Arenivaga pagana", "Arenivaga paradoxa", "Arenivaga pratchetti", "Arenivaga pumila", "Arenivaga ricei", "Arenivaga rothi", "Arenivaga sequoia", "Arenivaga tenax", "Arenivaga trypheros", "Arenivaga umbratilis", "Caladenia catenata", "Meira mariaesilvanae", "Hylaea mediterranea", "Comibaena theodori", "Culicoides asiatica", "Allox transfigurata", "Ambonga lanceolata", "Irridiculum deformatum", "Machaeropsis dramatica", "Pseudoclastoptera invidia", "Pseudoclastoptera irrubesco", "Zygon desegregatum", "Pseudomachaerota cucullata", "Phylloxera glabra", "Goe tarmanni", "Goe heringi", "Goe dentata", "Goe diaphana", "Speyeria aglaja", "Coronula intermedia", "Tesseroplax maorica", "Heliconius erato erato", "Heliconius erato lichyi", "Heliconius hermathena renatae", "Heliconius hecalesia romeroi", "Heliconius aoede philipi", "Siproeta stelenes", "Antirrhea philoctetes", "Heliconius wallacei", "Heliconius wallacei wallacei", "Heliconius wallacei araguaia", "Heliconius hecale barcanti", "Hypochrysops makrikii", "Heliconius sapho", "Heliconius sapho sapho", "Heliconius sapho candidus", "Hypochrysops miraculum", "Hypochrysops ribbei", "Hypochrysops ribbei ribbei", "Hypochrysops ribbei pratti", "Zophobas soekhnandanae", "Hypochrysops dohertyi", "Hypochrysops dohertyi dohertyi", "Hypochrysops dohertyi lucilla", "Hypochrysops doleschallii", "Arenivaga adamsi", "Arenivaga akanthikos", "Arenivaga alichenas", "Arenivaga apaeninsula", "Arenivaga aquila", "Arenivaga belli", "Arenivaga darwini", "Arenivaga delicata", "Arenivaga diaphana", "Arenivaga dnopheros", "Arenivaga estelleae", "Arenivaga florilega", "Arenivaga gaiophanes", "Arenivaga galeana", "Arenivaga grandiscanyonensis", "Arenivaga gumperzae", "Arenivaga gurneyi", "Arenivaga haringtoni", "Arenivaga hebardi", "Arenivaga hopkinsorum", "Hypochrysops heros", "Hypochrysops heros heros", "Hypochrysops theon", "Viola subg.", "Sarcographina cyclospora", "Hypochrysops theon theon", "Hypochrysops theon alix", "Hypochrysops theon cretatus", "Maotoweta virescens", "Acasta acuta", "Macrobrachium abrahami", "Sinocyclocheilus gracilicaudatus", "Galloatherix incompletus", "Malayopotamon weh", "Monodontocerus absens", "Monodontocerus trigrandis", "Monodontocerus mulunensis", "Schisturella rosa", "Thrombasia evalina", "Thrombasia saros", "Thrombasia umina", "Membranobalanus declivis", "Callistemon viminalis", "Callistemon salignus", "Ilex quercetorum", "Pingasa rhadamaria", "Pingasa rhadamaria rhadamaria", "Pingasa rhadamaria signifrontaria", "Pingasa rhadamaria alterata", "Pingasa rhadamaria attenuans", "Escherichia virus M13", "Acasta cyathus", "Acasta daedalusa", "Psyllaephagus vereshchagini", "Psyllaephagus merceti", "Rebelia perlucidella", "Rebelia sapho", "Rebelia sapho sapho", "Reductoderces araneosa", "Reductoderces aucklandica", "Reductoderces cawthronella", "Reductoderces illustris", "Reductoderces fuscoflava", "Reductoderces microphanes", "Rhathamictis nocturna", "Rhathamictis perspersa", "Sapheneutis camerata", "Sapheneutis certificata", "Sapheneutis cineracea", "Sapheneutis crocotricha", "Sapheneutis colocynthia", "Sapheneutis galactodes", "Sapheneutis terricola", "Sapheneutis thlipsias", "Sapheneutis galerita", "Sapheneutis metacentra", "Sclerophricta tyreuta", "Sematocera fuliginipuncta", "Buddleja x pikei", "Buddleja x weyeriana", "Acasta denticulata", "Acasta echinata", "Hypochrysops scintillans carolina", "Hypochrysops scintillans carveri", "Acasta sulcata", "Acasta tzetlini", "Sesia nirdhoji", "Sesia rufficollis", "Mniotype adusta", "Mniotype adusta adjuncta", "Senecio smithii", "Silene paradoxa", "Conistra moxiana", "Conistra lateris", "Hemiglaea costalis", "Hemiglaea jumla", "Hemiglaea albolineata", "Hemiglaea horiei", "Hemiglaea himalaya", "Acasta umitosaka", "Acasta fischeri", "Acasta formae", "Philiris agatha", "Jumellea arachnantha", "Acasta sarda", "Palaeobalanus waihaoensis", "Acasta alba", "Rumex tunetanus", "Acasta alcyonicola", "Ammothea isabellae", "Ptilocephala pyrenaella", "Ptilocephala pyrenaella pyrenaella", "Ptilocephala pyrenaella lecerfi", "Ptilocephala pyrenaella falsevocata", "Ptilocephala sicheliella", "Ptilocephala silphella", "Ptilocephala triaena", "Ptilocephala vesubiella", "Ptilocephala wockei", "Pyraphlecta melissodes", "Rasicota albescens", "Rebelia berytella", "Rebelia catandella", "Rebelia ferruginans", "Rebelia thomanni", "Rebelia styriaca", "Rebelia kruegeri", "Rebelia plumella", "Rebelia plumella plumella", "Rebelia plumella claudiasolvensis", "Rebelia majorella", "Viburnum carlesii var. bitchiuense", "Acasta armata", "Geranium kurdicum", "Sopubia cana", "Hypochrysops theon theonides", "Hypochrysops theon theophanes", "Hypochrysops architas architas", "Hypochrysops architas cratevas", "Hypochrysops architas seuthes", "Hypochrysops architas marie", "Hypochrysops scintillans scintillans", "Hypochrysops scintillans mirabilis", "Acasta conica", "Acasta crassa", "Hypochrysops scintillans constancea", "Hypochrysops scintillans squalliensis", "Hypochrysops scintillans jamesi", "Hypochrysops siren siren", "Hypochrysops siren eugippius", "Acasta fenestrata", "Acasta flexuosa", "Acasta foraminifera", "Acasta gregaria", "Acasta hirsuta", "Acasta idiopoma", "Acasta infirma", "Acasta japonica", "Acasta koltuni", "Acasta madagascariensis", "Acasta muricata", "Acasta pertusa", "Acasta purpurata", "Acasta rimiformis", "Acasta semota", "Acasta serrata", "Acasta sinica", "Acasta spinosa", "Acasta spongiteformis", "Acasta spongites", "Acasta striata", "Armatobalanus allium", "Colias myrmidone myrmidone", "Colias myrmidone antschari", "Philiris gloriosa", "Philiris harterti", "Philiris harterti harterti", "Philiris harterti leucoma", "Papilio damone", "Philiris harterti melanoma", "Willibaldiana paasi", "Willibaldiana schmitzi", "Armatobalanus cepa", "Armatobalanus circe", "Armatobalanus nefrens", "Armatobalanus oryza", "Armatobalanus palaoensis", "Armatobalanus quadrivittatus", "Armatobalanus calvertensis", "Armatobalanus duvergieri", "Armatobalanus motuketeketeensis", "Periclimenaeus colemani", "Symbiopsocus yangminus", "Amphimedon estelae", "Niphates luizae", "Pedoniphis persicus", "Papaverellus aureocingulatus", "Striatobalanus amaryllis", "Striatobalanus bimae", "Striatobalanus cristatus", "Striatobalanus krugeri", "Striatobalanus maculatus", "Striatobalanus taiwanensis", "Protogoniomorpha anacardii", "Striatobalanus tenuis", "Striatobalanus tuberculatus", "Colotis euippe", "Philiris azula", "Taenaris urania", "Philiris biplaga", "Philiris cadmica", "Heliconius ricini", "Hypericum albiflorum", "Philiris diana", "Hypericum amblysepalum", "Philiris dinawa", "Philiris dinawa dinawa", "Hypericum armenum", "Bryoscyphus atromarginatus", "Philiris dinawa kapaura", "Philiris doreia", "Thyridia psidii", "Hypericum vaccinioides", "Eresia clio", "Hypericum sect.", "Hypericum pamphylicum", "Hypericum rupestre", "Hypericum cardiophyllum", "Euacasta porata", "Euacasta sporillus", "Euacasta tabachniki", "Euacasta zuiho", "Neoacasta coriobasis", "Pectinoacasta angusticalcar", "Bryoscyphus conocephali", "Hypericum thymbrifolium", "Hypericum thymopsis", "Hypericum vermiculare", "Bryoscyphus dicrani", "Hypericum subsect.", "Hypericum davisii", "Hypericum apiculatum", "Hypericum apricum", "Hypericum callithyrsum", "Hypericum karjaginii", "Hypericum salsolifolium", "Hypericum sorgerae", "Hypericum tymphresteum", "Hypericum uniglandulosum", "Bryoscyphus marchantiae", "Hadena wolfi", "Hypericum sect.", "Hypericum subsect.", "Hypericum subsect.", "Hypericum subsect.", "Bryoscyphus turbinatus", "Hypericum subsect. huber-morathii group", "Hypericum crenulatum", "Hypericum russeggeri", "Hypericum aciferum", "Hypericum auriculatum", "Hypericum sect.", "Ophrys lutea", "Austrocylindropuntia subulata subsp. exaltata", "Hypericum capitatum var. luteum", "Hypericum capitatum var. capitatum", "Hypericum formosissimum", "Hypericum huber-morathii", "Hypericum decaisneanum", "Hypericum pumilio", "Pentobesa sirena", "Philiris elegans", "Philiris lavendula", "Philiris fulgens", "Metopheltes clypeoarmatus", "Euacasta ctenodentia", "Euacasta dofleini", "Euacasta microforamina", "Rhynchaglaea discoidea", "Rhynchaglaea megascripta", "Rhynchaglaea perscitula", "Rhynchaglaea labiscitula", "Rhynchaglaea hemixantha", "Rhynchaglaea hemixantha hemixantha", "Rhynchaglaea hemixantha leucocollaris", "Rhynchaglaea taiwana", "Rhynchaglaea nanlingensis", "Rhynchaglaea luteomixta", "Rhynchaglaea nigromaculata", "Rhynchaglaea terngjyi", "Rhynchaglaea scitula", "Philiris albihumerata", "Philiris albiplaga", "Philiris amethysta", "Bryoscyphus aestivalis", "Philiris angabunga", "Eupsilia parashyu", "Eupsilia virescens", "Eupsilia kurenzovi", "Eupsilia quadrilinea", "Eupsilia contracta", "Eupsilia vinulenta", "Eupsilia sidus", "Philiris aquamarina", "Eupsilia cirripalea", "Eupsilia tristigmata", "Eupsilia morrisoni", "Eupsilia knowltoni", "Eupsilia fringata", "Eupsilia devia", "Eupsilia tripunctata", "Eupsilia confusa", "Eupsilia strigifera", "Philiris argenteus", "Eupsilia ale", "Oncidium hallii", "Parachrysops bicolor", "Farlowella yarigui", "Hoplitis allii", "Hoplitis haplophylli", "Stenoheriades levantica", "Picobia passeri", "Krantziaulonastus dubinini", "Cybocephalus indicus", "Cybocephalus freyi", "Lucia limbaria", "Pedaliodes cledonia cledonia", "Pseudomaniola mirabilis mirabilis", "Panacea bleuzeni", "Aphelocoma wollweberi", "Lasiodora brevibulba", "Oncidium wyattianum", "Acrodipsas arcana", "Acrodipsas brisbanensis", "Euthalia alpheda leytana", "Euthalia alpheda mindorensis", "Tanaecia cocytus", "Tanaecia cocytus cocytus", "Tanaecia cocytus visayana", "Tanaecia cocytus ambrysus", "Mendozamiris chiquillanes", "Cyrtodactylus metropolis", "Pteroherpus meghalayensis", "Timalinyssus actinodurae", "Singapora candela", "Singapora excedens", "Singapora longiantrosa", "Singapora triacantha", "Singapora yingjiangica", "Singapora falcata", "Metaphire tengjhihensis", "Africasia vietnamitica", "Torrenticola anophthalma", "Stygotorrenticola coniseta", "Raptorhydracarus tomasini", "Striatobalanus zealandicus", "Akrav israchanani", "Daseuplexia minshana", "Daseuplexia majseae", "Nyctycia vernalis", "Nyctycia angustipennis", "Potnyctycia laerkeae", "Isolasia warreni", "Elwesia nemunii", "Arhopala ocrida ocrida", "Arhopala ocrida cionnii", "Clanis mahadeva", "Clanis phalaris", "Clanis bilineata", "Clanis deucalion", "Circinans striata", "Megophthalmidia browni", "Megophthalmidia saskia", "Megophthalmidia ignea", "Megophthalmidia lenimenta", "Megophthalmidia mckibbeni", "Megophthalmidia misericordia", "Megophthalmidia perignea", "Megophthalmidia radiata", "Dasypodia cymatodes", "Dasypodia selenophora", "Nesidiocoris cruentatus", "Conopea acuta", "Praeantarctia indecisa", "Hypericum leprosum", "Hypericum trachyphyllum", "Hypericum laxiflorum", "Hypericum imbricatum", "Hypericum ichelense", "Hypericum bourgaei", "Givira leonera", "Hypopta palmata", "Hypopta actileuca", "Hypopta ambigua", "Eupithecia danielata", "Eupithecia denotata", "Eupithecia denotata denotata", "Eupithecia denotata hellenata", "Acasta schafferi", "Amblydromalus limonicus", "Acasta undulata", "Typhlodromalus limonicus", "Archiacasta fragilis", "Archiacasta hainanensis", "Archiacasta membranacea", "Archiacasta praerupta", "Archiacasta pustulata", "Archiacasta spinifera", "Archiacasta spinitergum", "Archiacasta tenuivalvata", "Philiris albicostalis", "Archiacasta tulipa", "Euacasta abnormis", "Stygothelphusa antu", "Parathelphusa nobilii", "Atropacarus curtisetosus", "Atropacarus distinctus", "Atropacarus othneios", "Atropacarus stenos", "Potamites erythrocularis", "Xanthopimpla allpahuaya", "Xanthopimpla guianensis", "Xanthopimpla pucallpensis", "Xanthopimpla vidali", "Microscydmus capitiseboraci", "Microscydmus edithensis", "Microscydmus queenslandicus", "Microscydmus styxianus", "Microscydmus tooloomensis", "Penicillidmus masseyensis", "Penicillidmus unicolor", "Euacasta aculeata", "Euacasta antipathidis", "Conopea cymbiformis", "Oliveriana egregia", "Conopea dentifer", "Conopea fidelis", "Conopea folliculus", "Conopea fragilis", "Conopea galeata", "Conopea granulata", "Conopea investita", "Neomyzus circumflexus", "Conopea longibasis", "Conopea merrilli", "Bathybalanus pentacrini", "Aeolothrips intermedius", "Neoacasta fossata", "Lagerstroemia anisoptera", "Rallidens platydontis", "Neoacasta glans", "Neoacasta laevigata", "Neoacasta planibasis", "Neoacasta scuticosta", "Pectinoacasta cancellorum", "Admesturius mariaeugeniae", "Anthaxia vlasta", "Khorata sancai", "Khorata ningyuan", "Opisthotropis durandi", "Eupithecia munguata", "Eupithecia anikini", "Protolichus lorinus", "Protolichus ornatus", "Protolichus placentis", "Protolichus pulchellae", "Protolichus rubiginosus", "Choneochiton casuarinae", "Pectinoacasta pectinipes", "Pectinoacasta sculpturata", "Pectinoacasta zevinae", "Illinoia liriodendri", "Hypericum subsect.", "Hypericum hedgei", "Hypericum asperulum", "Hypericum helianthemoides", "Hypericum hirtellum", "Hypericum libanoticum", "Hypericum lysimachioides", "Hypericum lydium", "Hypericum olivieri", "Hypericum pseudolaeve", "Hypericum retusum", "Hypericum scabroides", "Hypericum spectabile", "Argyranthemum sect.", "Planctogystia brevicula", "Argyranthemum frutescens subsp. frutescens", "Planctogystia crassilineata", "Argyranthemum sundingii", "Membranobalanus longirostrum", "Elminius kingii", "Taraxacum uzunoglui", "Taraxacum waltheri", "Taraxacum turcicum", "Taraxacum thracicum", "Taraxacum syriacum", "Taraxacum stevenii", "Taraxacum sordidum", "Taraxacum sintenisii", "Taraxacum sieheanum", "Taraxacum scolopendrinum", "Taraxacum revertitans", "Taraxacum purpurei-petiolatum", "Convolvulus sect.", "Convolvulus sect.", "Convolvulus sect.", "Convolvulus subsect.", "Arctiocossus antargyreus", "Arctiocossus aries", "Mirocossus haritonovi", "Mirocossus mordkovitchi", "Mirocossus politzari", "Mirocossus sinevi", "Mirocossus siniaevi", "Mirocossus sombo", "Mirocossus sudanicus", "Gumilevia konkistador", "Gumilevia minettii", "Gumilevia timora", "Gumilevia zhiraph", "Camellocossus abyssinica", "Camellocossus henleyi", "Camellocossus osmanya", "Koboldocossus nigrostriatus", "Hypericum aviculariifolium", "Hypericum cymbiferum", "Octomeris intermedia", "Hypericum lanuginosum", "Hypericum cuisinii", "Hypericum lycium", "Hypericum monadenum", "Conopea calceola", "Conopea canaliculata", "Conopea cornuta", "Isalonactis madagascariensis", "Opodiphthera excavus", "Opodiphthera jurriaansei", "Crysodesmia flavipicta", "Ceranchia apollina", "Caligula anna", "Rhabdodryas trite", "Caligula bieti", "Caligula grotei", "Amauris niavius", "Taraxacum sect.", "Taraxacum aleppicum", "Taraxacum aphrogenes", "Taraxacum apollinis", "Taraxacum autumnaliforme", "Taraxacum caramanicae", "Taraxacum ciscaucasicum", "Taraxacum cyprium", "Amauris tartarea", "Taraxacum delphicum", "Taraxacum forellense", "Taraxacum gaditanum", "Taraxacum graecum", "Taraxacum hellenicum", "Taraxacum hyberniforme", "Taraxacum hybernum", "Taraxacum inaequilobum", "Taraxacum kornasii", "Taraxacum lenkoranense", "Taraxacum leonicum", "Taraxacum minimum", "Taraxacum sect.", "Taraxacum sect.", "Taraxacum sect.", "Taraxacum sect.", "Conopea mjobergi", "Conopea navicula", "Conopea pygmaea", "Conopea saotomensis", "Conopea scandens", "Conopea sinensis", "Conopea squamosa", "Phoenix atlantica", "Afroarabiella tanzaniae", "Brachylia albida", "Brachylia fon", "Brachylia senegalensis", "Brachylia eberti", "Brachylia hercules", "Brachylia murzini", "Brachylia nussi", "Brachylia incanescens", "Brachylia kwouus", "Brachylia nigeriae", "Brachylia semicurvatus", "Brachylia windhoekensis", "Brachygystia mauretanicus", "Coryphodema tristis", "Dyspessa kabylaria", "Eremocossus nubica", "Eremocossus vaulogeri", "Eremocossus vaulogeri vaulogeri", "Eremocossus vaulogeri senegalensis", "Eremocossus vaulogeri jordana", "Potentilla lignosa", "Holcocerus holosericeus holosericeus", "Holcocerus holosericeus faroulti", "Macrocossus sidano", "Argyranthemum sect.", "Argyranthemum sect.", "Argyranthemum sect.", "Argyranthemum sect.", "Taraxacum sect.", "Taraxacum sect.", "Hibrildes norax", "Euchera cunina", "Taraxacum sect.", "Taraxacum sect.", "Taraxacum sect.", "Taraxacum sect.", "Taraxacum sect.", "Taraxacum sect.", "Taraxacum sect.", "Taraxacum sect.", "Taraxacum sect.", "Taraxacum sect.", "Taraxacum sect.", "Taraxacum sect.", "Cnephasia etnana", "Inula tuzgoluensis", "Taraxacum sect.", "Notopygus longiventris", "Chaetocnema cheni", "Chaetocnema constricta", "Chaetocnema kingpinensis", "Chimaerotheca reperepe", "Megadrymus brigalow", "Lycocerus metalliceps", "Lycocerus hainanus", "Odontozona lopheliae", "Amemboa mahananda", "Amemboa bifurcata", "Utivarachna arcuata", "Utivarachna fabaria", "Utivarachna gongshanensis", "Varitrella robusta", "Varitrella orion", "Varitrella manukan", "Varitrella striata", "Varitrella sukau", "Varitrella tawau", "Varitrella trusmadi", "Varitrella amoena", "Taraxacum sect.", "Taraxacum quettacum", "Taraxacum gilgitense", "Taraxacum sect.", "Taraxacum zamarrudae", "Taraxacum mansehracum", "Chirona birmanicus", "Comparettia falcata", "Comparettia falcata var. falcata", "Eurymetopus fallax", "Eurymetopus birabeni", "Comparettia falcata var. paulensis", "Chirona hameri", "Takecallis arundicolens", "Taraxacum sect.", "Taraxacum sect.", "Taraxacum sect.", "Taraxacum sect.", "Taraxacum sect.", "Taraxacum sect.", "Taraxacum sect.", "Taraxacum sect.", "Taraxacum glaciale", "Taraxacum sect.", "Taraxacum sect.", "Taraxacum sect.", "Junonia oenone", "Junonia orithya", "Rhynchina staudei", "Pararge aegeria", "Papilio cyrene", "Hipparchia semele", "Melanitis leda", "Fountainea ryphea", "Papilio helie", "Maniola jurtina", "Maniola jurtina janira", "Papilio pipleis", "Notata parva", "Holocraspedon nigripunctum", "Holocraspedon bilineata", "Holocraspedon parallelum", "Holocraspedon vaneeckei", "Holocraspedon flava", "Holocraspedon meyi", "Chirona evermanni", "Hyponephele przhewalskyi", "Hyponephele przhewalskyi przhewalskyi", "Hyponephele przhewalskyi bosteriana", "Hyponephele lycaonoides", "Hyponephele galtscha", "Catoblepia xanthus", "Hyponephele lupina", "Hyponephele lupina lupina", "Hyponephele lupina mauritanica", "Hyponephele lupina kopetdagica", "Hyponephele lupina intermedia", "Hyponephele comara", "Junonia almana", "Papilio asterie", "Papilio aonis", "Hyponephele prasolovi", "Hyponephele jasavi", "Hyponephele amardaea", "Metriocnemus calcaneum", "Cymatodera bogcioides", "Cymatodera lineata", "Cymatodera mitae", "Cymatodera pueblae", "Pseudorthocladius binarius", "Pseudorthocladius cylindratus", "Pseudorthocladius digitus", "Pseudorthocladius ovatus", "Pseudorthocladius paucus", "Convolvulus chilensis", "Pescatoria lehmannii", "Jacquemontia glaucescens", "Meteugoa obliquiata", "Meteugoa ochrivena", "Meteugoa malesiana", "Malesia eugoana", "Malesia luzonao", "Malesia cana", "Eugoa arcuata", "Myzus cerasi", "Merremia hirta var. hirta", "Eschscholzia androuxii", "Eschscholzia papastillii", "Rheocricotopus brochus", "Rheocricotopus rotundus", "Rheocricotopus serratus", "Merremia hirta var. retusa", "Cales bicolor", "Cales breviclava", "Cales brevisensillum", "Cales curvigladius", "Cales longiseta", "Cales multisensillum", "Cales noyesi", "Cales parvigladius", "Cales rosei", "Hydnangium kanuka", "Lyophyllum moncalvoanum", "Mycena stevensoniae", "Solidobalanus antiquus", "Crinum crassicaule", "Crinum giessii", "Cleisomeria lanatum", "Cleisomeria pilosulum", "Liotryphon caudatus", "Taraxacum pseudopulchrum", "Taraxacum pseudonigricans", "Taraxacum pseudobrachyglossum", "Taraxacum poliochlorum", "Taraxacum phaleratum", "Taraxacum persicum", "Taraxacum palustre", "Taraxacum paludosum", "Edosa crayella", "Edosa orphnodes", "Edosa malthacopis", "Edosa hendrixella", "Edosa abathra", "Edosa aculeata", "Edosa alanpricella", "Epania gressitti", "Eviota flebilis", "Eviota specca", "Simulium jerantutense", "Simulium tekamense", "Coccobius bimaculatus", "Coccobius jinshanensis", "Coccobius leptocerus", "Edessa luteomaculata", "Edessa nigridorsata", "Edessa nigriventris", "Edessa punctata", "Dulichiella celestun", "Nymphicula adelphalis", "Nymphicula samoensis", "Nymphicula beni", "Nymphicula cheesmanae", "Nymphicula christinae", "Nymphicula conjunctalis", "Nymphicula edwardsi", "Nymphicula fionae", "Nymphicula hampsoni", "Nymphicula insulalis", "Nymphicula irianalis", "Nymphicula lactealis", "Nymphicula lifuensis", "Nymphicula michaeli", "Nymphicula monticola", "Nymphicula nokensis", "Nymphicula ochrepunctalis", "Nymphicula plumbilinealis", "Nymphicula submarginalis", "Nymphicula susannae", "Nymphicula torresalis", "Nymphicula tariensis", "Nymphicula xanthocostalis", "Austrominius modestus", "Elminius cristallinus", "Pseudobunaea alinda", "Pseudobunaea callista", "Pseudobunaea cyrene", "Pseudobunaea cyrene cyrene", "Pseudobunaea cyrene cleopatra", "Pseudobunaea cyrene orientalis", "Opodiphthera astrophela", "Opodiphthera helena", "Opodiphthera loranthi", "Opodiphthera engaea", "Opodiphthera rhythmica", "Opodiphthera saccopoea", "Opodiphthera fervida", "Hesperibalanus hesperius", "Hesperibalanus hesperius hesperius", "Hesperibalanus hesperius laevidomus", "Udara ceyx ceyx", "Alafrasca sticta", "Microcolona arizela", "Diplazon kurilensis", "Homotropus formosus", "Australonura paraguayensis", "Triozocera buehrheimi", "Cerithideopsis australiensis", "Cerithideopsis malayensis", "Tupiperla bispoi", "Coccobius albiscutellum", "Chirona sublaevis", "Chirona tenuis", "Chirona varians", "Metaphycus psyllidis", "Taraxacum sect.", "Taraxacum sect.", "Taraxacum sect.", "Taraxacum obtusum", "Taraxacum sect.", "Taraxacum sect.", "Taraxacum sect.", "Taraxacum sect.", "Taraxacum nutans", "Taraxacum sect.", "Taraxacum sect.", "Edosa amseli", "Edosa andersonella", "Edosa argocoma", "Edosa audens", "Edosa balanosema", "Edosa berryella", "Edosa bodiddleyella", "Edosa bookerella", "Edosa broonzyella", "Edosa buddyguyella", "Edosa chenierella", "Edosa chrisreaella", "Edosa claptonella", "Edosa driscollella", "Edosa eaglinella", "Edosa estesella", "Edosa fulsonella", "Udara cybele cybele", "Udara cybele yukizawai", "Udara mankowariensis mankowariensis", "Udara mankowariensis albescens", "Udara mankowariensis leucothelia", "Udara meeki arfaki", "Udara meeki kunupiensis", "Udara meeki meeki", "Macaranga gigantea", "Calystegia purpurata", "Calystegia purpurata subsp. purpurata", "Dianella ensifolia", "Calystegia affinis", "Calystegia spithamaea", "Harmonicon cerberus", "Grotea villosissima", "Symmorphus cavatus", "Symmorphus nigriclypeus", "Symmorphus tianchiensis", "Acmaeodera chuckbellamyi", "Membranobalanus brachialis", "Membranobalanus cuneiformis", "Kerkiratrobius rosanae", "Leptomachilis californica", "Membranobalanus nebrias", "Membranobalanus orcutti", "Membranobalanus orcuttiformis", "Chirona unguiformis", "Aceria calystegiae", "Taraxacum sonchoides", "Taraxacum leucochlorum", "Taraxacum laxum", "Taraxacum kurdiciforme", "Edosa elmorella", "Edosa havensella", "Edosa hookerella", "Edosa howlinwolfella", "Edosa jordanella", "Edosa judithella", "Edosa kingella", "Edosa leadbellyella", "Edosa lenoirella", "Edosa lewisella", "Edosa longhairella", "Edosa mayallella", "Edosa mcgheella", "Edosa montoyella", "Edosa muddyella", "Edosa pauljonesella", "Edosa ricdifficultella", "Edosa santanella", "Edosa screaminjayella", "Edosa bicornuta", "Udara sibatanii sibatanii", "Edosa caradjella", "Udara sibatanii pallescens", "Edosa catharinae", "Edosa ectofurca", "Edosa effulgens", "Eremicamura mercuriata", "Nukusa praeditella", "Gigantoletria amseli", "Symmoletria sulamit", "Mylothra forsteri", "Mylothra sahname", "Mylothra sheherezade", "Mylothra persica", "Mylothra mithridates", "Mylothra satrapa", "Mylothra mithra", "Mylothra sindbad", "Mylothra maga", "Udara ceyx nix", "Hesperibalanus hesperius nipponensis", "Hesperibalanus hesperius laevidomiformis", "Atrocalopteryx fasciata", "Mesoplodon hotaula", "Kyboasca bipunctata", "Hesperibalanus proinus", "Solidobalanus astacophilus", "Olethreutes pivanica", "Meteorus anuae", "Meteorus juliae", "Meteorus mirandae", "Lepidocephalus nanensis", "Monstrillopsis nanus", "Monstrillopsis hastata", "Monstrillopsis boonwurrungorum", "Maemonstrilla hoi", "Maemonstrilla ohtsukai", "Maemonstrilla protuberans", "Maemonstrilla crenulata", "Australomonstrillopsis crassicaudata", "Schizidium beroni", "Palpipalpus hesperius", "Chaudhripalpus costacola", "Crossipalpus gersoni", "Crossipalpus raveni", "Magdalenapalpus caperatus", "Magdalenapalpus forsteri", "Pentamerismus sititoris", "Pentamerismus hicklingorum", "Pentamerismus wardo", "Philippipalpus belah", "Philippipalpus flumaquercus", "Philippipalpus nigraquercus", "Lophobalanus baumi wardi", "Hesperibalanus elizabethae", "Petridiobius violovitschi", "Lophobalanus kellumi", "Udara owgarra owgarra", "Pedetontoides atlanticus", "Udara owgarra mima", "Gymnadenia rhellicani", "Hesperibalanus engbergi", "Petrobius caucasicus", "Petrobius artemisiae", "Meximachilis tuxeni", "Asterostegus maini", "Hesperibalanus fallax", "Clitocybe brunneocaperata", "Clitopilus kamaka", "Gerhardtia pseudosaponacea", "Taraxacum sect.", "Taraxacum mexicanum", "Taraxacum sect.", "Taraxacum sect.", "Taraxacum alii", "Taraxacum rawalpindicum", "Taraxacum janalamii", "Taraxacum sect.", "Taraxacum sect.", "Taraxacum sect.", "Taraxacum sect.", "Eugoa luzonica", "Eugoa vittata", "Eugoa trifascia", "Eugoa clepsydra", "Eugoa mindanaoica", "Eugoa phantasma", "Eugoa translineata", "Eugoa similitera", "Eugoa flexilinea", "Eugoa mindanensis", "Egoa simplicata", "Eugoa aridoides", "Eugoa trilacunata", "Eugoa pseudarcuata", "Eugoa basipuncta", "Eugoa alleni", "Eugoa alticrassa", "Eugoa uniformis", "Eugoa rufibasis", "Eugoa nabis", "Eugoa mistra", "Eugoa tricuspida", "Eugoa impara", "Eugoa sparsata", "Eugoa bacchi", "Eugoa tineoides", "Eugoa clavata", "Taraxacum macrolepium", "Taraxacum mirabile", "Taraxacum microcephaloides", "Trischalis convoluta", "Trischalis subaurana", "Trischalis stomata", "Trischalis stomata stomata", "Trischalis stomata vicentina", "Trischalis appendicina", "Trischalis nigricomma", "Trischalis homburquera", "Trischalis pumilia", "Edosa slaughterella", "Edosa spiveyaella", "Edosa teebonella", "Edosa troutella", "Edosa vinsonella", "Edosa walterella", "Edosa williamsonella", "Edosa watersella", "Edosa witherspoonella", "Edosa besucheti", "Edosa mahunkai", "Edosa romieuxi", "Edosa biclavata", "Stomopteryx hungaricella", "Syncopacma finlandica", "Syncopacma incognitana", "Syncopacma montana", "Iwaruna heringi", "Xystophora parvulata", "Oroclintrus perplexus", "Isophrictis impugnata", "Pyroderces caesaris", "Calystegia atriplicifolia", "Archaeobalanus semicanaliculatus", "Bassecoia bretschneideri", "Bassecoia siamensis", "Crinum flaccidum", "Crinum forgetii", "Habranthus \u00d7 floryi", "Lophobalanus baumi", "Hesperibalanus huddlestuni", "Lophobalanus baumi baumi", "Blastobasis coffeaella", "Blastobasis rotullae", "Udara camenae filipina", "Udara camenae mansuela", "Udara camenae pendleburyi", "Udara camenae strophis", "Cephalanthera alpicola", "Cephalanthera subaphylla", "Blepharodon lineare", "Blepharodon pictum", "Bulbophyllum mandibulare", "Liturgusa algorei", "Liturgusa bororum", "Cyclosiella dulciculoides", "Anartia amathea", "Cyclosiella pulchrina", "Edosa bicolor", "Edosa subochraceella", "Edosa smithaella", "Taraxacum armeriifolium", "Taraxacum albiflos", "Taraxacum candidatum", "Edosa aurea", "Edosa baculiformis", "Edosa bifurcata", "Edosa carinata", "Edosa conchata", "Edosa cornuta", "Edosa curvidorsalis", "Edosa dentata", "Edosa digitata", "Edosa duoprojecta", "Edosa elongata", "Edosa eminens", "Edosa gaedikei", "Edosa hamata", "Edosa longicornis", "Edosa minuta", "Edosa robinsoni", "Edosa robustispina", "Edosa semicircularis", "Edosa torta", "Edosa truncatula", "Edosa uncusella", "Edosa varians", "Distimake macrocalyx", "Sinamma oxycera", "Singaporemma banxiaoensis", "Singaporemma wulongensis", "Tetrablemma menglaensis", "Tetrablemma ziyaoensis", "Walkerella microcarpae", "Microcaecilia iwokramae", "Olethreutes kamtshadala", "Olethreutes magadana", "Curtipleon chadi", "Olethreutes bowmanana", "Creefs heronum", "Msangia mussida", "Bamberus jinigudirus", "Calozodion moyas", "Edosa cheligera", "Hesperibalanus cornwalli", "Edosa chionarga", "Edosa citrocoma", "Edosa clavifera", "Edosa dierli", "Edosa parva", "Hesperibalanus sookensis", "Liturgusa cameroni", "Liturgusa cura", "Liturgusa dominica", "Liturgusa fossetti", "Liturgusa kirtlandi", "Liturgusa krattorum", "Liturgusa manausensis", "Liturgusa maroni", "Liturgusa milleri", "Liturgusa neblina", "Liturgusa purus", "Liturgusa stiewei", "Liturgusa tessae", "Liturgusa trinidadensis", "Liturgusa zoae", "Fuga grimaldii", "Velox wielandi", "Hoya sect.", "Metopheltes petiolaris", "Metopheltes chinensis", "Hydrometra cherukolensis", "Hydrometra nicobarensis", "Platypalpus abagoensis", "Platypalpus arzanovi", "Platypalpus gazaryani", "Platypalpus kamyshanovensis", "Platypalpus neberdzaensis", "Platypalpus odintsovi", "Phyllodistomum hoggettae", "Phyllodistomum vaili", "Luchoelmis kapenkemkensis", "Callicera exigua", "Callicera scintilla", "Anacroneuria corae", "Anacroneuria meloi", "Nirvanguina pectena", "Aenictus gutianshanensis", "Micrencaustes renshiae", "Micrencaustes biomaculata", "Chthonopes thakekensis", "Sinoalaria cavernicola", "Sinoalaria navicularis", "Sinoalaria bicornis", "Aerangis boutonii", "Aerangis coursiana", "Aerangis divitiflora", "Aerangis hariotiana", "Edosa magna", "Edosa fastigata", "Edosa rapticola", "Edosa hackeri", "Edosa fibigeri", "Edosa creagra", "Edosa cuspidata", "Edosa exarata", "Udara santotomasana santotomasana", "Udara santotomasana subpura", "Edosa forficula", "Udara selma selma", "Edosa phlegethon", "Udara selma cerima", "Edosa cristata", "Udara selma elothales", "Edosa exiguens", "Udara selma mindanensis", "Edosa pyroceps", "Udara selma tanarata", "Edosa spatulata", "Edosa cyclyvalva", "Edosa nagyi", "Udara akasa akasa", "Hesperibalanus stenonotus", "Hesperibalanus parahesperius", "Leptodinium pustulatum", "Cerodinium angulatum", "Vozzhennikovia tawanuiensis", "Udara akasa catullus", "Udara akasa mavisa", "Pareodinia mangaotanensis", "Philiris fulgens bicolorata", "Philiris fulgens septentrionalis", "Philiris fulgens kurandae", "Philiris fulgens fulgens", "Pentacletopsyllus montagni", "Ropalidia parartifex", "Lathrobium ayui", "Lathrobium badagongense", "Lathrobium baiyunense", "Lathrobium chenae", "Lathrobium fanjingense", "Lathrobium fengae", "Lathrobium guangdongense", "Lathrobium gutianense", "Lathrobium liuae", "Lathrobium lui", "Lathrobium nannani", "Lathrobium ningxiaense", "Lathrobium sanqingense", "Lathrobium xui", "Lathrobium yaoluopingense", "Lathrobium zhaigei", "Lathrobium zizhiense", "Lathrobium zhui", "Agistemus macrosetosus", "Notoplanella estelae", "Imogine stellae", "Pristimantis munozi", "Semibalanus balanoides", "Blastobasis chuka", "Onthophagus cambrai", "Ceratoconcha floridana", "Aceria victoriae", "Eucalyptus globulus subsp. bicostata", "Orbea sect.", "Camponotus aktaci", "Camponotus hirtus", "Camponotus honaziensis", "Camponotus anatolicus", "Camponotus ruseni", "Micropterix igaloensis", "Micropterix avarcella", "Micropterix hyrcana", "Micropterix sikhotealinensis", "Micropterix immensipalpa", "Keijcyoidea poikilokosmena", "Aerangis humblotii", "Pempheris bexillon", "Myzocallis pseudodiscolor", "Timia fallax", "Timia ritae", "Ulidia aurata", "Ulidia hirsuta", "Ulidia wasimi", "Alebroides chiasmaticus", "Alebroides serrulatus", "Alebroides spanner", "Alebroides strumae", "Austronothrus kinabalu", "Austronothrus rostralis", "Sattleria dinarica", "Sattleria dolomitica", "Sattleria haemusi", "Sattleria sophiae", "Fenestrulina commensalis", "Corellamysis eltanina", "Solidobalanus echinoplacis", "Solidobalanus hawaiensis", "Solidobalanus maldivensis", "Nemesia floribunda", "Solidobalanus masignotus", "Solidobalanus nascanus", "Solidobalanus pseudauricoma", "Solidobalanus socialis", "Macquaridrilus mcmurtrieae", "Phycitodes arenicola", "Phycitodes maritima", "Phyciodes eliseannae", "Venturia inaequalis", "Boletus subluridellus", "Nivatogastrium nubigenum", "Podocarpus polystachyus", "Aspidistra grandiflora", "Sansevieria sect.", "Sansevieria subsect.", "Sansevieria subsect.", "Sansevieria subsect.", "Sansevieria sect.", "Sansevieria sect.", "Acanthaegilips palmirae", "Luzula nivalis", "Monodontides kolari", "Monodontides luzonensis", "Monodontides ternatensis", "Holmelgonia afromontana", "Blastobasis glauconotata", "Blastobasis catappaella", "Blastobasis aynekiella", "Blastobasis elgonae", "Blastobasis indigesta", "Blastobasis eridryas", "Blastobasis mpala", "Blastobasis egens", "Blastobasis fatigata", "Blastobasis taricheuta", "Blastobasis trachilista", "Actinopyga echinites", "Pelochrista arabescana", "Epiblema costipunctana", "Argyroploce externa", "Epibactra immundana", "Semibalanus balanoides balanoides", "Semibalanus balanoides calcaratus", "Udara placidula intensa", "Hoya sect.", "Udara placidula irenae", "Udara placidula kawazoei", "Udara placidula lyseas", "Udara placidula placidula", "Udara placidula snelleni", "Udara rona catius", "Udara rona rona", "Udara toxopeusi nieuwenhuisi", "Udara toxopeusi toxopeusi", "Monodontides cara", "Hoya sect.", "Hoya sect.", "Hoya sect.", "Acasta martillacensis", "Hoya sect.", "Radula helix", "Cryptosporidium erinacei", "Udara aristius aristius", "Udara aristius lewari", "Edosa paramecis", "EDosa pectinigera", "Edosa spinifurca", "Edosa szunyoghyi", "Edosa cymopelta", "Edosa trita", "Edosa darjeelingella", "Edosa decipiens", "Edosa epiforma", "Edosa magnifica", "Lysimachia ephemerum", "Helenium puberulum", "Edosa enchrista", "Edosa ensigera", "Edosa epixena", "Edosa extraphalla", "Edosa fletcheri", "Edosa sinuosa", "Edosa truncata", "Edosa euplocamis", "Cephalanthera erecta", "Edosa eurycera", "Eochorica vardarica", "Penestoglossa sutteri", "Nephodonta cognata", "Belinda zoe", "Brachyglene brigitteae", "Bambuina bambui", "Eusyllis grandmarie", "Taraxacum farinosum", "Taraxacum fedtschenkoi", "Taraxacum gracilens", "Blastobasis xiphiae", "Blastobasis graminea", "Blastobasis neniae", "Blastobasis achaea", "Blastobasis orithyia", "Blastobasis babae", "Blastobasis thyone", "Blastobasis usurae", "Blastobasis echus", "Blastobasis litis", "Blastobasis chanes", "Blastobasis fax", "Udara camenae camenae", "Udara camenae euphon", "Phyciodes gallicella", "Solidobalanus solidus", "Bucculatrix armeniaca", "Zethera incerta", "Zethera incerta incerta", "Zethera incerta tenggara", "Solidobalanus tantillus", "Solidobalanus thompsoni", "Grimmia grevenii", "Ceratolejeunea antiqua", "Eobruchia sichuaniana", "Geotragus brevidens", "Geotragus declivis", "Geotragus rugosus", "Colobostema emilianoi", "Colobostema lupitae", "Colobostema marielae", "Colobostema marlettae", "Colobostema valentinae", "Megarhyssa gratiosa", "Copidosoma longicaudata", "Cerchysiella mesosae", "Erateina attali", "Antiplecta caesia", "Antiplecta cinerascens", "Antiplecta nigripleta", "Antiplecta triangularis", "Capnophylla albiceps", "Coelurotricha curvilinea", "Epiplema excoria", "Phazaca alikangensis", "Dysaethria cretacea", "Dysaethria flavistriga", "Dysaethria moza", "Dysaethria erasaria", "Cushmanidea seminuda", "Monodontides apona", "Monodontides argioloides", "Monodontides chapmani", "Monodontides hondai", "Concavus concavus", "Concavus crassostricola", "Chesaconcavus belgradensis", "Chesaconcavus chesapeakensis", "Chesaconcavus myosulcatus", "Chesaconcavus proteus", "Omphalodes rupestris subsp. lojkae", "Omphalodes rupestris subsp. rupestris", "Chesaconcavus rossi", "Chesaconcavus santamaria", "Chesaconcavus tamiamiensis", "Amphilophium elongatum", "Arossia panamensis", "Arossia eyerdami", "Hypatopa hora", "Hypatopa gena", "Hypatopa vitis", "Pigritia sedis", "Pigritia dido", "Pigritia faux", "Solidobalanus auricoma", "Solidobalanus cidaricola", "Udara cardia cardia", "Udara cardia miyashitae", "Solidobalanus ciliatus", "Udara cardia tenella", "Solidobalanus compressus", "Udara coalita briga", "Udara coalita coalita", "Pigritia haha", "Pigritia stips", "Pigritia gruis", "Pigritia ululae", "Pigritia marjoriella", "Blastobasis acarta", "Blastobasis acirfa", "Udara cyma cyma", "Udara cyma elioti", "Udara dilecta coalitoides", "Udara dilecta dilecta", "Udara dilecta neodilecta", "Holcocera arguta", "Udara dilecta paracatius", "Udara dilecta parva", "Udara dilecta subcoalita", "Udara dilecta thoria", "Udara dilectissima dilectissima", "Udara dilectissima luzona", "Udara drucei drucei", "Udara drucei tennenti", "Udara placidula calata", "Udara placidula confusa", "Udara placidula howarthi", "Iapir quadridentatus", "Semibalanus madrasensis", "Semibalanus sinnurensis", "Hoya subsect.", "Myzocallis punctata", "Semibalanus cariosus", "Hoya subsect.", "Holmelgonia bosnasutus", "Holmelgonia disconveniens", "Monodontides musina musina", "Monodontides musina musinoides", "Monodontides musina pelides", "Euprymna scolopes", "Sansevieria kirkii", "Sansevieria kirkii var. kirkii", "Sansevieria kirkii var. pulchra", "Marcusenius caudisquamatus", "Marcusenius krameri", "Marcusenius lucombesi", "Colletes vestitus", "Hovops menabe", "Hovops ikongo", "Hovops antakarana", "Hovops vezo", "Anastrepha tehuacana", "Austrophthiracarus karioi", "Austrophthiracarus matuku", "Austrophthiracarus notoporosus", "Cavariella aegopodii", "Omphalodes runemarkii", "Zyzzyzus rubusidaeus", "Warreniplema fumicosta", "Dysaethria walkeri", "Dysaethria rhagavolita", "Dysaethria harmani", "Dysaethria danum", "Dysaethria lunulimargo", "Dysaethria albolilacina", "Neobathiea grandidieriana", "Dysaethria rubrililacina", "Arossia sendaica", "Sansevieria hallii", "Sansevieria humiflora", "Sansevieria scimitariformis", "Arossia henryae", "Arossia newmani", "Arossia rubra", "Arossia ashleyensis", "Arossia aurae", "Arossia glyptopoma", "Microcoelia exilis", "Paraconcavus pacificus", "Paraconcavus mexicanus", "Paraconcavus margaritanus", "Philiris helena", "Philiris helena helena", "Sansevieria stuckyi", "Crassignatha danaugirangensis", "Pheles bicolor", "Pheles ochracea", "Pheles eulesca", "Philiris helena aurelia", "Philiris helena aurelioides", "Philiris helena dubitata", "Philiris helena gisella", "Philiris helena speirion", "Philiris hemileuca", "Philiris hypoxantha", "Philiris ianthina", "Philiris ignobilis", "Philiris ilias", "Magnolia sulawesiana", "Paraconcavus prebrevicalcar", "Paraconcavus talquinensis", "Paraconcavus neusensis", "Kermes hermonensis", "Cytherelloidea saloumensis", "Xylotrechus rameyi", "Chesaconcavus gurlarnensis", "Vespula arisana", "Dolichovespula flora", "Dolichovespula kuami", "Dolichovespula xinjiangensis", "Barbicornis basilis", "Barbicornis basilis basilis", "Barbicornis basilis acroleuca", "Barbicornis basilis bahiana", "Barbicornis basilis paraopeba", "Philiris nitens", "Liotrigona gabonensis", "Philiris oreas", "Epidendrum parkinsonianum", "Cynanchum acidum", "Barbicornis basilis ephippium", "Barbicornis basilis marginata", "Barbicornis basilis mona", "Barbicornis basilis tucumana", "Brachyglenis dodone", "Brachyglenis drymo", "Brachyglenis dinora", "Brachyglenis esthema", "Brachyglenis esthema esthema", "Brachyglenis esthema ecuadorensis", "Sentica oppositella", "Siederia alpicolella", "Chysis bruennowiana", "Vandopsis gigantea", "Siederia appenninica", "Siederia cembrella", "Siederia gracilissima", "Siederia kopetdagica", "Vandopsis lissochiloides", "Vandopsis shanica", "Vandopsis undulata", "Aganais borbonica", "Siederia kathrinella", "Siederia khumbhilae", "Siederia lagodechica", "Tamiosoma gregaria", "Siederia meierella", "Vanilla chamissonis", "Vanilla imperialis", "Vanilla pompona", "Vanilla pompona subsp. pompona", "Vanilla pompona subsp. grandiflora", "Vanilla pompona subsp. pittieri", "Acanthoscurria insubtilis", "Acanthoscurria tarda", "Acanthoscurria belterrensis", "Esthemopsis teras", "Esthemopsis pherephatte", "Esthemopsis pallida", "Esthemopsis colaxes", "Esthemopsis colaxes colaxes", "Esthemopsis colaxes guianensis", "Esthemopsis jesse", "Esthemopsis jesse jesse", "Esthemopsis jesse aeniacus", "Esthemopsis alicia", "Esthemopsis alicia alicia", "Esthemopsis alicia saracena", "Symmachia miron", "Symmachia miron miron", "Symmachia miron pulchellita", "Synargis fenestrella", "Iris zagrica", "Iris spuria subsp. musulmanica", "Iris sintenisii subsp. brandzae", "Iris sintenisii subsp. sintenisii", "Iris reticulata var. bakeriana", "Iris reticulata var. kurdica", "Hemixantha maculosa", "Parasubrasaca felixi", "Megalobulimus florezi", "Notonecta itatiaia", "Huernia hislopii", "Huernia hislopii subsp. hislopii", "Huernia hislopii subsp. cashelensis", "Huernia hislopii subsp. robusta", "Huernia occulta", "Aquilonastra conandae", "Peregrinus maidis", "Hesperibalanus phineus", "Eutheia bekchievi", "Audreia quadrimaculata", "Epilampra pereirae", "Dachtylembia siamensis", "Ribautia paranaensis", "Amnestus carinopilosus", "Amnestus chiapensis", "Amnestus cristobalensis", "Amnestus denticulatus", "Amnestus laevifemoralis", "Amnestus longinoi", "Amnestus lorenae", "Amnestus santiagensis", "Amnestus septemclavatus", "Amnestus marcelae", "Amnestus puncticarinatus", "Hesperibalanus varians", "Hesperibalanus vialovi", "Secamone alpini", "Ruthmuelleria grootdrifensis", "Soractellus jianfengensis", "Pseudorhicnoessa longicerca", "Rasbora tornieri", "Dasyrhicnoessa dolichopoda", "Dasyrhicnoessa malayana", "Dasyrhicnoessa paradoxa", "Duvalius abyssimus", "Tongorchestia borabora", "Anacanthoroides sanctifrancisci", "Patagoniodes farinaria", "Senecio diaschides", "Senecio skirrhodon", "Senecio rufiglandulosis", "Senecio scaberulus", "Orthogonioptilum bergeri", "Ludia arguta", "Iris farashae", "Ludia arida", "Ludia corticea", "Ludia delegorguei", "Ludia dentata", "Ludia goniata", "Ludia hansali", "Iris iberica subsp. lycotis", "Ludia murphyi", "Iris masia subsp. masia", "Iris masia subsp. dumaniana", "Iris nectarifera var. nectarifera", "Blastobasis custodis", "Blastobasis deliciolarum", "Blastobasis abollae", "Blastobasis lex", "Blastobasis vesta", "Blastobasis nivis", "Blastobasis phaedra", "Blastobasis aedes", "Blastobasis tapetae", "Blastobasis rotae", "Blastobasis manto", "Blastobasis dicionis", "Blastobasis beo", "Hypatopa nex", "Hypatopa cladis", "Hypatopa juno", "Hypatopa actes", "Hypatopa cotis", "Hypatopa pica", "Hypatopa hecate", "Hypatopa acus", "Hypatopa crux", "Hypatopa limae", "Hypatopa hera", "Hypatopa arxcis", "Hypatopa caedis", "Hypatopa plebis", "Hypatopa dolo", "Hypatopa cyane", "Hypatopa manus", "Hypatopa caepae", "Hypatopa cotytto", "Hypatopa lucina", "Hypatopa scobis", "Hypatopa agnae", "Hypatopa phoebe", "Hypatopa semela", "Hypatopa edax", "Hypatopa joniella", "Hypatopa rego", "Hypatopa styga", "Hypatopa texla", "Hypatopa verax", "Hypatopa tapadulcea", "Hypatopa mora", "Hypatopa nox", "Hypatopa dux", "Hypatopa erato", "Hypatopa fio", "Hypatopa io", "Hypatopa leda", "Hypatopa vox", "Hypatopa eos", "Hypatopa dicax", "Hypatopa ira", "Hypatopa umbra", "Hypatopa texo", "Hypatopa solea", "Hypatopa bilobata", "Hypatopa rabio", "Hypatopa rudis", "Hypatopa musa", "Hypatopa sais", "Hypatopa rea", "Philiris innotatus", "Philiris intensa", "Philiris lucescens", "Philiris lucescens lucescens", "Philiris lucescens lak", "Philiris intensa birou", "Philiris intensa butleri", "Philiris intensa ilioides", "Philiris intensa intensa", "Philiris intensa regina", "Philiris kumusiensis", "Paravelia amapaensis", "Paravelia bahiana", "Paravelia bilobata", "Paravelia bipunctata", "Paravelia lacrymosa", "Paravelia micromaculata", "Paravelia ornata", "Paravelia polhemusi", "Cyrtodactylus puhuensis", "Telosticta iban", "Lauriana senticosa", "Crassispira bruehli", "Inquisitor armillatus", "Actias isis isis", "Actias isis pelengensis", "Polystachya holstii", "Hypolimnas alimena", "Actias ignescens", "Nuttalliella namaqua", "Actias maenas maenas", "Actias maenas diana", "Actias maenas saja", "Phycella amoena", "Vespula shidai", "Vespula flaviceps karenkona", "Vespula koreensis", "Vespula structor", "Vespula kingdonwardi", "Vespula nursei", "Vespula ingrica", "Vespula inexspectata", "Chionelasmus darwini", "Glaucocharis leucoxantha", "Glaucocharis microdora", "Glaucocharis parorma", "Glaucocharis planetopa", "Glaucocharis pyrsophanes", "Glaucocharis selenaea", "Glaucocharis stella", "Glaucocharis lepidella", "Glaucocharis metallifera", "Glaucocharis interrupta", "Chionelasmus crosnieri", "Eochionelasmus ohtai", "Philiris maculata", "Psilodon buhrnheimi", "Philiris marginata", "Leptochromus laselva", "Philiris mayri", "Eochionelasmus paquensis", "Philiris melanacra", "Philiris misimensis", "Philiris moira", "Philiris moira moira", "Philiris moira riuensis", "Neobelocera medogensis", "Stygarctus ayatori", "Philiris moluccana", "Zethus aliceae", "Zethus sinuostylus", "Eupontonia gracilipes", "Philiris montigena", "Neotyphloceras crackensis", "Neotyphloceras pardinasi", "Esthemopsis diamantina", "Esthemopsis sateri", "Endecous apterus", "Hebefustis juansenii", "Hebefustis vecino", "Psilodon seguyi", "Psilodon schuberti", "Psilodon luki", "Psilodon aequinoctiale", "Spoladea mimetica", "Spoladea recurvalis", "Esthemopsis clonia", "Esthemopsis macara", "Esthemopsis sericina", "Esthemopsis aeolia", "Esthemopsis crystallina", "Acanthoscurria juruenicola", "Acanthoscurria simoensi", "Acanthoscurria theraphosoides", "Phyllurus ossa ossa", "Phyllurus ossa hobsoni", "Phyllurus ossa tamoya", "Soesilarishius albipes", "Soesilarishius amrishi", "Soesilarishius aurifrons", "Soesilarishius crispiventer", "Soesilarishius cymbialis", "Soesilarishius dromedarius", "Soesilarishius lunatus", "Soesilarishius minimus", "Soesilarishius spinipes", "Caridina boehmei", "Caridina laroeha", "Caridina butonensis", "Exetasis jujuyensis", "Asthenodipsas lasgalenensis", "Papilio leucothoe", "Pearsonia tembatensis", "Microraptor gui", "Microraptor zhaoianus", "Nepalomyia priapus", "Nepalomyia negrobovi", "Nepalomyia singaporensis", "Nepalomyia spinata", "Nepalomyia temasek", "Nepalomyia yangi", "Nepalomyia harpago", "Vanilla aphylla", "Vanilla phalaenopsis", "Pyrrhogyra neaerea", "Vanilla humblotii", "Pagurixus spiniferore", "Catapaguroides brevidactylus", "Catapaguroides conicus", "Catapaguroides crassimanus", "Catapaguroides cristimanus", "Catapaguroides levigatus", "Catapaguroides pusillus", "Catapaguroides tenuiclavus", "Catapaguroides tuber", "Catapaguroides hirsutus", "Iris nectarifera var. mardinensis", "Ludia riekerti", "Iris nezahatiae", "Iris paradoxa f. paradoxa", "Iris paradoxa f. choschab", "Bunaea vulpes", "Tigridia acesta", "Ideopsis similis", "Melloina santuario", "Mucrosomia alticola", "Fonckia sosia", "Papilio dissimilis", "Agrias claudina annetta", "Agrias claudina sardanapalus", "Agrias claudina lugens", "Agrias claudina delavillae", "Agrias claudina patriciae", "Philiris phengotes", "Saundersia paniculata", "Saundersia mirabilis", "Adelpha ximena", "Adelpha ximena ximena", "Adelpha ximena mossi", "Philiris philotas", "Philiris philotas philotas", "Philiris philotas obiana", "Philiris philotoides", "Philiris praeclara", "Philiris putih", "Mystrium leonie", "Mystrium maren", "Mystrium barrybressleri", "Mystrium eques", "Mystrium janovitzi", "Mystrium labyrinth", "Mystrium mirror", "Mystrium shadow", "Stigmatomma awa", "Athanas manticolus", "Apophua elegans", "Apophua yamato", "Nicolaus abuensis", "Nicolaus bidentatus", "Nicolaus cornutus", "Philiris refusa", "Philiris refusa refusa", "Philiris refusa aequalis", "Philiris remissa", "Koghicola karolinae", "Philiris satis", "Philiris scintillata", "Philiris subovata", "Philiris tombara", "Philiris unipunctata", "Philiris vicina", "Stegobium raritanensis", "Actenobius magneoculus", "Cybocephalus tryapitzini", "Cybocephalus politissimus", "Cybocephalus nigriceps", "Aquilonastra chantalae", "Adelpha gavina", "Adelpha falcipennis", "Adelpha abyla", "Adelpha syma", "Adelpha demialba", "Adelpha fabricia", "Adelpha diazi", "Adelpha mesentina", "Adelpha abia", "Adelpha amazona", "Adelpha pollina", "Adelpha leucerioides", "Adelpha rothschildi", "Adelpha stilesiana", "Adelpha sichaeus", "Adelpha felderi", "Adelpha coryneta", "Adelpha jordani", "Adelpha milleri", "Aquilonastra richmondi", "Ixodes lemuris", "Ixodes loveridgei", "Ixodes nchisiensis", "Ixodes rageaui", "Ixodes rotundatus", "Ixodes spinae", "Trichosirocalus troglodytes", "Campanula ajugifolia", "Campanula akgulii", "Aracia sinaloae", "Pilularia americana", "Compsidolon ailaoshanensis", "Compsidolon flavidum", "Compsidolon pilosum", "Shoemakerella subchelata", "Euchalcia matovi", "Banksia vincentia", "Polybia selvana", "Galathearcturus antoniae", "Nowrarcturus jamesi", "Ixodes redikorzevi", "Ixodes angustus", "Ixodes diversifossus", "Ixodes fossulatus", "Ixodes holocyclus", "Ixodes loricatus", "Ixodes ovatus", "Ixodes rasus", "Ixodes spinicoxalis", "Ixodes tasmani", "Ixodes percavatus", "Ixodes simplex", "Ixodes ugandanus", "Ixodes stilesi", "Ixodes australiensis", "Ixodes boliviensis", "Ixodes nitens", "Ixodes rubicundus", "Ixodes sculptus", "Ixodes rubidus", "Ixodes schillingsi", "Ixodes minor", "Ixodes lunatus", "Himantoglossum jankae", "Ixodes djaronensis", "Ixodes arabukiensis", "Ixodes alluaudi", "Ixodes cordifer", "Ixodes unicavatus", "Ixodes vestitus", "Ceratoconcha domingensis", "Rhipicephalus fulvus", "Ixodes arebiensis", "Ixodes aulacodi", "Ixodes browningi", "Ixodes dawesi", "Ixodes evansi", "Ixodes okapiae", "Ixodes auriculaelongae", "Ixodes diomedeae", "Ixodes euplecti", "Ixodes latus", "Tasmarcturus erinae", "Tasmarcturus lewisi", "Tasmarcturus simplicissimus", "Rectarcturus kophameli", "Rectarcturus tuberculatus", "Amphigymnas staplesi", "Pannychia taylorae", "Psolus salottii", "Metarthrodes oxum", "Alpaida teresinha", "Alpaida toninho", "Imeri ajuba", "Adelpha cytherea", "Exechopsis eberhardi", "Issoria lathonia", "Seira glabra", "Aeneolamia bucca", "Fabriciana niobe", "Cochylimorpha subnomadana", "Scythris scutulella", "Lobivia hertrichiana", "Patiriella inornata", "Pentagenella corallina", "Pentagenella gracillima", "Dendrobium densiflorum", "Pentagenella langei", "Pentagenella ligulata", "Hexelasma aureolum", "Hexelasma flavidum", "Hexelasma foratum", "Hexelasma globosum", "Philiris violetta", "Ixodes amarali", "Ixodes aragaoi", "Philiris zadne", "Piscoperus paracanicola", "Tylorida sataraensis", "Hexelasma persicum", "Hexelasma sandaracum", "Cybocephalus salsus", "Cybocephalus palmarum", "Cybocephalus mesopotamicus", "Cybocephalus decamerus", "Cybocephalus aurocupreus", "Cybocephalus chlorocapitis", "Cybocephalus undatus", "Cybocephalus flavicapitus", "Cybocephalus aciculatus", "Cybocephalus acutus", "Cybocephalus aegiptiacus", "Cerotelium fici", "Corokia \u00d7 virgata", "Corokia whiteana", "Corokia collenettei", "Corokia carpodetoides", "Corokia \u00d7 cheesemanii", "Tocoyena formosa", "Caloca ungula", "Caloca kiandra", "Caloca lata", "Caloca sica", "Caloca gippslanda", "Caloca ada", "Caloca disparala", "Philiris ziska", "Ixodes abrocomae", "Epibryon plagiochilae", "Philiris ziska ziska", "Philiris ziska titeus", "Philiris ziska halmaheira", "Rhipicentor bicornis", "Rhipicentor nuttalli", "Ixodes affinis", "Ixodes acuminatus", "Koordersiella cordiae", "Koordersiella goianensis", "Nicolaus serratus", "Diaphanosoma macedonicum", "Microprosthema personatum", "Nothrholaspis saboorii", "Ceratoconcha barbadensis", "Ceratoconcha conicocystata", "Ceratoconcha creusioides", "Schlumbergera subg.", "Schlumbergera subg.", "Hemirrhagus benzaa", "Hemirrhagus embolulatus", "Hemirrhagus franckei", "Hemirrhagus guichi", "Hemirrhagus valdezi", "Schlumbergera subg.", "Arocatus aurora", "Arocatus austera", "Arocatus aenescens", "Arocatus bergrothi", "Schlumbergera subg.", "Arocatus nicobarensis", "Arocatus nanus", "Arocatus melanocephalus", "Arocatus melanostoma", "Hyposcada illinissa illinissa", "Hyposcada anchiala", "Hyposcada anchiala anchiala", "Hyposcada anchiala gallardi", "Oleria astrea", "Oleria astrea astrea", "Oleria astrea burchelli", "Oleria astrea thiemei", "Philiris petriei", "Philiris bubalisatina", "Philiris baiteta", "Philiris radicala", "Philiris hindenburgensis", "Philiris parsonsi", "Tesseropora dumortieri", "Tesseropora sulcata", "Mycomya turnix", "Mycomya viverra", "Mycomya zig", "Rhipsalis subg.", "Rhipsalis subg.", "Oncopsis cuneiforma", "Oncopsis kangdingensis", "Oncopsis odontoidea", "Oncopsis serrulota", "Oncopsis spinosa", "Rhipsalis subg.", "Corybantes dolopia", "Helicopis cupido", "Corybantes pylades", "Quercusia quercus", "Ceratoconcha darwiniana", "Hampsonata natalithala", "Ceratoconcha diploconus", "Ceratoconcha jungi", "Ceratoconcha krambergeri", "Ceratoconcha minuta", "Nomada hungarica", "Nomada siciliensis", "Nomada ibanezi", "Nomada ortegai", "Nomada icazti", "Ceratoconcha miocaenica", "Caloplaca allanii", "Corticaria elongata", "Corticaria fenestralis", "Dienerella costulata", "Corticaria serrata", "Corticaria pubescens", "Corticaria ferruginea", "Pseudopyrochroa inthanonensis", "Gracixalus lumarius", "Ichthyophis multicolor", "Calotes pethiyagodai", "Busbiina bosora", "Moraea speciosa", "Ceratoconcha quadratoradiata", "Vitrea ulrichi", "Tyloceridius stictocephalus", "Xyphinus hwangi", "Xestaspis shoushanensis", "Ischnothyreus kentingensis", "Ceratoconcha rangi", "Ceratoconcha rangi rangi", "Ceratoconcha rangi latum", "Arocatus pilosulus", "Arocatus pseudosericans", "Arocatus roeselii", "Arocatus rufipes", "Arocatus sericans", "Schlumbergera \u00d7 graeseri", "Arocatus suboeneus", "Arocatus chiasmus", "Arocatus fastosus", "Arocatus montanus", "Arocatus longicephalus", "Arocatus rubromarginatus", "Mycomya yamagishii", "Mycomya dziedzickii", "Mycomya occultans", "Mycomya winnertzi", "Schlumbergera \u00d7 eprica", "Mycomya paradentata", "Mycomya mogera", "Mycomya sudosanensis", "Mycomya anneliae", "Mycomya binturong", "Mycomya capra", "Mycomya emotoi", "Mycomya geei", "Mycomya hystrix", "Mycomya ibex", "Mycomya ikar", "Mycomya ketupa", "Mycomya kyan", "Mycomya macaca", "Mycomya malaisei", "Mycomya manis", "Mycomya minla", "Mycomya nipalensis", "Mycomya sus", "Mycomya tigrina", "Eurema tilaha tilaha", "Eurema tilaha myria", "Trichoclea mirabilis", "Spathoglottis unguiculata", "Stenolophus barbarae", "Stenolophus jaegeri", "Stenolophus uhligi", "Stenolophus occiduus", "Stenolophus planicostis", "Stenolophus toledanoi", "Stenolophus genieri", "Stenolophus madagascariensis", "Stenolophus ruthmuelleri", "Stenolophus micans", "Stenolophus elegans", "Stenolophus schoutedeni", "Stenolophus piceus", "Stenolophus dollmani", "Stenolophus columbinus", "Stenolophus pallipes", "Ceratoconcha sanctacrucensis", "Ceratoconcha sturi", "Peyrierocoris gorczycai", "Peyrierocoris herczeki", "Peyrierocoris seyrigi", "Ceratoconcha trolli", "Glyphidops coracinus", "Glyphidops ruselatus", "Glyphidops steyskali", "Anolis limon", "Stenopsyche acanthoclada", "Stenopsyche jinxiuensis", "Stenopsyche ningshanensis", "Diplothrombium ostovani", "Diplothrombium sahragardi", "Strigea proteolytica", "Litura triangula", "Hishimonus acuminatus", "Hishimonus distinctus", "Hishimonus dwipae", "Hishimonus knightiella", "Hishimonus longisetosus", "Hishimonus spicans", "Hishimonus thapai", "Mesosemia philocles", "Menesiniella advena", "Papilio timantes", "Eurema alitha gunjii", "Eurema alitha halmaherana", "Eurema alitha novaguineensis", "Eurema alitha bidens", "Eurema alitha sankapura", "Eurema alitha chemys", "Eurema alitha jalendra", "Sesuvium edmonstonei", "Menesiniella regalis", "Eurema simulatrix", "Eurema simulatrix simulatrix", "Eurema simulatrix princesae", "Eurema simulatrix littorea", "Sesuvium microphyllum", "Eurema timorensis", "Sesuvium ayresii", "Eurema hiurai", "Sesuvium congense", "Eurema hiurai hiurai", "Menesiniella aquila", "Menesiniella aquila aquila", "Menesiniella aquila zulloi", "Sesuvium crithmoides", "Acritoptila forficata", "Acritoptila macrospina", "Acritoptila parallela", "Micatagla allaqiensis", "Micatagla ezzati", "Micatagla pseudorainerii", "Paratanais rosadi", "Wilkinsonellus nescalptura", "Wilkinsonellus corpustriacolor", "Wilkinsonellus fijiensis", "Plectranthias alcocki", "Mochlomelikertes hoffeinsorum", "Balanus nodulus", "Sesuvium trianthemoides", "Chthamalus ligusticus", "Cylindroiulus julesvernei", "Cylindroiulus oromii", "Philodryas amaru", "Cacosternum thorini", "Abelbolla maemulensis", "Ledovitia brevis", "Brachistosternus barrigai", "Brachistosternus paposo", "Arantia gracilicercata", "Eoceratoconcha kugleri", "Eximipriapulus globocaudatus", "Eoceratoconcha renzi", "Eoceratoconcha weisbordi", "Oleria agarista", "Oleria agarista agarista", "Oleria agarista idalie", "Sesuvium mesembryanthemoides", "Mesembryanthemum cordifolium", "Tamiosoma rariseptatus", "Callidosoma susanae", "Grandjeanella macfarlanei", "Momorangia chambersi", "Pukakia aoraki", "Zulloa imperialensis", "Chthamalus hedgecocki", "Chthamalus southwardorum", "Panorpodes kuandianensis", "Gramastacus lacus", "Phoronis emigi", "Charletonia gabini", "Lomanotus barlettai", "Appendiseta robiniae", "Diomus seminulus", "Sansevieria newtoniana", "Agave azurea", "Upeneus heemstra", "Orthosia decorata", "Orthosia gozmanyi", "Idaea biselata", "Idaea pseudopromiscuaria", "Vindula erote banta", "Punctoribates tschernovi", "Hishimonus zeylanicus", "Metanotalia maderensis", "Allium therinanthum", "Neobartsia lydiae", "Siederia pineti", "Siederia rupicolella", "Siederia sazonovi", "Siederia tauda", "Siederia transsilvanica", "Siederia walshella", "Sindonophora leucozona", "Solemasia araxella", "Ctenochira albosignata", "Ctenochira anabar", "Ctenochira epipleuralis", "Ctenochira gracilicornis", "Ctenochira hyperborea", "Ctenochira kerzhneri", "Ctenochira laticauda", "Ctenochira minuta", "Ctenochira nigronitens", "Ctenochira pallistigma", "Ctenochira tixi", "Ctenochira trochanterata", "Ctenochira uzon", "Ctenochira phyllocolpae", "Madecorphnus fisheri", "Madecorphnus saintemariensis", "Madecorphnus tuberculatus", "Kowarzia caucasica", "Trichoclinocera grichanovi", "Wiedemannia kustovi", "Sphaericobathra mochlodroma", "Sterrhopterix fusca", "Sterrhopterix sachalina", "Sterrhopterix standfussii", "Stichobasis helicinoides", "Stichobasis helicinoides helicinoides", "Stichobasis helicinoides minimus", "Stichobasis mima", "Stichobasis postmeridianus", "Oleria alexina", "Oleria alexina alexina", "Oleria alexina didymaea", "Oleria alexina denuda", "Oleria alexina ramona", "Alessandriella saucatsensis", "Oleria astrea chloris", "Oleria sexmaculata", "Oleria antaxis", "Oleria antaxis antaxis", "Oleria antaxis saulensis", "Oleria ilerdina", "Oleria ilerdina ilerdina", "Oleria ilerdina hermieri", "Eurema elathea", "Eurema elathea elathea", "Eurema elathea lamasi", "Zulloconcavus miosensis", "Balanus aculeatus", "Eurema brigitta pulchella", "Eurema brigitta rubella", "Eurema brigitta hainana", "Eurema brigitta senna", "Eurema brigitta drona", "Eurema brigitta ina", "Eurema brigitta sincera", "Eurema brigitta zoraide", "Eurema andersoni albida", "Eurema andersoni nishiyamai", "Eurema andersoni kashiwai", "Eurema andersoni anamba", "Eurema andersoni evansi", "Eurema andersoni jordani", "Eurema andersoni konoyi", "Plebejus argus", "Eurema sarilata perplexa", "Eurema sarilata aquilo", "Eurema sarilata sibuyanensis", "Lepidodactylus paurolepis", "Coccophagus shafeei", "Notomegabalanus campbelli", "Notomegabalanus decorus", "Clea helena", "Foveocrotaphus burmanicus", "Notomegabalanus decorus decorus", "Notomegabalanus decorus argyllensis", "Notomegabalanus decorus ronarchensis", "Candalides absimilis", "Coenosia tschernovi", "Nomada idahoensis", "Nomada laramiensis", "Nomada mediana", "Nomada nigrociliata", "Nomada nigrofasciata", "Nomada ochrohirta", "Nomada pallidipicta", "Nomada parallela", "Nomada salicicola", "Nomada siouxensis", "Nomada subpacata", "Nomada utensis", "Nomada velutina", "Nomada immaculata", "Nomada infrequens", "Nomada montezumia", "Nomada nigrocincta", "Nomada subpetiolata", "Nomada interruptella", "Nomada obliquella", "Nomada obscurella", "Nomada issikii", "Amphibalanus amphitrite", "Tetrabalanus polygenus", "Stoermeriana nabataea", "Candalides acasta", "Candalides afretta", "Candalides ardosiacea", "Perforatus perforatus", "Lomanotus draconis", "Iphimedia poorei", "Eochionelasmus ohtai manusensis", "Schizonycha kadleci", "Omaloplia settorum", "Eurema ada", "Eurema ada ada", "Eurema ada indosinica", "Eurema blanda hylama", "Eurema blanda rileyi", "Eurema esakii", "Eurema novapallida", "Eurema novapallida novapallida", "Eurema novapallida phukiwoana", "Schistura hypsiura", "Protella amamiensis", "Eurema sari", "Eurema sari sari", "Eurema sari thyreus", "Eurema sari sodalis", "Eurema sari obucola", "Eurema hiurai admiranda", "Eurema lacteola", "Eurema ada varga", "Eurema lacteola lacteoa", "Eurema lacteola baliensis", "Eurema nicevillei", "Eurema tominia", "Eurema tominia tominia", "Eurema tominia lamperti", "Eurema tilaha", "Candalides biaka", "Candalides coeruleus", "Candalides coeruleus coeruleus", "Candalides coeruleus doreia", "Perforatus perforatus perforatus", "Candalides coeruleus subrosea", "Perforatus perforatus fistulosus", "Perforatus perforatus mirabilis", "Perforatus perforatus altavillensis", "Perforatus perforatus longistriatus", "Scaphisoma adivasis", "Scaphisoma germanni", "Scaphisoma hajeki", "Scaphisoma edentatum", "Scaphisoma longiusculum", "Medetera johnthomasi", "Medetera sfax", "Medetera varvara", "Encarsia trjapitzini", "Medetera colombensis", "Medetera peradeniya", "Medetera kandyensis", "Medetera nuwarensis", "Medetera subgrisescens", "Medetera flavichaeta", "Medetera olegi", "Medetera glaucelloides", "Medetera junensis", "Sireuma nobile", "Ceratoconcha paucicostata", "Ceratoconcha noszkyi", "Ceratoconcha prefloridana", "Zenopsis stabilispinosa", "Pseudocaranx dinjerra", "Parapercis flavolabiata", "Parapercis sexlorata", "Parapercis colemani", "Parapercis australis", "Parapercis lineopunctata", "Parapercis lata", "Ocaria elisa", "Ocaria clenchi", "Ocaria elvira", "Ocaria aholiba", "Ocaria arpoxais", "Ocaria clepsydra", "Ocaria petelina", "Ocaria sadiei", "Ocaria ocrisia", "Ocaria thales", "Ocaria elongata", "Temecla tema", "Temecla peona", "Temecla bennetti", "Temecla paron", "Temecla heraclides", "Temecla sergius", "Apuecla maeonis", "Apuecla picus", "Apuecla upupa", "Bistonina biston", "Bistonina erema", "Bistonina bactriana", "Bistonina feretria", "Bistonina olbia", "Bistonina mantica", "Charaxes kheili", "Charaxes galleyanus", "Vanda tessellata", "Candalides cupreus", "Charaxes viossati", "Charaxes teissieri", "Foerschichthys flavipinnis", "Delias lecerfi", "Blastobasis determinata", "Blastobasis byrsodepta", "Blastobasis industria", "Blastobasis segnella", "Blastobasis scotia", "Blastobasis sciota", "Blastobasis sagitella", "Blastobasis rubiginosella", "Blastobasis triangularis", "Blastobasis transcripta", "Blastobasis tanyptera", "Blastobasis syrmatodes", "Notomegabalanus kensleyi", "Candalides cyprotus", "Ptomascopus zhangla", "Candalides cyprotus cyprotus", "Candalides cyprotus pallescens", "Notomegabalanus concinnus", "Lepidodactylus crepuscularis", "Lepidodactylus guppyi", "Notomegabalanus algicola", "Aegle decandra", "Metaxonchium persicum", "Cyrtodactylus semiadii", "Helicotylenchus persiaensis", "Anthonomus behnei", "Calluella capsa", "Cyrtodactylus cucdongensis", "Coccophagus sexvittatus", "Coccophagus neocomperei", "Coccophagus debachi", "Fountainea centaurus", "Fountainea sosippus", "Fountainea nessus", "Fountainea nobilis", "Fountainea nobilis nobilis", "Fountainea nobilis titan", "Fountainea nobilis caudata", "Fountainea nobilis pacifica", "Fountainea nobilis peralta", "Fountainea nobilis romeroi", "Fountainea nobilis rayoensis", "Charaxes jahlusa", "Charaxes jahlusa jahlusa", "Charaxes jahlusa argynnides", "Charaxes jahlusa ganalensis", "Charaxes jahlusa kigomaensis", "Charaxes jahlusa rwandensis", "Charaxes jahlusa rex", "Charaxes jahlusa kenyensis", "Charaxes jahlusa mafiae", "Charaxes jasius", "Charaxes jasius jasius", "Charaxes junius", "Charaxes junius junius", "Charaxes junius somalicus", "Charaxes matakall", "Candalides consimilis goodingi", "Ornithoptera chimaera chimaera", "Abantiades lineacurva", "Abantiades argentangulum", "Abantiades sericatus", "Abantiades ocellatus", "Abantiades marcidus", "Abantiades aurilegulus", "Abantiades latipennis", "Abantiades fulvomarginatus", "Bordaia pica", "Bordaia moesta", "Bordaia furva", "Bordaia paradoxa", "Eupanacra hollowayi", "Teinopalpus aureus eminens", "Lapsana crassifolia", "Lapsana lampsanaefolia", "Mandarinia regalis", "Mandarinia regalis regalis", "Mandarinia regalis obliqua", "Mandarinia regalis baronesa", "Notomegabalanus krakatauensis", "Delias elusiva", "Neodiphthera territorialis", "Neodiphthera sophiae", "Hampsonata xaixaia", "Candalides insanea", "Notomegabalanus buckeridgei", "Areas aquila", "Synanthedon angolana", "Notomegabalanus insperatus", "Notomegabalanus lepidus", "Notomegabalanus miodecorus", "Angraecum birrimense", "Notomegabalanus obliquus", "Trocdaris verticillatum", "Gonepteryx rhamni rhamni", "Gonepteryx rhamni kurdistana", "Skimmia japonica var. intermedia", "Gonepteryx rhamni tianshanica", "Lapsanastrum uncinatum", "Aesiocopa vacivana", "Skimmia japonica var. lutchuensis", "Aesiocopa necrofolia", "Aesiocopa grandis", "Aulocera swaha", "Aulocera padma", "Aulocera brahminus", "Aulocera saraswati", "Chrostosoma tengyra", "Cosmosoma erythrarchos", "Eubroncus hani", "Eubroncus tibetanus", "Eubroncus vertexus", "Aeglopsis eggelingii", "Notomegabalanus squillae", "Notomegabalanus wilsoni", "Asbestopluma monticola", "Asbestopluma rickettsi", "Nullarbora caillieti", "Nullarbora evae", "Ceutorhynchus litura", "Skimmia japonica var. japonica", "Cerautola semibrunnea semibrunnea", "Cerautola semibrunnea bamptoni", "Cerautola subargentea", "Cerautola subargentea subargentea", "Cerautola subargentea continua", "Hewitola falkensteini", "Hewitola hewitsoni", "Scuticaria steelei", "Hewitola hewitsonioides", "Hewitola stempfferi", "Austromegabalanus cylindricus", "Eiseniona gerardoi", "Cantellius transversalis", "Skimmia arborescens subsp. arborescens", "Skimmia arborescens subsp. nitida", "Skimmia laureola var. laureola", "Skimmia laureola var. wattii", "Austromegabalanus isolde", "Hiroa stubbingsi", "Austromegabalanus nigrescens", "Kalotermes italicus", "Cerautola delassisei", "Cerautola crippsi", "Cerautola mittoni", "Skimmia laureola subsp. laureola", "Skimmia melanocarpa", "Skimmia multinervia", "Cerautola ceraunia", "Cerautola adolphifriderici", "Cerautola fisheri", "Cerautola legeri", "Cerautola crowleyi", "Cerautola crowleyi crowleyi", "Cerautola crowleyi holochroma", "Cerautola crowleyi leucographa", "Cerautola crowleyi congdoni", "Cerautola miranda", "Cerautola miranda miranda", "Cerautola miranda vidua", "Cerautola semibrunnea", "Uca osa", "Uca miocenica", "Uca inaciobritoi", "Hoekia monticulariae", "Petrocephalus arnegardi", "Petrocephalus boboto", "Ceratothoa africanae", "Ceratothoa famosa", "Liphanthus cuscoensis", "Australhoekia cardenae", "Paranovelsis platanegrachei", "Austromegabalanus psittacus", "Aluterus shigensis", "Cyrtodactylus jelawangensis", "Cyrtodactylus sharkari", "Cyrtodactylus timur", "Aphanius darabensis", "Aphanius kavirensis", "Dipolydora paracaulleryi", "Glandulospio orestes", "Austromegabalanus zulloi", "Mauremys rivulata", "Acalyptomerus africanus", "Acalyptomerus americanus", "Acalyptomerus herbertfranzi", "Liptena ducarmei", "Liptena opaca", "Liptena opaca opaca", "Liptena opaca gabunica", "Liptena opaca centralis", "Liptena opaca ugandana", "Liptena opaca sankuru", "Liptena albomacula", "Liptena titei", "Liptena griveaudi", "Liptena confusa", "Liptena ouesso", "Liptena ouesso ouesso", "Liptena ouesso mayombe", "Liptena submacula", "Liptena submacula submacula", "Liptena submacula tringa", "Liptena submacula maesseni", "Liptena submacula liberiana", "Liptena fatima", "Liptena albicans", "Liptena alluaudi", "Liptena batesana", "Liptena augusta", "Liptena ilaro", "Liptena simplicia", "Liptena bassae", "Liptena tiassale", "Liptena hapale", "Liptena decipiens decipiens", "Liptena decipiens leucostola", "Liptena pearmani", "Liptena inframacula", "Liptena undularis", "Liptena ferrymani", "Liptena ferrymani ferrymani", "Liptena ferrymani bigoti", "Liptena septistrigata", "Liptena subundularis", "Liptena nigromarginata", "Evius roseosimulans", "Evius hippia", "Evius aurococcinea", "Evius cochenouri", "Evius gabrieli", "Candalides erinus", "Austromegabalanus piscoensis", "Austromegabalanus victoriensis", "Candalides erinus erinus", "Uca boninensis", "Uca jocelynae", "Bifrenaria harrisoniae", "Macrochelys suwanniensis", "Macrochelys maxhoseri", "Pempheris sarayu", "Eucytherura myrsinae", "Polistes albellus", "Aphanius fasciatus", "Clubiona apiculata", "Clubiona conica", "Clubiona cultrata", "Clubiona cylindriformis", "Lithocharis schuelkei", "Charaxes druceanus", "Charaxes druceanus druceanus", "Charaxes druceanus brazza", "Charaxes druceanus praestans", "Charaxes druceanus cinadon", "Charaxes druceanus obscura", "Charaxes druceanus proximans", "Charaxes druceanus septentrionalis", "Charaxes druceanus moerens", "Charaxes druceanus teita", "Charaxes druceanus entabeni", "Charaxes druceanus stevensoni", "Charaxes druceanus katamayu", "Charaxes druceanus vivianae", "Charaxes druceanus williamsi", "Charaxes druceanus solitaria", "Charaxes xiphares staudei", "Omorgus bachorum", "Omorgus undaraensis", "Struthisca halophanta", "Struthisca hexaspila", "Struthisca hygropis", "Struthisca liopercna", "Struthisca megophthalma", "Struthisca micropsycha", "Struthisca myriopleura", "Struthisca ophryota", "Struthisca perlucescens", "Struthisca phthonera", "Struthisca ptochodoxa", "Struthisca tumescens", "Struthisca vafra", "Struthisca zascia", "Struthisca amphizela", "Struthisca areata", "Struthisca charadrias", "Struthisca holoscia", "Struthisca hormotris", "Struthisca mesocentra", "Struthisca mysteris", "Struthisca omichlodes", "Struthisca siderarcha", "Struthisca thranitis", "Struthisca zygitis", "Struthisca farinosa", "Struthisca brunneotegula", "Struthisca silaceategula", "Struthisca suasa", "Struthisca javensis", "Sucinopsyche secundum", "Sucinopsyche transversum", "Taleporia aethiopica", "Taleporia autumnella", "Taleporia borealis", "Taleporia defoliella", "Taleporia discussa", "Charaxes violetta", "Charaxes violetta violetta", "Charaxes violetta maritima", "Charaxes violetta meru", "Charaxes etesipe", "Charaxes etesipe etesipe", "Charaxes etesipe abyssinicus", "Charaxes etesipe patrizii", "Charaxes etesipe tavetensis", "Charaxes etesipe gordoni", "Charaxes etesipe pemba", "Charaxes penricei", "Charaxes penricei penricei", "Charaxes penricei tanganyikae", "Candalides helenita dimorphus", "Ixodes marxi", "Ixodes texanus", "Abantiades albofasciatus", "Abantiades aphenges", "Abantiades diversata", "Abantiades barcas", "Abantiades magnificus", "Abantiades hyalinatus", "Abantiades hydrographus", "Abantiades leucochiton", "Abantiades labyrinthicus", "Anemone hupehensis var. japonica", "Anemone baicalensis", "Euploea darchia", "Anemone baicalensis var. baicalensis", "Hexacreusia durhami", "Charaxes penricei dealbata", "Charaxes cacuthis", "Charaxes usambarae", "Charaxes usambarae usambarae", "Cymbidium lancifolium", "Candalides grandissima", "Cornupalpatum burmanicum", "Cosmiomma hippopotamensis", "Candalides heathi", "Candalides heathi heathi", "Candalides heathi aerata", "Candalides heathi alpina", "Megabalanus ajax", "Ixodes acutitarsus", "Candalides heathi doddi", "Anemone subsect.", "Anemone subsect.", "Candalides helenita", "Candalides helenita helenita", "Ixodes hexagonus", "Lamproptera paracurius", "Striglocyrbasia nigripes", "Struthisca agitata", "Struthisca adversa", "Struthisca amydrota", "Struthisca antibola", "Struthisca aphanodes", "Struthisca capnoscia", "Struthisca famula", "Charaxes lucyae", "Charaxes lucyae lucyae", "Charaxes lucyae mwanihanae", "Charaxes lucyae gabriellae", "Charaxes pleione", "Charaxes pleione pleione", "Charaxes pleione congoensis", "Charaxes pleione oriens", "Charaxes pleione bebra", "Charaxes pleione delvauxi", "Candalides erinus stevensi", "Candalides erinus sudesta", "Candalides erinus sumbensis", "Candalides erinus taamensis", "Candalides erinus tenimberensis", "Candalides erinus timorensis", "Candalides erinus tualensis", "Candalides geminus", "Bifrenaria aureofulva", "Candalides gilberti", "Clea bangueyensis", "Clea bocki", "Clea cambojiensis", "Clea fusca", "Clea hidalgoi", "Clea jullieni", "Clea nigricans", "Clea scalarina", "Clea spinosa", "Clea wykloffi", "Themeliotis notocrossa", "Themeliotis progremna", "Themeliotis projectrix", "Themeliotis stereodes", "Thyridopteryx alcora", "Synersaga atriptera", "Oenothera sect.", "Oenothera sect.", "Ixodes andinus", "Ixodes chilensis", "Ixodes guatemalensis", "Ixodes nectomys", "Ixodes pomerantzi", "Ixodes tapirus", "Ixodes tecpanensis", "Ixodes tropicalis", "Ixodes brunneus", "Ixodes crenulatus", "Ixodes fuscipes", "Ixodes lividus", "Ixodes pilosus", "Ixodes vespertilionis", "Ixodes calcarhebes", "Ixodes caledonicus", "Ixodes canisuga", "Oenothera primiveris subsp. primiveris", "Oenothera primiveris subsp. bufonis", "Oenothera primiveris subsp. caulescens", "Oenothera sect.", "Oenothera sect.", "Charaxes guderiana", "Charaxes guderiana guderiana", "Taleporia politella szocsi", "Taleporia sciacta", "Taleporia tubulosa", "Taleporia tubulosa tubulosa", "Taleporia tubulosa austriaca", "Taleporia tubulosa bavaralta", "Taleporia tubulosa gozmanyi", "Ixodes albignaci", "Thanatopsyche canescens", "Thanatopsyche chilensis", "Themeliotis goniozona", "Ixodes signatus", "Hauya elegans subsp. elegans", "Hauya elegans subsp. barcenae", "Hauya elegans subsp. cornuta", "Ixodes bakeri", "Ixodes banksi", "Ixodes bedfordi", "Ixodes bequaerti", "Ixodes berlesei", "Ixodes bivari", "Ixodes brewsterae", "Ixodes catherinei", "Ixodes corwini", "Ixodes macfarlanei", "Ixodes zairensis", "Themeliotis inexpleta", "Anemone baicalensis var. kansuensis", "Prostephanus mexicanus", "Anemone baicalensis var. saniculiformis", "Hexacreusia puritanae", "Zulloana straeleni", "Keratoisis magnifica", "Keratoisis peara", "Anemone baicalensis var. rossii", "Anemone baicalensis var. glabrata", "Fenerbahce formosus", "Geum andicola", "Geum brevicarpellatum", "Taleporia euxina", "Taleporia improvisella", "Taleporia isozopha", "Taleporia mesochlora", "Taleporia politella", "Taleporia politella politella", "Taleporia politella clandestinella", "Lophiodes triradiatus", "Oenothera subsect.", "Oenothera subsect.", "Pyrgomina costatum", "Neotraginops mexicanus", "Caenohalictus alexandrei", "Caenohalictus sabanaensis", "Ectopsocus andinus", "Ectopsocus gorgonaensis", "Ectopsocus valvilobatus", "Ectopsocus vilhenaioides", "Hemerodromia planti", "Wiedemannia horvati", "Wiedemannia vedranae", "Wiedemannia darioi", "Kowarzia nevadensis", "Pyrgomina elargatum", "Pyrgomina djanae", "Aulacigaster sabroskyi", "Aulacigaster neoleucopeza", "Aulacigaster mcalpinei", "Aulacigaster afghanorum", "Aulacigaster falcata", "Aulacigaster africana", "Aulacigaster perata", "Aulacigaster borbonica", "Aulacigaster leucopeza", "Aulacigaster pappi", "Aulacigaster ecuadoriensis", "Aulacigaster melanoleuca", "Aulacigaster minuta", "Aulacigaster plesiomorphica", "Aulacigaster aenigma", "Aulacigaster albifacies", "Aulacigaster angusta", "Aulacigaster appendiculata", "Aulacigaster atriseta", "Aulacigaster belize", "Aulacigaster bella", "Aulacigaster bifasciata", "Aulacigaster bromeliae", "Aulacigaster condylura", "Aulacigaster conspicua", "Aulacigaster costaricana", "Aulacigaster curvata", "Aulacigaster erika", "Aulacigaster erwini", "Aulacigaster fastidiosa", "Aulacigaster femorata", "Aulacigaster formosa", "Aulacigaster freidbergi", "Aulacigaster tibanae", "Aulacigaster trifasciata", "Aulacigaster unifasciata", "Aulacigaster vespertina", "Aulacigaster nigritarsa", "Aulacigaster nigritibia", "Aulacigaster peruana", "Aulacigaster proxima", "Aulacigaster rufifemur", "Aulacigaster serrana", "Aulacigaster spangleri", "Aulacigaster srilanka", "Aulacigaster stenoptera", "Aulacigaster gaimarii", "Aulacigaster grimaldii", "Aulacigaster guyana", "Aulacigaster india", "Aulacigaster irwini", "Aulacigaster korneyevi", "Aulacigaster lobata", "Aulacigaster lopesi", "Aulacigaster malawana", "Adrorhizon purpurascens", "Charaxes blanda blanda", "Charaxes blanda kenyae", "Oenothera kunthiana", "Nothobranchius korthausae", "Charaxes boueti boueti", "Charaxes boueti rectans", "Charaxes boueti carvalhoi", "Sirhookera latifolia", "Charaxes richelmanni", "Sirhookera lanceolata", "Charaxes richelmanni richelmanni", "Charaxes richelmanni ducarmei", "Charaxes richelmanni scheveni", "Oenothera subsect.", "Charaxes eudoxus", "Charaxes eudoxus eudoxus", "Oenothera ser.", "Charaxes eudoxus mechowi", "Charaxes eudoxus katerae", "Charaxes eudoxus cabacus", "Charaxes eudoxus amaurus", "Charaxes eudoxus zambiae", "Oenothera magellanica", "Adna anglica", "Candalides hyacinthina", "Candalides hyacinthina hyacinthina", "Candalides hyacinthina eugenia", "Oenothera ser.", "Echthromorpha intricatoria", "Candalides hyacinthina josephina", "Candalides hyacinthina simplexa", "Oenothera ser.", "Oeonia brauniana", "Oeonia brauniana var. sarcanthoides", "Oeonia curvata", "Oeonia madagascariensis", "Ixodes cornuae", "Oeonia volucris", "Tetramesa robustella", "Tetramesa elongia", "Tetramesa sulcatella", "Tetramesa sanai", "Tetramesa pavliceki", "Tetramesa rujumi", "Bulbophyllum flabellum-veneris", "Bulbophyllum lepidum", "Bulbophyllum umbellatum", "Megabalanus azoricus", "Oenothera subsect.", "Oenothera subsect.", "Oenothera sect.", "Megabalanus californicus", "Oenothera sect.", "Oenothera sect.", "Rhodeus albomarginatus", "Agaporomorphus sharynae", "Oenothera sect.", "Oenothera sect.", "Oenothera sect.", "Cionophorus soongi", "Agalenocosa gamas", "Agalenocosa grismadoi", "Agalenocosa pirity", "Acrochordonoposthia vandeputae", "Mirax ubangus", "Oenothera subsect.", "Mirax vertus", "Sudamerlycaste locusta", "Stenohya meiacantha", "Stenohya tengchongensis", "Oenothera subsect.", "Oenothera sect.", "Candalides lamia", "Candalides limbata", "Candalides margarita", "Candalides margarita margarita", "Candalides margarita maria", "Candalides meforensis", "Pyrgomina oulastreae", "Ochotona whartoni", "Oenothera subsect.", "Oenothera subsect.", "Pyrgomina seguenzai", "Oenothera sect.", "Pyrgomina sulcatum", "Pikaihao bartlei", "Pertusaria pertractata", "Candalides neurapacuna", "Candalides pruina", "Sacosternum elinesoekhnandane", "Sacosternum amrishi", "Candalides riuensis", "Amblycerus medialis", "Prostoia ozarkensis", "Megabalanus antillensis", "Philodryas boliviana", "Philodryas laticeps", "Pseudalsophis hoodensis", "Megatrema madreporarum", "Megatrema youngi", "Memagreta pandorae", "Alsophis sajdaki", "Arrhyton supernum", "Arrhyton procerum", "Caraiba andreae", "Chilasa slateri slateri", "Chilasa slateri hainanensis", "Papilio mahadeva mahadeva", "Papilio mahadeva choui", "Papilio polyctor", "Papilio polyctor polyctor", "Papilio polyctor xiei", "Graphium nomius nomius", "Graphium nomius hainana", "Trechus gamae", "Trechus lunai", "Domene lusitanica", "Roncocreagris borgesi", "Roncocreagris gepesi", "Roncocreagris occidentalis", "Lusoblothrus aenigmaticus", "Acipes machadoi", "Acipes bifilum", "Graphium aristeus aristeus", "Graphium aristeus hainanensis", "Scutogona minor", "Nocticanace kraussi", "Masoniella darwini", "Pelomyia fuegina", "Dasyrhicnoessa celata", "Tethina mariae", "Elaphropeza plurimaculata", "Afrolimna infuscata", "Mirax adjunctus", "Mirax carinatus", "Mirax dilatus", "Mirax fuscus", "Mirax linguaris", "Mirax pendiasae", "Mirax politus", "Mirax ruptus", "Mirax sulcatulus", "Euophrys yulungensis", "Euophrys ysobolii", "Euophrys wenxianensis", "Graphium agetes agetes", "Graphium agetes chinensis", "Teinopalpus aureus guangxiensis", "Luehdorfia chinensis chinensis", "Luehdorfia chinensis leei", "Luehdorfia tabai", "Luehdorfia tabai tabai", "Ochrolechia gyrophorica", "Luehdorfia puziloi puziloi", "Ludia vetusta", "Ludia pseudovetusta", "Eurema ada choui", "Aporia crataegi crataegi", "Aporia crataegi hyalina", "Aporia crataegi pellucida", "Aporia crataegi shugnana", "Oenothera sect.", "Habenaria diphylla", "Gennaria diphylla", "Bulbophyllum pusillum", "Bulbophyllum sandersonii", "Bulbophyllum sandersonii subsp. sandersonii", "Bulbophyllum sandersonii subsp. stenopetalum", "Neoholmgrenia andina", "Candalides silicea", "Candalides tringa", "Candalides viriditincta", "Megabalanus clippertonensis", "Megabalanus coccopoma", "Discartemon discadentus", "Discartemon discamaximus", "Discartemon circulus", "Discartemon deprima", "Discartemon expandus", "Discartemon afthonodontia", "Discartemon epipedis", "Discartemon flavacandida", "Discartemon kotanensis", "Discartemon megalostraka", "Discartemon triancus", "Discartemon conicus", "Hemipenthes dominicana", "Ceratothoa argus", "Ceratothoa angulata", "Ceratothoa atherinae", "Ceratothoa banksii", "Ceratothoa capri", "Thyridopteryx ephemeraeformis", "Thyridopteryx meadi", "Titanomis sisyrota", "Trapezoritis anisastra", "Tretoscopa polycentra", "Trichocossus albiguttata", "Trichocossus arvensis", "Trigonocyttara clandestina", "Nothobranchius albimarginatus", "Typhonia abacodes", "Typhonia accurata", "Typhonia acmastis", "Typhonia alla", "Megabalanus costatus", "Actinotia subintermeidata", "Tetramesa albiangulata", "Bruchophagus opposita", "Megabalanus dorbignii", "Megabalanus galapaganus", "Bruchophagus fellis", "Ajuga chamaepitys subsp. cypria", "Ajuga chamaepitys subsp. euphratica", "Ajuga chamaepitys subsp. glareosa", "Ajuga chamaepitys subsp. mardinensis", "Ajuga chamaepitys subsp. libanotica", "Ajuga chasmophila", "Nothobranchius annectens", "Neolucanus baongocae", "Oenothera deltoides subsp. deltoides", "Oenothera deltoides subsp. howellii", "Oenothera deltoides subsp. ambigua", "Oenothera deltoides subsp. cognata", "Megabalanus crispatus", "Actinotia furvusa", "Oenothera subsect.", "Ectropa adam", "Oenothera subsect.", "Ectropa ancilis", "Oenothera subsect.", "Oenothera subsect.", "Ectropa alberici", "Oenothera subsect.", "Oenothera subsect.", "Ectropona dargei", "Ectropona larsa", "Ectropona kubwa", "Ectropona aarviki", "Ectropona revelli", "Coleophora alacanta", "Scythris latilineella", "Scythris lobella", "Saphonecrus reticulatus", "Oenothera acaulis", "Pygmarrhopalites perezi", "Myrmecoblatta hebardi", "Mada durantae", "Sodaliatoma konvickai", "Oeonia rosea", "Candalides xanthospilos", "Clarkia sect.", "Epilobium sect.", "Parosus bicoloratus", "Parosus brasilianus", "Parosus campbelli", "Parosus colombiensis", "Parosus gigantulus", "Parosus hermani", "Parosus longicornis", "Parosus longipennis", "Parosus major", "Parosus minutus", "Parosus newtoni", "Parosus portobelo", "Parosus rossii", "Parosus simplex", "Parosus taliaferroae", "Parosus thayerae", "Parosus unicoloratus", "Euplectopsis antiqua", "Euplectus opacus", "Euplectus ovicollis", "Alloplectus claviger", "Arossella lynnae", "Baryscapus brevicornis", "Temnothorax bejaraniensis", "Neocallicrania barrosi", "Neocallicrania serrata", "Neocallicrania serrata serrata", "Neocallicrania serrata pfaui", "Caprella mercedesae", "Caprella calderoni", "Periclimenaeus ancylodactylus", "Periclimenaeus forcipulatus", "Neocallichirus thalesapensis", "Wolffogebia annandalei", "Meteoraxius meteor", "Cyathura shanghaiensis", "Frankferrarius admirabilis", "Eriocheir japonica", "Eriocheir ogasawaraensis", "Paraeriocheir hepuensis", "Paraeriocheir sinensis", "Platyeriocheir formosa", "Platyeriocheir guangdonga", "Neoeriocheir leptognathus", "Goodyera procera", "Diacyclops nikolasarburni", "Ampedus bergeri", "Oenothera deltoides subsp. piperi", "Ampedus chassaini", "Ampedus ernesti", "Ampedus kyliesi", "Ampedus lusitanicus", "Ampedus mantici", "Ampedus saroveci", "Ampedus schimmeli", "Ampedus skoupyi", "Peripontius lesboensis", "Peripontius mertliki", "Oenothera californica subsp. californica", "Philiopsis sulcicollis", "Oenothera californica subsp. eurekensis", "Oenothera californica subsp. avita", "Cardiophorus schneppati", "Dima arndti", "Dima neumanni", "Dima schnitteri", "Adelopsis acutipennis", "Adelopsis barbula", "Adelopsis lamina", "Adelopsis transversicornis", "Dissochaetus dilatatus", "Excelsiorella tambopata", "Paoligena hancocki", "Paoligena uhlehuti", "Miracarus longisetosus", "Tegenaria serrana", "Psilocurus adolfoi", "Culex pinaresis", "Nothobranchius bojiensis", "Harperella nodosa", "Lycianthes sect.", "Lycianthes sect.", "Brunfelsia sect.", "Platyceroides potax", "Pyrgopsella annandalei", "Pyrgospongia stellula", "Psammoecus boreas", "Psammoecus labyrinthicus", "Ajuga arabica", "Ajuga austroiranica", "Ajuga brachystemon", "Ajuga campylantha", "Ajuga chamaecistus", "Ajuga chamaecistus subsp. euphrasioides", "Ajuga chamaecistus subsp. multisecta", "Ajuga chamaecistus subsp. scoparia", "Ajuga chamaecistus subsp. tomentella", "Ajuga chamaecistus subsp. chamaecistus", "Ajuga ciliata", "Ajuga ciliata var. chanetii", "Ajuga ciliata var. glabrescens", "Ajuga decaryana", "Ajuga dictyocarpa", "Ajuga flaccida", "Ajuga forrestii", "Ajuga grandiflora", "Ajuga incisa", "Ajuga integrifolia", "Ajuga japonica", "Ajuga leucantha", "Ajuga linearifolia", "Ajuga lobata", "Ajuga lupulina", "Balanopsammia wirtzi", "Nothobranchius palmqvisti", "Hexadella crypta", "Hexadella topsentis", "Lycianthes subg.", "Meristoderes macracanthus", "Centroglossa greeniana", "Centroglossa nunes-limae", "Centroglossa tripollinica", "Aporcelaimellus baeticus", "Aporcelaimellus brevicaudatus", "Aporcelaimellus rotundus", "Aporcelaimellus deserticola", "Aporcelaimellus hyalinus", "Aporcelaimellus rarus", "Longidorus andalusicus", "Longidorus baeticus", "Longidorus oleae", "Paralongidorus plesioepimikis", "Charaxes eudoxus boersmana", "Lycianthes subg.", "Bunobus rotundilabiatus", "Nesolycaena albosericea", "Bursaphelenchus yuyaoensis", "Ixodes cookei", "Ixodes cooleyi", "Ixodes laguri", "Ixodes longiscutatus", "Cetonia cypriaca", "Adoncholaimus daikokuensis", "Adoncholaimus pseudofervidus", "Ixodes minutae", "Ixodes rhabdomysae", "Ixodes muniensis", "Bursaphelenchus niphades", "Ixodes procaviae", "Ixodes thomasae", "Ixodes cumulatimpunctatus", "Ixodes vanidicus", "Ixodes muris", "Meloidogyne luci", "Ixodes murreleti", "Selitrichodes neseri", "Glyphidops etele", "Podarcis atrata", "Brunfelsia sect.", "Megabalanus occator", "Ixodes nesomys", "Ixodes occultus", "Ixodes paranaensis", "Ixodes pararicinus", "Ixodes pavlovskyi", "Ixodes peromysci", "Ixodes petauristae", "Ixodes pomerantzevi", "Ixodes rugosus", "Ixodes woodi", "Typhonia amica", "Ixodes schulzei", "Ixodes semenovi", "Ixodes subterraneus", "Homona bicornis", "Ixodes taglei", "Homona bakeri", "Ixodes nairobiensis", "Ixodes victoriensis", "Ixodes eichhorni", "Masdevallia davisii", "Ixodes gibbosus", "Ixodes nuttalli", "Ixodes neuquenensis", "Ixodes colasbelcouri", "Ixodes moreli", "Phalaenopsis difformis var. difformis", "Ixodes frontalis", "Ixodes festai", "Ixodes granulatus", "Masdevallia arminii", "Masdevallia coriacea", "Masdevallia corniculata", "Masdevallia cucullata", "Rotylenchus paravitis", "Spauligodon occidentalis", "Ixodes domerguei", "Ixodes drakensbergensis", "Trichodorus andalusicus", "Ixodes eldaricus", "Ixodes elongatus", "Ixodes fecialis", "Ixodes heinrichi", "Ixodes kaiseri", "Ixodes kerguelenensis", "Ixodes kingi", "Ixodes kohlsi", "Trichodorus asturanus", "Trichodorus iliplaensis", "Trichodorus onubensis", "Trichodorus paragiennensis", "Trichodorus parasilvestris", "Trichodorus silvestris", "Xiphinema baetica", "Xiphinema turdetanensis", "Bursaphelenchus posterovulvus", "Psammoecus omotoensis", "Psammoecus scitus", "Scaphicoma bidentia", "Scaphicoma quadrifasciata", "Scaphicoma subflava", "Scaphidium bayibini", "Scaphidium connexum", "Scaphidium varifasciatum", "Scaphidium crypticum", "Scaphidium jinmingi", "Scaphidium robustum", "Neoserica bansongchana", "Neoserica daweishanica", "Neoserica gaoligongshanica", "Neoserica guangpingensis", "Neoserica igori", "Neoserica jiulongensis", "Neoserica plurilamellata", "Neoserica takakuwai", "Neoserica sapaensis", "Neoserica weishanica", "Neoserica yanzigouensis", "Sturnira bakeri", "Sturnira burtonlimi", "Brunfelsia lactea", "Ornidia whiteheadi", "Ornidia obesa", "Ixodes randrianasoloi", "Ixodes rothschildi", "Ixodes cavipalpus", "Ixodes laysanensis", "Ixodes ceylonensis", "Ixodes werneri", "Carios pusillus", "Haemaphysalis hoogstraali", "Haemaphysalis minuta", "Haemaphysalis palawanensis", "Haemaphysalis rusae", "Haemaphysalis sciuri", "Ixodes conepati", "Ixodes pacificus", "Cionophorus guillaumae", "Rhipicephalus sanguineus", "Ixodes neitzi", "Hypera postica", "Rhaphium sibiricus", "Rhaphium borisovi", "Rhaphium srilankensis", "Rhaphium brooksi", "Rhaphium subtridactylum", "Ophiomyia adunca", "Ophiomyia vanyushai", "Ophiomyia flagellata", "Ophiomyia quadrifida", "Ophiomyia striata", "Ophiomyia krousianica", "Ophiomyia sigmoidea", "Ophiomyia tschirnhausi", "Ophiomyia quadrispinosa", "Platysodes formosanus", "Platysodes madoni", "Ochotona spanglei", "Brunfelsia sect.", "Solanum sect.", "Solanum subg.", "Megabalanus peninsularis", "Megabalanus plicatus", "Solanum sect.", "Nothobranchius brieni", "Solanum torvum var. torvum", "Solanum sect.", "Solanum subg.", "Solanum sect.", "Solanum subsect.", "Solanum subsect.", "Nanos andreiae", "Nanos magnus", "Nanos constricticollis", "Nanos bemarahaensis", "Nanos manongorivoensis", "Nanos mirjae", "Nanos mixtus", "Nanos pseudofusconitens", "Capua thelmae", "Amblyomma transversale", "Homona encausta", "Ixodes trianguliceps", "Archips expansa", "Ixodes moscharius", "Chersomorpha biocellana", "Ixodes zaglossi", "Phricanthes flexilineana", "Ixodes walkerae", "Hedya atrifraga", "Adoxophyes paraorana", "Ixodes ventalloi", "Ixodes venezuelensis", "Amorbia vero", "Ancylis colaccii", "Asterolepis dipterocarpi", "Asterolepis cypta", "Asterolepis engis", "Reptilisocia impetigo", "Reptilisocia solomonensis", "Reptilisocia tarica", "Borboniella peruella", "Borboniella rougonella", "Borboniella striatella", "Urera aurantiaca", "Sparganothis acerivorana", "Stylops lusohispanicus", "Coelostathma placidana", "Crocidosema affouchensis", "Nesolycaena caesia", "Nesolycaena urumelia", "Zetona delospila", "Sceloporus aurantius", "Ooencyrtus longicauda", "Ooencyrtus protohermeasis", "Ooencyrtus noyesi", "Ituglanis apteryx", "Chlorogomphus auripennis", "Braunsapis engeli", "Braunsapis arabica", "Thalassaphorura houtanensis", "Bolivaritettix anhuiensis", "Oocelyphus shennongjianus", "Appias hombroni", "Paralucia spinifera", "Centaurea crocodylium", "Solanum subg.", "Solanum sect.", "Solanum coquimbense", "Solanum trinominum", "Solanum ser.", "Solanum ser.", "Ochrolechia subrhodotropa", "Eulophia dahliana", "Eulophia pulchra", "Ampulex dementor", "Hyoscyamus subg.", "Hyoscyamus subg.", "Hyoscyamus subg.", "Peckius insularis", "Anteon xochipalense", "Deinodryinus levigatus", "Deinodryinus xanthonotatus", "Nanos pseudominutus", "Nanos pseudorubromaculatus", "Nanos marojejyensis", "Nanos pseudoviettei", "Nanos ranomafanaensis", "Cladispa amboroensis", "Cladispa ecuadorica", "Solanum paludosum", "Megabalanus rosa", "Architectonica maxima", "Solanum sect.", "Solanum sect.", "Cryptophlebia socotrensis", "Cyanocydia eucyanea", "Ethelgoda escarcegae", "Ethelgoda anfracta", "Ethelgoda stynophra", "Ofatulena lathetica", "Metacydia polyseta", "Epinotia caracae", "Epinotia griseiblema", "Epinotia potosicola", "Epinotia sticta", "Epinotia huatuscana", "Epinotia chalsocia", "Amphinemura lingulata", "Amphinemura annulata", "Euryleptodes galikias", "Pseudidarnes acaudus", "Pseudidarnes astridae", "Pseudidarnes badiogeminus", "Pseudidarnes cooki", "Pseudidarnes kjellbergi", "Pseudidarnes laevis", "Megabalanus spinosus", "Bohra illuminata", "Bohra nullarbora", "Bohra wilkinsonorum", "Megabalanus stultus", "Nothobranchius vosseleri", "Nothobranchius neumanni", "Dudua microsema", "Dudua perornata", "Dudua perusta", "Dudua proba", "Dudua proxima", "Dudua ultima", "Homo microcranous", "Dudua piratodes", "Ixodes succineus", "Ixodes steini", "Eucosmocydia antidora", "Eucosmocydia monitrix", "Eucosmocydia oedipus", "Eucosmocydia belouvensis", "Ixodes spinipalpis", "Gypsonoma giorgiae", "Ixodes siamensis", "Ixodes sigelos", "Ixodes collocaliae", "Ixodes columnae", "Neotrevathana elongatum", "Ixodes tamaulipas", "Paralucia aurifer", "Ixodes sinaloa", "Ixodes cuernavacensis", "Paralucia pyrodiscus", "Ixodes soricis", "Ixodes sinensis", "Ixodes ochotonae", "Ixodes hearlei", "Ixodes hirsti", "Ixodes himalayensis", "Ixodes cornutus", "Ixodes tanuki", "Melanodaedala diffusa", "Vanilla parvifolia", "Melanodaedala melanoneura", "Metacosma impolitana", "Metacosma miratorana", "Tyrophagus bisetosis", "Rhizoglyphus iftikhari", "Exogone gigas", "Selitrichodes utilis", "Selitrichodes casuarinae", "Garra waensis", "Lepidonopsis barnichae", "Rhagovelia zecai", "Megabalanus tanagrae", "Nanorhathymus acutiventris", "Hydnophytum caminiferum", "Ngirhaphium caeruleum", "Ngirhaphium sivasothii", "Gelis tenellus", "Sirthenea nitida", "Crocidura absconditus", "Solanum sect.", "Solanum sect.", "Solanum sect.", "Scuticaria hadwenii", "Scuticaria hadwenii var. hadwenii", "Scuticaria hadwenii var. dogsonii", "Caryocolum crypticum", "Tetrasticta bobbii", "Myrmecoroides carinatus", "Membranobalanus koreanus", "Aphomomyrmex afer", "Vanilla rivasii", "Vanilla atropogon", "Hebius leucomystax", "Hypostomus perdido", "Nothobranchius jubbi", "Amynthas agrestis", "Boreallodape baltica", "Boreallodape mollyae", "Boreallodape striebichi", "Coproporus immigrans", "Wanella andersonorum", "Wanella milleporae", "Chalinochromis cyanophleps", "Croton lindquistii", "Eurema sarilata risa", "Pseudodipsas cephenes", "Eurema sarilata boholensis", "Eurema sarilata mindorana", "Bhutanitis mansfieldi mansfieldi", "Bhutanitis mansfieldi pulchristriata", "Parapachymorpha daoyingi", "Parapachymorpha xishuangbannaensis", "Homalotylus avalon", "Homalotylus hypnos", "Homalotylus ineris", "Homalotylus kalos", "Homalotylus lanuvium", "Homalotylus lapithae", "Homalotylus lares", "Homalotylus longula", "Homalotylus luca", "Homalotylus orbona", "Homalotylus opuntius", "Homalotylus naxus", "Homalotylus padusa", "Homalotylus zovirax", "Homalotylus suadela", "Homalotylus suber", "Homalotylus selva", "Homalotylus zhaoi", "Homalotylus trisubalbus", "Homalotylus sinensis", "Homalotylus longicaudus", "Epinotia phorminx", "Epinotia sinuncus", "Crocidosema ochrovirens", "Crocidosema pusula", "Crocidosema semanticana", "Crocidosema marumbiana", "Crocidosema atrovirens", "Crocidosema bidepas", "Crocidosema peroteana", "Crocidosema tainia", "Crocidosema argentonivea", "Crocidosema dematia", "Crocidosema carchinaia", "Crocidosema puertoricana", "Crocidosema cayeya", "Crocidosema cingularia", "Crocidosema meteora", "Crocidosema obta", "Crocidosema mycteria", "Crocidosema connexa", "Crocidosema multistrigata", "Ixodes turdus", "Dracontogena agassizi", "Ixodes trichosuri", "Ixodes cornuatus", "Ixodes confusus", "Ixodes antechini", "Ixodes theilerae", "Dracontogena angolensis", "Dracontogena bjornstadi", "Dracontogena gilligani", "Dracontogena kingstoni", "Dracontogena rubondoensis", "Dracontogena solii", "Dracontogena sundi", "Dudua anaprobola", "Dudua anisoptera", "Ixodes ghilarovi", "Dudua charadraea", "Dudua crossotoma", "Ixodes sachalinensis", "Dudua eumenica", "Dudua hemigrapta", "Dudua scaeaspis", "Dudua tectigera", "Dudua tetanota", "Homo orientalis", "Dudua hesperialis", "Dudua lamproterma", "Dudua metacyma", "Dryinus semiruber", "Dryinus valens", "Dryinus xanthopus", "Gonatopus isabelensis", "Gonatopus villamilensis", "Megadryinus cacaonis", "Neodryinus mayanus", "Deinodryinus kawensis", "Dryinus gibbosus", "Dryinus striatus", "Eutetramorium parvum", "Praon staticobii", "Polyderis nitmiluki", "Masdevallia cupularis", "Masdevallia curtipes", "Masdevallia demissa", "Masdevallia elephanticeps", "Masdevallia fulvescens", "Aphomomyrmex faurei", "Homalotylus scutellaris", "Homalotylus yunnanensis", "Homalotylus shuvakhinae", "Homalotylus affinis", "Homalotylus africanus", "Homalotylus brevicauda", "Homalotylus cockerelli", "Homalotylus hyperaspidis", "Homalotylus mexicanus", "Homalotylus punctifrons", "Homalotylus quaylei", "Homalotylus pallentipes", "Homalotylus agarwali", "Homalotylus formosus", "Homalotylus albiclavatus", "Homalotylus albifrons", "Homalotylus albitarsus", "Homalotylus aligarhensis", "Homalotylus apricalis", "Homalotylus balchanensis", "Homalotylus ephippium", "Homalotylus eytelweinii", "Homalotylus ferrierei", "Homalotylus flaminius", "Homalotylus hemipterinus", "Homalotylus himalayensis", "Homalotylus hybridus", "Homalotylus hyperaspicola", "Homalotylus indicus", "Homalotylus latipes", "Homalotylus longipedicellus", "Homalotylus mirabilis", "Homalotylus mundus", "Homalotylus nigricornis", "Homalotylus oculatus", "Homalotylus platynaspidis", "Homalotylus scymnivorus", "Homalotylus similis", "Homalotylus singularis", "Homalotylus slossonae", "Homalotylus terminalis", "Homalotylus turkmenicus", "Homalotylus vicinus", "Gypsonoma attrita", "Gypsonoma bifasciata", "Gypsonoma buettikeri", "Gypsonoma contorta", "Gypsonoma distincta", "Gypsonoma erubesca", "Gypsonoma gymnesiarum", "Gypsonoma hiranoi", "Gypsonoma infuscana", "Gypsonoma kawabei", "Gypsonoma maritima", "Gypsonoma mica", "Gypsonoma monotonica", "Gypsonoma mutabilana", "Gypsonoma ochrotona", "Gypsonoma penthetria", "Gypsonoma riparia", "Gypsonoma rivulana", "Gypsonoma rubescens", "Gypsonoma substitutionis", "Leguminivora meridiana", "Pertusaria alectoronica var. alectoronica", "Geranium subcaulescens", "Pertusaria alectoronica var. thiophanica", "Anthriscus nemorosa", "Metaphycus chinensis", "Metaphycus dorsalis", "Metaphycus fusiformis", "Metaphycus fusiscapus", "Metaphycus wui", "Metaphycus stylatus", "Metaphycus alberti", "Typhonia anasactis", "Typhonia aulodoma", "Typhonia autochthonia", "Typhonia autopetra", "Typhonia autadelpha", "Typhonia animosa", "Typhonia beatricis", "Typhonia bettoni", "Typhonia christenseni", "Typhonia bostrychota", "Typhonia campestris", "Typhonia capyrota", "Typhonia certatrix", "Typhonia chlorotricha", "Typhonia ciliaris", "Typhonia ciliaris ciliaris", "Typhonia ciliaris melas", "Typhonia ciliaris melana", "Typhonia circophora", "Typhonia cnaphalodes", "Typhonia cirrhocephala", "Typhonia coagulata", "Typhonia colonica", "Typhonia corniculata", "Typhonia cremata", "Typhonia deposita", "Typhonia devincta", "Typhonia diallactis", "Typhonia energa", "Typhonia epiclera", "Typhonia erethopa", "Typhonia craterodes", "Typhonia cylindraula", "Typhonia dissoluta", "Typhonia effervescens", "Platanthera holmboei", "Gypsonoma anthracitis", "Zambedania argentiniana", "Zambedania madagascariana", "Phymaturus yachanana", "Pinnixa banzu", "Eviota brahmi", "Seira paulae", "Seira tinguira", "Riukiaria belousovi", "Riukiaria davidiani", "Riukiaria kabaki", "Riukiaria korolevi", "Riukiaria martensi", "Typhonia expedita", "Plesiopelma aspidosperma", "Plesiopelma paganoi", "Typhonia expressa", "Typhonia exsecrata", "Typhonia folligera", "Typhonia frenigera", "Typhonia granularis", "Typhonia gregaria", "Typhonia hemithalama", "Typhonia holodryas", "Typhonia holoxyla", "Typhonia gypsopetra", "Typhonia halieutis", "Typhonia homopercna", "Pseudodipsas eone iovis", "Pseudodipsas una", "Pertusaria lacerans", "Pertusaria leucophaea", "Pertusaria leucostomoides", "Pertusaria leucothelia", "Titea caerulea", "Pertusaria lophocarpa", "Titea sublutea", "Pertusaria macra", "Masdevallia encephala", "Pertusaria malmei", "Pertusaria mattogrossensis", "Pertusaria microstoma", "Aylostera aureiflora", "Pertusaria minispora", "Montsecarachne amicorum", "Botswanoncus ellisi", "Aplidium coronum", "Trididemnum shawi", "Metaphycus albidus", "Anagyrus azolus", "Anagyrus raidahensis", "Arabencyrtus qahtanii", "Cerchysiella arabia", "Cerchysiella azeeza", "Cheiloneurus arabiacus", "Leptomastidea abyad", "Mahencyrtus asirensis", "Microterys axonis", "Zaomma astera", "Neastymachus bolus", "Neastymachus ceelus", "Ooencyrtus likinis", "Ooencyrtus seronis", "Typhonia hortatrix", "Typhonia hyacinthias", "Typhonia ichnophora", "Typhonia immanis", "Typhonia imminuta", "Typhonia imparata", "Typhonia imperfecta", "Typhonia inarticulata", "Typhonia incauta", "Typhonia indigena", "Pertusaria modesta", "Typhonia infensa", "Typhonia inimica", "Typhonia interscissa", "Typhonia inveterata", "Typhonia isonephela", "Typhonia isopeda", "Pertusaria muricata", "Pertusaria oblongata", "Neptis alta", "Neptis gratiosa", "Neptis loma", "Neptis angusta", "Neptis katama", "Neptis rogersi", "Neptis nysiades", "Neptis serena", "Neptis serena serena", "Neptis serena annah", "Neptis kiriakoffi", "Neptis morosa", "Neptis jordani", "Neptis constantiae", "Neptis constantiae constantiae", "Neptis constantiae kaumba", "Neptis clarei", "Neptis conspicua", "Neptis poultoni", "Neptis nina", "Neptis nicomedes", "Neptis strigata", "Neptis strigata strigata", "Neptis strigata kakamega", "Neptis nicobule", "Neptis nicoteles", "Neptis trigonophora", "Neptis trigonophora trigonophora", "Neptis trigonophora vansomereni", "Neptis trigonophora melicertula", "Pertusaria palumensis", "Cytisus procumbens", "Neptis melicerta", "Pertusaria parathalassica", "Neptis carcassoni", "Neptis goochi", "Macrosiphum stellariae", "Neotoxoptera oliveri", "Neotoxoptera formosana", "Corticaria johnsonii", "Corticaria dioscorida", "Quasieulia jaliscana", "Quasieulia endela", "Quasieulia hirsutipalpis", "Quasieulia mcguffini", "Anopina xicotepeca", "Pertusaria flavoexpansa", "Olethreutes didessae", "Pertusaria flavopunctata", "Platynota blanchardi", "Platynota islameconae", "Platynota polingi", "Platynota redingtonensis", "Platynota texana", "Platynota zapatana", "Pertusaria flindersiana", "Rhopobota hamata", "Rhopobota latispina", "Rhopobota zhengi", "Sparganothis azulispecca", "Sparganothis boweri", "Sparganothis lindalinea", "Sparganothis mcguinnessi", "Sparganothis minimetallica", "Pertusaria glomelliferica", "Sparganothis niteolinea", "Sparganothis robinsonana", "Sparganothis sullivani", "Sparganothis tessellata", "Pertusaria gymnospora", "Pertusaria hartmannii", "Geranium libani", "Geranium libanoticum", "Pertusaria humilis", "Pertusaria hypoxantha", "Pseudodipsas eone", "Salix armeno-rossica", "Pseudodipsas eone eone", "Pseudodipsas eone iole", "Haliclona dura", "Haliclona brassica", "Paraphlugiolopsis jiangi", "Paraphlugiolopsis lobocera", "Aegosoma xentoc", "Afroarabiella namaquensis", "Metaphycus dispar", "Metaphycus ericeri", "Metaphycus nadius", "Metaphycus xujiangi", "Scutellaria diffusa", "Scutellaria glaphyrostachys", "Polypedilum ovahimba", "Rhopalomyia psychotriae", "Schizomyia botellus", "Schizomyia novoguineensis", "Oreophryne cameroni", "Botrytis cinerea", "Epiphyas postvittana", "Granitohyoidea calycopeplus", "Oreophryne parkopanorum", "Oreophryne gagneorum", "Scutellaria brevibracteata", "Scutellaria brevibracteata subsp. brevibracteata", "Scutellaria brevibracteata subsp. icarica", "Scutellaria brevibracteata subsp. pannosula", "Scutellaria brevibracteata subsp. subvelutina", "Pertusaria subrigida", "Pertusaria tjaetabensis", "Scutellaria zivari", "Scutellaria utriculata", "Scutellaria tatianae", "Pertusaria trichosa", "Scutellaria tournefortii", "Pertusaria trimera", "Ornipholidotos katangae katangae", "Ornipholidotos katangae reducta", "Ornipholidotos jacksoni", "Ornipholidotos jacksoni jacksoni", "Ornipholidotos jacksoni occidentalis", "Ornipholidotos kirbyi", "Ornipholidotos amieti", "Ornipholidotos amieti amieti", "Ornipholidotos amieti angulata", "Ornipholidotos bakotae", "Ornipholidotos dowsetti", "Ornipholidotos irwini", "Ornipholidotos jax", "Ornipholidotos kivu", "Ornipholidotos nancy", "Ornipholidotos ngura", "Ornipholidotos sylphida", "Ornipholidotos paradoxa", "Ornipholidotos paradoxa paradoxa", "Ornipholidotos paradoxa centralis", "Ornipholidotos paradoxa orientis", "Ornipholidotos emarginata", "Ornipholidotos emarginata emarginata", "Ornipholidotos emarginata maxima", "Ornipholidotos peucetia", "Ornipholidotos peucetia peucetia", "Ornipholidotos peucetia penningtoni", "Ornipholidotos peucetia peuceda", "Ornipholidotos peucetia chyuluensis", "Pertusaria queenslandica", "Dendrobium linearifolium", "Pertusaria rigida", "Masdevallia tovarensis", "Pertusaria roseola", "Pertusaria submalvinae", "Aleiodes albidactyl", "Aleiodes albigena", "Aleiodes albiviria", "Aleiodes bimaculatus", "Aleiodes cacuangoi", "Aleiodes colberti", "Aleiodes delicatus", "Aleiodes dyeri", "Aleiodes elleni", "Aleiodes falloni", "Aleiodes frosti", "Aleiodes kingmani", "Aleiodes longikeros", "Aleiodes luteosicarius", "Aleiodes marilynae", "Aleiodes mirandae", "Aleiodes napo", "Aleiodes nubicola", "Aleiodes onyx", "Aleiodes shakirae", "Aleiodes stewarti", "Aleiodes townsendi", "Aleiodes tzantza", "Aleiodes yanayacu", "Lacusa digitata", "Lacusa producta", "Burmonyx zigrasi", "Paridea houjayi", "Paridea kaoi", "Nothobranchius rosenstocki", "Melloleitaoina mutquina", "Melloleitaoina uru", "Melloleitaoina yupanqui", "Pertusaria subradians", "Liocanthydrus armulatus", "Liocanthydrus nanops", "Aphelocheirus motuoensis", "Aphelocheirus longlingensis", "Euroschizogynium calvum", "Albistyla fimbriata", "Albistyla occulta", "Albistyla spatulisterna", "Psilorhynchus khopai", "Pertusaria paratropa", "Leiolepis belliana", "Potentilla isaurica", "Neptis incongrua", "Neptis incongrua incongrua", "Neptis incongrua isidoro", "Neptis incongrua nguru", "Pertusaria platystoma", "Salvia xanthocheila", "Alaena dodomaensis", "Ornipholidotos tanganyikae", "Scutellaria tomentosa", "Scutellaria porphyrantha", "Ornipholidotos camerunensis", "Ornipholidotos congoensis", "Ornipholidotos gabonensis", "Ornipholidotos teroensis", "Ornipholidotos bitjeensis", "Ornipholidotos nigeriae", "Ornipholidotos onitshae", "Ornipholidotos likouala", "Ornipholidotos issia", "Scutellaria megalaspis", "Ornipholidotos tiassale", "Ornipholidotos kelle", "Ornipholidotos etoumbi", "Ornipholidotos abriana", "Scutellaria heterophylla", "Ornipholidotos annae", "Ornipholidotos aureliae", "Ornipholidotos ayissii", "Ornipholidotos boormani", "Ornipholidotos carolinae", "Ornipholidotos ducarmei", "Ornipholidotos evoei", "Ornipholidotos francisci", "Ornipholidotos ghesquierei", "Ornipholidotos ginettae", "Ornipholidotos ivoiriensis", "Ornipholidotos jolyana", "Ornipholidotos josianae", "Ornipholidotos kennedyi", "Ornipholidotos maesseni", "Ornipholidotos nbeti", "Ornipholidotos oremansi", "Ornipholidotos sylviae", "Ornipholidotos tessmani", "Ornipholidotos ugandae", "Ornipholidotos ugandae ugandae", "Ornipholidotos ugandae biokoensis", "Ornipholidotos ugandae goodi", "Ornipholidotos ntebi", "Ornipholidotos sylpha", "Ornipholidotos perfragilis", "Ornipholidotos tirza", "Ornipholidotos overlaeti", "Ornipholidotos overlaeti overlaeti", "Ornipholidotos overlaeti fontainei", "Ornipholidotos overlaeti intermedia", "Ornipholidotos latimargo", "Ornipholidotos katangae", "Cheilosia lucense", "Neoseiulus ellesmerei", "Neoseiulus grumantensis", "Didogobius helenae", "Culicoides soleamaculatus", "Asprothrips bimaculatus", "Liladownsia fraile", "Aceria genistae", "Impatiens sect.", "Impatiens subg.", "Impatiens subg.", "Impatiens sect.", "Impatiens sect.", "Impatiens namchabarwensis", "Impatiens subg.", "Impatiens sect.", "Scutellaria anatolica", "Impatiens subsect.", "Eriosoma lanigerum", "Ips grandicollis", "Bactrocera cucumis", "Leptolamia absona", "Leptolamia bifurcata", "Leptolamia bunyaensis", "Leptolamia conicula", "Leptolamia contraria", "Leptolamia glaciata", "Leptolamia gloriosa", "Leptolamia jacobii", "Leptolamia juliae", "Leptolamia kulija", "Leptolamia lunata", "Leptolamia radicula", "Leptolamia sonjae", "Ceratophysella pauciseta", "Pertusaria areolata", "Ptenidium azafady", "Ptenidium lambdai", "Ptenidium tanalai", "Cyclocephala mannheimsi", "Dina sketi", "Pempheris tominagai", "Belisana protumida", "Khorata bayeri", "Pholcus schawalleri", "Uthina khaosokensis", "Spatulignatha arcuata", "Spatulignatha longizonalis", "Sphaeronemoura separata", "Napialus spinosus", "Stenorynchoacrum xijiangensis", "Scutellaria orientalis subsp. hispanica", "Scutellaria orientalis subsp. karatschaica", "Myrmecocephalus concinnus", "Scutellaria orientalis subsp. virens", "Scutellaria orientalis subsp. sosnovskyi", "Scutellaria orientalis subsp. pinnatifida", "Scutellaria orientalis subsp. orientalis", "Dysaster cajamarcensis", "Cosmetra thalameuta", "Pertusaria dealbata", "Pertusaria effigurata", "Pertusaria fecunda", "Pertusaria flavosulphurea", "Scythris aciela", "Pertusaria gracilenta", "Pertusaria haematina", "Pertusaria haematommoides", "Scythris felixi", "Pertusaria leioplacoides", "Scythris paelopyga", "Scythris basistrigella", "Scythris omelkoi", "Scythris tenuisquamata", "Pertusaria margaritacea", "Pertusaria phaeosporina", "Pertusaria sanguinulenta", "Pertusaria substerilis", "Mesorhynchaglaea pacifica", "Pertusaria undulata", "Pertusaria variabilis", "Pertusaria verdonii", "Aphnaeus nyanzae", "Pertusaria verruculifera", "Aphnaeus charboneli", "Pertusaria wallamanensis", "Aphnaeus liberti", "Aphnaeus adamsi", "Aphnaeus flavescens", "Aphnaeus williamsi", "Aphnaeus cameruna", "Aphnaeus safiani", "Aphnaeus curlei", "Euptera amieti", "Euptera schultzei", "Euptera plantroui", "Scutellaria \u00d7 ketenoglui", "Scutellaria amphichlora", "Scutellaria araxensis", "Scutellaria artvinensis", "Scutellaria balearica", "Scutellaria caucasica", "Scutellaria columnae", "Scutellaria cypria", "Scutellaria daghestanica", "Scutellaria darriensis", "Scutellaria fontqueri", "Scutellaria glaphymstachys", "Scutellaria granulosa", "Scutellaria grossheimiana", "Scutellaria helenae", "Scutellaria hirta", "Scutellaria leptostegia", "Scutellaria karjaginii", "Scutellaria minor", "Scutellaria novorossica", "Scutellaria oreophila", "Scutellaria oschtenica", "Scutellaria paradoxa", "Scutellaria pinnatifida", "Scutellaria platystegia", "Scutellaria prilipkoana", "Scutellaria raddeana", "Scutellaria rhomboidalis", "Scutellaria rubicunda", "Scutellaria sedelmeyerae", "Scutellaria sevanensis", "Scutellaria sibthorpii", "Scutellaria sieberi", "Scutellaria sporadum", "Scutellaria supina", "Scutellaria ossethica", "Pertusaria georgeana var. methylstenosporica", "Pertusaria subtruncata", "Scutellaria yildirimlii", "Pertusaria subrosacea var. evolutior", "Masdevallia angulifera", "Pertusaria fukiensis", "Masdevallia maculata", "Pertusaria fukiensis var. fukiensis", "Impatiens ecalcarata", "Pertusaria fukiensis var. kushana", "Pertusaria fukiensis f. fukiensis", "Impatiens sect.", "Pertusaria fukiensis f. ochrascens", "Impatiens sect.", "Colocasiomyia hailini", "Colocasiomyia longifilamentata", "Colocasiomyia longivalva", "Colocasiomyia yini", "Ortheziola hauseri", "Ortheziola marottai", "Ortheziola viti", "Euptera knoopi", "Euptera mimetica", "Euptera liberti", "Euptera mirabilis", "Euptera ituriensis", "Euptera ginettae", "Euptera falcata", "Euptera ducarmei", "Euptera aurantiaca", "Euptera choveti", "Euptera collinsi", "Pertusaria georgeana var. occidentalis", "Pertusaria georgeana var. victoriana", "Euptera zowa", "Pertusaria melanospora var. melanospora", "Scutellaria orientalis subsp. bicolor", "Scutellaria orientalis subsp. carica", "Scutellaria orientalis subsp. haussknechtii", "Scutellaria orientalis subsp. macrostegia", "Scutellaria orientalis subsp. pectinata", "Rhododendron malayanum", "Scutellaria orientalis subsp. porphyrostegia", "Scutellaria orientalis subsp. santolinoides", "Scutellaria orientalis subsp. sintenisii", "Rhododendron celebicum", "Scutellaria orientalis subsp. bornmuelleri", "Scutellaria orientalis subsp. cretacea", "Scutellaria orientalis subsp. demnatensis", "Pertusaria melanospora var. sorediata", "Ogyris abrota", "Ogyris aenone", "Pertusaria albovelata", "Pertusaria amarescens", "Pseudancistrus zawadzkii", "Ittolemma credo", "Ittolemma micula", "Ittolemma teretis", "Callicore brome", "Callicore brome brome", "Callicore brome angusta", "Callicore brome danieli", "Callicore eunomia alani", "Callicore eunomia valeriae", "Pertusaria acromela", "Epiphile orea", "Epiphile orea orea", "Epiphile orea negrina", "Pertusaria aggregata", "Epiphile orea distalis", "Epiphile orea helios", "Epiphile adrasta", "Epiphile adrasta adrasta", "Epiphile adrasta bandusia", "Epiphile adrasta escalantei", "Epiphile adrasta calixto", "Pertusaria ampliata", "Perisama bomplandii bomplandii", "Perisama bomplandii reyi", "Pertusaria anisospora", "Pertusaria araucariae", "Pertusaria bonariensis", "Pertusaria carneola", "Pertusaria cerussata", "Pertusaria chapadensis", "Impatiens chungtienensis", "Scutellaria serboana", "Scutellaria taiwanensis", "Scutellaria taipeiensis", "Scutellaria playfairii", "Scutellaria austrotaiwanensis", "Pertusaria colorans", "Tylosaurus proriger", "Pertusaria columnaris", "Dendrophleps chionobosca", "Dendrophleps cretacea", "Dendrophleps semihyalina", "Dendrophleps lobopennis", "Euproctis zorodes", "Ogyris amaryllis", "Ogyris barnardi", "Pertusaria corrugata", "Brachiosaurus altithorax", "Ogyris genoveva", "Pertusaria cryptocarpoides", "Pertusaria curatellae", "Pertusaria delicatula", "Pertusaria dilatata", "Pertusaria flavens", "Impatiens subg.", "Ogyris ianthis", "Impatiens cristata", "Impatiens alboflava", "Pertusaria glaziovii", "Pertusaria gracilis", "Pertusaria granulata", "Ogyris idmo", "Blattella asahinai", "Pertusaria lignicola", "Bombylius major", "Ogyris iphis", "Hoekia philippensis", "Ogyris iphis doddi", "Ogyris iphis iphis", "Pertusaria major", "Ahoekia microtrema", "Pertusaria mundula", "Trachelissa bella", "Trachelissa opaca", "Kisaura holiensis", "Kisaura holzenthali", "Kisaura morsei", "Kisaura golitarensis", "Aratus pacificus", "Atrocalopteryx auco", "Periclimenes rincewindi", "Scutellaria sect.", "Scutellaria subg.", "Scutellaria sect.", "Scutellaria sect.", "Scutellaria sect.", "Scutellaria sect.", "Scutellaria scutellarioides", "Scutellaria mexicana", "Scutellaria fedtschenkoi", "Scutellaria sect.", "Euproctis hylaea", "Euproctis habbema", "Scutellaria subg.", "Euproctis anisozyga", "Euproctis aresca", "Euproctis araucaria", "Euproctis xuthoaria", "Euproctis hemicneca", "Scutellaria sect.", "Euproctis thiocosma", "Euproctis euthysticha", "Scutellaria orbicularis", "Euproctis iseres", "Euproctis epaxia", "Euproctis epicharita", "Coelogyne usitana", "Glochidion tirupathiense", "Musa indandamanensis", "Staurogyne andamanica", "Corynopuntia nigrispina", "Vespula acadica", "Vespula austriaca", "Vespula atropilosa", "Vespula flavopilosa", "Corynopuntia bulbispina", "Corynopuntia bulbispina subsp. bulbispina", "Vespula squamosa", "Vespula sulphurea", "Vespula vidua", "Vespula yichunensis", "Pertusaria quassiae", "Pertusaria reagens", "Pertusaria rhodostomoides", "Pertusaria rudecta", "Pertusaria rudis", "Pertusaria scrobicularis", "Pertusaria scutellaris", "Eutarsopolipus dryptus", "Xyalaspis aberrans", "Xyalaspis alveolata", "Xyalaspis arapahoe", "Xyalaspis hirsuta", "Xyalaspis pilosa", "Spathoglottis pubescens", "Gelechia monella", "Gelechia ceanothiella", "Anacampsis fragariella", "Dichomeris simpliciella", "Dichomeris leuconotella", "Depressaria rosaciliella", "Depressaria canella", "Depressaria pallidella", "Pertusaria tesselaria", "Depressaria alienella", "Pertusaria torquatella", "Scythris magnatella", "Pertusaria trypetheliiformis", "Pertusaria variolosa", "Pertusaria xantholeucoides", "Macodes sanderiana", "Macodes petola", "Pyrgoma cancellatum", "Hesperis boissieriana", "Hesperis breviscapa", "Chionodes meddix", "Chionodes plutor", "Bauhinia sect.", "Tosca plutonella", "Ogyris meeki", "Epinotia tsurugisana", "Pertusaria tetrathalamia var. tetraspora", "Epinotia tsugana", "Heliconius elevatus pseudocupidineus", "Heliconius elevatus roraima", "Pertusaria tetrathalamia var. virens", "Zeiraphera improbana", "Oncidium spectatissimum", "Bauhinia ser.", "Bauhinia ser.", "Oncidium cirrhosum", "Bauhinia ser.", "Bauhinia ser.", "Senecio castagneanus", "Bauhinia ser.", "Bauhinia ser.", "Acarospora tasmanica", "Ademon lagarosiphonae", "Pertusaria simulans", "Eulaema atleticana", "Eulaema marcii", "Neobrachylepas relica", "Epicallima edithella", "Colinita sponsella", "Pertusaria straminella", "Glyphidocera juniperella", "Glyphidocera floridanella", "Glyphidocera septentrionella", "Pertusaria subcorallina", "Neopyrgoma lobata", "Plutella notabilis", "Plutella poulella", "Plutella dammersi", "Aristotelia rhoisella", "Pertusaria subcoronata", "Euhyponomeutoides gracilariella", "Euhyponomeutoides albithoracellus", "Euhyponomeutoides lushanensis", "Pertusaria sublutescens", "Euhyponomeutoides namikoae", "Pertusaria subsulphurescens", "Pertusaria subvirginata", "Zelleria rebisella", "Monochroa placidella", "Pertusaria superans", "Monochroa harrisonella", "Gnorimoschema washingtoniella", "Gnorimoschema radiatella", "Pertusaria tenella", "Gnorimoschema splendoriferella", "Gelechia mandella", "Copidosoma archeodominica", "Vespula yunlongensis", "Amandinea conglomerata", "Corynopuntia bulbispina subsp. basileocephala", "Corynopuntia agglomerata", "Amandinea decedens", "Corynopuntia moelleri", "Corynopuntia clavata", "Gymnanthemum koekemoerae", "Lamellodectes distinctus", "Eukoenenia lanai", "Eukoenenia roscia", "Leptoglossus caicosensis", "Leptoglossus egeri", "Leptoglossus franckei", "Leptoglossus impensus", "Leptoglossus polychromus", "Miniopterus maghrebensis", "Podarcis virescens", "Corynopuntia marenae", "Pyrgoma kuri", "Pertusaria albissima", "Pertusaria alloluteola", "Pertusaria ambigua", "Chysis tricostata", "Pertusaria bagoensis", "Chysis laevis", "Pertusaria ceylonica", "Pertusaria confluentica", "Pertusaria cyathicola", "Hyoscyamus niger var. niger", "Hyoscyamus niger var. pallidus", "Megabalanus linzei", "Philiris sappheira", "Philiris sappheira sappheira", "Philiris sappheira manskiei", "Pertusaria dactylinella", "Metaphycus davoodii", "Pertusaria depressa", "Pertusaria erythrella", "Elachista tuorella", "Pertusaria purpurascens", "Elachista dulcinella", "Elachista hedionella", "Elachista helodella", "Elachista suavella", "Elachista uniolae", "Elachista fasciocaliginosa", "Elachista kurokoi", "Elachista miscanthi", "Pertusaria pycnothelioides", "Glyphidocera acuminae", "Glyphidocera alexandrae", "Glyphidocera basipunctella", "Glyphidocera brevisella", "Glyphidocera brocha", "Glyphidocera brunnella", "Glyphidocera castanella", "Glyphidocera chungchinmookara", "Glyphidocera dentata", "Glyphidocera digitella", "Glyphidocera garveyi", "Glyphidocera glowackae", "Glyphidocera hamatella", "Glyphidocera janae", "Glyphidocera lunata", "Glyphidocera mumiella", "Glyphidocera wrightorum", "Glyphidocera meyrickella", "Glyphidocera aberratella", "Sogalabana ochracea", "Sempervivum soculense", "Pyrgoma japonica", "Harpalyce brasiliana", "Bauhinia sect.", "Cosmopterix villella", "Caloptilia murtfeldtella", "Bauhinia grandidieri", "Marmara arbutiella", "Lyonetia saliciella", "Leucoptera pachystimella", "Incurvaria piperella", "Tinea leucocapitella", "Scardia burkerella", "Monochroa inflexella", "Pertusaria gracilis var. gracilis", "Pertusaria gracilis var. heteromera", "Asymphorodes aporia", "Pertusaria quassiae var. quassiae", "Pertusaria quassiae var. infuscata", "Asymphorodes aporema", "Nolina azureogladiata", "Stathmopoda monoxesta", "Asymphorodes cicatricula", "Pertusaria quassiae var. sordida", "Asymphorodes albicoma", "Asymphorodes acerba", "Nolina hibernica", "Dorata virgatella", "Dorata inornatella", "Pertusaria reagens var. reagens", "Pertusaria reagens var. typica", "Pertusaria reagens var. vegetatior", "Acrolophus medioliniella", "Pleurota albastrigulella", "Pertusaria tetrathalamia var. tetrathalamia", "Rhypopteryx bowdeni", "Rhypopteryx capnitis", "Rhypopteryx celetica", "Rhypopteryx dysbata", "Rhypopteryx polyploca", "Rhypopteryx hemichrysa", "Rhypopteryx atectonipha", "Rhypopteryx fontainei", "Rhypopteryx uele", "Pertusaria nigrata", "Neptis marci", "Neptis troundi", "Neptis vindo", "Pertusaria ochrostoma", "Pertusaria ornatula", "Pertusaria paraensis", "Neptis vingerhoedti", "Pertusaria phaeostoma", "Pertusaria polita", "Elachista sulcsiella", "Pertusaria polycarpa", "Elachista aredhella", "Elachista arthadella", "Elachista bregorella", "Elachista caranthirella", "Elachista celegormella", "Elachista cicadella", "Elachista curufinella", "Elachista daeronella", "Elachista dagnirella", "Elachista diorella", "Elachista dolabella", "Elachista finarfinella", "Elachista gildorella", "Elachista gorlimella", "Elachista haldarella", "Elachista indisella", "Elachista maglorella", "Elachista marachella", "Elachista morwenella", "Elachista olorinella", "Elachista ragnorella", "Elachista tauronella", "Elachista telcharella", "Elachista telerella", "Elachista turgonella", "Elachista aranella", "Elachista aristoteliella", "Elachista eilinella", "Elachista guilinella", "Elachista ibunella", "Elachista miriella", "Elachista nienorella", "Elachista serindella", "Elachista turinella", "Elachista beorella", "Elachista galadella", "Elachista neithadella", "Elachista rianella", "Buellia nebulosa", "Buellia testaceina", "Buellia yilliminningensis", "Buellia claricollina", "Buellia mesospora", "Buellia pigmentosa", "Wiborgiella argentea", "Iphidozercon caspius", "Cratyna suwonensis", "Weinkauffia ukulele", "Roxaniella pittmani", "Buellia poimenae", "Pelagia benovici", "Astyanax douradilho", "Obesoconnus mexicanus", "Obesoconnus guyanensis", "Antillipeltis darlingtoni", "Corynopuntia dumetorum", "Myrsidea fasciata", "Eremiothrips eshghii", "Bactericera lyrata", "Cofana trilobata", "Callosides mafik", "Coniocleonus nigrosuturatus", "Sciacharis chathamensis", "Stigmaeus kuznetsovi", "Stigmaeus mitrofanovi", "Stigmaeus silvestris", "Sciacharis rakiuraensis", "Pyrgoma projectum", "Hiroshia nanlingana", "Ademon lechrilophodes", "Ademon xuthus", "Processa filipes", "Processa hayashii", "Gymnancyla iranella", "Dendrobium phalaenopsis", "Balanus irradians", "Parochodaeus pixius", "Botryolepraria neotropica", "Philenoptera sutherlandii", "Bryobilimbia australis", "Bryobilimbia hypnorum", "Bryobilimbia diapensiae", "Dalaca parafuscus", "Bryobilimbia sanguineoatra", "Memphis montesino", "Memphis artacaena", "Opegrapha keyensis", "Primula \u00d7 media", "Opegrapha protocetrarica", "Cyrtopodium hatschbachii", "Primula \u00d7 digenea", "Ogyris olane", "Metopleura potosi", "Ethmia proximella", "Niphonympha argentea", "Atteva pustulella", "Atteva floridana", "Amandinea devilliersiana", "Atteva gemmata", "Atteva rawlinsi", "Amandinea dudleyensis", "Atteva siderea", "Amandinea occidentalis", "Atteva sidereoides", "Amandinea pillagaensis", "Atteva fulviguttata", "Amandinea stajsicii", "Atteva intermedia", "Atteva flavivitta", "Atteva cosmogona", "Atteva numeratrix", "Atteva zebra", "Atteva zebrina", "Amandinea lignicola", "Eralea abludius", "Elachista absaroka", "Amandinea lignicola var. lignicola", "Polystachya pubescens", "Polyhymno acaciella", "Amandinea lignicola var. australis", "Triclonella pergandeella", "Triclonella villella", "Euclemensia schwarziella", "Scelorthus pisoniella", "Amandinea otagoensis", "Lamprolophus lithella", "Hemerophila dyari", "Amandinea pelidna", "Proleucoptera smilaciella", "Archinemapogon oregonella", "Telphusa acaciella", "Agnippe evippeella", "Apatetris niphaula", "Apatetris psychrodes", "Apatetris miarodes", "Apatetris isonira", "Apatetris autoleuca", "Apatetris cryolopha", "Apatetris leucomichla", "Apatetris phantasta", "Apatetris achnias", "Apatetris spectrella", "Polystachya ottoniana", "Apatetris coniombra", "Apatetris microtima", "Apatetris harpastis", "Agaricus sylvaticus", "Apatetris chionocephala", "Oncidium hintonii", "Dorycnopa orthodesma", "Dorycnopa marmorea", "Dorycnopa heliochares", "Anomalographis madeirensis", "Pyncostola stalactis", "Pyncostola actias", "Pyncostola sciopola", "Pyncostola operosa", "Pyncostola bohemiella", "Anomalographis tulliensis", "Austroparmelina pallida", "Austroparmelina whinrayi", "Corynopuntia aggeria", "Corynopuntia parishii", "Philornis downsi", "Corynopuntia schottii", "Corynopuntia invicta", "Corynopuntia robertsii", "Antillipeltis maculata", "Antillipeltis minuta", "Antillipeltis nitida", "Antillipeltis portoricensis", "Antillipeltis pubescens", "Antillipeltis alleni", "Antillipeltis iviei", "Bordaia karnka", "Hampsoniella assa", "Hampsoniella equatorialis", "Hampsoniella serta", "Cibyra meridionalis", "Cibyra ferruginosa", "Petrochromis horii", "Herichthys tepehua", "Nosferatu pame", "Nosferatu molango", "Nosferatu pratinus", "Blastenia carnella", "Blastenia keroblasta", "Blastenia macquariensis", "Bletia reflexa", "Minois dryas dryas", "Minois dryas bipunctatus", "Minois dryas shaanxiensis", "Brahmaea jilinensis", "Glyphidocera guaroa", "Coelogyne nervosa", "Coelogyne miniata", "Coelogyne mossiae", "Anachlorocurtis occidentalis", "Omalus helanshanus", "Omalus probiaccinctus", "Omalus pseudoimbecillus", "Omalus tibetanus", "Leucodecton phaeosporum", "Mischoderus varipes", "Mischoderus neptunus", "Mischoderus marginatus", "Mischoderus forcipatus", "Mischoderus annuliferus", "Martinella insignis", "Rinorea niccolifera", "Magnolia juninensis", "Anteaeolidiella fijensis", "Anteaeolidiella ireneae", "Anteaeolidiella poshitra", "Miropotes austini", "Miropotes lordhowensis", "Miropotes neglectus", "Miropotes orientalis", "Domodon peperpotensis", "Microdon colakriki", "Peradon satyricus", "Mesodiplatys venado", "Palaeoboreochlus inornatus", "Shaanxispira linxiaensis", "Cratera steffeni", "Syrastrenopsis panga", "Syrastrenopsis hun", "Diaparsis sinuator", "Diaparsis kanyawara", "Diaparsis umbrosa", "Tuberepyris codex", "Tuberepyris hamus", "Tuberepyris nihilus", "Didicrum letitiae", "Didicrum naimae", "Topomyia discors", "Concavocorona supercilia", "Ponthieva racemosa", "Diaparsis ramassamy", "Aoraia senex", "Qianzhousaurus sinensis", "Aureopteryx argentistriata", "Aureopteryx olufsoni", "Chilozela trapeziana", "Dicymolomia metalophota", "Eupoca bifascialis", "Supersaurus vivianae", "Metretopus dividus", "Ingaseius silvaticus", "Sisalia carricarti", "Platynectes brancuccii", "Platynectes larsoni", "Platynectes ponderi", "Platynectes weiri", "Pilophorus meteorus", "Pilophorus saovapruki", "Pilophorus subparallelus", "Pilophorus suwimonae", "Okinawepipona curcipunctura", "Okinawepipona nigra", "Caledoniscincus pelletieri", "Caledoniscincus notialis", "Cryptotriton necopinus", "Magneuptychia flavofascia", "Bamboosiella venkataramani", "Linoderus navarretei", "Kleokyphus cowiei", "Mautodontha aurora", "Mautodontha domaneschii", "Mautodontha harperae", "Peradon sciarus", "Relicanthus daphneae", "Alyssum hezarmasjedense", "Megaselia apifurtiva", "Ptilophorus wrightii", "Hypena reginae", "Anacampsis rhoifructella", "Anacampsis consonella", "Reseda minoica", "Pilodeudorix baginei", "Pilodeudorix caerulea", "Pilodeudorix canescens", "Pilodeudorix catalla", "Magelona cincta", "Neophaenis boucheri", "Neophaenis aedemon", "Neophaenis catocala", "Neophaenis lichenea", "Neophaenis meterythra", "Neophaenis frauenfeldi", "Neophaenis psittacea", "Neophaenis respondens", "Ubaena sabunii", "Caloplaca montenegrensis", "Ixodes capromydis", "Caloplaca rexii", "Primula daonensis", "Ixodes copei", "Primula \u00d7 discolor", "Primula \u00d7 kolbiana", "Ixodes dendrolagi", "Primula \u00d7 pumila", "Primula \u00d7 seriana", "Caloplaca rossii", "Caloplaca subgyalectoides", "Ixodes dentatus", "Ixodes howelli", "Ixodes jellisoni", "Primula ciliata", "Ixodes marmotae", "Ixodes downsi", "Primula auricula subsp. balbisii", "Ixodes lewisi", "Ixodes persulcatus", "Primula auricula subsp. tatriaca", "Ixodes nuttallianus", "Mautodontha makateaensis", "Mautodontha occidentalis", "Mautodontha passosi", "Mautodontha spelunca", "Mautodontha temaoensis", "Mautodontha virginiae", "Pseudolibera aubertdelaruei", "Pseudolibera cookei", "Pseudolibera elieporoii", "Pseudolibera extincta", "Pseudolibera matthieui", "Pseudolibera paraminderae", "Pseudolibera parva", "Pseudolibera solemi", "Belgrandiella petrovi", "Belgrandiella pandurskii", "Coltroconus henriquei", "Orthetrum glaucum", "Burmapogon bruckschi", "Sciaphila trigonana", "Profilinota phillita", "Hemerophila kincaidiella", "Semioscopis acertella", "Isophrictis actiella", "Isophrictis anteliella", "Trevathana tureiae", "Savignium tuamotum", "Bryophagus minutissima", "Filatima adamsi", "Filatima occidua", "Lelita acmaea", "Durrantia acompsa", "Lecithocera acribostola", "Hypatima acris", "Opegrapha gyrophorica", "Rheumaptera montivagata montivagata", "Ixodes monospinosus", "Rheumaptera montivagata andalusica", "Rheumaptera montivagata moscardonica", "Rheumaptera montivagata hyrcana", "Rheumaptera ithys", "Rheumaptera gudarica", "Ixodes lasallei", "Ixodes filippovae", "Ixodes eastoni", "Fulvoclysia albertii", "Epidendrum falcatum", "Primula subsect.", "Ixodes myrmecobii", "Ixodes montoyanus", "Primula \u00d7 berninae", "Ixodes dicei", "Ixodes daveyi", "Caloplaca mallacootensis", "Ixodes apronophorus", "Ixodes asanumai", "Ixodes brumpti", "Eupoca cinerea", "Eupoca chicalis", "Bryobilimbia ahlesii", "Bryobilimbia ahlesii var. ahlesii", "Bryobilimbia ahlesii var. nemoralis", "Eupoca haakei", "Eupoca sanctalis", "Rosa tomentosa", "Glaphyria citronalis", "Glaphyria decisa", "Glaphyria rufescens", "Glaphyria spinacrista", "Glaphyria spinasingularis", "Glaphyria stellaspina", "Glaphyria tetraspina", "Buellia stellulata var. stellulata", "Buellia stellulata var. tasmanica", "Elytrobium alesianum", "Elytrobium gongganum", "Elytrobium quinlinganum", "Elytrobium scindens", "Elytrobium seminitidum", "Elytrobium monilicorne", "Sinlathrobium densepunctatum", "Sinlathrobium iniquum", "Sinlathrobium lobrathiforme", "Sinlathrobium lobrathioides", "Mescirtes eberti", "Mescirtes sedlagi", "Cyphon labratus", "Cyphon sinuatosternalis", "Colletes plumuloides", "Spatulignatha chrysopteryx", "Brahmaea recta", "Brahmaea separata", "Neptis choui", "Minois dryas", "Symphysodon tarzoo", "Primula subpyrenaica", "Symplanella hainanensis", "Symplanella recurvata", "Symplanella zhongtua", "Dulichiella pattaniensis", "Symplanella unipuncta", "Symplanella brevicephala", "Symplanella breviceps", "Megabalanus tintinnabulum", "Demodex auricularis", "Oribotritia multisetosa", "Plonaphacarus martensi", "Chaetocnema belka", "Chaetocnema bergeali", "Chaetocnema eastafghanica", "Chaetocnema franzi", "Chaetocnema igori", "Chaetocnema lubischevi", "Chaetocnema tbilisiensis", "Kingsolverius malaccanus", "Hapalopeza periyara", "Pyrgoma sinica", "Limax sarnensis", "Argopsis cymosoides", "Argopsis friesiana", "Argopsis megalospora", "Chionodes acanthocarpae", "Chionodes nigrobarbata", "Chionodes occlusa", "Chionodes asema", "Chionodes iridescens", "Chionodes johnstoni", "Chionodes tessa", "Chionodes canofusella", "Chionodes bicolor", "Chionodes petalumensis", "Chionodes pereyra", "Chionodes grandis", "Hyperochtha acanthovalva", "Antiochtha pycnotarsa", "Alciphanes clavata", "Frisilia ceylonica", "Trevathana paulayi", "Napialus hunanensis", "Napialus chongquingensis", "Napialus chenzhouensis", "Napialus jiangxiensis", "Buellia macularis", "Buellia polyxanthonica var. polyxanthonica", "Carodista grypotatos", "Buellia polyxanthonica var. isidiata", "Buellia amandineaeformis", "Buellia austroalpina", "Buellia epigaella", "Buellia extenuatella", "Carodista tribrachia", "Carodista wilpattuae", "Ogyris subterrestris subterrestris", "Ogyris subterrestris petrina", "Cladia muelleri", "Primula glaucescens", "Primula integrifolia", "Primula kitaibeliana", "Onychogomphus marijanmatoki", "Primula minima", "Primula tyrolensis", "Metapeyssonnelia tangerina", "Diachus peninsularis", "Diachus subopacus", "Diachus squalens", "Diachus luscus", "Diachus pallidicornis", "Diachus chlorizans", "Diachus catarius", "Diachus erasus", "Diachus aeruginosus", "Diachus levis", "Hyponephele shirazica shirazica", "Primula latifolia", "Hyponephele shirazica aryana", "Primula villosa", "Dermacentor asper", "Dermacentor atrosignatus", "Carbonicola anthracophila", "Primula pedemontana", "Dermacentor auratus", "Dermacentor circumguttatus", "Carbonicola foveata", "Dermacentor compactus", "Dermacentor confragus", "Ogyris amaryllis amaryllis", "Carbonicola myrmecina", "Dermacentor dispar", "Dermacentor latus", "Dermacentor dissimilis", "Ogyris amaryllis amata", "Dermacentor everestianus", "Primula auricula subsp. auricula", "Primula auricula subsp. widmerae", "Caloplaca piscatorica", "Platphalonia albertae", "Platphalonia assector", "Platphalonia californica", "Platphalonia campicolana", "Platphalonia dangi", "Platphalonia decrepita", "Platphalonia dubia", "Platphalonia fusifera", "Platphalonia galbanea", "Platphalonia lavana", "Platphalonia luxata", "Platphalonia paranae", "Platphalonia mendora", "Ogyris oroetes", "Platphalonia ochraceana", "Platphalonia plicana", "Platphalonia sublimis", "Platphalonia mystica", "Platphalonia magdalenae", "Ogyris otanes", "Ogyris amaryllis hewitsoni", "Ogyris amaryllis hopensis", "Ogyris amaryllis meridionalis", "Haemactis albamarita", "Dermacentor halli", "Haemactis sanguinalis", "Ogyris amaryllis parsonsi", "Ogyris barnardi barnardi", "Dermacentor hunteri", "Primula palinuri", "Catillaria austrolittoralis", "Dermacentor imitans", "Ogyris barnardi delphis", "Primula apennina", "Primula cottia", "Primula albenensis", "Primula recubariensis", "Primula spectabilis", "Ogyris genoveva genoveva", "Ogyris genoveva araxes", "Primula wulfeniana", "Ogyris genoveva duaringa", "Ogyris genoveva gela", "Ogyris genoveva genua", "Ogyris genoveva splendida", "Primula clusiana", "Primula deorum", "Cladia beaugleholei", "Caloplaca epibrya", "Ubaena lequeuxi", "Ubaena periculosa", "Ixodes baergi", "Ixodes dampfi", "Ixodes shahi", "Ixodes hyatti", "Ixodes hydromyidis", "Ixodes transvaalensis", "Ixodes tovari", "Ixodes tiptoni", "Ixodes tancitarius", "Ixodes rugicollis", "Ixodes arboricola", "Ixodes eadsi", "Ixodes philipi", "Ixodes radfordi", "Ixodes ornithorhynchi", "Amblyomma flavomaculatum", "Ixodes galapagoensis", "Ixodes gregsoni", "Ixodes jonesae", "Ixodes nipponensis", "Ixodes myospalacis", "Ixodes myotomys", "Ixodes moschiferi", "Ixodes mitchelli", "Ixodes mexicanus", "Ixodes maslovi", "Ixodes malayensis", "Primula subsect.", "Ixodes kopsteini", "Ixodes kuntzi", "Ixodes kazakstani", "Ixodes kashmiricus", "Ixodes priscicollaris", "Ixodes luxuriosus", "Ixodes matopi", "Ixodes prokopjevi", "Caloplaca gilfillaniorum", "Ixodes oldi", "Rheumaptera cervinalis", "Rheumaptera cervinalis cervinalis", "Rheumaptera cervinalis simplonica", "Rheumaptera cervinalis hawelkae", "Ixodes nicolasi", "Rheumaptera cervinalis barbuti", "Rheumaptera montivagata", "Strepsicrates coriariae", "Hedya corni", "Hedya walsinghami", "Jacobaea mollis", "Tanacetum argenteum subsp. argenteum", "Tanacetum argenteum subsp. canum", "Tanacetum argenteum subsp. flabellifolium", "Cladonia neozelandica var. neozelandica", "Cladonia neozelandica var. striata", "Cladonia neozelandica var. sulcata", "Cladonia neozelandica var. wilsonii", "Blanus strauchi", "Cladonia neozelandica var. lewis-smithii", "Tomocerus postantennalis", "Cameronia pertusarioides", "Gnorimoschema aterrimum", "Cameronia tecta", "Ogyris zosine", "Gnorimoschema bacchariselloides", "Gnorimoschema crypticum", "Gnorimoschema debenedictisi", "Gnorimoschema ericoidesi", "Gnorimoschema grindeliae", "Gnorimoschema stigmaticum", "Gnorimoschema tenerum", "Scrobipalpulopsis lycii", "Scrobipalpula antiochia", "Scrobipalpula gutierreziae", "Tuta chiquitelloides", "Tuta insularis", "Scrobipalpa arenaceariella", "Scrobipalpopsis interposita", "Scrobipalpopsis madiae", "Exceptia sisterina", "Scrobipalpula acuta", "Scrobipalpula densata", "Scrobipalpula ephoria", "Scrobipalpula fjeldsai", "Scrobipalpula ilyella", "Scrobipalpula incerta", "Adelpha margarita", "Adelpha margarita margarita", "Adelpha margarita garleppi", "Adelpha justina", "Adelpha justina justina", "Adelpha justina justinella", "Adelpha justina inesae", "Adelpha justina maira", "Adelpha justina valentina", "Adelpha justina pichincha", "Phaneta tenuiana", "Dermacentor abaensis", "Phaneta nepotinana", "Dermacentor albipictus", "Phaneta fertoriana", "Phaneta subminimana", "Dermacentor andersoni", "Phaneta migratana", "Phaneta cinereolineana", "Phaneta crassana", "Phaneta spectana", "Phaneta kramerana", "Phaneta donahuei", "Hyponephele shirazica", "Megabalanus validus", "Primula nana", "Medwayella independencia", "Minibiotus formosus", "Amphipteryx jaroli", "Kolibacia okinawana", "Kolibacia regularis", "Creusia oraniensis", "Creusia phyxa", "Acyrtus lanthanum", "Parapelonides bellamyi", "Parapelonides chamelae", "Parapelonides penrosei", "Parapelonides beckeri", "Megabalanus vesiculosus", "Timocratica agramma", "Timocratica albitogata", "Timocratica bicornuta", "Timocratica constrictivalva", "Timocratica fuscipalpalis", "Timocratica melanocosta", "Timocratica melanostriga", "Timocratica guarani", "Timocratica longicilia", "Timocratica meridionalis", "Timocratica nivea", "Timocratica parvifusca", "Timocratica parvileuca", "Timocratica spinignatha", "Timocratica xanthotarsa", "Timocratica titanoleuca", "Timocratica venifurcata", "Timocratica monotonia", "Cladonia pertricosa", "Coppinsia minutissima", "Cratiria vioxanthina", "Cryptothecia bartlettii", "Falco rupicolus", "Primula reinii var. reinii", "Primula reinii var. kitadakensis", "Primula reinii var. myogiensis", "Megabalanus tulipiformis", "Primula reinii var. rhodotricha", "Parabrochymena ruckesi", "Braunsapis alqarnii", "Calocoides mynottae", "Calocoides pravuspina", "Acidoxantha galibeedu", "Philophylla lachung", "Ganodes atayupanquii", "Chelifera liuae", "Chelifera tibetensis", "Neunkanodes bispinatus", "Neunkanodes unispinatus", "Belesica madiba", "Cremastus tutui", "Fannia puxcu", "Chorizopora rosaria", "Hippothoa muripinnata", "Coronellina atlantica", "Hippoporella maderensis", "Cladia blanchonii", "Casmaria boblehmani", "Halorhadinus masakazui", "Halorhadinus miyakei", "Halorhadinus miyataorum", "Halorhadinus satoi", "Halorhadinus kawashimai", "Ceratoderus akikoae", "Ceratoderus jendeki", "Ceratoderus kentaroi", "Ceratoderus yunnanensis", "Paussus drumonti", "Primula cuneifolia", "Primula cuneifolia subsp. cuneifolia", "Giesbertiolus curoei", "Onthophagus fragosus", "Asteronotus raripilosus", "Eremosaprinus warneri", "Atoposega rufithorax", "Atoposega striata", "Atoposega thailandica", "Omalus imbecillus", "Omalus berezovskii", "Omalus aeneus", "Tyrophagus fatimii", "Austroteneriffia khorramabadiensis", "Neocarus caipora", "Melese lateritius", "Melese sixola", "Melese sixola sixola", "Melese sixola frater", "Melese underwoodi", "Melese hampsoni", "Cladia occulta", "Pachydota ducasa", "Pachydota drucei", "Pachydota rosenbergi", "Pachydota punctata", "Typhonia isopoca", "Typhonia isospila", "Typhonia lavata", "Typhonia lativagans", "Typhonia leucosceptra", "Typhonia lignosa", "Typhonia linicoma", "Typhonia linodyta", "Typhonia jactata", "Typhonia korbi", "Cladonia enantia var. enantia", "Typhonia kuldjaensis", "Typhonia liochra", "Cladonia enantia var. adiecta", "Typhonia marmarodes", "Cladonia enantia var. brattii", "Typhonia melicrana", "Typhonia meliochra", "Typhonia meliphaea", "Typhonia metherca", "Typhonia morbida", "Epinotia albiguttata", "Seseli cuneifolium", "Rhopalovalva amabilis", "Verbascum erivanicum", "Rhopalovalva orbiculata", "Rhopalovalva ovata", "Verbascum agrimoniifolium subsp. syriacum", "Verbascum agrimoniifolium subsp. agrimoniifolium", "Umashtanchaeviella plethotricha", "Paramesotriton laoensis", "Paramesotriton labiatus", "Paramesotriton maolanensis", "Paramesotriton wulingensis", "Afrotremex comatus", "Afrotremex opacus", "Afrotremex pallipennis", "Afrotremex xylophagus", "Afrotremex violaceus", "Afrotremex hyalinatus", "Culicoides amazonicus", "Culicoides profundus", "Culicoides diplus", "Culicoides fluminensis", "Culicoides irregularis", "Culicoides pseudoreticulatus", "Culicoides rhombus", "Thor hainanensis", "Thor cocoensis", "Centruroides panamensis", "Blanus alexandri", "Tachytes gyusanus", "Euthycaelus amandae", "Euthycaelus norae", "Bathyporania ascendens", "Clava fitchorum", "Amphistomus accidatus", "Brochymena inbio", "Paussus masao", "Thiasophila aynumosir", "Thiasophila nipponica", "Thiasophila shinanonis", "Agdistis aguessei", "Oxyptilus oberthuri", "Merrifieldia peyroni", "Acraea atatis", "Cladia cryptica", "Cladia tasmanica", "Melese signata", "Melese costimacula", "Melese flavescens", "Melese nebulosa", "Melese niger", "Melese peruviana", "Cladia gorgonea", "Melese drucei", "Melese intensa", "Melese hebetis", "Melese quadripunctata", "Melese sordida", "Melese klagesi", "Melese albogrisea", "Melese columbiana", "Melese inconspicua", "Melese punctata", "Melese nigromaculata", "Melese pusilla", "Melese monima", "Melese chiriquensis", "Melese quadrina", "Melese castrena", "Cladia neocaledonica", "Melese sotrema", "Melese paranensis", "Melese flavimaculata", "Melese innocua", "Melese pumila", "Melese aprepia", "Melese rubricata", "Melese erythrastis", "Melese endopyra", "Melese ocellata", "Melese postica", "Melese amastris", "Melese laodamia", "Melese russata", "Melese binotata", "Melese dorothea", "Melese chozeba", "Cladia terebrata", "Melese asana", "Melese babosa", "Melese incertus", "Melese leucanioides", "Gyalecta nidarosiensis", "Gyalecta pellucida", "Gyalecta russula", "Megabalanus dollfusii", "Gyalecta vezdana", "Primula cuneifolia subsp. hakusanensis", "Primula cuneifolia subsp. heterodonta", "Primula cuneifolia subsp. saxifragifolia", "Primula suffrutescens", "Ogyris olane olane", "Gyalecta arbuti", "Ogyris olane ocela", "Gyalecta gyalizella", "Gyalecta himalayensis", "Gyalecta ophiospora", "Dysanabatium hainanense", "Liopropoma santi", "Jerrybuccinum kantori", "Cheilea africana", "Cheilea americana", "Cheilea atlantica", "Medetera glaucella", "Tyrophagus australasiae", "Tyrophagus brevicrinatus", "Tyrophagus oudemansi", "Enchenopa albifrons", "Enchenopa amazonensis", "Enchenopa anseriformis", "Enchenopa castanea", "Hygrobiella intermedia", "Hygrobiella squamosa", "Uromunna naherba", "Nothobranchius elongatus", "Hueidea australiensis", "Nothobranchius fasciatus", "Eorhyopsocus magnificus", "Primula macrocarpa", "Primula farinosa subsp. farinosa", "Primula tosaensis var. tosaensis", "Primula tosaensis var. brachycarpa", "Nothobranchius flammicomantis", "Primula forbesii", "Pseudostenosagola coromandelensis", "Pseudostenosagola wellingtonensis", "Pseudostenosagola solodovnikovi", "Megabalanus vinaceus", "Monarea fridae", "Trichodorus iranicus", "Miroculis stenopterus", "Megabalanus volcano", "Megacydnus secundus", "Aeshna shennong", "Megophrys acuta", "Megophrys obesa", "Yoshiobodes biconcavus", "Yoshiobodes hexasetosus", "Yoshiobodes neotrichorostralis", "Stenoma tristrigata", "Stenoma staudingerana", "Stenoma sexmaculata", "Stenoma grandaeva", "Stenoma convexicostata", "Dromius backeri", "Dromius longipes", "Dromius resinatus", "Lutjanus sebae", "Megabalanus xishaensis", "Tyrophagus mimlongior", "Tyrophagus jingdezhenensis", "Megabalanus zebra", "Flexitibia orientalis", "Pelomedusa barbata", "Pelomedusa kobe", "Pelomedusa neumanni", "Pelomedusa schweinfurthi", "Pelomedusa somalica", "Pelomedusa variabilis", "Trypetimorpha hangayi", "Carnoya isabelica", "Minagenia fulvifemoralis", "Hoeneidia quadrata", "Gyalecta uncinata", "Gyalecta calcicola", "Gyalecta herculina", "Gyalecta incarnata", "Cornus sanguinea subsp. australis", "Cornus sanguinea subsp. cilicica", "Cornus sanguinea subsp. sanguinea", "Cornus sanguinea subsp. hungarica", "Nepeta argolica", "Nepeta argolica subsp. tumeniana", "Nepeta argolica subsp. dirphya", "Nepeta argolica subsp. malacotrichos", "Nepeta argolica subsp. vourinensis", "Nepeta argolica subsp. argolica", "Nepeta italica subsp. cadmea", "Gyalecta lumbrispora", "Gyalecta lyngei", "Gyalecta mediterranea", "Heterodermia isidiophorella", "Heterodermia koyanoides", "Ogyris oroetes oroetes", "Heterodermia tabularis", "Ogyris oroetes apiculata", "Linum katiae", "Heterodermia tasmanica", "Heterodermia violostriata", "Primula nipponica", "Primula yuparensis", "Primula sorachiana", "Primula modesta var. modesta", "Primula modesta var. fauriei", "Heterodermia queenslandica", "Heterodermia hybocarponica", "Heterodermia reagens", "Primula modesta var. matsumurae", "Primula modesta var. samanimontana", "Primula modesta var. hannasanensis", "Heterodermia corcovadensis", "Primula jesoana var. jesoana", "Primula jesoana var. pubescens", "Megabalanus javanicus", "Heterodermia verdonii", "Megabalanus multiseptatus", "Heterodermia koyana", "Disa bracteata", "Nepeta betonicifolia subsp. betonicifolia", "Nepeta betonicifolia subsp. strictifolia", "Ionaspis kerguelensis", "Japewiella pruinosula", "Megabalanus seguenzai", "Primula \u00d7 bonis-auxilii", "Primula \u00d7 dinyana", "Primula \u00d7 esscheri", "Lecania heardensis", "Megabalanus transversostriatus", "Lecania johnstonii", "Megabalanus venezuelensis", "Lecania sanguinolenta", "Lecania subsquamosa", "Lecania subsquamosa var. subsquamosa", "Lecania subsquamosa var. leprosa", "Primula \u00d7 heerii", "Lecanora disjungenda", "Primula anvilensis", "Primula alcalina", "Primula cusickiana", "Lecanora dispersogranulata", "Lecanora dissoluta", "Primula capillaris", "Primula angustifolia", "Primula rusbyi", "Cryptocentrum pergracile", "Lecanora elatinoides", "Primula \u00d7 morissetii", "Primula obconica subsp. begoniiformis", "Primula obconica subsp. nigroglandulosa", "Lecanora elixii", "Primula obconica subsp. obconica", "Primula obconica subsp. werringtonensis", "Primula obconica subsp. parva", "Lecanora flavopallida", "Enchenopa cuneata", "Enchenopa eurycephala", "Enchenopa grandis", "Enchenopa longimaculata", "Enchenopa longula", "Enchenopa montana", "Enchenopa pachycornuta", "Enchenopa pichinchaensis", "Enchenopa pilosa", "Enchenopa pittieri", "Enchenopa reclinata", "Enchenopa recticornuta", "Enchenopa richteri", "Enchenopa schremmeri", "Enchenopa serrata", "Enchenopa singularis", "Enchenopa subtilis", "Tyrophagus molitor", "Tyrophagus palmarum", "Mniotype kobyakovi", "Nyctibatrachus kumbara", "Megabalanus giganteum", "Aspidimorpha wagneri", "Platyrrhinus guianensis", "Loxoconcha noharai", "Loxoconcha santosi", "Loxoconcha sesokoensis", "Nephepeltia flavipennis", "Tityus grottoedensis", "Rugonectria castaneicola", "Tyrophagus glossinarum", "Tyrophagus debrivorus", "Eulaema basicincta", "Augochlora janae", "Nepeta nuda subsp. nuda", "Nepeta nuda subsp. lydiae", "Nepeta nuda subsp. glandulifera", "Nepeta cilicia", "Nepeta teucriifolia subsp. carmanica", "Nepeta teucriifolia subsp. daghestanica", "Nepeta teucriifolia subsp. iberica", "Nepeta teucriifolia subsp. teucriifolia", "Heterodermia archeri", "Heterodermia subneglecta", "Sideritis infernalis", "Heterodermia coralloidea", "Nepeta sorgerea", "Nothobranchius hassoni", "Nothobranchius hengstleri", "Lecanora alba", "Lecanora andina", "Lecanora arafurensis", "Lecanora austrointumescens", "Lecanora austro-oceanica", "Lecanora austrosorediosa", "Lecanora brownii", "Lecanora chionocarpoides", "Rhamphoverritor reduncus", "Ogyris zosine zosine", "Primula incana", "Lecanora contractuloides", "Ogyris zosine typhon", "Ogyris zosine zolivia", "Lecanora coppinsiarum", "Lecanora demersa", "Oxylides albata", "Primula specuicola", "Dracula benedicti", "Nothobranchius foerschi", "Primula \u00d7 kreaettliana", "Laemophloeus capitesculptus", "Laemophloeus corporeflavus", "Laemophloeus dozieri", "Laemophloeus insulatestudinorum", "Laemophloeus planaclavatus", "Laemophloeus taurus", "Nothobranchius fuscotaeniatus", "Nothobranchius geminus", "Nothobranchius guentheri", "Nothobranchius cardinalis", "Primula \u00d7 loiseleuri", "Primula halleri", "Primula luteola", "Primula egaliksensis", "Ophrys ferrum-equinum subsp. gottfriediana", "Epiplatys annulatus", "Kalophrynus honbaensis", "Kalophrynus cryptophonus", "Podocoryna loyola", "Cyclocaris franki", "Cyclocaris lowryi", "Emersoniella crassicarina", "Emersoniella persei", "Emersoniella reninoda", "Cephalotes specularis", "Chimarra calidopectoris", "Chimarra chichewa", "Chimarra circumverta", "Chimarra flaviseta", "Chimarra mulanjae", "Chimarra psittacus", "Chimarra zombaensis", "Camelobaetidius baumgardneri", "Camelobaetidius carolinae", "Camelobaetidius cruzi", "Camelobaetidius sallesi", "Nothobranchius interruptus", "Lecanora lacteola", "Lecanora lividocinerea", "Lecanora lugubris", "Lecanora margaritula", "Lecanora margarodes", "Lecanora mayrhoferi", "Nothobranchius janpapi", "Nothobranchius krammeri", "Nothobranchius kadleci", "Nothobranchius kuhntae", "Primula obconica subsp. fujianensis", "Aquifex pyrophilus", "Primula \u00d7 pruhonicensis", "Nothobranchius lourensi", "Lecanora melacarpella", "Lecanora melanommata", "Nothobranchius lucius", "Nothobranchius oestergaardi", "Nothobranchius milvertzi", "Ophrys ferrum-equinum subsp. ferrum-equinum", "Lecanora flotowiana", "Lecanora formosula", "Lecanora hypocrocinoides", "Chauliopleona andeepi", "Chauliopleona ciimari", "Parakanthophoreus greenwichius", "Thliptoceras bicuspidatum", "Thliptoceras bisulciforme", "Thliptoceras impube", "Thliptoceras filamentosum", "Thliptoceras semicirculare", "Madachauliodes bicuspidatus", "Protearomyia withersi", "Protearomyia iberica", "Protearomyia rameli", "Nevrorthus reconditus", "Elektrithone expectata", "Aenictobia siamensis", "Aenictoxenides mirabilis", "Aenictosymbia cornuta", "Nothobranchius kafuensis", "Camelobaetidius tepequensis", "Nothobranchius luekei", "Lecanora mobergiana", "Lecanora neoqueenslandica", "Lecanora novaehollandiae", "Lecanora pangerangoensis", "Lecanora placodiolica", "Lecanora planaica", "Lecanora prolifera", "Lecanora pseudodecorata", "Lecanora queenslandica", "Lecanora sphaerospora", "Lecanora subcoarctata", "Lecanora subumbrina", "Gentiana zollingeri", "Lecanora pseudogangaleoides", "Lecanora pseudogangaleoides subsp. pseudogangaleoides", "Lecanora pseudogangaleoides subsp. verdonii", "Lecanora wilsonii", "Primula eugeniae", "Nothobranchius malaissei", "Nothobranchius polli", "Nothobranchius symoensi", "Lecanora wilsonii subsp. wilsonii", "Ophrys sphegodes subsp. lunulata", "Nothobranchius melanospilus", "Liuixalus catbaensis", "Leptobrachium kantonishikawai", "Orocrambus jansoni", "Eubelinum incertum", "Orocrambus lindsayi", "Orocrambus eximia", "Orocrambus sophistes", "Brotia binodosa", "Brotia annamita", "Brotia hoabinhensis", "Brotia armata", "Brotia subgloriosa", "Brotia pseudosulcospira", "Brotia mariae", "Brotia laodelectata", "Marasmiellus affixus", "Brotia praetermissa", "Parachloritis afranio", "Parachloritis atauroensis", "Parachloritis baucauensis", "Parachloritis herculea", "Parachloritis laritame", "Parachloritis malukuensis", "Parachloritis manuelmendesi", "Parachloritis mundiperdidi", "Parachloritis ninokonisi", "Parachloritis nusatenggarae", "Parachloritis pseudolandouria", "Parachloritis ramelau", "Parachloritis reidi", "Parachloritis renschi", "Parachloritis sylvatica", "Numata bipunctella", "Exaeretia buvati", "Megacraspedus dolosellus", "Megacraspedus lanceolellus", "Megacraspedus separatellus", "Megacraspedus imparellus", "Megacraspedus binotella", "Megacraspedus balneariellus", "Megacraspedus fallax", "Megacraspedus niphorrhoa", "Megacraspedus grossisquammellus", "Megacraspedus lativalvellus", "Megacraspedus subdolellus", "Megacraspedus pusillus", "Megacraspedus cuencellus", "Megacraspedus alfacarellus", "Megacraspedus tutti", "Megacraspedus tristicus", "Megacraspedus cerussatellus", "Megacraspedus pentheres", "Megacraspedus attritellus", "Megacraspedus argyroneurellus", "Megacraspedus lagopellus", "Megacraspedus squalida", "Megacraspedus escalerellus", "Megacraspedus violacellum", "Megacraspedus ischnota", "Megacraspedus coniodes", "Megacraspedus popularis", "Megacraspedus isotis", "Megacraspedus aphileta", "Megacraspedus sclerotricha", "Megacraspedus pityritis", "Megacraspedus chalcoscia", "Megacraspedus hoplitis", "Megacraspedus inficeta", "Megacraspedus euxena", "Megacraspedus oxyphanes", "Megacraspedus astemphella", "Megacraspedus platyleuca", "Megacraspedus centrosema", "Megacraspedus melitopis", "Megacraspedus sematacma", "Megacraspedus sagittifera", "Megacraspedus achroa", "Megacraspedus argonota", "Megacraspedus niphodes", "Megacraspedus stratimera", "Megacraspedus aenictodes", "Apatetris melanombra", "Apatetris megalornis", "Apatetris belonodes", "Apatetris drosias", "Apatetris thyellias", "Apatetris lemurella", "Lichenomphalia tasmanica", "Gymnadenia \u00d7 chanousiana", "Gymnadenia \u00d7 heufleri", "Lobaria retigera var. retigera", "Oxylides bella", "Lobaria retigera var. subisidiosa", "Barbosella cogniauxiana", "Grammatophyllum martae", "Grandiphyllum divaricatum", "Lobaria hartmannii", "Lecidella flavovirens", "Lecidella montana", "Lecidella xylogena", "Lecidella sublapicida", "Arthrochilus irritabilis", "Lepraria alternata", "Lepraria atlantica", "Primula bellidifolia", "Arundina graminifolia subsp. graminifolia", "Lepraria cupressicola", "Lepraria dibenzofuranica", "Lepraria lobata", "Alopoglossus viridiceps", "Eupoa daklak", "Eupoa lehtineni", "Eupoa lobli", "Eupoa pappi", "Eupoa pulchella", "Eupoa schwendingeri", "Eupoa thailandica", "Chilocoris costatus", "Chilocoris franzi", "Chilocoris heissi", "Chilocoris indicus", "Chilocoris pauli", "Chilocoris similis", "Chilocoris sulawesicus", "Chilocoris adelphus", "Chilocoris ritzemai", "Phenacoccus solenopsis", "Scolopsis vosmeri", "Emmanuelia patinifera", "Lobaria plurimiseptata", "Loricaseius lepontinus", "Lissothuria caboblanquensis", "Gonatopus schwarzorum", "Vanmanenia maculata", "Paraleptomenes darugiriensis", "Monopelopia mongpuense", "Neolebouria capoori", "Streptocephalus sahyadriensis", "Aparatanais lenoprimorum", "Tanais nuwalianensis", "Missulena leniae", "Missulena mainae", "Missulena melissae", "Missulena pinguipes", "Pantala hymenaea", "Lobaria pseudoretigera", "Jagora asperata", "Lobaria rhaphispora", "Jagora dactylus", "Loxospora solenospora", "Loxospora cyamidia", "Loxospora septata", "Malcolmiella cinereovirens var. cinereovirens", "Malcolmiella cinereovirens var. isidiata", "Riodina lysippus", "Lycaena virgaureae", "Mangoldia atronitens", "Mangoldia australiana", "Pseudophoxinus turani", "Nothobranchius microlepis", "Nothobranchius patrizii", "Musseromys anacuao", "Musseromys inopinatus", "Musseromys beneficus", "Adiantum alan-smithii", "Maytenus megalocarpa", "Passiflora rupestris", "Quipuanthus epipetricus", "Plantago rahniana", "Lecanora wilsonii subsp. xanthophora", "Dystacta tigrifrutex", "Calcaridorylaimus castaneae", "Angustopila huoyani", "Ciulfina annecharlotteae", "Ciulfina herbersteinae", "Ciulfina ianrichardi", "Ciulfina terrymariceae", "Rhodomantis helenae", "Rhodomantis kimberley", "Rhodomantis macula", "Rhodomantis microptera", "Rhodomantis mitchell", "Rhodomantis napier", "Rhodomantis rentzi", "Mythomantis serrata", "Otomantis bolivari", "Otomantis minima", "Otomantis trimacula", "Otomantis centralis", "Otomantis gracilis", "Paramantoida amazonica", "Angela guianensis", "Miobantia arctissima", "Miobantia immanis", "Miobantia nordestina", "Miobantia sulista", "Pinophilus sulcatus", "Nothobranchius nubaensis", "Nothobranchius ocellatus", "Simlops bandeirante", "Simlops machadoi", "Simlops similis", "Simlops cachorro", "Simlops miudo", "Simlops nadinae", "Simlops campinarana", "Simlops guatopo", "Simlops cristinae", "Simlops guyanensis", "Simlops jamesbondi", "Simlops juruti", "Simlops platnicki", "Simlops pennai", "Lecanora subimmersa subsp. subimmersa", "Lecanora subimmersa subsp. ramboldii", "Lecidella buelliastrum", "Lecidella destituta", "Dactylorhiza purpurella subsp. purpurella", "Dactylorhiza purpurella var. cambrensis", "Sinningia barbata", "Calanthe pilosa", "Sinelobus bathykolpos", "Sinelobus vanhaareni", "Lepraria multiacida", "Lepraria toilenae", "Cotesia ruidus", "Microplitis carinicollis", "Lepraria yunnaniana", "Diplazon flixi", "Diplazon nordicus", "Diplazon parvus", "Diplazon zetteli", "Woldstedtius bauri", "Sussaba roberti", "Eurytyloides umbrinus", "Aposphragisma baltenspergerae", "Aposphragisma borgulai", "Aposphragisma brunomanseri", "Aposphragisma confluens", "Aposphragisma dayak", "Aposphragisma dentatum", "Aposphragisma draconigenum", "Aposphragisma hausammannae", "Aposphragisma helvetiorum", "Aposphragisma kolleri", "Aposphragisma menzi", "Aposphragisma monoceros", "Aposphragisma nocturnum", "Aposphragisma retifer", "Aposphragisma rimba", "Aposphragisma salewskii", "Aposphragisma scimitar", "Aposphragisma sepilok", "Aposphragisma stannum", "Usia anatoliensis", "Usia annetteae", "Usia cornigera", "Usia greatheadi", "Usia maghrebensis", "Nilssonia nigricans", "Leucodecton albidulum", "Brachystele guayanensis", "Jacquiniella globosa", "Mastodia tessellata", "Hippophae tibetana", "Hippophae goniocarpa", "Hippophae gyantsensis", "Hippophae litangensis", "Hippophae neurocarpa", "Hippophae neurocarpa subsp. neurocarpa", "Hippophae neurocarpa subsp. stellatopilosa", "Hippophae mongolica", "Hippophae sinensis", "Hippophae turkestanica", "Hippophae wolongensis", "Hippophae yunnanensis", "Hippophae fluviatilis", "Hippophae carpatica", "Hippophae caucasica", "Hippophae mongolica var. mongolica", "Hippophae mongolica var. ladyginii", "Megalaria bryophila", "Hippophae sect.", "Mycomicrothelia minutula", "Mycomicrothelia obovata", "Mycomicrothelia queenslandica", "Chelicopia tasmanensis", "Ficus tubulosa", "Ficus trachelosyce", "Dracaena kaweesakii", "Schaueria calycotricha", "Penicillium vanoranjei", "Penicillium alexiae", "Penicillium maximae", "Hippophae sect.", "Dorstenia triseriata", "Prasmodon erenadupontae", "Prasmodon verhoogdenokus", "Prasmodon almasolisae", "Prasmodon aureus", "Prasmodon bobpoolei", "Prasmodon bobrobbinsi", "Prasmodon dondavisi", "Prasmodon johnbrowni", "Prasmodon masoni", "Prasmodon mikepoguei", "Prasmodon nixoni", "Prasmodon paulgoldsteini", "Prasmodon scottmilleri", "Prasmodon silvatlanticus", "Prasmodon subfuscus", "Prasmodon tijucaensis", "Elaeagnus sect.", "Horismenus liturgusae", "Elaeagnus sect.", "Iarupea nigricans", "Iarupea goias", "Iarupea luisae", "Enicmus adrianae", "Thismia mucronata", "Nothobranchius willerti", "Haplothrips tritici", "Heterodera schachtii", "Heterodera aucklandica", "Melanelia pseudoglabra", "Nothobranchius orthonotus", "Nothobranchius robustus", "Nothobranchius rubripinnis", "Ernobius kadleci", "Linda strbai", "Asioreicheia fedorenkoi", "Asioreicheia vietnamica", "Metus efflorescens", "Metus pileatus", "Metus conglomeratus", "Multiclavula mucida", "Oxylides binza", "Multiclavula vernalis", "Mycobilimbia meridionalis", "Mycobilimbia australis", "Richardsonianus mauianus", "Triturus arntzeni", "Axinidium basilewskyi", "Axinidium bistriatum", "Axinidium convexipenne", "Nothobranchius rubroreticulatus", "Nothobranchius ruudwildekampi", "Nothobranchius steinforti", "Nothobranchius taeniopygus", "Melanophloea pacifica", "Nothobranchius thierryi", "Nothobranchius ugandensis", "Nothobranchius virgatus", "Episemion krystallinoron", "Melanotrema columellatum", "Melanotrema endomelaenum", "Melaspilea asteriscus", "Ablabus nodosus", "Ablabus crassulus", "Ablabus demissus", "Ablabus varicornis", "Ablabus truncatus", "Ablabus longipes", "Ablabus discors", "Ablabus facetus", "Ablabus lobifer", "Ablabus serratus", "Thunbergia arnhemica", "Thunbergia laevis", "Procerusternarchus pixuna", "Chelonistele sulphurea", "Chelonistele sulphurea var. sulphurea", "Menegazzia bjerkeana", "Menegazzia brattii", "Aphyosemion striatum", "Rodolia shuiro", "Anteon worakense", "Trimma irinae", "Thalerosphyrus lamuriensis", "Deltochilum gigante", "Chrysorithrum duda", "Eunice jihueiensis", "Eunice reticulata", "Eunice shihmenensis", "Eunice taoi", "Nicidion megabalanicola", "Sensiava peculiaris", "Sensiava secunda", "Butaya auko", "Paracossus zyaung", "Phragmacossia laklong", "Schizotetranychus krungthepensis", "Tetranychus occultaspina", "Tetranychus truncatissimus", "Paulomanus falciformis", "Encarsia dominicana", "Encarsia telemachusi", "Chelonistele sulphurea var. crassifolia", "Thunbergia laevis var. laevis", "Thunbergia laevis var. parviflora", "Thunbergia laevis var. vestita", "Thunbergia togoensis", "Chlerogella anchicaya", "Caenaugochlora elpidia", "Caenaugochlora pantochlora", "Caenaugochlora bennetti", "Caenaugochlora cyanella", "Caenaugochlora quichua", "Caenaugochlora perviridis", "Italochrysa insignis", "Laetesia raveni", "Eotrichocera amabilis", "Eotrichocera longensis", "Tetramorium raptor", "Tetramorium venator", "Cryptamorpha sculptifrons", "Ablabus ornatus", "Ablabus pallidipictus", "Ablabus scaber", "Mimela grootaerti", "Mimela minettii", "Mimela murphyi", "Mimela costata", "Mycomicrothelia thelena", "Syrmoptera amasa", "Rhea mesopotamica", "Clanculus landaui", "Clanculus manganellii", "Clanculus marqueti", "Clanculus angiolianus", "Clanculus escondidus", "Osmia maxschwarzi", "Osmia avosetta", "Osmia conjunctoides", "Osmia bakeri", "Osmia claremontensis", "Osmia cockerelli", "Osmia francisconis", "Osmia hurdi", "Osmia sladeni", "Osmia titusi", "Osmia physariae", "Osmia universitatis", "Osmia pinorum", "Osmia wyomingensis", "Mimela flavilabris", "Mimela testaceipes", "Chorasus buckleyi", "Ablabus fervidulus", "Ablabus punctipennis", "Axinidium glabripenne", "Axinidium irregulare", "Axinidium latibasale", "Axinidium longipenne", "Axinidium parangulatum", "Axinidium reticulatum", "Metaxinidium bulirschi", "Metaxinidium excisicolle", "Mycomicrothelia exigua", "Thorictus senegalensis", "Trichiscus briani", "Trichiscus camargoi", "Trichiscus copelandi", "Trichiscus denisi", "Trichiscus jimi", "Trichiscus luboi", "Trichiscus lynnae", "Trichiscus mourei", "Trichiscus noorti", "Trichiscus normani", "Trichiscus ohli", "Trichiscus zuparkoi", "Parapercis albiventer", "Coloana accrescens", "Coloana sinuata", "Coloana recta", "Coloana orthoprocessa", "Coloana hainanensis", "Coloana latiprocessa", "Trechus arrecheai", "Ectagela kermanensis", "Ochthebius arator", "Ochthebius halophilus", "Dorcus rectus", "Parnassius phoebus chingizid", "Parthenopea australis", "Mycomicrothelia lateralis", "Nimbapanchax jeanpoli", "Nimbapanchax leucopterygius", "Nimbapanchax melanopterygius", "Nimbapanchax petersi", "Nimbapanchax viridis", "Indigofera sect.", "Nemanthus annamensis", "Mycoporellum obscurum", "Indigofera fuscobarbata", "Mycoporellum perexiguum", "Alsophylax szczerbaki", "Salganea anisodonta", "Salganea flexibilis", "Salganea quinquedentata", "Diplocentrus franckei", "Mniusa odelli", "Amblyopsis hoosieri", "Microcriodes wuchaoi", "Indigofera sect.", "Indigofera sect.", "Indigofera sect.", "Lycodes nakamurae", "Platyisao holodividum", "Corydalus muzoensis", "Siganus insomnis", "Platylomia shaanxiensis", "Indigofera sect.", "Indigofera subsect.", "Gasosaurus constructus", "Anthia maxillosa", "Bulbophyllum rothschildianum", "Camponotus schmitzi", "Eurypterus remipes", "Indigofera subsect.", "Indigofera subsect.", "Indigofera subsect.", "Indigofera subsect.", "Indigofera subsect.", "Indigofera subsect.", "Indigofera subsect.", "Indigofera subsect.", "Indigofera subsect.", "Indigofera subsect.", "Indigofera subsect.", "Indigofera subsect.", "Indigofera subsect.", "Aethammobates prionogaster", "Prosimulium lochmocola", "Prosimulium nevexalatamus", "Indigofera sect.", "Anomalocaris canadensis", "Indigofera sect.", "Indigofera sect.", "Indigofera sect.", "Penicillium amaliae", "Penicillium arianeae", "Spiculosiphon oceana", "Tinkerbella nana", "Sinoscalpellum sinensis", "Vanessa abyssinica", "Baeolidia gracilis", "Baeolidia lunaris", "Baeolidia rieae", "Baeolidia scottjohnsoni", "Baeolidia variabilis", "Baeolidia macleayi", "Baeolidia faustina", "Ptilohyale brevicrus", "Anabarhynchus cretatus", "Anabarhynchus darembal", "Anabarhynchus iancommoni", "Anabarhynchus longiseta", "Anabarhynchus lyncurium", "Anabarhynchus moretonensis", "Anabarhynchus neboensis", "Anabarhynchus wintertoni", "Pedionis aculeata", "Pedionis papillata", "Diphascon ziliense", "Mixibius parvus", "Eusarsiella bryanjuarezi", "Eusarsiella eli", "Batillipes solitarius", "Dipodarctus australiensis", "Dipodarctus susannae", "Raiarctus jesperi", "Raiarctus katrinae", "Tanarctus hirsutospinosus", "Tholoarctus oleseni", "Wingstrandarctus stinae", "Wingstrandarctus unsculptus", "Ablabus brevis", "Ablabus libentus", "Ablabus sparsus", "Alliaria taurica", "Junnanotrechus microps", "Niphargus radzai", "Neoeubria inbionis", "Kerevata clarksoni", "Kerevata hammondi", "Kerevata jamesmayi", "Tetramorium alperti", "Tetramorium aspis", "Tetramorium bressleri", "Tetramorium camelliae", "Tetramorium dalek", "Paracrostoma huegelii", "Australocosmica bernoulliensis", "Australocosmica buffonensis", "Australocosmica crassicostata", "Australocosmica nana", "Australocosmica pallida", "Australocosmica rotunda", "Calanthe densiflora", "Calanthe discolor var. discolor", "Calanthe discolor var. amamiana", "Pyrrhopyge phidias bixae", "Oxylides faunus", "Oxylides faunus faunus", "Oxylides faunus camerunica", "Oxylides feminina", "Oxylides feminina feminina", "Oxylides feminina stempfferi", "Mycomicrothelia miculiformis", "Oxylides gloveri", "Bunium brevifolium", "Dactylorhiza purpurella", "Fenerbahce devosi", "Pristoderus phytophorus", "Ancyronyx buhid", "Ancyronyx tamaraw", "Pristoderus elongatus", "Pristoderus interruptus", "Pristoderus leai", "Pristoderus productus", "Pristoderus pustulosus", "Pristoderus queenslandicus", "Pristoderus repandus", "Pristoderus saccharatus", "Pristoderus zigzag", "Pristoderus wakefieldi", "Pristoderus rudis", "Pristoderus reitteri", "Pristoderus probus", "Pristoderus cucullatus", "Pristoderus contractifrons", "Mycoporopsis sorenocarpa", "Syrmoptera bonifacei", "Syrmoptera caritas", "Notocoxelus rufus", "Notocoxelus similis", "Notocoxelus thoracicus", "Notocoxelus variegatus", "Notocoxelus xanthonyx", "Microgomphus thailandica", "Phyllonorycter helianthemella", "Phrynosoma sherbrookei", "Syrmoptera melanomitra nivea", "Ocellularia isidioalbula", "Ocellularia kurandensis", "Hesperis sect.", "Ocellularia microstoma", "Syrmoptera mixtura", "Ocellularia reticulata", "Sicus alpinus", "Dactylostalix ringens", "Ablabus integricollis", "Ablabus mimus", "Ablabus tuberculatus", "Ablabus villosus", "Ablabus obscurus", "Ablabus pulcher", "Ocellularia turbinata", "Nokona bractea", "Nokona opaca", "Paranthrene rubomacula", "Scoliokona nanlingensis", "Scoliokona spissa", "Scoliokona shimentai", "Scapteromys meridionalis", "Acosmetura mabianensis", "Cyrtodactylus doisuthep", "Hyalella cenotensis", "Opegrapha australiensis", "Lathraea japonica", "Opegrapha megagonidia", "Dilochiopsis scortechinii", "Hesperis tristis", "Ochrolechia blandior", "Hesperis sect.", "Syrmoptera homeyerii", "Syrmoptera melanomitra", "Myriotrema frustillatum", "Amorpha apiculata", "Myriotrema temperatum", "Pisum sativum subsp. sativum", "Syrmoptera melanomitra melanomitra", "Endochilus abdominalis", "Oosternum andersoni", "Oosternum bacharenge", "Oosternum cercyonoides", "Oosternum insulare", "Oosternum luciae", "Oosternum megnai", "Oosternum pecki", "Melucha perampla", "Melucha grandicula", "Lachnus pseudonudus", "Probolomyrmex curculiformis", "Probolomyrmex zahamena", "Aradus macrosomus", "Sinophasma damingshanensis", "Notocoxelus bicavus", "Notocoxelus chalmeri", "Notocoxelus clarus", "Notocoxelus dubius", "Notocoxelus elongatus", "Notocoxelus graniceps", "Notocoxelus helmsi", "Notocoxelus instabilis", "Notocoxelus longulus", "Notocoxelus mucronatus", "Notocoxelus oculator", "Notocoxelus ovicollis", "Notocoxelus picicornis", "Notocoxelus posticalis", "Notocoxelus punctatus", "Notocoxelus regularis", "Notocoxelus robustus", "Cardamine sect.", "Cardamine trifolia", "Cardamine digitata", "Cardamine blaisdellii", "Cardamine sect.", "Cardamine subsect.", "Cardamine polemonioides", "Androctonus turieli", "Paraparatrechina luminella", "Paraparatrechina illusio", "Lycodon zoosvictoriae", "Cryptocellus muiraquitan", "Cryptocellus sofiae", "Syringophilopsis szeffleri", "Picobia sayornis", "Caligus similis", "Maratus pardus", "Mesoclemmys perplexa", "Cardamine subg.", "Cardamine sect.", "Cardamine subsect.", "Cardamine subsect.", "Cardamine sect.", "Cardamine subsect.", "Notolecidea subcontinua", "Cardamine subsect.", "Cardamine subg.", "Notoparmelia signifera", "Notoparmelia tarkinensis", "Notoparmelia tenuirima", "Notoparmelia testacea", "Cardamine crassifolia", "Cardamine pratensis subsp. pratensis", "Cleisostoma parishii", "Micromeria hyssopifolia", "Micromeria teneriffae", "Zeuxine longilabris", "Micromeria lepida", "Micromeria tenuis", "Micromeria nervosa", "Micromeria sinaica", "Micromeria myrtifolia", "Micromeria danaensis", "Pallidogramme chlorocarpoides", "Pallidogramme chrysenteron", "Pallidogramme montiscalvi", "Pallidogramme bengalense", "Amphibalanus amphitrite cochinensis", "Pallidogramme chapadana", "Pallidogramme commutabilis", "Pronothobranchius kiyawensis", "Bicava fulgurita", "Bicava variegata", "Bicava sharpi", "Bicava picturata", "Bicava illustris", "Bicava discoidea", "Bicava tarsalis", "Bicava pustulosa", "Orcularia elixii", "Lampranthus tenuifolius", "Orcularia insperata", "Orcularia placodiomorpha", "Orcularia placodiomorphoides", "Ochrolechia harmandii", "Ochrolechia harmandii var. harmandii", "Ochrolechia harmandii var. oceanica", "Ochrolechia parella f. parella", "Ochrolechia parella f. phloeoleuca", "Notocladonia cochleata", "Notocladonia undulata", "Hemisphaera socotrana", "Hemisphaera orientalis", "Chirona burhabalangensis", "Epigonus thai", "Armatobalanus nuagaonensis", "Tetramorium enkidu", "Tetramorium freya", "Tetramorium gilgamesh", "Tetramorium gladius", "Tetramorium gollum", "Tetramorium hobbit", "Tetramorium karthala", "Tetramorium mars", "Tetramorium merina", "Tetramorium monticola", "Tetramorium myrmidon", "Tetramorium obiwan", "Tetramorium pseudogladius", "Tetramorium rala", "Tetramorium rumo", "Tetramorium scutum", "Tetramorium tenuinode", "Henricohahnia parva", "Platypona furcata", "Platypona inca", "Drabescoides complexa", "Epitettix obtusus", "Pseudepitettix pimkarnae", "Tuberfemurus kanokwanae", "Baptista curvicornis", "Baptista obtusa", "Afromenotes hirsuta", "Feuerborniella paramuna", "Rheochlus latisetus", "Ganoderma leucocontextum", "Lepidopa benedicti", "Micrurus potyguara", "Pterosthetops baini", "Pterosthetops coriaceus", "Pterosthetops pulcherrimus", "Pterosthetops swartbergensis", "Pterosthetops tuberculatus", "Pterosthetops uitkyki", "Pterosthetops indwei", "Petitia domingensis", "Petitia urbanii", "Paraheliosia novirufa", "Paraheliosia elegans", "Paraheliosia rufa", "Paraheliosia rufa rufa", "Paraheliosia rufa ussuriensis", "Heterargus parallelus", "Heterargus subaequus", "Heterargus fuscus", "Heterargus grossanus", "Heterargus indentatus", "Heterargus interruptus", "Heterargus nodosus", "Heterargus obliquecostatus", "Heterargus posticalis", "Heterargus rudis", "Heterargus ruficornis", "Heterargus serricollis", "Heterargus tricavus", "Micromeria cremnophila", "Micromeria cristata", "Micromeria filiformis", "Micromeria graeca", "Micromeria lasiophylla", "Micromeria forbesii", "Micromeria helianthemifolia", "Dipyrena juncea", "Balanus pictus", "Amphibalanus amphitrite amphitrite", "Heterargus angulifer", "Heterargus crassus", "Anomala albopilosa", "Notoparmelia crowii", "Notoparmelia cunninghamii", "Heterargus decorus", "Notoparmelia erumpens", "Heterargus pallens", "Notoparmelia protosulcata", "Chysis bractescens", "Notoparmelia pseudotenuirima", "Notoparmelia queenslandensis", "Notoparmelia salcrambidiocarpa", "Sapintus airi", "Sapintus andreaskopetzi", "Sapintus angulapex", "Sapintus celeripes", "Sapintus curvatus", "Sapintus curvitibia", "Sapintus densepunctatus", "Sapintus dyaulensis", "Sapintus echinatus", "Sapintus geminus", "Sapintus gemitus", "Sapintus gracilentus", "Sapintus hartmanni", "Sapintus lao", "Sapintus macrops", "Sapintus malut", "Sapintus monstrosiantennatus", "Sapintus sexualis", "Sapintus vietnamensis", "Aulacoderus nigroelytratus", "Nokona coreana", "Lolodorfus flavus", "Clibanarius longitarsus", "Apis cerana japonica", "Ochrolechia macrosperma", "Geranium finitimum", "Ochrolechia neoisidiata", "Ochrolechia weymouthii", "Campanula lazica", "Verbascum oreophilum var. joannis", "Verbascum oreophilum var. oreophilum", "Verbascum songaricum subsp. subdecurrens", "Verbascum songaricum subsp. songaricum", "Pannaria howeana", "Pannaria streimannii", "Pannaria reflectens", "Pannaria sphinctrina", "Dipyrena glaberrima", "Dipyrena recurvata", "Dipyrena spartioides", "Arphthicarus baculus", "Arphthicarus spiniformis", "Eibesfeldtphora inornata", "Eibesfeldtphora trifurcata", "Arcania cornigera", "Arcania tropicalis", "Helius fossilis", "Helius gedanicus", "Helius hoffeinsorum", "Helius similis", "Cypselurus opisthopus", "Pallidogramme indica", "Pallidogramme undulatolirellata", "Syndicus jaloszynskii", "Assara yanbianensis", "Bradyporus picurka", "Heterangaeus mongolicus", "Metasiro sassafrasensis", "Metasiro savannahensis", "Pactola magna", "Pactola proxima", "Amplirhagada euroa", "Amplirhagada solemiana", "Amplirhagada indistincta", "Amplirhagada mckenziei", "Amplirhagada ponderi", "Amplirhagada montesquieuana", "Amplirhagada descartesana", "Amplirhagada puescheli", "Amplirhagada decora", "Amplirhagada kessneri", "Amplirhagada berthierana", "Amplirhagada lamarckiana", "Amplirhagada castra", "Parasiphula comata", "Parasiphula complanata", "Lemurorchis madagascariensis", "Parasiphula elixii", "Phreatichthys andruzzii", "Parasiphula foliacea", "Nobia halomitrae", "Hippasteria mcknighti", "Hippasteria muscipula", "Hippasteria tiburoni", "Syncalus explanatus", "Syncalus granulatus", "Syncalus hystrix", "Syncalus munroi", "Syncalus oblongus", "Syncalus optatus", "Syncalus piciceps", "Syncalus politus", "Glandularia sect.", "Junellia micrantha", "Phalaenopsis zhejiangensis", "Amphibalanus cirratus", "Junellia pappigera", "Rhamphomyia bohousi", "Rhamphomyia haennii", "Rhamphomyia iranica", "Rhamphomyia sulcanda", "Rhamphomyia minutiforceps", "Rhamphomyia minutiforcipella", "Rhamphomyia furmani", "Rhamphomyia hermoensis", "Rhamphomyia thaiciliata", "Amphibalanus eburneus", "Chromis howsoni", "Pseudojuloides edwardi", "Sangabasis bukid", "Sangabasis bulba", "Sangabasis cahilogi", "Sangabasis carmelae", "Verbena sect.", "Verbena ser.", "Amphibalanus improvisus", "Meteorus orocrambivorus", "Caenophanes costaricaensis", "Noumeasega bicolorata", "Noumeasega kaoriensis", "Noumeasega neocaledonica", "Noumeasega decorata", "Strongylium liangi", "Uloma kergoati", "Uloma clamensae", "Uloma condaminei", "Uloma jourdani", "Alphitobius capitaneus", "Paratenetus exutus", "Paratenetus texanus", "Hymenorus balli", "Hymenorus bifurcatus", "Hymenorus excavatus", "Charisius apterus", "Charisius granulatus", "Charisius howdenorum", "Charisius punctatus", "Amphibalanus inexpectatus", "Amphibalanus peruvianus", "Iris ser.", "Iris subser.", "Iris subser.", "Iris ser.", "Sonchus novae-zelandiae", "Iris subg.", "Iris ser.", "Fundulopanchax amieti", "Fundulopanchax arnoldi", "Munidopsis alcocki", "Munidopsis atlantis", "Munidopsis macphersoni", "Munidopsis spiridonovi", "Munidopsis nias", "Munidopsis pyrochela", "Peltigera lairdii", "Stegelleta tuarua", "Stegelleta iketaia", "Pycnomerus basalis", "Pycnomerus sulcatissimus", "Verbena ser.", "Amphibalanus poecilotheca", "Philonthus navarretei", "Amphibalanus reticulatus", "Pycnomerus caecus", "Pycnomerus carinellus", "Pycnomerus cognatus", "Hyalella epikarstica", "Synalpheus maxillispinus", "Pycnomerus candidus", "Pycnomerus reversus", "Peltigera lambinonii", "Syncalus solidus", "Parasiphula fragilis", "Parasiphula georginae", "Paramphimonhystrella barbula", "Paramphimonhystrella echinocauda", "Paramphimonhystrella glossalga", "Paramphimonhystrella scutula", "Parasiphula jamesii", "Kickxia cirrhosa", "Mangua forsteri", "Parmotrema paracrinitum", "Phyllodactylus paralepis", "Phyllodactylus leoni", "Magnolia cattienensis", "Monophyllorchis microstyloides", "Peltigera aubertii", "Burnettia cuneata", "Peltigera dilacerata", "Ischnogyne mandarinorum", "Tasmanobalanus acutus acutus", "Fosterella tubulatus", "Peltigera dolichorrhiza", "Hyalella formosa", "Hyalella veredae", "Noyesencyrtus brachyoculus", "Ooencyrtus hayatii", "Psyllaephagus kundapurensis", "Megorchestes deccanensis", "Leydigia lourdesae", "Paraphamartania marvaoensis", "Ansonia vidua", "Archaulacus probus", "Praeaulacus subrhombeus", "Praeaulacus tenellus", "Potentilla cappadocica", "Micromeria juliana", "Amplirhagada anderdonensis", "Amplirhagada tricenaria", "Amplirhagada regia", "Amplirhagada boongareensis", "Amplirhagada gibsoni", "Amplirhagada yorkensis", "Amplirhagada buffonensis", "Amplirhagada uwinsensis", "Amplirhagada sphaeroidea", "Amplirhagada basilica", "Amplirhagada camdenensis", "Amplirhagada kimberleyana", "Amplirhagada gemina", "Amplirhagada dubitabile", "Amplirhagada napierana", "Amplirhagada varia", "Gastrochilus calceolaris", "Amplirhagada depressa", "Amplirhagada mitchelliana", "Arnhemtrachia ramingining", "Australocosmica vulcanica", "Amplirhagada globosa", "Amplirhagada sinenomine", "Amplirhagada storriana", "Amplirhagada alkuonides", "Kimboraga glabra", "Kimboraga wulalam", "Kimboraga cascadensis", "Peltula imbricata", "Pongamia pinnata", "Xanthomelon obliquirugosa", "Rhagada atauroensis", "Rhagada abbasi", "Thopha saccata", "Peltula rodriguesii", "Herminium biporosum", "Peltigera pruinosa", "Amplirhagada atlantis", "Amplirhagada carsoniana", "Amplirhagada alicunda", "Amplirhagada moraniana", "Amplirhagada davidsoniana", "Amplirhagada vialae", "Amplirhagada discoidea", "Amplirhagada forrestiana", "Amplirhagada inusitata", "Amplirhagada coffea", "Amplirhagada gardneriana", "Amplirhagada lindsayae", "Amplirhagada bendraytoni", "Amplirhagada angustocauda", "Amplirhagada epiphallica", "Amplirhagada carinata", "Arenaria rotundifolia subsp. pancicii", "Arenaria rotundifolia subsp. rotundifolia", "Minuartia anatolica var. anatolica", "Minuartia anatolica var. arachnoidea", "Minuartia anatolica var. lanuginosa", "Minuartia anatolica var. phrygia", "Minuartia anatolica var. polymorpha", "Minuartia anatolica var. scleranthoides", "Minuartia anatolica var. tetrasticha", "Balanus calidus", "Peltigera tereziana", "Peltigera truculenta", "Arnemelassa creedi", "Parglogenia pelodes", "Sangabasis feliculoi", "Sangabasis hamis", "Sangabasis janvantoli", "Sangabasis zamboanga", "Lycodon cavernicolus", "Rhamphomyia academica", "Rhamphomyia soukupi", "Decaphora kohunlich", "Cebudonus poppeorum", "Macropsis tienschanica", "Lasiopa aksarayiensis", "Lasiopa aktasii", "Hamopontonia nhatrangensis", "Altipolia gengda", "Pycnomerus angulatus", "Pycnomerus arboreus", "Pycnomerus arcuatus", "Microtritia bicarinata", "Austrophthiracarus amus", "Pycnomerus frontalis", "Mulguraea asparagoides", "Scrophularia fatmae", "Puschkinia bilgineri", "Arenaria microcalyx", "Onobrychis alamutensis", "Onopordum hasankeyfense", "Asperula anatolica", "Dianthus vanensis", "Minuartia hamzaoglui", "Astragalus silifkeense", "Scorzonera tuzgoluensis", "Hierobotana inflata", "Oligophyton drummondii", "Apiocera badipeniculata", "Phyllopyrenia macquariensis", "Euploea algea", "Tegenaria pagana", "Phyllopyrenia tessellata", "Ophiocordyceps unilateralis", "Fundulopanchax cinnamomeus", "Fundulopanchax fallax", "Fundulopanchax filamentosus", "Fundulopanchax gresensi", "Phylloblastia blechnicola", "Cataglyphis bicolor", "Physcidia australasica", "Physcia austrocaesia", "Diaea mikhailovi", "Stachytarpheta crassifolia", "Amphibalanus salaami", "Echmepteryx symmetrolepis", "Echmepteryx youngi", "Echmepteryx intermedia", "Echmepteryx hageni", "Fundulopanchax gularis", "Munidopsis trindadensis", "Megatyrus femoralis", "Nemozoma gymnosternalis", "Chrysotus komovi", "Chrysotus tricaudatus", "Chrysotus brooksi", "Chrysotus altavaginas", "Chrysotus tibetensis", "Chrysotus namaicunensis", "Chrysotus motuoensis", "Chrysotus angustus", "Chrysotus flavipedus", "Chrysotus guanlingus", "Chrysotus herbus", "Chrysotus largipalpus", "Chrysotus rectisystylus", "Chrysotus lvguantunus", "Chrysotus subguanlingus", "Chrysotus sublongicornus", "Chrysotus longicornus", "Chrysotus chukotkensis", "Chrysotus dischmaensis", "Chrysotus xinjiangensis", "Chrysotus sinuolatus", "Chrysotus luoyangensis", "Chrysotus brevicercus", "Chrysotus bifurcatus", "Chrysotus liui", "Chrysotus zhuae", "Chrysotus nanjingensis", "Chrysotus zhangi", "Chrysotus jindingensis", "Amphibalanus subalbidus", "Chrysotus hubeiensis", "Chrysotus guizhouensis", "Chrysotus emeiensis", "Chrysotus fujianensis", "Labiobaetis ancoralis", "Abyssocladia lakwollii", "Silhouettanus bamaganus", "Silhouettanus insulomagnus", "Silhouettanus insuloparvus", "Silhouettanus tinnulus", "Silhouettanus pilosus", "Silhouettanus turbator", "Silhouettanus magnus", "Silhouettanus lintrarius", "Silhouettanus monteithi", "Athesmia ralli", "Makrokylindrus abyssalis", "Stachytarpheta longispicata", "Dipterocarpus kunstleri", "Stachytarpheta spathulata", "Physcia austrostellaris", "Globorhagada prudhoensis", "Globorhagada confusa", "Globorhagada wurroolgu", "Globorhagada yoowadan", "Globorhagada wunandarra", "Globorhagada uwinsensis", "Echmepteryx nigra", "Echmepteryx pinnula", "Echmepteryx aperta", "Echmepteryx lealae", "Acantholippia salsoloides", "Acantholippia trifida", "Stegelleta laterocornuta", "Acantholippia deserticola", "Acantholippia riojana", "Acantholippia seriphioides", "Acantholippia tarapacana", "Stegelleta arenaria", "Acantholippia trifida var. reichei", "Stegelleta georgica", "Stegelleta incisa", "Stegelleta ophioglossa", "Acantholippia trifida var. trifida", "Baillonia amabilis", "Paratropis tuxtlensis", "Tullbergia alcirae", "Doryphorina conglobatus", "Doryphorina guizhouensis", "Limnobaris martensi", "Amphibalanus subalbidus canabus", "Catatinagma stenoptera", "Scotopteryx kurmanjiana", "Naarda ardeola", "Naarda egrettoides", "Naarda pocstamasi", "Aloysia barbata", "Aplomerus phamae", "Aplomerus orientalis", "Physcia caesiopsis", "Mulguraea aspera", "Mulguraea aspera var. aspera", "Mulguraea aspera var. longidentata", "Mulguraea ligustrina var. ligustrina", "Mulguraea ligustrina var. lorentzii", "Mulguraea arequipensis", "Mulguraea cedroides", "Mulguraea cinerascens", "Mulguraea echegarayi", "Mulguraea hystrix", "Mulguraea scoparia", "Mulguraea tetragonocalyx", "Physcia dactylifera", "Physcia kantvilasii", "Balanus calidus calidus", "Amphibalanus subalbidus subalbidus", "Pogostemon plectrantoides", "Junellia bisulcata", "Junellia digitata", "Junellia selaginoides", "Junellia spathulata", "Junellia toninii", "Echmepteryx annulitibia", "Echmepteryx argentofasciata", "Echmepteryx hebes", "Chaeridiona mayuri", "Waiomys mamasae", "Liolaemus ubaghsi", "Cnemaspis girii", "Corinna aechmea", "Corinna balacobaco", "Corinna caatinga", "Corinna demersa", "Corinna escalvada", "Corinna hyalina", "Corinna jecatatu", "Corinna kuryi", "Corinna loiolai", "Corinna maracas", "Corinna regii", "Corinna telecoteco", "Corinna tranquilla", "Corinna vesperata", "Corinna vilanovae", "Corinna zecarioca", "Corinna ziriguidum", "Mycomya apoensis", "Mycomya nakanishii", "Mycomya paraklossi", "Mycomya pongo", "Mycomya shimai", "Mycomya yatai", "Sundathelphusa danae", "Sundathelphusa vienae", "Jujubinus eleonorae", "Jujubinus trilloi", "Bouchea pseudogervao", "Amphibalanus thailandicus", "Stegelletina cancellata", "Stegelletina lineata", "Rhagada biggeana", "Rhagada kessneri", "Rhagada sheai", "Rhagada felicitas", "Rhagada cygna", "Rhagada dominica", "Coelocarpum socotranum", "Lilium auratum var. platyphyllum", "Salvia sect.", "Duranta arida", "Felicola isidoroi", "Syphacia semiadii", "Micracanthorhynchina atherinomori", "Muehlenbeckia florulenta", "Nyctimystes calcaratus", "Nyctimystes eucavatus", "Nyctimystes latratus", "Nyctimystes traunae", "Nyctimystes myolae", "Nyctimystes ocreptus", "Inia boliviensis", "Physcia littoralis", "Physcia macquariensis", "Stereosandra javanica", "Physcia neonubila", "Pyrgus malvae", "Erynnis tages", "Papilio bates", "Stenus nigraureolus", "Acropyga bakwele", "Daldinia australis", "Dothiorella striata", "Thelonectria brayfordii", "Pseudoplectania affinis", "Pseudocercospora ptisanae", "Pyrenula finitima", "Setobaudinia rectilabrum", "Setobaudinia kalumburuana", "Papilio tiphus", "Physcia phaeocarpa", "Physcia rolandii", "Amphibalanus variegatus", "Acanthocythereis araneosa", "Physcia tribacoides", "Casselia serrata", "Casselia confertiflora", "Physcia tropica", "Chascanum cernuum", "Chascanum angolense", "Chascanum hederaceum", "Chascanum latifolium", "Chascanum pinnatifidum", "Bembidion tetrapholeon", "Cratocerus culpepperi", "Cratocerus indupalmensis", "Cratocerus kavanaughi", "Cratocerus multisetosus", "Cratocerus sinesetosus", "Cratocerus tanyae", "Junellia spathulata var. spathulata", "Junellia spathulata var. glauca", "Gasteruption jaculator", "Gasteruption laticeps", "Gasteruption minutum", "Gasteruption pedemontanum", "Aulacus striatus", "Brachygaster minutus", "Brachygaster dominicanus", "Brachygaster tschekylli", "Austroponera castanea", "Austroponera castaneicolor", "Iroponera odax", "Austroponera rufonigra", "Mescirtes camerunensis", "Mescirtes ibadanensis", "Mescirtes krugerensis", "Mescirtes ruthmuellerae", "Aethioeubria occidentalis", "Zeldia punua", "Acrobeles kotingotingus", "Acrobeles maeneeneus", "Acrobeles taraus", "Acrobeloides ellesmerensis", "Acrobeloides syrtisus", "Heterocephalobus multicinctus", "Polyblastiopsis coarctata", "Centris nordestina", "Centris aureiventris", "Centris ceratops", "Centris thelyopsis", "Centris ancashsumaq", "Megoura lathyricola", "Varma falcata", "Varma lobata", "Dicranocentrus liuae", "Centris domingensis", "Centris caymanensis", "Cyrtodactylus wangkulangkulae", "Munidopsis lieskovensis", "Zeldia punctata", "Lilium leichtlinii var. maximowiczii", "Ampulicomorpha dayi", "Ampulicomorpha irwini", "Polyblastiopsis gregantula", "Polyblastiopsis nudata", "Rhagada primigena", "Limnocythere cusminskyae", "Retroterra aequabilis", "Retroterra discoidea", "Retroterra acutocostata", "Molema stankowskii", "Baudinella thielei", "Baudinella boongareensis", "Baudinella tuberculata", "Baudinella setobaudinioides", "Baudinella occidentalis", "Glandularia tweedieana", "Polyblastiopsis pertusarioidea", "Amphibalanus venustus", "Polyblastiopsis tichospora", "Amphibalanus caboblanquensis", "Polyblastiopsis velata", "Amphibalanus caribensis", "Amphibalanus playagrandensis", "Glandularia radicans", "Pyrenula bicuspidata", "Glandularia tomophylla", "Collinsonia japonica", "Viola subg.", "Viola odorata subsp. stolonifera", "Dendrobium crepidatum", "Polyrhachis smithersi", "Phyllopsora breviuscula var. breviuscula", "Fannia albitarsis", "Fannia scalaris", "Bothrochilus biakensis", "Leiopython albertisii", "Discocyrtus testudineus", "Setobaudinia herculea", "Setobaudinia ngurraali", "Setobaudinia umbadayi", "Setobaudinia wuyurru", "Setobaudinia capillacea", "Setobaudinia garlinju", "Pyrenula howeana", "Lampayo officinalis", "Lampayo castellani", "Lampayo hieronymi", "Atelopus barbotini", "Balanus laguairensis", "Balanus leonensis", "Pyrenula laureriformis", "Balanus ochlockoneensis", "Balanus bloxhamensis", "Pyrenula neoculata", "Amphibalanus halosydne", "Zagrammosoma dulanense", "Pyrenula shirleyana", "Rubroscirus reevesi", "Maritrema deblocki", "Maritrema poulini", "Amphibalanus hopkinsi", "Cortinarius beeverorum", "Pyrenula subumbilicata", "Oxycomanthus benhami", "Pyrenula subvariolosa", "Daldinia dennisii", "Austrotephritis drewi", "Herimosa albovenata", "Austrotephritis campiglossina", "Pyrenula thelemorpha", "Austrotephritis brunneimaculata", "Diplogrammus paucispinis", "Pyrenula xanthominuta", "Pyrenopsis australiensis", "Balanus rostratus rostratus", "Pyrenopsis micrococca", "Balanus rostratus apertus", "Typhlonesticus gocmeni", "Epacteon latifrons", "Tanycypris alfonsi", "Tanycypris siamensis", "Tanycypris pellucida", "Pachydiadema cretaceum", "Radiodiscus sanrafaelensis", "Exocelina nehoue", "Leopoldia tabriziana", "Raphanus raphanistrum subsp. raphanistrum", "Raphanus sativus var. sativus", "Ramalina australiensis", "Eltroplectris calcarata", "Ramalina caespitella", "Ramalina litorea", "Ramalina whinrayi", "Raphanus acanthiformis var. horyo", "Raphanus acanthiformis var. miyashige", "Raphanus acanthiformis var. nerima", "Raphanus acanthiformis var. sempervinus", "Raphanus acanthiformis var. shogoin", "Ramalina cannonii", "Tanycythere procera", "Balanus concavus alloplax", "Psoroma hypnorum var. hypnorum", "Parapropus neumanni", "Archelon ischyros", "Balanus concavus coosensis", "Fundulopanchax spoorenbergi", "Psoroma hypnorum var. paleaceum", "Fundulopanchax walkeri", "Notochelys platynota", "Spectracanthicus immaculatus", "Spectracanthicus tocantinensis", "Spectracanthicus zuanoni", "Clubiona kropfi", "Clubiona baishishan", "Dienerella elongata", "Cartodere approximata", "Dactylorhiza russowii", "Fundulopanchax puerzli", "Diartiger zhejiangensis", "Paederus jianyueae", "Abrus damingshanensis", "Abrus expansivus", "Porpidia albocaerulescens var. polycarpiza", "Tomarus rostratus", "Trichodorus golestanensis", "Piezura graminicola", "Piezura nearctica", "Piezura nigrigenus", "Piezura pardalina", "Piezura shanxiensis", "Fundulopanchax rubrolabialis", "Tanycythere praecaudata", "Balanus cantelli", "Tanycythere wattonensis", "Tanycythere caudata", "Tanycythere duartei", "Tanycythere posteroelongata", "Australofannia spiniclunis", "Corybas aconitiflorus", "Fundulopanchax marmoratus", "Porina eminentior f. eminentior", "Fundulopanchax mirabilis", "Porina eminentior f. sorediifera", "Fundulopanchax ndianus", "Balanus humilis", "Porina tetracerae var. tetracerae", "Cyrtonota poecilaspoides", "Fundulopanchax oeseri", "Porina tetracerae var. persimilis", "Aspicela bourcieri", "Viola odorata subsp. odorata", "Setobaudinia gumalamala", "Setobaudinia insolita", "Phyllopsora breviuscula var. javanica", "Setobaudinia quinta", "Setobaudinia joycei", "Setobaudinia karczewski", "Staphylococcus pasteuri", "Psoroglaena halmaturina", "Placopsis argillacea", "Placopsis brevilobata", "Placopsis fuscidula", "Placopsis rhodocarpa", "Placopsis lateritioides", "Cephalanthera longibracteata", "Liparis fissipetala", "Hyperomma bicoloripes", "Hyperomma boreale", "Hyperomma geminum", "Hyperomma geminoides", "Hyperomma helenae", "Hyperomma inversicolor", "Hyperomma johnnunni", "Hyperomma julii", "Hyperomma longicorne", "Hyperomma margali", "Hyperomma minutum", "Hyperomma montanum", "Hyperomma orientale", "Hyperomma peninsulae", "Hyperomma spatulae", "Hyperomma tridentatum", "Hyperomma variabile", "Ramalina confirmata", "Butyriboletus appendiculatus", "Pagaronia albescens", "Ramalina disparata", "Ramalina dumeticola", "Spizelloides arborea", "Raphanus acanthiformis var. gigantissimus", "Oodes kachinensis", "Raphanus sativus var. hortensis f. gigantissimus", "Platythecium streimannii", "Euryomma peregrinum", "Punctelia pseudocoralloidea", "Punctelia transtasmanica", "Psoroma buchananii", "Pterygiopsis guyanensis", "Poeltiaria tasmanica", "Balanus rostratus", "Setosabatieria triangularis", "Setosabatieria orientalis", "Setosabatieria jingjingae", "Setosabatieria coomansi", "Setosabatieria fibulata", "Setosabatieria hilarula", "Setosabatieria chitwoodi", "Munidopsis curvirostra", "Fusigonalia aspra", "Fusigonalia bispinata", "Fusigonalia chelata", "Fusigonalia clavata", "Fusigonalia delta", "Fusigonalia heppneri", "Fusigonalia lobata", "Fusigonalia ortha", "Fusigonalia plecta", "Fusigonalia spinata", "Falco hezhengensis", "Balanus ecuadoricus", "Munidopsis aurora", "Placynthium australiense", "Raphanus maritimus var. landra", "Raphanus rostratus var. pugioniformis", "Steinernema tophus", "Munidopsis shulerae", "Picobia myiopagi", "Picobia ochoi", "Picobia schmidti", "Cymonomus mainbaza", "Cardepia rothei", "Ramalina exiguella", "Ramalina exilis", "Ramalina filicaulis", "Ramalina fissa", "Ramalina glaucescens", "Ramalina leiodea", "Ramalina luciae", "Trichouropodella taiwanica", "Uroobovella kozari", "Uroobovella ornamenta", "Allochthonius jingyuanus", "Balanus concavus eseptatus", "Balanus concavus rubescens", "Ramalina nervulosa", "Ramalina pacifica", "Zeclaviger explanatus", "Afrotyphaeola natalensis", "Balanus concavus scutorum", "Nototriphyllus araucania", "Lepidozia bragginsiana", "Tephronia nuragica", "Zeteotomus batjanicus", "Zeteotomus brunneoniger", "Zeteotomus canopyanus", "Zeteotomus elegantis", "Zeteotomus morokanus", "Zeteotomus onerunkanus", "Zeteotomus privus", "Zeteotomus sedlaceki", "Zeteotomus sulawesianus", "Silene nerimaniae", "Notophthiracarus motumuka", "Notophthiracarus tamaki", "Notophthiracarus rimi", "Coniella fragariae", "Fusarium lactis", "Euseius elinae", "Scorpiops spitiensis", "Epidendrum rigidum", "Sobralia setigera", "Ramalina stevensiae", "Ramalina subfraxinea", "Tricholoma matsutake", "Phyllodonta alajuela", "Phyllodonta esperanza", "Phyllodonta intermediata", "Disphragis bifurcata", "Symmerista aura", "Symmerista inbioi", "Symmerista luisdiegogomezi", "Symmerista minaei", "Protorthodes mexicana", "Protorthodes texicana", "Protorthodes ustulata", "Nudorthodes molino", "Cherokeea attakullakulla", "Agaricus abruptibulbus", "Pseudomedon tristis", "Pseudomedon bengalensis", "Pseudomedon afghanicus", "Pseudomedon kazakhstanicus", "Pseudomedon schuelkei", "Ramalina tenella", "Ramalina tropica", "Ramalina unilateralis", "Ramalina zollingeri", "Zeteotomus agnosticus", "Zeteotomus apomontis", "Zeteotomus bedugulensis", "Zeteotomus crockerensis", "Zeteotomus haddeni", "Zeteotomus hirashimai", "Zeteotomus insularis", "Zeteotomus rougemonti", "Zeteotomus semialbipennis", "Zeteotomus versicolor", "Zeteotomus virginalis", "Zeteotomus sumatrensis", "Dyscia govii", "Balanus finchii", "Australinus lordhowensis", "Australinus bispinosus", "Tschigovana complanata", "Phloiocopus magnanii", "Hyllus manu", "Phintella alboterminus", "Ribautia williamsi", "Oreobates berdemenos", "Phaeocalicium triseptatum", "Sphinctrina intermedia", "Baccharis woytkowskii", "Spauligodon bintangensis", "Ramalina inflata subsp. inflata", "Jeotgalicoccus aerolatus", "Jeotgalicoccus coquinae", "Jeotgalicoccus halophilus", "Jeotgalicoccus halotolerans", "Jeotgalicoccus huakuii", "Jeotgalicoccus marinus", "Jeotgalicoccus nanhaiensis", "Jeotgalicoccus pinnipedialis", "Jeotgalicoccus psychrophilus", "Dioctria atricapilla", "Dimorphorchis lowii", "Eggerthia catenaformis", "Scriptaphyosemion banforense", "Scriptaphyosemion bertholdi", "Jasione laevis", "Ramalina inflata subsp. australis", "Ramalina inflata subsp. perpusilla", "Eachamia sentanica", "Eachamia cyclopica", "Eachamia riedeli", "Eachamia corusca", "Eachamia wajlebetica", "Eachamia oculata", "Eachamia metallica", "Eachamia lucidula", "Anagrus ustulatus", "Cryptops spelaeoraptor", "Brockphasma spinifemoralis", "Arxellia boucheti", "Arxellia erythrea", "Arxellia helicoides", "Arxellia herosae", "Arxellia maestratii", "Arxellia thaumasta", "Arxellia tracheia", "Arxellia trochos", "Cymodoce waegelei", "Calodipoena tamdaoensis", "Gaoligonga taeniata", "Mysmena maculosa", "Habrobathynella ajraoi", "Habrobathynella parakrishna", "Habrobathynella pseudoindica", "Psechrus ampullaceus", "Psechrus arietinus", "Psechrus huberi", "Psechrus insulanus", "Psechrus omistes", "Psechrus quasillus", "Psechrus wade", "Pione gibraltarensis", "Polymastia piscesae", "Prosuberites saanichensis", "Radiella endeavourensis", "Suberites lambei", "Weberella perlucida", "Sphaerotylus raphidophora", "Sphaerotylus verenae", "Elachista helia", "Dusuna anacantha", "Acantholachesilla saltoensis", "Ambasia anophthalma", "Bathyamaryllis biscayensis", "Neocamacolaimus parasiticus", "Parastenocaris edakkal", "Proserpinicaris corgosinhoi", "Proserpinicaris karanovici", "Scriptaphyosemion brueningi", "Scriptaphyosemion cauveti", "Myrsine aquilonia", "Myrsine umbricola", "Myrsine argentea", "Abursanema iranicum", "Ptiloglossa chamelensis", "Paratrechina ankarana", "Paratrechina antsingy", "Paratrechina kohli", "Acanthocephalonotum martinsnetoi", "Pseudoeupodes porosus", "Tabanus atratus", "Fannia latistylata", "Quadracythere keeni", "Chaureopa planulata", "Fannia capricornisoides", "Fannia dorsovittata", "Fannia fanjingensis", "Fannia labidocerca", "Fannia oregonensis", "Fannia pulvinilenis", "Fannia subfuscitibia", "Fannia xanthothrichia", "Fannia yunguensis", "Fannia dasytophacela", "Fannia hirtitibia", "Fannia maximiguttatus", "Fannia similiserena", "Fannia tanotarsis", "Clowesia rosea", "Remototrachyna aguirrei", "Remototrachyna sipmaniana", "Remototrachyna consimilis", "Remototrachyna singularis", "Remototrachyna adducta", "Remototrachyna awasthii", "Remototrachyna ciliata", "Viola subsect.", "Remototrachyna costaricensis", "Viola sect.", "Pinkertonius ambiguus", "Quadracythere alatazea", "Quadracythere biruga", "Quadracythere clavala", "Quadracythere clifdenensis", "Quadracythere mediaplana", "Quadracythere mediaruga", "Quadracythere quadrazea", "Quadracythere radizea", "Quadracythere longazea", "Quadracythere planazea", "Phytophthora asparagi", "Rinodina cacaotina", "Rinodina connectens", "Rinodina gyrophorica", "Macroscelides micus", "Syzeton shibatai", "Syzeton duplosetosus", "Syzeton undatus", "Syzetonellus subelongatus", "Syzetonellus sordidus", "Syzetonellus humeralis", "Rinodina moziana", "Syzetoninus morulus", "Phytophthora brassicae", "Paravireia holdichi", "Paravireia pistus", "Afromelecta lieftincki", "Afromelecta fulvohirta", "Afromelecta bicuspis", "Rimularia albotessellata", "Rimularia aspicilioides", "Rimularia asteriphila", "Rimularia circumgrisea", "Rimularia coppinsiana", "Dendrobium guibertii", "Rinodina asperata", "Rinodina australiensis", "Rinodina austroleprosa", "Epiplatys chaperi", "Nacaduba angusta flumena", "Nacaduba angusta honorifice", "Nacaduba angusta kerriana", "Balanus concavus oligoseptatus", "Bacidia subturgidula", "Eudicella trimeni", "Berginus punctatolineatus", "Remototrachyna crenata", "Remototrachyna dodapetta", "Phytophthora multivora", "Acaena tesca", "Acaena rorida", "Silene italica subsp. italica", "Silene italica subsp. sicula", "Remototrachyna flexilis", "Silene italica subsp. peloponnesiaca", "Remototrachyna incognita", "Remototrachyna infirma", "Remototrachyna kingii", "Remototrachyna koyaensis", "Remototrachyna rhabdiformis", "Remototrachyna rigidula", "Remototrachyna scytophylla", "Remototrachyna thryptica", "Scriptaphyosemion geryi", "Rhizocarpon austroamphibium", "Rhizocarpon johnstonii", "Rhizocarpon kerguelense", "Rhizocarpon mawsonii", "Rhizocarpon nidificum", "Scriptaphyosemion guignardi", "Nacaduba angusta albida", "Phytophthora boehmeriae", "Microvalgus carinulatus", "Chorioptes sweatmani", "Scriptaphyosemion liberiense", "Scriptaphyosemion roloffi", "Cuphophyllus griseorufescens", "Scriptaphyosemion schmitti", "Steganacarus walteri", "Hoplophthiracarus lamington", "Epiplatys dageti", "Berginus bahamicus", "Berginus madagascarensis", "Berginus maindroni", "Berginus nigricolor", "Berginus pumilus", "Berginus tamarisci", "Rinodina obscura", "Rinodina ramboldii", "Rinodina subcrustacea", "Epiplatys sexfasciatus", "Rinodina substellulata", "Isostenosmylus septemtrionalandinus", "Isostenosmylus contrerasi", "Cesasundana lorniensis", "Elbenia fraser", "Blaberops korinae", "Mallinella merimbunenis", "Mallinella myrmecophaga", "Mallinella platyrhyncha", "Tritodynamia serratipes", "Milnesium bohleberi", "Ancorina buldira", "Stelletta anthastra", "Stelletta makushina", "Ramalina subfraxinea var. subfraxinea", "Ramalina subfraxinea var. norstictica", "Scriptaphyosemion chaytori", "Scriptaphyosemion etzeli", "Zealandofannia mystacina", "Fannia anthracinalis", "Fannia hollowayae", "Fannia laqueorum", "Fannia magnicornis", "Fannia mangerensis", "Fannia mercurialis", "Fannia triregum", "Sabatinca aurantissima", "Sabatinca bimacula", "Sabatinca pluvialis", "Sabatinca weheka", "Ramonia eungellae", "Ramonia leptospora", "Scriptaphyosemion fredrodi", "Petrorhagia alpina subsp. olympica", "Petrorhagia alpina subsp. alpina", "Atocion armeria", "Atocion compactum", "Atocion rupestre", "Viola sect.", "Viola subsect.", "Maxillaria uniflora", "Viola subsect.", "Berginus vitraci", "Pallodes austrinus", "Bacidina brittoniana", "Baculifera micromera", "Hexabdella persiaensis", "Aneurus incertus", "Mezira parapetrificata", "Mezira petrificata", "Sabatinca aurella", "Sabatinca doroxena", "Ecnomiohyla bailarina", "Ecnomiohyla veraguensis", "Uperoleia saxatilis", "Endomychus biguttatus", "Phytocoris aniatuyensis", "Baculifera cinereocincta", "Baculifera entochlora", "Baculifera epiviolascens", "Phalaenopsis mentawaiensis", "Baculifera xylophila", "Graphis hossei", "Ionaspis tropica", "Amphibalanus rhizophorae", "Aseroe coccinea", "Aseroe genovefae", "Aseroe floriformis", "Deuteragenia bifasciata", "Deuteragenia albiclypeata", "Aseroe arachnoidea", "Deuteragenia romankovae", "Deuteragenia nipponica", "Deuteragenia immarginata", "Viola sect.", "Viola subsect.", "Baculifera intermedia", "Baculifera intermedioides", "Ectomomyrmex astutus", "Baculifera longispora", "Deuteragenia ossarium", "Baculifera orosa", "Baculifera pseudomicromera", "Baculifera tobleri", "Rinodinella fertilis", "Rinodinella fertilis var. fertilis", "Epiplatys ansorgii", "Epiplatys barmoiensis", "Epiplatys biafranus", "Epiplatys chevalieri", "Epiplatys coccinatus", "Silene dianthoides", "Silene montbretiana", "Epiplatys duboisi", "Epiplatys esekanus", "Silene acaulis subsp. vanensis", "Silene acaulis subsp. acaulis", "Epiplatys etzeli", "Silene aegyptiaca subsp. ruderalis", "Silene aegyptiaca subsp. aegyptiaca", "Silene fenzlii", "Silene rhynchocarpa", "Silene ruscifolia", "Nacaduba angusta pamela", "Nacaduba angusta sangira", "Nacaduba angusta thespia", "Amphibalanus amphitrite tongaensis", "Rinodinella fertilis var. hyposticta", "Sagenidiopsis subconfluentica", "Epiplatys fasciolatus", "Nacaduba berenice akaba", "Sarcogyne hypophaea", "Nacaduba berenice eliana", "Amphibalanus amphitrite karakumiensis", "Asplenium afzelii", "Pimoa tehama", "Micrarchus hystriculeus", "Curdiea furcata", "Julella geminella", "Liophryne miniafia", "Julella buxi", "Verrucaria banatica", "Muellerella thalamita", "Priocnemis cyphonota", "Priocnemis parvula", "Priocnemis amurensis", "Priocnemis ghilarovi", "Priocnemis gussakovskii", "Priocnemis kunashirensis", "Priocnemis pseudojaponica", "Priocnemis ussuriensis", "Paulia tessellata", "Epiplatys bifasciatus", "Priocnemis yasumatsui", "Peridiothelia fuliguncta", "Priocnemis unicolor", "Priocnemis fenestrata", "Priocnemis pseudopogonia", "Peridiothelia grandiuscula", "Priocnemis minuta", "Peridiothelia oleae", "Nacaduba biocellata armillata", "Nacaduba calauria calauria", "Encarsia harrisoni", "Aleurochiton aceris", "Australinus sexsulciceps", "Mitinha neri", "Tamanduamyia bandeira", "Priocnemis shidai", "Deuteragenia lehri", "Pterocladiophila hemisphaerica", "Protophormia terraenovae", "Protophormia atriceps", "Manota grootaerti", "Manota peltata", "Manota peltigera", "Manota reclinata", "Manota wittei", "Austropurcellia acuta", "Austropurcellia barbata", "Austropurcellia superbensis", "Plasmodium lygosomae", "Nilaparvata bis", "Athoracophorus suteri", "Austrophthiracarus longisetosus", "Austrophthiracarus filiformis", "Amphistethus biwenxuani", "Amphibalanus amphitrite abundantatus", "Amphibalanus amphitrite archi-inexpectatus", "Amphibalanus amphitrite hungaricus", "Horaeomorphus anthicoides", "Pecten novaezelandiae", "Pecten raoulensis", "Asplenium arcanum", "Asplenium dianae", "Asplenium gentryi", "Asplenium sanchezii", "Asplenium semipinnatum", "Asplenium ultimum", "Asplenium venturae", "Sarcogyne iridana", "Nascioides olliffi", "Epiplatys grahami", "Epiplatys guineensis", "Sarcogyne meridionalis", "Nacaduba berenice aphana", "Nacaduba kurava cyaneira", "Epiplatys huberi", "Nacaduba kurava euplea", "Nacaduba kurava euretes", "Nacaduba kurava felsina", "Nacaduba kurava laura", "Nacaduba kurava laurina", "Nacaduba kurava lydia", "Nacaduba kurava mentawica", "Nacaduba kurava nemana", "Schismatomma insulae-howense", "Pelagornis sandersi", "Epiplatys infrafasciatus", "Scoliciosporum coniectum", "Epiplatys josianae", "Myolepta trojana", "Viola subsect.", "Priocharax nanus", "Valeriana sect.", "Rhipidocyrtus muiri", "Amphibalanus amphitrite litoralis", "Thinophilus milleri", "Chrysotimus motuoensis", "Chrysotimus tibetensis", "Chrysotimus xuankuni", "Chrysotimus zhui", "Lasiobelba daamsae", "Lasiobelba nepalica", "Dusona koreana", "Dioxeuta rara", "Dioxeuta yunnanensis", "Termitopulex sinensis", "Baculentulus krabbensis", "Fjellbergella lazovskiensis", "Yichunentulus alpatovi", "Epiplatys lamottei", "Eupiestus pongo", "Encarsia nayarita", "Coccophagus argiope", "Silvacola acares", "Protatlanta kbiraensis", "Plestiodon kuchinoshimensis", "Sternomoera morinoi", "Sternomoera tsushimana", "Terrapene nelsoni", "Terrapene corneri", "Terrapene parornata", "Gunnera insignis", "Teloschistes fasciculatus", "Teloschistes hypoglaucus", "Epiplatys longiventralis", "Pilosella adenogaliciana", "Pilosella galiciana", "Pilosella orogaliciana", "Pilosella tambovica", "Gunnera talamancana", "Teloschistes sieberianus", "Teloschistes xanthoroides", "Teloschistes spinosus", "Nacaduba calauria cypria", "Teloschistes spinosus f. spinosus", "Nacaduba calauria evansi", "Nacaduba calauria malayica", "Teloschistes spinosus f. subteres", "Solidobalanus milensis", "Metaniphargus shiroi", "Linosomus fumipennis", "Linosomus grossulus", "Linosomus hottentottus", "Nacaduba pactolus odon", "Squamella spumosa", "Nacaduba kurava niasica", "Nacaduba kurava parma", "Nacaduba kurava perusia", "Nacaduba kurava prominens", "Nacaduba kurava rothschildi", "Nacaduba kurava samblanga", "Nacaduba kurava septentrionalis", "Nacaduba kurava therasia", "Nacaduba beroe asakusa", "Nacaduba beroe beroe", "Nacaduba beroe gythion", "Nacaduba beroe jedja", "Nacaduba beroe neon", "Tasmidella variabilis", "Tasmidella variabilis var. variabilis", "Nacaduba beroe bimaculosa", "Nacaduba beroe javana", "Nacaduba beroe minima", "Tasmidella variabilis var. inactiva", "Nacaduba biocellata baliensis", "Nacaduba biocellata biocellata", "Teloschistes velifer", "Chiasmodon niger", "Epiplatys maeseni", "Nacaduba cyanea chromia", "Nacaduba cyanea cyanea", "Teloschistes velifer f. velifer", "Teloschistes velifer f. nodulosus", "Trichopilia brasiliensis", "Thelocarpon strasseri", "Epiracma aedeagifera", "Epiracma annularis", "Epiracma longicaudata", "Irepacma flagellata", "Periacma aduncata", "Laccobius leopardus", "Trichostomum imshaugii", "Nacaduba cyanea epicoritus", "Pedanodectes angustilobus", "Paramunida haigae", "Dendrocerus riograndensis", "Megalostomis juanenrique", "Epiplatys mesogramma", "Hoya hanhiae", "Nacaduba berenice aphya", "Nacaduba berenice apira", "Nacaduba berenice berenice", "Nacaduba berenice carnania", "Nacaduba berenice dobbensis", "Nacaduba berenice icena", "Nacaduba berenice illuensis", "Nacaduba berenice korene", "Rauhiella brasiliensis", "Nacaduba berenice nicobaricus", "Nacaduba berenice ormistoni", "Nacaduba berenice plumbeomicans", "Nacaduba berenice rapara", "Nacaduba berenice zyrthis", "Daiotyla albicans", "Nacaduba berenice leei", "Asplenium abscissum", "Asplenium alatum", "Asplenium amboinense", "Asplenium bipartitum", "Daiotyla maculata", "Diplazium caracasanum", "Rauhiella seehaweri", "Rauhiella silvana", "Nacaduba factio", "Nacaduba samsoni", "Chondrorhyncha hirtzii", "Nacaduba kurava kurava", "Epiplatys hildegardae", "Nacaduba kurava albofasciata", "Nacaduba kurava bandana", "Schaereria xerophila", "Nacaduba kurava canaraica", "Nacaduba kurava cerbara", "Nacaduba kurava cruzens", "Nacaduba kurava ariitea", "Seseli corymbosum subsp. phrygium", "Seseli corymbosum subsp. corymbosum", "Seseli marashica", "Seseli serpentina", "Epimastidia suffuscus", "Paraduba tenebrae", "Nacaduba cyanea hamilcar", "Tephromela erosa", "Nacaduba cyanea rosselana", "Tephromela neobunyana", "Nacaduba glauconia glauconia", "Nacaduba glauconia overdijkinki", "Epiplatys njalaensis", "Nacaduba hermus hermus", "Tephromela nothofagi", "Nacaduba hermus minja", "Thelotrema myriocarpum", "Rothmaleria granatensis", "Cichorium sect.", "Bruxneria lamingtoniana", "Gregorioiscala pimentai", "Opalia revizee", "Tinamotaecola nanus", "Pristimantis gualacenio", "Pristimantis tinajillas", "Thelotrema crassisporum", "Liposcelis corrodens", "Liposcelis bostrychophila", "Silene argentea", "Silene aydosensis", "Silene discolor", "Silene phrygia", "Tephromela americana", "Silene viridiflora", "Habrosia spinuliflora", "Tephromela bourgeanica", "Epiplatys multifasciatus", "Cirsium sect.", "Cirsium balikesirense", "Cirsium nerimaniae", "Cirsium steirolepis", "Epiplatys neumanni", "Cirsium boluense", "Micrixalus adonis", "Campanula alisan-kilincii", "Thelotrema nureliyum", "Cichorium sect.", "Epiplatys olbrechtsi", "Thelotrema parvizebrinum", "Adenanthe bicarpellata", "Adenarake macrocarpa", "Adenarake muriculata", "Benthana carijos", "Asyneuma munzurdaghense", "Lagothrix flavicauda", "Weehalia hakalphila", "Achemia schuelkeiana", "Thelotrema porinaceum", "Pachyornis geranoides", "Euryapteryx gravis", "Cichorium endivia var. endivia", "Micrixalus candidus", "Micrixalus frigidus", "Micrixalus kodayari", "Micrixalus kurichiyari", "Micrixalus mallani", "Micrixalus nelliyampathi", "Micrixalus nigraventris", "Micrixalus niluvasei", "Micrixalus sairandhri", "Micrixalus sali", "Micrixalus specca", "Micrixalus spelunca", "Micrixalus uttaraghati", "Micrixalus herrei", "Tigriopus kingsejongensis", "Tylototriton liuyangensis", "Mekongbathynella kryi", "Mekongbathynella sesanensis", "Leptolalax laui", "Semirostrum ceruttii", "Thelotrema subadjectum", "Berguecythere insularis", "Thelotrema thesaurum", "Thelotrema triseptatum", "Thelotrema lepadodes", "Tricimbomyia brevicarinata", "Aprostocetus alpinus", "Aprostocetus asulcatus", "Aprostocetus sairandhricus", "Neotrichoporoides aicoptaxus", "Neotrichoporoides neoidukkiensis", "Veronica flavida", "Phycolepidozia indica", "Tolpis umbellata", "Tolpis azorica", "Acacia sect.", "Tolpis virgata subsp. quadriaristata", "Tolpis virgata subsp. sexaristata", "Fistulobalanus albicostatus", "Munida watatsumi", "Ackama nubicola", "Tolpis virgata subsp. virgata", "Tolpis virgata subsp. apolloniae", "Tolpis virgata subsp. grandiflora", "Tolpis virgata subsp. gussonei", "Ouratea subamplexicaulis", "Ouratea chaffanjonii", "Ouratea attenuata", "Ouratea engleri", "Ouratea grosourdyi", "Ouratea leblondii", "Ouratea discophora", "Ouratea tatei", "Ouratea guianensis", "Trapeliopsis thermophila", "Thysanothecium sorediatum", "Cichorium intybus subsp. intybus", "Sauvagesia aliciae", "Sauvagesia aliciae subsp. aliciae", "Sauvagesia falcisepala", "Sauvagesia ramosa", "Sauvagesia guianensis", "Amphibalanus amphitrite vladivostokensis", "Thysanothecium hookeri subsp. hookeri", "Thysanothecium hookeri subsp. xanthonicum", "Malo bella", "Keesingia gigas", "Caddo dentipalpus", "Thelotrema lepadodes var. lepadodes", "Thelotrema lepadodes var. endochrysoides", "Philacra auriculata", "Philacra duidae", "Philacra longifolia", "Philacra steyermarkii", "Perissocarpa steyermarkii", "Perissocarpa umbellifera", "Toninia scorigena", "Perissocarpa ondox", "Poecilandra retusa", "Poecilandra pumila", "Topeliopsis laceratula", "Blastemanthus gemmiflorus", "Blastemanthus gemmiflorus subsp. gemmiflorus", "Tinamotaecola andinae", "Tinamotaecola elegans", "Tinamotaecola wardi", "Tinamotaecola zyskowskii", "Galliphilopterus brunneopectus", "Epipicus scapanoides", "Fistulobalanus kondakovi", "Eudromia elegans elegans", "Topeliopsis tasmanica", "Sauvagesia guianensis subsp. guianensis", "Sauvagesia amoena", "Sauvagesia angustifolia", "Sauvagesia roraimensis", "Sauvagesia fruticosa", "Sauvagesia longifolia", "Sauvagesia ramosissima", "Sauvagesia longipes", "Trinathotrema lumbricoides", "Trinathotrema stictideum", "Trinathotrema hierrense", "Sauvagesia erecta subsp. erecta", "Sauvagesia erecta var. erecta", "Sauvagesia deflexifolia", "Sauvagesia nudicaulis", "Sauvagesia elata", "Sauvagesia erioclada", "Dysanabatium longicornis", "Dysanabatium kinabaluensis", "Dysanabatium gracilentum", "Sauvagesia tenella", "Topeliopsis kantvilasii", "Mopsechiniscus franciscae", "Sauvagesia sprengelii", "Aposeris foetida", "Leptogenys ralipra", "Leptogenys sahamalaza", "Leptogenys tatsimo", "Leptogenys toeraniva", "Leptogenys tsingy", "Leptogenys variabilis", "Leptogenys vatovavy", "Leptogenys vitsy", "Leptogenys zohy", "Veronica bishopiana", "Trapeliopsis granulosa var. australis", "Thamnolia vermicularis var. vermicularis", "Thamnolia vermicularis var. subuliformis", "Epiplatys roloffi", "Thelopsis isiaca var. isiaca", "Thelopsis isiaca var. australis", "Amphibalanus amphitrite merklini", "Scorzonera alpigena", "Pertusaria hossei", "Tylothallia verrucosa", "Blastemanthus gemmiflorus subsp. sprucei", "Poecilandra retusa var. sclerophylla", "Poecilandra retusa var. retusa", "Cespedesia spathulata", "Elvasia brevipedicellata", "Trapelia crystallifera", "Elvasia canescens", "Elvasia quinqueloba", "Elvasia elvasioides", "Trapelia lilacea", "Trapelia macrospora", "Ouratea castaneifolia", "Ouratea aquatica", "Ouratea coccinea", "Ouratea ferruginea", "Ouratea grandiflora", "Trapeliopsis congregans", "Ouratea pisiformis", "Ouratea crenata", "Ouratea polyantha", "Ouratea rigida", "Trapeliopsis gyrocarpa", "Ouratea roraimae", "Cichorium endivia var. roborovskyi", "Nacaduba hermus nabo", "Nacaduba hermus sidoma", "Nacaduba hermus tairea", "Ouratea spruceana", "Ouratea superba", "Fistulobalanus patelliformis", "Tetramorium mpala", "Psammoecus nyakabuyensis", "Psammoecus procerus", "Psammoecus sinuaticollis", "Sycophilodes uluberiaensis", "Notocalyptogena neozelandica", "Neivamyrmex diana", "Neivamyrmex digitistipus", "Neivamyrmex diversinodis", "Neivamyrmex dorbignii", "Neivamyrmex ectopus", "Neivamyrmex emersoni", "Neivamyrmex emeryi", "Neivamyrmex enzmanni", "Neivamyrmex erichsonii", "Neivamyrmex falcifer", "Kunzea capitata", "Kunzea ericifolia", "Kunzea flavescens", "Kunzea jucunda", "Kunzea micromera", "Kunzea preissiana", "Fistulobalanus suturaltus", "Varicellaria velata", "Varicellaria microsticta", "Scorzonera sect.", "Epiplatys ruhkopfi", "Ouratea thyrsoidea", "Ouratea arbobrevicalyx", "Ouratea articulata", "Ouratea clarkii", "Ouratea davidsei", "Ouratea fusiformis", "Ouratea guaiquinimensis", "Ouratea guriensis", "Ouratea heterobracteata", "Ouratea lajaensis", "Geigeria alata", "Ouratea liesneri", "Ouratea maguirei", "Ouratea maigualidae", "Ouratea megaphylla", "Ouratea obovata", "Ouratea orisina", "Ouratea paratatei", "Ouratea pseudoguildingii", "Ouratea pulverulenta", "Ouratea rorida", "Ouratea saldariagae", "Ouratea soderstromii", "Ouratea squamata", "Ouratea steyermarkii", "Ouratea yapacana", "Ouratea asisae", "Ouratea brevicalyx", "Ouratea brevipedicellata", "Ouratea croizatii", "Ouratea culminicola", "Ouratea deminuta", "Ouratea duidae", "Ouratea evoluta", "Ouratea huberi", "Ouratea longistyla", "Ouratea marahuacensis", "Ouratea medinae", "Ouratea multibracteata", "Ouratea oligantha", "Ouratea ornata", "Ouratea papillata", "Ouratea paruensis", "Ouratea ptaritepuiensis", "Ouratea ramosissima", "Ouratea rotundipetala", "Ouratea sipapoensis", "Neivamyrmex foveolatus", "Neivamyrmex fumosus", "Neivamyrmex fuscipennis", "Neivamyrmex genalis", "Neivamyrmex gibbatus", "Neivamyrmex goeldii", "Neivamyrmex graciellae", "Neivamyrmex gracilis", "Neivamyrmex gradualis", "Neivamyrmex guerinii", "Neivamyrmex guyanensis", "Neivamyrmex halidaii", "Neivamyrmex hetschkoi", "Neivamyrmex hopei", "Neivamyrmex humilis", "Varicellaria culbersonii", "Varicellaria hemisphaerica", "Nacaduba pactolus cabrorus", "Nacaduba pactolus cela", "Nacaduba pactolus cyaniris", "Certhilauda semitorquata", "Epiplatys sangmelinensis", "Veronica stenophylla", "Callimomoides monochaphagae", "Nacaduba hermus swatipa", "Triclinum cinchonarum", "Triclinum cinchonarum var. cinchonarum", "Nacaduba hermus valvidens", "Nacaduba hermus vicania", "Nacaduba limbura", "Triclinum cinchonarum var. janeirensis", "Ficus curtipes", "Trapeliopsis granulosa var. granulosa", "Epiplatys phoeniceps", "Leptogenys alamando", "Leptogenys alatapia", "Leptogenys ambo", "Leptogenys andritantely", "Leptogenys anjara", "Leptogenys avaratra", "Leptogenys avo", "Leptogenys barimaso", "Leptogenys bezanozano", "Leptogenys borivava", "Leptogenys chrislaini", "Leptogenys comajojo", "Leptogenys diana", "Leptogenys edsoni", "Leptogenys fasika", "Leptogenys fiandry", "Leptogenys fotsivava", "Leptogenys johary", "Leptogenys lavavava", "Leptogenys lohahela", "Leptogenys lucida", "Leptogenys malama", "Leptogenys mangabe", "Leptogenys manja", "Leptogenys manongarivo", "Leptogenys mayotte", "Leptogenys namana", "Leptogenys namoroka", "Leptogenys pilaka", "Leptogenys rabebe", "Leptogenys rabesoni", "Floridobolus orini", "Varicellaria lactea", "Tandanus tropicanus", "Varicellaria philippina", "Alisalia antennalis", "Alisalia bistriata", "Alisalia testacea", "Alisalia brevipennis", "Alisalia delicata", "Alisalia parallela", "Attacus aurantiacus atlantis", "Alisalia brunnea", "Alisalia picea", "Neivamyrmex ndeh", "Cheliomyrmex andicola", "Veronica corriganii", "Veronica diosmifolia", "Veronica macrocarpa", "Veronica obtusata", "Veronica speciosa", "Epiplatys zenkeri", "Chresmoda libanica", "Chresmoda neotropica", "Ouratea xolismifolia", "Ouratea revoluta", "Ouratea laurifolia", "Veronica rapensis", "Veronica stricta", "Heptagoniodes guimaraesi", "Veronica insularis", "Tinamus solitarius pernambucensis", "Veronica adamsii", "Verrucaria aethioboliza", "Pseudorasbora pumila pumila", "Verrucaria australiensis", "Rhodeus atremius atremius", "Verrucaria austroalpina", "Nacaduba mallocollo mallicollo", "Nacaduba mallocollo markira", "Verrucaria bubalina", "Verrucaria buelliicola", "Verrucaria cootapatambensis", "Fistulobalanus citerosum", "Verrucaria corallensis", "Verrucaria durietzii", "Verrucaria howensis", "Verrucaria inconstans", "Nacaduba normani normani", "Verrucaria inquilina", "Nacaduba normani titei", "Verrucaria mawsonii", "Fistulobalanus dentivarians", "Verrucaria meridionalis", "Litarachna lopezae", "Dugesia bifida", "Furciseta hyalipennis", "Tauroscypson guiana", "Tauroscypson andina", "Veronica vendettadeae", "Chionoecetes opilio", "Verrucaria obfuscata", "Verrucaria pluviosilvestris", "Verrucaria puncticulata", "Verrucaria solicola", "Verrucaria subdiscreta", "Verrucaria subtholocarpa", "Verrucaria tasmanica", "Verrucaria tessellatula", "Nacaduba novaehebridensis guizoensis", "Verrucaria tholocarpa", "Verrucaria tuberculiformis", "Verrucaria umbilicata", "Thereuopoda clunifera", "Thereuonema tuberculata", "Verrucaria tessellata", "Sauvagesia imthurniana", "Verrucaria mundula var. mundula", "Sauvagesia rubiginosa", "Sauvagesia linearifolia", "Sauvagesia linearifolia subsp. venezuelensis", "Tyleria apiculata", "Tyleria terrae-humilis", "Nacaduba pactolus hainani", "Nacaduba pactolus pactolus", "Nacaduba pactolus macropthalma", "Nacaduba pactolus waigeuensis", "Nacaduba pactolus raluana", "Nacaduba pavana azureus", "Varicellaria kasandjeffii", "Nacaduba pavana pavana", "Fistulobalanus shilohensis", "Sauvagesia erecta subsp. brownei", "Fistulobalanus klemmi", "Nacaduba pavana georgi", "Nacaduba pavana singapura", "Nacaduba pavana vajuva", "Nacaduba pendleburyi pendleburyi", "Nacaduba pendleburyi latemarginata", "Nacaduba pendleburyi penangensis", "Bipinnula gabriel", "Silene krantzii", "Macroscelides flavicaudatus", "Troglobius ferroicus", "Carcharhinus humani", "Cebrennus atlas", "Cebrennus flagellatus", "Cebrennus laurae", "Cebrennus rechenbergi", "Varicellaria kemensis", "Eurycea subfluvicola", "Teratosphaeria pseudonubilosa", "Thermoflavifilum aggregans", "Ouratea nitida", "Neivamyrmex iheringi", "Neivamyrmex imbellis", "Neivamyrmex impudens", "Neivamyrmex inca", "Neivamyrmex inflatus", "Neivamyrmex iridescens", "Neivamyrmex jerrmanni", "Neivamyrmex kiowapache", "Neivamyrmex klugii", "Usnea arida var. arida", "Neivamyrmex wilsoni", "Neivamyrmex laevigatus", "Neivamyrmex kuertii", "Neivamyrmex latiscapus", "Neivamyrmex legionis", "Usnea arida var. muscicola", "Ouratea elegans", "Ouratea litoralis", "Ouratea jamaicensis", "Erysimum arenicola", "Psorophorus fuegiensis", "Nacaduba subperusia paska", "Valencia hispanica", "Ouratea salicifolia", "Nacaduba subperusia martha", "Nacaduba subperusia uniformis", "Nacaduba subperusia subperusia", "Nacaduba subperusia nadia", "Nacaduba subperusia lysa", "Valencia letourneuxi", "Bathyraja schroederi", "Anteros formosus", "Balanus crenatus", "Balanus crenatus crenatus", "Pucciniastrum myosotidii", "Profundulus candalarius", "Gintarasia lordhowensis", "Neivamyrmex texanus", "Gintarasia megalophthalma", "Phedimus ellacombeanus", "Phedimus floriferus", "Xylographa isidiosa", "Neivamyrmex modestus", "Neivamyrmex mojave", "Neivamyrmex moseri", "Phedimus subg.", "Xanthopsoroma contextum", "Neivamyrmex nigrescens", "Neivamyrmex nordenskioldii", "Xanthopsoroma soccatum", "Sauvagesia capillaris", "Phedimus middendorfianus", "Sauvagesia racemosa", "Sauvagesia vellozoi", "Erimacrus isenbeckii", "Ctenobelba bugiamapensis", "Ctenobelba ayyildizi", "Ctenobelba apatomorpha", "Ctenobelba brevipilosa", "Myrmecia nigrocincta", "Myrmecia picta", "Myrmecia pilosula", "Myrmecia piliventris", "Myrmecia tarsata", "Myrmecia rufinodis", "Lucania goodei", "Calanthe triplicata", "Neivamyrmex leonardi", "Neivamyrmex leptognathus", "Neivamyrmex lieselae", "Neivamyrmex longiscapus", "Neivamyrmex macrodentatus", "Neivamyrmex mandibularis", "Neivamyrmex manni", "Neivamyrmex maroccanus", "Neivamyrmex maxillosus", "Neivamyrmex megathrix", "Neivamyrmex melanocephalus", "Neivamyrmex melshaemeri", "Neivamyrmex micans", "Neivamyrmex microps", "Neivamyrmex minensis", "Neivamyrmex minor", "Fistulobalanus abeli", "Epiplatys singa", "Epiplatys spilargyreius", "Xalocoa ocellata", "Ouratea striata", "Ouratea ilicifolia", "Ouratea schizostyla", "Nacaduba sanaya sanaya", "Nacaduba sanaya elioti", "Ouratea elliptica", "Nacaduba sanaya metallica", "Nacaduba sanaya naevia", "Nacaduba sericina thaumas", "Callopanchax monroviae", "Gintarasia lamellifera", "Callopanchax occidentalis", "Callopanchax toddi", "Agastache sect.", "Nacaduba sanaya bicolana", "Amphibalanus amphitrite helenae", "Cyrtonota maxhowardi", "Cyrtonota carpishensis", "Balanus calidus nonstriatus", "Saxifraga cespitosa", "Agastache ser.", "Agastache ser.", "Agastache ser.", "Balanus laevis nitidus", "Tyleria aristata", "Tyleria pendula", "Tyleria spectabilis", "Tyleria tremuloidea", "Tyleria silvana", "Tyleria phelpsiana", "Tyleria breweriana", "Tyleria floribunda", "Tyleria grandiflora", "Tyleria linearis", "Tyleria spathulata", "Wallacea multiflora", "Wallacea insignis", "Nacaduba novaehebridensis vulcana", "Scorzonera sect.", "Verrucaria mundula var. deminuta", "Nacaduba novaehebridensis medius", "Nacaduba pactolus ceylonica", "Nacaduba pactolus continentalis", "Nacaduba pactolus andamanica", "Nacaduba pactolus lycoreia", "Nacaduba pactolus neaira", "Nacaduba pactolus antalcidas", "Nacaduba pactolus pactolides", "Nacaduba pactolus bilikii", "Nacaduba pactolus georgia", "Ctenomys erikacuellarae", "Ctenomys lessai", "Ctenomys yatesi", "Ctenomys andersoni", "Fistulobalanus pallidus", "Profundulus hildebrandi", "Rugotruncana circumnodifer", "Neivamyrmex nyensis", "Neivamyrmex swainsonii", "Balanus crenatus curviscutum", "Balanus crenatus delicatus", "Epimeria emma", "Epimeria sophie", "Myrmecotypus jasmineae", "Nevillina elongata", "Technomyrmex albicoxis", "Tapinoma aberrans", "Ruppia polycarpa", "Polistes fuscatus", "Microctenonyx subitaneus", "Cheliomyrmex morosus", "Cheliomyrmex megalonyx", "Cheliomyrmex audax", "Profundulus labialis", "Oxalis montana", "Arthopyrenia platypyrenia", "Gymnonereis tenera", "Sarandibrinus araceliae", "Asperococcus ensiformis", "Profundulus oaxacae", "Profundulus punctatus", "Phedimus stevenianus", "Phedimus stoloniferus", "Sedum sect.", "Sedum sect.", "Lucania interioris", "Balanus laevis fossilis", "Hackelia ibapensis", "Sedum ser.", "Neivamyrmex opacithorax", "Acarospora admissa", "Neivamyrmex orthonotus", "Neivamyrmex pacificus", "Neivamyrmex pauxillus", "Neivamyrmex perplexus", "Neivamyrmex pertii", "Neivamyrmex physognathus", "Acarospora anomala", "Acarospora durietzii", "Rhombodera valida", "Balanus laevis", "Agonimia repleta", "Balanus laevis coquimbensis", "Spathius chamelae", "Spathius mexicanus", "Xysticus bimaculatus", "Parorthomus socotranus", "Prosotas dubiosa livida", "Anaptychia ciliaris subsp. ciliaris", "Neotrombicula talmiensis", "Storchia hakkariensis", "Balanus laevis laevis", "Attheyella lewisae", "Melambia rishwani", "Centorus aschnae", "Prenolepis fisheri", "Marsupenaeus japonicus", "Anaptychia ciliaris subsp. mamillata", "Neivamyrmex pilosus", "Neivamyrmex piraticus", "Neivamyrmex planidens", "Neivamyrmex planidorsus", "Neivamyrmex postangustatus", "Neivamyrmex postcarinatus", "Neivamyrmex pseudops", "Neivamyrmex puerulus", "Neivamyrmex pulchellus", "Neivamyrmex pullus", "Neivamyrmex punctaticeps", "Neivamyrmex quadratoocciputus", "Neivamyrmex radoszkowskii", "Neivamyrmex raptor", "Neivamyrmex romandii", "Anisomeridium viridescens", "Neivamyrmex rosenbergi", "Neivamyrmex rugulosus", "Neivamyrmex scutellaris", "Neivamyrmex spatulatus", "Neivamyrmex tenuis", "Neivamyrmex vicinus", "Neivamyrmex walkerii", "Neivamyrmex shuckardi", "Neivamyrmex spoliator", "Neivamyrmex sulcatus", "Neivamyrmex sumichrasti", "Neivamyrmex tristis", "Thyreus shebicus", "Trichostetha curlei", "Sedum sect.", "Hydroporus rifensis", "Ctenobelba csiszarae", "Ctenobelba eremuloides", "Ctenobelba bicostata", "Ctenobelba hellenica", "Yoshiobodes aokii", "Yoshiobodes arcuatus", "Uromycladium falcatarium", "Chinamiris testaceus", "Bacidia chloroticula", "Lyrarapax unguispinus", "Bulbophyllum oblongum", "Lucania parva", "Manota belalongensis", "Manota kaspraki", "Manota macrothrix", "Manota megachaeta", "Manota pileata", "Manota ricina", "Chiasmocleis quilombola", "Iporhogas albilateralis", "Iporhogas contrastus", "Iporhogas simulatus", "Iporhogas tricoloratus", "Ramaria admiratia", "Ramaria calvodistalis", "Sedum lanceolatum subsp. lanceolatum", "Dilobocondyla eguchii", "Dilobocondyla gaoyureni", "Dilobocondyla gasteroreticulatus", "Dilobocondyla propotriangulatus", "Dilobocondyla yamanei", "Dilobocondyla silviae", "Dilobocondyla carinata", "Dilobocondyla oswini", "Dilobocondyla rugosa", "Neoparaphytoseius charapa", "Pseudocalotes cybelidermus", "Pseudocalotes guttalineatus", "Pseudocalotes rhammanotus", "Crassula scabra", "Apotomocepheus gressitti", "Archegocepheus imadatei", "Archegocepheus macrofoliatus", "Terminalichus karachiensis", "Terminalichus dehlonensis", "Terminalichus delhiensis", "Terminalichus panajiensis", "Terminalichus psidi", "Terminalichus serratus", "Paratylenchus laocaiensis", "Paratylenchus paraperaticus", "Paratylenchus shenzhenensis", "Paratylenchus canchicus", "Paratylenchus conicephalus", "Paratylenchus guajavai", "Paratylenchus thysanolus", "Paratylenchus discocephalus", "Paratylenchus epicotylus", "Paratylenchus holdemani", "Paratylenchus humilis", "Paratylenchus italiensis", "Paratylenchus alleni", "Opuntia basilaris var. treleasei", "Opuntia basilaris var. brachyclada", "Opuntia basilaris var. longiareolata", "Hibiscadelphus stellatus", "Melicope balgooyi", "Notodromas sinensis", "Podostictina cliffordiana", "Paraqianlabeo lineatus", "Phytophthora acerina", "Acanthaster brevispinus", "Ouratea vaccinioides", "Ouratea sellowii", "Ouratea spectabilis", "Podostictina ardesiaca", "Ouratea parviflora", "Podostictina berberina", "Podostictina compar", "Campylospermum plicatum", "Campylospermum longestipulatum", "Campylospermum lunzuense", "Campylospermum lutambense", "Erysimum sect.", "Eucalyptus ghughuensis", "Matthiola sect.", "Eucalyptus subg.", "Podostictina degelii", "Podostictina flavicans", "Ouratea claudei", "Podostictina pickeringii", "Neoparaphytoseius sooretamus", "Cumbre haywardi", "Cumbre lamasi", "Cumbre cumbre", "Cumbre meridionalis", "Bathyphantes paracymbialis", "Nematogmus asiaticus", "Theoa hamata", "Theoa tricaudata", "Laogone cephala", "Asiagone perforata", "Asiagone signifera", "Erysimum sect.", "Anableps dowei", "Anableps microlepis", "Jenynsia lineata", "Jenynsia alternimaculata", "Paratylenchus baldaccii", "Paratylenchus breviculus", "Paratylenchus ciccaronei", "Paratylenchus colbrani", "Paratylenchus goldeni", "Paratylenchus leiodermis", "Paratylenchus lepidus", "Paratylenchus leptos", "Paratylenchus longicaudatus", "Paratylenchus mexicanus", "Paratylenchus mimulus", "Paratylenchus obtusicaudatus", "Paratylenchus perlatus", "Paratylenchus salubris", "Paratylenchus serricaudatus", "Paratylenchus labiosus", "Rhynchotalona longisteta", "Rhynchotalona weiri", "Rhynchotalona falcata", "Rhynchotalona kistarae", "Ionolyce brunnescens brunnescens", "Ionolyce brunnescens cristobalus", "Pseudocalotes khaonanensis", "Pseudocalotes dringi", "Pseudocalotes saravacensis", "Pseudocalotes floweri", "Ionolyce lachlani", "Romulea subg.", "Romulea subg.", "Erysichton lineata biskira", "Erysichton lineata imperialis", "Campylospermum auriculatum", "Campylospermum glaucifolium", "Campylospermum occidentale", "Campylospermum gabonense", "Campylospermum gabonense subsp. australe", "Campylospermum gabonense subsp. gabonense", "Campylospermum andongense", "Campylospermum nutans", "Abia sericea", "Coenogonium coronatum", "Umbilicaria nodulospora", "Campylospermum costatum", "Campylospermum glomeratum", "Bulbophyllum umbellatum var. umbellatum", "Bulbophyllum umbellatum var. fuscescens", "Erysimum subg.", "Lysimachia quadriflora", "Froesia gereauana", "Balanus parkeri", "Lacunaria oppositifolia", "Lacunaria crenata", "Lacunaria macrostachya", "Balanus poecilus", "Lacunaria grandifolia", "Lacunaria sampaioi", "Jameela palmyra hauta", "Lacunaria umbonata", "Touroulia amazonica", "Scolopendra cingulata", "Jenynsia diphyes", "Stegommata leptomitella", "Banksia recurvistylis", "Pseudocyphellaria biliana", "Pseudocyphellaria confusa", "Pseudocyphellaria gallowayana", "Pseudocyphellaria hawaiiensis", "Pseudocyphellaria horridula", "Kermadecia merytifolia", "Knightia oblonga", "Tychius schneideri", "Colletes bidentulus", "Colletes maidli", "Colletes morawitzi", "Colletes brunneitarsis", "Colletes comatus", "Colletes fraterculus", "Colletes pollinarius", "Colletes rubripes", "Colletes skorikowi", "Colletes wollmanni", "Colletes dubitatus", "Colletes uralensis", "Colletes alicularis", "Colletes emaceatus", "Colletes pallipes", "Colletes plumulosus", "Colletes popovi", "Colletes gussakowskii", "Colletes inexpectatus", "Colletes subnitens", "Colletes reinigi", "Colletes integer", "Colletes radoszkowskii", "Colletes conradti", "Pseudocyphellaria longiloba", "Colletes transitus", "Colletes askhabadoides", "Colletes muellermotzfeldi", "Pseudocyphellaria macroisidiata", "Colletes pesenkoi", "Colletes mirabilis", "Colletes comatoides", "Pseudocyphellaria philipiana", "Pseudocyphellaria pomaikaiana", "Pseudocyphellaria xanthosticta", "Quiina macrophylla", "Quiina obovata", "Quiina rhytidopus", "Quiina attenuata", "Quiina yatuensis", "Quiina indigofera", "Quiina cruegeriana", "Quiina oiapocensis", "Quiina wurdackii", "Quiina pteridophylla", "Quiina guianensis", "Quiina tinifolia", "Quiina longifolia", "Melanoplus cedarense", "Matthiola incana subsp. incana", "Melanoplus tendoyense", "Melanoplus adapi", "Melanoplus atangi", "Melanoplus betangi", "Melanoplus boulderensis", "Melanoplus culebra", "Melanoplus cumbres", "Melanoplus delano", "Melanoplus douglasi", "Melanoplus flechado", "Melanoplus glymma", "Melanoplus gothicus", "Melanoplus hatu", "Melanoplus nufioi", "Melanoplus ourayensis", "Melanoplus pahgre", "Melanoplus wai", "Melanoplus apache", "Melanoplus carinae", "Melanoplus empusa", "Melanoplus janus", "Melanoplus mogollona", "Melanoplus prescotti", "Melanoplus withingtoni", "Melanoplus adox", "Melanoplus arcanus", "Melanoplus aster", "Melanoplus rosor", "Melanoplus zabro", "Melanoplus knowlesi", "Melanoplus andreasi", "Melanoplus francisdrakei", "Melanoplus jakei", "Melanoplus jenniferae", "Melanoplus jessicae", "Characodon garmani", "Jenynsia eigenmanni", "Campylospermum warneckei", "Bacidia brandii", "Campylospermum louisii", "Syzygium sahyadricum", "Campylospermum paucinervatum", "Octarrhena parvula", "Acrocercops chionosema", "Jenynsia eirmostigma", "Luteocirrhus shearii", "Wiebesia pumilae", "Streblus smithii", "Iberis linifolia subsp. dunalii", "Cyrtidula amphilomatis", "Ouratea hexasperma", "Ouratea polygyna", "Ouratea decagyna", "Catopysops keiria keiria", "Iberis ciliata", "Dryophthorus alluaudi", "Matthiola sect.", "Matthiola sect.", "Cresporhaphis acerina", "Cresporhaphis macrospora", "Cresporhaphis muelleri", "Cresporhaphis pinicola", "Sauvagesia ericoides", "Sauvagesia alpestris", "Sauvagesia nitida", "Sauvagesia elegantissima", "Fistulobalanus amaraquaticus", "Bacidia caligans", "Chironomus salinarius", "Hakea pendens", "Hakea oligoneura", "Hakea chromatropa", "Grevillea saxicola", "Oukuriella pesae", "Oukuriella antonioi", "Oukuriella gracilis", "Oukuriella intermedia", "Oukuriella reissi", "Oukuriella jatai", "Oukuriella sublettei", "Oukuriella baiana", "Oukuriella digita", "Oukuriella matogrossensis", "Oukuriella minima", "Oukuriella pinhoi", "Oukuriella rimamplusa", "Corymbia ficifolia", "Stenocarpus davallioides", "Pluchea macdonnellensis", "Olearia curticoma", "Stenocarpus verticis", "Stenocarpus cryptocarpus", "Stenocarpus acacioides", "Stenocarpus angustifolius", "Ptenidium beckeri", "Ptenidium ceylonicum", "Ptenidium cognatum", "Ptenidium medleri", "Ptenidium nepalense", "Ptenidium sikkimense", "Ptenidium steeli", "Gymnotus capitimaculatus", "Cresporhaphis ulmi", "Malcolmia flexuosa", "Iberis sect.", "Iberis sect.", "Lithonecrus papuanus", "Pethia longicauda", "Iberis subsect.", "Aprostocetus felix", "Aprostocetus causalis", "Iberis subsect.", "Orthosiphon cinereus", "Electrotettix attenboroughi", "Hetereleotris dorsovittata", "Episinus jimmyi", "Balanus flosculoidus", "Laena alticola", "Laena angulifemoralis", "Laena angkhangensis", "Laena yasuakii", "Laena yufengsi", "Laena jizushana", "Laena youcida", "Laena xuerenensis", "Laena tumidoculata", "Laena emeishana", "Laena shaanxiica", "Laena imurai", "Laena fengileana", "Laena tamdaoensis", "Laena fangensis", "Penthicodes astraea", "Penthicodes quadrimaculatus", "Penthicodes nicobaricus", "Notodromas serrata", "Bradysia nicolae", "Matthiola incana subsp. melitensis", "Matthiola incana subsp. rupestris", "Stenocarpus reticulatus", "Bacidia carneoglauca", "Salicornia obclavata", "Bacidia fuscoviridis", "Balanus darwini", "Bacidia saxenii", "Scuticaria bahiensis", "Scuticaria irwiniana", "Scuticaria itirapinensis", "Scuticaria novaesii", "Scuticaria kautskyi", "Bacidia subfuscula", "Scuticaria peruviana", "Scuticaria salesiana", "Scuticaria strictifolia", "Idertia axillaris", "Bacidia viridescens", "Buellia violaceofusca", "Jenynsia multidentata", "Sauvagesia glandulosa", "Jenynsia onca", "Milnesium berladnicorum", "Dictyotenguna angusta", "Ficus carvajalii", "Eugenia teresa-ruiziana", "Sia ferox", "Notodromas trulla", "Dryophthorus americanus", "Dryophthorus armaticollis", "Dryophthorus assimilis", "Dryophthorus atomus", "Luxemburgia furnensis", "Luxemburgia leitonii", "Luxemburgia mogolensis", "Ouratea bipartita", "Ouratea gillyana", "Ouratea cernuiflora", "Dryophthorus bagoides", "Ouratea cerebroidea", "Dryophthorus bituberculatus", "Ouratea cardiosperma", "Ochna mauritiana", "Bradysia excelsa", "Bradysia arcana", "Balanus spongicola", "Balanus spongicola spongicola", "Palaeeudyptes klekowskii", "Cyrtodactylus vilaphongi", "Zeuxidiplosis giardi", "Amanita abrupta", "Caladenia caesarea", "Caladenia caesarea subsp. caesarea", "Caladenia caesarea subsp. maritima", "Caladenia caesarea subsp. transiens", "Ouratea crassa", "Iberis ciliata subsp. ciliata", "Cyrtidula crataegina", "Iberis ciliata subsp. contracta", "Centrolepis fascicularis", "Cephalobellus orientalis", "Tanna infuscata", "Melanoplus jillae", "Melanoplus lapollai", "Melanoplus laurelae", "Melanoplus mcnaryi", "Melanoplus napa", "Melanoplus spearmani", "Melanoplus aix", "Melanoplus alector", "Melanoplus baldi", "Melanoplus eccentricus", "Melanoplus elkhornense", "Melanoplus illash", "Melanoplus ixalus", "Melanoplus latah", "Melanoplus lemurus", "Melanoplus lolo", "Melanoplus molothrus", "Melanoplus obex", "Melanoplus ohadi", "Melanoplus oregonis", "Melanoplus papoosense", "Melanoplus phobetico", "Melanoplus pyro", "Melanoplus shoshoni", "Melanoplus sol", "Melanoplus stipes", "Melanoplus tincupense", "Melanoplus trinitense", "Melanoplus xenus", "Melanoplus zeus", "Melanoplus carrabellae", "Melanoplus peatus", "Melanoplus zento", "Melanoplus bonita", "Melanoplus kissimmee", "Melanoplus mantua", "Melanoplus perezi", "Melanoplus uinta", "Melanoplus childsi", "Melanoplus sebringi", "Melanoplus hilliardi", "Melanoplus imtenda", "Melanoplus imto", "Melanoplus kendalli", "Melanoplus sutanex", "Bacidia adastra", "Liodoryctes atriceps", "Laena mulica", "Hypolaenopsis nanpingica", "Hypolaenopsis nomurai", "Laena nyingchica", "Laena paomaica", "Laena puetzi", "Laena qinlingica", "Laena safraneki", "Laena schuelkei", "Laena shaluica", "Laena smetanai", "Laena tryznai", "Laena tuntalica", "Laena turnai", "Laena wolongica", "Laena wrasei", "Laena yajiangica", "Laena yulongica", "Laena zogqenica", "Laena zongdianica", "Bacidia sipmanii", "Buellia hyperbolica", "Oenothera harringtonii", "Candelariella medians f. medians", "Sauvagesia insignis", "Candelariella medians f. steepholmensis", "Lathrothele mitonae", "Kempfidea abyssicola", "Balanus chisletianus", "Iberis aurosica", "Iberis aurosica subsp. aurosica", "Iberis aurosica subsp. nana", "Iberis pectinata", "Iberis bernardiana", "Iberis peyerimhoffii", "Colletes pseudomirabilis", "Iberis linifolia subsp. linifolia", "Alloteratura quaternispina", "Jenynsia tucumana", "Balanus borsodensis", "Cyrtidula pityophila", "Ouratea guildingii", "Cyrtidula populnella", "Dryophthorus verticalis", "Ouratea isophylla", "Iberis carnosa subsp. carnosa", "Iberis carnosa subsp. embergeri", "Ouratea acicularis", "Iberis carnosa subsp. granatensis", "Ouratea cauliflora", "Acizzia exculta", "Oreolyce quadriplaga", "Dryophthorus boettcheri", "Cyrtidula occulta", "Iberis linifolia subsp. boppardensis", "Ouratea mexicana", "Iberis carnosa", "Sobralia rosea", "Phaeocyrtidula pinea", "Rhodanthe chlorocephala subsp. rosea", "Periphyllus testudinaceus", "Periphyllus californiensis", "Corymbia citriodora", "Corymbia maculata", "Laena benderaica", "Laena jeraica", "Laena kelantanica", "Laena penangica", "Laena tanahratica", "Laena ellenae", "Laena brancuccii", "Laena geiseri", "Laena kresli", "Laena pacholatkoi", "Laena quadrata", "Laena motogana", "Laena chiloriluxa", "Laena dentata", "Laena liangi", "Laena dentatocrassa", "Laena baishuica", "Laena becvari", "Hypolaenopsis benesi", "Laena bowaica", "Laena brendelli", "Laena businskyorum", "Laena cholanica", "Laena daxueica", "Laena deqenica", "Laena diancangica", "Laena dickorei", "Laena ganzica", "Laena gyamdaica", "Laena habashanica", "Laena haigouica", "Laena heinzi", "Laena hengduanica", "Hypolaenopsis hongyuanica", "Laena houzhenzica", "Hypolaenopsis hualongica", "Laena hubeica", "Laena kangdingica", "Laena kubani", "Laena langmusica", "Laena ludingica", "Laena luguica", "Laena luhuoica", "Stictea macropetana", "Ptenidium insulare", "Ptenidium matthewsi", "Ptenidium nitidum", "Cresporhaphis wienkampii", "Cresporhaphis rhoina", "Ptenidium benicki", "Laena alesi", "Laena baiorum", "Laena baoshanica", "Laena basumtsoica", "Laena bohrni", "Laena cooteri", "Laena dabashanica", "Laena davidi", "Laena farkaci", "Laena fouquei", "Laena gaoligongica", "Cresporhaphis chibaensis", "Sauvagesia ribeiroi", "Sauvagesia oliveirae", "Laena guangxica", "Laena gyalthangica", "Laena guizhouica", "Laena hlavaci", "Laena janatai", "Laena jiangxica", "Laena jinpingica", "Laena kalabi", "Laena lisuorum", "Laena maowenica", "Laena michaeli", "Laena moxica", "Laena naxiorum", "Laena nujiangica", "Laena quinquagesima", "Laena sehnali", "Laena septuagesima", "Laena xueshanica", "Neopithecops sumbanus orientalis", "Pecteilis radiata", "Dimorphocarpa candicans", "Bornmuellera cappadocica", "Iberis nazarita", "Parthenothrips dracaenae", "Acizzia albizzicola", "Acizzia bona", "Acizzia bicolorata", "Acizzia bicavata", "Acizzia beieri", "Ouratea macrocarpa", "Acizzia cajanae", "Acizzia chebalingana", "Acizzia complana", "Acizzia dalbergicola", "Acizzia dalbergiae", "Acizzia dealbotae", "Acizzia didyma", "Acizzia ehretioides", "Acizzia ensifolia", "Acizzia halperini", "Acizzia hirsuticauda", "Acizzia melanocephala", "Acizzia virgata", "Ouratea francineae", "Acizzia wittmeri", "Iberis carnosa subsp. hegelmaieri", "Acizzia unioniseta", "Acizzia sasakii", "Acizzia hollisi", "Acizzia huangi", "Acizzia immaculata", "Acizzia indica", "Acizzia kalkorae", "Acizzia karrooensis", "Acizzia lemurica", "Acizzia marginata", "Ouratea maasiorum", "Acizzia obscura", "Acizzia russellae", "Neoacizzia damingana", "Acizzia spinosa", "Elvasia tricarpellata", "Ouratea platicaulis", "Ouratea bahiensis", "Cyrtidula ferax", "Ouratea margaretae", "Balanus gizellae", "Ouratea longipes", "Cyrtidula fuscorubella", "Cyrtidula grammatodes", "Balanus curvirostratus", "Adenanthe ciliata", "Acizzia hughesae", "Acizzia mccarthyi", "Trioza barrettae", "Balanus tuboperforatus", "Balanus imitator", "Cyrtidula hippocastani", "Laomenes albonigrus", "Ektaphelenchoides fuchsi", "Athanopsis tarahomii", "Pseudonannolene caatinga", "Pseudonannolene erikae", "Pseudonannolene fontanettiae", "Pseudonannolene leopoldoi", "Pseudonannolene longissima", "Pseudonannolene marconii", "Pseudonannolene robsoni", "Pseudonannolene rosineii", "Pseudonannolene taboa", "Pseudonannolene xavieri", "Adelophryne glandulata", "Azaleothrips apoensis", "Iberis linifolia subsp. contejeanii", "Iberis linifolia subsp. violletii", "Iberis linifolia subsp. stricta", "Jenynsia sanctaecatarinae", "Laena yuzhuensis", "Laena daliensis", "Iberis linifolia subsp. intermedia", "Laena chitralica", "Laena galyatica", "Laena hazaraca", "Laena kaghanica", "Laena ladakhica", "Laena lawaraica", "Laena miandamica", "Laena rupalica", "Laena swatica", "Laena yusmargica", "Laena carolinae", "Iberis timeroyi", "Cyrtidula minor", "Cyrtidula quercus", "Oreolyce nearcha", "Oligota barbarica", "Corymbia calophylla", "Corymbia eximia", "Corymbia papuana", "Aphodius petri", "Pseudaulacaspis pentagona", "Encarsia berlesei", "Pseudaulacaspis zhenyuanensis", "Wigginsia werdermanniana", "Wigginsia nothohorstii", "Pseudaulacaspis pyrrosiae", "Pseudaulacaspis ernesti", "Azaleothrips atayal", "Azaleothrips bali", "Azaleothrips bifidius", "Azaleothrips bulelengi", "Azaleothrips dentatus", "Azaleothrips dorsalis", "Azaleothrips flavicollis", "Azaleothrips formosae", "Azaleothrips floresi", "Azaleothrips inflavus", "Azaleothrips laocai", "Azaleothrips luzonensis", "Azaleothrips malaya", "Azaleothrips mindanaoensis", "Azaleothrips philippinensis", "Azaleothrips phuketanus", "Azaleothrips pulcher", "Azaleothrips reticulatus", "Azaleothrips richardi", "Azaleothrips simulans", "Azaleothrips sulawesicus", "Azaleothrips taiwanus", "Azaleothrips templeri", "Azaleothrips toshifumii", "Azaleothrips vietnamensis", "Laena mirabilis", "Laena schusteri", "Laena tabanai", "Laena watanabei", "Iberis atlantica", "Iberis balansae", "Cyrtidula idaeica", "Cyrtidula larigna", "Iberis fontqueri", "Iberis pinnata", "Tanna yanni", "Tanna pseudocalis", "Tanna auripennis", "Tanna bakeri", "Tanna harpesi", "Tanna herzbergi", "Tanna ventriroseus", "Tanna pallida", "Tanna minor", "Tanna ornata", "Tanna obliqua", "Laena gigantea", "Laena leonhardi", "Laena rugosa", "Laena formaneki", "Laena tibetana", "Laena breiti", "Laena spaethi", "Laena holdhausi", "Laena barypithoides", "Cyrtidula elachistoterum", "Iberis ciliata subsp. welwitschii", "Iberis \u00d7 bretonii", "Elvasia calophyllea", "Elvasia essequibensis", "Cytheropteron paramassoni", "Luxemburgia mysteriosa", "Sauvagesia laciniata", "Sauvagesia semicylindrifolia", "Luxemburgia ciliatibracteata", "Luxemburgia hatschbachiana", "Luxemburgia flexuosa", "Iberis spathulata", "Jenynsia obscura", "Cyrtidula limbata", "Elvasia bisepala", "Balanus indicus", "Cyrtidula macrotheca", "Elvasia gigantifolia", "Elvasia kollmannii", "Elvasia capixaba", "Balanus tumorifer", "Cyrtidula macularis", "Luxemburgia macedoi", "Ouratea semiserrata", "Cyrtidula major", "Ouratea schomburgkii", "Ouratea ramiflora", "Cyrtidula microspora", "Ouratea pyramidalis", "Oreolyce boulti", "Oreolyce dohertyi", "Graneledone boreopacifica", "Jenynsia unitaenia", "Jenynsia weitzmani", "Laena clypealis", "Laena convexicollis", "Laena corallipes", "Laena cribrella", "Cyrtidula rhoica", "Laena dumialensis", "Laena edmundi", "Iberis carnosa subsp. senneniana", "Sousa sahulensis", "Iberis grosmiquelii", "Iberis carnosa subsp. lereschiana", "Iberis carnosa subsp. rhomarensis", "Laena himalayana", "Laena apfelbecki", "Iberis libanotica", "Laena sulcata", "Iberis violacea", "Laena nitida", "Neopithecops iolanthe iolanthe", "Neopithecops iolanthe boholicus", "Phaeocyrtidula rhypontoides", "Dryophthorus zuluanus", "Balanus kanakoffi", "Dryophthorus tricuspis", "Catopysops keiria makira", "Catopysops keiria reducta", "Ouratea subscandens", "Laena bifoveolata", "Laena chinensis", "Laena cylindrica", "Laena denticollis", "Laena cameroni", "Laena similis", "Laena transversicollis", "Laena carinata", "Laena tibialis", "Laena parallelocollis", "Laena ovipennis", "Laena championi", "Laena hingstoni", "Laena orbicollis", "Laena almorensis", "Laena punctatissima", "Laena laevipennis", "Laena bicolor", "Laena gracilis", "Laena blairi", "Laena laevigata", "Laena tonkinensis", "Laena aenea", "Laena planipennis", "Laena punctiventris", "Laena longipilis", "Balanus spongicola pliocenicus", "Balanus connelli", "Serrasalmus spilopleura", "Adelphocoris seticornis", "Ouratea candollei", "Limnanthes sect.", "Limnanthes sect.", "Ouratea gonzalezii", "Ouratea pintoi", "Ouratea chiribiquetensis", "Paralecanographa grumulosa", "Oligota oviformis", "Balanus newburnensis", "Oligota setigera", "Oligota punctum", "Oligota ferruginea", "Oligota inconspicua", "Oligota wendyi", "Oligota fungicola", "Oligota grandis", "Oligota transversalis", "Oligota excavata", "Oligota watti", "Oligota besucheti", "Oligota nepalensis", "Neopithecops zalmora zalmora", "Oligota loebliella", "Oligota pusilla", "Oligota pusillima", "Cyrtidula stenospora", "Cyrtidula stigmaea", "Ouratea jansen-jacobsiae", "Ouratea superimpressa", "Ouratea takutuensis", "Ouratea sipaliwiniensis", "Ouratea miniguianensis", "Ouratea retrorsa", "Cyrtidula stigmatophora", "Balanus hohmanni", "Ouratea pseudogigantophylla", "Ouratea candelabra", "Ouratea darienensis", "Ouratea jefensis", "Dryophthorus trichocerus", "Ouratea knappiae", "Ouratea osaensis", "Ouratea rinconensis", "Ouratea stenobasis", "Ouratea sulcatinervia", "Ouratea tristis", "Dryophthorus subtruncatus", "Ouratea prominens", "Balanus irregularis", "Ouratea flexipedicellata", "Cyrtidula subcembrina", "Neopithecops lucifer heria", "Neopithecops lucifer lucifer", "Neopithecops lucifer parumbretta", "Neopithecops sumbanus sumbanus", "Leptorhaphis maggiana", "Gymnocalycium mesopotamicum", "Gymnocalycium quehlianum", "Elleanthus aurantiacus", "Cyrtidula subpallida", "Cyrtidula tremulicola", "Laena gebieni", "Laena jalaorana", "Laena kuluana", "Laena dentipennis", "Laena rubripes", "Laena nigritissima", "Laena pakistanica", "Laena simillima", "Diplotomma hedinii", "Diplotomma pharcidium", "Ekimia bornmuelleri", "Stenommatus excavatus", "Ouratea kananariensis", "Ouratea tumacoensis", "Neopithecops umbretta umbretta", "Neopithecops umbretta dorothea", "Neopithecops umbretta obianus", "Neopithecops umbretta tituria", "Ouratea pastazana", "Ouratea paraguayensis", "Ouratea paraguayensis f. boliviensis", "Ouratea paraguayensis f. paraguayensis", "Stenommatus rugulosus", "Stenommatus viettei", "Dryophthorus auriculatus", "Dryophthorus explanipennis", "Ouratea wallnoeferiana", "Ouratea scottii", "Ouratea scottii subsp. occidentalis", "Ouratea scottii subsp. scottii", "Ouratea erecta", "Arthrocereus subg.", "Arthrocereus subg.", "Arthrocereus glaziovii", "Bairdoppilata platycoa", "Arthrocereus rondonianus", "Juncus imbricatus", "Rhabdophyllum calophyllum", "Gymnocalycium bayrianum", "Rhabdophyllum thonneri", "Gymnocalycium spegazzinii", "Gymnocalycium cardenasianum", "Rhabdophyllum welwitschii", "Laena chileyla", "Laena cuccodoroi", "Laena fikaceki", "Laena holzschuhi", "Laena tawang", "Laena tenga", "Laena thimphuica", "Laena acuticollis", "Laena affinis", "Laena bhutanensis", "Cipocereus minensis", "Pterapogon mirifica", "Cipocereus laniflorus", "Gymnocalycium subg.", "Gymnocalycium subg.", "Gymnocalycium subg.", "Gymnocalycium sect.", "Laena brahmae", "Laena gomcheyensis", "Laena phithangensis", "Aphanius almiriensis", "Lecidella elaeochroma f. elaeochroma", "Gymnocalycium subg.", "Gymnocalycium subg.", "Lecidella elaeochroma f. soralifera", "Laena nishikawai", "Sceliphron caementarium", "Sauvagesia lagevianae", "Aphanius desioi", "Sauvagesia lanceolata", "Balanus stellaris", "Tinginotum minutum", "Leucopaxillus lilacinus", "Pauline nivisis", "Mesostoa kerri", "Lepraria sylvicola", "Laena interrupta", "Laena opaca", "Rhabdophyllum arnoldianum", "Paracephaleus hudsoni", "Paracephaleus curtus", "Laena beesoni", "Laena bhatiai", "Rhabdophyllum crassipedicellatum", "Rhabdophyllum letestui", "Rhabdophyllum rigidum", "Lepraria celata", "Lepraria humida", "Myrmecophila brysiana", "Aphanius asquamatus", "Tetramicra canaliculata", "Ouratea hatschbachii", "Lecanora ochroidea", "Ouratea javariensis", "Ouratea lancifolia", "Dryophthorus crassus", "Ouratea larae", "Cheiradenia cuspidata", "Aphanius apodus", "Lecanora sinuosa", "Dryophthorus declivis", "Dryophthorus modestus", "Ouratea neuridesii", "Dryophthorus squalidus", "Dryophthorus gravidus", "Dryophthorus pusillus", "Dryophthorus insignis", "Ouratea saulensis", "Gymnocalycium sect.", "Dryophthorus peles", "Dryophthorus nesiotes", "Dryophthorus homoeorhynchus", "Dryophthorus kauaiensis", "Dryophthorus oahuensis", "Dryophthorus insignoides", "Dryophthorus fuscescens", "Quiina maracaensis", "Gymnocalycium sect.", "Quiina zamorensis", "Gymnocalycium sect.", "Laena carinipennis", "Gymnocalycium sect.", "Gymnocalycium sect.", "Laena chatterjeei", "Laena denticrus", "Laena minuta", "Laena gardneri", "Rhabdophyllum affine", "Laena indica", "Laena irregularis", "Laena kaliensis", "Balanus provisoricus", "Balanus microstomus", "Laena lacordairii", "Laena parkeri", "Laena puncticollis", "Habenaria monorrhiza", "Balanus polyporus", "Mniaecia gloeocapsae", "Weingartia subg.", "Mniaecia jungermanniae", "Aphanius danfordii", "Mniaecia nivea", "Sauvagesia linearifolia subsp. linearifolia", "Camaridium bradeorum", "Weingartia subg.", "Weingartia steinbachii", "Weingartia steinbachii subsp. verticillacantha", "Weingartia cuprea", "Sauvagesia guianensis subsp. araracuarensis", "Weingartia vasqueziana", "Weingartia vasqueziana var. losenickyana", "Weingartia vasqueziana var. vasqueziana", "Micarea polycarpella", "Laena rosti", "Laena villosa", "Micarea subviridescens", "Laena annapurna", "Laena arun", "Laena chetri", "Laena chomolungma", "Agathis lanceolata", "Weingartia subg.", "Aphanius burdurensis", "Weingartia fidaiana", "Neottia nipponica", "Ephippianthus sachalinensis", "Ephippianthus sawadanus", "Sauvagesia cryptothallis", "Maxillaria lepidota", "Balanus silverdalensis", "Dryophthorus ecarinatus", "Ficus binnendijkii", "Aphanius sureyanus", "Huxleyoecia muscatensis", "Tambatitanis amicitiae", "Laena consimilis", "Laena mandli", "Laena crenulicollis", "Laena dampaensis", "Linum aretioides", "Nylanderia smythiesii", "Nylanderia assimilis", "Arrojadoa subg.", "Arrojadoa subg.", "Arrojadoa rhodantha", "Balanus withersi", "Pagrus auratus", "Uromycladium acaciae", "Uromycladium alpinum", "Uromycladium bisporum", "Uromycladium maritimum", "Uromycladium notabile", "Uromycladium robinsonii", "Zeteotomus lambkinae", "Laena grandis", "Laena herbertfranzi", "Laena gairibasensis", "Laena bikhebhanjangensis", "Laena lamjurensis", "Laena singalilensis", "Laena kaszabi", "Laena kangchendzongensis", "Laena thameogensis", "Laena merklottoi", "Laena vishnua", "Laena shunichii", "Laena sakaii", "Laena magarkensis", "Laena sandakphuensis", "Laena chaukiensis", "Laena moodlungensis", "Laena kephakensis", "Laena cardiothorax", "Laena dentipes", "Laena denudata", "Laena espagnoli", "Ouratea pendulosepala", "Ouratea apurensis", "Ouratea cidiana", "Dryophthorus brevipennis", "Lecanora campestris f. campestris", "Dryophthorus brevis", "Ouratea kanukuensis", "Ouratea pseudomarahuacensis", "Dryophthorus canus", "Lecanora campestris f. dolomitica", "Dryophthorus cocosensis", "Ouratea stipulata", "Ouratea vieirae", "Ouratea papulosa", "Ouratea sastrei", "Aphanius anatoliae", "Lecanora gisleriana", "Gymnocalycium sect.", "Gymnocalycium sect.", "Laena alaiensis", "Laena edda", "Cebrella lingga hollowayi", "Cebrella lingga lingga", "Laena hirtella", "Cyprinodon variegatus", "Toninia plumbina", "Thelocarpon opertum", "Psilodryophthorus palawanus", "Psilodryophthorus patruelis", "Opuntia sulphurea subsp. sulphurea", "Ochna lanceolata", "Polysporina subfuscescens", "Cyprinodon arcuatus", "Opuntia sulphurea subsp. spinibarbis", "Cyprinodon pisteri", "Opuntia ser.", "Ochna pumila", "Palaeomystella fernandesi", "Palaeomystella rosaemariae", "Palaeomystella tavaresi", "Gymnocalycium oenanthemum", "Pachyseris inattesa", "Trichieurina haladai", "Euglossa ashei", "Euglossa celiae", "Euglossa cetera", "Euglossa cupella", "Euglossa subandina", "Pyrenocollema elegans", "Spinoloricus cinziae", "Agathis ovata", "Agathis orbicula", "Agathis lenticula", "Agathis kinabaluensis", "Agathis atropurpurea", "Agathis flavescens", "Laena opacicollis", "Laena bembidion", "Laena parateneta", "Laena pokharana", "Laena silvicola", "Laena prehimalayica", "Dendrobium amabile", "Rebutia fabrisii", "Laena auliensis", "Laena brevipennis", "Laena chatkalica", "Laena dentitibia", "Laena dilutella", "Laena hauseri", "Laena robusta", "Laena turkestanica", "Diospyros mindanaensis", "Laena pseudofranzi", "Laena rhododendri", "Laena sparsepunctata", "Laena studiosa", "Laena subalpina", "Laena subcoeca", "Laena tachysoides", "Laena takolana", "Laena thodunga", "Laena yodai", "Sauvagesia pulchella", "Megisba malaya anomala", "Megisba malaya malaya", "Aylostera brachyantha", "Megisba malaya presbyter", "Pyrenocollema halodytes", "Megisba malaya sikkima", "Cyprinodon albivelis", "Pyrenocollema orustense", "Pyrenocollema pelvetiae", "Laena dhorpatanica", "Laena franzi", "Laena franziana", "Laena freudei", "Laena fulunga", "Laena strigosa", "Melicytus macrophyllus", "Laena goetzi", "Aphanius villwocki", "Phyllidia orstomi", "Wadeana dendrographa", "Wadeana minuta", "Verrucaria sublobulata", "Dryophthorus forestieri", "Dryophthorus guadeloupensis", "Dryophthorus kalshoveni", "Elvasia oligandra", "Elvasia macrostipularis", "Testulea gabonensis", "Dryophthorus laticauda", "Verrucaria pachyderma", "Verrucaria polysticta", "Verrucaria denudata", "Dryophthorus nanus", "Verrucaria andesiatica", "Verrucaria anziana", "Facheiroa subg.", "Facheiroa subg.", "Balanus pannonicus", "Facheiroa ulei", "Brackenridgea fascicularis subsp. mindanaensis", "Brackenridgea fascicularis subsp. fascicularis", "Aspergillus aculeatinus", "Aspergillus sclerotiicarbonarius", "Cheiracanthium inflatum", "Rebutia padcayensis", "Diospyros burmanica", "Aylostera albopectinata", "Laena ruthmuellerae", "Laena africana", "Aylostera deminuta", "Afrolaena parallela", "Acropsopilio chilensis", "Brackenridgea hookeri", "Forsteropsalis bona", "Forsteropsalis photophaga", "Lamprologus markerti", "Laena alexanderi", "Laena berembanensis", "Laena brinchangensis", "Laena cameronica", "Laena fraserensis", "Laena gentingica", "Laena jasarensis", "Laena malakkaensis", "Laena malaysica", "Laena riedeli", "Laena taipingica", "Laena hartmanni", "Laena limbu", "Laena magar", "Laena manang", "Laena martinhauseri", "Laena newar", "Laena pahakhola", "Laena rai", "Laena sagarmatha", "Laena schmidti", "Laena sherpa", "Laena tamang", "Laena tamur", "Laena darjeelingiana", "Laena alpina", "Laena broscosomoides", "Laena coniceps", "Coriocella jayi", "Aphanius mento", "Aphanius punctatus", "Mycoglaena myricae", "Aphanius sirhani", "Mycomicrothelia atlantica", "Mycomicrothelia confusa", "Dryophthorus persimilis", "Dryophthorus dissimilis", "Dryophthorus indicus", "Pertusaria lactescens", "Dryophthorus muscosus", "Dryophthorus curtus", "Pertusaria melanochlora", "Sauvagesia brevipetala", "Balanus vadaszi", "Sauvagesia paniculata", "Opegrapha trochodes", "Aphanius stiassnyae", "Laena schusteriana", "Laena augur", "Laena incomperta", "Laena jumlana", "Laena khumbuana", "Laena loricera", "Laena luprops", "Laena martensi", "Laena dedita", "Laena zurstrasseni", "Laena ocys", "Laena oedipus", "Arrojadoa \u00d7 albiflora", "Arrojadoa penicillata", "Ramonia calcicola", "Dryophthorus perroudi", "Dryophthorus quadricollis", "Dryophthorus setulosus", "Pyrenula nitida", "Bifrenaria leucorhoda", "Pyrenula nitidella", "Neopithecops zalmora andamanus", "Neopithecops zalmora indigeta", "Apterocyclus kawaii", "Neopithecops zalmora dharma", "Neopithecops zalmora pertimidus", "Balanus veneticensis", "Megisba malaya thwaitesi", "Gymnocalycium megatae subsp. matoense", "Gymnocalycium marsoneri subsp. matoense", "Gymnocalycium megatae subsp. megatae", "Gymnocalycium marsoneri", "Psammina palmata", "Gymnocalycium schickendantzii subsp. delaetii", "Megisba strongyle caudata", "Megisba strongyle clerica", "Megisba strongyle monacha", "Megisba strongyle orientalis", "Megisba strongyle strongyloides", "Aphodius matiganae", "Aphodius viceversus", "Campylospermum serratum", "Campylospermum striatum", "Cebrella matanga", "Cebrella nigerrima", "Phoma lecanorae", "Psilodryophthorus costatus", "Afrolaena knysnaensis", "Afrolaena ornata", "Afrolaena elongata", "Afrolaena palpata", "Afrolaena tibialis", "Afrolaena natalica", "Aylostera vulpina", "Aylostera kupperiana", "Afrolaena transkeiensis", "Euthemis minor", "Lucidolaena amatolensis", "Aylostera tarvitaensis", "Aylostera spegazziniana", "Aylostera pulvinosa", "Rhaphidicyrtis trichosporella", "Aylostera iscayachensis", "Sarcopyrenia pluriseptata", "Aylostera torquata", "Aylostera nigricans", "Aylostera nigricans subsp. nigricans", "Aylostera nigricans subsp. albispina", "Sancterila archagathos archagathos", "Sancterila archagathos leytensis", "Sancterila hermarchus hermarchus", "Sancterila hermarchus vesontia", "Aylostera ritteri", "Euthemis leucocarpa", "Pterygiopsis concordatula", "Indosinia involucrata", "Arisarum \u00d7 aspergillum", "Cebrella pellecebra pellecebra", "Cebrella pellecebra moultoni", "Cebrella pellecebra albissima", "Brackenridgea palustris", "Brackenridgea palustris subsp. palustris", "Cebrella penelope penelope", "Brackenridgea palustris subsp. foxworthyi", "Cebrella penelope kashiwaii", "Brackenridgea palustris subsp. kjellbergii", "Brackenridgea forbesii", "Brackenridgea fascicularis", "Imbricaverruca yamaguchii", "Cyprinodon artifrons", "Ophrys scolopax subsp. apiformis", "Sauvagesia calophylla", "Schuurmansiella angustifolia", "Schuurmansia elegans", "Laena acco", "Laena hystrix", "Laena sapa", "Laena hoanglienensis", "Schuurmansia vidalii", "Saitostrongylium acco", "Aylostera heliosa", "Aylostera heliosa subsp. heliosa", "Aylostera heliosa subsp. cajasensis", "Uenomisolampidius shunichii", "Aylostera heliosa subsp. condorensis", "Aylostera fulviseta", "Aylostera pygmaea", "Schuurmansia henningsii", "Dendrobium ruckeri", "Brackenridgea nitida", "Brachylepas naissanti", "Sarcopyrenia beckhausiana", "Ochna arborea", "Ochna arborea var. oconnorii", "Ochna arborea var. arborea", "Ochna holstii", "Geohintonia mexicana", "Ochna katangensis", "Alcedo atthis atthis", "Coryphantha subg.", "Coryphantha sect.", "Ochna schweinfurthiana", "Coryphantha ser.", "Aylostera schatzliana", "Aylostera diersiana", "Sarcopyrenia bacillospora", "Aylostera diersiana subsp. diersiana", "Sancterila deliciosa deliciosa", "Sancterila deliciosa sohmai", "Sarcopyrenia cylindrospora", "Sancterila drakei", "Sancterila prattorum", "Sancterila russelli", "Ochna manikensis", "Sarcopyrenia sigmoideospora", "Sarcopyrenia lichinellae", "Ochna kirkii subsp. kirkii", "Sarcopyrenia baetica", "Udara kodama", "Sarcopyrenia calcarea", "Sarcopyrenia gibba", "Ochna macrocalyx", "Sarcopyrenia gibba var. gibba", "Ochna beirensis", "Sarcopyrenia gibba var. geisleri", "Ochna rovumensis", "Gecarcinus nobilii", "Boophis ankarafensis", "Tylopus corrugatus", "Tylopus parahilaroides", "Tylopus trigonum", "Mammillaria ser.", "Laena elburzica", "Laena fanjingshanana", "Coprosma crassifolia", "Laena zhengi", "Laena ferruginea", "Fromia ghardaqana", "Fromia pacifica", "Fromia indica", "Fromia milleporella", "Fromia monilis", "Laena rotundicollis", "Ophrys scolopax subsp. scolopax", "Cyprinodon atrorus", "Cyprinodon bifasciatus", "Coryphantha ser.", "Coryphantha ser.", "Cryptoderma brevipenne", "Cryptoderma convexum", "Coryphantha ser.", "Coryphantha ser.", "Coryphantha subser.", "Ochna afzelii", "Coryphantha subser.", "Cryptoderma collare", "Cryptoderma fabricii", "Cryptoderma regulare", "Coryphantha sect.", "Ochna afzelii subsp. congoensis", "Acarus gracilis", "Acarus indicus", "Klambothrips myopori", "Periphyllus lyropictus", "Periphyllus singeri", "Laena kunarica", "Laena kabakovi", "Laena waygalica", "Laena wittmeri", "Laena takara", "Mycopsylla proxima", "Ochna afzelii subsp. mechowiana", "Strigula confusa", "Laena clivinoides", "Mammillaria ser.", "Laena constricta", "Mammillaria subg.", "Mammillaria sect.", "Arhopala athada baweana", "Mammillaria luethyi", "Zygoballus sexpunctatus", "Mammillaria albiflora", "Dendrobium bullenianum", "Mammillaria subg.", "Mammillaria herrerae", "Ochna puberula", "Mammillaria humboldtii", "Ochna cyanophylla", "Ochna richardsiae", "Mammillaria sanchez-mejoradae", "Balanus similis", "Ochna gambleoides", "Mammillaria lenta", "Nothoceros superbus", "Dendrobium crocatum", "Pseudevernia furfuracea f. furfuracea", "Dendrobium clavator", "Pseudevernia furfuracea f. ceratea", "Ochna afzelii subsp. afzelii", "Lycianthes acapulcensis", "Laena kaschmirensis", "Anthogonium gracile", "Laena osmanlis", "Laena pilosissima", "Laena lilliputana", "Ochna pygmaea", "Brackenridgea zanguebarica", "Laena atripennis", "Laena badakschanica", "Neoverruca brachylepadoformis", "Laena barkamica", "Laena bidentata", "Laena exjuncta", "Laena flectotibia", "Laena bogatschevi", "Laena burckhardti", "Laena loebli", "Laena masumotoi", "Laena pseudosiamica", "Laena schwendingeri", "Ochna confusa", "Ochna natalitia", "Ochna pretoriensis", "Ochna gamostigmata", "Ochna inermis", "Ochna glauca", "Ochna cinnabarina", "Sarcopyrenia acutispora", "Ochna barbosae", "Brackenridgea arenaria", "Ochna angustata", "Balanus sauntonensis", "Ochna oxyphylla", "Ochna stolzii", "Myotis midastactus", "Charonia tritonis", "Cryptotis lacandonensis", "Chimerella corleone", "Oxalis artemioides", "Oxalis calcicola", "Oxalis monochasiata", "Leucopogon nanum", "Leucopogon xerampelinus", "Leucopogon fasciculatus", "Leucopogon fraseri", "Leptecophylla juniperina", "Laena siamica", "Laena thailandica", "Laena uenoi", "Laena caucasica", "Androstoma empetrifolia", "Hassea bacillosa", "Ochna afzelioides", "Laena kenyirica", "Laena schulzi", "Laena kurbatovi", "Laena inthanonica", "Laena khaolaka", "Laena rolandi", "Laena champasaka", "Laena jocheni", "Laena kiyoshii", "Laena gialaica", "Laena moguntia", "Laena chejuana", "Laena starcki", "Laena reitteri", "Laena vietnamica", "Schaereria fuscocinerea var. sorediata", "Laena wanensis", "Laena pulchella", "Laena hirtipes", "Laena confusa", "Chondroscaphe chestertonii", "Cyprinodon beltrani", "Cryptoderma longicolle", "Cryptoderma mangyanum", "Echinopsis haematantha var. hualfinensis", "Echinopsis haematantha var. jasimanensis", "Echinopsis haematantha var. kuehnrichii", "Ochna membranacea", "Cryptoderma discors", "Coryphantha subg.", "Coryphantha sect.", "Coryphantha ser.", "Coryphantha ser.", "Coryphantha sect.", "Campylospermum densiflorum", "Cardiodactylus borneoe", "Cardiodactylus erniae", "Cardiodactylus lampongsi", "Cardiodactylus celebae", "Cardiodactylus floresiensis", "Cardiodactylus jdoeria", "Cardiodactylus kotandora", "Cardiodactylus loboe", "Cardiodactylus lombrinjani", "Cardiodactylus muria", "Cardiodactylus oeroe", "Cardiodactylus rizali", "Cardiodactylus sumba", "Cardiodactylus talaudae", "Cardiodactylus tello", "Cardiodactylus buru", "Cardiodactylus fruhstorferi", "Cardiodactylus halmahera", "Cardiodactylus obi", "Cardiodactylus variegatus", "Cardiodactylus contrarius", "Cardiodactylus doloduo", "Cardiodactylus palawan", "Cardiodactylus reticulatus", "Cardiodactylus tangkoko", "Cardiodactylus singapura", "Cardiodactylus thailandia", "Pycnolepas rigida", "Proverruca vinculum", "Ochna apetala", "Cryptoderma sanctiandreae", "Ochna holtzii", "Cyprinodon bobmilleri", "Ochna kirkii subsp. multisetosa", "Cyprinodon bondi", "Cryptoderma macgillavryi", "Cyprinodon elegans", "Lobivia graulichii", "Cyprinodon rubrofluviatilis", "Cryptoderma kuniyoshii", "Lobivia scheeri", "Hymenocephalus fuscus", "Hymenocephalus maculicaudus", "Laena lebedevi", "Laena hopffgarteni", "Laena piligera", "Rhizocarpon infernulum f. infernulum", "Rhizocarpon infernulum f. sylvaticum", "Laena kachinorum", "Laena putaoica", "Laena reuteri", "Coryphantha sect.", "Laena viennensis", "Coryphantha sect.", "Laena merkli", "Echinocereus longisetus", "Cateristis eustyla", "Laena karakorumensis", "Laena marthae", "Schaereria fuscocinerea var. fuscocinerea", "Laena longula", "Laena lindbergi", "Sauvagesia africana", "Cyprinodon macularius", "Cyprinodon eremus", "Galkinius adamanteus", "Arthopyrenia grisea", "Cyprinodon esconditus", "Cleisostoma crochetii", "Cyprinodon suavium", "Galkinius altiapiculus", "Galkinius depressa", "Campylospermum reticulatum", "Galkinius equus", "Galkinius trimegadonta", "Campylospermum bukobense", "Ouratea floribunda", "Bulbophyllum medusae", "Campylospermum deltoideum", "Alcea karsiana", "Campylospermum dependens", "Dinema polybulbon", "Calvia explanata", "Austropsocus millei", "Cryptoderma drescheri", "Cyprinodon ceciliae", "Lasius alienoflavus", "Galkinius decima", "Nebriscus pupus", "Peripsocus alboguttatus", "Peripsocus alachuae", "Peripsocus australis", "Peripsocus maculosus", "Peripsocus minimus", "Peripsocus monticola", "Peripsocus potosi", "Peripsocus teutonicus", "Scaphisoma pseudorufum", "Ochna insculpta", "Ochna polyarthra", "Ochna citrina", "Cyprinodon dearborni", "Scaphisoma rufum", "Ochna braunii", "Scaphisoma discretum", "Scaphisoma fraterculum", "Ochna schliebenii", "Scaphisoma luctans", "Scaphisoma imitator", "Scaphisoma mimicum", "Bilimbia sabuletorum var. accedens", "Lobivia lateritia", "Ochna baronii", "Ochna louvelii", "Ochna thouvenotii", "Parahoekia aster", "Ochna sambiranensis", "Hoekia fornix", "Peripsocus acuminatus", "Peripsocus marginatus", "Peripsocus togoensis", "Peripsocus barunus", "Hoekia mortenseni", "Cyprinodon higuey", "Ahoekia chuangi", "Ahoekia tanabensis", "Cyprinodon laciniatus", "Galkinius tubulatus", "Soehrensia angelesiae", "Soehrensia quadratiumbonata", "Soehrensia strigosa", "Peripsocus spinosus", "Scaphisoma antennatum", "Scaphisoma quadrimaculatum", "Scaphisoma leucopyga", "Scaphisoma kaszabi", "Scaphisoma binhanum", "Scaphisoma dohertyi", "Scaphisoma maculiger", "Scaphisoma atrox", "Scaphisoma tetrastictum", "Campylospermum vogelii", "Campylospermum scheffleri", "Campylospermum sacleuxii", "Cyprinodon macrolepis", "Cyprinodon nazas", "Anolis cryptolimifrons", "Cyprinodon latifasciatus", "Scaphisoma nietneri", "Scaphisoma besucheti", "Scaphisoma spurium", "Scaphisoma mussardi", "Scaphisoma anderssoni", "Scaphisoma obliquemaculatum", "Scaphisoma anale", "Scaphisoma pictum", "Scaphisoma nigrofasciatum", "Anolis cuprinus", "Anolis cuscoensis", "Anolis cusuco", "Anolis cuvieri", "Anolis cyanopleurus", "Dorycnium sanguineum", "Thymus leucotrichus", "Scaphisoma concolor", "Scaphisoma confrater", "Scaphisoma modestum", "Scaphisoma funebre", "Scaphisoma pallens", "Scaphisoma variabile", "Scaphisoma kuschelianum", "Scaphisoma excellens", "Corycium orobanchoides", "Cyprinodon inmemoriam", "Anolis cupeyalensis", "Scaphisoma aurun", "Scaphisoma cederholmi", "Scaphisoma forcipatum", "Scaphisoma innotatum", "Scaphisoma prehensor", "Scaphisoma bedeli", "Galkinius indicus", "Scaphisoma perbrincki", "Scaphisoma egregium", "Scaphisoma rarum", "Scaphisoma impar", "Cyprinodon labiosus", "Cyprinodon maya", "Cyprinodon simus", "Lobivia mamillosa", "Anolis cupreus", "Eohoekia chaos", "Brackenridgea madecassa", "Brackenridgea tetramera", "Eohoekia nyx", "Bilimbia sabuletorum var. sabuletorum", "Cyprinodon eximius", "Cyprinodon fontinalis", "Scaphisoma suknense", "Scaphisoma puthzi", "Ochna bracteosa", "Ochna monantha", "Ochna ovata", "Ochna hackarsii", "Ochna leucophloeos", "Ochna leucophloeos subsp. ugandensis", "Ochna leucophloeos subsp. leucophloeos", "Ochna pseudoprocera", "Scaphisoma notatum", "Scaphisoma uniforme", "Scaphisoma diabolum", "Scaphisoma quadrifasciatum", "Scaphisoma kaszabianum", "Scaphisoma flavofasciatum", "Scaphisoma pulchellum", "Scaphisoma onychionum", "Scaphisoma flexuosum", "Scaphisoma garomontium", "Scaphisoma khasianum", "Scaphisoma surya", "Scaphisoma luctuosum", "Scaphisoma absurdum", "Scaphisoma pseudodelictum", "Scaphisoma malignum", "Scaphisoma argutum", "Scaphisoma impolitum", "Scaphisoma indra", "Scaphisoma peraffine", "Scaphisoma varium", "Scaphisoma scabiosum", "Scaphisoma negligens", "Scaphisoma nebulosum", "Scaphisoma nefastum", "Scaphisoma echinatum", "Scaphisoma necopinum", "Scaphisoma armatum", "Scaphisoma minax", "Scaphisoma geminatum", "Scaphisoma minutum", "Scaphisoma maindroni", "Campylospermum obtusifolium var. breonii", "Lienenklausicythere camelus", "Ricania simulans", "Pereskia ser.", "Campylospermum obtusifolium var. luteum", "Campylospermum obtusifolium var. transiens", "Ochna comorensis", "Argentocypris sara", "Matellionius chapronierei", "Cyprinodon radiosus", "Adiantum reniforme", "Campylospermum humblotii", "Nogueirapis costaricana", "Nogueirapis mirandula", "Nogueirapis minor", "Nogueirapis butteli", "Campylospermum dependens var. integrifolium", "Campylospermum dependens var. paniculatum", "Campylospermum dependens var. maromandiae", "Campylospermum dependens var. ankaranae", "Cyprinodon riverendi", "Epiclopus ecphorus", "Protaxymyia thuja", "Scaphisoma pseudovarium", "Scaphisoma heishuiense", "Scaphisoma paravarium", "Scaphisoma fibrosum", "Cryptoderma plicatipenne", "Lecidella elaeochroma var. elaeochroma", "Lecidella elaeochroma var. soralifera", "Ochna ciliata", "Cryptoderma lobatum", "Ochna pervilleana", "Ochna macrantha", "Ochna emarginata", "Parochodaeus perdidus", "Nothochodaeus grandiceps", "Nephus alyssae", "Prosthechea chacaoensis", "Cryptoderma formosense", "Cryptoderma fortunei", "Cryptoderma philippinense", "Scaphisoma invertum", "Scaphisoma emeicum", "Scaphisoma serosum", "Scaphisoma signum", "Scaphisoma aciculare", "Scaphisoma latro", "Scaphisoma subtile", "Scaphisoma wolong", "Scaphisoma styloides", "Scaphisoma apertum", "Scaphisoma pseudantennatum", "Scaphisoma oppositum", "Scaphisoma acclivum", "Scaphisoma linum", "Scaphisoma serpens", "Scaphisoma parasolutum", "Scaphisoma pseudosolutum", "Scaphisoma vexator", "Cyprinodon nicholsi", "Campylospermum lanceolatum", "Ouratea lanceolata", "Cryptoderma fractisignum", "Epibryon polyphagum", "Diplocephalus inanis", "Lepthyphantes longipedis", "Lepthyphantes taza", "Megalepthyphantes brignolii", "Mediorhynchus amini", "Mediorhynchus ayeri", "Rugilus mahanuvaraensis", "Bunium pachypodum", "Cryptocheiridium confundens", "Garypus granosus", "Ideoblothrus emigrans", "Ideoblothrus galapagensis", "Paraliochthonius galapagensis", "Paraliochthonius litoralis", "Paraliochthonius pecki", "Paraliochthonius rupicola", "Serianus elongatus", "Serianus maritimus", "Psyllipsocus angustipennis", "Psyllipsocus clunioventralis", "Psyllipsocus didymus", "Psyllipsocus falcifer", "Psyllipsocus fuscistigma", "Psyllipsocus marconii", "Psyllipsocus proximus", "Psyllipsocus punctulatus", "Psyllipsocus radiopictus", "Psyllipsocus spinifer", "Psyllipsocus thaidis", "Psyllipsocus subtilis", "Austrominius adelaidae", "Mecyclothorax obtuseangulatus", "Omicrus vanini", "Brancuporus gottwaldi", "Brancuporus pennifoldae", "Haplochromis vanheusdeni", "Scaphisoma incisum", "Scaphisoma migrator", "Scaphisoma mutator", "Scaphisoma suspiciosum", "Scaphisoma irruptum", "Scaphisoma volitatum", "Scaphisoma vestigator", "Scaphisoma dumosum", "Scaphisoma atronotatum", "Articerodes ohmomoi", "Articerodes thailandicus", "Articerodes longiceps", "Articerodes jariyae", "Fuscidea cyathoides var. corticola", "Lecanora chloropolia", "Scaphisoma brunneonotatum", "Scaphisoma falciferum", "Scaphisoma hoemorrhoidale", "Scaphisoma japonicum", "Scaphisoma laevigatum", "Cryptoderma grande", "Cryptoderma perakense", "Cryptoderma inchoatum", "Cerastium amanum", "Cryptoderma knapperti", "Lecanora leptyrodes", "Campylospermum anceps", "Scaphisoma gracilendum", "Scaphisoma lepidum", "Scaphisoma mirandum", "Scaphisoma agile", "Scaphisoma suthepense", "Scaphisoma fastum", "Scaphisoma canaliculatum", "Scaphisoma operosum", "Scaphisoma lannaense", "Scaphisoma velox", "Scaphisoma solutum", "Scaphisoma pseudatrox", "Scaphisoma pseudamabile", "Pereskia subg.", "Scaphisoma egenum", "Pereskia ser.", "Lecidea fuscoatra var. grisella", "Campylospermum obtusifolium var. obtusifolium", "Collocalia linchi dodgei", "Campylospermum obtusifolium var. perseifolium", "Lecanora perpruinosa", "Campylospermum anceps var. perrieri", "Campylospermum dependens var. amplexicaule", "Campylospermum dependens var. auriculatum", "Campylospermum dependens var. hoffmannii", "Campylospermum obtusifolium", "Pereskia subg.", "Leuenbergeria lychnidiflora", "Leuenbergeria bleo", "Geodiscelis longiceps", "Geodiscelis thaumaskelos", "Geodiscelis nazcalinea", "Geodiscelis phisquiri", "Eoverruca hewitti", "Cyprinodon salinus", "Cyprinodon salinus salinus", "Cyprinodon salinus milleri", "Iridana kollariki", "Parapercis nigrodorsalis", "Austrominius erubescens", "Colletes linzhiensis", "Colletes spinatus", "Phanerotoma andamanensis", "Austrominius flindersi", "Phanerotoma syleptae", "Austropsocus baeus", "Austropsocus micans", "Austropsocus nitidus", "Austropsocus productus", "Austropsocus strabus", "Austropsocus thapsinus", "Austropsocus xuthus", "Austropsocus perforatus", "Austropsocus novoguinensis", "Austrominius placidus", "Scaphisoma aemulum", "Scaphisoma transparens", "Scaphisoma validum", "Scaphisoma perpusillum", "Scaphisoma nanulum", "Scaphisoma franzi", "Scaphisoma simulans", "Scaphisoma consimile", "Scaphisoma viduum", "Scaphisoma reticulatum", "Scaphisoma alternans", "Scaphisoma filium", "Scaphisoma rugosum", "Scaphisoma eximium", "Scaphisoma novaecaledonicum", "Scaphisoma remingtoni", "Scaphisoma notulum", "Leptolegnia chapmanii", "Cladonia arbuscula subsp. mitis", "Theligonum japonicum", "Lecidella achristotera", "Ochna polycarpa", "Lecidella leptoderma", "Bistorta hayachinensis", "Lienenklausicythere acuticosta", "Phyllodromia scopulifera", "Syrphetodes carinatus", "Syrphetodes cirrhopogon", "Syrphetodes defectus", "Syrphetodes insularis", "Syrphetodes magnus", "Syrphetodes relictus", "Syrphetodes marrisi", "Syrphetodes melanopogon", "Syrphetodes nunni", "Syrphetodes occiduus", "Syrphetodes obtusus", "Scaphisoma valens", "Scaphisoma dives", "Scaphisoma incurvum", "Scaphisoma favens", "Scaphisoma spissum", "Scaphisoma meracum", "Teratoneura zambiae", "Scaphisoma minutissimum", "Scaphisoma morosum", "Scaphisoma nakanei", "Scaphisoma portevini", "Scaphisoma pressum", "Scaphisoma rufescens", "Scaphisoma segne", "Scaphisoma unicolor", "Crataegus peshmenii", "Crataegus turcicus", "Crataegus heterophylloides", "Lecanora rimicola", "Cyprinodon salvadori", "Lecanora xanthostoma", "Notharchus hyperrhynchus", "Cyprinodon tularosa", "Campylospermum obtusifolium var. angulatum", "Cryptoderma laterale", "Cryptoderma rivulosum", "Lecidea fuscoatra var. fuscoatra", "Scaphisoma vagans", "Scaphisoma invisum", "Scaphisoma siamense", "Scaphisoma bispinosum", "Scaphisoma cuspidatum", "Scaphisoma khao", "Scaphisoma karen", "Scaphisoma tortile", "Scaphisoma amabile", "Scaphisoma paliferum", "Scaphisoma javanum", "Scaphisoma rougemonti", "Scaphisoma delictum", "Scaphisoma cribripenne", "Leptorhaphis quercus", "Austrominius covertus", "Keysercypria ivanae", "Scaphisoma rouyeri", "Scaphisoma jacobsoni", "Scaphisoma rufonotatum", "Cryptoderma maximum", "Scaphobaeocera siamensis", "Cryptoderma suturale", "Ochna andravinensis", "Ochna madagascariensis", "Ochna humblotiana", "Baeocera franzi", "Baeocera ventralis", "Baeocera serendibensis", "Baeocera mussardi", "Campylospermum duparquetianum", "Baeocera alesi", "Baeocera aliena", "Baeocera alishana", "Baeocera anchorifera", "Baeocera caliginosa", "Baeocera lindae", "Baeocera mutata", "Campylospermum mannii", "Baeocera cooteri", "Baeocera formosana", "Baeocera nanula", "Baeocera takizawai", "Baeocera sauteri", "Baeocera semiglobosa", "Baeocera myrmidon", "Leucostele tunariensis", "Argentocypris fontana", "Campylospermum oliveri", "Campylospermum amplectens", "Mesocordylus cerinus", "Mesocordylus memnonius", "Mesocordylus secundus", "Mesocordylus striatus", "Mesocordylus mexicanus", "Campylospermum squamosum", "Campylospermum claessensii", "Verrucaria ferratensis", "Soehrensia thelegonoides", "Campylospermum laxiflorum", "Camponotus saundersi", "Novopsocus caeciliae", "Novopsocus magnus", "Novopsocus stenopterus", "Agave doctorensis", "Pseudostomella squamalongispinosa", "Pectis harryi", "Apocephalus amacayacuensis", "Apocephalus amati", "Apocephalus amenti", "Apocephalus amorimi", "Apocephalus bilineatus", "Baeoceroxidium pyricola", "Baeoceroxidium schwendingeri", "Baeoceroxidium uncata", "Baeoceroxidium micros", "Baeoceroxidium pilifera", "Scaphobaeocera bulbosa", "Scaphobaeocera complicans", "Scaphobaeocera data", "Fleurydora felicis", "Campylospermum flavum", "Amanita heterochroma", "Trichosanthes subg.", "Lepiota terranovensis", "Trichosanthes subg.", "Cervus elaphus corsicanus", "Campylospermum glaberrimum", "Verrucaria baltica", "Scaphobaeocera davaoana", "Scaphobaeocera episternalis", "Scaphobaeocera escensa", "Scaphobaeocera excisa", "Verrucaria barrandei", "Scaphobaeocera hamata", "Scaphobaeocera monticola", "Scaphobaeocera montivagans", "Scaphobaeocera orousseti", "Scaphobaeocera palawana", "Scaphobaeocera pseudotenella", "Scaphobaeocera pubiventris", "Scaphobaeocera serpentis", "Scaphobaeocera watrousi", "Scaphobaeocera werneri", "Verrucaria caesiopsila", "Verrucaria christiansenii", "Campylospermum cabrae", "Verrucaria danica", "Trichosanthes sect.", "Samaipaticereus corroanus", "Yungasocereus inquisivensis", "Verrucaria deminuta", "Scaphidium lunatum", "Scaphidium grande", "Scaphidium baconi", "Cyparium siamense", "Ochna kibbiensis", "Cyparium semirufum", "Pseudobironium carinense", "Pseudobironium sparsepunctatum", "Pseudobironium subglabrum", "Ochna rhizomatosa", "Baeocera bremeri", "Baeocera pyricola", "Baeocera schwendingeri", "Baeocera uncata", "Campylospermum elongatum", "Campylospermum subcordatum", "Argentocypris sarsii", "Baeocera schreyeri", "Baeocera vidua", "Baeocera pseudinculta", "Baeocera suthepensis", "Baeocera erroris", "Baeocera karen", "Baeocera deharvengi", "Baeocera insolita", "Baeocera barbara", "Baeocera pubiventris", "Baeocera innocua", "Baeocera khasiana", "Baeocera longicornis", "Baeocera pigra", "Verrucaria mortarii", "Trichosanthes sect.", "Trichosanthes sect.", "Trichosanthes sect.", "Verrucaria nuda", "Verrucaria obfuscans", "Verrucaria obscura", "Isotria medeoloides", "Isotria verticillata", "Gastrosaccus lombokiensis", "Galumna tetraporosa", "Neoperla nigromarginata", "Neoperla similiflavescens", "Thaumatovalva albolineana", "Thaumatovalva deprinsorum", "Thaumatovalva limbata", "Thaumatovalva spinai", "Danaus erippus", "Carebara madibai", "Carebara gustavmayri", "Carebara luzonensis", "Carebara pumilia", "Carebara rugoflabella", "Carebara sinhala", "Chinamiris muehlenbeckiae", "Caccobius devagiriensis", "Fistulobalanus ligeriensis", "Ascaphium irregulare", "Ascaphium alticola", "Episcaphium catenatum", "Episcaphium strenuum", "Episcaphium haematoides", "Episcaphium changchini", "Episcaphium dabashanum", "Scaphidium amurense", "Scaphidium delatouchei", "Matucana haynei subsp. crinifera", "Pertusaria slesvicensis", "Tanakia tanago", "Scaphidium egregium", "Scaphidium flavofasciatum", "Scaphidium formosanum", "Scaphidium fukiense", "Scaphidium klapperichi", "Scaphidium melli", "Scaphidium montivagum", "Scaphidium sinense", "Cryptoderma hydropicum", "Scaphidium unifasciatum", "Scaphidium vernicatum", "Campylospermum schoenleinianum", "Mycopyrenula coryli", "Tricholoma quercetorum", "Ochrolechia lactea", "Ochrolechia sordidogrisea", "Lepiota sardoa", "Trichocereus uyupampensis", "Campylospermum calanthum", "Campylospermum descoingsii", "Proverruca cancellata", "Proverruca nodosa", "Zelandopsocus astictus", "Zelandopsocus balius", "Zelandopsocus bifidus", "Zelandopsocus chroicus", "Zelandopsocus dialecus", "Zelandopsocus diargemus", "Zelandopsocus diides", "Zelandopsocus fulvus", "Zelandopsocus furfurosus", "Zelandopsocus gilvus", "Zelandopsocus graptus", "Zelandopsocus helvus", "Zelandopsocus hemiptenus", "Zelandopsocus humidus", "Zelandopsocus justus", "Zelandopsocus litus", "Zelandopsocus loxus", "Zelandopsocus luridus", "Zelandopsocus venustus", "Zelandopsocus varianus", "Zelandopsocus translucidus", "Zelandopsocus poecilus", "Zelandopsocus perinesus", "Zelandopsocus perilegnes", "Zelandopsocus oropedius", "Zelandopsocus marmor", "Zelandopsocus ochrus", "Pygmaeocereus bylesianus", "Acanthogobius flavimanus", "Verrucaria opiziana", "Kunzea amathicola", "Kunzea linearis", "Kunzea robusta", "Kunzea salterae", "Kunzea serotina", "Kunzea tenuicaulis", "Kunzea toelkenii", "Kunzea triregensis", "Ascaphium sinense", "Moneilema aterrimum", "Moneilema crassipes", "Moneilema mexicanum", "Moneilema punctipennis", "Moneilema michelbacheri", "Verrucaria platycarpa", "Tuicoris excelsus", "Tuicoris lipurus", "Verrucaria sagedioides", "Verrucaria schistosa", "Diospyros hirsuta", "Verrucaria sparsula", "Verrucaria subhydrela", "Conocephalus melaenus", "Tripleurospermum insularum", "Verrucaria vaenerensis", "Verrucaria viridicans", "Matucana paucicostata subsp. paucicostata", "Matucana paucicostata subsp. hoxeyi", "Verrucaria monguilloni", "Pertusaria inaequalis", "Fidiobia filicornis", "Fidiobia semirufa", "Fidiobia tschirnhausi", "Inostemma tschirnhausi", "Acerotella tschirnhausi", "Amblyaspis tschirnhausi", "Ceratacis afrotropica", "Euxestonotus lissogastrus", "Leptacis cylindrica", "Leptacis elongaticeps", "Leptacis nigrotrochanterica", "Leptacis quadrilineata", "Leptacis sensillosa", "Leptacis togoensis", "Leptacis trilineata", "Leptacis tschirnhausiana", "Platygaster danyiensis", "Platygaster liga", "Platygaster lobata", "Platygaster otandjoboliensis", "Platygaster planivertex", "Platygaster subanguliceps", "Platygaster tricarinata", "Platygaster tschirnhausi", "Synopeas basipubens", "Synopeas meieri", "Synopeas togoense", "Synopeas tschirnhausi", "Synopeas watsoni", "Coelogyne merrillii", "Chaerilus hofereki", "Acanthaegilips notiobiellus", "Eriophyes hoheriae", "Hoheria equitum", "Hoheria sexstylosa", "Polyblastia bavarica", "Sophiothrips canberrae", "Sophiothrips darwini", "Sophiothrips martinae", "Sophiothrips mongae", "Sophiothrips placodes", "Sophiothrips postlei", "Sophiothrips aleurodisci", "Sophiothrips duvali", "Sophiothrips greensladei", "Polyblastia intermedia", "Apocephalus camarae", "Apocephalus criniventris", "Apocephalus euryacanthus", "Apocephalus gonzalezae", "Apocephalus holdenae", "Apocephalus marinhoi", "Apocephalus mexacanthus", "Apocephalus papei", "Apocephalus paracanthus", "Apocephalus pittadearaujoi", "Apocephalus rectisetus", "Apocephalus riccardae", "Apocephalus strazhnikae", "Apocephalus xavierfilhoi", "Apocephalus torulus", "Scaphobaeocera sabapensis", "Xotidium tubuliferum", "Cyparium montanum", "Cyparium sibiricum", "Cyparium yunnanum", "Cyparium sichuanum", "Ascaphium minus", "Nestor chathamensis", "Verrucaria flensburgensis", "Brueelia wallacei", "Pithecia cazuzai", "Pithecia isabela", "Pithecia mittermeieri", "Pithecia pissinattii", "Pithecia rylandsi", "Garra nethravathiensis", "Verrucaria guestphalica", "Verrucaria halophila", "Verrucaria hemisphaerica", "Equus ferus giarae", "Verrucaria hiascens", "Caprichasia serjaniaphila", "Caprichasia tommyi", "Verrucaria lamyana", "Verrucaria lojkae", "Verrucaria lojkana", "Scaphidium yunnanum", "Scaphidium inexspectatum", "Scaphidium jizuense", "Scaphidium kubani", "Scaphidium becvari", "Scaphidium kurbatovi", "Scaphidium lunare", "Scaphidium schuelkei", "Scaphidium stigmatinotum", "Scaphidium sichuanum", "Pseudobironium sinicum", "Pseudobironium castaneum", "Pseudobironium bicolor", "Baeocera sordidoides", "Myianoetus sovat", "Uncinaria sanguinis", "Baeocera callida", "Sarcogyne distinguenda", "Mesocordylus cubensis", "Andricus aries", "Dreadnoughtus schrani", "Jamides bochus polassar", "Thelidium holsaticum", "Jamides seminiger richardi", "Jamides amarauge amandae", "Haplophallus acraeus", "Haplophallus virgatus", "Haplophallus decorus", "Haplophallus novitas", "Haplophallus trepticus", "Neurellipes rhoko", "Nazeris bicuspis", "Nazeris inaequalis", "Nazeris proiectus", "Nazeris alesianus", "Nazeris reticulatus", "Dnopherula punctata", "Chromochokwea backlundi", "Nazeris ibericus", "Nazeris jaenicus", "Nazeris ammonita", "Nazeris turcicus", "Campylospermum dybovskii", "Sarcogyne regularis var. regularis", "Sarcogyne regularis var. intermedia", "Aaroniella achrysa", "Aaroniella andrei", "Aaroniella antennata", "Aaroniella badonneli", "Lagopus muta hyperborea", "Duvalius gallii", "Duvalius pastorellii", "Duvalius gejzadunayi", "Fallaxlepas fallax", "Nazeris formidabilis", "Nazeris luojicus", "Nazeris emeianus", "Nazeris abbreviatus", "Nazeris iaculatus", "Nazeris tricuspis", "Nazeris sikh", "Nazeris yulongicus", "Campylospermum umbricola", "Pseudognaphalium affine", "Anaptychia ciliaris var. ciliaris", "Nazeris shaanxiensis", "Nazeris sadanarii", "Nazeris angulatus", "Nazeris ruani", "Nazeris magnus", "Nazeris bicornis", "Nazeris hailuogouensis", "Campylospermum congestum", "Campylospermum engama", "Campylospermum excavatum", "Campylospermum glaucum", "Campylospermum klainei", "Campylospermum laeve", "Teratodes monticollis", "Heteracris brevipennis group", "Heteracris coerulescens group", "Heteracris coerulescens", "Heteracris caloptenoides group", "Heteracris cyanescens group", "Heteracris herbacea group", "Heteracris morbosa group", "Heteracris nigricornis group", "Heteracris syriaca group", "Litothericles vespa", "Baenothrips guatemalensis", "Proceratophrys carranca", "Mackiella reclinata", "Idiostolus schaeferi", "Schistura andrewi", "Chinamiris aurantiacus", "Baeocera freyi", "Baeocera hammondi", "Baeocera gilloghyi", "Baeocera breveapicalis", "Baeocera satana", "Baeocera xichangana", "Baeocera huashana", "Baeocera kubani", "Baeocera yunnanensis", "Bironium bidens", "Chinamiris cumberi", "Chinamiris elongatus", "Chinamiris fascinans", "Chinamiris indeclivis", "Opuntia ser.", "Spinonychiurus sinensis", "Chinamiris ovatus", "Chinamiris secundus", "Chinamiris virescens", "Thelidium fulloense", "Allocaecilius smithersi", "Allocaecilius gombakensis", "Vituratella termitophilum", "Thelidium perminutum", "Thelidium syltense", "Thelidium subcataractarum", "Scaphicoma arcuata", "Leiocephalus personatus", "Scaphobaeocera lamellifera", "Scaphobaeocera incisa", "Scaphobaeocera cognata", "Scaphobaeocera nobilis", "Scaphobaeocera spinigera", "Scaphobaeocera difficilis", "Scaphobaeocera spira", "Scaphobaeocera dorsalis", "Scaphobaeocera simplex", "Scaphobaeocera molesta", "Scaphobaeocera pseudovalida", "Scaphoxium intermedium", "Scaphoxium taiwanum", "Toxidium villosum", "Toxidium pubistylis", "Toxidium styligerum", "Toxidium incompletum", "Mesocordylus spumosus", "Staurothele ambrosiana", "Acetabularia acetabulum", "Jamides cyta stevei", "Ramalina elegans", "Jamides fractilinea saraharum", "Pertusaria tuberculata", "Jamides fractilinea fractilinea", "Jamides aratus vignei", "Orestias albus", "Orestias luteus", "Orestias mulleri", "Orestias pentlandii", "Toxoides sichuanensis", "Ochterus santosi", "Nicotikis kabakovi", "Nicotikis korshunovi", "Baenothrips moundi", "Baenothrips asper", "Baenothrips quadratus", "Baenothrips ryukyuensis", "Baenothrips sphaerops", "Nazeris giganteus", "Nazeris alpinus", "Nazeris daliensis", "Nazeris jizushanensis", "Anaglyptothrips dugdalei", "Nazeris parabrunneus", "Nazeris baishanzuensis", "Nazeris furcatus", "Nazeris jiulongshanus", "Nazeris lijinweni", "Nazeris nigritulus", "Nazeris niutoushanus", "Nazeris shenshanjiai", "Nazeris tianmuensis", "Nazeris yandangensis", "Nazeris yanyingae", "Nazeris zhujingwenae", "Campylospermum lecomtei", "Cirsium osseticum subsp. abkhasicum", "Cirsium osseticum subsp. osseticum", "Cirsium osseticum subsp. tricholoma", "Cirsium pseudopersonata subsp. kusnezowianum", "Cirsium pseudopersonata subsp. pseudopersonata", "Campylospermum sulcatum", "Cirsium rhizocephalum subsp. rhizocephalum", "Cirsium rhizocephalum subsp. sinuatum", "Cirsium pubigerum var. caniforme", "Cirsium pubigerum var. glomeratum", "Cirsium simplex subsp. armenum", "Cirsium simplex subsp. satdaghense", "Cirsium simplex subsp. simplex", "Carientothrips calami", "Carientothrips horni", "Carientothrips palumai", "Carientothrips snowi", "Carientothrips tasmanica", "Megascogaster wallacei", "Onuphis farensis", "Mepleres longitudinalis", "Floridichthys carpio", "Floridichthys polyommus", "Macrocranion tupaiodon", "Orestias agassizii", "Solidago virgaurea subsp. jailarum", "Delenda frivaldszkyi", "Andasibe sahondrae", "Anaptychia ciliaris var. melanosticta", "Solidago virgaurea subsp. armena", "Solidago virgaurea subsp. asiatica", "Solidago virgaurea subsp. caucasica", "Solidago dahurica", "Solidago virgaurea subsp. gigantea", "Cyprinodon nevadensis", "Ochna micrantha", "Cyprinodon nevadensis amargosae", "Cyprinodon nevadensis calidae", "Cyprinodon nevadensis mionectes", "Cyprinodon nevadensis nevadensis", "Cyprinodon nevadensis pectoralis", "Cyprinodon nevadensis shoshone", "Opuntia ser.", "Cyprinodon hubbsi", "Opuntia ser.", "Scytalopus gonzagai", "Rana uenoi", "Calotes manamendrai", "Carientothrips loisthus", "Nesothrips badius", "Nesothrips coorongi", "Nesothrips rossi", "Nesothrips barrowi", "Nesothrips brigalowi", "Carientothrips alienatus", "Pierrebraunia bahiensis", "Pierrebraunia \u00d7 brauniorum", "Eriococcus araucariae", "Nipaecoccus aurilanatus", "Nipaecoccus nipae", "Eriosyce subg.", "Brachylepas americanum", "Brachylepas angulosa", "Philanisus fasciatus", "Nazeris rutilicorpus", "Nazeris hasegawai", "Nazeris hasegawai dewanus", "Leptosiaphos graueri", "Nazeris angustus", "Nazeris ohkurai", "Stephanus anijimensis", "Veraphis yoshitomii", "Cestopagurus hinepuia", "Nazeris brunneus", "Nazeris wuyiensis", "Nazeris imitator", "Nazeris robustus", "Tamoya ohboya", "Anillinus inexpectatus", "Boletus badiorufus", "Nazeris centralis", "Nazeris affinis", "Nazeris formosanus", "Nazeris monticola", "Nazeris silvestris", "Nazeris trifolius", "Frigidorchis humidicola", "Miltonia kayasimae", "Miltonia candida", "Neoplatyura noorae", "Neodiogmites carolindae", "Neodiogmites papaveroi", "Chydorus idrisi", "Aoraki denticulata", "Radula oreopsis", "Nazeris okinawanus", "Nazeris gotoi", "Nazeris laevis", "Nazeris punctatissimus", "Smerinthulus laurae", "Cyperus luzulae", "Orestias chungarensis", "Jamides pura parazebra", "Jamides pura pura", "Jamides pura spitamenes", "Jamides pura zebrina", "Jamides aratus masu", "Jamides aratus roberti", "Jamides aratus samueli", "Eriosyce napina", "Wigginsia erinacea", "Delenda carthago", "Orestias crawfordi", "Ctenolepisma sanctaehelenae", "Orestias ascotanensis", "Eriosyce subg.", "Islaya laui", "Ptilomymar dianensis", "Mothocya bertlucy", "Jamides pura eordaa", "Jamides pura juliana", "Eriosyce esmeraldana", "Mecodema chaiup", "Cratena minor", "Polycera anae", "Parapygmephorus luxtoni", "Aphaenogaster equestris", "Aphaenogaster jolantae", "Aphaenogaster lykiaensis", "Aphaenogaster olympica", "Aphaenogaster dulciniae", "Oreocereus leucotrichus", "Oreocereus hempelianus", "Jamides alecto batjana", "Gastrochilus dasypogon", "Jamides philatus fasciatus", "Jamides philatus philatus", "Jamides philatus stresemanni", "Jamides philatus subdita", "Tamarixia cometes", "Tamarixia meteora", "Habropetalum dawei", "Eriocactus lenninghausii", "Dichapetalum coronadoae", "Anelpistina californica", "Ascalaphus sinister", "Nazeris franzi", "Nazeris hippi", "Nazeris nepalensis", "Nazeris apterus", "Nazeris indicus", "Jamides aritai aritai", "Jamides aritai sabina", "Ochna hiernii", "Pachyphytum compactum", "Jamides halus carnegii", "Myolepas solida", "Jamides halus halus", "Mesocordylus scutellaris", "Echinochloa sect.", "Mesocordylus glaber", "Gurania tubulosa", "Gurania sessiliflora", "Araneus cristatus", "Araneus cuneatus", "Araneus flammatus", "Pseudoexeirarthra spinifer", "Amphisbaena persephone", "Torquigener albomaculosus", "Alopecosa taeniata", "Rinodina bullata", "Rinodina brodoana", "Mesocordylus longiclava", "Mesocordylus bracteolatus", "Echinocereus adustus", "Echinocereus knippelianus", "Echinocereus pamanesii", "Ouratea crassifolia", "Araneus bihamulus", "Araneus albabdominalis", "Araneus daozhenensis", "Micropeplus songi", "Tragopogon anatolicus", "Orestias ctenolepis", "Adencythere kodalnamerensis", "Mesocordylus abditus", "Mesocordylus eurytrema", "Echinocereus scheeri", "Neoplecostomus doceensis", "Acutihumerus patagoniensis", "Kuzicus compressus", "Nazeris foveatus", "Nazeris appendiculatus", "Nazeris puetzi", "Nazeris cornutus", "Nazeris trifurcatus", "Nazeris wrasei", "Rinodina chrysidiata", "Nazeris schuelkei", "Nazeris wuliangicus", "Nazeris nivimontis", "Nazeris sagittifer", "Nazeris secatus", "Nazeris cangicus", "Nazeris aculeatus", "Nazeris zhemoicus", "Nazeris pungens", "Nazeris lanuginosus", "Nazeris peniculatus", "Clanis hyperion bhutana", "Manduca afflicta", "Araneus formosus", "Araneus fumigatus", "Araneus inquilinus", "Araneus lignarius", "Araneus lunatus", "Araneus margaritatus", "Araneus mirabilis", "Araneus montanus", "Araneus muscosus", "Araneus nivalis", "Araneus ocellatus", "Araneus ovatus", "Araneus paludicola", "Araneus patagiatus", "Araneus piscatorius", "Araneus pullatus", "Araneus pulverulentus", "Araneus pyramidatus", "Araneus sisyphius", "Araneus striatus", "Araneus trabalis", "Araneus x-notatus", "Araneus redimitus", "Araneus roseus", "Araneus scenicus", "Araneus sclopetarius", "Araneus segmentatus", "Araneus umbraticus", "Araneus undatus", "Araneus vatius", "Araneus v-insignitus", "Rinodina buckii", "Ouratea rotundifolia", "Nazeris alticola", "Nazeris cephalotes", "Nazeris quadraticeps", "Nazeris brevipennis", "Nazeris bilamellatus", "Oreocereus doelzianus", "Ouratea fieldingiana", "Pediocactus nigrispinus", "Pyrola crypta", "Solenopsis geminata", "Gaeolaelaps khajooii", "Gaeolaelaps ahangarani", "Eustigmaeus tjumeniensis", "Chimaera orientalis", "Ambulyx latifascia", "Ambulyx bhutana", "Nazeris densissimus", "Nazeris annapurnae", "Nazeris tenuipennis", "Nazeris umbilicatus", "Nazeris excisus", "Nazeris incisus", "Nazeris glabriventris", "Nazeris confluens", "Nazeris parvilobatus", "Nazeris imberbis", "Nazeris diffissus", "Ambulyx dohertyi isabeliana", "Nazeris dissectus", "Nazeris flavocaudatus", "Nazeris flavapicalis", "Nazeris gilvapicalis", "Marumba cristata", "Nazeris barbimpressus", "Nazeris pugiofer", "Nazeris castratus", "Nazeris calvus", "Nazeris adentatus", "Marumba cristata tenggarensis", "Nazeris exsectus", "Nazeris sikkimensis", "Marumba cristata borneensis", "Nazeris bipenicillatus", "Marumba cristata centrosinica", "Nazeris disinteger", "Nazeris penicillatus", "Nazeris inexcisus", "Nazeris fractus", "Nazeris flexus", "Nazeris hirsutiventris", "Nazeris barbatissimus", "Nazeris barbiventris", "Nazeris barbisternalis", "Nazeris rotundatus", "Nazeris kleebergi", "Nazeris schawalleri", "Nazeris elegans", "Mesocordylus cylindraceus", "Manduca afflicta hispaniolana", "Angonyx sumbawensis", "Mesocordylus dispersus", "Copaxa lavenderohondurensis", "Copaxa cydiphondurensis", "Copaxa hondfenestrata", "Automeris elcearaiana", "Automeris parafera", "Automeris lojana", "Automeris sandimasiana", "Automeris chrisbrechlinae", "Automeris pinasiana", "Automeris helizonensis", "Automeris bahamata", "Automeris hesdimasiana", "Automeris petrovae", "Automeris aknorkei", "Automeris lempirensis", "Automeris marsoni", "Automeris werneri", "Citheronula maranhensis", "Loepa xizangensis", "Dahira sinyaevorum", "Mesocordylus jamaicensis", "Xerocomellus rubellus", "Cephalocereus columna-trajani", "Sicus ferrugineus", "Emiliania huxleyi", "Orestias gracilis", "Orestias gymnotus", "Orestias hardini", "Orestias imarpe", "Periga angcuscensis", "Periga angguyensis", "Periga angjunensis", "Odontomachus relictus", "Periga galbialtocuscensis", "Periga galbicentralis", "Periga galbinexspectata", "Periga galbiparaculata", "Rhescyntis hermes hermandensis", "Rhescyntis hermes hermes", "Schausiella cuscensis", "Schausiella longispinoides", "Schausiella maranhensis", "Schausiella satipensis", "Schausiella yungasensis", "Meranoplus parviumgulatus", "Orestias empyraeus", "Spiranthes lacera var. lacera", "Spiranthes lacera var. gracilis", "Mesocordylus apiciclava", "Mesocordylus porriginosus", "Mesocordylus rugicollis", "Weberbauerocereus cephalomacrostibas", "Echinopsis sphacelata", "Ouratea crassinervia", "Discocactus zehntneri subsp. boomianus", "Batrisodes dorothae", "Batrisodes spretoides", "Discocactus buenekeri", "Paphinia neudeckeri var. neudeckeri", "Paphinia neudeckeri var. mocoaensis", "Dolichovespula arenaria", "Browningia microsperma", "Trichocereus clavatus", "Ouratea pycnostachys", "Echinopsis serpentina", "Ouratea longifolia", "Bulbophyllum pecten-veneris", "Megalotremis dolabrata", "Crocynia minutiloba", "Bulbophyllum phalaenopsis", "Bulbophyllum pendulum", "Bulbophyllum malachadenia", "Pyrenidium coccineum", "Bulbophyllum macrobulbum", "Bulbophyllum purpureum", "Bulbophyllum macranthum", "Stiliderus ocreatus", "Orestias frontosus", "Orthogonius nongfaensis", "Orthogonius deuvei", "Pyrenula filiformis", "Krukoviella disticha", "Pyrenula spissitunicata", "Bulbophyllum purpureorhachis", "Xiphophorus alvarezi", "Cota tinctoria subsp. euxina", "Cota tinctoria subsp. virescens", "Bulbophyllum pipio", "Pyrenula mastigophora", "Quiina amazonica", "Quiina grandifolia", "Orestias forgeti", "Orestias ispi", "Orestias tchernavini", "Nazeris barbatus", "Nazeris firmilobatus", "Nazeris spiculatus", "Nazeris curvus", "Nazeris infractus", "Nazeris subdentatus", "Nazeris meilicus", "Nazeris vexillatus", "Nazeris circumclusus", "Nazeris hastatus", "Nazeris bangmaicus", "Nazeris fissus", "Nazeris rougemonti", "Nazeris chinensis", "Yeatesinia barbata", "Nazeris truncatus", "Arachnoobius austini", "Orestias multiporis", "Mesocordylus subulatus", "Mesocordylus gracilis", "Nazeris canaliculatus", "Nazeris foliaceus", "Nazeris qingchengensis", "Mesocordylus gracilicornis", "Mesocordylus pustulosus", "Glyphopsis aurantiodisca", "Mesocordylus leprosus", "Gossypiothallon appendisporum", "Cota melanoloma subsp. trapezuntica", "Cota melanoloma subsp. melanoloma", "Orestias mundus", "Cypoides chinensis", "Paradirphia latipunctata", "Nazeris custoditus", "Nazeris sociabilis", "Nazeris micangicus", "Nazeris dilatatus", "Nazeris parvincisus", "Nazeris longilobatus", "Nazeris acutus", "Nazeris bisinuosus", "Nazeris rectus", "Nazeris clavatus", "Nazeris extensus", "Nazeris cultellatus", "Nazeris compressus", "Nazeris huanghaoi", "Nazeris zhangi", "Milionia jakli", "Orestias richersoni", "Orestias tomcooni", "Orestias ututo", "Orestias robustus", "Mesocordylus papulatus", "Pachybrachis alcantarensis", "Cryptophagus aurelii", "Muscari sivrihisardaghlarense", "Telotheta fresei", "Telotheta unoi", "Telotheta muscipunctata", "Telotheta chlorostigma", "Syrnola lanceata", "Sisyra nigrescens", "Ouratea patens", "Ouratea rupununiensis", "Bembidion smetanai", "Bembidion liangi", "Bembidion ruffoi", "Ouratea acuminata", "Parnassia foliosa", "Orestias lastarriae", "Bembidion degeense", "Bembidion mikyskai", "Bembidion hetzeli", "Bembidion cavazzutii", "Bembidion jaroslavi", "Bembidion golem", "Bembidion longriba", "Microtritia paranovazealandiensis", "Plonaphacarus difficilis", "Orthogonius euthyphallus", "Orthogonius euthyphallus bolavenensis", "Orthogonius carinatus", "Orthogonius macrophthalmus", "Sematophyllum magillianum", "Dorsipes caspius", "Limnophila aquatica", "Myriophyllum tuberculatum", "Mesocordylus immundus", "Myriophyllum mattogrossense", "Myriophyllum pinnatum", "Graphis arifractuosa", "Alternanthera reineckii", "Harrisia tetracantha", "Parvocythere gottwaldi", "Ouratea caudata", "Parvocythere gracilis", "Ouratea caracasana", "Ouratea amplifolia", "Ouratea aromatica", "Ouratea oleosa", "Ouratea phaeophylla", "Danaus plexippus plexippus", "Ouratea weberbaueri", "Ouratea iquitosensis", "Ouratea tarapotensis", "Ouratea williamsii", "Ouratea pendula", "Orestias gilsoni", "Orestias jussiei", "Orestias minimus", "Orestias minutus", "Orestias mooni", "Orestias polonorum", "Orestias puni", "Orestias taquiri", "Orestias tutini", "Orestias uruni", "Galanthus elwesii var. elwesii", "Galanthus ser.", "Galanthus ser.", "Galanthus subser.", "Baryopsis glabra", "Baryopsis ingens", "Galanthus subser.", "Baryopsis minor", "Baryopsis montivagans", "Asplenium trichomanes subsp. quadrivalens", "Scorzonera acuminata", "Scorzonera ahmet-duranii", "Galeandra stangeana", "Byssoloma xanthonicum", "Cliostomum ovocarpum", "Godoya obovata", "Bulbophyllum flaviflorum", "Ouratea valerii", "Aphodius palmetincolus", "Scydmepitoxis paradoxa", "Riama yumborum", "Gymnoscalpellum indopacificum", "Arcoscalpellum epeeum", "Acrotrichis absona", "Acrotrichis barclayi", "Acrotrichis bibula", "Acrotrichis boothi", "Acrotrichis clareae", "Acrotrichis colini", "Acrotrichis cuspida", "Acrotrichis difficilis", "Acrotrichis exigua", "Acrotrichis hammondi", "Acrotrichis heissi", "Acrotrichis hova", "Acrotrichis impressa", "Acrotrichis lacrimosa", "Acrotrichis lauta", "Acrotrichis magnifica", "Acrotrichis malitiosa", "Acrotrichis obscura", "Acrotrichis perexigua", "Acrotrichis perfida", "Acrotrichis strenua", "Acrotrichis subafricana", "Acrotrichis tampoketsae", "Acrotrichis terminalis", "Acrotrichis truncata", "Acrotrichis tuberosa", "Hexachaetus maindroni", "Hexachaetus taylorae", "Hexachaetus prodigus", "Hexachaetus perroti", "Actenoncus punctatus", "Ouratea blanchetiana", "Orthogonius obliquepes", "Orthogonius schauteni", "Orthogonius borneoensis", "Orthogonius singaporensis", "Orthogonius fairmairei", "Orthogonius punctatellus", "Orthogonius hirtulus", "Orthogonius palangbangensis", "Orthogonius adoriae", "Orthogonius curvatus", "Orthogonius solidus", "Orthogonius simplicatus", "Orthogonius petiolaris", "Tulipa sylvestris subsp. sylvestris", "Orthogonius perakensis", "Tulipa sylvestris subsp. australis", "Zadbimyia aberrans", "Zadbimyia anniae", "Zadbimyia artborkenti", "Zadbimyia browni", "Zadbimyia carolinae", "Zadbimyia costaricensis", "Zadbimyia dubia", "Zadbimyia elenae", "Zadbimyia elviae", "Zadbimyia holdenae", "Zadbimyia inornata", "Zadbimyia lasalturas", "Zadbimyia marcoi", "Zadbimyia membranacea", "Zadbimyia minima", "Zadbimyia spinapiscis", "Zadbimyia talamanca", "Zadbimyia tapanti", "Zadbimyia viquezi", "Zadbimyia wendyae", "Zadbimyia zumbadoi", "Zadbimyia zurqui", "Drepanosticta machadoi", "Orestias incae", "Orestias olivaceus", "Semicytherura kempfi", "Sporophila corvina", "Platanthera calceoliformis", "Bembidion bulirschianum", "Bembidion wrzecionkoi", "Bembidion hajeki", "Bembidion pavesii", "Bembidion hamanense", "Bembidion piceocyaneum", "Bembidion toledanoi", "Orestias laucaensis", "Orestias parinacotensis", "Ouratea cassinefolia", "Ouratea macranthos", "Mesocordylus excisus", "Mesocordylus similis", "Dendrobium uniflorum", "Orthogonius carbonicolor", "Orthogonius legrandi", "Orthogonius mekongensis", "Orthogonius tonkinicus", "Orthogonius kalimantanensis", "Orthogonius burmanensis", "Orthogonius burckhardti", "Orthogonius panghongae", "Orthogonius coomani", "Orthogonius pseudocheni", "Orthogonius huananoides", "Orthogonius paris", "Orthogonius thaiensis", "Orthogonius pangi", "Orthogonius tonkinensis", "Orthogonius lao", "Orthogonius cambodgensis", "Orthogonius constanti", "Orthogonius grootaerti", "Orthogonius angkor", "Orthogonius javanus", "Orthogonius taiwanicus", "Orthogonius inexpectatus", "Orthogonius latreillei", "Orthogonius drumonti", "Orthogonius loeiensis", "Orthogonius annamicola", "Orthogonius tenasserimensis", "Orthogonius dohertyi", "Orthogonius loeicus", "Orthogonius thailandensis", "Orthogonius brancuccii", "Orthogonius siamensis", "Orthogonius pachlatkoi", "Orthogonius chiangensis", "Orthogonius kubani", "Orthogonius medanensis", "Orthogonius stantoni", "Orthogonius parastantoni", "Orthogonius tikekee", "Orthogonius travancore", "Orthogonius salvazai", "Orthogonius montanus", "Orthogonius nepalicus", "Orthogonius uncipennis", "Orthogonius himalaya", "Orthogonius myanmarensis", "Orthogonius nahaeo", "Orthogonius pseudolongicornis", "Orthogonius rotundatus", "Orthogonius gracilis", "Orthogonius andrewesianus", "Bembidion neodelamarei", "Bembidion pascoense", "Bembidion zanettii", "Bembidion engelhardti", "Bembidion engelhardti rayoda", "Bembidion tunuyanense", "Bembidion pallideguttula", "Bembidion lonae", "Bembidion peterseni", "Bembidion mendocinum", "Panaeolus subbalteatus", "Ouratea oleifolia", "Ouratea nana", "Ouratea ovalis", "Lobivia arachnacantha var. sulphurea", "Lobivia arachnacantha var. arachnacantha", "Lobivia arachnacantha var. torrecillasensis", "Ouratea lucens", "Pentodon algerinus", "Orthogonius quadrisetosus", "Orthogonius malacca", "Orthogonius malaya", "Orthogonius confusus", "Orthogonius ledouxi", "Orthogonius putzeysi", "Orthogonius makiling", "Orthogonius bruggei", "Orthogonius equimarginalis", "Orthogonius celebesicus", "Orthogonius yoga", "Orthogonius sabahensis", "Orthogonius dongnanya", "Orthogonius parasuturalis", "Orthogonius plebius", "Orthogonius batesioides", "Orthogonius duboisi", "Orthogonius fryi", "Verbascum armenum var. occidentale", "Orthogonius schaumioides", "Orthogonius maindronianus", "Orthogonius dupuisi", "Orthogonius assamicola", "Orthogonius sulcatoides", "Orthogonius indophilus", "Orthogonius sumatraicus", "Orthogonius wallardiensis", "Verbascum armenum var. tempskyanum", "Orthogonius melanipes", "Orthogonius gracilipes", "Orthogonius sarawakensis", "Verbascum armenum var. armenum", "Orthogonius edentatus", "Orthogonius lancangjiang", "Orthogonius malaysiaensis", "Orthogonius assamensis", "Orthogonius canaraensis", "Orthogonius canaraicola", "Orthogonius minimus", "Orthogonius tangsen", "Orthogonius indicus", "Orthogonius annemariae", "Orthogonius smetsi", "Ouratea humilis", "Ouratea nervosa", "Diaspiniphagus decorus", "Pteroptrix bicolor", "Pteroptrix caucasicus", "Aster verticillatus", "Aphodius bonnairei", "Ouratea riedeliana", "Liolaemus yatel", "Bembidion toledanoi toledanoi", "Catocala toropovi", "Axima sidi", "Bembidion toledanoi tobanum", "Bembidion toledanoi sertarense", "Bembidion toledanoi rawuense", "Bembidion toledanoi zhongdianicum", "Bembidion nivicola", "Bembidion pluto", "Bembidion persephone", "Bembidion persephone nanqenense", "Dichaea bragae", "Ouratea globosa", "Ouratea tenuifolia", "Orestias piacotensis", "Bembidion bordoni", "Bembidion caoduroi", "Bembidion khuchuchani", "Bembidion mallmaense", "Bembidion murrilloense", "Allomymar taitae", "Ablerus aegypticus", "Aphelinus odin", "Aphelinus paluscolus", "Aphelinus elvestueni", "Sporophila funerea", "Cereus fernambucensis subsp. fernambucensis", "Cereus fernambucensis subsp. sericifer", "Eutrichosomella veenakumariae", "Umairia laiba", "Umairia zeera", "Aleochara brooksi", "Aleochara alajuela", "Aleochara monteverde", "Aleochara costarica", "Opuntia maxima", "Eutrichosomella aereiscapus", "Eutrichosomella voltairei", "Eutrichosomella indica", "Eutrichosomella insularis", "Eutrichosomella keralaensis", "Encarsia dimai", "Ephedrus vaccinii", "Ephedrus validus", "Bembidion proportionale", "Bembidion m-signatum", "Bembidion cillenoides", "Bembidion ryei", "Bembidion jacobseni", "Bembidion mirasoi", "Berosus pedregalensis", "Berosus stenocoptus", "Berosus obsoletus", "Berosus ussingi", "Berosus multimaculatus", "Berosus coptogonus", "Berosus dehiscens", "Sympetrum parvulum", "Ouratea confertiflora", "Calosoma sayi", "Orthognathus lividus", "Orthognathus subparallelus", "Lobivia chrysochete", "Fumana thymifolia", "Helianthemum antitauricum", "Ouratea glaucescens", "Ephedrus dysaphidis", "Ephedrus ramnagarensis", "Ephedrus longiarticulatus", "Ephedrus lonicerae", "Taiwanaphis furcifera", "Froesia crassiflora", "Froesia venezuelensis", "Froesia diffusa", "Ephedrus angustithoracicus", "Ephedrus blattnyi", "Ephedrus brevis", "Ephedrus californicus", "Ephedrus cavariellae", "Ephedrus cerasicola", "Ephedrus chaitophori", "Ephedrus cheni", "Ephedrus clavicornis", "Ephedrus curtus", "Ephedrus dioscoreae", "Ephedrus helleni", "Ephedrus himalayensis", "Ephedrus hyaloptericolus", "Ephedrus incompletus", "Ephedrus jiangsuensis", "Ephedrus koponeni", "Ephedrus lacertosus", "Ephedrus laevicollis", "Ephedrus longistigmus", "Ephedrus mandjuriensis", "Ephedrus meliarhizophagi", "Ephedrus mirabilis", "Ephedrus nacheri", "Ephedrus nelumbus", "Ephedrus niger", "Ephedrus orientalis", "Ephedrus perillae", "Ephedrus primordialis", "Ephedrus prociphili", "Ephedrus quadratum", "Ephedrus radiatus", "Ephedrus robustus", "Ephedrus rugosus", "Ephedrus srinagarensis", "Ephedrus tanycoleosus", "Ephedrus transversus", "Ephedrus trichosiphoniellae", "Ephedrus urticae", "Masdevallia paivaeana", "Masdevallia maloi", "Masdevallia virgo-cuencae", "Peruphorticus gulliveri", "Brasilicactus graessneri", "Brasilicactus alacriportanus", "Brasilicactus rechensis", "Brasilicactus brevihamatus", "Notocactus concinnus", "Hoazineus armiferus", "Anabarhynchus oceanus", "Eriosyce subg.", "Ramphasticola hirsuta", "Anthrenus king", "Anthrenus consobrinus", "Ouratea verruculosa", "Orestias tschudii", "Papilio jason", "Papilio idmon", "Brasilicactus catarinensis", "Brasilicactus buenekeri", "Orthognathus imaginis", "Aphanius opavensis", "Jadwigella enigmatica", "Eriocactus schumannianus", "Orestias silustani", "Samariola camerounensis", "Saengella gloria", "Mashimaro hawksi", "Mashimaro lasallei", "Ablerus albicaput", "Ablerus aleuroides", "Ablerus aligarhensis", "Ablerus amarantus", "Ablerus americanus", "Ablerus aonidiellae", "Ablerus arboris", "Ablerus argentiscapus", "Ablerus atomon", "Ablerus baeusoides", "Ablerus beenleighi", "Ablerus bharathius", "Ablerus bicinctipes", "Ablerus bidentatus", "Ablerus bifasciatus", "Ablerus biguttatibiae", "Ablerus calvus", "Ablerus capensis", "Ablerus celsus", "Ablerus chionaspidis", "Ablerus chrysomphali", "Ablerus ciliatus", "Ablerus clisiocampae", "Ablerus connectens", "Ablerus crassus", "Ablerus delhiensis", "Ablerus diana", "Ablerus dozieri", "Ablerus elegantissimus", "Ablerus elegantulus", "Ablerus emersoni", "Ablerus floccosus", "Ablerus gargarae", "Ablerus gratus", "Ablerus grotiusi", "Ablerus hastatus", "Ablerus howardii", "Ablerus hyalinus", "Ablerus impunctatipennis", "Ablerus inquirenda", "Ablerus lepidus", "Ablerus leucopidis", "Ablerus longfellowi", "Rakaia collaris", "Synthetonychia proxima", "Callaeas wilsoni", "Philesturnus rufusater", "Mitrastemon matudai", "Anthrenus safad", "Anthrenus simonis", "Anthrenus armstrongielus", "Anthrenus svatopluki", "Proutia maculatella", "Proutia nigra", "Troctopsocoides erwini", "Troctopsocoides gracilis", "Haruchlora maesi", "Corononcodes ziegleri", "Pseudobasidissus barclayi", "Trachygamasus ambulacralis", "Glyphipterix simpliciella", "Ramphasticola aenigma", "Ramphasticola mirabile", "Ramphasticola moylei", "Epiara dimorpha", "Bolitoglossa chucantiensis", "Carlia wundalthini", "Ablerus macchiae", "Ablerus macilentus", "Ablerus macrochaeta", "Ablerus magistrettii", "Ablerus matritensis", "Ablerus mokrzeckii", "Ablerus molestus", "Ablerus nelsoni", "Ablerus miricilia", "Ablerus novicornis", "Ablerus palauensis", "Ablerus perfuscipennis", "Ablerus perspeciosus", "Ablerus peruvianus", "Ablerus pexus", "Ablerus pinifoliae", "Ablerus pius", "Ablerus platensis", "Ablerus plesius", "Ablerus promacchiae", "Ablerus pulcherrimus", "Ablerus pulchriceps", "Ablerus pumilus", "Ablerus separaspidis", "Ablerus williamsi", "Ablerus similis", "Ablerus speciosissimus", "Ablerus speciosus", "Ablerus stylatus", "Ablerus totifuscipennis", "Ablerus unnotipennis", "Glaphyromorphus nyanchupinta", "Glaphyromorphus othelarrni", "Morchella australiana", "Aculepeira morenoae", "Cubanichthys cubensis", "Rhinorex condrupus", "Cubanichthys pengelleyi", "Lissotes krakei", "Agathidium paracuminatum", "Agathidium pararufescens", "Trevathana dentata", "Mesopolobus melitensis", "Apistogramma ortegai", "Diodonopsis anachaeta", "Diodonopsis hoeijeri", "Diodonopsis pterygiophora", "Diodonopsis pygmaea", "Araneus yoshitomii", "Ummeliata xiaowutai", "Pardosa albomarginata", "Diphya wulingensis", "Orthopsyche fimbriata", "Orthopsyche thomasi", "Trichophysetis crocoplaga", "Trichophysetis flavimargo", "Trichophysetis gracilentalis", "Trichophysetis microspila", "Trichophysetis obnubilalis", "Trichophysetis preciosalis", "Trichophysetis pygmealis", "Trichophysetis rufoterminalis", "Trichophysetis whitei", "Geocoris borealis", "Nothofagus palustris", "Encentrum essexis", "Sisyrinchium parvum", "Sisyrinchium subalpinum", "Ouratea conduplicata", "Baryscapus salsolae", "Baryscapus artemisiae", "Baryscapus hedysari", "Stromatanobium delgadoi", "Phytophthora pachypleura", "Tomarus colombianus", "Megaloceros giganteus", "Pleione aurita", "Ouratea oliviformis", "Ouratea decorans", "Ouratea itineraria", "Crenichthys nevadae", "Rhododendron aureodorsale", "Masdevallia racemosa", "Ouratea cuspidata", "Masdevallia pachyura", "Crenichthys baileyi albivallis", "Crenichthys baileyi baileyi", "Crenichthys baileyi grandis", "Crenichthys baileyi moapae", "Crenichthys baileyi thermophilus", "Empetrichthys latos", "Empetrichthys merriami", "Ouratea grandifolia", "Empetrichthys latos concavus", "Empetrichthys latos latos", "Empetrichthys latos pahrump", "Indopinnixa shellorum", "Indopinnixa kumejima", "Indopinnixa oryza", "Echinocereus leucanthus", "Allodontichthys hubbsi", "Echinocereus poselgeri", "Cereus poselgeri", "Xyphinus acutus", "Xyphinus baehrae", "Xyphinus deelemanae", "Xyphinus distortus", "Xyphinus holgeri", "Xyphinus infaustus", "Xyphinus krabi", "Xyphinus pachara", "Xyphinus rogerfedereri", "Xyphinus sabal", "Xyphinus pakse", "Xyphinus abanghamidi", "Xyphinus gibber", "Xyphinus xanthus", "Xyphinus xelo", "Xyphinus lemniscatus", "Danis glaucopis", "Tremella rhizocarpicola", "Lepidium makateanum", "Cortinarius araniiti", "Cortinarius artosus", "Cortinarius canovestitus", "Cortinarius chlorophyllus", "Cortinarius cruentoides", "Cortinarius cuphocyboides", "Cortinarius cuphomorphus", "Cortinarius medioscaurus", "Cortinarius sciurellus", "Cortinarius wallacei", "Microhyla orientalis", "Ouratea gigantophylla", "Masdevallia unguentum", "Ouratea pulchella", "Ouratea miersii", "Psophia viridis obscura", "Ouratea multiflora", "Crenichthys baileyi", "Masdevallia pinocchio", "Ouratea membranacea", "Bupleurum rischawii", "Masdevallia hercules", "Masdevallia adamsii", "Masdevallia morochoi", "Zodarion bicoloripes", "Trichophysetis nesias", "Xyphinus montanus", "Katkaenus buruanus", "Globicornis luckowi", "Globicornis emeii", "Coccophagus minor", "Egidyella arcana", "Egidyella prophetea", "Felicola rodentestris", "Prosopocoilus mefianti", "Riccardia elisabethae", "Hydrocotyle rivularis", "Perdita rhodogastra", "Massonia amoena", "Masdevallia subg.", "Masdevallia amanda", "Dosima fascicularis", "Acanthocereus baxaniensis", "Zubairia mirifica", "Carabus gigas", "Ouratea parvifolia", "Asklepia campbellorum", "Asklepia demiti", "Asklepia duofos", "Asklepia grammechrysea", "Asklepia laetitia", "Asklepia matomena", "Asklepia adisi", "Asklepia asuncionensis", "Asklepia biolat", "Asklepia bracheia", "Asklepia cuiabaensis", "Asklepia ecuadoriana", "Asklepia kathleenae", "Asklepia macrops", "Asklepia marchantaria", "Asklepia marituba", "Asklepia pakitza", "Centaurea cadmea subsp. cadmea", "Asklepia paraguayensis", "Asklepia samiriaensis", "Lobivia schieliana", "Asklepia stalametlitos", "Asklepia surinamensis", "Asklepia vigilante", "Lobivia rauschii", "Asklepia geminata", "Lobivia tiegeliana", "Asklepia hilaris", "Asklepia lebioides", "Asklepia pulchripennis", "Asklepia strandi", "Perdita bellula", "Perdita coldeniae", "Perdita arenaria", "Perdita sexfasciata", "Perdita trifasciata", "Anthrenus kabateki", "Ctesias eggeri", "Nicrophorus sausai", "Ernobius barticus", "Anthrenus prudeki", "Acanthocereus horridus", "Acanthocereus occidentalis", "Holomitrium trichopodum", "Masdevallia picturata", "Fridericia patellifera", "Tabebuia maxonii", "Masdevallia meleagris", "Discolampa ethion negrosiana", "Masdevallia setacea", "Cuspidaria floribunda", "Orphinus sikkimensis", "Allodontichthys zonistius", "Carybdea morandinii", "Nomorhamphus lanceolatus", "Nomorhamphus sagittarius", "Fridericia florida", "Lantana salzmannii", "Masdevallia alexandri", "Glyptothorax clavatus", "Allotoca catarinae", "Discolampa ethion niasana", "Masdevallia mutica", "Masdevallia pleurothalloides", "Indirana chiravasi", "Rhombophryne vaventy", "Masdevallia subg.", "Lantana lucida", "Lantana radula", "Masdevallia ignea", "Kakuna taibaiensis", "Allotoca diazi", "Marbenia cinerea", "Marbenia pallida", "Ellipsidion bicolor", "Tristaniopsis kinabaluensis", "Leptopelis mtoewaate", "Masdevallia tentaculata", "Masdevallia tridens", "Masdevallia vittatula", "Masdevallia xanthodactyla", "Danis danis proedrus", "Masdevallia zygia", "Masdevallia \u00d7 alvaroi", "Hypostomus dardanelos", "Masdevallia persicina", "Masdevallia subg.", "Masdevallia macrura", "Danis drucei drucei", "Danis melimnos melimnos", "Masdevallia cerastes", "Masdevallia delhierroi", "Masdevallia vidua", "Masdevallia subg.", "Colea seychellarum", "Ouratea suaveolens", "Ouratea verticillata", "Acacia subg.", "Laetiporus sulphureus", "Ouratea polita", "Pseudobalta cinctella", "Pseudobalta pusilla", "Pseudobalta queenslandica", "Dysoxylum pachyphyllum", "Cerococcus michaeli", "Saxifraga burseriana", "Saxifraga hypnoides", "Saxifraga cotyledon", "Saxifraga hostii", "Micranthes hieraciifolia", "Masdevallia subg.", "Ouratea opaca", "Tristaniopsis callobuxus", "Tristaniopsis capitulata", "Ouratea jurgensenii", "Tristaniopsis collina", "Tristaniopsis exiliflora", "Tristaniopsis anomala", "Tristaniopsis beccarii", "Tristaniopsis bilocularis", "Tristaniopsis burmanica", "Tristaniopsis clementis", "Tristaniopsis decorticata", "Tristaniopsis elliptica", "Triepeolus matildae", "Rhinobatos whitei", "Xiphophorus continens", "Xiphophorus malinche", "Xiphophorus multilineatus", "Xiphophorus nezahualcoyotl", "Masdevallia pozoi", "Masdevallia pulcherrima", "Masdevallia rafaeliana", "Eviota minuta", "Eviota tetha", "Allodontichthys tamazulae", "Fidiobia citri", "Hydora laticeps", "Sideritis phlomoides", "Sideritis lanata", "Hypostomus basilisko", "Hypostomus khimaera", "Sideritis romana", "Sideritis hololeuca", "Masdevallia segrex", "Masdevallia sertula", "Masdevallia staaliana", "Masdevallia superbiens", "Masdevallia anisomorpha", "Masdevallia fasciata", "Masdevallia heteroptera", "Masdevallia hortensis", "Masdevallia milagroi", "Masdevallia pantomima", "Masdevallia parvula", "Masdevallia planadensis", "Masdevallia segurae", "Masdevallia ximenae", "Anomala katherine", "Oedura murrumanu", "Masdevallia bulbophyllopsis", "Masdevallia anceps", "Masdevallia caloptera", "Masdevallia chaetostoma", "Masdevallia corazonica", "Masdevallia dalstroemii", "Masdevallia delphina", "Masdevallia dimorphotricha", "Masdevallia ferrusii", "Tanakia latimarginata", "Danis horsa", "Allodontichthys polylepis", "Masdevallia graminea", "Masdevallia hydrae", "Masdevallia leathersii", "Masdevallia lehmannii", "Masdevallia leptoura", "Masdevallia melanopus", "Masdevallia microsiphon", "Masdevallia nigricans", "Masdevallia ova-avis", "Masdevallia polysticta", "Masdevallia porphyrea", "Gasteruption youngi", "Calyptraeotheres camposi", "Iochroma gesnerioides", "Ouratea trollii", "Eolepas strambergensis", "Ouratea werdermannii", "Eolepas fimbriata", "Ellipsidion laetum", "Ellipsidion magnificum", "Ellipsidion notabile", "Ellipsidion quadripunctatum", "Ellipsidion yapenensis", "Ellipsidion terminale", "Ellipsidion castaneum", "Ectoneura hanitschi", "Wedelia prostrata", "Diplocentrum recurvum", "Diplocentrum congestum", "Masdevallia teaguei", "Calliandra sect.", "Halirages helgae", "Ouratea riparia", "Ouratea septentrionalis", "Ouratea subcaudata", "Ellipsidion gemmiculum", "Scymnus alligator", "Scymnus bunya", "Scymnus leai", "Scymnus tasmanicus", "Ellipsidion amplum", "Ellipsidion humerale", "Ellipsidion simulans", "Ellipsidion femoratum", "Masdevallia datura", "Masdevallia xanthina", "Anthrenus edopetri", "Anthrenus kalimantanus", "Anthrenus stelma", "Anthrenus tarnawskii", "Ahnea keejeongi", "Scymnus ambulans", "Clematostigma brevistylus", "Clematostigma fumatum", "Clematostigma indicum", "Clematostigma hyalinum", "Clematostigma paraguayense", "Clematostigma subcostale", "Clematostigma sasmoko", "Chorisoneura carpenteri", "Chorisoneura cristobalensis", "Balta epilamproides", "Balta litura", "Balta mundicola", "Balta patula", "Balta testacea", "Balta tricolor", "Masdevallia aurorae", "Masdevallia carmenensis", "Masdevallia chaucana", "Ouratea acuta", "Allotoca maculata", "Austromuellera trinervia", "Allotoca zacapuensis", "Amyris sylvatica", "Leiophron sarahae", "Leiophron yaeli", "Ibicella lutea", "Ouratea cataractarum", "Rhachistia aldabrae", "Masdevallia sect.", "Masdevallia andreae", "Masdevallia amaluzae", "Masdevallia audax", "Orphinus harveyi", "Ouratea insulae", "Placospermum coriaceum", "Ectopsocopsis xerophylla", "Ectopsocopsis cryptomeriae", "Peripsocus pumilis", "Ouratea podogyna", "Allotoca regalis", "Pseudoarcyptera cephalica", "Ouratea oblita", "Agastachys odorata", "Symphionema montanum", "Symphionema paludosum", "Tristaniopsis ferruginea", "Tristaniopsis fruticosa", "Tristaniopsis whiteana", "Tristaniopsis yateensis", "Tristaniopsis jaffrei", "Tristaniopsis macphersonii", "Tristaniopsis reticulata", "Tristaniopsis lucida", "Tristaniopsis minutiflora", "Tristaniopsis ninndoensis", "Tristaniopsis pentandra", "Tristaniopsis oblongifolia", "Tristaniopsis micrantha", "Tristaniopsis littoralis", "Tristaniopsis macrosperma", "Tristaniopsis razakiana", "Tristaniopsis pontianensis", "Tristaniopsis merguensis", "Tristaniopsis obovata", "Tristaniopsis oreophila", "Tristaniopsis polyandra", "Tristaniopsis vieillardii", "Tristaniopsis rubiginosa", "Tristaniopsis parvifolia", "Tristaniopsis glauca", "Tristaniopsis guillainii", "Tristaniopsis microcarpa", "Auratiopycnidiella tristaniopsis", "Cerococcus corokiae", "Anaplecta vittata", "Blastemanthus grandiflorus", "Calliandra sect.", "Calliandra sect.", "Calliandra sect.", "Masdevallia nidifica", "Masdevallia bucculenta", "Masdevallia dynastes", "Trevathana mizrachae", "Masdevallia subg.", "Masdevallia sect.", "Masdevallia naranjapatae", "Masdevallia olmosii", "Masdevallia schizopetala", "Masdevallia schizostigma", "Masdevallia vieirana", "Restrepiella guatemalensis", "Iochroma ayabacense", "Cartrema floridana", "Osmanthus sect.", "Osmanthus sect.", "Osmanthus sect.", "Ouratea theophrasta", "Chapalichthys encaustus", "Aeshna crenata", "Chapalichthys pardalis", "Chapalichthys peraticus", "Sauvagesia paucielata", "Osmanthus sect.", "Osmanthus sect.", "Girardinichthys ireneae", "Rostrinucula dependens", "Rostrinucula sinensis", "Rhododendron hippophaeoides var. hippophaeoides", "Rhododendron hippophaeoides var. occidentale", "Verruca rocana", "Euchrysops nilotica", "Areopraon lepelleyi", "Tesarius oregonensis", "Tigrigobius redimiculus", "Plaumanniola simplicissima", "Luxemburgia glazioviana", "Masdevallia molossoides", "Masdevallia molossus", "Masdevallia ophioglossa", "Masdevallia ophioglossa subsp. ophioglossa", "Masdevallia ophioglossa subsp. grossa", "Masdevallia strigosa", "Luxemburgia nobilis", "Masdevallia ventricosa", "Masdevallia subg.", "Masdevallia bicornis", "Clathrus ruber", "Allotoca dugesii", "Calliandra sect.", "Calliandra sect.", "Masdevallia subg.", "Masdevallia subg.", "Ouratea frontium", "Masdevallia caudivolvula", "Ouratea hoehnei", "Allotoca goslinei", "Rhododendron complexum", "Acidonia microcarpa", "Rhododendron flavidum", "Rhododendron tapetiforme", "Rhododendron websterianum", "Rhododendron subsect.", "Rhododendron subsect.", "Chinamiris acutospinosus", "Chinamiris brachycerus", "Chinamiris citrinus", "Chinamiris daviesi", "Chinamiris dracophylloides", "Chinamiris guttatus", "Chinamiris hamus", "Chinamiris juvans", "Chinamiris marmoratus", "Chinamiris minutus", "Chinamiris niculatus", "Chinamiris nigrifrons", "Chinamiris opacus", "Chinamiris punctatus", "Chinamiris quadratus", "Chinamiris rufescens", "Chinamiris unicolor", "Chinamiris viridicans", "Chinamiris whakapapae", "Chinamiris zygotus", "Girardinichthys multiradiatus", "Girardinichthys limnurgus", "Girardinichthys viviparus", "Allotoca meeki", "Masdevallia chimboensis", "Masdevallia lynniana", "Trevathana margaretae", "Pycnolepas scalaris", "Ouratea curvata", "Masdevallia manchinazae", "Masdevallia mataxa", "Masdevallia merinoi", "Masdevallia sanchezii", "Masdevallia venus", "Euchrysops abyssinica", "Masdevallia vierlingii", "Urosigalphus aliuslongitudinis", "Urosigalphus amandae", "Urosigalphus carinaverticis", "Urosigalphus cavusscuti", "Urosigalphus colombiensis", "Urosigalphus colordissimilis", "Urosigalphus faciescarinae", "Urosigalphus fimbriaeplanae", "Urosigalphus frequens", "Urosigalphus inaequalis", "Urosigalphus macarenaensis", "Urosigalphus margo", "Urosigalphus metanotuminsignum", "Urosigalphus monticola", "Urosigalphus notauliremoti", "Urosigalphus ocellivicini", "Urosigalphus ordoincompositus", "Urosigalphus sharkeyi", "Urosigalphus singularis", "Urosigalphus taniae", "Urosigalphus tredecimantennae", "Urosigalphus triacarinae", "Urosigalphus whitfieldi", "Uranothauma crawshayi", "Centaurea phrygia subsp. salicifolia", "Justicia prachuapensis", "Dixa submaculata", "Dixa peusi", "Dichomeris bucinaria", "Rivula albipunctata", "Agathia eromena", "Trevathana jensi", "Agathia protrusa", "Agathia cara", "Agathia cognata", "Agathia luzonensis", "Agathia par", "Euchrysops albistriata", "Euchrysops albistriata albistriata", "Euchrysops albistriata greenwoodi", "Euchrysops barkeri", "Euchrysops brunneus", "Thermofilum pendens", "Euchrysops crawshayi", "Euchrysops crawshayi crawshayi", "Euchrysops crawshayi fontainei", "Hypolycaena suda", "Etcheslepas durotrigensis", "Kermes echinatus", "Strophurus horneri", "Etcheslepas fragilis", "Attagenus hadesi", "Agathia dinagatensis", "Agathia rudis", "Agathia inouei", "Agathia conspecta", "Agathia consobrina", "Agathia brevicula", "Agathia laetata", "Agathia rectimargo", "Agathia spectabilis", "Agathia torridula", "Agathia solaria", "Agathia imbecilla", "Agathia mediocris", "Agathia spadicea", "Agathia albicurvatura", "Agathia disjuncta", "Paracyphanta sugii", "Hypomecis philippinensis", "Minooa yamamotoi", "Camptoloma semiflavum", "Hadulipolia sajanensis", "Euchrysops cyclopteris", "Chilades alberta", "Hadulipolia odiosa", "Hadulipolia odiosa odiosa", "Euchrysops decaryi", "Hadulipolia albilinea", "Hadulipolia albilinea albilinea", "Euchrysops dolorosa", "Hadulipolia albilinea wenchowensis", "Chrysaeglia negrosensis", "Campylotes altissimus", "Aeolopetra lanyuensis", "Periploca atrata", "Periploca mimula", "Periploca cata", "Euchrysops horus", "Euchrysops kabrosae", "Euchrysops kabrosae kabrosae", "Euchrysops kabrosae rosieae", "Euchrysops katangae", "Euchrysops lois", "Euchrysops malathana", "Euchrysops mauensis", "Euchrysops mauensis mauensis", "Euchrysops mauensis abyssiniae", "Euchrysops migiurtiniensis", "Euchrysops nandensis", "Psallops schmitzi", "Psallops webbi", "Goodea luitpoldii", "Lethenteron appendix", "Lethenteron zanandreai", "Tridiplous penmani", "Ipomoea syringifolia", "Pycnolepas ignabergensis", "Solanum reflexiflorum", "Helpis foelixi", "Helpis merriwa", "Helpis staregai", "Helpis wanlessi", "Helpis wisharti", "Hypsochila argyrodice", "Hypsochila galactodice", "Hypsochila penai", "Hypsochila huemul", "Hypsochila microdice", "Hypsochila wagenknechti", "Pycnolepas industriosa", "Hypsochila wagenknechti sulfurodice", "Hypsochila wagenknechti wagenknechti", "Infraphulia illimani", "Infraphulia ilyodes", "Infraphulia madeleinea", "Baltia butleri", "Yucca coahuilensis", "Coprosma arborea", "Coprosma distantia", "Yucca angustissima var. angustissima", "Acrodontis tanchame", "Acrodontis yazakii", "Acrodontis aenigma", "Acrodontis kotshubeji", "Acrodontis tsinlingensis", "Acrodontis hunana", "Acrodontis insularis", "Racotis luzonensis", "Racotis fortijuxta", "Racotis inconclusa", "Paranthrene tabaniformis", "Paranthrene tabaniformis tabaniformis", "Paranthrene tabaniformis kungessana", "Euchrysops osiris", "Euchrysops philbyi", "Euchrysops reducta", "Euchrysops sagba", "Bembecia stiziformis tenebrosa", "Euchrysops severini", "Euchrysops subpallida", "Euchrysops unigemmata", "Cupidopsis cissus", "Cupidopsis jobates", "Cupidopsis cissus cissus", "Cupidopsis cissus extensa", "Synanthedon cruciati", "Cupidopsis jobates jobates", "Yucca angustissima var. avia", "Yucca angustissima var. kanabensis", "Yucca angustissima var. toftiae", "Yucca sterilis", "Pycnolepas orientalis", "Arthonia atra", "Ambulyx zacharovi", "Orecta comus", "Barbourion lemaii", "Batocnema africanus", "Batocnema coquerelii", "Batocnema coquerelii coquerelii", "Batocnema coquerelii aldabrensis", "Batocnema coquerelii anjouanensis", "Batocnema coquerelii comorana", "Batocnema coquerelii occidentalis", "Amplypterus mansoni takamukui", "Spectronissa parallela", "Sarbanissa diana", "Sarbanissa vitalis", "Perizoma obsoletata avilaria", "Megacraspedus andreneli", "Anaplectoides atrovirens", "Anaplectoides fuscivirens", "Anaplectoides virens", "Anaplectoides phaeotaenia", "Anaplectoides tamsi", "Anaplectoides inexpectata", "Anaplectoides perviridis", "Anaplectoides magnifica", "Anaplectoides brunneomedia", "Anaplectoides inouei", "Cerastis violetta", "Icterus melanopsis", "Spaelotis clandestina", "Spaelotis havilae", "Pinus ponderosa subsp. ponderosa", "Pinus ponderosa subsp. benthamiana", "Brachycephalus bufonoides", "Pinus ponderosa subsp. brachyptera", "Pinus ponderosa subsp. scopulorum", "Spaelotis synophysa", "Tanaorhinus philippinensis", "Tanaorhinus celebensis", "Soritia pulchella", "Soritia angustipennis", "Heterosphecia soljanikovi", "Heterosphecia hyaloptera", "Concinnalepas costata", "Chamaesphecia aerifrons", "Cupidopsis jobates mauritanica", "Bryotropha sattleri", "Scrobipalpa hyssopi", "Phaulernis laserinella", "Concinnalepas concinna", "Ercolania halophilae", "Costasiella arenaria", "Passer ammodendri nigricans", "Costasiella patricki", "Megaponera analis", "Urtica incisa", "Pseudonacaduba aethiops", "Pseudonacaduba sichela", "Pseudonacaduba sichela sichela", "Pseudonacaduba sichela reticulum", "Etcheslepas borealis", "Podocarpus acutifolius", "Perizoma juracolaria", "Perizoma obsoletata", "Perizoma obsoletata obsoletata", "Chamaesphecia emba", "Chamaesphecia iranica", "Chamaesphecia kautti", "Chamaesphecia kistenjovi", "Chamaesphecia leucocnemis", "Chamaesphecia mezentzevi", "Chamaesphecia murzini", "Chamaesphecia schroederi", "Chamaesphecia taurica", "Chamaesphecia thomyris", "Chamaesphecia turbida", "Chamaesphecia uilica", "Pyropteron aistleitneri", "Pyropteron hera", "Pyropteron koschwitzi", "Pyropteron cirgisa", "Pyropteron koshantschikovi", "Pyropteron umbriferum", "Pyropteron atypicum", "Satoracotis melagrapharia", "Satoracotis melagrapharia melagrapharia", "Satoracotis melagrapharia tapaica", "Cephalomelittia tabaniformis", "Macroscelesia longipes", "Macroscelesia diaphana", "Amurilla rubra", "Eteinopla narcissus", "Uranothauma confusa", "Uranothauma cordatus", "Xestia lyngei lankialai", "Goodea atripinnis", "Xestia baja", "Xestia finatimis", "Xestia verniloides", "Xestia rhomboidea", "Xestia sareptana", "Xestia trifida", "Xestia trifida trifida", "Xestia trifida hispanica", "Turdus arthuri", "Uranothauma heritsia", "Uranothauma heritsia heritsia", "Uranothauma heritsia chibonotana", "Goodea gracilis", "Compsistis bifaciella", "Uranothauma heritsia intermedia", "Uranothauma heritsia virgo", "Uranothauma kilimensis", "Uranothauma lukwangule", "Uranothauma lunifer", "Xestia lorezi sajana", "Xestia lorezi monotona", "Xestia lupa", "Xestia mixta", "Xestia okakensis okakensis", "Xestia okakensis morandi", "Xestia perquiritata partita", "Xestia quieta", "Xestia speciosa apropitia", "Xestia speciosa ussurica", "Xestia speciosa modesta", "Xestia speciosa arctica", "Eskimolepas gregersi", "Uranothauma cuneatum", "Uranothauma delatorum", "Ochna staudtii", "Uranothauma falkensteinii", "Uranothauma frederikkae", "Uranothauma frederikkae frederikkae", "Uranothauma frederikkae manengoubensis", "Orconectes rusticus", "Tomopaguropsis ahkinpechensis", "Chamaesphecia blandita", "Chamaesphecia chalciformis", "Chamaesphecia christophi", "Chamaesphecia gorbunovi", "Chamaesphecia guenter", "Chamaesphecia maurusia", "Chamaesphecia minoica", "Chamaesphecia mudjahida", "Chamaesphecia obraztsovi", "Chamaesphecia obraztsovi obraztsovi", "Chamaesphecia obraztsovi obermajeri", "Chamaesphecia ophimontana", "Chamaesphecia purpurea", "Chamaesphecia sertavulensis", "Chamaesphecia weidenhofferi", "Chamaesphecia xanthotrigona", "Chamaesphecia zarathustra", "Chamaesphecia zimmermannii", "Uranothauma antinorii", "Uranothauma antinorii antinorii", "Uranothauma antinorii badmendanus", "Uranothauma antinorii felthami", "Uranothauma artemenes", "Martillepas ovalis", "Martillepas hollisi", "Philothermus stephani", "Icenilepas collinsi", "Neophyllaphis podocarpi", "Chamaesphecia astatiformis", "Chamaesphecia bibioniformis", "Chamaesphecia cilicia", "Chamaesphecia crassicornis", "Chamaesphecia cyanopasta", "Chamaesphecia darvazica", "Neophyllaphis viridis", "Neophyllaphis grobleri", "Neophyllaphis fransseni", "Neophyllaphis rappardi", "Ilyodon furcidens", "Ilyodon lennoni", "Ilyodon whitei", "Ilyodon xantusi", "Bumba lennoni", "Acantholybas brunneus", "Eriococcus leptospermi", "Apanteles carpatus", "Macarostola miniella", "Halormus velifer", "Eugnorisma cuneiferum", "Callidemum hypochalceum", "Zapyrastra stellata", "Eadya paropsidis", "Xestia tecta", "Xestia tecta tecta", "Xestia tecta tectoides", "Xestia ursae", "Xestia alexis", "Xestia alpina", "Xestia anaxia", "Xestia annapurna", "Xestia boursini", "Xestia carriei", "Xestia clavata", "Xestia conjunctiva", "Xestia dhaulagirii", "Xestia digna", "Xestia everesti", "Xestia haematina", "Xestia herrichschaefferi", "Xestia hirsuta", "Xestia hoenei", "Xestia kangdingensis", "Xestia kozhantshikovi", "Xestia kuangi", "Xestia nyalamensis", "Xestia obliqua", "Xestia panda", "Xestia praeusta", "Xestia richthofeni", "Xestia satanas", "Xestia sherpa", "Xestia subvittata", "Xestia takkhalii", "Xestia vittata", "Xestia yunnana", "Xestia bryanti", "Xestia aequaeva", "Xestia aequaeva aequaeva", "Xestia aequaeva glaucina", "Xestia liquidaria", "Xestia lyngei", "Xestia lyngei lyngei", "Xestia lyngei aborigenea", "Perigona belloi", "Neophyllaphis araucariae", "Cybocephalus decaeni", "Cybocephalus hughscotti", "Xestia albuncula", "Xestia alpicola", "Xestia alpicola alpicola", "Xestia alpicola iveni", "Xestia apropitia", "Xestia badicollis", "Xestia borealis", "Xestia brunneopicta", "Xestia caelebs", "Xestia dilucida", "Xestia distensa", "Xestia elimata", "Xestia fabulosa", "Xestia fennica", "Xestia gelida", "Xestia imperita", "Xestia infimatis", "Xestia laetabilis", "Xestia mustelina", "Xestia perquiritata", "Xestia perquiritata perquiritata", "Xestia perquiritata orca", "Xestia rhaetica", "Xestia rhaetica rhaetica", "Xestia rhaetica norica", "Xestia sincera", "Xestia speciosa", "Xestia speciosa speciosa", "Baenothrips caenosus", "Stewartia sect.", "Nymphalis californica", "Nymphalis californica timidar", "Stewartia sect.", "Stewartia sect.", "Stewartia sect.", "Stewartia sect.", "Stewartia sect.", "Stewartia pseudocamellia var. pseudocamellia", "Stewartia pseudocamellia var. koreana", "Baenothrips chiliensis", "Baenothrips murphyi", "Baenothrips minutus", "Baenothrips indicus", "Baenothrips erythrinus", "Masdevallia collantesii", "Masdevallia expers", "Masdevallia henniae", "Dichagyris broui", "Dichagyris pachuca", "Dichagyris reliqua", "Dichagyris ruckesi", "Dichagyris dubitata", "Dichagyris longidens", "Masdevallia indecora", "Dichagyris cataclivis", "Masdevallia mentosa", "Masdevallia plantaginea", "Dichagyris socorro", "Camellia subg.", "Camellia sect.", "Chromatomyia masumiae", "Phytomyza omlandi", "Phytomyza vitalbae", "Phytomyza plantaginis", "Phytomyza improvisa", "Phytomyza lyalli", "Phytomyza clematadi", "Phytomyza costata", "Chaetopelma altugkadirorum", "Cyrtocymura scorpioides", "Tridiplous parvapiatus", "Tridiplous burrus", "Mycalesis aramis", "Mycalesis aramis aramis", "Mycalesis aramis porthos", "Xestia ornata", "Xestia hypographa", "Agnorisma badinodis", "Agnorisma bugrai", "Agnorisma bollii", "Xestia mejiasi", "Xestia morandinii", "Xestia muficia", "Xestia pangda", "Xestia ronkaygabori", "Xestia sichuana", "Xestia songpana", "Xestia zheduoi", "Xestia triphaenoides", "Xestia sternecki", "Xestia draesekei", "Xestia pseudoaccipiter", "Xestia bryocharis", "Eugnorisma glareosa", "Eugnorisma ignoratum", "Eugnorisma insignata", "Eugnorisma miniago", "Ilyodon cortesae", "Eugnorisma persago persago", "Eugnorisma persago peterseni", "Eugnorisma puengeleri", "Eugnorisma chaldaica", "Trichromia insperata", "Uranothauma nguru", "Uranothauma nubifer", "Uranothauma nubifer nubifer", "Uranothauma nubifer distinctesignatus", "Uranothauma poggei", "Neophyllaphis iuiuyensis", "Neophyllaphis cuschensis", "Neophyllaphis pueblohondensis", "Neophyllaphis propinqua", "Neophyllaphis michelbacheri", "Uranothauma uganda", "Goniotorna mucida", "Goniotorna niphotoma", "Goniotorna polyops", "Goniotorna praeornata", "Goniotorna praerupta", "Goniotorna rhodolemma", "Goniotorna rhodoptila", "Goniotorna suspiciosa", "Goniotorna trignoma", "Goniotorna trigodes", "Goniotorna vadoni", "Goniotorna verticillata", "Goniotorna vinacea", "Goniotorna vulpicolor", "Goniotorna synastra", "Goniotorna synastra synastra", "Goniotorna synastra occulta", "Paramesiodes chloradelpha", "Paramesiodes albescens", "Paramesiodes geraeas", "Paramesiodes temulenta", "Paramesiodes aprepta", "Paramesiodes longirostris", "Paramesiodes minor", "Chromatomyia actinidiae", "Chromatomyia aizoon", "Chromatomyia alopecuri", "Chromatomyia alpigenae", "Chromatomyia alysicarpi", "Chromatomyia aprilina", "Chromatomyia aragonensis", "Chromatomyia arctagrostidis", "Chromatomyia asteris", "Cacyreus lingeus", "Agromyza venusta", "Agromyza mellita", "Agromyza illustris", "Euhexomyza coprosmae", "Cerodontha sylvesterensis", "Cerodontha triplicata", "Capitophorus elaeagni", "Eana dominicana", "Eugnorisma depuncta", "Eugnorisma arenoflavida", "Eugnorisma pontica", "Eugnorisma asad", "Eugnorisma deleasma", "Eugnorisma rafidain", "Eugnorisma semiramis", "Eugnorisma spodia", "Eugnorisma gaurax", "Eugnorisma tamerlana", "Eugnorisma trigonica", "Eugnorisma eminens", "Eugnorisma atrabaelbops", "Eugnorisma enargiaris", "Eugnorisma jubilans", "Uranothauma usambarae", "Uranothauma vansomereni", "Uranothauma williamsi", "Phlyaria cyara cyara", "Phlyaria cyara stactalla", "Phlyaria cyara tenuimarginata", "Mitella pauciflora", "Cacyreus audeoudi", "Cacyreus darius", "Masdevallia sect.", "Masdevallia aphanes", "Dichagyris variabilis", "Momotus bahamensis", "Momotus coeruliceps", "Cacyreus ethiopicus", "Masdevallia berthae", "Momotus lessonii", "Mexicantha arellanoi", "Momotus subrufescens", "Periga campestre", "Periga elyi", "Ophthalmitis clararia", "Masdevallia subg.", "Anthrenus cylindricornis", "Masdevallia sect.", "Masdevallia sect.", "Tetrinus serenuportus", "Masdevallia subsect.", "Masdevallia biflora", "Masdevallia bicolor", "Spissatella maxwelli", "Masdevallia aenigma", "Masdevallia buccinator", "Masdevallia cinnamomea", "Masdevallia concinna", "Masdevallia dunstervillei", "Hystrichophora bussei", "Masdevallia empusa", "Paraeccopsis variegana", "Masdevallia infracta", "Masdevallia isos", "Masdevallia medusa", "Masdevallia mezae", "Masdevallia sceptrum", "Masdevallia sernae", "Masdevallia subsect.", "Disa rosea", "Skiffia bilineata", "Schima crenata", "Megalota rhopalitis", "Megalota namibiana", "Megalota purpurana", "Megalota archana", "Paraeccopsis addis", "Paraeccopsis turi", "Paraeccopsis botswanae", "Paraeccopsis deltophora", "Paraeccopsis pseudoinsellata", "Endotera cyaneana", "Skiffia lermae", "Coniostola flavitinctana", "Coniostola rufitinctana", "Coniostola laikipiana", "Coniostola calculosa", "Coniostola lobostola", "Coniostola symbola", "Skiffia multipunctata", "Goniotorna pleuroptila", "Xenotoca eiseni", "Goniotorna angusta", "Xenotoca variata", "Goniotorna chersopis", "Xenotoca melanosoma", "Goniotorna chondrocentra", "Goniotorna decipiens", "Goniotorna deinozona", "Zoogoneticus quitzeoensis", "Goniotorna erratica", "Goniotorna heteropa", "Zoogoneticus tequila", "Goniotorna iecoricolor", "Goniotorna illustra", "Goniotorna insatiata", "Goniotorna irresoluta", "Goniotorna irresoluta irresoluta", "Goniotorna irresoluta taeniata", "Goniotorna lacrimosa", "Goniotorna leucophrys", "Goniotorna macula", "Goniotorna megalogonia", "Goniotorna melanoconis", "Goniotorna mesostena", "Goniotorna mianta", "Goniotorna micrognatha", "Dianella caerulea", "Acronicta carbonaria", "Acronicta catocaloida", "Acronicta hercules", "Acronicta nigricans", "Acronicta obscura", "Acronicta subornata", "Acronicta alni", "Hercinothrips bicinctus", "Hercinothrips extinctus", "Coccophagoides abnormicornis", "Coccophagoides utilis", "Coccophagoides singularis", "Coccophagoides rex", "Coccophagoides regulus", "Coccophagoides orientalis", "Coccophagoides kuwanae", "Coccophagoides aurithorax", "Acronicta bellula", "Acronicta bellula bellula", "Acronicta bellula chingana", "Acronicta omorii", "Acronicta albistigma", "Albertinia brasiliensis", "Chromatomyia horticola", "Agromyza apfelbecki", "Cynara makrisii", "Eucosmocydia pharangodes", "Choristoneura saotome", "Afroploce bagamoyo", "Anthozela macambrarae", "Eucosmocydia terreirana", "Cydia amaniana", "Cnephasia hellenica", "Cnephasia abrasana", "Cnephasia incertana", "Cnephasia disforma", "Cnephasia nesiotica", "Cnephasia margelanensis", "Cnephasia nowickii", "Cnephasia stachi", "Cnephasia zernyi", "Cnephasia divisana", "Eana schonmanni", "Eana andreana", "Dichelia alexiana", "Pandemis chondrillana", "Clepsis neglectana", "Clepsis crispinana", "Cnephasia sedana", "Ochna latisepala", "Xestia vernilis", "Xestia viridescens", "Xestia yatsugadakeana", "Xestia youngii", "Xestia ashworthii", "Xestia ashworthii artvina", "Xestia ashworthii ashworthii", "Xestia wockei", "Xestia wockei wockei", "Xestia wockei aldani", "Xestia wockei troubridgei", "Xestia ashworthii candelarum", "Xestia ashworthii jotunensis", "Xestia ashworthii latescens", "Xestia morandi", "Xestia okakensis", "Xestia scropulana", "Xestia c-nigrum", "Xestia ditrapezium", "Xestia c-nigrum c-nigrum", "Xestia c-nigrum adela", "Xestia dolosa", "Xestia praetermissa", "Xestia triangulum", "Xestia kollari", "Xestia atrata", "Xestia atrata atrata", "Xestia atrata haraldi", "Xestia atrata yukona", "Xestia atrata filipjevi", "Xestia atrata montana", "Xestia alaskae", "Xestia kruegeri", "Xestia laxa", "Xestia lorezi", "Xestia lorezi lorezi", "Xestia lorezi katuna", "Xestia lorezi ogilviana", "Xestia lorezi kongsvoldensis", "Eukaryota incertae sedis", "Dichagyris triphaenoides", "Dichagyris salina", "Dichagyris arabella", "Dichagyris heathera", "Dichagyris polycala", "Dichagyris pyrsogramma", "Dichagyris timbor", "Dichagyris mizteca", "Dichagyris incumbens", "Dichagyris chabaudana", "Dichagyris capota", "Dichagyris neocapota", "Dichagyris cryptica", "Dichagyris julia", "Dichagyris chiapas", "Dichagyris danauchaba", "Dichagyris beckeri", "Dichagyris limenia", "Dichagyris kyune", "Dichagyris proclivis", "Dichagyris parsimonia", "Dichagyris neoclivis", "Dichagyris gracilior", "Dichagyris acclivis", "Dichagyris grotei", "Dichagyris grandipennis", "Trichopterigia yazakii", "Mussidia mari", "Mitella integripetala", "Paracolax dictyogramma", "Paracolax angulata", "Bertula tripartita", "Masdevallia pyknosepala", "Masdevallia scalpellifera", "Masdevallia scopaea", "Masdevallia setipes", "Masdevallia smallmaniana", "Masdevallia strattoniana", "Callidrepana jianfenglingensis", "Masdevallia trifurcata", "Ooencyrtus isabellae", "Ooencyrtus ferdowsii", "Hercinothrips aethiopiae", "Hercinothrips brunneus", "Hercinothrips dimidiatus", "Hercinothrips tenuis", "Hercinothrips pattersoni", "Hercinothrips jansei", "Hercinothrips femoralis", "Hercinothrips trilineatus", "Hercinothrips errans", "Cleistothrips idolothripoides", "Coleophora pulchripennella", "Melanchra dierli", "Orthostixis cinerea", "Colotois pennaria", "Colotois pennaria pennaria", "Colotois pennaria paupera", "Eana agricolana", "Eucosma ottoniana", "Cochylimorpha meridiana", "Cochylimorpha perturbatana", "Olethreutes delitana", "Olethreutes stibiana", "Olethreutes camillana", "Endothenia quadrimaculana", "Olethreutes cacuminana", "Eucosma sybillana", "Eucosma metana", "Eucosma ursulana", "Eucosma victoriana", "Pelochrista jodocana", "Pelochrista apheliana", "Dichrorampha montanana", "Dichrorampha ambrosiana", "Pelochrista buddhana", "Tortrix olgana", "Perigrapha asymmetrica", "Perigrapha cilissa", "Perigrapha flora", "Perigrapha mithras", "Perigrapha mundoides", "Perigrapha rorida", "Perigrapha sellingi", "Perigrapha wimmeri", "Perigrapha wolfi", "Perigrapha abilinea", "Perigrapha annaus", "Perigrapha balazsi", "Perigrapha benedeki", "Perigrapha centralasiae", "Perigrapha circumducta", "Perigrapha circumducta circumducta", "Perigrapha circumducta pallescens", "Perigrapha duktana", "Cacyreus niebuhri", "Cacyreus tespis", "Cacyreus tespis tespis", "Cacyreus tespis ghimirra", "Cacyreus virilis", "Lysiphlebus orientalis", "Aphidius colemani", "Aphidius ervi", "Aphidius rhopalosiphi", "Aphidius salicis", "Aphidius sonchi", "Aphidius similis", "Aphidius pelargonii", "Aphidius eadyi", "Zeugmatolepas mockleri", "Cynara tournefortii", "Alstroemeria pulchra subsp. pulchra", "Alstroemeria pulchra subsp. lavandulacea", "Alstroemeria \u00d7 errembaultii", "Phytomyza anthocercidis", "Phytomyza placita", "Phytomyza pulchella", "Phytomyza ranunculicaulis", "Phytomyza venerabilis", "Phytomyza clematidicolla", "Ficus cornelisiana", "Agromyza rozkosnyi", "Agromyza elladanensis", "Agromyza macedonica", "Melanagromyza kerkinica", "Agromyza fyanensis", "Perigrapha fuscopicta", "Perigrapha gyulaipeteri", "Perigrapha heidi", "Perigrapha hoenei", "Perigrapha nigrocincta", "Perigrapha nyctotimia", "Perigrapha pamiricola", "Perigrapha pekarskyi", "Perigrapha sechuana", "Perigrapha scriptobella", "Perigrapha subviolacea", "Perigrapha uniformis", "Perigrapha i-cinctum", "Perigrapha i-cinctum i-cinctum", "Perigrapha i-cinctum gepida", "Acronicta pruinosa", "Acronicta pulverosa", "Acronicta acla", "Acronicta afflicta", "Acronicta agnata", "Acronicta albarufa", "Hemigrammus levis", "Hemigrammus coeruleus", "Heterogynis chapmani", "Heterogynis penella", "Cibyra monoargenteus", "Cibyra tessellata", "Cibyra ochracea", "Cibyra pluriargenteus", "Eoneureclipsis hainansensis", "Eoneureclipsis imax", "Eoneureclipsis montanus", "Eoneureclipsis okinawaensis", "Eoneureclipsis shikokuensis", "Eoneureclipsis yaeyamaensis", "Eoneureclipsis nykteus", "Eoneureclipsis quangi", "Eoneureclipsis sebulon", "Eoneureclipsis tieni", "Eoneureclipsis querquobad", "Ooencyrtus marcelloi", "Perigrapha i-cinctum hethitica", "Perigrapha i-cinctum slovenica", "Craniophora taipaishana", "Craniophora inquieta", "Acronicta cuspis", "Acronicta rubiginosa", "Acronicta geminata", "Acronicta gertae", "Acronicta intermedia", "Acronicta leucocuspis", "Acronicta psi", "Acronicta psichinensis", "Acronicta subpurpurea", "Acronicta sugii", "Acronicta tridens", "Acronicta yangtseana", "Acronicta aceris", "Acronicta edolatina", "Acronicta gigasa", "Acronicta leporina", "Acronicta lilacina", "Acronicta maxima", "Acronicta novella", "Acronicta vulpina", "Acronicta major", "Acronicta major major", "Acronicta major atritaigensa", "Acronicta adaucta", "Acronicta hemileuca", "Acronicta institiva", "Acronicta jozana", "Acronicta renirufa", "Acronicta strigosa", "Alstroemeria \u00d7 davisiae", "Alstroemeria \u00d7 orpetiae", "Alstroemeria \u00d7 racinae", "Alstroemeria \u00d7 zebrina", "Amphibalanus reflexus", "Masdevallia cardiantha", "Masdevallia carnosa", "Masdevallia carruthersiana", "Masdevallia cheloglossa", "Masdevallia christae", "Catoptria radiella", "Alfaro huberi", "Micropoecilia picta", "Cnesterodon brevirostratus", "Cnesterodon carnegiei", "Cnesterodon septentrionalis", "Centrodora citri", "Centrodora crocata", "Centrodora damoni", "Centrodora darwini", "Centrodora dorsati", "Centrodora flava", "Centrodora flemingiae", "Centrodora fuscipennis", "Centrodora ghorpadei", "Centrodora gerundensis", "Centrodora giraulti", "Centrodora grotiusi", "Centrodora haeckeli", "Centrodora hamira", "Centrodora hexatricha", "Centrodora homopterae", "Centrodora idioceri", "Centrodora inconspicua", "Centrodora italica", "Centrodora lakma", "Centrodora liebermanni", "Centrodora lineascapa", "Centrodora livens", "Centrodora locustarum", "Centrodora mala", "Centrodora mandiana", "Centrodora maxima", "Centrodora merceti", "Centrodora miltoni", "Centrodora mireyae", "Centrodora ochrura", "Centrodora oophaga", "Centrodora orchelimumis", "Centrodora orthopterae", "Centrodora ossira", "Centrodora pathania", "Centrodora penthimiae", "Centrodora perkinsi", "Centrodora salicis", "Centrodora speciosissima", "Centrodora terrigena", "Centrodora tetratricha", "Centrodora tibialis", "Centrodora tomaspidis", "Centrodora uttara", "Bruchidius obscurevittatus", "Bruchidius faroensis", "Aspius vorax", "Cnesterodon hypselurus", "Cnesterodon omorgmatos", "Rhaphithamnus venustus", "Glandularia cuneifolia", "Glandularia malpaisana", "Euphrasia amplidens", "Cyana klohsi", "Cyana speideli", "Cyana usambara", "Cyana nussi", "Cyana meyi", "Cyana innocua", "Cyana innocua innocua", "Jungermannia atrovirens", "Cyana innocua kaguruensis", "Jungermannia caespiticia", "Jungermannia confertissima", "Jungermannia gracillima", "Jungermannia hyalina", "Jungermannia leiantha", "Jungermannia obovata", "Cyana nyasica", "Jungermannia polaris", "Jungermannia pumila", "Cyana nyasica nyasica", "Jungermannia sphaerocarpa", "Cyana nyasica kruegeri", "Reboulia hemisphaerica", "Cyana ochrata", "Prasanthus suecicus", "Cyana aberrans", "Peltolepis quadrata", "Cyana rejecta", "Fossombronia wondraczekii", "Barbilophozia lycopodioides", "Cyana pretoriae witti", "Cyana squalida", "Cyana togoana", "Cyana rwandana", "Cyana magnitrigutta", "Cyana flammeostrigata", "Mythimna munnari", "Mythimna naumanni", "Cnesterodon decemmaculatus", "Mythimna obscura", "Mythimna quasimodo", "Mythimna rudis", "Mythimna salebrosa", "Mythimna siamensis", "Mythimna simplex", "Mythimna simplex simplex", "Mythimna simplex japonica", "Mythimna speciosa", "Mythimna tessellum", "Mythimna tibetensis", "Mythimna tricorna", "Mythimna tricuspis", "Mythimna undina", "Mythimna vittata", "Brochis multiradiatus", "Polymixis achrysa", "Euplexidia actinea", "Xanthia aculeata", "Oraesia falkneri", "Oraesia isolata", "Oraesia intrusa", "Oraesia vagabunda", "Oraesia nubifera", "Oraesia emarginata emarginata", "Oraesia emarginata defreinai", "Oraesia emarginata malgassica", "Clytie arenosa", "Clytie arenosa arenosa", "Clytie arenosa nabataea", "Clytie arenosa garaia", "Clytie devissima", "Brevipecten mirifica", "Honeyia ankarana", "Honeyia elachista", "Acontia opalinoides opalinoides", "Acontia opalinoides transafricana", "Acontia opalinoides westafricana", "Acontia hoppei", "Acontia porphyrea", "Acontia rufitincta", "Acrobyla aulombardi", "Blastolepas orlovi", "Centrodora acridiphagus", "Centrodora amoena", "Centrodora australiensis", "Centrodora azizi", "Centrodora bahara", "Centrodora bifasciata", "Centrodora brevifuniculata", "Centrodora cercopiphagus", "Centrodora cicadae", "Ophthalmitis paraherbidaria", "Ophthalmitis sulawesaria", "Ophthalmitis calayanaria", "Ophthalmitis chaineyi", "Ophthalmitis visayasaria", "Ophthalmitis kalakadaria", "Archiearis notha", "Archiearis notha notha", "Archiearis notha okanoi", "Scopula alba", "Scopula alba alba", "Scopula alba brunellii", "Scopula alba milleri", "Scopula albiceraria", "Scopula arenosaria", "Scopula asellaria", "Scopula asellaria asellaria", "Scopula asellaria dentatolineata", "Scopula asellaria gerstbergeri", "Scopula asellaria isabellaria", "Scopula asellaria lenzi", "Scopula asellaria romanaria", "Scopula beckeraria", "Scopula beckeraria beckeraria", "Scopula beckeraria rebeli", "Scopula cajanderi", "Scopula confinaria", "Scopula confinaria confinaria", "Scopula confinaria aetnaea", "Scopula confinaria prouti", "Scopula confinaria scoblei", "Scopula decolor", "Scopula diffinaria", "Scopula divisaria", "Scopula emutaria", "Scopula flaccidaria", "Scopula floslactata", "Scopula frigidaria", "Scopula guancharia", "Scopula caricaria", "Scopula nigropunctata", "Scopula nigropunctata nigropunctata", "Scopula nigropunctata subcandidata", "Problepsis minuta", "Idaea roseomarginaria", "Idaea neovalida", "Trichopteryx ignorata", "Trichopteryx nagaii", "Trichopteryx fastuosa", "Esakiopteryx volitans", "Chascolytrum monandrum", "Chascolytrum poomorphum", "Chascolytrum rhomboideum", "Cleora cinctaria", "Cleora cinctaria cinctaria", "Cleora cinctaria fumata", "Cleora cinctaria superfumata", "Cleora insolita", "Cleora venustaria", "Cleora minutaria", "Cleora injectaria", "Cleora batillata", "Cleora concentraria", "Cleora onycha", "Cleora poensis", "Cyana suessmuthi", "Cyana basisticta", "Cyana loloana", "Cyana rubritermina", "Cyana rawlinsi", "Arcyophora amydropoliata", "Escarpamenta damarana damarana", "Escarpamenta damarana abyssinica", "Spermophagus albovittatus", "Spermophagus bifidus", "Spermophagus truncatus", "Spermophagus takuensis", "Tradescantia sect.", "Tradescantia sect.", "Tradescantia sect.", "Tradescantia sect.", "Tradescantia sect.", "Tradescantia sect.", "Tradescantia sect.", "Leptolalax marmoratus", "Acanthobruchidius spiniger", "Dendropsophus ozzyi", "Cyana marshalli", "Cyana rhodostriata", "Cyana aarviki", "Cyana abyssinica", "Cyana africana", "Cyana ignifera", "Cyana katanga", "Cyana pallida", "Cyana trigutta", "Cyana torrida", "Cyana torrida torrida", "Cyana maculata", "Cyana quentini", "Cyana rubristriga ugandana", "Cyana fulvia", "Cyana meyricki", "Cyana gelida", "Cyana margarethae", "Cyana natalensis", "Cyana exprimata", "Cyana venusta", "Cyana saalmuelleri", "Cyana saalmuelleri saalmuelleri", "Cyana tripuncta", "Masdevallia adrianae", "Masdevallia aguirrei", "Masdevallia ametroglossa", "Masdevallia amplexa", "Masdevallia andresiana", "Masdevallia anfracta", "Masdevallia barrowii", "Masdevallia brachyantha", "Masdevallia brachyura", "Masdevallia brenneri", "Masdevallia bryophila", "Masdevallia calagrasalis", "Cyana flammeostrigata flammeostrigata", "Cyana flammeostrigata orientalis", "Anastrophyllum cavifolium", "Anastrophyllum hellerianum", "Cyana ethiopica", "Anastrophyllum michauxii", "Anastrophyllum minutum", "Anastrophyllum saxicola", "Plagiochila asplenioides", "Syzygiella autumnalis", "Lunularia cruciata", "Cyana fasciata", "Cyana capensis", "Cyana amatura", "Cyana lobata", "Cyana lobata lobata", "Cyana lobata comorana", "Tomea rufifrons", "Cyana rufifrons", "Catoptria captiva", "Catoptria spatulelloides", "Catoptria pyramidella", "Catoptria casalei", "Catocala okurai", "Catocala azumiensis", "Catocala kuangtungensis", "Catocala intacta intacta", "Catocala intacta taiwana", "Himalistra eriophora", "Chascolytrum ambiguum", "Chascolytrum bidentatum", "Chascolytrum brachychaete", "Chascolytrum brasiliense", "Chascolytrum bulbosum", "Chascolytrum calotheca", "Chascolytrum itatiaiae", "Chascolytrum koelerioides", "Perissandria sheljuzhkoi", "Actebia sheljuzhkoi", "Actebia sheljuzhkoi sheljuzhkoi", "Actebia sheljuzhkoi acuta", "Nyctycia aestivalis", "Haemerosia albicomma", "Trichanarta albilabiata", "Oroplexia albimacula", "Polymixis albiorbis", "Lithopolia albistigma", "Loxopamea albitracta", "Loxopamea albistigma", "Sympistis alfa", "Euxoa amorpha", "Euxoa amorpha amorpha", "Euxoa amorpha alta", "Cnesterodon holopteros", "Mythimna altiphila", "Paraxestia altissima", "Haderonia praecipua", "Haderonia praecipua praecipua", "Agrochola albirena", "Agrochola humidalis", "Agrochola parki", "Agrochola csoevarii", "Agrochola sakabei sakabei", "Agrochola sakabei continentalis", "Agrochola albirena albirena", "Agrochola albirena annamica", "Agrochola elami", "Agrochola fuscomixta", "Agrochola azerica", "Agrochola dubatolovi", "Agrochola egorovi", "Agrochola elbursica", "Agrochola fibigeri", "Agrochola janhillmanni", "Agrochola lactiflora", "Agrochola emilia", "Agrochola lychnidis", "Agrochola magarorum", "Agrochola occulta", "Agrochola orejoni", "Agrochola pallidilinea", "Euplexia annapurna", "Polymixis albiorbis albiorbis", "Polymixis albiorbis annapurnae", "Hermonassa anonyma", "Squama spissa", "Tradescantia ser.", "Tradescantia ser.", "Tradescantia ser.", "Tradescantia sillamontana", "Arthonia lapicicola var. ruderella", "Parapinnanema hawaiiensis", "Parapinnanema wilsoni", "Parapinnanema bableti", "Parapinnanema ritae", "Parapinnanema rhipsoides", "Hercostomus pollinifrons", "Hercostomus argentifacies", "Hercostomus aurifacies", "Hercostomus philpotti", "Hadena capsularis", "Hadena ectypa", "Hadena minorata", "Hadena glaciata", "Hadena circumvadis", "Hadena ectrapela", "Hadena amabilis", "Hadena plumasata", "Harpendyreus marungensis marungensis", "Harpendyreus marungensis mangalisae", "Arthonia kermesina", "Harpendyreus marungensis wollastoni", "Harpendyreus meruana", "Hadena zaprjagaevi", "Hadena compta", "Harpendyreus noquasa", "Harpendyreus notoba", "Harpendyreus reginaldi", "Harpendyreus tsomo", "Leptotes adamsoni", "Leptotes babaulti", "Leptotes brevidentatus", "Leptotes casca", "Leptotes cassioides", "Leptotes jeanneli", "Leptotes marginalis", "Leptotes mayottensis", "Penicillium araracuarense", "Donax variabilis", "Antivaleria munda", "Antivaleria viridimacula", "Meganyctycia forcipata", "Mythimna languida", "Mythimna mauritiusi", "Mythimna thailandica", "Mythimna abdita", "Mythimna albipuncta", "Mythimna albivitta", "Mythimna albostriata", "Mythimna albovenosa", "Mythimna algirica", "Mythimna argentata", "Mythimna argentifera", "Mythimna binigrata", "Mythimna biscornuta", "Mythimna borneana", "Mythimna breciva", "Mythimna brunneicoccinea", "Mythimna celebina", "Mythimna chosenicola", "Mythimna conversa", "Mythimna distincta", "Mythimna foranea", "Mythimna glaciata", "Mythimna hannemanni", "Mythimna hirashimai", "Mythimna honeyi", "Mythimna ignifera", "Mythimna ignorata", "Mythimna ignota", "Mythimna intermediata", "Mythimna iodochra", "Mythimna javacorna", "Mythimna larga", "Mythimna lasiomera", "Mythimna leucomelaena", "Mythimna liebherri", "Mythimna manopi", "Mythimna maxima", "Mythimna metaphaea", "Hadena bactriana", "Hadena bactriana bactriana", "Hadena bactriana distalis", "Ceracis zarathustrai", "Eviota algida", "Systaltocerus platyrhinus", "Megaselia shadeae", "Thripoctenus javae", "Pseudocercospora subulata", "Alucita bulgaria", "Strymon acis", "Penicillium glaucum", "Hadena nigricata", "Hadena pseudohyrcana", "Hadena canescens", "Hadena canescens canescens", "Hadena canescens occidentalis", "Penicillium camemberti", "Pseudocrioceris dewittei", "Pseudocrioceris nigripennis", "Pseudocrioceris brachydactylus", "Harpendyreus major", "Harpendyreus marlieri", "Harpendyreus marungensis", "Tradescantia ser.", "Horisme hyperythra", "Horisma hyperythra hyperythra", "Horisma hyperythra catalalia", "Horisme kawamurai", "Alcis medialbifera", "Bedellia yasumatsui", "Zale undularis", "Diphtherocome abbreviata", "Catocala tokui", "Leptotes pulchra", "Leptotes rabefaner", "Conistra dora", "Conistra aulombardi", "Conistra metria", "Conistra politina", "Conistra lancangi", "Conistra zhongdiana", "Conistra fletcheri", "Conistra gabori", "Conistra ampla", "Conistra iana", "Conistra baima", "Conistra pusilla", "Conistra anonyma", "Oroplexia apameoides", "Xestia aquila", "Sideridis arcanus", "Agrochola oropotamica", "Agrochola oropotamica oropotamica", "Agrochola oropotamica archar", "Conistra ardescentina", "Agrotis argillosa", "Orthosia dalmatica", "Orthosia dalmatica dalmatica", "Orthosia dalmatica ivani", "Orthosia ariuna", "Orthosia manfredi", "Orthosia picata", "Orthosia perfusca", "Orthosia perfusca perfusca", "Orthosia perfusca perkarskyi", "Orthosia ryrholmi", "Meganyctycia armata", "Autophila iranica", "Harpendyreus aequatorialis", "Autophila iranica iranica", "Autophila iranica xantozona", "Autophila limbata", "Autophila limbata limbata", "Autophila limbata lydia", "Autophila luxuriosa", "Harpendyreus aequatorialis aequatorialis", "Autophila luxuriosa luxuriosa", "Harpendyreus aequatorialis vulcanica", "Autophila luxuriosa arnyekolta", "Autophila luxuriosa cyprogena", "Autophila luxuriosa taurica", "Autophila luxuriosa clara", "Harpendyreus argenteostriata", "Autophila luxuriosa garmsira", "Autophila luxuriosa hormuza", "Autophila luxuriosa nigromarginata", "Harpendyreus berger", "Harpendyreus collinsi", "Primula elatior subsp. pallasii", "Telorta atrifusa", "Harpendyreus boma", "Nyctycia asymmetrica", "Harpendyreus hazelae", "Harpendyreus juno", "Harpendyreus kisaba", "Isochlora salki", "Isochlora metaleuca", "Isochlora affinis", "Isochlora arctomys", "Cnesterodon iguape", "Feliniopsis isographa", "Hadena atalantica", "Hadena karsholti", "Hadena azorica", "Hadena quotuma", "Hadena rjabovi", "Hadena niveifera", "Carybdea brevipedalia", "Hadena afghana", "Hadena schwingenschussi", "Hadena sogdiana", "Hadena cailinita", "Hadena naumanni", "Hadena gandhara", "Hadena weigerti", "Hadena badakhshana", "Hadena magnifica", "Hadena secreta", "Hadena nobilis", "Hadena finitima", "Hadena kurajica", "Hadena gyulaii", "Hadena dsungarica", "Hadena hreblayi", "Hadena vartianica", "Hadena archaica", "Hadena perpetua", "Hadena nobilis nobilis", "Hadena nobilis brandti", "Hadena nobilis intermediana", "Hadena orihuela", "Hadena hissarica", "Hadena elbursica", "Hadena danilewskyi", "Hadena nebulosa", "Hadena ronkayorum", "Hadena vanensis", "Hadena pumicosa", "Hadena hyrcanoides", "Hadena subhyrcana", "Hadena purpurea", "Hadena fibigeri", "Hadena virescens", "Hadena nekrasovi", "Hadena magnolii", "Hadena magnolii magnolii", "Hadena magnolii fabiani", "Leptotes socotranus", "Encarsia noyesi", "Leptotes andicola", "Leptotes bathyllos", "Leptotes callanga", "Leptotes cassius", "Erthesina fullo", "Chrysorthenches argentea", "Chrysorthenches halocarpi", "Chrysorthenches phyllocladi", "Chrysorthenches lagarostrobi", "Chrysorthenches microstrobi", "Chrysorthenches glypharcha", "Chrysorthenches drosochalca", "Chrysorthenches porphyritis", "Chrysorthenches polita", "Chrysorthenches virgata", "Ophthalmitis exemptaria", "Calcyopa prasina", "Ectropidia shoreae", "Hirasa cuprearia", "Zagrammosoma variegatum", "Cnesterodon raddai", "Zagrammosoma latilineatum", "Protoloberus singularis", "Oncocephala promontorii", "Hadranellus anomalus", "Chaeridiona thailandica", "Archips shibatai", "Archips taiwanensis", "Clepsis hohuanshanensis", "Casmara grandipennata", "Arthonia neonii", "Vanzosaura savanicola", "Leptotes cassius cassius", "Cryptotis niausa", "Leptotes cassius cassidula", "Leptotes cassius cassioides", "Leptotes cassius catilina", "Spiladarcha puravida", "Spiladarcha septifera", "Spiladarcha tuberculata", "Leptotes cassius theonus", "Leptotes delalande", "Leptotes lamasi", "Leptotes marina", "Leptotes trigemmatus", "Tohoraata raekohao", "Phalloptychus januarius", "Masdevallia cocapatae", "Leptotes plinius", "Masdevallia cuprea", "Masdevallia deceptrix", "Leptotes plinius plinius", "Crudaria wykehami", "Masdevallia descendens", "Polistes sulcifer", "Masdevallia don-quijote", "Loriculina noetlingi", "Otacilia revoluta", "Acianthus fornicatus", "Leptotes plinius leopardus", "Leptotes lybas", "Ranunculus reptabundus", "Arthroleptis kutogundua", "Arthroleptis anotis", "Phygelius aequalis", "Loriculina laevissima", "Bipuncticoris cassinianus", "Bipuncticoris chlorus", "Bipuncticoris convexus", "Bipuncticoris gurri", "Bipuncticoris irroratus", "Bipuncticoris lineatus", "Bipuncticoris longicerus", "Bipuncticoris minor", "Bipuncticoris olearinus", "Bipuncticoris planus", "Bipuncticoris robustus", "Teedia lucida", "Teedia pubescens", "Ranopisoa rakotosonii", "Bathylagichthys kobylianskyi", "Bazzania exempta", "Bulbophyllum anodon", "Bulbophyllum dasystachys", "Bulbophyllum dhaninivatii", "Cassida circumdata", "Cassida compuncta", "Eucosma refusana", "Eucosma verna", "Eucosma autumnana", "Eucosma citrocolorana", "Eucosma citricolorana", "Eucosma annetteana", "Eucosma amphorana", "Leptotes plinius manusi", "Leptotes plinius pseudocassius", "Adelognathus leucotrochi", "Phygelius \u00d7 rectus", "Peritheates harrisi", "Neoclytus longipes", "Sirindhornia pulchella", "Siphlophis ayauma", "Sirindhornia chaipattana", "Sirindhornia curvicosta", "Sirindhornia bifida", "Hovorodon maxillosum", "Rhampholeon tilburyi", "Rhampholeon nebulauctor", "Rhampholeon maspictus", "Rhampholeon bruessoworum", "Endotera cyphospila", "Paraeccopsis tanzanica", "Clito aberrans", "Clito clada", "Clito sompa", "Clito tuva", "Clito zenda", "Archodontes melanopus", "Cinna latifolia", "Dactylorhiza lapponica", "Leptotes plinius celis", "Leptotes plinius plutarchus", "Leptotes plinius zingis", "Leptotes plinius juvenal", "Leptotes plinius hyrcanus", "Emphytopsis vernalis", "Ochetostethomorpha secunda", "Corynoneura ecphora", "Promalactis diehli", "Sacodes leei", "Cilix glaucata", "Cilix glaucata glaucata", "Cilix glaucata aeta", "Tethea consimilis consimilis", "Tethea consimilis aurisigna", "Tethea consimilis c-album", "Tethea consimilis commifera", "Tethea consimilis congener", "Tethea oberthueri", "Tethea oberthueri oberthueri", "Tethea oberthueri baluensis", "Tethea oberthueri taiwana", "Tethea albicostata", "Tethea ampliata", "Tethea ampliata ampliata", "Tethea ampliata grandis", "Tethea ampliata shansiensis", "Tethea fusca", "Tethea longisigna", "Tethea punctorenalia", "Tethea octogesima", "Tethea octogesima octogesima", "Tethea octogesima watanabei", "Tethea ocularis", "Tethea ocularis ocularis", "Tethea ocularis amurensis", "Tethea ocularis opa", "Tethea ocularis osthelderi", "Tethea ocularis tanakai", "Malayepipona clypeata", "Malayepipona seomyty", "Malayepipona furva", "Tethea or", "Tethea or or", "Tethea or akanensis", "Tethea or terrosa", "Tethea subampliata", "Tethea trifolium", "Hadena bicruris", "Hadena capsincola", "Homalomena mutans", "Homalomena caput-gorgonis", "Homalomena succincta", "Trogoderma caledonica", "Trogoderma lescheni", "Peyerimhoffia jaschhoforum", "Phalloptychus iheringii", "Stramentum pulchellum", "Chionodes soter", "Chionodes lusor", "Chionodes erro", "Chionodes parens", "Chionodes sevir", "Chionodes adam", "Chionodes altor", "Chionodes cautor", "Chionodes irreptor", "Chionodes baro", "Chionodes secutor", "Chionodes restio", "Chionodes pinax", "Chionodes adamas", "Chionodes ludio", "Chionodes optio", "Chionodes pastor", "Chionodes nubis", "Chionodes magirus", "Chionodes innox", "Chionodes gestor", "Chionodes bibo", "Chionodes popa", "Chionodes ceryx", "Chionodes kubai", "Chionodes aruns", "Chionodes bios", "Chionodes elainae", "Chionodes luror", "Chionodes factor", "Chionodes pallor", "Chionodes dolo", "Chionodes rectifex", "Chionodes rupex", "Chionodes gratus", "Chionodes cusor", "Chionodes fimus", "Chionodes senica", "Chionodes dator", "Chionodes sponsus", "Chionodes ustor", "Chionodes rogator", "Chionodes mikkolai", "Chionodes praeco", "Chionodes molitor", "Chionodes boreas", "Chionodes trico", "Chionodes veles", "Chionodes theurgis", "Chionodes ensis", "Chionodes sattleri", "Chionodes offectus", "Chionodes fictor", "Chionodes sepultor", "Chionodes canor", "Chionodes histon", "Chionodes praecia", "Chionodes praetor", "Chionodes latro", "Chionodes impes", "Chionodes clarkei", "Eucosma decempunctana", "Cirrospilus americanus", "Hadena irregularis", "Hadena aberrans", "Hadena dianthoecioides", "Hadena syriaca", "Hadena syriaca syriaca", "Hadena syriaca podolica", "Hadena syriaca imitaria", "Hadena syriaca petroffi", "Hadena syriaca quetta", "Hadena musculina", "Hadena neglecta", "Hadena esperi", "Hadena ruetimeyeri", "Hadena corrupta", "Hadena corrupta corrupta", "Hadena corrupta splendida", "Hadena perplexa", "Hadena perplexa perplexa", "Hadena perplexa paghmana", "Hadena plantei", "Hadena hackeri", "Hadena strouhali", "Hadena strouhali strouhali", "Hadena strouhali oxygrapha", "Hadena strouhali permixta", "Hadena christophi", "Hadena christophi christophi", "Hadena christophi kasyi", "Hadena nevadae", "Hadena avempacei", "Hadena paropamisos", "Hadena silenes", "Hadena silenes silenes", "Hadena silenes variegata", "Hadena silenes mesopotamica", "Hadena silenes csorbai", "Hadena sancta", "Hadena sancta sancta", "Hadena sancta trisagittata", "Hadena sancta protai", "Hadena sancta turca", "Hadena sancta cypriaca", "Hadena sancta atrifusa", "Hadena eximia", "Hadena eximia eximia", "Hadena eximia gloriosa", "Hadena caelestis", "Hadena gabrieli", "Hadena maccabei", "Hadena paulula", "Hadena siskiyou", "Phrynocephalus ahvazicus", "Cassida polymeriae", "Cassida queenslandica", "Eucosma millerana", "Eucosma litorea", "Xenolechia ceanothiae", "Gnorimoschema shepherdiae", "Scrobipalpula manierreorum", "Eucosma paregoria", "Cydia marita", "Cydia timara", "Ypsolopha nemorella", "Ypsolopha nervosella", "Perigrapha yasawii", "Bryophila amoenissima", "Bryophila ereptricula", "Bryophila petricolor", "Bryophila raptricula", "Bryophila ravula", "Bryophila microglossa", "Bryophila petrea", "Bryophila kaszabi", "Bryophila uzahovi", "Macdunnoughia purissima", "Macdunnoughia tetragona", "Macdunnoughia confusa", "Macdunnoughia crassisigna", "Macdunnoughia hybrida", "Macdunnoughia kashmirensis", "Ypsolopha kotzschi", "Epipactis hyblaea", "Epipactis krym-montana", "Pselnophorus zulu", "Gypsochares londti", "Buckleria negotiosus", "Sholicola albiventris", "Leptolalax botsfordi", "Leptolalax fritinniens", "Leptolalax zhangyapingi", "Phallotorynus dispilos", "Phallotorynus pankalos", "Phallotorynus psittakos", "Anthene larydas", "Bipuncticoris triplex", "Bipuncticoris vescus", "Bipuncticoris xestus", "Anas platyrhynchos platyrhynchos", "Spioniades clinias", "Arteurotia celendris", "Eracon sarahburnsae", "Pelochrista richersana", "Pelochrista crabtreei", "Eucosma patagoniana", "Eucosma metzleri", "Apatelodes auduboni", "Chionodes hodgesorum", "Chionodes hapsus", "Chionodes suasor", "Chionodes percultor", "Chionodes rabula", "Chionodes cacula", "Chionodes emptor", "Chionodes drapeta", "Chionodes esor", "Chionodes abavus", "Chionodes franclemonti", "Chionodes tarmes", "Chionodes donahueorum", "Chionodes sannio", "Chionodes stator", "Chionodes imber", "Chionodes lactans", "Chionodes volo", "Chionodes obex", "Chionodes munifex", "Chionodes naevus", "Chionodes davisi", "Chionodes pavor", "Chionodes pacator", "Chionodes rector", "Chionodes delitor", "Chionodes sanator", "Chionodes regens", "Chionodes oecus", "Chionodes repertor", "Chionodes procus", "Chionodes paean", "Chionodes landryi", "Chionodes thyotes", "Chionodes cibus", "Chionodes bardus", "Chionodes rhombus", "Chionodes lector", "Chionodes hostis", "Chionodes metoecus", "Chionodes fremor", "Mazaeras yungasensis", "Agdistis nyasa", "Platyptilia mugesse", "Stenoptilia juniper", "Sphenarches mulanje", "Marasmarcha bengtssoni", "Marasmarcha locharcha", "Marasmarcha rubriacuta", "Marasmarcha lamborni", "Arcoptilia malawica", "Apoxyptilus uzumarus", "Gypsochares murphy", "Crassuncus colubratus", "Thunbergia battiscombei", "Thunbergia atriplicifolia", "Thunbergia neglecta", "Penicillium aurantiogriseum", "Ooia paxilla", "Phalloptychus eigenmanni", "Phrynocephalus putjatai", "Mytonolagus ashcrafti", "Clavochytridium simplex", "Limnonectes utara", "Limnonectes selatan", "Limnonectes isanensis", "Anthene crawshayi", "Anthene crawshayi crawshayi", "Anthene crawshayi vuattouxi", "Anthene crawshayi juanitae", "Anthene suquala", "Sibatania arizana", "Sibatania arizana arizana", "Sibatania arizana fluctigena", "Euplexia bella", "Cleora amamiensis", "Hedya tsushimaensis", "Statherotis towadaensis", "Orientophiaris altissima", "Dichorragia nesimachus formosanus", "Crassuncus ecstaticus", "Crassuncus livingstoni", "Crassuncus pacifica", "Crassuncus timidus", "Hellinsia madecasseus", "Hellinsia namizimu", "Hellinsia chewa", "Picardia leza", "Picardia raymondi", "Picardia tumbuca", "Pterophorus africanus", "Desmoxytes lingulata", "Desmoxytes parvula", "Desmoxytes nodulosa", "Desmoxytes getuhensis", "Desmoxytes scutigeroides", "Chiromantis marginis", "Desmoxytes scolopendroides", "Stenodacma richardi", "Arcoptilia pongola", "Homalomena cowleyae", "Homalomena imitator", "Myrmecocichla collaris", "Nacoleia chrysorycta", "Nacoleia commixta", "Nacoleia inouei", "Nacoleia satsumalis", "Nacoleia sibirialis", "Nacoleia tampiusalis", "Copidosoma bucculatricis", "Ageniaspis bicoloripes", "Coproica lacteipennis", "Coproica rufifrons", "Bradysia quercina", "Asiaster hlavaci", "Eurema smilax", "Terias casta", "Howickia myersi", "Howickia bicolor", "Howickia exasperata", "Ectropis crepuscularia", "Copsychus albiventris", "Copsychus mindanensis", "Synandrospadix vermitoxicus", "Dasypus mazzai", "Sinocorophium dongtanense", "Hapalorchis bicornis", "Chelonopsis yagiharana", "Arthonia punctiformis f. populina", "Cahara tibetana", "Artemisia arctica subsp. sachalinensis", "Hypsugo dolichodon", "Viola subsect.", "Viola subsect.", "Viola subsect.", "Viola subsect.", "Howickia harrisoni", "Howickia lepidostylus", "Howickia mercurialis", "Howickia nigrilegula", "Howickia nigriventer", "Howickia cordata", "Howickia nudistylus", "Howickia oliveri", "Howickia omamari", "Howickia regalis", "Howickia palmai", "Howickia tangata", "Howickia wahaika", "Howickia zonula", "Limnonectes hikidai", "Limnonectes cintalubang", "Limnonectes bannaensis", "Hypomecis norikoae", "Xerodes sulawesensis", "Xerodes saitorum", "Xerodes philippinensis", "Gasterocome pannosaria", "Gasterocome inouei", "Megabiston ashizuriensis", "Penicillium expansum", "Psidium sect.", "Psidium sect.", "Psidium sect.", "Zeugmatolepas reticulata", "Exeliopsis discipuncta", "Exeliopsis macrouncus", "Exeliopsis postfasciata", "Exeliopsis hibernaria", "Exeliopsis ansorgei", "Exeliopsis exelisia", "Leptospermum whitei", "Viola sect.", "Viola congesta", "Viola volcanica", "Viola sect.", "Viola sect.", "Viola sect.", "Viola sect.", "Viola sect.", "Viola sect.", "Viola sect.", "Viola sect.", "Physoplexis comosa", "Viola sandrasea subsp. cilicica", "Viola sandrasea subsp. sandrasea", "Ophthalmitis satoi", "Ophthalmitis cordularioides", "Ophthalmitis variegata", "Ophthalmitis viridior", "Ophthalmitis punctifascia", "Ophthalmitis rufilauta", "Calycolpus moritzianus", "Acumontia succinea", "Papillacarus indistinctus", "Papillacarus polysetosus", "Papillacarus arboriseta", "Papillacarus benenensis", "Doryloxenus aenictophilus", "Doryloxenus tangliangi", "Doryloxenus songzhigaoi", "Biroina brevior", "Biroina capitalis", "Biroina dodo", "Biroina dorrigonis", "Biroina fenestrata", "Biroina fuscalis", "Biroina hardyina", "Biroina nitidipleura", "Biroina percostata", "Biroina subsinuata", "Biroina symmetrica", "Biroina trivittata", "Biroina vernalis", "Biroina wilsoni", "Biroina burckhardti", "Biroina orientalis", "Biroina topali", "Argylia sect.", "Pseudorygmodus versicolor", "Cylorygmus repentinus", "Synagris cornuta", "Biroina mrymecophila", "Coproica ferruginata", "Coproica hirticula", "Coproica hirtula", "Norrbomia sordida", "Chinecallicerus serratus", "Tropimenelytron schuelkei", "Pelioptera nepalensis", "Tropimenelytron alishanum", "Malaconothrus adilatatus", "Kerdabania sibiriensis", "Kerdabania magnifica", "Kerdabania elongata", "Kerdabania minuta", "Kerdabania variabilis", "Kerdabania kochi", "Kerdabania inconspicuus", "Kerdabania longiclavata", "Petalomium crinitus", "Petalomium lancetochaetosus", "Petalomium pseudomyrmecophilus", "Agonopterix cluniana", "Agonopterix mendesi", "Depressaria cinderella", "Phyllonorycter lautella", "Agonopterix mutatella", "Prostanthera sect.", "Trachyopella nuda", "Asplundia altiscandens", "Asplundia albicarpa", "Asplundia allenii", "Asplundia brunneistigma", "Asplundia ceci", "Passiflora quadriglandulosa", "Passiflora setacea", "Hallucigenia sparsa", "Homo gautengensis", "Papillacarus cornutus", "Papillacarus hirsutus", "Papillacarus polygonatus", "Papillacarus ramosus", "Papillacarus undirostratus", "Amerodectes tiaris", "Amerodectes zonotrichiae", "Perscheloribates nepalensis", "Viola stagnina", "Viola \u00d7 torslundensis", "Viola \u00d7 gotlandica", "Viola \u00d7 semseyana", "Viola \u00d7 ritschliana", "Viola \u00d7 skofitziana", "Viola \u00d7 baltica", "Viola \u00d7 wujekii", "Viola \u00d7 perplexa", "Loxoconcha kamiyai", "Adelosgryllus rubricephalus", "Aa figueroi", "Aa lozanoi", "Schrankia seinoi", "Tropimenelytron martensianum", "Zeugmatolepas cretae", "Argylia sect.", "Cordyligaster capellii", "Zeyheria tuberculosa", "Stigmella brutea", "Stigmella cana", "Stigmella concreta", "Stigmella pseudoconcreta", "Stigmella pseudodigitata", "Stigmella purpurimaculae", "Stigmella quadrata", "Stigmella sceptra", "Stigmella semilactea", "Stigmella truncata", "Vanda malipoensis", "Ectoedemia obtusa", "Aceratoneura splendida", "Morinda coreia", "Aulacidea hei", "Aulacidea tobiasi", "Aulacidea rubi", "Aulacidea lutigae", "Pelioptera longicollis", "Pelioptera necnilgiriensis", "Viola takesimana", "Viola walteri var. appalachiensis", "Viola walteri var. walteri", "Evergestis nigriformalis", "Orthopygia glaucunalis", "Viola caspia", "Viola laricicola", "Agonopterix yomogiella", "Agonopterix ochrocephala", "Viola oligyrtia", "Idiocolyusa gonzalezi", "Agonopterix mutuurai", "Agonopterix abditella", "Viola pseudomirabilis", "Agonopterix budashkini", "Agonopterix caucasiella", "Dasylirion graminifolium", "Vellozia prolifera", "Vellozia kolbekii", "Vellozia armata", "Vellozia tillandsioides", "Vellozia dracaenoides", "Vellozia andina", "Glomeribacter gigasporarum", "Eupanacra malayana", "Eupanacra automedon", "Eupanacra metallica", "Eupanacra regularis", "Eupanacra elegantulus", "Eupanacra variolosa", "Eupanacra radians", "Premicrodispus punctatus", "Pseudokerdabania geotruporum", "Anthene ligures", "Anthene ligures ligures", "Anthene ligures insularis", "Anthene ligures amanica", "Anthene agumatsa", "Anthene agumatsa agumatsa", "Anthene agumatsa nigeriensis", "Anthene sylvanus", "Anthene ukerewensis", "Anthene ukerewensis ukerewensis", "Anthene ukerewensis albicans", "Anthene ukerewensis riftensis", "Anthene lemnos", "Anthene lemnos lemnos", "Anthene lemnos loa", "Anthene indefinita", "Anthene indefinita indefinita", "Anthene indefinita oculata", "Viola \u00d7 cooperrideri", "Viola \u00d7 dubia", "Viola \u00d7 eclipes", "Viola \u00d7 malteana", "Dichrorampha cancellatana", "Dichrorampha okui", "Dichrorampha canimaculana", "Dichrorampha impuncta", "Dichrorampha testacea", "Dichrorampha interponana", "Dichrorampha petiverella", "Dichrorampha latiflavana", "Acronicta tegminalis", "Viola sacchalinensis var. alpicola", "Viola sacchalinensis var. sacchalinensis", "Anthrenus constantini", "Phallotorynus fasciolatus", "Hylaeus euxanthus", "Hymenocephalus longibarbis", "Hylaeus albonitens", "Hylaeus amiculiformis", "Hylaeus amiculinus", "Hylaeus amiculus", "Hylaeus chromaticus", "Hylaeus theodorei", "Mediorhynchus bullocki", "Mediorhynchus africanus", "Viola \u00d7 mixta", "Viola \u00d7 brauniae", "Spanioda conifera", "Spanioda castillensis", "Spanioda minor", "Pnephorusa decorata", "Phloeopora laevigata", "Phloeopora alticola", "Phloeopora sola", "Phloeopora mallecoicola", "Phloeopora talcana", "Poikilnotha valdiviana", "Passiflora vesicaria", "Abrophaena franzi", "Abrophaena boliviana", "Oreuryalea watanabei", "Carollia manu", "Viola \u00d7 heterocarpa", "Viola \u00d7 orophila", "Viola \u00d7 burnatii", "Notomochtherus brevicauda", "Sphagomyia botswana", "Sphagomyia kenya", "Tsacasiella blanda", "Tsacasiella debilis", "Pholidoscelis lineolatus", "Vellozia subscabra", "Syntormon bulgariensis", "Syntormon xishuiense", "Megalinus amamiko", "Phanodesta celebessa", "Copris johkii", "Onthophagus hosomai", "Onthophagus keikoae", "Onthophagus paracentricornis", "Onthophagus takaoi", "Eptatretus aceroi", "Periphoba rosacea", "Cyornis djampeanus", "Cyornis glaucicomans", "Coscinocera omphale", "Pagla collaris", "Pagla mallecoensis", "Holobus araucanus", "Oligota valdiviana", "Eudera cautinensis", "Eudera valdiviana", "Diestota talcaensis", "Diestota secreta", "Plesiomalota athetoides", "Plesiomalota coihaiquensis", "Plesiomalota dimidiata", "Plesiomalota nublensis", "Plesiomalota osornensis", "Plesiomalota universitatis", "Prosoponotha osornensis", "Prosoponotha purensis", "Gnypeta araucana", "Gnypeta aerea", "Agonopterix kuznetzovi", "Agonopterix inoxiella", "Leptopilina nigroclavata", "Leptopilina vitellinipes", "Agonopterix graecella", "Agonopterix ordubadensis", "Cyanoptila cumatilis", "Agonopterix subumbellana", "Agonopterix flurii", "Agonopterix aperta", "Agonopterix canuflavella", "Agonopterix chaetosoma", "Agonopterix issikii", "Psorosticha melanocrepida", "Brachmia deodora", "Enicurus borneensis", "Gnorimoschema pervada", "Neophaenis descimoni", "Tsacasiella exilis", "Tsacasiella futilis", "Scutellaria longituba", "Chaetaglaea cerata", "Chaetaglaea sericea", "Chaetaglaea tremula", "Tsacasiella instabilis", "Tsacasiella kivuensis", "Tsacasiella neavei", "Tsacasiella inornata", "Valiraptor montanus", "Valiraptor namibiensis", "Valiraptor silvestris", "Valiraptor vittatus", "Dracula simia", "Cypa alleni", "Cypa jiangxiana", "Cypa shaanxiana", "Eupanacra brunnea", "Panaeolus acidus", "Acontia cobourgensis", "Acontia olivacea", "Acontia sollemnis", "Acontia subolivacea", "Ancylolomia parentii", "Calamotropha virginiae", "Luscinia svecica cyanecula", "Calamotropha dagamae", "Polylobus appendiculatus", "Polylobus aemulus", "Polylobus palenicola", "Polylobus velox", "Polylobus tescorum", "Polylobus modestus", "Polylobus triangulum", "Polylobus monomacula", "Polylobus bipunctatus", "Polylobus irreptus", "Polylobus peckorum", "Polylobus valdivianus", "Polylobus cautinensis", "Polylobus vagans", "Polylobus valparaisensis", "Polylobus thermarum", "Polylobus granulifer", "Polylobinus pauper", "Polylobinus speculum", "Angustalius casandra", "Dasymera pavida", "Dasymera olmuensis", "Dasymera lurida", "Xenomma talcaensis", "Xenomma cautinensis", "Eupanacra perfecta", "Eupanacra mydon", "Eupanacra micholitzi", "Xerophyta elegans", "Elenchus varleyi", "Viola \u00d7 iselensis", "Eupanacra elassana", "Eupanacra malpalawana", "Eupanacra psaltria", "Eupanacra pulchella", "Eupanacra sinuata", "Eupanacra splendens", "Afromochtherus anatolicus", "Afromochtherus astiptus", "Afromochtherus atrox", "Afromochtherus kolodrillus", "Eupanacra triridates", "Afromochtherus malawi", "Afromochtherus megastylus", "Afromochtherus melanurus", "Afromochtherus mendax", "Afromochtherus mkomazi", "Eupanacra variegata", "Afromochtherus peri", "Afromochtherus sathus", "Afromochtherus unctus", "Afromochtherus zoropegus", "Viola chelmea subsp. vratnikensis", "Viola chelmea subsp. chelmea", "Disphragis zapoteca", "Disphragis tlaloc", "Barbutella padilla", "Homo erectus lantianensis", "Arthonia susa", "Tarucus bowkeri", "Thelymitra crenulata", "Thelymitra hygrophila", "Thelymitra latifolia", "Thelymitra odora", "Thelymitra orientalis", "Thelymitra pallidifructus", "Thelymitra rubricaulis", "Demoglena andensis", "Passiflora trintae", "Passiflora palmatisecta", "Passiflora sect.", "Sphecodes orientalis", "Passiflora ser.", "Sphecodes tadauchii", "Sphecodes ikudomei", "Sphecodes nagasei", "Sphecodes dathei", "Sphecodes villosulus", "Passiflora galbana", "Ethmia aberdaresi", "Ethmia kunenica", "Ethmia anikini", "Ethmia fluviatilis", "Ethmia kagamegensis", "Ethmia karasbergensis", "Ethmia kuisibi", "Agonopterix dierli", "Agonopterix parinkini", "Agonopterix mikkolai", "Atheta lagunaris", "Atheta aisensis", "Atheta villarricaensis", "Atheta magallanestreti", "Atheta olmuensis", "Atheta ramosa", "Atheta angulifera", "Atheta rococo", "Atheta trilaminata", "Leptoglossula spinosa", "Leptoglossula nebulosa", "Leptoglossula dentata", "Leptoglossula nublensis", "Ceratoxanthis giansalottii", "Gastrorhopalus relictus", "Demoglena chilensis", "Demoglena irregularis", "Demoglena osornicola", "Demoglena aysensis", "Crambus bellinii", "Disphragis antistes", "Disphragis boyaca", "Disphragis fulgens", "Disphragis gunensis", "Disphragis dognini", "Catocala kaki", "Catocala obscena", "Catocala obscena obscena", "Catocala obscena baihi", "Catocala obscena bukeihi", "Deudorix livia livia", "Deudorix livia barnetti", "Antherae platessa platessa", "Antherae platessa ornata", "Linum alpinum", "Attacus soembanus", "Chiastophyllum oppositifolium", "Cricula zubsiana", "Nipponoparmelia perplicata", "Phlomoides binaludensis", "Microcryptorhynchus pygmaeus", "Eriocaulon araguaiense", "Eriocaulon cylindratum", "Coleophora punica", "Cyornis magnirostris", "Cyornis nicobaricus", "Neolamya peltigerae", "Neolamya xanthoparmeliae", "Ficedula riedeli", "Antheraea rosieri", "Antheraea bacoensis", "Antheraea canlaonensis", "Antheraea castanea", "Antheraea dulangensis", "Antheraea inthanonensis", "Antheraea paniki", "Antheraea paniki paniki", "Martillepas hausmanni", "Antheraea sahi", "Antheraea tenasserimensis", "Antheraea youngi", "Antheraea acehensis", "Antheraea alorensis", "Antheraea andamana", "Antheraea angustomarginata", "Antheraea broschi", "Antheraea cadioui", "Antheraea celebensis", "Antheraea cernyi", "Antheraea cihangiri", "Antheraea cordifolia", "Antheraea frithi", "Thelyphassa latiuscula", "Euclidiana triquetra", "Agriphila tolli", "Comanthera circinnata", "Paepalanthus arcuatus", "Paepalanthus linearis", "Paepalanthus sericiscapus", "Cerceris californica", "Coleophora nepetellae", "Oligopogon anatolicus", "Oligopogon creticus", "Oligopogon graecus", "Oligopogon londti", "Oligopogon rufus", "Oligopogon harlequini", "Tripylella subintermedia", "Aphelinus prociphili", "Aphytis azai", "Hydroecia xanthenes", "Gortyna xanthenes", "Hydraecia xanthenes", "Digitivalva arnicella", "Digitivalva christophi", "Digitivalva granitella", "Digitivalva macedonica", "Digitivalva occidentella", "Digitivalva orientella", "Digitivalva pulicariae", "Digitivalva solidaginis", "Digitivalva wolfschlaegeri", "Digitivalva delaireae", "Digitivalva eglanteriella", "Digitivalva hemiglypha", "Digitivalva heringi", "Digitivalva nephelata", "Digitivalva pappella", "Digitivalva perlepidella", "Digitivalva seligeri", "Digitivalva valeriella", "Digitivalva piozae", "Zeugmatolepas georgiensis", "Cricula trifenestrata burmana", "Cricula trifenestrata javana", "Cricula trifenestrata kransi", "Cricula trifenestrata agrioides", "Cricula trifenestrata serama", "Cricula trifenestrata flavoglena", "Cricula trifenestrata banggaiensis", "Arsenura angulata", "Ambulyx amboynensis", "Ambulyx queenslandi", "Ambulyx dohertyi queenslandi", "Ambulyx dohertyi salomonis", "Saturnia thibeta", "Saturnia thibeta thibeta", "Saturnia thibeta pahangensis", "Saturnia thibeta okurai", "Heliotropium sect.", "Hyles annei", "Hyles apocyni", "Saccopharynx berteli", "Antheraea gschwandneri", "Antheraea gschwandneri gschwandneri", "Antheraea gschwandneri zwicki", "Antheraea gulata", "Antheraea hagedorni", "Antheraea halconensis", "Antheraea harndti", "Antheraea helferi", "Antheraea hollowayi", "Antheraea imperator", "Antheraea insularis", "Antheraea jakli", "Antheraea jana", "Antheraea jawabaratensis", "Antheraea kageri", "Antheraea kalabahiensis", "Antheraea kalangensis", "Antheraea kelimutuensis", "Antheraea korintjiana", "Antheraea lampei", "Antheraea larissa", "Antheraea larissa larissa", "Antheraea larissa mindoroensis", "Antheraea larissa ridlyi", "Antheraea loeffleri", "Antheraea lorosae", "Antheraea meisteri", "Aneomochtherus africanus", "Aneomochtherus deserticolus", "Aneomochtherus monobia", "Antheraea minahassae", "Caenoura annulitarsis", "Caenoura sinuatus", "Scrobipalpa peterseni", "Kiwaia aerobatis", "Nylanderia incallida", "Viburnum maculatum", "Appasus ampliatus", "Appasus ampliatus alluaudi", "Appasus ampliatus ampliatus", "Abedus indentatus", "Stilbia andalusiaca andalusiaca", "Stilbia andalusiaca boursini", "Zeugmatolepas mockleri armenicus", "Cuscuta taimensis", "Viburnum sect.", "Hydora musci", "Viburnum sect.", "Dikowmyia mediorus", "Gongromyia bulla", "Antheraea mindoroensis", "Melouromyia diaphorus", "Melouromyia natalensis", "Antheraea mindoroensis mindoroensis", "Antheraea mindoroensis philippirissa", "Antheraea myanmarensis", "Antheraea pahangensis", "Antheraea pasteuri", "Antheraea paukpelengensis", "Antheraea paukstadtorum", "Antheraea pernyi pernyi", "Antheraea roylei", "Antheraea philippirissa", "Antheraea platessa", "Antheraea pratti", "Antheraea raffrayi", "Antheraea ranakaensis", "Antheraea ranongensis", "Antheraea rolfei", "Antheraea rosemariae", "Antheraea rosieri imeldae", "Antheraea rosieri rosieri", "Antheraea rubicunda", "Antheraea rubicunda rubicunda", "Antheraea rubicunda rubiorientalis", "Antheraea rumphii", "Antheraea rumphii buruensis", "Antheraea rumphii ceramensis", "Antheraea rumphii rumphii", "Antheraea schroederi", "Antheraea selayarensis", "Antheraea semperi", "Antheraea semperi noeli", "Antheraea semperi semperi", "Antheraea sergestus", "Antheraea steinkeorum", "Antheraea sumatrana", "Antheraea sumbaensis", "Antheraea taripaensis", "Antheraea ulrichbroschi", "Antheraea vietnamensis", "Antheraea viridiscura", "Coleophora cyrneogenistae", "Chimaera carophila", "Angelica ubatakensis", "Agriphila tolli tolli", "Agriphila tolli pelsonius", "Oroncus tancrei tancrei", "Oroncus weigerti", "Leptopterix himalayalta", "Cygnus columbianus columbianus", "Caradrina noctivaga", "Caradrina clavipalpis", "Caradrina clavipalpis clavipalpis", "Caradrina clavipalpis pinkeri", "Spodoptera exigua", "Stilbia andalusiaca", "Isocentris barnsalis", "Isocentris seychellalis", "Isocentris charopalis", "Palaeosiccia major", "Exilisia tripuncta", "Exilisia disticha", "Siccia pustulata", "Synophropsis lauri", "Hisonotus acuen", "Zygaena orana", "Zygaena orana sulcitana", "Zygaena orana orana", "Zygaena niphona", "Zygaena viciae", "Zygaena viciae viciae", "Zygaena viciae pelopis", "Strepsicrates trimaura", "Strepsicrates thyellopis", "Gracillaria toubkalella", "Gracillaria loriolella", "Altipolia mosaica", "Altipolia sonamargensis", "Altipolia purpurea", "Pachynematus hirowatarii", "Pachynematus hayachinensis", "Pristiphora nigrocoreana", "Pristiphora issikii", "Pristiphora shinoharai", "Pontania nipponica", "Euura soboensis", "Subancistrocerus compressus", "Subancistrocerus jinghongensis", "Euclidia amudarya", "Pyraustomorpha lingularis", "Loxostege bihensis", "Pyrausta luteomarginalis", "Psammotis quadripunctalis", "Circobotys flaviciliata", "Circobotys mabillealis", "Circobotys sinisalis", "Circobotys caffralis", "Achyra nudalis", "Achyra coelatalis", "Achyra massalis", "Isocentris filalis", "Chiromyscus langbianis", "Salmo kottelati", "Lobrathium atanggei", "Lobrathium jianqingi", "Stipa adoxa", "Stipa transcarpatica", "Stipa maeotica", "Cynegetis chinensis", "Mesorhynchaglaea tarokoensis", "Lampropteryx nishizawai", "Lampropteryx synthetica", "Lampropteryx neelys", "Lampropteryx producta", "Lampropteryx szechuana", "Synegia pallens", "Pterygocalyx volubilis", "Synegia pallens pallens", "Synegia pallens abeliae", "Thyreus garouensis", "Kiwaia brontophora", "Kiwaia caerulea", "Kiwaia calaspidea", "Kiwaia cheradias", "Kiwaia contraria", "Kiwaia dividua", "Kiwaia eurybathra", "Kiwaia glaucoterma", "Kiwaia heterospora", "Kiwaia hippeis", "Kiwaia jeanae", "Kiwaia lapillosa", "Kiwaia lenis", "Kiwaia lithodes", "Kiwaia matermea", "Kiwaia monophragma", "Kiwaia neglecta", "Kiwaia parapleura", "Kiwaia parvula", "Kiwaia pharetria", "Kiwaia plemochoa", "Kiwaia pumila", "Kiwaia quieta", "Kiwaia schematica", "Kiwaia thyraula", "Kiwaia kumatai", "Kiwaia palaeartica", "Belostoma micantulum", "Kiwaia spinosa", "Belostoma ellipticum", "Apopestes phantasma centralasiae", "Xenocylapidius acutipennis", "Xenocylapidius ater", "Xenocylapidius bimaculatus", "Sarkidiornis sylvicola", "Monomorium broschorum", "Monomorium capeyork", "Monomorium eremoides", "Monomorium eremum", "Monomorium geminum", "Monomorium hertogi", "Monomorium hoffmanni", "Monomorium kidman", "Monomorium maryannae", "Monomorium merepah", "Monomorium mitchell", "Monomorium oodnadatta", "Monomorium pilbara", "Monomorium speculum", "Monomorium stagnum", "Monomorium tenebrosum", "Monomorium topend", "Monomorium torrens", "Acaena dumicola", "Carebara terayamai", "Tamarixia radiata", "Tamarixia dryi", "Carebara mukkaliensis", "Chersotis andereggii", "Chersotis juncta", "Chersotis acutangula", "Chersotis andereggii andereggii", "Chersotis andereggii arcana", "Tinagma grisecens", "Aegopodium decumbens", "Noctua warreni", "Scoparia dipenda", "Scoparia elongalis", "Scoparia fakoensis", "Scoparia kanai", "Menegazzia caviisidia", "Scoparia ngangaoensis", "Scoparia nigripunctalis", "Scoparia ololuae", "Pyrausta syntomidalis", "Achyra takowensis", "Xenocylapidius gemellus", "Xenocylapidius rolandi", "Lithobius zhangi", "Eviulisoma ngaia", "Eviulisoma ngaiaorum", "Eviulisoma taitaorum", "Eviulisoma taita", "Eviulisoma kirimeri", "Eviulisoma kakamega", "Eviulisoma alluaudi", "Eviulisoma silvestre", "Halicyclops gaviriai", "Icterus pyrrhopterus", "Icterus northropi", "Icterus portoricensis", "Nanna broetheri", "Nanna distyi", "Nanna falcata", "Nanna griseoides", "Nanna hoppei", "Nanna luteolata", "Nanna tanzaniae", "Vaucheria aestuarii", "Vaucheria edaphica", "Oligopogon adonis", "Oligopogon agnostos", "Oligopogon argolagon", "Oligopogon baringo", "Oligopogon eburacta", "Oligopogon freidbergi", "Oligopogon hemistego", "Oligopogon kochi", "Oligopogon mhlopeni", "Oligopogon napaios", "Oligopogon ndumo", "Oligopogon platypteron", "Oligopogon rossi", "Oligopogon snowi", "Oligopogon torsteni", "Oligopogon trichopteron", "Oligopogon waltonae", "Oligopogon zulu", "Oligopogon ater", "Oligopogon enigmatus", "Oligopogon hyacinthina", "Oligopogon hyalipennis", "Oligopogon mbambingomia", "Oligopogon nigripennis", "Oligopogon nitidus", "Oligopogon penicillatus", "Oligopogon pollinosus", "Oligopogon superciliatus", "Japananus hyalinus", "Stipa brachyptera", "Koleolepas avis", "Endophthora omogramma", "Koleolepas willeyi", "Exocelina kinibeli", "Salvinia oblongifolia", "Agyneta nigra", "Atypena cirrifrons", "Batueta cuspidata", "Batueta similis", "Capsulia laciniosa", "Cirrosus atrocaudatus", "Conglin personatus", "Curtimeticus nebulosus", "Dactylopisthes separatus", "Erigone grandidens", "Synegia hadassa", "Synegia hadassa hadassa", "Synegia hadassa yakushimensis", "Synegia limitata", "Synegia limitatoides", "Synegia ichinosawana", "Synegia esther", "Synegia othsukai", "Synegia estherodes", "Synegia masuii", "Synegia eumeleata", "Ephemerophila harutai", "Ephemerophila bicornuta", "Ephemerophila pallescens", "Circanota undulata", "Circanota simplex", "Ethmia delliella", "Ethmia bittenella", "Ethmia festiva", "Ethmia blaineorum", "Ethmia scythropa", "Ethmia perpulchra", "Ethmia terpnota", "Ethmia millerorum", "Ethmia elutella", "Ethmia janzeni", "Ethmia ungulatella", "Ethmia exornata", "Ethmia dianemillerae", "Ethmia adrianforsythi", "Ethmia phylacis", "Ethmia mnesicosma", "Ethmia chemsaki", "Ethmia stephenrumseyi", "Ethmia baliostola", "Pseuderanthemum variabile", "Xyloryctes guatemalensis", "Crocus yaseminiae", "Iridana michaelgwynnei", "Iridana pseudobscura", "Hydora lanigera", "Hydora subaenea", "Hydora picea", "Matsumurella tuberifera", "Encarsia floralis", "Encarsia maculiformis", "Hedya abjecta", "Hedya daeduchus", "Hedya sunmoonlakensis", "Olethreutes meifengensis", "Olethreutes flammanus", "Olethreutes sayonae", "Olethreutes aliana", "Olethreutes cana", "Gladiata fengli", "Glebala aspera", "Glomerosus lateralis", "Gongylidiellum bracteatum", "Houshenzinus xiaolongha", "Phallotorynus jucundus", "Myosotis traversii var. traversii", "Myosotis traversii var. cinerascens", "Myosotis traversii var. cantabrica", "Myosotis amabilis", "Phallotorynus victoriae", "Ethmia berndkerni", "Ethmia dimauraorum", "Ethmia duckworthi", "Ethmia billalleni", "Ethmia ehakernae", "Ethmia sandra", "Ethmia helenmillerae", "Ethmia johnpringlei", "Ethmia nigritaenia", "Ethmia laphamorum", "Ethmia catapeltica", "Ethmia petersterlingi", "Ethmia lesliesaulae", "Ethmia turnerorum", "Ethmia normgershenzi", "Ethmia nicholsonorum", "Ethmia lichyi", "Pernis steerei", "Ethmia hendersonorum", "Ethmia transversella", "Ethmia randyjonesi", "Ethmia randycurtisi", "Ethmia miriamschulmanae", "Ethmia similatella", "Ethmia tilneyorum", "Ethmia hammella", "Ethmia linda", "Phaecasiophora obligata", "Titanotrichum oldhamii", "Draba japonica", "Pyrola nephrophylla", "Phaecasiophora thaiensis", "Phaecasiophora amoena", "Phaecasiophora kurokoi", "Ctenognathus punctulatus", "Ctenognathus otagoensis", "Coccinella whitiangii", "Hybolasius concolor", "Virgiscalpellum beisseli", "Virgiscalpellum darwinianum", "Bambara edwardi", "Bambara lanquidula", "Bambara merina", "Bambara opaca", "Bambara problematica", "Bambara secubita", "Bambara thomasi", "Bambara verecunda", "Nabis ashworthi", "Isotenes anisa", "Sideroxylon spinosum", "Palaquium bintuluense", "Virgiscalpellum ryckholti", "Nemertoscolex parasiticus", "Virgiscalpellum hagenowianum", "Virgiscalpellum exsertum", "Scutellaria subsect.", "Scutellaria subsect.", "Brachyrhaphis cascajalensis", "Grapholita hymenosa", "Grapholita habra", "Grapholita iridescens", "Grapholita alagoasi", "Grapholita amphitorna", "Grapholita antitheta", "Grapholita arcia", "Grapholita bicincta", "Grapholita chapeuana", "Grapholita conficitana", "Grapholita ensima", "Grapholita eulepidana", "Grapholita floricolana", "Grapholita mollitia", "Grapholita okui", "Grapholita parvisignana", "Grapholita saphinella", "Grapholita siderocosma", "Grapholita tetrazancla", "Grapholita tornosticha", "Grapholita yasudai", "Grapholita zapyrana", "Grapholita zariae", "Grapholita andabatana", "Grapholita dimorpha", "Grapholita dysaethria", "Grapholita funebrana", "Grapholita janthinana", "Grapholita lobarzewskii", "Grapholita mabeae", "Grapholita pakitzae", "Grapholita tenebrosana", "Grapholita yurubina", "Gnathodracon strigulana", "Mergus milleneri", "Cooksonia abri", "Cooksonia ginettae", "Trichosirocalus horridus", "Paraneseuthia joeparkeri", "Paraneseuthia titiwangsana", "Sedum versadense", "Sedum versadense var. versadense", "Sedum versadense var. villadioides", "Sedum obtusatum", "Gasteruption pasteelsi", "Chaenothecopsis neocaledonica", "Scutellaria mocinoana", "Prolixus corruginus", "Prolixus forsteri", "Gonatopus perraulti", "Sedum ser.", "Sedum ser.", "Pseudolasius diversus", "Pseudolasius polymorphicus", "Apterophora bragancai", "Apterophora chadabae", "Virgiscalpellum radiatum", "Noduliferola anepsia", "Spilonota grandlacia", "Herpystis esson", "Cryptophlebia omphala", "Acarospora boulderensis", "Acarospora irregularis", "Myosotis atlantica", "Hapsiferona jemenitica", "Hapsiferona remanei", "Hapsifera gozmanyi", "Malacolepas conchicola", "Scutellaria sect.", "Scutellaria sect.", "Paulipalpina arcuata", "Paulipalpina pillahuata", "Adelopsis singularis", "Neoathyreus dalensi", "Asolenus julietteae", "Scutellaria sect.", "Bulbothrix asiatica", "Campoplex bazariae", "Prolixus meyerae", "Cooksonia nozolinoi", "Dolichotetranychus zoysiae", "Gieysztoria shantouensis", "Gieysztoria huizhouensis", "Bombyciella antra", "Bombyciella talpa", "Maxiana sericea", "Meharia breithaupti", "Dianfosseya leakeyi", "Ischnodemus sabuleti", "Kaestneria bicultrata", "Laogone bai", "Laogone lunata", "Maro bulbosus", "Nasoona asocialis", "Nasoona crucifera", "Nasoonaria circinata", "Nasoonaria sinensis", "Neriene circifolia", "Neriene macella", "Neriene nitens", "Neriene strandia", "Oedothorax biantu", "Oilinyphia hengji", "Paikiniana furcata", "Parameioneta bishou", "Parameioneta multifida", "Parameioneta tricolorata", "Smerasia obscurus", "Tapinopa undata", "Tapinopa vara", "Theoa bidentata", "Theoa vesica", "Vittatus bian", "Vittatus fencha", "Vittatus latus", "Vittatus pan", "Metachorista austera", "Metachorista caliginosa", "Metachorista deltophora", "Metachorista evidens", "Metachorista loepa", "Metachorista megalophrys", "Metachorista mesata", "Metachorista refracta", "Metachorista spermatodesma", "Metachorista ursula", "Metachorista tineoides", "Cornuticlava aritrana", "Cornuticlava phanera", "Cornuticlava heijningeni", "Cornuticlava chrysoconis", "Cornuticlava cuspidata", "Cornuticlava beccarii", "Cornuticlava saliaris", "Cornuticlava spectralis", "Mimeoclysia dentata", "Mimeoclysia incompertana", "Mimeoclysia mauroprosopa", "Mimeoclysia piridina", "Mimeoclysia strongylopa", "Janegoodallia davenporti", "Laetosphecia variegata", "Laetosphecia leucozona", "Laetosphecia brideliana", "Virgiscalpellum gabbi", "Ourapteryx consociata", "Ourapteryx contronivea", "Ourapteryx karsholti", "Virgiscalpellum gabbi gabbi", "Virgiscalpellum gabbi apertus", "Rhipidolestes truncatidens", "Theope ebara", "Theope zafaran", "Reptilisocia gunungana", "Schoenotenes peos", "Schoenotenes emmetra", "Schoenotenes elasma", "Metachorista longiseta", "Cornuticlava binaiae", "Cornuticlava kobipoto", "Mimeoclysia mystrion", "Kanikehia kanikehiana", "Mersa metochia", "Homona obtusuncus", "Homona privigena", "Homona antitona", "Isodemis solea", "Isodemis phloiosignum", "Isotenes latitata", "Isotenes syndesma", "Zacorisca leura", "Zacorisca helictocestum", "Zacorisca seramica", "Zacorisca digna", "Adoxophyes planes", "Adoxophyes meion", "Adoxophyes olethra", "Adoxophyes lacertana", "Adoxophyes parameca", "Adoxophyes panurga", "Adoxophyes luctuosa", "Demeijerella palleophyton", "Lobesia drasteria", "Rhectogonia sandrae", "Metrioglypha ithuncus", "Aterpia monada", "Asaphistis omora", "Rhodacra leptalea", "Rhopobota jonesiana", "Rhopobota nasea", "Rhopobota grisona", "Peridaedala speculata", "Peridaedala stenygra", "Fibuloides rusticola", "Gonatopus dahmsi", "Gonatopus victoriensis", "Gonatopus levis", "Gonatopus nigricans", "Bulbothrix laeviuscula", "Attagenus lepidus", "Larinopoda lircaea", "Phryganogryllacris longicerca", "Phryganogryllacris brevixipha", "Phryganogryllacris sheni", "Phryganogryllacris unicolor", "Phryganogryllacris decempunctata", "Phryganogryllacris mellii", "Leptagrion macrurum", "Virgiscalpellum gabbi heintzi", "Phryganogryllacris xiai", "Phryganogryllacris subrectis", "Phryganogryllacris gialai", "Phryganogryllacris alia", "Acleris arcticana", "Collinslepas euglyptum", "Xiphiagrion cyanomelas", "Gonatopus burwelli", "Epinotia monticola", "Notocelia donaldana", "Histia flabellicornis", "Histia libelluloides", "Histia flabellicornis flabellicornis", "Histia flabellicornis orientalis", "Histia flabellicornis hainanensis", "Salvia oxyphora", "Histia flabellicornis nigrina", "Histia flabellicornis ultima", "Salvia purpurea", "Histia flabellicornis azurea", "Histia flabellicornis atrovirens", "Salvia recurva", "Histia flabellicornis obsoleta", "Histia flabellicornis nilgira", "Histia flabellicornis tahanica", "Histia flabellicornis cometaris", "Histia libelluloides libelluloides", "Histia libelluloides sumatrana", "Histia libelluloides lombokensis", "Histia libelluloides nivosa", "Salvia scutellarioides", "Histia libelluloides baliensis", "Histia libelluloides mindorensis", "Menophra bitoi", "Menophra tienmuensis", "Acleris gatesclarkei", "Acleris nakajimai", "Acleris luoyingensis", "Clepsis razowskii", "Setosabatieria singaporensis", "Flabellina albomaculata", "Ourapteryx stueningi", "Ourapteryx astrigera", "Neoanalthes contortalis", "Neoanalthes pseudocontortalis", "Neoanalthes nebulalis", "Bulbothrix subscortea", "Tegolophus liquidambaricola", "Abacarus paniceus", "Tetra armato", "Parategonotus acanthopanacinus", "Pentaconvexus ambertianus", "Schizacea chinenseae", "Acaphyllisa shinkoensa", "Acaphyllisa bracteatae", "Bulbothrix caribensis", "Phryganogryllacris sichuanensis", "Phryganogryllacris parva", "Phryganogryllacris truncata", "Phryganogryllacris interrupta", "Stipa graniticola", "Virgiscalpellum heteroplax", "Lacinius bizleyi", "Microcheilinella istanbulensis", "Shivaella elertensis", "Alloraphidia kyzylzharica", "Lucanus marazziorum", "Lucanus ngheanus phuongi", "Aegus bakrii", "Aegus takayukii", "Neolucanus bimaculatus", "Neolucanus danangensis", "Neolucanus kirsteni", "Neolucanus vietnamensis", "Neolucanus latissimus", "Neolucanus kachinensis", "Paracolax bilineata", "Paracolax sugii", "Paracolax albopunctata", "Paracolax brunnescens", "Paracolax castanea", "Paracolax griseata", "Paracolax japonica", "Paracolax grisescens", "Paracolax montanus", "Paracolax ocellatus", "Paracolax ochrescens", "Paracolax pectinatus", "Paracolax pacifica", "Paracolax albinotata", "Paracolax fascialis", "Paracolax fentona", "Paracolax pryeri", "Dorcus monpa", "Paracolax trilinealis", "Paracolax tristalis", "Lucanus mishmi", "Lucanus gracilis sharchokpai", "Hydrillodes carayoni", "Callicore hesperis", "Callicore hydarnis", "Callicore texa", "Callicore texa texa", "Callicore texa loxicha", "Myosotis daralaghezica", "Callicore texa tacana", "Callicore texa skinneri", "Callicore texa boyeri", "Dictyonema giganteum", "Myosotis abyssinica", "Tanaoctena dubia", "Acamptus exilipes", "Myosotis \u00d7 suzae", "Myosotis ucrainica", "Myosotis taverae", "Myosotis alpestris subsp. suaveolens", "Acleris caliginosana", "Acleris chalybeana", "Acleris comandrana", "Acleris compsoptila", "Hadennia mysalis", "Bulbothrix pseudocoronata", "Adrapsa ablualis", "Adrapsa subapicalis", "Bocana manifestalis", "Mosopia megaspila", "Mosopia sordidum", "Mosopia kononenkoi", "Mosopia pallidusalis", "Mosopia eudoxusalis", "Mosopia magniplaga", "Paracolax contigua", "Epermenia aarviki", "Epermenia costomaculata", "Epermenia dallastai", "Epermenia formosa", "Epermenia karurucola", "Epermenia paramalawica", "Epermenia ruwenzorica", "Epermenia tenuipennella", "Epermenia turicola", "Epermenia agassizi", "Epermenia kenyacola", "Epermenia triacuta", "Epermenia iniquella", "Menegazzia nipponica", "Epermenia mineti", "Epermenia nepalica", "Epermenia pulchokicola", "Epermenia sinica", "Epermenia sugisimai", "Menegazzia squamatica", "Epermenia theimeri", "Epermenia vartianae", "Epermenia wockeella", "Acanthopterus bidens", "Acanthopterus granulosus", "Acanthopterus lugubris", "Acanthopterus velatus", "Amphionotus undulatus", "Pterogonius albomaculatus", "Pterogonius alticola", "Pterogonius bryophilus", "Pterogonius fauveli", "Pterogonius millei", "Pterogonius sylviae", "Pterogonius tabularis", "Pterogonius tardus", "Pterogonius vitiensis", "Pterogonius wanati", "Coffearhynchus cylindricus", "Coffearhynchus neocaledonicus", "Myrtonymus australicus", "Myrtonymus caledonicus", "Myrtonymus eucalypti", "Myrtonymus moorei", "Myrtonymus peckorum", "Hexonymus reginalis", "Rothisilpha dzumac", "Rothisilpha mandjelia", "Rothisilpha touho", "Rothisilpha wayem", "Rothisilpha panie", "Pristimantis jaguensis", "Virgiscalpellum inornatum", "Virgiscalpellum wrighti", "Brachyrhaphis episcopi", "Gunnia fava", "Blysmasphaera brasiliensis", "Blysmasphaera broennimanni", "Myzus dycei", "Noyesius metallicus", "Noyesius testaceus", "Synergus deqingensis", "Synergus gifuensis", "Synergus japonicus", "Synergus jezoensis", "Ommatius corolla", "Ommatius huoae", "Ommatius jianfenglingensis", "Sisyra cornuta", "Paracaprella dubiaski", "Spilomena socialis", "Dinotrema cavernicola", "Xylocopa nasalis", "Thismia megalongensis", "Macrophya pseudofemorata", "Macrophya huangi", "Ptyobathra recta", "Okileucauge elongatus", "Okileucauge gongshan", "Boysidia xianfengensis", "Boysidia xiaoguanensis", "Deltonotus wuzhishanensis", "Chorthippus qixingtaiensis", "Megaulacobothrus tianshanensis", "Notophthiracarus granpiedraensis", "Notophthiracarus obturatus", "Macrobiotus wuyishanensis", "Ramila minima", "Schoenobius scirpus", "Macrophya opacifrontalis", "Pyrodictium brockii", "Macrophya cheni", "Macrophya yichangensis", "Macrophya elegansoma", "Macrophya reni", "Coelopisthia areolata", "Coelopisthia caledonica", "Coelopisthia qinlingensis", "Coelopisthia xinjiashanensis", "Coelopisthia dasycladus", "Coelopisthia gracilentus", "Coelopisthia pseudaletia", "Coelopisthia condensus", "Batozonellus flavithoracicus", "Batozonellus annulatus", "Batozonellus maculifrons", "Epilobium pyrricholophum", "Neolucanus zhongguo", "Neolucanus katsuraorum", "Minyaspis amylaneae", "Florissantoraphidia funerata", "Collinslepas paitense", "Platocoelotes zhuchuandiani", "Protophthiracarus diatropos", "Protophthiracarus korupensis", "Protophthiracarus preptos", "Protophthiracarus aethes", "Protophthiracarus pinarensis", "Protophthiracarus ruseki", "Protophthiracarus araios", "Protophthiracarus mayottei", "Protophthiracarus baloghi", "Leipothrix chimonae", "Diptacus praecox", "Hypoaspis debilis", "Hypoaspis debilis debilis", "Hypoaspis debilis ningxiaensis", "Pristiphora zhejiangensis", "Pristiphora zhongi", "Pristiphora ettera", "Spilonota terenia", "Cryptophlebia heterospina", "Aoupinieta mountpanieae", "Aoupinieta silacea", "Aoupinieta obesa", "Xenothictis coena", "Xenothictis sympaestra", "Xenothictis dagnyana", "Xenothictis oncodes", "Gasteruption aciculatum", "Gasteruption agrenum", "Gasteruption brevibasale", "Gasteruption coriacoxale", "Gasteruption flavimarginatum", "Gasteruption heminitidum", "Gasteruption henseni", "Gasteruption ischnolaimum", "Gasteruption nigrapiculatum", "Gasteruption paglianoi", "Gasteruption pseudolaticeps", "Homona blaiki", "Gasteruption punctifrons", "Gasteruption schmideggeri", "Gasteruption scorteum", "Archilobesia doboszi", "Gasteruption smitorum", "Gasteruption caucasicum", "Gasteruption diversipes", "Gasteruption dolichoderum", "Gasteruption freyi", "Gasteruption goberti", "Gasteruption hastator", "Gasteruption insidiosum", "Megalota ouentoroi", "Gasteruption lugubre", "Gasteruption merceti", "Statherotis ateuches", "Gasteruption nigrescens", "Gasteruption opacum", "Gasteruption phragmiticola", "Gasteruption schlettereri", "Gasteruption syriacum", "Gasteruption undulatum", "Gasteruption variolosum", "Pternidora koghisiana", "Gasteruption brandaoi", "Gasteruption bertae", "Gasteruption glauciae", "Gasteruption hansoni", "Gasteruption helenae", "Gasteruption huberi", "Gasteruption lianae", "Gasteruption loiaconoae", "Gasteruption masneri", "Rhopobota mou", "Gasteruption oliveirai", "Gasteruption rafaeli", "Gasteruption smithi", "Gasteruption wahli", "Pristiphora inthanoni", "Pristiphora annetna", "Pristiphora phahompoki", "Pristiphora abbreviata", "Pristiphora abietina", "Pristiphora affinis", "Pristiphora biscalis", "Megaselia russellsmithi", "Megaselia velutinicavus", "Brachyrhaphis hartwegi", "Megaselia donaldsonae", "Megaselia margaretae", "Megaselia nakayamai", "Megaselia salteri", "Megaselia stepheni", "Clitarchus hookeri", "Clitarchus rakauwhakanekeneke", "Clitarchus tepaki", "Ramulus changmaiense", "Rhodophyllis parasitica", "Stramentum haworthi", "Achrysocharoides acerianus", "Primula dejuniana", "Betula hainanensis", "Stramentum inconstans", "Phyllotocus variicollis", "Phyllotocus ustulatus", "Phyllotocus scutellaris", "Phyllotocus ruficollis", "Phyllotocus occidentalis", "Phyllotocus navicularis", "Phyllotocus moestus", "Phyllotocus meyricki", "Phyllotocus australis", "Phyllotocus basalis", "Phyllotocus decipiens", "Phyllotocus erythropterus", "Phyllotocus kingii", "Phyllotocus laterofuscus", "Phyllotocus marginipennis", "Diptacus brevichaetus", "Diptacus shangzhous", "Vulgarogamasus lingulatus", "Neogamasus anomaus", "Basacallis tarachodes", "Brachyrhaphis holdridgei", "Acrocercops bifasciata", "Brachyrhaphis parismina", "Cassionympha cassius", "Lophocorona commoni", "Lophocorona flavicosta", "Lophocorona robinsoni", "Agrilus flechtmanni", "Anthene definita", "Brachyrhaphis punctifer", "Serrognathus taurus", "Petraeomastus qii", "Serrognathus taurus minor", "Lucanus bidentis", "Lucanus viheari", "Gammarus praecipuus", "Tylopus deharvengi", "Anapistula panensis", "Anapistula zhengi", "Rusa alfredi", "Stramentum canadensis", "Stramentum elegans", "Archiculicoides andersoni", "Formosatettix henanensis", "Miroplana shenzhensis", "Brachyrhaphis hessfeldi", "Thespieus maacki", "Schistonchus zealandicus", "Paradota plentyensis", "Schizacme ciliata", "Minyaspis aurivillii", "Manduca wellingi", "Similipepsis ekisi", "Epiblema luctuosissima", "Parachma ochracealis", "Hypothyris daphnis daphnis", "Hypothyris daphnis daphnoides", "Hypothyris daphnis clenchi", "Hypothyris daphnis amapaensis", "Hypothyris anastasia", "Hypothyris anastasia anastasia", "Hypothyris anastasia castanea", "Hypothyris anastasia honesta", "Hypothyris anastasia anastasina", "Hypothyris anastasia porsenna", "Hypothyris anastasia bicolora", "Hypothyris anastasia niphas", "Hypothyris anastasia acreana", "Hypothyris anastasia arpi", "Hypothyris cantobrica", "Hypothyris cantobrica cantobrica", "Hypothyris cantobrica carvalhoi", "Hypothyris cantobrica nundina", "Hypothyris cantobrica schunkeae", "Hypothyris connexa", "Hypothyris connexa connexa", "Hypothyris connexa lema", "Hypothyris euclea", "Hypothyris euclea euclea", "Forbestra olivencia", "Forbestra olivencia olivencia", "Forbestra olivencia aeneola", "Forbestra olivencia truncata", "Sabatieria dispunctata", "Vasostoma hexodontium", "Scirtes tanahratensis", "Scirtes kodadai", "Scirtes niisatoi", "Scirtes lanexangi", "Scirtes sabahensis", "Stramentum alvaradoi", "Spathius erythrocephalus", "Stramentum biplicatum", "Vigna yadavii", "Paranoplischius modestus", "Paranoplischius nigellus", "Paratractosomus sulciventris", "Toctoc asymmetricus", "Serina schilekyoi", "Coenosia brachyodactyla", "Forbestra olivencia oiticicai", "Mechanitis lysimnia", "Mechanitis polymnia polymnia", "Vampyressa pusilla", "Mechanitis polymnia isthmia", "Mechanitis polymnia lycidice", "Chiropsella bart", "Chiropsella rudloei", "Micromimetus ponapensis", "Chilabothrus strigilatus", "Neocaeculus luxtoni", "Neogamasus crispus", "Assiminea aurifera", "Tropidophora zanguebarica", "Exocelina bewaniensis", "Exocelina bismarckensis", "Exocelina craterensis", "Exocelina gorokaensis", "Exocelina herowana", "Exocelina jimiensis", "Exocelina kisli", "Exocelina ksionseki", "Exocelina lembena", "Exocelina mantembu", "Exocelina michaelensis", "Exocelina pinocchio", "Exocelina pseudoastrophallus", "Exocelina pseudobifida", "Exocelina pseudoedeltraudae", "Exocelina pseudoeme", "Exocelina sandaunensis", "Exocelina simbaiarea", "Exocelina skalei", "Exocelina tabubilensis", "Neogamasus turbinatus", "Exocelina tariensis", "Exocelina vovai", "Exocelina wannangensis", "Schistura megalodon", "Neoperla siveci", "Entoria cornuta", "Entoria wuzhishanense", "Hedotettix rugodorsalis", "Hedotettix eremnotus", "Formosatettix guangdongensis", "Formosatettix guangdongyensis", "Stenoglene decellei decellei", "Stenoglene decellei flava", "Stenoglene nivalis", "Stenoglene pellucida", "Stenoglene bipartita", "Stenoglene sigyna", "Stenoglene citrinus", "Brevitobrilus orientalis", "Tipula wahlgrenana", "Minyaspis bocki", "Notoparmelia novae-zelandiae", "Sanzinia madagascariensis", "Acrantophis sloppi", "Swertia perennis subsp. cuspidata", "Gryon ambericum", "Spinosaurus maroccanus", "Valisia auratae", "Asecodes lineophagum", "Agnoea latipennella", "Agnoea lavandulae", "Agnoea pallidella", "Agnoea semifuscata", "Agnoea subgilvida", "Agnoea subochreella", "Agnoea synchrozella", "Agnoea xanthosoma", "Agnoea elsae", "Agnoea josephinae", "Agnoea langohri", "Mexidalgus veracruzanus", "Mexidalgus toumeyellus", "Tomosvaryella vadimi", "Myriangium inconspicuum", "Bombus vestalis", "Odontolabis nakagomei", "Aculeatodiplosis fasciata", "Agnoea aeneella", "Agnoea amparoella", "Agnoea colurnella", "Agnoea detrimentella", "Agnoea filiella", "Agnoea flavifrontella", "Agnoea fuscifrontella", "Agnoea kurentzovi", "Malgasia grisea", "Malgasia minutissima", "Malgasia seychellensis", "Malgasia chopardi", "Malgasia pauliani", "Malgasia vicina", "Leuroperna sera", "Paracaryum bingoelianum", "Berghia stephanieae", "Berghia marinae", "Caribacusta renodis", "Caribacusta kittsia", "Caribacusta caicosensis", "Caribacusta cavicola", "Noctivox orizaba", "Bombus branickii", "Modestozara modesta", "Modestozara troglophila", "Modestozara satipo", "Bombus campestris", "Daedalonotum daedalum", "Bombus chinensis", "Bombus citrinus", "Bombus coreanus", "Bombus flavidus", "Bombus norvegicus", "Bombus insularis", "Bombus cornutus", "Bombus expolitus", "Bombus ferganicus", "Bombus monozonus", "Leptidolon vittipenne", "Auricularia mesenterica", "Stenoglene sulphureotinctus", "Stenoglene dehanicus", "Stenoglene opalina", "Stenoglene thelda", "Stenoglene preussi", "Stenoglene plagiatus", "Stenoglene cinerea", "Papilio rumiko", "Bombus barbutellus", "Palpigera aluzara", "Ochraperites asymmetricus", "Ochraperites cuyabeno", "Ochraperites aguarico", "Bombus bohemicus", "Laozacla furca", "Eidmanacris longa", "Caribacusta antigua", "Caribacusta caraibea", "Caribacusta saba", "Caribacusta dominica", "Caribacusta iviei", "Myosotis soleirolii", "Myosotis ambigens", "Megacorma hoffmanni", "Herpetogramma pseudomagna", "Herpetogramma okamotoi", "Sarcinodes restitutaria", "Sarcinodes restitutaria restitutaria", "Sarcinodes restitutaria yaeyamana", "Problepsis plagiata", "Scopula nivearia", "Epijana latifasciata", "Epijana meridionalis", "Auricularia auricula-judae", "Stenoglene uniformis", "Stenoglene fontainei", "Stenoglene citrinoides", "Stenoglene brunneofasciata", "Stenoglene parvula", "Stenoglene fouassini", "Stenoglene pujoli", "Stenoglene latimaculata", "Stenoglene uelei", "Stenoglene paulisi", "Stenoglene shabae", "Stenoglene decellei", "Trigonopterus schulzi", "Trigonopterus sebelas", "Trigonopterus sembilan", "Trigonopterus sepuluh", "Trigonopterus seriatus", "Trigonopterus serratifemur", "Trigonopterus setifer", "Trigonopterus silvestris", "Trigonopterus singkawangensis", "Trigonopterus singularis", "Trigonopterus sinuatus", "Trigonopterus squalidus", "Trigonopterus sumatrensis", "Trigonopterus sumbawensis", "Trigonopterus sundaicus", "Trigonopterus suturalis", "Trigonopterus syarbis", "Trigonopterus telagensis", "Trigonopterus tepalensis", "Trigonopterus tiga", "Trigonopterus trigonopterus", "Trigonopterus tujuh", "Trigonopterus ujungkulonensis", "Trigonopterus variolosus", "Trigonopterus vulcanicus", "Trigonopterus wallacei", "Brachyrhaphis roseni", "Brachyrhaphis roswithae", "Brachyrhaphis terrabensis", "Brachyrhaphis olomina", "Notoparmelia norcrambidiocarpa", "Rhizomyia leptodicrata", "Notoparmelia nortestacea", "Rhizomyia meniscata", "Myosotis krylovii subsp. collucata", "Myosotis krylovii subsp. krylovii", "Micranthes fusca", "Micranthes fusca var. kikubuki", "Myosotis minutiflora subsp. minutiflora", "Myosotis minutiflora subsp. segobrigensis", "Myosotis anomala", "Mechanitis polymnia veritabilis", "Mechanitis polymnia bolivarensis", "Mechanitis polymnia kayei", "Mechanitis polymnia caucaensis", "Mechanitis polymnia werneri", "Mechanitis polymnia chimborazona", "Mechanitis polymnia doryssides", "Mechanitis polymnia eurydice", "Mechanitis mazaeus", "Mechanitis menapis", "Mechanitis mazaeus lanei", "Mechanitis mazaeus mazaeus", "Mechanitis lysimnia lysimnia", "Mechanitis lysimnia limnaea", "Mechanitis menapis menapis", "Mechanitis menapis doryssus", "Mechanitis lysimnia solaria", "Mechanitis polymnia angustifascia", "Mechanitis polymnia mauensis", "Mechanitis polymnia apicenotata", "Mechanitis polymnia casabranca", "Mechanitis mazaeus beebei", "Mechanitis mazaeus pannifera", "Mechanitis mazaeus visenda", "Notoparmelia crambidiocarpa", "Mechanitis mazaeus fallax", "Mechanitis mazaeus pothetoides", "Mechanitis mazaeus egaensis", "Mechanitis mazaeus messonoides", "Mechanitis mazaeus deceptus", "Mechanitis mazaeus holmgreni", "Mechanitis menapis saturata", "Mechanitis menapis caribensis", "Mechanitis menapis occasiva", "Mechanitis menapis mantineus", "Mechanitis lysimnia macrinus", "Mechanitis lysimnia elisa", "Mechanitis lysimnia menecles", "Mechanitis lysimnia ocona", "Mechanitis lysimnia roqueensis", "Mechanitis lysimnia nesaea", "Mechanitis lysimnia bipuncta", "Mechanitis lysimnia labotas", "Altica carduorum", "Trirammatus unistriatus", "Abantiades antenniochrus", "Abantiades equipalpus", "Macrosiphoniella iranica", "Nemozara rio", "Nemozara riorio", "Nemozara pastaza", "Nemozara vulcanica", "Anemozara vera", "Anemozara propria", "Anemozara umbrosa", "Anemozara eximia", "Lerneca sylvestris", "Prosthacusta beliza", "Lerneca ornata", "Lerneca inalata", "Lerneca inalata ambora", "Lerneca inalata inalata", "Lerneca inalata pantanal", "Uvaroviella babyas", "Uvaroviella cantator", "Uvaroviella cavea", "Uvaroviella jamaicense", "Uvaroviella nesites", "Uvaroviella otaros", "Uvaroviella phylacris", "Uvaroviella tabulatum", "Uvaroviella thescelos", "Uvaroviella tobago", "Uvaroviella trelawni", "Uvaroviella bolivia", "Uvaroviella surda", "Uvaroviella guyanensis", "Itara sympatrica", "Itara tinnula", "Liaromorpha natalicium", "Glenophisis singapura", "Ulidia transcaspica", "Ulidia nigricubitalis", "Stipa lithophila", "Hutamaia trompsonica", "Hutamaia caramaschii", "Myosotis decumbens subsp. decumbens", "Myosotis decumbens subsp. variabilis", "Myosotis decumbens subsp. florentina", "Myosotis decumbens subsp. rifana", "Myosotis decumbens subsp. teresiana", "Myosotis balbisiana", "Myosotis discolor subsp. dubia", "Circoxena ditrocha", "Eublemma vestalis", "Cyrtorhinus lividipennis", "Cyrtorhinus vitiensis", "Myosotis discolor subsp. discolor", "Myosotis discolor subsp. canariensis", "Myosotis discolor subsp. rosmatina", "Myosotis guneri", "Dimorphaphorura sanjiangensis", "Uvaroviella problematica", "Bolivacla boliviana", "Mikluchomaklaia mystica", "Mikluchomaklaia phantastica", "Mikluchomaklaia buergersi", "Mikluchomaklaia papuana", "Mikluchomaklaia gorochovi", "Mikluchomaklaia biaru", "Mikluchomaklaia chuaye", "Mikluchomaklaia korido", "Mikluchomaklaia longicerca", "Mikluchomaklaia enarotali", "Brevizacla curta", "Brevizacla fawi", "Brevizacla chandani", "Brevizacla ranjani", "Brevizacla discoptila", "Brevizacla speranda", "Brevizacla nabire", "Brevizacla halmahera", "Terrozacla mjobergi", "Terrozacla omissa", "Terrozacla jambi", "Terrozacla harau", "Terrozacla trusmadi", "Terrozacla borneo", "Terrozacla kubah", "Terrozacla gading", "Vescelia mulu", "Phaloria latiuscula", "Phaloria tristis", "Phaloria paratristis", "Phaloria tariku", "Phalina manifesta", "Phaloria waena", "Phaloria neorava", "Phaloria heterotrypoides", "Phaloria insularis", "Phaloria sulawesi", "Tremellia timah", "Tremellia timah timah", "Tremellia timah orientalis", "Pseudotrigonidium borneo", "Pseudotrigonidium gaponi", "Noctivox santiagoi", "Noctivox alejandroi", "Noctivox sergeyi", "Noctivox mikhaili", "Noctivox oaxacae", "Noctivox sanchezi", "Noctivox sanchezi sanchezi", "Noctivox sanchezi ocosingo", "Gambusia alvarezi", "Cyrtodiridius aurantiacus", "Gambusia nobilis", "Ampimpacoris flourensii", "Wallabicoris eximius", "Ausejanus australis", "Nemoricantor vulgatus", "Nemoricantor maculatus", "Nemoricantor maculatus maculatus", "Nemoricantor maculatus tuxtla", "Lerneca occidentalis", "Lerneca inalata mexicana", "Niquirana veracruzi", "Niquirana chiapasi", "Arachnopsita lithophila", "Paragryllus crybelos", "Paragryllus ovalis", "Paragryllus concolor", "Paragryllus circularis", "Paragryllus circularis circularis", "Paragryllus circularis multinervis", "Mexiacla ecosuri", "Mexiacla zoomati", "Mexiacla ibunami", "Mexiacla apteromorpha", "Oaxacla squamiptera", "Oaxacla elenae", "Luzarida annuliger", "Luzarida gracilior", "Luzarida pulla", "Luzarida grandis", "Luzarida guyana", "Luzaridella obscura", "Luzaridella annulata", "Luzaridella clara", "Acantoluzarida nigra", "Gambusia hurtadoi", "Phalangopsis flavilongipes", "Philippopsis guianae", "Uvaroviella arrugia", "Oligaphorura ursi", "Pyrgocorypha annulatus", "Pyrgocorypha sikkimensis", "Pyrgocorypha parva", "Bryodema pseudohyalinala", "Bryodema kangmarensis", "Lucanus hewenjiae", "Lucanus choui", "Gambusia speciosa", "Gambusia senilis", "Trigonothops pacifica", "Myosotis afropalustris", "Heptathela helios", "Gastrobothrus abdominalis", "Peristoreus stramineus", "Euphaedra alava", "Kolpochoerus millensis", "Kolpochoerus phillipi", "Dudgeonea malagassa", "Botrytis deweyae", "Heterotrissocladius paleolacustris", "Heterotrissocladius naibuchi", "Duomitus lecerfi", "Duomitus altitudinis", "Cossus sakalava", "Erebia nivalis", "Erebia nivalis nivalis", "Erebia nivalis warreniana", "Lepasta toulgoeti", "Lepasta elegans", "Rifargia kawensis", "Rifargia christinae", "Phastia rubra", "Phastia licasia", "Hemiceras emerillonarum", "Hapigiodes forsteri", "Phastia glauca", "Limenitis camilla", "Limenitis camilla camilla", "Limenitis camilla japonica", "Limenitis camilla francottiana", "Limenitis lepechini", "Limenitis cleophas", "Limenitis moltrechti", "Limenitis amphyssa", "Trigonopterus asper", "Trigonopterus attenboroughi", "Trigonopterus baliensis", "Trigonopterus batukarensis", "Trigonopterus bawangensis", "Trigonopterus binodulus", "Trigonopterus bornensis", "Trigonopterus cahyoi", "Trigonopterus costipennis", "Trigonopterus cuprescens", "Trigonopterus cupreus", "Trigonopterus dacrycarpi", "Trigonopterus delapan", "Trigonopterus dentipes", "Trigonopterus diengensis", "Trigonopterus dimorphus", "Trigonopterus disruptus", "Trigonopterus dua", "Trigonopterus duabelas", "Trigonopterus echinatus", "Trigonopterus empat", "Trigonopterus enam", "Trigonopterus fissitarsis", "Trigonopterus florensis", "Trigonopterus foveatus", "Trigonopterus fulgidus", "Trigonopterus gedensis", "Trigonopterus halimunensis", "Trigonopterus honjensis", "Trigonopterus ijensis", "Trigonopterus javensis", "Trigonopterus kalimantanensis", "Trigonopterus kintamanensis", "Trigonopterus klatakanensis", "Trigonopterus lampungensis", "Trigonopterus latipes", "Trigonopterus lima", "Trigonopterus lombokensis", "Trigonopterus merubetirensis", "Trigonopterus mesehensis", "Trigonopterus micans", "Trigonopterus misellus", "Trigonopterus palawanensis", "Trigonopterus pangandaranensis", "Trigonopterus paraflorensis", "Trigonopterus pararugosus", "Trigonopterus parasumbawensis", "Trigonopterus pauxillus", "Trigonopterus payungensis", "Trigonopterus pseudoflorensis", "Trigonopterus pseudosumbawensis", "Trigonopterus punctatoseriatus", "Trigonopterus ranakensis", "Trigonopterus relictus", "Trigonopterus rinjaniensis", "Trigonopterus roensis", "Trigonopterus rugosostriatus", "Trigonopterus rugosus", "Trigonopterus rutengensis", "Trigonopterus saltator", "Trigonopterus santubongensis", "Trigonopterus sasak", "Trigonopterus satu", "Siderus nouraguensis", "Ostrinotes silva", "Nicolaea salki", "Austrotypus nothofagi", "Austrotypus peruanus", "Andotypus araucariae", "Anthene afra", "Strix hadorami", "Grossander papuanus", "Grossander eylesi", "Gambusia puncticulata", "Stenolemus annulatus", "Minyaspis floridana", "Gambusia atrora", "Cladophlebis auriculipilosus", "Muscites gracilis", "Parmotrema pseudoexquisitum", "Sagola thorpei", "Sinoennea manyunensis", "Pseudoeocyllina brevipennisoides", "Pseudoeocyllina helanshanensis", "Euchorthippus shandongensis", "Limenitis staudingeri", "Biphragmofastigata tarasovi", "Biphragmofastigata angusticephala", "Biphragmosagitta fastigata", "Brittonoma mandibulare", "Brittonoma pygidiatum", "Cnemaspis hangus", "Cnemaspis mumpuniae", "Cnemaspis omari", "Cnemaspis peninsularis", "Cnemaspis stongensis", "Cnemaspis sundagekko", "Cnemaspis sundainsula", "Cnemaspis temiah", "Polypedates pseudotilophus", "Disepyris kenyaensis", "Disepyris fessus", "Disepyris mongoliaensis", "Disepyris prolatatus", "Disepyris niveus", "Disepyris arabicus", "Disepyris hyacintho", "Laelius arryni", "Laelius baratheoni", "Laelius lannisteri", "Laelius martelli", "Laelius targaryeni", "Laelius tullyi", "Laelius starki", "Laelius billi", "Laelius canchinensis", "Laelius gracilis", "Laelius hirticulus", "Laelius maboya", "Laelius mellipes", "Laelius minutulus", "Laelius muesebecki", "Laelius multilineatus", "Laelius nigriscapus", "Laelius pedatus", "Laelius versicolor", "Laelius centratus", "Laelius huachucae", "Hutamaia maceta", "Hutamaia plei", "Pseudoasonus orthomarginis", "Lethaeastroides maculatum", "Lethaeastroides sarawakensis", "Lethaeastroides vooni", "Pilophorus fulvicomus", "Dictyopharina hexasaca", "Freudeia heteromaxillaria", "Spathius austriacus", "Spathius intercontinentalis", "Spathius pseudodentatus", "Spathius sculptipleurum", "Heterospilus agujas", "Heterospilus alajuelus", "Heterospilus albocoxalis", "Heterospilus angustus", "Heterospilus areolatus", "Heterospilus azofeifai", "Heterospilus boharti", "Heterospilus brethesi", "Heterospilus bribri", "Heterospilus bruesi", "Heterospilus brullei", "Heterospilus cacaoensis", "Heterospilus cachiensis", "Heterospilus cameroni", "Heterospilus cartagoensis", "Heterospilus chaoi", "Heterospilus corcovado", "Heterospilus corrugatus", "Heterospilus costaricensis", "Heterospilus cressoni", "Heterospilus curtisi", "Heterospilus cushmani", "Heterospilus eberhardi", "Heterospilus emilius", "Heterospilus enderleini", "Heterospilus escazuensis", "Heterospilus fahringeri", "Heterospilus fischeri", "Heterospilus flavidus", "Heterospilus foersteri", "Heterospilus fonsecai", "Heterospilus fournieri", "Heterospilus gahani", "Heterospilus garifuna", "Heterospilus gauldi", "Heterospilus golfodulcensis", "Heterospilus gouleti", "Heterospilus granulatus", "Heterospilus grisselli", "Heterospilus guanacastensis", "Heterospilus halidayi", "Heterospilus hansoni", "Heterospilus haplocarinus", "Heterospilus hedqvisti", "Heterospilus heredius", "Heterospilus huddlestoni", "Heterospilus itza", "Heterospilus jakaltek", "Heterospilus janzeni", "Heterospilus kiefferi", "Heterospilus kulai", "Heterospilus kuna", "Heterospilus lapierrei", "Heterospilus laselvus", "Heterospilus leioenopus", "Heterospilus levis", "Heterospilus limonensis", "Heterospilus macrocarinus", "Heterospilus magnus", "Heterospilus maritzaensis", "Heterospilus masoni", "Heterospilus mellosus", "Heterospilus menkei", "Heterospilus milleri", "Heterospilus miskito", "Heterospilus mixtec", "Heterospilus monteverde", "Heterospilus muertensis", "Heterospilus muesebecki", "Heterospilus neesi", "Heterospilus nephus", "Heterospilus nigragonatus", "Heterospilus nixoni", "Mechanitis lysimnia utemaia", "Mechanitis polymnia proceriformis", "Sais rosalia", "Sais rosalia mosella", "Sais rosalia virchowii", "Sais rosalia promissa", "Sais rosalia klagesi", "Sais rosalia schatzi", "Sais rosalia zitella", "Sais rosalia badia", "Sais rosalia brasiliensis", "Sais rosalia rosalinde", "Sais rosalia rosalia", "Sais rosalia camariensis", "Scada karschina", "Scada karschina karschina", "Scada karschina delicata", "Scada reckia", "Scada reckia reckia", "Scada reckia ethica", "Scada reckia theaphia", "Scada reckia philemon", "Scada reckia ortygia", "Scada reckia majuscula", "Scada reckia junina", "Scada reckia huascara", "Scada reckia labyrintha", "Scada zibia", "Scada zibia zibia", "Scada zibia xanthina", "Scada zibia batesi", "Gobiapalone orlovi", "Gobiapalone breviplastra", "Scada zibia quotidiana", "Scada zibia perpuncta", "Nemegtemys conflata", "Scada zibia zeroca", "Trionyx baynshirensis", "Trionyx gilbentuensis", "Trionyx gobiensis", "Scada kusa", "Trionyx shiluutulensis", "Scada zemira", "Trigonopterus acuminatus", "Trigonopterus aeneomicans", "Trigonopterus alaspurwensis", "Trigonopterus allopatricus", "Trigonopterus allotopus", "Trigonopterus angulicollis", "Trigonopterus argopurensis", "Trigonopterus arjunensis", "Heterospilus noyesi", "Heterospilus orbitus", "Heterospilus paloverde", "Heterospilus pappi", "Heterospilus petralbus", "Heterospilus puntarensis", "Heterospilus quickei", "Heterospilus ramirezi", "Heterospilus ratzeburgi", "Heterospilus reinhardi", "Heterospilus rhabdotus", "Heterospilus rinconensis", "Heterospilus rohweri", "Heterospilus romani", "Heterospilus rugosus", "Heterospilus santarosensis", "Heterospilus sanvitoensis", "Heterospilus shawi", "Heterospilus shenefelti", "Heterospilus similis", "Heterospilus sinuatus", "Heterospilus staryi", "Heterospilus stelfoxi", "Heterospilus szepligetii", "Heterospilus tobiasi", "Heterospilus tolupan", "Heterospilus townesi", "Heterospilus turrialbaensis", "Heterospilus variabilis", "Heterospilus vierecki", "Heterospilus vittatus", "Heterospilus wesmaeli", "Heterospilus whartoni", "Heterospilus whitfieldi", "Heterospilus wilkinsoni", "Heterospilus xanthus", "Heterospilus yaqui", "Heterospilus zunigai", "Heterospilus achterbergi", "Heterospilus aesculapius", "Heterospilus agujasensis", "Heterospilus amuzgo", "Heterospilus arawak", "Heterospilus aubreyae", "Heterospilus austini", "Heterospilus bacchus", "Phobetes albiannularis", "Phobetes henanensis", "Phobetes sapporensis", "Anthene alberta", "Anthene arnoldi", "Anthene ituria", "Anthene kikuyu", "Macrophya yangi", "Anthene lasti", "Anthene levis", "Macrophya infuscipennis", "Anthene liodes", "Anthene lunulata", "Anthene millari", "Anthene minima", "Anthene nigropunctata", "Anthene opalina", "Anthene rhodesiana", "Pristiphora xibei", "Anthene rubricinctus", "Anthene talboti", "Anthene wilsoni", "Sagola aucklandensis", "Sagola baylessae", "Sagola baiknami", "Sagola boonei", "Sagola boothi", "Sagola boudreauxae", "Sagola brookesi", "Sagola brouni", "Sagola brumfieldi", "Sagola buckleyi", "Sagola bullerensis", "Sagola butcherae", "Sagola canterburyensis", "Sagola chandleri", "Sagola chathamensis", "Sagola choeunae", "Sagola clarkei", "Sagola clunieae", "Sagola coromandelensis", "Sagola crawi", "Sagola cuvierensis", "Sagola dugdalei", "Sagola unuwhaoensis", "Sagola waikatoensis", "Sagola wairarapaensis", "Sagola walkerae", "Sagola watti", "Sagola weiri", "Sagola wellingtonensis", "Sagola waipouaensis", "Platycephalus australis", "Phrynocephalus lutensis", "Calommata tamdaoensis", "Xiaitettix emeishanensis", "Pristiphora spinivalviceps", "Epistrophe jilinensis", "Epistrophe melatarsis", "Arthonia endococcinea", "Adenocalymma dusenii", "Phalacrotophora caudarguta", "Trilocha annae", "Anthene amarah", "Anthene amarah amarah", "Anthene amarah turlini", "Anthene chojnackii", "Anthene hodsoni", "Myosotis kamelinii", "Myosotis kebeshensis", "Anthene usamba", "Myosotis keniensis", "Myosotis koelzii", "Microdes epicryptis", "Mallobathra campbellica", "Aceria davidmansoni", "Anthene akoae", "Anthene akoae akoae", "Anthene akoae albidior", "Anthene eliasi", "Anthene irumu", "Myosotis kolakovskyi", "Sagola earlyi", "Sagola egmontensis", "Sagola embersoni", "Sagola fairburni", "Sagola ferroi", "Sagola fiordlandensis", "Sagola flemingensis", "Sagola gilae", "Sagola gimmeli", "Sagola gisbornensis", "Sagola gourlayi", "Sagola gyudongi", "Sagola hanae", "Sagola helmorei", "Sagola horokakaensis", "Sagola humpridgensis", "Sagola hunterensis", "Sagola hunuaensis", "Sagola huvali", "Sagola jeongnamae", "Sagola kahurangiensis", "Sagola keejeongi", "Sagola kuscheli", "Sagola lescheni", "Sagola lewisensis", "Sagola mackenziensis", "Sagola marlboroughensis", "Sagola mayae", "Sagola marrisi", "Sagola mercuryensis", "Sagola moehauensis", "Sagola muirae", "Sagola murchisonensis", "Sagola newtoni", "Sagola northlandensis", "Sagola nunni", "Sagola otagoensis", "Sagola otteai", "Sagola owensae", "Sagola pecki", "Sagola pittensis", "Sagola plentyensis", "Sagola poortmani", "Sagola prowellae", "Sagola ramsayi", "Sagola ranatungae", "Sagola sheldoni", "Sagola snaresensis", "Sagola sokolovi", "Sagola solodovnikovi", "Sagola southlandensis", "Sagola stewartensis", "Sagola sunsookae", "Sagola taegyui", "Sagola taranakiensis", "Sagola tararuaensis", "Sagola taupoensis", "Sagola tekoauensis", "Sagola tennysonensis", "Sagola thayerae", "Sagola threekingsensis", "Sagola tishechkini", "Sagola townsendi", "Sagola turretensis", "Cupidesthes jacksoni", "Cupidesthes salvatoris", "Cupidesthes amieti", "Cupidesthes cuprifascia", "Cupidesthes michelae", "Cupidesthes mimetica", "Cupidesthes mimetica mimetica", "Cupidesthes mimetica albertina", "Hapigiodes descimoni", "Gambusia gaigei", "Stipa fallacina", "Ardisia subg.", "Monopis ethelella", "Contacyphon manta", "Gambusia geiseri", "Gambusia georgei", "Semomesia tenella lucana", "Semomesia tenella optima", "Mesosemia latizonata", "Mesosemia isshia", "Mesosemia impedita", "Mesosemia gertraudis", "Mesosemia myrmecias", "Mesosemia hedwigis", "Mesosemia amarantus", "Mesosemia nympharena", "Mesosemia nerine", "Mesosemia sirenia", "Mesosemia cymotaxis", "Mesosemia evias", "Mesosemia thyas", "Mesosemia praeculta", "Mesosemia erinnya", "Mesosemia eurythmia", "Mesosemia acuta", "Mesosemia macella", "Mesosemia steli", "Mesosemia orbona", "Mesosemia orbona orbona", "Mesosemia orbona caballina", "Mesosemia menoetes", "Mesosemia menoetes menoetes", "Mesosemia menoetes mennonia", "Mesosemia menoetes paetula", "Mesosemia menoetes pulverulenta", "Mesosemia decolorata", "Mesosemia decolorata meyi", "Mesosemia decolorata decolorata", "Eurybia cyclopia", "Eurybia cyclopia cyclopia", "Eurybia cyclopia montsineryensis", "Gambusia baracoana", "Gambusia beebei", "Gambusia bucheri", "Gambusia pseudopunctata", "Gambusia rhizophorae", "Ardisia subg.", "Aprosdocetos descarpentrianum", "Aprosdocetos inexpectata", "Circaea erubescens", "Anthene yevui", "Anthene cottrelli", "Anthene maesseni", "Amanita boudieri", "Anthene merioli", "Anthene warrengashi", "Anthene gardineri", "Anthene lindae", "Myosotis welwitschii", "Gambusia krumholzi", "Hapigiodes viettei", "Hemiceras lissaura", "Hemiceras lissa", "Hemiceras lissana", "Hemiceras lissanella", "Hemiceras commentica", "Hemiceras opaca", "Hemiceras pusilla", "Apela senecauxi", "Apela divisa", "Hemiceras lissaurella", "Disphragis teleperplexa", "Kurtia modesta", "Kaseria pallida", "Gambusia heterochir", "Achaera ochribasis", "Allodonta leucodera", "Allodonta leucodera leucodera", "Allodonta leucodera insularis", "Allodonta leucodera longinae", "Allodonta leucodera yamamotoi", "Roeberella floccus", "Anthene butleri", "Anthene butleri butleri", "Anthene butleri arabicus", "Anthene congdoni", "Heterospilus phaeocoxus", "Heterospilus phytorius", "Heterospilus pitillaensis", "Heterospilus poqomam", "Heterospilus puertoviejoensis", "Heterospilus quitirrisi", "Heterospilus rama", "Heterospilus robbieae", "Heterospilus rojasi", "Heterospilus sabrinae", "Heterospilus saminae", "Heterospilus sergeyi", "Heterospilus sharkeyi", "Heterospilus spiloheterus", "Heterospilus strazanaci", "Heterospilus sumo", "Heterospilus tricolor", "Heterospilus tzutujil", "Heterospilus ugaldei", "Heterospilus villegasi", "Heterospilus vulcanus", "Heterospilus warreni", "Heterospilus wrightae", "Heterospilus xinca", "Heterospilus zapotec", "Heterospilus zitaniae", "Heterospilus zoque", "Heterospilus alejandroi", "Heterospilus angelicae", "Heterospilus aphrodite", "Heterospilus apollo", "Heterospilus artemis", "Heterospilus athena", "Heterospilus attraholucus", "Heterospilus borucas", "Heterospilus breviarius", "Heterospilus brevicornus", "Heterospilus cabecares", "Heterospilus careonotaulus", "Heterospilus catiensis", "Heterospilus catorce", "Heterospilus cero", "Heterospilus chorti", "Disphragis perplexoides", "Disphragis perplexoides perplexoides", "Disphragis perplexoides boliviensis", "Disphragis paraperplexa", "Disphragis metaperplexa", "Disphragis orthoperplexa", "Disphragis araguensis", "Disphragis bleuzeni", "Myosotis austrosibirica", "Disphragis haxairei", "Disphragis canarensis", "Gambusia aurata", "Bactrocera cheni", "Stachyotis epichrysa", "Stachyotis chunshengwui", "Disphragis captiosa", "Heterospilus barbalhoae", "Heterospilus bennetti", "Heterospilus bicolor", "Heterospilus braeti", "Heterospilus cangrejaensis", "Heterospilus caritus", "Heterospilus carolinae", "Heterospilus chilamatensis", "Heterospilus chocho", "Disphragis epimacha", "Heterospilus chorotegus", "Heterospilus cocopa", "Heterospilus complanatus", "Disphragis handleyi", "Heterospilus cora", "Heterospilus dani", "Heterospilus dianae", "Heterospilus ektorincon", "Disphragis mullinsi", "Heterospilus flavisoma", "Heterospilus guapilensis", "Heterospilus ixcatec", "Heterospilus ixil", "Heterospilus jabillosensis", "Disphragis peralta", "Heterospilus jennieae", "Heterospilus jonmarshi", "Heterospilus kellieae", "Heterospilus kikapu", "Disphragis puseyae", "Heterospilus lasalturus", "Heterospilus leenderti", "Heterospilus lenca", "Heterospilus longinoi", "Disphragis splendens", "Heterospilus longisulcus", "Heterospilus mam", "Heterospilus mopanmaya", "Heterospilus nahua", "Heterospilus nemestrinus", "Heterospilus orosi", "Heterospilus parkeri", "Heterospilus pech", "Myosotis robusta", "Myosotis radix-palaris", "Myosotis sajanensis", "Myosotis schistosa", "Myosotis semiamplexicaulis", "Minyaspis patens", "Gambusia dominicensis", "Gambusia wrayi", "Gambusia hispaniolae", "Prosphyracephala rubiensis", "Heterospilus nigricoxus", "Pabstiella lueriana", "Pabstiella villosisepala", "Pabstiella muricatifolia", "Jumellea usambarensis", "Senecio kuanshanensis", "Eurybia carolina", "Eurybia caerulescens", "Eurybia misellivestis", "Eurybia silaceana", "Eurybia pergaea", "Eurybia franciscana", "Eurybia unxia", "Eurybia lycisca", "Eurybia dardus", "Eurybia dardus annulata", "Eurybia nicaeus", "Eurybia nicaeus nicaeus", "Eurybia nicaeus erythinosa", "Eurybia molochina", "Eurybia molochina molochina", "Gambusia luma", "Eurybia molochina hyacinthina", "Eurybia jemima", "Eurybia jemima jemima", "Eurybia jemima sinnaces", "Gambusia panuco", "Gambusia regani", "Gambusia vittata", "Napaea tanos", "Anthene leonina", "Moelleriella epidendri", "Ithomiola floralis", "Ithomiola callixena", "Ithomiola celtilla", "Ithomiola rubrolineata", "Philocteanus rugifrons rugifrons", "Philocteanus rugifrons continentalis", "Knautia adriatica", "Iridotaenia congruens", "Knautia albanica", "Knautia ambigua", "Knautia baldensis", "Metataenia extranea", "Knautia magnifica", "Metataenia quoqueversa", "Metataenia pilosa", "Alatina grandis", "Alatina madraspatana", "Alatina moseri", "Alatina pyramis", "Myosotis krasnoborovii", "Myosotis kurdica", "Myosotis lithuanica", "Myosotis ludomilae", "Myosotis macrocalyx", "Rhinella casconi", "Myosotis macrosiphon", "Myosotis macrosperma", "Myosotis magniflora", "Myosotis margaritae", "Myosotis michaelae", "Myosotis nikiforovae", "Myosotis ochotensis", "Myosotis orbelica", "Cystopteris tenuis", "Heterospilus cinco", "Heterospilus colliletus", "Heterospilus colonensis", "Heterospilus conservatus", "Heterospilus cuatro", "Heterospilus demeter", "Heterospilus diecinueve", "Heterospilus dieciocho", "Heterospilus dieciseis", "Heterospilus diecisiete", "Heterospilus diez", "Heterospilus doce", "Heterospilus dos", "Heterospilus dulcus", "Heterospilus empalmensis", "Heterospilus flavostigmus", "Heterospilus hachaensis", "Heterospilus hansonorum", "Heterospilus hera", "Heterospilus hespenheidei", "Heterospilus holleyae", "Heterospilus huetares", "Heterospilus hypermekus", "Heterospilus jupiter", "Heterospilus leiponotaulus", "Heterospilus leviscutum", "Heterospilus levitergum", "Heterospilus longius", "Heterospilus luteogaster", "Heterospilus luteoscutum", "Heterospilus luteus", "Heterospilus macrocaudatus", "Heterospilus malaisei", "Heterospilus mars", "Heterospilus masneri", "Heterospilus mercury", "Heterospilus nephilim", "Heterospilus nigracapitus", "Alatina rainensis", "Alatina tetraptera", "Alatina mordens", "Carybdea arborifera", "Anthene benadirensis", "Anthene confusa", "Habronyx minutus", "Habronyx kayi", "Pseudospolas dugdalei", "Songius pseudohlavaci", "Songius kiwi", "Monopis monacha", "Monopis trigonoleuca", "Ithomiola cascella", "Gambusia sexradiata", "Ithomiola cascella cascella", "Ithomiola cascella servilia", "Napaea orpheus", "Napaea zikani", "Napaea melampia", "Napaea merula", "Napaea elisae", "Napaea umbra", "Napaea tumbesia", "Napaea sylva", "Napaea nepos", "Napaea beltiana", "Napaea beltiana beltiana", "Napaea beltiana malis", "Napaea beltiana aza", "Napaea theages", "Napaea theages theages", "Napaea theages asteria", "Napaea theages cribralis", "Cremna heteroea", "Cremna cuyabaensis", "Cremna calitra", "Cremna alector", "Anthene mocquerysi", "Cremna actoris", "Anthene preussi", "Anthene vorgasi", "Cremna thasus", "Anthene bamptoni", "Cremna thasus thasus", "Cremna thasus subrutila", "Anthene uzungwae", "Anthene montana", "Anthene afra afra", "Anthene perspicua", "Anthene afra azurea", "Gambusia echeagarayi", "Cupidesthes robusta", "Cupidesthes thyrsis", "Cupidesthes caerulea", "Cupidesthes lithas", "Cupidesthes paralithas", "Cupidesthes gabunica", "Cupidesthes gabunica gabunica", "Cupidesthes gabunica orientalis", "Cupidesthes hilarion", "Cupidesthes vidua", "Cupidesthes henrii", "Cupidesthes hecqi", "Cupidesthes abriana", "Cupidesthes paludicola", "Heterospilus nueve", "Heterospilus nunesi", "Heterospilus once", "Semomesia croesus", "Heterospilus parvus", "Heterospilus penosa", "Heterospilus petiolatus", "Heterospilus phaeoskelus", "Heterospilus pharkidodus", "Semomesia croesus croesus", "Heterospilus poqomchi", "Heterospilus qanjobal", "Heterospilus racostica", "Heterospilus reagani", "Heterospilus retheospilus", "Semomesia croesus meana", "Heterospilus ricacosta", "Heterospilus sanjosensis", "Heterospilus saturn", "Heterospilus seis", "Heterospilus shonan", "Heterospilus siete", "Heterospilus smithi", "Heterospilus terrabas", "Semomesia croesus trilineata", "Heterospilus thereospilus", "Heterospilus trece", "Heterospilus tres", "Heterospilus trienta", "Semomesia croesus lacrimosa", "Heterospilus tuberculatus", "Heterospilus uno", "Semomesia croesus siccata", "Semomesia croesus undosa", "Heterospilus veinte", "Heterospilus veintidos", "Heterospilus veintitres", "Heterospilus veintiuno", "Heterospilus wahli", "Heterospilus washingtoni", "Heterospilus wildi", "Heterospilus xerxes", "Heterospilus ypsilon", "Heterospilus zeus", "Heterospilus zurquiensis", "Paraheterospilus ceciliaensis", "Paraheterospilus eumekus", "Paraheterospilus wilbotgardus", "Semomesia capanea", "Semomesia capanea capanea", "Semomesia capanea ionima", "Semomesia capanea sodalis", "Semomesia marisa", "Semomesia marisa marisa", "Semomesia marisa hewitsoni", "Semomesia tenella", "Semomesia tenella tenella", "Semomesia tenella aetherea", "Neurellipes sonia", "Neurellipes alixae", "Neurellipes fulvimacula", "Neurellipes kampala", "Neurellipes kampala kampala", "Neurellipes kampala incerta", "Neurellipes kampala triangularis", "Neurellipes tanzaniensis", "Neurellipes katera", "Neurellipes lychnaptes", "Neurellipes lychnaptes lychnaptes", "Neurellipes lychnaptes anochreus", "Neurellipes lychnides", "Neurellipes larseni", "Neurellipes cuypersi", "Neurellipes leptines", "Neurellipes leptines leptines", "Neurellipes leptines extensa", "Neurellipes makala", "Neurellipes rufomarginata", "Neurellipes ngoko", "Neurellipes ngoko ngoko", "Neurellipes ngoko fontainei", "Neurellipes radiata", "Neurellipes scintillula", "Neurellipes scintillula scintillula", "Neurellipes scintillula aurea", "Neurellipes helpsi", "Neurellipes bakeri", "Neurellipes tessmanni", "Neurellipes discimacula", "Neurellipes mahota", "Neurellipes gola", "Neurellipes ducarmei", "Neurellipes ducarmei ducarmei", "Neurellipes ducarmei occidentalis", "Apela acutidivisa", "Tshurtshurnella acigoelica", "Tshurtshurnella zelleri", "Tshurtshurnella yozgatica", "Tshurtshurnella verbasci", "Tshurtshurnella akdagica", "Tshurtshurnella bicornuta", "Tshurtshurnella adana", "Tshurtshurnella ventricornis", "Tshurtshurnella alanyana", "Tshurtshurnella edremitica", "Tshurtshurnella kalkandelenica", "Tshurtshurnella ramosa", "Tshurtshurnella rhombica", "Myosotis vestergrenii", "Myosotis tinei", "Myosotis schmakovii", "Myosotis subcordata", "Myosotis hervei", "Hyalurga cinctella", "Euglyphis macasibia", "Noccaea caerulescens", "Lichnoptera hieroglyphigera", "Hemiceras dyari", "Lonomia pulverosa", "Philocteanus philippinensis", "Philocteanus escutellatus", "Philocteanus rugifrons", "Pseudodictamnus undulatus", "Pseudodictamnus damascenus", "Marrubium deserti", "Sesamum ekambaramii", "Agoseris chilensis", "Anthene contrastata", "Rastrococcus invadens", "Circus eylesi", "Gambusia lemaitrei", "Gambusia longispinis", "Gambusia manni", "Monopis iunctio", "Tshurtshurnella serapae", "Apela archimma", "Paraphaea binotata", "Apela asema", "Paraphaea formosana", "Paraphaea minor", "Apela cataphaea", "Anthene smithii", "Paraphaea philippinensis", "Anchista brunnea", "Anchista fenestrata", "Apela dubiosa", "Anchista nubila", "Anchista pilosa", "Apela forbesi", "Metallanchista laticollis", "Metallanchista perlaeta", "Apela hayesi", "Physodera amplicollis", "Physodera cyanipennis", "Physodera parvicollis", "Apela lichyi", "Physodera bifenestrata", "Physodera eburata", "Apela trimacula", "Apela trimacula trimacula", "Apela trimacula dispica", "Apela punctilla", "Anthene livida", "Apela strigatula", "Anthene livida livida", "Apela rufinsulae", "Apela leechi", "Apela neobule", "Apela ovalis", "Apela strigata", "Apela lilacina", "Apela picturata", "Anthene livida stempfferi", "Circaea mollis", "Ballota grisea", "Ballota kaiseri", "Ballota larendana", "Ballota luteola", "Pseudodictamnus macedonicus", "Ballota philistaea", "Ballota platyloma", "Ochrogaster lunifer", "Tanystola isabella", "Trichiocercus mesomelas", "Trichiocercus sparshalli", "Schwenckfeldina custodiata", "Schwenckfeldina pravitata", "Ballota vellerea", "Phyllobrostis minoica", "Ballota nigra subsp. anatolica", "Morimotodes ismene", "Ballota nigra subsp. anomala", "Ballota nigra subsp. foetida", "Morimotodes polynices", "Ballota nigra subsp. kurdica", "Ballota nigra subsp. ruderalis", "Ballota nigra subsp. sericea", "Ballota nigra subsp. velutina", "Ballota nigra subsp. nigra", "Carbonomassula glaberrima", "Zygaena rhadamanthus", "Prunella cretensis", "Thymbra calostachya", "Melittis melissophyllum subsp. albida", "Melittis melissophyllum subsp. carpatica", "Melittis melissophyllum subsp. melissophyllum", "Origanum akhdarense", "Origanum boissieri", "Zygaena exulans", "Amanita gioiosa", "Microcaecilia butantan", "Triplophysa qilianensis", "Anolis opalinus", "Sphaerodactylus argus", "Sphaerodactylus oxyrhinus", "Hypsirhynchus ater", "Hypsirhynchus callilaemus", "Anolis grahami", "Cyrtodactylus inthanon", "Phlomoides glabra", "Phlomoides laciniata", "Phlomoides tournefortii", "Yoga pyrops", "Ajuga makinoi", "Drombus globiceps", "Anthene otacilia otacilia", "Begonia delicata", "Begonia elianeae", "Begonia paganuccii", "Anthene otacilia arora", "Lepidium angustissimum", "Gambusia melapleura", "Origanum ramonense", "Origanum symes", "Origanum vetteri", "Origanum vogelii", "Origanum \u00d7 adanense", "Origanum \u00d7 adonidis", "Origanum \u00d7 barbarae", "Origanum \u00d7 dolichosiphon", "Origanum \u00d7 haradjanii", "Origanum \u00d7 intercedens", "Origanum \u00d7 intermedium", "Origanum \u00d7 lirium", "Epiphile iblis", "Epiphile iblis iblis", "Epiphile iblis pyrczi", "Heliconius hierax hierax", "Heliconius hierax leveri", "Perisama canoma", "Zygaena peschmerga", "Gambusia marshi", "Minyaspis pulchra", "Habenaria yachangensis", "Habenaria sect.", "Habenaria psammophila", "Habenaria pseudoculicina", "Habenaria canastrensis", "Habenaria sect.", "Origanum calcaratum", "Origanum cordifolium", "Origanum cyrenaicum", "Origanum dayi", "Origanum ehrenbergii", "Origanum elongatum", "Origanum floribundum", "Origanum isthmicum", "Origanum jordanicum", "Origanum libanoticum", "Origanum microphyllum", "Origanum pampaninii", "Origanum petraeum", "Origanum scabrum", "Origanum punonense", "Tshurtshurnella lodosi", "Tshurtshurnella mesopotamica", "Tshurtshurnella moreana", "Tshurtshurnella peloponica", "Tshurtshurnella pythia", "Adrallia bipunctata", "Aglaosoma periblepta", "Aglaosoma variegata", "Acrasiella curvilinea", "Acrasiella hypochlora", "Acrasiodes io", "Axiocleta perisema", "Cynosarga ornata", "Epicoma argentata", "Epicoma asbolina", "Epicoma barnardi", "Epicoma barytima", "Epicoma contristis", "Epicoma derbyana", "Epicoma dispar", "Epicoma melanospila", "Epicoma melanosticta", "Epicoma phoenura", "Epicoma pontifascialis", "Epicoma protrahens", "Epicoma tristis", "Epicoma zelotes", "Mesodrepta harpotoma", "Ballota adenophora", "Ballota andreuzziana", "Ballota antilibanotica", "Pseudodictamnus aucheri", "Pseudodictamnus bullatus", "Ballota byblensis", "Anthene definita definita", "Anthene definita nigrocaudata", "Comphotis sophistes", "Neurellipes lusones", "Neurellipes onias", "Anthene hobleyi", "Anthene hobleyi hobleyi", "Ardisia lindleyana", "Anthene hobleyi barnesi", "Anthene hobleyi kigezi", "Anthene hobleyi teita", "Anthene hobleyi ufipa", "Comphotis apachita", "Comphotis clarissa", "Comphotis debilis", "Comphotis eanes", "Comphotis ignicauda", "Comphotis irroratum", "Theope drepana", "Comphotis sinuata", "Perisama canoma canoma", "Perisama canoma magaly", "Perisama canoma thryoessa", "Perisama canoma cotyora", "Perisama canoma lamasi", "Perisama canoma cyaneis", "Perisama satanas", "Origanum \u00d7 majoricum", "Origanum \u00d7 minoanum", "Origanum \u00d7 nebrodense", "Origanum \u00d7 pabotii", "Catasticta flisa archoflisa", "Catasticta flisa arechiza", "Catasticta flisa briseis", "Catasticta flisa dilutior", "Catasticta flisa duna", "Catasticta flisa flisandra", "Catasticta flisa flisella", "Catasticta flisa flisoides", "Catasticta flisa melanisa", "Catasticta flisa noakesi", "Catasticta flisa postaurea", "Catasticta flisa viloriai", "Anthene dulcis", "Anthene dulcis dulcis", "Anthene dulcis xerophila", "Catasticta bithys", "Catasticta huebneri", "Catasticta theresa", "Catasticta pyrczi", "Catasticta pillcopata", "Anthene kenyensis", "Anthene opalina opalina", "Origanum vulgare subsp. glandulosum", "Origanum vulgare subsp. gracile", "Origanum vulgare subsp. hirtum", "Origanum vulgare subsp. virens", "Anthene opalina janna", "Origanum vulgare subsp. viridulum", "Origanum vulgare subsp. vulgare", "Anthene otacilia", "Perilla frutescens var. crispa", "Kevanemobius paulistorum", "Catasticta hegemon hegemon", "Catasticta hegemon helle", "Catasticta hegemon tatae", "Catasticta nimbice nimbice", "Catasticta nimbice ochracea", "Catasticta nimbice bryson", "Catasticta nimbice ligata", "Catasticta lisa", "Punctelia toxodes", "Catasticta lanceolata", "Catasticta lanceolata alexandra", "Catasticta lanceolata lanceolata", "Catasticta prioneris albescens", "Catasticta prioneris araguana", "Catasticta prioneris estancia", "Catasticta prioneris parrishi", "Catasticta prioneris peruviana", "Catasticta prioneris prioneris", "Catasticta sisamnus ayanganna", "Catasticta sisamnus bithyna", "Catasticta sisamnus merida", "Catasticta sisamnus sisamnus", "Catasticta sisamnus smalli", "Catasticta sisamnus telasco", "Catasticta philoscia", "Catasticta philoscia philoscia", "Catasticta philoscia incertina", "Catasticta philoscia reyi", "Catasticta troezene", "Catasticta troezene troezene", "Catasticta troezene troezenides", "Catasticta troezene miza", "Perilla frutescens var. frutescens", "Perilla frutescens var. hirtella", "Catasticta seitzi", "Catasticta seitzi seitzi", "Catasticta seitzi zana", "Catasticta seitzi blanca", "Catasticta seitzi clarita", "Inula barbata", "Nothris magna", "Catarhoe mazeli", "Galinsoga amboensis", "Catasticta revancha", "Galinsoga boliviensis", "Galinsoga caligensis", "Galinsoga calva", "Galinsoga crozierae", "Syncopacma capnozona", "Galinsoga longipes", "Galinsoga macrocephala", "Galinsoga mollis", "Galinsoga spellenbergii", "Galinsoga subdiscoidea", "Galinsoga triradiata", "Gambusia monticola", "Anthene robertsi", "Atractylis cancellata", "Atractylis carduus", "Cataclysme dissimilata", "Anthene pitmani", "Cataclysme uniformata", "Anthene pitmani pitmani", "Camptogramma scripturata", "Anthene pitmani aethiopiana", "Anthene pitmani somalina", "Phyllonorycter juncei", "Phyllonorycter jackhi", "Phyllonorycter brachylaenae", "Phyllonorycter brevilineatella", "Anthene quadricaudata", "Phyllonorycter nigrescentella", "Phyllonorycter brunnea", "Anthene anadema", "Phyllonorycter infirma", "Phyllonorycter flava", "Anthene jeanneli", "Anthene lasti lasti", "Anthene lasti nigrescens", "Phagnalon saxatile", "Sonchus glaucescens", "Sonchus asper subsp. asper", "Leuroperna leioptera", "Cyclocheilichthys schoppeae", "Dario huli", "Tholymis paratillarga", "Sonchus acaulis", "Gonimbrasia ellisoni", "Gonimbrasia alcestris", "Gonimbrasia alcestris alcestris", "Hydnum repandum", "Sonchus pitardii", "Sonchus yendoi", "Sonchus wilmsii", "Sonchus wildpretii", "Sonchus webbii", "Sonchus radicatus", "Sonchus regis-jubae", "Sonchus schweinfurthii", "Sonchus sosnowskyi", "Sonchus stenophyllus", "Sonchus suberosus", "Sonchus tectifolius", "Sonchus platylepis", "Sonchus pustulatus", "Draba alpina", "Draba muralis", "Draba nivalis", "Draba fladnizensis", "Draba cinerea", "Anthene liodes liodes", "Anthene liodes bihe", "Anthene liodes monteironis", "Leioceras opalinum", "Sonchus transcaspicus", "Sonchus tuberifer", "Sonchus ustulatus", "Sonchus denticulato-lanceolata", "Sonchus denticulato-platyphylla", "Anthene rubrimaculata tukuyu", "Gambusia nicaraguensis", "Gambusia xanthosoma", "Gambusia yucatana", "Carrhotus sundaicus", "Nazeris major", "Nazeris omisus", "Nazeris trisulensis", "Lasiohelea liubaensis", "Plectrocnemia kainam", "Plectrocnemia salah", "Perisama nevada", "Humphaplotropis taishanensis", "Amarygmus aequivocus", "Amarygmus alis", "Amarygmus carus", "Amarygmus commodus", "Gonimbrasia alcestris godarti", "Gonimbrasia belina", "Gonimbrasia belina belina", "Gonimbrasia belina abayana", "Gonimbrasia belina deborah", "Gonimbrasia belina felderi", "Gonimbrasia belina huebneri", "Gonimbrasia birbiri", "Gonimbrasia conradsi", "Gonimbrasia desena", "Gonimbrasia elgoniana", "Gonimbrasia entebbeensis", "Gonimbrasia fucata", "Gonimbrasia jefferyi", "Gonimbrasia mbiziana", "Gonimbrasia miranda", "Gonimbrasia murphyiana", "Gonimbrasia ruandana", "Catasticta apaturina apaturina", "Catasticta apaturina citra", "Catasticta apaturina subturina", "Catasticta apaturina supraturina", "Azarelius sculpticollis", "Catasticta thomasorum", "Catasticta thomasorum inexpectata", "Catasticta thomasorum thomasorum", "Catasticta ludovici", "Catasticta ctemene ctemene", "Catasticta hebra hebra", "Catasticta grisea", "Catasticta huancabambensis huancabambensis", "Catasticta pluvius pluvius", "Catasticta pluvius seminigra", "Catasticta potameoides", "Catasticta sella dognini", "Catasticta sella sella", "Catasticta pharnakia pharnakia", "Catasticta teutamis teutamis", "Catasticta abiseo", "Catasticta paucartambo", "Catasticta vilcabamba", "Catasticta amastris amastris", "Catasticta amastris dentata", "Catasticta marcapita boettgeri", "Catasticta marcapita marcapita", "Catasticta marcapita roberti", "Catasticta semiramis belmira", "Catasticta semiramis costarum", "Catasticta semiramis palla", "Catasticta semiramis semiramis", "Catasticta semiramis willmotti", "Catasticta socorrensis cotopaxiensis", "Catasticta socorrensis socorrensis", "Catasticta striata batesi", "Catasticta striata jimbura", "Catasticta striata striata", "Catasticta cinerea", "Catasticta cinerea cinerea", "Catasticta cinerea suprema", "Catasticta coerulescens", "Catasticta coerulescens coerulescens", "Catasticta coerulescens intimpa", "Catasticta rochereaui", "Catasticta rochereaui hollandi", "Catasticta rochereaui laurentina", "Catasticta rochereaui rochereaui", "Phyllonorycter esperella", "Brevantennia ilonae", "Sonchus adscendens", "Sonchus afromontanus", "Sonchus agrestis", "Sonchus amboinensis", "Sonchus andrenarum", "Sonchus angulatus", "Sonchus araraticus", "Sonchus arboreus", "Sonchus bipontini", "Sonchus bornmuelleri", "Sonchus bourgeaui", "Sonchus brachylobus", "Sonchus briquetianus", "Sonchus bupleuroides", "Sonchus camporum", "Sonchus capillaris", "Sonchus daltonii", "Azarelius oberthuri", "Sonchus dregeanus", "Azarelius bryanti", "Azarelius tenuicornis", "Sonchus esperanzae", "Sonchus fauces-orci", "Azarelius indicus", "Sonchus sventenii", "Sonchus fragilis", "Ziaelas insolitus", "Ziaelas formosanus", "Sonchus friesii", "Sonchus fruticosus", "Reichenspergeria aurocincta", "Sonchus gigas", "Sonchus gomerensis", "Sonchus gummifer", "Sonchus hierrensis", "Sonchus hydrophilus", "Sonchus integrifolius", "Sonchus leptocephalus", "Sonchus jacottetianus", "Sonchus lidii", "Sonchus lingianus", "Sonchus luxurians", "Sonchus macrocarpus", "Sonchus maritimus", "Atopolinus eminens", "Atopolinus silvestris", "Atopolinus repostus", "Sonchus masguindalii", "Sonchus mauritanicus", "Edulia glareosa", "Sonchus melanolepis", "Sonchus microcarpus", "Sonchus obtusilobus", "Sonchus pinnatifidus", "Sonchus pinnatus", "Rebelia kruegeri kruegeri", "Rebelia kruegeri danubiella", "Rebelia kruegeri marpessa", "Rebelia perlucidella perlucidella", "Rebelia perlucidella paralucidella", "Rebelia perlucidella macedonica", "Rebelia perlucidella nocturnella", "Rebelia thomanni thomanni", "Rebelia thomanni lavandulae", "Rebelia plumella surientella", "Rebelia plumella diabolina", "Arhopala micale novaeguianae", "Pseudopolycope andeep", "Ramaria gracilis", "Stipa martinovskyi", "Asecodes lucens", "Asecodes parviclava", "Asecodes suzukii", "Plectranthias elaine", "Amarygmus abdominalis", "Amarygmus alloeus", "Amarygmus anonymus", "Amarygmus arboreus", "Amarygmus arfakensis", "Amarygmus asekiensis", "Amarygmus beatulus", "Amarygmus beccarii", "Amarygmus caeruleus", "Amarygmus chimbuensis", "Amarygmus debilis", "Amarygmus defector", "Amarygmus epistomaticus", "Amarygmus fabricii", "Amarygmus incessus", "Amarygmus ixalus", "Amarygmus kauensis", "Amarygmus furvus", "Amarygmus gianganus", "Phyllonorycter nevadensis", "Amarygmus pulchridorsis", "Phyllonorycter fraxinella", "Phyllonorycter genistella", "Amarygmus vicinus", "Phyllonorycter parvifoliella", "Phyllonorycter staintoniella", "Phyllonorycter ulmella", "Phyllonorycter ulmi", "Cameraria acericola", "Phyllonorycter melacoronis", "Haematomma alpinum", "Phyllonorycter lonicerae", "Cameraria hikosanensis", "Amarygmus sospes", "Amarygmus buechei", "Sonchus diffusus", "Sonchus dulosus", "Sonchus elongatus", "Sonchus crispus", "Sonchus eriopus", "Sonchus erythraeae", "Sonchus gibbosus", "Sonchus gramineus", "Sonchus grandifolius", "Sonchus heterophyllus", "Sonchus hothae", "Sonchus hypochaeroides", "Sonchus jainii", "Sonchus laciniatus", "Sonchus maculigerus", "Sonchus megalocarpa", "Sonchus malayanus", "Sonchus microcephalus", "Sonchus monanthus", "Sonchus neglectus", "Sonchus nigricans", "Aulacaspis obconica", "Amarygmus lethaeus", "Amarygmus letho", "Asecodes orilatum", "Hemicheyletia polyseta", "Hemicheyletia guiyangensis", "Tenthredo flatotrunca", "Tenthredo triangulimacula", "Tenthredo transversa", "Tenthredo paraobsoleta", "Tenthredo pseudomesomela", "Formosatettix nigrimaculata", "Simulium bifengxiaense", "Podocarpus drouynianus", "Haemolaelaps jindaochaoi", "Gieysztoria wuyishanensis", "Alopecosa mikhailovi", "Pseudotiara gemmifera", "Euphysora bitungensis", "Ergatettix zhejiangensis", "Amarygmus minor", "Amarygmus mirabilis", "Amarygmus mokwamensis", "Amarygmus nervosus", "Amarygmus parargus", "Sonchus canariensis", "Sonchus canariensis subsp. orotavensis", "Sonchus canariensis subsp. canariensis", "Sonchus bulbosus", "Sonchus bulbosus subsp. willkommii", "Sonchus bulbosus subsp. microcephalus", "Sonchus bulbosus subsp. bulbosus", "Sonchus pendulus", "Sonchus pendulus subsp. flaccidus", "Sonchus pendulus subsp. pendulus", "Sonchus wightianus", "Sonchus wightianus subsp. wightianus", "Sonchus wightianus subsp. wallichianus", "Sonchus arvensis subsp. arvensis", "Sonchus arvensis subsp. humilis", "Sonchus arvensis subsp. uliginosus", "Phyllonorycter haasi", "Phyllonorycter cerasinella", "Phyllonorycter scopariella", "Phyllonorycter purgantella", "Phyllonorycter hesperiella", "Alymon prolatus", "Phyllonorycter retamella", "Phyllonorycter lapadiella", "Sonchus aquatilis", "Sonchus brasiliensis", "Sonchus capensis", "Sonchus cavanillesianus", "Sonchus cavanillesii", "Sonchus crassifolius", "Phyllonorycter ulicicolella", "Phyllonorycter ulicicolella ulicicolella", "Sonchus crepioides", "Phyllonorycter ulicicolella argelasiella", "Amarygmus cyitis", "Amarygmus decoratus", "Amarygmus hilaratus", "Amarygmus secernens", "Amarygmus tetricus", "Amarygmus visendus", "Amarygmus cechovskyi", "Amarygmus funebris", "Phyllonorycter phyllocytisi", "Sonchus novocastellanus", "Aulacaspis ulukaliana", "Aulacaspis medangena", "Aulacaspis kedahana", "Aulacaspis cinnamomorum", "Aulacaspis jeraiana", "Sonchus occidentalis", "Aulacaspis neolitseae", "Sonchus ortunoi", "Aulacaspis sirodamo", "Sonchus oxyspermus", "Aulacaspis alangii", "Aulacaspis otophorae", "Sonchus pensylvanicus", "Aulacaspis shoreae", "Aulacaspis fici", "Sonchus perfoliatus", "Sonchus rotundilobus", "Sonchus saudensis", "Sonchus setosus", "Sonchus subacaulis", "Sonchus tenax", "Sonchus tigridus", "Sonchus toletanus", "Sonchus vaginatus", "Aulacaspis cupulifera", "Aulacaspis cylicophora", "Sonchus subg.", "Sonchus gonzalezpadronii", "Sonchus subg.", "Angulatergum moorei", "Sonchus subg.", "Sonchus sect.", "Sonchus sect.", "Sonchus sect.", "Sonchus sect.", "Sonchus sect.", "Sonchus sect.", "Anthene lunulata lunulata", "Anthene lunulata grosei", "Anthene mpanda", "Amarygmus taipingensis", "Minyaspis opreskoi", "Alulacris nigristriatis", "Rhizococcus isodoni", "Acrorrhinium rufimaculatum", "Oxyporus altus", "Oxyporus basiventris", "Oxyporus bierigi", "Oxyporus formosanus", "Oxyporus fungalis", "Oxyporus germanus", "Oxyporus humerocroceus", "Oxyporus nigricollis", "Oxyporus riparius", "Oxyporus sinicus", "Oxyporus transversesulcatus", "Oxyporus similangustatus", "Anthene pungusei", "Anthene ysobelae", "Anthene ysobelae ysobelae", "Anthene ysobelae cyanea", "Anthene ysobelae landbecki", "Haliclystus antarcticus", "Piaranthus parvulus", "Hoya kanyakumariana", "Amarygmus phoebus", "Amarygmus profectus", "Amarygmus prosper", "Amarygmus sylvanus", "Amarygmus thesileoides", "Amarygmus torpidus", "Amarygmus wisseli", "Amarygmus zethum", "Stipa majalis", "Tomocerus jiuzhaiensis", "Saussurella xizangensis", "Macrophya dabieshanica", "Macrophya liui", "Anthene princeps", "Pristimantis paquishae", "Anthene rubricinctus rubricinctus", "Anthene rubricinctus derubescens", "Anthene starki", "Arthonia hioramii", "Morella rivas-martinezii", "Gambusia myersi", "Anthene rubrimaculata", "Anthene rubrimaculata rubrimaculata", "Hoya merrillii", "Carlhubbsia kidderi", "Carlhubbsia stuarti", "Girardinus metallicus", "Girardinus creolus", "Girardinus denticulatus", "Hoya sect.", "Strongylopsis xizangensis", "Syachis angustus", "Syachis truncatus", "Collenettema albipes", "Collenettema andriai", "Collenettema peyrierasi", "Collenettema randimbyi", "Collenettema sogai", "Collenettema sufflava", "Collenettema translucida", "Hoya sect.", "Collenettema crocipes", "Collenettema chionoptera", "Hoya sect.", "Collenettema ephala", "Collenettema micca", "Collenettema mona", "Hoya sect.", "Collenettema ochrobasis", "Abakabaka fuliginosa", "Abakabaka phasiana", "Ripidius quadriceps", "Haliclystus monstrosus", "Erika analalava", "Fanala abbreviata", "Fanala ambodiriana", "Gallienica ambahona", "Haliclystus sinensis", "Haliclystus tenuis", "Gallienica griveaudi", "Gallienica nosivola", "Gallienica sphenosema", "Gallienica maligna", "Gallienica sanguinea", "Gallienica andringitra", "Gallienica antongila", "Gallienica brunea", "Kozlovia paleacea", "Atolla chuni", "Kozlovia longiloba", "Kozlovia laseroides", "Brassica oleracea var. viridis", "Brassica oleracea var. sabellica", "Monile gemmifera", "Monile gemmifera gemmifera", "Monile gemmifera maculata", "Monile kimboza", "Gallienica candida", "Gallienica didya", "Gallienica lakato", "Gallienica lineata", "Gallienica mandraka", "Gallienica viettei", "Gallienica violacea", "Papilio paeon paeon", "Papilio zagreus zagreus", "Papilio zagreus nigroapicalis", "Papilio zagreus baueri", "Papilio neyi neyi", "Papilio neyi josianae", "Papilio neyi bedoci", "Papilio menatius menatius", "Papilio menatius ctesiades", "Papilio menatius lenaeus", "Papilio menatius eurotas", "Papilio menatius cleotas", "Papilio menatius coelebs", "Papilio menatius coroebus", "Papilio menatius laetitia", "Papilio menatius lemoulti", "Papilio menatius morelius", "Papilio menatius syndemis", "Papilio menatius victorinus", "Papilio menatius vulneratus", "Acrocephalus minor", "Hoya sect.", "Hoya aldrichii", "Neoplecostomus jaguari", "Hoya shepherdii", "Hoya samoensis", "Hoya curtisii", "Hoya kerrii", "Tabernaemontana sect.", "Tabernaemontana sect.", "Morpho aurora aureola", "Morpho aurora aurora", "Morpho aurora isidorssoni", "Morpho aurora lamasi", "Morpho rhetenor mariajosianae", "Morpho rhetenor rhetenor", "Amarygmus assessorius", "Amarygmus assignatus", "Amarygmus catenatus", "Amarygmus cephalotes", "Amarygmus coccinelloides", "Amarygmus cyamias", "Amarygmus cyaneicollis", "Amarygmus cyclaeus", "Amarygmus delicatulus", "Amarygmus disgregatus", "Hoya diptera", "Hoya wayetii", "Callisto basistrigella", "Girardinus cubensis", "Girardinus falcatus", "Minyaspis welchi", "Myrmecia banksi", "Myrmecia haskinsorum", "Myrmecia imaii", "Myrmecia impaternata", "Hyperia curticephala", "Eupines diversa", "Bryaxis hectori", "Leucinodes orbonalis", "Leucinodes africensis", "Leucinodes rimavallis", "Leucinodes pseudorbonalis", "Leucinodes kenyensis", "Leucinodes malawiensis", "Leucinodes laisalis", "Leucinodes ethiopica", "Leucinodes ugandensis", "Leucinodes cordalis", "Leucinodes raondry", "Orvasca primula", "Orvasca brunneva", "Orvasca ashleyi", "Orvasca kilanas", "Pantana leucogramma", "Opoboa chrysoparala", "Tabernaemontana heterophylla", "Angulatergum syriacum", "Angulatergum texanum", "Leucinodes grisealis", "Analyta apicalis", "Analyta albicillalis", "Lygropia aureomarginalis", "Syllepte hemichionalis", "Syllepte vagans", "Deanolis iriocapna", "Tabernaemontana sect.", "Papilio machaon kiyonobu", "Papilio machaon nolico", "Papilio machaon baijianensis", "Troides hypolitus hypolitus", "Troides hypolitus sangirensis", "Troides aeacus aeacus", "Amarygmus altithronus", "Troides amphrysus amphrysus", "Amarygmus altivagus", "Troides amphrysus kecilensis", "Amarygmus ambiguus", "Iranecio paucilobus", "Troides amphrysus naokoae", "Amarygmus annexus", "Amarygmus athleticus", "Amarygmus balkei", "Troides andromache andromache", "Iranecio oligolepis", "Troides andromache goramensis", "Amarygmus coniunctus", "Neurellipes atewa", "Syzygium sect.", "Syzygium ser.", "Syzygium ser.", "Galene profundae", "Galene meridionalis", "Syzygium subg.", "Galene rotunda", "Syzygium ser.", "Syzygium ser.", "Angustalius besucheti", "Angustalius malacellus", "Tristania neriifolia", "Cyclocephala guianae", "Fusarium dactylidis", "Laelia phaeobalia", "Nygmia guttulata", "Nygmia habrostola", "Nygmia helladia", "Nygmia icilia", "Nygmia javana", "Nygmia javanoides", "Nygmia longitegumen", "Nygmia tigris", "Nygmia lali", "Nygmia lunifera", "Nygmia mignon", "Nygmia moalata", "Nygmia nova", "Nygmia ochreata", "Nygmia plana", "Nygmia postgrisea", "Nygmia puli", "Nygmia punctatofasciata", "Nygmia rubida", "Nygmia rubroradiata", "Nygmia semifumosa", "Nygmia sinuinigra", "Nygmia solitaria", "Nygmia sublutea", "Nygmia zeboe", "Nygmia xanthomela", "Nygmia xanthomela xanthomela", "Nygmia xanthomela catala", "Nygmia xanthomela postlutosa", "Euproctis protea", "Euproctis stenoptera", "Euproctis potamia", "Euproctis anomoeoptena", "Euproctis ochrea", "Euproctis aethodigmata", "Euproctis aethiopica", "Euproctis alberici", "Euproctis albinula", "Euproctis ankasoka", "Girardinus microdactylus", "Girardinus uninotatus", "Angulatergum saadensis", "Amarygmus intricatus", "Amarygmus laesus", "Amarygmus montisellae", "Amarygmus nigritus", "Amarygmus seorsus", "Amarygmus sphaeralis", "Amarygmus strenuus", "Amarygmus thoracicus", "Amarygmus validus", "Ptilostemon chamaepeuce", "Amalthea freemaniae", "Amarygmus adornatus", "Amarygmus aeris", "Amarygmus affectus", "Papilio indra kaibabensis", "Papilio indra minori", "Papilio indra bonnevillensis", "Chlosyne californica", "Chlosyne melanarge", "Chlosyne kendallorum", "Chlosyne theona", "Chlosyne theona theona", "Chlosyne theona brocki", "Chlosyne theona costaricensis", "Chlosyne theona minimus", "Chlosyne theona mullinsi", "Parnassius ariadne ariadne", "Parnassius ariadne erlik", "Parnassius ariadne jiadengyttensis", "Atolla gigantea", "Kozlovia capnoides", "Iranecio elbrusensis", "Amarygmus conveniens", "Troides rhadamantus rhadamantus", "Amarygmus convictor", "Iranecio lipskyi", "Amarygmus globulus", "Troides rhadamantus plateni", "Troides rhadamantus dohertyi", "Troides helena helena", "Troides helena sugimotoi", "Troides magellanus magellanus", "Troides magellanus apoensis", "Troides minos minos", "Troides minos szechwanus", "Troides miranda miranda", "Papilio indra indra", "Papilio indra martini", "Papilio indra phyllisae", "Ptilostemon casabonae", "Papilio indra panamintensis", "Papilio indra fordi", "Ptilostemon afer", "Papilio indra parvindra", "Papilio indra calcicola", "Ptilostemon afer subsp. afer", "Papilio indra shastensis", "Ptilostemon afer subsp. eburneus", "Papilio indra pergamus", "Papilio indra nevadensis", "Ptilostemon diacantha", "Ptilostemon diacantha subsp. turcicus", "Ptilostemon diacantha subsp. diacantha", "Ptilostemon abylensis", "Ptilostemon hispanicus", "Minyaspis reducens", "Tabernaemontana sect.", "Psiloceras planorbis", "Tabernaemontana sect.", "Tabernaemontana salzmannii", "Liasis papuanus", "Lomemus rectus", "Lomemus vittatus", "Proceratium williamsi", "Proceratium carri", "Proceratium nilo", "Proceratium sali", "Proceratium sokoke", "Proceratium vinaka", "Euproctis abythosticta", "Euproctis acmaea", "Euproctis acompsa", "Varatra acosmeta", "Euproctis aeola", "Euproctis acodes", "Euproctis florensis", "Euproctis fulvobrunnea", "Euproctis petasma", "Laelia amaurotera", "Laelia lophietes", "Laelia phenax", "Psilochira amydra", "Calliteara argyroides", "Barlowia nephodes", "Lymantria hemipyra", "Lymantria monoides", "Lymantria cryptocloea", "Saribia perroti", "Thryptomene stenophylla", "Eucalyptus kingsmillii subsp. kingsmillii", "Dictyotus roei", "Dictyotus nigripes", "Dictyotus inconspicuus", "Dictyotus conspicuus", "Dictyotus bipunctatus", "Eucalyptus kingsmillii subsp. alatissima", "Eucalyptus ser.", "Eucalyptus subser.", "Neoniphon pencei", "Passer hiri", "Neurellipes buchholzi", "Agastegnus simulans", "Agastegnus aeneopiceus", "Rhodophaea pyrivorella", "Stericta rufescens", "Euproctis hemigenes", "Euproctis ochropleura", "Euproctis geometroides", "Euproctis gilvivirgata", "Euproctis ochrocraspeda", "Euproctis ochrocerca", "Euproctis diselena", "Euproctis asaphobalia", "Euproctis gita", "Euproctis xuthocloea", "Euproctis hypocloa", "Toxoproctis celidota", "Toxoproctis willotti", "Toxoproctis helpsi", "Toxoproctis alticosmia", "Toxoproctis hemixanthoides", "Toxoproctis flavociliata", "Toxoproctis cincta", "Toxoproctis cheela", "Toxoproctis hemibathes", "Toxoproctis anna", "Toxoproctis despina", "Toxoproctis layi", "Toxoproctis adrian", "Toxoproctis innotata", "Toxoproctis munda", "Toxoproctis signiplaga", "Toxoproctis icoinnotata", "Toxoproctis coniochroa", "Toxoproctis bifurcata", "Toxoproctis altilodra", "Toxoproctis flavolimbata", "Toxoproctis hypolispa", "Toxoproctis cosmia", "Toxoproctis eumorpha", "Toxoproctis dyssema", "Toxoproctis deliana", "Dasychiroides nesites", "Dasychiroides nesites nesites", "Dasychiroides nesites nesiotica", "Hemigrammus aereus", "Hemigrammus analis", "Hemigrammus arua", "Sundaroa celaenostola", "Sundaroa mirma", "Sundaroa sexmacula", "Sundaroa flaveofusca", "Sundaroa calesia", "Sundaroa transflava", "Sundaroa cheyi", "Aroa abalia", "Aroa asthenes", "Aroa eugonia", "Aroa gyroptera", "Aroa interrogationis", "Aroa kambaiti", "Aroa pampoecila", "Aroa scytodes", "Aroa yokoae", "Aroa achrodisca", "Aroa atrescens", "Aroa campbelli", "Aroa clara", "Aroa cometaris", "Aroa danva", "Aroa difficilis", "Aroa discalis", "Aroa incerta", "Aroa leonensis", "Aroa melanoleuca", "Aroa nepalensis", "Aroa nigripicta", "Aroa ochripicta", "Hemigrammus barrigonae", "Hemigrammus bellottii", "Hemigrammus boesemani", "Hemigrammus brevis", "Aroa postfusca", "Aroa pyrrhochroma", "Aroa quadriplagata", "Aroa risoria", "Aroa sagrara", "Aroa sienna", "Aroa substrigosa", "Aroa tomisa", "Aroa cinnamomea", "Aroa callista", "Aroa luteifascia", "Aroa melaxantha", "Aroa plana", "Aroa simplex", "Aroa subnotata", "Aroa vosseleri", "Aroa xerampelina", "Aroa socrus", "Aroa quadrimaculata", "Aroa ochrota", "Aroa maxima", "Aroa major", "Aroa atrella", "Mylantria xanthospila", "Arna apicalis", "Arna flavolimbatulana", "Arna phaulida", "Arna erema", "Arna atomarina", "Arna micronides", "Arna mesilauensis", "Arna minutissima", "Arna perplexa", "Somena aurantiacoides", "Somena similis", "Somena moorei", "Heterandria formosa", "Amarygmus emasensis", "Silene vulgaris subsp. aetnensis", "Silene vulgaris subsp. angustifolia", "Silene vulgaris subsp. bosniaca", "Silene vulgaris subsp. commutata", "Silene vulgaris subsp. glareosa", "Silene vulgaris subsp. humilis", "Silene vulgaris subsp. macrocarpa", "Silene vulgaris subsp. megalosperma", "Silene vulgaris subsp. prostrata", "Silene vulgaris subsp. suffrutescens", "Silene vulgaris subsp. tenoreana", "Silene vulgaris subsp. vourinensis", "Silene vulgaris subsp. vulgaris", "Ptilostemon dyricola", "Morpho sulkowskyi calderoni", "Morpho sulkowskyi hoppiana", "Morpho sulkowskyi nieva", "Morpho sulkowskyi selenaris", "Morpho sulkowskyi sirene", "Morpho sulkowskyi sulkowskyi", "Nygmia poppaea", "Nygmia venata", "Nygmia aeruginosa", "Nygmia atereta", "Nygmia epirotica", "Nygmia epirotica epirotica", "Nygmia epirotica samarinda", "Nygmia peperites", "Nygmia protea", "Nygmia talesea", "Nygmia tamsi", "Nygmia amplior", "Nygmia araucaria", "Nygmia castor", "Nygmia exitela", "Nygmia oonophora", "Nygmia panselena", "Nygmia aroa", "Nygmia arrogans", "Nygmia atrisignata", "Nygmia atrisignata atrisignata", "Nygmia atrisignata pega", "Nygmia barbara", "Nygmia baueri", "Nygmia chirunda", "Nygmia civitta", "Nygmia dirtea", "Nygmia corbetti", "Nygmia corbetti corbetti", "Nygmia corbetti griseaurea", "Nygmia discophora", "Nygmia fumosa", "Nygmia funeralis", "Nygmia guttistriga", "Nygmia guttistriga guttistriga", "Nygmia guttistriga coelebs", "Dictyotus tasmanicus", "Dictyotus scissicolle", "Dictyotus lincolnensis", "Dictyotus incultus", "Kurixalus viridescens", "Saribia ochracea", "Asota belophora", "Nyctemera luzonensis luzonensis", "Nyctemera luzonensis squalida", "Nyctemera coleta coleta", "Nyctemera contrasta contrasta", "Nyctemera tripunctaria tripunctaria", "Nyctemera trita", "Nyctemera trita harca", "Nyctemera trita trita", "Nyctemera trita tritoides", "Nyctemera luzonica luzonica", "Pseudoganisa gonioptera", "Scaptesylomima bicoloroides", "Atacira hollowayi", "Tamba coeruleobasis", "Tamba sobana", "Egnasia bomboschi", "Liparopsis sundana", "Liparopsis dympna", "Coscodaca acharista", "Triplectides dolichos", "Caladenia pectinata", "Caladenia plicata", "Neurellipes lycotas", "Melittia distincta", "Melittia burmana", "Melittia fulvipes", "Melittia sapaensis", "Neurellipes lysicles", "Neurellipes lysicles lysicles", "Neurellipes lysicles clarior", "Etielloides curvella", "Dineutus amazonicus", "Dineutus americanus", "Dineutus angustus", "Dineutus assimilis", "Dineutus carolinus", "Dineutus ciliatus", "Dineutus discolor", "Dineutus emarginatus", "Dineutus hornii", "Dineutus longimanus", "Dineutus longimanus cubensis", "Dineutus longimanus jamaicensis", "Dineutus longimanus longimanus", "Syntypistis doloka", "Neurellipes erythropoecilus locuples", "Neurellipes georgiadisi", "Neurellipes juba", "Neurellipes lachares", "Neurellipes lachares lachares", "Neurellipes lachares toroensis", "Entrichella trifasciata", "Entrichella esakii", "Entrichella issikii", "Entrichella erythranches", "Entrichella linozona", "Entrichella leiaeformis", "Entrichella hreblayi", "Entrichella gorapani", "Entrichella fusca", "Entrichella meilinensis", "Entrichella simifusca", "Entrichella constricta", "Similipepsis taiwanensis", "Pennisetia unicingulata", "Pennisetia kumaoides", "Merops mentalis", "Isothamnis prisciformis", "Taikona matsumurai", "Nokona formosana", "Nokona acaudata", "Heterandria attenuata", "Heterandria litoperas", "Nokona powondrae", "Nokona pilamicola", "Dineutus longimanus portoricensis", "Dineutus mexicanus", "Dineutus nigrior", "Dineutus productus", "Crioprosopus chiriquiensis", "Crioprosopus hondurensis", "Crioprosopus wappesi", "Pilostenaspis copei", "Callistochroma viridipurpurea", "Papuadocus blodiwai", "Alpheus echiurophilus", "Auzakia danava", "Auzakia danava danava", "Auzakia danava albomarginata", "Auzakia danava luri", "Auzakia danava leechi", "Kumothales inexpectata", "Caladenia lobata", "Amarygmus viduatus", "Amarygmus vespertinus", "Amarygmus vilis", "Amarygmus viridis", "Amarygmus votivus", "Seorsoplonyx antennatus", "Orthocabera cymodegma", "Sylvanoplonyx femoralis", "Orthocabera sublavata", "Orthocabera opalescens", "Sylvanoplonyx arbelus", "Orthocabera minor", "Sylvanoplonyx gratillus", "Orthocabera sericea", "Asthenochirus nigropunctatus", "Asthenochirus velutinus", "Orthocabera ocernaria", "Orthocabera ocernaria ocernaria", "Orthocabera ocernaria conspicua", "Stauropus elisabethae", "Stauropus abitus", "Stauropus major", "Stauropus teikichiana boreas", "Stauropus teikichiana fuscus", "Stauropus teikichiana notus", "Stauropus teikichiana teikichiana", "Syntypistis charistera", "Neurellipes emkopoti", "Syntypistis charistera charistera", "Syntypistis charistera fraseriana", "Neurellipes erythropoecilus", "Syntypistis murina", "Syntypistis ceramensis", "Neurellipes erythropoecilus erythropoecilus", "Syntypistis triguttata", "Syntypistis ferrea", "Syntypistis ardjuna", "Coptotriche consanguinea", "Coptotriche citrinipennella", "Coptotriche mediostriata", "Coptotriche badiiella", "Coptotriche lucida", "Coptotriche distincta", "Coptotriche subnubila", "Coptotriche concolor", "Coptotriche simulata", "Coptotriche purinosella", "Coptotriche discreta", "Coptotriche arizonica", "Coptotriche clemensella", "Coptotriche fuscomarginella", "Coptotriche castaneaeella", "Coptotriche perplexa", "Coptotriche sulphurea", "Metacrinus rotundus", "Mesoconius bicolor", "Mesoconius dianthus", "Mesoconius nigrihumeralis", "Mesoconius tigrinus", "Mesoconius zadbi", "Anelytra hainanensis", "Liocanthydrus zanclus", "Liocanthydrus mecespilus", "Trematomus hansoni", "Homoneura abnormis", "Homoneura acrostichalis", "Homoneura acrotoma", "Homoneura affinis", "Homoneura atriceps", "Homoneura bakeri", "Pyralis albiguttata", "Scopula amata", "Scopula amata amata", "Scopula amata prouti", "Gandaritis evanescens", "Eupithecia supercastigata", "Eupithecia tantilloides", "Eupithecia albimedia", "Stathmopoda atridorsalis", "Stathmopoda centihasta", "Stathmopoda dorsioculella", "Stathmopoda pullicuneata", "Stathmopoda sericicola", "Passer hemileucus", "Eupithecia kobayashii", "Eupithecia okadai", "Eupithecia praenubilata", "Chloroclystis kumakurai", "Orthocabera obliqua", "Amarygmus erilis", "Amarygmus eureos", "Orthocabera subvitrea", "Amarygmus expeditus", "Amarygmus gnitus", "Amarygmus inconditus", "Orthocabera tinagmaria", "Amarygmus iunctus", "Amarygmus magnus", "Amarygmus medius", "Amarygmus muluensis", "Amarygmus murutensis", "Orthocabera moupinaria", "Amarygmus neso", "Orthocabera luteifrons", "Amarygmus nitens", "Amarygmus nitens glabratus", "Amarygmus novior", "Amarygmus nuntius", "Amarygmus nyctelius", "Amarygmus platypodes", "Amarygmus poringensis", "Amarygmus praecellens", "Amarygmus proteus", "Amarygmus pygmaeus", "Amarygmus rolandi", "Orthocabera fuscolineata", "Amarygmus sarawakensis", "Amarygmus singulus", "Amarygmus tantillus", "Orthocabera similaria", "Amarygmus urbanus", "Nokona chrysoidea", "Nokona inexpectata", "Toleria ilana", "Plectranthias kelloggi", "Chamanthedon hypochroma", "Chamanthedon xanthopleura", "Chamanthedon chrysostetha", "Egira vadimi", "Chrysaora chinensis", "Orbicella annularis", "Triacanthodes anomalus", "Chrysaora helvola", "Halongella fruhstorferi", "Halongella schlumbergeri", "Galathea acerata", "Galathea acis", "Galathea aequata", "Galathea ahyongi", "Galathea anoplos", "Galathea anouchkae", "Galathea argus", "Galathea atua", "Galathea autahi", "Galathea barbata", "Galathea boisselierae", "Galathea boucheti", "Galathea bracteosa", "Galathea caesariata", "Galathea celiae", "Galathea cephyra", "Galathea ceti", "Galathea ciliosa", "Galathea clarki", "Galathea connudata", "Galathea corbariae", "Melittia sangaica", "Melittia sangaica sangaica", "Melittia sangaica nipponica", "Homoneura yangi", "Homoneura ypsilon", "Homoneura apicomata", "Homoneura columnaria", "Homoneura convergens", "Homoneura flavida", "Homoneura nigritarsis", "Homoneura latissima", "Homoneura semicircularis", "Homoneura tortifurcata", "Homoneura yinggelingica", "Homoneura zhangae", "Homoneura tibetensis", "Homoneura bomiensis", "Homoneura curvispina", "Homoneura angulata", "Homoneura disciformis", "Homoneura fuscicostata", "Homoneura gedehi", "Homoneura luteoscutellata", "Homoneura obscuriceps", "Homoneura semibrunnea", "Homoneura setuligera", "Dictyothyrium hibisci", "Homoneura biconcava", "Homoneura denticuligera", "Homoneura elliptica", "Homoneura guangdongica", "Homoneura honesta", "Homoneura intereuns", "Homoneura jacobsoni", "Homoneura limbata", "Homoneura longicomata", "Homoneura nigrimarginata", "Homoneura orientalis", "Homoneura pufujii", "Homoneura quadrifera", "Heterandria anzuetoi", "Caladenia barbarossa", "Galathea crinita", "Galathea cymo", "Galathea cymothoe", "Galathea eione", "Galathea eridani", "Galathea erythrina", "Galathea eucrante", "Galathea eulimene", "Galathea eupompe", "Galathea furfurea", "Galathea galene", "Galathea ganindo", "Galathea gladiola", "Galathea gnoma", "Galathea gruis", "Galathea halia", "Galathea hispidissima", "Galathea homologa", "Galathea hydrae", "Galathea imitata", "Galathea inermis", "Galathea lemaitrei", "Galathea lemniscata", "Galathea lepidota", "Galathea leporis", "Galathea lingadua", "Galathea longioculata", "Delias callista callipulchra", "Galathea machaera", "Galathea machordomae", "Galathea mariae", "Galathea melobosis", "Galathea micra", "Galathea minima", "Galathea minutiae", "Galathea multicristata", "Galathea nuda", "Galathea paleroi", "Oncocypris rostrata", "Caladenia cairnsiana", "Alyssum aizoides", "Sporophila beltoni", "Neurellipes pyroptera", "Coptotriche admirabilis", "Bacillometra fuallagana", "Rhagovelia inexpectata", "Cystopteris montana", "Sphodromantis lineola", "Euphorbia sect.", "Euphorbia subsect.", "Euphorbia subsect.", "Euphorbia sect.", "Homoneura beckeri", "Homoneura bicuspis", "Homoneura bilineella", "Homoneura brevis", "Homoneura carolinensis", "Homoneura centralis", "Homoneura cornuta", "Homoneura curtiocellaris", "Homoneura debilis", "Homoneura demeijerei", "Homoneura dentata", "Homoneura discoalbata", "Homoneura discoglauca", "Homoneura fasciventris", "Homoneura folifera", "Homoneura forcipata", "Homoneura geomyzina", "Homoneura gibbosa", "Homoneura hamulifera", "Homoneura hypopygialis", "Homoneura immaculata", "Homoneura jiangi", "Homoneura laticosta", "Homoneura lii", "Homoneura longispina", "Homoneura lucida", "Homoneura malayensis", "Homoneura mediosignata", "Homoneura monticola", "Homoneura multicornuta", "Homoneura neosignata", "Homoneura nigra", "Homoneura nivalis", "Homoneura notabilis", "Homoneura nudifrons", "Homoneura octopannosa", "Homoneura padangensis", "Homoneura palauensis", "Homoneura philippinensis", "Homoneura picta", "Homoneura pleuripuncta", "Homoneura procerula", "Homoneura quiquenotata", "Homoneura quinquevittata", "Homoneura sauteri", "Homoneura setiparameria", "Homoneura signata", "Homoneura signatifrons", "Homoneura simplicissima", "Homoneura spiculata", "Homoneura spinulosa", "Homoneura strigata", "Homoneura subcostalis", "Homoneura subvittata", "Homoneura tianeensis", "Homoneura tianlinensis", "Homoneura trifasciata", "Homoneura trispina", "Homoneura trivittata", "Homoneura trypetoptera", "Homoneura ungaranensis", "Asplenium rectangulare", "Neurellipes versatilis", "Neurellipes xanthopoecilus", "Neurellipes xanthopoecilus xanthopoecilus", "Neurellipes xanthopoecilus lukokescha", "Neurellipes xanthopoecilus peteri", "Neurellipes zenkeri", "Neurellipes zenkeri zenkeri", "Neurellipes zenkeri vanderweghei", "Rhagovelia imperatrix", "Hyperstoma wittmeri", "Rhagovelia quilichaensis", "Rhagovelia gastrotricha", "Rhagovelia vega", "Rhagovelia cardia", "Rhagovelia grandis", "Rhagovelia magdalena", "Rhagovelia rosensis", "Rhagovelia espriella", "Rhagovelia pacifica", "Rhagovelia calceola", "Rhagovelia cimarrona", "Rhagovelia spinosa", "Rhagovelia buesaquensis", "Rhagovelia cephala", "Rhagovelia deigmena", "Rhagovelia ramphus", "Rhagovelia tsecuri", "Rhagovelia abalienata", "Rhagovelia hovana", "Rhagovelia madagascariensis", "Rhagovelia madari", "Rhagovelia pexa", "Rhagovelia reuteri", "Rhagovelia tesari", "Rhagovelia tesari tesari", "Rhagovelia tesari flavomarginata", "Rhagovelia mindoroensis", "Rhagovelia raddai", "Rhagovelia problematica", "Rhagovelia brunipes", "Rhagovelia sallyae", "Hieracium lepidulum", "Hieracium levicaule", "Hydrometra aemula", "Hydrometra adnexa", "Hydrometra fruhstoferi", "Atypus minuta", "Scinax rupestris", "Euphorbia acanthothamnos", "Homoneura ornatipennis", "Homoneura balluca", "Homoneura lunata", "Homoneura anuda", "Homoneura bibaculigera", "Homoneura borneoensis", "Homoneura denticulimentula", "Homoneura grossa", "Homoneura longisetosa", "Homoneura orientis", "Homoneura parvinotata", "Homoneura prisca", "Homoneura setulosa", "Homoneura sexmaculata", "Galathea parvula", "Galathea pascualae", "Galathea patriciae", "Galathea paulae", "Galathea paulayi", "Galathea pauxilla", "Galathea peitho", "Galathea perone", "Galathea phalangis", "Galathea ploto", "Galathea politula", "Galathea polydora", "Galathea polyphemus", "Galathea poupini", "Galathea psila", "Galathea pubipes", "Galathea punctata", "Galathea rangi", "Galathea rhaphidia", "Euphorbia leuconeura", "Galathea rubrispina", "Galathea samadiae", "Galathea schnabelae", "Galathea scolopia", "Galathea senta", "Galathea sentosa", "Galathea setigera", "Galathea simulata", "Galathea tagaloa", "Galathea tagaro", "Galathea tongi", "Galathea tribulosa", "Galathea villosa", "Galathea waiora", "Amphinemura ningxiana", "Amphinemura tianmushana", "Rhagovelia cachipai", "Rhagovelia nicolai", "Rhagovelia narinensis", "Chrisothea zhangi", "Euphorbia sect.", "Diplazium sibiricum", "Euphorbia sect.", "Rhagovelia polymorpha", "Rhagovelia yangae", "Rhagovelia pacayana", "Euphorbia subg.", "Alyssum argyrophyllum", "Alyssum armenum", "Alyssum aurantiacum", "Alyssum caespitosum", "Odontarrhena akamasica", "Alyssum andinum", "Alyssum austrodalmaticum", "Alyssum bargalense", "Alyssum blancheanum", "Alyssum calycocarpum", "Heterandria cataractae", "Heterandria dirempta", "Neurellipes ramnika", "Euphorbia lophogona var. lophogona", "Euphorbia lophogona var. tenuicaulis", "Euphorbia sect.", "Euphorbia sect.", "Megacraspedus calamogonus", "Dineutus robertsi", "Dineutus serrulatus", "Dineutus serrulatus analis", "Dineutus serrulatus serrulatus", "Dineutus solitarius", "Dineutus sublineatus", "Dineutus truncatus", "Heterandria bimaculata", "Heterandria obliqua", "Mohacolora bezverkhovi", "Euphorbia sect.", "Heterandria jonesii", "Pantheaforma ihlei", "Euphorbia subg.", "Neurellipes boormani", "Neurellipes darwini", "Neurellipes dubia", "Neurellipes ferenczi", "Euphorbia sect.", "Euphorbia subsect.", "Neurellipes flavomaculatus", "Neurellipes flavomaculatus flavomaculatus", "Euphorbia subsect.", "Neurellipes flavomaculatus bipuncta", "Neurellipes inferna", "Acalles iblanensis", "Acalles vorsti", "Acalles granulimaculosus", "Exaesiopus grossipes", "Euphorbia sect.", "Kronopolites acuminatus", "Kronopolites biagrilectus", "Kronopolites davidiani", "Kronopolites formosanus", "Kronopolites fuscocingulatus", "Kronopolites montanus", "Kronopolites occidentalis", "Kronopolites rugosus", "Kronopolites semirugosus", "Kronopolites swinhoei", "Kronopolites lunatus", "Rhagovelia accedens", "Rhagovelia agra", "Elacatophora euconnoides", "Elacatophora soesilae", "Setayeshoonops setayeshae", "Poeciliopsis presidionis", "Oxydrepanus minae", "Poecilia presidionis", "Aschnaoonops aschnae", "Minaia minae", "Stichotrema minae", "Neurellipes lyzanius", "Neurellipes mirellae", "Perigrapha nanshana", "Jiriella brunnea", "Meranoplus periyarensis", "Hypericum trichocaulon", "Alyssum cephalotes", "Odontarrhena chondrogyna", "Alyssum clausonis", "Alyssum contemptum", "Alyssum corningii", "Geoesthia ceylonica", "Odontarrhena cyprica", "Alyssum dagestanicum", "Alyssum damascenum", "Alyssum decoloratum", "Alyssum djurdjurae", "Entheus huertasae", "Triclema aequatorialis", "Triclema africana", "Euphorbia tithymaloides subsp. tithymaloides", "Triclema likouala", "Alyssum wierzbickii", "Alyssum persicum", "Alyssum pirinicum", "Alyssum pogonocarpum", "Alyssum praecox", "Alyssum propinquum", "Alyssum pseudomouradicum", "Alyssum pulvinare", "Alyssum rostratum", "Cyathura odaliscae", "Alyssum siculum", "Alyssum simulans", "Alyssum smyrnaeum", "Alyssum sphacioticum", "Alyssum stribrnyi", "Amanita abietum", "Alyssum sulphureum", "Triclema inconspicua", "Triclema inconspicua inconspicua", "Alyssum taygeteum", "Triclema inconspicua latefascia", "Alyssum tetrastemon", "Alyssum thymops", "Alyssum trichocarpum", "Alyssum hajastanum", "Alyssum harputicum", "Alyssum iljinskae", "Alyssum iranicum", "Alyssum lanceolatum", "Anthroherpon cecai", "Alyssum lassiticum", "Anthroherpon sinjajevina", "Alyssum lepidotum", "Alyssum lycaonicum", "Alyssum macrocalyx", "Alyssum macropodum", "Alyssum moellendorfianum", "Alyssum mouradicum", "Alyssum mozaffarianii", "Alyssum muelleri", "Alyssum niveum", "Alyssum ochroleucum", "Alyssum numidicum", "Alyssum odoratum", "Alyssum paphlagonicum", "Alyssum patulum", "Eldarca nigroscutellata", "Platystethus bucerus", "Platystethus subnitens", "Platystethus vicinior", "Zehntneriana serrata", "Trachyibana sarawakiensis", "Boreantrops albipes", "Boreantrops masneri", "Boreantrops oaxacensis", "Boreantrops boliviensis", "Boreantrops challabamba", "Boreantrops alytothrix", "Boreantrops apterus", "Boreantrops auranticeps", "Boreantrops avignis", "Boreantrops costaricensis", "Boreantrops cryptopygium", "Boreantrops durango", "Boreantrops emarginatus", "Boreantrops friburguensis", "Boreantrops guatemalensis", "Boreantrops hispidus", "Boreantrops hondurensis", "Boreantrops inbio", "Boreantrops longiphallus", "Boreantrops machinator", "Boreantrops peruvianus", "Boreantrops pollex", "Boreantrops punctipennis", "Boreantrops subemarginatus", "Boreantrops subfoveolatus", "Boreantrops suchixtepecensis", "Boreantrops talamanca", "Boreantrops wayqecha", "Boreantrops zacapa", "Boreantrops zamora", "Boreantrops mexicanus", "Boreantrops calceatus", "Antrops anovariegatus", "Antrops aurantifemur", "Antrops baeza", "Antrops bucki", "Antrops didactylos", "Antrops diversipennis", "Antrops fuliginosus", "Exaesiopus henoni", "Exaesiopus torvus", "Exaesiopus laevis", "Exaesiopus glaucus", "Exaesiopus therondi", "Stenochironomus brevissimus", "Stenochironomus linanensis", "Stenochironomus koreanus", "Stenochironomus niger", "Stenochironomus palliaculeatus", "Stenochironomus reissi", "Stenochironomus varius", "Stenochironomus bacrionis", "Stenochironomus gladius", "Stenochironomus impendens", "Stenochironomus jubatus", "Stenochironomus nudipupa", "Stenochironomus pectinatus", "Stenochironomus quadrinotatus", "Stenochironomus townesi", "Stenochironomus triannulatus", "Stenochironomus vatius", "Stenochironomus albipalpus", "Stenochironomus annettae", "Stenochironomus balteatus", "Stenochironomus bisetosus", "Stenochironomus crusanticus", "Stenochironomus discus", "Stenochironomus fuscipatellus", "Stenochironomus maculatus", "Stenochironomus pannus", "Stenochironomus woodi", "Alphaea anopunctata", "Alphaea fulvohirta", "Alphaea impleta", "Alphaea khasiana", "Alphaea imbuta imbuta", "Alphaea imbuta sikkimensis", "Tarsolepis brunnea", "Tarsolepis fulgurifera", "Tarsolepis sericea", "Tarsolepis malayana", "Neurellipes lamprocles", "Neurellipes lamprocles lamprocles", "Neurellipes lamprocles reducta", "Alyssum kaynakiae", "Alyssum lepidoto-stellatum", "Euphorbia milii var. tenuispina", "Alyssum penjwinensis", "Euphorbia milii var. hislopii", "Euphorbia milii var. bevilaniensis", "Euphorbia milii var. splendens", "Alyssum sect.", "Arcalepas brucei", "Excelsotarsonemus caravelis", "Xestoblatta berenbaumae", "Sulawesifulvius indicus", "Zorochros hartmanni", "Zorochros hubeiensis", "Zorochros karnaliensis", "Zorochros magnificus", "Zorochros naniensis", "Zorochros nigredos", "Zorochros platiai", "Alyssum doerfleri", "Mustilia craptalis", "Mustilia phaeopera", "Mustilia zolotuhini", "Mustilia lobata", "Mustilia sphingiformis", "Mustilia falcipennis", "Mustilia castanea", "Mustilia sabriformis", "Mustilia pai", "Mustilia sphingiformis sphingiformis", "Mustilia sphingiformis gerontica", "Mustilia orthocosta", "Mustilia lieftincki", "Mustilia attacina", "Mustilia fusca", "Mustilia soosi", "Mustilia brechlini", "Mustilia tzarica", "Mustilizans drepaniformis", "Poeciliopsis lucida", "Poeciliopsis monacha", "Poeciliopsis prolifica", "Poeciliopsis viriosa", "Mustilizans eitschbergeri", "Mustilizans capella", "Mustilizans predicta", "Mustilizans baishanzua", "Mustilizans andracoides", "Mustilia ulliae", "Triclema collinsiana", "Triclema hybrida", "Triclema josianae", "Triclema mullini", "Triclema perobscura", "Triclema belcastroi", "Triclema oremansi", "Triclema fasciatus", "Triclema fasciatus fasciatus", "Phacellodomus ferrugineigula", "Euphorbia subsect.", "Euphorbia subsect.", "Triclema fasciatus subnitens", "Aedes ealaensis", "Aedes ethiopiensis", "Aedes gandaensis", "Aedes hogsbackensis", "Aedes mpusiensis", "Aedes sampi", "Paraplotes cheni", "Paraplotes jengi", "Paraplotes meihuai", "Paraplotes tahsiangi", "Paraplotes tatakaensis", "Paraplotes tsoui", "Paraplotes tsuenensis", "Paraplotes yaoi", "Paraplotes yuae", "Paraplotes taiwana", "Paraplotes frontalis", "Paraplotes rugosa", "Paraplotes clavicornis", "Paraplotes antennalis", "Paraplotes rugatipennis", "Paraplotes semifulva", "Zorochros ahrensi", "Zorochros bingkorensis", "Zorochros dabieshanensis", "Zorochros dolini", "Odontarrhena euboea", "Alyssum fastigiatum", "Kamaka rostra", "Alyssum foliosum", "Galathea aculeata", "Galathea aegyptiaca", "Galathea albatrossae", "Galathea algae", "Galathea amamiensis", "Alyssum fulvescens", "Galathea amboinensis", "Galathea anepipoda", "Galathea australiensis", "Galathea balssi", "Galathea barbellata", "Galathea bidens", "Galathea bimaculata", "Galathea brevimana", "Galathea consobrina", "Galathea continua", "Galathea corallicola", "Galathea coralliophilus", "Galathea echinata", "Galathea formosa", "Galathea genkai", "Galathea guttata", "Galathea inconspicua", "Galathea inflata", "Alyssum gustavssonii", "Galathea kuboi", "Galathea labidolepta", "Galathea latirostris", "Proceratium oceanicum", "Proceratium relictum", "Euphorbia milii var. milii", "Euphorbia milii var. tulearensis", "Euphorbia milii var. roseana", "Euphorbia milii var. longifolia", "Bombus difficillimus", "Bombus borealis", "Bombus distinguendus", "Bombus fedtschenkoi", "Bombus melanurus", "Bombus personatus", "Setia alexandrae", "Setia ermelindoi", "Setia netoae", "Manzonia martinsi", "Bryobia belliloci", "Bryobia gigas", "Belisana denticulata", "Alsodes cantillanensis", "Lathrobium compressum", "Lathrobium milkeense", "Lathrobium umbhakense", "Triclema lacides", "Euphorbia sect.", "Zorochros schawalleri", "Zorochros schmidti", "Zorochros senaroensis", "Zorochros theodori", "Zorochros tongshanensis", "Zorochros flavosignatus", "Zorochros plorabilis", "Zorochros scutellaris", "Zorochros villosus", "Zorochros compaginatus", "Zorochros inconspicuous", "Zorochros jaechi", "Zorochros loebli", "Zorochros malayanus", "Zorochros schoenmanni", "Zorochros quadritactus", "Zorochros maai", "Zorochros coreanus", "Zorochros mansusanensis", "Adioristidius chilensis", "Adioristidius hirsutus", "Adioristidius hydanius", "Adioristidius jorgei", "Adioristidius lidiae", "Adioristidius manu", "Adioristidius morio", "Poeciliopsis catemaco", "Poeciliopsis turneri", "Karachiota aristata", "Karachiota recurva", "Mayazomus aluxe", "Mayazomus trotzil", "Mayazomus yaax", "Mayazomus loobil", "Mayazomus kaamuul", "Euterpiodes pienaari", "Euterpiodes gracilior", "Euterpiodes bleptoides", "Euterpiodes latipennis", "Euterpiodes cyanofascia", "Euterpiodes sororcula", "Euterpiodes fictrix", "Euterpiodes eremicola", "Euterpiodes croceizona", "Euterpiodes unio", "Euterpiodes umbrata", "Lathrobium ignoratum", "Lathrobium exsertum", "Euterpiodes blepta", "Euterpiodes croceisticta", "Acrasia crinita", "Alyssum sect.", "Metaeuchromius glacialis", "Daidalotarsonemus oliveirai", "Euphorbia tithymaloides subsp. smallii", "Mayazomus infernalis", "Mayazomus hoffmannae", "Cystopteris alpina", "Lachesilla dentata", "Lachesilla pisaqensis", "Lachesilla zaragozai", "Lachesilla texana", "Lachesilla amacayacuensis", "Lachesilla bulbosiforceps", "Lachesilla cuzcoensis", "Lachesilla marabaensis", "Triclema lamias", "Triclema lamias lamias", "Lachesilla pilosiforceps", "Lachesilla pilosipenna", "Lachesilla squamiforceps", "Bombus amurensis", "Bombus appositus", "Lachesilla brasiliensis", "Lachesilla carioca", "Lachesilla guayaquilensis", "Lachesilla mattogrossensis", "Lachesilla pictisepsoides", "Lachesilla teresiana", "Lachesilla veneper", "Lachesilla andina", "Lachesilla corbalanae", "Lachesilla dividiproctus", "Lachesilla longiproctus", "Lachesilla peckorum", "Lachesilla szirakii", "Polypsocua jujuyensis", "Polypsocus jujuyensis", "Lachesilla acuminiforceps", "Zoothera imbricata", "Zoothera neilgherriensis", "Pseudoalteromonas byunsanensis", "Gomesa bicolor", "Poeciliopsis balsas", "Pseudoalteromonas carrageenovora", "Pseudoalteromonas citrea", "Pseudoalteromonas denitrificans", "Gomesa bifolia", "Pseudoalteromonas distincta", "Pseudoalteromonas donghaensis", "Pseudoalteromonas elyakovii", "Pseudoalteromonas espejiana", "Pseudoalteromonas flavipulchra", "Pseudoalteromonas issachenkonii", "Pseudoalteromonas luteoviolacea", "Pseudoalteromonas lipolytica", "Pseudoalteromonas maricaloris", "Pseudoalteromonas marina", "Pseudoalteromonas mariniglutinosa", "Pseudoalteromonas nigrifaciens", "Thrips tomeus", "Thrips wellsae", "Cryptovenator hirschbergeri", "Thrips abyssiniae", "Euphorbia unicornis", "Euphorbia ramulosa", "Amanita abruptiformis", "Euphorbia lividiflora", "Thrips acaciae", "Thrips aurantithoracis", "Thrips australis", "Thrips bourbonensis", "Thrips brevisetosus", "Thrips candidus", "Thrips florum", "Pseudoalteromonas paragorgicola", "Pseudoalteromonas peptidolytica", "Pseudoalteromonas phenolica", "Pseudoalteromonas piscicida", "Pseudoalteromonas prydzensis", "Pseudoalteromonas rubra", "Pseudoalteromonas ruthenica", "Algicola sagamiensis", "Pseudoalteromonas spongiae", "Pseudoalteromonas tetraodonis", "Pseudoalteromonas translucida", "Pseudoalteromonas tunicata", "Pseudoalteromonas ulvae", "Pseudoalteromonas undina", "Stenochironomus messias", "Stenochironomus oliveirai", "Thrips fumosoides", "Thrips fumosus", "Thrips gowdeyi", "Triclema likouala likouala", "Triclema likouala melania", "Neoscalpellum crosnieri", "Poeciliopsis baenschi", "Gomesa adamantina", "Gomesa albinoi", "Gomesa alpina", "Gomesa barbaceniae", "Pseudoalteromonas agarivorans", "Gomesa barbata", "Pseudoalteromonas aliena", "Pseudoalteromonas antarctica", "Gomesa barkeri", "Pseudoalteromonas arctica", "Pseudoalteromonas aurantia", "Algicola bacteriolytica", "Alyssum sect.", "Shelfordia chinensis", "Euphorbia griffithii var. griffithii", "Euphorbia griffithii var. bhutanica", "Exallonyx pingbianensis", "Exallonyx strictus", "Fredegunda sinica", "Montanelia panniformis", "Heliocheilus tengri", "Graellsia davisiana", "Graellsia chitralensis", "Graellsia graellsiifolia", "Graellsia hissarica", "Graellsia integrifolia", "Oligosarcus amome", "Laimaphelenchus hyrcanus", "Galathea longimana", "Galathea longimanoides", "Galathea lumaria", "Galathea maculiabdominalis", "Galathea magnifica", "Galathea mauritiana", "Galathea multilineata", "Galathea ohshimai", "Galathea orientalis", "Galathea pilosa", "Galathea platycheles", "Galathea providentia", "Galathea pubescens", "Galathea raventosae", "Galathea robusta", "Galathea rubromaculata", "Galathea sanctae", "Galathea spinimanus", "Galathea spinosorostris", "Galathea squamea", "Galathea submagnifica", "Galathea subsquamata", "Galathea tanegashimae", "Galathea ternatensis", "Galathea whiteleggii", "Stygohydracarus karanovici", "Poeciliopsis elongata", "Poeciliopsis pleurospilus", "Sphodromantis baccettii", "Gieysztoria queenslandica", "Laetmogone maculata", "Lachesilla bilunaris", "Zoothera turipavae", "Lachesilla denticuliforceps", "Lachesilla dilatiforceps", "Lachesilla dominicaensis", "Lachesilla magna", "Lachesilla pigmentithorax", "Lachesilla rugosa", "Lachesilla trinidadensis", "Lachesilla yanomamioides", "Lachesilla nadleri", "Lachesilla lugoi", "Alyssum trichostachyum", "Triclema lamias katerae", "Euphorbia sect.", "Lathrobium bibarbatum", "Lathrobium diremptum", "Lathrobium inexcisum", "Lathrobium infractum", "Lathrobium muguicum", "Lathrobium curvum", "Lathrobium spinosissimum", "Lathrobium annapurnense", "Lathrobium excisum", "Lathrobium lamjunense", "Lathrobium palatum", "Lathrobium aciforme", "Lathrobium apalatum", "Lathrobium rupinaicum", "Lathrobium discissum", "Lathrobium separatum", "Lathrobium planissimum", "Lathrobium spiculatum", "Lathrobium compressicrus", "Lathrobium barbatum", "Lathrobium barbulatum", "Lathrobium cavicrus", "Lathrobium calcaratum", "Lathrobium privum", "Lathrobium fodens", "Lathrobium attritum", "Lathrobium nepalense", "Cynognathus crateronotus", "Triclema melambrotus", "Hyalella misionensis", "Triclema melambrotus melambrotus", "Triclema melambrotus kiellandi", "Euphorbia sect.", "Euphorbia subsect.", "Bombus anachoreta", "Bombus armeniacus", "Euphorbia \u00d7 lomi", "Acontosceles yorioi", "Alteromonas addita", "Alteromonas agarilytica", "Alteromonas alvinellae", "Alteromonas australica", "Alteromonas genovensis", "Alteromonas halophila", "Alteromonas infernus", "Alteromonas litorea", "Alteromonas macleodii", "Alteromonas hispanica", "Alteromonas marina", "Alteromonas simiduii", "Alteromonas stellipolaris", "Alteromonas tagae", "Hyalella araucana", "Hyalella castroi", "Hyalella pleoacuta", "Hyalella quindioensis", "Hyalella muerta", "Hyalella sandra", "Arnebia fimbriata", "Arnebia fimbriopetala", "Arnebia hispidissima", "Arnebia inconspicua", "Arnebia johnstonii", "Arnebia latibracteata", "Arnebia leptosiphonoides", "Hyalella minensis", "Triclema coerulea", "Bombus atripes", "Bombus atratus", "Triclema lucretilis", "Euphorbia elastica", "Euphorbia sect.", "Triclema rufoplagata ituriensis", "Euphorbia sect.", "Cirolana tumulosa", "Euphorbia sect.", "Triclema staudingeri", "Cirolana arcicauda", "Cirolana variguberna", "Cirolana luticola", "Neocirolana bicrista", "Pseudolana brevifimbria", "Euphorbia sect.", "Euphorbia sect.", "Euphorbia sect.", "Euphorbia sect.", "Euphorbia sect.", "Euphorbia sect.", "Euphorbia sect.", "Aphnaeus abriana", "Euphorbia sect.", "Attheyella tahoensis", "Attheyella tessiae", "Phaedon geminatus", "Phaedon huizuensis", "Phaedon igori", "Phaedon insolitus", "Phaedon prosternalis", "Phaedon alpinus", "Phaedon alticola", "Phaedon apterus", "Phaedon brassicae", "Phaedon flavotibialis", "Thrips hawaiiensis", "Thrips hoodi", "Thrips meruensis", "Thrips microchaetus", "Thrips nigropilosus", "Thrips orientalis", "Thrips palmi", "Thrips parvispinus", "Thrips pretiosus", "Thrips priesneri", "Thrips pusillus", "Thrips quadridentatus", "Thrips quilicii", "Thrips rufescens", "Thrips scotti", "Thrips simplex", "Thrips speratus", "Thrips subnudula", "Thrips tenebricosus", "Thrips tenellus", "Allomantispa mirimaculata", "Allomantispa tibetana", "Cremnops apicalipennis", "Cremnops bertae", "Cremnops cluttsis", "Cremnops nymphius", "Cremnops wileycoyotius", "Cremnops witkopegasus", "Triclema lutzi", "Munidopsis amapa", "Munidopsis bajacalifornia", "Munidopsis brasilia", "Rhizothrix virginiae", "Galapalaophonte alvaroi", "Laophontisochra terueae", "Triclema nigeriae", "Cirolana lemoscastroi", "Euphorbia halipedicola", "Triclema obsoleta", "Euphorbia sect.", "Triclema phoenicis", "Euphorbia subsect.", "Titobustillobalanus tubutubulus", "Euphorbia subsect.", "Euphorbia sect.", "Triclema rufoplagata", "Triclema rufoplagata rufoplagata", "Euphorbia sect.", "Aphnaeus affinis", "Aphnaeus argyrocyclus", "Aphnaeus orcas", "Phaedon gressitti", "Phaedon mellyi", "Phaedon wumingshanensis", "Dicoxiseta litsea", "Eriophyes casearius", "Phyllocoptruta alstonia", "Arnebia lindbergiana", "Arnebia linearifolia", "Arnebia nepalensis", "Arnebia minima", "Arnebia obovata", "Arnebia paucisetosa", "Ligidium acutangulum", "Aphnaeus asterius", "Aphnaeus asterius asterius", "Nechila macrogona", "Enochrus limbourgi", "Enochrus liangi", "Dendroplex kienerii", "Toxorhina formosensis", "Toxorhina fuscolimbata", "Lumkuia fuzzi", "Lathrobium tectiforme", "Lathrobium inflexum", "Lathrobium lentum", "Lathrobium fissispinosum", "Lathrobium rectispinosum", "Lathrobium curvispinosum", "Lathrobium longispinosum", "Lathrobium spinigerum", "Lathrobium crassispinosum", "Lathrobium serrilobatum", "Lathrobium trifidum", "Lathrobium bifidum", "Lathrobium aquilinum", "Premnornis guttuliger", "Toxorhina huanglica", "Toxorhina omnifusca", "Toxorhina univirgata", "Toxorhina taiwanicola", "Toxorhina tinctipennis", "Telmatobius ventriflavum", "Arnebia afghanica", "Arnebia benthamii", "Arnebia cana", "Peckoltia ephippiata", "Arnebia coerulea", "Peckoltia greedoi", "Peckoltia lujani", "Diachasmimorpha dicrocarinata", "Lathrobium gladiator", "Diachasmimorpha flavifacialis", "Diachasmimorpha melathorax", "Lathrobium deuvei", "Diachasmimorpha curvinervis", "Diachasmimorpha ammanotus", "Lathrobium barthei", "Lathrobium ganeshense", "Lathrobium jumlense", "Lathrobium inustum", "Lathrobium aculeatum", "Lathrobium pectinatum", "Lathrobium franzi", "Lathrobium cassagnaui", "Lathrobium semicirculatum", "Lathrobium constrictum", "Lathrobium descendens", "Lathrobium ascendens", "Lathrobium rude", "Lathrobium latibasale", "Lathrobium eques", "Lathrobium equitans", "Lathrobium abruptum", "Lathrobium kemum", "Lathrobium flexaculeatum", "Lathrobium rectaculeatum", "Lathrobium curvaculeatum", "Lathrobium hebes", "Diachasmimorpha budrysi", "Lathrobium imberbe", "Lathrobium plicatum", "Lathrobium glabrimpressum", "Lathrobium smetanai", "Lathrobium gansuense", "Lathrobium declive", "Diachasmimorpha feijeni", "Lathrobium biapicale", "Lathrobium detruncatum", "Lathrobium brevisternale", "Lathrobium effeminatum", "Lathrobium varisternale", "Tulipa aleppensis", "Lathrobium biforme", "Lathrobium lunatum", "Lathrobium falcatum", "Lathrobium minicum", "Lathrobium huaense", "Lathrobium sociabile", "Lathrobium brevitergale", "Lathrobium brevilobatum", "Lathrobium concameratum", "Thrips aspinus", "Thrips darwini", "Thrips diana", "Thrips excaeletus", "Thrips hoddlei", "Arnebia nandadeviensis", "Thrips safrus", "Graellsia saxifragaefolia", "Graellsia stylosa", "Apanteles compressifemur", "Toxicodendron orientale", "Heterospilus alboapicalis", "Heterospilus ater", "Heterospilus hemitestaceus", "Heterospilus tulyensis", "Heterospilus leptosoma", "Heterospilus cephi", "Heterospilus extasus", "Heterospilus tauricus", "Heterospilus chinensis", "Heterospilus kerzhneri", "Heterospilus alternicoloratus", "Heterospilus balicyba", "Heterospilus chui", "Heterospilus curvisulcus", "Heterospilus densistriatus", "Heterospilus fujianensis", "Heterospilus jianfengensis", "Heterospilus liui", "Heterospilus longiventrius", "Heterospilus nanlingensis", "Heterospilus prodigiosus", "Heterospilus punctatus", "Heterospilus qingliangensis", "Heterospilus semidepressus", "Heterospilus setosiscutum", "Heterospilus setosus", "Heterospilus tenuitergum", "Echeterospilus rubricinctus", "Coeloides changbaiensis", "Coeloides flavus", "Coeloides glaboventris", "Coeloides longquanus", "Lathrobium lassallei", "Lathrobium khumbuense", "Lathrobium nepalorientis", "Diachasmimorpha palleomaculata", "Lathrobium janetscheki", "Diachasmimorpha bicolor", "Lathrobium emodense", "Parendacustes sulawesi", "Parendacustes derelicta", "Parendacustes makassari", "Parendacustes supiori", "Parendacustes glandulosus", "Parendacustes forficula", "Varitrella mindoroensis", "Varitrella palawanensis", "Varitrella variabilis", "Euphorbia tortirama", "Euphorbia schinzii", "Euphorbia speciosa", "Euphorbia jubata", "Gomesa brasiliensis", "Gomesa brieniana", "Aphnaeus herbuloti", "Aphnaeus chapini ugandae", "Montanelia predisjuncta", "Aphnaeus chapini occidentalis", "Euphorbia sect.", "Gomesa blanchetii", "Euphorbia sect.", "Gomesa bohnkiana", "Euphorbia sect.", "Euphorbia sect.", "Aphnaeus ebogo", "Euphorbia sect.", "Euphorbia sect.", "Aphnaeus erikssoni", "Pentatermus austini", "Aphnaeus gilloni", "Aphnaeus gilloni gilloni", "Aphnaeus gilloni luwero", "Parendacustes chopardi", "Parendacustes dohmi", "Parendacustes kerinci", "Parendacustes khaosoki", "Parendacustes pahangi", "Aphnaeus asterius argenteola", "Aphnaeus boormani", "Aphnaeus brahami", "Sebrus amandus", "Culladiella subsinuimargo", "Culladiella sinuimargo", "Culladiella generosus", "Caffrocrambus undilineatus", "Caffrocrambus decolorellus", "Caffrocrambus decolorelloides", "Aphnaeus brahami brahami", "Aphnaeus brahami bakeri", "Aphnaeus brahami coronae", "Armstrongium pondoense", "Armstrongium viridipes", "Eremidium albaniense", "Eremidium manicaense", "Silvanidium aculeatum", "Silvanidium armstrongi", "Silvanidium peninsulare", "Lathrobium sinense", "Lathrobium heteromorphum", "Pondoidium trilineatum", "Silvanidiella amazulu", "Silvanidiella griqua", "Silvanidium margaretae", "Aphnaeus brahami ghanaensis", "Aphnaeus chapini", "Aphnaeus chapini chapini", "Antrops niger", "Antrops variegatus", "Antrops vittatus", "Antrops biflavus", "Antrops carpishensis", "Antrops coniobaptos", "Antrops guaramacalensis", "Antrops podocarpus", "Antrops siberia", "Antrops tequendama", "Antrops cochabamba", "Antrops cotopaxa", "Antrops eurus", "Antrops pecki", "Antrops versabilis", "Antrops yungas", "Antrops cochinoca", "Antrops juninensis", "Antrops mucarensis", "Antrops tumbrensis", "Antrops guandera", "Antrops tertrastichus", "Antrops unduavi", "Antrops bellavista", "Antrops coroico", "Antrops fulgiceps", "Antrops inca", "Antrops manu", "Antrops papallacta", "Antrops quadrilobus", "Antrops sierrazulensis", "Antrops yachira", "Antrops zongo", "Antrops orbitalis", "Antrops nitidicollis", "Antrops annulatus", "Antrops chaetosus", "Antrops maximus", "Antrops microphthalmus", "Antrops simplicimanus", "Antrops maculipennis", "Antrops setosus", "Antrops hirtus", "Antrops quadrinotus", "Antrops femoralis", "Antrops truncipennis", "Coloantrops daedalus", "Photoantrops echinus", "Poecilantrops baorucensis", "Poecilantrops boraceiensis", "Poecilantrops crocidosternum", "Poecilantrops dominicus", "Poecilantrops flavifemur", "Poecilantrops marensis", "Poecilantrops plaumanni", "Poecilantrops psilosternum", "Poecilantrops stellans", "Poecilantrops vittifrons", "Alyssum embergeri", "Onygena equina", "Aphnaeus jefferyi", "Acleris caledoniana", "Megachile campanulae", "Aphnaeus kiellandi", "Poeciliopsis fasciata", "Poeciliopsis turrubarensis", "Aphnaeus marci", "Aphnaeus marshalli", "Aphnaeus mashunae", "Aphnaeus neavei", "Lathrobium iunctum", "Moschops capensis", "Varitrella sororia", "Varitrella sororia sororia", "Varitrella sororia meridionalis", "Fryerius amplocellatus", "Arnebia purpurascens", "Arnebia purpurea", "Neozvenella amplocellatus", "Zvenellomorpha recta", "Ombrotrella beccalonii", "Allotrella analogica", "Nazeris brevilobatus", "Nazeris bulbosus", "Nazeris claviger", "Nazeris clavilobatus", "Nazeris conicus", "Nazeris constrictus", "Nazeris discissus", "Nazeris fibulatus", "Nazeris lamellatus", "Nazeris semifissus", "Nazeris virilis", "Ecuaneduba aequatorialis", "Montanelia disjuncta", "Leptopsis ecuadori", "Abutilon sect.", "Sirdavidia solannona", "Aculus paederius", "Tegolophus artocarpi", "Aphnaeus zanzibarensis", "Helicteropsis microsiphon", "Abutilon sect.", "Abutilon sect.", "Arnebia ugamensis", "Arnebia violascens", "Paithrips circularis", "Arnebia waziristanica", "Rindera lanata var. canescens", "Rindera lanata var. lanata", "Simulothrips banpoti", "Azaleothrips amabilis", "Azaleothrips aspersus", "Azaleothrips indonesiensis", "Azaleothrips laevigatus", "Azaleothrips lepidus", "Azaleothrips siamensis", "Azaleothrips moundi", "Azaleothrips magnus", "Poeciliopsis lutzi", "Ablemothrips maxillatus", "Ablemothrips breviceps", "Ablemothrips longiceps", "Minyaspis michi", "Acaciothrips ebneri", "Delphinium turcicum", "Euphorbia wittmannii", "Montanelia sorediata", "Hibiscus taiwanensis", "Aphnaeus questiauxi", "Aphnaeus rex", "Aphnaeus rex rex", "Aphnaeus rex gardineri", "Thitarodes yushuensis", "Aphnaeus suk", "Aphonoides medvedevi", "Aphonoides medvedevi medvedevi", "Aphonoides medvedevi alius", "Aphonoides phetchaburi", "Aphonoides changi", "Aphonoides aequatori", "Aphonoides peraki", "Aphonoides siveci", "Aphonoides kerzhneri", "Aphonoides sabahi", "Aphonoides popovi", "Aphonoides berezini", "Aphonoides sarawaki", "Aphonoides hollowayi", "Aphonoides tawai", "Aphonoides dohrni", "Aphonoides siami", "Aphonoides khaoyai", "Aphonoides gialai", "Aphnaeus hutchinsonii", "Gomesa caldensis", "Gomesa calimaniana", "Gomesa carlosregentii", "Gomesa chapadensis", "Aphnaeus jacksoni", "Aphnaeus jacksoni pinkieana", "Aphnaeus jacksoni jacksoni", "Euphorbia sect.", "Aphonoides cinereus", "Aphonoides karnyi", "Lathrobium fengyangense", "Lathrobium haoae", "Lathrobium liyangense", "Lathrobium mu", "Lathrobium songi", "Lathrobium yani", "Exomunda exsecutor", "Lathrobium yui", "Zamunda fuscirostris", "Zamunda humeralis", "Furcimunda furcilla", "Mistshenkoana kongtumensis", "Mistshenkoana nhachangi", "Mistshenkoana belokobylskiji", "Mistshenkoana anisyutkini", "Mistshenkoana anisyutkini anisyutkini", "Mistshenkoana anisyutkini longicauda", "Mistshenkoana buonluoi", "Abutilon guineense", "Bolitochara anatolica", "Bolitochara tecta", "Bolitochara niticeps", "Bolitochara tenuicollis", "Bolitochara persica", "Bolitochara recta", "Isochlora grumi", "Lemonia syriensis", "Cosmotriche monotona monotona", "Cosmotriche monotona likiangica", "Lathrobium verminatum", "Lathrobium formidabile", "Lathrobium bananum", "Lathrobium makaluicum", "Lathrobium hartmanni", "Lathrobium uttaricum", "Lathrobium sufflatum", "Lathrobium sexoculatum", "Lathrobium coreanum", "Loeflingia baetica", "Loeflingia hispanica", "Loeflingia squarrosa", "Bakeridesia chittendenii", "Aloeides argenteus", "Phthiracarus allocotos", "Protophthiracarus amboroensis", "Capissa alba", "Morganucodon watsoni", "Aloeides arida", "Aloeides bamptoni", "Aloeides nollothi", "Aloeides kaplani", "Rosa pisiformis", "Allium kastambulense", "Abutilon cryptopetalum", "Aloeides barbarae", "Hildegardia populifolia", "Hildegardia candollei", "Minyaspis faroni", "Hildegardia australiensis", "Aloeides caffrariae", "Aloeides caledoni", "Maianthemum robustum", "Maianthemum hondoense", "Maianthemum yesoense", "Dyspessacossus hadjinensis", "Paracossulus thrips", "Dyspessa salicicola salicicola", "Dyspessa salicicola aschabadensis", "Stygioides aethiops", "Aloeides damarensis", "Aloeides molomo", "Tolumnia arizajuliana", "Aloeides almeida", "Aloeides angolensis", "Neoperla adamantea", "Neoperla goguryeo", "Aloeides aranda", "Mistshenkoana bilineata", "Mistshenkoana padangi", "Mistshenkoana kisarani", "Mistshenkoana javae", "Mistshenkoana aperta", "Mistshenkoana ornata", "Mistshenkoana beybienkoi", "Mistshenkoana chopardi", "Mistshenkoana caudata", "Mistshenkoana sumbawae", "Mistshenkoana abbreviata", "Mistshenkoana nigrifrons", "Mistshenkoana gracilis", "Mistshenkoana yaeyamensis", "Mistshenkoana pangrango", "Mistshenkoana tembelingi", "Mistshenkoana hulu", "Mistshenkoana borneo", "Mistshenkoana proxima", "Mistshenkoana discreta", "Pseudocerastes urarachnoides", "Mistshenkoana propria", "Mistshenkoana cicur", "Mistshenkoana reticulata", "Clypeothrips idrisi", "Neocorynothrips asiaticus", "Okajimaella tubercula", "Arnebia rechingeri", "Arnebia sewerzowii", "Arnebia simulatrix", "Arnebia speciosa", "Arnebia stenocalyx", "Arnebia szechenyi", "Okajimaella clara", "Arnebia tinctoria", "Arnebia transcaspica", "Arnebia tschimaganica", "Abutilon sect.", "Ankyropetalum reuteri", "Ankyropetalum gypsophiloides", "Ankyropetalum arsusianum", "Lathrobium appendiculatum", "Lathrobium aspinosum", "Lathrobium barbiventre", "Lathrobium bibaculatum", "Lathrobium bihastatum", "Lathrobium bispinigerum", "Lathrobium celere", "Lathrobium cornigerum", "Lathrobium depravatum", "Lathrobium fortepunctatum", "Lathrobium imminutum", "Lathrobium jinfoicum", "Lathrobium parvitergale", "Lathrobium pium", "Lathrobium ventricosum", "Lathrobium wuyicum", "Lathrobium diffissum", "Lathrobium hamulatum", "Lathrobium bivirgatum", "Lathrobium bisuditum", "Pterocymbium tinctorium", "Pterocymbium tinctorium var. tinctorium", "Pterocymbium tinctorium var. javanicum", "Pterocymbium tinctorium var. glabrifolium", "Nayariophyton zizyphifolium", "Trigonopterus amphoralis", "Anthemis cuneata", "Swertia longifolia", "Hibiscus sect.", "Gentianella umbellata", "Gentianella umbellata subsp. longicarpa", "Gentianella umbellata subsp. umbellata", "Gentianella holosteoides", "Centaurium subspicatum", "Centaurium tenuiflorum", "Centaurium tenuiflorum subsp. acutiflorum", "Hibiscus rainerianus", "Centaurium tenuiflorum subsp. viridense", "Arhopala centaurus cuyoensis", "Arhopala centaurus decimarie", "Arhopala centaurus dinacola", "Arhopala centaurus dixoni", "Hibiscus sect.", "Arhopala centaurus nakula", "Pavonia sect.", "Arhopala centaurus pirama", "Arhopala centaurus pirithous", "Arhopala eupolis", "Conanthera parvula", "Diatrypa tuberculata", "Diatrypa decora", "Diatrypa decora decora", "Diatrypa decora morona", "Diatrypa decora izyaslavi", "Diatrypa signata", "Diatrypa diluta", "Diatrypa atrata", "Diatrypa maculata", "Diatrypa striata", "Diatrypa lineata", "Diatrypa punctata", "Diatrypa volodymyri", "Diatrypa variegata", "Itara tioman", "Itara kinabalu", "Caladenia filamentosa", "Paraphidnia tarsalis", "Paraphidnia fasciata", "Paraphidnia osae", "Paraphidnia osae osae", "Paraphidnia osae orientalis", "Paraphidnia mexicana", "Paraphidnia peruana", "Paraphidnia svetlanae", "Paraphidnia bezverkhovi", "Paraphidnia polestshuki", "Paraphidnia gracielae", "Centaurium tenuiflorum subsp. tenuiflorum", "Hibiscus sect.", "Cicendia filiformis", "Cicendia quadrangularis", "Cicendia stricta", "Hibiscus sect.", "Ranunculus vermirrhizus", "Ranunculus bingoeldaghensis", "Ranunculus crateris", "Elymnias hypermnestra kangeana", "Elymnias detanii", "Lethe europa europa", "Lethe europa kayan", "Mycalesis ita", "Mycalesis ita ita", "Mycalesis ita maitim", "Hibiscus sect.", "Hibiscus clypeatus", "Mycalesis ita imeldae", "Mycalesis ita sinonia", "Hibiscus clypeatus subsp. clypeatus", "Hibiscus clypeatus subsp. membranaceus", "Mycalesis felderi", "Lathrobium coniunctum", "Lathrobium conexum", "Lathrobium ensigerum", "Lathrobium hastatum", "Lathrobium bisinuatum", "Lathrobium abscisum", "Lathrobium acre", "Lathrobium acutapicale", "Lathrobium amputatum", "Lathrobium bidigitulatum", "Lathrobium bifasciatum", "Lathrobium bihamulatum", "Lathrobium biseriatum", "Lathrobium breviseriatum", "Lathrobium curvatissimum", "Lathrobium desectum", "Lathrobium elevatum", "Lathrobium exspoliatum", "Lathrobium fortehamatum", "Lathrobium fortespinosum", "Lathrobium glandulosum", "Lathrobium grandispinosum", "Lathrobium hirsutum", "Lathrobium iaculatum", "Lathrobium incurvatum", "Lathrobium magnispinosum", "Lathrobium nuicum", "Lathrobium puetzi", "Lathrobium rastellatum", "Lathrobium rastratum", "Lathrobium rectissimum", "Lathrobium resectum", "Lathrobium restinctum", "Lathrobium reticolle", "Lathrobium schuelkei", "Lathrobium secans", "Lathrobium sectum", "Lathrobium seriespinosum", "Lathrobium sexspinosum", "Lathrobium squamosum", "Lathrobium stipiferum", "Lathrobium tentaculatum", "Lathrobium tricuspidatum", "Lathrobium triquetrum", "Lathrobium zhemoicum", "Iliamna bakeri", "Tilia sect.", "Tilia sect.", "Lucanus jibii", "Digonophorus apatani", "Prismognathus mekolaorum", "Digonophorus chucheni", "Digonophorus motuoensis", "Digonophorus wemckeni", "Tilia dasystyla subsp. dasystyla", "Poeciliopsis gracilis", "Larinodontes freidbergi", "Quiina paraensis", "Tilia chinensis var. chinensis", "Tilia chinensis var. intonsa", "Quiina blackii", "Quiina integrifolia", "Tilia chinensis var. investita", "Quiina duckei", "Tilia nobilis", "Euops hefengensis", "Aloeides carolynnae", "Aloeides clarki", "Diuris longifolia", "Aloeides conradsi", "Tilia henryana var. henryana", "Tilia henryana var. subglabra", "Tilia sect.", "Aloeides conradsi conradsi", "Aloeides conradsi angoniensis", "Tilia sect.", "Diuris laxiflora", "Aloeides conradsi jacksoni", "Aloeides conradsi talboti", "Agrilus acrobelis", "Paraphidnia quirozi", "Paraphidnia silvai", "Paraphidnia hernandezi", "Paraphidnia rubricorpus", "Paraphidnia rhinoceros", "Stilicoderus wrasei", "Itara matangi", "Paroecanthus mexicanus", "Paroecanthus aztecus", "Paroecanthus aztecus aztecus", "Aloeides barklyi", "Paroecanthus aztecus tuxtla", "Paroecanthus aztecus ocosingo", "Paroecanthus aztecus verapaz", "Paroecanthus oaxaca", "Paroecanthus simplex", "Paroecanthus simplex simplex", "Paroecanthus simplex chamela", "Paroecanthus varius", "Paroecanthus minor", "Paroecanthus jalisco", "Paroecanthus selva", "Hildegardia migeodii", "Aloeides taikosama", "Tilia kueichouensis", "Aloeides damarensis mashona", "Tilia dasystyla subsp. multiflora", "Quiina congesta", "Aloeides dentatis", "Aloeides dentatis dentatis", "Aloeides dentatis maseruna", "Tilia platyphyllos subsp. cordifolia", "Aloeides depicta", "Aloeides apicalis", "Ammodesmus congoensis", "Temnothorax brevidentis", "Temnothorax mpala", "Temnothorax rufus", "Temnothorax solidinodus", "Apatophysis afghanica", "Apatophysis plavilstshikovi", "Mycalesis felderi felderi", "Mycalesis mineus mineus", "Mycalesis mineus toshikoae", "Mycalesis anaxias", "Mycalesis anaxias anaxias", "Mycalesis kashiwaii", "Mycalesis kashiwaii kashiwaii", "Mycalesis kashiwaii pula", "Mycalesis georgi", "Mycalesis georgi georgi", "Mycalesis georgi canlaon", "Mycalesis georgi ilocano", "Mycalesis bisaya", "Mycalesis bisaya bisaya", "Mycalesis bisaya samina", "Mycalesis bisaya baboy", "Cercis siliquastrum subsp. hebecarpa", "Cercis siliquastrum subsp. siliquastrum", "Mycalesis igoleta", "Mycalesis igoleta igoleta", "Mycalesis igoleta mangyan", "Mycalesis igoleta negrosensis", "Mycalesis frederici", "Lotus malatayicus", "Sphaerophysa kotschyana", "Mycalesis gotama gotama", "Mycalesis gotama charaka", "Mycalesis gotama nanda", "Arhopala centaurus aglais", "Arhopala centaurus babuyana", "Arhopala centaurus centenitus", "Arhopala centaurus coruscans", "Mimapatophysis gressitti", "Mimapatophysis solodovnikovi", "Tilia americana var. neglecta", "Tilia \u00d7 juranyiana", "Strophophysis laosensis", "Poeciliopsis hnilickai", "Agastophysis griseopubens", "Tilia \u00d7 virescens", "Agastophysis meiyingae", "Poeciliopsis occidentalis", "Stilicoderus shan", "Stilicoderus baliensis", "Stilicoderus signatus", "Stilicoderus kambaitiensis", "Stilicoderus lomholdti", "Genavius aelleni", "Cotasteroloeblia indica", "Cotasteroloeblia nepalensis", "Cotasteroloeblia smetanai", "Agitonischius curvirostris", "Camptoscapus planiusculus", "Elvasia sphaerocarpa", "Cyphon mobula", "Cyphon mobuloides", "Cyphon reductus", "Nanocyphon australicus", "Nanocyphon riedeli", "Nanocyphon papuanus", "Nanocyphon intricatus", "Nanocyphon pumilus", "Nanocyphon tardus", "Cyphon alexriedeli", "Cyphon gladifer", "Cyphon pugionifer", "Cyphon curvispina", "Cyphon longelobatus", "Papuacyphon felix", "Papuacyphon klausnitzeri", "Papuacyphon minax", "Papuacyphon globulus", "Papuacyphon mordax", "Papuacyphon erectus", "Papuacyphon horribilis", "Papuacyphon lazarus", "Minyaspis granti", "Anthene ochreofascia", "Arhopala eupolis eupolis", "Arhopala eupolis asopus", "Tilia sabetii", "Tilia stellatopilosa", "Sicalis mendozae", "Quiina magallano-gomesii", "Lycaste virginalis", "Juramaia sinensis", "Adonis cyllenea var. paryadrica", "Adonis cyllenea var. cyllenea", "Adonis aestivalis subsp. aestivalis", "Adonis aestivalis subsp. parviflora", "Adonis aestivalis subsp. provincialis", "Adonis aestivalis subsp. squarrosa", "Adonis aestivalis subsp. marginata", "Diabrotica barclayi", "Diabrotica caveyi", "Diabrotica costaricensis", "Diabrotica dmitryogloblini", "Diabrotica duckworthorum", "Diabrotica hartjei", "Diabrotica josephbalyi", "Diabrotica lawrencei", "Diabrotica mantillerii", "Diabrotica martinjacobyi", "Diabrotica mitteri", "Diabrotica perkinsi", "Diabrotica redfordae", "Diabrotica reysmithi", "Diabrotica salvadorensis", "Diabrotica sel", "Diabrotica spangleri", "Diabrotica waltersi", "Diabrotica wartensis", "Ilex ternatiflora", "Diabrotica alegrensis", "Diabrotica amoena", "Quiina brevensis", "Stilicoderus discalis", "Stilicoderus variolosus", "Stilicoderus trapezeiceps", "Stilicoderus minor", "Stilicoderus exiguitas", "Stilicoderus japonicus", "Stilicoderus granulifrons", "Sicalis luteola", "Stiliderus depressus", "Stiliderus cottoni", "Stiliderus kakimerah", "Stiliderus kakihitam", "Stiliderus yangbesar", "Stiliderus conicollis", "Stiliderus opacus", "Stiliderus schoedli", "Stiliderus cardamomensis", "Stiliderus yikor", "Stiliderus yunnanensis", "Stiliderus longicollis", "Stiliderus crassus", "Stiliderus smetanai", "Stiliderus occidentalis", "Stiliderus expectatus", "Stiliderus celebensis", "Oxya trimaculata", "Oxya zhengi", "Tilia tuan", "Tilia tuan var. tuan", "Tilia tuan var. chenmoui", "Tilia tuan var. chinensis", "Tilia chingiana", "Aloeides damarensis damarensis", "Tilia likiangensis", "Luridocimex wygodzinskyi", "Agrilus bunsu", "Agrilus cechovskyi", "Agrilus curiosus", "Agrilus garo", "Agrilus iban", "Agrilus jakli", "Agrilus kuchingi", "Agrilus lembik", "Guineobius niger", "Agrilus meratus", "Agrilus orangulu", "Agrilus serratus", "Agrilus strbai", "Agrilus upsilon", "Agrilus vir", "Agrilus xiphos", "Rhinusa pelletieri", "Rhinusa ensifer", "Stilicoderus schuelkei", "Rhinusa weilli", "Stilicoderus denticulatus", "Stilicoderus angulatus", "Stilicoderus tuberculosus", "Stilicoderus barbulatus", "Stilicoderus psittacus", "Stilicoderus aquilinus", "Stilicoderus caprarius", "Stilicoderus acutissimus", "Stilicoderus formosanus", "Stilicoderus gondaicus", "Stilicoderus kaiensis", "Stilicoderus feae", "Stilicoderus fenestratus", "Guineobius deharvengei", "Guineobius viduus", "Guineobius baliemensis", "Guineobius minutus", "Guineobius depressus", "Aloeides egerides", "Aloeides gowani", "Dasypolia irene", "Dasypolia rasa", "Dasypolia ruficilia", "Dasypolia vignai", "Tilia concinna", "Aloeides griseus", "Apterotoxitiades vivesi", "Apterotoxitiades aspinosus", "Pseudancistrus kayabi", "Pseudancistrus asurini", "Pseudancistrus sidereus", "Peckoltia bachi", "Peckoltia braueri", "Peckoltia brevis", "Peckoltia cavatica", "Peckoltia furcata", "Peckoltia multispinis", "Tilia amurensis subsp. amurensis", "Tilia cordata subsp. sibirica", "Nola abyssinica", "Nola afroalpina", "Tilia cordata subsp. cordata", "Tilia jiaodongensis", "Tilia callidonta", "Dasypolia yeti", "Dasypolia miche", "Dasypolia migoi", "Dasypolia mirka", "Dasypolia sigute", "Dasypolia confusa", "Tilia \u00d7 jakabiana", "Tilia \u00d7 praelustris", "Euphyllia paraancora", "Euphyllia paraglabrescens", "Euphyllia paradivisa", "Phalonidia synucha", "Phalonidia hapalobursa", "Thysanphalonia cirrhites", "Lasiothyris cinigmula", "Peckoltia oligospila", "Peckoltia vermiculata", "Peckoltia vittata", "Pseudancistrus reus", "Microlepidogaster discontenta", "Xenochodaeus americanus", "Lycaste angelae", "Lycaste bradeorum", "Lycaste brevispatha", "Lycaste bruncana", "Ophrys aramaeorum", "Aloeides dicksoni", "Aloeides dryas", "Nola afrotaeniata", "Nola aarviki", "Nola angensteini", "Tilia endochrysea", "Aloeides margaretae", "Aloeides mbuluensis", "Aloeides merces", "Tilia platyphyllos subsp. corinthiaca", "Tilia \u00d7 noziricola", "Aloeides molomo molomo", "Poeciliopsis latidens", "Mielkeana angysocia", "Mimeugnosta enopla", "Mimeugnosta arta", "Phtheochroa piptmachaeria", "Phtheochroa veirsi", "Mourecochylis limenarchis", "Lincicochylis argentifusa", "Mourecochylis affecta", "Mimeugnosta particeps", "Mimeugnosta chascax", "Cnephasia tofina", "Endothenia kiyosatoensis", "Aloeides henningi", "Nolidia chalybdea", "Nolidia heteroxantha", "Euplexidia zolotuhini", "Diphterocome xichangae", "Diphterocome nanlingi", "Diphterocome peregovitsi", "Diphterocome ligula", "Amphipyra acornuta", "Montanelia tominii", "Catocala pudica", "Catocala pudica pudica", "Catocala pudica sabine", "Lygephila aphroditae", "Estagrotis romani", "Estagrotis tibori", "Chinagrotis tibori", "Chinagrotis cinnamona", "Teulisna unicornuta", "Anopina yolox", "Tilia hyrcana", "Aloeides juana", "Anopina albomaculana", "Anopina apicalis", "Anopina asuturana", "Anopina bicolor", "Anopina bifurcatana", "Anopina bloomfieldana", "Poeciliopsis infans", "Tilia \u00d7 subflavescens", "Aloeides lutescens", "Tilia \u00d7 budensis", "Anopina confusa", "Aloeides macmasteri", "Anopina eleonora", "Anopina guerrerana", "Anopina silvertonana", "Anopina anotera", "Anopina asaphes", "Anopina desmatana", "Anopina hilasma", "Anopina incana", "Anopina parasema", "Anopina praecisana", "Anopina scintillans", "Anopina undata", "Anopina arizonana", "Anopina albominima", "Anopina ednana", "Anopina triangulana", "Anopina psaeroptera", "Quiina gentryi", "Aloeides maluti", "Craigia yunnanensis", "Craigia kwangsiensis", "Epinotia bushiensis", "Cydia japonensis", "Cydia johanssoni", "Phalonidia parvana", "Meridarchis jumboa", "Meridarchis wufengensis", "Aloeides molomo coalescens", "Aloeides molomo handmani", "Aloeides molomo krooni", "Periacma qujingensis", "Aloeides molomo mumbuensis", "Periacma absaccula", "Aloeides molomo kiellandi", "Aloeides monticola", "Lacunaria crenata subsp. decastyla", "Dvinia prima", "Quiina jamaicensis", "Procynosuchus delaharpeae", "Procynosuchus rubidgei", "Galesaurus planiceps", "Fraxinus anomala var. anomala", "Fraxinus anomala var. triphylla", "Thrinaxodon liorhinus", "Cynosaurus suppostus", "Progalesaurus lootsbergensis", "Platycraniellus elegans", "Nanictosaurus kitchingi", "Lacunaria crenata subsp. crenata", "Ophrys umbilicata subsp. bucephala", "Ophrys umbilicata subsp. calycadniensis", "Ophrys umbilicata subsp. flavomarginata", "Ophrys umbilicata subsp. lapethica", "Ophrys umbilicata subsp. latakiana", "Ophrys umbilicata subsp. umbilicata", "Aloeides mullini", "Aloeides namibiensis", "Serapias bergonii", "Serapias politisii", "Serapias \u00d7 halacsyana", "Meliplebeia gambiana", "Periacma novella", "Periacma sacculidens", "Periacma tridentata", "Periacma acriuncata", "Periacma equivalvata", "Charassognathus gracilis", "Macroscelesia longipes longipes", "Macroscelesia longipes yamatoensis", "Macroscelesia aritai", "Chamaesphecia tahira", "Euconnus caborojoi", "Euconnus lasabejanus", "Euconnus aceitillari", "Euconnus abejanus", "Euconnus lanceolatus", "Euconnus pseudotestaceus", "Euconnus allotestaceus", "Euconnus paratestaceus", "Euconnus caborojoanus", "Serapias \u00d7 cypria", "Serapias \u00d7 demadesii", "Serapias \u00d7 euxina", "Serapias \u00d7 fallax", "Teinotarsina flavicincta", "Teinotarsina longitarsa", "Melittia formosana", "Macroscelesia formosana", "Scasiba taikanensis", "Cyanosesia formosana", "Quiina parvifolia", "Quiina sessilis", "Juniperus communis var. hemisphaerica", "Serapias perez-chiscanoi", "Salpornis salvadori", "Epipactis condensata", "Priapichthys annectens", "Priapichthys caliensis", "Priapichthys chocoensis", "Priapichthys darienensis", "Priapichthys nigroventralis", "Anopina glossana", "Sundatrigona lieftincki", "Anopina gnathodentana", "Anopina griseana", "Anopina guatemalana", "Anopina hermana", "Anopina impotana", "Anopina internacionana", "Anopina iturbidensis", "Anopina macartyana", "Anopina macrospinana", "Anopina manantlana", "Anopina meredithi", "Anopina metlec", "Anopina minas", "Anopina perplexa", "Anopina pinana", "Ophrys umbilicata", "Anopina phaeopina", "Anopina potosiensis", "Tilia \u00d7 cinerascens", "Anopina pseudominas", "Anopina pseudotilia", "Anopina quadritiliana", "Anopina revolcaderos", "Anopina rusiasana", "Anopina sacculapinana", "Anopina salvadorana", "Anopina soltera", "Anopina transtiliana", "Ophrys umbilicata subsp. beerii", "Anopina unicana", "Anopina volcana", "Anopina wellingi", "Anopina wrighti", "Anopina yecorana", "Periacma sinica", "Periacma acutignatha", "Irepacma conioxantha", "Irepacma hainanensis", "Irepacma grandis", "Irepacma furuimacularis", "Irepacma pallidia", "Aloeides penningtoni", "Aloeides nubilus", "Epiracma dilatata", "Poeciliopsis paucimaculata", "Poeciliopsis retropinna", "Poeciliopsis santaelena", "Poeciliopsis scarlli", "Poeciliopsis sonoriensis", "Aloeides pierus", "Chamanthedon suisharyonis", "Euconnus pedernalesi", "Aloeides plowesi", "Aloeides oreas", "Aloeides quickelbergei", "Aloeides rossouwi", "Aloeides simplex", "Aloeides stevensoni", "Cystopteris fragilis var. fragilis", "Aloeides susanae", "Aloeides swanepoeli", "Aloeides tearei", "Aloeides titei", "Aloeides vansoni", "Aloeides trimeni", "Aloeides trimeni trimeni", "Aloeides trimeni southeyae", "Lacunaria jenmanii subsp. jenmanii", "Lacunaria jenmanii subsp. subsessilis", "Cystopteris fragilis var. huteri", "Thelymitra adorata", "Serapias frankavillae", "Serapias maria", "Serapias neglecta", "Serapias neglecta subsp. apulica", "Serapias neglecta subsp. neglecta", "Serapias olbia", "Serapias orientalis", "Serapias orientalis subsp. levantina", "Quiina leptoclada", "Serapias orientalis subsp. siciliensis", "Serapias orientalis subsp. orientalis", "Serapias parviflora", "Serapias cordigera subsp. azorica", "Serapias cordigera subsp. cordigera", "Serapias cordigera subsp. cretica", "Serapias cordigera subsp. cossyrensis", "Serapias \u00d7 alberti", "Serapias \u00d7 ambigua", "Serapias \u00d7 broeckii", "Synanthedon geranii", "Euconnus paenevisus", "Euconnus almandoensis", "Euconnus constanzanus", "Euconnus allosetosipennis", "Euconnus philipsi", "Euconnus michaeli", "Euconnus puertoricoanus", "Euconnus johnensis", "Euconnus dominicae", "Euconnus puertoricoensis", "Euconnus gundlachianus", "Euconnus soledadensis", "Euconnus cubanus", "Euconnus cubaicola", "Euconnus cienfuegosi", "Sphecosesia bruneiensis", "Cyanosesia borneensis", "Synanthedon pamphyla", "Nepalorhynchus lucidus", "Cataclysme subtilisparsata", "Sphecosesia aterea", "Sphecosesia melanostoma", "Sphecosesia rhodites", "Cystopteris fragilis var. diaphana", "Myxopyrum smilacifolium", "Myxopyrum smilacifolium subsp. smilacifolium", "Myxopyrum smilacifolium subsp. confertum", "Anemia caffrorum", "Stenopsyche egyenes", "Syringa \u00d7 pringleiana", "Stenopsyche ivalak", "Dolophilodes karmos", "Dolophilodes orias", "Epipactis veratrifolia", "Epipactis \u00d7 soguksuensis", "Kisaura darda", "Tinodes bunkos", "Diplectrona aligmada", "Hydromanicus hullamos", "Axiocerses amanga baumi", "Acridotheres javanicus", "Axiocerses amanga borealis", "Thymelaea sect.", "Thymelaea sect.", "Thymelaea velutina", "Thymelaea sect.", "Thymelaea sect.", "Thymelaea villosa", "Sinningia bullata", "Epipremnum dahlii", "Axiocerses maureli", "Axiocerses punicea", "Axiocerses punicea punicea", "Axiocerses punicea cruenta", "Plesiobasis multiguttata", "Anthene kikuyu kikuyu", "Anthene kikuyu separata", "Mythimna aurotrigoni", "Mythimna khasiensis", "Mythimna suavina", "Mythimna cameroni", "Mythimna chiangmai", "Calonectris borealis", "Styphelia triflora", "Axiocerses amanga", "Styphelia tubiflora", "Sturnia blythii", "Plesiobasis brunneovarius", "Harutaeographa bidui", "Tyloceridius dorsatus", "Priapichthys panamensis", "Priapichthys puetzi", "Pachyprotasis coximaculata", "Pachyprotasis coxipunctata", "Pachyprotasis hengsahni", "Pachyprotasis maculoscutellata", "Pachyprotasis pailongensis", "Pachyprotasis qilianica", "Anemia abbottii", "Naarda cingulata", "Naarda bicolora", "Naarda calligrapha", "Naarda capreola", "Naarda felinopsis", "Naarda furcipalpa", "Naarda gigaloba", "Naarda hallasana", "Naarda imitata", "Naarda leptosigna", "Naarda nigrissima", "Naarda numismata", "Naarda uthanti", "Epipremnum giganteum", "Dicrossus foirni", "Dicrossus warzeli", "Certhia hodgsoni", "Certhia manipurensis", "Pseudopoecilia austrocolumbiana", "Pseudopoecilia festae", "Pseudopoecilia fria", "Diplectrona hasada", "Diplectrona kismada", "Diplectrona mada", "Diplectrona romada", "Diplectrona sotet", "Diplectrona tamdaophila", "Harutaeographa bidui bidui", "Harutaeographa bidui kaghanensis", "Harutaeographa bicolorata", "Harutaeographa brahma", "Harutaeographa elphinia", "Harutaeographa ganeshi", "Harutaeographa izabella", "Harutaeographa maria", "Harutaeographa marpha", "Harutaeographa pinkisherpani", "Harutaeographa rama", "Harutaeographa saba", "Harutaeographa brumosa", "Axiocerses amanga amanga", "Chaenostoma cordatum", "Cigaritis allardi occidentalis", "Cigaritis allardi meridionalis", "Alyssum strigosum subsp. cedrorum", "Alyssum strigosum subsp. strigosum", "Noccaea sintenisii", "Tracheloschizus bicolor", "Tracheloschizus laysi", "Lemyra stigmata stigmata", "Sinningia \u00d7 cerina", "Sinningia \u00d7 gesnerioides", "Sinningia \u00d7 ornata", "Sinningia \u00d7 pronopes", "Sinningia \u00d7 pumila", "Sinningia \u00d7 rosea", "Sinningia \u00d7 vacariensis", "Sinningia \u00d7 youngeana", "Rhombodera basalis", "Aletia obscura", "Aletia rudis", "Sinningia eumorpha", "Sinningia macropoda", "Sinningia concinna", "Mythimna ensata", "Mythimna anthracoscelis", "Thlaspi huetii", "Electracma minyops", "Cigaritis allardi", "Juxtarctia lizae", "Platystomos wallacei", "Lemyra anormala anormala", "Lemyra flammeola flammeola", "Lemyra flavalis flavalis", "Lemyra hyalina hyalina", "Lemyra inaequalis inaequalis", "Lemyra jankowskii jankowskii", "Lemyra jiangxiensis jiangxiensis", "Orectanthe sceptrum", "Lemyra melli melli", "Orectanthe ptaritepuiana", "Abolboda pulchella", "Cigaritis allardi allardi", "Fansipangana vernalis", "Rhyacophila vernestril", "Rhyacophila paratecta", "Rhyacophila immaculata", "Rhyacophila esorima", "Rhyacophila okuihana", "Rhyacophila incudis", "Himalopsyche sylvicola", "Glossosoma ali", "Agapetus rupestris", "Agapetus eriopus", "Agapetus gonophorus", "Agapetus cannensis", "Agapetus christineae", "Agapetus dundungra", "Agapetus mittamitta", "Agapetus mossmanensis", "Agapetus muelleri", "Agapetus neboissi", "Agapetus paluma", "Agapetus paracralus", "Agapetus sheldoni", "Agapetus stclairae", "Agapetus tubrabucca", "Agapetus zwicki", "Scelotrichia nana", "Scelotrichia cavernosa", "Stactobia regularis", "Wormaldia sinocornuta", "Wormaldia longicornuta", "Kisaura filiformis", "Kisaura longaria", "Doloclanes meosorum", "Plectrocnemia acanthos", "Plectrocnemia appensata", "Plectrocnemia cryphalis", "Plectrocnemia munitalis", "Plectrocnemia sinyajevi", "Lype vietnamella", "Parapsyche angularia", "Hydropsyche napaea", "Hydromanicus tabernaemontanus", "Hydromanicus fallax", "Hydromanicus punctosalis", "Cheumatopsyche anthracias", "Cheumatopsyche fansipangensis", "Certhidea fusca", "Hydromanicus paros", "Carex pseudocyperus", "Neptis aurivillii", "Neptis aurivillii aurivillii", "Neptis aurivillii ufipa", "Dyssodia decipiens", "Neptis carlsbergi", "Neptis claude", "Neptis cormilloti", "Laemocharis ignicolor", "Laemocharis vulnerata", "Epipremnum meeboldii", "Epipremnum moluccanum", "Epipremnum moszkowskii", "Epipremnum nobile", "Pyrgus serratulae albertianus", "Epipremnum obtusum", "Oeneis tarpeja rozhdestvenskyi", "Epipremnum papuanum", "Epipremnum silvaticum", "Nemacerota speideli", "Nemacerota speideli speideli", "Nemacerota speideli severa", "Dasypolia fibigeri", "Rhinella proboscidea", "Ardisia subg.", "Melanelixia californica", "Emydura macquarii", "Cigaritis maxima", "Ochna dolicharthros", "Lloviu cuevavirus", "Gustavia sect.", "Gustavia hexapetala", "Gustavia sect.", "Drymonia subg.", "Dasypolia rufatrox", "Dasypolia sherpa", "Dasypolia ursina", "Dasypolia conistroides", "Dasypolia delineata", "Duranta mutisii", "Dasypolia picurka", "Chalcoecia colleti", "Vitessa segereri", "Callidrepana heinzhuebneri", "Archostola tianmushana", "Platypus abnormis", "Platypus anoplus", "Platypus apertulus", "Platypus apicatulus", "Platypus concavifrons", "Platypus circulariceps", "Platypus crassicornis", "Platypus deperditus", "Platypus dolus", "Neptis agouale", "Neptis agouale agouale", "Neptis agouale parallela", "Funastrum clausum/fr", "Lampropygia madegassalis", "Lampropygia fotakalis", "Goateria adelinae", "Goateria bourgoinalis", "Goateria ambralis", "Kallstroemia rosei", "Microporella lunifera", "Ornithogalum demirizianum", "Pilosella ilgazensis", "Scorzonera boissieri", "Tanacetum erzincanense", "Allium efeae", "Pseudomiltemia filisepala", "Solanum rugosum", "Spilarctia mindanao", "Spilarctia cervina", "Spilarctia cervina cervina", "Spilarctia cervina pseudoamilada", "Spilarctia melanopsis", "Spilarctia griseabrunnea", "Spilarctia rubescens", "Spilarctia rubescens rubescens", "Spilarctia rubescens sanggula", "Spilarctia mollis", "Spilarctia palawana", "Spilarctia philippinica", "Spilarctia philippinica philippinica", "Spilarctia philippinica negrosica", "Spilarctia gurkoi", "Spilarctia strigatula strigatula", "Spilarctia strigatula bali", "Spilarctia continentalis", "Spilarctia sumatrana", "Hypocrita phanoptoides", "Poecilocampa deqina", "Cordus armaticeps", "Epipremnum carolinense", "Tillandsia subg.", "Tillandsia complanata", "Lomalatachelys nuequina", "Prochelidella argentinae", "Prochelidella portezuelae", "Prochelidella cerrobarcinae", "Zitha angustifascia", "Linderochelys rinconensis", "Tegulifera angustifascia", "Zitha ankafinalis", "Zitha oecophoralis", "Zitha tortricoidalis", "Zitha noctualis", "Paractenia marionalis", "Myrmechis japonica", "Ardisia subg.", "Ardisia sect.", "Dasypolia altissima", "Dasypolia mazandarana", "Dasypolia rivandana", "Dasypolia marijana", "Dasypolia marijana marijana", "Dasypolia marijana almatinka", "Dasypolia akbar", "Dasypolia maria", "Dasypolia bicolor", "Dasypolia owadai", "Dasypolia khangari", "Cigaritis allardi estherae", "Solenophora calycosa", "Baiocis annularis", "Solanum sect.", "Bonapartemys bajobarrealis", "Elseya schultzei", "Tibouchina sect.", "Tibouchina mollis", "Zitha seyrigalis", "Discordia seyrigalis", "Zitha moramangalis", "Herculia moramangalis", "Discordia sakarahalis", "Zitha sakarahalis", "Zitha flavirubralis", "Pyralis flavirubralis", "Zitha ouvrardi", "Zitha andoboalis", "Zitha gracilalis", "Octolasmis alata", "Heliconia subg.", "Heliconia chartacea", "Heliconia chartacea var. chartacea", "Heliconia chartacea var. meeana", "Heliconia subg.", "Marburg marburgvirus", "Priscansermarinus barnetti", "Paleoleishmania neotropicum", "Paleoleishmania proterus", "Chiniquodon theotonicus", "Acanthochelys spixii", "Elusor macrurus", "Zitha pyraustalis", "Zitha ankasokalis", "Sindris catalalis", "Episindris albimaculalis", "Episindris boisduvalalis", "Sindris boisduvalalis", "Episindris minutalis", "Sindris minutalis", "Haplosindris gabonensis", "Cassouodes camptoceralis", "Tegulifera camptoceralis", "Lantzina prasinalis", "Sacada prasinalis", "Lantzina hodeberti", "Lantzina rufalis", "Sacada paulianalis", "Marionana paulianalis", "Cigaritis epargyros", "Barbutodes albizziae", "Mediodactylus walli", "Lagerstroemia floribunda var. floribunda", "Lagerstroemia floribunda var. brevifolia", "Lagerstroemia floribunda var. subecostata", "Lagerstroemia floribunda var. sublaevis", "Zitha zombitsalis", "Tegulifera zombitsalis", "Zitha millotalis", "Tegulifera millotalis", "Zitha lignosalis", "Tegulifera lignosalis", "Tegulifera pernalis", "Trypanosoma antiquus", "Synaphe bradleyalis", "Paredra bradleyalis", "Lagerstroemia sect.", "Lagerstroemia sect.", "Lagerstroemia sect.", "Myrmechis gracilis", "Lagerstroemia sect.", "Azolla primaeva", "Myrmechis bakhimensis", "Myrmechis bilobulifera", "Cigaritis epargyros epargyros", "Cigaritis epargyros marginalis", "Cigaritis epargyros transcaspica", "Emydura macquarii macquarii", "Emydura macquarii krefftii", "Philolema latrodecti", "Euplectrus alejandrovalerioi", "Euplectrus alexsmithi", "Euplectrus alvarowillei", "Archoxynaspis eocenica", "Myrmechis chalmersii", "Equisetum thermale", "Myrmechis chinensis", "Myrmechis drymoglossifolia", "Myrmechis glabra", "Osmunda wehrii", "Myrmechis kinabaluensis", "Myrmechis philippinensis", "Myrmechis pumila", "Ginkgo cranei", "Calocedrus huashanensis", "Eterozemus papuanus", "Palaeophrynops patagonicus", "Emydura tanybaraga", "Emydura victoriae", "Hypotia australis", "Lorymodes australis", "Mesosindris paulianalis", "Syngamia glebosalis", "Hypsiglena jani", "Polygonus leo", "Amerila saucia", "Scleraspis connectens", "Ouratea fasciculata", "Stereodermus castigatus", "Stereodermus confragosus", "Stereodermus constans", "Stereodermus angularis", "Stereodermus bartolozzii", "Stereodermus pseudocongruens", "Emydura macquarii emmotti", "Emydura macquarii nigra", "Chelodina mccordi timorensis", "Glyphodes obscura", "Chelus colombianus", "Chelus lewisi", "Acanthochelys macrocephala", "Lyperanthus serratus", "Lyperanthus suaveolens", "Nacaduba dyopa dyopa", "Sporophila pileata", "Nacaduba dyopa lepidus", "Legazpia polygonoides", "Maianthemum trifolium", "Ouratea mazaruniensis", "Paractenia ankasokalis", "Zitha maesalis", "Zitha panemerialis", "Zitha geometralis", "Zitha bombycalis", "Paredra ambinanitalis", "Zitha whalleyalis", "Paredra whalleyalis", "Zitha sogalis", "Paredra sogalis", "Leucinocrambus malgassellus", "Leucinocrambus actalellus", "Macalla madegassalis", "Perula occidentalis", "Nhoabe privatalis", "Scalpellopsis striatociliata", "Palpita paulianalis", "Marionana vinolentalis", "Teliphasa andrianalis", "Rana neba", "Mesapia peloria minima", "Mesapia peloria wymanni", "Turdus abyssinicus", "Turdus atrogularis", "Peliosanthes teta", "Peliosanthes teta subsp. teta", "Peliosanthes teta subsp. humilis", "Euphyciodes albotessulalis", "Euphyciodes albotessulalis comoralis", "Chalcidoptera albo-tessulalis", "Euphyciodes griveaudalis", "Syllepte lanatalis", "Syllepte kenrickalis", "Trigonuncus syntomidalis", "Dicepolia munroealis", "Noorda munroealis", "Ambia ambrealis", "Ambia pictoralis", "Yxygodes xyridotalis", "Megarthria xyridotalis", "Yxygodes meranalis", "Megarthria vieualis", "Yxygodes vieualis", "Megarthria meranalis", "Perinetoides anosibalis", "Megarthria anosibalis", "Hypsopygia pernigralis", "Orthopygia pernigralis", "Hypsopygia aurocilialis", "Herculia aurocilialis", "Sindris sganzini", "Sindris sganzini comorensis", "Schizotorenia atropurpurea", "Acanthochelys pallidipectoris", "Arippara indicator", "Arippara indicator indicator", "Arippara indicator marginata", "Poaphila marginata", "Platemys platycephala platycephala", "Paleca rufescens", "Paredra eogenalis", "Pyralis assamica", "Bostra hoenei", "Bostra disticta", "Ouratea impressa", "Maianthemum infrageneric taxa", "Maianthemum subg.", "Maianthemum sect.", "Maianthemum subsect.", "Maianthemum subsect.", "Maianthemum sect.", "Maianthemum sect.", "Maianthemum subg.", "Maianthemum sect.", "Hyla obsoleta", "Turdus merula azorensis", "Maianthemum sect.", "Picconia azorica", "Thliptoceras anthropophilum", "Thliptoceras umoremsugente", "Thliptoceras lacriphagum", "Thliptoceras shafferi", "Hemiscopis sanguinea", "Thliptoceras formosanum", "Thliptoceras amamiale", "Thliptoceras caradjai", "Pituna compacta", "Toxobotys praestans", "Pituna poranga", "Pseudowubana wagae", "Chelodina mccordi mccordi", "Lachenalia subg.", "Lachenalia sect.", "Lachenalia sect.", "Lachenalia sect.", "Polyommatus amandus", "Polyommatus amandus amandus", "Cnephasia amseli", "Tortrix amseli", "Cnephasia taurominana", "Tortricodes violellus", "Lachenalia orchioides subsp. orchioides", "Lachenalia orchioides subsp. glaucina", "Eana kuldjaensis", "Tortrix andreana", "Lachenalia orchioides subsp. parviflora", "Lachenalia luteola", "Lachenalia quadricolor", "Lachenalia flava", "Lachenalia sect.", "Lachenalia sect.", "Ponerorchis joo-iokiana", "Sauvagesia aliciae subsp. aratayensis", "Sauvagesia tafelbergensis", "Lachenalia subg.", "Limia vittata", "Archisotoma catiae", "Androsace hedraeantha", "Androsace hookeriana", "Androsace mathildae", "Androsace muscoidea", "Androsace obtusifolia", "Androsace pubescens", "Androsace pyrenaica", "Androsace rigida", "Androsace rioxana", "Androsace squarrosula", "Androsace stenophylla", "Androsace strigillosa", "Androsace tapete", "Androsace tanggulashanensis", "Androsace vandellii", "Androsace wardii", "Androsace wulfeniana", "Androsace yargongensis", "Androsace zambalensis", "Androsace komovensis", "Luxemburgia angustifolia", "Luxemburgia bracteata", "Luxemburgia diciliata", "Limia caymanensis", "Ouratea melinonii", "Ouratea occultinervis", "Androsace multiscapa", "Androsace armeniaca", "Androsace armeniaca var. macrantha", "Androsace armeniaca var. armeniaca", "Ouratea pseudotatei", "Androsace adenocephala", "Androsace adfinis", "Androsace aizoon", "Androsace alaschanica", "Androsace axillaris", "Androsace baltistanica", "Androsace brachystegia", "Androsace brevis", "Androsace chaixii", "Androsace ciliata", "Androsace cylindrica", "Androsace foliosa", "Androsace geraniifolia", "Androsace globifera", "Androsace hausmannii", "Ouratea timehriensis", "Argylia adscendens", "Epicephala microcarpa", "Epicephala laeviclada", "Epicephala tertiaria", "Turdus mandarinus", "Metachrostis olmii", "Metachrostis olmii olmii", "Metachrostis olmii socotrella", "Argylia radiata", "Argylia uspallatensis", "Primula grandis", "Rhynchina deflexa", "Proluta deflexa", "Churia gallagheri", "Primula elatior subsp. pseudoelatior", "Primula elatior subsp. intricata", "Primula elatior subsp. leucophylla", "Primula veris subsp. canescens", "Turdus merula mauretanicus", "Cigaritis myrmecophila myrmecophila", "Cigaritis myrmecophila farsica", "Limia dominicensis", "Cyphicerus alsus", "Cyphicerus bellies", "Cyphicerus bidentipes", "Cyphicerus bombacis", "Cyphicerus brevirostris", "Cyphicerus faustus", "Cyphicerus graniger", "Cyphicerus graphicus", "Cyphicerus nudimalis", "Cyphicerus pardalis", "Cyphicerus plagiatus", "Cyphicerus scutellotus", "Cyphicerus surdus", "Cyphicerus trifasciatus", "Cyphicerus zizyphi", "Turdus merula cabrerae", "Erionota acroleuca", "Hesperia hiraca", "Erionota acroleuca acroleuca", "Erionota acroleuca apicalis", "Erionota hiraca", "Erionota hiraca hiraca", "Erionota hiraca apicalis", "Turdus merula sowerbyi", "Ptelina carnuta", "Cerynea hesuensis", "Ptelina subhyalina", "Gynaephila punctirena", "Naarda punctirena", "Liptenara batesi", "Liptenara hiendlmayri", "Luxemburgia schwackeana", "Naarda digitata", "Naarda tenuifascia", "Naarda alternata", "Liptenara schoutedeni", "Durbania amakosa", "Arippara salmo", "Stemmatophora salmo", "Arippara vibicalis", "Stemmatophora vibicalis", "Pyralis roborealis", "Callicebus miltoni", "Platemys platycephala melanonota", "Pyralis latisfascia", "Euryzonella latisfascia", "Euryzona latifascia", "Euryzonella sichimensis", "Paractenia sichimensis", "Lantzodes vinacealis", "Lantzodes lamtoalis", "Lantzodes subpurpuralis", "Lantzodes nienokouealis", "Nussodes nimbaensis", "Nussodes abidjanalis", "Epacternis bicoloralis", "Maradana modestalis", "Maradana yapoensis", "Euplectrus andybennetti", "Euplectrus andydeansi", "Euplectrus annettewalkerae", "Euplectrus billbrowni", "Euplectrus bobwhartoni", "Euplectrus carlosarmientoi", "Euplectrus carlrettenmeyeri", "Euplectrus charlesmicheneri", "Euplectrus charlesporteri", "Mabokia delicatalis", "Euplectrus chrisdarlingi", "Euplectrus chrisgrinteri", "Euplectrus corriemoreauae", "Euplectrus daveroubiki", "Mabokia boudinotalis", "Euplectrus davesmithi", "Euplectrus davidwahli", "Euplectrus dianariasae", "Euplectrus donquickei", "Euplectrus eowilsoni", "Limia melanogaster", "Limia versicolor", "Graptophyllum excelsum", "Graptophyllum ilicifolium", "Geissomeria nitida", "Ouratea duckei", "Ouratea flexuosa", "Lachnocnema bibulus", "Encyclia parkeri", "Limia melanonotata", "Ouratea hassleriana", "Xenopus poweri", "Bunaea auricolor", "Euplectrus garygibsoni", "Euplectrus gavinbroadi", "Euplectrus gerarddelvarei", "Euplectrus henrytownesi", "Euplectrus howelldalyi", "Euplectrus hugokonsi", "Euplectrus iangauldi", "Euplectrus jacklonginoi", "Euplectrus jesusugaldei", "Euplectrus jimwhitfieldi", "Euplectrus jjrodriguezae", "Euplectrus johnheratyi", "Euplectrus johnlasallei", "Euplectrus johnnoyesi", "Euplectrus josefernandezi", "Euplectrus lubomirmasneri", "Euplectrus markshawi", "Euplectrus mikegatesi", "Euplectrus mikeschauffi", "Euplectrus mikesharkeyi", "Euplectrus ninazitaniae", "Euplectrus pammitchellae", "Euplectrus paulhansoni", "Euplectrus paulheberti", "Euplectrus paulhurdi", "Euplectrus philwardi", "Euplectrus robbinthorpi", "Euplectrus ronaldzunigai", "Euplectrus roysnellingi", "Euplectrus scottshawi", "Euplectrus sondrawardae", "Euplectrus sydneycameronae", "Euplectrus victoriapookae", "Euplectrus wonyoungchoi", "Mesapia peloria epsteina", "Mesapia peloria peloria", "Asparagus subg.", "Asparagus subg.", "Mesapia peloria lama", "Hymenocallis eucharidifolia", "Hymenocallis lobata", "Limia fuscomaculata", "Limia garnieri", "Limia grossidens", "Limia immaculata", "Limia miragoanensis", "Limia pauciradiata", "Limia sulphurophila", "Limia yaguajali", "Alcockpenaeopsis hungerfordii", "Arafurapenaeopsis arafurica", "Hymenocallis araniflora", "Hymenocallis astrostephana", "Hymenocallis durangoensis", "Hymenocallis guerreroensis", "Hymenocallis imperialis", "Hymenocallis lehmilleri", "Hymenocallis maximilianii", "Hymenocallis baumlii", "Batepenaeopsis tenella", "Hymenocallis cleo", "Hymenocallis incaica", "Hymenocallis bistubata", "Hymenocallis franklinensis", "Hymenocallis clivorum", "Acontia mineti", "Acontia xanthochromata", "Cardamine quinquefolia", "Cardamine acris", "Cardamine gallaecica", "Lacanobia stumpfi", "Luxemburgia ciliosa", "Luxemburgia corymbosa", "Luxemburgia octandra", "Tecoma luteoflora", "Luxemburgia polyandra", "Tecoma gabonensis", "Luxemburgia speciosa", "Luxemburgia damazioana", "Lachnocnema laches", "Stenoptilia picardi", "Leptolalax pyrrhops", "Acalyptris vittatus", "Hymenocallis occidentalis", "Hymenocallis occidentalis var. occidentalis", "Hymenocallis occidentalis var. eulae", "Acalyptris arenosus", "Hymenocallis repanda", "Acalyptris pallens", "Lachnocnema durbani", "Ouratea simulans", "Lachnocnema luna", "Limia perugiae", "Caliphruria subedentata", "Limia rivasi", "Limia tridens", "Amanita bombycina", "Gasteria sect.", "Gasteria ser.", "Ginungagapus bocus", "Ginungagapus ranesus", "Ginungagapus rogan", "Ginungagapus awarreni", "Ginungagapus tangerinii", "Ginungagapus fiedleri", "Ginungagapus brasilia", "Geritola pacifica", "Calendula palaestina", "Geritola wardi", "Hymenocallis multiflora", "Hymenocallis henryae", "Hymenocallis azteciana", "Hymenocallis bolivariana", "Hymenocallis duvalensis", "Hymenocallis guatemalensis", "Hymenocallis limaensis", "Hymenocallis choctawensis", "Hymenocallis vasconcelosii", "Melasina christenseni", "Ouratea campos-portoi", "Idaea seriata", "Hymenocallis acutifolia", "Ouratea chrysopetala", "Cyrtostylis robusta", "Cyrtostylis tenuissima", "Diplacus sect.", "Lachnocnema jacksoni", "Diplacus sect.", "Diplacus sect.", "Hymenocallis lajolla", "Lachnocnema emperamus", "Lachnocnema divergens", "Lachnocnema reutlingeri", "Lachnocnema reutlingeri reutlingeri", "Lachnocnema reutlingeri perspicua", "Diplacus pictus", "Bifascia yemenella", "Eretmocera bradleyi", "Eretmocera arabica", "Turdus merula intermedius", "Pseudebulea fentoni fentoni", "Pseudebulea fentoni sadoensis", "Pseudebulea fentoni yezoensis", "Pseudebulea fentoni ussuriensis", "Pseudebulea fentoni koreensis", "Pseudebulea kuatunensis kuatunensis", "Pseudebulea kuatunensis ichangensis", "Aristebulea principes", "Mimetebulea arctialis", "Dasypolia annamaria", "Dasypolia carlotta", "Dasypolia chengangi", "Dasypolia brandstetteri", "Dasypolia kita", "Dasypolia ronkaygabori", "Polymixis alborza", "Apamea amazon", "Apamea tuhuangi", "Apamea altijuga", "Apamea anceps", "Apamea damascena", "Apamea herczigi", "Apamea ikerfasciata", "Apamea lacanobina", "Apamea minoica", "Apamea monoglypha", "Apamea propinqua", "Apamea rezbanyaii", "Apamea minoc", "Antitype jonis", "Antitype jonis jonis", "Antitype jonis parajonis", "Ouratea scandens", "Ouratea garcinioides", "Ichthyophis cardamomensis", "Ichthyophis catlocensis", "Ichthyophis chaloensis", "Agrias claudina croesus", "Tetramerium sect.", "Tetramerium sect.", "Tetramerium sect.", "Poikilacanthus macranthus", "Gymnopus fusipes", "Ouratea pilgeri", "Zebrasoma xanthurum", "Primula sect.", "Primula sect.", "Ouratea oblongifolia", "Acalyptris ivovskyi", "Primula bergenioides", "Acalyptris falkovitshi", "Acalyptris turcomanicus", "Acalyptris galinae", "Acalyptris galinae galinae", "Acalyptris galinae mesasiaticus", "Acalyptris repeteki", "Acalyptris shafirkanus", "Acalyptris desertellus", "Acalyptris kizilkumi", "Acalyptris piculus", "Acalyptris brevis", "Acalyptris egidijui", "Glossotrophia annae", "Eucharis bonplandii", "Clinanthus viridiflorus", "Biselachista brachypterella", "Ouratea orbignyana", "Hymenocallis henryae var. henryae", "Ouratea xerophila", "Micropoecilia bifurca", "Micropoecilia branneri", "Micropoecilia minima", "Primula maximowiczii", "Turdus merula syriacus", "Turdus merula merula", "Naarda truncata", "Naarda spinivesica", "Naarda nepalensis", "Naarda caesia", "Durbania limbata", "Naarda bipunctata", "Naarda aurea", "Naarda sumatrana", "Naarda inouei", "Naarda bankhomensis", "Naarda magnifica", "Naarda dentata", "Naarda conifera", "Naarda blepharota", "Naarda cinerea", "Naarda murina", "Naarda coerulea", "Naarda hoenei", "Naarda fulvirena", "Naarda fulvirenoides", "Naarda annulata", "Naarda purpurea", "Naarda pallida", "Naarda leptovalva", "Naarda hastata", "Naarda curiosipalpa", "Naarda maculifera", "Gynaephila maculifera", "Naarda purpurisigna", "Chusaris purpurisigna", "Solenobia khumbhilae", "Limia heterandria", "Limia nigrofasciata", "Limia ornata", "Ginungagapus schmithi", "Batepenaeopsis venusta", "Hymenocallis gholsonii", "Hymenocallis godfreyi", "Hymenocallis graminifolia", "Hymenocallis jaliscensis", "Hymenocallis longibracteata", "Diatrypa aequatori", "Diatrypa aguarico", "Diatrypa angulata", "Diatrypa borisi", "Diatrypa brevis", "Diatrypa chaco", "Diatrypa chamela", "Diatrypa coca", "Diatrypa dentata", "Aetheolirion stenolobium", "Diatrypa nebulosa", "Diatrypa nikitai", "Diatrypa raggei", "Diatrypa robusta", "Diatrypa robusta robusta", "Diatrypa robusta panama", "Diatrypa robusta tuxtlas", "Diatrypa satipo", "Diatrypa venado", "Melasina abacodes", "Euliphyra leucyania", "Cephetola wingae", "Stempfferia katikae", "Hollandus xanthopeplus", "Hollandus xanthopeplus xanthopeplus", "Hollandus xanthopeplus botambi", "Pardaleodes xanthopeplus", "Iridana noellae", "Lachnocnema magna", "Gasteria glomerata", "Lachnocnema exiguus", "Lachnocnema disrupta", "Limia zonata", "Victrix hackeri", "Primula elatior subsp. lofthousei", "Ouratea purpuripes", "Ouratea rosipes", "Eucharis plicata", "Primula renifolia", "Hoodia macrantha", "Primula advena", "Primula purdomii", "Primula baldshuanica", "Primula caldaria", "Primula capitellata", "Primula clarkei", "Primula clutterbuckii", "Primula concinna", "Primula darialica", "Gasteria ser.", "Primula efarinosa", "Primula elliptica", "Primula erratica", "Gasteria sect.", "Gasteria ser.", "Gasteria ser.", "Victrix conflucii", "Victrix gracilior", "Victrix lithoplasta", "Victrix nanata", "Victrix superior", "Victrix bogdoana", "Cryphia xizanga", "Erastria flavipuncta", "Primula fangii", "Primula fangingensis", "Primula fernaldiana", "Primula flava", "Primula flexuosa", "Hymenocallis henryae var. glaucifolia", "Hymenocallis latifolia var. latifolia", "Hymenocallis latifolia var. puntagordensis", "Ouratea orgyalis", "Ouratea palmata", "Melanchra diabolica", "Dryobotodes aulombardi", "Trichoridia warreni", "Ouratea poeppigii", "Takapsestis curvicosta", "Takapsestis semiobsoleta semiobsoleta", "Takapsestis semiobsoleta sumatrensis", "Takapsestis bifasciata", "Takapsestis orbicularis", "Takapsestis wilemaniella wilemaniella", "Takapsestis wilemaniella continentalis", "Takapsestis wilemaniella plumbeata", "Takapsestis fascinata", "Caryocolum gallagenellum", "Diplacus sect.", "Diplacus aurantiacus", "Ouratea pulchrifolia", "Trimenia argyroplaga argyroplaga", "Trimenia argyroplaga cardouwae", "Trimenia macmasteri macmasteri", "Trimenia macmasteri mijburghi", "Diplacus sect.", "Minyaspis sinensis", "Stenomesson flavum", "Stenomesson sect.", "Stenomesson sect.", "Cacomantis aeruginosus aeruginosus", "Jikradia trispinata", "Jikradia variabilis", "Jikradia exilis", "Sauvagesia erecta var. coriacea", "Nupela acaciensis", "Diplacaspis diringshofeni", "Diplacaspis guanabarinus", "Primula glabra", "Primula huashanensis", "Primula inayatii", "Primula jaffreyana", "Pogostemon yatabeanus", "Primula kialensis", "Primula knuthiana", "Primula kongboensis", "Primula laciniata", "Primula longiscapa", "Primula magellanica", "Primula maikhaensis", "Primula meiotera", "Globularica diversicolorata", "Primula membranifolia", "Primula nutantiflora", "Primula obsessa", "Primula oxygraphidifolia", "Primula prattii", "Primula pseudoglabra", "Primula qinghaiensis", "Primula rhodochroa", "Primula scandinavica", "Coniunctivena antsignyensis", "Coniunctivena epaulettea", "Coniunctivena montuosa", "Coniunctivena synavei", "Nasatus davidouvrardi", "Nasatus sparsus", "Cyamosa adelinae", "Cyamosa camelouca", "Cyamosa pauliani", "Cyamosa splendens", "Primula scopulorum", "Primula sertulum", "Primula stenocalyx", "Primula tayloriana", "Primula socialis", "Primula tenuipes", "Primula tibetica", "Primula fasciculata", "Primula munroi", "Primula pumilio", "Primula urticifolia", "Primula glomerata", "Lonchura caniceps caniceps", "Mesoclemmys heliostemma", "Manucodia jobiensis jobiensis", "Diplacus sect.", "Clusia sect.", "Clusia sect.", "Erythranthe sect.", "Clusia sect.", "Erythranthe sect.", "Clusia sect.", "Quiina berryi", "Quiina cidiana", "Chlamisus navajasi", "Chlamisus pereira", "Chlamisus plaumanni", "Chlamisus pulchellus", "Chlamisus pygmaeus", "Chlamisus striolatus", "Chlamisus takasei", "Chlamisus ubirajarai", "Victrix lichenodes", "Victrix chloroxantha", "Oedibrya chloroxantha", "Emydura subglobosa worrelli", "Emydura subglobosa subglobosa", "Eucharis subg.", "Eucharis subg.", "Dicanticinta diticinctana", "Tortrix diticinctana", "Eucharis bakeriana", "Oedistoma pygmaeum pygmaeum", "Wesmaelius mathewesi", "Microberotha macculloughi", "Monarcha axillaris axillaris", "Abaciscus karsholti", "Xandrames xanthos", "Parectropis siamensis", "Anthene minima minima", "Anthene minima williamsi", "Anthene merioli merioli", "Anthene merioli aridicola", "Phallichthys quadripunctatus", "Phallichthys tico", "Cissidium amboroensis", "Euaegotheles insignis insignis", "Cissidium globosum", "Cissidium lisae", "Cissidium petri", "Cissidium tigrum", "Prunus domestica subsp. domestica", "Clusia sect.", "Clusia sect.", "Clusia sect.", "Bactrocera jarvisi", "Strix nivicolum", "Strix sartorii", "Calyptorhynchus banksii banksii", "Cyanophrys crethona", "Ephippiorhynchus asiaticus asiaticus", "Cyanophrys velezi", "Lophura leucomelanos leucomelanos", "Cyanomitra verticalis verticalis", "Galbula albirostris albirostris", "Melittochlamys amazonicus", "Phallichthys amates", "Oxynaspis alatae", "Phallichthys fairweatheri", "Monarcha pileatus pileatus", "Zosterops novaeguineae novaeguineae", "Timeliopsis fallax fallax", "Pycnopygius ixoides ixoides", "Chlamisus alvarengai", "Chlamisus ater", "Chlamisus barueriensis", "Chlamisus bispinosus", "Chlamisus brittocostai", "Chlamisus brittoni", "Chlamisus carnegianus", "Zebrasoma gemmatum", "Chlamisus chalybeus", "Zebrasoma rostratum", "Chlamisus concinus", "Zebrasoma scopas", "Chlamisus flavus", "Chlamisus fonsecai", "Chlamisus guerini", "Chlamisus handroi", "Chlamisus lenkoi", "Chlamisus luederwaldti", "Chlamisus madascariensis", "Chlamisus malkini", "Chlamisus mammillaris", "Chlamisus martinezi", "Erythranthe sect.", "Erythranthe sect.", "Clusia sect.", "Clusia sect.", "Clusia sect.", "Clusia nemorosa", "Clusia sect.", "Clusia subsect.", "Clusia subsect.", "Ouratea latifolia", "Microdynamis parva parva", "Heteromyias albispecularis albispecularis", "Ptiloprora erythropleura erythropleura", "Gerygone ruficollis ruficollis", "Ptilorrhoa castanonota castanonota", "Pachycephala hyperythra hyperythra", "Rhagologus leucostigma leucostigma", "Megalurus macrurus macrurus", "Phylloscopus poliocephalus poliocephalus", "Euryphura porphyrion", "Euryphura porphyrion porphyrion", "Euryphura porphyrion fontainei", "Euryphura fontainei", "Euryphura chalcis", "Euryphura chalcis chalcis", "Euryphura chalcis kiellandi", "Euryphura kiellandi", "Euryphura jolyana", "Pamphorichthys araguaiensis", "Lophocereus gatesii", "Papaver yildirimlii", "Acrocephalus aequinoctialis aequinoctialis", "Euptera intricata", "Euptera crowleyi", "Euphaedra crowleyi", "Primula sherriffiae", "Primula atrodentata", "Primula erythrocarpa", "Primula laxiuscula", "Primula monticola", "Primula pseudodenticulata", "Primula triloba", "Primula tsongpenii", "Steleops albertonetoi", "Primula annulata", "Primula barbatula", "Primula candicans", "Primula minutissima", "Steleops cashiriariensis", "Primula moschophora", "Primula muscoides", "Steleops chamelaensis", "Primula occlusa", "Steleops cuzcoensis", "Primula praetermissa", "Steleops machupicchuensis", "Primula primulina", "Steleops manizalensis", "Primula rimicola", "Primula rubicunda", "Primula subularia", "Primula tenella", "Primula tenuiloba", "Steleops mendivili", "Primula waddellii", "Primula walshii", "Steleops plenitudensis", "Steleops rioblancoensis", "Steleops thorntoni", "Jikradia dentata", "Colias christina", "Colias christina christina", "Colias christina pseudochristina", "Ceratocapsidea alayoi", "Acalyptus carpini", "Thalasselephas maximus", "Thalasselephas major", "Hylobius pinastri", "Hylobius transversovittatus", "Hylobius verrucipennis", "Pimelocerus orientalis", "Psilopogon asiaticus asiaticus", "Perdicula asiatica asiatica", "Bubo coromandus coromandus", "Ceratocapsus balli", "Ceratocapsidea balli", "Ceratocapsus alayoi", "Urocolius indicus indicus", "Amphilophium magnoliifolium", "Euptera freyja inexpectata", "Euptera freyja ornata", "Erythranthe sect.", "Erythranthe sect.", "Erythranthe sect.", "Erythranthe sect.", "Hypochaeris maculata", "Scaptia lata", "Pamphorichthys minor", "Pamphorichthys scalpridens", "Pamphorichthys hasemani", "Pamphorichthys hollandi", "Cinnyris asiaticus asiaticus", "Pulsatrix perspicillata perspicillata", "Charaxes murphyi", "Typhlotricholigioides aquaticus", "Dalla jelskyi", "Dalla lalage", "Dalla lethaea", "Dalla octomaculata", "Dalla mesoxantha", "Pseudacraea deludens", "Dalla seirocastnia", "Pseudacraea deludens deludens", "Dalla simplicis", "Dalla steinhauseri", "Dalla superior", "Dalla xantha", "Pseudacraea deludens ducarmei", "Pseudacraea deludens morogoro", "Pseudacraea deludens reducta", "Pseudacraea deludens tanganyikae", "Pseudacraea deludens murphyi", "Pseudacraea deludens rwandaensis", "Pseudacraea deludens terrena", "Pseudacraea deludens echerioides", "Pseudacraea deludens amaurina", "Pseudacraea peyrierasi", "Pseudacraea annakae", "Euryphura ducarmei", "Chelydra acutirostris", "Quiina maguirei", "Quiina negrensis", "Quiina piresii", "Axiocerses bambana nyika", "Theretra oldenlandiae", "Theretra oldenlandiae oldenlandiae", "Lasjia claudiensis", "Lasjia grandis", "Rhododendron leishanicum", "Axiocerses styx", "Plebejidea loewii", "Apteranthes europaea subsp. negevensis", "Apteranthes munbyana", "Potamanaxas andraemon", "Potamanaxas andraemon andraemon", "Potamanaxas frenda", "Euryphene elabontas", "Euptera dorothea", "Euptera dorothea dorothea", "Euptera dorothea warrengashi", "Polyommatus achaemenes", "Euptera hirundo", "Polyommatus actinides", "Euptera freyja", "Polyommatus actinides weidenhofferi", "Polyommatus actinides actinides", "Polyommatus actinides praeactinides", "Polyommatus antidolus", "Amphilophium gnaphalanthum", "Polyommatus antidolus aereus", "Polyommatus antidolus antidolus", "Euptera freyja freyja", "Polyommatus antidolus pertekensis", "Amphilophium laxiflorum", "Polyommatus arasbarani", "Trimenia wallengrenii wallengrenii", "Trimenia wallengrenii", "Trimenia wallengrenii gonnemoi", "Rhipidura atra atra", "Pitohui cristatus cristatus", "Zosterops fuscicapilla fuscicapilla", "Melanocharis crassirostris crassirostris", "Toxorhamphus iliolophus iliolophus", "Melanocharis longicauda longicauda", "Tregellasia leucops leucops", "Amalocichla incerta incerta", "Meliphaga albonotata albonotata", "Lichenostomus subfrenatus subfrenatus", "Accipiter melanochlamys melanochlamys", "Neophron percnopterus ginginianus", "Stenothemus subnitidus", "Stenothemus holosericus", "Stenothemus orbiculatus", "Stenothemus wardi", "Stenothemus sepiaceus", "Stenothemus melleus", "Stenothemus seediq", "Stenothemus cou", "Lacconectus haucki", "Lacconectus attapeua", "Lacconectus reumauxi", "Lacconectus hajeki", "Lacconectus vongsanai", "Lacconectus namkading", "Lacconectus savannakhet", "Lacconectus atlas", "Loligo africana", "Loligo gahi", "Callopanchax huwaldi", "Epidendrum medusae", "Alpherakya devanica", "Alpherakya sarta", "Polyommatus everesti", "Polyommatus fraterluci", "Polyommatus hunza", "Polyommatus pierinoi", "Polyommatus paulae", "Polyommatus rovshani", "Polyommatus stoliczkanus", "Polyommatus stoliczkanus stoliczkanus", "Polyommatus stoliczkanus arene", "Polyommatus stoliczkanus deosaiensis", "Polyommatus stoliczkanus janetae", "Polyommatus sutleja", "Pons magnifica", "Polyommatus daphnis", "Polyommatus amor", "Euptera nigeriensis", "Euptera elabontas", "Euptera elabontas elabontas", "Euptera elabontas mweruensis", "Euptera elabontas canui", "Euptera debruynei", "Pseudathyma debruynei", "Euptera neptunus", "Euptera pluto", "Euptera pluto neptunus", "Euptera pluto pluto", "Cycloneura abberans", "Rodolia amabilis", "Rupicola peruvianus peruvianus", "Zoothera dauma dauma", "Schistochlamys melanopis melanopis", "Arachnothera longirostra longirostra", "Pelagodroma marina marina", "Irena puella puella", "Clusia sect.", "Chelydra rossignonii", "Tanaecium tetragonolobum", "Cyaniris semiargus tartessus", "Polyommatus erschoffi", "Polyommatus erschoffi erschoffi", "Polyommatus erschoffi pashtu", "Marshallocereus aragonii", "Polyommatus erschoffi tekkeanus", "Polyommatus faramarzii", "Ixobrychus flavicollis flavicollis", "Euterpe nimbice", "Polyommatus firdussii", "Cygnus atratus atratus", "Polyommatus gorbunovi", "Euterpe ochracea", "Polyommatus iphigenia", "Polyommatus iphigenia iphigenia", "Polyommatus iphigenia manuelae", "Spilornis cheela cheela", "Polyommatus ischkaschimicus", "Polyommatus ischkaschimicus danilevskyi", "Polyommatus ischkaschimicus ischkaschimicus", "Cistothorus platensis platensis", "Polyommatus attalaensis", "Polyommatus sephidarensis", "Polyommatus shahrami", "Catasticta toppini", "Polyommatus sigberti", "Diplolepis boerhaviifolia", "Polyommatus surakovi", "Polyommatus vanensis", "Polyommatus vanensis vanensis", "Polyommatus vanensis sheljuzhkoi", "Polyommatus vanensis zeituna", "Polyommatus annamaria", "Stapelia paniculata", "Polyommatus ariana", "Polyommatus ciloicus", "Polyommatus ciloicus ciloicus", "Polyommatus ciloicus azarisorum", "Polyommatus dux", "Polyommatus erigone", "Buteo bannermani", "Panoquina neblina", "Buteo burmanicus", "Carystina mielkei", "Buteo japonicus", "Abraxas aritai", "Abraxas atrolivens", "Apteranthes europaea subsp. europaea", "Abraxas pseudomiranda", "Buteo plagiatus", "Buteo trizonatus", "Maurus vogelii", "Polyommatus eros yildizae", "Polyommatus eros tshetverikovi", "Polyommatus eros taimyrensis", "Polyommatus eros meoticus", "Polyommatus eros kamtshadalis", "Polyommatus eros kaabaki", "Polyommatus eros extremiorientalis", "Polyommatus eros erotulus", "Polyommatus eros eros", "Polyommatus eroides", "Polyommatus erotides erotides", "Polyommatus erotides krulikowskyi", "Polyommatus erotides pacificus", "Polyommatus namjagbarwanus", "Polyommatus celina", "Polyommatus icadius icadius", "Polyommatus icadius cicero", "Polyommatus icadius korshunovi", "Polyommatus icarus icarus", "Polyommatus icarus turanicus", "Polyommatus icarus persica", "Thryophilus sernai", "Macrostemum buzoganos", "Macrostemum junolah", "Pseudoleptonema egena", "Pseudoleptonema maganos", "Himalopsyche dombora", "Rhyacophila domba", "Rhyacophila egyenes", "Rhyacophila homora", "Rhyacophila laposka", "Rhyacophila veforma", "Bombus bellicosus", "Bombus brasiliensis", "Bombus brevivillus", "Axiocerses tjoane", "Bombus dahlbomii", "Axiocerses tjoane tjoane", "Axiocerses tjoane rubescens", "Axiocerses croesus", "Anemia lepigera", "Anemia marginalis", "Euderopus brevipes", "Euderopus iteratus", "Euderopus microps", "Euderopus perbrevis", "Euderopus regularis", "Euderopus setosus", "Euderopus unicolor", "Axiocerses bambana", "Axiocerses bambana bambana", "Gonicoelus angustus", "Gonicoelus arduus", "Gonicoelus bimargo", "Axiocerses bambana orichalcea", "Gonicoelus brevicollis", "Gonicoelus celatus", "Cacatua galerita galerita", "Philetairus socius socius", "Philemon corniculatus corniculatus", "Leptodon cayanensis cayanensis", "Harpagus bidentatus bidentatus", "Busarellus nigricollis nigricollis", "Egretta novaehollandiae novaehollandiae", "Dicaeum erythrorhynchos erythrorhynchos", "Caprimulgus indicus indicus", "Caprimulgus asiaticus asiaticus", "Phylidonyris novaehollandiae novaehollandiae", "Lichmera incana incana", "Scythrops novaehollandiae novaehollandiae", "Candora albalineata", "Candora galeraensis", "Grumiana berezowskii", "Caralluma stalagmifera", "Plebulina emigdionis", "Bothriocroton hydrosauri", "Erythranthe sect.", "Dermacentor rhinocerinus", "Arthonia polygrammodes f. nigricans", "Bradiopsylla echidnae", "Bothriocroton oudemansi", "Bothriocroton undatum", "Bothriocroton tachyglossi", "Bothriocroton concolor", "Agriades orbitulus jugnei", "Agriades orbitulus orbitulus", "Nestor meridionalis meridionalis", "Agriades orbitulus lobbichleri", "Platycercus elegans elegans", "Agriades shahidulla", "Furnarius rufus rufus", "Afarsia antoninae", "Diomedea antipodensis", "Afarsia sieversii", "Afarsia sieversii amatrix", "Afarsia sieversii sieversii", "Afarsia iris", "Afarsia iris cherniaki", "Afarsia iris dushanbe", "Afarsia iris eremita", "Afarsia iris iris", "Afarsia iris petrovi", "Huernia sect.", "Huernia sect.", "Rueckbeilia fergana", "Rueckbeilia fergana fergana", "Rueckbeilia fergana nikolaii", "Rueckbeilia fergana varzobica", "Rueckbeilia rosei", "Rueckbeilia rosei rosei", "Lactarius piperatus", "Rueckbeilia rosei oshturanus", "Thryothorus ludovicianus ludovicianus", "Bostrychia hagedash hagedash", "Abraxas metallica", "Abraxas formosilluminata", "Abraxas oblongostigma", "Tisias putumayo", "Lychnuchoides sebastiani", "Myscelus belti caucaensis", "Myscelus belti belti", "Idioneurula socorroi", "Ancyluris inca", "Ancyluris aulestes", "Ancyluris inca inca", "Ancyluris inca caucaensis", "Ancyluris aulestes callaghani", "Ancyluris aulestes aulestes", "Aerodramus ceramensis", "Aerodramus sororum", "Dendrocopos analis", "Yungipicus ramsayi", "Kretania pylaon", "Kretania pylaon tumultus", "Kretania pylaon pylaon", "Kretania patriarcha", "Agriades orbitulus chaos", "Strymon amphyporphyra", "Motacilla flava flavissima", "Plebejus anna", "Motacilla flava thunbergi", "Motacilla flava flava", "Motacilla flava feldegg", "Strymon rotundum", "Nystalus maculatus maculatus", "Sphyrapicus ruber ruber", "Accipiter badius badius", "Boletellus ananas", "Plebejus argiva", "Plebejus bergi", "Nystalus striatipectus", "Erythranthe sect.", "Erythranthe sect.", "Bothriocroton glebopalma", "Bothriocroton auruginans", "Orbea sect.", "Plebejus eversmanni", "Plebejus eversmanni eversmanni", "Plebejus eversmanni frici", "Plebejus callaghani", "Plebejus argyrognomon anceps", "Plebejus aleremiticus", "Plebejus arpa", "Plebejus bellieri", "Plebejus christophi", "Plebejus transcaucasicus", "Plebejus hishikawai", "Sitta pusilla pusilla", "Streptopelia orientalis orientalis", "Halcyon coromanda coromanda", "Sitta carolinensis carolinensis", "Emesis guttata guttata", "Emesis guttata jaibensis", "Audre guttata", "Audre guttata guttata", "Hamearis notialis", "Aricoris notialis", "Acrorhinichthys poyatoi", "Aricoris cinericia", "Hamearis cinericia", "Hypothyris fluonia", "Hypthyris fluonia fluonia", "Hypthyris fluonia baiochii", "Napeogenes stella browni", "Desmidorchis lavrani", "Hyalyris excelsa", "Ceropegia sect.", "Ceropegia sect.", "Ceropegia sect.", "Formicivora acutirostris paludicola", "Formicivora grantsaui", "Formicivora intermedia", "Cyanocorax heilprini hafferi", "Plebejus cleobis", "Plebejus dzhizaki", "Chamaecereus stilowianus", "Euselasia azurea", "Erythranthe sect.", "Plebejus idas baldur", "Plebejus idas calliopis", "Phaeoradulum guadelupense", "Plebejus idas nevadensis", "Plebejus idas belchir", "Dermacentor marginatus", "Dermacentor montanus", "Dermacentor nitens", "Dermacentor niveus", "Dermacentor nuttalli", "Dermacentor occidentalis", "Dermacentor parumapertus", "Dermacentor pavlovskyi", "Plebejus idas altarmena", "Dermacentor pomerantzevi", "Dermacentor raskemensis", "Plebejus idas kapanovi", "Dermacentor reticulatus", "Plebejus idas mynkhbayar", "Dermacentor silvarum", "Ouratea magdalenae", "Scalarignathia coreacola", "Plebejus fyodor", "Mammillaria sect.", "Mammillaria ser.", "Rhamphichthys heleios", "Mammillaria guelzowiana", "Mammillaria tetrancistra", "Mammillaria ser.", "Plebejus ganssuensis", "Entoloma sinuatum", "Mammillaria sect.", "Mammillaria ser.", "Plebejus kwaja", "Mammillaria wrightii", "Mammillaria wrightii var. wrightii", "Mammillaria wrightii var. wilcoxii", "Mammillaria sect.", "Mammillaria ser.", "Mammillaria theresae", "Dichomeris lespedezae", "Dichomeris harmonias", "Dichomeris oceanis", "Mammillaria tepexicensis", "Dichomeris fasciella", "Satyrium lunulata", "Dichomeris fareasta", "Dichomeris polystigma", "Dichomeris mitteri", "Dichomeris cuspis", "Dichomeris minutia", "Chamaecereus schreiteri", "Micranthocereus subg.", "Micranthocereus dolichospermaticus", "Nothostele brasiliaensis", "Encyclia fimbriata", "Sacoila cerradicola", "Vietomelittia soljanikovi", "Heterosphecia bantanakai", "Aschistophleps longipoda", "Mammillaria subg.", "Mammillaria sect.", "Mammillaria ser.", "Mammillaria poselgeri", "Pyrophleps vitripennis", "Pyrophleps cucphuonganae", "Mammillaria ser.", "Mammillaria ser.", "Plebejus fridayi", "Nomada suda", "Nomada verecunda", "Nomada kaguya", "Nomada klamathensis", "Plebejus idas idas", "Plebejus shuroabadica", "Hemitriccus cohnhafti", "Hyalyris excelsa excelsa", "Hyalyris excelsa tachira", "Tyrannus dominicensis dominicensis", "Aplonis striata striata", "Picus canus canus", "Pseudotinea volcanicus", "Chimoptesis costaricae", "Chimoptesis phanera", "Chimoptesis rubigo", "Chimoptesis rosariana", "Chimoptesis miniaula", "Chimoptesis kallion", "Chimoptesis potosiana", "Chimoptesis obliquaria", "Chimoptesis angulata", "Chimoptesis dentitia", "Chimoptesis faceta", "Bothriochloa pseudoischaemum", "Enema pan", "Mammillaria subg.", "Mammillaria sect.", "Bubo virginianus virginianus", "Dendroplex picus picus", "Colaptes melanochloros melanochloros", "Dichomeris sparsellus", "Dichomeris horoglypta", "Sericophara fasciata", "Polyommatus actis", "Herochroma subviridaria", "Mammillaria saboae", "Mammillaria deherdtiana", "Mammillaria longiflora", "Mammillaria sect.", "Mammillaria senilis", "Lobularia libyca", "Bucco tamatia tamatia", "Certhiaxis cinnamomeus cinnamomeus", "Iaspis andersoni", "Michaelus joseph", "Ignata caldas", "Arawacus togarna", "Ceratocapsidea bahamaensis", "Ceratocapsidea baranowskii", "Ceratocapsidea dominicanensis", "Ceratocapsidea rileyi", "Ceratocapsidea taeniola", "Ceratocapsidea texensis", "Ceratocapsidea transversa", "Ceratocapsidea variabilis", "Pilophoropsidea brailovskyi", "Pilophoropsidea cuneata", "Pilophoropsidea dimidiata", "Pilophoropsidea fuscata", "Pilophoropsidea keltoni", "Pilophoropsidea maxima", "Pilophoropsidea pueblaensis", "Pilophoropsidea schaffneri", "Pilophoropsidea serrata", "Pilophoropsidea touchetae", "Pilophoropsidea truncata", "Pilophoropsidea tuberculata", "Pilophoropsis bejeanae", "Pilophoropsis cunealis", "Pilophoropsis quercicola", "Pilophoropsita schaffneri", "Renodaeus mimeticus", "Zanchismeopsidea diegoi", "Ceratocapsidea complicata", "Ceratocapsus complicata", "Strymon cyanofusca", "Plebejus aegina", "Strymon eremica", "Strymon veterator", "Strymon megarus", "Plebejus agnata", "Todiramphus veneratus veneratus", "Lloviu virus", "Marburg virus", "Ravn virus", "Bundibugyo ebolavirus", "Bundibugyo virus", "Reston ebolavirus", "Reston virus", "Sudan ebolavirus", "Sudan virus", "Ta\u00ef Forest ebolavirus", "Ta\u00ef Forest virus", "Zaire ebolavirus", "Ebola virus", "Nothostele acianthiformis", "Nomada jamaicensis", "Nomada javanica", "Nomada jocularis", "Mammillaria ser.", "Todiramphus tutus tutus", "Molothrus oryzivorus oryzivorus", "Plebejus maidantagi", "Plebejus maracandicus", "Ornithodoros dusbabeki", "Quiscalus mexicanus mexicanus", "Nisaetus cirrhatus cirrhatus", "Dermacentor sinicus", "Plebejus idas nabokovi", "Plebejus idas saldaitisi", "Dermacentor steini", "Dermacentor taiwanensis", "Plebejus idas tshimganus", "Dermacentor ushakovae", "Dermacentor variabilis", "Plebejus idas selda", "Hyalomma marginatum", "Hyalomma lusitanicum", "Hyalomma impressum", "Hyalomma rufipes", "Hyalomma truncatum", "Hyalomma excavatum", "Hyalomma dromedarii", "Hyalomma anatolicum", "Lipoptena pteropi", "Lipoptena cervi", "Foulehaio carunculatus carunculatus", "Amazona ochrocephala ochrocephala", "Cissopis leverianus leverianus", "Philemon moluccensis moluccensis", "Audre caracensis", "Audre drucei", "Audre drucei drucei", "Audre drucei nordensis", "Mammillaria baumii", "Mammillaria perezdelarosae", "Mammillaria perezdelarosae subsp. perezdelarosae", "Mammillaria perezdelarosae subsp. andersoniana", "Mammillaria bombycina", "Mammillaria ser.", "Mammillaria schiedeana subsp. schiedeana", "Mammillaria schiedeana subsp. dumetorum", "Mammillaria schiedeana subsp. giselae", "Mammillaria ser.", "Mammillaria prolifera subsp. prolifera", "Mammillaria sect.", "Cyaniris bellis", "Cyaniris bellis bellis", "Motacilla alba leucopsis", "Xiphophorus birchmanni", "Motacilla alba personata", "Xiphophorus montezumae", "Motacilla alba alba", "Motacilla alba subpersonata", "Chimoptesis caera", "Chimoptesis castanescens", "Chimoptesis albomixta", "Chimoptesis cornigera", "Chimoptesis mitrion", "Chimoptesis setoses", "Chimoptesis juniptesis", "Chimoptesis tamaulipasia", "Chimoptesis zoquiapana", "Chimoptesis rufobrunnea", "Typhedanus buena", "Neostatherotis psilata", "Neostatherotis sparsula", "Neostatherotis angustata", "Neostatherotis breviuscula", "Athene noctua lilith", "Athene noctua spilogastra", "Carex distans", "Carex cespitosa", "Carex acuta", "Carex globularis", "Carex pallescens", "Carex muricata", "Pyrophleps bicella", "Plebejus caspica", "Pyrophleps nigripennis", "Gomphocythere besni", "Kempfina taihuensis", "Xiphophorus clemenciae", "Mammillaria erythrosperma", "Callaeas cinereus cinereus", "Buteo jamaicensis jamaicensis", "Trogon rufus rufus", "Euptera crowleyi crowleyi", "Euptera crowleyi centralis", "Euptera kinugnana", "Euryphene kinugnana", "Euptera kinugnana kinugnana", "Godoya antioquiensis", "Euptera kinugnana insularis", "Euryphene pluto", "Euptera pluto occidentalis", "Euptera pluto primitiva", "Euptera pluto zowa", "Scriptaphyosemion nigrifluvi", "Ouratea rubricyanea", "Euptera falsathyma", "Euptera mocquerysi", "Polyommatus caerulea", "Polyommatus damocles", "Polyommatus damocles damocles", "Euptera semirufa", "Polyommatus damocles rossicus", "Euptera mirifica", "Polyommatus damone", "Polyommatus damone damone", "Polyommatus damone tanais", "Polyommatus damone walteri", "Polyommatus dantchenkoi", "Polyommatus orphicus", "Polyommatus orphicus eleniae", "Mammillaria schiedeana", "Mammillaria melanocentra", "Aconogonon sect.", "Plebejus lepidus", "Monocerotesa bifurca", "Monocerotesa maoershana", "Monocerotesa subradiata", "Monocerotesa trichroma", "Monocerotesa owadai", "Microcalicha macrodelika", "Microcalicha stueningi", "Microcalicha ferruginaria", "Microcalicha insolitaria", "Polyommatus aedon", "Enchylium tenax", "Boarmia insolitaria", "Ephalaenia chloralpha", "Microcalicha chloralpha", "Amblyomma varium", "Plebejus subsolanus", "Plebejus subsolanus barabash", "Plebejus subsolanus boreas", "Plebejus subsolanus khramovi", "Plebejus subsolanus myokoensis", "Plebejus subsolanus obukhovi", "Ornithodoros cavernicolous", "Motacilla flava iberiae", "Plebejus subsolanus subsolanus", "Motacilla flava beema", "Lysandra ossmar", "Lysandra ossmar ankara", "Xiphophorus xiphidium", "Ornithodoros quilinensis", "Ornithodoros azteci", "Ixodes fynbosensis", "Ornithodoros brodyi", "Carios hasei", "Ornithodoros fonsecai", "Mammillaria ser.", "Xiphophorus andersi", "Mammillaria bocasana", "Thoracophorus corticinus", "Thoracophorus costalis", "Tacinga palmadora", "Polyommatus myrrha", "Polyommatus myrrha myrrha", "Polyommatus myrrha araxiana", "Polyommatus myrrha cinyraea", "Pseudonympha trimenii ruthae", "Poecilmitis beaufortius", "Geokichla citrina citrina", "Polyommatus juldusus", "Polyommatus juldusus juldusus", "Polyommatus juldusus tianchinensis", "Dendrocitta vagabunda vagabunda", "Polyommatus kashani", "Polyommatus klausschuriani", "Buteo nitidus nitidus", "Treron phoenicopterus phoenicopterus", "Polyommatus lori", "Polyommatus mofidii", "Polyommatus mofidii mofidii", "Polyommatus mofidii sorkhensis", "Polyommatus muellerae", "Polyommatus pfeifferi", "Polyommatus pfeifferi pfeifferi", "Polyommatus pfeifferi astyages", "Polyommatus pfeifferi eclidius", "Catasticta chrysolopha", "Catasticta chrysolopha beatrizae", "Polyommatus phyllis", "Polyommatus phyllis phyllis", "Polyommatus phyllis dagestanica", "Polyommatus phyllis nekrutenkoi", "Polyommatus pierceae", "Polyommatus damone pljushtchi", "Polyommatus posthumus", "Polyommatus birunii", "Polyommatus ardschira", "Polyommatus ardschira ardschira", "Polyommatus ardschira luna", "Sclerocactus sect.", "Cymbirhynchus macrorhynchos macrorhynchos", "Coracina caledonica caledonica", "Lepidochrysops oosthuizeni", "Coracina caledonica thilenii", "Chlorodrepanis virens virens", "Myzomela cardinalis cardinalis", "Milvus aegyptius aegyptius", "Laniarius ferrugineus ferrugineus", "Yungipicus moluccensis moluccensis", "Aplonis tabuensis tabuensis", "Plebejus mongolicus", "Charaxes xiphares woodi", "Amblyomma inopinatum", "Lepidochrysops frederikeae", "Lepidochrysops coxii", "Lepidochrysops guichardi", "Lepidochrysops praeterita", "Lepidochrysops inyangae", "Lepidochrysops mpanda", "Lepidochrysops nacrescens", "Lepidochrysops nyika", "Lepidochrysops fulvescens", "Lepidochrysops vera", "Lepidochrysops longifalces", "Lepidochrysops budama", "Lepidochrysops jacksoni", "Lepidochrysops lukenia", "Lepidochrysops jansei", "Lepidochrysops albilinea", "Lepidochrysops nigrita", "Lepidochrysops ansorgei", "Lepidochrysops flavisquamosa", "Lepidochrysops ringa", "Lepidochrysops arabicus", "Eupetomena macroura macroura", "Pteroglossus torquatus torquatus", "Campephilus melanoleucos melanoleucos", "Celeus flavescens flavescens", "Thalurania furcata furcata", "Ninox novaeseelandiae novaeseelandiae", "Arremon assimilis", "Arremon atricapillus", "Arremon basilicus", "Arremon costaricensis", "Arremon perijanus", "Arremon phaeopleurus", "Arremon phygas", "Psilopogon zeylanicus zeylanicus", "Sclateria naevia naevia", "Chrysococcyx lucidus lucidus", "Centropus bengalensis bengalensis", "Platyrinchus platyrhynchos platyrhynchos", "Hirundinea ferruginea ferruginea", "Agapornis canus canus", "Buteogallus urubitinga urubitinga", "Coracina papuensis papuensis", "Thoracochromis albolabris", "Thoracochromis bakongo", "Thoracochromis brauschi", "Thoracochromis buysi", "Sclerocactus sect.", "Sclerocactus sect.", "Thoracochromis callichromus", "Thoracochromis demeusii", "Sclerocactus insertae sedis", "Thoracochromis fasciatus", "Thoracochromis lucullae", "Thoracochromis moeruensis", "Ninia diademata", "Xysticus clavulus", "Thoracochromis schwetzi", "Polyommatus cyaneus", "Ouratea jaliscensis", "Stenorrhina freminvillei", "Ferocactus herrerae", "Ferocactus tiburonensis", "Kretania zephyrinus", "Kretania usbeka", "Stenorrhina degenhardtii", "Geophis downsi", "Pseudotropheus fuscus", "Pseudotropheus galanos", "Pseudotropheus longior", "Pseudotropheus tursiops", "Ferocactus wislizeni subsp. wislizeni", "Symphimus mayae", "Strombocactus disciformis subsp. disciformis", "Strombocactus disciformis subsp. esperanzae", "Sibon carri", "Tropidodipsas fischeri", "Bolitoglossa omniumsanctorum", "Sclerocactus johnsonii", "Anolis macrophallus", "Thoracochromis stigmatogenys", "Thoracochromis wingatii", "Hydromorphus concolor", "Dipsas brevifacies", "Amastridium veliferum", "Amastridium sapperi", "Enulius flavitorques", "Anolis magnaphallus", "Anolis pseudokemptoni", "Anolis pseudopachypus", "Anolis hobartsmithi", "Anolis microlepis", "Anolis parvicirculatus", "Anolis pygmaeus", "Anolis lionotus", "Colax lemairei", "Colax viettei", "Colax viettei viettei", "Colax viettei arenensis", "Colax viettei chiapasensis", "Colax viettei caliensis", "Colax apulus", "Colax phocus", "Hapigia phocus", "Sphinx apulus", "Euphaedra larseni", "Euphaedra opulenta", "Centaurea subg.", "Centaurea sect.", "Centaurea spinosa", "Geophis rhodogaster", "Geophis nasalis", "Euphaedra exerrata", "Euphaedra modesta", "Euphaedra minuta", "Euphaedra stellata", "Euphaedra centralis", "Euphaedra appositiva", "Euphaedra piriformis", "Euphaedra ueleana", "Euphaedra controversa", "Euphaedra apparata", "Euphaedra grilloti", "Euphaedra solida", "Euphaedra jolyana", "Euphaedra regisleopoldi", "Euphaedra regularis", "Euphaedra persephona", "Euphaedra ignota", "Euphaedra tenebrosa", "Euphaedra wojtusiaki", "Euphaedra luteolucens", "Euphaedra knoopiana", "Euphaedra jacksoni", "Euphaedra dargeana", "Euphaedra demeter", "Xiphophorus cortezi", "Bombus hedini", "Bombus honshuensis", "Bombus humilis", "Xiphophorus evelynae", "Euphaedra imperialis imperialis", "Euphaedra imperialis arta", "Euphaedra imperialis gabonica", "Euphaedra imperialis hecqui", "Euphaedra rubrocostata rubrocostata", "Euphaedra rubrocostata generosa", "Euphaedra symphona symphona", "Euphaedra symphona affabilis", "Euphaedra adolfifrederici", "Euphaedra aubergeri", "Euphaedra aurivillii", "Euphaedra fucora", "Euphaedra luperca", "Euphaedra lupercoides", "Euphaedra luteofasciata", "Euphaedra marginalis", "Euphaedra splendens splendens", "Euphaedra splendens ghanaensis", "Euphaedra crossei crossei", "Euphaedra crossei akani", "Prosthemadera novaeseelandiae novaeseelandiae", "Eupsittula nana nana", "Godyris zavaleta", "Godyris zavaleta zavaleta", "Godyris zavaleta rosata", "Godyris zavaleta baudoensis", "Colias nastes ferrisi", "Euphaedra calliope calliope", "Euphaedra calliope aurichalca", "Euphaedra pallas", "Callipepla squamata squamata", "Euphaedra hastiri hastiri", "Euphaedra hastiri polymnie", "Cyrtonyx montezumae montezumae", "Euphaedra melpomene melpomene", "Euphaedra melpomene aubergeriana", "Euphaedra zaddachi zaddachi", "Euphaedra zaddachi crawshayi", "Euphaedra zaddachi elephantina", "Dinopium rafflesii rafflesii", "Euphaedra vingerhoedti", "Euphaedra mbamou", "Euphaedra athena", "Euphaedra barnsi", "Euphaedra christyi", "Euphaedra mariaechristina", "Euphaedra erici", "Euphaedra ducarmei", "Euphaedra extensa", "Euphaedra gausape", "Euphaedra judith", "Euphaedra landbecki", "Euphaedra morini", "Euphaedra ombrophila", "Euphaedra plantroui", "Euphaedra thalie", "Geophis fulvoguttatus", "Avenula pubescens", "Anemone debilis", "Anemone soyensis", "Heteropsis comorana", "Heteropsis comorana comorana", "Heteropsis comorana subrufa", "Heteropsis narcissus", "Heteropsis narcissus narcissus", "Heteropsis narcissus salimi", "Heteropsis narcissus comorensis", "Neptis comorarum", "Neptis comorarum comorarum", "Neptis comorarum legrandi", "Ferocactus emoryi subsp. emoryi", "Ferocactus emoryi subsp. rectispinus", "Ferocactus emoryi subsp. covillei", "Anolis kunayalae", "Anolis gruuo", "Anolis fortunensis", "Anolis tropidolepis", "Anolis townsendi", "Anolis tenorioensis", "Poicephalus robustus robustus", "Aprosmictus erythropterus erythropterus", "Anolis zeus", "Cinnyris sovimanga sovimanga", "Anolis roatanensis", "Xenodon rabdocephalus", "Junonia evarete swifti", "Junonia genoveva", "Junonia genoveva genoveva", "Euphaedra vandeweghei", "Rupornis magnirostris magnirostris", "Bombus deuteronymus", "Bombus digressus", "Bombus diligens", "Rupornis magnirostris alius", "Bombus excellens", "Bombus exil", "Ketupa zeylonensis zeylonensis", "Bombus fervidus", "Bombus filchnerae", "Polioptila plumbea plumbea", "Pristimantis espedeus", "Glaucis hirsutus hirsutus", "Cyanocitta stelleri stelleri", "Chloroceryle americana americana", "Aegolius acadicus acadicus", "Glaucidium brasilianum brasilianum", "Buteo lineatus lineatus", "Euphaedra laboureana laboureana", "Euphaedra laboureana bernaudi", "Euphaedra laboureana eburnensis", "Mammillaria varieaculeata", "Xiphophorus milleri", "Xiphophorus nigrensis", "Mammillaria karwinskiana subsp. karwinskiana", "Gampsonyx swainsonii swainsonii", "Aphelocoma californica californica", "Sitta pygmaea pygmaea", "Euphaedra mondahensis", "Mammillaria thornberi subsp. thornberi", "Mammillaria yaquensis", "Mammillaria ser.", "Mammillaria klissingiana", "Mammillaria hahniana", "Arhopala eucolpis", "Arhopala eucolpis eucolpis", "Arhopala eucolpis sudesta", "Arhopala sorena", "Neoscalpellum eltaninae", "Bombus imitator", "Mammillaria matudae", "Mammillaria sartorii", "Mammillaria ser.", "Ancylis catharaspis", "Eucosma chionophricta", "Lobesia paraphragma", "Polychrosis paraphragma", "Dicephalarcha dependens", "Argyroploce dependens", "Dinogenes dependens", "Dicephalarcha acupicta", "Dicephalarcha atava", "Dicephalarcha monometalla", "Dicephalarcha sicca", "Dicephalarcha anemodes", "Argyroploce anemodes", "Argyroploce dimorpha", "Argyroploce herbosa", "Dicephalarcha dimorpha", "Dicephalarcha herbosa", "Argyroploce mniopyrrha", "Argas abdussalami", "Argas africolumbae", "Argas arboreus", "Argas assimilis", "Argas beklemischevi", "Argas cooleyi", "Argas dalei", "Argas dulus", "Argas falco", "Argas giganteus", "Kisutam rosemary", "Mammillaria ser.", "Mammillaria ser.", "Crambus whalleyi", "Xanthocrambus watsoni", "Mesocrambus tamsi", "Calamotropha bradleyi", "Calamotropha azumai", "Coleophora glabricella", "Coleophora leucostrigella", "Coleophora zonatella", "Coleophora italiae", "Bombus impetuosus", "Bombus inexspectatus", "Cnephasia incinerata", "Cnephasia asbolodes", "Bombus laesus", "Cnephasia galeotis", "Bombus medius", "Bombus mesomelas", "Cnephasia taganista", "Bombus mexicanus", "Bombus mlokosievitzii", "Bombus morio", "Bombus mucidus", "Tortricodes adamana", "Bombus muscorum", "Bombus opifex", "Acleris fimbriana", "Peronea crocopepla", "Cacoecia impervia", "Cacoecia bathyglypta", "Cacoecia similis", "Archips machlopis", "Cacoecia machlopis", "Cacoecia compacta", "Cacoecia isocyrta", "Bombus opulentus", "Cacoecia transcutata", "Cacoecia seminubila", "Cacoecia interjecta", "Bombus pascuorum", "Archips emitescens", "Cacoecia emitescens", "Bombus pensylvanicus", "Eucosma hilarocrossa", "Pammene hilarocrossa", "Pammene epanthista", "Laspeyresia epanthista", "Sibon anthracops", "Cydia conoterma", "Argyroploce conoterma", "Laspeyresia conoterma", "Bombus persicus", "Bombus pseudobaicalensis", "Bombus pullatus", "Bombus remotus", "Bombus rubriventris", "Bombus ruderarius", "Bombus schrencki", "Bombus steindachneri", "Laspeyresina meridaspis", "Bombus sylvarum", "Eucosma meridaspis", "Bombus transversalis", "Bombus tricornis", "Hemimene refraga", "Eucosma metacritica", "Eucelis falcana", "Eucosma atelosticta", "Eucosma muliebris", "Paederus xui", "Polycaena lua", "Reicheocactus famatinensis", "Polycaena tamerlana", "Polycaena timur", "Polyommatus altivagans", "Polyommatus altivagans altivagans", "Polyommatus altivagans vaspurakani", "Rhadinaea decorata", "Polyommatus alcestis", "Polyommatus alcestis alcestis", "Polyommatus alcestis karacetinae", "Polyommatus bilgini", "Polyommatus cilicinus", "Xiphophorus mixei", "Xiphophorus monticolus", "Rhadinella stadelmani", "Rhadinella hannsteini", "Aphelia cinerarialis", "Aphelia fuscialis", "Aphelia flexiloqua", "Archips eximius", "Lumaria zeugmatovalva", "Lumaria zorotypa", "Lumaria zeteotoma", "Lumaria rhythmologa", "Tortrix rhythmologa", "Lumaria imperita", "Tortrix imperita", "Syndemis supervacanea", "Lozotaenia perapposita", "Bombus trinominatus", "Bombus weisi", "Bombus velox", "Bombus veteranus", "Bombus zonatus", "Afrotyphlops elegans", "Polyortha eupeplana", "Polyortha fluminana", "Polyortha myoxa", "Hemidactylus greeffii", "Polyortha sagax", "Xiphophorus kosszanderi", "Polyortha evestigana", "Xiphophorus roseni", "Hemidactylus biokoensis", "Polyortha symphyla", "Polyortha naevifera", "Polyortha clarkeana", "Stenocactus multicostatus", "Argas gilcolladoi", "Nanger dama dama", "Argas himalayensis", "Argas hoogstraali", "Argas japonicus", "Aphelia caucasica", "Pilosocereus subg.", "Argas lagenoplastis", "Argas lowryae", "Argas monachus", "Argas monolakensis", "Argas moreli", "Argas neghmei", "Argas nullarborensis", "Argas persicus", "Argas polonicus", "Argas radiatus", "Argas ricei", "Argas robertsi", "Argas streptopelia", "Argas striatus", "Argas theilerae", "Argas transgariepinus", "Argas walkerae", "Argas zumpti", "Sibon sanniolus", "Danielethus crenulatus", "Eugnosta xanthochroma", "Pharmacis assecula", "Eugnosta replicata", "Pharmacis replicata", "Eugnosta vecorda", "Eugnosta trimeni", "Conchylis trimeni", "Hysterosia hemiacta", "Trachybyrsis euglypta", "Trachybyrsis hypsitropha", "Cacoecia dorsiplagana", "Rhytidanthera splendida", "Tortrix biformis", "Lozotaenia elegans", "Cnephasia macrostoma", "Conchylis africana", "Cnephasia catastrepta", "Cnephasia chlorocrossa", "Cryptaspasma bipenicilla", "Bombus suckleyi", "Bombus sylvestris", "Bombus tibetanus", "Bombus turneri", "Bombus variabilis", "Arthrochilus latipes", "Myiothlypis coronata coronata", "Pulsatrix melanota melanota", "Cypsnagra hirundinacea hirundinacea", "Hypotia littoralis", "Hypotia mahafalyalis", "Aglodes rougeoti", "Aglodes mocquerysi", "Maradana adelinae", "Nussia jeanneli", "Loryma alluaudalis", "Rhadinella kinkelini", "Rhadinella godmani", "Ornithodoros alactagalis", "Rhadinella anachoreta", "Ornithodoros antiquus", "Ornithodoros apertus", "Ornithodoros compactus", "Ornithodoros porcinus", "Ornithodoros arenicolous", "Ornithodoros asperus", "Argas beijingensis", "Argas brevipes", "Argas brumpti", "Rhipicephalus lounsburyi", "Rhipicephalus lunulatus", "Rhipicephalus supertritus", "Margaropus winthemi", "Parirazona brusqueana", "Parirazona illota", "Parirazona sobrina", "Parirazona lagoana", "Phalonidia karsholti", "Phalonidia kathetospina", "Phalonidia lochites", "Phalonidia scolopis", "Phalonidia sarovalva", "Phalonidia introrsa", "Phalonidia hypagosocia", "Phalonidia praemorsa", "Bombus morawitzianus", "Bombus novus", "Bombus perezi", "Bombus quadricolor", "Cydia tunisiana", "Eugnosta umbraculata", "Bombus rupestris", "Euxanthis umbraculata", "Eugnosta uganoa", "Pharmacis feriata", "Bombus skorikovi", "Rhadinella lachrymans", "Cacoecia heliaspis", "Tortrix symplecta", "Depressaria acerbella", "Proselena ionephela", "Cacoecia adustana", "Borzicactus plagiostoma", "Rhipicephalus neumanni", "Pardaliparus elegans elegans", "Cyanistes teneriffae teneriffae", "Iodopleura pipra pipra", "Maradana metayei", "Maradana boudinoti", "Maradana himoensis", "Maradana bernardii", "Lantzodes bernardii", "Maradana dargei", "Lantzodes dargei", "Maradana alcardi", "Lantzodes alcardi", "Maradana maesi", "Maradana vinacealis", "Maradana nimbaensis", "Maradana africalis", "Nussodes africalis", "Maradana centrafricalis", "Loryma centrafricalis", "Zitha mabokealis", "Zitha dakarensis", "Hypotia vulgaris", "Ferocactus gracilis subsp. tortulispinus", "Leptodeira polysticta", "Mecyna marcidalis", "Mecyna joannisalis", "Mecyna trinalis", "Mecyna luteofluvalis", "Nolidia decrepita", "Nolidia deuteronana", "Geospizopsis plebejus plebejus", "Nyctiphrynus ocellatus ocellatus", "Haplospiza rustica rustica", "Nolidia elachistodes", "Nolidia eurymorpha", "Nolidia felicis", "Nolidia longinqua", "Nolidia minimalis", "Nolidia nigeriensis", "Nolidia notonana", "Nolidia paurosticta", "Nolidia platygrapha", "Nolidia pumilalis", "Evonima littoralis", "Caladenia caerulea", "Cyanicula caerulea var. caerulea", "Evonima littoralis littoralis", "Evonima westafricana", "Meganola endoscota endoscota", "Meganola brachyvalva", "Meganola dananae", "Meganola decima", "Epidendrum tetraceros", "Aldabrachelys gigantea arnoldi", "Polyommatus abdon", "Polyommatus admetus", "Opuntia megapotamica", "Opuntia ser.", "Coniophanes piceivittis", "Dendrobium trantuanii", "Caladenia cucullata", "Bombus cryptarum", "Cyphorhinus thoracicus thoracicus", "Basileuterus tristriatus tristriatus", "Myioborus melanocephalus melanocephalus", "Nhoabe ratovosonalis", "Philodryas baroni", "Nhoabe vittealis", "Betsimisaraka vittealis", "Nhoabe viettealis", "Nhoabe viettealis viettealis", "Nhoabe viettealis suarezalis", "Nhoabe millotalis", "Nhoabe sambiranoalis", "Nhoabe minetalis", "Nhoabe marionalis", "Mecyna syriacalis", "Hypsopygia nossibealis", "Hypsopygia ambrensis", "Hypsopygia mabokealis", "Hypsopygia boudinoti", "Hypsopygia griveaudalis", "Hypsopygia camerounalis", "Hypsopygia alluaudalis", "Hypsopygia bamakoensis", "Hypsopygia joannisalis", "Hypsopygia maesalis", "Hypsopygia murzinalis", "Hypsopygia metayei", "Proleucoptera parnasiella", "Nola ansorgei", "Nola chionoleuca", "Nola calochromata", "Nola phoenicosa", "Nola balealpina", "Nola iridescens", "Nola lobmayeri", "Nola obliquilinealis", "Nola bittermanni", "Nola brachymorpha", "Nola destituta", "Nola toulgoetiana", "Nola undulata", "Nola rubicastanea", "Nola guillermeti", "Nolidia improvisa", "Nolidia brandbergensis", "Nolidia chionographa", "Nolidia continua", "Nonnula ruficapilla ruficapilla", "Nolidia dallastai", "Cylindropuntia wolfii", "Argas bureschi", "Argas cucumerinus", "Amblyomma crassipes", "Amblyomma cruciferum", "Amblyomma parvitarsum", "Amblyomma personatum", "Haemaphysalis semermis", "Hyalomma rhipicephaloides", "Rhipicephalus appendiculatus", "Rhipicephalus maculatus", "Rhipicephalus oculatus", "Coracina macei macei", "Cercotrichas coryphoeus coryphoeus", "Xiphophorus gordoni", "Myiomela diana diana", "Macotasa sumatrana", "Pseudeilema ceramica", "Scoliacma schintlmeisteri", "Lyclene puncakica", "Dolgoma sinotibetica", "Dolgoma nanlingica", "Chlorochrysa calliparaea calliparaea", "Tangara xanthocephala xanthocephala", "Campephilus haematogaster haematogaster", "Crypturellus atrocapillus atrocapillus", "Turdus serranus serranus", "Corythopis torquatus torquatus", "Buteogallus solitarius solitarius", "Polyommatus venus", "Polyommatus venus venus", "Polyommatus venus markusha", "Parnassius acdestis acdestis", "Parnassius acdestis carolinae", "Opuntia ser.", "Opuntia ser.", "Coniophanes schmidti", "Aldabrachelys gigantea daudinii", "Opuntia ser.", "Opuntia elata var. elata", "Opuntia assumptionis", "Wormaldia sarda", "Opuntia retrorsa", "Drusus crenophylax", "Parnassius acdestis liudongi", "Parnassius liudongi", "Parnassius acdestis lucifer", "Parnassius acdestis lux", "Parnassius acdestis sugelicus", "Macaca leucogenys", "Mitella koshiensis", "Amazona mercenarius mercenarius", "Mimus longicaudatus longicaudatus", "Automolus ochrolaemus ochrolaemus", "Sphenopsis frontalis frontalis", "Aldabrachelys gigantea gigantea", "Udea montensis", "Anania fuscoverbascalis", "Udonomeiga vicinalis", "Pyrausta vicinalis", "Ostrinia latipennis", "Micractis albula", "Evergestis appendiculata", "Opisthotropis laui", "Serpophaga cinerea cinerea", "Conopias cinchoneti cinchoneti", "Xiphorhynchus chunchotambo chunchotambo", "Pionus tumultuosus tumultuosus", "Thripadectes melanorhynchus melanorhynchus", "Ampelion rufaxilla rufaxilla", "Cordia monoica", "Eudonia glaciaria", "Eudonia lii", "Eudonia chuanensis", "Naarda melistigma", "Leptodeira nigrofasciata", "Naarda nymphoida", "Naarda sonibacsi", "Naarda penicula", "Naarda variegata", "Naarda picata", "Naarda lingualis", "Naarda costicorna", "Naarda tetramacula", "Naarda crassipes", "Mythimna larseni", "Clytie omana", "Amazophrynella amazonicola", "Amazophrynella matses", "Pristimantis mutabilis", "Hyalinobatrachium dianae", "Opuntia ser.", "Parnassius acdestis cerevisiae", "Anoplogaster cornuta", "Anoplogaster brachycera", "Parnassius acdestis christianae", "Parnassius acdestis ekaii", "Parnassius acdestis hades", "Parnassius acdestis hayashii", "Parnassius acdestis horikatsuhikoi", "Parnassius acdestis imperatoides", "Parnassius acdestis limitis", "Parnassius acdestis yanae", "Parnassius acdestis takedai", "Parnassius acdestis wako", "Parnassius acdestis kuhkai", "Parnassius acdestis ladakensis", "Cinclus leucocephalus leucocephalus", "Pyrrhura rupicola rupicola", "Parnassius acdestis rupshuana", "Myrmoborus leucophrys leucophrys", "Herpsilochmus axillaris axillaris", "Parnassius acdestis martae", "Hydropsalis climacocerca climacocerca", "Parnassius acdestis ohkuma", "Myiodynastes chrysocephalus chrysocephalus", "Leptopogon superciliaris superciliaris", "Camponotus nigriceps", "Enyalioides anisolepis", "Enyalioides sophiarothschildae", "Opuntia stenarthra", "Parachironomus poyangensis", "Parachironomus frequens", "Parachironomus toneabeus", "Parachironomus kamaabeus", "Opuntia grosseana", "Cyphastrea kausti", "Sporophila bouvronides bouvronides", "Jasminocereus thouarsii var. sclerocarpus", "Opuntia sanguinea", "Melocactus ser.", "Melocactus macracanthos", "Melocactus stramineus", "Sarothrias sinicus", "Neuratelia jabalmoussae", "Clubiona pollicaris", "Clubiona submoralis", "Coniophanes quinquevittatus", "Coniophanes imperialis", "Opuntia echios var. echios", "Opuntia echios var. barringtonensis", "Opuntia echios var. zacana", "Opuntia galapageia", "Opuntia echios var. inermis", "Opuntia echios var. gigantea", "Opuntia galapageia var. galapageia", "Opuntia galapageia var. profusa", "Opuntia insularis", "Coniophanes fissidens", "Jasminocereus thouarsii var. thouarsii", "Jasminocereus thouarsii var. delicatus", "Ramphocelus sanguinolentus sanguinolentus", "Coniophanes bipunctatus", "Adelphicos veraepacis", "Euryphura porphyrion grassei", "Euryphura porphyrion congoensis", "Euryphene porphyrion", "Euryphura porphyrion togoensis", "Euryphura togoensis", "Melocactus lemairei subsp. lemairei", "Mila caespitosa", "Tunilla soehrensii", "Lophotriccus pileatus pileatus", "Parnassius acdestis peshkei", "Parnassius acdestis yamazakii", "Parnassius acdestis vogti", "Parnassius acdestis whitei", "Parnassius acdestis peeblesi", "Parnassius acdestis lampidius", "Parnassius acdestis macdonaldi", "Parnassius delphius macdonaldi", "Bombus unicus", "Parnassius acdestis fujitai", "Bombus vogti", "Parnassius acdestis manco", "Parnassius acdestis kitawakii", "Parnassius acdestis ivetae", "Parnassius acdestis lathonius", "Parnassius acdestis irenaephis", "Parnassius acdestis felix", "Parnassius delphius delphius", "Parnassius delphius cinerosus", "Parnassius acdestis cinerosus", "Parnassius acdestis macdonardi", "Parnassius acdestis cerberus", "Parnassius acdestis chakaensis", "Opuntia ser.", "Opuntia ser.", "Mylothris sagala sagala", "Mylothris sagala mayenceae", "Alophoixus bres bres", "Pseudacraea acholica", "Pseudacraea acholica acholica", "Pseudacraea acholica mayenceae", "Rhipidura aureola aureola", "Anisognathus somptuosus somptuosus", "Lanius collurioides collurioides", "Phalacrocorax auritus auritus", "Hypolimnas aubergeri", "Bebearia ducarmei", "Bebearia maximiana maximiana", "Bebearia maximiana ata", "Bebearia maximiana fontaineana", "Bebearia fountaineana fountaineana", "Malo filipina", "Bebearia fountaineana intersecta", "Bebearia fountaineana vinula", "Bebearia maximiana vinula", "Bebearia lopeensis", "Bebearia bouyeri", "Mylothris sagala", "Austrocylindropuntia vestita", "Cylindropuntia fulgida var. fulgida", "Cylindropuntia fulgida var. mamillata", "Austrocylindropuntia subulata subsp. subulata", "Adelphicos ibarrorum", "Stercorarius antarcticus antarcticus", "Thalasseus bengalensis bengalensis", "Meganola tenuimorpha tenuimorpha", "Meganola tenuimorpha bursoides", "Attagis gayi gayi", "Telophorus sulfureopectus sulfureopectus", "Garrulax rufifrons rufifrons", "Polyplectron chalcurum chalcurum", "Columbina squammata squammata", "Columbina squammata ridgwayi", "Diplopodomyces lusitanipodos", "Euphaedra morini morini", "Euphaedra morini erici", "Opuntia triacantha", "Opuntia \u00d7 cubensis", "Opuntia ser.", "Opuntia lasiacantha", "Bombus bellardii", "Nokona michinoku", "Bombus sylvicola", "Amblychia yuwanina", "Philonome cuprescens", "Philonome clemensella", "Philonome euryarga", "Philonome rifivera", "Philonome spectata", "Philonome wielgusi", "Philonome nigrescens", "Philonome penerivifera", "Philonome lambdagrapha", "Philonome curvilineata", "Opuntia utkilio", "Philonome albivittata", "Philonome kawakitai", "Opuntia kiska-loro", "Eadmuna pulverula", "Perophora pulverula", "Cicinnus pulverula", "Eadmuna esperans", "Eadmuna paloa", "Eadmuna guianensis", "Bannana crassispina", "Bannana parvula", "Eresus hermani", "Enyalioides altotambo", "Masdevallia ingridiana", "Gymnocalycium horstii subsp. horstii", "Gymnocalycium horstii subsp. buenekeri", "Gymnocalycium uruguayense", "Gymnocalycium hyptiacanthum", "Neuratelia salmelai", "Meganola derrae", "Meganola dissoluta", "Melocactus intortus subsp. intortus", "Meganola hausmanni", "Meganola heteromorpha", "Meganola microfascia", "Meganola murzinialis", "Meganola nona", "Meganola octava", "Meganola septima", "Meganola subderrae", "Meganola subpraefica", "Meganola furvitincta", "Meganola monofascia", "Melocactus intortus subsp. domingensis", "Melocactus lemairei", "Nola dochmographa", "Paranola euryochra", "Nola hypenoides", "Nola loxoleuca", "Nola ochrographa", "Goeppertia cylindrica", "Opuntia aciculata", "Chimaphila kishidai", "Chimaphila vernalis", "Larerannis albicans", "Apocheima nigrescens", "Phigalia nigrescens", "Callabraxas tokunoshimaensis", "Leccinum scabrum", "Opuntia \u00d7 columbiana", "Opuntia pinkavae", "Bombus oberti", "Bombus obtusus", "Bombus sibiricus", "Bombus sulfureus", "Bombus avinoviellus", "Bombus convexus", "Bombus defector", "Bombus handlirschianus", "Bombus himalayanus", "Bombus margreiteri", "Bombus marussinus", "Bombus mendax", "Bombus superbus", "Bombus turkestanicus", "Bombus waltoni", "Adenanthos strictus", "Monosyntaxis sulawesiensis", "Monosyntaxis samoensis", "Bombus pyrosoma", "Bombus richardsiellus", "Bombus rufipes", "Bombus rufofasciatus", "Bombus semenovianus", "Bombus sichelii", "Bombus simillimus", "Bombus tanguticus", "Opuntia ser.", "Opuntia pusilla", "Negeta franeyae", "Hypsiforma toulgoeti", "Oglasa bergeri", "Caryonopera anontsy", "Caryonopera novory", "Caryonopera orientana", "Hypolimnas salmacis", "Hypolimnas salmacis salmacis", "Hypolimnas salmacis insularis", "Hypolimnas salmacis ulysses", "Charaxes usambarae maridadi", "Euphaedra canui", "Leatettix laticornis", "Leatettix zetti", "Leatettix tiono", "Leatettix ratoza", "Leatettix tsaoba", "Leatettix nasuta", "Leatettix noteta", "Leatettix timusa", "Leatettix zomana", "Leatettix vume", "Leatettix fala", "Leatettix monto", "Leatettix browni", "Bombus funerarius", "Bombus braccatus", "Bombus haemorrhoidalis", "Bombus asiaticus", "Meganola fontainei", "Gymnocalycium paraguayense", "Meganola tephrographa", "Meganola uwinka", "Meganola nanographa", "Meganola staudei", "Meganola asperiaria", "Meganola mbala", "Meganola pernivosa", "Gymnocalycium hybopleurum", "Roeselia scripta", "Xiphophorus signum", "Echinocereus fendleri subsp. hempelii", "Echinocereus fendleri subsp. rectispinus", "Echinocereus viereckii", "Vandamia kettlewelli", "Vandamia mariepi", "Vandamia tabulalis", "Barasa hulstaerti", "Gymnocalycium hyptiacanthum subsp. netrelianum", "Gymnocalycium hyptiacanthum subsp. hyptiacanthum", "Gymnocalycium pflanzii", "Gymnocalycium pflanzii subsp. pflanzii", "Gymnocalycium pflanzii subsp. zegarrae", "Meganola knysna", "Meganola phaeopolia", "Meganola pyrrholeucalis", "Meganola harenna", "Meganola odontigera", "Meganola deprinsiella", "Meganola ingeminata", "Meganola palaeographa", "Meganola pyrrhomorpha", "Meganola tabbertiella", "Meganola elgonia", "Meganola subnivosa", "Echinocereus pentalophus", "Echinocereus pentalophus subsp. pentalophus", "Echinocereus pentalophus subsp. leonensis", "Echinocereus pentalophus subsp. procumbens", "Goeppertia majestica", "Crambidia xanthocorpa", "Goeppertia makoyana", "Goeppertia warszewiczii", "Amorbia erinae", "Goeppertia ornata", "Goeppertia pulchella", "Goeppertia picturata", "Sorolopha suthepensis", "Brackenridgea elegantissima", "Sorolopha undula", "Echinocereus fendleri subsp. fendleri", "Echinocereus fendleri subsp. kuenzleri", "Yazakia dentopilosa", "Yazakia similaria", "Yazakia pectinalis", "Yazakia subcallipteris", "Yazakia masuii", "Yazakia sophiecooperae", "Micromedasina malaysiana", "Micromedasina owadana", "Micromedasina reticulata", "Medasina reticulata", "Chorodna reticulata", "Sinameda intricata", "Wittia constansa", "Trischalis pullipuncta", "Bos frontalis", "Teulisna nigrisquama", "Teulisna flexusa", "Stictane pectenicorniculum", "Stictane mlcochi", "Schistophleps flavia", "Philenora micra", "Meteugoa mirus", "Malesia tanahratana", "Manucodia ater ater", "Poecilia vivipara", "Echinocereus papillosus", "Savarna kraburiensis", "Phaenicophaeus diardi diardi", "Taxidiotisoma portabile", "Zimmerius chicomendesi", "Sitta azurea azurea", "Melanocharis nigra nigra", "Coecobrya sanmingensis", "Coecobrya qinae", "Xiphophorus kallmani", "Xiphophorus mayae", "Mycoplasma haemofelis", "Goeppertia allouia", "Imantodes gemmistratus", "Parnassius acdestis josefineae", "Parnassius acdestis kozaburoi", "Goeppertia crocata", "Parnassius acdestis laurentii", "Xiphophorus meyeri", "Macaduma cinnamum", "Lyclene x-linea", "Lyclene venustusa", "Lyclene valdenigra", "Lyclene undulata", "Lyclene pectena", "Lyclene labyrintha", "Lyclene lineidistincta", "Meganola angolalis", "Meganola leucalea", "Nola leucalea", "Meganola oligostigma", "Meganola poliogramma", "Opuntia lindheimeri", "Meganola stigmatolalis", "Meganola fulvolurida", "Meganola captiva", "Meganola kuehnei", "Aldabrachelys abrupta", "Aldabrachelys grandidieri", "Goeppertia elliptica", "Goeppertia leonia", "Goeppertia lindeniana", "Goeppertia loeseneri", "Goeppertia zebrina", "Opuntia bisetosa", "Gymnocalycium horstii", "Pisara gemmata", "Selca nitida", "Krananda nicolasi", "Chrysocraspeda baderi", "Euriphene canui", "Euriphene jolyana", "Euriphene batesana", "Euriphene doriclea doriclea", "Euriphene doriclea ducarmei", "Euriphene doriclea infusca", "Euriphene lysandra", "Euriphene melanops", "Euriphene paralysandra", "Papilio fuelleborni fuelleborni", "Papilio fuelleborni rydoni", "Papilio hornimani hornimani", "Papilio hornimani mbulu", "Papilio hornimani mwanihanae", "Charaxes acuminatus rondonis", "Maculonaclia griveaudi", "Goodia violascens", "Orthogonioptilum violascens violascens", "Gymnocalycium calochlorum", "Pseudoludia suavis", "Pseudoludia suavis suavis", "Pseudoludia suavis nyungwe", "Phaenicophaeus leschenaultii leschenaultii", "Goeppertia macrosepala", "Amblychia nanlingana", "Amblychia fushana", "Amblychia cavimargo", "Amblychia nimia", "Bombus magnus", "Bombus occidentalis", "Stigmella alisa", "Xiphophorus pygmaeus", "Stigmella kumashidai", "Stigmella hamamelella", "Stigmella gracilipae", "Stigmella pourthiaeella", "Stigmella azukinashii", "Stigmella tenryuensis", "Acosmeryx purus", "Pristimantis pariagnomus", "Pristimantis longicorpus", "Pristimantis geminus", "Pristimantis hoogmoedi", "Pristimantis nubisilva", "Dubatolova prabana", "Indiania arcana", "Indiania auriflucta", "Indiania eccentropis", "Barsine arcana", "Barsine stefaniae", "Barsine perlucidula", "Cyana determinata", "Bombus morawitzi", "Leatettix moraki", "Leatettix sulefa", "Bombus niveatus", "Leatettix wotafa", "Leatettix emole", "Leatettix emota", "Leatettix pota", "Leatettix sopika", "Leatettix ukami", "Leatettix derula", "Leatettix tido", "Leatettix coti", "Leatettix erymna", "Leatettix wiga", "Leatettix nama", "Leatettix sipina", "Leatettix limbi", "Leatettix selupa", "Leatettix selupina", "Leatettix denticornis", "Leatettix smiti", "Uvarovidium peninsulare", "Atthis heloisa heloisa", "Tanquata dabadum", "Tanquata kaiba", "Eneremius mutus", "Eneremius rugulosus", "Lithidiopsis rugulosus", "Onosma aucherana", "Zimmerius acer", "Oobius whiteorum", "Trichiusa pilosa", "Trichiusa atra", "Trichiusa monticola", "Trichiusa parviceps", "Trichiusa parvicollis", "Hisonotus vespuccii", "Caladenia ustulata", "Goeppertia micans", "Goeppertia nigricans", "Calochilus stramenicola", "Goeppertia rufibarba", "Leucotrichia melleopicta", "Goeppertia sanderiana", "Leucotrichia adela", "Goeppertia undulata", "Goeppertia veitchiana", "Leucotrichia alisensis", "Goeppertia wallisii", "Chironex yamaguchii", "Alectryon macrococcum", "Alpinia caerulea", "Alpinia graminifolia", "Alpinia jianganfeng", "Caladenia gemmata", "Galbula ruficauda ruficauda", "Lybius minor minor", "Leucotrichia angelinae", "Leucotrichia denticulata", "Leucotrichia dianeae", "Leucotrichia fulminea", "Leucotrichia hispida", "Leucotrichia kateae", "Leucotrichia pectinata", "Leucotrichia procera", "Leucotrichia repanda", "Leucotrichia rhomba", "Leucotrichia riostoumae", "Leucotrichia sidneyi", "Leucotrichia tapantia", "Leucotrichia ayura", "Leucotrichia inops", "Leucotrichia interrupta", "Leucotrichia mutica", "Leucotrichia padera", "Leucotrichia brochophora", "Chimarra acinaciformis", "Metrichia temascalapensis", "Metrichia extragna", "Helicigona lapicida", "Mexitrichia velasquezi", "Mexitrichia spinulata", "Mortoniella roldani", "Mortoniella enchrysa", "Mortoniella iridescens", "Protoptila voluta", "Targalla silvicola", "Orthotomus ruficeps ruficeps", "Centropus melanops melanops", "Psilopsiagon aurifrons aurifrons", "Anania syneilesidis", "Parnassius actius actius", "Parnassius jacquemonti", "Parnassius jacquemonti jacquemonti", "Parnassius jacquemonti chilieni", "Plebejus choltagi", "Parnassius acco gloria", "Plebejus melissa", "Platylophus galericulatus galericulatus", "Caprimulgus pectoralis pectoralis", "Parnassius acco kocmani", "Barasa katbergensis", "Seibaldia marion", "Echinocereus viereckii subsp. viereckii", "Actinotia bicornuta", "Auchmis moczarlaszloi", "Polymixis serratilinea", "Polymixis jabaliya", "Polymixis pirkadatka", "Apamea cryptapamea", "Agrotis aistleitneri", "Goeppertia roseopicta", "Agrotis diverticulata", "Chersotis fimbriola peninsularis", "Crocallis merzbacheri", "Crocallis inexpectata", "Crocallis inexpectata inexpectata", "Crocallis inexpectata caucasi", "Crocallis inexpectata cappadoica", "Crocallis elingomorpha", "Crocallis loebeli", "Crocallis rothei", "Crocallis sylvana", "Lygephila vargai", "Autophila cinnamonea", "Autophila libanotica", "Autophila libanotica libanotica", "Echinocereus viereckii subsp. morricalii", "Autophila libanotica osthelderi", "Echinocereus viereckii subsp. huastecensis", "Echinocereus viereckii subsp. santamariensis", "Autophila libanotica xsayarsa", "Echinocereus berlandieri", "Caladenia drummondii", "Parnassius acco acco", "Parnassius acco akico", "Parnassius andreji andreji", "Parnassius andreji kongfuzii", "Autophila depressa", "Spintherops depressa", "Autophila depressa depressa", "Autophila depressa draudti", "Dasypolia draudti", "Autophila depressa perornata", "Autophila depressa pakistani", "Autophila vespertalis", "Spintherops vespertalis", "Autophila vespertalis vespertalis", "Bolivicactus comarapanus", "Echinocereus pulchellus", "Brackenridgea australiana", "Echinocereus pulchellus subsp. pulchellus", "Plebejus melissa melissa", "Echinocereus pulchellus subsp. weinbergii", "Echinocereus pulchellus subsp. sharpii", "Echinocereus pulchellus subsp. acanthosetus", "Echinocereus coccineus subsp. coccineus", "Echinocereus coccineus subsp. paucispinus", "Echinocereus russanthus", "Echinocereus websterianus", "Plebejus melissa annetta", "Dipsosaurus dorsalis", "Adenium oleifolium", "Autophila vespertalis obscurata", "Thaiscelis alutaceus", "Dolichopoda fortuita", "Callianthe sellowiana", "Barycnemis sugonyaevi", "Nystalus striolatus torridus", "Siboglinum davisiense", "Siboglinum scotiense", "Siboglinum gureevae", "Siboglinum quadrannulatum", "Irkana linica", "Discophallus ascension", "Discophallus philipi", "Echinocereus klapperi", "Parnassius acco rosea", "Parnassius acco goergneri", "Parnassius hide", "Parnassius hide hide", "Ariocarpus trigonus", "Parnassius hide samantabhadra", "Parnassius hide meveli", "Parnassius imperator imperator", "Parnassius imperator karmapa", "Ramphastos sulfuratus sulfuratus", "Parnassius imperator augustus", "Parnassius imperator erlaensis", "Parnassius imperator imposantus", "Parnassius imperator kameii", "Parnassius imperator luxuriosus", "Parnassius imperator panna", "Parnassius imperator tara", "Parnassius imperator titus", "Parnassius simo simo", "Parnassius simo shishapangmanus", "Parnassius simo norikoae", "Parnassius eversmanni eversmanni", "Nomada komarowi", "Nomada koreana", "Nomada kornosica", "Nomada nesiotica", "Nomada krombeini", "Nomada noskiewiczi", "Nomada swenki", "Nomada lagrecai", "Nomada leucotricha", "Nomada rhinula", "Nomada leucozona", "Nomada linsenmaieri", "Nomada sicula", "Nomada litigiosa", "Poecilia boesemani", "Centropus menbeki menbeki", "Hemiprocne mystacea mystacea", "Discophallus myrtleae", "Discophallus pallidus", "Discophallus amplus", "Chloroselas pseudozeritis", "Chloroselas pseudozeritis pseudozeritis", "Chloroselas pseudozeritis ngottoana", "Mesosemia exilinea", "Arthothelium ambiguellum", "Parnassius cephalus cephalus", "Parnassius cephalus brilliantinus", "Parnassius cephalus danielae", "Parnassius cephalus weissi", "Parnassius cephalus dengxiaoping", "Castanopsis faberi", "Parnassius labeyriei", "Parnassius labeyriei labeyriei", "Parnassius labeyriei kiyotakai", "Parnassius labeyriei naocoae", "Parnassius labeyriei giacomazzoi", "Phyllomyias weedeni", "Tephrocactus weberi", "Hesperotestudo bermudae", "Hesperotestudo annae", "Hesperotestudo campester", "Micrarctia kautti", "Gnophaela baileyi", "Dysschema faustinoi", "Gnophaela cathetozosta", "Potamanaxas louisghilli", "Autophila glebicolor", "Spintherops glebicolor", "Spintherops hirsuta", "Autophila hirsuta", "Autophila rasilis", "Autophila hirsutula", "Spintherops hirsutula", "Spintherops rasilis", "Autophila deleta", "Autophila fuscolampra", "Autophila simulata", "Autophila horrida", "Plebejus pseudaegon insularis", "Plebejus pseudaegon pseudaegon", "Plebejus pseudaegon ussuricus", "Plebejus sinicus", "Scorpiops ingens", "Iris sect.", "Plebejus melissa mexicana", "Plebejus melissa paradoxa", "Plebejus samuelis", "Plebejus noah", "Plebejus nushibi", "Plebejus planorum", "Parnassius eversmanni vysokogornyiensis", "Agathia lycaenaria", "Parnassius eversmanni lautus", "Parnassius eversmanni altaica", "Parnassius eversmanni felderi", "Parnassius eversmanni gornyiensis", "Parnassius eversmanni daisetsuzanus", "Parnassius eversmanni polarius", "Parnassius eversmanni sarymsaktyensis", "Parnassius eversmanni sasai", "Parnassius eversmanni litoreus", "Parnassius eversmanni magadana", "Parnassius eversmanni nishiyamai", "Phlogophora nyestmacska", "Phlogophora falcifera", "Isognomostoma isognomostomos", "Lampornis clemenciae clemenciae", "Phlogophora africarabica", "Bombyciella sericea", "Locustella chengi", "Graptasura witti", "Aemene somodyi", "Tetricodes fennahi", "Hesperotestudo alleni", "Hesperotestudo angusticeps", "Myzomela eques eques", "Pitohui kirhocephalus kirhocephalus", "Pelochrista fiskeana", "Eucosma pandana", "Pelochrista sullivani", "Pelochrista lynxana", "Pelochrista agrestana", "Pelochrista argenteana", "Pelochrista aureliana", "Pseudeucosma alexinschiana", "Pelochrista alexinschiana", "Coptotriche minuta", "Tischeria unca", "Tischeria sichotensis", "Plebejus pseudaegon", "Tephrocactus aoracanthus", "Maihueniopsis darwinii", "Polyarista albistoma", "Brulleia fanjingensis", "Brulleia longipalpis", "Brulleia noncarinata", "Brulleia punctata", "Escobaria chihuahuensis", "Kenyaichthys kipkechi", "Escobaria vivipara", "Argyresthia albistria", "Argyresthia albistria albistria", "Argyresthia albistria insularis", "Argyresthia alternatella", "Argyresthia prenjella", "Argyresthia submontana", "Argyresthia tarmanni", "Argyresthia amiantella", "Argyresthia arceuthina", "Argyresthia bergiella", "Argyresthia buvati", "Argyresthia chrysidella", "Argyresthia cupressella", "Argyresthia nemorivaga", "Argyresthia ornatipennella", "Argyresthia uralensis", "Maranta polystachya", "Ducula oceanica oceanica", "Ochna sect.", "Phonygammus keraudrenii keraudrenii", "Nomada kocoureki", "Nomada margelanica", "Nomada pesenkoi", "Nomada spinicoxa", "Maltagorea ambahona", "Plebejus tillo", "Rhodopteriana ulembwana", "Plebejus uiguricus", "Rhodopteriana rungwana", "Rhodopteriana salaamensis", "Rhodopteriana gishwatiana", "Rhodopteriana kataviana", "Rhodopteriana iyayiana", "Rhodopteriana geita", "Rhodopteriana nakitomana", "Rhodopteriana sidamoensis", "Iris ser.", "Iris ser.", "Onosma zerizamina", "Iris ser.", "Iris arenaria", "Verbascum spinosum", "Iris tigridia var. tigridia", "Iris tigridia var. fortis", "Parnassius simonius saluki", "Parnassius kangchenus", "Parnassius kanoi", "Parnassius tenedius tenedius", "Parnassius tenedius britae", "Parnassius tenedius sceptica", "Parnassius tenedius valcanus", "Parnassius simo acconus", "Parnassius simo avinoffi", "Parnassius simo bieberi", "Parnassius simo buddenbrocki", "Haplophyllum buxbaumii", "Palaeagrotis adrienneae", "Palaeagrotis inops", "Hadena inops", "Palaeagrotis sibirica", "Heterographa sibirica", "Viettesia tristis", "Viettesia unipuncta", "Viettesia viettei", "Viettesia virginalis", "Viettesia bicolor", "Viettesia matilei", "Viettesia griseovariegata", "Nolosia griseovariegata", "Turlinia phalaenoides", "Iris subg.", "Iris sect.", "Iris sect.", "Iris ser.", "Hylopezus paraensis", "Hypochrysops akirai", "Iris sect.", "Stenotenes marmorea", "Euploea phaenareta caeruleoreducta", "Spilosoma sinnemorum", "Lactura pyronympha", "Lactura lineolata", "Lactura pyrilampis", "Lactura plagiata", "Enaemia pyrilampis", "Dichrostoptera basilinea", "Bursadella basilinea", "Bursadella timetica", "Imma timetica", "Parnassius phoebus tsenguun", "Utetheisa sedlaceki", "Lycaena alpherakii", "Lycaena alpherakii alpherakii", "Lycaena alpherakii sergeii", "Rimisia miris", "Rimisia miris miris", "Rimisia miris miatleuskyi", "Plebejus maracandicus maracandicus", "Plebejus maracandicus gobianus", "Iris subg.", "Iris subg.", "Iris sect.", "Adelocosa anops", "Vanilla raabii", "Autophila einsleri einsleri", "Autophila einsleri clara", "Plebejus samudra", "Autophila einsleri cyprogena", "Plebejus samudra samudra", "Autophila einsleri garmsira", "Autophila einsleri hormuza", "Plebejus samudra lesliei", "Autophila einsleri nigromarginata", "Autophila luxuriosa elbursica", "Autophila einsleri taurica", "Autophila eurytaenia", "Autophila gabrieli", "Plebejus tomyris", "Agrias zenodorus", "Agrias zenodorus zenodorus", "Agrias zenodorus smalli", "Anaea kingi", "Caenides allyni", "Adafroptilum coccineum", "Aurivillius lucidus", "Aurivillius diversus", "Aurivillius zambianus", "Plebejus tancrei", "Maltagorea mariae", "Maltagorea pseudomariae", "Maltagorea altivola", "Gymnadenia borealis", "Iris \u00d7 cacique", "Iris \u00d7 flexicaulis", "Iris \u00d7 fulvala", "Iris \u00d7 vinicolor", "Paphinia zamorae", "Ludia apora", "Ludia obscura", "Ludia eximia", "Charaxes karkloof", "Charaxes berkeleyi berkeleyi", "Charaxes marieps", "Charaxes karkloof karkloof", "Charaxes karkloof capensis", "Charaxes alpinus alpinus", "Charaxes alpinus nyikensis", "Charaxes manica", "Charaxes gallagheri", "Charaxes martini", "Charaxes jasius epijasius", "Charaxes jasius harrisoni", "Charaxes jasius pagenstecheri", "Charaxes jasius saturnus", "Charaxes jasius brunnescens", "Charaxes fulvescens", "Charaxes fulvescens fulvescens", "Charaxes fulvescens monitor", "Charaxes acuminatus stonehami", "Charaxes acuminatus kigezia", "Parnassius boedromius boedromius", "Parnassius boedromius hohlbecki", "Parnassius boedromius martiniheringi", "Parnassius boedromius prasolovi", "Parnassius boedromius sokolovi", "Parnassius boedromius toshioi", "Parnassius simonius simonius", "Parnassius simonius grayi", "Parnassius simonius nigrificatus", "Parnassius simonius mentor", "Parnassius simonius taldicus", "Chitoria sordida modesta", "Chitoria sordida naga", "Iris ser.", "Iris verna var. verna", "Iris verna var. smalliana", "Iris ser.", "Goateria septembralis", "Iris \u00d7 violipurpurea", "Iris \u00d7 thompsonii", "Iris \u00d7 lundstroemii", "Iris sanguinea var. sanguinea", "Iris \u00d7 nelsonii", "Eidophasia tauricella", "Parnassius simo qinghaiensis", "Parnassius simo reinigi", "Parnassius simo sasereensis", "Parnassius simo simoides", "Parnassius simo simplicata", "Parnassius simo simulator", "Parnassius simo staidamensis", "Parnassius simo subtilis", "Parnassius simo teiae", "Parnassius simo tinonis", "Parnassius simo wenquanensis", "Parnassius simo yoshikoae", "Parnassius simo zarraensis", "Parnassius simo lenzeni", "Parnassius andreji dirschi", "Parnassius andreji eos", "Parnassius andreji simillimus", "Parnassius andreji yayoiae", "Parnassius andreji buddenbrocki", "Parnassius andreji ogawai", "Parnassius acco jirinae", "Parnassius cephalus pythia", "Parnassius cephalus elwesi", "Parnassius cephalus rileyanus", "Parnassius cephalus micheli", "Parnassius cephalus irene", "Parnassius cephalus eierhoffi", "Parnassius cephalus sengei", "Parnassius cephalus erlaensis", "Parnassius cephalus horii", "Parnassius cephalus takensakai", "Parnassius cephalus paimaensis", "Parnassius orleans orleans", "Parnassius orleans mikamii", "Parnassius orleans rikitai", "Parnassius orleans lakshmi", "Parnassius orleans ratnasambhaba", "Parnassius orleans toshikoae", "Parnassius charltonius charltonius", "Parnassius pshartanus", "Parnassius autocrator autocrator", "Parnassius autocrator mazda", "Parnassius romanovi", "Chaerilus pseudoconchiformus", "Autophila simplex", "Spintherops simplex", "Autophila lia", "Spintherops lia", "Autophila himalayica", "Amphipyra himalayica", "Autophila curiosa", "Apopestes curiosa", "Autophila monstruosa", "Autophila banghaasi", "Autophila banghaasi banghaasi", "Autophila banghaasi geghardica", "Autophila sinesafida", "Plebejus qinghaiensis", "Plebejus rogneda", "Autophila einsleri", "Plebejus roxane", "Iris sect.", "Autophila einsleri arnyekolta", "Opharus fallax", "Opharus subflavus", "Opharus omissoides", "Opharus lugubris", "Tessella grandis", "Tessella grandis grandis", "Viettesia aequalis", "Viettesia bella", "Viettesia bimaculosa", "Viettesia brunneomixta", "Viettesia erastrioides", "Viettesia hampsoni", "Viettesia incerta", "Viettesia infuscata", "Viettesia lucida", "Viettesia luctuosa", "Viettesia modesta", "Viettesia multistrigata", "Viettesia ornatrix", "Viettesia pantherina", "Viettesia perroti", "Viettesia proxima", "Viettesia rufibasis", "Viettesia transversa", "Elhamma grehani", "Elhamma viettei", "Elhamma toxopeusi", "Zauxieus toxopeusi", "Elhamma roepkei", "Theaxieus roepkei", "Elhamma diakonoffi", "Theaxieus diakonoffi", "Elhamma australasiae", "Hepialus australasiae", "Elhamma inconcluso", "Porina banghaasii", "Perissectis australasiae", "Parnassius simo callianthe", "Parnassius simo chenrezi", "Parnassius simo chitulaensis", "Parnassius simo colosseus", "Parnassius simo confusa", "Parnassius simo demtchokensis", "Parnassius simo gyrippos", "Parnassius simo ganymedes", "Parnassius simo hilariae", "Parnassius simo hingstoni", "Parnassius simo kahstahsensis", "Parnassius simo kangchenus", "Parnassius simo kangruensis", "Protobothrops flavoviridis", "Parnassius simo kangtinsis", "Parnassius simo kanoi", "Parnassius simo kazuei", "Parnassius simo kozlovi", "Parnassius simo kunlunensis", "Parnassius simo lanaki", "Parnassius simo lise", "Parnassius simo lorimeri", "Parnassius simo lucieae", "Parnassius simo miroku", "Parnassius simo ogawai", "Parnassius simo peteri", "Parnassius simo prominentus", "Parnassius simo qilianshanicus", "Autophila laetifica", "Iris ser.", "Apopestes dilucida", "Apopestes dilucida dilucida", "Apopestes dilucida laetifica", "Iris ser.", "Autophila subfusca", "Autophila subfusca subfusca", "Spintherops dilucida", "Spintherops dilucida dilucida", "Spintherops dilucida subfusca", "Autophila subfusca latistria", "Autophila subfusca brandti", "Autophila xenomima", "Autophila xena", "Autophila cryptica", "Autophila eremochroa", "Autophila turcomana", "Autophila dilucida", "Noctua dilucida", "Autophila dilucida dilucida", "Autophila dilucida ptolemies", "Autophila dilucida berioi", "Autophila dilucida troniceki", "Autophila asiatica", "Spintherops dilucida asiatica", "Autophila asiatica asiatica", "Autophila asiatica megasiatica", "Autophila asiatica mienshana", "Autophila cerealis", "Spintherops cerealis", "Autophila cerealis cerealis", "Autophila cerealis amseli", "Autophila rosea", "Spintherops dilucida rosea", "Autophila cataphanes", "Noctua cataphanes", "Autophila cataphanes cataphanes", "Autophila cataphanes corsicosa", "Autophila cataphanes barbarica", "Autophila cataphanes satanas", "Mimulosia albipicta", "Mimulosia centripuncta", "Mimulosia flavescens", "Mimulosia funerea", "Mimulosia griveaudi", "Mimulosia incerta", "Mimulosia melaleuca", "Mimulosia mimetica", "Mimulosia orthochroma", "Mimulosia perineti", "Mimulosia pyraloides", "Mimulosia separanda", "Mimulosia suberythroea", "Mimulosia suffusa", "Mimulosia undulosa", "Mimulosia alticola", "Mimulosia griveaudianus", "Eleutherodactylus bothroboans", "Mimulosia proxima", "Philenora proxima", "Philenora pseudotortrix", "Philenora rotunda", "Philenora tortricoides", "Mimulosia pseudotortrix", "Mimulosia rotunda", "Mimulosia tortricoides", "Philenora quadripunctaria", "Mimulosia quadripunctaria", "Apatura sordida", "Eleutherodactylus paralius", "Iris ser.", "Anaglyptus tichyi", "Anaglyptus arcanus", "Epicephala pyrrhogastra", "Epicephala calasiris", "Epicephala acinacephora", "Epicephala bathrobaphes", "Epicephala bromias", "Epicephala chalinosema", "Epicephala zalosticha", "Epicephala stephanephora", "Epicephala spumosa", "Epicephala nephelodes", "Epicephala lomatographa", "Epicephala eugonia", "Epicephala chalybacma", "Epicephala colymbetella", "Epicephala euchalina", "Epicephala exetastis", "Epicephala flagellata", "Epicephala frenata", "Epicephala periplecta", "Iraina periplecta", "Epicephala scythropis", "Epicephala sphenitis", "Epicephala spinula", "Epicephala stauropa", "Epicephala strepsiploca", "Epicephala subtilis", "Euptychoides pseudosaturnus", "Paryphthimoides difficilis", "Sargassum fusiforme", "Penaincisalia balzapamba", "Bulbophyllum aeolium", "Bulbophyllum aestivale", "Bulbophyllum alsiosum", "Bulbophyllum alboroseum", "Epinecrophylla amazonica dentei", "Aristea subg.", "Aristea subg.", "Taractrocera ceramas ceramas", "Taractrocera ceramas nicevillei", "Unilepidotricha gracilicurva", "Epicephala trigonophora", "Epicephala verenata", "Epicephala vermiformis", "Epicephala squamella", "Hemigrammus rodwayi", "Loxosceles mahan", "Loxosceles bentejui", "Loxosceles tazarte", "Loxosceles guayota", "Loxosceles tibicena", "Loxosceles hupalupa", "Patersonia fragilis", "Patersonia sericea", "Parnassius epaphus kahstahsensis", "Parnassius epaphus epaphus", "Parnassius epaphus heliae", "Parnassius epaphus nomionides", "Onosma hawramanensis", "Haywardina difficilis", "Splendeuptychia boliviensis", "Splendeuptychia zischkai", "Oressinoma typhla", "Oressinoma typhla boliviana", "Oressinoma typhla typhla", "Acraea machequena", "Acraea barberi", "Acraea magnifica", "Acraea hypoleuca", "Acraea anemosa", "Acraea turna", "Acraea petraea", "Acraea rohlfsi", "Acraea guillemei", "Acraea diogenes", "Acraea violarum", "Acraea asema", "Acraea lofua", "Acraea bailunduensis", "Acraea punctellata", "Acraea chambezi", "Acraea onerata", "Acraea encedana", "Atheta caneparii", "Atheta obidosensis", "Megalodes pienaari", "Dysmilichia pictimargo", "Euterpiodes pictimargo", "Dolichopus kumazawai", "Paraclius japonensis", "Paraclius variegatus", "Polyodaspis maritima", "Anaglyptus elegantulus", "Iris setosa var. setosa", "Iris setosa var. hondoensis", "Iris setosa var. nasuensis", "Iris \u00d7 setosothungbergii", "Iris \u00d7 robusta", "Iris \u00d7 sancti-cyri", "Iris ser.", "Stenoptilia sinuata", "Maradana rogueti", "Maradana lantzi", "Maradana pinheyi", "Nussia rougeoti", "Adulis hallei", "Adulis serratalis", "Adulis lantzi", "Pyralosis griveaudi", "Tegulifera sanguicilialis", "Boudinotodes sanguicilialis", "Zitha sanguicilialis", "Boudinotodes africalis", "Boudinotodes tropicalis", "Boudinotodes boudinotalis", "Boudinotodes lantzalis", "Boudinotodes mabokalis", "Mabokiana brunnealis", "Mabokiana fuscalis", "Mabokiana sulphuralis", "Euptera grepi", "Euptera grepi grepi", "Euptera grepi cameruna", "Euptera miranda", "Euptera fallax", "Morpho godartii", "Morpho godartii godartii", "Morpho godartii titogilberti", "Morpho godartii lachaumei", "Acraea punctimarginea", "Acraea eltringhami", "Acraea igati", "Acraea dammii", "Acraea cuva", "Acraea hamata", "Acraea eugenia", "Acraea rileyi", "Epinecrophylla amazonica", "Epinecrophylla haematonota pyrrhonota", "Hypocnemis flavescens", "Hypocnemis peruviana", "Hypocnemis ochrogyna", "Hypocnemis striata", "Bauhinia sect.", "Hypocnemis subflava", "Bauhinia sect.", "Hypocnemis rondoni", "Bauhinia ser.", "Pinus cernua", "Bauhinia ser.", "Bauhinia ser.", "Bauhinia ser.", "Thymus marschallianus", "Phanera phoenicea", "Phanera subg.", "Phanera subg.", "Phanera sect.", "Kessleria cottiensis", "Kessleria dimorpha", "Kessleria alpmaritimae", "Kessleria apenninica", "Kessleria orobiae", "Kessleria insubrica", "Catoptria orobiella", "Kessleria inexpectata", "Kessleria fasciapennella", "Zelleria fasciapennella", "Argyresthia mirabiella", "Magneuptychia nebulosa", "Euptychia nebulosa", "Taygetis chiquitana", "Pseudodebis arpi", "Pseudodebis marpessa", "Pseudodebis dubiosa", "Bulbophyllum bataanense", "Bulbophyllum boosii", "Microsesia nana", "Coccophila pythes", "Aegeria pythes", "Paranthrene pythes", "Homogyna pythes", "Penaincisalia regala", "Platyptilia junkeri", "Pselnophorus huntii", "Pselnophorus tanzanicus", "Merrifieldia aurea", "Penaincisalia contraloxurina", "Penaincisalia cyanomediana", "Epiparbattia oligotricha", "Bulbophyllum abbrevilabium", "Bulbophyllum absconditum", "Bulbophyllum cootesii", "Bulbophyllum absconditum subsp. absconditum", "Bulbophyllum absconditum subsp. hastula", "Fibuloides biligula", "Spilonota spicata", "Spilonota spoliata", "Spilonota sclera", "Eucosmophyes tinae", "Leguminivora serpens", "Notocydia dzumacana", "Pandemis acumipenita", "Pandemis canadana", "Pandemis caryocentra", "Pandemis cataxesta", "Pandemis chlorograpta", "Pandemis dryoxesta", "Pandemis emptycta", "Pandemis fulvastra", "Pandemis inouei", "Pandemis monticolana", "Pandemis phaedroma", "Pandemis phaenotherion", "Pandemis phaiopteron", "Trimezia sect.", "Trimezia sect.", "Embernagra platensis olivascens", "Trimezia violacea", "Neolycaena aeto", "Neolycaena baidula", "Neolycaena baidula baidula", "Neolycaena baidula iya", "Neolycaena baidula oschi", "Chaetodon argentatus", "Iris sect.", "Iris ser.", "Bulbophyllum apertum", "Iris ser.", "Iris ser.", "Famatinanthus decussatus", "Iris subg.", "Fuscoptilia sinuata", "Iris ser.", "Iris ser.", "Tracholena pellmyri", "Tracholena richibrowni", "Maoritenes phortica", "Nesoscopa exsors", "Nesoscopa psarodes", "Nesoscopa mesites", "Peraglyphis xenuncus", "Aoupinieta heveli", "Xenothictis tontouta", "Cryptoptila ectopa", "Cryptoptila saucra", "Ledocania dividua", "Lopharcha pullata", "Caenognosis niveata", "Cnecidophora graphis", "Tisma mista", "Dudua gyalona", "Diakonoffiana argynnis", "Helictophanes alcimofascia", "Helictophanes nostras", "Coenobiodes horakiana", "Coenobiodes phoeba", "Rhopobota podarion", "Rhopobota plethysma", "Fibuloides gibbosa", "Pandemis niphostigma", "Pandemis oculosa", "Pandemis orophila", "Pandemis pauliani", "Parapandemis pauliani", "Pandemis perispersa", "Pandemis plutosema", "Pandemis refracta", "Pandemis regalis", "Iris orjenii", "Pandemis retroflua", "Parapandemis retroflua", "Pandemis rotundata", "Pandemis sclerophylla", "Pandemis stalagmographa", "Pandemis straminocula", "Pandemis subovata", "Pandemis tarda", "Pandemis xanthacra", "Pandemis xylophyes", "Iris ser.", "Iris sect.", "Iris ser.", "Iris ser.", "Iris sect.", "Poecilia teresae", "Bulbophyllum apodum", "Bulbophyllum apoense", "Bulbophyllum arrectum", "Bulbophyllum atrorubens", "Iris dichotoma", "Iris acutiloba subsp. acutiloba", "Iris acutiloba subsp. lineolata", "Iris acutiloba subsp. longitepala", "Acentrogobius limarius", "Acentrogobius vanderloosi", "Acentrogobius violarisi", "Bulbophyllum graciliscapum", "Neolycaena davidi namkhaidorji", "Neolycaena davidi tangutica", "Neolycaena davidi goliath", "Neolycaena davidi victoriae", "Athamanthia dimorpha mongoliana", "Melitaea didyma pseudolatonigena", "Lycaena otbayar", "Thersamonolycaena otbayar", "Thersamonolycaena aoelides", "Silurus caobangensis", "Silurus dakrongensis", "Silurus langsonensis", "Silurus joergi", "Larimichthys terengganui", "Gymnocorymbus flaviolimai", "Poecilia catemaconis", "Poecilia caucana", "Poecilia caudofasciata", "Poecilia chica", "Poecilia dauli", "Lissochlora manostigma", "Racheospila manostigma", "Neolycaena balchaschensis", "Neolycaena betpakdalensis", "Neolycaena carbonaria", "Neolycaena carbonaria carbonaria", "Neolycaena carbonaria eckweileri", "Neolycaena chimaera", "Neolycaena connae", "Neolycaena eckweileri", "Neolycaena eckweileri eckweileri", "Neolycaena transiliensis", "Neolycaena falkovitchi", "Neolycaena iliensis", "Neolycaena irkuta", "Neolycaena kasakhstana", "Neolycaena kozlovi", "Neolycaena musa", "Neolycaena olga", "Neolycaena oschi", "Neolycaena rhymnus rufina", "Neolycaena rhymnus", "Neolycaena rhymnus rhymnus", "Neolycaena sajana", "Neolycaena sapozhnikovi", "Neolycaena saurica", "Neolycaena submontana", "Neolycaena tangutica", "Neolycaena tengstroemi", "Neolycaena tengstroemi tengstroemi", "Neolycaena tengstroemi balchaschensis", "Neolycaena tengstroemi confusa", "Neolycaena tengstroemi ichkila", "Neolycaena davidi", "Neolycaena davidi davidi", "Neolycaena davidi dahurica", "Eupoecilia ingens", "Eupoecilia subkobeana", "Astroblepus mendezi", "Moerarchis rectitrigonia", "Lissochlora janamariae", "Lissochlora hinoyosae", "Geometra albociliaria", "Lissochlora albociliaria", "Racheospila albociliaria", "Racheospila dubiaria", "Lissochlora inconspicua", "Racheospila inconspicua", "Okamejei ornata", "Pandemis pyrusana", "Pandemis quadrata", "Pandemis striata", "Pandemis croceocephala", "Iris illyrica", "Parapandemis croceocephala", "Parapandemis croceotacta", "Parapandemis dispersa", "Parapandemis electrochroa", "Parapandemis euryloncha", "Parapandemis griveaudi", "Parapandemis ianus", "Parapandemis lichenosema", "Parapandemis marginumbra", "Parapandemis minuta", "Parapandemis oculosa", "Iris pseudopallida", "Parapandemis plutosema", "Parapandemis refracta", "Parapandemis regalis", "Parapandemis rotundata", "Parapandemis sclerophylla", "Parapandemis stalagmographa", "Parapandemis straminocula", "Parapandemis subovata", "Parapandemis xanthacra", "Parapandemis xylophyes", "Parapandemis tarda", "Parapandemis eustropha", "Parapandemis niphostigma", "Parapandemis perispersa", "Parapandemis orophila", "Pandemis croceotacta", "Pandemis dispersa", "Pandemis electrochroa", "Pandemis euryloncha", "Pandemis eustropha", "Pandemis griveaudi", "Pandemis ianus", "Pandemis lichenosema", "Pandemis marginumbra", "Pandemis minuta", "Lissochlora daniloi", "Lissochlora freddyi", "Lissochlora latuta", "Geometra latuta", "Lissochlora ronaldi", "Pethia striata", "Cirrhilabrus marinda", "Rondonacara hoehnei", "Acontia marmoralis", "Phalaena marmoralis", "Iris subg.", "Pandemis ophina", "Niphothixa ophina", "Pandemis loesthia", "Pandemis congenita", "Pandemis congrua", "Pandemis smicra", "Pandemis saphes", "Choristoneura oluduana", "Choristoneura deuteros", "Choristoneura holovera", "Choristoneura nowakiana", "Choristoneura prostheca", "Iris lactea var. lactea", "Cornips enoicylus", "Cornips ruhuryinius", "Iris lactea var. chrysantha", "Cornips ignoratus", "Epichoristodes eurosta", "Epichoristodes albatella", "Epichoristodes gatamaiyu", "Epichoristodes albulata", "Epichoristodes ngangaona", "Epichoristodes pallens", "Epichoristodes ugoi", "Epichoristodes lagara", "Epichoristodes rwankwia", "Epichoristodes liparochra", "Epichoristodes edwardsi", "Lozotaenia edwardsi", "Epichoristodes aprepta", "Procrica oluluana", "Procrica misera", "Procrica rectogramma", "Procrica scorta", "Procrica fulvastra", "Procrica dolia", "Coleophora mareki", "Coleophora aspromontis", "Paratanakia himantegus chii", "Serapias orientalis subsp. apulica", "Eolepas rhaetica", "Cypella sect.", "Cypella sect.", "Acontia conifrons", "Acontia ectorrida", "Acontia feae", "Acontia lanzai", "Acontia manakhana", "Acontia mascheriniae", "Acontia nubila", "Acontia esperiana", "Acontia fastrei", "Acontia hemixanthia", "Acontia obliqua", "Acontia stassarti", "Acontia veroxanthia", "Acontia bellula", "Acontia homonyma", "Spilonota aestuosa", "Phalocallis coelestis", "Acroclita ligyropis", "Eucoenogenes aestuosa", "Fibuloides nigeroveana", "Eucosma cyanopsis", "Fibuloides cyanopsis", "Eucoenogenes cyanopsis", "Eucosma melanochlaena", "Eucoenogenes japonica", "Eucoenogenes levatana", "Melanorivulus atlanticus", "Acontia sexpunctata", "Pyralis sexpunctata", "Gastrodia flexistyloides", "Acontia antica antica", "Acontia antica subtilis", "Acontia schreieri", "Acontia trabealis", "Acontia bicolora", "Acontia saldaitis", "Acontia candefacta", "Acontia atripars", "Acontia bidentata", "Acontia flavitermina", "Acontia purpureofacta", "Acontia torrefacta torrefacta", "Acontia torrefacta politzari", "Acontia szunyoghyi", "Acontia binominata", "Acontia fuscoalba", "Acontia karachiensis", "Acontia paraalba", "Acontia philbyi", "Acontia praealba", "Acontia semialba", "Acontia amarei", "Acontia aurivillii", "Albuca spiralis", "Cypella subg.", "Cypella subg.", "Naarda octogesima", "Naarda laoana", "Naarda mirabilis", "Naarda vicina", "Naarda atrata", "Naarda plumbea", "Naarda furcatella", "Naarda secreta", "Naarda huettleri", "Naarda palawana", "Neolycaena confusa", "Neolycaena gulchaensis", "Neolycaena lunara", "Neolycaena medea", "Neolycaena medea medea", "Neolycaena medea idyia", "Neolycaena medea karategina", "Neolycaena medea lunara", "Neolycaena pretiosa", "Neolycaena sinensis", "Neolycaena zhdankoi", "Neolycaena soezen", "Phyllonorycter hispanicus", "Scythris constricta", "Poecilia butleri", "Scythris distinctella", "Scythris mutanenorum", "Scythris niemineni", "Scythris sigmoides", "Scythris syrdaryae", "Dahlica navacerradensis", "Synesarga brevidigitata", "Synesarga breviclavata", "Bahiria maculans", "Dentex carpenteri", "Saurida lessepsianus", "Chrysiptera caesifrons", "Charadra cakulha", "Eutrichodesmus triangularis", "Eutrichodesmus lipsae", "Eutrichodesmus tenuis", "Eutrichodesmus trontelji", "Eutrichodesmus latellai", "Eutrichodesmus obliteratus", "Eutrichodesmus sketi", "Eutrichodesmus apicalis", "Eutrichodesmus troglobius", "Paratanakia himantegus", "Noctua viciae", "Toxocampa viciae viciae", "Toxocampa viciae violaceogrisea", "Paraschistura ilamensis", "Metzia parva", "Poecilia dominicensis", "Autophila inconspicua", "Apopestes inconspicua", "Spintherops cataphanes praeligaminosa", "Autophila inconspicua inconspicua", "Autophila inconspicua cataphanoides", "Autophila inconspicua altaica", "Autophila tetrastigma", "Autophila tancrei", "Autophila gracilis", "Spintherops gracilis", "Spaelotis coruscantis", "Apopestes spectrum", "Noctua spectrum", "Udranomia eurus", "Noctua genistae", "Udranomia kikkawai", "Noctua socrus", "Udranomia orcinus", "Apopestes spectrum spectrum", "Apopestes spectrum innotata", "Apopestes spectrum maura", "Amphipyra phantasma", "Apopestes centralasiae", "Apopestes indica", "Apopestes spectrum koreana", "Lygephila robusta", "Lygephila maxima", "Albuca subg.", "Albuca subg.", "Ononis spinosa subsp. hircina", "Aciotis paludosa", "Poecilia koperi", "Poecilia wandae", "Serapias \u00d7 garganica", "Serapias \u00d7 godferyi", "Serapias \u00d7 halicarnassia", "Serapias \u00d7 hildae-margaritae", "Psilorhynchus kaladanensis", "Schistura sirindhornae", "Onychostoma dongnaiensis", "Onychostoma krongnoensis", "Mussaenda acuminata", "Mussaenda arcuata", "Aciotis purpurascens", "Autophila anaphanes", "Autophila anaphanes anaphanes", "Autophila anaphanes cypriaca", "Autophila anaphanes cretica", "Autophila maculifera", "Spintherops maculifera", "Autophila maculifera maculifera", "Autophila maculifera calligrapha", "Autophila myriospea", "Autophila eremocharis", "Autophila chamaephanes", "Autophila chamaephanes chamaephanes", "Autophila chamaephanes macrophanes", "Autophila vartianae", "Autophila magnifica", "Autophila ligaminosa", "Amphipyra ligaminosa", "Autophila ligaminosa ligaminosa", "Apopestes cataphanes", "Apopestes cataphanes cataphanes", "Apopestes cataphanes caucasica", "Spintherops cataphanes", "Spintherops cataphanes cataphanes", "Spintherops cataphanes subligaminosa", "Autophila ligaminosa subligaminosa", "Autophila ligaminosa ankara", "Melipotis ankara", "Autophila ligaminosa rhodochroa", "Autophila ligaminosa amianta", "Autophila plattneri", "Autophila pauli", "Autophila afghana", "Autophila maura", "Spintherops cataphanes maura", "Spintherops roseata", "Albuca subg.", "Autophila cymaenotaenia", "Autophila cymaenotaenia cymaenotaenia", "Autophila cymaenotaenia orthotaenia", "Albuca subg.", "Iris \u00d7 neumayeri", "Iris hellenica", "Iris victoris", "Eolepas oolitica", "Iris rudolphii", "Minyaspis terranovae", "Tritonia moggii", "Sisyrinchium cuspidatum", "Ophiusa orobi", "Toxocampa lusoria", "Toxocampa lusoria lusoria", "Sisyrinchium sect.", "Poecilia elegans", "Ononis spinosa subsp. maritima", "Eolepas rhomboidalis", "Lygephila stueningi", "Lygephila ludicra", "Phalaena ludicra", "Eccrita ludicra", "Eccrita ludicra ludicra", "Eccrita ludicra gracilis", "Toxocampa ichinosawana", "Glyptothorax mibangi", "Leontopodium hayachinense", "Leontopodium hayachinense var. miyabeanum", "Leontopodium discolor", "Serapias \u00d7 ambigua nothosubsp. ambigua", "Serapias \u00d7 intermedia", "Serapias \u00d7 kelleri", "Serapias \u00d7 lupiensis", "Serapias \u00d7 pulae", "Serapias \u00d7 meridionalis", "Serapias \u00d7 oulmesiaca", "Serapias \u00d7 provincialis", "Serapias \u00d7 rainei", "Serapias \u00d7 todaroi", "Serapias \u00d7 venhuisia", "Serapias \u00d7 walravensiana", "Poecilia kykesis", "Digonophorus dungkharpai", "Digonophorus imrani", "Prismognathus passangi", "Phalaena lusoria", "Serapias \u00d7 ambigua nothosubsp. panormosana", "Aciotis annua", "Aciotis wurdackiana", "Aciotis olivieriana", "Neofundulus aureomaculatus", "Neofundulus rubrofasciatus", "Aciotis ornata", "Neofundulus parvipinnis", "Poecilia formosa", "Eolepas aalensis", "Poecilia hispaniolana", "Aciotis polystachya", "Aciotis ferreirana", "Poecilia hondurensis", "Toxocampa glycyrrhizae", "Stelis alta", "Hoya platycaulis", "Phaius philippinensis", "Phaius borneensis", "Phaius fragilis", "Phaius flavus", "Bulbophyllum ecornutoides", "Toxocampa maxima", "Toxocampa enormis", "Toxocampa vulcanea", "Lygephila vulcanea", "Eccrita mirabilis", "Toxocampa lupina", "Lygephila lupina", "Lygephila cucullata", "Toxocampa cucullata", "Lygephila lubrica", "Ophiusa lubrica", "Toxocampa lubrica", "Toxocampa lubrica lubrica", "Toxocampa lubrica sublubrica", "Toxocampa lubrica lubrosa", "Lygephila lubrosa", "Lygephila vicioides", "Asticta vicioides", "Toxocampa angustissima", "Lygephila dorsigera", "Toxocampa dorsigera", "Lygephila recta", "Toxocampa recta", "Lygephila lilacina", "Toxocampa lilacina", "Lygephila subrecta", "Lygephila violaceogrisea", "Toxocampa viciae", "Toxocampa lusoria sublutea", "Toxocampa lusoria amasina", "Toxocampa pallida", "Lygephila lusoria subpicata", "Toxocampa moellendorfi", "Lygephila moellendorfi", "Sisyrinchium sect.", "Sisyrinchium sect.", "Sisyrinchium sect.", "Lygephila pastinum", "Ophiusa astragali", "Toxocampa pastinum", "Toxocampa pastinum pastinum", "Toxocampa pastinum dilutior", "Toxocampa graciosissima", "Noctua procax", "Ophiusa limosa", "Lygephila nigricostata", "Toxocampa limosa", "Toxocampa limosa limosa", "Toxocampa limosa nigricostata", "Sisyrinchium sect.", "Lygephila procax procax", "Lygephila procax decolor", "Toxocampa decolor", "Enneapterygius phoenicosoma", "Lygephila craccae", "Noctua craccae", "Phalaena nigricollis", "Toxocampa craccae", "Toxocampa craccae craccae", "Amathusia friderici holmanhunti", "Amathusia friderici aglaza", "Aciotis acuminifolia", "Aciotis circaeifolia", "Paracanthocobitis pictilis", "Paracanthocobitis rubidipinnis", "Sisyrinchium sect.", "Ophiusa viciae coronillae", "Paracanthocobitis urophthalma", "Toxocampa viciae caeca", "Toxocampa stigmata", "Paracanthocobitis zonalternans", "Estagrotis cuprea", "Gortyna cuprea", "Eolepas bathonica", "Amathusia friderici", "Amathusia friderici friderici", "Toxocampa craccae grisea", "Toxocampa craccae laevigata", "Toxocampa craccae lutosa", "Sisyrinchium sect.", "Toxocampa craccae caliginosa", "Toxocampa craccae riata", "Toxocampa craccae centralasiae", "Lygephila angustipennis", "Toxocampa angustipennis", "Lygephila viciae", "Ophiusa viciae", "Ophiusa viciae viciae", "Acanthocobitis pavonacea", "Paracanthocobitis abutwebi", "Paracanthocobitis adelaideae", "Paracanthocobitis canicula", "Paracanthocobitis maekhlongensis", "Paracanthocobitis linypha", "Paracanthocobitis aurea", "Paracanthocobitis botia", "Paracanthocobitis mackenziei", "Paracanthocobitis mandalayensis", "Paracanthocobitis mooreh", "Badis britzi", "Ginglymostoma unami", "Paraplesiops meleagris", "Onosma soltanabadensis", "Bohemannia aschaueri", "Bohemannia butzmanni", "Paedisca dumeriliana", "Capua saturana", "Ditula saturana", "Ditula joannisiana", "Amphisa joannisiana", "Caloptilia mwamba", "Moraea subg.", "Moraea subg.", "Moraea sect.", "Rhododendron serotinum", "Rhododendron luteiflorum", "Seriola aureovittata", "Seriola dorsalis", "Taractrocera ceramas oberthuri", "Taractrocera ceramas atropunctata", "Taractrocera ceramas media", "Taractrocera ceramas thelma", "Plantagrotis plantei", "Plantagrotis dvoraki", "Plantagrotis zubaciki", "Plantagrotis gemina", "Takifugu poecilonotus", "Estagrotis roseosericea", "Plantagrotis roseosericea", "Plantagrotis canescens", "Plantagrotis canescens canescens", "Plantagrotis canescens tibetana", "Plantagrotis eno", "Dilagrotis dilikoti", "Estagrotis dilikoti", "Dilagrotis stumpfi", "Dilagrotis stumpfi stumpfi", "Dilagrotis stumpfi plyta", "Ditula bartoniana", "Tortrix angustiorana", "Tortrix rotundana", "Seriola lalandi", "Melanotaenia garylangei", "Hemigrammus rubrostriatus", "Hemigrammus falsus", "Pterois paucispinula", "Pterois mombasae", "Caloptilia yasudai", "Onosma estahbanensis", "Caloptilia alnicolella", "Gracillaria alnicolella", "Acria meyricki", "Phalacropterix restonicae", "Rhododendron lambianum", "Rhododendron lamrialianum", "Rhododendron alborugosum", "Rhododendron quadrasianum", "Nepticula tingitella", "Stigmella tingitella", "Lethenteron reissneri", "Agrotera albalis", "Elachista argentella", "Elachista chamaea", "Elachista cirrhoplica", "Elachista fasciola", "Elachista galbina", "Elachista gilvula", "Elachista grotenfelti", "Elachista hedemanni", "Mandevilla tenuifolia", "Leptogium atlanticum", "Leptogium cyanizum", "Leptogium joergensenii", "Acianthera breedlovei", "Acianthera cornejoi", "Acianthera crepiniana", "Acianthera fernandezii", "Paragus caligneus", "Mandevilla sect.", "Alepia santacruz", "Mandevilla atroviolacea", "Acasta demura", "Mandevilla coccinea", "Mandevilla martiana", "Mandevilla crassinoda", "Mandevilla urophylla", "Mandevilla eximia", "Mandevilla javitensis", "Neritos croceicorpus", "Neritos patricki", "Pseudopharus gibeauxi", "Amastus bolivari", "Hypocrita bleuzeni", "Cameraria retusa", "Eumeta ngarukensis", "Isochlora chloroptera", "Ulodemis trigrapha", "Ulodemis falsa", "Ulodemis hyalura", "Ulodemis idjen", "Ulodemis pangerango", "Shensiplusia nigribursa", "Chrysodeixis acuta", "Cerviplusia wukongensis", "Mandevilla rugellosa", "Mandevilla funiformis", "Mandevilla scabra", "Elachista microdigitata", "Canalirogas affinis", "Canalirogas cucphuongensis", "Canalirogas curvinervis", "Canalirogas eurycerus", "Canalirogas hoabinhicus", "Canalirogas intermedius", "Canalirogas parallelus", "Canalirogas robberti", "Canalirogas spilonotus", "Cistus asper", "Opegrapha anfractuosa", "Cistus palmensis", "Naregamia alata", "Helianthemum violaceum", "Cistus symphytifolius var. symphytifolius", "Cistus chinamadensis subsp. chinamadensis", "Cistus chinamadensis subsp. gomerae", "Cistus chinamadensis subsp. ombriosus", "Mucuna nigricans", "Acianthera majakoluckae", "Acianthera platystachys", "Acianthera polystachya", "Strongylodon madagascariensis", "Acianthera foetens", "Gibbaeum sect.", "Gibbaeum shandii", "Aciotis indecora", "Cytisus graniticus", "Acianthera greenwoodii", "Acianthera hatschbachii", "Myersiohyla chamaeleo", "Myersiohyla neblinaria", "Marionodes diehlalis", "Marionodes seyrigalis", "Leptogium mastocheilum", "Leptogium oceanianum", "Dolichotrigona chachapoya", "Morpho cisseis cisseis", "Morpho cisseis cabrera", "Morpho cisseis jeannoti", "Morpho amphitryon amphitryon", "Morpho amphitryon cinereus", "Morpho amphitryon duchenei", "Morpho amphitryon susarion", "Aciotis viscida", "Eolepas quenstedti", "Trigonotis brevipes", "Toarcolepas gaveyi", "Peltigera isidiophora", "Gibbaeum sect.", "Toarcolepas lotharingica", "Chaenotheca balsamconensis", "Neotrygon picta", "Charaxes etesipe hercules", "Erythrina subg.", "Pusiola unipunctana", "Erythrina subg.", "Erythrina sect.", "Erythrina subg.", "Erythrina sect.", "Pyralestes ragusai", "Maradana vidualis", "Maradana recisalis", "Pyralis recisalis", "Actenia vidualis", "Euselasia descherrei", "Euselasia psammathe", "Euselasia psammathe psammathe", "Euselasia psammathe hypocala", "Euselasia venezolana", "Euselasia venezolana venezolana", "Euselasia crotopus", "Euselasia crotopus crotopus", "Euselasia crotopus psammathe", "Euselasia venezolana jauffreti", "Archaeogramma claritae", "Memphis paulus", "Heterocampa splendens", "Halpe aucma", "Halpe aucma aucma", "Halpe aucma perfossa", "Halpe aurifera", "Pseudojuloides zeus", "Tephronia aethiopica", "Lecanora anakeestiicola", "Dipaenae zygaenoides", "Virbia porioni", "Mandevilla subg.", "Palaeomolis rubescens", "Neritos marmorata", "Neonerita pulchra", "Mandevilla sect.", "Neonerita lecourti", "Mandevilla sect.", "Argyresthia bobyella", "Argyresthia resplenderella", "Argyresthia flavipes", "Argyresthia italaviana", "Mandevilla subg.", "Argyresthia andrianella", "Mandevilla sect.", "Argyresthia inexpectella", "Argyresthia pusiella", "Argyresthia tristella", "Argyresthia pumilella", "Mecranium purpurascens", "Chondrostoma toxostoma", "Mandevilla sect.", "Isochlora rubicosta", "Euthalia anosia saitaphernes", "Macrogena brevisensilla", "Macrogena abbreviata", "Charidotella paradoxa", "Charidotella stulta", "Charidotella amoenula", "Charidotella cyclographa", "Charidotella discoidalis", "Charidotella incerta", "Charidotella myops", "Horniella aculeata", "Horniella jinggangshana", "Erythrina crista-galli var. longiflora", "Erythrina crista-galli var. crista-galli", "Erythrina sect.", "Acianthera tanyae", "Acianthera testifolia", "Miconia acinodendron", "Pusiola danella", "Pusiola nigeriana", "Papilio polyxenes polyxens", "Papilio polyxenes gerardi", "Charaxes eudoxus goubandana", "Argyresthia magnificella", "Archithosia gilvafrons", "Grifola frondosa", "Bebearia cutteri cutteri", "Bebearia cutteri cuypersi", "Bebearia cutteri camiadei", "Bebearia cutteri cognata", "Bebearia cutteri harleyi", "Pusiola unipunctana unipunctana", "Pusiola unipunctana maior", "Amastus berhameli", "Goodgeria herbini", "Goodgeria apella", "Goodgeria caeca", "Goodgeria cinga", "Goodgeria fuscitincta", "Goodgeria margotae", "Goodgeria eugenia", "Goodgeria notabilis", "Goodgeria medommoca", "Goodgeria herta", "Goodgeria querula", "Elachista nuraghella", "Elachista subalbidella", "Cerostoma nervosella", "Cistus heterophyllus subsp. carthaginensis", "Bulbophyllum sanguineomaculatum", "Bulbophyllum membranifolium", "Cistus laurifolius subsp. laurifolius", "Nabaluia angustifolia", "Nabaluia clemensii", "Cistus laurifolius subsp. atlanticus", "Nabaluia exaltata", "Siganus magnificus", "Tillandsia subg.", "Tillandsia purpurea", "Tillandsia australis", "Tillandsia andrieuxii", "Tillandsia alvareziae", "Poecilia obscura", "Tillandsia subg.", "Aurigequula fasciata", "Plocoglottis plicata", "Aurigequula longispina", "Plocoglottis lowii", "Poecilia orri", "Poecilia rositae", "Poecilia vandepolli", "Coelogyne radioferens", "Liparis grandiflora", "Gastrorchis francoisii", "Gastrorchis peyrotii", "Gastrorchis pulchra", "Gastrorchis simulans", "Gastrorchis steinhardtiana", "Gastrorchis tuberculosa", "Gastrorchis humblotii", "Gastrorchis lutea", "Gastrorchis lutea var. lutea", "Camponotus consobrinus", "Gastrorchis humblotii var. humblotii", "Gastrorchis humblotii var. rubra", "Gastrorchis humblotii var. schlechteri", "Tillandsia subg.", "Tillandsia brachyphylla", "Poecilia maylandi", "Horniella assymmetrica", "Horniella awana", "Horniella burckhardti", "Horniella centralis", "Horniella cibodas", "Horniella confragosa", "Horniella dao", "Horniella falcis", "Horniella gigas", "Horniella himalayica", "Horniella hongkongensis", "Horniella intricata", "Horniella kaengkrachan", "Horniella khaosabap", "Horniella loebli", "Horniella nakhi", "Horniella philippina", "Horniella phuphaman", "Horniella pilosa", "Horniella prolixo", "Horniella schuelkei", "Horniella schwendingeri", "Horniella sichuanica", "Horniella simplaria", "Horniella smetanai", "Horniella tianmuensis", "Horniella hirtella", "Onosma erecta subsp. malickyi", "Amynthas erroneous", "Onosma erecta subsp. erecta", "Amynthas nhonmontis", "Rugilus rectus", "Rugilus curvatus", "Rugilus atronitidus", "Rugilus nitipennis", "Rugilus saudicus", "Rugilus kleebergi", "Apostibes samburensis", "Apostibes dharhani", "Apostibes afgbana", "Apostibes inota", "Scythris inota", "Carex dimorpholepis", "Apostibes halmyrodes", "Scythris halmyrodes", "Scythris ilyopa", "Bactrianoscythris lorella", "Opegrapha atrorimalis var. microcarpa", "Enolmis arabica", "Enolmis jemenensis", "Enolmis saudita", "Enolmis desidella", "Butalis desidella", "Enolmis desidella desidella", "Enolmis desidella saudita", "Oxynaspis celata", "Popoudina kovtunovitchi", "Popoudina aliena", "Popoudina dorsalis", "Popoudina griseipennis", "Popoudina leighi", "Popoudina lemniscata", "Popoudina linea", "Popoudina pamphilia", "Popoudina unistriga", "Popoudina brosi", "Apostibes deckerti", "Haploscythris albifuscella", "Haploscythris brachiohirsutella", "Onosma tricerosperma subsp. granatensis", "Onosma tricerosperma subsp. hispanica", "Onosma tricerosperma subsp. mauretanica", "Onosma tricerosperma subsp. tricerosperma", "Onosma cappadocica", "Tillandsia globosa", "Poecilia salvatoris", "Tillandsia linearis", "Tillandsia lorentziana", "Tillandsia milagrensis", "Tillandsia neglecta", "Tillandsia reclinata", "Tillandsia vernicosa", "Poecilia velifera", "Poecilia petenensis", "Chelonibia manati crenatibasis", "Poecilia mechthildae", "Poecilia mexicana", "Poecilia nicholsi", "Glanidium albescens", "Chelonibia manati lobatibasis", "Leiognathus equulus", "Pseudoacontias unicolor", "Trachylepis lavarambo", "Hasemania nana", "Brassavola appendiculata", "Gomesa dasytyle", "Hemibrycon sierraensis", "Aechmea subg.", "Aechmea tayoensis", "Aechmea sphaerocephala", "Neoscalpellum marginatum", "Aechmea multiflora", "Aechmea subg.", "Priapella lacandonae", "Gazza achlamys", "Gazza dentex", "Gazza minuta", "Gazza rhombea", "Gazza squamiventralis", "Stiphodon multisquamus", "Equulites elongatus", "Equulites lineolatus", "Equulites rivulatus", "Oxynaspis celata hirtae", "Oxynaspis celata japonica", "Nuchequula gerreoides", "Nuchequula flavaxilla", "Nuchequula glenysae", "Nuchequula longicornis", "Eubergia conceptiona", "Eubergia drechseli", "Eubergia paraguari", "Eubergia peggyae", "Automerella winbrechlini", "Styphelia viridis", "Cyathodes platystoma", "Gnathothlibus collardi", "Gnathothlibus brendelli", "Gnathothlibus dabrera", "Gnathothlibus saccoi", "Cocytius mephisto", "Sphinx nogueirai", "Brachycephalus auroguttatus", "Brachycephalus boticario", "Brachycephalus fuscolineatus", "Brachycephalus leopardus", "Brachycephalus mariaeterezae", "Brachycephalus olivaceus", "Brachycephalus verrucosus", "Poecilia marcellinoi", "Lasiognathus dinema", "Opegrapha bonplandii var. conglomerans", "Artedidraco longibarbatus", "Opegrapha bonplandii var. quassiicola", "Turritopsis dohrnii", "Acanthophippium chrysoglossum", "Acanthophippium curtisii", "Acanthophippium eburneum", "Acanthophippium gougahensis", "Acanthophippium lilacinum", "Acanthophippium parviflorum", "Acanthophippium pictum", "Acanthophippium splendidum", "Argyreia sect.", "Acanthophippium striatum", "Acanthophippium sylhetense", "Opegrapha bonplandii var. meyeri", "Argyreia sect.", "Priapella bonita", "Argyreia obteca", "Argyreia confusa", "Argyreia breviscapa", "Priapella chamulae", "Argyreia hylophila", "Argyreia melvillei", "Argyreia popahensis", "Argyreia variabilis", "Argyreia leucantha", "Ipomoea polymorpha", "Xenodexia ctenolepis", "Redonda lathraia", "Neoscalpellum ovatum", "Priapella compressa", "Priapella intermedia", "Priapella olmecae", "Onosma asperrima", "Onosma setosa subsp. transrhymnense", "Onosma setosa subsp. setosa", "Onosma atila-ocakii", "Onosma azarbaidjanensis", "Campanula aktascii", "Draba cemileae", "Onosma liwanowii", "Mimasyngenes concolor", "Reseda malatyana", "Onosma azurea", "Onosma wheeler-hainesii", "Bythaelurus naylori", "Bonatea steudneri", "Bonatea volkensiana", "Monacanthus tuckeri", "Tatia dunni", "Pinus merkusii subsp. merkusii", "Pinus merkusii subsp. ustulata", "Physostegia virginiana subsp. praemorsa", "Recchia drechseli", "Dissostichus mawsoni", "Convolvulus sect.", "Calystegia pellita", "Calystegia pellita subsp. pellita", "Scolichthys greenwayi", "Scolichthys iota", "Calystegia pellita subsp. longifolia", "Calystegia pellita subsp. stricta", "Calystegia sepium subsp. sepium", "Calystegia \u00d7 lucana", "Eranina tomentilla", "Pseudacanthicus pitanga", "Lepidocolaptes duidae", "Lepidocolaptes fuscicapillus", "Lepidocolaptes fuscicapillus layardi", "Lepidocolaptes fatimalimae", "Dendrobium nakaharae", "Bromheadia brevifolia", "Bromheadia finlaysoniana", "Chamaecallis perpusilloides", "Melanotaenia rubrivittata", "Pareiorhina pelicicei", "Gymnocorymbus thayeri", "Gymnocorymbus bondi", "Bracycephalus tridactylus", "Lohora muelleri", "Lecanographa brattiae", "Nepsera aquatica", "Retroculus acherontos", "Trimma aturirii", "Trimma kardium", "Trimma trioculatum", "Echinocactus texensis", "Abies gamblei", "Lissonotus bisignatus", "Melanthera biflora", "Tatia gyrina", "Automerella chrisbrechlinae", "Sphinx yunnana", "Sphinx centrovietnama", "Sphinx bhutana", "Aglia vanschaycki", "Aglia sinjaevi", "Salassa aeos", "Salassa chiangmaiensis", "Salassa siriae", "Salassa vanschaycki", "Salassa wumengensis", "Salassa yunlongensis", "Salassa daxuensis", "Photolateralis antongil", "Photolateralis moretoniensis", "Photolateralis stercorarius", "Neenchelys nudiceps", "Onosma mirabilis", "Redonda castellana", "Redonda centenaria", "Redonda chiquinquirana", "Bonatea stereophylla", "Clidemia japurensis", "Passiflora foetida var. ellisonii", "Clidemia japurensis var. japurensis", "Passiflora vesicaria var. vesicaria", "Passiflora vesicaria var. galapagensis", "Passiflora boticarioana", "Clidemia japurensis var. heterobasis", "Odontorrhynchus domeykoanus", "Dichoropetalum bupleuroides", "Dichoropetalum achaicum", "Cercamia cladara", "Apogon caudicinctus", "Cercamia melanogaster", "Coelogyne fimbriata var. fimbriata", "Coelogyne fimbriata var. leungiana", "Lissonotus biguttatus", "Lissonotus ephippiatus", "Lissonotus confinis", "Lissonotus corallinus", "Lissonotus cruciatus", "Lissonotus andalgalensis", "Passiflora cirrhiflora", "Passiflora urbaniana", "Passiflora ciliata var. ciliata", "Passiflora ciliata var. orinocensis", "Passiflora ciliata var. hibiscifolia", "Trimma abyssum", "Trimma chledophilum", "Trimma multiclitellum", "Trimma nauagium", "Festucalex rufus", "Coryanthes bueraremensis", "Bryconamericus pinnavittatus", "Passiflora cissampeloides", "Passiflora hahnii", "Passiflora quetzal", "Passiflora arida", "Turnera ser.", "Turnera opifera", "Passiflora catharinensis", "Passiflora castellanosii", "Passiflora chocoensis", "Passiflora araujoi", "Passiflora tholozanii", "Passiflora imbeana", "Passiflora sect.", "Oxynaspis perekrestenkoi", "Mallodon dasystomus", "Oxynaspis rossi", "Oxynaspis ryukyuensis", "Macrocentrum cristatum", "Macrocentrum cristatum var. cristatum", "Careproctus carinatus", "Careproctus karaensis", "Careproctus mica", "Careproctus rosa", "Careproctus uter", "Pseudojuloides polackorum", "Macrocentrum cristatum var. parviflorum", "Psilorhynchus olliei", "Macrocentrum cristatum var. microphyllum", "Luzonichthys seaver", "Passiflora sect.", "Morophagoides breviculus", "Dactylorhiza lapponica subsp. angustata", "Pulcheria catomelas", "Pulcheria cinescens", "Pulcheria kasymkhani", "Chrysoesthia halimionella", "Megacraspedus uzunsyrtus", "Dirhinosia interposita", "Epidendrum fraternum", "Epidendrum smithii", "Rhamma adunca", "Epidendrum fastigiatum", "Epidendrum macroceras", "Carex pycnostachya", "Pavonia subsect.", "Pavonia missionum", "Acisanthera uniflora", "Onosma khorassanica", "Onosma \u00d7 hybrida", "Onosma farsica", "Onosma ferganensis", "Cerastium afromontanum", "Cerastium aleuticum", "Cerastium alexeenkoanum", "Cerastium alsinifolium", "Oxynaspis indica", "Onosma sulaimaniaca", "Onosma sharifii", "Onosma mahabadensis", "Microibidion bimaculatum", "Eutrypanus grenadensis", "Passiflora hollrungii", "Passiflora tonkinensis", "Passiflora eberhardtii", "Passiflora henryi", "Passiflora siamica", "Melanotaenia albimarginata", "Melanotaenia aruensis", "Melanotaenia patoti", "Oxynaspis joandianeae", "Melanotaenia kolaensis", "Melanotaenia picta", "Melanotaenia senckenbergianus", "Melanotaenia wokamensis", "Oxynaspis joankovenae", "Oxynaspis pacifica", "Onosma intricata", "Onosma iranshahrii", "Farigia formosa", "Noduliferola insuetana", "Noduliferola atriplaga", "Duessa atriplaga", "Rhopobota physalodes", "Cyclanorbis elegans", "Hyponephele urartua", "Acanista alphoides", "Polychrysia praemium", "Aristotelia confusella", "Hyponephele nurisha", "Epinephele hilaris", "Microsetia bedellella", "Eilema gashorai", "Eilema griseata", "Amsacta venusta", "Pavonia cancellata", "Pavonia glechomoides", "Pavonia sect.", "Pavonia sect.", "Cerastium annae", "Brachirus orientalis", "Teracotona abyssinica", "Passiflora nothosect.", "Elaenia chilensis", "Elaenia olivina", "Prosopocera infulata", "Triraphis baios", "Triraphis balteus", "Triraphis chinusi", "Triraphis cortazari", "Triraphis defectus", "Triraphis guarusa", "Triraphis ikelosops", "Triraphis melasops", "Triraphis paraholos", "Triraphis prolixus", "Triraphis sicbaios", "Triraphis simphlex", "Triraphis willei", "Scythris bosicornella", "Calanthe formosana", "Hyphessobrycon lucenorum", "Scythris brandbergensis", "Scythris brevimanubriella", "Scythris bromiella", "Scythris brunneostriella", "Scythris budongensis", "Scythris capilliverticella", "Scythris catuliformis", "Scythris cederbergensis", "Scythris clarki", "Andobana duchesnei", "Perigea duchesnei", "Andobana multipunctata", "Perigea multipunctata", "Gortyna osmana", "Auplopus albifrons", "Auplopus carbonarius", "Agrotis grossi", "Brachylomia urartua", "Chersotis elegans", "Auchmis hannemanni", "Auchmis composita", "Oncocnemis thomasi", "Gnophos italohelveticus", "Teracotona euprepia", "Teracotona euprepia euprepia", "Teracotona euprepia bicolor", "Teracotona euprepioides", "Teracotona pardalina", "Teracotona quadripunctata", "Teracotona rhodophaea", "Teracotona submaculata", "Teracotona trifasciata", "Soloe splendida", "Rhamma livida", "Rhamma magenta", "Passiflora contracta", "Klebsiella oxytoca", "Heliophobus reticulata", "Heliophobus unicolor", "Mamestra reticulata", "Phalaena reticulata", "Mamestra reticulata reticulata", "Mamestra reticulata unicolor", "Heliophobus dalmae", "Heliophobus mongoliensis", "Heliophobus texturata", "Mamestra texturata", "Heliophobus kitti", "Mamestra reticulata kitti", "Heliophobus nepalensis", "Heliophobus bulcsui", "Heliophobus aequalifuscus", "Coniopteryx brevicornis", "Coniopteryx endroedyi", "Coniopteryx ghanana", "Coniopteryx kisi", "Coniopteryx laticaudata", "Coniopteryx tropica", "Coniopteryx vojnitsi", "Coniopteryx longistylus", "Coniopteryx madagascariensis", "Coniopteryx angusticauda", "Coniopteryx evellana", "Coniopteryx malgasensis", "Coniopteryx lobata", "Onosma gaubae", "Onosma griersonii", "Metathrinca coenophyes", "Metathrinca pernivis", "Metathrinca sinumbra", "Scythris albonigrella", "Scythris aarviki", "Scythris abachausensis", "Scythris agassizi", "Scythris alainensis", "Scythris anaecapitella", "Scythris apicispinella", "Scythris aratrella", "Scythris asinella", "Scythris atroparvella", "Scythris aulaeella", "Scythris balantiella", "Scythris baringensis", "Scythris basimaculella", "Scythris bernardi", "Scythris bicalamella", "Scythris bipunctella", "Scythris bisacculella", "Scythris bisincusella", "Scythris bitterfonteinica", "Scythris bjoernstadi", "Scythris bontebokensis", "Oroplexia mugeca", "Dactylorhiza lapponica subsp. lapponica", "Lagiacrusichthys macropinna", "Turritopsis minor", "Upeneus lombok", "Turritopsis pacifica", "Turritopsis polycirrha", "Turritopsis rubra", "Astyanax bagual", "Hyphessobrycon natagaima", "Seirarctia metaxantha", "Abutilon ser.", "Abutilon pannosum", "Abutilon pannosum var. pannosum", "Abutilon pannosum var. scabrum", "Abutilon figarianum", "Abutilon ser.", "Teracotona approximans", "Teracotona clara", "Teracotona clara clara", "Teracotona clara rubiginea", "Teracotona immaculata", "Teracotona melanocera", "Teracotona metaxantha", "Teracotona multistrigata", "Teracotona neumanni", "Teracotona seminigra", "Teracotona senegalensis", "Teracotona subapproximans", "Teracotona subterminata", "Teracotona uhrikmeszarosi", "Teracotona wittei", "Teracotona alicia", "Teracotona jacksoni", "Teracotona murtafaa", "Teracotona pallida", "Teracotona pitmani", "Teracotona postalbida", "Teracotona proditrix", "Teracotona pruinosa", "Teracotona translucens", "Rhamma anosma", "Sineugraphe disgnosta", "Sineugraphe elkalandozta", "Hermonassa inconstans", "Peridroma saucia", "Noctua saucia", "Rhamma aurugo", "Rhamma bilix", "Pavonia sect.", "Pavonia sect.", "Pavonia sect.", "Pavonia sect.", "Pavonia sect.", "Pavonia subsect.", "Pavonia subsect.", "Pavonia subsect.", "Pavonia subsect.", "Pavonia subsect.", "Pavonia paludicola", "Cordobanus mirabilis", "Cerastium arabidis", "Zatrephes dichroma", "Zatrephes haxairei", "Amaxia ornata", "Cerastium argentinum", "Neritos gibeauxi", "Trachea fugonga", "Trachea delica", "Trachea malvasigna", "Trachea chloromixta", "Trachea viola", "Valeria viola", "Plataplochilus ngaensis", "Gortyna intermixta", "Gortyna hreblayi", "Gortyna draconis", "Gortyna joannisi", "Hydroecia joannisi", "Gortyna flavina", "Gortyna plumbitincta", "Gortyna plumbeata", "Gortyna imitans", "Stenoloba micochracea", "Stenoloba plumbeoculata", "Stenoloba subsolaris", "Kumasia kumaso", "Aeneanola acontioides", "Aeneanola seria", "Aeneanola kalisi", "Aeneanola joiceyi", "Aquita seria", "Barnanola solomoni", "Calonola orbiculata", "Melanographia tympanistis", "Turritopsis chevalense", "Turritopsis lata", "Atrovirensis annamita", "Rhamma catamarca", "Atrovirensis pedibus", "Atrovirensis owadai", "Atrovirensis taiwana", "Rhamma commodus", "Atrovirensis yoshimotoi", "Rhamma comstocki", "Rhamma confusa", "Rhamma coquimbiensis", "Rhamma familiaris", "Rhamma hybla", "Rhamma tomaszpyrczi", "Trachea denticulosa", "Rhamma emeraldina", "Apamea denticulosa", "Euplexia chlorogrammata", "Rhamma inexpectata", "Onosma mozaffariani", "Onosma sheidaii", "Onosma tschichatschevii", "Brassavola acaulis", "Brassavola angustata", "Brassavola fasciculata", "Brassavola filifolia", "Brassavola gardneri", "Brassavola gillettei", "Brassavola harrisii", "Brassavola retusa", "Brassavola revoluta", "Brassavola rhomboglossa", "Oxynaspis celata novazelandica", "Leandra chaetodon", "Oxynaspis gracilis", "Convolvulus sect.", "Calanthe plantaginea var. plantaginea", "Convolvulus sect.", "Calanthe plantaginea var. lushuiensis", "Plataplochilus chalcopyrus", "Plataplochilus miltotaenia", "Plataplochilus mimus", "Plataplochilus pulcher", "Plataplochilus terveri", "Octavius vulturensis", "Cobitis sakahoko", "Scythris claudioculella", "Scythris conimarginella", "Scythris coniobliquella", "Scythris cooperi", "Scythris coriella", "Scythris cottrelli", "Scythris cricetinaeformis", "Scythris davidi", "Scythris dicksoni", "Scythris dorsifuscella", "Scythris durbanensis", "Scythris eburiplicella", "Scythris eburnella", "Scythris eburnipterella", "Scythris ellipsiella", "Scythris enigmella", "Scythris ethiopica", "Scythris etoshensis", "Scythris falciformis", "Scythris flavoterminella", "Scythris fumarolella", "Scythris gaboronensis", "Scythris geminella", "Scythris gielisi", "Scythris gilgilensis", "Scythris griseella", "Scythris hanseni", "Scythris helskloofensis", "Scythris heniaeguttella", "Scythris hermanusensis", "Scythris hirudoformis", "Cryptopus brachiatus", "Cryptopus dissectus", "Doliops curculionoides", "Epicephala domina", "Epicephala impolliniferens", "Epicephala camurella", "Epicephala angustisaccula", "Danielithosia wooshini", "Tigrioides aureolata", "Turnera subser.", "Turnera subser.", "Metathrinca iridostoma", "Dinocephalopsis garnieri", "Rhyacia caradrinoides", "Rhyacia electra", "Rhyacia fabiani", "Rhyacia ignobilis", "Rhyacia hampsoni", "Rhyacia tenera", "Tetronarce cowleyi", "Alburnus selcuklui", "Specklinia vittariifolia", "Specklinia glandulosa", "Eumaeus atala", "Hibiscus erlangeri", "Eumaeus childrenae", "Cerastium lithospermifolium", "Cerastium furcatum", "Cerastium axillare", "Cerastium vulcanicum", "Cerastium venezuelanum", "Cerastium dagestanicum", "Cerastium chilense", "Cerastium dinaricum", "Cerastium soratense", "Cerastium juniperorum", "Cerastium baischanense", "Cerastium barberi", "Octavius mostovskii", "Octavius muellerae", "Octavius acutipenis", "Octavius adriani", "Octavius kogelbergensis", "Octavius zulu", "Octavius dorsumsuis", "Octavius bulirschi", "Octavius bicurvatus", "Octavius ndumu", "Octavius mikhaili", "Octavius multisetosus", "Octavius sarkae", "Octavius sarkae xhosa", "Octavius sarkae ntsubane", "Octavius dentipenis", "Octavius montiumdraconis", "Octavius ruthae", "Octavius gamai", "Calosoma glasunovi", "Rothschildia xanthina paraxanthina", "Rothschildia xanthina xanthina", "Cyphura geminia", "Diarsia luteosuffusa", "Diarsia plantei", "Diarsia megampulla", "Diarsia cryptotorva", "Diarsia aligtorva", "Diarsia fannyi fannyi", "Diarsia fannyi normalis", "Diarsia pseudacharista pseudacharista", "Diarsia pseudacharista persignata", "Hoeneidia cidarioides", "Cerastium behmianum", "Cerastium brevicarpicum", "Cerastium borisii", "Sida subsect.", "Sida sect.", "Sida sect.", "Sida sect.", "Sida sect.", "Sida sect.", "Cerastium candicans", "Sida sect.", "Cerastium capense", "Sida sect.", "Cerastium capillatum", "Cerastium commersonianum", "Cerastium crassipes", "Cerastium crassiusculum", "Cerastium diazi", "Octavius kavangoensis", "Octavius caecigenus", "Octavius angusticollis", "Octavius longesulcatus", "Octavius unocellus", "Octavius brevisulcatus", "Octavius inoptatus", "Octavius trihastatus", "Octavius attenuatus", "Octavius ocellifer", "Octavius extralobatus", "Octavius securifer", "Octavius pugionifer", "Octavius deceptor", "Octavius spiralifer", "Scythris humeriformis", "Cornuanola alces", "Cornuanola brachystria", "Nola brachystria", "Furanola karsholti", "Hamishnola barbatella", "Hoenenola hanhuilini", "Sumatranola costamacula", "Mokfanola kalisi", "Porcellanola magnifica", "Euxoa gigantea", "Elvasia subg.", "Diarsia subchalcea", "Diarsia biloba", "Saturnia boisduvalii", "Saturnia chinghaina", "Saturnia algisrimasi", "Rhamma mishma", "Rhamma nigrasarotina", "Rhamma oxida", "Copaxa schmiti", "Rhamma shapiroi", "Rhamma tarma", "Rhamma tyrrius", "Johnsonita assula", "Polyptychus lagnelae", "Polyptychus hollandi", "Smerinthus hamatus", "Polyptychus hamatus", "Cerastium fastigiatum", "Cerastium scaposum subsp. peninsularum", "Cerastium scaposum", "Cerastium scaposum subsp. scaposum", "Pelargonium sect.", "Eumaeus minyas", "Pelargonium paniculatum", "Pelargonium polycephalum", "Enoplosus armatus", "Meuschenia hippocrepis", "Trachicephalus uranoscopus", "Xanthia rectilineata", "Synanceia horrida", "Xanthia xanthophylla", "Xanthia spalvota", "Xanthia appendiculata", "Xanthia hamadanensis", "Asidemia scythe", "Asidemia elegans", "Kumasia atracheoides", "Kumasia joannisi", "Phlogophora lushana", "Phlogophora olivascens", "Elvasia subg.", "Herminium monorchis", "Hadena oliviae", "Hada honeyi", "Polia similissima", "Pavonia cauliflora", "Sida sect.", "Theorema eumenia", "Elachista bigorrensis", "Elachista jaeckhi", "Pelargonium \u00d7 splendens", "Proverruca laurae", "Pelargonium sect.", "Pelargonium subsect.", "Pelargonium subsect.", "Pelargonium subsect.", "Theorema pyrczia", "Epibrachylepas smeetsi", "Eumaeus godartii", "Octavius atomus", "Octavius bacillus", "Octavius viduus", "Octavius endroedyanus", "Octavius pectinifer", "Octavius rostrifer", "Octavius piriensis", "Rhyacia diplogramma", "Rhyacia evartianae", "Rhyacia gabori", "Rhyacia nyctymerina", "Rhyacia oromys", "Rhyacia oxytheca", "Rhyacia psammia", "Rhyacia psammia psammia", "Rhyacia psammia alagesica", "Rhyacia psammia nyctymerides", "Rhyacia psammia rehnensis", "Rhyacia psammia roseoflava", "Rhyacia psammia stavroitiacus", "Rhyacia scythropa", "Rhyacia similis", "Rhyacia subdecora", "Xestia mournia", "Xestia dolorosa", "Xestia matronula", "Xestia vidua", "Ceramica pisi", "Ceramica pisi pisi", "Ceramica pisi barkana", "Trichoridia murzini", "Trichoridia hreblayi", "Blepharomorpha longiclavus", "Xanthia icteritia", "Xanthia austauti", "Xanthia gilvago", "Xanthia ocellaris", "Xanthia tunicata", "Xanthia ladakhensis", "Xanthia fasciata", "Octavius endohastatus", "Octavius mimus", "Octavius transvaalensis", "Octavius furcillipenis", "Octavius diabolus", "Octavius simplex", "Octavius simplicipenis", "Octavius panamensis", "Octavius belizensis", "Octavius kethleyi", "Problepsis buwani", "Craspedosis picoides", "Craspedosis ifugao", "Celenna lourensi", "Cleora aimeelynnae", "Eriphioides dumbardoni", "Eriphioides toddi", "Cerastium cuatrecasasii", "Cerastium cuchumatanense", "Cerastium danguyi", "Cerastium davuricum", "Bipunctiphorus euctimena", "Bipunctiphorus euctimena euctimena", "Bipunctiphorus euctimena kanakensis", "Cerastium deschatresii", "Cerastium dicrotrichum", "Cerastium dubium", "Sphyraena arabiansis", "Parastromateus niger", "Octavius spinosipenis", "Octavius newtoni", "Octavius wagneri", "Octavius rostellipenis", "Octavius peruanus", "Octavius peckorum", "Octavius odiosus", "Octavius neotropicus", "Agrotis giselae", "Axylia putris", "Axylia putris putris", "Axylia putris triseriata", "Axylia triseriata", "Axylia orbicularis", "Axylia aregashae", "Axylia bryi", "Axylia marthae", "Axylia sanyetiensis", "Axylia striata", "Axylia vespertina", "Axylia belophora", "Axylia edwardsi", "Axylia intimima", "Axylia posterioducta", "Axylia sciodes", "Axylia dallolmoi", "Axylia ikondae", "Axylia infusa", "Drepane longimana", "Pelargonium \u00d7 blandfordianum", "Cyclocheilichthys apogon", "Pelargonium sect.", "Nandus oxyrhynchus", "Pelargonium exstipulatum", "Pelargonium abrotanifolium", "Pelargonium ionidiflorum", "Pelargonium odoratissimum", "Pelargonium reniforme", "Pelargonium reniforme subsp. reniforme", "Pelargonium reniforme subsp. velutinum", "Pelargonium \u00d7 fragrans", "Edaphus bishamon", "Edaphus bosatsu", "Edaphus daimio", "Edaphus haniwa", "Edaphus kanzeon", "Edaphus mikado", "Edaphus peramicus", "Edaphus perangustus", "Edaphus percongruus", "Edaphus pergracilis", "Edaphus pergratus", "Edaphus perillustris", "Edaphus permacer", "Edaphus permolestus", "Edaphus perparvus", "Edaphus persubtilis", "Edaphus perplexabilis", "Edaphus perpropinquus", "Edaphus persimplex", "Edaphus sakura", "Pelargonium fissifolium", "Pelargonium triste", "Amblyrhynchichthys truncatus", "Hampala dispar", "Bubalus arnee", "Megalopinus kubani", "Megalopinus helferi", "Stenus wickhami", "Stenus blaisdellianus", "Stenus fenyesi", "Stenus leechianus", "Stenus bidens", "Stenus schuhianus", "Stenus californicus", "Stenus vestalis", "Stenus tahoensis", "Elachista turkensis", "Elachista gebzeensis", "Elachista curonensis", "Elachista teruelensis", "Elachista bazaensis", "Draba bruniifolia subsp. armeniaca", "Elachista anitella", "Elachista tribertiella", "Elachista berndtiella", "Elachista manni", "Eumaeus toxea", "Elachista steueri", "Pelargonium subsect.", "Pelargonium sect.", "Theorema dysmenia", "Euaesthetus blanchardi", "Euaesthetus wickhami", "Euaesthetus caseyi", "Euaesthetus hermani", "Euaesthetus suteri", "Euaesthetus websteri", "Euaesthetus scabripennis", "Euaesthetus brachypterus", "Euaesthetus albertae", "Euaesthetus dybasi", "Euaesthetus chantali", "Euaesthetus franki", "Euaesthetus newtoni", "Euaesthetus smetanai", "Euaesthetus andersoni", "Euaesthetus bierigi", "Euaesthetus chandleri", "Euaesthetus columbus", "Euaesthetus cubanus", "Euaesthetus juanaensis", "Edaphus samurai", "Edaphus shogun", "Edaphus tanuki", "Stenus heinziellus", "Edaphus ecuadorensis", "Edaphus variipunctus", "Edaphus foraminosus", "Edaphus foveolicollis", "Edaphus scupolai", "Edaphus variipennis", "Edaphus electrinus", "Edaphus atahualpa", "Edaphus molestus", "Edaphus chilensis", "Edaphus hanleyi", "Edaphus torifrons", "Edaphus inconveniens", "Edaphus falinianus", "Edaphus mediocris", "Pelargonium fulgidum", "Edaphus montoya", "Edaphus angulosicollis", "Pelargonium \u00d7 ardens", "Edaphus marginicollis", "Edaphus brachati", "Edaphus inexspectatus", "Butis butis", "Pelargonium subg.", "Pelargonium subg.", "Pelargonium subg.", "Pelargonium subg.", "Albulichthys albuloides", "Elachista dalmatiensis", "Elachista grandella", "Elachista moroccoensis", "Elachista glaseri", "Elachista hispanica", "Eumaeus toxana", "Elachista aurita", "Ponticola iranicus", "Elachista alacera", "Elachista cerebrosella", "Elachista cerina", "Elachista cerrita", "Elachista citrina", "Draba bruniifolia subsp. olympica", "Elachista cyanea", "Elachista delira", "Elachista dieropa", "Elachista diligens", "Elachista elaphria", "Draba bruniifolia subsp. kurdica", "Hypsopanchax stiassnyae", "Elachista ensifera", "Elachista essymena", "Elachista festina", "Elachista gemadella", "Draba bruniifolia subsp. bruniifolia", "Elachista habrella", "Elachista helvola", "Elachista ignicolor", "Elachista impiger", "Elachista levipes", "Elachista litharga", "Elachista melina", "Elachista micalis", "Elachista platina", "Elachista polliae", "Elachista propera", "Elachista ravella", "Elachista sandaraca", "Elachista scitula", "Elachista seductilis", "Elachista strenua", "Elachista velox", "Elachista vitellina", "Cerastium fischerianum", "Cerastium fischerianum subsp. albimarginatum", "Cerastium fischerianum subsp. fischerianum", "Cerastium flavescens", "Cerastium floccosum", "Polyptychus marshalli", "Octavius pumilio", "Octavius costaricensis", "Octavius mexicanus", "Octavius trapeziceps", "Polyptychus marshalli marshalli", "Polyptychus marshalli auriguttatus", "Polyptychus marshalli meridianus", "Polyptychopsis marshalli meridianus", "Polyptychus guessfeldti", "Ambulyx guessfeldti", "Valeriodes cryptochlora", "Valeriodes hreblayi", "Valeriodes mediobscura", "Oroplexia rothei", "Oroplexia hoanglienensis", "Oroplexia behouneki", "Euplexidia yoshimotoi", "Euplexidia yunnana", "Euplexidia sichuana", "Euplexidia kucerai", "Euplexidia xueshana", "Euplexidia angustiformis", "Agrotis taiwana", "Agrotis benitezi", "Octavius flabellipenis", "Octavius similis", "Octavius similior", "Octavius spinipenis", "Octavius ecuadorensis", "Octavius venezuelensis", "Eremogone turlanica", "Elachista dispunctella", "Eremogone zargariana", "Canon sripanae", "Parasa zhenxiongica", "Parasa xizangensis", "Siganus guttatus", "Stigmatijanus koreanus", "Paiwarria antinous", "Salarias fasciatus", "Paiwarria aphaca", "Eotmethis daqingshanensis", "Paiwarria episcopalis", "Eotmethis gansuensis", "Chlorizeina yunnana", "Pelargonium sanguineum", "Gentiana utriculosa", "Pelargonium zonale", "Gentiana verna subsp. delphinensis", "Pelargonium inquinans", "Gentiana tergestina", "Pelargonium \u00d7 hybridum", "Gentiana sierrae", "Gentiana schleicheri", "Gentiana brentae", "Ancistrus maximus", "Homatula change", "Exostoma sawmteai", "Hypostomus melanephelis", "Elachista alampeta", "Elachista aluta", "Elachista anolba", "Elachista aposematica", "Elachista ascidiella", "Elachista campsella", "Elachista asperae", "Elachista averta", "Elachista bidens", "Elachista bilobella", "Elachista carcharota", "Elachista catagma", "Elachista ceratiola", "Elachista chilotera", "Elachista coalita", "Elachista cylistica", "Elachista corbicula", "Elachista corneola", "Elachista crenatella", "Elachista crocospila", "Elachista crumilla", "Elachista cursa", "Elachista deusta", "Elachista discina", "Paraschistura abdolii", "Elachista effusi", "Elachista epartica", "Elachista eriodes", "Elachista floccella", "Elachista etorella", "Elachista euthma", "Elachista evexa", "Paraschistura aredvii", "Elachista faberella", "Elachista filiphila", "Elachista flammula", "Elachista flavicilia", "Paraschistura hormuzensis", "Elachista gladiatrix", "Paraschistura naumanni", "Elachista laterina", "Elachista gladiograpta", "Elachista glomerella", "Elachista glossina", "Elachista ictera", "Eremogone dianthoides subsp. dianthoides", "Pelargonium denticulatum", "Eremogone acicularis", "Eremogone androsacea", "Eremogone asiatica", "Eremogone biebersteinii", "Eremogone brachypetala", "Eremogone cephalotes", "Eremogone cliftonii", "Eremogone ferganica", "Eremogone glaucescens", "Eremogone globuliflora", "Eremogone graminea", "Elachista alicanta", "Eremogone holostea", "Eremogone insignis", "Eremogone griffithii", "Eremogone jakutorum", "Elachista elksourensis", "Eremogone koelzii", "Eremogone ladyginae", "Eremogone litwinowii", "Eremogone meyeri", "Eremogone longifolia", "Eremogone multiflora", "Eremogone oosepala", "Pelargonium \u00d7 jatrophifolium", "Eremogone paulsenii", "Eremogone polaris", "Eremogone polycnemifolia", "Perizoma onurcani", "Eremogone saxatilis", "Eremogone przewalskii", "Eremogone rigida", "Eremogone surculosa", "Fluviphylax palikur", "Eremogone talassica", "Eremogone tetrasticha", "Eremogone tschuktschorum", "Dichaea hirtzii", "Tagasta nigritibia", "Drosophila glabra", "Paiwarria telemus", "Neuwiedia malipoensis", "Paiwarria umbratus", "Paiwarria venulius", "Salvia hydrangea", "Ranunculus millefoliatus", "Pelargonium magenteum", "Pelargonium grandiflorum", "Pelargonium laevigatum", "Pelargonium sect.", "Fluviphylax pygmaeus", "Stenus aurigans", "Stenus nimbosus", "Stenus fuscivestis", "Stenus fuscatus", "Stenus mixcoatl", "Stenus apterus", "Stenus zoilus", "Stenus zabolicus", "Stenus pilli", "Stenus kethleyi", "Stenus heredianus", "Stenus dybasianus", "Stenus chiapasensis", "Stenus corniculifer", "Eremogone drypidea", "Eremogone isaurica", "Eremogone ledebouriana", "Eremogone macrantha", "Eremogone pseudacantholimon", "Eremogone scariosa", "Eremogone szowitsii", "Eremogone dianthoides", "Eremogone dianthoides subsp. tuncbasi", "Alcea digitata", "Mithras elis", "Gentiana verna subsp. oschtenica", "Gentiana tergestina subsp. tergestina", "Euptychia roraima", "Mithras nautes", "Aphendala siama", "Pelargonium \u00d7 saepeflorens", "Aphendala unicolor", "Parasa unicolor", "Regaliceratops peterhewsi", "Pelargonium \u00d7 middletonianum", "Pelargonium \u00d7 particeps", "Pelargonium sect.", "Pelargonium dichondrifolium", "Eugnosta umtamvuna", "Pelargonium luridum", "Cnephasia phalarocosma", "Phalarotortrix phalarocosma", "Phalarotortrix ergastularis", "Cnephasia ergastularis", "Papaver dubium subsp. lecoquii", "Papaver dubium subsp. confine", "Papaver dubium subsp. austromoravicum", "Papaver dubium subsp. glabrum", "Papaver dubium subsp. laevigatum", "Papaver dubium subsp. dubium", "Tortrix abscisana", "Centaurea aytugiana", "Cophecheilus brevibarbatus", "Elachista illota", "Elachista indigens", "Paraschistura pasatigris", "Elachista lachnella", "Paraschistura susiani", "Elachista ligula", "Elachista magidina", "Elachista listrionea", "Elachista lopadina", "Elachista menura", "Elachista merista", "Elachista mundula", "Elachista mutarata", "Elachista mystropa", "Elachista nodosae", "Elachista ophelma", "Elachista ophthalma", "Elachista opima", "Elachista paragauda", "Elachista paryphoea", "Elachista patania", "Elachista patersoniae", "Elachista peridiola", "Elachista pharetra", "Elachista phascola", "Elachista physalodes", "Elachista platysma", "Elachista prolatella", "Elachista protensa", "Elachista repanda", "Elachista rhomboidea", "Elachista rubiginosae", "Elachista rudicula", "Elachista ruscella", "Elachista sapphirella", "Elachista sarota", "Elachista scopulina", "Elachista spathacea", "Elachista sphaerella", "Elachista spinodora", "Elachista spongicola", "Elachista stictifica", "Elachista syntomella", "Elachista tetraquetri", "Elachista toralis", "Elachista toryna", "Elachista trulla", "Elachista velutina", "Elachista zeta", "Atelomycterus erdmanni", "Elachista svenssoni", "Elachista gregori", "Elachista elsaella", "Chriolepis prolata", "Elachista arenbergeri", "Elachista deresyensis", "Elachista andorraensis", "Bactra pallidior", "Bactra botswanae", "Bactra omoiosa", "Pelargonium schizopetalum", "Hystrichophora kwazuluana", "Malolotia malolotiana", "Cosmetra mafikana", "Xenosocia kilimanjaro", "Thiodia gracilia", "Gypsonoma penthestes", "Gypsonoma brunnhimation", "Epiblema didimum", "Strepsicrates badplaasia", "Herpystis pleinocolor", "Fulcrifera incrassa", "Fulcrifera boavistae", "Fulcrifera namutomi", "Amabrana yauondeae", "Selania leptota", "Selania micula", "Cydia marientali", "Pelargonium bowkeri", "Yi qi", "Pelargonium caffrum", "Pelargonium sect.", "Pelargonium \u00d7 nervosum", "Pelargonium luteum", "Centaurea goksivriensis", "Chaunacops coloratus", "Tortrix aerosana", "Centaurea amanosensis", "Centaurea yaltirikii subsp. dumanii", "Centaurea yaltirikii subsp. yaltirikii", "Chaunacops spinosus", "Clepsis jinboi", "Chaunacops melanostomus", "Tortrix altitudinarius", "Tortrix antigona", "Cyclanorbis senegalensis", "Clepsis intensa", "Tortrix intensa", "Lobesia dorsiscopa", "Eccopsis pollens", "Afroploce analcis", "Nepheloploce prodroma", "Diakonoffiana graziani", "Astronauta gnophera", "Darmana mandaranae", "Euxanthis magnificana", "Eugnosta molybdanthes", "Phtheochroa molybdanthes", "Eugnosta molybdina", "Carolella molybdina", "Hysterosia alphitopa", "Hysterosia melasma", "Phtheochroa melasma", "Hysterosia iodes", "Phtheochroa iodes", "Hysterosia gigantica", "Phtheochroa gigantica", "Hysterosia turialba", "Pelargonium tricolor", "Pelargonium \u00d7 violareum", "Stictane bokorensis", "Stictane fusca", "Stictane munda", "Stictane paucilinea", "Stictane umbrimedia", "Pelargonium \u00d7 riversdalense", "Moneuptychia montana", "Melanotaenia klasioensis", "Pelargonium cortusifolium", "Hypaurotis crysalus", "Phlomis brevidentata", "Phlomis brevilabris", "Phlomis zenaidae", "Phlomis tathamiorum", "Phlomis tenorei", "Phlomis tenuis", "Phlomis thapsoides", "Phlomis tomentosa", "Phlomis trineura", "Phlomis salicifolia", "Phlomis samia", "Phlomis sewerzowii", "Phlomis sieheana", "Phlomis sintenisii", "Phlomis spinidens", "Geitocochylis gustatora", "Geitocochylis gyrantrum", "Geitocochylis paromala", "Geitocochylis tarphionima", "Pelargonium \u00d7 ovatum", "Pelargonium elegans", "Pelargonium ovale", "Pelargonium viciifolium", "Pelargonium pinnatum", "Stenus punctiventris", "Stenus remotus", "Stenus repletus", "Stenus sagax", "Stenus salvini", "Stenus scabripennis", "Stenus scabrosus", "Stenus scutiger", "Stenus segnis", "Stenus sobrinus", "Stenus solitarius", "Stenus suaveolus", "Stenus trochanterinus", "Megalopinus armatus", "Megalopinus cognatus", "Megalopinus cruciger", "Pelargonium \u00d7 lateripes", "Lamium persepolitanum", "Lamium galeobdolon subsp. montanum", "Lamium galeobdolon subsp. flavidum", "Lamium galeobdolon subsp. galeobdolon", "Lamium garganicum subsp. garganicum", "Lamium garganicum subsp. striatum", "Lamium garganicum subsp. corsicum", "Lamium garganicum var. armenum", "Lamium garganicum var. microphyllum", "Lamium gevorense", "Lamium coutinhoi", "Lamium \u00d7 holsaticum", "Phlomis lunariifolia", "Phlomis bourgaei", "Stenus zunilensis", "Phlomis chimerae", "Phlomis leucophracta", "Stenus aculeatus", "Phlomis lycia", "Stenus addendus", "Phlomis monocephala", "Stenus albipes", "Phlomis viscosa", "Stenus alticola", "Stenus alumnus", "Stenus ambulator", "Stenus armatus", "Stenus asperatus", "Stenus bajulus", "Stenus buccalis", "Stenus chiriquensis", "Stenus corrosus", "Lathronympha oios", "Stenus cribriceps", "Thaumatotibia adidacta", "Stenus cylindricus", "Grapholita gameae", "Stenus densipennis", "Grapholita sabieae", "Microsarotis arushae", "Stenus detector", "Parapammene acutapex", "Stenus docilis", "Stenus eremitus", "Stenus exulans", "Stenus flohri", "Pheles plaumanni", "Pheles obscura", "Lepricornis bicolor", "Pelargonium \u00d7 saxifragoides", "Pachythone bicolor", "Melanis caatingensis", "Pelargonium endlicherianum", "Chorinea amazon", "Netuma thalassinus", "Zeonia amazon", "Chorinea amazon amazon", "Chorinea amazon antoniana", "Stenodes bipunctata", "Falseuncaria kaszabi", "Falseuncaria lechriotoma", "Falseuncaria rjaboviana", "Phlomis angustissima", "Phlomis anisodonta", "Phlomis antiatlantica", "Phlomis aucheri", "Phlomis bovei", "Phlomis brachyodon", "Phlomis aurea", "Phlomis brevibracteata", "Cnephasia syriella", "Cnephasia tolli", "Cuitlauzina egertonii", "Zadadra cucullata", "Zadadra neodistorta", "Ditrigona clavata", "Stictane cambodiensis", "Stictane khmerensis", "Megalopinus elegans", "Megalopinus ineptus", "Megalopinus integer", "Megalopinus mexicanus", "Megalopinus modestus", "Megalopinus morosus", "Megalopinus praeditus", "Megalopinus aimara", "Phlomis longifolia", "Phlomis grandiflora", "Fulvoclysia arguta", "Fulvoclysia aulica", "Fulvoclysia proxima", "Fulvoclysia rjabovi", "Fulvoclysia defectana", "Conchylis defectana", "Fulvoclysia dictyodana", "Cochylis dictyodana", "Phalonia acutana", "Cochylis dictyodana dictyodana", "Cochylis dictyodana insignatana", "Fulvoclysia forsteri", "Euxanthis forsteri", "Fulvoclysia nerminae", "Fulvoclysia pallorana", "Conchylis pallorana", "Fulvoclysia armeniaca", "Fulvoclysia subdolana", "Euxanthis subdolana", "Euxanthis subflavana", "Falseuncaria brunnescens", "Cochylimorpha simplicis", "Stenodes simplicis", "Stenus gentilis", "Stenus godmani", "Stenus graciliventris", "Stenus hostilis", "Stenus inanis", "Stenus incognitus", "Stenus laceratus", "Stenus laetipes", "Stenus longiventris", "Stenus macilentus", "Stenus megops", "Stenus mexicanus", "Chorinea batesii", "Stenus mucronatus", "Zeonia batesii", "Chorinea batesii batesii", "Stenus nasutus", "Stenus nimborum", "Stenus ornativentris", "Chorinea batesii regina", "Stenus peregrinus", "Stenus podagricus", "Ithomeis aurantiaca", "Ithomeis aurantiaca aurantiaca", "Ithomeis aurantiaca bernardi", "Ithomeis satellites", "Ithomeis satellites satellites", "Ithomeis aurantiaca satellites", "Chamaelimnas briola", "Chamaelimnas briola briola", "Chamaelimnas briola batado", "Baeotis hisbon", "Baeotis hisbon hisbon", "Baeotis hisbon disjuncta", "Eulia aphrobapta", "Eugnosta azapaensis", "Eugnosta magnificana", "Pelargonium myrrhifolium var. myrrhifolium", "Palawanozephyrus reginae", "Borneozephyrus borneanus", "Pelargonium myrrhifolium var. coriandrifolium", "Pelargonium myrrhifolium var. intermedium", "Pelargonium longicaule", "Pelargonium longicaule var. longicaule", "Pelargonium longicaule var. angustipetalum", "Pelargonium \u00d7 hortorum", "Gentiana penetii", "Pelargonium \u00d7 stenopetalum", "Stenus quetzalcoatl", "Stenus pakilia", "Stenus monteverdensis", "Stenus hostis", "Stenus hosticus", "Stenus perhospitus", "Stenus tricuspis", "Stenus triformis", "Stenus furcillifer", "Stenus hartmeyeri", "Stenus macehualli", "Stenus gertschi", "Stenus perarmatus", "Stenus yanacona", "Stenus leptomorphus", "Stenus hinojosai", "Stenus spicatus", "Stenus daguerrei", "Stenus spinuliventris", "Stenus corticihabitans", "Stenus femoridens", "Stenus corticivagans", "Stenus holmgreni", "Stenus densepilosus", "Stenus electrus", "Stenus jelineki", "Stenus auricomus", "Stenus zunicoides", "Stenus irazumontis", "Stenus hostificus", "Stenus congeminatus", "Stenus bierigi", "Stenus dybasi", "Stenus leptodomus", "Stenus leptosoma", "Stenus scorpio", "Stenus taurops", "Elachista oukaimedenensis", "Elachista bustilloi", "Elachista galactitella", "Encrasicholina macrocephala", "Dichaea angustisegmenta", "Dichaea camaridioides", "Dichaea campanulata", "Dichaea cleistogama", "Eremogone acerosa", "Eremogone acutisepala", "Eremogone angustisepala", "Eremogone armeniaca", "Eremogone blepharophylla", "Eremogone cucubaloides", "Eremogone davisii", "Neotinea \u00d7 dietrichiana nothosubsp. dietrichiana", "Pelargonium fruticosum", "Asterolinon linum-stellatum", "Flueggea anatolica", "Potentilla aurea subsp. chrysocraspeda", "Potentilla aurea subsp. aurea", "Aethes nuda", "Bonagota sololana", "Megalopinus muelleri", "Megalopinus pulchrivestis", "Megalopinus sulcipennis", "Megalopinus tubericollis", "Megalopinus vomerifrons", "Megalopinus bosqi", "Argyrotaenia chillana", "Polyortha maculata", "Epinotia lanceata", "Epinotia zamorata", "Malolotia niphaspis", "Eucosma niphaspis", "Malolotia galactitis", "Eucosma galactitis", "Malolotia albocellus", "Cosmetra calliarma", "Chondrostoma cyri", "Chondrostoma regium", "Chondrostoma orientale", "Thiodia actuosa", "Eucosma actuosa", "Gypsonoma projecta", "Eucosma projecta", "Endotera areata", "Laspeyresia areata", "Leguminivora anthracotis", "Laspeyresia anthracotis", "Fulcrifera phruda", "Acanthoclita pectinata", "Nyctobrya hierroana", "Neoanalthes wangi", "Hypaurotis crysalus citima", "Hypaurotis crysalus crysalus", "Hypaurotis crysalus intermedia", "Pelargonium myrrhifolium", "Phlomis stewartii", "Phlomis syriaca", "Phlomis pachyphylla", "Phlomis persica", "Phlomis physocalyx", "Phlomis platystegia", "Phlomis polioxantha", "Phlomis purpurea", "Phlomis regelii", "Phlomis olgae", "Phlomis olivieri", "Phlomis oppositiflora", "Phlomis orientalis", "Phlomoides cuneata", "Phlomis brunneogaleata", "Phlomis bucharica", "Phlomis cancellata", "Phlomis capitata", "Phlomis carica", "Phlomis cashmeriana", "Phlomis cashmirica", "Phlomis chorassanica", "Phlomis cretica", "Phlomis cyclodon", "Phlomis cypria", "Lysimachia congestiflora", "Megalopinus apicisculptus", "Megalopinus aspericollis", "Megalopinus bicavatifrons", "Megalopinus bispinus", "Moneuptychia vitellina", "Moneuptychia pervagata", "Moneuptychia wahlbergi", "Megalopinus breviculus", "Megalopinus brevis", "Megalopinus brooksi", "Megalopinus chinan", "Megalopinus cognatoides", "Megalopinus cognitor", "Megalopinus cognitorius", "Megalopinus duplicatus", "Megalopinus elegantior", "Megalopinus franzi", "Megalopinus fuscus", "Megalopinus incisicollis", "Megalopinus incognatus", "Megalopinus libidinosus", "Megalopinus moderatus", "Argyrotaenia telemacana", "Argyrotaenia granpiedrae", "Argyrotaenia potosiana", "Periophthalmodon schlosseri", "Tenualosa ilisha", "Pelargonium multicaule", "Pelargonium multicale var. multicaule", "Pelargonium multicale var. subherbaceum", "Pelargonium \u00d7 concolor", "Hypolycaena narada", "Appias caeca", "Appias lyncida", "Appias lyncida lyncida", "Appias lyncida balambangensis", "Appias maria maria", "Megalopinus brasiliensis", "Appias maria kobayashii", "Appias phoebe", "Appias phoebe phoebe", "Appias phoebe rowelli", "Megalopinus bipustulatus", "Megalopinus obliquestriatus", "Megalopinus quinquemaculatus", "Appias paulina paulina", "Appias paulina athena", "Appias paulina insularis", "Appias paulina thyre", "Appias epaphia", "Appias epaphia epaphia", "Appias epaphia aequatorialis", "Appias epaphia angolensis", "Appias epaphia piresi", "Appias phaola", "Appias phaola phaola", "Appias phaola uigensis", "Appias sylvia", "Appias sylvia sylvia", "Appias sylvia ribeiroi", "Megalopinus caracasanus", "Appias urania", "Appias urania urania", "Appias urania blissetti", "Megalopinus gestroi", "Automeris belizonensis", "Melanotaenia longispina", "Melanotaenia manibuii", "Melanotaenia naramasae", "Melanotaenia rumberponensis", "Melanotaenia sembrae", "Melanotaenia sikuensis", "Antheraea larissa palawarissa", "Melanotaenia susii", "Garra robertsi", "Megalopinus alces", "Garra borneensis", "Megalopinus amoenatus", "Megalopinus amoenus", "Megalopinus formosus", "Saturnia dusii", "Megalopinus niger", "Megalopinus nigricans", "Megalopinus nigricolor", "Megalopinus nigrificatus", "Megalopinus pulchellus", "Megalopinus pulcher", "Megalopinus pulchrior", "Megalopinus quadrinotatus", "Megalopinus sharpi", "Megalopinus breyeri", "Pelargonium \u00d7 venosum", "Fluviphylax obscurus", "Fluviphylax simplex", "Fluviphylax zonatus", "Hylopanchax stictopleuron", "Bulbophyllum corolliferum", "Odonestis pruni assamensis", "Arguda erectilinea", "Odonestis formosae", "Odonestis formosae formosae", "Fujiokaozephyrus tsangkie", "Arguda formosae", "Fujiokaozephyrus camurius", "Arguda angulata", "Monsonia spinosa", "Monsonia umbellata", "Paracobitis longicauda", "Inomataozephyrus assamica", "Inomataozephyrus syla", "Pseudogonerilia kitawakii", "Amydona laeta", "Erodium subg.", "Erodium subg.", "Erodium sect.", "Pelargonium incarnatum", "Erodium sect.", "Pristomerus afrikaner", "Erodium sect.", "Odonestis divisa", "Cosmotriche purpurascens", "Saturnia jonasi", "Saturnia naumanni", "Saturnia sinjaevi", "Saturnia pelelaensis", "Saturnia witti", "Alchemilla ser.", "Alchemilla sect.", "Alchemilla ser.", "Alchemilla ser.", "Alchemilla ser.", "Acria trigoniprojecta", "Alchemilla subsect.", "Alchemilla ser.", "Pseudorasbora pugnax", "Alchemilla subsect.", "Pseudorasbora pumila", "Euceratia castella", "Euceratia securella", "Euceratia intermedia", "Anthanassa drusilla", "Anthanassa drusilla drusilla", "Anthanassa drusilla rioverde", "Hesperia colorado", "Hypsopanchax platysternus", "Plectranthus pentheri", "Stiphodon annieae", "Monsonia attenuata", "Hypsopanchax jobaerti", "Hypsopanchax jubbi", "Monsonia sect.", "Oreichthys duospilus", "Oreichthys incognito", "Hypsopanchax catenatus", "Hypsopanchax zebra", "Micropanchax loati", "Micropanchax keilhacki", "Monsonia emarginata", "Erodium sect.", "Erodium subsect.", "Erodium subsect.", "Plectorhinchus caeruleonothus", "Platyceroides marshalli", "Plectorhinchus unicolor", "Salvia bracteata", "Plectorhinchus griseus", "Plectorhinchus schotaf", "Paraschistura bampurensis", "Bagheera kiplingi", "Paraschistura cristata", "Paraschistura kessleri", "Erythronium rostratum", "Dendrobium crumenatum", "Pelargonium \u00d7 melissimum", "Hylopanchax silvestris", "Nothorhina granulicollis", "Cheirolophus crassifolius", "Pelargonium oblongatum", "Coleus amboinicus", "Saturnia florianii", "Saturnia minshanensis", "Saturnia saldaitisi", "Saturnia ruda", "Saturnia chinensis", "Saturnia chinensis chinensis", "Saturnia chinensis luteoshaanxiana", "Saturnia fujiana", "Saturnia fukudai", "Glossogobius mahalonensis", "Epilecta flavilinea", "Xestia semiherbida", "Triphaena semiherbida", "Epilecta decorata", "Himachalia formosana", "Sebastes diaconus", "Abrostola abrostolina", "Inguridia abrostolina", "Abrostola tocionis", "Sebastes mystinus", "Dendrobium fugax", "Coelogyne flexuosa", "Cyclocranium swierstrae", "Noseozephyrus yukinobui", "Noseozephyrus lisus", "Shirozuozephyrus fibonacci", "Uedaozephyrus kuromon", "Monsonia praemorsa", "Hesperia colorado colorado", "Hesperia colorado sublima", "Monsonia sect.", "Monsonia sect.", "Monsonia burmannii", "Monsonia lheritieri", "Aphendala transversata", "Aphendala tripartita", "Aphendala mechiensis", "Thosea phaeobasis", "Thosea discipunctata", "Parasa cana", "Thosea barikoti", "Aphendala recta", "Thosea recta", "Aphendala ferreogrisea", "Aphendala flavina", "Thosea flavina", "Aphendala imitabilis", "Thosea imitabilis", "Aphendala conicosma", "Thosea conicosma", "Rarithea phocea", "Miresa phocea", "Abrostola anophioides", "Abrostola crinita", "Abrostola triplasia", "Trichoplusia ni", "Thysanoplusia cernyi", "Thysanoplusia homoia", "Thysanoplusia ignicollis", "Thysanoplusia semirosea", "Thysanoplusia viettei", "Thysanoplusia reticulata", "Plusia reticulata", "Argyrogramma signata", "Ambulyx flava flavoluzonica", "Ussuriana michaelis takarana", "Manduca afflicta afflicta", "Manduca boliviana", "Manduca camposi", "Xenorhina tillacki", "Austrochaperina alexanderi", "Austrochaperina laurae", "Paraschistura nielseni", "Paraschistura turcmenica", "Cophixalus viridis", "Cyphostemma zimmermannii", "Oeosporangium pteridioides", "Sovia lii", "Isoetes longissima", "Erodium sect.", "Erodium alpinum", "Geranium sect.", "Pristomerus aka", "Pristomerus babinga", "Pristomerus bemba", "Pristomerus dikidiki", "Pristomerus herero", "Pristomerus hutu", "Pristomerus kagga", "Pristomerus khoikhoi", "Paracobitis malapterura", "Kameiozephyrus neis", "Paracobitis rhadinae", "Paracobitis vignai", "Paracobitis basharensis", "Kawazoeozephyrus mushaellus", "Paracobitis molavii", "Kawazoeozephyrus mushaellus moritai", "Kawazoeozephyrus mushaellus mushaellus", "Paracobitis persa", "Paracobitis zabgawraensis", "Metanastria lajonquierei", "Suana zahmi", "Kawazoeozephyrus mushaellus nishimurai", "Lajonquierea flacifer", "Badis andrewraoi", "Kunugia barlowi", "Kunugia charpenitieri", "Kunugia kobesi", "Paphinia levyae var. levyae", "Kawazoeozephyrus mushaellus rileyi", "Arguda sumatrana", "Badis autumnum", "Bharetta widagdoi", "Kawazoeozephyrus mushaellus sakaguchii", "Badis kyanos", "Trabala owadai", "Trabala phillipae", "Kawazoeozephyrus jiroi", "Badis soraya", "Neogonerilia okamurai", "Neogonerilia buddha", "Bombus makarjini", "Trichoboscis crocosema", "Lecithocera crocosema", "Trichoboscis multispina", "Trichoboscis phliuensis", "Trichoboscis cultriformis", "Lozotaenia aurichalcana", "Osmorhiza chilensis", "Cymatodera tortuosa", "Cymatodera ortegae", "Cymatodera gerstmeieri", "Cymatodera mixteca", "Cymatodera rosalinae", "Cymatodera capax", "Eupanacra splendens salomonis", "Marumba gaschkewitschii", "Marumba gaschkewitschii gaschkewitschii", "Marumba harutai", "Marumba irata", "Marumba carstanjeni", "Marumba cristata cristata", "Acosmeryx anceus halmaherana", "Acosmeryx anceus alorana", "Acosmeryx anceus hainana", "Acosmeryx anceus philippinensis", "Smerinthulus mirabilis mirabilis", "Smerinthulus mirabilis tonkiniana", "Smerinthulus mirabilis orientosinica", "Smerinthus laurae laurae", "Smerinthus laurae tenasserima", "Ambulyx flava", "Ambulyx flava flava", "Pholidota articulata", "Epichoristodes rotundata", "Clepsis dichroma", "Aerides ringens", "Clepsis punctata", "Diakonoffiana cidna", "Syntozyga cerchnograpta", "Cosmetra brunnescens", "Clepsis ocladia", "Clepsis enarga", "Clepsis lusingae", "Clepsis oidema", "Clepsis gongyla", "Clepsis barbellata", "Clepsis humilaria", "Clepsis letheana", "Orilesa aberdarica", "Orilesa caminosa", "Orilesa haemyla", "Orilesa legitimana", "Orilesa mubalea", "Saxifraga porophylla", "Coreana raphaelis ohruii", "Coreana raphaelis yamamotoi", "Saxifraga subsect.", "Saxifraga ser.", "Saxifraga hohenwartii", "Coloradia hectori", "Coloradia peggyae", "Coloradia ocambensis", "Syssphinx hectori", "Syssphinx paraxanthina", "Syssphinx delmaiziana", "Syssphinx tamaulipasiana", "Syssphinx modmexicana", "Dirphiella pseudotaylori", "Anisota disjaliscana", "Anisota dismexicana", "Travassosula chuquisaciana", "Travassosula madrediosiana", "Psilopygoides odandensis", "Trichoboscis pansarista", "Procatopus nototaenia", "Procatopus aberrans", "Procatopus similis", "Pristomerus bullis", "Pristomerus caris", "Pristomerus guinness", "Badis laspiophilus", "Glossogobius macrocephalus", "Glossogobius multipapillus", "Glossogobius sentaniensis", "Platocoelotes luoi", "Platocoelotes qinglinensis", "Platocoelotes shuiensis", "Platocoelotes tianyangensis", "Platocoelotes xianwuensis", "Trachionus acarinatus", "Amphilius crassus", "Trachionus albitibialis", "Trachionus brevisulcatus", "Trachionus mandibularoides", "Amphilius ruziziensis", "Amphilius pedunculus", "Amphilius frieli", "Eupanacra splendens burica", "Amphilius lujani", "Eupanacra splendens makira", "Eupanacra splendens novobrittanica", "Eupanacra splendens vellalavella", "Eupanacra splendens splendens", "Eupanacra variegata variegata", "Eupanacra variegata varicelebica", "Saxifraga scardica", "Phtheochroa amphibola", "Saxifraga scardica subsp. scardica", "Phtheochroa chlidantha", "Saxifraga scardica subsp. korabensis", "Phtheochroa chaunax", "Phtheochroa chriacta", "Phtheochroa chriodes", "Phtheochroa ciona", "Phtheochroa circina", "Phtheochroa cistobursa", "Phtheochroa descensa", "Phtheochroa faulkneri", "Bathylutichthys balushkini", "Melamphaes inconspicuus", "Melamphaes kobylyanskyi", "Melamphaes longivelis", "Coryphopterus curasub", "Saxifraga ferdinandi-coburgi", "Puntius dolichopterus", "Saxifraga subsect.", "Monnina reticulata", "Monnina carmelensis", "Gastrochilus acaulis", "Barilius ardens", "Monnina alinae", "Monnina neurophylla", "Monnina pycnophylla", "Monnina pichinchensis", "Barilius malabaricus", "Monnina splendens", "Danio assamila", "Danio dangila", "Saxifraga subsect.", "Danio catenatus", "Danio concatenatus", "Danio sysphigmatus", "Acangassu diminuta", "Saxifraga mutata", "Monnina latifolia", "Saxifraga subsect.", "Saxifraga ser.", "Pristomerus pallidus", "Armatophallus exoenota", "Pristomerus rivier", "Gelechia exoenota", "Armatophallus crudescens", "Gelechia crudescens", "Armatophallus kuehnei", "Armatophallus akagericus", "Armatophallus hackeri", "Armatophallus indicus", "Gelechia xylophaea", "Scillaelepas fosteri", "Abyarachryson signaticolle", "Xanthocampoplex huberti", "Temelucha labusi", "Scillaelepas gemma", "Monnina marginata", "Monnina speciosa", "Monnina subscandens", "Saxifraga moncayensis", "Epermenia bicuspis", "Epermenia davisi", "Epermenia caledonica", "Epermenia bidentata", "Pseudogobio esocinus", "Micranthes virginiensis", "Epermenia commonella", "Epermenia ergastica", "Saxifraga moschata subsp. moschata", "Saxifraga paniculata subsp. paniculata", "Teucrium radicans", "Pristomerus kuku", "Pristomerus masai", "Pristomerus mbaka", "Pristomerus mbama", "Pristomerus mboum", "Pristomerus nzakara", "Pristomerus protea", "Pristomerus restio", "Pristomerus san", "Pristomerus sara", "Pristomerus sotho", "Pristomerus swahili", "Pristomerus teke", "Pristomerus tutsi", "Pristomerus venda", "Pristomerus wolof", "Pristomerus xhosa", "Pristomerus yakoma", "Pristomerus yangere", "Pristomerus yoccolo", "Pristomerus zande", "Pristomerus zulu", "Pristomerus albescens", "Pristomerus ruficaput", "Diarsia carnipennis", "Diarsia subtincta", "Diarsia nigrafasciata", "Diarsia cia", "Rhyacia cia", "Diarsia kanoi", "Diarsia sinuosa", "Hermonassa sinuosa", "Agrotis formosensis", "Diarsia moltrechti", "Diarsia taidactyla", "Anaplectoides semivirens", "Xestia tamsi", "Agrotis tamsi", "Xestia csoevarii", "Xestia fuscostigma", "Xestia fuscostigma fuscostigma", "Xestia fuscostigma csoevarii", "Xestia supravidua", "Pseudohermonassa owadai", "Xestia enyachangae", "Xestia yamanei", "Xestia flavilinea", "Cymatodera sinuosa", "Cymatodera vittata", "Cymatodera rubida", "Cymatodera limatula", "Cymatodera obliquefasciata", "Cymatodera werneri", "Cymatodera dietrichi", "Cymatodera mexicana", "Cymatodera cicatricula", "Cymatodera matehualacaligoides", "Cymatodera brailovskyi", "Cymatodera durangoensis", "Cymatodera monticola", "Cymatodera paucipunctata", "Cymatodera anulata", "Cymatodera christina", "Cymatodera copei", "Cymatodera oxchuc", "Cymatodera merickeli", "Cymatodera romeroi", "Cymatodera cellulosa", "Cymatodera acutipennis", "Cymatodera doda", "Cymatodera carinipennis", "Cymatodera rileyi", "Cymatodera wilsoni", "Pristomerus hansoni", "Pristomerus kelikely", "Pristomerus keyka", "Pristomerus melissa", "Pristomerus moramora", "Pristomerus patator", "Cymatodera barri", "Pristomerus ranomafana", "Cymatodera bellamyi", "Pristomerus roberti", "Pristomerus vahaza", "Pristomerus veloma", "Pristomerus yago", "Agonopterix tripunctaria", "Agonopterix medelichensis", "Agonopterix adspersella", "Epermenia fuscomaculata", "Apterichtus dunalailai", "Epermenia shimekii", "Apterichtus jeffwilliamsi", "Apterichtus malabar", "Epermenia ijimai", "Apterichtus mysi", "Apterichtus nariculus", "Epermenia uedai", "Epermenia pseudofuscomaculata", "Epermenia oculigera", "Ochromolopis oculigera", "Epermenia thailandica", "Epermenia trifilata", "Characidium satoi", "Epermenia trileucota", "Micranthes californica subsp. californica", "Micranthes californica subsp. fallax", "Micranthes aprica", "Epermenia dalianicola", "Epermenia parastolidota", "Scillaelepas grimaldii", "Campoplex techer", "Blanchardiella decemoculata", "Cylicobdella joseensis", "Cylicobdella costaricae", "Diestecostoma octoannulata", "Diestecostoma mexicana", "Diestecostoma magna", "Haemopis caballeroi", "Haemopis grandis", "Haemopis kingi", "Haemopis lateromaculata", "Haemopis marmorata", "Monnina pseudosalicifolia", "Haemopis plumbea", "Haemopis septagon", "Haemopis terrestris", "Episcardia amseli", "Monnina hirtella", "Macrobdella decora", "Macrobdella diplotertia", "Macrobdella ditetra", "Macrobdella sestertia", "Oxyuptychus antellarum", "Monnina decurrens", "Orobdella ketagalan", "Pintobdella cajali", "Tineola argocoma", "Cylicobathra argocoma", "Tinea abathra", "Danio absconditus", "Tinea audens", "Episcardia audens", "Danio feegradei", "Chrysoryctis balanosema", "Chrysoryctis heminephela", "Parotocinclus variola", "Channa pulchra", "Clarias macrocephalus", "Hara nareshi", "Monnina sandemanii", "Monnina wurdackii", "Monnina ebracteata", "Monnina confusa", "Monnina myrtoides", "Monnina pseudopilosa", "Monnina haughtii", "Dusona douraguia", "Monnina chimborazeana", "Enytus huet", "Eriborus cadjee", "Gyrographa gyrocarpa", "Monnina celastroides", "Monnina denticulata", "Monnina pulchra", "Monnina tenuifolia", "Monnina sodiroana", "Gyrographa saxigena", "Monnina obovata", "Monnina equatoriensis", "Monnina fastigiata", "Aplocheilichthys spilauchen", "Saxifraga paniculata subsp. laestadii", "Monnina hirta", "Opisthodontia superba superba", "Opisthodontia superba obusta", "Taragama micha", "Scillaelepas superba", "Cydia hygrotrema", "Laspeyresia hygrotrema", "Saxifraga ser.", "Micranthes melanocentra", "Scillaelepas pittensis", "Aurivillialepas arnaudi", "Micranthes sect.", "Micranthes sect.", "Micranthes sect.", "Aurivillialepas bocquetae", "Micranthes sect.", "Aurivillialepas calycula", "Helicteulia heos", "Monnina fosbergii", "Monnina leptostachya", "Saxifraga setigera", "Saxifraga flagellaris", "Saxifraga umbrosa var. umbrosa", "Saxifraga umbrosa var. hirta", "Herichthys minckleyi", "Micranthes merkii", "Micranthes merkii subsp. merkii", "Micranthes merkii subsp. idsuroei", "Himertosoma kuslitzkii", "Saxifraga serpyllifolia", "Saxifraga serpyllifolia subsp. serpyllifolia", "Saxifraga serpyllifolia subsp. glutinosa", "Alciphanes molybdantha", "Acrolyta dindar", "Paraphylax mussar", "Phygadeuon nativel", "Stenomacrus payet", "Neolissochilus hendersoni", "Megaselia albalucifrons", "Ctenidiosomus austrinus", "Neolissochilus soroides", "Agaporomorphus julianeae", "Geophilus hadesi", "Omphreus morio", "Omphreus morio morio", "Omphreus morio beckianus", "Omphreus morio strupii", "Omphreus morio weiratheri", "Omphreus morio sandeli", "Omphreus morio durmitorensis", "Omphreus morio prekornicensis", "Omphreus morio serbooccidentalis", "Omphreus morio bjelasicensis", "Saxifraga acerifolia", "Acria camelodes", "Ethmia ustyurtensis", "Syssphinx fabiolae", "Aspidoras marianae", "Alciphanes flavifasciaria", "Alciphanes bathroptila", "Alciphanes holocana", "Saxifraga cortusifolia var. cortusifolia", "Saxifraga flagellaris subsp. flagellaris", "Saxifraga flagellaris subsp. crandallii", "Saxifraga platysepala", "Saxifraga subsect.", "Saxifraga stenophylla", "Saxifraga stenophylla subsp. stenophylla", "Saxifraga stelleriana", "Lathrobium awajishimanum", "Lathrobium baihualingense", "Lathrobium baizuorum", "Gadus macrocephalus ogac", "Stenophatna libera", "Agrotis sabine", "Moenkhausia ischyognatha", "Moenkhausia alesis", "Moenkhausia sthenosthoma", "Moenkhausia justae", "Jaydia erythrophthalma", "Monnina hirta subsp. cuspidata", "Monnina hirta subsp. hirta", "Monnina subspeciosa", "Monnina loxensis", "Monnina vitis-idaea", "Saxifraga cortusifolia var. stolonifera", "Platanthera kuenkelei subsp. kuenkelei", "Platanthera kuenkelei subsp. sardoa", "Monnina phillyreoides", "Saxifraga kwangsiensis", "Saxifraga mengtzeana", "Monnina ligustrina", "Micranthes manchuriensis", "Monnina cestrifolia", "Monnina crassifolia", "Aristhala hainana", "Aristhala sikkima", "Gunda leefmansi", "Gunda sesostris", "Micrattacus sesostris", "Clenora epygrypa", "Theophoba ostruma", "Rotunda rotundapex", "Platostoma hispidum", "Alciphanes rhizophora", "Saxifraga chrysantha", "Ypsolopha buszkoi", "Ypsolopha desertella", "Saxifraga aleutica", "Indomalayia hirsuta", "Theophila albicurva", "Bombyx bengalensis", "Bombyx sherwilli", "Bombyx affinis", "Norasuma javanica", "Gunda tonkinensis", "Gunda javanica palawana", "Tariqia stellaris", "Ancylis erythrosema", "Capua erythrosema", "Acroclita erythrotypa", "Acroclita ochrophara", "Ancylis falsicoma", "Acroclita falsicoma", "Ancylis floridana", "Phoxopteris floridana", "Phoxopteris amblygona", "Saxifraga hostii subsp. hostii", "Phoxopteryx cometana", "Phoxopteryx incomptana", "Saxifraga hostii subsp. rhaetica", "Omphreus morio ovcarensis", "Omphreus morio serbicus", "Malalcahuello ocaresi", "Scapheremaeus gibbus", "Scapheremaeus luxtoni", "Spineremaeus smithi", "Scapheremaeus tumidus", "Scapheremaeus pinguis", "Scapheremaeus pacificus", "Eostrobilops humicolus", "Gadus morhua callarias", "Paracolomerus gonglius", "Phyllocoptruta beggerianae", "Rhyncaphytoptus fuyuniensis", "Domene hei", "Domene chenae", "Lathrobium jinxiuense", "Lathrobium kuan", "Lathrobium leii", "Gadus morhua marisalbi", "Gadus morhua kildinensis", "Saxifraga subsect.", "Saxifraga florulenta", "Saxifraga ser.", "Saxifraga bryoides", "Aplocheilichthys mahagiensis", "Himertosoma bebourense", "Himertosoma striata", "Diadegma insulare", "Aetomylaeus caeruleofasciatus", "Aetomylaeus nieuhofii", "Lepadichthys bilineatus", "Monnina herbacea", "Ernocornutina gambra", "Lepadichthys erythraeus", "Eriotortrix iresinephora", "Eriotortrix isipida", "Proeulia boliviae", "Proeulia approximata", "Oenectra approximata", "Argyrotaenia lobata", "Argyrotaenia cibdela", "Pteromalus briani", "Pteromalus janstai", "Monnina polygonoides", "Lonchophylla inexpectata", "Thysanoplusia intermixta", "Phytometra intermixta", "Thysanoplusia daubei", "Plusia daubei", "Aplocheilichthys luluae", "Saxifraga sinomontana", "Saxifraga sinomontana var. sinomontana", "Saxifraga hirculoides", "Saxifraga parva", "Saxifraga nigroglandulosa", "Saxifraga tangutica", "Grapholita conflexana", "Anchylopera fragariae", "Anchylopera lamiana", "Anchylopera pulchellana", "Ancylis sculpta", "Ancylis fuscociliana", "Anchylopera fuscociliana", "Anchylopera dubiana", "Ancylis galeamatana", "Anchylopera galeamatana", "Ancylis glycyphaga", "Ancylis habeleri", "Ancylis halisparta", "Kopua vermiculata", "Suculentophichthus nasus", "Pseudocoris hemichrysos", "Pseudocoris occidentalis", "Saxifraga caucasica", "Saxifraga bronchialis subsp. bronchialis", "Saxifraga bronchialis subsp. austromontana", "Papilio zagreus motilones", "Saxifraga bronchialis subsp. funstonii", "Perisama bleuzeni", "Saxifraga anadyrensis", "Monnina amarella", "Saxifraga aspera", "Cossulus habibae", "Monnina macbridei", "Sparganium emersum", "Monnina ramosa", "Monnina wrightii", "Monnina filifolia", "Semagystia bamiani", "Phragmacossia bandeamiri", "Cossus cashmirensis", "Cossus tapinus", "Holcocerus tancrei", "Micropanchax pumilus", "Amaralia hypsiura", "Frankliniella occidentalis", "Alburnoides tabarestanensis", "Paederus virgifer", "Pleione autumnalis", "Pleione kaatiae", "Pleione microphylla", "Pleione saxicola", "Pleione scopulorum", "Saxifraga ser.", "Pleione vietnamensis", "Saxifraga hirculus subsp. hirculus", "Pleione \u00d7 christianii", "Pleione \u00d7 kohlsii", "Isoceras kruegeri", "Isoceras huberi", "Pleione \u00d7 taliensis", "Platostoma calcaratum", "Saxifraga hirculus subsp. compacta", "Saxifraga hirculus subsp. propinqua", "Saxifraga hirculus subsp. coloradensis", "Saxifraga hirculus subsp. alpina", "Mugil brevirostris", "Mugil curvidens", "Crepis bursifolia", "Mugil incilis", "Mugil rubrioculus", "Mugil trichodon", "Melanorivulus imperatrizensis", "Moema beucheyi", "Aphyosemion jeanhuberi", "Aphyosemion louessense", "Holcocerus holosericeus darwesthana", "Holcocerus persicus", "Ebosia vespertina", "Hypopta gloriosa", "Salvia ranzaniana", "Cottus gratzianowi", "Cottus koshewnikowi", "Mugil margaritae", "Rosa \u00d7 pokornyana", "Quedius praecisus", "Phyllopteryx dewysea", "Cistus \u00d7 conradiae", "Monnina goiana", "Rosa tibetica", "Rosa pinetorum", "Tagoropsiella ikondae tracenlis", "Tagoropsis ikondae tracenlis", "Paederus fulvocaudatus", "Paederus alutithorax", "Paederus formosanus", "Paederus biacutus", "Orvasca rufalba", "Orvasca vespertilionis", "Orvasca waterstradti", "Orvasca dimorphissima", "Urobatis pardalis", "Roodenburgia schepmani", "Roodenburgia witjesi", "Palaioscaria gressitti", "Palaioscaria telnovi", "Hebecarpa punctata", "Parides erlaces", "Parides erlaces erlaces", "Parides erlaces yaminahua", "Monnina dictyocarpa", "Bellatheta albimontis", "Apterichtus anguiformis", "Saxifraga kusnezowiana", "Paederus incurvatus", "Paederus adiectus", "Paederus aequilobatus", "Paederus furcispinosus", "Paederus excisissimus", "Paederus trihamatus", "Paederus bivirgatus", "Paederus anmamontis", "Paederus semiflavus", "Paederus alesi", "Paederus discurrens", "Paederus incisus", "Paederus bucculentus", "Pselaphelia oremansi", "Bebearia dargei", "Bebearia allardi", "Cymothoe caprina caprina", "Cymothoe caprina claireae", "Euphaedra tchimbeleensis", "Monnina macrostachya", "Goodia smithii smithii", "Goodia smithii arabica", "Aloa rhodophaea", "Diacrisia butti", "Yakudza vicarius", "Ilemodes heterogyna", "Ilemodes heterogyna heterogyna", "Cistus \u00d7 akamantis", "Cistus \u00d7 akamantis nothovar. akamantis", "Cistus \u00d7 akamantis nothovar. polyanthus", "Cistus \u00d7 akamantis nothovar. sessilis", "Apterichtus gracilis", "Monnina oblongifolia", "Apterichtus hatookai", "Apterichtus kendalli", "Monnina exalata", "Apterichtus klazingai", "Xantholinus erinaceus", "Rosa \u00d7 rogersii", "Orphnebius carinapicalis", "Orphnebius curteparamericus", "Orphnebius dentapicalis", "Orphnebius diversipennis", "Orphnebius guylongipes", "Orphnebius guysimplex", "Orphnebius microniger", "Orphnebius spinominutus", "Orphnebius struyvei", "Orphnebius guyanensis", "Holcocerus reticuliferus", "Holcocerus zarudnyi", "Holcocerus didmanidzae", "Holcocerus puengeleri", "Holcocerus gloriosus mesopotamicus", "Holcocerus gloriosus laudabilis", "Holcocerus laudabilis", "Holcocerus gloriosus gloriosus", "Holcocerus desioi", "Holcocerus rjabovi", "Cossus arenicola arenicola", "Palaioscaria karimuiensis", "Palaioscaria sedlaceki", "Palaioscaria starmountainsis", "Monnina cardiocarpa", "Orvasca yende", "Orvasca aureomaculata", "Monnina resedoides", "Monnina stenophylla", "Paederus parvidenticulatus", "Paederus sinisterobliquus", "Paederus symmetricus", "Paederus volutobliquus", "Watermenia bifasciata", "Hampsonia bifasciata", "Herpidia eupoma", "Herpa eupoma", "Hampsonia pulcherrima", "Hampsonia ueharai", "Pidorus circinatus", "Monnina tristaniana", "Monnina richardiana", "Cistus \u00d7 banaresii", "Cistus \u00d7 banaresii nothovar. banaresii", "Cistus \u00d7 banaresii nothovar. subcanus", "Cistus \u00d7 chnoodophyllus", "Cistus \u00d7 glaucifolius", "Cistus \u00d7 oxyphyllus", "Cistus \u00d7 penarcleusensis", "Rosa nothosect.", "Phaeomyias tumbezana", "Cistus \u00d7 clausonii", "Rosa \u00d7 sennenii", "Holcocerus marmoratus", "Holcocerus strigatus", "Holcocerus difficilis", "Apterichtus ansp", "Parides erithalion erithalion", "Parides erithalion yaminahua", "Apterichtus australis", "Apterichtus flavicaudus", "Parides erlaces guillerminae", "Parides erithalion guillerminae", "Micropanchax bracheti", "Caryatis holoclera", "Amsacta atricrures", "Eyralpenus meinhofi", "Estigmene metaxantha", "Spilosoma meinhofi", "Eyralpenus diplosticta", "Diacrisia diplosticta", "Eyralpenus quadrilunata", "Diacrisia quadrilunata", "Oeceoclades lonchophylla", "Callarctia ellioti", "Seydelia turlini turlini", "Micropanchax ehrichi", "Apterichtus equatorialis", "Monnina itapoanensis", "Cossus arenicola albida", "Holcocerus dilutior", "Deserticossus arenicola arenicola", "Deserticossus arenicola transcaucasicus", "Holcocerus arenicola arenicola", "Holcocerus arenicola transcaucasica", "Deserticossus arenicola iranica", "Cossus iranica", "Deserticossus murinus", "Holcocerus murinus", "Deserticossus campicola", "Cossus campicola", "Deserticossus sareptensis", "Cossus sareptensis", "Coreius guichenoti", "Micropanchax macrophthalmus", "Oxygymnocypris stewartii", "Micropanchax pfaffi", "Bathyraja parmifera", "Pseudobunaea latafenestrata", "Pseudobunaea magingoensis", "Aurivillius propinquus", "Aurivillius curiosus", "Aurivillius haszprunari", "Aurivillius bisinflectus", "Paracobitis hircanica", "Cobitis avicennae", "Alburnus amirkabiri", "Micropanchax scheeli", "Rosa nothosect.", "Rosa balsamica", "Tetradonia anteopaca", "Tetradonia guyanensis", "Tetradonella guyanorum", "Euryepiskiosa crassa", "Aychenonida guyanensis", "Cistus \u00d7 gardianus", "Cistus \u00d7 gardianus nothovar. gardianus", "Apterichtus monodi", "Monnina insignis", "Cistus \u00d7 gardianus nothovar. compactus", "Apterichtus moseri", "Cistus \u00d7 gardianus nothovar. tomentosus", "Monnina malmeana", "Apterichtus orientalis", "Bellatheta idana", "Geostiba paulexsecta", "Myrmecopora thriptica", "Sunius thripticus", "Polymixis quarta", "Isoceras shevnini", "Isocossus zolotuhini", "Isocossus cruciatus", "Cossus cruciatus", "Isocossus seria", "Isocossus retak", "Isocossus rufipecten", "Isocossus telisai", "Cossus seria", "Cossus retak", "Cossus rufipecten", "Cossus telisai", "Orientozeuzera martinii", "Deserticossus arenicola", "Cossus arenicola", "Aurivillius schoenitzeri", "Aurivillius cliftoni", "Oncorhynchus masou ishikawae", "Aurivillius triramis triramis", "Aurivillius triramis cliftoni", "Aurivillius triramis xerophilus", "Epiphora mythimnia", "Saturnia mythimnia", "Cinabra rubicundosus", "Cinabra nebularum", "Chaetomium aureum", "Cinabra rukwanensis", "Cinabra versicolorus", "Cinabra commixtus", "Cinabra bivari", "Cinabra clementi", "Cinabra bracteata", "Schoenorchis scolopendria", "Euphaedra variabilis", "Euphaedra variabilis variabilis", "Euphaedra variabilis aequatorialis", "Euphaedra xypete", "Euphaedra xypete xypete", "Euphaedra xypete maritima", "Euphaedra hewitsoni hewitsoni", "Euphaedra hewitsoni angusta", "Euphaedra hewitsoni bipuncta", "Euphaedra hewitsoni disclara", "Euphaedra hewitsoni sumptuosa", "Macrogerodonia inina", "Macrogerodonia struyvei", "Euryepiskiosa guyanensis", "Apalonia alboterminalis", "Apalonia antestricta", "Apalonia approuagensis", "Apalonia athetoides", "Apalonia bulbufuscata", "Apalonia cayennensis", "Apalonia cayennicola", "Apalonia complicata", "Apalonia comtensis", "Apalonia confundibilis", "Apalonia courciboensis", "Apalonia curvata", "Apalonia dimidiaticornis", "Apalonia falx", "Apalonia gnypetoides", "Apalonia guyanensis", "Apalonia guycurticornis", "Apalonia guyfemoralis", "Apalonia guyimpressicollis", "Apalonia guymaculiventris", "Apalonia guyplatyceps", "Apalonia guyrorida", "Apalonia guysimilis", "Apalonia manaensis", "Apalonia microdotoides", "Apalonia mima", "Apalonia mimopaca", "Apalonia nana", "Apalonia opaca", "Apalonia ovapockensis", "Apalonia perconfundibilis", "Apalonia perdentata", "Apalonia saramakensis", "Apalonia satanoides", "Apalonia semiopaca", "Apalonia semiopacoides", "Apalonia singularitheca", "Apalonia struyvei", "Apalonia subcayennensis", "Apalonia tuberculitheca", "Apalonia uniformis", "Geoclemys hamiltonii", "Orvasca nigericorpus", "Gymnarchus niloticus", "Theretra castanea", "Theretra gnoma", "Theretra griseomarginata", "Theretra incarnata", "Theretra manilae", "Theretra molops", "Theretra muricolor", "Theretra perkeo", "Theretra polistratus", "Theretra radiosa", "Pseudobunaea pallens", "Pseudobunaea patruelis", "Rosa subsect.", "Rosa \u00d7 nitidula", "Charaxes lasti aromatisinsulae", "Kryptolebias marmoratus", "Temnora albilinea", "Temnora angulosa", "Temnora argyropeza", "Temnora atrofasciata", "Temnora camerounensis", "Euphaedra jacqueshecqui", "Euphaedra jacqueshecqui jacqueshecqui", "Euphaedra jacqueshecqui koumbai", "Euphaedra kangweensis", "Euphaedra ivindoensis", "Euphaedra aureola aureola", "Euphaedra aureola nitens", "Euphaedra laguerrei", "Euphaedra janetta janetta", "Euphaedra janetta campaspoides", "Euphaedra janetta insularis", "Euphaedra janetta or", "Euphaedra janetta remota", "Restio triticeus", "Gonimbrasia ruvuensis", "Gonimbrasia kaguruensis", "Gonimbrasia properubida", "Bebearia alissae", "Andriasa axeli", "Andriasa kadamensis", "Zimmerius petersi", "Cycloderma aubryi", "Zimmerius parvus", "Zimmerius albigularis", "Zimmerius minimus", "Zimmerius flavidifrons", "Rosa amblyotis", "Rosa amblyotis subsp. amblyotis", "Rosa \u00d7 suberecta", "Rosa \u00d7 suberectiformis", "Rosa \u00d7 sanguisorbella", "Rosa \u00d7 rotschildii", "Rosa \u00d7 sabinii", "Rosa \u00d7 admista", "Rosa \u00d7 angilloniana", "Rosa \u00d7 avrayensis", "Rosa \u00d7 coronata", "Tropidera guyanensis", "Plesiomalota guyminor", "Plesiomalota illota", "Parasilusa struyvei", "Plesiomalota sulcicollis", "Polystachya virginea", "Paradoxus lushanensis", "Polystachya virginea var. virginea", "Polystachya virginea var. parva", "Cherax pulcher", "Oreopsyche montenegrina", "Disperis cucullata", "Tinea lichmodes", "Ceratophaga chalcodryas", "Tinea chalcodryas", "Ceratophaga ethadopa", "Tinea ethadopa", "Adafroptilum violaceum", "Micragone lenzi", "Micragone vukutuensis", "Gonimbrasia dissimilis", "Nudaurelia clarissima", "Pseudobunaea bungaensis", "Pseudobunaea montuosa", "Monnina cacumina", "Monnina aestuans", "Rosa \u00d7 almeriensis", "Procatopus cabindae", "Rosa nothosect.", "Rosa nothosect.", "Rosa nothosect.", "Rosa nothosect.", "Rosa nothosect.", "Rosa nothosect.", "Rosa nothosect.", "Rosa nothosect.", "Rosa nothosect.", "Paraplandria guyanensis", "Temnora avinoffi", "Temnora avinoffi avinoffi", "Temnora avinoffi biokoensis", "Temnora crenulata", "Temnora crenulata crenulata", "Temnora crenulata obsoleta", "Temnora curtula", "Temnora elegans", "Temnora elegans elegans", "Temnora elegans polia", "Temnora elisabethae", "Temnora engis", "Temnora engis engis", "Temnora engis catalai", "Temnora fumosa", "Aleochara serrula", "Temnora fumosa fumosa", "Temnora fumosa albuquerqueae", "Temnora fumosa chanudeti", "Gyrophaena amazonica", "Gyrophaena cayennensis", "Gyrophaena comtensis", "Gyrophaena coraliensis", "Gyrophaena exiliphallus", "Gyrophaena guyabicornis", "Adafroptilum aberfoylensis", "Adafroptilum pullum", "Rosa nothosect.", "Rosa nothosect.", "Rosa nothosect.", "Rosa nothosect.", "Rosa nothosect.", "Rosa nothosect.", "Rosa nothosect.", "Rosa nothosect.", "Rosa nothosect.", "Lissemys scutata", "Lissemys ceylonensis", "Gyrophaena guyasimplex", "Gyrophaena guyaspinosa", "Gyrophaena guytrina", "Gyrophaena microguyana", "Gyrophaena ouaquiensis", "Gyrophaena perminima", "Gyrophaena perstriata", "Gyrophaena persubtilis", "Gyrophaena pilositheca", "Gyrophaena schoelcheri", "Gyrophaena struyvei", "Placusa amazonica", "Placusa graciensis", "Hygronoma calida", "Hygronoma filiformis", "Hygronoma guyanensis", "Hygronoma struyvei", "Myllaena guyanensis", "Holobus guyanensis", "Deuterocopus henrioti", "Brachida guyanensis", "Eulepidotis preclara", "Eulepidotis zebra", "Eulepidotis albidus", "Ceratophaga luridula", "Tinea luridula", "Ceratophaga nephelotorna", "Tinea nephelotorna", "Episcardia chionarga", "Rosa \u00d7 margerisonii", "Angraecum erectum", "Monnina glabrifolia", "Disa tenuifolia", "Dinusella angularis", "Dinusella pulchripennis", "Atheta camopiensis", "Atheta caussadensis", "Atheta guyanelegans", "Atheta guydivergens", "Atheta guymimetica", "Atheta struyvei", "Atheta guyanicola", "Atheta guyarufa", "Atheta ungulifera", "Atheta guyattenuata", "Atheta guyminima", "Ascalenia vanelloides", "Mionectes roraimae", "Ascalenia eremella", "Ascalenia jerichoella", "Elachista jerichoella", "Ascalenia bifasciella", "Antistathmoptera elegans", "Cryptophasa watungi", "Cryptophasa kwerbaensis", "Cryptophasa choliki", "Mesene silaris maroni", "Mesene silaris silaris", "Symmachia threissa", "Symmachia threissa threissa", "Symmachia threissa seducta", "Roeberella flocculus", "Calospila rhodope", "Calospila rhodope rhodope", "Calospila rhodope amphis", "Calospila rhodope bubo", "Razianus birulai", "Razianus farzanpayi", "Razianus xinjianganus", "Monnina meridensis", "Monnina bracteata", "Monnina tatei", "Monnina venezuelensis", "Monnina steyermarkii", "Poropanchax hannerzi", "Cycloderma frenatum", "Monnina cladostachya", "Monnina pubescens", "Dolichosomastis deois", "Dolichosomastis ceres", "Dolichosomastis ocresia", "Dolichosomastis hermieri", "Dolichosomastis versicolora", "Dolichosomastis tranversata", "Sanys carnina", "Sanys implicata", "Brachychara struyvei", "Amazonopora sulcicollis", "Dolichosomastis roseobasalis", "Dolichosomastis bicolorata", "Dolichosomastis implicata", "Diestota athetoides", "Diestota sensitiva", "Antiblemma deois", "Diestota zanettii", "Antiblemma ceres", "Capnodes ceres", "Capnodes deois", "Neolara cayennensis", "Neolara guyanensis", "Thermesia ocresia", "Neolara angulipennis", "Manbuta ocresia", "Euselasia mapatayna", "Euselasia pallantis", "Euselasia arpi", "Euselasia eubotes eubotes", "Euselasia eubotes matouryensis", "Mesene mahurya", "Mesene silaris", "Rosa \u00d7 salaevensis", "Acrotona neasuspiciosa", "Atheta avesanii", "Atheta blancomontis", "Atheta nanegalitensis", "Atheta veronensium", "Atheta ecufessa", "Atheta ecuangularis", "Atheta cioccai", "Atheta pichinchaiana", "Atheta carchicuasmalorum", "Atheta inflatheca", "Atheta huamboyca", "Atheta osellaorum", "Atheta subcolumbica", "Atheta ecuacuta", "Atheta toachiensis", "Atheta hollinensis", "Atheta napoensis", "Atheta huamboyasorum", "Atheta chimborazicola", "Atheta lindicola", "Atheta annularina", "Atheta andesplendens", "Atheta atacazomontis", "Atheta ecuterminalis", "Atheta altocotopaxicola", "Atheta microumbonata", "Atheta cayambensis", "Atheta poglianoae", "Atheta ecumaculata", "Atheta biimpressicollis", "Atheta ecucastaneipennis", "Atheta ecucristata", "Atheta imbaburicola", "Atheta zaparosorum", "Atheta saxorum", "Atheta pilae", "Atheta lindensis", "Atheta caoduroi", "Atheta belloi", "Atheta cerroblancoensis", "Typhlodromus vulgaris", "Rosa \u00d7 bibracteata", "Opegrapha leucinia", "Xyronarchusa amazonica", "Lagria gressitti", "Lagria azureipennis", "Lagria babai", "Lagria brevipilis", "Lagria okinawana", "Lagria oharai", "Sivacrypticus philippinus", "Enneboeus marmoratus", "Enneboeus uniformis", "Enneboeus caseyi", "Enneboeus barrocolorado", "Enneboeus rotundus", "Enneboeus brasilianus", "Passiflora subrotunda", "Nefertitia candida", "Gymnancyla candida", "Bactra banosii", "Gnorimoschema infallax", "Gnorimoschema tractatum", "Cosmopterix superba", "Ascalenia satellita", "Acrocercops imperfecta", "Tischeria noviciata", "Ascalenia acaciella", "Ascalenia albitergis", "Ascalenia antidesma", "Ascalenia beieri", "Polystachya victoriae", "Scythris ruehli", "Euphaedra congo", "Euphaedra fontainei", "Euphaedra delera", "Euphaedra villiersi", "Euphaedra velutina", "Euphaedra subprotea", "Euphaedra densamacula", "Euphaedra compacta", "Euphaedra procera", "Euphaedra subprocera", "Euphaedra albofasciata", "Euphaedra mayumbensis", "Euphaedra margueritae", "Euphaedra fascinata", "Euphaedra xerophila", "Euphaedra ochrovirens", "Euphaedra miranda", "Euphaedra bergeri", "Euphaedra simplex", "Euphaedra hybrida", "Euphaedra alacris", "Euphaedra asteria", "Euphaedra amieti", "Euphaedra sangbae", "Euphaedra ochracea", "Euphaedra semipreussiana", "Euphaedra bouyeri", "Euphaedra confina", "Euphaedra murphyi", "Euphaedra temeraria", "Euphaedra viridirupta", "Euphaedra alboides", "Euphaedra occulta", "Euphaedra thierrybaulini", "Alogotheke guyanense", "Taplandria guyanensis", "Taplandria guyminuta", "Taplandria struyvei", "Taplandria loretensis", "Diacanthochara amazonica", "Diacanthochara cayennensis", "Diacanthochara franzi", "Diacanthochara mirabilis", "Diacanthochara venezuelana", "Monnina pachycoma", "Hoplandria amazonica", "Hoplandria struyvei", "Gansiella granulosa", "Gansiella guyanensis", "Gansiella peruviana", "Gyrophaena perucastanea", "Gyrophaena peruflexa", "Gyrophaena loretensis", "Gyrophaena perinsidiosa", "Gyrophaena giachinoi", "Gyrophaena rossii", "Gyrophaena osellai", "Gyrophaena peruviana", "Gyrophaena westerduijni", "Gyrophaena cornelli", "Gyrophaena vitreipes", "Gyrophaena perpunctum", "Gyrophaena perpusillina", "Gyrophaena peruminima", "Gyrophaena bigranulata", "Gyrophaena otongensis", "Gyrophaena ecuadorica", "Brachida spatulata", "Brachida truncatella", "Brachida dimidiaticornis", "Brachida improvisa", "Brachida pasochoensis", "Brachida ecuadorensis", "Placusa ruficollis", "Placusa peruviana", "Placusa loretensis", "Placusa westerduijni", "Acrotona loreticola", "Atheta picciaui", "Rosa nothosect.", "Rosa nothosect.", "Rosa nothosect.", "Rosa nothosect.", "Rosa nothosect.", "Rosa nothosect.", "Rosa nothosect.", "Rosa nothosect.", "Rosa nothosect.", "Rosa nothosect.", "Rosa nothosect.", "Rosa nothosect.", "Rosa nothosect.", "Cucullia biskrana", "Rosa \u00d7 aurosica", "Cucullia naruenensis", "Cucullia dimorpha", "Cucullia eumorpha", "Cucullia sublutea", "Cucullia tristis", "Stachys tymphaea", "Stachys thracica", "Myrmechusina loitensis", "Methneria paradoxicornis", "Pachorhopala narokensis", "Zyras riftvallicola", "Zyras bandinellii", "Zyras perarcuatus", "Clanis hyperion hyperion", "Pseudathyma jocqueana", "Monnina acutifolia", "Monnina densecomata", "Monnina canescens", "Monnina ovata", "Monnina vargasii", "Monnina herrerae", "Catarractodes mburobudicola", "Diplopleurus dilatatiapex", "Diplopleurus nanyukensis", "Homalodonia simplicitheca", "Cryptophasa alphitodes", "Cryptophasa argyrias", "Cryptophasa argyrocolla", "Cryptophasa atecmarta", "Cryptophasa blosyra", "Cryptophasa byssinopis", "Cryptophasa catharia", "Cryptophasa chionodes", "Cryptophasa eumorpha", "Cryptophasa epixysta", "Cryptophasa nephrosema", "Cryptophasa nigricincta", "Cryptophasa opalina", "Cryptophasa porphyritis", "Cryptophasa psilocrossa", "Cryptophasa sacerdos", "Cryptophasa themerodes", "Atheta guyterminicornis", "Atheta obscurepyga", "Atheta tanpokensis", "Dolerella cayennensis", "Parademosoma guyanensis", "Lamprostiba pulchra", "Ischnopoda pulchritudinis", "Rhigognostis kuusamoensis", "Rhigognostis sibirica", "Calycobathra sahidanella", "Calycobathra pakistanella", "Calycobathra striatella", "Calycobathra acarpa", "Calycobathra arabicella", "Calycobathra pinguiscentella", "Ascalenia pachnodes", "Ascalenia calynella", "Pseudascalenia riadella", "Bifascioides leucomelanella", "Elachista leucomelanella", "Limnaecia leucomelanella", "Bifascia leucomelanella", "Ascalenia pirastica", "Ascalenia stereodoxa", "Ascalenia evitans", "Stagmatophora alfieriella", "Ascalenia subcrocea", "Ascalenia vanella", "Laverna vanella", "Ascalenia grisella", "Ascalenia antiqua", "Ascalenia unifasciella", "Ascalenia kabulella", "Euphaedra plagiaria", "Euphaedra sinuosa sinuosa", "Euphaedra sinuosa plagiaria", "Euphaedra sinuosa smitsi", "Euphaedra plagiaria plagiaria", "Euphaedra plagiaria smitsi", "Euphaedra illustris", "Spiraea billardii nm. macrothyrsa", "Spiraea \u00d7 billardii", "Spiraea \u00d7 pseudosalicifolia", "Spiraea sect.", "Spiraea ser.", "Spiraea ser.", "Spiraea ser.", "Spiraea ser.", "Spiraea sect.", "Endagria agilis", "Dervishiya vartianae", "Semagystia cossoides", "Endagria cossoides", "Poropanchax myersi", "Dieida persa", "Dieida afghana", "Phragmacossia furiosa", "Phragmataecia furiosa", "Melitaea pavlitzkajana", "Dasychira ninae", "Synanthedon chorogi", "Monnina tomentella", "Pseudacraea sibyllina", "Neptis callina", "Euryphene subtentyris", "Bebearia subtentyris subtentyris", "Bebearia subtentyris phoebeensis", "Bebearia subtentyris lucayensis", "Bebearia lucayensis", "Stachys \u00d7 ambigua", "Stachys yildirimlii", "Stachys sect.", "Micragone propelittoralis", "Micragone aequabilis", "Micragone busiana", "Stachys vuralii", "Stachys subsect.", "Nudaurelia subflava", "Stachys \u00d7 burrii", "Stachys gaziantepensis", "Stachys sect.", "Nudaurelia mbarikana", "Nudaurelia bundukuensis", "Nudaurelia kondoana", "Racheospila amplimaculata", "Oospila cayennensis", "Oospila curvimargo", "Maltagorea subrufa", "Maltagorea vulpina vulpina", "Monnina andina", "Spiraea prunifolia var. simpliciflora", "Turanana anisophtalma anisophtalma", "Turanana anisophthalma mizildigara", "Spiraea prunifolia var. hupehensis", "Spiraea prunifolia var. pseudoprunifolia", "Spiraea salicifolia var. salicifolia", "Spiraea salicifolia var. oligodonta", "Spiraea salicifolia var. grosseserrata", "Spiraea betulifolia var. betulifolia", "Spiraea betulifolia var. aemiliana", "Monnina callimorpha", "Monnina ruiziana", "Monnina ruiziana f. longepetiolata", "Monnina ruiziana f. ruiziana", "Monnina cyanea", "Monnina stipulata", "Murphyana bouyeriana", "Murphyana hausmanni", "Murphyana sommereri", "Murphyana magambana", "Murphyana bamendana", "Mictopsichia marmarastra", "Mictopsichia hexaphala", "Mictopsichia picturata", "Spiraea sect.", "Spiraea ser.", "Spiraea ser.", "Spiraea sect.", "Zyras mahnerti", "Zyras ngaoensis", "Zyras luorum", "Zyras konaensis", "Maltagorea vulpina tapiae", "Maltagorea vulpina viettei", "Bebearia dallastai", "Neocoenyra ypthimoides", "Neocoenyra rufilineata", "Neocoenyra duplex", "Decachorda fletcheri", "Decachorda mombasana", "Decachorda citrinarius", "Decachorda flavilinia", "Decachorda talboti", "Decachorda congolana", "Nexosa hexaphala hexaphala", "Nexosa hexaphala tamdaoana", "Nexosa tonkinensis", "Compsocommosis vietnamensis", "Spiraea \u00d7 blanda", "Monnina mathusiana", "Monnina clarkeana", "Bifiduncus longispinalis", "Catasetum integerrimum", "Spiraea \u00d7 margaritae", "Zeuzera regia", "Zeuzera regia regia", "Zeuzera regia afghanistanensis", "Spiraea \u00d7 fulvescens", "Spiraea \u00d7 brachybotrys", "Spiraea \u00d7 multiflora", "Turanana anisophtalma", "Clowesia warczewitzii", "Spiraea prunifolia var. prunifolia", "Neocoenyra gregorii", "Neocoenyra kivuensis", "Neocoenyra masaica", "Neocoenyra pinheyi", "Neocoenyra cooksoni", "Neocoenyra fulleborni", "Neocoenyra bioculata", "Neocoenyra bioculata bioculata", "Neocoenyra bioculata murphyi", "Neocoenyra parallelopupillata", "Euphaedra harpalyce harpalyce", "Euphaedra harpalyce dowsetti", "Euphaedra harpalyce comminuera", "Euphaedra harpalyce evanescens", "Euphaedra harpalyce lakuma", "Euphaedra harpalyce serena", "Euphaedra harpalyce spatiosa", "Euphaedra harpalyce sudanensis", "Euphaedra harpalyce vana", "Micragone allardi", "Ocyplanus formicarius", "Pero poolei", "Zamarada granti", "Myrmechusa mirabilis", "Myrmechusa feae", "Aenictonia hemigastrophysa", "Cryptophaga chionodes", "Cryptophasa citrinopa", "Cryptophaga citrinopa", "Cryptophasa diplosema", "Cryptophaga diplosema", "Cryptophasa ensigera", "Cryptophasa epadelpha", "Cryptophaga epadelpha", "Cryptophaga eumorpha", "Cryptophasa aggesta", "Spathoglottis \u00d7 parsonsii", "Spiraea \u00d7 rosalba", "Miichthys miiuy", "Dylobosthambus mirabilis", "Pachorhopala ishiarensis", "Diplopleurus namibiorum", "Plutella erysiphaea", "Rhigognostis erysiphaea", "Spiraea \u00d7 watsoniana", "Hypopta herzi", "Spiraea \u00d7 sanssouciana", "Cossus intractatus", "Cossulus lignosus araxes", "Spiraea \u00d7 constantiae", "Hypopta lignosus", "Cossulinus argentatus", "Cossulinus argentatus argentatus", "Cossulinus argentatus darvazi", "Dimidiographa graphidiza", "Dimidiographa loandensis", "Dimidiographa longissima", "Spiraea ser.", "Geopora udzungwensis", "Euphaedra nigrobasalis nigrobasalis", "Euphaedra nigrobasalis ceramica", "Euphaedra nigrobasalis upemba", "Spiraea ser.", "Spiraea ser.", "Monnina conferta", "Euphaedra castanoides castanoides", "Euphaedra castanoides deficiens", "Brachysipalia iringicola", "Spiraea ser.", "Euphaedra castanoides gashaka", "Brachysipalia masisiwensis", "Monnina polystachya", "Pachorhopala udzungwaensis", "Pachorhopala iringensis", "Pachorhopala morogorensis", "Diplopleurus ukaguruensis", "Diplopleurus acutus", "Spiraea lycioides", "Pseudacraea lucretia", "Pseudacraea lucretia lucretia", "Pseudacraea lucretia karthalae", "Pseudacraea glaucina", "Monnina salicifolia", "Cryptophasa xylomima", "Cryptophasa zorodes", "Cryptophasa delocentra", "Cryptophaga delocentra", "Cryptophasa aglaodes", "Monnina menthoides", "Monnina macrosepala", "Triphora trianthophoros", "Cryptophaga aglaodes", "Cryptophasa albacosta", "Cryptophasa balteata", "Zitua balteata", "Cryptophasa bipunctata", "Cryptophasa cannea", "Cryptophaga cannea", "Lepchina pinratanai", "Gehlenia pinratanai", "Stachys sect.", "Stachys subsect.", "Stachys subsect.", "Stachys minor", "Stachys bithynica", "Monnina macrosepala var. latifolia", "Monnina macrosepala var. macrosepala", "Monnina pseudopolystachya", "Monnina connectisepala", "Pseudohampsonella hoenei", "Pseudohampsonella argenta", "Catasetum aripuanense", "Turanana cytis", "Poropanchax normani", "Spiraea decumbens subsp. decumbens", "Spiraea decumbens subsp. tomentosa", "Poropanchax rancureli", "Spiraea hypericifolia subsp. hypericifolia", "Spiraea hypericifolia subsp. kotschyana", "Spiraea hypericifolia subsp. obovata", "Hypopta turcomanicus", "Cossulinus turcomanicus", "Cossulinus turcomanicus turcomanicus", "Masdevallia ayabacana", "Cossulinus turcomanicus albus", "Cossulinus kabulense", "Cossus stertzi", "Holcocerus strigillata", "Holcocerus mollis", "Hypopta mucosus", "Poropanchax brichardi", "Patopta confusa", "Holcocerus putridus", "Hypopta sheljuzhkoi", "Holcocerus bolshoji", "Hypopta issycus", "Vartiania senganensis", "Holcocerus senganensis", "Diplopleurus ulittera", "Diplopleurus varius", "Diplopleurus maculipennis", "Trichodonia parva", "Myrmechusina guineensis", "Zyras willersi", "Zyras taitaorum", "Zyras inclytus", "Zyras caprivensis", "Doryloxenus tanzaniensis", "Cossus cadambae", "Semagystia agilis", "Spiraea japonica var. japonica", "Monnina salicifolia var. salicifolia", "Monnina salicifolia var. pilostylis", "Pseudacraea imerina", "Pseudacraea imerina imerina", "Pseudacraea imerina anjouana", "Pseudacraea glaucina glaucina", "Pseudacraea glaucina anjouana", "Monnina pavonii", "Monnina lechleriana", "Charaxes virescens", "Monnina peruviana", "Bunaeopsis oubie", "Bunaea reginae", "Bunaeopsis princeps", "Bunaeopsis princeps princeps", "Bunaeopsis princeps aurata", "Bunaeopsis lueboensis", "Zyras masculinus", "Zyras manyarensis", "Zyras berekuensis", "Zyras infidus", "Zyras pergranulosus", "Zyras morogorensis", "Zyras subcivilis", "Zyras mufundicola", "Decachorda kitalina", "Decachorda bouvieri", "Typhloponemys methneri", "Typhloponemys kapangae", "Decachorda rosea", "Typhloponemys navicularis", "Decachorda aurivillei", "Typhloponemys daressalamensis", "Decachorda seydeli", "Typhloponemys eastopi", "Spiraea chamaedryfolia var. chamaedryfolia", "Deserticossus artemisiae", "Holcocerus artemisiae", "Deserticossus decoratus", "Deserticossus pullus", "Holcocerus pullus", "Spiraea elegans", "Deserticossus beketi", "Spiraea decumbens", "Deserticossus lukhtanovi", "Deserticossus churkini", "Deserticossus danilevskyi", "Deserticossus praeclarus", "Holcocerus praeclarus", "Cryptoholcocerus mongolicus", "Cossus mongolicus", "Holcocerus nigrescens", "Cossus vicarius", "Holcocerus arenicola insularis", "Streltzoviella insularis", "Holcocerus arenicola insularis f. japonica", "Clinopodium micranthum var. sachalinense", "Clinopodium micranthum var. micranthum", "Pseudohampsonella erlanga", "Phragmataecia castaneae castaneae", "Phragmataecia erschoffi", "Spiraea media var. sericea", "Spiraea media subsp. polonica", "Bebearia comus comus", "Bebearia comus retracta", "Bebearia cinaethon cinaethon", "Bebearia cinaethon ikelemboides", "Bebearia brunhilda brunhilda", "Bebearia brunhilda iturina", "Bebearia brunhilda sankuruensis", "Bebearia laetitoides", "Bebearia laetitoides laetitoides", "Bebearia laetitoides occitana", "Bebearia laetitoides periguinea", "Elephantomyia brevipalpa", "Elephantomyia baltica", "Polyommatus aserbeidschanus", "Polyommatus aserbeidschanus aserbeidschanus", "Polyommatus aserbeidschanus firuza", "Bebearia mardania", "Papilio mardania", "Corchoropsis crenata", "Bebearia paludicola paludicola", "Bebearia paludicola blandi", "Corchoropsis tomentosa", "Bebearia orientis dealbata", "Bebearia orientis insularis", "Bebearia orientis malawiensis", "Bebearia orientis orientis", "Bebearia orientis taveta", "Rhigognostis wolfschlaegeri", "Cerostoma wolfschlaegeri", "Turanana endymion", "Verbascum subsect.", "Pelioptera tanzaniensis", "Pelioptera terebra", "Hovastiba africana", "Geopora minima", "Leptoporodota kiboensis", "Leptoporodota spinifera", "Atheta lushotoensis", "Atheta tanzacolorata", "Atheta claritarsifera", "Atheta tangaensis", "Orphnebius denticulatus", "Bebearia phranza phranza", "Bebearia phranza fuscara", "Bebearia phranza moreelsi", "Bebearia phranza rubiginosa", "Bebearia severini", "Bebearia laetitia laetitia", "Bebearia laetitia vesta", "Bebearia aurora aurora", "Burmacoccus danyi", "Cypha lushotensis", "Cypha tanzadivisa", "Gyrophaena cultrifera", "Brachida longapicalis", "Brachida afropallida", "Afrobrachida rococo", "Afrobrachida tangaensis", "Afrobrachida lushotoensis", "Placusa kwamgumiensis", "Placusa microtanzanica", "Anebolura mazumbaiensis", "Anebolura tangaensis", "Deserticossus volgensis", "Deserticossus janychar", "Deserticossus curdus", "Deserticossus tsingtauana", "Holcocerus tsingtauana", "Cossus centrimaculatus", "Deserticossus consobrinus", "Holcocerus sheljuzhkoi", "Holcocerus apicalis", "Deserticossus pulverulentus", "Holcocerus phuckangensis", "Deserticossus mongoliana", "Albicoccus dimai", "Dorylophila tanzaniensis", "Medera tanzaniensis", "Charicera ruandensis", "Charicera tanzaniensis", "Charicera lushotoana", "Rhynchobatus djiddensis", "Aloconota mazumbaiensis", "Streltzoviella insularis insularis", "Spiraea crenata subsp. crenata", "Streltzoviella insularis extrema", "Spiraea crenata subsp. parvifolia", "Barchaniella inspersa", "Barchaniella mus", "Holcocerus mus", "Barchaniella sacara", "Holcocerus sacarum", "Hypopta sumbannus", "Hypopta tekkensis", "Holcocerus brunneogrisea", "Plyustchiella gracilis", "Holcocerus gracilis", "Vartiania muscula", "Holcocerus musculus", "Cossus cossus lucifer", "Cossus lucifer", "Dyspessacossus fereidun", "Cossus fereidun", "Holcocerus firdusi", "Spiraea lasiocarpa var. lasiocarpa", "Spiraea lasiocarpa var. villosa", "Eremocossus vaulogeri baloutchistanensis", "Holcocerus baloutchistanensis", "Cossus mauretanicus", "Catopta minor", "Holcocerus powelli", "Eogystia hippophaecolus", "Holcocerus hippophaecolus", "Cossus rufidorsia", "Spiraea media subsp. media", "Spiraea media var. media", "Paracossus xishuangbannaensis", "Holcocerus xishuangbannaensis", "Holcocerus campicola", "Lasiocampa hannae", "Lasiocampa editae", "Turanana grumi", "Turanana panaegides", "Turanana dushak", "Marmyan barbarae", "Securidaca calophylla", "Bebearia aurora theia", "Bebearia aurora wilwerthi", "Bebearia aurora kayonza", "Bebearia aurora eos", "Bebearia aurora graueri", "Bebearia tessmanni tessmanni", "Bebearia tessmanni kwiluensis", "Bebearia tessmanni innocuoides", "Bebearia tentyris tentyris", "Bebearia tentyris seeldrayersi", "Bebearia winifredae", "Bebearia seeldrayersi", "Bebearia flaminia flaminia", "Bebearia flaminia leventisi", "Bebearia micans", "Euryphene absolon", "Euryphene absolon absolon", "Euryphene absolon micans", "Papilio absolon", "Bebearia absolon absolon", "Bebearia absolon entebbiae", "Bebearia zonara", "Bebearia abesa abesa", "Bebearia abesa pandera", "Bebearia oxione oxione", "Bebearia oxione squalida", "Bebearia partita", "Bebearia phantasia phantasia", "Bebearia phantasia concolor", "Bebearia cocalia cocalia", "Bebearia cocalia continentalis", "Bebearia cocalia badiana", "Bebearia cocalia katera", "Bebearia cocalioides cocalioides", "Bebearia cocalioides hecqi", "Plutella immaculicornella", "Plutella horticola", "Plutella incarnatella", "Plutella incarnatella incarnatella", "Plutella incarnatella norvegicella", "Rhigognostis incarnatella", "Rhigognostis japonica", "Typhloponemys patrizii", "Typhloponemys epipleuralis", "Typhloponemys tanzaniensis", "Typhloponemys fauveli", "Doryloxenus annulatus", "Doryloxenus minutus", "Doryloxenus natalensis", "Caunaca japonica", "Doryloxenus punicus", "Rhigognostis kovacsi", "Subeidophasia kovacsi", "Rhigognostis senilella", "Plutella senilella", "Plutella marmorosella", "Pseudohampsonella bayizhena", "Squamosa monosa", "Eoscomber senegalicus", "Bathyphysa conifera", "Afarsia ashretha", "Catasetum cernuum", "Calosima darwini", "Spiraea nipponica var. nipponica", "Spiraea nipponica var. ogawae", "Spiraea nipponica var. tosaensis", "Afarsia hanna", "Spiraea splendens var. splendens", "Spiraea splendens var. rosea", "Rhizomnium dentatum", "Adda aethiopica", "Adda tanzaniensis", "Diplopleurus lushotoensis", "Diplopleurus tanganus", "Diplopleurus muhezensis", "Diplopleurus iringensis", "Diplopleurus fortepunctatus", "Tyloplatyola watrousi", "Tyloplatyola tanzaniensis", "Tyloplatyola longearmata", "Tyloplatyola mazumbaiensis", "Tyloplatyola anomala", "Rhigognostis annulatella", "Aleochara mazumbaiensis", "Cerostoma annulatella", "Plutella bicingulata", "Rhigognostis schmaltzella", "Typhloponemys spectabilis", "Plutella schmaltzella", "Stenamma wilsoni", "Tecmerium irroratella", "Calosima arguta", "Blastobasis arguta", "Zenodochium arguta", "Neoblastobasis indigesta", "Clinopodium multicaule var. yakusimense", "Auxides sanctaemonicae", "Clinopodium multicaule var. multicaule", "Calosima munroei", "Catasetum barbatum", "Catasetum callosum", "Turanana jurileontyi", "Turanana kugitangi", "Turanana taygetica", "Auxides huberti", "Spiraea henryi var. henryi", "Spiraea henryi var. omeiensis", "Mimocete fageli", "Cordalia tsavoana", "Cordalia shimbaensis", "Falagria bipunctata", "Koilomera methneri", "Lokomera schistocollis", "Derelina ruhembeana", "Somatina hombergi", "Alomacrotona remota", "Parasa lemuriensis", "Pelioptera polita", "Pelioptera quaesita", "Acrotona parasita", "Parasa ebenaui", "Neaera ebenaui", "Blastobasis crotospila", "Microsternarchus bilineatus", "Microsternarchus brevis", "Stalix novikovi", "Blastobasis legrandi", "Blastobasis intrepida", "Holcocera aphidiella", "Asaphocrita aphidiella", "Holcocera dives", "Holcocera dives dives", "Holcocera dives basipallidella", "Holcocera confluentella", "Holcocerina simplicis", "Holcocera gozmanyi", "Opegrapha mougeotii var. pisana", "Opegrapha mougeotii var. tiburtina", "Holcocera busckiella", "Holcocera estriatella", "Asaphocrita estriatella", "Asaphocrita busckiella", "Holcocerina simuloides", "Blastobasis plummerella", "Blastobasis plummerella plummerella", "Blastobasis plummerella fuscopurpurella", "Asaphocrita fuscopurpurella", "Catacrypsis irenica", "Asaphocrita irenica", "Holcocera plagiatella", "Asaphocrita plagiatella", "Asaphocrita plummerella", "Asaphocrita protypica", "Afarsia jurii", "Paphosiscus circulocaudus", "Paphosiscus scalmocristus", "Arianalepis megacostata", "Ciderius cooperi", "Rhegmaspis xiphoidea", "Psephothetemusa rougemonti", "Pseudatheta rougemonti", "Demerinda sabahensis", "Outachyusa borneensis", "Atheta nitidaespinae", "Atheta borneotibialis", "Pelioptera danumensis", "Pelioptera plenitudinis", "Pelioptera irregularis", "Blastobasis normalis", "Auximobasis normalis", "Diplopleurus roridus", "Homalodonia lasti", "Chrysopoloma ansorgei", "Syndroma lignyodes", "Blastobasis extensa", "Tirumala tumanana", "Zyras kristenseni", "Zyras kilifensis", "Aenictonia raffrayi", "Aenictonia reichenspergeri", "Dilobidiontura zerchei", "Heterodota heteroclita", "Gyrophaena manus", "Gyrophaena gigaedeagica", "Gyrophaena osferox", "Brachida danumensis", "Aisthentusa flagellifera", "Torodora meifengensis", "Torodora parasciadosa", "Blastobasis irroratella", "Anadasmus accurata", "Stenoma accurata", "Stenoma perjura", "Cyrtochilum angustatum", "Cyrtochilum caespitosum", "Cyrtochilum ionodon", "Cnipodectes superrufus", "Spiraea yunnanensis", "Siyingia altuspinosa", "Siyingia perlatuspinosa", "Seguieria macrophylla", "Parnia ebenaui", "Parnia ebenaui ebenaui", "Parnia ebenaui andrefana", "Parasa ebenaui andrefana", "Parasa ebenaui ebenaui", "Parasa angusta", "Paryphanta zernyi", "Paryphanta matengensis", "Halseyia matengensis", "Halseyia zernyi", "Anilina minima", "Anilina janenschi", "Macrosemyra zernyi", "Afroplax didyma", "Macroplectra flavina", "Parasa zernyi", "Niphadolepis griseata", "Chrysopoloma zernyi", "Dorylomimus kohli", "Smectonia gridellii", "Catarractodes methnerianus", "Catarractodes striolatus", "Catarractodes somalus", "Catarractodes hybridus", "Myrmechusina tanzaniensis", "Scybalista chicalis", "Scybalista sanctalis", "Homophysa citronalis", "Acontia decisa", "Homophysa pomonalis", "Scybalista rufescens", "Hellula phidilealis", "Bellevalia juliana", "Afarsia morgiana", "Afarsia omotoi", "Afarsia rutilans", "Macrothyraspis longicornis", "Macrothyraspis longilanceus", "Dikraspedella borneensis", "Doryloxenus borneensis", "Mesomegaskela rougemonti", "Malayloeblius sausai", "Malayloeblius borneensis", "Rougemontius borneensis", "Bunaeopsis arabella", "Bunaeopsis aurantiaca", "Bunaeopsis clementi", "Hypatopa cryptopalpella", "Hypatopa brevipalpella", "Auximobasis brevipalpella", "Auximobasis coffeaella", "Holcocera pineae", "Asaphocrita pineae", "Sundolyra latebrosa", "Ambia argentistriata", "Phlyctaenodes bifilalis", "Cataclysta thetysalis", "Ambia metalophota", "Lipocosma consortalis", "Bifalculina argentipunctalis", "Nephopterix bifascialis", "Laubuka brahmaputraensis", "Laubuka laubuca", "Laubuka siamensis", "Laubuka latens", "Laubuka trevori", "Peltodonia nobilis", "Peltodonia minor", "Peltodonia ruficollis", "Peltodonia danumensis", "Peltodonia luteicollis", "Peltodonia ulusegamensis", "Peltodonia hogani", "Microancathus tokranovi", "Microancathus fedorovi", "Tetrabothrus femoralis", "Parapercis johnsoni", "Orphnebius borneorum", "Cochylis caesiata", "Hidripa perdmisionesa", "Hidripa tagmisionesa", "Holcocera concolor", "Cossus cinereus", "Cossus tahamae", "Cossus fanti", "Cossus buchanani", "Coryphodema ochracea", "Inbioxa epithecae", "Salassa centrovietnama", "Megascolides australis", "Clinopodium alpinum subsp. albanicum", "Pseudoligostigma argyractalis", "Ambia argyractalis", "Heptalitha argyractalis", "Pseudoligostigma enereralis", "Ambia enereralis", "Pseudoligostigma punctissimalis", "Lipocosma punctissimalis", "Lipocosma teliferalis", "Stegea hermalis", "Symphysa hermalis", "Pterois cincta", "Chaunax brachysomus", "Chaunax gomoni", "Chaunax apus", "Cryptocentrus epakros", "Tomiyamichthys zonatus", "Crenicichla monicae", "Chthamalus williamsi", "Rhodambulyx kitchingi", "Trichostema sect.", "Haworthia cymbiformis", "Solus chongqingana", "Solus kontuma", "Solus medogiana", "Armeria pauana", "Reseda paui", "Myrmecopella borneensis", "Orphnebius cameroni", "Orphnebius acutus", "Orphnebius ocularis", "Orphnebius acutissimus", "Orphnebius concavus", "Orphnebius parabigladiosus", "Lambanus borneensis", "Lambanus rougemonti", "Frumenta solanophaga", "Calosima malikuli", "Hidripa cochabambensis", "Calosima albafaciella", "Calosima moriutii", "Calosima albafasciata", "Hidripa perdbahiana", "Parapercis flavescens", "Keratodegnathus rougemonti", "Keratodegnathus mirabilis", "Coleophora kenyaensis", "Coleophora vansoni", "Coleophora elegans", "Coleophora namaqua", "Coleophora kamiesella", "Coleophora kunenensis", "Coleophora creola", "Coleophora hirsutella", "Coleophora ptilocharis", "Leucochroma phidilealis", "Phyratocosma trypheropa", "Homophysodes morbidalis", "Lipocosma albibasalis", "Ambia albibasalis", "Lipocosma ausonialis", "Glaphyria ausonialis", "Lipocosma calla", "Neurophyseta calla", "Homophysa calla", "Glaphyria calla", "Lipocosma fonsecai", "Lipocosma furvalis", "Homophysa furvalis", "Lipocosma nigripictalis", "Lipocosma pitilla", "Lipocosma rosalia", "Lipocosma plagalis", "Parambia gnomosynalis", "Parambia glenealis", "Dysmicoccus brevipes", "Groenlandaspis theroni", "Groenlandaspis potyi", "Polyommatus damone altaicus", "Spiraea blumei var. blumei", "Spiraea blumei var. hayatae", "Cistus \u00d7 nigricans", "Cistus \u00d7 nigricans nothosubsp. nigricans", "Lysimachia sect.", "Acosmeryx anceus sundana", "Acosmeryx kalimantana", "Rhodoprasina callantha callsinica", "Rhodoprasina callantha centrovietnama", "Rhodoprasina callantha callantha", "Drusilla divergens", "Drusilla bulbosa", "Drusilla serrulae", "Drusilla borneoacuta", "Drusilla caputserpentis", "Drusilla bilobata", "Drusilla sabahensis", "Drusilla profunda", "Drusilla borneoclara", "Drusilla rougemontiana", "Drusilla danumensis", "Drusilla borneoapicalis", "Drusilla borneostricta", "Drusilla sabahorum", "Drusilla trina", "Drusilla borneoruficollis", "Zyras plenus", "Porus laminarum", "Porus borneensis", "Centromochlus ferrarisi", "Wroughtonilla sabahensis", "Driscollaspis pankowskiorum", "Elseya rhodini", "Cistus \u00d7 crispatus", "Cistus \u00d7 crumleyae", "Cistus \u00d7 curvativus", "Spiraea faurieana", "Myllaena vepres", "Gyrophaena magnilobata", "Gyrophaena borneensis", "Neomalota cingulata", "Spiraea morrisonicola", "Diestota testacea", "Spiraea longigemmis", "Cossus mokanshanensis", "Eremocossus vaulogeri erebuni", "Eremocossus asema", "Eremocossus almeriana", "Apimela perarmata", "Dyspessa foeda", "Dyspessa foeda foeda", "Pseudoplandria fortis", "Pseudoplandria confundibilis", "Dyspessa foeda almeriana", "Pseudoplandria collaris", "Aleochara sabahensis", "Borneochara rougemonti", "Cistus \u00d7 nigricans nothosubsp. grosii", "Spiraea blumei var. latipetala", "Spiraea blumei var. microphylla", "Spiraea blumei var. pubicarpa", "Oligota argentinlutea", "Holobus peruvianus", "Eymekesina peruviana", "Aloe ahmarensis", "Aloe irafensis", "Aloe eremophila", "Alyxoria ochrocheila", "Gymnadenia archiducis-joannis", "Epinotia balsameae", "Pulicalvaria martini", "Coleotechnites martini", "Pulicalvaria granti", "Deltophora maculata", "Teleia maculata", "Tolmomyias viridiceps", "Deltophora stictella", "Teleia stictella", "Deltophora korbi", "Teleia korbi", "Cistus \u00d7 mictocymosus", "Deltophora sella", "Gelechia sella", "Gelechia sella sella", "Deltophora sella sella", "Deltophora sella atacta", "Aristotelia atacta", "Deltophora sella californica", "Deltophora glandiferella", "Cistus \u00d7 escartianus", "Gelechia glandiferella", "Tolmomyias flavotectus", "Deltophora atacta", "Alpherakya pilgram", "Cistus \u00d7 lucasii", "Cistus \u00d7 tephreus", "Cistus \u00d7 aguilari nothovar. aguilari", "Cistus \u00d7 aguilari nothovar. pilosus", "Cistus \u00d7 cyprius nothovar. ellipticus", "Tolmomyias assimilis sucunduri", "Neochronistis hodgesi", "Chorivalva hodgesi", "Alpherakya devanica devanica", "Alpherakya devanica vanjica", "Ixias pyrene", "Cistus \u00d7 dansereaui nothovar. dansereaui", "Cistus \u00d7 dansereaui nothovar. latifolius", "Alpherakya sarta laziensis", "Alpherakya sarta sarta", "Parachronistis sellaris", "Parachronistis jiriensis", "Parachronistis maritima", "Alyxoria varia", "Chorivalva unisaccula", "Chorivalva bisaccula", "Gibbosa celeris", "Cithaerias pyropina", "Meconopsis ser.", "Meconopsis ser.", "Coleotechnites granti", "Pulicalvaria macleodi", "Coleotechnites macleodi", "Alyxoria bicolor", "Clinopodium abyssinicum var. condensatum", "Clinopodium abyssinicum var. abyssinicum", "Kinosternon acutum", "Cistus \u00d7 rodiaei", "Alyxoria culmigena", "Cistus \u00d7 fernandesiae nothovar. fernandesiae", "Cistus \u00d7 fernandesiae nothovar. latifolius", "Alyxoria diaphora", "Alyxoria fuscospora", "Alyxoria mougeotii", "Cistus \u00d7 skanbergii", "Alyxoria notha", "Spiraea purpurea", "Spiraea \u00d7 superba", "Spiraea hypoleuca", "Cistus \u00d7 pauranthus", "Alpherakya bellona", "Cistus \u00d7 heterocalyx", "Cistus \u00d7 timbalii", "Cistus \u00d7 sammonsii", "Meconopsis simikotensis", "Meconopsis manasluensis", "Meconopsis pinnatifolia", "Pseudoplandria acutissima", "Pseudoplandria cordis", "Pseudoplandria exilitatis", "Pseudoplandria gibba", "Pseudoplandria inflata", "Pseudoplandria schuelkei", "Pseudoplandria sinofestiva", "Pseudoplandria tronqueti", "Axiologarthra nobilis", "Tetrasticta brevipennis", "Alyxoria variiformis", "Meconopsis subg.", "Cistus \u00d7 laxus", "Cistus \u00d7 laxus nothovar. laxus", "Cistus \u00d7 laxus nothovar. tomentosus", "Alpherakya devanica tshikolovetsi", "Alyxoria viridipruinosa", "Cistus \u00d7 pagei", "Cistus \u00d7 stenophyllus nothovar. stenophyllus", "Cistus \u00d7 stenophyllus nothovar. grandifolius", "Cistus \u00d7 stenophyllus nothovar. sennenii", "Aleochara irigaster", "Aleochara mimonigra", "Aleochara rubidipennis", "Aleochara patens", "Aleochara sichuanicola", "Aleochara songpanensis", "Irianusa irianjayensis", "Irianusa mirabilis", "Alloplandria problematica", "Alloplandria opacicollis", "Brachidamorpha tronqueti", "Falagria bartolozzii", "Clinopodium \u00d7 mixtum", "Platorischna borneensis", "Pseudoplandria laminaris", "Pseudoplandria belalongica", "Pseudoplandria pseudobellicosa", "Pseudoplandria globulitheca", "Paraleochara translata", "Clinopodium vulgare subsp. vulgare", "Clinopodium vulgare subsp. arundanum", "Stenolechia bathrodyas", "Stenolechia notomochla", "Stenolechia deltocausta", "Stenolechia frustulenta", "Stenolechia orsicoma", "Stenolechia trichaspis", "Stenolechia zelosaris", "Recurvaria orsicoma", "Recurvaria trichaspis", "Dactylethra globulata", "Dactylethrella globulata", "Dactylethra tegulifera", "Dactylethrella tegulifera", "Cistus \u00d7 cymosus", "Dactylethra incondita", "Nothris incondita", "Dactylethrella incondita", "Cistus \u00d7 daveauanus", "Groenlandaspis mirabilis", "Groenlandaspis pennsylvanica", "Groenlandaspis disjectus", "Tacata chinensis", "Sinanarchusa daxuensis", "Aleochara huamontis", "Pulicalvaria laricis", "Coleotechnites laricis", "Pulicalvaria carbonaria", "Coleotechnites carbonaria", "Pulicalvaria occidentis", "Coleotechnites occidentis", "Eucordylea albicostata", "Alyxoria ochrocincta", "Deltophora typica", "Alyxoria subelevata", "Deltophora diversella", "Cistus \u00d7 cyprius nothovar. cyprius", "Deltophora angulella", "Deltophora distinctella", "Deltophora fasciella", "Deltophora beatrix", "Deltophora pauperella", "Deltophora flavocincta", "Deltophora duplicata", "Deltophora lenceella", "Deltophora caymana", "Deltophora minuta", "Deltophora suffusella", "Deltophora peltosema", "Xenolechia peltosema", "Cistus \u00d7 ledon nothosubsp. atlantis", "Alyxoria subrimalis", "Cistus \u00d7 ledon nothosubsp. ledon", "Gelechia pyramidophora", "Cymatophora argenteopicta", "Cistus \u00d7 porphyreus", "Clinopodium axillare subsp. uniflorum", "Clinopodium axillare subsp. axillare", "Gaurena lichenea", "Meconopsis sect.", "Cymatophora candida", "Meconopsis ser.", "Baipsestis tomponis", "Groenlandaspis antarctica", "Stenetriidae incertae sedis", "Synanthedon aerosa", "Sesia angarodes", "Cistus \u00d7 reghaiensis", "Synanthedon semitrista", "Cistus \u00d7 neyrautii", "Boloria pales shambhala", "Boloria pales nirvana", "Boloria pales pontica", "Plasmodium alloelongatum", "Plasmodium cercopitheci", "Aricia agestis calida", "Yania sinica", "Aricia agestis azerbajdzhana", "Borneopora fontis", "Spiraea teniana", "Cordalia perdistincta", "Cordalia kinabaluensis", "Spiraea mairei", "Myrmecocephalus bruneiensis", "Leptagria amabilis", "Spiraea velutina", "Atheta bibulbosa", "Spiraea velutina var. velutina", "Spiraea velutina var. glabrescens", "Pelioptera bonensis", "Pelioptera sagadensis", "Pelioptera bituberculata", "Pelioptera stenopaca", "Pelioptera borneopaca", "Lycopus cavaleriei", "Parastenolechia issikiella", "Amaurodera bulbosa", "Myrmedonota borneensis", "Tetrabothrus borneensis", "Orphnebius anguliceps", "Orphnebius ideogramma", "Drusilla foeda", "Drusilla bruneiensis", "Drusilla spissatheca", "Drusilla bruneiorum", "Zyras montanus", "Stenolechia robusta", "Zyras praedabunda", "Stenolechia squamifera", "Zyras quadriterminalis", "Stenolechia rectivalva", "Meconopsis sect.", "Meconopsis sect.", "Carmenta surinamensis", "Clinopodium macranthum", "Grossilepis rikiki", "Carmenta andrewsi", "Hyoscyamus leptocalyx", "Carmenta erici", "Aricia cramera", "Limenitis mimica", "Attalea barreirensis", "Aricia morronensis morronensis", "Aricia morronensis chapmani", "Aricia morronensis ramburi", "Aricia morronensis hesselbarthi", "Kinosternon angustipons", "Pauropetalichthys magnoculus", "Medeterusa minima", "Medeterusa chinensis", "Coladenia minor", "Coladenia ochracea", "Coladenia similis", "Litoglossa chinensis", "Zyras diaoluomontis", "Zyras fellowesi", "Zyras qingchengensis", "Zyras sichuanorum", "Zyras yongshengensis", "Aricia agestis", "Aricia agestis agestis", "Ixias marianne", "Cistus \u00d7 lenis", "Cistus \u00d7 latipes", "Cistus \u00d7 leiophyllus", "Cistus \u00d7 mesoensis", "Cistus \u00d7 picardianus", "Cistus \u00d7 ralletii", "Cistus \u00d7 oblongifolius", "Kinosternon alamosae", "Cistus \u00d7 platysepalus", "Meconopsis sect.", "Meconopsis ser.", "Meconopsis ser.", "Meconopsis ser.", "Meconopsis ser.", "Meconopsis ser.", "Freyeria minuscula", "Meconopsis ser.", "Cathcartia sect.", "Cathcartia sect.", "Dysschema brunnea", "Dysschema constans", "Dysschema buckleyi", "Dysschema on", "Taractrocera maevius", "Taractrocera maevius maevius", "Shirozuozephyrus kirbariensis", "Shirozuozephyrus kirbariensis kirbariensis", "Shirozuozephyrus kirbariensis machimurai", "Taractrocera maevius sagara", "Philharmonia basinigra", "Glyphidocera hurlberti", "Paracymoriza convallata", "Parapoynx candida", "Aricia agestis nazira", "Myrmecia nigriceps", "Kinosternon baurii", "Macrospinosa cuja", "Turrisaspis elektor", "Megalonibea fusca", "Turrisaspis strudensis", "Euryacanthus rugosus", "Tricuspicanthus gannitus", "Tricuspicanthus pisciculus", "Erymnacanthus clivus", "Hygrophila corymbosa", "Eviota flavipinnata", "Eviota rubrimaculata", "Antarctilamna ultima", "Dermomurex boucheti", "Dermomurex fajouensis", "Dermomurex pruvosti", "Dermomurex tararensis", "Myllaena gullyensis", "Gyrophaena fustigans", "Gyrophaena nadgeensis", "Brachida caraiensis", "Austrobrachida conwayensis", "Sternotropa australicola", "Brachyglyptaglossa australiae", "Coenonica wilsonensis", "Coenonica brownicola", "Coenonica orbicularis", "Coenonica perpusilla", "Coenonica coffsensis", "Coenonica micropapuana", "Coladenia buchananii", "Coladenia buchananii buchananii", "Coladenia buchananii separafasciata", "Coladenia maeniata", "Drusilla cenwanglaomontis", "Alpherakya sartoides", "Drusilla damingensis", "Drusilla gilva", "Drusilla sinicola", "Drusilla philippina", "Tetrabothrus chinensis", "Parnassia palustris var. izuinsularis", "Callorhinchus alfordi", "Callorhinchus phillipsi", "Parnassia ser.", "Parnassia ser.", "Parnassia ser.", "Ischyodus dolloi", "Parnassia ser.", "Parnassia ser.", "Ischyodus williamsae", "Parnassia subsect.", "Parnassia ser.", "Parnassia ser.", "Edaphodon mirificus", "Elasmodus hunteri", "Phyllanthus raynalii", "Lecanora layana", "Crangon crangon", "Parnassia glauca", "Parnassia grandifolia", "Arnomobula eythrai", "Scyliorhinus kannenbergi", "Pristiophorus rupeliensis", "Chimaera gosseleti", "Kinosternon chimalhuaca", "Androsace subsect.", "Kinosternon stejnegeri", "Kinosternon creaseri", "Kinosternon dunni", "Racemobambos raynalii", "Utricularia raynalii", "Porocallus chinensis", "Porocallus sinensis", "Irmaria chinensis", "Irmaria zerchei", "Irmaria nepalensis", "Ocalea dabensis", "Echidnoglossa smetanai", "Trichoglossina daxuensis", "Trichoglossina decoripennis", "Trichoglossina emeimontis", "Trichoglossina erdaoensis", "Trichoglossina erlangensis", "Trichoglossina glaciei", "Trichoglossina nona", "Trichoglossina sinuatolatera", "Trichoglossina taibaiensis", "Trichoglossina tibetana", "Trichoglossina xuemontis", "Trichoglossina yuanpaoensis", "Trichoglossina yunnanensis", "Trichoglossina zhongdianensis", "Trichoglossina smetanai", "Trichoglossina tronqueti", "Trichoglossina smetanaiana", "Luciobarbus maghrebensis", "Luciobarbus rabatensis", "Luciobarbus rifensis", "Argoubia barbei", "Argoubia arnoldm\u00fclleri", "Brassica oleracea var. gongylodes", "Carcharomodus escheri", "Candelariella clarkiae", "Lecidea hoganii", "Clinopodium \u00d7 pillichianum", "Clinopodium \u00d7 conillii", "Clinopodium \u00d7 cadevallii", "Securigera grandiflora", "Kinosternon durangoense", "Kinosternon flavescens", "Inula rajamandii", "Inula angustifolia", "Gyalideopsis sessile", "Inula arbuscula", "Echinoplaca basalis", "Tricharia duotela", "Parnassia cirrata", "Parnassia fimbriata var. intermedia", "Parnassia fimbriata var. hoodiana", "Indomyrlaea bannensis", "Indomyrlaea fastigipalpa", "Linckia laevigata", "Indomyrlaea nigra", "Indomyrlaea proceripalpa", "Indomyrlaea sinuapalpa", "Indomyrlaea kalmasapada", "Indomyrlaea phaeella", "Sandrabatis phaeella", "Dysschema uriasi", "Dysschema wayneri", "Dysschema tarsoi", "Dysschema amapoarum", "Nola pinratanoides", "Remigolepis durnalensis", "Nola puera", "Nola pascua", "Hyrcanaspis bliecki", "Conicofrontia bipartita", "Phragmatiphila bipartita", "Arenostola diamesa", "Conicofrontia lilomwa", "Hygrostola dallolmoi", "Clinopodium graveolens subsp. graveolens", "Stictane pectinata", "Stictane fuscus", "Microtane fusca", "Manoba munda", "Manoba paucilinea", "Manoba umbrimedia", "Macrodon ancylodon", "Macrodon atricauda", "Macrodon mordax", "Diestota hartzmontium", "Tasgnathusa australiana", "Tasgnathusa hartzmontium", "Falagria neoguineana", "Ischnopoda benepicta", "Aloconota cabbagicola", "Aloconota lornensis", "Aloconota microculata", "Aloconota lawersensis", "Australoconotida caudapiscis", "Australoconota tasmaniensis", "Australoconota microtheca", "Giachinusa lamingtonensis", "Giachinusa nigricornis", "Giachinusa wilsonmontis", "Giachinusa brownicola", "Giachinusa alternata", "Giachinusa superba", "Giachinusa wilsonicola", "Giachinusa truncata", "Giachinusa minor", "Giachinusa lamingtonicola", "Giachinusa forticornis", "Limenitis mimica mimica", "Limenitis mimica rileyi", "Arcoptilia naumanni", "Liobagrus hyeongsanensis", "Indomyrlaea sutasoma", "Drepasiagonusa smetanai", "Ocalea erlangensis", "Ocalea intermediides", "Ocalea lobifera", "Ocalea magna", "Ocalea ming", "Ocalea plicasentiens", "Ocalea shaanxiensis", "Apimela glarearum", "Apimela jaegeri", "Apimela jiajinensis", "Apimela sinofluminis", "Clinopodium vulgare subsp. orientale", "Sinefeluva qinlingmontis", "Hygrochara sinica", "Clinopodium alpinum subsp. dinaricum", "Gambierdiscus toxicus", "Clinopodium alpinum subsp. hungaricum", "Parnassia sect.", "Parnassia ser.", "Parnassia ser.", "Parnassia sect.", "Parnassia sect.", "Parnassia sect.", "Parnassia sect.", "Parnassia sect.", "Parnassia sect.", "Himalkompsusa nepalicola", "Himalkompsusa sinica", "Parnassia sect.", "Parnassia sect.", "Brachycraspedusa naivashaensis", "Brachida burkinensis", "Nopromaea cornelli", "Nopromaea nakuruensis", "Meconopsis autumnalis", "Spaniodmoinusa cornelli", "Catarractodes cristatus", "Zyras digorum", "Zyras paraopticus", "Zyras trinus", "Meconopsis sect.", "Zyras triumbunatus", "Diestota doualensis", "Diplopleurus intermedius", "Brachysipalia melanica", "Ischnopoda riftensis", "Atheta senecicola", "Atheta willersi", "Trichoglossina grolli", "Meconopsis subg.", "Isopsestis poculiformis", "Palimpsestis cuprina", "Cistus \u00d7 ultraviolaceus", "Spilobasis minor", "Cistus \u00d7 strigosus", "Horipsestis teikichiana", "Cistus \u00d7 olivaceus", "Neochropacha aenea", "Cistus \u00d7 lepidocalyx", "Cistus nothosect.", "Raveniola arthuri", "Canis ferox", "Leucocraspedum antennarium", "Brachyglyptaglossa tasmaniensis", "Leptagria giachinoi", "Falagria pallipes", "Panaqolus nix", "Hasemania uberaba", "Hasemania crenuchoides", "Pedinopleurus jiuwanmontis", "Lasiokoryphina sinica", "Eutaenoglossa kashmirensis", "Eutaenoglossa nigra", "Eutaenoglossa schuelkei", "Platorischna sichuanensis", "Platorischna sinensis", "Mimoxypoda rufa", "Mimoxypoda sinica", "Mimoxypoda sinorum", "Orphnebius uncinatus", "Trichoglossina athetoides", "Trichoglossina bifurcata", "Trichoglossina ghoropanica", "Trichoglossina coiffaiti", "Trichoglossina festiva", "Parnassia laxmannii", "Nopromaea inintellecta", "Nopromaea kamerunensis", "Tomoxelia problematica", "Brachida luciphila", "Coenonica foeminea", "Longiprimitarsus kamerunensis", "Derelina lata", "Clinopodium alpinum subsp. orontium", "Clinopodium sardoum", "Parnassia townsendii", "Clinopodium alpinum subsp. majoranifolium", "Clinopodium majoranifolium", "Clinopodium alpinum subsp. alpinum", "Clinopodium uhligii var. obtusifolium", "Clinopodium uhligii var. uhligii", "Parnassia vanensis", "Parnassia asarifolia", "Parnassia subsect.", "Parnassia ser.", "Parnassia nubicola var. nubicola", "Oxypoda antegranulosa", "Oxypoda bacillum", "Oxypoda bimicrospinosa", "Oxypoda cavazzutii", "Oxypoda confundibilis", "Oxypoda dabicola", "Oxypoda dahamontis", "Oxypoda daxuana", "Oxypoda daxuemontis", "Oxypoda dilatatiapex", "Oxypoda erlangensis", "Oxypoda erlangmontis", "Oxypoda guangxiensis", "Oxypoda hailuogouensis", "Parnassia palustris subsp. palustris", "Oxypoda hastata", "Oxypoda implorans", "Oxypoda irrepta", "Oxypoda jiudingensis", "Oxypoda latesentiens", "Oxypoda liao", "Oxypoda meandrifera", "Oxypoda mediogranulosa", "Oxypoda microgranulifera", "Oxypoda microlutea", "Oxypoda mimobisinuata", "Oxypoda muyupingensis", "Oxypoda nanwutaiensis", "Oxypoda qionglaimontis", "Oxypoda rhododendricola", "Oxypoda shalulimontis", "Oxypoda shimianensis", "Oxypoda sinoangulata", "Oxypoda sinoexilis", "Oxypoda sinofortis", "Oxypoda sinoperexilis", "Oxypoda sinopusilla", "Oxypoda sinotibetana", "Oxypoda taibaimontis", "Oxypoda taipingensis", "Oxypoda tibetana", "Oxypoda tridentis", "Oxypoda tronqueti", "Oxypoda victrix", "Oxypoda xichangensis", "Oxypoda yunnanicola", "Oxypoda zhagaensis", "Atheta magnalanima", "Parnassia californica", "Peracca derelicta", "Peracca tiomani", "Cistus nothosect.", "Cistus nothosect.", "Kinosternon herrerai", "Geopora pascuorum", "Atheta kibwezicola", "Atheta togoensis", "Pelioptera alticola", "Brachysipalia errans", "Diplopleurus antepolitus", "Diplopleurus perfidus", "Diplopleurus anterugosus", "Zyras relegatus", "Zyras vescus", "Zyras pugnax", "Zyras civilis", "Zyras malawensis", "Zyras bayeri", "Zyras sericeicollis", "Zyras torosus", "Zyras gombanus", "Cypha tanzaniensis", "Typhloponemys setulosa", "Euploea hewitsonii", "Euploea hewitsonii hewitsonii", "Euploea hewitsonii besinensis", "Euploea hewitsonii mangolina", "Euploea hewitsonii reducta", "Gonionota melobaphes", "Chiasmia malgassofusca", "Gonionota contrasta", "Gonionota dissita", "Gonionota determinata", "Gonionota bourquini", "Gonionota vexillata", "Gonionota incontigua", "Gonionota extima", "Gonionota incalescens", "Gonionota periphereia", "Gonionota excavata", "Gonionota hyptiotes", "Gonionota cristata", "Gonionota fimbriata", "Palinorsa acritomorpha", "Palinorsa zonaria", "Palinorsa raptans", "Palinorsa literatella", "Monnina alatodrupacea", "Orosotricha venosa", "Peracca omissa", "Tamdaotettix aculeatus", "Tamdaotettix flexus", "Euploea alcathoe", "Parnassia chengkouensis", "Parnassia dilatata", "Parnassia monochoriifolia", "Parnassia omeiensis", "Monnina costaricensis", "Monnina crepinii", "Encarsia hansoni", "Contopus punensis", "Aricia anteros", "Kinosternon hirtipes", "Kinosternon integrum", "Placusa simulans", "Coenonica aethiopica", "Coenonica gabonensis", "Derema foveicollis", "Derema kaszabi", "Demerilla cordicollis", "Derelina nigriceps", "Parnassia wightiana", "Parnassia yiliangensis", "Parnassia faberi", "Parnassia amoena", "Parnassia noemiae", "Parnassia rhombipetala", "Parnassia bifolia", "Parnassia gansuensis", "Parnassia longshengensis", "Parnassia davidii", "Parnassia davidii var. davidii", "Parnassia davidii var. arenicola", "Parnassia perciliata", "Parnassia lijiangensis", "Parnassia lutea", "Parnassia scaposa", "Parnassia cabulica", "Parnassia nubicola subsp. nubicola", "Parnassia nubicola subsp. occidentalis", "Sinopesa maculata", "Parnassia yunnanensis", "Sinopesa guangxi", "Encarsia ancora", "Cetorhinus piersoni", "Encarsia aonidiae", "Encarsia ashmeadi", "Coccophagus ashmeadi", "Clinopodium chinense subsp. grandiflorum", "Inula ciliaris", "Inula ciliaris var. glandulosa", "Speiraphallusa orientis", "Episkiodrusilla veluticollis", "Episkiodrusilla malayrubricollis", "Episkiodrusilla rubricollis", "Chorispora sibirica", "Episkiodrusilla franzi", "Episkiodrusilla neocoenonicacollis", "Nihoa courti", "Nihoa gressitti", "Nihoa gruberi", "Nihoa itakara", "Nihoa kaindi", "Nihoa karawari", "Nihoa lambleyi", "Nihoa madang", "Nihoa mambulu", "Nihoa raleighi", "Nihoa tatei", "Nihoa vanuatu", "Nihoa verireti", "Idioctis marovo", "Idioctis ferrophila", "Idioctis talofa", "Idioctis yerlata", "Nihoa mahina", "Aname mainae", "Hadronyche anzses", "Pteroneta spinosa", "Clubiona pseudopteroneta", "Raveniola niedermeyeri", "Protodeltote pygarge", "Protodeltote wiscotti", "Protodeltote distinguenda", "Protodeltote inexpectata", "Pseudodeltote brunnea", "Pseudodeltote coenia", "Pseudodeltote subcoenia", "Pseudodeltote formosana", "Micardia pulchra", "Koyaga falsa", "Koyaga virescens", "Koyaga senex", "Koyaga viriditincta", "Sugia idiostygia", "Sugia stygia", "Sugia elaeostygia", "Sugia rufa", "Sugia stygiodes", "Inula candida", "Neustrotia japonica", "Lacustricola camerunensis", "Kinosternon leucostomum", "Pentecopterus decorahensis", "Aloconota praticola", "Atheta rudicollis", "Atheta mucronata", "Termitobia physogastra", "Termitobia burgeoni", "Kinosternon oaxacae", "Kinosternon sonoriense", "Aricia artaxerxes", "Neoleptusa tasekensis", "Cordalia pseudovestita", "Atheta phuthoensis", "Atheta tamdaoensis", "Orphnebius bartolozzii", "Tetrabothrus malaysianus", "Drusilla perakensis", "Zyras malaybipunctatus", "Zyras malaycompressicornis", "Pseudoplandria squamarum", "Pseudoplandria trabis", "Tetrasticta caputcyrneum", "Ischnopoda asperata", "Deltote melaleuca", "Heteropriacanthus cruentatus", "Lithacodia melaleuca", "Lithacodia shansiensis", "Deltote walonga", "Metecia cornifrons", "Haplomyrmemonia loricata", "Ocyplanus megalops", "Aleochara lineatocollis", "Neustrotia costimacula", "Neustrotia rectilineata", "Neustrotia sugii", "Neustrotia noloides", "Pseudeustrotia candidula", "Maliattha signifera", "Maliattha rosacea", "Maliattha arefacta", "Acontia vialis", "Maliattha culta", "Eustrotia sugii", "Corgatha fusca", "Crespoa scrobicularis", "Encarsia flagellata", "Encarsia escama", "Encarsia caudata", "Encarsia oaxaca", "Gobiosoma alfiei", "Gobiosoma hemigymnum", "Gobiosoma spilotum", "Encarsia alboscutellaris", "Salmo multipunctatus", "Salmo viridis", "Rabdotodrusilla malaysiensis", "Coenonica florentinorum", "Coenonica malaycolorata", "Coenonica bartolozzii", "Coenonica malaysiana", "Coenonica tasekensis", "Inula cuanzensis", "Inula decurrens", "Inula eminii", "Inula clarkei", "Encarsia bellottii", "Amitus macgowni", "Inula engleriana", "Encarsia lanceolata", "Encarsia citrella", "Prospaltella citrella", "Encarsia paracitrella", "Encarsia pseudocitrella", "Encarsia unicitrella", "Inula gimbundensis", "Inula glauca", "Inula glomerata", "Encarsia aleurothrixi", "Encarsia hamoni", "Parnassia trinervis", "Citrus \u00d7 obovata", "Leptothele bencha", "Angka hexops", "Mandjelia brassi", "Mandjelia anzses", "Mandjelia banski", "Mandjelia colemani", "Mandjelia commoni", "Mandjelia exasperans", "Mandjelia fleckeri", "Mandjelia galmarra", "Mandjelia humphreysi", "Mandjelia iwupataka", "Mandjelia macgregori", "Mandjelia madura", "Mandjelia mccrakeni", "Mandjelia nuganuga", "Mandjelia oenpelli", "Mandjelia paluma", "Mandjelia qantas", "Mandjelia rejae", "Mandjelia wooroonooran", "Mandjelia wyandotte", "Mandjelia yuccabine", "Aurecocrypta katersi", "Aurecocrypta lugubris", "Moruga thickthorni", "Moruga doddi", "Moruga heatherae", "Moruga insularis", "Moruga kimberleyi", "Moruga thorsborneorum", "Ozicrypta cooloola", "Ozicrypta australoborealis", "Ozicrypta clarki", "Ozicrypta clyneae", "Ozicrypta combeni", "Ozicrypta digglesi", "Ozicrypta etna", "Ozicrypta eungella", "Ozicrypta filmeri", "Ozicrypta hollinsae", "Ozicrypta kroombit", "Ozicrypta lawlessi", "Ozicrypta littleorum", "Ozicrypta mcarthurae", "Ozicrypta mcdonaldi", "Ozicrypta microcauda", "Ozicrypta noonamah", "Ozicrypta pearni", "Ozicrypta sinclairi", "Ozicrypta tuckeri", "Ozicrypta walkeri", "Ozicrypta wallacei", "Ozicrypta wrightae", "Seqocrypta jakara", "Seqocrypta bancrofti", "Seqocrypta hamlynharrisi", "Seqocrypta mckeowni", "Antillusa dominicana", "Nepticula argyrostigma", "Leptagria dominicana", "Nepticula dubiella", "Ousipaliaglossa soufrierensis", "Hoplandria dominicana", "Amanota gabonensis", "Trifurcula rodella", "Fundulus bermudae", "Monnina nitida", "Lyncestis voeltzkowi", "Catephia triphaenoides", "Synothele arrakis", "Synothele boongaree", "Synothele butleri", "Synothele durokoppin", "Synothele goongarrie", "Synothele harveyi", "Synothele houstoni", "Synothele howi", "Synothele karara", "Synothele koonalda", "Synothele longbottomi", "Synothele lowei", "Synothele meadhunteri", "Synothele moonabie", "Synothele mullaloo", "Synothele ooldea", "Synothele pectinata", "Synothele rastelloides", "Synothele rubripes", "Synothele subquadrata", "Synothele taurus", "Synothele yundamindra", "Trittame augusteyni", "Trittame berniesmythi", "Trittame mccolli", "Trittame rainbowi", "Trittame stonieri", "Tungari aurukun", "Tungari kenwayae", "Tungari mascordi", "Tungari monteithi", "Zophorame covacevichae", "Zophorame hirsti", "Barycheloides alluviophilus", "Barycheloides chiropterus", "Barycheloides concavus", "Barycheloides rufofemoratus", "Barychelus complexus", "Encyocrypta abelardi", "Encyocrypta bertini", "Encyocrypta bouleti", "Encyocrypta gracilibulba", "Encyocrypta grandis", "Encyocrypta heloiseae", "Encyocrypta kwakwa", "Encyocrypta mckeei", "Encyocrypta ouazangou", "Encyocrypta risbeci", "Mandjelia platnicki", "Natgeogia rastellata", "Orstom chazeaui", "Orstom aoupinie", "Orstom hydratemei", "Orstom macmillani", "Orstom tropicus", "Orstom undecimatus", "Questocrypta goloboffi", "Fijocrypta vitilevu", "Nihoa bisianumu", "Monnina gracilis", "Monnina laureola", "Monnina pseudostipulata", "Monnina macroclada", "Monnina hassleri", "Monnina pumila", "Plectranthias bennetti", "Plectranthias sagamiensis", "Lucigadus borealis", "Electrostrymon picoloro", "Euxoa pampeana", "Euxoa pampeana pampeana", "Euxoa pampeana blanchardi", "Metecia lacustris", "Monnina amplibracteata", "Inula welwitschii", "Pareuxoina lacustris", "Metecia hypothetica", "Pareuxoina hypothetica", "Inula vernonioides", "Trifurcula orientella", "Trifurcula austriaca", "Trifurcula beirnei", "Fundulus grandis", "Trifurcula chamaecytisi", "Trifurcula coronillae", "Trifurcula iberica", "Trifurcula josefklimeschi", "Trifurcula luteola", "Trifurcula puplesisi", "Trifurcula pallidella", "Trifurcula silviae", "Trifurcula victoris", "Trifurcula subnitidella", "Elachista subnitidella", "Trifurcula griseella", "Monnina membranifolia", "Trifurcula lituanica", "Trifurcula headleyella", "Nepticula headleyella", "Hydrosmecta sichuanensis", "Hydrosmecta sinica", "Berca sinensis", "Alomaina indica", "Alomaina sinica", "Lasiosomina collaris", "Lasiosomina weiensis", "Monnina rusbyi", "Liogluta dailangensis", "Liogluta erlangicola", "Liogluta kandingensis", "Liogluta magnumforamen", "Liogluta muyupingensis", "Liogluta qinlingensis", "Liogluta qionglaiensis", "Liogluta qionglaimontis", "Liogluta rostrumaquilae", "Liogluta shaluliensis", "Liogluta shalulinigra", "Liogluta sinoclaripennis", "Liogluta sinotruncata", "Liogluta tibetana", "Atheta acrotonotheca", "Atheta caudata", "Atheta cavazzutii", "Atheta colortang", "Atheta daxuepraticola", "Atheta guanxianensis", "Atheta megatheca", "Atheta naniensis", "Scolecenchelys profundorum", "Monnina boliviensis", "Leptostiba alticola", "Monnina buchtienii", "Leptostiba miriapex", "Pelioptera asymmetrica", "Pelioptera dabamontis", "Pelioptera dalicola", "Pelioptera shaanxiensis", "Monnina franchetii", "Paraloconota bilobifera", "Paraloconota daxuemontis", "Paraloconota daxuensis", "Paraloconota erlangensis", "Paraloconota shalulimontis", "Paraloconota tibetana", "Paraloconota wrasei", "Monnina pearcei", "Nepalota franzi", "Nepalota caluoensis", "Nepalota dabamontis", "Nepalota daxuensis", "Nepalota erlangensis", "Nepalota gracilis", "Nepalota qinlingmontis", "Nepalota robusta", "Nepalota rougemonti", "Monnina weddelliana", "Nepalota ruficollis", "Nepalota yunnanensis", "Amphibolusa smetanai", "Amphibolusa chinensis", "Bellatheta huamontis", "Bellatheta ruficollis", "Bellatheta tibetana", "Bellatheta yunnanensis", "Tropimenelytron qinlingmontis", "Inula speciosa", "Inula stolzii", "Megacephalomana saalmuelleri", "Australiotyphlus cabbagensis", "Pseudotolna perineti", "Sphingomorpha ebenaui", "Diplopleurus fictus", "Porus constanti", "Zyras kuzikusensis", "Aenictonia ghanensis", "Eudrapa sogai", "Botsa marginata", "Demerinda africanoides", "Diplopleurus mayombensis", "Kryptapate ghanense", "Orphnebius africanus", "Zyras botswanensis", "Zyras grootaerti", "Zyras lamaburrensis", "Monnina bridgesii", "Monnina autraniana", "Melaleuca brevisepala", "Melaleuca brongniartii", "Melaleuca buseana", "Monnina boliviana", "Scolecenchelys brevicaudata", "Scolecenchelys robusta", "Scolecenchelys chilensis", "Scolecenchelys iredalei", "Scolecenchelys laticaudata", "Afrocelestis sacculata", "Afrocelestis lochaea", "Scardia lochaea", "Afrocelestis minuta", "Celestica minuta", "Brugmansia vulcanicola", "Brugmansia \u00d7 cubensis", "Galachrysis armata", "Inula huillensis", "Sternocera aequisignata", "Philomina torrentum", "Philomina nepalensis", "Gyrophaena assamicola", "Pseudoligota orissaensis", "Atheta arunachalensis", "Atheta orissaensis", "Atheta kalinga", "Atheta hapoliensis", "Oriyadota orissaensis", "Drusilla orissaensis", "Brugmansia sect.", "Brugmansia sect.", "Lanius humeralis", "Aricia artaxerxes allous", "Monnina rugosa", "Nesospiza questi", "Lanius excubitor pallidirostris", "Monnina sanmarcosana", "Monnina soukupiana", "Monnina woytkowskii", "Monnina valcarceliana", "Melanephia banian", "Amanota burkinensis", "Monnina arbutus", "Monnina herzogii", "Megacephalon saalmuelleri", "Atheta sinorelicta", "Atheta gonggana", "Heterostasis extricata", "Afrocelestis evertata", "Raveniola alpina", "Myllaena miriensis", "Raveniola bellula", "Raveniola chayi", "Raveniola gracilis", "Raveniola rugosa", "Myllaena ziroensis", "Raveniola spirula", "Raveniola yajiangensis", "Sinopesa ninhbinhensis", "Philomina indorum", "Raveniola caudata", "Philomina fluviatilis", "Raveniola montana", "Raveniola shangrila", "Raveniola songi", "Raveniola yunnanensis", "Raveniola xizangensis", "Raveniola guangxi", "Raveniola hebeinica", "Raveniola concolor", "Raveniola vonwicki", "Raveniola fedotovi", "Raveniola ferghanensis", "Raveniola hyrcanica", "Raveniola kopetdaghensis", "Raveniola pontica", "Raveniola virgata", "Raveniola zaitzevi", "Raveniola micropa", "Raveniola recki", "Raveniola redikorzevi", "Afrocelestis inanis", "Scytalopus perijanus", "Myllaena buamontis", "Myllaena bubeiensis", "Holobus sichuanensis", "Cypha sinorum", "Brachychiton sect.", "Brachychiton sect.", "Inula macrolepis", "Brachychiton sect.", "Inula limosa", "Chiapaheros grammodes", "Cincelichthys bocourti", "Cincelichthys pearsei", "Brachychiton sect.", "Arzecla albolineata", "Badecla argentinensis", "Brachychiton \u00d7 vinicolor", "Atheta neatang", "Atheta ogivalis", "Atheta perindistincta", "Atheta pseudonana", "Atheta pseudoplacita", "Atheta sinobscura", "Atheta sinocolorata", "Atheta sinosulcata", "Atheta sphaerae", "Atheta aesculapii", "Atheta dalibaiensis", "Atheta daxuecoprobia", "Atheta daxuefurtiva", "Atheta gigarcuata", "Atheta granulotibetana", "Atheta hailougouicola", "Atheta huamontis", "Atheta leshanensis", "Atheta qinlingensis", "Atheta robustina", "Atheta shaluliopaca", "Atheta sinodenticulata", "Atheta sinolucida", "Atheta sinorufipennis", "Atheta suburumqiensis", "Atheta zanettii", "Anomis alluaudi", "Anomis mandraka", "Gnamptonyx australis", "Rhynchina herbuloti", "Scopula nachtigali", "Lanius phoenicuroides", "Brachyglossina tibbuana", "Eupithecia mirei", "Scoparia marioni", "Atheta contractionis", "Atheta mugecuensis", "Atheta semicircularides", "Atheta shalulifalcifera", "Atheta tibetana", "Atheta extabescens", "Atheta foedemarginata", "Atheta forcipis", "Atheta luojimontis", "Atheta mimosibirica", "Atheta sinonigra", "Atheta sinopusilla", "Atheta fuscoterminalis", "Atheta nitidearmata", "Atheta longefalciferoides", "Atheta sinobifalcifera", "Atheta taibaimontis", "Atheta tibetapicalis", "Atheta qinlingicola", "Acrotona yongshengensis", "Atheta sinobulbosa", "Zyras nameriensis", "Zyras dibrugarhensis", "Pseudoplandria orissaensis", "Pseudoplandria sikha", "Inula gossweileri", "Inula helianthus-aquatilis", "Inula hendersoniae", "Pteroptrix gonzalezi", "Pteroptrix mexicana", "Inula hissarica", "Inula japonica", "Inula kalapani", "Inula klingii", "Inula mannii", "Coccidencyrtus shiyakei", "Inula mildbraedii", "Thomsonisca noyesi", "Anagyrus alienus", "Anagyrus descriptus", "Aschitus golcukus", "Charitopus bulentyashari", "Charitopus ismailkaracai", "Microterys aldreyi", "Microterys weyericus", "Inula salsoloides", "Inula poggeana", "Lamprospilus aunus", "Lamprospilus collucia", "Placusa shimianensis", "Phymatura sinica", "Bolitochara sinica", "Tibetusina wolongensis", "Gyrophaena osdraconis", "Coenonica anteopaca", "Coenonica confundibilis", "Coenonica guanxiensis", "Stenomastax chinensis", "Thaumaglossa tonkinea", "Salvia subg.", "Bythaelurus tenuicephalus", "Heros liberifer", "Heros severus", "Salvia sect.", "Attagenus inaguai", "Cryptorhopalum thomasi", "Cryptorhopalum amulae", "Cryptorhopalum appendiculatum", "Cryptorhopalum argutum", "Cryptorhopalum bicolor", "Cryptorhopalum bisignatum", "Diademodus dominicus", "Diademodus hydei", "Travancoriana schirnerae", "Travancoriana pollicaris", "Barytelphusa pollicaris", "Travancoriana convexa", "Barytelphusa pollicaris pollicaris", "Barytelphusa pollicaris convexa", "Monnina crassinervia", "Mesoheros atromaculatus", "Inula oligocephala", "Cryptorhopalum acevedoi", "Mesoheros ornatus", "Cryptorhopalum davidsoni", "Oscura heterospila", "Inula robynsii", "Inula perrieri", "Cryptorhopalum delacruzi", "Cryptorhopalum rawlinsoni", "Cryptorhopalum thompsonii", "Rheoheros coeruleus", "Inula paludosa", "Cryptorhopalum youngi", "Rheoheros lentiginosus", "Inula sericeo-villosa", "Travancoriana kuleera", "Travancoriana charu", "Leptusa kangdingensis", "Leptusa zhongdianensis", "Hydrosmecta senegalensis", "Zyras eburneaeorae", "Aenictonia chadensis", "Pelamia bifasciata", "Inula schischkinii", "Inula serratuloides", "Pseudatheta chinensis", "Pseudatheta similis", "Monactinocephalus shirensis", "Leptagria hubeiensis", "Myrmecocephalus magnificus", "Leptagria shimianensis", "Phymatura gonggaensis", "Eusteniamorpha jiajinensis", "Arcithelphusa cochleariformis", "Salvia cacaliifolia", "Salvia sect.", "Salvia sect.", "Cryptorhopalum brevicolle", "Cryptorhopalum cribriceps", "Cryptorhopalum ducale", "Cryptorhopalum equisolea", "Cryptorhopalum flammulatum", "Cryptorhopalum globuloide", "Cryptorhopalum guatemalenum", "Cryptorhopalum mordelloide", "Cryptorhopalum ochraceum", "Cryptorhopalum orbiculosum", "Cryptorhopalum posticatum", "Cryptorhopalum pedestre", "Lamprospilus genius", "Cryptorhopalum chontalense", "Salvia sect.", "Cryptorhopalum pilosum", "Cryptorhopalum subtile", "Cryptorhopalum vestitum", "Kihnichthys ufermanni", "Cryptorhopalum robustum", "Cryptorhopalum ventanense", "Cryptorhopalum gravidum", "Cryptorhopalum discedens", "Cryptorhopalum funestum", "Salvia sect.", "Cryptorhopalum germanum", "Inula obtusifolia", "Salvia sect.", "Maskaheros argenteus", "Cryptorhopalum cyphonoide", "Cryptorhopalum fraternum", "Cryptorhopalum sordidum", "Cryptorhopalum vicinum", "Cryptorhopalum laterale", "Cryptorhopalum celatum", "Maskaheros regani", "Mesoheros festae", "Monnina chodatiana", "Cretalamna catoxodon", "Cretalamna appendiculata", "Cretalamna sarcoportheta", "Monnina cuatrecasasii", "Cretalamna borealis", "Cretalamna gertericorum", "Cretalamna ewelli", "Cretalamna hattini", "Cretalamna deschutteri", "Monnina colombiana", "Kenolamna gunsoni", "Monnina chlamydantha", "Wessiea oroszii", "Hypsophrys nicaraguensis", "Australolepis seddoni", "Phoebodus bifurcatus", "Phoebodus fastigatus", "Phoebodus latus", "Monnina glaberrima", "Thrinacodus tranquillus", "Monnina solandrifolia", "Monnina erecta", "Monnina oblanceolata", "Monnina schultesii", "Lamprospilus coelicolor", "Protacrodus vetustus", "Protacrodus serra", "Deihim mansureae", "Myrmica adrijae", "Stenamma jhitingriense", "Lissodus lusavorichi", "Paraptychodus washitaensis", "Monnina padifolia", "Mahatha lacuna", "Mahatha regina", "Perbrinckia fenestra", "Perbrinckia gabadagei", "Perbrinckia rosae", "Lamprospilus japola", "Lamprospilus nicetus", "Tomoxelia lecoqi", "Gyrophaena rougemontiana", "Placusa rugosa", "Coenonica merina", "Anebolura rougemonti", "Myrmecocephalus madafulvus", "Alomacrotona rougemonti", "Pseudacrotona triangulum", "Pseudacrotona rougemonti", "Ankaratraella myrmecophila", "Ankaratraella pauliani", "Ankaratraella rougemonti", "Ditropandria rougemonti", "Aleochara madirigaster", "Inula urumoffii", "Inula stenocalathia", "Inula schmalhausenii", "Inula hupehensis", "Inula acuminata", "Inula helenium subsp. vanensis", "Inula helenium subsp. pseudohelenium", "Monnina santamartensis", "Inula helenium subsp. turcoracemosa", "Salvia sect.", "Salvia sect.", "Arecaceopora couturieri", "Arecaceopora delgadoi", "Arecaceopora perlifera", "Phoinixiusa ecuadorensis", "Plesiomalota palmarum", "Ousipaliaglossa peruviana", "Ousipaliaglossa couturieri", "Atheta chunitayiensis", "Atheta couturieri", "Hoplandria alboapicalis", "Hoplandria diaghita", "Orphnebius amazonicus", "Orphnebius belemensis", "Orphnebius caligatus", "Orphnebius maracayensis", "Orphnebius modestus", "Orphnebius rioensis", "Orphnebius tarapotensis", "Orphnebius transversus", "Macrogerodonia boliviana", "Macrogerodonia paraensis", "Macrogerodonia unidens", "Apimela boliviana", "Meoticaops franzi", "Meoticaops boliviensis", "Spanioda brasiliana", "Diacanthochara brasiliensis", "Ceylonthelphusa alpina", "Zyras carinilabiatus", "Apalonia debilis", "Apalonia catharinensis", "Apalonia laboriosa", "Apalonia maculifrons", "Apalonia obscura", "Apalonia pernambucoensis", "Apalonia seminigra", "Apalonia tupiorum", "Feluva minuta", "Feluva punctulata", "Lamprospilus occidentalis", "Feluva colubrina", "Lamprospilus orcidia", "Monnina elongata", "Ivanacara adoketa", "Ceylonthelphusa diva", "Ceylonthelphusa savitriae", "Edaphodon snowhillensis", "Mahatha helaya", "Gogoselachus lynbeazelyae", "Oligoraja pristina", "Raja thiedei", "Torpedo chattica", "Atlantoraja cecilae", "Dipturus casieri", "Salvia sect.", "Salvia libanensis", "Salvia sessei", "Salvia sect.", "Salvia sect.", "Laetacara flavilabris", "Homo naledi", "Platandria crucis", "Acrocyusa forticornis", "Myrmecoxenia pampeana", "Myrmecoxenia foveaventer", "Myrmecoxenia regia", "Neocalodera magellanensis", "Neocalodera gratella", "Neocalodera iguazuensis", "Diacanthochara venezuelensis", "Thamiaraea irigaster", "Perbrinckia cavatrix", "Perbrinckia uva", "Tlaloc mexicanus", "Perbrinckia kotagama", "Ceylonthelphusa kotagama", "Ceylonthelphusa cavatrix", "Ceylonthelphusa sentosa", "Ceylonthelphusa kandambyi", "Salvia sect.", "Salvia sect.", "Ceylonthelphusa nana", "Nothobranchius capriviensis", "Pseudocolopteryx citreola", "Eutaenoglossa mandibularis", "Zyratheta taiwanensis", "Tetrabothrus semiapterus", "Tetrabothrus taiwanensis", "Zyras implorans", "Zyras gibbus", "Ischnopoda taiwanensis", "Ischnopoda testaceina", "Pselaphoykodes taiwanense", "Parapimela taiwanensis", "Homoeusa taiwanensis", "Geothelphusa makatao", "Salvia sect.", "Geothelphusa albogilva", "Geothelphusa caesia", "Geothelphusa ancylophallus", "Geothelphusa wangi", "Geothelphusa wutai", "Salvia sect.", "Salvia subg.", "Salvia sect.", "Cistus \u00d7 matritensis", "Salvia sect.", "Salvia sect.", "Portalodus mannoliniae", "Salvia ser.", "Salvia ser.", "Salvia ser.", "Salvia sect.", "Salvia sect.", "Salvia sect.", "Salvia sect.", "Salvia sect.", "Geothelphusa taroko", "Geothelphusa monticola", "Geothelphusa gracilipes", "Geothelphusa eurysoma", "Geothelphusa yangmingshan", "Geothelphusa takuan", "Geothelphusa lanyu", "Monnina lorenziana", "Geothelphusa nanhsi", "Geothelphusa tawu", "Geothelphusa lutao", "Monnina smithii", "Zyras wei", "Zyras condignus", "Amarochara heterogaster", "Apimela lineola", "Pseudoplandria osellaiana", "Tetrasticta polita", "Monnina coriacea", "Aleochara praesul", "Monnina idroboana", "Myllaena ecudimidiata", "Gyrophaena canaimensis", "Gyrophaena veninfida", "Leptagria scupolai", "Monnina parvifolia", "Monnina acuminata", "Monnina dugandiana", "Cistus creticus subsp. trabutii", "Monnina densa", "Smetanaetha bellicosa", "Smetanaetha taiwanicola", "Taiwanusa smetanai", "Ocyusa yakouensis", "Hygropetrophila scheerpeltzi", "Hygropetrophila irregularis", "Hygropetrophila bilimbata", "Oxypoda hsuehmontis", "Oxypoda ypsilon", "Oxypoda taiwafimbriata", "Oxypoda nantouensis", "Oxypoda taichungensis", "Oxypoda kaohsiungensis", "Oxypoda medialobifera", "Oxypoda taiwadebilis", "Oxypoda kaohsiungicola", "Monnina andreana", "Oxypoda nenkaomontis", "Oxypoda meifengensis", "Salvia subsect.", "Oxypoda anmamontis", "Oxypoda peinantamontis", "Geothelphusa cinerea", "Geothelphusa nanao", "Geothelphusa ilan", "Geothelphusa olea", "Geothelphusa chiui", "Inula thapsoides subsp. australis", "Monnina linearifolia", "Geothelphusa miyazakii", "Portalodus bradshawae", "Monnina philippiana", "Omalodus grabaui", "Salvia ser.", "Pseudoplandria lacustris", "Pseudoplandria intrastriata", "Pseudoplandria longitudinis", "Pseudoplandria chengkangensis", "Pseudoplandria bicubicularis", "Pseudoplandria mediostriata", "Pseudoplandria magnataiwanica", "Pseudoplandria meifengensis", "Salvia ser.", "Pseudoplandria taiwasubtilis", "Salvia ser.", "Pseudoplandria divisa", "Pseudoplandria difficultatis", "Salvia ser.", "Pseudoplandria stricta", "Salvia ser.", "Pseudoplandria bicornis", "Pseudoplandria contusa", "Salvia ser.", "Salvia ser.", "Aleochara taiwanensis", "Salvia ser.", "Salvia subsect.", "Pseudatheta indica", "Salvia subg.", "Salvia subg.", "Orphnebius hauseri", "Tetrabothrus rougemonti", "Drusilla ocularis", "Monnina pennellii", "Monnina mollis", "Microcambeva barbata", "Microcambeva draco", "Geothelphusa eucrinodonta", "Geothelphusa tsayae", "Geothelphusa bicolor", "Geothelphusa ferruginea", "Geothelphusa tali", "Malacoglanis gelatinosus", "Sarcoglanis simplex", "Salvia sect.", "Geothelphusa pingtung", "Doliodus problematicus", "Geothelphusa hirsuta", "Siberiodus mirabilis", "Pseudaetobatus casieri", "Myliobatis monnieri", "Leidybatis granulosus", "Myrmecocephalus ecustrictus", "Lophobatis phosphaticus", "Pseudaetobatus belli", "Pseudaetobatus undulatus", "Anaulacaspis rougemonti", "Salvia sect.", "Monnina grandifolia", "Salvia subg.", "Monnina saprogena", "Lacustricola maculatus", "Salvia sect.", "Gnypeta etontii", "Lamprostiba etontii", "Atheta araguensis", "Atheta etontii", "Atheta dichroides", "Atheta escalonai", "Atheta flaviterminalis", "Atheta bordoni", "Atheta scurratheca", "Parademosoma venezuelana", "Johnlongia allocotodon", "Leptonia andina", "Leptonia peruviana", "Plesioleptonia abdominalis", "Pseustantha escalonai", "Salvia officinalis subsp. oxyodon", "Salvia officinalis subsp. gallica", "Salvia officinalis subsp. multiflora", "Salvia officinalis subsp. officinalis", "Monnina macrocarpa", "Salvia ser.", "Salvia ser.", "Salvia ser.", "Salvia ser.", "Salvia ser.", "Monnina bonplandiana", "Monnina latisepala", "Salvia sect.", "Salvia sect.", "Salvia leucocephala", "Alosa paulicrenata", "Salvia sect.", "Salvia subrotunda", "Salvia pulchella", "Salvia microphylla var. microphylla", "Allosaurus europaeus", "Salvia microphylla var. neurepia", "Salvia involucrata", "Plesiomalota cotopaxiensis", "Paraneolepta marginata", "Paraneolepta limbella", "Paraneolepta imitans", "Salvia fulgens", "Orthoneolepta fulvipennis", "Neolepta fulvipennis", "Orthoneolepta banggiensis", "Salvia darcyi", "Neolepta banggiensis", "Curetis acuta acuta", "Curetis acuta denta", "Plesiomalota squalida", "Eudera didyma", "Meronera otongicola", "Hippocampus algiricus", "Maja crispata", "Maja verrucosa", "Curetis barsine barsine", "Curetis barsine eberalda", "Monnina sylvatica", "Curetis barsine egena", "Curetis barsine fergussoni", "Curetis barsine galinthias", "Monnina parasylvatica", "Curetis barsine ribbei", "Curetis bulis bulis", "Curetis bulis doxa", "Curetis bulis stigmata", "Monnina guatemalensis", "Monnina ferreyrae", "Monnina sylvicola", "Salvia sect.", "Orphnebius venezuelanus", "Geothelphusa neipu", "Kochlifeluva ecuadorensis", "Paraplandria quadripustulata", "Paraplandria sanctaeclarae", "Paraplandria rougemonti", "Platandria pastazensis", "Geothelphusa shernshan", "Eydelusa bartolozzii", "Eydelusa scupolai", "Adinopsis myllaenoides", "Myllaena giachinoi", "Pseudomniophila unidentata", "Pseudomniophila ecuadorensis", "Diestota curticollis", "Diestota venezuelana", "Caloderella caoduroi", "Caloderella nigrofemoralis", "Myllaena ecuadorensis", "Myllaena pichinchaensis", "Pseudomniophila cotopaxiensis", "Salvia sect.", "Salvia semiatrata", "Salvia melissodora", "Salvia sect.", "Salvia subsect.", "Salvia subsect.", "Dactylorhiza umbrosa", "Salvia tilantongensis", "Ephippiphora albuginana", "Pammene reisseri", "Homalota cotopaxiensis", "Parasilusa ecuadorensis", "Parasilusa otongensis", "Parasilusa rossii", "Gnypeta fissicollis", "Heterostiba rossii", "Pichinchusa miripennis", "Ragabrachydota ecuadorensis", "Markiana nigripinnis", "Ragabrachydota huamboyasorum", "Atheta leda", "Atheta conformis", "Thrinacodus dziki", "Atheta cotopaxiensis", "Atheta trogloxena", "Maja tuberculata", "Cancer squinado", "Maja brachydactyla", "Curetis acuta formosana", "Maja cornuta", "Curetis acuta paracuta", "Cancer cornutus", "Curetis barsine menestratus", "Curetis barsine solita", "Salvia sect.", "Crataegus aemula", "Gentianopsis yabei", "Anelpistina ruckeri", "Protomyctophum bolini", "Thereus oppia", "Protomyctophum tenisoni", "Protomyctophum choriodon", "Geotrygon purpurata", "Papilionanthe subulata", "Curetis santana santana", "Bicyclus maesseni", "Curetis santana malayica", "Curetis santana ge", "Bicyclus kiellandi", "Bicyclus tanzanicus", "Catasetum tigrinum", "Curetis saronis saronis", "Curetis saronis gloriosa", "Bicyclus amieti", "Bicyclus ewondo", "Bicyclus sweadneri", "Curetis saronis indosinica", "Altisolepis sinensis", "Curetis saronis kondula", "Curetis saronis nicobarica", "Curetis saronis obscura", "Bicyclus jefferyi", "Salvia sect.", "Curetis saronis sumatrana", "Trichocentrum porphyrio", "Salvia \u00d7 hegelmaieri", "Salvia sect.", "Salvia pauciserrata", "Salvia sect.", "Atheta bicallosa", "Atheta propinqua", "Parademosoma ecuadoriana", "Apalonia vicina", "Haplochara franzi", "Diacanthochara lloensis", "Diacanthochara rougemonti", "Diacanthochara belloi", "Diacanthochara pichinchaensis", "Diacanthochara crassa", "Haplochara otongensis", "Diacanthochara otongicola", "Pammene bowmanana", "Aleochara taeniata", "Hemimene bowmanana", "Pammene christophana", "Adinopsis peruviana", "Cypha ecuadorensis", "Phthoroblastis christophana", "Oligota ecuadorensis", "Pammene engadinensis", "Caloderella fraterna", "Aphia djafarovae", "Thescelosaurus neglectus", "Curetis sperthis sperthis", "Curetis sperthis kawazoei", "Curetis sperthis kiritana", "Curetis sperthis metayei", "Ammosaurus major", "Curetis sperthis niasica", "Curetis sperthis semilimbata", "Caamembeca salicifolia", "Curetis venata venata", "Curetis venata saleyerensis", "Salvia sect.", "Salvia sect.", "Salvia leucantha", "Myrmica emeryi", "Salvia tomentella", "Salvia albicalyx", "Hamus bowoensis", "Careproctus lerikimae", "Nescina minuta", "Wraios longiembolus", "Careproctus rastrinus", "Careproctus trachysoma", "Careproctus scottae", "Careproctus acanthodes", "Careproctus pellucidus", "Parasilusa giachinoi", "Plesiomalota papallactensis", "Plesiomalota bulbosa", "Plesiomalota pallidipennis", "Plesiomalota opacicollis", "Plesiomalota atacazicola", "Plesiomalota caoduroi", "Plesiomalota ruficollis", "Plesiomalota belloorum", "Plesiomalota fluminis", "Plesiomalota maculitergalis", "Plesiomalota ruficornis", "Plesiomalota lloensis", "Plesiomalota atacazomontis", "Plesiomalota varicornis", "Plesiomalota yucaicola", "Plesiomalota pasochoensis", "Plesiomalota giachinoi", "Diestota simplex", "Diestota loretensis", "Eudera rougemonti", "Eudera huamboyasana", "Eudera napofluminis", "Myrmecocephalus otongensis", "Falagria ecupallida", "Falagria ecuadorensis", "Falagria cotopaxiensis", "Meronera ecuadorica", "Amischa quitoensis", "Serikendusa peruviana", "Pycnota otongensis", "Heterostiba nanegalitensis", "Heterostiba insidiosa", "Heterostiba osellai", "Heterostiba caoduroi", "Parademosoma andensis", "Ousipaliaglossa osellai", "Hydrosmecta ecuadorensis", "Geitonusa salcedensis", "Careproctus phasma", "Careproctus spectrum", "Veigaia yinsuigongi", "Stiphodon palawanensis", "Veigaia beinaxinae", "Stiphodon pulchellus", "Stiphodon atropurpureus", "Stiphodon percnopterygionus", "Macrophya circulotibialis", "Macrophya curvatitheca", "Macrophya changbaina", "Macrophya shengi", "Macrophya xinan", "Salvia sect.", "Salvia sect.", "Salvia sect.", "Salvia sect.", "Salvia subg.", "Merxmuellera davyi", "Zyras ecuamazzonicus", "Macrogerodonia vitreifemoralis", "Macrogerodonia rougemonti", "Macrogerodonia osellai", "Macrogerodonia microptera", "Macrogerodonia amazzonica", "Macrogerodonia nigrogibba", "Somasterochara peruviana", "Somasterochara pichinchaensis", "Somasterochara ecuadorensis", "Glossarhymenus otonganus", "Feluva pichinchaensis", "Gastrorhopalus ecuadorensis", "Parabainusa tropica", "Parabainusa osellai", "Parabainusa onorei", "Pseudomyllaena franzi", "Pseudomyllaena mirantennalis", "Pseudomyllaena ecuadorensis", "Pseudomyllaena pichinchaensis", "Polylobus klimaszewskii", "Aleochara andensis", "Paraplandria caraorum", "Paraplandria ecuadoricola", "Hoplandria ecunigra", "Hoplandria norisi", "Casignetella pseudolongicornella", "Casignetella pseudostepposa", "Casignetella pseudopalifera", "Casignetella srnkai", "Anelpistina ariasae", "Salvia sect.", "Salvia sect.", "Bessoglossa peruviana", "Bessoglossa ecuadoriana", "Platandria loretensis", "Ecuadorusa andensis", "Ecuadorusa osellai", "Mesoplandria loreticola", "Aleochara ecuadorensis", "Aleochara ecuadoricola", "Acticola fulklandica", "Thereus wojtusiaki", "Thereus lomalarga", "Thereus brocki", "Thereus orasus", "Pseudoleptonia ecuadorica", "Peruusa antegilva", "Peruusa peruviana", "Peruusa huamboyasorum", "Kaloxypoda ecuadorensis", "Bicyclus ignobilis", "Lamprostiba rougemonti", "Lamprostiba ecuadorensis", "Mycalesis ignobilis", "Leptonia klimaszewskii", "Leptonia rougemonti", "Leptonia pulchra", "Orphnebius napoensis", "Orphnebius otongenesis", "Orphnebius loretensis", "Orphnebius curticornis", "Orphnebius iquitosensis", "Orphnebius orejonesorum", "Apalonia ancilloides", "Apalonia ecuadorensis", "Apalonia archidonensis", "Apalonia margaritae", "Apalonia westerduijni", "Apalonia minor", "Apalonia sigchosensis", "Apalonia impressicollis", "Apalonia clavicornis", "Apalonia zaparos", "Apalonia rougemonti", "Apalonia osellaorum", "Apalonia myrmecophila", "Apalonia napoensis", "Chlorophyllum rhacodes", "Galeandra nivalis", "Bicyclus brakefieldi", "Bicyclus ottossoni", "Bicyclus vandeweghei", "Bicyclus rileyi", "Minettia hupingshanica", "Minettia longifurcata", "Xanthophyllum vitellinum", "Hygrophila triflora", "Aspidoras rochai", "Hectaphelia wintertonia", "Zyras aethiopicides", "Zyras kigwenensis", "Zyras burundanus", "Zyras gofensis", "Zyras hartmannianus", "Zyras hlanensis", "Zyras inflatitheca", "Narcine brasiliensis", "Minettia flavoscutellata", "Minettia longaciculiformis", "Minettia nigrantennata", "Minettia tridentata", "Minettia zhejiangica", "Minettia crassulata", "Minettia divaricata", "Minettia filia", "Sapromyza filia", "Minettia fuscescens", "Minettia gemina", "Minettia tarsata", "Aglaopollex niveofascia", "Auchenancylis macrauchenia", "Auchenancylis servocata", "Salvia sect.", "Hemimene sevocata", "Salvia albo-caerulea", "Salvia sect.", "Salvia sect.", "Tephroseris balbisiana", "Salvia sect.", "Salvia madrensis", "Salvia sect.", "Salvia arborescens", "Salvia sect.", "Salvia nemorosa subsp. nemorosa", "Salvia nemorosa subsp. pseudosylvestris", "Manausdota amazonica", "Manausdota cavicollis", "Apalonia globulifera", "Apalonia hemisphaerica", "Apalonia izzoi", "Apalonia latissima", "Apalonia myrmecobia", "Apalonia terminalis", "Atacamaia solitaria", "Beiduyu qijiangensis", "Caprosimilis carpathicus", "Minettia kimi", "Minettia linguifera", "Calliopum acrostichalis", "Calliopum dolabriforme", "Minettia decussata", "Salvia pratensis subsp. bertolonii", "Salvia pratensis subsp. pozegensis", "Salvia pratensis subsp. lacinosa", "Salvia pratensis subsp. haematodes", "Salvia sect.", "Thamiaraea scapularis", "Mimoxypoda borneensis", "Episkacrotona opacissima", "Tephroseris thyrsoidea", "Tephroseris koreana", "Tephroseris stolonifera", "Tephroseris taitoensis", "Tephroseris subscaposa", "Tephroseris subdentata", "Tephroseris schistosa", "Tephroseris phaeantha", "Tephroseris pierotii", "Tephroseris praticola", "Tephroseris pseudoaurantiaca", "Tephroseris kirilowii", "Tephroseris pseudosonchus", "Tephroseris rufa", "Tephroseris rufa var. chaetocarpa", "Tephroseris rufa var. rufa", "Peltodonia notaticornis", "Peltodonia borneensis", "Peltodonia burckhardti", "Peltodonia kinabaluensis", "Amaurodera amabilis", "Eucosma aellaea", "Amaurodera incisa", "Tortrix achatana", "Amaurodera frondium", "Amaurodera discoidea", "Amaurodera kinabaluensis", "Acroclita acromochla", "Drusilla necaerea", "Drusilla terrestris", "Drusilla fossulicollis", "Tephroseris coincyi", "Tephroseris crassifolia", "Tephroseris crispa", "Tephroseris elodes", "Tephroseris helenitis", "Tephroseris helenitis subsp. arvernensis", "Tephroseris helenitis subsp. candida", "Crotalaria albapex", "Salvia serotina", "Salvia caymanensis", "Argyroploce gutturalis", "Salvia sect.", "Salvia sect.", "Grapholita limbata", "Salvia sect.", "Isotrias penedana", "Cyranichthys ornatissimus", "Salvia puberula", "Acleris sagarmatae", "Cyranichthys jagti", "Holocola biscissana", "Salvia sect.", "Salvia kellermanii", "Curetis tagalica tagalica", "Curetis tagalica brunnescens", "Curetis tagalica celebensis", "Salvia sect.", "Salvia nothosect.", "Salvia nothosect.", "Curetis tagalica hera", "Franzidota borneensis", "Franzidota pallescens", "Apimela curticornis", "Apimela major", "Laetacara fulvipinnis", "Andeancistrus eschwartzae", "Laetacara thayeri", "Andeancistrus platycephalus", "Salvia sect.", "Salvia sect.", "Transancistrus santarosensis", "Transancistrus aequinoctialis", "Thymus sect.", "Diplecogaster tonstricula", "Zyras ruvubuensis", "Zyras tsavicola", "Zyras tshipisensis", "Zyras koroussensis", "Pachorhopala burundensis", "Pachorhopala hartmanni", "Pachorhopala knysnensis", "Pachorhopala mlilwanensis", "Diplopleurus burundensis", "Diplopleurus niloticus", "Trichodonia burundicola", "Atheta clanwilliamensis", "Myrmechusina dianiensis", "Myrmechusina swazilandicola", "Ocyplanus guineanus", "Aleochara kenyasinuosa", "Aleochara nilotica", "Gryptaulacus longapicalis", "Botsa mlilwanensis", "Epichorista tortuosa", "Epichoristodes kangoana", "Epichoristodes bispina", "Conchylis vanillana", "Eucosma calculosa", "Eucosma stereoma", "Mesochariodes armifera", "Cathlorhynchus trismodipterus", "Mesochariodes obrimospina", "Mesochariodes ochyrosetaria", "Cryptaspasma sanvito", "Pseudancylis sphensaccula", "Myrmedonota drugmandi", "Centracanthus pobedinae", "Tephroseris jacutica", "Drusilla carinithorax", "Tephroseris turczaninovii", "Cobitis nanningensis", "Eucosma atricapilla", "Tephroseris newcombei", "Drusilla aerea", "Drusilla monticola", "Drusilla borneensis", "Drusilla montanella", "Cyclothone mukhachevae", "Salvia pratensis subsp. pratensis", "Salvia barrelieri", "Salvia ceratophylla", "Xyleutes sjoestedti", "Xyleutes sjoestedti sjoestedti", "Neogyna gardneriana", "Apimela borneensis", "Apimela lambirensis", "Apimela arcuata", "Apimela plicata", "Apimela kinabaluicola", "Amarochara borneensis", "Calodera borneensis", "Calodera cultellifera", "Ischyrocolpura philippinensis", "Ischyrocolpura borneensis", "Aleochara caelatimas", "Paroxypodinus pendleburyi", "Ancylis hemicatharta", "Ancylis karafutonis", "Polygala membranacea", "Laetacara araguaiae", "Sphex gracilis", "Sphex argentatissimus", "Tetrasticta kinabaluensis", "Aleochara scapularis", "Pseudoplandria ruficollis", "Pseudoplandria cavicola", "Sphex brevipetiolus", "Sphex caelebs", "Sphex corporosus", "Sphex flammeus", "Sphex fortunatus", "Sphex jucundus", "Sphex latilobus", "Sphex pretiosus", "Sphex carbonicolor", "Epinotia autumnalis", "Leptusa acuta", "Leptusa peinantamontis", "Leptusa kaohsiungensis", "Ogygioses moriutii", "Parasinophasma tianmushanense", "Parasinophasma unicolor", "Copera annulata", "Niitakacris arishanensis", "Niitakacris taiwanensis", "Niitakacris xiai", "Rhynchosia heterophylla", "Acontia toddi", "Acontia geminocula", "Acontia albifusa", "Acontia areletta", "Acontia areli", "Acontia areloides", "Tarache areloides", "Cathlorhynchus zengi", "Madecazyras swazilandensis", "Typhloponemys tambaensis", "Acrotona alegrensis", "Atheta amazonica", "Acrotona aracauriarum", "Acrotona bernardina", "Atheta bogotana", "Atheta botocudorum", "Atheta caecilia", "Elliptio angustata", "Atheta cinctella", "Atheta colonorum", "Atheta condei", "Atheta cyanocompsae", "Atheta guaranorum", "Acrotona iguazuensis", "Atheta macropana", "Atheta montesensis", "Atheta nigricauda", "Atheta paramorum", "Acrotona paraparcior", "Atheta piauiensis", "Acrotona plaumanni", "Atheta sublongula", "Atheta tucumanensis", "Atheta tupiorum", "Atheta waageni", "Heterostiba parva", "Heterostiba venezuelensis", "Aglaopollex crinita", "Orphnebius belloi", "Aglaopollex onepsia", "Aglaopollex zanclon", "Leptonia jamaicensis", "Aglaopollex cresson", "Aglaopollex storthynx", "Aglaopollex sthenarovalva", "Aglaopollex evides", "Ancylis anoteros", "Ancylis brevuncus", "Ancylis vehemens", "Rhopobota cununcusia", "Rhopobota biqueter", "Rhopobota vermuncus", "Rhopobota longicornia", "Rhopobota rabopsis", "Rhopobota tungurahuana", "Aglaopollex gana", "Euchrysops cnejus cnidus", "Thymus sibiricus", "Thymus karavaevii", "Thymus serpyllum subsp. serpyllum", "Thymus serpyllum subsp. tanaensis", "Vanda brunnea", "Hypocrita atra", "Hyperborea kozhantshikovi", "Panthea gigantea", "Platycerura gigantea", "Leucocraspedum ventriosatheca", "Hygrochara micropallida", "Hygrochara microkinabaluicola", "Thymus subsect.", "Thymus subsect.", "Thymus sect.", "Thymus sect.", "Thymus sect.", "Thymus sect.", "Thymus sect.", "Thymus sect.", "Thymus sect.", "Thymus subsect.", "Habramicrada annularis", "Habramicrada boliviensis", "Habramicrada incaica", "Habramicrada peruviana", "Euvira aspera", "Euvira franzi", "Plesiomalota belemensis", "Plesiomalota boliviana", "Plesiomalota bradyporum", "Plesiomalota iguazuensis", "Plesiomalota minima", "Plesiomalota surinamensis", "Plesiomalota tarapotensis", "Falagria boliviana", "Placusa brasiliensis", "Placusa iguazuensis", "Placusa macrocercorum", "Prosoponotha brasiliensis", "Tropocoenonica catharinensis", "Diestota dasyporum", "Gyrophaena pileusmeni", "Gyrophaena taiwanana", "Gyrophaena draconis", "Brachida taiwanensis", "Leucocraspedum bicolor", "Japonica saepestriata gotohi", "Japonica saepestriata saepestriata", "Japonica saepestriata takenakakazuoi", "Japonica lutea lutea", "Japonica lutea gansuensis", "Japonica onoi onoi", "Japonica onoi mizobei", "Japonica patungkoanui", "Japonica lutea adusta", "Tephroseris helenitis subsp. macrochaeta", "Palaeobia anguillana", "Tephroseris helenitis subsp. salisburgensis", "Tephroseris helenitis subsp. helenitis", "Grapholita apicana", "Tephroseris longifolia", "Tephroseris longifolia subsp. brachychaeta", "Tephroseris longifolia subsp. gaudinii", "Tephroseris longifolia subsp. moravica", "Tephroseris longifolia subsp. pseudocrispa", "Tephroseris longifolia subsp. longifolia", "Tephroseris papposa", "Tephroseris papposa subsp. wagneri", "Tephroseris papposa subsp. papposa", "Tephroseris cladobotrys subsp. subfloccosa", "Tephroseris cladobotrys subsp. cladobotrys", "Tephroseris adenolepis", "Tephroseris czernijevii", "Lamyrodes argillacea", "Zizula hylax hylax", "Drusilla fontis", "Tephroseris flammea", "Drusilla bicarinicollis", "Drusilla caelaticollis", "Ancylis cyanostoma", "Acroclita artifica", "Drusilla rufocaelata", "Zizula hylax attenuata", "Drusilla semimonticola", "Tephroseris yukonensis", "Zyras bajauanus", "Zyras horridus", "Zyras longefurcatus", "Tephroseris lindstroemii", "Tephroseris kjellmanii", "Zyras adulescens", "Tephroseris frigida", "Zyras kinabaluensis", "Zyras alboterminalis", "Zyras pervariolosus", "Tephroseris hieraciiformis", "Zyras pallipyga", "Zyras daiaccorum", "Zyras paederinus", "Sphex decoratus", "Pseudoplandria seditiosa", "Pseudoplandria zerchei", "Pseudoplandria anomala", "Pseudoplandria subtricarinata", "Pseudoplandria liwaguensis", "Pseudoplandria plicatella", "Pseudoplandria subliwaguensis", "Pseudoplandria subtilis", "Pseudoplandria dilatatalamina", "Pseudoplandria bruneicola", "Pseudoplandria bellicosa", "Pseudoplandria sabahensis", "Pseudoplandria nobilis", "Pseudoplandria altitudinis", "Pseudoplandria fugax", "Pseudoplandria obscura", "Pseudoplandria sinusifera", "Pseudoplandria subanomala", "Pseudoplandria sanguinicollis", "Pseudoplandria pseudosanguinicollis", "Pseudoplandria superba", "Pseudoplandria parasanguinicollis", "Pseudoplandria distinctatheca", "Pseudoplandria kinabaluicola", "Pseudoplandria expansa", "Pseudoplandria biperforata", "Pseudoplandria serpentina", "Brachylia badiala", "Centaurea ziganensis", "Fumea tshatkalica", "Orphnebius bakeri", "Orphnebius bakerianus", "Orphnebius quadricuspidatus", "Orphnebius splendens", "Orphnebius antennarius", "Orphnebius borneanus", "Orphnebius scalaris", "Orphnebius directus", "Orphnebius minor", "Orphnebius biapicalis", "Orphnebius penangensis", "Orphnebius bajauorum", "Thymus subsect.", "Curetis tagalica jopa", "Curetis tagalica labuana", "Curetis tagalica palawanica", "Leucocraspedum dubium", "Leucocraspedum taiwanense", "Myllaena insularis", "Myllaena meifengensis", "Myllaena taiwaminima", "Myllaena shenmiensis", "Pronomaea taiwanensis", "Leptusa taiwanensis", "Leptusa centralis", "Leptusa centralis yushanensis", "Leptusa centralis centralis", "Leptusa centralis reposita", "Leptusa centralis tarokensis", "Leptusa anmashanensis", "Leptusa tenchiensis", "Leptusa peregrina", "Rhopalovalva moriutii", "Cyprinella lutrensis", "Eumasia brunella", "Eumasia ziegleri", "Eumasia communita", "Thymus disjunctus", "Oligosarcus varii", "Thymus mandschuricus", "Thymus amurensis", "Thymus curtus", "Curetis tagalica takanamii", "Curetis tagalica talautensis", "Orphnebius uniformis", "Orphnebius perpenetrans", "Orphnebius kripticola", "Orphnebius crassus", "Oligota densa", "Oligota kinabaluensis", "Oligota borneensis", "Cypha sabahensis", "Leucocraspedum sinuatum", "Leucocraspedum pilosellum", "Leucocraspedum obliquum", "Leucocraspedum spirasferum", "Leucocraspedum biguttae", "Leucocraspedum occultuum", "Leucocraspedum mimanaticula", "Leucocraspedum divisum", "Leucocraspedum anaticula", "Leucocraspedum fugitivum", "Leucocraspedum directum", "Leucocraspedum hamifer", "Leucocraspedum dilatatiapex", "Leucocraspedum lamelliferum", "Leucocraspedum audax", "Leucocraspedum cacuminum", "Leucocraspedum anguineatheca", "Leucocraspedum nechamifer", "Patagoniaemys gasparinae", "Chubutemys copelloi", "Erotis hesperanthes", "Parasinophasma maculatum", "Thymus japonicus", "Thymus quinquecostatus var. quinquecostatus", "Thymus quinquecostatus var. przewalskii", "Characidium kamakan", "Bassozetus compressus", "Sympterygia bonapartii", "Crenicichla anamiri", "Thymus subsect.", "Cattleya \u00d7 sororia", "Galaxiella toourtkoourt", "Galaxiella pusilla", "Diestota pellita", "Diestota plicae", "Eigenmannia trilineata", "Gyrophaena mirantennalis", "Gyrophaena kaunshanchiensis", "Gyrophaena deprehendens", "Gyrophaena foraminis", "Gyrophaena anmamontis", "Gyrophaena taiwaspinosa", "Gyrophaena flammula", "Gyrophaena taiwaculeifera", "Gyrophaena taeniae", "Gyrophaena kuanensis", "Gyrophaena alligatrix", "Gyrophaena bucranium", "Gyrophaena taiwanova", "Gyrophaena monstruosa", "Gyrophaena taiwacicatricosa", "Gyrophaena microanmashanicola", "Gyrophaena pectinis", "Gyrophaena peniculi", "Gyrophaena caputserpentis", "Gyrophaena tonensis", "Gyrophaena arcus", "Gyrophaena piscatrix", "Gyrophaena anguiculus", "Gyrophaena minimonstruosa", "Gyrophaena taiwanensis", "Gyrophaena taiwainopinata", "Gyrophaena pulli", "Gyrophaena stella", "Thymus pulcherrimus", "Thymus subsect.", "Thymus subsect.", "Thymus subsect.", "Amphiprion pacificus", "Parapoynx moriutii", "Amblychia sauteri", "Bellatheta anmashanicola", "Bellatheta amota", "Thymus subsect.", "Nehemitropia taiwanorum", "Diistemia taiwanica", "Thymallus arcticus", "Thymus subsect.", "Diestota elegans", "Diestota melanuroides", "Diestota mixta", "Dispachyglossa elegans", "Pagla levis", "Thecturota maculata", "Gyrophaena nemoralis", "Meronera tersa", "Polia cherrug", "Thamiaraea tsitsilasi", "Orphnebius bigladiosus", "Jamides hylassus", "Dolophilodes semicircularis", "Dolophilodes ovalis", "Dolophilodes setosus", "Dolophilodes caligula", "Dolophilodes retrocurvatus", "Dolophilodes bellatulus", "Dolophilodes erysichthon", "Dolophilodes eryx", "Wormaldia dissecta", "Wormaldia quadrata", "Wormaldia tricuspis", "Wormaldia bicornis", "Wormaldia scalaris", "Wormaldia zhejiangensis", "Kisaura shaanxiensis", "Kisaura adamickai", "Kisaura eumaios", "Kisaura euphemos", "Kisaura eteokles", "Kisaura euandros", "Chimarra senticosa", "Chimarra maoi", "Acrotona taiwaparva", "Acrotona collusina", "Acrotona tonensis", "Mocyta anmashanensis", "Atheta ciu", "Atheta formosanorum", "Atheta taichungensis", "Krobia itanyi", "Eoengraulis fasoloi", "Cortinarius koldingensis", "Eoprocypris maomingensis", "Thymus subsect.", "Platycerura furcilla", "Hygrochara spiniventris", "Hygrochara kinabaluensis", "Placusa robustipes", "Placusa superba", "Panthea furcilla pallescens", "Placusa recensita", "Placusa falcifera", "Placusa evoluta", "Placusa subspinigera", "Panthea pallescens", "Panthea pallescens pallescens", "Panthea pallescens centralis", "Erastriusa luzonensis", "Erastriusa masculina", "Erastriusa borneensis", "Erastriusa minima", "Panthea pallescens atrescens", "Erastriusa lobifera", "Pseudatheta borneensis", "Pseudatheta kinabaluensis", "Pseudatheta seditiosa", "Neoleptusa kinabaluensis", "Audela acronyctoides", "Chledophila annularis", "Chledophila borneensis", "Chledophila parallela", "Panthea leucomelana", "Panthea acronyctoides albosuffusa", "Panthea virginarius", "Biston virginarius", "Panthea portlandia", "Panthea portlandia portlandia", "Panthea portlandia suffusa", "Panthea angelica", "Gilchristella aestuaria", "Characidium summus", "Eigenmannia antonioi", "Eigenmannia desantanai", "Eigenmannia guairaca", "Eigenmannia matintapereira", "Eigenmannia muirapinima", "Eigenmannia pavulagem", "Eigenmannia waiwai", "Characidium nana", "Nansenia boreacrassicauda", "Triplophysa yajiangensis", "Ituglanis boitata", "Krobia guianensis", "Oikacrotona taiwaptera", "Atheta elephanticola", "Atheta longearmata", "Atheta luridipennoides", "Batasio flavus", "Atheta paedida", "Atheta dilutipennis", "Acrotona suspiciosa", "Acrotona taiwanultima", "Acrotona gigas", "Thymus altaicus", "Thymus proximus", "Bunocephalus hartti", "Bunocephalus minerim", "Characidium deludens", "Amischa mascarena", "Bedellia moriutii", "Frisilia forficatella", "Frisilia asiana", "Frisilia moriutii", "Frisilia spuriella", "Outachyusa taiwanensis", "Schistoglossa festiva", "Aloconota spectabilis", "Aloconota peinantamontis", "Aloconota nenkaoensis", "Aloconota taipingmontis", "Aloconota taiwanensis", "Aloconota taiwalongula", "Aloconota taipingicola", "Aloconota taiwastricta", "Paraloconota yakouensis", "Alevonota longicornis", "Alevonota taiwanensis", "Alevonota laevigata", "Alevonota taiwanica", "Liogluta taichungensis", "Paralida okinawensis", "Paralida triannulata", "Chelaria sapindivora", "Bagdadia sapindivora", "Ichneumonella viridiflava", "Ichneumonella hyaloptera", "Phiaris komaii", "Phiaris acropryerana", "Thymus subsect.", "Thymus subsect.", "Thymus pavlovii", "Thymus extremus", "Thymus reverdattoanus", "Symphysanodon andersoni", "Henochilus wheatlandii", "Dracaena reflexa", "Dracaena reflexa var. angustifolia", "Satureja sect.", "Ancistrus greeni", "Ancistrus maculatus", "Mutisia sect.", "Parachromis loisellei", "Polyommatus boisduvalii", "Myanmyrma gracilis", "Atheta microparvula", "Atheta peinantamontis", "Atheta vomerum", "Atheta curvaminis", "Atheta smetanaiella", "Atheta kaunshanchiensis", "Atheta kaohsiungensis", "Atheta taiwafallax", "Atheta taiwasolitaria", "Atheta quadricarinata", "Atheta lewisiana", "Atheta reitteriana", "Atheta anmamontis", "Atheta taiwamontana", "Atheta kaohsiungicola", "Atheta aloconotoidides", "Syntrophococcus sucromutans", "Acetoanaerobium noterae", "Carnococcus allantoicus", "Oscillospira guilliermondii", "Eigenmannia vicentespelaea", "Eigenmannia microstoma", "Aegus ramlii", "Stenomastax tuberculicollis", "Stenomastax nigrescens", "Stenomastax nepalensis", "Neosilusa moultoni", "Neosilusa ceylonica", "Pseudatheta franzi", "Pseudatheta meorum", "Pseudatheta pulchra", "Cyclommatus princeps", "Autalia rivularis", "Cordalia vestita", "Cyclommatus thanhvanae", "Falagria caesa", "Myrmecocephalus dimidiatus", "Falagria innocua", "Cyclommatus fangensis", "Falagria semilucens", "Cyclommatus katsurai", "Cyclommatus kusakabei", "Myrmecocephalus pallipennis", "Cyclommatus nagaii", "Cyclommatus okudai", "Cyclommatus tamdaoensis", "Falagria coiffaiti", "Hypostomus ancistroides", "Atheta vicaria", "Atheta neglecta", "Acrotona probans", "Acrotona siamensis", "Acrotona subclientula", "Atheta denticauda", "Atheta mon", "Atheta subcrenulata", "Atheta vagans", "Phytoseius ibrahimi", "Neoseiulus sekeroglui", "Atheta poroshirica", "Atheta sordiduloides", "Atheta subsericans", "Atheta furtiva", "Atheta guizhouensis", "Atheta cinnamoptera", "Tephroseris integrifolia subsp. igoschinae", "Tephroseris integrifolia subsp. jailicola", "Tephroseris integrifolia subsp. maritima", "Tephroseris integrifolia subsp. primulifolia", "Tephroseris integrifolia subsp. serpentini", "Tephroseris integrifolia subsp. tundricola", "Tephroseris integrifolia subsp. vindelicorum", "Oncidium anthocrene", "Myrmecocephalus chang", "Myrmecocephalus tsin", "Myrmecocephalus fictus", "Leptagria assamensis", "Falagria densipennis", "Gnypeta modesta", "Gnypeta yaoana", "Nehemitropia jiniana", "Atheta ingenua", "Atheta palustris", "Atheta pseudoelongatula", "Atheta melanaria", "Atheta annuliventris", "Acrotona birmana", "Ancistrus cuiabae", "Tephroseris integrifolia subsp. capitata", "Tephroseris integrifolia subsp. caucasigena", "Selar crumenophthalmus", "Tephroseris integrifolia subsp. karsiana", "Tephroseris integrifolia subsp. integrifolia", "Nezumia infranudis", "Neomerinthe erostris", "Helianthus sect.", "Atheta atramentaria", "Atheta euryptera", "Atheta pseudocoriaria", "Geostiba rougemonti", "Pelioptera micans", "Gastropaga siamensis", "Dialeurodes citri", "Schistogenia crenicollis", "Amaurodera yaoana", "Zyras songanus", "Lomechusoides minor", "Prunella \u00d7 bicolor", "Prunella \u00d7 codinae", "Prunella \u00d7 gentianifolia", "Prunella \u00d7 surrecta", "Tetralaucopora longitarsis", "Phloeopora teres", "Ancistrus marcapatae", "Ancistrus sericeus", "Ancistrus trinitatis", "Chaetostoma vagum", "Pronomaea thaxteri", "Leucocraspedum scorpio", "Myllaena lombokensis", "Myllaena ledouxi", "Gyrophaena cicatricosa", "Gyrophaena thoracica", "Gyrophaena appendiculata", "Chaetostoma microps", "Silusa aliena", "Chaetostoma carrioni", "Silusa bodemeyeri", "Chaetostoma lexa", "Coenonica javana", "Coenonica ming", "Tephroseris integrifolia subsp. atropurpurea", "Coenonica impressicollis", "Chaetostoma branickii", "Tephroseris integrifolia subsp. aucheri", "Stenomastax cribrum", "Tephroseris integrifolia subsp. aurantiaca", "Chaetostoma taczanowskii", "Chaetostoma loborhynchos", "Chaetostoma marmorescens", "Chaetostoma bifurcum", "Chaetostoma trimaculineum", "Chaetostoma breve", "Chaetostoma dermorhynchum", "Amarochara umbrosa", "Apimela consors", "Ocalea himalayica", "Oxypoda shuteae", "Oxypoda subsericea", "Oxypoda morosa", "Oxypoda connexa", "Pseudoplandria beesoni", "Pseudoplandria bohaci", "Aleochara bipustulata", "Aleochara formosanorum", "Aleochara nigra", "Masuria plumbea", "Masuria chinensis", "Cypha yunnanensis", "Sufflamen albicaudatum", "Polyommatus amorata", "Polyommatus amorata amorata", "Polyommatus amorata tartarus", "Polyommatus amorata tsvetajevi", "Coelorinchus tokiensis", "Mutisia sect.", "Frigoichthys margaritae", "Mutisia spinosa var. pulchella", "Mutisia spectabilis", "Suillus brevipes", "Fundulus waccamensis", "Mutisia acuminata var. acuminata", "Mutisia acuminata var. candolleana", "Mutisia acuminata var. hirsuta", "Mutisia acuminata var. paucijuga", "Vansomerenia rogersi", "Cigaritis trimeni", "Placusa montium", "Cota amblyolepis", "Linoglossa bifoveolata", "Linoglossa chinensis", "Cota brachmannii", "Omologlusa rougemonti", "Phymatura chinensis", "Phymatura smetanai", "Pseudatheta cooteri", "Methistemistiba zhejiangensis", "Mutisia sect.", "Mutisia sect.", "Mutisia sect.", "Mutisia sect.", "Cypha helvetiorum", "Cypha nepalensis", "Cypha puer", "Cypha pusilla", "Cypha hystrix", "Cypha senilis", "Cypha loebliella", "Myllaena adesi", "Myllaena kunmingensis", "Myllaena chinoculata", "Myllaena tianmushanensis", "Myllaena speciosa", "Myllaena salamannai", "Myllaena tianmumontis", "Sinophilus xiai", "Sinophilus rougemonti", "Brachida kadooriorum", "Brachida hongkongensis", "Brachida solifuga", "Meteorona kishinouyei", "Chiropsella saxoni", "Mutisia cana", "Crenicichla iguassuensis", "Mutisia spinosa", "Crenicichla yaha", "Mutisia spinosa var. spinosa", "Mutisia hastata", "Callophrys afghana", "Trixis anomala", "Liogluta langmusiensis", "Liogluta granulipyga", "Liogluta claripennis", "Liogluta ceraillita", "Jonoichthys challwa", "Erigeron sect.", "Erigeron ochroleucus", "Lampetra minima", "Trimma quadrimaculatum", "Leithaodon sandroi", "Dentaphila malaysiensis", "Dentaphila mirabilis", "Dentaphila australis", "Eusteniamorpha zhejiangensis", "Eusteniamorpha ruiliensis", "Eusteniamorpha chinensis", "Cordalia yunnanensis", "Cordalia occipitalis", "Cordalia funebris", "Cigaritis trimeni trimeni", "Cigaritis trimeni congolanus", "Crenicichla tuca", "Anaulacaspis beijingensis", "Anaulacaspis marginata", "Leptagria salamannai", "Leptagria occulta", "Myrmecocephalus xishanensis", "Crenicichla tapii", "Myrmecocephalus zhejiangensis", "Ischnopoda hebeiensis", "Ischnopoda gilvipes", "Ischnopoda turfanensis", "Ischnopoda finitima", "Mutisia ilicifolia", "Cigaritis siphax", "Neobrachida castanea", "Neobrachida jiangsuensis", "Neobrachida punctum", "Gyrophaena lividoides", "Gyrophaena cooteri", "Gyrophaena cristifera", "Gyrophaena gonggana", "Gyrophaena facilis", "Gyrophaena chinensis", "Gyrophaena vidua", "Gyrophaena beijingensis", "Gyrophaena vexillifera", "Gyrophaena penetrans", "Gyrophaena herebi", "Gyrophaena paula", "Encephalus chinensis", "Silusa chinensis", "Silusa smetanai", "Silusa cooteri", "Taraktomora orientis", "Coenonica absurda", "Coenonica longwangensis", "Coenonica angularis", "Coenonica parens", "Coenonica semimutata", "Coenonica truncata", "Coenonica aliena", "Coenonica zhejiangensis", "Coenonica tianmushanensis", "Coenonica arcusifera", "Coenonica yunnanensis", "Stenomastax raptoria", "Stenomastax diogenes", "Stenomastax yunnanensis", "Stenomastax pulcher", "Stenomastax serrula", "Stenomastax contermina", "Stenomastax kadooriorum", "Placusa yunnanicola", "Placusa sculpticollis", "Paraloconota montium", "Paraloconota fengicola", "Paraloconota almaatensis", "Paraloconota gansuensis", "Paraloconota yonghaiensis", "Paraloconota difficilis", "Bellatheta chinensis", "Liogluta sinensis", "Liogluta xiahensis", "Liogluta inverecunda", "Liogluta xiaheorum", "Liogluta lacustris", "Liogluta gansuensis", "Liogluta hezuoensis", "Liogluta dalijiensis", "Liogluta attenuata", "Chaetanthera subg.", "Potamocypris acuminata", "Chaetanthera subg.", "Callophrys succuba", "Oriastrum subg.", "Oriastrum subg.", "Oriastrum acerosum", "Acrotona retroarmata", "Atheta iperintroflexa", "Atheta tricoloroides", "Atheta jiensis", "Atheta yanensis", "Atheta gonggaensis", "Atheta ipercristata", "Moythomasia lineata", "Vanilla moonii", "Erigeron sect.", "Callophrys armeniaca", "Atheta bimacula", "Morone bannikovi", "Atheta mimoformosa", "Atheta dalijiamontis", "Atheta zhejiangensis", "Atheta subinopinata", "Atheta parainopinata", "Atheta xinlongensis", "Atheta regressa", "Atheta graffa", "Atheta yokkaichiana", "Atheta inquinata", "Atheta canescens", "Atheta dadopora", "Erigeron sect.", "Erigeron sect.", "Erigeron sect.", "Erigeron subsect.", "Erigeron subsect.", "Erigeron subsect.", "Erigeron subsect.", "Neogobius udovichenkoi", "Tropimenelytron eremita", "Nepalota gansuensis", "Nepalota globifera", "Nepalota granulosella", "Nepalota chinensis", "Alevonota sericata", "Gastropaga rougemonti", "Mimoxypoda fasciatipennis", "Pleurothallis perijaensis", "Brachyclados caespitosus", "Cigaritis zhengweilie", "Cigaritis zhengweilie zhengweilie", "Cigaritis zhengweilie chayuensis", "Gnypeta beijingensis", "Gnypeta chinensis", "Gnypeta samchunensis", "Gnypeta pagodarum", "Gnypeta immodesta", "Gnypeta lucidula", "Gnypeta yunnanensis", "Quasicichla mucistonaver", "Demerinda hongkongensis", "Kamptomerus bifoveolatus", "Brachyusa rougemonti", "Tongeia bella", "Tongeia amplifascia", "Tongeia pseudozuthus", "Celastrina oreas limingani", "Outachyusa chinensis", "Hydrosmecta cooteri", "Hydrosmecta perignota", "Enkoilogeneia rougemonti", "Pelioptera smetanai", "Aloconota gonggensis", "Aloconota lanzhouensis", "Aloconota beijingensis", "Lasiosomina lii", "Amischa beijingensis", "Amischa rougemonti", "Amischa nana", "Geostiba hongkongensis", "Geostiba pervolans", "Geostibasoma satyrus", "Erigeron sect.", "Erigeron sect.", "Erigeron sect.", "Erigeron sect.", "Erigeron sect.", "Erigeron sect.", "Erigeron sect.", "Erigeron sect.", "Erigeron sect.", "Erigeron sect.", "Erigeron sect.", "Erigeron sect.", "Erigeron sect.", "Erigeron sect.", "Erigeron sect.", "Erigeron sect.", "Alnus vermicularis", "Erigeron sect.", "Erigeron sect.", "Erigeron sect.", "Erigeron sect.", "Atheta peinantaensis", "Equinoxiodus schultzei", "Atheta subnigritula", "Nepalota aptera", "Nepalota taiwanensis", "Nepalota peinantensis", "Nepalota longearmata", "Nepalota mendax", "Geostiba taiwanensis", "Pelioptera testaceipennis", "Pelioptera opaca", "Pelioptera taiwareligiosa", "Pelioptera taitungensis", "Pelioptera taiwanensis", "Pelioptera convergentiae", "Pelioptera taiwanova", "Parachromis managuensis", "Parachromis dovii", "Parachromis motaguensis", "Pelioptera formosae", "Gastropaga bakeri", "Gastropaga taiwanensis", "Taiwanedota smetanai", "Taiwanedota minima", "Atheta addensis", "Atheta afrocaviphila", "Atheta arndti", "Atheta biflagellifera", "Atheta cerdarmontis", "Atheta klimaszewskii", "Atheta topiaria", "Atheta tsitsikammensis", "Akronusa sudafricana", "Leucocraspedum cameroni", "Aloconota capensis", "Parapodoxya elephantium", "Oligota klimaszewskii", "Oligota namibiensis", "Pelioptera natalensis", "Amischa sudafricana", "Aleochara zulu", "Leucocraspedum zuluense", "Acrotona fraudolenta", "Acrotona mimannuliventris", "Atheta insinuata", "Atheta sericoides", "Atheta apicalis", "Cissa jefferyi", "Atheta paritetica", "Atheta mixtior", "Atheta salamannai", "Atheta muta", "Atheta reelsi", "Atheta beijingensis", "Atheta amplificata", "Atheta khitana", "Atheta effulta", "Atheta furtivoides", "Atheta shanxiensis", "Atheta inflatescens", "Atheta fengicola", "Atheta langmuicola", "Atheta subchiniphila", "Atheta kadooriana", "Atheta pseudocollusa", "Atheta variolosa", "Atheta cooteri", "Atheta inaroides", "Atheta vacua", "Atheta viduoides", "Atheta antesericea", "Atheta permimetica", "Genyonemus karagiensis", "Hyrcanogobius hesperis", "Erigeron sect.", "Atheta lanzhouensis", "Erigeron sect.", "Atheta philamicula", "Atheta permixta", "Atheta kadooriorum", "Atheta alternantoides", "Atheta chinamicula", "Atheta elytralis", "Atheta nanior", "Atheta laminarum", "Atheta hongkongiphila", "Atheta ponderata", "Atheta ruiliensis", "Atheta gentilior", "Atheta wutaishanensis", "Atheta peranomala", "Atheta pergranulosa", "Atheta yonghaicola", "Atheta semitibialis", "Atheta shanicola", "Atheta linxiensis", "Atheta serraculter", "Atheta kazakhstanensis", "Tropimenelytron viaticum", "Tropimenelytron sakhalinensis", "Pelioptera samchunensis", "Pelioptera kwantungensis", "Tropimenelytron lii", "Tropimenelytron kowloonense", "Cherax snowden", "Rhinogobius similis", "Erigeron eatonii", "Potamocypris neumarkensis", "Oxypoda gansuensis", "Oxypoda linearis", "Oxypoda cristae", "Oxypoda nudiceps", "Oxypoda bisinuata", "Oxypoda insinuata", "Oxypoda beijingensis", "Oxypoda saanxicola", "Oxypoda mutella", "Oxypoda kunmingicola", "Oxypoda falcifera", "Oxypoda jiensis", "Oxypoda festiva", "Oxypoda cooteri", "Oxypoda pekinensis", "Oxypoda seminudiventris", "Phalaenopsis marriottiana", "Oncidium lehmannii", "Barbosella dusenii", "Tabanus sudeticus", "Bulbophyllum hirundinis", "Dacrila smetanai", "Dacrila setigera", "Taxicera perfoliata", "Taxicera smetanai", "Amidobia smetanai", "Nehemitropia chinicola", "Atheta conferta", "Atheta dalijiensis", "Atheta gansuicola", "Atheta tianmushanensis", "Atheta ideogrammifera", "Atheta vulnerans", "Hymenocephalus yamasakiorum", "Psammostiba apicipilae", "Atheta iucunda", "Atheta hsin", "Acrotona setipyga", "Acrotona exsuperans", "Acrotona collusa", "Acrotona adesiana", "Acrotona litura", "Acrotona appulsina", "Acrotona appulsinoides", "Acrotona intercepta", "Acrotona filia", "Acrotona singularis", "Acrotona lingicola", "Acrotona biserrula", "Acrotona villaekadooriensis", "Acrotona pseudofungi", "Acrotona parasuspiciosa", "Acrotona yuzhongensis", "Acrotona xiahensis", "Acrotona mutans", "Acrotona xishanensis", "Acrotona nanjingensis", "Acrotona guandongensis", "Luzula divulgata", "Bidens sect.", "Mesophaena fragilis", "Psephothetemusa problematica", "Psephothetemusa introflexa", "Aisthentusa borneensis", "Aisthentusa hystrix", "Aisthentusa pacifica", "Aisthentusa intermedia", "Metechonica nova", "Metechonica temburongensis", "Gyrophaena kinabaluicola", "Gyrophaena anquisita", "Gyrophaena oligotinoides", "Akanthoystera smetanai", "Akanthoystera punctum", "Akanthoystera kinabaluensis", "Akanthoystera minima", "Alnus paniculata", "Quetzalichthys perrilliatae", "Placidichthys bidorsalis", "Lepidospartum burgessii", "Ligularia sect.", "Apatelomixidota borneensis", "Apatelomixidota burckhardti", "Apatelomixidota intermedia", "Acrotona shekkongensis", "Mocyta tricholutea", "Atheta roridanotha", "Atheta pseudovagans", "Atheta persimplex", "Atheta hoihaensis", "Atheta algarum", "Tomoglossa fuliginosa", "Deliodes reelsi", "Dioxeuta microps", "Dioxeuta rougemonti", "Zyras pygmaeus", "Zyras hongkongensis", "Anomognathus filiformis", "Ningxiaplatysomus parvus", "Ombilinichthys yamini", "Alnus ferdinandi-coburgii", "Alnus djavanshirii", "Bidens sect.", "Ophiopsis muensteri", "Alnus dolichocarpa", "Alnus glutipes", "Alnus fauriei", "Alnus hakkodensis", "Alnus henryi", "Alnus serrulatoides", "Alnus mairei", "Anomognathus bohaci", "Acrotona ocularis", "Zyras yangi", "Leptusa erlangensis", "Leptusa jiudingensis", "Leptusa qinlingensis", "Leptusa schuelkei", "Leptusa shaanxiensis", "Leptusa xianensis", "Oroekklina daxuensis", "Atheta puetzi", "Melamphaes proximus", "Melamphaes contradictorius", "Melamphaes succedanaus", "Rineloricaria cubataonis", "Rineloricaria microlepidogaster", "Rineloricaria langei", "Rineloricaria kronei", "Erigeron ser.", "Erigeron ser.", "Erigeron ser.", "Erigeron ser.", "Geranium wilfordii", "Porocallus tianmuensis", "Beijingusa rougemonti", "Ocalea chinensis", "Echidnoglossa divisa", "Echidnoglossa zhejiangensis", "Blepharhymenus rougemonti", "Tetralaucopora hebeiensis", "Apimela chinensis", "Apimela rufigaster", "Smetanaetha smetanai", "Smetanaetha chinensis", "Stichoglossa pekinensis", "Ocyusa beijingensis", "Ocyusa cooteri", "Trichoglossina parasmetenai", "Trichoglossina laetula", "Trichoglossina sichuanensis", "Oxypoda contraria", "Oxypoda regina", "Oxypoda deprehendens", "Oxypoda precaria", "Oxypoda yonghaensis", "Oxypoda xiahensis", "Oxypoda hsingicola", "Oxypoda subhsingicola", "Oxypoda neohsingicola", "Oxypoda subneglecta", "Oxypoda shang", "Oxypoda salamannai", "Oxypoda gansuicola", "Erigeron arenarioides", "Megaparaglossa annularis", "Potamocypris translucida", "Potamocypris burgtonnensis", "Potamocypris foveolosa", "Potamocypris tenuilamellata", "Tetradymia axillaris var. axillaris", "Tetradymia axillaris var. longispina", "Tetradymia argyraea", "Tetradymia filifolia", "Tetradymia canescens var. canescens", "Parablennius prokofievi", "Lepidospartum squamatum", "Lepidospartum latisquamum", "Episkilepta borneensis", "Anamignusa borneensis", "Antithetusa inopinata", "Panbrachyna borneensis", "Planadota borneensis", "Paranomusa kinabaluensis", "Spratelloides atrofasciatus", "Oxypoda maculiventris", "Oxypoda pulchricolor", "Oxypoda gonggaensis", "Oxypoda uncinata", "Ischyrocolpura chinensis", "Homoeusa chinensis", "Pseudoplandria fellowesi", "Pseudoplandria anjiensis", "Pseudoplandria rougemonti", "Pseudoplandria neglecta", "Ystrixoxygymna fusicornis", "Aleochara beijingensis", "Aleochara globus", "Aleochara sichuanensis", "Aleochara cooteri", "Aleochara beijingorum", "Adinopsis chinensis", "Myllaena hongkongiphila", "Myllaena reelsi", "Acropora cytherea", "Acropora loripes", "Delminichthys ghetaldii", "Gyrophaena anguli", "Pseudobrachida hongkongensis", "Placusa kadooriorum", "Linoglossa hongkongensis", "Demerinda rougemonti", "Hydrosmecta subalgarum", "Acrotona iperanomala", "Oreolyce vardhana nepalica", "Alnus jorullensis subsp. lutea", "Alnus jorullensis subsp. jorullensis", "Pharisatichthys aquensis", "Ligularia hodgsonii", "Ligularia sect.", "Ligularia sect.", "Ligularia sect.", "Ligularia subsect.", "Ligularia subsect.", "Ligularia subsect.", "Dikraspedella kinabaluensis", "Dikraspedella smetanai", "Trigonoglossina borneensis", "Serikasomina smetanai", "Serikasomina borneensis", "Serikasomina diversearmata", "Acropora millepora", "Acropora muricata", "Acropora samoensis", "Acropora selago", "Acropora valida", "Acropora verweyi", "Ocimum subg.", "Ocimum sect.", "Ocimum sect.", "Ocimum sect.", "Ocimum subg.", "Ocimum sect.", "Ocimum subsect.", "Euploea radamanthus lowii", "Ocimum subsect.", "Ocimum subsect.", "Ektasitrachela borneensis", "Diabainella borneensis", "Borneozyras smetanai", "Borneusa insolita", "Paranursallia spinosa", "Paranursallia gutturosa", "Apatelieida stricticollis", "Irmaria kinabaluensis", "Irmaria smetanai", "Ligularia sect.", "Ligularia ser.", "Ligularia ser.", "Ligularia ser.", "Potamocypris opaca", "Gyrophaena incredibilis", "Gyrophaena asymmetrica", "Gyrophaena involuta", "Gyrophaena insulsitatis", "Gyrophaena subinsulsitatis", "Gyrophaena borneocicatricosa", "Gyrophaena microcicatricosa", "Gyrophaena biplicatella", "Panxianichthys imparilis", "Robustichthys luopingensis", "Gyrophaena seraphim", "Gyrophaena botulitheca", "Gyrophaena microdentata", "Gyrophaena longiqua", "Gyrophaena piceicornis", "Gyrophaena tactilis", "Gyrophaena aculeus", "Gyrophaena apiciflagellum", "Gyrophaena uncus", "Gyrophaena robusta", "Gyrophaena validicornis", "Gyrophaena nigrolucida", "Gyrophaena fontium", "Gyrophaena burckhardti", "Gyrophaena pseudoburckhardti", "Gyrophaena confundens", "Gyrophaena torquifera", "Gyrophaena antefuscicollis", "Gyrophaena microprofuga", "Gyrophaena bruneicola", "Gyrophaena promissumfilum", "Gyrophaena profuga", "Gyrophaena brendelli", "Gyrophaena benevola", "Gyrophaena malevola", "Alnus \u00d7 suginoi", "Alnus incana subsp. rugosa", "Alnus incana subsp. kolaensis", "Alnus incana subsp. tenuifolia", "Microdarwinula zimmeri", "Basiliscus galeritus", "Acropora pulchra", "Acropora gemmifera", "Acropora nasuta", "Acropora robusta", "Acropora abrotanoides", "Acropora acuminata", "Acropora austera", "Acropora clathrata", "Acropora digitifera", "Acropora florida", "Acropora grandis", "Acropora latistella", "Acropora lutkeni", "Raynerius splendens", "Sander svetovidovi", "Sardina tarletskovi", "Turbinaria reniformis", "Turbinaria mesenterina", "Flos abseus abseus", "Turbinaria peltata", "Turbinaria stellulata", "Julodimorpha bakewelli", "Eusteniamorpha borneensis", "Eusteniamorpha strictipennis", "Eusteniamorpha introflexa", "Eusteniamorpha subtiliapex", "Eusteniamorpha deiectorum", "Eusteniamorpha burckhardti", "Eusteniamorpha monoglobus", "Eusteniamorpha anteopacissima", "Eusteniamorpha incongruens", "Eusteniamorpha geniculata", "Eusteniamorpha vitreipes", "Eusteniamorpha triangulum", "Eusteniamorpha sabahensis", "Eusteniamorpha bulbosa", "Eusteniamorpha polita", "Eusteniamorpha magnatheca", "Eusteniamorpha variabilis", "Eusteniamorpha eleganticollis", "Eusteniamorpha kinabaluensis", "Eusteniamorpha muluicola", "Autalia kinabaluensis", "Oreolyce archena archena", "Oreolyce archena boultoides", "Oreolyce vardhana vardhana", "Sancterila shelfordii shelfordii", "Sancterila shelfordii elizabethae", "Alnus \u00d7 elliptica", "Sancterila shelfordii montanensis", "Alnus \u00d7 fallacina", "Alnus \u00d7 hanedae", "Alnus \u00d7 hosoii", "Alnus \u00d7 mayrii", "Alnus \u00d7 peculiaris", "Cypha longesetosa", "Brachida rotula", "Brachida kinabaluicola", "Brachida poringicola", "Brachida poringensis", "Brachida subadunca", "Brachida triarcuata", "Brachida adunca", "Alnus \u00d7 pubescens", "Brachida percurvata", "Brachida ipercristata", "Brachida gladius", "Brachida perdistincta", "Ocimum ser.", "Ocimum ser.", "Ocimum ser.", "Ocimum subsect.", "Congriscus megastomus", "Vaccinium microcarpum", "Sparganium subglobosum", "Ocimum \u00d7 africanum", "Erigeron sect.", "Mimoxypoda chinensis", "Mesomegaskela adesi", "Doryloxenus hongkongensis", "Doryloxenus rougemonti", "Deliodes rougemonti", "Deliodes hongkongensis", "Cephaplakoxena rougemonti", "Peltodonia chinensis", "Amaurodera yunnanensis", "Erigeron sect.", "Drusilla zhejiangensis", "Drusilla kadooriorum", "Drusilla gibberella", "Erigeron sect.", "Diplopleurus cooteri", "Erigeron sect.", "Zyras fratrumkadooriorum", "Zyras notaticornis", "Zyras shaanxiensis", "Erigeron sect.", "Zyras longwangmontis", "Zyras kadoorianus", "Zyras reelsi", "Erigeron sect.", "Pella microptera", "Pella beijingorum", "Pheidologitonetes adesi", "Pedinopleurus hongkongicola", "Erigeron sect.", "Erigeron sect.", "Erigeron ser.", "Saurichthys breviabdominalis", "Saurichthys rieppeli", "Euploea phaenareta butleri", "Saxifraga \u00d7 opdalensis", "Saxifraga \u00d7 svalbardensis", "Agnosiusa papuana", "Aleochara irianensis", "Aleochara papuaruficollis", "Aleochara parabasalis", "Aleochara pulcherrima", "Aleochara papuanorum", "Livistona decora", "Georgimarinus barbatus", "Ligularia sect.", "Ligularia subsect.", "Ligularia sect.", "Ligularia subsect.", "Ligularia subsect.", "Ligularia sect.", "Ligularia sect.", "Dymerinx irianjayanum", "Dymerinx weigeli", "Dymerinx australiae", "Agriphila bistrialis", "Ligia acutaria", "Doryodes desoto", "Euploea core", "Euploea core vermiculata", "Doryodes okaloosa", "Doryodes fusselli", "Pallenis maritima", "Dioscorea bryoniifolia", "Gyrophaena secreta", "Gyrophaena monospina", "Gyrophaena sentiens", "Gyrophaena cervicornis", "Gyrophaena absurdior", "Encephalus umbonatus", "Encephalus sinensis", "Brachida guangxiensis", "Sternotropa vexillifera", "Sternotropa microvexillifera", "Sternotropa asymmetricitatis", "Sternotropa irianensis", "Sternotropa occulta", "Sternotropa solitaria", "Stenomastax longacrista", "Stenomastax perpusilla", "Stenomastax bitruncata", "Stenomastax pseudoliwaguensis", "Stenomastax liwaguensis", "Stenomastax ubahensis", "Stenomastax pugiofora", "Stenomastax maculiventris", "Stenomastax hawarensis", "Stenomastax sericina", "Stenomastax esuriens", "Stenomastax terminicornis", "Stenomastax pseudonigrescens", "Stenomastax sphaeratheca", "Stenomastax muluensis", "Pomatoschistus bunyatovi", "Ponticola zosimovichi", "Trewasciaena suzini", "Proterorhinus vasilievae", "Pseudovinctifer chilensis", "Ptychoceratodus roemeri", "Arganodus atlantis", "Arganodus arganensis", "Darwinula stevensoni", "Doryodes latistriga", "Euploea core amymone", "Doryodes broui", "Euploea core core", "Doryodes reineckei", "Kobus leche kafuensis", "Saurichthys yangjuanensis", "Euploea core andamanensis", "Hadronector donbairdi", "Serenichthys kowiensis", "Euploea crameri", "Saribus rotundifolius", "Saxifraga osloensis", "Allodonota semiopaca", "Aloconota microirianica", "Aloconota papuana", "Aloconota papuensis", "Aloconota parens", "Aloconota pulchricornis", "Apimela confundibilis", "Apimela minima", "Acrotona papuanigricornis", "Acrotona papuapallida", "Atheta papuamicra", "Atheta balkei", "Atheta papuaimitatrix", "Atheta ilagaensis", "Atheta ilagaorum", "Atheta nabirensis", "Atheta papuamicula", "Brachida micropapuana", "Moenkhausia lineomaculata", "Candona altoides", "Candona angulata", "Candona lindneri", "Candona muelleri", "Candona natronophila", "Candona vernalis", "Euploea modesta", "Candona candida", "Euploea westwoodii", "Euploea redtenbacheri", "Cheirolophus webbianus", "Conanthera campanulata", "Enigmusa papuana", "Eurydonota irianensis", "Eurydonota papuana", "Eurydonota papyriomyrmecis", "Myrmecopora papuanotabilis", "Giachinusa papuana", "Glossodonota maxima", "Gyrophaena hartmanni", "Gyrophaena neapicalis", "Gyrophaena papualaminifera", "Gyrophaena papuapicalis", "Gyrophaena papuaspinosa", "Gyrophaena pulchrumgaster", "Gyrophaena appendiculatoides", "Labidesthes vanhyningi", "Regobarrosia villiersi", "Viviennea moma", "Automolis moma", "Automolis moma moma", "Automolis moma tenuifascia", "Viviennea momyra", "Automolis momyra", "Rhipha momyra", "Euploea eyndhovii", "Viviennea tegyra", "Automolis tegyra", "Rhipha tegyra", "Neohelvibotys hoecki", "Pyrausta galapagensis", "Pyrausta insolata", "Homoiobrachida murrayi", "Homoiobrachida papuana", "Ischyrocolpura papuana", "Kompsodonota balkei", "Kompsodonota hartmanni", "Krotapholemon papuanum", "Krotapholemon temporum", "Leptostiba papuensis", "Medeterusa papuensis", "Myllaena irianica", "Myllaena metaxifera", "Myllaena papualinearis", "Stenomastax myllaenatheca", "Stenomastax terminalis", "Stenomastax fallax", "Coenonica fuscipennis", "Coenonica trilobata", "Coenonica quadrilobata", "Coenonica pansa", "Coenonica cryptospina", "Coenonica microincisa", "Coenonica subrhomboidalis", "Coenonica burckhardti", "Coenonica lucidula", "Coenonica kinabaluicola", "Coenonica bruneiensis", "Coenonica mimoleptusa", "Coenonica cristamagna", "Coenonica leptusaesimilis", "Coenonica rhomboidalis", "Coenonica muluensis", "Coenonica magnilobata", "Coenonica obscuripalpi", "Coenonica pallipes", "Coenonica spinae", "Coenonica troglobia", "Coenonica perpunctata", "Mimopisalia leptusoides", "Mimopisalia evoluta", "Mimopisalia smetanai", "Mimopisalia problematica", "Neosilusa terminalis", "Linoglossa borneensis", "Stenomastax variventris", "Acropora hyacinthus", "Ocimum subg.", "Symposiachrus bimaculatus", "Oligota neoguineensis", "Pelioptera abdita", "Pelioptera balkei", "Pelioptera fungi", "Pelioptera microfallax", "Pelioptera papuaimpressa", "Pelioptera sphaeaclavigera", "Serikodonota robusta", "Stenomastax globularis", "Stenomastax irianensis", "Stenomastax micropapuana", "Zyras basicollis", "Zyras longapicalis", "Zyras papuaseverus", "Zyras papuavariolosus", "Sternotropa misera", "Sternotropa ranauensis", "Sternotropa fungitheca", "Sternotropa prensilis", "Ocimum sect.", "Euploea configurata", "Coenonica soror", "Coenonica nigrita", "Coenonica monticola", "Coenonica borneensis", "Coenonica rufiventris", "Coenonica sarawakensis", "Coenonica vulnerata", "Coenonica ashei", "Mimopisalia borneensis", "Mimopisalia kinabaluensis", "Neocoenonica antennalis", "Neosilusa tropica", "Gyrophaena xianensis", "Gyrophaena simplicitatis", "Carpinus pubescens var. firmifolia", "Carpinus pubescens var. pubescens", "Gyrophaena discoidea", "Gyrophaena nobilis", "Gyrophaena erosa", "Gyrophaena permixta", "Gyrophaena zhouzhiensis", "Gyrophaena gulmargensis", "Gyrophaena anguinea", "Gyrophaena schuelkei", "Gyrophaena speculicollis", "Gyrophaena qingchengensis", "Gyrophaena flagellans", "Gyrophaena perflagellans", "Gyrophaena shaanxiensis", "Gyrophaena daxuemontis", "Gyrophaena bilimbisublata", "Gyrophaena ancilla", "Gyrophaena zhagaensis", "Gyrophaena opacicollis", "Myrmedonota acutissima", "Myrmedonota aequitatis", "Myrmedonota apicicornis", "Myrmedonota brevifalx", "Myrmedonota gigas", "Myrmedonota hartmanni", "Myrmedonota impressicollis", "Myrmedonota intermedia", "Myrmedonota irianenesis", "Myrmedonota microaffinis", "Myrmedonota pallipes", "Myrmedonota plena", "Myrmedonota volutarum", "Hydriomena brujata", "Xanthorhoe brujata", "Visiana incertata", "Corymbia sect.", "Visiana repentinata", "Xanthorhoe repentinata", "Euploea mulciber portia", "Xanthorhoe vinosa vinosa", "Visiana vinosa vinosa", "Visiana vinosa ranensis", "Shaanxiana australis", "Graphium almansor birbiri", "Graphium almansor carchedonius", "Graphium almansor escherichi", "Graphium almansor uganda", "Graphium almansor dufranei", "Idea leuconoe nigriana", "Fundulus cingulatus", "Argyrogramma pulchra", "Atheta cygnorum", "Atheta daccordiana", "Atheta albanyensis", "Australiusa cribrella", "Symmachia poirieri", "Symmachia aureus mallqui", "Iridana magnifica", "Iridana hypocala", "Iridana rougeoti", "Iridana gabunica", "Iridana nigeriana", "Iridana ghanana", "Iridana jacksoni", "Iridana tororo", "Iridana katera", "Iridana bwamba", "Iridana unyoro", "Iridana obscura", "Iridana ducarmei", "Iridana agneshorvathae", "Graphium almansor almansor", "Liptena bia", "Liptena liberti", "Liptena lloydi", "Liptena minziro", "Hewitsonia kuehnei", "Iolaus ofere", "Iolaus mimosae", "Iolaus mimosae mimosae", "Iolaus mimosae berbera", "Iolaus mimosae haemus", "Iolaus mimosae pamelae", "Iolaus mimosae rhodosense", "Glossogobius olivaceus", "Iolaus adorabilis", "Protoploea apatela", "Pyricularia oryzae", "Dilatempusa aegyptiaca", "Platycrater serrata", "Arcoscalpellum liui", "Hydrangea macrophylla subsp. serrata", "Hydrangea sect.", "Hydrangea sect.", "Fundulus majalis", "Hydrangea ser.", "Glyptelasma dentatum", "Fejervarya sakishimensis", "Hydrangea ser.", "Hydrangea ser.", "Hydrangea sect.", "Pelioptera giachinoi", "Pelioptera macropuorum", "Psammopora delittlei", "Sternotropa monteithi", "Topikoglossa pallens", "Antistydatusa giachinoi", "Antistydatusa tasmaniensis", "Tchunglinius tchangii", "Atheta fieldimontis", "Australoconota clara", "Australoconota benlomondensis", "Idea durvillei", "Aspergillus oryzae", "Probathylepas faxian", "Idea stolli", "Kamera lens", "Dichroa sect.", "Dichroa ser.", "Dichroa ser.", "Dichroa sect.", "Austropelioptera daccordiana", "Austropelioptera giachinoi", "Austropelioptera parva", "Aylikusa discicollis", "Bolitochara ignita", "Calodera giachinoi", "Diestota allynmontis", "Diestota daccordii", "Diestota giachinoi", "Diestota victoriensis", "Sinamia zdanskyi", "Automolis asara", "Regobarrosia pseudoflavescens", "Automolis pseudoflavescens", "Regobarrosia aureogrisea", "Automolis aureogrisea", "Mesosemia naliniae", "Mesosemia eugenea", "Gyrophaena weiri", "Argynnis gibeauxi", "Macrodorcas vidam", "Neoverruca intermedia", "Australoconota fieldimontis", "Australoconota giachinoi", "Romanogobio tenuicorpus", "Saurogobio dabryi", "Saurogobio dabryi chenghaiensis", "Taygetis inornata", "Hydrangea luteovenosa", "Euptychia eusebia", "Euptychia magdalena", "Forsterinaria inornata inornata", "Forsterinaria inornata magdalena", "Satyrus quantius", "Sternotropa borneorum", "Pseudoligota fustigans", "Pseudoligota perpusilla", "Pseudoligota unilobata", "Pseudoligota burckhardti", "Pseudoligota picea", "Pseudoligota piceoides", "Pseudoligota simplicitatis", "Apimela australiensis", "Callophrys danchenkoi", "Callophrys farsica farsica", "Callophrys farsica anjae", "Callophrys hatuma", "Callophrys kermanica", "Callophrys mystaphia", "Callophrys mystaphioides", "Callophrys rubi borealis", "Callophrys rubi fervida", "Callophrys rubi rubi", "Callophrys rubi sibirica", "Callophrys suaveola", "Belciana biformis", "Dandaca biformis", "Belciana hemodoides", "Belciana sulawesiana", "Belciana pratti", "Polydesma pratti", "Belciana hreblayi", "Belciana prasina", "Polydesma prasina", "Belciana sobieczkyi", "Belciana bicolor", "Belciana hemodi", "Pandesma hemodi", "Belciana pinratanai", "Belciana scorpio", "Belciana euchlora", "Argyrogrammana halli", "Argyrogrammana gallardi", "Argyrogrammana brevignoni", "Argyrogrammana willmotti", "Argyrogramma nurtia", "Pterygodium acutifolium", "Pterygodium caffrum", "Pterygodium cruciferum", "Pterygodium hastatum", "Pterygodium inversum", "Pterygodium leucanthum", "Pterygodium magnum", "Pterygodium newdigateae", "Pterygodium platypetalum", "Pterygodium volucris", "Odontites vulgaris", "Emesis castigata castigata", "Parapocryptes serperaster", "Trollichthys bolcensis", "Liptena perobscura", "Ursichthys longiparietalis", "Tetrarhanis ilma", "Tetrarhanis ilma ilma", "Tetrarhanis ilma ugandae", "Valencia arcasensis", "Iolaus bilineata", "Iolaus bolissus", "Iolaus bolissus aurora", "Iolaus bolissus azureus", "Deinanthe caerulea", "Iolaus bolissus bolissus", "Iolaus carina", "Iolaus eurisus", "Iolaus eurisus eurisus", "Iolaus eurisus vexillarius", "Bicyclus sealeae", "Bicyclus pareensis", "Bebearia staudingeri staudingeri", "Bebearia staudingeri carensis", "Bebearia staudingeri okomu", "Pyrrhochalcia iphis", "Pyrrhochalcia iphis iphis", "Pyrrhochalcia iphis dejongi", "Abantis ja", "Abantis ja usheri", "Abantis ja ja", "Gorgyra warreni", "Platylesches hassani", "Platylesches heathi", "Regobarrosia athenops", "Regobarrosia maurotholos", "Regobarrosia similis", "Regobarrosia hathor", "Regobarrosia flavescens", "Pelagia noctiluca", "Proceratium google", "Altholepis composita", "Philadelphus ser.", "Hydrangea lingii", "Pittosporum rangitahua", "Drusilla semiobliqua", "Drusilla umranicola", "Gyrophaena taurina", "Pseudoplandria umloiensis", "Maschwitzia dilatata", "Zyras arcuatissimus", "Zyras biprensilis", "Zyras nitidepunctatus", "Tetrarhanis ilala", "Tetrarhanis ilala ilala", "Tetrarhanis ilala etoumbi", "Aleochara tulearensis", "Aloconota antananarivensis", "Amarochara lemuriana", "Amischa lemuriensis", "Anebolura andringitrensis", "Anebolura cribricollis", "Anebolura janaki", "Anebolura manankazensis", "Anebolura ruralis", "Anebolura vacua", "Apimela terrestris", "Apimela truncata", "Atheta ambondrombensis", "Atheta andringitrensis", "Atheta betrokensis", "Atheta deflexa", "Atheta didyensis", "Atheta janaki", "Atheta profundior", "Atheta vohitrosensis", "Atheta asymmetrica", "Atheta insularisoides", "Atheta marginigaster", "Brachida circularis", "Brachida janaki", "Brachida quadrispinosa", "Brachida sambavensis", "Brachida sinuosa", "Brachida stolarczyki", "Brachida toamasinensis", "Brachida triacuata", "Brachida vohitrosensis", "Brachida zombitsyensis", "Coenonica andringitrensis", "Coenonica flagellans", "Coenonica lucis", "Philadelphus ser.", "Philadelphus ser.", "Pyricularia ctenantheicola", "Pyricularia grisea", "Casaleia longiventris", "Chondrohierax wilsonii", "Pseudacrotona propinqua", "Pseudacrotona pseudopicina", "Pseudacrotona ranomenensis", "Pseudacrotona silvestris", "Pseudacrotona stenobulbosa", "Pseudacrotona stricta", "Pseudacrotona subanguinea", "Pseudacrotona subtilearmata", "Euptychia fabiana", "Euptychia morima", "Satyrus necys", "Blepharhymenus apicicornis", "Blepharhymenus fieldimontis", "Blepharhymenus giachinoi", "Calodera arverensis", "Argyrogramma physis", "Argyrogramma physis physis", "Argyrogramma physis phyton", "Plenodomus lingam", "Diestota stygis", "Leichusa giachinoi", "Pelioptera minima", "Pelioptera tasmaniana", "Aloconota ruwenzoricola", "Brachysipalia geginati", "Brachysipalia kitarensis", "Brachysipalia klimaszewskii", "Brachysipalia nigrescens", "Brachysipalia ruwenzoricola", "Brachysipalia sublapidicola", "Ischnopoda geginati", "Pachorhopala geginati", "Pachorhopala mubukuensis", "Argyrogramma praestigiosa", "Argyrogrammana johannismarci", "Argyrogrammana rameli", "Pseudoneaveia jacksoni", "Cyllophallia anjanaharibensis", "Cyllophallia gracilis", "Cyllophallia janaki", "Cypha lemuriana", "Cypha madagascariensis", "Ditropandria ambositrensis", "Ditropandria betrokensis", "Ditropandria externa", "Ditropandria lateralis", "Ditropandria libera", "Ditropandria microbulbosa", "Ditropandria strangulata", "Ditropandria terminicornis", "Eustenidia andringitrensis", "Eustenidia dilatata", "Eustenidia ikokaensis", "Eustenidia janaki", "Eustenidia laminaris", "Eustenidia perinetensis", "Eustenidia ranomafanensis", "Eustenidia septentrionalis", "Paradeudorix eleala", "Paradeudorix eleala eleala", "Paradeudorix eleala viridis", "Paradeudorix eleala parallela", "Paradeudorix eleala cufadana", "Fendlera linearis", "Fendlera rupicola var. rupicola", "Fendlera rupicola var. wrightii", "Paradeudorix cobaltina", "Fendlerella utahensis", "Fendlerella lasiopetala", "Fendlerella mexicana", "Exaeretota difficilis", "Exaeretota janaki", "Exaeretota klimaszewskii", "Geopora filiformis", "Gnypeta ambondrombensis", "Gnypeta andapensis", "Gnypeta basigaster", "Gnypeta janaki", "Gnypeta mavogisensis", "Gnypeta vohitrosensis", "Jamesia americana var. americana", "Gyrophaena ambondrombensis", "Gyrophaena andramontana", "Gyrophaena fianaratsoensis", "Gyrophaena forticornis", "Gyrophaena insinuata", "Gyrophaena isaloensis", "Jamesia americana var. macrocalyx", "Gyrophaena janaki", "Gyrophaena lobospinosa", "Gyrophaena madegassa", "Gyrophaena megabulbosa", "Gyrophaena producta", "Gyrophaena tridentifera", "Gyrophaena truncicola", "Gyrophaena vohitrosensis", "Hovastiba ambondrombensis", "Hovastiba daccordii", "Hovastiba fluctuata", "Ischnopoda perinetensis", "Paradeudorix boormani", "Paradeudorix marginata", "Paradeudorix ituri", "Lemuridota camaleo", "Lemuridota granulosa", "Leucocraspedum antsahatsakense", "Jamesia americana var. rosea", "Paradeudorix ituri ituri", "Leucocraspedum callicorne", "Leucocraspedum callicornoides", "Leucocraspedum claripygum", "Leucocraspedum contrarium", "Leucocraspedum distinctum", "Leucocraspedum incisicauda", "Paradeudorix ituri ugandae", "Leucocraspedum intermedium", "Leucocraspedum lemurianum", "Leucocraspedum myllaenoides", "Leucocraspedum notaticorne", "Leucocraspedum philocallicorne", "Leucocraspedum strictum", "Linoglossa sambavensis", "Madecamyllaena pulchricornis", "Madecazyras andringitrensis", "Madecazyras geophilus", "Madecazyras janaki", "Madecazyras longicornis", "Fundulus catenatus", "Fundulus escambiae", "Metacarcinus magister", "Anomognathus neopapuanus", "Apagorea papuana", "Apimela papuana", "Apimela papuanorum", "Atheta baitetensis", "Atheta loriai", "Brachida papuana", "Brachida poggii", "Brachida pseudopapuana", "Bryothinusa neoguineensis", "Coenonica kapakapensis", "Coenonica waicuninensis", "Compsusa neoguineensis", "Pseudacrotona superba", "Pseudacrotona tigrata", "Pseudacrotona toamasinensis", "Pseudacrotona trifalcifera", "Pseudacrotona uncinata", "Pseudacrotona ungulae", "Pseudacrotona vibrio", "Pseudacrotona vicinoides", "Pseudacrotona vohidrayensis", "Pseudoxypodinus pulchraespinae", "Taraxetaxus madagascariensis", "Taraxetaxus perinetensis", "Tomoxelia amboarafibensis", "Tomoxelia bulbosa", "Tomoxelia concava", "Tomoxelia curtipennis", "Tomoxelia intermedia", "Tomoxelia isaloensis", "Tomoxelia ranomafanensis", "Ischnopoda egregia", "Janusiscus schultzei", "Dialipina salgueiroensis", "Dialipina markae", "Rydingia integrifolia", "Dianella subg.", "Akatastopsis papuana", "Aleochara rufonigrina", "Madecazyras microphthalmus", "Madecazyras terrestris", "Madecazyras volans", "Paradeudorix moyambina", "Jamesia americana var. zionis", "Madecokampta arboricola", "Anaulacaspis fluviatilis", "Anaulacaspis trilobata", "Paradeudorix petersi", "Jamesia tetrapetala", "Myllaena ambondrombensis", "Myllaena andilamenensis", "Myllaena andringitrensis", "Myllaena anjanaharibensis", "Myllaena didyensis", "Myllaena janaki", "Paradeudorix michelae", "Myllaena madagascariensis", "Myllaena sambavensis", "Neobrachida arboricola", "Neobrachida klimaszewskii", "Neobrachida lunulata", "Nopromaea lemuriana", "Oxypodinus curticornis", "Oxypodinus difficilis", "Oxypodinus janaki", "Oxypodinus maromizensis", "Oxypodinus nanus", "Oxypodinus nigropygus", "Palaeochara brevitheca", "Gaedikermenia semifusca", "Penichrolucanus alleni", "Paracyphea arboricola", "Paracyphea lemuriana", "Paracyphea malgascia", "Paracyphea subcorticicola", "Peliusa ambohitrensis", "Peliusa lemuriana", "Peliusa minor", "Peliusa obscuricollis", "Pseudacrotona abulbosa", "Pseudacrotona acrostolium", "Pseudacrotona alulifera", "Pseudacrotona ambohitrensis", "Pseudacrotona ambondrensis", "Pseudacrotona andasibensis", "Pseudacrotona andilamenensis", "Pseudacrotona andringitrensis", "Pseudacrotona anguinea", "Pseudacrotona anjanaharibensis", "Pseudacrotona annularis", "Pseudacrotona appendiculata", "Pseudacrotona armata", "Pseudacrotona aviceps", "Pseudacrotona biglobifera", "Pseudacrotona botulus", "Pseudacrotona claricornis", "Pseudacrotona cochleaglobus", "Pseudacrotona cornucopia", "Pseudacrotona cultrifera", "Pseudacrotona differens", "Pseudacrotona ensifera", "Pseudacrotona falx", "Pseudacrotona forticornis", "Pseudacrotona gilvapex", "Pseudacrotona gilvicornis", "Pseudacrotona ignota", "Pseudacrotona janaki", "Pseudacrotona laminifera", "Pseudacrotona lancea", "Pseudacrotona longatheca", "Pseudacrotona longearmata", "Pseudacrotona longipennis", "Pseudacrotona loricata", "Pseudacrotona megatheca", "Pseudacrotona microvicina", "Pseudacrotona moramangana", "Pseudacrotona moraveci", "Pseudacrotona multiplex", "Pseudacrotona nigrosimplex", "Pseudacrotona nitidula", "Pseudacrotona parasimplex", "Pseudacrotona penicillifera", "Pseudacrotona penicillus", "Pseudacrotona praeclara", "Hippuris tetraphylla", "Potamogeton compressus", "Najas tenuissima", "Crassula aquatica", "Corydalis intermedia", "Wushaichthys exquisitus", "Catocala deuteronympha deuteronympha", "Catocala eminens", "Catocala fraxini gaudens", "Catocala fraxini fraxini", "Catocala greyi", "Catocala deuteronympha greyi", "Thoracopterus niederristi", "Philadelphus subg.", "Philadelphus sect.", "Philadelphus subg.", "Philadelphus subg.", "Thoracopterus magnificus", "Philadelphus subg.", "Lophophelma tanatoraja", "Canyonlepis smithae", "Tezakia hardingensis", "Amischa papuensis", "Andrikothelyna papuana", "Bolusiella maudiae", "Pyricularia penniseticola", "Pyricularia pennisetigena", "Pyricularia zingibericola", "Nakataea oryzae", "Fabaeformiscandona acuminata", "Fabaeformiscandona alexandri", "Fabaeformiscandona angusta", "Fabaeformiscandona balatonica", "Fabaeformiscandona breuili", "Fabaeformiscandona brevicornis", "Fabaeformiscandona caudata", "Fabaeformiscandona clivosa", "Fabaeformiscandona compendiosa", "Fabaeformiscandona fabaeformis", "Fabaeformiscandona fabella", "Fabaeformiscandona fragilis", "Fabaeformiscandona harmsworthi", "Fabaeformiscandona holzkampfi", "Fabaeformiscandona hyalina", "Fabaeformiscandona levanderi", "Fabaeformiscandona protzi", "Fabaeformiscandona rawsoni", "Fabaeformiscandona reniformis", "Fabaeformiscandona spelaea", "Acropora polystoma", "Dianella subg.", "Dianella sect.", "Pampa hermieri", "Pampa pseudovenata", "Stylura guyanensis", "Illiberis heringi", "Museo del", "Fundulus parvipinnis", "Tityus apozonalli", "Herreraichthys coahuilaensis", "Anania alta", "Anania aureomarginalis", "Pseudophoxinus mehmeti", "Niganda phichai", "Aleochara paleoatra", "Pierella lena atlantica", "Fabaeformiscandona tricicatricosa", "Fabaeformiscandona vimariensis", "Fabaeformiscandona wegelini", "Pampa smaragdina", "Harrisina smaragdina", "Dianella sect.", "Cameraria rhynchophysa", "Cameraria jiulianshanica", "Garcinia subg.", "Garcinia sect.", "Viola sect.", "Berca thailandensis", "Brachida luangensis", "Coenonica assingi", "Coenonica chiangmaiensis", "Coenonica inthanonensis", "Coenonica schulzi", "Coenonica vocki", "Cordalia thailandensis", "Drusilla endopilosella", "Drusilla refugita", "Episemina rougemonti", "Gyrophaena adspecta", "Gyrophaena includens", "Gyrophaena notata", "Scydosella musawasensis", "Randallichthys filamentosus", "Metathrinca argentea", "Metathrinca fopingensis", "Metathrinca meihuashana", "Eudontomyzon mariae", "Papilio pavonis", "Elymnias vasudeva", "Ploiarium alternifolium", "Andinostiba monticola", "Gastrorhopalus antennalis", "Oestrus ovis", "Fundulus kansae", "Illiberis kardakoffi", "Apistogramma wolli", "Apistogramma feconat", "Apistogramma payaminonis", "Sphenidatoma chilensis", "Tomocoryphusa pacaorum", "Atheta diligens", "Atheta kokicola", "Cameraria diplodura", "Aloe aculeata", "Acropora valenciennesi", "Viola subsect.", "Diestota adelbertensis", "Diestota goigala", "Diestota papuana", "Gnypeta adalbertensis", "Gnypeta papuensis", "Gyrophaena beccarii", "Gyrophaena daudaiorum", "Gyrophaena loriai", "Gyrophaena poggii", "Ischnopoda loriai", "Leucocraspedum papuanum", "Myrmedonota goethemi", "Myrmedonota nigricauda", "Myrmedonota papuanorum", "Myrmedonota plurisinuata", "Neoleptusa papuana", "Ophioglossa annularis", "Ophioglossa humeralis", "Orphnebius asarorum", "Papuanusa drugmandi", "Papuanusa missai", "Papuanusa neoguineensis", "Paractocharis papuana", "Pelioptera arborum", "Pelioptera drugmandi", "Pelioptera mimarborum", "Pikrainusa neoguineensis", "Stenomastax neoguineesis", "Stenomastax papuana", "Stenomastax papuanorum", "Sternotropa neoguineensis", "Sternotropa papuana", "Tetrabothrus papuanus", "Aleochara papuana", "Zyras papuanus", "Paradarisa hehuana", "Carcharhinus caquetius", "Magnaporthiopsis poae", "Magnaporthiopsis incrustans", "Aleochara hartmanni", "Aloconota alticola", "Aloconota nepalensis", "Amischa fraudulenta", "Acrotona detortatheca", "Acrotona dhaulagiricola", "Acrotona kiranta", "Gyrophaena perdebilis", "Gyrophaena thailandica", "Litoglossa thailandensis", "Orphnebius chiangmaiensis", "Orphnebius clarus", "Orphnebius incisus", "Orphnebius semivorax", "Orphnebius thai", "Orphnebius vorax", "Pedinopleurus spinibasis", "Pelioptera assingi", "Pelioptera cauta", "Pelioptera religiosa", "Pelioptera ornata", "Pseudoplandria assingi", "Pseudoplandria brunneipennis", "Sternotropa assingi", "Tetrasticta thailandensis", "Pedinopleurus reptans", "Aenictocleptis antennarius", "Pseudastilbus fortispina", "Zyras fluminis", "Zyras fustigans", "Leptusa allobrogica", "Atheta drugmandi", "Atheta vietnamensis", "Brachida misera", "Bellatheta hanoiensis", "Stenomastax drugmandi", "Sternotropa vietnamensis", "Zyras langsonensis", "Lathrolestes oelandinus", "Scalibregma australis", "Meharia ganslmeieri", "Loxopamea augustasi", "Loxopamea jakobi", "Heterosphecia pahangensis", "Faunis canens yunnanensis", "Lebadea martha nebula", "Grapholita shadawana", "Delias lativitta shaanxiensis", "Tabukicypris decoris", "Boraras brigittae", "Fundulus albolineatus", "Atheta pseudoplacusa", "Atheta koshiensis", "Atheta weigeli", "Atheta annapurnicola", "Atheta garpungensis", "Atheta karnaliensis", "Atheta kopetzi", "Atheta puerilioides", "Atheta simigauensis", "Atheta schmidti", "Berca thakura", "Brachida himalayensis", "Viola sect.", "Neope qinlingensis", "Fundulus bifax", "Sittiparus castaneoventris", "Sittiparus olivaceus", "Sittiparus owstoni", "Cephalocousya jumlensis", "Cephalocousya nepalensis", "Cephalocousya smetanaiana", "Diestota dhaulagiriensis", "Bellatheta hartmanni", "Bellatheta simikotensis", "Encephalus nepalensis", "Leptagria annapurnensis", "Myrmecocephalus hartmanni", "Franzidota nepalicola", "Gyrophaena anguineatheca", "Gyrophaena annapurnensis", "Gyrophaena divergens", "Gyrophaena domitrix", "Gyrophaena flammifera", "Gyrophaena jhyariensis", "Gyrophaena jumlicola", "Gyrophaena maharigaonensis", "Gyrophaena orans", "Gyrophaena schmidti", "Gyrophaena setiensis", "Kadua sect.", "Kadua sect.", "Kadua sect.", "Kadua sect.", "Ilyocypris absentiva", "Ilyocypris aestivalis", "Ilyocypris biplicata", "Dracaena arborea", "Plicosepalus acaciae", "Pareiorhaphis garapia", "Bryconamericus ecuadorensis", "Anabasis setifera", "Leucocraspedum orousseti", "Monobothrus apterus", "Myllaena orousseti", "Cobitis baishagensis", "Cobitis hereromacula", "Neoleptusa luzonensis", "Neosilusa orousseti", "Oroussetiella mindorensis", "Orphnebius orousseti", "Paractocharis deharvengi", "Paractocharis orousseti", "Pelioptera demangorum", "Pelioptera mindorensis", "Pelioptera oroussetiana", "Pseudoplandria demangicola", "Pseudoplandria ibaloiorum", "Pseudoplandria igorotorum", "Pseudoplandria lepantorum", "Pseudoplandria notatipennis", "Pseudoplandria orousseti", "Pseudoplandria sagadensis", "Kadua subg.", "Kadua subg.", "Kadua sect.", "Kadua affinis", "Plesiomalota moreti", "Plesiomalota imbaburensis", "Akrincastiba moreti", "Lamprostiba machupicchuensis", "Leptonia moreti", "Leptonia sangayensis", "Macrogerodonia zamorensis", "Apalonia inca", "Cousya granulipyga", "Plesiomalota uhligina", "Plesiomalota franzina", "Plesiomalota maraquaiensis", "Plesiomalota vagans", "Clianthus magnificus", "Dartmuthia procera", "Eldaaspis miklii", "Meelaidaspis gennadii", "Atheta licchava", "Rhyacophila tianmushanensis", "Axiologarthra minor", "Axiologarthra nepalensis", "Bellatheta newart", "Rhyacophila bucina", "Coenonica dhaulagiriensis", "Myrmecocephalus nepalhimalayica", "Rhyacophila sichuanensis", "Myrmecocephalus pahari", "Myllaena bandukensis", "Myllaena fustigans", "Myllaena hartmanni", "Myllaena schmidti", "Rhyacophila fanjingshanensis", "Ocalea hartmanni", "Rhyacophila boleta", "Oxypoda bandukensis", "Rhyacophila ramulina", "Oxypoda dhaulagiricola", "Himalopsyche sichuanensis", "Rhyacophila krauskasseggae", "Rhyacophila madalensis", "Rhyacophila coclearis", "Rhyacophila magnahamata", "Chimarra lichiuensis", "Vanda arcuata", "Chimarra triangulata", "Chimarra wushikangensis", "Dolophilodes minchiensis", "Dolophilodes cheni", "Dolophilodes securis", "Melanotrichia taiwanensis", "Ecnomus wulaina", "Rhyacophila lakatosi", "Rhyacophila naviculata", "Agapetus aranytalan", "Agapetus fesus", "Agapetus fogas", "Agapetus otoldal", "Glossosoma rovidul", "Nepaloptila elvala", "Boeberia parmenio parmenio", "Boeberia parmenio guangxiensis", "Zipaetis scylax", "Zipaetis scylax scylax", "Zipaetis scylax yunnanensis", "Erebia grandis", "Coenonympha tianshanica", "Leptusa opacina", "Leptusa araucana", "Leptusa cautinensis", "Leptusa aisenicola", "Brachida anteflava", "Brachida tamilensis", "Drusilla dharmapuriensis", "Drusilla pudukkottaiensis", "Ischyrocolpura indica", "Pheidologitonetes bartolozzii", "Pheidologitonetes nilgiriensis", "Pseudoxypoda indica", "Zyras bicarinulatus", "Zyras inversus", "Zyras sforziae", "Zyras nigrosericeus", "Geostiba melitensis", "Alevonota melitensis", "Meotica vailatii", "Oxypoda giachinoi", "Leptusa xiahensis", "Leptusa daxuemontis", "Leptusa yunnanensis", "Leptusa jinfomontis", "Leptusa chengduensis", "Leptusa sinorum", "Oecetis sima", "Oecetis tompa", "Oecetis tus", "Pseudocandona carinata", "Pseudocandona compressa", "Pseudocandona eremita", "Pseudocandona hartwigi", "Pseudocandona insculpta", "Pseudocandona lobipes", "Pseudocandona marchica", "Pseudocandona parallela", "Pseudocandona pratensis", "Pseudocandona pseudostagnalis", "Pseudocandona rostrata", "Pseudocandona sarsi", "Pseudocandona semicognita", "Pseudocandona sucki", "Trichosetodes harmas", "Trichosetodes sotet", "Rhyacophila tamdaona", "Stephanotis longiflora", "Kadua sect.", "Ilyocypris bradyi", "Ilyocypris decipiens", "Kadua sect.", "Ilyocypris getica", "Mutuuraia flavimacularis", "Ilyocypris gibba", "Ilyocypris glabella", "Kadua sect.", "Ilyocypris grabschuetzi", "Ilyocypris lacustris", "Anania flavimacularis", "Ilyocypris neumarkensis", "Ilyocypris uncinatus", "Ilyocypris quinculminata", "Locheutis jiangkouensis", "Gypsochares bicruris", "Gypsochares longispinus", "Papilio elegans", "Papilio pulcher", "Sympetrum risi", "Papilio polytes flavolineatus", "Papilio obscuras", "Gyrophaena yakorum", "Himalusa annapurnensis", "Himalusa thailandensis", "Ischnopoda kathmanduensis", "Leucocraspedum hartmanni", "Liogluta carinifera", "Liogluta hartmanni", "Liogluta velorum", "Myllaena dhaulagirensis", "Myllaena simigauensis", "Ocyusa dhaulagiriensis", "Oxypoda ruralis", "Paraloconota dhaulagiriensis", "Paraloconota manasluensis", "Parapimela hartmanni", "Pelioptera smetanaiana", "Pseudoplandria dhaulagiriensis", "Smetanaetha setiensis", "Tetralaucopora nepalensis", "Trichoglossina kuwadiensis", "Rhyacophila euryphylla", "Rhyacophila cuneata", "Rhyacophila celata", "Rhyacophila exilis", "Rhyacophila amblyodonta", "Rhyacophila pusilla", "Rhyacophila complanatula", "Rhyacophila morsei", "Rhyacophila flora", "Rhyacophila eurystheus", "Rhyacophila fides", "Rhyacophila euterpe", "Iridaea cordata", "Rhyacophila euphorbos", "Rhyacophila shaanxiensis", "Rhyacophila auricula", "Rhyacophila brachyblasta", "Rhyacophila furva", "Rhyacophila vascula", "Rhyacophila unisegmentalis", "Rhyacophila forcipata", "Aloconota invisoides", "Ocalea nepalica", "Rhyacophila pentagona", "Rhyacophila hadestril", "Atheta dhaulagirensis", "Atheta khariensis", "Rhyacophila ligulula", "Atheta dhaulagirimontis", "Atheta khasi", "Atheta marangensis", "Paraliogluta simikotensis", "Pseudoplandria rhododendricola", "Tropimenelytron dhaulagiriense", "Lepidostoma egenes", "Aleochara vietnamiana", "Dymerinx papuanum", "Gyrophaena microthailandensis", "Gyrophaena thailongula", "Hygrochara papuana", "Myrmecopora papuana", "Tetrabothrus vietnamiculus", "Lepidostoma fura", "Lepidostoma horgos", "Lepidostoma ives", "Lepidostoma madaras", "Lepidostoma nyulos", "Lepidostoma aranos", "Amarochara luzonensis", "Amaurodera orousseti", "Anebolura rorida", "Anebolura minima", "Anomognathus orousseti", "Anomognathus philippinus", "Apimela luteiventris", "Apimela orousseti", "Atheta luzonorum", "Brachida mortuorum", "Bryothinusa orousseti", "Diestota balbalanensis", "Diestota datamontis", "Diestota deharvengi", "Diestota luzonorum", "Diestota muscorum", "Diestota nimborum", "Diestota orousseti", "Diestota sagadorum", "Eccoptogenia philippina", "Eusteniamorpha deharvengi", "Eusteniamorpha orousseti", "Falagria orousseti", "Gastropaga philippina", "Geostibasoma orousseti", "Lepidostoma fedos", "Gnypeta modesta deharvengi", "Gyrophaena orousseti", "Gyrophaena oroussetiana", "Lepidostoma oblok", "Gyrophaena sagadorum", "Hygrochara orousseti", "Hygrochara philippinensis", "Lepidostoma oblokos", "Lepidostoma rovidiv", "Lepidostoma sarnak", "Oecetis kanalas", "Oecetis koteges", "Oecetis varosi", "Oecetis kitar", "Oecetis oblos", "Pseudoplandria sola", "Laimosemion mabura", "Pseudoplandria transitoria", "Pseudoplandria wendeleri", "Rhinanthus alectorolophus", "Pseudosilusa granuliventris", "Stenomastax boettcheri", "Stenomastax deharvengi", "Stenomastax montana", "Stenomastax orousseti", "Austrolebias accorsii", "Stenomastax rufobrunnea", "Stenomastax rufobrunnea oblita", "Sternotropa alternata", "Sternotropa deharvengi", "Sternotropa igorotorum", "Sternotropa inconveniens", "Sternotropa orousseti", "Zyras mortuorum", "Heliophila coronopifolia", "Atheta hartmanni", "Brachida napolovi", "Caenopoda tamdaoensis", "Orphnebius willersi", "Pedinopleurus tumorfrontalis", "Zyras benenensis", "Parantica hainanica", "Myrmechusina hartmanni", "Spectrolebias bellidoi", "Polycaena lama", "Polycaena lama qinghaiensis", "Polycaena lama taibaiensis", "Polycaena lama lama", "Zemeros lushanensis", "Dodona eugenes albescens", "Encyrtus clavicornis", "Melanitis nigrimaculata", "Hyponephele nordoccidentaris", "Minois paupera", "Minois paupera paupera", "Minois paupera guangxiensis", "Boeberia parmenio", "Papilio neocastor", "Persoonia terminalis", "Amanota miricornis", "Amanota namibiensis", "Amanota uhligi", "Atheta caprivensis", "Atheta dobensis", "Atheta namibiensis", "Atheta undosa", "Brachida narokensis", "Cordalia namibicola", "Diestota namibiensis", "Diplopleurus mimus", "Diplopleurus notabilis", "Geopora namibiensis", "Gnypeta namibiensis", "Gnypeta uhligi", "Hydrosmecta namibiana", "Longiprimitarsus roeri", "Medera namibicola", "Nopromaea uhligi", "Notelyglypha uhligi", "Pachorhopala namibiensis", "Porus discalis", "Aleochara namibiensis", "Zyras kavangensis", "Zyras ambiguus", "Zyras bipunctatus", "Zyras invictus", "Zyras laxus", "Zyras modestus", "Zyras namibiesis", "Zyras sericatus", "Zyras silus", "Zyras uhligi", "Zyras uncifer", "Zyras serruliger", "Zyras rusticus", "Atheta diegana", "Atheta vittata", "Brachida appendiculata", "Brachida sakarahensis", "Brachida tampoketsicola", "Coenonica belohensis", "Ditropandria assimilis", "Ditropandria celata", "Ditropandria currax", "Ditropandria implicata", "Ditropandria inflexa", "Ditropandria lecoqi", "Ditropandria madagascariensis", "Ditropandria minor", "Ditropandria minuta", "Ditropandria obscurella", "Ditropandria obsoleta", "Ditropandria sakalava", "Ditropandria soror", "Dysamblys athetoides", "Epipedopora andohahelana", "Erpachara amplicollis", "Pathysa albescens", "Graphium albescens", "Graphium eurypylus eurypylus", "Graphium eurypylus madrmii", "Anosia affinis", "Anosia affinis affinis", "Anosia affinis suwajii", "Amathusia andamanensis", "Amathusia binghami", "Amathusia duponti", "Amathusia lieftincki", "Amathusia rosieri", "Amathusia ochrotaenia", "Amathusia fruhstorferi", "Papilio memnon babimemnon", "Ohesaareaspis ponticulata", "Tahulaspis ordinata", "Tahulaspis praevia", "Tremataspis perforata", "Aleochara aepyornithidorum", "Aleochara daubentoniae", "Aleochara subsulcata", "Aleochara hova", "Aleochara cribricauda", "Aleochara paleonigra", "Aloconota madegassa", "Anebolura zerchei", "Anisodota virgula", "Apimela basicauda", "Apimela castanea", "Apimela hova", "Apimela obscuripennis", "Apimela sakarahaensis", "Atheta ignota", "Atheta misera", "Atheta peyrierasi", "Atheta seditiosa", "Atheta tananarivensis", "Atheta tumida", "Atheta jarrigei", "Atheta micantula", "Atheta sucina", "Atheta clementi", "Atheta daubentoniae", "Cryptocandona reducta", "Candonopsis scourfieldi", "Baphia sect.", "Madecazyras andohaheliensis", "Madecazyras bartolozzii", "Madecazyras flavus", "Madecazyras lemuriensis", "Madecazyras madagascariensis", "Madecazyras manjarivolensis", "Madecazyras peyrierasi", "Papilio palinurus palinurus", "Superciliaspis gabrielsei", "Papilio palinurus vega", "Glabrapelta cristata", "Glabrapelta minima", "Cyaniriodes siraspiorum siraspiorum", "Cyaniriodes siraspiorum leyte", "Archipelepis bifurcata", "Archipelepis turbinata", "Tiliacea japonago", "Tiliacea japonago japonago", "Tiliacea japonago likianago", "Boothialepis thorsteinssoni", "Cypria exsculpta", "Cosmia citrago", "Cypria ophtalmica", "Cosmia citrago citrago", "Cosmia citrago japonago", "Zygaena loti praeclara", "Zygaena loti restricta", "Zygaena loti scotica", "Zygaena loti tristis", "Zygaena loti wagneri", "Zygaena loti zobeli", "Zygaena loti georgiae", "Zygaena loti zuleimanica", "Zygaena loti anatolica", "Zygaena loti phoenicea", "Zygaena romeo oriomezon", "Zygaena romeo mecogana", "Zygaena romeo adumbrata", "Senna sect.", "Senna ser.", "Senna ser.", "Senna ser.", "Exaeretota gracilicornis", "Exaeretota malgacia", "Exaeretota piceorufa", "Exaeretota vadoni", "Leptagria hova", "Leptagria puella", "Franzidota sihanaka", "Geopora analis", "Geopora laetula", "Geopora tampoketsensis", "Geopora tricolor", "Gnypeta alternans", "Gnypeta cribricauda", "Gyrophaena perinetensis", "Gyrophaena viettei", "Hovastiba betschi", "Hovastiba descarpentriesi", "Hovastiba fragilis", "Hovastiba hova", "Hovastiba lemuriensis", "Hovastiba splendens", "Hydrosmecta griveaudi", "Hydrosmecta toamasinensis", "Weineria cincta", "Ischnopoda vadoni", "Lemuridota descarpentriesi", "Lemuridota lemuriensis", "Lemuridota tanalorum", "Lemuridota tulearicola", "Leucocraspedum malgascium", "Longiprimitarsus insularis", "Madecatheta tampoketsensis", "Dentapelta loefflerae", "Euthalia mahadeva mahadeva", "Baphia subg.", "Baphia subg.", "Baphia sect.", "Rhopaletes mascarenus", "Aporia agathon gaolingonshanensis", "Papilio memnon bunguranomemnon", "Euthalia anosia yao", "Melittia ambo", "Melittia abyssiniensis", "Melittia pyropis", "Agdistis sergeii", "Agdistis wolframi", "Agdistis pseudomeyi", "Agdistis ruhanga", "Pezopallichthys ritchiei", "Fundulus diaphanus", "Fundulus heteroclitus", "Paramyllaena affinis", "Zygaena filipendulae illyrica", "Zygaena filipendulae major", "Zygaena filipendulae duponcheli", "Zygaena ephialtes", "Zygaena ephialtes albaflavens", "Zygaena ephialtes albarubens", "Zygaena ephialtes lurica", "Zygaena transalpina dufayi", "Zygaena transalpina segusterica", "Sphenonectris turnerae", "Charaxes xiphares brevicaudatus", "Charaxes xiphares desmondi", "Charaxes xiphares draconis", "Charaxes xiphares kenwayi", "Charaxes xiphares kilimensis", "Charaxes xiphares kulal", "Charaxes xiphares ludovici", "Charaxes xiphares maudei", "Charaxes xiphares nguru", "Charaxes xiphares thyestes", "Charaxes xiphares vumbui", "Charaxes xiphares walwandi", "Charaxes xiphares wernickei", "Charaxes xiphares occidentalis", "Charaxes zambeziensis", "Chorizema sect.", "Chorizema sect.", "Charaxes solon lampedo", "Charaxes solon echo", "Charaxes solon hannibal", "Charaxes solon sumatranus", "Charaxes solon mangolianus", "Charaxes solon sulphureus", "Charaxes solon raidhaka", "Charaxes solon cunctator", "Charaxes solon cerynthus", "Charaxes solon orchomenus", "Charaxes solon catulus", "Charaxes solon brevis", "Charaxes solon iliona", "Zygaena loti", "Zygaena romeo", "Zygaena gallica", "Zygaena gallica gallica", "Zygaena gallica bordei", "Zygaena gallica hemicharis", "Fundulus confluentus", "Paramyllaena flexuosa", "Paramyllaena fasciatipyga", "Paramyllaena affinoides", "Paramyllaena longelytrata", "Aleochara hellenica", "Nopromaea lecoqi", "Zygaena filipendulae altapyrenaica", "Zygaena filipendulae arctica", "Zygaena filipendulae balcanirosea", "Zygaena filipendulae campaniae", "Zygaena filipendulae filipendulae", "Zygaena filipendulae gemella", "Stiphodon aureofuscus", "Zygaena filipendulae gemina", "Zygaena filipendulae gigantea", "Zygaena filipendulae himmighofeni", "Centrodraco fidelis", "Zygaena filipendulae liguris", "Zygaena filipendulae mannii", "Zygaena filipendulae noacki", "Zygaena filipendulae oberthueriana", "Zygaena filipendulae polygalae", "Zygaena filipendulae praeochsenheimeri", "Zygaena filipendulae pulcherrima", "Zygaena filipendulae pulcherrimastoechadis", "Zygaena filipendulae pyrenes", "Zygaena filipendulae seeboldi", "Zygaena filipendulae sicillensis", "Zygaena filipendulae stephensi", "Zygaena filipendulae stoechadis", "Zygaena filipendulae zarana", "Zygaena lonicerae lonicerae", "Zygaena lonicerae alpiumgigas", "Zygaena lonicerae insularis", "Zygaena lonicerae intermixta", "Tomoxelia comorensis", "Zygaena lonicerae jocelynae", "Zygaena lonicerae latomarginata", "Zygaena lonicerae leonensis", "Drepanolepis maerssae", "Barlowodus excelsus", "Barlowodus floralis", "Barlowodus tridens", "Tomoxelia andohahela", "Tomoxelia difformis", "Tomoxelia eximia", "Tomoxelia opacicollis", "Tomoxelia viettei", "Pseudosilusa simplex", "Apalolepis obruchevi", "Stenomastax lignicola", "Stenomastax calligaster", "Stenomastax miripyga", "Ischnopoda philippinensis", "Furcacauda fredholmae", "Furcacauda heintzae", "Canonia grossi", "Cometicercus talimaaae", "Fundulus jenkinsi", "Camisia carrolli", "Senna sect.", "Cypris triaculeata", "Notodromas monacha", "Cavernocypris subterranea", "Sarscypridopsis aculeata", "Sarscypridopsis waetzeli", "Prionocypris zenkeri", "Psychrodromus olivaceus", "Candona improvisa", "Dolerocypris fasciata", "Fundulus grandissimus", "Senna sect.", "Senna sect.", "Senna sect.", "Senna sect.", "Ceyx cajeli", "Ceyx gentianus", "Ceyx collectoris", "Ceyx dispar", "Ceyx flumenicola", "Ceyx malaitae", "Ceyx margarethae", "Ceyx meeki", "Fundulus julisia", "Myllaena globitheca", "Myllaena claricornis", "Myllaena claripyga", "Myllaena gibbasimplex", "Paramyllaena anterufa", "Madecazyras pygmaeus", "Madecazyras ranomafanensis", "Madecazyras tampoketsensis", "Madecusa lemuriana", "Mauritecia elegans", "Mauritecia gomyi", "Anaulacaspis isaloensis", "Anaulacaspis lebisi", "Meotica arenaria", "Myllaena isaloensis", "Myllaena pallidicornis", "Neobrachida hova", "Neobrachida lemuriana", "Oxypodinus andringitrensis", "Oxypodinus apicicornis", "Oxypodinus bispinosus", "Oxypodinus descarpentriesi", "Oxypodinus levasseuri", "Oxypodinus mundulae", "Oxypodinus nigritus", "Oxypodinus pauliani", "Oxypodinus ruficollis", "Oxypodinus semiflavus", "Palaeochara madagascariensis", "Palaeochara silvicola", "Palaeochara soror", "Paracyphea cincta", "Paracyphea madagascariensis", "Paracyphea perinetensis", "Paracyphea tampolensis", "Pelioptera heteroclita", "Phaenacrotona antiqua", "Pseudacrotona amica", "Pseudacrotona annanarivensis", "Pseudacrotona bertiae", "Pseudacrotona betsilea", "Pseudacrotona descarpentriesi", "Pseudacrotona hova", "Pseudacrotona imitatrix", "Pseudacrotona lecoqi", "Pseudacrotona minima", "Pseudacrotona neglecta", "Pseudacrotona peyrierasi", "Pseudacrotona picea", "Pseudacrotona picina", "Aporia agathon japfuensis", "Pseudacrotona puella", "Pseudacrotona ranomafanensis", "Pseudacrotona relicta", "Pseudacrotona rufescens", "Pseudacrotona sakarahaensis", "Pseudacrotona simplex", "Pseudacrotona sogai", "Pseudacrotona toliarensis", "Pseudacrotona tristis", "Pseudacrotona vadoni", "Pseudacrotona vicina", "Senna ser.", "Senna ser.", "Paramyllaena laticollis", "Paramyllaena rougemonti", "Myllaena layangensis", "Myllaena semicaeca", "Myllaena terricola", "Myllaena semiannularis", "Myllaena kinabaluicola", "Myllaena multiplicationis", "Myllaena ularensis", "Myllaena fontium", "Myllaena semiconvexa", "Myllaena fluminiphila", "Myllaena multisquamosa", "Myllaena longesetipes", "Zygaena romeo calcanei", "Zygaena carniolica", "Zygaena carniolica carniolica", "Zygaena oxytropis", "Zygaena oxytropis oxytropis", "Zygaena oxytropis marae", "Zygaena viciae chiancatica", "Zygaena oxytropis acticola", "Zygaena oxytropis quercii", "Zygaena romeo freyeri", "Zygaena romeo lozerica", "Zygaena romeo megorion", "Zygaena romeo neapolitana", "Zygaena romeo orion", "Zygaena romeo parvorion", "Zygaena romeo planeixi", "Zygaena romeo romeo", "Zygaena lonicerae pseudangelicae", "Zygaena cynarae", "Zygaena punctum", "Tenuipalpus caudatus", "Zygaena rubicundus", "Zygaena purpuralis purpuralis", "Zygaena purpuralis pseudorubincundus", "Zygaena diaphana", "Zygaena minos", "Zygaena loti hypsichorica", "Zygaena loti leptoderma", "Zygaena loti oreotropha", "Zygaena loti interwagneri", "Zygaena loti sanctabalmica", "Zygaena loti achilleae", "Zygaena loti alpestris", "Tydeus goetzi", "Zygaena loti arragonensis", "Turinia pagei", "Zygaena loti avilensis", "Zygaena loti balcanica", "Zygaena loti erythristica", "Zygaena loti failliei", "Zygaena loti hypochlora", "Zygaena loti janthina", "Zygaena loti ligustica", "Zygaena loti loti", "Zygaena loti macedonica", "Zygaena loti miniacea", "Zygaena loti osthelderi", "Zygaena felix zoraida", "Rosa jundzillii", "Paraphyonus bolini", "Paraphyonus brevidorsalis", "Paraphyonus iselini", "Paraphyonus merretti", "Paraphyonus rassi", "Paraphyonus solomonensis", "Mitraspis cracens", "Aphyonus gelatinosus", "Zygaena lonicerae linnei", "Bryothinusa seychellensis", "Zygaena lonicerae microdoxa", "Zygaena lonicerae silana", "Gyrophaena comorensis", "Zygaena lonicerae thurneri", "Zygaena lonicerae vivax", "Gyrophaena rugiventris", "Placusa comorensis", "Zygaena rhadamanthus rhadamanthus", "Zygaena rhadamanthus alfacarensis", "Zygaena rhadamanthus algarbiensis", "Zygaena rhadamanthus aragonia", "Zygaena rhadamanthus aurargentea", "Zygaena rhadamanthus azurea", "Zygaena rhadamanthus caroniana", "Zygaena rhadamanthus gredosica", "Zygaena rhadamanthus grisea", "Zygaena rhadamanthus guichardi", "Zygaena rhadamanthus isabelae", "Zygaena rhadamanthus kiesenwetteri", "Zygaena rhadamanthus pyrenaea", "Zygaena rhadamanthus rasura", "Zygaena rhadamanthus stygia", "Pseudotydeus perplexus", "Pseudotydeus lebruni", "Zygaena loti plesioloti", "Zygaena nevadensis", "Zygaena nevadensis nevadensis", "Zygaena nevadensis gallica", "Zygaena nevadensis gheorghenica", "Zygaena nevadensis interrupta", "Zygaena nevadensis pelisterensis", "Zygaena nevadensis schmidti", "Zygaena nevadensis montsenica", "Riccardoella oudemansi", "Rhodactis inchoata", "Millotoca mirotermitidis", "Oligota crematogastris", "Oligota pallidicornis", "Zygaena beatrix", "Zygaena beatrix beatrix", "Zygaena beatrix albertii", "Zygaena beatrix metaxys", "Stroinolepis maenniki", "Longodus acicularis", "Zygaena beatrix felicina", "Zygaena beatrix pudiga", "Helenolepis multicostata", "Helenolepis navicularis", "Helenolepis obruchevi", "Zygaena beatrix ouzlii", "Erepsilepis margaritifera", "Phlebolepis elegans", "Eestilepis prominens", "Zygaena tremewani", "Trimerolepis lithuanica", "Evotella carnosa", "Senna ser.", "Scalpellum stearnsii", "Bathynomus richeri", "Fundulus zebrinus", "Zygaena transalpina intermedia", "Tydeus caudatus", "Tydeus spathulatus", "Senna ser.", "Senna ser.", "Placusa gomyi", "Placusa malgascia", "Placusa madecassa", "Placusa convexa", "Homalota brodschildi", "Homalota howa", "Homalota antongilicola", "Coenonica incisa", "Diestota madagascariensis", "Zygaena transalpina interjacens", "Heterotaxus pauliani", "Heterotaxus malgascius", "Zygaena alluaudi", "Zygaena alluaudi alluaudi", "Zygaena alluaudi scotoesthes", "Zygaena alluaudi inula", "Zygaena alluaudi jessima", "Zygaena alluaudi ayachica", "Zygaena alluaudi dedita", "Zygaena alluaudi galleti", "Zygaena alluaudi lamprotes", "Bellatheta turkmenistana", "Atheta asiaeminoris", "Ocyusa hartmanni", "Zygaena angelicae angelicae", "Zygaena angelicae angelicotransalpina", "Zygaena angelicae elegans", "Zygaena angelicae herzegowinensis", "Zygaena angelicae rhatisbonensis", "Zygaena angelicae ternovanensis", "Zygaena ephialtes athamanthae", "Zygaena ephialtes bohemia", "Zygaena ephialtes chalkidikae", "Zygaena ephialtes corcyrica", "Zygaena ephialtes coronillae", "Zygaena ephialtes danastriensis", "Zygaena ephialtes ephialtes", "Zygaena ephialtes istoki", "Zygaena ephialtes ligus", "Zygaena ephialtes medusa", "Zygaena ephialtes meridiei", "Zygaena ephialtes pannonica", "Zygaena ephialtes peucedani", "Zygaena ephialtes podolica", "Zygaena ephialtes retyesati", "Zygaena ephialtes roussilloni", "Zygaena ephialtes smolikana", "Zygaena ephialtes tambovensis", "Zygaena ephialtes taurida", "Zygaena ephialtes transpadana", "Zygaena ephialtes tymphrestica", "Valiukia flabellata", "Exaeretota aberlenci", "Heterotaxus carinae", "Ischnopoda lecoqi", "Oxypodinus lecoqi", "Aleochara cambodgensis", "Aloconota cambodgensis", "Atheta nahaeoensis", "Gyrophaena spinadistorta", "Leucocraspedum nankunensis", "Orphnebius fugangensis", "Pelioptera chiangmaiensis", "Pelioptera guangyineensis", "Placusa cambodgensis", "Anaulacaspis taiwanica", "Bolitochara taiwanensis", "Coenonica leptusatheca", "Coenonica taichungensis", "Coenonica taiwanensis", "Coenonica taiwanorum", "Coenonica tonensis", "Cordalia taiwanensis", "Diestota intermedia", "Diestota taiwanensis", "Leptagria furoris", "Leptagria tranquillitatis", "Myrmecocephalus brevisulcus", "Myrmecocephalus myrmecolucida", "Myrmecocephalus peinantamontis", "Myrmecocephalus taiwaelegans", "Myrmecocephalus taiwarorida", "Mimoxypoda taiwanensis", "Pseudatheta spinosa", "Pseudatheta taiwamajor", "Pseudatheta taiwanensis", "Stenomastax formosana", "Stenomastax subopaca", "Stenomastax derougemonti", "Isotedolera rougemonti", "Zyras laocaiensis", "Myllaena numeensis", "Zygaena algira", "Sternotropa monoincisa", "Myllaena atratula", "Myllaena ankaratrensis", "Myllaena anjavidilavensis", "Myllaena microptera", "Myllaena imaitsensis", "Myllaena maroantsetrensis", "Myllaena musicola", "Myllaena lemuriana", "Nopromaea andringitrensis", "Tomoxelia tropica", "Tomoxelia madagascariensis", "Tomoxelia ambrensis", "Bryothinusa madecassa", "Gyrophaena carinata", "Gyrophaena insularis", "Brachida hova", "Physocypria kraepelini", "Nannocandona faba", "Nannocandona stygia", "Cyclocypris detruncata", "Cyclocypris diebeli", "Cyclocypris fastigata", "Cyclocypris globosa", "Cyclocypris helocrenica", "Cyclocypris humilis", "Cyclocypris impressopunctata", "Cyclocypris labialis", "Cyclocypris laevis", "Cyclocypris luetzkendorfensis", "Cyclocypris meischi", "Cyclocypris neumarkensis", "Cyclocypris obunca", "Cyclocypris ovoides", "Cyclocypris ovum", "Senna ser.", "Cyclocypris pygmaea", "Cyclocypris serena", "Cyclocypris taubachensis", "Zygaena felix", "Zygaena felix felix", "Zygaena felix boursini", "Zygaena felix rolleti", "Zygaena felix hemerocallis", "Zygaena felix constantinensis", "Bolcaichthys catopygopterus", "Camisia segnis", "Acrodus kalasinensis", "Archaeogaleus lengadocensis", "Ordishia klagesi", "Automolis klagesi", "Cadiera camboensis", "Echinorhinus vielhus", "Zygaena zuleima", "Zygaena zuleima zuleima", "Zygaena zuleima harchaica", "Adscita pligori", "Adscita rungsi", "Jordanita rungsi", "Adscita rungsi rungsi", "Jordanita rungsi rungsi", "Adscita rungsi carolae", "Jordanita rungsi carolae", "Adscita mauretanica", "Adscita mauretanica mauretanica", "Adscita mauretanica atlasica", "Adscita mauretanica meson", "Arabidopsis arenosa", "Calotydeus croceus", "Brachytydeus cruciatus", "Zygaena separata", "Zygaena separata separata", "Fundulus persimilis", "Zygaena separata margelanensis", "Fundulus pulvereus", "Ceyx mulcatus", "Ceyx nigromaxilla", "Ceyx sacerdotis", "Ceyx solitarius", "Sphinx rutilus", "Obruchevacanthus ireneae", "Ischnognatha striata", "Ordishia godmani", "Ischnognatha godmani", "Ordishia cingulata", "Automolis cingulata", "Acanthorhachis spinatus", "Ordishia fafner", "Automolis fafner", "Ordishia albofasciata", "Automolis albofasciata", "Listracanthus hystrix", "Osteodiscus andriashevi", "Idiolophorhynchus andriashevi", "Physiculus andriashevi", "Bathypterois andriashevi", "Protomyctophum andriashevi", "Bathyraja andriashevi", "Andriashevia aptera", "Lycodes andriashevi", "Diestota numeensis", "Antineosteus rufus", "Aglaogaster caledonicum", "Aglaogaster giachinoi", "Thamiaraea kanak", "Confractamnis johnjelli", "Xenastenoglossa pusilla", "Xenastenoglossa trinotata", "Namibarbutia seelyae", "Linotetranus mirabebensis", "Barwickosteus antarcticus", "Grifftaylor antarcticus", "Garrigascyllium aganticensis", "Gladioserratus dentatus", "Trajancypris clavata", "Trajancypris laevis", "Trajancypris serrata", "Herpetocypris helenae", "Magistrauia unicaplicata", "Rhododendron maddenii subsp. maddenii", "Leucocraspedum javanorum", "Mikrophyesusa rougemonti", "Mimoxypoda bogorensis", "Orphnebius harpagonum", "Orphnebius sailender", "Pelioptera sanjaya", "Ceyx wallacii", "Zygaena ferganae", "Zygaena pamira", "Zygaena sengana", "Zygaena marcuna", "Zygaena marcuna marcuna", "Zygaena maroccana", "Zygaena maroccana maroccana", "Zygaena youngi", "Zygaena youngi youngi", "Aphelusa caledonica", "Lomaglossina domina", "Tydeus demeyeri", "Zygaena youngi peripelidna", "Zygaena maroccana fulgens", "Zygaena felix lucettae", "Zygaena maroccana taddertica", "Zygaena trifolii nomima", "Zygaena trifolii phaea", "Zygaena loyselis", "Zygaena loyselis mesembrina", "Zygaena loyselis marmarea", "Zygaena loyselis cimelia", "Zygaena thevestis", "Zygaena thevestis dianema", "Zygaena thevestis thaumasta", "Zygaena favonia", "Zygaena staudingeri", "Zygaena staudingeri alepida", "Zygaena staudingeri rifensis", "Zygaena staudingeri staudingeri", "Zygaena lonicerae astilbonta", "Zygaena lonicerae oenoda", "Zygaena lonicerae reichei", "Zygaena cynarae florianii", "Zygaena cynarae curtyi", "Zygaena cynarae eurogramma", "Zygaena cynarae strongyla", "Zygaena cynarae parvisi", "Zygaena punctum zangherii", "Zygaena rubicundus tarentensis", "Zygaena diaphana agnoetica", "Zygaena purpuralis hyporea", "Zygaena purpuralis altalpica", "Zygaena purpuralis colmianica", "Zygaena purpuralis anglardi", "Zygaena purpuralis pozziae", "Strotihypera plumbeotincta", "Strotihypera semiochrea", "Naranga semiochrea", "Strotihypera macroplaga", "Naranga macroplaga", "Zygaena marcuna delicioli", "Zygaena maroccana tichkana", "Zygaena maroccana harterti", "Zygaena youngi crateris", "Zygaena youngi marteni", "Zygaena marteni", "Brachytydeus szeptyckii", "Brachytydeus filiformis", "Lomaglossina kanak", "Lomaglossina parens", "Lomaglossina giachinoi", "Lomaglossina amieuensis", "Neidosphena miricornis", "Nemoedia solitaria", "Nemoedia divisa", "Nemoedia amieuensis", "Mediolata mariaefrancae", "Tonnacypris convexa", "Tonnacypris glacialis", "Tonnacypris loessica", "Tonnacypris lutaria", "Tonnacypris tonnensis", "Herpetocypris brevicaudata", "Herpetocypris chevreuxi", "Herpetocypris ehringsdorfensis", "Herpetocypris intermedia", "Herpetocypris reptans", "Chersotis delear", "Oxynoemacheilus bergianus", "Hermonassa ellenae ellenae", "Hermonassa ellenae robusta", "Hermonassa ellenae tapaishana", "Lampetra hubbsi", "Eudontomyzon hellenicus", "Tolypelepis mielnikensis", "Allium ilgazense", "Falagria pygmaea", "Myrmecocephalus javanica", "Myrmecocephalus seminitens", "Lacinipolia vicina", "Mamestra vicina", "Amphelarctia priscilla", "Automolis priscilla", "Selenarctia elissa", "Automolis elissa", "Ochthoeca thoracica", "Ochthoeca nigrita", "Leptoporodota gabonensis", "Leptoporodota similis", "Longiprimitarsus gabonensis", "Microbactrus gabonensis", "Nehemitropia gabonensis", "Oligota gabonicola", "Placusa bulbosa", "Placusa gabonensis", "Placusida gabonensis", "Stenomastax gabonensis", "Thamiaraea truncata", "Tyloplatyola coiffaiti", "Tyloplatyola gabonensis", "Typhloponemys aduma", "Typhloponemys baka", "Typhloponemys bakaorum", "Typhloponemys bapunuorum", "Typhloponemys belingensis", "Typhloponemys coiffaiti", "Typhloponemys kistneri", "Typhloponemys schweitzeri", "Aleochara qatarensis", "Selenarctia elissoides", "Automolis elissoides", "Anaulacaspis sumatrensis", "Atheta rambensis", "Chledophila javana", "Drusilla manubrifera", "Eidozyras sumatrensis", "Selenarctia flavidorsata", "Selenarctia pseudelissa", "Automolis pseudelissa", "Characidium helmeri", "Conisania egenoides", "Diarsia pygmaea", "Epipsilia gaudens", "Lamprosticta niphopasta", "Conisania leineri", "Conisania leineri leineri", "Conisania leineri poelli", "Conisania ostrogovichi", "Conisania poelli", "Conisania poelli poelli", "Conisania poelli daghestanica", "Apopronematus bakeri", "Apotriophtydeus wilkesi", "Antaeotricha floridella", "Apotriophtydeus penola", "Heteranassa mima", "Apotriophtydeus scotia", "Apotriophtydeus terror", "Homoptera mima", "Campometra fraterna", "Heteranassa minor", "Ogdoconta margareta", "Afrobrachida gabonensis", "Afrodotina gibba", "Apimela gabonensis", "Asthenepoda gabonensis", "Atheta sulci", "Atheta belingorum", "Atheta gabonensis", "Atheta belingaensis", "Cypha gabonensis", "Demerilla gabonensis", "Derema coiffaiti", "Diestota coiffaiti", "Diestota gabonensis", "Diestota gabonicola", "Diplopleurus gabonensis", "Dorylophila gabonensis", "Gabondota coiffaiti", "Geopora gabonensis", "Gnypeta coiffaiti", "Gnypeta gabonensis", "Gyrophaena baka", "Gyrophaena coiffaiti", "Gyrophaena gabonensis", "Homalota coiffaiti", "Homalota gabonensis", "Melanarctia ockendeni", "Automolis ockendeni", "Melanarctia lativitta", "Automolis ockendeni ockendeni", "Automolis ockendeni lativitta", "Himerarctia docis", "Automolis docis", "Aesthetydeus setsukoae", "Automolis basalis", "Himerarctia viridisignata", "Himerarctia laeta", "Himerarctia griseipennis", "Automolis griseipennis", "Automolis angulosa", "Automolis immaculata", "Automolis spitzi", "Viviennea dolens", "Automolis immarginata", "Automolis tegulata", "Automolis tegulata tegulata", "Eucypris crassa", "Automolis tegulata aurantiaca", "Eucypris dulcifons", "Automolis dolens", "Eucypris heinrichi", "Eucypris elliptica", "Eucypris helocrenica", "Eucypris inflata", "Eucypris obtusa", "Eucypris lilljeborgi", "Eucypris pigra", "Viviennea zonana", "Automolis zonana", "Viviennea ardesiaca", "Pelioptera hartmanni", "Automolis ardesiaca", "Atheta bicoloripes", "Atheta torrespainensis", "Atheta campanensis", "Automolis schistaceus", "Myllaena painensis", "Phloeopora fuegina", "Viviennea griseonitens", "Automolis griseonitens", "Leptusa sampeyrensis", "Ordishia rutilus", "Urvaspis lithuanica", "Fundulus stellifer", "Nymphalis xanthomelas", "Nymphalis xanthomelas xanthomelas", "Nymphalis xanthomelas hazara", "Primotydeus strandtmanni", "Paraschistura delvarii", "Rhododendron album", "Rhododendron arboreum subsp. zeylanicum", "Paraschistura turcomana", "Hyphessobrycon clavatus", "Pseudoplandria poggii", "Rencoma insularum", "Stenomastax engganensis", "Stenomastax plicata", "Sumatrilla sumatrensis", "Tetrabothrus canescens", "Thamiaraea poggii", "Thamiaraea sumatrorum", "Zyras uelensis", "Zyras paracompressicornis", "Zyras parageminus", "Eicomorpha epipsiloides", "Evisa pinkeri", "Polymixis mandschurica", "Afrotydeus kenyensis", "Cryphia acharista", "Polyphaenis hemiphaenis", "Trachea leucochlora", "Karana metallica", "Pseudohadena stenoptera", "Pseudohadena rjabovi", "Pseudohadena megaptera", "Polymixis argillosa", "Polymixis omanensis", "Silvicultrix spodionota", "Lubricogobius nanus", "Caradrina lobbichleri", "Proxenus lyrophora", "Lubricogobius dinah", "Athetis lyrophora", "Apolorryia congoensis", "Lubricogobius tre", "Lubricogobius exiguus", "Lubricogobius ornatus", "Mythimna noacki", "Lobulogobius omanensis", "Parupeneus biaculeatus", "Thiesus concavus", "Rhododendron crassifolium", "Gastornis gigantea", "Hoplias mbigua", "Bellatheta pahangensis", "Pastorius methenyi", "Atheta spinosa", "Eleogobius brevis", "Atheta putridula", "Atheta borneana", "Eleogobius gaudanti", "Atheta horrida", "Apamea gabrieli", "Apamea scoparia", "Aseptis murina", "Aseptis ferruginea", "Aseptis pseudolichena", "Aseptis lichena", "Orthomoia bloomfieldi", "Fergusonix januaris", "Euxoa faulkneri", "Astrotischeria neotropicana", "Catocala hetaera", "Catocala separans", "Ornatoscyllium rugasimulatum", "Ornatoscyllium freemani", "Tigrioides limayca", "Paracestracion pectinatus", "Parahemiscyllium underwoodwardi", "Pseudorhina crocheti", "Rhododendron cuffeanum", "Abies magnifica var. critchfieldii", "Abies magnifica var. magnifica", "Fundulus blairae", "Gastropaga muluicola", "Platorischna montana", "Platorischna assingi", "Platorischna muluensis", "Platorischna pusilla", "Platorischna pseudopusilla", "Platorischna bicochlea", "Platorischna lambirensis", "Platorischna kinabaluensis", "Platorischna longipennis", "Platorischna fontium", "Stenomastax platygaster", "Rhododendron wiltonii", "Gobius multipinnatus", "Codoglossa morbida", "Pelioptera monticola", "Pheigetoxenus borneensis", "Pheigetoxenus akrei", "Pheigetoxenus alzadae", "Pheigetoxenus browni", "Pheigetoxenus cornutus", "Pheigetoxenus hoelldobleri", "Pheigetoxenus jacobsoni", "Pheigetoxenus krikkeni", "Pheigetoxenus pasteelsi", "Pheigetoxenus rettenmeyeri", "Pheigetoxenus taylori", "Pheigetoxenus watsoni", "Pheigetoxenus wilsoni", "Heliophobus reticulata reticulata", "Heliophobus reticulata bicyclica", "Apatele auricoma", "Apatele auricoma auricoma", "Apatele auricoma bordei", "Nyodes semliki", "Nyodes isabellae", "Fundulus dispar", "Nyodes petersi", "Nyodes steelei", "Nyodes pelletieri", "Nyodes brevicornis", "Terelabrus dewapyle", "Xanthia brevicornis", "Parambassis serrata", "Myrmecocephalus paranitens", "Ischnopoda lyrafera", "Zygaena ephialtes perodeaui", "Ectropis pluto", "Ectropis hero", "Herbulotides amphion", "Herbulotides ino", "Herbulotides sao", "Herbulotides sao sao", "Herbulotides sao bongolava", "Herbulotides lymantrina", "Pseudocrocinis lymantrina", "Fundulus rathbuni", "Illiberis cernyi", "Illiberis ulmivora", "Lycia isabellae", "Lycia isabellae isabellae", "Lycia isabellae strobinoi", "Canaryichthys rozefeldsi", "Ptyktoptychion wadeae", "Ptyktoptychion tayyo", "Cipactlichthys scutatus", "Fundulus relictus", "Carpediemonas membranifera", "Rhododendron petrocharis", "Rhododendron dendrocharis", "Gnypeta bruneiorum", "Gnypeta kinabaluensis", "Zygaena erythrus", "Karanasa bolorica hodja", "Teletriophtydeus wadei", "Pararge hindukushica", "Lasiommata hindukushica", "Allosaurus atrox", "Leptusa chinensis", "Leptusa sichuanensis", "Xyleborus sporodochifer", "Pseudatheta thailandensis", "Autalia limata", "Tydeus shabestariensis", "Xyleborus nigricans", "Metatydaeolus joannis", "Edbakerella marshalli", "Coccalicus lukoschusi", "Securidaca pendula", "Mamestra imbuna", "Lacinipolia teligera", "Curculionichthys coxipone", "Curculionichthys insperatus", "Mamestra teligera", "Lacinipolia pensilis", "Curculionichthys sabaji", "Curculionichthys sagarana", "Dianthoecia pensilis", "Curculionichthys luteofrenatus", "Curculionichthys oliveirai", "Curculionichthys paresi", "Curculionichthys piracanjuba", "Lacinipolia acutipennis", "Mamestra acutipennis", "Mamestra ascula", "Mamestra doira", "Occitanodus sudrei", "Lacinipolia subalba", "Acontia lagunae", "Acronicta browni", "Merolonche australis", "Apamea bernardino", "Atheta neamicrotheca", "Atheta ramifera", "Atheta preludi", "Berca borneana", "Pelioptera seminuda", "Pelioptera ics", "Pelioptera longearmata", "Pelioptera irigaster", "Pelioptera omissa", "Pelioptera burckhardti", "Pelioptera perinsolita", "Colias alpherakii", "Colias alpherakii alpherakii", "Colias alpherakii kohibaba", "Colias alpherakii tashkurgonica", "Colias alpherakii usmatica", "Perafrotydeus meyerae", "Aporia leucodice leucodice", "Aporia leucodice aryana", "Prelorryia indonesiensis", "Fabriciana niobe niobe", "Fabriciana niobe shiva", "Fabriciana niobe kurana", "Fabriciana niobe demavendis", "Pretydeus kevani", "Fabriciana niobe khusestana", "Pretriophtydeus tilbrooki", "Kanetisa digna", "Kanetisa digna digna", "Kanetisa digna zarathustra", "Chazara heydenreichi kullmanni", "Chlorophthalmus agassizi", "Pseudochazara baldiva", "Pseudochazara baldiva baldiva", "Pseudochazara baldiva panjshira", "Pseudochazara baldiva atambegi", "Pseudochazara turkestana badachshana", "Cetorhinus huddlestoni", "Paratriophtydeus wadei", "Pseudochazara watsoni", "Pseudochazara watsoni watsoni", "Chlamydoselachus landinii", "Pseudochazara watsoni wakhlikhani", "Pseudochazara watsoni dargaga", "Copodus lebedevi", "Karanasa pamira titan", "Pronematulus vandus", "Karanasa bolorica", "Karanasa bolorica bolorica", "Karanasa bolorica mohsenii", "Zygaena erythrus erythrus", "Zygaena erythrus dujardini", "Zygaena charon", "Zygaena charon charon", "Zygaena charon dourbensis", "Zygaena viciae charon", "Euchalcia armeniae", "Euchalcia cuprescens", "Euchalcia annemaria", "Euchalcia augusta", "Euchalcia augusta augusta", "Euchalcia augusta wolfi", "Coccalicus alpinus", "Demerinda borneensis", "Aloconota dimidiata", "Hydrosmecta pulchricolorata", "Atheta antennaria", "Atheta magnalamina", "Euchalcia kautti", "Atheta muluensis", "Euchalcia olga", "Euchalcia serraticornis", "Atheta rufoapicalis", "Euchalcia viridis", "Atheta thaymastocornis", "Euchalcia viridis viridis", "Atheta borneosuspiciosa", "Euchalcia viridis phrygiae", "Atheta dilatatiapex", "Atheta microfistula", "Atheta inversitheca", "Coccalicus clavatus", "Atheta semitaevagans", "Atheta taedafera", "Atheta stenomastaxoides", "Atheta semiasymmetrica", "Colias marcopolo", "Atheta microtheca", "Colias marcopolo kushana", "Colias marcopolo marcopolo", "Fundulus seminolis", "Securidaca retusa", "Papilio alexanor hazarajatica", "Papilio alexanor eitschbergeri", "Securidaca fruticans", "Securidaca maguirei", "Securidaca prancei", "Securidaca savannarum", "Gonorhynchus adiscus", "Securidaca speciosa", "Gonorhynchus bicornis", "Archiponera wheeleri", "Parastemmiulus elektron", "Atheta discriminata", "Nepalota pernitida", "Nepalota martensi", "Hygronoma chinensis", "Aristolochia altanii", "Parnassius tianschanicus shiva", "Pyrus georgica", "Boloria hegemone", "Boloria hegemone hegemone", "Boloria hegemone houri", "Lyela amirica", "Thymelicus leonina kushana", "Cyprois marginata", "Hyponephele capella grossi", "Hyponephele susurrans", "Hyponephele susurrans susurrans", "Hyponephele susurrans clenchi", "Hyponephele mussitans", "Gonorhynchus diplochilus", "Gonorhynchus burmanicus", "Gonorhynchus latius", "Securidaca bialata", "Lohuecosuchus megadontos", "Lohuecosuchus mechinorum", "Coenonica schuelkei", "Coenonica rugosissima", "Silusa shaanxiensis", "Silusa leptusoides", "Silusa schuelkei", "Silusa sichuanensis", "Neoleptusa schuelkei", "Phymatura sichuanensis", "Diestota ming", "Brachytydeus bedfordiensis", "Metalorryia armaghensis", "Lagochilus bungei", "Neodactria glenni", "Neodactria cochisensis", "Idiolorryia macquillani", "Idiolorryia marci", "Brachytydeus stefani", "Andretydaeolus alius", "Moeris striga", "Talides striga", "Moeris seth", "Moeris nut", "Brianaria lutulata", "Parnassius mnemosyne hunti", "Actias selene eberti", "Securidaca warmingiana", "Securidaca tenuifolia", "Paroaria nigrogenis", "Liogluta iperintroflexa", "Brianaria sylvicola", "Brianaria tuberculata", "Pyrgus alpinus alpinus", "Liogluta sabdensis", "Liogluta infacunda", "Liogluta kangdingensis", "Liogluta caliginis", "Liogluta rhomboidalis", "Pyrgus alpinus alichurensis", "Pyrgus alpinus mustagatae", "Pyrgus darwazicus", "Pyrgus darwazicus darwazicus", "Pyrgus darwazicus celsimontius", "Pyrgus darwazicus distinctus", "Pyrgus cashmirensis pseudoalpinus", "Chirgus barrosi", "Pyrgus bolkariensis", "Baculifera macromera", "Parnassius mnemosyne cayollensis", "Baculifera metaphragmioides", "Baculifera metaphragmia", "Securidaca atroviolacea", "Securidaca philippinensis", "Securidaca ecristata", "Buellia dimbulahensis", "Buellia herveyensis", "Buellia hyporosea", "Securidaca marginata", "Buellia kaproorea", "Buellia rhizocarpella", "Securidaca divaricata", "Securidaca paniculata", "Moeris menopis", "Moeris strada", "Moeris stroma", "Mnasitheus submetallescens", "Atheta placita", "Euptychia juanjoi", "Cypridopsis absoloni", "Cypridopsis concolor", "Cypridopsis elongata", "Cypridopsis groebernensis", "Cypridopsis hartwigi", "Cypridopsis lusatica", "Cypridopsis parva", "Euptychia neblina", "Euptychia lacandona", "Heterocypris barbara", "Heterocypris neumarkensis", "Heterocypris reptans", "Heterocypris rotundata", "Heterocypris salina", "Thayeria boehlkei", "Myelobia nicaraguensis", "Triophtydeus bakeri", "Hyponephele shivacola", "Hyponephele capella eitschbergeri", "Securidaca cacumina", "Securidaca scandens", "Liogluta serpentitheca", "Liogluta biacusifera", "Liogluta imitatrix", "Liogluta ignorata", "Parnassius mnemosyne craspedontis", "Kretania stekolnikovi", "Tydeus mvurwiensis", "Kretania modica", "Tydeus meshkinensis", "Wallichia oblongifolia", "Neolycaena lunara lunara", "Neolycaena lunara oksana", "Leistus kazenasi", "Carabus wusunshanicus", "Microdaccus sugonjaevi", "Brachytydeus persiaensis", "Profundulus mixtlanensis", "Brianaria bauschiana", "Paraglaphyrus ovalis", "Paraglaphyrus robustus", "Paraglaphyrus subtilis", "Brachytydeus scutatus", "Paraglaphyrus yixianensis", "Hagnagora richardi", "Hagnagora hedwigae", "Hagnagora mirandahenrichae", "Hagnagora buckleyi", "Hagnagora catagrammina", "Hagnagora lex", "Neopronematus sepasgosariani", "Heterusia anicata", "Hime capitonis", "Hime caudizoma", "Hime surrubea", "Lonchidion cristatum", "Meristodonoides multiplicatus", "Hagnagora croceitincta", "Polythrena croceitincta", "Hagnagora epimena", "Hagnagora clustimena", "Heterusia clustimena", "Cantioscyllium grandis", "Hagnagora mortipax", "Scordylia mortipax", "Nephodia flavipectus", "Hagnagora jamaicensis", "Heterusia jamaicensis", "Heterusia acothysta", "Hagnagora acothysta", "Hagnagora guatica", "Scordylia guatica", "Hagnagora ephestris", "Heterusia ephestris", "Hagnagora discordata", "Scordylia discordata", "Atheta quadrifalcifera", "Atheta perconsanguinea", "Atheta longefalcifera", "Atheta emeicola", "Atheta emeimontis", "Acrotona fellowesi", "Mocyta deuvei", "Acrotona luteihumeri", "Atheta hailuogouensis", "Atheta sichuanicola", "Atheta masculifrons", "Atheta gibba", "Atheta neoamicula", "Atheta tardoides", "Atheta zhongdianensis", "Atheta liaoningensis", "Atheta angulispina", "Atheta ridenda", "Atheta jiudingensis", "Atheta zhagaensis", "Atheta consequens", "Hagnagora luteoradiata", "Heterusia luteoradiata", "Hagnagora subrosea", "Cophocerotis subrosea", "Buellia bohlensis", "Securidaca longifolia", "Eurodotina inquinula", "Koencypris ornata", "Bradleystrandesia affinis", "Bradleystrandesia fuscata", "Bradleystrandesia hirsuta", "Psychrodromus fontinalis", "Cypretta eissmanni", "Limnocythere blankenbergensis", "Limnocythere dorsotuberculata", "Plusia rhodographa", "Limnocythere falcata", "Ctenoplusia seyrigi", "Limnocythere goersbachensis", "Plusia seyrigi", "Limnocythere parallela", "Limnocythere suessenbornensis", "Napocheima robiniae", "Sucra jujuba", "Yala pyricola", "Collotheca algicola", "Securidaca paniculata var. lasiocarpa", "Securidaca paniculata var. paniculata", "Paralimnocythere psammophila", "Paralimnocythere relicta", "Cytherissa lacustris", "Cytheromorpha fuscata", "Cyprideis torosa", "Camellia sect.", "Securidaca yaoshanensis", "Sophronia albomarginata", "Sophronia orientalis", "Pseudohydnum gelatinosum", "Camellia grijsii", "Camellia grijsii var. grijsii", "Camellia grijsii var. shensiensis", "Tydeus riopardensis", "Prelorryia labrusca", "Pretydeus henriandrei", "Paropsisterna bimaculata", "Chrysodeixis omeiensis", "Paropsisterna intacta", "Chrysodeixis taiwani", "Adoketoxenus thailandensis", "Agnosiusa angkoricola", "Agnosiusa semiellittica", "Aleochara celebensis", "Aleochara chumphonicola", "Amphibolusa laosiensis", "Angkorusa templi", "Apimela angkorensis", "Apimela templi", "Atheta fuscofasciata", "Bryophila diachorisma", "Cryphia diachorisma", "Bryophila gigantea", "Cryphia gigantea", "Cryphia icteria", "Securidaca pubescens", "Coboydaia clavata", "Securidaca uniflora", "Plusia megaloba", "Plusia albostriata", "Ctenoplusia furcifera", "Plusia furcifera", "Ctenoplusia aurisuta", "Plusia aurisuta", "Ctenoplusia epargyra", "Plusia epargyra", "Ctenoplusia griveaudi", "Plusia griveaudi", "Ctenoplusia leucostigma", "Plusia leucostigma", "Ctenoplusia micans", "Plusia micans", "Ctenoplusia sumbawana", "Ctenoplusia kosemponensis", "Alevonota venusta", "Phytometra kosemponensis", "Ctenoplusia placida", "Alevonota franziana", "Plusia placida", "Cordalia chinensis", "Argyrogramma yunnanensis", "Atlantostiba franzi", "Alevonota pacei", "Ctenoplusia molybdina", "Plusia molybdina", "Ctenoplusia pauliani", "Plusia pauliani", "Ctenoplusia rhodographa", "Atheta floresensis", "Nepalota namphoensis", "Atheta songpanensis", "Atheta falcifera", "Atheta pertinens", "Atheta stenotheca", "Atheta latifalcifera", "Atheta mesofalcifera", "Atheta hamifera", "Atheta micromega", "Atheta transcripta", "Atheta mimomonticola", "Atheta paralaevicauda", "Atheta aniiensis", "Nepalota fellowesi", "Nepalota guangdongensis", "Paraloconota puella", "Paraloconota dalijiamontis", "Oroekklina smetanai", "Bellatheta granulosa", "Bellatheta bellicosa", "Alevonota pulchricornis", "Alevonota sinensis", "Alevonota foedicornis", "Taxicera sinensis", "Amidobia perconvexa", "Amidobia ming", "Alevonota ocularis", "Alevonota nepalensis", "Alevonota basicornis", "Lonchidion paramilloensis", "Megachasma applegatei", "Hyponephele mussitans mussitans", "Hyponephele mussitans bala", "Hyponephele mussitans pseudomussitans", "Hyponephele davendra", "Chiloglanis devosi", "Chiloglanis kerioensis", "Hyponephele davendra davendra", "Hyponephele davendra evanescens", "Hyponephele amardaea amardaea", "Hyponephele amardaea perplexa", "Hyponephele hilaris shanahwazi", "Hyponephele hilaris djalali", "Paralasa asura asura", "Paralasa asura panjshira", "Paralasa manioides", "Pyrgus cashmirensis", "Pyrgus cashmirensis cashmirensis", "Pyrgus cashmirensis lilliput", "Ptychochromis mainty", "Gnypeta yingkouensis", "Baculifera epifuscescens", "Aloconota umbonis", "Aloconota jinfoensis", "Pyrgus cashmirensis pumilus", "Pelioptera tronqueti", "Fissodopsis robustus", "Geostibasoma opacisuturale", "Pyrgus alpinus", "Automolis gyrata", "Viviennea gyrata", "Viviennea euricosilvai", "Richardosteus barwickorum", "Buchanosteus confertituberculatus", "Palaeomystella beckeri", "Viviennea superba", "Automolis superba", "Automolis sulfurea", "Viviennea salma", "Automolis salma", "Automolis salma salma", "Automolis salma whitei", "Viviennea flavicincta", "Curtisia dentata", "Creatonotos flavicinctus", "Securidaca pyramidalis", "Ctenoplusia adiaphora", "Acanthoplusia adiaphora", "Plusia agnata", "Ctenoplusia agnata", "Ctenoplusia mutans", "Plusia mutans", "Atheta laosicola", "Atheta nanlingensis", "Plusia aeneofusa", "Atheta nectariana", "Atheta puellina", "Acrotona shimentaiensis", "Atheta triprensilis", "Atheta utarensis", "Chrysodeixis eriosoma", "Brachida stomaciformis", "Coenonica ranongensis", "Plusia eriosoma", "Delonusa angkorensis", "Plusia acuta", "Drusilla dumogaicola", "Drusilla longatheca", "Drusilla perdensa", "Drusilla persulcata", "Drusilla plena", "Securidaca leiocarpa", "Drusilla truncatella", "Chrysodeixis heberachis", "Erastriusa ornata", "Phytometra heberachis", "Falagria sulawesiensis", "Giachinusa celebensis", "Chrysodeixis illuminata", "Gyrophaena evoluta", "Gyrophaena ranongensis", "Chrysodeixis minutus", "Ischnonota angkorensis", "Plusiopalpa adrasta", "Plusiopalpa adrasta adrasta", "Lamprostenusa thailandensis", "Plusiopalpa adrasta shisa", "Leptostiba angkorensis", "Leptostiba cambodgensis", "Leptostiba profunda", "Leptusa thailandensis", "Leucocraspedum flagelliferum", "Leucocraspedum phatoensis", "Leucocraspedum sulawesicolum", "Anaulacaspis microtheca", "Mimoxypoda grootaerti", "Brachydesmus sjenicae", "Brachydesmus mulaomerovici", "Brachydesmus verrucosus", "Perloplusia pseudopyropia", "Belbogosoma stribogi", "Perloplusia neorutilifrons", "Balkanodesmus biokovensis", "Solentanodesmus insularis", "Velebitodesmus cavernicolus", "Heterolatzelia karlstrasseri", "Egonpretneria vudutschajldi", "Haasia jalzici", "Macrochaetosoma bertiscea", "Cibiniulus slovacus", "Thassoblaniulus radjai", "Isadia arefievi", "Camellia sect.", "Camellia subg.", "Apalonia marginifera", "Apalonia bondensis", "Apalonia fuscofemoralis", "Apalonia marginella", "Apalonia stilifera", "Apalonia pampeana", "Apalonia circumflexa", "Apalonia ancilla", "Orphnebius granulifer", "Orphnebius magdaleniensis", "Orphnebius trifurcatus", "Orphnebius ecuadorensis", "Orphnebius vescicularis", "Macrogerodonia colombiana", "Zyras paecesanus", "Idiostiba puthzi", "Idiostiba manabicola", "Diacanthochara ecuadorica", "Diacanthochara bartolozzii", "Thiasophila pulchricornis", "Aleochara frontalis", "Aleochara aequatoris", "Camellia \u00d7 vernalis", "Myledaphus pustulosus", "Obruchevodus griffithi", "Eugraphe olivacea", "Circinaria elmorei", "Photoscotosia portentosaria", "Epilobophora mitis", "Pseudopronematulus acus", "Kuldscha vicinalis", "Microtydeus hylinus", "Primotydeus similis", "Hepialus xunhuaensis", "Hepialus cingulatus", "Hepialus luquensis", "Athymoris paramecola", "Athymoris nectarus", "Circinaria caesiocinerea", "Nymphaea loriana", "Orphnebius angkorensis", "Orphnebius drugmandi", "Orphnebius grootaerti", "Orphnebius incertus", "Orphnebius loeiensis", "Orphnebius nanlingensis", "Oxypoda nanlingensis", "Pelioptera dumogaensis", "Pelioptera ornatipennis", "Pelioptera plena", "Pelioptera sulawesicola", "Pelioptera vanstallei", "Placusa subacuminata", "Placusa thai", "Leucocythere mirabilis", "Platyola baliensis", "Limnocytherina sanctipatricii", "Paralimnocythere bicornis", "Paralimnocythere compressa", "Aureoboletus moravicus", "Fundulus nottii", "Fundulus sciadicus", "Parasquatina zitteli", "Camellia sect.", "Spongiocaris hexactinellicola", "Camellia sect.", "Parasquatina cappettai", "Camellia sect.", "Camellia sect.", "Camellia sect.", "Parasquatina jarvisi", "Parasquatina justinensis", "Camellia sect.", "Camellia sect.", "Thayeria ifati", "Hemigrammus lunatus", "Camellia sect.", "Camellia sect.", "Camellia sect.", "Camellia subg.", "Camellia sect.", "Camellia sect.", "Camellia sect.", "Camellia sect.", "Camellia ser.", "Camellia subsect.", "Circinaria leprosescens", "Leptusa gansuensis", "Leptusa rougemonti", "Pareromene tibetensis", "Ivela auripes", "Ivela ochropoda", "Circinaria rogeri", "Garra mondica", "Monobothrus celebensis", "Securidaca fragilis", "Anadevidia peponis", "Noctua peponis", "Phytometra crassisigna", "Plusia tetragona", "Antoculeora yoshimotoi", "Pluteus cervinus", "Erythroplusia pyropia", "Plusia pyropia", "Sciuro-hypnum populeum", "Hieromantis rectangula", "Hieromantis arcuata", "Lycoperdon perlatum", "Hieromantis puerensis", "Hieromantis phaeodora", "Lycoperdon pyriforme", "Securidaca inappendiculata", "Calvatia gigantea", "Circinaria arida", "Chlorophyllum brunneum", "Agaricus xanthodermus", "Volvariella bombycina", "Securidaca inappendiculata subsp. corymbosa", "Leptonia colombica", "Heterostiba cotopaxiensis", "Heterostiba uhligi", "Dinusella aequinoctialis", "Apalonia chibcha", "Apalonia sanctipetri", "Neopronematus aegeae", "Securidaca trianae", "Securidaca inappendiculata subsp. inappendiculata", "Omanoselache halli", "Omanoselache angiolinii", "Omanoselache hendersoni", "Argyrogramma tarassota", "Centroscymnus owstonii", "Ctenoplusia tarassota", "Phytometra tarassota", "Ctenoplusia aeneofusa", "Metapronematus leucohippeus", "Calpe argyrolampra", "Calpe igneceps", "Calpe basiplaga", "Calpe argyrosema", "Calpe aeneofusa", "Calpe glaucocheila", "Circinaria calcarea", "Calpe excitans", "Melissotydeus macrosolenus", "Argyrogramma aeneofusa", "Plusidia chinghalensis", "Nothobranchius torgashevi", "Melanoplusia jessica", "Sclerogenia jessica", "Fundulus chrysotus", "Ozarcus mapesae", "Parasa cambouei", "Parnia cambouei", "Parnia villosipes", "Parasa affinis", "Parasa ananii", "Parasa prussi", "Fundulus lineolatus", "Fundulus luciae", "Parascylloides turnerae", "Synechodus seinstedtensis", "Hong guerreroi", "Hong slipinskii", "Estimata alexis", "Circinaria contorta", "Securidaca spinifex", "Pshekharus yesinorum", "Securidaca tomentosa", "Navigobius vittatus", "Camellia sect.", "Camellia sect.", "Circinaria gibbosa", "Camellia sect.", "Camellia subg.", "Camellia sect.", "Circinaria hispida", "Securidaca lanceolata", "Tauchira damingshana", "Aeropedellus gaolanshanensis", "Chorthippus longdongensis", "Paratoacris reticulipennis", "Catantops rufipennis", "Caryanda vittata", "Longzhouacris jinxiuensis", "Hyalophora mexicana", "Myllaena cornelli", "Eotetranychus firmianae", "Ocyusa cornelli", "Anebolura neocaledonica", "Brachida stilifera", "Cypha lancea", "Linoglossa marginipennis", "Linoglossa similis", "Nemoedia ancora", "Nemoedia flagellans", "Nemoedia guilberti", "Nemoedia notabilis", "Nemoedia perevoluta", "Nemoedia subrudis", "Sternotropa alabarda", "Sternotropa appendiculata", "Sternotropa ascia", "Sternotropa guilberti", "Sternotropa multiplex", "Sternotropa puncticornis", "Reticulitermes cancrifemuris", "Reticulitermes microcephalus", "Phaonia recta", "Phaonia aureoloides", "Pristella maxillaris", "Myxiops aphos", "Parapristella georgiae", "Coptosoma yunnanum", "Coptosoma tuberculatum", "Coptosoma minutum", "Parapristella aubynei", "Coptosoma lunatum", "Typhlodromus pineus", "Leptusa microvolans", "Leptusa gonggamontis", "Geostiba chinensis", "Phytoseius subtilis", "Geostiba sakhalinensis", "Geostiba vladivostokensis", "Amblyseius omei", "Amblyseius compressus", "Atheta cornelli", "Geostiba graveyardensis", "Geostiba balsamensis", "Geostiba carteriensis", "Kindbergia praelonga", "Hyleoglomeris albicornis", "Meropiboydaia merops", "Hyleoglomeris alticola", "Circinaria jussuffii", "Securidaca brownei", "Circinaria lacunosa", "Bryopolia tribulis", "Bryopolia boursini", "Hada fraterna", "Discestra rosea", "Lacanobia w-latinoides", "Anbarrhacus adamantis", "Securidaca froesii", "Securidaca lateralis", "Securidaca fundacionensis", "Securidaca cayennensis", "Pyrenaria spectabilis var. spectabilis", "Automeris viettei", "Pyrenaria spectabilis var. greeniae", "Automeris contempta", "Automeris contempta contempta", "Maatidesmus paachtun", "Circinaria alpicola", "Circinaria aschabadensis", "Automeris contempta nyctimenoides", "Catarractodes fulgens", "Automeris contempta flavissima", "Automeris contei", "Catarractodes embuensis", "Automeris newmani", "Catarractodes obscurus", "Exostoma tenuicaudata", "Garra cornigera", "Garra trilobata", "Securidaca dolod", "Yunnanilus qujinensis", "Anablepsoides fransvermeuleni", "Securidaca lophosoma", "Geophagus diamantinensis", "Endohyalina arachniformis", "Securidaca purpurea", "Securidaca goudotiana", "Rhynchostegium riparioides", "Rhynchostegium megapolitanum", "Caloderella humboldti", "Caloderella carinata", "Brachida columbiensis", "Brachida caldasensis", "Gyrophaena spatulata", "Gyrophaena cotopaxiensis", "Gyrophaena martensis", "Gyrophaena perincisa", "Gyrophaena praelapsa", "Brachychara bartolozzii", "Cyllogerusa rubicula", "Chrysaster hagicola", "Hadula nekrasovi", "Securidaca welwitschii", "Hadula halolimna", "Circinaria tomini", "Conisania oxyptera", "Bryopolia bryoxenoides", "Chersotis petermarci", "Chersotis shandur", "Astrida caprimulgi", "Paraona benderi", "Lithosia chekiangica", "Lithosia chekiangica chekiangica", "Lithosia chekiangica eliesabethae", "Eudera bisulcata", "Thecturota schuberti", "Falagria stricta", "Meronera albicincta", "Drasteria pulverosa pulverosa", "Atheta brasiliana", "Acrotona parcior", "Drasteria pulverosa intermedia", "Atheta columbica", "Anumeta fractistrigata", "Tyloplatyola microphthalma", "Tyloplatyola pseudomicrophthalma", "Tyloplatyola elgonensis", "Tyloplatyola coeca", "Tyloplatyola ruandensis", "Tyloplatyola kenyensis", "Tyloplatyola magna", "Polyteinia andreinii", "Camellia sect.", "Camellia sect.", "Camellia ser.", "Camellia subsect.", "Saxifraga aphylla", "Caradrina psammopsis", "Caradrina germainii", "Polymixis flavicincta", "Polymixis flavicincta flavicincta", "Polymixis flavicincta lajonquierei", "Polymixis lajonquierei", "Polymixis flavicincta caroli", "Polymixis flavicincta laportei", "Polymixis flavicincta meridionalis", "Namibacarus sabulosus", "Moenkhausia uirapuru", "Porus nakuruensis", "Porus ruandensis", "Porus umtaliensis", "Dryobotodes cerris cerris", "Dryobotodes cerris uniformis", "Dryobotodes carbonis", "Dryobotodes carbonis carbonis", "Dryobotodes carbonis europaea", "Dalbergia volubilis", "Circinaria esculenta", "Naprepa guianensis", "Naprepa pulcherioides", "Naprepa pallescens", "Naprepa annae", "Circinaria fruticulosa", "Diphterocome bubaceki", "Aegle porphyrinoides", "Bryomima vartianorum", "Amphipyra kitti", "Bryophila lugubris", "Circinaria gyrosa", "Circinaria rostamii", "Globia leneki", "Xanthia lunaki", "Ctenoceratoda septemlacustris", "Lacanobia glaseri", "Trispeleognathus striatus", "Cirrhia lunaki", "Cerura delavoiei delavoiei", "Cerura delavoiei canariensis", "Bifurcifer afghanus", "Securidaca falcata", "Securidaca revoluta", "Circinaria affinis", "Pseudoplandria sulawesiensis", "Pseudoplandria thailandensis", "Stenomastax fili", "Taxicera avinidicola", "Thamiaraea oblita", "Tomoxelia nidicola", "Zyras angkoricola", "Zyras chumphonensis", "Zyras drugmandi", "Zyras nectarinicola", "Zyras perdecoratus", "Zyras spissatheca", "Zyras subcompressicornis", "Zyras thailandensis", "Zyras triangulum", "Knipolegus cabanisi", "Paracaroides louveli", "Zygaena lavandulae", "Zygaena lavandulae lavandulae", "Zygaena lavandulae eucyanea", "Neoapolorrya kristinae", "Securidaca amazonica", "Securidaca acuminata", "Securidaca macrocarpa", "Securidaca ovalifolia", "Lacanobia kirghisa", "Lacanobia altyntaghi", "Amphipoea cuneata", "Hadula gobideserti", "Securidaca micheliana", "Aenictonia kenyensis", "Amarochara loitensis", "Amarochara nakuruensis", "Apimela mahnerti", "Apimela heteroclita", "Apimela luorum", "Apimela rangirensis", "Apimela kirimirensis", "Apimela perreti", "Apimela zerchei", "Apimela kayovensis", "Aleochara minutus", "Aleochara natalensis", "Aleochara kiambuensis", "Aleochara kivu", "Oligota tricolor", "Gyrophaena quassa", "Gyrophaena mahunkai", "Plesiomalota hispidula", "Diestota flavipennis", "Circinaria sphaerothallina", "Phyllonorycter celtidis", "Neolithocolletis hikomonticola", "Fissurina bullata", "Securidaca planchoniana", "Lithocolletis pentadesma", "Ocellularia australiana", "Thelotrema fuscosubtile", "Thelotrema inspersoporinaceum", "Cameraria quadrifasciata", "Cameraria trizosterata", "Cameraria barlowi", "Cameraria fasciata", "Cameraria milletiae", "Cameraria borneensis", "Verbascum varians var. flexuosum", "Verbascum varians var. leptosepalum", "Verbascum varians var. stepporum", "Verbascum varians var. trapezunticum", "Verbascum varians var. varians", "Cameraria bauhiniae", "Cameraria virgulata", "Cameraria magnisignata", "Stachys setifera subsp. lycia", "Stachys setifera subsp. setifera", "Porphyrosela homotropha", "Porphyrosela teramni", "Paropsis aspera", "Paropsis atomaria", "Porphyrosela gautengi", "Kanodus robustus", "Catomus dlusskyi", "Bryophila pljushtchi", "Stigmella serpentina", "Stigmella pangorica", "Munroeodes thalesalis", "Botys thalesalis", "Ebertidia haderonides", "Ebertidia mamestrina", "Epunda mamestrina", "Allophyes protai", "Allophyes protai protai", "Allophyes protai dujardini", "Allophyes corsica", "Byssotrema mirabile", "Securidaca decora", "Rhamdia cinerascens", "Rhamdia guatemalensis", "Rhamdia saijaensis", "Rhamdia laticauda", "Rhamdia laukidi", "Rhamdia quelen", "Glaucotrema glaucophaenum", "Securidaca marajoara", "Porphyrosela desmodivora", "Trichidryas discors", "Polytelusa colombica", "Gansia colombiensis", "Gansia ecuadorensis", "Plesiomalota puthzi", "Plesiomalota mendax", "Plesiomalota muelleri", "Plesiomalota laminata", "Metaboydaia poffei", "Porphyrosela aglaozona", "Porphyrosela desmodiella", "Porphyrosela neodoxa", "Porphyrosela minuta", "Porphyrosela hardenbergiella", "Porphyrosela dismochrysa", "Porphyrosela gregariella", "Chilasa elwesi cavalerei", "Chilasa elwesi elwesi", "Neastrida parrae", "Lithocolletis dorinda", "Lithocolletis hardenbergiella", "Chilasa agestor agestor", "Chilasa agestor chiraghshahi", "Chilasa agestor govindra", "Chilasa agestor matsumurae", "Chilasa agestor moritai", "Chilasa agestor restricta", "Chilasa agestor shirozui", "Chilasa agestor teruyoae", "Neoboydaia philomachi", "Phoenicopteriella mirabilis", "Picinyssus buccanodon", "Chrysobrycon guahibo", "Gassicurtia gallowayi", "Gassicurtia victoriana", "Hepsetus microlepis", "Saccodon wagneri", "Reynoutria sachalinensis", "Reynoutria japonica", "Astyanax novae", "Pteroxygonum giraldii", "Plesiomalota cara", "Plesiomalota tsantsaniana", "Plesiomalota bartolozzii", "Plesiomalota mucronata", "Plesiomalota bilobifera", "Plesiomalota filaria", "Plesiomalota riobambensis", "Diestota chibchana", "Diestota ecuadorensis", "Diestota cotopaxiana", "Euvira tayronensis", "Placusa chibchana", "Placusa guambina", "Tambana bella", "Glaucotrema stegoboloides", "Leptusa difficilis", "Leptusa wunderlei", "Leptusa reinosensis", "Leptusa taichungensis", "Leptusa europaea", "Leptusa cimmeria", "Leptusa rizensis", "Leptusa cypria", "Leptusa assingi", "Leptusa etrusca", "Leptusa ventosensis", "Leptusa lurensis", "Aggregatorygma triseptatum", "Lissagria uniformis", "Gnypeta pannosa", "Gnypeta chibchaorum", "Oncocnemis youngi", "Oncocnemis wilsonensis", "Oncocnemis utahensis", "Oncocnemis viriditincta", "Oncocnemis umbrifascia", "Cosmogastrusa curticornis", "Atheta muellerina", "Acrotona aequatorensis", "Atheta omega", "Acrotona elvira", "Atheta caranquina", "Atheta dimidiaticornis", "Atheta quitoensis", "Atheta shyria", "Atheta humboldti", "Atheta innexa", "Psittaboydaia trichoglossi", "Pachorhopala usambarae", "Pachorhopala africana", "Pachorhopala rufonitens", "Pachorhopala kayovensis", "Pachorhopala tambachensis", "Pachorhopala laevigata", "Pachorhopala confluens", "Pachorhopala ruandensis", "Pachorhopala maculiventris", "Pachorhopala embuicola", "Pachorhopala spinifera", "Pachorhopala elgonensis", "Circinaria aspera", "Pachorhopala ruwenzorensis", "Pachorhopala spectabilis", "Circinaria cerebroides", "Attacus dohertyi dohertyi", "Attacus dohertyi soembanus", "Circinaria digitata", "Polymixis manisadjiani", "Polymixis manisadjiani manisadjiani", "Polymixis manisadjiani salamis", "Polymixis manisadjiani samomontensi", "Polymixis manisadjiani schwingenschussi", "Polymixis manisadjiani vardikiani", "Pachorhopala burgeoni", "Dryobotodes cerris", "Pachorhopala ruwenzorii", "Drusilla fissata", "Drusilla kisumuensis", "Drusilla mahnerti", "Drusilla umtaliensis", "Drusilla zimbabwensis", "Zyras masai", "Zyras somaliensis", "Zyras tambachensis", "Zyras nakuruensis", "Zyras mutarensis", "Zyras seditiosus", "Zyras peranomalus", "Zyras rangirensis", "Zyras microarmatus", "Zyras irangicola", "Zyras kisumuensis", "Zyras narokensis", "Zyras perreti", "Trichodonia ruandorum", "Euchromius klimeschi", "Euchromius ramburiellus", "Euchromius cambridgei", "Eromene cambridgei", "Eromene luciella", "Corticorygma stellatum", "Argyria prototypa", "Ommatopteryx congruentella", "Polyfaciodus pandus", "Potamotrygon ucayalensis", "Restesia americana", "Rhombopterygia zaborskii", "Safrodus tozeri", "Placusa oligotina", "Caralepta cotopaxicola", "Cremastobombycia kipepeo", "Cremastobombycia morogorene", "Scotia innocens", "Agrotis innocens", "Eugnorisma deleasma deleasma", "Eugnorisma deleasma reducta", "Rhyacia afghanidia", "Hermonassa emodicola", "Spaelotis restricta", "Cardepia dardistana", "Cucullia heinickei", "Episema grueneri", "Episema grueneri grueneri", "Episema grueneri lineata", "Oncocnemis x-signata", "Dasypolia ferdinandi", "Dasypolia ferdinandi ferdinandi", "Dasypolia ferdinandi dichroa", "Dasypolia ferdinandi haroldi", "Dasypolia ferdinandi libanotica", "Dasypolia ferdinandi afghana", "Dasypolia eberti", "Dasypolia eberti eberti", "Gintarasia darlingtonii", "Dasypolia eberti eucraspeda", "Dasypolia episcopalis", "Dasypolia psathyra", "Gintarasia elixii", "Polymixis pamiridia", "Antitype chionodes", "Cryphia omotoi", "Cryphia pelidna", "Oncocnemis x-scripta", "Hammada scoparia", "Bario steindachneri", "Salsola australis", "Placocheilus caudofasciatus", "Placocheilus robustus", "Placocheilus cryptonemus", "Speleochir aitkeni", "Pyankovia brachiata", "Speleochir duboisi", "Glaucotrema bahianum", "Speleochiroides carollia", "Glaucotrema costaricense", "Traganum moquinii", "Traganum nudatum", "Tambana albiplaga", "Tambana arctoides", "Amazonopora manausensis", "Amanota bimarginata", "Atheta bahutuensis", "Brachida burundica", "Catarractodes riftensis", "Eustenidia kigwenensis", "Nopromaea batwa", "Nopromaea burundensis", "Pelioptera burundensis", "Phloeopora burundicola", "Leptusa cribrata", "Leptusa formidabilis", "Leptusa semivolans", "Leptusa spirarum", "Nephromopsis pallescens var. citrina", "Euchromius ornatus", "Euchromius circulus", "Euchromius cornus", "Euchromius gnathosellus", "Euchromius tanalis", "Euchromius geminus", "Euchromius minutus", "Euchromius confusus", "Euchromius donum", "Euchromius labellum", "Euchromius aris", "Euchromius erum", "Euchromius locustus", "Euchromius nigrobasalis", "Euchromius matador", "Euchromius zephyrus", "Euchromius limaellus", "Euchromius scobiolae", "Euchromius mouchai", "Euchromius gozmanyi", "Euchromius zagulajevi", "Euchromius subcambridgei", "Euchromius viettei", "Troides criton criton", "Troides criton critonides", "Euglossopteryx biesmeijeri", "Pterniboydaia pternistis", "Atheta culebra", "Atheta diducta", "Ralliboydaia latiralli", "Atheta callicornis", "Atheta chimborazensis", "Atheta caraorum", "Atheta shuarorum", "Atheta spinipes", "Atheta chibchana", "Atheta sierrae", "Atheta nevadicola", "Atheta magdaleniensis", "Speleognathopsis benoiti", "Atheta spirarum", "Atheta chibcha", "Atheta callimaculata", "Atheta emesakiana", "Atheta arenae", "Atheta pululahuensis", "Atheta flava", "Lichtensteiniana brandbergensis", "Lichtensteiniana fuscoalaria", "Lichtensteiniana strigulata", "Lichtensteiniana tessellata", "Namibiocossus gaerdesi", "Pecticossus gaerdesi", "Namibiocossus punctifer", "Namibiocossus uhligorum", "Afroarabiella polioptera", "Meyoarabiella meyi", "Acutitornus persectus", "Phtheochroa riscana", "Hysterosia vincta", "Hysterosia riscana", "Phtheochroa waracana", "Hysterosia waracana", "Hysterosia dicax", "Phtheochroa cartwrightana", "Hysterosia cartwrightana", "Phtheochroa vulneratana", "Hemigrammocapoeta culiciphaga", "Hemigrammocapoeta menderesensis", "Longzhouacris annulicornis", "Longzhouacris guizhouensis", "Papilio bianor ganesa", "Dudua trunciformis", "Evergestis albifasciaria", "Prorasea arcilinearis", "Papilio blumei blumei", "Papilio blumei fruhstorferi", "Lethe gregoryi", "Papilio fuscus beccarii", "Cruentotrema kurandense", "Papilio fuscus dayacus", "Cruentotrema thailandicum", "Caroxylon imbricatum", "Papilio fuscus lapathus", "Paramesia alhamana", "Cruentotrema amazonum", "Papilio paris paris", "Papilio paris detanii", "Fissurina amazonica", "Papilio karna irauana", "Papilio karna karna", "Papilio karna carnatus", "Papilio karna discordia", "Fissurina amyloidea", "Fissurina chrysocarpa", "Fissurina chrysocarpoides", "Fissurina duplicans", "Fissurina macrospora", "Fissurina subfurfuracea", "Papilio bianor bianor", "Papilio bianor doii", "Papilio bianor mandschurica", "Papilio bianor nakaharae", "Papilio bianor dehaani", "Cnephasia cupressivorana", "Phtheochroa aureoalbida", "Hysterosia aureoalbida", "Phtheochroa vitellinana", "Conchylis vitellinana", "Caroxylon abarghuense", "Caroxylon araneosum", "Graphis amazonica", "Phtheochroa fulviplicana", "Idiographis fulviplicana", "Graphis pustulosa", "Graphis rondoniana", "Gyrotrema flavum", "Hysterosia fermentata", "Hysterosia refuga", "Hysterosia homanana", "Hysterosia komonana", "Phtheochroa terminana", "Hysterosia terminana", "Hysterosia merrickana", "Myriotrema foliaceum", "Myriotrema inspersum", "Myriotrema subclandestinum", "Papilio palinurus auffenbergi", "Cratiria burleighensis", "Atheta pseudogagatina", "Atheta columbina", "Cratiria streimannii", "Lamprostiba schwabei", "Cratiria subtropica", "Cratiria verdonii", "Anumeta fractistrigata mongolica", "Anumeta fractistrigata fractistrigata", "Neoplatyola hospes", "Platyola hospes", "Astrida chlorocerylei", "Myllaena chibcha", "Myllaena muelleri", "Myllaena puthzi", "Gyronycha filiformis", "Caloderella neotropica", "Peplomeris magna", "Hyperglomeris maxima", "Hyperglomeris conspicua", "Hyleoglomeris montana", "Hyleoglomeris albicollis", "Hyleoglomeris cremea", "Hyleoglomeris grandis", "Hyleoglomeris baxian", "Hyleoglomeris rhinoceros", "Hyleoglomeris getuhensis", "Hyleoglomeris generalis", "Hyleoglomeris variabilis", "Hyleoglomeris multistriata", "Aureliania aureliani", "Ocellularia pseudochapsa", "Xenacanthus ragonhai", "Ocellularia pseudostromatica", "Ocellularia rondoniana", "Ocellularia rubropolydiscus", "Aloconota mussardi", "Aloconota mauensis", "Parapodoxya jeanneliana", "Pelioptera aberdarensis", "Ctenane labuana", "Ctenane dealbata", "Ctenane michaeli", "Ypsolopha flava", "Lethe gregoryi gregoryi", "Lethe gregoryi gesangdawai", "Onychorhynchus swainsoni", "Ocellularia brasiliensis", "Onychorhynchus mexicanus", "Ocellularia diminuta", "Ocellularia flavostroma", "Ocellularia halei", "Ocellularia immersocarpa", "Ocellularia lacerata", "Squalicorax microserratus", "Ocellularia margaritacea", "Ocellularia myriotrema", "Ocellularia ornata", "Saltirius utahensis", "Scyliorhinus biformis", "Scyliorhinus suelstorfensis", "Squalicorax benguerirensis", "Euchromius bellus", "Tinea bella", "Euchromius anapiellus", "Gonocephalus lacunosus", "Crambus anapiellus", "Euchromius vinculellus", "Crambus vinculellus", "Ommatopteryx corsicalis", "Ommatopteryx asbenicola", "Papilio fuscus alorensis", "Eromene joiceyella", "Cosmetus pollera", "Cruentotrema cruentatum", "Cosmetus balboa", "Cosmetus burbayar", "Cosmetus tamboritos", "Amanota externa", "Sulcana cunicula", "Amanota interna", "Amischa kaszabi", "Aloconota asymmetrica", "Aloconota africana", "Perilestes eustaquioi", "Corylus sieboldiana var. sieboldiana", "Acanthochitona pilosa", "Anacithara biconica", "Anacithara pupiforme", "Anacithara pyrgoforme", "Pythonichthys pirabasensis", "Caroxylon carpathum", "Seriphidium maritimum", "Caroxylon chorassanicum", "Anthemis fumariifolia", "Artemisia austriaca", "Artemisia schmidtiana", "Caroxylon cyclophyllum", "Aristolebia rutilipennis", "Pedicularis sylvatica", "Pinguicula villosa", "Euphrasia frigida", "Atrophaneura varuna varuna", "Silene nutans", "Sagina maritima", "Bidens radiata", "Atrophaneura varuna astorion", "Cystiphyllum australe", "Losaria neptunus doris", "Caprimulgus jotaka", "Caprimulgus phalaena", "Atheta andreinii", "Atheta chyuluensis", "Atheta nairobianorum", "Atheta fugata", "Atheta mombasana", "Atheta paludosa", "Atheta pseudomombasana", "Atheta kayovensis", "Atheta nakuruensis", "Atheta kaimosensis", "Atheta rangirensis", "Atheta implicatoides", "Atheta mahnerti", "Atheta atopotheca", "Alomacrotona ruandensis", "Byasa polyeuctes polyeuctes", "Byasa polyeuctes lama", "Sarmienta scandens", "Byasa polyeuctes letincius", "Byasa polyeuctes termessus", "Eulophia alta", "Atheta kiboensis", "Atheta ferrugata", "Atheta convexula", "Atheta ferrugatoides", "Barbatula restricta", "Atheta kenyensis", "Atheta nigricola", "Atheta armentorum", "Atheta semirufa", "Aplodinotus santosi", "Atheta tugen", "Atheta creticornis", "Atheta promissionum", "Atheta zimbabwensis", "Atheta umtaliensis", "Atheta nyeriensis", "Atheta kawaensis", "Atheta embuorum", "Paraconger paraensis", "Atheta interrogativa", "Atheta riftensis", "Atheta kitalensis", "Atheta cincta", "Atheta tanensis", "Corylus ferox var. tibetica", "Atheta densiventris", "Corylus ferox var. ferox", "Turbo lorenzi", "Corylus heterophylla var. sutchuenensis", "Corylus heterophylla var. heterophylla", "Ctenane trianguloquelinea", "Ctenane yanquinghui", "Pelioptera ruandensis", "Pelioptera dimidiata", "Askeptoxenia acuticollis", "Geopora aequinoctialis", "Geopora umtaliensis", "Leptoporodota tambachensis", "Atheta tapina", "Atheta kisumuensis", "Atheta mussardi", "Atheta acusifera", "Atheta kipsigia", "Atheta reptabunda", "Atheta irangicola", "Atheta shimbaensis", "Platygramme unirana", "Selca latifascialis", "Archispirostreptus gigas", "Platythecium biseptatum", "Ostrya yunnanensis", "Ostrya chinensis", "Ostrya rehderiana", "Ostrya trichocarpa", "Suillus bovinus", "Paraspeleognathopsis bakeri", "Paraspeleognathopsis galagoensis", "Tetractenos glaber", "Atheta savanicola", "Batia hilszczanskii", "Atheta loitensis", "Atheta embuicola", "Atheta nanyukensis", "Atheta mashonarum", "Atheta suprema", "Atheta lacrymalis", "Atheta malevestita", "Atheta mandibularis", "Asaccus tangestanensis", "Asaccus zagrosicus", "Apophysomyces variabilis", "Asaccus granularis", "Geostiba plicatella", "Geostiba plicatella blidensis", "Geostiba plicatella castellonensis", "Geostiba plicatella jaenensis", "Geostiba plicatella leonensis", "Geostiba samensis", "Geostiba taurica", "Geostiba tbilisensis", "Geostiba zerchei", "Geostiba ventosa", "Geostiba besila", "Papilio iswara araspes", "Alomacrotona curticornis", "Alomacrotona kenyensis", "Alomacrotona tambachensis", "Brachysipalia imbellis", "Brachysipalia crassa", "Brachysipalia aberdarensis", "Brachysipalia meruensis", "Brachysipalia irangensis", "Brachysipalia elgonensis", "Brachysipalia elgonicola", "Brachysipalia ruwenzorensis", "Brachysipalia sanfilippoi", "Brachysipalia viatica", "Brachysipalia embuensis", "Brachysipalia volans", "Pseudochapsa amylospora", "Egeotyphlus leucadiensis", "Pseudochapsa subdactylifera", "Atheta taiwanensis", "Rhabdodiscus crassoides", "Basilissopsis bassa", "Rhabdodiscus inspersus", "Basilissopsis rhyssa", "Batracarus hylaranae", "Pseudochapsa albomaculata", "Tetractenos hamiltoni", "Boydaia spatulata", "Ariopsis seemanni", "Ariopsis assimilis", "Ariopsis guatemalensis", "Cnephasia zangheriana", "Caroxylon forcipitatum", "Astrochapsa lobata", "Caroxylon inerme", "Symphyotrichum \u00d7 salignum", "Falagria kaszabi", "Falagria dilaticollis", "Caroxylon boissieri", "Falagria coarcticollis", "Longiprimitarsus amaniensis", "Teucrium aladagense", "Leptusa nemoricultrix", "Leptusa rorata", "Leptusa pingtungensis", "Teucrium sirnakense", "Pseudotorinia phorcysi", "Teucrium sect.", "Neosilusa taiwanensis", "Bellatheta pingtungensis", "Bellatheta kuanshanensis", "Geostiba amica", "Teucrium chamaedrys subsp. lydium", "Geostiba maderi", "Teucrium chamaedrys subsp. sinuatum", "Geostiba meschniggi", "Geostiba spizzana", "Teucrium chamaedrys subsp. syspirense", "Geostiba peninsulaemagnesiae", "Geostiba moczarskii", "Teucrium chamaedrys subsp. trapezunticum", "Teucrium chamaedrys subsp. tauricola", "Teucrium chamaedrys subsp. chamaedrys", "Armigatus oligodentatus", "Geostiba pontica", "Geostiba tiflisensis", "Geostiba vascona", "Geostiba winkleriana", "Geostiba wunderlei", "Geostiba elatensis", "Geostiba icaria", "Geostiba idaea", "Geostiba magrinii", "Pseudochapsa crispata", "Pseudochapsa dilatata", "Pseudochapsa esslingeri", "Pseudochapsa hypoconstrictica", "Pseudochapsa isidifera", "Allogalumna asetosa", "Galumna paraweni", "Heterogalumna minima", "Oribatella abhorrens", "Papilio nephelus albolineatus", "Papilio nephelus sunatus", "Papilio nephelus annulus", "Pseudochapsa kalbii", "Parides erithalion polyzelus", "Parides iphidamas iphidamas", "Acanthodactylus harranensis", "Acanthodactylus khamirensis", "Acanthodactylus nilsoni", "Oligota tanzaniensis", "Brachida nairobiensis", "Brachida kaszabi", "Brachida africana", "Afrobrachida absurda", "Linoglossa kamerunensis", "Autalia tetracarinata", "Cordalia csikii", "Cnephasia facetana", "Cnephasia personatana", "Cnephasia orientana", "Cnephasia ecullyana", "Boydaia sturni", "Longiprimitarsus praestabilis", "Longiprimitarsus franzi", "Lawrencarus angelae", "Boydaia falconis", "Cnephasia kenneli", "Cnephasia chrysantheana", "Caroxylon agrigentinum", "Papilio deiphobus obideiphobus", "Papilio deiphobus deiphobus", "Papilio deiphobus deiphontes", "Caroxylon albidum", "Kaviria azaurena", "Caroxylon calluna", "Micropterix gaudiella", "Pseudochapsa lueckingii", "Pseudochapsa phlyctidea", "Pseudochapsa phlyctidioides", "Pseudochapsa pseudoexanthismocarpa", "Asteranthera ovata", "Pseudochapsa pseudoschizostoma", "Papilio helenus helenus", "Papilio helenus sinabangana", "Papilio iswara karimatanus", "Papilio iswara iswara", "Alsobia dianthiflora", "Pseudochapsa rhizophorae", "Oligota fageli", "Pseudochapsa rivas-platae", "Pseudochapsa sipmanii", "Pseudochapsa subpatens", "Pedrocortesella dongnaiensis", "Pedrocortesella vietnamica", "Arhytinus weigeli", "Arhytinus vietnamensis", "Arhytinus flavomarginatus", "Arhytinus maximus", "Asaccus iranicus", "Blepharotoma corumbana", "Blepharotoma cuyabana", "Blepharotoma heynei", "Blepharotoma schencklingi", "Boydaia agelaii", "Boydaia americana", "Boydaia aratingae", "Boydaia bradornis", "Astrochapsa columnaris", "Sericoides magellanica", "Boydaia zumpti", "Boydaia pycnonoti", "Ampliodactylus marmoratus", "Astrochapsa fusca", "Caroxylon gemmascens", "Caroxylon jordanicola", "Caroxylon littorale", "Nitrosalsola nitraria", "Astrochapsa kalbii", "Papilio deiphobus rumanzovia", "Caroxylon passerinum", "Caroxylon persicum", "Caroxylon pulvinatum", "Acanthodactylus masirae", "Malingichthys nimaiguensis", "Malingichthys wanfenglinensis", "Permoceratodus gentilis", "Electropodagrion szwedoi", "Boydaia hirundoae", "Blepharotoma angustata", "Blepharotoma boliviana", "Papilio deiphobus deipylus", "Caroxylon scleranthum", "Papilio deiphobus tarawakana", "Caroxylon spinescens", "Caroxylon stenopterum", "Macrodactylus chilensis", "Papilio memnon eos", "Papilio memnon memnon", "Pristerophora longipes", "Pristerophora paulseni", "Boydaia buphagi", "Pristerophora picipennis", "Neoboydaia galachrysiae", "Papilio memnon anceus", "Boydaia cecropis", "Papilio memnon caeruleus", "Papilio memnon clathratus", "Papilio memnon heronus", "Papilio memnon kalaomemnon", "Papilio memnon lowii", "Boydaia formicarii", "Pyrrhula murina", "Boydaia locustellae", "Lutjanus xanthopinnis", "Astrochapsa astroidea", "Boydaia loxiae", "Clavipalpus ornatissimus", "Plectris evansi", "Batrachoides confluentus", "Halarchon vesiculosus", "Batrachoides gracilentus", "Boydaia colini", "Plectris katovichi", "Plectris tacoma", "Plectris comata", "Boydaia jordani", "Piptoptera turkestana", "Boydaia turdi", "Physandra halimocnemis", "Equetulus amazonensis", "Rylodophila kalongeana", "Myllaena apicicornis", "Cypha abyssiniensis", "Gyrophaena aenescens", "Placusa nairobiana", "Pseudosilusa rudis", "Linoglossa arrowi", "Boydaia cinnyris", "Caroxylon tetrandrum", "Boydaia indica", "Coboydaia nigra", "Caroxylon turkestanicum", "Boydaia synallaxis", "Pusiodactylus flavipennis", "Pusiodactylus mondacai", "Caroxylon yazdianum", "Caroxylon tetragonum", "Astrochapsa alstrupii", "Astrochapsa amazonica", "Boydaia clarki", "Caroxylon zeyheri", "Boydaia zosteropis", "Boydaia cyanerpes", "Equetulus davidandrewi", "Equetulus fitchi", "Plagioscion travassosi", "Protosciaena brasiliensis", "Sanopus mendax", "Sanopus peregrinus", "Papilio memnon merapu", "Syacium predorsalis", "Laccophilus vietnamensis", "Thalassophryne aequaliter", "Thalassophryne pumilus", "Xenotolithus retrolobatus", "Papilio memnon oceani", "Papilio memnon perlucidus", "Xenotolithus sasakii", "Gobius mustus", "Gobius reichenbacherae", "Gobius vandervoorti", "Knipowitschia suavis", "Lethrinus anatolicus", "Papilio memnon pryeri", "Papilio memnon subclathratus", "Sundathelphusa waray", "Mascarenichthys exilis", "Paramiana callaisata", "Acronicta valliscola", "Oncocnemis toddi", "Hydroecia auripurpura", "Neperigea mephisto", "Oxycnemis franclemonti", "Grotella margueritaria", "Eucosma graziella", "Saccodon dariensis", "Saccodon terminalis", "Arctiocossus farinalis", "Arctiocossus martinkruegeri", "Arctiocossus namaquensis", "Lichtensteiniana aloides", "Caroxylon camphorosmoides", "Caroxylon columnare", "Caroxylon humifusum", "Eumasia crisostomella", "Caroxylon tuberculatum", "Utricularia australis", "Utricularia intermedia", "Utricularia minor", "Astrochapsa albella", "Papilio polytes kurokawai", "Joinvillichthys lindstroemi", "Gladiopycnodus karami", "Monocerichthys scheuchzeri", "Rostropycnodus gayeti", "Pankowskichthys libanicus", "Sphaeropteris cooperi", "Pristurus abdelkuri", "Pristurus guichardi", "Pristurus insignoides", "Pristurus insignis", "Mascarenichthys heemstrai", "Pomatoschistus rueckertae", "Scorpaena landaui", "Serranus ariejansseni", "Spicara pamphyliensis", "Papilio memnon thunbergi", "Thorogobius iucundus", "Sundathelphusa lobo", "Sundathelphusa cavernicola", "Isanichthys lertboosi", "Ofaiston monandrum", "Isanichthys palustris", "Joinvillichthys kriweti", "Papilio polytes polytes", "Mulloidichthys flavolineatus", "Papilio polytes javanus", "Papilio polytes ledebouria", "Papilio polytes romulus", "Hemidactylus granti", "Hemidactylus inintellectus", "Hemidactylus forbesii", "Hemidactylus oxyrhinus", "Astrochapsa pulvereodiscus", "Astrochapsa recurva", "Labrobolcus giorgioi", "Nesogobius tigrinus", "Astrochapsa stellata", "Hemidactylus pumilio", "Cylindera ilonae", "Astrochapsa waasii", "Scilla alinihatiana", "Leptanilla kebunraya", "Ornithogalum fimbriatum", "Leptanilla clypeata", "Leptanilla butteli", "Leptanilla hunanensis", "Pristurus obsti", "Pristurus sokotranus", "Pristurus samhaensis", "Coboydaia trochila", "Macronus bornensis", "Gymnotympana boeri", "Gymnotympana leucogramma", "Lembeja gulfensis", "Diceropyga duffelsi", "Cylindera mouthiezi", "Astrochapsa wolseleyana", "Astrochapsa zahlbruckneri", "Haemodracon riebeckii", "Haemodracon trachyrhinus", "Pentacomia chrysamma", "Pentacomia chrysammoides", "Cylindera lesnei", "Cylindera khmer", "Papilio polytes theseus", "Diplazon koreana", "Protanilla wardi", "Deuterodon iguape", "Pseudosilusa trifoveolata", "Pseudosilusa mindanaoicola", "Diestota scotti", "Nopromaea africana", "Nopromaea fortepunctata", "Lessinia horrenda", "Lopholatilus ereborensis", "Mamulichthys ignotus", "Laccophilus tavetensis", "Laccophilus morondavensis", "Laccophilus productus", "Astrochapsa calathiformis", "Astrochapsa lassae", "Pristurus longipes", "Pristurus mazbah", "Pristurus ornithocephalus", "Deuterodon parahybae", "Deuterodon potaroensis", "Deuterodon singularis", "Deuterodon supparis", "Linoglossa spinosa", "Linoglossa abaluya", "Diestota bifurcata", "Diestota mombasaensis", "Leptanilla africana", "Tomoxelia zerchei", "Leptanilla australis", "Leptanilla islamica", "Cociella punctata", "Leptanilla yunnanensis", "Pristurus collaris", "Leptanilla taiwanensis", "Papilio polytes alcindor", "Leptanilla kunmingensis", "Leptanilla morimotoi", "Leptanilla besucheti", "Falagria alluaudi", "Longiprimitarsus longipennis", "Myllaena rangirensis", "Leptanilla kubotai", "Myllaena kayovensis", "Myllaena mussardi", "Leptanilla buddhista", "Bryothinusa perexilis", "Cypha lamuensis", "Cypha mahnerti", "Oligota longicornis", "Oligota kiambuensis", "Gyrophaena embuorum", "Gyrophaena mahnerti", "Gyrophaena nyandaruensis", "Brachida shimbaensis", "Leptanilla oceanica", "Brachida embuensis", "Brachida masai", "Brachida kirimirensis", "Brachida tanensis", "Brachida lamuensis", "Brachida makadarana", "Brachida rangirensis", "Brachida erythraea", "Leptanilla thai", "Neobrachida umtaliensis", "Neobrachida tanensis", "Placusa somala", "Placusa ruandensis", "Homalota mutarensis", "Leptanilla tanakai", "Homalota bicristata", "Leptanilla japonica", "Cameronium lamuense", "Linoglossa collaris", "Linoglossa kayovensis", "Leptanilla boltoni", "Astrochapsa magnifica", "Traganopsis glomerata", "Astrochapsa mastersonii", "Rhaphidophyton regelii", "Astrochapsa megaphlyctidioides", "Boydaia mimi", "Boydaia nectarinia", "Boydaia psalidoprocnei", "Boydaia psittaci", "Turania androssowii", "Turania aperta", "Astrochapsa meridensis", "Boydaia sinensis", "Turania deserticola", "Boydaia tyrannis", "Coboydaia amandavae", "Astrochapsa platycarpella", "Nucularia perrinii", "Astrochapsa pseudophlyctis", "Noaea major", "Noaea minuta", "Lagenantha cycloptera", "Lagenantha gillettii", "Coboydaia nigra motacillae", "Aleiodes tashimai", "Aoplus defraudator", "Coboydaia sturnellae", "Cotesia perspicua", "Hoplismenus axillatorius", "Hyposoter thuringiacus", "Phobocampe crassiuscula", "Pristicerops infractorius", "Deuterodon langei", "Euplectrus gopimohani", "Cryptoholcocerus daghestanica", "Wahydra kenava", "Wahydra bella", "Wahydra nieblensis", "Wahydra ekka", "Wahydra subhebetis", "Wahydra tassa", "Andropogon liebmannii", "Horaninovia anomala", "Myriotrema arimense", "Myriotrema maroense", "Matapa celsina", "Horaninovia capitata", "Capeochloa arundinacea", "Lento lora", "Papilio polytes nikobarus", "Lento genta", "Lento ludo", "Lento apta", "Lento kadeni", "Lento listo", "Lento lucto", "Lento pyra", "Pheraeus covadonga", "Jonaspyge tzotzili", "Pristurus schneideri", "Epargyreus windi", "Senegalia catechu", "Senegalia senegal", "Pristurus gallagheri", "Bothriocrata mebalunica", "Brachida indica", "Brachida toragia", "Coenonica anteatomica", "Diestota zerchei", "Deuterodon stigmaturus", "Deuterodon longirostris", "Tomoxelia kenyana", "Tomoxelia nairobiensis", "Tomoxelia tambachensis", "Tomoxelia kisumuensis", "Nopromaea umtaliensis", "Millotoca kenyana", "Eustenidia makadarica", "Eustenidia zimbabwensis", "Eustenidia kisumuorum", "Eustenidia grassei", "Eustenidia coiffaiti", "Eustenidia umtaliensis", "Cordalia nakuruensis", "Falagria embuensis", "Myrmecocephalus nakuruensis", "Myrmecopora cephalotes", "Longiprimitarsus cristatus", "Derema rangirensis", "Medera absurdior", "Rylodophila nakuruensis", "Rylodophila nanyukiensis", "Rylodophila embuensis", "Derelina umtaliensis", "Demerinda embuensis", "Lethe gesangdawai", "Deuterodon rosae", "Acronicta draudti", "Aleiodes coxalis", "Proneca brunneostriata", "Proneca fola", "Narope syllabus syllabus", "Narope syllabus stygius", "Ocellularia rudior", "Narope cyllarus", "Phaeographis spondaica", "Platanthera orbiculata", "Epigonus draco", "Platanthera orbiculata var. orbiculata", "Hyphessobrycon delimai", "Hyphessobrycon krenakore", "Platanthera orbiculata var. macrophylla", "Pteroidichthys acutus", "Pteroidichthys caussei", "Pycnotrema pycnoporellum", "Pteroidichthys amboinensis", "Bombus cerdanyensis", "Wahydra vola", "Wahydra trinitas", "Wahydra curtis", "Wahydra shueyi", "Wahydra mapiriensis", "Dalla puracensis puracensis", "Dalla puracensis quindio", "Dalla puracensis cotopa", "Pristurus saada", "Aleochara philippinorum", "Apimela prapatensis", "Acrotona imitatrix", "Atheta toba", "Atheta tenggeriensis", "Neolamprologus timidus", "Papilio polytes luijidongi", "Papilio polytes mandane", "Kali basalticum", "Salsola gobicola", "Lento grosso", "Lento krexoides", "Papilio polytes nicanor", "Lento krexoides krexoides", "Surreya mesembryanthema", "Clandestinotrema analorenae", "Drusilla katiki", "Drusilla rantepaoicola", "Drusilla todolarum", "Drusilla dusunorum", "Drusilla liangicola", "Drusilla manenekarum", "Eusteniamorpha celata", "Eusteniamorpha javanensis", "Eusteniamorpha oblita", "Myrmecocephalus quaesitus", "Myrmecocephalus zerchei", "Gnypeta zerchei", "Hetairotermes rougemonti", "Neolamprologus niger", "Epargyreus brodkorbi", "Narcosius parisi", "Speleognathopsis accipitris", "Narcosius helen", "Boydaia maluri", "Boydaia myzomelae", "Boydaia podargi", "Salsola griffithii", "Salsola jacquemontii", "Boydaia laticoxa", "Salsola ikonnikovii", "Boydaia laticoxa philydori", "Ampliotrema sanguineum", "Taraxacum pankhurstianum", "Salsola macrophylla", "Speleognathopsis onychognathi", "Clandestinotrema cathomalizans", "Anthophorula persephone", "Myllaena baliensis", "Myllaena bhutanicola", "Myllaena dewa", "Myllaena laboriosa", "Myrmedonota celebensis", "Oligota rougemontiana", "Myrmecopella miricollis", "Orphnebius rantepaoensis", "Orphnebius puangorum", "Orphnebius tautauorum", "Orphnebius toradya", "Oxybessoglossa picta", "Oxylidia celebensis", "Oxypoda hammondi", "Pelioptera zerchei", "Pheigetoxenus celebensis", "Pseudoplandria formosensis", "Pseudoplandria secreta", "Zyras madabongarum", "Horaninovia excellens", "Horaninovia minor", "Hammada thomsonii", "Hammada wakhanica", "Narope sarastro", "Ampliotrema megalostoma", "Meganola conspicua", "Meganola guentereberti", "Meganola margalla", "Meganola nanula", "Meganola impura impura", "Nola impura", "Graphium androcles androcles", "Ralliboydaia coccyzae", "Graphium androcles cleomenes", "Hammada leptoclada", "Xenopacarus kivuensis", "Maraldichthys verticalis", "Hammada multiflora", "Gebrayelichthys uyenoi", "Gebrayelichthys vexillarius", "Ocellularia baorucensis", "Hammada negevensis", "Ocellularia buckii", "Hollandichthys multifasciatus", "Ocellularia caraibica", "Ocellularia comayaguana", "Clandestinotrema melanotrematum", "Horaninovia platyptera", "Horaninovia pungens", "Horaninovia ulicina", "Matapa deprivata", "Matapa cresta", "Pycnotrema fissurinum", "Hammada articulata", "Pierella lena lena", "Cantha celeus", "Cantha celeus ochraceus", "Xenopacarus africanus", "Hammada eigii", "Graphium doson evemonides", "Cantha calva", "Cantha honor", "Cantha ivea", "Cantha matuta", "Xenopacarus kenyensis", "Graphium doson robinson", "Rhabdodiscus trinitatis", "Speleognathopsis wai", "Mimoides ilus branchus", "Salsola monoptera", "Mimoides ilus occiduus", "Mimoides ilus ilus", "Antigonus minor", "Salsola praecox", "Passova polemon", "Passova glacia", "Passova greta", "Passova vilna", "Passova vilna vilna", "Passova vilna vanta", "Salsola rosacea", "Pellicia costimacula", "Pellicia costimacula costimacula", "Pellicia costimacula litoralis", "Pristurus adrarensis", "Thargella evansi", "Mnasitheus strandi", "Cobalopsis cocalus", "Salsola ryanii", "Heterota rougemonti", "Homalota kuninganica", "Hydrosmecta persericea", "Salsola sinkiangensis", "Ilarochara rougemonti", "Longiprimitarsus rougemonti", "Salsola tamamschjanae", "Lyperosterochara moesta", "Mimoxypoda baliensis", "Salsola tamariscina", "Myriopholis yemenica", "Polygala amarella", "Symphytum podcumicum", "Symphytum hajastanum", "Graphium meyeri meyeri", "Graphium meyeri extremum", "Leptusa monacha", "Leptusa fauciumberninae", "Leptusa marianii", "Leptusa monguzzii", "Lawrencarus hylae", "Leptusa media", "Lawrencarus americanus", "Lawrencarus ceratobatrachi", "Lawrencarus afrixali", "Hammada salicornica", "Hammada schmittiana", "Narope panniculus panniculus", "Hammada tamariscifolia", "Narope cyllastros cyllastros", "Clandestinotrema pauperius", "Nothobranchius bellemansi", "Nothobranchius occultus", "Nothobranchius chochamandai", "Clandestinotrema protoalbum", "Myriopholis filiformis", "Pristurus simonettai", "Lethe elwesi", "Lethe elwesi elwesi", "Neolamprologus petricola", "Neolamprologus savoryi", "Neolamprologus toae", "Neolamprologus wauthioni", "Chapsa farinosa", "Chapsa referta", "Neolamprologus leloupi", "Neolamprologus meeli", "Anabaena azollae", "Surreya diandra", "Lawrencarus hollandsae", "Lawrencarus eweri cubanus", "Halogeton alopecuroides", "Halogeton arachnoideus", "Clandestinotrema maculatum", "Clandestinotrema stylothecium", "Girgensohnia oppositiflora", "Clandestinotrema tenue", "Graphium empedovana empedovana", "Graphium empedovana inornatum", "Graphium empedovana miurai", "Graphium empedovana splendidulum", "Megamastax amblyodus", "Clandestinotrema antoninii", "Clandestinotrema clandestinum", "Galatella linosyris", "Apimela samoensis", "Diestota euaensis", "Diestota kaoensis", "Diestota samoensis", "Diestota tongana", "Acrotona haniensis", "Atheta ming", "Atheta xin", "Atheta sordiduloides daliensis", "Atheta guangzhouensis", "Atheta innuba", "Atheta resumpta", "Atheta sichuanensis", "Atheta weiorum", "Atheta xiongnuorum", "Atheta marcopoloi", "Atheta perflata", "Atheta tang", "Atheta song", "Atheta tienshiensis", "Atheta urumqiensis", "Atheta difformis", "Cordalia rougemonti", "Drusilla yunnanensis", "Falagria sui", "Leptagria sichuanensis", "Myrmecocephalus pallipennis subsinuatus", "Lawrencarus brasiliensis", "Lawrencarus eweri thailandiae", "Lawrencarus domrowi", "Ocellularia daniana", "Ocellularia dussii", "Ocellularia endoperidermica", "Ocellularia granpiedrensis", "Ocellularia imshaugii", "Graphium eurypylus mecistius", "Ocellularia liamuiga", "Ocellularia macrospora", "Ocellularia maricaoensis", "Ocellularia pichinchensis", "Carpelimus caecus", "Leptusa gaisbergeri", "Dardarina gaucha", "Vidius similis", "Igapophilus rufus", "Graphium eurypylus pamphylus", "Chalcone briquenydan", "Chalcone briquenydan briquenydan", "Chalcone briquenydan australis", "Chalcone chalcone", "Chalcone chalcone chalcone", "Chalcone briquenydan chalcone", "Narope marmorata", "Hammada ramosissima", "Narope albopunctum", "Narope cyllastros", "Narope testacea", "Narope anartes", "Narope nesope", "Narope cauca", "Narope cyllabarus", "Narope cyllene", "Narope denticulatus", "Narope guilhermei", "Narope minor", "Narope obidos", "Narope ybyra", "Narope panniculus", "Narope syllabus", "Liogluta chang", "Liogluta xinjiangensis", "Myllaena chinensis", "Myllaena ming", "Myllaena yunnanensis", "Oxypoda han", "Oxypoda song", "Oxypoda sui", "Oxypoda yuan", "Oxypoda yunnanensis", "Pelioptera yunnanensis", "Graphium delessertii", "Clandestinotrema ecorticatum", "Clandestinotrema erumpens", "Symphytum davisii subsp. icaricum", "Graphium deucalion deucalion", "Neolamprologus christyi", "Neolamprologus pleuromaculatus", "Neolamprologus sexfasciatus", "Neolamprologus pulcher", "Graphium deucalion leucadion", "Graphium deucalion marabuntana", "Clandestinotrema leucomelanum", "Graphium antiphates antiphates", "Graphium antiphates karimatanum", "Odontesthes bonariensis", "Odontesthes argentinensis", "Cryptolechia glischrodes", "Cryptolechia hemiarthra", "Cryptolechia holopyrrha", "Cryptolechia ichnitis", "Cryptolechia laica", "Cryptolechia micracma", "Cryptolechia microglyptis", "Graphium chironides", "Cryptolechia orthrarcha", "Cryptolechia pateropa", "Cryptolechia pentathlopa", "Cryptolechia percnocoma", "Cryptolechia perversa", "Cryptolechia phaeocausta", "Cryptolechia picrocentra", "Cryptolechia praevecta", "Cerocala ilia", "Cerocala ratovosoni", "Cerocala albicornis", "Cerocala caelata", "Cerocala caelata caelata", "Phoxinus apollonicus", "Phoxinus karsticus", "Phoxinus ketmaieri", "Phoxinus likai", "Syntomaula xanthofasciata", "Syntomaula flavoangulata", "Syntomaula cana", "Barbus biharicus", "Graphium euphrates euphrates", "Syntomaula tephrota", "Syntomaula microsperma", "Syntomaula simulatella", "Graphium stratiotes sukirmani", "Graphium stratiotes stratiotes", "Cryptolechia aeraria", "Cryptolechia aliena", "Cryptolechia asemanta", "Cota dubia", "Ocalea gibbula", "Echidnoglossa nepalensis", "Franzidota newar", "Franzidota smetanaorum", "Cota jailensis", "Cota segetalis", "Cota macroglossa", "Cota samuelssonii", "Cota monantha", "Cota oretana", "Mimia toombsi", "Cambarellus patzcuarensis", "Tachyusa riftensis", "Tachyusa schawalleri", "Tachyusa mindoroensis", "Tachyusa loebli", "Tachyusa turcica", "Tachyusa nilensis", "Tachyusa testacea", "Tachyusa krugeri", "Tachyusa coarctatoides", "Tachyusa bertiae", "Tachyusa hammondi", "Tachyusa harbinica", "Tachyusa smetanai", "Tachyusa pseudosulciventris", "Tachyusa orientis", "Tachyusa wei", "Ischnopoda song", "Girgensohnia diptera", "Girgensohnia bungeana", "Girgensohnia imbricata", "Girgensohnia minima", "Cyathobasis fruticulosa", "Meganola impura centralis", "Meganola pulverata", "Cornulaca aucheri", "Cornulaca korshinskyi", "Cornulaca ehrenbergii", "Cornulaca alaschanica", "Meganola jinghongensis", "Cornulaca setifera", "Bassia muricata", "Cornulaca amblyacantha", "Meganola tomkovichi", "Clandestinotrema portoricense", "Graphium dorcus butungensis", "Myriopholis macrura", "Myriopholis wilsoni", "Graphium dorcus dorcus", "Arthrophytum subulifolium", "Tetralaucopora yunnanensis", "Aleochara rougemonti", "Zyras beijingensis", "Zyras restitutus", "Zyras song", "Arthrophytum balchaschense", "Arthrophytum betpakdalense", "Amaurodera veluticollis", "Haloxylon gracile", "Amaurodera opacicollis", "Idaea knudsonaria", "Idaea kendallaria", "Idaea elizabetharia", "Amaurodera bomfordi", "Amaurodera soror", "Drusilla obliqua", "Tetrabothrus laticornis", "Zyras ruficauda", "Zyras perforatus", "Zyras nepalensis", "Drusilla vedda", "Franzidota virgula", "Apimela pallescens", "Cerocala basilewskyi", "Cousya nepalensis", "Cerocala mindingiensis", "Cousya quadrisulcata", "Cerocala grandirena", "Millerolepis eleionomae", "Cerocala decaryi", "Cerocala subrufa", "Haplolepis attheyi", "Cerocala vermiculosa", "Parahaplolepis alexandrae", "Parahaplolepis elenae", "Arenaria leptoclados", "Zyras pindarae", "Zyras hirsutiventris", "Amaurodera silvana", "Amaurodera smetanai", "Amaurodera loebli", "Drusilla kathmanduensis", "Drusilla smetanai", "Drusilla nepalensis", "Orphnebius newar", "Orphnebius loebli", "Tetrabothrus nepalensis", "Tetrabothrus micropterus", "Zyras pallipes", "Zyras britannorum", "Zyras manjushri", "Agrotis alluaudi", "Blenina richardi", "Pessocosma prolalis", "Thelonema clarki", "Metasphaerolaimus constrictus", "Monhystrella kermadecensis", "Carex appropinquata", "Carex sylvatica", "Logfia gallica", "Arenaria biflora", "Arenaria pseudofrigida", "Sabulina rubella", "Sabulina stricta", "Diclidanthera bolivarensis", "Cerocala vermiculosa vermiculosa", "Parahaplolepis anglica", "Parahaplolepis canadensis", "Crocallis dardoinaria", "Parahaplolepis tuberculata", "Crocallis dardoinaria dardoinaria", "Crocallis dardoinaria atlantica", "Pyritocephalus sculptus", "Pyritocephalus youngii", "Pyritocephalus comptus", "Pyritocephalus rudis", "Polyommatus iphigenia araratensis", "Oxypoda himalayica", "Oxypoda sirdar", "Pyritocephalus lineatus", "Oxypoda nigrolucens", "Oxypoda nigrita", "Oxypoda proxima", "Pyritocephalus gracilis", "Hyphessobrycon brumado", "Passiflora variolata", "Passiflora luetzelburgii", "Passiflora mendoncaei", "Protohabropoda pauli", "Passiflora lehmannii", "Passiflora miersii", "Passiflora smithii", "Automolis subulva", "Hygropetrophila ghoropanica", "Cousya smetanai", "Smetanaetha tuberculicollis", "Oxypoda ingens", "Oxypoda cameroni", "Oxypoda monticola", "Oxypoda ulterior", "Oxypoda ahalensis", "Oxypoda shastrana", "Oxypoda mixtoides", "Oxypoda smetanaiana", "Metarctia pavlitzkae", "Homeopronematus vidae", "Homeopronematus anconai", "Arthrophytum iliense", "Zamia restrepoi", "Gymnographopsis follmannii", "Mesalina bahaeldini", "Gymnographopsis cerei", "Passiflora speciosa", "Passiflora aimae", "Mesalina ercolinii", "Passiflora fieldiana", "Passiflora magnfica", "Passiflora palenquensis", "Passiflora serrulata", "Gymnographopsis latispora", "Passiflora malacophylla", "Myrmecia maxima", "Metarctia impura", "Metarctia burra", "Nitidochapsa aggregata", "Metarctia morag", "Nickcaves pterygocephalus", "Pietschellus aenigmaticus", "Metarctia rubripuncta", "Bergeria ornata", "Nitidochapsa phlyctidea", "Apisa hildae", "Coleotydaeus rhombicus", "Rhipidarctia crameri", "Metarctia heinrichi", "Coleotydaeus lebruni", "Metarctia confederationis", "Metarctia lindemannae", "Metarctia sheljuzhkoi", "Nitidochapsa stictoides", "Oxypoda chakratiensis", "Oxypoda kashmirica", "Pyritocephalus lowneyae", "Oxypoda subconformis", "Oxypoda sericata", "Oxypoda rubra", "Oxypoda franziana", "Oxypoda vagans", "Polyommatus yurinekrutenko", "Oxypoda annapurnensis", "Oxypoda aulica", "Oxypoda peregrina", "Oxypoda marginalis", "Oxypoda ustulata", "Microhaplolepis ovoidea", "Microhaplolepis serrata", "Pseudoplandria umbonata", "Pseudoplandria vaga", "Aleochara himalayica", "Protohaplolepis scotica", "Protohaplolepis isabellae", "Protohaplolepis limnades", "Protohaplolepis traquairi", "Ocalea glaciei", "Blairolepis loanheadensis", "Parahaplolepis westolli", "Cota dalmatica", "Ocalea morvani", "Arthrophytum korovinii", "Cephalocousya smetanai", "Cephalocousya loebli", "Hygropetrophila athetoides", "Arthrophytum lehmannianum", "Hygropetrophila smetanai", "Hygropetrophila bifurcata", "Arthrophytum longibracteatum", "Arthrophytum pulvinatum", "Mesalina balfouri", "Mesalina kuri", "Homeopronematus staercki", "Mesalina ayunensis", "Symphodus westneati", "Microtydeus beltrani", "Wainwrightilabrus agassizi", "Placusa kuenai", "Placusa perversa", "Pseudatheta akhaorum", "Pronecupulatus anahuacensis", "Stenomastax fimbriata", "Aleochara thailandensis", "Calotydeus andreae", "Eupithecia rigida rigida", "Pronematus bonatii", "Toarcolepas mutans", "Oxypoda clavata", "Oxypoda kirata", "Oxypoda shermathangana", "Oxypoda decessa", "Oxypoda dilatata", "Oxypoda gosainthanensis", "Oxypoda elata", "Oxypoda remansa", "Oxypoda remota", "Oxypoda bhairava", "Oxypoda rufomarginella", "Polysteganus coeruleopunctatus", "Polysteganus lineopunctatus", "Polysteganus cerasinus", "Polysteganus flavodorsalis", "Stemmatophora chapalis", "Doddiana tonkinalis", "Anabasis calcarea", "Anabasis cretacea", "Anabasis ebracteolata", "Anabasis ehrenbergii", "Anabasis elatior", "Yphthimoides leguialimai", "Brachida vietnamensis", "Coenonica bohaci", "Coenonica vietnamensis", "Diestota vietnamensis", "Platorischna vietnamensis", "Diglotta secqi", "Kaweshkarusa daccordii", "Hoya verticillata", "Hoya verticillata var. verticillata", "Keasius rhenanus", "Hoya verticillata var. citrina", "Hoya verticillata var. hendersonii", "Silene involucrata", "Silene involucrata subsp. tenella", "Franzidota smetanai", "Franzidota bagmatiensis", "Franzidota kuwapanicola", "Franzidota gokanica", "Franzidota colorata", "Franzidota loebli", "Apimela aptera", "Apimela newarica", "Apimela lucidula", "Parapimela morvani", "Meotica orousseti", "Amarochara smetanai", "Amarochara loebli", "Cephalocousya raraensis", "Diclidanthera wurdackiana", "Apisa fontainei", "Rhipidarctia subminiata", "Nitidochapsa siamensis", "Metarctia insignis", "Anabasis eriopoda", "Anabasis eugeniae", "Acrossocheilus fasciatus", "Gymnographopsis chilena", "Acrostatheusis reducta", "Anabasis ferganica", "Anabasis gypsicola", "Sesquialtera ramecourti", "Anabasis haussknechtii", "Acrossocheilus paradoxus", "Anabasis jaxartica", "Acrossocheilus wuyiensis", "Sphingomima olivacea", "Oxyfidonia fulvida", "Oxyfidonia dargei", "Oxyfidonia latizona", "Epigynopteryx altivagans", "Neostega cornuta", "Oxypoda newari", "Oxypoda monasterii", "Oxypoda parbatensis", "Oxypoda franzi", "Oxypoda breviantennata", "Oxypoda loebli", "Oxypoda crassiuscula", "Oxypoda nagaidana", "Oxypoda cephalina", "Oxipoda nepaliella", "Oxypoda minicephala", "Gonionycha smetanai", "Pseudoplandria loebli", "Pseudoplandria smetanai", "Pseudoplandria praesens", "Pseudoplandria convergens", "Achtherampla asiatica", "Anabasis lachnantha", "Anabasis macroptera", "Anabasis prostrata", "Anabasis syriaca", "Parapronematus acaciae", "Anabasis truncata", "Pronematus ubiquitus", "Eucraera nemesida", "Eucraera koellikerii", "Eucraera witti", "Eucraera decora", "Eucraera magna", "Monocentropus balfouri", "Orchestina bedu", "Gamasomorpha deksam", "Orchestina foa", "Euxoa difficillima", "Schiffornis olivacea", "Schiffornis aenea", "Holotrochus neotropicus", "Hapsimachogonia kilwana", "Gymnodiptychus dybowskii ganzihonensis", "Hapsimachogonia cavuata", "Hapsimachogonia esociformae", "Soligena spissa", "Soligena juna", "Soligena juna juna", "Soligena juna volta", "Ceridia quirini", "Ceridia mira", "Eucraera gemmata", "Eucraera gemmata gemmata", "Eucraera salammbo", "Keasius taylori", "Keasius septemtrionalis", "Pseudocetorhinus pickfordi", "Stenoprotome hamata", "Cotula leptalea", "Diquishia morion", "Diquishia ansorgei", "Hymenelia gyalectoidea", "Odontopacha fenestrata", "Gymnodiptychus dybowskii", "Hapsimachogonia hapsimachus", "Trachylepis socotrana", "Trachylepis ferrarai", "Trachylepis hemmingi", "Sunius alaianus", "Sunius dearmatus", "Sunius deplectens", "Sunius marratus", "Sunius migrus", "Sunius virilis", "Sunius aculeatus", "Trachylepis adamastor", "Heterostegane amputata", "Heterostegane mediosecta", "Heterostegane nyassa", "Steganomima sobria", "Oxyfidonia modesta", "Psilocerea albivertex", "Menophra alticamerunis", "Oxypoda burlangana", "Oxypoda yakorum", "Oxypoda specifica", "Oxypoda durga", "Oxypoda dama", "Oxypoda decorella", "Oxypoda pusilla", "Oxypoda chetra", "Oxypoda svetana", "Oxypoda sudra", "Oxypoda ganeshica", "Oxypoda manjushrica", "Oxypoda bissica", "Oxypoda limbu", "Oxypoda personata", "Oxypoda kuwapanensis", "Oxypoda suturalis", "Oxypoda gupta", "Oxypoda gokanica", "Oxypoda bahaliana", "Oxypoda brendelli", "Oxypoda iuvenca", "Oxypoda notaticollis", "Oxypoda smetanaorum", "Oxypoda kumariae", "Oxypoda haesitans", "Oxypoda expeditionis", "Oxypoda orousseti", "Oxypoda neutra", "Parmelia pinnatifida", "Mimaplasta canui", "Anabasis turgaica", "Anabasis turkestanica", "Aleochara srivijaya", "Aleochara mengraii", "Amaurodera meorum", "Apimela rougemonti", "Atheta necopinata", "Atheta vestigans", "Atheta honorata", "Atheta pingicola", "Atheta elephantophila", "Atheta insomnis", "Atheta scrutans", "Atheta subnigritula scrutans", "Brachidamorpha rougemonti", "Coenonica thai", "Drusilla tigrata", "Dysacrita problematica", "Apotriophtydeus alaskensis", "Eusteniamorpha rougemonti", "Eusteniamorpha thailandensis", "Falagria hmong", "Leptagria subaenea", "Gnypeta indigens", "Gnypeta matura", "Gonionycha rougemonti", "Leucocraspedum rougemonti", "Leucocraspedum yao", "Litoglossa rougemonti", "Myllaena bifurcata", "Myllaena inflatescens", "Myllaena klimaszewskii", "Myllaena yaorum", "Nehemitropia yao", "Orphnebius setiger", "Gyalideopsis halocarpa", "Piescymnida rougemonti", "Falagrioma sherpa", "Falagria parva", "Falagria opacella", "Lilium armenum", "Myrmecocephalus alutipennis", "Myrmecocephalus derougemonti", "Lilium szovitsianum", "Myrmecopora martensi", "Atheta errabundorum", "Acrotona exquisita", "Holotrochus sigridae", "Holotrochus opacus", "Holotrochus pseudodurus", "Holotrochus nani", "Holotrochus amazonicus", "Holotrochus blackwelderi", "Holotrochus hanagarthi", "Holotrochus lineatus", "Holotrochus milleri", "Holotrochus similis", "Holotrochus schubarti", "Holotrochus ingae", "Holotrochus pumilus", "Holotrochus spira", "Holotrochus rugosus", "Holotrochus struyvei", "Holotrochus ignotus", "Holotrochus adisi", "Holotrochus agostii", "Holotrochus hamatus", "Holotrochus lobatus", "Holotrochus mrazi", "Holotrochus paraguensis", "Holotrochus pseudoleticiae", "Holotrochus tortilis", "Holotrochus yasuniensis", "Holotrochus convexus", "Holotrochus campbelli", "Holotrochus emarginatus", "Holotrochus susannae", "Autalia impressa", "Falagria sulcata", "Nettenchelys bellottii", "Cota coelopoda var. coelopoda", "Drosanthemum subg.", "Cota coelopoda var. bourgaei", "Cota coelopoda var. longiloba", "Drosanthemum subg.", "Cota linczevskyi", "Cota mazandaranica", "Cota lyonnetioides", "Cota macrantha", "Cota talyschensis", "Nettenchelys dionisi", "Nettenchelys erroriensis", "Nettenchelys exoria", "Nettenchelys gephyra", "Nettenchelys inion", "Nettenchelys paxtoni", "Nettenchelys proxima", "Nettenchelys pygmaea", "Acrotona simplicitatis", "Acrotona ruraloides", "Acrotona ostentata", "Atheta newar", "Parabathymyrus philippinensis", "Parabathymyrus brachyrhynchus", "Cavendishia sect.", "Cavendishia sect.", "Cavendishia ser.", "Cavendishia ser.", "Cavendishia sect.", "Parabathymyrus macrophthalmus", "Cavendishia sect.", "Saurenchelys gigas", "Cavendishia ser.", "Trachylepis albotaeniata", "Phelsuma parkeri", "Lygodactylus howelli", "Leptotyphlops pembae", "Trachylepis ozorii", "Lecania maritima", "Gymnogeophagus constellatus", "Gymnogeophagus pseudolabiatus", "Gymnogeophagus mekinos", "Gymnogeophagus missioneiro", "Gymnogeophagus lipokarenos", "Etmopterus benchleyi", "Chrysiptera ellenae", "Chrysiptera maurineae", "Chrysiptera papuensis", "Acrotona scabrosa", "Acrotona filifera", "Acrotona kathmanduorum", "Atheta inornata", "Lecania polycarpa", "Perichares forbesi", "Salsola zaidamica", "Vehilius major", "Lamproptera meges ennius", "Clandestinotrema hepaticola", "Lamproptera meges annamiticus", "Lamproptera meges virescens", "Lamproptera meges niasicus", "Lamproptera meges pessimus", "Lamproptera meges akirai", "Lamproptera meges decius", "Leucodecton minisporum", "Lamproptera meges amplifascia", "Leucodecton uatumense", "Bellatheta franzi", "Tomoglossa nepalensis", "Aloconota aenigmatica", "Aloconota beesoni", "Geostiba notabilis", "Pelioptera franzi", "Pelioptera martensi", "Schistoglossa biapicalis", "Thamiaraea masuriensis", "Thamiaraea flavicollis", "Mimoxypoda parva", "Liogluta kulliorum", "Ramonda heldreichii", "Trachylepis aureopunctata", "Trachylepis boettgeri", "Dysomma taiwanensis", "Dysomma anguillare", "Dysomma dolichosomatum", "Dysomma goslinei", "Dysomma longirostrum", "Scadoxus membranaceus", "Scadoxus sect.", "Scadoxus sect.", "Hemigrammus erythrozonus", "Eriocheir sinensis", "Holotrochus plaumanni", "Holotrochus mexicanus", "Holotrochus mariannae", "Holotrochus glabrinotus", "Holotrochus latinotus", "Holotrochus nationes", "Holotrochus montepius", "Holotrochus newtoni", "Holotrochus convertus", "Holotrochus leticiae", "Holotrochus geraldi", "Holotrochus hyleae", "Holotrochus pecki", "Holotrochus cerri", "Holotrochus columbiensis", "Holotrochus centralensis", "Holotrochus lineatocollis", "Holotrochus obstrusus", "Mimogonia baloghi", "Cota tinctoria subsp. tinctoria", "Mimogonia marquesi", "Mimogonia duckei", "Lycophidion pembanum", "Lecidella granulosula var. granulosula", "Lecidella granulosula var. lecanorina", "Cavendishia ser.", "Cavendishia ser.", "Cavendishia ser.", "Lecidella leucomarginata", "Rosa glabrifolia", "Rhopalosilpha wasmanni", "Atheta caligata", "Atheta introducta", "Atheta gurjakhanensis", "Atheta percelata", "Atheta subpluvialis", "Atheta ulleriensis", "Atheta bhimsen", "Atheta puella", "Atheta khandbarica", "Atheta tamang", "Atheta mitis", "Atheta inopinata", "Atheta arniensis", "Atheta innotescens", "Atheta chautarasorum", "Atheta pseudoarcuata", "Atheta sagitta", "Atheta newarorum", "Atheta evoluta", "Atheta swayambunathana", "Atheta arcuata", "Atheta nobilitata", "Cota brevicuspis", "Pseudorhipsalis amazonica", "Cota coelopoda", "Oxygaster anomalura", "Pandemis capnobathra", "Pandemis cerasana", "Pandemis cerioschema", "Homona cerioschema", "Macrognathus siamensis", "Liogluta inserta", "Liogluta rufodepressa", "Liogluta franzi", "Liogluta subnepalica", "Liogluta sculpticeps", "Liogluta elegantula", "Liogluta apta", "Liogluta avatar", "Liogluta nimbicola", "Laccophilus mirabilis", "Laccophilus ferrugo", "Tydaeolus frequens", "Bougainvillea \u00d7 buttiana", "Trachylepis dumasi", "Lycoris sanguinea var. sanguinea", "Lycoris sanguinea var. kiusiana", "Lycoris \u00d7 rubroaurantiaca", "Lycoris caldwellii", "Nettenchelys taylori", "Aloconota smetanaiana", "Pelioptera nilgiriensis", "Ornithogalum subg.", "Pelioptera championi", "Ornithogalum subg.", "Ornithogalum sect.", "Pelioptera dubia", "Tropimenelytron angusticolle", "Ornithogalum sect.", "Agrias aedon jouberti", "Siderone galanthis", "Siderone galanthis galanthis", "Siderone galanthis canande", "Siderone thebais", "Siderone thebais thebais", "Siderone thebais pernambuco", "Siderone syntyche", "Siderone syntyche syntyche", "Siderone syntyche polymela", "Siderone syntyche vulcanus", "Siderone syntyche angustifascia", "Siderone syntyche mars", "Lepraria finkii", "Anicla recondita", "Atheta spatulata", "Atheta bagarchhapensis", "Atheta arcuatoides", "Atheta rara", "Sunius akianus", "Sunius dumanlianus", "Sunius bihamatus", "Liogluta philhygroides", "Cypha armata", "Liogluta subumbonata", "Paraleptusa goraaica", "Liogluta martensi", "Geostiba mutabilis", "Liogluta ausobskyi", "Liogluta nepalica", "Oxypoda contempta", "Paraliogluta coiffaiti", "Geostiba mihoki", "Geostiba spinicollis", "Oospila bulava", "Anteros milae", "Anteros allectus", "Anteros allectus allectus", "Anteros allectus magnificus", "Hellinsia xylodactyla", "Hellinsia stenoptilioides", "Hellinsia eborinicolora", "Liogluta bicristata", "Paraloconota dissociata", "Paraloconota fuscata", "Nepalota fessa", "Orthogonioptilum emmanuellae", "Orthogonioptilum umbrulatum", "Waltheria microphylla", "Waltheria communis", "Waltheria virgata", "Monerolechia glomerulans", "Acrotona stillans", "Acrotona iperarmata", "Acrotona quadrispina", "Atheta prodita", "Atheta inarmata", "Atheta sundra", "Autalia smetanai", "Cordalia smetanai", "Cordalia orousseti", "Myrmecocephalus sikharianus", "Myrmecocephalus mudranus", "Falagria himalayica", "Cota tinctoria subsp. australis", "Archeria traversii", "Archeria racemosa", "Archeria serpyllifolia", "Lecanora kauaiensis", "Cota tinctoria subsp. fussii", "Cavendishia subg.", "Cota tinctoria subsp. gaudium-solis", "Cota tinctoria subsp. parnassica", "Cavendishia subg.", "Cavendishia sect.", "Myrmecocephalus distractus", "Myrmecocephalus smetanai", "Myrmecocephalus newarus", "Outachyusa nepalensis", "Amischa kathmanduensis", "Amischa coprophila", "Amischa pioncolyata", "Atheta spectabilis", "Atheta incurata", "Atheta spatuligera", "Atheta smetanaorum", "Atheta optiva", "Atheta basigaster", "Acrotona solitudinis", "Acrotona pantherina", "Acrotona abalienata", "Acrotona gurkha", "Dysomma melanurum", "Scadoxus sect.", "Dysomma opisthoproctus", "Dysomma polycatodon", "Scadoxus sect.", "Dysommina rugosa", "Scadoxus sect.", "Polyommatus karindus", "Polyommatus karindus karindus", "Coccotydaeolus bakeri", "Scadoxus cinnabarinus", "Polyommatus karindus saravandi", "Euptychia attenboroughi", "Euptychia sophiae", "Euptychia alacristata", "Tydaeolus atomus", "Laccophilus grossus", "Laccophilus rocchii", "Chelonid alphaherpesvirus 6", "Columbid alphaherpesvirus 1", "Gallid alphaherpesvirus 2", "Gallid alphaherpesvirus 3", "Meleagrid alphaherpesvirus 1", "Trachylepis madagascariensis", "Trachylepis nancycoutuae", "Berca nepalensis", "Haplostylipera smetanai", "Thamiaraea smetanai", "Thamiaraea percribrata", "Thamiaraea sparsa", "Litoglossa smetanai", "Platorischna crypticola", "Platorischna himalayica", "Platorischna sumatrensis", "Orthogonioptilum apium", "Bovine alphaherpesvirus 5", "Bubaline alphaherpesvirus 1", "Geodena minima", "Canid alphaherpesvirus 1", "Caprine alphaherpesvirus 1", "Cercopithecine alphaherpesvirus 9", "Cervid alphaherpesvirus 1", "Cervid alphaherpesvirus 2", "Equid alphaherpesvirus 1", "Equid alphaherpesvirus 3", "Equid alphaherpesvirus 4", "Equid alphaherpesvirus 8", "Equid alphaherpesvirus 9", "Felid alphaherpesvirus 1", "Phocid alphaherpesvirus 1", "Suid alphaherpesvirus 1", "Ateline alphaherpesvirus 1", "Bovine alphaherpesvirus 2", "Cercopithecine alphaherpesvirus 2", "Human alphaherpesvirus 1", "Human alphaherpesvirus 2", "Macacine alphaherpesvirus 1", "Macropodid alphaherpesvirus 1", "Macropodid alphaherpesvirus 2", "Papiine alphaherpesvirus 2", "Saimiriine alphaherpesvirus 1", "Leptogidium contortum", "Neolamprologus longicaudatus", "Neolamprologus crassus", "Psittacid alphaherpesvirus 1", "Gallid alphaherpesvirus 1", "Melanotrema lynceodes", "Chelonid alphaherpesvirus 5", "Monerolechia californica", "Nabalus asper", "Heliotropium stenophyllum", "Monerolechia norstictica", "Heliotropium sect.", "Heliotropium sect.", "Heliotropium subsect.", "Myriospora smaragdula", "Human betaherpesvirus 5", "Cercopithecine betaherpesvirus 5", "Macacine betaherpesvirus 3", "Panine betaherpesvirus 2", "Aotine betaherpesvirus 1", "Aotine herpesvirus 3", "Murid betaherpesvirus 1", "Murid betaherpesvirus 2", "Elephantid betaherpesvirus 1", "Caviid betaherpesvirus 2", "Suid betaherpesvirus 2", "Tupaiid betaherpesvirus 1", "Human betaherpesvirus 6A", "Human betaherpesvirus 6B", "Human betaherpesvirus 7", "Trachylepis tandrefana", "Hermannia stricta", "Nabalus acerifolius", "Platorischna nepalensis", "Medeterusa smetanai", "Nabalus alatus", "Eutaenoglossa smetanaorum", "Rhopaletes nepalensis", "Arenga undulatifolia", "Gossypium sturtianum var. sturtianum", "Gossypium sturtianum var. nandewarense", "Gossypium sturtianum var. trilobum", "Tropimenelytron himalayiense", "Pelioptera annapurnensis", "Pelioptera indica", "Pelioptera nepaliella", "Tropimenelytron smetanai", "Pelioptera loebli", "Pelioptera pulchella", "Pelioptera opacoides", "Pelioptera ophthalmica", "Tropimenelytron nixans", "Tropimenelytron sikhaense", "Tropimenelytron superbum", "Pelioptera problematica", "Pelioptera newariana", "Mauna drakensbergensis", "Dioptrochasma gracilis", "Psilocerea psegma", "Xenostega manengouba", "Bovine alphaherpesvirus 1", "Nabalus altissimus", "Atheta sublugens", "Atheta soror", "Helicopage brevipalpis", "Chloroglyphica devecisi", "Bathycolpodes pectinata", "Comostolopsis atricosta", "Hypochrosis haxairei", "Cryodraco antarcticus", "Cryodraco atkinsoni", "Bostrychus sinensis", "Human alphaherpesvirus 3", "Lycoris koreana", "Tropimenelytron andrewesi", "Tropimenelytron acuticollis", "Tropimenelytron parbatense", "Laccophilus ruficollis", "Lycoris hunanensis", "Laccophilus hyalinus", "Laccophilus demoflysi", "Lycoris josephinae", "Laccophilus furthi", "Laccophilus isamberti", "Laccophilus inobservatus", "Laccophilus cryptos", "Laccophilus enigmaticus", "Laccophilus bellus", "Laccophilus guentheri", "Laccophilus guineensis", "Laccophilus decorosus", "Laccophilus empheres", "Laccophilus inconstans", "Laccophilus brancuccii", "Laccophilus incomptus", "Ancylobothrys capensis", "Pittosporum sect.", "Pittosporum sect.", "Sirystes albogriseus", "Sirystes subcanescens", "Sirystes albocinereus", "Schiffornis stenorhyncha", "Schiffornis veraepacis", "Neolamprologus falcicula", "Neolamprologus gracilis", "Neolamprologus olivaceous", "Neolamprologus splendens", "Neolamprologus prochilus", "Echelus polyspondylus", "Cordalia pacei", "Diestota arabs", "Ocellularia khasiana", "Equid gammaherpesvirus 2", "Equid gammaherpesvirus 5", "Mustelid gammaherpesvirus 1", "Ateline gammaherpesvirus 2", "Ateline gammaherpesvirus 3", "Bovine gammaherpesvirus 4", "Human gammaherpesvirus 8", "Macacine gammaherpesvirus 5", "Murid gammaherpesvirus 4", "Saimiriine gammaherpesvirus 2", "Cyprinid herpesvirus 3", "Ostreid herpesvirus 1", "Haliotid herpesvirus 1", "Trachylepis comorensis", "Peltula marginata", "Seriolina nigrofasciata", "Trachylepis casuarinae", "Trachylepis infralineata", "Symphytum davisii subsp. naxicola", "Myrmecia regularis", "Paraliogluta annapurnensis", "Paraliogluta kiranta", "Paraliogluta loebli", "Paraloconota smetanai", "Paraloconota smetanaiana", "Pandemis ochromixtana", "Pandemis sylvatica", "Pandemis testacea", "Procrica infirmana", "Procrica spadicea", "Epichoristodes flavisplendidana", "Epichoristodes fumida", "Metendothenia controversana", "Endothenia versicolor", "Epichoristodes spilonoma", "Capua repentina", "Capua reclina", "Zalomes banco", "Zalomes coto", "Zalomes naco", "Wahydra dores", "Wahydra thisbe", "Pheraeus covadonga covadonga", "Pheraeus covadonga loxiga", "Cantua quercifolia", "Paraloconota muscicola", "Paraloconota derougemonti", "Nepalota loebliana", "Nepalota devi", "Bellatheta thakur", "Tomoglossa subcorticalis", "Tomoglossa venusta", "Aloconota magar", "Selenicereus inermis subsp. inermis", "Selenicereus inermis subsp. rubineus", "Lomographa laurentschwartzi", "Hylocereus sect.", "Drepanogynis tanzanica", "Hylocereus sect.", "Pseudomonas virus phiCTX", "Ralstonia virus RSA1", "Salmonella virus Fels2", "Salmonella virus SopEphi", "Yersinia virus L413C", "Enterococcus virus phiEC24C", "Lactobacillus virus LP65", "Bacillus virus SPO1", "Pertusaria rogersii", "Listeria virus A511", "Listeria virus P100", "Staphylococcus virus G1", "Staphylococcus virus K", "Staphylococcus virus Twort", "Acinetobacter virus 133", "Aeromonas virus 65", "Aeromonas virus Aeh1", "Vibrio virus KVP40", "Vibrio virus nt1", "Escherichia virus JS98", "Escherichia virus phi1", "Escherichia virus RB14", "Escherichia virus RB49", "Escherichia virus RB69", "Pyxine profallax", "Nabalus ochroleucus", "Nabalus roanensis", "Hamiltonella virus APSE1", "Hippotragine gammaherpesvirus 1", "Ovine gammaherpesvirus 2", "Suid gammaherpesvirus 3", "Suid gammaherpesvirus 4", "Suid gammaherpesvirus 5", "Faberia cavaleriei", "Faberia ceterach", "Faberia lancifolia", "Faberia nanchuanensis", "Faberia sinensis", "Iguanid herpesvirus 2", "Faberia thibetica", "Achrosis jacquelinae", "Equid gammaherpesvirus 7", "Phocid gammaherpesvirus 2", "Saguinine gammaherpesvirus 1", "Notoseris khasiana", "Nabalus tatarinowii", "Notoseris yakoensis", "Ocellularia cinerea", "Trachylepis volamenaloha", "Eois odzala", "Eois aguessei", "Trachylepis tavaratra", "Trachylepis vezo", "Aphilopota vuattouxi", "Trachylepis vato", "Hypomecis quaerenda", "Xylopteryx galla", "Asthenotricha circumscripta", "Mauna rwandana", "Dasymacaria kruegeri", "Cabera cadoreli", "Pycnostega murphyi", "Pitthea luminosa", "Aptinus displosor", "Psoromaria subdescendens", "Escherichia virus K5", "Escherichia virus K1-5", "Escherichia virus K1E", "Salmonella virus SP6", "Erwinia virus Era103", "Escherichia virus T7", "Kluyvera virus Kvp1", "Pseudomonas virus gh1", "Staphylococcus virus 44AHJD", "Streptococcus virus C1", "Bacillus virus B103", "Bacillus virus GA1", "Bacillus virus phi29", "Kurthia virus 6", "Trachylepis loluiensis", "Trachylepis mekuana", "Doryichthys boaja", "Burkholderia virus Bcep1", "Burkholderia virus Bcep43", "Burkholderia virus Bcep781", "Burkholderia virus BcepNY3", "Xanthomonas virus OP2", "Burkholderia virus BcepMu", "Burkholderia virus phiE255", "Erwinia virus Ea214", "Escherichia virus wV8", "Salmonella virus FelixO1", "Halomonas virus HAP1", "Vibrio virus VP882", "Mycobacterium virus I3", "Escherichia virus Mu", "Burkholderia virus BcepF1", "Pseudomonas virus 141", "Pseudomonas virus F8", "Pseudomonas virus LBL3", "Pseudomonas virus LMA2", "Pseudomonas virus PB1", "Pseudomonas virus SN", "Clostridium virus phiC2", "Clostridium virus phiCD27", "Clostridium virus phiCD119", "Halobacterium virus phiH", "Pseudomonas virus EL", "Pseudomonas virus Lin68", "Pseudomonas virus phiKZ", "Aeromonas virus 43", "Escherichia virus P1", "Dickeya virus Limestone", "Escherichia virus CBA120", "Escherichia virus PhaxI", "Salmonella virus SFP10", "Salmonella virus SH19", "Salmonella virus ViI", "Shigella virus AG3", "Pseudomonas virus H66", "Burkholderia virus Bcep22", "Burkholderia virus Bcepil02", "Burkholderia virus Bcepmigl", "Burkholderia virus DC1", "Bordetella virus BPP1", "Burkholderia virus BcepC6B", "Escherichia virus phiV10", "Salmonella virus Epsilon15", "Pseudomonas virus LUZ24", "Pseudomonas virus PaP3", "Escherichia virus N4", "Salmonella virus P22", "Salmonella virus HK620", "Salmonella virus ST64T", "Shigella virus Sf6", "Escherichia virus phiEco32", "Disocactus lodei", "Disocactus kimnachii", "Hylocereus extensus", "Prasinocyma shoa", "Haxairella anisa", "Haxairella carita", "Temnora kaguru", "Temnora probata", "Taraxacum rupicola", "Taraxacum anatolicum", "Taraxacum androssovii", "Taraxacum assemanii", "Taraxacum aznavourii", "Taraxacum bellidiforme", "Taraxacum bessarabicum", "Taraxacum bithynicum", "Taraxacum brevirostre", "Taraxacum buttleri", "Taraxacum calocephalum", "Taraxacum davisii", "Temnora sardanus", "Lactococcus virus KSY1", "Phormidium virus WMP3", "Phormidium virus WMP4", "Pseudomonas virus 119X", "Pseudomonas virus F116", "Roseobacter virus SIO1", "Vibrio virus VpV262", "Actinomyces virus Av1", "Mycoplasma virus P1", "Streptococcus virus Cp1", "Prochlorococcus virus PSSP7", "Synechococcus virus P60", "Synechococcus virus Syn5", "Prenanthes hookeri", "Pantoea virus Limelight", "Pantoea virus Limezero", "Pseudomonas virus LKA1", "Pseudomonas virus phiKMV", "Sempervivum ekimii", "Temnora sardanus hirsutus", "Temnora sardanus canui", "Temnora sardanus sardanus", "Polyptychoides cadioui", "Staphylococcus virus 47", "Staphylococcus virus 3a", "Staphylococcus virus 42e", "Staphylococcus virus IPLA35", "Staphylococcus virus phi12", "Staphylococcus virus phiSLT", "Staphylococcus virus 13", "Staphylococcus virus 77", "Staphylococcus virus 108PVL", "Bacillus virus Andromeda", "Bacillus virus Blastoid", "Bacillus virus Curly", "Bacillus virus Eoghan", "Bacillus virus Finn", "Bacillus virus Glittering", "Bacillus virus Riggi", "Bacillus virus Taylor", "Mycobacterium virus Barnyard", "Mycobacterium virus Konstantine", "Mycobacterium virus Patience", "Mycobacterium virus Predator", "Mycobacterium virus Bignuz", "Mycobacterium virus Jebeks", "Mycobacterium virus Bron", "Mycobacterium virus Faith1", "Mycobacterium virus Joedirt", "Mycobacterium virus Rumpelstiltskin", "Lactococcus virus bIL67", "Lactococcus virus c2", "Trachylepis mlanjensis", "Hemiceras toddi", "Trachylepis nganghae", "Aptinus acutangulus", "Aptinus alpinus", "Aptinus cordicollis", "Aptinus hovorkai", "Aptinus lugubris", "Aptinus pyranaeus", "Aptinus creticus", "Psoromaria versicolor", "Aptinus bombarda", "Aptinus merditanus", "Trachylepis pulcherrima", "Aptinus merditanus merditanus", "Heliotaurus ruficollis", "Aptinus merditanus orientalis", "Trachylepis sechellensis", "Styphlodromus bicolor", "Trachylepis wrightii", "Bacillus virus G", "Bacillus virus PBS1", "Microcystis virus Ma-LMM01", "Pertusaria oahuensis", "Campylobacter virus CP21", "Campylobacter virus CP220", "Campylobacter virus CPt10", "Campylobacter virus IBB35", "Campylobacter virus CP81", "Campylobacter virus CPX", "Campylobacter virus NCTC12673", "Aeromonas virus phiO18P", "Haemophilus virus HP1", "Haemophilus virus HP2", "Pasteurella virus F108", "Vibrio virus K139", "Vibrio virus Kappa", "Burkholderia virus phi52237", "Burkholderia virus phiE202", "Burkholderia virus phiE122", "Escherichia virus 186", "Escherichia virus P2", "Salmonella virus PsP3", "Escherichia virus Wphi", "Mannheimia virus PHL101", "Pseudomonas virus D3112", "Pseudomonas virus DMS3", "Pseudomonas virus FHA0480", "Pseudomonas virus LPB1", "Pseudomonas virus MP22", "Pseudomonas virus MP29", "Pseudomonas virus MP38", "Pseudomonas virus PA1KOR", "Pseudomonas virus D3", "Pseudomonas virus PMG1", "Mycobacterium virus Halo", "Mycobacterium virus Liefie", "Trachylepis sparsa", "Escherichia virus JL1", "Escherichia virus SSL2009a", "Escherichia virus HK578", "Shigella virus EP23", "Sodalis virus SO1", "Bacillus virus 250", "Bacillus virus IEBH", "Salmonella virus Ent1", "Salmonella virus Jersey", "Salmonella virus SE2", "Salmonella virus SETP3", "Salmonella virus SS3e", "Salmonella virus wksl3", "Mycobacterium virus L5", "Syncrossus helodes", "Taraxacum erzincanense", "Plutodes stueningi", "Aleochara arabs", "Atheta haddensis", "Caloderella arabica", "Myllaena desertorum", "Oligota rougemonti", "Psoromaria rosulata", "Gyrophaena angulifera", "Lactobacillus virus c5", "Lactobacillus virus LLKu", "Gyrophaena ferrariae", "Mycobacterium virus Charlie", "Mycobacterium virus Redi", "Gyrophaena semisocia", "Gyrophaena luciensis", "Mycobacterium virus Ardmore", "Mycobacterium virus Avani", "Mycobacterium virus Boomer", "Mycobacterium virus Che8", "Mycobacterium virus Che9d", "Mycobacterium virus Deadp", "Mycobacterium virus Dlane", "Mycobacterium virus Dorothy", "Mycobacterium virus Dotproduct", "Mycobacterium virus Drago", "Mycobacterium virus Fruitloop", "Mycobacterium virus Gumbie", "Mycobacterium virus Ibhubesi", "Mycobacterium virus Llij", "Mycobacterium virus Mozy", "Mycobacterium virus Mutaforma13", "Mycobacterium virus Pacc40", "Mycobacterium virus PMC", "Mycobacterium virus Ramsey", "Mycobacterium virus Rockyhorror", "Mycobacterium virus SG4", "Mycobacterium virus Shauna1", "Mycobacterium virus Shilan", "Mycobacterium virus Spartacus", "Mycobacterium virus Taj", "Mycobacterium virus Tweety", "Mycobacterium virus Wee", "Mycobacterium virus Yoshi", "Mycobacterium virus Babsiella", "Selenicereus boeckmannii", "Disocactus flagriformis", "Disocactus nelsonii", "Andrena antoinei", "Dichomeris chinganella", "Dichomeris christophi", "Brachida bartolozzii", "Cameronium malindense", "Drusilla malindensis", "Tyloplatyola bartolozzii", "Zyras malindicus", "Zyras pardii", "Ptilophora fuscior", "Taraxacum kalchainum", "Gagata dolichonema", "Selenicereus grandiflorus subsp. donkelaarii", "Bairdoppilata scaura", "Selenicereus grandiflorus subsp. hondurensis", "Selenicereus grandiflorus subsp. lautneri", "Milionia fulgida", "Milionia fulgida fulgida", "Milionia basalis", "Milionia basalis basalis", "Milionia basalis nishiyamai", "Abothrus bicolor", "Aglaogaster franzi", "Aleochara kanak", "Ampheida neocaledonica", "Ampheida newtoni", "Animobata kanakorum", "Atheta kanak", "Atheta austrocaledonica", "Atheta neocaledonica", "Brachida alternata", "Brachida dimidiata", "Brachida newtoni", "Coenonica kanak", "Coenonica newtoni", "Coenonica peckorum", "Dimastiglossa koghiensis", "Gnypeta laevis", "Gyrophaena antipodum", "Gyrophaena kanak", "Gyrophaena newtoni", "Gyrophaena notabilis", "Mycobacterium virus Brujita", "Phiala iridescens", "Mycobacterium virus Che9c", "Macrogerodonia pivai", "Salmonella virus Chi", "Salmonella virus FSLSP030", "Salmonella virus FSLSP088", "Atheta egesta", "Salmonella virus iEPS5", "Salmonella virus SPN19", "Gyrophaena pivai", "Mycobacterium virus 244", "Mycobacterium virus Bask21", "Mycobacterium virus CJW1", "Mycobacterium virus Eureka", "Mycobacterium virus Kostya", "Mycobacterium virus Porky", "Mycobacterium virus Pumpkin", "Mycobacterium virus Sirduracell", "Mycobacterium virus Toto", "Pseudaletis abriana", "Heterostiba pivaiana", "Mycobacterium virus Corndog", "Mycobacterium virus Firecracker", "Pseudaletis abriana abriana", "Pseudaletis abriana orientalis", "Hawaiian rubus leaf curl virus", "Pigeonpea sterility mosaic emaravirus 1", "Pseudaletis camarensis", "Pseudaletis camarensis camarensis", "Pseudaletis camarensis depuncta", "Pseudaletis agrippina", "Pseudaletis agrippina agrippina", "Pseudaletis agrippina warrengashi", "Pseudaletis cornesi", "Pseudaletis bouyeri", "Pseudaletis catori", "Pseudaletis michelae", "Pseudaletis melissae", "Streptococcus virus 7201", "Streptococcus virus phiAbc2", "Streptococcus virus DT1", "Streptococcus virus Sfi19", "Streptococcus virus Sfi21", "Lactococcus virus 712", "Lactococcus virus ASCC191", "Lactococcus virus ASCC273", "Lactococcus virus ASCC281", "Lactococcus virus ASCC465", "Lactococcus virus ASCC532", "Rinodina oxydatella", "Lactococcus virus Bibb29", "Lactococcus virus bIL170", "Lactococcus virus CB13", "Lactococcus virus CB14", "Lactococcus virus CB19", "Lactococcus virus CB20", "Lactococcus virus jj50", "Lactococcus virus P2", "Lactococcus virus P008", "Lactococcus virus sk1", "Lactococcus virus Sl4", "Hemidactylus awashensis", "Hemidactylus jumailiae", "Hemidactylus saba", "Hemidactylus shihraensis", "Mycobacterium virus Packman", "Mycobacterium virus Peaches", "Mycobacterium virus Perseus", "Mycobacterium virus Pukovnik", "Mycobacterium virus Rebeuca", "Mycobacterium virus Redrock", "Mycobacterium virus Ridgecb", "Mycobacterium virus Rockstar", "Mycobacterium virus Saintus", "Mycobacterium virus Skipole", "Mycobacterium virus Solon", "Mycobacterium virus Switzer", "Mycobacterium virus SWU1", "Mycobacterium virus Ta17a", "Mycobacterium virus Tiger", "Mycobacterium virus Timshel", "Mycobacterium virus Trixie", "Mycobacterium virus Turbido", "Mycobacterium virus Twister", "Mycobacterium virus U2", "Mycobacterium virus Violet", "Mycobacterium virus Wonder", "Rhodococcus virus RER2", "Rhodococcus virus RGL3", "Escherichia virus HK022", "Escherichia virus HK97", "Escherichia virus Lambda", "Escherichia virus N15", "Streptomyces virus phiBT1", "Streptomyces virus phiC31", "Streptomyces virus TG1", "Methanobacterium virus psiM1", "Escherichia virus T5", "Escherichia virus AKFV33", "Escherichia virus BF23", "Escherichia virus EPS7", "Escherichia virus H8", "Escherichia phage", "Salmonella virus SPC35", "Escherichia virus T1", "Shigella virus Shfl1", "Ramalina ovalis", "Catocala tokui tokui", "Catocala tokui tayal", "Catocala siamensis", "Mycobacterium virus Baka", "Bahaba polykladiskos", "Soybean cyst nematode socyvirus", "Mammalian 1 orthobornavirus", "Passeriform 1 orthobornavirus", "Passeriform 2 orthobornavirus", "Psittaciform 1 orthobornavirus", "Waterbird 1 orthobornavirus", "Doryichthys contiguus", "Spiralisigna subpumilata", "Avian avulavirus 1", "Avian avulavirus 2", "Avian avulavirus 3", "Avian avulavirus 4", "Avian avulavirus 5", "Avian avulavirus 6", "Avian avulavirus 7", "Avian avulavirus 8", "Avian avulavirus 9", "Rinodina fijiensis", "Salmon aquaparamyxovirus", "Mycobacterium virus Courthouse", "Mycobacterium virus Littlee", "Mycobacterium virus Omega", "Mycobacterium virus Optimus", "Mycobacterium virus Thibault", "Thermus virus P23-45", "Thermus virus P74-26", "Mycobacterium virus PBI1", "Mycobacterium virus Acadian", "Mycobacterium virus Athena", "Mycobacterium virus Chrisnmich", "Mycobacterium virus Cooper", "Mycobacterium virus Gadjet", "Mycobacterium virus Nigel", "Mycobacterium virus Oline", "Mycobacterium virus Pg1", "Mycobacterium virus Pipefish", "Mycobacterium virus Rosebush", "Mycobacterium virus Stinger", "Mycobacterium virus Zemanar", "Rhizocarpon adarense", "Dichomeris consertellus", "Rhizocarpon flavomedullosum", "Caulobacter virus Karma", "Caulobacter virus Magneto", "Caulobacter virus phiCbK", "Caulobacter virus Rogue", "Caulobacter virus Swift", "Burkholderia virus phi6442", "Burkholderia virus phi1026b", "Burkholderia virus phiE125", "Enterococcus virus FL1", "Enterococcus virus FL2", "Enterococcus virus FL3", "Lactobacillus virus ATCC8014", "Lactobacillus virus phiJL1", "Pediococcus virus cIP1", "Myllaena kanak", "Myllaena neocaledonica", "Neidosphena anterufa", "Neidosphena crassa", "Neidosphena koghicola", "Neidosphena modesta", "Neidosphena newtoni", "Staphylococcus virus EW", "Staphylococcus virus IPLA5", "Staphylococcus virus IPLA7", "Staphylococcus virus IPLA88", "Staphylococcus virus PH15", "Staphylococcus virus phiETA", "Staphylococcus virus phiETA2", "Staphylococcus virus phiETA3", "Staphylococcus virus phiMR11", "Staphylococcus virus phiMR25", "Staphylococcus virus phiNM1", "Staphylococcus virus phiNM2", "Staphylococcus virus phiNM4", "Staphylococcus virus SAP26", "Staphylococcus virus X2", "Bacillus virus SPbeta", "Alphaproteobacteria virus phiJl001", "Pseudomonas virus M6", "Pseudomonas virus Yua", "Hemidactylus adensis", "Hemigrammus luelingi", "Skogsbergiella tetrathrix", "Selaginella balansae", "Hemidactylus mandebensis", "Rhizocarpon vigilans", "Doryichthys deokhatoides", "Mycobacterium virus Bongo", "Mycobacterium virus Rey", "Enterococcus virus BC611", "Enterococcus virus IMEEF1", "Enterococcus virus SAP6", "Enterococcus virus VD13", "Streptococcus virus SPQS1", "Streptococcus virus 858", "Streptococcus virus 2972", "Streptococcus virus ALQ132", "Streptococcus virus O1205", "Streptococcus virus Sfi11", "Nemoedia major", "Nemoedia minor", "Nemoedia miricornis", "Nemoedia miricornis miricornis", "Nemoedia miricornis minuta", "Nemoedia mutata", "Nemoedia rufipes", "Nemoedia neocaledonica", "Sphendysglossa puella", "Sternotropa antenigra", "Sternotropa brunnea", "Sternotropa coloricornis", "Sternotropa exul", "Sternotropa humeralis", "Sternotropa newtoni", "Sternotropa panieensis", "Sternotropa peckorum", "Sternotropa polita", "Sternotropa tenuis", "Thamiaraea scapularis sailendra", "Aleochara neocaledonica", "Xenastenoglossa kanak", "Diestota sakalava", "Ditropandria alternata", "Ditropandria absurda", "Ditropandria ambrensis", "Linoglossa lemuriae", "Madecazyras manjakatompensis", "Pseudacrotona bartolozzii", "Pseudacrotona nodieri", "Pseudacrotona perinetensis", "Tomoxelia moramangana", "Hylocereus stenopterus", "Staphylococcus virus 11", "Staphylococcus virus 29", "Staphylococcus virus 37", "Staphylococcus virus 53", "Staphylococcus virus 55", "Staphylococcus virus 69", "Staphylococcus virus 71", "Staphylococcus virus 80", "Staphylococcus virus 85", "Staphylococcus virus 88", "Staphylococcus virus 92", "Staphylococcus virus 96", "Staphylococcus virus 187", "Staphylococcus virus 52a", "Staphylococcus virus 80alpha", "Staphylococcus virus CNPH82", "Chloroclystis nepalensis", "Chloroclystis mira", "Mycobacterium virus Anaya", "Mycobacterium virus Angelica", "Mycobacterium virus Crimd", "Mycobacterium virus Fionnbarth", "Mycobacterium virus Jaws", "Mycobacterium virus Larva", "Mycobacterium virus TM4", "Mycobacterium virus Macncheese", "Mycobacterium virus Pixie", "Bacillus virus BMBtp2", "Bacillus virus TP21", "Bacillus virus Wbeta", "Syncosmia bicornuta", "Xanthomonas virus CP1", "Xanthomonas virus OP1", "Xanthomonas virus phil7", "Xanthomonas virus Xop411", "Xanthomonas virus Xp10", "Syncosmia bicornuta bicornuta", "Syncosmia bicornuta luzonica", "Thermoproteus tenax virus 1", "Acidianus filamentous virus 3", "Acidianus filamentous virus 6", "Acidianus filamentous virus 7", "Acidianus filamentous virus 8", "Acidianus filamentous virus 9", "Sulfolobus islandicus filamentous virus", "Disocactus nelsonii subsp. nelsonii", "Disocactus nelsonii subsp. hondurensis", "Acidianus filamentous virus 2", "Acidianus filamentous virus 1", "Acidianus rod-shaped virus 1", "Sulfolobus islandicus rod-shaped virus 1", "Sulfolobus islandicus rod-shaped virus 2", "Gyrophaena peckorum", "Hydrosmecta fuscoflava", "Hydrosmecta mangiferae", "Hydrosmecta remota", "Hydrosmecta troglophila", "Kanakaloma franzi", "Linoglossa antiqua", "Linoglossa brunnea", "Linoglossa newtoni", "Linoglossa silvicola", "Lomaglossina caledoniae", "Lomaglossina duplex", "Lomaglossina franzi", "Lomaglossina newtoni", "Lomaglossina notabilis", "Lomaglossina simplex", "Megonychiusa flavipes", "Mycobacterium virus Alma", "Mycobacterium virus Arturo", "Mycobacterium virus Astro", "Mycobacterium virus Backyardigan", "Mycobacterium virus BBPiebs31", "Mycobacterium virus Benedict", "Mycobacterium virus Bethlehem", "Mycobacterium virus Billknuckles", "Mycobacterium virus Bruns", "Mycobacterium virus Bxb1", "Mycobacterium virus Bxz2", "Mycobacterium virus Che12", "Mycobacterium virus Cuco", "Mycobacterium virus D29", "Mycobacterium virus Doom", "Mycobacterium virus Ericb", "Mycobacterium virus Euphoria", "Mycobacterium virus George", "Mycobacterium virus Gladiator", "Mycobacterium virus Goose", "Mycobacterium virus Hammer", "Mycobacterium virus Heldan", "Mycobacterium virus Jasper", "Mycobacterium virus JC27", "Mycobacterium virus Jeffabunny", "Mycobacterium virus JHC117", "Mycobacterium virus KBG", "Mycobacterium virus Kssjeb", "Mycobacterium virus Kugel", "Mycobacterium virus Lesedi", "Mycobacterium virus LHTSCC", "Mycobacterium virus Lockley", "Mycobacterium virus Marcell", "Mycobacterium virus Microwolf", "Mycobacterium virus Mrgordo", "Mycobacterium virus Museum", "Mycobacterium virus Nepal", "Reptilian ferlavirus", "Hendra henipavirus", "Phocine morbillivirus", "Measles morbillivirus", "Canine morbillivirus", "Cetacean morbillivirus", "Small ruminant morbillivirus", "Rinderpest morbillivirus", "Murine respirovirus", "Bovine respirovirus 3", "Human respirovirus 1", "Human respirovirus 3", "Simian virus 10", "Mumps rubulavirus", "Human rubulavirus 2", "Porcine rubulavirus", "Human rubulavirus 4", "Mapuera rubulavirus", "Mammalian rubulavirus 5", "Simian rubulavirus", "Halothamnus auriculus var. latifolius", "Avian metapneumovirus", "Human metapneumovirus", "Human orthopneumovirus", "Bovine orthopneumovirus", "Murine orthopneumovirus", "Eupithecia mundiscripta mundiscripta", "Axinoptera taiwana", "Leptotyphlus apenninus", "Leptotyphlus sbordonii", "Leptotyphlus kahleni", "Entomoculia consiglioi", "Entomoculia lepinensis", "Entomoculia marinae", "Entomoculia vignai", "Metrotyphlus tarvisianus", "Metrotyphlus zoiai", "Cephalotyphlus bergamascus", "Flanders hapavirus", "Moussa virus", "Doryichthys martensii", "Euxoa ecloga", "Euxoa metasigmata", "Euxoa subeucta", "Euxoa ronkaygabori", "Euxoa perierga", "Euxoa perierga perierga", "Euxoa dichagyroides", "Euxoa bactriana", "Meganola bipartita", "Meganola angola", "Sarcogyne sekikaica", "Disocactus subg.", "Hemidactylus aaronbaueri", "Datura yellow vein nucleorhabdovirus", "Eggplant mottled dwarf nucleorhabdovirus", "Maize fine streak nucleorhabdovirus", "Maize Iranian mosaic nucleorhabdovirus", "Maize mosaic nucleorhabdovirus", "Potato yellow dwarf nucleorhabdovirus", "Rice yellow stunt nucleorhabdovirus", "Sonchus yellow net nucleorhabdovirus", "Sowthistle yellow vein nucleorhabdovirus", "Taro vein chlorosis nucleorhabdovirus", "Carajas vesiculovirus", "Chandipura vesiculovirus", "Cocal vesiculovirus", "Isfahan vesiculovirus", "Maraba vesiculovirus", "Piry vesiculovirus", "Alagoas vesiculovirus", "Indiana vesiculovirus", "New Jersey vesiculovirus", "Disocactus schrankii", "Sturgeon ichtadenovirus A", "Oligota rufa", "Oligota bruchi", "Oligota expolita", "Probrachida hirta", "Gyrophaena mimetica", "Gyrophaena golbachi", "Gyrophaena prona", "Gyrophaena baloghi", "Gyrophaena vecta", "Plesiomalota roedingeri", "Diestota obruta", "Meganola chionea", "Meganola mesothermoides", "Meganola hemiargyra", "Meganola mesonephele", "Ngaingan hapavirus", "Wongabel hapavirus", "Oligota crassa", "Barley yellow striate mosaic cytorhabdovirus", "Broccoli necrotic yellows cytorhabdovirus", "Festuca leaf streak cytorhabdovirus", "Lettuce necrotic yellows cytorhabdovirus", "Lettuce yellow mottle cytorhabdovirus", "Northern cereal mosaic cytorhabdovirus", "Sonchus cytorhabdovirus 1", "Strawberry crinkle cytorhabdovirus", "Wheat American striate mosaic cytorhabdovirus", "Adelaide River ephemerovirus", "Berrimah ephemerovirus", "Bovine fever ephemerovirus", "Kotonkan ephemerovirus", "Obodhiang ephemerovirus", "Aravan lyssavirus", "Australian bat lyssavirus", "Bokeloh bat lyssavirus", "Duvenhage lyssavirus", "European bat 1 lyssavirus", "European bat 2 lyssavirus", "Ikoma lyssavirus", "Irkut lyssavirus", "Khujand lyssavirus", "Lagos bat lyssavirus", "Mokola lyssavirus", "Rabies lyssavirus", "Shimoni bat lyssavirus", "West Caucasian bat lyssavirus", "Bosara obliterata", "Bosara porphyrea", "Bosara corrobusta", "Botrytis virus F", "Hemidactylus ulii", "Glaucoclystis satoi", "Gymnoscelis yurikae", "Spiralisigna bradleyi", "Hirame novirhabdovirus", "Salmonid novirhabdovirus", "Snakehead novirhabdovirus", "Piscine novirhabdovirus", "Doryichthys heterosoma", "Euxoa charlesboursini", "White bream virus", "Bovine torovirus", "Equine torovirus", "Human torovirus", "Porcine torovirus", "Feline coronavirus", "Cavally virus", "Dak Nong virus", "Nam Dinh virus", "Gill-associated virus", "Elseya flaviventralis", "Samkosia cambodiensis", "Samkosia rufimaculella", "Petrosimonia monandra", "Petrosimonia brachiata", "Petrosimonia brachyphylla", "Bulbophyllum proudlockii", "Ballagadus rossi", "Ballagadus caustrimi", "Ctenodus williei", "Oxyambulyx substrigilis", "Oxyambulyx substrigilis wilemani", "Placusa uhligi", "Placusa vilis", "Placusa tetradon", "Placusa flohri", "Placusa infausta", "Placusa setipes", "Placusa spectabilis", "Placusa longula", "Placusa sericata", "Euvira caligata", "Falagria fissula", "Adhemarius blanchardorum", "Equine arteritis virus", "Lactate dehydrogenase-elevating virus", "Porcine reproductive and respiratory syndrome virus 1", "Simian hemorrhagic fever virus", "Alphacoronavirus 1", "Human coronavirus 229E", "Human coronavirus NL63", "Miniopterus bat coronavirus 1", "Miniopterus bat coronavirus HKU8", "Porcine epidemic diarrhea virus", "Rhinolophus bat coronavirus HKU2", "Scotophilus bat coronavirus 512", "Betacoronavirus 1", "Human coronavirus OC43", "Human coronavirus HKU1", "Murine coronavirus", "Pipistrellus bat coronavirus HKU5", "Rousettus bat coronavirus HKU9", "Severe acute respiratory syndrome-related coronavirus", "Tylonycteris bat coronavirus HKU4", "Middle East respiratory syndrome-related coronavirus", "Bulbul coronavirus HKU11", "Munia coronavirus HKU13", "Thrush coronavirus HKU12", "Coronavirus HKU15", "Avian coronavirus", "Beluga whale coronavirus SW1", "Ctenodus whitropei", "Ctenodus roberti", "Xylognathus macrustenus", "Coccovedus celatus", "Sarrameana albidoplumbea", "Occludus romeri", "Souroubea dasystachya", "Blackberry virus E", "Bombyx mori latent virus", "Poinsettia mosaic virus", "African oil palm ringspot virus", "Banana mild mosaic virus", "Banana virus X", "Cherry green ring mottle virus", "Cherry necrotic rusty mottle virus", "Diuris virus A", "Diuris virus B", "Hardenbergia virus A", "Sugarcane striate mosaic-associated virus", "Fosterella tubulatoides", "Tree shrew mastadenovirus A", "Antheraea eucalypti virus", "Darna trima virus", "Dasychira pudibunda virus", "Nudaurelia capensis beta virus", "Philosamia cynthia x ricini virus", "Pseudoplusia includens virus", "Trichoplusia ni virus", "Dendrolimus punctatus virus", "Helicoverpa armigera stunt virus", "Nudaurelia capensis omega virus", "Hemidactylus barbierii", "Pygmaeocereus familiaris", "Pygmaeocereus bieblii", "Pygmaeocereus bieblii subsp. bieblii", "Pygmaeocereus bieblii subsp. kuehhasii", "Haageocereus densiaculeatus", "Raspberry bushy dwarf virus", "Cassava virus C", "Epirus cherry virus", "Ourmia melon virus", "Meganola mimetica", "Poinsettia latent virus", "Rhizidiomyces virus", "His 1 virus", "Blueberry shoestring virus", "Cocksfoot mottle virus", "Meganola csorbagabori", "Imperata yellow mottle virus", "Lucerne transient streak virus", "Rice yellow mottle virus", "Ryegrass mottle virus", "Meganola sapatagka", "Sesbania mosaic virus", "Solanum nodiflorum mottle virus", "Southern bean mosaic virus", "Southern cowpea mosaic virus", "Sowbane mosaic virus", "Meganola andamana", "Subterranean clover mottle virus", "Turnip rosette virus", "Velvet tobacco mottle virus", "Echinochloa hoja blanca tenuivirus", "Iranian wheat stripe tenuivirus", "Maize stripe tenuivirus", "Rice grassy stunt tenuivirus", "Meganola kerala", "Rice hoja blanca tenuivirus", "Rice stripe tenuivirus", "Urochloa hoja blanca tenuivirus", "Lettuce big-vein associated varicosavirus", "Manoba latens", "Alphamesonivirus 1", "Manoba traumata", "Manoba mixta", "Manoba sibayaka", "Manoba poecilographa", "Salsola divaricata", "Griseosphinx marchandi", "Sarrameana paradoxa", "Potato aucuba mosaic virus", "Hesperus susannekontrusae", "Potato virus X", "Schlumbergera virus X", "Strawberry mild yellow edge virus", "Tamus red mosaic virus", "Tulip virus X", "White clover mosaic virus", "Zygocactus virus X", "Hemidactylus laevis", "Hemidactylus megalops", "Kaviria gossypina", "Taraxacum litvinovii", "Epiphyllum rubrocoronatum", "Hesperus kovaci", "Hesperus temburong", "Hesperus wemmeri", "Gymnothorax pseudomelanosomatus", "Sympenchelys taiwanensis", "Kaviria lachnantha", "Kaviria pycnophylla", "Caleana triens", "Neenchelys gracilis", "Neenchelys andamanensis", "Kaviria rubescens", "Kaviria vvedenskyi", "Kaviria zehzadii", "Souroubea venosa", "Septotrapelia glauca", "Halocharis sulphurea", "Souroubea gilgii", "Peniocereus marianus", "Apple stem grooving virus", "Cherry virus A", "Aconitum latent virus", "American hop latent virus", "Blueberry scorch virus", "Butterbur mosaic virus", "Cactus virus 2", "Caper latent virus", "Carnation latent virus", "Chrysanthemum virus B", "Cole latent virus", "Coleus vein necrosis virus", "Cowpea mild mottle virus", "Cucumber vein-clearing virus", "Dandelion latent virus", "Daphne virus S", "Elderberry symptomless virus", "Garlic common latent virus", "Helenium virus S", "Helleborus mosaic virus", "Helleborus net necrosis virus", "Hippeastrum latent virus", "Honeysuckle latent virus", "Hop latent virus", "Hop mosaic virus", "Hydrangea chlorotic mottle virus", "Hydrangea latent virus", "Kalanchoe latent virus", "Ligustrum necrotic ringspot virus", "Lilac mottle virus", "Lily symptomless virus", "Melon yellowing-associated virus", "Mirabilis jalapa mottle virus", "Mulberry latent virus", "Muskmelon vein necrosis virus", "Narcissus common latent virus", "Nerine latent virus", "Garlic virus E", "Garlic virus X", "Shallot virus X", "Botrytis virus X", "Lolium latent virus", "Lolium latent virus USA/US1", "Citrus yellow vein clearing virus", "Indian citrus ringspot virus", "Sclerotinia sclerotiorum debilitation-associated RNA virus", "Allium virus X", "Alstroemeria virus X", "Alternanthera mosaic virus", "Hemidactylus granchii", "Hesperus beijingensis", "Asparagus virus 3", "Bamboo mosaic virus", "Cactus virus X", "Hesperus hainanensis", "Hesperus emeishanus", "Cassava common mosaic virus", "Hesperus pulchellus", "Hesperus coarcticollis", "Cassava virus X", "Clover yellow mosaic virus", "Hesperus gracilantennatus", "Hesperus elongatus", "Commelina virus X", "Cymbidium mosaic virus", "Daphne virus X", "Foxtail mosaic virus", "Hosta virus X", "Hydrangea ringspot virus", "Lagenaria mild mosaic virus", "Lettuce virus X", "Hemidactylus klauberi", "Lily virus X", "Malva mosaic virus", "Mint virus X", "Narcissus mosaic virus", "Nerine virus X", "Opuntia virus X", "Papaya mosaic virus", "Kaviria tomentosa subsp. takhtadshanii", "Pepino mosaic virus", "Phaius virus X", "Plantago asiatica mosaic virus", "Plantago severe mottle virus", "Plantain virus X", "Petrosimonia sibirica", "Petrosimonia squarrosa", "Cryphia strobinoi", "Petrosimonia triandra", "Nanophyton botschantzevii", "Grapevine fleck virus", "Nanophyton grubovii", "Nanophyton iliense", "Nanophyton mongolicum", "Nanophyton narynense", "Chrysocraspeda vadoni", "Nanophyton pulvinatum", "Nanophyton saxatile", "Hemidactylus aporus", "Chrysocraspeda madecassa", "Chrysocraspeda ptolegenes", "Chrysocraspeda carioni", "Chrysocraspeda dujardini", "Drepanogynis rakotobe", "Drepanogynis ratovosoni", "Drepanogynis tigrinata", "Drepanogynis ralambo", "Chrysocraspeda saturniina", "Kaviria tomentosa", "Hemidactylus arnoldi", "Drepanogynis acerba", "Kaviria aucheri", "Drepanogynis albifluxa", "Drepanogynis albilinea", "Drepanogynis amydrogramma", "Drepanogynis angulilinea", "Drepanogynis angustifascia", "Drepanogynis angustimargo", "Drepanogynis anthracinata", "Drepanogynis arcuatilinea", "Drepanogynis argentinitens", "Drepanogynis aspitatifax", "Drepanogynis aspitatoides", "Drepanogynis aurifera", "Drepanogynis auriferoides", "Drepanogynis aurifex", "Drepanogynis auriflava", "Kaviria cana", "Hesperus neosplendorus", "Kaviria cana subsp. futilis", "Sulfolobus turreted icosahedral virus 1", "Sulfolobus turreted icosahedral virus 2", "Hesperus amabilis", "Garlic mite-borne filamentous virus", "Garlic virus A", "Garlic virus B", "Garlic virus C", "Garlic virus D", "Passiflora latent virus", "Pea streak virus", "Phlox virus B", "Phlox virus M", "Phlox virus S", "Poplar mosaic virus", "Potato latent virus", "Potato virus M", "Potato virus P", "Potato virus S", "Red clover vein mosaic virus", "Shallot latent virus", "Sint-Jan onion latent virus", "Strawberry pseudo mild yellow edge virus", "Sweet potato C6 virus", "Sweet potato chlorotic fleck virus", "Verbena latent virus", "Citrus leaf blotch virus", "Apple stem pitting virus", "Apricot latent virus", "Asian prunus virus 1", "Grapevine rupestris stem pitting-associated virus", "Peach chlorotic mottle virus", "Rubus canadensis virus 1", "Potato virus T", "Apple chlorotic leaf spot virus", "Apricot pseudo-chlorotic leaf spot virus", "Cherry mottle leaf virus", "Grapevine berry inner necrosis virus", "Grapevine Pinot gris virus", "Peach mosaic virus", "Phlomis mottle virus", "Actinidia virus A", "Actinidia virus B", "Grapevine virus A", "Grapevine virus B", "Grapevine virus D", "Grapevine virus E", "Grapevine virus F", "Heracleum latent virus", "Mint virus 2", "Bermuda grass etched-line virus", "Blackberry virus S", "Citrus sudden death-associated virus", "Grapevine Syrah virus 1", "Maize rayado fino virus", "Oat blue dwarf virus", "Olive latent virus 3", "Anagyris vein yellowing virus", "Andean potato latent virus", "Andean potato mild mosaic virus", "Belladonna mottle virus", "Cacao yellow mosaic virus", "Turnip yellow mosaic virus", "Calopogonium yellow vein virus", "Chayote mosaic virus", "Chiltepin yellow mosaic virus", "Clitoria yellow vein virus", "Desmodium yellow mottle virus", "Dulcamara mottle virus", "Eggplant mosaic virus", "Erysimum latent virus", "Kennedya yellow mosaic virus", "Melon rugose mosaic virus", "Nemesia ring necrosis virus", "Okra mosaic virus", "Ononis yellow mosaic virus", "Passion fruit yellow mosaic virus", "Peanut yellow mosaic virus", "Petunia vein banding virus", "Physalis mottle virus", "Plantago mottle virus", "Scrophularia mottle virus", "Voandzeia necrotic mosaic virus", "Wild cucumber mosaic virus", "Bovine atadenovirus D", "Duck atadenovirus A", "Ovine atadenovirus D", "Possum atadenovirus A", "Snake atadenovirus A", "Falcon aviadenovirus A", "Fowl aviadenovirus A", "Fowl aviadenovirus B", "Fowl aviadenovirus C", "Fowl aviadenovirus D", "Fowl aviadenovirus E", "Goose aviadenovirus A", "Hemidactylus taylori", "Turkey aviadenovirus B", "Frog siadenovirus A", "Great tit siadenovirus A", "Raptor siadenovirus A", "Skua siadenovirus A", "Turkey siadenovirus A", "Bat mastadenovirus A", "Bat mastadenovirus B", "Bovine mastadenovirus A", "Bovine mastadenovirus B", "Bovine mastadenovirus C", "Canine mastadenovirus A", "Equine mastadenovirus A", "Equine mastadenovirus B", "Human mastadenovirus A", "Human mastadenovirus B", "Human mastadenovirus C", "Human mastadenovirus D", "Human mastadenovirus E", "Human mastadenovirus F", "Human mastadenovirus G", "Murine mastadenovirus A", "Murine mastadenovirus B", "Murine mastadenovirus C", "Ovine mastadenovirus A", "Ovine mastadenovirus B", "Porcine mastadenovirus A", "Porcine mastadenovirus B", "Porcine mastadenovirus C", "Simian mastadenovirus A", "Meganola klondykei", "Anguillid perhabdovirus", "Perch perhabdovirus", "Sea trout perhabdovirus", "Meganola subbasalactifera", "Meganola submelaena", "Drosophila affinis sigmavirus", "Drosophila ananassae sigmavirus", "Drosophila immigrans sigmavirus", "Drosophila melanogaster sigmavirus", "Drosophila obscura sigmavirus", "Drosophila tristis sigmavirus", "Muscina stabulans sigmavirus", "Meganola mirabilis", "Pike fry sprivivirus", "Carp sprivivirus", "Meganola laevis", "Coastal Plains tibrovirus", "Tibrogargan tibrovirus", "Meganola patkosigna", "Meganola franzdanieli", "Durham tupavirus", "Tupaia tupavirus", "Meganola amboni", "Meganola moluccana", "Meganola pekarskyi", "Meganola lesarbena", "Meganola major major", "Meganola major mahera", "Meganola tsinlinga", "Meganola osunghwani", "Meganola talagaranu", "Meganola bicoloria", "Meganola brechlini", "Meganola nigroarcuata", "Meganola hoenei", "Meganola zegzugminta", "Meganola zirkalmashka", "Meganola harutai", "Meganola seima", "Citrus leprosis virus C", "Hepatitis delta virus", "Heterocapsa circularisquama DNA virus 01", "Meganola semmiminta", "European mountain ash ringspot-associated emaravirus", "Fig mosaic emaravirus", "Raspberry leaf blotch emaravirus", "Rose rosette emaravirus", "Meganola zillii", "Hibiscus green spot virus 2", "Fosterella chathamensis", "Porobalanus hennigi", "Hemidactylus sataraensis", "Epiphyllum crenatum subsp. kimnachii", "Chlopsis sagmacollaris", "Chlopsis nanhaiensis", "Chlopsis orientalis", "Myrmecocephalus basiventris", "Aleodorus argentinicus", "Meronera yungasicola", "Meronera franzi", "Neolara bulbifera", "Neolara testacea", "Gnypeta persimilis", "Gnypeta aczeli", "Physetophallia minima", "Parademosoma meridionalis", "Pycnota weiseriana", "Petrosimonia glauca", "Petrosimonia glaucescens", "Petrosimonia hirsutissima", "Petrosimonia litwinowii", "Petrosimonia nigdeensis", "Falkmisa isabellina", "Falkmisa macrura", "Falkmisa tsherkesi", "Petrosimonia oppositifolia", "Pycnostega insipida", "Disocactus subg.", "Pycnostega umbrina", "Pycnostega fasciata", "Pycnostega ramificata", "Pycnostega bassa", "Disocactus subg.", "Pycnostega subtilis", "Pycnostega clarapicata", "Pycnostega infrequens", "Chersotis andreae", "Peniocereus subg.", "Peniocereus subg.", "Peniocereus viperinus", "Atheta claudiensis", "Atheta neolutea", "Atheta sacchari", "Atheta praemeditata", "Atheta baculum", "Atheta pexa", "Atheta sufflavicollis", "Atheta egressa", "Atheta restincta", "Atheta vezenyiiana", "Atheta zerchei", "Atheta newtoni", "Atheta catamarcanica", "Leptonia lunata", "Poecilonota californica", "Poecilonota fraseri", "Poecilonota montana", "Halocharis clavata", "Halocharis gossypina", "Halocharis hispida", "Halocharis lachnantha", "Halocharis turcomanica", "Halocharis violacea", "Idaea straminata", "Heterocapsa circularisquama RNA virus 01", "Blueberry latent virus", "Rhododendron virus A", "Southern tomato virus", "Vicia cryptic virus M", "Acidianus bottle-shaped virus", "Aglossa humberti", "Diadromus pulchellus ascovirus 4a", "Heliothis virescens ascovirus 3a", "Spodoptera frugiperda ascovirus 1a", "Trichoplusia ni ascovirus 2a", "African swine fever virus", "Loryma callos", "Neopaschia lemairei", "Halimocnemis sclerosperma", "Zagiridia alamotralis", "Omphisa vaovao", "Halimocnemis pilifera", "Praecereus euchlorus", "Tambana burmana", "Cereus subg.", "Tambana naumanni", "Tambana plumbea", "Caleana granitica", "Beet necrotic yellow vein virus", "Caleana hortiorum", "Beet soil-borne mosaic virus", "Caleana lyonsii", "Burdock mottle virus", "Rice stripe necrosis virus", "Praecereus euchlorus subsp. diffusus", "Caleana nigrita", "Praecereus euchlorus subsp. smithianus", "Halimocnemis mollissima", "Isanodus nongbualamphuensis", "Halimocnemis beresinii", "Cantellius hoegi", "Halimocnemis gamocarpa", "Isanodus paladeji", "Heteroptychodus steinmanni", "Halimocnemis commixtus", "Lonchidion khoratensis", "Carlomonnius quasigobius", "Ariomma astridae", "Praecereus euchlorus subsp. jaenensis", "Acidianus two-tailed virus", "Bombyx mori bidensovirus", "Providence virus", "Ariomma lurida", "Aeropyrum pernix bacilliform virus 1", "Souroubea guianensis", "Robiquetia adelineana", "Tambana mekonga", "Tambana helmuti", "Tambana fansipana", "Tambana laura", "Tambana indeterminata", "Tambana annamica", "Tambana annamica annamica", "Tambana annamica stumpfi", "Halimocnemis karelinii", "Tambana funebris", "Tambana ronnyi", "Tambana glauca", "Citrus viroid", "Praecereus euchlorus subsp. amazonicus", "Xanthomantis contaminata", "Dahlia latent viroid", "Caleana alcockii", "Caleana brockmanii", "Caleana disjuncta", "Caleana dixonii", "Caleana gracilicordata", "Robiquetia amboinensis", "Orthohepevirus A", "Orthohepevirus B", "Orthohepevirus C", "Orthohepevirus D", "Piscihepevirus A", "Robiquetia aberrans", "Weberocereus alliodorus", "Souroubea guianensis subsp. cylindrica", "Souroubea vallicola", "Glossina hytrovirus", "Musca hytrovirus", "Gryllus bimaculatus nudivirus", "Oryctes rhinoceros nudivirus", "Heliothis zea nudivirus", "Souroubea sympetala", "Marseillevirus marseillevirus", "Senegalvirus marseillevirus", "Rosellinia necatrix megabirnavirus 1", "Hemidactylus modestus", "Euprosterna elaeasa virus", "Thosea asigna virus", "Tambana subflava", "Halimocnemis malacophylla", "Axonopus hydrolithicus", "Axonopus bryoides", "Tambana succincta", "Tambana tibetica", "Tambana entoxantha", "Halimocnemis rarifolia", "Praecereus saxicola", "Tambana c-album", "Halimocnemis mamamensis", "Halimocnemis purpurea", "Leptonia decolorata", "Leptonia surinamensis", "Leptonia minor", "Orphnebius introflexus", "Orphnebius tupiorum", "Orphnebius granulipennis", "Halimocnemis occulta", "Apalonia semiscapa", "Apalonia semiscapa apicipallens", "Macrogerodonia fausta", "Macrogerodonia oweni", "Macrogerodonia pinguis", "Tambana similina", "Halimocnemis pedunculata", "Tambana nekrasovi", "Zyras decoratus", "Tambana xilinga", "Dinusella ornata", "Lujo mammarenavirus", "Luna mammarenavirus", "Lunk mammarenavirus", "Lymphocytic choriomeningitis mammarenavirus", "Machupo mammarenavirus", "Merino Walk mammarenavirus", "Mobala mammarenavirus", "Mopeia mammarenavirus", "Oliveros mammarenavirus", "Paraguayan mammarenavirus", "Cali mammarenavirus", "Pirital mammarenavirus", "Brazilian mammarenavirus", "Tacaribe mammarenavirus", "Tamiami mammarenavirus", "Whitewater Arroyo mammarenavirus", "Avastrovirus 1", "Avastrovirus 2", "Avastrovirus 3", "Meganola albula albula", "Meganola albula formosana", "Mamastrovirus 1", "Mamastrovirus 2", "Mamastrovirus 3", "Mamastrovirus 4", "Mamastrovirus 5", "Mamastrovirus 6", "Mamastrovirus 7", "Mamastrovirus 8", "Mamastrovirus 9", "Mamastrovirus 10", "Mamastrovirus 11", "Mamastrovirus 12", "Mamastrovirus 13", "Mamastrovirus 14", "Mamastrovirus 15", "Mamastrovirus 16", "Mamastrovirus 17", "Mamastrovirus 18", "Mamastrovirus 19", "Aleochara notula", "Bovine astrovirus", "Hoplandria peltata", "Hoplandria sharpiana", "Lepismium subg.", "Gymnocalycium hossei", "Boraras urophthalmoides", "Gymnocalycium stenopleurum", "Gymnocalycium friedrichii", "Gymnocalycium eurypleurum", "Geostiba leridensis", "Geostiba monogranulata", "Geostiba quadrisignata", "Geostiba vallierensis", "Geostiba arundensis", "Geostiba coiffaitiana", "Geostiba couflensensis", "Geostiba gadesensis", "Geostiba hispalensis", "Sapelovirus A", "Coxsackie A virus", "Coxsackie B virus", "Erbovirus A", "Souroubea bicolor", "Souroubea corallina", "Hemidactylus lopezjuradoi", "Souroubea crassipes", "Souroubea crassipetala", "Souroubea intermedia", "Souroubea fragilis", "Gallivirus A", "Hepatovirus A", "Hunnivirus A", "Torque teno mini virus 8", "Torque teno mini virus 9", "Torque teno mini virus 10", "Torque teno mini virus 11", "Torque teno mini virus 12", "Halimocnemis longifolia", "Torque teno midi virus 1", "Torque teno midi virus 2", "Torque teno midi virus 3", "Torque teno midi virus 4", "Torque teno midi virus 5", "Torque teno midi virus 6", "Torque teno midi virus 7", "Torque teno midi virus 8", "Torque teno midi virus 9", "Torque teno midi virus 10", "Torque teno midi virus 11", "Torque teno midi virus 12", "Torque teno midi virus 13", "Torque teno midi virus 14", "Torque teno midi virus 15", "Halimocnemis macrantha", "Hemidactylus beninensis", "Halimocnemis mironovii", "Meganola flexilineata", "Halanthium roseum", "Halimocnemis smirnowii", "Halimocnemis villosa", "Septotrapelia usnica", "Allpahuayo mammarenavirus", "Serra do Navio mammarenavirus", "Bear Canyon mammarenavirus", "Chapare mammarenavirus", "Cupixi mammarenavirus", "Flexal mammarenavirus", "Guanarito mammarenavirus", "Ippy mammarenavirus", "Argentinian mammarenavirus", "Lassa mammarenavirus", "Latino mammarenavirus", "Rosellinia necatrix quadrivirus 1", "Hemidactylus mrimaensis", "Haloarcula hispanica icosahedral virus 2", "Haloarcula hispanica virus PH1", "Haloarcula hispanica virus SH1", "Natrinema virus SNJ1", "Thermus virus P23-77", "Thermus virus IN93", "Aeropyrum coil-shaped virus", "Torque teno tupaia virus", "Torque teno tamarin virus", "Torque teno felis virus", "Torque teno felis virus 2", "Torque teno sus virus 1a", "Torque teno sus virus 1b", "Torque teno sus virus k2a", "Torque teno zalophus virus 1", "Torque teno canis virus", "Torque teno douroucouli virus", "Cherry small circular viroid-like", "Amazoncharis aspera", "Amazoncharis laminata", "Amazoncharis pollens", "Platyola brasiliensis", "Hoplandria mirabilis", "Hoplandria unicolor", "Hoplandria guaianensis", "Hoplandria piceocephalina", "Hoplandria arawakorum", "Hoplandria scutellata", "Hoplandria cribrella", "Hoplandria oaxacaensis", "Peniocereus canoensis", "Theiler's encephalomyelitis virus", "Vilyuisk human encephalomyelitis virus", "Theiler-like rat virus", "Saffold virus", "Cosavirus A", "Eidophasia syenitella", "Nyodes gazelli", "Nyodes paulis", "Nyodes diffusa", "Nyodes lutescens", "Nyodes lutescens lutescens", "Nyodes lutescens rangeri", "Souroubea loczyi", "Climacoptera lanata", "Souroubea loczyi subsp. loczyi", "Climacoptera longistylosa", "Souroubea loczyi subsp. minima", "Hemidactylus bouvieri", "Cadicivirus A", "Enterovirus A", "Enterovirus B", "Enterovirus C", "Enterovirus D", "Enterovirus E", "Enterovirus F", "Enterovirus G", "Enterovirus H", "Enterovirus J", "Rhinovirus A", "Rhinovirus B", "Rhinovirus C", "Platandria yungaensis", "Aleochara olivosensis", "Aleochara arawakorum", "Dityloechusa flava", "Apimela errans", "Idiostiba franzi", "Idiostiba gyoergyi", "Deltophora phyllanthicella", "Deltophora polliniferens", "Meganola pseudobasalactifera", "Meganola major caesiopennis", "Meganola major takasago", "Halimocnemis aequipila", "Chaetoceros socialis forma radians RNA virus 1", "Chaetoceros tenuissimus RNA virus 01", "Rhizosolenia setigera RNA virus 01", "Aurantiochytrium single-stranded RNA virus 01", "Halimocnemis alaeflava", "Meganola major fulvusana", "Acute bee paralysis virus", "Israeli acute paralysis virus", "Kashmir bee virus", "Mud crab virus", "Solenopsis invicta virus 1", "Taura syndrome virus", "Meganola major phaea", "Gamanthus ferganicus", "Aphid lethal paralysis virus", "Black queen cell virus", "Cricket paralysis virus", "Drosophila C virus", "Himetobi P virus", "Plautia stali intestine virus", "Rhopalosiphum padi virus", "Triatoma virus", "Halimocnemis glaberrima", "Polylobus bicolor", "Deformed wing virus", "Polylobus bogotanus", "Ectropis obliqua virus", "Infectious flacherie virus", "Lygus lineolaris virus 1", "Nilaparvata lugens honeydew virus 1", "Perina nuda virus", "Meganola albula mesotherma", "Geostiba benicki", "Geostiba saltustesti", "Meganola albula pacifica", "Geostiba commingensis", "Geostiba hervei", "Geostiba maritima", "Geostiba segurensis", "Geostiba biharica", "Roeselia albula", "Geostiba biokovensis", "Geostiba cribripennis", "Geostiba krapinensis", "Geostiba moreli", "Geostiba moreli cerdanica", "Geostiba rodopensis", "Geostiba araneaensis", "Geostiba azrouensis", "Geostiba baerti", "Geostiba berbera", "Geostiba euboica", "Geostiba gardensis", "Geostiba heraultensis", "Geostiba lapurdensis", "Geostiba lozerensis", "Geostiba mussardi", "Geostiba orhyensis", "Geostiba ossalensis", "Geostiba plicatella cobosi", "Geostiba plicatella roscidavallensis", "Septotrapelia multiseptata", "Bovine rhinitis A virus", "Bovine rhinitis B virus", "Equine rhinitis A virus", "Foot-and-mouth disease virus", "Geostiba riffensis", "Aquamavirus A", "Avihepatovirus A", "Geostiba riffensis houriensis", "Geostiba riffensis ksibensis", "Avisivirus A", "Geostiba salatensis", "Geostiba turrensis", "Cardiovirus A", "Cardiovirus B", "Cardiovirus C", "Peniocereus johnstonii", "Trapelia calvariana", "Lethe confusa fuhaica", "Trapelia thieleana", "Souroubea stichadenia", "Neorina neosinica", "Souroubea platyadenia", "Atheta sikhaensis", "Atheta inconspicua", "Atheta dehraensis", "Atheta maiensis", "Atheta amiculoides", "Atheta sericella", "Atheta subscabra", "Atheta pergrata", "Atheta ivani", "Atheta janetscheki", "Atheta kathmanduensis", "Souroubea guianensis subsp. guianensis", "Aichivirus A", "Aichivirus B", "Aichivirus C", "Kunsagivirus A", "Megrivirus A", "Mischivirus A", "Mosavirus A", "Oscivirus A", "Parechovirus A", "Parechovirus B", "Pasivirus A", "Passerivirus A", "Rosavirus A", "Sakobuvirus A", "Salivirus A", "Anativirus A", "Sapelovirus B", "Senecavirus A", "Sicinivirus A", "Teschovirus A", "Tremovirus A", "Black raspberry necrosis virus", "Strawberry latent ringspot virus", "Strawberry mottle virus", "Mushroom bacilliform virus", "Infectious pancreatic necrosis virus", "Tellina virus", "Yellowtail ascites virus", "Climacoptera longipistillata", "Infectious bursal disease virus", "Blotched snakehead virus", "Ahlbergia zhujianhuai", "Drosophila X virus", "Souroubea guianensis subsp. amazonica", "Souroubea exauriculata", "Hemidactylus hunae", "Hemidactylus lankae", "Hemidactylus foudaii", "Souroubea didyma", "Souroubea pachyphylla", "Souroubea peruviana", "Geostiba paracoiffaitiana", "Geostiba valentiana", "Aloconota vulnerans", "Ampheida orousseti", "Coenonica orousseti", "Nyodes dufayi", "Coenonica varicornis", "Coenonica varicornis varians", "Hygrochara agrestis", "Myllaena bhutia", "Myllaena notabilis", "Myllaena sunvar", "Myllaena vagans", "Myllaena vescicularis", "Oligota orousseti", "Schistoglossa nepalicola", "Nyodes bernardii", "Nyodes fletcheri", "Nyodes gabonensis", "Nyodes makokoui", "Nyodes nigra", "Nyodes sophiae", "Nyodes viettei", "Nyodes vigrinis", "Nyodes vitanvali", "Apple latent spherical virus", "Arracacha virus B", "Cherry rasp leaf virus", "Stocky prune virus", "Atheta scrobicollis", "Satsuma dwarf virus", "Carrot necrotic dieback virus", "Dandelion yellow mosaic virus", "Parsnip yellow fleck virus", "Lettuce necrotic leaf curl virus", "Tomato marchitez virus", "Tomato torrado virus", "Nyodes allardi", "Anthriscus yellows virus", "Maize chlorotic dwarf virus", "Rice tungro spherical virus", "Lepismium subg.", "Andean potato mottle virus", "Bean pod mottle virus", "Bean rugose mosaic virus", "Pteroglossa roseoalba", "Scatophagus tetracanthus", "Platydorina caudata", "Hemidactylus gleadowi", "Hemidactylus kushmorensis", "Alfalfa mosaic virus", "Amazon lily mild mottle virus", "Pelargonium zonate spot virus", "Broad bean mottle virus", "Brome mosaic virus", "Cassia yellow blotch virus", "Cowpea chlorotic mottle virus", "Melandrium yellow fleck virus", "Spring beauty latent virus", "Cucumber mosaic virus", "Gayfeather mild mottle virus", "Peanut stunt virus", "Tomato aspermy virus", "American plum line pattern virus", "Apple mosaic virus", "Asparagus virus 2", "Blackberry chlorotic ringspot virus", "Blueberry shock virus", "Citrus leaf rugose virus", "Citrus variegation virus", "Elm mottle virus", "Fragaria chiloensis latent virus", "Humulus japonicus latent virus", "Lilac leaf chlorosis virus", "Lilac ring mottle virus", "Parietaria mottle virus", "Prune dwarf virus", "Prunus necrotic ringspot virus", "Spinach latent virus", "Strawberry necrotic shock virus", "Tobacco streak virus", "Tulare apple mosaic virus", "Atheta festa", "Atheta languens", "Atheta ventorum", "Atheta masuriensis", "Atheta lophophori", "Atheta himalayica", "Hemigrammus cupreus", "Newbury 1 virus", "Rabbit hemorrhagic disease virus", "European brown hare syndrome virus", "Norwalk virus", "Polyommatus mediator", "Cleistocactus baumannii subsp. horstii", "Sapporo virus", "Vesicular exanthema of swine virus", "Feline calicivirus", "Rose yellow vein virus", "Tobacco vein clearing virus", "Sweet potato vein clearing virus", "Soybean chlorotic mottle virus", "Blueberry red ringspot virus", "Falagrioma arabs", "Falagrioma fidelis", "Falagrioma vagabunda", "Falagria yemenesis", "Gnypeta yemenensis", "Hydrosmecta arabica", "Ophichthus bicolor", "Platyepipedia rougemonti", "Ophichthus shaoi", "Atheta baddensis", "Atheta arabica", "Atheta ripae", "Atheta alveorum", "Muraenichthys velinasalis", "Alomacrotona palmetorum", "Acrotona rougemonti", "Aleochara mahagi", "Callitrichine gammaherpesvirus 3", "Cercopithecine gammaherpesvirus 14", "Gorilline gammaherpesvirus 1", "Human gammaherpesvirus 4", "Macacine gammaherpesvirus 4", "Panine gammaherpesvirus 1", "Papiine gammaherpesvirus 1", "Pongine gammaherpesvirus 2", "Alcelaphine gammaherpesvirus 1", "Alcelaphine gammaherpesvirus 2", "Bovine gammaherpesvirus 6", "Caprine gammaherpesvirus 2", "Main Drain orthobunyavirus", "Manzanilla orthobunyavirus", "Marituba orthobunyavirus", "Minatitlan orthobunyavirus", "Nyando orthobunyavirus", "Olifantsvlei orthobunyavirus", "Oriboca orthobunyavirus", "Oropouche orthobunyavirus", "Patois orthobunyavirus", "Sathuperi orthobunyavirus", "Shamonda orthobunyavirus", "Shuni orthobunyavirus", "Simbu orthobunyavirus", "Tacaiuma orthobunyavirus", "Tete orthobunyavirus", "Thimiri orthobunyavirus", "Timboteua orthobunyavirus", "Turlock orthobunyavirus", "Wyeomyia orthobunyavirus", "Zegla orthobunyavirus", "Bujaru phlebovirus", "Candiru phlebovirus", "Chilibre phlebovirus", "Frijoles phlebovirus", "Punta Toro phlebovirus", "Rift Valley fever phlebovirus", "Salehabad phlebovirus", "Sandfly fever Naples phlebovirus", "SFTS phlebovirus", "Uukuniemi phlebovirus", "Groundnut bud necrosis orthotospovirus", "Groundnut ringspot orthotospovirus", "Groundnut yellow spot orthotospovirus", "Impatiens necrotic spot orthotospovirus", "Iris yellow spot orthotospovirus", "Polygonum ringspot orthotospovirus", "Tomato chlorotic spot orthotospovirus", "Tomato spotted wilt orthotospovirus", "Watermelon bud necrosis orthotospovirus", "Watermelon silver mottle orthotospovirus", "Zucchini lethal chlorosis orthotospovirus", "Aloe sect.", "Cestrum yellow leaf curling virus", "Peanut chlorotic streak virus", "Papilio castor castor", "Rice tungro bacilliform virus", "Petunia vein clearing virus", "Cassava vein mosaic virus", "Sweet potato collusive virus", "Puntius masyai", "Carnation etched ring virus", "Cauliflower mosaic virus", "Dahlia mosaic virus", "Figwort mosaic virus", "Horseradish latent virus", "Lamium leaf distortion virus", "Papilio castor kanlanpanus", "Mirabilis mosaic virus", "Soybean Putnam virus", "Strawberry vein banding virus", "Thistle mottle virus", "Aglaonema bacilliform virus", "Banana streak GF virus", "Banana streak IM virus", "Banana streak MY virus", "Banana streak OL virus", "Banana streak UA virus", "Banana streak UI virus", "Banana streak UL virus", "Banana streak UM virus", "Banana streak VN virus", "Bougainvillea chlorotic vein banding virus", "Cacao swollen shoot virus", "Canna yellow mottle virus", "Citrus yellow mosaic virus", "Commelina yellow mottle virus", "Dioscorea bacilliform AL virus", "Dioscorea bacilliform SN virus", "Fig badnavirus 1", "Gooseberry vein banding associated virus", "Grapevine vein clearing virus", "Kalanchoe top-spotting virus", "Pagoda yellow mosaic associated virus", "Pineapple bacilliform CO virus", "Pineapple bacilliform ER virus", "Piper yellow mottle virus", "Climacoptera maimanica", "Aeromachus stigmata", "Aeromachus stigmata stigmata", "Aeromachus stigmata shanda", "Oriens gola", "Oriens gola gola", "Oriens gola nipata", "Oriens gola pseudolus", "Oriens gola yunnana", "Potanthus rectifasciata", "Ruyschia enervia", "Ruyschia valerii", "Ruyschia moralesii", "Corybas diemenicus", "Ruyschia phylladenia", "Ruyschia andina", "Rubus yellow net virus", "Schefflera ringspot virus", "Spiraea yellow leafspot virus", "Sugarcane bacilliform IM virus", "Sugarcane bacilliform MO virus", "Sweet potato pakakuy virus", "Taro bacilliform virus", "Neope yama", "Neope yama yama", "Neope yama yamoides", "Neope yama kinpingensis", "Aemona amathusia", "Aemona amathusia amathusia", "Aemona amathusia oberthueri", "Aemona amathusia pingpiensis", "Vireo chivi caucae", "Vireo chivi vividior", "Vireo chivi tobagensis", "Vireo chivi griseobarbatus", "Vireo chivi pectoralis", "Vireo chivi solimoensis", "Vireo chivi agilis", "Vireo chivi diversus", "Euthalia aconthea kingtungensis", "Abisara bifasciata", "Abisara bifasciata bifasciata", "Abisara bifasciata angulata", "Abisara bifasciata angustilineata", "Abisara bifasciata lusi", "Bibasis unipuncta", "Adoxophyes honmai nucleopolyhedrovirus", "Agrotis ipsilon multiple nucleopolyhedrovirus", "Agrotis segetum nucleopolyhedrovirus A", "Antheraea pernyi nucleopolyhedrovirus", "Anticarsia gemmatalis multiple nucleopolyhedrovirus", "Autographa californica multiple nucleopolyhedrovirus", "Bombyx mori nucleopolyhedrovirus", "Buzura suppressaria nucleopolyhedrovirus", "Choristoneura fumiferana DEF multiple nucleopolyhedrovirus", "Choristoneura fumiferana multiple nucleopolyhedrovirus", "Choristoneura rosaceana nucleopolyhedrovirus", "Chrysodeixis chalcites nucleopolyhedrovirus", "Clanis bilineata nucleopolyhedrovirus", "Ectropis obliqua nucleopolyhedrovirus", "Epiphyas postvittana nucleopolyhedrovirus", "Euproctis pseudoconspersa nucleopolyhedrovirus", "Helicoverpa armigera nucleopolyhedrovirus", "Hyphantria cunea nucleopolyhedrovirus", "Leucania separata nucleopolyhedrovirus", "Lymantria dispar multiple nucleopolyhedrovirus", "Mamestra brassicae multiple nucleopolyhedrovirus", "Mamestra configurata nucleopolyhedrovirus A", "Mamestra configurata nucleopolyhedrovirus B", "Maruca vitrata nucleopolyhedrovirus", "Orgyia pseudotsugata multiple nucleopolyhedrovirus", "Spodoptera exigua multiple nucleopolyhedrovirus", "Spodoptera frugiperda multiple nucleopolyhedrovirus", "Spodoptera littoralis nucleopolyhedrovirus", "Spodoptera litura nucleopolyhedrovirus", "Thysanoplusia orichalcea nucleopolyhedrovirus", "Trichoplusia ni single nucleopolyhedrovirus", "Wiseana signata nucleopolyhedrovirus", "Hemidactylus agrius", "Climacoptera turcomanica", "Adoxophyes orana granulovirus", "Artogeia rapae granulovirus", "Choristoneura fumiferana granulovirus", "Cryptophlebia leucotreta granulovirus", "Cydia pomonella granulovirus", "Harrisina brillians granulovirus", "Helicoverpa armigera granulovirus", "Lacanobia oleracea granulovirus", "Phthorimaea operculella granulovirus", "Plodia interpunctella granulovirus", "Plutella xylostella granulovirus", "Pseudalatia unipuncta granulovirus", "Trichoplusia ni granulovirus", "Xestia c-nigrum granulovirus", "Culex nigripalpus nucleopolyhedrovirus", "Neodiprion lecontei nucleopolyhedrovirus", "Neodiprion sertifer nucleopolyhedrovirus", "Olive latent virus 2", "Andes orthohantavirus", "Sin Nombre orthohantavirus", "Bayou orthohantavirus", "Black Creek Canal orthohantavirus", "Cano Delgadito orthohantavirus", "Dobrava-Belgrade orthohantavirus", "El Moro Canyon orthohantavirus", "Hantaan orthohantavirus", "Isla Vista hantavirus", "Khabarovsk orthohantavirus", "Laguna Negra orthohantavirus", "Muleshoe hantavirus", "New York hantavirus", "Prospect Hill orthohantavirus", "Puumala orthohantavirus", "Rio Mamore hantavirus", "Rio Segundo hantavirus", "Saaremaa hantavirus", "Sangassou orthohantavirus", "Seoul orthohantavirus", "Thailand orthohantavirus", "Thottapalayam orthohantavirus", "Topografov hantavirus", "Tula orthohantavirus", "Crimean-Congo hemorrhagic fever orthonairovirus", "Dera Ghazi Khan orthonairovirus", "Dugbe orthonairovirus", "Hughes orthonairovirus", "Qalyub orthonairovirus", "Sakhalin orthonairovirus", "Thiafora orthonairovirus", "Acara orthobunyavirus", "Akabane orthobunyavirus", "Alajuela orthobunyavirus", "Anopheles A orthobunyavirus", "Anopheles B orthobunyavirus", "Bakau orthobunyavirus", "Batama orthobunyavirus", "Benevides orthobunyavirus", "Bertioga orthobunyavirus", "Bimiti orthobunyavirus", "Botambi orthobunyavirus", "Bunyamwera orthobunyavirus", "Bushbush orthobunyavirus", "Bwamba orthobunyavirus", "California encephalitis orthobunyavirus", "Capim orthobunyavirus", "Caraparu orthobunyavirus", "Catu orthobunyavirus", "Estero Real orthobunyavirus", "Gamboa orthobunyavirus", "Guajara orthobunyavirus", "Guama orthobunyavirus", "Guaroa orthobunyavirus", "Kaeng Khoi orthobunyavirus", "Kairi orthobunyavirus", "Koongol orthobunyavirus", "MPoko orthobunyavirus", "Madrid orthobunyavirus", "Haageocereus pseudomelanostele", "Haageocereus pseudomelanostele subsp. aureispinus", "Climacoptera ferganica", "Limenitis misuji misuji", "Limenitis misuji wenpingae", "Climacoptera transoxana", "Stichophthalma sparta", "Stichophthalma sparta sparta", "Stichophthalma sparta evansi", "Climacoptera glaberrima", "Stichophthalma sparta gonshana", "Climacoptera iraqensis", "Hemidactylus ituriensis", "Atheta yakorum", "Atheta granulithoracica", "Atheta granulithoracica granulithoracica", "Carterocephalus alcinoides", "Atheta granulithoracica subgranulithoracica", "Atheta martensiella", "Atheta praecipua", "Atheta puerilis", "Arnetta atkinsoni", "Atheta pauxilla", "Atheta hum", "Atheta intercursa", "Atheta contaminata", "Atheta ahalensis", "Atheta bitruncata", "Atheta mahadevia", "Atheta patiorum", "Atheta smetanai", "Aeromachus pseudojhora", "Aeromachus propinquus", "Aeromachus propinquus propinquus", "Aeromachus propinquus tali", "Aeromachus catocyanea", "Aeromachus catocyanea catocyanea", "Aeromachus catocyanea amplifascia", "Aeromachus catocyanea curvifascia", "Aeromachus monstrabilus", "Manoba coadei", "Manoba shrimptoni", "Taraxacum tuzgoluense var. eskilense", "Taraxacum tuzgoluense var. tuzgoluense", "Hemigrammus hyanuary", "Hemigrammus microstomus", "Myrtillocactus schenckii", "Myrtillocactus eichlamii", "Atheta chitrensis", "Sacbrood virus", "Slow bee paralysis virus", "Varroa destructor virus 1", "Polylobus misellus", "Heterosigma akashiwo RNA virus", "Halimocnemis kulpiana", "Tricolpochila oxypodina", "Tricolpochila minima", "Tricolpochila sancta", "Torque teno virus 1", "Torque teno virus 2", "Torque teno virus 3", "Torque teno virus 4", "Torque teno virus 5", "Torque teno virus 6", "Torque teno virus 7", "Torque teno virus 8", "Torque teno virus 9", "Torque teno virus 10", "Torque teno virus 11", "Torque teno virus 12", "Torque teno virus 13", "Torque teno virus 14", "Torque teno virus 15", "Torque teno virus 16", "Torque teno virus 17", "Torque teno virus 18", "Torque teno virus 19", "Torque teno virus 20", "Torque teno virus 21", "Torque teno virus 22", "Torque teno virus 23", "Torque teno virus 24", "Torque teno virus 25", "Torque teno virus 26", "Torque teno virus 27", "Torque teno virus 28", "Torque teno virus 29", "Tricolpochila brevicornis", "Tricolpochila dimidiata", "Spanioda truncata", "Halimocnemis lasiantha", "Halimocnemis latifolia", "Halimocnemis leucophysa", "Hemidactylus bayonii", "Torque teno mini virus 1", "Torque teno mini virus 2", "Torque teno mini virus 3", "Torque teno mini virus 4", "Torque teno mini virus 5", "Torque teno mini virus 6", "Torque teno mini virus 7", "Acinonyx jubatus jubatus", "Atheta lamaorum", "Atheta kirantorum", "Atheta franziana", "Atheta larjungensis", "Atheta sagarmanthica", "Atheta benickiana", "Atheta cassagnaui", "Atheta kaliensis", "Atheta maharigaonensis", "Atheta pontis", "Atheta tarda", "Atheta rupicola", "Atheta arborum", "Atheta alia", "Atheta perconfusa", "Atheta jumlensis", "Atheta disputanda", "Potanthus rectifasciata rectifasciata", "Potanthus mara", "Potanthus mara mara", "Potanthus nesta", "Potanthus nesta nesta", "Potanthus nesta omeia", "Potanthus tropica", "Potanthus tropica tropica", "Amasya cherry disease associated chrysovirus", "Aspergillus fumigatus chrysovirus", "Cryphonectria nitschkei chrysovirus 1", "Fusarium oxysporum chrysovirus 1", "Helminthosporium victoriae 145S virus", "Potato yellow vein virus", "Strawberry pallidosis-associated virus", "Sweet potato chlorotic stunt virus", "Tomato chlorosis virus", "Tomato infectious chlorosis virus", "Climacoptera minkvitziae", "Climacoptera narynensis", "Climacoptera obtusifolia", "Ahlbergia chalybeia", "Satsuma chalybeia", "Ahlbergia bimaculata", "Ahlbergia ferrea", "Ahlbergia korea", "Climacoptera olgae", "Climacoptera oxyphylla", "Climacoptera pjataevae", "Climacoptera ptiloptera", "Climacoptera subcrassa", "Climacoptera sukaczevii", "Climacoptera susamyrica", "Climacoptera turgaica", "Climacoptera tyshchenkoi", "Climacoptera ustjurtensis", "Climacoptera vachschi", "Climacoptera zenobiae", "Potanthus ganda", "Penicillium brevicompactum virus", "Penicillium chrysogenum virus", "Penicillium cyaneofulvum virus", "Verticillium dahliae chrysovirus 1", "Beak and feather disease virus", "Canary circovirus", "Duck circovirus", "Finch circovirus", "Goose circovirus", "Gull circovirus", "Pigeon circovirus", "Porcine circovirus 1", "Porcine circovirus 2", "Starling circovirus", "Swan circovirus", "Chicken anemia virus", "Espostoa melanostele subsp. nana", "Gerosis yuani", "Sebastonyma medoensis medoensis", "Sebastonyma medoensis albostriata", "Potanthus riefenstahli", "Zinaida theca", "Zinaida fukia macrotheca", "Zinaida fukia", "Zinaida micropunctata", "Engraulicypris sardella", "Manoba obfuscata", "Manoba huemeri", "Manoba aurantiaca", "Manoba magna", "Ruyschia pavonii", "Pseudoalteromonas virus PM2", "Manoba sparsata", "Pseudomonas virus phi6", "Manoba marshalli", "Bell pepper alphaendornavirus", "Helicobasidium mompa alphaendornavirus 1", "Oryza rufipogon alphaendornavirus", "Oryza sativa alphaendornavirus", "Phaseolus vulgaris alphaendornavirus 1", "Manoba marshalli marshalli", "Vicia faba alphaendornavirus", "Phaseolus vulgaris alphaendornavirus 2", "Phytophthora alphaendornavirus 1", "Manoba marshalli bogorica", "Ruyschia pilophora", "Manoba albani", "Manoba argentaloides", "Manoba carrei", "Manoba chirgwini", "Manoba tribei", "Manoba rennicki", "Manoba bulli", "Manoba cowleyi", "Manoba briggsi", "Manoba goodfieldi", "Manoba potterorum", "Manoba gilletti", "Broad bean stain virus", "Broad bean true mosaic virus", "Cowpea mosaic virus", "Cowpea severe mosaic virus", "Glycine mosaic virus", "Pea green mottle virus", "Pea mild mosaic virus", "Quail pea mosaic virus", "Radish mosaic virus", "Red clover mottle virus", "Squash mosaic virus", "Ullucus virus C", "Patricius gaborronkayi", "Polyommatus frauvartianae", "Broad bean wilt virus 1", "Broad bean wilt virus 2", "Cucurbit mild mosaic virus", "Gentian mosaic virus", "Lamium mild mosaic virus", "Polyommatus fabiani", "Polyommatus delessei", "Apricot latent ringspot virus", "Arabis mosaic virus", "Arracacha virus A", "Artichoke Aegean ringspot virus", "Artichoke Italian latent virus", "Artichoke yellow ringspot virus", "Beet ringspot virus", "Blackcurrant reversion virus", "Blueberry latent spherical virus", "Blueberry leaf mottle virus", "Cassava American latent virus", "Cassava green mottle virus", "Cherry leaf roll virus", "Chicory yellow mottle virus", "Cocoa necrosis virus", "Crimson clover latent virus", "Cycas necrotic stunt virus", "Grapevine Anatolian ringspot virus", "Grapevine Bulgarian latent virus", "Grapevine chrome mosaic virus", "Grapevine deformation virus", "Grapevine fanleaf virus", "Grapevine Tunisian ringspot virus", "Hibiscus latent ringspot virus", "Lucerne Australian latent virus", "Melon mild mottle virus", "Mulberry ringspot virus", "Myrobalan latent ringspot virus", "Olive latent ringspot virus", "Peach rosette mosaic virus", "Potato black ringspot virus", "Potato virus U", "Raspberry ringspot virus", "Tobacco ringspot virus", "Tomato black ring virus", "Tomato ringspot virus", "Echinofossulocactus crispatus", "Stenocactus crispatus", "Atheta khumbuensis", "Atheta subamicula", "Atheta sororcula", "Hepacivirus C", "Atheta subluctuosa", "Atheta yamana", "Pegivirus A", "Atheta paria", "Pegivirus B", "Atheta longelytrata", "Pestivirus D", "Pestivirus B", "Pestivirus C", "Sulfolobus spindle-shaped virus 1", "Sulfolobus spindle-shaped virus 2", "Sulfolobus spindle-shaped virus 4", "Sulfolobus spindle-shaped virus 5", "Sulfolobus spindle-shaped virus 7", "Sulfolobus spindle-shaped virus 8", "Sulfolobus spindle-shaped virus 9", "Sulfolobus spindle-shaped virus 6", "Acidianus spindle-shaped virus 1", "Atheta yardangensis", "Atheta lentula", "Atheta janetschekiella", "Atheta yangriensis", "Atheta meredarensis", "Atheta rizanf", "Apoi virus", "Aroa virus", "Atheta micropisalioides", "Bagaza virus", "Banzi virus", "Bouboui virus", "Bukalasa bat virus", "Cacipacore virus", "Carey Island virus", "Cowbone Ridge virus", "Dakar bat virus", "Dengue virus", "Atheta microphallica", "Edge Hill virus", "Entebbe bat virus", "Gadgets Gully virus", "Ilheus virus", "Israel turkey meningoencephalomyelitis virus", "Japanese encephalitis virus", "Jugra virus", "Jutiapa virus", "Kadam virus", "Kedougou virus", "Atheta goropanensis", "Kokobera virus", "Koutango virus", "Langat virus", "Louping ill virus", "Yellow fever virus", "Atheta pokhariensis", "Meaban virus", "Modoc virus", "Montana myotis leukoencephalitis virus", "Murray Valley encephalitis virus", "Ntaya virus", "Omsk hemorrhagic fever virus", "Phnom Penh bat virus", "Powassan virus", "Rio Bravo virus", "Royal Farm virus", "Saboya virus", "Sal Vieja virus", "San Perlita virus", "Saumarez Reef virus", "Atheta spinigera", "Sepik virus", "St. Louis encephalitis virus", "Tembusu virus", "Tick-borne encephalitis virus", "Tyuleniy virus", "Uganda S virus", "Wesselsbron virus", "West Nile virus", "Yaounde virus", "Yokose virus", "Zika virus", "Atheta phulcokiensis", "Atheta tuberculata", "Atheta rufonigra", "Climacoptera kasakorum", "Atheta optica", "Atheta alternans", "Climacoptera korshinskyi", "Atheta inconsueta", "Atheta mediocris", "Atheta velata", "Atheta makarai", "Climacoptera lachnophylla", "Atheta gandakiensis", "Atheta loebliella", "Atheta gracillima", "Atheta contingens", "Atheta habilis", "Climacoptera malyginii", "Atheta deharvengi", "Atheta dargharensis", "Atheta aptera", "Atheta seclusa", "Atheta zagipalensis", "Verrucaria alborimosa", "Grapevine leafroll-associated virus 1", "Grapevine leafroll-associated virus 3", "Grapevine leafroll-associated virus 4", "Little cherry virus 2", "Pineapple mealybug wilt-associated virus 1", "Pineapple mealybug wilt-associated virus 2", "Plum bark necrosis stem pitting-associated virus", "Pineapple mealybug wilt-associated virus 3", "Beet yellow stunt virus", "Beet yellows virus", "Burdock yellows virus", "Carnation necrotic fleck virus", "Carrot yellow leaf virus", "Citrus tristeza virus", "Grapevine leafroll-associated virus 2", "Mint virus 1", "Raspberry leaf mottle virus", "Strawberry chlorotic fleck-associated virus", "Wheat yellow leaf virus", "Climacoptera merkulowiczii", "Abutilon yellows virus", "Bean yellow disorder virus", "Beet pseudoyellows virus", "Blackberry yellow vein-associated virus", "Cucurbit yellow stunting disorder virus", "Diodia vein chlorosis virus", "Lettuce chlorosis virus", "Lettuce infectious yellows virus", "Climacoptera khalisica", "Climacoptera chorassanica", "Climacoptera botschantzevii", "Alligatorweed stunting virus", "Megakepasma mosaic virus", "Mint vein banding-associated virus", "Olive leaf yellowing-associated virus", "Cordyline virus 1", "Grapevine leafroll-associated virus 7", "Little cherry virus 1", "Climacoptera afghanica", "Stichophthalma camadeva", "Stichophthalma camadeva camadeva", "Stichophthalma camadeva camdedevoides", "Climacoptera iranica", "Stichophthalma camadeva amyclas", "Ypthima muotuoensis", "Ypthima muotuoensis muotuoensis", "Ypthima muotuoensis dulongae", "Callerebia ulfi", "Ypthima confusa", "Ypthima watsoni", "Ypthima watsoni watsoni", "Ypthima watsoni peninsulae", "Ypthima watsoni inouei", "Ypthima posticalis", "Ypthima posticalis posticalis", "Ypthima posticalis aei", "Climacoptera amblyostegia", "Ahlbergia lynda", "Climacoptera aralensis", "Ahlbergia lynda lynda", "Ahlbergia lynda nidadana", "Climacoptera bucharica", "Climacoptera czelekenica", "Atheta antiqua", "Atheta yetii", "Climacoptera intricata", "Turnip curly top virus", "Tomato pseudo-curly top virus", "Eragrostis curvula streak virus", "Beet curly top virus", "Horseradish curly top virus", "Spinach severe curly top virus", "Beet curly top Iran virus", "Spinach curly top Arizona virus", "Bromus catharticus striate mosaic virus", "Chickpea chlorosis Australia virus", "Chickpea chlorosis virus", "Chickpea chlorotic dwarf virus", "Chickpea redleaf virus", "Chickpea yellows virus", "Chloris striate mosaic virus", "Digitaria ciliaris striate mosaic virus", "Digitaria didactyla striate mosaic virus", "Digitaria streak virus", "Eragrostis minor streak virus", "Eragrostis streak virus", "Maize streak Reunion virus", "Maize streak virus", "Miscanthus streak virus", "Oat dwarf virus", "Panicum streak virus", "Paspalum dilatatum striate mosaic virus", "Paspalum striate mosaic virus", "Saccharum streak virus", "Sporolobus striate mosaic virus 1", "Sporolobus striate mosaic virus 2", "Sugarcane streak Egypt virus", "Sugarcane streak Reunion virus", "Sugarcane streak virus", "Tobacco yellow dwarf virus", "Urochloa streak virus", "Wheat dwarf India virus", "Wheat dwarf virus", "Bean golden yellow mosaic virus", "Iljinia regelii", "Phyllophaga balacachiana", "Phyllophaga tascatensis", "Phyllophaga choixiana", "Phyllophaga reyesolivasi", "Phyllophaga collaroides", "Taraxacum atratum", "Sevada schimperi", "Taraxacum calanthum", "Taraxacum calliographum", "Taraxacum cordatifrons", "Taraxacum crispifrons", "Taraxacum devians", "Taraxacum eximium", "Acanthothecis floridana", "Acanthothecis leucoxanthoides", "Acanthothecis paucispora", "Cabbage leaf curl Jamaica virus", "Cabbage leaf curl virus", "Centrosema yellow spot virus", "Chayote yellow mosaic virus", "Chilli leaf curl virus", "Chino del tomate Amazonas virus", "Cleome golden mosaic virus", "Cleome leaf crumple virus", "Clerodendron golden mosaic virus", "Corchorus golden mosaic virus", "Corchorus yellow spot virus", "Corchorus yellow vein virus", "Cotton leaf crumple virus", "Cotton leaf curl Alabad virus", "Cotton leaf curl Bangalore virus", "Cotton leaf curl Gezira virus", "Cotton leaf curl Kokhran virus", "Cotton leaf curl Multan virus", "Cowpea golden mosaic virus", "Croton yellow vein mosaic virus", "Cucurbit leaf crumple virus", "East African cassava mosaic Cameroon virus", "East African cassava mosaic Kenya virus", "East African cassava mosaic Malawi virus", "East African cassava mosaic Zanzibar virus", "Erectites yellow mosaic virus", "Eupatorium yellow vein mosaic virus", "Eupatorium yellow vein virus", "Euphorbia leaf curl Guangxi virus", "Euphorbia leaf curl virus", "Euphorbia yellow mosaic virus", "Ruyschia tremadena", "West African Asystasia virus 1", "West African Asystasia virus 2", "Wissadula golden mosaic virus", "Leonurus mosaic virus", "Lindernia anagallis yellow vein virus", "Ludwigia yellow vein Vietnam virus", "Ludwigia yellow vein virus", "Luffa yellow mosaic virus", "Pyrobaculum spherical virus", "Thermoproteus tenax spherical virus 1", "Sulfolobus newzealandicus droplet-shaped virus", "Aeropyrum pernix ovoid virus 1", "Dalechampia chlorotic mosaic virus", "Datura leaf distortion virus", "Desmodium leaf distortion virus", "Dicliptera yellow mottle Cuba virus", "Dicliptera yellow mottle virus", "Dolichos yellow mosaic virus", "Hollyhock leaf curl virus", "Honeysuckle yellow vein mosaic virus", "Honeysuckle yellow vein virus", "Horsegram yellow mosaic virus", "Okra enation leaf curl virus", "Okra mottle virus", "Okra yellow crinkle virus", "Okra yellow mosaic Mexico virus", "Bulbophyllum abbreviatum", "Bulbophyllum ablepharon", "Bulbophyllum acanthoglossum", "Bulbophyllum acropogon", "Bulbophyllum stenophyllum", "Bulbophyllum acuminatum", "Bulbophyllum acutebracteatum", "Bulbophyllum acutiflorum", "Atheta scabriventris", "Atheta praelata", "Yarrumia coronata", "Aleochara festiva", "Aleochara divergens", "Aleochara boliviana", "Aleochara punae", "Aleodorus miricollis", "Aleodorus peruvianus", "Aegeria hadassa", "Aegeria leptomorpha", "Abutilon mosaic Bolivia virus", "Abutilon mosaic Brazil virus", "Ageratum enation virus", "Ageratum leaf curl virus", "Alesa beneluzi", "Ageratum yellow vein Hualian virus", "Ageratum yellow vein virus", "Allamanda leaf curl virus", "Alternanthera yellow vein virus", "Ageratum yellow vein Sri Lanka virus", "Bean chlorosis virus", "Bean dwarf mosaic virus", "Bean golden mosaic virus", "Bean yellow mosaic Mexico virus", "Bhendi yellow vein Bhubhaneswar virus", "Bhendi yellow vein Haryana virus", "Bhendi yellow vein mosaic virus", "Blainvillea yellow spot virus", "Blechum interveinal chlorosis virus", "Boerhavia yellow spot virus", "Alesa amethystina", "Jacquemontia mosaic Yucatan virus", "Jatropha mosaic India virus", "Kudzu mosaic virus", "Vernonia yellow vein virus", "Watermelon chlorotic stunt virus", "Taraxacum macrocarpum", "Taraxacum spectabile", "Taraxacum subeximium", "Taraxacum serpenticola", "Taraxacum scotocranum", "Taraxacum rubifolium", "Taraxacum furvum", "Taraxacum medioximum", "Taraxacum ornatum", "Taraxacum leptolepis", "Manoba sampuraga", "Manoba talamaui", "Taraxacum laticonicum", "Manoba incerta", "Manoba artatlanka", "Manoba virgulata", "Manoba cernyi", "Taraxacum subspectabile", "Manoba halmahera", "Taraxacum purpuridens", "Manoba tarmanni", "Manoba bagacaya", "Manoba philippina", "Taraxacum vestmannicum", "Taraxacum pravicentrum", "Manoba zebra", "Taraxacum scalenum", "Taraxacum hilare", "Manoba interrogata", "Manoba subpoecila", "Taraxacum geirhildae", "Manoba sublativittata", "Taraxacum faeroense", "Manoba vinculata", "Manoba somorka", "Manoba tristictoides", "Manoba subtristicta", "Stenocactus obvallatus", "Manoba lithosiformis", "Manoba solovyevi", "Manoba bukidnoni", "Manoba reticulata", "Manoba insolita", "Manoba graphata", "Manoba wilemani", "Manoba picturata", "Manoba hollowayi", "Manoba incurvata", "Manoba erinacea", "Manoba apoensis", "Manoba enigmatica", "Abutilon mosaic virus", "African cassava mosaic virus", "Bean calico mosaic virus", "Manoba dorothea", "Chino del tomate virus", "East African cassava mosaic virus", "Euphorbia mosaic virus", "Indian cassava mosaic virus", "Manoba fruzsina", "Mungbean yellow mosaic virus", "Potato yellow mosaic virus", "Tomato yellow leaf curl virus", "Manoba varatlanka", "Manoba rokontalanka", "Yarrumia colensoi", "Myrmecocephalus mexicanus", "Hoplandria bifoveicollis", "Hoplandria cava", "Hoplandria difficilis", "Hoplandria ecuadorensis", "Hoplandria guaranorum", "Hoplandria imbrium", "Hoplandria inca", "Hoplandria mochicorum", "Hoplandria puncticollis", "Hoplandria simplex", "Hoplandria tupiorum", "Hoplandria uhligi", "Meronera fulvicornis", "Neolara caelata", "Neolara incredibilis", "Neolara rapta", "Platandria azteca", "Tropidera paraguayensis", "Platandria peruviana", "Oxypodinus nilssoni", "Megeuptychia souadae", "Cissia touloulou", "Phylloxiphia colasi", "Phylloxiphia domi", "Stalachtis eugenia", "Stalachtis eugenia eugenia", "Stalachtis eugenia terpsichore", "Perisama albipennis", "Eumasia cyprianella", "Scopula agglomerata", "Scopula kounden", "Scopula manengouba", "Heracleum antasiaticum", "Echinocereus laui", "Echinocereus schereri", "Encephalus himalayiensis", "Encephalus martensi", "Coenonica mutata", "Stenomastax laeta", "Stenomastax franzi", "Silusa infuscata", "Chledophila similis", "Neoleptusa brunnea", "Neoleptusa nepalensis", "Neoleptusa rugosa", "Phymatura picta", "Harmsia sidoides", "Eusteniamorpha nepalensis", "Eusteniamorpha smetanai", "Pronomaea nepalensis", "Harmsia lepidota", "Zearaja chilensis", "Dichomeris bulawskii", "Dichomeris lutilinea", "Ruyschia clusiifolia", "Dichomeris thermophaea", "Dichomeris thoracella", "Dichomeris decusella", "Eriosyce aurata", "Epiphyllum crenatum subsp. crenatum", "Ropalidia vietnama", "Hemidactylus makolowodei", "Macroptilium golden mosaic virus", "Macroptilium mosaic Puerto Rico virus", "Macroptilium yellow mosaic Florida virus", "Macroptilium yellow mosaic virus", "Macroptilium yellow spot virus", "Macroptilium yellow vein virus", "Malvastrum leaf curl virus", "Malvastrum yellow mosaic Helshire virus", "Malvastrum yellow mosaic Jamaica virus", "Malvastrum yellow mosaic virus", "Malvastrum yellow vein Honghe virus", "Malvastrum yellow vein virus", "Malvastrum yellow vein Yunnan virus", "Melon chlorotic leaf curl virus", "Melon chlorotic mosaic virus", "Merremia mosaic Puerto Rico virus", "Merremia mosaic virus", "Mesta yellow vein mosaic virus", "Mimosa yellow leaf curl virus", "Mungbean yellow mosaic India virus", "Escherichia virus Qbeta", "Escherichia virus FI", "Escherichia virus MS2", "Escherichia virus BZ13", "Barley yellow dwarf virus GPV", "Barley yellow dwarf virus SGV", "Chickpea stunt disease associated virus", "Groundnut rosette assistor virus", "Indonesian soybean dwarf virus", "Sweet potato leaf speckling virus", "Tobacco necrotic dwarf virus", "Pea enation mosaic virus 1", "Soybean dwarf virus", "Barley yellow dwarf virus PAV", "Barley yellow dwarf virus kerII", "Barley yellow dwarf virus kerIII", "Barley yellow dwarf virus MAV", "Barley yellow dwarf virus PAS", "Bean leafroll virus", "Rose spring dwarf-associated virus", "Potato leafroll virus", "Beet western yellows virus", "Carrot red leaf virus", "Beet chlorosis virus", "Beet mild yellowing virus", "Cereal yellow dwarf virus RPS", "Cereal yellow dwarf virus RPV", "Chickpea chlorotic stunt virus", "Cotton leafroll dwarf virus", "Cucurbit aphid-borne yellows virus", "Maize yellow dwarf virus RMV", "Melon aphid-borne yellows virus", "Pepper vein yellows virus", "Suakwa aphid-borne yellows virus", "Sugarcane yellow leaf virus", "Tobacco vein distorting virus", "Turnip yellows virus", "Arthonia compensata", "Heracleum crenatifolium", "Heracleum peshmenianum", "Mimagoniates microlepis", "Anarsia diversiola", "Anarsia porthmista", "Heracleum rawianum", "Anarsia gryphodes", "Anarsia campestra", "Heracleum pastinaca", "Anarsia similicampa", "Mimagoniates rheocharis", "Anarsia kepensis", "Mimagoniates sylvicola", "Anarsia melanodes", "Heracleum paphlagonicum", "Anarsia pusillidia", "Anarsia houhunlii", "Heracleum trachyloma", "Anarsia tricornis", "Heracleum transcaucasicum", "Heracleum sommieri", "Anarsia isogona", "Heracleum schelkovnikovii", "Heracleum egrissicum", "Spiroplasma virus S102", "Spiroplasma virus T78", "Escherichia virus AE2", "Salmonella virus C2", "Escherichia virus DeltaA", "Escherichia virus Ec9", "Escherichia virus f1", "Escherichia virus fd", "Escherichia virus HR", "Escherichia virus I22", "Escherichia virus If1", "Salmonella virus IKe", "Escherichia virus PR64FS", "Escherichia virus SF", "Escherichia virus tf1", "Escherichia virus X", "Escherichia virus X2", "Escherichia virus ZJ2", "Pseudomonas virus Pf1", "Pseudomonas virus Pf2", "Pseudomonas virus Pf3", "Vibrio virus 493", "Vibrio virus CTXphi", "Vibrio virus fs1", "Vibrio virus fs2", "Vibrio virus v6", "Vibrio virus Vf12", "Vibrio virus Vf33", "Vibrio virus VSK", "Xanthomonas virus Cf16", "Xanthomonas virus Cf1c", "Xanthomonas virus Cf1t", "Xanthomonas virus Cf1tv", "Xanthomonas virus Lf", "Xanthomonas virus Xf", "Xanthomonas virus Xfo", "Xanthomonas virus Xfv", "Invertebrate iridescent virus 3", "Invertebrate iridescent virus 6", "Hemidactylus lavadeserticus", "Invertebrate iridescent virus 1", "Lymphocystis disease virus 1", "Infectious spleen and kidney necrosis virus", "Ambystoma tigrinum virus", "Bohle iridovirus", "Frog virus 3", "Epizootic haematopoietic necrosis virus", "European catfish virus", "Santee-Cooper ranavirus", "Scopula recurvata", "Scopula spinosicrista", "Scopula acutanellus", "Scopula dargei", "Papaya leaf crumple virus", "Papaya leaf curl China virus", "Papaya leaf curl Guandong virus", "Papaya leaf curl virus", "Passionfruit severe leaf distortion virus", "Pedilanthus leaf curl virus", "Pepper golden mosaic virus", "Pepper huasteco yellow vein virus", "Pepper leaf curl Bangladesh virus", "Pepper leaf curl Lahore virus", "Pepper leaf curl virus", "Pepper leaf curl Yunnan virus", "Scopula viettei", "Pepper yellow leaf curl Indonesia virus", "Pepper yellow vein Mali virus", "Potato yellow mosaic Panama virus", "Pumpkin yellow mosaic virus", "Radish leaf curl virus", "Rhynchosia golden mosaic Havana virus", "Rhynchosia golden mosaic Sinaloa virus", "Rhynchosia golden mosaic virus", "Scopula nigricornis", "Rhynchosia golden mosaic Yucatan virus", "Rhynchosia mild mosaic virus", "Rhynchosia rugose golden mosaic virus", "Rhynchosia yellow mosaic virus", "Heracleum chorodanum", "Rose leaf curl virus", "Scopula caberaria", "Scopula penultima", "Scopula perpunctata", "Duck hepatitis B virus", "Heron hepatitis B virus", "Long-fingered bat hepatitis B virus", "Ground squirrel hepatitis virus", "Hepatitis B virus", "Woodchuck hepatitis virus", "Anarsia deuterodes", "Woolly monkey hepatitis B virus", "Heracleum persicum", "Cryphonectria hypovirus 1", "Cryphonectria hypovirus 2", "Cryphonectria hypovirus 3", "Cryphonectria hypovirus 4", "Mimagoniates barberi", "Polyommatus alibalii", "Alesa humilis", "Eublemma rosinans", "Priocharax ariel", "Heracleum yunnanense", "Heracleum yungningense", "Heracleum xiaojinense", "Heracleum fargesii", "Heracleum subtomentellum", "Macaria wauaria", "Macaria wauaria wauaria", "Heracleum nyalamense", "Macaria wauaria africana", "Heracleum tiliifolium", "Heracleum henryi", "Macaria wauaria chinensis", "Heracleum rapula", "Macaria wauaria koreaebia", "Heracleum wolongense", "Heracleum scabridum", "Heracleum forrestii", "Heracleum wenchuanense", "Heracleum stenopterum", "Heracleum stenopteroides", "Heracleum souliei", "Arthopyrenia betulicola", "Heracleum oreocharis", "Oreosalsola montana", "Eupithecia moricandiata", "Eupithecia soricella", "Heracleum freynianum", "Heracleum leskovii", "Heracleum ossethicum", "Heracleum scabrum", "Heracleum aconitifolium", "Heracleum albovii", "Gyrophaena antennaria", "Gyrophaena permutaria", "Heracleum austriacum", "Gyrophaena nepalensis", "Gyrophaena quadrifida", "Heracleum austriacum subsp. siifolium", "Gyrophaena densicollis", "Heracleum austriacum subsp. austriacum", "Anarsia spatulatana", "Anarsia paraisogona", "Anarsia ovula", "Anarsia chiangmaiensis", "Anarsia procera", "Heracleum sphondylium subsp. sibiricum", "Anarsia conica", "Anarsia meiosis", "Mayomyzon pieckoensis", "Anarsia lewvanichae", "Hemidactylus kyaboboensis", "Hemidactylus laticaudatus", "Acholeplasma virus L51", "Spiroplasma virus 1aa", "Spiroplasma virus C74", "Spiroplasma virus KC3", "Spiroplasma virus R8A2B", "Coconut foliar decay virus", "Abaca bunchy top virus", "Banana bunchy top virus", "Pyrgus sidae", "Pyrgus sidae sidae", "Pyrgus sidae evansi", "Cardamom bushy dwarf virus", "Faba bean necrotic stunt virus", "Faba bean necrotic yellows virus", "Faba bean yellow leaf virus", "Milk vetch dwarf virus", "Pea necrotic yellow dwarf virus", "Subterranean clover stunt virus", "Bulbophyllum acutilingue", "Bulbophyllum acutilobum", "Bulbophyllum acutispicatum", "Bulbophyllum adangense", "Bulbophyllum adelphidium", "Bulbophyllum adenoblepharon", "Bulbophyllum adiamantinum", "Bulbophyllum adjungens", "Bulbophyllum adolphii", "Bulbophyllum aechmophorum", "Bulbophyllum aemulum", "Bulbophyllum affine", "Neobisium simargli", "Neobisium stribogi", "Neobisium ligusticum", "Neobisium beroni", "Neobisium bulgaricum", "Neobisium sakadzhianum", "Neobisium sylvaticum", "Senecio yellow mosaic virus", "Sida golden mosaic Braco virus", "Sida golden mosaic Buckup virus", "Sida golden mosaic Costa Rica virus", "Sida golden mosaic virus", "Sida golden mottle virus", "Sida golden yellow vein virus", "Sida leaf curl virus", "Sida golden mosaic Florida virus", "Sida micrantha mosaic virus", "Sida mosaic Alagoas virus", "Sida mosaic Bolivia virus 1", "Sida mosaic Bolivia virus 2", "Sida mosaic Sinaloa virus", "Sida mottle Alagoas virus", "Sida mottle virus", "Sida yellow blotch virus", "Sida yellow mosaic Alagoas virus", "Sida yellow mosaic China virus", "Sida yellow mosaic virus", "Sida yellow mosaic Yucatan virus", "Sida yellow mottle virus", "Sida yellow net virus", "Soybean blistering mosaic virus", "Sida yellow vein Vietnam virus", "Sida yellow vein virus", "Siegesbeckia yellow vein Guangxi virus", "Siegesbeckia yellow vein virus", "South African cassava mosaic virus", "Soybean mild mottle virus", "Spilanthes yellow vein virus", "Squash leaf curl China virus", "Squash leaf curl Philippines virus", "Squash leaf curl virus", "Squash leaf curl Yunnan virus", "Squash mild leaf curl virus", "Sri Lankan cassava mosaic virus", "Stachytarpheta leaf curl virus", "Sweet potato leaf curl Canary virus", "Sweet potato leaf curl China virus", "Eupithecia subflavolineata", "Salsola arbusculiformis", "Calamotropha fuscilineatellus", "Phycitodes inquinatella", "Ceratitis capitata Yoyo virus", "Drosophila ananassae Tom virus", "Drosophila melanogaster 17-6 virus", "Drosophila melanogaster 297 virus", "Drosophila melanogaster Gypsy virus", "Drosophila melanogaster Idefix virus", "Drosophila melanogaster Tirant virus", "Drosophila melanogaster Zam virus", "Drosophila virilis Tv1 virus", "Trichoplusia ni TED virus", "Saccharomyces cerevisiae Ty3 virus", "Arabidopsis thaliana Athila virus", "Arabidopsis thaliana Tat4 virus", "Bombyx mori Mag virus", "Caenorhabditis elegans Cer1 virus", "Cladosporium fulvum T-1 virus", "Dictyostelium discoideum Skipper virus", "Drosophila buzzatii Osvaldo virus", "Drosophila melanogaster 412 virus", "Drosophila melanogaster Blastopia virus", "Drosophila melanogaster Mdg1 virus", "Drosophila melanogaster Mdg3 virus", "Drosophila melanogaster Micropia virus", "Drosophila virilis Ulysses virus", "Fusarium oxysporum Skippy virus", "Lilium henryi Del1 virus", "Schizosaccharomyces pombe Tf1 virus", "Schizosaccharomyces pombe Tf2 virus", "Takifugu rubripes Sushi virus", "Tribolium castaneum Woot virus", "Tripneustis gratilla SURL virus", "Anopheles gambiae Moose virus", "Ascaris lumbricoides Tas virus", "Bombyx mori Pao virus", "Caenorhabditis elegans Cer13 virus", "Drosophila melanogaster Bel virus", "Drosophila melanogaster Roo virus", "Drosophila simulans Ninja virus", "Takifugu rubripes Suzu virus", "Leucocraspedum nepalense", "Trigonophora haasi", "Trigonophora haasi haasi", "Oligota smetanai", "Trigonophora haasi annibalella", "Brachida aptera", "Brachida aptera aptera", "Brachida aptera goncen", "Gyrophaena vajra", "Gyrophaena basipunctata", "Gyrophaena forceps", "Gyrophaena kuwapanicola", "Gyrophaena manangensis", "Gyrophaena gratellior", "Gyrophaena sherpa", "Gyrophaena praeposita", "Gyrophaena multiplex", "Gyrophaena sitalaiana", "Gyrophaena manjushrana", "Gyrophaena pujana", "Gyrophaena pluviophila", "Gyrophaena mansueta", "Gyrophaena plicatella", "Gyrophaena mustangana", "Gyrophaena subgregaria", "Gyrophaena smetanai", "Cossus albonubila", "Gyrophaena acuta", "Gyrophaena metaxifera", "Gyrophaena tamangorum", "Gyrophaena loebli", "Gyrophaena amitabha", "Gyrophaena elegans", "Gyrophaena smetanaiella", "Bdellovibrio virus MAC1", "Bdellovibrio virus MH2K", "Chlamydia virus Chp1", "Chlamydia virus Chp2", "Chlamydia virus CPAR39", "Chlamydia virus CPG1", "Spiroplasma virus SpV4", "Heracleum franchetii", "Heracleum canescens", "Hemidactylus tanganicus", "Heracleum carpaticum", "Heracleum calcareum", "Mythimna jutka", "Schwartzia chocoensis", "Nephromopsis laureri", "Schwartzia lozaniana", "Schwartzia petersonii", "Schwartzia parrae", "Dasypolia lama", "Dasypolia leptographa", "Gryllacris longiloba", "Diaphanogryllacris adunca", "Diaphanogryllacris orlovi", "Masuria loebli", "Masuria picipes", "Masuria kali", "Masuria parva", "Disphragis echina", "Parasa haxairei", "Spininola nepali", "Trevathana noae", "Bulbophyllum vaginatum", "Schwartzia tarrazuensis", "Sweet potato leaf curl Georgia virus", "Sweet potato leaf curl Sao Paulo virus", "Sweet potato leaf curl South Carolina virus", "Sweet potato leaf curl Uganda virus", "Sweet potato leaf curl virus", "Sweet potato mosaic virus", "Hemidactylus prashadi", "Heracleum wilhelmsii", "Nylanderia deceptrix", "Gyrophaena gravis", "Gyrophaena robustula", "Gyrophaena sudra", "Gyrophaena narendra", "Gyrophaena ghoropanica", "Gyrophaena patiorum", "Acria javanica", "Trichogenes longipinnis", "Sternotropa duplex", "Sternotropa smetanai", "Sternotropa manjushrii", "Sternotropa crassa", "Sternotropa indira", "Sternotropa notatella", "Sternotropa loebli", "Sternotropa newar", "Sternotropa intermedia", "Coenonica ahalensis", "Coenonica smetanai", "Coenonica loebliana", "Coenonica bhimsen", "Coenonica loebli", "Neosilusa smetanai", "Cylindropuntia californica subsp. parkeri", "Dasypolia fani", "Schwartzia adamantium", "Dasypolia unicata", "Schwartzia jucuensis", "Leptusa indica bagmatiensis", "Leptusa indica ghoropanensis", "Leptusa indica puella", "Schwartzia andina", "Heracleum millefolium", "Leptusa devoluyiensis", "Leptusa smetanai", "Leptusa smetanaorum", "Heracleum millefolium var. longilobum", "Leptusa carolinensis", "Schwartzia antioquensis", "Heracleum millefolium var. millefolium", "Leptusa smetanaiella", "Selenicereus urbanianus", "Schlumbergera rosea", "Schlumbergera lutea", "Schlumbergera lutea subsp. lutea", "Schlumbergera lutea subsp. bradei", "Nephromopsis laxa", "Tiliacea aculeata", "Squalius malacitanus", "Hemidactylus thayene", "Schwartzia renvoizei", "Heracleum bivittatum", "Dasypolia tsheringi", "Heracleum cachemiricum", "Heracleum ligusticifolium", "Schwartzia pterosara", "Heracleum cyclocarpum", "Dasypolia afghana", "Dasypolia esseri", "Heracleum angustisectum", "Hemidactylus tenkatei", "Schwartzia magnifica", "Schwartzia weddelliana", "Leptusa smokyiensis", "Leptusa vailatii", "Leptusa vercorensis", "Leptusa veronensis", "Leptusa veronensis lessinicola", "Heracleum abyssinicum", "Leptusa ghoropanensis", "Bulbophyllum beccarii", "Schwartzia brenesii", "Schwartzia jimenezii", "Schwartzia costaricensis", "Hemigrammus cylindricus", "Hemigrammus iota", "Hemigrammus stictus", "Hemigrammus orthus", "Heracleum pinnatum", "Heracleum olgae", "Heracleum orphanidis", "Heracleum taylorii", "Heracleum moellendorffii", "Heracleum moellendorffii var. moellendorffii", "Heracleum moellendorffii var. paucivittatum", "Heracleum moellendorffii var. subbipinnatum", "Masuria spectata", "Schwartzia spiciflora", "Masuria rufescens", "Masuria rubida", "Masuria ferruginea", "Masuria smetani", "Heracleum barmanicum", "Leptusa ceresoleana", "Leptusa ceresoleana bartolii", "Heracleum biternatum", "Leptusa petzeniensis", "Leptusa petzeniensis tubuspinifera", "Leptusa sabauda", "Aylostera pseudodeminuta", "Leptusa pinkeri", "Leptusa pinkeri sebina", "Heracleum candicans var. obtusifolium", "Heracleum candicans var. candicans", "Hemigrammus elegans", "Hemigrammus schmardae", "Nephromopsis sikkimensis", "Heracleum sphondylium subsp. alpinum", "Heracleum sphondylium subsp. artvinense", "Nephromopsis pseudocomplicata", "Stenomastax smetanai", "Acria sulawesica", "Cranopygia nova", "Hemidactylus romeshkanicus", "Gryllacris barabensis", "Gryllacris barussa", "Gryllacris andamana", "Stenomastax smetanai smetanai", "Gryllacris buruensis", "Stenomastax smetanai malemchiensis", "Gryllacris cyclopimontana", "Linoglossa smetanai", "Gryllacris modestipennis", "Gryllacris peracca", "Gryllacris libidinosa", "Leptusa newar", "Gryllacris thailandi", "Gryllacris thailandi thailandi", "Leptusa indica", "Leptusa indica indica", "Leptusa indica tashigaonensis", "Neoleptusa smetanaorum", "Bolitochara smetanai", "Pseudatheta smetanai", "Gryllacris thailandi facemarmiger", "Pseudatheta mendica", "Pseudatheta ghoropanensis", "Pseudatheta ghoropanensis ghoropanensis", "Pseudatheta ghoropanensis kantipurensis", "Masuria besucheti", "Masuria tashigaonensis", "Masuria martensi", "Achanarella trewini", "Neocaledonopsis franzi", "Spininola urdu", "Leptusa albergianensis", "Spininola indecorata", "Spininola unicata", "Spininola sinjaevi", "Spininola celebesi", "Spininola maliatthoides", "Spininola punctivena", "Schwartzia geniculatiflora", "Ctenopleuron nerepisense", "Cylindropuntia californica", "Cylindropuntia californica subsp. californica", "Cylindropuntia californica subsp. delgadilloana", "Cylindropuntia californica subsp. rosarica", "Dirphiopsis peggy", "Atheta sigiriyensis", "Atheta tamilorum", "Atheta dagobarum", "Atheta kasyataiana", "Atheta singalensis", "Brachyusa tronqueti", "Drusilla singalorum", "Drusilla tronqueti", "Gnypeta ceylonensis", "Gnypeta tronqueti", "Gyrophaena tronqueti", "Myllaena corticicola", "Myllaena pedissequa", "Oligota tronqueti", "Pedinopleurus derougemonti", "Pseudatheta tronqueti", "Sternotropa paradoxa", "Tachyusa singalorum", "Squalius pyrenaicus", "Heracleum sphondylium subsp. algeriense", "Heracleum sphondylium subsp. verticillatum", "Heracleum sphondylium subsp. ternatum", "Tobacco curly shoot virus", "Heracleum pumilum", "Leptusa lohsei", "Smerinthulus baokimae", "Leptusa cadiensis", "Leptusa coiffaiti", "Leptusa temperei", "Heracleum kingdonii", "Leptusa sibyllinica", "Leptusa sibyllinica aurunca", "Leptusa californiana", "Leptusa corsica", "Leptusa priesneri", "Leptusa myrmidon", "Leptusa myrmidon tunetana", "Leptusa abdominalis", "Heracleum elgonense", "Leptusa magellanica", "Leptusa peninsulae", "Leptusa solieri", "Leptusa portusnaoniensis", "Leptusa tarvisiana", "Leptusa gurgentepensis", "Leptusa zerchei", "Leptusa epirensis", "Leptusa trapezuntis", "Leptusa pratensis", "Leptusa pascuorum", "Leptusa pascuorum pavionis", "Heracleum lehmannianum", "Leptusa armeniaca", "Leptusa peristerica", "Leptusa sororella", "Leptusa tomorensis", "Tillandsia streptocarpa", "Stirtonia lucida", "Tillandsia bergeri", "Rhipsalis burchellii", "Cryphonectria mitovirus 1", "Ophiostoma mitovirus 4", "Ophiostoma mitovirus 5", "Ophiostoma mitovirus 6", "Ophiostoma mitovirus 3a", "Saccharomyces 20S RNA narnavirus", "Saccharomyces 23S RNA narnavirus", "White spot syndrome virus", "Cumulopuntia boliviana subsp. dactylifera", "Cumulopuntia boliviana subsp. echinacea", "Ariosoma dolichopterum", "Melamphaes lentiginosus", "Melamphaes shcherbachevi", "Trichoplusia longisigna", "Antoculeora ornatissima", "Antoculeora locuples", "Antoculeora lushanensis", "Clupisoma nujiangense", "Influenza A virus H1N8", "Influenza A virus H3N3", "Influenza A virus H4N1", "Influenza A virus H5N5", "Influenza A virus H6N1", "Influenza A virus H7N5", "Influenza A virus H10N8", "Influenza A virus H11N2", "Influenza A virus H11N9", "Influenza A virus H17N10", "Influenza A virus H18N11", "Influenza B virus", "Influenza C virus", "Degiella gongylopis", "Heracleum sphondylium subsp. aurasiacum", "Leptoderma ospesca", "Salmon isavirus", "Speleogobius llorisi", "Influenza A virus H7N9", "Hygropetrophila tronqueti", "Hygropetrophila festiva", "Hydrosmecta tronqueti", "Hydrosmecta sicaria", "Hydrosmecta newarica", "Atheta tronqueti", "Atheta profuga", "Atheta indigentium", "Aloconota mima", "Myllaena sudranica", "Myllaena tronqueti", "Oxypoda ledouxi", "Paraloconota tronqueti", "Coenonica philippina", "Sphuridaethes loebli", "Betapapillomavirus 3", "Betapapillomavirus 4", "Betapapillomavirus 5", "Betapapillomavirus 6", "Sphallomorpha curta", "Arctocypris foveata", "Chipapillomavirus 1", "Chipapillomavirus 2", "Chipapillomavirus 3", "Cameronium guineense", "Deltapapillomavirus 1", "Deltapapillomavirus 2", "Deltapapillomavirus 3", "Deltapapillomavirus 4", "Deltapapillomavirus 5", "Deltapapillomavirus 6", "Dyodeltapapillomavirus 1", "Dyoepsilonpapillomavirus 1", "Catarractodes serranoi", "Catarractodes minimus", "Dyoetapapillomavirus 1", "Zyras prudens", "Arctocypris arctica", "Tobacco leaf curl Yunnan virus", "Tomato chlorotic leaf distortion virus", "Tomato golden mottle virus", "Tomato leaf curl Bangladesh virus", "Tomato leaf curl Guangdong virus", "Tomato leaf curl Hsinchu virus", "Tomato leaf curl Mindanao virus", "Tomato leaf curl Philippines virus", "Tomato leaf curl Sudan virus", "Tomato leaf deformation virus", "Tomato severe leaf curl virus", "Tomato yellow leaf curl Indonesia virus", "Tomato yellow leaf curl Sardinia virus", "Tomato yellow margin leaf curl virus", "Tobacco leaf curl Thailand virus", "Tomato chino La Paz virus", "Tomato golden mosaic virus", "Tomato leaf curl Bangalore virus", "Tomato leaf curl Ghana virus", "Tomato leaf curl Kerala virus", "Tomato leaf curl Oman virus", "Tomato leaf curl virus", "Tomato mosaic Havana virus", "Tomato rugose yellow leaf curl virus", "Tomato yellow leaf curl Guangdong virus", "Tomato yellow leaf distortion virus", "Tobacco leaf curl Cuba virus", "Tobacco leaf curl Zimbabwe virus", "Tomato chlorotic mottle virus", "Tomato golden vein virus", "Tomato leaf curl Cebu virus", "Heracleum sphondylium subsp. montanum", "Tomato leaf curl Guangxi virus", "Tomato leaf curl Laos virus", "Tomato leaf curl Moheli virus", "Tomato leaf curl Pune virus", "Tomato leaf distortion virus", "Tomato severe rugose virus", "Tomato yellow leaf curl Kanchanaburi virus", "Tomato leaf curl Iran virus", "Tomato leaf curl Taiwan virus", "Tomato mottle leaf curl virus", "Tomato yellow leaf curl Thailand virus", "Tomato yellow mottle virus", "Tomato yellow spot virus", "Tomato yellow vein streak virus", "Tomato yellow leaf curl Vietnam virus", "Tobacco yellow crinkle virus", "Tomato dwarf leaf virus", "Tomato leaf curl Diana virus", "Tomato leaf curl Hanoi virus", "Tomato leaf curl Mali virus", "Tomato leaf curl Nigeria virus", "Tomato leaf curl Sri Lanka virus", "Tomato leaf curl Vietnam virus", "Tomato yellow leaf curl Mali virus", "Tobacco leaf curl Japan virus", "Tobacco leaf rugose virus", "Tomato common mosaic virus", "Tomato leaf curl Anjouan virus", "Nodamura virus", "Black beetle virus", "Boolarra virus", "Flock House virus", "Pariacoto virus", "Striped jack nervous necrosis virus", "Barfin flounder nervous necrosis virus", "Redspotted grouper nervous necrosis virus", "Tiger puffer nervous necrosis virus", "Citrus psorosis ophiovirus", "Freesia sneak ophiovirus", "Lettuce ring necrosis ophiovirus", "Mirafiori lettuce big-vein ophiovirus", "Ranunculus white mottle ophiovirus", "Tulip mild mottle mosaic ophiovirus", "Influenza A virus", "Influenza A virus H5N1", "Influenza A virus H3N8", "Influenza A virus H2N2", "Influenza A virus H3N2", "Mastax albonotata", "Influenza A virus H7N7", "Influenza A virus H1N2", "Influenza A virus H9N2", "Influenza A virus H7N2", "Influenza A virus H7N3", "Influenza A virus H5N2", "Influenza A virus H10N7", "Influenza A virus H2N3", "Influenza A virus H3N1", "Influenza A virus H5N3", "Influenza A virus H5N6", "Influenza A virus H5N8", "Influenza A virus H5N9", "Influenza A virus H7N1", "Influenza A virus H7N4", "Gammapapillomavirus 5", "Gammapapillomavirus 6", "Gammapapillomavirus 7", "Gammapapillomavirus 8", "Gammapapillomavirus 9", "Gammapapillomavirus 10", "Gammapapillomavirus 11", "Gammapapillomavirus 12", "Gammapapillomavirus 13", "Gammapapillomavirus 14", "Gammapapillomavirus 15", "Gammapapillomavirus 17", "Gammapapillomavirus 18", "Gammapapillomavirus 19", "Gammapapillomavirus 20", "Gammapapillomavirus 16", "Eriophyes eremus", "Mastax annulata", "Miqueliopuntia miquelii", "Punotia lagopus", "Stirtonia rhizophorae", "Marcgraviastrum mixtum", "Harpadon nudus", "Opuntia ser.", "Arctocypris dulcifons", "Dyoiotapapillomavirus 1", "Dyoiotapapillomavirus 2", "Dyokappapapillomavirus 1", "Dyolambdapapillomavirus 1", "Dyomupapillomavirus 1", "Dyonupapillomavirus 1", "Dyoomikronpapillomavirus 1", "Dyopipapillomavirus 1", "Dyorhopapillomavirus 1", "Dyosigmapapillomavirus 1", "Dyothetapapillomavirus 1", "Dyoxipapillomavirus 1", "Dyozetapapillomavirus 1", "Epsilonpapillomavirus 1", "Etapapillomavirus 1", "Bulbophyllum wangkaense", "Caroxylon iljinii", "Mastax alternans", "Gammapapillomavirus 1", "Gammapapillomavirus 2", "Gammapapillomavirus 3", "Gammapapillomavirus 4", "Tomato leaf curl China virus", "Tomato leaf curl Gujarat virus", "Tomato leaf curl Java virus", "Tomato leaf curl Joydebpur virus", "Tomato leaf curl Madagascar virus", "Tomato leaf curl Namakely virus", "Tomato leaf curl Seychelles virus", "Tomato leaf curl Toliara virus", "Tomato mild mosaic virus", "Tomato mottle Taino virus", "Tomato yellow leaf curl Axarquia virus", "Tomato yellow leaf curl Malaga virus", "Tobacco leaf curl Pusa virus", "Tobacco mottle leaf curl virus", "Tomato curly stunt virus", "Tomato leaf curl Arusha virus", "Tomato leaf curl Comoros virus", "Tomato leaf curl Hainan virus", "Tomato leaf curl Karnataka virus", "Tomato leaf curl Malaysia virus", "Tomato leaf curl New Delhi virus", "Tomato leaf curl Sinaloa virus", "Tomato leaf curl Uganda virus", "Tomato mild yellow leaf curl Aragua virus", "Tomato mottle virus", "Tomato rugose mosaic virus", "Tomato yellow leaf curl China virus", "Hemidactylus vietnamensis", "Pseudosarcopera diaz-piedrahitae", "Pseudosarcopera oxystylis", "Lonomia sinalectra", "Lonomia antoniae", "Acinonyx jubatus raineyi", "Gyaclavator kohlsi", "Eacles barragani", "Scincus hemprichii", "Eacles alinae", "Arthonia stipitata", "Alphapapillomavirus 1", "Alphapapillomavirus 2", "Caroxylon nodulosum", "Alphapapillomavirus 3", "Alphapapillomavirus 4", "Alphapapillomavirus 5", "Alphapapillomavirus 6", "Alphapapillomavirus 7", "Alphapapillomavirus 8", "Arhytinus gerstmeieri", "Atheta giachinoi", "Alphapapillomavirus 9", "Geostiba casalei", "Alphapapillomavirus 10", "Oxypoda insidiosa", "Alphapapillomavirus 11", "Alphapapillomavirus 12", "Alphapapillomavirus 13", "Alphapapillomavirus 14", "Arctocypris fuhrmanni", "Betapapillomavirus 1", "Paraleptusa casalei", "Paraleptusa franzi", "Betapapillomavirus 2", "Gobius salamansa", "Cumulopuntia berteroi", "Nitrophila atacamensis", "Cumulopuntia zehnderi", "Nitrophila australis", "Demerinda mandinga", "Gryptaulacus renavigans", "Gryptaulacus serranoi", "Paramyrmoecia mandinga", "Porus bissauensis", "Porus bissorensis", "Trachydonia mandingorum", "Typhloponemys bissauensis", "Zyras lucifer", "Zyras bilobifer", "Zyras oioensis", "Zyras balantis", "Zyras balans", "Zyras palliolatus", "Zyras farimensis", "Zyras fulbis", "Zyras serranoi", "Cumulopuntia boliviana", "Cumulopuntia boliviana subsp. boliviana", "Oxypoda vogeli", "Pagla vogeli", "Pycnota navarinensis", "Hemigrammus geisleri", "Spanioda bergi", "Melamphaes parvus", "Melamphaes janae", "Pogonophryne pallida", "Sicyopterus squamosissimus", "Cumulopuntia boliviana subsp. ignescens", "Cumulopuntia fulvicoma", "Owstonia kamoharai", "Hemichroa pentandra", "Tometes ancylorhynchus", "Tometes kranponhah", "Cumulopuntia pentlandii", "Spanioda hiekei", "Spanioda vogeli", "Nitrophila mexicana", "Dasymera andicola", "Cnemostyla mirabilis", "Calodera bicolor", "Atheta hiekei", "Atheta chilensis", "Atheta vogeliana", "Iotapapillomavirus 1", "Kappapapillomavirus 1", "Bulbophyllum afzelii", "Kappapapillomavirus 2", "Bulbophyllum afzelii var. afzelii", "Lambdapapillomavirus 1", "Lambdapapillomavirus 2", "Lambdapapillomavirus 3", "Lambdapapillomavirus 4", "Lambdapapillomavirus 5", "Bulbophyllum afzelii var. microdoron", "Mupapillomavirus 1", "Johnston Atoll quaranjavirus", "Quaranfil quaranjavirus", "Stirtonia ochracea", "Dhori thogotovirus", "Batken virus", "Bourbon virus", "Jos virus", "Thogoto thogotovirus", "Pachycara caribbaeum", "Hypancistrus margaritatus", "Hypancistrus phantasma", "Rugascuta sinica", "Tephrocactus alexanderi", "Alburnoides idignensis", "Alburnoides namaki", "Alburnoides nicolausi", "Alburnoides petrubanarescui", "Tephrocactus molinensis", "Catapleura repanda", "Tephrocactus geometricus", "Pterocactus araucanus", "Pterocactus australis", "Pterocactus fischeri", "Pterocactus gonjianii", "Pterocactus hickenii", "Mupapillomavirus 2", "Nupapillomavirus 1", "Bulbophyllum agapethoides", "Omegapapillomavirus 1", "Omikronpapillomavirus 1", "Phipapillomavirus 1", "Bulbophyllum agastor", "Pipapillomavirus 1", "Pipapillomavirus 2", "Bulbophyllum aggregatum", "Psipapillomavirus 1", "Rhopapillomavirus 1", "Bulbophyllum aithorhachis", "Sigmapapillomavirus 1", "Taupapillomavirus 1", "Taupapillomavirus 2", "Thetapapillomavirus 1", "Upsilonpapillomavirus 1", "Upsilonpapillomavirus 2", "Upsilonpapillomavirus 3", "Xipapillomavirus 2", "Xipapillomavirus 1", "Zetapapillomavirus 1", "Agaricus bisporus virus 4", "Alfalfa cryptic virus 1", "Carnation cryptic virus 1", "Carrot temperate virus 1", "Carrot temperate virus 2", "Carrot temperate virus 3", "Carrot temperate virus 4", "Gaeumannomyces graminis virus 0196A", "Gaeumannomyces graminis virus T1A", "Hop trefoil cryptic virus 1", "Hop trefoil cryptic virus 3", "Radish yellow edge virus", "Ryegrass cryptic virus", "Spinach temperate virus", "White clover cryptic virus 3", "Scyliorhinus cabofriensis", "Cryptosporidium parvum virus 1", "Beet cryptic virus 1", "Carrot cryptic virus", "Cherry chlorotic rusty spot associated partitivirus", "Chondrostereum purpureum cryptic virus 1", "Flammulina velutipes browning virus", "White clover cryptic virus 1", "Helicobasidium mompa partitivirus V70", "Heterobasidion partitivirus 1", "Heterobasidion partitivirus 3", "Rosellinia necatrix partitivirus 2", "Vicia cryptic virus", "Gymnotus refugio", "Atkinsonella hypoxylon virus", "Cannabis cryptic virus", "Ceratocystis resinifera virus 1", "Crimson clover cryptic virus 2", "Dill cryptic virus 2", "Fusarium poae virus 1", "Heterobasidion partitivirus 2", "Heterobasidion partitivirus 8", "Heterobasidion partitivirus P", "Hop trefoil cryptic virus 2", "Pleurotus ostreatus virus 1", "Primula malacoides virus 1", "Red clover cryptic virus 2", "Rhizoctonia solani virus 717", "Rosellinia necatrix virus 1", "White clover cryptic virus 2", "Beet cryptic virus 2", "Beet cryptic virus 3", "Fig cryptic virus", "Pepper cryptic virus 1", "Pepper cryptic virus 2", "Gongora amparoana", "Alburnoides coadi", "Aspergillus ochraceous virus", "Discula destructiva virus 1", "Discula destructiva virus 2", "Fusarium solani virus 1", "Gremmeniella abietina RNA virus MS1", "Ophiostoma partitivirus 1", "Penicillium stoloniferum virus F", "Penicillium stoloniferum virus S", "Alburnoides parhami", "Alburnoides samiii", "Gongora aceras", "Pterocactus megliolii", "Pterocactus reticulatus", "Marcgraviastrum pendulum", "Pterocactus tuberosus", "Pterocactus valentinii", "Marcgraviastrum subsessile", "Quiabentia verticillata", "Quiabentia zehntneri", "Alburnoides diclensis", "Geostiba tergestina", "Geostiba italica", "Geostiba amplicollis", "Geostiba menozzii", "Geostiba gardinii", "Geostiba ligurica", "Geostiba ligurica poggiana", "Geostiba ligurica bordonii", "Geostiba poggii", "Geostiba sardoa", "Geostiba brigantii", "Atheta certa", "Atheta compressicornis", "Atheta firma", "Atheta humilis", "Atheta imbrium", "Atheta licta", "Atheta pluvialis", "Atheta reminiscens", "Liogluta sagulata", "Atheta spermatecalis", "Blattodean ambidensovirus 1", "Blattodean ambidensovirus 2", "Dipteran ambidensovirus 1", "Hemipteran ambidensovirus 1", "Lepidopteran ambidensovirus 1", "Orthopteran ambidensovirus 1", "Dipteran brevidensovirus 1", "Dipteran brevidensovirus 2", "Decapod hepandensovirus 1", "Lepidopteran iteradensovirus 1", "Lepidopteran iteradensovirus 2", "Lepidopteran iteradensovirus 3", "Lepidopteran iteradensovirus 4", "Lepidopteran iteradensovirus 5", "Decapod penstyldensovirus 1", "Carnivore amdoparvovirus 1", "Carnivore amdoparvovirus 2", "Galliform aveparvovirus 1", "Ungulate bocaparvovirus 1", "Carnivore bocaparvovirus 1", "Carnivore bocaparvovirus 2", "Carnivore bocaparvovirus 3", "Pinniped bocaparvovirus 1", "Pinniped bocaparvovirus 2", "Primate bocaparvovirus 1", "Ungulate bocaparvovirus 2", "Ungulate bocaparvovirus 3", "Primate bocaparvovirus 2", "Ungulate bocaparvovirus 4", "Ungulate bocaparvovirus 5", "Ungulate copiparvovirus 1", "Ungulate copiparvovirus 2", "Adeno-associated dependoparvovirus A", "Adeno-associated dependoparvovirus B", "Anseriform dependoparvovirus 1", "Avian dependoparvovirus 1", "Chiropteran dependoparvovirus 1", "Pinniped dependoparvovirus 1", "Squamate dependoparvovirus 1", "Primate erythroparvovirus 1", "Primate erythroparvovirus 2", "Primate erythroparvovirus 3", "Primate erythroparvovirus 4", "Rodent erythroparvovirus 1", "Ungulate erythroparvovirus 1", "Polycnemum fontanesii", "Carnivore protoparvovirus 1", "Primate protoparvovirus 1", "Rodent protoparvovirus 1", "Rodent protoparvovirus 2", "Ungulate protoparvovirus 1", "Canine parvovirus type 2", "Feline panleukopenia virus", "Porcine parvovirus", "Chiropteran tetraparvovirus 1", "Primate tetraparvovirus 1", "Ungulate tetraparvovirus 1", "Ungulate tetraparvovirus 2", "Ungulate tetraparvovirus 3", "Ungulate tetraparvovirus 4", "Polycnemum heuffelii", "Polycnemum verrucosum", "Crypthonia biseptata", "Polycnemum perenne", "Teliphasa spinosa", "Teliphasa similalbifusa", "Teliphasa erythrina", "Teliphasa hamata", "Teliphasa nubilosa", "Teliphasa albifusa", "Teliphasa elegans", "Teliphasa amica", "Teliphasa sakishimensis", "Stirtonia byssoidea", "Acroglochin persicarioides", "Euphaedra cuprea cuprea", "Euphaedra cuprea irangi", "Euphaedra cuprea smaragdula", "Stirtonia coei", "Stirtonia latispora", "Beta vulgaris subsp. vulgaris", "Echeveria subalpina", "Echeveria ser.", "Leucocraspedum afrorum", "Leptusa martensi", "Leptusa lophophororum", "Adinopsis nepalensis", "Aloconota aenigmatica aenigmatica", "Aloconota aenigmatica egestatis", "Acrotona ghumensis", "Atheta luzonensis", "Acrotona persecuta", "Atheta ghumiana", "Heracleum sphondylium subsp. suaveolens", "Heracleum sphondylium subsp. trifoliolatum", "Beta sect.", "Beta sect.", "Echeveria rosea", "Echeveria ser.", "Apanteles crassicornis bracovirus", "Apanteles fumiferanae bracovirus", "Ascogaster argentifrons bracovirus", "Ascogaster quadridentata bracovirus", "Cardiochiles nigriceps bracovirus", "Chelonus altitudinis bracovirus", "Chelonus blackburni bracovirus", "Chelonus inanitus bracovirus", "Chelonus insularis bracovirus", "Chelonus near curvimaculatus bracovirus", "Chelonus texanus bracovirus", "Cotesia congregata bracovirus", "Cotesia flavipes bracovirus", "Cotesia glomerata bracovirus", "Cotesia hyphantriae bracovirus", "Cotesia kariyai bracovirus", "Cotesia marginiventris bracovirus", "Cotesia melanoscela bracovirus", "Cotesia rubecula bracovirus", "Cotesia schaeferi bracovirus", "Diolcogaster facetosa bracovirus", "Glyptapanteles flavicoxis bracovirus", "Glyptapanteles indiensis bracovirus", "Glyptapanteles liparidis bracovirus", "Hypomicrogaster canadensis bracovirus", "Hypomicrogaster ectdytolophae bracovirus", "Microplitis croceipes bracovirus", "Microplitis demolitor bracovirus", "Phanerotoma flavitestacea bracovirus", "Pholetesor ornigis bracovirus", "Protapanteles paleacritae bracovirus", "Tranosema rostrale bracovirus", "Human picobirnavirus", "Rabbit picobirnavirus", "Cyclamen rhodium subsp. vividum", "Acholeplasma virus L2", "Cyclamen repandum var. repandum", "Beta vulgaris subsp. adanensis", "Clowesia amazonica", "Clowesia russelliana", "Clowesia thylaciochila", "Clowesia dodsoniana", "Clowesia glaucoglossa", "Cyclamen repandum var. baborense", "Mastax brittoni", "Squash vein yellowing virus", "Sweet potato mild mottle virus", "Tomato mild mottle virus", "Ugandan cassava brown streak virus", "Narcissus latent virus", "Alpinia mosaic virus", "Cardamom mosaic virus", "Chinese yam necrotic mosaic virus", "Maclura mosaic virus", "Ranunculus latent virus", "Sugarcane streak mosaic virus", "Triticum mosaic virus", "Agropyron mosaic virus", "Hordeum mosaic virus", "Ryegrass mosaic virus", "Brome streak mosaic virus", "Oat necrotic mottle virus", "Tall oatgrass mosaic virus", "Wheat eqlid mosaic virus", "Wheat streak mosaic virus", "Yellow oat grass mosaic virus", "Potato virus Y", "Echeveria ser.", "Echeveria laui", "Echeveria runyonii", "Echeveria ser.", "Echeveria ser.", "Echeveria ser.", "Echeveria ser.", "Pristionchus borbonicus", "Bienertia sinuspersici", "Atheta cameroni", "Atheta khnzoriani", "Atheta promunturii", "Atheta pahangorum", "Algerian watermelon mosaic virus", "Atheta shuteae", "Tagoropsis flavinata flavinata", "Tagoropsis flavinata septentrionalis", "Acanthocystis turfacea chlorella virus 1", "Hydra viridis Chlorella virus 1", "Paramecium bursaria Chlorella virus 1", "Paramecium bursaria Chlorella virus A1", "Paramecium bursaria Chlorella virus AL1A", "Stirtonia ibirapuitensis", "Paramecium bursaria Chlorella virus AL2A", "Paramecium bursaria Chlorella virus BJ2C", "Paramecium bursaria Chlorella virus CA4A", "Paramecium bursaria Chlorella virus CA4B", "Paramecium bursaria Chlorella virus IL3A", "Paramecium bursaria Chlorella virus NC1A", "Paramecium bursaria Chlorella virus NE8A", "Paramecium bursaria Chlorella virus NY2A", "Paramecium bursaria Chlorella virus NYs1", "Paramecium bursaria Chlorella virus SC1A", "Paramecium bursaria Chlorella virus XY6E", "Paramecium bursaria Chlorella virus XZ3A", "Paramecium bursaria Chlorella virus XZ4A", "Paramecium bursaria Chlorella virus XZ4C", "Cyclamen rhodium subsp. rhodium", "Emiliania huxleyi virus 86", "Ectocarpus fasciculatus virus a", "Ectocarpus siliculosus virus 1", "Ectocarpus siliculosus virus a", "Feldmannia irregularis virus a", "Feldmannia species virus", "Feldmannia species virus a", "Hincksia hinckiae virus a", "Myriotrichia clavaeformis virus a", "Pilayella littoralis virus 1", "Micromonas pusilla virus SP1", "Ostreococcus tauri virus OtV5", "Chrysochromulina brevifilum virus PW1", "Heterosigma akashiwo virus 01", "Cyclamen rhodium subsp. peloponnesiacum", "Marcgraviastrum cuneifolium", "Echeveria ser.", "Carnation vein mottle virus", "Carrot thin leaf virus", "Celery mosaic virus", "Chilli veinal mottle virus", "Clover yellow vein virus", "Commelina mosaic virus", "Gloriosa stripe mosaic virus", "Groundnut eyespot virus", "Guinea grass mosaic virus", "Johnsongrass mosaic virus", "Lettuce mosaic virus", "Maize dwarf mosaic virus", "Malva vein clearing virus", "Narcissus degeneration virus", "Narcissus late season yellows virus", "Narcissus yellow stripe virus", "Papaya ringspot virus", "Passion fruit woodiness virus", "Pea seed-borne mosaic virus", "Peanut mottle virus", "Pepper mottle virus", "Plum pox virus", "Potato virus A", "Potato virus V", "Sorghum mosaic virus", "Soybean mosaic virus", "Sugarcane mosaic virus", "Sweet potato feathery mottle virus", "Sweet potato latent virus", "Tobacco etch virus", "Tobacco vein mottling virus", "Tulip breaking virus", "Tulip mosaic virus", "Turnip mosaic virus", "Watermelon mosaic virus", "Wild potato mosaic virus", "Zucchini yellow mosaic virus", "Squirrelpox virus", "Diachasmimorpha entomopoxvirus", "Melanoplus sanguinipes entomopoxvirus", "Graptopetalum ser.", "Bulbophyllum alabastraceus", "Mule deerpox virus", "Nile crocodilepox virus", "Graptopetalum ser.", "Stirtonia viridis", "Bulbophyllum alatum", "Graptopetalum ser.", "Graptopetalum ser.", "Molluscum contagiosum virus", "Bulbophyllum albibracteum", "Bulbophyllum albidostylidium", "Swinepox virus", "Graptopetalum bellum", "Yaba monkey tumor virus", "Tanapox virus", "Bulbophyllum albociliatum var. weiminianum", "Bulbophyllum albociliatum var. shanlinshiense", "Bulbophyllum albociliatum", "Marcgraviastrum apaporense", "Graptopetalum bernalense", "Graptopetalum macdougallii", "Graptopetalum pentandrum", "Graptopetalum superbum", "Graptopetalum mendozae", "Dudleya subg.", "Dudleya subg.", "Dudleya subg.", "Alstroemeria mosaic virus", "Alternanthera mild mosaic virus", "Amaranthus leaf mottle virus", "Amazon lily mosaic virus", "Atheta abdita", "Angelica virus Y", "Apium virus Y", "Araujia mosaic virus", "Atheta hammondi", "Arracacha mottle virus", "Artichoke latent virus", "Asparagus virus 1", "Banana bract mosaic virus", "Atheta hewittiella", "Basella rugose mosaic virus", "Bean common mosaic necrosis virus", "Bean common mosaic virus", "Bean yellow mosaic virus", "Beet mosaic virus", "Bidens mosaic virus", "Papilio zagreus ascolius", "Bidens mottle virus", "Blue squill virus A", "Brugmansia mosaic virus", "Brugmansia suaveolens mottle virus", "Atheta rhododendricola", "Butterfly flower mosaic virus", "Papilio zagreus bachus", "Bienertia kavirense", "Atheta disparilior", "Papilio zagreus batesi", "Atheta riparum", "Stethusa nagaorum", "Papilio zagreus chrysomelus", "Atheta ogivifera", "Papilio zagreus daguanus", "Atheta attaicola", "Atheta californiana", "Atheta silvestrii", "Papilio zagreus chrysoxanthus", "Chtamalota coiffaitiana", "Bellatheta martensiana", "Papilio zagreus rosenbergi", "Encephalus everestensis", "Papilio zagreus zalates", "Stirtonia psoromica", "Echeveria atropurpurea", "Echeveria bifida", "Echeveria coccinea", "Cyrtopodion persepolense", "Echeveria diffractens", "Echeveria halbingeri", "Stirtonia punctiformis", "Echeveria heterosepala", "Graptopetalum subg.", "Graptopetalum subg.", "Graptopetalum sect.", "Graptopetalum sect.", "Graptopetalum ser.", "Graptopetalum ser.", "Marcgraviastrum delpinianum", "Graptopetalum ser.", "Stirtonia nitida", "Aeonium arboreum subsp. arboreum", "Stirtonia nivea", "Cleora tarasovi", "Cleora insignita", "Cleora littoralis", "Aeonium arboreum var. rubrolineatum", "Cleora concentraria concentraria", "Cleora concentraria albescens", "Cleora onycha onycha", "Cleora onycha siniaevi", "Aeonium sect.", "Canarypox virus", "Fowlpox virus", "Juncopox virus", "Mynahpox virus", "Pigeonpox virus", "Psittacinepox virus", "Quailpox virus", "Sparrowpox virus", "Starlingpox virus", "Turkeypox virus", "Goatpox virus", "Lumpy skin disease virus", "Sheeppox virus", "Hare fibroma virus", "Myxoma virus", "Thompsonella sect.", "Thompsonella sect.", "Thompsonella sect.", "Monanthes sect.", "Monanthes sect.", "Canna yellow streak virus", "Chinese artichoke mosaic virus", "Cowpea aphid-borne mosaic virus", "Diuris virus Y", "Hippeastrum mosaic virus", "Kalanchoe mosaic virus", "Lycoris mild mottle virus", "Ornithogalum mosaic virus", "Passiflora chlorosis virus", "Pepper veinal mottle virus", "Scallion mosaic virus", "Sunflower chlorotic mottle virus", "Sweet potato virus C", "Yambean mosaic virus", "Datura shoestring virus", "Hibbertia virus Y", "Lupinus mosaic virus", "Pepper severe mosaic virus", "Pokeweed mosaic virus", "Sarcochilus virus Y", "Tobacco vein banding mosaic virus", "Watermelon leaf mottle virus", "Yam mosaic virus", "Tuberose mild mottle virus", "Carrot virus Y", "Clitoria virus Y", "Cowpea green vein banding virus", "East Asian Passiflora virus", "Lily mottle virus", "Moroccan watermelon mosaic virus", "Nerine yellow stripe virus", "Nothoscordum mosaic virus", "Papaya leaf distortion mosaic virus", "Pepper yellow mosaic virus", "Sweet potato virus 2", "Tropaeolum mosaic virus", "Twisted-stalk chlorotic streak virus", "Wild tomato mosaic virus", "Campoletis aprilis ichnovirus", "Campoletis flavicincta ichnovirus", "Campoletis sonorensis ichnovirus", "Casinaria arjuna ichnovirus", "Casinaria forcipata ichnovirus", "Casinaria infesta ichnovirus", "Diadegma acronyctae ichnovirus", "Diadegma interruptum ichnovirus", "Diadegma terebrans ichnovirus", "Enytus montanus ichnovirus", "Eriborus terebrans ichnovirus", "Glypta fumiferanae ichnovirus", "Hyposoter annulipes ichnovirus", "Hyposoter exiguae ichnovirus", "Hyposoter fugitivus ichnovirus", "Hyposoter lymantriae ichnovirus", "Hyposoter pilosulus ichnovirus", "Hyposoter rivalis ichnovirus", "Olesicampe benefactor ichnovirus", "Olesicampe geniculatae ichnovirus", "Synetaeris tenuifemur ichnovirus", "African green monkey polyomavirus", "Echeveria ser.", "Baboon polyomavirus 2", "Human polyomavirus 1", "Aves polyomavirus 1", "Mesocricetus auratus polyomavirus 1", "Human polyomavirus", "Human polyomavirus 2", "Mus musculus polyomavirus 2", "Mus musculus polyomavirus 1", "Rabbit kidney vacuolating virus", "Simian virus 12", "Macaca mulatta polyomavirus 1", "Rose yellow mosaic virus", "Spartina mottle virus", "Aegus rhomboidodon", "Blackberry virus Y", "Barley mild mosaic virus", "Barley yellow mosaic virus", "Oat mosaic virus", "Rice necrosis mosaic virus", "Wheat spindle streak mosaic virus", "Wheat yellow mosaic virus", "Cassava brown streak virus", "Cucumber vein yellowing virus", "Marcgraviastrum elegans", "Eschatogonia granulosorediata", "Aeonium ser.", "Aeonium sect.", "Aeonium ser.", "Aeonium ser.", "Eriocheir sinensis reovirus", "Rabbit fibroma virus", "Squirrel fibroma virus", "Camelpox virus", "Cowpox virus", "Ectromelia virus", "Monkeypox virus", "Skunkpox virus", "Raccoonpox virus", "Taterapox virus", "Vaccinia virus", "Variola virus", "Volepox virus", "Bovine papular stomatitis virus", "Orf virus", "Parapoxvirus of red deer in", "Pseudocowpox virus", "Anomala cuprea entomopoxvirus", "Aphodius tasmaniae entomopoxvirus", "Demodema bonariensis entomopoxvirus", "Dermolepida albohirtum entomopoxvirus", "Figulus sublaevis entomopoxvirus", "Geotrupes sylvaticus entomopoxvirus", "Melolontha melolontha entomopoxvirus", "Acrobasis zelleri entomopoxvirus", "Adoxophyes honmai entomopoxvirus", "Amsacta moorei entomopoxvirus", "Arphia conspersa entomopoxvirus", "Choristoneura biennis entomopoxvirus", "Choristoneura conflicta entomopoxvirus", "Choristoneura diversuma entomopoxvirus", "Choristoneura fumiferana entomopoxvirus", "Choristoneura rosaceana entomopoxvirus", "Chorizagrotis auxiliaris entomopoxvirus", "Heliothis armigera entomopoxvirus", "Locusta migratoria entomopoxvirus", "Mythimna separata entomopoxvirus", "Oedaleus senegalensis entomopoxvirus", "Operophtera brumata entomopoxvirus", "Schistocerca gregaria entomopoxvirus", "Aedes aegypti entomopoxvirus", "Camptochironomus tentans entomopoxvirus", "Chironomus attenuatus entomopoxvirus", "Chironomus luridus entomopoxvirus", "Goeldichironomus holoprasinus entomopoxvirus", "Chironomus plumosus entomopoxvirus", "Suaeda iranshahrii", "Phaseolus vulgaris Tpv2-6 virus", "Suaeda iranshahrii var. arabica", "Heracleum sphondylium subsp. embergeri", "Alphaea hongfena", "Zea mosaic virus", "Japanese yam mosaic virus", "Meadow saffron breaking virus", "Panax virus Y", "Sweet potato mild speckling virus", "Thunberg fritillary mosaic virus", "Tradescantia mild mosaic virus", "Zantedeschia mild mosaic virus", "Helenium virus Y", "Iris severe mosaic virus", "Leek yellow stripe virus", "Henbane mosaic virus", "Konjac mosaic virus", "Ornithogalum virus 2", "Pleione virus Y", "Ranunculus mild mosaic virus", "Sweet potato virus G", "Telfairia mosaic virus", "Verbena virus Y", "Wisteria vein mosaic virus", "Yam mild mosaic virus", "Zucchini tigre mosaic virus", "Zucchini yellow fleck virus", "Fritillary virus Y", "Iris mild mosaic virus", "Parsnip mosaic virus", "Tuberose mild mosaic virus", "Vallota mosaic virus", "Colombian datura virus", "Cyrtanthus elatus virus A", "Endive necrotic mosaic virus", "Pennisetum mosaic virus", "Peru tomato mosaic virus", "Telosma mosaic virus", "Tomato necrotic stunt virus", "Chilli ringspot virus", "Spiranthes mosaic virus 3", "Ceratobium mosaic virus", "Cocksfoot streak virus", "Cypripedium virus Y", "Keunjorong mosaic virus", "Sunflower mosaic virus", "Calla lily latent virus", "Hardenbergia mosaic virus", "Iris fulva mosaic virus", "Ornithogalum virus 3", "Pfaffia mosaic virus", "Ranunculus leaf distortion virus", "Shallot yellow stripe virus", "Rhopalanthe virus Y", "Ranunculus mosaic virus", "Onion yellow dwarf virus", "Calanthe mild mosaic virus", "Daphne mosaic virus", "Dasheen mosaic virus", "Euphorbia ringspot virus", "Freesia mosaic virus", "Habenaria mosaic virus", "Hyacinth mosaic virus", "Trigonopterus allaetus", "Trigonopterus albidosparsus", "Trigonopterus aequalis", "Trigonopterus athertonensis", "Trigonopterus australinasutus", "Heracleum sphondylium subsp. transsilvanicum", "Triphosa dubitata", "Triphosa dubitata dubitata", "Oxypoda magnicornis", "Oxypoda campestris", "Pelioptera uncinata", "Placusa martensi", "Pseudoplandria martensi", "Trichoglossina elegans", "Trichoglossina martensi", "Tropimenelytron carinipenne", "Tropimenelytron elegans", "Aleochara andina", "Heracleum sphondylium subsp. pyrenaicum", "Aeonium sect.", "Andinostiba intermedia", "Apimela chilensis", "Atheta magellanica", "Atheta facilis", "Atheta araucana", "Atheta lampros", "Atheta pseudoimbellis", "Atheta convivialis", "Aeonium ser.", "Atheta obscura", "Atheta obscura obscura", "Atheta obscura riosimpsoniensis", "Dolerocypris sisaketensis", "Semagystia tarbagataica", "Dyspessa saissanica", "Trigonopterus australis", "Trigonopterus bisignatus", "Trigonopterus bisinuatus", "Trigonopterus boolbunensis", "Trigonopterus cooktownensis", "Trigonopterus daintreensis", "Trigonopterus deplanatus", "Trigonopterus evanidus", "Trigonopterus finniganensis", "Trigonopterus fraterculus", "Trigonopterus garradungensis", "Trigonopterus hartleyensis", "Trigonopterus hasenpuschi", "Trigonopterus kurandensis", "Trigonopterus laetus", "Trigonopterus lewisensis", "Trigonopterus montanus", "Trigonopterus monteithi", "Trigonopterus mossmanensis", "Trigonopterus oberprieleri", "Trigonopterus robertsi", "Trigonopterus rostralis", "Trigonopterus sculptirostris", "Trigonopterus squamosus", "Trigonopterus striatipennis", "Trigonopterus terraereginae", "Trigonopterus yorkensis", "Papilio multicaudatus multicaudatus", "Papilio multicaudatus grandiosus", "Papilio multicaudatus pusillus", "Aeonium sect.", "Gyrophaena limbuorum", "Gyrophaena cameroniana", "Isolepis prolifera", "Hygropetrophila coiffaiti", "Leptusa ilamensis", "Leptusa indica yakorum", "Myllaena cameroniella", "Notothecta nepalensis", "Oligota kandyi", "Oligota kandyi kandyi", "Oligota kandyi nepalensis", "Stirtonia microspora", "Aeonium lancerottense", "Papilio glaucus glaucus", "Papilio glaucus alexiares", "Aeonium arboreum subsp. korneliuslemsii", "Papilio glaucus garcia", "Aedes aegypti Mosqcopia virus", "Candida albicans Tca2 virus", "Candida albicans Tca5 virus", "Drosophila melanogaster 1731 virus", "Drosophila melanogaster copia virus", "Saccharomyces cerevisiae Ty5 virus", "Volvox carteri Lueckenbuesser virus", "Volvox carteri Osser virus", "Arabidopsis thaliana Art1 virus", "Arabidopsis thaliana AtRE1 virus", "Arabidopsis thaliana evelknievel virus", "Arabidopsis thaliana Ta1 virus", "Brassica oleracea Melmoth virus", "Cajanus cajan Panzee virus", "Glycine max Tgmr virus", "Hordeum vulgare BARE-1 virus", "Nicotiana tabacum Tnt1 virus", "Nicotiana tabacum Tto1 virus", "Oryza australiensis RIRE1 virus", "Oryza longistaminata Retrofit virus", "Physarum polycephalum Tp1 virus", "Saccharomyces cerevisiae Ty1 virus", "Saccharomyces cerevisiae Ty2 virus", "Saccharomyces cerevisiae Ty4 virus", "Solanum tuberosum Tst1 virus", "Triticum aestivum WIS2 virus", "Zea mays Hopscotch virus", "Zea mays Sto4 virus", "Arabidopsis thaliana Endovir virus", "Glycine max SIRE1 virus", "Lycopersicon esculentum ToRTL1 virus", "Zea mays Opie2 virus", "Zea mays Prem2 virus", "Micromonas pusilla reovirus", "African horse sickness virus", "Bluetongue virus", "Changuinola virus", "Chenuda virus", "Chobar Gorge virus", "Corriparta virus", "Epizootic hemorrhagic disease virus", "Equine encephalosis virus", "Eubenangee virus", "Great Island virus", "Ieri virus", "Lebombo virus", "Orungo virus", "Palyam virus", "Peruvian horse sickness virus", "St Croix River virus", "Umatilla virus", "Wad Medani virus", "Wallal virus", "Warrego virus", "Wongorr virus", "Yunnan orbivirus", "Acado virus", "Abadina virus", "Rice dwarf virus", "Rice gall dwarf virus", "Wound tumor virus", "Rotavirus A", "Rotavirus B", "Rotavirus C", "Rotavirus D", "Rotavirus E", "Rotavirus F", "Rotavirus G", "Rotavirus H", "Blepharhymenus angularis", "Blepharhymenus antiquus", "Blepharhymenus franzi", "Blepharhymenus granulicauda", "Blepharhymenus luteicornis", "Blepharhymenus magellanicus", "Blepharhymenus meridionalis", "Blepharhymenus osornensis", "Blepharhymenus puyehuensis", "Marcgraviastrum gigantophyllum", "Dasymera santiagoana", "Diestota modesta", "Gastrorhopalus aisen", "Hydrosmecta sudamericana", "Leiodota chilensis", "Myllaena araucaniensis", "Banna virus", "Kadipiro virus", "Liao ning virus", "Aeonium sect.", "Leiotulus aureus", "Ophioglossa andina", "Ophioglossa franzi", "Oxypoda piceorufa", "Pagla longicornis", "Pagla zerchei", "Aeonium sect.", "Phloeopora franzi", "Phloeopora funebris", "Phloeopora longicollis", "Marcgraviastrum macrocarpum", "Malabaila graveolens", "Plesiomalota lucida", "Plesiomalota mehuinensis", "Plesiomalota andicola", "Plesiomalota chilensis", "Polylobus andicola", "Polylobus baerti", "Polylobus linarensis", "Polylobus longipalpus", "Aeonium sect.", "Polylobus varius", "Polylobus varius varius", "Polylobus varius sophista", "Silusa chilensis", "Spanioda andicola", "Spanioda guanicoeorum", "Spanioda pacifica", "Spanioda splendens", "Tricolpochila araucana", "Tricolpochila chilensis", "Tricolpochila cochleifera", "Aeonium sect.", "Xenomma simpsoniensis", "Xenomma subandina", "Neotropospeonella decui", "Leptusa kosmajensis", "Gassicurtia caririensis", "Gassicurtia rubromarginata", "Aquareovirus A", "Aquareovirus B", "Aquareovirus C", "Aquareovirus D", "Aquareovirus E", "Aquareovirus F", "Aquareovirus G", "Colorado tick fever virus", "Eyach virus", "Cypovirus 1", "Cypovirus 2", "Cypovirus 3", "Cypovirus 4", "Cypovirus 5", "Cypovirus 6", "Cypovirus 7", "Cypovirus 8", "Cypovirus 9", "Cypovirus 10", "Cypovirus 11", "Cypovirus 12", "Cypovirus 13", "Cypovirus 14", "Cypovirus 15", "Cypovirus 16", "Aedes pseudoscutellaris reovirus", "Fiji disease virus", "Garlic dwarf virus", "Maize rough dwarf virus", "Mal de Rio Cuarto virus", "Nilaparvata lugens reovirus", "Oat sterile dwarf virus", "Pangola stunt virus", "Rice black streaked dwarf virus", "Idnoreovirus 1", "Idnoreovirus 2", "Idnoreovirus 3", "Idnoreovirus 4", "Idnoreovirus 5", "Mycoreovirus 1", "Mycoreovirus 2", "Mycoreovirus 3", "Malabaila involucrata", "Avian orthoreovirus", "Baboon orthoreovirus", "Mammalian orthoreovirus", "Nelson Bay orthoreovirus", "Reptilian orthoreovirus", "Malabaila lasiocarpa", "Rice ragged stunt virus", "Echinochloa ragged stunt virus", "Malabaila marashica", "Malabaila pastinacifolia", "Malabaila secacul", "Bovine foamy virus", "Equine foamy virus", "Feline foamy virus", "Malabaila secacul subsp. aucheri", "Malabaila secacul subsp. secacul", "Malabaila suaveolens", "Leiotulus alexandrinus", "Malabaila sulcata", "Leiotulus dasyanthus", "Pastinaca clausii", "Equine infectious anemia virus", "Bovine immunodeficiency virus", "Malabaila nydeggeri", "Feline immunodeficiency virus", "Puma lentivirus", "Simian immunodeficiency virus", "Visna-maedi virus", "Avian carcinoma Mill Hill virus 2", "Avian leukosis virus", "Avian myeloblastosis virus", "Avian myelocytomatosis virus 29", "Avian sarcoma virus CT10", "Fujinami sarcoma virus", "Rous sarcoma virus", "UR2 sarcoma virus", "Y73 sarcoma virus", "Aeonium appendiculatum", "Jaagsiekte sheep retrovirus", "Langur virus", "Mason-Pfizer monkey virus", "Mouse mammary tumor virus", "Squirrel monkey retrovirus", "Heracleum pastinacifolium subsp. incanum", "Bovine leukemia virus", "Primate T-lymphotropic virus 1", "Beet black scorch virus", "Leek white stripe virus", "Tobacco necrosis virus D", "Ahlum waterborne virus", "Angelonia flower break virus", "Bean mild mosaic virus", "Calibrachoa mottle virus", "Cardamine chlorotic fleck virus", "Carnation mottle virus", "Cowpea mottle virus", "Cucumber soil-borne virus", "Hibiscus chlorotic ringspot virus", "Honeysuckle ringspot virus", "Japanese iris necrotic ring virus", "Melon necrotic spot virus", "Nootka lupine vein clearing virus", "Pea stem necrosis virus", "Pelargonium flower break virus", "Saguaro cactus virus", "Soybean yellow mottle mosaic virus", "Turnip crinkle virus", "Weddel waterborne virus", "Carnation ringspot virus", "Red clover necrotic mosaic virus", "Sweet clover necrotic mosaic virus", "Cafeteria roenbergensis virus", "Pampus chinensis", "Cytheropteron nudum", "Caloderella quemquemtrenensis", "Primate T-lymphotropic virus 2", "Primate T-lymphotropic virus 3", "Heracleum pastinacifolium subsp. pastinacifolium", "Habrocerus rougemonti", "Walleye dermal sarcoma virus", "Walleye epidermal hyperplasia virus 1", "Walleye epidermal hyperplasia virus 2", "Corallis polyporum", "Bryothinusa celebensis", "Xenotropic murine leukemia virus-related virus", "Bryothinusa peyerimhoffi", "Chick syncytial virus", "Feline leukemia virus", "Finkel-Biskis-Jinkins murine sarcoma virus", "Gardner-Arnstein feline sarcoma virus", "Gibbon ape leukemia virus", "Guinea pig type-C oncovirus", "Hardy-Zuckerman feline sarcoma virus", "Harvey murine sarcoma virus", "Kirsten murine sarcoma virus", "Bryothinusa cameroni", "Moloney murine sarcoma virus", "Murine leukemia virus", "Porcine type-C oncovirus", "Reticuloendotheliosis virus", "Snyder-Theilen feline sarcoma virus", "Trager duck spleen necrosis virus", "Viper retrovirus", "Woolly monkey sarcoma virus", "Olgaea leucophylla", "Koala retrovirus", "Acrotona dhumpensis", "Acrotona nepalicola", "Acrotona pseudoparvula", "Atheta recticollis", "Atheta stricta", "Atheta substituta", "Atheta thakholensis", "Atheta vidua", "Aeonium decorum var. alucense", "Alicyclobacillus virus NS11", "Mazosia carnea", "Mosso das Pedras virus", "Mucambo virus", "Ndumu virus", "Onyong-nyong virus", "Pixuna virus", "Rio Negro virus", "Ross River virus", "Marcgraviastrum sodiroi", "Salmon pancreas disease virus", "Semliki Forest virus", "Sindbis virus", "Southern elephant seal virus", "Tonate virus", "Trocara virus", "Una virus", "Venezuelan equine encephalitis virus", "Western equine encephalitis virus", "Whataroa virus", "Marcgraviastrum vogelii", "Mazosia endonigra", "Marcgraviastrum obovatum", "Marcgraviastrum glossostipum", "Marcgraviastrum grandiflorum", "Sedum sect.", "Cyclamen ser.", "Sedum nussbaumerianum", "Olive latent virus 1", "Olive mild mosaic virus", "Tobacco necrosis virus A", "Cucumber leaf spot virus", "Johnsongrass chlorotic stripe mosaic virus", "Maize white line mosaic virus", "Pothos latent virus", "Oat chlorotic stunt virus", "Bacillus virus AP50", "Bacillus virus Bam35", "Pseudomonas virus PRD1", "Thermus virus P37-14", "Aeonium davidbramwellii", "Rubella virus", "Aeonium gomerense", "Chenopodium necrosis virus", "Elderberry latent virus", "Pelargonium chlorotic ring pattern virus", "Pelargonium line pattern virus", "Pelargonium ringspot virus", "Rosa rugosa leaf distortion virus", "Trailing lespedeza virus 1", "Aeonium \u00d7 wildpretii", "Cytheropteron kempfi", "Marcgravia oblongifolia", "Aura virus", "Barmah Forest virus", "Bebaru virus", "Cabassou virus", "Chikungunya virus", "Marcgraviastrum pauciflorum", "Eastern equine encephalitis virus", "Eilat virus", "Everglades virus", "Fort Morgan virus", "Getah virus", "Highlands J virus", "Madariaga virus", "Mayaro virus", "Middelburg virus", "Parallelodemas petilum", "Bulbophyllum alticaule", "Bulbophyllum alticola", "Takydromus sexlineatus", "Sclerocactus polyancistrus", "Takydromus stejnegeri", "Sclerocactus spinosior", "Mammillaria sect.", "Mammillaria ser.", "Willisornis vidua", "Mexican papita viroid-chimera 1", "Apple hammerhead viroid-like circular", "Cherry leaf scorch small circular viroid-like", "Grapevine hammerhead viroid-like", "Grapevine latent viroid", "Rubber viroid", "Silo nigricornis", "Mammillaria ser.", "Plectrocnemia conspersa", "Leptusa nahuelbutana", "Leptusa muscicola", "Tsukiyamaia albimacula", "Galinsoga mosaic virus", "Furcraea necrotic streak virus", "Maize chlorotic mottle virus", "Cocksfoot mild mosaic virus", "Panicum mosaic virus", "Thin paspalum asymptomatic virus", "Tomato bushy stunt virus", "Petunia asteroid mosaic virus", "Artichoke mottled crinkle virus", "Carnation Italian ringspot virus", "Cucumber Bulgarian virus", "Cucumber necrosis virus", "Cymbidium ringspot virus", "Eggplant mottled crinkle virus", "Grapevine Algerian latent virus", "Havel River virus", "Lato River virus", "Limonium flower distortion virus", "Moroccan pepper virus", "Neckar River virus", "Pelargonium leaf curl virus", "Pelargonium necrotic spot virus", "Sitke waterborne virus", "Carrot mottle mimic virus", "Carrot mottle virus", "Bulbophyllum alcicorne", "Groundnut rosette virus", "Lettuce speckles mottle virus", "Pea enation mosaic virus 2", "Tobacco bushy top virus", "Tobacco mottle virus", "Bulbophyllum alexandrae", "Maize necrotic streak virus", "Giardia lamblia virus", "Cyclidia substigmaria intermedia", "Bulbophyllum algidum", "Scorpaenodes guamensis", "Frailea chiquitana", "Frailea cataphracta", "Frailea cataphracta subsp. cataphracta", "Frailea cataphracta subsp. duchii", "Frailea cataphracta subsp. melitae", "Sammons's Opuntia virus", "Streptocarpus flower break virus", "Tobacco latent virus", "Tobacco mild green mosaic virus", "Tomato mottle mosaic virus", "Tropical soda apple mosaic virus", "Turnip vein-clearing virus", "Ullucus mild mottle virus", "Wasabi mottle virus", "Yellow tailflower mild mottle virus", "Youcai mosaic virus", "Zucchini green mottle mosaic virus", "Suaeda arcuata", "Sclerocactus blainei", "Suaeda altissima", "Sarcopera tepuiensis", "Sarcopera tepuiensis subsp. tepuiensis", "Sarcopera tepuiensis subsp. coccinea", "Conilepia sikkimensis", "Conilepia nebulosa", "Conilepia qinghaiensis", "Parallelodemas dimetans", "Chronic bee paralysis virus", "Apophylon pangu", "Frailea schilinzkyana", "Suaeda asphaltica", "Hemilissa birai", "Suaeda dendroides", "Estoloides flavoscutellaris", "Esthlogena setosa", "Esthlogena crassa", "Suaeda neuquenensis", "Frailea castanea", "Frailea castanea subsp. castanea", "Bulbophyllum alveatum", "Bulbophyllum amauroloma", "Bulbophyllum amazonicum", "Suaeda physophora var. papillosa", "Frailea gracillima", "Frailea gracillima subsp. gracillima", "Mazosia viridescens", "Frailea gracillima subsp. horstii", "Frailea curvispina", "Podospora fimiseda", "Frailea mammifera", "Frailea mammifera subsp. mammifera", "Frailea mammifera subsp. angelesiae", "Frailea phaeodisca", "Frailea pumila", "Sarcopera anomala", "Weingartia purpurea", "Abryna affinis", "Abryna basalis", "Abryna buccinator", "Abryna coenosa", "Abryna copei", "Abryna fausta", "Abryna rubeta", "Abryna grisescens", "Abryna mindanaoensis", "Abryna javanica", "Abryna loochooana", "Abryna obscura", "Abryna regispetri", "Abryna ziczac", "Atheta microsculpturata", "Atheta sulculithorax", "Atheta lurida", "Pelioptera aleocharaesimilis", "Parahydrosmecta quemquemtreuana", "Suaeda paradoxa", "Frailea cataphracta subsp. tuyensis", "Podospora anserina", "Podospora pauciseta", "Suaeda linifolia", "Nyamanini nyavirus", "Sierra Nevada nyavirus", "Soil-borne wheat mosaic virus", "Chinese wheat mosaic virus", "Japanese soil-borne wheat mosaic virus", "Oat golden stripe virus", "Soil-borne cereal mosaic virus", "Sorghum chlorotic spot virus", "Diestota dispersepunctata", "Diestota patagonica", "Plesiomalota chubutensis", "Drepanopora elegans", "Gnypeta chubutana", "Barley stripe mosaic virus", "Anthoxanthum latent blanching virus", "Lychnis ringspot virus", "Poa semilatent virus", "Peanut clump virus", "Indian peanut clump virus", "Potato mop-top virus", "Beet soil-borne virus", "Beet virus Q", "Broad bean necrosis virus", "Amischa patagonica", "Tobacco rattle virus", "Pea early-browning virus", "Pepper ringspot virus", "Tobacco mosaic virus", "Cucumber green mottle mosaic virus", "Odontoglossum ringspot virus", "Pepper mild mottle virus", "Sunn-hemp mosaic virus", "Tomato mosaic virus", "Bell pepper mottle virus", "Brugmansia mild mottle virus", "Cactus mild mottle virus", "Clitoria yellow mottle virus", "Cucumber fruit mottle mosaic virus", "Cucumber mottle virus", "Frangipani mosaic virus", "Hibiscus latent Fort Pierce virus", "Hibiscus latent Singapore virus", "Kyuri green mottle mosaic virus", "Maracuja mosaic virus", "Obuda pepper virus", "Paprika mild mottle virus", "Passion fruit mosaic virus", "Rattail cactus necrosis-associated virus", "Rehmannia mosaic virus", "Ribgrass mosaic virus", "Leishmania RNA virus 1", "Leishmania RNA virus 2", "Bulbophyllum alkmaarense", "Saccharomyces cerevisiae virus L-A", "Saccharomyces cerevisiae virus LBCLa", "Scheffersomyces segobiensis virus L", "Tuber aestivum virus 1", "Ustilago maydis virus H1", "Xanthophyllomyces dendrorhous virus L1A", "Xanthophyllomyces dendrorhous virus L1B", "Trichomonas vaginalis virus 1", "Trichomonas vaginalis virus 2", "Trichomonas vaginalis virus 3", "Trichomonas vaginalis virus 4", "Bulbophyllum alleizettei", "Helminthosporium victoriae virus 190S", "Cyclidia recrtificata rectificata", "Bulbophyllum allenkerrii", "Aspergillus foetidus slow virus 1", "Beauveria bassiana victorivirus 1", "Chalara elegans", "Coniothyrium minitans RNA virus", "Epichloe festucae virus 1", "Gremmeniella abietina RNA virus L1", "Helicobasidium mompa totivirus 1-17", "Magnaporthe oryzae virus 1", "Magnaporthe oryzae virus 2", "Rosellinia necatrix victorivirus 1", "Sphaeropsis sapinea RNA virus 1", "Sphaeropsis sapinea RNA virus 2", "Tolypocladium cylindrosporum virus 1", "Bulbophyllum alliifolium", "Cyclidia fractifasciata fractifasciata", "Bulbophyllum allotrion", "Cyclidia fractifasciata indistincta", "Cyclidia orciferaria", "Protogrammus alboranensis", "Mimozethes lilacinaria", "Heracleum candolleanum", "Brachysarthron antennatum", "Brachysarthron antennatum antennatum", "Brachysarthron antennatum bicoloripes", "Brachysarthron inerme", "Mammillaria crinita", "Mammillaria ser.", "Glossosoma boltoni", "Satellites and other virus-dependent nucleic acids", "Psychomyia pusilla", "Euops prismae", "Atheta tristicollis", "Atheta hoyoana", "Atheta obscuripennis", "Sarcopera rosulata", "Atheta graciliparva", "Atheta pervilis", "Sarcopera sessiliflora", "Atheta weiseri", "Atheta weiseri weiseri", "Atheta weiseri norquincoensis", "Sarcopera aurantiaca", "Apophylon schillhammeri", "Enteromius motebensis", "Echinocactus parryi", "Mammillaria duwei", "Mammillaria nana", "Mammillaria painteri", "Sarcopera cordachida", "Mammillaria carmenae", "Halorubrum virus HRPV1", "Halorubrum pleomorphic virus 2", "Halorubrum virus HRPV3", "Halorubrum virus HRPV6", "Halogeometricum virus HGPV1", "Haloarcula virus HHPV1", "Sclerotinia gemycircularvirus 1", "Lamprobityle mindanaoense", "Lamprobityle azureus", "Lamprobityle fasciatus", "Lamprobityle mariae", "Lamprobityle rugulatus", "Lamprobityle conspersa", "Lamprobityle magnifica", "Salpinia quadrimaculata", "Artimpaza philippinica", "Suaeda argentinensis", "Suaeda conferta", "Heracleum sublineare", "Artimpaza brevilineata", "Heracleum bhutanicum", "Suaeda foliosa", "Bulbophyllum ambrosia subsp. nepalensis", "KIs virus", "Bulbophyllum amoenum", "Bulbophyllum amphorimorphum", "Cantellius sextus", "Dioptrochasma ablegata", "Dioptrochasma calderae", "Echinocereus enneacanthus subsp. brevispinus", "Heracleum idae", "Neocalodera arcuata", "Andinostiba eleganticornis", "Sphaenidatoma elegantula", "Polylobus parvus", "Polylobus patagonicus", "Polylobus transversidorsum", "Polylobus turgidicornis", "Polylobus uhligi", "Polylobus contracticornis", "Tricolpochila topaliana", "Tricolpochila topali", "Tricolpochila variisimilis", "Dasymera lateralis", "Oxypoda andigena", "Oxypoda trapeziceps", "Callimetopus anichtchenkoi", "Callimetopus shavrini", "Doliops ageometrica", "Doliops balalaikinsi", "Doliops daugavpilsi", "Doliops huruki", "Papilio alexanor alexanor", "Scopula turlini", "Pingasa griveaudi", "Pingasa griveaudi griveaudi", "Pingasa griveaudi vinosa", "Placusa oblita", "Euvira conifera", "Euvira maculata", "Euvira laeviuscula", "Oxypoda plumbea", "Thecturota antillarum", "Atheta flavoterminata", "Atheta nigripennis", "Bacidia idahoensis", "Rhizocarpon atrovirellum", "Astrophytum caput-medusae", "Cichlocolaptes mazarbarnetti", "Astrophytum coahuilense", "Atheta nigripennis rufa", "Atheta alternata", "Atheta dichroa", "Xylopteryx doto", "Xylopteryx doto doto", "Xylopteryx doto kartala", "Pselnophorus chihuahuaensis", "Pselnophorus kutisi", "Pselnophorus hodgesi", "Pithovirus sibericum", "Pandoravirus salinus", "Pandoravirus dulcis", "Myllaena guadalupensis", "Oligota albidicornis", "Oligota hypocyptina", "Pronomaea debilis", "Gyrophaena guadalupensis", "Diestota laesicollis", "Suaeda fruticosa", "Diestota cliens", "Diestota galapagosensis", "Diestota laxiventris", "Diestota fasciata", "Zosterius tsitsikamma", "Plesiomalota tenella", "Placusa praepes", "Zosterius laetus", "Placusa lateralis", "Placusa trivialis", "Placusa subtilis", "Placusa basiventris", "Iridoclava congolensis", "Suaeda microphylla", "Cyclamen confusum", "Cantellius acutum", "Braueriana karischi", "Braueriana fiorino", "Dioptrochasma aino", "Dioptrochasma mercyi", "Alpinia uhligi", "Amischa uhligi", "Tectusa uhligi", "Atheta innoxia", "Atheta linzbichleri", "Atheta mansueta", "Atheta pseudocontigua", "Atheta subaptera", "Atheta phallosetigera", "Charaxes phenix", "Charaxes phenix phenix", "Charaxes phenix daniellae", "Streptococcus constellatus", "Astyanax lacustris", "Euxanthe eurinome", "Euxanthe eurinome eurinome", "Euxanthe eurinome ansellica", "Euxanthe eurinome birbirica", "Astyanax abramis", "Astyanax orbignyanus", "Astyanax vittatus", "Astyanax borealis", "Barbus caninus", "Barbus plebejus", "Barbus tyberinus", "Doliops kivlenieceae", "Doliops jirouxi", "Doliops serapavginae", "Doliops tamutisi", "Doliops anichtchenkoi", "Doliops bukidnoni", "Doliops cuellari", "Doliops dupaxi", "Doliops edithae", "Doliops elcanoi", "Doliops emmanueli", "Doliops halconensis", "Doliops helleri", "Doliops isabelae", "Doliops taylori", "Doliops animula", "Doliops bakeri", "Doliops basilana", "Doliops bitriangularis", "Doliops confluens", "Doliops costatus", "Doliops duodecimpunctata", "Doliops frosti", "Doliops geometrica", "Doliops geometrica geometrica", "Doliops gertrudis", "Doliops gutowskii", "Doliops imitator", "Doliops ismaeli", "Doliops johnvictori", "Doliops ligata", "Doliops magnifica", "Doliops metallica", "Doliops multifasciata", "Doliops octomaculata", "Doliops pachyrrhynchoides", "Doliops pinedai", "Doliops savenkovi", "Doliops schultzei", "Doliops shavrini", "Doliops siargaoensis", "Doliops similis", "Doliops sklodowskii", "Doliops stradinsi", "Doliops transverselineata", "Doliops urdanetai", "Doliops valainisi", "Doliops villalobosi", "Doliops viridisignata", "Doliops vivesi", "Oidaematophorus espeletiae", "Heterostiba antillarum", "Leptonia guadalupensis", "Leptonia megalomera", "Macrogerodonia trichonota", "Macrogerodonia cursoria", "Hoplandria guadeloupensls", "Acantoxyura armata", "Acantoxyura spinifera", "Feluva guadalupensis", "Heracleum amanum", "Aleochara bilineata", "Paraleptusa akfadouensis", "Heracleum grandiflorum", "Paraleptusa dayensis", "Evenus coronata", "Evenus felix", "Bulbophyllum ambatoavense", "Mycalesis terminus", "Bulbophyllum amblyacron", "Mycalesis terminus terminulus", "Bulbophyllum amblyanthum", "Mollivirus sibericum", "Mycalesis terminus jacobyi", "Bulbophyllum ambrense", "Mycalesis terminus mitchelli", "Bulbophyllum ambrosia", "Bandicoot papillomatosis carcinomatosis virus", "Bandicoot papillomatosis carcinomatosis virus 1", "Bandicoot papillomatosis carcinomatosis virus 2", "Bulbophyllum ambrosia subsp. ambrosia", "Abalone shriveling syndrome-associated virus", "Streptococcus dysgalactiae", "Acholeplasma phage", "Acholeplasma phage", "Acholeplasma phage v1", "Acholeplasma phage v2", "Acholeplasma phage v4", "Acholeplasma phage v5", "Acholeplasma phage v7", "Anarsia acerata", "Anarsia didymopa", "Anarsia patulella", "Anarsia incerta", "Anarsia bipinnata", "Anarsia silvosa", "Anarsia tortuosa", "Aleochara tara", "Aleochara batakorum", "Amaurodera kraepelini", "Amaurodera kraepelini kraepelini", "Amaurodera kraepelini rougemonti", "Atheta baliensis", "Atheta javanensis", "Atheta cameronicola", "Brachida borneensis", "Brachida celebensis", "Brachida lapsa", "Brachida rougemonti", "Peltodonia rougemonti", "Coenonica baliensis", "Coenonica bedugulensis", "Coenonica funebris", "Coenonica javana sita", "Coenonica oblita", "Coenonica rudis", "Echinocereus bonkerae", "Epidorylaimus monhystera", "Onthophagus bolivari", "Heracleum nanum", "Placusa curticornis", "Platyepipedia africana", "Labeobarbus mariae", "GB virus A", "GB virus B", "GB virus C", "Echinopsis haematantha var. elongata", "Hepatitis F virus", "Chiloscyllium punctatum", "Sardinella aurita", "Pseudoplandria borneensis", "Pseudoplandria pluvialis", "Pseudoplandria wuraquorum", "Stenomastax baliensis", "Stenomastax celebensis", "Stenomastax divergens", "Stenomastax sobrinus", "Stenomastax sulawesiensis", "Tachyusopoda baliensis", "Tachyusa cephalotes", "Tachyusa rougemontiana", "Zyras borneorum", "Zyras exspectatus", "Zyras gigas", "Zyras indonesiae", "Zyras shiva", "Makarkinia adamsi", "Makarkinia kerneri", "Ascalabos voithii", "Marcgravia serrae", "Marcgravia atropunctata", "Hemiboea flaccida", "Mastax burgeoni", "Mastax carissima", "Mastax confusa", "Peperomia subg.", "Natatolana insignis", "Peperomia subg.", "Oncocera semirubella", "Depressaria radiella", "Peperomia subg.", "Labeobarbus codringtonii", "Labeobarbus polylepis", "Labeobarbus urotaenia", "Labeobarbus alluaudi", "Labeobarbus microbarbis", "Scytinium tacomae", "Labeobarbus microterolepis", "Labeobarbus beso", "Labeobarbus sandersi", "Labeobarbus johnstonii", "Labeobarbus matris", "Labeobarbus rhinoceros", "Acanthocalycium thionanthum subsp. glaucum", "Atheta luteicollis", "Atheta kifaruensis", "Catarractodes abyssinicus", "Diplopleurus notatipennis", "Diplopleurus puellus", "Neosmectonia kaszabi", "Zyras bilimbatus", "Plesiadda tanzaniensis", "Haplomyrmemonia caelata", "Tyloplatyola orientalis", "Aleochara major", "Aleochara zairensis", "Aleochara bubalorum", "Aleochara elephantium", "Titanopsis calcarea", "Titanopsis hugo-schlechteri", "Titanopsis schwantesii", "Gobius incognitus", "Erythrorchis cassythoides", "Erythrorchis altissima", "Teranodes montanus", "Teranodes otwayensis", "Exaeretia culcitella", "Exaeretia daurella", "Exaeretia fuscicostella", "Exaeretia kozhantshikovi", "Exaeretia ledereri", "Exaeretia lepidella", "Exaeretia lutosella", "Exaeretia montuosella", "Exaeretia nebulosella", "Weingartia tiraquensis", "Exaeretia nigromaculata", "Exaeretia niviferella", "Exaeretia sutschanensis", "Heracleum roseum", "Exaeretia vladimiri", "Calligrapha pavimentata", "Calligrapha zapoteca", "Enteromius neglectus", "Enteromius stigmatopygus", "Hydrosmecta congregata", "Hydrosmecta arthritica", "Pelioptera consors", "Pelioptera abyssinorum", "Geopora perpusilla", "Geopora laeta", "Leptoporodota meruensis", "Atheta dilaticollis", "Atheta szunyoghyi", "Atheta perdifficilis", "Atheta diversior", "Atheta katonai", "Atheta volucer", "Atheta kaszabi", "Atheta elephantis", "Atheta laborifera", "Atheta fulvicollis", "Atheta rudiventroides", "Atheta electa", "Atheta tuberculifera", "Anebolura aberdarensis", "Cordalia depressicollis", "Falagria cordifera", "Falagria paravilis", "Falagria pallida", "Amanota inaequalis", "Amanota densicollis", "Amanota kaszabi", "Heracleum mandenovae", "Gnypeta elephantium", "Longiprimitarsus tanzaniensis", "Longiprimitarsus invisitatus", "Hydrosmecta abyssina", "Weingartia cylindrica", "Achiroides melanorhynchus", "Labeobarbus boulengeri", "Labeobarbus latirostris", "Enteromius anema", "Enteromius arambourgi", "Enteromius kerstenii", "Diestota nigromarginata", "Drusilla adulescens", "Drusilla baliensis", "Drusilla caelata", "Drusilla dimidiata", "Drusilla fossulifera", "Drusilla kinabaluensis", "Drusilla occipitalis", "Drusilla operosa", "Drusilla pervisa", "Drusilla rougemonti", "Eccoptogenia malayiensis", "Eccoptogenia rougemonti", "Eusteniamorpha toragia", "Falagria picticornis", "Gastropaga lombokensis", "Gnypeta apicalis", "Gnypeta decorata", "Gnypeta modesta celebensis", "Gyrophaena misella", "Gyrophaena perparva", "Gyrophaena perpusilla", "Gyrophaena basalis", "Cypha rougemonti", "Linoglossa rougemonti", "Myllaena toragia", "Nehemitropia rougemonti", "Neomalota nana", "Neosilusa imbrium", "Orphnebius alumnus", "Orphnebius derougemonti", "Orphnebius laetus", "Orphnebius nocturnus", "Orphnebius platycephalus", "Orphnebius silvarum", "Pelioptera baliensis", "Pelioptera inutilis", "Placusa furcifera", "Placusa difformis", "Placusa rougemonti", "Placusa teres", "Pseudatheta sumatrensis", "Pseudomeotica debilis", "Pseudomeotica rougemonti", "Xylopteryx lemairei", "Xylopteryx anodina", "Xylopteryx bifida", "Xylopteryx dargei", "Xylopteryx turlini", "Xylopteryx clathrata", "Xylopteryx elongata", "Xylopteryx triphaenata", "Pogostenus tanzaniensis", "Myllaena impigra", "Myllaena apolis", "Autalia frontalis", "Brachida opportuna", "Brachida meruensis", "Gyrophaena kaszabi", "Gyrophaena katonai", "Gyrophaena fluviatilis", "Diestota africana", "Ecsenius pulcher", "Xenimpia crassimedia", "Bulbophyllum amplifolium", "Xenimpia spinosivalvis", "Xenimpia vastata", "Xenimpia karischi", "Xenimpia flexuosa", "Xenimpia hecqi", "Bulbophyllum amplistigmaticum", "Bulbophyllum anaclastum", "Bulbophyllum anakbaruppui", "Bulbophyllum analamazoatrae", "Bulbophyllum anceps", "Bulbophyllum andersonii", "Bulbophyllum andohahelense", "Bulbophyllum andreeae", "Colias nina", "Colias nina nina", "Colias nina tsurpuana", "Colias nina hingstoni", "Rostania quadrifida", "Exaeretia amurella", "Exaeretia boreella", "Aleochara dilatata", "Aleochara punctiventris", "Aleochara vulnerata", "Brachysipalia fordi", "Falagria tottenhami", "Falagria vilis", "Falagria adnexa", "Pelioptera praticola", "Atheta kilimandjarensis", "Marcgravia glandulosomarginata", "Marcgravia roonii", "Atheta imbellis", "Catarractodes brunneipennis", "Atheta kenyamontis", "Atheta tangana", "Atheta haramaiyana", "Aedia leucomelas", "Alomacrotona termitophila", "Drusilla ruwenzorensis", "Apimela subparallela", "Suaeda monodiana", "Suaeda monoica", "Suaeda moschata", "Marcgravia panamensis", "Echinocereus coccineus subsp. transpecosensis", "Marcgravia punctifolia", "Marcgravia maguirei", "Marcgravia patellulifera", "Marcgravia nubicola", "Bowiea volubilis subsp. volubilis", "Bowiea volubilis subsp. gariepensis", "Lobaria anomala", "Neopygostenus seeversi", "Cordalia sulcipennis", "Tachyusa boopina", "Lobaria anthraspis", "Solorina monospora", "Geopora alboguttata", "Geopora ujuiensis", "Atheta oculata", "Atheta distorta", "Alomacrotona grandicollis", "Diplopleurus excavatus", "Schistogenia methneri", "Acrocyusa franzi", "Madranga segnita", "Moema kenwoodi", "Ebertichthys ettlingensis", "Spilonema americanum", "Echinocereus \u00d7 neomexicanus", "Echinocereus longisetus subsp. freudenbergeri", "Echinocereus parkeri", "Echinocereus nivosus", "Echinocereus cinerascens", "Echinocereus cinerascens subsp. cinerascens", "Echinocereus cinerascens subsp. tulensis", "Echinocereus cinerascens subsp. septentrionalis", "Echinocereus cinerascens subsp. ehrenbergii", "Heracleum anisactis", "Aglaogaster fulgenscauda", "Typhlocyptus loebli", "Typhlocyptus besucheti", "Typhlocyptus ceylonensis", "Cypha besuchetiella", "Marcgravia lineolata", "Suaeda nigra var. ramosissima", "Atractides expansipalpis", "Marcgravia schippii", "Atractides caucasicus", "Verrucaria dolomitica", "Orthetrum julia", "Encyrtus sugonjaevi", "Peperomia subg.", "Plesiomalota peruviana", "Plesiomalota uhligiella", "Plesiomalota franziella", "Gladiopycnodus byrnei", "Plesiomalota huascari", "Plesiomalota incaica", "Schistoglossa aymaraorum", "Rhinconichthys uyenoi", "Somocoelia triplehorni", "Rhinconichthys purgatoirensis", "Bioramix splendida", "Bioramix kabaki", "Bioramix igori", "Bioramix hongyuanensis", "Diceroderes cusucoensis", "Diceroderes ocozocoautlaensis", "Diceroderes skelleyi", "Diceroderes subtriplehorni", "Acrocyusa inca", "Atheta peruviana", "Atheta apicilutea", "Atheta sacsahuamanensis", "Atheta cuzcoensis", "Atheta machupicchuensis", "Atheta mochicorum", "Atheta quillabambana", "Cousya peruviana", "Dactyloglossa inca", "Diestota franziana", "Diestota chavin", "Diestota inca", "Eurydiotyphla franzi", "Diacanthochara cotopaxensis", "Diacanthochara franziana", "Heterostiba castanea", "Heterostiba quechua", "Heterostiba tahuantinsuyiensis", "Leptonia athaualpai", "Leptonia comarapensis", "Leptonia franzi", "Leptonia garavitensis", "Leptonia incaria", "Leptonia inkarrii", "Leptonia moenium", "Leptonia nazcaensis", "Leptonia nobilis", "Leptonia tahuantinsuyiensis", "Leptonia tiahuanacorum", "Macrogerodonia cuzcoensis", "Apalonia incaica", "Apalonia machupicchuensis", "Macrogerodonia magnioculata", "Macrogerodonia peruviana", "Macrogerodonia peruviana peruviana", "Macrogerodonia peruviana longicollis", "Apalonia quillabambana", "Apalonia tahuantinsuyiensis", "Orphnebius peruvianus", "Orphnebius tibialis", "Plesiomalota franziana", "Hoplistomerus nobilis", "Suaeda nudiflora", "Euphaedra oremansi", "Euphaedra acutoides", "Euphaedra pervaga", "Suaeda palmeri", "Euphaedra eburnensis", "Suaeda pruinosa", "Suaeda tampicensis", "Euphaedra eburnensis eburnensis", "Euphaedra eburnensis bernaudi", "Hemigrammus vorderwinkleri", "Hemigrammus guyanensis", "Suaeda vermiculata", "Macroglossum aesalon", "Macroglossum aesalon aesalon", "Macroglossum aesalon sainsoni", "Suaeda acuminata", "Suaeda pterantha", "Verrucaria fischeri", "Suaeda salsa", "Marcgravia mexicana", "Suaeda prostrata", "Marcgravia gentlei", "Marcgravia stonei", "Suaeda kossinskyi", "Verrucaria kondaensis", "Marcgravia dressleri", "Marcgravia longifolia", "Marcgravia myriostigma", "Marcgravia weberbaueri", "Marcgravia williamsii", "Pulsatilla cernua", "Atheta implicata", "Atheta complicans", "Atheta tanganikaensis", "Pachorhopala franzi", "Pachorhopala tanzaniensis", "Pachorhopala geophila", "Chalcochara ugandensis", "Amidobia creta", "Brachida nepalensis", "Coenonica nepalensis", "Marcgravia sororopaniana", "Marcgravia sprucei", "Marcgravia magnibracteata", "Cistothorus stellaris", "Tetralaucopora rougemonti", "Zyras morvani", "Myrmecocephalus mendax", "Cousya morvani", "Cousya derougemonti", "Stethusa changu", "Atheta inexpectata", "Atheta perimportuna", "Atheta insculpta", "Atheta praereticulata", "Myllaena kenyensis", "Prasinocyma corrugata", "Prasinocyma germinaria", "Prasinocyma batesi", "Prasinocyma batesi batesi", "Prasinocyma batesi distans", "Prasinocyma neglecta", "Prasinocyma gajdacsi", "Prasinocyma aetheraea", "Prasinocyma tricolorifrons", "Prasinocyma albivenata", "Prasinocyma camerunalta", "Prasinocyma bifimbriata", "Prasinocyma albisticta", "Sulcaria spiralifera", "Marcgravia oligandra", "Marcgravia rubra", "Acailandica acailandiae", "Acailandica maja", "Acailandica hilara", "Acailandica cacaulandiae", "Pulsatilla ajanensis", "Prasinocyma trematerrai", "Prasinocyma trematerrai trematerrai", "Prasinocyma trematerrai simienensis", "Prasinocyma angulifera", "Prasinocyma stefani", "Prasinocyma gemmifera", "Prasinocyma discipuncta", "Prasinocyma oblita", "Prasinocyma hailei", "Prasinocyma perpulverata", "Prasinocyma nereis", "Prasinocyma shoa shoa", "Prasinocyma shoa yabellensis", "Prasinocyma jefferyi", "Verrucaria breussii", "Marcgravia coriacea", "Marcgravia purpurea", "Marcgravia eichleriana", "Marcgravia pedunculosa", "Suaeda olufsenii", "Marcgravia elegans", "Marcgravia hartii", "Marcgravia tobagensis", "Marcgravia crassiflora", "Cuscuta africana", "Marcgravia grandifolia", "Apistogramma kullanderi", "Marcgravia polyadenia", "Loeblius nepalensis", "Homalota gomyi", "Cameronium gomyi", "Eustenidia mayottensis", "Autalia gomyi", "Nyceryx furtadoi", "Atheta scutellaris", "Atheta moheliana", "Chalcochara gomyi", "Sporodictyon minutum", "Aleochara comorensis", "Prasinocyma immaculata", "Prasinocyma immaculata immaculata", "Prasinocyma immaculata thiaucourti", "Dolomedes saganus", "Prasinocyma pedicata", "Prasinocyma pedicata pedicata", "Suaeda carnosissima", "Rinodina pallidescens", "Echinocereus subinermis", "Prasinocyma pedicata aethiopica", "Suaeda cucullata", "Echinocereus subinermis subsp. subinermis", "Prasinocyma angolica", "Suaeda eltonica", "Echinocereus subinermis subsp. ochoterenae", "Prasinocyma angolica angolica", "Prasinocyma angolica pseudopedicata", "Prasinocyma bongaensis", "Marcgravia domingensis", "Suaeda microsperma", "Echinocereus reichenbachii subsp. reichenbachii", "Echinocereus reichenbachii subsp. baileyi", "Marcgravia brachysepala", "Suaeda splendens", "Duvalius caoduroi", "Atheta zoiai", "Chledophila zoiai", "Bellatheta mongolica", "Bellatheta zoiai", "Meotica zoiai", "Oxypoda zoiai", "Usnea dasopoga", "Tachyusa kashmirensis", "Prasinocyma pumilata", "Prasinocyma tranquilla", "Prasinocyma getachewi", "Prasinocyma baumgaertneri", "Prasinocyma robusta", "Prasinocyma amharensis", "Prasinocyma monikae", "Prasinocyma fusca", "Prasinocyma leveneorum", "Prasinocyma magica", "Pulsatilla campanella", "Prasinocyma aquamarina", "Prasinocyma beryllaria", "Prasinocyma lutulenta", "Prasinocyma septentrionalis", "Prasinocyma fallax", "Verrucaria subvirens", "Clypeobarbus breviclipeus", "Christophia tessulata", "Christophia leucosiphon", "Christophia eriopodae", "Christophia climacoptera", "Christophia triceratops", "Christophia saxauli", "Christophia ammobia", "Prorophora albidogilvella", "Pulsatilla tenuiloba", "Prorophora curvibasella", "Heracleum hookerianum", "Sarcopera flammifera", "Euchera fervidaria", "Heracleum dalgadianum", "Ranid herpesvirus 1", "Ranid herpesvirus 2", "Anguillid herpesvirus 1", "Cyprinid herpesvirus 1", "Cyprinid herpesvirus 2", "Acipenserid herpesvirus 2", "Ictalurid herpesvirus 1", "Ictalurid herpesvirus 2", "Heracleum wallichii", "Salmonid herpesvirus 1", "Salmonid herpesvirus 2", "Salmonid herpesvirus 3", "Anatid alphaherpesvirus 1", "Leporid alphaherpesvirus 4", "Suaeda aegyptiaca", "Cebine betaherpesvirus 1", "Papiine betaherpesvirus 3", "Saimiriine betaherpesvirus 4", "Murid betaherpesvirus 8", "Cricetid gammaherpesvirus 2", "Murid gammaherpesvirus 7", "Midway nyavirus", "Suaeda corniculata subsp. mongolica", "Suaeda tuvinica", "Suaeda kulundensis", "Suaeda kulundensis var. macrocarpa", "Suaeda sibirica", "Geopora franzi", "Marcgravia caudata", "Geopora kenyensis", "Geopora griveaudi", "Geopora meruana", "Pelioptera laevior", "Atheta humicola", "Atheta altitudinis", "Atheta parata", "Atheta humidula", "Marcgravia crenata", "Marcgravia nepenthoides", "Suaeda arctica", "Scythris verae", "Scythris zolotuhini", "Scythris mediovolgensis", "Scythris xerosteppella", "Suaeda heterophylla", "Suaeda japonica", "Mellicta nevadensis", "Mellicta caucasogenita", "Marcgravia pittieri", "Mellicta parthenoides", "Mellicta varia", "Mellicta asteria", "Mellicta rebeli", "Mellicta westsibirica", "Mellicta centralasiae", "Mellicta alatauica", "Mellicta ambigua", "Marcgravia nervosa", "Marcgravia waferi", "Acailandica subtilana", "Acailandica comptana", "Marcgravia evenia", "Acailandica pyrozona", "Ipamerica auctuncus", "Syntypistis taipingshanensis", "Pheosiopsis seni", "Marcgravia evenia subsp. calcicola", "Gyrophaena kilimanjarensis", "Marcgravia evenia subsp. evenia", "Antillonatus sessilis", "Brachysipalia kenyamontis", "Brachysipalia sagulata", "Brachysipalia franzi", "Brachysipalia maranguensis", "Brachysipalia pluvialis", "Brachysipalia carinata", "Brachysipalia kilimanjaroensis", "Leptoporodota solifuga", "Marcgravia brownei", "Scytinium pulvinatum", "Njalkanola coremata", "Njalkanola polymorpha", "Njalkanola stenoptera", "Njalkanola suerkesbarna", "Njalkanola kalisi", "Njalkanola weidenhofferi", "Njalkanola molypofa", "Dasypolia arminjohanni", "Dasypolia bolyhoska", "Suaeda crassifolia", "Marcgravia subcaudata", "Prorophora dialeuca", "Pulsatilla wallichiana", "Prorophora grisealella", "Prorophora sacculicornella", "Prorophora binacantha", "Prorophora mongolica", "Prorophora kazachstaniella", "Myeloiodes minimella", "Ocrisiodes turkmeniensis", "Anarsia nigricana", "Marcgravia yukunarum", "Verrucaria putnae", "Anarsia phortica", "Anarsia spartiella", "Anarsia stepposella", "Anarsia sthenarota", "Anarsia subnigricana", "Anarsia ulneongensis", "Anarsia ulmarata", "Anarsia vectaria", "Anarsia veruta", "Anarsia triaenota", "Anarsia triglypta", "Anarsia vinsonella", "Promalactis acanthiana", "Promalactis albinparata", "Promalactis asperiola", "Promalactis caperatiella", "Promalactis curtifasciata", "Promalactis gigaspinata", "Suaeda linearis", "Promalactis reniformis", "Marcgravia zonopunctata", "Marcgravia trianae", "Suaeda mexicana", "Cephalocousya franzi", "Cephalocousya gratiosa", "Cephalocousya monacharum", "Pseudomeotica nepalensis", "Pseudoplandria franzi", "Pseudoplandria nepalensis", "Heliconius egeria egerides", "Trichoglossina franzi", "Trichoglossina minor", "Trichoglossina nepalicola", "Trichoglossina tristis", "Eucosma parvulana", "Eucosma hohenwartiana", "Suaeda patagonica", "Suaeda przewalskii", "Atheta amoena", "Atheta lignorum", "Atheta meridensis", "Atheta venezuelensis", "Suaeda puertopenascoa", "Dityloechusa franzi", "Gyrophaena franzi", "Suaeda rolandii", "Pulsatilla kostyczewii", "Pulsatilla dahurica", "Orphnebius ruficollis", "Ousipaliaglossa splendens", "Plesiomalota franzi", "Plesiomalota intermedia", "Plesiomalota venezuelanorum", "Plesiomalota laeta", "Plesiomalota venezuelana", "Pulsatilla chinensis", "Tetrallus pulchellus", "Diestota franzi", "Bellatheta kashmirensis", "Bellatheta pretiosa", "Gyrophaena laksmi", "Hydrosmecta aquarum", "Hydrosmecta interiecta", "Myllaena nepalensis", "Neoleptusa franzi", "Sternotropa nepalensis", "Anarsia aspera", "Anarsia asymmetrodes", "Anarsia beitunica", "Anarsia decora", "Anarsia eximia", "Anarsia largimaculalis", "Anarsia novitricornis", "Anarsia squamerecta", "Anarsia bimaculata", "Marcgravia helverseniana", "Verrucaria poeltii", "Anarsia caragana", "Anarsia choana", "Anarsia elongata", "Anarsia protensa", "Anarsia eleagnella", "Allotyphlus sipontinus", "Metrotyphlus viti", "Myllaena leleupi", "Parasilusa franzi", "Parasilusa galapagosensis", "Anarsia euphorodes", "Anarsia gajiensis", "Parasilusa leleupi", "Isorineloricaria acuarius", "Thecturota franzi", "Anarsia melanoplecta", "Feluva franzi", "Atheta galapagoensis", "Isorineloricaria spinosissima", "Marcgravia flagellaris", "Verruculopsis lecideoides", "Marcgravia comosa", "Verruculopsis poeltiana", "Marcgravia crassicostata", "Marcgravia dasyantha", "Marcgravia neurophylla", "Cyclamen hederifolium subsp. hederifolium", "Ricania speculum", "Cyclamen hederifolium subsp. crassifolium", "Thyestetha carbonaria", "Penthoscapha lorentzi", "Penthoscapha toxopei", "Cousya brachmaniorum", "Aylostera einsteinii", "Oxypoda obscurella", "Oxypoda superba", "Suaeda spicata", "Pulsatilla patens subsp. flavescens", "Suaeda tschujensis", "Verruculopsis minutum", "Dichrorampha sakartvelana", "Cithaerias pyropina pyropina", "Cithaerias pyropina julia", "Cithaerias pyropina songoana", "Marcgravia polyantha subsp. occidentalis", "Cotaena magnifica", "Cotaena tchalla", "Verruculopsis flavescentaria", "Thyris borealis", "Verruculopsis irrubescentis", "Brachodes ordubadi", "Brachodes araxella", "Brachodes elbursiensis", "Brachodes albina", "Prorophora halothamni", "Erebia anyuica occultoides", "Chaetaglaea rhonda", "Siseme aristoteles antioquensis", "Euops anggiensis", "Friend virus", "Abelson murine leukemia virus", "Coenosia pudorosa", "Aylostera robustispina", "Aylostera fiebrigii", "Falagria cribrata", "Gnypeta gomyi", "Gnypeta borbonica", "Anebolura abdominalis", "Anebolura dentiventris", "Anebolura bicolor", "Anebolura picta", "Anebolura hamoni", "Anebolura brevipennis", "Anebolura grossepunctata", "Avian spleen necrosis virus", "Spleen necrosis virus", "Haimirichia amonensis", "Morpho niepelti", "Myllaena nivium", "Myllaena reunionensis", "Myllaena gomyi", "Myllaena mauritiana", "Unicachichthys multidentata", "Myllaena schauenbergi", "Nopromaea aleocharoides", "Oligota chrysopyga", "Venusichthys comptus", "Morpho niepelti niepelti", "Hypselobarbus pseudomussullah", "Morpho niepelti antioquiensis", "Amblyceps waikhomi", "Siseme aristoteles", "Siseme aristoteles aristoteles", "Oligota gomyi", "Sternotropa opaciventris", "Gyrophaena gomyi", "Neactocharis oraria", "Homalota megacephala", "Euops bicolor", "Euops convexus", "Euops fraterculus", "Melanocercops ficuvorella", "Melanocercops melanommata", "Acrocercops milloti", "Scomberoides tol", "Egeotyphlus zecevici", "Leptusa nonveilleri", "Leptusa durmitorensis", "Pteroteinon ceucaenira", "Pteroteinon caenira", "Hermonassa deaurata", "Dichagyris fuscicosta", "Tricheurois tamanga", "Oroplexia bifurcata", "Oroplexia inflata", "Oroplexia pumila", "Oroplexia pumila pumila", "Oroplexia pumila gandaki", "Oroplexia pectinosa", "Oroplexia decorata", "Oroplexia hampsoni", "Oroplexia fusca", "Oroplexia draudtiana", "Marcgravia polyantha subsp. polyantha", "Trichoridia retracta", "Marcgravia salicifolia", "Euselasia eustola", "Euselasia eustola eustola", "Lathrobium nonveilleri", "Euselasia eustola wacapu", "Euops pygmaeus", "Lathrobium anophthalmum", "Lathrobium anophthalmum stolense", "Bryothinusa samoensis", "Suaeda paulayana", "Suaeda plumosa", "Suaeda salina", "Melanocercops desiccata", "Suaeda kareliniana", "Suaeda laevissima", "Melanocercops elaphopa", "Melanocercops phractopa", "Suaeda turkestanica", "Cyclamen maritimum", "Atheta incisicauda", "Atheta reunionensis", "Atheta sogai", "Micrelephas interruptus", "Bulbophyllum antennatum", "Bulbophyllum antioquiense", "Bulbophyllum antongilense", "Cleistocactus viridiflorus", "Atheta inusta", "Pseudacrotona madegassa", "Oxypodinus ophtalmicus", "Weingartia fidaiana subsp. fidaiana", "Weingartia fidaiana subsp. cintiensis", "Weingartia fidaiana subsp. amerhauseri", "Weingartia neumanniana", "Pseudomyrmedon alienus", "Pseudomyrmedon cribripennis", "Paracyphea atra", "Paracyphea parvula", "Chalcochara aenea", "Weingartia heliosoides", "Oxypodinus hamifer", "Pseudomeotica gomyi", "Weingartia roberto-vasquezii", "Aleochara vinsoni", "Aleochara clavicornis", "Aleochara granulicauda", "Takagioma unita", "Euops ibelensis", "Euops kurulu", "Euops nothofagi", "Euops paraconvexus", "Euops parvus", "Euops platyrostris", "Euops porulosus", "Euops sedlaceki", "Euops singularis", "Coenonica rufula", "Coenonica jarrigei", "Coenonica pacifica", "Coenonica montana", "Coenonica negivacteris", "Coenonica mauritania", "Coenonica colettae", "Heterota vinsoni", "Heterota obscura", "Almoria gomyi", "Falagria gomyi", "Exaeretota gomyi", "Nehemitropia persordida", "Eoplethodus chaneti", "Atheta nigerrima", "Pentanogmius fritschi", "Conilepia hunliensis", "Borbo cottrelli", "Platylesches morigambia", "Bulbophyllum ankerae", "Bulbophyllum ankylochele", "Bulbophyllum ankylodon", "Bulbophyllum ankylorhinon", "Bulbophyllum annamense", "Pulsatilla ambigua", "Bulbophyllum annandalei", "Coleophora ringoniella", "Coleophora amaranthivora", "Pristimantis roni", "Coenonica gomyi", "Placusa madida", "Homalota laminifera", "Homalota cephalotes", "Anebolura duflosi", "Anebolura picipennis", "Eustenidia gomyi", "Outachyusa raptoria", "Hydrosmecta dogueti", "Hydrosmecta hamoni", "Aloconota philippiae", "Aloconota gomyi", "Silphopsyllus desmanae", "Ectomyelois bipectinalis", "Ectomyelois furvivena", "Metriochroa alboannulata", "Gibbovalva clavata", "Suaeda stellatiflora", "Gibbovalva quadrifasciata", "Suaeda albescens", "Suaeda arbusculoides", "Gibbovalva civica", "Bulbophyllum anguliferum", "Bulbophyllum angusteovatum", "Suaeda densiflora", "Bulbophyllum angustifolium", "Bulbophyllum anisopterum", "Suaeda inflata", "Bulbophyllum anjozorobeense", "Bulbophyllum ankaizinense", "Suaeda liaotungensis", "Bulbophyllum ankaratranum", "Gibbovalva kobusi", "Suaeda malacosperma", "Gibbovalva magnoliae", "Suaeda novae-zelandiae", "Gibbovalva urbana", "Suaeda arguinensis", "Suaeda caespitosa", "Suaeda merxmuelleri", "Melanocercops cyclopa", "Suaeda micromeris", "Micrelephas mesodonta", "Nikkostiba loebli", "Micrelephas longicilia", "Leptusa sengleti", "Ousipalia theloti", "Leptusa loebli", "Panoquina danishi", "Geostiba loebliana", "Arcobara microniata", "Arcobara cavana", "Xylographa bjoerkii", "Xylographa carneopallida", "Callarge sagitta fansipana", "Ahlbergia prodiga", "Bryconacidnus ellisae", "Ahlbergia leechuanlungi", "Polycopissa okadai", "Bassia lasiantha", "Bassia littorea", "Bassia odontoptera", "Xylographa erratica", "Bassia pilosa", "Harrisia caymanensis", "Xylographa pallens", "Bulbophyllum capillipes", "Bulbophyllum aphanopetalum", "Bulbophyllum apheles", "Bulbophyllum apiculatum", "Hypatima rhomboidella", "Hypatima iophana", "Hypatima excellentella", "Hypatima spathota", "Bassia tianschanica", "Hypatima arignota", "Hypatima disetosella", "Hypatima issikiana", "Bassia tomentosa", "Pulsatilla halleri subsp. slavica", "Ethmiopsis scriniata", "Pulsatilla styriaca", "Garra typhlops", "Bassia villosissima", "Pulsatilla multiceps", "Hyphessobrycon ellisae", "Bassia aegyptiaca", "Ardices curvata", "Bassia angustifolia", "Bassia arabica", "Bassia dinteri", "Phaenoctavius brasiliensis", "Tachinus rougemonti", "Bassia eriophora", "Amaurodera birmana", "Amaurodera thailandensis", "Bassia eriantha", "Hemaris galunae", "Acrotona irregularis", "Atheta permolesta", "Xylographa difformis", "Acrotona perlaeta", "Hemaris molli", "Atheta inquinuloides", "Automeris larra larra", "Automeris larra eitschbergeri", "Xylographa stenospora", "Bulbophyllum aristatum", "Bulbophyllum aristilabre", "Bulbophyllum aristopetalum", "Bulbophyllum armeniacum", "Bulbophyllum arminii", "Bulbophyllum arsoanum", "Xylographa atrocyanea", "Pulsatilla nipponica", "Pulsatilla montana", "Ethmiopsis epichthonia", "Chenolea diffusa", "Ethmiopsis heppneri", "Tornodoxa leptopalta", "Tornodoxa tholochorda", "Dendrophilia acris", "Dendrophilia caraganella", "Dendrophilia leguminella", "Dendrophilia neotaphronoma", "Dendrophilia solitaria", "Dendrophilia unicolorella", "Neokochia californica", "Grubovia dasyphylla", "Bulbophyllum apiferum", "Bulbophyllum appendiculatum", "Bulbophyllum appressicaule", "Bulbophyllum appressum", "Bulbophyllum approximatum", "Bulbophyllum arcaniflorum", "Bulbophyllum arcuatilabium", "Bulbophyllum ardjunense", "Bulbophyllum arfakense", "Harrisia ser.", "Harrisia earlei", "Harrisia sect.", "Harrisia regelii", "Ottistira arfakensis", "Coenonica rougemonti", "Drusilla khamhengi", "Falagria concava", "Falagria innocua innocua", "Falagria innocua pagana", "Falagria pseudosoror", "Falagria siamensis", "Falagria sororella", "Gnypeta rougemonti", "Mimoxypoda opaca", "Mimoxypoda thailandensis", "Myllaena cincta", "Myllaena rougemonti", "Orphnebius rougemonti", "Orphnebius thailandensis", "Pulsatilla \u00d7 wolfgangiana", "Pulsatilla grandis", "Pulsatilla aurea", "Bassia salsoloides", "Oxypoda marginella", "Grubovia melanoptera", "Pulsatilla magadanensis", "Oxypoda exilis", "Grubovia krylovii", "Bagdadia claviformis", "Bagdadia paroctas", "Stichoglossa derougemonti", "Bagdadia salicicola", "Tachyusa approximans", "Maschwitzia derougemonti", "Zyras atricillus", "Zyras rougemonti", "Zyras alboantennatus", "Zyras thaiorum", "Xylographa rubescens", "Bagdadia irakella", "Bagdadia cymoptila", "Bagdadia isosema", "Sedobassia sedoides", "Xylographa schofieldii", "Bagdadia khaoensis", "Bulbophyllum argoxanthum", "Xylographa septentrionalis", "Bulbophyllum argyropus", "Bulbophyllum arianeae", "Rauhocereus riosaniensis", "Ottistira dani", "Ottistira robusta", "Ottistira ascendens", "Gopherus evgoodei", "Cyrtodactylus equestris", "Cyrtodactylus rex", "Camphorosma annua", "Camphorosma lessingii", "Camphorosma songorica", "Didymanthus roei", "Sea turtle tornovirus 1", "Orchid fleck dichorhavirus", "Cyrtodactylus phuocbinhensis", "Dissocarpus biflorus", "Dissocarpus fontinalis", "Dissocarpus latifolius", "Hemigrammus mahnerti", "Mammillaria heyderi subsp. gaumeri", "Mammillaria albilanata", "Mammillaria albilanata subsp. albilanata", "Parandanus longistylus", "Parandanus paracruciatus", "Parandanus nigricephalus", "Epizoanthus inazuma", "Epizoanthus beriber", "Truncatoflabellum mozambiquensis", "Xylogramma sticticum", "Truncatoflabellum duncani", "Maireana amoena", "Xylographa schizoxylon", "Xylographa rufa", "Maireana appressa", "Maireana astrotricha", "Xylographa perparvula", "Mammillaria supertexta", "Xylographa perangusta", "Enchylaena lanata", "Cyrtodactylus taynguyenensis", "Eremophea aggregata", "Cyrtodactylus bobrovi", "Eremophea spinosa", "Gnathochorisis fuscipes", "Gnathochorisis koreensis", "Gnathochorisis crassulus", "Gnathochorisis dentifer", "Gnathochorisis flavipes", "Zyras brignolii", "Gnypeta osellai", "Leucocraspedum osellai", "Pseudoplandria osellai", "Troglocyphodas decui", "Tricolpochila kraatzi", "Parandanus ornatus", "Parandanus hilaris", "Haplochrois coleophorella", "Xylogramma lineare", "Haplochrois sinevi", "Haplochrois ganota", "Haplochrois hysterota", "Haplochrois xiphodes", "Haplochrois subtincta", "Haplochrois socia", "Tropimenelytron major", "Tropimenelytron coiffaiti", "Haplochrois theae", "Atheta serva", "Atheta rhododendri", "Atheta bidiscofora", "Atheta luteofasciata", "Stethusa vaisya", "Atheta firmoides", "Xylographa hysterella", "Xylographa hemisphaerica", "Xylographa felsmannii", "Psyche yeongwolensis", "Cumbaaichthys oxyrhynchus", "Helicopsyche blantoni", "Helicopsyche chiriquensis", "Helicopsyche curvipalpia", "Helicopsyche paprockii", "Helicopsyche linguata", "Helicopsyche cipoensis", "Helicopsyche sanblasensis", "Maireana atkinsiana", "Maireana campanulata", "Maireana cannonii", "Xylographa cedrina", "Maireana carnosa", "Maireana cheelii", "Maireana ciliata", "Maireana convexa", "Maireana coronata", "Adiantum shastense", "Maireana decalvans", "Maireana dichoptera", "Maireana diffusa", "Xylogramma caulincola", "Maireana enchylaenoides", "Mammillaria hutchisoniana subsp. hutchisoniana", "Haageocereus pacalaensis", "Euryalusa indica", "Drusilla ruficornis", "Amarochara simlaensis", "Cephalocousya coiffaiti", "Oxypoda martensi", "Oxypoda coiffaiti", "Oxypoda thakholensis", "Aleochara nepalensis", "Pseudoplandria bhutanensis", "Aleochara trivialis", "Mammillaria heyderi subsp. meiacantha", "Sternotropa coiffaiti", "Stenomastax sikkimiensis", "Coenonica exuta", "Leptusa cassagnaui", "Leptusa indica tigrensis", "Mammillaria hutchisoniana", "Aristotelia nesiotatos", "Stenolechia kodamai", "Leptusa nepalica", "Leptusa nepalica taunjiensis", "Eccoptogenia nepalensis", "Bellatheta coiffaiti", "Bellatheta monachorum", "Xylographa orientalis", "Haplochrois chlorometalla", "Haplochrois microlychna", "Haplochrois sideropa", "Haplochrois phoenicopa", "Haplochrois serpula", "Haplochrois gelechiella", "Haplochrois ochraceella", "Xylographa micrographa", "Haplochrois albanica", "Haplochrois orientella", "Haplochrois ochrella", "Haplochrois kuznetzovi", "Haplochrois monomorpha", "Helicopsyche angeloi", "Helicopsyche guara", "Helicopsyche lazzariae", "Cetraria crespoae", "Pierella chalybaea", "Pierella boliviana", "Squaliomicrus sanadaensis", "Hemigrammus haraldi", "Capassoichthys alfonsoi", "Pierella angeloi", "Pierella kesselringi", "Pierella nice", "Pierella keithbrowni", "Pierella amalia", "Turbinicarpus horripilus subsp. horripilus", "Turbinicarpus horripilus subsp. wrobelianus", "Turbinicarpus horripilus subsp. kvetae", "Tyloplatyola simplex", "Cetraria obtusata", "Omoplandria gyrophaenula", "Mellitiosporium attenuatum", "Ninjemys oweni", "Kadenicarpus pseudomacrochele subsp. minimus", "Diaphus prokofievi", "Turbinicarpus sect.", "Fissurina americana", "Turbinicarpus sect.", "Turbinicarpus subg.", "Fissurina alligatorensis", "Fissurina ilicicola", "Bulbophyllum artostigma", "Echinomastus erectocentrus", "Maxillariella punctata", "Hemigrammus matei", "Aleochara tantsirakaorum", "Stictomadecassina franzi", "Brachida madecassa", "Eustenidia dauphinensis", "Eustenidia franzi", "Eustenidia managotryiensis", "Falagria arcisdauphini", "Cyllophallia dauphinensis", "Ditropandria paupercula", "Madecazyras franzi", "Madecusa bicolor", "Pseudacrotona gondwaniana", "Pseudacrotona antandroyiorum", "Pseudacrotona franzi", "Tomoxelia crenata", "Tomoxelia franzi", "Ottistira telefominensis", "Turbinicarpus pseudomacrochele subsp. pseudomacrochele", "Kadenicarpus pseudomacrochele subsp. krainzianus", "Ottistira tumidirostris", "Ottistira longispina", "Ottistira paniaiensis", "Ottistira obrienorum", "Pierella astyoche", "Pierella astyoche astyoche", "Pierella astyoche bernhardina", "Pierella astyoche stollei", "Pierella helvina helvina", "Pierella helvina ochreata", "Ceneichthys zambellii", "Pierella helvina incanescens", "Pierella helvina hymettia", "Rapicactus zaragosae", "Pierella helvina pacifica", "Pierella hortona", "Pierella hortona hortona", "Pierella hortona albofasciata", "Pierella hyalinus", "Pierella hyalinus hyalinus", "Pierella hyalinus extincta", "Pierella hyalinus schmidti", "Pierella hyalinus velezi", "Pierella hyceta", "Pierella hyceta hyceta", "Pierella hyceta ceryce", "Pierella hyceta latona", "Pierella lucia", "Pierella luna", "Pierella luna luna", "Pierella luna pallida", "Pierella luna rubecula", "Pierella luna lesbia", "Pierella nereis", "Cetraria dermatoidea", "Cithaerias pireta magdalenensis", "Pseudolaguvia nepalensis", "Besuchetiella sumatrana", "Cryptomyrus ogoouensis", "Cryptomyrus ona", "Bilimbia intercedens", "Sclerolaena brachyptera", "Atlantirivulus riograndensis", "Sclerolaena recurvicuspis", "Strychnos electri", "Pempheris gasparinii", "Waldmanichthys koonwarri", "Luisiella feruglioi", "Cavenderichthys talbragarensis", "Maireana eriantha", "Biatora beckhausii", "Maireana eriosphaera", "Maireana excavata", "Maireana glomerifolia", "Maireana humillima", "Maireana integra", "Maireana lanosa", "Maireana lobiflora", "Bulbophyllum aschemon", "Bulbophyllum ascochiloides", "Echinomastus erectocentrus subsp. erectocentrus", "Bulbophyllum ascochilum", "Bulbophyllum asperilingue", "Echinomastus erectocentrus subsp. acunensis", "Bulbophyllum aspersum", "Turbinicarpus subg.", "Bulbophyllum astelidum", "Bulbophyllum atratum", "Turbinicarpus subg.", "Bulbophyllum atrolabium", "Turbinicarpus sect.", "Bulbophyllum atrosanguineum", "Turbinicarpus sect.", "Bulbophyllum atroviride", "Bulbophyllum attenuatum", "Bulbophyllum aubrevillei", "Bulbophyllum aundense", "Bulbophyllum aureoapex", "Bulbophyllum aureobrunneum", "Bulbophyllum aureum", "Bulbophyllum auriculatum", "Bulbophyllum auriflorum", "Bulbophyllum auritum", "Bulbophyllum auroreum", "Bulbophyllum averyanovii", "Bulbophyllum bacilliferum", "Bulbophyllum baculiferum", "Acaciella villosa", "Malacocera biflora", "Vartiania beludzhia", "Mariosousa coulteri", "Malacocera gracilis", "Dervishiya sindhi", "Neobassia astrocarpa", "Bacidia granosa", "Bulbophyllum bakoense", "Bulbophyllum baladeanum", "Bulbophyllum ballii", "Bulbophyllum bandischii", "Bulbophyllum bantaengense", "Bulbophyllum barbasapientis", "Bulbophyllum barbavagabundum", "Turbinicarpus klinkerianus subsp. schwarzii", "Turbinicarpus schmiedickeanus subsp. rubriflorus", "Bacidia subcoprodes", "Plesiomalota punctulata", "Plesiomalota teutonica", "Microchara uhligi", "Maireana stipitata", "Plesiomalota opaca", "Plesiomalota uhligi", "Maireana suaedifolia", "Maireana thesioides", "Dendrophilia saxigera", "Lathrobium settei", "Dendrophilia petrinopis", "Biatora hemipolia", "Maireana tomentosa", "Orientophiaris nigricrista", "Maireana trichoptera", "Maireana turbinata", "Catoptria kabardinica", "Vachellia farnesiana", "Scardia fusca", "Malacocera tricornis", "Malacocera albolanata", "Hemigrammus megaceps", "Turbinicarpus schmiedickeanus subsp. andersonii", "Bacidia chrysocolla", "Bacidia clavigera", "Philoleptusa syriaca", "Turbinicarpus schmiedickeanus subsp. schmiedickeanus", "Neodinaraea tuberculata", "Leptusa numidica", "Turbinicarpus schmiedickeanus subsp. schwarzii", "Turbinicarpus schmiedickeanus subsp. klinkerianus", "Osteocarpum acropterum", "Osteocarpum pentapterum", "Papilio memnon christanae", "Osteocarpum salsuginosum", "Osteocarpum scleropterum", "Maireana luehmannii", "Maireana marginata", "Maireana melanocarpa", "Maireana melanocoma", "Maireana microcarpa", "Maireana microphylla", "Maireana murrayana", "Maireana oppositifolia", "Maireana ovata", "Maireana pentagona", "Maireana platycarpa", "Maireana polypterygia", "Maireana prosthecochaeta", "Maireana radiata", "Maireana rohrlachii", "Maireana schistocarpa", "Maireana scleroptera", "Atheta subargentea", "Atheta uhligi", "Cousya ambigua", "Cousya rufescens", "Biatora ementiens", "Plesiomalota flava", "Maireana spongiocarpa", "Plesiomalota fragilis", "Plesiomalota nova", "Barbus validus", "Sclerolaena walkeri", "Turbinicarpus klinkerianus subsp. klinkerianus", "Sclerolaena tridens", "Turbinicarpus schmiedickeanus subsp. dickisoniae", "Sclerolaena ventricosa", "Pseudotyphlopasilia coeca", "Sclerolaena divaricata", "Ornithoptera goliath atlas", "Bryoria inactiva", "Ornithoptera goliath goliath", "Bryoria kockiana", "Ornithoptera goliath goliath f. letiranti", "Roycea divaricata", "Roycea pycnophylloides", "Euphaedra ansorgei", "Roycea spinescens", "Euphaedra violanitens", "Euphaedra decora", "Euphaedra semlikiana", "Tomiyamichthys levisquama", "Olyra praestigiosa", "Junonia wahlbergi", "Junonia genoveva houlberti", "Squatina fortemordeo", "Squatina filipi", "Squatina lundegreni", "Luciobarbus guercifensis", "Luciobarbus zayanensis", "Bacidia verecundula", "Hypselobarbus nilgiriensis", "Hypselobarbus dubius", "Hypselobarbus micropogon", "Sclerolaena stelligera", "Ornithoptera paradisea demeter", "Ornithoptera paradisea galatea", "Pinguipes brasilianus", "Ornithoptera paradisea paradisea", "Ornithoptera paradisea occidentalis", "Ornithoptera paradisea sorongensis", "Rapicactus subterraneus subsp. subterraneus", "Dendrobium trigonopus", "Ornithoptera chimaera f. dioni", "Sclerolaena uniflora", "Ornithoptera tithonus tithonus", "Ornithoptera tithonus tithonus f. deslislei", "Ornithoptera tithonus tithonus f. gaucheti", "Ornithoptera tithonus tithonus f. wasiorensis", "Sclerolaena alata", "Sclerolaena articulata", "Ornithoptera tithonus cytherea", "Ornithoptera tithonus cytherea f. nicolasi", "Sclerolaena decurrens", "Sclerolaena bicuspis", "Ornithoptera rothschildi f. fabricei", "Ornithoptera rothschildi f. mariejeanneae", "Sclerolaena forrestiana", "Ornithoptera rothschildi f. illustris", "Ornithoptera rothschildi f. sublustris", "Ornithoptera rothschildi f. kirschoides", "Bagliettoa marmorea", "Sclerolaena glabra", "Lecanora saxigena", "Leptusa paradoxa", "Leptusa paradoxa saccarelloana", "Leptusa difformis", "Leptusa difformis finitima", "Leptusa difformis viatica", "Leptusa difformis gardensis", "Leptusa difformis apolis", "Leptusa difformis difformis", "Anorthoa plumbeata", "Ornithoptera paradisea arfakensis", "Alcis victoriana", "Sclerolaena longicuspis", "Meiolania mackayi", "Conistra amamiensis", "Conistra kimurai", "Sclerolaena patenticuspis", "Sclerolaena blackiana", "Sclerolaena blakei", "Sclerolaena brevifolia", "Sclerolaena burbidgeae", "Lecanora annularis", "Sclerolaena clelandii", "Sclerolaena constricta", "Lecanora paddensis", "Lecanora proserpens", "Thelocactus bicolor subsp. bicolor", "Thelocactus bicolor subsp. heterochromus", "Ornithoptera goliath goliath f. subalbus", "Ornithoptera goliath procus", "Pachliopta aristolochiae atavus", "Ornithoptera goliath goliath f. gottsi", "Ornithoptera goliath samson", "Ornithoptera goliath procus f. albopuncta", "Dipodium bicarinatum", "Dipodium speciosum", "Ornithoptera goliath procus f. jeromei", "Ornithoptera goliath procus f. nigraocellatus", "Turbinicarpus bonatzii", "Vaucheria acrandra", "Vaucheria adela", "Vaucheria adunca", "Vaucheria alaskana", "Vaucheria amphibia", "Vaucheria antarctica", "Vaucheria arcassonensis", "Vaucheria arechavaletae", "Vaucheria aversa", "Vaucheria bermudensis", "Vaucheria bicornigera", "Vaucheria borealis", "Vaucheria bursata", "Vaucheria caloundrensis", "Vaucheria canalicularis", "Vaucheria conifera", "Vaucheria coronata", "Vaucheria cruciata", "Vaucheria dillwynii", "Vaucheria elongata", "Vaucheria erythrospora", "Vaucheria folliculata", "Vaucheria fontinalis", "Vaucheria frigida", "Vaucheria pseudohamata var. elaminata", "Vaucheria sphaerospora var. synoica", "Vaucheria sessilis", "Vaucheria sessilis f. hookeri", "Vaucheria sessilis var. subarticulata", "Vaucheria terrestris", "Vaucheria terrestris var. major", "Vaucheria undulata", "Vaucheria undulata var. ornata", "Vaucheria velutina", "Vaucheria velutina var. separata", "Vaucheria woroniniana", "Vaucheria woroniniana f. erecta", "Vaucheria woroniniana f. quadripora", "Elgaria panamintina", "Pseudotyphlopasilia anophthalma", "Leptusa carniolica", "Leptusa bozdaghensis", "Leptusa winneguthiana", "Leptusa subcaucasica", "Rapicactus subg.", "Leptusa angulata", "Leptusa janczyki", "Leptusa diecki", "Leptusa othmaniorum", "Rapicactus subg.", "Threlkeldia diffusa", "Threlkeldia inchoata", "Sclerolaena tatei", "Cetraria novae-zealandiae", "Sclerolaena muelleri", "Cochleanthes flabelliformis", "Bulbophyllum bidenticulatum", "Bulbophyllum bidenticulatum subsp. bidenticulatum", "Bulbophyllum bidenticulatum subsp. joyceae", "Agriophyllum lateriflorum", "Bulbophyllum bifarium", "Bulbophyllum bigibbosum", "Bulbophyllum bigibbum", "Pyrenula dissimulans", "Bulbophyllum birmense", "Thelocactus conothelos", "Cochleanthes aromatica", "Pilosocereus tuberculatus", "Pilosocereus gounellei", "Pilosocereus gounellei subsp. gounellei", "Pilosocereus gounellei subsp. zehntneri", "Cereus repandus", "Ornithoptera aesacus f. maculatusaurum", "Ornithoptera aesacus f. masaeae", "Ornithoptera aesacus f. purpurea", "Sclerolaena convexula", "Ornithoptera aesacus f. tenebricosa", "Ornithoptera priamus admiralitatis", "Ornithoptera priamus arruana", "Sclerolaena cornishiana", "Sclerolaena costata", "Sclerolaena cuneata", "Leptusa nigerrima", "Ornithoptera priamus caelestis", "Leptusa scheerpeltzi", "Ornithoptera priamus priamus", "Leptusa asturica", "Ornithoptera priamus priamus f. priamus", "Ornithoptera priamus priamus f. sclavoi", "Leptusa schoenmanni", "Bagliettoa rubrocincta", "Bagliettoa suzaeana", "Leucopardus citrinus", "Thelocactus hexaedrophorus", "Ornithoptera paradisea arfakensis f. defayettei", "Ornithoptera paradisea arfakensis f. pseudomeridionalis", "Ornithoptera paradisea arfakensis f. oculisaureus", "Capoeta anamisensis", "Lecidea enalla", "Ornithoptera meridionalis f. odileae", "Ornithoptera meridionalis f. sclavoi", "Pareuchiloglanis hupingshanensis", "Lecidea oreophila", "Ornithoptera croesus croesus", "Ornithoptera croesus flammeus", "Sclerolaena crenata", "Ornithoptera croesus lydius", "Sclerolaena everistiana", "Ornithoptera croesus nigrocincta", "Ornithoptera croesus sananensis", "Ornithoptera croesus toeantei", "Sclerolaena holtiana", "Sclerolaena johnsonii", "Sclerolaena minuta", "Sclerolaena stylosa", "Bulbophyllum bariense", "Teinotarsina sapphirina", "Bulbophyllum baronii", "Bulbophyllum basisetum", "Bulbophyllum bathieanum", "Bulbophyllum bavonis", "Bulbophyllum belonaeglossum", "Sclerolaena diacantha", "Bulbophyllum berenicis", "Bulbophyllum betchei", "Catocala dula dula", "Niolamia argentina", "Bulbophyllum biantennatum", "Catocala dula dakina", "Bulbophyllum bicaudatum", "Sclerolaena eurotioides", "Warkalania carinaminor", "Cleora brevipecten", "Cleora kobayashii", "Sclerolaena fimbriolata", "Churinga sapa", "Alcis natmataungi", "Meiolania platyceps", "Sclerolaena fusiformis", "Pseudodichotomosiphon constricta", "Sclerolaena medicaginoides", "Sclerolaena napiformis", "Sclerolaena tetragona", "Sclerolaena drummondii", "Sclerolaena hostilis", "Cetraria nepalensis", "Leptusa karawankarum", "Sclerolaena limbata", "Sclerolaena obliquicuspis", "Leptusa collemoudi", "Oeneis polixenes", "Oeneis polixenes polixenes", "Sclerolaena tricuspis", "Sclerolaena symoniana", "Sclerolaena urceolata", "Lactobacillus fermentum", "Lecidella laureri", "Lactobacillus fermentum", "Sclerolaena densiflora", "Sclerolaena intricata", "Sclerolaena microcarpa", "Sclerolaena parallelicuspis", "Sclerolaena parviflora", "Sclerolaena tubata", "Ornithoptera croesus lydius f. perroni", "Asterosiphon dichotomus", "Sclerolaena ramulosa", "Ornithoptera croesus lydius f. laplantei", "Ornithoptera croesus lydius f. agatheae", "Sclerolaena tetracuspis", "Sclerolaena deserticola", "Ornithoptera goliath ukihidei", "Ornithoptera goliath supremus", "Sclerolaena fontinalis", "Vaucheria gardneri", "Vaucheria glomerata", "Vaucheria gyrogyna", "Vaucheria hercyniana", "Vaucheria hookeri", "Vaucheria incurva", "Vaucheria intermedia", "Vaucheria javanica", "Vaucheria karachiensis", "Vaucheria lii", "Vaucheria litorea", "Vaucheria longata", "Vaucheria longipes", "Vaucheria mammiformis", "Vaucheria maritima", "Vaucheria mediterrranea", "Vaucheria medusa", "Vaucheria megaspora", "Vaucheria micranthera", "Vaucheria minuta", "Vaucheria mulleola", "Vaucheria nanandra", "Vaucheria nasuta", "Vaucheria orthocarpa", "Vaucheria patagonica", "Vaucheria piloboloides", "Vaucheria polymorpha", "Vaucheria prescottii", "Vaucheria prolifera", "Vaucheria prona", "Vaucheria pronosperma", "Vaucheria pseudogeminata", "Vaucheria pseudosessilis", "Vaucheria racemosa", "Vaucheria schleicheri", "Vaucheria sescuplicaria", "Vaucheria simplex", "Vaucheria subarechavaletae", "Vaucheria submarina", "Vaucheria subsimplex", "Vaucheria synandra", "Vaucheria taylorii", "Vaucheria uncinata", "Vaucheria ungeri", "Vaucheria verticillata", "Vaucheria vipera", "Vaucheria walzii", "Vaucheria zapotecana", "Vaucheria compacta var. dulcis", "Vaucheria compacta", "Vaucheria dichotoma", "Vaucheria dichotoma f. marina", "Vaucheria geminata var. longistipata", "Vaucheria geminata", "Vaucheria hamata", "Vaucheria hamata f. minor", "Vaucheria jaoi", "Vaucheria jaoi f. minor", "Vaucheria longicaulis", "Vaucheria longicaulis var. macounii", "Vaucheria mayyanadensis", "Vaucheria mayyanadensis var. sundarbanensis", "Vaucheria pachyderma var. cerebrina", "Thelocactus bicolor subsp. bolaensis", "Copromyxa protea", "Thelocactus conothelos subsp. conothelos", "Agriophyllum montasirii", "Thelocactus conothelos subsp. argenteus", "Thelocactus conothelos subsp. aurantiacus", "Phytophysa treubii", "Phytophysa vanleeuwenii", "Thelocactus conothelos subsp. garciae", "Araripenymphes seldoni", "Cochleanthes lueddemanniana", "Cochleanthes trinitatis", "Thelocactus hastifer", "Pyrenula minor", "Thelocactus lausseri", "Bolidomonas mediterranea", "Bolidomonas pacifica", "Pyrenula pleiomera", "Cereus fricii", "Subpilocereus fricii subsp. fricii", "Agriophyllum paletzkianum", "Ornithoptera croesus lydius f. boutoni", "Ornithoptera croesus lydius f. fusca", "Ornithoptera croesus lydius f. jeannedarcae", "Ornithoptera croesus lydius f. morotaiensis", "Ornithoptera croesus lydius f. nigra", "Ornithoptera croesus lydius f. nudus", "Ornithoptera croesus lydius f. oliveri", "Ornithoptera croesus lydius f. pannis", "Anthochlamys polygaloides", "Ornithoptera croesus lydius f. toeantei", "Ornithoptera croesus lydius f. watsoni", "Anthochlamys turcomanica", "Ramalina leptosperma", "Anthochlamys multinervis", "Anthochlamys afghanica", "Anthochlamys tjanschanica", "Mediopyxis helysia", "Ornithoptera croesus lydius f. loc. lydius", "Ornithoptera croesus lydius f. loc. toantei", "Ornithoptera priamus albireo", "Ornithoptera priamus boisduvalii", "Ornithoptera priamus bornemanni", "Ornithoptera priamus demophanes", "Leptusa pauli", "Dasypolia zolotuhini", "Leptusa pauli macrocephala", "Dasypolia pliushi", "Leptusa leptotyphloides", "Dasypolia glandana", "Leptusa gracilenta", "Dasypolia mirifica", "Dasypolia wirthtibori", "Leptusa guipuzcoensis", "Dasypolia soror", "Pulsatilla nigricans", "Dasypolia danchenkoi", "Dasypolia nagybarnabasi", "Bulbophyllum bisepalum", "Dasypolia manfredi", "Dasypolia proverai proverai", "Dasypolia proverai gusharyi", "Dasypolia diva shchetkini", "Rezahiria marmota", "Corispermum tibeticum", "Guntia chorogica", "Guntia iranica", "Stephanocereus luetzelburgii", "Corispermum afghanicum", "Cruciata articulata", "Diorygma basinigrum", "Corispermum lehmannianum", "Theorema sapho", "Corispermum korovinii", "Dasypolia akkeregeshena", "Stephanocereus leucostele", "Dasypolia volynkini", "Leptusa cephalotes", "Brasilicereus estevesii", "Leptusa cephalotes granulifera", "Pulsatilla subslavica", "Pilosocereus magnificus", "Leciophysma saximontana", "Pilosocereus robinii", "Pulsatilla taraoi", "Ornithoptera priamus euphorion", "Ornithoptera priamus gebeensis", "Ornithoptera priamus impensus", "Ornithoptera priamus kasandra", "Ornithoptera priamus macalpinei", "Porpidia degelii", "Bacillariophyceae incertae sedis", "Ornithoptera priamus miokensis", "Ornithoptera priamus poseidon", "Ornithoptera priamus pronomus", "Ornithoptera priamus richmondia", "Ornithoptera priamus teucrus", "Ornithoptera priamus urvillianus", "Ornithoptera priamus hecuba", "Corispermum rechingeri", "Gobiomorphus huttoni", "Ornithoptera priamus euphorion f. aureomaculata", "Phlyctis boliviensis", "Dasypolia gerbillina", "Dasypolia lamaforma", "Cryptothecia fuscopunctata", "Stephanocereus subg.", "Stephanocereus subg.", "Corispermum aralocaspicum", "Bryophila nahnybidai", "Autographa buraetica", "Autographa macrogamma", "Autographa urupina", "Lichenostigma alpinum", "Anemoclema glaucifolium", "Lichenostigma chlaroterae", "Leptusa gerlitzensis", "Leptusa gracillima", "Grammatophora africana", "Grammatophora angulosa", "Grammatophora arctica", "Grammatophora arcuata", "Grammatophora fundata", "Grammatophora gibberula", "Grammatophora hamulifera", "Grammatophora macilenta", "Grammatophora marina", "Grammatophora maxima", "Grammatophora oceanica", "Grammatophora serpentina", "Grammatophora undulata", "Leptusa koralpicola", "Grammatophora oceanica var. subtilissima", "Leptusa transversiceps", "Diatomella balfouriana", "Leptusa abdominalis biharica", "Micranthocereus subg.", "Pilosocereus pachycladus subsp. pernambucoensis", "Actinellopsis giraffensis", "Actinellopsis murphyi", "Peronia fibula", "Peronia intermedium", "Pilosocereus colombianus", "Nola lophobella", "Nola raleighi", "Nola solteszi", "Octavius puthzi", "Octavius transadriaticus", "Pilosocereus moritzianus", "Octavius velebiticus", "Meotica aegyptia", "Meotica franzi", "Nola aureofusa", "Nola eszteri", "Nola botondi", "Pulsatilla patens subsp. multifida", "Lamprostiba franzi", "Lamprostiba meridensis", "Lamprostiba puella", "Nola fabiani", "Pulsatilla patens subsp. patens", "Plesiomalota minor", "Plesiomalota parvula", "Plesiomalota perpusilla", "Plesiomalota pretiosa", "Euops armatus", "Pulsatilla alpina subsp. apiifolia", "Pulsatilla alpina subsp. alpina", "Lepthoplosternum stellatum", "Lepthoplosternum ucamara", "Lepidocollema stylophorum", "Pilosocereus tillianus", "Pilosocereus chrysostele", "Pilosocereus chrysostele subsp. chrysostele", "Pilosocereus chrysostele subsp. cearensis", "Pilosocereus vilaboensis", "Pilosocereus quadricentralis", "Pilosocereus pseudosuperfloccosus", "Pilosocereus piauhyensis", "Pilosocereus pentaedrophorus", "Pilosocereus occultiflorus", "Pilosocereus multicostatus", "Pilosocereus mollispinus", "Coleocephalocereus subg.", "Coleocephalocereus subg.", "Coleocephalocereus subg.", "Coleocephalocereus decumbens", "Graphium batjanensis", "Mycoporum biseptatum", "Hemigrammus melanochrous", "Graphium batjanensis batjanensis", "Graphium batjanensis wayabulaensis", "Graphium batjanensis bambai", "Melocactus ser.", "Arthrocereus melanurus", "Arthrocereus melanurus subsp. melanurus", "Arthrocereus melanurus subsp. magnus", "Arthrocereus melanurus subsp. odorus", "Arthrocereus spinosissimus", "Hemigrammus micropterus", "Geostiba osellaiana", "Leptusa minutissima", "Leptusa ochsi", "Micranthocereus subg.", "Leptusa ceresoleana vallombrosica", "Agrotis stenibergmani", "Micranthocereus polyanthus", "Agrotis frosya", "Nola pumila", "Nola fuscantea", "Nola spreta", "Nola cameroni", "Nola citrinotata", "Micranthocereus flaviflorus", "Micranthocereus auri-azureus", "Lepidocollema marianum", "Pilosocereus subg.", "Pilosocereus aurisetus", "Nola vartianica", "Pilosocereus pachycladus subsp. pachycladus", "Nola mondolkiri", "Nola metochrolopha", "Heterostiba franzi", "Heterostiba nimborum", "Lissagria franzi", "Leptusa occulta", "Leptusa occulta lavaronensis", "Leptusa hlisnikovskyi", "Nola chienmingfui", "Leptusa puellaris", "Coleocephalocereus aureus", "Nola shandura", "Nola thomaswitti", "Brasilicereus markgrafii", "Brasilicereus phaeacanthus", "Cereus estevesii", "Menevia lantona", "Cicinnus lantona", "Menevia rosea", "Menevia magna", "Menevia lucara", "Cicinnus lucara", "Melaspilea enteroleuca", "Haptophyta incertae sedis", "Diacronema ennorea", "Diacronema lutheri", "Diacronema virescens", "Diacronema viridis", "Diacronema vlkianum", "Exanthemachrysis gayraliae", "Corispermum ochotense", "Pavlova calceolata", "Pavlova granifera", "Pavlova gyrans", "Pavlova hommersandii", "Pavlova pinguis", "Rebecca salina", "Corispermum pacificum", "Corispermum pallidum", "Cithaerias cliftoni", "Corispermum americanum", "Nola longicosta", "Peccania kansuensis", "Schinia obliqua", "Schinia unimacula", "Graphium sarpedon islander", "Graphium sarpedon wetterensis", "Graphium sarpedon milon", "Leptusa puellaris marani", "Graphium sarpedon milon f. milon", "Leptusa jelineki", "Leptusa rhilensis", "Leptusa sarensis", "Leptusa batumiensis", "Graphium sarpedon milon f. monticoloides", "Leptusa pseudocaucasica", "Leptusa rousi", "Leptusa rousi rousi", "Leptusa rousi agrbaensis", "Leptusa komareki", "Leptusa rambouseki", "Graphium sarpedon sarpedon", "Leptusa winkleri", "Leptusa winkleri daccordii", "Leptusa veronensis veronensis", "Leptusa ruffoi", "Goniomonas truncata", "Parabagliettoa disjuncta", "Cyrtopodion belaense", "Oryotus ravasinii", "Askenasyella conferta", "Geostiba coiffaiti", "Geostiba optima", "Geostiba rhodiensis", "Geostiba uhligi", "Geostiba khnzoriani", "Geostiba sengleti", "Geostiba cryptophthalma", "Udea curvata", "Udea albostriata", "Acuturris scotus", "Amaurolithus ninae", "Amaurolithus peregrinus", "Chromera velia", "Melaspilea urceolata", "Phyllodictyon anastomosans", "Udea stationalis", "Geostiba plicatella subopacula", "Cithaerias aurora", "Corispermum hookeri", "Prymnesiophyceae incertae sedis", "Corispermum welshii", "Cithaerias aurorina", "Geostiba plicatella heydeni", "Corispermum lepidocarpum", "Corispermum lhasaense", "Borzicactus icosagonus", "Saurichthys macrocephalus", "Malacanthus carosii", "Corispermum pseudofalcatum", "Corispermum falcatum", "Corispermum elongatum", "Platygramme coccinea", "Cleistocactus sextonianus", "Cleistocactus ritteri", "Choanocystis aculeata", "Lathrobium kaszabi", "Lathrobium coecum", "Cyrtotyphlus kaiseri", "Allotyphlus corcyricus", "Graphium empedovana subiensis", "Faunis canens distincta", "Corispermum platypterum", "Corispermum stenolepis", "Corispermum dilutum", "Corispermum confertum", "Dictyochophyceae incertae sedis", "Corispermum macrocarpum", "Corispermum retortum", "Heliozoa incertae sedis", "Actimonas mirabilis", "Melaspileella proximella", "Phaeographis oricola", "Nola meilingchani", "Nola wallacei", "Nola prouti", "Nola topii", "Nola pseudendotherma", "Nola fansipana", "Nola bertalani", "Nola shipherwui", "Nola danii", "Nola gyurii", "Nola hani", "Nola horridocornuta", "Nola gozmanyi", "Nola behouneki", "Nola kitangladi", "Nola yelagarciai", "Nola szegvarii", "Nola trisignifera", "Nola internelloides", "Nola astigma", "Nola angulata", "Nola eberti", "Nola cingalesa", "Nola quadrimaculata", "Nola analis", "Nola marshallae", "Nola formosalesa", "Nola lucidalis lucidalis", "Nola lucidalis nephodes", "Nola innocua", "Nola dentilinea", "Peltigera aquatica", "Hemigrammus neptunus", "Hemigrammus newboldi", "Tephrocactus bonnieae", "Sennia parvula", "Chilomonas amygdalum", "Chilomonas cylindrica", "Cyathomonas turbo", "Maihueniopsis subterranea", "Hillea fusiformis", "Hillea marina", "Faunis stomphax nishikawai", "Corispermum iljinii", "Corispermum nanum", "Corispermum ellipsocarpum", "Corispermum pamiricum", "Corispermum algidum", "Corispermum altaicum", "Heterophrys myriapoda", "Acanthocystis aculeata", "Acanthocystis paliformis", "Acanthocystis pelagica", "Acanthocystis perpusilla", "Acanthocystis turfacea", "Corispermum bardunovii", "Raphidiophrys elegans", "Raphidiophrys marina", "Corispermum candelabrum", "Pterygiopsis neglecta", "Coccosphaerales incertae sedis", "Corispermum chinganicum", "Corispermum gelidum", "Corispermum heptapotamicum", "Corispermum hilariae", "Corispermum komarovii", "Corispermum krylovii", "Laudakia wui", "Corispermum mongolicum", "Crenalithus productellus", "Crenalithus taganus", "Laudakia papenfussi", "Corispermum patelliforme", "Corispermum piliferum", "Euploea desjardinsii", "Euploea goudotii", "Corispermum puberulum", "Euploea sylvester", "Allotyphlus moczarskii", "Corispermum tylocarpum", "Rhopalotyphlus beieri", "Corispermum erosum", "Corispermum stauntonii", "Corispermum ulopterum", "Herpothallon hyposticticum", "Corispermum dutreuilii", "Ophrys \u00d7 olbiensis", "Bjornbergiella hawaiiensis", "Coccolithus pelagicus", "Corispermum canescens", "Gephyrocapsa caribbeanica", "Gephyrocapsa crassipons", "Gephyrocapsa ericsonii", "Gephyrocapsa muellerae", "Gephyrocapsa oceanica", "Gephyrocapsa ornata", "Gephyrocapsa protohuxleyi", "Gephyrocapsa reticulata", "Corispermum crassifolium", "Paracheilinus paineorum", "Corispermum filifolium", "Corispermum laxiflorum", "Corispermum maynense", "Laudakia sacra", "Corispermum praecox", "Paracheilinus xanthocirritus", "Corispermum redowskii", "Corispermum uralense", "Corispermum uralense subsp. monticolum", "Corispermum uralense subsp. silvicolum", "Corispermum huanghoense", "Allotyphlus aspericeps", "Allotyphlus ambracius", "Corispermum flexuosum", "Allotyphlus cephallenicus", "Anisolpidium ectocarpii", "Anisolpidium joklianum", "Anisolpidium rosenvingei", "Anisolpidium sphacelarum", "Scutiger wuguanfui", "Geostiba plicatella bejarensis", "Geostiba plicatella tingitana", "Geostiba taediosa", "Ateleopus edentatus", "Neotrygon australiae", "Neotrygon caeruleopunctata", "Developayellales incertae sedis", "Neotrygon orientale", "Developayella elegans", "Lagenisma coscinodisci", "Cobitis takenoi", "Petersenia lobata", "Petersenia pollagaster", "Pontisma inhabile", "Pontisma lagenidioides", "Sirolpidium andreei", "Sirolpidium bryopsidis", "Sirolpidium marinum", "Sirolpidium zoophthorum", "Neodiphthera tenimberensis", "Olpidiopsis feldmanni", "Olpidiopsis magnusii", "Leptomitus incompositus", "Leptomitus lanugo", "Leptomitus minutissimus", "Lagenidium callinectes", "Lagenidium chthamalophilum", "Pythium aquatile", "Pythium graminicola", "Pythium imperfectum", "Pythium marinum", "Pythium maritimum", "Pythium salinum", "Pythium thalassium", "Pythium torulosum", "Maihueniopsis ovata", "Blitum virgatum subsp. montanum", "Blitum sect.", "Rhynchostylis rieferi", "Pethia lutea", "Hemiselmis vinosa", "Pethia punctata", "Chenopodiastrum fasciculosum var. schimperi", "Hatena arenicola", "Katablepharis hyalurus", "Katablepharis notonectoides", "Katablepharis oblonga", "Katablepharis ovalis", "Katablepharis phoenikoston", "Katablepharis remigera", "Argyrogrammana glaucopis virgata", "Benthamia chlorantha", "Eugauria arcuosa", "Eugauria crenata", "Minooa acantha", "Pythium undulatum", "Leptolegnia baltica", "Leptolegnia marina", "Aphanomyces astaci", "Aphanomyces invadans", "Nirmides micron", "Nirmides ihlei", "Blitum capitatum subsp. hastatum", "Blitum sect.", "Haliphthoros milfordensis", "Atkinsiella dubia", "Ectrogella eurychasmoides", "Ectrogella licmophorae", "Ectrogella marina", "Ectrogella perforans", "Eurychasma dicksonii", "Eurychasmidium sacculum", "Eurychasmidium tumefaciens", "Pleotrachelus minutus", "Pleotrachelus olpidium", "Pleotrachelus paradoxus", "Geostiba mesatlantica", "Geostiba maghrebica", "Geostiba fretoria", "Geostiba besucheti", "Melozone biarcuata", "Eugauria albidentata", "Melozone cabanisi", "Cryptaulax akopos", "Cryptaulax conoidea", "Cryptaulax formica", "Cryptaulax longiciliatus", "Cryptaulax marina", "Cryptaulax taeniata", "Cryptaulax vulgaris", "Chroomonas baltica", "Goniomonas amphinema", "Goniomonas pacifica", "Isoselmis obconica", "Meyeriella longiflagellata", "Meyeriella viridis", "Pseudocryptomonas parrae", "Maihueniopsis subterranea subsp. subterranea", "Maihueniopsis subterranea subsp. pulcherrima", "Pipilo naufragus", "Hemigrammus ora", "Apristurus breviventralis", "Falcomonas daucoides", "Komma caudata", "Geminigera cryophila", "Guillardia theta", "Heissophila macrotheleae", "Hanusia phi", "Plagioselmis nannoplanctica", "Plagioselmis prolonga", "Archiatriplex nanpinensis", "Proteomonas sulcata", "Teleaulax acuta", "Teleaulax amphioxeia", "Teleaulax gracilis", "Phaeocystis amoeboidea", "Phaeocystis antarctica", "Phaeocystis brucei", "Phaeocystis cordata", "Phaeocystis globosa", "Phaeocystis jahnii", "Phaeocystis pouchetii", "Phaeocystis scrobiculata", "Phaeocystis sphaeroides", "Euploea sylvester sylvester", "Corispermum sibiricum", "Paracheilinus alfiani", "Hemigrammus mimus", "Coccolithus actinosus", "Coccolithus braarudii", "Coccolithus doronicoides", "Coccolithus formosus", "Coccolithus miopelagicus", "Coccolithus oceanicus", "Teleaulax minuta", "Urgorri complanatus", "Argyrogrammana stilbe", "Argyrogrammana stilbe stilbe", "Argyrogrammana stilbe holosticta", "Argyrogrammana sublimis", "Argyrogrammana glaucopis", "Argyrogrammana glaucopis glaucopis", "Cosmocephalus podicipis", "Chenopodiastrum sect.", "Pyrenomonas ovalis", "Rhodomonas abbreviata", "Rhodomonas heteromorpha", "Rhodomonas maculata", "Chenopodiastrum sect.", "Rhinomonas reticulata", "Rhinomonas fragarioides", "Rhinomonas fulva", "Rhinomonas lateralis", "Rhinomonas pauca", "Rhodomonas atrorosea", "Rhodomonas baltica", "Rhodomonas chrysoidea", "Rhodomonas duplex", "Rhodomonas falcata", "Rhodomonas lacustris", "Rhodomonas lens", "Rhodomonas marina", "Rhodomonas pusilla", "Rhodomonas stigmatica", "Rhodomonas tenuis", "Chenopodiastrum fasciculosum", "Cryptomonas rhynchophora", "Storeatula major", "Coryphantha macromeris subsp. runyonii", "Escobaria sect.", "Escobaria sect.", "Escobaria sect.", "Calcidiscus leptoporus", "Oolithotus antillarum", "Oolithotus fragilis", "Oolithotus fragilis subsp. cavum", "Umbilicosphaera anulata", "Umbilicosphaera foliosa", "Umbilicosphaera anulus", "Umbilicosphaera calvata", "Umbilicosphaera hulburtiana", "Umbilicosphaera scituloma", "Umbilicosphaera sibogae", "Aguna prasinus", "Bellis annua subsp. microcephala", "Sicyopus rubicundus", "Grayia arizonica", "Nuddsia magnifica", "Pereskia grandifolia subsp. violacea", "Pereskia bahiensis", "Leucocryptos marina", "Platychilomonas psammobia", "Roombia truncata", "Telonema antarctica", "Telonema subtile", "Skvortzoviella gracillima", "Calcicarpinum bivalvum", "Calcicarpinum fallax", "Calcicarpinum tetraedricum", "Calcicarpinum trochoideum", "Ortegocactus macdougallii", "Coryphantha macromeris subsp. macromeris", "Anthosphaera fragaria", "Algirosphaera capulata", "Algirosphaera cucullata", "Algirosphaera oryza", "Algirosphaera quadricornu", "Algirosphaera robusta", "Peckoltia wernekei", "Balaniger balticus", "Neoturinia hutkensis", "Orthogonikleithrus francogalliensis", "Palicella filamentosa", "Palicella schizochromatica", "Matucana haynei subsp. hystrix", "Gallio carasta", "Gallio imperatriz", "Gallio furtadoi", "Gallio eti", "Grayia plummeri", "Ornithoptera goliath goliath f. loc. goliath \u2642f. malummaculata", "Hederorkis scandens", "Hederorkis seychellensis", "Ornithoptera goliath goliath f. loc. goliath", "Mammilloydia candida", "Cruciplacolithus edwardsii", "Cruciplacolithus neohelis", "Cruciplacolithus quader", "Cruciplacolithus notus", "Cruciplacolithus oulchyensis", "Cruciplacolithus pinnatus", "Cruciplacolithus primus", "Cruciplacolithus salebrosus", "Cruciplacolithus tenuiforatus", "Cruciplacolithus tenuis", "Ornithoptera goliath goliath f. loc. supremus", "Sullivania californica", "Sullivania consueta", "Sullivania danica", "Sullivania edwardsii", "Sullivania gigas", "Sullivania inconspicua", "Sullivania minima", "Sullivania nitida", "Sullivania titus", "Tergestiella adriatica", "Tergestiella calumnia", "Cylichneulia reticulana", "Cylichneulia tungurahuana", "Pastazania elegans", "Pastazania uniformana", "Pastazania clavana", "Pastazania homoiana", "Gielisia ligulana", "Pseudapina ecuatoriana", "Halimione verrucifera", "Billbergia vittata", "Billbergia chlorosticta", "Billbergia porteana", "Billbergia eloiseae", "Parnassius szechenyii choui", "Hymenomonas flava", "Hymenomonas globosa", "Hymenomonas lacuna", "Hymenomonas prenantii", "Hymenomonas roseola", "Jomonlithus littoralis", "Ornithoptera goliath goliath f. loc. supremus \u2642f. aurata", "Ochrosphaera neapolitana", "Geostiba cazorlensis", "Ornithoptera goliath goliath f. loc. supremus \u2642f. confluenta", "Geostiba turcica", "Geostiba iconiensis", "Geostiba loebli", "Ornithoptera goliath goliath f. loc. supremus \u2640f. schmidi", "Geostiba simulans", "Geostiba arganthonia", "Ornithoptera goliath goliath f. loc. supremus \u2642f. edouardei", "Geostiba kastamonuensis", "Ornithoptera goliath goliath f. loc. supremus \u2640f. amandae", "Geostiba attaleensis", "Geostiba huberi", "Pleurochrysis dentata", "Pleurochrysis pseudoroscoffensis", "Pleurochrysis roscoffensis", "Ornithoptera goliath goliath f. loc. supremus \u2642f. sanguimaculata", "Reticulosphaera japonensis", "Reticulosphaera socialis", "Ornithoptera goliath goliath f. loc. supremus \u2642f. malummaculata", "Ornithoptera goliath goliath f. loc. supremus \u2642f. kurtrunbucheri", "Thorosphaera elegans", "Braarudosphaera bigelowii", "Halopappus quadribrachiatus", "Halopappus vahselii", "Orthogonikleithrus leichi", "Orthogonikleithrus hoelli", "Calicasphaera blokii", "Calicasphaera concava", "Calicasphaera diconstricta", "Calyptrolithina divergens", "Calyptrolithina isselii", "Calyptrolithina lafourcadii", "Calyptrolithina magnaghii", "Calyptrolithina multipora", "Elaenia brachyptera", "Ornithoptera goliath goliath f. loc. titan \u2642f. aurata", "Ornithoptera goliath goliath f. loc. titan \u2642f. confluenta", "Ornithoptera goliath goliath f. loc. titan \u2642f. goudreaulti", "Ornithoptera goliath goliath f. loc. titan \u2642f. gottsi", "Ornithoptera goliath goliath f. loc. titan \u2642f. sanguismaculata", "Ornithoptera goliath goliath f. loc. titan \u2642f. infrarubrum", "Ornithoptera goliath goliath f. loc. titan \u2642f. malummaculata", "Ornithoptera goliath goliath f. loc. titan \u2640f. amandae", "Ornithoptera goliath goliath f. loc. atlas \u2642f. aurata", "Ornithoptera goliath goliath f. loc. atlas \u2642f. confluenta", "Ornithoptera goliath goliath f. loc.atlas \u2642f. letiranti", "Ornithoptera goliath goliath f. loc. atlas \u2642f. jeromei", "Ornithoptera goliath goliath f. loc. atlas \u2640f. subalbus", "Ornithoptera goliath goliath f. loc. atlas \u2642f. primitus", "Ornithoptera goliath goliath f. loc.atlas \u2642f. sumulei", "Ornithoptera goliath goliath f. loc. atlas \u2642f. sanguismaculata", "Ornithoptera goliath goliath f. loc. atlas \u2642f. edouardei", "Ornithoptera goliath goliath f. loc. atlas \u2640f. mirificus", "Ornithoptera goliath goliath f. loc. atlas \u2640f. inaurareus", "Ornithoptera goliath goliath f. loc. atlas \u2640f. roseus", "Ornithoptera goliath goliath f. loc. atlas \u2640f. praeclarus", "Ornithoptera goliath goliath f. loc. atlas \u2640f. tenebricosus", "Ornithoptera goliath goliath f. loc. atlas \u2640f. rubra", "Ornithoptera goliath goliath f. loc. atlas \u2640f. solaris", "Ornithoptera goliath goliath f. loc. atlas \u2640f. samson", "Ornithoptera goliath goliath f. loc. atlas \u2640f. schmidi", "Ornithoptera goliath goliath f. loc. atlas \u2640f. amandae", "Ornithoptera goliath goliath f. loc. ukihidei \u2642f. goudreaulti", "Ornithoptera goliath goliath f. loc. ukihidei \u2642f. edouardei", "Ornithoptera goliath procus \u2642f. confluenta", "Ornithoptera goliath procus \u2642f. primitus", "Ornithoptera goliath procus \u2640f. okai", "Ornithoptera goliath procus \u2640f. albopuncta", "Ornithoptera goliath procus \u2642f. moustacheus", "Calyptrolithophora catillifera", "Calyptrolithophora gracillima", "Calyptrolithophora hasleana", "Calyptrolithophora papillifera", "Calyptrosphaera acuta", "Calyptrosphaera globosa", "Calyptrosphaera incisa", "Calyptrosphaera oblonga", "Calyptrosphaera pyriformis", "Calyptrosphaera superba", "Calyptrosphaera uvella", "Pseudoschismatomma rufescens", "Ornithoptera chimaera f. loc. chimaera", "Daktylethra pirus", "Daktylethra punctulata", "Ornithoptera chimaera f. loc. chimaera \u2642f aurata", "Hemigrammus pretoensis", "Corisphaera gracilis", "Coccolithus pelagicus subsp. braarudii", "Coccolithus pelagicus f. hyalinus", "Ornithoptera chimaera f. loc. charybdis", "Ornithoptera chimaera f. loc. flavidior", "Ornithoptera chimaera f. loc. dracaena", "Calcidiscus leptoporus subsp. quadriperforatus", "Calcidiscus leptoporus f. rigidus", "Ornithoptera chimaera f. loc. charybdis \u2642f aurata", "Ornithoptera chimaera f. loc. flavidior \u2642f aurata", "Flosculosphaera calceolariopsis", "Ornithoptera chimaera f. loc. chimaera \u2642f sagnifluens", "Ornithoptera chimaera f. loc. charybdis \u2642f sagnifluens", "Ornithoptera chimaera f. loc. chimaera \u2640f. herminea", "Ornithoptera chimaera f. loc. charybdis \u2640f. herminea", "Ornithoptera chimaera f. loc. chimaera \u2642f confluenta", "Ornithoptera chimaera f. loc. charybdis \u2642f confluenta", "Passerella megarhyncha", "Passerella schistacea", "Passerella unalaschcensis", "Cylichneulia napoana", "Cylichneulia chocoana", "Cylichneulia rotundana", "Cylichneulia luteana", "Reticulofenestra bisecta subsp. filewiczii", "Temnora eranga", "Temnora funebris", "Reticulofenestra pseudoumbilica subsp. gelida", "Reticulofenestra pseudoumbilica var. ampla", "Temnora grandidieri", "Capoeta sevangi", "Capoeta capoeta", "Capoeta sieboldii", "Capoeta bergamae", "Temnora rotundus", "Chrysochromulina acantha", "Chrysochromulina adriatica", "Chrysochromulina ahrengotii", "Chrysochromulina alifera", "Chrysochromulina apheles", "Chrysochromulina bergenensis", "Chrysochromulina bergensis", "Chrysochromulina birgeri", "Chrysochromulina brachycylindra", "Poricalyptra magnaghii", "Poritectolithus poritectum", "Pallas reynaudi", "Phassus violetteae", "Quaternariella obscura", "Sphaerocalyptra quadridentata", "Urophycis brasiliensis", "Oxybasis sect.", "Syracolithus dalmaticus", "Syracolithus ponticuliferus", "Syracolithus schilleri", "Chilasa agestor kuangtungensis", "Oxybasis sect.", "Zygosphaera amoena", "Zygosphaera bannockii", "Zygosphaera hellenica", "Zygosphaera marsilii", "Chrysidalis peritaphrena", "Oxybasis sect.", "Athallia alnetorum", "Capoeta gracilis", "Isochrysis galbana", "Isochrysis litoralis", "Isochrysis maritima", "Isochrysis zhanjiangensis", "Pseudoisochrysis paradoxa", "Scintilla chlorina", "Scintilla splendida", "Capoeta heratensis", "Reticulofenestra bisecta", "Reticulofenestra calicis", "Reticulofenestra maceira", "Reticulofenestra onusta", "Reticulofenestra parvula", "Reticulofenestra perplexa", "Reticulofenestra producta", "Reticulofenestra pseudoumbilica", "Reticulofenestra punctata", "Reticulofenestra sessilis", "Reticulofenestra tenuistriata", "Dendrobium macrophyllum var. macrophyllum", "Parnassius szechenyii etsujii", "Parnassius szechenyii evacaki", "Dendrobium macrophyllum var. subvelutinum", "Parnassius szechenyii szechenyii", "Dendrobium macrophyllum var. ternatense", "Parnassius szechenyii incognitus", "Holmbergia tweedii", "Geostiba solitaria ancyrensis", "Geostiba solitaria tmola", "Geostiba solitaria ulensis", "Geostiba baetica", "Geostiba barcinonensis", "Geostiba comellinii", "Parnassius cephalus panchenlama", "Geostiba major", "Geostiba plicatella zegottaensis", "Geostiba plicatella imouzzerensis", "Geostiba plicatella olisiponensis", "Geostiba plicatella estrelensis", "Geostiba plicatella tarraconensis", "Parnassius labeyriei sakyamuni", "Parnassius andreji verhulsti", "Parnassius imperator quaidami", "Parnassius imperator haveli", "Boloria pales mingi", "Coenonympha semenovi sala", "Gliscolithus amitakarenae", "Helladosphaera cornifera", "Helladosphaera vavilovii", "Holococcolithophora cialdii", "Holococcolithophora dentata", "Holococcolithophora galea", "Holococcolithophora heimdaliae", "Holococcolithophora sphaeroidea", "Epicephala obovatella", "Epicephala corruptrix", "Epicephala parasitica", "Epicephala nudilingua", "Tostallo albescens", "Auroriana colombiana", "Auroriana gemma", "Auroriana florianensis", "Micrallo minutus", "Amblyraja doellojuradoi", "Cautethia fideli", "Sataspes caerulea", "Homozygosphaera spinosa", "Homozygosphaera tholifera", "Homozygosphaera triarcha", "Periphyllophora mirabilis", "Poricalyptra gaarderae", "Poricalyptra isselii", "Matucana haynei subsp. haynei", "Palicella glaucopa", "Epiphyllum lepidocarpum", "Microgynoecium tibeticum", "Hemigrammus skolioplatus", "Geostiba cyprensis", "Geostiba besuchetiana", "Geostiba libanensis", "Geostiba euxina", "Geostiba vivesi", "Geostiba taediosa oukaimedensis", "Geostiba ketamensis", "Geostiba riffensis separata", "Euops angulithorax", "Euops asekianus", "Euops balkei", "Euops kutubu", "Euops wei", "Euops zimmii", "Epicephala anthophilia", "Epicephala lanceolatella", "Epicephala perplexa", "Michaelsarsia adriaticus", "Michaelsarsia elegans", "Gladiolithus flabellatus", "Ornithoptera goliath goliath f. loc. supremus \u2640f. angelicus", "Ornithoptera goliath goliath f. loc. supremus \u2640f. huonensis", "Chrysotila carteri", "Chrysotila dentata", "Chrysotila elongata", "Chrysotila gayraliae", "Ornithoptera goliath goliath f. loc. titan", "Chrysotila haptonemofera", "Chrysotila placolithoides", "Chrysotila pseudoroscoffensis", "Chrysotila scherffelii", "Chrysotila stipitata", "Ornithoptera goliath goliath f. loc. atlas", "Ruttnera chadefaudii", "Ruttnera lamellosa", "Ornithoptera goliath goliath f. loc. ukihidei", "Ruttnera pringsheimii", "Ruttnera litoralis", "Ruttnera maritima", "Ornithoptera goliath procus \u2642f. jeromei", "Ornithoptera goliath procus \u2642f. goudreaulti", "Geostiba gaditana", "Geostiba vidua", "Geostiba douradasensis", "Geostiba bulgarica", "Geostiba ensifera", "Lambiella insularis", "Geostiba osellaiana numantiensis", "Geostiba mysia", "Geostiba albacetensis", "Geostiba smyrnensis", "Geostiba helvetiorum", "Geostiba helvetiorum humicola", "Geostiba helvetiorum obscura", "Geostiba rizensis", "Geostiba oertzeni", "Lambiella psephota", "Billbergia pyramidalis", "Dicrateria gilva", "Dicrateria inornata", "Dicrateria rotunda", "Dicrateria vlkianum", "Oxybasis sect.", "Oxybasis sect.", "Mimas kitchingi", "Blitum antarcticum", "Eumorpha zaplutus", "Eumorpha boivini", "Ambulyx rawlinsi", "Antheraea discata", "Geostiba scheerpeltziana", "Geostiba seleucica", "Oxybasis ambigua", "Erinnyis cubensis", "Leptusa khnzoriani", "Oxybasis amurensis", "Leptusa sibirica", "Leptusa fujiensis", "Aepytus cataguas", "Aepytus tupi", "Oxybasis glauca subsp. salina", "Ophiaster formosus", "Ophiaster minimus", "Ophiaster reductus", "Ophiaster hydroideus", "Athallia vitellinula", "Capoeta angorae", "Capoeta kosswigi", "Capoeta trutta", "Acmispon micranthus", "Acmispon rigidus", "Chrysochromulina breviturrita", "Chrysochromulina camella", "Chrysochromulina campanulifera", "Chrysochromulina cyathophora", "Chrysochromulina cymbium", "Chrysochromulina elegans", "Chrysochromulina ephippium", "Chrysochromulina fragilis", "Chrysochromulina inornamenta", "Chrysochromulina lanceolata", "Chrysochromulina laurentiana", "Chrysochromulina leadbeateri", "Chrysochromulina limonia", "Chrysochromulina mactra", "Chrysochromulina papillata", "Chrysochromulina pseudolanceolata", "Chrysochromulina simplex", "Chrysochromulina vexillifera", "Chrysochromulina scutellum", "Chrysochromulina pringsheimii", "Chrysochromulina novae-zelandiae", "Capoeta antalyensis", "Chrysochromulina mantoniae", "Chrysochromulina parkeae", "Chrysochromulina spinifera", "Chrysochromulina megacylindra", "Chrysochromulina parva", "Chrysochromulina pyramidosa", "Chrysochromulina strobilus", "Chrysochromulina microcylindra", "Chrysochromulina planisquama", "Chrysochromulina pontica", "Chrysochromulina quadrikonta", "Chrysochromulina rotalis", "Chrysochromulina tenuispina", "Chrysochromulina throndsenii", "Athallia cerinella", "Athallia cerinelloides", "Chrysoculter rhomboideus", "Corymbellus aureus", "Temnora scitula scitula", "Syracosphaera molischii", "Temnora scitula pindurensis", "Temnora scitula stanislavi", "Temnora occidentalis", "Temnora procopci", "Temnora procopci procopci", "Temnora procopci similis", "Temnora orientalis", "Athallia pyracea", "Athallia saxifragarum", "Zabuella tenellus", "Haptolina brevifila", "Haptolina ericina", "Haptolina fragaria", "Haptolina herdlensis", "Haptolina hirta", "Selenicereus sect.", "Selenicereus sect.", "Athallia holocarpa", "Prymnesium annuliferum", "Prymnesium calathiferum", "Prymnesium chiton", "Prymnesium czosnowskii", "Prymnesium faveolatum", "Prymnesium kappa", "Prymnesium minus", "Prymnesium minutum", "Prymnesium nemamethecum", "Prymnesium neolepis", "Prymnesium neustophilum", "Prymnesium palpebrale", "Prymnesium parvum", "Prymnesium pienaarii", "Prymnesium pigrum", "Prymnesium polylepis", "Prymnesium radiatum", "Prymnesium saltans", "Prymnesium simplex", "Prymnesium zebrinum", "Prymnesium parvum f. patelliferum", "Pseudohaptolina arctica", "Coronosphaera binodata", "Anomognathus distinctus", "Anomognathus franzi", "Leptusa nepalica lughlensis", "Leptusa annapurnensis", "Leptusa nepalorum", "Coronosphaera maxima", "Neomalota aemula", "Neomalota franzi", "Coronosphaera mediterranea", "Alpinia franzi", "Platyola franzi", "Oxybasis rubra var. humilis", "Athallia scopularis", "Diarsia copria", "Hermonassa selecta", "Acmispon wrangelianus", "Geodorum recurvum", "Oxybasis mexicana", "Pseudaletis clymenus", "Pseudaletis lusambo", "Pseudaletis zebra", "Pseudaletis zebra zebra", "Pseudaletis zebra subangulata", "Borzicactus sepium", "Pseudaletis rileyi", "Pseudaletis taeniata", "Pseudaletis ducarmei", "Pseudaletis busoga", "Pseudaletis leonis", "Hardingia porioni", "Hardingia haxairei", "Hardingia chiriquensis", "Hardingia maximaspina", "Hardingia hornito", "Hardingia haxaca", "Hardingia panamensis", "Hardingia inca", "Hardingia arthuroides", "Hardingia morona", "Hardingia coralia", "Hardingia michoacan", "Hardingia chiapasensis", "Hardingia paquitae", "Hardingia levequei", "Hardingia occidentalis", "Hardingia denticulata", "Hardingia bonnefoyi", "Hardingia toulgoeti", "Hardingia unica", "Hardingia discolor", "Hardingia arthuri", "Hardingia variegata", "Hardingia livida", "Hardingia franclemonti", "Acanthoica acanthifera", "Acanthoica coronata", "Acanthoica janchenii", "Acanthoica maxima", "Acanthoica monospina", "Acanthoica quattrospina", "Acanthoica schilleri", "Anacanthoica acanthos", "Anacanthoica lithostratos", "Cyrtosphaera aculeata", "Discosphaera tubifer", "Rhodambulyx haxairei", "Palusphaera vandelii", "Solisphaera blagnacensis", "Solisphaera emidasia", "Solisphaera helianthiformis", "Calciopappus caudatus", "Calciopappus rigidus", "Temnora scitula", "Caneosphaera halldalii", "Euops batantae", "Euops cyclopensis", "Euops parangulithorax", "Euops simulans", "Euops lobipes", "Euops wallacei", "Hemigrammus taphorni", "Euops spinosus", "Leptusa etrusca apuana", "Leptusa zoiai", "Leptusa areraensis", "Leptusa areraensis areraensis", "Leptusa areraensis elegantula", "Leptusa areraensis gabriellae", "Leptusa ultracollensis", "Leptusa lariensis", "Leptusa orumboviorum", "Euops aculeatus", "Samia vuvanlieni", "Euops gressitti", "Calciosolenia brasiliensis", "Calciosolenia corsellii", "Calciosolenia granii", "Calciosolenia granii var. closterium", "Calciosolenia granii var. cylindrotheciformis", "Calciosolenia murrayi", "Calciosolenia tenuis", "Navisolenia aprilei", "Rhabdolithes claviger", "Hardingia roberti", "Hardingia favieri", "Hardingia pichincha", "Pseudaletis arrhon", "Discolithus crux", "Discolithus fenestratus", "Discolithus trabeculatus", "Discolithus vigintiforatus", "Coelostathma binotata", "Coelostathma contigua", "Coelostathma immutabilis", "Coelostathma parallelana", "Coelostathma insularis", "Coelostathma discopunctana", "Paramorbia chionophthalma", "Paramorbia ithyclina", "Paramorbia rostellana", "Hemigrammus tridens", "Lymanbensonia incachacana", "Hermonassa expatria", "Hermonassa felicita", "Enos falerina", "Calciarcus alaskensis", "Pappomonas flabellifera", "Enos mazurka", "Pappomonas virgulosa", "Pappomonas weddellensis", "Papposphaera arctica", "Papposphaera borealis", "Papposphaera lepida", "Papposphaera obpyramidalis", "Papposphaera polybotrys", "Enos myrtea", "Papposphaera simplicissima", "Trigonaspis diskoensis", "Trigonaspis melvillea", "Trigonaspis melvilleae", "Trigonaspis minutissima", "Capoeta mauricii", "Wigwamma annulifera", "Wigwamma arctica", "Wigwamma antarctica", "Wigwamma scenozonion", "Wigwamma triradiata", "Capoeta buhsei", "Enos thara", "Syracosphaera anthos", "Lohmannosphaera adriatica", "Lohmannosphaera subclausa", "Capoeta saadii", "Capoeta caelestis", "Capoeta damascina", "Pseudaletis antimachus", "Pseudaletis mazanguli", "Laimosemion leticia", "Bellatheta besucheti", "Leptusa fuliginosa", "Leptusa cerrutii", "Leptusa indica opulenta", "Leptusa venusta", "Syracosphaera adriatica", "Syracosphaera ampliora", "Syracosphaera epigrosa", "Syracosphaera didyma", "Syracosphaera dentata", "Syracosphaera nodosa", "Syracosphaera nana", "Syracosphaera rotula", "Syracosphaera reniformis", "Syracosphaera radiata", "Syracosphaera corolla", "Syracosphaera cupulifera", "Syracosphaera delicata", "Syracosphaera lohmannii", "Syracosphaera protrudens", "Enchylium substellatum", "Helicosphaera carteri", "Helicosphaera burkei", "Helicosphaera hyalina", "Helicosphaera wallichii", "Discolithina ovata", "Pontosphaera alboranensis", "Pontosphaera bigelowi", "Pontosphaera borealis", "Pontosphaera discopora", "Pontosphaera echinofera", "Pontosphaera haeckelii", "Pontosphaera inermis", "Pontosphaera japonica", "Pontosphaera nigra", "Pontosphaera ovalis", "Pontosphaera pellucida", "Pontosphaera pietschmannii", "Pontosphaera roscoffensis", "Pontosphaera steueri", "Pontosphaera syracusana", "Pontosphaera variabilis", "Baolia bracteata", "Scyphosphaera apsteinii", "Discoaster berggrenii", "Discoaster monstratus", "Enchylium bachmanianum", "Leptusa ishizuchiensis", "Rhipsalis cereuscula", "Enchylium conglomeratum", "Leptusa merkli", "Leptusa ionopolitana", "Leptusa amisensis", "Leptusa artviniensis", "Leptusa asiatica", "Lucanus chinhillensis", "Neolucanus ingae", "Leptusa subconvexa", "Leptusa herminia", "Syracosphaera pulchra", "Syracosphaera marginiporata", "Syracosphaera andruleitii", "Syracosphaera grundii", "Syracosphaera florida", "Syracosphaera operculata", "Syracosphaera squamosa", "Syracosphaera serrata", "Syracosphaera noroitica", "Syracosphaera castellata", "Syracosphaera hirsuta", "Syracosphaera histrica", "Syracosphaera ovata", "Syracosphaera pemmadiscus", "Syracosphaera cordiformis", "Syracosphaera cornus", "Syracosphaera lamina", "Syracosphaera leptolepis", "Syracosphaera pirus", "Syracosphaera prolongata", "Syracosphaera bifenestrata", "Syracosphaera borealis", "Syracosphaera halldalii", "Syracosphaera orbiculus", "Syracosphaera subsalsa", "Syracosphaera tumularis", "Syracosphaera ossa", "Syracosphaera hastata", "Paraxestia dorsivitta", "Umbellosphaera irregularis", "Umbellosphaera mirabilis", "Umbellosphaera tenuis", "Altipolia griseana", "Chandata elegantula", "Xenotrachea isolata", "Xenotrachea disseminata", "Apamea rectificata", "Euchalcia nepalina", "Enchylium expansum", "Euselasia midas", "Proatriplex pleiantha", "Baeotis capreolus", "Baeotus capreolus capreolus", "Baeotus capreolus robini", "Ornithoptera chimaera f. loc. chimaera \u2642f manguini", "Ornithoptera chimaera f. loc. chimaera \u2642f dioni", "Ornithoptera chimaera f. loc. chimaera \u2642f sanguismaculata", "Leptusa confinis", "Ornithoptera chimaera f. loc. chimaera \u2642f quinquemaculata", "Epinephelus awoara", "Ornithoptera chimaera f. loc. chimaera \u2640f. excellens", "Ornithoptera chimaera f. loc. charybdis \u2642f quinquemaculata", "Ornithoptera chimaera f. loc. flavidior \u2642f aureosedulum", "Ornithoptera tithonus tithonus f. loc. tithonus", "Ornithoptera tithonus tithonus f. loc. waigeuensis", "Chenopodium album subsp. borbasii", "Ornithoptera tithonus tithonus f. loc. misresiana", "Chenopodium pedunculare", "Ornithoptera tithonus tithonus f. loc. misoolana", "Ornithoptera tithonus tithonus f. loc. dominici", "Ornithoptera tithonus tithonus f. loc. elisabethae", "Ornithoptera tithonus tithonus f. loc. wasiorensis", "Leptusa bengalensis", "Actinozygus fragilis", "Leptusa pyrenaica", "Zygodiscus abbottii", "Zygodiscus anthophorus", "Zygodiscus clubhousensis", "Zygodiscus elegans", "Zygodiscus wynnhayi", "Zygodiscus xenotus", "Leptusa estrelensis", "Enchylium coccophorum", "Leptusa reitteri", "Lobogenesis riesteri", "Strophotina apparata", "Rhipidodendron huxleyi", "Pseudaletis batesi", "Pseudaletis batesi batesi", "Spongomonas intestinalis", "Spongomonas solitaria", "Spongomonas uvella", "Pseudaletis batesi zairensis", "Rhabdosphaera hispida", "Rhabdosphaera spinosa", "Rhabdosphaera tignifer", "Rhabdosphaera tubulosa", "Pseudaletis richardi", "Rhabdosphaera xiphos", "Pseudaletis dolieri", "Rhabdolithus anthophorus", "Pseudaletis jolyana", "Rhabdolithus decorus", "Enchylium confertum", "Amithalithina sigmundii", "Amphizygus microminutus", "Athenagalea robusta", "Biscutum boletum", "Biscutum coronum", "Biscutum dissimile", "Biscutum hattneri", "Biscutum magnum", "Biscutum neocoronum", "Biscutum notaculum", "Biscutum patella", "Biscutum tenuiculum", "Biscutum virginicum", "Lasionycta leucocycla magadanensis", "Anarta hampa", "Anarta leucocycla", "Lasiestra leucocycla", "Lasiestra leucocycla hampa", "Corollithion covingtonii", "Corollithion delftense", "Corollithion escovillense", "Corollithion fragile", "Corollithion helotatum", "Corollithion pauciramosum", "Corollithion perch-nielsenii", "Corollithion senarium", "Corollithion silvaradion", "Anarta leucocycla albertensis", "Lasiestra leucocycla albertensis", "Ornithoptera chimaera f. loc. charybdis \u2640f. excellens", "Enchylium flagellatum", "Ornithoptera chimaera f. loc. charybdis \u2642f aureosedulum", "Ornithoptera chimaera f. loc. charybdis \u2642f manguini", "Chenopodium acuminatum subsp. virgatum", "Ornithoptera chimaera f. loc. chimaera \u2642f polyconfluenta", "Ornithoptera chimaera f. loc. charybdis \u2642f polyconfluenta", "Ornithoptera chimaera f. loc. chimaera \u2642f aureosedulum", "Axelrodichthys megadromos", "Enchylium ligerinum", "Axelrodichthys araripensis", "Mawsonia gigas", "Cricolithus granulatus", "Cricolithus scutulatus", "Cyclicargolithus abisectus", "Cyclicargolithus bukryi", "Cyclicargolithus doronicoides", "Cyclicargolithus floridanus", "Cycloperfolithus carlae", "Ornithoptera paradisea chrysanthemum", "Phibalura boliviana", "Dictyococcites abisectus", "Dictyococcites minutus", "Dictyococcites onustus", "Dictyococcites perplexus", "Rhipsalis pachyptera", "Enchylium nipponicum", "Enchylium polycarpon", "Chloroselas taposana", "Chloroselas trembathi", "Ericsonia subpertusa", "Ethmorhabdus camaratus", "Ethmorhabdus frondosus", "Eurhabdus scotus", "Florisphaera profunda", "Heliolithus cantabriae", "Heliolithus kleinpellii", "Heliolithus riedelii", "Heliolithus universus", "Chrysoritis phosphor", "Chenopodium berlandieri var. zschackei", "Moenkhausia xinguensis", "Ornithoptera rothschildi \u2642f. edai", "Ornithoptera rothschildi \u2640f. kenricki", "Ornithoptera rothschildi \u2640f. colorfucus", "Ornithoptera paradisea paradisea f. loc. paradisea \u2642f. jouberti", "Ornithoptera paradisea paradisea f. loc. flavescens \u2642f. multiconfluenta", "Ornithoptera paradisea paradisea f. loc. flavescens \u2642f. hancocki", "Protosqualus argentinensis", "Ornithoptera paradisea paradisea f. loc. flavescens \u2642f. jouberti", "Chloroselas arabica", "Diloma placinum", "Diloma primitivum", "Chloroselas argentea", "Chloroselas azurea", "Chloroselas esmeralda", "Chloroselas esmeralda esmeralda", "Chloroselas esmeralda bilqis", "Chloroselas mazoensis", "Chloroselas minima", "Chloroselas ogadenensis", "Chenopodium berlandieri var. boscianum", "Chloroselas vansomereni", "Enchylium limosum", "Chloroselas overlaeti", "Chloroselas pseudozeritis tytleri", "Chloroselas pseudozeritis umbrosa", "Chloroselas tamaniba", "Ornithoptera paradisea paradisea f. loc. paradisea", "Ornithoptera paradisea paradisea f. loc. flavescens", "Ornithoptera paradisea paradisea f. loc. borchi", "Ornithoptera paradisea paradisea f. loc. demeter", "Ornithoptera paradisea paradisea f. loc. kotaseaoe", "Ornithoptera paradisea paradisea f. loc. wosimiensis", "Ornithoptera tithonus tithonus f. loc. waigeuensis \u2642f aurata", "Ornithoptera tithonus tithonus f. loc. misresiana \u2642f aurata", "Ornithoptera rothschildi \u2642f. aurata", "Ornithoptera paradisea paradisea f. loc. borchi \u2642f. aurata", "Ornithoptera meridionalis \u2642f. aurata", "Ornithoptera meridionalis \u2642f. sagnifluens", "Leptusa leonica", "Ornithoptera tithonus tithonus f. loc. tithonus \u2642f jeannoti", "Ornithoptera tithonus tithonus f. loc. tithonus \u2640f. splendidus", "Lapideacassis blackii", "Lapideacassis multispinata", "Lapideacassis trispina", "Lapideacassis tricornus", "Lapideacassis cornuta", "Lucianorhabdoites columaris", "Lucianorhabdoites cruciatus", "Ornithoptera tithonus tithonus f. loc. waigeuensis \u2642f simoni", "Lucianorhabdoites fusiformis", "Lucianorhabdoites multilateralis", "Lucianorhabdoites xishainensis", "Metadoga mercurius", "Ornithoptera tithonus tithonus f. loc. misresiana \u2642f labbei", "Misceomarginatus pleniporus", "Ornithoptera tithonus tithonus f. loc. misresiana \u2642f jeannoti", "Leptusa gadesensis", "Ornithoptera tithonus tithonus f. loc. misresiana \u2642f nagypalis", "Ornithoptera tithonus tithonus f. loc. misresiana \u2642f sanguismaculata", "Ornithoptera tithonus tithonus f. loc. misresiana \u2640f. citreum", "Ornithoptera tithonus tithonus f. loc. misresiana \u2640f. josetteae", "Leptusa lativentris", "Leptusa lativentris lativentris", "Leptusa lativentris pajarensis", "Multipartis ripliensis", "Najadea gloriosa", "Neocrepidolithus watkinsii", "Neosphaera coccolithomorpha", "Octopodorhabdus plethotretus", "Okkolithus australis", "Pharus simulacrum", "Ramsaya swanseana", "Retecapsa tridentata", "Rhabdolekiskus parallelus", "Teichorhabdus ethmos", "Thiersteinia ecclesiastica", "Trapezopentus sarmatus", "Chenopodium berlandieri var. bushianum", "Chenopodium berlandieri var. macrocalycium", "Ornithoptera paradisea arfakensis f. loc. arfakensis", "Paralinoglossa mjobergi", "Anomalophaena weiseri", "Anebolura longicollis", "Anebolura tropica", "Anebolura sechellarum", "Anebolura rudepunctata", "Scytinium apalachense", "Helichatheta zumpti", "Munarinus keadyi", "Munarinus lesliae", "Munarinus marszaleki", "Orastrum asarotum", "Orastrum campanense", "Ottavianus giannus", "Ottavianus terrazetus", "Russellia bukryi", "Russellia laswellii", "Russellia multiplus", "Palaeopontosphaera erismata", "Palaeopontosphaera veterna", "Staurolithites conus", "Staurolithites sagittus", "Tetralithus campanensis", "Tetralithus copulatus", "Scytinium contortum", "Ahmuellerella dietzmannii", "Arkhangelskiella cribrata", "Arkhangelskiella fenestrata", "Arkhangelskiella primitiva", "Arkhangelskiella striata", "Moenkhausia hemigrammoides", "Moenkhausia georgiae", "Moenkhausia surinamensis", "Axopodorhabdus albianus", "Tetralithus distortus", "Tetralithus gothicus", "Tetralithus mississippiensis", "Tetralithus multiplus", "Tetralithus obscurus", "Tetralithus ovalis", "Tetralithus servator", "Tetralithus tortus", "Vagalapilla aachena", "Vagalapilla dentata", "Ornithoptera paradisea arfakensis f. loc. galatea", "Vekshinella aachena", "Ornithoptera paradisea arfakensis f. loc. orientalis", "Vekshinella dentata", "Protosqualus sigei", "Vekshinella minuta", "Ornithoptera paradisea arfakensis f. loc. wondiboiensis", "Vekshinella parma", "Ornithoptera paradisea arfakensis f. loc. fernandi", "Scyliorhinus destombesi", "Watznaueria fasciata", "Watznaueria frequens", "Watznaueria gronosa", "Watznaueria supracretacea", "Watznaueria virginica", "Orectoloboides parvula", "Ornithoptera paradisea arfakensis f. loc. arfakensis\u2642f. aurata", "Ornithoptera paradisea arfakensis f. loc. arfakensis\u2642f. confluenta", "Ornithoptera paradisea arfakensis f. loc. arfakensis\u2642f. aurifluoides", "Ornithoptera paradisea paradisea f. loc. borchi \u2642f. aurifluoides", "Orectoloboides angulatus", "Cretorectolobus robustus", "Cretorectolobus olsoni", "Eostriatolamia paucicorrugata", "Ornithoptera paradisea paradisea f. loc. paradisea \u2642f. aurifluoides", "Ornithoptera paradisea paradisea f. loc. paradisea \u2642f. gillesi", "Ornithoptera paradisea paradisea f. loc. flavescens \u2642f. gillesi", "Ornithoptera paradisea arfakensis f. loc. arfakensis\u2642f. gillesi", "Ornithoptera paradisea occidentalis f. loc. occidentalis", "Ornithoptera paradisea chrysanthemum\u2642f. gillesi", "Chenopodium cycloides", "Ornithoptera paradisea chrysanthemum f. loc. occidentalis \u2642f. gillesi", "Ptychodus rhombodus", "Roulletia canadensis", "Ornithoptera paradisea chrysanthemum f. loc. occidentalis \u2642f. oculisaureus", "Roulletia bureaui", "Chenopodium desertorum", "Cretoxyrhina agassizensis", "Cardabiodon ricki", "Archingeayia sistaci", "Scytinium aquale", "Engolismaia couillardi", "Hamrabatis bernardezi", "Alisphaera capulata", "Hamrabatis ornata", "Alisphaera extenta", "Squalicorax coquandi", "Alisphaera gaudii", "Alisphaera ordinata", "Alisphaera pinnigera", "Alisphaera quadrilatera", "Alisphaera uncinata", "Alisphaera unicornis", "Polycrater galapagensis", "Ceratolithus cristatus", "Ceratolithus rugosus", "Chrysoritis phosphor phosphor", "Ericiolus spiculiger", "Scytinium aragonii", "Chrysoritis phosphor borealis", "Chenopodium leptophyllum var. oblongifolium", "Chrysoritis brooksi", "Chrysoritis brooksi brooksi", "Scytinium californicum", "Chrysoritis brooksi tearei", "Nannoturba robusta", "Nannoturba spinosa", "Scytinium callopismum", "Scytinium cellulosum", "Moenkhausia copei", "Ferocactus pilosus", "Masdevallia vargasii", "Scytinium plicatile", "Crudaria leroma", "Metaloriculina stramentoides", "Crudaria capensis", "Scytinium polycarpum", "Lipaphnaeus aderna", "Ferocactus pottsii", "Metaloriculina norvicensis", "Lipaphnaeus aderna aderna", "Cyclagelosphaera bergeri", "Cyclagelosphaera reinhardtii", "Axopodorhabdus cylindratus", "Axopodorhabdus dietzmannii", "Axopodorhabdus fusiformis", "Axopodorhabdus gorkae", "Axopodorhabdus gracilis", "Bicolumnus ovatus", "Bidiscus cruciatus", "Bidiscus cruciatus subsp. cruciatus", "Bidiscus ignotus", "Bidiscus ignotus subsp. cruciatus", "Boletuvelum candens", "Broinsonia cribrata", "Broinsonia dentata", "Broinsonia parca", "Broinsonia parca subsp. expansa", "Broinsonia verecundia", "Ischnoglossa minor", "Myzozoa incertae sedis", "Ciliophora incertae sedis", "Graphium schubotzi schubotzi", "Atheta schneideri", "Graphium schubotzi maculata", "Ferocactus macrodiscus", "Scytinium dactylinum", "Scytinium erectum", "Centosphaera barbata", "Chiasmolithus frequens", "Chiasmolithus inconspicuus", "Chiasmolithus minimus", "Chiasmolithus nitidus", "Chiasmolithus titus", "Chiasmolithus solitus", "Chiasmolithus solitus var. inversus", "Ferocactus macrodiscus subsp. septentrionalis", "Chiastozygus angustus", "Chiastozygus mediaquadratus", "Chiastozygus rotatorius", "Chiastozygus trabeculatus", "Ferocactus macrodiscus subsp. macrodiscus", "Coccolithites circumradiatus", "Coccolithites supracretaceus", "Ferocactus flavovirens", "Scytinium fragrans", "Ornithoptera tithonus tithonus f. loc. wasiorensis \u2642f sineaurum", "Chrysoritis nigricans", "Chrysoritis nigricans nigricans", "Ornithoptera tithonus tithonus f. loc. waigeuensis \u2642f sineaurum", "Ornithoptera tithonus tithonus f. loc. misresiana \u2642f sineaurum", "Chrysoritis nigricans rubrescens", "Ornithoptera tithonus tithonus f. loc. tithonus \u2642f deslislei", "Ornithoptera tithonus tithonus f. loc. tithonus \u2642f confluenta", "Ornithoptera tithonus tithonus f. loc. misresiana \u2642f confluenta", "Ornithoptera tithonus tithonus f. loc. misresiana \u2642f lowi", "Chrysoritis nigricans zwartbergae", "Ferocactus schwarzii", "Chrysoritis palmus", "Moenkhausia agnesae", "Ornithoptera tithonus tithonus f. loc. misresiana \u2642f deslislei", "Ornithoptera tithonus tithonus f. loc. misresiana \u2642f gaucheti", "Ornithoptera tithonus tithonus f. loc. misresiana \u2642f crepusculum", "Ornithoptera tithonus tithonus f. loc. misresiana \u2640f. rubicunda", "Ornithoptera paradisea arfakensis f. loc. arfakensis\u2642f. pseudomeridionalis", "Trachycaris rugosa", "Ornithoptera paradisea arfakensis f. loc. arfakensis\u2642f. schencki", "Ornithoptera paradisea arfakensis f. loc. arfakensis\u2642f. zoeae", "Ornithoptera paradisea arfakensis f. loc. arfakensis\u2642f. noiare", "Ornithoptera paradisea paradisea f. loc. flavescens \u2642f. oculisaureus", "Ornithoptera paradisea arfakensis f. loc. arfakensis\u2642f. oculisaureus", "Scytinium leptogioides", "Ornithoptera paradisea paradisea f. loc. flavescens \u2642f. jeanpierrei", "Ornithoptera paradisea paradisea f. loc. borchi \u2642f. oculisaureus", "Ornithoptera paradisea paradisea f. loc. borchi \u2642f. jeanpierrei", "Scytinium lichenoides", "Ornithoptera paradisea chrysanthemum\u2642f. oculisaureus", "Ornithoptera paradisea chrysanthemum\u2640f. sabinae", "Ornithoptera paradisea occidentalis f. loc. occidentalis \u2642f. oculisaureus", "Ornithoptera paradisea occidentalis f. loc. occidentalis \u2642f. gillesi", "Scytinium palmatum", "Ornithoptera meridionalis \u2642f. confluenta", "Ornithoptera meridionalis \u2642f. hiromii", "Ornithoptera meridionalis \u2642f. maculafuscus", "Loriculina colombiana", "Ornithoptera meridionalis \u2642f. pasternaki", "Ornithoptera meridionalis \u2640f. kobayashii", "Ornithoptera meridionalis \u2640f. odileae", "Ornithoptera meridionalis \u2642f. sclavoi", "Ornithoptera paradisea paradisea f. loc. flavescens \u2642f. bankoi", "Ornithoptera paradisea paradisea f. loc. flavescens \u2642f. nigrumpunctata", "Ornithoptera paradisea paradisea f. loc. flavescens \u2640f. noctisi", "Scytinium gelatinosum", "Ornithoptera rothschildi \u2642f. imperialis", "Ornithoptera paradisea paradisea f. loc. flavescens \u2642f. noiare", "Ornithoptera rothschildi \u2642f.sublustris", "Ornithoptera rothschildi \u2640f. illustris", "Ornithoptera rothschildi \u2642f. fabricei", "Ornithoptera rothschildi \u2640f. mariejeanneae", "Ornithoptera rothschildi \u2642f. kenricki", "Ornithoptera rothschildi \u2642f. maculatuscaeroleus", "Balkaria histiopterygia", "Ornithoptera rothschildi \u2642f. oceanus", "Ornithoptera rothschildi \u2640f. kirschoides", "Scytinium imbricatum", "Scytinium intermedium", "Moenkhausia grandisquamis", "Leptusa hummleri", "Scytinium juniperinum", "Leptusa cabrerensis", "Leptusa franzi", "Leptusa roscidavallensis", "Ornithoptera paradisea arfakensis f. loc. arfakensis\u2642f. antoni", "Leptusa franziana", "Ornithoptera paradisea arfakensis f. loc. arfakensis\u2642f. caudaflammeus", "Ornithoptera paradisea arfakensis f. loc. arfakensis\u2642f. ouvaroffi", "Leptusa deprehendens", "Ornithoptera paradisea arfakensis f. loc. arfakensis\u2642f. defayettei", "Leptusa vermiensis", "Chrysoritis palmus palmus", "Chrysoritis palmus margueritae", "Craspedolithus vidalii", "Crassapontosphaera jonesii", "Cretarhabdella bergenii", "Cretarhabdus quadratus", "Cribrosphaerella danica", "Cribrosphaerella linea", "Cribrosphaerella primitiva", "Cryptococcolithus takayamae", "Chrysoritis swanepoeli", "Ferocactus alamosanus", "Chrysoritis swanepoeli swanepoeli", "Lentipes argenteus", "Lentipes ikeae", "Lentipes mekonggaensis", "Chrysoritis swanepoeli hyperion", "Scytinium parculum", "Loriculina ifrimae", "Scytinium platynum", "Cyclolithella ferrazae", "Cyclolithella inflexa", "Cyclolithus gronosus", "Cyclolithus robustus", "Cylindralithus echinus", "Moenkhausia atahualpiana", "Moenkhausia eigenmanni", "Leweslepas acuminata", "Leweslepas hauschkei", "Scytinium rivale", "Leptusa trumplinensis", "Leptusa camunnensis", "Leptusa tusculanensis", "Leptusa pizzocolensis", "Leptusa mandli", "Leptusa mandli mandli", "Leptusa mandli golemiensis", "Leptusa pinkeri transmontana", "Leptusa pinkeri pavesii", "Leptusa kaszabi", "Ferocactus chrysacanthus", "Ferocactus chrysacanthus subsp. chrysacanthus", "Ferocactus chrysacanthus subsp. grandiflorus", "Dictyolithus elegans", "Ellipsagelosphaera frequens", "Ellipsolithus bollii", "Ellipsoplacolithus productus", "Gartnerago nanum", "Grantarhabdus camaratus", "Helicopontosphaera ampliaperta", "Helicopontosphaera burkei", "Ornithoptera croesus croesus f. loc. croesus", "Heliorthus chiastus", "Heterorhabdus sinuosus", "Ornithoptera croesus croesus f. loc. wallacei", "Hornibrookina edwardsii", "Ornithoptera croesus croesus f. loc. helios", "Chela macrolepis", "Scytinium schraderi", "Pempheris adusta", "Ornithoptera croesus lydius f. loc. toeantei", "Lipaphnaeus aderna pan", "Ornithoptera croesus croesus f. loc. croesus \u2642f. berchmansi", "Lipaphnaeus aderna spindasoides", "Pempheris mangula", "Euops paraspinosus", "Lipaphnaeus eustorgia", "Ornithoptera croesus croesus f. loc. wallacei \u2642f. berchmansi", "Leweslepas obsoleta", "Scytinium turgidum", "Lipaphnaeus leonina", "Leweslepas wrightorum", "Carpobrotus deliciosus", "Scytinium biatorinum", "Stramentum praecursor", "Scytinium bosoense", "Leptusa pasubiana", "Leptusa pasubiana pauli", "Parachrysidalis estuarialis", "Scytinium tenuissimum", "Parhabdolithus eboracensis", "Parhabdolithus swinnertonii", "Percivalia fenestrata", "Leptusa pseudoalpestris", "Petrarhabdus copulatus", "Leptusa pseudoalpestris venetiana", "Leptusa wechseliensis", "Leptusa cavallicola", "Podorhabdus albianus", "Podorhabdus cylindratus", "Podorhabdus fusiformis", "Podorhabdus gorkae", "Podorhabdus gracilis", "Podorhabdus reinhardtii", "Prinsius minutus", "Ciliophrys infusionum", "Carpobrotus virescens", "Carpobrotus rossii", "Carpobrotus quadrifidus", "Carpobrotus modestus", "Carpobrotus mellei", "Ornithoptera croesus lydius f. loc. lydius \u2640f. jeannedarcae", "Markalius reinhardtii", "Markalius variabilis", "Ornithoptera croesus croesus f. loc. helios \u2642f. foli", "Microstaurus quadratus", "Microstaurus conus", "Ornithoptera croesus croesus f. loc. helios\u2642f. atalli", "Monomarginatus pectinatus", "Ornithoptera croesus lydius f. loc. lydius \u2642f. pseudocroesus", "Monomarginatus quaternarius", "Neochiastozygus cearae", "Ornithoptera croesus lydius f. loc. toeantei \u2640f. agatheae", "Nephrolithus frequens", "Nephrolithus miniporus", "Octocyclus reinhardtii", "Ornithoptera croesus lydius f. loc. toeantei \u2640f. fusca", "Wiseorhabdus inversus", "Zeugrhabdotus kerguelensis", "Zygolithus angustus", "Zygolithus chiastus", "Zygolithus delftensis", "Zygolithus xenotus", "Ornithoptera croesus lydius f. loc. lydius \u2640f. fusca", "Moenkhausia tridentata", "Scytinium subtile", "Leweslepas hattini", "Leptusa juliana", "Leptusa cavallensis", "Coryogalops guttatus", "Proboscidium armatum", "Coryogalops pseudomonospilus", "Tomares romanovi", "Tomares romanovi romanovi", "Tomares romanovi cachetinus", "Bijlia dilatata", "Chenopodium iljinii", "Tomares nesimachus", "Chenopodium incanum var. elatum", "Chenopodium incanum var. occidentale", "Tomares nogelii", "Tomares nogelii nogelii", "Tomares nogelii dobrogensis", "Tomares mauritanicus", "Sarcozona praecox", "Scytinium palustre", "Ornithoptera croesus croesus f. loc. helios\u2642f. berchmanni", "Pempheris nesogallica", "Ornithoptera croesus lydius f. loc. lydius \u2642f. berchmansi", "Ornithoptera croesus lydius f. loc. lydius \u2642f. nigra", "Scytinium subaridum", "Ornithoptera croesus lydius f. loc. toeantei \u2642f. berchmansi", "Ornithoptera croesus lydius f. loc. toeantei \u2642f. nigra", "Euops zimmermanni", "Ornithoptera croesus croesus f. loc. croesus \u2642f. lydioides", "Ornithoptera croesus croesus f. loc. wallacei \u2642f. lydioides", "Euops paniaiensis", "Ornithoptera croesus croesus f. loc. croesus \u2642f. boutoni", "Euops yali", "Ornithoptera croesus lydius f. loc. lydius \u2642f. watsoni", "Ornithoptera croesus lydius f. loc. lydius \u2642f. boutoni", "Ornithoptera croesus lydius f. loc. toeantei \u2642f. boutoni", "Ornithoptera croesus lydius f. loc. toeantei \u2642f. watsoni", "Scytinium siskiyouenses", "Ornithoptera croesus croesus f. loc. croesus \u2642f. biaureomaculata", "Ornithoptera croesus croesus f. loc. wallacei \u2642f. biaureomaculata", "Euops monstruosus", "Ornithoptera croesus croesus f. loc. wallacei \u2642f. andrea", "Euops pseudomonstruosus", "Ornithoptera croesus lydius f. loc. lydius \u2642f. andrea", "Ornithoptera croesus lydius f. loc. lydius \u2642f. carinae", "Ornithoptera croesus lydius f. loc. toeantei \u2642f. carinae", "Ornithoptera croesus lydius f. loc. toeantei \u2642f. croesuides", "Ornithoptera croesus lydius f. loc. toeantei \u2642f. martini", "Ornithoptera croesus croesus f. loc. croesus \u2640f. bahmedi", "Ornithoptera croesus croesus f. loc. wallacei \u2642f. foli", "Tomares telemachus", "Mesotyphlus andreinii", "Mesotyphlus bordonii", "Mesotyphlus grossetensis", "Leptusa casalei", "Aphelia gregalis", "Aphelia polyglochina", "Aphelia mongoliana", "Parastramentum brydonei", "Jalmenus ictinus", "Ornithoptera priamus priamus f. loc. priamus \u2642f. cronius", "Ornithoptera priamus priamus f. loc. priamus \u2642f. cassandra", "Ornithoptera priamus priamus f. loc. priamus \u2642f. transiens", "Ornithoptera priamus priamus f. loc. priamus \u2642f. viridocellularis", "Ornithoptera paradisea arfakensis f. loc. galatea\u2642f. oculisaureus", "Halteria chlorelligera", "Halteria grandinella", "Halteria activa", "Pelagohalteria cirrifera", "Meseres cordiformis", "Meseres corlissi", "Stramentum alekseevi", "Leptusa foroiuliensis", "Leptusa plitvicensis", "Leptusa zanettiorum", "Leptusa tridentina", "Leptusa montispasubii", "Leptusa montispasubii montispasubii", "Leptusa montispasubii settei", "Leptusa kahleni", "Leptusa brachati", "Leptusa tirolensis", "Leptusa tirolensis tirolensis", "Leptusa tirolensis zanettii", "Leptusa benacensis", "Leptusa benacensis benacensis", "Leptusa benacensis lonai", "Leptusa baldensis", "Leptusa baldensis baldensis", "Leptusa baldensis strupiana", "Leptusa baldensis kahleni", "Leptusa manfredi", "Azara alpina", "Microphysogobio brevirostris", "Lynnella semiglobulosa", "Boyeria irene", "Leptotyphlus elbanus", "Ornithoptera priamus priamus f. loc. priamus \u2642f. divina", "Ornithoptera priamus priamus f. loc. priamus \u2640f. addenda", "Tomares callimachus", "Ornithoptera priamus priamus f. loc. priamus \u2642f. radiata", "Leptusa paradoxa paradoxa", "Ornithoptera priamus priamus f. loc. priamus \u2642f. fasciata", "Ornithoptera priamus priamus f. loc. priamus \u2642f. aureofasciata", "Leptusa paradoxa poggiana", "Ornithoptera priamus priamus f. loc. priamus \u2640f. obscurus", "Leptusa paradoxa gardinii", "Balantidium sigani", "Leptusa paradoxa tendana", "Leptusa mancinii", "Tomares desinens", "Leptusa sanfilippoi", "Tomares desinens desinens", "Tomares desinens mebep", "Sambucus sieboldiana", "Bryozobia rossi", "Mesembryanthemum subg.", "Mesembryanthemum sect.", "Mesembryanthemum sect.", "Parastramentum peakei", "Mesembryanthemum eurystigmatum", "Parastramentum expansum", "Mesembryanthemum sect.", "Mesembryanthemum sect.", "Meotica kuehnelti", "Leptusa brixiensis", "Leptusa pilatensis", "Leptusa pilatensis pilatensis", "Leptusa pilatensis camunnoruma", "Leptusa rosai", "Boloria alaskensis", "Boloria alaskensis alaskensis", "Scytinium chibaense", "Reinhardtites elegans", "Rhabdolithina swinnertonii", "Rucinolithus magnus", "Scampanella asymmetrica", "Scampanella bispinosa", "Scampanella cornuta", "Scampanella magnifica", "Scampanella wisei", "Seribiscutum pinnatum", "Seribiscutum primitivum", "Seribiscutum salebrosum", "Sphenolithus belemnos", "Sphenolithus elongatus", "Sphenolithus heteromorphus", "Sphenolithus neoabies", "Striatomarginis veterna", "Uniplanarius gothicus", "Uniplanarius trifidus", "Tetrapodorhabdus decorus", "Tubirhabdus rhombicus", "Turrilithus latericioides", "Lipaphnaeus leonina leonina", "Epichoristodes chalicodes", "Arachnidiopsis paradoxa", "Pachyluncaria pachyluncus", "Aphelia aberdarica", "Scytinium parvum", "Aphelia albociliana", "Aphelia caradjana", "Scytinium rogersii", "Aphelia conscia", "Scytinium subfragrans", "Aphelia insincera", "Aphelia euxina", "Scytinium subtorulosum", "Andinoacara pulcher", "Chenopodium pamiricum", "Scytinium tetrasporum", "Aphelia paleana", "Aphelia christophi", "Aphelia galilaeica", "Aphelia effigies", "Aphelia koebelei", "Aphelia septentrionalis", "Aphelia alleniana", "Aphelia alleniana alleniana", "Aphelia alleniana rindgeorum", "Leptusa angustiarumberninae", "Leptusa angustiarumberninae angustiarumberninae", "Leptusa angustiarumberninae rosaorum", "Leptusa pinkeri victoris", "Pegasus tetrabelos", "Tomares fedtschenkoi", "Tomares fedtschenkoi fedtschenkoi", "Parastramentum albertaensis", "Tomares fedtschenkoi alpina", "Intramacronucleata incertae sedis", "Ornithoptera croesus lydius f. loc. lydius \u2642f. flammeus", "Ornithoptera croesus lydius f. loc. lydius \u2642f. laplantei", "Ornithoptera croesus lydius f. loc. lydius \u2642f. perroni", "Ornithoptera croesus lydius f. loc. lydius \u2642f. nigrocincta", "Ornithoptera croesus lydius f. loc. lydius \u2642f. olivei", "Ornithoptera croesus lydius f. loc. lydius \u2642f. pannis", "Ornithoptera croesus lydius f. loc. lydius \u2640f. nudus", "Ornithoptera croesus lydius f. loc. lydius \u2640f. reducta", "Scytinium euthallinum", "Scytinium fragile", "Ornithoptera aesacus \u2642f. maculatusaurum", "Ornithoptera aesacus \u2640f. tenebricosa", "Ornithoptera aesacus \u2642f. christophi", "Ornithoptera aesacus \u2642f. viridari", "Ornithoptera aesacus \u2642f. azurus", "Scytinium kauaiense", "Ornithoptera aesacus \u2642f. hudsoni", "Ornithoptera aesacus \u2642f. claudei", "Ornithoptera aesacus \u2642f. solioccassus", "Ornithoptera aesacus \u2642f. nadiae", "Ornithoptera aesacus \u2640f. massaea", "Ornithoptera aesacus \u2640f. purpurea", "Ornithoptera priamus priamus f. loc. priamus", "Ornithoptera priamus priamus f. loc. sclavoi", "Lipaphnaeus leonina bitje", "Ornithoptera priamus poseidon f. loc. poseidon", "Ornithoptera priamus poseidon f. loc. pronomus", "Scytinium magnussonii", "Ornithoptera priamus poseidon f. loc. teucrus", "Lipaphnaeus leonina ivoirensis", "Lipaphnaeus leonina paradoxa", "Scytinium massiliense", "Lipaphnaeus loxura", "Jalmenus aridus", "Eucharis formosa", "Jalmenus clementi", "Paliavana tenuiflora", "Jalmenus dameli", "Jalmenus eichhorni", "Jalmenus eubulus", "Graphorkis lurida", "Moxostoma anisurum", "Graphorkis ecalcarata", "Moxostoma carinatum", "Jalmenus icilius", "Moxostoma macrolepidotum", "Jalmenus icilius icilius", "Jalmenus icilius mitchelli", "Jalmenus icilius parvus", "Graphorkis concolor", "Graphorkis concolor var. concolor", "Graphorkis concolor var. alphabetica", "Jalmenus inous inous", "Jalmenus lithochroa", "Jalmenus inous notocrucifer", "Chenopodium acerifolium", "Cylindropsis vignai", "Metrotyphlus sbordonii", "Vulda sbordonii", "Phragmataecia valikhanovi", "Phragmataecia castaneae var. albida", "Odorrana lipuensis", "Ainoa bella", "Euriphene grosesmithi grosesmithi", "Euriphene grosesmithi muehlenbergi", "Trapelia stipitata", "Hermonassa claricostata", "Hermonassa euxoides", "Anaplectoides secreta", "Chenopodium subglabrum", "Lacanobia behouneki", "Valeriodes aurantiaca", "Transeuplexia violascens", "Transeuplexia grisea", "Eicochrysops damiri", "Cylindropsis andreinii", "Cylindropsis andreinii andreinii", "Eagris sabadius sabadius", "Cylindropsis andreinii bordonii", "Masonhalea inermis", "Heliconia subg.", "Blennothallia crispa", "Pseudalmenus chlorinda", "Actaea acantha", "Heliconia episcopalis", "Leptusa hummleriana", "Eagris sabadius isabella", "Entomoculia maremmana", "Entomoculia pardii", "Leptotyphlus uccellinensis", "Mesotyphlus etruscus", "Eagris sabadius comorana", "Leptusa norica", "Eagris sabadius maheta", "Leptusa petzeniensis petzeniensis", "Geostiba lagrecai", "Geostiba nebrodensis", "Perisama patara", "Geostiba lonai", "Perisama patara patara", "Geostiba lonai lonai", "Perisama patara gallardi", "Geostiba lonai amestratiensis", "Perisama patara arletta", "Geostiba maroneiensis", "Geostiba panormitana", "Geostiba siciliana", "Jalmenus evagoras evagoras", "Perisama tryphena", "Perisama tryphena tryphena", "Perisama tryphena asormani", "Perisama tryphena cauca", "Perisama tryphena fernandezi", "Perisama tryphena pallida", "Perisama tryphena pastaza", "Perisama affinis", "Graphorkis medemiae", "Clepsis enervis", "Anommatus curtii", "Clepsis pelospila", "Anommatus curtii forojuliensis", "Anommatus curtii prealpinus", "Anommatus curtii tarvisianus", "Anommatus julianus", "Anommatus lombardus", "Chenopodium loureiroi", "Anommatus monsfortensis", "Anommatus pasubianus", "Anommatus vicentinus", "Entomoculia rosai", "Chenopodium mucronatum", "Mickelopteris cordata", "Chenopodium nesodendron", "Bryaxis kahleni", "Leptusa lessiniensis", "Leptusa bellica", "Leptusa montiscathedrae", "Aspicilia bicensis", "Hypotrichia incertae sedis", "Leptusa apennina", "Chenopodium bryoniifolium", "Chenopodiastrum gracilispicum", "Chenopodium karoi", "Chenopodium atripliciforme", "Chenopodium ficifolium subsp. blomianum", "Chenopodium novopokrovskyanum", "Chenopodium albescens", "Chenopodium foggii", "Pseudalmenus chlorinda chlorinda", "Chenopodium adpressifolium", "Pseudalmenus chlorinda chloris", "Pseudalmenus chlorinda zephyrus", "Blennothallia fecunda", "Chenopodium auricomiforme", "Blennothallia furfureola", "Chenopodium auricomum", "Zesius phaeomallus", "Zesius chrysomallus", "Leptusa savonensis", "Metrotyphlus goritianus", "Alevonota crypticola", "Leptusa italica", "Leptusa kochiana aspromontana", "Leptusa osellai", "Chenopodium cyanifolium", "Pseudorphe pyrex", "Chenopodium detestans", "Artines maya", "Blennothallia novozelandica", "Rostania callibotrys", "Rostania ceranisca", "Rostania occultata", "Rostania coccophylla", "Cephalotyphlus florentinus", "Leptotyphlus senensis", "Artines aquilina", "Artines focus", "Artines fosca", "Artines bipunctata", "Artines rica", "Chenopodium ficifoliiforme", "Chenopodium ayare", "Chenopodium capillare", "Chenopodium chaldoranicum", "Leptusa leonhardi", "Leptusa brigantii", "Chenopodium cordobense", "Leptusa kochiana", "Leptusa kochiana kochiana", "Leptusa salernitana", "Leptusa etrusca etrusca", "Leptusa oropaensis", "Leptusa taurinensis", "Leptusa poggii", "Leptusa cuneensis", "Leptusa binaghii", "Leptusa tenuissima", "Chenopodium crusoeanum", "Leptusa tenuissima tenuissima", "Leptusa tenuissima ligurica", "Stichorkis disticha", "Leptusa ceresoleana ceresoleana", "Leptusa ceresoleana zangherii", "Leptusa sibyllinica sibyllinica", "Leptusa sibyllinica doderoana", "Leptusa sibyllinica franzinii", "Chenopodium curvispicatum", "Leptusa luigionii", "Leptusa luigionii luigionii", "Clepsis powelli", "Chenopodium nitens", "Clepsis laxa", "Clepsis smicrotes", "Clepsis penetralis", "Clepsis devexa", "Clepsis metalleta", "Clepsis opinabilis", "Fringilla polatzeki", "Delias vietnamensis pequini", "Paracollema almbornii", "Paracollema italicum", "Yucca queretaroensis", "Yucca \u00d7 andreana", "Chenopodium flabellifolium", "Megatyphlus carniolicus", "Megatyphlus carniolicus carniolicus", "Megatyphlus carniolicus goritianus", "Megatyphlus carniolicus strupianus", "Chenopodium frigidum", "Chenopodium frutescens", "Rostania multipunctata", "Chenopodium harae", "Arrhenes elena", "Atriplex pallida", "Rostania laevispora", "Arrhenes floresia", "Arrhenes martha", "Chenopodium hastatifolium", "Aides duma", "Aides duma duma", "Chenopodium hederiforme", "Chenopodium helenense", "Aides duma argyrina", "Chenopodium hubbardii", "Rostania quadrata", "Chenopodium jenissejense", "Clepsis danilevskyi", "Clepsis clemensiana", "Clepsis fatiloqua", "Clepsis finitima", "Viola canadensis var. rugulosa", "Viola canadensis var. scariosa", "Viola canadensis var. scopulorum", "Viola canadensis var. canadensis", "Chenopodium littoreum", "Clepsis virescana", "Clepsis virescana virescana", "Clepsis virescana salebrosa", "Chenopodium lobodontum", "Clepsis rasilis", "Leptotyphlus viti", "Euptychia truncata", "Allotyphlus pacei", "Euptychia pillaca", "Allotyphlus pacei pacei", "Euptychia padroni", "Allotyphlus pacei baldensis", "Euptychia enyita", "Allotyphlus pacei monsfortensis", "Euptychia granatina", "Allotyphlus pacei marosticaensis", "Leptotyphlus foroiuliensis", "Leptotyphlus lessinicus", "Leptotyphlus veronensis", "Alpinia rosai", "Bellatheta rosai", "Euptychia cesarense obtusa", "Euptychia fernandae", "Euptychia pegasus", "Callome multipartita", "Lathrobium oblitum", "Scotonomus auruncus", "Scotonomus ausonius", "Scotonomus calaber", "Scotonomus lepinensis", "Scotonomus picentinus", "Scotonomus viator", "Vulda lepinensis", "Vulda simbruinica", "Kodinskaspis angarensis", "Tesakoviaspis concentrica", "Phractocephalus ivy", "Heteralepas cantelli", "Septentrionia dissimilis", "Septentrionia lancifera", "Septentrionia mucronata", "Septentrionia seducta", "Tahulalepis elongituberculata", "Birkenia robusta", "Birkenia elegans", "Hoburgilepis papillata", "Rhyncholepis butriangula", "Rhyncholepis parvula", "Silmalepis erinacea", "Vesikulepis funiforma", "Maurylepis lacrimans", "Schidiosteus mustelensis", "Rytidolepis quenstedtii", "Liivilepis curvata", "Manbrookia asperella", "Spokoinolepis alternans", "Ruhnulepis longicostata", "Allotyphlus transhadriaticus", "Allotyphlus garganicus", "Cyrtotyphlus convexus", "Entomoculia apuana", "Entomoculia doderoi", "Entomoculia etrurica", "Entomoculia hadriatica", "Entomoculia ligurica", "Entomoculia montisconeri", "Entomoculia pretiosa", "Mesotyphlus calaber", "Mesotyphlus solarii", "Neocyrtotyphlus apulus", "Leptotyphlus anachoreta", "Leptotyphlus calabricus", "Leptotyphlus campanus", "Leptotyphlus circaeus", "Protogastrostyla pulchra", "Agave subg.", "Spiroamphisiella hembergeri", "Jamoytius kerwoodi", "Euphanerops longaevus", "Arandaspis prionotolepis", "Lathagrium auriforme", "Agave sect.", "Tripleurospermum rosellum var. album", "Stangeleon longipalpus", "Tripleurospermum rosellum var. rosellum", "Astraspis desiderata", "Agave sect.", "Oniscolepis dentata", "Phycitiplex eugrammus", "Agave sect.", "Phycitiplex doddi", "Phycitiplex eremnus", "Phycitiplex obscurior", "Mammillaria mammillaris", "Geostiba rossii", "Geostiba veneta", "Geostiba alexandri", "Geostiba aspromontana", "Geostiba circaea", "Geostiba ionica", "Geostiba osellai", "Geostiba picena", "Geostiba simbruinica", "Geostiba anxanensis", "Geostiba calva", "Geostiba cerrutii", "Geostiba cosentina", "Geostiba hernica", "Geostiba lepinensis", "Geostiba sacra", "Geostiba samnitica", "Geostiba tyrrhenica", "Cosmetra fibigeri", "Cosmetra truncana", "Cosmetra multidentana", "Cosmetra usambarensis", "Cosmetra juu", "Tolypelepis undulata", "Lathagrium neglectum", "Phyllonorycter elmaella", "Lathagrium poeltii", "Eriptychius americanus", "Lathagrium subundulatum", "Chthamalus newmani", "Psammomitra radiosa", "Psammomitra retractilis", "Viola corsica subsp. ilvensis", "Viola corsica subsp. corsica", "Viola limbarae", "Rallus indicus", "Bathysciola anxanensis", "Bathysciola hadriatica", "Bathysciola picena", "Bathysciola volsiniensis", "Bathysciola volsiniensis volsiniensis", "Bathysciola volsiniensis sibyllina", "Jamides vasilia", "Meleonoma triangula", "Meleonoma dorsolobulata", "Meleonoma elongata", "Meleonoma bilobata", "Meleonoma aridula", "Meleonoma capnodyta", "Meleonoma crocomitra", "Meleonoma heterota", "Meleonoma implexa", "Meleonoma impulsa", "Meleonoma nephospora", "Meleonoma petrota", "Meleonoma psammota", "Meleonoma pardalias", "Meleonoma stomota", "Meleonoma diehlella", "Meleonoma basanista", "Thapsinotypa anthemodes", "Teinotarsina aurantiaca", "Phlogophora skraelingia", "Plusia secedens", "Anarta secedens", "Polia secedens", "Anartomima secedens", "Anarta phaea", "Lasiestra impingens phaea", "Chenopodium nitrariaceum", "Chenopodium obscurum", "Chenopodium olukondae", "Chenopodium papulosum", "Oxybasis parodii", "Chenopodium parryi", "Chenopodium philippianum", "Chenopodium phillipsianum", "Mayetia lunensis", "Mayetia ligur", "Mayetia italica", "Chenopodium pueblense", "Chenopodium rugosum", "Chenopodium ruiz-lealii", "Chenopodium sanctaeclarae", "Chenopodium sancti-ambrosii", "Chenopodium santoshei", "Leptotyphlus remensis", "Leptotyphlus finalensis", "Leptotyphlus savonensis", "Leptotyphlus albingaunicus", "Leptotyphlus nerviensis", "Geostiba florentina", "Geostiba samai", "Geostiba josephi", "Exaerete guaykuru", "Exaerete trochanterica", "Diamphidaxona dolichosoma", "Diamphidaxona imamurai", "Diamphidaxona pallida", "Erinacellus dendroides", "Scaphisoma jaliscanum", "Scaphisoma cortesaguilari", "Scaphisoma opochtli", "Scaphisoma versicolor", "Erinacellus schmidtii", "Farlowella altocorpus", "Farlowella isbruckeri", "Farlowella jauruensis", "Farlowella taphorni", "Farlowella nattereri", "Farlowella odontotumulus", "Leioproctus idiotropoptera", "Stephanostomum talakitok", "Xenos formosanus", "Xenos yamaneorum", "Xenos circularis", "Phycitiplex tricinctus", "Phycitiplex unicinctus", "Phycitiplex peralta", "Phycitiplex trichroma", "Phycitiplex lepidus", "Phycitiplex charieis", "Lathagrium cristatum", "Lathagrium dichotomum", "Lathagrium durietzii", "Leptotyphlus foveiceps", "Lathagrium fuscovirens", "Leptotyphlus giglionicus", "Leptotyphlus inopinatus", "Leptotyphlus lepinensis", "Leptotyphlus liguricus", "Leptotyphlus martellii", "Leptotyphlus mimus", "Leptotyphlus molisensis", "Leptotyphlus picenus", "Leptotyphlus romanus", "Leptotyphlus ruffoi", "Leptotyphlus samniticus", "Leptotyphlus tyrrhenius", "Stenus guttulifer", "Geostiba mendax", "Atrovirensis atrovirens", "Atrovirensis parannamita", "Atrovirensis sinica", "Atrovirensis furcatus", "Atrovirensis sacculatus", "Atrovirensis miraculosus", "Atrovirensis euplexina", "Vachellia drepanolobium", "Agave sect.", "Cosmetra larseni", "Agave sect.", "Lathagrium latzelii", "Cosmetra tumulata", "Conopea exothobasis", "Amphisiellidae incertae sedis", "Kahliellidae incertae sedis", "Banyulsella viridis", "Urostylida incertae sedis", "Stichotrichia incertae sedis", "Erniella wilberti", "Conopea margaretae", "Cephennium garganicum", "Euthiopsis ventricosa", "Copibryophila angelica", "Lichenostigma fellhanerae", "Telostholus alobscuratus", "Telostholus nontuberatus", "Telostholus verticitumidus", "Chenopodium tonkinense", "Chenopodium scabricaule", "Chenopodium spegazzinii", "Chenopodium stenophyllum", "Acasta vipensis", "Chenopodium subficifolium", "Montanoa subg.", "Montanoa sect.", "Chenopodium subopulifolium", "Conopea basicuneata", "Certesia quadrinucleata", "Cyanus pichleri subsp. extrarosularis", "Cyanus pichleri subsp. pichleri", "Cyanus cheiranthifolius subsp. willdenowii", "Montanoa sect.", "Rallus crepitans", "Cyanus cheiranthifolius subsp. cheiranthifolius", "Montanoa ser.", "Rallus obsoletus", "Colpodea incertae sedis", "Mycterothrix tuamotuensis", "Rhyposophrya aplanata", "Chenopodium trigonocarpum", "Chenopodium ulbrichii", "Leptopharynx torpens", "Diamphidaxona cramerae", "Chenopodium zerovii", "Diamphidaxona chihuahua", "Diamphidaxona sabinalensis", "Diamphidaxona chiricahua", "Diamphidaxona cavecreekensis", "Diamphidaxona parvacetabula", "Diamphidaxona neomexicana", "Diamphidaxona brevitarsa", "Diamphidaxona platysoma", "Diamphidaxona californica", "Diamphidaxona arizonica", "Cyrtotyphlus winkleri", "Tychobythinus foroiuliensis", "Cephalotyphlus foroiuliensis", "Cephalotyphlus vicetinus", "Terastia africana", "Terastia meticulosalis", "Terastia subjectalis", "Amaralia oviraptor", "Foreyclupea loonensis", "Oeneis polixenes katahdin", "Ranulfoichthys dorsonudum", "Porphyrio indicus", "Callophrys suaveola butlerovi", "Porphyrio melanotus", "Callophrys herculeana", "Callophrys rubi chalybeitincta", "Callophrys avis", "Callophrys avis avis", "Callophrys avis barraguei", "Callophrys perplexa", "Montanoa ser.", "Montanoa ser.", "Centaurea diospolitana", "Montanoa subg.", "Megatyphlus curtii", "Scutatuspinosus itapagipensis", "Oeneis polixenes subhyalina", "Hipparchia subhyalina", "Oeneis polixenes yukonensis", "Oeneis brucei yukonensis", "Oeneis polixenes brucei", "Hazslinszkya gibberulosa", "Oeneis polixenes luteus", "Callophrys sheridanii comstocki", "Callophrys perplexa perplexa", "Montanoa ser.", "Hazslinszkya inarensis", "Montanoa ser.", "Montanoa ser.", "Montanoa ser.", "Philasterida incertae sedis", "Montanoa ser.", "Ptyssostoma thalassemae", "Entorhipidium fukuii", "Hazslinszkya xylographoides", "Callophrys perplexa superperplexa", "Montanoa dumicola", "Callophrys perplexa oregonensis", "Montanoa guatemalensis", "Callophrys scaphia", "Callophrys titanus", "Calyptotricha lanuginosa", "Callophrys fotis", "Callophrys sheridanii interrupta", "Disematostoma butschlii", "Stokesia vernalis", "Urocentrum turbo", "Schistophrya aplanata", "Callophrys sheridanii neoperplexa", "Hazslinszkya demissa", "Oeneis polixenes woodi", "Oeneis philipi", "Oeneis polixenes paior", "Oeneis polixenes antonovae", "Oeneis polixenes beringiana", "Metrotyphlus brixianus", "Callophrys sheridanii paradoxa", "Metrotyphlus castrii", "Metrotyphlus istriensis", "Metrotyphlus pauper", "Callophrys sheridanii pseudodumetorum", "Metrotyphlus serianensis", "Metrotyphlus serianensis serianensis", "Callophrys sheridanii sacramento", "Metrotyphlus serianensis besucheti", "Apheliotyphlus nobilis", "Paramaurops caeretana", "Peniculistoma mytili", "Moenkhausia bonita", "Notoraja tobitukai", "Parabathyscia calabra", "Geostiba calabra", "Pseudocollinella marshalli", "Satyrium esculi esculi", "Satyrium esculi mauretanica", "Pseudocollinella mongolica", "Pseudocollinella humida", "Centaurea triumfettii subsp. tanaitica", "Cyanus orbelicus", "Allotyphlus bericiensis", "Centaurea elbrusensis", "Callophrys loki", "Allotyphlus pacei lessiniensis", "Centaurea epirota", "Allotyphlus pacei euganeus", "Cyanus maramarosiensis", "Toshitamia tsushimensis", "Toshitamia magna", "Vigneronia spieri", "Callophrys thornei", "Callophrys xami xami", "Callophrys xami texami", "Dictyocysta mitra", "Mayetia calabra", "Mayetia garganica", "Pseudocollinella formosensis", "Pseudocollinella japonica", "Pseudocollinella koreana", "Amauronyx maerkelii", "Callophrys dospassosi", "Suctoria incertae sedis", "Callophrys estela", "Callophrys guatemalena", "Tullimonstrum gregarium", "Callophrys johnsoni", "Callophrys muiri", "Pseudocollinella pseudohumida", "Pseudocollinella congoana", "Pseudocollinella normalis", "Pseudocollinella prima", "Pseudocollinella setisternalis", "Pseudocollinella septentrionalis", "Pseudocollinella vulnerata", "Pseudocollinella cederholmi", "Pseudocollinella communis", "Oeneis calais", "Pseudocollinella dupliciseta", "Oeneis calais calais", "Oeneis calais caryi", "Oeneis calais strigulosa", "Oeneis valerata", "Oeneis altacordillera", "Satyrium zabni", "Leptusa cansigliensis", "Leptusa montisgrappae", "Satyrium acaciae", "Leptusa pseudoalpestris asiagana", "Leptusa pascuorum pascuorum", "Hesperinus graecus", "Circumphallus significans", "Pritha garfieldi", "Parapriacanthus ransonneti", "Parapriacanthus argenteus", "Parapriacanthus darros", "Parapriacanthus guentheri", "Parapriacanthus kwazulu", "Parapriacanthus punctulatus", "Parapriacanthus rahah", "Parapriacanthus sharm", "Satyrium jebelia", "Satyrium abdominalis", "Satyrium abdominalis abdominalis", "Satyrium abdominalis gerhardi", "Pachycereus pecten-aboriginum", "Rhynchocoma hyperparasitica", "Enchelyomorpha vermicularis", "Pseudocollinella paradupliciseta", "Pseudocollinella pilitibia", "Pseudocollinella setipuga", "Pseudocollinella simplicisternum", "Pseudocollinella tercia", "Pseudocollinella trifida", "Pithites pelagicus", "Pseudocollinella vietnamensis", "Pithites vorax", "Pseudocollinella nasalis", "Satyrium w-album", "Satyrium w-album w-album", "Rotundabaloghia perreti", "Satyrium w-album fentoni", "Satyrium w-album sutschani", "Trichouropoda mahnerti", "Paraploderus grandis", "Marcusenius desertus", "Paraploderus leleupi", "Paraploderus malgaceus", "Anommatus osellai", "Anommatus venetus", "Anommatus venetus venetus", "Anommatus venetus lessiniensis", "Vigneronia cypressi", "Phyllochona vexillata", "Lobochona prorates", "Heterochona scheutenii", "Anthacineta craterellus", "Platyola berica", "Gargarius gargarius", "Discophrya buckei", "Discophrya lyngbyei", "Lathrobium baldense", "Lathrobium pinkeri", "Mucotergum nigrum", "Satyrium myrtale", "Satyrium myrtale myrtale", "Paramaurops euganeus", "Argentina antarctica", "Paraploderus nigronitens", "Bryaxis bericus", "Bryaxis lessinicus", "Tychobythinus lessinicus", "Paraploderus notabilis", "Argentina longirostris", "Satyrium myrtale armena", "Paraploderus parcepunctus", "Argentina tricrenulata", "Protargentinolithus extenuatus", "Paraploderus rufescens", "Satyrium marcidus", "Satyrium marcidus marcidus", "Paraploderus wittei", "Orotrechus euganeus", "Paraploderus fauveli", "Paraploderus goergesae", "Paraploderus hammondi", "Paraploderus loebli", "Stentor polymorphus", "Stentor coeruleus", "Stentor mulleri", "Stentor roeseli", "Chlorangiella pygmaea", "Satyrium hyrcanica", "Heterostentor coeruleus", "Notocactus scopa", "Discomorphella pectinata", "Mylestoma bipartitum", "Notocactus rudibuenekeri", "Gloydius intermedius", "Heterotrichida incertae sedis", "Eucodonium brevistyle", "Eucodonium longitentaculatum", "Ritterocactus crassigibbus", "Balanion comatum", "Rebutia cintia", "Uebelmannia subg.", "Uebelmannia subg.", "Uebelmannia meninensis", "Uebelmannia pectinifera subsp. pectinifera", "Uebelmannia pectinifera subsp. eriocactoides", "Uebelmannia pectinifera subsp. flavispina", "Uebelmannia pectinifera subsp. horrida", "Ursus arctos nelsoni", "Sporophila murallae", "Trypanosoma cruzi", "Cyanus nissanus", "Gymnocalycium saglionis", "Paramecium bursaria", "Centaurea acmophylla", "Paramecium caudatum", "Centaurea triumfettii subsp. semidecurrens", "Gymnocalycium paediophilum", "Cyanus novakii", "Centaurea fuscomarginata", "Centaurea albofimbriata", "Centaurea triumfettii subsp. angelescui", "Gymnocalycium schickendantzii", "Notocactus tabularis", "Notocactus oxycostatus", "Maristentor dinoferus", "Satyrium ledereri nazeri", "Satyrium ledereri christianae", "Islaya islayensis", "Paraploderus schwendingeri", "Leptotyphlus osellai", "Satyrium marcidus mardinus", "Protargentinolithus erraticus", "Paraploderus speculiventris", "Paraploderus thailandicus", "Macruronus eastmani", "Palimphemus seymourensis", "Satyrium ledereri", "Satyrium ledereri ledereri", "Coelorinchus balushkini", "Coelorinchus nordenskjoeldi", "Hoplobrotula antipoda", "Etayoa trypethelii", "Cepola anderssoni", "Tachyblaston ephelotensis", "Notoberyx cionei", "Eucodonium bitentaculatum", "Caryospora argentati", "Alveocystis gugleri", "Alveocystis macrocoronata", "Selenococcidium intermedium", "Satyrium hyrcanica hyrcanica", "Satyrium hyrcanica badachshanica", "Satyrium hyrcanica seravshanica", "Satyrium hyrcanica cyri", "Moenkhausia ceros", "Moenkhausia comma", "Moenkhausia cotinho", "Moenkhausia icae", "Neolycaena rhymnus betpakdalensis", "Campsicnemus pallidoapicalis", "Rhipsalis floccosa", "Chrysotus minuticapillatus", "Rhipsalis rugulosa", "Moenkhausia lata", "Moenkhausia latissima", "Moenkhausia melogramma", "Rhipsalis paradoxa", "Rhipsalis trigona", "Moenkhausia chrysargyrea", "Paraleptusa helitasi", "Geostiba cingulata", "Geostiba mousensis", "Geostiba batumiensis", "Moenkhausia browni", "Moenkhausia shideleri", "Leptusa olympica", "Entomoculia gardinii", "Entomoculia magrinii", "Apimela zorzinii", "Gyrophaena daccordii", "Leptotyphlus magrinii", "Solenococcidium indicus", "Leptusa etrusca parmensis", "Gemmocystis cylindrus", "Dobellia binucleata", "Chonocephalus americanus", "Chonocephalus dominicanus", "Chonocephalus furcatus", "Chonocephalus globipygus", "Chonocephalus anomalus", "Chonocephalus assimilis", "Chonocephalus aripoensis", "Chonocephalus depressus", "Chonocephalus fletcheri", "Chonocephalus heymonsi", "Chonocephalus mexicanus", "Pavoraja alleni", "Moenkhausia diktyota", "Mesopolobus tongi", "Mesopolobus mesoeminulus", "Mesopolobus changbaicus", "Mesopolobus equivenae", "Mesopolobus beilingicus", "Latuspina acutissima", "Latuspina shaanxinensis", "Nephrotoma huangshanensis", "Centaurea baldaccii", "Ixoreis psychropotae", "Centaurea triumfettii subsp. dominii", "Nephromonas hyalina", "Tipula pseudobiaciculifera", "Melanographa tribulodes", "Centaurea huetii", "Leucocytozoon tawaki", "Cyanus triumfettii subsp. nanus", "Cyanus triumfettii subsp. strictus", "Cyanus triumfettii subsp. triumfettii", "Heliospora longissima", "Cognettiella legeri", "Tricystis planctonis", "Dinoflagellata incertae sedis", "Taverneichthys bikanericus", "Ridewoodichthys caheni", "Chauliopareion mahengeense", "Geostiba kobrisensis", "Chonocephalus forcipulus", "Grellia dinophili", "Myriospora petaloprocti", "Myriospora trophoniae", "Moenkhausia cosmops", "Exoschizon siphonosomae", "Chonocephalus alzadae", "Chonocephalus browni", "Chonocephalus chiriquiensis", "Chonocephalus comptoni", "Chonocephalus dilatospinae", "Chonocephalus gilli", "Chonocephalus kreuterae", "Chonocephalus kungae", "Chonocephalus leei", "Chonocephalus longicornis", "Chonocephalus macuiensis", "Chonocephalus murallaensis", "Chonocephalus necdepressus", "Chonocephalus olanchoensis", "Chonocephalus raposoensis", "Chonocephalus townesi", "Chonocephalus vitiodepressus", "Hosomeiga fijihirai", "Hosomeiga rubella", "Polyocha rusticana", "Geostiba maxiana", "Paraemmalocera flava", "Paraemmalocera rufa", "Peoria ohkurai", "Maliarpha borealis", "Arivaca gracilis", "Geostiba medea", "Arivaca pulchra", "Arivaca kudoi", "Satyrium acadica", "Dinophyceae incertae sedis", "Trichrysis secernenda", "Satyrium acaudata", "Lepismium lorentzianum", "Pfeiffera miyagawae", "Pfeiffera ianthothele", "Vachellia caven", "Vachellia erioloba", "Pfeiffera monacantha", "Acaciella angustissima", "Echinocereus bristolii", "Satyrium austrinus", "Stoeckeria algicida", "Satyrium acadica acadica", "Satyrium acadica montanensis", "Gyrophaena xinlongensis", "Trichrysis coeruleamaculata", "Trichrysis tridensnotata", "Trichrysis yuani", "Trichrysis cyanea", "Trichrysis formosana", "Diaphus marambionis", "Trichrysis tonkinensis", "Moenkhausia costae", "Geostiba lyciorum", "Geostiba apfelbecki", "Langbianella auricomes", "Langbianella pterolepis", "Azelia aterrima", "Azelia beuki", "Azelia cilipes", "Azelia fasciata", "Azelia fengi", "Azelia gibbera", "Azelia monodactyla", "Azelia nebulosa", "Azelia neotropica", "Azelia plumitibia", "Azelia parva", "Azelia spinosa", "Azelia trigonica", "Azelia triquetra", "Azelia unguigera", "Azelia zetterstedtii", "Dicladosomella abstrusa", "Dicladosomella anaticula", "Dicladosomella apparitor", "Dicladosomella arida", "Dicladosomella cerberus", "Dicladosomella claridgei", "Dicladosomella coctilicia", "Dicladosomella cygnea", "Dicladosomella fagina", "Dicladosomella georgii", "Dicladosomella hippica", "Dicladosomella imbrialis", "Dicladosomella mesibovi", "Dicladosomella oraria", "Dicladosomella perplexa", "Dicladosomella pollex", "Dicladosomella vascula", "Dicladosomella vexillifera", "Schuettiella mitra", "Bitectatodinium tepikiense", "Moenkhausia abyss", "Wilsonichthys aridinsulensis", "Aphanostola acaciae", "Aphanostola morogorensis", "Aphanostola calderae", "Aphanostola kruegeri", "Aphanostola antennata", "Aphanostola rooiklipella", "Aphanostola griseella", "Aphanostola centripunctella", "Aphanostola joannoui", "Aphanostola namibiensis", "Aphanostola brandbergensis", "Aphanostola emarginata", "Aphanostola kenyella", "Aphanostola alternella", "Aphanostola africanella", "Aphanostola melliferae", "Aphanostola longicornuta", "Aphanostola maxima", "Aphanostola aarviki", "Aphanostola atripalpis", "Aphanostola pentastigma", "Aphanostola sparsipalpis", "Aphanostola intercepta", "Dicranotropis remaniaca", "Satyrium behrii", "Axyris sphaerosperma", "Axyris caucasica", "Satyrium behrii behrii", "Axyris koreana", "Acrotona singularides", "Lepraria albicans", "Satyrium behrii columbia", "Satyrium behrii crossi", "Acarospora suzai", "Corydoras eversi", "Chelidoperca stella", "Capoeta coadi", "Arothron multilineatus", "Rhinogobius niger", "Senegalia bonariensis", "Garra lorestanensis", "Vachellia schaffneri", "Acacia scopulorum", "Lepraria gracilescens", "Lepraria subalbicans", "Xylophanes virescens", "Chaerocampa virescens", "Anema prodigulum", "Fragilidinium lacustre", "Hemeroblemma orcus", "Gymnodiniales incertae sedis", "Satyrium austrinus austrinus", "Satyrium austrinus yoshikoae", "Bilimbia corcovadensis", "Tropimenelytron pacei", "Echinocereus bristolii subsp. bristolii", "Echinocereus bristolii subsp. floresii", "Echinocereus pseudopectinatus", "Taxicera orientalis", "Dysphania bhutanica", "Dysphania geoffreyi", "Dysphania tibetica", "Dysphania himalaica", "Lepraria pseudoarbuscula", "Dysphania kitiae", "Dysphania neglecta", "Acarospora erythrocarpa", "Chenopodium benghalense", "Chenopodium perttii", "Cachonella paradoxa", "Moenkhausia doceana", "Moenkhausia dorsinuda", "Moenkhausia metae", "Axyris mira", "Axyris prostrata", "Axyris hybrida", "Satyrium californica", "Diplomitella socialis", "Satyrium californica californica", "Lepraria arbuscula", "Lepraria congestum", "Tenuipalpus budensis", "Holocerina murphyi", "Satyrium californica obscurafacies", "Orthogonioptilum grootaerti", "Parnassius cephalus ameliae", "Oeneis tanana", "Toulgoetarctia sanguinea", "Leprocaulon quisquiliare", "Toulgoetarctia haematora", "Satyrium californica wapiti", "Toulgoetarctia nigripuncta", "Chrysomallos fulvescens", "Strymon caryaevorus", "Satyrium dejeani", "Peridiniales incertae sedis", "Peridiniida incertae sedis", "Satyrium californica cygnus", "Cenopalpus rubusi", "Cenopalpus prunusi", "Cenopalpus khosrowshahii", "Cenopalpus quercusi", "Cenopalpus cumanicus", "Lepraria tenellum", "Cenopalpus adventicius", "Satyrium esakii", "Aphanopsis coenosa", "Herdmania litoralis", "Satyrium eximia", "Culicoides baniwa", "Crypthecodinium cohnii", "Lirabotys angazidzia", "Katodinium nieuportense", "Ankistrodinium armigerum", "Ankistrodinium semilunatum", "Satyrium edwardsii edwardsii", "Satyrium edwardsii meridionale", "Culex sangenglaoeusis", "Leptospathium navicula", "Cachonodinium caudatum", "Anepipodisma punctata", "Curvipennis wixiensis", "Culicoides felippebauerae", "Atheta gentiliorides", "Culicoides aldomari", "Mimacrotona rougemonti", "Mimacrotona angkorensis", "Culicoides sherlocki", "Leprocaulon adhaerens", "Leprocaulon americanum", "Leprocaulon coriense", "Leprocaulon knudsenii", "Nananthus vittatus", "Aloinopsis schooneesii", "Leprocaulon santamonicae", "Leprocaulon terricola", "Leprocaulon textum", "Acrotona mniusiformis", "Acrotona piscatrix", "Satyrium fuliginosa albolineatum", "Gagea soleirolii", "Aspicilia conglomerans", "Sauvagesia paganuccii", "Podolampas palmipes", "Satyrium eximia eximia", "Satyrium eximia mushana", "Satyrium eximia zhejianganum", "Lessardia elongata", "Satyrium fuliginosa", "Satyrium fuliginosa fuliginosa", "Thecadiniopsis tasmanica", "Brandtodinium nutricula", "Satyrium fuliginosa tildeni", "Opuntia quimilo", "Opuntia darrahiana", "Opuntia nemoralis", "Opuntia pestifer", "Serpophaga griseicapilla", "Mimacrotona australiana", "Mimacrotona borneensis", "Mimacrotona burckhardti", "Mimacrotona chinensis", "Mimacrotona cingulata", "Mimacrotona giachinoi", "Mimacrotona hartmanni", "Mimacrotona intermedia", "Mimacrotona kanakiana", "Mimacrotona kinabaluensis", "Mimacrotona laticollis", "Culicoides huaynacapaci", "Mimacrotona modesta", "Mimacrotona monotorta", "Mimacrotona neocaledonica", "Mimacrotona neoguineensis", "Mimacrotona nepalensis", "Mimacrotona newar", "Mimacrotona nonduensis", "Mimacrotona notaticornis", "Mimacrotona obscura", "Mimacrotona orousseti", "Mimacrotona papuana", "Mimacrotona papuanorum", "Mimacrotona peckorum", "Mimacrotona perpusilla", "Mimacrotona potens", "Mimacrotona quinquetorta", "Mimacrotona sepikensis", "Mimacrotona taiwanensis", "Mimacrotona terminicornis", "Mimacrotona toragia", "Satyrium guichardi", "Chrysoblephara guangdongensis", "Coenonica dentifera", "Pseudoplandria drugmandi", "Rencoma philippina", "Hypomecis exilis mindanalis", "Aspicilia coronata", "Satyrium goniopterum", "Gogana fusconotana", "Oreta obtusa luzonensis", "Lasallia daliensis var. caeonshanensis", "Oreta macrocerata", "Oreta obliquifascia", "Oreta carneoides", "Aspicilia dominiana", "Bellatheta shavrini", "Satyrium grandis", "Gagea polidorii", "Satyrium patrius", "Satyrium percomis", "Satyrium persimilis", "Plantago sect.", "Plantago maxima", "Plantago sect.", "Plantago sect.", "Satyrium phyllodendri", "Gagea noltiei", "Meotica marchica", "Leptusa xuemontis", "Dahlica basilicatae", "Londokia kasparyani", "Londokia leleji", "Krascheninnikovia arborescens", "Krascheninnikovia compacta", "Lecania furfuracea", "Lecania prasinoides", "Krascheninnikovia fruticulosa", "Krascheninnikovia intramongolica", "Krascheninnikovia pungens", "Upucerthia saturatior", "Kladotyphlus kahleni", "Athexenia nilgiriensis", "Leptusa cantabrica", "Gagea tisoniana", "Diplotomma lutosum", "Dirina stenhammarii", "Satyrium ornata", "Leptusa tendicola", "Leptusa veniorum", "Leptusa luremontis", "Leptusa argentierensis", "Aprosdoketusa apenninicola", "Satyrium iyonis iyonis", "Lasallia caroliniana", "Satyrium iyonis harutai", "Satyrium iyonis koiwayi", "Satyrium kingi", "Satyrium kongmingi", "Satyrium pseudopruni", "Satyrium neoeximia", "Satyrium minshanicum", "Satyrium siguniangshanicum", "Satyrium kuboi", "Satyrium lais", "Satyrium xumini", "Galanthus panjutinii", "Satyrium latior", "Satyrium mera", "Satyrium oenone", "Stipilepas molerensis", "Gagea \u00d7luberonensis", "Satyrium oenone oenone", "Satyrium oenone benzilanensis", "Satyrium oenone minyonensis", "Gagea moniliformis", "Sclerocactus parviflorus", "Sclerocactus parviflorus subsp. parviflorus", "Plesiobrachylepas jutlandica", "Gagea apulica", "Gagea omalensis", "Gagea peruzzii", "Sclerocactus parviflorus subsp. havasupaiensis", "Coryphantha ottonis", "Aechmea subg.", "Lecanora bachmannii", "Aechmea recurvata", "Aechmea recurvata var. recurvata", "Aechmea recurvata var. ortgiesii", "Entomoculia olbiensis", "Leptotyphlus sibyllinicus", "Geostiba lohsei", "Geostiba myops", "Geostiba gerundensis", "Lecanora concolor", "Geostiba bermejensis", "Geostiba lycaonica", "Geostiba varensis", "Geostiba meixneri", "Aechmea recurvata var. benrathii", "Prosoponotha chilensis", "Pycnota fuegina", "Spanioda biumbonata", "Spanioda pseudospectrum", "Spanioda semisimplex", "Teratanytoma newtoni", "Xenomma fuegina", "Xenomma newtoni", "Xenomma thayerae", "Hieracium fritzei", "Galanthus reginae-olgae subsp. vernalis", "Galanthus reginae-olgae subsp. reginae-olgae", "Galanthus plicatus subsp. plicatus", "Atriplex nudicaulis", "Biatora mendax", "Porocallus insignis", "Satyrium mackwoodi", "Biatorella germanica", "Caloplaca fimbriata", "Andinostiba fuegina", "Andinostiba newtoni", "Andinostiba gonzalezi", "Aechmea subg.", "Lecanora fungillus", "Serapias \u00d7 sitiae", "Conopea minyrostrum", "Lecanora minutissima", "Aechmea subg.", "Aechmea subg.", "Aechmea subg.", "Lecanora phaeostigma", "Aechmea subg.", "Aechmea weilbachii", "Galanthus samothracicus", "Aspicilia serpentinicola", "Satyrium liparops strigosa", "Cheromettia alaceria", "Bacidia coniangioides", "Bacidia pycnidiata", "Satyrium liparops floridensis", "Heterostiba alutiventris", "Ischnothina newtoni", "Atheta gloriosa", "Atheta mallecoana", "Leptoglossula araucana", "Leptoglossula insolita", "Leptoglossula mixta", "Leptoglossula robusta", "Meronera magellanica", "Myllaena coyhaiquensi", "Myllaena gonzalezi", "Newtonusa chilensis", "Ophioglossa nanula", "Ophioglossa punctipennis", "Pagla daccordii", "Pagla fuegina", "Phloeopora daccordii", "Phloeopora gonzalezi", "Plesiomalota gentilis", "Plesiomalota newtoni", "Polylobus aysensis", "Polylobus daccordii", "Polylobus gonzalezi", "Polylobus miser", "Polylobus newtoni", "Anocalea newtoni", "Tenua atlantica", "Acrotona pseudoxypoda", "Satyrium herzi", "Atheta algarrobensis", "Atheta fridayi", "Syltodinium listii", "Atheta municipalis", "Atheta parangustata", "Atheta pseudoangustata", "Atheta daccordii", "Atheta valparaisensis", "Atheta chillanensis", "Atheta lonchochensis", "Atheta osornensis", "Atheta atacamensis", "Atheta gonzalezi", "Atheta infernalis", "Atheta llaimensis", "Atheta lonquimayensis", "Atheta obscuroides", "Atheta immucronata", "Blepharhymenus cautinensis", "Blepharhymenus chapoensis", "Blepharhymenus newtoni", "Dasymera gonzalezi", "Dasymera mallecoensis", "Dasymera tuberculata", "Diestota immodesta", "Myrmecocephalus gonzalezi", "Myrmecocephalus santiaganus", "Myrmecocephalus valparaisensis", "Fernanstiba robinsoni", "Gastrorhopalus newtoni", "Gastrosteata lapidicola", "Satyrium inouei", "Conopea proripiens", "Aechmea fasciata", "Aechmea chantinii", "Geostiba mostarensis", "Geostiba pluricarinata", "Geostiba trapezusensis", "Geostiba sibyllinica", "Geostiba tronqueti", "Geostiba angelinii", "Geostiba garganica", "Geostiba granollersensis", "Geostiba jarasteparensis", "Geostiba laticornis", "Geostiba molitgensis", "Geostiba macronorum", "Geostiba tarifensis", "Geostiba andalusa", "Geostiba cirocchii", "Geostiba lucana", "Geostiba subasiensis", "Atriplex sect.", "Lecanora plicata", "Lecanora rouxii", "Atriplex sect.", "Atriplex brenanii", "Kooiichthys jono", "Bachmannia chubutensis", "Lecanora tephraea", "Gila robusta", "Lecidea baumgartneri", "Satyrium prunoides", "Satyrium redae", "Satyrium runides", "Sincoraea amoena", "Orthophytum gurkenii", "Orthophytum disjunctum", "Brachida aymaraorum", "Brachida belemensis", "Brachida boliviana", "Brachida brasiliensis", "Brachida obscura", "Brachida paraensis", "Brachida plaumanni", "Brachida pretiosa", "Brachida pulchripennis", "Brachida tucumanensis", "Brachida uhligi", "Brachychara catharinensis", "Brachychara minuta", "Brachychara uhligi", "Eumicrota flohori", "Eumicrota guaranorum", "Eumicrota iguazuensis", "Eumicrota implicata", "Eumicrota paraensis", "Eumicrota plaumanni", "Eumicrota stimulans", "Eumicrota theresensis", "Eumicrota venezuelana", "Caloramphus hayii", "Ceratodus kranzi", "Physcia aipolioides", "Aechmea fulgens", "Aechmea bromeliifolia", "Aechmea bromeliifolia var. bromeliifolia", "Aechmea bromeliifolia var. albobracteata", "Aechmea lamarchei", "Brachymystax tsinlingensis", "Triplophysa wuweiensis", "Triplophysa minuta", "Callionymus hainanensis", "Ciliata tchangi", "Callionymus koreanus", "Phanerota carinella", "Phanerota catarinensis", "Phanerota paraguayensis", "Tanystetha brasiliensis", "Channa pardalis", "Eviota punyit", "Lecidea chrysella", "Lecidea hillmannii", "Satyrium saepium", "Lecidea huxariensis", "Coenonica palawanensis", "Sternotropa palawanicola", "Geostiba giachinoi", "Aleochara imaginosa", "Amaurodera pahangensis", "Amaurodera plena", "Feigeria nero", "Feigeria caligula", "Feigeria mycerina", "Feigeria mineis", "Feigeria vultura", "Feigeria magna", "Feigeria herilia", "Feigeria claricostata", "Feigeria arpi", "Feigeria maculicollis", "Feigeria tiasa", "Feigeria pinasi", "Pertusaria ocellata", "Pertusaria pulvereosulphurata", "Lecidea thalloidemoides", "Nephroma laevigatoides", "Afrodotina guineensis", "Mocyta attaleensis", "Aleochara turkmeniensis", "Atheta rawalpindensis", "Hydrosmecta taldyiensis", "Hydrosmecta usbekistanensis", "Liogluta pakistana", "Moenkhausia crisnejas", "Leucocraspedum vietnamense", "Myrmecopora vietnamensis", "Pedinopleurus vietnamicola", "Myllaena brevicornis", "Myllaena oviedensis", "Haploglossa villosula", "Moenkhausia heikoi", "Orphniospora mosigii", "Hemeroblemma nocticoelum", "Letis albidentina", "Feigeria alauda", "Feigeria scops", "Feigeria feigei", "Feigeria scopsoides", "Feigeria xylia", "Satyrium sylvinus nootka", "Feigeria xylina", "Leptogium ferax", "Satyrium sylvinus putnami", "Pertusaria constricta", "Feigeria buteo", "Satyrium tanakai", "Feigeria letiformis", "Feigeria hercyna", "Feigeria lignitis", "Feigeria dichroa", "Feigeria melba", "Feigeria orcynia", "Satyrium tetra", "Polia hofer", "Polia costrirufa", "Lophomyrtus x ralphii", "Satyrium sylvinus desertorum", "Coryogalops nanus", "Feia nympha", "Satyrium sylvinus dryope", "Satyrium sylvinus itys", "Peccania cernohorskyi", "Satyrium sylvinus megapallidum", "Letis arcana", "Ameipseusa montana", "Acrotona bartolozzii", "Acrotona bilinea", "Acrotona semang", "Atheta idiota", "Atheta torta", "Brachida bidentifera", "Brachida gibberella", "Coenonica zercheiana", "Cryptonotopsis rougemonti", "Symmachia virgaurea", "Symmachia virgaurea virgaurea", "Aechmea mertensii", "Satyrium saepium saepium", "Satyrium saepium caliginosum", "Lecidea personata", "Satyrium saepium chalcis", "Satyrium saepium chlorophora", "Lecidea pygmaea", "Satyrium saepium latalinea", "Satyrium saepium obscurofuscum", "Agrimonia eupatoria subsp. eupatoria", "Polyblastia sublatebrosa", "Mammillaria coahuilensis", "Polyblastia suzae", "Trichoglossina tronquetides", "Hucho bleekeri", "Atriplex crassifolia", "Polyblastia ventosa", "Atriplex davisii", "Ornithoptera victoriae victoriae f. loc. epiphanes", "Ornithoptera victoriae rubianus", "Ornithoptera priamus poseidon f. loc. poseidon \u2642f. cronius", "Dasychira nigrofascia", "Polyblastia bayeriana", "Euproctis simplex", "Martania taiwana", "Martania taeniata", "Martania saxea", "Martania fulvida", "Martania seriata", "Martania variabilis", "Martania interrupta", "Martania minimata", "Martania decorata", "Moenkhausia hysterosticta", "Martania molybda", "Polyblastia brunnensis", "Conopea willhearsti", "Moenkhausia inrai", "Polyblastia muscorum", "Moenkhausia lopesi", "Ornithoptera priamus demophanes f. loc. demophanes", "Ornithoptera priamus bornemanni f. loc. bornemanni", "Ornithoptera priamus bornemanni f. loc. wituensis", "Leucocraspedum grootaerti", "Acrotona magnalaminides", "Acrotona ensifera", "Acrotona fiebrigi", "Acrotona punae", "Atheta incisa", "Leptonia llanosensis", "Leptonia scrutans", "Ornithoptera victoriae victoriae", "Ornithoptera victoriae victoriae f. loc. victoriae", "Ornithoptera victoriae victoriae f. loc. reginae", "Ornithoptera victoriae victoriae f. loc. regis", "Agrimonia eupatoria subsp. grandis", "Ornithoptera victoriae victoriae f. loc. isabellae", "Ornithoptera victoriae victoriae f. loc. archeri", "Satyrium saepium provo", "Satyrium saepium rubrotenebrosum", "Satyrium saepium subaridum", "Lecidea subdiffracta", "Lecidea subgranatina", "Lecidea sudetica", "Satyrium sylvinus", "Cottus amblystomopsis", "Canthigaster solandri", "Symmachia virgaurea caucaensis", "Diestota malayana", "Drusilla bartolozzii", "Drusilla obliquoides", "Euryloxa pahangensis", "Gyrophaena pallidicornis", "Platorischna rougemonti", "Pseudoplandria decorata", "Pseudoplandria incredibilis", "Pseudoplandria malaysicola", "Stenomastax cameronicola", "Stenomastax divisionis", "Taxicera geostibina", "Zyras bartolozzii", "Zyras variolatus", "Atheta falciferides", "Satyrium sylvinus sylvinus", "Conopea sabangensis", "Metrosideros stipularis", "Placynthium filiforme", "Satyrium titus campus", "Satyrium titus winteri", "Satyrium titus occidentalis", "Poeltinula interjecta", "Satyrium titus watsoni", "Hydrosmecta baliarensis", "Atheta testaceipes", "Rhamma andradei", "Cicinnus bahamensis", "Cicinnus falcoargenteus", "Cicinnus packardii", "Perophora packardii", "Cicinnus hegewischi", "Cicinnus solvens", "Cicinnus othane", "Phragmataecia obscura", "Sewa taiwana", "Auzatellodes arizana", "Amphitorna purpureofascia", "Agrimonia eupatoria subsp. asiatica", "Ornithoptera priamus richmondia \u2642f. beuriei", "Ornithoptera priamus richmondia \u2642f. magnificus", "Ornithoptera priamus richmondia \u2642f. cassandra", "Ornithoptera priamus richmondia \u2642f. reducta", "Ornithoptera priamus admiralitatis \u2642f. cassandra", "Ornithoptera priamus admiralitatis \u2642f. moineri", "Ornithoptera priamus admiralitatis \u2642f. radiata", "Ornithoptera priamus poseidon f. loc. poseidon \u2642f. transiens", "Ornithoptera priamus macalpinei f. loc. gebeensis", "Amblyseius swirskii", "Ornithoptera priamus macalpinei f. loc. sterrensis", "Ornithoptera priamus macalpinei f. loc. kasandra", "Trichogramma brassicae", "Trichogramma evanescens", "Ornithoptera priamus macalpinei f. loc. misoollae", "Ornithoptera priamus macalpinei f. loc. koffiauensis", "Ornithoptera priamus macalpinei f. loc. intermedius", "Ornithoptera priamus macalpinei f. loc. garainaensis", "Polyblastia pseudoalbida", "Ornithoptera priamus hecuba f. loc. hecuba", "Ornithoptera priamus hecuba f. loc. albireo", "Ornithoptera priamus demophanes f. loc. goodenoughensis", "Ornithoptera priamus demophanes f. loc. medeia", "Moenkhausia loweae", "Conopea bacata", "Polyblastia peminosa", "Scillaelepas dannigeri", "Stenomastax pacei", "Ornithoptera priamus priamus f. loc. sclavoi \u2640f. addenda", "Ornithoptera priamus macalpinei f. loc. aureus", "Bulbophyllum sagemuelleri", "Ornithoptera priamus euphorion \u2642f. cassandra", "Ornithoptera priamus euphorion \u2642f. transiens", "Ornithoptera priamus euphorion \u2642f. kogane", "Ornithoptera priamus euphorion \u2642f. aureomaculata", "Ornithoptera priamus euphorion \u2642f. beuriei", "Ornithoptera priamus euphorion \u2642f. supermultispot", "Ornithoptera priamus euphorion \u2642f. weylandi", "Ornithoptera priamus euphorion \u2642f. detonnancouri", "Ornithoptera priamus euphorion \u2642f. viridofusura", "Ornithoptera priamus euphorion \u2642f. maculamalva", "Ornithoptera priamus euphorion \u2642f. matsukai", "Ornithoptera priamus euphorion \u2642f. otanii", "Ornithoptera priamus euphorion \u2642f. elliotei", "Ornithoptera priamus euphorion \u2640f. supermultispot", "Ornithoptera priamus euphorion \u2640f. weylandi", "Ornithoptera priamus euphorion \u2640f. atsukoae", "Ornithoptera priamus poseidon f. loc. poseidon \u2642f. chrysophila", "Ornithoptera priamus poseidon f. loc. poseidon \u2642f. viridocellularis", "Ornithoptera priamus poseidon f. loc. poseidon \u2642f. nigra", "Ornithoptera priamus poseidon f. loc. pronomus \u2642f. nigra", "Ornithoptera priamus poseidon f. loc. teucrus \u2642f. transiens", "Ornithoptera priamus poseidon f. loc. teucrus \u2642f. viridocellularis", "Ornithoptera priamus poseidon f. loc. teucrus \u2642f. nigra", "Ornithoptera priamus macalpinei \u2642f. transiens", "Ornithoptera priamus macalpinai", "Ornithoptera priamus macalpinei f. loc. aureus \u2642f. transiens", "Ornithoptera priamus macalpinei f. loc. kasandra \u2642f. transiens", "Atriplex laevis", "Ornithoptera priamus arruana \u2642f. transiens", "Ornithoptera priamus arruana \u2642f. viridocellularis", "Ornithoptera priamus hecuba f. loc. hecuba \u2642f. transiens", "Ornithoptera priamus hecuba f. loc. hecuba \u2642f. viridocellularis", "Ornithoptera priamus hecuba f. loc. hecuba \u2642f. kibleri", "Ornithoptera priamus hecuba f. loc. hecuba \u2642f. nigra", "Ornithoptera priamus hecuba f. loc. albireo \u2642f. viridocellularis", "Ornithoptera priamus hecuba f. loc. albireo \u2642f. transiens", "Ornithoptera priamus hecuba f. loc. albireo \u2642f. nigra", "Porpidia turgida", "Ornithoptera priamus demophanes f. loc. demophanes \u2642f. transiens", "Ornithoptera priamus bornemanni f. loc. bornemanni \u2642f. transiens", "Ornithoptera priamus miokensis \u2642f. transiens", "Ornithoptera priamus poseidon f. loc. poseidon \u2642f. divina", "Ornithoptera priamus poseidon f. loc. poseidon \u2642f. aureopunctata", "Ornithoptera priamus poseidon f. loc. poseidon \u2642f. ketchupabdominalis", "Ornithoptera priamus poseidon f. loc. poseidon \u2642f. flammeus", "Ornithoptera priamus poseidon f. loc. poseidon \u2642f.radians", "Ornithoptera priamus poseidon f. loc. poseidon \u2640f. multicolorei", "Ornithoptera priamus poseidon f. loc. poseidon \u2640f. radialei", "Ornithoptera priamus poseidon f. loc. poseidon \u2642f. viridodentis", "Ornithoptera priamus poseidon f. loc. poseidon \u2642f. pabloi", "Ornithoptera priamus poseidon f. loc. poseidon \u2642f. kerjoanti", "Ornithoptera priamus poseidon f. loc. poseidon \u2642f. muckai", "Ornithoptera priamus poseidon f. loc. poseidon \u2642f. melaina", "Ornithoptera priamus poseidon f. loc. poseidon \u2640f. bernadineae", "Ornithoptera priamus poseidon f. loc. poseidon \u2640f. aurago", "Ornithoptera priamus poseidon f. loc. poseidon \u2640f. lavata", "Ornithoptera priamus poseidon f. loc. poseidon \u2640f. decora", "Ornithoptera priamus poseidon f. loc. poseidon \u2640f. lemoulti", "Protoblastenia laeta", "Ornithoptera priamus poseidon f. loc. poseidon \u2640f. brunneus", "Ornithoptera priamus poseidon f. loc. poseidon \u2640f. kirschi", "Agrimonia granulosa", "Martania argentipuncta", "Martania fumosa", "Martania amblyodes", "Martania antisticta", "Martania caeruleofascia", "Martania affinis", "Martania plumbeata", "Martania albofasciata", "Martania hockingii", "Martania sugii", "Martania obscurata", "Gagitodes omnifasciarius", "Gagitodes sagittatus", "Gagitodes schistaceus", "Gagitodes olivaceus", "Gagitodes costinotarius", "Gagitodes fractifasciarius", "Gagitodes parvarius", "Mesotype didymata", "Mesotype verberata", "Mesotype parallelolineata", "Perizoma affinitatum", "Perizoma alchemillatum", "Perizoma hydratum", "Perizoma parahydratum", "Perizoma contritum", "Leucocraspedum moluccanum", "Leucocraspedum alularum", "Perizoma lugdunarium", "Leucocraspedum diuremnense", "Perizoma obsoletarium", "Leucocraspedum bormense", "Perizoma incultarium", "Leucocraspedum fakfakense", "Perizoma albulatum", "Leucocraspedum nalcaense", "Perizoma blandiatum", "Leucocraspedum paniaense", "Perizoma bifaciatum", "Leucocraspedum riedeli", "Leucocraspedum asymmetricum", "Perizoma flavosparsatum", "Leucocraspedum muliense", "Perizoma minoratum", "Leucocraspedum mimopapuanum", "Perizoma flavofasciatum", "Perizoma japonicum", "Myllaena sumatrensis", "Myllaena temburongensis", "Myllaena pilae", "Pseudoligota affinis", "Pseudoligota muliensis", "Nemophora brachypetala", "Placusa acuminata", "Nemophora opalina", "Neosilusa rougemonti", "Nemophora panaeola", "Nemophora turneri", "Nemophora doddi", "Nemophora polydaedala", "Nemophora laurella", "Kohleria amabilis var. bogotensis", "Kohleria affinis", "Batagur trivittata", "Atriplex patens", "Atriplex tichomirovii", "Atriplex iljinii", "Atriplex subcordata", "Batagur dhongoka", "Sedum sect.", "Kohleria amabilis var. amabilis", "Siderus athymbra", "Atriplex centralasiatica", "Atriplex belangeri", "Rhizocarpon melaenum", "Siderus eliatha", "Rhizocarpon parasiticum", "Siderus giapor", "Siderus guapila", "Mammillaria scrippsiana", "Atriplex cana", "Parnara bada", "Parnara bada bada", "Rhizocarpon pseudorivulare", "Parnara bada sida", "Parnara bada borneana", "Atriplex lehmanniana", "Rhizocarpon subcaeruleum", "Atriplex fera", "Thelidium corconticum", "Thelidium dionantense", "Stenomastax parallela", "Stenomastax molucchicola", "Stenomastax thaigigatheca", "Stenomastax thaifuscicollis", "Coenonica angkhangensis", "Coenonica fuscotibialis", "Coenonica antesulcata", "Pseudatheta moluccana", "Pseudatheta pahangensis", "Falagria vicina", "Fansipaniana tamdaoensis", "Coleophora sabina", "Mniotype ripa", "Ornithoptera priamus poseidon f. loc. teucrus \u2642f. eumaeus", "Ornithoptera priamus poseidon f. loc. teucrus \u2642f. divina", "Ornithoptera priamus poseidon f. loc. teucrus \u2642f. ketchupabdominalis", "Ornithoptera priamus poseidon f. loc. teucrus \u2642f. barbarosa", "Ornithoptera priamus poseidon f. loc. teucrus \u2642f. aurora", "Ornithoptera priamus poseidon f. loc. teucrus \u2642f. radians", "Ornithoptera priamus poseidon f. loc. teucrus \u2642f. viridodentis", "Ornithoptera priamus poseidon f. loc. teucrus \u2642f. aureoradians", "Ornithoptera priamus poseidon f. loc. teucrus \u2642f. nathalieae", "Ornithoptera priamus poseidon f. loc. teucrus \u2642f. robitaillei", "Ornithoptera priamus poseidon f. loc. teucrus \u2642f. chrysophila", "Ornithoptera priamus poseidon f. loc. teucrus \u2642f. cronius", "Ornithoptera priamus poseidon f. loc. teucrus \u2640f. lemoulti", "Ornithoptera priamus poseidon f. loc. teucrus \u2640f. pseudoaesacus", "Ornithoptera priamus macalpinei \u2642f. pabloi", "Diacrisia pseudomaenas", "Pyrenula coryli", "Myrmecocephalus moluccana", "Gastropaga moluccana", "Gastropaga malaydecipiens", "Irianmerinx nabirensis", "Atriplex dimorphostegia", "Acrotona paedida", "Acrotona annuliventris", "Acrotona vicaria", "Acrotona nana", "Atriplex ornata", "Newmanella spinosa", "Fabriciana adippe", "Fabriciana adippe taliana", "Semonina ares", "Fabriciana adippe milina", "Speyeria clara", "Speyeria clara clara", "Speyeria clara menba", "Speyeria clara tongtianensis", "Mammillaria nivosa", "Bulbophyllum angustipetalum", "Bulbophyllum anjae", "Bulbophyllum antheae", "Bulbophyllum arachnites", "Atriplex cordulata var. erecticaulis", "Malayemys khoratensis", "Malayemys macrocephala", "Siderus leucophaeus", "Siderus parvinotus", "Siderus philinna", "Mammillaria petterssonii", "Cantellius cardenae", "Atheta thainigra", "Atheta nepalotoides", "Mammillaria uncinata", "Pelioptera molucchensis", "Pelioptera rougemonti", "Tetrabothrus indicus", "Tetrabothrus neoguineensis", "Orphnebius hartmanni", "Orphnebius malaypusillus", "Drusilla thai", "Drusilla calicis", "Drusilla thaifuscicollis", "Mammillaria standleyi", "Mammillaria marksiana", "Cervus canadensis roosevelti", "Parnassius staudingeri aladdin", "Parnassius staudingeri dunkeldykus", "Psorotichia lutophila", "Parnassius staudingeri hissaricus", "Atriplex fominii", "Parnassius staudingeri maximiliani", "Atriplex pratovii", "Circus hudsonius", "Atriplex paradoxa", "Parnassius staudingeri mustagata", "Semonina semones", "Circus macrosceles", "Atriplex pungens", "Psorotichia moravica", "Parnassius staudingeri staudingeri", "Parnassius staudingeri vladimir", "Atriplex pamirica", "Circus spilothorax", "Atriplex altaica", "Atriplex megalotheca", "Ischnopoda apicipennis", "Gnypeta moluccana", "Atriplex tianschanica", "Gnypeta halmaherensis", "Outachyusa velox", "Mammillaria gigantea", "Atriplex moneta", "Staurothele fuliginea", "Atriplex flabellum", "Parnassius mnemosyne guccinii", "Parnassius mnemosyne mnemosyne", "Atriplex acanthocarpa var. coahuilensis", "Bulbophyllum aberrans", "Atriplex argentea var. hillmanii", "Batagur affinis", "Atriplex argentea var. longitrichoma", "Atriplex argentea var. expansa", "Zyras thainiger", "Bulbophyllum alinae", "Atriplex argentea var. rydbergii", "Zyras rufithorax", "Zyras asciaferus", "Zyras lecoqi", "Bulbophyllum alpinum", "Zyras cambocompressicornis", "Zyras hagiangensis", "Thelidium eitneri", "Gasteranthus delphinioides", "Gasteranthus corallinus", "Anteon dzanganum", "Anteon granulatum", "Anteon kibalense", "Anteon makererense", "Anteon mubfs", "Bocchus kibalensis", "Dryinus kibalus", "Gonatopus kanyawarus", "Phytomyza impunita", "Atriplex coronata var. coronata", "Atriplex coronata var. notatior", "Atriplex coronata var. vallicola", "Atriplex gardneri var. aptera", "Atriplex gardneri var. bonnevillensis", "Atriplex gardneri var. cuneata", "Micropolemon sumatrensis", "Doryloxenus groveri", "Medeterusa molucchensis", "Amarochara wrasei", "Eloschara singaporensis", "Atriplex dioica", "Aleochara curtula", "Aleochara thaitactilis", "Aleochara asiatica", "Aleochara takuapensis", "Atriplex elegans var. elegans", "Gyrophaena semicircularis", "Atriplex elegans var. fasciculata", "Acanthopsyche nepalensis", "Symmachara nigrotestacea", "Colias wiskotti", "Colias wiskotti wiskotti", "Colias wiskotti eremita", "Parnassius loxias loxias", "Parnassius loxias uvarovi", "Erebia claudina", "Erebia claudina claudina", "Erebia claudina flammarum", "Chondrostega escobesae", "Chondrostega vandalicia", "Thelidium zahlbruckneri", "Xanthorhoe alta", "Xanthorhoe belgarum", "Socotria protopunica", "Amaurodera martensi", "Amaurodera fulgens", "Amaurodera verrucosa", "Epiphyllum baueri", "Epiphyllum floribundum", "Zamarada aegrotans", "Zamarada fallaciosa", "Ascotis reciprocaria", "Statherotis ancosema", "Statherotis antisema", "Statherotis aspidias", "Metallospora neglecta", "Thelidium schadeanum", "Xanthorhoe plutonia", "Xanthorhoe ablechra", "Xanthorhoe callirrhoda", "Dahlica latisquama", "Lobesia uncata", "Ophiorrhabda hyeroglypha", "Eumarozia atrotincta", "Zomaria dyscrita", "Alexiloga defluxana", "Symmachara dhilinzensis", "Symmachara natalensis", "Falagria burundensis", "Lokomera sulcicollis", "Acrotona basipennoides", "Acrotona promissionoides", "Acrotona patefactior", "Atheta kenyarobusta", "Atheta kenyaminor", "Atheta shimbaoides", "Atheta cristakenyensis", "Oncodethorax zimbabwensis", "Zyras reicherti", "Zyras ofcolacoensis", "Satronia pentha", "Satronia priva", "Typhloponemys maliensis", "Satronia catharma", "Typhloponemys barbertonensis", "Satronia sesops", "Typhloponemys hazyviewensis", "Satronia mantissa", "Satronia meseae", "Satronia lita", "Satronia laepha", "Satronia sinuata", "Satronia pheidologeton", "Indiachara bageshwarensis", "Statherotis abathodes", "Statherotis agitata", "Statherotis amaeboea", "Verrucaria albofusca", "Bulbophyllum cheiri subsp. cheiri", "Verrucaria anemoides", "Bulbophyllum cheiri subsp. subuliferum", "Octolasmis aymonini", "Bulbophyllum ocellatum", "Bulbophyllum laxiflorum", "Bulbophyllum elassoglossum", "Scopula acentra", "Scopula acidalia", "Capnodes acidalia", "Scopula actuaria", "Scopula acyma", "Gymnocypris chui", "Scopula addictaria", "Scopula addictaria addictaria", "Acidalina addictaria", "Scopula addictaria rufinubes", "Craspedia rufinubes", "Zyras burkinensis", "Geoemyda spengleri", "Verrucaria aemula", "Corydoras brittoi", "Corydoras pavanelliae", "Bulbophyllum gracillimum", "Bulbophyllum australe", "Bulbophyllum ayuthayense", "Bulbophyllum balgooiji", "Bulbophyllum belopetalum", "Verrucaria buellioides", "Atriplex lindleyi subsp. inflata", "Atriplex lindleyi subsp. quadripartita", "Verrucaria cambrini", "Verrucaria cavificans", "Strephonota adela", "Strephonota agrippa", "Selenicereus dorschianus", "Rhipsalis aurea", "Ascotis selenaria", "Ascotis selenaria selenaria", "Ascotis selenaria eugrapha", "Kiriakoffalia lemairei lemairei", "Roeselia herbuloti", "Chrysocraspeda dargei", "Epiphyllum cartagense", "Somatina lemairei", "Scopula elegantula", "Scopula iterata", "Scopula nigralba", "Scopula glaucescens", "Scopula vitellina", "Scopula seclusoides", "Idaea malsongrossei", "Idaea daucina", "Idaea digitella", "Bulleyia yunnanensis", "Octolasmis angulata", "Murina beelzebub", "Ceropegia sect.", "Ceropegia sect.", "Watsonidia reimona", "Watsonidia pardea", "Usnea rugulosa", "Thelidium schleicheri", "Conopea inclusa", "Thelidium sublacteum", "Xanthorhoe heteromorpha", "Xanthorhoe heteromorpha heteromorpha", "Xanthorhoe heteromorpha albicera", "Sinningia sect.", "Xanthorhoe abyssinica", "Xanthorhoe albodivisaria", "Atheta chainpurensis", "Stenomastax garhiensis", "Zyras azadensis", "Zyras pakisthospes", "Zyras dissimilis", "Zyras turensis", "Ocyusa junkarensis", "Exakanthinusa mirabilis", "Leucocraspedum nilgiriense", "Orphnebius turensis", "Pelioptera tamil", "Silusa turensis", "Epiphyllum pumilum", "Epiphyllum laui", "Myrmecocephalus soror", "Epiphyllum hookeri subsp. hookeri", "Xanthorhoe alluaudi", "Xanthorhoe alluaudi alluaudi", "Paraloconota jaloriensis", "Paraloconota almorensis", "Xanthorhoe alluaudi hancocki", "Scopula abolita", "Bulbophyllum caecilii", "Bulbophyllum caecum", "Bulbophyllum caespitosum", "Bulbophyllum calceilabium", "Bulbophyllum calceolus", "Bulbophyllum caldericola", "Scopula accentuata", "Bulbophyllum calimanianum", "Bulbophyllum callichroma", "Bulbophyllum calliferum", "Bulbophyllum callipes", "Bulbophyllum callosum", "Bulbophyllum caloglossum", "Bulbophyllum bolsteri", "Bulbophyllum bontocense", "Bulbophyllum curranii", "Bulbophyllum canlaonense", "Bulbophyllum catenulatum", "Bulbophyllum cephalophorum", "Bulbophyllum cheiri", "Bulbophyllum chrysendetum", "Bulbophyllum williamsii", "Bulbophyllum socordine", "Bulbophyllum tortuosum", "Aphonopelma johnnycashi", "Xenurobrycon varii", "Notoscopelus kroyeri", "Ceropegia sect.", "Rhipsalis oblonga", "Octolasmis antiguae", "Aenictonia burkinafasoensis", "Pagla pictipennis", "Pagla chilensis", "Verrucaria bakonyensis", "Pagla anthracina", "Ophioglossa araucana", "Plesiomalota merula", "Plesiomalota fasciatipennis", "Plesiomalota cinctella", "Plesiomalota zanettii", "Leptusa parallela", "Prosoponotha zanettii", "Anarta cordigera", "Eviota afelei", "Eviota cometa", "Eviota distigma", "Eviota eyreae", "Eviota fasciola", "Verrucaria basaltica", "Atriplex lindleyi subsp. conduplicata", "Bulbophyllum araiophyllum", "Bulbophyllum artvogelii", "Bulbophyllum arunachalense", "Verrucaria glauconephela", "Ochrophyta incertae sedis", "Strephonota carteia", "Scopula adelpharia", "Scopula africana", "Eublemma galacteoides", "Ozarba albomediovittata", "Verrucaria apomelaena", "Ozarba pluristriata", "Ozarba semiluctuosa", "Giubicolanta orientalis", "Acontia pergratiosa", "Metapioplasta pergratiosa", "Atriplex gardneri var. falcata", "Eustrotia extranea", "Cropera confalonierii", "Gavara caprai", "Archichlora patrizii", "Strephonota acameda", "Scopula agrapta", "Craspedia agrapta", "Atriplex gardneri var. utahensis", "Verrucaria atroviridis", "Atriplex gardneri var. welshii", "Atriplex garrettii var. navajoensis", "Atriplex gmelinii var. alaskensis", "Rhigognostis marmorosella", "Epicephala duoplantaria", "Epicephala daltonii", "Epicephala jianfenglingina", "Epicephala assamica", "Atriplex gmelinii var. gmelinii", "Atriplex linearis", "Atriplex mucronata", "Anarta macrostigma", "Anarta carbonaria", "Anarta cordigera var. carbonaria", "Anarta luteola", "Agrotis manifesta", "Episilia impingens", "Agrotis geniculata", "Atriplex parishii var. depressa", "Trichosilia geniculata", "Verrucaria conchea", "Trichosilia manifesta", "Atriplex parishii var. minuscula", "Trichosilia austrina", "Bulbophyllum cleistogamum", "Atriplex parishii var. persistens", "Verrucaria consociata", "Trichosilia honesta", "Atriplex parishii var. subtilis", "Bulbophyllum colubrimodum", "Feltia honesta", "Eviota indica", "Agrotis grisea", "Trichosilia woodiana", "Atriplex powellii var. minuticarpa", "Trichosilia boreana", "Trichosilia beringiana", "Verrucaria crustulosa", "Atriplex saccaria var. asterocarpa", "Atheta zanettiana", "Leptoglossula sculpticollis", "Scytalopus gettyae", "Leptoglossula biimpressa", "Atriplex saccaria var. cornuta", "Gastrorhopalus elegans", "Blepharhymenus submetallicus", "Tomocoryphusa zanettii", "Tomocoryphusa osornensis", "Chiloestiba zanettii", "Spanioda spectrum", "Polylobus marginalis", "Scytalopus diamantinensis", "Polylobus luctuosus", "Polylobus thaxteri", "Atriplex repens", "Atriplex griffithii", "Verrucaria kalenskyi", "Atriplex lasiantha", "Verrucaria dalejensis", "Polylobus zanettii", "Dasymera cordilierae", "Dasymera chillana", "Lasiestra impingens", "Lasiestra impingens", "Anarta impingens", "Lasionycta alpicola", "Lasionycta buraetica", "Scytalopus opacus", "Atriplex serenana var. davidsonii", "Siluania monomastiga", "Actinophrys sol", "Eviota mimica", "Strephonota ambrax", "Eviota nebulosa", "Pyrrhosorus marinus", "Eviota punctulata", "Thraustochytriida incertae sedis", "Eviota richardi", "Eviota sebreei", "Eviota sigillata", "Eviota smaragdus", "Verrucaria detersa", "Verrucaria diabasica", "Strephonota azurinus", "Strephonota bicolorata", "Begonia tagbanua", "Begonia taraw", "Begonia hughesii", "Begonia blancii", "Begonia cleopatrae", "Cyrtandra cleopatrae", "Bulbophyllum pauciflorum", "Bulbophyllum restrepia", "Lasionycta corax", "Bulbophyllum trigonosepalum", "Bulbophyllum sempiternum", "Begonia georgei", "Amorphophallus palawanensis", "Grammatophyllum measuresianum", "Grammatophyllum multiflorum", "Grammatophyllum ravanii", "Grammatophyllum rumphianum", "Grammatophyllum scriptum", "Parabarrovia keelei", "Parabarrovia ogilviensis", "Parabarrovia omilaki", "Atriplex torreyi var. griffithsii", "Grammatophyllum multiflorum var. multiflorum", "Grammatophyllum multiflorum var. tigrinum", "Verrucaria kutakii", "Kiwaia dryosyrta", "Agrias excelsior kiichirooi", "Agrias excelsior", "Agrias excelsior komachiae", "Verrucaria latebrosoides", "Agrias excelsior excelsior f. jupiter", "Agrias excelsior excelsior f. yokozuna", "Verrucaria luctuosa", "Epiphyllum macropterum", "Atriplex stocksii", "Scotogramma conjugata", "Myllaena cangahuensis", "Myllaena napoensis", "Myllaena cangahuaptera", "Amazonopora brooksi", "Anarta leucocycla var. moeschleri", "Anarta staudingeri moeschleri", "Anarta leucocycla moeschleri", "Lasiestra leucocycla moeschleri", "Verrucaria hegetschweileri", "Mamestra skraelingia", "Hada skraelingia", "Verrucaria jizerae", "Eviota sparsa", "Atriplex wolfii var. tenuissima", "Eviota teresae", "Eviota thamani", "Eviota zebrina", "Anarta bohemani", "Eviota zonura", "Anartomima bohemani", "Anartomima secedens bohemani", "Lasionycta secedens syn. bohemani", "Verrucaria jodophila", "Dianthoecia subdita", "Atriplex glabriuscula var. acadiensis", "Mamestra subdita", "Anarta membrosa", "Atriplex glabriuscula var. franktonii", "Lasionycta membrosa", "Swirenkoiamonas uniflagellata", "Atriplex crassipes var. appendiculata", "Agrias beatifica stuarti \u2640f. pseudohewitsonius", "Verrucaria muricola", "Atriplex eremitis", "Brachyorrhos gastrotaenius", "Brachyorrhos raffrayi", "Brachyorrhos wallacei", "Haplojana abyssinica", "Verrucaria nigroumbrina", "Hoplojana anaemica", "Bulbophyllum othonis", "Gymnocypris chilianensis", "Haplojana distincta", "Aleodorus ecuadorensis", "Agrias beatifica beata", "Agrias beatifica stuarti \u2642f. pseudoviola", "Agrias beatifica stuarti \u2640f. pseudoviola", "Agrias beatifica stuarti \u2642f. hertae", "Agrias beatifica stuarti \u2642f. rubra", "Bacillariaceae incertae sedis", "Agrias beatifica stuarti \u2640f. amplimarginata", "Agrias beatifica stuarti \u2640f. bicolora", "Agrias beatifica beata \u2642f. nigra", "Agrias beatifica beata \u2642f. pherenice", "Bulbophyllum tenuifolium", "Agrias beatifica beatifica \u2642f. hoppi", "Verrucaria moravica", "Agrias beatifica beatifica \u2642f. hertae", "Agrias beatifica stuarti \u2642f. michaeli", "Atriplex crassipes var. crassipes", "Perupora huanucensis", "Mamestra mutilata", "Mamestra rainieri", "Atriplex acutibractea subsp. karoniensis", "Pellacalyx pustulata", "Gyrophaena amazonicola", "Gyrophaena amplitudinis", "Gyrophaena spinoperuviana", "Gyrophaena boliviensis", "Gyrophaena tabernae", "Gyrophaena perupusilla", "Gyrophaena holobina", "Scotogramma luteola", "Gyrophaena maldonata", "Gyrophaena peruvianorum", "Gyrophaena materdei", "Gyrophaena lilliput", "Lasiestra luteola", "Brachida cotopaxiensis", "Brachida insularis", "Brachida perudivisa", "Brachida giraffa", "Brachida patrinsulae", "Brachida conispiralata", "Cynopoecilus feltrini", "Chocoheros microlepis", "Gnorimoschema dryosyrta", "Meoticaphaena cordobensis", "Agalmyla chorisepala", "Leptagria ecucephalica", "Leptagria osellai", "Henckelia woodii", "Pellacalyx axillaris", "Pellacalyx cristatus", "Pellacalyx lobbii", "Pellacalyx parkinsonii", "Pellacalyx saccardianus", "Pellacalyx symphiodiscus", "Agrias beatifica stuarti", "Pellacalyx yunnanensis", "Agrias phalcidon", "Bulbophyllum cornutum", "Bulbophyllum cuneatum", "Bulbophyllum cryptophoranthus", "Verrucaria minuta", "Agrias phalcidon phalcidon", "Agrias phalcidon excelsior", "Agrias phalcidon fournierae", "Agrias phalcidon phalcidon \u2642f. manfredi", "Agrias phalcidon phalcidon \u2642f. floquetia", "Coregonus fontanae", "Verrucaria molaris", "Litsea japonica", "Verrucaria macochae", "Verrucaria macrostomoides", "Paglhoplasymma heliconiae", "Placusa peruacuminata", "Placusa spirae", "Euvira ecuadorensis", "Euvira pittierensis", "Euvira huanucoensis", "Euvira materdei", "Diestota nigroinsulana", "Diestota manausensis", "Plesiomalota cangahuaptera", "Plesiomalota cayambensis", "Plesiomalota osellai", "Plesiomalota prolata", "Plesiomalota hospitii", "Plesiomalota manausina", "Plesiomalota microperuviana", "Plesiomalota pseudomerula", "Plesiomalota cerroblancoensis", "Plesiomalota ecupallida", "Plesiomalota rufa", "Plesiomalota materdei", "Eudera osellai", "Eudera superba", "Agalmyla clarkei", "Cribroheros longimanus", "Cribroheros rhytisma", "Cylindrolobus cootesii", "Cribroheros robertsoni", "Epiphyllum grandilobum", "Cribroheros rostratus", "Epiphyllum thomasianum", "Epiphyllum thomasianum subsp. thomasianum", "Bulbophyllum glebulosum", "Trichosilia mollis", "Agrotis mollis", "Agrotis fernaldi", "Bulbophyllum leptocaulon", "Eviota infulata", "Atriplex pentandra", "Collodictyon triciliatum", "Verrucaria corcontica", "Trichosilia arctica", "Ochropleura arctica", "Trichosilia nigrita", "Euxoa nigrita", "Ochropleura nigrita", "Agrotis nigrita", "Noctua acarnea", "Verrucaria corticola", "Agrotis tragica", "Caecitellus paraparvulus", "Caecitellus parvulus", "Caecitellus pseudoparvulus", "Ryacia tzygankovi", "Aleodorus osellai", "Verrucaria olivascens", "Gnypeta adunca", "Gnypeta luteicollis", "Gnypeta chacoensis", "Gnypeta boliviana", "Gnypeta palae", "Aloconota ecualticola", "Aloconota peruviana", "Peruusa fungicola", "Peruusa materdei", "Peruusa amazonica", "Kephamekynella peruviana", "Verrucaria pachyspora", "Bulbophyllum brevibrachiatum", "Chortiheros wesseli", "Bulbophyllum lepantense", "Cribroheros alfari", "Verrucaria pallidocarpa", "Cribroheros altifrons", "Cribroheros bussingi", "Cribroheros diquis", "Darienheros calobrensis", "Isthmoheros tuyrensis", "Cymbellales incertae sedis", "Crucicostulifera areolata", "Calamophis jobiensis", "Verrucaria paramauroides", "Epiphyllum thomasianum subsp. costaricense", "Verrucaria piliscanbensis", "Naviculales incertae sedis", "Oegoconia caradjai", "Debeerius ellefseni", "Gregorius rexi", "Acrotona ecuscabra", "Acrotona huanucoensis", "Haplojana insignifica", "Haplojana roseobrunnea", "Haplojana soricis", "Jana rhodoptera", "Jana obscura", "Ecitomorpha arachnoides", "Orphnebius cotopaxiensis", "Orphnebius palliolatus", "Orphnebius opacilucidicollis", "Orphnebius ruralis", "Verrucaria pseudominuta", "Diademoides luxuriosa", "Verrucaria pseudomyriocarpa", "Atheta cangahuicola", "Atheta ecugigantea", "Atheta saltusvirginis", "Atheta osellai", "Atheta pedegralensis", "Atheta manausensis", "Leptonia ecuadorica", "Leptonia cornelli", "Onoreusa ecuadorensis", "Mayaheros amarus", "Mayaheros cienagae", "Mayaheros conchitae", "Mayaheros ericymba", "Mayaheros mayorum", "Diacanthochara osellai", "Octolasmis brevis", "Talamancaheros sieboldii", "Mayaheros stenozonus", "Mayaheros zebra", "Mayaheros trispilus", "Mayaheros beani", "Mayaheros troschelii", "Bulbophyllum bernadetteae", "Bulbophyllum bicarinatum", "Bulbophyllum bidoupense", "Talamancaheros underwoodi", "Wajpamheros nourissati", "Astatheros macracanthus", "Physogaleus cuvieri", "Jana funebris", "Jana agrippa", "Atheta ecuterricola", "Atheta fodinarum", "Atheta microparamicola", "Atheta ecuvolans", "Atheta tapiai", "Atheta paolettii", "Atheta onorei", "Atheta ecucotopaxiensis", "Atheta osellaiana", "Atheta rioblancoensis", "Atheta ecupauper", "Atheta cangahuaptera", "Atheta patrinsulae", "Atheta materdei", "Atheta paraguayiensis", "Atheta amazoncaliginosa", "Atheta cangahuensis", "Atheta paratristicollis", "Atheta atacazensis", "Atheta bavierai", "Verrucaria polita", "Atheta ecuparallela", "Atheta patercaliginosa", "Atheta sanctaecrucis", "Verrucaria procopii", "Verrucaria pseudoacrotella", "Verrucaria ruinicola", "Selenicereus inermis subsp. tricae", "Verrucaria saprophila", "Philiris papuanus papuanus", "Philiris papuanus kerri", "Philiris azula azula", "Bulbophyllum cumingii", "Philiris azula johnsoni", "Philiris lucina", "Schizorphnebius osellai", "Apalosellia cotopaxiensis", "Apalonia huanucensis", "Apalonia peruviana", "Apalonia materdei", "Apalonia iquitensis", "Apalonia major", "Apalonia gracilis", "Apalonia asymmetrica", "Apalonia nigrofalcifera", "Apalonia misionensis", "Apalonia insolita", "Apalonia bolivicula", "Apalonia apicalis", "Tetradonia marginalis", "Kronoheros umbriferus", "Macrogerodonia alularum", "Macrogerodonia peruspina", "Macrogerodonia amambayiensis", "Idiostiba onorei", "Idiostiba cotopaxicola", "Idiostiba napoensis", "Idiostiba cotopaxiensis", "Akanthinoknemusa cerroblancoicola", "Rondonusa braziliana", "Hoplandria materdei", "Hoplandria truncapicalis", "Hoplandria boliviensis", "Hoplandria dentata", "Paraplandria insularis", "Platandria divergens", "Taplandria flava", "Taplandria micropluvialis", "Drusilla ulusegamicola", "Macrolobognathus borneensis", "Micropolemon borneensis", "Orphnebius borneofuscipes", "Sabahopora danumensis", "Leucocraspedum langtangense", "Platyola peruviana", "Meotica peruviana", "Verrucaria pseudoschistosa", "Meoticaops ecuadorensis", "Meoticaops peruviana", "Meoticaops sanctaecrucis", "Cornellusa peruviana", "Mayaheros urophthalmus", "Mayaheros aguadae", "Mayaheros alborus", "Liogluta thankurensis", "Liogluta samdoensis", "Liogluta kaskiensis", "Liogluta dhaulagiriensis", "Liogluta dandaensis", "Liogluta dudhensis", "Pilea sect.", "Aloconota cambrica", "Paraloconota dhaulagiricola", "Bellatheta karnaliensis", "Amischa dhaulagiriensis", "Pilea margarettae", "Chaetocerotanae incertae sedis", "Meuniera membranacea", "Verrucaria refugii", "Verrucaria rimulosa", "Philiris papuanus", "Verrucaria rivalis", "Stictocyclus stictodiscus", "Verrucaria saxivora", "Neetroplus nematopus", "Panamius panamensis", "Pilea sect.", "Pilea ser.", "Pilea ser.", "Pilea sect.", "Acrotona chhandiensis", "Atheta nepalzigzag", "Atheta nepalstriata", "Atheta yetiana", "Pseudoaulacosira moisseeviae", "Atheta hartmanniana", "Atheta junglensis", "Atheta sauteri", "Atheta kotgarhensis", "Atheta siklesensis", "Atheta lamjungensis", "Atheta madikholensis", "Atheta ghusaensis", "Atheta cirri", "Atheta dolpensis", "Atheta nepalpallens", "Cousya lobifera", "Oxypoda hartmanni", "Pseudoplandria micronepalica", "Verrucaria serpentini", "Verrucaria subcontinua", "Verrucaria subdecussata", "Pilea sect.", "Pilea sect.", "Octolasmis bullata", "Pilea sect.", "Grammatophyllum elegans", "Grammatophyllum kinabaluense", "Grammatophyllum schmidtianum", "Octolasmis clavula", "Grammatophyllum stapeliiflorum", "Grammatophyllum wallisii", "Chrysoderma mucosum", "Acronema sippewissettensis", "Verrucaria subdolosa", "Bulbophyllum fascinator", "Amygdalaria consentiens var. japonica", "Verrucaria timkoii", "Gladiolus anatolicus", "Gladiolus antakiensis", "Gladiolus attilae", "Verrucaria trachyticola", "Gladiolus osmaniyensis", "Gladiolus humilis", "Brycinus epuluensis", "Gladiolus micranthus", "Bulbophyllum weberi", "Bulbophyllum loherianum", "Verrucaria suzae", "Bulbophyllum plumatum", "Verrucaria sylvatica", "Verrucaria tapetica", "Moenkhausia margitae", "Coryphantha maiz-tablasensis", "Placusa papuana", "Leptostiba kaimanensis", "Acrotona cucphuongensis", "Coenonica kaindimontis", "Diplopleurus litorum", "Diplopleurus umbonicollis", "Leptostibina gingeramontis", "Leptostibina clydensis", "Leptostiba tambourinensis", "Sinocyclocheilus guanyangensis", "Hypostomus formosae", "Hypostomus boulengeri", "Verrucaria verruculifera", "Brycinus imberi", "Hylocereus polyrhizus", "Apomys aurorae", "Apomys banahao", "Muscari latifolium", "Bulbophyllum bifurcatoflorens", "Muscari macbeathianum", "Muscari massayanum", "Muscari mirum", "Muscari sandrasicum", "Octolasmis collare", "Apomys brownorum", "Leptostibina blackmontis", "Leptostibina araluensis", "Geostibasoma dorrigoensis", "Geostibasoma brownmontis", "Geostibasoma neoguineensis", "Geostibasoma vidua", "Leptostiba gentilis", "Leptostiba gingerensis", "Rafflesia consueloae", "Leptostiba willowvalensis", "Leptostiba gilvicollis", "Leptostiba acuta", "Leptostiba browniensis", "Leptostiba carindensis", "Verrucaria vindobonensis", "Apomys sierrae", "Octolasmis cor", "Verrucaria zlichovensis", "Muscari turcicum", "Muscari tuzgoluense", "Ancistrus karajas", "Ancistrus krenakarore", "Diplacanthus crassisimus", "Appendicula alba", "Salicornia procumbens", "Hylocereus schomburgkii", "Muscari tavoricum", "Muscari albiflorum", "Hypotrachyna minarum", "Octolasmis dawsoni", "Leptogium insigne", "Brigantiaea sorediata", "Octolasmis forresti", "Buellia subfrigida", "Moenkhausia miangi", "Leptostiba directa", "Leptostiba marraicola", "Leptostiba distorta", "Leptostiba bicarinata", "Leptostiba wogwogicola", "Leptostiba cordis", "Leptostiba wogwogensis", "Leptostiba cucullus", "Leptostiba canberrensis", "Leptostiba wilsonmontis", "Leptostiba benandarahensis", "Leptostiba keiraicola", "Leptostiba fratrum", "Leptostiba clydemontis", "Leptostiba brevior", "Leptostiba makranczyi", "Leptostiba dissimilis", "Notioantilogiusa oxypodina", "Uraniacanthus curtus", "Eurystiba crassa", "Gastropaga variegata", "Uraniacanthus spinosus", "Uraniacanthus probaton", "Muscari baeticum", "Muscari cazorlanum", "Muscari dolichanthum", "Amata remanei", "Muscari fertile", "Muscari filiforme", "Muscari hermonense", "Rhadinacanthus longispinus", "Muscari hierosolymitanum", "Muscari kerkis", "Diplacanthus tenuistriatus", "Henosepilachna elaterii", "Amazonasciaena rossettiae", "Atractoscion odeai", "Callaus cubaguanus", "Cataetyx stringeri", "Cynoscion latiostialis", "Cynoscion prolixus", "Cynoscion scitulus", "Isopisthus acer", "Karaganops perratus", "Karaganops komochtitziensis", "Lamprogrammus manzanilla", "Larimus angosturae", "Larimus humboldti", "Larimus pandus", "Lutjanus bengalensis", "Lutjanus octolineatus", "Moenkhausia monicae", "Hyphessobrycon psittacus", "Chaenothecopsis nigripunctata", "Chaenothecopsis montana", "Verrucaria collematodes", "Octolasmis geryonophila", "Muscari lazulinum", "Muscari matritense", "Muscari salah-eidii", "Muscari stenanthum", "Muscari spreitzenhoferi", "Muscari olivetorum", "Muscari pulchellum", "Thalassiosiropsis wittiana", "Paralepidocephalus translucens", "Apistogramma eleutheria", "Apistogramma flavipedunculata", "Notoraja martinezi", "Lutjanus sapphirolineatus", "Octolasmis grayi", "Pillaiabrachia siniae", "Corydoras froehlichi", "Corydoras knaacki", "Gymnogeophagus terrapurpura", "Dasyloricaria paucisquama", "Dasyloricaria filamentosa", "Dasyloricaria latiura", "Callionymus alisae", "Octolasmis hoeki", "Muscari pulchellum subsp. clepsydroides", "Muscari pulchellum subsp. pulchellum", "Muscari microstomum", "Muscari kurdicum", "Ocnerogyia layla", "Ocnerogyia pasargadae", "Austrazyras mulwalensis", "Zyras sattelmontis", "Australestes crassum", "Heterogynis sondereggeri", "Apimelida makranczyi", "Apimela cargillegica", "Heterogynis dubia", "Apimela gingeriana", "Spanioda carissima", "Spanioda differens", "Calodera ruficollis", "Verrucaria griseoatra", "Atriplex paludosa subsp. paludosa", "Atriplex paludosa subsp. baudinii", "Melamphaes eurous", "Aylikusa tasmaniensis", "Atriplex paludosa subsp. cordata", "Melamphaes indicus", "Neodoxa laversensis", "Dymerinx insidiosum", "Melamphaes typhlops", "Atriplex paludosa subsp. moquiniana", "Verrucaria hypophaea", "Serrapinnus zanatae", "Foxiides australianus", "Garra incisorbis", "Spilosoma jankowskii", "Diacrisia jankowskii korearctia", "Diacrisia jankowskii", "Diacrisia jankowskii jankowskii", "Moenkhausia moisae", "Lemyra floresina", "Lemyra basirosea", "Lemyra deumeri", "Lemyra dendrovia", "Lemyra ramosula", "Lemyra atrata", "Lemyra miniatrata", "Lemyra lutheri", "Spilosoma submargininigra", "Acraea andromacha", "Acraea andromacha andromacha", "Bulbophyllum elisae", "Acraea leucographa", "Acraea leucographa leucographa", "Rhizochrysidopsis vorax", "Bulbophyllum trigonopus", "Arsenura giuglarisi", "Chaetostoma joropo", "Chaetostoma milesi", "Moenkhausia venerei", "Colias electo", "Colias electo electo", "Brachida linsaymontis", "Sternotropa linsaymontis", "Sternotropa tambourinensis", "Sternotropa brisbanensis", "Austraepiskia barrinensis", "Austracoenonica laminaris", "Tryphopsichara australiana", "Acrotona wachteli", "Atheta tambourinensis", "Gastropaga brisbanensis", "Gastropaga barrinensis", "Pelioptera barrinensis", "Platyola bowravillensis", "Apimela carnavonensis", "Apimela queenslandica", "Pseudoplandria bowravillensis", "Distephanosira architecturalis", "Gastropaga boonahensis", "Platyola amieuensis", "Pelioptera australiana", "Pelioptera austraminima", "Pelioptera australiensis", "Pelioptera sydneyensis", "Austropelioptera porongorupensis", "Austropelioptera lornensis", "Austropelioptera victoriensis", "Glossodonota burnsidensis", "Myrmedonota biapicalis", "Myrmedonota sydneyensis", "Eurydonota kioloaensis", "Eurydonota wogwogensis", "Tetrabothrus australis", "Tetrabothrus antefemoralis", "Tetrabothrus pallidus", "Drusilla lateremaculata", "Austrokyrta fulva", "Athetaglossa australiana", "Aleochara pugionis", "Aleochara austrolobata", "Aleochara rufopyga", "Verrucaria laevata", "Bulbophyllum bilobipetalum", "Verrucaria mougeotii", "Marcusenius kaninginii", "Schistura kampucheensis", "Hisonotus pachysarkos", "Alburnoides damghani", "Chaunax multilepis", "Cyphocharax jagunco", "Cyphocharax lundi", "Arsenura alcmene", "Arsenura arcaei", "Arsenura aurantiaca", "Arsenura columbiana", "Arsenura crenulata", "Arsenura hercules", "Arsenura mestiza", "Arsenura niepelti", "Arsenura oweni", "Arsenura paranensis", "Arsenura pelias", "Atriplex yeelirrie", "Achaius oratorius", "Meroleuca carpishiana", "Meroleuca calabaziana", "Meroleuca rubrocalabaziana", "Meroleuca achupasiana", "Meroleuca nievasiana", "Meroleuca viksinayevi", "Meroleuca corralesi", "Ochmacanthus batrachostomus", "Muscari longistylum", "Atriplex quadrivalvata var. quadrivalvata", "Atriplex quadrivalvata var. sessilifolia", "Pelioptera unituberculata", "Ceranchia mollis", "Leucopteryx dargei", "Atriplex undulata", "Dactyloceras collinsi", "Dactyloceras cadioui", "Dactyloceras minettii", "Dactyloceras tanzaniensis", "Dactyloceras vandeweghei", "Moenkhausia newtoni", "Limerodes arctiventris", "Atriplex vesicaria subsp. appendiculata", "Bulbophyllum pumilum", "Gyrophaena quadra", "Erythromeris flexilineata", "Gyrophaena variolosa", "Coenonica papuana", "Aurearena cruciata", "Graphium eurypylus sallastius", "Lepophidium borbonensis", "Lepophidium crebrum", "Lepophidium gentilis", "Lepophidium leai", "Lepophidium limulum", "Lepophidium refugum", "Synallaxis chinchipensis", "Nebris dioneae", "Neobythites huddlestoni", "Ogilbichthys dariensis", "Ophidion bowdenensis", "Ophidion pauxillicauda", "Ophidion sporoformis", "Ophioscion amphiamericanus", "Ophioscion inflaticauda", "Ophioscion transitivus", "Plagioscion ultimus", "Polycirrhus jaramilloi", "Polycirrhus mustus", "Chaenothecopsis oregana", "Protonebris sanchezi", "Stellifer abbreviatus", "Stellifer acerbus", "Stellifer bicornutus", "Stellifer depressifrons", "Stellifer onzole", "Umbrina abbreviata", "Umbrina bananensis", "Umbrina laxa", "Umbrina opima", "Umbrina sublima", "Umbrina surda", "Xenotolithus semiostialis", "Orvasca aliena", "Orvasca aurantiaca", "Orvasca irrorata", "Orvasca lavella", "Orvasca fulvonigra", "Orvasca dolichocera", "Orvasca panabra", "Orvasca paradoxa", "Orvasca semifusca", "Orvasca eva", "Orvasca flavocinerea", "Orvasca sciasticta", "Orvasca bicolor", "Orvasca limbata", "Atriplex vesicaria subsp. calcicola", "Atriplex vesicaria subsp. incompta", "Atriplex vesicaria subsp. macrocystidia", "Atriplex vesicaria subsp. minor", "Atriplex vesicaria subsp. sphaerocarpa", "Atriplex vesicaria subsp. variabilis", "Atriplex aellenii", "Pertusaria inopinata", "Chromulinales incertae sedis", "Aleochara basalis", "Calopogon barbatus", "Micrurapteryx occulta", "Parectopa occulta", "Parectopa albicostella", "Micrurapteryx caraganella", "Parectopa caraganella", "Bulbothrix mammillaria", "Kentrochrysalis havelki", "Neoclanis similis", "Theretra dominikae", "Bulbothrix lacinia", "Aurivillialepas rhabdota", "Agrias pericles", "Cidariplura chenyxi", "Oxaenanus yunnana", "Acanthocereus castellae", "Selenotoca multifasciata", "Rhamdia branneri", "Rhamdia voulezi", "Oxaenanus brontesalis", "Oxaenanus kalialis", "Oxaenanus kerangatis", "Oxaenanus parvikalialis", "Oxaenanus picticilia", "Watsonidia porioni", "Stenus nigrificatus", "Stenus obscurefactus", "Stenus procericornis", "Stenus irritator", "Sertularia cupressina", "Sertularia argentea", "Trigonopterus chewbacca", "Trigonopterus obsidianus", "Trigonopterus puncticollis", "Trigonopterus silaliensis", "Chrysophyceae incertae sedis", "Pethia sanjaymoluri", "Atla oulankaensis", "Atla tibelliorum", "Atla vitikainenii", "Stenus mrazi", "Stenus centeotl", "Stenus ometochtli", "Stenus trapezivestis", "Stenus blandus", "Euops lakekamuensis", "Stenus juliae", "Cosmopterix aarviki", "Cosmopterix agassizi", "Muscari atillae", "Muscari elmasii", "Phaeurus antarcticus", "Tylecodon paniculatus subsp. glaucus", "Abathescalpellum koreanum", "Pylaiella littoralis", "Euphaedra condamini", "Euphaedra descarpentriesi", "Stenus inamoenus", "Stenus inopinus", "Renanthera auyongii", "Renanthera bella", "Renanthera breviflora", "Achaiusoides epistomalis", "Renanthera caloptera", "Renanthera chanii", "Renanthera citrina", "Renanthera coccinea", "Renanthera elongata", "Trypethelium platystomum", "Tylecodon paniculatus subsp. paniculatus", "Calopogon multiflorus", "Calopogon oklahomensis", "Calopogon pallidus", "Neoscalpellum debile", "Neoscalpellum phantasma", "Amplypterus panopus karnatakaensis", "Tricholabus strigatorius", "Cirrhimuraena yuanding", "Manduca ziva", "Manduca herbini", "Orecta titana", "Theretra detonnancourorum", "Xylophanes tyndarus", "Xylophanes tyndarus tyndarus", "Xylophanes tyndarus splendens", "Hepiopelmus melanogaster", "Ceridia agilei", "Ceridia agilei agilei", "Ceridia agilei occidentalis", "Stenus bruchi", "Ceridia nigricans", "Ceridia stuckenbergi", "Stenus holmbergii", "Stenus perssoni", "Smerinthulus schnitzleri", "Stenus theresae", "Placynthium caesium", "Madoryx pseudothyreus", "Madoryx pseudothyreus pseudothyreus", "Madoryx pseudothyreus floridensis", "Madoryx pseudothyreus bahamensis", "Nelphe trimaculata", "Nelphe dominica", "Stenus yupanqui", "Stenus endosquameus", "Stenus josefa", "Stenus falinianus", "Stenus bechyneae", "Stenus longepilosus", "Stenus setosiventris", "Stenus janae", "Stenus martae", "Stenus grocae", "Stenus condei", "Neoscalpellum schizoplacinum", "Stenus brasilianus", "Stenus novoteutonicus", "Stenus rothi", "Stenus penicillus", "Stenus klimschi", "Stenus spathulipenis", "Stenus pedator", "Renanthera annamensis", "Stenus subnotatus", "Stenus longinoi", "Stenus lancifrons", "Stenus xenia", "Stenus brigita", "Stenus emily", "Stenus spissifrons", "Stenus multidentatus", "Stenus intolerabilis", "Stenus ignoratus", "Neptis nemetes", "Neptis nemetes nemetes", "Neptis nemetes obtusa", "Neptis nemetes margueriteae", "Kallimoides rumia", "Kallimoides rumia rumia", "Usnea aranea", "Usnea clerciana", "Usnea rubriglabrata", "Usnea subaranea", "Usnea subglabrata", "Stenus costipennis", "Stenus toripennis", "Stenus denticulifer", "Stenus hidalgo", "Echinocereus brandegeei", "Moenkhausia naponis", "Ramonia variospora", "Octolasmis indubia", "Renanthera matutina", "Renanthera moluccana", "Renanthera monachica", "Renanthera philippinensis", "Renanthera porphyrodesme", "Renanthera pulchella", "Renanthera storiei", "Echinocereus maritimus", "Renanthera vietnamensis", "Moenkhausia parecis", "Rhacolepis buccalis", "Stenus colosseus", "Stenus lucens", "Stenus arator", "Stenus aratorius", "Stenus aratrifer", "Stenus postnotatus", "Stenus cuzcoensis", "Stenus sagittipenis", "Stenus cochabambaensis", "Stenus mazureki", "Stenus bolivari", "Eugeniella palleola", "Stenus ojedai", "Stenus vespuccii", "Stenus simius", "Stenus cavatigutta", "Stenus cruentus", "Graphis paraschiffneri", "Renanthera hennisiana", "Renanthera histrionica", "Malmidea cineracea", "Renanthera imschootiana", "Renanthera isosepala", "Abathescalpellum fissum", "Perisama philinus suassurei", "Perisama philinus descimoni", "Dianous fornicifrons", "Perisama tristrigosa", "Stenus srisukai", "Dianous andrewesi", "Dianous haraldi", "Dianous bimaculatus", "Dianous chetri", "Dianous obliquenotatus", "Dianous punctiventris", "Dianous scabricollis", "Octolasmis lowei", "Dianous siwalikensis", "Dianous tortuosus", "Stenus indicus", "Stenus geiseri", "Halpe beturia", "Cosmopterix ariel", "Cosmopterix athesiae", "Gelechia attenuatella", "Thayerella newtoni", "Toxotarca parotidosa", "Cynicostola oncopteryx", "Coproptilia diona", "Eccedoxa selena", "Deltoplastis flavida", "Malachoherca ardensa", "Stenus gibbus", "Stenus sperlingi", "Stenus obliquegutta", "Stenus hermanianus", "Stenus ovatiguttatus", "Stenus ovatigutta", "Stenus palla", "Stenus chasqui", "Stenus fossipennis", "Stenus flavotaeniatus", "Stenus haravec", "Stenus lateralistriatus", "Stenus brooksi", "Stenus mariae", "Stenus squamosus", "Stenus aquatalensis", "Stenus llayca", "Stenus parvuligutta", "Stenus alpaca", "Stenus cholo", "Stenus obscuroguttatus", "Stenus chimalpopoca", "Stenus nusta", "Proesochtha loxosa", "Galoxestis sarmenta", "Galoxestis stictata", "Galoxestis baliocata", "Kalocyrma curota", "Kalocyrma decurtata", "Kalocyrma echita", "Syntetarca pilidia", "Thamnopalpa paryphora", "Quassitagma stimulata", "Perisama lebasii", "Perisama lebasii lebasii", "Perisama lebasii selva", "Perisama lebasii koenigi", "Perisama koenigi", "Perisama jurinei", "Perisama jurinei jurinei", "Perisama jurinei klugi", "Caloenas maculata", "Perisama xenoclea", "Dianous tubericollis", "Perisama euriclea", "Perisama xenoclea xenoclea", "Dianous betzi", "Dianous caeruleostigmaticus", "Perisama xenoclea masti", "Dianous biscobriculifrons", "Dianous nitidicollis", "Perisama philinus", "Perisama philinus philinus", "Perisama philinus nyctimene", "Drepana flava", "Albara flava", "Callidrepana flava", "Iridrepana flava", "Desmarestia viridis", "Drepana crocea", "Albara crocea", "Konjikia crocea", "Stenus elegantulus", "Stenus humeralis", "Stenus separandus", "Stenus jaccoudi", "Stenus notaculipennis", "Dianous annapurnaensis", "Dianous borailmontis", "Dianous corvipenis", "Dianous flavicoxatus", "Dianous guillaumei", "Dianous cupreonitens", "Dianous hajeki", "Dianous humaboni", "Dianous keralanus", "Dianous manaslumontium", "Dianous martensi", "Dianous transgressor", "Dianous viridisplendens", "Dianous biformis", "Echinocereus barthelowanus", "Croesia dispar", "Croesia fuscopunctata", "Croesia lutescentis", "Croesia helvolaris", "Croesia rosella", "Dianous aurichalceus", "Dianous baliensis", "Dianous bhutanensis", "Dianous inconspicuus", "Dianous lahu", "Dianous meo", "Dianous yao", "Dianous festinus", "Oligoremora rhenana", "Euaesthetus americanus", "Euaesthetus pugetensis", "Euaesthetus bicoloratus", "Euaesthetus floridae", "Euaesthetus iripennis", "Euaesthetus laeviusculus", "Echinocereus nicholii", "Anzia anzioides", "Setitachys macrops", "Alcockianum alcockianum", "Drepana fulvata", "Platypteryx fulvata", "Iridrepana fulvata", "Konjikia arikana", "Iridrepana falcipennis", "Tridrepana falcipennis", "Drepana sadana", "Platypteryx sadana", "Iridrepana sadana", "Drepana rubromarginata", "Iridrepana rubromarginata", "Drepana thermopasta", "Hypobarathra icterias", "Xylina icterias", "Hypobarathra repetita", "Xylophasia repetita", "Hypobarathra rau", "Anthonympha speciosa", "Trichomycterus torcoromaensis", "Bureschias subcylindricus", "Sphinx gordius gordius", "Florenciellales incertae sedis", "Sphinx gordius oslari", "Sphinx gordius borealis", "Poliodes senegalensis", "Oplerclanis boisduvali", "Oplerclanis rhadamistus", "Oplerclanis rhadamistus rhadamistus", "Oplerclanis rhadamistus hyrax", "Oplerclanis rhadamistus malaboensis", "Pseudolaguvia fucosa", "Lethenteron alaskense", "Lethenteron ninae", "Skyttea insignis", "Pseudorhipsalis horichii", "Pseudorhipsalis lankesteri", "Anthonympha truncata", "Anthonympha trapezia", "Anthonympha ligulacea", "Anthonympha reniforma", "Anthonympha rossica", "Anthonympha devota", "Anthonympha duplicata", "Anthonympha oxydelta", "Orencostoma bicornigerum", "Euaesthetus ganglbaueri", "Euaesthetus marionensis", "Euaesthetus mundulus", "Euaesthetus pacificus", "Euaesthetus punctatus", "Euaesthetus similis", "Cosmopteryx flavofasciata", "Halophytophthora vesicula", "Stenus titicacanus", "Stenus teres", "Stenus curtipennis", "Edaphus nodifrons", "Stoermeriana heterochroma", "Sumeria leucanioides", "Salagena acyrosoma", "Sena zolotuhini", "Anzia aterrima", "Nothris heriguronis", "Laspeyresia abietiella", "Hedya semiassana", "Argyroploce semiassana form aino", "Penthina semiassana", "Cerostoma aino", "Agonopterix roseocaudella", "Anzia colpota", "Stenus renifer", "Stenus renifer sallaei", "Anzia cristulata", "Coryphaenoides soyoae", "Coryphaenoides rudis", "Sueviota bryozophila", "Muscari coeleste", "Sueviota lachneri", "Sueviota aprica", "Sueviota atrinasa", "Muscari inconstrictum", "Sueviota larsonae", "Manduca kuschei", "Muscari weissii", "Protoparce kuschei", "Chlaenogramma corumbensis", "Dictyochales incertae sedis", "Manduca corumbensis", "Rhizochromulina marina", "Raphidophyceae incertae sedis", "Stenostaura wiltshirei", "Afroplitis schintlmeisteri", "Psalisodes arabica", "Bilulua xerodryma", "Thaumetopoea loxostigma", "Homoeomeria burra", "Dasychira glaucofusca", "Dasychira ochrata", "Salvatgea aeneoglauca", "Euproctis xanthomaura", "Laelia glaucofuscata", "Micralarctia stictographa", "Eilema syntaxa", "Pelosia oblonga", "Pelosia clandestina", "Siccia bifurcata", "Hipoepa poliomelana", "Schrankia isographa", "Schrankia costaestrigalis", "Schrankia costaestrigalis costaestrigalis", "Schrankia costaestrigalis tropicalis", "Medius fibigeri", "Pleuroncodes guillermeti", "Paragona kononekoi", "Antarchaea microptera", "Antarchaea purpureofusca", "Antarchaea purpureopallida", "Antarchaea subflavalis", "Edaphus latipennis", "Antarchaea subflavalis subflavalis", "Edaphus boopoides", "Antarchaea subflavalis aethiopalis", "Edaphus scrobiculicollis", "Phytometra melanosticta", "Edaphus acupunctatus", "Metachrostis melanoleuca", "Cosmopteryx mimetis", "Cosmopteryx venefica", "Cosmopteryx apiculata", "Cosmopterx antillia", "Cosmopteryx antichorda", "Cosmopterix bactrophora", "Cosmopteryx bactrophora", "Cosmopterix barbertonensis", "Cosmopterix belinda", "Cosmopterix bianca", "Cosmopterix caliban", "Cosmopterix callinympha", "Cosmopteryx callinympha", "Cosmopterix circe", "Cosmopteryx circe", "Cosmopterix cognita", "Cosmopteryx cognita", "Cosmopteryx cleophanes", "Cosmopterix cordelia", "Cosmopterix coryphaea", "Cosmopteryx coryphaea", "Cosmopteryx donatellae", "Cosmopteryx formosa", "Catocala didenko", "Glaresis hispana", "Parallelodemas plumosum", "Parallelodemas setifrons", "Parallelodemas tumens", "Parallelodemas feae", "Pseudorhipsalis macrantha", "Spilichneumon occisorius", "Azotobacter salinestris", "Megalopinus tangi", "Megalopinus hayeki", "Megalopinus violiniformis", "Megalopinus sexdentatus", "Stenus sexualis", "Stenus megacephalus", "Wernlina reidae", "Tozeuma cornutum", "Tozeuma serratum", "Tozeuma carolinense", "Stenus lanuginosipes", "Stenus kraatzi", "Stenus calliceps", "Stenus distans", "Stenus pseudolus", "Edaphus carinulifrons", "Edaphus hermani", "Edaphus lineationifer", "Eublemma minutulalis", "Eublemma plagiochroma", "Eublemma dhofarica", "Edaphus incisionicollis", "Eublemma lehmanni", "Edaphus bisulcaticollis", "Eublemma mediovittata", "Eublemma loxographa", "Edaphus annamensis", "Eublemma cyrenaea", "Edaphus granulipennis", "Edaphus imitator", "Eublemma cyrenaea cyrenaea", "Edaphus planus", "Eublemma cyrenaea samhara", "Edaphus puncticollis", "Eublemma albicosta", "Eublemma acarodes", "Stenus peratus", "Stenus peramicus", "Stenus interlatens", "Stenus inconspicuus", "Stenus intererrans", "Stenus inconsentiens", "Eublemma albidior", "Megalopinus laoticus", "Megalopinus leileri", "Megalopinus hirashimai", "Paranectria oropensis", "Stenus formosanus", "Stenus spinulipes", "Stenus amurensis", "Sasanidus kermanshahensis", "Hydraena accurata", "Terelabrus flavocephalus", "Aphyosemion bitteri", "Anablepsoides hoetmeri", "Melanorivulus polychromus", "Melanorivulus apiamici", "Acrotrichis logunovi", "Hyphessobrycon vanzolinii", "Brachydesmus kvavadzei", "Brachydesmus simplex", "Stenus secretus", "Stenus kamtschaticus", "Leptolalax ardens", "Leptolalax kalonensis", "Leptolalax pallidus", "Leptolalax maculosus", "Leptolalax tadungensis", "Skyttea arenicola", "Aphis tehuelchis", "Stenus morio", "Protosclerogibba australis", "Stenus melanarius", "Estoloderces obliquus", "Stereomerus swifti", "Rallus nanus", "Paranectria superba", "Siphloplecton sartorii", "Siphloplecton gattolliati", "Siphloplecton barabani", "Siphloplecton picteti", "Siphloplecton macrops", "Bactrocera harrietensis", "Bactrocera chettalli", "Asiagomphus reinhardti", "Paranectria affinis", "Secamone geayi", "Paranectria alstrupii", "Paranectria carissiana", "Paranectria hemileiae", "Paranectria pritzeliana", "Stenus kuatunensis", "Stenus proclinatus", "Stenus mammops", "Stenus mammops bulbicollis", "Stenus asprohumilis", "Stenus ruralis", "Stenus illotulus", "Stenus raddei", "Stenus canaliculatus", "Stenus canosus", "Stenus illusor", "Stenus immigratus", "Stenus melanopus", "Stenus ageus", "Serolis agassizi", "Stenus incrassatus", "Paralebbeus zotheculatus", "Haplopharynx rostratus", "Leucocarbo nivalis", "Stenus indagator", "Astroblepus curitiensis", "Astroblepus onzagaensis", "Astroblepus verai", "Aphis maulensis", "Astroblepus pradai", "Stenus ussuriensis", "Aphis eucollinae", "Paralebbeus jiaolongi", "Stenus mongolicus", "Stenus lewisius", "Skyttea gossypina", "Stenus lewisius pseudoater", "Stenus fasciculatus", "Stenus paradoxus", "Rhombopsammia niphada", "Stenus hammondi", "Rhombopsammia squiresi", "Skyttea heterochroae", "Stenus japonicus", "Skyttea ochrolechiae", "Haplopharynx papii", "Haplopharynx quadristimulus", "Craspedortha montana", "Limerodops violentus", "Nephele bipartita", "Nephele comma", "Nephele comoroana", "Nephele joiceyi", "Nephele lannini", "Nephele leighi", "Nephele maculosa", "Nephele monostigma", "Nephele rectangulata", "Nephele rosae", "Nephele accentifera", "Nephele aequivalens", "Nephele argentifera", "Nephele densoi", "Nephele funebris", "Nephele hespera", "Nephele peneus", "Nephele subvaria", "Nephele vau", "Stenus pederseni", "Saturnia janetta", "Antheraea disjuncta", "Antheraea insignis", "Syntherata insignis", "Syntherata weymeri", "Saturnia melvilla", "Muscari eburneum", "Muscari gussonei", "Choerocampa rhesus", "Muscari maritimum", "Theretra javanica", "Muscari cycladicum", "Muscari cycladicum subsp. subsessile", "Muscari cycladicum subsp. cycladicum", "Leopoldia bicolor", "Paranectriella meliolicola", "Muscari erdalii", "Polycaena chauchowensis", "Polycaena chauchowensis chauchowensis", "Polycaena chauchowensis pallidior", "Polycaena princeps", "Polycaena princeps princeps", "Polycaena princeps minensis", "Polycaena tamerlana tamerlana", "Polycaena tamerlana temir", "Polycaena tamerlana pamira", "Polycaena timur timur", "Polycaena timur gurkani", "Polycaena lua minor", "Dodona hoenei", "Paranectriella arcuata", "Muscari bicolor", "Paranectriella hemileiae", "Paranectriella imperconspicua", "Cyclamen ser.", "Paranectriella juruana", "Strephonota cyllarissus", "Limerodops elongatus", "Octolasmis neptuni", "Phosocephala alexanderi", "Megaselia bisticta", "Pheidole protaxi", "Stenus lescheni", "Moenkhausia pyrophthalma", "Strephonota foyi", "Alcockianum persona", "Rinodina cryptolecanorina", "Rinodina diminutiva", "Rinodina galapagoensis", "Rinodina graciliforminica", "Rinodina gustafmalmei", "Strephonota jactator", "Rinodina isabelina", "Rinodina nugrae", "Rinodina unica", "Paranectriella miconiae", "Paranectriella minuta", "Paranectriella stromaticola", "Stenus venator", "Stenus comes", "Stenus riukiuensis", "Stenus quaesitus", "Stenus sulawesicola", "Stenus lomholdti", "Stenus sulcatipennis", "Stenus adebratti", "Stenus boholensis", "Stenus diffidens", "Stenus duplopunctatus", "Moenkhausia nigromarginata", "Stenus infaustus", "Stenus mon", "Stenus notabilifrons", "Tesseropora chilensis", "Verruca hermi", "Strephonota elika", "Strephonota ericeta", "Muscari haradjianii", "Stenus melanarius annamita", "Stenus gansuensis", "Stenus pilosiventris", "Stenus hirtiventris", "Polycaena wangjiaqii", "Polycaena sejila", "Stenus immarginatus", "Polycaena kansuensis", "Stenus latissimus", "Polycaena kansuensis kansuensis", "Polycaena kansuensis sakaii", "Polycaena kansuensis subhuti", "Stenus montignarus", "Stenus alienus", "Stenus bioculatus", "Stenus scabratus", "Stenus falsator", "Stenus plumbivestis", "Polycaena minor", "Stenus huabeiensis", "Polycaena lua lua", "Polycaena lua taibaiensis", "Stenus eurous", "Stenus fraterculus", "Stenus plumbeus", "Polycaena yunnana", "Polycaena carmelita", "Polycaena matuta", "Stenus biwenxuani", "Stenus lanosus", "Stenus aspripennis", "Stenus aspriformis", "Stenus asprisculptus", "Stenus asprivestis", "Paranectria ugandae", "Stenus tropicus", "Strephonota malvania", "Stenus viridis", "Stenus wendeleri", "Cosmotriche brachycera", "Strephonota falsistrephon", "Strephonota parvipuncta", "Strephonota perola", "Strephonota porphyritis", "Strephonota pulchritudo", "Strephonota purpurantes", "Pseudomugil luminatus", "Pseudomugil gertrudae", "Luciola ficta", "Acosmeryx haxairei", "Rhypotoses drepanioides", "Sphingonaepiopsis gorgoniades", "Sphingonaepiopsis kuldjaensis", "Strephonota trebonia", "Sphingonaepiopsis asiatica", "Sphingonaepiopsis gurkoi", "Sphingonaepiopsis ansorgei", "Sphingonaepiopsis malgassica", "Sphingonaepiopsis nana", "Sphingonaepiopsis obscurus", "Strephonota strephon", "Strephonota syedra", "Anzia dictyorhiza", "Schlumbergera candida", "Schlumbergera microsphaerica subsp. candida", "Strephonota tephraeus", "Serranus pulcher", "Ceratodus carteri", "Ceratodus texanus", "Strephonota sphinx", "Eremophila alpestris flava", "Pseudautomeris boettgeri", "Cerodirphia peigleri", "Gamelia cimarrones", "Moenkhausia orteguasae", "Theretra orpheus malgassica", "Theretra orpheus pelius", "Theretra orpheus intensa", "Theretra orpheus scotinus", "Theretra orpheus gauthieri", "Panacra natalensis", "Rinodina subtubulata", "Theretra orpheus megalesia", "Theretra capensis", "Anzia darbishireana", "Stenus pseudotropicus", "Stenus quisquilius", "Stenus rorellus", "Stenus rorellus cursorius", "Stenus schillhammeri", "Stenus schoedli", "Stenus scitulus", "Stenus sejugatus", "Stenus simulans", "Stenus smaragdinus", "Stenus sparsepilosus", "Stenus sparsifrons", "Anzia mahaeliyensis", "Moenkhausia ovalis", "Anzia forbesiana", "Anzia gallowayi", "Diphyus amatorius", "Anzia gracilis", "Stenus skalei", "Stenus solodovnikovi", "Stenus aericeps", "Stenus ambiguus", "Stenus ancoratus", "Stenus ancorellus", "Stenus andamanensis", "Stenus assingi", "Stenus aurantilicomus", "Stenus bicuspis", "Stenus bihamatus", "Stenus confertus", "Stenus cribellatus", "Stenus denticaudatus", "Stenus dissimilis", "Stenus fortepunctatus", "Stenus furcillatus", "Stenus greensladei", "Stenus hebetifrons", "Stenus kubani", "Stenus lacertoides", "Theretra ugandae", "Theretra cajus", "Theretra cajus ugandae", "Theretra cajus cajus", "Theretra tessmanni", "Theretra jugurtha", "Chaerocampa jugurtha", "Theretra jugurtha jugurtha", "Theretra jugurtha peracuta", "Theretra obliterata", "Stenus laoticus", "Stenus leontopolitanus", "Stenus lewisiellus", "Moenkhausia pankilopteryx", "Stenus lombokensis", "Theretra monteironis", "Stenus monomerus", "Stenus morvani", "Stenus nothus", "Stenus pernix", "Chaerocampa monteironis", "Stenus pfeifferi", "Stenus philippinus", "Theretra orpheus", "Theretra orpheus orpheus", "Chaerocampa orpheus", "Sphingonaepiopsis pumilio", "Sphingonaepiopsis wellsi", "Lophura nana", "Polyptychus murinus", "Luciola lusitanica", "Gymnapogon janus", "Enyo bathus", "Epistor bathus", "Nephele discifera", "Nephele discifera f. rattrayi", "Macroglossum augarra", "Strephonota tyriam", "Xylophanes rhodotes", "Xylophanes mariae", "Griseosphinx collardi", "Ambulyx viteki", "Anzia electra", "Neolepas scotiaensis", "Stenus ceylonicus", "Stenus spenceri", "Stenus spurius", "Stenus wasmanni", "Stenus bandarensis", "Stenus basicornis", "Stenus berenice", "Stenus currax", "Stenus miser", "Stenus coelogaster", "Stenus kambaitiensis", "Aspidogyne mendoncae", "Chonala huertasae", "Chonala masoni", "Chonala episcopalis", "Moenkhausia phaeonota", "Chonala praeusta", "Chonala yunnana", "Chonala laurae", "Chonala miyatai", "Chonala irene", "Psilopogon nuchalis", "Geum iranicum", "Geum kokanicum", "Meroleuca diazmaurini", "Automeris sylviae", "Gracilodes albiplagiata", "Isoetes taiwanensis", "Isoetes sinensis", "Gracilodes antinysa", "Gracilodes fenestrata", "Antarchaea linealis", "Squalicorax deckeri", "Bassozetus mozambiquensis", "Anzia hypoleuca", "Potamotrygon wallacei", "Pareiorhina rosai", "Moenkhausia calliura", "Phengaris alcon sevastos", "Periga boettgerorum", "Periga brechlini", "Periga kishidai", "Hylesia extremex", "Gamelia longispina", "Gamelia dargei", "Gamelia vanschaycki", "Molippa luzalessarum", "Anzia flavotenuis", "Ornithoptera priamus urvillianus \u2642f. nigra", "Anzia hypoleucoides", "Calycopis centoripa", "Celmia celmus", "Anzia gregoriana", "Stenus bhutanus", "Stenus celebensis", "Stenus celebensis assecla", "Stenus correctus", "Stenus crassipennis", "Stenus crinitus", "Stenus cyanescens", "Stenus distinguendus", "Alainaspis platyrhina", "Boothiaspis ovata", "Boothiaspis alata", "Boothiaspis angusta", "Manacus candei", "Anzia jamesii", "Manacus aurantiacus", "Moenkhausia robertsi", "Manacus vitellinus", "Anzia japonica", "Thunia alba", "Thunia alba var. alba", "Thunia alba var. bracteata", "Coenotes arida", "Anzia entingiana", "Sphinx eremophilae", "Protoparce minimus", "Griseosphinx naumanni", "Stenus persimilis", "Stenus malickyanus", "Stenus malickyellus", "Stenus coronulifer", "Stenus turnai", "Stenus defraudator", "Stenus confusaneus", "Stenus gibberosicollis", "Stenus gibbericollis", "Stenus dembickyi", "Stenus tuberculicollis", "Stenus topali", "Stenus umbonicollis", "Stenus yunnanensis", "Stenus accola", "Stenus leptopus", "Stenus zettelianus", "Stenus alumoenus", "Stenus amoenus", "Stenus angusticollis", "Dirphia demarmelsi", "Lonomia frankae", "Periga anitae", "Ctenichneumon funereus", "Chonala satoshii", "Anzia hypomelaena", "Ctenaspis dentata", "Anzia hypotrachyna", "Australotarma hirsuta", "Australotarma kierae", "Baladeana macularia", "Laspeyresia cinnabaritis", "Argyroploce clytocarpa", "Laspeyresia delomilta", "Laspeyresia deloxantha", "Laspeyresia exemplaris", "Laspeyresia furiosa", "Anzia opuntiella", "Eukaia elongata", "Anzia parasitica", "Austrocylindropuntia floccosa subsp. yanganucensis", "Carolowilhelmina geognostica", "Merimbulaspis meemannae", "Pambulaspis cobandrahensis", "Dolganosteus remotus", "Dunkleosteus terelli", "Euchalcia orophasma", "Anzia madagascariensis", "Nostolepis scotica", "Austrocylindropuntia floccosa", "Austrocylindropuntia floccosa subsp. floccosa", "Bryopolia orophasma", "Anzia phalachrocheila", "Ctenacanthus concinnus", "Ctenacanthus terrelli", "Anzia physoidea", "Ctenacanthus tumidus", "Cladodoides wildungensis", "Anzia pseudocolpota", "Austrocylindropuntia shaferi", "Powichthys spitsbergensis", "Cissampelos fasciculata", "Powichthys thorsteinssoni", "Eusthenopteron foordi", "Litoptychus bryanti", "Cissampelos grandifolia", "Pilosella abakurae", "Youngolepis preacursor", "Chersotis capnistis", "Tmolus mutina", "Chersotis capnistis capnistis", "Compsulyx cochereaui", "Compsogene cochereaui", "Synarthonia psoromica", "Acrocercops lyoniella", "Austrocylindropuntia floccosa subsp. crispicrinita", "Euchalcia avinovi", "Euchalcia grisescens", "Ctenoplusia ichinosei", "Plusia ichinosei", "Ctenoplusia dufayi", "Ctenoplusia armata", "Ctenoplusia herbuloti", "Ctenoplusia javana", "Ctenoplusia sigillata", "Acanthoplusia sigillata", "Chrysodeixis papuasiae", "Chrysodeixis politus", "Ctenoplusia vermiculata", "Acanthoplusia vermiculata", "Anzia masonii", "Chrysodeixis celebensis", "Chrysodeixis nesiotes", "Plusia glaphyra", "Anzia niuginiensis", "Ctenoplusia glaphyra", "Protodus jexi", "Acrocercops distylii", "Acrocercops querci", "Acrocercops vallata", "Acrocercops vanula", "Acrocercops viatica", "Anzia stenophylla", "Anzia taeniata", "Austrocylindropuntia verschaffeltii", "Mercantouria neli", "Narcine molini", "Meemannia eos", "Bombyx cereola", "Magnigena arabica", "Robinsondipterus longi", "Kathemacanthus rosulentus", "Eutanyacra crispatoria", "Knerialepis mashkovae", "Seretolepis elegans", "Brochoadmones milesi", "Suaeda pulvinata", "Acrocercops quadrisecta", "Acrocercops ramigera", "Acrocercops caenotheta", "Gracilaria caenotheta", "Synarthonia sarcographoides", "Dickasonia vernicosa", "Gynoglottis cymbidioides", "Synarthonia sikkimensis", "Acrocercops astiopa", "Coniarthonia aurata", "Soederberghia groenlandica", "Cresponea endosulphurea", "Soederberghia simpsoni", "Dinonigidius bartolozzii", "Cryptothecia macrocephala", "Pentlandia macroptera", "Griphognathus sculpta", "Griphognathus minutidens", "Moenkhausia simulata", "Epagoge halysideta", "Leptarthra hemicosma", "Pyralis koenigiana", "Allocryptaspis utahensis", "Hemerosia aurantiana", "Grapholitha delectana", "Allocryptaspis laticostatus", "Eucelis vulnerata", "Laspeyresia martia", "Tospitis mediana", "Laspeyresia gratulata", "Laspeyresia turifera", "Bursadella sulfurella", "Laspeyresia thoenarcha", "Anzia kohimana", "Ornithoptera victoriae victoriae f. loc. victoriae \u2642f. gabrieli", "Ornithoptera victoriae victoriae f. loc. victoriae \u2642f. brabanti", "Ornithoptera victoriae victoriae f. loc. victoriae \u2642f. lanieli", "Ornithoptera victoriae victoriae f. loc. victoriae \u2642f. infanta", "Ornithoptera victoriae victoriae f. loc. victoriae \u2642f. flammea", "Ornithoptera victoriae victoriae f. loc. victoriae \u2642f. brossardi", "Hylocereus escuintlensis", "Ornithoptera victoriae victoriae f. loc. victoriae \u2642f. niclasi", "Ornithoptera victoriae victoriae f. loc. victoriae \u2642f. gousseyi", "Ornithoptera victoriae victoriae f. loc. victoriae \u2640f. jessicae", "Ornithoptera victoriae victoriae f. loc. victoriae \u2640f. polychroma", "Ornithoptera victoriae victoriae f. loc. reginae \u2642f. gabrieli", "Ornithoptera victoriae victoriae f. loc. reginae \u2642f. brabanti", "Ornithoptera victoriae victoriae f. loc. reginae \u2642f. brossardi", "Ornithoptera victoriae victoriae f. loc. reginae \u2642f. niclasi", "Ornithoptera victoriae victoriae f. loc. reginae \u2642f. rubesco", "Ornithoptera victoriae victoriae f. loc. reginae \u2640f. polychroma", "Ornithoptera victoriae victoriae f. loc. reginae \u2640f. zeuneri", "Ornithoptera victoriae victoriae f. loc. regis \u2642f. rubesco", "Ornithoptera victoriae victoriae f. loc. regis \u2642f. gabrieli", "Ornithoptera victoriae victoriae f. loc. regis \u2642f. alexisi", "Ornithoptera victoriae victoriae f. loc. regis \u2642f. brabanti", "Ornithoptera victoriae victoriae f. loc. regis \u2642f. lanieli", "Ornithoptera victoriae victoriae f. loc. regis \u2642f. infanta", "Ornithoptera victoriae victoriae f. loc. regis \u2642f. sanguinea", "Ornithoptera victoriae victoriae f. loc. regis \u2642f. flammea", "Ornithoptera victoriae victoriae f. loc. regis \u2642f. ponceletanus", "Ornithoptera victoriae victoriae f. loc. regis \u2642f. niclasi", "Ornithoptera victoriae victoriae f. loc. regis \u2642f. gousseyi", "Ornithoptera victoriae victoriae f. loc. regis \u2642f. porteneuvei", "Ornithoptera victoriae victoriae f. loc. regis \u2640f. brabanti", "Ornithoptera victoriae victoriae f. loc. regis \u2640f. jessicae", "Zaphoctenaspis meemannae", "Ornithoptera victoriae victoriae f. loc. regis \u2640f. nocturnus", "Ornithoptera victoriae victoriae f. loc. isabellae \u2642f. lanieli", "Ornithoptera victoriae victoriae f. loc. isabellae \u2642f. brossardi", "Ornithoptera victoriae victoriae f. loc. isabellae \u2642f. niclasi", "Endeiolepis aneri", "Ornithoptera victoriae victoriae f. loc. isabellae \u2640f. jessicae", "Ornithoptera victoriae victoriae f. loc. isabellae \u2640f. zoelleri", "Ornithoptera victoriae victoriae f. loc. isabellae \u2640f. zeuneri", "Ornithoptera victoriae victoriae f. loc. archeri \u2642f. lanieli", "Anzia leucobatoides", "Ornithoptera victoriae victoriae f. loc. archeri \u2642f. niclasi", "Ornithoptera victoriae victoriae f. loc. epiphanes \u2642f. lanieli", "Ornithoptera victoriae victoriae f. loc. epiphanes \u2642f. gabrieli", "Ornithoptera victoriae victoriae f. loc. epiphanes \u2642f. brabanti", "Ornithoptera victoriae victoriae f. loc. epiphanes \u2642f. infanta", "Ornithoptera victoriae victoriae f. loc. epiphanes \u2642f. julesi", "Ornithoptera victoriae victoriae f. loc. epiphanes \u2642f. belae", "Ornithoptera victoriae victoriae f. loc. epiphanes \u2642f. brossardi", "Ornithoptera victoriae victoriae f. loc. epiphanes \u2642f. niclasi", "Ornithoptera victoriae victoriae f. loc. epiphanes \u2642f. ponceletanus", "Ornithoptera victoriae victoriae f. loc. epiphanes \u2642f. porteneuvei", "Ornithoptera victoriae victoriae f. loc. epiphanes \u2640f. nebulosa", "Ornithoptera victoriae victoriae f. loc. epiphanes \u2640f. polychroma", "Ornithoptera victoriae rubianus \u2642f. infanta", "Ornithoptera victoriae rubianus \u2642f. ponceletanus", "Ornithoptera victoriae rubianus \u2642f. niclasi", "Ornithoptera victoriae rubianus \u2642f. ohyai", "Pilosella budensis", "Youngolepis praecursor", "Heimenia ensis", "Porolepis foxi", "Psarolepis romeri", "Forsterocoris bisinuatus", "Forsterocoris sinuatus", "Forsterocoris salmoni", "Forsterocoris stewartensis", "Parantica aglea", "Acrocercops autadelpha", "Gracilaria autadelpha", "Acrocercops symphyletes", "Cibyra endyra", "Cibyra ykeyra", "Cibyra ybyra", "Ornithoptera victoriae rubianus \u2640f. jessicae", "Ornithoptera victoriae rubianus \u2640f. gisoensis", "Ornithoptera victoriae rubianus \u2640f. firmini", "Ornithoptera victoriae rubianus \u2640f. szabadosi", "Ornithoptera priamus bornemanni f. loc. bornemanni \u2642f. delucai", "Ornithoptera priamus bornemanni f. loc. bornemanni \u2642f. jakuschi", "Ornithoptera priamus bornemanni f. loc. bornemanni \u2642f. nishiyamai", "Ornithoptera priamus bornemanni f. loc. bornemanni \u2642f. viridilineata", "Ornithoptera priamus miokensis \u2642f. mavricki", "Ornithoptera priamus miokensis \u2642f. viridescens", "Ornithoptera priamus urvillianus \u2642f. viridescens", "Ornithoptera priamus urvillianus \u2642f. radiata", "Ornithoptera priamus urvillianus \u2642f. kamei", "Ornithoptera priamus urvillianus \u2640f. pallidus", "Ornithoptera priamus urvillianus \u2640f. fuscapalida", "Ornithoptera priamus caelestis \u2642f. radiata", "Ornithoptera priamus caelestis \u2642f. viridescens", "Ornithoptera priamus caelestis \u2642f. caerulorispunctata", "Ornithoptera priamus macalpinei f. loc. aureus \u2642f. radians", "Ornithoptera priamus macalpinei f. loc. aureus \u2640f. radialei", "Ornithoptera priamus macalpinei f. loc. aureus \u2642f. viridodentis", "Ornithoptera priamus macalpinei f. loc. aureus \u2642f. discalaureopucntata", "Ornithoptera priamus macalpinei f. loc. aureus \u2642f. ripponi", "Ornithoptera priamus macalpinei f. loc. aureus \u2642f.marioi", "Ornithoptera priamus macalpinei f. loc. aureus \u2642f. rochati", "Ornithoptera priamus macalpinei f. loc. aureus \u2642f. bilali", "Ornithoptera priamus macalpinei f. loc. aureus \u2642f. aureofasciata", "Ornithoptera priamus macalpinei f. loc. aureus \u2642f. malaina", "Ornithoptera priamus macalpinei f. loc. aureus \u2640f. bertounesquei", "Ornithoptera priamus macalpinei f. loc. aureus \u2640f. kirschi", "Ornithoptera priamus macalpinei f. loc. aureus \u2640f. brunneusi", "Ornithoptera priamus macalpinei f. loc. aureus \u2640f. aurago", "Ornithoptera priamus macalpinei f. loc. aureus \u2640f. decora", "Ornithoptera priamus macalpinei f. loc. aureus \u2640f. lemoulti", "Anzia lopezii", "Ornithoptera priamus macalpinei f. loc. aureus \u2640f. pseudotroides", "Ornithoptera priamus macalpinei f. loc. aureus \u2640f. michikoae", "Ornithoptera priamus macalpinei f. loc. aureus \u2640f. ishgakii", "Pilosella anchusoides", "Pilosella aneimena", "Pilosella annae-vetterae", "Pilosella anobrachia", "Pilosella aranii", "Pilosella arbasiana", "Pilosella argyrocoma", "Pilosella arida", "Parnassius apollo regius", "Calopadia saxicola", "Parnassius mnemosyne viidaleppi", "Hyponephele cadusina", "Hyponephele cadusina cadusina", "Hyponephele cadusina gurkini", "Sphenomorphus woodfordi", "Textulariida incertae sedis", "Hyponephele pamira jacobsoni", "Pilosella auriculiformis", "Hyponephele pseudokirgisa", "Cissampelos ovalifolia", "Alphaea armini", "Eospilarctia yuennanica yuennanica", "Cissampelos pareira", "Pilosella glomerata", "Bactrospora angularis", "Pilosella aequimontis", "Bactrospora inspersa", "Pilosella rubra", "Pilosella fulviseta", "Bactrospora littoralis", "Pilosella hybrida", "Diploderma swinhonis", "Bactrospora medians", "Pilosella prussica", "Pilosella aletschensis", "Parnassius phoebus sauricus", "Pilosella alpicola", "Pilosella alturgelliana", "Bactrospora thyrsodes", "Pilosella amaurocephala", "Celmia mecrida", "Exorbaetta metanira", "Asthenorhynchus meemannae", "Cissampelos tropaeolifolia", "Chersotis alpestris", "Chersotis alpestris alpestris", "Agrotis alpestris", "Chersotis alpestris ponticola", "Rhyacia alpestris ponticola", "Rhyacia alpestris", "Rhyacia alpestris alpestris", "Chersotis ocellina", "Chersotis transiens", "Tmolus ufentina", "Agrotis andereggii", "Agrotis exclamans", "Agrotis patefacta", "Chersotis rectangula", "Chersotis sordescens", "Chersotis multangula", "Chersotis multangula multangula", "Cissampelos andromorpha", "Hypogymnia papilliformis", "Chersotis multangula subdissoluta", "Chersotis multangula andreae", "Favria cribrellum", "Favria cribrellum cribrellum", "Favria cribrellum obscurior", "Favria cribrellum heilong", "Pilosella arnoseroides", "Styloichthys changae", "Amblyteles armatorius", "Sphenomorphus concinnatus", "Duffichthys mirabilis", "Holoptychius nobilissimus", "Opuntia cymochila", "Pseudosauripterus anglicus", "Ventalepis ketleriensis", "Saurichthys dianneae", "Moenkhausia takasei", "Gnathopogon tsinanensis", "Pilosella glacialis", "Borboryctis barringtoniella", "Americaspis americana", "Marimonadida incertae sedis", "Gracilaria thalassias", "Rhinogobius lanyuensis", "Pilosella basifurca", "Pilosella biflora", "Pilosella biglana", "Pilosella billyana", "Pilosella blyttiana", "Pilosella bodewigiana", "Pilosella scandinavica", "Pilosella walteri-langii", "Pilosella wolgensis", "Pilosella woronowiana", "Pilosella unamunoi", "Cissampelos acuminata", "Pilosella petraea", "Pilosella pilisquama", "Obtusodonta equitatoria", "Allogromiida incertae sedis", "Pantydia sparsa", "Pantydia diemeni", "Parrhasius orgia", "Geratarma tasmaniensis", "Moenkhausia tergimacula", "Pycnaspis splendens", "Ritchieichthys nibili", "Pilosella occidentalis", "Pilosella hyperborea", "Pilosella nevadensis", "Caloptilia bipunctata", "Pilosella eglandulosa", "Caloptilia callicarpae", "Caloptilia camphorae", "Caloptilia celtidis", "Caloptilia crinotibialis", "Caloptilia elongata", "Dinaspis parvula", "Pilosella viridifolia", "Gracilaria ariana", "Dinaspidella elizabethae", "Dinaspidella robusta", "Caloptilia aeolastis", "Pilosella ricoana", "Gracilaria aeolastis", "Pilosella sulphurea", "Caloptilia aeolocentra", "Gracilaria aeolocentra", "Pilosella bonaquae", "Pilosella brachycoma", "Diplaspis acadica", "Caloptilia aurita", "Astrochapsa sipmanii", "Fissurina duplomarginata", "Graphis bukittimaensis", "Graphis singaporensis", "Ocellularia subudupiensis", "Ocellularia gueidaniana", "Ocellularia rivasplatana", "Opuntia howeyi", "Arzecla sethon", "Opuntia ser.", "Valenciennea yanoi", "Abrothallus boomii", "Cathartes aura meridionalis", "Astrorhizida incertae sedis", "Caloptilia moriokensis", "Caloptilia perseella", "Caloptilia syrphetias", "Gracilaria syrphetias", "Gracilaria zopherotarsa", "Caloptilia zopherotarsa", "Caloptilia rhois", "Caloptilia sapiivora", "Caloptilia ulmi", "Caloptilia xanthocephala", "Caloptilia xanthochiria", "Caloptilia celtina", "Caloptilia chrysoplaca", "Caloptilia cryphia", "Metromonadea incertae sedis", "Austrostigmidium mastodiae", "Pilosella breviscapa", "Pilosella bryhnii", "Pilosella brzovecensis", "Pilosella caballeroi", "Caloptilia issikii", "Caloptilia kisoensis", "Caloptilia leucothoes", "Caloptilia matsumurai", "Caloptilia mongolicae", "Caloptilia mandschurica", "Gracilaria mandschurica", "Thestius pholeus", "Thestius selina", "Hisonotus alberti", "Tetanopsyrus breviacanthias", "Strymon melinus", "Strymon melinus melinus", "Strymon caldasensis", "Strymon avalona", "Calycopis anfracta", "Calycopis anthora", "Taemasacanthus erroli", "Oncidium povedanum", "Taemasacanthus porca", "Cavanacanthus warrooensis", "Cambaracanthus goodhopensis", "Thecla bactra", "Thecla caulonia", "Calycopis janeirica", "Celmia color", "Abrothallus etayoi", "Abrothallus nephromatis", "Strymon baptistorum", "Lithosia quadra dives", "Oxybrycon parvulus", "Conilepia cao", "Conilepia sikkima", "Lithosia quadra sikkima", "Conilepia nigricosta", "Atopacanthus juvai", "Conilepia nigricosta nigricosta", "Conilepia nigricosta paiwan", "Atopacanthus dentatus", "Tetanopsyrus lindoei", "Xylacanthus kenstewarti", "Granulacanthus joenelsoni", "Caloptilia dicksoni", "Caloptilia leptospila", "Caloptilia meyricki", "Caloptilia poecilostola", "Caloptilia pyrrhochroma", "Caloptilia rhusina", "Caloptilia sapina", "Caloptilia sychnospila", "Caloptilia syngenica", "Caloptilia vicinola", "Caloptilia conimbricensis", "Cathartes aura falklandicus", "Tripylella mexicana", "Tripylella muscusi", "Tripylella quitoensis", "Tripylella dentata", "Tripylella fatimaensis", "Chiloneus globulus", "Chiloneus tenietensis", "Acisoma attenboroughi", "Trischistoma ripariana", "Amblyceps accari", "Chrysaethe panamensis", "Bolivar brasiliensis", "Megathecla cupentus", "Trachylepis thomensis", "Trachylepis principensis", "Thestius meridionalis", "Thestius azaria", "Thestius epopea", "Thestius lycabas", "Pyxidium tardigradum", "Hyadaphis anethi", "Hyadaphis levantina", "Hyadaphis parva", "Syntrichia calcicola", "Heliura albiventris", "Heliura brasiliana", "Heliura ecuadoris", "Heliura flavipennis", "Heliura juliani", "Heliura laerteae", "Heliura olivocolora", "Heliura peruana", "Heliura pulcherrima", "Abrothallus brattii", "Thecla canitus", "Thecla mulucha", "Thecla faunalia", "Strymon faunalia", "Calycopis atnius", "Thecla crambusa", "Thecla rufofusca", "Acisoma panorpoides", "Acisoma trifida", "Thecla valentina", "Calycopis barza", "Strymon montevagus", "Calycopis bellera", "Strymon lorrainea", "Abrothallus kamchatica", "Lanius excubitor excubitor", "Lanius borealis", "Strymon toussainti", "Strymon rhaptos", "Strymon eurytulus", "Strymon peristictos", "Strymon nicolayi", "Strymon lariyojoa", "Strymon barbara", "Thecla eremica", "Calycopis isobeon", "Calycopis cecrops", "Oligobrycon microstomus", "Calycopis partunda", "Calycopis cissusa", "Calycopis xeneta", "Dyspessa kashgarica", "Lithosia quadra quadra", "Lithosia quadra soligena", "Haplopacha cinerea", "Abrothallus canariensis", "Batraxis bicolor", "Abrothallus doliiformis", "Batraxis hainanensis", "Batraxis minor", "Batraxis pilosa", "Batraxis simplex", "Batraxis spinosas", "Batraxis tibialis", "Abrothallus eriodermae", "Calycopis bactra", "Abrothallus ertzii", "Strymon cardus", "Strymon azuba", "Thecla diaguita", "Strymon diaguita", "Thecla oreala", "Quercus aquifolioides", "Strymon golbachi", "Thecla crossoea", "Phaeodaria incertae sedis", "Thecofilosea incertae sedis", "Ctenurella gladbachensis", "Atrichophyllodes delalandi", "Atrichophyllodes mentalis", "Tyranniphyllodes pitangi", "Anisophyllodes candango", "Abrothallus teloschistis", "Platyacarus sittasomi", "Persacanthus simpsonensis", "Passiflora cumbalensis var. cumbalensis", "Persacanthus kermanensis", "Iranolepis ginteri", "Acanthothecis aurantiacodiscus", "Otacilia stella", "Otacilia taiwanica", "Dolicheremaeus wangi", "Otacilia vulpes", "Phrurolithus vulpes", "Otacilia yangi", "Taemasacanthus cooradigbeensis", "Taemasacanthus narrengullenensis", "Rockycampacanthus milesi", "Grenfellacanthus zerinae", "Eterusia taiwana", "Physotarsus iquitos", "Physotarsus mishanensis", "Physotarsus orellanensis", "Physotarsus polleti", "Physotarsus saltilloensis", "Physotarsus tampobata", "Physotarsus tunchi", "Strymon rufofusca", "Strymon sabinus", "Strymon albata", "Strymon alea", "Strymon bebrycia", "Strymon yojoa", "Strymon daraba", "Strymon tegaea", "Strymon ohausi", "Atlides havila", "Strymon mulucha", "Strymon cestri", "Strymon davara", "Strymon crambusa", "Abrothallus macrosporus", "Strymon astiocha", "Strymon martialis", "Strymon christophei", "Strymon istapa", "Strymon bazochii", "Strymon columella", "Strymon limenia", "Strymon bubastus", "Strymon nivea", "Strymon rana", "Strymon flavaria", "Desmidium bengalicum", "Strymon colombiana", "Strymon bicolor", "Strymon heodes", "Strymon oribata", "Strymon wagenknechti", "Strymon sylea", "Strymon serapio", "Strymon glorissima", "Strymon gabatha", "Strymon monopeteinus", "Strymon oreala", "Actinolepis spinosa", "Strymon lucena", "Rhinogobio ventralis", "Otacilia microstoma", "Otacilia songi", "Otacilia subliupan", "Orophea yunnanensis", "Absconditella rubra", "Otacilia mingsheng", "Otacilia forcipata", "Otacilia mustela", "Protozoa incertae sedis", "Otacilia papilla", "Otacilia simianshan", "Mataza hastifera", "Nemachilichthys ruppelli", "Fileanta radoszkowskii", "Acanthothecis adjuncta", "Edaphaspis bystrowi", "Tuber proteum", "Calycopis cerata", "Kisutam syllis", "Strymon coronos", "Strymon nivnix", "Tmolus eurytulus", "Thecla argona", "Thecla americensis", "Thecla nigra", "Thecla tucumana", "Papilio bubastus", "Tyranniphilopterus caiolukasi", "Craspedorrynchus linardii", "Melibrueelia novaeseelandiae", "Bobdalgleishia stephanophallus", "Brueelia callaeincola", "Mulcticola sicki", "Mulcticola bacurau", "Mulcticola parvulus", "Mulcticola piacentinii", "Mulcticola tendeiroi", "Mulcticola nacunda", "Calycopis blora", "Brueelia chopi", "Brueelia paradoxa", "Myrsidea amblyramphidis", "Brueelia limnothlypiae", "Myrsidea bensoni", "Abrothallus parasiticus", "Sticholonche zanclea", "Megamenopon rasnitsyni", "Plegadiphilus riograndensis", "Myrsidea pseudofallax", "Myrsidea moriona", "Myrsidea daleclaytoni", "Myrsidea lindolphoi", "Myrsidea malanocyanei", "Myrsidea cristatelli", "Eeonisis dives", "Oeonistis quadra yuennanensis", "Argemone mexicana subsp. mexicana", "Oeonistis quadra", "Euxoa comosa", "Euxoa comosa comosa", "Otacilia bifidus", "Otacilia qiqiensis", "Otacilia fujiana", "Otacilia pseudostella", "Otacilia zhangi", "Otacilia foveata", "Otacilia hengshan", "Otacilia armatissima", "Otacilia ambon", "Otacilia onoi", "Otacilia parva", "Otacilia sinifera", "Otacilia zebra", "Otacilia bicolor", "Otacilia christae", "Otacilia kao", "Otacilia loriot", "Otacilia namkhan", "Otacilia paracymbium", "Otacilia vangvieng", "Otacilia bawangling", "Otacilia jianfengling", "Otacilia limushan", "Otacilia komurai", "Phrurolithus komurai", "Otacilia luna", "Phrurolithus luna", "Otacilia lynx", "Phrurolithus lynx", "Otacilia liupan", "Phrurolithus foveata", "Phrurolithus hengshan", "Otacilia longituba", "Otacilia luzonica", "Palaetyra luzonica", "Clubiona pianmaensis", "Clubiona cochleata", "Icius rugosus", "Coelodendrum ramosissimum", "Acanthothecis dialeucoides", "Erebia medusa", "Erebia medusa medusa", "Erebia medusa okra", "Stichophthalma devyatkini", "Stichophthalma cambodia", "Stichophthalma fruhstorferi", "Stichophthalma godfreyi", "Stichophthalma nourmahal", "Acanthothecis kalbii", "Parastivalius avicularius", "Parastivalius bidenticulatus", "Parastivalius chelaformis", "Parastivalius longipalpus", "Parastivalius novaebritainiae", "Parastivalius papillatus", "Parastivalius phocaceus", "Parastivalius spinatus", "Parastivalius tridenticulatus", "Acanthothecis leucothanoides", "Triptognathus uniguttatus", "Stapfochloa elata", "Acanthothecis maritima", "Acanthothecis salazinica", "Acanthothecis pruinocarpa", "Tetrapogon cenchriformis", "Passiflora cumbalensis var. sparrei", "Acanthothecis sarcographoides", "Acanthothecis subconsocians", "Caridina kaili", "Caridina dali", "Promalactis subsimiliflora", "Promalactis zolotuhini", "Promalactis falsitamdaoella", "Promalactis paradolokella", "Promalactis nedoshivinae", "Promalactis cuillerella", "Phyllolepis thomsoni", "Acarospora aeginaica", "Acarospora africana", "Triptognathops gobiensis", "Acarospora albertii", "Kleinia neriifolia", "Scrippsiella regalis", "Elachista chrstenseni", "Elachista falirakienses", "Elachista nevadella", "Elachista glaserella", "Elachista boursini", "Elachista kleini", "Elachista jordanella", "Elachista zabella", "Elachista mongolica", "Elachista kaszabi", "Euxoa lineifrons", "Carneades audentis", "Euxoa lucida", "Agrotis fumalis", "Euxoa fumalis", "Euxoa guadalupensis", "Eospilarctia erythrophleps", "Milesacanthus antarctica", "Pterodectes fissuratus", "Pterodectes amaurochalinus", "Dolichodectes neotropicus", "Cotingodectes breviphallus", "Nanopterodectes acutirostris", "Nanopterodectes mentalis", "Nanopterodectes leucopterus", "Trouessartia longiducta", "Pteronyssoides turdinus", "Prolistrophorus hylaeamys", "Didelphoecius micoureus", "Lynxacarus serrafreirei", "Syringophilopsis bonariensis", "Torotrogla synallaxis", "Rhynchotermes amazonensis", "Rhynchotermes matraga", "Blaesodactylus victori", "Munida pollioculus", "Suipinima flavumtuberculata", "Aereniphaula bandana", "Rubiparvus bistigma", "Eutetrapha weni", "Otacilia mira", "Otacilia pyriformis", "Otacilia papilion", "Otacilia aurita", "Otacilia digitata", "Otacilia leibo", "Otacilia ovata", "Otacilia acuta", "Otacilia flexa", "Absconditella baegasanensis", "Euxoa occidentalis", "Elachista biatomella", "Entelognathus primordialis", "Pilosella vansoestii", "Pilosella cymosa subsp. vaillantii", "Paraphloeostiba formosana", "Rhaphiocerina chinensis", "Metopina kuslitzkyi", "Pilosella vahlii", "Vatellus caissara", "Vatellus yanomami", "Acarospora albida", "Axianassa christyi", "Axianassa linda", "Gobio artvinicus", "Discocyrtanus bugre", "Discocyrtanus tocantinensis", "Acarospora alboatra", "Gobio kizilirmakensis", "Hoplitis galichicae", "Carrigobius amblyrhynchus", "Acarospora albocaesia", "Coleophora ericarnella", "Homogryllacris brevipenna", "Homogryllacris curvicauda", "Acarospora anziana", "Varicus veliguttatus", "Varicus decorum", "Aequidens superomaculatum", "Encrasicholina gloria", "Encrasicholina intermedia", "Acarospora areolata", "Goliathus kolbei", "Acasta sulcata anchoris", "Orthacanthus platypternus", "Macuxitermes colombicus", "Acarospora algicola", "Acarospora almquistii", "Eurystyrax nemethi", "Acarospora altissima", "Borneostyrax cristatus", "Microdolichostyrax hefferni", "Microdolichostyrax minutus", "Austrocactus patagonicus", "Pilosella portae", "Acarospora altoandina", "Pilosella tubulascens", "Pseudogramma brederi", "Pseudogramma galzini", "Pseudogramma paucilepis", "Pseudogramma xantha", "Acarospora bella", "Pilosella iserana", "Acarospora alutacea", "Pilosella fusca", "Pilosella gudarica", "Pilosella heterodoxiformis", "Acarospora amabilis", "Acarospora anatolica", "Cryptopsilotris batrachodes", "Acarospora angolensis", "Paedovaricus imswe", "Pinnichthys aimoriensis", "Pinnichthys saurimimica", "Acarospora angusta", "Passiflora cacao", "Psilotris laetarii", "Psilotris laurae", "Passiflora lancetillensis", "Varicus adamsi", "Varicus cephalocellatus", "Varicus nigritus", "Indotriplophysa yasinensis", "Strymon acis bartrami", "Eleotrica cableae", "Pseudogramma polyacantha", "Acarospora austroshetlandica", "Thisbe silvestre", "Xyalaspis muzencaba", "Acarospora assimulans", "Acarospora atomariospora", "Acarospora austriaca", "Pterobrycon landoni", "Pterobrycon myrnae", "Acarospora austroafricana", "Acarospora belonioides", "Tetraena fontanesii", "Acarospora berica", "Acarospora bicolor", "Acarospora bohlinii", "Acarospora boliviana", "Acarospora bornmuelleri", "Calycopis malta", "Cheirodon pisciculus", "Calycopis meleager", "Reesimermis nielseni", "Heydenius dominicus", "Heydenius araneus", "Heydenius brownii", "Heydenius antiquus", "Heydenius matutinus", "Heydenius quadristriatus", "Dimophora biquadra", "Dimophora diabolica", "Dimophora kentmartini", "Dimophora lutulenta", "Dimophora migrosi", "Dimophora ocellata", "Dimophora ryhsi", "Dimophora ruficollis", "Dimophora turista", "Triplophysa marmorata", "Bembecia alaica alaica", "Bembecia alaica irina", "Rhagoletotrypeta chapecensis", "Rhagoletotrypeta gelabertae", "Cycloneuroterus abei", "Cycloneuroterus ergei", "Cycloneuroterus gilvus", "Cycloneuroterus globosus", "Cycloneuroterus jianwui", "Cycloneuroterus lohsei", "Cycloneuroterus tumiclavus", "Cycloneuroterus uraianus", "Acarospora argaei", "Cycloneuroterus lilungi", "Cycloneuroterus longinuxus", "Cycloneuroterus lirongchiuea", "Cycloneuroterus fortuitusus", "Cycloneuroterus formosanus", "Acarospora argillacea", "Pilosella triplex", "Pilosella chaetocephala", "Pilosella chaetophyton", "Pilosella cinereiformis", "Cycloneuroterus akagashiphilus", "Cycloneuroterus arakashiphagus", "Cycloneuroterus hisashii", "Pilosella cochlearis", "Acarospora aspera", "Acanthiophilus minor", "Acanthiophilus summissus", "Acanthiophilus unicus", "Xyalaspis dominicana", "Heydenius cecidomyae", "Heydenius dipterophilus", "Heydenius lamprophilus", "Heydenius neotropicus", "Heydenius psychodae", "Heydenius saprophilus", "Heydenius scatophilus", "Heydenius sciarophilus", "Heydenius tabanae", "Heydenius formicinus", "Heydenius myrmecophila", "Cretacimermis libani", "Cretacimermis chironomae", "Cretacimermis protus", "Cryptodacus bernardoi", "Meiyingia holzschuhi", "Osmylus maoershanicola", "Osmylus shaanxiensis", "Osmylus angustimarginatus", "Discartemon discus", "Streptaxis discus", "Indoartemon diodonta", "Perrottetia unidentata", "Perrottetia megadentata", "Misionella carajas", "Misionella aikewara", "Misionella pallida", "Lecania makarevicziae", "Psychotria inegi", "Notothylas irregularis", "Acarospora brasiliensis", "Bouvardia juarezana", "Psychotria zapotecana", "Pilosella panticosae", "Pilosella paragoga", "Pilosella paragogiformis", "Pilosella pawlowskiella", "Pilosella piloselliflora", "Acarospora caesiocinerea", "Acarospora calcivora", "Pilosella pilosellina", "Pilosella pintodasilvae", "Acarospora calviniensis", "Pilosella polioderma", "Pilosella polymastix", "Polycarpaea divaricata", "Rekoa palegon", "Arawacus separata", "Acarospora capensis", "Cheirodon australe", "Cheirodon galusdae", "Scolopendra cataracta", "Schizothorax chivae", "Arawacus aetolus", "Pilosella salernicola", "Pilosella samokovensis", "Pilosella saussureoides", "Pilosella schelkownikowii", "Pilosella schneidii", "Pilosella schultesii", "Pilosella sedelmeyeriana", "Acarospora catamarcae", "Acarospora cervinoides", "Acarospora cesatiana", "Acarospora chalcophila", "Acarospora charidema", "Acarospora chilensis", "Capparis sect.", "Pilosella fuscoatra", "Pilosella fuernrohrii", "Pilosella plaicensis", "Pilosella pavichiodes", "Pilosella pachypila", "Basiana deucalion", "Luopingcoelacanthus eurylacrimalis", "Yunnancoelacanthus acrotuberculatus", "Clanis deucalion deucalion", "Clanis deucalion thomaswitti", "Podoliacanthus zychi", "Pilosella permutata", "Pilosella peleteriana", "Maculisudis longipinnis", "Maculisudis rothschildi", "Acarospora chrysocardia", "Allocyttus niger", "Acarospora congregata", "Pilosella sterrochaetia", "Metathrinca diakonoffi", "Metathrinca mentawirella", "Metathrinca halmaherella", "Metathrinca sampitella", "Metathrinca wegneri", "Colias cocandica", "Colias cocandica cocandica", "Colias cocandica hinducucica", "Colias cocandica maja", "Colias cocandica nastoides", "Colias cocandica kunjerabi", "Colias cocandica pljushtchi", "Colias cocandica tanyusha", "Oeneis hora", "Oeneis hora hora", "Oeneis hora stashkivi", "Adhemarius ypsilon", "Adhemarius ypsilon ypsilon", "Adhemarius ypsilon pseudoroessleri", "Anastomopsocus vallecaucanus", "Periepipsocus caliensis", "Pilosella corymbulifera", "Pilosella corymbuloides", "Pilosella crassiseta", "Pilosella cymiflora", "Pilosella derubella", "Pilosella dichotoma", "Pilosella dimorphoides", "Pilosella dubia", "Pilosella eminens", "Pilosella erythrochrista", "Pilosella erythrodonta", "Pilosella euchaetia", "Pilosella fallacina", "Pilosella faurei", "Acarospora cartilaginea", "Pilosella flagellaris", "Gonzobandia nancyae", "Gojaoides aviceps", "Gojaoides cubitalis", "Cervus nippon taiouanus", "Acarospora castanea", "Arawacus aethesa", "Pilosella frigidaria", "Pilosella heteromelana", "Pilosella promece", "Pilosella pseudogalliciana", "Pilosella pseudogudarica", "Pilosella pseudomaraniana", "Pilosella pseudosulphurea", "Pilosella pseudotrichodes", "Pilosella pseudovahlii", "Pilosella puenteana", "Pilosella calomastix", "Pilosella castellana", "Pilosella kalksburgensis", "Pilosella heterodoxa", "Hypercompe cermelii", "Hypercompe beckeri", "Hypercompe lemairei", "Acarospora cinerascens", "Acarospora cinerea", "Cinnamomum sect.", "Raphicera dumicola", "Satyrus dumicola", "Raphicera dumicola dumicola", "Raphicera dumicola lethanhi", "Eosqualiolus aturensis", "Stenus tlacaelel", "Eosqualiolus skrovinai", "Stenus cacamatzin", "Stenus tezozomoc", "Squaliodalatias weltoni", "Angoumeius paradoxus", "Pilosella melinomelas", "Andricus protuberans", "Pilosella merxmuelleriana", "Pilosella moechiadia", "Pilosella muscelii", "Pilosella guthnikiana", "Paraetmopterus nolfi", "Paraetmopterus horvathi", "Nanocetorhinus tuberculatus", "Lachesilla gomezfariasensis", "Lachesilla jacalaensis", "Lachesilla lacustrina", "Pilosella notha", "Lachesilla moroni", "Lachesilla omitlanensis", "Pilosella norrliniiformis", "Pilosella noguerensis", "Acarospora cineracea", "Pilosella subdecolorans", "Pseudocyttus maculatus", "Pilosella tephrodes", "Pilosella tendina", "Neocyttus rhomboidalis", "Bos taurus indicus", "Pilosella tardiuscula", "Pilosella tardans", "Pilosella trigenes", "Pilosella tremedalis", "Pilosella tinctilingua", "Pilosella subulatissima", "Pilosella tephrophyton", "Pilosella tephroglauca", "Pilosella subtardans", "Pilosella substoloniflora", "Pilosella subrubens", "Pilosella stenosoma", "Pilosella soleiroliana", "Pilosella solacolui", "Pilosella setifolia", "Pilosella hypoleuca", "Pilosella peteriana", "Pilosella aurantella", "Pilosella koernickeana", "Acarospora clavus", "Neomerinthe pallidimacula", "Neomerinthe hemingwayi", "Pliodetes nigeriensis", "Adrianaichthys pankowskii", "Poanes aaroni", "Poanes aaroni aaroni", "Poanes aaroni howardi", "Poanes aaroni minimus", "Poanes aaroni bordeloni", "Acarospora cretica", "Acarospora crozalsii", "Ahlbergia liyufeii", "Randia keniae", "Sergey coahuilensis", "Pilosella stoloniflora", "Sergey cubaensis", "Sergey tzeltal", "Pilosella laggeri", "Sergey tzotzil", "Pilosella lathraea", "Pilosella legionensis", "Pilosella leptadeniiformis", "Acarospora brevilobata", "Pilosella leptoclados", "Cosmopterix crassicervicella", "Cosmopteryx crassicervicella", "Pilosella litardiereana", "Pilosella macrantha", "Cosmopteryx flavipes", "Cosmopteryx superba", "Cosmopteryx dalii", "Pilosella macranthella", "Acarospora brunneola", "Pilosella macranthiformis", "Pilosella macrostolona", "Cosmopterix cressida", "Cosmopterix cupid", "Cosmopterix deprinsorum", "Cosmopterix derrai", "Cosmopterix desdemona", "Acarospora bulgarica", "Cosmopterix dianae", "Acarospora bylii", "Cosmopterix ferdinand", "Pseudogramma australis", "Cosmopterix fibigeri", "Cosmopterix francisco", "Cosmopterix furcatis", "Cosmopterix heckfordi", "Cosmopterix jansei", "Cosmopterix juliet", "Cosmopterix kruegeri", "Cosmopterix mab", "Cosmopterix magnaevalvae", "Cosmopterix margaret", "Pilosella macutensis", "Cosmopterix marshalli", "Cosmopterix meyi", "Pilosella mampodrensis", "Pilosella maraniana", "Pilosella mayeri", "Pilosella megatricha", "Pristiophorus striatus", "Squaliolus schaubi", "Chilicola mantagua", "Cissampelos laxiflora", "Pilosella piloselloides subsp. floccosa", "Pilosella bauhinii subsp. rubrobauhinii", "Acarospora coeruleoalba", "Pilosella bauhinii", "Acarospora collemacea", "Acarospora commixta", "Acarospora compacta", "Pilosella byzantina", "Pilosella ziziana", "Acarospora castaneocarpa", "Ahlbergia dongyui", "Ahlbergia clarolinea", "Ahlbergia clarofacia", "Ahlbergia clarofacia meridionalis", "Ahlbergia distincta", "Sinojackia dolichocarpa", "Rhodamnia cinerea", "Rhodamnia acuminata", "Pilosella hoppeana subsp. cilicica", "Acarospora contraria", "Pilosella calodon", "Pilosella dublitzkii", "Acarospora convoluta", "Pilosella procerigena", "Pilosella maschukensis", "Acarospora crassilabra", "Cinnamomum sect.", "Lethe paraprocne", "Lethe paraprocne paraprocne", "Lethe paraprocne kawargaboensis", "Callophrys zhoujingshuae", "Cissatsuma zhoujingshuae", "Ahlbergia hsui", "Theclopsis demea", "Aphantopus arvensis", "Aphantopus arvensis arvensis", "Theclopsis epidius", "Acarospora deplanans", "Acarospora deplanatula", "Acarospora depressa", "Eucalyptus subser.", "Acarospora deserticola", "Acarospora discreta", "Acarospora discurrens", "Theclopsis gargara", "Ahlbergia leei", "Ahlbergia arquata", "Satsuma pluto", "Ahlbergia pluto", "Ahlbergia pluto cyanus", "Ahlbergia pluto pluto", "Ahlbergia aleucopuncta", "Ahlbergia unicolora", "Ahlbergia pictila", "Ahlbergia caerulea", "Zygaena hippocrepides annae", "Zygaena hippocrepidis", "Zygaena transalpina annae", "Parnassius patricius uzyngyrus", "Theclopsis leos", "Novosatsuma plumbagina", "Novosatsuma magnapurpurea", "Novosatsuma cibdela", "Novosatsuma monstrabila", "Novosatsuma pratti", "Acarospora deceptionis", "Acarospora degenerans", "Satsuma albilinea", "Theclopsis aurina", "Pedesta yingqii", "Boldia van", "Acarospora dissecta", "Lasiocampa quercus quercus", "Lasiocampa quercus balcanoturcica", "Lasiocampa piontkovskii", "Acarospora dolophana", "Lasiocampa quercus vassilinini", "Gastropacha orientalis", "Acarospora duriana", "Drymonia melagona", "Drymonia melagona melagona", "Drymonia melagona esmera", "Drymonia obliterata", "Drymonia obliterata obliterata", "Drymonia obliterata esmera", "Theclopsis lydus", "Drymonia dodonaea dodonaea", "Drymonia dodonaea wageneri", "Theclopsis murex", "Acarospora elaphina", "Acarospora elbursensis", "Allosmaitia piplea", "Allosmaitia strophius", "Ahlbergia frivaldszkyi", "Ahlbergia frivaldszkyi frivaldszkyi", "Ahlbergia frivaldszkyi aquilonaria", "Ahlbergia frivaldszkyi tricaudata", "Acarospora dealbata", "Ahlbergia circe", "Ahlbergia circe circe", "Ahlbergia circe montivaga", "Ahlbergia haradai", "Ahlbergia caesius", "Satsuma nicevillei", "Novosatsuma collosa", "Novosatsuma matusiki", "Novosatsuma magnasuffusa", "Rhagovelia marinduquensis", "Acarospora elegans", "Eucalyptus subser.", "Acarospora emergens", "Vireo chivi", "Vireo approximans", "Pilosella lactocantabrica", "Pilosella lactucella subsp. nana", "Pilosella lactucella subsp. lactucella", "Pilosella pseudopanticosae", "Pilosella adenocantabrica", "Acarospora fennica", "Pilosella argyrogaliciana", "Pilosella argyrolegionensis", "Pilosella megargyrocoma", "Platygaster corcyrana", "Platygaster striatifacies", "Platygaster lanceolata", "Megaspilus verus", "Lethe yuemingae", "Pilosella echioides subsp. proceriformis", "Acarospora finckei", "Pilosella echioides subsp. echioides", "Acarospora flava", "Acarospora flavocordia", "Acarospora flavorubens", "Gasteruption abyssinicum", "Gasteruption albovaginatum", "Gasteruption australiforme", "Gasteruption basilewskyi", "Gasteruption basuta", "Gasteruption bequaerti", "Gasteruption biquadratum", "Gasteruption brunnicans", "Gasteruption coxale", "Gasteruption cribosum", "Gasteruption curviceps", "Gasteruption eburneum", "Gasteruption elongatum", "Gasteruption enigmaticum", "Gasteruption erythropus", "Gasteruption francisci", "Gasteruption gracile", "Gasteruption guillarmodi", "Gasteruption hirsutum", "Gasteruption irsaci", "Gasteruption jacobi", "Gasteruption leleupi", "Gasteruption lucidum", "Gasteruption luteipenne", "Gasteruption macrops", "Gasteruption mediale", "Gasteruption nimbale", "Gasteruption nitidothoracale", "Gasteruption paradoxale", "Gasteruption pilosum", "Gasteruption politum", "Gasteruption pubescens", "Gasteruption punctalbum", "Gasteruption rotundiceps", "Gasteruption striolatum", "Gasteruption subnitens", "Gasteruption transiens", "Gasteruption trigonum", "Gasteruption turneri", "Gasteruption vicinum", "Allosmaitia coelebs", "Allosmaitia fidena", "Allosmaitia myrtusa", "Arawacus leucogyna", "Selaginella intermedia", "Pilosella pannoniciformis", "Selaginella stellata", "Selaginella confusa", "Selaginella mollis", "Acarospora fremyi", "Arawacus dolylas", "Masnerolyta ruber", "Masneretus bicolor", "Leptacis neotropica", "Trichacis vitreus", "Trichacis nosferatus", "Acarospora franconica", "Leptacis ivarssonae", "Synopeas anderssoni", "Synopeas stigenbergae", "Platygaster lilleoeensis", "Acarospora endocarpea", "Amblyaspis cederholmi", "Gastrotrypes vindhyensis", "Inostemma srilankense", "Platygaster bygebjergi", "Platygaster concava", "Platygaster harasbeddensis", "Platygaster joergenseni", "Platygaster pilosiscutellata", "Synopeas anderssonianum", "Synopeas brincki", "Synopeas bygebjergi", "Synopeas sheldrakei", "Synopeas veenakumarii", "Acarospora engadinensis", "Ceratacis grahami", "Acarospora eucarpa", "Leptacis quebecensis", "Platygaster laevifoveolata", "Platygaster maritima", "Platygaster omoeensis", "Platygaster pedicellata", "Platygaster portneufensis", "Amblyaspis cariniceps", "Amblyaspis bilineatus", "Arawacus ellida", "Platygaster hera", "Synopeas hansseni", "Aphanogmus guadalcanalensis", "Ovis gmelini", "Platygaster subaptera", "Acarospora epithallina", "Pyrgaspis jordanica", "Synopeas corcyranum", "Synopeas johansoni", "Synopeas kyrgyzstanicum", "Acarospora euganea", "Synopeas ontariense", "Euxestonotus michaeli", "Acarospora evoluta", "Inostemma transversiceps", "Leptacis humifusa", "Leptacis madagascariensis", "Leptacis maritima", "Leptacis pilosiscutellata", "Leptacis wawa", "Platygaster grandidieri", "Platygaster madagascariensis", "Platygaster maroantsetrensis", "Platygaster risbeciana", "Synopeas ambrense", "Synopeas popovicii", "Synopeas rajaonarimampianinai", "Acarospora exigua", "Acarospora extenuata", "Arawacus binangula", "Platygaster krarupi", "Aclista larsovei", "Passer montanus montanus", "Arawacus lincoides", "Acarospora glebosa", "Inostemma hockpari", "Arawacus meliboeus", "Selaginella neocaledonica", "Selaginella flagellata", "Amblyaspis caramba", "Amblyaspis ecuadoriensis", "Amblyaspis glistrupi", "Amblyaspis thoracica", "Amblyaspis whitmani", "Fidiobia danielssoni", "Trichacis acarinata", "Pilosella cymosa subsp. sabina", "Trichacis acuminata", "Trichacis acuta", "Trichacis clypeata", "Trichacis colombiana", "Trichacis concavata", "Trichacis corrugata", "Trichacis costaricana", "Trichacis delsinnei", "Trichacis kaulbarsi", "Trichacis depressa", "Trichacis dianae", "Trichacis fernandezi", "Trichacis hansoni", "Trichacis magnifica", "Trichacis mexicana", "Trichacis panamana", "Trichacis pecki", "Trichacis procera", "Trichacis proximata", "Trichacis punctata", "Trichacis sculpturata", "Trichacis transversata", "Trichacis triangulata", "Pilosella cymosa subsp. cymosa", "Acarospora freyi", "Trichacis ariaspennae", "Trichacis laticornis", "Trichacis meridionalis", "Acarospora friesii", "Fusicornia noonae", "Styloteleia wolffi", "Styloteleia oblonga", "Calliscelio peterseni", "Leptacis ariadne", "Platygaster inconspicua", "Platygaster microsculpturata", "Platygaster praecox", "Platygaster rufitibia", "Platygaster ungeri", "Platygaster varicornis", "Synopeas romsoeensis", "Loboschiza spiniforma", "Loboschiza bisulca", "Loboschiza subrectangula", "Loboschiza lunata", "Paracercomonas marina", "Chionodes bustosorum", "Acarospora gelatinosa", "Acarospora geophila", "Arawacus euptychia", "Acarospora germanica", "Arawacus hypocrita", "Arawacus jada", "Acarospora glaucocarpoides", "Acarospora glaucopsina", "Iphitrachelus foutsi", "Mustelus asterias", "Allotropa merrilli", "Allotropa scutellata", "Allotropa ashmeadi", "Allotropa utilis", "Allotropa citri", "Allotropa burrelli", "Allotropa convexifrons", "Leptacis srilankensis", "Myliobatis goodei", "Platygaster srilankensis", "Synopeas srilankensis", "Arawacus tadita", "Arawacus tarania", "Acarospora globiformis", "Piestopleura nigra", "Platygaster dentata", "Arumecla netesca", "Platygaster denticulata", "Platygaster dilata", "Platygaster macgowni", "Acarospora glypholecioides", "Synopeas bifurcatus", "Synopeas carinifrons", "Synopeas nigroides", "Synopeas obesus", "Synopeas royi", "Synopeas solidus", "Trichacis denudata", "Acarospora gobiensis", "Acarospora granatensis", "Acarospora groenlandica", "Acarospora grumulosa", "Acarospora guadeloupensis", "Centropomus undecimalis", "Iphitrachelus masneri", "Isostasius ocellaris", "Platygaster rutilipes", "Pilosella bifurca", "Platygaster entwistlei", "Acarospora frigidodeserticola", "Platygaster lundensis", "Platygaster imlaci", "Pilosella sintenisii", "Trichacoides rugosiscutellum", "Synopeas gibberosus", "Synopeas planiscutellum", "Synopeas pallescens", "Synopeas palawanensis", "Synopeas luteolipes", "Synopeas balabacensis", "Synopeas crassiceps", "Synopeas acutiventris", "Synopeas montanus", "Acarospora fulva", "Synopeas decumbens", "Synopeas lemkaminensis", "Synopeas ventricosus", "Synopeas mukerjeei", "Synopeas solomonensis", "Synopeas saint-exuperyi", "Piestopleura milnei", "Leptacis buchi", "Leptacis vlugi", "Leptacis kozlovi", "Leptacis philippinensis", "Leptacis orientalis", "Leptacis flavus", "Leptacis antennalis", "Acarospora fuscohepatica", "Arawacus dumenilii", "Leptacis bismarckensis", "Leptacis schioedtei", "Leptacis kierkegaardi", "Amblyaspis peterseni", "Murina kontumensis", "Eudocima lequeuxi", "Haplopacha riftensis", "Haplopacha tangani", "Haplopacha lunata", "Haplopacha ndoumoi", "Acarospora gypsi-deserti", "Leptacis adebratti", "Acarospora gyrodes", "Acarospora gyrosa", "Cladocyclus geddesi", "Acarospora isotorquensis", "Acarospora japonica", "Acarospora jenisejensis", "Hyloconis longivalvata", "Acarospora handelii", "Habenaria rodeiensis", "Acarospora hellbomii", "Eucalyptus macrocarpa subsp. macrocarpa", "Eucalyptus macrocarpa subsp. elachantha", "Pilosella auriculoides", "Acarospora helvetica", "Dalailama tibeticus", "Leptacis laeviusculus", "Leptacis latispina", "Leptacis lineatifrons", "Leptacis longiclava", "Leptacis mendolongensis", "Leptacis microgaster", "Leptacis microspina", "Leptacis microtrichiata", "Leptacis nigricorpa", "Leptacis pteridis", "Leptacis pulla", "Leptacis synopeana", "Leptacis terebrans", "Acerotella aldrovandii", "Allotropa muesebecki", "Allotropa pallidicornis", "Eucalyptus ser.", "Eucalyptus racemosa subsp. racemosa", "Eucalyptus racemosa subsp. rossii", "Xestia ashworthii centralaltaica", "Mystus catapogon", "Hypsolebias faouri", "Hypsolebias martinsi", "Agastache mexicana", "Cosmopterix miranda", "Cosmopterix morogorensis", "Cosmopterix mufindensis", "Cosmopterix mulanjensis", "Cosmopterix nyikensis", "Cosmopterix oberon", "Cosmopterix omurambensis", "Acarospora immixta", "Acarospora inaequalis", "Metriocnemus hajdi", "Acarospora incertula", "Cissampelos arenicola", "Acarospora incolor", "Allotropa transversiceps", "Inostemma striaticornu", "Leptacis brevifuniculus", "Acarospora hostilis", "Leptacis coiba", "Leptacis inaequalis", "Leptacis lucidiventris", "Platygaster laevifrons", "Platygaster panamaensis", "Synopeas fontali", "Synopeas hastatus", "Synopeas longifuniculus", "Synopeas nievesaldreyi", "Synopeas panamaensis", "Acarospora hueana", "Synopeas reticulatifrons", "Euxestonotus achilles", "Euxestonotus ganymedes", "Fidiobia rugosifrons", "Acarospora hultingii", "Platygaster tubulosa", "Isostasius crassus", "Pharyngoglossa sigmoidea", "Calleagris krooni", "Caprona cassualalla", "Caprona pillaana", "Alenia namaqua", "Alenia sandaster", "Pyrgus sandaster", "Acarospora initialis", "Acarospora insculpta", "Acarospora insignis", "Acarospora intercedens", "Acarospora intermixta", "Acarospora intrusa", "Cissampelos glaberrima", "Acarospora invadens", "Acarospora islandica", "Chauliodus testa", "Cissampelos verticillata", "Platygaster biroi", "Platygaster brachyptera", "Platygaster estonica", "Lucanus adi", "Lucanus izindui", "Acarospora hungarica", "Platygaster pedestris", "Synopeas chica", "Synopeas dravedensis", "Synopeas marttii", "Synopeas robustus", "Synopeas spinulus", "Synopeas zomborii", "Acarospora hysgina", "Perkinsus marinus", "Acarospora imbricatula", "Acarospora knowlesii", "Congophiopsis lepersonnei", "Acarospora kordofanica", "Arzecla calatia", "Euphranta betikamae", "Euphranta fuscata", "Euphranta isabellae", "Euphranta sabahensis", "Euphranta wallacei", "Arzecla canacha", "Acarospora kidderi", "Eucalyptus obstans", "Arzecla arza", "Chuhsiungichthys tsanglingensis", "Chuhsiungichthys japonicus", "Chuhsiungichthys yanagidai", "Pilosella aurantiaca subsp. decolorans", "Pilosella aurantiaca subsp. auropurpurea", "Pilosella aurantiaca subsp. aurantiaca", "Acarospora laevigata", "Pilosella bauhinii subsp. bauhinii", "Acarospora lagascae", "Acarospora lamyi", "Eucalyptus ser.", "Eoleiognathus dorsalis", "Eosternoptyx discoidalis", "Cyclamen \u00d7 drydeniae", "Ceratilella solomonensis", "Themaroides bicolor", "Dirioxia fuscipennis", "Corusichthys megacephalus", "Paracoccodus woodwardi", "Pilosella setigera", "Pilosella visianii", "Paramesturus stuehmeri", "Pilosella macrotricha", "Cheirodon ibicuhiensis", "Cheirodon parahybae", "Pilosella onegensis", "Pilosella hoppeana subsp. testimonialis", "Hexarthrius bowringii", "Pilosella hoppeana subsp. hoppeana", "Hexarthrius bowringii baminorum", "Hexarthrius forsteri", "Hexarthrius forsteri nyishi", "Dipnotuberculus bagirovi", "Pilosella hoppeana subsp. sicula", "Pilosella rothiana", "Pilosella velutina", "Acarospora laeta", "Dipnotuberculus gnathodus", "Dobrogeria aegyssensis", "Cosmopterix ophelia", "Cosmopterix pallidorsalis", "Acarospora incusa", "Pilosella ruprechtii", "Cosmopterix paratrilopha", "Cosmopterix perdita", "Cosmopterix portia", "Cosmopterix pretoriensis", "Cosmopterix prospero", "Cosmopterix puck", "Pilosella hypeurya", "Cosmopterix rosalind", "Cosmopterix setebos", "Cosmopterix soutpansbergensis", "Cosmopterix stephano", "Cosmopterix sycorax", "Cosmopterix titania", "Cosmopterix trinculo", "Acarospora indica", "Cosmopterix tsavensis", "Cosmopterix turensis", "Cosmopterix umbriel", "Cosmopterix vandenbergi", "Cosmopterix varii", "Cosmopterix viridilineata", "Cosmopterix yangambensis", "Cosmopterix diplozona", "Cosmopteryx diplozona", "Cosmopterix emmolybda", "Cyana jakli", "Cyana seismogrammica", "Cyana centripuncta", "Cyana sumbawensis", "Cyana succincta", "Ypthima sakra sakra", "Ypthima sakra nujiangensis", "Lethe jalaurida", "Lethe jalaurida jalaurida", "Lethe maitrya", "Lethe maitrya maitrya", "Lethe maitrya lijiangensis", "Aulocera saraswati saraswati", "Aulocera saraswati chayuensis", "Aulocera merlina", "Arzecla paralus", "Aulocera merlina merlina", "Aulocera merlina pulcheristriata", "Paroeneis parapumilus", "Arzecla taminella", "Eucalyptus ser.", "Atlides polybe", "Eucalyptus caesia subsp. caesia", "Eucalyptus caesia subsp. magna", "Acarospora lepidota", "Eucalyptus ser.", "Acarospora lesdainii", "Acarospora livida", "Nardonoides chardoni", "Acarospora longispora", "Eucalyptus ser.", "Atlides bacis", "Cyclamen \u00d7 meiklei", "Cyclamen \u00d7 saundersiae", "Cyclamen \u00d7 schwarzii", "Garganoclupea svetovidovi", "Cyclamen \u00d7 wellensiekii", "Cyclamen \u00d7 whiteae", "Apricenaclupea ridewoodi", "Catervariolus hornemanni", "Catervariolus passaui", "Songanella callida", "Kisanganichthys casieri", "Clerome aerope", "Faunis aerope yunnanensis", "Faunis aerope aerope ab. indistincta", "Faunis aerope longpoensis", "Faunis aerope excelsa", "Arzecla nubilum", "Clerome aerope excelsa", "Eucalyptus subser.", "Lycaena ouang", "Lycaena ouang ouang", "Lycaena ouang nujiangensis", "Acarospora lorentzii", "Rhabdocosma aurepurpurata", "Rhabdocosma semicircularis", "Rhabdocosma aglaophanes", "Rhabdocosma dolini", "Rhabdocosma nematopogonites", "Yponomeuta madagascariensis", "Meleonoma margisclerotica", "Meleonoma apicispinata", "Palaeocentrotus boggildi", "Cissampelos sympodialis", "Macrosilia casuarinae", "Pyrgus serratulae balcanica", "Atlides carpasia", "Atlides cosa", "Atlides gaumeri", "Acarospora lucida", "Byasa dasarada dasarada", "Arzecla tarpa", "Byasa dasarada ouvrardi", "Byasa dasarada nujiangana", "Notocrypta eitschbergeri", "Ochlodes subhyalina", "Ochlodes subhyalina subhyalina", "Arzecla tucumanensis", "Ochlodes subhyalina chayuensis", "Sarcogyne lapponica", "Cupido argiades argiades", "Cupido argiades nujiangensis", "Cupido argiades chayuensis", "Acarospora laqueata", "Bulbophyllum translucidum", "Atlides atys", "Acarospora luederitzensis", "Acarospora lurida", "Ahlbergia maoweiweii", "Atlides halesus", "Acarospora lyngei", "Atlides halesus halesus", "Cyana kubani", "Acarospora maccarthyi", "Cissampelos reticulata", "Acarospora macrocyclos", "Clerome aerope aerope", "Faunis aerope masseyeffi", "Neptis sangangi", "Euthalia alpherakyi chayuensis", "Euthalia alpherakyi nujiangensis", "Euthalia nara chayuana", "Limenitis populi batangensis", "Fabriciana adippe chayuensis", "Issoria eugenia pulchella", "Ypthima yangjiahei", "Ypthima dengae", "Ypthima tiani", "Ypthima tiani tiani", "Ypthima tiani nuae", "Oxytropis ochrocephala", "Ypthima sakra", "Atlides halesus corcorani", "Atlides halesus cynara", "Occitanichthys canjuersensis", "Callipurbeckia minor", "Acarospora marina", "Callipurbeckia notopterus", "Callipurbeckia tendaguruensis", "Nishada temenggora", "Acarospora malmeana", "Heptapotamia eustratii", "Acarospora marcii", "Gueselderia lutea", "Trichomycterus tetuanensis", "Apterichtus succinus", "Callionymus petersi", "Cirrhilabrus isosceles", "Penestoglossa gaetula", "Penestoglossa tichka", "Penestoglossa ifranella", "Penestoglossa simulata", "Penestoglossa opaca", "Lepidotes gigas", "Lepidotes elvensis", "Atlides inachus", "Acarospora maroccana", "Atlides misma", "Acarospora massiliensis", "Atlides polama", "Acarospora melanoplaca", "Acarospora mendozana", "Acarospora meridionalis", "Atlides rustan", "Acarospora mexicana", "Atlides thargelia", "Atlides zava", "Acarospora microcarpa", "Lepidotes buelowianus", "Lepidotes semiserratus", "Acarospora multipunctata", "Obaichthys decoratus", "Masillosteus kelleri", "Trimmatothelopsis smaragdula", "Balintus tityrus", "Acarospora murorum", "Filago minima", "Acarospora nashii", "Scheenstia maximus", "Scheenstia zappi", "Scheenstia mantelli", "Scheenstia laevis", "Scheenstia decoratus", "Scheenstia degenhardti", "Scheenstia hauchecornei", "Aubergina alda", "Aubergina hesychia", "Neosemionotus puntanus", "Aubergina hicetas", "Aubergina paetus", "Luoxiongichthys hyperdorsalis", "Badecla clarissa", "Paralepidotus ornatus", "Semiolepis brembanus", "Acarospora modenensis", "Acarospora monacensis", "Acarospora mongolica", "Acarospora montana", "Tlayuamichin itztli", "Macrosemimimus fegerti", "Macrosemimimus lennieri", "Acarospora moraviae", "Lilium procumbens", "Brassavola xerophylla", "Sangiorgioichthys aldae", "Sangiorgioichthys sui", "Octolasmis nierstraszi", "Sangiorgioichthys valmarensis", "Sangiorgioichthys yangjuanensis", "Geraldocossus durrelli", "Zeuzera stephania", "Aubergina vanessoides", "Acarospora microphthalma", "Acarospora miskcolensis", "Euprenolepis procera", "Passiflora sandrae", "Badecla lanckena", "Acarospora moreliana", "Araripelepidotes temnurus", "Dentilepisosteus kemkemensis", "Dentilepisosteus laevis", "Acarospora nigrocastanea", "Acarospora nigroleprosa", "Acarospora novae-zemliae", "Jacobaea erucifolia", "Lysimachia maritima", "Persephonichthys chthonica", "Acarospora oertendahlii", "Acarospora otagensis", "Acasta sulcata akanthosa", "Acarospora oxytona", "Passiflora stipulata", "Acarospora obscura", "Acarospora ocellata", "Pacuarescarus kussmauli", "Acarospora ochrophana", "Paucaichthys elamensis", "Acarospora oculata", "Paucaichthys neamtensis", "Cheirodon luelingi", "Qingmenodus yui", "Pirskenius radoni", "Psilophyton krauselii", "Pirskenius diatomaceus", "Cissampelos owariensis", "Lepidocottus aries", "Acarospora peltata", "Aurivillialepas falcata", "Acarospora percaena", "Minyaspis acapitula", "Hibiscus sect.", "Acarospora perexigua", "Acarospora perpulchra", "Cissampelos hirta", "Acarospora persica", "Corybas geminigibbus", "Octolasmis prototypus", "Plesiopercichthys dimartinoi", "Octolasmis scuticosta", "Pilosella verruculata subsp. akinfiewii", "Pilosella verruculata subsp. verruculata", "Lepidocottus sectus", "Lepidocottus schadi", "Lepidocottus martinii", "Lepidocottus gracilis", "Acarospora pelicyphoides", "Lepidocottus papyraceus", "Protothymallus elongatus", "Cheirodon interruptus", "Pilosella piloselloides subsp. piloselloides", "Pilosella praealta", "Lepidocottus elongatus", "Acarospora picea", "Acarospora pitardii", "Acarospora placenta", "Acarospora placodiiformis", "Acarospora platycarpoides", "Acarospora pleiospora", "Planktophaga minuta", "Acarospora pleistospora", "Cheirodon ortegai", "Acarospora plinthina", "Acarospora plumbeocaesia", "Acarospora polycarpa", "Habenaria suaveolens", "Acarospora porinoides", "Eobiana engelhardti", "Eobiana engelhardti subtropica", "Acarospora pelioscypha", "Acarospora persimilis", "Plecoglossus altivelis altivelis", "Octolasmis rhinoceros", "Plecoglossus altivelis chinensis", "Plecoglossus altivelis ryukyuensis", "Salvelinus leucomaenis", "Salvelinus leucomaenis leucomaenis", "Acarospora petalina", "Epinephelus itajara", "Acarospora photina", "Cheirodon kiliani", "Calcarina tetraedra", "Astragalus guatemalensis", "Porichthys atalaianus", "Propercarina problematica", "Acarospora punae", "Acarospora purpurascens", "Acarospora putoranica", "Soldanella carpatica", "Acarospora pycnidophora", "Propercarina pietschmanni", "Propercarina rebeli", "Sarcogyne pruinosa", "Scabiosa achaeta", "Scabiosa drakensbergensis", "Acarospora pseudofuscata", "Scabiosa incisa", "Acarospora proletaria", "Pyxinia rubecola", "Acarospora pyrenuloides", "Scabiosa tenuis", "Scabiosa transvaalensis", "Scabiosa tysonii", "Scabiosa webbiana", "Acarospora rehmii", "Acarospora rhagadiosa", "Acarospora rhodesiae", "Scabiosa hyrcanica", "Acarospora rimosior", "Acarospora rimulosa", "Acarospora romanica", "Acarospora rubicunda", "Acarospora rufa", "Brachymystax lenok", "Acarospora rufidulocinerea", "Serrapinnus microdon", "Masdevallia filaria", "Dicya iambe", "Pteronisculus stensioei", "Pteronisculus cicatrosus", "Dicya lollia", "Pteronisculus magnus", "Dicya lucagus", "Pteronisculus arambourgi", "Pteronisculus broughi", "Pteronisculus macropterus", "Pteronisculus hussakofi", "Pteronisculus laetus", "Pteronisculus gunnari", "Scabiosa georgica", "Scabiosa colchica", "Scabiosa pyrenaica", "Scabiosa praemontana", "Scabiosa corsica", "Scabiosa maslakhensis", "Scabiosa andryalifolia", "Acarospora rutilans", "Scabiosa meskhetica", "Scabiosa mollissima", "Scabiosa owerinii", "Scabiosa paphlagonica", "Scabiosa opaca", "Scabiosa buekiana", "Scabiosa fumarioides", "Scabiosa holosericea", "Scabiosa parviflora", "Scabiosa silenifolia", "Scabiosa taygetea", "Scabiosa taygetea subsp. portae", "Scabiosa taygetea subsp. taygetea", "Scabiosa columbaria subsp. balcanica", "Scabiosa columbaria subsp. banatica", "Scabiosa columbaria subsp. uniseta", "Scabiosa columbaria subsp. caespitosa", "Scabiosa columbaria subsp. pratensis", "Scabiosa columbaria subsp. columbaria", "Scabiosa lacerifolia", "Cissampelos truncata", "Dicya carnica", "Dicya dicaea", "Acarospora radicans", "Protolarimus henrici", "Protolarimus mauryae", "Acarospora rageotii", "Protolarimus lundbergi", "Pteronisculus nielseni", "Dicya eumorpha", "Acarospora ramosa", "Poincianella pluviosa var. pluviosa", "Acarospora regnelliana", "Hyphessobrycon wadai", "Rhinobatos borneensis", "Bathyaethiops baka", "Bathyaethiops flammeus", "Gobio tchangi", "Acarospora samo\u00ebnsis", "Cissampelos torulosa", "Acarospora sandwicensis", "Acarospora sanguinescens", "Cissampelos mucronata", "Scabiosa amoena", "Scabiosa correvoniana", "Scabiosa esfandiarii", "Scabiosa hladnikiana", "Scabiosa imeretica", "Scabiosa intermedia", "Scabiosa koelzii", "Scabiosa mairei", "Serrapinnus micropterus", "Gentianopsis ciliata", "Odontostilbe stenodon", "Acarospora rufoalutacea", "Pseudosinocyclocheilus jinxiensis", "Glyptothorax pasighatensis", "Acarospora rufotestacea", "Acarospora rugosa", "Cissampelos capensis", "Acarospora russa", "Catutoichthys olsacheri", "Ctenoplectus williamsi", "Odontostilbe fugitiva", "Cissampelos rigidifolia", "Cissampelos rigidifolia var. rigidifolia", "Arctium nemorosum", "Cissampelos pareira var. hirsuta", "Acarospora sarcogynoides", "Cissampelos pareira var. pareira", "Pachycephala implicata richardsi", "Acarospora saxicola", "Acarospora saxonica", "Acarospora scaberrima", "Cissampelos nigrescens var. cardiophylla", "Cissampelos rigidifolia var. lanuginosa", "Acarospora sepincola", "Scabiosa adzharica", "Varicus lacerta", "Bufoceratias microcephalus", "Oneirodes amaokai", "Oneirodes quadrinema", "Mullus argentinae", "Mullus auratus", "Petrocephalus leo", "Acarospora schorica", "Eleotris bosetoi", "Cissampelos friesiorum", "Rutilus robustus", "Cissampelos insignis", "Acarospora scrobiculata", "Saurichthys hoffmanni", "Saurichthys minimahleri", "Saurichthys daubreei", "Acarospora scutula", "Cissampelos nigrescens", "Cissampelos nigrescens var. nigrescens", "Epinephelus tauvina", "Epinephelus fuscoguttatus", "Cissampelos tenuipes", "Arctogadus borisovi", "Arctogadus glacialis", "Erythrina subg.", "Stephania dinklagei", "Saurichthys majiashanensis", "Scardinius ponticus", "Scardinius haueri", "Scardinius longipinnus", "Scardinius prolixus", "Scardinius tchuensis", "Electrostrymon angelia boyeri", "Electrostrymon angelia pantoni", "Bulbophyllum biseriale", "Acarospora siplei", "Electrostrymon angerona", "Bulbophyllum biserratum", "Bulbophyllum bisetoides", "Acarospora skottsbergii", "Electrostrymon constantinoi", "Acarospora solitaria", "Acarospora sordida", "Acarospora sparsinula", "Acarospora sparsiuscula", "Erythrina sect.", "Acarospora sphaerospora", "Sinamia kukurihime", "Erythrina sect.", "Acarospora septentrionalis", "Acarospora sernanderi", "Acarospora sibirica", "Electrostrymon angelia", "Acarospora silesiaca", "Crassodus reifi", "Acarospora silicicola", "Electrostrymon angelia angelia", "Acarospora similis", "Electrostrymon angelia dowi", "Electrostrymon denarius", "Onopordum nervosum", "Sorbinichromis francescoi", "Erythrina sect.", "Wallago maemohensis", "Erythrina sect.", "Erythrina sect.", "Erythrina sect.", "Serrapinnus piaba", "Erythrina sect.", "Erythrina sect.", "Erythrina sect.", "Erythrina sect.", "Erythrina sect.", "Erythrina sect.", "Erythrina sect.", "Acarospora spitzbergensis", "Electrostrymon endymion", "Acarospora subdispersa", "Amaltheolepis winsnesi", "Acarospora steinii", "Woodfjordia collisa", "Acarospora stictica", "Globularia vulgaris", "Paralogania ludlowiensis", "Acarospora subalbida", "Nostolepis striata", "Gomphonchoporus hoppei", "Machaeraporus stonehousensis", "Acarospora subbadia", "Erythrina sect.", "Acarospora subcastanea", "Erythrina sect.", "Erythrina sect.", "Octolasmis sessilis", "Acarospora subcontigua", "Erythrina sect.", "Scypha gelatinosum", "Telammina fragilis", "Telammina minuta", "Anchusa procera", "Bulbophyllum bisetum", "Acarospora superans", "Anchusa popovii", "Spiculosiphon radiata", "Acarospora suprasedens", "Acarospora suzae", "Nucleaspis unica", "Reticulaspis menneri", "Bulbophyllum bismarckense", "Bulbophyllum blepharistes", "Bulbophyllum blepharocardium", "Bulbophyllum blepharochilum", "Bulbophyllum blepharopetalum", "Bulbophyllum bliteum", "Amyzon kishenehnicum", "Bulbophyllum bohnkeanum", "Capitaspis giblingi", "Machairaspis serrata", "Bulbophyllum boiteaui", "Bulbophyllum bolivianum", "Bulbophyllum bombycinum", "Acarospora subochracea", "Acarospora subpruinata", "Acarospora subtersa", "Antizoma angustifolia", "Paraungulaspis arctoa", "Acarospora tasmaniensis", "Bulbophyllum bomiense", "Bulbophyllum bonaccordense", "Electrostrymon guzanta", "Bulbophyllum boonjee", "Bulbophyllum bootanense", "Acarospora tavaresiana", "Antizoma miersiana", "Antizoma angolensis", "Acarospora tenuicorticata", "Acarospora tenuis", "Eoptolamna eccentrolopha", "Acarospora tersa", "Acarospora texana", "Pararhincodon crochardi", "Paratriakis bettrechiensis", "Acarospora thaeodes", "Acarospora theobaldii", "Acarospora theobromina", "Cossyphus hoffmannseggi", "Acarospora tominiana", "Acarospora tongletii", "Triphora trianthophoros subsp. trianthophoros", "Acarospora toniniana", "Bobbodus schaefferi", "Bobbodus xerxesi", "Anchusa leptophylla subsp. tomentosa", "Anchusa leptophylla subsp. leptophylla", "Acarospora valdobbiensis", "Acarospora variegata", "Anchusa affinis", "Anchusa calcarea", "Acarospora varzinensis", "Acarospora vaucheri", "Burnhamia daviesi", "Burnhamia crimensis", "Burnhamia nessovi", "Callorhinchus torresi", "Euphorbia verrucosa", "Anchusa tiberiadis", "Astragalus topalanense", "Anchusa formosa", "Anchusa samothracica", "Anchusa iranica", "Anchusa puechii", "Anchusa montelinasana", "Anchusa milleri", "Anchusa capellii", "Acarospora tromso\u00ebnsis", "Acarospora truncata", "Acarospora tuberculata", "Solinalepis levis", "Acarospora tuberculifera", "Dinoponera gigantea", "Mongolepis rozmanae", "Acarospora umensis", "Acarospora undata", "Acarospora urceolata", "Electrostrymon joya", "Pristolepis pentacantha", "Britobatos primarmatus", "Heterocheirodon yatai", "Oxyeleotris marmorata", "Anomala bengalensis", "Cyclea insularis", "Aphyolebias wischmanni", "Cissampelos hispida", "Electrostrymon perisus", "Cantioscyllium markaguntensis", "Acarospora weldensis", "Acarospora tunetana", "Teslepis jucunda", "Sodolepis lucens", "Annella mollis", "Rongolepis cosmetica", "Shiqianolepis hollandi", "Acarospora turja\u00ebnsis", "Xinjiangichthys pluridentatus", "Acarospora tyleri", "Barbclabornia luedersensis", "Acarospora tyroliensis", "Bransonella tridentata", "Erythrina sect.", "Acarospora umbrina", "Pseudojuloides labyrinthus", "Microplecostomus forestii", "Acarospora vesuviana", "Eviota asymbasia", "Eviota bipunctata", "Acarospora viridula", "Platyrhina psomadakisi", "Acarospora vulcanica", "Erythrina sect.", "Erythrina sect.", "Heterocheirodon jacuiensis", "Acarospora verruculosa", "Garra longchuanensis", "Eigenmannia besouro", "Electrostrymon pan", "Caecieleotris morrisi", "Gymnocypris pengquensis", "Gymnocypris waddellii", "Acarospora verrucigera", "Eviota melanosphena", "Garra tamangi", "Acarospora trachytica", "Acarospora trachyticola", "Erythrina sect.", "Protosqualus barringtonensis", "Acarospora transtagatana", "Electrostrymon hugon", "Pseudocorax duchaussoisi", "Scyliorhinus monsaugustus", "Scyliorhinus muelleri", "Sigmoscyllium acuspidatum", "Sigmoscyllium striatum", "Squalicorax bernardezi", "Acarospora terrestris", "Acarospora terrigena", "Adnetoscyllium angloparisensis", "Anomotodon plicatus", "Anomotodon genaulti", "Cederstroemia siverssoni", "Chiloscyllium frequens", "Chiloscyllium vulloi", "Eoptolamna supracretacea", "Heterodontus boussioni", "Heterodontus laevis", "Palaeotriakis subserratus", "Palaeotriakis curtirostris", "Pararhincodon ornatus", "Paratriakis robustus", "Platyrhizodon gracilis", "Platyrhizodon barbei", "Cederstroemia nilsi", "Cederstroemia triangulata", "Variospora dolomiticola", "Curarea cuatrecasasii", "Disciphania spadicea", "Disciphania calocarpa", "Variospora aegaea", "Ziegleria ceromia", "Acarospora wilsonii", "Columbusia fragilis", "Columbusia deblieuxi", "Columbusia roessingi", "Acarospora zahlbruckneri", "Cristomylus bulldogensis", "Cristomylus cifellii", "Cristomylus nelsoni", "Acarospora zeravshanica", "Kisutam micandriana", "Disciphania hernandia", "Rubroserrata ecbatana", "Rubroserrata mathewi", "Zappaichthys harzhauseri", "Electrostrymon dominicana", "Acarospora steineri", "Amaltheolepis austfjordia", "Amaltheolepis montiwatsonia", "Salticus cingulatus", "Variospora australis", "Primula woronowii", "Variospora cancarixiticola", "Aphyolebias claudiae", "Aurotalis dicksoni", "Aurotalis cristata", "Aurotalis delicatalis", "Diablodontus michaeledmundi", "Echinorhinus wadanohanaensis", "Variospora aurantia", "Phreatobius sanguijuela", "Phreatobius cisternarum", "Ziegleria hernandezi", "Aphyolebias rubrocaudatus", "Variospora velana", "Pterolebias hoignei", "Ziegleria hesperitis", "Pterolebias phasianus", "Ziegleria hoffmani", "Squalus acutipinnis", "Naso unicornis", "Camissecla camissa", "Iago omanensis", "Iago carlaluisai", "Triakis muelleri", "Jaekelotodus trigonalis", "Jaekelotodus trigonalis trigonalis", "Gissarodus flabellatus", "Glikmanius occidentalis", "Glikmanius culmenis", "Glikmanius myachkovensis", "Aphyolebias manuensis", "Aphyolebias schleseri", "Variospora flavescens", "Variospora glomerata", "Variospora macrocarpa", "Variospora paulii", "Jaekelotodus londonensis", "Jaekelotodus londonensis londonensis", "Jaekelotodus londonensis tasaranicus", "Jaekelotodus borystenicus", "Jaekelotodus trigonalis jaekeli", "Jaekelotodus minor", "Mennerotodus glueckmani", "Palaeohypotodus rutoti", "Araloselachus cuspidatus", "Araloselachus agespensis", "Borealotodus borealis", "Mennerotodus glueckmani glueckmani", "Variospora erythrina", "Aphyolebias obliquus", "Mennerotodus glueckmani boktensis", "Borealotodus benyamovski", "Odontaspis speyeri", "Jaekelotodus bagualensis", "Oreochromis harrisae", "Otodus obliquus minor", "Otodus obliquus", "Asymbolus vincenti", "Austrolebias alexandri", "Pteruthius aeralatus", "Pteruthius annamensis", "Pteruthius ripleyi", "Pteruthius intermedius", "Hybodus bugarensis", "Variospora thallincola", "Hypolophodon sylvestris", "Stephania japonica var. discolor", "Hypolophodon patagoniensis", "Hypolophodon dockeryi", "Hypolophodon malembeensis", "Keasius parvus", "Austrolebias bellottii", "Striatolamia macrota", "Austrolebias litzi", "Austrolebias paranaensis", "Nysius hidakai", "Nannostomus mortenthaleri", "Alphamesonivirus 2", "Alphamesonivirus 3", "Alphamesonivirus 4", "Alphamesonivirus 5", "Avian avulavirus 10", "Avian avulavirus 11", "Avian avulavirus 12", "Dyokappapapillomavirus 2", "Heterobasidion partitivirus 12", "Heterobasidion partitivirus 13", "Heterobasidion partitivirus 15", "Heterobasidion partitivirus 7", "Mupapillomavirus 3", "Rhopapillomavirus 2", "Taupapillomavirus 3", "Torque teno sus virus k2b", "Xipapillomavirus 3", "Camissecla gedrosia", "Camissecla melma", "Athallia baltistanica", "Dactylorhiza osmanica", "Dactylorhiza osmanica var. osmanica", "Athallia brachyspora", "Dactylorhiza osmanica var. anatolica", "Camissecla pactya", "Comparettia macroplectron", "Camissecla saphronotis", "Camissecla simasca", "Camissecla verbenaca", "Camissecla vespasianus", "Amelacanthus sulcatus", "Odontaspis aculeatus", "Carcharias robustus africanus", "Carcharias robustus", "Thesium humifusum", "Calycopis boliviensis", "Tetrataxis inflata", "Austrolebias adloffi", "Pilophorus erinaceulus", "Pilophorus maruyamai", "Pilophorus parvolus", "Pilophorus lambirensis", "Gonorhynchus wattanah", "Calycopis buphonia", "Khuffia lenis", "Khuffia prolixa", "Camissecla vesper", "Sphenacanthus serrulatus", "Reesodus underwoodi", "Reesodus pectinatus", "Reesodus wirksworthensis", "Hypotodus hopei", "Wodnika borealis", "Wodnika striatula", "Amelacanthus americanus", "Amelacanthus laevis", "Amelacanthus pustulatus", "Amelacanthus plicatus", "Athallia necator", "Bos taurus polyomavirus 1", "Centropristis striata polyomavirus 1", "Delphinus delphis polyomavirus 1", "Gonorhynchus periyarensis", "Gonorhynchus macmahoni", "Calycopis caesaries", "Encrasicholina heteroloba", "Encrasicholina pseudoheteroloba", "Austrolebias cheradophilus", "Austrolebias wolterstorffi", "Pilophorus aurifasciatus", "Pilophorus gracilipenis", "Pilophorus longirostris", "Pilophorus multivillus", "Pilophorus unifasciatus", "Pilophorus barbiger", "Eminium spiculatum", "Stephania japonica var. timoriensis", "Stegana atrifrons", "Stegana planifacies", "Stegana schildi", "Parvodus rugianus", "Parvodus celsucuspus", "Stephania corymbosa", "Stephania merrillii", "Myotis lucifugus polyomavirus 1", "Saimiri sciureus polyomavirus 1", "Pteronotus davyi polyomavirus 1", "Pteronotus parnellii polyomavirus 1", "Dobsonia moluccensis polyomavirus 2", "Saimiri boliviensis polyomavirus 1", "Dobsonia moluccensis polyomavirus 3", "Loxodonta africana polyomavirus 1", "Miniopterus africanus polyomavirus 1", "Human polyomavirus 4", "Human polyomavirus 6", "Human polyomavirus 7", "Human polyomavirus 10", "Human polyomavirus 11", "Anser anser polyomavirus 1", "Corvus monedula polyomavirus 1", "Cracticus torquatus polyomavirus 1", "Pygoscelis adeliae polyomavirus 1", "Pyrrhula pyrrhula polyomavirus 1", "Serinus canaria polyomavirus 1", "Stephania japonica var. japonica", "Aeonium ringspot virus", "Urena procumbens", "Urena lobata var. lobata", "Urena lobata var. glauca", "Urena lobata var. chinensis", "Urena lobata var. henryi", "Urena lobata var. yunnanensis", "Urena lobata var. viminea", "Urena armitiana", "Urena australiensis", "Urena armitiana var. spenceri", "Pilophorus giraffoides", "Pilophorus portentosus", "Glaucostegus cemiculus", "Abutilon golden mosaic virus", "Bilirania myrmecoides", "Glaucostegus granulatus", "Pilophorus myrmecoides", "Glaucostegus halavi", "Acinetobacter virus AB1", "Acinetobacter virus AB2", "Acinetobacter virus AbC62", "Acinetobacter virus AP22", "Glaucostegus obtusus", "Aeromonas virus 25", "Aeromonas virus 31", "Aeromonas virus Aes12", "Aeromonas virus Aes508", "Aeromonas virus AS4", "Stenotrophomonas virus IME13", "Glaucostegus thouin", "Glaucostegus typus", "Aeromonas virus 44RR2", "Acerodon celebensis polyomavirus 1", "Artibeus planirostris polyomavirus 2", "Artibeus planirostris polyomavirus 3", "Ateles paniscus polyomavirus 1", "Cardioderma cor polyomavirus 1", "Eidolon helvum polyomavirus 1", "Human polyomavirus 13", "Otomops martiensseni polyomavirus 1", "Pan troglodytes polyomavirus 4", "Sturnira lilium polyomavirus 1", "Dobsonia moluccensis polyomavirus 1", "Human polyomavirus 12", "Pan troglodytes polyomavirus 3", "Papio cynocephalus polyomavirus 1", "Pteropus vampyrus polyomavirus 1", "Piliocolobus rufomitratus polyomavirus 1", "Carollia perspicillata polyomavirus 1", "Gorilla gorilla polyomavirus 1", "Otomops martiensseni polyomavirus 2", "Pan troglodytes polyomavirus 5", "Pongo abelii polyomavirus 1", "Macaca fascicularis polyomavirus 1", "Procyon lotor polyomavirus 1", "Chlorocebus pygerythrus polyomavirus 3", "Human polyomavirus 5", "Molossus molossus polyomavirus 1", "Pan troglodytes polyomavirus 7", "Pongo pygmaeus polyomavirus 1", "Chlorocebus pygerythrus polyomavirus 1", "Human polyomavirus 9", "Pan troglodytes polyomavirus 2", "Human polyomavirus 8", "Pan troglodytes polyomavirus 1", "Pan troglodytes polyomavirus 6", "Acerodon celebensis polyomavirus 2", "Artibeus planirostris polyomavirus 1", "Cebus albifrons polyomavirus 1", "Chlorocebus pygerythrus polyomavirus 2", "Desmodus rotundus polyomavirus 1", "Human polyomavirus 3", "Mastomys natalensis polyomavirus 1", "Meles meles polyomavirus 1", "Papio cynocephalus polyomavirus 2", "Zalophus californianus polyomavirus 1", "Cercopithecus erythrotis polyomavirus 1", "Equus caballus polyomavirus 1", "Agrotis segetum nucleopolyhedrovirus B", "Agrotis segetum granulovirus", "Stegana antica", "Stegana cyclostoma", "Aptychotrema rostrata", "Aptychotrema timorensis", "Aptychotrema vincentiana", "Culicoides laimargus", "Planohybodus peterboroughensis", "Planohybodus marki", "Culicoides chengduensis", "Potobatis semperei", "Stephania psilophylla", "Serrolecanium jiuhuaensis", "Anchusa konyaensis var. konyaensis", "Serrolecanium kawaii", "Calycopis calor", "Omanoselache bucheri", "Omanoselache contrarius", "Calycopis calus", "Calycopis cinniana", "Calycopis thama", "Serrolecanium takagii", "Serrolecanium tobai", "Antonina tobai", "Serrolecanium bambusae", "Antonina dakotensis", "Apezococcus dakotensis", "Calycopis mirna", "Stegana nigrithorax", "Stegana longifibula", "Zapteryx exasperata", "Zapteryx brevirostris", "Coelogyne barbata", "Coelogyne brachyptera", "Coelogyne calcicola", "Stegana coleoptrata", "Stegana dorsolineata", "Stegana magnifica", "Stegana minor", "Stegana nigrifrons", "Stegana nigromarginata", "Stegana scutellata", "Stegana uniformis", "Stegana strobli", "Stegana bacilla", "Stegana biprotrusa", "Stegana castanea", "Stegana ornatipes", "Stegana vietnamensis", "Stegana angulata", "Stegana calyptraea", "Stegana dirhopalota", "Stegana platyphylla", "Stegana obscura", "Stegana convena", "Stegana cylindrica", "Stegana eurystoma", "Stegana hamata", "Stegana hirticeps", "Stegana latigena", "Stegana planiceps", "Stegana rhomboica", "Stegana setivena", "Stegana sphaerica", "Stegana lepismina", "Stegana sidorenkoi", "Stegana xuei", "Stegana albiventralis", "Stegana angusigena", "Stegana angustifoliacea", "Stegana antigua", "Stegana arcygramma", "Stegana belokobylskiji", "Stegana brevibarba", "Stegana capillaria", "Stegana chitouensis", "Stegana clavispinula", "Stegana crinata", "Stegana cyclophylla", "Stegana danbaensis", "Stegana dianensis", "Stegana euryphylla", "Stegana flaviclypeata", "Stegana flavipalpata", "Stegana flaviscutellata", "Stegana glabra", "Stegana leucothorax", "Stegana lingnanensis", "Stegana longibarba", "Stegana mehadiae", "Stegana melanocheilota", "Stegana melanostigma", "Stegana melanostoma", "Stegana melanothorax", "Stegana mengla", "Stegana monodonata", "Stegana montana", "Stegana multiclavata", "Stegana nigriclypeata", "Stegana nigripalpata", "Stegana nigripes", "Stegana nigrolimbata", "Stegana nulliseta", "Stegana oligochaeta", "Stegana parvispina", "Stegana pianmaensis", "Stegana pililobasa", "Stegana pilosella", "Stegana polysphyra", "Stegana protuberans", "Stegana psilolobosa", "Stegana reni", "Stegana serratoprocessata", "Stegana tentaculifera", "Stegana tiani", "Stegana tongi", "Stegana wangi", "Stegana weiqiuzhangi", "Stegana xiaoleiae", "Stegana xipengi", "Stegana xishuangbanna", "Stegana xui", "Stegana zhaofengi", "Stegana polytricapilla", "Stegana angulistrata", "Acroteriobatus annulatus", "Acroteriobatus blochii", "Acroteriobatus leucospilus", "Acroteriobatus ocellatus", "Acroteriobatus zanzibarensis", "Alucita megaphimus", "Orneodes megaphimus", "Alucita hemicyclus", "Orneodes hemicyclus", "Alucita entoprocta", "Orneodes entoprocta", "Orneodes dorcadius", "Morophaga plana", "Rubus ikenoensis", "Rubus pseudojaponicus", "Morophagoides occidentalis", "Morophagoides meridianus", "Acroteriobatus salalah", "Toxocampa vulcanea ab. strigosata", "Alucita nyasa", "Alucita aarviki", "Alucita malawica", "Alucita murphy", "Alucita sochivkoi", "Alucita acalyptra", "Pimpinella tripartita", "Achillea polyphylla", "Orneodes acalyptra", "Alucita compsoxantha", "Orneodes compsoxantha", "Alucita crococyma", "Orneodes crococyma", "Alucita ectomesa", "Orneodes ectomesa", "Orneodes myriodesma", "Pseudomyledaphus madseni", "Texatrygon avonicola", "Pleurothallis viduata", "Texatrygon brycensis", "Texatrygon copei", "Texatrygon hooveri", "Texatrygon stouti", "Herpetosphex staphylinoides", "Scyliorhinotheca goederti", "Teresodus amplexus", "Tingitanius tenuimandibulus", "Stegana multicardua", "Stegana hylecoeta", "Stegana hirsutinna", "Stegana flavicauda", "Stegana acutangula", "Stegana curvinervis", "Stegana singularis", "Tomewingia problematica", "Vectiselachos gosslingi", "Vectiselachos ornatus", "Mycetagroicus inflatus", "Morophagoides iranensis", "Catabola flava", "Acroteriobatus variegatus", "Calycopis clarina", "Bythaelurus hispidus", "Eridacnis radcliffei", "Pseudobatos glaucostigmus", "Fissurina laevigata", "Pseudobatos horkelii", "Pseudobatos lentiginosus", "Pseudobatos planiceps", "Pseudobatos leucorhynchus", "Pseudobatos percellens", "Pseudobatos prahli", "Pseudobatos productus", "Thaeides theia", "Mycocepurus castrator", "Austroplaca ambitiosa", "Pseudofissurina mccullochae", "Austroplaca cirrochrooides", "Hyalinonetrion sahulense", "Calycopis cos", "Alucita flaviserta", "Orneodes flaviserta", "Alucita habrophila", "Orneodes habrophila", "Alucita libraria", "Orneodes libraria", "Alucita phanerarcha", "Orneodes phanerarcha", "Alucita photaula", "Orneodes photaula", "Alucita rhaptica", "Orneodes rhaptica", "Alucita spicifera", "Orneodes spicifera", "Orneodes isodina", "Alucita tesserata", "Orneodes tesserata", "Alucita seychellensis", "Orneodes granata", "Orneodes imbrifera", "Alucita ochriprota", "Orneodes ochriprota", "Alucita capensis", "Orneodes brachyphimus", "Stegana enigma", "Stegana maichouensis", "Stegana watabei", "Stegana burmensis", "Stegana pyinoolwinensis", "Stegana setifrons", "Stegana antlia", "Stegana sinica", "Stegana taiwana", "Stegana apiciprocera", "Stegana cheni", "Stegana emeiensis", "Stegana multispinata", "Stegana polyrhopalia", "Stegana zhangi", "Stegana rotunda", "Stegana quadrata", "Stegana norma", "Stegana aotsukai", "Stegana prigenti", "Stegana yapingi", "Stegana trisetosa", "Stegana nigripennis", "Stegana adentata", "Stegana convergens", "Stegana meichiensis", "Stegana subconvergens", "Stegana latipenis", "Stegana acutipenis", "Stegana hirtipenis", "Stegana crassiforcipata", "Stegana curvata", "Stegana monoacantha", "Stegana wanglei", "Stegana wuliangi", "Stegana dendrobium", "Stegana kanmiyai", "Novotinea albarracinella", "Rhynchobatus australiae", "Cryptoseptida fragilis", "Bryoplaca jungermanniae", "Stegana furta", "Empalactis ponomarenkoae", "Waldoschmittia angularis", "Chonala episcopalis episcopalis", "Chonala episcopalis yunnana", "Satyrium tshikolovetsi", "Dirphia nicolasi", "Dirphia glauca", "Alfalfa dwarf cytorhabdovirus", "Rhinobatos punctifer", "Rhinobatos sainsburyi", "Empalactis hiranoi", "Rhinobatos schlegelii", "Targalla atripars", "Targalla delatrix", "Heterotilapia buttikoferi", "Oolina laevigata", "Austroplaca darbishirei", "Infurcitinea quettaella", "Infurcitinea obscura", "Infurcitinea safedella", "Austroplaca erecta", "Heteropsis mimetica", "Heteropsis hazovola", "Austroplaca frigida", "Rhinobatos albomaculatus", "Rhinobatos annandalei", "Austroplaca johnstonii", "Rhinobatos lionotus", "Rhinobatos holcorhynchus", "Rhinobatos irvinei", "Rhinobatos jimbaranensis", "Rhinobatos penggali", "Austroplaca lucens", "Austroplaca millegrana", "Austroplaca soropelta", "Bryoplaca sinapisperma", "Antheraea pernyi iflavirus", "Dinocampus coccinellae paralysis virus", "Lymantria dispar iflavirus 1", "Spodoptera exigua iflavirus 1", "Spodoptera exigua iflavirus 2", "Cherry rusty mottle associated virus", "Cherry twisted leaf associated virus", "Austrolebias elongatus", "Carrot Ch virus 1", "Carrot Ch virus 2", "Apricot vein clearing associated virus", "Heteropsis harveyi", "Heteropsis vanewrighti", "Heteropsis westwoodi", "Heteropsis pauliani", "Heteropsis imerina", "Heteropsis kremenae", "Heteropsis avaratra", "Heteropsis sogai", "Heteropsis tornado", "Heteropsis lanyvary", "Heteropsis barbarae", "Heteropsis menamenoides", "Heteropsis roussettae", "Heteropsis tianae", "Heteropsis oberthueri", "Heteropsis borgo", "Heteropsis vertigo", "Hyperbaena laurifolia", "Austroplaca hookeri", "Rhynchobatus luebberti", "Rhynchobatus palpebratus", "Rhynchobatus springeri", "Calycopis demonassa", "Odontocarya vitis", "Bacillus virus B4", "Bacillus virus Bigbertha", "Bacillus virus Riley", "Bacillus virus Spock", "Bacillus virus Troll", "Bacillus virus Bastille", "Bacillus virus CAM003", "Caucasus prunus virus", "Anchusa ovata", "Bryoplaca tetraspora", "Scaphidium zhoushuni", "Scaphidium ashei", "Scaphidium atrum", "Artemisia virus A", "Cymbidium chlorotic mosaic virus", "Papaya lethal yellowing virus", "Rottboellia yellow mottle virus", "Soybean yellow common mosaic virus", "Calogaya bryochrysion", "Scaphidium marginatum", "Atriplex abata", "Atriplex alaschanica", "Atriplex amboensis", "Atriplex ameghinoi", "Atriplex argentina", "Bacillus virus Bc431", "Bacillus virus Bcp1", "Bacillus virus BCP82", "Bacillus virus JBP901", "Bacillus virus CP51", "Atriplex asplundii", "Bacillus virus JL", "Bacillus virus Shanette", "Dypterygia ligata", "Mugilogobius myxodermus", "Eulia haematitis", "Escherichia virus alpha3", "Escherichia virus ID21", "Escherichia virus ID32", "Escherichia virus ID62", "Escherichia virus NC28", "Escherichia virus NC29", "Escherichia virus NC35", "Escherichia virus phiK", "Escherichia virus St1", "Escherichia virus WA45", "Escherichia virus G4", "Escherichia virus ID52", "Escherichia virus Talmos", "Escherichia virus phiX174", "Scaphidium mauroi", "Scaphidium newtoni", "Scaphidium nigrotibiale", "Scaphidium nopillohuan", "Scaphidium ocelotl", "Scaphidium omemaculatum", "Scaphidium panamense", "Phoebis marcellina", "Scaphidium pech", "Scaphidium peckorum", "Cronobacter virus CR3", "Cronobacter virus CR8", "Cronobacter virus CR9", "Cronobacter virus GAP31", "Escherichia virus 4MG", "Salmonella virus SE1", "Salmonella virus SSE121", "Escherichia virus FFH2", "Escherichia virus FV3", "Escherichia virus JES2013", "Escherichia virus V5", "Bacillus virus Agate", "Bacillus virus Bobb", "Bacillus virus Bp8pC", "Calogaya mogoltanica", "Rhynchobatus laevis", "Scaphidium unicolor", "Scaphidium variabile", "Scaphidium lineaticolle", "Scaphidium transversale", "Panine alphaherpesvirus 3", "Axonopus compressus streak virus", "Scaphidium baezi", "Scaphidium brendelli", "Scaphidium costaricense", "Scaphidium flohri", "Scaphidium guanacaste", "Lactobacillus virus Lb338-1", "Staphylococcus virus G15", "Staphylococcus virus JD7", "Staphylococcus virus MCE2014", "Staphylococcus virus P108", "Staphylococcus virus S253", "Scaphidium guillermogonzalezi", "Staphylococcus virus SA12", "Scaphidium loebli", "Staphylococcus virus Remus", "Scaphidium macuilimaculatum", "Staphylococcus virus SA11", "Camissecla charichlorus", "Camissecla cleocha", "Gammapapillomavirus 21", "Gammapapillomavirus 22", "Gammapapillomavirus 23", "Gammapapillomavirus 24", "Gammapapillomavirus 25", "Gammapapillomavirus 26", "Malva cretica subsp. cretica", "Malva cretica subsp. althaeoides", "Hadena ligata", "Atriplex atacamensis", "Bacillus virus Grass", "Bacillus virus NIT1", "Bacillus virus SPG24", "Schinia cupes", "Bacillus virus Page", "Bacillus virus Palmer", "Bacillus virus Pascal", "Bacillus virus Pony", "Bacillus virus Pookie", "Heliothis cupes", "Atriplex barclayana", "Bacillus virus Slash", "Bacillus virus Stahl", "Bacillus virus Staley", "Bacillus virus Stills", "Atriplex boecheri", "Trichosellus cupes", "Atriplex braunii", "Atriplex buchananii", "Bacillus virus WPh", "Ball python nidovirus 1", "Atriplex chapinii", "Barbel circovirus", "Bat associated circovirus 1", "Bat associated circovirus 2", "Bat associated circovirus 3", "Canine circovirus", "Chimpanzee associated circovirus 1", "Pseudomonas virus Ab28", "Pseudomonas virus DL60", "Pseudomonas virus DL68", "Pseudomonas virus JG024", "Pseudomonas virus KPP12", "Abyssobrotula hadropercularis", "Stephania abyssinica var. tomentella", "Burkholderia virus KL1", "Pseudomonas virus 73", "Pseudomonas virus Ab26", "Pseudomonas virus Kakheti25", "Caladenia virus A", "Calycopis ledaea", "Teucrium abutiloides", "Ptiliodes congener", "Austrolebias monstrosus", "Austrolebias patriciae", "Austrolebias vandenbergi", "Labidosa polyarcha", "Homona polyarcha", "Labidosa cerioschema", "Calogaya alaskensis", "Labidosa fontainei", "Labidosa spania", "Labidosa ochrostoma", "Cacoecia ochrostoma", "Archips ochrostoma", "Labidosa sogai", "Labidosa cyanombra", "Homona cyanombra", "Lozotaenia cyanombra", "Labidosa myriosema", "Homona myriosema", "Lozotaenia myriosema", "Labidosa symmetra", "Cacoecia symmetra", "Archips symmetra", "Labidosa angolana", "Abuta convexa", "Chalcophaps longirostris", "Mugilogobius sarasinorum", "Calycopis gentilla", "Mugilogobius rexi", "Mugilogobius lepidotus", "Basella alba alphaendornavirus 1", "Persea americana alphaendornavirus 1", "Sclerotinia sclerotiorum betaendornavirus 1", "Yerba mate alphaendornavirus", "Mugilogobius tigrinus", "Sericoris wilkinsoni", "Bonagota wilkinsoni", "Bat coronavirus CDPHE15", "Bat coronavirus HKU10", "Mink coronavirus 1", "Mugilogobius cavifrons", "Bat associated cyclovirus 5", "Bat associated cyclovirus 1", "Bat associated cyclovirus 2", "Bat associated cyclovirus 3", "Bat associated cyclovirus 4", "Bovine associated cyclovirus 1", "Dragonfly associated cyclovirus 5", "Human associated cyclovirus 8", "Human associated cyclovirus 4", "Human associated cyclovirus 9", "Human associated cyclovirus 7", "Human associated cyclovirus 3", "Goat associated cyclovirus 1", "Dragonfly associated cyclovirus 4", "Chimpanzee associated cyclovirus 1", "Dragonfly associated cyclovirus 6", "Human associated cyclovirus 10", "Human associated cyclovirus 5", "Human associated cyclovirus 6", "Dragonfly associated cyclovirus 1", "Dragonfly associated cyclovirus 3", "Chicken associated cyclovirus 1", "Dragonfly associated cyclovirus 7", "Human associated cyclovirus 1", "Human associated cyclovirus 2", "Dragonfly associated cyclovirus 2", "Dragonfly associated cyclovirus 8", "Cockroach associated cyclovirus 1", "Mugilogobius adeia", "Calogaya arnoldii", "Mugilogobius hitam", "Mugilogobius latifrons", "Calogaya arnoldiiconfusa", "Moenkhausia mutum", "Protocheirodon pi", "Narcine baliensis", "Melamphaes papavereus", "Melamphaes simus", "Melamphaes hubbsi", "Northiella narethae", "Amblyeleotris memnonia", "Stephania abyssinica", "Black medic leaf roll virus", "Pea yellow stunt virus", "Blackberry vein banding-associated virus", "Blueberry mosaic associated ophiovirus", "European catfish circovirus", "Human associated circovirus 1", "Mink circovirus", "Raven circovirus", "Zebra finch circovirus", "Trichosellus navarra", "Atriplex chenopodioides", "Schinia navarra", "Atriplex chilensis", "Schinia crotchii", "Heliothis crotchii", "Atriplex chizae", "Schinia deserticola", "Atriplex clivicola", "Schinia cupes cupes", "Schinia cupes deserticola", "Atriplex colerei", "Trichosellus cupes cupes", "Atriplex coquimbana", "Trichosellus cupes deserticola", "Atriplex cordobensis", "Abuta grandifolia", "Atriplex coriacea", "Atriplex costellata", "Haemateulia galenia", "Mugilogobius flavomaculatus", "Peronea crocoptycha", "Atriplex crenatifolia", "Acleris crocoptycha", "Eulia crocoptycha", "Mugilogobius mertoni", "Blueberry virus A", "Adoxophyes vitilevu", "Adoxophyes niuvudi", "Botrytis porri botybirnavirus 1", "Dichelopa achranta", "Dichelopa argoschista", "Dichelopa argosphena", "Dichelopa castanopis", "Dichelopa ceramocausta", "Dichelopa choleranthes", "Dichelopa cirrhodoris", "Dichelopa deltozancla", "Dichelopa dryomorpha", "Dichelopa exulcerata", "Dichelopa fulvistrigata", "Trachinocephalus gauguini", "Dichelopa harmodes", "Dichelopa honoranda", "Dichelopa iochorda", "Dichelopa loricata", "Dichelopa orthiostyla", "Dichelopa pachydmeta", "Dichelopa peropaca", "Cacao swollen shoot CD virus", "Cacao swollen shoot Togo A virus", "Grapevine Roditis leaf discoloration-associated virus", "Sugarcane bacilliform Guadeloupe A virus", "Sugarcane bacilliform Guadeloupe D virus", "Atriplex crispa", "Atriplex domingensis", "Cafeteriavirus-dependent mavirus", "Xenaploactis asperrima", "Mimivirus-dependent virus Sputnik", "Mimivirus-dependent virus Zamilon", "Atriplex cyclostegia", "Xenaploactis anopta", "Xenaploactis cautes", "Atriplex deserticola", "Calycopis gizela", "Bathyaploactis curtisensis", "Calycopis hosmeri", "Dichelia panoplana", "Dichelopa heterozyga", "Lamyrodes molybdospora", "Dichelopa phalaranthes phalaranthes", "Dichelopa phalaranthes aporrhegma", "Dichelopa sciota", "Tortrix scotia", "Atriscripta strigata", "Argyroploce arthimetica", "Atriscripta decorigera", "Strepsicrates decorigera", "Helictophanes saccifera", "Loboschiza oxybela", "Epinotia prepuncus", "Daedaluncus fijiensis", "Coenobiodes vitiae", "Tritopterna rakiraki", "Spilonota oligospina", "Strepsicrates rotundata", "Eccoptocera platamon", "Herpystis sunia", "Herpystis spinoa", "Cryptophlebia ferrugulla", "Eviota erdmanni", "Eviota saipanensis", "Calogaya persica", "Calogaya polycarpoides", "Cyclea hypoglauca", "Atriplex hystrix", "Ernophthora iospila", "Atriplex imbricata", "Ernophthora lechriogramma", "Atriplex glaucescens", "Capraria yellow spot virus", "Chenopodium leaf curl virus", "Clerodendrum golden mosaic China virus", "Clerodendron yellow mosaic virus", "Corchorus yellow vein mosaic virus", "Cassava mosaic Madagascar virus", "Catharanthus yellow mosaic virus", "Chilli leaf curl India virus", "Chilli leaf curl Kanpur virus", "Chilli leaf curl Vellanad virus", "Clerodendrum golden mosaic Jiangsu virus", "Cotton chlorotic spot virus", "Crassocephalum yellow vein virus", "Emilia yellow vein virus", "French bean leaf curl virus", "Hedyotis uncinella yellow mosaic virus", "Hemidesmus yellow mosaic virus", "Calogaya biatorina", "Bathyaploactis ornatissima", "Calycopis indigo", "Matsubarichthys inusitatus", "Calycopis johnsoni", "Calogaya decipiens", "Stephania abyssinica var. abyssinica", "Atriplex erigavoensis", "Atriplex erosa", "Calogaya ferrugineoides", "Atriplex eximia", "Atriplex farinosa", "Argentina anserina", "Argentina anserina subsp. groenlandica", "Atriplex frankenioides", "Atriplex frigida", "Calogaya lobulata", "Atriplex glauca", "Jatropha leaf curl virus", "Jatropha mosaic Nigeria virus", "Jatropha mosaic virus", "Jatropha yellow mosaic virus", "Malvastrum leaf curl Philippines virus", "Mesta yellow vein mosaic Bahraich virus", "Pepper yellow leaf curl virus", "Pouzolzia golden mosaic virus", "Pouzolzia mosaic Guangdong virus", "Sauropus leaf curl virus", "Sida golden mosaic Brazil virus", "Sweet potato leaf curl Henan virus", "Premna leaf curl virus", "Rhynchosia yellow mosaic India virus", "Sida ciliaris golden mosaic virus", "Sweet potato leaf curl Sichuan virus 2", "Sida yellow leaf curl virus", "Sida common mosaic virus", "Soybean chlorotic blotch virus", "Tobacco leaf curl Comoros virus", "Sunn hemp leaf distortion virus", "Sida golden mosaic Lara virus", "Sidastrum golden leaf spot virus", "Tomato bright yellow mottle virus", "Velvet bean severe mosaic virus", "Tomato interveinal chlorosis virus", "Tomato leaf curl Rajasthan virus", "Vigna yellow mosaic virus", "Sweet potato leaf curl Sichuan virus 1", "Spinach yellow vein virus", "Tomato bright yellow mosaic virus", "Tomato leaf curl Sulawesi virus", "Tomato leaf curl New Delhi virus 2", "Tomato leaf curl Patna virus", "Tomato golden leaf distortion virus", "Megachasma alisonae", "Tomato leaf curl Palampur virus", "Tomato leaf curl New Delhi virus 4", "Tomato leaf curl Liwa virus", "Atriplex jubata", "Ernophthora denticornis", "Atriplex julacea", "Aspithra denticornis", "Ernophthora dryinandra", "Aspithra dryinandra", "Diplodus levantinus", "Dichelopa phalaranthes", "Dichelopa porphyrophanes", "Dichelopa praestrigata", "Dichelopa pyrsogramma", "Dichelopa sabulosa", "Dichelopa sericopis", "Dichelopa tarsodes", "Dichelopa amorpha", "Trachinocephalus trachinus", "Dichelopa anthracodelta", "Dichelopa argema", "Dichelopa argyrospiloides", "Dichelopa canitia", "Dichelopa chionogramma", "Dichelopa dendrophila", "Bathyraja pacifica", "Dichelopa dorsata", "Dichelopa flexura", "Dichelopa gnoma", "Oreonectes shuilongensis", "Dichelopa hadrotes", "Dichelopa lupicinia", "Dichelopa meligma", "Dichelopa messalina", "Dichelopa myopori", "Dichelopa ochroma", "Dichelopa paragnoma", "Teleocichla preta", "Dichelopa platyxantha", "Dichelopa pulcheria", "Dichelopa rhodographa", "Dichelopa vaccinii", "Dichelopa zona", "Dichelopa dichroa", "Lamyrodes stenozona", "Dichelopa panoplana", "Cynoglossus nanhaiensis", "Diplodus cadenati", "Atriplex leuca", "Diplodus lineatus", "Atriplex linifolia", "Carrot torradovirus 1", "Motherwort yellow mottle virus", "Austrolebias vazferreirai", "Ernophthora aphanoptera", "Ernophthora palassoptera", "Ernophthora maculicostella", "Aspithra maculicostella", "Ernophthora chrysura", "Atriplex muricata", "Greenwoodella tockensis", "Calogaya pusilla", "Elopopsis fenxli", "Pachyrhizodus basalis", "Atriplex myriophylla", "Pachyrhizodus caninus", "Pachyrhizodus kingi", "Pachyrhizodus latimentum", "Moodna antilleana", "Pachyrhizodus subulidens", "Pachyrhizodus dibleyi", "Cyclommatus metallifer", "Atriplex nilotica", "Platanthera huronensis", "Pachyrhizodus minimus", "Atriplex nitrophiloides", "Aspithra chrysura", "Atriplex lithophila", "Atriplex madariagae", "Zamagiria exedra", "Catharanthus mosaic virus", "Donkey orchid virus A", "Sunflower mild mosaic virus", "Tamarillo leaf malformation virus", "Vanilla distortion mosaic virus", "Amia godai", "Atriplex malvana", "Annaichthys pontegiurinensis", "Chararica circiimperfecta", "Atriplex mendozaensis", "Atriplex mollis", "Apricenapiscis depotteri", "Aptunga setadebilia", "Aptunga vega", "Atriplex montevidensis", "Aptunga culmenicola", "Cedar henipavirus", "Ghanaian bat henipavirus", "Mojiang henipavirus", "Caudellia pilosa", "Varneria albiornatella", "Atriplex nogalensis", "Ozamia plagata", "Calogaya saxicola", "Pachyrhizodus marathonensis", "Atriplex oestophora", "Dioryctria postmajorella", "Dioryctria dominguensis", "Dasypyga independencia", "Atriplex oreophila", "Lascelina pedernalensis", "Zamagiria rawlinsi", "Caristanius tripartitus", "Caristanius minimus", "Pachyrhizodus salmoneus", "Pachyrhizodus megalops", "Pachyrhizodus magnus", "Calogaya schistidii", "Cellulophaga virus Cba41", "Cellulophaga virus Cba172", "Cyclea ochiaiana", "Costomedes gazelle", "Costomedes gressitti", "Costomedes heissi", "Costomedes hirsutus", "Costomedes karimui", "Costomedes morobensis", "Costomedes karimui karimui", "Costomedes karimui eliptamin", "Costomedes sedlaceki", "Costomedes solomonensis", "Atriplex tornabenei", "Costomedes toxopeusi", "Escherichia virus ECML4", "Salmonella virus Det7", "Salmonella virus Marshall", "Salmonella virus Maynard", "Salmonella virus SJ2", "Salmonella virus SJ3", "Salmonella virus STML131", "Donkey orchid symptomless virus", "Drakaea virus A", "Gentian ovary ringspot virus", "Cellulophaga virus Cba121", "Cellulophaga virus Cba171", "Cellulophaga virus Cba181", "Acrotrichis solomonica", "Cellulophaga virus ST", "Acrotrichis zelotypa", "Chrysodeixis includens nucleopolyhedrovirus", "Sucra jujuba nucleopolyhedrovirus", "Salmonella virus L13", "Salmonella virus LSPA1", "Salmonella virus AG11", "Salmonella virus SETP7", "Salmonella virus SETP13", "Salmonella virus SP101", "Escherichia virus K1G", "Escherichia virus K1H", "Escherichia virus K1ind1", "Escherichia virus K1ind2", "Salmonella virus SP31", "Enterobacter virus F20", "Klebsiella virus 1513", "Klebsiella virus KP36", "Cronobacter virus Esp2949-1", "Escherichia virus AHP42", "Escherichia virus AHS24", "Escherichia virus AKS96", "Escherichia virus E41c", "Escherichia virus Eb49", "Escherichia virus Jk06", "Escherichia virus KP26", "Escherichia virus Rogue1", "Escherichia virus ACGM12", "Escherichia virus Rtp", "Escherichia virus ADB2", "Shigella virus PSf2", "Citrobacter virus Stevie", "Escherichia virus TLS", "Salmonella virus SP126", "Teucrium heterophyllum", "Balboa variabilis", "Longinischus ornatus", "Atriplex pamparum", "Cateremna halmophila", "Assara halmophila", "Atriplex patagonica", "Atriplex perrieri", "Cateremna decipula", "Assara decipula", "Atriplex peruviana", "Atriplex philippica", "Atriplex philippii", "Atriplex plebeja", "Atriplex prosopidum", "Atriplex pueblensis", "Atriplex quixadensis", "Atriplex recurva", "Coffee ringspot dichorhavirus", "Atriplex repanda", "Atriplex reptans", "Samoilovia taisia", "Atriplex rotundifolia", "Atriplex rusbyi", "Ceroprepes almella", "Atriplex sagittifolia", "Atriplex sagittiformis", "Squalus lobularis", "Squalus bahiensis", "Squalus quasimodo", "Atriplex socotrana", "Common moorhen coronavirus HKU21", "Night heron coronavirus HKU19", "White-eye coronavirus HKU16", "Wigeon coronavirus HKU20", "Squalus albicaudus", "Atriplex sorianoi", "Cordyline virus 2", "Cordyline virus 3", "Cordyline virus 4", "Cerothallia luteoalba", "Lemonias axenus", "Ematurgina acervata", "Erinnyis ello granulovirus", "Spodoptera frugiperda granulovirus", "Oxyropsis ephippia", "Atriplex spegazzinii", "Atriplex taltalensis", "Atriplex tampicensis", "Atriplex valdesii", "Atriplex vallenarensis", "Axelrodichthys maiseyi", "Atriplex vestita", "DeBrazza monkey arterivirus", "African pouched rat arterivirus", "Kibale red colobus virus 1", "Kibale red colobus virus 2", "Kibale red-tailed guenon virus 1", "Mikumi yellow baboon virus 1", "Pebjah virus", "Porcine reproductive and respiratory syndrome virus 2", "Simian hemorrhagic encephalitis virus", "Wobbly possum disease virus", "Atriplex vulgatissima", "Cerothallia yorkensis", "Atriplex zahlensis", "Atriplex arazdajanica", "Costomedes cheesmanae", "Costomedes fakfakensis", "Carposina brevinotata", "Carposina longignathosa", "Carposina gagneorum", "Carposina urbanae", "Duck aviadenovirus B", "Pigeon aviadenovirus A", "Turkey aviadenovirus C", "Turkey aviadenovirus D", "Dyochipapillomavirus 1", "Dyoomegapapillomavirus 1", "Cubiceps pauciradiatus", "Belemnocerca prolata", "Laugia groenlandica", "Belone countermani", "Benthosema pluridens", "Cerothallia subluteoalba", "Elapid 1 orthobornavirus", "Psittaciform 2 orthobornavirus", "Enterobacteria virus SV14", "Escherichia virus RB16", "Escherichia virus RB32", "Escherichia virus RB43", "Pseudomonas virus 42", "Vibrio virus ValKK3", "Escherichia virus AR1", "Escherichia virus C40", "Escherichia virus E112", "Escherichia virus ECML134", "Escherichia virus Ime09", "Escherichia virus RB3", "Shigella virus Pss1", "Shigella virus Shfl2", "Yersinia virus D1", "Yersinia virus PST", "Escherichia virus CC31", "Enterobacter virus PG7", "Escherichia virus Bp7", "Escherichia virus IME08", "Escherichia virus JS10", "Escherichia virus VR5", "Escherichia virus HX01", "Escherichia virus JS09", "Shigella virus UTAM", "Salmonella virus S16", "Salmonella virus STML198", "Escherichia virus VR7", "Escherichia virus VR20", "Escherichia virus VR25", "Escherichia virus VR26", "Shigella virus SP18", "Halichoeres gurrobyi", "Ematurgina ochrophlegma f. distincta", "Emartugina ochrophlegma f. dissimilis", "Anolis apletolepis", "Anolis gonavensis", "Anolis chlorodius", "Anolis viridius", "Anolis leucodera", "Anolis divius", "Anolis eladioi", "Escherichia virus AYO145A", "Escherichia virus EC6", "Escherichia virus JH2", "Escherichia virus VpaE1", "Salmonella virus HB2014", "Salmonella virus Mushroom", "Dyophipapillomavirus 1", "Dyopsipapillomavirus 1", "Dyotaupapillomavirus 1", "Dyoupsilonpapillomavirus 1", "Treisdeltapapillomavirus 1", "Treisepsilonpapillomavirus 1", "Treisetapapillomavirus 1", "Treiszetapapillomavirus 1", "Bagre protocaribbeanus", "Cantarius nolfi", "Cathorops goeldii", "Sobralia liliastrum", "Bathygadus mandorovensis", "Foa obesa", "Secutor africanus", "Cepola fritinnans", "Caffrogobius tutus", "Callogobius weileri", "Lesueurigobius ewonguensis", "Salmonella virus UAB87", "Klebsiella virus F19", "Klebsiella virus K244", "Klebsiella virus KP34", "Klebsiella virus SU503", "Klebsiella virus SU552A", "Cerothallia yarraensis", "Obesoceras glaseri", "Obesoceras kasyi", "Corybas fornicatus", "Corybas incurvus", "Corybas pictus", "Corybas recurvus", "Cissampelos perrieri", "Escherichia virus 9g", "Escherichia virus JenK1", "Escherichia virus JenP1", "Escherichia virus JenP2", "Croomia pauciflora", "Halocnemum cruciatum", "Psilorhynchus tysoni", "Escherichia virus DT57C", "Escherichia virus FFH1", "Salmonella virus Shivani", "Salmonella virus Stitch", "Escherichia virus APEC5", "Escherichia virus APEC7", "Escherichia virus Bp4", "Escherichia virus EC1UPM", "Escherichia virus ECBP1", "Escherichia virus G7C", "Escherichia virus IME11", "Shigella virus Sb1", "Lithocolletis urticicolella", "Phyllonorycter urticicolella", "Anolis pecuarius", "Anolis peynadoi", "Coptotriche aenea", "Escherichia virus Cajan", "Escherichia virus Seurat", "Escherichia virus CVM10", "Escherichia virus ep3", "Escherichia virus ECB2", "Escherichia virus NJ01", "Escherichia virus Septima11", "Escherichia virus SU10", "Cynodonichthys tenuis", "Novzelorryia deserta", "Ueckermannia grewiae", "Pretydeus curiosa", "Pretydeus doddsi", "Anolis prasinorius", "Anolis cyanostictus", "Anolis demissus", "Squatina david", "Coptotriche symplocosella", "Tischeria kumatai", "Flavoplaca arcis", "Arthrocaulon franzii", "Flavoplaca arcisproxima", "Fathead minnow nidovirus 1", "Feline morbillivirus", "Boreiohydrias dayi", "Bregmaceros deklaszi", "Tischeria discreta", "High Plains wheat mosaic emaravirus", "Flavoplaca citrina", "Kalidium cuspidatum var. sinicum", "Pretydeus hondurensis", "Aristolochia steupii", "Pretydeus lwiroensis", "Anolis wilsoni", "Flavoplaca austrocitrina", "Flavoplaca calcitrapa", "Gaillardia latent virus", "Bregmaceros albyi", "Gairo mammarenavirus", "Mariental mammarenavirus", "Okahandja mammarenavirus", "Wenzhou mammarenavirus", "Bregmaceros filamentosus", "Frangula azorica", "Bregmaceros carpathicus", "Haloarcula virus HHPV2", "Bregmaceros felkeri", "Halorubrum virus HRPV2", "Haloarcula virus His2", "Bregmaceros troelli", "Bregmaceros minimus", "Americovibone remota", "Tischeria mediostriata", "Tischeria admirabilis", "Tischeria lucida", "Hedgehog coronavirus 1", "Tischeria distincta", "Tischeria subnubila", "Tischeria simulata", "Microcnemum coralloides subsp. anatolicum", "Anolis mccraniei", "Pretydeus panitae", "Pretydeus marcandrei", "Pretydeus floridensis", "Pretydeus indonesiensis", "Lake Sinai virus 1", "Lake Sinai virus 2", "Limnipivirus A", "Limnipivirus B", "Limnipivirus C", "Xincheng anphevirus", "Lishi arlivirus", "Tacheng chengtivirus", "Wenzhou crustavirus", "Sanxia wastrivirus", "Quasitydeus ricensis", "Flavoplaca communis", "Tischeria consanguinea", "Coptotriche agrimoniella", "Tischeria agrimoniella", "Coptotriche splendida", "Flavoplaca coronata", "Tischeria splendida", "Coptotriche insolita", "Tischeria insolita", "Coptotriche confusa", "Tischeria confusa", "Coptotriche inexpectata", "Tischeria inexpectata", "Coptotriche amelanchieris", "Tischeria amelanchieris", "Macrobrachium satellite virus 1", "Sisymbrium malatyanum", "Tobacco albetovirus 1", "Tobacco albetovirus 2", "Tobacco albetovirus 3", "Maize aumaivirus 1", "Bitis harenna", "Mesonivirus 1", "Mesonivirus 2", "Bothrops sazimai", "Mulberry mosaic leaf roll associated virus", "Tischeria arizonica", "Tischeria castaneaeella", "Coptotriche crataegifoliae", "Tischeria crataegifoliae", "Cordylus namakuiyus", "Erucastrum supinum", "Cylindrophis subocularis", "Flavoplaca cranfieldii", "Smithiella marina", "Flavoplaca dichroa", "Flavoplaca flavocitrina", "Bregmaceros minutus", "Calycopis matho", "Flavoplaca confusa", "Bregmaceros antiquus", "Bregmaceros brihandensis", "Calycopis mimas", "Bregmaceros catulus", "Bregmaceros oblongus", "Calycopis naka", "Bregmaceros prosoponos", "Bregmaceros hybridus", "Bregmaceros luellingensis", "Listeria virus LP26", "Listeria virus LP37", "Listeria virus LP110", "Listeria virus LP114", "Listeria virus P70", "Listeria virus LP302", "Listeria virus PSA", "Roundleaf bat hepatitis B virus", "Tent-making bat hepatitis B virus", "Calycopis orcillula", "Chatrabus weileri", "Saccogaster batanga", "Pomadasys incisus", "Flavoplaca geleverjae", "Calycopis orcilla", "Idiolychnus urolampus", "Flavoplaca granulosa", "Myrmecina magnificens", "Microtrichis pectana", "Aichryson dumosum", "Aichryson bollei", "Dypsis robusta", "Tinea cochylidella", "Tinea infimella", "Obesoceras egregiellum", "Obesoceras subtile", "Mycobacterium virus Ff47", "Mycobacterium virus Muddy", "Episcardia splendens", "Episcardia paghmanella", "Paratinea trimaculata", "Paratinea nana", "Pseudomonas virus KPP10", "Pseudomonas virus PAKP3", "Sisymbrium hispanicum", "Flavoplaca kantvilasii", "Flavoplaca limonia", "Pseudomonas virus Ab03", "Flavoplaca oasis", "Calycopis origo", "Flavoplaca ora", "Sisymbrium polymorphum", "Cynodonichthys fuscolineatus", "Sisymbrium reboudianum", "Sisymbrium runcinatum", "Cynodonichthys glaucus", "Sisymbrium subspinescens", "Sisymbrium yunnanense", "Cynodonichthys rubripunctatus", "Cynodonichthys siegfriedi", "Coccalicus clavamomen", "Cyrtodactylus gunungsenyumensis", "Cynodonichthys uroflammeus", "Carnevalella impropria", "Sisymbrium chrysanthum", "Sisymbrium burchellii var. dinteri", "Sisymbrium burchellii var. burchellii", "Neoapolorryia kristinae", "Flavoplaca havaasii", "Paenibacillus virus Diva", "Paenibacillus virus Hb10c2", "Paenibacillus virus Rani", "Paenibacillus virus Shelly", "Paenibacillus virus Sitara", "Panicum papanivirus 1", "Piscine orthoreovirus", "Porcine respirovirus 1", "Cyrtodactylus bansocensis", "Potamipivirus A", "Sisymbrium isatidifolium", "Sisymbrium brassiciforme", "Sisymbrium burchellii", "Sisymbrium capense", "Sisymbrium cavanillesianum", "Sisymbrium damascenum", "Sisymbrium dissitiflorum", "Potato virus H", "Sisymbrium elatum", "Sisymbrium erucastrifolium", "Sisymbrium gamosepalum", "Prunus virus T", "Sisymbrium gaubae", "Tydeus maculatus", "Sisymbrium heteromallum", "Sisymbrium integerrimum", "Sisymbrium macroloma", "Sisymbrium lasiocalyx", "Calotydeus striatus", "Sisymbrium maurum", "Flavoplaca microthallina", "Carnevalella tmutarakanica", "Ceratoscopelus priscus", "Reptile sunshinevirus 1", "Rhizobium virus RHEph4", "Cynodonichthys frommi", "Cynodonichthys kuelpmanni", "Cynodonichthys weberi", "Cynodonichthys pacificus", "Pseudomonas virus Ab09", "Pseudomonas virus LIT1", "Pseudomonas virus PA26", "Pseudomonas virus Ab22", "Pseudomonas virus CHU", "Pseudomonas virus PAA2", "Pseudomonas virus PaP4", "Pseudomonas virus TL", "Pseudomonas virus CAb1", "Flavoplaca marina", "Pseudomonas virus CAb02", "Pseudomonas virus JG004", "Pseudomonas virus PAKP1", "Pseudomonas virus PAKP4", "Pseudomonas virus PaP1", "Stenipedis quadrisetosus", "Flavoplaca maritima", "Tydeus lundqvisti", "Flavoplaca mereschkowskiana", "Sugarcane white streak virus", "Switchgrass mosaic-associated virus", "Crystallias matsushimae", "Tobacco virtovirus 1", "Myriopleura furfurosa", "Odites glaphyra", "Vibrio natriegens", "Gymnogobius opperiens", "Staphylococcus virus SEP9", "Staphylococcus virus Sextaec", "Flavoplaca tavaresiana", "Calycopis tifla", "Calycopis torqueor", "Scythropiodes aculeiformus", "Scythropiodes dorsoprocessus", "Scythropiodes asymmetricus", "Salicornia hispanica", "Scythropiodes taedus", "Scythropiodes issikii", "Bulbophyllum membranaceum", "Odites plocamopa", "Odites perissopis", "Sclerotinia sclerotimonavirus", "Simian mastadenovirus B", "Simian mastadenovirus C", "Salicornia pruinosa", "Southern rice black-streaked dwarf virus", "Odites balanospila", "Odites analogica", "Odites anisocarpa", "Odites actuosa", "Odites agraula", "Salicornia lagascae", "Odites aspasta", "Odites atmopa", "Odites atonopa", "Odites haplogramma", "Flavoplaca navasiana", "Flavoplaca nigromarina", "Aichryson villosum", "Cyrtodactylus klakahensis", "Cyrtodactylus phetchaburiensis", "Cyrtodactylus rufford", "Actidium aegypti", "Diplodactylus ameyi", "Actidium interpolatum", "Ptilium concolor", "Scythropiodes hamatellus", "Scythropiodes elasmatus", "Scythropiodes oncinius", "Salicornia alpini subsp. carinata", "Scythropiodes jiulianae", "Scythropiodes barbellatus", "Scythropiodes gnophus", "Scythropiodes triangulus", "Scythropiodes malivora", "Odites malivora", "Salmonella virus 9NA", "Salmonella virus SP069", "Odites xenophaea", "Flavoplaca lutea", "Calycopis trebula", "Calycopis vesulus", "Calycopis vibulina", "Calycopis vidulus", "Cyclea polypetala", "Cyclea varians", "Vibrio virus MAR", "Vibrio virus VHML", "Vibrio virus VP585", "Vibrio virus MAR10", "Vibrio virus SSP002", "Vibrio virus VC8", "Vibrio virus VP2", "Vibrio virus VP5", "Yam spherical virus", "Yam virus X", "Yersinia virus R1RT", "Yersinia virus TG1", "Schizopyrenus russelli", "Odites gomphias", "Odites haplonoma", "Odites hemipercna", "Odites heptasticta", "Odites hermatica", "Odites holocitra", "Odites holotorna", "Odites incallida", "Odites isocentra", "Calycopis petaurister", "Eviota lateritea", "Eviota maculibotella", "Eviota singula", "Calycopis pisis", "Panaqolus claustellifer", "Calycopis plumans", "Calycopis puppius", "Calycopis spadectis", "Odites brachyclista", "Odites cataxantha", "Odites choricopa", "Calycopis suda", "Odites circiformis", "Odites citrantha", "Odites consecrata", "Odites continua", "Calycopis talama", "Odites crossophanta", "Odites diopta", "Odites encarsia", "Odites eriopa", "Calycopis tamos", "Odites euphema", "Odites fruticosa", "Odites furfurosa", "Flavoplaca polycarpa", "Salicornia natalensis subsp. affinis", "Diploderma iadinum", "Diploderma laeviventre", "Lorryia superba", "Tecticornia uniflora", "Tecticornia indefessa", "Tecticornia annelida", "Tecticornia arborea", "Tecticornia auriculata", "Tecticornia australasica", "Tecticornia bibenda", "Tecticornia bulbosa", "Tecticornia calyptrata", "Tecticornia chartacea", "Tecticornia cupuliformis", "Parahiranetis salgadoi", "Tecticornia cymbiformis", "Artabanus bilobiceps", "Trichopteryx filiformis", "Hygrophila auriculata", "Salicornia perennans subsp. altaica", "Parvoplaca tiroliensis", "Paralorryia bipilis", "Paralorryia formosa", "Salicornia procumbens subsp. procumbens", "Salicornia europaea subsp. \u00d7 marshallii", "Salicornia perennans", "Caladenia atrovespa", "Orientophila loekoesii", "Patula asperipunctella", "Wockia magna", "Genoplesium fimbriatum", "Tecticornia disarticulata", "Tecticornia doleiformis", "Tecticornia entrichoma", "Tecticornia fimbriata", "Tecticornia flabelliformis", "Gondwania cribrosa", "Tecticornia fontinalis", "Tecticornia globulifera", "Tecticornia halocnemoides", "Cocculus orbiculatus var. mollis", "Gondwania regalis", "Tecticornia laevigata", "Tecticornia lepidosperma", "Tecticornia leptoclada", "Tecticornia loriae", "Prasophyllum macrostachyum", "Prasophyllum gracile", "Tecticornia medullosa", "Prasophyllum australe", "Tecticornia medusa", "Tecticornia mellaria", "Prasophyllum elatum", "Tecticornia moniliformis", "Gondwania sejongensis", "Cyclea laxiflora", "Stephania capitata", "Tecticornia nitida", "Gondwania sublobulata", "Tecticornia papillata", "Tecticornia peltata", "Diplonema ambulator", "Diplonema breviciliata", "Cyclea barbata", "Telipogon diabolicus", "Rhynchopus amitus", "Caladenia congesta", "Rhynchopus coscinodiscivorus", "Rhynchopus littoralensis", "Calycopis vitruvia", "Medetera albens", "Medetera bisetifera", "Medetera flava", "Medetera ganshuiensis", "Medetera lihuae", "Medetera shiae", "Medetera shuimogouensis", "Medetera transformata", "Medetera triseta", "Medetera xiquegouensis", "Genoplesium acuminatum", "Genoplesium archeri", "Genoplesium brachystachyum", "Bulbophyllum fissipetalum", "Genoplesium calopterum", "Genoplesium despectans", "Genoplesium eriochilum", "Rufoplaca scotoplaca", "Genoplesium filiforme", "Genoplesium morrisii", "Genoplesium nudiscapum", "Stephania brevipes", "Rufoplaca subpallida", "Montonella macrobrachii", "Stephania oblata", "Acrasida incertae sedis", "Rosculus macrobrachii", "Myrmica latra", "Anthidiellum irwini", "Anthidiellum schlingeri", "Anthidiellum scutellatum", "Anthidiellum yunnanense", "Stephanopogon colpoda", "Percolomonas cosmopolitus", "Percolomonas cuspidata", "Exocelina ransikiensis", "Odites agatopella", "Dactylorhiza majalis", "Theope fayneli fayneli", "Theope fayneli minimus", "Hypostomus leucophaeus", "Hisonotus thayeri", "Rufoplaca tristiuscula", "Papilio ganimedes", "Neonaudea gossypii", "Neolorryia boycei", "Verulux solmaculata", "Theretra rothschildi", "Xylophanes rothschildi rothschildi", "Salicornia procumbens subsp. freitagii", "Brachytydeus formosus", "Xylophanes rothschildi fassli", "Xylophanes rothschildi bilineata", "Salicornia procumbens subsp. pojarkovae", "Salicornia procumbens subsp. heterantha", "Cynodonichthys birkhahni", "Caloplaca subscopularis", "Cynodonichthys boehlkei", "Genoplesium nigricans", "Cynodonichthys brunneus", "Cynodonichthys chucunaque", "Cynodonichthys godmani", "Genoplesium baueri", "Parvoplaca athallina", "Parvoplaca servitiana", "Cyclea atjehensis", "Parvoplaca suspiciosa", "Calycopis wolfii", "Calkinsia aureus", "Aurotalis argyrastis", "Aurotalis nigrisquamalis", "Pseudococytius beelzebuth", "Verulux cypselurus", "Pachygonidia odile", "Thivolleo rubritactalis", "Mecyna albalis", "Mecyna andalusica", "Mecyna babalis", "Mecyna bandiamiralis", "Mecyna grisealis", "Mecyna indistinctalis", "Mecyna marioni", "Mecyna salangalis", "Mecyna sefidalis", "Ptilium flavoterminum", "Crassula decumbens", "Tecticornia pluriflora", "Tecticornia pruinosa", "Myriopleura isocentra", "Tecticornia sparagosa", "Tecticornia syncarpa", "Protobathra leucostola", "Odites lividula", "Odites matura", "Odites metaclista", "Odites navigatrix", "Tecticornia triandra", "Xylorycta navigatrix", "Odites notocapna", "Odites oligectis", "Odites orthometra", "Odites pancyclia", "Tecticornia undulata", "Xylorycta paracyrta", "Odites pelochrosta", "Odites microbolista", "Tecticornia verrucosa", "Odites practoria", "Odites pragmatias", "Odites procellosa", "Odites prosedra", "Odites repetita", "Odites semisepta", "Odites siccinervis", "Odites sphenidias", "Odites periscias", "Odites sucinea", "Haloplaca britannica", "Salicornia rubra", "Haloplaca sorediella", "Odites typota", "Odites velipotens", "Haloplaca suaedae", "Wockia asperipunctella", "Salicornia europaea subsp. europaea", "Salicornia pusilla", "Wockia funebrella", "Salicornia europaea subsp. disarticulata", "Sirenophila cliffwetmorei", "Sirenophila eos", "Genoplesium parvicallum", "Genoplesium plumosum", "Genoplesium rufum", "Genoplesium sagittiferum", "Genoplesium woollsii", "Genoplesium alticola", "Genoplesium anthracinum", "Genoplesium apostasioides", "Genoplesium arrectum", "Genoplesium bishopii", "Leucochimona aequatorialis", "Leucochimona iphias", "Afrotydeus smileyi", "Jakoba libera", "Afrotydeus zairensis", "Malawimonas jakobiformis", "Afrotydeus flabelliferus", "Scutaria andina", "Tydeus kochi", "Zamarada shoa", "Zamarada decrepita", "Tydeus munsteri", "Salvelinus malma malma", "Pronematus pruni", "Salvelinus malma anaktavukensis", "Rufoplaca arenaria", "Salvelinus malma lordii", "Salvelinus malma miyabei", "Protrichomonas legeri", "Whiteia oishii", "Monocercomonas molae", "Monocercomonas motellae", "Rufoplaca germanica", "Rufoplaca oxfordensis", "Sirenophila tomareeana", "Robinsonia grotei", "Triophtydeus stonei", "Triophtydeus korsmeiri", "Aurotalis dionisa", "Catasticta amastris jimbura", "Zerynthia polyxena caucasiae", "Trimastix marina", "Cautethia noctuiformis", "Cautethia noctuiformis noctuiformis", "Cautethia noctuiformis choveti", "Krantzlorryia grewia", "Chilomastix bocis", "Chilomastix motellae", "Xanthorhoe nyassa", "Trimitus motellae", "Metatriophtydeus lebruni", "Triophtydeus triophthalmus", "Triophtydeus lebruni", "Hyposidra afonini", "Metatydaeolus longistriatus", "Nepheloleuca peruviana", "Brachytydeus artichokei", "Miantochora siniaevi", "Tydeus grabouwi", "Geolyces ruandalta", "Rhinogobius duospilus", "Pero muzoides", "Paraplesiops bleekeri", "Paraplesiops sinclairi", "Paraplesiops alisonae", "Paraplesiops poweri", "Paraplesiops jolliffei", "Aichryson pachycaulon", "Aichryson parlatorei", "Sinobatis brevicauda", "Celmia conoveria", "Squamulea subsoluta", "Angarichthys hyperboreus", "Tydeus zempoalensis", "Triophtydeus mildredae", "Stephania dictyoneura", "Sclerophrys capensis", "Sclerophrys channingi", "Stephania venosa", "Evius lobata", "Stephania reticulata", "Parevia lobata", "Demolis flavithorax", "Tydeus popocatepetlensis", "Sirenophila gintarasii", "Premolis gabrieli", "Rhynchorhina mauritaniensis", "Premolis semirufa", "Brachytydeus chapultepecensis", "Premolis amaryllis", "Premolis schausi", "Hypselobarbus keralaensis", "Parathyris cedonulli", "Stephania zippeliana", "Calycopis strobilata", "Calycopis auria", "Squamulea galactophylla", "Agoultichthys chattertoni", "Stephania elegans", "Celmia anastomosis", "Squamulea kiamae", "Sclerophrys pusilla", "Amorphophallus kienluongensis", "Euphyia carneoviridis", "Anarmodia nebulosalis", "Anarmodia pallidicostalis", "Anarmodia perfulvalis", "Anarmodia remotalis", "Apicia lepida", "Cabera carnea", "Eois canariata", "Carpella sublineata", "Desmia semivacualis", "Desmia validalis", "Emplocia fleximargo", "Devarodes amoena", "Devarodes suppressa", "Ellopia ordinata", "Glyphodes contactalis", "Glyphodes decapitalis", "Glyphodes semaphoralis", "Glyphodes violescens", "Graphidipus subpisciata", "Heterusia rufifimbria", "Heterusia triflavata", "Hyalorista agruptalis", "Nelo subcuprea", "Opisthoxia aurelia", "Herpetogramma hirsuta", "Pionea albipennis", "Pionea costalis", "Polygrammodes auropurpuralis", "Polygrammodes uniflexalis", "Polygrammodes supproximalis", "Polygrammodes nigrifrons", "Polygrammodes fusinotalis", "Polygrammodes biangulalis", "Polypoetes albiscripta", "Psaliodes flavivena", "Psaliodes fractifascia", "Sangala subcyanea", "Synecta invenusta", "Smicropus marginata", "Semiothisa adjacens", "TACK group", "DPANN group", "Carex tuckermanii", "Robinsonia punctata punctata", "Ferroglobus placidus", "Robinsonia punctata incompletta", "Geoglobus acetivorans", "Geoglobus ahangari", "Archaeoglobus fulgidus", "Archaeoglobus infectus", "Archaeoglobus lithotrophicus", "Archaeoglobus profundus", "Archaeoglobus sulfaticallidus", "Archaeoglobus veneficus", "Celmia uzza", "Robinsonia deiopea", "Robinsonia lefaivrei", "Robinsonia sabata", "Robinsonia willingi", "Robinsonia rockstonia", "Robinsonia flavomarginata", "Robinsonia polyplagia", "Robinsonia polyplagia polyplagia", "Robinsonia polyplagia transducens", "Robinsonia evanida", "Robinsonia cajali", "Phaeomolis cajali", "Symphurus longirostris", "Clupisoma garua", "Aichryson tortuosum var. bethencourtianum", "Aichryson bituminosum", "Aichryson brevipetalum", "Rhododendron brachycarpum f. nemotoanum", "Chaohuperleidus primus", "Chalybs janias", "Chalybs chloris", "Condorlepis groeberi", "Squamulea nesodes", "Robinsonia formula", "Calycopis duida", "Calycopis extensa", "Calycopis fornoi", "Palaeomacrosemius thiollieri", "Calycopis itaituba", "Macrosemius rostratus", "Calycopis macphersoni", "Macrosemius fourneti", "Calycopis megana", "Calycopis neorcillata", "Calycopis panornata", "Calycopis phryne", "Calycopis spenceri", "Calycopis splendida", "Macrosemiocotzus americanus", "Calycopis srandrea", "Triplomystus applegatei", "Calycopis stacya", "Stephania moluccana", "Parathyris griseata", "Mulloidichthys flavolineatus flavicaudus", "Paralorryia cumbrensis", "Thyrarctia griseata", "Parathyris semivitrea", "Paralorryia arthurbakeri", "Thyrarctia semivitrea", "Stephania montana", "Stephania formanii", "Mulloidichthys flavolineatus flavolineatus", "Gonotrephes friga", "Thyrarctia friga", "Balitora chipkali", "Stephania grandiflora", "Brachytydeus ferulus", "Sclerophrys dodsoni", "Zaevius calocore", "Sclerophrys arabica", "Sirenophila maccarthyi", "Robinsonia exprata", "Stephania salomonum", "Eucereon exprata", "Robinsonia dewitzi", "Paralorryia shawi", "Stephania glandulifera", "Phaeomolis mera", "Prumala spitzi", "Ischnognatha semiopalina", "Chlorostrymon clenchi", "Robinsonia banghaasi", "Robinsonia boliviana", "Robinsonia flavicorpus", "Robinsonia fogra", "Robinsonia irregularis", "Robinsonia klagesi", "Robinsonia longimacula", "Robinsonia catasticta", "Robinsonia punctata", "Robinsonia sanea", "Robinsonia similis", "Robinsonia spitzi", "Robinsonia suffusa", "Robinsonia valerana", "Robinsonia praphoea", "Robinsonia mera", "Robinsonia milesi", "Robinsonia morula", "Robinsonia mossi", "Robinsonia multimaculata", "Robinsonia marginata", "Protonymus gontsharovae", "Chalybs hassan", "Chalybs lineata", "Squamulea parviloba", "Genoplesium citriodorum", "Genoplesium rhyoliticum", "Genoplesium confertum", "Genoplesium morinum", "Genoplesium pedersonii", "Genoplesium psammophilum", "Genoplesium sigmoideum", "Genoplesium simulans", "Genoplesium superbum", "Genoplesium systenum", "Genoplesium tectum", "Genoplesium turfosum", "Genoplesium validum", "Squamulea squamosa", "Genoplesium clivicola", "Genoplesium cornutum", "Genoplesium cranei", "Genoplesium ectopum", "Genoplesium firthii", "Genoplesium formosum", "Genoplesium insigne", "Genoplesium littorale", "Genoplesium oliganthum", "Genoplesium ostrinum", "Genoplesium ruppii", "Hypserpa polyandra", "Genoplesium tasmanicum", "Genoplesium vernale", "Haladaptatus cibarius", "Haladaptatus litoreus", "Haladaptatus pallidirubidus", "Haladaptatus paucihalophilus", "Chlorostrymon maesites", "Ancepitilobus howensis", "Spiniphallellus chrysotosella", "Alucita acascaea", "Alucita acutata", "Halalkalicoccus jeotgali", "Halalkalicoccus paucihalophilus", "Alucita bidentata", "Alucita canariensis", "Alucita debilella", "Alucita iberica", "Alucita klimeschi", "Halalkalicoccus tibetensis", "Alucita pectinata", "Alucita tridentata", "Stellarangia elegantissima", "Halanaeroarchaeum sulfurireducens", "Stellarangia namibensis", "Halapricum salinum", "Stellarangia testudinea", "Halarchaeum acidiphilum", "Halarchaeum nitratireducens", "Halarchaeum rubridurum", "Halarchaeum salinum", "Halarchaeum solikamskense", "Haloalcalophilium atacamensis", "Salicornia persica", "Salicornia persica subsp. iranica", "Salicornia sinus-persica", "Salicornia persica subsp. rudshurensis", "Salicornia perspolitana", "Salicornia \u00d7 tashkensis", "Hypserpa polyandra var. tomentosa", "Salicornia senegalensis", "Apricia jovialis", "Salicornia perrieri", "Salicornia pachystachya", "Salicornia meyeriana", "Salicornia uniflora", "Haloarchaeobius baliensis", "Salicornia brachiata", "Haloarchaeobius iranensis", "Haloarchaeobius litoreus", "Haloarchaeobius salinus", "Cretargentina chapmani", "Haloarcula aidinensis", "Haloarcula algeriensis", "Haloarcula amylolytica", "Haloarcula argentinensis", "Haloarcula californiae", "Haloarcula hispanica", "Haloarcula japonica", "Haloarcula marismortui", "Haloarcula quadrata", "Haloarcula salaria", "Haloarcula siamensis", "Haloarcula sinaiiensis", "Thelymitra antennifera", "Halomarina oriensis", "Halomarina salina", "Halomicroarcula limicola", "Halomicroarcula pellucida", "Halomicroarcula salina", "Halomicrobium katesii", "Halomicrobium mukohataei", "Halomicrobium zhouii", "Teloschistopsis eudoxa", "Hypserpa nitida", "Haloarcula tradensis", "Haloarcula vallismortis", "Tecticornia indica subsp. leiostachya", "Robinsonia variegata", "Tecticornia indica subsp. bidens", "Tydaeolus turneri", "Tecticornia indica subsp. ciliolata", "Tecticornia indica subsp. julacea", "Brachytydeus chiapensis", "Halobacterium hubeiense", "Halobacterium jilantaiense", "Halobacterium noricense", "Halobacterium rubrum", "Halobacterium salinarum", "Halocalculus aciditolerans", "Halococcus agarilyticus", "Halococcus dombrowskii", "Halococcus hamelinensis", "Teloschistopsis bonae-spei", "Halococcus morrhuae", "Halococcus qingdaonensis", "Halococcus saccharolyticus", "Halococcus salifodinae", "Halococcus sediminicola", "Halococcus thailandensis", "Teloschistopsis chrysocarpoides", "Heliura laguerrei", "Heliura beneluzi", "Heliura crameri", "Heliura nigriventris", "Heliura pauloi", "Alucita adzharica", "Hypserpa polyandra var. polyandra", "Natronomonas pharaonis", "Halostella salina", "Halovarius luteus", "Halovenus aranensis", "Halovenus rubra", "Halovenus salina", "Natribaculum breve", "Natribaculum longum", "Natronoarchaeum mannanilyticum", "Natronoarchaeum philippinense", "Natronoarchaeum rubrum", "Usnochroma scoriophilum", "Halobaculum gomorrense", "Halobaculum magnesiiphilum", "Thelymitra campanulata", "Haloferax larsenii", "Aichryson punctatum", "Haloferax lucentense", "Haloferax mediterranei", "Haloferax mucosum", "Haloferax opilio", "Haloferax prahovense", "Haloferax rutilus", "Haloferax sulfurifontis", "Haloferax viridis", "Haloferax volcanii", "Haloferax volcanii \u00d7", "Aichryson porphyrogennetos", "Villophora isidioclada", "Thelymitra crinita", "Thelymitra ixioides", "Stanhopea marylenae", "Halobellus clavatus", "Halobellus inordinatus", "Halobellus limi", "Halobellus litoreus", "Halobellus ramosii", "Halobellus rarus", "Halobellus rufus", "Halobellus salinus", "Haloferax alexandrinus", "Haloferax antrum", "Haloferax berberensis", "Haloferax chudinovii", "Haloferax denitrificans", "Haloferax elongans", "Haloferax gibbonsii", "Pristimantis dorado", "Teesdalia coronopifolia", "Pristimantis iiap", "Teesdalia conferta", "Pristimantis llanganati", "Pristimantis yanezi", "Pristimantis pluvialis", "Physoptychis caspica", "Pristimantis stictus", "Physoptychis haussknechtii", "Deeringothamnus rugelii var. pulchellus", "Byssoloma maderense", "Phytocrene macrophylla var. macrophylla", "Contrafacia bassania", "Contrafacia francis", "Blastenia ammiospila", "Limonium relicticum", "Craugastor gabbi", "Psychrophrynella chirihampatu", "Contrafacia marmoris", "Contrafacia muattina", "Blastenia circumpolaris", "Blastenia coralliza", "Contrafacia imma", "Blastenia crenularia", "Diuris aequalis", "Diuris abbreviata", "Ruptitermes araujoi", "Ruptitermes atyra", "Ruptitermes bandeirai", "Ruptitermes cangua", "Ruptitermes kaapora", "Ruptitermes krishnai", "Ruptitermes maraca", "Ruptitermes piliceps", "Ruptitermes pitan", "Diuris alba", "Diuris basaltica", "Diuris behrii", "Diuris brevifolia", "Diuris amplissima", "Diuris arenaria", "Diuris bracteata", "Diuris brevissima", "Diuris brumalis", "Diuris byronensis", "Diuris callitrophila", "Diuris carinata", "Nemophora acaciae", "Diuris chrysantha", "Diuris chryseopsis", "Villophora microphyllina", "Natrinema aidingensis", "Natrinema altunense", "Natrinema ejinorense", "Natrinema gari", "Natrinema pallidum", "Natrinema pellirubrum", "Natrinema salaciae", "Natrinema versiforme", "Natrinema xinjiang", "Natronobacterium gregoryi", "Natronobacterium innermongoliae", "Natronobacterium texcoconense", "Natronococcus aibiensis", "Natronococcus amylolyticus", "Natronococcus jeotgali", "Natronococcus occultus", "Natronococcus roseus", "Natronococcus xinjiangense", "Natronococcus yunnanense", "Natronococcus zabuyensis", "Natronolimnobius baerhuensis", "Natronolimnobius innermongolicus", "Natronorubrum aibiense", "Natronorubrum bangense", "Natronorubrum sediminis", "Natronorubrum sulfidifaciens", "Natronorubrum texcoconense", "Natronorubrum thiooxidans", "Natronorubrum tibetense", "Salinarchaeum laminariae", "Brachycephalus sulfuratus", "Ticinolepis longaeva", "Ticinolepis crassidens", "Halogeometricum borinquense", "Halogeometricum limi", "Halogeometricum pallidum", "Halogeometricum rufum", "Halogranum amylolyticum", "Halogranum gelatinilyticum", "Halogranum rubrum", "Halogranum salarium", "Halohasta litchfieldiae", "Halohasta litorea", "Pristimantis tinguichaca", "Halorubrum africanae", "Halorubrum aidingense", "Halorubrum alkaliphilum", "Halorubrum aquaticum", "Halorubrum arcis", "Halorubrum californiense", "Halorubrum chaoviator", "Halorubrum cibarium", "Halorubrum cibi", "Halorubrum constantinense", "Halorubrum coriense", "Halorubrum distributum", "Halorubrum ejinorense", "Halorubrum ezzemoulense", "Halorubrum gandharaense", "Halorubrum halodurans", "Halorubrum halophilum", "Halorubrum hochstenium", "Halorubrum jeotgali", "Halorubrum kocurii", "Halorubrum lacusprofundi", "Halorubrum laminariae", "Halorubrum lipolyticum", "Halorubrum litoreum", "Halorubrum luteum", "Halorubrum orientale", "Halorubrum pallidum", "Halorubrum persicum", "Halorubrum rubrum", "Halorubrum saccharovorum", "Halorubrum salinum", "Halorubrum sodomense", "Halorubrum tebenquichense", "Halorubrum terrestre", "Halorubrum tibetense", "Halorubrum trapanicum", "Halorubrum vacuolatum", "Halorubrum xinjiangense", "Salicornia arabica", "Macrothylacia digramma digramma", "Macrothylacia digramma maroccana", "Macrothylacia digramma alfacaria", "Macrothylacia korbi", "Macrothylacia digramma parallelifascia", "Macrothylacia digramma curvifascia", "Macrothylacia digramma hispanica", "Macrothylacia digramma lusitanica", "Halorhabdus rudnickae", "Halorhabdus tiamatea", "Halorhabdus utahensis", "Usnochroma carphineum", "Salinirubrum litoreum", "Halorientalis persicus", "Halorientalis regularis", "Halorubellus litoreus", "Halorubellus salinus", "Halorussus amylolyticus", "Halorussus rarus", "Halorussus ruber", "Salarchaeum japonicum", "Halosiccatus urmianus", "Halosimplex carlsbadense", "Halosimplex pelagicum", "Halosimplex rubrum", "Natronomonas gomsonensis", "Natronomonas moolapensis", "Sarcopetalum harveyanum", "Phragmipedium anguloi", "Phragmipedium guianense", "Diuris concinna", "Diuris conspicillata", "Diuris disposita", "Diuris exitela", "Diuris flavescens", "Diuris heberlei", "Diuris luteola", "Diuris magnifica", "Diuris micrantha", "Diuris oporina", "Callophrys albilinea", "Diuris praecox", "Diuris pulchella", "Diuris recurva", "Wetmoreana appressa", "Wetmoreana decipioides", "Methanobacterium aarhusense", "Methanobacterium aggregans", "Methanobacterium alcaliphilum", "Methanobacterium arcticum", "Methanobacterium beijingense", "Methanobacterium bryantii", "Methanobacterium congolense", "Methanobacterium curvum", "Methanobacterium espanolae", "Methanobacterium ferruginis", "Methanobacterium flexile", "Methanobacterium formicicum", "Methanobacterium ivanovii", "Methanobacterium kanagiense", "Methanobacterium lacus", "Methanobacterium movens", "Methanobacterium movilense", "Methanobacterium oryzae", "Methanobacterium paludis", "Methanobacterium palustre", "Methanobacterium petrolearium", "Methanobacterium subterraneum", "Methanobacterium thermaggregans", "Methanobacterium uliginosum", "Methanobacterium veterum", "Blastenia ferruginea", "Methanobrevibacter acididurans", "Methanobrevibacter arboriphilus", "Methanobrevibacter boviskoreani", "Methanobrevibacter curvatus", "Methanobrevibacter cuticularis", "Methanobrevibacter filiformis", "Methanobrevibacter gottschalkii", "Methanobrevibacter millerae", "Callophrys contexta", "Callophrys crenata", "Wetmoreana texana", "Callophrys halosa", "Callophrys kansuensis", "Halolamina pelagica", "Halolamina rubra", "Halolamina salifodinae", "Halolamina salina", "Halolamina sediminis", "Halonotius pteroides", "Haloparvum sedimenti", "Callophrys tuba", "Halopelagius fulvigenes", "Halopelagius inordinatus", "Halopelagius longus", "Halopenitus malekzadehii", "Halopenitus persicus", "Halopenitus salinus", "Haloplanus aerogenes", "Haloplanus litoreus", "Haloplanus natans", "Haloplanus ruber", "Haloplanus salinus", "Haloplanus vescus", "Contrafacia ahola", "Paropsis augusta", "Paropsis bella", "Haloquadratum walsbyi", "Salinigranum rubrum", "Salinigranum salinum", "Methanobrevibacter olleyae", "Methanobrevibacter oralis", "Methanobrevibacter ruminantium", "Methanobrevibacter thaueri", "Methanobrevibacter woesei", "Methanobrevibacter wolinii", "Methanobrevibacter smithii", "Methanosphaera cuniculi", "Methanosphaera stadtmanae", "Methanothermobacter crinale", "Methanothermobacter defluvii", "Methanothermobacter marburgensis", "Methanothermobacter tenebrarum", "Methanothermobacter thermautotrophicus", "Methanothermobacter thermoflexus", "Methanothermobacter thermophilus", "Methanothermobacter wolfeii", "Methanothermus fervidus", "Methanothermus jannaschii", "Methanothermus sociabilis", "Psychrophrynella usurpator", "Halobiforma haloterrestris", "Halobiforma lacisalsi", "Halobiforma nitratireducens", "Halopiger aswanensis", "Halopiger djelfamassiliensis", "Halopiger goleamassiliensis", "Halopiger salifodinae", "Halopiger xanaduensis", "Halostagnicola alkaliphila", "Halostagnicola bangensis", "Halostagnicola kamekurae", "Halostagnicola larsenii", "Pristimantis urani", "Haloterrigena daqingensis", "Haloterrigena hispanica", "Haloterrigena jeotgali", "Allobates bacurau", "Haloterrigena limicola", "Haloterrigena longa", "Haloterrigena saccharevitans", "Haloterrigena salina", "Haloterrigena thermotolerans", "Haloterrigena turkmenica", "Haloterrigena turpansis", "Allobates magnussoni", "Limonium benmageci", "Halovivax asiaticus", "Halovivax cerinus", "Halovivax limisalsi", "Halovivax ruber", "Natrialba aegyptia", "Natrialba aibiensis", "Natrialba asiatica", "Natrialba chahannaoensis", "Natrialba hulunbeirensis", "Natrialba magadii", "Natrialba taiwanensis", "Natrialba wudunaoensis", "Methanospirillum hungatei", "Methanospirillum lacunae", "Methanospirillum psychrodurum", "Methanospirillum stamsii", "Colilodion schulzi", "Scaphidium solukhumbu", "Scaphidium yeti", "Methanosaeta concilii", "Methanosaeta harundinacea", "Methanosaeta pelagica", "Methanosaeta thermophila", "Cyanophrys agricolor", "Cyanophrys amyntor", "Gelechia gnathodoxa", "Methanoculleus bourgensis", "Methanoculleus chikugoensis", "Methanoculleus horonobensis", "Methanoculleus hydrogenitrophicus", "Methanoculleus marisnigri", "Methanoculleus palmolei", "Methanoculleus receptaculi", "Methanoculleus sediminis", "Methanoculleus submarinus", "Methanoculleus taiwanensis", "Methanoculleus thermophilus", "Methanofollis aquaemaris", "Methanofollis ethanolicus", "Methanofollis formosanus", "Methanofollis liminatans", "Methanofollis tationis", "Methanogenium boonei", "Methanogenium cariaci", "Methanogenium frigidum", "Methanogenium marinum", "Methanogenium organophilum", "Methanolacinia paynteri", "Methanolacinia petrolearia", "Methanomicrobium mobile", "Methanoplanus endosymbiosus", "Methanoplanus limicola", "Methanolinea mesophila", "Methanolinea tarda", "Charltona argyrastis", "Grallaricula cumanensis", "Methanoregula boonei", "Methanoregula formicica", "Methanosphaerula palustris", "Diuris picta", "Diuris platichila", "Diuris protena", "Diuris punctata", "Diuris punctata var. punctata", "Diploclisia glaucescens var. glaucescens", "Diuris punctata var. sulphurea", "Diuris purdiei", "Cyanophrys herodotus", "Sulfolobus tengchongensis spindle-shaped virus", "Proteoteras implicata", "Proteoteras obnigrana", "Diploclisia glaucescens", "Diuris palustris", "Diuris pardina", "Cyanophrys goodsoni", "Diuris parvipetala", "Pleuropholis cisnerosorum", "Alcalus baluensis", "Aleochara acerba", "Aleochara boreoindica", "Aleochara carnivora", "Aleochara caviceps", "Aleochara cavicollis", "Aleochara clavicornuta", "Aleochara densula", "Aleochara eoa", "Diuris corymbosa", "Cyanophrys bertha", "Diuris cuneata", "Diuris curta", "Diuris curvifolia", "Limonium vigaroense", "Cyanophrys banosensis", "Diuris decrementa", "Diuris drummondii", "Diuris eborensis", "Diuris eburnea", "Diuris gregaria", "Diuris immaculata", "Diuris unica", "Diuris fucosa", "Diuris emarginata", "Diuris emarginata var. emarginata", "Diuris emarginata var. pauciflora", "Cyanophrys fusius", "Odontanthias cauoh", "Diuris filifolia", "Scorpaenodes barrybrowni", "Diuris fragrantissima", "Psychrophrynella teqta", "Amazophrynella javierbustamantei", "Ansonia smeagol", "Methanocaldococcus bathoardescens", "Methanocaldococcus fervens", "Methanocaldococcus indicus", "Methanocaldococcus infernus", "Methanocaldococcus jannaschii", "Methanocaldococcus villosus", "Methanocaldococcus vulcanius", "Methanotorris formicicus", "Methanotorris igneus", "Methanococcus aeolicus", "Methanococcus vannielii", "Methanococcus voltae", "Methanococcus maripaludis", "Methanothermococcus okinawensis", "Methanothermococcus thermolithotrophicus", "Methanocella arvoryzae", "Methanocella conradii", "Methanocella paludicola", "Sebrus perdentellus", "Crambus perdentellus", "Sebrus pseudosparsellus", "Crambus pseudosparsellus", "Alphacrambus prodontellus", "Crambus prodontellus", "Alphacrambus razowskii", "Crambus razowskii", "Alphacrambus phoeostrigellus", "Methanocalculus alkaliphilus", "Methanocalculus halotolerans", "Methanocalculus natronophilus", "Crambus phoeostrigellus", "Methanocalculus pumilus", "Methanocalculus taiwanensis", "Methanocorpusculum aggregans", "Methanocorpusculum bavaricum", "Methanocorpusculum labreanum", "Methanocorpusculum parvum", "Methanocorpusculum sinense", "Gelechia protozona", "Pionea xanthographa", "Platynota colobota", "Carpocapsa transferrana", "Episimus vincentana", "Crocidosema synneurota", "Strepsicrates smithiana", "Rhinella horribilis", "Methanimicrococcus blatticola", "Methanococcoides alaskense", "Methanococcoides methylutens", "Methanococcoides vulcani", "Methanohalobium evestigatum", "Methanohalophilus euhalobius", "Methanohalophilus halophilus", "Methanohalophilus levihalophilus", "Methanohalophilus mahii", "Methanohalophilus portucalensis", "Methanomassiliicoccales incertae sedis", "Thermoplasmatales incertae sedis", "Acontius humiliceps", "Thermogymnomonas acidicola", "Cuniculiplasma divulgatum", "Lipoptycha aeratana", "Nigidius grosseri", "Grapholita agilana", "Acidiplasma aeolicum", "Acidiplasma cupricumulans", "Hyptiharpa hypostas", "Hyptiharpa baboquavariana", "Ferroplasma acidarmanus", "Ferroplasma acidiphilum", "Ferroplasma thermophilum", "Ferroplasmaceae incertae sedis", "Tortrix baboquavariana", "Picrophilus oshimae", "Picrophilus torridus", "Thermoplasma volcanium", "Diploclisia glaucescens var. kunstleri", "Diuris pedunculata", "Diuris perialla", "Diuris fryana", "Hemigrammus aguaruna", "Diuris hazeliae", "Diuris insignis", "Helosciadium repens", "Garra amirhosseini", "Diuris jonesii", "Diuris maculata", "Diuris laevis", "Diuris lanceolata", "Nemoossis belloci", "Diuris monticola", "Pterothrissus gissu", "Rhynchobatus cooki", "Diuris nigromontana", "Diuris ochroma", "Blythophryne beryet", "Aleochara flavescens", "Aleochara globicollis", "Acidilobus aceticus", "Acidilobus saccharovorans", "Fervidicoccus fontis", "Aleochara imbricata", "Aleochara janklimaszewskii", "Aleochara kashmirica", "Acidianus ambivalens", "Acidianus brierleyi", "Acidianus convivator", "Acidianus hospitalis", "Acidianus infernus", "Acidianus manzaensis", "Aleochara malaya", "Acidianus pozzuoliensis", "Acidianus sulfidivorans", "Aleochara ndogo", "Aleochara morion", "Methermicoccus shengliensis", "Proteoteras moffatiana", "Dichrorampha altaica", "Palaeococcus ferrophilus", "Palaeococcus helgesonii", "Palaeococcus pacificus", "Pyrococcus abyssi", "Pyrococcus endeavori", "Pyrococcus furiosus", "Pyrococcus glycovorans", "Pyrococcus horikoshii", "Pyrococcus woesei", "Pyrococcus yayanosii", "Thermococcus acidaminovorans", "Thermococcus aegaeus", "Thermococcus aggregans", "Thermococcus alcaliphilus", "Thermococcus barophilus", "Thermococcus barossii", "Thermococcus celer", "Thermococcus celericrescens", "Thermococcus chitonophagus", "Thermococcus cleftensis", "Thermococcus coalescens", "Thermococcus eurythermalis", "Thermococcus fumicolans", "Thermococcus guaymasensis", "Thermococcus hydrothermalis", "Thermococcus kodakarensis", "Thermococcus marinus", "Thermococcus mexicalis", "Thermococcus nautili", "Thermococcus onnurineus", "Thermococcus paralvinellae", "Thermococcus peptonophilus", "Thermococcus prieurii", "Thermococcus profundus", "Thermococcus radiotolerans", "Thermococcus sibiricus", "Thermococcus siculi", "Dichrorampha iranica", "Thermococcus stetteri", "Thermococcus thioreducens", "Thermococcus waimanguensis", "Grapholitha acuminatana", "Hemimene typhlodes", "Methanomassiliicoccus luminyensis", "Methanomassiliicoccaceae incertae sedis", "Diuris setacea", "Diuris striata", "Diuris subalpina", "Diuris sulphurea", "Pammene phthoneris", "Diuris systena", "Diuris tinkeri", "Diuris tricolor", "Diuris venosa", "Diuris \u00d7 fastidiosa", "Diuris \u00d7 nebulosa", "Diuris \u00d7 palachila", "Diuris \u00d7 polymorpha", "Cyanophrys longula", "Cyanophrys remus", "Pareiorhaphis vetula", "Methanolobus bombayensis", "Methanolobus chelungpuianus", "Methanolobus oregonensis", "Methanolobus profundi", "Methanolobus psychrophilus", "Methanolobus taylorii", "Methanolobus tindarius", "Methanolobus vulcani", "Methanolobus zinderi", "Methanomethylovorans hollandica", "Methanomethylovorans thermophila", "Methanomethylovorans uponensis", "Methanomethylovorans victoriae", "Methanosalsum natronophilum", "Methanosalsum zhilinae", "Methanosarcina acetivorans", "Methanosarcina baltica", "Methanosarcina calensis", "Methanosarcina flavescens", "Methanosarcina horonobensis", "Methanosarcina lacustris", "Methanosarcina semesiae", "Methanosarcina siciliae", "Methanosarcina soligelidi", "Methanosarcina spelaei", "Methanosarcina subterranea", "Methanosarcina thermophila", "Methanosarcina vacuolata", "Methanosarcina barkeri", "Methanosarcina mazei", "Spilonota imminens", "Phthinolophus indentanus", "Proteoteras aesculana", "Proteoteras arizonae", "Proteoteras crescentana", "Proteoteras naracana", "Proteoteras willingana", "Metallosphaera cuprina", "Metallosphaera hakonensis", "Metallosphaera prunae", "Metallosphaera sedula", "Metallosphaera tengchongensis", "Metallosphaera yellowstonensis", "Stygiolobus azoricus", "Sulfolobus acidocaldarius", "Sulfolobus beitou", "Sulfolobus islandicus", "Sulfolobus metallicus", "Sulfolobus neozealandicus", "Sulfolobus shibatae", "Sulfolobus solfataricus", "Sulfolobus tengchongensis", "Sulfolobus thuringiensis", "Sulfolobus tokodaii", "Sulfolobus vallisabyssus", "Sulfolobus yangmingensis", "Sitona aberrans", "Sitona adanensis", "Sitona aemulus", "Sulfurisphaera ohwakuensis", "Sitona affinis", "Sitona alba", "Sitona albarius", "Sitona albescens", "Sitona albocrinitus", "Sitona albolineatus", "Sitona albovittatus", "Sitona albus", "Sitona aliciae", "Sitona allardi", "Sitona alpinus", "Sitona alternatus", "Pammene percognata", "Diuris refracta", "Diuris secundiflora", "Diuris segregata", "Diuris semilunulata", "Diuris septentrionalis", "Corydoras zawadzkii", "Maculabatis arabica", "Maculabatis bineeshi", "Cyanophrys miserabilis", "Acroteriobatus omanensis", "Xeniamia atrithorax", "Chaunax atimovatae", "Chaunax heemstraorum", "Chaunax hollemani", "Trimma burridgeae", "Trimma corerefum", "Trimma hollemani", "Trimma caudomaculatum", "Trimma tevegae", "Pyrolobus fumarii", "Caldococcus noboribetus", "Erora biblia", "Caladenia crebra", "Callicore lyca", "Caladenia reptans", "Caladenia reptans subsp. reptans", "Caladenia reptans subsp. impensa", "Pammene rescissa", "Laspeyresia subpulverula", "Stenentoma bisecta", "Aleochara robertopacei", "Aleochara rougemontiana", "Aleochara surrubicunda", "Aleochara takashii", "Aleochara taprobanensis", "Aleochara trisecta", "Aleochara uttariana", "Aleochara vietnamensis", "Aleochara derougemonti", "Hygromia cinctella", "Cauchas talyakiella", "Cauchas brunnella", "Cauchas brunnella brunnella", "Cauchas brunnella kirgizskella", "Casignetella kochiphaga", "Casignetella suaediphaga", "Casignetella pseudotrochilella", "Pyrgus sidae melko", "Neptis rivularis", "Neptis rivularis rivularis", "Neptis rivularis morwen", "Neptis rivularis sinta", "Neptis rivularis aino", "Neolycaena carbonaria baidula", "Neolycaena carbonaria iya", "Neolycaena carbonaria zhdankoi", "Pseudotyrannochthonius cheni", "Denivia chaluma", "Denivia curitabaensis", "Cyclea insularis subsp. insularis", "Cyclea insularis subsp. guangxiensis", "Caladenia clarkiae", "Caladenia clavula", "Caladenia cleistantha", "Caladenia coactilis", "Caladenia conferta", "Caladenia curtisepala", "Follmannia orthoclada", "Caladenia flaccida", "Caladenia helvina", "Caladenia leptoclavia", "Caladenia macroclavia", "Caladenia necrophylla", "Caladenia phaeoclavia", "Caladenia prolata", "Caladenia quadrifaria", "Caladenia richardsiorum", "Caladenia rigens", "Blastenia hungarica", "Monanthes wildpretii", "Blastenia subochracea", "Aeropyrum camini", "Aeropyrum pernix", "Desulfurococcus amylolyticus", "Desulfurococcus fermentans", "Desulfurococcus kamchatkensis", "Desulfurococcus mobilis", "Desulfurococcus mucosus", "Desulfurococcus saccharovorans", "Ignicoccus hospitalis", "Staphylothermus hellenicus", "Erora aura", "Stetteria hydrogenophila", "Sulfophobococcus zilligii", "Thermodiscus maritimus", "Thermogladius cellulolyticus", "Thermogladius shockii", "Thermosphaera aggregans", "Geogemma indica", "Geogemma pacifica", "Erora badeta", "Hyperthermus butylicus", "Hyperthermus hephaesti", "Pyrodictium delaneyi", "Geomitopsis amazonensis", "Legnephora moorei", "Cynodonichthys hildebrandi", "Orussobaius nielspederi", "Orussobaius bicolor", "Octolasmis tydemani", "Octolasmis uncus", "Orussobaius paniculus", "Orussobaius badius", "Parabaena sagittata", "Orussobaius caligneus", "Orussobaius minutissimus", "Aspidocarya uvifera", "Parabaena elmeri", "Parabaena denudata", "Gyalolechia allochroa", "Abuta steyermarkii", "Caladenia interjacens", "Caladenia lodgeana", "Caladenia longifimbriata", "Caladenia lorea", "Caladenia luteola", "Aleochara planula", "Denivia deniva", "Allochthonius fanjingshan", "Aleochara refusa", "Denivia gispa", "Otacilia obesa", "Otacilia macrospora", "Aleochara riodejaneirensis", "Thermofilum carboxyditrophus", "Thermofilum librum", "Pammene piceae", "Caldivirga maquilingensis", "Pyrobaculum arsenaticum", "Pammene oxystaura", "Pyrobaculum calidifontis", "Pyrobaculum ferrireducens", "Pyrobaculum islandicum", "Pyrobaculum neutrophilum", "Parapammene oxystaura", "Pyrobaculum oguniense", "Pyrobaculum organotrophum", "Denivia phegeus", "Thermocladium modestius", "Andrioplecta moriutii", "Denivia laudonia", "Thermoproteus tenax", "Thermoproteus thermophilus", "Thermoproteus uzoniensis", "Laspeyresia pulverula", "Vulcanisaeta distributa", "Vulcanisaeta moutnovskia", "Vulcanisaeta souniana", "Vulcanisaeta thermophila", "Blastenia furfuracea", "Laspeyresia succedana", "Laspeyresia succedana succedana", "Bactoderma alba", "Bactoderma rosea", "Laspeyresia succedana decolorana", "Laspeyresia succedana griseana", "Chlorochromatium aggregatum", "Nanobacterium sanguineum", "Pseudogluconobacter saccharoketogenes", "Ruminobacillus xylanolyticum", "Smegmaraptor porcuscaenosi", "Stibiobacter senarmontii", "Streptofusia jilina", "FCB group", "Nitrospinae/Tectomicrobia group", "PVC group", "Legnephora minutiflora", "Terrabacteria group", "Cyanobacteria/Melainabacteria group", "Follmannia rufa", "Caladenia abbreviata", "Caladenia actensis", "Caladenia aestiva", "Caladenia argocalla", "Caladenia brumalis", "Nitrososphaera viennensis", "Adoxophyes lamii", "Adoxophyes mixtior", "Laspeyresia miranda", "Grapholita mesoscia", "Grapholita rhabdotacra", "Laspeyresia exornata", "Selania exornata", "Laspeyresia siderocosma", "Cydia siderocosma", "Laspeyresia malesana", "Aleochara natalicola", "Cydia malesana", "Laspeyresia platydryas", "Cydia platydryas", "Cydia undosa", "Dichrorampha undosa", "Laspeyresia undosa", "Dorylus nigricans", "Dorylus wilverthi", "Haloplasma contractile", "Cydia adjunctana", "Grapholitha adjunctana", "Laspeyresia armeniaca", "Tortrix asseclana", "Tortrix decorana", "Caladenia septuosa", "Caladenia stellata", "Caladenia vulgaris", "Caladenia woolcockiorum", "Caladenia xantholeuca", "Caladenia applanata", "Cynodonichthys sucubti", "Caladenia applanata subsp. applanata", "Caladenia applanata subsp. erubescens", "Caladenia arrecta", "Zelandobius alatus", "Zelandobius kuscheli", "Zelandobius albofasciatus", "Zelandobius auratus", "Zelandobius childi", "Zelandobius cordatus", "Zelandobius dugdalei", "Zelandobius foxi", "Zelandobius gibbsi", "Zelandobius inversus", "Zelandobius jacksoni", "Zelandobius macburneyi", "Zelandobius mariae", "Zelandobius montanus", "Zelandobius ngaire", "Zelandobius patricki", "Zelandobius peglegensis", "Zelandobius takahe", "Zelandobius truncus", "Zelandobius uniramus", "Zelandobius wardi", "Caladenia dundasiae", "Caladenia elegans", "Caladenia erythrochila", "Caladenia evanescens", "Caladenia excelsa", "Caladenia exilis", "Caladenia exilis subsp. exilis", "Caladenia exilis subsp. vanleeuwenii", "Caladenia exstans", "Caladenia footeana", "Octolasmis urceolata", "Caladenia fuscolutescens", "Caladenia gardneri", "Caladenia georgei", "Caladenia granitora", "Caladenia harringtoniae", "Caladenia heberleana", "Caladenia hiemalis", "Caladenia hoffmanii", "Actinodictyon atlanticum", "Actinodictyon antiquorum", "Actinodictyon elegans", "Actinodictyon elegantulum", "Actinodictyon fergusonii", "Actinodictyon quadrisculcatus", "Actinodictyon unca", "Actinodictyon weissflogii", "Orussobaius mesembrinus", "Orussobaius minutus", "Orussobaius wilsoni", "Actinodiscus barbadensis", "Actinodiscus contabulatus", "Actinodiscus corolla", "Actinodiscus gloria", "Actinodiscus grayii", "Actinodiscus horologium", "Actinodiscus italicus", "Actinodiscus javanicus", "Actinodiscus kamischeviensis", "Actinodiscus mascarenensis", "Actinodiscus mutabilis", "Actinodiscus philippinarum", "Zelandobius illiesi", "Euphrasia alii", "Euphrasia omeri", "Euphrasia amurensis", "Euphrasia andicola", "Euphrasia antarctica", "Euphrasia arctica", "Euphrasia atropurpurea", "Euphrasia azorica", "Euphrasia bicknellii", "Euphrasia brevilabris", "Cynodonichthys hendrichsi", "Octolasmis stella", "Dicheranthus plocamoides", "Aleochara pseudochrysorrhoa", "Aleochara atra", "Aleochara auricoma", "Aleochara bonariensis", "Aleochara breviuscula", "Dichrorampha cacaleana", "Dichrorampha sheljuzhkoi", "Dichrorampha dzhungarica", "Dichrorampha tshimgana", "Geotrochopsis pubescens", "Geotrochopsis collaris", "Geotrochopsis flaveolus", "Caladenia pendens", "Tortrix badiana", "Caladenia pendens subsp. pendens", "Caladenia pendens subsp. talbotii", "Caladenia pholcoidea", "Caladenia pholcoidea subsp. pholcoidea", "Caladenia pholcoidea subsp. augustensis", "Caladenia melanema", "Aleochara funeralis", "Aleochara hidalgo", "Aleochara otongo", "Aleochara hilaris", "Parabaena echinocarpa", "Chlaenandra ovata", "Diplonearcha insinuans", "Coscinium blumeanum", "Stenentoma plectocosma", "Octolasmis unguisiformis", "Caladenia attingens", "Caladenia attingens subsp. attingens", "Caladenia attingens subsp. effusa", "Caladenia attingens subsp. gracillima", "Caladenia barbarella", "Caladenia brevisura", "Caladenia busselliana", "Caladenia chapmanii", "Caladenia christineae", "Caladenia cruscula", "Caladenia decora", "Caladenia drakeoides", "Caladenia horistes", "Caladenia incensum", "Caladenia incrassata", "Caladenia longicauda", "Caladenia longicauda subsp. longicauda", "Caladenia longicauda subsp. albella", "Caladenia longicauda subsp. australora", "Caladenia longicauda subsp. borealis", "Caladenia longicauda subsp. calcigena", "Caladenia longicauda subsp. clivicola", "Caladenia longicauda subsp. crassa", "Caladenia longicauda subsp. eminens", "Caladenia longicauda subsp. merrittii", "Caladenia longicauda subsp. redacta", "Caladenia longicauda subsp. rigidula", "Octolasmis warwickii", "Caladenia longicauda subsp. extrema", "Caladenia longicauda subsp. minima", "Caladenia longicauda subsp. insularis", "Octolasmis weberi", "Octolasmis weberi pennatulae", "Aleochara bruchi", "Aleochara cameroni", "Aleochara cayennensis", "Aleochara centralis", "Eucosma acrosema", "Cynodonichthys monikae", "Strepsiceros obeliscana", "Gyalolechia aurea", "Cocculus orbiculatus var. orbiculatus", "Aleochara chrysorrhoa", "Peloridinannus curly", "Peloridinannus larry", "Aleochara cribricollis", "Peloridinannus laxicosta", "Peloridinannus moe", "Peloridinannus sinefenestra", "Peloridinannus stenomargaritatus", "Peloridinannus margaritatus", "Metriophlebia chaomorpha", "Eucosma chaomorpha", "Argyroploce peltastica", "Parolinia filifolia", "Potentilla armeniaca", "Potentilla nerimaniae", "Potentilla discipulorum", "Potentilla davisii", "Potentilla carduchorum", "Erora facuna", "Erora gabina", "Erora laeta", "Ectocarpus penicillatus", "Caladenia paradoxa", "Caladenia meridionalis", "Caladenia mesocera", "Caladenia microchila", "Caladenia nivalis", "Caladenia nobilis", "Caladenia occidentalis", "Caladenia pachychila", "Bulbophyllum dasypetalum", "Stephania subpeltata", "Abuta velutina", "Erora caespes", "Erora campa", "Potentilla kotschyana", "Potentilla ulrichii", "Erora carla", "Potentilla detommasii", "Potentilla divaricata", "Spilonota euryptycha", "Gyalolechia arizonica", "Eucosma leucopleura", "Spilonota ochronephes", "Eucosma perfixa", "Bathrotoma aethalostola", "Spilonota ammostigma", "Spilonota argyrotypa", "Gyalolechia bassiae", "Tinospora sagittata var. yunnanensis", "Tinospora sagittata var. craveniana", "Caladenia \u00d7 enigma", "Caladenia \u00d7 erminea", "Caladenia \u00d7 exoleta", "Caladenia \u00d7 exserta", "Caladenia \u00d7 hypata", "Caladenia \u00d7 idiastes", "Caladenia \u00d7 resupina", "Caladenia \u00d7 spectabilis", "Parolinia schizogynoides", "Caladenia \u00d7 suffusa", "Caladenia \u00d7 tryphera", "Caladenia polychroma", "Caladenia postea", "Caladenia procera", "Caladenia pulchra", "Caladenia remota", "Tinospora sagittata var. sagittata", "Caladenia remota subsp. remota", "Caladenia remota subsp. parva", "Caladenia serotina", "Caladenia speciosa", "Spilonota atmophanes", "Spilonota baeodes", "Caladenia splendens", "Caladenia startiorum", "Caladenia thinicola", "Caladenia ultima", "Caladenia viridescens", "Caladenia voigtii", "Spilonota chalcitis", "Epiphyas chlidana", "Spilonota deloschema", "Bathrotoma catapasta", "Caladenia vulgata", "Caladenia williamsiae", "Caladenia winfieldii", "Caladenia xantha", "Holocola angulata", "Hermenias angulata", "Caladenia \u00d7 aestantha", "Caladenia \u00d7 cala", "Caladenia \u00d7 coactescens", "Caladenia \u00d7 eludens", "Caladenia mentiens", "Caladenia saggicola", "Caladenia sylvicola", "Caladenia tonellii", "Caladenia transitoria", "Biarum davisii", "Biarum ditschianum", "Biarum marmarisense", "Metrioglypha circulata", "Metrioglypha confertana", "Hyperbaena smilacina", "Grapholita confertana", "Hyperbaena tonduzii", "Hyperbaena eladioana", "Hyperbaena leptobotryosa", "Monoon paradoxum", "Odontocarya truncata", "Platycoryne pervillei", "Anomospermum reticulatum subsp. idroboi", "Caladenia ambusta", "Gyalolechia canariensis", "Akaimia altucuspis", "Akaimia myriacuspis", "Odontocarya membranacea", "Ophiorrhabda cellifera", "Hypserpa calcicola", "Euconnus takachihoi", "Hypserpa ademae", "Polychrosis cellifera", "Argyroploce codonectis", "Ophiorrhabda pottsi", "Ophiorrhabda deceptor", "Platypeplus deceptor", "Andinarampha davisi", "Andinarampha kosnipata", "Andinarampha nanoflava", "Andinarampha quetzalana", "Scorpaena plumieri", "Guyanymphula cayennensis", "Cromarcha panamana", "Caladenia ancylosa", "Caladenia clavescens", "Caladenia cremna", "Caladenia cretacea", "Scorpaena plumieri mystes", "Caladenia douglasiorum", "Caladenia grampiana", "Caladenia oreophila", "Caladenia osmera", "Caladenia peisleyi", "Caladenia anthracina", "Caladenia atrochila", "Caladenia campbellii", "Caladenia dienema", "Caladenia arenaria", "Caladenia concolor", "Caladenia armata", "Caladenia atroclavia", "Caladenia attenuata", "Gyalolechia cranfieldii", "Argyroploce mesarotra", "Polychrosis organica", "Argyroploce stibaropa", "Argyroploce oedalea", "Argyroploce neolopha", "Scaphicoma yapo", "Metrioglypha onychosema", "Argyroploce onychosema", "Metrioglypha aoriphora", "Metrioglypha crassa", "Metrioglypha dualis", "Metrioglypha empalinopa", "Metrioglypha gemmarius", "Metrioglypha habilis", "Argyroploce thystas", "Astrobola circulata", "Metrioglypha mellifera", "Ascidia paulayi", "Potentilla pulvinaris subsp. argentea", "Potentilla pulvinaris subsp. pulvinaris", "Abuta grisebachii", "Abuta obovata", "Argyroploce semiculta", "Argyroploce heteraspis", "Abuta imene", "Abuta pahnii", "Phaecasiophora turmaria", "Argyroploce turmaria", "Phaecasiophora astrosema", "Argyroploce astrosema", "Phaecasiophora attica", "Eucosma attica", "Abuta rufescens", "Paronthobium adio", "Anomospermum steyermarkii", "Scaphicoma monteithi", "Potentilla hololeuca", "Holocola conglomerata", "Hermenias conglomerata", "Holocola corticina", "Hermenias corticina", "Holocola dendrosema", "Hermenias dendrosema", "Holocola dirupta", "Hermenias dirupta", "Holocola eugena", "Hermenias eugena", "Holocola gracilis", "Hermenias gracilis", "Holocola merodelta", "Hermenias merodelta", "Holocola niphobola", "Hermenias niphobola", "Holocola platysphena", "Hermenias platysphena", "Holocola pollostes", "Hermenias pollostes", "Holocola psimythographa", "Hermenias psimythographa", "Holocola saxicolor", "Hermenias saxicolor", "Holocola scoliomelas", "Hermenias scoliomelas", "Holocola serrula", "Hermenias serrula", "Holocola terminata", "Hermenias terminata", "Holocola textrix", "Hermenias textrix", "Caladenia bigeminata", "Caladenia erythronema", "Caladenia fluvialis", "Caladenia hopperiana", "Caladenia perangusta", "Caladenia pluvialis", "Caladenia straminichila", "Caladenia swartsiorum", "Caladenia validinervia", "Caladenia amnicola", "Caladenia rileyi", "Caladenia amoena", "Caladenia atrata", "Caladenia hillmanii", "Argyroploce claviculata", "Grapholita vulgana", "Argyroploce pachnodes", "Potentilla lomakinii", "Eubrochoneura parasema", "Potentilla meyeri", "Argyroploce parasema", "Eubrochoneura aversa", "Eubrochoneura frustulosa", "Zomaria frustulosa", "Stephania pierrei", "Stephania papillosa", "Podognatha rebellis", "Argyroploce rebellis", "Podognatha opulenta", "Molybdocrates opulenta", "Podognatha tamias", "Argyroploce vinculata", "Argyroploce stilpnosticta", "Argyroploce scaristis", "Paronthobium daghfousi", "Paronthobium dierkensi", "Paronthobium farino", "Paronthobium iac", "Paronthobium julieni", "Paronthobium memaoya", "Paronthobium minutum", "Paronthobium nasutum", "Paronthobium orientale", "Paronthobium peckorum", "Paronthobium petchecara", "Paronthobium subdentatum", "Paronthobium taom", "Paronthobium tchingou", "Calamothespis aspoeckorum", "Calamothespis guineensis", "Calamothespis kibweziana", "Calamothespis lesnei", "Calamothespis nathani", "Calamothespis prosti", "Calamothespis tanzaniensis", "Calamothespis vansoni", "Rhynchitobius tanyrhinus", "Rhynchitobius xuthocolus", "Caladenia bryceana subsp. cracens", "Caladenia cadyi", "Caladenia callitrophila", "Caladenia capillata", "Pachygone odorifera", "Caladenia cardiochila", "Caladenia toxochila", "Caladenia caudata", "Pachygone dasycarpa", "Caladenia chamaephylla", "Caladenia citrina", "Caladenia clavigera", "Tinospora esiangkara", "Parolinia platypetala", "Holocola tristis", "Hermenias tristis", "Tinospora trilobata", "Tinospora dentata", "Gyalolechia bracteata", "Statherotis batrachodes", "Tinospora celebica", "Argyroploce batrachodes", "Euobraztsovia chionodelta", "Argyroploce chionodelta", "Sycacantha inodes", "Argyroploce inodes", "Argyroploce crossota", "Argyroploce crossotoma", "Myxinikela siroka", "Ophiorrhabda ergasima", "Argyroploce ergasima", "Argyroploce exedra", "Abuta panamensis", "Megalota fallax", "Polychrosis fallax", "Argyroploce hydrargyra", "Sisona albitibiana", "Grapholitha albitibiana", "Argyroploce conchifera", "Sycacantha rubida", "Theorica lamyra", "Argyroploce lamyra", "Theorica secunda", "Caladenia audasii", "Caladenia aurantiaca", "Caladenia aurulenta", "Caladenia australis", "Micropercops cinctus", "Gyalolechia delphinensis", "Caladenia behrii", "Micropercops borealis", "Caladenia bicalliata", "Micropercops dabryi", "Caladenia bicalliata subsp. bicalliata", "Caladenia bicalliata subsp. cleistogama", "Caladenia brachyscapa", "Caladenia calcicola", "Caladenia rosella", "Caladenia branwhitei", "Gyalolechia desertorum", "Caladenia brownii", "Caladenia bryceana", "Caladenia bryceana subsp. bryceana", "Biarum tenuifolium subsp. tenuifolium", "Biarum tenuifolium subsp. arundanum", "Biarum tenuifolium subsp. galianii", "Mirax caspiana", "Cyclea meeboldii", "Cyclea wattii", "Biarum tenuifolium subsp. zelebori", "Cyclea pendulina", "Biarum tenuifolium subsp. abbreviatum", "Biarum tenuifolium subsp. idomenaeum", "Potentilla umbrosa subsp. decrescens", "Potentilla umbrosa subsp. umbrosa", "Potentilla astracanica subsp. astracanica", "Potentilla astracanica subsp. callieri", "Erora lampetia", "Tinospora hirsuta", "Parabaena megalocarpa", "Caladenia colorata", "Caladenia concinna", "Caladenia corynephora", "Caladenia cracens", "Caladenia cristata", "Caladenia cruciformis", "Caladenia denticulata", "Stenus deliciosus", "Stenus balkei", "Stenus eros", "Stenus anteros", "Stenus potameis", "Stenus caeles", "Stenus callicomus", "Stenus helena", "Stenus hermes", "Stenus aias", "Stenus menelaus", "Stenus deiphobus", "Stenus polydamas", "Stenus patroclus", "Stenus diomedes", "Stenus tydeus", "Stenus euphorbus", "Stenus hector", "Stenus pandarus", "Stenus paris", "Otiorhynchus maximi", "Tinospora glandulosa", "Otiorhynchus dudkoi", "Otiorhynchus torosicus", "Tinospora baenzigeri", "Tinospora neocaledonica", "Ancylis eupena", "Acroclita historica", "Odontocarya mallosperma", "Caladenia discoidea", "Caladenia dilatata", "Caladenia dimidia", "Caladenia dimorpha", "Caladenia dorrienii", "Diaphus draconis", "Caladenia doutchiae", "Caladenia echidnachila", "Caladenia ensata", "Tinospora teysmannii", "Caladenia ensigera", "Cynodonichthys isthmensis", "Poecilasma miocaenica", "Poecilasma cubense", "Parascatopse distorta", "Leuctra pavesii", "Rhexoza campanella", "Biarum rhopalospadix", "Tinospora merrilliana", "Biarum aleppicum", "Metrichia acuminata", "Biarum angustatum", "Potentilla geranioides", "Potentilla geranioides subsp. syriaca", "Potentilla geranioides subsp. geranioides", "Swammerdamella bifurcata", "Caladenia falcata", "Caladenia ferruginea", "Caladenia filifera", "Potentilla heptaphylla", "Caladenia fitzgeraldii", "Potentilla heptaphylla subsp. australis", "Caladenia flavovirens", "Potentilla heptaphylla subsp. heptaphylla", "Caladenia flindersica", "Caladenia formosa", "Ascidia callosa", "Caladenia fragrantissima", "Caladenia fuliginosa", "Caladenia fulva", "Caladenia fuscata", "Caladenia gladiolata", "Caladenia gracilis", "Caladenia gracillima", "Caladenia graminifolia", "Caladenia graniticola", "Caladenia hastata", "Caladenia hirta", "Caladenia hirta subsp. hirta", "Caladenia hirta subsp. rosea", "Caladenia huegelii", "Caladenia infundibularis", "Caladenia insularis", "Caladenia integra", "Caladenia interanea", "Caladenia intuta", "Caladenia iridescens", "Biarum carduchorum", "Caladenia nana", "Biarum eximium", "Caladenia nana subsp. nana", "Caladenia nana subsp. unita", "Dianous coeruleogutta", "Dianous davidwrasei", "Dianous rufimontis", "Dianous luteostigma", "Dianous aerator", "Dianous fellowesianus", "Dianous hajekianus", "Dianous bellulus", "Dianous depressifrons", "Dianous asperifrons", "Dianous caeruleolimbatus", "Dianous ruzickai", "Dianous hastifer", "Dianous calvicollis", "Dianous liratipennis", "Dianous dabashanus", "Dianous acutatus", "Dianous farkaci", "Dianous deviatus", "Dianous freyi", "Dianous ernstjuengeri", "Dianous acutus", "Dianous bashanensis", "Ancylis lundana lannemezanella", "Pyralis lundana", "Ancylis lundana var. rhusiana", "Cocculus prainianus", "Cocculus balfourii", "Trechisibus zorgatii", "Paralipsis tibiator", "Cynodonichthys magdalenae", "Stenus alexander", "Stenus priamus", "Stenus achilles", "Stenus nestor", "Stenus hades", "Stenus hephaistus", "Stenus dolon", "Stenus agamemnon", "Stenus apollo", "Stenus ares", "Stenus polydorus", "Stenus hypostenoides", "Stenus callithrix", "Diogenichthys aguilerai", "Diogenichthys hulleyi", "Dianous endymion", "Dianous falsificatus", "Lampanyctus reductus", "Dianous laoticus", "Dianous fulgidicollis", "Dianous kejvali", "Dianous coeruleoviridis", "Dianous coeruleostigma", "Dianous versicolorus", "Paralampadena angolensis", "Paralampadena gabonensis", "Paralampadena solida", "Paralampadena gracile", "Gyalolechia flavorubescens", "Tortrix apicella", "Pyralis plumbana", "Tortrix siculana", "Ancylis lundana", "Ancylis sepusiensis", "Trechisibus bolivarianus", "Trechisibus guzzettii", "Cardiastethus hiurai", "Cardiastethus kathmandu", "Cardiastethus linnavuorii", "Cardiastethus nepalensis", "Embuana mahnerti", "Linnavuoriessa microptera", "Gampsocoris linnavuorii", "Micrometacanthus gomeranus", "Gampsocoris gomeranus", "Anasa linnavuorii", "Macroscytus raunoi", "Biarum crispulum", "Tinospora smilacina", "Biarum dispar", "Biarum olivieri", "Biarum straussii", "Scuticaria bueraremensis", "Scuticaria guainiana", "Biarum syriacum", "Paralipsis planus", "Cintaromorpha dacatrai", "Erora nana", "Erora nitetis", "Erora opisena", "Erora phrosine", "Caladenia lindleyana", "Pycnoderes venezuelanus", "Caladenia littoricola", "Caladenia longiclavata", "Caladenia longii", "Caladenia lowanensis", "Erora senta", "Euchilocoris bolivarianus", "Erora subflorens", "Neoneella minuscula", "Erora tella", "Poecilasma aurantia", "Biarum carratracense", "Cynodonichthys wassmanni", "Ixanthus viscosus", "Potamometra linnavuorii", "Hyginellus impunctatus", "Hyginellus linnavuorii", "Hyginellus ornatus", "Hyginellus scudderi", "Erora lorina", "Erora melba", "Hyginellus gayei", "Hyginellus fasciatus", "Hyginellus tropicus", "Heteropynellus tropicus", "Trechisibus gigas", "Trechisibus ukupachensis", "Trechisibus ticliensis", "Trechisibus chucurensis", "Aputrechisibus dubius", "Erora muridosca", "Erora quaderna", "Caladenia latifolia", "Caladenia leptochila", "Caladenia leptochila subsp. leptochila", "Caladenia leptochila subsp. dentata", "Poecilasma curryi", "Englemania peruana", "Caladenia leucochila", "Metrichia tere", "Metrichia ubajara", "Metrichia vulgaris", "Biarum mendax", "Campylomma attilioi", "Campylomma linnavuorii", "Biarum auraniticum", "Scholtzicoris linnavuorii", "Crambe feuilleei", "Psallops linnavuorii", "Psallops niedzwiedzkii", "Rhamphocoris linnavuorii", "Rhamphocoris monteithi", "Rhamphocoris sejunctus", "Rhamphocoris tenebrosus", "Discimita linnavuorii", "Aeliavuori linnacostatus", "Dianous aequalis", "Dianous alternans", "Dianous elegantulus", "Dianous emarginatus", "Dianous emeiensis", "Dianous uniformis", "Dianous ruginosus", "Dianous socius", "Coprophilus chinensis", "Minasmiris peruanus", "Minasmiris maldonadoi", "Minasmiris argentinus", "Biarum kotschyi", "Hemiophthalmocoris raunoi", "Linnavuorifulvius cheroti", "Biarum fraasianum", "Caladenia zephyra", "Caladenia montana", "Caladenia moschata", "Caladenia multiclavia", "Tinospora tinosporoides", "Caladenia multiclavia var. multiclavia", "Caladenia multiclavia var. brevicuspis", "Caladenia oenochila", "Caladenia orestes", "Caladenia orientalis", "Caladenia ornata", "Caladenia ovata", "Caladenia pallida", "Tinospora sumatrana", "Caladenia parva", "Caladenia petrensis", "Caladenia picta", "Tinospora homosepala", "Caladenia pilotensis", "Priolepis melanops", "Caladenia pumila", "Neoplokioides raunoi", "Craspedophorus arnosti", "Craspedophorus ruvumanus", "Henicocephaloides raunoi", "Craspedophorus reflexus", "Craspedophorus reflexus megamacula", "Physoderoides linnavuorii", "Noualhierella linnavuorii", "Sciadiocoris constanti", "Sciadiocoris linnvuorii", "Sciadiocoris raunoi", "Agachila linnavuorii", "Agachila raunoi", "Tinospora arfakiana", "Tinospora dissitiflora", "Caladenia macrostylis", "Cocculus diversifolius", "Caladenia magniclavata", "Cynodonichthys leucurus", "Caladenia magnifica", "Metrichia azul", "Metrichia bonita", "Caladenia marginata", "Metrichia bracui", "Metrichia caraca", "Biarum pyrami var. pyrami", "Metrichia circuliforme", "Metrichia curta", "Metrichia farofa", "Metrichia forceps", "Caladenia maritima", "Metrichia formosinha", "Biarum pyrami var. serotinum", "Metrichia goiana", "Metrichia itabaiana", "Metrichia longissima", "Metrichia peluda", "Metrichia rafaeli", "Metrichia simples", "Metrichia talhada", "Eucyclogobius kristinae", "Anchylopera brauni", "Gyrophaena criddlei", "Aleochara elisabethae", "Acrotona pseudopygmaea", "Atheta larsonae", "Anchylopera burgessiana", "Phoxopteris murtfeldtiana", "Tinospora glabra", "Anchylopera burgessiana pruni", "Acroclita carpalima", "Atheta pseudopittionii", "Atheta spermathecorum", "Atheta richardsoni", "Tinospora macrocarpa", "Pyrinomonas methylaliphatogenes", "Chloracidobacterium thermophilum", "Tinospora subcordata", "Gyalolechia fulgida", "Tinospora palminervis", "Ancylis celerata", "Mycaranthes oblitterata", "Eucosma celerata", "Dochmonota langori", "Dochmonota simulans", "Dochmonota websteri", "Agaricochara pulchra", "Oxypoda domestica", "Brachyusa saskatchewanae", "Acroclita colonota", "Acroclita hemiochra", "Anchylopera columbiana", "Priolepis compita", "Caladenia pusilla", "Trimma fishelsoni", "Caladenia pygmaea", "Synchiropus novaehiberniensis", "Labeotropheus chlorosiglos", "Labeotropheus simoneae", "Raja parva", "Gyalolechia fulgens", "Eidinemacheilus smithi", "Himantura australis", "Taeniura lessoni", "Telatrygon biasa", "Channa aurantipectoralis", "Otocinclus juruenae", "Urogymnus acanthobothrium", "Sinocyclocheilus huizeensis", "Tinospora nudiflora", "Bryobacter aggregatus", "Paludibaculum fermentans", "Mycaranthes latifolia", "Thermobaculum terrenum", "Caladenia radialis", "Caladenia radiata", "Caladenia reticulata", "Caladenia rhomboidiformis", "Caladenia rigida", "Caladenia robinsonii", "Choreutis calliclisa", "Choreutis sachalinensis", "Adoxomyia variabilis", "Tylopilus acutesquamosus", "Tylopilus alboater", "Tylopilus albofarinaceus", "Tylopilus alkalixanthus", "Trichocoptodera indica", "Scoliophthalmus gussakovskii", "Tylopilus ammiratii", "Polyodaspis ferulae", "Mochtherus sulawesiensis", "Gyalolechia oxneri", "Tylopilus arenarius", "Pseudocalleida pahangensis", "Carmentina perculta", "Metapodistis perculta", "Glyphipterix maritima", "Glyphipterix macrodrachma", "Glyphipterix pertenuis", "Glyphipterix persica", "Choreutis monognoma", "Crobilocerus richterae", "Tylopilus humilis", "Tylopilus atratus", "Tylopilus atronicotianus", "Tylopilus badiceps", "Tylopilus brachypus", "Tylopilus brevisporus", "Tylopilus brunneirubens", "Tylopilus bulbosus", "Gyalolechia pruinosa", "Cynodonichthys myersi", "Pterophorus ceylonicus", "Pterophorus laocaiensis", "Pterophorus vikhrevi", "Choreutis radians", "Choreutis hadrogastra", "Gyalolechia stantonii", "Gyalolechia stipitata", "Gyalolechia subbracteata", "Poecilasma kaempferi", "Platanthera ussuriensis", "Caladenia sanguinea", "Caladenia saxatilis", "Caladenia saxicola", "Caladenia sigmoidea", "Poecilasma crassa", "Poecilasma inaequilaterale", "Sideritis guayedrae", "Afrotarus golanensis", "Brachychila sabahensis", "Cynodonichthys montium", "Coptodera cechovskyi", "Coptodera johorensis", "Coptodera mersingensis", "Metapodistis molybdotoma", "Dolichoctis pahangensis", "Carmentina molybdotoma", "Epicroesa chromatorhoea", "Hilarographa mikadonia", "Tylopilus felleus", "Hilarographa leucopyrga", "Litobrenthia stephanephora", "Litobrenthia grammodes", "Tylopilus luisii", "Simaethis moiwana", "Anthophila moiwana", "Eutromula vinosa", "Grapholitha trabaena", "Tylopilus piniphilus", "Tylopilus plumbeoviolaceus", "Tylopilus potamogeton", "Leproplaca chrysodeta", "Evenus batesii", "Trilasmis eburnea", "Leproplaca obliterans", "Platanthera ophrydioides", "Caladenia valida", "Caladenia venusta", "Caladenia verrucosa", "Caladenia versicolor", "Caladenia villosissima", "Eutromula hypocroca", "Choreutis aegyptiaca", "Aureoboletus gentilis", "Eutromula bathysema", "Choreutis bathysema", "Cynodonichthys villwocki", "Eutromula mesolyma", "Choreutis mesolyma", "Aureoboletus innixus", "Litobrenthia japonica", "Aureoboletus longicollis", "Brenthia japonica", "Brenthia nephelosema", "Aureoboletus mirabilis", "Aureoboletus projectellus", "Brenthia tetartodipla", "Litobrenthia tetartodipla", "Alampla palaeodes", "Imma palaeodes", "Alampla arcifraga", "Imma arcifraga", "Alampla tetrope", "Imma tetrope", "Imma flammula", "Caladenia tensa", "Caladenia tessellata", "Caladenia testacea", "Caladenia stricta", "Caladenia strigosa", "Caladenia subtilis", "Poecilasma litum", "Poecilasma obliqua", "Poecilasma unguiculus", "Neosclerus albens", "Neosclerus areolatus", "Neosclerus biangulatus", "Neosclerus daweianus", "Neosclerus discolor", "Neosclerus figens", "Neosclerus forficatus", "Neosclerus fractus", "Neosclerus khasicus", "Neosclerus revolutus", "Neosclerus sagittatus", "Neosclerus semicalvus", "Neosclerus trisinuatus", "Amaurodera angularis", "Drusilla flagellata", "Drusilla palata", "Lomechusoides penicillatus", "Choreutis arisema", "Tylopilus brunneus", "Choreutis brunescens", "Choreutis atrox", "Choreutis chionocosma", "Choreutis atmodesma", "Aureoboletus auriporus", "Choreutis batangensis", "Amaurodera projecta", "Drusilla zyrasoides", "Arotrophora ombrodelta", "Cryptophlebia carpophaga", "Argyroploce lasiandra", "Cryptophlebia hemitoma", "Tylopilus felleus var. alutarius", "Cryptophlebia nannophthalma", "Tylopilus felleus var. felleus", "Tylopilus felleus var. minor", "Tylopilus felleus var. uliginosus", "Tylopilus sphagnorum", "Parabaena tuberculata", "Tylopilus sect.", "Eutromula vinosa vinosa", "Tylopilus mitissimus", "Tylopilus montanus", "Eutromula cunuligera", "Tylopilus montoyae", "Tylopilus nebulosus", "Tylopilus neofelleus", "Tylopilus nicaraguensis", "Tylopilus ochraceosquamosus", "Tylopilus oradivensis", "Argyroploce hemeronyx", "Tylopilus orsonianus", "Tylopilus peralbidus", "Leproplaca cirrochroa", "Tylopilus perplexus", "Cynolebias perforatus", "Tylopilus suavissimus", "Tylopilus tabacinus", "Tylopilus temucensis", "Tylopilus variobrunneus", "Tylopilus veluticeps", "Tylopilus vinaceogriseus", "Tylopilus virens", "Tylopilus williamsii", "Tylopilus zambianus", "Strophedromorpha mica", "Strophedra mica", "Tylopilus minor", "Selania acquiescens", "Cydia nebulocula", "Laspeyresia cyanatra", "Pammene cyanatra", "Laspeyresia xerophila", "Tylopilus niger", "Tylopilus atrobrunneus", "Caladenia wanosa", "Caladenia whiteheadii", "Caladenia xanthochila", "Caladenia \u00d7 ericksoniae", "Caladenia \u00d7 hopperi", "Loxosceles guajira", "Hilarographa zapyra", "Thaumatographa oenobapta", "Hilarographa ferox", "Thaumatographa hermatodes", "Hilarographa hermatodes", "Thaumatographa merinthias", "Hilarographa merinthias", "Thaumatographa mechanica", "Hilarographa mechanica", "Hilarographa calathisca", "Hilarographa citharistis", "Hilarographa druidica", "Tylopilus punctatofumosus", "Tylopilus rhoadsiae", "Tylopilus rigens", "Thaumatographa mesostigmatias", "Hilarographa ludens", "Ilomantis ginsburgae", "Tylopilus fumosipes", "Tylopilus fumosipes var. fumosipes", "Tylopilus fumosipes var. glabripes", "Tylopilus pacificus", "Tylopilus porphyrosporus", "Tylopilus porphyrosporus var. olivaceobrunneus", "Tylopilus porphyrosporus var. porphyrosporus", "Cyanicula caerulea var. heliotropica", "Tylopilus porphyrosporus var. sordidus", "Cynolebias altus", "Armatimonas rosea", "Chthonomonas calidirosea", "Fimbriimonas ginsengisoli", "Lotus azoricus", "Caladenia testacea var. testacea", "Caladenia testacea var. hildae", "Caladenia thysanochila", "Glyphipterix amseli", "Gyalolechia xanthostigmoidea", "Glyphipterix octatoma", "Caladenia uliginosa", "Caladenia uliginosa subsp. uliginosa", "Caladenia uliginosa subsp. candicans", "Glyphipterix danilevskii", "Caladenia uliginosa subsp. patulens", "Aureoboletus zangii", "Cynolebias porosus", "Glyphipterix dolichophyes", "Glyphipterix chionosoma", "Glyphipterix deliciosa", "Tylopilus chromoreticulatus", "Glyphipterix oxydonta", "Tylopilus corneri", "Tylopilus costaricensis", "Glyphipterix sulcosa", "Tylopilus cyanescens", "Glyphipterix talhouki", "Tylopilus cyanogranulifer", "Glyphipterix umbilici", "Tylopilus exiguus", "Tylopilus ferrugineus", "Eutromula atrosignata", "Tylopilus funerarius", "Tylopilus gomezii", "Tylopilus griseocarneus", "Simaethis atrosignata", "Tylopilus guanacastensis", "Tylopilus hondurensis", "Tylopilus hongoi", "Tylopilus indecisus", "Hemerophila ussuriensis", "Tylopilus intermedius", "Tylopilus jalapensis", "Orthobrachia tenebrosa", "Orthobrachia simpliciata", "Orthobrachia maoershanensis", "Orthobrachia hirowatarii", "Caladenia amplexans", "Cyanicula gertrudeae", "Caladenia sericea", "Lurama penia", "Perophora penia", "Caladenia ixioides", "Cyanicula ixioides subsp. ixioides", "Caladenia brunonis", "Caladenia emarginata", "Crambus argyrophorus", "Tylopilus sect.", "Tylopilus sect.", "Crambus coryolanus", "Tylopilus alutaceoumbrinus", "Crambus narcissus", "Crambus nigriscriptellus", "Tylopilus alutarius", "Tylopilus appalachiensis", "Crambus athamas", "Tylopilus areolatus", "Tylopilus argillaceus", "Crambus sinicolellus", "Crambus achilles", "Crambus hemileucalis", "Crambus hyacinthus", "Crambus virgatellus", "Crambus bipartellus", "Crambus nivellus", "Chilo nivellus", "Orthobrachia latifasciata", "Stegania latifasciata", "Orthobrachia flavidior", "Spathoglottis portus-finschii", "Stegania latifasciata var. flavidior", "Orthobrachia owadai", "Gaiella occulta", "Hilarographa spermatodesma", "Caladenia \u00d7 lavandulacea", "Tylopilus rubrobrunneus", "Thaumatographa tornoxena", "Tylopilus rufonigricans", "Caladenia \u00d7 triangularis", "Tylopilus sanctae-rosae", "Caladenia \u00d7 variabilis", "Quercus oleoides", "Quercus ser.", "Choreutis sehestediana", "Pyralis sehestediana", "Quercus brandegeei", "Tinea blancardella", "Quercus geminata", "Quercus sagraeana", "Tylopilus sordidus", "Cochylis stirodelphys", "Gynnidomorpha stirodelphys", "Aethes irmozona", "Tylopilus subcellulosus", "Grapholita heptatoma", "Tylopilus subfusipes", "Tylopilus subniger", "Grapholita namatophora", "Grapholita tricyanitis", "Tylopilus subvinaceipallidus", "Grapholita chrysacrotoma", "Tylopilus sultanii", "Grapholita astrapephora", "Grapholitha astrapephora", "Grapholita graphologa", "Parapammene pericapna", "Strophedra pericapna", "Parapammene cyanodesma", "Anisocycla blepharosepala", "Mooreia alkaloidigena", "Anisocycla blepharosepala subsp. tanzaniensis", "Dianajonesia amygdalum", "Drusilla perforans", "Orphnebius fansipanicus", "Lurama quindiuna", "Ulmara rotunda", "Cicinnus rotunda", "Ulmara conjuncta", "Ulmara azurula", "Ulmara dombroskiei", "Cunicumara anae", "Menevia torvamessoria", "Menevia menapia", "Menevia mielkei", "Menevia ostia", "Perophora ostia", "Chlamydia/Chlamydophila group", "Calochilus caeruleus", "Calochilus gracillimus", "Calochilus grandiflorus", "Calochilus holtzei", "Calochilus kalaru", "Ancylis subaequana fergusoni", "Ancylis subaequana", "Ancylis subaequana subaequana", "Phoxopteryx subaequana", "Palaeobia fidana", "Colias flaveola weberbaueri", "Cyclea cauliflora", "Calochilus neocaledonicus", "Calochilus psednus", "Calochilus richae", "Polycauliona brattiae", "Jamides hylassus hylassus", "Jamides hylassus mimetica", "Dianajonesia excavatum", "Caryomene olivascens", "Ischnothyreus ujungkulon", "Ischnothyreus ascifer", "Ischnothyreus concavus", "Ischnothyreus habeggeri", "Ischnothyreus haymozi", "Ischnothyreus lucidus", "Ischnothyreus marggii", "Ischnothyreus microphthalmus", "Ischnothyreus obscurus", "Camptoscaphiella fulva", "Tinospora siamensis", "Tylopilus austrofelleus", "Tylopilus ballouii", "Eriochilus helonomos", "Tylopilus beelii", "Eriochilus pulchellus", "Eriochilus valens", "Eriochilus magenteus", "Tylopilus cartagoensis", "Eriochilus petricola", "Tylopilus castaneiceps", "Eriochilus tenuis", "Eriochilus scaber", "Eriochilus scaber subsp. scaber", "Eriochilus scaber subsp. orbifolia", "Thelymitra petrophila", "Asthenes ayacuchensis", "Polycauliona ascendens", "Dianajonesia bathynomi", "Peltodonia atripalpis", "Tetrabothrus bicolor", "Tetrabothrus japonicus", "Limonium papillatum", "Camptoscaphiella hilaris", "Camptoscaphiella gunsa", "Camptoscaphiella loebli", "Camptoscaphiella martensi", "Camptoscaphiella nepalensis", "Camptoscaphiella panchthar", "Camptoscaphiella paquini", "Camptoscaphiella schwendingeri", "Camptoscaphiella silens", "Camptoscaphiella simoni", "Filobacterium rodentium", "Camptoscaphiella sinensis", "Camptoscaphiella strepens", "Camptoscaphiella taplejung", "Stephania tomentella", "Camptoscaphiella tuberans", "Stephania crebra", "Cyclea kinabaluensis", "Menevia parostia", "Pamea parostia", "Menevia pallida", "Menevia plagiata", "Mimallo plagiata", "Menevia alurca", "Menevia australis", "Menevia vulgaris", "Menevia franclemonti", "Menevia vulgaricula", "Menevia cordillera", "Menevia delphinus", "Exochus acostulatus", "Exochus adentatus", "Exochus areolaris", "Exochus carinalis", "Exochus dentisternum", "Exochus depressus", "Exochus nigritulus", "Exochus occipitalis", "Exochus orbitalis", "Exochus propodealis", "Leproplaca proteus", "Leproplaca xantholyta", "Eriochilus cucullatus", "Acinonyx jubatus hecki", "Coptotriche malifoliella", "Tischeria malifoliella", "Coptotriche pulverea", "Eriochilus dilatatus", "Tischeria pulverea", "Coptotriche roseticola", "Eriochilus dilatatus subsp. dilatatus", "Eriochilus dilatatus subsp. brevifolius", "Eriochilus dilatatus subsp. magnus", "Eriochilus dilatatus subsp. multiflorus", "Eriochilus dilatatus subsp. orientalis", "Tischeria roseticola", "Eriochilus dilatatus subsp. undulatus", "Tischeria relictana", "Tischeria decidua decidua", "Tischeria decidua siorkionla", "Ischnothyreus baltenspergerae", "Ischnothyreus bauri", "Ischnothyreus gigeri", "Ischnothyreus ligulatus", "Ischnothyreus nentwigorum", "Ischnothyreus sigridae", "Gildita luteonigra", "Glorita curicoensis", "Aidabella quadrimacula", "Cyclea elegans", "Quelita shangrilaensis", "Quelita canela", "Pudahuelia modesta", "Zulemita romeralensis", "Zulemita tenensis", "Curarea candicans", "Colias flaveola blameyi", "Colias flaveola mendozina", "Yramea modesta", "Zyras pokarzhevskii", "Yramea modesta modesta", "Yramea modesta araucania", "Simkania negevensis", "Zyras malaisei", "Zyras neoparageminus", "Zyras trapeziceps", "Zyras funestus", "Hypsochila pelambres", "Waddlia chondrophila", "Ancalochloris perfilievii", "Cyclea peregrina", "Mawida basualtoi", "Tenoia cinerea", "Zyras quasar", "Zyras fansipanicus", "Proeulia filigranae", "Algon fansipanicus", "Zyras chinkiangensis", "Zyras kambaitiensis", "Zyras rufapicalis", "Zyras rufoterminalis", "Zyras birmanus", "Zyras firmicornis", "Zyras subobsoletus", "Zyras sibiricus", "Nedenia rhodochra", "Zyras bangmaicus", "Zyras inexcisus", "Revonda eschara", "Zyras granapicalis", "Zyras lativentris", "Zyras caloderoides", "Zyras gilvipalpis", "Zyras dabanicus", "Despina rhodosema", "Borkhausenia rhodosema", "Zyras seminigerrimus", "Zyras maculicollis", "Zyras tenuicornis", "Zyras volans", "Zyras hebes", "Zyras nigrapicalis", "Irenia leucoxantha", "Zyras atrapicalis", "Irenia curvula", "Lucyna fenestella", "Scirtes luteus", "Scirtes malaisei", "Scirtes melinauensis", "Scirtes noonadan", "Scirtes pallicolor", "Scirtes penampangensis", "Scirtes phoupanensis", "Scirtes prodigiosus", "Scirtes punctatus", "Scirtes quasibalehensis", "Scirtes ranauensis", "Scirtes sarawakensis", "Scirtes seblatensis", "Scirtes sibayensis", "Scirtes sibolangitensis", "Scirtes sulawesicus", "Scirtes sulcigeroides", "Scirtes talinisensis", "Scirtes ulukimanisensis", "Scirtes velutinus", "Scirtes vietnamicus", "Scirtes wallacei", "Scirtes yangsinensis", "Phoxopteris falcata", "Calochilus ammobius", "Calochilus campestris", "Calochilus montanus", "Calochilus praealtus", "Calochilus pruinosus", "Calochilus pulchellus", "Calochilus sandrae", "Calochilus therophilus", "Calochilus uliginosus", "Calochilus caesius", "Calochilus cleistanthus", "Calochilus imperiosus", "Calochilus metallicus", "Calochilus russeus", "Stephania suberosa", "Trilacuna rastrum", "Trilacuna angularis", "Cyclea merrillii", "Cyclea robusta", "Cyclea tonkinensis", "Polycauliona bolacina", "Pagurixus concolor", "Pagurixus formosus", "Pagurixus haigae", "Pagurixus longipes", "Pagurixus maorus", "Eupagurus maorus", "Pagurixus nomurai", "Pagurixus ruber", "Pagurixus rubrovittatus", "Ceriagrion melanurum", "Caldisericum exile", "Phoxopteris cornifoliana", "Cyclea kinabaluensis var. hispida", "Cyclea kinabaluensis var. kinabaluensis", "Anchylopera definitivana", "Tortrix diminutana", "Grapholita discigerana", "Grapholita divisana", "Palaeobia erythrana", "Scirtes bocakorum", "Scirtes crockerensis", "Scirtes decorus", "Scirtes dumogensis", "Scirtes gunongmulensis", "Scirtes ishikawai", "Scirtes kinabalensis", "Scirtes kundasangensis", "Scirtes lambriensis", "Scirtes leuserensis", "Evenus floralia", "Evenus gabriela", "Evenus regalis", "Doina eremnogramma", "Doina phaeobregma", "Doina trachycantha", "Doina glebula", "Doina increta", "Orthotelia increta", "Doina edmondsii", "Depressaria edmondsii", "Doina scariphista", "Cryptolechia scariphista", "Doshia miltopeza", "Sciadotenia sprucei", "Afdera orphnaea", "Cryptolechia orphnaea", "Sciadotenia cayennensis", "Lucyna trifida", "Aniuta melanoma", "Disciphania ernstii", "Disciphania ernstii var. ernstii", "Cantorchilus elutus", "Doina paralagneia", "Cantorchilus zeledoni", "Doina lagneia", "Doina flinti", "Doina inconspicua", "Doina asperula", "Doina truncata", "Doina subicula", "Doina annulata", "Telitoxicum inopinatum", "Cryptolechia fenestella", "Eraina stilifera", "Eraina ungulifera", "Eraina furcifera", "Hyperbaena domingensis", "Polycauliona candelaria", "Lucyna carcharodon", "Dita phococara", "Dita fasciatipedella", "Zyras nigricornis", "Cryptolechia fasciatipedella", "Zyras tenebricosus", "Zyras tumidicornis", "Zyras athetoides", "Zyras atronitens", "Zyras nigronitens", "Dita morani", "Dita palmai", "Zyras pulcher", "Zyras schuelkei", "Zyras discolor", "Zyras bicoloricollis", "Zyras bisinuatus", "Zyras exspoliatus", "Zyras flexus", "Utilia luridella", "Zyras formosanus", "Zyras glabricollis", "Zyras extensus", "Cryptolechia luridella", "Zyras rectus", "Utilia ochracea", "Zyras hauserianus", "Cryptolechia ochracea", "Utilia falcata", "Utilia florinda", "Zyras cylindricornis", "Zyras hirtus", "Zyras setosivestis", "Alynda cinnamomea", "Alynda sarissa", "Zyras setosipennis", "Alynda striata", "Chloroherpeton thalassium", "Clathrochloris sulfurica", "Zyras iniquus", "Atha trimacula", "Zyras preangeranus", "Prosthecochloris aestuarii", "Zyras illecebrosus", "Prosthecochloris indica", "Prosthecochloris phaeoasteroidea", "Odontocarya tamoides", "Zyras alternans", "Prosthecochloris vibrioformis", "Thelymitra aggericola", "Zyras geminus", "Zyras articollis", "Thelymitra silena", "Retha rustica", "Thelymitra albiflora", "Zymrina xanthosema", "Thelymitra basaltica", "Thelymitra batesii", "Borkhausenia xanthosema", "Teresita isaura", "Thelymitra cyanapicata", "Thelymitra exigua", "Thelymitra frenchii", "Thelymitra inflata", "Thelymitra lucida", "Thelymitra pallidiflora", "Thelymitra peniculata", "Thelymitra viridis", "Thelymitra vulgaris", "Thelymitra xanthotricha", "Thelymitra bracteata", "Ardenticatena maritima", "Thelymitra alpicola", "Thelymitra incurva", "Kallotenue papyrolyticum", "Thelymitra erosa", "Dehalobium chlorocoercia", "Chloroflexus aggregans", "Thelymitra kangaloonica", "Chloroflexus aurantiacus", "Thelymitra angustifolia", "Thelymitra aristata", "Heliothrix oregonensis", "Thelymitra epipactoides", "Thelymitra spiralis", "Aliciana geminata", "Thelymitra \u00d7 macmillanii", "Aliciana albella", "Epigraphia albella", "Thelymitra grandiflora", "Osmarina argilla", "Thelymitra grandiflora subsp. grandiflora", "Thelymitra grandiflora subsp. exposa", "Thelymitra planicola", "Thelymitra atronitida", "Thelymitra alpina", "Thelymitra glaucophylla", "Thelymitra paludosa", "Thelymitra queenslandica", "Thelymitra alcockiae", "Thelymitra gregaria", "Thelymitra granitora", "Thelymitra fragrans", "Thelymitra imbricata", "Thelymitra nuda", "Odontocarya tamoides var. canescens", "Thelymitra graminea", "Thelymitra macrophylla", "Thelymitra megacalyptra", "Odontocarya tamoides var. tamoides", "Ktedonobacter racemifer", "Urgedra pavimenta var. quindinata", "Lepasta bractea majorina", "Crambometra derelicta", "Crambometra gladstonei", "Thelymitra apiculata", "Thelymitra arenaria", "Thelymitra azurea", "Campyloctys gladstonei", "Thelymitra benthamiana", "Thelymitra canaliculata", "Thelymitra circumsepta", "Lebertia cylinderia", "Lebertia pseudomaglioi", "Latuspina manmiaoyangae", "Lathrobium unguiferum", "Lathrobium spinans", "Lathrobium jiajinum", "Lathrobium wolongicum", "Lathrobium novabruptum", "Lathrobium jizushanense", "Thermoflexus hugenholtzii", "Orthomene hirsuta", "Orthomene verruculosa", "Orthomene schomburgkii", "Lathrobium kociani", "Lathrobium retunsum", "Philomusaea craterias", "Philomusaea brachyxista", "Philomusaea meniscogramma", "Heterocampa tuna", "Naduna sagittula", "Eunotela claricentrata", "Tylopilus castanoides", "Tylopilus cellulosus", "Tylopilus chlorinosmus", "Tylopilus chromapes", "Evenus satyroides", "Nitrolancea hollandica", "Sphaerobacter thermophilus", "Chadisra ochribasis", "Thermomicrobium carboxidum", "Thermomicrobium roseum", "Pelorovis antiquus", "Polycauliona coralloides", "Borismene japurensis", "Desulfurispira natronophila", "Desulfurispirillum alkaliphilum", "Desulfurispirillum indicum", "Evenus latreillii", "Thelymitra cornicina", "Thelymitra corrugata", "Thelymitra cucullata", "Abuta barbata", "Boarmia xanthypochlora", "Brassolis ornamentalis", "Variacma subrotunda", "Tolpia trigonifera", "Prochloron didemni", "Atychia diabolus", "Lathrobium daliense", "Lathrobium aokii", "Schlimia alpina", "Polycauliona inconspecta", "Ophthalmodes subpicaria", "Ophthalmodes prasinospila", "Lathrobium wrasei", "Abuta solimoesensis", "Boarmia pertusaria", "Polycauliona kaernefeltii", "Ophthalmodes sinensium", "Abuta bullata", "Sepona punctata", "Euptychia punctata", "Abuta sandwithiana", "Euptychia griseola", "Taygetis indecisa", "Polycauliona ignea", "Evenus sponsa", "Polycauliona impolita", "Stenosigma humerale", "Stenosigma quechua", "Stenonartonia tekoraava", "Stenonartonia rejectoides", "Stenonartonia occipitalis", "Stenonartonia hasyva", "Stenonartonia perdita", "Stenonartonia cooperi", "Stenonartonia guaraya", "Stenonartonia tanykaju", "Stenonartonia hermetica", "Stenonartonia grossa", "Thelymitra dedmaniarum", "Thelymitra flexuosa", "Thelymitra forbesii", "Thelymitra fuscolutea", "Polycauliona flavogranulosa", "Thelymitra hiemalis", "Thelymitra holmesii", "Thelymitra improcera", "Thelymitra irregularis", "Thelymitra jacksonii", "Thelymitra magnifica", "Syntrichia montana", "Thelymitra yorkensis", "Thelymitra stellata", "Thelymitra javanica", "Thelymitra jonesii", "Thelymitra latiloba", "Thelymitra occidentalis", "Lathrobium bernhaueri", "Lathrobium tichomirovae", "Lathrobium permutatum", "Microcystis aeruginosa", "Orphnebius reductus", "Orphnebius biformis", "Orphnebius retunsus", "Orphnebius fodens", "Orphnebius effeminatus", "Orphnebius multimpressus", "Orphnebius niger", "Orphnebius siamensis", "Notogynaphallia arturi", "Notogynaphallia pseudoceciliae", "Luteostriata arturi", "Luteostriata pseudoceciliae", "Lycinus lagigliai", "Lycinus nevadoensis", "Foliisarcina bertiogensis", "Ophthalmitis lushanaria", "Boarmia irrorataria", "Boarmia senex", "Boarmia hedemanni", "Ophthalmodes lectularia", "Ophthalmodes herbidaria", "Ophthalmodes pulsaria", "Cercomacroides fuscicauda", "Johannesbaptistia pellucida", "Evenus sumptuosa", "Thelymitra juncifolia", "Thelymitra longiloba", "Thelymitra luteocilium", "Evenus tagyra", "Thelymitra maculata", "Thelymitra uliginosa", "Evenus temathea", "Thelymitra speciosa", "Thelymitra pulcherrima", "Thelymitra variegata", "Ophthalmodes cordularia", "Thelymitra sarasiniana", "Capsosira lowei", "Thelymitra sargentii", "Thelymitra simulata", "Thelymitra spadicea", "Thelymitra sparsa", "Thelymitra tigrina", "Thelymitra villosa", "Polycauliona tenuiloba", "Thelymitra \u00d7 chasmogama", "Polycauliona thamnodes", "Thelymitra \u00d7 truncata", "Thelymitra \u00d7 dentata", "Thelymitra \u00d7 mackibbinii", "Orphnebius depressicollis", "Orphnebius gibber", "Orphnebius breviceps", "Orphnebius dilatatus", "Orphnebius extensus", "Orphnebius serratus", "Orphnebius integer", "Orphnebius latitibialis", "Orphnebius bicuspis", "Orphnebius opticus", "Orphnebius incrassatus", "Orphnebius fusicollis", "Cryptochilus ctenostachyus", "Cryptochilus luteus", "Cryptochilus petelotii", "Glaucolychna aurolaxa", "Zelinkaderes yong", "Neusticomys vossi", "Monacoa griseus", "Monacoa niger", "Monacoa grimaldii", "Triplophysa daochengensis", "Potamotrygon rex", "Gymnothorax indicus", "Maculabatis ambigua", "Garra sindhi", "Epinephelus kupangensis", "Abuta candollei", "Cirrhilabrus hygroxerus", "Palaeohydrococcus raoi", "Cetopirus fragilis", "Lathrobium marani", "Lathrobium hailuogouense", "Polycauliona pollinarioides", "Anticrates agrippina", "Orphnebius jumlaicus", "Sagalassa platysema", "Thelymitra media", "Thelymitra media var. media", "Thelymitra media var. carneolutea", "Aliterella antarctica", "Aliterella atlantica", "Thelymitra merraniae", "Phycodes morosa", "Thelymitra mucida", "Thelymitra papuana", "Thelymitra polychroma", "Polycauliona stellata", "Thelymitra psammophila", "Thelymitra purpurata", "Thelymitra reflexa", "Thelymitra rubra", "Polycauliona tenax", "Anoxybacter fermentans", "Hypostrymon aepeona", "Hypostrymon renidens", "Crustospathula khaoyaiana", "Hypostrymon asa", "Ianusanta ianusi", "Lecanora ecoronata", "Iaspis temesa", "Polymeridium amylosporum", "Acianthus cymbalariifolius", "Milnesium argentinum", "Acaryochloris marina", "Milnesium beatae", "Orphnebius ceylonicus", "Orphnebius discrepans", "Orphnebius triapicalis", "Orphnebius gracilior", "Orphnebius sexcarinatus", "Orphnebius spoliatus", "Orphnebius cultellatus", "Orphnebius septemcuspis", "Orphnebius vates", "Orphnebius tortus", "Orphnebius baccillatus", "Orphnebius carinatus", "Orphnebius dispar", "Orphnebius laticeps", "Orphnebius biimpressus", "Orphnebius ulcerosus", "Orphnebius falagrioides", "Orphnebius mirabile", "Arthonia karunaratnei", "Drusilla erichsoni", "Acianthus corniculatus", "Cyclea peltata", "Inaechelys pernambucensis", "Cynolebias itapicuruensis", "Cynolebias vazabarrisensis", "Cynolebias gilbertoi", "Deinobacterium chartae", "Truepera radiovictrix", "Dictyoglomus thermophilum", "Dictyoglomus turgidum", "Elusimicrobium minutum", "Drusilla bifida", "Rabdotodrusilla pectinata", "Pella cinctipennis", "Chitinispirillum alkaliphilum", "Peltodonia bodemeyeri", "Loefgrenia anomala", "Acianthus aegeridantennatus", "Enterographa wijesundarae", "Acianthus amplexicaulis", "Fellhanera stipitata", "Alnus alnobetula", "Malmidea plicata", "Ceratoteleas cornus", "Acianthus atepalus", "Phlyctis lueckingii", "Acianthus bracteatus", "Acianthus caudatus", "Acianthus confusus", "Porina viridipustulata", "Cynolebias attenuatus", "Stirtonia isidiata", "Cynolebias gibbus", "Trypetheliopsis hirsuta", "Geostiba circellaris", "Geostiba flava", "Geostiba krzysztofi", "Geostiba articarinata", "Geostiba arida", "Dactylorhiza majalis subsp. baltica", "Geostiba gontarenkoi", "Geostiba jordanica", "Tetrasticta laotica", "Dactylorhiza majalis subsp. sphagnicola", "Aneurinibacillus group", "Acidota cruentata", "Micropeplus staphylinoides", "Habrocerus cyprensis", "Orphnebius schuelkei", "Orphnebius spinans", "Orphnebius cernens", "Orphnebius lunatus", "Orphnebius grandicollis", "Orphnebius fuscapicalis", "Cicinnus maranhensis", "Cicinnus cerradensis", "Cicinnus haromana", "Cicinnus conlani", "Cicinnus minimalis", "Cicinnus brasiliensis", "Gloeotrichia echinulata", "Gloeotrichia longicauda", "Toxopsis calypsus", "Arianula feiranovensis", "Druentica fanoveira", "Marsdenia tomentosa", "Roelofa elyanae", "Reinmara wolfei", "Lacosoma valeroides", "Micropterix pardella", "Microptericina abchasiae", "Cryptochilus sanguineus", "Anamimnesis bleszynskii", "Lecithocera thiodora", "Frisilia indigens", "Quassitagma glabrata", "Orphnebius nigrapicalis", "Chitinivibrio alkaliphilus", "Myrmoecia libanensis", "Amaurodera cameroni", "Raorchestes silentvalley", "Anisomeridium palavanum", "Anisomeridium subtruncatum", "Papaver fugax var. fugax", "Epidendrum catillus", "Amaurodera arunica", "Amaurodera gilvios", "Amaurodera reticulata", "Amaurodera dentata", "Amaurodera parvoculata", "Amaurodera fasciata", "Amaurodera disparicollis", "Amaurodera spinans", "Amaurodera varicollis", "Tetrabothrus septentrionalis", "Tetrabothrus nilgiricus", "Tetrabothrus puetzi", "Tetrabothrus pubescens", "Tetrabothrus inflexus", "Tetrabothrus breviatus", "Tetrabothrus collucatus", "Tetrabothrus clavatus", "Tetrabothrus punctiventris", "Tetrabothrus sulawesicus", "Astrothelium subfusum", "Quinella ovalis", "Thermolithobacter carboxydivorans", "Thermolithobacter ferrireducens", "Zyras porrectus", "Zyras wunderlei", "Pedinopleurus chapmani", "Pedinopleurus notabilis", "Aenictoides derivata", "Domene contiger", "Domene exicta", "Tectusa besucheti", "Pyrenula complanata", "Dactylorhiza majalis subsp. majalis", "Oscillibacter ruminantium", "Oscillibacter valericigenes", "Pabstia jugosa", "Dianajonesia fissa", "Pseudoechthistatus obliquefasciatus", "Pseudoechthistatus acutipennis", "Cypha spathulata", "Cypha tenebricosa", "Pyrenula crassiuscula", "Dinusa cretica", "Oxypoda schminkei", "Acianthus elegans", "Acianthus exsertus", "Acianthus grandiflorus", "Acianthus halleanus", "Acianthus heptadactylus", "Acianthus ledwardii", "Acianthus macroglossus", "Turicibacter sanguinis", "Acianthus oxyglossus", "Acianthus saxatilis", "Acianthus tenuilabris", "Acianthus veillonis", "Pyrenula subglabrata", "Pyrenula oculata", "Pyrenula media", "Noblella madreselva", "Pristimantis deyi", "Chinchippus viejaensis", "Pronomaea picea", "Stenus brunnipes", "Stenus brunnipes lepidus", "Astenus rhodicus", "Othius lapidicola", "Sharpea azabuensis", "Okadaella gastrococcus", "Iaspis castitas", "Iaspis exiguus", "Platanthera tipuloides", "Aleochara rosei", "Aleochara hamulata", "Aleochara lygaea", "Aleochara stichai", "Liogluta nigrobusta", "Haploglossa gentilis", "Thamiaraea cinnamomea", "Kiloniella laminariae", "Kiloniella litopenaei", "Kiloniella spongiae", "Kopriimonas byunsanensis", "Pseudoechthistatus birmanicus", "Pseudoechthistatus granulatus", "Pseudoechthistatus sinicus", "Pseudoechthistatus chiangshunani", "Pseudoechthistatus holzschuhi", "Pseudoechthistatus pufujiae", "Pseudoechthistatus glabripennis", "Medetera exornata", "Medetera furva", "Medetera sinuosa", "Medetera emeljanovi", "Medetera sakhalinensis", "Bacidia ekmaniana", "Bacidia purpurans", "Bacidia sorediata", "Nokona mahawu", "Dianajonesia kilepoae", "Quedius job", "Xantholinus chiosicus", "Oxypoda bicornuta", "Medon carpathius", "Ignavibacterium album", "Melioribacter roseus", "Hydrotaea carinatus", "Hydrotaea xinjiangensis", "Hydrotaea zao", "Hydrotaea zhaomenga", "Hydrotaea harpagospinosa", "Hydrotaea cilitibia", "Cockerelliella kudremukhensis", "Oligosphaera ethanolica", "Lentisphaera araneosa", "Lentisphaera marina", "Lentisphaera profunda", "Victivallis vadensis", "Nitrospina gracilis", "Philorinum hopffgarteni", "Aleochara caucasica", "Aleochara simplicicornis", "Aleochara bituberculata", "Platanthera bifolia subsp. osca", "Pseudcockerelliella curvata", "Algisphaera agarilytica", "Phycisphaera mikurensis", "Metabemisia leguminosa", "Tepidisphaera mucosa", "Hypotrachyna sorocheila", "Atlanta ariejansseni", "Isosphaera pallida", "Hypotrachyna himalayana", "Aminomonas aminovorus", "Iaspis beera", "Iaspis castimonia", "Platanthera nipponica", "Cephennium kerpense", "Euconnus kerpensis", "Stenichnus kerpensis", "Oxypoda bistirpata", "Crassuncus koperbergi", "Crassuncus hawkingi", "Hellinsia katerina", "Paralasa kolesnichenkoi", "Longimicrobium terrae", "Gemmatimonas phototrophica", "Gemmatirosa kalamazoonesis", "Hydrotaea semiflava", "Hydrotaea polita", "Hydrotaea polita polita", "Hydrotaea polita kenyana", "Hydrotaea elephans", "Hydrotaea ozerovi", "Hydrotaea portschinskyi", "Hydrotaea stackelbergi", "Hydrotaea atrisquama", "Hydrotaea parva", "Hydrotaea multipilosa", "Hydrotaea exigua", "Hydrotaea bistoichas", "Hydrotaea fimbripeda", "Hydrotaea compositispina", "Lasiocampa plana", "Chlororithra fea var. missioniaria", "Protohyale pusilla", "Protohyale solitaire", "Ericthonius forbesii", "Ericthonius rodneyi", "Liljeborgia polonius", "Elasmopus arrawarra", "Hoho cornishi", "Gammaropsis legoliath", "Pagodula concepcionensis", "Ribautia combinata", "Ribautia donatellae", "Liolaemus montanezi", "Tityus imei", "Microchironomus cavus", "Microtendipes angustus", "Microtendipes quasicaducus", "Microtendipes tuberosus", "Microtendipes yaanensis", "Microtendipes zhamensis", "Rhizolepas annelidicola", "Rhizolepas gurjanovae", "Fibraurea recisa", "Acropyga nipponensis", "Acropyga baodaoensis", "Parascleroderma thaiana", "Parascleroderma renaiensis", "Gonatopus hagoromo", "Amphiplicatus metriothermophilus", "Aquisalinus flavus", "Gallowayella concinna", "Gallowayella coppinsii", "Ignata levis", "Gallowayella fulva", "Ignata mulsus", "Rhizobium/Agrobacterium group", "Sinorhizobium/Ensifer group", "Ignata norax", "Iaspis talayra", "Iaspis thabena", "Polycauliona ucrainica", "Aerides crispa", "Polycauliona verruculifera", "Iaspis verania", "Ignata brasiliensis", "Ignata elana", "Ignata gadira", "Tinomiscium petiolare", "Epyris mureungensis", "Epyris finitus", "Epyris dulicus", "Epyris breviclypeatus", "Epyris jeonbukensis", "Epyris sudosanensis", "Epyris yetus", "Epyris niwoh", "Epyris hangunensis", "Epyris longicephalus", "Epyris afer", "Gallowayella hasseana", "Epyris enerterus", "Epyris penatii", "Epyris sauteri", "Epyris apicalis", "Epyris fuscipes", "Axonopsis kintampo", "Bilia burma", "Gallowayella montana", "Oceanibacterium hippocampi", "Thamiaraea hospita", "Stenus nitidiventris", "Gabrius tokatensis", "Quedius infuscatus", "Quedius truncicola", "Vulda substricta", "Xantholinus bitlisicus", "Antrocephalus murakamii", "Tachys gyotokuensis", "Tachys fasciatus", "Tachys fasciatus fasciatus", "Tachys fasciatus uenoi", "Allobethylus tomoae", "Acrepyris ryukyuensis", "Acrepyris orihime", "Apenesia bishamon", "Apenesia daikoku", "Apenesia elegans", "Cyclommatus asahinai", "Cyclommatus asahinai nanlingensis", "Magnetofaba australis", "Apenesia kusigematii", "Apenesia okinawensis", "Apenesia otohime", "Dissomphalus minutulus", "Discothyrea yueshen", "Pachycondyla tianzun", "Ponera yuhuang", "Ponera rishen", "Ponera shennong", "Ponera taiyangshen", "Simopone huode", "Vollenhovia menshen", "Vollenhovia shunfenger", "Vollenhovia xingjun", "Pseudisobrachium ryukyuanum", "Pseudisobrachium onoyamai", "Holepyris amamiinsulanus", "Holepyris matsumurai", "Holepyris omotoensis", "Holepyris susanowo", "Holepyris yambaru", "Calotydeus pseudofustis", "Gallowayella borealis", "Therontydeus proteacapensis", "Cephalonomia shirahamana", "Odontepyris marishi", "Goniozus ryukyuensis", "Goniozus kusigematii", "Goniozus yaeyamanus", "Dimetrodon loomisi", "Dissomphalus kinabarensis", "Brachytydeus rutrus", "Brachytydeus varitas", "Brachytydeus pseudovaritas", "Acrepyris mieae", "Pseudisobrachium hongkongense", "Pseudotriophtydeus vegei", "Xantholinus luteipennis", "Odontepyris formosicola", "Odontepyris taiwanus", "Odontepyris liukuensis", "Odontepyris koreanus", "Parascleroderma okajimai", "Parascleroderma atayal", "Epyris cochlear", "Epyris depressigaster", "Epyris argentinicus", "Epyris angustatus", "Epyris perpolites", "Epyris parallelus", "Epyris crassifemur", "Epyris jugatus", "Epyris intermedius", "Stiliderus cicatricosus", "Gallowayella galericulata", "Nazeris vietnamensis", "Nazeris tramtonus", "Nazeris damingshanus", "Gallowayella gallowayi", "Rhodothalassium salexigens", "Aegyptianella pullorum", "Epyris longus", "Epyris paramedius", "Epyris distinctus", "Epyris variatus", "Epyris loisae", "Epyris azevedoi", "Epyris carpenteri", "Epyris fulgeocauda", "Epyris herschae", "Epyris aequalis", "Epyris limatulus", "Epyris longiantennatus", "Sialis elegans", "Sialis kunmingensis", "Sialis versicoloris", "Sialis primitivus", "Sialis navasi", "Sialis bilobata", "Sialis iyoensis", "Sialis nakaharai", "Actinoptera trypaneoides", "Gallowayella aphrodites", "Spilomyia abdominalis", "Podothrips sasacola", "Emcibacter nanhaiensis", "Temperatibacter marinus", "Aeolothrips conjunctus", "Iaspis grandis", "Iaspis ornata", "Aenictus changmaianus", "Aenictus nishimurai", "Aenictus thailandianus", "Amblyopone fulvida", "Amblyopone sakaii", "Gallowayella oregona", "Camponotus ogasawarensis", "Camponotus amamianus", "Lachnagrostis filiformis", "Epitritus formosus", "Kyidris takasago", "Cynolebias griseus", "Nazeris bihamatus", "Nazeris latilobatus", "Nazeris obtortus", "Nazeris clavator", "Nazeris latibasalis", "Proceratium formosicola", "Acanthoglossa hirta", "Cynolebias leptocephalus", "Hypomedon galilaeus", "Hypomedon nasutus", "Hypomedon bicornutus", "Haematocarpus validus", "Ferritrophicum radicicola", "Elysia chlorotica", "Aquaspirillum polymorphum", "Vibrio adaptatus", "Vibrio cyclosites", "Quedius nemoralis", "Smithistruma elegantula", "Estrella lausannensis", "Ferrovum myxofaciens", "Smithistruma benten", "Smithistruma kichijo", "Smithistruma formosimonticola", "Smithistruma mazu", "Gallowayella poeltii", "Camponotus yamaokai", "Gallowayella sogdiana", "Gallowayella tibellii", "Poaephyllum pauciflorum", "Silvorchis colorata", "Gallowayella weberi", "Roseiarcus fermentans", "Stilicoderus rastratus", "Stilicoderus confusus", "Stilicoderus brachypterus", "Holepyris shamensis", "Holepyris thailandensis", "Allobethylus khonkaensis", "Cephalonomia elegantula", "Cephalonomia chihpenensis", "Cephalonomia thaiana", "Pseudisobrachium nambui", "Marrubium astracanicum", "Parascleroderma ishana", "Parascleroderma jinmo", "Holepyris benten", "Holepyris tsugaruensis", "Holepyris hotei", "Laelius naniwaensis", "Laelius nigrofemoratus", "Laelius yamatonis", "Laelius yokohamensis", "Sclerodermus monju", "Sclerodermus ogasawarensis", "Cephalonomia fugen", "Heterocoelia kishimo", "Heterocoelia kamakurensis", "Bethylus shiganus", "Odontepyris japonicus", "Goniozus eriae", "Goniozus kaiensis", "Goniozus akitsushimanus", "Goniozus yoshikawai", "Sierola izanami", "Epyris rotundus", "Mycetoporus jonicus", "Mycetoporus simillimus", "Geostiba lucens", "Myrmecopora convexula", "Oxypoda acutissima", "Oxypoda obscuricollis", "Pseudocalea angulata", "Albertisia papuana", "Albertisia puberula", "Cynolebias microphthalmus", "Cynolebias paraguassuensis", "Bradymonas sediminis", "Saturnia pyri pyri", "Saturnia pyri thaumastos", "Cerodontha calamagrostidis", "Ipidecla crepundia", "Ipidecla schausi", "Jesmurraya novozelandica", "Poaephyllum fimbriatum", "Poaephyllum grandiflorum", "Poaephyllum podochiloides", "Cynopoecilus melanotaenia", "Poaephyllum selebicum", "Poaephyllum tenuipes", "Poaephyllum trilobum", "Meroscalpellum bifurcatum", "Enhygromyxa salina", "Massjukiella alaskana", "Vulgatibacter incomptus", "Pabstia modestior", "Pabstia placanthera", "Pabstia schunkiana", "Rachovia brevis", "Massjukiella nowakii", "Hydatoscia ategua", "Trigonectes strigabundus", "Epidendrum cordatum", "Prosthechea aemula", "Rugilus frischi", "Rugilus smetanai", "Rugilus reticulatus", "Stenus hospes", "Achenium scimbalioides", "Phloeocharis microptera", "Phloeocharis gredosensis", "Phloeocharis brachyptera", "Lethe liyufeii", "Gallowayella wetmorei", "Amarochara cribripennis", "Amarochara siculifera", "Amarochara caeca", "Amarochara sororcula", "Eriocnemis isabellae", "Amarochara megalops", "Amarochara daweiana", "Lethe ocellata ocellata", "Lethe yoshikoae", "Lethe leei", "Lethe yunnana", "Lethe yunnana yunnana", "Lethe yunnana bozanoi", "Vampirovibrio chlorellavorus", "Pseudobacteriovorax antillogorgicola", "Lethe neofasciata", "Minois paupera liuyei", "Ipidecla miadora", "Polycaena matuta shii", "Polycaena matuta matuta", "Macreupelmus auranticrus", "Macreupelmus aurantispina", "Ornithogalum nivale", "Neucentropus mandjuricus", "Neureclipsis mongolica", "Xanthocarpia aquensis", "Xanthocarpia borysthenica", "Eupelmus pulchriceps", "Haba almasyana", "Gryllus texensis", "Honeggeria rosmarieae", "Cynopoecilus fulgens", "Cynopoecilus intimus", "Cynopoecilus multipapillatus", "Cynopoecilus nigrovittatus", "Newmanilepas mirifica", "Cania kitchingi", "Macreupelmus erwini", "Macreupelmus granulosus", "Macreupelmus laticlavius", "Macreupelmus nigrispina", "Macreupelmus crassicornis", "Macreupelmus dromedarius", "Macreupelmus brasiliensis", "Macreupelmus ivondroi", "Macreupelmus malgacinus", "Reikosiella bekilyi", "Martinjahnsia resendei", "Cania lourensi", "Cania bilinea robusta", "Cania bilinea pallida", "Staphylococcus arlettae", "Staphylococcus delphini", "Staphylococcus felis", "Staphylococcus equorum", "Staphylococcus kloosii", "Staphylococcus hominis", "Oxydia ardesia", "Certima discrepans", "Leucochesias subnitens", "Syntrophorhabdus aromaticivorans", "Euphaedra irangi", "Euphaedra romboutsi", "Euphaedra caerulescens caliginosa", "Euphaedra hollandi", "Cleora crampettei", "Cleora floresensis", "Cleora alienaria alienaria", "Cleora alienaria timorensis", "Parnassius seminiger", "Parnassius qinghaiensis", "Melitaea athalia var. ambigua", "Melitaea athalia sachalinensis", "Melitaea athalia bathilda", "Mellicta ambigua ambigua", "Mellicta ambigua kenteana", "Melitaea athalia var. kenteana", "Mellicta ambigua sayanskalpina", "Melitaea ambigua race sayanskalpina", "Pseudapiconoma daphaena", "Pseudapiconoma affinis", "Scythropiodes approximans", "Odites approximans", "Porticoccus hydrocarbonoclasticus", "Porticoccus litoralis", "Scythropiodes tribula", "Odites tribula", "Pararge episcopalis", "Pararge praeusta", "Chonala praeusta praeusta", "Pararge praeusta praeusta", "Chonala praeusta burmana", "Pararge praeusta burmana", "Pararge miyatai", "Haba subtilis", "Patania clava", "Haba biroi", "Haba colonialis", "Nothocasis rosariae", "Phaulolechia subrotunda", "Variacma isotyra", "Cryptolechia isotyra", "Phaulolechia isotyra", "Meleonoma jubingella", "Meleonoma dierli", "Meleonoma meyricki", "Meleonoma montana", "Meleonoma flavimaculata", "Euteles flavimaculata", "Aestuariicella hydrocarbonica", "Laothus cockaynei", "Laothus erybathis", "Stigmella crotonica", "Xanthocarpia epigaea", "Algiphilus aromaticivorans", "Hydrocarboniphaga daqingensis", "Gongora quinquenervis", "Hydrocarboniphaga effusa", "Gongora alfieana", "Gongora arcuata", "Xanthocarpia erichansenii", "Laothus numen", "Hydrogenimonas thermophila", "Mellicta ambigua niphona", "Melitaea niphona", "Melitaea athalia nossis", "Mellicta ambigua mandschurica", "Melitaea athalia var. mandschurica", "Melitaea athalia var. sutschana", "Melitaea athalia f. conica", "Melitaea athalia f. flavescens", "Mellicta ambigua kurmaevi", "Meleonoma nepalella", "Meleonoma malacobyrsa", "Rugilus dabaicus", "Rugilus gonggaicus", "Rugilus emeiensis", "Meleonoma facunda", "Rugilus emeimontis", "Rugilus schuelkei", "Rugilus aquilinus", "Rugilus rugosissimus", "Meleonoma torophanes", "Massjukiella polycarpa", "Rugilus ceylanensis", "Rugilus simlaensis", "Rugilus velutinus", "Leptosaces facunda", "Rugilus rufescens", "Rugilus japonicus", "Meleonoma peditata", "Phaulolechia saccata", "Xanthocarpia crenulatella", "Limacia blumei", "Halleorchis aspidogynoides", "Laothus gibberosa", "Hadena klapperlichi", "Blepharita aphanes", "Blepharita dufayi", "Polymixis polymorpha", "Polymixis polymorpha polymorpha", "Polymixis polymorpha niviplaga", "Polymixis zophodes", "Polymixis stictineura", "Bryopolia holosericea", "Agrochola statira", "Auchmis crassicornis", "Phryganogryllacris brevipennis", "Phryganogryllacris fanjingshanensis", "Phryganogryllacris hubeiensis", "Phryganogryllacris sigillata", "Diplorickettsia massiliensis", "Xanthocarpia diffusa", "Crenothrix polyspora", "Laothus barajo", "Toxothrix trichogenes", "Bifissio spartinae", "Venteria marina", "Epipsammia constantialis", "Epipsammia agrapha", "Hecatera agrapha", "Hecatera constantialis", "Stenodrina eudiopsis", "Orphnebius paucisetosus", "Orphnebius mutabilis", "Orphnebius ancorarius", "Orphnebius tricuspis", "Orphnebius tridentatus", "Orphnebius alesi", "Orphnebius scissus", "Orphnebius dishamatus", "Orphnebius formosanus", "Heliothis philbyi", "Orphnebius planicollis", "Timora philbyi", "Timora philbyi philbyi", "Tetrabothrus cavus", "Timora philbyi nuristana", "Tetrabothrus brevalatus", "Myxobolus pyriformis", "Xanthocarpia marmorata", "Brevinema andersonii", "Stigmella celtifoliella", "Zymobacter group", "Zymobacter palmae", "Stigmella charistis", "Oleiphilus messinensis", "Rhipidomys leucodactylus", "Falsopodabrus tridentatus", "Pseudoparasitus triquetrus", "Stigmatodactylus sikokianus", "Stigmatodactylus celebicus", "Stigmatodactylus croftianus", "Stigmatodactylus gibbsiae", "Stigmatodactylus variegatus", "Falsopodabrus himalaicus", "Stigmatodactylus javanicus", "Stigmatodactylus lamrii", "Stigmatodactylus paradoxus", "Stigmatodactylus serratus", "Gymnolaelaps tonsilis", "Draconarius inthanonensis", "Azotobacter group", "Draconarius siamensis", "Paederus agnatus", "Lathecla fernandezi", "Paederus edentulus", "Lathecla vichai", "Paederus minicus", "Lathecla winnie", "Lathecla carolyna", "Paederus cultellatus", "Paederus deplectens", "Triophtydeus craveni", "Xanthocarpia feracissima", "Xanthocarpia ferrarii", "Gongora armeniaca", "Gongora armeniaca subsp. armeniaca", "Gongora armeniaca subsp. cornuta", "Marachina maraches", "Gongora atropurpurea", "Gongora beyrodtiana", "Timora philbyi arabica", "Heliothis philbyi philbyi", "Heliothis philbyi nuristana", "Stilicoderus hainanus", "Heliothis philbyi arabica", "Stilicoderus birmanus", "Myosotidium hortensia", "Stilicoderus daweianus", "Promalactis falciprocessa", "Promalactis bilobulata", "Promalactis longivalvaris", "Promalactis pugnivalvata", "Promalactis termelliptica", "Paederus gottschei", "Promalactis gladiata", "Promalactis lucida", "Promalactis latitaeniata", "Stigmella sinuosa", "Stigmella mevia", "Stigmella wollofella", "Nepticula wollofella", "Stigmella mandingella", "Nepticula mandingella", "Stigmella birgittae", "Stigmella omani", "Stigmella ficivora", "Stigmella maytenivora", "Stigmella rhomboivora", "Stigmella ziziphivora", "Stigmella zizyphi", "Nepticula zizyphi", "Gongora boracayanensis", "Xanthocarpia interfulgens", "Marachina fidelia", "Marachina peonida", "Fangia hongkongensis", "Stephania andamanica", "Eueupithecia cisplatensis", "Eueupithecia vollonoides", "Pseudacrobasis tergestella", "Pseudacrobasis dilatata", "Psorosa tergestella", "Pseudacrobasis nankingella", "Allofrancisella frigidaquae", "Allofrancisella inopinata", "Francisella noatunensis", "Elachista laurii", "Dahlica michaela", "Enolmis delnoydella", "Megathecla gigantea", "Pseudophacusa multidentata", "Xanthocarpia lactea", "Brachytydeus teresae", "Oligoflexus tunisiensis", "Mariprofundus ferrooxydans", "Cteipolia lithophila", "Nepticula klimeschi", "Pyrenodesmia angelica", "Hypserpa laurina", "Lecithocera affusa", "Lecithocera criniptera", "Lecithocera hana", "Lecithocera haviensis", "Lecithocera nara", "Lecithocera orbicuculla", "Lecithocera tamdaoica", "Tylopilus conicus", "Tylopilus conspicuocystidiata", "Hypsolebias flavicaudatus", "Simpsonichthys zonatus", "Lecithocera aenicta", "Lecithocera andrianella", "Limacia oblonga", "Orsunius wunderlei", "Orsunius yunnanus", "Orsunius granulosus", "Orsunius cuneatus", "Orsunius affimbriatus", "Orsunius incurvatus", "Orsunius granulosissimus", "Orsunius confluens", "Kolana buccina", "Atheta opacicollis", "Kolana chlamys", "Orphnebius hastatus", "Depressaria issikii", "Scythropiodes aspasta", "Scythropiodes atonopa", "Scythropiodes citrantha", "Scythropiodes glaphyra", "Scythropiodes heptasticta", "Scythropiodes leucostola", "Wenzhouxiangella marina", "Scythropiodes seriatopunctata", "Woeseia oceani", "Scythropiodes lividula", "Kolana ergina", "Brachytydeus turrialbensis", "Scythropiodes pancyclia", "Scythropiodes paracyrta", "Scythropiodes practoria", "Scythropiodes procellosa", "Scythropiodes velipotens", "Scythropiodes venusta", "Odites venusta", "Kolana ligurina", "Scythropiodes ussuriellla", "Crassuncus agassizi", "Hellinsia anikini", "Hellinsia nawrothi", "Brachytydeus schusteri", "Conisania xanthothrix", "Kolana lyde", "Gongora bufonia", "Gongora cassidea", "Gongora charontis", "Gongora chocoensis", "Gongora claviodora", "Gongora colombiana", "Citrobacter freundii", "Stigmatomma scrobiceps", "Tylopilus cyaneocinctus", "Arcangelisia tympanopoda", "Tylopilus eximius", "Tylopilus formosus", "Lecithocera autodyas", "Carebara melasolena", "Lecithocera alpina", "Lecithocera canitia", "Turneriella parva", "Thylacosceles nephroides", "Thylacosceles clavata", "Thylacosceles cuneiformis", "Exilispira thermophila", "Thylacosceles ellipsoidala", "Thubana brunalis", "Xanthocarpia tominii", "Lecithocera hemitoma", "Brachytydeus catenulatus", "Laothus oceia", "Pogonolaelaps canestrinii", "Pogonolaelaps beaulieui", "Pseudoparasitus reniculus", "Stigmella abutilonica", "Terasakiispira papahanaumokuakeensis", "Stigmella allophylica", "Stigmella ampullata", "Stigmella androflavus", "Litoricola lipolytica", "Stigmella angustivalva", "Litoricola marina", "Stigmella confinalis", "Stigmella dombeyivora", "Stigmella generalis", "Stigmella geranica", "Stigmella grewiae", "Stigmella hortorum", "Stigmella letabensis", "Stigmella potgieteri", "Stigmella pretoriata", "Stigmella satarensis", "Stigmella tragilis", "Stigmella triumfettica", "Stigmella varii", "Stigmella worcesteri", "Stigmella abachausi", "Nepticula abachausi", "Stigmella caliginosa", "Nepticula caliginosa", "Hypserpa decumbens", "Thomasomys apeco", "Pyrenodesmia atrocyanescens", "Lecithocera alcestis", "Lecithocera amphigrapta", "Lecithocera ancylota", "Epidendrum ferrugineum", "Torodora ancylota", "Torodora characteris", "Torodora parallactis", "Lecithocera pachyntis", "Zalithia uranopis", "Dichomeris uranopis", "Lecithocera acrosphales", "Discothyrea clavicornis", "Lecithocera anthologella", "Lecithocera acolasta", "Condylostylus longicornis", "Paederus lineodenticulatus", "Granimedon anguliceps", "Granimedon effeminatus", "Granimedon creber", "Coimedon dissimilis", "Pyrenodesmia agardhiana", "Nepalota cuneata", "Nepalota smetanai", "Giraffa camelopardalis tippelskirchi", "Pyrenodesmia albovariegata", "Neolorryia pandana", "Pyrenodesmia alociza", "Limacia scandens", "Myrmica bactriana", "Myrmica curiosa", "Eucosma melanaula", "Eucelis ochreocervina", "Ancylis latipennis ussuriensis", "Matsumuraeses monstruosana", "Semasia phaseoli", "Semasia elutana", "Thiodia azukivora", "Nepalota mocytoides", "Nepalota crocea", "Nepalota tuberifera", "Nepalota prominula", "Nepalota daweiana", "Chinecallicerus subater", "Chinecallicerus reticulatus", "Coccalicus rafalskii", "Pyrenodesmia badioreagens", "Eucosma trophiodes", "Oncidium brevicorne", "Pseudodictamnus mediterraneus subsp. mediterraneus", "Rachovia hummelincki", "Hydatoscia ategua ategua", "Hydatoscia ategua australis", "Hypena fulvifasciata", "Trichoplusia collardi", "Mythimna mouai", "Callopistria alticola", "Callopistria steevei", "Dysgonia insularum", "Dysgonia solomonensis", "Dysgonia solomonensis solomonensis", "Dysgonia solomonensis tahitiensis", "Anomis marauensis", "Cleora longipectina", "Cleora nitidula", "Ludia orinoptena orinoptena", "Ludia orinoptena styx", "Brasema baccharidis", "Brasema lacinia", "Brasema leucothysana", "Brasema longicauda", "Brasema rhadinosa", "Brasema schizomorpha", "Eucosma calligrapha", "Eucosma gracilistria", "Cydia isogramma", "Argyroploce paragramma", "Grapholitha schistaceana", "Grapholita abacana", "Porocallus wrasei", "Porocallus cicatricatus", "Domene affimbriata", "Domene praefigens", "Domene emeiana", "Pycnarrhena poilanei", "Scaphosepalum anchoriferum", "Scaphosepalum verrucosum", "Gongora cruciformis", "Gongora dressleri", "Gongora dylaniana", "Gongora ecornuta", "Gongora escobariana", "Gymnolaelaps kabitae", "Stigmatodactylus vulcanicus", "Falsopodabrus martensi", "Stenothemus martensi", "Falsopodabrus kostali", "Falsopodabrus rolciki", "Microtydeus subterraneus", "Falsopodabrus refossicollis", "Laothus phydela", "Podabrus refossicollis", "Coccalicus loadmani", "Sumakuru bigal", "Selkirkia berteroi", "Laothus viridicans", "Sinocoelotes cangshanensis", "Sinocoelotes hehuaensis", "Sinocoelotes kangdingensis", "Sinocoelotes ludingensis", "Sinocoelotes luoshuiensis", "Sinocoelotes mahuanggouensis", "Sinocoelotes mangbangensis", "Sinocoelotes muliensis", "Sinocoelotes yanyuanensis", "Sinocoelotes acicularis", "Sinocoelotes forficatus", "Sinocoelotes guangxian", "Sinocoelotes pseudoterrestris", "Sinocoelotes pseudoyunnanensis", "Sinocoelotes thailandensis", "Lathecla latagus", "Selkirkia trianae", "Paederus brevior", "Paederus multidenticulatus", "Lathecla mitzi", "Ventosimonas gracilis", "Lathecla mimula", "Paederus gracilacutus", "Draconarius anthonyi", "Draconarius subulatus", "Gongora flaveola", "Gongora galeata", "Gongora galeottiana", "Quercus petraea subsp. petraea", "Terrimicrobium sacchariphilum", "Chthoniobacter flavus", "Limisphaera ngatamarikiensis", "Pedosphaera parvula", "Ania viridifusca", "Ania angustifolia", "Ania elmeri", "Ania hongkongensis", "Thorichthys ellioti", "Eulia ochriclivis", "Pyralis schumacherana", "Tortrix ulmana", "Tortrix areolana", "Anisotaenia schumacherana ab. cruciana", "Anisotaenia schumacherana", "Anisotaenia schumacherana ab. obscurana", "Tortrix rectifasciana", "Sciaphila albulana", "Anisotaenia carinthiaca", "Anisotaenia rectifasciana insubrica", "Tortrix nemorana", "Sciaphila stramentana", "Anisotaenia joannisana", "Myrmica deplanata", "Myrmica dongi", "Myrmica liui", "Myrmica huaii", "Myrmica mifui", "Myrmica oui", "Myrmica wangi", "Myrmica yani", "Stenopteron stenoptera", "Eana stenoptera", "Stenopholea caeca", "Gnathymenus kestrus", "Gnathymenus penicillatus", "Gnathymenus crucifer", "Gnathymenus stipulatus", "Gnathymenus abscisus", "Gnathymenus multiplicus", "Fritillaria graeca", "Gnathymenus bellavistae", "Fritillaria graeca subsp. graeca", "Fritillaria graeca subsp. thessala", "Fritillaria macrocarpa", "Fritillaria serpenticola", "Fritillaria sonnikovae", "Fritillaria stenanthera", "Fritillaria \u00d7 tokushimensis", "Oeoniella aphrodite", "Glyphis pagoda", "Akkermansia glycaniphila", "Akkermansia muciniphila", "Rubritalea halochordaticola", "Rubritalea marina", "Rubritalea sabuli", "Rubritalea spongiae", "Rubritalea tangerina", "Rubritalea squalenifaciens", "Silenis elcedranus", "Sparganopseustis unithicta", "Lathrobium struyvei", "Lathrobium kiruense", "Lathrobium crenatum", "Lathrobium rostratum", "Lathrobium tricarinatum", "Lathrobium laciniatum", "Lathrobium daweianum", "Lathrobium coadultum", "Lathrobium grebennikovi", "Lathrobium cavisulcatum", "Lathrobium erectum", "Lathrobium scaphiforme", "Lathrobium trabale", "Elytrobium edentulum", "Peronea cuprata", "Borboropora indica", "Astenus kociani", "Polyortha dryocremna", "Peronea sphenobathra", "Polyortha nigriguttata", "Polyortha chiriquitana", "Teras chiriquitana", "Polyortha lyncurion", "Polythora viridescens", "Peronea viridescens", "Tiliacora triandra", "Ophrys sphegodes subsp. mammosa", "Xylona heveae", "Midilambia colombiana", "Cacographis colombiana", "Lithocharis mateui", "Lithocharis subochracea", "Lithocharis mauretanica", "Lithocharis fontinalis", "Lithocharis socotrana", "Archaeorhizomyces finlayi", "Archaeorhizomyces borealis", "Pycnarrhena lucida", "Myrmica pseudorugosa", "Myrmica sinoschencki", "Myrmica weii", "Tiliacora acuminata", "Myrmica xavieri", "Myrmica yunnanensis", "Proteurrhypara ocellalis ocellalis", "Proteurrhypara ocellalis apoialis", "Opsibotys ocellalis", "Opsibotys perfuscalis", "Opsibotys flavidecoralis", "Pronomis flavicolor", "Dixella fernandezae", "Nomis albopedalis", "Nomis albopedalis albopedalis", "Nomis albopedalis omariensis", "Nomis brunnealis", "Gynenomis mindanaoensis", "Gynenomis sericealis", "Pyrausta sericealis", "Ophrys sphegodes subsp. amanensis", "Ophrys sphegodes subsp. transhyrcana", "Lithocharis boops", "Lithocharis erythroptera", "Dioryctria pentictonella", "Dioryctria pentictonella pentictonella", "Dioryctria pentictonella vancouverella", "Dioryctria okanaganella", "Dioryctria tumicolella", "Dioryctria contortella", "Dioryctria monticolella", "Dioryctria banksiella", "Dioryctria cambiicola", "Pinipestis cambiicola", "Pericampylus macrophyllus", "Pseudopolygrammodes priscalis", "Polygrammodes priscalis", "Proteurrhypara occidentalis", "Proteurrhypara ocellalis", "Ania penangiana", "Ania ruybarrettoi", "Cocculus pendulus", "Eudarcia glaseri", "Spirobacillus cienkowskii", "Oreoderus brevitarsus", "Oreoderus dasystibialis", "Oreoderus oblongus", "Oreoderus coomani", "Hylotelephium verticillatum", "Paranomis denticosta", "Paranomis nodicosta", "Paranomis sidemialis", "Paranomis moupinensis", "Oronomis xanthothysana", "Pyrausta xanthothysana", "Pseudobankesia lichenaria", "Scymnus smetanai", "Scymnus jilongicus", "Scymnus paradoxus", "Scymnus rhododendri", "Scymnus crispatus", "Scymnus robustibasalis", "Scymnus duomaculatus", "Nemapogon phoenicica", "Anablepsoides hartii", "Pancalia amurella", "Pancalia sinense", "Crepidium quadrilobum", "Crepidium arietinum", "Crepidium balabacense", "Crepidium bancanoides", "Crepidium binabayense", "Crepidium dentatum", "Crepidium dentatum subsp. dentatum", "Crepidium dentatum subsp. epidendrum", "Crepidium rheedei subsp. rheedei", "Crepidium rheedei subsp. purpureiflorum", "Oidaematophorus chamelai", "Tydeus nieuwkerkeni", "Oidaematophorus angulofuscus", "Scymnus cibagouensis", "Scymnus ezhanus", "Scymnus jingdongensis", "Scymnus cyclotus", "Scymnus menglensis", "Scymnus rectangulus", "Scymnus bawanglingicus", "Scymnus rectiusculus", "Scymnus yaoquensis", "Scymnus barbatus", "Scymnus hanmianus", "Scymnus ciliosus", "Scymnus motuoensis", "Scymnus truncatus", "Scymnus linzhianus", "Scymnus martensi", "Scymnus janetscheki", "Scymnus longisiphonatus", "Scymnus fruticis", "Scymnus nigroventralis", "Scymnus brevicollis", "Scymnus lulangicus", "Scymnus quercanus", "Sphingonotus canariensis", "Gillmeria uralskinensis", "Platyptilia armeniaca", "Cyclea fissicalyx", "Stephania gracilenta", "Lithocharis sororcula", "Lithocharis uvida", "Anablepsoides atratus", "Lithocharis lamellifera", "Lithocharis distinguenda", "Lithocharis sordidula", "Lithocharis timorensis", "Sikkimia babai", "Sikkimia meihuai", "Sikkimia sufangae", "Sikkimia tsoui", "Acalyptris argyraspis", "Cosmiotes cornutifera", "Hydrochus matthewsi", "Oreoderus arrowi", "Oreoderus bidentatus", "Oreoderus maculipennis", "Cyclea bicristata", "Cyclea debiliflora", "Abchagleris abchasicum", "Eudarcia atlantica", "Lithocharis carinata", "Lithocharis preangerana", "Lithocharis parvincisa", "Lithocharis ornatrix", "Lithocharis bitriangulata", "Lithocharis inermis", "Lithocharis latexcisa", "Etroplus suratensis", "Stephania wightii", "Albertisia mecistophylla", "Nostocoida type II", "Pleurobranchaea maculata", "Perubala elongata", "Perubala hamata", "Perubala lobata", "Perubala nigropennis", "Perubala ramosi", "Perubala reversa", "Perubala spina", "Perubala stenostyla", "Perubala sulca", "Perubala torra", "Tydeus velox", "Cameraria cotinivora", "Sophista spectrum", "Xanthophyllum ellipticum", "Galactites duriaei", "Galactites mutabilis", "Pycnarrhena pleniflora", "Stenohya huangi", "Stenohya curvata", "Stenohya xiningensis", "Callotillus vafer", "Neocallotillus crusoe", "Callotillus crusoe", "Neocallotillus intricatus", "Callotillus intricatus", "Callotillus bahamensis", "Callotillus eburneocinctus", "Eleutharrhena macrocarpa", "Neoperla chebalinga", "Neoperla mnong", "Neoperla han", "Neoperla yao", "Neoperla minuta", "Neoperla wuzhishana", "Neoperla sexlobata", "Neoperla jiangsuensis", "Neoperla flagellata", "Neoperla similiserecta", "Neoperla jigongshana", "Neoperla xuansongae", "Neoperla brevistyla", "Neoperla hubeiensis", "Aloe lolwensis", "Neoperla yaoshana", "Neoperla baotianmana", "Perubala boliviano", "Perubala chotai", "Perubala dentata", "Perubala diata", "Perubala egeri", "Caloplaca altoandina", "Sikkimia yuae", "Cerophysa metallica", "Cerophysa tamra", "Trigonopeltastes arborfloricola", "Trigonopeltastes formidulosus", "Trigonopeltastes henryi", "Trigonopeltastes mombachoensis", "Trigonopeltastes warneri", "Neocallotillus elegans", "Tillus elegans", "Callotillus occidentallis", "Hydrochus schoenmanni", "Hydrochus verae", "Hydrochus wewalkai", "Hydrochus schillhammeri", "Selkirkia limense", "Selkirkia pauciflora", "Hydrochus drechseli", "Hydrochus johannapietersenae", "Hydrochus jenniferiduae", "Hydrochus satishanandi", "Hydrochus rishi", "Hydrochus choennii", "Hydrochus ramcharani", "Hydrochus battjai", "Hydrochus piroei", "Hydrochus soekhnandanae", "Hydrochus dewnaraini", "Hydrochus rattanae", "Hydrochus vanbergehenegouweni", "Hydrochus beeneni", "Hydrochus desenderi", "Hydrochus coeneni", "Hydrochus bruggei", "Panscopaeus lithocharoides", "Aplocera guneyi", "Xantholinus tricolor", "Trisunius spathulatus", "Trisunius cultellatus", "Trisunius iaculatus", "Utuca ochracealis", "Trisunius thaicus", "Trisunius scaphiformis", "Scymnus ampuliformis", "Scymnus bulangicus", "Scymnus caudatus", "Scymnus dasyphyllus", "Scymnus devexus", "Scymnus epimecis", "Scymnus hiulcus", "Scymnus inclinatus", "Scymnus luridus", "Scymnus menglianicus", "Scymnus obliquophyllus", "Scymnus paleaceus", "Scymnus porcatus", "Scymnus praecisus", "Scymnus selliformis", "Scymnus tropicus", "Scymnus wudangensis", "Scymnus xiaoweishanus", "Digitivalva glaseri", "Scymnus godavariensis", "Scymnus subvillosus", "Scymnus cuspidiger", "Scymnus sphenophyllus", "Scymnus yarangicus", "Scymnus pailongensis", "Scymnus multisetosus", "Scymnus dongjiuensis", "Scymnus yanlingicus", "Scymnus xujiabensis", "Scymnus mengshanus", "Scymnus liupanshanus", "Scymnus prolatus", "Scymnus spirellus", "Scymnus corallinus", "Scymnus pingbianensis", "Scymnus conoidalis", "Scymnus erythrinus", "Scymnus igneus", "Scymnus apophysatus", "Scymnus rufostriatus", "Scymnus lebuensis", "Scymnus seminiger", "Scymnus eminulus", "Scymnus quadratimaculatus", "Scymnus longicuspis", "Scymnus chelyospilicus", "Scymnus oculoformis", "Scymnus acerosus", "Scymnus dimidius", "Scymnus paraccamptus", "Scymnus paraexilis", "Scymnus yarlungzangbo", "Scymnus chayuensis", "Scymnus dipetalus", "Scymnus ensatus", "Scymnus leptophyllus", "Scymnus nielamuensis", "Scymnus ventricosus", "Scymnus rhinoides", "Scymnus maoershanensis", "Habrocerus indicus", "Dendrobium ovatum", "Dendrobium thinhii", "Haematocarpus subpeltatus", "Legnephora acuta", "Legnephora philippinensis", "Dufourea africana", "Oscillatoria princeps", "Promalactis kyuparki", "Stenohya hainanensis", "Stenohya setulosa", "Dictenidia leigongshanensis", "Sophista aristoteles", "Thracides aristoteles", "Sophista plinius", "Sophista latifasciata", "Systasea latifasciata", "Sophista matto", "Sophista latifasciata matto", "Hypercalymnia paphos", "Remigiodes turlini", "Nyodes jucunda", "Nyodes punctatoides", "Nyodes bergeri", "Nyodes rufifusoides", "Pycnarrhena longifolia", "Nyodes lowai", "Nyodes subnigra", "Nyodes toucheti", "Nyodes punctifera", "Nyodes herbuloti", "Nyodes tamsi", "Heraclia viettei", "Heraclia kivuensis", "Simesia balachowskyi", "Pycnarrhena manillensis", "Goodia boulardi", "Euphaedra cyanea", "Hapigia denhezi", "Trisunius conlectus", "Trisunius penicillatus", "Pseudomedon discolor", "Lecithocera alampes", "Lecithocera alternella", "Lecithocera amseli", "Lecithocera anatolica", "Lecithocera antiphractis", "Lecithocera absumptella", "Lecithocera anympha", "Lecithocera asarota", "Lecithocera aspergata", "Lecithocera autologa", "Lecithocera coleasta", "Lecithocera deloma", "Lecithocera nomaditis", "Lecithocera prudens", "Lecithocera sextacta", "Lecithocera squamifera", "Lecithocera strigosa", "Gongora garayana", "Gongora gibba", "Pycnarrhena novoguineensis", "Macrococculus pomiferus", "Galactites \u00d7 rigualii", "Pycnarrhena tumefacta", "Gongora glicensteiniana", "Borkhausenia jezonica", "Gongora gratulabunda", "Gongora grossa", "Gongora herrenhusana", "Gongora hirtzii", "Gongora histrionica", "Pycnarrhena ozantha", "Pycnarrhena montana", "Sclerochiton indicus", "Sclerochiton unicolor", "Sclerochiton penicillatus", "Sclerochiton schuelkei", "Sclerochiton rougemonti", "Sclerochiton sinuatus", "Sclerochiton pectinatus", "Sclerochiton peniculatus", "Habrocerus wunderlei", "Legnephora microcarpa", "Dufourea angustata", "Albertisia crassa", "Albertisia megacarpa", "Gongora hookeri", "Gongora horichiana", "Gongora ileneana", "Gongora ilense", "Gongora maculata", "Cousinea keeleyi", "Silhouettella assumptia", "Farqua quadrimaculata", "Lionneta gerlachi", "Gongora meneziana", "Opopaea probosciella", "Matyotia tetraspinosus", "Gongora minax", "Gongora maculata var. maculata", "Gongora maculata var. lactea", "Gongora ionodesme", "Gongora jauariensis", "Gongora juruaensis", "Gongora javieri", "Gongora lagunae", "Ischnothyreus jivani", "Gongora latibasis", "Gongora latisepala", "Elizabethkingia meningoseptica", "Gongora leucochila", "Baecacanthus telamon", "Baecacanthus trifasciatus", "Nyssodrysternum fasciatum", "Nyssodrysternum rubiginosum", "Nyssodrysternum spilotum", "Tydeus molestus", "Rhondes atypicus", "Rhondes berlandi", "Rhondes flexibilis", "Rhondes sarasini", "Rhondes zofiae", "Rhondes neocaledonicus", "Aegomorphus bezarki", "Xenofrea ayri", "Maevia neo-caledonica", "Ectenessa wappesi", "Anisopodus wilmae", "Rhinophis goweri", "Ischnothyreus meidanom", "Hirudo verbana", "Hirudo sulukii", "Hirudo orientalis", "Hirudo nipponia", "Hirudo troctina", "Haplosomoides shirozui", "Ischnothyreus balu", "Ischnothyreus barus", "Ischnothyreus danum", "Ischnothyreus deelemanae", "Ischnothyreus elvis", "Ischnothyreus falcifer", "Ischnothyreus flabellifer", "Ischnothyreus flippi", "Ischnothyreus florifer", "Ischnothyreus fobor", "Ischnothyreus hooki", "Ischnothyreus jojo", "Ischnothyreus kalimantan", "Ischnothyreus matang", "Ischnothyreus mulumi", "Ischnothyreus rex", "Ischnothyreus serapi", "Ischnothyreus corollacous", "Ischnothyreus tadetu", "Ischnothyreus tadfane", "Serratula coronata", "Serratula coronata subsp. insularis", "Opopaea lemniscata", "Opopaea tumida", "Ischnothyreus darwini", "Psalmopoeus victori", "Cotztetlana omiltemi", "Tydeus croceus", "Bonnetina alagoni", "Bonnetina cyaneifemur", "Bonnetina aviae", "Bonnetina rudloffi", "Bonnetina juxtantricola", "Bonnetina tenuiverpis", "Ministrymon cleon", "Ministrymon clytie", "Ministrymon coronta", "Wedoquella denticulata", "Wedoquella macrothecata", "Wedoquella punctata", "Euophrys punctata", "Pensacola variegata", "Gongora nigropunctata", "Gongora odoratissima", "Gongora pardina", "Gongora rufescens", "Gongora passiflorolens", "Gongora pleiochroma", "Gongora portentosa", "Gongora pseudoatropurpurea", "Karos parvus", "Karos projectus", "Karos hexasetosus", "Karos monjarazi", "Karos singularis", "Karos tersum", "Karos barbarikos", "Chapulobunus poblano", "Potosa reddelli", "Crettaros santibanezi", "Crettaros valdezi", "Calocosmus chevrolati", "Huasteca silhavyi", "Eratigena gertschi", "Michaelus hecate", "Eratigena mexicana", "Eratigena selva", "Eratigena tlaxcala", "Michaelus ira", "Michaelus jebus", "Eratigena rothi", "Eratigena laksao", "Michaelus thordesa", "Bellevalia vuralii", "Hemirrhagus stygius", "Gongora retrorsa", "Gongora rosea", "Ministrymon leda", "Ischnothyreus an", "Ischnothyreus brunneus", "Ischnothyreus dactylinus", "Ischnothyreus poculum", "Ischnothyreus tectorius", "Ischnothyreus aculeatus", "Ischnothyreus bipartitus", "Ischnothyreus deccanensis", "Ischnothyreus flagellichelis", "Ischnothyreus khamis", "Ischnothyreus lanutoo", "Ischnothyreus linzhiensis", "Ischnothyreus lymphaseus", "Ischnothyreus pacificus", "Ischnothyreus serpentinum", "Ischnothyreus shillongensis", "Ischnothyreus subaculeatus", "Ischnothyreus velox", "Ischnothyreus yueluensis", "Jolibrotica sauteri", "Jolibrotica chujoi", "Ischnothyreus auritus", "Ischnothyreus spineus", "Ischnothyreus xui", "Ischnothyreus yuanyeae", "Ischnothyreus arcus", "Ischnothyreus barratus", "Ischnothyreus bifidus", "Ischnothyreus binorbis", "Ischnothyreus boonjee", "Ischnothyreus bualveus", "Ischnothyreus bupariorbis", "Ministrymon albimimicus", "Ministrymon arola", "Atrypanius estebani", "Eucharitolus lecossoisi", "Leiopus marcelamonneae", "Nyssodrysina satipoensis", "Andricus sphaericus", "Dufourea alexanderbaai", "Anagyrus ciomperliki", "Coccobius setatus", "Coccobius tamaulipecus", "Ischnothyreus collingwoodi", "Ischnothyreus comicus", "Ischnothyreus corniculatum", "Ischnothyreus cornuatus", "Ischnothyreus crenulatus", "Ischnothyreus culleni", "Ischnothyreus digitus", "Ischnothyreus eacham", "Ischnothyreus eungella", "Ischnothyreus florence", "Ischnothyreus hamatus", "Ischnothyreus hoplophorus", "Ischnothyreus julianneae", "Ischnothyreus ker", "Ischnothyreus monteithi", "Ischnothyreus nourlangi", "Ischnothyreus ovinus", "Ischnothyreus piricius", "Ischnothyreus pterodactyl", "Ischnothyreus puruntatamerii", "Ischnothyreus raveni", "Ischnothyreus rixi", "Ischnothyreus stauntoni", "Ischnothyreus tragicus", "Ischnothyreus tumidus", "Paramitraceras pickardcambridgei", "Paramitraceras trotzil", "Oedudes anulatus", "Calocosmus contortus", "Calocosmus punctatus", "Calocosmus rawlinsi", "Calocosmus robustus", "Calocosmus thonalmus", "Calocosmus hispaniolae", "Eratigena edmundoi", "Eratigena fernandoi", "Eratigena guanato", "Eratigena queretaro", "Eratigena xilitla", "Calocosmus janus", "Eratigena yarini", "Eratigena blanda", "Calocosmus magnificus", "Calocosmus melanurus", "Calocosmus nigripennis", "Eratigena caverna", "Eratigena decora", "Calocosmus nigritarsis", "Michaelus phoenissa", "Eratigena flexuosa", "Calocosmus semimarginatus", "Eratigena florea", "Paleohemilophus dominicanus", "Erica bocquetii", "Erica sicula", "Erica sicula subsp. libanotica", "Erica sicula subsp. sicula", "Erica sicula subsp. cyrenaica", "Urgleptes peruviensis", "Urgleptes puertoricensis", "Urgleptes sandersoni", "Urgleptes charynae", "Ministrymon gamma", "Senegalia mellifera", "Vachellia tortilis", "Trestonia skelleyi", "Urgleptes conjunctus", "Urgleptes curtipennis", "Urgleptes marionae", "Urgleptes obliteratus", "Bisaltes lingafelteri", "Microtydeus bellus", "Microtydeus albus", "Vachellia nilotica", "Albertisia laurifolia", "Tylosurus crocodilus crocodilus", "Lamacoscylus albatus", "Gongora rubescens", "Gongora saccata", "Gongora sanderiana", "Gongora scaphephorus", "Gongora seideliana", "Gongora similis", "Gongora sphaerica", "Gongora superflua", "Gongora tracyana", "Gongora truncata", "Gongora tridentata", "Gongora unicolor", "Gongora vitorinoana", "Halothece cluster", "Scleronotus virgatus", "Oreodera casariae", "Aegomorphus langeri", "Aegomorphus mexicanus", "Salvia recognita", "Salvia freyniana", "Salvia caespitosa", "Salvia wiedemannii", "Salvia tchihatcheffii", "Salvia suffruticosa", "Salvia heldreichiana", "Asterorhombus intermedius", "Lamacoscylus obscurus", "Piruanycha wappesi", "Alampyris bicolor", "Emphytoeciosoma flava", "Dolichestola egeri", "Eupogonius azteca", "Wappesellus cavus", "Agaricus langei", "Eulophia speciosa", "Nesozineus lineolatus", "Psapharoctes fanchonae", "Tylopilus isabellescens", "Tylopilus javanicus", "Tylopilus leucomycelinus", "Aprosopus barbatula", "Trichohippopsis gilmouri", "Acronia streicsi", "Acronia teterevi", "Tylopilus lividobrunneus", "Tylopilus microsporus", "Tylopilus mollis", "Tylopilus montoyai", "Amphicnaeia lineata", "Cathetopteron amoena", "Salvia reeseana", "Salvia cadmica var. bozkiriensis", "Salvia cadmica var. cadmica", "Salvia blepharochlaena", "Tylopilus gracilis", "Eulophia ochreata", "Dufourea bonae-spei", "Dufourea capensis", "Bulbophyllum rosemarianum", "Adetus sordidus", "Adetus tibialis", "Orthetrum japonicum", "Dufourea australis", "Estola fuscodorsalis", "Estola longeantennata", "Estola medionigra", "Estola m-flava", "Eupromerella minima", "Irundisaua ocularis", "Tylopilus fuligineoviolaceus", "Tylopilus fuscescens", "Tylopilus fuscobrunneus", "Tylopilus gastromycetoides", "Filipinmulciber vivesi", "Trichohippopsis birai", "Nemaschema cruciferum", "Cryptocarya pleurosperma", "Falsohomaemota monteithi", "Tylopilus nanus", "Deinopteroloma uncinatum", "Deinopteroloma dispar", "Deinopteroloma obtortum", "Deinopteroloma gracile", "Deinopteroloma chiangi", "Porocallus vietnamensis", "Othius stenocephalus", "Dicypellium caryophyllaceum", "Salvia multicaulis", "Othius brevipennis", "Othius permutatus", "Othius hebes", "Othius grandis", "Othius chrysurus", "Othius laeviusculus", "Othius philonthoides", "Othius caecitubus", "Othius hartmanni", "Othius virgifer", "Othius pokharensis", "Tylopilus nigricans", "Tylopilus nigropurpureus", "Tylopilus niveus", "Tylopilus obscureviolaceus", "Tylopilus obscurus", "Tylopilus amylosporus", "Tylopilus otsuensis", "Tylopilus pachycephalus", "Tylopilus pakaraimensis", "Tylopilus palumanus", "Tylopilus parachromapes", "Tylopilus pernanus", "Tylopilus pisciodorus", "Tylopilus plumbeoviolaceoides", "Nazeris brevior", "Nazeris hamulatus", "Nazeris eminens", "Mezilaurus itauba", "Pleogyne australis", "Anthobium atrocephalum", "Clostridium thermoamylolyticum", "Othius apicalis", "Othius lubricus", "Othius wrasei", "Othius opacipennis", "Othius medius", "Othius rosti", "Othius maculativentris", "Othius bihamatus", "Othius auster", "Atrecus pilicornis", "Atrecus brevicornis", "Geostiba plicipennis", "Oxypoda kerkisica", "Sunius ambelosicus", "Gorgasia japonica", "Stenus cribratus", "Astenus lyonessius", "Astenus misellus", "Astenus melanurus", "Astenus curtulus", "Astenus tristis", "Astenus wunderlei", "Scopaeus didymus", "Habrocerus pisidicus", "Sepedophilus aestivus", "Leptusa sulcicollis", "Leptusa meybohmi", "Geostiba insularis", "Earota reyi", "Oxypoda islandica", "Aleochara cornuta", "Carronia multisepalea", "Carronia thyrsiflora", "Brachytydeus georgiensis", "Brachytydeus gonzalezi", "Eburia stroheckeri", "Brachytydeus funki", "Bulbophyllum clavatum", "Bulbophyllum commersonii", "Bulbophyllum comosum", "Bulbophyllum coriophorum", "Carronia protensa", "Bulbophyllum membranifolium subsp. membranifolium", "Bulbophyllum longiflorum", "Bulbophyllum membranifolium subsp. inunctum", "Pycnarrhena insignis", "Elops machnata", "Neosebastes entaxis", "Cotycicuiara v-alba", "Dolichestola birai", "Dolichestola monnei", "Blabicentrus lineatus", "Bulbophyllum crassipes", "Charinus belizensis", "Charinus reddelli", "Charinus caatingae", "Charinus iuiu", "Charinus ruschii", "Inermestoloides flavus", "Odontocera argenteolineata", "Stenopseustes transversus", "Stenopseustes josemartii", "Tiliacora australiana", "Carronia pedicellata", "Hypserpa smilacifolia", "Brachytydeus evansi", "Brachytydeus atyeoi", "Brachytydeus benensis", "Brachytydeus collyerae", "Brachytydeus cooremani", "Brachytydeus eharai", "Pseudeburia albolineata", "Beraba hovorei", "Eburella migueli", "Aspasia lunata", "Stephania neoguineensis", "Brachytydeus woolleyi", "Charinus sillami", "Charinus taboa", "Brachytydeus viviparus", "Edlorryia fundadorensis", "Afridiolorryia africana", "Brachytydeus venustulus", "Lobrathium lederi", "Lobrathium candicum", "Lobrathium badium", "Aspasia omissa", "Lobrathium wittmeri", "Aspasia principissa", "Aspasia psittacina", "Aspasia silvana", "Aspasia variegata", "Bulbophyllum botryophorum", "Bulbophyllum boudetianum", "Bulbophyllum boulbetii", "Bulbophyllum brachiatum", "Bulbophyllum brachychilum", "Bulbophyllum bryophytoides", "Bulbophyllum bulhartii", "Bulbophyllum bulliferum", "Bulbophyllum burttii", "Myrmecophila tibicinis", "Psophia viridis dextralis", "Psophia crepitans napensis", "Psophia leucoptera ochroptera", "Kenlorryia masaii", "Susuacanga marcelae", "Brachytydeus inflatus", "Quiacaua vespertina", "Brachytydeus parafibrus", "Brachytydeus paratauricus", "Brachytydeus mexicanus", "Horaga elizabethae", "Bulbophyllum brachypetalum", "Bulbophyllum brachyphyton", "Bulbophyllum brachypus", "Bulbophyllum brachyrhopalon", "Bulbophyllum brachystachyum", "Bulbophyllum brachytriche", "Bulbophyllum bracteatum", "Bulbophyllum bractescens", "Bulbophyllum brassii", "Bulbophyllum breimerianum", "Bulbophyllum breve", "Bulbophyllum brevicolumna", "Bulbophyllum brevilabium", "Bulbophyllum brevipedunculatum", "Bulbophyllum brevipes", "Bulbophyllum brevipetalum", "Bulbophyllum brevispicatum", "Bulbophyllum brienianum", "Bulbophyllum bruneiense", "Bulbophyllum bryoides", "Bulbophyllum bryophilum", "Lobrathium bicarinatum", "Lobrathium ochreonotatum", "Lobrathium flavipenne", "Lobrathium mordens", "Lobrathium integrum", "Lobrathium subcaeruleum", "Lobrathium hebeatum", "Lobrathium configens", "Lobrathium wutaium", "Lobrathium flexum", "Lobrathium guttula", "Lobrathium circumclusum", "Bulbophyllum calviventer", "Bulbophyllum calvum", "Bulbophyllum calyptogyne", "Bulbophyllum calyptropus", "Bulbophyllum cambodianum", "Bulbophyllum capilligerum", "Bulbophyllum cameronense", "Bulbophyllum campanuliflorum", "Bulbophyllum campos-portoi", "Bulbophyllum camptochilum", "Bulbophyllum candidum", "Hypomyrina fournierae", "Cardiopteris moluccana", "Hypomyrina mimetica", "Hypomyrina nomion", "Hypomyrina nomenia", "Hypomyrina nomenia nomenia", "Hypomyrina nomenia extensa", "Crocus guneri", "Hackelia revoluta", "Pilodeudorix anetia", "Plagiobothrys linifolius", "Pilodeudorix ankoleensis", "Pilodeudorix angelita", "Pilodeudorix angelita angelita", "Pilodeudorix angelita schultzei", "Trisunius discrepans", "Trisunius ligulatus", "Trisunius smetanai", "Trisunius rastratus", "Rugilus subtilis", "Rugilus lesbius", "Pilodeudorix aruma", "Bulbophyllum fimbriatum", "Pilodeudorix aruma aruma", "Pilodeudorix aruma nigeriana", "Pilodeudorix aruma pallidior", "Pilodeudorix aruma simplex", "Pilodeudorix aucta", "Pilodeudorix aurivilliusi", "Psophia viridis interjecta", "Pilodeudorix azurea", "Pilodeudorix bemba", "Pilodeudorix camerona", "Pilodeudorix catori", "Pilodeudorix columbinia", "Pilodeudorix congoana", "Pilodeudorix corruscans", "Dendrobium kingianum", "Tydeus africanus", "Dendrobium kingianum subsp. kingianum", "Tydeus bkaasifrini", "Dendrobium kingianum subsp. carnarvonense", "Dendrobium kingianum var. pulcherrimum", "Xenisthmus polyzonatus", "Pseudocaranx dentex", "Seriola rivoliana", "Stereolepis gigas", "Stereolepis doederleini", "Polyommatus lukhtanovi", "Polygaloides paucifolia", "Clerodendrum glandulosum", "Anisophyllum pinnatum", "Alectrias alectrolophus", "Alectrias cirratus", "Tydeus manoi", "Paralorryia costaricensis", "Tydeus helenipanoue", "Pilodeudorix corruscans corruscans", "Pilodeudorix corruscans kakumi", "Rugilus capitalis", "Rugilus prolongatus", "Rugilus gracilis", "Rugilus bibarbatus", "Rugilus schmidti", "Rugilus bisinuosus", "Rugilus ocularis", "Rugilus uncatus", "Bulbophyllum clavuliflorum", "Crocus duplex", "Bulbophyllum chimaera", "Bulbophyllum chloranthum", "Bulbophyllum chlorascens", "Bulbophyllum chloroglossum", "Bulbophyllum chlorolirion", "Bulbophyllum chlororhopalon", "Bulbophyllum chondriophorum", "Bulbophyllum chrysanthum", "Dioscorea stenomeriflora", "Bulbophyllum chrysocephalum", "Bulbophyllum chrysochilum", "Bulbophyllum chrysoglossum", "Bulbophyllum chrysotes", "Bulbophyllum chthonochroma", "Bulbophyllum chyrmangensis", "Bulbophyllum ciliatilabrum", "Crocus suworowianus", "Zanonia indica var. paludosa", "Zanonia indica var. orientalis", "Crocus athous", "Crocus pumilus", "Crocus orphei", "Crocus micranthus", "Crocus roseoviolaceus", "Crocus demirizianus", "Crocus brachyfilus", "Crocus munzurensis", "Crocus mawii", "Crocus beydaglarensis", "Bulbophyllum chaetostroma", "Bulbophyllum chalcochloron", "Bulbophyllum chanii", "Bulbophyllum chaunobulbon", "Bulbophyllum cheiropetalum", "Bulbophyllum cherrapunjeense", "Parapachygone longifolia", "Bulbophyllum cateorum", "Bulbophyllum catillus", "Bulbophyllum caudatisepalum", "Bulbophyllum caudatum", "Bulbophyllum caudipetalum", "Bulbophyllum cauliflorum", "Bulbophyllum cauliflorum var. cauliflorum", "Bulbophyllum cauliflorum var. sikkimense", "Bulbophyllum cavibulbum", "Bulbophyllum cavipes", "Bulbophyllum centrosemiflorum", "Bulbophyllum cerambyx", "Anisophyllea grandis", "Bulbophyllum ceratostylis", "Bulbophyllum cercanthum", "Bulbophyllum cerebellum", "Bulbophyllum cerinum", "Bulbophyllum ceriodorum", "Bulbophyllum cernuum", "Crocus heuffelianus", "Crocus siculus", "Zanonia indica subsp. indica", "Bulbophyllum cimicinum", "Bulbophyllum cirrhoglossum", "Bulbophyllum cirrhosum", "Zanonia indica subsp. orientalis", "Bulbophyllum citrellum", "Bulbophyllum citricolor", "Bulbophyllum citrinilabre", "Bulbophyllum ovalifolium", "Bulbophyllum clandestinum", "Bulbophyllum claptonense", "Bulbophyllum claussenii", "Apocephalus guapilensis", "Bulbophyllum clemensiae", "Bulbophyllum clemensiorum", "Bulbophyllum clinocoryphe", "Bulbophyllum clinopus", "Bulbophyllum clipeibulbum", "Bulbophyllum coccinatum", "Alangium hexapetalum", "Alangium salviifolium subsp. salviifolium", "Moraea sect.", "Stilicoderus kuani", "Stilicoderus kasaharai", "Stilicoderus bacchusi", "Stilicoderus seticollis", "Stilicoderus sociabilis", "Stilicoderus brevisetosus", "Stilicoderus transversus", "Stiliderus aviformis", "Stiliderus tridentatus", "Tydeus taiwanensis", "Bulbophyllum cariniflorum", "Bulbophyllum carinilabium", "Bulbophyllum carnosilabium", "Bulbophyllum carnosisepalum", "Bulbophyllum carrianum", "Bulbophyllum cataractarum", "Bulbophyllum catenarium", "Bulbophyllum cochleatum", "Bulbophyllum cochleatum var. cochleatum", "Bulbophyllum cochleatum var. bequaertii", "Bulbophyllum cochleatum var. brachyanthum", "Bulbophyllum cochleatum var. tenuicaule", "Bulbophyllum cochlioides", "Bulbophyllum codonanthum", "Tydides ulter", "Brachytydeus longinus", "Rugilus pruinosus", "Rugilus longipennis", "Rugilus seriatus", "Rugilus lucens", "Rugilus pygmaeus", "Orsunius immsi", "Orsunius pravus", "Orsunius spathulatus", "Orsunius stimulans", "Orsunius gladiator", "Orsunius latexciscus", "Orsunius flavovirgatus", "Orsunius heissi", "Stilicoderus dilatatus", "Brachytydeus libertus", "Brachytydeus granulosus", "Bulbophyllum capitatum", "Bulbophyllum capituliflorum", "Bulbophyllum capnophyton", "Bulbophyllum capuronii", "Bulbophyllum caputgnomonis", "Bulbophyllum carassense", "Bulbophyllum cardiobulbum", "Bulbophyllum cardiophyllum", "Bulbophyllum ciliatum", "Crocus adamioides", "Crocus akdagensis", "Crocus akkayaensis", "Crocus bowlesianus", "Crocus concinnus", "Crocus danubensis", "Crocus dilekyarensis", "Crocus zetterlundii", "Crocus antalyensioides", "Crocus sozenii", "Crocus xanthosus", "Crocus thracicus", "Crocus iranicus", "Crocus gunae", "Crocus rechingeri", "Bulbophyllum ciliipetalum", "Bulbophyllum ciliolatum", "Bulbophyllum ciluliae", "Bulbophyllum commissibulbum", "Bulbophyllum comorianum", "Bulbophyllum complanatum", "Bulbophyllum compressilabellatum", "Bulbophyllum compressum", "Asparagus subulatus", "Asparagus horridus", "Bulbophyllum comptonii", "Bulbophyllum concatenatum", "Asparagus africanus var. africanus", "Bulbophyllum concavibasalis", "Bulbophyllum concavilabium", "Bulbophyllum coelochilum", "Bulbophyllum cogniauxianum", "Bulbophyllum coiloglossum", "Bulbophyllum collettii", "Bulbophyllum colliferum", "Bulbophyllum collinum", "Bulbophyllum coloratum", "Bulbophyllum colubrinum", "Bulbophyllum comatum", "Bulbophyllum comatum var. comatum", "Bulbophyllum comatum var. inflatum", "Bulbophyllum comberi", "Bulbophyllum comberipictum", "Ommatopteryx delicatalis", "Euchromius delicatalis", "Conotalis nigrisquamalis", "Rytidosperma bipartitum", "Chionochloa conspicua subsp. cunninghamii", "Crocus muglaensis", "Crocus henrikii", "Crocus brickellii", "Crocus yakarianus", "Crocus simavensis", "Crocus mysius", "Crocus mersinensis", "Lepturoschema penardi", "Crocus ilvensis", "Crocus taseliensis", "Crocus babadagensis", "Crocus fauseri", "Crocus bifloriformis", "Crocus \u00d7 leonidii", "Crocus kofudagensis", "Crocus katrancensis", "Domene scabripennis", "Domene alesiana", "Crocus musagecitii", "Domene immarginata", "Domene sagittata", "Domene firmicornis", "Crocus novicii", "Crocus neglectus", "Crocus reinhardii", "Crocus rhodensis", "Senegalia chariessa", "Bulbophyllum moniliforme", "Bulbophyllum minutissimum", "Bifrenaria inodora", "Calceolaria ascendens", "Calceolaria polyrhiza", "Calceolaria petioalaris", "Symbrenthia dalailama", "Sinopieris dubernardi", "Sinopieris dubernardi wangi", "Bulbophyllum corticicola", "Bulbophyllum corythium", "Bulbophyllum coweniorum", "Bulbophyllum crabro", "Bulbophyllum crassicaudatum", "Parnassius acco gyanglaputsai", "Bulbophyllum crassifolium", "Bulbophyllum crassinervium", "Bulbophyllum crassipetalum", "Euthalia strephon zhaxidunzhui", "Neptis themis", "Neptis themis themis", "Neptis themis neotibetana", "Neptis thetis thetis", "Neptis thetis tibetothetis", "Neptis nycteus", "Neptis nycteus nycteus", "Neptis nycteus menpae", "Neptis manasa tsangae", "Athyma selenophora", "Athyma selenophora selenophora", "Athyma selenophora yui", "Issoria gemmata", "Issoria gemmata gemmata", "Issoria gemmata wui", "Issoria baileyi", "Erythronium caucasicum", "Apocopis vaginatus", "Tongeia menpae", "Tongeia menpae menpae", "Tongeia menpae pseudoion", "Beuroisia duhameli", "Lethe maitrya metokana", "Boleopsis polinae", "Lophopogon tridentatus", "Stichophthalma neumogeni", "Stichophthalma neumogeni neumogeni", "Stichophthalma neumogeni renqingduojiei", "Litinga mimica xizangana", "Crocus kartaldagensis", "Crocus ponticus", "Crocus tahtaliensis", "Crocus ziyaretensis", "Crocus striatulus", "Crocus sivasensis", "Crocus schneideri", "Crocus romuleoides", "Crocus pelitensis", "Crocus oreogenus", "Crocus multicostatus", "Caledoamblymora vivesi", "Crocus mediotauricus", "Crocus marasensis", "Cazeresellipsis kataouii", "Crocus malatyensis", "Crocus lyciotauricus", "Crocus karamanensis", "Crocus kangalensis", "Crocus incognitus", "Crocus coloreus", "Tricondyloides humboldtianus", "Crocus calanthus", "Crocus berytius", "Falsohomaemota viridis", "Crocus arizelus", "Crocus antherotes", "Crocus abracteolus", "Crocus uschakensis", "Heliura stolli", "Heliura pieroides", "Heliura parcipuncta", "Delphyre parcipuncta", "Delphyre tetilla tetilla", "Delphyre tetilla coerulescens", "Delphyre elegans", "Heliura luctuosa", "Hyaleucera luctuosa", "Eucereon metoidesis metoidesis", "Bulbophyllum pictum", "Bulbophyllum crenilabium", "Mesocerea apicalis", "Orostygia mondini", "Orostygia bognoloi", "Orostygia rossii", "Orostygia bonomettoi", "Holasteron aciculare", "Orostygia amicorum", "Muschampia proto aragonensis", "Zapatella grahami", "Zapatella nievesaldreyi", "Zapatella cryptica", "Zapatella herberti", "Zapatella quercusmedullae", "Zapatella quercusphellos", "Zapatella oblata", "Callirhytis cryptica", "Bembidion anthracinum", "Eumayria herberti", "Helcystogramma clarkei", "Helcystogramma uedai", "Bulbophyllum congestiflorum", "Cophomantella juxticata", "Bulbophyllum cylindrocarpum var. aurantiacum", "Bulbophyllum cylindrocarpum var. olivaceum", "Bulbophyllum densibulbum", "Bulbophyllum cymbidioides", "Bulbophyllum cymbochilum", "Bulbophyllum cyrtognomom", "Bulbophyllum cyrtophyllum", "Pachygone vitiensis", "Trochus elegantulus", "Elymnias kamara kamara", "Elymnias kanekoi", "Cithaeron dippenaarae", "Bulbophyllum conchidioides", "Bulbophyllum conchophyllum", "Bulbophyllum concinnum", "Bulbophyllum concolor", "Bulbophyllum condensatum", "Bulbophyllum condylochilum", "Bulbophyllum confragosum", "Echinostephia aculeata", "Stephania bancroftii", "Stephania tuberosa", "Stephania renifolia", "Heradida minutissima", "Muschampia proto", "Muschampia proto proto", "Muschampia proto fulvosatura", "Muschampia proto lycaonius", "Bulbophyllum coniferum", "Bulbophyllum connatum", "Dichomeris sicasymmetria", "Dichomeris kalesarensis", "Dichomeris hansi", "Dichomeris fuscodelta", "Dichomeris bispotalis", "Bulbophyllum consimile", "Stegasta pawani", "Bulbophyllum conspectum", "Stegasta valvulata", "Bulbophyllum conspersum", "Bulbophyllum contortisepalum", "Telphusa signata", "Bulbophyllum corallinum", "Bulbophyllum cordemoyi", "Bulbophyllum cornu-cervi", "Bulbophyllum cornu-ovis", "Bulbophyllum corrugatum", "Syrmadaula signumforcipatus", "Otacilia hippocampa", "Otacilia yangmingensis", "Otacilia curvata", "Otacilia submicrostoma", "Yaginumaella lushuiensis", "Yaginumaella pseudoflexa", "Apocopis burmanicus", "Apocopis collinus", "Apocopis paleaceus", "Bulbophyllum cruttwellii", "Bulbophyllum cryptanthum", "Bulbophyllum cryptanthoides", "Bulbophyllum cryptostachyum", "Bulbophyllum cubicum", "Bulbophyllum culex", "Bulbophyllum cumberlegei", "Bulbophyllum cuniculiforme", "Bulbophyllum curvibulbum", "Bulbophyllum curvicaule", "Bulbophyllum curvifolium", "Bulbophyllum curvimentatum", "Bulbophyllum cuspidipetalum", "Bulbophyllum cyanotriche", "Bulbophyllum cyatheicola", "Bulbophyllum cyclanthum", "Bulbophyllum cycloglossum", "Bulbophyllum cyclopense", "Bulbophyllum cyclophoroides", "Bulbophyllum cyclophyllum", "Bulbophyllum cylindraceum", "Bulbophyllum cylindricum", "Bulbophyllum cylindrobulbum", "Bulbophyllum cylindrocarpum", "Bulbophyllum cylindrocarpum var. cylindrocarpum", "Bulbophyllum cylindrocarpum var. andringitrense", "Chrysozephyrus lingi", "Bulbophyllum danii", "Leptosiphon androsaceus", "Bulbophyllum dawongense", "Bulbophyllum dayanum", "Leptosiphon aureus", "Bulbophyllum dearei", "Leptosiphon chrysanthus", "Bulbophyllum debile", "Pachygone tomentella", "Bulbophyllum debrincatiae", "Hypserpa mackeei", "Hypserpa vieillardii", "Leptosiphon bicolor", "Bulbophyllum debruynii", "Hypserpa neocaledonica", "Leptosiphon ciliatus", "Leptosiphon grandiflorus", "Crocus heuffelianus subsp. scepusiensis", "Leptosiphon nuttallii", "Leptosiphon parviflorus", "Loeseliastrum matthewsii", "Brachytydeus magdalenae", "Bulbophyllum densum", "Echinodorus longipetalus", "Echinodorus paniculatus", "Moraea doleritica", "Moraea eburnea", "Brachytydeus concinnus", "Hadena stolida", "Acroclita symbolias", "Eumarissa symbolias", "Elymnias pellucida", "Thermozephyrus kubotae", "Thermozephyrus kirishimaensis", "Thermozephyrus ataxus", "Thermozephyrus ataxus ataxus", "Dipsas ataxus", "Dipsas katura", "Zephyrus ataxus var. kirishimaensis", "Zephyrus ataxus ataxus", "Thermozephyrus kirishimaensis kirishimaensis", "Thermozephyrus kirishimaensis yakushimaensis", "Bulbophyllum dacruzii", "Bulbophyllum dalatense", "Bulbophyllum vietnamense", "Chrysozephyrus subnivalis", "Ruellia bracteata", "Paralorryia leptonychotes", "Bulbophyllum delitescens", "Bulbophyllum decaryanum", "Bulbophyllum decatriche", "Bulbophyllum decumbens", "Bulbophyllum decurrentilobum", "Bulbophyllum decurviscapum", "Bulbophyllum decurvulum", "Bulbophyllum dekockii", "Bulbophyllum delicatulum", "Brachytydeus berryi", "Crocus heuffelianus subsp. heuffelianus", "Crocus yalovensis", "Crocus neapolitanus", "Bulbophyllum decarhopalon", "Brachytydeus italicus", "Brachytydeus sapodillus", "Moraea sect.", "Brachytydeus argentinensis", "Moraea flexicaulis", "Tydeus argentinensis", "Brachytydeus peruviensis", "Moraea sect.", "Bulbophyllum deltoideum", "Bulbophyllum deminutum", "Bulbophyllum dempoense", "Bulbophyllum dendrobioides", "Bulbophyllum dendrochiloides", "Bulbophyllum dennisii", "Bulbophyllum densifolium", "Cortiella hookeri", "Stelis morganii", "Cornus quinquenervis", "Onosma malatyana", "Ruellia patula", "Lecithocera recurvata", "Lecithocera phanerostoma", "Lecithocera niphotricha", "Acmella calva", "Garcinia cadelliana", "Pecteilis gigantea", "Pandanus canaranus", "Lecithocera activata", "Lecithocera ochrocapna", "Lecithocera strenua", "Lecithocera decorosa", "Lecithocera telosperma", "Bulbophyllum dichromum", "Bulbophyllum dickasonii", "Bulbophyllum dictyoneuron", "Bulbophyllum didymotropis", "Bulbophyllum digitatum", "Bulbophyllum digoelense", "Bulbophyllum dijkstalianum", "Meterana meyricci", "Brachytydeus zaheri", "Brachytydeus mali", "Brachytydeus striatus", "Brachytydeus stegmaieri", "Brachytydeus caryus", "Brachytydeus mansoni", "Terias auriflua", "Gandaca butyrosa butyrosa", "Gandaca butyrosa samanga", "Gandaca butyrosa aiguina", "Gandaca butyrosa thestiades", "Gandaca butyrosa cuneata", "Aliciella leptomeria", "Brachytydeus pulcher", "Aliciella subnuda", "Copromorpha pleurophanes", "Cacogamia elegans", "Tisis luteella", "Cacogamia luteella", "Tisis isoplasta", "Tisis meliorella", "Tingentera meliorella", "Echinodorus subalatus", "Dyscritobaeus kilimanjarensis", "Dyscritobaeus antananarivensis", "Dyscritobaeus flavus", "Dyscritobaeus madagascarensis", "Dyscritobaeus ndokii", "Dyscritobaeus tanzaniensis", "Leporinus multimaculatus", "Leporinus torrenticola", "Bulbophyllum dibothron", "Bulbophyllum dichaeoides", "Bulbophyllum dichilus", "Bulbophyllum dichotomum", "Cyanea hirtella", "Gelechia abella", "Bulbophyllum diplantherum", "Bulbophyllum diplohelix", "Brachytydeus reticulatus", "Heliophorus kohimensis kohimensis", "Heliophorus kohimensis elioti", "Glyphodes sylpharis", "Glyphodes sibillalis", "Brachytydeus podocarpus", "Glyphodes batesi", "Glyphodes atlitalis", "Glyphodes pulverulentalis", "Glyphodes multilinealis", "Glyphodes stolalis", "Glyphodes cosmarcha", "Lorryia mammilaris", "Brachytydeus summersi", "Tisis auricincta", "Brachytydeus raphignathoides", "Sageraea laurina", "Hydroptila cruciata", "Anisocentropus voeltzkowi", "Bulbophyllum denticulatum", "Brachytydeus tuttlei", "Calotydeus edwardbakeri", "Calotydeus mumai", "Calotydeus nicaraguensis", "Calotydeus starri", "Calotydeus turrialbensis", "Brachytydeus australensis", "Ainu andoi", "Bulbophyllum ebracteolatum", "Bulbophyllum echinochilum", "Bulbophyllum echinolabium", "Aoraia dinodes", "Gymnocelis inferior", "Schinia tertia", "Tamila tertia", "Schinia megarena", "Schinia albafascia", "Schinia ferrisi", "Schinia erosa", "Schinia brunnea", "Gelechia abdominella", "Stachys rehmannii", "Stachys radicans", "Stachys pyramidalis", "Stachys pseudophlomis", "Stachys pseudonigricans", "Sarisophora tenella", "Amphidasys superans", "Jankowskia confusa", "Calisto mariposa", "Calisto azua", "Calisto victori", "Terpsiphone incei", "Neuwiedia zollingeri var. zollingeri", "Tiliacea annamaria", "Aztecatopse amorimi", "Aztecatopse foliosa", "Aztecatopse spinosa", "Aztecatopse neotropica", "Lecithocera docilis", "Lecithocera luteola", "Lecithocera leucomastis", "Lecithocera improvisa", "Onebala fibularis", "Lecithocera costimaculella", "Lecithocera heylaertsi", "Triophtydeus celer", "Borolinus bisetifer", "Actinodaphne bourdillonii", "Tydaeolus claviger", "Paramartyria expeditionis", "Arctium lappa subsp. platylepis", "Coccinia mackenii", "Triophtydeus coccophagus", "Stachys hakkariensis", "Stachys sect.", "Triophtydeus viridis", "Pachygone sinica", "Pachygone valida", "Pachygone yunnanensis", "Bulbophyllum drepanosepalum", "Bulbophyllum dryadum", "Bulbophyllum dryas", "Bulbophyllum drymoda", "Bulbophyllum drymoglossum", "Tinospora guangxiensis", "Bulbophyllum dschischungarense", "Bulbophyllum dulongjiangense", "Bulbophyllum dunstervillei", "Bulbophyllum dusenii", "Allium ritsi", "Cymbopogon iwarancusa", "Stachys sessilis", "Stachys sessilifolia", "Stachys sericophylla", "Stachys sericea", "Stachys serbica", "Stachys schimperi", "Stachys scabrida", "Stachys scaberula", "Stachys saxicola", "Stachys sandersii", "Stachys sanchezii", "Stachys salisii", "Stachys rugosa", "Stachys rudatisii", "Brachytydeus oregonensis", "Stachys rubella", "Tydeus mississippiensis", "Stachys rotundifolia", "Bulbophyllum dependens", "Stachys rosea", "Bulbophyllum depressum", "Bulbophyllum desmotrichoides", "Bulbophyllum deuterodischorense", "Tydeus californicus", "Bulbophyllum deviantiae", "Tydeus costensis", "Bulbophyllum devium", "Tydeus chilensis", "Bulbophyllum devogelii", "Bulbophyllum dewildei", "Bulbophyllum dianthum", "Asthena yargongaria", "Stachys rivularis", "Stachys riparia", "Stachys riederi", "Stachys reticulata", "Stachys reptans", "Cossus celebensis", "Euthrix alessa", "Philudoria laeta", "Philudoria laeta laeta", "Philudoria laeta austrina", "Philudoria laeta austrina f. fusca", "Geolimnichus endroedyi", "Geolimnichus coprophilus", "Amiota bachlii", "Amiota chengyuae", "Amiota protuberantis", "Stachys annua subsp. cilicica", "Stachys annua subsp. ammophila", "Actinodaphne acuminata", "Actinodaphne albifrons", "Actinodaphne amabilis", "Actinodaphne ambigua", "Stachys zoharyana", "Stachys zeyheri", "Stachys yemenensis", "Actinodaphne andamanica", "Stachys xanthantha", "Stachys vulnerabilis", "Stachys virgata", "Stachys veroniciformis", "Stachys venulosa", "Stachys venezuelana", "Stachys urticoides", "Stachys uniflora", "Stachys tysonii", "Stachys turneri", "Stachys tubulosa", "Cidaria defectata", "Hydrelia straminearia", "Stachys truncata", "Hydrelia distinctaria", "Stachys trichophylla", "Stachys tournefortii", "Stachys torresii", "Stachys thunbergii", "Stachys tetragona", "Stachys tenerrima", "Stachys taliensis", "Stachys swainsonii", "Stachys sublobata", "Stachys subaphylla", "Stachys strictiflora", "Stachys stricta", "Stachys stebbinsii", "Stachys spruneri", "Stachys sprucei", "Stachys spreitzenhoferi", "Stachys spinosa", "Stachys sphaerodonta", "Stachys speluncarum", "Stachys spathulata", "Stachys simplex", "Microdrosophila acristata", "Stephania herbacea", "Stephania sutchuenensis", "Stephania chingtungensis", "Bulbophyllum dischidiifolium", "Bulbophyllum dischorense", "Arcangelisia gusanlung", "Bulbophyllum disciflorum", "Bulbophyllum discilabium", "Bulbophyllum discolor", "Bulbophyllum discolor subsp. discolor", "Bulbophyllum discolor subsp. cubitale", "Bulbophyllum disjunctum", "Bulbophyllum dissitiflorum", "Bulbophyllum dissolutum", "Bulbophyllum distichobulbum", "Bulbophyllum distichum", "Bulbophyllum divaricatum", "Bulbophyllum divergens", "Bulbophyllum djamuense", "Tinospora hainanensis", "Bulbophyllum dolabriforme", "Bulbophyllum dolichodon", "Bulbophyllum dolichoglottis", "Bulbophyllum dolichopus", "Bulbophyllum doryphoroide", "Bulbophyllum dracunculus", "Bulbophyllum dransfieldii", "Bulbophyllum drepananthum", "Eulophia streptopetala", "Eulophia streptopetala var. streptopetala", "Eulophia streptopetala var. rueppelii", "Eulophia streptopetala var. stenophylla", "Dicerandra frutescens var. cornutissima", "Dicerandra frutescens var. immaculata", "Clathrozoon wilsoni", "Ctenomys ibicuiensis", "Pseudoclathrozoon cryptolarioides", "Clytia multiannulata", "Microdrosophila pseudepleurolineat", "Amiota lanceolata", "Bulbophyllum echinulus", "Bulbophyllum eciliatum", "Bulbophyllum ecornutum", "Bulbophyllum ecornutum subsp. ecornutum", "Bulbophyllum ecornutum subsp. verrucatum", "Dendrobium nobile", "Dendrobium secundum", "Stegodyphus lineatus", "Amiota sigma", "Amiota clavata", "Dendrophryniscus krausae", "Amiota furcata", "Amiota subfurcata", "Amiota elongata", "Actinodaphne archboldiana", "Amiota okinawana", "Amiota curvistyla", "Amiota dentata", "Actinodaphne areolata", "Amiota flagellata", "Actinodaphne bicolor", "Amiota palpifera", "Actinodaphne mansonii", "Apsiphortica lini", "Phortica paramagna", "Microdrosophila distincta", "Actinodaphne madraspatana", "Dendrophryniscus skuki", "Hamus cornutus", "Hamus kangdingensis", "Hamus luzon", "Hamus mangunensis", "Nescina kohi", "Nesticella baiseensis", "Dicerandra frutescens var. christmanii", "Bulbophyllum elegantius", "Bulbophyllum elegantulum", "Bulbophyllum eleiosurum", "Bulbophyllum elephantinum", "Bulbophyllum elevatopunctatum", "Bulbophyllum elliae", "Cystomastacoides coxalis", "Mus platythrix", "Alaus latipennis", "Alaus alicii", "Chalcolepidius alicii", "Alaus cinnamomeus", "Alaus haroldi", "Chalcolepidius haroldi", "Chalcolepidius buckleyi", "Alaus sericeus", "Alaus thoracopunctatus", "Alaus unicus", "Diploclisia affinis", "Chalcolepidius unicus", "Amiota bicolorata", "Amiota hernowoi", "Amiota javaensis", "Amiota pengi", "Amiota pontianakensis", "Amiota ratnae", "Amiota sinuata", "Amiota acuta", "Amiota orchidea", "Amiota trifurcata", "Leucophenga pectinata", "Leucophenga saigusai", "Leucophenga atrinervis", "Leucophenga stenomaculipennis", "Nesticus sbordonii", "Coryne sagamiensis", "Nesticus secretus", "Bulbophyllum ecristatum", "Bulbophyllum edentatum", "Bulbophyllum efferatum", "Bulbophyllum elachanthe", "Bulbophyllum elaphoglossum", "Bulbophyllum elasmatopus", "Bulbophyllum elassonotum", "Bulbophyllum elatum", "Bulbophyllum elegans", "Nesticus brevipes", "Diclidanthera penduliflora", "Nesticus terrestris", "Nesticella caeca", "Nesticella chongqing", "Nesticella dazhuangensis", "Diclidanthera laurifolia", "Nesticella gazuida", "Nesticella hongheensis", "Nesticella jingpo", "Nesticella lisu", "Nesticella liuzhaiensis", "Nesticella mollicula", "Erigone mollicula", "Physostegia virginiana subsp. virginiana", "Dracocephalum bipinnatum", "Eleocharis glaucovirens", "Perarella parastichopae", "Pseudosolanderia sagamina", "Eucalyptus \u00d7 studleyensis", "Tiliacea karli", "Eucalyptus \u00d7 tinghaensis", "Tiliacea glaucozona", "Eucalyptus \u00d7 unialata", "Eucalyptus \u00d7 virgata", "Eucalyptus \u00d7 bennettiae", "Xanthia glaucozona", "Eucalyptus \u00d7 missilis", "Eucalyptus \u00d7 stoataptera", "Tiliacea tatachana", "Xanthia tatachana", "Encyclia silverarum", "Howaia inthanoni", "Nesticella nandanensis", "Nesticella odonta", "Nesticus odentus", "Nesticella taiwan", "Nesticella qiaoqiensis", "Nesticella qiongensis", "Nesticella robusta", "Nesticella sanchaheensis", "Nesticella songi", "Nesticella xiongmao", "Nesticella xixia", "Nesticella yao", "Nesticella fuliangensis", "Nesticella huomachongensis", "Diclidanthera octandra", "Dynamena ogasawarana", "Diclidanthera penduliflora var. penaeantha", "Diclidanthera penduliflora var. penduliflora", "Tetrapoma quadridentatum", "Stegella lobata", "Lotus cytisoides", "Indochinomyia viet", "Indochinomyia lao", "Cratocnema juxtacasum", "Cratocnema leve", "Cratocnema tricolor", "Cratocnema variicolor", "Nesticus campus", "Nesticus rainesi", "Nesticus hoffmanni", "Nesticus vazquezae", "Nesticus jamesoni", "Bulbophyllum elliotii", "Bulbophyllum ellipticifolium", "Bulbophyllum ellipticum", "Bulbophyllum elmeri", "Bulbophyllum elodeiflorum", "Scopula paraconfusa", "Bulbophyllum elongatum", "Bulbophyllum emarginatum", "Bulbophyllum emunitum", "Bulbophyllum encephalodes", "Bulbophyllum endotrachys", "Bulbophyllum entobaptum", "Dracocephalum wallichii", "Bulbophyllum entomonopsis", "Bulbophyllum epapillosum", "Bulbophyllum epibulbon", "Nesticus mogera", "Nesticella rongtangensis", "Nesticella wanzaiensis", "Nesticella yanbeiensis", "Nesticella baobab", "Nesticella connectens", "Nesticella gongshanensis", "Nesticella griswoldi", "Nesticella nepalensis", "Nesticus nepalensis", "Nesticella potala", "Nesticella sulawesi", "Nesticella tibetana", "Nesticella vanlang", "Nesticella yui", "Nesticella zhiyuani", "Nesticella phami", "Nesticella sumatrana", "Nesticella kaohsiungensis", "Ivesia gordonii", "Nepticula betulicola", "Russula delica", "Russula mustelina", "Russula grisea", "Stigmella japonica", "Hydractinia bayeri", "Hydractinia cryptogonia", "Hydractinia granulata", "Hydractinia inabai", "Hydractinia monoon", "Hydractinia spinipapillaris", "Podocoryna hayamaensis", "Hydrodendron leloupi", "Hydrodendron stechowi", "Hydrodendron violaceum", "Nesticus antillanus", "Nesticus maculatus", "Nesticus tennesseensis", "Cuspidella urceolata", "Ivesia tennesseensis", "Nesticus holsingeri", "Nesticus carolinensis", "Ivesia carolinensis", "Nesticus mimus", "Nesticus silvanus", "Nesticus dilutus", "Pancalia leuwenhoekella", "Bulbophyllum epicranthes", "Bulbophyllum epicranthes var. epicranthes", "Bulbophyllum epicranthes var. sumatranum", "Bulbophyllum erectum", "Macroteleia magna", "Rhizorhagium sagamiense", "Halecium dyssymetrum", "Parastenolechia albicapitella", "Parastenolechia formosana", "Parastenolechia gracilis", "Parastenolechia acclivis", "Tutor acclivis", "Eucalyptus \u00d7 affinis", "Parastenolechia longifolia", "Parastenolechia arciformis", "Parastenolechia papillaris", "Parastenolechia trapezia", "Parastenolechia semielliptica", "Parastenolechia medispina", "Parastenolechia argobathra", "Telphusa argobathra", "Parastenolechia collucata", "Laris acclivis", "Laris collucata", "Schuchertinia reticulata", "Parastenolechia claustrifera", "Telphusa claustrifera", "Cosmia auragides", "Cirrhia tigrina", "Cosmia japonago likianago", "Cosmia japonago", "Cosmia japonago japonago", "Tiliacea aurantiago", "Cosmia aurantiago", "Tripoma arboreum", "Eriachne armitii", "Erodium manescavi", "Erodium oxyrhinchum", "Ectopleura japonica", "Tiliacea peregovitsi", "Eucalyptus \u00d7 balanites", "Eucalyptus \u00d7 balanopelex", "Eucalyptus \u00d7 beaselyi", "Eucalyptus \u00d7 chrysantha", "Zygophylax sagamiensis", "Eucalyptus \u00d7 communalis", "Eucalyptus \u00d7 erythrandra", "Eucalyptus \u00d7 intrasilvatica", "Eucalyptus \u00d7 kirtoniana", "Eucalyptus mcquoidii", "Tiliacea opipara", "Tiliacea melonina", "Xestia melonina", "Tiliacea mimetica", "Eucalyptus \u00d7 phylacis", "Eucalyptus \u00d7 rariflora", "Xanthia opipara", "Eucalyptus \u00d7 rivularis", "Nesticus furtivus", "Nesticus paynei", "Nesticus valentinei", "Nesticus reclusus", "Nesticus cooperi", "Nesticus brimleyi", "Nesticus stupkai", "Nesticus sheari", "Nesticus archeri", "Nesticus crosbyi", "Nesticus bishopi", "Nesticus carteri", "Nesticus barrowsi", "Nesticus stygius", "Nesticus barri", "Nesticus jonesi", "Nesticus georgia", "Nesticus silvestrii", "Nesticus sodanus", "Nesticus potterius", "Halecium perexiguum", "Halecium pyriforme", "Tuganobia potteria", "Nesticus nahuanus", "Cyclocybe aegerita", "Acmispon maritimus", "Acmispon americanus", "Eudarcia ignorata", "Eudarcia armatum", "Obesoceras armatum", "Itersonilia pannonicus", "Callistethus carbo", "Callistethus flavodorsalis", "Bebearia oshogbo", "Bebearia wojtusiaki", "Mesene gracielae", "Mesene eupteryx", "Albiphasma heringi", "Albiphasma pieridoides", "Agyllia kituina", "Sirindhornia emmeli", "Sirindhornia ninhbinhensis", "Badumna insignis", "Paramathes daochengi", "Euploea eurianassa", "Euploea eurianassa eurianassa", "Euploea eurianassa clappi", "Russula rosea", "Nepticula gimmonella", "Anomospermum reticulatum subsp. allenii", "Hyperbaena allenii", "Nacaduba cyanea sanane", "Vigna angularis var. nipponensis", "Acmispon glaber", "Corydendrium album", "Pseudonesticus clavatus", "Corydendrium brevicaulis", "Pseudonesticus dafangensis", "Pseudonesticus miao", "Pseudonesticus spinosus", "Pseudonesticus wumengensis", "Pseudonesticus ziyunensis", "Speleoticus navicellatus", "Nesticus navicellatus", "Corymorpha sagamina", "Nesticella apiculata", "Nesticella arcuata", "Nesticella falcata", "Nesticella gracilenta", "Nesticella semicircularis", "Nesticella shanlinensis", "Nesticella verticalis", "Nesticus globosus", "Nesticus dimensis", "Nesticus abukumanus", "Nesticus akamai", "Nesticus akiensis", "Nesticus breviscapus", "Nesticus bungonus", "Nesticus furenensis", "Nesticus gondai", "Nesticus gujoensis", "Nesticus iriei", "Nesticus iwatensis", "Nesticus kaiensis", "Nesticus kataokai", "Nesticus masudai", "Nesticus mikawanus", "Nesticus monticola", "Nesticus nishikawai", "Nesticus shinkaii", "Nesticus suzuka", "Nesticus takachiho", "Nesticus tarumii", "Nesticus yamato", "Nesticus yesoensis", "Enteucha acetosae", "Filobasidium oeirensis", "Filobasidium stepposum", "Filobasidium wieringae", "Hesperolyra saopaulensis", "Acalyptris janzeni", "Sciadotenia nitida", "Abuta dwyeriana", "Acmispon argyraeus", "Acmispon distichus", "Acmispon intricatus", "Ottleya oroboides", "Acmispon grandiflorus", "Cystofilobasidium capitatum", "Cystofilobasidium macerans", "Meteoria longidorsalis", "Isometopus chaiyaphum", "Paloniella microchelys", "Hyperbaena winzerlingii", "Myiomma phuvasae", "Hyperbaena standleyi", "Eudarcia saxatilis", "Hyperbaena mexicana", "Acmispon haydonii", "Goffeauzyma iberica", "Goffeauzyma metallitolerans", "Chondroscaphe amabilis", "Hosackia pinnata", "Cyclea sutchuenensis", "Hosackia yollabolliensis", "Hosackia alamosana", "Acmispon heermannii", "Masdevallia \u00d7 ligiae", "Nostocoida limicola III", "Acmispon greenei", "Tyto furcata", "Goffeauzyma aciditolerans", "Goffeauzyma agrionensis", "Goffeauzyma gastricus", "Goffeauzyma gilvescens", "Stigmella ampla", "Stigmella evanida", "Stigmella mustelina", "Stigmella angusta", "Stigmella alticosma", "Stigmella nivea", "Glaucolepis aerifica", "Nepticula aerifica", "Nepticula andina", "Stigmella kristenseni", "Stigmella lobata", "Acmispon prostratus", "Stigmella ageratinae", "Stigmella clinopodiella", "Stigmella calceolarifoliae", "Acmispon procumbens", "Ectoedemia mesoloba", "Acmispon subpinnatus", "Nepticula perissopa", "Nepticula aceris", "Nepticula szocsi", "Piskurozyma cylindrica", "Acmispon mearnsii", "Naganishia albida", "Acmispon strigosus", "Naganishia albidosimilis", "Naganishia antarctica", "Naganishia bhutanensis", "Cyclea racemosa", "Naganishia cerealis", "Naganishia diffluens", "Naganishia friedmannii", "Naganishia globosa", "Naganishia liquefaciens", "Naganishia onofrii", "Naganishia randhawae", "Naganishia uzbekistanensis", "Naganishia vaughanmartiniae", "Naganishia vishniacii", "Syzygospora alba", "Syzygospora pallida", "Cyclea longgangensis", "Tylopilus praeanisatus", "Tylopilus propriorichromapes", "Cyclea gracillima", "Acmispon rubriflorus", "Acmispon brachycarpus", "Acmispon parviflorus", "Acalyptris tenuijuxtus", "Acalyptris bicornutus", "Acmispon nudatus", "Acmispon niveus", "Artaversala gilvafascia", "Stigmella gallicola", "Stigmella schinivora", "Stigmella costaricensis", "Stigmella intronia", "Stigmella molinensis", "Ozadelpha conostegiae", "Neotrifurcula gielisorum", "Hesperolyra diskusi", "Fomoria diskusi", "Enteucha diplocosma", "Nepticula diplocosma", "Nepticula acetosae", "Nepticula acetosella", "Nepticula arifoliella", "Scutia myrtina", "Heterocephalacria arrabidensis", "Centroselachus crepidater", "Heterocephalacria bachmannii", "Heterocephalacria physciacearum", "Heterocephalacria solida", "Naganishia adeliensis", "Stigmella baccharicola", "Piskurozyma capsuligenum", "Stigmella emarginatae", "Stigmella bipartita", "Stigmella latifoliae", "Stigmella bicuspidata", "Sarcocheilichthys variegatus", "Sarcocheilichthys variegatus variegatus", "Stigmella crassifoliae", "Stigmella cypracma", "Nepticula cypracma", "Callistethus fuscorubens", "Krasilnikovozyma huempii", "Callistethus lativittis", "Callistethus levigatus", "Callistethus macroxantholeus", "Callistethus microxantholeus", "Callistethus multiplicatus", "Callistethus parapulcher", "Callistethus pseudocollaris", "Callistethus stannibractea", "Callistethus ruteloides", "Callistethus yalizo", "Acmispon flexuosus", "Krasilnikovozyma tahquamenonensis", "Callistethus tlapanecus", "Stigmella paramica", "Stigmella confertae", "Stigmella lachemillae", "Stigmella gynoxyphaga", "Stigmella calceolariae", "Stigmella tripartita", "Stigmella rigida", "Stigmella altiplanica", "Stigmella robusta", "Stigmella pseudorobusta", "Stigmella auriargentata", "Acmispon junceus", "Acmispon utahensis", "Acmispon wrightii", "Stigmella altimontana", "Stigmella pandora", "Sulciolus circulivalvae", "Sulciolus kaindiana", "Hosackia crassifolia", "Pachygone vieillardii", "Hosackia gracilis", "Hosackia incana", "Hosackia oblongifolia", "Hosackia rosea", "Hosackia stipularis", "Sarcocheilichthys variegatus wakiyae", "Piskurozyma fildesensis", "Stephania delavayi", "Piskurozyma filicatus", "Piskurozyma silvicola", "Adelolecia rhododendrina", "Stigmella fulva", "Solicoccozyma aeria", "Solicoccozyma fuscescens", "Stigmella insignis", "Solicoccozyma keelungensis", "Solicoccozyma phenolicus", "Nepticula insignis", "Solicoccozyma terreus", "Stigmella laquaeorum", "Solicoccozyma terricola", "Nepticula laquaeorum", "Holtermanniella festucosa", "Coleus autranii", "Coleus scutellarioides", "Holtermanniella mycelialis", "Holtermanniella nyarrowii", "Holtermanniella takashimae", "Holtermanniella wattica", "Stigmella lucida", "Bandonia marina", "Nepticula lucida", "Takashimella tepidaria", "Stigmella maoriella", "Tinea maoriella", "Sulciolus pachystoma", "Lecithocera pachystoma", "Sulciolus abrasa", "Lecithocera abrasa", "Sulciolus capra", "Lecithocera capra", "Sulciolus induta", "Lecithocera induta", "Sulciolus perspicua", "Lecithocera perspicua", "Sarcocheilichthys biwaensis", "Eidinemacheilus proudlovei", "Cigaritis acamas gilletti", "Iolaus kyabobo", "Cutaneotrichosporon cyanovorans", "Cutaneotrichosporon daszewskae", "Bahianora poeltii", "Cutaneotrichosporon haglerorum", "Prillingera fragicola", "Vanrija longa", "Vanrija musci", "Vanrija thermophila", "Stigmella tricentra", "Vanrija pseudolonga", "Nepticula tricentra", "Vanrija humicola", "Acmispon multiflorum", "Syrmatium watsonii", "Thermithiobacillus plumbiphilus", "Thermithiobacillus tepidarius", "Stephania epigaea", "Fonsecazyma mujuensis", "Fonsecazyma tronadorensis", "Genolevuria amylolyticus", "Genolevuria armeniaca", "Genolevuria bromeliarum", "Genolevuria tibetensis", "Pseudotremella allantoinivorans", "Pseudotremella lacticolor", "Scaligeria halophila", "Scaligeria moreana", "Nepticula microtheriella", "Stigmella ogygia", "Nepticula ogygia", "Nepticula erechtitus", "Dorycnopsis gerardii", "Stigmella oriastra", "Stigmella progama", "Nepticula progama", "Stigmella progonopis", "Nepticula progonopis", "Stigmella propalaea", "Nepticula propalaea", "Stigmella sophorae", "Cutaneotrichosporon arboriformis", "Cutaneotrichosporon curvatus", "Nepticula sophorae", "Stephania longa", "Ectoedemia ortiva", "Astigmella dissona", "Astigmella mirabella", "Stigmella micromelis", "Stigmella aurora", "Stigmella nostrata", "Stigmella kozlovi", "Stigmella crataegivora", "Stigmella taigae", "Stigmella palionisi", "Stigmella amuriella", "Stigmella auricularia", "Stigmella ussurica", "Stigmella uigurica", "Stigmella magica", "Stigmella rhododendri", "Stigmella palmatae", "Stigmella monticulella", "Bohemannia ussuriella", "Bohemannia suiphunella", "Bohemannia piotra", "Ectoedemia emendata", "Ectoedemia sivickisi", "Ectoedemia laura", "Ectoedemia christopheri", "Ectoedemia philipi", "Ectoedemia chasanella", "Ectoedemia aligera", "Ectoedemia ermolaevi", "Ectoedemia maculata", "Ectoedemia olvina", "Ectoedemia ornatella", "Ectoedemia ivinskisi", "Ectoedemia picturata", "Ectoedemia insularis", "Ectoedemia sinevi", "Obrussa capesella", "Obrussa tigrinella", "Obrussa peterseni", "Ectoedemia sabina", "Obrussa sabina", "Filobasidium chernovii", "Filobasidium magnum", "Nothobranchius flagrans", "Alloxysta nottoni", "Stephania brevipedunculata", "Stephania intermedia", "Stephania dentifolia", "Stephania viridiflavens", "Lethe tengchongensis", "Zygoseius papaver", "Zygoseius lindquisti", "Muricea subtilis", "Lethe sisii", "Lethe giancbozanoi", "Lethe kinabalensis", "Lethe sinorix", "Iolaus silas", "Stephania yunnanensis", "Stephania yunnanensis var. trichocalyx", "Stephania yunnanensis var. yunnanensis", "Stephania lincangensis", "Stephania kuinanensis", "Stephania dicentrinifera", "Stephania macrantha", "Xyeloblacus leucobasis", "Xyeloblacus melanobasis", "Stephania officinarum", "Stephania dolichopoda", "Xyeloblacus longithecus", "Stephania mashanica", "Stigmella humboldti", "Dioszegia hungarica", "Stigmella eberhardi", "Stigmella fluida", "Nepticula fluida", "Stigmella galactacma", "Nepticula galactacma", "Stigmella gustafssoni", "Nepticula gustafssoni", "Stigmella uwusebi", "Stigmella karsholti", "Iolaus pallene", "Stigmella naibabi", "Rattus detentus", "Gracilimus radix", "Elaeosticta tschimganica", "Elaeosticta ugamica", "Stephania miyiensis", "Dolbina tibetana", "Trachoma rhopalorrhachis", "Trichomycterus itatiayae", "Iolaus crawshayi", "Iolaus crawshayi crawshayi", "Iolaus crawshayi elgonae", "Iolaus crawshayi littoralis", "Bothrops lutzi", "Cataglyphoides intermedius", "Cataglyphoides constrictus", "Rhodoprasina nenulfascia", "Macroglossum canlaonensis", "Temnora robusta", "Endoclita fahringeri", "Chaerocampa argyropeza", "Perigonia passerina", "Perigonia pittieri", "Perigonia stulta", "Perigonia thayeri", "Kloneus babayaga", "Dendrobium alexandrae", "Anomospermum chloranthum", "Aellopos blaini", "Aellopos ceculus", "Sphinx ceculus", "Aellopos clavipes", "Sesia clavipes", "Aellopos fadus", "Sphinx fadus", "Anomospermum chloranthum subsp. confusum", "Lethe kansa", "Lethe kansa kansa", "Lethe kansa vaga", "Lethe kansa zeugitana", "Lethe europa niladana", "Lethe europa gada", "Lethe europa ragalva", "Lethe europa nudgara", "Lethe europa kumara", "Lethe europa mahamaya", "Lethe europa alaca", "Lethe europa cevanna", "Lethe europa beroe", "Lethe europa malaya", "Lethe europa pavida", "Lethe europa tamuna", "Miltochrista tibeta", "Lyclene tibeta", "Miltochrista tibeta tibeta", "Stephania brachyandra", "Miltochrista tibeta clara", "Lyclene clara", "Miltochrista gilva", "Lyclene gilva", "Miltochrista tsinglingensis", "Miltochrista variata", "Miltochrista atuntseensis", "Stigmella robleae", "Stephania micrantha", "Stephania longipes", "Stephania dielsiana", "Desgodinsia watsoni", "Vervoortihelcon scaramozzinoi", "Uperoleia mahonyi", "Stephania succifera", "Stephania hainanensis", "Stephania kwangsiensis", "Stephania excentrica", "Lepidocollema wainii", "Elaeosticta aitchisonii", "Elaeosticta allioides", "Elaeosticta hirtula", "Elaeosticta meifolia", "Stephania ebracteata", "Vishniacozyma foliicola", "Vishniacozyma heimaeyensis", "Vishniacozyma peneaus", "Leuciacria acuta", "Vishniacozyma psychrotolerans", "Dicallaneura leucomelas", "Vishniacozyma taibaiensis", "Vishniacozyma tephrensis", "Vishniacozyma victoriae", "Eurhodia gyra", "Tapecomys primus", "Dimennazyma cistialbidi", "Gelidatrema spencermartinsiae", "Phaeotremella fagi", "Phaeotremella skinneri", "Leucoma crista", "Leucoma univalva", "Pascoe wareoensis", "Tmesisternus oransbarius", "Tmesisternus parvus", "Tmesisternus planus", "Tmesisternus pseudissimilis", "Tmesisternus ramues", "Tmesisternus testegaus", "Tmesisternus ubelsae", "Tmesisternus umboinus", "Tmesisternus watutius", "Leiocarpaea cochlearioides", "Disciphania moriorum", "Papilio ulysses irisae", "Disciphania unilateralis", "Lepidocollema adpressum", "Iolaus lalos lalos", "Iolaus lalos kigezi", "Iolaus aemulus", "Sarcocheilichthys hainanensis", "Eulophura atrofasciata", "Potentilla cryptotaeniae", "Lophuron umbrinum", "Macroglossum celebicum", "Macroglossum pseudomediovitta", "Atlantoraja castelnaui", "Cypa montana", "Cautethia insolita", "Perigonia desotoi", "Perigonia caryae", "Scyliorhinus haeckelii", "Gnathothlibus melichari", "Perigonia divisa", "Perigonia glaucescens", "Perigonia grisea", "Perigonia ilus", "Perigonia jamaicensis", "Perigonia lefebvraei", "Macroglossa lefebvraei", "Perigonia ilioides", "Perigonia leucopus", "Perigonia lusca", "Sphinx lusca", "Perigonia manni", "Perigonia pallida", "Delarthrum beroni", "Delarthrum typicum", "Delarthrum curtum", "Delarthrum tenuitergale", "Delarthrum andreevi", "Delarthrum heterotergale", "Delarthrum setosum", "Beronodesmus pallidus", "Elephantomene eburnea", "Papiliotrema anemochoreius", "Papiliotrema aspenensis", "Papiliotrema aurea", "Papiliotrema baii", "Papiliotrema flavescens", "Papiliotrema fonsecae", "Papiliotrema frias", "Papiliotrema laurentii", "Papiliotrema mangalensis", "Papiliotrema nemorosus", "Papiliotrema perniciosus", "Papiliotrema pseudoalba", "Papiliotrema rajasthanensis", "Papiliotrema ruineniae", "Papiliotrema taeanensis", "Iolaus silarus", "Sarcocheilichthys caobangensis", "Sarcocheilichthys czerskii", "Clubiona biforamina", "Clubiona dactylina", "Clubiona falciforma", "Clubiona multidentata", "Clubiona tangi", "Beronodesmoides anteriporus", "Beronodesmoides lobatus", "Beronodesmoides bifidus", "Beronodesmoides typicus", "Beronodesmoides martensi", "Beronodesmoides montigena", "Fritziana tonimi", "Iolaus crawshayi maureli", "Iolaus crawshayi nyanzae", "Iolaus crawshayi niloticus", "Iolaus lalos", "Aellopos tantalus", "Sphinx tantalus", "Aellopos titan", "Sphinx titan", "Baniwa yavitensis", "Callionima acuta", "Hemeroplanes acuta", "Morphopsis ula", "Anomospermum chloranthum subsp. chloranthum", "Caryomene foveolata", "Caryomene glaucescens", "Morphopsis meeki", "Morphopsis biakensis", "Morphopsis phippsi", "Erycinidia gracilis", "Pieridopsis virgo", "Erycinidia virgo", "Platypthima ornata", "Platypthima simplex", "Hannaella luteola", "Hannaella surugaensis", "Vishniacozyma carnescens", "Vishniacozyma dimennae", "Papiliotrema terrestris", "Papiliotrema wisconsinensis", "Rhynchogastrema nanyangensis", "Nepalomorpha arunense", "Delarthrum arunense", "Saitozyma flava", "Saitozyma paraflava", "Saitozyma podzolica", "Nepalomorpha hirsutum", "Nepalomorpha kuznetsovi", "Nepalomorpha spinigerum", "Delarthrum hirsutum", "Delarthrum kuznetsovi", "Delarthrum spinigerum", "Sarcocheilichthys davidi", "Beronodesmus simplex", "Hedinomorpha montana", "Hedinomorpha yunnanensis", "Hedinomorpha proxima", "Lepidocollema allochroum", "Sigipinius dentiger", "Tremella yokohamensis", "Tectoporus telnovi", "Kwoniella bestiolae", "Kwoniella dejecticola", "Kwoniella heveanensis", "Kwoniella pini", "Lepidocollema borbonicum", "Kwoniella shivajii", "Malassezia furfur", "Anoplodesmus magnus", "Kronopolites coriaceus", "Beronodesmus minutus", "Beronodesmus gorkhalis", "Beronodesmus longispinus", "Beronodesmus latispinosus", "Beronodesmus curtispinus", "Beronodesmus sinuatospinus", "Beronodesmus distospinosus", "Delarthrum curtisoma", "Lepidocollema brisbanense", "Delarthrum gracile", "Delarthrum planifemur", "Delarthrum densesetosum", "Tapecomys wolffsohni", "Sinomorpha setosa", "Iolaus silarus silarus", "Iolaus silarus brainei", "Belousoviella kabaki", "Macellolophus rubromarginatus", "Lepidocollema papillatum", "Lepidocollema polyphyllinum", "Juliomys ximenezi", "Lepidocollema zeylanica", "Alogolykus gracilis", "Hirtodrepanum latigonopum", "Yuennanina ceratogaster", "Orthomorpha picturata", "Orthomorpha tuberculifera", "Orthomorpha subtuberculifera", "Acacia longifolia subsp. sophorae", "Orthomorpha communis", "Orthomorpha atypica", "Orthomorpha latiterga", "Orthomorpha suberecta", "Orthomorpha beaumontii", "Odontocarya wullschlaegelii", "Lepidocollema cineratum", "Lepidocollema endoluteum", "Lepidocollema endomiltum", "Orthomene prancei", "Lepidocollema exornatum", "Lepidocollema fuscatum", "Lepidocollema granuliferum", "Lepidocollema imbricatulum", "Scinax rossaferesae", "Scinax haddadorum", "Scaligeria alziarii", "Pseudocatapyrgodesmus pulcher", "Skotodesmus vietnamicus", "Cryptocorypha hoffmani", "Lepidocollema pannarioides", "Iolaus aethria", "Iolaus agnes", "Cameraria betulivora", "Mirandisca harpalyce", "Pseudopharus nigra", "Delphyre nigra", "Durangularia druana", "Tortrix druana", "Durangularia giganteana", "Elachista baikalica", "Elachista talgarella", "Elachista esmeralda", "Elachista filicornella", "Elymnias kamara", "Bulbophyllum crepidiferum", "Bulbophyllum croceodon", "Bulbophyllum croceum", "Bulbophyllum crocodilus", "Bulbophyllum cruciatum", "Bulbophyllum cruciferum", "Bulbophyllum cruentum", "Aristida laxa", "Iolaus alienus", "Iolaus alienus alienus", "Iolaus alienus bicaudatus", "Acetobacter subgen.", "Acetobacter aceti", "Dicranogonus pix", "Bulbophyllum hirtum", "Dendrobium compactum", "Archicladosoma magnum", "Stigmatodactylus dalagangpalawanicum", "Trichopeltis kometis", "Niponiella kometis", "Iolaus creta", "Trichopeltis deharvengi", "Trichopeltis latellai", "Hedinomorpha reducta", "Inversispina erectispina", "Inversispina taiwanensis", "Wulingina macroloba", "Inversispina tortiapicalis", "Paranedyopus martensi", "Anoplodesmus martensi", "Paranedyopus similis", "Anoplodesmus similis", "Tetracentrosternus hoffmani", "Tylopus schawalleri", "Tylopus reductus", "Anoplodesmus chinensis", "Inversispina trispina", "Gonobelus martensi", "Sellanucheza jaegeri", "Antheromorpha rosea", "Hedinomorpha ciecofera", "Sciadotenia sagotiana", "Paranedyopus schawalleri", "Anoplodesmus schawalleri", "Paranedyopus affinis", "Anoplodesmus affinis", "Orophosoma fechteri", "Delarthrum fechteri", "Dasypharkis rugulosum", "Chinchillula sahamae", "Iolaus aphnaeoides mafugae", "Iolaus aphnaeoides nasissii", "Iolaus arborifera", "Iolaus alienus ugandae", "Iolaus alienus sophiae", "Iolaus apatosa", "Hoplatria clavigera", "Australiosoma laminatum", "Iolaus aphnaeoides", "Somethus biramus", "Cladethosoma forceps", "Isocladosoma guttatum", "Isocladosoma pallidulum", "Isocladosoma maculatum", "Mrakia aquatica", "Neomicroxus bogotensis", "Neomicroxus latebricola", "Delomys sublineatus", "Delomys dorsalis", "Telitoxicum krukovii", "Telitoxicum duckei", "Telitoxicum minutiflorum", "Iolaus aurivillii", "Pteronia incana", "Dahira tridens", "Lepchina tridens", "Hedinomorpha jeekeli", "Streptogonopus jeekeli", "Sciadotenia duckei", "Sciadotenia eichleriana", "Lepidocollema leiostroma", "Lepidocollema macrosporum", "Evurodesmus proximus", "Astrolabius hoffmani", "Lepidocollema montanum", "Lepidocollema nitidum", "Touranella cattiensis", "Anoplodesmus anichkini", "Abrawayaomys chebezi", "Abrawayaomys ruschii", "Iolaus aphnaeoides aphnaeoides", "Gehlenia bruno", "Dahira falcata", "Gehlenia falcata", "Tyto furcata tuidara", "Philodila hoenei", "Acosmeryx cacthschild", "Aristolochia amara", "Thibetia niphaphylla", "Ampelophaga obliquifascia", "Ampelophaga baibarana", "Hippotion velox velox", "Hippotion velox tainanensis", "Clubiona abbajensis", "Allocosa illegalis", "Allocosa mirabilis", "Ziziphora clinopodioides subsp. bungeana", "Allocosa molicola", "Ancylotrypa atra", "Ziziphora clinopodioides subsp. rigida", "Cerura liturata", "Ziziphora clinopodioides subsp. clinopodioides", "Cerura arikana", "Cerura tattakana", "Cerura liturata liturata", "Cerura liturata baibarana", "Cerura subrosea", "Iolaus australis", "Aoshachia virescens", "Absconditella termitariicola", "Kikuchiana infuscata", "Iolaus bakeri", "Astrothelium lineatum", "Astrothelium unisporum", "Horstrissea dolinicola", "Coenogonium minidenticulatum", "Starmerella bacillaris", "Bathyphlebia johnsoni johnsoni", "Bathyphlebia johnsoni flavior", "Crypthonia corticorygmoides", "Iolaus banco", "Cryptothecia rhizophora", "Endocarpon riparium", "Rhodotorula glutinis", "Psammina tropica", "Nemophora kalshoveni", "Lenotetrops ivanovae", "Nemophora humerella", "Nemophora agassizi", "Nemophora dohertyi", "Nemophora bistrigata", "Eleocharis quinqueflora", "Tiliacora funifera", "Eleocharis uniglumis", "Thelenella monospora", "Thelocarpon triseptatum", "Iolaus bansana", "Iolaus bansana bansana", "Iolaus bansana yalae", "Cryptococcus amylolentus", "Cryptococcus bacillisporus", "Cryptococcus decagattii", "Cryptococcus deneoformans", "Cryptococcus depauperatus", "Cryptococcus deuterogattii", "Cryptococcus gattii", "Cryptococcus luteus", "Cryptococcus neoformans", "Cryptococcus tetragattii", "Candida californica", "Oecomys franciscorum", "Candida saitoana", "Histoplasma capsulatum", "Debaryomyces hansenii", "Iolaus belli", "Pleione dilamellata", "Sporopachydermia cereana", "Iolaus bellina", "Iolaus bellina bellina", "Iolaus bellina exquisita", "Candida colliculosa", "Candida conglobata", "Albertisia delagoensis", "Rhodotorula mucilaginosa", "Mrakia frigida", "Sarcocheilichthys kiangsiensis", "Trimmatothelopsis americana", "Albertisia exelliana", "Anisocycla blepharosepala subsp. blepharosepala", "Oncidium herrenhusanum", "Lachancea thermotolerans", "Iolaus bellina maris", "Mactromeris polynyma", "Nemophora stenopterella", "Nemophora toxopeusi", "Monilinia laxa", "Melipotis walkeri", "Melipotis yerburyi", "Cystofilobasidium ferigula", "Drasteria yerburyi", "Crocidura afeworkbekelei", "Crocidura yaldeni", "Troides haliphron haliphron", "Troides haliphron rikyu", "Trimmatothelopsis tangerina", "Charaxes bernardus ajax", "Charaxes bernardus mitschkei", "Troides helena rayae", "Troides helena orientis", "Troides helena dempoensis", "Troides helena antileuca", "Troides helena demeter", "Troides helena hypnos", "Troides helena hahneli", "Suaeda confusa", "Papilio peranthus peranthus", "Malassezia pachydermatis", "Papilio peranthus sumie", "Sarocladium kiliense", "Iolaus glaucus", "Ragadia critias", "Ragadia crito", "Iolaus handmani", "Ragadia maganda", "Ragadia crohonica", "Ragadia annulata", "Ragadia crisilda", "Trimmatothelopsis coreana", "Trimmatothelopsis dispersa", "Iolaus coelestis", "Blastomyces gilchristii", "Archaeodictyna condocta", "Arctosa atriannulipes", "Trimmatothelopsis gordensis", "Arctosa picturella", "Arctosa scopulitibiis", "Trimmatothelopsis montana", "Trimmatothelopsis rhizobola", "Trimmatothelopsis terricola", "Crocidura fingui", "Kazachstania exigua", "Arctosomma trochosiforme", "Marsipiophora christophi", "Crocidura munissii", "Crocidura newmarki", "Crocidura mdumai", "Calophasia christophi", "Stigmatodactylus aquamarinus", "Crocidura lwiroensis", "Epharmottomena nana", "Candida zeylanoides", "Myxozyma melibiosi", "Iolaus flavilinea", "Hortaea werneckii", "Kuraishia molischiana", "Iolaus fontainei", "Trimmatothelopsis rufescens", "Platycnemis phasmovolans", "Trimmatothelopsis scabrida", "Crocidura batakorum", "Crocidura panayensis", "Trimmatothelopsis versipellis", "Crocidura kegoensis", "Crocidura annamitensis", "Crocidura cranbrooki", "Crocidura guy", "Crocidura nimbasilvanus", "Trimmatothelopsis dilatata", "Triclisia sacleuxii var. ovalifolia", "Argiope sector", "Argyrodes atriapicatus", "Benoitia lepida", "Oevstedalia antarctica", "Favonius watanabei", "Iolaus diametra zanzibarensis", "Neozephyrus suroia takenakai", "Favonius korshunovi shinichiroi", "Favonius korshunovi", "Favonius unoi", "Iolaus diametra natalica", "Zephyrus desgodinsi", "Lipomyces lipofer", "Iolaus djaloni", "Neacomys paracou", "Neacomys dubosti", "Trimmatothelopsis hassei", "Iolaus dubiosa", "Trimmatothelopsis myochroa", "Iolaus farquharsoni", "Cheiracanthium furculatum", "Clubiona abbajensis maxima", "Clubiona subtrivialis", "Corinna longitarsis", "Corinna mandibulata", "Corinna olivacea", "Corinna sanguinea", "Corinna sanguinea inquirenda", "Ctenus biprocessis", "Ctenus clariventris", "Ctenus potteri", "Leucanitis nana", "Triclisia sacleuxii", "Iolaus cytaeis", "Epharmottomena nana nana", "Epharmottomena nana iranica", "Iolaus cytaeis cytaeis", "Iolaus cytaeis caerulea", "Crocidura sapaensis", "Porphyrinia noctuelioides", "Crocidura phuquocensis", "Iolaus diametra", "Autographa paghmana", "Crocidura phanluongi", "Iolaus diametra diametra", "Autographa paghmana paghmana", "Autographa paghmana paupera", "Crocidura sokolovi", "Crocidura zaitsevi", "Crocidura ninoyi", "Afroclanis calcareus", "Iolaus pollux", "Iolaus pollux pollux", "Polyptychus calcareus", "Iolaus pollux albocaerulea", "Iolaus pollux oberthueri", "Troides helena hermes", "Troides helena venus", "Iolaus frater", "Iolaus frater frater", "Iolaus frater kamerunica", "Iolaus frater kumboae", "Iolaus gemmarius", "Cyrba bidentata", "Cyrtophora citricola abessinensis", "Drassodes adisensis", "Drassodes prosthesimiformis", "Drassodes sternatus", "Drassodes subviduatus", "Drassodes vorax", "Dresserus fuscus", "Dysdera roemeri", "Euophrys convergentis", "Kluyveromyces lactis", "Iolaus longicauda", "Iolaus longicauda longicauda", "Iolaus longicauda haydoni", "Iolaus maesa", "Iolaus mermis", "Eusparassus oraniensis", "Geolycosa aballicola", "Attacus siriae", "Geolycosa gofensis", "Attacus philippina", "Giuiria unica", "Iolaus moyambina", "Heligmomerus somalicus", "Iolaus neavei", "Iolaus neavei neavei", "Hermippus affinis", "Iolaus neavei katera", "Iolaus nolaensis", "Megalaria allenae", "Iolaus nolaensis nolaensis", "Iolaus nolaensis amanica", "Attacus lorquinii", "Embreea rodigasiana", "Attacus lorquinii lorquinii", "Attacus lorquinii calayanensis", "Attacus lorquinii banghaasi", "Iolaus nursei", "Embreea herrenhusana", "Hylesia alejandroi", "Iolaus obscurus", "Iolaus penningtoni", "Ragadia crisilda crisilda", "Ragadia crisilda critolina", "Ragadia crisilda crisildina", "Ragadia crisilda critilaus", "Ragadia crisilda latifasciata", "Ragadia luzonia", "Ragadia luzonia luzonia", "Iolaus helenae", "Ragadia luzonia obscura", "Ragadia luzonia masbatensis", "Ragadia luzonia luteofasciata", "Ragadia luzonia treadawayi", "Ragadia melindena", "Ragadia melindena melindena", "Ragadia melindena kakahuyan", "Iolaus hemicyanus", "Iolaus hemicyanus hemicyanus", "Iolaus hemicyanus barbara", "Iolaus hemicyanus barnsi", "Tomostima cuneifolia", "Metschnikowia pulcherrima", "Iolaus jacksoni", "Coloradia siriae", "Sporobolomyces roseus", "Albertisia apiculata", "Iolaus gabunica", "Aphyllorchis montana", "Iolaus aequatorialis", "Iolaus trimeni", "Larinopoda lagyra", "Chasmanthera dependens", "Tinospora mossambicensis", "Tinospora caffra", "Iolaus stenogrammica", "Iolaus tajoraca", "Iolaus tajoraca tajoraca", "Tinospora tenera", "Iolaus tajoraca ertli", "Ipomoea hartwegii", "Stephania cyanantha", "Nilus radiatolineatus", "Nisueta affinis", "Euphrasia maximowiczii", "Afroclanis neavi", "Polyptychus neavi", "Iolaus pseudofrater", "Iolaus pseudopollux", "Afrosphinx amabilis", "Polyptychus amabilis", "Iolaus sappirus", "Draba podolica", "Iolaus scintillans", "Dufourea dissectula", "Iolaus sciophilus", "Hogna hibernalis", "Hogna manicola", "Hyllus aethiopicus", "Hyllus brevitarsis", "Hyllus dotatus", "Hyllus erlangeri", "Hyllus fur", "Hyllus fusciventris", "Coloradia miahuatlanensis", "Coloradia papalensis", "Coloradia juarezia", "Coloradia pseudoguerreroiana", "Coloradia vanschaycki", "Coloradia caballensis", "Coloradia leonis", "Iolaus iasis", "Gamelioides chrisbrechlinae", "Iolaus iasis iasis", "Gamelioides winbrechlini", "Gamelioides sinjaevi", "Gamelioides pinzonica", "Gamelioides cajas", "Gamelioides inti", "Gamelioides kaechi", "Gamelioides seitzi", "Iolaus iasis albomaculatus", "Gamelia seitzi", "Iolaus kelle", "Thysania winbrechlini", "Thysania winbrechlini winbrechlini", "Thysania winbrechlini arianae", "Thysania winbrechlini siriae", "Thysania zenobia", "Actias rasa", "Actias shaanxiana", "Vanrija albida", "Iolaus laon", "Encolapta aciprojecta", "Encolapta obliquata", "Encolapta trapezoidea", "Encolapta lunata", "Albertisia undulata", "Encolapta scriniata", "Iolaus iulus", "Encolapta sheni", "Homoshelas sheni", "Encolapta valvispinata", "Homoshelas valvispinata", "Encolapta aganactes", "Chelophoba aganactes", "Encolapta heppneri", "Homochelas heppneri", "Homoshelas heppneri", "Dichomeris thyrsicola", "Hypelictis thyrsicola", "Triclisia sacleuxii var. sacleuxii", "Lachesana vittata", "Leucauge profundifoveata", "Loxoptygus erlangeri", "Loxosceles pallidecolorata", "Oberwinklerozyma yarrowii", "Mallinus defectus", "Pilodeudorix kafuensis", "Megarctosa aequioculata", "Eicochrysops fontainei", "Merenius recurvatus", "Neoscona subfusca", "Hyllus manensis", "Iolaus sibella", "Hyllus thyeniformis", "Ischnocolus fasciculatus", "Isoxya cicatricosa", "Iolaus sidus", "Iolaus silanus", "Iolaus silanus silanus", "Iolaus silanus alticola", "Dioscoreophyllum volkensii", "Iolaus silanus rondo", "Dioszegia statzelliae", "Iolaus silanus silenus", "Iolaus silanus zanzibarica", "Dioscoreophyllum cumminsii var. leptotrichos", "Iolaus bergeri", "Cyberlindnera jadinii", "Cephetola aureliae", "Cephetola ducarmei", "Cephetola overlaeti", "Cephetola karinae", "Triclisia macrophylla", "Syrrheonema welwitschii", "Sulzbacheromyces caatingae", "Chelaria scriniata", "Encolapta subtegulifera", "Dactylethrella subtegulifera", "Encolapta tegulifera", "Encolapta catarina", "Dactylethrella catarina", "Encolapta shenae", "Dactylethrella shenae", "Iolaus gabunica gabunica", "Cydia aelina", "Grapholitha albimaculana", "Enarmonia articulatana", "Potentilla matsumurae", "Iolaus gabunica mbami", "Iolaus henryi", "Iolaus iturensis", "Hilara biprocera", "Iolaus jamesoni", "Hilara digitata", "Hilara lata", "Hilara ningshana", "Hilara qinlingensis", "Hilara spinata", "Hilara zhouzhiensis", "Hilara arkhyziensis", "Hilara caucasica", "Hilara pseguashae", "Iolaus menas", "Iolaus menas menas", "Iolaus menas tatiana", "Iolaus schultzei", "Hilara acuticercus", "Hilara bispina", "Hilara longicercus", "Hilara longiseta", "Hilara spina", "Peromyscus gardneri", "Encolapta marginans", "Homoshelas marginans", "Encolapta epichthonia", "Homoshelas epichthonia", "Nitrosalsola incanescens", "Dufourea streimannii", "Dufourea turbinata", "Juncus ranarius", "Carex maritima", "Carex nardina", "Tinospora bakis", "Pilodeudorix elealodes", "Iolaus umbrosa", "Iolaus sudanicus", "Iolaus violacea", "Synclisia scabrida", "Encolapta bifasciaria", "Encolapta cornuta", "Iolaus kayonza", "Reithrodontomys musseri", "Vampyressa elisabethae", "Vampyressa sinchi", "Tinospora oblongifolia", "Neusticomys peruviensis", "Euryoryzomys emmonsae", "Anisolabis maritima", "Nepticula castanopsiella", "Nicoraepoa robusta", "Iolaus paneperata", "Iolaus parasilanus", "Iolaus parasilanus parasilanus", "Iolaus parasilanus divaricatus", "Catalinimonas alkaloidigena", "Dufourea sipmanii", "Promenaea rollissonii", "Tuttiana xanthophylla", "Nitrosalsola acanthoclada", "Nitrosalsola aegaea", "Tuttiana spalvota", "Cirrhia spalvota", "Nitrosalsola algeriensis", "Nitrosalsola arabica", "Stigmella acuta", "Stigmella cornuta", "Stigmella liota", "Stigmella panconista", "Nepticula panconista", "Stigmella tropicatella", "Stigmella podanthae", "Stigmella trojana", "Proechimys gardneri", "Nepticula embonella", "Nepticula minusculella", "Prolepsis huatajata", "Prolepsis pseudopluto", "Prolepsis martini", "Prolepsis funebris", "Prolepsis costaricensis", "Prolepsis indecisa", "Nitrosalsola brevifolia", "Nitrosalsola chellalensis", "Prolepsis lucifer", "Iolaus eurisus susurro", "Stigmella amygdali", "Nepticula amygdali", "Iolaus alcibiades", "Nitrosalsola dendroides", "Iolaus caesareus", "Iolaus caesareus caesareus", "Iolaus caesareus cleopatrae", "Tiliacora kenyensis", "Tiliacora latifolia", "Iolaus calisto", "Iolaus christofferi", "Iolaus cottrelli", "Stigmella azuminoensis", "Stigmella altella", "Thomasomys macrotis", "Nepticula altella", "Tinea atricapitella", "Nepticula basiguttella", "Iolaus dianae", "Iolaus icipe", "Dufourea doidgeae", "Platyrrhinus nitelinea", "Platyrrhinus angustirostris", "Myotis handleyi", "Platyrrhinus fusciventris", "Iolaus ismenias", "Iolaus ismenias ismenias", "Dioscoreophyllum volkensii var. volkensii", "Dufourea elixii", "Iolaus ismenias piaggiae", "Oxyambulyx sericeipennis javanica", "Iolaus timon orientius", "Bulbophyllum erinaceum", "Bulbophyllum erioides", "Bulbophyllum erosimarginatum", "Iolaus argentarius", "Bulbophyllum erosipetalum", "Iolaus mermeros", "Bulbophyllum erratum", "Bulbophyllum erythroglossum", "Bulbophyllum erythrokyle", "Nitrosalsola laricina", "Nitrosalsola libica", "Nitrosalsola mairei", "Lethe mekara", "Lethe mekara mekara", "Nitrosalsola micranthera", "Iolaus parasilanus mabillei", "Agnosia orneus", "Agnosia microta", "Marumba microta", "Iolaus parasilanus maesseni", "Amorpha juglandis", "Iolaus poecilaon", "Nitrosalsola orientalis", "Iolaus poecilaon poecilaon", "Iolaus poecilaon fisheri", "Iolaus stewarti", "Iolaus theodori", "Sphinx juglandis", "Stugeta mimetica", "Stugeta somalina", "Iolaus vansomereni", "Promenaea xanthina", "Ambulyx elwesi", "Scutacarus acarorum", "Hypochrosis hyadaria", "Hypochrosis hyadaria hyadaria", "Akbesia davidi", "Smerinthus davidi", "Akbesia davidi davidi", "Akbesia davidi gandhara", "Nitrosalsola praemontana", "Iolaus lulua", "Astrotischeria chilei", "Iolaus poultoni", "Iolaus timon", "Iolaus timon timon", "Oxyambulyx sericeipennis luzoni", "Oxyambulyx sericeipennis", "Oxyambulyx sericeipennis sericeipennis", "Nitrosalsola roshevitzii", "Iolaus timon congoensis", "Nitrosalsola vermiculata", "Canis anthus", "Acinonyx jubatus soemmeringii", "Oxyambulyx bakeri", "Nitrosalsola volkensii", "Oxyambulyx belli", "Giraffa camelopardalis reticulata", "Stugeta bowkeri albeza", "Stugeta bowkeri ethiopica", "Stugeta bowkeri kedonga", "Stugeta bowkeri maria", "Stugeta bowkeri mombasae", "Stugeta bowkeri nyanzana", "Stugeta bowkeri nyasana", "Stugeta bowkeri tearei", "Stugeta carpenteri", "Tuxentius kaffana", "Tuxentius cretosus", "Tuxentius cretosus usemia", "Leptomyrina henningi angolensis", "Leptomyrina henningi henningi", "Leptomyrina lara", "Leptomyrina gorgias", "Saturnia shaanxiana", "Leptomyrina gorgias cana", "Leptomyrina gorgias sobrina", "Saturnia taibaishanis", "Eucosma diaema", "Dufourea karrooensis", "Nitrosalsola dzhungarica", "Nitrosalsola ericoides", "Caroxylon gaetulum", "Dufourea ligulata", "Argyroploce zophophanes", "Articolla scioessa", "Dufourea marlothii", "Thaumatotibia aclyta", "Iolaus maritimus", "Iolaus maritimus maritimus", "Nitrosalsola gypsacea", "Alypeta aclyta", "Iolaus maritimus usambara", "Dufourea physcioides", "Thaumatotibia maculata", "Iolaus montana", "Iolaus ndolae", "Iolaus newporti", "Lethe manzorum", "Satyrus manzorum", "Iolaus pamae", "Dufourea filsonii", "Iolaus laonides", "Dufourea flammea", "Iolaus likpe", "Cryptophlebia wraggae", "Cryptophlebia caulicola", "Dufourea hirsuta", "Hylaeamys tatei", "Argyroploce iridosoma", "Eucosma ceratodes", "Rhipidomys wetzeli", "Iolaus lukabas", "Dufourea incavata", "Iolaus manasei", "Platypeplus rhynchias", "Iolaus mane", "Dufourea inflata", "Cryptophlebia stigmata", "Argyroploce endophaga", "Archiphlebia gilva", "Cnephasia rutilescens", "Nitrosalsola subglabra", "Tiliacora louisii", "Nepticula epicosma", "Tiliacora odorata", "Kakumia otlauga", "Strigosella africana", "Stugeta occidentalis", "Tiliacora laurentii var. laurentii", "Tiliacora lehmbachii", "Strigosella turkestanica", "Triaenops parvus", "Stugeta marmoreus", "Stugeta marmoreus marmoreus", "Triaenops goodmani", "Triaenops menamena", "Stugeta marmoreus olalae", "Cattleya loddigesii subsp. purpurea", "Tiliacora ovalis", "Tiliacora chrysobotrya", "Oncidium alexandrae", "Goodia septiguttata", "Holocerina prosti", "Solms-laubachia pulcherrima", "Tiliacora laurentii", "Tiliacora laurentii var. bequaertii", "Stigmella varispinella", "Stigmella olekarsholti", "Stigmella magnispinella", "Stigmella dolia", "Stigmella patagonica", "Stigmella muricatella", "Nepticula muricatella", "Stigmella azaroli", "Nepticula azaroli", "Nepticula cuprata", "Tiliacora ealaensis", "Nepticula johannis", "Tiliacora leonardii", "Saturnia koreanis", "Anthene crawshayi minuta", "Iridana marina", "Barsine auriflucta", "Deloneura ochrascens", "Pilodeudorix otraeda", "Deudorix jacksoni", "Myrina dermaptera nyasae", "Acmispon grandiflorus var. macranthus", "Jateorhiza macrantha", "Gyrophaena aedugena", "Deinopteroloma bisbisinuatum", "Triclisia lanceolata", "Triclisia riparia", "Triclisia louisii", "Alloclubionoides nariceus", "Cladognathus gracilis", "Prosopocoelus denticulatus", "Larinopoda aspidos", "Prosopocoilus crenulidens", "Cladognathus crenulidens", "Prosopocoilus tonkinensis", "Polyptychus baxteri", "Polyptychus baxteri baxteri", "Polyptychus baxteri jansei", "Rhipidomys gardneri", "Mesomys occultus", "Neacomys minutus", "Neacomys musseri", "Dichelopa lamii", "Leurogyia fijiensis", "Cattleya alvarenguensis", "Cattleya diamantinensis", "Cattleya guanhanensis", "Cattleya hegeriana", "Cattleya vasconcelosiana", "Aepeomys lugens", "Alaena johanna", "Alaena johanna johanna", "Guillemcia incanum", "Alaena johanna tsavoa", "Lepidochrysops auratus", "Callophrys eryphon sheltonensis", "Baliochila amanica", "Eresina bilinea", "Telipna nyanza", "Stempfferia francisci", "Stempfferia ife", "Triclisia dictyophylla", "Adafroptilum rotundum", "Deinopteroloma draco", "Deinopteroloma emeicola", "Deinopteroloma minor", "Deinopteroloma rougemonti", "Gyrophaena aeneicollis", "Deinopteroloma ruzickai", "Deinopteroloma sextuberculatum", "Deinopteroloma vesiculosum", "Deinopteroloma yinyang", "Meroleuca raineri", "Meroleuca catamarcensis", "Polyptychus affinis", "Chasmanthera welwitschii", "Polyptychus andosa", "Panacra andosa", "Polyptychus anochus anochus", "Polyptychus anochus margo", "Neopolyptychus centralis", "Polyptychus aurora", "Lepidochrysops cupreus", "Oxyambulyx immaculata", "Oxyambulyx charlesi", "Oxyambulyx felixi", "Oxyambulyx canescens", "Oxyambulyx canescens canescens", "Oxyambulyx canescens flava", "Compsogene mansoni", "Lepidochrysops aethiopia", "Theretra prattorum", "Lepidochrysops polydialecta", "Alaena bicolora", "Rhagastis aurifera", "Rhagastis aurifera aurifera", "Rhagastis aurifera sumatranus", "Rhagastis joiceyi", "Pireneitega zonsteini", "Pireneitega muratovi", "Pireneitega tyurai", "Pireneitega ramitensis", "Pireneitega kovblyuki", "Pireneitega major", "Pireneitega burqinensis", "Pireneitega fuyunensis", "Pireneitega gongliuensis", "Pireneitega huochengensis", "Pireneitega lini", "Pireneitega liui", "Pireneitega wensuensis", "Pireneitega wui", "Pireneitega yaoi", "Polyptychus andosa andosa", "Chalciporus piperatus", "Polyptychus andosa amaniensis", "Polyptychus andosa tiro", "Eicochrysops rogersi", "Cattleya araguaiensis", "Thermoniphas distincta", "Agrias phalcidon excelsior f. loc. akai", "Baliochila stygia", "Agrias phalcidon excelsior f. loc. kiichirooi", "Agrias phalcidon excelsior f. loc. komachiae", "Agrias phalcidon excelsior f. loc. jupiter", "Agrias phalcidon excelsior f. loc. viridifasciata", "Stempfferia elissa", "Navarcostes limnatis", "Lycaena phlaeas polaris", "Eicochrysops eicotrochilus", "Liptena rubromacula", "Liptena rubromacula rubromacula", "Liptena rubromacula jacksoni", "Epitrichosma metretoma", "Peraglyphis eida", "Nairips mastrus", "Pteridoporthis euryloxa", "Tortrix fasciculana", "Syrrheonema fasciculatum", "Iris peshmeniana", "Aepeomys reigi", "Albertisia villosa", "Rhagomys longilingua", "Anisocycla cymosa", "Rhipidomys cariri", "Ithomia heraldica", "Ithomia heraldica heraldica", "Ithomia heraldica valleantonera", "Kolobopetalum ovatum", "Oleria paula", "Oleria paula paula", "Oleria paula embera", "Callithomia hezia", "Callithomia hezia hezia", "Callithomia hezia punctata", "Pteronymia cotytto", "Pteronymia cotytto cotytto", "Pteronymia cotytto emiliani", "Catasticta ctemene pitalito", "Catasticta cinerea farallonensis", "Tajuria maculatus", "Rhipidomys tribei", "Rhipidomys itoan", "Mauna filia", "Phalaena filia", "Mauna acuminata", "Illa nefanda", "Illa perquisita", "Mauna perquisita", "Illa reprobata", "Mauna perquisita reprobata", "Mauna perquisita perquisita", "Illa altipaludis", "Dichelopa litota", "Chilomys fumeus", "Chilomys instans", "Beirnaertia cabindensis", "Rhipidomys fulviventer", "Tinospora penninervifolia", "Dion carmenta", "Dion carmenta carmenta", "Rhipidomys austrinus", "Mimia phydile tatamaensis", "Rhipidomys caucensis", "Rhipidomys emiliae", "Dion carmenta caucana", "Entheus matho", "Entheus matho matho", "Entheus matho marmato", "Talides montezuma", "Marcus-kochia littorea", "Nepticula olyritis", "Nepticula eurydesma", "Suasa lisides lisides", "Suasa lisides liris", "Suasa lisides madaura", "Nepticula gossypii", "Nepticula hylomaga", "Nepticula costalimai", "Nepticula guittonae", "Suasa lisides suessa", "Akodon paranaensis", "Syncratus paroecus", "Syncratus scepanus", "Syncratus nairayawae", "Epitrichosma anisocausta", "Oxymycterus josei", "Meritastis anisocausta", "Abrocoma uspallata", "Epitrichosma crymodes", "Schoenotenes crymodes", "Epitrichosma phaulera", "Paranepsia phaulera", "Epichorista phaeoplaca", "Schoenotenes craspedospila", "Tortrix leucoptera", "Epitrichosma argenticola", "Epitrichosma luteola", "Epitrichosma aureola", "Epitrichosma lira", "Epitrichosma ceramina", "Epitrichosma hesperia", "Epitrichosma metreta", "Epitrichosma neurobapta", "Epitrichosma helioconis", "Schoenotenes helioconis", "Epitrichosma mellosa", "Barygnathella mellosa", "Carystoides sylvestris", "Rhipidomys macrurus", "Carystoides metaensis", "Carystoides hondura", "Carystoides hondura hondura", "Carystoides hondura pacifica", "Carystoides yenna", "Carystoides manta", "Carystoides balza", "Carystoides lila", "Carystoides escalantei", "Carystoides abrahami", "Carystoides floresi", "Carystoides mexicana", "Oxynetra confusa confusa", "Oxynetra confusa franciscana", "Mesosemia metuana", "Mesosemia metuana montezuma", "Olyras insignis brandarisi", "Hyalyris excelsa azuerensis", "Syntriandrium preussii", "Perichasma laetificata", "Penianthus longifolius", "Habenaria floribunda", "Clema deserti", "Aphyosemion ahli", "Porela vitulina", "Kolobopetalum chevalieri", "Leptoterantha mayumbensis", "Dudua lamiana", "Metaselena russata", "Metaselena ruborata", "Mimperiphoeba opaca", "Paratoonavora scalpta", "Pseudancylis bisignum", "Coenobiodes rubrogrisea", "Rhopobota ochyra", "Tritopterna cnephata", "Noduliferola cothovalva", "Noduliferola transiens", "Spilonota pachyspina", "Spilonota lygaea", "Eccoptocera bidolon", "Icelita grossoperas", "Thaumatotibia grammica", "Cryptophlebia emphyla", "Acanthoclita expulsa", "Grapholita trossula", "Rhipidomys couesi", "Dioscoreophyllum gossweileri", "Tiliacora gossweileri", "Coraebus amabilis", "Coraebus elatus", "Coraebus formosanus", "Coraebus andrewesi", "Coraebus hastanus", "Coraebus ignotus", "Coraebus iriei", "Andraca r\u00f6pkei", "Coraebus rusticanus", "Coraebus sakagutii", "Arbutus mollis", "Coraebus sidae", "Coraebus fasciatus", "Andraca olivacens", "Andraca nobilorum", "Andraca nobilorum nobilorum", "Andraca nobilorum houtuae", "Geralius inermis", "Deinopteroloma spectabile", "Deinopteroloma crenatum", "Deinopteroloma egregium", "Deinopteroloma insigne", "Deinopteroloma subcostatum", "Baliochila woodi", "Citrinophila bennetti", "Seranambia nodosa", "Toxoscelus auriceps", "Toxoscelus miwai", "Pachypeltis castellana", "Toxoscelus yakushimensis", "Citrinophila erastus", "Citrinophila erastus erastus", "Pachypeltis cladodes", "Alissoderus rex", "Citrinophila erastus pallida", "Citrinophila marginalis", "Anadora mechowi", "Baliochila hildegarda", "Rhigiocarya racemifera", "Baliochila latimarginata", "Baliochila latimarginata latimarginata", "Baliochila latimarginata rondoensis", "Cryptodactylus khasiensis", "Baliochila minima", "Baliochila pringlei", "Baliochila pseudofragilis", "Kolobopetalum auriculatum", "Eresiomera jacksoni", "Deinopteroloma cristatum", "Eresiomera nigeriana", "Eresiomera ouesso", "Eresiomera petersi", "Eresiomera cornucopiae", "Eresiomera kiellandi", "Eresiomera magnimacula", "Eresiomera mapongua", "Eresiomera osheba", "Eresiomera phaeochiton", "Bulbophyllum patella", "Eresiomera rutilo", "Tinospora fragosa", "Falcuna campimus", "Falcuna campimus campimus", "Falcuna campimus dilatata", "Falcuna dorotheae", "Falcuna iturina", "Falcuna kasai", "Triclisia subcordata", "Deinopteroloma pictum", "Meliacanthus cupreomarginatus", "Argyrocheila bitje", "Argyrocheila inundifera", "Tonkinula aurofasciata", "Argyrocheila undifera", "Argyrocheila undifera undifera", "Andraca angulata", "Argyrocheila undifera ugandae", "Meliboeus episcopalis", "Meliboeus amethystinus", "Baliochila aslanga", "Baliochila barnesi", "Meliboeus oliveri", "Baliochila neavei", "Baliochila dubiosa", "Baliochila lipara", "Meliboeus violaceus", "Baliochila nyasae", "Baliochila fragilis", "Meliboeus congolanus", "Meliboeus gibbicollis", "Meliboeus graminis", "Baliochila singularis", "Gyrophaena antennalis", "Taleporia henderickxi", "Cnodontes penningtoni", "Gyrophaena arizonae", "Micropterix jabalmoussae", "Cnodontes vansomereni", "Gyrophaena apacheana", "Phtheochroa unionana", "Hysterosia unionana", "Phtheochroa variolosana", "Gyrophaena apicicornis", "Phtheochroa vicina", "Propira vicina", "Eresina bergeri", "Eresina conradti", "Eresina fontainei", "Gyrophaena arator", "Eresina katangana", "Eresina maesseni", "Eresina rougeoti", "Eresina saundersi", "Eresina theodori", "Eresina pseudofusca", "Eresina jacksoni", "Eresina katera", "Eresina likouala", "Eresina masaka", "Eresina corynetes", "Micrattacus nanus", "Eresina crola", "Citrinophila similis", "Citrinophila tenera", "Citrinophila terias", "Citrinophila unipunctata", "Cnodontes bouyeri", "Cnodontes pallida", "Gyrophaena aequalis", "Gyrophaena affinis", "Gyrophaena alexandrovi", "Gyrophaena anatolica", "Cylindromorphus gallicus", "Paracylindromorphus spinipennis", "Dialytheca gossweileri", "Paracylindromorphus transversicollis", "Paracylindromorphus pinguis", "Paracylindromorphus grandis", "Paracylindromorphus alluaudi", "Duncanius capitatus", "Duncanius dolatus", "Rhipidomys modicus", "Rhipidomys nitela", "Dioscoreophyllum cumminsii var. cumminsii", "Limaciopsis loangensis", "Stephania mildbraedii", "Barsine deliciosa", "Metaterpna batangensis", "Metaterpna differens", "Terpna differens", "Metaterpna thyatiraria", "Hypochroma thyatiraria", "Andraca yauichui", "Oreta theae", "Shackletonia siphonospora", "Aciptilia alternaria", "Singularia alternaria", "Thomasomys popayanus", "Thomasomys cinereiventer", "Rhipidomys similis", "Singularia carabayus", "Rhipidomys tenuicauda", "Pterophorus carabayus", "Singularia leptochorda", "Alucita leptochorda", "Thomasomys praetor", "Thomasomys incanus", "Falcuna lacteata", "Falcuna leonensis", "Falcuna overlaeti", "Falcuna reducta", "Falcuna semliki", "Falcuna gitte", "Thomasomys cinnameus", "Thomasomys silvestris", "Shackletonia buelliae", "Thomasomys erro", "Thomasomys hudsoni", "Thomasomys caudivarius", "Shackletonia hertelii", "Thomasomys ladewi", "Thomasomys oreas", "Cissampelos macrosepala", "Thomasomys bombycinus", "Triclisia patens", "Thomasomys monochromos", "Sphenocentrum jollyanum", "Aholcocerus sevastopuloi", "Aholcocerus verbeeki", "Cossus verbeeki", "Aholcocerus jakli", "Scobura masutaroi", "Minois paupera bomeganga", "Minois aurata", "Albertisia cuneata", "Shackletonia insignis", "Shackletonia sauronii", "Carpesium triste", "Carpesium nepalense", "Carpesium glossophyllum", "Carpesium macrocephalum", "Carpesium faberi", "Carpesium divaricatum", "Carpesium rosulatum", "Aphanisticus aculeatus", "Oleria gunilla", "Oleria gunilla gunilla", "Pyrenodesmia concreticola", "Larinopoda eurema", "Pyrenodesmia erodens", "Larinopoda lagyra lagyra", "Larinopoda lagyra reducta", "Larinopoda tera", "Copaxa denda dendoidea", "Copaxa cydippe cydippueblensis", "Albertisia ferruginea", "Thomasomys gracilis", "Thomasomys daphne", "Thomasomys notatus", "Aphanisticus assinicus", "Aphanisticus assinicus aeolus", "Aphanisticus assinicus assinicus", "Aphanisticus biafranus", "Aphanisticus biafranus biafranus", "Aphanisticus biafranus rothkirchi", "Aphanisticus bilobiceps", "Aphanisticus bilobiceps bilobiceps", "Aphanisticus bilobiceps certulus", "Aphanisticus cochinchinae", "Aphanisticus cochinchinae cochinchinae", "Aphanisticus cochinchinae seminulum", "Aphanisticus elongatus", "Aphanisticus elongatus elongatus", "Aphanisticus elongatus filum", "Aphanisticus emarginatus", "Aphanisticus fluviatilis", "Aphanisticus opacus", "Aphanisticus opacus mayumbinus", "Aphanisticus opacus opacus", "Aphanisticus pusillus", "Aphanisticus soppoensis", "Aphanisticus soppoensis soppoensis", "Aphanisticus soppoensis uelensis", "Endelus collaris", "Endelus collaris collaris", "Endelus collaris continentalis", "Endelus collaris kerremansi", "Falcuna hollandi", "Thomasomys kalinowskii", "Thomasomys niveipes", "Copaxa winbrechliniani", "Copaxa andcarchensis", "Copaxa andpichinchensis", "Copaxa cabrera", "Copaxa cochandensis", "Copaxa machadoi", "Copaxa marquezae", "Copaxa virgensis", "Copaxa antiollita", "Copaxa junfenestrata", "Copaxa satellitoidea", "Pyrenodesmia variabilis", "Cossus sikkimensis", "Stenolechia insulalis", "Albertisia scandens", "Tantilla tjiasmantoi", "Boana cambui", "Sphaenorhynchus canga", "Crossodactylus franciscanus", "Syrrheonema hexastamineum", "Thomasomys auricularis", "Thomasomys australis", "Thomasomys contradictus", "Thomasomys vulcani", "Thomasomys vestitus", "Copaxa belloidea", "Copaxa ciseskii", "Copaxa dagmarae", "Thomasomys rosalinda", "Copaxa sachai", "Copaxa tulcana", "Pelecynotum comicum", "Thomasomys taczanowskii", "Falcuna margarita", "Copaxa orientalis achupasiana", "Falcuna melandeta", "Copaxa rufinans rufstralica", "Aegus jengi", "Thomasomys aureus", "Figulus hsui", "Thomasomys cinereus", "Thomasomys dispar", "Thomasomys fumeus", "Thomasomys emeritus", "Thomasomys niceforoi", "Thomasomys princeps", "Brachycephalus albolineatus", "Liptena amabilis", "Liptena amabilis amabilis", "Cerodirphia fabiani", "Cerodirphia kaechi", "Cerodirphia sinjaevi", "Cerodirphia napoensis", "Cerodirphia pachona", "Ithomia padilla", "Oleria padilla padilla", "Oleria padilla pseudmakrena", "Oleria pseudmakrena", "Oleria padilla cajamarcensis", "Albertisia cordifolia", "Oleria cajamarcensis", "Oleria padilla gorkyi", "Oleria synnova", "Ithomia synnova", "Oleria vicina", "Ithomia vicina", "Xerothrips dissimilis", "Sinicossus danieli", "Pseudautomeris winbrechlini", "Pseudautomeris salmcolombiana", "Pseudautomeris matiasiana", "Pseudautomeris arminiloretensis", "Pseudautomeris arminijunensis", "Pseudautomeris arminirene", "Pseudautomeris rudloffi rudecuatorialis", "Leptoderis aliqourum", "Leptoderis balearicus", "Leptoderis italicus", "Leptoderis leporinus", "Leptoderis solieri", "Leptoderis zelmerloewae", "Andricus maesi", "Andricus costaricensis", "Copaxa silkae", "Copaxa sumacensis", "Peripontius icari", "Cardiophorus mylonasi", "Cardiophorus armathiaensis", "Cardiophorus kasiensis", "Coptostethus salvatoi", "Dicronychus aegyptiacus", "Dicronychus meschniggi", "Dicronychus ruzzantei", "Dicronychus thirasiaensis", "Dicronychus anatolicus", "Dicronychus novaki", "Cypripedium conzattianum", "Cypripedium gomezianum", "Cypripedium susanae", "Aesalus gaoligongshanus", "Digonophorus yongreni", "Singularia mayaensis", "Singularia solisi", "Singularia venedictoffi", "Thomasomys paramorum", "Phrynopus lechriorhynchus", "Bothrops marmoratus", "Placosoma limaverdorum", "Osteocephalus camufatus", "Copaxa metescens", "Falcuna hollandi hollandi", "Falcuna hollandi nigricans", "Falcuna hollandi suffusa", "Ololygon caissara", "Copaxa yarumala", "Copaxa paraexpandens", "Falcuna libyssa", "Falcuna lybissa lybissa", "Falcuna lybissa angolensis", "Falcuna lybissa cameroonica", "Rondonops biscutatus", "Rondonops xanthomystax", "Falcuna lybia", "Thomasomys hylophilus", "Thomasomys ischyurus", "Thomasomys laniger", "Automeris ari", "Automeris paravolanda", "Oleria gunilla lota", "Oleria gunilla lerdina", "Oleria gunilla escura", "Oleria gunilla lubilerda", "Oleria gunilla borilis", "Oleria gunilla praemona", "Oleria gunilla serdolis", "Oleria ilerdina lerida", "Oleria placidina", "Oleria ilerdina priscilla", "Ithomia priscilla", "Ithomia lota", "Ithomia gunilla", "Oleria derondina", "Leucothyris derondina", "Oleria derondina derondina", "Oleria derondina mandorina", "Trophomera marionensis", "Automeris gunneri", "Automeris hausmanni", "Automeris peggyanae", "Oleria fasciata", "Automeris peggyanae pegbogotana", "Leucothyris fasciata", "Automeris conceptiona", "Oleria fasciata fasciata", "Oleria fasciata melchori", "Oleria makrena", "Ithomia makrena", "Automeris risquindensis", "Leucothyris makrenita", "Oleria makrena makrena", "Oleria makrena caucana", "Ithomia makrena caucana", "Ithomia makrena makrena", "Oleria makrena schoenfelderi", "Winbrechlinia winbrechlini", "Oleria caucana schoenfelderi", "Erythromeris kaechi", "Erythromeris winfbrechlini", "Erythromeris christbrechlinae", "Oleria caucana", "Oleria caucana caucana", "Oleria padilla", "Smerinthulus baonganae", "Lycophantis incurvula", "Lycophantis mucronata", "Lycophantis stenopetala", "Athaumasta argillacea", "Smerinthulus cottoni", "Macroscelesia perlucida", "Smerinthulus diehli", "Melittia eurytion eurytion", "Smerinthulus mirabilis lamdongensis", "Macrozoque hoplandrioides", "Parvodeceptor infrequens", "Xanthomendoza hermonii", "Dextritubus acucullatus", "Dextritubus cucullatus", "Dextritubus nubis", "Carinatala meridiana", "Carinatala septentrionalis", "Hypselosoma amieuensis", "Hypselosoma bleuensis", "Hypselosoma koghiensis", "Hypselosoma mandjeliensis", "Hypselosoma mouensis", "Liptena bergeri", "Liptena boei", "Parnassius charltonius sochivkoi", "Liptena bolivari", "Epidendrum schizoclinandrium", "Parnassius charltonius marusyae", "Parnassius charltonius alrashid", "Albertisia glabra", "Tiliacora nigerica", "Trichoceros antennifer", "Mesothisa bilinguata", "Hypselosoma rhinatum", "Hypselosoma elytratum", "Hypselosoma chorizobregmatum", "Hypselosoma dicroum", "Hypselosoma gephyrobregmatum", "Hypselosoma haplacanthatum", "Hypselosoma ndouaensis", "Hypselosoma nordiensis", "Hypselosoma oculatum", "Hypselosoma onceronotatum", "Hypselosoma rembaiensis", "Hypselosoma touhoensis", "Hypselosoma trachyacanthatum", "Hypselosoma triacanthatum", "Hypselosoma hypselosomatum", "Xanthomendoza trachyphylla", "Pseudopaludicola ibisoroca", "Pseudopaludicola motorzinho", "Udea ruckdescheli", "Narycia emikoae", "Liptena eketi", "Liptena eukrinaria", "Thomasomys baeops", "Falcuna orientalis", "Falcuna orientalis orientalis", "Ceraia legitima", "Thomasomys eleusis", "Thomasomys pyrrhonotus", "Falcuna orientalis bwamba", "Falcuna synesia", "Falcunia synesia synesia", "Falcunia synesia fusca", "Falcunia synesia gabonensis", "Ceraia legitima angulata", "Ceraia legitima divulsa", "Ceraia amboro", "Anisophya bolivia", "Ceraia legitima legitima", "Ceraia cornutoides", "Ceraia cornutoides cornutoides", "Ceraia cornutoides separata", "Boana diabolica", "Ceraia sagittata", "Ceraia propria", "Ceraia mollis", "Ceraia capra", "Kakumia ferruginea", "Ceraia capra capra", "Ceraia capra megacentra", "Ceraia columbiana", "Ceraia oaxaca", "Ceraia surinamensis", "Ceraia surinamensis surinamensis", "Ceraia surinamensis granti", "Ceraia woronovi", "Kakumia ideoides", "Pyrenodesmia chalybaea", "Larinopoda batesi", "Pseudopaludicola jaredi", "Catapterix tianshanica", "Phalaena obscurella", "Scythris curtulella", "Pseudopaludicola atragula", "Pseudopaludicola ameghini", "Liptena occidentalis", "Liptena tricolora", "Parnassius charltonius ljudmilae", "Liptena overlaeti", "Albertisia porcata", "Myllaena lesbia", "Aloconota aegaea", "Aloconota lesbia", "Sunius potti", "Bryaxis lesbius", "Lycophantis elongata", "Lycophantis bradleyi", "Liptena ferrymani bissau", "Hylesia cottica", "Liptena flavicans", "Liptena flavicans flavicans", "Liptena flavicans praeusta", "Liptena flavicans aequatorialis", "Liptena flavicans katera", "Amorphosternoides vianai", "Amorphosternoides vianai martinezi", "Amorphosternoides vianai vianai", "Amorphosternus cucullatus", "Amorphosternus cucullatus bruchi", "Amorphosternus cucullatus cucullatus", "Bergidora bruchi", "Bergidora picturella", "Bergidora picturella ochraceopicta", "Bergidora picturella picturella", "Diadora lutea", "Diadora undulata", "Diadora willineri", "Diadorina golbachi", "Helferina olivacea", "Blaps mucronata", "Xanthopeltis rupicola", "Gehyra rohan", "Agrilodia hirundo", "Agrilodia hirundo hirundo", "Agrilodia hirundo weyrauchi", "Agrilus angustulus angustulus", "Agrilus angustulus bicoloratus", "Agrilus antiquus antiquus", "Agrilus antiquus croaticus", "Lepanthes acuminata", "Lepanthes acuminata subsp. acuminata", "Lepanthes acuminata subsp. ernestii", "Liptena similis", "Phanerota australiae", "Gyrophaena barberi", "Gyrophaena vitrina", "Rhigiocarya peltata", "Anisocycla jollyana", "Penianthus camerounensis", "Eresina fusca", "Eresina schmitti", "Eresina toroensis", "Euthecta cooksoni", "Euthecta cooksoni cooksoni", "Euthecta cooksoni marginata", "Euthecta cooksoni subgrisea", "Euthecta cordeiroi", "Giraffa camelopardalis angolensis", "Giraffa camelopardalis giraffa", "Eresinopsides bichroma", "Pachypeltis intrudens", "Eresinopsides bichroma bichroma", "Eresinopsides bichroma jeffreyi", "Eresinopsides bamptoni", "Pachypeltis invadens", "Eresiomera isca", "Eresiomera isca isca", "Eresiomera isca occidentalis", "Eresiomera bicolor", "Deinopteroloma notabile", "Eresiomera campbelli", "Eresiomera nancy", "Eresiomera phillipi", "Eresiomera clenchi", "Eresiomera rougeoti", "Thomasomys andersoni", "Eresiomera cornesi", "Warmingia zamorana", "Liptena intermedia", "Liptena kiellandi", "Liptena kiellandi kiellandi", "Liptena kiellandi kakamegae", "Liptena lualaba", "Liptena modesta", "Tiliacora gabonensis", "Liptena mwagensis", "Liptena ochrea", "Neohipparchia statilinus", "Neohipparchia statilinus statilinus", "Neohipparchia statilinus rosendei", "Pyrenodesmia elaeodes", "Triclisia coriacea", "Liptena praestans", "Liptena praestans praestans", "Liptena praestans congoensis", "Agrilus cuprescens amethystopterus", "Agrilus cuprescens chrysoderes", "Agrilus cuprescens cuprescens", "Liptena eukrines", "Colias flaveola mossi", "Liptena eukrinoides", "Liptena evanescens", "Albertisia capituliflora", "Gyalolechia juniperina", "Trichoceros carinifer", "Trichoceros cristinae", "Trichoceros dombeyi", "Trichoceros hajekiorum", "Trichoceros muralis", "Trichoceros onaensis", "Trichoceros platyceros", "Trichoceros roseus", "Trichoceros tupaipi", "Gyalolechia klementii", "Megalomys georginae", "Polycauliona phlogina", "Calassomys apicalis", "Tiliacora leonensis", "Caerostris sexcuspidata", "Ornithoptera tithonus cytherea f. loc. nicolasi", "Candida tropicalis", "Candida intermedia", "Kluyveromyces marxianus", "Meyerozyma guilliermondii", "Nigidius sticheri", "Sporopachydermia lactativora", "Lecidea advena", "Euploea blossomae shiraishii", "Omalium rhodicum", "Dioscoreophyllum volkensii var. fernandense", "Gyrophaena armata", "Metopsia assingi", "Faronus distinctus", "Gyrophaena arrowi", "Cossus hyrcanus", "Aleochara verna", "Catopta brandti", "Gyrophaena ashei", "Liptena rochei", "Gyrophaena atomaria", "Anaulacaspis nigrina", "Gyrophaena atropatena", "Mimophytum australe", "Liptena sauberi", "Mimophytum alienoides", "Sinicossus qinlingensis", "Mimophytum carranzae", "Mimophytum omphalodoides", "Mimophytum benitomartinezii", "Liptena seyboui", "Liptena flavicans oniens", "Liptena fontainei", "Liptena fulvicans", "Tiliacora macrophylla", "Bythinus simplicipalpis", "Protamaurops assingi", "Schausiplusia eugenia", "Schausiplusia elenae", "Liptena helena", "Rosema aethra", "Rosema demorsa", "Rosema deolis", "Tychus lesbius", "Phalaena deolis", "Rosema epigena", "Phalaena epigena", "Rosema zelica", "Liptena homeyeri", "Phalaena zelica", "Rosema dorsalis", "Stenichnus lesbius", "Pyrenodesmia bullata", "Ocalea brachyptera", "Aloconota samia", "Stenichnus chius", "Liptena homeyeri homeyeri", "Liptena homeyeri straminea", "Tiliacora klaineana", "Mesothisa ochsei", "Mesothisa josefweberi", "Mesothisa josefweberi josefweberi", "Mesothisa josefweberi plena", "Irenomys tarsalis", "Mesothisa cinnamonea", "Mesothisa pulverata", "Mesothisa substigmata", "Mesothisa crassilinea", "Liptena congoana", "Mesothisa dubiefi", "Xanthoria mediterranea", "Liptena decempunctata", "Neotomys ebriosus", "Liptena despecta", "Liptena durbania", "Andinomys edax", "Punomys lemminus", "Punomys kofordi", "Mesothisa flaccida", "Mesothisa gracililinea", "Kolobopetalum leonense", "Tiliacora stipularis", "Mesothisa schintlmeisteri", "Mesothisa stoeckeli", "Triclisia angustifolia", "Colias flaveola benyaminii", "Warmingia buchtienii", "Warmingia holopetala", "Silene konuralpii", "Pyrenodesmia cerina", "Epipyrops grandidieri", "Epipyrops radama", "Lepanthes platysepala", "Gyrophaena argentina", "Nesoptilura malgassica", "Ptilura malgassica", "Ptilura argyraspis", "Penianthus patulinervis", "Bombyx terebellum", "Dioscoreophyllum oligotrichum", "Sarcolophium suberosum", "Liptena subsuffusa", "Omochyseus omocyrius", "Sjoestedtius nyassae", "Sjoestedtius nyassae nyassae", "Sjoestedtius nyassae salisburyensis", "Amblysterna johnstoni", "Amblysterna natalensis", "Julodella abeillei", "Julodella abyssinica", "Julodella bicolor", "Julodella brevilata", "Julodella cicatricosa", "Macroglossum assimilis", "Pecteilis cambodiana", "Pecteilis cochinchinensis", "Pecteilis hawkesiana", "Pecteilis henryi", "Pecteilis susannae", "Pecteilis ophiocephala", "Pecteilis triflora", "Julodis balucha", "Julodis bennigseni", "Julodis bleusei", "Julodis brevicollis", "Julodis caffer", "Julodis caillaudi", "Julodis caillaudi caillaudi", "Julodis caillaudi mniszechii", "Julodis caillaudi spectabilis", "Julodis candida", "Julodis chevrolatii", "Julodis chevrolatii chevrolatii", "Julodis chevrolatii indigacea", "Julodis chrysesthes", "Julodis chrysesthes chrysesthes", "Julodis chrysesthes nivea", "Julodis cirrosa", "Julodis cirrosa cirrosa", "Julodis cirrosa hirtiventris", "Onosma juliae", "Julodis amrishi", "Julodis clouei", "Julodis confusa", "Julodis consobrina", "Julodis consobrina consobrina", "Julodis consobrina gotwendensis", "Julodis cylindrica", "Julodis dejagerae", "Julodis desertica", "Julodis egho", "Julodis egho egho", "Julodis egho jordani", "Julodis egho kaokoensis", "Julodis ehrenbergii", "Pholus obliquus", "Pholus obliquus obliquus", "Eumorpha orientis", "Pholus obliquus orientis", "Eumorpha guadelupensis", "Pholus obliquus guadelupensis", "Macroglossum sitiene", "Macroglossa sitiene", "Macroglossa nigrifasciata", "Macroglossa orientalis", "Macroglossa sinica", "Macroglossum cheni", "Albertisia mangenotii", "Macroglossum variegatum", "Macroglossum limata", "Macroglossa limata", "Julodella cymbiformis", "Julodella dilaticollis", "Julodella fairmairei", "Julodella haarlovi", "Micrarctia variabilis", "Julodella impluviata", "Julodella impressithorax", "Julodella iranica", "Julodella kaufmanni", "Julodella mesopotamica", "Julodella parvula", "Julodella plasoni", "Julodella schochi", "Julodella shestoperovi", "Julodella testaceipes", "Diaphora afghanistanensis", "Julodella zarudniana", "Julodimorpha bakewellii", "Phaloe cruenta", "Dyspessa ulula", "Julodis aeneipes", "Julodis aequinoctialis", "Julodis aequinoctialis aequinoctialis", "Julodis aequinoctialis carinifrons", "Julodis aequinoctialis coelaticollis", "Julodis aequinoctialis cyrenaea", "Julodis aequinoctialis deserticola", "Julodis aequinoctialis floccosa", "Julodis aequinoctialis tubu", "Julodis albomaculata", "Julodis algirica", "Julodis amoena", "Julodis andreae", "Julodis andreae andreae", "Julodis andreae obesa", "Julodis andreae obsoletesulcata", "Julodis andreae sulcata", "Julodis angolensis", "Julodis anthobia", "Julodis aristidis", "Julodis armeniaca", "Julodis armeniaca armeniaca", "Julodis armeniaca cypria", "Julodis armeniaca oertzeni", "Julodis atkinsoni", "Julodis audouinii", "Kriegeria eriophori", "Macroglossum hogani", "Macroglossum kueppersi", "Macroglossum pseudungues", "Macroglossum adustum", "Macroglossum affictitia", "Macroglossa vialis", "Macroglossum albigutta", "Macroglossum albigutta albigutta", "Macroglossum albigutta floridense", "Macroglossum albolineata", "Euneomys chinchilloides", "Euneomys fossor", "Platytinospora buchholzii", "Macroglossum alcedo", "Macroglossum alluaudi", "Macroglossum amoenum", "Euneomys mordax", "Macroglossum aquila", "Macroglossa aquila", "Macroglossa interrupta", "Euneomys petersoni", "Platytinospora buchholzii var. macrophylla", "Platytinospora buchholzii var. buchholzii", "Sternocera syriaca", "Sternocera syriaca genrei", "Sternocera syriaca syriaca", "Sternocera tricolor", "Micropentila adelgunda", "Micropentila alberta", "Micropentila bakotae", "Micropentila bitjeana", "Oxyambulyx substrigilis tattina", "Phaonia subprofugax", "Phaonia longifurca", "Phaonia huanrenensis", "Phaonia fissa", "Phaonia bitrigona", "Phaonia qingheensis", "Liptena turbata", "Julodis gariepina", "Julodis gariepina damarina", "Julodis gariepina gariepina", "Julodis gariepina reducta", "Julodis hirsuta", "Julodis hirsuta hirsuta", "Julodis hirsuta rugosa", "Phaonia chuanierrans", "Julodis hoehnelii", "Julodis humeralis", "Julodis interpunctata", "Julodis intricata", "Julodis iris", "Julodis kabakovi", "Julodis kerimi", "Julodis klapperichi", "Julodis laevicostata", "Julodis longicollis", "Julodis lucasi", "Julodis manipularis", "Julodis marmorea", "Julodis marmottani", "Julodis matthiesseni", "Julodis mitifica", "Julodis namibiensis", "Julodis nemethi", "Julodis onopordi", "Julodis onopordi chalcostigma", "Julodis onopordi longiseta", "Julodis onopordi onopordi", "Julodis onopordi sommeri", "Julodis onopordi splichali", "Julodis oweni", "Julodis partha", "Julodis peregrina", "Julodis pietzchmanni", "Julodis pilosa", "Julodis pilosa marseuli", "Julodis pilosa pilosa", "Julodis proxima", "Julodis pubescens", "Julodis pubescens pubescens", "Julodis pubescens yveni", "Julodis punctatocostata", "Julodis punctatocostata punctatocostata", "Julodis punctatocostata ramifera", "Abrothrix hirta", "Phaonia comihumera", "Phaonia debiliaureola", "Abrothrix manni", "Liptena catalina", "Phaonia debilifemoralis", "Julodis recenta", "Phaonia dianxiia", "Julodis rothii", "Micropentila cingulum", "Micropentila fuscula", "Micropentila jacksoni", "Micropentila galenides", "Julodis speculifer", "Julodis speculifer dicksonae", "Julodis speculifer monstrosa", "Julodis speculifer speculifer", "Julodis subbrevicollis", "Julodis sulcicollis", "Julodis syriaca", "Liptena undina", "Julodis syriaca anatolica", "Julodis syriaca distincta", "Julodis syriaca palmyrensis", "Julodis syriaca syriaca", "Julodis turbulenta", "Julodis vansoni", "Phaonia falsifuscicoxa", "Julodis variolaris", "Julodis variolaris aberrans", "Julodis variolaris badakschanicus", "Julodis variolaris brendelli", "Julodis variolaris bucharica", "Julodis variolaris eoa", "Julodis variolaris freygessneri", "Julodis variolaris indica", "Julodis variolaris kokandensis", "Julodis variolaris variolaris", "Julodis viridipes", "Julodis whitehillii", "Julodis zablodskii", "Phaonia fuscicoxa", "Neojulodis bequaerti", "Neojulodis bouyeri", "Neojulodis clermonti", "Neojulodis laticollis", "Neojulodis myrmido", "Neojulodis myrmido myrmido", "Neojulodis myrmido politicorum", "Neojulodis myrmido semiimpressa", "Neojulodis papillosa", "Liptena xanthostola", "Neojulodis picta", "Liptena xanthostola xanthostola", "Neojulodis picta picta", "Neojulodis picta vantonderae", "Neojulodis purpurescens", "Neojulodis rufolimbata", "Neojulodis setosa", "Neojulodis subcostata", "Neojulodis tomentosa", "Teriomima puella", "Teriomima puellaris", "Teriomima zuluana", "Helina sarmentosa", "Helina dianica", "Helina dianxiia", "Helina aureolicolorata", "Pyrenodesmia laeta", "Myospila lenticeps", "Julodis ehrenbergii ehrenbergii", "Julodis ehrenbergii olivieri", "Julodis escalerae", "Julodis euphratica", "Julodis euphratica aegyptiorum", "Lepanthes caprimulgus", "Julodis euphratica beludjistana", "Julodis euphratica bushirensis", "Julodis euphratica euphratica", "Julodis euphratica karelinii", "Julodis euphratica mrazi", "Julodis euphratica nusskina", "Lepanthes ophelma", "Julodis euphratica scenica", "Lepanthes lucifer", "Julodis fidelissima", "Julodis fimbriata", "Julodis fimbriata fimbriata", "Julodis fimbriata lacunosa", "Cyphobasidium hypogymniicola", "Cyphobasidium usneicola", "Eumorpha annalea", "Eumorpha obliquus", "Neojulodis tomentosa gnaphalon", "Neojulodis tomentosa lasios", "Neojulodis tomentosa tomentosa", "Neojulodis vittipennis", "Neojulodis vittipennis bilineata", "Neojulodis vittipennis satanas", "Neojulodis vittipennis sebastiani", "Neojulodis vittipennis subvittata", "Neojulodis vittipennis vittipennis", "Liptena xanthostola xantha", "Sternocera aurosignata", "Sternocera cariosicollis", "Sternocera castanea", "Sternocera castanea castanea", "Liptena xanthostola coomassiensis", "Sternocera castanea boucardii", "Sternocera castanea somalica", "Sternocera chrysis", "Sternocera chrysis chrysis", "Sternocera chrysis nitidicollis", "Sternocera dasypleuros", "Sternocera diardii", "Sternocera discedens", "Sternocera duvivieri", "Sternocera feldspathica", "Sternocera foveopubens", "Sternocera hildebrandti", "Sternocera hunteri", "Sternocera interrupta", "Sternocera interrupta interrupta", "Sternocera interrupta mephisto", "Sternocera iris", "Sternocera klugii", "Sternocera laevigata", "Sternocera marseuli", "Sternocera multipunctata", "Sternocera ngorongorensis", "Sternocera orissa", "Sternocera orissa abita", "Sternocera orissa bertolonii", "Sternocera orissa lanifica", "Sternocera orissa luctifera", "Sternocera orissa orissa", "Sternocera orissa variabilis", "Micropentila adelgitha", "Sternocera pulchra", "Sternocera ruficornis", "Sternocera sternicornis orientalis", "Sternocera sternicornis sternicornis", "Phaonia caudilata", "Phaonia hirtiorbitalis", "Phaonia impigerata", "Phaonia kanoi", "Phaonia liangshanica", "Phaonia macroomata", "Micropentila souanke", "Micropentila gabunica", "Phaonia mimoaureola", "Micropentila victoriae", "Micropentila katerae", "Micropentila flavopunctata", "Micropentila nigeriana", "Micropentila mpigi", "Micropentila fontainei", "Phaonia nigrifuscicoxa", "Halothamnus cinerascens var. glaber", "Helina magnimaculata", "Hyperbaena brevipes", "Halothamnus cinerascens var. hispidulus", "Hyperbaena undulata", "Halothamnus ferganensis var. hispidulus", "Halothamnus schurobi var. hispidulus", "Tosanoides obama", "Spilogona angulisurstyla", "Spilogona apicicauda", "Micropentila mabangi", "Micropentila mamfe", "Micropentila triangularis", "Micropentila ugandae", "Halothamnus bamianicus var. hispidulus", "Micropentila villiersi", "Trypanoplasma borreli", "Metabacterium polyspora", "Hyperbaena prioriana", "Pseuderesia eleaza", "Pseuderesia eleaza eleaza", "Pseuderesia eleaza katera", "Pseuderesia vidua", "Teriomima subpunctata", "Pyrenodesmia pellodella", "Helina aoicicauda", "Moenkhausia conspicua", "Hebecnema arcuatiabdomina", "Helina arcuatiabdomina", "Helina angulisurstyla", "Teriomima micra", "Hyperbaena valida", "Teriomima parva", "Teriomima parva parva", "Teriomima parva beylissi", "Helina pyriforma", "Tetrarhanis baralingam", "Trichomycterus giarettai", "Tetrarhanis okwangwo", "Trichomycterus wapixana", "Tetrarhanis diversa", "Apistogramma sororcula", "Hyperbaena axilliflora", "Myospila flavicauda", "Myospila latifrons", "Myospila magnatra", "Helina hirtisurstyla", "Helina paomashana", "Helina mimifica", "Melittia eurytion formosana", "Melittia eurytion nagaii", "Melittia humerosa", "Macroscelesia vietnamica", "Brypoctia strigifer", "Halothamnus glaucus var. heptapotamicus", "Schreiteriana pectinicornis", "Schreiteria pectinicornis", "Tetrarhanis stempfferi stempfferi", "Tetrarhanis stempfferi kigezi", "Tetrarhanis symplocus", "Myospila basilara", "Myospila brunneusa", "Myospila cetera", "Myospila paralasiophthulma", "Myospila paratrochanterata", "Myospila piliungulisoides", "Myospila subflavitibia", "Myospila villala", "Myospila acrula", "Myospila flavilobulusa", "Myospila ruficornica", "Wolbachia phage", "Pyrenodesmia sideritis", "Oreophryne aurora", "Oreophryne meliades", "Oreophryne banshee", "Oreophryne philosylleptoris", "Oreophryne matawan", "Oreophryne anser", "Oreophryne lemur", "Oreophryne equus", "Oreophryne penelopeia", "Oreophryne picticrus", "Hyperbaena lindmanii", "Ambispora gerdemannii", "Ambispora leptoticha", "Sacculospora baltica", "Archaeospora schenckii", "Oreophryne curator", "Oreophryne albomaculata", "Oreophryne choerophrynoides", "Oreophryne roedeli", "Oreophryne oviprotector", "Strymonidia pruni dujianensis", "Strymonidia pruni", "Toxochitona ankole", "Strymonidia pruni gansuensis", "Neptis ananta hainana", "Toxochitona gerda", "Neptis ananta chinensis", "Neptis ananta learmondi", "Himantoglossum jankae subsp. jankae", "Himantoglossum jankae subsp. robustissimum", "Himantoglossum jankae subsp. rumelicum", "Aethiopana honorius", "Aethiopana honorius honorius", "Aethiopana honorius divisa", "Necromys lilloi", "Durbania amakosa albescens", "Durbania amakosa flavida", "Pyrenodesmia stanfordensis", "Pyrenodesmia subpyraceella", "Gyldenstolpia planaltensis", "Kunsia tomentosus", "Durbania amakosa ayresi", "Durbania amakosa natalensis", "Durbania amakosa penningtoni", "Durbania amakosa sagittata", "Lethe baucis", "Lethe baucis baucis", "Lethe baucis huanghaoi", "Leptomastax coquereli", "Pseudomedon dido", "Quedius fissus", "Xantholinus rufipennis", "Homonopsis rubens", "Homonopsis foederatana", "Homonopsis illotana", "Paramelisa bitjeana", "Collartisa collartorum", "Thaptomys nigrita", "Taenia guyanaensis", "Neptis ananta ochracea", "Toxochitona sankuru", "Toxochitona vansomereni", "Atheta atricolor", "Dinusa smyrnensis", "Leptusa samia", "Notothecta pisidica", "Hibiscus makinoi", "Oxypoda lesbia", "Piochardia reitteri", "Pseudacraea fulvaria", "Aploderus lydicus", "Periploca nigra", "Periploca fessa", "Periploca gulosa", "Periploca facula", "Periploca funebris", "Durbania amakosa amakosa", "Mielkeana competitrix", "Phtheochroa cordifera", "Saphenista astricta", "Hyperbaena columbica", "Irazona turbula", "Irazona melanoleuca", "Parirazona dolorosa", "Phtheochroa dolorosa", "Parirazona penthinana", "Irazona penthinana", "Parirazona serena", "Cochylis serena", "Phalonidia phlebotoma", "Pyrenodesmia microstepposa", "Hyperbaena cubensis", "Akodon spegazzinii", "Akodon caenosus", "Akodon boliviensis", "Akodon sylvanus", "Pyrenodesmia conglobata", "Akodon juninensis", "Akodon kofordi", "Akodon siberiae", "Geostiba meghruica", "Geostiba unicuneata", "Gyrophaena bidens", "Gyrophaena bihamata", "Phricanthes hybristis", "Protypanthes hybristis", "Phricanthes petulans", "Peronea petulans", "Taeniarchis argyroiota", "Gyrophaena bilobata", "Argyrotoxa viridis", "Argyrotoxa canthararcha", "Lasiothyris perjura", "Scapteromys aquaticus", "Scapteromys tumidus", "Podoxymys roraimae", "Acanthosaura phuketensis", "Saphenista luminosa", "Phalonidia heterophaea", "Phalonidia ichthyochroa", "Saphenista ficta", "Pyrenodesmia kerguelensis", "Pyrenodesmia mawsonii", "Loriolepas decora", "Akodon subfuscus", "Akodon lutescens", "Akodon budini", "Loriolepas planulatus", "Akodon dayi", "Akodon sanctipaulensis", "Akodon lindberghi", "Loriolepas suprajurensis", "Erodium hakkiaricum", "Cephetola australis", "Cephetola barnsi", "Cephetola maesseni", "Cephetola mariae", "Cephetola tanzaniensis", "Cephetola chari", "Callitriche hamulata", "Barbarea stricta", "Saxifraga rosacea", "Callitriche cophocarpa", "Lenoxus apicalis", "Blarinomys breviceps", "Anelasma squalicola", "Dentaneura henanensis", "Brucepattersonius soricinus", "Brucepattersonius igniventris", "Brucepattersonius griserufescens", "Brucepattersonius guarani", "Brucepattersonius misionensis", "Brucepattersonius paradisus", "Brucepattersonius iheringi", "Caloplaca micromarina", "Bibimys torresi", "Bibimys labiosus", "Bibimys chacoensis", "Pyrenodesmia candelaria", "Akodon josemariarguedasi", "Akodon orophilus", "Pyrenodesmia intercedens", "Pyrenodesmia xochitepecensis", "Pyrenodesmia cinericola", "Thalpomys cerradensis", "Pyrenodesmia micromontana", "Euphrasia insignis", "Phricanthes argyraetha", "Phricanthes chalcentes", "Phricanthes eutrachys", "Thalpomys lasiotis", "Protypanthes eutrachys", "Gyrophaena basicornis", "Phricanthes phaedra", "Taeniarchis phaedra", "Phricanthes diaphorus", "Gyrophaena bicallosa", "Phricanthes peistica", "Sciaphila flexilineana", "Phricanthes macroura", "Australacleris memorabilis", "Durbaniella clarki", "Phricanthes asperana", "Gyrophaena bicarinata", "Polylopha elaphris", "Durbaniella clarki clarki", "Xantholinus varnensis", "Geostiba bituberculata", "Durbaniella clarki belladonna", "Durbaniella clarki jenniferae", "Durbaniella clarki phaea", "Geostiba recta", "Geostiba largata", "Geostiba artifistula", "Geostiba carinicollis", "Durbaniopsis saga", "Geostiba unituber", "Geostiba pambakica", "Cephetola collinsi", "Cephetola epitolina", "Cephetola godarti", "Cephetola kakamegae", "Cephetola marci", "Cephetola oubanguensis", "Cephetola quentini", "Cephetola bwamba", "Rhizophagus aggregatus", "Akodon philipmyersi", "Cephetola catuna", "Akodon mystax", "Arum idaeum", "Cephetola catuna catuna", "Cephetola catuna carpenteri", "Oxymycterus caparaoe", "Phalonidia squalida", "Phalonidia unguifera", "Cochylis unguifera", "Cephetola cephena", "Phalonidia trabalea", "Zygaena seitzi tenhageni", "Zygaena seitzi mesopotamica", "Zygaena manlia araxis", "Zygaena manlia", "Geritola albomaculata", "Zygaena manlia manlia", "Geritola amieti", "Geritola concepcion", "Geritola cyanea", "Geritola dubia", "Geritola mirifica", "Geritola subargentea", "Geritola subargentea subargentea", "Geritola subargentea continua", "Geritola daveyi", "Archaeolepas royeri", "Eminium albertii", "Epitolina catori", "Epitolina catori catori", "Epitolina catori ugandae", "Dactylophia assimilis", "Selidosema assimilis", "Dactylophia aculeata", "Boarmia aculeata", "Dactylophia paradoxa", "Epitolina dispar", "Dactylophia gregaria", "Dactylophia axmacheri", "Zygaena seitzi", "Zygaena seitzi seitzi", "Epitolina melissa", "Akodon azarae", "Akodon albiventer", "Cantharis tristis", "Phalonia mordax", "Akodon affinis", "Cephetola martini", "Cephetola mengoensis", "Cephetola mengoensis mengoensis", "Akodon iniscatus", "Cephetola mengoensis kenya", "Cephetola mercedes", "Cephetola mercedes mercedes", "Cephetola mercedes ivoriensis", "Cephetola mercedes dejeani", "Cephetola mpangensis", "Cephetola nigeriae", "Hyperbaena cubensis var. parvifolia", "Cephetola nigra", "Cephetola obscura", "Archaeolepas redtenbacheri", "Cephetola orientalis", "Cephetola ouesso", "Akodon mimus", "Cephetola peteri", "Akodon dolores", "Hyperbaena cubensis var. cubensis", "Hewitsonia danane", "Hewitsonia inexpectata", "Necromys obscurus", "Hewitsonia intermedia", "Eminium rauwolffii var. kotschyi", "Eminium regelii", "Megaloxantha concolor concolor", "Megaloxantha concolor kumikoae", "Ambispora callosa", "Megaloxantha daleni", "Megaloxantha daleni daleni", "Megaloxantha daleni kyokoae", "Claroideoglomus claroideum", "Megaloxantha daleni jansoni", "Megaloxantha daleni yurikoae", "Cerradomys marinhus", "Megaloxantha descarpentriesi", "Rhizophagus clarus", "Megaloxantha descarpentriesi asahinai", "Megaloxantha descarpentriesi descarpentriesi", "Megaloxantha descarpentriesi tamanoae", "Cerradomys maracajuensis", "Megaloxantha hemixantha", "Funneliformis constrictum", "Megaloxantha purpurascens", "Megaloxantha purpurascens purpurascens", "Funneliformis coronatum", "Megaloxantha purpurascens peninsulae", "Megaloxantha purpurascens endoi", "Megaloxantha kiyoshii", "Megaloxantha mouhotii", "Cerradomys scotti", "Megaloxantha netscheri", "Eremoryzomys polius", "Epitola uranoides", "Epitola uranoides uranoides", "Epitola uranoides occidentalis", "Necromys punctulatus", "Alepas pacifica", "Necromys urichi", "Alepas pellucida", "Cephetola cephena cephena", "Cephetola cephena entebbeana", "Eugnosta tenacia", "Cephetola dolorosa", "Akodon varius", "Akodon toba", "Akodon montensis", "Akodon surdus", "Akodon pervalens", "Cephetola eliasis", "Temnora reutlingeri", "Cephetola eliasis eliasis", "Temnora reutlingeri reutlingeri", "Cephetola eliasis angustata", "Temnora reutlingeri bousqueti", "Ocyton reutlingeri", "Cephetola gerdae", "Akodon reigi", "Cephetola ghesquierei", "Ornithoptera croesus croesus f. loc. wallacei \u2640f. bodnari", "Cephetola izidori", "Cephetola izidori izidori", "Cephetola izidori zambeziae", "Cephetola kamengensis", "Cephetola katerae", "Akodon torques", "Cephetola kiellandi", "Akodon simulator", "Cephetola maculata", "Akodon mollis", "Carolella emarcida", "Geritola frankdaveyi", "Geritola gerina", "Eminium heterophyllum", "Geritola goodii", "Geritola jackiana", "Geritola larae", "Geritola nitidica", "Geritola prouvosti", "Eminium intortum", "Geritola liana", "Oehlia diaphana", "Funneliformis dimorphicus", "Geritola nitide", "Geritola virginea", "Geritola zelica", "Phalacrocorax aristotelis desmarestii", "Deloneura ochrascens ochrascens", "Deloneura ochrascens littoralis", "Archaeolepas strobila", "Cerradomys goytaca", "Deloneura sheppardi", "Deloneura subfusca", "Megaloxantha bicolor", "Megaloxantha bicolor sakaii", "Megaloxantha bicolor palawanica", "Megaloxantha bicolor ohtanii", "Megaloxantha bicolor nigricornis", "Hyperbaena macrophylla", "Megaloxantha bicolor nishiyamai", "Megaloxantha bicolor matsudai", "Paraglomus albidum", "Megaloxantha bicolor luodiana", "Megaloxantha bicolor hainana", "Megaloxantha bicolor gigantea", "Rhizophagus antarcticus", "Megaloxantha bicolor brunnea", "Diversispora aurantium", "Megaloxantha bicolor bicolor", "Dominikia aurea", "Megaloxantha bicolor arcuatifasciata", "Cerradomys subflavus", "Funneliformis caledonium", "Megaloxantha concolor", "Oreophryne pseudunicolor", "Oreophryne flavomaculata", "Tetrarhanis ilma daltoni", "Tetrarhanis ilma lathyi", "Badis pancharatnaensis", "Tetrarhanis laminifer", "Tetrarhanis nubifera", "Tetrarhanis ogojae", "Tetrarhanis onitshae", "Tetrarhanis rougeoti", "Hyphessobrycon margitae", "Tetrarhanis schoutedeni", "Tetrarhanis simplex", "Myospila fengi", "Myospila flavibasisoides", "Myospila subflavibasis", "Myospila sublauta", "Myospila xuthosa", "Tetrarhanis souanke", "Tetrarhanis stempfferi", "Myospila longa", "Micropentila ogojae", "Phaonia paradisia", "Micropentila kelleana", "Micropentila sankuru", "Micropentila katangana", "Micropentila cherereti", "Phaonia shaanxiensis", "Micropentila bunyoro", "Phaonia sichuanna", "Phaonia subaureola", "Phaonia subfuscicoxa", "Phaonia hypotuberosurstyla", "Phaonia xixianga", "Phaonia tuberosurstyla", "Micropentila subplagata", "Micropentila fulvula", "Disciphania domingensis", "Micropentila dorothea", "Phaonia aureipollinosa", "Phaonia barkama", "Phaonia caesiipollinosa", "Phaonia daliensis", "Micropentila brunnea", "Phaonia quadratilamella", "Phaonia maoershanensis", "Phaonia jiaodingshanica", "Micropentila brunnea brunnea", "Micropentila brunnea centralis", "Phaonia nigribasalis", "Phaonia nigriorbitalis", "Phaonia yingjinggensis", "Phaonia cineripollinosa", "Micropentila catocala", "Helicodiceros muscivorus", "Phtheochroa fusifera", "Cochylis mimohospes", "Phalonidia mimohospes", "Cephetola vinalli", "Mielkeana gelasima", "Cerradomys langguthi", "Cerradomys vivoi", "Mourecochylis ramosa", "Cephetola viridana", "Euxanthis stereopis", "Deloneura barca", "Deloneura immaculata", "Diaphorina citri", "Cerradomys akroai", "Phalaena argentana", "Alepas univalvis", "Helianthemum pilosum", "Syncerus caffer brachyceros", "Hyperbaena hassleri", "Necromys lasiurus", "Iridana incredibilis", "Oxypoda infissoides", "Oxypoda grandicristata", "Oxypoda subplicata", "Alepas spectrum", "Oxymycterus hiska", "Oxymycterus hucucha", "Hyperbaena ilicifolia", "Funneliformis geosporum", "Corymbiglomus globiferum", "Funneliformis halonatus", "Diversispora insculpta", "Rhizophagus intraradices", "Rhizophagus invermaius", "Hyperbaena oblongifolia", "Quedius boluensis", "Quedius smetanai", "Quedius walteri", "Quedius henrii", "Quedius lgockii", "Quedius humosus", "Quedius obliqueseriatus", "Quedius nigrosuturalis", "Quedius nivicola", "Oxypoda flexa", "Oxypoda articollis", "Oxypoda levipunctata", "Hypophytala benitensis", "Hypophytala benitensis benitensis", "Hypophytala benitensis minziro", "Hypophytala henleyi", "Heteralepas fulva", "Heteralepas belli", "Heteralepas cornuta", "Heteralepas cygnus", "Ancylotela oculata", "Ancylotela oculata argentiniensis", "Ancylotela oculata minor", "Ancylotela oculata oculata", "Ancylotela oculata sanguineosignata", "Hewitsonia kirbyi", "Hewitsonia kirbyi kirbyi", "Ptosima undecimmaculata undecimmaculata", "Ptosima undecimmaculata metallescens", "Hewitsonia kirbyi preussi", "Milionia fulgida baliensis", "Milionia fulgida sumbawana", "Milionia hollowayi", "Milionia borneensis", "Milionia fulgida borneensis", "Ophrys oblita", "Milionia sommereri", "Milionia baliensis", "Milionia baliensis baliensis", "Milionia baliensis amethystea", "Milionia cuneiformis", "Milionia basicyanea", "Milionia endoi", "Milionia mediorubra", "Milionia amabilis", "Gyrophaena biseriata", "Gyrophaena blackwelderi", "Gyrophaena blatchleyi", "Echimys vieirai", "Zygaena filipendulae microstoechadis", "Acmaeodera abyssinica", "Acmaeodera acaciae", "Acmaeodera acanthicola", "Acmaeodera actites", "Acmaeodera acuminata", "Acmaeodera acuta", "Acmaeodera adenostomae", "Acmaeodera adenostomensis", "Acmaeodera adusta", "Acmaeodera aenea", "Acmaeodera aeneoflava", "Acmaeodera aequalis", "Acmaeodera aethiopica", "Acmaeodera affabilis", "Acmaeodera affinis", "Acmaeodera aguanyoro", "Acmaeodera alacris", "Acmaeodera albovillosa", "Phytala elais", "Phytala elais elais", "Phytala elais catori", "Lomographa percnosticta", "Lomographa perapicata", "Myrsine howittiana", "Acmaeodera alcmeone", "Acmaeodera algirica", "Acmaeodera alicia", "Acmaeodera alluaudi", "Acmaeodera alpina", "Acmaeodera altae", "Acmaeodera amabilis", "Acmaeodera amoenula", "Neusticomys ferreirai", "Acmaeodera amoenula amoenula", "Acmaeodera amoenula hiekei", "Coleophora cypri", "Mecyna balcanica", "Epidendrum acuminatum", "Prosthechea baculus", "Medon profundus", "Medon yunnanicus", "Medon alesi", "Medon ripicola", "Medon gilvimarginatus", "Crataraea myrmecophila", "Echiaster unicolor", "Echiaster maior", "Echiaster bivirgatus", "Echiaster paulexcisus", "Echiaster discrepans", "Hewitsonia magdalenae", "Hewitsonia occidentalis", "Gastropacha eberti eberti", "Hewitsonia prouvosti", "Gastropacha eberti penjabensis", "Gastropacha eberti swatensis", "Oxymycterus delator", "Oxymycterus inca", "Oxymycterus quaestor", "Oxymycterus paramensis", "Heteralepas adiposa", "Oxymycterus nasutus", "Oxymycterus juliacae", "Hewitsonia similis", "Lavandula pedunculata subsp. cariensis", "Hewitsonia ugandae", "Hewitsonia ugandae ugandae", "Hewitsonia ugandae jolyana", "Oxymycterus nigrifrons", "Oxymycterus dasytrichus", "Oreoryzomys balneator", "Mindomys hammondi", "Hypophytala obscura", "Zygoctenia singularis", "Scotopteryx lignicolor", "Hypophytala vansomereni", "Maikona nanlingensis", "Hypophytala reducta", "Maikona yazakii", "Hypophytala ultramarina", "Maikona jezoensis yazakii", "Maikona jezoensis", "Maikona jezoensis jezoensis", "Maikona jezoensis tenebricosa", "Comostola cognata", "Iridana euprepes", "Iridana exquisita", "Pleurothallis omoglossa", "Acrobasis malifoliella", "Acrobasis sasakii", "Acrobasis lutulentella", "Acrobasis canella", "Hypophytala nigrescens", "Ophrys ulupinara", "Ophrys tremoris", "Gangaridopsis magnata", "Ennomos testacearia", "Zygoctenia cinerosa", "Zygoctenia albisparsa", "Chondrostega schwingenschussi", "Malacosoma indica", "Clisiocampa indica", "Malacosoma tibetana", "Malacosoma prima", "Bombyx alpicola var. prima", "Bombyx alpicola", "Clisiocampa vulpes", "Malacosoma robertsi", "Odonestis isocyma", "Cosmotriche consimilis", "Cosmotriche diversifasciata", "Euthrix albomaculata", "Euthrix albomaculata albomaculata", "Euthrix albomaculata directa", "Odonestis directa", "Philudoria albomaculata japonica", "Philudoria albomaculata", "Odonestis fossa", "Anadiasa obsoleta", "Prosthechea bohnkiana", "Hypophytala hyetta", "Hypophytala hyetta hyetta", "Hypophytala hyetta latifascia", "Heteralepas gigas", "Iridana perdita", "Neaveia lamborni", "Neaveia lamborni lamborni", "Neaveia lamborni orientalis", "Ophrys argolica", "Ophrys argolica subsp. lucis", "Ophrys argolica subsp. lesbis", "Acmaeodera amplicollis", "Acmaeodera anatolica", "Acmaeodera angelica", "Acmaeodera antholita", "Acmaeodera apiata", "Acmaeodera apicalis", "Acmaeodera aquila", "Acmaeodera arabica", "Acmaeodera argodi", "Acmaeodera atactospilota", "Acmaeodera atomosparsa", "Lomographa griseola", "Neoepitola barombiensis", "Halothamnus iranicus var. glabratus", "Lomographa anoxys", "Disciphania mexicana", "Bapta anoxys", "Bapta phaedra", "Halothamnus iraqensis var. hispidulus", "Lomographa distans", "Lomographa ochrilinea", "Lomographa epixantha", "Lomographa rara", "Lomographa guttulata", "Stempfferia ciconia", "Stempfferia ciconia ciconia", "Stempfferia ciconia mongiro", "Stempfferia ciconia camerunica", "Stempfferia cinerea", "Odontocarya mexicana", "Aplastodiscus lutzorum", "Stempfferia congoana", "Acmaeodera biseriata", "Acmaeodera bishopiana", "Acmaeodera bistriguttata", "Acmaeodera bistriguttata aloensis", "Acmaeodera bistriguttata bistriguttata", "Acmaeodera bistriguttata nungu", "Acmaeodera bivulnera", "Acmaeodera bjornstadi", "Acmaeodera bodoani", "Acmaeodera boreoafricana", "Acmaeodera bowditchi", "Phytala elais ugandae", "Bapta perapicata", "Lomographa platyleucata", "Lomographa platyleucata marginata", "Bapta poliotaeniata", "Bapta marginata", "Lomographa platyleucata asynapta", "Bapta asynapta", "Lomographa platyleucata platyleucata", "Powellana cottoni", "Dysmasia insulare", "Copaxa gemmifera", "Stempfferia abri", "Stempfferia carcassoni", "Stempfferia alba", "Castoria angustidens", "Hewitsonia amieti", "Hewitsonia bitjeana", "Hewitsonia beryllina", "Eminium jaegeri", "Phalacrocorax aristotelis riggenbachi", "Eminium koenenianum", "Necromys amoenus", "Phalacrocorax aristotelis aristotelis", "Hewitsonia boisduvalii", "Alepas navigator", "Pterostylis atrans", "Hewitsonia boisduvalii boisduvalii", "Necromys lactens", "Eminium rauwolffii", "Diversispora eburnea", "Eminium rauwolffii var. rauwolffii", "Claroideoglomus etunicatum", "Rhizophagus fasciculatus", "Hewitsonia boisduvalii borealis", "Funneliformis fragilistratum", "Redeckera fulvum", "Necromys lenguarum", "Hewitsonia congoensis", "Stempfferia magnifica", "Stempfferia mara", "Oreosalsola lipschitzii", "Oreosalsola masenderanica", "Oreosalsola oreophila", "Stempfferia carcina", "Stempfferia cercene", "Leucapamea kawadai", "Stempfferia carilla", "Lundomys molitor", "Rostratula australis", "Hylaeamys yunganus", "Hylaeamys oniscus", "Hylaeamys perenensis", "Hylaeamys acritus", "Pulicaria canariensis", "Gymnadenia densiflora", "Stempfferia cercenoides", "Heteralepas hataii", "Hypophytala hyettina", "Hypophytala hyettoides", "Heteralepas indica", "Gastropacha obsoleta", "Gastropacha undata", "Gastropacha fortificata", "Odontocheilopteryx griseata", "Trichiura definita", "Nadasia incerta", "Anadiasa obsoleta obsoleta", "Anadiasa obsoleta malacosomoides", "Chilena malacosomoides", "Anadiasa sahariensis", "Lasiocampa strigula", "Streblote dorsalis", "Streblote dorsalis dorsalis", "Megasoma dorsalis", "Streblote helpsi", "Streblote dorsalis pallida", "Taragama castanea pallida", "Taragama castanea", "Nadiasa callipaida", "Megasoma metaspila", "Stempfferia coerulea", "Stempfferia coerulea coerulea", "Stempfferia coerulea pierri", "Stempfferia annae", "Stempfferia baoule", "Stempfferia boormani", "Stempfferia bouyeri", "Stempfferia ginettae", "Stempfferia ginettae ginettae", "Stempfferia ginettae meridionalis", "Stempfferia michelae", "Stempfferia michelae michelae", "Stempfferia michelae centralis", "Hyperbaena jalcomulcensis", "Stempfferia piersoni", "Stempfferia schultzei", "Stempfferia similis", "Stempfferia subtumescens", "Stempfferia sylviae", "Stempfferia badura", "Stempfferia badura badura", "Stempfferia badura contrasta", "Acmaeodera audreyae", "Acmaeodera aurantiofasciata", "Acmaeodera aurantiomarginata", "Acmaeodera aurifera", "Acmaeodera aurifera aurifera", "Acmaeodera aurifera sindhia", "Acmaeodera aurifera siwalika", "Acmaeodera auriferoides", "Acmaeodera auritincta", "Acmaeodera aurolimbata", "Acmaeodera aurora", "Acmaeodera babatauensis", "Acmaeodera bacchariphaga", "Acmaeodera balthasari", "Acmaeodera balthasari balthasari", "Acmaeodera balthasari descarpentriesi", "Acmaeodera barri", "Acmaeodera bartoni", "Acmaeodera basilewskyi", "Acmaeodera batelkai", "Acmaeodera beesoni", "Acmaeodera beharensis", "Acmaeodera bellamyi", "Acmaeodera bequaerti", "Acmaeodera bernardi", "Acmaeodera bertrami", "Acmaeodera bertyorum", "Acmaeodera bifasciata", "Acmaeodera bipunctata", "Acmaeodera bipunctata bipunctata", "Acmaeodera bipunctata flavopunctata", "Acmaeodera bipunctata guillebeaui", "Acmaeodera bipunctata kureimatica", "Acmaeodera bipunctata obenbergeriana", "Acmaeodera bipunctata plagiata", "Acmaeodera bipunctata romanoi", "Trichopteryx faceta", "Trichopteryx firma", "Lomographa subviridicata", "Lomographa nanlingensis", "Planociampa chlora", "Metabraxas vernalis", "Lomographa margarita", "Cabera margarita", "Disciphania cardiophylla", "Stempfferia zelza", "Pseudoryzomys simplex", "Abuta antioquiana", "Abuta racemosa", "Abuta chiapasensis", "Ghilaroviella valiachmedovi", "Acmaeodera brevicollis", "Acmaeodera brevipes", "Acmaeodera brevipes abeilleana", "Acmaeodera brevipes brevipes", "Acmaeodera brevipes saducaea", "Cyphura albisecta", "Acmaeodera brooksi", "Stempfferia insulana", "Acmaeodera brooksi brooksi", "Acmaeodera brooksi monardi", "Anabasis firouzii", "Acmaeodera bruchi", "Acmaeodera brunneipennis", "Acmaeodera bryanti", "Acmaeodera bucki", "Acmaeodera burmanica", "Acmaeodera bushirensis", "Acmaeodera butensis", "Acmaeodera butensis butensis", "Acmaeodera butensis desaegeri", "Acmaeodera cactophila", "Acmaeodera capicola", "Acmaeodera capicola atratula", "Acmaeodera capicola capicola", "Acmaeodera carlota", "Acmaeodera cazieri", "Acmaeodera ceanothae", "Acmaeodera cecropia", "Acmaeodera cerasina", "Acmaeodera chaetosoma", "Acmaeodera chalcithorax", "Acmaeodera chamelensis", "Acmaeodera chemsaki", "Acmaeodera chevrolatii", "Acmaeodera childreni", "Acmaeodera chiricahuae", "Acmaeodera chotanica", "Acmaeodera cincticollis", "Acmaeodera cisti", "Acmaeodera clausa", "Acmaeodera clypeata", "Acmaeodera cobosi", "Stempfferia dorothea", "Acmaeodera coluber", "Acmaeodera comata", "Acmaeodera combretumi", "Acmaeodera condita", "Acmaeodera congener", "Acmaeodera connexa", "Acmaeodera conoidea", "Acmaeodera consors", "Acmaeodera conspersa", "Acmaeodera conspersa antoniae", "Acmaeodera conspersa conspersa", "Acmaeodera conspersa nigroconspersa", "Acmaeodera conspersa obenbergeri", "Acmaeodera constricticollis", "Acmaeodera constrictinotum", "Acmaeodera convicta", "Acmaeodera coquilletti", "Acmaeodera cordatistigma", "Acmaeodera corrosa", "Acmaeodera cribricollis", "Acmaeodera crinita", "Stempfferia flavoantennata", "Acmaeodera crinita abigail", "Acmaeodera crinita crinita", "Acmaeodera crinita melanosoma", "Acmaeodera crinita perinella", "Cyphura urapteroides", "Cyphura semialba", "Cyphura atramentaria", "Stempfferia gordoni", "Oreosalsola abrotanoides", "Urapteroides atramentaria extensa", "Urapteroides atramentaria", "Oreosalsola botschantzevii", "Urapteroides atramentaria atramentaria", "Oreosalsola drobovii", "Oreosalsola flexuosa", "Stempfferia iturina", "Stempfferia jolyana", "Heliotropium ramosissimum", "Stempfferia katherinae", "Stempfferia kholifa", "Stempfferia leonina", "Stempfferia liberti", "Anomospermum chloranthum subsp. isthmicola", "Odontocarya tripetala", "Odontocarya zuliana", "Lapita bicolor", "Lapita adusta", "Lapita veilaselase", "Lapita delaco", "Odontocarya floribunda", "Lapita timocii", "Lapita greenwoodi", "Chrysosoma greenwoodi", "Lapita paradoxa", "Lapita maafusalatu", "Lapita tuimerekei", "Lapita batiqere", "Odontocarya tenacissima", "Teratoneura isabellae", "Abuta aristeguietae", "Abuta fluminum", "Anomospermum bolivianum", "Lapita acanthotarsus", "Lapita boucheti", "Lapita bouloupari", "Lapita caerula", "Lapita chazeaui", "Lapita couleensis", "Lapita cudo", "Lapita dogny", "Lapita dugdalei", "Stempfferia tumentia", "Lomadonta callipepla", "Rhypopteryx psoloconiama", "Ameiva aggerecusans", "Ameiva nodam", "Lapita vakalevus", "Lapita savura", "Lapita tavuki", "Lapita morleyi", "Lapita denticauda", "Epictia antoniogarciai", "Lapita sarnati", "Epictia septemlineata", "Lapita sanma", "Epictia vanwallachi", "Epictia venegasi", "Epictia vonmayi", "Lapita macuata", "Lapita coloisuva", "Lapita kuitarua", "Lapita vatudiri", "Nesoryzomys narboroughi", "Nesoryzomys swarthi", "Nesoryzomys darwini", "Nesoryzomys fernandinae", "Nesoryzomys indefessus", "Stempfferia uniformis", "Microakodontomys transitorius", "Liolaemus arambarensis", "Aracamunia liesneri", "Tantilla boipiranga", "Abuta brevifolia", "Abuta colombiana", "Abuta panurensis", "Gehlenia taiwana", "Polyptychus sinus", "Pseudoclanis admatha", "Pseudoclanis axis", "Pseudoclanis abyssinicus", "Pseudoclanis bianchii", "Mimacraea krausei camerunica", "Mimacraea krausei karschioides", "Mimacraea krausei poultoni", "Odontocarya duckei", "Odontocarya echinus", "Odontocarya emarginata", "Odontocarya froesii", "Ostryopsis intermedia", "Odontocarya acuparata", "Protoparce blackburni", "Pyrenodesmia fulva", "Mimacraea fulvaria", "Protoparce boliviana", "Mimacraea fulvaria fulvaria", "Mimacraea fulvaria eltringhami", "Pyrenodesmia fulvoglauca", "Hylaeamys megacephalus", "Mimacraea krausei", "Odontocarya amazonum", "Odontocarya dielsiana", "Manduca brasiliensis", "Protoparce brasiliensis", "Mimacraea krausei krausei", "Curimatopsis maculosa", "Dargeclanis grandidieri grandidieri", "Ambulyx watersii", "Pseudosmerinthus semnus", "Dargeclanis grandidieri comorana", "Pseudoclanis grandidieri comorana", "Pyrenodesmia diphyodes", "Sphinx rhadamistus", "Curarea crassa", "Disciphania contraversa", "Temnora boisduvali", "Polyptychus molitor", "Disciphania cubijensis", "Polyptychus molitor molitor", "Pyrenodesmia egyptiaca", "Mimacraea darwinia", "Mimacraea abriana", "Mimacraea febe", "Mimacraea maesseni", "Ophrys argolica subsp. argolica", "Disciphania ernstii var. clausa", "Disciphania ernstii var. uncinulata", "Mimacraea charmian", "Disciphania ernstii var. glaziovii", "Disciphania heterophylla", "Ectatomma vizottoi", "Phanerota boops", "Gyrophaena boothi", "Gyrophaena bosqui", "Crataraea solskyi", "Aleochara rubripennis", "Aleochara eremita", "Disciphania modesta", "Disciphania sagittaria", "Disciphania sarcostephana", "Disciphania tessmannii", "Polyptychus molitor lautus", "Polyptychus molitor subviridis", "Heteralepas microstoma", "Tetartopeus albipes", "Tetartopeus rufonitidus", "Tetartopeus ciceronii", "Pseudoclanis diana", "Anomospermum reticulatum subsp. nitidum", "Smerinthus abyssinicus", "Pseudoclanis aequabilis", "Pseudoclanis postica evestigata", "Cooksonia neavei neavei", "Pseudoclanis postica postica", "Basiana postica", "Cooksonia neavei rhodesiae", "Stenocercus albolineatus", "Cadiouclanis bianchii", "Smerinthus bianchii", "Pierreclanis admatha", "Lapita dumbea", "Lapita duo", "Lapita expirata", "Lapita inhisa", "Lapita irwini", "Lapita kanakorum", "Lapita kraussi", "Lapita laniensis", "Lapita mou", "Lapita nishidai", "Lapita orstomorum", "Lapita ponerihouen", "Lapita pouebo", "Lapita raveni", "Lapita rembai", "Lapita rivularis", "Lapita schlingeri", "Lapita sedlacekorum", "Lapita semita", "Lapita spilota", "Lapita sylvatica", "Lapita ternata", "Lapita tillierorum", "Lapita yahoue", "Lapita yate", "Anomospermum chloranthum subsp. pacificum", "Elephantulus pilicaudus", "Pachylygus luteonotatus", "Pachylygus anthrax", "Anomospermum solimoesanum", "Pachylygus festivus", "Orthops festivus", "Pachylygus japonicus", "Orthops japonicus", "Pachylygus nigrescens", "Orthops nigrescens", "Anomospermum reticulatum subsp. dielsianum", "Anaulacaspis nigra", "Anomospermum reticulatum subsp. reticulatum", "Hylesia tapareba", "Anaulacaspis caucasica", "Manduca albolineata", "Psychrogeton turkestanicus", "Psychrogeton sphaeroxylus", "Psychrogeton shahrestanicus", "Psychrogeton rotundifolius", "Psychrogeton pseuderigeron", "Psychrogeton persicus", "Psychrogeton lumbricoides", "Psychrogeton drabiformis", "Psychrogeton chionophilus", "Manduca andicola", "Psychrogeton capusi", "Psychrogeton candidissimus", "Psychrogeton amorphoglossus", "Psychrogeton aellenii", "Protoparce andicola", "Manduca armatipes", "Protoparce armatipes", "Manduca azteca", "Enoplognatha bryjai", "Mimacraea apicalis", "Manduca barnesi", "Protoparce barnesi", "Mimacraea apicalis apicalis", "Macrosila albiplaga", "Mimacraea apicalis gabonica", "Pyrenodesmia fraudans", "Mimacraea costleyi", "Manduca bergarmatipes", "Protoparce bergarmatipes", "Manduca berni", "Protoparce berni", "Manduca blackburni", "Pseudoclanis biokoensis", "Pseudoclanis postica occidentalis", "Acmaeodera delumbis", "Acmaeodera deplanata", "Acmaeodera depressa", "Acmaeodera deviata", "Acmaeodera diffusa", "Acmaeodera digna", "Acmaeodera discalis", "Abuta selloana", "Acmaeodera discolor", "Acmaeodera disjuncta", "Acmaeodera distigma", "Acmaeodera divina", "Acmaeodera dolorosa", "Acmaeodera dolorosa dolorosa", "Acmaeodera dolorosa liberta", "Acmaeodera dozieri", "Pseudoclanis grandidieri", "Acmaeodera dumbrodyensis", "Acmaeodera eckweileri", "Acmaeodera edmundi", "Pseudoclanis grandidieri grandidieri", "Acmaeodera edmundi afghanica", "Acmaeodera edmundi edmundi", "Acmaeodera elbiae", "Pseudoclanis grandidieri kenyae", "Acmaeodera elevata", "Acmaeodera ellyae", "Ambulyx grandidieri", "Anaulacaspis schuelkei", "Anaulacaspis gilva", "Anaulacaspis pectinata", "Anomospermum andersonii", "Anaulacaspis formosa", "Anaulacaspis elegans", "Anaulacaspis beesoni", "Anomospermum matogrossense", "Anaulacaspis inexpectata", "Pseudoclanis canui", "Anaulacaspis medvedevi", "Selenipedium vanillocarpum", "Mimacraea landbecki", "Mimacraea marginata", "Odontocarya krukoviana", "Mimacraea marshalli", "Mimacraea marshalli marshalli", "Mimacraea marshalli dohertyi", "Mimacraea neavei", "Mimacraea neokoton", "Mimacraea skoptoles", "Oreosalsola tianschanica", "Lista angustusa", "Lista gilvasa", "Lista longifundamena", "Lista menghaiensis", "Lista sichuanensis", "Salsola junatovii", "Lista ficki", "Lista haraldusalis", "Lista insulsalis", "Lista plinthochroa", "Lista variegata", "Lista sumatrana", "Lista monticola", "Stempfferia marginata", "Asthenotricha quadrata", "Asthenotricha furtiva", "Euproctis cerealces", "Laelia lusambo", "Stempfferia moyambina", "Laelia dochmia", "Dasychira hodoepora", "Dasychira amydropa", "Dasychira phaea", "Dasychira polyploca", "Eudasychira sciodes", "Eudasychira bokuma", "Stempfferia staudingeri", "Dyasma thaumatopoeides", "Stempfferia suzannae", "Dasychira thaumatopoeides", "Acmaeodera decemguttata goryi", "Disciphania remota", "Acmaeodera decemguttata namibensis", "Acmaeodera decemguttata zonella", "Disciphania killipii", "Acmaeodera decipiens", "Acmaeodera degener degener", "Acmaeodera degener mlokossewiczi", "Acmaeodera degener quattordecimpunctata", "Acmaeodera delectabilis", "Teratoneura congoensis", "Disciphania lobata", "Hylesia rosacea", "Hylesia thaumex", "Odontocarya ulei", "Pseudorabdion torquatum", "Odontocarya diplobotrya", "Tumerepedes flava", "Odontocarya perforata", "Phymaturus rahuensis", "Cooksonia trimeni trimeni", "Odontocarya micrantha", "Liolaemus crandalli", "Cooksonia trimeni terpsichore", "Leiocephalus sixtoi", "Odontocarya magnifolia", "Sciadotenia ramiflora", "Sciadotenia toxifera", "Tetartopeus mimeticus", "Tetartopeus czwalinai", "Tetartopeus stylifer", "Tetartopeus hamulifer", "Tetartopeus lentus", "Manduca brontes", "Agonopterix fusciterminella", "Odontocarya rusbyi", "Odontocarya syncretica", "Elachista achrantella", "Asymphorodes acritopterus", "Odontocarya wullschlaegelii var. huberi", "Mimacraea neurata", "Odontocarya wullschlaegelii var. wullschlaegelii", "Tetartopeus korgei", "Tetartopeus baicalicus", "Tetartopeus niger", "Stenoma acronitis", "Tetartopeus fragilis", "Tetartopeus gracilentus", "Mimacraea paragora", "Mimacraea paragora paragora", "Mimacraea paragora angulata", "Anaulacaspis pseudonigra", "Anaulacaspis reticulata", "Anaulacaspis libanotica", "Anaulacaspis sinuata", "Hylesia egrex", "Hylesia violacea", "Anaulacaspis nigerrima", "Anaulacaspis persica", "Anaulacaspis truncata", "Hylesia indurata", "Hyles lilacina", "Anaulacaspis convexa", "Anaulacaspis eminens", "Anaulacaspis gratilla", "Anaulacaspis naevula", "Anaulacaspis desertorum", "Anaulacaspis seclusa", "Anaulacaspis cristata", "Anaulacaspis excisa", "Anaulacaspis pamphylica", "Curarea tecunarum", "Anaulacaspis flavomarginata", "Anaulacaspis laevigata", "Anaulacaspis iberica", "Disciphania dioscoreoides", "Acmaeodera croceonotata", "Acmaeodera crossi", "Acmaeodera crotonae", "Disciphania tricaudata", "Acmaeodera cruenta", "Acmaeodera cubaecola", "Acmaeodera culucoensis", "Acmaeodera cuneata", "Acmaeodera cupreosuturata", "Acmaeodera cuprina", "Acmaeodera curlettii", "Acmaeodera curtilata", "Acmaeodera cylindrica", "Acmaeodera damasensis", "Acmaeodera danforthi", "Acmaeodera davidsoni", "Acmaeodera decellei", "Disciphania inversa", "Disciphania smithii", "Acmaeodera decemguttata", "Acmaeodera decemguttata decemguttata", "Acmaeodera decemguttata endroedyi", "Mimacraea telloides", "Gibbotettix emeiensis", "Gibbotettix hongheensis", "Gibbotettix leishanensis", "Gibbotettix parvipulvillus", "Gibbotettix serrifemurus", "Mimeresia libentina", "Mimeresia libentina libentina", "Gibbotettix vallis", "Melanerpes santacruzi", "Mimeresia libentina isabellae", "Phyllodactylus pachamama", "Phyllopezus maranjonensis", "Caryomene prumnoides", "Dargeclanis grandidieri", "Caryomene grandifolia", "Scolomys melanops", "Scolomys ucayalensis", "Pyrenodesmia diphyes", "Sigmodontomys alfari", "Quedius paradisianus", "Quedius italicus", "Stenocercus omari", "Quedius collaris", "Quedius rodopianus", "Chondrodendron microphyllum", "Quedius korgeanus", "Gehyra girloorloo", "Neosclerus brevispinosus", "Neosclerus biaculeatus", "Cyrtodactylus sommerladi", "Cyrtodactylus hinnamnoensis", "Cyrtodactylus calamei", "Tetragonopterus ommatus", "Tetragonopterus juruena", "Tetragonopterus kuluene", "Tetragonopterus franciscoensis", "Pseudocalotes viserion", "Pseudocalotes rhaegal", "Pseudocalotes drogon", "Eccoptoglossa amischoides", "Eccoptoglossa kirgisica", "Acmaeodera griswoldi", "Acmaeodera guayarmina", "Acmaeodera guichardi", "Acmaeodera gundlachi", "Acmaeodera hadiboe", "Mimeresia debora deborula", "Acmaeodera haemorrhoa", "Acmaeodera haubaas", "Acmaeodera hedwigae", "Acmaeodera hepburnii", "Acmaeodera hessei", "Acmaeodera hieroglyphica", "Acmaeodera hieroglyphica hieroglyphica", "Acmaeodera hieroglyphica howardi", "Acmaeodera hieroglyphica schultzei", "Mimeresia dinora", "Mimeresia dinora dinora", "Pyrenodesmia gourdonii", "Dropephylla koltzei", "Atheta heymesi", "Lomechusa paradoxa", "Pella funesta", "Stenus bithynicus", "Gibbotettix guangxiensis", "Funneliformis xanthium", "Oleria gunilla lourdes", "Catasticta cinerea laurentina", "Leodontoia cinerea", "Leodontoia cinerea cinerea", "Leodontoia cinerea laurentina", "Leodontoia cinerea substituta", "Leodontoia cinerea suprema", "Catasticta suprema", "Telitoxicum glaziovii", "Pyrenodesmia ochromela", "Telitoxicum peruvianum", "Pseudolathra pulchella", "Chrysozephyrus esakii esakii", "Chrysozephyrus esakii raja", "Mimeresia favillacea favillacea", "Bulbophyllum falcatum var. velutinum", "Mimeresia favillacea griseata", "Pyrenodesmia paepalostoma", "Mimeresia issia", "Mimeresia moreelsi", "Mimeresia moreelsi moreelsi", "Chrysoclista germanica", "Mimeresia moreelsi purpurea", "Pyrenodesmia subpyracea", "Bulbophyllum exasperatum", "Bulbophyllum exiguiflorum", "Bulbophyllum exiguum", "Bulbophyllum exile", "Bulbophyllum exilipes", "Bulbophyllum expallidum", "Bulbophyllum exquisitum", "Sciadotenia paraensis", "Sciadotenia pubistaminea", "Sciadotenia solimoesana", "Pyrenodesmia montana", "Lobrathium unidentatum", "Atanygnathus pullus", "Platydomene shavrini", "Pseudolathra lusitanica", "Pseudolathra tenenbaumi", "Pseudolathra unicolor", "Diversispora tenera", "Corymbiglomus tortuosum", "Diversispora trimurales", "Funneliformis verruculosum", "Diversispora versiformis", "Rhizophagus vesiculifer", "Septoglomus viscosum", "Pseudolathra nigerrima", "Pseudolathra sepikensis", "Pseudolathra naviculum", "Pseudolathra puncta", "Pseudolathra cyanea", "Mimeresia dinora disciruba", "Mimeresia drucei", "Mimeresia drucei drucei", "Mimeresia drucei owerri", "Mimeresia drucei ugandae", "Bulbophyllum facetum", "Bulbophyllum falcatocaudatum", "Telitoxicum rodriguesii", "Pyrenodesmia olivacea", "Neptis nise", "Mandarinia uemurai", "Bulbophyllum falcatum", "Strymonidia volt", "Bulbophyllum falcatum var. falcatum", "Satyrium volt", "Bulbophyllum falcatum var. bufo", "Chrysozephyrus esakii", "Mimeresia favillacea", "Celeus ochraceus", "Mimeresia cellularis", "Sciadotenia acutifolia", "Gibbotettix guizhouensis", "Gibbotettix lativertex", "Gibbotettix zhengi", "Acmaeodera ephedrae", "Acmaeodera errans", "Acmaeodera erytrensis", "Brunia terminalis", "Brunia nigriprosoma", "Brunia kishidai", "Brunia replana", "Brunia testacea", "Brunia vicaria", "Brunia agonchae", "Epidendrum cottoniiflorum", "Pyrenodesmia tauriliana", "Mimeresia russulus russulus", "Mimeresia russulus katangae", "Mimeresia russulus unyoro", "Cerace cyanopyga", "Ungulipetalum filipendulum", "Mimeresia semirufa", "Acmaeodera exasperans", "Acmaeodera exasperans exasperans", "Acmaeodera exasperans octoplagiata", "Acmaeodera excellens", "Acmaeodera exilis", "Acmaeodera externa", "Acmaeodera fabriciana", "Acmaeodera fairmairei", "Acmaeodera fascigera", "Acmaeodera fattigi", "Acmaeodera fenyesi", "Acmaeodera ferrandii", "Acmaeodera flavolineata", "Acmaeodera flavolineata cypricola", "Acmaeodera flavolineata destructovittata", "Acmaeodera flavolineata flavolineata", "Acmaeodera flavolineata piloselloides", "Acmaeodera flavonotata", "Mimeresia debora", "Acmaeodera flavopicta", "Mimeresia debora debora", "Acmaeodera flavosparsa", "Acmaeodera flavosticta", "Acmaeodera fontainieri", "Acmaeodera fossiceps", "Acmaeodera foudrasii", "Acmaeodera foudrasii foudrasii", "Acmaeodera foudrasii muelleri", "Mimeresia debora barnsi", "Acmaeodera foudrasii subdita", "Acmaeodera foudrasii surcoufi", "Dinopium everetti", "Acmaeodera foudrasii woodi", "Sciadotenia amazonica", "Acmaeodera franchettii", "Acmaeodera franchettii franchettii", "Acmaeodera franchettii katonai", "Mimeresia debora catori", "Acmaeodera gardneri", "Acmaeodera gentilis", "Acmaeodera ghilarovi", "Acmaeodera gibbula", "Acmaeodera gibbuloides", "Acmaeodera gillespiensis", "Acmaeodera glabella", "Acmaeodera glabra", "Acmaeodera gosseti", "Dinopium psarodes", "Acmaeodera gracilis", "Sciadotenia brachypoda", "Acmaeodera grandicollis", "Acmaeodera grandis", "Acmaeodera grata", "Acmaeodera grata grata", "Acmaeodera grata pastoralis", "Acmaeodera gratiosa", "Acmaeodera griffithi", "Pleurodiscina pantocsekii", "Gibbotettix hupingshanensis", "Gibbotettix circinihumerus", "Gibbotettix crista", "Austrohancockia crista", "Sciadotenia campestris", "Bannatettix brevipennis", "Bannatettix tenuifemura", "Bannatettix barbifemura", "Lygephila javanica", "Atkinsonia brevisaccula", "Atkinsonia parignipicta", "Atkinsonia beijingana", "Oedematopoda beijingana", "Paraglomus laccatum", "Paraglomus lacteum", "Claroideoglomus lamellosum", "Claroideoglomus luteum", "Pyrenodesmia hampeana", "Coccinia grandiflora", "Ifrita kowaldi brunnea", "Sciadotenia javariensis", "Ifrita kowaldi kowaldi", "Atkinsonia butalistis", "Rhizophagus manihotis", "Dominikia minuta", "Funneliformis mosseae", "Oedematopoda butalistis", "Atkinsonia clerodendronella", "Atkinsonia furcata", "Philonthus oblitus", "Atkinsonia ignipicta", "Eretmocera ignipicta", "Alaena amazoula", "Alaena amazoula amazoula", "Alaena amazoula congoana", "Alaena amazoula nyasana", "Alaena amazoula ochroma", "Alaena bjornstadi", "Andrenimorpha poirieri", "Alaena brainei", "Andrenimorpha fucus", "Sphecosoma enormis", "Chrysoclista gabretica", "Chrysoclista abchasica", "Chrysoclista abchasica abchasica", "Mimeresia moreelsi tessmanni", "Mimeresia moyambina", "Mimeresia neavei", "Pyrenodesmia paulsenii", "Telitoxicum negroense", "Mimeresia pseudocellularis", "Celestus laf", "Mimeresia russulus", "Schneisereria pistciella", "Agonopterix socerbi", "Eulamprotes graecatella", "Brunia guineacola", "Brunia simplex", "Brunia badrana", "Cypha tenuicornis", "Cypha tarsalis", "Cypha truncata", "Cypha rubripennis", "Cypha prominens", "Cypha rubicunda", "Cypha takhtajani", "Cypha persica", "Micropeplus porcatus", "Mimogonus fumator", "Omalium saulcyi", "Omalium schuberti", "Heteralepas japonica", "Mauna sematurga", "Terpnostola rwandana", "Terpnostola zomba", "Mauna zomba", "Zophoessa shirozui", "Lethe gemina", "Pyrenodesmia pleiophora", "Lethe gemina gemina", "Lethe gemina zaitha", "Lethe gemina yao", "Euthalia yanagisawai", "Euthalia kardama kardama", "Euthalia kardama miao", "Euthalia behe", "Euthalia nara bunzoi", "Pyrenodesmia rehmii", "Vanenga mera", "Perophora mera", "Vanenga mediorosea", "Pyrenodesmia rubiginosa", "Oligodon cattienensis", "Boarmia solivagaria", "Boarmia ponderata", "Buzura recursaria asahinai", "Boarmia ferrolavata", "Amraica inouei", "Zygaena tamara", "Zygaena tamara tamara", "Zygaena tamara mahabadica", "Zygaena tamara kerendica", "Zygaena tamara fahima", "Zygaena tamara kendevanica", "Alaena caissa", "Alaena caissa caissa", "Alaena caissa kagera", "Heteralepas lankesteri", "Myrmecopsis bleuzeni", "Myrmecopsis poirieri", "Myrmecopsis boliviensis", "Myrmecopsis crabonis", "Myrmecopsis ichneumonea", "Dropephylla devillei", "Aphaenostemmus rhodicus", "Carpelimus transversicollis", "Zygaena araxis cottrilli", "Zygaena fredi", "Coprophilus rufipennis", "Zygaena fredi fredi", "Zygaena fredi escaleraiana", "Zygaena fredi syntopica", "Zygaena fredi diva", "Zygaena fredi khorasani", "Zygaena wyatti", "Zygaena wyatti wyatti", "Zygaena wyatti naumannorum", "Zygaena cocandica", "Zygaena cocandica cocandica", "Zygaena cocandica hazarajatica", "Zygaena cocandica sanguinea", "Zygaena cocandica amankutana", "Oedematopoda semirubra", "Oedematopoda nohirai", "Atkinsonia swetlanae", "Meganola tibetensis", "Scobura mouchai", "Rhizophagus prolifer", "Redeckera pulvinatum", "Olethreutes hemeropis", "Pyrenodesmia helygeoides", "Omiostola longimacula", "Omiostola paragerda", "Omiostola manca", "Omiostola macella", "Pyrenodesmia heufleriana", "Arotrura landryorum", "Bulbophyllum erythrosema", "Bulbophyllum erythrostachyum", "Bulbophyllum erythrostictum", "Pyrenodesmia microcarpa", "Bulbophyllum escritorii", "Bulbophyllum eublepharum", "Bulbophyllum eutoreton", "Bulbophyllum evansii", "Eupsilia schweitzeri", "Bulbophyllum evasum", "Bulbophyllum evrardii", "Sciadotenia pachnococca", "Bulbophyllum exaltatum", "Quedius ochripennis", "Zygaena afghana chitralensis", "Quedius problematicus", "Quedius hermonensis", "Zygaena afghana baluchi", "Quedius semiaeneus", "Zygaena afghana kotgaiensis", "Quedius josue", "Quedius macchabaeus", "Zygaena afghana pashtuna", "Ocypus syriacus", "Platydracus kasyi", "Rebentischia abietis", "Zygaena loti altayica", "Zygaena lonicerae sinensis", "Odontocarya asarifolia", "Coccinia sessilifolia var. sessilifolia", "Coccinia sessilifolia var. variifolia", "Abuta mycetandra", "Rebentischia pomiformis", "Doliche carmina", "Rebentischia anodendri", "Rebentischia brevicaudata", "Heteralepas luridas", "Pseudolathra armata", "Pseudolathra bisinuata", "Terpnostola chitipensis", "Pseudolathra magna", "Pseudolathra ullrichi", "Pseudolathra cuccodoroi", "Pseudolathra duplopunctata", "Pseudolathra sumatrensis", "Pseudolathra lucabosmontis", "Pseudolathra ivani", "Pseudolathra longicollis", "Pseudolathra mahratta", "Pseudolathra vellicans", "Pseudolathra ceylonica", "Pseudolathra bipectinata", "Agrotis admirationis", "Cypha bifida", "Terpnostola crenata", "Terpnostola crocopeplus", "Terpnostola exalbescens", "Terpnostola gratiosata", "Terpnostola igneotincta", "Terpnostola insignitata", "Terpnostola inspersa", "Terpnostola instabilis", "Terpnostola intermedia", "Terpnostola kasungensis", "Terpnostola mediolineata", "Terpnostola nguruensis", "Terpnostola nyassica", "Terpnostola pelostolmus", "Terpnostola perlineata", "Terpnostola philocydes", "Terpnostola propinqua", "Terpnostola punctilinea", "Terpnostola silvaeiuniperi", "Terpnostola strigulata", "Terpnostola tardenota", "Terpnostola vaidepurpurea", "Terpnostola ardescens", "Mauna ardescens", "Terpnostola diasporas", "Mauna diasporas", "Terpnostola electa", "Mauna electa", "Terpnostola sematurga", "Alaena exotica", "Alaena ferrulineata", "Heteralepas mystacophora", "Heteralepas nicobarica", "Gyrophaena boxi", "Gyrophaena brevicollis", "Gyrophaena brevidens", "Gyrophaena brincki", "Zatrephes novicia", "Ischnognatha leucapera", "Automolis leucapera", "Idalus perlineosa", "Idalus flavicostalis", "Idalus erythronota", "Idalus lineosus", "Idalus sublineata", "Idalus vitrea", "Idalus vitreoides", "Idalus tybris", "Idalus felderi", "Idalus panamensis", "Idalus intermedia", "Idalus tuisana", "Idalus dares", "Idalus daga", "Idalus idalia", "Idalus aleteria", "Idalus aletis", "Zygaena cocandica pamira", "Zygaena pamira pamira", "Zygaena pamira abramova", "Zygaena sogdiana", "Zygaena sogdiana sogdiana", "Zygaena sogdiana talasensis", "Zygaena chirazica rostami", "Zygaena chirazica", "Zygaena chirazica simorghi", "Zygaena naumanni naumanni", "Zygaena naumanni dariushi", "Zygaena olivieri", "Zygaena olivieri olivieri", "Zygaena olivieri defreinae", "Zygaena olivieri orrhoensis", "Zygaena separata ermendyi", "Astenus nigromaculatus", "Zygaena rosinae", "Astenus platynotus", "Zygaena rosinae rosinae", "Astenus affimbriatus", "Zygaena rosinae polyphaena", "Zygaena afghana", "Platyprosopus bagdadensis", "Zygaena afghana afghana", "Zygaena afghana tarmanni", "Stenistoderus turcicus", "Zygaena afghana jamii", "Xantholinus sidonensis", "Zygaena afghana naimica", "Xantholinus oronticus", "Philonthus flavocinctus", "Zygaena afghana khushica", "Phaeomolis brunnescens unicolor", "Phaeomolis curvenal", "Phaeomolis ochreogaster", "Alaena margaritacea", "Xanthoarctia pseudameoides", "Xanthoarctia dorisca", "Alaena ngonga", "Xanthoarctia flavibrunnea", "Azatrephes discalis", "Azatrephes argyrotis", "Azatrephes argyrotis argyrotis", "Azatrephes argyrotis orientalis", "Azatrephes fuliginosa", "Zatrephes binotata", "Zatrephes olivenca", "Zatrephes trailii", "Zatrephes propinqua", "Automolis propinqua", "Zatrephes carmesina", "Automolis carmesina", "Zatrephes fasciola", "Alaena nyassa", "Alaena nyassa nyassa", "Alaena nyassa major", "Alaena nyassa marmorata", "Heteralepas ovalis", "Alaena oberthuri", "Clerodendrum laevifolium", "Volkameria glabra", "Alaena ochracea", "Alaena picata", "Alaena picata picata", "Alaena picata interrupta", "Rebentischia costi", "Alaena reticulata", "Alaena rosei", "Alaena subrubra", "Odontocarya deminuta", "Alaena unimaculosa", "Alaena unimaculosa aurantiaca", "Alaena unimaculosa unimaculosa", "Heteralepas rex", "Rebentischia elaeodendri", "Heteralepas segonzaci", "Scaphosepalum merinoi", "Nothomorpha latifrons", "Nothomorpha major", "Nothomorpha minima", "Nothomorpha pauperata", "Nothomorpha rudis", "Nothomorpha rugosa", "Nothomorpha rugosa carinifrons", "Nothomorpha rugosa rugosa", "Nothomorpha verrucosa", "Rebentischia massalongoi", "Heteralepas smilius", "Rebentischia ranella", "Sciadotenia mathiasiana", "Bulis bivittata", "Sciadotenia peruviana", "Pentila tropicalis", "Heteralepas tenuis", "Paratrachys australius", "Paratrachys bakeri", "Paratrachys biroi", "Paratrachys chinensis", "Paratrachys cornutus", "Paratrachys cuneiformis", "Paratrachys fergussonicus", "Paratrachys fisheri", "Paratrachys hederae", "Paratrachys hederae hederae", "Paratrachys hederae formosanus", "Paratrachys hederoides", "Paratrachys hypocritus", "Paratrachys hypocritus hypocritus", "Paratrachys hypocritus cobosi", "Paratrachys hypocritus miyatakei", "Paratrachys hypocritus vietnamensis", "Paratrachys kannegieteri", "Paratrachys kannegieteri kannegieteri", "Paratrachys kannegieteri aliciae", "Paratrachys kannegieteri stevei", "Paratrachys kurosawai", "Paratrachys marylae", "Paratrachys mixtipubescens", "Paratrachys nadjus", "Paratrachys nigricans", "Paratrachys nigricans nigricans", "Paratrachys nigricans bengalensis", "Paratrachys nigritus", "Paratrachys pilifrons", "Paratrachys princeps", "Paratrachys princeps princeps", "Paratrachys princeps chujoi", "Paratrachys princeps kasaharai", "Paratrachys queenslandicus", "Paratrachys sinicolus", "Paratrachys srogli", "Paratrachys strandi", "Paratrachys tonyi", "Sponsor aeneiventris", "Sponsor aeneolus", "Sponsor antamponensis", "Sponsor antanala", "Sponsor anthracinus", "Sponsor antsihanaka", "Sponsor ater", "Sponsor auribasis", "Sponsor betsimisaraka", "Sponsor bicolor", "Sponsor calo", "Sponsor chalceus", "Sponsor chalybaeus", "Sponsor cupreoviolaceus", "Sponsor cupreoviridis", "Sponsor cupripennis", "Sponsor cyaneus", "Sponsor cyanipennis", "Sponsor distinctus", "Sponsor elegans", "Sponsor elongatus", "Sponsor emmaae", "Sponsor epicureus", "Sponsor epistomalis", "Sponsor gagates", "Sponsor gemmatus", "Sponsor granulicollis", "Sponsor ignipennis", "Sponsor livens", "Sponsor mameti", "Sponsor melanopus", "Sponsor mirabilis", "Sponsor montanus", "Sponsor monticola", "Sponsor montivagus", "Sponsor niger", "Sponsor nigricollis", "Sponsor nigroaeneus", "Sponsor nigrocyaneus", "Sponsor perrieri", "Sponsor pseudelongatus", "Sponsor pseudepistomalis", "Sponsor pubescens", "Sponsor pubescens amethystinus", "Oecomys sydandersoni", "Cyrtochilum annulare", "Uca mjoebergi", "Pentila cloetensi", "Cyamus boopis", "Pentila cloetensi cloetensi", "Caloderina hierosolymitana", "Pseudosemiris torta", "Geostiba meronica", "Drusilla endorica", "Sponsor burgeoni", "Sponsor caerulescens", "Sponsor carbonarius", "Sponsor cobosi", "Sponsor deplanatus", "Sponsor convexus", "Sponsor desjardinsii", "Sponsor dissimilis", "Sponsor fulgens", "Sponsor gianassoi", "Sponsor irideus", "Sponsor janthinus", "Sponsor kerremansi", "Sponsor lesnei", "Sponsor macfadyeni", "Sponsor marcsikae", "Sponsor metallinus", "Sponsor oblongus", "Sponsor parvulus", "Sponsor peyrierasi", "Sponsor picea", "Sponsor pilosellus", "Sponsor pinguis", "Sponsor raffrayi", "Sponsor semistrigosus", "Sponsor sericeus", "Sponsor somaliensis", "Sponsor splendens", "Sponsor violaceus", "Perucola picturella", "Embrikiola simulans", "Actenodes gabonicus gabonicus", "Actenodes gabonicus johnstoni", "Megactenodes ebenina", "Pseudactenodes chrysotis", "Pseudopaludicola giarettai", "Pseudopaludicola facureae", "Tasgius atronitidus", "Tasgius rubripennis", "Mycetoporus ignidorsum", "Diestota guadalupensis", "Zatrephes amoena", "Pentila abraxas", "Sponsor pubescens pubescens", "Sponsor purpureipennis", "Sponsor purpureipennis episcopalis", "Sponsor purpureipennis fuscus", "Sponsor purpureipennis purpureipennis", "Sponsor reunionensis", "Sponsor rufipes", "Sponsor rutilans", "Sponsor rutilans rutilans", "Sponsor rutilans viridicollis", "Sponsor satanas", "Sponsor senescens", "Sponsor senilis", "Sponsor seyrigi", "Sponsor similis", "Sponsor succinicola", "Sponsor tristis", "Sponsor vadonianus", "Sponsor vetustus", "Sponsor viduus", "Sponsor viettei", "Sponsor vieui", "Sponsor violaceipennis", "Sponsor viridiaenus", "Sponsor viridiauratus", "Sponsor viridicoerulans", "Zatrephes crocos", "Sponsor ambiguus", "Sponsor aeneus", "Sponsor antelmei", "Sponsor cariei", "Phalaena crocos", "Sponsor dermestoides", "Sponsor dermestoides borbonicus", "Sponsor dermestoides dermestoides", "Sponsor emmerezi", "Sponsor fusiformis", "Sponsor grandis", "Sponsor gyrinoides", "Sponsor indicus", "Sponsor lepidus", "Zatrephes istria", "Sponsor malartici", "Sponsor mandraranus", "Sponsor parilis", "Sponsor pexipennis", "Sponsor pulcher", "Sponsor pupa", "Sponsor pygmaeus", "Sponsor rodriganus", "Sponsor rufitarsis", "Sponsor setosulus", "Sponsor subparallelus", "Sponsor theryi", "Sponsor vadoni", "Sponsor villosus", "Sponsor vinsoni", "Sponsor alluaudi", "Sponsor androyensis", "Kurosawaxia iris", "Zatrephes flavipuncta", "Ameerega shihuemoy", "Rebentischia taurica", "Belionota championi", "Belionota fulgidicollis", "Belionota gigantea", "Belionota metasticta", "Zatrephes brunnea", "Belionota sumptuosa", "Actenodes alluaudi", "Actenodes auronotatus", "Actenodes gabonicus", "Disciphania convolvulacea", "Actenodes lestradei", "Zatrephes dithyris", "Actenodes signatus", "Zatrephes irrorata", "Zatrephes variegata", "Agenjosiana manni", "Aldabrica fryeri", "Bilyesta dactylozoides", "Cobosella laesicollis", "Cobosesta mandli", "Jelinekia barri", "Madecacesta gaudroni", "Madecastalia albignaci", "Parapolycesta cobosi", "Polycestaxis carinicollis", "Polycestella curta", "Odontocarya klugii", "Odontocarya monandra", "Pentila fallax", "Pentila fidonioides", "Piochardia schaumii", "Megalogastria crassiventris", "Aleochara erythroptera", "Aleochara libanica", "Aleochara laevigata", "Aleochara sparsa", "Pentila glagoessa", "Zygaena nocturna", "Dinusa hierosolymata", "Zygaena nocturna meinekei", "Zygaena nocturna nocturna", "Zygaena nocturna eberti", "Agrilus carinus carinus", "Acmaeodera viridaenea swiertsrae", "Acmaeodera weiseri", "Zygaena bakhtiyari", "Acmaeodera wethloi", "Acmaeodera xanthelytra", "Acmaeodera zambesica", "Agrilus alesi alesi", "Agrilus cailloli cailloli", "Agrilus cailloli malariae", "Pentila cloetensi albida", "Zygaena sogdiana var. margelanensis", "Pentila cloetensi aspasia", "Pentila cloetensi catauga", "Pentila cloetensi latefasciata", "Pentila cloetensi lucayensis", "Transandinomys talamancae", "Transandinomys bolivaris", "Pentila amenaidoides", "Zygodontomys brunneus", "Zygodontomys brevicauda", "Zatrephes bicolorata", "Apatelodes bicolorata", "Zatrephes sublutescens", "Zatrephes lentiginosus", "Pentila auga", "Alanizus tortuosus", "Zatrephes ossea", "Zatrephes bifasciata", "Zatrephes gigantea", "Zatrephes foliacea", "Pentila bitje", "Oligoryzomys moojeni", "Oligoryzomys rupestris", "Pentila camerunica", "Pentila carcassoni", "Pentila christina", "Oligoryzomys stramineus", "Akodon aerosus", "Saphenista squalida", "Saphenista pellax", "Phalonidia pellax", "Saphenista dyas", "Phalonidia dyas", "Saphenista horrens", "Phalonidia horrens", "Saphenista fatua", "Saphenista brilhanteana", "Saphenista remota", "Phalonidia remota", "Cephetola pinodes", "Cephetola pinodes pinodes", "Cephetola pinodes budduana", "Odontocarya smithiorum", "Cephetola rileyi", "Saphenista paliki", "Phalonidia paliki", "Saphenista paranae", "Cephetola subcoerulea", "Phalonidia paranae", "Saphenista dubia", "Cephetola subgriseata", "Saphenista mystica", "Cephetola sublustris", "Idalus lucens", "Idalus nigropunctata", "Idalus fasciipuncta", "Idalus ortus", "Alaena interposita", "Alaena interposita interposita", "Idalus bicolorella", "Idalus brachystriata", "Idalus dilucida", "Idalus mossi", "Idalus noiva", "Idalus decisa", "Idalus metacrinis", "Idalus dorsalis", "Idalus tenuifascia", "Idalus tumara", "Idalus iragorri", "Idalus herois", "Idalus quadratus", "Idalus dognini", "Idalus pichesensis", "Alaena interposita hauttecoeuri", "Idalus agastus", "Idalus carinosa", "Idalus ochracea", "Idalus ochreata", "Idalus multicolor", "Idalus luteorosea", "Idalus monostidza", "Idalus admirabilis", "Idalus affinis", "Idalus albidior", "Idalus crinis", "Idalus delicata", "Idalus albescens", "Idalus citrina", "Idalus lutescens", "Alaena lamborni", "Arctiarpia melanopasta", "Alaena maculata", "Aphyle margaritaceus", "Aphyle affinis", "Aphyle cuneata", "Aphyle abdominalis", "Aphyle onorei", "Aphyle flavicolor", "Aphyle steinbachi", "Senecauxia coraliae", "Alaena madibirensis", "Phaeomolis lineatus", "Phaeomolis obscurata", "Phaeomolis vampa", "Phaeomolis polystria", "Phaeomolis obnubila", "Phaeomolis bertrandi", "Phaeomolis brunnescens", "Phaeomolis brunnescens brunnescens", "Drusilla cernens", "Tetralaucopora bicolorata", "Amarochara inermis", "Oxypoda collaris", "Oxypoda libanotica", "Acmaeodera holiki", "Acmaeodera howa", "Acmaeodera jakobsoni", "Acmaeodera leonhardi", "Acmaeodera leonhardi leonhardi", "Acmaeodera leonhardi punica", "Acmaeodera longicrinis", "Acmaeodera luteonigra", "Acmaeodera luteonigra luteonigra", "Acmaeodera luteonigra ochreonigra", "Acmaeodera maroccana", "Acmaeodera nickerli", "Acmaeodera philippinensis", "Acmaeodera pici", "Acmaeodera puberula", "Acmaeodera puberula guillarmodi", "Acmaeodera puberula nautarum", "Acmaeodera puberula puberula", "Acmaeodera reaumuri", "Acmaeodera rubidiplagis", "Acmaeodera ruficaudis", "Acmaeodera ruficaudis costulata", "Acmaeodera ruficaudis crenatostriata", "Acmaeodera ruficaudis macfadyeni", "Zygaena cambysea kamarana", "Acmaeodera ruficaudis ruficaudis", "Acmaeodera ruficaudis simillima", "Acmaeodera saxicola", "Zygaena cambysea", "Acmaeodera saxicola saxicola", "Acmaeodera saxicola bijuga", "Acmaeodera saxicola minoa", "Acmaeodera schoutedeni", "Acmaeodera semenovi", "Acmaeodera stictithorax", "Acmaeodera strictella", "Zygaena cambysea cambysea", "Acmaeodera swammerdami", "Acmaeodera swammerdami swammerdami", "Acmaeodera swammerdami dianae", "Zygaena cambysea hafis", "Acmaeodera tibiosa", "Acmaeodera ugandica", "Acmaeodera uvarovi", "Acmaeodera vanebaptista", "Acmaeodera vianai", "Acmaeodera viridaenea", "Acmaeodera viridaenea viridaenea", "Acmaeodera viridaenea aureolimbata", "Acmaeodera viridaenea degeeri", "Acmaeodera viridaenea natalensis", "Rebentischia thujana", "Zatrephes arenosa", "Pentila alba", "Halogeton glomeratus var. tibeticus", "Zatrephes klagesi", "Zatrephes rufescens", "Zatrephes ockendeni", "Pentila amenaida", "Zatrephes cruciata", "Zatrephes albescens", "Zatrephes subflavescens", "Zatrephes rosella", "Zatrephes nitida", "Phalaena nitida", "Zatrephes iridescens", "Zatrephes iridescens iridescens", "Zatrephes iridescens pura", "Icosium tomentosum", "Nortia geniculata", "Agrilus carinus matutinus", "Agrilus chrysostictoides brutus", "Agrilus chrysostictoides chrysostictoides", "Agrilus ctenocerus ctenocerus", "Agrilus ctenocerus mrazianus", "Zygaena rubricollis", "Zygaena rubricollis rubricollis", "Agrilus delenitor delenitor", "Agrilus delenitor celtivorus", "Zygaena rubricollis tenhageni", "Pentila hewitsoni", "Pentila hewitsoni hewitsoni", "Pentila hewitsoni limbata", "Pentila inconspicua", "Pentila landbecki", "Pentila maculata", "Pentila maculata maculata", "Pentila maculata pardalena", "Pentila maculata subochracea", "Pentila mesia", "Pentila nero", "Rebentischia unicaudata", "Pentila pauli pauli", "Phloeophila pleurothallopsis", "Pentila pauli alberta", "Pentila pauli elisabetha", "Pentila pauli benguellana", "Pentila pauli clarensis", "Pentila pauli dama", "Pentila pauli leopardina", "Pentila pauli multiplagata", "Pentila pauli nyassana", "Pentila pauli obsoleta", "Pentila pauli ras", "Pentila petreia", "Dinusa jebusaea", "Dinusa angulicollis", "Dinusa taurica", "Notothecta hipponensis", "Dinusa subangulata", "Pronomaea araxicola", "Pronomaea khnzoriani", "Pronomaea procerula", "Pronomaea maxima", "Parakamosia carinithorax", "Parakamosia zoufali", "Sjoestedtius affinis", "Sjoestedtius arrowi", "Sjoestedtius buarinus", "Sjoestedtius rhodesicus", "Sjoestedtius daressalamensis", "Cyrtochilum diceratum", "Pentila nigeriana", "Paragrilus acuticostis", "Paragrilus aeneus", "Paragrilus alutaceidorsis", "Paragrilus argentinus", "Paragrilus argentinus argentinus", "Paragrilus argentinus monticola", "Paragrilus bonariensis", "Paragrilus coerulans", "Paragrilus dormitzeri", "Paragrilus embrikiellus", "Paragrilus gestroi", "Paragrilus ignotus", "Paragrilus kheili", "Paragrilus modicoides", "Paragrilus modicus", "Paragrilus modicus modicus", "Paragrilus modicus dudai", "Paragrilus mrazi", "Paragrilus nickerli", "Paragrilus paulensis", "Paragrilus punctifrons", "Paragrilus similis", "Paragrilus strandi", "Paragrilus vianai", "Pentila occidentalium", "Agriloides aequatoris", "Agriloides gaucho", "Agriloides gebhardti", "Agriloides longus", "Agriloides meranus", "Agriloides mrazi", "Agriloides nickerli", "Agriloides palaestes", "Autarcontes brasiliensis", "Pentila occidentalium occidentalium", "Autarcontes cortezi", "Autarcontes eucalopterus", "Autarcontes guatemozin", "Autarcontes montezuma", "Autarcontes mucoreipennis", "Agrilodia leopardina", "Agrilodia oporina", "Agrilodia paraguayensis", "Pentila occidentalium gabunica", "Malawiella divina", "Sobralia bimaculata", "Rebentischia ulmicola", "Pentila pauli", "Sjoestedtius madegassus", "Sjoestedtius schoutedeni", "Sjoestedtius stevensoni", "Trachys abeillei", "Trachys aeneiceps", "Habrocerus ibericus", "Trachys aequalipennis", "Habrocerus canariensis", "Trachys agatha", "Trachys agitosus", "Trachys althaeus", "Trachys althasius", "Habrocerus simulans", "Trachys amiartus", "Trachys andromedus", "Trachys anthraorus", "Trachys antistes", "Trachys aone", "Trachys apollonius", "Trachys araxicolus", "Habrocerus splendens", "Trachys areroensis", "Trachys argentipilis", "Trachys argyronetus", "Trachys arhemus", "Trachys ariaxis", "Trachys aristaeus", "Trachys aristomache", "Habrocerus bisetosus", "Trachys armaeone", "Trachys armillus", "Trachys artaoxus", "Trachys arxus", "Trachys astarte", "Trachys asterius", "Trachys bacchus", "Trachys barbatulus", "Trachys bathyllus", "Trachys baumiellus", "Trachys bellonus", "Trachys blairi", "Trachys blaisei", "Trachys blandulus", "Trachys boerus", "Trachys boettcheri", "Trachys bolivari", "Trachys calais", "Trachys capicolus", "Trachys cambouei", "Trachys cassiae", "Trachys ceylonicus", "Trachys cicutus", "Trachys clathriferus", "Trachys cleopatra", "Trachys confusissimus", "Trachys confusulus", "Trachys contextus", "Trachys corporaali", "Trachys coryphaeus", "Trachys crassatus", "Trachys curius", "Trachys cybele", "Trachys cythaeris", "Trachys dabalthus", "Trachys matronus", "Trachys maxaphus", "Trachys meridianus", "Trachys miargus", "Trachys micans", "Trachys misanthrus", "Trachys mixiorus", "Trachys mixtipilis", "Trachys muelleri", "Trachys mundamus", "Trachys mystaxidorus", "Trachys namithrus", "Trachys nanubis", "Trachys natalicus", "Trachys nickerli", "Trachys nigerellus", "Trachys noarche", "Trachys nodulipennis", "Trachys nomas", "Trachys novellus", "Trachys novicius", "Trachys obesulus", "Trachys olifantinus", "Trachys olmyrus", "Trachys olyrus", "Trachys oncoxius", "Trachys orcas", "Trachys paphne", "Trachys patronus", "Trachys pecirkai", "Trachys penarius", "Trachys perparvus", "Pentila phidia", "Tydeus sulcatus", "Hyphessobrycon petricolus", "Pentila picena", "Pentila picena picena", "Trachys pertoldi", "Trachys phaedaenus", "Trachys phanerogaea", "Trachys philomelus", "Trachys pharaxis", "Trachys pharameis", "Trachys phoebe", "Trachys plausibilis", "Trachys pollentius", "Trachys polyhymnius", "Trachys polyxenus", "Trachys pomonus", "Trachys popilius", "Trachys porcius", "Trachys indrus", "Trachys ine", "Trachys ioccosulus", "Trachys iphitheus", "Trachys isabellae", "Trachys isis", "Trachys isolatus", "Trachys jakobsoni", "Trachys janthe", "Trachys jo", "Trachys judith", "Trachys juno", "Trachys junodi", "Trachys kikuyinus", "Trachys klapaleki", "Trachys koshunensis", "Trachys krakatoanus", "Trachys lakshmi", "Trachys laurencii", "Trachys lavinius", "Trachys layus", "Trachys lenus", "Trachys leucippe", "Trachys leuctrius", "Trachys libanonicus", "Trachys libitinus", "Trachys lichtensteini", "Echinococcus granulosus", "Turanana durranii", "Pentila petreoides", "Trachys lithus", "Trachys livius", "Trachys lucia", "Trachys luxuriosus", "Trachys madurensis", "Trachys maia", "Trachys malignus", "Trachys mandarinus", "Trachys manilius", "Trachys mariaxis", "Trachys marineanus", "Trachys marogis", "Trachys marshalli", "Brachytydeus politus", "Atla recondita", "Raphicera moorei", "Pentila rotha marianna", "Zygaena filipendulae callimorpha", "Zygaena filipendulae siagnica", "Zygaena filipendulae pentasema", "Zygaena filipendulae willaumei", "Zygaena filipendulae alassica", "Zygaena viciae hesperina", "Dactylorhiza maculata subsp. ericetorum", "Acarospora brodoana", "Pentila subfuscata", "Pentila swynnertoni", "Sarcogyne albothallina", "Pentila tachyroides", "Pentila tachyroides tachyroides", "Pentila tachyroides isiro", "Neacomys guianae", "Pentila torrida", "Pentila tropicalis tropicalis", "Pentila tropicalis chyulu", "Pentila tropicalis fuscipunctata", "Pentila tropicalis mombasae", "Taphrocerus achardi", "Taphrocerus acutus", "Taphrocerus alutaceicollis", "Taphrocerus aeneocollis", "Taphrocerus aeneocupreus", "Taphrocerus agriliformis", "Taphrocerus agriloides", "Taphrocerus constantini", "Taphrocerus kerremansi", "Taphrocerus szekessyi", "Taphrocerus tao", "Lius bicolor", "Lius hector", "Oedichirus latexciscus", "Oedichirus schuelkei", "Oedichirus abbreviatus", "Dysanabatium jacobsoni", "Anchimacheta iodes", "Anchimacheta capnodes", "Anchimacheta tolmetes", "Anchimacheta costaricae", "Habroloma preangense", "Habroloma protracticolle", "Habroloma pseudacutum", "Habroloma repetitrix", "Habroloma roscium", "Habroloma rubripilis", "Pentila preussi", "Pentila preussi preussi", "Tydeus ellipticus", "Pentila preussi fayei", "Pentila pseudorotha", "Habroloma salisburyense", "Habroloma sandakanum", "Habroloma sassum", "Habroloma saundersianum", "Pentila rogersi", "Pentila rogersi rogersi", "Brachytydeus exiguelitteratus", "Pentila rogersi parapetreia", "Brachytydeus nytebodensis", "Brachytydeus parainflatus", "Habroloma sellatulum", "Habroloma sembilanense", "Habroloma singhalesum", "Habroloma sinnicum", "Habroloma speciosellum", "Habroloma taygeto", "Habroloma tecmessa", "Habroloma tecmessa tecmessa", "Habroloma tecmessa holynskii", "Habroloma thamentis", "Habroloma tyanum", "Habroloma tyli", "Habroloma uniformatum", "Habroloma vansoni", "Habroloma vestum", "Habroloma xamarthum", "Habroloma zaghanum", "Habroloma zululanum", "Sambus achilles", "Sambus adonis", "Sambus aeneas", "Sambus aethiopicus", "Sambus aiax", "Sambus alienus", "Sambus angolensis", "Trachys dabraxus", "Trachys daghmus", "Trachys dalaraeus", "Trachys damarigenus", "Trachys danae", "Trachys daphnaeus", "Trachys dapitanus", "Trachys darnothus", "Trachys dasytrichus", "Trachys dichrous", "Trachys dictynnus", "Trachys dido", "Trachys dolabellus", "Trachys dolomedeus", "Trachys downingi", "Trachys dughbarus", "Trachys earias", "Trachys echo", "Trachys eclogus", "Trachys electrus", "Trachys elgus", "Trachys eliminatus", "Trachys elvira", "Trachys epischius", "Trachys erastrius", "Trachys erogatus", "Trachys eruditsua", "Trachys erythreae", "Trachys eryx", "Trachys eschscholtzi", "Trachys eucyaneus", "Trachys eurycephalus", "Trachys eurynome", "Trachys euterpe", "Trachys exmiaris", "Trachys fenestrellus", "Trachys fischeri", "Trachys flavius", "Trachys foliivorus", "Trachys furius", "Trachys furnius", "Trachys gabbalus", "Trachys gambianus", "Trachys gapi", "Trachys garuus", "Trachys gasurrus", "Trachys gerardi", "Trachys gestroanus", "Trachys gilli", "Trachys giubbanus", "Trachys helena", "Trachys helferi", "Trachys heliochaerus", "Trachys heliomachus", "Trachys hera", "Trachys herillus", "Trachys hermione", "Trachys hessei", "Trachys hornianus", "Trachys houskai", "Trachys hylophilus", "Trachys hypsipile", "Trachys hyrcaeus", "Trachys ida", "Trachys ukerewensis", "Trachys usambarae", "Trachys vandenplasi", "Trachys vanrooni", "Trachys variolaris", "Trachys variolaris variolaris", "Trachys variolaris robustissimus", "Trachys vavrai", "Trachys vicarians", "Trachys xampethis", "Trachys xanthe", "Brachytydeus breviculus", "Trachys xauarius", "Trachys xenarthrus", "Trachys xenius", "Trachys xenonymus", "Trachys zaghrus", "Trachys zambesicus", "Trachys zanzibaricus", "Trachys zaroghus", "Trachys zavattarii", "Trachys zethmaeus", "Trachys zuluanus", "Trachys zulukaffra", "Lasiommata hefengana", "Trachys alpinus", "Trachys brasiliae", "Neotrachys jakovlevi", "Neotrachys strandi", "Habroloma absterrens", "Habroloma accomodatum", "Habroloma aetatulum", "Habroloma aglaogeum", "Habroloma alphaxium", "Habroloma anchiale", "Habroloma androgaeum", "Habroloma andromache", "Habroloma angilium", "Habroloma anita", "Habroloma antonia", "Habroloma apellum", "Habroloma arche", "Habroloma argathrum", "Habroloma astraeum", "Habroloma baebium", "Habroloma bakerianum", "Habroloma baucis", "Habroloma baumi", "Habroloma benguetense", "Habroloma berenice", "Habroloma breiti", "Habroloma caium", "Habroloma callisto", "Habroloma calypso", "Habroloma canace", "Habroloma canidium", "Trachys proagorus", "Trachys problematicus", "Trachys procris", "Trachys proflatus", "Trachys proculeius", "Trachys prolongatulus", "Trachys proserpinus", "Trachys psecas", "Trachys pseudoscrobiculatus pseudoscrobiculatus", "Trachys pseudoscrobiculatus shirozui", "Trachys pulex", "Trachys pullus", "Trachys puncticollis", "Trachys puncticollis puncticollis", "Trachys puncticollis rectilineatus", "Trachys pyrameis", "Trachys racilius", "Trachys ramisinus", "Trachys purpuridorsis", "Trachys reitteri", "Trachys resupinans", "Trachys rhexinius", "Trachys rita", "Trachys rivularis", "Trachys ruralis", "Trachys sagus", "Trachys sabirrus", "Trachys salpius", "Trachys scriptellus", "Trachys scyrrhaeus", "Trachys sebakwensis", "Trachys semiramis", "Trachys sempronius", "Trachys serapis", "Trachys sibylla", "Trachys silius", "Trachys simbus", "Trachys sinicus", "Trachys solarius", "Trachys solivagus", "Trachys sordidulus", "Trachys sororculus", "Trachys spectatrix", "Trachys sphaxus", "Trachys sternax", "Trachys subaeneellus", "Trachys suspectatrix", "Trachys sussamyrensis", "Trachys taxillus", "Trachys tenuis", "Trachys thais", "Trachys theochaerus", "Trachys tiburtius", "Trachys tiwianus", "Trachys tokyoensis", "Trachys toringoi", "Trachys tristiculus", "Trachys troglodytes", "Trachys troglodytes troglodytes", "Trachys troglodytes compressus", "Trachys troglodytiformis", "Trachys tsushimae", "Trachys ugandicus", "Habroloma carnum", "Habroloma cassiope", "Habroloma ceres", "Habroloma circe", "Habroloma clotho", "Habroloma clymene", "Habroloma clythium", "Habroloma conscriptum", "Habroloma crataeis", "Habroloma dajakorum", "Habroloma davidianum", "Habroloma drusillum", "Habroloma echidnum", "Habroloma edusum", "Habroloma egerium", "Habroloma elissa", "Habroloma elyssium", "Habroloma embrikstrandellum", "Habroloma ennium", "Habroloma ephyrum", "Habroloma epimethis", "Habroloma erichtho", "Habroloma erigone", "Habroloma eriphylum", "Habroloma euchloris", "Habroloma eximium", "Habroloma eximium eximium", "Habroloma eximium eupoetum", "Pentila picena cydaria", "Habroloma gamadegum", "Habroloma gracilis", "Habroloma gratiosissimum", "Habroloma griseonigrum", "Habroloma griseonigrum griseonigrum", "Habroloma griseonigrum chionochaetum", "Pentila picena catori", "Habroloma hofferi", "Habroloma hoscheki", "Habroloma hyale", "Habroloma jolas", "Habroloma lalage", "Habroloma laxulum", "Habroloma liukiuense", "Habroloma maerum", "Habroloma malaccanum", "Habroloma medeum", "Habroloma mianum", "Habroloma miwai", "Habroloma monstricornis", "Habroloma naghmum", "Habroloma narangum", "Habroloma mocquerysi", "Habroloma nausicaum", "Habroloma nixilla", "Habroloma nixilla nixilla", "Habroloma nixilla insulicola", "Habroloma orestea", "Habroloma phrixium", "Habroloma pondolanum", "Habroloma praorum", "Habroloma praxilla", "Anubis bipustulatus", "Anubis scalaris", "Telipna acraea", "Telipna acraea acraea", "Asmedia mimetes", "Callichroma holochlorum", "Callichroma iris", "Chloridolum accensum", "Chloridolum kurosawae", "Chloridolum kwangtungun", "Selagia manoi", "Euzophera fumatella", "Liptena yukadumae", "Pleurothallis pulvinaris", "Neopalpa donaldtrumpi", "Agaleptus quadrinotatus", "Anexamita heterocnemis", "Sambus bakerianus", "Sambus boettcheri", "Sambus butuanensis", "Sambus caesar", "Sambus camerunicus", "Sambus castor", "Sambus cochinchinae", "Sambus congolanus", "Sambus coxalis", "Sambus cyaneomicans", "Sambus delicatulus", "Sambus drescheri", "Sambus eremitus", "Sambus faustinus", "Sambus fidjiensis", "Sambus gratiosulus", "Sambus haddeni", "Sambus hirtulus", "Sambus kannegieteri", "Sambus luzonigena", "Sambus maquilingi", "Sambus marshalli", "Sambus massaicus", "Brachytydeus caputoperio", "Sambus nickerli", "Sambus papuanus", "Raphicera satricus", "Sambus patroclus", "Sambus pertoldi", "Brachytydeus danielssoni", "Sambus philippinarum", "Sambus pollux", "Sambus rothkirchi", "Sambus sandakanus", "Sambus satanellus", "Sambus sibuyanicus", "Sambus strandi", "Sambus telamon", "Sambus thoracalis", "Sambus timoris", "Sambus tonkinensis", "Sambus troilus", "Sambus vanrooni", "Lasiommata satricus", "Alissoderus strandi", "Alissoderus transvalensis", "Alissoderus rex rex", "Pentila rotha", "Pentila rotha rotha", "Raphicera satricus satricus", "Alissoderus rex hesperis", "Alissoderus rex capensis", "Atla alaskana", "Alissoderus albiventris", "Alissoderus cuprascens", "Alissoderus leucogaster", "Alissoderus magnus", "Alissoderus spectrum", "Alissoderus superciliosus", "Alissoderus tessellatus", "Alissoderus vittatus", "Raphicera satricus sichuana", "Telipna rothi", "Mesothisa royi", "Meehania montis-koyae", "Stigmatophora rhodophila rhodophila", "Stigmatophora rhodophila zeyana", "Acompsia baldizzonei", "Phyllonorycter acericorsica", "Cedestis civitatensis", "Milionia stueningi", "Milionia masuii", "Maxillaria longissima", "Myriolecis agardhiana", "Chloridolum loochooanum", "Chromacilla discoidalis", "Chromacilla igneicollis", "Chromacilla schubotzi", "Chromacilla venus", "Chromalizus afer", "Chromalizus basalis", "Chromalizus fragrans", "Cloniophorus chrysaspis", "Cloniophorus episcopalis", "Cloniophorus mechowi", "Cloniophorus sulcatulum", "Telipna acraea fervida", "Telipna acraea nigrita", "Telipna acraeoides", "Abuta chocoensis", "Compsomera elegantissima", "Compsomera speciosissima", "Callichroma velutinum", "Tarema rivara", "Tarema macarina", "Tarema fuscosa", "Tarema bruna", "Polyptychus kitchingi", "Polyptychus ducarmei", "Polyptychus deschampsi", "Polyptychus dargei", "Polyptychus jolyanorum", "Polyptychus kivui", "Polyptychus nigriplaga", "Glaucotunica tamila", "Pinobius baculatus", "Pinobius bifidus", "Pinobius bihamatus", "Pinobius brevincisus", "Pinobius carinatus", "Pinobius discrepans", "Pinobius extensus", "Pinobius firmilobatus", "Pinobius formidabilis", "Pinobius imberbis", "Pinobius inaequalis", "Pinobius linguatus", "Pinobius rotundatus", "Pinobius subaequalis", "Pinobius vicinus", "Pentila umangiana", "Pentila umangiana umangiana", "Pentila umangiana connectens", "Pentila umangiana fontainei", "Pentila umangiana meridionalis", "Locharcha opportuna", "Pentila umangiana mpanda", "Pentila umangiana prodita", "Parnassius mnemosyne rencurelensis", "Pentila umbra", "Myelopsis rufimaculella", "Oligoenoplus rostii", "Lepanthes cerambyx", "Telipna hollandi", "Telipna hollandi hollandi", "Telipna hollandi exsuperia", "Telipna kayonza", "Ampliotrema dactylizum", "Cheirogaleus shethi", "Telipna citrimaculata", "Telipna citrimaculata citrimaculata", "Telipna citrimaculata neavei", "Telipna citrimaculata victoriae", "Cheirogaleus andysabini", "Telipna sheffieldi", "Telipna consanguinea", "Telipna consanguinea consanguinea", "Telipna consanguinea ugandae", "Telipna erica", "Polyptychus nigriplaga nigriplaga", "Polyptychus carteri", "Pseudosmerinthus carteri", "Polyptychus coryndoni", "Polyptychus enodia", "Basiana enodia", "Polyptychus girardi", "Polyptychus herbuloti", "Polyptychus lapidatus", "Telipna sulpitia", "Polyptychus orthographus", "Telipna aurivillii", "Abuta longa", "Abuta vaupesensis", "Dictator mirabilis", "Atriplex farinosa subsp. keniensis", "Telipna aurivillii aurivillii", "Telipna aurivillii jefferyi", "Sapitia lombokiana", "Scaphisoma simplex", "Scaphisoma simplexoides", "Scaphisoma subconvexum", "Scaphisoma subgracile", "Scaphisoma subplanatum", "Scaphisoma subpunctulum", "Polyptychus paupercula", "Scaphisoma diversum", "Scaphisoma vagenotatum", "Scaphisoma bicolor", "Scaphisoma lienhardi", "Ampliotrema panamense", "Stenus schubarti", "Stenus megelytratus", "Stenus cerromuertanus", "Stenus metallicoides", "Ampliotrema rimosum", "Ampliotrema sorediatum", "Rhodophaea exotica", "Rhodophaea formosa", "Etielloides sejunctella", "Pempelia sejunctella", "Cheirogaleus thomasi", "Myriolecis antiqua", "Telipna kigoma", "Scaphisoma blefusca", "Polyptychus paupercula paupercula", "Scaphisoma ilonggo", "Scaphisoma liliput", "Devitzia paupercula", "Scaphisoma nanellum", "Scaphisoma lineare", "Scaphisoma caudatoides", "Scaphisoma apomontium", "Polyptychus paupercula senniger", "Scaphisoma binaluanum", "Scaphisoma bolmarum", "Scaphisoma casiguran", "Scaphisoma compactum", "Scaphisoma deharvengi", "Scaphisoma densepunctatum", "Scaphisoma hexamerum", "Polyptychus pierrei", "Scaphisoma kodadai", "Scaphisoma lunabianum", "Scaphisoma maculosum", "Myriolecis actophila", "Scaphisoma maramag", "Scaphisoma minutipenis", "Scaphisoma mirum", "Scaphisoma montivagum", "Scaphisoma nabiluanum", "Scaphisoma obscurum", "Polyptychus rougeoti", "Polyptychus thihongae", "Polyptychus trisecta", "Ambulyx trisecta", "Polyptychus wojtusiaki", "Myriolecis andrewii", "Telipna nyanza nyanza", "Telipna nyanza katangae", "Telipna plagiata", "Stenus nigrivestis", "Stenus metallicus", "Stenus paucidentatus", "Stenus trifidus", "Stenus inka", "Stenus bierigianus", "Stenus illevigatus", "Stenus clavifer", "Stenus cibdelos", "Stenus multispinus", "Stenus clarigutta", "Stenus multiclavatus", "Stenus clavalipenis", "Stenus huakamayok", "Stenus pectinifer", "Stenus perrugosus", "Stenus elephas", "Heteralepas utinomii", "Heteralepas vetula", "Telipna albofasciata", "Telipna albofasciata albofasciata", "Meehania cordata", "Meehania faberi", "Meehania fargesii", "Meehania henryi", "Meehania pinfaensis", "Scaphisoma boettcheri", "Scaphisoma cuyunon", "Scaphisoma hexameroides", "Scaphisoma iridescens", "Scaphisoma werneri", "Scaphisoma dissymmetricum", "Scaphisoma hamatum", "Scaphisoma laminatum", "Scaphisoma banguiense", "Scaphisoma hiekei", "Scaphisoma inexspectatum", "Telipna albofasciata laplumei", "Scaphisoma inflexum", "Scaphisoma luteopygidiale", "Scaphisoma ochropenne", "Scaphisoma pseudokalabitum", "Scaphisoma sinuatum", "Scaphisoma stigmatipenne", "Scaphisoma surigaosum", "Scaphisoma transversale", "Scaphisoma acutulum", "Scaphisoma apomontanum", "Scaphisoma conflictum", "Scaphisoma confusum", "Cossus cossus omrana", "Cossus cossus tianshanus", "Myriolecis contractula", "Stenus certatus", "Stenus rectifrons", "Stenus schuelkeianus", "Stenus tetzihuatzin", "Myriolecis crenulata", "Eilema gibonica", "Eilema lacrima", "Parnassius ukokensis", "Mithuna clivusa", "Mithuna flavia", "Deudorix antalus", "Hybunca chrysogramma", "Hypargyra albilateralis", "Paralepas americana", "Hypocrites imperialis", "Paralepas dannevigi", "Stenus intralituus", "Stenus spicativentris", "Stenus fenestrulifer", "Stenus pseudogutta", "Stenus carinipes", "Stenus pecki", "Stenus duplicigutta", "Stenus perscabratus", "Stenus unctus", "Stenus unctitogatus", "Stenus unctivestis", "Stenus unctivestitus", "Stenus villac", "Stenus rimac", "Stenus notipennis", "Stenus simplicigutta", "Stenus perpulcher", "Stenus falcatipes", "Stenus fenestralis", "Stenus vermiculifer", "Stenus vermipennis", "Stenus nepos", "Stenus vermicularis", "Stenus vermivestis", "Scaphisoma dispar", "Scaphisoma disparides", "Scaphisoma distinctum", "Scaphisoma furcatum", "Scaphisoma furcigerum", "Scaphisoma furcillatum", "Scaphisoma glabrellum", "Scaphisoma jankodadai", "Telipna atrinervis", "Scaphisoma luteomaculatum", "Scaphisoma luzonicum", "Scaphisoma mindanaosum", "Scaphisoma bilobum", "Scaphisoma duplex", "Scaphisoma nishikawai", "Scaphisoma spatuloides", "Scaphisoma pulchrum", "Scaphisoma signaticolle", "Scaphisoma tricolor", "Scaphisoma tricoloratum", "Scaphisoma tricolorinotum", "Scaphisoma tricoloripenne", "Scaphisoma tridens", "Scaphisoma trifurcatum", "Telipna ja", "Scaphisoma trilobum", "Scaphisoma trimaculatum", "Scaphisoma dentipenne", "Scaphisoma philippinense", "Telipna cameroonensis", "Telipna cuypersi", "Telipna centralis", "Telipna kaputui", "Telipna ducarmei", "Spilonota sylvestrana", "Retinia pollinis", "Scaphisoma sagax", "Scaphisoma subanun", "Rhyacionia purdeyi", "Scaphisoma subfasciatum", "Scaphisoma breviatum", "Scaphisoma opacum", "Scaphisoma elpis", "Scaphisoma alticola", "Scaphisoma sexuale", "Scaphisoma bicuspidatum", "Scaphisoma scurrile", "Scaphisoma anomalum", "Scaphisoma biliranense", "Scaphisoma centripunctulum", "Colias christophi kali", "Scaphisoma duplicatum", "Scaphisoma imuganense", "Scaphisoma inconventum", "Scaphisoma inopportunum", "Scaphisoma oviforme", "Scaphisoma palawanum", "Scaphisoma pandanum", "Scaphisoma ramosum", "Scaphisoma scapulare", "Scaphisoma tagalog", "Scaphisoma angulosum", "Scaphisoma bicoloripenne", "Scaphisoma biplagiatum", "Telipna semirufa", "Telipna semirufa semirufa", "Telipna semirufa ivoiriensis", "Synaptola nitidipenne", "Synaptola chlorina", "Synaptola rugulosa", "Deudorix batikelides", "Deudorix caliginosa", "Furcula loseri", "Deudorix chalybeata", "Lycaena kindermanni", "Polyommatus carmon", "Megalopinus rugosus", "Megalopinus maculatus", "Megalopinus nevermannianus", "Agrilaxia cordigera", "Agrilaxia costaricensis", "Agrilaxia dohrni", "Agrilaxia nobilis", "Agrilaxia tremolerasi", "Agrilaxia brunneipennis", "Agrilaxia brunneipennis brunneipennis", "Agrilaxia brunneipennis pallidetincta", "Agrilaxia chlorana", "Agrilaxia chlorana chlorana", "Agrilaxia chlorana argentiniensis", "Agrilaxia cyaneoviridis", "Agrilaxia cyaneoviridis cyaneoviridis", "Agrilaxia cyaneoviridis ogloblini", "Eximia finitima", "Gauresthes rufipes", "Helymaeus argyrothorax", "Helymaeus glabripennis", "Helymaeus notaticollis", "Pabstiella quadridentata", "Agrilaxia hypocrita", "Agrilaxia ignifrons", "Agrilaxia insidiosa", "Agrilaxia interposita", "Agrilaxia krombeini", "Agrilaxia martinezi", "Agrilaxia monrosi", "Agrilaxia oculata", "Agrilaxia oculatissima", "Agrilaxia panamensis", "Agrilaxia paradisea", "Agrilaxia peruviana", "Agrilaxia pujoli", "Agrilaxia quadrivittata", "Agrilaxia semirugosa", "Agrilaxia simillima", "Agrilaxia smaragdina", "Agrilaxia subcostata", "Telipna sanguinea", "Agrilaxia tenebrosa", "Agrilaxia tristis", "Telipna sanguinea sanguinea", "Agrilaxia viridisuturalis", "Agrilaxia bivittata", "Agrilaxia flavimana", "Agrilaxia varians", "Agrilaxia vitticollis", "Agrilaxia aeruginosa", "Agrilaxia alterna", "Agrilaxia brasiliensis", "Agrilaxia chrysifrons", "Agrilaxia clara", "Myriolecis behringii", "Agrilaxia coriacea", "Agrilaxia decolorata", "Agrilaxia elongata", "Agrilaxia funebris", "Agrilaxia gounellei", "Agrilaxia lata", "Agrilaxia meridionalis", "Agrilaxia minuta", "Agrilaxia modesta", "Agrilaxia occidentalis", "Agrilaxia ocularis", "Agrilaxia opima", "Agrilaxia plagiata", "Agrilaxia rugosa", "Agrilaxia splendidicollis", "Agrilaxia subviridis", "Agrilaxia suturalis", "Agrilaxia thoracica", "Eulophia angolensis", "Myriolecis bandolensis", "Bubastes achardi", "Bubastes aenea", "Bubastes australasiae", "Bubastes blackburni", "Bubastes borealis", "Bubastes carnarvonensis", "Bubastes carteri", "Bubastes chapmani", "Bubastes erbeni", "Bubastes euryspiloides", "Bubastes kirbyi", "Bubastes germari", "Bubastes niveiventris", "Bubastes obscura", "Bubastes odewahni", "Bubastes olivina", "Bubastes persplendens", "Bubastes saundersi", "Bubastes septentrionalis", "Bubastes simillima", "Bubastes strandi", "Bubastes thomsoni", "Bubastes vanrooni", "Bubastes viridicuprea", "Telipna rufilla", "Strandiola paradoxa", "Buprestina prosternalis", "Telipna ruspinoides", "Agrilaxia acuminata", "Agrilaxia alvarengai", "Agrilaxia ambigua", "Agrilaxia angustifrons", "Agrilaxia bahiana", "Agrilaxia bilyana", "Agrilaxia boliviana", "Agrilaxia bongrandi", "Agrilaxia buckiana", "Agrilaxia catharinae", "Agrilaxia claudei", "Agrilaxia costulifera", "Agrilaxia costulipennis", "Agrilaxia descarpentriesana", "Agrilaxia hayeki", "Agrilaxia hoschecki", "Ipothalia lumawigi", "Ipothalia similis", "Litomeces gracilis", "Litomeces tenuis", "Litomeces glabricollis", "Litopus geniculatus", "Litopus latipes", "Litopus legrandi", "Mecosaspis chalybeata", "Mecosaspis chrysina", "Mecosaspis fuscoaenea", "Mecosaspis plutina", "Mecosaspis rufipes", "Mecosaspis mapanjae", "Metallichroma excellens", "Telipna sanguinea depuncta", "Myriolecis carlottiana", "Agdistis iversoni", "Agdistis vansoni", "Agdistis buffelsi", "Agdistis samknotti", "Agdistis kaunda", "Telipna transverstigna", "Myriolecis congesta", "Telipna villiersi", "Cossus cossus albescens", "Cossus cossus uralicus", "Cossus cossus araraticus", "Deudorix dinochares", "Sorhagenia cracens", "Sorhagenia daedala", "Sorhagenia dahurica", "Sorhagenia janiszewskae", "Deudorix dinomenes", "Deudorix dinomenes dinomenes", "Epermenia muraseae", "Deudorix dinomenes diomedes", "Bielzia coerulans", "Myriolecis eurycarpa", "Myriolecis expectans", "Myriolecis flowersiana", "Paralepas globosa", "Deudorix diocles", "Pabstiella determannii", "Deudorix badhami", "Paralepas georgei", "Deudorix batikeli", "Megalopinus rugipennis", "Megalopinus sanguinitriguttatus", "Megalopinus testaceus", "Megalopinus rufobrunneus", "Megalopinus fascifer", "Megalopinus brzoskai", "Megalopinus rufulipennis", "Megalopinus momus", "Megalopinus minutus", "Megalopinus minutulus", "Megalopinus minutatus", "Megalopinus densipennis", "Megalopinus falinianus", "Megalopinus adjectus", "Megalopinus adjecticius", "Megalopinus flavivestis", "Megalopinus flavovestitus", "Megalopinus flavotogatus", "Megalopinus centrimaculatus", "Megalopinus obscuriventris", "Triplophysa longianguis", "Megalopinus guyanus", "Megalopinus caelatus", "Philematium virens", "Philematium currori", "Paralepas distincta", "Mionochroma aureotinctum", "Nothopygus mniszechi", "Oligosmerus janthinicornis", "Oligosmerus limbalis", "Myriolecis dispersa", "Pinguicula grandiflora", "Oxyprosopus angulicollis", "Oxyprosopus coeruleus", "Oxyprosopus similis", "Pachyteria chewi", "Pachyteria dimidiata", "Pachyteria equestris", "Pachyteria javana", "Hornungia alpina", "Pachyteria kurosawai", "Pachyteria lambii", "Pachyteria melancholica", "Pachyteria pryeri", "Erysimum crepidifolium", "Cochlearia anglica", "Pachyteria speciosa", "Schoenus ferrugineus", "Pachyteria sumatrana", "Pachyteria virescens", "Rhynchospora fusca", "Pabstiella biriricensis", "Myriolecis juniperina", "Obolcola luteograpta", "Myriolecis latzelii", "Myriolecis liguriensis", "Myriolecis mons-nivis", "Deudorix ecaudata", "Megalopinus cephalotes", "Megalopinus axillaris", "Megalopinus levigatipennis", "Megalopinus glabripennis", "Megalopinus muellerianus", "Calliomma lutescens", "Deudorix montana", "Oryba achemenides", "Sphinx achemenides", "Oryba juliane", "Deudorix mpanda", "Deudorix nicephora", "Deudorix odana", "Deudorix penningtoni", "Deudorix perse perse", "Deudorix perse ghela", "Deudorix renidens", "Delias mariae walshae", "Mithuna jendeki", "Mithuna pulverea", "Katha montana", "Schwarzerium quadricollis", "Sany pseudosandakana", "Dubatoloviana pahanga", "Poliosia kincina", "Poliosia luxcaputa", "Poliosia montana", "Nishada cameronensis", "Nishada aurantiaca", "Nishada aureocincta", "Nishada benjaminea", "Nishada brunneipennis", "Lithosia chilomorpha", "Nishida chilomorpha chilomorpha", "Nishida chilomorpha adunca", "Nishada formosibia", "Eilema griseoflava", "Lithosia impervia", "Petalopleura phaeocephala", "Nishada melanopa", "Ilema unicolora", "Nishada marginalis", "Nishada melanistis", "Lithosia rotundipennis", "Lithosia nodicornis", "Lithosia sambara", "Lithosia intacta", "Lithosia chryseola", "Nishada flavens", "Lithosia syntomioides", "Eutane brevis", "Nishada tula", "Nishada xantholoma", "Lithosia xantholoma", "Veslema binotata", "Prabhasa binotata", "Veslema flavifrons", "Veslema bipunctulata", "Eugoa lucea", "Eugoa novaki", "Eugoa cernyi", "Eugoa minora", "Megalopinus callipennis", "Megalopinus ruginosipennis", "Megalopinus bisulcatus", "Megalopinus campbelli", "Megalopinus furcatistilus", "Megalopinus simplicistilus", "Megalopinus diversistilus", "Megalopinus amplistilus", "Megalopinus pannosistilus", "Megalopinus endofalcatus", "Celaenorrhinus taiwanus", "Callionima juliane", "Callionima calliomenae", "Philampilus calliomenae", "Myriolecis prominens", "Callioma ellacombei", "Myriolecis sambuci", "Capys alpheus", "Onryza pesudomaga", "Megalopinus angulatistilus", "Megalopinus robustistilus", "Megalopinus inaequalistilus", "Megalopinus tauripenis", "Megalopinus juvencipenis", "Megalopinus laevipennis", "Megalopinus rossi", "Megalopinus quadruplex", "Megalopinus nigrotogatus", "Megalopinus brunneus", "Chionaema effracta effracta", "Capys alpheus alpheus", "Megalopinus spinosus", "Deudorix edwardsi", "Acronicta niveogrisea", "Acronicta silvicola", "Acronicta vumbae", "Trifurcula angustivalva", "Trifurcula aureacorsa", "Infurcitinea restonicae", "Phyllonorycter corsica", "Sorhagenia orocorsa", "Deudorix galathea", "Metanarsia scythiella", "Biston exalbescens", "Biston exalbescens exalbescens", "Biston exalbescens pseudoregalis", "Myriolecis oyensis", "Deudorix kayonza", "Myriolecis percrenata", "Megalopinus rufipectus", "Megalopinus suavis", "Megalopinus speculifrons", "Megalopinus pilosifrons", "Megalopinus attenuatus", "Megalopinus schlingeri", "Megalopinus rubriventris", "Megalopinus angustiguttatus", "Megalopinus antennatus", "Megalopinus humerigemmatus", "Megalopinus humerigemma", "Megalopinus humeristigma", "Megalopinus suavivestis", "Megalopinus suavidus", "Megalopinus suavivestitus", "Megalopinus coya", "Megalopinus aclla", "Megalopinus nobilis", "Megalopinus pavo", "Megalopinus seminudus", "Megalopinus amauta", "Megalopinus invocatus", "Kessleria lativalva", "Stomopteryx alpinella", "Cydia oxytropidana", "Dichrorampha melaniana", "Deudorix dariaves", "Myriolecis perpruinosa", "Nungara anama", "Deudorix lorisona", "Nungara gaturama", "Nungara niveomaculatus", "Olios niveomaculatus", "Olios fuscovariatus", "Polybetes proximus", "Stasina koluene", "Scaphosepalum swertiifolium", "Myriolecis persimilis", "Scaphosepalum swertiifolium subsp. swertiifolium", "Scaphosepalum swertiifolium subsp. exiguum", "Myriolecis poeltiana", "Deudorix lorisona lorisona", "Deudorix lorisona coffea", "Deudorix lorisona baronica", "Deudorix lorisona abriana", "Deudorix lorisona sesse", "Myriolecis prophetae-eliae", "Deudorix suk", "Deudorix ufipa", "Myriolecis pruinosa", "Deudorix vansomereni", "Deudorix vansoni", "Scaphosepalum andreettae", "Scaphosepalum antenniferum", "Scaphosepalum beluosum", "Myriolecis reuteri", "Scaphosepalum bicolor", "Scaphosepalum bicristatum", "Scaphosepalum breve", "Myriolecis salina", "Scaphosepalum cimex", "Scaphosepalum clavellatum", "Scaphosepalum cloesii", "Scaphosepalum dalstroemii", "Scaphosepalum decorum", "Scaphosepalum delhierroi", "Scaphosepalum digitale", "Scaphosepalum dodsonii", "Scaphosepalum fimbriatum", "Deudorix wardii", "Carrhotus kevinlii", "Triplophysa pappenheimi", "Megalopinus wallacei", "Megalopinus batesi", "Megalopinus fraudulentus", "Megalopinus pakarina", "Megalopinus pulcherrimus", "Megalopinus kolbei", "Megalopinus cacique", "Megalopinus inopportunus", "Megalopinus brunneiventris", "Megalopinus venustus", "Myriolecis fugiens", "Epermenia proserga", "Temelucha xeropa", "Epermenia praefumata", "Epermenia ithycentra", "Noaea cadmea", "Noaea mucronata subsp. humilis", "Myriolecis invadens", "Deudorix doherty", "Noaea mucronata subsp. leptoclada", "Capys catharus", "Capys catharus catharus", "Capys catharus rileyi", "Myriolecis thuleana", "Myriolecis torrida", "Myriolecis wetmorei", "Salsola genistoides", "Capys alpheus extentus", "Myriolecis schofieldii", "Capys bamendanus", "Myriolecis semipallida", "Salsola pachyphylla", "Salsola webbii", "Myriolecis straminea", "Salsola laricifolia", "Megalopinus nigellus", "Megalopinus nigrescens", "Megalopinus vatillipenis", "Megalopinus panamensis", "Megalopinus bullatifrons", "Megalopinus varifrons", "Megalopinus vitulifrons", "Megalopinus bubularifrons", "Megalopinus cornuatifrons", "Megalopinus mirifrons", "Megalopinus brevipennis", "Megalopinus bullifrons", "Megalopinus fornicifrons", "Megalopinus diversifrons", "Megalopinus punctulifrons", "Megalopinus cavifrons", "Megalopinus scabrifrons", "Megalopinus crenulifrons", "Megalopinus verrucifrons", "Megalopinus opacifrons", "Megalopinus carinifrons", "Megalopinus strigifrons", "Megalopinus striatifrons", "Exagistus igniceps", "Apethistis sinuata", "Apethistis uncinata", "Apethistis dentata", "Apethistis triangula", "Megalopinus quadrigemma", "Megalopinus hanleyi", "Apethistis sitiens", "Megalopinus bierigi", "Megalopinus quadrimaculosus", "Apethistis inspersa", "Apethistis cosummata", "Apethistis superans", "Apethistis purificata", "Megalopinus monticola", "Apethistis metoeca", "Megalopinus alticola", "Apethistis alienella", "Megalopinus miriceps", "Gelechia alienella", "Pilodeudorix laticlavia", "Pilodeudorix nirmo", "Chaenothecopsis claydenii", "Pilodeudorix pasteon", "Pilodeudorix leonina", "Chaenothecopsis eugenia", "Allium pervestitum", "Pilodeudorix leonina leonina", "Pilodeudorix leonina dimitris", "Pilodeudorix leonina indentata", "Gerbilliscus inclusus", "Spilonota prognathana", "Spilonota pyrochlora", "Pilodeudorix otraeda otraeda", "Burgella lutea", "Holocola quietana", "Acroclita ochronota", "Erycina pumilio", "Eucosma phaeoloma", "Spilonota selene", "Spilonota semirufana", "Grapholitha semirufana", "Pilodeudorix otraeda genuba", "Pilodeudorix pseudoderitas", "Pilodeudorix rodgersi", "Pilodeudorix sadeska", "Spilonota ochrea", "Spilonota trilithopa", "Pilodeudorix tenuivittata", "Eucosma trilithopa", "Ancylis oregonensis", "Pilodeudorix ula", "Erycina zamorensis", "Anchylopera biarcuana", "Pilodeudorix zelomima", "Phoxopterix crenana", "Pilodeudorix camerona camerona", "Pilodeudorix camerona katanga", "Iuiuia caeca", "Caroxylon divaricatum", "Heliophorus delacouri", "Heliophorus androcles", "Heliophorus bakeri", "Heliophorus brahma", "Phlogophora interrupta jarmilae", "Heliophorus epicles", "Acanthothecis fontana", "Megalopinus robustus", "Megalopinus bartolozzii", "Megalopinus magnatus", "Megalopinus validus", "Megalopinus insperatus", "Megalopinus franiai", "Megalopinus quadrispinus", "Megalopinus fulvocinctus", "Megalopinus fulvovestitus", "Pilodeudorix deritas", "Megalopinus bolivianus", "Megalopinus verticillaris", "Megalopinus flavipennis", "Megalopinus fulvotogatus", "Megalopinus fulvomaculatus", "Megalopinus flavocingulatus", "Megalopinus fulvoornatus", "Megalopinus nodicollis", "Pilodeudorix diyllus", "Pilodeudorix diyllus diyllus", "Pilodeudorix diyllus occidentalis", "Pilodeudorix ducarmei", "Pilodeudorix fumata", "Pilodeudorix hamidou", "Pilodeudorix hugoi", "Kisanthobia ariasi ariasi", "Kisanthobia ariasi curta", "Pilodeudorix kallipygos", "Pilodeudorix kedassa", "Pilodeudorix kiellandi", "Pilodeudorix kohli", "Pilodeudorix mera", "Pilodeudorix mera mera", "Pilodeudorix mera kinumbensis", "Pilodeudorix mimeta", "Pilodeudorix mimeta mimeta", "Pilodeudorix mimeta oreas", "Pilodeudorix mimeta angusta", "Lobrathium heinzi", "Lobrathium anale", "Lobrathium rugipenne", "Lobrathium pravum", "Lobrathium schillhammeri", "Lobrathium farsicum", "Spilonota lechriaspis", "Spilonota lobata", "Spilonota melanacta", "Enarmonia melanacta", "Spilonota melanocopa", "Enarmonia melanocopa", "Spilonota mortuana", "Grapholita mortuana", "Spilonota ocellana", "Phrosyne brevicornis", "Phyllocnema holubi", "Phyllocnema mirifica", "Phyllocnema gueinzii", "Pilodeudorix nyanzana", "Tortrix ocellana", "Silonota ocellana ocellana", "Silonota ocellana centralasiae", "Pilodeudorix obscurata", "Scaphosepalum grande", "Scaphosepalum hirtzii", "Megalopinus fungivagus", "Megalopinus curvicornis", "Megalopinus curvaticornis", "Megalopinus pectinifer", "Megalopinus rufomaculatus", "Megalopinus furculifer", "Megalopinus ancoralis", "Megalopinus scabripennis", "Megalopinus coriaceipennis", "Megalopinus proetzeli", "Megalopinus nusta", "Megalopinus grandipunctus", "Megalopinus falcipenis", "Megalopinus quadristigma", "Megalopinus callosipennis", "Megalopinus sexgemmatus", "Megalopinus hibbsi", "Megalopinus schuhi", "Megalopinus ingratus", "Monochoria korsakowii", "Hermenias pachnitis", "Hermenias zygodelta", "Spilonota indentata", "Spilonota cryptogramma", "Spilonota dissoplaca", "Acroclita dissoplaca", "Grapholitha albicana", "Tmetocera calceata", "Ancylis panolbia", "Spilonota distyliana", "Spilonota eremitana", "Spilonota hexametra", "Spilonota incretata", "Spilonota laricana", "Grapholitha laricana", "Heliophorus eventa", "Heliophorus gloria", "Pampsilota brandbergensis", "Arge meyi", "Pampsilota luederitzensis", "Triarge citrusdalensis", "Triarge flavoapicalis", "Triarge karooensis", "Triarge mosselbayensis", "Triarge namaquaensis", "Triarge nigra", "Triarge winterhoekensis", "Triarge plumbea", "Triarge driehoekensis", "Othius vetitus", "Othius rufocaudatus", "Pampsilota afra", "Pampsilota africanus", "Cipdele africana", "Pampsilota africanus var. interruptus", "Lathrobium dignum", "Pseudolathra minuscula", "Pseudolathra bifida", "Pseudolathra luzonica", "Pseudolathra duplepectinata", "Pseudolathra apectinata", "Pseudolathra fundata", "Pseudolathra furcifera", "Pseudolathra quadriceps", "Megalopinus stupendiceps", "Megalopinus armativestis", "Apethistis episticta", "Megalopinus serratipenis", "Megalopinus armator", "Megalopinus armiger", "Megalopinus thayerinae", "Torodora episticta", "Megalopinus deceptivus", "Apethistis dolosa", "Megalopinus falcifer", "Brachmia dolosa", "Megalopinus falcarius", "Megalopinus peruanus", "Megalopinus peckorum", "Apethistis juridica", "Megalopinus lateraligutta", "Brachmia juridica", "Megalopinus villac", "Megalopinus lateraligemma", "Megalopinus intricatipenis", "Apethistis officiosa", "Brachmia officiosa", "Apethistis insulsa", "Megalopinus mrazi", "Brachmia insulsa", "Apethistis brunnea", "Megalopinus falini", "Megalopinus falsator", "Megalopinus baudi", "Megalopinus variatus", "Megalopinus humerigutta", "Megalopinus humerinaevulus", "Megalopinus huggerti", "Megalopinus cuspidiger", "Megalopinus cuspiduliger", "Megalopinus cuspidiventris", "Megalopinus acutiventris", "Megalopinus spinuliferoides", "Tortrix moderatana", "Adoxophyes epizeucta", "Parascaptia insignifica", "Adoxophyes prosiliens", "Tortrix templana", "Adoxophyes ioterma", "Adoxophyes thelcteropa", "Capua tripselia", "Myriolecis zosterae", "Capua epipepla", "Tortrix luzonica", "Tortrix coffearia", "Homona euryptera", "Megalopinus aculeifer", "Megalopinus spiniventris", "Megalopinus spinulifer", "Megalopinus mucroniventris", "Megalopinus cervus", "Megalopinus pectinipenis", "Megalopinus pectinatipenis", "Megalopinus cornifer", "Megalopinus aculeiferoides", "Megalopinus alcipenis", "Megalopinus corniculifer", "Megalopinus exiliventris", "Megalopinus tuberiventris", "Megalopinus tuberativentris", "Megalopinus aculeiventris", "Megalopinus simpliciventris", "Megalopinus gallinipenis", "Megalopinus tenuiventris", "Megalopinus simplicativentris", "Megalopinus nudiventris", "Megalopinus spiculiger", "Megalopinus armiventris", "Megalopinus armativentris", "Megalopinus baranowskii", "Megalopinus sexguttatus", "Megalopinus discolor", "Megalopinus harpaginiventris", "Megalopinus bolivari", "Megalopinus schmidli", "Megalopinus bicuspidiventris", "Megalopinus irrisor", "Megalopinus biacuminiventris", "Megalopinus bispiniventris", "Megalopinus longicornis", "Megalopinus humeriguttatus", "Megalopinus libertador", "Megalopinus fulvivestis", "Megalopinus cornutipenis", "Megalopinus corniculipenis", "Megalopinus rufipennis", "Myriolecis hagenii", "Ancylis christiandiana", "Ancylis saliana", "Pilodeudorix violetta", "Lobrathium triste", "Lobrathium brunneum", "Pilodeudorix virgata", "Lobrathium cavatum", "Burgellopsis nivea", "Lobrathium hongkongense", "Lobrathium tortile", "Lobrathium gladiatum", "Lobrathium taureum", "Lobrathium cholaicum", "Lobrathium bimembre", "Lobrathium daxuense", "Ancylis goodelliana", "Lobrathium duplex", "Pilodeudorix zela", "Lobrathium emeimontis", "Phoxopteris goodelliana", "Lobrathium dabaicum", "Lobrathium cylindricum", "Phalaena geminana", "Pilodeudorix zeloides", "Erycina crista-galli", "Erycina glossomystax", "Heliophorus ila", "Salsola cyrenaica subsp. antalyensis", "Heliophorus oda", "Heliophorus pulcher", "Heliophorus smaragdinus", "Heliophorus tamu", "Heliophorus brilliantinus", "Heterographis exiguella", "Homoeosoma albocostella", "Trachycera nipponella", "Trachycera yakushimensis", "Medon excavatus", "Trachycera vicinella", "Medon schawalleri", "Medon bifidus", "Medon dhaulagiricus", "Medon annapurnae", "Medon inexcisus", "Medon corniger", "Medon varamontis", "Medon shaanxiensis", "Medon perforatus", "Medon flavomarginatus", "Medon niger", "Medon umbilicatus", "Heliophorus saphir", "Semidesertobia ubinica", "Heliophorus saphirioides", "Heliophorus yunnani", "Phlogophora interrupta", "Chutapha interrupta", "Phlogophora interrupta interrupta", "Schmidtiana apicalis", "Melittia newara", "Melittia proxima", "Callidiellum villosulum", "Heliophorus hybrida", "Melittia afonini afonini", "Callidium antennatum", "Melittia afonini tonkinensis", "Trachycera dichromella", "Phymatodes blandus", "Phymatodes decussatus", "Rhodophaea dichrornella", "Phymatodes hirtellus", "Trachycera pseudodichromella", "Eurhodope pseudodichromella", "Poecilium rufipes", "Trachycera paradichromella", "Pronocera collaris", "Heliophorus moorei", "Trachycera hollandella", "Rhodophaea hollandella", "Nyctemera acraeina", "Podomachla acraeina acraeina", "Deilemera virgo", "Leptosoma restrictum", "Nyctemera torbeni", "Leptosoma insulare", "Heliophorus moorei moorei", "Heliophorus moorei coruscans", "Telipogon peruvianus", "Heliophorus moorei birmana", "Leptosoma consors", "Nyctemera rosana", "Haemorrhagia fuciformis affinis f nigra", "Heliophorus androcles trilunulata", "Pholus macasensis", "Eumorpha satellitia", "Sphinx satellitia", "Eumorpha satellitia satellitia", "Eumorpha satellitia licaon", "Sphinx licaon", "Eumorpha satellitia excessus", "Eumorpha satellitia posticatus", "Gnathothlibus erotus", "Sphinx erotus", "Gnathothlibus erotus erotus", "Gnathothlibus eras", "Heliophorus ila ila", "Theretra insignis", "Panacra insignis", "Heliophorus ila chinensis", "Heliophorus ila malaya", "Theretra kuehni", "Chaerocampa k\u00fchni", "Hippotion jordani", "Theretra insignis insignis", "Megalopinus punctatus", "Megalopinus confusus", "Megalopinus quadrimaculatus", "Myriolecis sverdrupiana", "Megalopinus rufipes", "Megalopinus quadriguttatus", "Megalopinus quadriplagiatus", "Megalopinus quadrigutta", "Megalopinus quadrigemmatus", "Megalopinus quadrigemmosus", "Agonopterix vladimiri", "Agonopterix kopetdagella", "Exaeretia terskeella", "Depressaria khorogella", "Depressaria pastukhovi", "Ahlbergia luoliangi", "Stenodryas clavigera", "Ute ampullacea", "Ute armata", "Ute glabra", "Ute gladiata", "Ahlbergia confusa", "Ute pedunculata", "Ute spenceri", "Ute spiculosa", "Ute syconoides", "Ute viridis", "Tongeia confusa", "Megalopinus incommodus", "Megalopinus luteofasciatus", "Megalopinus inamatus", "Homona stenoptera", "Homona fasciculana", "Tortrix fimbriana", "Pandemis menciana", "Godana nubiferana", "Godana simulana", "Cnemaspis rajakarunai", "Homona picrostacta", "Homona socialis", "Rhapsodica antitona", "Capys disjunctus", "Myriolecis hagenii var. hagenii", "Myriolecis hagenii var. fallax", "Capys penningtoni", "Capys stuarti", "Capys vorgasi", "Capys usambarae", "Scaphosepalum gibberosum", "Scaphosepalum globosum", "Heliophorus epicles phoenicoparyphus", "Adrium artifex", "Heliophorus cantliei", "Bethelium ornatum", "Ceresium adamsi", "Ceresium fuscum", "Ceresium guamum", "Ceresium guttaticolle", "Ceresium sinicum", "Caretta patriciae", "Luzea rubecula", "Pseudolathra himalayana", "Pseudolathra tichomirovae", "Tethionea obtusidens", "Pampsilota dahomeyanus", "Pampsilota leleupi", "Pampsilota nigeriae", "Pampsilota tsavoensis", "Pampsilota zebra", "Ocys harpaloides", "Phyllomaeus nigricollis", "Bembidion harpaloides", "Plinthocoelium suaveolens", "Tachis rufescens", "Promeces longipes", "Promeces suturalis", "Ocys melanocephalus", "Bembidium dubium", "Psilomastix friesii", "Ocys tachysoides", "Rhopalizus chlorolineatus", "Bembidium harpaloides v. tachysoides", "Rhopalizus femoralis", "Rhopalizus nitens", "Leucandra pallida", "Leucandra paucispina", "Leucandra poculiformis", "Leucandra rigida", "Leucandra sagmiana", "Leucandra seychellensis", "Leucandra solida", "Leucandra spinosa", "Leucandra splendens", "Leucandra thulakomorpha", "Leucandra tuba", "Leucandra tuberculata", "Leucandra yuriagensis", "Herse convolvuli", "Herse convolvuli convolvuli", "Heliophorus indicus", "Heliophorus kiana", "Apangea pang", "Apangea pang pang", "Apangea pang weissi", "Clastobryophilum asperifolium", "Orthrosanthus laxus", "Hyrcanana caspius", "Hyrcanana caspius caspius", "Chromis eras", "Chromis erotus", "Chromis erotus erotus", "Chromis erotus cramptoni", "Hyrcanana pamira", "Daphnusa miskini", "Acosmeryx miskini miskini", "Acosmeryx miskini brooksi", "Acosmeryx cinerea", "Acosmeryx pseudonaga", "Hyrcanana sarthus", "Temnora nephele", "Riccardoella concolor", "Gurelca chaochauensis", "Micracosmeryx chaochauensis", "Micracosmeryx macroglossoides", "Xylophanes germen brevis", "Calliomma germen", "Hyrcanana sultan", "Choerocampa crotonis", "Xylophanes crotonis crotonis", "Amata khoisana", "Amata khoisana khoisana", "Amata khoisana garcia", "Amata cyssea", "Xylophanes crotonis zikani", "Nacaduba cyanea murua", "Hyrcanana caspius susanus", "Hyrcanana ophion", "Zoothera salimalii", "Hyrcanana ophion ophion", "Hyrcanana ophion meridianalis", "Arabis watsonii", "Nesa sena", "Vipera graeca", "Grantia aculeata", "Grantia tenuis", "Grantia beringiana", "Grantia genuina", "Grantia glabra", "Grantia harai", "Grantia kujiensis", "Grantia mexico", "Grantia nipponica", "Grantia stylata", "Grantia uchidai", "Grantia indica", "Grantia ramulosa", "Grantia arctica", "Grantia cupula", "Grantia laevigata", "Grantia strobilus", "Grantia atlantica", "Iophanus pyrrhias", "Grantia canadensis", "Grantia invenusta", "Grantia phillipsi", "Grantia capillosa var. longipilis", "Calligrapha serpentina", "Serica velutina", "Serica assequens", "Serica bidigitata", "Sphinx convolvuli", "Herse convolvuli peitaihoensis", "Herse convolvuli marshallensis", "Pseudolathra fissa", "Pseudolathra biungulata", "Pseudolathra transversicollis", "Pseudolathra transversiceps", "Pseudolathra tonsa", "Pseudolathra separanda", "Pseudolathra inviolata", "Pseudolathra integra", "Pseudolathra filicornis", "Pseudolathra filitarsis", "Pseudolathra caffra", "Serica pilumna", "Cocytius macasensis", "Protoparce viola-alba", "Sphinx dollii dollii", "Sphinx dollii australis", "Oxyambulyx subocellata", "Oxyambulyx subocellata subocellata", "Oxyambulyx subocellata chinensis", "Smerinthus planus", "Smerinthus planus planus", "Smerinthus planus alticola", "Heliophorus androcles androcles", "Isognathus rimosa rimosa", "Isognathus rimosa wolcotti", "Heliophorus androcles rubida", "Haemorrhagia fuciformis", "Sphinx fuciformis", "Heliophorus androcles tytleri", "Ceratobasidium calosporum", "Semanotus laurasii", "Semanotus ligneus", "Delagrangeus angustissimus", "Ceratobasidium cornigerum", "Lioderina kollari", "Heliophorus epicles epicles", "Melasmetus femoralis", "Heliophorus epicles hilima", "Heliophorus epicles sumatrensis", "Heliophorus epicles latilimbata", "Heliophorus epicles tweediei", "Serica eberti", "Eacles bertrandi", "Eacles camposportoi", "Eacles manuelita", "Ptilotus falcatus", "Ptilotus clivicola", "Eacles acuta", "Eacles adoxa", "Eacles barnesi", "Eacles ducalis", "Eacles fairchildi", "Eacles guianensis", "Eacles lemairei", "Eacles penelope", "Phacusa janikornae", "Catocala patala f. montana", "Catocala paki", "Wallaceophis gujaratensis", "Theretra halimuni", "Theretra balienensis", "Amphiute lepadiformis", "Amphiute paulini", "Aphroceras alcicornis", "Theretra lombokensis", "Aphroceras caespitosa", "Theretra sumbaensis", "Aphroceras cataphracta", "Theretra floresica", "Aphroceras cladocora", "Aphroceras corticata", "Theretra lomblenica", "Theretra pantarica", "Aphroceras elongata", "Theretra alorica", "Heliophorus ila matsumurae", "Aphroceras ensata", "Theretra timorensis", "Theretra wetanensis", "Leucandra abratsbo", "Theretra arfakmontensis", "Heliophorus ila nolus", "Heliophorus ila pseudonexius", "Heliophorus ila urius", "Macroglossum haslami", "Macroglossum haslami haslami", "Macroglossum haslami kishidai", "Macroglossum kishidai", "Macroglossum malitum", "Leucandra foliata", "Leucandra fragilis", "Leucandra glabra", "Leucandra kagoshimensis", "Leucandra kurilensis", "Leucandra mediocancellata", "Leucandra minima", "Leucandra mitsukurii", "Leucandra multituba", "Leucandra odawarensis", "Leucandra okinoseana", "Macroglossum doddi", "Leucandra onigaseana", "Leucandra pacifica", "Thecla betulae coreana", "Thecla betulae crassa", "Thecla betulae elwesi", "Thecla betulae ongodai", "Amata johanna", "Syntomis johanna", "Syntomis anna", "Amata bokkeveldensis", "Liaodactylus primus", "Serica olivacea", "Sphinx cyssea", "Serica opaciclypealis", "Zygaena collaris", "Serica pelelaensis", "Syntomis schoenerrhi", "Serica pigrans", "Serica pommeranzi", "Syntomis cuprea", "Serica proclivis", "Serica ramosa", "Syntomis georgina", "Serica rectidens", "Syntomis cysseoides", "Serica ribbei", "Nymphoides walshiae", "Heterogynis segurana", "Serica sherpa", "Trachypteris picta", "Asterothamnus alyssoides", "Trachypteris picta decostigma", "Trachypteris picta indica", "Trachypteris picta picta", "Asterothamnus centraliasiaticus", "Asterothamnus centraliasiaticus var. potanii", "Chlorissa asphaleia", "Asterothamnus fruticosus", "Asterothamnus heteropappoides", "Asterothamnus molliusculus", "Hemistola directa", "Gonepteryx rhamni miljanowskii", "Candiope sahariensis", "Heterographis sahariensis", "Pinus dabeshanensis", "Lepidogma tamaricalis", "Pinus eremitana", "Gonerilia minerva", "Gonerilia minerva jinfoshanensis", "Gonerilia minerva minerva", "Galatella amani", "Galatella angustissima", "Serica thibetana", "Serica tongluana", "Serica tropdeana", "Serica tukucheana", "Serica weiperti", "Serica falcifera", "Serica fashengi", "Serica feresegregata", "Serica palaea", "Serica panchaseana", "Serica sticta", "Asterothamnus poliifolius", "Deilemera albofasciata", "Asterothamnus schischkinii", "Crinitaria tatarica", "Crinitaria asperella", "Varthemia asperella", "Trypheromera zerenoides", "Trachemys dorbigni dorbigni", "Trachemys dorbigni brasiliensis", "Ereynetes sabinensis", "Deilemera stresemanni", "Zea mexicana", "Serica exhausta", "Serica jaegeri", "Zethenia albonotaria", "Zethenia albonotaria albonotaria", "Serica khajiaris", "Zethenia albonotaria aritai", "Brachyhypopomus jureiae", "Zethenia crenulata", "Serica khasiana", "Zethenia contiguaria", "Zethenia contiguaria contiguaria", "Zethenia contiguaria cathara", "Hyposidra muscula", "Serica kumaonensis", "Serica lama", "Serica mureensis", "Serica narya", "Serica nebulosa", "Serica nepalensis", "Brachyhypopomus alberti", "Brachyhypopomus arrayae", "Zethenia obscura", "Nanlingozephyrus bella myanmarensis", "Loepa katinka katinka", "Loepa elongata", "Saturnia lindia", "Hapalomys suntsovi", "Caligula lindia", "Caligula lindia lindia", "Galatella bogdaica", "Hypermastus mareticola", "Pinus \u00d7 hunnewelli", "Pachyserica albosquamosa", "Pachyserica ambiversa", "Pachyserica collaris", "Pachyserica bituberculata", "Brachyhypopomus batesi", "Brachyhypopomus belindae", "Brachyhypopomus benjamini", "Brachyhypopomus cunia", "Brachyhypopomus flavipomus", "Brachyhypopomus hamiltoni", "Brachyhypopomus hendersoni", "Eubolia semilutata", "Brachyhypopomus menezesi", "Brachyhypopomus palenque", "Brachyhypopomus provenzanoi", "Brachyhypopomus regani", "Brachyhypopomus verdii", "Brachyhypopomus sullivani", "Numeria pruinosaria", "Chaerodes dictyma", "Achnophora tatei", "Amata acelidota", "Coleoxestia spinipennis", "Amata actea", "Hydrusa actea", "Ceratogyne obionoides", "Dymasius lumawigi", "Lachnopterus socius", "Arctogeron gramineum", "Nepaloserica archolabrata", "Nepaloserica baehri", "Nepaloserica barbara", "Nepaloserica brevipes", "Nepaloserica bruschii", "Nepaloserica helambuensis", "Nepaloserica migliaccioi", "Nepaloserica muelleri", "Nepaloserica muelleri muelleri", "Nepaloserica muelleri tuberculata", "Nanlingozephyrus bella", "Nanlingozephyrus bella lao", "Nanlingozephyrus bella bella", "Cordelia comes comes", "Cordelia koizumii", "Cordelia wilemanniella", "Japonica onoi inomatai", "Pachyserica darjeelingensis", "Pachyserica garoensis", "Pachyserica gracilis", "Pachyserica himalayensis", "Pachyserica jendeki", "Pachyserica marmorata", "Pachyserica nepalica", "Pachyserica numensis", "Pachyserica olafi", "Pachyserica pellingensis", "Pachyserica stabilis", "Calloserica autumnalis", "Calloserica barabiseana", "Calloserica begnasia", "Calloserica brendelli", "Calloserica chiplingensis", "Calloserica gosainkundensis", "Calloserica hingstoni", "Calloserica langtangica", "Calloserica trisuliensis", "Calloserica bertiae", "Calloserica cambeforti", "Calloserica delectabilis", "Calloserica lachungensis", "Deilemera browni", "Deilemera conjuncta", "Triunfosaurus leonardii", "Galatella albanica", "Oncidium maculatum", "Pristimantis ashaninka", "Biarum rifatii", "Sudamerlycaste fimbriata", "Taurotagus impressus", "Neoplocaederus scapularis", "Draba hederifolia", "Xoanodera maculata", "Xoanodera marmorata", "Xoanodera regularis", "Xoanodera vermiculata", "Xoanodera vitticollis", "Xoanodera trigona", "Isothrix orinoci", "Derolus incultus", "Derolus iranensis", "Derolus mauritanicus", "Derolus pallidus", "Dialeges undulatus", "Bryocaulon hyperboreum", "Oeceoclades saundersiana", "Calloserica capillata", "Calloserica manangensis", "Calloserica indrai", "Calloserica raksensis", "Calloserica rupthangensis", "Calloserica zhangmuensis", "Xenoserica brachyptera", "Xenoserica erectosetosa", "Xenoserica karnaliensis", "Xenoserica koshiana", "Xenoserica somathangana", "Xenoserica matthiasi", "Xenoserica pindarensis", "Xenoserica sindhensis", "Xenoserica selaensis", "Xenoserica yadongensis", "Nyctemera plagifera f. laticolora", "Leptosoma proprium", "Nyctemera propria f. loligo", "Nyctemera alternata f. semibrunnea", "Leptosoma baulus", "Nyctemera latistriga negritorum", "Leptosoma sonticum", "Leptosoma galbana", "Nyctemera luctuosa", "Nyctemera luctuosa luctuosa", "Nyctemera luctuosa rostrigera", "Trachemys venusta venusta", "Trachemys venusta cataspila", "Sericania babaulti", "Sericania besucheti", "Sericania bhojpurensis", "Sericania dispar", "Sericania dubiosa", "Sericania gilgitensis", "Sericania kleebergi", "Sericania loebli", "Sericania mara", "Sericania mela", "Sericania pacis", "Sericania piattellai", "Sericania poonchensis", "Sericania swatensis", "Sericania torva", "Sericania costulata", "Sagana semioculata", "Sericania kashmirensis", "Sericania khandbariensis", "Sericania laeticula", "Sericania nepalensis", "Amazilia wagneri", "Celebina inga", "Mycalesis pandaea", "Mycalesis deianirina", "Mycalesis decipiens", "Mycalesis imitatrix", "Celebina erna", "Lohora umbrosa", "Dirphiopsis picturata", "Antigius attilia obsoletus", "Dirphiopsis wolfei", "Gynaecoserica bicolorata", "Gynaecoserica bomdilana", "Gynaecoserica compacta", "Gynaecoserica dirangensis", "Gynaecoserica exilis", "Gynaecoserica ignobilis", "Gynaecoserica keithi", "Gynaecoserica lobiceps", "Gynaecoserica lohitensis", "Gynaecoserica lubosi", "Gynaecoserica seinghkuensis", "Gynaecoserica tawangensis", "Gynaecoserica vogleri", "Gynaecoserica cymosa", "Mycalesis tilmara", "Messaras ophthalmicus", "Markhamia stipulata", "Lohora dinon unipupillata", "Mycalesis haasei", "Nepaloserica mustangia", "Nepaloserica phulcokiensis", "Nepaloserica sankhuwasabhae", "Nepaloserica schmidti", "Nepaloserica thimphui", "Nepaloserica vignai", "Nepaloserica vilya", "Nepaloserica baglungensis", "Nepaloserica ganeshi", "Nepaloserica goomensis", "Nepaloserica hartmanni", "Nepaloserica induwae", "Nepaloserica jumlaica", "Nepaloserica lamjungi", "Nepaloserica longispina", "Nepaloserica rufobrunnea", "Nepaloserica telbrungensis", "Nepaloserica yeti", "Nepaloserica manasluensis", "Nepaloserica perrecondita", "Nepaloserica nielamuensis", "Nepaloserica pewaensis", "Nepaloserica procera", "Nepaloserica procera procera", "Nepaloserica procera rufescens", "Nepaloserica richardsonae", "Nepaloserica similis", "Chlorophorus diadema", "Chlorophorus krantzi", "Chlorophorus lineatus", "Chlorophorus macaumensis", "Chlorophorus minamiiwo", "Chlorophorus punctiger", "Chlorophorus rubricollis", "Bryoria mariensis", "Bryoria rigida", "Danis danis morotai", "Danis danis gebe", "Danis danis kofiau", "Periclimenes rathbunae", "Danis danis mussau", "Danis danis feni", "Danis danis murua", "Danis danis duperre", "Barsine melanovena", "Geckolepis megalepis", "Brachytydeus monticolus", "Bulbothrix cassa", "Juniperus communis var. kelleyi", "Gynaecoserica victori", "Gynaecoserica yigongensis", "Geckolepis humbloti", "Dirphia semirosea", "Trachemys decussata", "Phricodia coprea", "Methylococcales bacterium", "Trachemys emolli", "Trachemys gaigeae", "Trachemys grayi", "Trachemys nebulosa", "Trachemys ornata", "Trachemys stejnegeri", "Trachemys taylori", "Antigius butleri kurinodakensis", "Automerella rubicunda", "Dirphia lombardi", "Bryoria fastigiata", "Dirphiopsis ayuruoca", "Dirphia picturata", "Cupido staudingeri staudingeri", "Antigius butleri oberthueri", "Bryoria forsteri", "Calanthemis schmidi", "Microgale grandidieri", "Trachemys adiutrix", "Trachemys callirostris", "Trachemys decorata", "Gynaecoserica etalinensis", "Gynaecoserica fulgida", "Gynaecoserica gogonaica", "Gynaecoserica lateralis", "Gynaecoserica latesquamosa", "Gynaecoserica marginipes", "Gynaecoserica pellecta", "Antigius butleri butleri", "Caecula pterygera", "Argynnis westphali", "Gynaecoserica perdita", "Gynaecoserica singhikensis", "Gynaecoserica tumba", "Gynaecoserica stemmleri", "Gynaecoserica variipennis", "Gynaecoserica variipennis variipennis", "Gynaecoserica variipennis wuermlii", "Bryoria taborensis", "Clytus curtisii", "Clytus schurmanni", "Clytus schneideri", "Coroebina affinis", "Coroebina beatricis", "Coroebina azureus", "Coroebina birmaniae", "Coroebina biroi", "Coroebina kashmirensis", "Coroebina kaszabi", "Coroebina leonensis", "Coroebina malabarica", "Coroebina minutesculpta", "Coroebina monotona", "Coroebina nickerli", "Coroebina saraswati", "Coroebina specialis", "Coroebina yunnanensis", "Dinocoroebus ugandae", "Trachemys terrapen", "Trachemys venusta", "Trachemys yaquia", "Cynorkis angustipetala", "Bulbothrix pseudofungicola", "Lasioserica silkae", "Lasioserica assamicola", "Lasioserica dolakhana", "Lasioserica dolangsae", "Lasioserica orlovi", "Lasioserica soror", "Lasioserica beibengana", "Thysonotis danis", "Lasioserica bispinosa", "Thysonotis danis philocrates", "Lasioserica braeti", "Lasioserica hamifer", "Geckolepis polylepis", "Geckolepis typica", "Dendrobium pulvilliferum", "Cyana lunulata", "Miltochrista karenkonis", "Miltochrista koshunica", "Miltochrista lenticulata", "Miltochrista lutivittata", "Miltochrista strigivenata", "Miltochrista rosalia", "Asura rosalia", "Miltochrista obscura", "Miltochrista orbis", "Miltochrista pilcheri", "Miltochrista rhipiptera", "Miltochrista rosacea", "Miltochrista rosaria", "Miltochrista satakia", "Miltochrista terminifusca", "Miltochrista vepallida", "Tetratriophtydeus myacanthus", "Miltochrista collina", "Orfareptydeus stepheni", "Miltochrista lyclenoides", "Bulbothrix amazonensis", "Barsine miloslavae", "Barsine helenae", "Bulbothrix silicisrea", "Bulbothrix leprieurii", "Morisia monanthos", "Bulbothrix linteolocarpa", "Mycalesis deianira", "Pseudomycalesis tanuki", "Sigmodon alstoni", "Chaetoprocta odata odata", "Chaetoprocta odata peilei", "Chaetoprocta kurumi", "Archaeoattacus vietnamensis", "Pempelia ehrenbergi", "Anaciaeschna jaspidea", "Miltochrista apuncta", "Miltochrista bivattata", "Miltochrista carbonisata", "Miltochrista chi", "Miltochrista citrona", "Miltochrista cornicornutata", "Miltochrista crucipuncta", "Miltochrista cruenia", "Miltochrista danieli", "Miltochrista dentata", "Miltochrista dentifascia", "Miltochrista elongata", "Miltochrista flavoplagiata", "Miltochrista intensa", "Miltochrista lutescens", "Miltochrista quadrifasciata", "Miltochrista erythropoda", "Miltochrista flexuosa", "Miltochrista formosana", "Miltochrista fukiensis", "Miltochrista gratissima", "Miltochrista hemimelaena", "Miltochrista inaequidens", "Miltochrista separans", "Miltochrista inscripta", "Sesapa inscripta", "Lasioserica ilamensis", "Lasioserica imminuta", "Lasioserica nobilis", "Lasioserica pacholatkoi", "Lasioserica pilosella", "Lasioserica smithi", "Lasioserica thoracica", "Lasioserica turaensis", "Lasioserica verschraegheni", "Brachodes flagellatus", "Amiserica argentata", "Amiserica breviflabellata", "Wagimo signatus signatus", "Wagimo signatus abei", "Wagimo signatus tateishii", "Macrogomphus wynaadicus", "Merogomphus longistigma", "Bulbothrix haleana", "Wagimo signatus quercivora", "Idionyx saffronata", "Aglyptodactylus australis", "Aglyptodactylus chorus", "Guibemantis diphonus", "Oreobates yanucu", "Bulbothrix lacinulata", "Paracontias mahamavo", "Paracontias ampijoroensis", "Bulbothrix lobarica", "Madascincus pyrurus", "Madascincus miafina", "Bulbothrix regnelliana", "Hypolycaena danis crebesco", "Hypolycaena danis jacobyi", "Bulbothrix vainioi", "Hypolycaena phorbas furvae", "Hypolycaena phorbas purpura", "Hypolycaena periphorbas moutoni", "Hypolycaena periphorbas erasmus", "Bulbothrix cinerea", "Macromidia donaldi", "Bulbothrix johannis", "Amiserica costulata", "Amiserica flavolucida", "Amiserica hunliana", "Amiserica insperata", "Amiserica krausei", "Amiserica longiflabellata", "Amiserica lutulenta", "Amiserica manipurensis", "Amiserica mawphlangensis", "Amiserica nokrekensis", "Amiserica patibilis", "Amiserica recurva", "Amiserica similissima", "Taxodium distichum var. imbricarium", "Bouvierina gadouae", "Bouvierina ocellata", "Bouvierina ocellata ocellata", "Bouvierina ocellata jasonoides", "Gynaecoserica aniniensis", "Gynaecoserica annuliforceps", "Gynaecoserica arunachalensis", "Cuitlauzina candida", "Mycalesis dexamenus", "Mycalesis dexamenus dexamenus", "Mycalesis dexamenus transiens", "Chrysoserica gigantea", "Chrysoserica stebnickae", "Lepidoserica maculifera", "Lepidoserica polyphylla", "Onychogomphus nilgiriensis", "Onychogomphus acinaces", "Microgomphus souteri", "Gomphidia kodaguensis", "Bulbothrix lopezii", "Lasioserica breviclypeata", "Lasioserica bumthangana", "Lasioserica chitreana", "Barsine elongata", "Lasioserica dekensis", "Barsine melaninflexa", "Barsine marcelae", "Barsine sieglindae", "Lasioserica godavariensis", "Barsine sieglindae sieglindae", "Lasioserica kulbei", "Barsine sieglindae coloraria", "Lasioserica meghalayana", "Lasioserica piloselloida", "Lasioserica wittmeri", "Geckolepis maculata", "Lyclene testata", "Lyclene zorae", "Lyclene calcicola", "Lyclene jaroslavae", "Lyclene evae", "Lasioserica maculata", "Lasioserica maculata maculata", "Lyclene nataliae", "Lyclene dagmarae", "Lasioserica maculata bhutanica", "Lyclene weidenhofferi weidenhofferi", "Lyclene weidenhofferi maritima", "Lasioserica maculata galadrielae", "Lasioserica maculata jiriana", "Disasuridia nakaoi", "Lasioserica modikholae", "Lasioserica nenya", "Lasioserica nepalensis", "Lasioserica nudosa", "Lasioserica pseudopilosella", "Lasioserica sabatinellii", "Lasioserica sikkimensis", "Lophura hyas", "Trachemys venusta iversoni", "Citronia vasiformis", "Trachemys venusta panamensis", "Dysidea cacos", "Dysidea distans", "Trachemys venusta uhrigi", "Dysidea flabellum", "Dysidea gracilis", "Burmagomphus laidlawi", "Bulbothrix oliveirae", "Aplysinella rhax", "Aplysinella strongylata", "Porphyria flintae", "Suberea creba", "Suberea laboutei", "Suberea purpureaflava", "Suberea etiennei", "Suberea meandrina", "Pisodonophis cancrivorus", "Cratilla lineata", "Brachydiplax sobrina", "Paragomphus lineatus", "Leiuranus semicinctus", "Suberea azteca", "Suberea clavata", "Ceroprepes fusconebulella", "Ganisa gyraleus", "Eupterote pandya", "Ptilotus andersonii", "Micropacha kalisi", "Micropacha roepkei", "Idiolina augustae", "Amblypodia annetta annettina", "Cetraria annae", "Lamnostoma kampeni", "Lamnostoma mindora", "Lamnostoma polyophthalma", "Lamnostoma taylori", "Wadithamnus artemisioides", "Paragomphus abnormis", "Paragomphus alluaudi", "Epithemis mariae", "Pisodonophis boro", "Canoparmelia tamaulipensis", "Isoetes mississippiensis", "Isoetes toximontana", "Madascincus arenicola", "Wadithamnus artemisioides subsp. batharitica", "Westringia fitzgeraldensis", "Westringia ophioglossa", "Dillwynia glaucula", "Kretania zamotajlovi", "Kretania alcedo", "Micropacha gejra", "Oeonistis imitaria", "Chrysorabdia pinratanai", "Chrysorabdia alpina", "Chrysorabdia aurantiaca", "Chrysorabdia vilemani", "Calloides nobilis", "Acosmeryx yunnanfuana", "Crocus stevensii", "Crocus sakaltutanensis", "Crocus georgei", "Xenotyphlops grandidieri", "Cetraria ambigua", "Microsericaria fenestrata", "Microsericaria quadrinotata", "Agriades pheretiades shugnansis", "Microsericaria quadripunctata", "Otus siaoensis", "Microsericaria stellata", "Pachyderoserica crassicollis", "Ancoruncus langeri", "Mericserica oberthuri", "Mericserica setosicollis", "Deroserica championi", "Deroserica compressicrus", "Deroserica koelleri", "Deroserica kulzeri", "Deroserica pulchra", "Microsericaria atropicta", "Lathrecista asiatica", "Lyriothemis acigastra", "Lyriothemis tricolor", "Indothemis carnatica", "Lyriothemis biappendiculata", "Lyriothemis bivittata", "Lyriothemis cleis", "Lyriothemis magnificata", "Lyriothemis meyeri", "Lyriothemis mortoni", "Lyriothemis salva", "Amiserica schoedli", "Amiserica sparsesetosa", "Amiserica surda", "Amiserica taplejungensis", "Amiserica chiangdaoensis", "Taxodium distichum var. mexicanum", "Taxodium distichum var. distichum", "Chrysoserica angoris", "Chrysoserica auricoma", "Euaspa hishikawai hishikawai", "Euaspa hishikawai minae", "Canoparmelia consanguinea", "Spilosoma rubridorsa", "Icambosida dorsalis", "Canoparmelia roseoreagens", "Canoparmelia subroseoreagens", "Howarthia caelestis", "Howarthia caelestis elegans", "Howarthia caelestis caelestis", "Howarthia caelestis derani", "Canoparmelia nashii", "Canoparmelia pseudoecaperata", "Drusus sharrensis", "Canoparmelia sanguinea", "Calotes nemoricola", "Parnassius apollonius apollonius", "Parnassius apollonius kruseki", "Parnassius przewalskii", "Parnassius przewalskii przewalskii", "Parnassius przewalskii tulaishani", "Lyriothemis elegatissima", "Lyriothemis eurydice", "Lyriothemis hirundo", "Polymixis sublutea", "Lyriothemis latro", "Polymixis sublutea viettei", "Cetraria albopunctata", "Agriades pheretiades ishkashimensis", "Hayashikeia ueharai", "Hayashikeia florianii", "Hayashikeia koizumii", "Neoserica arunachalana", "Onychothemis testacea", "Macrodiplax cora", "Anomioserica flavipes", "Uropeltis pulneyensis", "Anomioserica kotagiriensis", "Hylaeothemis indica", "Hydrobasileus croceus", "Anomioserica liliputana", "Anomioserica maesi", "Anomioserica symmetrica", "Anomioserica tarsalis", "Selaserica meridionalis", "Selaserica karnatakaensis", "Selaserica opacipennis", "Selaserica vagans", "Crocus autumnalis", "Uroconger lepturus", "Uroconger drachi", "Uroconger erythraeus", "Uroconger syringinus", "Adixoana auripyga", "Crocus chrysanthus subsp. chrysanthus", "Demonax christinae", "Demonax literatus", "Demonax vethi", "Colias christophi helialaica", "Cetraria denticulata", "Cetraria everniella", "Baltia shawii", "Baltia shawii shawii", "Baltia shawii wyatti", "Hayashikeia courvoisieri", "Hayashikeia sugiyamai", "Taxus florinii", "Anthaxia lucens", "Taxus calcicola", "Anthaxia marginifera", "Anthaxia marmottani", "Anthaxia midas", "Anthaxia moya", "Anthaxia nigritula", "Anthaxia nigrojubata", "Anthaxia nupta", "Anthaxia nyassica", "Anthaxia plicata", "Anthaxia podolica", "Anthaxia psittacina", "Anthaxia reticulata", "Aphyosemion splendopleure", "Ptilotus crosslandii", "Aphyosemion castaneum", "Ptilotus halophilus", "Ptilotus chrysocomus", "Cetraria globulans", "Phycocharax rasbora", "Ptilotus exiliflorus", "Drusus dardanicus", "Ptilotus luteolus", "Brycon vonoi", "Brycon dulcis", "Brycon howesi", "Potamarcha congener", "Ptilotus giganteus", "Fujiokaozephyrus tsangkie tsangkie", "Fujiokaozephyrus tsangkie doni", "Fujiokaozephyrus camurius camurius", "Cephalotaxus alpina", "Cephalotaxus griffithii", "Cephalotaxus hainanensis", "Fujiokaozephyrus camurius chayuensis", "Torreya fargesii var. yunnanensis", "Torreya fargesii var. fargesii", "Iwaseozephyrus mandara dohertyi", "Crocus salurdagensis", "Crocus ser.", "Zygonyx iris", "Tramea basilaris", "Tetrathemis platyptera", "Neoserica astuta", "Neoserica aulica", "Neoserica barberi", "Orthetrum taeniolatum", "Palpopleura sexmaculata", "Athetis melanephra", "Aphyosemion elberti", "Cephalotaxus nana", "Cephalotaxus oliveri", "Iwaseozephyrus bieti bieti", "Iwaseozephyrus bieti takanamii", "Iwaseozephyrus longicaudatus", "Iwaseozephyrus mandara", "Iwaseozephyrus mandara mandara", "Iwaseozephyrus mandara irma", "Iwaseozephyrus mandara zhengi", "Aphyosemion bualanum", "Lourus citricolus", "Lourus testatus", "Cetraria peruviana", "Esakiozephyrus icana paiensis", "Esakiozephyrus icana setschuanicus", "Esakiozephyrus zotelistes", "Nigidius hemantai", "Ptilotus albidus", "Habrodais grunus herri", "Habrodais grunus lorquini", "Ptilotus disparilis", "Athetis aurogrisea", "Athetis auronitens", "Athetis debilis", "Sciurus vulgaris alpinus", "Anthaxia amasina", "Anthaxia anatolica", "Anthaxia armeniaca", "Anthaxia bedeli", "Anthaxia berytensis", "Anthaxia bicolor", "Anthaxia candens", "Anthaxia carmen", "Anthaxia caseyi", "Anthaxia confusa", "Shizuyaozephyrus ziha", "Anthaxia corsica", "Anthaxia depressicollis", "Anthaxia diadema", "Anthaxia discicollis", "Anthaxia eugeniae", "Anthaxia griseocuprea", "Anthaxia helvetica", "Anthaxia huashanica", "Anthaxia kneuckeri", "Anthaxia laticeps", "Anthaxia truncata", "Anthaxia pleuralis", "Anthaxia bosdaghensis", "Anthaxia ephippiata", "Cathetorhinus melanocephalus", "Neobuprestis frenchi", "Neobuprestis melandryoides", "Neobuprestis williamsi", "Crocus gembosii", "Givira delindae", "Neurosymploca caffra", "Streptogonopus montanus", "Rhopalophthalmus longipes", "Cratera cryptolineata", "Cratera nigrimarginata", "Cratera aureomaculata", "Conothele baiyunensis", "Conothele daxinensis", "Conothele sidiechongensis", "Conothele yundingensis", "Cyclocosmia liui", "Cyclocosmia ricketti", "Cyclocosmia latusicosta", "Shuangheaphaenops elegans", "Aphyosemion bitaeniatum", "Rhopalovalva macrocuculla", "Rhopalovalva connata", "Gastrotheca ernestoi", "Cetraria rassadinae", "Neurobasis chinensis", "Magneuptychia agnata", "Euptychia agnata", "Magneuptychia analis", "Euptychia analis", "Magneuptychia divergens", "Magneuptychia drymo", "Euptychia drymo", "Magneuptychia francisca", "Magneuptychia gomezi", "Acmaeoderella adspersula", "Acmaeoderella caspica", "Acmaeoderella coarctata", "Acmaeoderella cyanipennis", "Epophthalmia vittata", "Acmaeoderella cypriota", "Acmaeoderella cypriota cypriota", "Macromia ellisoni", "Macromia flavicincta", "Acmaeoderella discoida", "Acmaeoderella elegans", "Acmaeoderella flavofasciata", "Acmaeoderella lanuginosa", "Acmaeoderella maculipennis", "Acmaeoderella mimonti", "Acmaeoderella nivifera", "Acmaeoderella perroti", "Acmaeoderella semiviolacea", "Acmaeoderella tragacanthae", "Acmaeoderella vaulogeri", "Acmaeoderopsis junki", "Microacmaeodera aruensis", "Ptilotus appendiculatus", "Ptilotus latifolius", "Anthaxia rugicollis", "Anthaxia salicis", "Anthaxia scutellaris", "Anthaxia sedilloti", "Anthaxia senicula", "Anthaxia senilis", "Anthaxia sepulchralis", "Anthaxia spinolae", "Anthaxia tazaotana", "Anthaxia tenella", "Anthaxia thalassophila", "Anthaxia turana", "Anthaxia umbellatarum", "Anthaxia vejdovskyi", "Anthaxia armeniaca armeniaca", "Anthaxia bedeli peloponnesiaca", "Aphyosemion congicum", "Aphyosemion escherichi", "Anthaxia berytensis alauita", "Anthaxia carmen carmen", "Anthaxia caseyi caseyi", "Anthaxia confusa baudii", "Anthaxia depressicollis depressicollis", "Anthaxia depressicollis tropica", "Anthaxia diadema bazuftensis", "Anthaxia diadema shelkovnikovi", "Anthaxia discicollis kanaanita", "Anthaxia griseocuprea grafi", "Anthaxia helvetica appenina", "Anthaxia kneuckeri kneuckeri", "Anthaxia millefolii scutellata", "Anthaxia plicata vinogradovi", "Anthaxia quadripunctata attavistica", "Anthaxia rugicollis atlantica", "Anthaxia rugicollis zoufali", "Anthaxia salicis discoidalis", "Anthaxia turana turana", "Anthaxia vejdovskyi vejdovskyi", "Anthaxia vejdovskyi peyerimhoffi", "Anthaxia agilis", "Anthaxia aladin", "Anthaxia alcmaeone", "Anthaxia andrewesi", "Anthaxia astoreth", "Anthaxia asumarina", "Anthaxia atomaria", "Anthaxia baicalensis", "Anthaxia bambisina", "Anthaxia baumi", "Anthaxia baumiella", "Neoclytus jouteli", "Neoclytus modestus", "Neoclytus mucronatus", "Neoclytus muricatulus", "Leptosoma aeres", "Nyctemera intercisa", "Nyctemera menes", "Nyctemera mutabilis", "Callithrinca angoonae", "Callithrinca evocatella", "Leptosoma agagles", "Deilemera uniplaga", "Leptosoma consobrina", "Nyctemera consobrina consobrina", "Nyctemera consobrina basinigra", "Nyctemera basinigra", "Calotydeus xylocopae", "Zygaena tamara bijarica", "Cetraria steppae", "Cetraria subscutata", "Xyleutes hansi", "Suberea elegans", "Lamnostoma orientalis", "Bulbothrix sipmanii", "Suberea flavolivescens", "Suberea fusca", "Suberea ianthelliformis", "Suberea mollis", "Brachytydeus dumosus", "Brachytydeus visendus", "Euaspa milionia milionia", "Bulbothrix subklementii", "Tydeus lolitae", "Euaspa milionia formosana", "Perisomena caecigena parviocellata", "Bulbothrix thomasiana", "Melitaea didyma ochra", "Melitaea didyma celladdita", "Melitaea didyma contracta", "Melitaea didyma deletassica", "Melitaea didyma folvonigrolimbata", "Melitaea didyma infracrasselunata", "Melitaea didyma inframedioconfluens", "Melitaea didyma lesoralpina", "Melitaea didyma lucida", "Melitaea didyma medioduplicata", "Melitaea didyma porrecta", "Melitaea didyma postcelladdita", "Melitaea didyma posticemediocrasse", "Melitaea didyma siccalta", "Melitaea persea", "Melitaea persea persea", "Melitaea persea sangdana", "Hemileuca conwayae", "Spilosoma rhodophila", "Euaspa wuyishana", "Euaspa wuyishana chohtarohi", "Euaspa wuyishana wuyishana", "Aphyosemion riggenbachi", "Phaenochilus albomarginalis", "Phaenochilus kashaya", "Phaenochilus metasternalis", "Amblypodia annetta obscura", "Neoserica exoleta", "Neoserica gravida", "Neoserica infamiliaris", "Neoserica kalkadensis", "Neoserica kejvali", "Neoserica mudigereensis", "Neoserica munnarensis", "Neoserica nilgiriana", "Neoserica parilis", "Neoserica pilistriata", "Neoserica plagiata", "Neoserica ziyardamensis", "Neoserica ammattiensis", "Neoserica dichroa", "Neoserica flavoviridis", "Neoserica genieri", "Neoserica plateosa", "Neoserica plebea", "Neoserica rotundotibialis", "Neoserica submaculosa", "Neoserica bhalukpongensis", "Neoserica bicolorea", "Neoserica kaskiensis", "Neoserica incompta", "Neoserica pubiforceps", "Neoserica shillongensis", "Neoserica crenatolineata", "Neoserica changrae", "Agylla analipunctaria", "Athrotaxis \u00d7 laxifolia", "Stumpffia analamaina", "Cetraria xizangensis", "Conchopoma gadiforme", "Chrysobothris fisheriana", "Chrysobothris funeraria", "Chrysobothris gravenhorsti", "Chrysobothris guineensis", "Chrysobothris handschini", "Chrysobothris hauseri", "Chrysobothris heyrovskyi", "Chrysobothris ianthinipes", "Chrysobothris ignisternum", "Chrysobothris infantula", "Chrysobothris javae", "Chrysobothris jeanneli", "Chrysobothris kalaharica", "Chrysobothris komareki", "Chrysobothris kordofana", "Chrysobothris lativertex", "Chrysobothris leuconoe", "Chrysobothris libanonica", "Chrysobothris linnei", "Chrysobothris macleayi", "Chrysobothris maculicoxis", "Neozephyrus japonicus japonicus", "Neobathiea comet-halei", "Neobathiea keraudrenae", "Neobathiea perrieri", "Catopta albonubila kansuensis", "Catopta albonubila birmanopta", "Gastroserica haucki", "Gastroserica herzi", "Gastroserica higonia", "Chimaera leucomelas", "Stygia australis var. rosina", "Apatura ilia", "Fabriciana xipe", "Fabriciana hallasanensis", "Fabriciana vorax", "Boloria dia", "Ptilotus aervoides", "Ptilotus alexandri", "Boloria aquilonaris", "Gephyromantis ceratophrys", "Chrysobothris affinis", "Chrysobothris amurensis", "Chrysobothris banghaasi", "Chrysobothris boliviae", "Chrysobothris boliviae ayrensis", "Chrysobothris boliviae boliviae", "Chrysobothris boninensis", "Chrysobothris bothrideres", "Chrysobothris braunsi", "Chrysobothris braunsi braunsi", "Chrysobothris braunsi transvalicola", "Chrysobothris chalcophana", "Chrysobothris chrysoela", "Chrysobothris costifrons", "Chrysobothris dorsata", "Chrysobothris ephedrae", "Chrysobothris guttata", "Chrysobothris holochalcea", "Chrysobothris ichthyomorpha", "Chrysobothris lancii", "Chrysobothris lancii lancii", "Chrysobothris nobilis", "Chrysobothris peninsularis", "Chrysobothris peruviae", "Chrysobothris purpureovittata", "Chrysobothris peruviae peruviae", "Chrysobothris peruviae smaragdifoveata", "Chrysobothris saliaris", "Chrysobothris schoutedeni", "Chrysobothris schoutedeni patrizii", "Chrysobothris schoutedeni schoutedeni", "Chrysobothris socialis", "Chrysobothris strandiana", "Chrysobothris strandiana strandiana", "Chrysobothris strandiana zikani", "Chrysobothris superba", "Chrysobothris unigemmata", "Chrysobothris unigemmata unigemmata", "Stephanoxis loddigesii", "Mycalesis dinon", "Chaetoprocta odata", "Parotocinclus fluminense", "Pseudomicrostroma phylloplanum", "Neoserica assamensis", "Neoserica speciosa", "Neoserica uniformis", "Neoserica flagrans", "Neoserica fusiforceps", "Neoserica incisa", "Neoserica sparsesquamata", "Neoserica unciforceps", "Neoserica variegata", "Neoserica agumbeensis", "Phrynomedusa dryade", "Neoserica disciplineensis", "Neoserica garlangensis", "Neoserica inops", "Neoserica inspergata", "Neoserica keralana", "Neoserica lenangensis", "Neoserica madurana", "Neoserica matura", "Neoserica multiflabellata", "Neoserica nathani", "Neoserica periyarensis", "Neoserica probsti", "Cetraria oakesiana", "Neoserica pseudomajor", "Neoserica pushkarensis", "Neoserica quadrilamellata", "Neoserica quinqueflabellata", "Neoserica rajasthanica", "Neoserica rutilans", "Neoserica setigera", "Neoserica sexfoliata", "Neoserica sforziae", "Neoserica sladeni", "Neoserica subsetosa", "Gastroserica patkaiensis", "Iratsume orsedice suzukii", "Boletus roseogriseus", "Chrysobothris banghaasi chiliensis", "Chrysobothris ichthyomorpha chiriquita", "Chrysobothris nobilis distans", "Chrysobothris nobilis hyleae", "Chrysobothris superba eminens", "Chrysobothris achardi", "Chrysobothris alecto", "Chrysobothris algoensis", "Chrysobothris alutaceiventris", "Chrysobothris andica", "Chrysobothris angolae", "Chrysobothris anniae", "Chrysobothris apolinari", "Chrysobothris atahualpa", "Chrysobothris balzani", "Chrysobothris beckeri", "Chrysobothris bedeli", "Chrysobothris behanzini", "Chrysobothris bekassana", "Chrysobothris bicentra", "Chrysobothris bicolorifrons", "Chrysobothris brahma", "Chrysobothris bruchi", "Chrysobothris buenavistae", "Chrysobothris buqueti", "Chrysobothris burgeoni", "Chrysobothris callichroma", "Chrysobothris carbonicolor", "Chrysobothris carteri", "Chrysobothris cashmirensis", "Chrysobothris catharinae", "Chrysobothris cavatifrons", "Chrysobothris circe", "Chrysobothris coelicolor", "Chrysobothris coeruleoglabrata", "Chrysobothris congeneratrix", "Chrysobothris cordillerae", "Chrysobothris cornifrons", "Chrysobothris costaricana", "Chrysobothris crenulipyga", "Chrysobothris cunctans", "Chrysobothris cupreomactata", "Chrysobothris danae", "Chrysobothris densepunctata", "Chrysobothris dubiosula", "Chrysobothris ecuadorica", "Chrysobothris embriki", "Chrysobothris eos", "Chrysobothris erythraeina", "Chrysobothris eurycephala", "Gastroserica similaris", "Gastroserica stictica", "Gastroserica sulcata", "Gastroserica trilineata", "Gastroserica vinhphuensis", "Gastroserica viridis", "Gastroserica wenzhui", "Gastroserica yingi", "Neozephyrus taiwanus", "Ptilotus aphyllus", "Ptilotus marduguru", "Ptilotus stipitatus", "Ptilotus aristatus", "Ptilotus arthrolasius", "Ptilotus astrolasius", "Grubovia eriophora", "Neozephyrus helenae", "Neozephyrus coruscans", "Griposia wegneri", "Idaea hyalinata", "Zamarada ionephela", "Ephyra grata", "Cetraria urceolata", "Astyanax brucutu", "Asura lignea", "Garudinia coniuncta", "Eilema vestigiata", "Monosyntaxis radiifera", "Spilosoma baltazarae", "Agylla abrosa", "Agylla albivenis", "Agylla arthona", "Agylla asra", "Agylla auranticaria", "Agylla delicia", "Agylla erigone", "Agylla exscissa", "Agylla poasia", "Agylla subcinerea", "Agylla submacula", "Agylla subvoluta", "Agylla tygriusa", "Agylla nepalica", "Agylla madagascariensis", "Agylla yuennanica", "Agylla xanthocraspidus", "Glyptoteles leucacrinella", "Glyptoteles proalatirubens", "Anthedonella siberutica", "Bulbophyllum odoratum", "Neoromicia stanleyi", "Epirixanthes confusa", "Fritillaria eduardii", "Epirixanthes papuana", "Fritillaria eduardii var. eduardii", "Fritillaria eduardii var. inodora", "Bronchocela burmana", "Frederickena fulva", "Doliche libulae", "Cyana crasizona", "Gastroserica angustula", "Gastroserica asulcata", "Gastroserica bicolor", "Gastroserica bilyi", "Gastroserica brevicornis", "Gastroserica carolusi", "Gastroserica contaminata", "Gastroserica damingshanica", "Gastroserica dembickyi", "Gastroserica fanjingensis", "Gastroserica fengduana", "Gastroserica gemellata", "Gastroserica guangdongensis", "Gastroserica guizhouana", "Gastroserica haoyui", "Gastroserica huaphanensis", "Gastroserica hubeiana", "Gastroserica impressicollis", "Gastroserica jinxiuensis", "Gastroserica kabakovi", "Gastroserica kucerai", "Gastroserica liboensis", "Gastroserica marginalis", "Gastroserica mausonensis", "Gastroserica namthana", "Gastroserica napolovi", "Gastroserica nikodymi", "Gastroserica pickai", "Gastroserica roessneri", "Gastroserica shaanxiana", "Gastroserica sichuana", "Neobathiea spatulata", "Neobathiea hirtula", "Neobathiea hirtula var. hirtula", "Neobathiea hirtula var. floribunda", "Tetraserica bendai", "Tetraserica brahmaputrae", "Tetraserica crenatula", "Tetraserica disoccupata", "Tetraserica ferrugata", "Tetraserica hilaris", "Tetraserica impar", "Tetraserica rufimargo", "Tetraserica rungbongensis", "Tetraserica schneideri", "Tetraserica uncinata", "Tetraserica univestris", "Nyctemera m\u00fclleri enganica", "Nyctemera m\u00fclleri", "Nyctemera aeres vandenberghi", "Nyctemera aeres", "Megacyllene snowi", "Notiphila oksanae", "Trioserica alternata", "Trioserica antennalis", "Trioserica lepichaeta", "Trioserica macrophthalma", "Trioserica maculipennis", "Trioserica sparsesquamosa", "Trioserica taipeiensis", "Trioserica tarsata", "Trioserica trifoliata", "Cordilura nartshukae", "Xanthophyllum hainanense", "Neoromicia robertsi", "Neozephyrus dubernardi", "Chrysozephyrus smaragdinus sikongensis", "Chrysozephyrus yunnanensis", "Chrysozephyrus yunnanensis hamadai", "Chrysozephyrus yunnanensis yunnanensis", "Ptilotus auriculifolius", "Ptilotus axillaris", "Ptilotus beckerianus", "Ptilotus brachyanthus", "Ptilotus caespitulosus", "Thitarodes quadrata", "Ptilotus blackii", "Ptilotus carinatus", "Epirixanthes cylindrica", "Aethes shakibai shakibai", "Aethes shakibai sivashella", "Monocerotesa galloi", "Maxillaria vulcanica", "Epirixanthes compressa", "Xanthophyllum lanceatum", "Xanthophyllum griffithii", "Euphoresia muelleri", "Euphoresia multipunctata", "Euphoresia murina", "Euphoresia ogoweana", "Euphoresia overlaetiana", "Euphoresia propinqua", "Euphoresia punctum", "Euphoresia pygialis", "Euphoresia rothkirchi", "Euphoresia samliana", "Euphoresia schotiae", "Euphoresia schoutedeni", "Euphoresia semnionis", "Euphoresia sequens", "Euphoresia seriatipennis", "Euphoresia signata", "Euphoresia squamifera", "Euphoresia staneriella", "Euphoresia sulcipennis", "Euphoresia tenuesquamosa", "Euphoresia transversefasciata", "Euphoresia trifasciata", "Euphoresia trisquamosa", "Euphoresia trochaloides", "Euphoresia ugandana", "Euphoresia variegata", "Euphoresia varievestis", "Euphoresia versicolor", "Euphoresia viridicans", "Euphoresia vrydaghiana", "Euphoresia warriensis", "Chelonaplysilla violacea", "Nokona sulawesiensis", "Melittia lombok", "Epirixanthes kinabaluensis", "Epirixanthes pallida", "Ptilotus barkeri", "Ptilotus beardii", "Rhigognostis hausmanniella", "Boloria altaica", "Boloria banghaasi", "Boloria caucasica", "Boloria frigidalis", "Boloria sipora", "Boloria alberta", "Boloria astarte", "Boloria bellona", "Boloria butleri", "Boloria chariclea", "Boloria elatus", "Boloria erda", "Boloria erubescens", "Boloria freija", "Boloria frigga", "Boloria gong", "Boloria iphigenia", "Boloria jerdoni", "Boloria kriemhild", "Boloria natazhati", "Boloria oscarus", "Boloria perryi", "Boloria polaris", "Boloria selenis", "Boloria thore", "Boloria titania", "Chrysaeglia bipunctata", "Oeonistis metallescens", "Ptilotus capensis", "Euphoresia albofasciata", "Euphoresia albosparsa", "Euphoresia annae", "Euphoresia annulata", "Euphoresia aschantica", "Euphoresia assiniensis", "Euphoresia baliola", "Euphoresia baloghi", "Euphoresia benitoensis", "Euphoresia bequaerti", "Euphoresia bisignata", "Euphoresia bisquamulata", "Euphoresia bruta", "Euphoresia burgeoni", "Euphoresia b\u00fcttneri", "Euphoresia candezei", "Euphoresia caviventris", "Euphoresia chiloanga", "Euphoresia coiffaiti", "Euphoresia congoensis", "Euphoresia conradti", "Euphoresia costipennis", "Euphoresia densesquamosa", "Euphoresia egregia", "Euphoresia excellens", "Euphoresia gabonana", "Euphoresia gabonensis", "Euphoresia ghesquiereana", "Euphoresia gibbosa", "Euphoresia graueri", "Euphoresia heteropyga", "Euphoresia hiekei", "Euphoresia insularis", "Euphoresia iridicostis", "Euphoresia jokoensis", "Euphoresia kapangana", "Euphoresia kassaiensis", "Euphoresia kivuana", "Euphoresia kivuensis", "Euphoresia kohli", "Euphoresia kossowana", "Euphoresia labiata", "Euphoresia laminata", "Euphoresia lindemannae", "Euphoresia loangoana", "Euphoresia longisqualis", "Euphoresia ludificans", "Euphoresia lulengae", "Euphoresia maculata", "Euphoresia maculifera", "Euphoresia maculipennis", "Euphoresia maculiscutum", "Euphoresia margaritifera", "Euphoresia metasternalis", "Xanthophyllum griffithii var. angustifolium", "Xanthophyllum griffithii subsp. angustifolium", "Xanthophyllum virens", "Xanthophyllum sylvestre", "Trochalopteron fairbanki", "Ptilotus chamaecladus", "Ptilotus chippendalei", "Caeconthobium parvulum", "Cambefortantus ankaratrae", "Cambefortantus blanci", "Cambefortantus helenae", "Cambefortantus micros", "Cambefortantus myops", "Cambefortantus pauliani", "Deiregyne eriophora", "Garrulax bicolor", "Xanthophyllum oliganthum", "Chrysozephyrus tatsienluensis mikamii", "Enantia licinia", "Xanthophyllum yunnanense", "Enantia licinia licinia", "Enantia licinia punctaclara", "Garrulax treacheri", "Xanthophyllum eberhardtii", "Xanthophyllum annamense", "Xanthophyllum bibracteatum", "Xanthophyllum colubrinum", "Tydeus narolicatus", "Tydeus martae", "Xanthophyllum geminatum", "Tydeus clavimaculatus", "Trochalopteron chrysopterum", "Xanthophyllum cochinchinense", "Xanthophyllum geesinkii", "Xanthophyllum poilanei", "Xanthophyllum punctatum", "Ptilotus capitatus", "Ptilotus carlsonii", "Neoromicia roseveari", "Neoromicia isabella", "Allogymnopleurus aeneus", "Allogymnopleurus alluaudi", "Allogymnopleurus anthracinus", "Allogymnopleurus chloris", "Allogymnopleurus consocius", "Allogymnopleurus histrio", "Allogymnopleurus indigaceus", "Allogymnopleurus infranitens", "Allogymnopleurus jeanneli", "Allogymnopleurus maculosus", "Allogymnopleurus olivieri", "Allogymnopleurus sagnai", "Allogymnopleurus sericeicollis", "Allogymnopleurus signaticollis", "Allogymnopleurus spilotus", "Allogymnopleurus splendidus", "Allogymnopleurus thalassinus", "Allogymnopleurus umbrinus", "Allonitis nasutus", "Alloscelus combesi", "Alloscelus hirticomus", "Alloscelus longipilis", "Alloscelus paradoxus", "Amietina cambeforti", "Amietina eburnea", "Amietina larrochei", "Amietina nyassalandica", "Amphistomus calcaratus", "Amphistomus complanatus", "Amphistomus cunninghamensis", "Amphistomus fasciculatus", "Amphistomus inermis", "Amphistomus kukali", "Amphistomus macphersonensis", "Amphistomus montanus", "Amphistomus monticola", "Amphistomus opacus", "Amphistomus palpebratus", "Apterepilissus centralis", "Apterepilissus ovalis", "Apterepilissus sericeus", "Aptychonitis anomalus", "Aptychonitis sulcicollis", "Arachnodes abadiei", "Arachnodes aeneoviridis", "Arachnodes ampasindavae", "Arachnodes andriai", "Arachnodes angulosus", "Arachnodes bicolor", "Arachnodes biimpressus", "Arachnodes brunnipes", "Arachnodes delaunayi", "Arachnodes dichrous", "Arachnodes didiensis", "Arachnodes dieganus", "Arachnodes fairmairei", "Arachnodes fulgens", "Arachnodes globuloides", "Arachnodes globulosus", "Arachnodes grossepunctatus", "Arachnodes hanskii", "Arachnodes histeroides", "Arachnodes insularis", "Arachnodes jeanneli", "Arachnodes kelifelyi", "Arachnodes luctuosus", "Arachnodes mahafalyensis", "Arachnodes manaitrai", "Arachnodes manomboensis", "Arachnodes mantillerii", "Arachnodes micans", "Arachnodes minutus", "Arachnodes morati", "Arachnodes neonitidus", "Arachnodes nitidus", "Arachnodes nosybeensis", "Arachnodes oberthuri", "Arachnodes philippi", "Arachnodes pierrettae", "Arachnodes pillula", "Arachnodes pusillus", "Arachnodes refulgens", "Arachnodes renaudi", "Arachnodes robinsoni", "Arachnodes rubrolimbatus", "Arachnodes rubrotinctus", "Arachnodes sakarahae", "Arachnodes saprinoides", "Arachnodes semichalceus", "Arachnodes seminitidus", "Arachnodes seyrigi", "Arachnodes soganus", "Arachnodes tibialis", "Arachnodes variolosus", "Arachnodes vicinus", "Arachnodes viettei", "Arachnodes vieui", "Arachnodes vigilans", "Arachnodes zombitsyensis", "Ateuchus aeneomicans", "Ateuchus alipioi", "Anomiopus paraguaiensis", "Anomiopus parallelus", "Anomiopus pereirai", "Anomiopus pictus", "Anomiopus pishtaco", "Anomiopus preissae", "Anomiopus pumilius", "Anomiopus puncticollis", "Anomiopus quadridentatus", "Anomiopus serranus", "Anomiopus similis", "Anomiopus simplex", "Anomiopus smaragdinus", "Anomiopus soledari", "Anomiopus sulcaticollis", "Anomiopus sulcatus", "Anomiopus tuberculicollis", "Anomiopus tuberifrons", "Anomiopus validus", "Anomiopus virescens", "Anomiopus zaguryi", "Anonychonitis freyi", "Anoplodrepanus pecki", "Anoplodrepanus reconditus", "Aphengium cupreum", "Aphengium curtum", "Aphengium ibateguara", "Aphengium sordidum", "Aphengoecus clypeatus", "Aphengoecus multiserratus", "Apotolamprus ambohitsitondronensis", "Apotolamprus andranobeensis", "Apotolamprus antsingyensis", "Apotolamprus bemarahaensis", "Apotolamprus cyanescens", "Apotolamprus darainaensis", "Apotolamprus densepunctatus", "Apotolamprus hagai", "Apotolamprus hanskii", "Apotolamprus helenae", "Apotolamprus latipennis", "Apotolamprus mahajangaensis", "Apotolamprus manjarivoloensis", "Apotolamprus manomboensis", "Apotolamprus marojejyensis", "Apotolamprus metallicus", "Apotolamprus milloti", "Apotolamprus nanoides", "Apotolamprus orangeaensis", "Apotolamprus perinetensis", "Apotolamprus peyrierasi", "Apotolamprus pseudomanomboensis", "Apotolamprus pseudoquadrimaculatus", "Apotolamprus quadrimaculatus", "Apotolamprus quadrinotatus", "Apotolamprus resplendens", "Apotolamprus sahatezaensis", "Apotolamprus sericeus", "Apotolamprus sinuatotibialis", "Apotolamprus sparsepunctatus", "Apotolamprus vadoni", "Apotolamprus zombitsyensis", "Aptenocanthon hopsoni", "Apterepilissus analavelonae", "Amphistomus pectoralis", "Amphistomus primonactus", "Amphistomus pygmaeus", "Amphistomus respiciens", "Amphistomus speculatus", "Amphistomus speculifer", "Amphistomus squalidus", "Amphistomus storeyi", "Amphistomus trispiculatus", "Amphistomus tuberculatus", "Amphistomus tuberosus", "Amphistomus uncinatus", "Anisocanthon pygmaeus", "Anisocanthon sericinus", "Anisocanthon strandi", "Anisocanthon villosus", "Anoctus laevis", "Anoctus myrmecophilus", "Anoctus rasilis", "Anoctus scatonomoides", "Anoctus siamensis", "Anomiopsoides biloba", "Anomiopsoides cavifrons", "Anomiopsoides fedemariai", "Anomiopsoides heteroclyta", "Anomiopus aequalis", "Anomiopus alexandrei", "Anomiopus andrei", "Anomiopus apuskispay", "Anomiopus ataenioides", "Anomiopus batesi", "Anomiopus birai", "Anomiopus bonariensis", "Anomiopus brevipes", "Anomiopus cambeforti", "Anomiopus caputipilus", "Anomiopus chalceus", "Anomiopus cuprarius", "Anomiopus edmondsi", "Anomiopus foveicollis", "Anomiopus galileoae", "Anomiopus genieri", "Anomiopus germari", "Anomiopus gilli", "Anomiopus globosus", "Anomiopus gracilis", "Anomiopus hirsutus", "Anomiopus howdeni", "Anomiopus idei", "Anomiopus impartectus", "Anomiopus intermedius", "Anomiopus juanae", "Anomiopus lacordairei", "Anomiopus laetus", "Anomiopus latistriatus", "Anomiopus lunatipes", "Anomiopus mourai", "Anomiopus myrmidon", "Anomiopus nigricans", "Anomiopus nigrocoeruleus", "Anomiopus octodentatus", "Anomiopus palmispinus", "Anomiopus panamensis", "Anomiopus paraensis", "Ateuchus alutacius", "Ateuchus ambiguus", "Ateuchus apicatus", "Ateuchus asperatus", "Ateuchus balthasari", "Ateuchus bordoni", "Ateuchus brevis", "Ateuchus calcaratus", "Ateuchus candezei", "Ateuchus carcavalloi", "Ateuchus carolinae", "Ateuchus cereus", "Ateuchus cernyi", "Ateuchus chrysopyge", "Ateuchus columbianus", "Ateuchus confusus", "Ateuchus connexus", "Ateuchus contractus", "Ateuchus cujuchi", "Ateuchus earthorus", "Ateuchus ecuadorensis", "Ateuchus euchalceus", "Ateuchus femoratus", "Ateuchus fetteri", "Ateuchus floridensis", "Ateuchus freudei", "Ateuchus frontalis", "Ateuchus fuscipes", "Ateuchus fuscorubrus", "Ateuchus gershensoni", "Ateuchus ginae", "Ateuchus globulus", "Ateuchus granigerus", "Ateuchus guatemalensis", "Ateuchus halffteri", "Ateuchus hamatus", "Ateuchus hendrichsi", "Ateuchus histeroides", "Ateuchus histrio", "Ateuchus hoplopygus", "Ateuchus howdeni", "Ateuchus hypocrita", "Ateuchus illaesus", "Ateuchus irinus", "Ateuchus klugi", "Ateuchus laetitiae", "Ateuchus laevicolle", "Ateuchus laterale", "Ateuchus latus", "Ateuchus loricatus", "Ateuchus luciae", "Ateuchus murrayi", "Ateuchus mutilatus", "Ateuchus myrmecophilus", "Ateuchus nitidulus", "Ateuchus oblongus", "Ateuchus opacipennis", "Ateuchus ovale", "Ateuchus parvus", "Ateuchus pauki", "Ateuchus pauperatus", "Ateuchus perezvelai", "Ateuchus perpusillus", "Besourenga amarillai", "Besourenga horacioi", "Besourenga minutum", "Besourenga vejdovskyi", "Bohepilissus nitidus", "Bohepilissus subtilis", "Bolbites onitoides", "Boletoscapter cornutus", "Boletoscapter furcatus", "Bradypodidium adisi", "Bradypodidium bradyporum", "Bradypodidium venezuelense", "Byrrhidium convexum", "Byrrhidium ovale", "Caccobius bidentatus", "Caccobius binodulus", "Caccobius chujoi", "Caccobius cyclotis", "Caccobius demangei", "Caccobius denticollis", "Caccobius flavolimbatus", "Caccobius gonoderus", "Caccobius histeroides", "Caccobius imitans", "Caccobius ivorensis", "Caccobius maruyamai", "Caccobius masumotoi", "Caccobius mundus", "Caccobius pantherinus", "Caccobius rufipennis", "Caccobius scheuerni", "Caccobius castaneus", "Caccobius pseudolaevis", "Caccobius anthracites", "Caccobius aterrimus", "Caccobius atratus", "Caccobius auberti", "Caccobius balthasari", "Caccobius bama", "Caccobius boucomonti", "Caccobius brevis", "Caccobius callosifrons", "Caccobius cavatus", "Caccobius christophi", "Caccobius corniceps", "Caccobius cribrarius", "Caccobius croceocinctus", "Caccobius curvicornis", "Caccobius cuspidiger", "Caccobius diminutivus", "Caccobius discrepans", "Caccobius dorsalis", "Caccobius dybowskii", "Caccobius elephantinus", "Caccobius ferrugineus", "Caccobius foveolatus", "Caccobius fukiensis", "Caccobius fuliginosus", "Caccobius gallinus", "Caccobius gananensis", "Caccobius genierorum", "Caccobius gibbosulus", "Caccobius gilleti", "Caccobius globaticeps", "Caccobius grossegranosus", "Caccobius himalayanus", "Caccobius hirsutus", "Caccobius histerinus", "Caccobius histrio", "Caccobius inconspicuus", "Caccobius indicus", "Caccobius inops", "Caccobius jossoi", "Caccobius kelleri", "Caccobius krikkeni", "Caccobius lamottei", "Caccobius lateralis", "Caccobius leleupi", "Caccobius longipennis", "Caccobius minor", "Caccobius mirabilepunctatus", "Caccobius morettoi", "Caccobius nigritulus", "Caccobius nikkoensis", "Caccobius obtusus", "Caccobius ocellipennis", "Caccobius pentagonus", "Caccobius pilosus", "Caccobius polygonus", "Caccobius pulicarius", "Caccobius pullus", "Caccobius punctatissimus", "Caccobius reticuliger", "Caccobius semiaeneus", "Caccobius sericeus", "Caccobius sericoides", "Caccobius setifer", "Caccobius signatipennis", "Caccobius sordidus", "Caccobius suzukii", "Caccobius tai", "Caccobius torticornis", "Caccobius tortus", "Caccobius tsunoellus", "Caccobius tuberifrons", "Caccobius ultor", "Caccobius unicornis", "Caccobius upembanus", "Caccobius villiersi", "Caccobius vulcanus", "Caccobius zairensis", "Caccobius zambiensis", "Alucita agapeta", "Xanthophyllum sulphureum", "Xanthophyllum cockburnii", "Chrysozephyrus inthanonensis hainanicus", "Chrysozephyrus gaoi gaoi", "Chrysozephyrus gaoi meili", "Melanomys zunigae", "Melanomys robustulus", "Xanthophyllum havilandii", "Xanthophyllum purpureum", "Xanthophyllum ferrugineum", "Canthidium politum", "Canthidium prasinum", "Canthidium pullus", "Canthidium quadridens", "Canthidium refulgens", "Canthidium seladon", "Canthidium sladeni", "Canthidium smaragdinum", "Canthidium splendidum", "Canthidium steinheili", "Canthidium sulcatum", "Canthidium taurinum", "Canthidium titschacki", "Canthidium tuberifrons", "Canthidium versicolor", "Canthidium viride", "Canthidium viridiobscurum", "Canthidium volxemi", "Canthidium andersoni", "Canthidium annagabrielae", "Canthidium ardens", "Canthidium atomarium", "Canthidium atramentarium", "Canthidium aurifex", "Canthidium barbacenicum", "Canthidium bovinum", "Canthidium breve", "Canthidium clypeale", "Canthidium cognatum", "Canthidium collare", "Canthidium cupreum", "Canthidium darwini", "Canthidium delgadoi", "Canthidium deplanatum", "Canthidium discolor", "Canthidium discopygidiale", "Canthidium emoryi", "Canthidium epistomale", "Canthidium euchalceum", "Canthidium femoratum", "Canthidium flabellatum", "Canthidium flavicorne", "Canthidium flavipes", "Canthidium funebre", "Canthidium globulum", "Canthidium gracilipes", "Canthidium guanacaste", "Canthidium hespenheidei", "Canthidium howdeni", "Canthidium humerale", "Canthidium inerme", "Canthidium kirschi", "Canthidium korschefskyi", "Canthidium laetum", "Canthidium lebasi", "Canthidium leucopterum", "Canthidium macclevei", "Canthidium macroculare", "Canthidium margaritae", "Canthidium marianelae", "Canthidium marielae", "Canthidium metallicum", "Canthidium moestum", "Canthidium moroni", "Canthidium nanum", "Canthidium nigritum", "Canthidium nitidum", "Canthidium onitoides", "Canthidium onthophagoides", "Canthidium opacum", "Canthidium pallidoalatum", "Canthidium perceptibile", "Canthidium planovultum", "Canthidium priscillae", "Canthidium pseudoperceptibile", "Canthidium pseudopuncticolle", "Canthidium puncticolle", "Canthidium riverai", "Canthidium ruficolle", "Canthidium rufinum", "Canthidium rufipes", "Canthidium smithi", "Canthidium subdopuncticolle", "Canthidium tenebrosum", "Canthidium thalassinum", "Canthidium tricolor", "Canthidium trinodosum", "Canthidium variolosum", "Canthidium vespertinum", "Canthidium abbreviatum", "Canthidium aterrimum", "Canthidium basale", "Canthidium calidum", "Canthidium cavifrons", "Canthidium flavum", "Canthidium gemmingeri", "Canthidium granuliferum", "Canthidium haagi", "Canthidium latum", "Canthidium magnum", "Canthidium melanocephalum", "Canthidium minimum", "Canthidium monoceros", "Canthidium multipunctatum", "Canthidium muticum", "Canthidium paranum", "Canthidium parvulum", "Canthidium persplendens", "Canthidium picipes", "Canthidium pseudaurifex", "Canthidium punctatostriatum", "Canthidium puncticeps", "Canthidium rutilum", "Canthidium semicupreum", "Canthidium stali", "Canthidium sulcicolle", "Canthidium violaceipenne", "Canthon velutinus", "Canthon unicolor", "Canthon triangularis", "Canthon splendidus", "Canthon sericatus", "Canthon quinquemaculatus", "Canthon quadratus", "Canthon punctatus", "Canthon principalis", "Canthon orfilai", "Canthon pauxillus", "Canthon perseverans", "Canthon melancholicus", "Canthon monilifer", "Canthon maldonadoi", "Canthon laminatus", "Canthon gemellatus", "Canthon fuscipes", "Canthon edentulus", "Canthon denticulatus", "Canthon dentiger", "Canthon divinator", "Canthon ateuchiceps", "Canthon bisignatus", "Canthon coahuilensis", "Canthon depressipennis", "Canthon ebeneus", "Canthon forreri", "Canthon integricollis", "Canthon lecontei", "Canthon melanus", "Canthon mixtus", "Canthon nyctelius", "Canthon praticola", "Canthon probus", "Canthon puncticollis", "Canthon simplex", "Canthon aberrans", "Canthon angularis", "Canthon bispinus", "Canthon caelius", "Canthon chalcites", "Canthon chiriguano", "Canthon cinctellus", "Canthon coeruleicollis", "Canthon coerulescens", "Canthon curvipes", "Canthon curvodilatatus", "Canthon cyanellus", "Canthon daguerrei", "Canthon delicatulus", "Canthon delpontei", "Canthon deplanatus", "Canthon deyrollei", "Canthon forcipatus", "Canthon formosus", "Canthon hartmanni", "Canthon heyrovskyi", "Canthon humboldti", "Canthon humectus", "Canthon imitator", "Canthon indigaceus", "Canthon inusitatus", "Canthon janthinus", "Canthon juvencus", "Canthon lituratus", "Canthon lividus", "Canthon matthewsi", "Canthon modestus", "Canthon morsei", "Canthon mutabilis", "Canthon nigripennis", "Canthon obliquus", "Canthon obscuriellus", "Canthon octodentatus", "Canthon ornatus", "Canthon piluliformis", "Canthon podagricus", "Canthon quadripunctatus", "Canthon reyesi", "Canthon septemmaculatus", "Canthon silvaticus", "Canthon steinheili", "Canthon substriatus", "Canthon vigilans", "Canthon carbonarius", "Canthon dives", "Canthon enkerlini", "Canthon lamproderes", "Canthon latipes", "Canthon rutilans", "Canthon tetraodon", "Canthon acutiformis", "Canthon acutoides", "Canthon acutus", "Canthon angustatus", "Canthon antoniomartinezi", "Canthon bimaculatus", "Canthon brunneus", "Canthon brunnipennis", "Canthon championi", "Canthon circulatus", "Canthon cobosi", "Canthon coloratus", "Canthon columbianus", "Canthon corporaali", "Canthon delgadoi", "Canthon deloyai", "Canthon edmondsi", "Canthon euryscelis", "Canthon fallax", "Canthon femoralis", "Canthon helleri", "Canthon ibarragrassoi", "Canthon lafargei", "Canthon lamprimus", "Canthon leechi", "Canthon luteicollis", "Canthon manantlanensis", "Canthon marmoratus", "Canthon meridionalis", "Canthon montanus", "Canthon moroni", "Canthon oliverioi", "Canthon pacificus", "Canthon pallidus", "Canthon plagiatus", "Canthon politus", "Canthon quadriguttatus", "Canthon rubrescens", "Canthon rzedowskii", "Canthon semiopacus", "Canthon simulans", "Canthon subcyaneus", "Canthon subhyalinus", "Canthon variabilis", "Canthon vazquezae", "Cambefortantus ranomafanensis", "Cambefortantus ranomandryi", "Cambefortius bidentiger", "Cambefortius cavipectus", "Cambefortius dudleyi", "Cambefortius eburneus", "Cambefortius guineensis", "Cambefortius lamizanai", "Cambefortius teke", "Cambefortius turneri", "Canthidium aeneolum", "Canthidium alvarezi", "Canthidium angulicolle", "Canthidium angusticeps", "Canthidium atricolle", "Canthidium aurichalceum", "Canthidium auricolle", "Canthidium basipunctatum", "Canthidium batesi", "Canthidium bicolor", "Canthidium bituberifrons", "Canthidium bokermanni", "Canthidium caesareum", "Canthidium centrale", "Canthidium chabanaudi", "Canthidium chrysis", "Canthidium coerulescens", "Canthidium convexifrons", "Canthidium cuprinum", "Canthidium decoratum", "Canthidium depressum", "Canthidium deyrollei", "Canthidium dispar", "Canthidium dohrni", "Canthidium elegantulum", "Canthidium erythropterum", "Canthidium escalerai", "Canthidium excisipes", "Canthidium foveolatum", "Canthidium gerstaeckeri", "Canthidium gigas", "Canthidium glabricolle", "Canthidium guyanense", "Canthidium haroldi", "Canthidium histrio", "Canthidium hyla", "Canthidium hypocrita", "Canthidium imperiale", "Canthidium impressum", "Canthidium inoptatum", "Canthidium kelleri", "Canthidium kiesenwetteri", "Canthidium kraatzi", "Canthidium laevigatum", "Canthidium latipleurum", "Canthidium lentum", "Canthidium lucidum", "Canthidium luteum", "Canthidium manni", "Canthidium marseuli", "Canthidium miscellum", "Canthidium nobile", "Canthidium obscurum", "Canthidium pinotoides", "Xanthophyllum eurhynchum subsp. maingayi", "Ptilotus crispus", "Xanthophyllum eurhynchum subsp. eurhynchum", "Culicoides nigritus", "Leptoconops maai", "Alluaudomyia splendida", "Alluaudomyia papuae", "Alluaudomyia immaculata", "Alluaudomyia bifasciata", "Alluaudomyia platipyga", "Alluaudomyia astera", "Alluaudomyia brandti", "Alluaudomyia novaguineae", "Alluaudomyia petersi", "Alluaudomyia jimmensis", "Alluaudomyia smeei", "Xanthophyllum obscurum", "Eryops megacephalus", "Xanthophyllum wrayi", "Xanthophyllum bullatum", "Ateuchus persplendens", "Ateuchus peruanus", "Ateuchus procerus", "Ateuchus pruneus", "Ateuchus puncticollis", "Ateuchus pygidialis", "Ateuchus rispolii", "Ateuchus robustus", "Ateuchus rodriguezi", "Ateuchus romani", "Ateuchus scatimoides", "Ateuchus semicribratus", "Ateuchus setulosus", "Ateuchus simplex", "Ateuchus solisi", "Ateuchus squalidus", "Ateuchus steinbachi", "Ateuchus striatulus", "Ateuchus subquadratus", "Ateuchus substriatus", "Ateuchus tenebrosus", "Ateuchus texanus", "Ateuchus tridenticeps", "Ateuchus viduus", "Ateuchus vigilans", "Ateuchus viridimicans", "Ateuchus vividus", "Ateuchus zoebischi", "Attavicinus monstrosus", "Aulacopris matthewsi", "Aulacopris maximus", "Aulacopris reichei", "Baloghonthobium monommoides", "Bdelyropsis bowditchi", "Bdelyropsis newtoni", "Bdelyropsis venezuelensis", "Bdelyrus amazonensis", "Bdelyrus apaporisae", "Bdelyrus ashei", "Bdelyrus boliviensis", "Bdelyrus braziliensis", "Bdelyrus bromeliatilis", "Bdelyrus cochabambae", "Bdelyrus ecuadorae", "Bdelyrus geijskesi", "Bdelyrus genieri", "Bdelyrus gilli", "Bdelyrus grandis", "Bdelyrus howdeni", "Bdelyrus iauaretensis", "Bdelyrus iquitosensis", "Bdelyrus lagopus", "Bdelyrus laplanadae", "Bdelyrus leptomerus", "Bdelyrus lobatus", "Bdelyrus metaensis", "Bdelyrus paraensis", "Bdelyrus parvoculus", "Bdelyrus parvus", "Bdelyrus pecki", "Bdelyrus peruviensis", "Bdelyrus seminudus", "Bdelyrus triangulus", "Canthon viduus", "Canthon viridis", "Canthon vulcanoae", "Canthon zuninoi", "Canthon fulgidus", "Canthon smaragdulus", "Canthon callosus", "Canthon signifer", "Canthon violaceus", "Canthon auricollis", "Canthon staigi", "Canthon sulcatus", "Canthon lunatus", "Canthon muticus", "Canthon planus", "Canthon reichei", "Canthon sordidus", "Canthidium viridicolle", "Canthon balteatus", "Canthon bicolor", "Canthon candens", "Canthon corruscus", "Canthonidia hirsuta", "Canthonidia rubromaculata", "Canthonosoma castelnaui", "Canthonosoma macleayi", "Canthonosoma mastersi", "Canthotrypes oberthuri", "Cassolus fukiensis", "Cassolus gotoi", "Cassolus humeralis", "Cassolus javanus", "Cassolus minutus", "Cassolus nudus", "Cassolus peninsularis", "Cassolus pongchaii", "Cassolus sumatranus", "Catharsiocopris quadrituberculatus", "Catharsius achates", "Catharsius adamastor", "Catharsius aethiops", "Catharsius africanus", "Catharsius alpheus", "Catharsius approximans", "Catharsius balubanus", "Catharsius belus", "Catharsius biconifer", "Catharsius bicornutus", "Catharsius birmanensis", "Catharsius bradshawi", "Catharsius brevicornis", "Catharsius brittoni", "Catharsius brutus", "Catharsius calaharicus", "Catharsius capucinus", "Catharsius cassius", "Catharsius chinai", "Catharsius congolensis", "Catharsius convexiusculus", "Catharsius coptorhinaformis", "Catharsius crassicornis", "Catharsius dayacus", "Catharsius dubius", "Catharsius duciformis", "Catharsius dux", "Catharsius erechtheus", "Catharsius fastidiosus", "Catharsius furcillatus", "Catharsius garambae", "Catharsius gorilloides", "Catharsius granulatus", "Catharsius guineensis", "Catharsius haafi", "Catharsius harpagus", "Catharsius hertli", "Catharsius jacksoni", "Catharsius javanus", "Catharsius karlwerneri", "Catharsius kolbei", "Catharsius laticeps", "Catharsius latifossa", "Catharsius lepineyi", "Catharsius longiceps", "Catharsius luluensis", "Catharsius lycaon", "Catharsius machadoi", "Catharsius marcellus", "Catharsius melancholicus", "Catharsius morettoi", "Catharsius nathani", "Catharsius neptunus", "Catharsius ninus", "Catharsius oedipus", "Catharsius oryx", "Catharsius pandion", "Catharsius parafastidiosus", "Catharsius phidias", "Catharsius philus", "Catharsius pithecius", "Catharsius platicornis", "Catharsius platycerus", "Catharsius platynotus", "Catharsius platypus", "Catharsius polynices", "Catharsius pseudocongolensis", "Catharsius pseudolycaon", "Catharsius pseudooedipus", "Catharsius pseudovitulus", "Catharsius quadridentatus", "Catharsius renaudpauliani", "Catharsius rhinoceros", "Catharsius saegeri", "Catharsius sagax", "Catharsius satyrus", "Catharsius scopas", "Catharsius semirubidus", "Catharsius severini", "Catharsius simillimus", "Catharsius somalicus", "Catharsius spectabilis", "Catharsius straeleni", "Catharsius stuhlmanni", "Catharsius tricornutus", "Catharsius tridens", "Catharsius ugandicus", "Catharsius ulysses", "Catharsius upembanus", "Trochalopteron imbricatum", "Xanthophyllum pubescens", "Xanthophyllum resupinatum", "Trochalopteron melanostigma", "Melanomys caliginosus", "Cleptocaccobius arrowi", "Cleptocaccobius balthasarianus", "Cleptocaccobius biceps", "Cleptocaccobius boucomonti", "Cleptocaccobius clementi", "Cleptocaccobius convexifrons", "Cleptocaccobius dorbignyi", "Cleptocaccobius durantoni", "Cleptocaccobius humilis", "Cleptocaccobius inermis", "Cleptocaccobius khatimae", "Cleptocaccobius morettoi", "Cleptocaccobius postlutatus", "Cleptocaccobius schaedlei", "Cleptocaccobius scrofa", "Cleptocaccobius semiluteus", "Cleptocaccobius seminulum", "Cleptocaccobius signaticollis", "Cleptocaccobius simplex", "Cleptocaccobius uniseries", "Cleptocaccobius viridicollis", "Cleptocaccobius youngai", "Copridaspidus peregrinus", "Copris muticus", "Copris punctiventris", "Copris ruandanus", "Copris simplex", "Copris apicepunctatus", "Copris doriae", "Copris fujiokai", "Copris hidakai", "Copris hosakai", "Copris miyakei", "Copris propinquus", "Copris reflexus", "Copris vitalisi", "Copris andrewesi", "Copris anomiopseoides", "Copris cariniceps", "Copris compressipennis", "Copris cribratus", "Copris davisoni", "Copris excisus", "Copris furciceps", "Copris imitans", "Copris kasagii", "Copris pedarioides", "Copris punctulatus", "Copris punjabensis", "Copris ramosiceps", "Copris signatus", "Copris surdus", "Copris barclayi", "Copris basipunctatus", "Copris cheni", "Copris kiuchii", "Copris kusakabei", "Copris laevigatus", "Copris obenbergeri", "Copris parapecuarius", "Copris pseudochus", "Copris quasilaevigatus", "Copris sabinus", "Copris sacontala", "Copris tsukamotoi", "Copris uenoi", "Copris yangi", "Copris acutidens", "Copris afgoi", "Copris agnus", "Copris algol", "Copris amabilis", "Copris amyntor", "Copris anceus", "Copris angusticornis", "Copris angustus", "Copris antares", "Copris arcturus", "Copris ares", "Copris arizonensis", "Copris armatus", "Copris armeniacus", "Copris armiger", "Copris arrowi", "Copris aspericollis", "Copris atropolitus", "Copris basilewskyi", "Copris bellator", "Copris bengalensis", "Copris bidens", "Copris bootes", "Copris boucardi", "Copris bovinus", "Copris brachypterus", "Copris brittoni", "Copris caelatus", "Copris caliginosus", "Copris cambeforti", "Copris camerunus", "Copris capensis", "Copris carinicus", "Copris carmelita", "Copris cassius", "Copris celebensis", "Copris chimalapensis", "Samolus parviflorus", "Catharsius vansoni", "Catharsius vitulus", "Cephalodesmius armiger", "Cephalodesmius laticollis", "Cephalodesmius quadridens", "Chalcocopris hesperus", "Chalcocopris inexpectatus", "Cheironitis arrowi", "Cheironitis asbenicus", "Cheironitis audens", "Cheironitis candezei", "Cheironitis dentifemoralis", "Cheironitis flabellatus", "Cheironitis furcifer", "Cheironitis haroldi", "Cheironitis hoplosternus", "Cheironitis hungaricus", "Cheironitis imitator", "Cheironitis indicus", "Cheironitis irroratus", "Cheironitis klapperichi", "Cheironitis moeris", "Cheironitis muelleri", "Cheironitis osiridis", "Cheironitis pamphilus", "Cheironitis phoebus", "Cheironitis scabrosus", "Cheironitis socotranus", "Cheironitis sterculius", "Cheironitis viridicans", "Xanthophyllum ancolanum", "Ptilotus chortophytus", "Xanthophyllum eurhynchum", "Ptilotus clementii", "Ptilotus comatus", "Ptilotus conicus", "Cenopalpus xini", "Ptilotus corymbosus", "Copris colmanti", "Copris complexus", "Copris confucius", "Copris coriarius", "Copris cornifrons", "Copris corniger", "Copris corpulentus", "Copris costaricensis", "Copris crassus", "Copris cribricollis", "Copris curlettii", "Copris davidis", "Copris davisi", "Copris decellei", "Copris delicatus", "Copris denticulatus", "Copris draco", "Copris dracunculus", "Copris dudleyi", "Copris eburneus", "Copris elpheneroides", "Copris erratus", "Copris evanidus", "Copris fallax", "Copris felschei", "Copris fidius", "Copris frankenbergerianus", "Copris freyi", "Copris fricator", "Copris fukiensis", "Copris garambae", "Copris gazellarum", "Copris gibbulus", "Copris gilleti", "Copris gladiator", "Copris gopheri", "Copris gracilis", "Copris graueri", "Copris halffteri", "Copris harrisi", "Copris hartli", "Copris hatayamai", "Copris howdeni", "Copris humilis", "Copris hybridus", "Copris igualensis", "Copris illotus", "Copris inaequabilis", "Copris inemarginatus", "Copris inhalatus", "Copris insidiosus", "Copris integer", "Copris interioris", "Copris iris", "Copris jacchoides", "Copris jacchus", "Copris jahi", "Copris juanmorai", "Copris jucundus", "Copris kartlinus", "Copris katangae", "Copris keralensis", "Copris klapperichi", "Copris klugi", "Copris laeviceps", "Copris laiiformis", "Copris laioides", "Copris laius", "Copris lannathai", "Copris leakeyorum", "Copris lecontei", "Copris lugubris", "Copris macacus", "Copris macclevei", "Copris macer", "Copris maesi", "Copris magicus", "Copris manni", "Copris marcus", "Copris martinae", "Copris martinezi", "Copris matthewsi", "Copris medogensis", "Copris megaceratoides", "Copris megasoma", "Copris mesacanthus", "Copris mexicanus", "Copris minutus", "Copris misellus", "Copris moechus", "Copris moffartsi", "Copris mongkhoni", "Copris montivagus", "Copris morphaeus", "Copris mourgliai", "Copris neglectus", "Copris nepos", "Copris nevinsoni", "Copris novaki", "Copris nubilosus", "Copris numa", "Copris obesus", "Copris orion", "Copris orphanus", "Copris pauliani", "Copris phungae", "Copris phylax", "Copris poggii", "Copris potanini", "Copris prevosti", "Copris pristinus", "Copris pseudobootes", "Copris pseudomoffartsi", "Copris pseudosinicus", "Copris pueli", "Copris punctatus", "Copris puncticollis", "Copris punctipennis", "Copris rebouchei", "Copris remotus", "Copris renwarti", "Copris repertus", "Copris ribbei", "Copris riekoae", "Copris ritsemae", "Copris rugosus", "Copris ruricola", "Brachytydeus hungaricus", "Brachytydeus sanctikingai", "Brachytydeus bathorii", "Neopronematus solani", "Xanthophyllum schizocarpon", "Copris sallei", "Copris sarpedon", "Copris saundersi", "Copris scorpio", "Copris serius", "Copris sexdentatus", "Copris siamensis", "Copris siangensis", "Copris sierrensis", "Copris simonettai", "Copris simulator", "Copris singularis", "Copris sinicus", "Copris sinon", "Copris sodalis", "Copris sorex", "Copris sphaeropterus", "Copris spinator", "Copris subdolus", "Copris subpunctatus", "Copris subsidens", "Copris subterraneus", "Copris sumatrensis", "Copris szechouanicus", "Copris tetraodon", "Copris tridens", "Copris tridentatus", "Copris truncatus", "Copris typhoeus", "Copris umbilicatus", "Copris urus", "Copris usambaricus", "Copris vankhaii", "Copris victorini", "Copris vietnamicus", "Copris vilhenai", "Copris vrydaghi", "Copris warneri", "Copris wiesei", "Copris youngai", "Copris zhangi", "Coproecus hemisphaericus", "Coprophanaeus bellicosus", "Coprophanaeus bonariensis", "Coprophanaeus ensifer", "Coprophanaeus lancifer", "Coprophanaeus horus", "Coprophanaeus machadoi", "Coprophanaeus pertyi", "Coprophanaeus pessoai", "Coprophanaeus punctatus", "Coprophanaeus saphirinus", "Coprophanaeus thalassinus", "Coprophanaeus vazdemelloi", "Coprophanaeus abas", "Coprophanaeus acrisius", "Coprophanaeus boucardi", "Coprophanaeus callegarii", "Coprophanaeus cerberus", "Coprophanaeus chiriquensis", "Coprophanaeus christophorowi", "Coprophanaeus conocephalus", "Coprophanaeus corythus", "Coprophanaeus cyanescens", "Cetrelia sayanensis", "Callitris arenaria", "Holochilus lagigliai", "Macrophya qinlingium", "Macrophya rugosifossa", "Cryptocanthon genieri", "Cryptocanthon gilli", "Cryptocanthon howdeni", "Cryptocanthon humidus", "Cryptocanthon lindemanae", "Cryptocanthon lobatus", "Cryptocanthon lobipygus", "Cryptocanthon medinae", "Cryptocanthon montebello", "Cryptocanthon napoensis", "Cryptocanthon nebulinus", "Cryptocanthon newtoni", "Cryptocanthon ocosingo", "Cryptocanthon osaensis", "Cryptocanthon otonga", "Cryptocanthon paradoxus", "Cryptocanthon parvus", "Cryptocanthon peckorum", "Cryptocanthon pulidoae", "Cryptocanthon pumilus", "Cryptocanthon punctatus", "Cryptocanthon rayonensis", "Cryptocanthon solisi", "Cryptocanthon urguensis", "Cyobius wallacei", "Degallieridium lilliputanum", "Delopleurus darrenmanni", "Delopleurus fossatus", "Delopleurus gilletti", "Delopleurus krikkeni", "Delopleurus mencli", "Delopleurus naviauxi", "Delopleurus parvus", "Delopleurus pubescens", "Delopleurus pullus", "Delopleurus striatus", "Deltepilissus diabolicus", "Deltepilissus infernalis", "Deltochilum acanthus", "Deltochilum acropyge", "Deltochilum alpercata", "Deltochilum amandaarcanjoae", "Deltochilum arturoi", "Deltochilum cangalha", "Deltochilum cupreicolle", "Deltochilum feeri", "Deltochilum finestriatum", "Deltochilum icariforme", "Deltochilum icaroides", "Deltochilum kolleri", "Deltochilum larseni", "Deltochilum longiceps", "Deltochilum paresi", "Deltochilum ritamourae", "Deltochilum schefflerorum", "Deltochilum streblopodum", "Deltochilum subrubum", "Deltochilum titovidaurrei", "Deltochilum trisignatum", "Deltochilum violaceum", "Deltochilum viridescens", "Deltochilum viridicatum", "Deltochilum carinatum", "Deltochilum costalimai", "Calotydeus fustis", "Pseudocrenilabrus pyrrhocaudalis", "Brachytydeus zebramontanus", "Deltochilum cristinae", "Deltochilum elevatum", "Deltochilum hypponum", "Deltochilum luederwaldti", "Deltochilum mexicanum", "Deltochilum punctatum", "Deltochilum riehli", "Deltochilum robustus", "Deltochilum tessellatum", "Deltochilum variolosum", "Deltochilum verruciferum", "Deltochilum abdominalis", "Deltochilum aequinoctiale", "Deltochilum aspericolle", "Deltochilum aureopilosum", "Deltochilum barbipes", "Deltochilum batesi", "Deltochilum bordoni", "Deltochilum calcaratum", "Deltochilum crenulipes", "Deltochilum cristatum", "Deltochilum diringshofeni", "Deltochilum elongatum", "Deltochilum femorale", "Deltochilum fuscocupreum", "Deltochilum granulatum", "Deltochilum guyanense", "Deltochilum howdeni", "Deltochilum inaequale", "Deltochilum irroratum", "Deltochilum komareki", "Deltochilum laetiusculum", "Deltochilum lindemannae", "Deltochilum morbillosum", "Deltochilum mourei", "Deltochilum multicolor", "Deltochilum parile", "Deltochilum peruanum", "Deltochilum plebejum", "Deltochilum pretiosum", "Deltochilum pseudoparile", "Deltochilum sculpturatum", "Deltochilum septemstriatum", "Deltochilum sericeum", "Deltochilum sextuberculatum", "Deltochilum silphoides", "Deltochilum speciosissimum", "Deltochilum spinipes", "Deltochilum submetallicum", "Deltochilum viridicupreum", "Deltochilum brasiliense", "Deltochilum bezdeki", "Deltochilum carrilloi", "Deltochilum guildingii", "Deltochilum icarus", "Deltochilum lobipes", "Deltochilum loperae", "Deltochilum louzadai", "Deltochilum molanoi", "Deltochilum orbignyi", "Deltochilum panamensis", "Deltochilum pseudoicarus", "Deltochilum sublaeve", "Deltochilum furcatum", "Brachytydeus ocellatus", "Tydeus reticoxus", "Tydeus rhusi", "Holochilus chacarius", "Neolarnaca vera", "Holochilus venezuelae", "Holochilus vulpinus", "Ophrys fusca subsp. fusca", "Deltochilum granulosum", "Deltochilum rubripenne", "Deltochilum dentipes", "Deltochilum enceladus", "Deltochilum erodioides", "Deltochilum eurymedon", "Deltochilum orbiculare", "Deltochilum rosamariae", "Deltochilum scabriusculum", "Deltochilum tumidum", "Demarziella alternata", "Demarziella eungella", "Demarziella geminata", "Demarziella imitatrix", "Demarziella interrupta", "Demarziella metallica", "Demarziella mirifica", "Demarziella planitarsis", "Demarziella pratensis", "Demarziella scarpensis", "Demarziella storeyi", "Demarziella sylvestris", "Demarziella tropicalis", "Demarziella yorkensis", "Dendropaemon bluti", "Dendropaemon carinifer", "Dendropaemon compressipennis", "Dendropaemon cribrosus", "Dendropaemon furtadoi", "Dendropaemon hirticollis", "Dendropaemon inflatus", "Dendropaemon pauliani", "Dendropaemon pilosissimus", "Dendropaemon renatii", "Dendropaemon viridipennis", "Dendropaemon convexus", "Dendropaemon fredericki", "Dendropaemon angustipennis", "Dendropaemon bahianus", "Dendropaemon inemarginatus", "Dendropaemon nigrotulus", "Dendropaemon amyntas", "Dendropaemon attalus", "Dendropaemon lydiae", "Dendropaemon morettoi", "Dendropaemon ganglbaueri", "Dendropaemon vazdemelloi", "Dendropaemon refulgens", "Dendropaemon fractipes", "Dendropaemon fasces", "Dendropaemon haroldi", "Dendropaemon latistriatus", "Dendropaemon nitidicollis", "Dendropaemon quadratus", "Dendropaemon similis", "Dendropaemon denticollis", "Dendropaemon aenigmaticus", "Dendropaemon amazonicus", "Dendropaemon angustulus", "Dendropaemon ater", "Dendropaemon flechtmanni", "Dendropaemon larseni", "Dendropaemon piceus", "Dendropaemon telephus", "Dichotomius tristis", "Dichotomius validipilosus", "Dichotomius vidaurrei", "Dichotomius yucatanus", "Dichotomius ziliolii", "Dichotomius acuticornis", "Dichotomius aielloae", "Dichotomius ascanius", "Dichotomius bicuspis", "Dichotomius enrietti", "Dichotomius fissiceps", "Dichotomius fissus", "Dichotomius fonsecae", "Dichotomius guaranii", "Dichotomius inflaticollis", "Dichotomius ingens", "Dichotomius mundus", "Dichotomius pauloensis", "Dichotomius punctulatipennis", "Dichotomius pygidialis", "Dichotomius quadraticeps", "Dichotomius rotundigena", "Dichotomius rugosipennis", "Dichotomius simplex", "Dichotomius simplicicornis", "Dichotomius simulans", "Dichotomius singularis", "Dichotomius socius", "Dichotomius spadiceus", "Dichotomius taunayi", "Dichotomius adrastus", "Dichotomius agesilaus", "Dichotomius alutaceus", "Dichotomius alyattes", "Dichotomius amicitiae", "Dichotomius andresi", "Dichotomius annae", "Dichotomius anthrax", "Dichotomius bicornis", "Dichotomius bitiensis", "Dichotomius boreus", "Dichotomius borgmeieri", "Dichotomius bos", "Dichotomius buqueti", "Dichotomius camargoi", "Dichotomius camposeabrai", "Dichotomius carinatus", "Dichotomius carolinus", "Dichotomius coenosus", "Dichotomius colonicus", "Dichotomius comarapensis", "Dichotomius conicollis", "Dichotomius costaricensis", "Dichotomius cotopaxi", "Dichotomius dahli", "Dichotomius depressicollis", "Dichotomius diabolicus", "Dichotomius divergens", "Dichotomius dynastus", "Dichotomius haroldi", "Dichotomius hempeli", "Dichotomius horridus", "Dichotomius horvathi", "Dichotomius imitator", "Cetrariella sorediella", "Xanthophyllum velutinum", "Xanthophyllum ovatifolium", "Xanthophyllum tenue", "Cetrelia davidiana", "Ptilotus decalvatus", "Fissidens exiguus", "Ptilotus declinatus", "Cetrelia orientalis", "Cetrelia pseudocollata", "Epactoides humeralis", "Epactoides hyphydroides", "Epactoides incertus", "Epactoides jounii", "Epactoides lacustris", "Epactoides lissus", "Epactoides madecassus", "Epactoides mahaboi", "Epactoides major", "Epactoides mananarae", "Epactoides mangabeensis", "Epactoides masoalae", "Epactoides olsoufieffi", "Epactoides paradoxus", "Epactoides pauliani", "Epactoides perinetanus", "Epactoides perrieri", "Epactoides rahagai", "Epactoides sambavae", "Epactoides semiaeneus", "Epactoides spinicollis", "Epactoides tiinae", "Epactoides vadoni", "Epactoides vagecarinatus", "Epactoides viridicollis", "Epactoides vondrozoi", "Epilissus alluaudi", "Epilissus andranobeensis", "Epilissus antoetrae", "Epilissus apotolamproides", "Epilissus armipes", "Epilissus cuprarius", "Epilissus delphinensis", "Epilissus emmae", "Epilissus fantamattii", "Epilissus fuscovirens", "Epilissus genieri", "Epilissus guillaumeti", "Epilissus hova", "Epilissus mantasoae", "Epilissus micheli", "Epilissus morio", "Epilissus niger", "Epilissus planatus", "Epilissus prasinus", "Epilissus ruteri", "Epilissus sikorai", "Epilissus striatoides", "Epilissus striatus", "Epilissus viridis", "Epirinus pygidialis", "Eucranium arachnoides", "Eucranium belenae", "Eucranium cyclosoma", "Eucranium dentifrons", "Eucranium planicolle", "Eucranium simplicifrons", "Eudinopus dytiscoides", "Euoniticellus africanus", "Euoniticellus cambeforti", "Euoniticellus capnus", "Euoniticellus cubiensis", "Euoniticellus fumigatus", "Euoniticellus inaequalis", "Euoniticellus intermedius", "Euoniticellus kawanus", "Euoniticellus nasicornis", "Euoniticellus pallens", "Euoniticellus perniger", "Euoniticellus tai", "Euoniticellus tibatensis", "Euoniticellus triangulatus", "Euoniticellus wittei", "Euoniticellus zumpti", "Eurysternus aeneus", "Eurysternus angustulus", "Eurysternus arnaudi", "Eurysternus atrosericus", "Eurysternus balachowskyi", "Eurysternus calligrammus", "Eurysternus cambeforti", "Eurysternus cavatus", "Eurysternus cayennensis", "Eurysternus contractus", "Eurysternus cyanescens", "Eurysternus cyclops", "Eurysternus deplanatus", "Eurysternus fallaciosus", "Eurysternus foedus", "Eurysternus francinae", "Eurysternus gilli", "Eurysternus gracilis", "Eurysternus hamaticollis", "Eurysternus harlequin", "Eurysternus hirtellus", "Eurysternus howdeni", "Eurysternus impressicollis", "Eurysternus inca", "Eurysternus inflexus", "Eurysternus jessopi", "Eurysternus lanuginosus", "Eurysternus magnus", "Eurysternus marmoreus", "Eurysternus martinsi", "Eurysternus maya", "Eurysternus mexicanus", "Eurysternus nanus", "Eurysternus navajasi", "Eurysternus nigrovirens", "Eurysternus obliteratus", "Eurysternus olivaceus", "Eurysternus parallelus", "Eurysternus plebejus", "Eurysternus sanbornei", "Eurysternus squamosus", "Eurysternus streblus", "Eurysternus strigilatus", "Eurysternus sulcifer", "Eurysternus superbus", "Eurysternus truncus", "Eurysternus uniformis", "Eurysternus vastiorum", "Eurysternus velutinus", "Eurysternus ventricosus", "Eurysternus wittmerorum", "Eretmotus eurysternus", "Dichotomius longiceps", "Dichotomius luctuosioides", "Dichotomius mamillatus", "Dichotomius maya", "Dichotomius melzeri", "Dichotomius missionus", "Dichotomius monstrosus", "Dichotomius mormon", "Dichotomius motai", "Dichotomius nemoricola", "Dichotomius nevermanni", "Dichotomius nimuendaju", "Dichotomius nitidissimus", "Dichotomius nutans", "Dichotomius ohausi", "Dichotomius planicollis", "Dichotomius podalirius", "Dichotomius prietoi", "Dichotomius protectus", "Dichotomius provisorius", "Dichotomius puncticollis", "Dichotomius quadrinodosus", "Dichotomius quinquedens", "Dichotomius quinquelobatus", "Dichotomius reclinatus", "Dichotomius ribeiroi", "Dichotomius robustus", "Dichotomius rotundatus", "Dichotomius rugosicollis", "Dichotomius satanas", "Dichotomius semiaeneus", "Dichotomius subaeneus", "Dichotomius telamon", "Dichotomius triangulariceps", "Dichotomius virescens", "Dichotomius worontzowi", "Dichotomius zikani", "Dicranocara deschodti", "Dicranocara inexpectata", "Dicranocara tatasensis", "Diorygopyx asciculifer", "Diorygopyx cuspidatus", "Diorygopyx duplodentatus", "Diorygopyx incomptus", "Diorygopyx incrassatus", "Diorygopyx niger", "Diorygopyx simpliciclunis", "Diorygopyx tibialis", "Disphysema candezei", "Dorbignyolus mirecribratus", "Drepanocerus planus", "Endroedyolus paradoxus", "Ennearabdus lobocephalus", "Epactoides andringitrae", "Epactoides ankasokae", "Epactoides basilewskyi", "Epactoides betschi", "Epactoides costatus", "Epactoides femoralis", "Epactoides fiorii", "Epactoides frontalis", "Epactoides hanskii", "Epactoides helenae", "Epactoides humberti", "Dendropaemon viridis", "Diabroctis mirabilis", "Diabroctis cadmus", "Dichotomius affinis", "Dichotomius agenor", "Dichotomius alvarengai", "Dichotomius amplicollis", "Dichotomius angeloi", "Dichotomius apicalis", "Dichotomius assifer", "Dichotomius batesi", "Dichotomius bechynei", "Dichotomius belus", "Dichotomius bosqui", "Dichotomius carbonarius", "Dichotomius centralis", "Dichotomius crinicollis", "Dichotomius cuprinus", "Dichotomius danieli", "Dichotomius deyrollei", "Dichotomius eucranioides", "Dichotomius fallax", "Dichotomius favi", "Dichotomius femoratus", "Dichotomius fimbriatus", "Dichotomius fortestriatus", "Dichotomius gamboaensis", "Dichotomius geminatus", "Dichotomius glaucus", "Dichotomius globulus", "Dichotomius inachoides", "Dichotomius inachus", "Dichotomius interstitialis", "Dichotomius irinus", "Dichotomius joelus", "Dichotomius laevicollis", "Dichotomius latistriatus", "Dichotomius louzadai", "Dichotomius lucasi", "Dichotomius luctuosus", "Dichotomius lycas", "Dichotomius machadoi", "Dichotomius malyi", "Dichotomius micans", "Dichotomius muticus", "Dichotomius mysticus", "Dichotomius nisus", "Dichotomius nobilis", "Dichotomius ocellatopunctatus", "Dichotomius opacipennis", "Dichotomius opalescens", "Dichotomius parcepunctatus", "Dichotomius problematicus", "Dichotomius punctatostriatus", "Dichotomius rodrigoi", "Dichotomius rugatus", "Dichotomius schiffleri", "Dichotomius semisquamosus", "Dichotomius sericeus", "Dichotomius sexdentatus", "Dichotomius speciosus", "Dichotomius superbus", "Dichotomius texanus", "Dichotomius triquetrus", "Coprophanaeus dardanus", "Coprophanaeus degallieri", "Coprophanaeus gamezi", "Coprophanaeus gephyra", "Coprophanaeus gilli", "Coprophanaeus ignecinctus", "Coprophanaeus jasius", "Coprophanaeus kohlmanni", "Coprophanaeus larseni", "Coprophanaeus lecromi", "Coprophanaeus lichyi", "Coprophanaeus magnoi", "Coprophanaeus milon", "Coprophanaeus morenoi", "Coprophanaeus ohausi", "Coprophanaeus parvulus", "Coprophanaeus pecki", "Coprophanaeus pluto", "Coprophanaeus rigoutorum", "Coprophanaeus solisi", "Coprophanaeus spitzi", "Coprophanaeus strandi", "Coprophanaeus suredai", "Coprophanaeus telamon", "Coprophanaeus terrali", "Coprophanaeus uhleri", "Coptodactyla brooksi", "Coptodactyla depressa", "Coptodactyla ducalis", "Coptodactyla glabricollis", "Coptodactyla lesnei", "Coptodactyla matthewsi", "Coptodactyla merdeka", "Coptodactyla meridionalis", "Coptodactyla monstrosa", "Coptodactyla nitida", "Coptodactyla onitoides", "Coptodactyla papua", "Coptodactyla stereocera", "Coptodactyla storeyi", "Coptodactyla subaenea", "Coptodactyla torresica", "Coptodactyla tuberculata", "Coptorhina angolensis", "Coptorhina auspicata", "Coptorhina davidi", "Coptorhina excavata", "Coptorhina klugi", "Coptorhina nitefacta", "Coptorhina nitidipennis", "Cryptocanthon altus", "Cryptocanthon andersoni", "Cryptocanthon andradei", "Cryptocanthon bochilae", "Cryptocanthon brevisetosus", "Cryptocanthon buriticaorum", "Cryptocanthon campbellorum", "Cryptocanthon chiriquinus", "Cryptocanthon cristobalensis", "Cryptocanthon curticrinis", "Cryptocanthon denticulum", "Cryptocanthon escobari", "Cryptocanthon foveatus", "Cryptocanthon galbao", "Eusaproecius congolanus", "Eusaproecius dudleyi", "Eusaproecius laticeps", "Eusaproecius magnigena", "Eusaproecius optatus", "Eusaproecius punctulatus", "Eusaproecius tinantae", "Eutrichillum arcus", "Eutrichillum hirsutum", "Eutrichillum hystrix", "Falsignambia grandis", "Feeridium woodruffi", "Frankenbergerius nanus", "Frankenbergerius nitidus", "Frankenbergerius opacus", "Frankenbergerius barratti", "Frankenbergerius forcipatus", "Frankenbergerius gomesi", "Frankenbergerius armatus", "Garreta basilewskyi", "Garreta caffer", "Garreta crenulatus", "Garreta dejeani", "Garreta diffinis", "Garreta fastiditus", "Garreta gilleti", "Garreta laetus", "Garreta lugens", "Garreta malleolus", "Garreta matabelensis", "Garreta mombelgi", "Garreta morosus", "Garreta mundus", "Garreta nitens", "Garreta nyassicus", "Garreta opacus", "Garreta ruficornis", "Garreta rutilans", "Garreta smaragdifer", "Garreta sumptuosus", "Garreta sylvestris", "Gymnopleurus reichei", "Gymnopleurus rhodesianus", "Gymnopleurus rotundatus", "Gymnopleurus ruandensis", "Gymnopleurus sericeifrons", "Gymnopleurus sindensis", "Gymnopleurus sisyphus", "Gymnopleurus somaliensis", "Gymnopleurus sturmi", "Gymnopleurus thelwalli", "Gymnopleurus thoracicus", "Gymnopleurus tristis", "Gymnopleurus tuxeni", "Gymnopleurus virens", "Hammondantus psammophilus", "Hansreia affinis", "Hansreia coriacea", "Hansreia grossii", "Hansreia krinskii", "Hansreia oxygona", "Hansreia peugeoti", "Haroldius annandalei", "Haroldius borneensis", "Haroldius brendelli", "Haroldius cambeforti", "Haroldius cardoni", "Haroldius celebensis", "Haroldius convexus", "Haroldius discoidalis", "Haroldius ennearthrus", "Haroldius fairmairei", "Haroldius fleutiauxi", "Haroldius globosus", "Haroldius heimi", "Haroldius herrenorum", "Haroldius hwangi", "Haroldius kawadai", "Haroldius kolaka", "Haroldius krali", "Haroldius lassallei", "Haroldius leleupi", "Haroldius loebli", "Haroldius maruyamai", "Haroldius modestus", "Haroldius oharai", "Haroldius pahangensis", "Haroldius pauliani", "Haroldius penelopae", "Haroldius perroti", "Haroldius philippinensis", "Haroldius rugatulus", "Haroldius stefanii", "Haroldius stevensi", "Haroldius sumatranus", "Haroldius tangkoko", "Haroldius thailandensis", "Haroldius turnai", "Haroldius uenoi", "Helictopleurus aeneoniger", "Helictopleurus ambiguus", "Helictopleurus aurocupreus", "Helictopleurus basicornis", "Helictopleurus bivittatus", "Helictopleurus cambeforti", "Garreta unicolor", "Garreta wahlbergi", "Genieridium bidens", "Genieridium bordoni", "Genieridium cryptops", "Genieridium margareteae", "Genieridium medinae", "Genieridium paranense", "Genieridium zanunciorum", "Gilletellus collarti", "Gilletellus porculus", "Glyphoderus centralis", "Glyphoderus monticola", "Glyphoderus sterquilinus", "Gromphas aeruginosa", "Gromphas amazonica", "Gromphas dichroa", "Gromphas inermis", "Gromphas jardim", "Gromphas lemoinei", "Gymnopleurus bicallosus", "Gymnopleurus bicolor", "Gymnopleurus coerulescens", "Gymnopleurus fulgidus", "Gymnopleurus gemmatus", "Gymnopleurus hypocrita", "Gymnopleurus koenigi", "Gymnopleurus miliaris", "Gymnopleurus parvus", "Gymnopleurus puncticollis", "Gymnopleurus aciculatus", "Gymnopleurus aenescens", "Gymnopleurus aeruginosus", "Gymnopleurus andreaei", "Gymnopleurus asperrimus", "Gymnopleurus atratus", "Gymnopleurus biharensis", "Gymnopleurus bombayensis", "Gymnopleurus colmanti", "Gymnopleurus cyaneus", "Gymnopleurus deperditus", "Gymnopleurus elegans", "Gymnopleurus eocaenicus", "Gymnopleurus flagellatus", "Gymnopleurus foricarius", "Gymnopleurus geoffroyi", "Gymnopleurus humanus", "Gymnopleurus humeralis", "Gymnopleurus ignitus", "Gymnopleurus imitator", "Gymnopleurus jacksoni", "Gymnopleurus lacunosus", "Gymnopleurus laevicollis", "Gymnopleurus latreillei", "Gymnopleurus leei", "Gymnopleurus mimus", "Gymnopleurus moerens", "Gymnopleurus nyankpalaensis", "Gymnopleurus particolor", "Gymnopleurus persianus", "Gymnopleurus plicatulus", "Gymnopleurus profanus", "Gymnopleurus purpureus", "Gymnopleurus pustulatus", "Holocephalus sculptus", "Holocephalus simoni", "Homalotarsus impressus", "Homocopris torulosus", "Hypocanthidium globulum", "Ignambia fasciculata", "Isocopris foveolatus", "Isocopris inhiatus", "Isocopris tarsalis", "Ixodina abyssinica", "Ixodina bos", "Ixodina endroedyi", "Ixodina kovacsi", "Ixodina szunyoghyi", "Janssensantus inexpectatus", "Janssensantus pauliani", "Janssensellus bicaviventris", "Kolbeellus ateuchoides", "Krikkenius smeenki", "Labroma horrens", "Labroma tuberculata", "Labroma umbratilis", "Larhodius calcaratus", "Larhodius hashimi", "Larhodius maruyamai", "Latodrepanus laticollis", "Latodrepanus nicolasi", "Latodrepanus simonisi", "Leotrichillum louzadaorum", "Lepanus arator", "Lepanus australis", "Lepanus bidentatus", "Lepanus bournei", "Lepanus dichrous", "Lepanus fossulatus", "Lepanus furcifer", "Lepanus gelasinus", "Lepanus glaber", "Lepanus globulus", "Lepanus gressitti", "Lepanus howdeni", "Lepanus illawarrensis", "Lepanus latheticus", "Lepanus loftyensis", "Lepanus monteithi", "Lepanus nitidus", "Lepanus occidentalis", "Lepanus ovatus", "Lepanus palumensis", "Lepanus papuanus", "Lepanus parapisoniae", "Lepanus penelopae", "Lepanus pisoniae", "Lepanus politus", "Lepanus pygmaeus", "Lepanus ustulatus", "Lepanus vestitus", "Lepanus villosus", "Liatongus affinis", "Liatongus amitinus", "Liatongus ancorifer", "Liatongus appositicornis", "Liatongus arrowi", "Heliocopris camerunus", "Heliocopris colossus", "Heliocopris corniculatus", "Heliocopris coronatus", "Heliocopris cuneifer", "Heliocopris densissa", "Heliocopris dianae", "Heliocopris dilloni", "Heliocopris dolosus", "Heliocopris dominus", "Heliocopris erycoides", "Heliocopris eryx", "Heliocopris faunus", "Heliocopris felschei", "Heliocopris fonsecai", "Heliocopris furcithorax", "Heliocopris hamadryas", "Heliocopris hamifer", "Heliocopris haroldi", "Heliocopris helleri", "Heliocopris hermes", "Heliocopris hunteri", "Heliocopris japetus", "Heliocopris kolbei", "Heliocopris maou", "Heliocopris marshalli", "Heliocopris midas", "Heliocopris mimus", "Heliocopris minos", "Heliocopris mutabilis", "Heliocopris myrmidon", "Heliocopris neptuniformis", "Heliocopris neptunoides", "Heliocopris neptunus", "Heliocopris pauliani", "Heliocopris pirmal", "Heliocopris quinqueangulatus", "Heliocopris samson", "Heliocopris sirius", "Heliocopris solitarius", "Heliocopris staudingeri", "Heliocopris stroehlei", "Heliocopris sylvanus", "Heliocopris tyrannus", "Heliocopris werneri", "Heteroclitopus annamariae", "Heteroclitopus collarti", "Heteroclitopus ferreirae", "Heteroclitopus foveatus", "Heteroclitopus foveolatus", "Heteroclitopus freyi", "Heteroclitopus herteli", "Heteroclitopus remipes", "Heteroclitopus schulzei", "Heteroclitopus simonettai", "Heteronitis castelnaui", "Heteronitis pauliani", "Heteronitis ragazzii", "Heteronitis tricornutus", "Heteronitis tridens", "Holocanthon mateui", "Holocephalus cristatus", "Holocephalus eridanus", "Holocephalus julieni", "Helictopleurus carbonarius", "Helictopleurus clouei", "Helictopleurus coruscus", "Helictopleurus cribricollis", "Helictopleurus dorbignyi", "Helictopleurus fasciolatus", "Helictopleurus fissicollis", "Helictopleurus fulgens", "Helictopleurus fungicola", "Helictopleurus furcicornis", "Helictopleurus gibbicollis", "Helictopleurus giganteus", "Helictopleurus halffteri", "Helictopleurus hanskii", "Helictopleurus heidiae", "Helictopleurus hypocrita", "Helictopleurus infimus", "Helictopleurus littoralis", "Helictopleurus marsyas", "Helictopleurus minutus", "Helictopleurus neuter", "Helictopleurus nicollei", "Helictopleurus niger", "Helictopleurus nigricans", "Helictopleurus nigritulus", "Helictopleurus nitidicollis", "Helictopleurus patricii", "Helictopleurus perpunctatus", "Helictopleurus perrieri", "Helictopleurus pluristriatus", "Helictopleurus politicollis", "Helictopleurus praerugosus", "Helictopleurus pseudoniger", "Helictopleurus quadripunctatus", "Helictopleurus rubricollis", "Helictopleurus rudicollis", "Helictopleurus semimetallicus", "Helictopleurus seminiger", "Helictopleurus semivirens", "Helictopleurus sericeus", "Helictopleurus sicardi", "Helictopleurus sinuaticornis", "Helictopleurus splendidicollis", "Helictopleurus splendidus", "Helictopleurus steineri", "Helictopleurus subretusus", "Helictopleurus sumptuosus", "Helictopleurus tamatavensis", "Helictopleurus undatus", "Helictopleurus unifasciatus", "Helictopleurus vadoni", "Helictopleurus viettei", "Helictopleurus villiersi", "Helictopleurus viridans", "Helictopleurus viridiflavus", "Heliocopris alatus", "Heliocopris anadematus", "Heliocopris andersoni", "Heliocopris anguliceps", "Heliocopris antenor", "Heliocopris atropos", "Heliocopris beccarii", "Heliocopris biimpressus", "Heliocopris bucephalus", "Metacatharsius pumilioniformis", "Metacatharsius pumilionis", "Metacatharsius pusio", "Metacatharsius renaudi", "Metacatharsius rochai", "Metacatharsius rosinae", "Metacatharsius rubidus", "Metacatharsius rugosipennis", "Metacatharsius rusingae", "Metacatharsius seminulum", "Metacatharsius simulator", "Metacatharsius tchadensis", "Metacatharsius tenellus", "Metacatharsius togoensis", "Metacatharsius transvaalensis", "Metacatharsius trianguliceps", "Metacatharsius tricarenatus", "Metacatharsius troglodytes", "Metacatharsius tuberifrons", "Metacatharsius useramus", "Metacatharsius wittei", "Metacatharsius zuluanus", "Milichus annae", "Milichus apicalis", "Milichus boucomonti", "Milichus dudleyae", "Milichus dudleyi", "Milichus dudleyorum", "Milichus durandi", "Milichus inaequalis", "Milichus incisiceps", "Milichus jugatus", "Milichus lecourti", "Milichus merzi", "Milichus picticollis", "Milichus rhodesianus", "Milichus serratus", "Mimonthophagus ambiguus", "Mimonthophagus anomalus", "Mimonthophagus apicehirtus", "Mimonthophagus hinnulus", "Mimonthophagus limbibasis", "Mimonthophagus pictisternum", "Mimonthophagus semicirculifer", "Mimonthophagus semisetosus", "Monoplistes curvipes", "Monoplistes haroldi", "Monoplistes leai", "Monoplistes occidentalis", "Monoplistes phanophilus", "Monoplistes tropicus", "Namakwanus davisi", "Namakwanus endroedyi", "Namakwanus irishi", "Namakwanus streyi", "Nanos agaboides", "Nanos ankaranae", "Nanos antsalovaensis", "Nanos antsihanakensis", "Nanos ater", "Nanos bicoloratus", "Nanos bimaculatus", "Nanos binotatus", "Nanos clypeatus", "Malagoniella magnifica", "Malagoniella puncticollis", "Malagoniella argentina", "Malagoniella astyanax", "Malagoniella coerulea", "Malagoniella lanei", "Malagoniella virens", "Martinezidium fulgens", "Martinezidium galileoae", "Martinezidium martinsi", "Martinezidium maya", "Megalonitis bohemanni", "Megalonitis gigas", "Megatharsis buckleyi", "Megathopa villosa", "Megathopa violacea", "Megathoposoma candezei", "Melanocanthon bispinatus", "Melanocanthon granulifer", "Melanocanthon nigricornis", "Melanocanthon punctaticollis", "Metacatharsius abortivus", "Metacatharsius anderseni", "Metacatharsius anomalus", "Metacatharsius auberti", "Metacatharsius basilewskyi", "Metacatharsius bateke", "Metacatharsius benadirensis", "Metacatharsius bidentatus", "Metacatharsius brevicosta", "Metacatharsius clypeolatus", "Metacatharsius darfurensis", "Metacatharsius dentinum", "Metacatharsius duplicatus", "Metacatharsius exiguiformis", "Metacatharsius exiguus", "Metacatharsius ferreirae", "Metacatharsius ferrugineus", "Metacatharsius freyi", "Metacatharsius gardoensis", "Metacatharsius holyi", "Metacatharsius imitator", "Metacatharsius inermis", "Metacatharsius janssensi", "Metacatharsius kindiai", "Metacatharsius latifrons", "Metacatharsius lomii", "Metacatharsius marani", "Metacatharsius minutus", "Metacatharsius modestus", "Metacatharsius murati", "Metacatharsius nubiensis", "Metacatharsius omoensis", "Metacatharsius opacus", "Metacatharsius ovulum", "Metacatharsius parcepunctatus", "Metacatharsius patrizii", "Metacatharsius peleus", "Metacatharsius pernitidus", "Metacatharsius perpunctatus", "Metacatharsius petrovitzi", "Metacatharsius politus", "Metacatharsius pollicatus", "Metacatharsius pseudoopacus", "Nunoidium argentinum", "Odontoloma apiculum", "Odontoloma cambeforti", "Odontoloma dentinum", "Odontoloma disalatum", "Odontoloma doubei", "Odontoloma endroedyi", "Odontoloma louwi", "Odontoloma metasternale", "Odontoloma multipunctatum", "Odontoloma obscurum", "Odontoloma pauliani", "Odontoloma pauxillum", "Odontoloma peckorum", "Odontoloma planatum", "Odontoloma pusillum", "Odontoloma pygidiale", "Odontoloma quadridens", "Odontoloma relictum", "Odontoloma sculpturatum", "Odontoloma spinicaudum", "Oficanthon mirabilis", "Oniticellus amplicollis", "Oniticellus cinctus", "Oniticellus egregius", "Oniticellus formosus", "Oniticellus freyi", "Oniticellus gayeni", "Oniticellus namdaphaensis", "Oniticellus pictus", "Oniticellus planatus", "Oniticellus pseudoplanatus", "Oniticellus puberulus", "Oniticellus subhendui", "Oniticellus tessellatus", "Onitis abyssinicus", "Onitis adelphus", "Onitis adriani", "Onitis aeneomicans", "Onitis aerarius", "Onitis aeruginosus", "Onitis aethiops", "Onitis affinis", "Onitis androcles", "Onitis anthracinus", "Onitis archettii", "Onitis artuosus", "Onitis assamensis", "Onitis autumnalis", "Onitis aygulus", "Onitis bayanga", "Onitis belial", "Onitis bilobatus", "Onitis bispicticollis", "Onitis bocandei", "Onitis bordati", "Onitis brahma", "Onitis bredoi", "Onitis brevidens", "Onitis caffer", "Onitis cambeforti", "Onitis camerunus", "Onitis camiadei", "Liatongus aterrimus", "Liatongus bucerus", "Liatongus californicus", "Liatongus capricornis", "Liatongus clypeocornis", "Liatongus davidi", "Liatongus denticornis", "Liatongus endroedii", "Liatongus fairmairei", "Liatongus femoratus", "Liatongus ferreirae", "Liatongus fulvostriatus", "Liatongus gagatinus", "Liatongus hastatus", "Liatongus imitator", "Liatongus incurvicornis", "Liatongus indicus", "Liatongus interruptus", "Liatongus martialis", "Liatongus medius", "Liatongus militaris", "Liatongus minutus", "Liatongus phanaeoides", "Liatongus pugionatus", "Liatongus raffrayi", "Liatongus rhinoceros", "Liatongus rhinocerulus", "Liatongus schoutedeni", "Liatongus sjostedti", "Liatongus spathulatus", "Liatongus taurus", "Liatongus testudo", "Liatongus triacanthus", "Liatongus tridentatus", "Liatongus tuberculicollis", "Liatongus upembanus", "Liatongus urus", "Liatongus venator", "Liatongus vertagus", "Lophodonitis carinatus", "Lophodonitis minettii", "Macroderes amplior", "Macroderes arrowi", "Macroderes bias", "Macroderes cornutus", "Macroderes dubius", "Macroderes endroedyi", "Macroderes fornicatus", "Macroderes foveatus", "Macroderes greeni", "Macroderes minutus", "Macroderes mutilatus", "Macroderes namakwanus", "Macroderes nitidus", "Macroderes politulus", "Macroderes pristinus", "Macroderes spectabilis", "Macroderes undulatus", "Macropanelus fujitai", "Macropanelus karasuyamai", "Macropanelus sumatrensis", "Malagoniella bicolor", "Malagoniella chalybaea", "Malagoniella cupreicollis", "Onitis mniszechianus", "Onitis monstrosus", "Onitis montreuili", "Onitis mossambicensis", "Onitis multidentatus", "Onitis naviauxi", "Onitis nemoralis", "Onitis niger", "Onitis nigeriensis", "Onitis nubiensis", "Onitis numida", "Onitis obenbergeri", "Onitis obscurus", "Onitis occidentalis", "Onitis orthopus", "Onitis overlaeti", "Onitis paraconfusus", "Onitis parainflaticollis", "Onitis paramniszechi", "Onitis parvulus", "Onitis pecuarius", "Onitis perbrincki", "Onitis perpunctatus", "Onitis pers", "Onitis perturbator", "Onitis phartopus", "Onitis philemon", "Onitis picticollis", "Onitis pinheyi", "Onitis podicinus", "Onitis politus", "Onitis popei", "Onitis proximus", "Onitis pseudojansenii", "Onitis pseudoorthopus", "Onitis pseudosetosus", "Onitis pumilio", "Onitis punctatostriatus", "Onitis pyramus", "Onitis reichei", "Onitis retrodentatus", "Onitis ringenbachi", "Onitis robustus", "Onitis rothi", "Onitis senegalensis", "Onitis setosus", "Onitis shoensis", "Onitis sibutensis", "Onitis similis", "Onitis singhalensis", "Onitis siva", "Onitis sphinx", "Onitis spinicrus", "Onitis spinipes", "Onitis subcrenatus", "Onitis subopacus", "Onitis sulcipennis", "Onitis tanzaniensis", "Onitis thalassinus", "Onitis thoracicus", "Onitis tortuosus", "Onitis trochantericus", "Onitis tuberculifrons", "Onitis tumidus", "Onitis castaneus", "Onitis cerrutii", "Onitis chalceus", "Onitis confusus", "Onitis corydon", "Onitis coxalis", "Onitis crassus", "Onitis crenatus", "Onitis cribratus", "Onitis cryptodus", "Onitis cupreus", "Onitis curvipes", "Onitis damoetas", "Onitis deceptor", "Onitis denticoxa", "Onitis dimidiatus", "Onitis dispar", "Onitis endroedii", "Onitis excavatus", "Onitis ezechias", "Onitis fabricii", "Onitis falcatus", "Onitis feae", "Onitis femoralis", "Onitis fractipes", "Onitis fulgidus", "Onitis fulmineus", "Onitis gazanus", "Onitis gilleti", "Onitis granicollis", "Onitis guineensis", "Onitis hageni", "Onitis inflaticollis", "Onitis intermedius", "Onitis inversidens", "Onitis ion", "Onitis janssenii", "Onitis jeanneli", "Onitis jossoi", "Onitis kasanka", "Onitis keniensis", "Onitis kingstoni", "Onitis lama", "Onitis laminosus", "Onitis lamnifer", "Onitis lansbergei", "Onitis laticollis", "Onitis licitus", "Onitis lobi", "Onitis lobipes", "Onitis lognia", "Onitis longitibialis", "Onitis ludekingi", "Onitis lycophron", "Onitis magus", "Onitis malleatus", "Onitis marshalli", "Onitis mendax", "Onitis menieri", "Onitis meruensis", "Onitis meyeri", "Onitis miesseni", "Onitis minutus", "Onitis mniszechi", "Chrysozephyrus disparatus interpositus", "Chrysozephyrus disparatus pseudoletha", "Flavoparmelia plicata", "Flavoparmelia praesignis", "Nanos dubitatus", "Nanos fusconitens", "Nanos hanskii", "Nanos humbloti", "Nanos humeralis", "Nanos incertus", "Nanos manomboensis", "Nanos minutus", "Nanos nitens", "Nanos occidentalis", "Nanos peyrierasi", "Nanos punctatus", "Nanos pygmaeus", "Nanos rubromaculatus", "Nanos rubrosignatus", "Nanos semicribrosus", "Nanos sinuatipes", "Nanos vadoni", "Nanos viettei", "Nanos viridissimus", "Neonitis nigritiae", "Neonitis rhodesiae", "Neosaproecius nyassalandicus", "Neosaproecius trituberculatus", "Neosisyphus angulicollis", "Neosisyphus armatus", "Neosisyphus astriatus", "Neosisyphus baoule", "Neosisyphus barbarossa", "Neosisyphus basilewskyi", "Neosisyphus bowringi", "Neosisyphus calcaratus", "Neosisyphus dierkensi", "Neosisyphus drumonti", "Neosisyphus fortuitus", "Neosisyphus gladiator", "Neosisyphus infuscatus", "Neosisyphus jossoi", "Neosisyphus kuehni", "Neosisyphus macrorubrus", "Neosisyphus mirabilis", "Neosisyphus moorei", "Neosisyphus morenoi", "Neosisyphus morettoi", "Neosisyphus negus", "Neosisyphus paschalidisae", "Neosisyphus penicillatus", "Neosisyphus quadricollis", "Neosisyphus rubripes", "Neosisyphus rubrus", "Neosisyphus setiger", "Neosisyphus spinipes", "Neosisyphus tai", "Neosisyphus tarantula", "Neosisyphus tibialis", "Neosisyphus trochantericus", "Neosisyphus werneri", "Neosisyphus youngai", "Nesosisyphus regnardi", "Nesosisyphus rotundatus", "Nesosisyphus vicinus", "Nesovinsonia vinsoni", "Nitiocellus collarti", "Nitiocellus panthera", "Pangacarus formosanus", "Cosella chinensis", "Cosella kadsuriae", "Cosella parvifloriae", "Gammaphytoptus commune", "Chrysozephyrus tienmushanus tienmushanus", "Calepitrimerus proprius", "Calepitrimerus scutulatus", "Asetadiptacus phaeostictatus", "Diptilomiopus decem", "Diptilomiopus candidus", "Apodiptacus coniunctus", "Diptacus acuminatus", "Chrysozephyrus tienmushanus chinensis", "Diptacus glaber", "Verrallina abdita", "Verrallina consonensis", "Verrallina fragilis", "Verrallina hamistylus", "Verrallina indecorabilis", "Verrallina nobukonis", "Verrallina pahangi", "Verrallina ramalingami", "Verrallina robertsi", "Verrallina srilankensis", "Verrallina philippinensis", "Verrallina phnoma", "Verrallina prioekanensis", "Verrallina protuberans", "Verrallina pseudodiurna", "Verrallina pseudomediofasciata", "Verrallina pseudovarietas", "Verrallina rami", "Verrallina rara", "Verrallina sabahensis", "Verrallina seculata", "Verrallina singularis", "Verrallina sohni", "Verrallina spermathecus", "Verrallina taeniata", "Verrallina torosa", "Verrallina uncus", "Verrallina vallistris", "Verrallina varietas", "Verrallina virilis", "Verrallina yerburyi", "Proscleropterus rudis", "Proscleropterus shennongjianus", "Hypotrachyna americana", "Onitis uncinatoides", "Onitis uncinatus", "Onitis unguiculatus", "Onitis upembanus", "Onitis vanderkelleni", "Onitis vicinus", "Onitis violaceus", "Onitis virens", "Onitis viridulus", "Onitis vrydaghi", "Onitis westermanni", "Onitis wittei", "Onitis zambiensis", "Onoreidium bottimeri", "Onoreidium cristatum", "Onoreidium howdeni", "Onoreidium ohausi", "Ontherus aequatorius", "Ontherus alexis", "Ontherus ashei", "Ontherus brevicollis", "Ontherus compressicornis", "Ontherus diabolicus", "Ontherus gilli", "Ontherus hadros", "Ontherus howdeni", "Ontherus incisus", "Ontherus kirschii", "Ontherus laminifer", "Ontherus lunicollis", "Ontherus magnus", "Ontherus mexicanus", "Ontherus monilistriatus", "Ontherus obliquus", "Ontherus pilatus", "Ontherus politus", "Ontherus pseudodidymus", "Ontherus sanctaemartae", "Ontherus sextuberculatus", "Ontherus tenuistriatus", "Ontherus trituberculatus", "Ontherus bridgesi", "Ontherus rectus", "Ontherus amplector", "Ontherus androgynus", "Ontherus aphodioides", "Ontherus appendiculatus", "Ontherus atlantidis", "Ontherus azteca", "Ontherus brevipennis", "Ontherus cambeforti", "Ontherus carinicollis", "Ontherus carinifrons", "Ontherus cephalotes", "Ontherus dentatus", "Ontherus digitatus", "Ontherus edentulus", "Ontherus elegans", "Ontherus erosioides", "Ontherus erosus", "Ontherus felicitae", "Ontherus gladiator", "Ontherus grandis", "Ontherus insolitus", "Verrallina stunga", "Verrallina uniformis", "Verrallina yusafi", "Verrallina azureosquamata", "Verrallina bancrofti", "Verrallina bifoliata", "Verrallina butleri", "Verrallina carmenti", "Verrallina cuccioi", "Verrallina dux", "Verrallina embiensis", "Verrallina foliformis", "Verrallina funerea", "Verrallina iriomotensis", "Verrallina killertonis", "Verrallina leilae", "Verrallina lineata", "Verrallina lugubris", "Verrallina mccormicki", "Verrallina milnensis", "Verrallina multifolium", "Verrallina obsoleta", "Verrallina parasimilis", "Verrallina pipkini", "Verrallina quadrifolium", "Verrallina quadrispinata", "Verrallina reesi", "Verrallina sentania", "Verrallina similis", "Verrallina simpla", "Verrallina trispinata", "Verrallina vanapa", "Verrallina variabilis", "Verrallina adusta", "Verrallina agrestis", "Verrallina andamanensis", "Verrallina assamensis", "Verrallina atria", "Verrallina atriisimilis", "Verrallina campylostylus", "Verrallina cauta", "Verrallina ceylonica", "Verrallina clavata", "Verrallina comata", "Verrallina comosa", "Verrallina cretata", "Verrallina cyrtolabis", "Verrallina gibbosa", "Verrallina harrisonica", "Verrallina hispida", "Verrallina indica", "Verrallina johnsoni", "Verrallina johorensis", "Verrallina komponga", "Verrallina latipennis", "Verrallina leicesteri", "Verrallina macrodixoa", "Verrallina margarsen", "Verrallina neomacrodixoa", "Verrallina nigrotarsis", "Verrallina notabilis", "Verrallina nubicola", "Verrallina panayensis", "Verrallina petroelephantus", "Ontherus irinus", "Ontherus lichyi", "Ontherus lobifrons", "Ontherus planus", "Ontherus podiceps", "Ontherus pubens", "Ontherus raptor", "Ontherus rectangulidens", "Ontherus stridulator", "Ontherus sulcator", "Ontherus ulcopygus", "Ontherus virescens", "Ontherus zikani", "Onthobium asperatum", "Onthobium boucheti", "Onthobium cookii", "Onthobium gutierrezi", "Onthobium howdeni", "Onthobium kuscheli", "Onthobium lerati", "Onthobium macleayi", "Onthobium montheiti", "Onthobium montrouzieri", "Onthobium paniei", "Onthobium tibialoides", "Onthobium tillieri", "Onychothecus ateuchoides", "Onychothecus corniclypeus", "Onychothecus riekoae", "Onychothecus tridentigeris", "Oruscatus davus", "Oruscatus opalescens", "Outenikwanus tomentosus", "Oxysternon pteroderum", "Oxysternon spiniferum", "Oxysternon striatopunctatum", "Oxysternon durantoni", "Oxysternon ebeninum", "Oxysternon lautum", "Oxysternon macleayi", "Oxysternon palaemon", "Oxysternon silenus", "Panelus assamensis", "Panelus bakeri", "Panelus besucheti", "Panelus borneensis", "Panelus brendelli", "Panelus ceylonicus", "Panelus crenatus", "Panelus danumensis", "Panelus deuvei", "Panelus fallax", "Panelus imitator", "Panelus jaccoudi", "Panelus kalimantanicus", "Panelus keralai", "Panelus kubotai", "Panelus maedai", "Panelus manasi", "Panelus manmiaoae", "Panelus mendeli", "Panelus mussardi", "Panelus orousseti", "Panelus ovatus", "Panelus parvulus", "Panelus pernitidus", "Panelus puncticollis", "Panelus quadridentatus", "Panelus rhodesiensis", "Panelus rufulus", "Panelus sabahi", "Panelus saigusai", "Panelus setosus", "Panelus tonkinensis", "Panelus wangi", "Panelus watanabei", "Neolarnaca vera vera", "Neolarnaca vera aurelostria", "Neolarnaca longipenna", "Aancistroger elbenioides", "Gryllacris elbenioides", "Aancistroger primitivus", "Aancistroger similis", "Aancistroger vietus", "Aancistroger sinicus", "Acanthogryllacris curvispina", "Paragryllacris curvispina", "Afroepacra kuhlgatzi", "Gryllacris kuhlgatzi", "Micropeplus piankouensis", "Micropeplus parvulus", "Jungicephus bidentus", "Leipothrix araliae", "Calepitrimerus akebis", "Calepitrimerus rhus", "Asetacus obscurus", "Colopodacus parallelus", "Colopodacus rubrus", "Taicolopodacus primus", "Nothopoda taiwanensis", "Paracanthon hirsutus", "Paracanthon pereirai", "Paracanthon rosinae", "Paracanthon trichonotulus", "Parachorius fungorum", "Parachorius globosus", "Parachorius hookeri", "Parachorius krali", "Parachorius lannathai", "Parachorius maruyamai", "Parachorius thomsoni", "Paracryptocanthon borgmeieri", "Paragymnopleurus ambiguus", "Paragymnopleurus brahminus", "Paragymnopleurus martinezi", "Paragymnopleurus maurus", "Paragymnopleurus melanarius", "Paragymnopleurus planus", "Paragymnopleurus rudis", "Paragymnopleurus sinuatus", "Paragymnopleurus spinotus", "Paragymnopleurus stipes", "Paragymnopleurus striatus", "Paragymnopleurus sumatrensis", "Paraphacosomoides curvipes", "Paraphytus africanus", "Paraphytus andamanus", "Paraphytus andoi", "Paraphytus aphodioides", "Paraphytus bechynei", "Paraphytus dentifrons", "Paraphytus doriae", "Paraphytus foveatus", "Paraphytus harmandi", "Paraphytus hindu", "Paraphytus ritsemae", "Paraphytus sancyi", "Paraphytus sumatranus", "Paraphytus tai", "Paroniticellus festivus", "Paronitis excavaticollis", "Paronthobium caledonicum", "Paronthobium fauveli", "Paronthobium micros", "Paronthobium monteithi", "Paronthobium muticum", "Paronthobium simplex", "Paronthobium tibiale", "Peckolus alpinus", "Xanthophyllum albicaule", "Chenolea convallis", "Juniperus rigida var. conferta", "Garrulax annamensis", "Juniperus taxifolia var. lutchuensis", "Garrulax ruficeps", "Coleophora curictae", "Garrulax berthemyi", "Xanthophyllum crassum", "Xanthophyllum bicolor", "Xanthophyllum brachystachyum", "Peckolus parvus", "Pedaria aethiopica", "Pedaria alternans", "Pedaria angolana", "Pedaria antoinei", "Pedaria armata", "Pedaria aspera", "Pedaria barrei", "Pedaria biseria", "Pedaria brancoi", "Pedaria cambeforti", "Pedaria catherinae", "Pedaria conformis", "Pedaria coprinarum", "Pedaria criberrima", "Pedaria cylindrica", "Pedaria decorsei", "Pedaria dellacasai", "Pedaria demeyeri", "Pedaria dentata", "Pedaria dudleyi", "Pedaria durandi", "Pedaria estellae", "Pedaria fernandezi", "Pedaria genieri", "Pedaria gigantea", "Pedaria granulosa", "Pedaria hanae", "Pedaria humana", "Pedaria insularis", "Pedaria intermedia", "Pedaria jacksoni", "Pedaria juhellegrandi", "Pedaria minetti", "Pedaria minima", "Pedaria morettoi", "Pedaria murphyi", "Pedaria nigra", "Pedaria oblonga", "Pedaria ouangoensis", "Pedaria ovata", "Pedaria picea", "Pedaria puncticollis", "Pedaria raffrayi", "Pedaria reichenbachi", "Pedaria renwarti", "Pedaria rohani", "Pedaria rosemariae", "Pedaria segregis", "Pedaria smrzi", "Pedaria spinipennis", "Pedaria spinithorax", "Pedaria spinosa", "Pedaria sudrei", "Pedaria tanganyika", "Pedaria taylori", "Pedaria tenebrosa", "Pedaria tibialis", "Pedaria tuberculigera", "Pedaria walteri", "Pedaria werneri", "Pedaria wittei", "Penalus waui", "Pereiraidium almeidai", "Ablabera hottentota", "Ablabera iridescens", "Ablabera lalandei", "Ablabera lutaria", "Ablabera matabelena", "Ablabera modesta", "Ablabera namaqua", "Ablabera nana", "Ablabera nigricans", "Ablabera pellucida", "Ablabera pilosula", "Ablabera pulicaria", "Ablabera rostrata", "Ablabera rufa", "Ablabera rufipes", "Ablabera setosa", "Ablabera similata", "Ablabera splendida", "Ablabera tenebrosa", "Ablabera transvaalica", "Ablabera vidua", "Erebomorpha fulgurita", "Erebomorpha fulgurita fulgurita", "Erebomorpha fulgurita modesta", "Chorodna fulgurita", "Cusiala boarmoides", "Cusiala boarmoides boarmoides", "Cusiala boarmoides acutijuxta", "Cleora rhadia rhadia", "Juniperus sect.", "Boarmia ichnochroma", "Trochalopteron peninsulae", "Chrysozephyrus splendidulus", "Xanthophyllum adenotus", "Xanthophyllum adenotus var. arsatii", "Xanthophyllum adenotus var. adenotus", "Ablaberoides abyssinicus", "Ablaberoides aeneus", "Ablaberoides breviusculus", "Ablaberoides cognatus", "Ablaberoides crassus", "Ablaberoides decedens", "Ablaberoides dentilabris", "Ablaberoides dhofarensis", "Ablaberoides ditissimus", "Ablaberoides elongata", "Ablaberoides emeritus", "Ablaberoides f\u00e5hraei", "Ablaberoides festiva", "Ablaberoides flavipennis", "Ablaberoides gabonensis", "Ablaberoides haafi", "Ablaberoides kapiriensis", "Ablaberoides kochi", "Ablaberoides laetulus", "Ablaberoides lembanus", "Ablaberoides loangoana", "Ablaberoides loangwanus", "Ablaberoides maynei", "Epirixanthes elongata", "Trachemys callirostris callirostris", "Trachemys callirostris chichiriviche", "Lecithocera leytensis", "Lecithocera insulana", "Lecithocera luzonica", "Lecithocera lunulata", "Lecithocera distigmata", "Lecithocera stenocaltalexis", "Lecithocera strigana", "Delias mira flabella", "Temnoplectron lewisense", "Temnoplectron major", "Temnoplectron monteithi", "Temnoplectron reyi", "Temnoplectron rotundum", "Temnoplectron subvolitans", "Temnoplectron wareo", "Tesserodoniella elguetai", "Tesserodoniella meridionalis", "Tetraechma sanguineomaculata", "Thyregis kershawi", "Thyregis monteithi", "Thyregis relictus", "Thyregis tarsatus", "Tiniocellus averyanovi", "Tiniocellus dolosus", "Tiniocellus eurypygus", "Tiniocellus imbellis", "Tiniocellus praetermissus", "Tiniocellus setifer", "Tiniocellus spinipes", "Tomogonus chauvetorum", "Tomogonus crassoides", "Tomogonus crassus", "Tomogonus samburu", "Tragiscus dimidiatus", "Trichillidium brevisetosum", "Trichillidium caingua", "Trichillidium pilosum", "Trichillidium quadridens", "Trichillum adjunctum", "Trichillum arrowi", "Trichillum cordobense", "Trichillum depilatum", "Trichillum externepunctatum", "Trichillum halffteri", "Trichillum heydeni", "Trichillum morellii", "Trichillum pauliani", "Trichillum pseudoarrowi", "Trichillum tishechkini", "Tropidonitis paradoxus", "Unidentis vwaza", "Uroxys angulatus", "Uroxys angulicollis", "Uroxys aterrimus", "Uroxys bahianus", "Uroxys batesi", "Uroxys besti", "Uroxys brachialis", "Uroxys brevis", "Uroxys catharinensis", "Uroxys caucanus", "Uroxys chichanich", "Uroxys coarctatus", "Uroxys corniculatus", "Uroxys corporaali", "Uroxys cuprescens", "Uroxys deavilai", "Uroxys dilaticollis", "Uroxys dybasi", "Uroxys elongatus", "Pseudosaproecius dicerus", "Pseudosaproecius falcatus", "Pseudosaproecius mirepunctatus", "Pseudosaproecius ocellatus", "Pseudosaproecius portentosus", "Pseudosaproecius validicornis", "Pseuduroxys ohausi", "Pycnopanelus krikkeni", "Pycnopanelus parvicollis", "Pycnopanelus rotundus", "Sarophorus angolensis", "Sarophorus bidentatus", "Sarophorus carinatus", "Sarophorus cicatricosus", "Sarophorus costatus", "Sarophorus latus", "Sarophorus nitidus", "Sarophorus punctatus", "Sarophorus striatus", "Sarophorus tuberculatus", "Sauvagesinella becki", "Sauvagesinella monstrosa", "Sauvagesinella palustris", "Scaptocnemis segregis", "Scatimus cribrosus", "Scatimus cucullatus", "Scatimus erinnyos", "Scatimus fernandezi", "Scatimus furcatus", "Scatimus monstrosus", "Scatimus onorei", "Scatimus ovatus", "Scatimus pacificus", "Scatimus quadricuspis", "Scatimus simulator", "Scatimus strandi", "Scatonomus chalybeus", "Scatonomus fasciculatus", "Scatonomus insignis", "Scatonomus janssensi", "Scatonomus lauropalui", "Scatonomus paulosawayai", "Scatonomus thalassinus", "Scatonomus viridis", "Scatonomus xanthopygus", "Scatrichus bicarinatus", "Scatrichus goiasensis", "Scatrichus sulcifer", "Scybalocanthon aereus", "Scybalocanthon arcabuquensis", "Scybalocanthon balachowskyi", "Scybalocanthon cyanocephalus", "Scybalocanthon darlingtoni", "Scybalocanthon imitans", "Scybalocanthon kaestneri", "Scybalocanthon kelleri", "Scybalocanthon luctuosus", "Scybalocanthon maculatus", "Scybalocanthon moniliatus", "Scybalocanthon nigellus", "Scybalocanthon nigriceps", "Scybalocanthon pinopterus", "Scybalocanthon pygidialis", "Scybalocanthon sexspilotus", "Uroxys epipleurale", "Uroxys frankenbergeri", "Uroxys gatunensis", "Uroxys gorgon", "Uroxys histeroides", "Uroxys inconspicuus", "Uroxys kratochvili", "Uroxys laevipennis", "Uroxys latesulcatus", "Uroxys latus", "Uroxys lojanus", "Uroxys magnus", "Uroxys metagorgon", "Uroxys metallescens", "Uroxys microcularis", "Uroxys micros", "Uroxys minutus", "Uroxys monstrosus", "Uroxys nebulinus", "Uroxys peruanus", "Uroxys platypyga", "Uroxys productus", "Uroxys pygmaeus", "Uroxys rugatus", "Uroxys simplex", "Uroxys spaethi", "Uroxys striatus", "Uroxys sulai", "Uroxys sulcicollis", "Uroxys tacanensis", "Uroxys terminalis", "Uroxys thoracalis", "Uroxys transversifrons", "Uroxys trinitatis", "Uroxys tuberculatus", "Uroxys variabilis", "Uroxys vincentiae", "Vulcanocanthon seminulum", "Walterantus rufoclypeatus", "Xenocanthon sericans", "Xinidium davisi", "Xinidium dentilabris", "Xinidium dewitzi", "Xinidium howdeni", "Yvescambefortius sarawacus", "Zonocopris gibbicollis", "Zonocopris machadoi", "Cretorabaeus elongatus", "Ablabera advena", "Ablabera aeneobrunnea", "Ablabera amoena", "Ablabera analis", "Ablabera apicalis", "Ablabera araneoides", "Ablabera bagamojana", "Ablabera capicola", "Ablabera delicatula", "Ablabera flavoclypeata", "Ablabera gracilis", "Ablabera gratula", "Ablabera gravidula", "Ablabera hirsuta", "Ablabera hirticollis", "Ablabera hopeiana", "Sisyphus usambaricus", "Sisyphus walteri", "Stiptocnemis gilleti", "Stiptocnemis hiekei", "Stiptopodius doriae", "Stiptopodius gaillardi", "Stiptopodius glaber", "Stiptopodius glabricollis", "Stiptopodius granulosus", "Stiptopodius krausei", "Stiptopodius longipedis", "Stiptopodius nitidus", "Stiptopodius nodieri", "Stiptopodius patrizii", "Stiptopodius singularis", "Stiptotarsus latetarsatus", "Stiptotarsus mocquerysi", "Stiptotarsus tersus", "Streblopus opatroides", "Streblopus punctatus", "Sukelus jessopi", "Tibiodrepanus sulcicollis", "Tibiodrepanus tagliaferrii", "Sulcophanaeus actaeon", "Sulcophanaeus auricollis", "Sulcophanaeus batesi", "Sulcophanaeus chryseicollis", "Sulcophanaeus columbi", "Sulcophanaeus faunus", "Sulcophanaeus imperator", "Sulcophanaeus leander", "Sulcophanaeus menelas", "Sulcophanaeus miyashitai", "Sulcophanaeus noctis", "Sulcophanaeus rhadamanthus", "Sulcophanaeus steinheili", "Sulcophanaeus velutinus", "Sylvicanthon bridarollii", "Sylvicanthon candezei", "Sylvicanthon foveiventris", "Sylvicanthon furvus", "Sylvicanthon machadoi", "Sylvicanthon obscurus", "Sylvicanthon securus", "Sylvicanthon xanthopus", "Synapsis birmanicus", "Synapsis boonlongi", "Synapsis brahminus", "Synapsis davidis", "Synapsis dickinsoni", "Synapsis gilleti", "Synapsis horaki", "Tanzanolus leleupi", "Temnoplectron aeneolum", "Temnoplectron aeneopiceum", "Temnoplectron atropolitum", "Temnoplectron bornemisszai", "Temnoplectron boucomonti", "Temnoplectron cooki", "Temnoplectron disruptum", "Temnoplectron diversicolle", "Temnoplectron finnigani", "Temnoplectron involucre", "Temnoplectron laeve", "Scybalocanthon trimaculatus", "Scybalophagus lacordairei", "Scybalophagus patagonicus", "Scybalophagus pilosus", "Scybalophagus plicatipennis", "Scybalophagus rugosus", "Silvaphilus oubosiensis", "Silvinha unica", "Sinapisoma minuta", "Sinodrepanus besucheti", "Sinodrepanus falsus", "Sinodrepanus rex", "Sinodrepanus rosannae", "Sinodrepanus similis", "Sinodrepanus thailandicus", "Sinodrepanus tsaii", "Sinodrepanus uenoi", "Sisyphus aages", "Sisyphus alveatus", "Sisyphus araneolus", "Sisyphus arboreus", "Sisyphus bayanga", "Sisyphus biarmatus", "Sisyphus bornemisszanus", "Sisyphus bouyeri", "Sisyphus caffer", "Sisyphus cambeforti", "Sisyphus costatus", "Sisyphus crispatus", "Sisyphus denticrus", "Sisyphus desaegeri", "Sisyphus fasciculatus", "Sisyphus felschei", "Sisyphus gazanus", "Sisyphus genierorum", "Sisyphus granulifer", "Sisyphus impressipennis", "Sisyphus indicus", "Sisyphus janssensi", "Sisyphus jossoi", "Sisyphus juheli", "Sisyphus kibale", "Sisyphus laoticus", "Sisyphus latus", "Sisyphus lobi", "Sisyphus longipes", "Sisyphus maniti", "Sisyphus manni", "Sisyphus mendicus", "Sisyphus minettii", "Sisyphus moltaensis", "Sisyphus morettoi", "Sisyphus muricatus", "Sisyphus natalensis", "Sisyphus neglectus", "Sisyphus nodifer", "Sisyphus ocellatus", "Sisyphus perissinottoi", "Sisyphus popovi", "Sisyphus splendidus", "Sisyphus struwei", "Sisyphus submonticolus", "Sisyphus trichodichromicus", "Amiserica michaeli", "Amiserica nanensis", "Amiserica omeiensis", "Amiserica pardalis", "Amiserica rejseki", "Amiserica rufidula", "Amiserica semipunctata", "Amiserica shizumui", "Amorphochelus andringitrensis", "Amorphochelus apicalis", "Amorphochelus bilobus", "Amorphochelus breviarius", "Amorphochelus collaris", "Amorphochelus crenatus", "Amorphochelus cribrellus", "Amorphochelus delicatus", "Amorphochelus difformis", "Amorphochelus ebenus", "Amorphochelus fairmairei", "Amorphochelus fasciculatus", "Amorphochelus furvus", "Amorphochelus fuscopunctatus", "Amorphochelus gemmatus", "Amorphochelus granulosus", "Amorphochelus griseolus", "Amorphochelus griseovarius", "Amorphochelus grumosus", "Amorphochelus gruveli", "Amorphochelus insulatus", "Amorphochelus limatus", "Amorphochelus lokobensis", "Amorphochelus meridionalis", "Amorphochelus micheli", "Amorphochelus milloti", "Amorphochelus minutulus", "Amorphochelus minutus", "Amorphochelus montanus", "Amorphochelus nigrescens", "Amorphochelus nudus", "Amorphochelus paulus", "Amorphochelus perrieri", "Amorphochelus raharizoninai", "Amorphochelus retusus", "Amorphochelus scitulus", "Amorphochelus sinuatipennis", "Amorphochelus sogai", "Amorphochelus tuberculatus", "Amorphochelus tuberculiferus", "Amorphochelus verrucosus", "Amphimallon adanense", "Amphimallon alatavicum", "Amphimallon altaicum", "Amphimallon altifrons", "Amphimallon amphibolum", "Amphimallon arianae", "Amphimallon arnoldii", "Amphimallon assimile", "Amphimallon atrum", "Amphimallon besnardi", "Amphimallon brucki", "Amphimallon burmeisteri", "Amphimallon cantabricum", "Amphimallon circassicum", "Amphimallon circumligatum", "Amphimallon crinitus", "Amphimallon dalmatinum", "Amphimallon evorense", "Amphimallon fallenii", "Amphimallon fissiceps", "Amphimallon furvum", "Amphimallon fuscum", "Amphimallon galleti", "Amphimallon gianfranceschii", "Amphimallon helenae", "Amphimallon insculptus", "Amphimallon jeannae", "Amphimallon jeannei", "Amphimallon jedlickai", "Amphimallon julieni", "Amphimallon kalliesi", "Amphimallon keithi", "Amphimallon krali", "Amphimallon leuthneri", "Amphimallon litigiosus", "Amphimallon lusitanicum", "Amphimallon maevae", "Amphimallon majale", "Amphimallon maniense", "Amphimallon melillanum", "Amphimallon menori", "Amphimallon modestus", "Amphimallon montanum", "Amphimallon mussardi", "Amphimallon naceyroi", "Amphimallon nigripenne", "Amphimallon nigrum", "Amphimallon obscurus", "Amphimallon occidentalis", "Amphimallon ochraceum", "Amphimallon pardoi", "Amphimallon peropacus", "Amphimallon pini", "Amphimallon pseudomajale", "Amphimallon pygiale", "Amphimallon roris", "Amphimallon ruficorne", "Amphimallon safiense", "Amphimallon sainzi", "Amphimallon scutellaris", "Amphimallon seidlitzi", "Amphimallon semenovi", "Amphimallon sogdianum", "Amphimallon spartanum", "Amphimallon subcristatus", "Amphimallon subparallelum", "Amphimallon suturalis", "Amphimallon theryi", "Amphimallon variolatus", "Amphimallon vernale", "Amphimallon verticale", "Amphimallon vivesi", "Amphimallon volgense", "Amphimallon vulpecula", "Amphimallon zorni", "Amphitrichia amboinae", "Amphitrichia angulicalcarata", "Amphitrichia apoensis", "Amphitrichia bakeri", "Ancistrosoma farinosum", "Ancistrosoma flavovittatum", "Ancistrosoma hilare", "Ancistrosoma intermedium", "Ancistrosoma klugi", "Ancistrosoma melolonthoides", "Ancistrosoma reductum", "Ancistrosoma rufipes", "Ancistrosoma tobagoensis", "Ancistrosoma trinitatis", "Ancistrosoma vittigerum", "Ancylonyx melanurus", "Ancylonyx sobrinus", "Ancylonyx vittatus", "Anenaria rubiginea", "Aneucomides coloratus", "Anisochelus hilaris", "Anisochelus inornatus", "Anisochelus neglectus", "Anisochelus ornatus", "Anisonyx albopilosus", "Anisonyx alticola", "Anisonyx andreaei", "Anisonyx badiitibialis", "Anisonyx bipilosus", "Anisonyx brincki", "Anisonyx ditus", "Anisonyx elizabethae", "Anisonyx gemmeus", "Anisonyx hessei", "Anisonyx hilaris", "Anisonyx ignitus", "Anisonyx lepidotus", "Anisonyx longipes", "Anisonyx lynx", "Anisonyx militaris", "Anisonyx montanus", "Anisonyx nasuus", "Anisonyx nigerrimus", "Anisonyx pauperatus", "Anisonyx phillipsi", "Anisonyx proletarius", "Anisonyx pseudomilitaris", "Anisonyx senilis", "Anisonyx sesuto", "Anisonyx setisquama", "Anisonyx smaragdinus", "Anisonyx ursinus", "Anisonyx ursus", "Elporia anisonyx", "Anisopholis affinis", "Anisopholis clypeata", "Anomalochela bicolor", "Anomalochela curvidens", "Anomalochilus pilosellus", "Anomalochilus singularis", "Anomalophylla bicolor", "Anomalophylla dongchuanensis", "Anomalophylla ganhaiziensis", "Anomalophylla hispidulosa", "Anomalophylla huashanica", "Anomalophylla kangdingensis", "Anomalophylla kozlovi", "Anomalophylla liciata", "Amphitrichia banahaoensis", "Amphitrichia barbigera", "Amphitrichia barda", "Amphitrichia bicallosicephala", "Amphitrichia bipunctata", "Amphitrichia cebuana", "Amphitrichia celebensis", "Amphitrichia constricta", "Amphitrichia excavaticollis", "Amphitrichia flachi", "Amphitrichia flaviventris", "Amphitrichia gracilicalcarata", "Amphitrichia imugana", "Amphitrichia latecostata", "Amphitrichia luzonica", "Amphitrichia malindangensis", "Amphitrichia mindanaona", "Amphitrichia mindoroensis", "Amphitrichia moana", "Amphitrichia monticola", "Amphitrichia negrosiana", "Amphitrichia philippinica", "Amphitrichia quadrangulata", "Amphitrichia sexspecula", "Amphitrichia sorsogona", "Amphitrichia stylifer", "Amphitrichia succedanea", "Amphitrichia sulana", "Amphitrichia sumbawana", "Amphitrichia tenuitibialis", "Amphitrichia unguicularis", "Amphitrichia vidua", "Ampliodactylus elguetai", "Ampliodactylus guinezi", "Ampliodactylus inusitus", "Ampliodactylus modestus", "Ampliodactylus panguipullensis", "Ampliodactylus vestitus", "Anacanthodes inermis", "Anamatochoranus decaryi", "Anartioschiza bambutocola", "Anartioschiza calabarica", "Anartioschiza camaruna", "Anartioschiza collarti", "Anartioschiza diversa", "Anartioschiza drescheri", "Anartioschiza gabonica", "Anartioschiza garambensis", "Anartioschiza gracilipes", "Anartioschiza kivuensis", "Anartioschiza leopoldi", "Anartioschiza major", "Anartioschiza medleri", "Anartioschiza persquamosa", "Anartioschiza setosa", "Anartioschiza setosella", "Anartioschiza sororia", "Anartioschiza squamosetosa", "Anartioschiza tshuapensis", "Ancistrosoma argentinum", "Ancistrosoma arrowi", "Ancistrosoma blanchardi", "Ancistrosoma buckleyi", "Phaedotrogus ceylonicus", "Phalops ardea", "Phalops aurifrons", "Phalops barbicornis", "Phalops batesi", "Phalops beccarii", "Phalops boschas", "Phalops bubalus", "Phalops candezei", "Phalops chalybeus", "Phalops cyanescens", "Phalops divisus", "Phalops djuricus", "Phalops dregei", "Phalops faccai", "Phalops fimbriatus", "Phalops flavocinctus", "Phalops gallanus", "Phalops glauningi", "Phalops guttulatus", "Phalops inermis", "Phalops iphis", "Phalops laminifrons", "Phalops lutatus", "Phalops olivaceus", "Phalops pauliani", "Phalops plancus", "Phalops prasinus", "Phalops princeps", "Phalops pyroides", "Phalops rufosignatus", "Phalops sinuaticeps", "Phalops smaragdinus", "Phalops sulcatus", "Phalops tricuspis", "Phalops tuberosus", "Phalops vanellus", "Phalops wittei", "Phalops zuninoi", "Phanaeus achilles", "Phanaeus bispinus", "Phanaeus bordoni", "Phanaeus cambeforti", "Phanaeus dejeani", "Phanaeus dzidoi", "Phanaeus endymion", "Phanaeus halffterorum", "Phanaeus kirbyi", "Phanaeus lecourti", "Phanaeus malyi", "Phanaeus martinezorum", "Phanaeus meleagris", "Phanaeus melibaeus", "Phanaeus palaeno", "Phanaeus pyrois", "Phanaeus sororibispinus", "Phanaeus splendidulus", "Phanaeus viridicollis", "Phanaeus adonis", "Phanaeus amethystinus", "Phanaeus amithaon", "Phanaeus antiquus", "Phanaeus beltianus", "Phanaeus blackalleri", "Afrolepis pygidialis", "Afrolepis unguicularis", "Agaocnemis pruina", "Aglaphyra aethiopica", "Aglaphyra babaulti", "Aglaphyra francoisi", "Aglaphyra keithi", "Aglaphyra setosa", "Alaia sexdentata", "Aliaclitopa praecalva", "Aliaclitopa snizeki", "Allara insularis", "Allokotarsa clypeata", "Allokotarsa damarina", "Allokotarsa griqua", "Allokotarsa nigriceps", "Allokotarsa rotundicollis", "Allophyllus chazeaui", "Allophyllus pentaphyllus", "Allophyllus tetraphyllus", "Allothnonius barretti", "Allothnonius brooksi", "Alogistotarsa ovampoana", "Alogistotarsa straminea", "Alvarinus bahianus", "Alvarinus brasiliensis", "Alvarinus canescens", "Alvarinus guayaquilanus", "Alvarinus hilarii", "Alvarinus luridipennis", "Alvarinus maniculatus", "Alvarinus oblongus", "Alvarinus pallidipennis", "Alvarinus parvulus", "Alvarinus rufofuscus", "Alvarinus setulosus", "Alvarinus submetallicus", "Alvarinus subsericeus", "Alvarinus testaceipennis", "Alvarinus varians", "Amadotrogus grassii", "Amadotrogus insubricus", "Amadotrogus oertzeni", "Amadotrogus patruelis", "Amadotrogus quercanus", "Amadotrogus tarsalis", "Amadotrogus truncatus", "Amadotrogus vicinus", "Amblonoxia bidentata", "Amblonoxia carpenteri", "Amblonoxia fieldi", "Amblonoxia harfordi", "Amblonoxia palpalis", "Amblonoxia riversi", "Amblymelanoplia capensis", "Amblymelanoplia cavitibialis", "Amblymelanoplia cornuta", "Amblymelanoplia rustenvredensis", "Amblymelanoplia spinipes", "Amiserica babai", "Amiserica langbianensis", "Amiserica lii", "Amiserica loi", "Amiserica malickyi", "Ablaberoides namaquanus", "Ablaberoides naviauxi", "Ablaberoides nigrobrunnea", "Ablaberoides nitidulus", "Ablaberoides obtusus", "Ablaberoides ominosus", "Ablaberoides oscurifrons", "Ablaberoides pauper", "Ablaberoides pavoninus", "Ablaberoides quadrisignatus", "Ablaberoides quasitus", "Ablaberoides rufovittatus", "Ablaberoides schwetzi", "Ablaberoides tardus", "Ablaberoides tenellus", "Ablaberoides testaceipennis", "Ablaberoides testaceus", "Acheilo capitalis", "Acheilo clypeatus", "Acheilo pedarius", "Achelyna clypeata", "Achelyna testacea", "Achloa blandula", "Achloa caffra", "Achloa delicatula", "Achloa echinaticeps", "Achloa helvola", "Achloa payoni", "Achranoxia expallida", "Achranoxia koenigi", "Achranoxia peltzi", "Achranoxia planipalpis", "Achranoxia semiflava", "Achranoxia sijesowi", "Achranoxia transaralica", "Achranoxia turcomanica", "Achranoxia varentzowi", "Acylochilus assimilis", "Acylochilus curvidens", "Acylochilus ottianus", "Acylochilus persimilis", "Acylochilus strumosus", "Adoretops pexus", "Adossa infera", "Adossa sylvicola", "Aegostheta boa", "Aegostheta brachiata", "Aegostheta capicola", "Aegostheta ciliata", "Aegostheta longicornis", "Aegostheta maritima", "Aegostheta natalensis", "Aegostheta nigra", "Aegostheta nigricollis", "Aegostheta pubens", "Aegostheta simplex", "Aegostheta sjoestedti", "Aegostheta vestita", "Aethiaratrogus clypeatus", "Aethiaratrogus marqueti", "Aethiaratrogus yemenicus", "Afrolepis congoensis", "Afrolepis ivorensis", "Afrolepis kivuensis", "Anoxia laevimacula", "Anoxia rotroui", "Anoxia smyrnensis", "Anoxia affinis", "Anoxia africana", "Anoxia arenbergeri", "Anoxia asiatica", "Anoxia caphtor", "Anoxia cretica", "Anoxia hungarica", "Anoxia kraatzi", "Anoxia lodosi", "Anoxia maculiventris", "Anoxia makrisi", "Anoxia maldesi", "Anoxia monacha", "Anoxia naviauxi", "Anoxia niceaensis", "Anoxia nigricolor", "Anoxia pasiphae", "Anoxia scutellaris", "Anoxia tristis", "Anoxia villosa", "Anoxoides bytinskisalzi", "Antandroyanus decorsei", "Anthotocus antennalis", "Anthotocus cribriceps", "Anthotocus fugitivus", "Anthotocus luridus", "Anthotocus perissus", "Anthrencya anthracina", "Anthrencya arrowi", "Anthrencya castanipes", "Anthrencya lebisi", "Antitrochalus abyssinicus", "Antitrogus adamsi", "Antitrogus adustus", "Antitrogus brooksi", "Antitrogus burmeisteri", "Antitrogus carnei", "Antitrogus circulifrons", "Antitrogus consanguineus", "Antitrogus costai", "Antitrogus gubbi", "Antitrogus morbillosus", "Antitrogus mussoni", "Antitrogus nox", "Antitrogus parilis", "Antitrogus parvulus", "Antitrogus planiceps", "Antitrogus politus", "Antitrogus robertsi", "Antitrogus rugulosus", "Antitrogus setifer", "Antitrogus setifrons", "Antitrogus tasmanicus", "Antitrogus tumidifrons", "Antitrogus villosus", "Aphaenoserica fallax", "Aphaenoserica insularis", "Aphanesia greyi", "Apicencya apicalis", "Apicencya calva", "Apicencya nuda", "Naudea colonus", "Hypogymnia capitata", "Olethreutes agatha", "Aprosoesta pancala", "Anomalophylla majori", "Anomalophylla mandhatensis", "Anomalophylla mawi", "Anomalophylla morula", "Anomalophylla moupinea", "Anomalophylla moxiensis", "Anomalophylla obscuripennis", "Anomalophylla plagipennis", "Anomalophylla qinlingensis", "Anomalophylla stoetzneri", "Anomalophylla subcarinata", "Anomalophylla subfastuosa", "Anomalophylla tristicula", "Anomalophylla tsangpoana", "Anomalophylla vidua", "Anomalophylla wulingshanica", "Anomolyna pallidipennis", "Anomolyna pauliani", "Anomolyna picticollis", "Anomonyx uruguayensis", "Anoplosiagum antennale", "Anoplosiagum castaneum", "Anoplosiagum cubensis", "Anoplosiagum flavicollis", "Anoplosiagum fulvum", "Anoplosiagum gebieni", "Anoplosiagum kuntzeni", "Anoplosiagum macrophyllum", "Anoplosiagum oteroi", "Anoplosiagum pallidulum", "Anoplosiagum pauliani", "Anoplosiagum peltatum", "Anoplosiagum pentaphyllum", "Anoplosiagum rufipenne", "Anoplosiagum rufum", "Anoplosiagum rutilus", "Anoplosiagum scabrosum", "Anoplosiagum scaramuzzai", "Anoplosiagum simplicipes", "Anoplosiagum sjostedti", "Anoplosiagum sulcatulum", "Anoplosiagum sulcipenne", "Anoplosiagum swezeyi", "Anoplosiagum truncatum", "Anoplosiagum turquinensis", "Anoplosiagum variabile", "Anoplosiagum versicolor", "Anoplosiagum vicinum", "Anoplosiagum villosicolle", "Anoplosiagum zayasi", "Anoxia derelicta", "Anoxia australis", "Anoxia cypria", "Anoxia desbrochersi", "Anoxia emarginata", "Anoxia hirta", "Anoxia luteipilosa", "Anoxia matutinalis", "Anoxia rattoi", "Anoxia reisseri", "Anoxia baraudi", "Anoxia ciliciensis", "Anoxia cingulata", "Anoxia kocheri", "Apicencya parva", "Apicencya pauliani", "Apicencya plagulata", "Apicencya speculifera", "Apicencya vadoni", "Apicencya waterloti", "Aplidia aegyptiaca", "Aplidia akbesiana", "Aplidia andreasmuelleri", "Aplidia armeniaca", "Aplidia attenuata", "Aplidia baraudi", "Aplidia baudii", "Aplidia besucheti", "Aplidia bodemeyeri", "Aplidia caesarina", "Aplidia chaifensis", "Aplidia chloes", "Aplidia ciliciensis", "Aplidia claudii", "Aplidia cypria", "Aplidia dilatata", "Aplidia endroedii", "Aplidia etrusca", "Aplidia fissa", "Aplidia graeca", "Aplidia heinzorum", "Aplidia hirticollis", "Aplidia houryae", "Aplidia indaryi", "Aplidia iranica", "Aplidia janczyki", "Aplidia joannis", "Aplidia lizleri", "Aplidia lodosi", "Aplidia massai", "Aplidia migliaccioi", "Aplidia montreuili", "Aplidia nitidula", "Aplidia pamphyliensis", "Aplidia petrovitzi", "Aplidia pilicollis", "Aplidia preissi", "Aplidia pruinosa", "Aplidia pubiventris", "Aplidia rugicollis", "Aplidia sparsepunctata", "Aplidia tarsensis", "Aplidia transversa", "Aplidia turcica", "Aplidia vagepunctata", "Aplidia villigera", "Aplidia villosicollis", "Aplidia werneri", "Aplidia wewalkai", "Aplopsis ablata", "Aplopsis borealis", "Aplopsis caviceps", "Aplopsis darlingtoni", "Aplopsis debilis", "Aplopsis decipiens", "Aplopsis discedens", "Aplopsis evexa", "Aplopsis ferruginea", "Aplopsis grisea", "Aplopsis hamilla", "Aplopsis henryi", "Aplopsis lineoligera", "Aplopsis longipes", "Aplopsis mayae", "Aplopsis olliffi", "Aplopsis punctulata", "Aplopsis rutila", "Aplopsis serricollis", "Aplopsis setosa", "Aplopsis spadix", "Aplopsis viridis", "Aplopsis wilsoni", "Apogonia abdominalis", "Apogonia abyssinica", "Apogonia accepta", "Apogonia acutangularis", "Apogonia adoretoides", "Apogonia aenea", "Apogonia aeneocuprea", "Apogonia aenescens", "Apogonia aequabilis", "Apogonia aerata", "Apogonia aerea", "Apogonia affinis", "Apogonia africana", "Apogonia akikoae", "Apogonia albomaculata", "Apogonia alkmaarensis", "Apogonia amabilis", "Apogonia amaura", "Apogonia amida", "Apogonia amitina", "Apogonia andamana", "Apogonia angulata", "Apogonia angusta", "Apogonia angustipes", "Apogonia annamensis", "Apogonia apicalis", "Apogonia armadillo", "Apogonia arta", "Apogonia aruensis", "Apogonia asperata", "Apogonia assamensis", "Apogonia australensis", "Apogonia badia", "Apogonia bakeri", "Apogonia bakunensis", "Apogonia balocauensis", "Apogonia banosana", "Apogonia baolocensis", "Apogonia basalis", "Apogonia basiventris", "Apogonia batjana", "Apogonia bawangensis", "Apogonia bazilanensis", "Apogonia becqueti", "Apogonia belutschistanica", "Apogonia benguetana", "Apogonia bezdeki", "Apogonia bicarinata", "Apogonia bicolor", "Apogonia blanchardi", "Apogonia boettcheri", "Apogonia bolikhamsaiana", "Apogonia bomuana", "Apogonia borneensis", "Apogonia brenskei", "Apogonia brevicollis", "Apogonia brevis", "Apogonia brevisetosa", "Apogonia brunneipennis", "Apogonia buettikoferi", "Apogonia bullaventris", "Apogonia burgeoni", "Apogonia burmanica", "Apogonia buruensis", "Apogonia calcuttana", "Apogonia callosifrons", "Apogonia calva", "Apogonia cambodjensis", "Apogonia caobangensis", "Apogonia carinata", "Apogonia carlotae", "Apogonia castanea", "Apogonia castaneifemorata", "Apogonia castaneipennis", "Apogonia cava", "Apogonia cavifrons", "Apogonia celebiana", "Apogonia centralis", "Apogonia cephalus", "Apogonia ceramensis", "Apogonia cinerascens", "Apogonia clypeata", "Apogonia coiffaiti", "Apogonia colini", "Apogonia communis", "Apogonia comosa", "Apogonia congoensis", "Apogonia consimilis", "Apogonia conspersa", "Apogonia contracta", "Apogonia contractclypea", "Apogonia convexa", "Apogonia coriacea", "Apogonia corpoorali", "Apogonia crassipes", "Apogonia crassitarsis", "Apogonia crenulata", "Apogonia cribrata", "Apogonia cupreicollis", "Apogonia cupreomicans", "Apogonia cupreoviridis", "Apogonia cuprescens", "Apogonia cuprina", "Apogonia curtula", "Apogonia dalatensis", "Apogonia dapitana", "Apogonia decellei", "Apogonia deformis", "Apogonia depressifrons", "Apogonia difficilis", "Apogonia diversicollis", "Apogonia doisuthepana", "Apogonia duebayensis", "Apogonia dux", "Apogonia edentula", "Apogonia elongata", "Apogonia emineopygidialis", "Apogonia encausta", "Apogonia endoi", "Apogonia eremita", "Apogonia exasperata", "Apogonia excedens", "Apogonia expeditionis", "Apogonia fallaciosa", "Apogonia farinosa", "Apogonia fatidica", "Apogonia feai", "Apogonia ferrugata", "Apogonia ferruginea", "Apogonia flavipennis", "Apogonia flavipes", "Apogonia flavorufa", "Apogonia flectclypea", "Apogonia floresiana", "Apogonia formosana", "Apogonia foveolata", "Apogonia frontalis", "Apogonia fujiokai", "Apogonia fukinukii", "Apogonia fulgida", "Apogonia fulgidicollis", "Apogonia fulvipes", "Apogonia fulvosetosa", "Apogonia fulvosquamosa", "Apogonia fuscescens", "Apogonia fuscolineata", "Apogonia fuscula", "Apogonia gibbiventris", "Apogonia gigantea", "Apogonia glabra", "Apogonia glabricollis", "Apogonia glabrifrons", "Apogonia goedhuisi", "Apogonia gracilipes", "Apogonia gracilis", "Apogonia grandis", "Apogonia granulosa", "Apogonia granum", "Apogonia gressitti", "Apogonia griseosquamosa", "Apogonia haryanavi", "Apogonia helleri", "Apogonia heptagona", "Apogonia heterosquamulata", "Apogonia heynei", "Apogonia hilaris", "Apogonia hirta", "Apogonia hirtella", "Apogonia hongkongica", "Apogonia hopei", "Apogonia ignorata", "Apogonia illiberalis", "Apogonia impressa", "Apogonia impressifrons", "Apogonia impressipyga", "Apogonia improba", "Apogonia imugana", "Apogonia inconstans", "Apogonia indica", "Apogonia inexspectata", "Apogonia insignis", "Apogonia insulana", "Apogonia insularis", "Apogonia irianjayana", "Apogonia irrorata", "Apogonia ishiharai", "Apogonia itoi", "Apogonia jokoana", "Apogonia kalimantana", "Apogonia kamerunica", "Apogonia kamiyai", "Apogonia katangensis", "Apogonia katangtokensis", "Apogonia kilimana", "Apogonia kolbei", "Apogonia kombirana", "Apogonia kubani", "Apogonia kunenensis", "Apogonia kusuii", "Apogonia kyulomensis", "Apogonia laeta", "Apogonia laevicarinata", "Apogonia laevicollis", "Apogonia laeviscutata", "Apogonia lamdongensis", "Apogonia lamottei", "Apogonia lanata", "Apogonia laosana", "Apogonia lasia", "Apogonia lateralis", "Apogonia latescutellata", "Apogonia laticeps", "Apogonia latidentata", "Apogonia latitarsis", "Apogonia latiuscula", "Apogonia lenis", "Apogonia lepidota", "Apogonia leuweni", "Apogonia leytensis", "Apogonia ligaoensis", "Apogonia lobata", "Apogonia loi", "Apogonia loizeaui", "Apogonia lombokiana", "Apogonia longispina", "Apogonia lurida", "Apogonia lutea", "Apogonia luzonica", "Apogonia maculipennis", "Apogonia magnifica", "Apogonia major", "Apogonia malaccensis", "Apogonia malangia", "Apogonia mandaragonensis", "Apogonia mangalorensis", "Apogonia marginata", "Apogonia masatoshii", "Apogonia mashona", "Apogonia masumotoi", "Apogonia mathisoni", "Apogonia vossi", "Apogonia waigeana", "Apogonia wakaharai", "Apogonia watanabei", "Apogonia waterhousei", "Apogonia waterstradti", "Apogonia werneri", "Apogonia wittkugeli", "Apogonia wittmeri", "Apogonia xanthosoma", "Apogonia xiengkhouangana", "Apogonia yunnana", "Zeiraphera subvirinea", "Meleonoma tamraensis", "Ueckermanniella cataracta", "Dichomeris neatodes", "Dichomeris nephanthes", "Dichomeris nessica", "Dichomeris nitiellus", "Dichomeris nonstrigella", "Dichomeris kawamurai", "Dichomeris yanagawanus", "Dichomeris parallelivalvata", "Dichomeris columnaria", "Dichomeris latifurcata", "Dichomeris silvestrella", "Dichomeris beljaevi", "Gelechia alacella", "Dichomeris liui", "Dichomeris qinlingensis", "Apogonia posticalis", "Apogonia producta", "Apogonia prolixa", "Apogonia propinqua", "Apogonia protracta", "Apogonia proxima", "Apogonia pseudamaura", "Apogonia pseudofloresiana", "Apogonia pseudofoveolata", "Apogonia pseudopapua", "Apogonia pulchra", "Apogonia punctata", "Apogonia purpurascens", "Apogonia pygidialis", "Apogonia ranca", "Apogonia rauca", "Apogonia reticula", "Apogonia ritsemae", "Apogonia rizali", "Apogonia robusta", "Apogonia rotundiceps", "Apogonia rudepunctata", "Apogonia rufa", "Apogonia rufoaenescens", "Apogonia rufobrunnea", "Apogonia rufofusca", "Apogonia rugae", "Apogonia rugicollis", "Apogonia rugifrons", "Apogonia rugipennis", "Apogonia rugosa", "Apogonia rugulosa", "Apogonia sabahensis", "Apogonia sakamakii", "Apogonia saleijana", "Apogonia sandakana", "Apogonia sanghira", "Apogonia sapa", "Apogonia schereri", "Apogonia schoutedeni", "Apogonia scrobicollis", "Apogonia scutellaris", "Apogonia senohi", "Apogonia sequens", "Apogonia sericata", "Apogonia sericea", "Apogonia setifera", "Apogonia setosa", "Apogonia setosella", "Apogonia setulosa", "Apogonia sextuberculata", "Apogonia sharpi", "Apogonia siamensis", "Apogonia sibutensis", "Apogonia simillima", "Apogonia simplex", "Apogonia simulans", "Apogonia sinuata", "Apogonia sinuolata", "Apogonia sjoestedti", "Apogonia solida", "Apogonia solorensis", "Apogonia sombooni", "Apogonia soror", "Apogonia sossiana", "Apogonia speculifera", "Apogonia sphaerica", "Apogonia splendida", "Apogonia splendidula", "Apogonia squamelliformis", "Apogonia squamifera", "Apogonia squamipennis", "Apogonia squamosetosa", "Apogonia squamulosa", "Apogonia striatipennis", "Apogonia strigosa", "Apogonia subaenea", "Apogonia subpilosula", "Apogonia subrugipennis", "Apogonia subseriata", "Apogonia subvittata", "Apogonia sulcata", "Apogonia sulcaticeps", "Apogonia sumbawana", "Apogonia surigaoana", "Apogonia taiwana", "Apogonia takahashii", "Apogonia takakuwai", "Apogonia takasagoensis", "Apogonia tamdaoensis", "Apogonia tangana", "Apogonia tangcolana", "Apogonia tanigawaensis", "Apogonia tenuipes", "Apogonia terminalis", "Apogonia teruakii", "Apogonia tessellata", "Apogonia timorensis", "Apogonia tomeensis", "Apogonia toshioi", "Apogonia toxopei", "Apogonia transvaalensis", "Apogonia tridentata", "Apogonia truncata", "Apogonia truncaticepes", "Apogonia tuberculifrons", "Apogonia tuberculiventris", "Apogonia uelleana", "Apogonia uhligi", "Apogonia unidens", "Apogonia unidentata", "Apogonia variabilis", "Apogonia varievestis", "Apogonia variiceps", "Apogonia vastatrix", "Apogonia ventralis", "Apogonia vestita", "Apogonia vethi", "Apogonia vicina", "Apogonia vietnamensis", "Apogonia villigera", "Apogonia villosella", "Apogonia villosula", "Apogonia virescens", "Apogonia viridana", "Apogonia viridifulva", "Apogonia viridimicans", "Apogonia viridipennis", "Apogonia maynei", "Apogonia metallescens", "Apogonia metallica", "Apogonia metasternalis", "Apogonia mindanaoana", "Apogonia minor", "Apogonia minutissima", "Apogonia miyakei", "Apogonia moesta", "Apogonia mohagani", "Apogonia moluccana", "Apogonia montana", "Apogonia monticola", "Apogonia montivaga", "Apogonia motoensis", "Apogonia munda", "Apogonia nana", "Apogonia neglecta", "Apogonia negrosensis", "Apogonia niasana", "Apogonia nietneri", "Apogonia nigricans", "Apogonia nigripennis", "Apogonia nigroaenea", "Apogonia nigrobrunnea", "Apogonia nigrochalcea", "Apogonia nimbaensis", "Apogonia niponica", "Apogonia nishikawai", "Apogonia nitida", "Apogonia nitidula", "Apogonia nobilis", "Apogonia nodosa", "Apogonia oberthuerii", "Apogonia obscura", "Apogonia obscuridentata", "Apogonia ochracea", "Apogonia ohmomoi", "Apogonia okushimai", "Apogonia opaca", "Apogonia orbitalis", "Apogonia ovaliformis", "Apogonia overlaeti", "Apogonia oviformis", "Apogonia padangensis", "Apogonia palawana", "Apogonia pallescens", "Apogonia papua", "Apogonia paracribricollis", "Apogonia paralaevicarinata", "Apogonia paramaura", "Apogonia pectoralis", "Apogonia perdix", "Apogonia philippinica", "Apogonia philochlaenioides", "Apogonia pilifera", "Apogonia pilosa", "Apogonia pilosella", "Apogonia pingtungensis", "Apogonia planifrons", "Apogonia polisana", "Apogonia polita", "Crocanthes scioxantha", "Crocanthes sphecotypa", "Crocanthes hemipyra", "Aposchiza schulzi", "Apotriodonta hispanica", "Apterodemidea paraguayensis", "Archeohomaloplia abbreviata", "Archeohomaloplia acuta", "Archeohomaloplia frolovi", "Archeohomaloplia ganhaiziensis", "Archeohomaloplia hebashana", "Archeohomaloplia kalabi", "Archeohomaloplia medvedevi", "Archeohomaloplia mingi", "Archeohomaloplia nikolajevi", "Archeohomaloplia safraneki", "Archeohomaloplia taunggyiensis", "Archeohomaloplia yaregongensis", "Archeohomaloplia yunnana", "Archocamenta ascendens", "Archocamenta flava", "Archocamenta pilosa", "Archocamenta ventricosa", "Archoserica bogosana", "Archoserica coiffaiti", "Archoserica nitens", "Argoplia glaberrimus", "Argoplia grata", "Asactopholis bicolor", "Asactopholis capucina", "Asactopholis dalatensis", "Asactopholis gracilipes", "Asactopholis laticeps", "Asactopholis marmorata", "Asactopholis masumotoi", "Asactopholis microsquamosus", "Asactopholis miranda", "Asactopholis opalinea", "Asactopholis ornata", "Asactopholis pectoralis", "Asactopholis sericea", "Asactopholis squamipennis", "Asaphomorpha androkensis", "Asaphomorpha bastardi", "Asaphomorpha colasi", "Asaphomorpha fiherenae", "Asaphomorpha furfuracea", "Asaphomorpha gaudroni", "Asaphomorpha geayi", "Asaphomorpha hirsuta", "Asaphomorpha laticrenata", "Asaphomorpha latipennis", "Astaena hirtella", "Astaena incachaca", "Astaena insulana", "Astaena iridescens", "Astaena kuehnelti", "Astaena kuntzeni", "Astaena leechi", "Astaena lojana", "Astaena longicornis", "Astaena longula", "Astaena lurida", "Astaena macilenta", "Astaena maqueta", "Astaena marginicollis", "Astaena marginithorax", "Astaena micans", "Astaena montivaga", "Astaena moseri", "Astaena neglecta", "Astaena negligens", "Astaena nigrona", "Astaena nitens", "Astaena nitida", "Astaena nitidula", "Astaena oblonga", "Astaena obscurata", "Astaena obscurifrons", "Astaena ohausi", "Astaena opaca", "Astaena opalicauda", "Astaena opalipennis", "Astaena pauloensis", "Astaena pectoralis", "Astaena penai", "Astaena peruana", "Astaena peruensis", "Astaena pilicollis", "Astaena pilosa", "Astaena pilosella", "Astaena pinguis", "Astaena plaumanni", "Astaena postnodata", "Astaena pottsi", "Astaena producta", "Astaena pruinosa", "Astaena pubescens", "Astaena pusilla", "Astaena pygidia", "Astaena pygidialis", "Astaena robusta", "Astaena rockefelleri", "Astaena rosettae", "Astaena rotundiceps", "Astaena rufa", "Astaena rufescens", "Astaena ruficollis", "Astaena rugithorax", "Astaena salta", "Astaena santaecrucis", "Astaena saylori", "Astaena schereri", "Astaena schneblei", "Astaena semiopaca", "Astaena sericea", "Atysilla verhulsti", "Atysilla vrydaghi", "Atysilla wittei", "Aulacoschiza epipleuralis", "Aulacoschiza hexaphylla", "Aulacoschiza triphylla", "Aulacoserica affinis", "Aulacoserica alternans", "Aulacoserica antennalis", "Aulacoserica ardoini", "Aulacoserica baraudi", "Aulacoserica barbarae", "Aulacoserica boeri", "Aulacoserica bredoi", "Aulacoserica brenskei", "Aulacoserica castanea", "Aulacoserica collarti", "Aulacoserica colmanti", "Aulacoserica crampelensis", "Aulacoserica crassa", "Aulacoserica dartevellei", "Aulacoserica deremana", "Aulacoserica diversicornis", "Aulacoserica facilis", "Aulacoserica flava", "Aulacoserica fraterna", "Aulacoserica gabonensis", "Aulacoserica ghanaensis", "Aulacoserica grandis", "Aulacoserica guineensis", "Aulacoserica haafi", "Aulacoserica hexaphylla", "Aulacoserica hulstaerti", "Aulacoserica kaszabi", "Aulacoserica konduensis", "Aulacoserica kulzeri", "Aulacoserica luluensis", "Aulacoserica minima", "Aulacoserica minor", "Aulacoserica minuta", "Aulacoserica moseri", "Aulacoserica mulunguensis", "Aulacoserica nimbana", "Aulacoserica nyamlagirensis", "Aulacoserica nyansana", "Aulacoserica overlaeti", "Aulacoserica popoana", "Aulacoserica pseudorufula", "Aulacoserica puerilis", "Aulacoserica pusilla", "Aulacoserica pygmaea", "Aulacoserica rosettae", "Aulacoserica rufocastanea", "Aulacoserica rufofusca", "Aulacoserica schoutedeni", "Aulacoserica schoutedeniana", "Aulacoserica sibutensis", "Aulacoserica soror", "Aulacoserica stuhlmanni", "Aulacoserica subopaca", "Aulacoserica tinanti", "Aulacoserica tomentosa", "Aulacoserica uelensis", "Aulacoserica zumpti", "Aprosoesta poliozona", "Aprosoesta warmarensis", "Aprosoesta gatoralis", "Aprosoesta cyclopsana", "Aprosoesta subpancala", "Aprosoesta vinnula", "Aprosoesta strombiana", "Aprosoesta eremitatos", "Aprosoesta cordispina", "Aprosoesta heliograpta", "Crocanthes heliograpta", "Hypogymnia nitida", "Hypogymnia saxicola", "Gonaepa ochrorhytisma", "Hypogymnia pendula", "Gonaepa nagaensis", "Gonaepa cordata", "Hypogymnia tenuispora", "Crocanthes prasinopis", "Crocanthes glycina", "Crocanthes zonodesma", "Crocanthes acroxantha", "Crocanthes epitherma", "Crocanthes thiomorpha", "Crocanthes doliopa", "Crocanthes microdelpha", "Gelechia microdelpha", "Crocanthes gracilosa", "Crocanthes diula", "Crocanthes halurga", "Crocanthes perigrapta", "Crocanthes thermobapta", "Crocanthes characotis", "Crocanthes chordotona", "Crocanthes trizona", "Crocanthes venustula", "Crocanthes anactostola", "Crocanthes sidonia", "Crocanthes temeraria", "Crocanthes aulodocha", "Crocanthes leucodonata", "Crocanthes susuensis", "Crocanthes fallax", "Crocanthes crypsicola", "Crocanthes hagenensis", "Crocanthes celema", "Crocanthes xanthistia", "Crocanthes hecuba", "Crocanthes phoenoteles", "Crocanthes rhodantha", "Crocanthes platycitra", "Crocanthes thalamectis", "Crocanthes symmochlopa", "Crocanthes sceletopa", "Astaena setosa", "Astaena simulatrix", "Astaena sparsesetosa", "Astaena splendens", "Astaena sulcatipennis", "Astaena suturalis", "Astaena tarsalis", "Astaena tenella", "Astaena tenellula", "Astaena tomentosa", "Astaena tridentata", "Astaena truncaticeps", "Astaena tucumana", "Astaena tumidiceps", "Astaena valida", "Astaena vicina", "Astaena yungasa", "Astaena zischkai", "Astaena zyrota", "Astaenoplia miserabilis", "Asthenopholis adspersa", "Asthenopholis crassa", "Asthenopholis crypsis", "Asthenopholis minor", "Asthenopholis rex", "Asthenopholis subfasciata", "Asthenopholis ugandensis", "Astibicola bicolor", "Atanyproctus afghanus", "Atanyproctus alexandri", "Atanyproctus ernae", "Atanyproctus miksici", "Atanyproctus opacipennis", "Atanyproctus simplicitarsis", "Athesphatoplia curiosa", "Athesphatoplia mirifica", "Athlia bollei", "Athlia brasilica", "Athlia bruchi", "Athlia giaii", "Athlia parvissima", "Athlia plebeja", "Athlia problematica", "Athlia rotundata", "Athlia rustica", "Atysilla ampullata", "Atysilla bredoi", "Atysilla corrosa", "Atysilla dartevellei", "Atysilla diluta", "Atysilla fallax", "Atysilla glabra", "Atysilla humilis", "Atysilla hybrida", "Atysilla infans", "Atysilla inscita", "Atysilla inverta", "Atysilla lefevrei", "Atysilla ovatula", "Atysilla samenensis", "Atysilla simplex", "Atysilla soror", "Atysilla straminea", "Atysilla tarsalis", "Aulanota sulcipennis", "Automolius angustulus", "Automolius brooksi", "Automolius brunneus", "Automolius compactus", "Automolius cooki", "Automolius depressus", "Automolius evanescens", "Automolius fuligineus", "Automolius funereus", "Automolius granulatus", "Automolius hispidus", "Automolius humilis", "Automolius immitis", "Automolius irrasus", "Automolius maechidioides", "Automolius major", "Automolius nanus", "Automolius opaculus", "Automolius ordinatus", "Automolius phoxus", "Automolius pictus", "Automolius poverus", "Automolius pygmaeus", "Automolius rotundus", "Automolius semitifer", "Automolius sordidus", "Automolius sulcatus", "Automolius tridentifrons", "Automolius valgoides", "Automolius vulgaris", "Autoserica adumana", "Autoserica angolana", "Autoserica annamensis", "Autoserica annectens", "Autoserica antennalis", "Autoserica atrata", "Autoserica australis", "Autoserica badia", "Autoserica barbata", "Autoserica benguellana", "Autoserica benigna", "Autoserica benuensis", "Autoserica bicolor", "Autoserica boeri", "Autoserica bomuana", "Autoserica bourgeoni", "Autoserica bredoi", "Autoserica brenskei", "Autoserica budjunguana", "Autoserica buruana", "Autoserica callosiventris", "Autoserica cambodjana", "Autoserica capeneri", "Autoserica ciliaticollis", "Autoserica cinchonae", "Autoserica clypealis", "Autoserica collarti", "Autoserica comata", "Autoserica concordans", "Autoserica confinis", "Autoserica congoensis", "Autoserica consimilis", "Autoserica dahomeyensis", "Autoserica davaoensis", "Autoserica delagoana", "Autoserica denticrus", "Autoserica desaegeri", "Autoserica desquamata", "Autoserica desquamifera", "Autoserica dilatatipes", "Autoserica distinguenda", "Autoserica diversipes", "Autoserica ealana", "Autoserica elisabethana", "Autoserica epipleuralis", "Autoserica farsilis", "Autoserica fartula", "Autoserica fasciata", "Autoserica fasta", "Autoserica flabellata", "Autoserica flavescens", "Autoserica flaviventris", "Autoserica flavopicta", "Autoserica fluviatica", "Autoserica freudei", "Autoserica freynei", "Autoserica fucata", "Autoserica fucatella", "Autoserica fullonica", "Autoserica fulvicolor", "Autoserica fuscipes", "Autoserica gabonica", "Autoserica gallana", "Autoserica guinesis", "Autoserica haafi", "Autoserica ibemboana", "Autoserica insulicola", "Autoserica iridipes", "Autoserica iringana", "Autoserica iringensis", "Autoserica jokona", "Autoserica kamerunensis", "Autoserica kamerunica", "Autoserica kanseniae", "Autoserica kigonserana", "Autoserica konduensis", "Autoserica kundelungu", "Autoserica laticrus", "Autoserica latipes", "Autoserica leopoldi", "Autoserica leplaei", "Autoserica loangoana", "Autoserica lombokensis", "Autoserica longicornis", "Autoserica lubutensis", "Autoserica lucidula", "Autoserica lydenburgiana", "Autoserica madibirana", "Autoserica maritima", "Autoserica methneri", "Autoserica microchaeta", "Autoserica mombassana", "Balbera matilei", "Balbera reflexa", "Barybas abdominalis", "Barybas aenea", "Barybas aenescens", "Barybas amazonica", "Barybas asper", "Barybas asperulus", "Barybas aurita", "Barybas bituberculata", "Barybas boliviana", "Barybas brasiliensis", "Barybas breviceps", "Barybas callosipennis", "Barybas callosipyga", "Barybas cayennensis", "Barybas chacoensis", "Barybas clypeata", "Barybas compacta", "Barybas corumbana", "Barybas crassa", "Barybas curta", "Barybas ferruginea", "Barybas fraterna", "Barybas grisea", "Barybas idiota", "Barybas insulana", "Barybas kulzeri", "Barybas kuntzeni", "Barybas latesquamosa", "Barybas maculata", "Barybas minuta", "Barybas murina", "Barybas nana", "Barybas ohausi", "Barybas oxygenys", "Barybas parvula", "Barybas pellucens", "Barybas peruana", "Barybas sarana", "Barybas scopifer", "Barybas setifer", "Barybas sparsesetosa", "Barybas squamiger", "Barybas sublobata", "Barybas umbonata", "Barybas uniformis", "Barybas variegata", "Barybas variipennis", "Barybas viridiaenea", "Beckhoplia colvillei", "Beckhoplia julianae", "Beckhoplia occidentalis", "Beriqua modesta", "Bilga conradti", "Bilga ficosa", "Bilga kameruna", "Bilga pictipennis", "Bilga rufomaculata", "Bilga togoana", "Biphyllocera kirbyana", "Bisencya bisignata", "Bisencya catalai", "Bisencya gutticollis", "Brahmina faldermanni", "Brahmina rubetra", "Brahmina abdominalis", "Brahmina abscessa", "Brahmina adaequata", "Brahmina amurensis", "Brahmina assamensis", "Brahmina bengalensis", "Brahmina braeti", "Brahmina brevipilosa", "Brahmina brunneosparsa", "Brahmina buruensis", "Brahmina callosifrons", "Brahmina canaliculata", "Brahmina cardoni", "Brahmina cariniclypea", "Brahmina carinifrons", "Brahmina ciliaticollis", "Brahmina comata", "Brahmina coriacea", "Brahmina crenicollis", "Brahmina cribriceps", "Brahmina cribricollis", "Brahmina crinicollis", "Brahmina cuprea", "Brahmina cylindrica", "Brahmina darcisi", "Brahmina doeberli", "Brahmina dubitabilis", "Brahmina elongata", "Brahmina excisiceps", "Brahmina extraria", "Brahmina flabellata", "Brahmina flavipennis", "Brahmina glabellus", "Brahmina hindu", "Brahmina itohi", "Brahmina jubata", "Brahmina kabakovi", "Brahmina kurseongana", "Brahmina latericostata", "Brahmina latispina", "Brahmina lutea", "Brahmina macrophylla", "Brahmina malaccensis", "Brahmina mandarina", "Brahmina microphylla", "Brahmina mikado", "Brahmina miyako", "Brahmina moluccana", "Brahmina monticola", "Brahmina moseri", "Brahmina mysoreensis", "Brahmina nomurai", "Brahmina nuda", "Brahmina parvula", "Brahmina perakensis", "Brahmina phytaloides", "Brahmina pilifrons", "Brahmina plagiatula", "Brahmina pseudobrunneosparsa", "Brahmina pseudoglabella", "Brahmina pubiventris", "Brahmina pulchella", "Bisencya invulnerata", "Bisencya lacunosa", "Bisencya pyriformis", "Bisencya sogai", "Bisencya viettei", "Bizanus caliginosus", "Bizanus vansoni", "Blanchardoplia fulva", "Blanchardoplia hirsuta", "Blanchardoplia hirticula", "Blanchardoplia hispida", "Blanchardoplia parvula", "Blanchardoplia pusilla", "Blanchardoplia rufa", "Blanchardoplia sabatinellii", "Blebea elongata", "Blepharotoma argentina", "Blepharotoma boccainae", "Blepharotoma calvicollis", "Blepharotoma confusa", "Blepharotoma martinezi", "Blepharotoma nitens", "Blepharotoma nitidula", "Blepharotoma ohausiana", "Blepharotoma petropolisana", "Blepharotoma plaumanni", "Blepharotoma schenklingi", "Blepharotoma tarsalis", "Blikana comosa", "Brachylepis elephas", "Brachylepis werneri", "Brachyllus bhutanensis", "Brachyllus brancuccii", "Brachyllus cechovskyi", "Brachyllus deuvei", "Brachyllus deuveianus", "Brachyllus francottei", "Brachyllus frontalis", "Brachyllus gressitti", "Brachyllus itohi", "Brachyllus langeri", "Brachyllus laosensis", "Brachyllus lassallei", "Brachyllus malaisei", "Brachyllus murzini", "Brachyllus rougeriei", "Brachyllus siniaevi", "Brachyllus sprecherae", "Brachyllus steelei", "Brachyllus svetlanae", "Brachyllus ulcerosus", "Brachymis cameruna", "Brachymis crinitus", "Brachymis grossa", "Brachymis piligera", "Brachymis pubens", "Brachymis rugifrons", "Brachymis variolosa", "Brachymis wittei", "Brachypholis rothschildi", "Brachypholis sjoestedti", "Brahmina potanini", "Brahmina senescens", "Brahmina agnella", "Autoserica monticola", "Autoserica montivaga", "Autoserica moseri", "Autoserica multimaculata", "Autoserica muscula", "Autoserica nasuta", "Autoserica neavei", "Autoserica nitidior", "Autoserica obscurata", "Autoserica obscurifrons", "Autoserica opacula", "Autoserica overlaeti", "Autoserica permagna", "Autoserica piceola", "Autoserica piceorufa", "Autoserica plebeja", "Autoserica politzari", "Autoserica proteana", "Autoserica pusilla", "Autoserica rhodesiana", "Autoserica richardi", "Autoserica ruandensis", "Autoserica ruficeps", "Autoserica rufiventris", "Autoserica rungweensis", "Autoserica runsorica", "Autoserica sagulata", "Autoserica sarawakensis", "Autoserica schwetzi", "Autoserica scutata", "Autoserica sedonensis", "Autoserica seminitens", "Autoserica senegalensis", "Autoserica seriata", "Autoserica sericina", "Autoserica servilis", "Autoserica setipes", "Autoserica sexflabellata", "Autoserica seydeli", "Autoserica similis", "Autoserica sinuaticollis", "Autoserica somalicola", "Autoserica subcostata", "Autoserica sudanensis", "Autoserica sulcigera", "Autoserica suturalis", "Autoserica symmetrica", "Autoserica tessellata", "Autoserica tinanti", "Autoserica togoenis", "Autoserica tristis", "Autoserica ukamina", "Autoserica umbugwensis", "Autoserica usambarana", "Autoserica vanderijsti", "Autoserica verhulsti", "Autoserica verticalis", "Autoserica vethi", "Autoserica vietnamensis", "Autoserica vrydaghi", "Autoserica wavuana", "Autoserica zenkeri", "Autoserica zoutpaniana", "Balbera anjouanae", "Asaphomorpha nigra", "Asaphomorpha obesa", "Asaphomorpha peyrierasi", "Asaphomorpha rotundiceps", "Asaphomorpha setigera", "Asiactenius afghanus", "Asiactenius mirabilis", "Asiactenius reitteri", "Asiactenius tekkensis", "Asiactenius tokgajevi", "Asophrops jettmari", "Asophrops medvedevi", "Asophrops punjabensis", "Asophrops rudolfpetrovitzi", "Asophrops staveni", "Astaena abaca", "Astaena abcora", "Astaena acuticollis", "Astaena aequatorialis", "Astaena andicola", "Astaena andina", "Astaena apolinarmaria", "Astaena argentina", "Astaena bahiana", "Astaena baroni", "Astaena biciliata", "Astaena bogotana", "Astaena boliviana", "Astaena boliviensis", "Astaena brasiliana", "Astaena brasiliensis", "Astaena bruchi", "Astaena callosipygus", "Astaena capillata", "Astaena castanea", "Astaena catharinensis", "Astaena clypealis", "Astaena cochabamba", "Astaena cognata", "Astaena columbiana", "Astaena columbiensis", "Astaena conformis", "Astaena cordobana", "Astaena corumbana", "Astaena crassitarsis", "Astaena crinicollis", "Astaena cujabana", "Astaena divergens", "Astaena elongata", "Astaena excisicollis", "Astaena excisipes", "Astaena explaniceps", "Astaena exquisita", "Astaena fassli", "Astaena ferrugata", "Astaena ferruginea", "Astaena forsteri", "Astaena foveicollis", "Astaena fusagona", "Astaena glabroclypealis", "Astaena guanabarae", "Astaena heterophylla", "Astaena hiekei", "Astaena hirsuta", "Hemidactylus pauciporosus", "Xanthophyllum borneense", "Spalerosophis josephscorteccii", "Platyceps scortecci", "Platyceps messanai", "Xanthophyllum brevipes", "Phyllodactylus gorii", "Mochlus simonettai", "Xanthophyllum ceraceifolium", "Mochlus grandisonianum", "Mochlus paedocarinatum", "Eryx borrii", "Elapsoidea chelazziorum", "Brahmina pumila", "Brahmina quasibrunneosparsa", "Brahmina ruficollis", "Brahmina rugifrons", "Brahmina rugosicollis", "Brahmina ruida", "Brahmina sakishimana", "Brahmina sculpticollis", "Brahmina sedakovi", "Brahmina serricollis", "Brahmina shibatai", "Brahmina shillongensis", "Brahmina siamensis", "Brahmina simlana", "Brahmina simplex", "Brahmina sophropoides", "Brahmina soror", "Brahmina subsericea", "Brahmina sulcifrons", "Brahmina sumatrensis", "Brahmina taitungensis", "Brahmina tavoyensis", "Brahmina turcestana", "Brahmina wutaiensis", "Brahmina yunnana", "Brenskeiella flavomicans", "Brittonius castanea", "Buettikeria echinocephala", "Buettikeria graingeri", "Bunbunius abditus", "Bunbunius bicallosifrons", "Bunbunius csorbai", "Bunbunius diversifrons", "Bunbunius gamdoensis", "Bunbunius hangayi", "Bunbunius hartmanni", "Bunbunius liukueiensis", "Bunbunius opacipennis", "Bunbunius privus", "Bunbunius prunellus", "Bunbunius pseudoopacipennis", "Bunbunius puchneri", "Bunbunius quadrihamis", "Bunbunius reticulatus", "Bunbunius rozneri", "Bunbunius sinensis", "Bunbunius techongi", "Bunbunius turnai", "Burmeisteriellus mirabilis", "Burmeistoplia scutellaris", "Butozania bulgarica", "Byrrhomorpha basicollis", "Byrrhomorpha ponderosa", "Byrrhomorpha verres", "Byrsalepis mikindana", "Byrsalepis nyassica", "Byrsalepis rhodesiana", "Caesariatoplia humbloti", "Callabonica propria", "Calliferoplia angulopicta", "Calliferoplia crenulata", "Calloserica poggii", "Calloserica tigrina", "Calodactylus abendrothi", "Lecithocera cholopis", "Homaloxestis lophophora", "Homaloxestis surrepta", "Pseudopronematulus augrabiensis", "Coccalicus canadensis", "Xanthophyllum beccarianum", "Hemidactylus bavazzanoi", "Hemidactylus funaiolii", "Hemidactylus ophiolepoides", "Calodactylus aequatorialis", "Calodactylus amabilis", "Calodactylus boliviensis", "Calodactylus heterosquamosus", "Calodactylus niveosignatus", "Calodactylus pilicollis", "Calodactylus schmalzi", "Calodactylus sulphureus", "Calodactylus tibialis", "Calodactylus vittipennis", "Camenta angolensis", "Camenta antennalis", "Camenta atrata", "Camenta bicolor", "Camenta brevicollis", "Camenta brevipilosa", "Camenta capicola", "Camenta castaneipennis", "Camenta coronata", "Camenta elongata", "Camenta ertli", "Camenta excisa", "Camenta exsecata", "Camenta fulviventris", "Camenta hintzi", "Camenta infaceta", "Camenta innocua", "Camenta kamerunensis", "Camenta kapiriensis", "Camenta katangensis", "Camenta kivuensis", "Camenta longiclava", "Camenta lurida", "Camenta lydenburgiana", "Camenta macrophylla", "Camentoserica kulzeri", "Camentoserica livida", "Camerounophylla bargai", "Camerunopholis kameruna", "Campylophyllus somalicus", "Campylotrochalus glabriclypealis", "Canestera marshalli", "Canudema homhil", "Canudema socotrae", "Canuschiza adah", "Canuschiza croton", "Canuschiza dracaena", "Canuschiza firmihin", "Canuschiza hagher", "Canuschiza insularis", "Canuschiza jatropha", "Canuschiza minuta", "Canuschiza skand", "Carlschoenherria argus", "Carlschoenherria borneensis", "Carlschoenherria brenskei", "Carlschoenherria carinata", "Carlschoenherria clypeata", "Carlschoenherria hastata", "Carlschoenherria hispida", "Carlschoenherria kaorui", "Carlschoenherria maculosa", "Carlschoenherria mandarina", "Carlschoenherria palawana", "Hypogymnia crystallina", "Bistorta abukumensis", "Xanthophyllum clovis", "Xanthophyllum contractum", "Xanthophyllum discolor", "Xanthophyllum discolor subsp. discolor", "Xanthophyllum ecarinatum", "Coccalicus expressus", "Coccalicus lanceoclaviger", "Tettigettalna afroamissa", "Coccotydaeolus incisus", "Hypogymnia irregularis", "Taraxacum limnoticum", "Aprosdoketophis andreonei", "Coccotydaeolus krantzi", "Coccalicus opimus", "Chioneosoma demetrii", "Chioneosoma porosum", "Chioneosoma reitteri", "Chioneosoma shestoperovi", "Chioneosoma subporosum", "Chioneosoma tedshenense", "Cheirora interstitialis", "Cherbezatina alluaudi", "Cherbezatina andriai", "Cherbezatina apposita", "Cherbezatina bicolor", "Cherbezatina depressiuscula", "Cherbezatina dilutipes", "Cherbezatina fanovanensis", "Cherbezatina ferruginea", "Cherbezatina fuliginosa", "Cherbezatina integra", "Cherbezatina kalalaoensis", "Cherbezatina laevis", "Cherbezatina latifrons", "Cherbezatina livens", "Cherbezatina maculata", "Cherbezatina mandarina", "Cherbezatina margiciliata", "Cherbezatina marmorata", "Cherbezatina meridiana", "Cherbezatina micropunctata", "Cherbezatina oblongula", "Cherbezatina parallela", "Cherbezatina pierroni", "Cherbezatina pilosa", "Cherbezatina pinguis", "Cherbezatina rufofulva", "Cherbezatina scrobiculata", "Cherbezatina setigera", "Cherbezatina spadicea", "Cherbezatina squamulosa", "Cherbezatina strigosa", "Cherbezatina viossati", "Cheronia bonnemaisoni", "Chilenopilus coquimbensis", "Chilodiplus albertisi", "Chilodiplus galiwinku", "Chilodiplus weiri", "Chilodiplus yadhaykenu", "Chiloschiza clypealis", "Chilotrogus batillarius", "Chilotrogus densepunctatus", "Chilotrogus fabriziae", "Chilotrogus farsensis", "Chilotrogus heinzi", "Chilotrogus himachali", "Chilotrogus kalabi", "Chilotrogus lahauli", "Chilotrogus merkli", "Chilotrogus nadaii", "Chilotrogus ottomerkli", "Chilotrogus panotrogoides", "Chilotrogus schmidti", "Chilotrogus stoliczkae", "Ceraspis vittata", "Ceraspis vulpes", "Ceraspis zikani", "Ceratochelus basilewskyi", "Ceratochelus cathedralpeakensis", "Ceratochelus cyanometallicus", "Ceratochelus elangatulus", "Ceratochelus tzaneensis", "Ceratochelus unyikabogomontanus", "Ceratogonia bicornuta", "Ceratolontha venezuelae", "Chaetocosmetes acutangulus", "Chaetocosmetes bilobiceps", "Chaetocosmetes capellus", "Chaetocosmetes chondropygus", "Chaetocosmetes cuniculus", "Chaetocosmetes felina", "Chaetocosmetes javanus", "Chaetocosmetes mus", "Chaetocosmetes platypyga", "Chaetocosmetes sumatranus", "Chaetocosmetes vethi", "Chariochilus costipennis", "Chariochilus metallescens", "Chariodactylus chacoensis", "Chariodactylus sublaevicollis", "Chariodema amoena", "Chariodema bogotensis", "Chariodema chlorodera", "Chariodema costatipennis", "Chariodema pallens", "Chariodema subcostata", "Chariodema suturalis", "Chariodema tolimana", "Chariodema villosa", "Chariodema virescens", "Chariodema vittata", "Chariodema xylina", "Charioserica striata", "Chasmatopterus almeriensis", "Chasmatopterus annamariae", "Chasmatopterus canosus", "Chasmatopterus cobosi", "Chasmatopterus esuris", "Chasmatopterus hirtulus", "Chasmatopterus hirtus", "Chasmatopterus illigeri", "Chasmatopterus parvulus", "Chasmatopterus pilosulus", "Chasmatopterus uxorum", "Chasmatopterus villosulus", "Chasmatopterus zonatus", "Chasme decora", "Chasme jucunda", "Chasme kochi", "Chaunocolus cornutus", "Cheilo liparetroides", "Cheiragra leai", "Cheiragra pusilla", "Cheiragra ruficollis", "Cheiragra septentrionalis", "Cheiragra sericeipennis", "Cheirodontus basicollis", "Cheirodontus bilobus", "Carlschoenherria philippinica", "Carlschoenherria squamulifera", "Carlschoenherria sulcipennis", "Carlschoenherria vervex", "Castanochilus bruchianus", "Castelnauphylla ovata", "Catrachia mariana", "Catrachia nica", "Ceafornotensis archratiras", "Cephaloncheres affinis", "Cephaloncheres lizleri", "Cephaloncheres ugogensis", "Cephaloncheres werneri", "Cephaloschiza barbata", "Cephaloschiza clypealis", "Ceramida adusta", "Ceramida bedeaui", "Ceramida brancoi", "Ceramida brandeiroi", "Ceramida cobosi", "Ceramida dinizi", "Ceramida jiennensis", "Ceramida longitarsis", "Ceramida luna", "Ceramida malacensis", "Ceramida mauritanica", "Ceramida moelleri", "Ceramida ohausi", "Ceramida zuzartei", "Ceraspis ajonjoli", "Ceraspis albipennis", "Ceraspis albovaria", "Ceraspis alvarengai", "Ceraspis amazonica", "Ceraspis amoena", "Ceraspis bicolor", "Ceraspis bivittata", "Ceraspis bivulnerata", "Ceraspis brittoni", "Ceraspis brunneipennis", "Ceraspis bufo", "Ceraspis burmeisteri", "Ceraspis castaneipennis", "Ceraspis centralis", "Ceraspis cinerea", "Ceraspis citrina", "Ceraspis clypealis", "Ceraspis colon", "Ceraspis conspersa", "Ceraspis convexicollis", "Ceraspis cornuta", "Ceraspis costulata", "Ceraspis decora", "Ceraspis diversa", "Ceraspis dorsata", "Ceraspis dorsopicta", "Ceraspis elegans", "Ceraspis elongata", "Ceraspis farinosa", "Ceraspis femorata", "Ceraspis flava", "Ceraspis fulva", "Ceraspis gibbicollis", "Ceraspis globicollis", "Chioneosoma vulpinum", "Chioneosoma bucharicum", "Chioneosoma candidum", "Chioneosoma cazacorum", "Chioneosoma glasunowi", "Chioneosoma jakowlewi", "Chioneosoma kizilkumense", "Chioneosoma kokujewi", "Chioneosoma lopatini", "Chioneosoma mucidum", "Chioneosoma niveum", "Chioneosoma obenbergeri", "Chioneosoma parfentjevi", "Chioneosoma peetzi", "Chioneosoma rimskii", "Chioneosoma senex", "Chioneosoma turcomanum", "Chioneosoma aralense", "Chioneosoma arnoldii", "Chioneosoma baadeni", "Chioneosoma corporaali", "Chioneosoma gorilla", "Chioneosoma rostowtzowi", "Chioneosoma tschitscherini", "Chioneosoma farinosum", "Chioneosoma hispidum", "Chioneosoma komarowi", "Chioneosoma molare", "Chioneosoma nix", "Chioneosoma sequenzi", "Chnaunanthus chapini", "Chnaunanthus discolor", "Chnaunanthus flavipennis", "Clania coeruleovittata", "Clania glenlyonensis", "Clania macgregori", "Clania namaqua", "Clania steineri", "Clania virescens", "Clavipalpus aequatorialis", "Clavipalpus antisana", "Clavipalpus basalis", "Clavipalpus blanchardi", "Clavipalpus castaneus", "Clavipalpus cochleatus", "Clavipalpus dejeani", "Clavipalpus hirsutus", "Clavipalpus hirticollis", "Clavipalpus orbignyanus", "Clavipalpus peruanus", "Clavipalpus rimbachi", "Clavipalpus sinuatus", "Clavipalpus spadiceus", "Clavipalpus tenuis", "Clavipalpus ursinus", "Clavipalpus variolosus", "Clavipalpus vestitus", "Clavipalpus whymperi", "Clitopa bechuanensis", "Clitopa bohemani", "Clitopa capra", "Clitopa debilis", "Clitopa rufiventris", "Clitopa zambesina", "Clomecyra ballerioi", "Clomecyra rikatlensis", "Clypeasta adusta", "Clypeasta dechambrei", "Clypeasta gracilis", "Clypeasta martini", "Clypeasta pruinosa", "Clypeasta rufa", "Clypeasta rufescens", "Clypeasta suturalis", "Clypeasta vadoni", "Clypeolontha alboplagiata", "Clypeolontha bertiae", "Clypeolontha laosensis", "Clypeolontha siamensis", "Clypeoserica producta", "Cnemoschiza tibialis", "Cocherellus azureus", "Cochinchidema harmandi", "Cochinchidema pilosa", "Cochliotis kolbei", "Cochliotis melolonthoides", "Cochliotis somaliensis", "Cochliotodes babaulti", "Coega illota", "Coelogenia flavida", "Coelogenia longipes", "Coenonycha acuta", "Coenonycha ampla", "Coccotydaeolus robustus", "Coenonycha barri", "Coenonycha bowlesi", "Coenonycha clementina", "Coenonycha clypeata", "Coenonycha crispata", "Coenonycha dimorpha", "Coenonycha fuga", "Coenonycha fulva", "Coenonycha fusca", "Coenonycha globosa", "Coenonycha hageni", "Coenonycha lurida", "Coenonycha mediata", "Coenonycha ochreata", "Coenonycha ovatis", "Coenonycha ovipennis", "Coenonycha pallida", "Coenonycha parvula", "Coenonycha pascuensis", "Coenonycha purshiae", "Coenonycha pygmaea", "Coenonycha rotundata", "Coenonycha rubida", "Coenonycha santacruzae", "Coenonycha saylori", "Coenonycha scotti", "Coenonycha sleeperi", "Coenonycha socialis", "Coenonycha stohleri", "Coenonycha testacea", "Coenonycha tingi", "Coenonycha utahensis", "Colobostoma castaneus", "Colpochila ingens", "Colpochila interocularis", "Colpochila iota", "Colpochila iricolor", "Colpochila iridea", "Colpochila iris", "Colpochila jungi", "Colpochila kalambi", "Colpochila laminata", "Colpochila latebricola", "Colpochila leo", "Colpochila limbata", "Colpochila longiclava", "Colpochila longior", "Colpochila longipalpis", "Colpochila lutea", "Colpochila major", "Colpochila manonii", "Colpochila marginata", "Colpochila maura", "Colpochila melina", "Colpochila minor", "Colpochila mixta", "Colpochila nana", "Colpochila nasuta", "Colpochila nigra", "Colpochila nigromarginata", "Colpochila nitens", "Colpochila nitida", "Colpochila nitidicollis", "Colpochila nobilis", "Colpochila obesa", "Colpochila opaca", "Colpochila pagana", "Colpochila pallidula", "Colpochila palpalis", "Colpochila parva", "Colpochila paula", "Colpochila piceofulva", "Colpochila picta", "Colpochila pilosa", "Colpochila pinguis", "Colpochila polita", "Colpochila potens", "Colpochila pruinosa", "Colpochila pubescens", "Colpochila pulchella", "Colpochila punctiventris", "Colpochila punctulata", "Colpochila pygmaea", "Colpochila regia", "Colpochila rubida", "Colpochila rubiginosa", "Colpochila ruficeps", "Colpochila rufocastanea", "Colpochila rutila", "Colpochila satelles", "Colpochila scutalis", "Colpochila secreta", "Colpochila setifera", "Colpochila setosa", "Colpochila sinuaticollis", "Colpochila sodalis", "Colpochila solida", "Colpochila sorella", "Colpochila soror", "Colpochila spadix", "Colpochila suavis", "Colpochila tarsalis", "Colpochila taylori", "Colpochila testacea", "Colpochila tindalei", "Colpochila trichopyga", "Colpochila unidens", "Colpochila vanga", "Colpochila velata", "Colpochila vesca", "Colpochila vicina", "Colpochila villosa", "Colpochilodes peregrina", "Colpochilodes raucipennis", "Colymbomorpha lineata", "Colymbomorpha uniformis", "Colymbomorpha vittata", "Comaserica bouvieri", "Comaserica conspurcata", "Comaserica crinita", "Comaserica dapsilis", "Comaserica decens", "Comaserica fuliginosa", "Comaserica granulipennis", "Comaserica irrorata", "Comaserica picticollis", "Comaserica setosella", "Comaserica setosicollis", "Comaserica setosipennis", "Comaserica simillima", "Comaserica tessellata", "Comatapogonia conradtii", "Comencya mohelica", "Commaladera adspersa", "Commaladera alluaudi", "Commaladera alternans", "Commaladera aurita", "Commaladera basilewskyi", "Commaladera bergrothi", "Commaladera costatipennis", "Commaladera costifera", "Commaladera costipennis", "Commaladera discolor", "Commaladera dissidens", "Commaladera foveicollis", "Commaladera hildebrandti", "Commaladera insignicornis", "Commaladera luridosparsa", "Commaladera macrophthalma", "Commaladera metallescens", "Commaladera mocquerysi", "Commaladera murina", "Commaladera pilosicollis", "Commaladera rufocostata", "Commaladera setosella", "Commaladera setulifera", "Commaladera sparsa", "Commaladera testacea", "Commaladera trimaculata", "Commaladera variegata", "Comophorina testaceipennis", "Colobostoma hirsuta", "Colobostoma inamoenus", "Colobostoma inusitatus", "Colobostoma major", "Colobostoma obscuricornis", "Colobostoma punctulaticeps", "Colobostoma rufipennis", "Colpochelyne dux", "Colpochila abdita", "Colpochila accepta", "Colpochila aequaliceps", "Colpochila affinis", "Colpochila amabilis", "Colpochila andersoni", "Colpochila antennalis", "Colpochila aquila", "Colpochila arida", "Colpochila astrolabei", "Colpochila badia", "Colpochila bella", "Colpochila bicolor", "Colpochila bidentipes", "Colpochila bimucronata", "Colpochila blackburni", "Colpochila bogania", "Colpochila boreas", "Colpochila brevisetosa", "Colpochila calabyi", "Colpochila callida", "Colpochila capta", "Colpochila carinata", "Colpochila carnabyi", "Colpochila castanea", "Colpochila chinnicki", "Colpochila clara", "Colpochila clavipalpis", "Colpochila clypealis", "Colpochila comma", "Colpochila crassiventris", "Colpochila crepera", "Colpochila crinita", "Colpochila cylindrica", "Colpochila deceptor", "Colpochila decolor", "Colpochila diabolica", "Colpochila dilatata", "Colpochila efficax", "Colpochila erythrocephala", "Colpochila faceta", "Colpochila firma", "Colpochila flava", "Colpochila fortis", "Colpochila freyi", "Colpochila fulva", "Colpochila funerea", "Colpochila gagatina", "Colpochila gibbosicollis", "Colpochila gigantea", "Colpochila goerlingi", "Colpochila gouldi", "Colpochila griffithi", "Colpochila ignota", "Colpochila immatura", "Colpochila infernalis", "Ceraspis griseosquamosa", "Ceraspis guttata", "Ceraspis hispida", "Ceraspis imitatrix", "Ceraspis immaculata", "Ceraspis innotata", "Ceraspis insularis", "Ceraspis jaliscoensis", "Ceraspis klenei", "Ceraspis kuntzeni", "Ceraspis lepida", "Ceraspis leucosoma", "Ceraspis lineata", "Ceraspis linharensis", "Ceraspis lurida", "Ceraspis macrophylla", "Ceraspis martinezi", "Ceraspis melanoleuca", "Ceraspis mexicana", "Ceraspis mixta", "Ceraspis modesta", "Ceraspis moseri", "Ceraspis mustela", "Ceraspis mutica", "Ceraspis nitida", "Ceraspis nivea", "Ceraspis niveipennis", "Ceraspis oaxacaensis", "Ceraspis oblonga", "Ceraspis obscura", "Ceraspis ocellata", "Ceraspis ohausi", "Ceraspis opacipennis", "Ceraspis ornata", "Ceraspis pallida", "Ceraspis pauperata", "Ceraspis penai", "Ceraspis pereirae", "Ceraspis pilatei", "Ceraspis plaumanni", "Ceraspis pulchra", "Ceraspis quadrifoliata", "Ceraspis quadrimaculata", "Ceraspis quadripustulata", "Ceraspis rotundicollis", "Ceraspis rubiginosa", "Ceraspis ruehli", "Ceraspis ruficollis", "Ceraspis rufoscutellata", "Ceraspis setiventris", "Ceraspis signata", "Ceraspis sparsesetosa", "Ceraspis squamulata", "Ceraspis squamulifera", "Ceraspis striata", "Ceraspis subvittata", "Ceraspis sulcicollis", "Ceraspis tenuisquamosa", "Ceraspis tibialis", "Ceraspis unguicularis", "Ceraspis variegata", "Ceraspis velutina", "Ceraspis ventralis", "Ceraspis vestita", "Cyphochilus obscurus", "Cyphochilus ochraceus", "Cyphochilus peninsularis", "Cyphochilus podicalis", "Cyphochilus proximus", "Cyphochilus pygidialis", "Cyphochilus testaceipes", "Cyphochilus tonkinensis", "Cyphochilus tricolor", "Cyphochilus unidentatus", "Cyphochilus ventriglaber", "Cyphochilus ventritectus", "Cyphochilus vestitus", "Cyphochilus waterhousei", "Cyphonotus bicoloratus", "Cyphonotus testaceus", "Cyphonoxia brenskei", "Cyphonoxia buettikeri", "Cyphonoxia delhiensis", "Cyphonoxia gitashri", "Cyphonoxia glasunowi", "Cyphonoxia haarlovi", "Cyphonoxia kermanensis", "Cyphonoxia kircheri", "Cyphonoxia praestabilis", "Cyphonoxia tatianae", "Cyphonoxia zarudnyi", "Cyphonoxia zemindar", "Cyphoserica mukengeana", "Cyrtocamenta bechynei", "Cyrtocamenta flavescens", "Cyrtocamenta fortipes", "Cyrtocamenta herberti", "Cyrtocamenta holdhausi", "Cyrtocamenta massarti", "Cyrtocamenta ovampoensis", "Cyrtocamenta pallida", "Cyrtocamenta pygidialis", "Cyrtocamenta pygmaea", "Cyrtocamenta rubra", "Cyrtocamenta sebakuensis", "Cyrtocamenta similis", "Cyrtocamenta transvaalensis", "Cyrtocamenta zumpti", "Cyrtotrochalus magnus", "Cyrtotrochalus nitens", "Cyrtotrochalus opacus", "Dasylepida costata", "Dasylepida gononii", "Dasylepida ishigakiensis", "Dasylepida nana", "Dasylepida obscurata", "Dasylepida rudepunctata", "Dasytrogus nitens", "Dasytrogus diurnus", "Dasytrogus ferganensis", "Dasytrogus glabricollis", "Dasytrogus kabulicus", "Dasytrogus kirgisicus", "Dasytrogus kuhitangicus", "Dasytrogus transcaspicus", "Dasytrogus afghanus", "Dasytrogus aruktavicus", "Dasytrogus glabripennis", "Dasytrogus kabakovi", "Dasytrogus makarovi", "Dasytrogus muelleri", "Dasytrogus pakistanus", "Dasytrogus palpalis", "Dasytrogus petrovitzi", "Dasytrogus pumilio", "Dasytrogus tadzhikorum", "Dasytrogus baal", "Dasytrogus beludschistanus", "Dasytrogus girardi", "Dasytrogus jubatus", "Dasytrogus laghmanicus", "Dasytrogus mesopotamicus", "Dasytrogus nikolajevi", "Dasytrogus problematicus", "Dasytrogus sinaicus", "Dasytrogus zembi", "Dasyus collaris", "Dasyus variabilis", "Debutina hexaphylla", "Debutina procera", "Debutina taediosa", "Decellophylla mourgliai", "Dechambrophylla longiclava", "Dechambrophylla werneri", "Dedalopterus bezdekorum", "Dedalopterus fencli", "Dedalopterus fujianensis", "Dedalopterus intermedius", "Dedalopterus itohi", "Dedalopterus malyszi", "Dedalopterus melanodiscus", "Dedalopterus pulchellus", "Dedalopterus signatus", "Delphinobius cottai", "Delphinobius lebbei", "Delphinobius luctuosus", "Delphinobius rugicollis", "Delphinobius vespertinus", "Dentatoplia rudesquamosa", "Denticnema bidentata", "Denticnema colvillei", "Denticnema decemlineata", "Denticnema morbillosa", "Denticnema namaqua", "Denticnema nikolaji", "Denticnema squamosa", "Denticnema striata", "Denticnema striatula", "Dentiheterochelus ballianus", "Dermolepida annulitarse", "Dermolepida cyclops", "Dermolepida lixi", "Dermolepida meeki", "Dermolepida nigrum", "Dermolepida noxium", "Dermolepida papuanum", "Dermolepida pica", "Dermolepida uniforme", "Diaclaspus crinitus", "Diaclaspus delagoensis", "Diacucephalus vadoni", "Diaphoroserica mashona", "Dichelomorpha sumatrensis", "Dichelomorpha tonkinensis", "Dichelomorpha unidens", "Dichelomorpha uniformis", "Dichelonyx albicollis", "Dichelonyx backi", "Dichelonyx canadensis", "Dichelonyx clypeata", "Dichelonyx crumbi", "Dichelonyx decolorata", "Dichelonyx diluta", "Dichelonyx elongata", "Dichelonyx fulgida", "Dichelonyx fuscula", "Dichelonyx kirbyi", "Dichelonyx lateralis", "Dichelonyx linearis", "Dichelonyx muscula", "Dichelonyx nana", "Dichelonyx oregona", "Dichelonyx pallens", "Dichelonyx picea", "Dichelonyx pusilla", "Dichelonyx robusta", "Dichelonyx subvittata", "Dichelonyx sulcata", "Dichelonyx testaceipennis", "Dichelonyx truncata", "Dichelonyx vaga", "Dichelonyx valida", "Dichelonyx vandykei", "Dichelonyx vicina", "Dichelonyx violaceipennis", "Dicheloschema corporaali", "Dichelus andreaei", "Dichelus collaris", "Dichelus fulvipennis", "Dichelus lugubris", "Dichelus minimus", "Dichelus purelli", "Dichelus tibialis", "Dichelus acanthopus", "Dichelus albolineatus", "Dichelus denticeps", "Dichelus dentipes", "Dichelus duplosquamosus", "Dichelus expansus", "Dichelus expositus", "Dichelus femoratus", "Dichelus flavimanus", "Dichelus flavipennis", "Dichelus holosericeus", "Dichelus holosquamosus", "Dichelus kochi", "Dichelus laticollis", "Dichelus lucidus", "Dichelus luctuosus", "Dichelus minor", "Dichelus niger", "Dichelus nitidissimus", "Dichelus pallidipennis", "Dichelus peringueyi", "Dichelus platynotus", "Dichelus pseudoluctuosus", "Dichelus pseudovittatus", "Dichelus simplicipes", "Dichelus subpilosus", "Dichelus villosus", "Dichelus vittatus", "Dichelus zuluanus", "Dicrania argentina", "Dicrania castaneipennis", "Dicrania cuibana", "Dicrania ebenina", "Dicrania fasciculata", "Dicrania femorata", "Dicrania flavipennis", "Dicrania flavoscutellata", "Dicrania fraudulenta", "Dicrania hirsuta", "Dicrania hirtipes", "Dicrania laevipennis", "Dicrania lasiopus", "Dicrania luridipennis", "Dicrania metzi", "Dicrania morio", "Dicrania moseri", "Dicrania nigra", "Dicrania nigriceps", "Dicrania nitida", "Dicrania notaticollis", "Dicrania ohausi", "Dicrania ornaticollis", "Dicrania pellita", "Dicrania pentaphylla", "Dicrania peruana", "Dicrania piligera", "Dicrania pilosa", "Dicrania plaumanni", "Dicrania popei", "Dicrania rugosipennis", "Dicrania santarema", "Dicrania setosicollis", "Dicrania signaticollis", "Dicrania similis", "Dicrania subvestita", "Dicrania unicolor", "Dicranocnemus andreai", "Dicranocnemus arduus", "Dicranocnemus burchelli", "Dicranocnemus hirtipes", "Dicranocnemus hypocrita", "Dicranocnemus mendicus", "Dicranocnemus natalensis", "Dicranocnemus nudus", "Dicranocnemus pulcher", "Dicranocnemus pulverulentus", "Dicranocnemus spiniceps", "Dicranocnemus squamosus", "Dicranocnemus squamulatus", "Dicranocnemus sulcicollis", "Dicrania varicolor", "Dicrania velutina", "Dihymenonyx herrerai", "Dihymenonyx micropterus", "Dihymenonyx suboblongus", "Dikellites abditus", "Dilatatoplia henrici", "Comoramorphochelus comorianus", "Compsodactylus martinezi", "Compsodactylus parvulus", "Compsodactylus scabrosus", "Conebius carinipennis", "Coniopholis capensis", "Coniopholis fraterna", "Coniopholis fulvipes", "Coniopholis lepidiota", "Coniopholis nyassica", "Coniopholis pectoralis", "Coniopholis proxima", "Coniopholis subnitida", "Conioserica eisermanni", "Conioserica guineensis", "Corynoserica tetraphylla", "Crepischiza ertli", "Crepischiza pallida", "Crepischiza pruinosa", "Crepischiza schoutedeni", "Crepischiza sinuaticeps", "Crepischiza usambarae", "Cryptotrogus afghanus", "Cryptotrogus gallagheri", "Cryptotrogus kruppi", "Cryptotrogus maljuzhenkoi", "Cryptotrogus mesopotamica", "Cryptotrogus miksici", "Cryptotrogus niveus", "Cryptotrogus orita", "Cryptotrogus pajnii", "Cryptotrogus weisei", "Cryptotrogus zarudnianus", "Ctenotis obesa", "Cubidens unguiculatus", "Cunderdinia orientalis", "Cunderdinia setistriata", "Cunderdinia variabilis", "Cyclomera dispar", "Cyclomera natalensis", "Cylichnus neglectus", "Cylichnus pilosulus", "Cylichnus vanus", "Cylindrocrates parallelus", "Cyphochilus apicalis", "Cyphochilus candidus", "Cyphochilus carinchebanus", "Cyphochilus costulatus", "Cyphochilus crataceus", "Cyphochilus cylindricus", "Cyphochilus elongatus", "Cyphochilus farinosus", "Cyphochilus feae", "Cyphochilus flavomarginatus", "Cyphochilus insulanus", "Cyphochilus latus", "Cyphochilus manipurensis", "Cyphochilus marginalis", "Cyphochilus niveosquamosus", "Cyphochilus oberthuri", "Shirozuozephyrus kirbariensis mapanputicus", "Xanthophyllum korthalsianum", "Xanthophyllum inflatum", "Xanthophyllum ionanthum", "Eriogonum polycladon", "Xanthophyllum lineare", "Xanthophyllum longum", "Xanthophyllum macrophyllum", "Xanthophyllum montanum", "Hypotrachyna africana", "Xanthophyllum neglectum", "Xanthophyllum nitidum", "Xanthophyllum pachycarpon", "Xanthophyllum rectum", "Xanthophyllum rheophilum", "Xanthophyllum nigricans", "Xanthophyllum parvifolium", "Xanthophyllum pauciflorum", "Xanthophyllum pedicellatum", "Diaphylla granulata", "Diaphylla hispida", "Diaphylla lampropyga", "Diaphylla luctuosa", "Diaphylla ornata", "Diaplochelus crassipes", "Diaplochelus karnkowskii", "Diaplochelus longipes", "Diaplochelus olseni", "Diaplochelus squamulatus", "Diaplochelus transvaalensis", "Dicentrines adspersus", "Dicentrines debilis", "Dicentrines limbatus", "Dicentrines lineaticollis", "Dicentrines lineatus", "Dicentrines pallidulus", "Dicentrines patagiatus", "Dicentrines pumilissimus", "Dicentrines pumilus", "Dicentrines recavus", "Dicentrines sabatinellii", "Dicentrines tesserulus", "Dichecephala bilaminifrons", "Dichecephala collarti", "Dichecephala heteropyga", "Dichecephala kristenseni", "Dichecephala lujai", "Dichecephala moseri", "Dichecephala nasalis", "Dichecephala ovata", "Dichecephala somalina", "Dichecephala tanganikana", "Dichecephala tridentipes", "Dichelhoplia crassa", "Dichelhoplia fuscopicta", "Dichelhoplia indica", "Dichelhoplia javanica", "Dichelomorpha alsiosia", "Dichelomorpha amoena", "Dichelomorpha aranea", "Dichelomorpha assamensis", "Dichelomorpha borneensis", "Dichelomorpha brenskei", "Dichelomorpha brunneipes", "Dichelomorpha cinctipennis", "Dichelomorpha delauneyi", "Dichelomorpha densesquamosa", "Dichelomorpha felina", "Dichelomorpha glabrilinea", "Dichelomorpha limbata", "Dichelomorpha malaccensis", "Dichelomorpha marginata", "Dichelomorpha medana", "Dichelomorpha multicolor", "Dichelomorpha nigra", "Dichelomorpha nitidicollis", "Dichelomorpha ochracea", "Dichelomorpha pallida", "Dichelomorpha pulchella", "Dichelomorpha punctuligera", "Dichelomorpha rufipennis", "Dichelomorpha sublineata", "Dichelomorpha sumatrana", "Encya strigiscutata", "Engertia amboinae", "Engertia germanica", "Engertia lii", "Engertia maculosa", "Engertia papuana", "Engertia setifera", "Ptilotus eriotrichus", "Ptilotus propinquus", "Ptilotus rigidus", "Ptilotus gardneri", "Hypogymnia subarcticulata", "Xanthophyllum griffithii var. papillosum", "Xanthophyllum heterophyllum", "Xanthophyllum impressum", "Shirozuozephyrus bhutanensis", "Lasiotydaeus glyciphaginus", "Lasiotydaeus glycyphaginus", "Jumellea fragrans", "Shirozuozephyrus birupa", "Habenaria longicorniculata", "Dinacoma caseyi", "Dinacoma marginata", "Dinamoraza courtoisi", "Dinamoraza gradaria", "Dinamoraza vinsoni", "Dinarobina gravis", "Dinarobina pallens", "Diphucephala affinis", "Diphucephala angusticeps", "Diphucephala aurolimbata", "Diphucephala aurulenta", "Diphucephala azureipennis", "Diphucephala barnardi", "Diphucephala beryllina", "Diphucephala carteri", "Diphucephala castanoptera", "Diphucephala childrenii", "Diphucephala coerulea", "Diphucephala colaspidoides", "Diphucephala concinna", "Diphucephala crebra", "Diphucephala cribripennis", "Diphucephala cuprea", "Diphucephala dentipes", "Diphucephala dicksoniae", "Diphucephala edwardsi", "Diphucephala elegans", "Diphucephala fulgida", "Diphucephala furcata", "Diphucephala glabra", "Diphucephala hirtipennis", "Diphucephala hirtipes", "Diphucephala hopei", "Diphucephala humeralis", "Diphucephala ignota", "Diphucephala insularis", "Diphucephala lateralis", "Diphucephala laticeps", "Diphucephala laticollis", "Diphucephala latipennis", "Diphucephala lineata", "Diphucephala mastersi", "Diphucephala minima", "Diphucephala montana", "Diphucephala nigritarsis", "Diphucephala nitens", "Diphucephala nitidicollis", "Diphucephala obscura", "Diphucephala obsoleta", "Diphucephala parviceps", "Diphucephala parvula", "Diphucephala prasina", "Diphucephala puberula", "Diphucephala pubescens", "Diphucephala pubiventris", "Diphucephala pulchella", "Diphucephala pulcherrima", "Diphucephala purpureitarsis", "Diphucephala pygidialis", "Diphucephala pygmaea", "Diphucephala quadratigera", "Diphucephala rectipennis", "Diphucephala regalis", "Diphucephala richmondia", "Xanthophyllum penibukanense", "Xanthophyllum petiolatum", "Ptilotus whitei", "Ptilotus remotiflorus", "Ptilotus parvifolius", "Nexus cyrtoidopsis", "Testudo marginata sarda", "Testudo marginata marginata", "Xanthophyllum pseudoadenotus", "Xanthophyllum ramiflorum", "Xanthophyllum reflexum", "Xanthophyllum reticulatum", "Hypotrachyna ahtiana", "Xanthophyllum pulchrum", "Hypotrachyna alectorialica", "Ponerorchis chusua", "Diphucephala rufipes", "Diphucephala rugosa", "Diphucephala rugosula", "Diphucephala sericea", "Diphucephala smaragdula", "Diphucephala sordida", "Diphucephala spreta", "Diphucephala tantilla", "Coccotydaeolus tenuis", "Diphucephala tarsalis", "Diphucephala waterhousei", "Diphycerus alcedo", "Diphycerus cupripennis", "Diphycerus davidis", "Diphycerus jucundus", "Diphycerus reitteri", "Diphycerus tonkinensis", "Diphyodactylus singularis", "Diplotropis castanea", "Diplotropis nigrina", "Djadjoua viettei", "Djadjoua viossati", "Djafouna fairmairei", "Doleroserica auspicata", "Doleroserica carbonaria", "Doleroserica curtula", "Doleroserica festa", "Doleroserica gentilis", "Doleroserica laetula", "Dolerotarsa emendatrix", "Dolichiomicroscelis colvillei", "Dolichiomicroscelis danielssoni", "Dolichiomicroscelis gracilis", "Dolichoplia diutina", "Dolichoplia diuturna", "Dolichoplia elongata", "Dolichoplia longa", "Dolichoplia longiqua", "Dolichoplia longiuscula", "Dolichoplia longula", "Dolichoplia oblonga", "Dolichoplia prolata", "Doxocalia katangensis", "Doxocalia kivuensis", "Doxocalia superba", "Doxocalia tenuipes", "Dysphanochila pilosipennis", "Echrya rufopubens", "Echrya umbrina", "Echyra alternata", "Echyra castanea", "Echyra decorsei", "Echyra delphinensis", "Echyra denisae", "Echyra elegans", "Echyra elongata", "Echyra grisea", "Echyra griveaudi", "Echyra latecostata", "Echyra lokobensis", "Echyra margaritacea", "Echyra marmorea", "Echyra morio", "Echyra nasuta", "Elaphocera autumnalis", "Elaphocera baguenae", "Elaphocera barbara", "Elaphocera cacerensis", "Elaphocera capdeboni", "Elaphocera carteiensis", "Elaphocera christina", "Elaphocera churianensis", "Elaphocera cretica", "Elaphocera dalmatina", "Elaphocera denticornis", "Elaphocera dilatata", "Elaphocera elongata", "Elaphocera emarginata", "Elaphocera erberi", "Elaphocera ferreri", "Elaphocera gibbifrons", "Elaphocera gracilis", "Elaphocera heydeni", "Elaphocera hiemalis", "Elaphocera hirticollis", "Elaphocera hispalensis", "Elaphocera ibicensis", "Elaphocera insularis", "Elaphocera kosensis", "Elaphocera lajonquierei", "Elaphocera leoi", "Elaphocera martini", "Elaphocera martorellii", "Elaphocera nigroflabellata", "Elaphocera nupcialis", "Elaphocera obscura", "Elaphocera ochsi", "Elaphocera perezlopezi", "Elaphocera phungae", "Elaphocera roessneri", "Elaphocera schmidti", "Elaphocera segurensis", "Elaphocera staudingeri", "Elaphocera sulcatula", "Elaphocera suturalis", "Elaphocera syriaca", "Elaphocera tethys", "Elaphocerella variabilis", "Embrithoplia vitticollis", "Empecamenta abyssinica", "Empecamenta angulata", "Empecamenta angustata", "Empecamenta arabica", "Empecamenta bennigseni", "Empecamenta boromensis", "Empecamenta bredoi", "Empecamenta buettikeri", "Empecamenta calabarica", "Empecamenta clypeata", "Empecamenta collaris", "Empecamenta coronata", "Empecamenta crinalis", "Empecamenta deheyni", "Empecamenta densipilis", "Empecamenta disparilis", "Empecamenta flavopilosa", "Empecamenta hirta", "Empecamenta hirtella", "Empecamenta impressiceps", "Empecamenta insulicola", "Empecamenta jeanneli", "Empecamenta kinangopina", "Empecamenta lindiana", "Empecamenta litoralis", "Empecamenta lobata", "Empecamenta mashona", "Empecamenta matabelena", "Empecamenta meruana", "Empecamenta methneri", "Empecamenta microphylla", "Empecamenta minuta", "Empecamenta montivaga", "Empecamenta nairobiensis", "Empecamenta nigra", "Empecamenta ophthalmica", "Empecamenta parvula", "Empecamenta paucisetosa", "Empecamenta pilifera", "Empecamenta rhodesiana", "Empecamenta setulifera", "Empecamenta sierraeleonis", "Empecamenta sinuaticeps", "Empecamenta tanganikana", "Empecamenta tridenticeps", "Empecamenta umbugwensis", "Empecamenta usambara", "Empecamenta zambesina", "Empecta alba", "Empecta albosparsa", "Empecta ardoini", "Empecta atomaria", "Empecta cambouei", "Empecta concolor", "Empecta cuprea", "Empecta densaticollis", "Empecta densevestita", "Empecta dewaillyi", "Empecta fasciata", "Empecta gracilis", "Empecta grossepunctata", "Empecta inaequalis", "Empecta maculipennis", "Empecta marmorea", "Empecta micheli", "Empecta mixta", "Empecta obsoleta", "Empecta perroti", "Empecta pexicollis", "Empecta raffrayi", "Empecta scutata", "Empecta semicribrosa", "Empecta semirufa", "Empecta sicardi", "Empecta sogai", "Empecta squamifera", "Empecta subcostata", "Empecta vadoni", "Empecta villosella", "Empectida bicuspis", "Empectida squamigera", "Empectida tonkinensis", "Empectida vethi", "Engistanoxia dessertineae", "Engistanoxia sagala", "Engyopsina spectans", "Enthora alluaudi", "Enthora atomaria", "Enthora catalai", "Enthora chlorodera", "Enthora lunata", "Enthora miliaris", "Enthora ornata", "Enthora polita", "Entypophana apicata", "Entypophana biapicata", "Entypophana lujai", "Entyposis bidentata", "Entyposis cavicollis", "Entyposis excavata", "Entyposis impressa", "Entyposis madogolelei", "Entyposis martinezi", "Entyposis mendax", "Entyposis rasplusi", "Entyposis squamulata", "Eotrichia alcocki", "Eotrichia assamensis", "Eotrichia biehli", "Eotrichia biscuspis", "Eotrichia bombycina", "Eotrichia braeti", "Eotrichia brevispina", "Eotrichia cameronica", "Eotrichia capitalis", "Eotrichia cavifrons", "Eotrichia cheni", "Eotrichia ciliaticollis", "Eotrichia costipennis", "Eotrichia eberti", "Eotrichia emarginatipennis", "Eotrichia femoralis", "Eotrichia foveolata", "Eotrichia frontalis", "Eotrichia glabricollis", "Eotrichia hainanensis", "Eotrichia hirtidorsalis", "Eotrichia impressicollis", "Empectida xanthosquamosa", "Empectoides drouhardi", "Empectoides gentilis", "Empectoides pygipunctis", "Emphania erichsoni", "Emphania lacroixi", "Emphania metallica", "Emphania nitida", "Emphania ranomafanae", "Emphania semiviridis", "Emphania subsmaragdina", "Emphania sulcipennis", "Empycastes coronatus", "Enamillus basalis", "Enamillus bicolor", "Enamillus clevensis", "Enamillus mauricei", "Enamillus pilicollis", "Enamillus rectus", "Enamillus septus", "Enamillus striatus", "Enaria alluaudi", "Enaria ambalavaoensis", "Enaria andriai", "Enaria androyensis", "Enaria antanala", "Enaria asperula", "Enaria barbieri", "Enaria betiokensis", "Enaria biapicata", "Enaria boissayei", "Enaria carinulata", "Enaria cinerea", "Enaria conspurcata", "Enaria crassa", "Enaria eliei", "Enaria fasciaria", "Enaria grandidieri", "Enaria granulosa", "Enaria grossepunctata", "Enaria hepatica", "Enaria laeviscutata", "Enaria limbalis", "Enaria locellata", "Enaria marginata", "Enaria mathiauxi", "Enaria melanictera", "Enaria micantipennis", "Enaria orientalis", "Enaria pauliani", "Enaria perrieri", "Enaria reticulata", "Enaria rubescens", "Enaria scapulata", "Enaria scutellata", "Enaria seyrigi", "Enaria speculifera", "Enaria squamata", "Enaria tulearensis", "Encya albostriata", "Encya commersoni", "Encya sambirana", "Encya sikorae", "Encya speculifera", "Echyra oberthuri", "Echyra perrieri", "Echyra perroti", "Echyra pruinosa", "Echyra robinsoni", "Echyra semissaria", "Echyra setosa", "Echyra squarrosa", "Echyra stigmatopyga", "Echyra tenuitarsis", "Echyra tsaratanensis", "Ectinohoplia affinis", "Ectinohoplia ahrensis", "Ectinohoplia auriventris", "Ectinohoplia balthasari", "Ectinohoplia caelaminis", "Ectinohoplia chlorophylla", "Ectinohoplia chocolata", "Ectinohoplia ctenicera", "Ectinohoplia davidis", "Ectinohoplia dikobrasa", "Ectinohoplia egregia", "Ectinohoplia excisicollis", "Ectinohoplia flavicauda", "Ectinohoplia formosana", "Ectinohoplia gracilipes", "Ectinohoplia guttaticollis", "Ectinohoplia harpagon", "Ectinohoplia hieroglyphica", "Ectinohoplia inscripta", "Ectinohoplia jucunda", "Ectinohoplia latipes", "Ectinohoplia mus", "Ectinohoplia nantouensis", "Ectinohoplia nitidicauda", "Ectinohoplia obducta", "Ectinohoplia oculicauda", "Ectinohoplia paivae", "Ectinohoplia papa", "Ectinohoplia puella", "Ectinohoplia quadrituberculata", "Ectinohoplia rufipes", "Ectinohoplia sakaii", "Ectinohoplia simianshana", "Ectinohoplia simillima", "Ectinohoplia sinuaticollis", "Ectinohoplia soror", "Ectinohoplia squamigera", "Ectinohoplia sulphuriventris", "Ectinohoplia suturalis", "Ectinohoplia tibialis", "Ectinohoplia trichota", "Ectinohoplia triplagiata", "Ectinohoplia viridilineata", "Ectinohoplia xenella", "Ectinohoplia yunnana", "Eideria glabripenis", "Eideria pedroantonioi", "Eideria pentaphylla", "Elaphocera affinis", "Elaphocera alonsoi", "Elaphocera ampla", "Elaphocera angusta", "Elaphocera aristidis", "Eotrichia javana", "Eotrichia laticollis", "Eotrichia longipennis", "Eotrichia maxima", "Eotrichia nepalensis", "Eotrichia nigrithoracica", "Eotrichia niponensis", "Eotrichia nitida", "Eotrichia pallidipennis", "Eotrichia pilosa", "Eotrichia protracta", "Eotrichia scrobiculata", "Eotrichia scrobipennis", "Eotrichia sericina", "Eotrichia setosifrons", "Eotrichia sikkimensis", "Eotrichia staudingeri", "Eotrichia subiridea", "Eotrichia sumatrensis", "Eotrichia taiwana", "Eotrichia tarsalis", "Eotrichia tonkinensis", "Eotrichia tsignata", "Eotrichia yatungensis", "Epholcis bilobiceps", "Epholcis divergens", "Epholcis gracilis", "Epholcis longior", "Epholcis uniformis", "Epicaulis flavifrons", "Epicaulis flavimana", "Epicaulis marginella", "Epicaulis quadrimaculata", "Epipholis assiniensis", "Ercomoana longiclava", "Eremoplia inaequalis", "Eremotrogus pruinosus", "Eriesthis aequatoria", "Eriesthis albofasciata", "Eriesthis clarkei", "Eriesthis decora", "Eriesthis drakensbergensis", "Eriesthis dubiosa", "Eriesthis fallax", "Eriesthis guttata", "Eriesthis hessei", "Eriesthis hypocrita", "Eriesthis ironcrownensis", "Eriesthis namibensis", "Eriesthis oberprieleri", "Eriesthis pusilla", "Eriesthis rhodesiana", "Eriesthis schoenherri", "Eriesthis semihirta", "Eriesthis stigmatica", "Eriesthis ufipana", "Eriesthis variegata", "Eriesthis vestita", "Eriesthis vulpina", "Erigavo somalicus", "Eriphoserica camentoides", "Etiserica simplex", "Eucamenta castanea", "Eucamenta transvaalensis", "Eucyclophylla flavida", "Eucyclophylla lata", "Eucyclophylla leggi", "Eucyclophylla namaqua", "Euknemoplia lactinea", "Euknemoplia semisulphurea", "Euknemoplia virgulata", "Eulaiades inflatipes", "Eulaiades latipennis", "Eulaiades sicardi", "Eulaiades steineri", "Eulepida savagei", "Eulepidopsis wilsoni", "Eumaladera fushanica", "Eumaladera gravida", "Eumaladera latitibia", "Eumaladera nitidiceps", "Eumaladera nitididorsis", "Eumaladera opaciventris", "Eumaladera paralatitibia", "Eumaladera planiuscula", "Eumaladera puliensis", "Eumaladera subrugata", "Eumaladera yonaguniensis", "Eupegylis confusa", "Euranoxia valida", "Europtron atlanticum", "Europtron confusum", "Europtron gracile", "Eurychelus marmoratus", "Eurypeza evansi", "Euryschiza salaama", "Euserica alcaidei", "Euserica alonsoi", "Euserica brancobaraudi", "Euserica cambeloi", "Euserica cobosi", "Euserica lucipeta", "Euserica mamorensis", "Euserica monstruosa", "Euserica monticola", "Euserica mulsanti", "Euserica mutata", "Euserica paenibaeticae", "Euserica pauliani", "Euserica segurana", "Euserica villarreali", "Eutrichesis bourgini", "Eutrichesis pilosicollis", "Eutrichesis punctatus", "Evbrittonia longitarsa", "Exolontha aterrima", "Exolontha bhutanensis", "Exolontha castanea", "Exolontha chiangmaiensis", "Exolontha fuliginosa", "Exolontha laticauda", "Exolontha obscura", "Exolontha omeia", "Exolontha pennata", "Exolontha rangunensis", "Exolontha ringenbachi", "Exolontha rugulosa", "Exolontha serrulata", "Exolontha similis", "Exolontha tonkinensis", "Exolontha umbraculata", "Exolontha xizangensis", "Exolontha yaoshana", "Exopholis birmanica", "Exopholis borneensis", "Exopholis brenskei", "Exopholis costata", "Exopholis hypoleuca", "Exopholis lacordairei", "Exopholis philippinica", "Exopholis pinguis", "Exostethus brunneus", "Extenuoptyophis metropolitensis", "Faargia gentillii", "Fairmairoplia carinata", "Fairmairoplia compacta", "Fairmairoplia cristata", "Fairmairoplia cristulata", "Fairmairoplia furfurosa", "Fairmairoplia korystata", "Fairmairoplia lophiodonta", "Fairmairoplia obscura", "Fairmairoplia penicillata", "Fairmairoplia plicata", "Fairmairoplia pygialis", "Fairmairoplia scitula", "Falsotoclinius fragilis", "Falsotoclinius nikodymi", "Falsotoclinius schauffelei", "Falsotoclinius sehnali", "Falsototoclinius richteri", "Firminus alsasuanus", "Firminus baudii", "Firminus beilleri", "Firminus ciliatus", "Firminus fossulatus", "Firminus lautiusculus", "Firminus maltensis", "Firminus massai", "Firminus procerus", "Firminus punicus", "Firminus putoni", "Fossocarus creoleorum", "Frenchella fimbriata", "Frenchella gagatina", "Frenchella hirticollis", "Frenchella iridescens", "Frenchella lubrica", "Frenchella russula", "Frenchella striatella", "Gama aenea", "Gama aeneotincta", "Gama aeneovaria", "Gama aeneoviridis", "Gama aenescens", "Gama angustula", "Gama aurichalcea", "Gama breviceps", "Gama esperitosantensis", "Geotrogus stupidus", "Geotrogus syrtanus", "Geotrogus temperei", "Geotrogus tusculus", "Geotrogus tynetis", "Geotrogus unguicularis", "Geotrogus vorax", "Glacilitarsus thailandicus", "Glaphyserica humeralis", "Globencya cribrata", "Globencya farafanganae", "Globencya griveaudi", "Globulischiza squamosa", "Glossocheilifer bidentatus", "Glossocheilifer labialis", "Glycyserica depravata", "Glyptoglossa acta", "Glyptoglossa alia", "Glyptoglossa burmeisteri", "Glyptoglossa capensis", "Glyptoglossa dispar", "Glyptoglossa lurida", "Glyptoglossa namaquensis", "Gnaphalopoda punctatissima", "Gnaphalopoda varians", "Gnaphalostetha bonvoisini", "Gnaphalostetha heinzi", "Gnaphalostetha hiemalis", "Gnaphalostetha longepilosa", "Goniaspidius angolensis", "Goniaspidius brevis", "Goniaspidius lividipennis", "Goniaspidius simplex", "Goniorrhina alternans", "Goniorrhina angolensis", "Goniorrhina decarthra", "Goniorrhina excavata", "Goniorrhina flaviceps", "Goniorrhina mertensi", "Goniorrhina nasuta", "Goniorrhina nigriceps", "Goniorrhina pilosa", "Goniorrhina villiersi", "Gouna aliena", "Gouna burchelli", "Gouna lineolata", "Gouna vittigera", "Gracilitarsus clypealis", "Grammodoplia asperata", "Graviengertia rhipilepis", "Griveaudella testacea", "Gronocarus autumnalis", "Gronocarus inornatus", "Gryphonycha puberula", "Gymnogaster buphthalma", "Gymnoloma atomaria", "Gymnoloma femorata", "Gymnoloma nigra", "Gymnoloma parvula", "Gymnoloma perplexa", "Gymnoloma pickeri", "Shirozuozephyrus hayashii", "Eurolophosaurus nanuzae", "Eurolophosaurus divaricatus", "Eurolophosaurus amathites", "Hypotrachyna arsenei", "Ptilotus tetrandrus", "Hypotrachyna arvidssonii", "Gama fulvipennis", "Gama fusca", "Gama fuscoaenea", "Gama grandicornis", "Gama hamifera", "Gama lepichaeta", "Gama lutea", "Gama metallescens", "Gama musiva", "Gama ohausi", "Gama pallida", "Gama pilosa", "Gama pulverulenta", "Gama quadrifoliata", "Gama relucens", "Gama rufoflava", "Gama rugipennis", "Gama squamiventris", "Gama viridescens", "Gama viridiaenea", "Gama viridifusca", "Gama viridis", "Gamka minuta", "Gastrohoplus mirabilis", "Gastromaladera koyamai", "Gastromaladera major", "Gastromaladera nitida", "Gastromaladera taitungensis", "Geotrogus araneipes", "Geotrogus barbarus", "Geotrogus bedeli", "Geotrogus bleicheri", "Geotrogus capito", "Geotrogus cludtsi", "Geotrogus crassus", "Geotrogus cretei", "Geotrogus cribripennis", "Geotrogus demoflysi", "Geotrogus dispar", "Geotrogus editorum", "Geotrogus elegans", "Geotrogus euphytus", "Geotrogus gabalus", "Geotrogus gerardi", "Geotrogus gonoderus", "Geotrogus grossus", "Geotrogus holoxanthus", "Geotrogus ignobilis", "Geotrogus inflatus", "Geotrogus lepidulus", "Geotrogus magagnoscii", "Geotrogus majorinus", "Geotrogus michaelis", "Geotrogus normandi", "Geotrogus numidicus", "Geotrogus olcesii", "Geotrogus pellegrinensis", "Geotrogus prophettii", "Geotrogus psilopus", "Geotrogus rectibasis", "Geotrogus sicelis", "Geotrogus sordescens", "Hemictenius kryzhanovskii", "Hemictenius latitarsis", "Hemictenius lebedevi", "Hemictenius lopatini", "Hemictenius magnitarsis", "Hemictenius medvedevi", "Hemictenius merkli", "Hemictenius nigrociliatus", "Hemictenius ochripennis", "Hemictenius opacipes", "Hemictenius opacus", "Hemictenius petrovitzi", "Hemictenius pygmaeus", "Hemictenius simplicitarsis", "Hemictenius skomorokhovi", "Hemictenius smirnovi", "Hemictenius stackelbergi", "Hemictenius subpilosus", "Hemictenius talukanus", "Hemictenius tarsalis", "Hemictenius tshistjakovae", "Hemictenius walteri", "Hemictenius yuferevi", "Hemictenius zhantievi", "Heptelia polyphylla", "Heptelia stripidea", "Heptophylla brevicollis", "Heptophylla calcarata", "Heptophylla dimidiata", "Heptophylla laticollis", "Heptophylla longilamella", "Heptophylla picea", "Megistophylla heptophylla", "Hercitis flavosquamosa", "Hercitis pygmaea", "Hercitis testacea", "Hercitis zikani", "Heterochelus adspersus", "Heterochelus albosetosus", "Heterochelus alienus", "Heterochelus amabilis", "Heterochelus analis", "Heterochelus anomalus", "Heterochelus armatus", "Heterochelus armipes", "Heterochelus arthriticus", "Heterochelus aurantiacus", "Heterochelus auricollis", "Heterochelus baini", "Heterochelus barkeri", "Heterochelus bicolor", "Heterochelus bidentatus", "Heterochelus bimaculatus", "Heterochelus bimucronatus", "Heterochelus binotatus", "Heterochelus bipartitus", "Heterochelus bisignatus", "Heterochelus bivittatus", "Heterochelus blandulus", "Heterochelus braunsi", "Heterochelus brincki", "Heterochelus burmeisteri", "Heterochelus capicola", "Heterochelus carus", "Shirozuozephyrus nyishwini", "Shirozuozephyrus masatoshii", "Shirozuozephyrus paona", "Shirozuozephyrus paona albidus", "Shirozuozephyrus paona paona", "Hypotrachyna altorum", "Xanthophyllum rufum", "Hypotrachyna angolensis", "Dendrochilum longifolium", "Xanthophyllum stipitatum", "Hypotrachyna anzeana", "Shirozuozephyrus jakamensis", "Epipactis placentina", "Shirozuozephyrus leigongshanensis", "Shirozuozephyrus nansarae", "Ptilotus symonii", "Ptilotus wilsonii", "Ptilotus trichocephalus", "Hypotrachyna billingsii", "Fucus albus", "Fucus angulatus", "Fucus articulatus", "Fucus atomarius", "Fucus bastera", "Fucus bipinnatus", "Fucus callopilophorus", "Fucus capensis", "Fucus cartilagineus", "Fucus ceranoides", "Fucus chalonii", "Fucus clavatus", "Fucus cottonii", "Fucus deformis", "Fucus diaphanus", "Fucus diffusus", "Shirozuozephyrus kirbariensis shakunage", "Hypotrachyna alectorialiorum", "Tropidurus sertanejo", "Shirozuozephyrus khasia", "Tropidurus cocorobensis", "Tropidurus erythrocephalus", "Tropidurus itambere", "Tropidurus montanus", "Tropidurus mucujensis", "Tropidurus oreadicus", "Tropidurus torquatus", "Tropidurus hygomi", "Tropidurus hispidus", "Tropidurus etheridgei", "Tropidurus psammonastes", "Tropidurus xanthochilus", "Tropidurus callathelys", "Tropidurus chromatops", "Shirozuozephyrus triloka", "Tropidurus teyumirim", "Tropidurus tarara", "Tropidurus lagunablanca", "Tropidurus guarani", "Tropidurus bogerti", "Tropidurus catalanensis", "Tropidurus helenae", "Tropidurus spinulosus", "Tropidurus semitaeniatus", "Chrysozephyrus letha", "Tropidurus pinima", "Tropidurus melanopleurus", "Tropidurus imbituba", "Tropidurus arenarius", "Heterochelus turneri", "Heterochelus unguiculatus", "Heterochelus unicolor", "Heterochelus vansoni", "Heterochelus viridicollis", "Heterochelus vitreus", "Heterochelus vittiferus", "Heterochelus vulpecula", "Heterochelus vulpinus", "Heterochelus wittei", "Heterochelus zumpti", "Heteronyx acutifrons", "Heteronyx additus", "Heteronyx advena", "Heteronyx aequaliceps", "Heteronyx aequalis", "Heteronyx affinis", "Heteronyx agrestis", "Heteronyx agricola", "Heteronyx alienus", "Heteronyx alpicola", "Heteronyx ambiguus", "Heteronyx amboinensis", "Heteronyx anomalus", "Heteronyx apertus", "Heteronyx aphodioides", "Heteronyx apicispinosa", "Heteronyx arcanus", "Heteronyx aridus", "Heteronyx aruanus", "Heteronyx asperatus", "Heteronyx aspericollis", "Heteronyx asperifrons", "Heteronyx augustae", "Heteronyx australis", "Heteronyx badius", "Heteronyx beltanae", "Heteronyx bidentatus", "Heteronyx blandus", "Heteronyx borealis", "Heteronyx bovilli", "Heteronyx brevior", "Heteronyx caledoniae", "Heteronyx calidus", "Heteronyx callabonnae", "Heteronyx capillatus", "Heteronyx castanescens", "Heteronyx castaneus", "Heteronyx cervina", "Heteronyx chlorotica", "Heteronyx cliens", "Heteronyx collaris", "Heteronyx colossus", "Heteronyx comans", "Heteronyx concolor", "Heteronyx confertus", "Heteronyx constans", "Heteronyx corpulentus", "Heteronyx costulatus", "Heteronyx crassus", "Heteronyx cribriceps", "Heteronyx crinitus", "Heteronyx cunnamullae", "Heteronyx cygneus", "Heteronyx magnus", "Heteronyx major", "Heteronyx maluensis", "Heteronyx marcidus", "Heteronyx marginatus", "Heteronyx merus", "Heteronyx metropolitanus", "Heteronyx mimus", "Heteronyx minimus", "Heteronyx minutus", "Heteronyx moluccanus", "Heteronyx montanus", "Heteronyx mulwalensis", "Heteronyx mundus", "Heteronyx nasutus", "Heteronyx neglectus", "Heteronyx nigella", "Heteronyx nigrescens", "Heteronyx nigricans", "Heteronyx nigrita", "Heteronyx nigritulus", "Heteronyx normalis", "Heteronyx novitius", "Heteronyx obesa", "Heteronyx oblongus", "Heteronyx orbus", "Heteronyx ovatus", "Heteronyx pallidulus", "Heteronyx paniei", "Heteronyx papuanus", "Heteronyx parvulus", "Heteronyx pauxillus", "Heteronyx pellucida", "Heteronyx peregrinus", "Heteronyx perkinsi", "Heteronyx piceoniger", "Heteronyx piceus", "Heteronyx pilosellus", "Heteronyx pilosus", "Heteronyx placidus", "Heteronyx planatus", "Heteronyx planiceps", "Heteronyx posticalis", "Heteronyx praecox", "Heteronyx proditor", "Heteronyx proprius", "Heteronyx prosper", "Heteronyx protervus", "Heteronyx proxima", "Heteronyx pubescens", "Heteronyx puncticollis", "Heteronyx punctipennis", "Heteronyx pustulosus", "Heteronyx pygidialis", "Heteronyx pygmaeus", "Heteronyx quadraticollis", "Heteronyx queenlandicus", "Heteronyx randalli", "Heteronyx rectangulus", "Heteronyx relictus", "Heteronyx rhinastus", "Heteronyx rhinocerus", "Heteronyx rothei", "Heterochelus centralis", "Heterochelus chiragricus", "Heterochelus citrinus", "Heterochelus coccineus", "Heterochelus comosus", "Heterochelus concinnus", "Heterochelus connatus", "Heterochelus consanguineus", "Heterochelus consors", "Heterochelus controversus", "Heterochelus cristaticeps", "Heterochelus croceipennis", "Heterochelus defector", "Heterochelus delkeskampi", "Heterochelus detritus", "Heterochelus dissidens", "Heterochelus ditus", "Heterochelus diversus", "Heterochelus egens", "Heterochelus egenus", "Heterochelus elegans", "Heterochelus emeritus", "Heterochelus escourtianus", "Heterochelus exactor", "Heterochelus fallaciosus", "Heterochelus femoralis", "Heterochelus festivus", "Heterochelus flavus", "Heterochelus forcipatus", "Heterochelus formosus", "Heterochelus forsteri", "Heterochelus fraternus", "Heterochelus fraudulentus", "Heterochelus freudei", "Heterochelus freyi", "Heterochelus furoninus", "Heterochelus gifensis", "Heterochelus gonager", "Heterochelus gracilis", "Heterochelus griseus", "Heterochelus guillarmodi", "Heterochelus hayeki", "Heterochelus hessei", "Heterochelus humeralis", "Heterochelus hybridus", "Heterochelus ictericus", "Heterochelus incongruens", "Heterochelus indigens", "Heterochelus inornatus", "Heterochelus insignis", "Heterochelus jucundulus", "Heterochelus junodi", "Heterochelus karrooanus", "Heterochelus latus", "Heterochelus leoninus", "Heterochelus lituratus", "Heterochelus longicollis", "Heterochelus lugens", "Heterochelus lydenburgensis", "Heterochelus maculatus", "Heterochelus manowanus", "Heterochelus melanopygus", "Heterochelus mimus", "Heterochelus minutus", "Gymnoloma pusilla", "Gymnoloma rubra", "Gymnoloma spuria", "Gymnoloma subsulcata", "Gymnoloma suturalis", "Gymnoloma tibialis", "Gymnopyge coquilletti", "Gymnopyge hirsuta", "Gymnopyge hopliaeformis", "Gymnopyge pygmaea", "Gymnoschiza rufa", "Gymnoschiza setiventris", "Gymnoschiza variolosipes", "Gynaecoserica alma", "Gynaecoserica amara", "Gynaecoserica barclayi", "Gynaecoserica bocaki", "Gynaecoserica densipunctata", "Gynaecoserica digna", "Gynaecoserica felina", "Gynaecoserica gisionensis", "Gynaecoserica hani", "Gynaecoserica hirsuta", "Gynaecoserica jelineki", "Gynaecoserica lomsakensis", "Gynaecoserica luteata", "Gynaecoserica maekasana", "Gynaecoserica maymyoensis", "Gynaecoserica nahangensis", "Gynaecoserica namtamaiensis", "Gynaecoserica obliqua", "Gynaecoserica rostrata", "Gynaecoserica schima", "Gynaecoserica ziyardamensis", "Gyroplia bimaculata", "Hadrocerus castaneipennis", "Hadropechys victoriae", "Hadrops flavus", "Hadrops halei", "Hamatoplectris caracana", "Hamatoplectris rosettae", "Hamatoplectris spinifer", "Harpechys chilo", "Harpina vittigera", "Hecistopsilus molitor", "Hecistopsilus setososquamea", "Hecistopsilus sinuatus", "Hellaserica elongata", "Hemicamenta caffrina", "Hemicamenta dubiosa", "Hemicamenta jokona", "Hemicamenta theryi", "Hemicamenta tumida", "Hemictenius apterus", "Hemictenius bactrianus", "Hemictenius badkhyzicus", "Hemictenius comatus", "Hemictenius danilevskyi", "Hemictenius drescheri", "Hemictenius elongatus", "Hemictenius gracilipes", "Hemictenius kabakovi", "Hemictenius klimenkoi", "Hypotrachyna brevidactylata", "Polyplectropus admin", "Atractus zidoki", "Atractus flammigerus", "Gonatodes tapajonicus", "Antongilus bengalensis", "Bradycellus schaubergeri", "Antongilus biroi", "Antongilus cribrifrons", "Antongilus goliath", "Antongilus terricola", "Nothobachia ablephara", "Phanaeus changdiazi", "Phanaeus damocles", "Phanaeus daphnis", "Phanaeus demon", "Phanaeus difformis", "Phanaeus excelsus", "Phanaeus eximius", "Phanaeus flohri", "Phanaeus furiosus", "Phanaeus genieri", "Phanaeus guatemalensis", "Phanaeus hermes", "Phanaeus howdeni", "Phanaeus igneus", "Phanaeus labreae", "Phanaeus lunaris", "Phanaeus melampus", "Phanaeus mexicanus", "Phanaeus nimrod", "Phanaeus obliquans", "Phanaeus palliatus", "Phanaeus pilatei", "Phanaeus prasinus", "Phanaeus quadridens", "Phanaeus sallei", "Phanaeus scutifer", "Phanaeus texensis", "Phanaeus triangularis", "Phanaeus tridens", "Phanaeus wagneri", "Phanaeus yecoraensis", "Phanaeus zapotecus", "Pinacopodius meruensis", "Pinacotarsus dohrni", "Pinacotarsus proximus", "Platyonitis bicuariensis", "Platyonitis oberthueri", "Platyonitis smeenkorum", "Pleuronitis boucomonti", "Pleuronitis favareli", "Pleuronitis fulgidus", "Pleuronitis minettii", "Pseudignambia mimerops", "Pseudignambia squamata", "Pseudocanthon caeranus", "Pseudocanthon chlorizans", "Pseudocanthon iuanalaoi", "Pseudocanthon jamaicensis", "Pseudocanthon sylvaticus", "Pseudocanthon vitraci", "Pseudocanthon xanthurus", "Pseudochironitis bennigseni", "Pseudochironitis stuhlmanni", "Pseudocopris lunaticeps", "Pseudocopris tubericollis", "Pseudopedaria grossa", "Pseudopedaria lamottei", "Pseudopedaria villiersi", "Pseudosaproecius baraudi", "Pseudosaproecius bateke", "Pseudosaproecius binasus", "Pseudosaproecius cambeforti", "Pseudosaproecius comatus", "Pseudosaproecius cylindroides", "Heteronyx rotundiceps", "Heteronyx rubescens", "Heteronyx ruficollis", "Heteronyx rufomarginatus", "Heteronyx rufopiceus", "Heteronyx rugosipennis", "Heteronyx rusticus", "Heteronyx salebrosus", "Heteronyx satellus", "Heteronyx scalptus", "Heteronyx sequens", "Heteronyx setifer", "Heteronyx sexualis", "Heteronyx siccus", "Heteronyx simius", "Heteronyx simplicicollis", "Heteronyx simulator", "Heteronyx sloanei", "Heteronyx solidus", "Heteronyx spadicea", "Heteronyx spretus", "Heteronyx squalidus", "Heteronyx striatus", "Heteronyx suavis", "Heteronyx subferruginea", "Heteronyx subfuscus", "Heteronyx subglaber", "Heteronyx substriatus", "Heteronyx sulcifrons", "Heteronyx sydneyanus", "Heteronyx tarsalis", "Heteronyx tasmanicus", "Heteronyx tenebrosus", "Heteronyx tepperi", "Heteronyx terrena", "Heteronyx tindalei", "Heteronyx torvus", "Heteronyx transversicollis", "Heteronyx tridentatus", "Heteronyx tristis", "Heteronyx umbilicatus", "Heteronyx unicolor", "Heteronyx unicus", "Heteronyx variegatus", "Heteronyx vicinus", "Heteronyx victoris", "Heteronyx viduus", "Heteronyx zalotus", "Heteroschiza plumata", "Heteroserica paradoxa", "Heteroserica reticulata", "Heteroserica tridens", "Heterotrochalus macrophyllus", "Hexataenius esakii", "Hexataenius protensus", "Hieritis macrocera", "Hilarianus anguliceps", "Hilarianus ovalis", "Hilarianus rufinus", "Hilarianus suboblongus", "Hilarianus uniformis", "Micrablepharus atticolus", "Xanthophyllum tenuipetalum", "Xanthophyllum griffithii subsp. erectum", "Leposoma baturitensis", "Leposoma nanodactylus", "Psychosaura agmosticha", "Thermozephyrus lingi", "Calyptommatus confusionibus", "Heteronyx darlingensis", "Heteronyx declaratus", "Heteronyx dentipes", "Heteronyx dimidiata", "Heteronyx disjectus", "Heteronyx diversiceps", "Heteronyx doctus", "Heteronyx doddi", "Heteronyx electus", "Heteronyx elongatus", "Heteronyx elytrurus", "Heteronyx excisa", "Heteronyx excisus", "Heteronyx exectus", "Heteronyx fervidus", "Heteronyx fimbriatus", "Heteronyx flavus", "Heteronyx fortis", "Heteronyx fraserensis", "Heteronyx frenchi", "Heteronyx froggatti", "Heteronyx frontalis", "Heteronyx fulvohirtus", "Heteronyx fumata", "Heteronyx furvus", "Heteronyx glabratus", "Heteronyx grandis", "Heteronyx granulatus", "Heteronyx granulifer", "Heteronyx granum", "Heteronyx helmsi", "Heteronyx hirsutosetosus", "Heteronyx hirsutus", "Heteronyx hirtuosus", "Heteronyx hispidulus", "Heteronyx horridus", "Heteronyx humilis", "Heteronyx imitator", "Heteronyx impar", "Heteronyx incognitus", "Heteronyx incola", "Heteronyx infirmus", "Heteronyx infuscatus", "Heteronyx inornatus", "Heteronyx insignis", "Heteronyx insularis", "Heteronyx interioris", "Heteronyx intrusus", "Heteronyx iridiventris", "Heteronyx irrasus", "Heteronyx jejunus", "Heteronyx johannis", "Heteronyx labratus", "Heteronyx laeviceps", "Heteronyx laminatus", "Heteronyx lateritius", "Heteronyx laticeps", "Heteronyx leai", "Heteronyx liliputanus", "Heteronyx lindi", "Heteronyx lividus", "Heteronyx lobatus", "Heteronyx luteolus", "Heteronyx maculatus", "Therondus granuliformis", "Therondus impunctatus", "Tachycellus anchomenoides", "Phyllopezus periosus", "Remototrachyna pandani", "Bradycellus mons", "Xanthophyllum subcoriaceum", "Xanthophyllum tardicrescens", "Anolis punctatus", "Xanthophyllum trichocladum", "Calyptommatus leiolepis", "Calyptommatus sinebrachiatus", "Calyptommatus nicterus", "Xanthophyllum philippinense", "Xanthophyllum brigittae", "Psilops paeminosus", "Procellosaurinus erythrocercus", "Procellosaurinus tetradactylus", "Amerotyphlops yonenagae", "Apostolepis arenaria", "Apostolepis gaboi", "Rodriguesophis chui", "Rodriguesophis scriptorcibatus", "Tachycellus subdiius", "Bradycellus glabratus", "Malaclemys terrapin centrata", "Malaclemys terrapin littoralis", "Zygaena carniolica praepyrenaea", "Ptilotus decipiens", "Ptilotus dissitiflorus", "Ptilotus distans", "Ptilotus divaricatus", "Amerotyphlops amoipira", "Ptilotus drummondii", "Ptilotus rotundifolius", "Leposoma puk", "Quartinia monnerati", "Ptilotus villosiflorus", "Hypotrachyna catawbiensis", "Hypotrachyna cerradensis", "Leucanopsis acuta", "Xanthophyllum monticola", "Hypotrachyna chilensis", "Xanthophyllum incertum", "Xanthophyllum acuminatissimum", "Hypotrachyna cirrhata", "Zatrephes mirabilis", "Symphlebia underwoodi", "Hypotrachyna cleefii", "Amphisbaena ibijara", "Hypotrachyna columbiensis", "Loxopholis ferreirai", "Dryadosaura nordestina", "Varecia variegata subcincta", "Demonax aberratus", "Demonax algebraicoides", "Demonax friederici", "Demonax melanocephalus", "Demonax rubricus", "Demonax henrici", "Demonax hiroshii", "Demonax deceptus", "Demonax triangularis", "Demonax punctatus", "Demonax globicollis", "Demonax arcanus", "Demonax antennarius", "Demonax alcelloides", "Demonax favens", "Demonax spadiceus", "Demonax vulbus", "Demonax luridus", "Demonax ustus", "Demonax parallinus", "Demonax acutatus", "Demonax maculifer", "Demonax despectus", "Demonax promptus", "Perissus flavus", "Oligoenoplus simulatrix", "Psilomerus mimicus", "Psilomerus simulator", "Psilomerus rugosus", "Hypotrachyna carchiensis", "Elysius deceptura", "Thermozephyrus ataxus tsukiyamai", "Thermozephyrus ataxus zulla", "Ischnocampa deceptura", "Hilyotrogus assamensis", "Hilyotrogus aurosericeus", "Hilyotrogus birmanicus", "Hilyotrogus calcaratus", "Hilyotrogus changbaishanensis", "Hilyotrogus cribratulus", "Hilyotrogus flavescens", "Hilyotrogus flavosericeus", "Hilyotrogus formosanus", "Hilyotrogus hirsutissimus", "Hilyotrogus holosericeus", "Hilyotrogus iridipennis", "Hilyotrogus kolbei", "Hilyotrogus longiclavis", "Hilyotrogus luteosericeus", "Hilyotrogus mangkamensis", "Hilyotrogus nitens", "Hilyotrogus ochraceosericeus", "Hilyotrogus piceosericeus", "Hilyotrogus pilicollis", "Hilyotrogus pilifer", "Hilyotrogus rufosericeus", "Hilyotrogus sericeus", "Hilyotrogus setiger", "Hilyotrogus setipennis", "Hilyotrogus sikkimensis", "Hilyotrogus stolidus", "Hilyotrogus unguicularis", "Hilyotrogus vietnamensis", "Hilyotrogus wittmeri", "Hilyotrogus yasuii", "Himalhoplia furcata", "Holisonycha mellila", "Holochelus angustifrons", "Holochelus armeniacus", "Holochelus boudjelalae", "Holochelus brenskei", "Holochelus brussensis", "Holochelus caucasicus", "Holochelus erivanicus", "Holochelus escherichi", "Holochelus fallaciosus", "Holochelus fallax", "Holochelus fraxinicola", "Holochelus fusculus", "Holochelus gigas", "Holochelus gradojevici", "Holochelus jarkae", "Holochelus kerimi", "Holochelus kurdistanus", "Holochelus mimicus", "Enyalius erythroceneus", "Stenocercus squarrosus", "Stenocercus quinarius", "Iranocichla persa", "Epimolis intorta", "Hyperandra excavata", "Premolis excavata", "Tessella flavescens", "Ochrodota flavescens", "Tessella flavescens flavescens", "Tessella flavescens guyanensis", "Tessella grandis guyanensis", "Elysius proba", "Xanthophyllum palawanense", "Elysius thrailkilli", "Elysius amapaensis", "Elysius itaunensis", "Elysius ruffin", "Elysius gladysia", "Elysius discopunctata", "Elysius joiceyi", "Ptilotus subspinescens", "Calidota hadesia", "Ptilotus stirlingii", "Elysius rabusculum", "Eucereon rabusculum", "Elysius melanoplaga amaura", "Ptilotus stirlingii subsp. australis", "Elysius melanoplaga", "Elysius melanoplaga melanoplaga", "Ptilotus spicatus", "Tydeus citri", "Elysius melaleuca", "Lophocampa melaleuca", "Ptilotus sessilifolius", "Metacrisia albida", "Ptilotus extenuatus", "Ptilotus erubescens", "Holochelus nocturnus", "Holochelus nonveilleri", "Holochelus obenbergeri", "Holochelus ovchinnikovi", "Holochelus parvus", "Holochelus phrygicus", "Holochelus pilicollis", "Holochelus rapuzzii", "Holochelus rusticus", "Holochelus serrifunis", "Holochelus setiventris", "Holochelus syriacus", "Holochelus tataricus", "Holochelus tauricus", "Holochelus uvarovi", "Holochelus vulpinus", "Holochelus zimmermanni", "Holochelus zuvandi", "Holochelus lazlonadaii", "Holochelus nepalensis", "Holochelus pakistanus", "Holochelus puchneri", "Holochelus reichenbachi", "Holochelus aschhabadensis", "Holochelus costulatus", "Holochelus lineolatus", "Holochelus majusculus", "Holochelus nadaii", "Holochelus pseudonadaii", "Holochelus subseriatus", "Holocnemus tomentosus", "Holomelia anomala", "Holomelia calva", "Holomelia crinita", "Holomelia gigantea", "Holomelia mirabilis", "Holopycnia celebesiaca", "Holopycnia telnovi", "Holorhopaea sagata", "Homalochilus niger", "Homalochilus punctatostriatus", "Homaloserica fessa", "Homoeoschiza aberrans", "Homoeoschiza flavescens", "Homoeoschiza minor", "Homoliogenys tarsalis", "Homolotropus luridipennis", "Homolotropus metallicus", "Homolotropus sagus", "Homolotropus sericeus", "Homolotropus taylori", "Homopliopsis bicolor", "Homopliopsis dorri", "Homopliopsis lugubris", "Homopliopsis madacassa", "Homopliopsis oculata", "Homopliopsis peyrierasi", "Hoplebaea anguliceps", "Hoplebaea congoana", "Hoplebaea freyi", "Hoplebaea mashunensis", "Hoplebaea nigrita", "Hoplebaea rufolineata", "Hoplebaea sassana", "Hoplia bruchoides", "Pelochyta nabor", "Hoplia brunnipes", "Hoplia caffra", "Hoplia callipyge", "Hoplia caucasica", "Hoplia chinensis", "Hoplia chlorophana", "Hoplia choui", "Hoplia ciliata", "Hoplia cinereonebulosa", "Hoplia ciscaucasica", "Hoplia citrea", "Hoplia citrinella", "Hoplia clotildae", "Hoplia coeruleosignata", "Hoplia coffeae", "Hoplia colchica", "Hoplia colini", "Hoplia coluzzii", "Hoplia concolor", "Hoplia convexicollis", "Hoplia corporaali", "Hoplia cretacea", "Hoplia cupulosa", "Hoplia cyanosignata", "Hoplia cylindrica", "Hoplia dalatella", "Hoplia detrita", "Hoplia diana", "Hoplia digitifera", "Hoplia dilutipes", "Hoplia dispar", "Hoplia disparilis", "Hoplia dissexualis", "Hoplia dombrovskii", "Hoplia dubia", "Hoplia elegantula", "Hoplia elongata", "Hoplia equina", "Hoplia errata", "Hoplia ertli", "Hoplia excellens", "Hoplia festiva", "Hoplia fissipes", "Hoplia flavipes", "Hoplia flavomaculata", "Hoplia floridana", "Hoplia forsteri", "Hoplia freudei", "Hoplia freyi", "Hoplia fukiensis", "Hoplia fulgida", "Hoplia fuliginosa", "Hoplia fulvipennis", "Hoplia fulvofemorata", "Hoplia fungifera", "Hoplia gabonica", "Hoplia gibbicollis", "Hoplia gilleti", "Hoplia golovjankoi", "Hoplia gracilis", "Hoplia graminicola", "Hoplia grisea", "Hoplia griseonebulosa", "Hoplia griseosparsa", "Hoplia griseosquamosa", "Hoplia griseovestita", "Hoplia guatemalensis", "Pelochyta songoa", "Hoplia gyirongensis", "Hoplia hakonensis", "Hoplia hayashii", "Hoplia herminiana", "Hoplia heterolepis", "Hoplia hirsuta", "Hoplia hirta", "Hoplia hofmanni", "Hoplia horrida", "Hoplia huettenbacheri", "Hoplia hungarica", "Hoplia hyrcana", "Hoplia imitatrix", "Hoplia imparilis", "Hoplia indica", "Hoplia ingrata", "Hoplia inops", "Hoplia inornata", "Hoplia iridescens", "Hoplia jalapana", "Hoplia javana", "Hoplia kamerunica", "Hoplia klapperichi", "Hoplia korbi", "Hoplia koreana", "Hoplia laconiae", "Hoplia laetitiae", "Hoplia lama", "Hoplia langbianella", "Hoplia lao", "Hoplia latesuturata", "Hoplia laticollis", "Hoplia leytensis", "Hoplia limbata", "Hoplia lindiana", "Hoplia lineata", "Hoplia lishana", "Hoplia lurida", "Hoplia luzonica", "Hoplia maculifera", "Hoplia magnifica", "Hoplia mahayana", "Hoplia malaccensis", "Hoplia malaisei", "Hoplia manowensis", "Hoplia maremmana", "Hoplia mausonensis", "Hoplia medana", "Hoplia mediocris", "Hoplia mexicana", "Hoplia mina", "Hoplia mindoroensis", "Hoplia minuscula", "Hoplia minuta", "Hoplia modesta", "Hoplia moerens", "Hoplia montana", "Hoplia monticola", "Hoplia squamacea", "Hoplia squamifera", "Hoplia squamiventris", "Hoplia stenolepis", "Hoplia striatipennis", "Hoplia subcostata", "Hoplia sulcicollis", "Hoplia surata", "Hoplia susiana", "Hoplia taipeiensis", "Hoplia taiwana", "Hoplia taliensis", "Hoplia tangana", "Hoplia teapensis", "Hoplia tenebrosa", "Hoplia tesari", "Hoplia testudinis", "Hoplia trifasciata", "Hoplia trivialis", "Hoplia tuberculicollis", "Hoplia tuberculifera", "Hoplia uniformis", "Hoplia usambarica", "Hoplia ushijima", "Hoplia validipes", "Hoplia variabilis", "Hoplia ventraerata", "Hoplia ventricosa", "Hoplia versicolor", "Hoplia vestita", "Hoplia vicina", "Hoplia vidua", "Hoplia virginioi", "Hoplia viridisignata", "Hoplia viridissima", "Hoplia viridula", "Hoplia vittata", "Hoplia walterrossii", "Hoplia waterstradti", "Hoplia zaitzevi", "Hoplia zaragozai", "Hopliopsis badia", "Hopliopsis convexa", "Hopliopsis fulvovestita", "Hopliopsis mocquerysi", "Hopliopsis rufilata", "Hopliopsis rufula", "Hopliopsis vittulata", "Hoplochelus betanimena", "Hoplochelus lebisi", "Hoplochelus lepidus", "Hoplochelus marginalis", "Hoplochelus obliteratus", "Hoplochelus peyrierasi", "Hoplochelus piliger", "Hoplochelus primoti", "Hoplochelus rhizotrogoides", "Hoplochelus tenuepunctatus", "Hoplochelus textilipennis", "Hoplochelus vadoni", "Hoplocnemis andreaei", "Hoplocnemis armata", "Hoplocnemis auriventris", "Hoplocnemis brevitibialis", "Hoplia moultoni", "Hoplia mucorea", "Hoplia mulleri", "Hoplia nakanei", "Hoplia nebulosa", "Hoplia negrosensis", "Hoplia nengkaoshana", "Hoplia nepalensis", "Hoplia nhatrangella", "Hoplia niasana", "Hoplia nigrina", "Hoplia nigromaculata", "Hoplia nigrosetosa", "Hoplia nigrosparsa", "Hoplia nitidipunctata", "Hoplia oblonga", "Hoplia ochracea", "Hoplia ochraceoscutellata", "Hoplia ochreata", "Hoplia opalescens", "Hoplia paganettii", "Hoplia pentheri", "Hoplia peroni", "Hoplia philippinensis", "Hoplia pilifera", "Hoplia pisicolor", "Hoplia platyca", "Hoplia plebeja", "Hoplia polita", "Hoplia pollinosa", "Hoplia pontica", "Hoplia prasina", "Hoplia psilocephala", "Hoplia pubicollis", "Hoplia pulchella", "Hoplia pulchra", "Hoplia puncticollis", "Hoplia quasiplebeja", "Hoplia rossica", "Hoplia rotunda", "Hoplia rufopicta", "Hoplia rungsi", "Hoplia rutilapta", "Hoplia sabatinellii", "Hoplia sabraechatilae", "Hoplia sackenii", "Hoplia salaama", "Hoplia scheibei", "Hoplia scheini", "Hoplia schuberti", "Hoplia schultheissi", "Hoplia scutellaris", "Hoplia setifera", "Hoplia setosella", "Hoplia shimomurai", "Hoplia shirakii", "Hoplia shirozui", "Hoplia sibuyana", "Hoplia signata", "Hoplia simillima", "Hoplia simplex", "Hoplia siningensis", "Hoplia sobrina", "Hoplia sordida", "Hoplocnemis crassipes", "Hoplocnemis fuliginosa", "Hoplocnemis glenlyonensis", "Hoplocnemis hessei", "Hoplocnemis hylax", "Hoplocnemis karrooana", "Hoplocnemis klimaszewskii", "Hoplocnemis koikoina", "Hoplocnemis lightfooti", "Hoplocnemis mutica", "Hoplocnemis scholtzi", "Hoplocnemis spectabilis", "Hoplocnemis ulrichi", "Hoplolontha pavi", "Hoplomaladera hualiensis", "Hoplomaladera kurosawai", "Hoplomaladera monticola", "Hoplomaladera saitoi", "Hoplomaladera shibatai", "Hoplomaladera taitungensis", "Hoplorida congoana", "Hoplorida gabonica", "Hoplosternodes splendens", "Hovachelus oberthuri", "Hovachelus squamulosus", "Howdenocarus mexicanus", "Humblotania brevitarsis", "Hybocamenta atriceps", "Hybocamenta benitoana", "Hybocamenta brevicornis", "Hybocamenta congoana", "Hybocamenta coriacea", "Hybocamenta descarpentriesi", "Hybocamenta discrepans", "Hybocamenta ferranti", "Hybocamenta flabellata", "Hybocamenta gabonensis", "Hybocamenta heptaphylla", "Hybocamenta inops", "Hybocamenta kivuana", "Hybocamenta longiceps", "Hybocamenta maritima", "Hybocamenta modesta", "Hybocamenta morio", "Hybocamenta nigriceps", "Hybocamenta nigrita", "Hybocamenta pallidicauda", "Hybocamenta pilosella", "Hybocamenta pusilla", "Hybocamenta rufina", "Hybocamenta rufopilosa", "Hybocamenta saegeri", "Hybocamenta simillima", "Hybocamenta tongaatsana", "Hybocamenta unicolor", "Hybocamenta upangwana", "Hybocamenta urunguensis", "Hybocamenta variabilis", "Hyposerica brunneipennis", "Hyposerica brunneipes", "Hyboserica caffra", "Hyposerica fenerivensis", "Hyboserica globuliformis", "Hyposerica luridipennis", "Hoplebaea tessellatula", "Hoplebaea valida", "Hopleidos echinatus", "Hopleidos lineolatus", "Hopleidos lineopictus", "Hoplia angulata", "Hoplia bezdeki", "Hoplia bucharica", "Hoplia cincticollis", "Hoplia coralipes", "Hoplia corniculata", "Hoplia davidis", "Hoplia divina", "Hoplia djukini", "Hoplia endroedii", "Hoplia euphratica", "Hoplia fiorii", "Hoplia hauseri", "Hoplia jacobsoni", "Hoplia philanthus", "Hoplia potanini", "Hoplia praticola", "Hoplia pseudophilanthus", "Hoplia semicastanea", "Hoplia aureola", "Hoplia communis", "Hoplia hirticollis", "Hoplia reinii", "Hoplia reitteri", "Hoplia rufocuprea", "Hoplia semenowi", "Hoplia spectabilis", "Hoplia thibetana", "Hoplia advena", "Hoplia africana", "Hoplia albisparsa", "Hoplia albomaculata", "Hoplia amoena", "Hoplia anatolica", "Hoplia argentata", "Hoplia argentea", "Hoplia argenteola", "Hoplia argyritis", "Hoplia asperula", "Hoplia asteria", "Hoplia attilioi", "Hoplia aulica", "Hoplia aurantiaca", "Hoplia aurata", "Hoplia aurifera", "Hoplia auromicans", "Hoplia aurotincta", "Hoplia bakeri", "Hoplia bilineata", "Hoplia biplagiata", "Hoplia bisignata", "Hoplia bomiensis", "Hoplia borneensis", "Hoplia bowringi", "Hoplia bracteata", "Hoplia brastagiensis", "Hoplia breviceps", "Hoplia brevipes", "Hoplia brevis", "Hyposerica piceonigra", "Hyposerica sericeomicans", "Hyposerica silvicola", "Hyposerica truncatipennis", "Hymenochelus distinctus", "Hymenoplia algirica", "Hymenoplia antoinei", "Hymenoplia arragonica", "Hymenoplia atlantea", "Hymenoplia atlasica", "Hymenoplia azrouensis", "Hymenoplia castiliana", "Hymenoplia castilianissima", "Hymenoplia chevrolati", "Hymenoplia cineracens", "Hymenoplia clypealis", "Hymenoplia escalerai", "Hymenoplia fulvescens", "Hymenoplia fulvipennis", "Hymenoplia galaica", "Hymenoplia heydeni", "Hymenoplia hirsutissima", "Hymenoplia illigeri", "Hymenoplia jayenensis", "Hymenoplia ketamensis", "Hymenoplia lata", "Hymenoplia lecerfi", "Hymenoplia lineolata", "Hymenoplia lucusensis", "Hymenoplia mairei", "Hymenoplia meknesensis", "Hymenoplia miegii", "Hymenoplia minuta", "Hymenoplia oudjdensis", "Hymenoplia pardoalcaidei", "Hymenoplia pilosissima", "Hymenoplia pseudocinerascens", "Hymenoplia riffensis", "Hymenoplia roulleaui", "Hymenoplia rufinoides", "Hymenoplia rugosa", "Hymenoplia rugulosa", "Hymenoplia sefroensis", "Hymenoplia sericea", "Hymenoplia sicula", "Hymenoplia strigosa", "Hymenoplia subcinerascens", "Hymenoplia theryi", "Hymenoplia ungulata", "Hymenoplia vulpecula", "Hymenoplia zibana", "Hyperius castanescens", "Hyperius davidis", "Hyperius densiventris", "Hyperius sparsutus", "Hypolepida wilsoni", "Hyposerica abdominalis", "Hyposerica blanchardi", "Hyposerica borbonnica", "Hyposerica carinata", "Hyposerica castanea", "Hyposerica castanipes", "Hyposerica cinnamomea", "Hyposerica costata", "Hyposerica cruciata", "Hyposerica dauphinensis", "Hyposerica definitiva", "Hyposerica defloccata", "Hyposerica delecta", "Hyposerica delibuta", "Hyposerica delumba", "Hyposerica diegana", "Hyposerica disjuncta", "Hyposerica dorsalis", "Hyposerica flaveola", "Hyposerica flavicornis", "Hyposerica fuliginosa", "Hyposerica geminata", "Hyposerica goudoti", "Hyposerica grandidieri", "Hyposerica grossa", "Hyposerica humbloti", "Hyposerica imitans", "Hyposerica inflata", "Hyposerica iridescens", "Hyposerica klugi", "Hyposerica laevigata", "Hyposerica maculata", "Hyposerica madagascariensis", "Hyposerica martialis", "Hyposerica mauritii", "Hyposerica micans", "Hyposerica midongyensis", "Hyposerica mystica", "Hyposerica nucea", "Hyposerica opaca", "Hyposerica orbiculata", "Hyposerica pernitida", "Hyposerica pexicollis", "Hyposerica pierroni", "Hyposerica porphyrea", "Hyposerica pruinosella", "Hyposerica rosettae", "Hyposerica rufina", "Hyposerica submetallica", "Hyposerica subrugipennis", "Hyposerica suturalis", "Hyposerica tibialis", "Hyposerica vinsoni", "Hypothyce burnei", "Hypothyce mixta", "Hypothyce osburni", "Hypotrichia spissipes", "Ictigaster ruficollis", "Idaecamenta brevipes", "Idaecamenta eugeniae", "Idaecamenta jucunda", "Idaeserica gratula", "Idanastes abditus", "Idiapogonia laratina", "Idiochelyna pectoralis", "Idionycha verticalis", "Idutywa collaris", "Idutywa vidua", "Inanda congoana", "Inanda gaerdesi", "Inanda gracilis", "Inanda nasuta", "Xanthophyllum celebicum", "Macroglossum schnitzleri", "Semagystia kamelini", "Macrocystis pyrifera", "Lamellocossus viktor", "Hypotrachyna diffractaica", "Ptilotus rotundatus", "Ptilotus pedleyanus", "Ptilotus mitchellii", "Ptilotus mollis", "Acheilognathus tabira tabira", "Inanda stamperi", "Inanda sulcicollis", "Inanda trivialis", "Insimuloissacaris nahuelbutensis", "Iranotrogus deserti", "Isocamenta amitina", "Isocamenta montana", "Isocamenta schubotzi", "Isocamenta sequax", "Isocamenta ugandana", "Isoceraspis duckei", "Isonychus aenescens", "Isonychus aequatorialis", "Isonychus albicinctus", "Isonychus albofasciatus", "Isonychus albosignatus", "Isonychus alienus", "Isonychus angosturanus", "Isonychus arbusticola", "Isonychus argentinus", "Isonychus arizonensis", "Isonychus bahianus", "Isonychus bimaculatus", "Isonychus bistrigus", "Isonychus bivittatus", "Isonychus boliviensis", "Isonychus braumeisteri", "Isonychus bruchiformis", "Isonychus burmeisteri", "Isonychus callosipygus", "Isonychus castaneus", "Isonychus catharinae", "Isonychus caudiculatus", "Isonychus cervicapra", "Isonychus cervinalis", "Isonychus cervinodes", "Isonychus cervinus", "Isonychus chacoensis", "Isonychus chiriquinus", "Isonychus cinereus", "Isonychus costaricensis", "Isonychus crinitus", "Isonychus denudatus", "Isonychus discolor", "Isonychus egregius", "Isonychus elegans", "Isonychus elongatus", "Isonychus erectepilosus", "Isonychus fasciatipennis", "Isonychus fasciolatus", "Isonychus flaviventris", "Isonychus flavopilosus", "Isonychus fraternus", "Isonychus fraudulentus", "Isonychus fulvescens", "Isonychus fulvipennis", "Isonychus fuscipennis", "Isonychus gracilipes", "Isonychus gracilis", "Isonychus granarius", "Isonychus granuliventris", "Isonychus griseolus", "Isonychus griseopilosus", "Isonychus griseus", "Isonychus guayanensis", "Isonychus hiekei", "Isonychus hirsutus", "Isonychus kulzeri", "Isonychus kuntzeni", "Isonychus laevipygus", "Isonychus leechi", "Isonychus limbatus", "Isonychus lindemannae", "Isonychus lineatus", "Isonychus lineola", "Isonychus lituratus", "Isonychus lojanus", "Isonychus maculatus", "Isonychus maculipennis", "Isonychus marmoratus", "Isonychus marmoreus", "Isonychus microsquamosus", "Isonychus minutus", "Isonychus murinus", "Isonychus mus", "Isonychus mutans", "Isonychus neglectus", "Isonychus nigripes", "Calidota strigosa", "Isonychus nitens", "Isonychus nitidus", "Isonychus nubeculus", "Isonychus nubilus", "Isonychus nudipennis", "Isonychus obesulus", "Isonychus oblongoguttatus", "Isonychus oblongomaculatus", "Isonychus obsoletus", "Isonychus ocellatus", "Isonychus ochraceus", "Isonychus ohausi", "Isonychus ornatipennis", "Isonychus ovinus", "Isonychus paganus", "Isonychus paradoxus", "Isonychus parallelus", "Isonychus paranus", "Isonychus parvulus", "Isonychus pauloensis", "Isonychus pavonii", "Isonychus penai", "Isonychus pereirai", "Isonychus peruanus", "Isonychus phlaeopterus", "Isonychus pictus", "Isonychus pilicollis", "Isonychus pilosus", "Isonychus piperitus", "Isonychus podicalis", "Isonychus politus", "Isonychus prasinus", "Isonychus psittacinus", "Isonychus pulchellus", "Isonychus religiosus", "Isonychus rosettae", "Isonychus rugicollis", "Isonychus saltanus", "Isonychus saylori", "Alexandresaurus camacan", "Gastrotheca pulchra", "Gastrotheca fulvorufa", "Favonius korshunovi korshunovi", "Favonius cognatus cognatus", "Xanthophyllum bracteatum", "Favonius jezoensis", "Favonius jezoensis azumajamensis", "Favonius orientalis", "Xanthophyllum discolor subsp. macranthum", "Xanthophyllum erythrostachyum", "Phalacrocorax carbo sinensis", "Eurytides marchandii occidentalis", "Protographium thyastes occidentalis", "Avicularia exilis", "Avicularia ancylochyra", "Avicularia cuminami", "Avicularia glauca", "Avicularia avicularia avicularia", "Isonychus schneblei", "Isonychus scutellaris", "Isonychus setifer", "Isonychus similis", "Isonychus simplex", "Isonychus simulator", "Isonychus soricinus", "Isonychus squamifer", "Isonychus squamulosus", "Isonychus striatipennis", "Isonychus striolatus", "Isonychus submaculatus", "Isonychus sulcicollis", "Isonychus sulphureus", "Isonychus suturalis", "Isonychus tessellatus", "Isonychus tomentosus", "Isonychus unicolor", "Isonychus unidens", "Isonychus uniformis", "Isonychus ursus", "Isonychus varians", "Isonychus variegatus", "Isonychus variipennis", "Isonychus ventralis", "Isonychus vestitus", "Isonychus vicinus", "Isonychus vittatus", "Isonychus vittiger", "Isonychus vittipennis", "Arctia strigosa", "Isonychus zikani", "Calidota jamaicensis", "Eurytides marchandii", "Protographium thyastes thyastes", "Protographium thyastes marchandii", "Eurytides marchandii marchandii", "Bachia micromela", "Bachia psamophila", "Proceratophrys redacta", "Xanthophyllum lateriflorum", "Hypotrachyna constictovexans", "Anomaloglossus apiau", "Anomaloglossus tepequem", "Hypotrachyna cryptochlora", "Hypotrachyna cunhaensis", "Favonius saphirinus pedius", "Leposoma sinepollex", "Anotosaura collaris", "Avicularia variegata", "Scytalopus alvarezlopezi", "Xanthophyllum laeve", "Xanthophyllum retinerve", "Xanthophyllum venosum", "Ptilotus esquamatus", "Ptilotus fasciculatus", "Avicularia juruensis", "Ptilotus fusiformis", "Ptilotus grandiflorus", "Ptilotus humilis", "Ptilotus incanus", "Xanthophyllum malayanum", "Dendropsophus counani", "Avicularia rufa", "Amphisbaena caiari", "Pronematus rykei", "Avicularia hirschii", "Pronematus tenuisetosus", "Parapronematus geminus", "Tydeus spathatus", "Naudea richinda", "Xanthophyllum ngii", "Xanthophyllum novoguineense", "Marinussaurus curupira", "Heterochelus miserabilis", "Heterochelus molestus", "Heterochelus mucronatus", "Heterochelus multidentatus", "Heterochelus murinus", "Heterochelus namibensis", "Heterochelus natalensis", "Heterochelus nigrotusus", "Heterochelus nubilus", "Heterochelus nudus", "Heterochelus obfuscatus", "Heterochelus ochraceus", "Heterochelus omissus", "Heterochelus optivus", "Heterochelus oreopygus", "Heterochelus ovamboensis", "Heterochelus pachyglutus", "Heterochelus pachymerus", "Heterochelus parapygidialis", "Heterochelus parentalis", "Heterochelus parilis", "Heterochelus parvulus", "Heterochelus pauperatus", "Heterochelus pavidus", "Heterochelus pentheri", "Heterochelus persimilis", "Heterochelus pickeri", "Heterochelus placatus", "Heterochelus podagricus", "Heterochelus poweri", "Heterochelus praestabilis", "Heterochelus promontorii", "Heterochelus pseudopygidilais", "Heterochelus puerilis", "Heterochelus pulverosus", "Heterochelus pygidialis", "Heterochelus quadratus", "Heterochelus rudebecki", "Heterochelus rufimanus", "Heterochelus saldanhensis", "Heterochelus scheini", "Heterochelus senex", "Heterochelus senilis", "Heterochelus serripes", "Heterochelus sexlineatus", "Heterochelus shilouvanus", "Heterochelus similis", "Heterochelus simulans", "Heterochelus simulator", "Heterochelus sobrinus", "Heterochelus soricinus", "Heterochelus spretus", "Heterochelus striatus", "Heterochelus stuckenbergi", "Heterochelus subpilosus", "Heterochelus subvittatus", "Heterochelus sulcatus", "Heterochelus sulphureus", "Heterochelus suspectus", "Heterochelus swierstrai", "Heterochelus timidus", "Heterochelus tridens", "Heterochelus tristis", "Heterochelus trunculus", "Ptilotus senarius", "Ptilotus murrayi", "Ptilotus indivisus", "Ptilotus johnstonianus", "Ptilotus kenneallyanus", "Hypotrachyna dubitans", "Ptilotus lophotrichus", "Ptilotus pseudohelipteroides", "Ptilotus maconochiei", "Ptilotus lazaridis", "Ptilotus robynsianus", "Hypotrachyna ecuadorensis", "Dicerogastra euxoides", "Dicerogastra jensergabori", "Actinauge bocki", "Dicerogastra costigerodes", "Issacaris bullocki", "Issacaris falsa", "Issacaris petalophora", "Issacaris setosiventris", "Issacaris sola", "Jalalabadia povolnyi", "Joziratia andriai", "Joziratia anjouanae", "Joziratia breviclava", "Joziratia cinnamomea", "Joziratia desruisseauxi", "Joziratia jocquei", "Joziratia longiclava", "Joziratia mayottensis", "Joziratia pamanzii", "Kabindeknomiosoma hautmanni", "Kadlecia heptaphylla", "Kadlecia trifoliata", "Kareiga hypocrita", "Kenyalepis montana", "Kenyatopadema reyi", "Kenyatopadema werneri", "Khoina andreaei", "Khoina bilateralis", "Khoina haafi", "Khoina plumipes", "Knysna heidenreichi", "Knysna humeralis", "Knysna sulcicollis", "Komrina villosa", "Korisaba amabilis", "Kraseophylla distincta", "Kryzhanovskia cashmirensis", "Kryzhanovskia olegi", "Kubousa antennata", "Kubousa axillaris", "Kubousa colvillei", "Kubousa elegans", "Kubousa elkiana", "Kubousa gentilis", "Kubousa nikolaji", "Kubousa robertsoni", "Kubousa venusta", "Kubousa zawari", "Kuenckeliana dubia", "Laceratoplia lepidota", "Lachnodera rufojubata", "Lachnota henningi", "Lacroixidema poggei", "Lacroixilepis major", "Lacroixilepis parvicollis", "Lamproserica beccarii", "Lamproserica kakomae", "Lamproserica manyara", "Lamproserica mombasana", "Lamproserica salaama", "Laotrichia cuccodoroi", "Lasiexis dilaticollis", "Lasiexis glabrithoracica", "Lasiexis kabulica", "Lasiexis kandaharica", "Lasiexis nuristanica", "Lasiexis pakistanus", "Lasiexis persicola", "Lasiexis primaeveris", "Lasiexis reichenspergeri", "Lasiopsis balgensis", "Lasiopsis duchoni", "Lasiopsis golovjankoi", "Lasiopsis koltzei", "Lasiopsis kozlovi", "Lasiopsis kryzhanovskii", "Lasiopsis manchurica", "Lasiopsis sahlbergi", "Lasioserica antennalis", "Lasioserica bipilosa", "Lasioserica bomansi", "Lasioserica brevipilosa", "Lasioserica dragon", "Lasioserica eusegregata", "Lasioserica immatura", "Lasioserica insularis", "Lasioserica itohi", "Lasioserica kuatunica", "Lasioserica kubani", "Lasioserica latens", "Lasioserica oblita", "Lasioserica petri", "Lasioserica pudens", "Lasioserica sausai", "Lasioserica tenera", "Lasioserica tricuspis", "Lasioserica tuberculiventris", "Lasioserica victoriana", "Lasiotropus poonensis", "Latipalpus dannymohagani", "Latipalpus elegans", "Latipalpus fujiokai", "Latipalpus latipalpis", "Latipalpus maxillatus", "Lepidiota helleri", "Lepidiota heurni", "Lepidiota hilli", "Lepidiota hirsuta", "Lepidiota horni", "Lepidiota hylaea", "Lepidiota impluviata", "Lepidiota impressifrons", "Lepidiota ingrata", "Lepidiota insularum", "Lepidiota irokezica", "Lepidiota keyensis", "Lepidiota labrata", "Lepidiota laciniata", "Lepidiota laevis", "Lepidiota lepida", "Lepidiota lepidosterna", "Lepidiota lewisae", "Lepidiota lineata", "Lepidiota luctuosa", "Lepidiota macrolepida", "Lepidiota maculata", "Lepidiota mansueta", "Lepidiota marginipennis", "Lepidiota medvedevi", "Lepidiota mellyi", "Lepidiota microlepida", "Lepidiota milneana", "Lepidiota minuta", "Lepidiota munda", "Lepidiota negatoria", "Lepidiota nho", "Lepidiota nicobarica", "Lepidiota nigricollis", "Lepidiota nigrofusca", "Lepidiota nonfriedi", "Lepidiota noxia", "Lepidiota oberndorferi", "Lepidiota oblonga", "Lepidiota olivacea", "Lepidiota omnipodex", "Lepidiota oryx", "Lepidiota papua", "Lepidiota pauper", "Lepidiota peninsularis", "Lepidiota pentaphylla", "Lepidiota perkinsi", "Lepidiota philippinica", "Lepidiota picticollis", "Lepidiota podicalis", "Lepidiota praecellens", "Lepidiota pruinosa", "Lepidiota pruinosula", "Lepidiota pumila", "Lepidiota punctatipennis", "Lepidiota punctum", "Lepidiota quedenfeldti", "Lepidiota quinaria", "Lepidiota quinqueflabellata", "Lepidiota quinquelineata", "Lepidiota renardi", "Lepidiota reuleauxi", "Lepidiota rhizotrogoides", "Lepidiota richteri", "Latipalpus occidentalis", "Latipalpus palpalis", "Latipalpus truncatipalpis", "Lebbea triangularis", "Lecanotrogus runsoricus", "Leonotus pilosicollis", "Lepidiota acuminata", "Lepidiota acuminatops", "Lepidiota adelphopyga", "Lepidiota aenigma", "Lepidiota africana", "Lepidiota albistigma", "Lepidiota alticalceus", "Lepidiota amitina", "Lepidiota annamansis", "Lepidiota argentea", "Lepidiota arnhemensis", "Lepidiota aspera", "Lepidiota astrolabensis", "Lepidiota bakkeri", "Lepidiota bidentata", "Lepidiota bimaculata", "Lepidiota blanchardi", "Lepidiota bonguana", "Lepidiota brenskei", "Lepidiota brittoni", "Lepidiota brunnea", "Lepidiota cabala", "Lepidiota caesia", "Lepidiota carolinensis", "Lepidiota caudata", "Lepidiota centralis", "Lepidiota ciliata", "Lepidiota clareae", "Lepidiota clypealis", "Lepidiota cochinchinae", "Lepidiota comes", "Lepidiota condita", "Lepidiota consobrina", "Lepidiota contigua", "Lepidiota corporaali", "Lepidiota corpulenta", "Lepidiota crenaticollis", "Lepidiota crenulata", "Lepidiota crinita", "Lepidiota degener", "Lepidiota delicatula", "Lepidiota discedens", "Lepidiota dohrni", "Lepidiota draconis", "Lepidiota dybasi", "Lepidiota elongata", "Lepidiota ferruginosa", "Lepidiota flavimargo", "Lepidiota flavipennis", "Lepidiota florens", "Lepidiota frenchi", "Lepidiota froggatti", "Lepidiota furtiva", "Lepidiota gibbifrons", "Lepidiota gilesi", "Lepidiota grata", "Lepidiota grisea", "Lepidiota guttata", "Lepithrix dichropus", "Lepithrix forsteri", "Lepithrix freudei", "Lepithrix fulvipes", "Lepithrix fusca", "Lepithrix gentilis", "Lepithrix gifbergensis", "Lepithrix hilaris", "Lepithrix knersvlaktensis", "Lepithrix kochi", "Lepithrix kulzeri", "Lepithrix lebisi", "Lepithrix lineata", "Lepithrix longitarsis", "Lepithrix luteolineata", "Lepithrix luteomarginata", "Lepithrix namaqua", "Lepithrix nigrosetosus", "Lepithrix nikolaji", "Lepithrix ornatella", "Lepithrix paraknersvlaktensis", "Lepithrix pickeri", "Lepithrix pilosa", "Lepithrix propygidialis", "Lepithrix pseudogentilis", "Lepithrix robertsoni", "Lepithrix sarrisamensis", "Lepithrix steineri", "Lepithrix stigma", "Lepithrix strigatus", "Lepithrix vredendalensis", "Lepithrix xanthoptera", "Lepitrichula luberoensis", "Lepitrichula ruandana", "Lepitrichula setosa", "Lepitrichula vagans", "Leptochristina annamariae", "Leptochristina pubicavula", "Leptochristina pubimargo", "Leptochristina variabilis", "Leptocnemis brunneosquamosa", "Leptocnemis elkiana", "Leptocnemis krakadoubergensis", "Leptocnemis luteosuturalis", "Leptocnemis rufipes", "Leptocnemis steineri", "Leptocnemis strigosa", "Leptrichula lanata", "Leribe vesca", "Leucopholis aberrans", "Leucopholis armata", "Leucopholis bakeri", "Leucopholis brenskei", "Leucopholis burmeisteri", "Leucopholis castelnaui", "Leucopholis celebensis", "Leucopholis cingulata", "Leucopholis coneophora", "Leucopholis crassa", "Leucopholis cretacea", "Leucopholis curvidens", "Leucopholis deplanata", "Leucopholis elongata", "Leucopholis emarginata", "Liparetrus amabilis", "Liparetrus amplus", "Liparetrus analis", "Liparetrus andersoni", "Liparetrus angulatus", "Liparetrus arenosus", "Liparetrus argenteus", "Liparetrus aridus", "Liparetrus armstrongi", "Liparetrus ascius", "Liparetrus asper", "Liparetrus assitus", "Liparetrus ater", "Liparetrus atomus", "Liparetrus atratus", "Liparetrus atriceps", "Liparetrus atrox", "Liparetrus aulax", "Liparetrus badius", "Liparetrus bakeri", "Liparetrus bellarus", "Liparetrus bimaculatus", "Liparetrus bituberculatus", "Liparetrus brevipes", "Liparetrus cantrelli", "Liparetrus capillatus", "Liparetrus carnabyi", "Liparetrus carnei", "Liparetrus carpentariae", "Liparetrus castaneus", "Liparetrus cerinus", "Liparetrus cinctipennis", "Liparetrus cinnameus", "Liparetrus cognatus", "Liparetrus collaris", "Liparetrus collessi", "Liparetrus comes", "Liparetrus commoni", "Liparetrus compositus", "Liparetrus concolor", "Liparetrus confusus", "Liparetrus consanguineus", "Liparetrus convexior", "Liparetrus convexiusculus", "Liparetrus convexus", "Liparetrus crassus", "Liparetrus cribriceps", "Liparetrus cribripennis", "Liparetrus criniger", "Liparetrus curtulus", "Liparetrus demarzi", "Liparetrus discipennis", "Liparetrus discoidalis", "Liparetrus dispar", "Liparetrus distans", "Liparetrus distinctus", "Liparetrus diversus", "Liparetrus dixoni", "Liparetrus ebeninus", "Liparetrus erythropterus", "Liparetrus erythropygus", "Liparetrus ferrugineus", "Liparetrus fimbriatus", "Liparetrus finitimus", "Leucopholis fontainei", "Leucopholis helleri", "Leucopholis hirtiventris", "Leucopholis horni", "Leucopholis insularis", "Leucopholis irrorata", "Leucopholis jacquinoti", "Leucopholis lepidophora", "Leucopholis mirabilis", "Leucopholis molitor", "Leucopholis niasiana", "Leucopholis nigra", "Leucopholis nudiventris", "Leucopholis nummicudens", "Leucopholis palembangia", "Leucopholis pangiena", "Leucopholis peguana", "Leucopholis pinguis", "Leucopholis plagiata", "Leucopholis pollens", "Leucopholis proxima", "Leucopholis pulvurelenta", "Leucopholis reflexa", "Leucopholis rorida", "Leucopholis rufa", "Leucopholis schochi", "Leucopholis selenkana", "Leucopholis semperi", "Leucopholis shangirana", "Leucopholis sharpi", "Leucopholis staudingeri", "Leucopholis sumatrensis", "Leucopholis talaurensis", "Leucopholis tetaranus", "Leucopholis tristicula", "Leucopholis tristis", "Leucophorus flabellatus", "Leuretra pectoralis", "Lichniops barberoi", "Lichniopsoides breyeri", "Limepomera quadridens", "Liocamenta consentanea", "Liogenys acutidens", "Liogenys bicuspis", "Liogenys bidentata", "Liogenys bidenticeps", "Liogenys bilobata", "Liogenys boliviensis", "Liogenys calcarata", "Liogenys cartwrighti", "Liogenys concolor", "Liogenys corumbana", "Liogenys densata", "Liogenys densicollis", "Liogenys denticeps", "Liogenys denticulata", "Liogenys diodon", "Liogenys elegans", "Liogenys ferrugata", "Liogenys flaveola", "Liogenys flavicollis", "Liogenys flavida", "Liogenys forcipata", "Liogenys forsteri", "Liparetrus flavicornis", "Liparetrus flavidus", "Liparetrus flavipennis", "Liparetrus flavopictus", "Liparetrus flavus", "Liparetrus fulvohirtus", "Liparetrus fumosus", "Liparetrus furfurosus", "Liparetrus geminatus", "Liparetrus germari", "Liparetrus gilvus", "Liparetrus glaber", "Liparetrus glabripennis", "Liparetrus glauerti", "Liparetrus globulus", "Liparetrus gracilipes", "Liparetrus gravidus", "Liparetrus halei", "Liparetrus hattanus", "Liparetrus hilli", "Liparetrus hirpex", "Liparetrus imbricatus", "Liparetrus impressicollis", "Liparetrus incertus", "Liparetrus insolitus", "Liparetrus insularis", "Liparetrus iridipennis", "Liparetrus ithonus", "Liparetrus jenkinsi", "Liparetrus jubatus", "Liparetrus karallus", "Liparetrus karinus", "Liparetrus kennedyi", "Liparetrus kiatanus", "Liparetrus kreuslerae", "Liparetrus kungarus", "Liparetrus laciniatus", "Liparetrus laeticulus", "Liparetrus laetus", "Liparetrus laevis", "Liparetrus lanaticollis", "Liparetrus lepidopygus", "Liparetrus limbatus", "Liparetrus lissapterus", "Liparetrus lividipennis", "Liparetrus longidens", "Liparetrus lugens", "Liparetrus luridipennis", "Liparetrus luridus", "Liparetrus luteus", "Liparetrus malara", "Liparetrus marginipennis", "Liparetrus medius", "Liparetrus melallus", "Liparetrus melanocephalus", "Liparetrus merredinensis", "Liparetrus merus", "Liparetrus micros", "Liparetrus mimicus", "Liparetrus mimus", "Liparetrus minimus", "Liparetrus minor", "Liparetrus minusculus", "Liparetrus minutus", "Liparetrus mixtus", "Liparetrus modestus", "Liparetrus monartus", "Liparetrus monticola", "Liparetrus mulurus", "Liparetrus necessarius", "Liparetrus newmani", "Liparetrus niger", "Liparetrus nigricollis", "Liparetrus nigrifrons", "Liparetrus nigrinus", "Liparetrus nudipennis", "Liparetrus nudus", "Liparetrus obesus", "Liparetrus obscurior", "Liparetrus occidentalis", "Liparetrus opacicollis", "Liparetrus opacus", "Liparetrus orestes", "Liparetrus orsinus", "Liparetrus ovipennis", "Liparetrus pallens", "Liparetrus pallidulus", "Liparetrus pallidus", "Liparetrus palmerstoni", "Liparetrus pandus", "Liparetrus parvus", "Liparetrus paryphus", "Liparetrus paulus", "Liparetrus pauxillus", "Liparetrus pectinatus", "Liparetrus periosus", "Liparetrus perkinsi", "Liparetrus pezus", "Liparetrus phoenicopterus", "Liparetrus pholiotus", "Liparetrus picipennis", "Liparetrus pimbus", "Liparetrus plautus", "Liparetrus politus", "Liparetrus posticalis", "Liparetrus puer", "Liparetrus pulvereus", "Liparetrus pusillus", "Liparetrus pygmaeus", "Liparetrus quinquelobatus", "Liparetrus reburrus", "Liparetrus robustus", "Liparetrus rothei", "Liparetrus rotundicollis", "Liparetrus rotundiformis", "Liparetrus rotundipennis", "Liparetrus rubefactus", "Liparetrus rubicundus", "Liparetrus rubrus", "Liparetrus rufipennis", "Liparetrus rugatus", "Liparetrus satanus", "Liparetrus seclusus", "Liparetrus semiatriceps", "Liparetrus semicastaneus", "Liparetrus semiflavus", "Liparetrus septuosus", "Liparetrus sericeipennis", "Liogenys fulvescens", "Liogenys fusca", "Liogenys gebieni", "Liogenys grandis", "Liogenys hirta", "Liogenys hirtipennis", "Liogenys kadleci", "Liogenys kuntzeni", "Liogenys laminiceps", "Liogenys latipalpa", "Liogenys latitarsis", "Liogenys leechi", "Liogenys macropelma", "Liogenys mendozana", "Liogenys micropyga", "Liogenys minuta", "Liogenys morio", "Liogenys moroni", "Liogenys moseri", "Liogenys nigrofusca", "Liogenys obesa", "Liogenys obesina", "Liogenys obesula", "Liogenys obscura", "Liogenys opacicollis", "Liogenys opacipennis", "Liogenys opthalmica", "Liogenys pallens", "Liogenys pallidicornis", "Liogenys palpalis", "Liogenys parallela", "Liogenys parva", "Liogenys penai", "Liogenys perotryssoidea", "Liogenys pilosipennis", "Liogenys pubisternis", "Liogenys punctaticollis", "Liogenys quadridens", "Liogenys quadridentata", "Liogenys rectangulus", "Liogenys rufocastanea", "Liogenys rufoflava", "Liogenys rugosicollis", "Liogenys sanctaecrucis", "Liogenys seabrai", "Liogenys sinuaticeps", "Liogenys spiniventris", "Liogenys suturalis", "Liogenys testaceipennis", "Liogenys unicolor", "Liogenys vicina", "Liogenys wagenknechti", "Liogenys xanthocera", "Liogenys zischkai", "Liparetrus abnormalis", "Liparetrus adelus", "Liparetrus aethiops", "Liparetrus albipennis", "Liparetrus albohirtus", "Liparetrus albosetosus", "Liparetrus alienus", "Liparetrus sericeus", "Liparetrus simillimus", "Liparetrus simulator", "Liparetrus squamiger", "Liparetrus squamipennis", "Liparetrus squamosus", "Liparetrus striatus", "Liparetrus stygius", "Liparetrus suavis", "Liparetrus subsquamosus", "Liparetrus sylvicola", "Liparetrus tanami", "Liparetrus tatakus", "Liparetrus tenebrosus", "Liparetrus teres", "Liparetrus tibialis", "Liparetrus triangulatus", "Liparetrus trichopygus", "Liparetrus trichotus", "Liparetrus tridentatus", "Liparetrus tristis", "Liparetrus trivialis", "Liparetrus tulanus", "Liparetrus ulingus", "Liparetrus umbrosus", "Liparetrus unidentatus", "Liparetrus uniformis", "Liparetrus uptoni", "Liparetrus urbulus", "Liparetrus validus", "Liparetrus vastus", "Liparetrus ventralis", "Liparetrus vespertinus", "Liparetrus vestitus", "Liparetrus vestjensi", "Liparetrus vicinus", "Liparetrus villosus", "Liparetrus wanamarus", "Liparetrus waningus", "Liparetrus wilsoni", "Liparetrus xanthotrichus", "Loboserica gracilis", "Loboserica kivuana", "Longicrura fusca", "Loricatarsa garnyi", "Luispenaia paradoxa", "Lutfius parva", "Machala transversa", "Macleayella singularis", "Macrodactylus aeneicollis", "Macrodactylus aeneipes", "Macrodactylus aeneus", "Macrodactylus aequatorialis", "Macrodactylus affinis", "Macrodactylus amoenus", "Macrodactylus angustatus", "Macrodactylus annulitarsis", "Macrodactylus argentinus", "Macrodactylus batesi", "Macrodactylus bicolor", "Macrodactylus bilineolatus", "Macrodactylus bistriatus", "Macrodactylus bolivianus", "Macrodactylus brenskei", "Macrodactylus sapphirinus", "Macrodactylus scutellaris", "Macrodactylus sericeicollis", "Macrodactylus sericinus", "Macrodactylus signatipennis", "Macrodactylus silaonus", "Macrodactylus silarutus", "Macrodactylus sparsesetosus", "Macrodactylus squamiger", "Macrodactylus suavis", "Macrodactylus subaeneus", "Macrodactylus submarginatus", "Macrodactylus subspinosus", "Macrodactylus subvittatus", "Macrodactylus sulcicollis", "Macrodactylus sulphureus", "Macrodactylus surianus", "Macrodactylus suturalis", "Macrodactylus sylphis", "Macrodactylus tenuilineatus", "Macrodactylus thoracicus", "Macrodactylus tibialis", "Macrodactylus uniformis", "Macrodactylus variipes", "Macrodactylus velutinus", "Macrodactylus virens", "Macrodactylus vittipennis", "Macrodactylus yunganus", "Macrodactylus zaragozai", "Macrodactylus zischkai", "Macrodactylus zunilensis", "Macroplia dekindti", "Macroplia ruandana", "Macroplia signatipennis", "Macroplia upembana", "Macropliopsis perroti", "Madahoplia albosignata", "Madahoplia allaudi", "Madahoplia biapicata", "Madahoplia bicallosa", "Madahoplia cervinotincta", "Madahoplia circumscutata", "Madahoplia griseosetosa", "Madahoplia heydeli", "Madahoplia monotincta", "Madahoplia niviscutata", "Madahoplia nodipennis", "Madahoplia oculata", "Madahoplia robinsoni", "Madahoplia scutellata", "Madahoplia terminalis", "Madiniella christinae", "Maechidinus latericollis", "Maechidinus marginalis", "Maechidinus sculptilis", "Maechidius aenescens", "Maechidius algonus", "Maechidius amanus", "Maechidius angusticeps", "Maechidius antennalis", "Maechidius aroae", "Maechidius arrowi", "Maechidius ater", "Maechidius atratus", "Lepidiota robusta", "Lepidiota ronensis", "Lepidiota rothei", "Lepidiota rubrior", "Lepidiota rufa", "Lepidiota rugifrons", "Lepidiota rugosa", "Lepidiota rugosipennis", "Lepidiota salax", "Lepidiota salomona", "Lepidiota scutata", "Lepidiota scutellata", "Lepidiota semonis", "Lepidiota serraticollis", "Lepidiota siamensis", "Lepidiota sororia", "Lepidiota sparsa", "Lepidiota spinipennis", "Lepidiota squalida", "Lepidiota squamulata", "Lepidiota squamuligera", "Lepidiota sticta", "Lepidiota sticticopetra", "Lepidiota stigma", "Lepidiota stimulans", "Lepidiota stradbrokensis", "Lepidiota sus", "Lepidiota suspicax", "Lepidiota tonkinensis", "Lepidiota townsvillensis", "Lepidiota tridens", "Lepidiota trihomines", "Lepidiota ultima", "Lepidiota uptoni", "Lepidiota valida", "Lepidiota verna", "Lepidiota weiri", "Lepidiota yorkensis", "Lepidomela africana", "Lepidomela borana", "Lepidotrogus conradti", "Lepidotrogus fulvipennis", "Lepidotrogus kilimanus", "Lepidotrogus nyassicus", "Lepidotrogus signaticollis", "Lepidotrogus squamiger", "Lepischiza vestita", "Lepisia braunsi", "Lepisia cederbergensis", "Lepisia colvillei", "Lepisia elkiana", "Lepisia gaerdesi", "Lepisia glenlyonensis", "Lepisia heidenreichi", "Lepisia macrgregori", "Lepisia ornatissima", "Lepisia rupicola", "Lepisia vittata", "Lepithrix abbreviata", "Lepithrix albomaculata", "Lepithrix baehri", "Lepithrix castaneus", "Lepithrix cederbergensis", "Lepithrix colvillei", "Macrodactylus carrilloi", "Macrodactylus championi", "Macrodactylus cinereus", "Macrodactylus columbianus", "Macrodactylus conjunctus", "Macrodactylus costaricensis", "Macrodactylus costulatus", "Macrodactylus cupreus", "Macrodactylus curtipilis", "Macrodactylus cyanonigrus", "Macrodactylus dimidiatus", "Macrodactylus discicollis", "Macrodactylus discipennis", "Macrodactylus disparilis", "Macrodactylus dorsatus", "Macrodactylus duckei", "Macrodactylus elegans", "Macrodactylus excellens", "Macrodactylus felix", "Macrodactylus fulvescens", "Macrodactylus fulvipennis", "Macrodactylus fulvipes", "Macrodactylus gracilis", "Macrodactylus griseus", "Macrodactylus haenschi", "Macrodactylus hondurensis", "Macrodactylus impressus", "Macrodactylus infuscatus", "Macrodactylus limbatus", "Macrodactylus lineaticollis", "Macrodactylus lineatus", "Macrodactylus longicollis", "Macrodactylus longipes", "Macrodactylus manantlecus", "Macrodactylus marginicollis", "Macrodactylus marianus", "Macrodactylus megaphyllus", "Macrodactylus meridanus", "Macrodactylus mexicanus", "Macrodactylus montanus", "Macrodactylus murinus", "Macrodactylus nigricornis", "Macrodactylus nigripes", "Macrodactylus nigritarsis", "Macrodactylus nigrocyaneus", "Macrodactylus nitidicollis", "Macrodactylus nitididorsis", "Macrodactylus nobilis", "Macrodactylus noveloi", "Macrodactylus obscuritarsis", "Macrodactylus ocreatus", "Macrodactylus ohausi", "Macrodactylus ovaticollis", "Macrodactylus pallens", "Macrodactylus paraguayensis", "Macrodactylus penai", "Macrodactylus peruanus", "Macrodactylus pexus", "Macrodactylus pokornyanus", "Macrodactylus praecellens", "Macrodactylus pulchellus", "Macrodactylus pulchripes", "Macrodactylus pumilio", "Macrodactylus rufescens", "Astenus goeki", "Hypotrachyna expallida", "Astenus sandiklicus", "Astenus ilgazi", "Reynoutria multiflora", "Astenus gusarovi", "Astenus orgeli", "Astenus kumlutasi", "Astenus honazicus", "Maladera ignava", "Maladera iridescens", "Maladera johannesi", "Maladera kojimai", "Maladera kostali", "Maladera krombeini", "Maladera lateritia", "Maladera lishana", "Maladera longiclava", "Maladera luteola", "Maladera masumotoi", "Maladera mollis", "Maladera mulmeina", "Maladera nagporeana", "Maladera nakamurai", "Maladera nanshanchiana", "Maladera nilgirina", "Maladera omanica", "Maladera parva", "Maladera perniciosa", "Maladera pseudohongkongica", "Maladera pseudomollis", "Maladera rotunda", "Maladera rufocuprea", "Maladera satoi", "Maladera sauteri", "Maladera shimogana", "Maladera shiva", "Maladera slateri", "Maladera sontica", "Maladera subabbreviata", "Maladera sunaiensis", "Maladera tiefermanni", "Maladera tomentosa", "Maladera tridentata", "Maladera tridenticeps", "Maladera tyrannica", "Maladera verticalis", "Maladera vulpecula", "Maladera westermanni", "Maladera arenicola", "Maladera caspia", "Maladera excisiceps", "Maladera ahrensi", "Maladera farsensis", "Maladera frischi", "Maladera girardi", "Maladera hodkovae", "Maladera jiraskovae", "Maladera mirzayansi", "Maladera modesta", "Maladera mofidii", "Maladera schnitteri", "Maladera sinaica", "Maladera armipes", "Maladera ballariensis", "Maladera bilobata", "Maladera brevis", "Maladera lorenzi", "Maladera mutabilis", "Maladera nasuta", "Maladera nasutella", "Maladera severini", "Maladera trilobata", "Maladera allemandi", "Maladera angusta", "Maladera apfelbecki", "Maladera armeniaca", "Maladera attaliensis", "Maladera baluchestanica", "Maladera besucheti", "Maladera bruschii", "Maladera cerrutii", "Maladera dentipenis", "Maladera fusconitens", "Maladera graeca", "Maladera iraqensis", "Maladera kermanica", "Maladera khuzestanica", "Maladera krueperi", "Maladera lodosi", "Maladera loebli", "Maladera lyciensis", "Maladera miliouensis", "Maladera ollivieri", "Maladera phoenicica", "Maladera punctatissima", "Maladera seleuciensis", "Maladera syriaca", "Maladera taurica", "Maladera vignai", "Maladera wewalkai", "Maladera cariniceps", "Maladera clypeata", "Maladera dierli", "Maladera emmrichi", "Maladera gardneri", "Maladera himalayica", "Maladera joachimi", "Maladera lignicolor", "Maladera orientalis", "Maladera oshimana", "Maladera paraprabangana", "Maladera prabangana", "Maladera simlana", "Maladera sprecherae", "Maladera stevensi", "Maladera yasutoshii", "Maladera alibagensis", "Maladera allopruinosa", "Maladera amamiana", "Maladera amboliensis", "Maladera anaimalaiensis", "Maladera analis", "Maladera andamana", "Maladera anderssoni", "Maladera andrewesi", "Maladera antispinosa", "Maladera assamica", "Maladera atavana", "Maladera avicula", "Maladera badullana", "Maladera bagmatiensis", "Maladera bakeri", "Maladera balphakramensis", "Maladera bandarwelana", "Maladera basalis", "Maladera bengalensis", "Elgaria multicarinata", "Lycaena athamantis balucha", "Lycaena athamantis", "Lycaena athamantis athamantis", "Athamanthia balucha balucha", "Athamanthia balucha povolnyi", "Lycaena athamantis povolnyi", "Athamanthia balucha athamantides", "Polyommatus zardensis", "Polyommatus zarathustra", "Taraxacum xanthiense", "Hypotrachyna latiloba", "Maladera bhutanensis", "Maladera bismarckiana", "Maladera bisornata", "Maladera botrytibia", "Maladera breviata", "Maladera breviatella", "Maladera brevistylis", "Maladera brincki", "Maladera burmeisteri", "Maladera calcarata", "Maladera calicutensis", "Maladera cardamomensis", "Maladera celebensis", "Maladera chiruwae", "Maladera clavata", "Maladera coimbatoreensis", "Maladera comosa", "Maladera conspicua", "Maladera constans", "Maladera consularis", "Maladera contracta", "Maladera costigera", "Maladera coxalis", "Maladera crinifrons", "Maladera curtipes", "Maladera davaoana", "Maladera davidis", "Maladera declarata", "Maladera decolor", "Maladera delicta", "Maladera densipilosa", "Maladera detersa", "Maladera dimidiata", "Maladera distincta", "Maladera diyalumana", "Maladera drescheri", "Maladera dubia", "Maladera duvivieri", "Maladera eclogaria", "Maladera egregia", "Maladera ejimai", "Maladera eluctabilis", "Maladera engana", "Maladera eremita", "Maladera eusericina", "Maladera exigua", "Maladera fasciculata", "Maladera fastuosa", "Maladera fatigata", "Maladera femorata", "Maladera ferekanarana", "Maladera ferruginea", "Maladera festina", "Maladera fistulosa", "Maladera flammea", "Maladera flinti", "Maladera floresina", "Maladera freyi", "Maladera fulgida", "Maladera fuliginosa", "Maladera fumosa", "Maladera furcillata", "Maladera fuscescens", "Maladera futschauana", "Athamanthia balucha", "Xanthophyllum suberosum", "Hypotrachyna fragilis", "Xanthophyllum stipitatum var. glabrum", "Xanthophyllum stipitatum var. stipitatum", "Muehlenbeckia platyclada", "Hypotrachyna heteroloba", "Xanthophyllum papuanum", "Hypotrachyna jamesii", "Xanthophyllum chartaceum", "Hypotrachyna kaernefeltii", "Quercusia quercus quercus", "Quercusia quercus ibericus", "Fucus distichus", "Fucus edentatus", "Fucus evanescens", "Fucus fibrilla", "Fucus filiformis", "Fucus fimbriatus", "Fucus flaccidus", "Fucus flagellaris", "Fucus flexilis", "Fucus fulvescens", "Fucus furcatus", "Fucus geniculatus", "Fucus gramineus", "Fucus guiryi", "Fucus heterophyllus", "Fucus hirtus", "Fucus humboldtii", "Fucus intermedius", "Fucus lagasca", "Fucus lichenoides", "Fucus ligulatus", "Fucus mamillaris", "Fucus membranaceus", "Fucus membranifolius", "Fucus nereideus", "Fucus osmunda", "Fucus ovifrons", "Fucus palmetta", "Fucus papillosus", "Fucus parksii", "Fucus pinnatus", "Fucus plumula", "Fucus polyphyllus", "Fucus potamogetifolius", "Fucus pumilus", "Fucus racemosus", "Fucus radicans", "Fucus rigidus", "Fucus serratus", "Fucus seta", "Fucus setaceus", "Fucus sherardii", "Fucus siliculosus", "Fucus spataeformis", "Fucus spermophorus", "Fucus sphaerocephalus", "Fucus spiralis", "Fucus squamulosus", "Fucus tendo", "Fucus tenuissimus", "Fucus tetragonus", "Fucus tremella", "Fucus ulvoides", "Fucus undulatus", "Fucus uniformis", "Fucus virsoides", "Fucus zeylanicus", "Hypotrachyna bonariensis", "Maladera ganglbaueri", "Maladera garoana", "Maladera geniculata", "Maladera gibbiventris", "Maladera gopaldharae", "Maladera gorkhae", "Maladera granigera", "Maladera granuligera", "Maladera guttula", "Maladera haldwaniensis", "Maladera hampsoni", "Maladera harmonica", "Maladera hastata", "Maladera hauseri", "Maladera hayashii", "Maladera heveli", "Maladera hiemalis", "Maladera hiranoi", "Maladera hmong", "Maladera holzschuhi", "Maladera horii", "Maladera hortonensis", "Maladera hunliensis", "Maladera iliganica", "Maladera imasakai", "Maladera imbella", "Maladera impressithorax", "Maladera impubis", "Maladera inadai", "Maladera inaequabilis", "Maladera indica", "Maladera inermis", "Maladera infuscata", "Maladera inimica", "Maladera initialis", "Maladera inornata", "Maladera insubida", "Maladera insularis", "Maladera invenusta", "Maladera iridicauda", "Maladera irididorsis", "Maladera isarogensis", "Maladera iuga", "Maladera jaintiaensis", "Maladera japonica", "Maladera kallarensis", "Maladera kamiyai", "Maladera kanarana", "Maladera kandyensis", "Maladera kasigurana", "Maladera kawaharai", "Maladera kawaii", "Maladera kazirangae", "Maladera keralensis", "Maladera kerleyi", "Maladera kinabaluensis", "Maladera kobayashii", "Maladera krali", "Maladera kreyenbergi", "Maladera kubotai", "Maladera kumei", "Maladera kumilyensis", "Maladera kunigami", "Maladera kuruwitana", "Maladera kusuii", "Maladera laminifera", "Maladera lanae", "Maladera lata", "Maladera leevis", "Maladera lindulana", "Maladera liotibia", "Maladera lonaviaensis", "Maladera ludipennis", "Maladera lugubris", "Maladera madurensis", "Maladera maedai", "Maladera magnicornis", "Maladera magnidentata", "Maladera major", "Maladera malabarensis", "Maladera malangeana", "Maladera malaya", "Maladera manipurana", "Maladera marginella", "Maladera mavilluensis", "Maladera maxima", "Maladera mechiana", "Maladera mekong", "Maladera merkli", "Maladera minops", "Maladera mirabilis", "Maladera mjobergi", "Maladera modestula", "Maladera moebiusi", "Maladera moseri", "Maladera motschulskyi", "Maladera murzini", "Maladera mussardi", "Maladera mussooriensis", "Maladera mysoreensis", "Maladera naduvatamensis", "Maladera namborensis", "Maladera neotridentipes", "Maladera nigrolucida", "Maladera nigromicans", "Maladera nigrorubra", "Maladera nilaveliensis", "Maladera nitidipes", "Maladera nomurai", "Maladera okinawaensis", "Maladera okinoerabuana", "Maladera opaca", "Maladera opacifrons", "Maladera opima", "Maladera ostentatrix", "Maladera ovatula", "Maladera padaviyaensis", "Maladera palona", "Maladera paraquinquidens", "Maladera paris", "Maladera pauper", "Maladera peguana", "Maladera philippinensis", "Maladera philippinica", "Maladera phuntsholingensis", "Maladera placida", "Maladera pokharae", "Maladera polunini", "Maladera sparsesetosa", "Maladera spatulata", "Maladera spei", "Maladera spinifemorata", "Maladera spinifera", "Maladera spinosa", "Maladera spiralis", "Maladera spissa", "Maladera spissigrada", "Maladera staturosa", "Maladera stipidosa", "Maladera stolida", "Maladera straba", "Maladera straminea", "Maladera stricta", "Maladera stridula", "Maladera strumina", "Maladera subaana", "Maladera submucronata", "Maladera subspinosa", "Maladera subtruncata", "Maladera sumbana", "Maladera sumbawana", "Maladera sylhetensis", "Maladera taiwana", "Maladera taiyal", "Maladera taoyuanensis", "Maladera teinzoana", "Maladera tempestiva", "Maladera theresae", "Maladera thomsoni", "Maladera tibialis", "Maladera tienchihna", "Maladera tokunoshimana", "Maladera tranquebarica", "Maladera trichotibialis", "Maladera tricuspidata", "Maladera tridentipes", "Maladera trivandrumensis", "Maladera trochaloides", "Maladera tsienhsiangensis", "Maladera tubulata", "Maladera tumida", "Maladera uggalkaltotaensis", "Maladera uhligi", "Maladera ukerewensis", "Maladera umbilicata", "Maladera umbratica", "Maladera unguicularis", "Maladera utacamanda", "Maladera varia", "Maladera ventralis", "Maladera ventriosa", "Maladera vernacula", "Maladera versuta", "Maladera watanabei", "Maladera weigeli", "Maladera weligamana", "Maladera wolfgangdierli", "Maladera woodi", "Maladera xanthoptera", "Maladera yaeyamana", "Maladera yakushimana", "Maladera yalaensis", "Maladera poonensis", "Maladera poonmudi", "Maladera poyagana", "Maladera praviforceps", "Maladera prenai", "Maladera profana", "Maladera propagator", "Maladera proxima", "Maladera pubescens", "Maladera punctulata", "Maladera quinquidens", "Maladera raptiensis", "Maladera reichenowi", "Maladera renardi", "Maladera rolciki", "Maladera romanoi", "Maladera rosettae", "Maladera rotundata", "Maladera rubida", "Maladera rudimentalis", "Maladera rudis", "Maladera rufescens", "Maladera ruficollis", "Maladera rufoplagiata", "Maladera rufotestacea", "Maladera rustica", "Maladera saginata", "Maladera sagittula", "Maladera saitoi", "Maladera sancta", "Maladera sapitana", "Maladera satrapa", "Maladera schenklingi", "Maladera schereri", "Maladera schintlmeisteri", "Maladera schoenfeldti", "Maladera schoenwitzae", "Maladera sedula", "Maladera sempiterna", "Maladera sempiternella", "Maladera senfti", "Maladera senta", "Maladera seriatoguttata", "Maladera sericella", "Maladera servitrita", "Maladera setosa", "Maladera setosiventris", "Maladera shihzitouensis", "Maladera shouchiana", "Maladera siamensis", "Maladera siargaoensis", "Maladera signatitarsis", "Maladera significabilis", "Maladera significans", "Maladera sikkimensis", "Maladera sincera", "Maladera siniaevi", "Maladera sinica", "Maladera sinistra", "Maladera sinuosa", "Maladera siwalikiana", "Maladera solida", "Maladera songsakensis", "Maladera sordida", "Maladera zeta", "Malaisius hainanensis", "Malaisius mollis", "Malaisius siamensis", "Malaisius similis", "Malaisius yunnanus", "Malawinophylla murphyi", "Mallotarsus spadiceus", "Manodactylus gaujoni", "Manonychus birabeni", "Manonychus conipygus", "Manonychus densicollis", "Manonychus martinezi", "Manonychus rosettae", "Manonychus unguicularis", "Manopus biguttatus", "Manopus simillimus", "Manoserica disparicornis", "Mascarena rodriguezi", "Mauromecistoplia nieuwoudtvillensis", "Mauromecistoplia theronsbergensis", "Mayataia griveaudi", "Medeotrogus linnavuorii", "Megacoryne carnabyorum", "Megarhopaea gigas", "Megistophylla andrewesi", "Megistophylla dolichocera", "Megistophylla formosana", "Megistophylla grandicornis", "Megistophylla indica", "Megistophylla junghuhni", "Megistophylla pentaphylla", "Megistophylla planiceps", "Megistophylla punctata", "Megistophylla sumatrana", "Megistophylla xitoui", "Megistoplia griseohirta", "Megistoplia impensa", "Megistoplia tenebrica", "Melanocamenta angolensis", "Melanocamenta aruschana", "Melanocamenta bicolorata", "Melanocamenta bomuana", "Melanocamenta densata", "Melanocamenta flabellata", "Melanocamenta inflata", "Melanocamenta kigonserana", "Melanocamenta kolbei", "Melanocamenta reflexa", "Melanocamenta rufina", "Melanocamenta rufocastanea", "Melanocamenta sibutensis", "Melanocamenta uvinsana", "Melanocamenta variipennis", "Melanocamenta variolosa", "Melolontha aeneicollis", "Melolontha afflicta", "Melolontha albida", "Melolontha albopruinosa", "Melolontha anita", "Melolontha carinata", "Melolontha chinensis", "Melolontha ciliciensis", "Melolontha cochinchinae", "Melolontha costipennis", "Melolontha cuprescens", "Melolontha davidis", "Melolontha excisicauda", "Melolontha flabellata", "Melolontha frater", "Melolontha furcicauda", "Melolontha gussakovskii", "Melolontha guttigera", "Melolontha incana", "Melolontha indica", "Melolontha insulana", "Melolontha japonica", "Melolontha javanica", "Melolontha kraatzi", "Melolontha macrophylla", "Melolontha maculata", "Melolontha malaccensis", "Melolontha mandarina", "Melolontha masafumii", "Melolontha medvedevi", "Melolontha minima", "Melolontha nepalensis", "Melolontha opaca", "Melolontha papposa", "Melolontha pectoralis", "Melolontha permira", "Melolontha phupanensis", "Melolontha pinguis", "Melolontha pseudofurcicauda", "Melolontha reichenbachi", "Melolontha rufocrassa", "Melolontha sardiniensis", "Favonius ultramarinus okumotoi", "Melolontha satsumaensis", "Melolontha sculpticollis", "Melolontha setifera", "Melolontha shanghaiana", "Melolontha siamensis", "Melolontha taihokuensis", "Melolontha tamina", "Melolontha tarimensis", "Melolontha taygetana", "Melolontha tenuicauda", "Melolontha virescens", "Melolontha weyersi", "Melolontha wushana", "Melolontha aceris", "Melolontha borumandi", "Hypotrachyna ectypa", "Scorpaena neglecta", "Favonius ultramarinus suffusus", "Polia costigerodes", "Dicerogastra ferrisparsa", "Hadena ferrisparsa", "Polyommatus demavendi", "Xanthophyllum arnottianum", "Polyommatus demavendi demavendi", "Polyommatus demavendi lorestanus", "Hypotrachyna limiformis", "Melolonthoides rotschildi", "Menigionyx byrrhoides", "Menigionyx carinatus", "Menigionyx flabellatus", "Menigionyx laeviscutum", "Menigionyx nasutus", "Menigionyx ovalis", "Menigionyx pallidus", "Menigionyx rectangulus", "Merinanus oblongus", "Mesoserica transvaalensis", "Mesotrochalus aequalis", "Mesotrochalus docilis", "Metaceraspis fukiensis", "Metapogonia bayeri", "Metapogonia brunoi", "Metapogonia elgonensis", "Metapogonia kaszabi", "Metapogonia mediocris", "Metapogonia parvula", "Metapogonia platypus", "Metapogonia platypyge", "Metapogonia pusilla", "Metapogonia zambesiana", "Metascelis flexilis", "Metatrogus burmeisteri", "Metatrogus castaneus", "Metatrogus lukei", "Metatrogus praeceps", "Metatrogus septuosus", "Michaeloplia alboscutata", "Michaeloplia diversa", "Michaeloplia elongata", "Michaeloplia fallaciosa", "Michaeloplia fusca", "Michaeloplia griveaudi", "Michaeloplia jacobusi", "Michaeloplia libita", "Michaeloplia lokobensis", "Michaeloplia marmorata", "Michaeloplia michaeli", "Michaeloplia minuta", "Michaeloplia montana", "Michaeloplia obscura", "Microserica oceana", "Microserica opalina", "Microserica ornata", "Microserica palawana", "Microserica panayana", "Microserica panzona", "Microserica pedongensis", "Microserica pentaphylla", "Microserica perdix", "Microserica phanrangensis", "Microserica pisangana", "Microserica pleophylla", "Microserica poggii", "Microserica pontianakana", "Microserica pruinosa", "Microserica pyrrhopoecila", "Microserica quadrimaculata", "Microserica quadripustulata", "Microserica quateorum", "Microserica quinquelamellata", "Microserica quiquefoliata", "Microserica raapi", "Microserica roingensis", "Microserica rufolutea", "Microserica samarana", "Microserica sandakana", "Microserica sanguineicollis", "Microserica sarawakana", "Microserica schawalleri", "Microserica schulzei", "Microserica semitecta", "Microserica semperi", "Microserica septemflabellata", "Microserica seticeps", "Microserica sexflabellata", "Microserica sexlamellata", "Microserica shelfordi", "Microserica sibuyana", "Microserica sigillata", "Microserica simplex", "Microserica singalangia", "Microserica singaporeana", "Microserica sitoliensis", "Microserica soppongensis", "Microserica spilota", "Microserica splendida", "Microserica splendidula", "Microserica squamulata", "Microserica steelei", "Microserica strigata", "Microserica strigosa", "Microserica striola", "Microserica suavidica", "Microserica thagatana", "Microserica thai", "Microserica theodoroensis", "Microserica truncata", "Microserica varians", "Microserica variicollis", "Microserica variicornis", "Microserica virgata", "Microserica viridana", "Microserica viridicollis", "Microserica viridifrons", "Monochelus hilaris", "Monochelus inops", "Monochelus jucundus", "Monochelus laetulus", "Monochelus laetus", "Monochelus lineatus", "Monochelus litigiosus", "Monochelus natalensis", "Monochelus ornatus", "Monochelus princeps", "Monochelus pruinosus", "Monochelus pulcher", "Monochelus pulvinatus", "Monochelus pusillus", "Monochelus sagae", "Monochelus simplicipes", "Monochelus squamans", "Monochelus squamulatus", "Monochelus vittiger", "Monotropus brancoi", "Monotropus camusi", "Monotropus fausti", "Monotropus laticollis", "Monotropus lusitanicus", "Monotropus nordmanni", "Monotropus staudingeri", "Mucrencya inermis", "Mucrencya mucronata", "Myloxena bruchiana", "Myloxena patagonica", "Myloxena vestita", "Myloxena vicina", "Myloxenoides tandilensis", "Nanaga elegans", "Nanniscus pulicarius", "Nanorhopaea testacaea", "Nedymoserica flavida", "Nefoncerus convergens", "Nematophylla carinicollis", "Nematophylla rugosa", "Nematoserica caerulea", "Neocamenta flaviceps", "Neoclitopa nitidipennis", "Neoclitopa robichei", "Neoheteronyx brevicollis", "Neoheteronyx brevicoxis", "Neoheteronyx calliseta", "Neoheteronyx cribrifrons", "Neoheteronyx densicollis", "Neoheteronyx harpalinus", "Neoheteronyx inconstans", "Neoheteronyx insulanus", "Neoheteronyx laratanus", "Neoheteronyx noctivagus", "Neoheteronyx phanophilus", "Neoheteronyx schoutensis", "Neoheteronyx tanythrix", "Neoheteronyx transversopolitus", "Neoheteronyx unidentatus", "Neoheteronyx versteegi", "Neomaladera barbara", "Neomaladera grandiclava", "Neomaladera labriquei", "Neomaladera longitarsis", "Microserica duplosetosa", "Microserica elegans", "Microserica eximia", "Microserica fairmairei", "Microserica fascigera", "Microserica fascipennis", "Microserica feae", "Microserica flaveola", "Microserica fugax", "Microserica fukiensis", "Microserica fulvovittata", "Microserica gandakiensis", "Microserica geberbauer", "Microserica globulosa", "Microserica guamensis", "Microserica hastata", "Microserica heptaphylla", "Microserica hexaphylla", "Microserica hispidula", "Microserica hiulca", "Microserica hobokoana", "Microserica humilis", "Microserica imitatrix", "Microserica interrogator", "Microserica iridicolor", "Microserica kannegieteri", "Microserica kolambugana", "Microserica kurseongana", "Microserica lampungensis", "Microserica larutensis", "Microserica latefemorata", "Microserica liangensis", "Microserica limbata", "Microserica lineata", "Microserica lineatipennis", "Microserica lineolata", "Microserica lucens", "Microserica lugens", "Microserica lugundriensis", "Microserica macrophylla", "Microserica magnifica", "Microserica malaccensis", "Microserica marginata", "Microserica marginipennis", "Microserica martensi", "Microserica martini", "Microserica mindoroana", "Microserica minuscula", "Microserica modiglianii", "Microserica moultoni", "Microserica mutabilis", "Microserica myagdiana", "Microserica neglecta", "Microserica negrosiana", "Microserica nicobarensis", "Microserica nigra", "Microserica nigriceps", "Microserica nigrolineata", "Microserica nigropicta", "Microserica nigrosuturata", "Microserica nigrovittata", "Microserica nitidipyga", "Microserica nuda", "Microserica obscurella", "Neomaladera neglecta", "Neomaladera rugosula", "Neomaladera teleutica", "Neopegylis jolyi", "Neophyllotocus cuspis", "Neophyllotocus dispar", "Neophyllotocus legnotus", "Neophyllotocus pallidipennis", "Neophyllotocus rostratus", "Neophyllotocus undarus", "Neophyllotocus xanthipennis", "Neoserica abnormis", "Neoserica abnormoides", "Neoserica absoluta", "Neoserica acceptabilis", "Neoserica aequalis", "Neoserica ailaoshanica", "Neoserica allobscura", "Neoserica allolaotica", "Neoserica alloputaoana", "Neoserica anonyma", "Neoserica antennalis", "Neoserica armata", "Neoserica ascripticia", "Neoserica austera", "Neoserica bairailingshanica", "Neoserica baishuiensis", "Neoserica balabaca", "Neoserica bannapensis", "Neoserica baoshana", "Neoserica baryca", "Neoserica basilica", "Neoserica bataviana", "Neoserica batoeana", "Neoserica bedieri", "Neoserica bibosa", "Neoserica biuncinata", "Neoserica borneensis", "Neoserica brastagiensis", "Neoserica brevicollis", "Neoserica brevicrus", "Neoserica bruneica", "Neoserica butuana", "Neoserica calva", "Neoserica calvoides", "Neoserica cardamomensis", "Neoserica carneola", "Neoserica castanescens", "Neoserica chayuensis", "Neoserica ciliata", "Neoserica ciliatipennis", "Neoserica clypeata", "Neoserica curticrus", "Neoserica curvipenis", "Neoserica denticulata", "Neoserica diciplineensis", "Neoserica dilleri", "Neoserica diversipennis", "Neoserica dongjiafenensis", "Neoserica dundai", "Neoserica elisabethae", "Neoserica emeishanensis", "Neoserica endroedii", "Neoserica enganoana", "Microserica vittigera", "Microserica vittipennis", "Microserica zorni", "Microthopus castanopterus", "Microtrochalus hexaphyllus", "Microtrochalus plagiger", "Microtrochalus xanthocerus", "Minutoplia antongilensis", "Minutoplia villiersi", "Miotemna singularis", "Miridiba abdominalis", "Miridiba aequabilis", "Miridiba bidentata", "Miridiba bilobata", "Miridiba brancuccii", "Miridiba castanea", "Miridiba ciliatipennis", "Miridiba coromandeliana", "Miridiba diversiceps", "Miridiba excisa", "Miridiba formosana", "Miridiba furcillata", "Miridiba gravida", "Miridiba hanoiensis", "Miridiba herteli", "Miridiba hirsuta", "Miridiba huesiotoi", "Miridiba hybrida", "Miridiba imitatrix", "Miridiba koreana", "Miridiba kuraruana", "Miridiba laosana", "Miridiba lasallei", "Miridiba leucophthalma", "Miridiba longula", "Miridiba malaccensis", "Miridiba newari", "Miridiba pilosella", "Miridiba pseudosinensis", "Miridiba recta", "Miridiba saigonensis", "Miridiba schoolmeesteri", "Miridiba siamensis", "Miridiba sus", "Miridiba taipei", "Miridiba taoi", "Miridiba thai", "Miridiba trichophora", "Miridiba tuberculipennis", "Miridiba wangi", "Miridiba waterstradti", "Mitracamenta adelpha", "Mitracamenta lineella", "Mitrophorus leucophaea", "Mitrophorus morio", "Mitrophorus natalensis", "Mitrophorus transvaalensis", "Modialis prasinella", "Monochelus angolensis", "Monochelus aurantiacus", "Monochelus calcaratus", "Monochelus femoratus", "Monochelus formosus", "Monochelus funebris", "Neoserica euyunnanica", "Neoserica fanjingshanica", "Neoserica fecunda", "Neoserica felschei", "Neoserica femoralis", "Neoserica finitima", "Neoserica fischeri", "Neoserica flavorufa", "Neoserica flexiclava", "Neoserica fraterna", "Neoserica fruhstorferi", "Neoserica fugongensis", "Neoserica fukiensis", "Neoserica fuscula", "Neoserica ganhaiziana", "Neoserica gebieni", "Neoserica grandis", "Neoserica gressitti", "Neoserica grossepunctata", "Neoserica gulinqingensis", "Neoserica hainana", "Neoserica harrarensis", "Neoserica heishuiana", "Neoserica heringi", "Neoserica heterophylla", "Neoserica hirokazui", "Neoserica huangi", "Neoserica ikuthana", "Neoserica inclinata", "Neoserica indistincta", "Neoserica insulana", "Neoserica javana", "Neoserica jiangxiensis", "Neoserica jinggangshanica", "Neoserica kachinensis", "Neoserica kalaarensis", "Neoserica kalliesi", "Neoserica kannegieteri", "Neoserica kanphantensis", "Neoserica kereni", "Neoserica kilimandscharoana", "Neoserica kochi", "Neoserica koelkebecki", "Neoserica kuaichangensis", "Neoserica kunmingensis", "Neoserica lamellosa", "Neoserica lampei", "Neoserica lamuensis", "Neoserica laocaiana", "Neoserica laotica", "Neoserica lateriuncinata", "Neoserica legitima", "Neoserica leiboensis", "Neoserica liangi", "Neoserica limbangica", "Neoserica lincangensis", "Neoserica litoralis", "Neoserica loeffleri", "Neoserica lombokiana", "Neoserica longiclava", "Neoserica lubrica", "Neoserica lucidifrons", "Neoserica lucifuga", "Neoserica ludingensis", "Neoserica lushuiana", "Neoserica lutea", "Neoserica lutulosa", "Neoserica luxiensis", "Neoserica luzhouana", "Neoserica luzonica", "Neoserica maculata", "Neoserica makilingica", "Neoserica malaccana", "Neoserica mantillerii", "Neoserica medana", "Neoserica menghaiensis", "Neoserica mengi", "Neoserica menglunensis", "Neoserica mengsongensis", "Neoserica miniatula", "Neoserica minima", "Neoserica minor", "Neoserica moffartsi", "Neoserica montana", "Neoserica mucronota", "Neoserica mukdahan", "Neoserica multifoliata", "Neoserica namthaensis", "Neoserica nangana", "Neoserica natalensis", "Neoserica natmatoungensis", "Neoserica niasica", "Neoserica nigrescens", "Neoserica nigrofusca", "Neoserica nigrosetosa", "Neoserica ningyuanensis", "Neoserica nitens", "Neoserica nitidirostris", "Neoserica nitidula", "Neoserica nyassica", "Neoserica nykli", "Neoserica obesa", "Neoserica obscura", "Neoserica opacula", "Neoserica ovata", "Neoserica padangensis", "Neoserica panganiensis", "Neoserica parausta", "Neoserica parursina", "Neoserica pavicana", "Neoserica penangica", "Neoserica peninsularis", "Neoserica perakensis", "Neoserica phuphanensis", "Neoserica phuruaensis", "Neoserica picea", "Neoserica pilosula", "Neoserica plasoni", "Neoserica ponderosa", "Neoserica preangerensis", "Neoserica principalis", "Ptilotus helichrysoides", "Neoserica propria", "Neoserica pseudosangangana", "Neoserica pseudosilvestris", "Neoserica pseudovulpes", "Neoserica pseudovulpina", "Neoserica puncticeps", "Neoserica putaoana", "Neoserica rangshuiensis", "Neoserica ritsemae", "Neoserica rubellula", "Neoserica rubiginea", "Neoserica rubra", "Neoserica rufobrunnea", "Neoserica rufofusca", "Neoserica rufula", "Neoserica rugiceps", "Neoserica rugosa", "Neoserica ruzickai", "Neoserica sakoliana", "Neoserica sandeana", "Neoserica sangangana", "Neoserica satura", "Neoserica saturella", "Neoserica semipubescens", "Neoserica senegalensis", "Neoserica septemfoliata", "Neoserica septemlamellata", "Neoserica setifrons", "Neoserica setipennis", "Neoserica setiventris", "Neoserica sharpi", "Neoserica shennongjiaensis", "Neoserica shibingensis", "Neoserica shinkaisiensis", "Neoserica shuyongi", "Neoserica siantarensis", "Neoserica sichuanica", "Neoserica signativentris", "Neoserica silvestris", "Neoserica simplicissima", "Neoserica soekarandana", "Neoserica spinicrus", "Neoserica squalida", "Neoserica squamifera", "Neoserica squamuligera", "Neoserica sterilis", "Neoserica strbai", "Neoserica surigaoana", "Neoserica suturata", "Neoserica tahianensis", "Neoserica taibaiensis", "Neoserica taipingensis", "Neoserica tamdaoensis", "Neoserica taunggyiana", "Neoserica thailandensis", "Neoserica tianeana", "Neoserica tonkinea", "Neoserica transvaalensis", "Neoserica transvaalica", "Neoserica trifida", "Neoserica ukereweana", "Neoserica uncinata", "Neoserica unicolor", "Neoserica uniforceps", "Neoserica ursina", "Neoserica usta", "Neoserica validipes", "Neoserica vasta", "Neoserica vicina", "Neoserica vietnamensis", "Michaeloplia ocellata", "Michaeloplia opaca", "Michaeloplia pauliani", "Michaeloplia peyrierasi", "Michaeloplia pilosa", "Michaeloplia plagulata", "Michaeloplia prolata", "Michaeloplia ralla", "Michaeloplia tristis", "Michaeloplia velutina", "Michaeloplia vicaria", "Microdoris aquilus", "Microphylla paupera", "Microplidus abdominalis", "Microplidus albifrons", "Microplidus albiger", "Microplidus algoensis", "Microplidus benitoensis", "Microplidus binotatus", "Microplidus cinereus", "Microplidus cinerovittatus", "Microplidus collarti", "Microplidus decemlineatus", "Microplidus flavidus", "Microplidus fulvovittis", "Microplidus griseovestitus", "Microplidus luctuosus", "Microplidus modestus", "Microplidus persimilis", "Microplidus pumilus", "Microplidus ruandanus", "Microplidus stabilis", "Microplidus urundianus", "Microplidus usambaranus", "Microplidus vulgus", "Microplus nemoralis", "Microrhopaea flavipennis", "Microserica abbreviata", "Microserica affinis", "Microserica agraria", "Microserica arorogensis", "Microserica arunensis", "Microserica balabacensis", "Microserica balbalana", "Microserica batoensis", "Microserica beccarii", "Microserica benomensis", "Microserica bhutanensis", "Microserica biapoensis", "Microserica bifasciata", "Microserica binaluana", "Microserica bisignata", "Microserica calapana", "Microserica cechovskyi", "Microserica cognata", "Microserica compressipes", "Microserica confusa", "Microserica corporaali", "Microserica crenatostriata", "Microserica dansalana", "Microserica difficilis", "Microserica diversicornis", "Microserica dohertyi", "Microserica dohrni", "Odontotonyx brunneipennis", "Odontotonyx ruficeps", "Odontria aenealis", "Odontria castanea", "Odontria epomeas", "Odontria eximia", "Odontria occipitalis", "Odontria picipes", "Odontria piliventris", "Odontria puncticollis", "Odontria punctulata", "Odontria rossii", "Odontria smithi", "Odontria velutinum", "Oedanomerus bicolor", "Oedanomerus capriviensis", "Oedanomerus hirsutus", "Oedanomerus longicornis", "Oedanomerus pilosus", "Oedanomerus snizeki", "Oedanomerus squamosus", "Oedanomerus uhligi", "Oedichira crassimana", "Oedichira pachydactyla", "Oligophylla detrita", "Oligophylla peyerimhoffi", "Omaloplia labrata", "Omaloplia ottomana", "Omaloplia spireae", "Omaloplia analis", "Omaloplia baraudi", "Omaloplia caeca", "Omaloplia cerrutii", "Omaloplia corcyrae", "Omaloplia depilis", "Omaloplia diabolica", "Omaloplia erebea", "Omaloplia erythroptera", "Omaloplia flava", "Omaloplia gibbosa", "Omaloplia gobbii", "Omaloplia graeca", "Omaloplia granulipennis", "Omaloplia hericia", "Omaloplia illyrica", "Omaloplia irideomicans", "Omaloplia iris", "Omaloplia kiritshenkoi", "Omaloplia lonae", "Omaloplia minuta", "Omaloplia mutilata", "Omaloplia nigromarginata", "Omaloplia pauper", "Omaloplia pernitida", "Omaloplia picticollis", "Omaloplia polita", "Omaloplia pubipennis", "Omaloplia rufodorsata", "Omaloplia ruricola", "Omaloplia vittata", "Omocnemus kochi", "Omocnemus mitzlaffi", "Omocrates andreaei", "Omocrates axillaris", "Pachnessa nicobarica", "Pachnessa smetsi", "Pachnessa vietnamica", "Pachrodema abnormis", "Pachrodema castanea", "Pachrodema cuprascens", "Pachrodema flaveola", "Pachrodema lucida", "Pachrodema picea", "Pachrodema piceola", "Pachrodema pruinosa", "Pachrodema substriata", "Pachycamenta gestroi", "Pachychilecamenta rufa", "Pachycnema abdominalis", "Pachycnema albosquamosa", "Pachycnema ferruginea", "Pachycnema kochi", "Pachycnema lineola", "Pachycnema marginella", "Pachycnema moerens", "Pachycnema namaqua", "Pachycnema rostrata", "Pachycnema saga", "Pachycnema schoenherri", "Pachycnema tibialis", "Pachycnema calcarata", "Pachycnema calviniana", "Pachycnema colvillei", "Pachycnema endroedyi", "Pachycnema flavolineata", "Pachycnema multiguttata", "Pachycnema nikolaji", "Pachycnema singularis", "Pachycnema pudibunda", "Pachycnema albomaculata", "Pachycnema alternans", "Pachycnema crassipes", "Pachycnema danieli", "Pachycnema flavovittata", "Pachycnema luteoguttata", "Pachycnema melanospila", "Pachycnema murina", "Pachycnema nubila", "Pachycnema pulverulenta", "Pachycnema scholtzi", "Pachycnema ulrichi", "Popillia pachycnema", "Pachycolus madagascariensis", "Pachydema abeillei", "Pachydema adusta", "Pachydema albipilis", "Pachydema albolanosa", "Pachydema amphicomella", "Pachydema angustipalpis", "Pachydema anthracina", "Pachydema antoinei", "Pachydema ariasi", "Pachydema autumnalis", "Pachydema bertiae", "Pachydema bipartita", "Pachydema buettikeri", "Pachydema bullata", "Pachydema caesariata", "Neoserica vulpes", "Neoserica vulpina", "Neoserica wapiensis", "Neoserica weibaoshanica", "Neoserica weishanensis", "Neoserica weyersi", "Neoserica xiaguanensis", "Neoserica xizangensis", "Neoserica yangjiapingensis", "Neoserica yaoi", "Neoserica yingjiangensis", "Neoserica yongkangensis", "Neoserica zanzibarica", "Neoserica zheijangensis", "Neoserica zhibenshanica", "Neoserica zongyuani", "Neosericania exisoclypeata", "Neosericania habonensis", "Neosericania nitida", "Nepaloserica fabriziae", "Nepytis russula", "Nesadmiralitia acromelas", "Neso castaneus", "Neso ducalis", "Neso flavipennis", "Neso minuta", "Neso usta", "Neso yorkensis", "Nesohoplia senecionus", "Neuquenodactylus ramus", "Neuroserica deffeti", "Neuroserica fulvescens", "Neuroserica unguiculata", "Neuroserica usambarica", "Nigroplia setosa", "Nipponoserica babai", "Nipponoserica chinensis", "Nipponoserica dahongshanica", "Nipponoserica daisensis", "Nipponoserica elliptica", "Nipponoserica gomadana", "Nipponoserica koltzei", "Nipponoserica kunitachiana", "Nipponoserica laferi", "Nipponoserica peregrina", "Nipponoserica pubiventris", "Nipponoserica shanghaiensis", "Nipponoserica similis", "Nipponoserica sulciventris", "Nipponoserica takeuchii", "Nitorellus splendidus", "Nosphisthis parvicornis", "Nosphisthis perkinsi", "Nuiba portentosa", "Oberthuroplia multifasciata", "Oberthuroplia perroti", "Oberthuroplia pusilla", "Octoplasia basilanensis", "Octoplasia castaneipennis", "Octoplasia gigantea", "Octoplasia lineata", "Octoplasia princeps", "Octoplasia prolixa", "Odontoplia alluaudi", "Omocrates canaliculatus", "Omocrates cylindricus", "Omocrates depressus", "Omocrates elongatus", "Omocrates hessei", "Omocrates humilis", "Omocrates karrooanus", "Omocrates lebisi", "Omocrates lobipes", "Hypotrachyna lipidifera", "Omocrates luridipennis", "Omocrates mendax", "Omocrates misellus", "Omocrates modestus", "Omocrates namaquensis", "Omocrates pauxillus", "Omocrates placens", "Omocrates placidus", "Omocrates plausibilis", "Omocrates pseudoplacidus", "Omocrates pygidialis", "Omocrates spatulipennis", "Omocrates variabilis", "Oncerus floralis", "Oncochirus fulvescens", "Onochaeta porcata", "Onychoserica brevifoliata", "Onychoserica citrina", "Onychoserica flabellata", "Onychoserica longifoliata", "Onychoserica quadrifoliata", "Oocamenta rufiventris", "Ophropyx approximans", "Ophropyx ciliata", "Ophropyx hispida", "Opsitocus obscurus", "Oreogenoplia solitaria", "Oreotrogus meruensis", "Oreotrogus volkensi", "Orthoserica fulvastra", "Othnonius batesi", "Otoclinius gracilipes", "Outeniqua centralis", "Outeniqua festiva", "Outeniqua hobobmi", "Ovoserica testaceipennis", "Oxychirus calcaratus", "Oxychirus camerunus", "Oxychirus congoanus", "Oxychirus gabonensis", "Oxychirus recticollis", "Oxychirus semisericeus", "Oxyserica bimaculata", "Oxyserica brancuccii", "Oxyserica darjeelingia", "Oxyserica hellmichi", "Oxyserica kanchenjungae", "Oxyserica kurseongana", "Oxyserica longefoliata", "Oxyserica pygidialis", "Oxyserica varia", "Pachnessa drumonti", "Pachnessa krali", "Pachnessa merkli", "Maechidius brevis", "Maechidius caesius", "Maechidius calabyi", "Maechidius capitalis", "Maechidius caviceps", "Maechidius cavus", "Maechidius chadwicki", "Maechidius charaxus", "Maechidius clypealis", "Maechidius coelus", "Maechidius conspicuus", "Maechidius corrosus", "Maechidius crassifrons", "Maechidius crenaticollis", "Maechidius davidsoni", "Maechidius emarginatus", "Maechidius esau", "Maechidius eutermiphilus", "Maechidius excisicollis", "Maechidius excisus", "Maechidius fissiceps", "Maechidius fraterculus", "Maechidius froggati", "Maechidius geminus", "Maechidius gibbicollis", "Maechidius gressitti", "Maechidius hackeri", "Maechidius hirtipes", "Maechidius hopianus", "Maechidius hoplocephalus", "Maechidius humeralis", "Maechidius insularis", "Maechidius interruptocarinatus", "Maechidius jobiensis", "Maechidius kanallus", "Maechidius kiwanus", "Maechidius konandus", "Maechidius kurantus", "Maechidius lateripennis", "Maechidius latus", "Maechidius lineatopunctatus", "Maechidius lobaticeps", "Maechidius longitarsus", "Maechidius macleaynus", "Maechidius major", "Maechidius mellyanus", "Maechidius metellus", "Maechidius milkappus", "Maechidius milneanus", "Maechidius modicus", "Maechidius moluccanus", "Maechidius muticus", "Maechidius nanus", "Maechidius occidentalis", "Maechidius olor", "Maechidius ordensis", "Maechidius papuanus", "Maechidius parallelicollis", "Maechidius parandus", "Maechidius parvulus", "Maechidius paupianus", "Maechidius pauxillus", "Maechidius pedarioides", "Maechidius pellus", "Pachydema phylloperthoides", "Pachydema pilosa", "Pachydema rebellis", "Pachydema renaudi", "Pachydema rubripennis", "Pachydema rungsi", "Pachydema sancta", "Pachydema schrammi", "Pachydema sicardi", "Pachydema sinaitica", "Pachydema succidua", "Pachydema suspiciosa", "Pachydema tarsalis", "Pachydema thysdritana", "Pachydema tinerfensis", "Pachydema unicolor", "Pachydema valdani", "Pachydema veneriata", "Pachydema vestita", "Pachydema volaki", "Pachydema wagneri", "Pachydema wollastoni", "Pachydema xanthochroa", "Pachydema zohra", "Pachydemocera lucidicollis", "Pachygastra tasmanica", "Pachypoides limbipennis", "Pachyserica albosignata", "Pachyserica balkei", "Pachyserica bistriata", "Pachyserica brevitarsis", "Pachyserica cipingensis", "Pachyserica conspersa", "Pachyserica desenderi", "Pachyserica horishana", "Pachyserica huanglianensis", "Pachyserica interruptolineata", "Pachyserica janbezdeki", "Pachyserica minax", "Pachyserica nantouensis", "Pachyserica putaoensis", "Pachyserica rubrobasalis", "Pachyserica sapae", "Pachyserica scalaris", "Pachyserica squamifera", "Pachyserica striatipennis", "Pachyserica vorax", "Pachyserica yanoi", "Pachytricha castanea", "Pachytricha demarzi", "Pachytricha minor", "Pachytricha robusta", "Pachytricha tecta", "Pacuvia castanea", "Pacuvia philippiana", "Palacephala erichsoni", "Palacephala laeviplagiata", "Panotrogus afghanus", "Panotrogus batillinus", "Panotrogus expansus", "Panotrogus genieri", "Panotrogus grossepunctatus", "Panotrogus hartmanni", "Panotrogus heinzi", "Pararhopaea rhipidocera", "Parasciton inermis", "Paraserica grisea", "Paraserica taiwana", "Paratriodonta algirica", "Paratriodonta alicantina", "Paratriodonta atlantis", "Paratriodonta cinctipennis", "Paratriodonta demoflysi", "Paratriodonta kocheri", "Paratriodonta lentula", "Paratriodonta maroccana", "Paratriodonta morio", "Paratriodonta mskalica", "Paratriodonta normandi", "Paratriodonta ochroptera", "Paratriodonta olivieri", "Paratriodonta proboscidea", "Paratriodonta romana", "Paratriodonta solitudinis", "Paratriodonta temperei", "Paratriodonta tripolitana", "Paratriodonta unguicularis", "Paratriodonta vicina", "Pareriesthis acuticornis", "Pareriesthis bicornuta", "Pareriesthis bidentata", "Pareriesthis ertli", "Pareriesthis ulrichi", "Paronyx setifera", "Paroplia semivestita", "Parthenoserica sulcata", "Pasaphylla libens", "Pectinichelus brunneus", "Pectinichelus lopatini", "Pectinichelus ahrensi", "Pectinichelus chinensis", "Pectinichelus emarginatus", "Pectinichelus hauseri", "Pectinichelus heinzi", "Pectinichelus kabakovi", "Pectinichelus kopetzi", "Pectinichelus kryzhanovskii", "Pectinichelus nasulata", "Pectinichelus nepalensis", "Pectinichelus pakistanus", "Pectinichelus pommeranzi", "Pectinichelus rhizotrogoides", "Pectinichelus sabatinellii", "Pectinichelus schmidti", "Pectinichelus simikotensis", "Pectinichelus spinifer", "Pectinichelus tibetanicus", "Pectinichelus tibetanus", "Pectinichelus tuberculifrons", "Pectinosoma elongata", "Pegylis angolensis", "Pegylis bennigseni", "Pegylis burgeoni", "Pegylis conspurcata", "Pegylis ertli", "Pegylis gestroi", "Pegylis giraudetae", "Pegylis gracilis", "Pachydema cambeforti", "Pachydema cartaginensis", "Pachydema cartereaui", "Pachydema castanea", "Pachydema cinctipennis", "Pachydema concinna", "Pachydema confinalis", "Pachydema conica", "Pachydema curvipedes", "Pachydema daoudii", "Pachydema decorosa", "Pachydema demoflysi", "Pachydema doriae", "Pachydema doumeti", "Pachydema doursi", "Pachydema dubitalis", "Pachydema emflusi", "Pachydema eremicola", "Pachydema fortunatorum", "Pachydema foveiceps", "Pachydema foveola", "Pachydema fuscipennis", "Pachydema getula", "Pachydema girardi", "Pachydema gomerae", "Pachydema gourvesi", "Pachydema grandipalpis", "Pachydema hingrati", "Pachydema hirticollis", "Pachydema hontoriai", "Pachydema hornbecki", "Pachydema icositana", "Pachydema immanipalpis", "Pachydema immatura", "Pachydema integra", "Pachydema israelitica", "Pachydema jeannei", "Pachydema keithi", "Pachydema lamotteae", "Pachydema lesnei", "Pachydema lethierryi", "Pachydema lucasi", "Pachydema lucianae", "Pachydema marmottani", "Pachydema marraquensis", "Pachydema megalops", "Pachydema menieri", "Pachydema mogadorica", "Pachydema monodi", "Ptilotus helipteroides", "Pachydema mozabensis", "Pachydema navatteae", "Pachydema nitidicollis", "Pachydema nocturna", "Pachydema normandi", "Pachydema obscura", "Pachydema obscurata", "Pachydema obscurella", "Pachydema oraniensis", "Pachydema oromii", "Pachydema otini", "Pachydema palposa", "Pachydema peltastes", "Pachydema peyerimhoffi", "Panotrogus hirsutus", "Panotrogus inexpectatus", "Panotrogus kabulensis", "Panotrogus kliri", "Panotrogus miesseni", "Panotrogus myschenkovi", "Panotrogus nadaii", "Panotrogus pakistanus", "Panotrogus pallidulus", "Panotrogus petrovitzi", "Panotrogus petrovizianus", "Panotrogus pygmaeus", "Panotrogus schmidti", "Panotrogus swatensis", "Paracamenta bohemani", "Paracamenta calva", "Paracamenta conspicua", "Paracamenta lydenburgiana", "Paracamenta suturalis", "Paracamenta verticalis", "Paraceratochelus antennatus", "Paraclitopa fuscipennis", "Paraclitopa lanuginosa", "Paraheteronyx corporaali", "Paraheteronyx quadriflabellata", "Paramaechidius clypeatus", "Paramaechidius helleri", "Paramaechidius heterosquamosus", "Paramaechidius opatroides", "Paramaechidius pauxillus", "Paramaechidius perlatus", "Paramaechidius popei", "Paramaechidius speciosus", "Paramaladera alternata", "Paramaladera aserrata", "Paramaladera kiyoyamai", "Paramaladera major", "Paramaladera makiharai", "Paramaladera masumotoi", "Paramaladera pishana", "Paramaladera rufofusca", "Paramaladera simillima", "Paramicroplus brevis", "Paramicroplus castaneus", "Paramicroplus devestivus", "Paramicroplus insignicollis", "Paramicroplus obscurus", "Paramicroplus occiduus", "Paramicroplus strigatus", "Paramicroplus vitellinus", "Paramicroplus vittatus", "Paramorphochelus agricolus", "Paramorphochelus bidentulus", "Paramorphochelus brochus", "Paramorphochelus ciliatus", "Paramorphochelus cornutus", "Paramorphochelus martinius", "Paramorphochelus mundus", "Paramorphochelus seorsus", "Paramorphochelus viettei", "Parapetiia camba", "Pararhopaea callabonnensis", "Pararhopaea minor", "Pararhopaea moffatensis", "Phalangonyx hormozianensis", "Phalangonyx irakanus", "Phalangonyx mesopotamicus", "Phalangonyx mirzayani", "Phalangonyx semenovi", "Phalangosoma coriaceum", "Phalangosoma flavum", "Phalangosoma mechowi", "Phalangosoma minutum", "Phalangosoma werneri", "Phiara flava", "Phiara pseudoaberrans", "Philacelota submaculata", "Philacelota sulana", "Philoserica vittata", "Phobetus chearyi", "Phobetus ciliatus", "Phobetus comatus", "Phobetus desertus", "Phobetus humeralis", "Phobetus mojavus", "Phobetus palpalis", "Phobetus panamintensis", "Phobetus saylori", "Phobetus sleeperi", "Phobetus testaceus", "Pholidochris brenskei", "Pholidochris dohrni", "Pholidochris helleri", "Pholidochris kolbei", "Pholidochris preussi", "Pholidochris quedenfeldti", "Pholidochris sjoestedti", "Pholidochris sororia", "Phorine anomala", "Photyna ornata", "Photyna rugicollis", "Photyna tomentosa", "Phyllocamenta pilosa", "Phyllochlaenia rufescens", "Phyllochlaenia villosus", "Phyllococerus purpurascens", "Phyllophaga nahui", "Phyllophaga ome", "Phyllophaga yei", "Phyllophaga zunilensis", "Phyllophaga aequata", "Phyllophaga chiapensis", "Phyllophaga ciliatipes", "Phyllophaga etabatesiana", "Phyllophaga fraternaria", "Phyllophaga halffteriana", "Phyllophaga howdeniana", "Phyllophaga instabilis", "Phyllophaga latipes", "Phyllophaga lempira", "Phyllophaga marilucasana", "Phyllophaga panamana", "Phyllophaga peccata", "Phyllophaga personata", "Phyllophaga pilositarsis", "Phyllophaga ratcliffeiana", "Phyllophaga rodriguezi", "Phyllophaga rzedowskiana", "Pegylis hauseri", "Pegylis kenyensis", "Pegylis kigonserana", "Pegylis lindiana", "Pegylis lineata", "Pegylis lukulediana", "Pegylis maculipennis", "Pegylis mashuna", "Pegylis microchaeta", "Pegylis morio", "Pegylis murphyi", "Pegylis neumanni", "Pegylis pilosa", "Pegylis pondoensis", "Pegylis rufolineata", "Pegylis rufomaculata", "Pegylis salaama", "Pegylis salernei", "Pegylis sommeri", "Pegylis tchadensis", "Pegylis tenuitarsis", "Pegylis uelensis", "Pegylis ugandensis", "Pegylis usambarae", "Pegylis vestita", "Pegylis vittata", "Pegylis werneri", "Pegylis zavattarii", "Pentacoryna bruchi", "Pentaphylla freyi", "Pentaphylla gieseckiei", "Pentecamenta alluaudi", "Pentecamenta salaama", "Pentecamenta subcostata", "Pentelia borneensis", "Pentelia coxalis", "Pentelia crinifrons", "Pentelia densa", "Pentelia discedens", "Pentelia impressifrons", "Pentelia kinabaluensis", "Pentelia malaccensis", "Pentelia serrulata", "Pericamenta paupercula", "Periclitopa brenskei", "Periclitopa dubiosula", "Periclitopa fischeri", "Periclitopa gariepina", "Periclitopa sambesiana", "Periclitopa varicornis", "Periproctoides lukeniensis", "Periproctus orestius", "Periserica densepunctata", "Periserica fracta", "Periserica fulvostriata", "Periserica gilimalensis", "Periserica interrupta", "Periserica picta", "Periserica subsignata", "Periserica triflabellata", "Periserica zamboangensis", "Perissosoma aenescens", "Perissosoma grande", "Perissosoma tenuitarsis", "Phyllophaga scabripyga", "Phyllophaga solanophaga", "Phyllophaga tumulosa", "Phyllophaga tzintzontliana", "Phyllophaga vexata", "Phyllophaga abudantuni", "Phyllophaga acunai", "Phyllophaga aeneotincta", "Phyllophaga aeruginosa", "Phyllophaga ahlbrandti", "Phyllophaga alayoi", "Phyllophaga alquizara", "Phyllophaga analis", "Phyllophaga andersoni", "Phyllophaga angusta", "Phyllophaga apicalis", "Phyllophaga baracoana", "Phyllophaga baraguensis", "Phyllophaga bicavifrons", "Phyllophaga bilyi", "Phyllophaga bimaculata", "Phyllophaga bimammifrons", "Phyllophaga blackwelderi", "Phyllophaga bretti", "Phyllophaga brevicornis", "Phyllophaga bruneri", "Phyllophaga calai", "Phyllophaga cambeforti", "Phyllophaga caneyensis", "Phyllophaga canoa", "Phyllophaga cardini", "Phyllophaga cartaba", "Phyllophaga castineirasi", "Phyllophaga caymanensis", "Phyllophaga chalumeaui", "Phyllophaga complexipennis", "Phyllophaga crenaticollis", "Phyllophaga crinitissima", "Phyllophaga cubana", "Phyllophaga cylindrica", "Phyllophaga darlingtoni", "Phyllophaga deleri", "Phyllophaga delplanquei", "Phyllophaga denticulata", "Phyllophaga dissimilis", "Phyllophaga dominicensis", "Phyllophaga dubitata", "Phyllophaga ecostata", "Phyllophaga expansa", "Phyllophaga explanicollis", "Phyllophaga falcata", "Phyllophaga fimbriata", "Phyllophaga franciscana", "Phyllophaga fuscipennis", "Phyllophaga garrota", "Phyllophaga guanicana", "Phyllophaga hardyi", "Phyllophaga hernandezi", "Phyllophaga holguinensis", "Phyllophaga imitatrix", "Phyllophaga imprima", "Phyllophaga independentista", "Phyllophaga insulaepinora", "Phyllophaga jaronua", "Phyllophaga laboriosa", "Phyllophaga labrata", "Phyllophaga lacroixi", "Phyllophaga maestrensis", "Phyllophaga manchesterea", "Phyllophaga mandevillea", "Phyllophaga manibota", "Phyllophaga mariaegalante", "Phyllophaga marina", "Phyllophaga mella", "Phyllophaga microsoma", "Phyllophaga migratoria", "Phyllophaga minutissima", "Phyllophaga nasalis", "Phyllophaga neglecta", "Phyllophaga onchophora", "Phyllophaga panicula", "Phyllophaga parallela", "Phyllophaga parcesetifera", "Ptilotus holosericeus", "Phyllophaga patruelis", "Phyllophaga patrueloides", "Phyllophaga pauliani", "Phyllophaga perfidia", "Phyllophaga persimilis", "Phyllophaga pilotoensis", "Phyllophaga plaei", "Phyllophaga potrerillo", "Phyllophaga pseudomicans", "Phyllophaga puberula", "Phyllophaga rangelana", "Phyllophaga romana", "Phyllophaga sanbarthensis", "Phyllophaga sandersoni", "Phyllophaga sandersoniella", "Phyllophaga santaclarae", "Phyllophaga santiaguensis", "Phyllophaga sarlacca", "Phyllophaga scaramuzzai", "Phyllophaga schwarzi", "Phyllophaga secessicola", "Phyllophaga sibonyensis", "Phyllophaga signaticollis", "Phyllophaga speculifera", "Phyllophaga spinicola", "Phyllophaga spinifemora", "Phyllophaga suturalis", "Phyllophaga tetracera", "Phyllophaga trinitariensis", "Phyllophaga tuberculifrons", "Phyllophaga vandinei", "Phyllophaga vermiculata", "Phyllophaga villaclarensis", "Phyllophaga youngi", "Phyllophaga yunqueana", "Phyllophaga zayasi", "Phyllophaga bueta", "Phyllophaga almada", "Phyllophaga arenicola", "Phyllophaga arizona", "Phyllophaga babicora", "Phyllophaga balsana", "Phyllophaga barrerana", "Phyllophaga bottimeri", "Phyllophaga carminator", "Phyllophaga cavata", "Phyllophaga chapini", "Phyllophaga cochisa", "Phyllophaga cristagalli", "Phyllophaga cuicateca", "Phyllophaga culminata", "Phyllophaga cushmani", "Phyllophaga densicollis", "Phyllophaga disparilis", "Phyllophaga duncani", "Phyllophaga durango", "Phyllophaga eligia", "Phyllophaga estacea", "Phyllophaga falsa", "Phyllophaga fimbripes", "Phyllophaga flavipennis", "Phyllophaga foralita", "Phyllophaga gentryi", "Phyllophaga gonzalffteri", "Phyllophaga granti", "Phyllophaga herminiae", "Phyllophaga huachuca", "Phyllophaga juvenilis", "Phyllophaga koehleriana", "Phyllophaga laportei", "Phyllophaga luginbilli", "Phyllophaga macgregori", "Phyllophaga macmurryi", "Phyllophaga martincampoi", "Phyllophaga maxima", "Phyllophaga meadei", "Phyllophaga michelbacheri", "Phyllophaga micros", "Phyllophaga mimicana", "Phyllophaga miraflora", "Phyllophaga monstrosa", "Phyllophaga mucorea", "Phyllophaga neomexicana", "Phyllophaga niquirana", "Phyllophaga nogales", "Phyllophaga nogueirana", "Phyllophaga obliquestriata", "Phyllophaga oblongula", "Phyllophaga opacicollis", "Phyllophaga parilis", "Phyllophaga peninsularis", "Phyllophaga pilosipes", "Phyllophaga planeta", "Phyllophaga plena", "Phyllophaga praesidii", "Phyllophaga pulcher", "Phyllophaga reinhardi", "Phyllophaga riverana", "Phyllophaga scoparia", "Phyllophaga scuticeps", "Phyllophaga senex", "Phyllophaga snowi", "Phyllophaga suriana", "Phyllophaga tarsalis", "Phyllophaga terminalis", "Phyllophaga texensis", "Phyllophaga timida", "Phyllophaga trochanter", "Phyllophaga canipolea", "Phyllophaga canoana", "Phyllophaga capillata", "Phyllophaga caraga", "Phyllophaga carnegie", "Phyllophaga castaniella", "Phyllophaga catemacoana", "Phyllophaga caviceps", "Phyllophaga cayennensis", "Phyllophaga cazieriana", "Phyllophaga centralis", "Phyllophaga certanca", "Phyllophaga chada", "Phyllophaga chamacayoca", "Phyllophaga chamula", "Phyllophaga changuena", "Phyllophaga chiapas", "Phyllophaga chiblacana", "Phyllophaga chimoxtila", "Phyllophaga chippewa", "Phyllophaga chiriquina", "Phyllophaga cholana", "Phyllophaga chortiana", "Phyllophaga cinnamomea", "Phyllophaga citarae", "Phyllophaga clavijeroi", "Phyllophaga clemens", "Phyllophaga clypeata", "Phyllophaga cneda", "Phyllophaga colima", "Phyllophaga colimana", "Phyllophaga collaris", "Phyllophaga columbiana", "Phyllophaga comaltepecana", "Phyllophaga conformis", "Phyllophaga congrua", "Phyllophaga contaminata", "Phyllophaga coronadis", "Phyllophaga corrosa", "Phyllophaga costaricensis", "Phyllophaga costura", "Phyllophaga crassissima", "Phyllophaga crena", "Phyllophaga crenulata", "Phyllophaga cribrosa", "Phyllophaga crinipennis", "Phyllophaga cruces", "Phyllophaga cupuliformis", "Phyllophaga curialis", "Phyllophaga cuyabana", "Phyllophaga dasypoda", "Phyllophaga davidsoni", "Phyllophaga davisi", "Phyllophaga debilis", "Phyllophaga delata", "Phyllophaga densata", "Phyllophaga densepunctata", "Phyllophaga dentex", "Phyllophaga diffinis", "Phyllophaga disca", "Phyllophaga discalis", "Phyllophaga dispar", "Phyllophaga divertens", "Phyllophaga drakii", "Phyllophaga guapilesea", "Phyllophaga guapoloides", "Phyllophaga guerrocans", "Phyllophaga haagi", "Phyllophaga haitiensis", "Phyllophaga hamata", "Phyllophaga hemilissa", "Phyllophaga herrerana", "Phyllophaga heteronycha", "Phyllophaga hidalgoana", "Phyllophaga hintonella", "Phyllophaga hirsuta", "Phyllophaga hirticollis", "Phyllophaga hirticula", "Phyllophaga hirtiventris", "Phyllophaga hoegella", "Phyllophaga hogardi", "Phyllophaga hondura", "Phyllophaga hondurasana", "Phyllophaga hornii", "Phyllophaga howdenryi", "Phyllophaga hubbelli", "Phyllophaga humboldtiana", "Phyllophaga idonea", "Phyllophaga ignava", "Phyllophaga ilicis", "Phyllophaga imeldae", "Phyllophaga imitans", "Phyllophaga impar", "Phyllophaga implicita", "Phyllophaga impressipyga", "Phyllophaga incuria", "Phyllophaga inepta", "Phyllophaga infidelis", "Phyllophaga inflativentris", "Phyllophaga inflexa", "Phyllophaga integra", "Phyllophaga integriceps", "Phyllophaga inversa", "Phyllophaga invisa", "Phyllophaga irazuana", "Phyllophaga isabellae", "Phyllophaga iviei", "Phyllophaga izabalana", "Phyllophaga izucarana", "Phyllophaga jamaicana", "Phyllophaga janzeniana", "Phyllophaga jaragua", "Phyllophaga javepacuana", "Phyllophaga jiminezi", "Phyllophaga jorgevaldezi", "Phyllophaga josepalaciosi", "Phyllophaga jovelana", "Phyllophaga joyana", "Phyllophaga jumberea", "Phyllophaga karlsioei", "Phyllophaga kayaumariana", "Phyllophaga kenscoffi", "Phyllophaga kentuckiana", "Phyllophaga knausi", "Phyllophaga knochi", "Phyllophaga kohlmanniana", "Phyllophaga kulzeri", "Phyllophaga lanata", "Phyllophaga valia", "Phyllophaga venodiola", "Phyllophaga wickhami", "Phyllophaga yaqui", "Phyllophaga abcea", "Phyllophaga abdominalis", "Phyllophaga acacoyahuana", "Phyllophaga acapulca", "Phyllophaga aceitillar", "Phyllophaga acinosa", "Phyllophaga adjuntas", "Phyllophaga aemula", "Phyllophaga aenea", "Phyllophaga aequalis", "Phyllophaga aequatorialis", "Phyllophaga affabilis", "Phyllophaga afflicta", "Phyllophaga aguadita", "Phyllophaga albina", "Phyllophaga alcoa", "Phyllophaga aliada", "Phyllophaga alvareztoroi", "Phyllophaga amazonica", "Phyllophaga androw", "Phyllophaga angulicollis", "Phyllophaga anolaminata", "Phyllophaga anomaloides", "Phyllophaga antennalis", "Phyllophaga antiguae", "Phyllophaga anxia", "Phyllophaga apolinari", "Phyllophaga approxima", "Phyllophaga arcta", "Phyllophaga ardara", "Phyllophaga arkansana", "Phyllophaga arribans", "Phyllophaga assmani", "Phyllophaga atra", "Phyllophaga atrata", "Phyllophaga atratoides", "Phyllophaga audanti", "Phyllophaga aurea", "Phyllophaga austera", "Phyllophaga babis", "Phyllophaga balia", "Phyllophaga baneta", "Phyllophaga baoruco", "Phyllophaga barda", "Phyllophaga baroni", "Phyllophaga barrosa", "Phyllophaga beckeri", "Phyllophaga bicolor", "Phyllophaga bipartita", "Phyllophaga blanchardi", "Phyllophaga bonfils", "Phyllophaga boruca", "Phyllophaga bowditchi", "Phyllophaga brama", "Phyllophaga brevipilosa", "Phyllophaga caanchaki", "Phyllophaga cahitana", "Phyllophaga calceata", "Phyllophaga callosiventris", "Phyllophaga campana", "Phyllophaga dsaimana", "Phyllophaga duenas", "Phyllophaga dulcis", "Phyllophaga durangoana", "Phyllophaga durangosa", "Phyllophaga ecuadorae", "Phyllophaga edrileyi", "Phyllophaga eladio", "Phyllophaga elegans", "Phyllophaga elenans", "Phyllophaga elizoria", "Phyllophaga elongata", "Ptilotus procumbens", "Phyllophaga emberae", "Phyllophaga eniba", "Phyllophaga ephilida", "Phyllophaga epigaea", "Phyllophaga epulara", "Phyllophaga erota", "Phyllophaga errans", "Phyllophaga espina", "Phyllophaga esquinada", "Phyllophaga euryaspis", "Phyllophaga exorata", "Phyllophaga falta", "Phyllophaga farcta", "Phyllophaga favosa", "Phyllophaga ferrugata", "Phyllophaga ferruginea", "Phyllophaga ferupilis", "Phyllophaga fervida", "Phyllophaga fesina", "Phyllophaga flavidopilosa", "Phyllophaga floridana", "Phyllophaga forbesi", "Phyllophaga forsteri", "Phyllophaga fossoria", "Phyllophaga foveicollis", "Phyllophaga foxii", "Phyllophaga fragilipennis", "Phyllophaga fraterna", "Phyllophaga freeborni", "Phyllophaga fucata", "Phyllophaga fulvipennis", "Phyllophaga fulviventris", "Phyllophaga fusca", "Phyllophaga futilis", "Phyllophaga gaigei", "Phyllophaga galeanae", "Phyllophaga gastonguzmani", "Phyllophaga gaumeri", "Phyllophaga georgiana", "Phyllophaga ghentata", "Phyllophaga ginigra", "Phyllophaga glaberrima", "Phyllophaga glabricula", "Phyllophaga gloriae", "Phyllophaga gracilis", "Phyllophaga gracillima", "Phyllophaga grancha", "Phyllophaga gravidula", "Phyllophaga grossepunctata", "Phyllophaga guanacasteca", "Phyllophaga guapilana", "Peritrichia abdominalis", "Peritrichia albovillosa", "Peritrichia andreaei", "Peritrichia antennata", "Peritrichia aterrima", "Peritrichia badiipennis", "Peritrichia bella", "Peritrichia bicolor", "Peritrichia braunsi", "Peritrichia capicola", "Peritrichia capucina", "Peritrichia cinerea", "Peritrichia cognata", "Peritrichia dimidiata", "Peritrichia dita", "Peritrichia ditissima", "Peritrichia dubia", "Peritrichia fasciatus", "Peritrichia flabellata", "Peritrichia flavoornata", "Peritrichia guttata", "Peritrichia hessei", "Peritrichia hirtipes", "Peritrichia hybrida", "Peritrichia kochi", "Peritrichia monacha", "Peritrichia nigrita", "Peritrichia nigromaculata", "Peritrichia nigrovillosa", "Peritrichia nitidipennis", "Peritrichia nuda", "Peritrichia ovina", "Peritrichia peringueyi", "Peritrichia pistrinaria", "Peritrichia plebeja", "Peritrichia podicalis", "Peritrichia proboscidea", "Peritrichia pseudoplebeja", "Peritrichia pseudopostrinaria", "Peritrichia pseudopuberula", "Peritrichia pseudotristis", "Peritrichia pseudursa", "Peritrichia puberula", "Peritrichia pulchella", "Peritrichia pygidialis", "Peritrichia rigida", "Peritrichia rufotibialis", "Peritrichia saga", "Peritrichia spuria", "Peritrichia subsquamosa", "Peritrichia tristis", "Peritrichia ursula", "Peritrichia ursus", "Peritrichia vansoni", "Peritrichia ypsilon", "Perrindema ibiense", "Perrindema lindiensis", "Perrindema pembaensis", "Perrindema quiterajoensis", "Petinopus aegrotus", "Phalangonyx bibatillatus", "Phalangonyx buettikeri", "Phalangonyx coniceps", "Phalangonyx hadhramauticus", "Phyllophaga nigerrima", "Phyllophaga nigrita", "Phyllophaga nisuens", "Phyllophaga nitida", "Phyllophaga nitidicauda", "Phyllophaga nitidicollis", "Phyllophaga nuda", "Phyllophaga nudipennis", "Phyllophaga nunezi", "Phyllophaga ocozocuana", "Phyllophaga odomi", "Phyllophaga okeechobea", "Phyllophaga omani", "Phyllophaga onita", "Phyllophaga onoreana", "Phyllophaga opaca", "Phyllophaga orosina", "Phyllophaga ortizi", "Phyllophaga ovalis", "Phyllophaga pachuca", "Phyllophaga pachypyga", "Phyllophaga pallidicornis", "Phyllophaga panamensis", "Phyllophaga panorpa", "Phyllophaga papaloana", "Phyllophaga paraguayana", "Phyllophaga parumpunctata", "Phyllophaga parvicornis", "Phyllophaga parvidens", "Phyllophaga parvisetis", "Phyllophaga pastassana", "Phyllophaga paternoi", "Phyllophaga pearliae", "Phyllophaga pectoralis", "Phyllophaga pedernales", "Phyllophaga penaella", "Phyllophaga peninsulana", "Phyllophaga perlonga", "Phyllophaga permagna", "Phyllophaga peruana", "Phyllophaga picadoana", "Phyllophaga piceola", "Phyllophaga pilidorsis", "Phyllophaga piligera", "Phyllophaga piliventris", "Phyllophaga pilosula", "Phyllophaga pilula", "Phyllophaga plairi", "Phyllophaga pleroma", "Phyllophaga pokornyiana", "Phyllophaga polita", "Phyllophaga polyphylla", "Phyllophaga postrema", "Phyllophaga potosisalta", "Phyllophaga praetermissa", "Phyllophaga probaporra", "Phyllophaga profunda", "Phyllophaga pruinipennis", "Phyllophaga prunina", "Phyllophaga prununculina", "Phyllophaga pseudoatra", "Phyllophaga pseudocalcaris", "Phyllophaga pseudocarus", "Phyllophaga pseudofloridana", "Phyllophaga psiloptera", "Phyllophaga pubescens", "Phyllophaga pubicauda", "Phyllophaga pubicollis", "Phyllophaga pudorosa", "Phyllophaga punctipennis", "Phyllophaga punctulata", "Phyllophaga punctulicollis", "Phyllophaga puntarenosa", "Phyllophaga pusillidens", "Phyllophaga quadriphylla", "Phyllophaga quercus", "Phyllophaga quetzala", "Phyllophaga quetzaloides", "Phyllophaga quiana", "Phyllophaga quituana", "Phyllophaga rafaelamothei", "Phyllophaga ravida", "Phyllophaga rawlinsi", "Phyllophaga raydoma", "Phyllophaga recorta", "Phyllophaga reevesi", "Phyllophaga regiomontana", "Phyllophaga renodis", "Phyllophaga reticulata", "Phyllophaga reventazona", "Phyllophaga rex", "Phyllophaga reyescastilloi", "Phyllophaga riviera", "Phyllophaga roberterroni", "Phyllophaga rolbakeri", "Phyllophaga rolstoni", "Phyllophaga rorida", "Phyllophaga rorulenta", "Phyllophaga roscida", "Phyllophaga rossi", "Phyllophaga rostrypyga", "Phyllophaga rubiginosa", "Phyllophaga rubricosa", "Phyllophaga ruficollis", "Phyllophaga rufipes", "Phyllophaga rufithorax", "Phyllophaga rufiventris", "Phyllophaga rugicollis", "Phyllophaga rugosa", "Phyllophaga rugulosa", "Phyllophaga rustica", "Phyllophaga sacoma", "Phyllophaga saginata", "Phyllophaga sahagundinoi", "Phyllophaga saltana", "Phyllophaga sanctipauli", "Phyllophaga sanjosicola", "Phyllophaga santachloe", "Phyllophaga santiagozai", "Phyllophaga saylori", "Phyllophaga sayloriana", "Phyllophaga scabrifrons", "Phyllophaga schaefferi", "Phyllophaga schenklingi", "Phyllophaga schizorhina", "Phyllophaga schizorhinoides", "Phyllophaga schneblei", "Phyllophaga vandykei", "Phyllophaga vazquezae", "Phyllophaga vehemens", "Phyllophaga velezangeli", "Phyllophaga verruciventris", "Phyllophaga vicina", "Phyllophaga villardoi", "Phyllophaga villifrons", "Phyllophaga violetae", "Phyllophaga vulpes", "Phyllophaga wittkugeli", "Phyllophaga wolcotti", "Phyllophaga xalacoatepecana", "Phyllophaga xanthe", "Phyllophaga xerophila", "Phyllophaga xkumuka", "Phyllophaga yemasseei", "Phyllophaga yoloxana", "Phyllophaga yucana", "Phyllophaga zaragozana", "Phyllophaga zarcoana", "Phyllophaga zavalana", "Phyllophaga zunimarioi", "Phyllophaga acatlanensis", "Phyllophaga aegrotus", "Phyllophaga aliciae", "Phyllophaga apolinaria", "Phyllophaga arrowi", "Phyllophaga bahiana", "Phyllophaga balli", "Phyllophaga batillifer", "Phyllophaga beameri", "Phyllophaga benexonana", "Phyllophaga bilobatata", "Phyllophaga blanda", "Phyllophaga bolacoides", "Phyllophaga boliviensis", "Phyllophaga brownella", "Phyllophaga bucephala", "Phyllophaga calderasa", "Phyllophaga chlaenobiana", "Phyllophaga ciudadensis", "Phyllophaga coahuayana", "Phyllophaga cometes", "Phyllophaga conicariana", "Phyllophaga crassa", "Phyllophaga crenonycha", "Phyllophaga cristobala", "Phyllophaga dieteriana", "Phyllophaga diminuta", "Phyllophaga dugesiana", "Phyllophaga emburyi", "Phyllophaga fissilabris", "Phyllophaga forcipata", "Phyllophaga godwini", "Phyllophaga guapiles", "Phyllophaga guatemala", "Phyllophaga heteroclita", "Phyllophaga hintoni", "Phyllophaga hirtifrons", "Phyllophaga hoegei", "Phyllophaga hoffmanitae", "Phyllophaga hoogstraali", "Phyllophaga huiteaca", "Phyllophaga insulana", "Phyllophaga insularis", "Phyllophaga itsmica", "Phyllophaga jalisciensis", "Phyllophaga juquilana", "Phyllophaga kuntzeni", "Phyllophaga laevigata", "Phyllophaga laminata", "Ptilotus lanatus", "Phyllophaga latefissa", "Phyllophaga lineata", "Phyllophaga lineatoides", "Phyllophaga lulaana", "Phyllophaga luridipennis", "Phyllophaga macrocera", "Phyllophaga marcapatana", "Phyllophaga mesophylla", "Phyllophaga moseri", "Phyllophaga munizi", "Phyllophaga nevomeana", "Phyllophaga nitididorsis", "Phyllophaga nosa", "Phyllophaga nubipennis", "Phyllophaga oaxaca", "Phyllophaga oaxena", "Phyllophaga obsoleta", "Phyllophaga ohausi", "Phyllophaga omiltemia", "Phyllophaga pallida", "Phyllophaga pameana", "Phyllophaga paraguayensis", "Phyllophaga pauloensis", "Phyllophaga pentaphylla", "Phyllophaga picea", "Phyllophaga picipennis", "Phyllophaga platti", "Phyllophaga platyrhina", "Phyllophaga poculifer", "Phyllophaga poterillosa", "Phyllophaga prolixa", "Phyllophaga propinqua", "Phyllophaga pruinosa", "Phyllophaga puberea", "Phyllophaga punctuliceps", "Phyllophaga reyesiana", "Phyllophaga rufotestacea", "Phyllophaga rugithorax", "Phyllophaga sandersoniana", "Phyllophaga schusteriana", "Phyllophaga senicula", "Phyllophaga sinaloana", "Phyllophaga soctona", "Phyllophaga solavegana", "Phyllophaga sonora", "Phyllophaga straminea", "Phyllophaga tancitara", "Phyllophaga tegenara", "Phyllophaga tegulicollis", "Phyllophaga tejupana", "Phyllophaga temascaltepeca", "Phyllophaga teosinteophaga", "Phyllophaga tlanchinolensis", "Phyllophaga totoreana", "Phyllophaga trichodes", "Phyllophaga triticophaga", "Phyllophaga uruguayana", "Phyllophaga varohiana", "Phyllophaga vestita", "Phyllophaga xanthocoma", "Phyllophaga yaxbitana", "Phyllophaga zeteki", "Phyllophaga lanceolata", "Phyllophaga adoretoides", "Phyllophaga nigropicea", "Phyllophaga smithi", "Phyllophaga subspinosa", "Phylloserica amberensis", "Phylloserica brenskei", "Phylloserica candezei", "Phylloserica gracilis", "Phylloserica macrophylla", "Phylloserica unicolor", "Phyllotocidium bimaculiflavum", "Phyllotocidium macleayi", "Phyllotocidium pictum", "Phyllotocidium viridis", "Phyllotocus chapmanni", "Phyllotrochalus colini", "Phyllotrochalus montanus", "Phyllotrochalus pentaphyllus", "Phytholaema dilutipes", "Phytholaema fenestra", "Phytholaema herrmanni", "Phytholaema mutabilis", "Pimelomera goossensi", "Pimelomera onorei", "Pimelomera schwetzi", "Plaesioserica viridula", "Platychelus aequatorialis", "Platychelus alternans", "Platychelus anomalus", "Platychelus basalis", "Platychelus brevis", "Platychelus caffer", "Platychelus cicatrix", "Platychelus conformis", "Platychelus dimidiatus", "Platychelus discolor", "Platychelus dispar", "Platychelus excentrus", "Platychelus expansus", "Platychelus fallax", "Platychelus gentilis", "Platychelus glabripennis", "Platychelus gravidus", "Platychelus hoploides", "Platychelus hottentotus", "Platychelus intermedius", "Platychelus jucundus", "Platychelus karrooensis", "Platychelus lepidotus", "Platychelus litigiosus", "Platychelus lupinus", "Platychelus lutosus", "Platychelus melanurus", "Platychelus musculus", "Platychelus nitens", "Platychelus nitidulus", "Platychelus puerilis", "Platychelus pugionatus", "Platychelus pusillus", "Platychelus pyropygus", "Platychelus retensus", "Platychelus semihirtus", "Platychelus semivirgatus", "Platychelus squamosus", "Platychelus transvaalensis", "Platychelus unguiculatus", "Platychelus virgatus", "Plectris abdominalis", "Plectris aberrans", "Plectris abnormalis", "Plectris acreensis", "Plectris acutesetosa", "Plectris aenea", "Plectris aeneicollis", "Plectris aeneofusca", "Plectris aeneomicans", "Plectris aeneorufa", "Plectris aenescens", "Plectris aequatorialis", "Plectris aerata", "Plectris afflicta", "Plectris ahena", "Plectris alboscutata", "Plectris albovittata", "Plectris aliena", "Plectris alternata", "Plectris alvarengai", "Plectris amabilis", "Plectris ambigua", "Plectris ambitiosa", "Plectris amoena", "Plectris andicola", "Plectris andina", "Plectris angerona", "Plectris angusta", "Plectris anomala", "Plectris antennalis", "Plectris antennata", "Plectris apicalis", "Plectris archidonensis", "Plectris argentata", "Plectris argentina", "Plectris atubana", "Plectris aulai", "Plectris bahiensis", "Plectris balthasari", "Plectris baraudi", "Plectris barbitarsis", "Plectris barda", "Plectris bicolor", "Plectris bilobata", "Plectris binotata", "Plectris blanchardi", "Plectris boliviensis", "Plectris bonariensis", "Plectris breiti", "Plectris breviceps", "Plectris brevicollis", "Plectris brevipes", "Plectris brevipilosa", "Plectris brevis", "Plectris brevisetosa", "Plectris brevitarsis", "Plectris brittoni", "Plectris bruchi", "Plectris burmeisteri", "Plectris calcarata", "Plectris caliginosa", "Plectris calva", "Plectris candezei", "Plectris caniventris", "Plectris castaneipennis", "Plectris cayennensis", "Plectris centralis", "Plectris ceylanica", "Plectris ciliata", "Plectris cinerascens", "Plectris cinereopilosa", "Plectris clypealis", "Plectris clypeata", "Plectris collarti", "Plectris conformis", "Plectris contaminata", "Plectris cordobana", "Plectris corrientensis", "Plectris corumbana", "Plectris corvicoana", "Plectris costulata", "Plectris coxalis", "Plectris crassa", "Plectris crassesetosa", "Plectris cucullata", "Plectris curta", "Plectris curticollis", "Plectris curtipilis", "Plectris curtisetis", "Plectris cuyana", "Plectris cylindrica", "Plectris cylindriformis", "Plectris decipiens", "Plectris decolorata", "Plectris delicatula", "Plectris denominata", "Plectris densaticollis", "Plectris densehirsuta", "Plectris densevestita", "Plectris depressicollis", "Plectris desiderata", "Plectris devillei", "Plectris difformis", "Plectris dimorpha", "Plectris distincta", "Plectris duplopilosa", "Plectris elongata", "Plectris emarginata", "Plectris endroedii", "Plectris eucalypti", "Plectris eusquamosa", "Plectris excisiceps", "Plectris exigua", "Plectris fallax", "Plectris farinosa", "Plectris fassli", "Plectris festiva", "Plectris maculipennis", "Plectris maculipyga", "Plectris maculosa", "Plectris magdalenae", "Plectris mandli", "Plectris marmorea", "Plectris martinezi", "Plectris martinicensis", "Plectris meridana", "Plectris metallescens", "Plectris metallica", "Plectris micans", "Plectris minuta", "Plectris molesta", "Plectris montana", "Plectris moseri", "Plectris murina", "Plectris mus", "Plectris muscula", "Ptilotus leucocoma", "Plectris neglecta", "Plectris nigrita", "Plectris nigritula", "Plectris nitidicollis", "Plectris niveoscutata", "Plectris nuda", "Plectris nudicollis", "Plectris obsoleta", "Plectris obtusa", "Plectris obtusioides", "Plectris obtusior", "Plectris ocularis", "Plectris ohausi", "Plectris ohausiana", "Plectris ohausiella", "Plectris olivierai", "Plectris opacula", "Plectris ophthalmica", "Plectris ornaticeps", "Plectris ornatipennis", "Plectris orocuensis", "Plectris palpalis", "Plectris panamaensis", "Plectris paraensis", "Plectris paraguayensis", "Plectris parallela", "Plectris paranensis", "Plectris parcesetosa", "Plectris parumsetosa", "Plectris pauloana", "Plectris pavida", "Plectris pedestris", "Plectris pelliculata", "Plectris penaella", "Plectris penai", "Plectris pentaphylla", "Plectris pereirai", "Plectris perplexa", "Plectris pexa", "Plectris picea", "Plectris pilicollis", "Plectris pilifera", "Plectris pilosa", "Plectris pilosula", "Plectris pinsdorfi", "Plectris piottii", "Plectris plaumanni", "Plectris plaumanniella", "Plectris podicalis", "Plectris postnotata", "Plectris praecellens", "Plectris primaria", "Plectris prolata", "Plectris pruina", "Plectris pubens", "Plectris pubera", "Plectris puberoides", "Plectris pubescens", "Plectris pusio", "Plectris putida", "Plectris pygmaea", "Plectris quinqueflabellata", "Plectris reitteri", "Plectris reticulata", "Plectris riodejaneiroensis", "Plectris riveti", "Plectris roeri", "Plectris rorida", "Plectris rubescens", "Plectris ruffoi", "Plectris ruficollis", "Plectris rufina", "Plectris rugiceps", "Plectris rugipennis", "Plectris rugulosa", "Plectris rugulosipennis", "Plectris santaecrucis", "Plectris santosana", "Plectris sarana", "Plectris schereri", "Plectris schneblei", "Plectris schoolmeestersi", "Plectris scopulata", "Plectris sculpterata", "Plectris sculptipennis", "Plectris scutalis", "Plectris scutellaris", "Plectris sequela", "Plectris sericea", "Plectris setifera", "Plectris setisparsa", "Plectris setiventris", "Plectris setosa", "Plectris setosella", "Plectris setulifera", "Plectris signaticollis", "Plectris signativentris", "Plectris similis", "Plectris sinuaticeps", "Plectris sordida", "Plectris sororia", "Plectris sparsecrinita", "Plectris sparsepilosa", "Plectris sparsepunctata", "Plectris sparsesetosa", "Plectris spatulata", "Plectris splendens", "Plectris splendida", "Plectris flavicornis", "Plectris flavohirta", "Plectris fulgida", "Plectris fulva", "Plectris fungicola", "Plectris fusca", "Plectris fuscoaenea", "Plectris fuscoviridis", "Plectris fuscula", "Plectris gaudichaudi", "Plectris gebieni", "Plectris glabrata", "Plectris glabripennis", "Plectris globulicollis", "Plectris goetzi", "Plectris gracilicornis", "Plectris grisea", "Plectris griseohirta", "Plectris griseopilosa", "Plectris griseosetosa", "Plectris griseovestita", "Plectris guayrana", "Plectris gutierrezi", "Plectris hellmichi", "Plectris herteli", "Plectris hispidula", "Plectris huedepohli", "Plectris imitans", "Plectris incana", "Plectris indigens", "Plectris inopinata", "Plectris integrata", "Plectris intermixta", "Plectris juengeri", "Plectris juncea", "Plectris junceana", "Plectris kirschi", "Plectris kochi", "Plectris kriegi", "Plectris kulzeri", "Plectris kuntzeni", "Plectris laevipennis", "Plectris laevis", "Plectris laeviscutata", "Plectris lanata", "Plectris laticeps", "Plectris lepida", "Plectris lignicola", "Plectris lignicolor", "Plectris ligulata", "Plectris lindneri", "Plectris lineatocollis", "Plectris lobaticeps", "Plectris lobaticollis", "Plectris lojana", "Plectris longeantennata", "Plectris longiclava", "Plectris longicornis", "Plectris longitarsis", "Plectris longula", "Plectris luctuosa", "Plectris maculata", "Plectris maculicollis", "Plectris maculifera", "Podolasia peninsularis", "Podolasia pilosa", "Podolasia rotundipenis", "Podolasia stillwellorum", "Podolasia varicolor", "Podostena bottimeri", "Podostena litoralis", "Podostena rileyi", "Podostena sleeperi", "Pollaplonyx eriophorus", "Pollaplonyx flavidus", "Polyenaria ciliata", "Polyphylla schestakowi", "Polyphylla annamensis", "Polyphylla dahnshuensis", "Polyphylla albolineata", "Polyphylla jessopi", "Polyphylla kontumensis", "Polyphylla minor", "Polyphylla nikodymi", "Polyphylla parva", "Polyphylla phongsali", "Polyphylla schoenfeldti", "Polyphylla taiwana", "Polyphylla vietnamica", "Polyphylla edentula", "Polyphylla exilis", "Polyphylla gracilicornis", "Polyphylla intermedia", "Polyphylla laticollis", "Polyphylla maculipennis", "Polyphylla sikkimensis", "Polyphylla irrorata", "Polyphylla tridentata", "Polyphylla adspersa", "Polyphylla sicardi", "Polyphylla aeolus", "Polyphylla anteronivea", "Polyphylla anivallis", "Polyphylla arguta", "Polyphylla avittata", "Polyphylla barbata", "Polyphylla boryi", "Polyphylla brownae", "Polyphylla cavifrons", "Polyphylla comes", "Polyphylla concurrens", "Polyphylla conspersa", "Polyphylla crinita", "Polyphylla davidis", "Polyphylla devestiva", "Polyphylla diffracta", "Polyphylla donaldsoni", "Polyphylla erratica", "Polyphylla formosana", "Polyphylla gracilis", "Polyphylla hammondi", "Polyphylla hassi", "Polyphylla hirsuta", "Polyphylla koso", "Polyphylla maroccana", "Polyphylla mescalerensis", "Polyphylla modulata", "Polyphylla monahansensis", "Plectris squalida", "Plectris squamiger", "Plectris squamisetis", "Plectris subaenea", "Plectris subcarinata", "Plectris subcostata", "Plectris subdepressa", "Plectris subglabra", "Plectris sulcicollis", "Plectris suturalis", "Plectris talinay", "Plectris tarsalis", "Plectris tenebrosa", "Plectris tenueclava", "Plectris tenuevestita", "Plectris tessellata", "Plectris tetraphylla", "Plectris teutoniensis", "Plectris tolimana", "Plectris tomentosa", "Plectris tricostata", "Plectris tristis", "Plectris truncata", "Plectris tuberculata", "Plectris tucumana", "Plectris umbilicata", "Plectris umbrata", "Plectris unidens", "Plectris validior", "Plectris variegata", "Plectris variipennis", "Plectris vauriella", "Plectris vestita", "Plectris vicina", "Plectris vilis", "Plectris villiersi", "Plectris violascens", "Plectris virescens", "Plectris viridifusca", "Plectris viridimicans", "Plectris vitticollis", "Plectris vittipennis", "Plectris vonvolxemi", "Plectris wittmeri", "Plectris witzgalli", "Plectris wolfrumi", "Plectris yungasa", "Plectris zikani", "Plectris zischkaella", "Plectris zischkai", "Plectrodes pubescens", "Pleistophylla singularis", "Pleophylla fasciatipennis", "Pleophylla navicularis", "Pleophylla tongaatsana", "Plesiopalacephala castanea", "Plesiopalacephala delgadoensis", "Plotopuserica darwiniana", "Plusioserica virescens", "Podolasia emarginata", "Podolasia ferruginea", "Podolasia involucris", "Podolasia lavignei", "Podolasia longipenis", "Ptilotus seminudus", "Xanthophyllum griffithii subsp. griffithii", "Ptilotus schwartzii", "Xanthophyllum cucullatum", "Hypotrachyna mexicana", "Hypotrachyna microlobulata", "Hypotrachyna nagalandica", "Tomares ballus ballus", "Tomares ballus mareoticus", "Xanthophyllum burkillii", "Xanthophyllum andamanicum", "Phyllodytes megatympanum", "Xanthophyllum zeylanicum", "Xanthophyllum fragrans", "Phyllophaga scissa", "Phyllophaga scitula", "Phyllophaga segregans", "Phyllophaga sequoiana", "Phyllophaga sericata", "Phyllophaga serrana", "Phyllophaga serratipes", "Phyllophaga sinicollis", "Phyllophaga sinuaticeps", "Phyllophaga skelleyi", "Phyllophaga sociata", "Phyllophaga sodialis", "Phyllophaga solisiana", "Phyllophaga soror", "Phyllophaga spaethi", "Phyllophaga spinitarsis", "Phyllophaga spreta", "Phyllophaga squamifera", "Phyllophaga squamipilosa", "Phyllophaga stehlei", "Phyllophaga stipitalis", "Phyllophaga stohleri", "Phyllophaga sturmi", "Phyllophaga stzotzilana", "Phyllophaga submetallica", "Phyllophaga submucida", "Phyllophaga subnitida", "Phyllophaga subopaca", "Phyllophaga subpruinosa", "Phyllophaga subrugosa", "Phyllophaga subtonsa", "Phyllophaga suttonana", "Phyllophaga sylvatica", "Phyllophaga tajimaroana", "Phyllophaga talamancana", "Phyllophaga tamatziana", "Phyllophaga tapantina", "Phyllophaga taxodii", "Phyllophaga tecta", "Phyllophaga tejupilcas", "Phyllophaga temascalis", "Phyllophaga temaxa", "Phyllophaga temora", "Phyllophaga tenuipilis", "Phyllophaga tepanana", "Phyllophaga terezinae", "Phyllophaga tetraphylla", "Phyllophaga thoracica", "Phyllophaga tilarana", "Phyllophaga tojolabala", "Phyllophaga toni", "Phyllophaga torta", "Phyllophaga totonis", "Phyllophaga trichoderma", "Phyllophaga tridens", "Phyllophaga tridilonycha", "Phyllophaga tsajumiana", "Phyllophaga tusa", "Phyllophaga tuxtleca", "Phyllophaga ueiacayoca", "Phyllophaga ulkei", "Phyllophaga umbrosa", "Phyllophaga uniformis", "Phyllophaga vallendensis", "Hypotrachyna neodamaziana", "Hypotrachyna neocirrhata", "Aphyosemion seegersi", "Xanthophyllum octandrum", "Ptilotus polakii", "Ptilotus polakii subsp. juxtus", "Ptilotus polakii subsp. polakii", "Aphyosemion loennbergii", "Lacomucinaea lineata", "Zebraodes lucidalis", "Magneuptychia andrei", "Aphyosemion cameronense", "Bertholdia zoenia", "Bertholdia albipuncta", "Bertholdia myosticta", "Bertholdia fumida", "Bertholdia flavilucens", "Bertholdia pseudofumida", "Bertholdia almeidai", "Ptilotus sericostachyus", "Ptilotus sericostachyus subsp. roseus", "Ptilotus gaudichaudii", "Ptilotus gomphrenoides", "Hypotrachyna nepalensis", "Hypotrachyna nigrociliata", "Hypotrachyna plana", "Ekboarmia atlanticaria", "Boarmia atlanticaria", "Boarmia atlanticaria atlanticaria", "Ekboarmia atlanticaria atlanticaria", "Hypotrachyna neohalei", "Ekboarmia atlanticaria gracilis", "Boarmia atlanticaria gracilis", "Ekboarmia atlanticaria holli", "Hemerophila holli", "Ekboarmia fascinataria", "Boarmia fascinataria", "Ekboarmia sagnesi", "Hypotrachyna neoprotocetrarica", "Ekboarmia miniaria", "Pseudobankesia keersmaekersi", "Subleuconycta calonesiota", "Hypotrachyna neotropica", "Xanthophyllum bombayanum", "Subleuconycta palshkovi", "Leuconycta palshkovi", "Xanthophyllum angustigemma", "Subleuconycta sugii", "Aphyosemion chauchei", "Hypotrachyna pseudonepalensis", "Hypotrachyna rhizodendroidea", "Hypotrachyna scabrida", "Shaanxiana langi", "Taraxacum obovatum", "Aphyosemion schioetzi", "Hypotrachyna schindleri", "Hypotrachyna subplana", "Bertholdia aroana", "Bertholdia ockendeni", "Bertholdia rubromaculata", "Bertholdia steinbachi", "Bertholdia grisescens", "Bertholdia flavidorsata", "Bertholdia soror", "Bertholdia schausiana", "Bertholdia philotera", "Bertholdia semiumbrata", "Bertholdia detracta", "Bertholdia livida", "Bertholdia crocea", "Bertholdia crocea crocea", "Bertholdia crocea mossi", "Polyphylla morroensis", "Polyphylla multimaculata", "Polyphylla navarretei", "Polyphylla naxiana", "Polyphylla nigra", "Polyphylla nubecula", "Polyphylla nubila", "Polyphylla occidentalis", "Polyphylla olivieri", "Polyphylla persica", "Polyphylla petitii", "Polyphylla ploceki", "Polyphylla pottsorum", "Polyphylla pubescens", "Polyphylla rugosipennis", "Polyphylla sobrina", "Polyphylla socorriana", "Polyphylla squamiventris", "Polyphylla starkae", "Polyphylla stellata", "Polyphylla tonkinensis", "Polyphylla turkmenoglui", "Polyphylla uteana", "Polyphylla variolosa", "Polyphylla woodruffi", "Polyphyllum rubrescens", "Proagosternus antanala", "Proagosternus lacteus", "Proagosternus niveus", "Proagosternus ochraceus", "Proagosternus rubigineus", "Proagosternus sicardi", "Proborhinus cornutus", "Prochelyna heterodoxa", "Prochelyna houstoni", "Prochelyna velutina", "Proseconius capito", "Protelura guttata", "Protelura nana", "Proteroschiza wituensis", "Protoclitopa tetraphylla", "Protoctenius bogatschevi", "Psednoserica amoena", "Pseudachloa leonina", "Pseudachloa werneri", "Pseudenaria bidens", "Pseudenaria catalai", "Pseudenaria fairmairei", "Pseudenaria maculata", "Pseudenaria ornatipennis", "Pseudenaria sogai", "Pseudenaria unguicularis", "Pseudenaria vadoni", "Pseudencya cinnabarina", "Myripristis botche", "Ptilotus roei", "Hypotrachyna megadactyla", "Miridiba sinensis", "Ptilotus pyramidatus", "Ptilotus royceanus", "Bertholdia specularis", "Hypotrachyna subsorocheila", "Hypotrachyna subvexans", "Phaegoptera specularis", "Bertholdia specularis specularis", "Bertholdia specularis rufescens", "Bertholdia trigona", "Halysidota trigona", "Bertholdia braziliensis", "Ptilotus aristatus subsp. aristatus", "Ptilotus aristatus subsp. micranthus", "Pseudholophylla castaneipennis", "Pseudholophylla cavifrons", "Pseudholophylla furfuracea", "Pseudholophylla lepidoptera", "Pseudholophylla soror", "Pseudisonychus vietnamensis", "Pseudocamenta transvaalensis", "Pseudocongella methneri", "Pseudodicrania aeneobrunnea", "Pseudodiplotaxis albosetosa", "Pseudohercitis nudipennis", "Pseudoheterochelus wallekraalensis", "Pseudoheteronyx baldiensis", "Pseudoheteronyx basicollis", "Pseudoheteronyx creber", "Pseudoheteronyx helaeoides", "Pseudoheteronyx laticollis", "Pseudoheteronyx littoralis", "Pseudoheteronyx puncticollis", "Pseudohoplia campestris", "Pseudohoplia gabriellina", "Pseudohoplia shibatai", "Pseudoleuretra bokermanni", "Pseudoliogenys bidentula", "Pseudomaladera nitidifrons", "Pseudomicroplus aquilus", "Pseudomicroplus brunneus", "Pseudomicroplus canutus", "Pseudomicroplus costatus", "Pseudomicroplus rugosus", "Pseudomicroplus vieui", "Pseudopachydema caucasica", "Pseudopachydema medvedevi", "Pseudopanotrogus baehri", "Pseudopanotrogus brevipilosus", "Pseudopanotrogus carinifrons", "Pseudopanotrogus donckieri", "Pseudopanotrogus extrarius", "Pseudopanotrogus holotrichius", "Pseudopanotrogus kuluensis", "Pseudopanotrogus lassallei", "Pseudopanotrogus longiceps", "Pseudopanotrogus obscurus", "Pseudopanotrogus pilifera", "Pseudopanotrogus pusillus", "Pseudopanotrogus rosettae", "Pseudoparoplia perinetensis", "Pseudopectinosoma mesa", "Pseudopholis jordani", "Pseudopholis squamulosa", "Pseudoschizonycha meridionalis", "Pseudosericania gibbiventris", "Pseudosericania makiharai", "Pseudosericania nitididorsis", "Pseudosericania quadrifoliata", "Pseudosymmachia babai", "Pseudosymmachia brevicollis", "Pseudosymmachia brevispina", "Pseudosymmachia callosiceps", "Pseudosymmachia clypeata", "Pseudosymmachia costata", "Pseudosymmachia excisa", "Pseudosymmachia flavescens", "Pseudosymmachia formosana", "Pseudosymmachia fukiensis", "Pseudosymmachia glabrosa", "Pseudosymmachia impressifrons", "Pseudosymmachia kaschmirensis", "Pseudosymmachia longiuscula", "Pseudosymmachia manifestes", "Pseudosymmachia montana", "Pseudosymmachia nitididorsis", "Pseudosymmachia setifrons", "Pseudosymmachia similaris", "Pseudosymmachia similis", "Pseudosymmachia thibetana", "Pseudosymmachia tuberculifrons", "Pseudosymmachia tumidifrons", "Pseudosymmachia wulaiensis", "Pseudosymmachia yunnanensis", "Pseudotocama minima", "Pseudotrematodes frivaldszkyi", "Pseudotrochalus aericollis", "Pseudotrochalus amitinus", "Pseudotrochalus angolensis", "Pseudotrochalus benguellanus", "Pseudotrochalus benitoensis", "Pseudotrochalus bomuanus", "Pseudotrochalus brenskei", "Pseudotrochalus byrrhoides", "Pseudotrochalus calabaricus", "Pseudotrochalus chrysomelinus", "Pseudotrochalus colmanti", "Pseudotrochalus concolor", "Pseudotrochalus congoanus", "Pseudotrochalus congoensis", "Pseudotrochalus consanguineus", "Pseudouteniqua thoracalis", "Pseustophylla fervida", "Pseustophylla pretoriana", "Psilonychus barkeri", "Psilonychus deridens", "Psilonychus duponti", "Psilonychus eckloni", "Psilonychus gracilis", "Psilonychus groendahli", "Psilonychus perturbator", "Psilonychus pilosicollis", "Psilopholis gigantea", "Psilopholis grandis", "Ptyophis eiderae", "Ptyophis paulseni", "Pyronota coerula", "Pyronota refulgens", "Rabula marqueza", "Rabula morosa", "Ramilia ghanaensis", "Ramilia kuiluensis", "Ramilia pruinosa", "Ravautiana jucunda", "Raysymmela bruchi", "Raysymmela curtula", "Raysymmela huanuca", "Raysymmela pallipes", "Rectoscutaria peringueyi", "Redotus rufulus", "Renaudiana guttata", "Renaudiana ranomandriensis", "Rhabdopholis albostriata", "Rhabdopholis costipennis", "Rhabdopholis irrorata", "Rhabdopholis margaretae", "Rhabdopholis robertsi", "Rhachistoplia aurata", "Rhadinolontha mimetica", "Rhinaspis aenea", "Rhinaspis aeneocuprea", "Rhinaspis aeneofusca", "Rhinaspis dilaticornis", "Rhinaspis fuhrmanni", "Rhinaspis fusca", "Rhinaspis hypocrita", "Rhinaspis micans", "Rhinaspis murina", "Rhinaspis ohausi", "Rhinaspis rugicollis", "Rhinaspis setosa", "Rhinaspis umbilicata", "Rhinaspis volvulus", "Rhizoproctus aspersus", "Rhizoproctus aurescens", "Rhizoproctus exhaustus", "Rhizoproctus usambarae", "Rhizotrogus aequalis", "Rhizotrogus alcaidei", "Rhizotrogus alicantinus", "Rhizotrogus almeriensis", "Rhizotrogus angelesae", "Rhizotrogus asperiventris", "Rhizotrogus ballioni", "Rhizotrogus balloyi", "Pseudotrochalus consimilis", "Pseudotrochalus constrictus", "Pseudotrochalus crinitus", "Pseudotrochalus dahomeyanus", "Pseudotrochalus densicollis", "Pseudotrochalus dichrous", "Pseudotrochalus durbanus", "Pseudotrochalus ertli", "Pseudotrochalus excisiceps", "Pseudotrochalus falkensteini", "Pseudotrochalus fallaciosus", "Pseudotrochalus fraterculus", "Pseudotrochalus fusculus", "Pseudotrochalus gabonus", "Pseudotrochalus gilsoni", "Pseudotrochalus hutsebauti", "Pseudotrochalus infans", "Pseudotrochalus iridescens", "Pseudotrochalus kigomanus", "Pseudotrochalus kolleri", "Pseudotrochalus kulzeri", "Pseudotrochalus lamtoensis", "Pseudotrochalus leontovitchi", "Pseudotrochalus lepersonneae", "Pseudotrochalus liberianus", "Pseudotrochalus lomamiensis", "Pseudotrochalus longithorax", "Pseudotrochalus lujai", "Pseudotrochalus massarti", "Pseudotrochalus minimus", "Pseudotrochalus neavei", "Pseudotrochalus niger", "Pseudotrochalus nigritus", "Pseudotrochalus nigroaeneus", "Pseudotrochalus nigrofuscus", "Pseudotrochalus nigrosericatus", "Pseudotrochalus nigroviridis", "Pseudotrochalus nitidulus", "Pseudotrochalus parvulus", "Pseudotrochalus piceoniger", "Pseudotrochalus praecellens", "Pseudotrochalus propinquus", "Pseudotrochalus puncticollis", "Pseudotrochalus pygmaeus", "Pseudotrochalus quadrilineatus", "Pseudotrochalus quadrisubmaculata", "Pseudotrochalus rufobrunneus", "Pseudotrochalus rufolineatus", "Pseudotrochalus rugosiceps", "Pseudotrochalus sankuruensis", "Pseudotrochalus schubotzi", "Pseudotrochalus seriatipennis", "Pseudotrochalus sericinus", "Pseudotrochalus sexflabellatus", "Pseudotrochalus sexlineatus", "Pseudotrochalus sjostedti", "Pseudotrochalus splendens", "Pseudotrochalus subcostatus", "Pseudotrochalus subnudus", "Pseudotrochalus subtruncatus", "Pseudotrochalus sulcipennis", "Pseudotrochalus superbus", "Pseudotrochalus urunguensis", "Pseudotrochalus validipes", "Rubilepis camuseti", "Rubilepis costata", "Sabatinelloplia contractus", "Sabatinelloplia ovata", "Sarothromerus aranda", "Sarothromerus niger", "Sarothromerus sharpi", "Scapanoclypeus aberrans", "Scapanoclypeus aulacocoleatus", "Scapanoclypeus brunneus", "Scapanoclypeus carinatus", "Scapanoclypeus cornutus", "Scapanoclypeus hardap", "Scapanoclypeus sinepunctatus", "Scapanoclypeus testaceus", "Scapanoclypeus triapicalis", "Scaphorhina colmanti", "Scaphorhina crinipes", "Scaphorhina echanticeps", "Scaphorhina elachista", "Scaphorhina hirsuta", "Scaphorhina hirticollis", "Scaphorhina laeviceps", "Scaphorhina rugipennis", "Scaphorhina schoolmeestersi", "Scelidothrix nigropilosa", "Scelidothrix veroniciana", "Scelophysa capensis", "Scelophysa colvillei", "Scelophysa endroedyyougai", "Scelophysa militaris", "Scelophysa pickeri", "Scelophysa pruinosa", "Scelophysa scheffoldi", "Scelophysa schoenherri", "Scelophysa steineri", "Scelophysa strandfonteinensis", "Scelophysa ulrichi", "Schismatocera nitidula", "Schizochelus bicoloripes", "Schizochelus flavescens", "Schizonycha excisiceps", "Schizonycha heudelottii", "Schizonycha iringana", "Schizonycha mussitans", "Schizonycha abdicta", "Schizonycha abenaba", "Schizonycha abrupta", "Schizonycha abscondita", "Schizonycha abyssinica", "Schizonycha affinis", "Schizonycha africana", "Schizonycha algirina", "Schizonycha algoa", "Schizonycha ambigua", "Schizonycha amitina", "Schizonycha amoena", "Schizonycha ampliaticollis", "Schizonycha angolana", "Schizonycha angolensis", "Schizonycha angulata", "Schizonycha angustata", "Schizonycha angustiformis", "Schizonycha angustula", "Schizonycha armipes", "Schizonycha aruficollis", "Schizonycha aschantica", "Schizonycha aspera", "Schizonycha aspericollis", "Schizonycha attenuata", "Schizonycha balaena", "Schizonycha barda", "Schizonycha benguellana", "Schizonycha biangulata", "Schizonycha bicolor", "Schizonycha bicolorata", "Schizonycha bidentata", "Schizonycha biimpressicollis", "Schizonycha bohemani", "Schizonycha bomuana", "Schizonycha borana", "Schizonycha boschimana", "Schizonycha bottegoi", "Schizonycha brevicollis", "Schizonycha buettikeri", "Schizonycha bukobana", "Schizonycha callosicollis", "Schizonycha canala", "Schizonycha capensis", "Schizonycha carbonaria", "Schizonycha castanea", "Schizonycha caudata", "Schizonycha cervina", "Schizonycha chaetolepida", "Schizonycha ciliata", "Schizonycha circularis", "Schizonycha citima", "Schizonycha clypealis", "Schizonycha collarti", "Schizonycha colmanti", "Schizonycha comosa", "Schizonycha compacta", "Schizonycha confinis", "Schizonycha congoana", "Schizonycha consobrina", "Schizonycha constrata", "Schizonycha consueta", "Schizonycha continens", "Schizonycha cordofana", "Schizonycha crenata", "Schizonycha crenaticollis", "Schizonycha crenicollis", "Schizonycha crenulata", "Schizonycha cribrata", "Schizonycha crinita", "Schizonycha cylindrata", "Schizonycha cylindrica", "Schizonycha damarina", "Schizonycha debilis", "Schizonycha deceptor", "Schizonycha decipiens", "Schizonycha deserta", "Schizonycha diehli", "Schizonycha dilucida", "Schizonycha diredauana", "Schizonycha discocalcarata", "Schizonycha disputabilis", "Schizonycha dissensa", "Rhizotrogus beauprei", "Rhizotrogus breviceps", "Rhizotrogus camerosensis", "Rhizotrogus carduorum", "Rhizotrogus cariosicollis", "Rhizotrogus chevrolati", "Rhizotrogus cicatricosus", "Rhizotrogus coiffaiti", "Rhizotrogus creticus", "Rhizotrogus curtus", "Rhizotrogus flavicans", "Rhizotrogus genei", "Rhizotrogus gracilis", "Rhizotrogus granatensis", "Rhizotrogus guruguensis", "Rhizotrogus hirticollis", "Rhizotrogus hirtipectus", "Rhizotrogus ifranensis", "Rhizotrogus iglesiasi", "Rhizotrogus impressifrons", "Rhizotrogus latesulcatus", "Rhizotrogus lejeuni", "Rhizotrogus maculicollis", "Rhizotrogus marginipes", "Rhizotrogus mascarauxi", "Rhizotrogus monticola", "Rhizotrogus neglectus", "Rhizotrogus nevadensis", "Rhizotrogus nitidiventris", "Rhizotrogus pallescens", "Rhizotrogus pallidipennis", "Rhizotrogus parvulus", "Rhizotrogus pilosissimus", "Rhizotrogus ribbei", "Rhizotrogus rosalesi", "Rhizotrogus rotroui", "Rhizotrogus sassariensis", "Rhizotrogus schaufussi", "Rhizotrogus schimperi", "Rhizotrogus stigmaticollis", "Rhizotrogus subemarginatus", "Rhizotrogus subsinuatus", "Rhizotrogus sulcifer", "Rhizotrogus truncatifrons", "Rhizotrogus villiersi", "Rhopaea assimilis", "Rhopaea australis", "Rhopaea decipiens", "Rhopaea heterodactyla", "Rhopaea hirtuosa", "Rhopaea laticollis", "Rhopaea magnicornis", "Rhopaea nigricollis", "Rhopaea pilosa", "Rhopaea verreauxi", "Rhynchapogonia acuminata", "Rhynchapogonia minima", "Rhynchoserica clypeata", "Rhynchoserica rostrata", "Rhyxicephalus rugifrons", "Rhyxiderma celebensis", "Rimuloplia alluaudi", "Robinsonelliana unidentata", "Rubilepis bimaculata", "Schizonycha dissimilis", "Schizonycha distincta", "Schizonycha distinguenda", "Schizonycha divulsa", "Schizonycha dumonti", "Schizonycha duplicata", "Schizonycha durbana", "Schizonycha effeta", "Schizonycha eggeliana", "Schizonycha elegans", "Schizonycha elongata", "Schizonycha elongatula", "Schizonycha eremita", "Schizonycha errabunda", "Schizonycha ertli", "Schizonycha etischizoides", "Schizonycha exclusa", "Schizonycha exigua", "Schizonycha fartula", "Schizonycha fatidica", "Schizonycha feirana", "Schizonycha ferruginea", "Schizonycha ferrugineipennis", "Schizonycha filiola", "Schizonycha fimbriata", "Schizonycha flabellata", "Schizonycha flaveola", "Schizonycha flavescens", "Schizonycha flavicornis", "Schizonycha flavorufa", "Schizonycha fourchei", "Schizonycha fraudigera", "Schizonycha frontalis", "Schizonycha fulvicornis", "Schizonycha fulvipennis", "Schizonycha fulvonitens", "Schizonycha fusca", "Schizonycha fuscescens", "Schizonycha gallana", "Schizonycha geilenkeuseri", "Schizonycha genitalis", "Schizonycha gerstaeckeri", "Schizonycha gibbitarsa", "Schizonycha glabra", "Schizonycha globa", "Schizonycha globator", "Schizonycha gonaqua", "Schizonycha gonaquoides", "Schizonycha gracilis", "Schizonycha granulata", "Schizonycha granulicollis", "Schizonycha graueri", "Schizonycha grossa", "Schizonycha hahoensis", "Schizonycha hamata", "Schizonycha hamifera", "Schizonycha hauseri", "Schizonycha hecistopsiloides", "Schizonycha hermanni", "Schizonycha humbloti", "Schizonycha ignava", "Schizonycha imitatrix", "Schizonycha immixta", "Schizonycha impressa", "Schizonycha microphylla", "Schizonycha mimocontinens", "Schizonycha minima", "Schizonycha minor", "Schizonycha minuta", "Schizonycha modesta", "Schizonycha montana", "Schizonycha muansana", "Schizonycha mucrorea", "Schizonycha nairobensis", "Schizonycha natalensis", "Schizonycha neglecta", "Schizonycha nigricornis", "Schizonycha nilotica", "Schizonycha noscitata", "Schizonycha nyassica", "Schizonycha obscuricolor", "Schizonycha occipitalis", "Schizonycha ovampoana", "Schizonycha ovatula", "Schizonycha overlaeti", "Schizonycha parallela", "Schizonycha parilis", "Schizonycha parva", "Schizonycha parvula", "Schizonycha paterna", "Schizonycha pauperata", "Schizonycha pectoralis", "Schizonycha perforata", "Schizonycha peringueyi", "Schizonycha perplexabilis", "Schizonycha piceonigra", "Schizonycha pilosa", "Schizonycha profuga", "Schizonycha propinqua", "Schizonycha pseudoparvula", "Schizonycha pseudosquamifera", "Schizonycha puerilis", "Schizonycha puguensis", "Schizonycha punctatissima", "Schizonycha puncticollis", "Schizonycha pygidialis", "Schizonycha pygmaea", "Schizonycha quaesita", "Schizonycha retusa", "Schizonycha rhizotrogoides", "Schizonycha rhodesiana", "Schizonycha richardi", "Schizonycha rodhaini", "Schizonycha rorida", "Schizonycha rotunda", "Schizonycha ruandana", "Schizonycha rubricollis", "Schizonycha rudicollis", "Schizonycha ruficollis", "Schizonycha rufina", "Schizonycha rufoflava", "Schizonycha rufula", "Schizonycha rugifrons", "Schizonycha rugosa", "Schizonycha rurigena", "Schizonycha russula", "Schizonycha saga", "Schizonycha saginata", "Schizonycha inaequalis", "Schizonycha increta", "Schizonycha inedita", "Schizonycha infantilis", "Schizonycha infarsa", "Schizonycha inflativentris", "Schizonycha inops", "Schizonycha inostralis", "Schizonycha insuesa", "Schizonycha insularis", "Schizonycha insulicola", "Schizonycha integra", "Schizonycha interna", "Schizonycha irangiana", "Schizonycha jokona", "Schizonycha jordani", "Schizonycha juncta", "Schizonycha kabindana", "Schizonycha kakomae", "Schizonycha kameruna", "Schizonycha katangana", "Schizonycha keniana", "Schizonycha keniensis", "Schizonycha kigonserana", "Schizonycha kirumbana", "Schizonycha kivuensis", "Schizonycha kiwuana", "Schizonycha kocheri", "Schizonycha kochi", "Schizonycha kolbei", "Schizonycha kristensi", "Schizonycha laeviscutata", "Schizonycha languens", "Schizonycha laticia", "Schizonycha layeti", "Schizonycha lebidis", "Schizonycha lembana", "Schizonycha lepichaeta", "Schizonycha lepidiota", "Schizonycha lepidophora", "Schizonycha leupolti", "Schizonycha lindiana", "Schizonycha litoralis", "Schizonycha livada", "Schizonycha livida", "Schizonycha loandana", "Schizonycha longa", "Schizonycha longitarsis", "Schizonycha longula", "Schizonycha lukulediana", "Schizonycha luridipennis", "Schizonycha lutescens", "Schizonycha macrophylla", "Schizonycha major", "Schizonycha manicana", "Schizonycha manowensis", "Schizonycha marginata", "Schizonycha maritima", "Schizonycha matabelena", "Schizonycha mediastina", "Schizonycha meinhardti", "Schizonycha meracula", "Schizonycha methneri", "Schizonycha microlepida", "Scitala dispar", "Scitala eremia", "Scitala fustula", "Scitala glabra", "Scitala hirticeps", "Scitala howdeni", "Scitala iridipennis", "Scitala juvenis", "Scitala minuta", "Scitala nana", "Scitala nemesis", "Scitala papuana", "Scitala pullata", "Scitala rorida", "Scitala satelles", "Scitala sericans", "Scitala simulans", "Scitala sororia", "Scitala uptoni", "Scitala volux", "Scitaloides malanda", "Sciton flavocastaneus", "Sciton paullus", "Sciton ruber", "Sciton variicollis", "Sebakwe castanea", "Sebakwe congoensis", "Sebakwe coriacea", "Sebakwe ituriensis", "Sebakwe lachnosternoides", "Sebakwe pallida", "Sebakwe richardi", "Sebaris lanuginosa", "Sebaris palpalis", "Selaserica confirmata", "Selaserica convexiuscula", "Selaserica distincticornis", "Selaserica impexa", "Selaserica implicata", "Selaserica kanneliyana", "Selaserica knucklensis", "Selaserica lucidicollis", "Selaserica maculicauda", "Selaserica nitida", "Selaserica nuwarana", "Selaserica padukkana", "Selaserica praetexta", "Selaserica pusilla", "Selaserica scutellaris", "Selaserica sericea", "Selaserica sinharajana", "Selaserica splendifica", "Selaserica wilpattuensis", "Selomothus diversiceps", "Semienaria descarpentriesi", "Serica abdita", "Serica acicula", "Serica acontia", "Serica adspersa", "Serica adungana", "Serica adversa", "Serica aemula", "Serica alabama", "Serica albisetis", "Phyllophaga lanepta", "Phyllophaga larimar", "Phyllophaga latens", "Phyllophaga latidens", "Phyllophaga latifrons", "Phyllophaga latiungula", "Phyllophaga lebasii", "Phyllophaga leonilae", "Phyllophaga leonina", "Phyllophaga leporina", "Phyllophaga leprieuri", "Phyllophaga leptospica", "Phyllophaga linharesensis", "Phyllophaga lobata", "Phyllophaga lodingi", "Phyllophaga longicornis", "Phyllophaga longifoliata", "Phyllophaga longispina", "Phyllophaga longitarsa", "Phyllophaga lorencita", "Phyllophaga lota", "Phyllophaga loxichana", "Phyllophaga luctuosa", "Phyllophaga macasana", "Phyllophaga macrophylla", "Phyllophaga maculicollis", "Phyllophaga magnicornis", "Phyllophaga mali", "Phyllophaga manantleca", "Phyllophaga manaosana", "Phyllophaga marcano", "Phyllophaga marginalis", "Phyllophaga mariana", "Phyllophaga martiana", "Phyllophaga martinezi", "Phyllophaga martinezpalaciosi", "Phyllophaga matacapana", "Phyllophaga menetriesi", "Phyllophaga mentalis", "Phyllophaga mexicana", "Phyllophaga micans", "Phyllophaga microcerus", "Phyllophaga microchaeta", "Phyllophaga microphylla", "Phyllophaga mitlana", "Phyllophaga moei", "Phyllophaga molopia", "Phyllophaga monana", "Phyllophaga monrosi", "Phyllophaga montserratensis", "Phyllophaga morganella", "Phyllophaga morgani", "Phyllophaga murina", "Phyllophaga muwieriana", "Phyllophaga nandalumia", "Phyllophaga naranjina", "Phyllophaga navassa", "Phyllophaga navidad", "Phyllophaga nebulosa", "Phyllophaga necaxa", "Phyllophaga nepida", "Phyllophaga nevermannea", "Phyllophaga nevermanni", "Serica alleni", "Serica ammomenisco", "Serica anomala", "Serica anthracina", "Serica apatela", "Serica arkansana", "Serica aspera", "Serica asperula", "Serica atracapilla", "Serica atratula", "Serica aviceps", "Serica baiyungshanica", "Serica barri", "Serica behluddinensis", "Serica bicornis", "Serica blatchleyi", "Serica boops", "Serica brevitarsis", "Serica bruneri", "Serica brunnescens", "Serica calignosa", "Serica campestris", "Serica capensis", "Serica carbonaria", "Serica carolina", "Serica catalina", "Serica chaetosoma", "Serica chicoensis", "Serica chinhillensis", "Serica clypealis", "Serica coalinga", "Serica concinna", "Serica contorta", "Serica craighead", "Serica cribripennis", "Serica cruzi", "Serica curitpennis", "Serica curvata", "Serica cuyamaca", "Serica cyclonotus", "Serica dathei", "Serica davidkrali", "Serica delicata", "Serica deserticola", "Serica deuvei", "Serica diablo", "Serica dolens", "Serica duplex", "Serica echigoana", "Serica egregia", "Serica elmontea", "Serica elongata", "Serica elongatula", "Serica elusa", "Serica ensenada", "Serica evidens", "Serica excisa", "Serica falcata", "Serica falli", "Serica feisintsiensis", "Serica fimbriata", "Serica floridana", "Serica foobowana", "Serica formosana", "Serica ovata", "Serica pallida", "Serica pallipes", "Serica panda", "Serica panwarensis", "Serica parallela", "Serica parasquamosa", "Serica parvula", "Serica pavonia", "Serica peleca", "Serica perigonia", "Serica pilifera", "Serica planifrons", "Serica polita", "Serica porcula", "Serica prava", "Serica pruinipennis", "Serica psammobunus", "Serica pullata", "Serica pulvinosa", "Serica pusilla", "Serica regia", "Serica repanda", "Serica rhypha", "Serica rosinae", "Serica rossi", "Serica rubiginosa", "Serica rubricollis", "Serica rufoguttata", "Serica sandiegensis", "Serica satrapa", "Serica scaphia", "Serica sculptilis", "Serica scutellaris", "Serica segregata", "Serica sejugata", "Serica semicincta", "Serica semicribrosa", "Serica senta", "Serica septemfoliata", "Serica septentrionalis", "Serica serensia", "Serica sericea", "Serica sericeoides", "Serica serotina", "Serica serripes", "Serica setifera", "Serica silviae", "Serica sinuaticeps", "Serica solita", "Serica solivaga", "Serica sparsa", "Serica sphaerica", "Serica spicula", "Serica sponsa", "Serica squamosa", "Serica stygia", "Serica subglobosa", "Serica subnisa", "Serica subpilosa", "Serica takagii", "Serica tantula", "Serica texana", "Serica tokejii", "Maechidius perigrinus", "Maechidius pilosus", "Maechidius proximus", "Maechidius puncticollis", "Maechidius pygidialis", "Maechidius raucus", "Maechidius relictus", "Maechidius rufus", "Maechidius rugicollis", "Maechidius rugosicollis", "Maechidius rugosipes", "Maechidius savagei", "Maechidius seriepunctatus", "Maechidius serigranosus", "Maechidius serratus", "Maechidius setosellus", "Maechidius setosus", "Maechidius simplex", "Maechidius sordidus", "Maechidius spurius", "Maechidius squamipennis", "Maechidius stradbrokensis", "Maechidius sturnus", "Maechidius subcostatus", "Maechidius tarsalis", "Maechidius tibialis", "Maechidius tridentatus", "Maechidius tumidifrons", "Maechidius variolosus", "Maechidius vicinus", "Maechidius wilsoni", "Maechidius woodlarkianus", "Mahafalyanus clementi", "Makalaka rhodesiana", "Makoanus lanatus", "Maladera cobosi", "Maladera espagnoli", "Maladera euphorbiae", "Maladera golovjankoi", "Maladera longipennis", "Maladera lukjanovitschi", "Maladera aureola", "Maladera cruralis", "Maladera secreta", "Maladera affinis", "Maladera allolaterita", "Maladera bangaloreensis", "Maladera beata", "Maladera boettcheri", "Maladera bombycina", "Maladera bombycinoides", "Maladera caifensis", "Maladera cardoni", "Maladera carinifrons", "Maladera castanea", "Maladera cinnaberina", "Maladera dunhindaensis", "Maladera ekisi", "Maladera faceta", "Maladera formosae", "Maladera fusca", "Maladera globosa", "Maladera hiekei", "Maladera hongkongica", "Serica tomiensis", "Serica trapezicollis", "Serica trichofemorata", "Serica tristis", "Serica trociformis", "Serica tryznai", "Serica umbrosa", "Serica unicolor", "Serica variolosa", "Serica ventura", "Serica vespertina", "Serica watson", "Serica werneri", "Serica wrasei", "Serica wrzecionkoi", "Serica yoshidai", "Sericania alternata", "Sericania angulata", "Sericania awana", "Sericania carinata", "Sericania chikuzensis", "Sericania elongata", "Sericania fuscolineata", "Sericania galloisi", "Sericania hazarensis", "Sericania heinzi", "Sericania hidana", "Sericania kadowakii", "Sericania khagana", "Sericania kirai", "Sericania kobayashii", "Sericania koryoensis", "Sericania latisulcata", "Sericania lewisi", "Sericania marginata", "Sericania matusitai", "Sericania mimica", "Sericania miyakei", "Sericania ohirai", "Sericania ohtakei", "Sericania opaca", "Sericania quadrifoliata", "Sericania sachalinensis", "Sericania serripes", "Sericania shikokuana", "Sericania sinuata", "Sericania tohokuensis", "Sericania yamauchii", "Sericania yanoi", "Sericesthis accola", "Sericesthis anepsia", "Sericesthis antennalis", "Sericesthis armaticeps", "Sericesthis bisetosa", "Sericesthis brooksi", "Sericesthis calignea", "Sericesthis carnei", "Sericesthis cinnamea", "Sericesthis consanguinea", "Sericesthis coolumensis", "Sericesthis egens", "Sericesthis elderi", "Sericesthis erosa", "Sericesthis fovea", "Serica frosti", "Serica fulvopubens", "Serica fusa", "Serica fusciceps", "Serica fusifemorata", "Serica georgiana", "Serica gracilicornis", "Serica gracilipes", "Serica granulosa", "Serica hamifera", "Serica heteracantha", "Serica heydeni", "Serica hirsuta", "Serica hirtella", "Serica horrida", "Serica howdeni", "Serica humboldti", "Serica imitans", "Serica inaequalis", "Serica incurvata", "Serica inexspectata", "Serica intermixta", "Serica iricolor", "Serica jindrai", "Serica kalabi", "Serica karafutoensis", "Serica kitulgalana", "Serica klapperichi", "Serica lagoi", "Serica laguna", "Serica lalashana", "Serica langeri", "Serica latesquamata", "Serica lepidula", "Serica ligulata", "Serica lijiangensis", "Serica lodingi", "Serica longula", "Serica loxia", "Serica lupina", "Serica lurida", "Serica mackenziei", "Serica maculosa", "Serica micans", "Serica mixta", "Serica moupinensis", "Serica mystaca", "Serica nagana", "Serica nana", "Serica nanjiangana", "Serica nigricans", "Serica nigrobrunnea", "Serica nigroguttata", "Serica nigroguttulata", "Serica nigromaculosa", "Serica nigrovariata", "Serica niijima", "Serica nipponica", "Serica nitens", "Serica nitididorsis", "Serica ochrosoma", "Serica oliver", "Serica opacithorax", "Serica opposita", "Sericoides obscura", "Sericoides olivacea", "Sericoides opacipennis", "Sericoides pallida", "Sericoides palpalis", "Sericoides philippiana", "Sericoides picea", "Sericoides piligera", "Sericoides pubescens", "Sericoides punctata", "Sericoides rechencqui", "Sericoides rufeola", "Sericoides rufescens", "Sericoides rufocastanea", "Sericoides rugosula", "Sericoides sinuaticollis", "Sericoides striata", "Sericoides subcostata", "Sericoides sulcatopunctata", "Sericoides sylvatica", "Sericoides testacea", "Sericoides variegata", "Sericoides variolosa", "Sericoides vestita", "Sericoides viridis", "Setiserica pygmaea", "Setiserica thailandica", "Siamophylla grootaerti", "Socotraproctus haghier", "Somatoserica sikorae", "Sophrops brevisetosa", "Sophrops holosetosa", "Sophrops yunnanica", "Sophrops acalcarium", "Sophrops acutangularis", "Sophrops analesetalis", "Sophrops arrowi", "Sophrops basicollis", "Sophrops bifenestratus", "Sophrops bituberculatus", "Sophrops brevisetalis", "Sophrops brunneus", "Sophrops burmanica", "Sophrops cantonensis", "Sophrops cephalotes", "Sophrops chinensis", "Sophrops coronarius", "Sophrops costatus", "Sophrops cotesi", "Sophrops cribripennis", "Sophrops defreinai", "Sophrops deliensis", "Sophrops densata", "Sophrops eurystomus", "Sophrops excisus", "Sophrops formosana", "Sophrops foveatus", "Sophrops hauseri", "Sophrops heteropyga", "Sophrops heydeni", "Sophrops himalayica", "Sophrops impressicollis", "Sophrops irregularis", "Sophrops kawadai", "Sericesthis geminata", "Sericesthis harti", "Sericesthis ignota", "Sericesthis illawarrae", "Sericesthis incisa", "Sericesthis incola", "Sericesthis ino", "Sericesthis insularis", "Sericesthis iris", "Sericesthis janetae", "Sericesthis latens", "Sericesthis lutea", "Sericesthis magna", "Sericesthis major", "Sericesthis metincisa", "Sericesthis micans", "Sericesthis minima", "Sericesthis miskoi", "Sericesthis nemoralis", "Sericesthis nigra", "Sericesthis nigrolineata", "Sericesthis palumae", "Sericesthis parallela", "Sericesthis parvipes", "Sericesthis propria", "Sericesthis proxima", "Sericesthis rectangula", "Sericesthis rufescens", "Sericesthis serena", "Sericesthis stipata", "Sericesthis storeyi", "Sericesthis suberosa", "Sericesthis suturalis", "Sericesthis tetrica", "Sericesthis vera", "Sericesthis vigilans", "Sericoides andina", "Sericoides antarcticus", "Sericoides argentinensis", "Sericoides atra", "Sericoides castanea", "Sericoides chilena", "Sericoides chilensis", "Sericoides chlorosticta", "Sericoides comata", "Sericoides convexa", "Sericoides delicatula", "Sericoides dubia", "Sericoides faminaei", "Sericoides frigida", "Sericoides germaini", "Sericoides glacialis", "Sericoides hirsuta", "Sericoides intermedia", "Sericoides lineolata", "Sericoides livida", "Sericoides lloydi", "Sericoides longipes", "Sericoides lucida", "Sericoides monticola", "Sericoides multicolor", "Sericoides nitida", "Sericoides nossi", "Sericoides obesa", "Sophrops keralensis", "Sophrops konishii", "Sophrops lata", "Sophrops latiuscula", "Sophrops longiflabella", "Sophrops luridipennis", "Sophrops mindanaoensis", "Sophrops opacidorsalis", "Sophrops pallidus", "Sophrops parviceps", "Sophrops paucisetosa", "Sophrops peronosporus", "Sophrops pexicollis", "Sophrops planicollis", "Sophrops promeanus", "Sophrops pruinosipyga", "Sophrops purkynei", "Sophrops reticulata", "Sophrops roeri", "Sophrops rotundicollis", "Sophrops rugata", "Sophrops rugipennis", "Sophrops rugulosa", "Sophrops schereri", "Sophrops sericeicollis", "Sophrops setosa", "Sophrops similis", "Sophrops simplex", "Sophrops singhalensis", "Sophrops standfussi", "Sophrops stenocorpus", "Sophrops striatus", "Sophrops subrugata", "Sophrops subrugosa", "Sophrops taiwana", "Sophrops takatoshii", "Sophrops thoracica", "Sophrops tonkinensis", "Sophrops umbilicata", "Sophrops yangbiensis", "Spaniolepis agilis", "Spaniolepis excavata", "Spaniolepis kivuensis", "Spaniolepis leonina", "Spathoschiza debilis", "Sphaeroscelis pectoralis", "Sphaerotrochalus boehmi", "Sphaerotrochalus brunneus", "Sphaerotrochalus madibiranus", "Sphaerotrochalus matabelensis", "Sphaerotrochalus politulus", "Sphaerotrochalus robustus", "Sphaerotrochalus rufosignatus", "Sphaerotrochalus simillimus", "Sphaerotrochalus somalicola", "Sphaerotrochalus tridentatus", "Sphaerotrochalus tristis", "Sphaerotrochalus wintgensi", "Sphecoserica gracilipennis", "Sphodroxia algirica", "Sphodroxia atripennis", "Sphodroxia maroccana", "Sphodroxia mauritanica", "Taiwanoserica gracilipes", "Taiwanoserica kubotai", "Taiwanoserica lishana", "Taiwanoserica monticola", "Taiwanoserica niitakana", "Taiwanoserica nitidipes", "Taiwanoserica ovata", "Taiwanoserica pubisterna", "Taiwanoserica shinanshana", "Taiwanoserica sigipinensis", "Taiwanoserica simillima", "Taiwanoserica sinuosa", "Taiwanoserica suturalis", "Taiwanoserica suzukii", "Taiwanoserica taiyal", "Taiwanoserica variegata", "Taiwanoserica wenchuanensis", "Taiwanoserica yui", "Taiwanotrichia dorsopilosa", "Taiwanotrichia hainanensis", "Taiwanotrichia longicornis", "Taiwanotrichia similis", "Taiwanotrichia sinocontinentalis", "Tamnoserica laevigata", "Tamnoserica lucidula", "Tamnoserica mutans", "Tanyproctoides freyi", "Tanyproctoides gormicus", "Tanyproctoides mirzayansinus", "Tanyproctoides silfverbergi", "Tanyproctoides arabicus", "Xanthotrogus tanyproctoides", "Tanyproctus adanensis", "Tanyproctus aphodioides", "Tanyproctus beskindensis", "Tanyproctus carceli", "Tanyproctus demaisoni", "Tanyproctus kraatzi", "Tanyproctus lamberti", "Tanyproctus latimanus", "Tanyproctus longipes", "Tanyproctus novicius", "Tanyproctus pilimargo", "Tanyproctus pygidialis", "Tanyproctus riparius", "Tanyproctus rugosulus", "Tanyproctus sinuatifrons", "Tanyproctus unicolor", "Tanyproctus verryi", "Tanyproctus yunnanicus", "Tanyproctus crinitus", "Tanyproctus delesserti", "Tanyproctus festivus", "Tanyproctus israeliticus", "Tanyproctus kriecheldorffi", "Tanyproctus lanatus", "Tanyproctus ledereri", "Tanyproctus minutus", "Tanyproctus nabataeus", "Tanyproctus portusus", "Tanyproctus pumilus", "Tanyproctus saulcyi", "Tanyproctus sinaiticus", "Tanyproctus syriacus", "Sphodroxia quedenfeldti", "Sphyrocallus brunneus", "Sphyrocallus desertus", "Sphyrocallus lloydi", "Stenochelyne noctis", "Stenopegylis cylindrica", "Stenoserica deceptor", "Stenoserica delagoana", "Stenoserica falsa", "Stenoserica freudei", "Stenoserica interpunctata", "Stenoserica kolbei", "Stenoserica zambesiana", "Stenoserica zambesicola", "Stenosophrops convexopyga", "Stenosophrops fuscicollis", "Stenosophrops longicornis", "Stenosophrops shykshana", "Stenosophrops tuberculata", "Stephanopholis cribricollis", "Stephanopholis lopezi", "Stephanopholis melolonthoides", "Stephanopholis philippinensis", "Stephanopholis rubicundus", "Stephanopholis singalensis", "Stethaspis prasinus", "Stigmatoplia nikolaji", "Stigmatoplia ornata", "Stilbotrochalus nitens", "Straliga croceicollis", "Suntemnonycha collusor", "Symmela bicoloripes", "Symmela angustula", "Symmela boliviensis", "Symmela brasiliensis", "Symmela clypeata", "Symmela corumbana", "Symmela costaricensis", "Symmela elegans", "Symmela instabilis", "Symmela jatahyensis", "Symmela longula", "Symmela mutabilis", "Symmela nitida", "Symmela nitidicollis", "Symmela opaca", "Symmela seticollis", "Symmela tarsalis", "Symmela tenella", "Symmela uniformis", "Symmela varians", "Synacta corrugata", "Synchilus gisleni", "Synclitopa simulatrix", "Synenaria borealis", "Syngeneschiza omrramba", "Syngeneschiza sellata", "Syngeneschiza tarsata", "Systellopus obtusus", "Taiwanoserica anmashana", "Taiwanoserica bihluhensis", "Taiwanoserica chengtuensis", "Taiwanoserica chunlinlii", "Taiwanoserica elongata", "Tanyproctus antennatus", "Tanyproctus araxidis", "Tanyproctus arher", "Tanyproctus armeniacus", "Tanyproctus batangicus", "Tanyproctus beludschistanus", "Tanyproctus bicuspidatus", "Tanyproctus bucharicus", "Tanyproctus canui", "Tanyproctus carbonarius", "Tanyproctus cariensis", "Tanyproctus confinis", "Tanyproctus davidis", "Tanyproctus dechambrei", "Tanyproctus eghtedari", "Tanyproctus eversmanni", "Tanyproctus farsensis", "Tanyproctus fastus", "Tanyproctus feai", "Tanyproctus francottei", "Tanyproctus ganglbaueri", "Tanyproctus gouverneuri", "Tanyproctus holzschuhi", "Tanyproctus indescriptus", "Tanyproctus inflatus", "Tanyproctus iranicus", "Tanyproctus jizu", "Tanyproctus jordaniacus", "Tanyproctus kabulensis", "Tanyproctus karenensis", "Tanyproctus keithi", "Tanyproctus kermanshahensis", "Tanyproctus kindermanni", "Tanyproctus kurdistanus", "Tanyproctus lacroixi", "Tanyproctus lydiensis", "Tanyproctus mourzinei", "Tanyproctus muchei", "Tanyproctus nitidus", "Tanyproctus opacipennis", "Tanyproctus ortospanaensis", "Tanyproctus ovatus", "Tanyproctus pallidus", "Tanyproctus pamphilus", "Tanyproctus parallelus", "Tanyproctus parvus", "Tanyproctus paulusi", "Tanyproctus persicola", "Tanyproctus persicus", "Tanyproctus poggii", "Tanyproctus puncticeps", "Tanyproctus reichei", "Tanyproctus rubicundus", "Tanyproctus rufidens", "Tanyproctus sabatinellii", "Tanyproctus samai", "Tanyproctus sanxiaensis", "Tanyproctus satanas", "Tanyproctus sichuanicus", "Tanyproctus similis", "Tanyproctus speculator", "Tanyproctus tenasserimensis", "Tanyproctus tuniseus", "Tanyproctus turanicus", "Tanyproctus varians", "Tanyproctus vedicus", "Tanyproctus waziristanicus", "Tanyproctus wraniki", "Tanyproctus xizangensis", "Tanyproctus yunnanus", "Tanyproctus zartoshti", "Tanzanilepis badia", "Tanzanipholis werneri", "Taphrocephala polita", "Tarsocamenta kapiriana", "Telura alta", "Telura imparilis", "Telura monticola", "Telura petiolata", "Telura vitticollis", "Teluroides clypealis", "Teluroides suturalis", "Tephraeoserica hauseri", "Terebrogaster pygidialis", "Terebrogaster squalida", "Termaladera timorana", "Termitophilus spadix", "Tetraserica anhuaensis", "Tetraserica changjiangensis", "Tetraserica changshouensis", "Tetraserica damaidiensis", "Tetraserica daqingshanica", "Tetraserica fikaceki", "Tetraserica gestroi", "Tetraserica graciliforceps", "Tetraserica jinghongensis", "Tetraserica leishanica", "Tetraserica liangheensis", "Tetraserica linaoshanica", "Tetraserica longipenis", "Tetraserica longzhouensis", "Tetraserica maoershanensis", "Tetraserica mengeana", "Tetraserica menglongensis", "Tetraserica pingjiangensis", "Tetraserica ruiliana", "Tetraserica ruiliensis", "Tetraserica sculptilis", "Tetraserica shangsiensis", "Tetraserica shunbiensis", "Tetraserica sigulianshanica", "Tetraserica tianchiensis", "Tetraserica tonkinensis", "Tetraserica wandingensis", "Tetraserica wangtongensis", "Tetraserica xichouensis", "Tetraserica yaoanica", "Tetraserica yaoquensis", "Thabina simplex", "Thoracoplia kuatunensis", "Thoracoplia pictipes", "Thoracotrichia somalica", "Thrymoserica fabulosa", "Thrymoserica tetraphylla", "Thyce deserta", "Thyce squamicollis", "Tiamidema kabakovi", "Koenigia alaskana var. alaskana", "Koenigia alaskana", "Koenigia alaskana var. glabrescens", "Hypecoum aequilobum", "Naudea magdalenae", "Asioreicheia guenardi", "Rugiluclivina promineoculata", "Fibrillithecis pachystoma", "Aphyosemion citrineipinnis", "Aphyosemion coeleste", "Aphyosemion joergenscheeli", "Aphyosemion ocellatum", "Aphyosemion caudofasciatum", "Aphyosemion abacinum", "Priochirus curtidentatus", "Priochirus deltodontus", "Priochirus trifurcus", "Neacomys spinosus", "Neacomys vargasllosai", "Neacomys amoenus", "Hypotrachyna halei", "Hoplia kunzii", "Hoplia paupera", "Neacomys tenuipes", "Neacomys pictus", "Knysna endroedyi", "Lanelater iranicus", "Cuzcodinella alejandroi", "Ampedus arcadicus", "Ampedus curdistanicus", "Ampedus hajdajorum", "Ampedus kroliki", "Ampedus lucbaueri", "Ampedus lundbergi", "Ampedus mertliki", "Ampedus szalokii", "Ampedus tianshanensis", "Cardiophorus hartmanni", "Cardiophorus heinzi", "Hypnoidus nadaii", "Melanotus zagrosensis", "Paracardiophorus prosvirovi", "Poemnites coreanus", "Trichinopus chuni", "Trichinopus flavipennis", "Trichinopus picipennis", "Trichinopus polygonus", "Trichinopus puncticollis", "Trichinopus rufescens", "Trichinopus titania", "Trichinopus villosulus", "Trichiodera bicarinita", "Tricholontha papagena", "Trichomaladera elongata", "Trichomaladera infortunata", "Trichomaladera rufofusca", "Trichomaladera yasutoshii", "Trichomaladera yui", "Trichoschiza gracilipes", "Trinoxia cyphonotoides", "Triodontella aberrans", "Triodontella abyssinica", "Triodontella alni", "Triodontella alternata", "Triodontella angusticrus", "Triodontella aquila", "Triodontella asiatica", "Triodontella boromensis", "Triodontella brevis", "Triodontella brunneipennis", "Triodontella bucculenta", "Triodontella burgeoni", "Triodontella calva", "Triodontella castiliana", "Triodontella colini", "Triodontella congoana", "Triodontella corsica", "Triodontella costipennis", "Triodontella cribellata", "Triodontella dalmatica", "Triodontella demelti", "Triodontella difformipes", "Triodontella dispar", "Triodontella dorsalis", "Triodontella eggeri", "Triodontella ferruginea", "Triodontella flavimana", "Triodontella flavipennis", "Triodontella flavofusca", "Triodontella gerardi", "Triodontella hovana", "Triodontella ikuthana", "Triodontella judaica", "Triodontella lajonquierei", "Triodontella lateristria", "Triodontella leonina", "Triodontella lineolata", "Triodontella lujai", "Triodontella luluensis", "Triodontella massarti", "Triodontella meruana", "Triodontella mimula", "Triodontella modesta", "Triodontella murina", "Triodontella nigripennis", "Triodontella nitidula", "Triodontella nyassana", "Tlaocera saga", "Tocama formosana", "Tocama hebeica", "Tocama laevipennis", "Tocama rubiginosa", "Tocama siamensis", "Tocama similis", "Tocama tonkinensis", "Tocama varimaculata", "Tocama zhangia", "Tosevskiana inexpectata", "Tosevskiana machackovae", "Tosevskiana sithoniensis", "Toxocnemis cochranei", "Toxophyllus ganglbaueri", "Toxospathius auriventris", "Toxospathius brevicollis", "Toxospathius inconstans", "Trachyserica longitarsa", "Trematodes grandis", "Trematodes paratenebrioides", "Trematodes potanini", "Trematodes tenebrioides", "Triacmoserica stegmanni", "Trichesthes ambigenus", "Trichesthes amplicornis", "Trichesthes antennata", "Trichesthes apicata", "Trichesthes brevidens", "Trichesthes brevisetosa", "Trichesthes calculisternis", "Trichesthes calculiventris", "Trichesthes candelaria", "Trichesthes cartaginesa", "Trichesthes chinanteca", "Trichesthes chorotega", "Trichesthes compostela", "Trichesthes crinalis", "Trichesthes crinita", "Trichesthes enkerliniana", "Trichesthes gigantea", "Trichesthes godmani", "Trichesthes guayabillosa", "Trichesthes ilhuicaminai", "Trichesthes laeviscutata", "Trichesthes lenis", "Trichesthes lissopyge", "Trichesthes macrocerus", "Trichesthes maximus", "Trichesthes microdon", "Trichesthes misteca", "Trichesthes monteverdosa", "Trichesthes multipora", "Trichesthes porodera", "Trichesthes rubella", "Trichesthes rugipennis", "Trichesthes setidorsis", "Trichesthes setifera", "Trichesthes testaceipennis", "Trichesthes transversicollis", "Trichesthes trichia", "Trichesthes tristis", "Trichesthes vetula", "Trichesthes yucateca", "Triodontella overlaeti", "Triodontella preissi", "Triodontella procera", "Triodontella raymondi", "Triodontella reitteri", "Triodontella rhodesiana", "Triodontella robusta", "Triodontella rufina", "Triodontella ruizi", "Triodontella sansibarica", "Triodontella sardoa", "Triodontella schoutedeni", "Triodontella sebakuana", "Triodontella sericans", "Triodontella seydeli", "Triodontella signaticollis", "Triodontella tarsalis", "Triodontella tinanti", "Triodontella truncata", "Triodontella tunisia", "Triodontella uhana", "Triodontella zuzartei", "Triodontonyx ukerewensis", "Triodonyx bellamyi", "Triodonyx gigantissima", "Triodonyx lalanza", "Triodonyx nogueirai", "Triodonyx woodruffi", "Trochaloschema armeniacum", "Trochaloschema chikatunovi", "Trochaloschema iris", "Trochaloschema kanevskajae", "Trochaloschema kryzhanovskii", "Trochaloschema lopatini", "Trochaloschema medvedevi", "Trochaloschema michailovi", "Trochaloschema ravshani", "Trochaloschema ruginota", "Trochaloschema saryhissorica", "Trochaloschema shukronajevi", "Trochaloschema tavildarense", "Trochaloschema vachshiana", "Trochaloschema valentini", "Trochalus alternans", "Trochalus badius", "Trochalus bailundensis", "Trochalus damarus", "Trochalus insignis", "Trochalus major", "Trochalus modestus", "Trochalus placens", "Trochalus tetraphyllus", "Trochalus zambesianus", "Trochalus zuluensis", "Trochalus aeneopiceus", "Trochalus aenescens", "Trochalus aereus", "Trochalus aeruginosa", "Trochalus aethiopicus", "Trochalus angolanus", "Trochalus ardoini", "Trochalus aruensis", "Trochalus atratus", "Trochalus beiranus", "Trochalus kilimanus", "Trochalus kindaensis", "Trochalus kisantuensis", "Trochalus kochi", "Trochalus kristenseni", "Trochalus kwiluensis", "Trochalus lamtoensis", "Trochalus lepidus", "Trochalus lindianus", "Trochalus longicornis", "Trochalus lucens", "Trochalus lucidulus", "Trochalus lukuledianus", "Trochalus macrocerus", "Trochalus macrophthalmus", "Trochalus maculifrons", "Trochalus mahjuensis", "Trochalus malelanus", "Trochalus margaritaceus", "Trochalus mashunus", "Trochalus massarti", "Trochalus maynei", "Trochalus micans", "Trochalus miniaticollis", "Trochalus monticola", "Trochalus motoensis", "Trochalus mwikanus", "Trochalus nigerianus", "Trochalus nigrescens", "Trochalus nigropiceus", "Trochalus niloticus", "Trochalus nitens", "Trochalus obtusidens", "Trochalus opacipennis", "Trochalus opaculus", "Trochalus opimus", "Trochalus orbiculatus", "Trochalus overlaeti", "Trochalus parvus", "Trochalus pectoralis", "Trochalus peramihoanus", "Trochalus piceolus", "Trochalus piceus", "Trochalus picipes", "Trochalus piger", "Trochalus pilula", "Trochalus plagiger", "Trochalus politus", "Trochalus pondoensis", "Trochalus pruinosus", "Trochalus puncticeps", "Trochalus quadrifoliatus", "Trochalus quinquedentatus", "Trochalus roseoviridis", "Trochalus rosettae", "Trochalus rotundatus", "Trochalus rubricatus", "Trochalus ruficolor", "Trochalus rufoflavus", "Trochalus rufofulvus", "Trochalus rufulus", "Trochalus rugifrons", "Trochalus saginatus", "Trochalus salaamus", "Trochalus schoutedeni", "Trochalus schwetzi", "Trochalus scutellaris", "Trochalus sebakuanus", "Trochalus semiaeneus", "Trochalus seminitens", "Trochalus sericeus", "Trochalus sibutanus", "Trochalus silfverbergi", "Trochalus similis", "Trochalus simplex", "Trochalus soyerae", "Trochalus spectabilis", "Trochalus sphaeroides", "Trochalus splendidulus", "Trochalus sternalis", "Trochalus subcarinatus", "Trochalus subnitens", "Trochalus subrotundus", "Trochalus sudanensis", "Trochalus sudanicus", "Trochalus tenuivestis", "Trochalus testaceipennis", "Trochalus theryi", "Trochalus tomentosus", "Trochalus toraensis", "Trochalus tridentatus", "Trochalus tuberculatus", "Trochalus uelleanus", "Trochalus ukamicus", "Trochalus ukerewius", "Trochalus umbugwensis", "Trochalus urbanus", "Trochalus urundiensis", "Trochalus urunguensis", "Trochalus usambaricus", "Trochalus uvirensis", "Trochalus vagus", "Trochalus vanderysti", "Trochalus villiersi", "Trochalus viridicollis", "Trochalus wauanus", "Trochalus yeboensis", "Trochalus zuluanus", "Tsaratanoplia sogai", "Ulata argentina", "Vadonaria ambreensis", "Vadonaria caliginosa", "Vadonaria guilhoni", "Vadonaria macrophalla", "Vadonaria maxima", "Vadonaria variegata", "Vanstaronia kochi", "Varencya conspersa", "Varencya devillei", "Varencya homalophalla", "Varencya intricata", "Varencya longiclava", "Varencya mocquerysi", "Varencya montana", "Varencya notata", "Varencya perinetensis", "Varencya picea", "Varencya tessellata", "Varencya varia", "Varencya variipennis", "Varencya vittata", "Vezoanus gruveli", "Wadaia costata", "Wadaia kaorui", "Warwickia pilosa", "Watkinsia bella", "Watkinsia macrops", "Watkinsia megalops", "Watkinsia monteithi", "Watkinsia sedlaceki", "Watkinsia tenebrosa", "Watkinsia vicina", "Watkinsia williamsi", "Webbella firma", "Webbella labralis", "Xanthotrogus validus", "Xanthotrogus cariniclypeatus", "Xanthotrogus fortis", "Xanthotrogus leonhardi", "Xanthotrogus peratratus", "Xanthotrogus semnanensis", "Xanthotrogus sieversi", "Xanthotrogus tadzhikorum", "Xanthotrogus tekkensis", "Xenaclopus borneensis", "Xenoceraspis calcaratus", "Xenoceraspis kurseongana", "Xenoceraspis longimacularis", "Xenotrochalus mirabilis", "Xenotrogus bisquamulata", "Xenotrogus solomonensis", "Xenotrogus subnitida", "Xenotrogus vestita", "Xenotrogus vitiensis", "Xylonichus dispar", "Xylonichus eucalypti", "Xylonichus monticola", "Xylonichus nigrescens", "Xylonichus piliger", "Xylonichus sternalis", "Xyridea hirticollis", "Xyrine carnei", "Xyrine inusitatus", "Xyroa alta", "Xyroa amoena", "Xyroa nitida", "Xyroa polita", "Xyrodes calorata", "Zaburina colombiana", "Zietzia geologa", "Zimbabuephylla salernei", "Zomba foai", "Zomba nyassiensis", "Dexamine filiola", "Ericthonius didymus", "Picromerus elevatus", "Hypotrachyna sinensis", "Stalacris meridionalis", "Epimicta sulciscutum", "Campylaimus bonariensis", "Hypotrachyna subnepalensis", "Campylaimus arcuatus", "Campylaimus patagonicus", "Hypotrachyna vexans", "Varanus salvator ziegleri", "Extenuoptyophis horridus", "Letharia arboricola", "Letharia arenaria", "Costelytra giveni", "Rhithrodytes minimus", "Delias diaphana treadawayi", "Lethe armandina armandina", "Letharia californica", "Letharia divaricata", "Letharia illyrica", "Letharia mesomorpha", "Potamites flavogularis", "Bachia scaea", "Imshaugia pyxiniformis", "Imshaugia sipmanii", "Imshaugia venezolana", "Arboridia anteoculara", "Arboridia baiyunensis", "Arboridia reniformis", "Arboridia lunula", "Arboridia cuihuashana", "Arboridia paraprocessa", "Arboridia echinata", "Arboridia tridentata", "Arboridia zhenyuana", "Rhynchophorus vulneratus", "Diplotaxis abnormis", "Diplotaxis academia", "Diplotaxis aenea", "Diplotaxis aequalis", "Diplotaxis aereomicans", "Diplotaxis alphamartinezi", "Diplotaxis alutacea", "Diplotaxis ambigua", "Diplotaxis amecameca", "Diplotaxis angularis", "Diplotaxis angustula", "Diplotaxis anneae", "Diplotaxis anthracina", "Diplotaxis anxius", "Diplotaxis arctifrons", "Diplotaxis arizonica", "Diplotaxis assimilis", "Diplotaxis atlantis", "Diplotaxis atramentaria", "Diplotaxis atratula", "Diplotaxis aulacochela", "Diplotaxis aurata", "Diplotaxis aurora", "Diplotaxis australis", "Diplotaxis bakeri", "Diplotaxis barbarae", "Diplotaxis basalis", "Diplotaxis belfragei", "Diplotaxis beyeri", "Diplotaxis bicolor", "Diplotaxis bidentata", "Diplotaxis bifida", "Diplotaxis blanchardi", "Diplotaxis boops", "Diplotaxis bowditchi", "Diplotaxis brachyptera", "Diplotaxis brevicollis", "Diplotaxis brevicornis", "Diplotaxis brevidens", "Diplotaxis brevipilosa", "Arhopala thamyras anthelius", "Arhopala thamyras anthore", "Letharia wandelensis", "Arhopala thamyras thamyras", "Arhopala thamyras minnetta", "Persicaria sect.", "Arhopala thamyras phryxus", "Diplotaxis hirsuta", "Diplotaxis hirtipes", "Diplotaxis icarus", "Diplotaxis iguala", "Diplotaxis illustris", "Diplotaxis impar", "Diplotaxis incisa", "Diplotaxis incuria", "Diplotaxis indigena", "Diplotaxis ingenua", "Diplotaxis insignis", "Diplotaxis jacala", "Diplotaxis jamaicensis", "Diplotaxis jardeli", "Diplotaxis juquilensis", "Diplotaxis knausi", "Diplotaxis kuschei", "Diplotaxis laevivertex", "Diplotaxis languida", "Diplotaxis latispina", "Diplotaxis lengi", "Diplotaxis levicosta", "Diplotaxis liberta", "Diplotaxis macronycha", "Diplotaxis macrotarsus", "Diplotaxis magna", "Diplotaxis marginicollis", "Diplotaxis marina", "Diplotaxis martinezi", "Diplotaxis mascula", "Diplotaxis maura", "Diplotaxis maya", "Diplotaxis mediafusca", "Diplotaxis megapleura", "Diplotaxis mentalis", "Diplotaxis metallescens", "Diplotaxis mexcala", "Diplotaxis microchele", "Diplotaxis microtrichia", "Diplotaxis mima", "Diplotaxis mimosae", "Diplotaxis misella", "Diplotaxis missionaria", "Diplotaxis mistura", "Diplotaxis moerens", "Diplotaxis monticola", "Diplotaxis multicarinata", "Diplotaxis muricata", "Diplotaxis mus", "Diplotaxis nigriventris", "Diplotaxis nitidicollis", "Diplotaxis obregon", "Diplotaxis obscura", "Diplotaxis ohausi", "Diplotaxis pacata", "Diplotaxis pala", "Diplotaxis parallela", "Diplotaxis parpolita", "Diplotaxis parvicollis", "Diplotaxis parvula", "Diplotaxis patyvauriea", "Diplotaxis persisae", "Diplotaxis pilifera", "Diplotaxis pilipennis", "Teleiodes cylindiata", "Helcystogramma haryensis", "Agonopterix holoceana", "Taraxacum stenocephalum", "Eulaiades femoralis", "Euknemoplia lacroixi", "Letharia pirionii", "Elachista paracollitella", "Pseudophilotes baton", "Pseudophilotes baton baton", "Pseudophilotes panoptes", "Pseudophilotes baton jacuticus", "Letharia soleirolii", "Letharia subdivaricata", "Hypecoum angustilobum", "Hypecoum dimidiatum", "Letharia thamnodes", "Hypecoum pseudograndiflorum", "Hypecoum trullatum", "Holotrichia herwangshana", "Holotrichia heterodactyla", "Holotrichia heterotincta", "Holotrichia hirsuta", "Holotrichia holovestita", "Holotrichia horishana", "Holotrichia inducta", "Holotrichia insecata", "Holotrichia intermedia", "Holotrichia intersa", "Holotrichia iridescens", "Holotrichia iridipennis", "Holotrichia kanarana", "Holotrichia kandulawai", "Holotrichia karschi", "Holotrichia kaszabi", "Holotrichia kiotonensis", "Holotrichia koraiensis", "Holotrichia kulzeri", "Holotrichia kunmina", "Holotrichia kwatungensis", "Holotrichia laevigata", "Holotrichia langeri", "Holotrichia lata", "Holotrichia laticeps", "Holotrichia liukueinsis", "Holotrichia longicarinata", "Holotrichia longilamellata", "Holotrichia longiuscula", "Holotrichia loochooana", "Holotrichia luangia", "Holotrichia madurensis", "Holotrichia magna", "Holotrichia marginicollis", "Holotrichia mausonia", "Holotrichia mizusawai", "Holotrichia montana", "Holotrichia montivaga", "Holotrichia mucida", "Holotrichia murzini", "Holotrichia nagpurensis", "Holotrichia nathani", "Holotrichia nicobarica", "Holotrichia nigrescens", "Holotrichia nigricollis", "Holotrichia nigrofusca", "Holotrichia nilgiria", "Holotrichia nilgirina", "Holotrichia notaticollis", "Holotrichia nubiliventris", "Holotrichia oblita", "Holotrichia obscura", "Holotrichia occipitalis", "Holotrichia ochrogaster", "Holotrichia omeia", "Holotrichia opacipennis", "Holotrichia opuana", "Holotrichia ovata", "Holotrichia pagana", "Holotrichia parallela", "Holotrichia parva", "Holotrichia parvioculata", "Holotrichia perotteti", "Holotrichia picea", "Phyllonorycter lobeliella", "Herona sumatrana", "Herona marathus", "Echyra rufopubens", "Echyra umbrina", "Diplotropis rufina", "Rohana parisatis", "Dicrania appendiculata", "Diplotaxis pinalica", "Diplotaxis planidens", "Diplotaxis polita", "Diplotaxis poropyge", "Diplotaxis profunda", "Diplotaxis puberea", "Diplotaxis puberula", "Diplotaxis pubipes", "Diplotaxis pumila", "Diplotaxis punctata", "Diplotaxis punctatorugosa", "Diplotaxis puncticeps", "Diplotaxis puncticollis", "Diplotaxis punctipennis", "Diplotaxis punctulata", "Diplotaxis pygidialis", "Diplotaxis residua", "Diplotaxis rex", "Diplotaxis rita", "Diplotaxis riusi", "Diplotaxis roberti", "Diplotaxis robertmarki", "Diplotaxis rockefelleri", "Diplotaxis rosae", "Diplotaxis rotunda", "Diplotaxis rudis", "Diplotaxis rufa", "Diplotaxis rufiola", "Diplotaxis rufipes", "Diplotaxis rugosifrons", "Diplotaxis rugosipennis", "Diplotaxis saltensis", "Diplotaxis saylori", "Diplotaxis schaefferi", "Diplotaxis selanderi", "Diplotaxis semifoveata", "Diplotaxis sierrae", "Diplotaxis simillima", "Diplotaxis simplicipes", "Diplotaxis sinuans", "Diplotaxis sonora", "Diplotaxis sordida", "Diplotaxis sparsa", "Diplotaxis spina", "Diplotaxis squamisetis", "Diplotaxis statura", "Diplotaxis subangulata", "Diplotaxis subcostata", "Diplotaxis subrugata", "Diplotaxis sulcatula", "Diplotaxis superflua", "Diplotaxis tarascana", "Diplotaxis tarsalis", "Diplotaxis tehuana", "Diplotaxis tenebrosa", "Diplotaxis tenuis", "Diplotaxis tepicana", "Diplotaxis texana", "Diplotaxis thoracica", "Diplotaxis trapezifera", "Diplotaxis trementina", "Diplotaxis tristis", "Diplotaxis truncatula", "Diplotaxis tumida", "Holotrichia pilifrons", "Holotrichia pilipyga", "Holotrichia pinguis", "Holotrichia plagiata", "Holotrichia planipennis", "Holotrichia plumbea", "Holotrichia problematica", "Holotrichia pruinosella", "Holotrichia pruinosipennis", "Holotrichia pubifemorata", "Holotrichia pulvinosa", "Holotrichia pygidialis", "Holotrichia quinquefoliata", "Holotrichia remorata", "Holotrichia repetita", "Holotrichia reynaudi", "Holotrichia richteri", "Holotrichia rosettae", "Holotrichia rotundiceps", "Holotrichia rubida", "Holotrichia rufescens", "Holotrichia rufina", "Holotrichia rufodorsalis", "Holotrichia rufoflava", "Holotrichia rufofulva", "Holotrichia rufula", "Holotrichia rufus", "Holotrichia rugans", "Holotrichia rugaticollis", "Holotrichia rugatifrons", "Holotrichia rugifrons", "Holotrichia rustica", "Holotrichia sakuraii", "Holotrichia sauteri", "Holotrichia schereri", "Holotrichia schmitzi", "Holotrichia sculpticollis", "Holotrichia sculptifrons", "Holotrichia scutata", "Holotrichia scutulata", "Holotrichia semihirta", "Holotrichia semiserrata", "Holotrichia semitomentosa", "Holotrichia senegalensis", "Holotrichia serrata", "Holotrichia serraticollis", "Holotrichia seticollis", "Holotrichia setiventris", "Holotrichia setosa", "Holotrichia severini", "Holotrichia sharpi", "Holotrichia shibatai", "Holotrichia shishona", "Holotrichia siamensis", "Holotrichia sichotana", "Holotrichia signatifrons", "Holotrichia sikkimana", "Holotrichia similis", "Holotrichia simillima", "Holotrichia sjoestedti", "Holotrichia sororia", "Holotrichia subrugipennis", "Holotrichia sumatrana", "Holotrichia szechuanensis", "Diplotaxis turgidula", "Diplotaxis tzitzio", "Diplotaxis ungulata", "Diplotaxis urbana", "Diplotaxis vandykei", "Diplotaxis veracruzana", "Diplotaxis xalapensis", "Diplotaxis yucateca", "Diplotaxis zapoteca", "Diplotaxis zeteki", "Holotrichia acuticollis", "Holotrichia akolana", "Holotrichia amamiana", "Holotrichia andamana", "Holotrichia andrewesi", "Holotrichia anthracina", "Holotrichia aritai", "Holotrichia atkinsoni", "Holotrichia barbata", "Holotrichia behrensi", "Holotrichia bengalensis", "Holotrichia bhutanensis", "Holotrichia bicolorata", "Holotrichia brenskeiana", "Holotrichia brunneipennis", "Holotrichia burmanica", "Holotrichia calliglypta", "Holotrichia canlaonensis", "Holotrichia carinata", "Holotrichia carmelita", "Holotrichia ceylonensis", "Holotrichia cochinchina", "Holotrichia consanguinea", "Holotrichia convexifrons", "Holotrichia convexopyga", "Holotrichia costulata", "Holotrichia dalatensis", "Holotrichia danielssoni", "Holotrichia danjoensis", "Holotrichia dannymohagani", "Holotrichia deliana", "Holotrichia deplanata", "Holotrichia desiderata", "Holotrichia diomphalia", "Holotrichia disparilis", "Holotrichia dohrni", "Holotrichia dolini", "Holotrichia dorsalis", "Holotrichia dubiosa", "Holotrichia ebentera", "Holotrichia egregia", "Holotrichia ernesti", "Holotrichia farinosa", "Holotrichia fissa", "Holotrichia freyi", "Holotrichia furcifer", "Holotrichia gaoligongshanicus", "Holotrichia gebleri", "Holotrichia glabriclypeata", "Holotrichia glabrifrons", "Holotrichia gressitti", "Holotrichia guandaoshana", "Holotrichia hankowiensis", "Holotrichia helleri", "Diplotaxis brevisetosa", "Diplotaxis caelestis", "Diplotaxis carbonata", "Diplotaxis carinata", "Diplotaxis carinifrons", "Diplotaxis catarinas", "Diplotaxis cavifrons", "Diplotaxis chiricahuae", "Diplotaxis circulans", "Diplotaxis clypeata", "Diplotaxis coenonychoides", "Diplotaxis commixta", "Diplotaxis completa", "Diplotaxis concava", "Diplotaxis conformis", "Diplotaxis confusa", "Diplotaxis connata", "Diplotaxis consentanea", "Diplotaxis consequens", "Diplotaxis contracta", "Diplotaxis convexilabrum", "Diplotaxis corbula", "Diplotaxis coriacea", "Diplotaxis corrosa", "Diplotaxis corvina", "Diplotaxis costanera", "Diplotaxis cribratella", "Diplotaxis cribraticollis", "Diplotaxis cribriceps", "Diplotaxis cribulosa", "Diplotaxis crinigera", "Diplotaxis crucis", "Diplotaxis curvaticeps", "Diplotaxis dahli", "Diplotaxis decima", "Diplotaxis denigrata", "Diplotaxis dentella", "Diplotaxis denticeps", "Diplotaxis dentipes", "Diplotaxis deserta", "Diplotaxis dissona", "Diplotaxis dubia", "Diplotaxis durango", "Diplotaxis elongata", "Diplotaxis errans", "Diplotaxis exstans", "Diplotaxis femoralis", "Diplotaxis fimbriata", "Diplotaxis fissilabris", "Diplotaxis fissilis", "Diplotaxis flavisetis", "Diplotaxis flexa", "Diplotaxis fossifrons", "Diplotaxis fossipalpa", "Diplotaxis foveicollis", "Diplotaxis frondicola", "Diplotaxis fulva", "Diplotaxis geos", "Diplotaxis glabrimargo", "Diplotaxis guatemalica", "Diplotaxis hallei", "Diplotaxis harperi", "Diplotaxis haydeni", "Diplotaxis hebes", "Melanohalea mexicana", "Melanohalea peruviana", "Arhopala aedias meritatas", "Melanohalea subexasperata", "Itame andersoni andersoni", "Itame andersoni orientis", "Itame sulphurea", "Itame sulphurea sulphurea", "Itame sulphurea amboflava", "Eupistheria sulphurea", "Palpita forficifera", "Melanelixia subvillosella", "Holotrichia teinzoana", "Holotrichia tenasserima", "Holotrichia tetarana", "Holotrichia tjibodasia", "Holotrichia tokara", "Holotrichia truncata", "Holotrichia tuberculata", "Holotrichia umbrata", "Holotrichia undulata", "Holotrichia ungulata", "Holotrichia vernicata", "Holotrichia vethi", "Holotrichia vietnamensis", "Holotrichia wangerbaoensis", "Holotrichia weyersi", "Holotrichia wiebesi", "Holotrichia yamayai", "Holotrichia yui", "Holotrichia yunnana", "Sparrmannia acicularis", "Sparrmannia alopex", "Sparrmannia angola", "Sparrmannia bechuana", "Sparrmannia boschimana", "Sparrmannia capicola", "Sparrmannia crinicollis", "Sparrmannia dekindti", "Sparrmannia discrepans", "Sparrmannia distincta", "Sparrmannia falcata", "Sparrmannia flava", "Sparrmannia flavofasciata", "Sparrmannia fusciventris", "Sparrmannia gonaqua", "Sparrmannia gorilla", "Sparrmannia leo", "Sparrmannia namaqua", "Sparrmannia namibia", "Sparrmannia obscura", "Sparrmannia peringueyi", "Sparrmannia prieska", "Sparrmannia pseudotransvaalica", "Sparrmannia similis", "Sparrmannia transvaalica", "Sparrmannia tridactyla", "Sparrmannia ursina", "Sparrmannia vicina", "Sparrmannia werneri", "Tricholepis albosquamosa", "Tricholepis bouvieri", "Tricholepis emmae", "Tricholepis lineata", "Tricholepis niveopilosa", "Tulbaghia cereris", "Tulbaghia lightfooti", "Tulbaghia patruelis", "Notodascillus iviei", "Crossodactylodes septentrionalis", "Crossodactylodes itambe", "Arhopala ace ace", "Arhopala ace arata", "Rumex hypogaeus", "Rumex spinosus", "Athlia freyi", "Itame andersoni", "Diastictis andersoni", "Trochalus bicarinatus", "Trochalus bituberculatus", "Trochalus bohemani", "Trochalus bonsae", "Trochalus bredoi", "Trochalus brevipes", "Trochalus byrrhinus", "Trochalus camaruensis", "Trochalus camerunensis", "Trochalus carinatus", "Trochalus cariniceps", "Trochalus cariniger", "Trochalus carinulatus", "Trochalus collarti", "Trochalus conspicuus", "Trochalus corinthia", "Trochalus corpulentus", "Trochalus crampelanus", "Trochalus denticeps", "Trochalus discoideus", "Trochalus distinctus", "Trochalus diversirostris", "Trochalus doblerae", "Trochalus ealanus", "Trochalus elisabethae", "Trochalus elisabethanus", "Trochalus endroedii", "Trochalus exasperans", "Trochalus excellens", "Trochalus ferranti", "Trochalus flavicornis", "Trochalus francevillensis", "Trochalus fraterculus", "Trochalus freynei", "Trochalus fulgidus", "Trochalus fulvescens", "Trochalus fulvicolor", "Trochalus fulvicornis", "Trochalus fulvus", "Trochalus fuscipes", "Trochalus fuscoaeneus", "Trochalus fuscorufus", "Trochalus gebieni", "Trochalus gibbus", "Trochalus globulus", "Trochalus guineensis", "Trochalus henrardi", "Trochalus heterosternus", "Trochalus hulstaerti", "Trochalus imitans", "Trochalus imputatus", "Trochalus infranitens", "Trochalus ingratus", "Trochalus inops", "Trochalus integriceps", "Trochalus iridescens", "Trochalus iridicolor", "Trochalus iringicus", "Trochalus jokoensis", "Trochalus kabindanus", "Trochalus kapirianus", "Trochalus kasenyensis", "Trochalus kigonseranus", "Gymnadenia orchidis", "Menegazzia capitata", "Menegazzia chrysogaster", "Menegazzia cincinnata", "Garrulax castanotis", "Garrulax courtoisi", "Garrulax ferrarius", "Garrulax taewanus", "Menegazzia circumsorediata", "Archepiolus schmidi", "Semiothisa pinistrobata", "Semiothisa marmorata", "Ouratea glomerata", "Centruroides sculpturatus", "Eoophyla latipennis", "Eoophyla latifascia", "Eoophyla thomasi", "Eoophyla persimilis", "Camenta madecassa", "Camenta magnicornis", "Camenta manguensis", "Camenta nigricollis", "Camenta obesa", "Camenta puerilis", "Camenta rubropilosa", "Camenta rufobrunnea", "Camenta rufoflava", "Camenta salisburiana", "Camenta schoutedeni", "Camenta setosella", "Camenta sjoestedti", "Camenta tinanti", "Camenta usambarana", "Camenta westermanni", "Arhopala aedias yendava", "Arhopala agelastus perissa", "Arhopala agelastus agelastus", "Aphyosemion pascheni", "Leptosiaphos amieti", "Dalaca rhodaula", "Hepialus thermodes", "Arhopala agesilaus agesilaus", "Eudalaca jordani", "Arhopala agesilaus gesa", "Arhopala agesilaus philippa", "Eminaria nigropunctata", "Spilosoma cincticorpus", "Acantharctia antemediata", "Spilosoma oligosticta", "Udea brevipalpis", "Udea cacuminicola", "Udea beringialis", "Udea derasa", "Udea livida", "Udea washingtonalis", "Udea washingtonalis washingtonalis", "Udea washingtonalis hollandi", "Udea washingtonalis nomensis", "Udea washingtonalis pribilofensis", "Udea turmalis", "Udea turmalis turmalis", "Udea turmalis catronalis", "Udea turmalis griseor", "Udea turmalis tularensis", "Udea itysalis", "Udea itysalis itysalis", "Udea itysalis albimontanalis", "Udea itysalis clarkensis", "Udea itysalis durango", "Udea itysalis kodiakensis", "Udea itysalis marinensis", "Udea itysalis mertensialis", "Udea itysalis rindgeorum", "Udea itysalis wasatchensis", "Udea abstrusa", "Hibbertia sejuncta", "Udea abstrusa abstrusa", "Udea abstrusa cordilleralis", "Udea abstrusa pullmanensis", "Udea abstrusa subarctica", "Dioryctria assamensis", "Dioryctria raoi", "Helionothrips rugatus", "Panchaetothrips bifurcus", "Arhopala alitaeus masarana", "Arhopala alitaeus mindanensis", "Arhopala alitaeus mira", "Menegazzia asekiensis", "Arhopala alitaeus mirabella", "Arhopala alitaeus myrtale", "Arhopala alitaeus pardenas", "Arhopala alitaeus zilensis", "Smithsonia maculata", "Smithsonia straminea", "Menegazzia aucklandica", "Arhopala amphimuta amphimuta", "Arhopala amphimuta milleriana", "Arhopala amphimuta quadra", "Arhopala avatha avatha", "Arhopala avatha lana", "Arhopala avathina avathina", "Arhopala avathina neon", "Arhopala azinis azinis", "Arhopala azinis kounga", "Arhopala barami barami", "Menegazzia hollermayeri", "Cochylis zelleri", "Amata artapha", "Amata banguia", "Amata dapontes", "Amata democharis", "Amata democles", "Amata eleonora", "Menegazzia megalospora", "Menegazzia opuntioides", "Menegazzia tenuis", "Menegazzia valdiviensis", "Menegazzia weindorferi", "Arhopala aronya mangyan", "Arhopala aronya kalinga", "Menegazzia coilocarpa", "Arhopala arsenius arsenius", "Drymophila hellmayri", "Arhopala arsenius everetti", "Drymophila klagesi", "Drymophila striaticeps", "Menegazzia dielsii", "Evergestis nicolasi", "Arhopala asinarus asinarus", "Arhopala asinarus tounguva", "Menegazzia digitiformis", "Menegazzia dissoluta", "Menegazzia efflorescens", "Arhopala barami woodii", "Menegazzia faminensis", "Menegazzia foraminulosa", "Trichoglossus rosenbergii", "Eupithecia alliaria", "Eupithecia alliaria alliaria", "Eupithecia alliaria jehannedarc", "Eupithecia zekiyae", "Eupithecia iranica", "Menegazzia fumarprotocetrarica", "Polystachya bancoensis", "Menegazzia norsorediata", "Angraecum bancoense", "Menegazzia globoisidiata", "Arhopala barami penanga", "Menegazzia hypernota", "Odontocheilopteryx malagassy", "Odontocheilopteryx meridionalis", "Cesacampa haigi", "Leposoma annectans", "Leposoma scincoides", "Arhopala camdeo camdeo", "Arhopala camdeo sebonga", "Menegazzia inflata", "Pterostylis metcalfei", "Menegazzia lucens", "Menegazzia pulchra", "Menegazzia kawesqarica", "Menegazzia malesiana", "Arhopala democritus democritus", "Arhopala democritus buxtoni", "Menegazzia megathallina", "Saramel caphira", "Saramel araxes", "Saramel toxopeusi", "Arhopala democritus lycaenaria", "Bloeteanella toxopeusi", "Ichthyomys stolzmanni", "Nisax amisena", "Menegazzia pendula", "Pantiala illusa", "Gnatheulia gnathocera", "Pycnospina centrota", "Lobogenesis centrota", "Icteralaria furcularia", "Icteralaria delicta", "Nyphaeba monommoides", "Nyphaeba mimica", "Nyphaeba germari", "Icteralaria bicerithium", "Icteralaria atemeles", "Icteralaria lacera", "Icteralaria modesta", "Tinospora orophila", "Koenigia polystachya", "Koenigia alpina", "Koenigia campanulata", "Persicaria nakaii", "Menegazzia sipeana", "Schizonycha salaama", "Schizonycha salisburiana", "Schizonycha sansibarica", "Schizonycha scabiosa", "Schizonycha schoutedeni", "Schizonycha scorteccii", "Schizonycha serrata", "Schizonycha setosipennis", "Schizonycha seydeli", "Schizonycha simillima", "Schizonycha singhalensis", "Schizonycha sinuaticeps", "Schizonycha spectabilis", "Schizonycha spiniventris", "Schizonycha spuria", "Schizonycha squamifera", "Schizonycha squamosa", "Schizonycha squamosetosa", "Schizonycha squamulata", "Schizonycha squamulifera", "Schizonycha squamulosa", "Schizonycha stenolepis", "Schizonycha stigmatica", "Schizonycha subrugicollis", "Schizonycha subrugipennis", "Schizonycha suturalis", "Schizonycha tangana", "Schizonycha tenebrosa", "Schizonycha testacea", "Schizonycha testaceipennis", "Schizonycha togoana", "Schizonycha transvaalica", "Schizonycha trichostetha", "Schizonycha tuberculiventris", "Schizonycha tumida", "Schizonycha uelleana", "Schizonycha ufiomica", "Schizonycha ugandensis", "Schizonycha ukerewia", "Schizonycha unicolor", "Schizonycha urundiensis", "Schizonycha usambarae", "Schizonycha usambarica", "Schizonycha usaramae", "Schizonycha valida", "Schizonycha valvata", "Schizonycha variolicollis", "Schizonycha vastatrix", "Schizonycha verruciventris", "Schizonycha verrucosa", "Schizonycha vethi", "Schizonycha vicaria", "Schizonycha villosa", "Schizonycha vryburgensis", "Schizonycha wellmani", "Schizonycha windhoekensis", "Schizonycha xanthodera", "Schizonycha zavattarii", "Scitala aruensis", "Scitala aureorufa", "Scitala calescens", "Scitala celata", "Scitala citra", "Scitala coracina", "Ateuchites grandis", "Austropheonoides mallee", "Austropheonoides mundoe", "Austropheonoides splendens", "Austropheonoides takkure", "Austropheonoides truganini", "Peltopes productus", "Peltopes peninsulae", "Pachypasa fulgurata", "Taragama postalbida", "Pachypasa lanceolata", "Taragama ligniclusum", "Amphiceratodon argonautes", "Amphiceratodon arrowi", "Amphiceratodon capensis", "Amphiceratodon karooensis", "Otiorhynchus dittae", "Otiorhynchus zierisi", "Otiorhynchus titarenkoi", "Tinospora fragosa subsp. kaokoensis", "Tinospora fragosa subsp. fragosa", "Arhopala elopura dama", "Arhopala epimete epimete", "Arhopala epimete duessa", "Menegazzia neotropica", "Arhopala epimete magindana", "Arhopala epimete suedas", "Cyclea madagascariensis", "Orthogynium gomphioides", "Arhopala eridanus eridanus", "Menegazzia nigrescens", "Arhopala eridanus dilutior", "Menegazzia oregana", "Arhopala eridanus elfeta", "Spirospermum penduliflorum", "Arhopala eridanus lewara", "Anisocycla linearis", "Anisocycla grandidieri", "Sturnira adrianae", "Ombro vindemitor", "Bloeteanella translucida", "Bloeteanella maharbal", "Bloeteanella sobrina", "Buceronirmus deignani", "Buceronirmus thompsoni", "Burasaia congesta", "Menegazzia menyamyaensis", "Burasaia gracilis", "Burasaia australis", "Burasaia madagascariensis", "Arhopala elopura elopura", "Menegazzia monospora", "Menegazzia wandae", "Koenigia coriaria", "Arhopala grandimuta grandimuta", "Arhopala grandimuta takanamii", "Arhopala havilandi havilandi", "Arhopala havilandi kota", "Canthonella amazonica", "Canthonella barrerai", "Canthonella catharinensis", "Canthonella gomezi", "Canthonella instriata", "Canthonella lenkoi", "Canthonella leptoculata", "Canthonella quesqueya", "Canthonella silphoides", "Catharsius genieri", "Chalconotus aurescens", "Chalconotus convexus", "Arhopala eridanus padus", "Strychnopsis thouarsii", "Triclisia calopicrosia", "Triclisia macrocarpa", "Triclisia jumelliana", "Ammoxenus amphalodes", "Triclisia loucoubensis", "Triclisia capitata", "Pachypasa nigrescens", "Pachypasa rohdei", "Diastellopalpus astorgisorum", "Gonometa argibasis", "Eutricha sophax", "Diastellopalpus ikelenge", "Pachypasa epithymia", "Heliconius melpomene martinae", "Heliconius melpomene ecuadorensis", "Uleiorchis ulei", "Koenigia mollis", "Heliconius melpomene meriana", "Uleiorchis liesneri", "Aphyosemion hanneloreae", "Aphyosemion wuendschi", "Drogo stalsi", "Epidrepanus caelatus", "Epidrepanus pulvinarius", "Epidrepanus schimperi", "Protoparmelia nitens", "Premnotrypes piercei", "Protoparmelia olivascens", "Eriopis santiagoi", "Archechiniscus biscaynei", "Batillipes minius", "Batillipes acuticauda", "Myrmotherula luctuosa", "Drepanopodus costatus", "Drepanopodus proximus", "Pachypasa subfascia", "Gonometa lomia", "Pachyna trapezina", "Pachypasa nasmythii", "Syntomis hilda", "Copris kasanka", "Tascia instructa", "Euchromia instructa", "Protoparmelia badiola", "Ceryx hilda", "Syntomoides seminigra", "Suaeda anatolica", "Protoparmelia effigurans", "Koenigia lichiangensis", "Koenigia songarica", "Protoparmelia gesamia", "Aphyosemion amoenum", "Koenigia tortuosa", "Protoparmelia hierrensis", "Protoparmelia loricata", "Protoparmelia megalosporoides", "Taragama ligniclusum var. occidentale", "Pachypasa subhyalina", "Menegazzia violascens", "Sphinx otus", "Bombyx limosa", "Pachypasa honrathii", "Pachypasa trilineata", "Sturnira perla", "Sturnira sorianoi", "Sturnira koopmanhilli", "Pachypasa papyroides", "Pachypasa senex", "Pachypasa rubra", "Pachypasa philargyria", "Caccobiomorphus megaponerae", "Caccobius ugandicus", "Canthon honsi", "Menegazzia wilsonii", "Ascophyllum nodosum", "Genetta pardina", "Pelvetiopsis arborescens", "Pelvetiopsis californica", "Pelvetiopsis hybrida", "Aphyosemion callipteron", "Aphyosemion polli", "Cretoscarabaeus gibbosus", "Cretoscarabaeus lenliginosus", "Manduca chinchilla", "Protoparce chinchilla", "Protoparce camposi", "Amphonyx haxairei", "Cocytius haxairei", "Amphonyx vitrinus", "Cocytius vitrinus", "Amphonyx kofleri", "Amphonyx jamaicensis", "Amphonyx duponchel", "Amphonyx rivularis", "Maireana obrienii", "Amphonyx lucifer", "Cocytius lucifer", "Neotanygastrella sabahna", "Liodrosophila longiaristata", "Menegazzia sabahensis", "Drosophila cornixa", "Drosophila exiguitata", "Drosophila kinabaluana", "Drosophila longipectinata", "Drosophila flavopleuralis", "Drosophila nigropleuralis", "Drosophila nigrialata", "Drosophila palmata", "Drosophila penicillipennis", "Drosophila paraviaristata", "Drosophila pseudobaimaii", "Drosophila pereirai", "Drosophila parasignata", "Cissampelos pareira var. wildei", "Afrocesa schultzei", "Pseudometa schultzei", "Perichasma miersii", "Beralade pygmula", "Perichasma laetificata var. obovata", "Perichasma laetificata var. laetificata", "Sonitha lapa", "Alucita meloui", "Alucita murzini", "Alucita dohertyi", "Orneodes decaryella", "Allogymnopleurus youngai", "Allogymnopleurus zavattarii", "Orneodes dohertyi", "Agamopus castaneus", "Agamopus convexus", "Agamopus lampros", "Agamopus viridis", "Arhopala democritus olinda", "Ulasia sophene", "Ulasia carnion", "Ulasia maiuma", "Ulasia nicophron", "Ulasia theano", "Ulasia cynaxa", "Ulasia tondota", "Arhopala dispar dispar", "Ulasia damnorix", "Menegazzia saxicola", "Arhopala dispar chota", "Neolieftinckana pronax", "Arhopala dispar diluta", "Arhopala dispar fracta", "Menegazzia stellata", "Arhopala dispar pendleburyi", "Macrodactylus pluto", "Macrodactylus propheticus", "Maladera spinitibilais", "Melolontha greithiana", "Melolontha solitaria", "Lepithrix germanica", "Melolonthites aciculatus", "Melolonthites collinsi", "Melolonthites deperditus", "Melolonthites kollari", "Melolonthites lavateri", "Melolonthites obsoletus", "Melolonthites parschlugianus", "Miolachnosterna tristoides", "Phyllophaga disrupta", "Phyllophaga extincta", "Phyllophaga puerilis", "Phyllophaga avus", "Rhizotrogus longimanus", "Serica antediluviana", "Serica cockerelli", "Serica kanakoffi", "Serica minutula", "Escarabaeus remii", "Escarabaeus sennariensis", "Galactomyces candidus", "Durvillaea potatorum", "Omanana spinara", "Omanana divisa", "Omanana trileta", "Cocytius lucifer lucifer", "Cocytius lucifer lindneri", "Amphonyx mephisto", "Sphinx antaeus", "Morcocytius mortuorum", "Cocytius mortuorum", "Sphinx cluentius", "Amphonyx beelzebuth", "Nesophontes edithae", "Nesophontes major", "Nesophontes hypomicrus", "Nesophontes paramicrus", "Nesophontes zamicrus", "Taragama lineatum", "Taragama pulchristriata", "Pachypasa dallana", "Deltorhinum batesi", "Taragama choerocampoides", "Nesophontes micrus", "Dendropaemon nigritulus", "Brachytarsomys mahajambaensis", "Nesomys narindaensis", "Macrotarsomys petteri", "Dichotomius benesi", "Dichotomius darwini", "Dichotomius manni", "Dichotomius parisi", "Dichotomius periotoi", "Dichotomius smaragdinus", "Dicranocara vandersmisseni", "Heliconius erato luscombei", "Heliconius melpomene schunkei", "Heliconius aoede aoede", "Heliconius aoede manu", "Genetta bourloni", "Paraponychus incanus", "Genetta cristata", "Tomis canus", "Cyllodania minuta", "Dasyhelea mediomunda", "Brasilnotia planaltinana", "Protoparmelia placentiformis", "Tiburica paranae", "Beamys hindei", "Malinova novaelimae", "Beamys major", "Cricetomys emini", "Cricetomys ansorgei", "Saccostomus campestris", "Saccostomus mearnsi", "Dendroprionomys rousseloti", "Malacothrix typica", "Mystogenes astatopa", "Megadendromus nikolausi", "Steatomys caurinus", "Steatomys bocagei", "Steatomys cuppedius", "Steatomys jacksoni", "Steatomys krebsii", "Steatomys pratensis", "Protoparmelia psarophana", "Steatomys parvus", "Steatomys opimus", "Protoparmelia rhombosporea", "Chalconotus cupreus", "Chalconotus janssensi", "Chalconotus pembensis", "Chalconotus procerus", "Chalconotus revoili", "Chalconotus schultzi", "Chalconotus suturalis", "Cheironitis eumenes", "Cheironitis ungaricus", "Chiron assamensis", "Chiron hovanus", "Chiron kelleri", "Chiron senegalensis", "Chiron sulcithorax", "Chiron volvulus", "Pachypasa papyri", "Gonometa pallens", "Metanastria denticula", "Pachypasa lateritia", "Pachypasa phronema", "Pachypasa sericeofasciata", "Pachypasa honrathii orientis", "Pachypasa honrathii honrathii", "Taragama meloui", "Pachypasa cornuta", "Pachypasa punctulata", "Pachypasa sericeofasciata orientalis", "Pachypasa sericeofasciata sericeofasciata", "Parmotremopsis uruguayensis", "Pachypasa pyrsocorsa", "Pachypasa mesoleuca", "Pachypasa mesoleuca pyrsocoma", "Pachypasa mesoleuca mesoleuca", "Atractus tartarus", "Atractus boimirim", "Helicops nentur", "Bachia remota", "Pseudevernia confusa", "Tupinambis cryptus", "Tupinambis cuzcoensis", "Koenigia divaricata", "Heliconius melpomene intersectus", "Heliconius melpomene thelxiopeia", "Heliconius melpomene thelxiope", "Heliconius melpomene madeira", "Protoparmelia microspora", "Heliconius elevatus lapis", "Koenigia weyrichii", "Koenigia davisiae", "Voalavo gymnocaudus", "Koenigia x fennica", "Voalavo antsahabensis", "Eliurus grandidieri", "Ruyschia viridiflora", "Eliurus petteri", "Eliurus antsingy", "Eliurus webbi", "Eliurus tanala", "Eliurus myoxinus", "Eliurus minor", "Eliurus majori", "Eliurus ellermani", "Eliurus danieli", "Monticolomys koopmani", "Gymnuromys roberti", "Hypogeomys antimena", "Brachyuromys ramirohitra", "Brachytarsomys villosa", "Brachytarsomys albicauda", "Brachyuromys betsileoensis", "Macrotarsomys barstardi", "Nesomys rufus", "Nesomys lambertoni", "Nesomys audeberti", "Brasura unca", "Brasura ugandensis", "Brasura signoreti", "Brasura variabilis", "Brasura flexuosa", "Limentinus aldabranus", "Durvillaea amatheiae", "Pseudevernia isidiophora", "Mesamia forcipata", "Mesamia ruptura", "Sanuca badia", "Durvillaea chathamensis", "Aria graeca", "Pseudevernia mauritiana", "Pseudevernia polita", "Pseudevernia soralifera", "Myricaria elegans", "Reaumuria songarica", "Megalopyge affinis", "Sorbus aucuparia subsp. aucuparia", "Sorbus aucuparia subsp. sibirica", "Sorbus aucuparia subsp. praemorsa", "Evansolidia massa", "Evansolidia bifurcata", "Evansolidia digitula", "Spinolidia sarmenta", "Spinolidia magna", "Brevolidia nuda", "Brevolidia globosa", "Brevolidia aequalis", "Brevolidia constricta", "Palicus constrictus", "Amphisbaena filiformis", "Rhigognostis hufnagelii", "Tialidia congoensis", "Tialidia labiata", "Tialidia boulardi", "Pseudevernia furfuracea var. furfuracea", "Pseudevernia furfuracea var. ceratea", "Aphyosemion bamilekorum", "Aphyosemion aureum", "Aphyosemion hofmanni", "Epilobium confusum", "Micrurus tikuna", "Durvillaea willana", "Chironius brazili", "Hamonthophagus acutus", "Amerotyphlops arenensis", "Kheper devotus", "Kheper erichsoni", "Kheper rolciki", "Kheper sanctus", "Kurtops caffrarius", "Kurtops quadraticeps", "Kurtops signatus", "Aphyosemion fulgens", "Agra vation", "Aphyosemion gabunense", "Aphyosemion herzogi", "Cystosphaera jacquinotii", "Marginariella boryana", "Amphisbaena metallurga", "Hamonthophagus bituberculatus", "Hamonthophagus depressus", "Hamonthophagus fallax", "Hamonthophagus laceratus", "Morettius pallens", "Himanthalia elongata", "Morettius utete", "Perubala flavovirescens", "Hormosira banksii", "Neobala violacea", "Pseudevernia kamerunensis", "Ancudana cinctus", "Empoasca gelbata", "Empoasca gleditsia", "Xiphophora gladiata", "Empoasca chelata", "Empoasca setata", "Empoasca rubrata", "Empoasca jacinta", "Empoasca ziona", "Empoasca apata", "Empoasca grosata", "Empoasca confusa", "Empoasca carsona", "Liatongus vseteckai", "Lithanomala crassa", "Lithanomala oblongus", "Lithanomala sibirica", "Lithoscarabaeus baissensis", "Litocopris muticus", "Litocopris punctiventris", "Litocopris ruandanus", "Litocopris simplex", "Lobateuchus parisii", "Aphyosemion buytaerti", "Aphyosemion schluppi", "Aphyosemion thysi", "Aphyosemion wachtersi", "Megalopyge albicollis", "Halidrys murmanica", "Hormophysa cuneiformis", "Pelvetiopsis limitata", "Pygmaelidia bullata", "Gracilidia gracilis", "Fistulidia simplex", "Boliviela bispinosa", "Boliviela paraortha", "Tinocripus huggerti", "Lodia parapectinata", "Calodicia circulata", "Aphyosemion maculatum", "Aphyosemion punctatum", "Bifurcariopsis capensis", "Pseudephebe striata", "Sorbus turcica", "Scytothalia dorycarpa", "Scytothalia obscura", "Microcopris apicepunctatus", "Microcopris doriae", "Microcopris fujiokai", "Microcopris hidakai", "Microcopris hosakai", "Microcopris mindorensis", "Microcopris miyakei", "Microcopris propinquus", "Microcopris reflexus", "Microcopris vitalisi", "Mnematidium multidentatum", "Seirococcus axillaris", "Acrocarpia paniculata", "Acrocarpia robusta", "Pichia kudriavzevii", "Anthophycus longifolius", "Zygostates grandiflora", "Aphyosemion zygaima", "Axillariella constricta", "Mnematium silenus", "Ochicanthon niinoii", "Ochicanthon okudai", "Ochicanthon philippinense", "Ochicanthon vazdemelloi", "Genetta poensis", "Bifurcaria bifurcata", "Ballana delea", "Ballana calcea", "Ballana brevidens", "Ballana transea", "Ballana adversa", "Bifurcaria galapagensis", "Ballana firma", "Ballana prava", "Ballana elexa", "Ballana attenuata", "Parabahita carajasa", "Pauxi koepckeae", "Taperinha angulata", "Taperinha anisota", "Taperinha bulba", "Taperinha dozieri", "Taperinha elongata", "Taperinha hamata", "Taperinha lapayensis", "Taperinha lobata", "Taperinha longicornis", "Taperinha media", "Taperinha nuda", "Taperinha odonta", "Taperinha peruviana", "Taperinha retusa", "Taperinha stenostyla", "Taperinha stypa", "Taperinha trigona", "Taperinha ungulata", "Taperinha zanolae", "Pseudevernia thamnidiella", "Alladanus cephalatus", "Alladanus mexellus", "Notheia anomala", "Cozadanus globosus", "Cozadanus serratus", "Xiphophora chondrophylla", "Sorbus aucuparia subsp. pohuashanensis", "Helictopleurus neoamplicollis", "Sorbus aucuparia subsp. maderensis", "Heliocopris smithi", "Sorbus aucuparia subsp. fenenkiana", "Holcorobeus atrosulcatus", "Holcorobeus incertus", "Holcorobeus latitibialis", "Holcorobeus longipes", "Holcorobeus maculatus", "Holcorobeus mongolicus", "Holcorobeus monreali", "Holcorobeus nigrimontanus", "Holcorobeus nigrovittatus", "Holcorobeus picturatus", "Holcorobeus punctatus", "Holcorobeus sulcatus", "Holcorobeus vitimensis", "Holcorobeus vittatus", "Neobala ikracatea", "Holocephalus pokornyi", "Neobala speciosa", "Neobala mirifica", "Neobala itaumiensis", "Neobala permuta", "Homocorpis buckleyi", "Benala mirijua", "Yungasia rupiatia", "Hybosorites fissuratus", "Yungasia bella", "Yungasia colombigua", "Estrianna sinopia", "Estrianna pitinga", "Estrianna lauta", "Ferak orthoferavirus", "Actinidia chlorotic ringspot-associated emaravirus", "Pigeonpea sterility mosaic emaravirus 2", "Redbud yellow ringspot-associated emaravirus", "Landsburgia ilicifolia", "Landsburgia myricifolia", "Landsburgia quercifolia", "Myagropsis myagroides", "Chascolytrum juergensii var. juergensii", "Pseudoparmelia amazonica", "Chascolytrum parodianum", "Pseudoparmelia amplexa", "Marginariella urvilliana", "Aphalara constricta", "Marginariella parsonsii", "Aphalara osborni", "Aphalara delongi", "Aphalara furcata", "Aphalara bifida", "Aphalara hebecephala", "Aphalara sinuata", "Phyllospora comosa", "Phyllospora obtusa", "Aphyosemion exigoideum", "Aphyosemion lamberti", "Aphyosemion primigenium", "Aphyosemion rectogoense", "Paraixodina freyi", "Paraixodina runicus", "Paraixodina saegeri", "Nizamuddinia zanardinii", "Oerstedtia scalaris", "Palaeohalidrys californica", "Rat arterivirus 1", "Free State vervet virus", "Phyllotricha decipiens", "Phyllotricha varians", "Phyllotricha verruculosa", "Phyllotricha sonderi", "Jonchet orthojonvirus", "Chascolytrum scabrum", "Tamdy orthonairovirus", "Hazara orthonairovirus", "Kasokero orthonairovirus", "Keterah orthonairovirus", "Nairobi sheep disease orthonairovirus", "Platythalia quercifolia", "Platythalia angustifolia", "Polycladia myrica", "Herbert herbevirus", "Kibale herbevirus", "Shuangao insect herbevirus 1", "Tai herbevirus", "Polycladia indica", "Psiloparmelia peruviensis", "Achimota rubulavirus 1", "Achimota rubulavirus 2", "Bat mumps rubulavirus", "Menangle rubulavirus", "Sosuga rubulavirus", "Teviot rubulavirus", "Tioman rubulavirus", "Tuhoko rubulavirus 1", "Tuhoko rubulavirus 2", "Tuhoko rubulavirus 3", "Achromobacter virus 83-24", "Achromobacter virus JWX", "Acinetobacter virus AB3", "Acinetobacter virus Abp1", "Acinetobacter virus Fri1", "Acinetobacter virus IME200", "Acinetobacter virus PD6A3", "Acinetobacter virus PDAB9", "Acinetobacter virus phiAB1", "Aeromonas virus pIS4A", "Ballana filamenta", "Ballana mera", "Ballana quira", "Ballana nigridens", "Ballana spinosa", "Ballana polica", "Ballana parallela", "Ballana curvidens", "Ballana ortha", "Ballana calcara", "Ballana hebea", "Ballana occidentalis", "Ballana absenta", "Ballana coarcta", "Ballana sera", "Ballana plena", "Ballana gruis", "Brassicophycus brassicaeformis", "Carpoglossum confluens", "Carpophyllum angustifolium", "Ballana indens", "Ballana diutia", "Ballana pleura", "Ballana hama", "Ballana valga", "Ballana angula", "Carpophyllum elongatum", "Ballana tiaja", "Ballana recurvata", "Ballana bifida", "Ballana dira", "Arhopala agrata agrata", "Arhopala agrata binghami", "Arhopala agrata brookei", "Arhopala aida aida", "Arhopala aida ophir", "Arhopala alaconia aloana", "Arhopala alaconia media", "Arhopala alesia sacharja", "Arhopala alesia wimberleyi", "Proathorybia athorybia", "Menegazzia albida", "Arhopala alitaeus alitaeus", "Smithsonia viridiflora", "Menegazzia amabilis", "Arhopala alitaeus calayana", "Arhopala alitaeus magellanus", "Myriodesma harveyanum", "Myriodesma integrifolium", "Enigmocarnus chloropiformis", "Myriodesma leptophyllum", "Pratigi aristeui", "Myriodesma peronii", "Myriodesma quercifolium", "Nabidomiris natalensis", "Myriodesma serrulatum", "Myriodesma tuberosum", "Stephanocystis crassipes", "Stephanocystis dioica", "Stephanocystis geminata", "Stephanocystis hakodatensis", "Stephanocystis neglecta", "Stephanocystis setchellii", "Stephanocystis osmundacea", "Nabidomiris clypealis", "Nabidomiris giloicus", "Nabidomiris longipennis", "Parascatonomus balikpapanensis", "Cystophora platylobium", "Parascatonomus chiangraiensis", "Parascatonomus munetoshii", "Parascatonomus nusatenggaricus", "Parascatonomus paramairuu", "Parascatonomus seminiasensis", "Parascatonomus takahashii", "Parascatonomus taominorui", "Parateuchus palemo", "Proagoderus victor", "Proagoderus watanabei", "Proagoderus werneri", "Proagoderus worsissa", "Proagoderus yunnanus", "Proagoderus yvescambeforti", "Sargassum natans", "Sargassum muticum", "Cystoseira foeniculacea", "Chascolytrum paleapiliferum", "Turbinaria turbinata", "Kafue kinda chacma baboon virus", "Amasha abrupta", "Amasha decepta", "Amasha inepta", "Neosalurnis bonenda", "Neosalurnis decalis", "Neosalurnis insignis", "Neosalurnis insula", "Neosalurnis teralis", "Geisha fangi", "Lasura separata", "Salurnis dilina", "Salurnis estora", "Salurnis hesita", "Salurnis kryala", "Salurnis lastendis", "Saurana aberrans", "Umidena bilinea", "Croton yellow vein deltasatellite", "Malvastrum leaf curl deltasatellite", "Sida golden yellow vein deltasatellite 1", "Sida golden yellow vein deltasatellite 2", "Sida golden yellow vein deltasatellite 3", "Sweet potato leaf curl deltasatellite 1", "Sweet potato leaf curl deltasatellite 2", "Sweet potato leaf curl deltasatellite 3", "Tomato leaf curl deltasatellite", "Tomato yellow leaf distortion deltasatellite 1", "Tomato yellow leaf distortion deltasatellite 2", "Ageratum leaf curl", "Ageratum leaf curl", "Ageratum yellow leaf curl betasatellite", "Ageratum yellow vein betasatellite", "Ageratum yellow vein", "Ageratum yellow vein", "Alternanthera yellow vein betasatellite", "Andrographis yellow vein leaf curl betasatellite", "Myriodesma calophyllum", "Texananus superbus", "Caulocystis uvifera", "Coccophora langsdorfii", "Phlepsius rossi", "Phlepsius electus", "Phlepsius certus", "Empoasca mucronata", "Empoasca curvatura", "Empoasca orthodens", "Empoasca bicuspida", "Empoasca latarca", "Empoasca biarca", "Empoasca perlonga", "Empoasca caverna", "Empoasca decurvata", "Empoasca pergrada", "Empoasca excava", "Halidrys siliquosa", "Pelonides similis", "Anchastus uniquus", "Ballana cuna", "Ballana seca", "Ballana mana", "Ballana bicornis", "Ballana velosa", "Ballana antlera", "Carpophyllum flexuosum", "Ballana aris", "Ballana dena", "Ballana calipera", "Ballana chelata", "Ballana callida", "Pseudoparmelia alabamensis", "Ballana repa", "Ballana latula", "Ballana paridens", "Ballana latera", "Ballana arma", "Carpophyllum macrophyllum", "Idiocerus borealis", "Idiocerus levis", "Idiocerus solus", "Idiocerus pyramidatus", "Idiocerus stellaris", "Carpophyllum maschalocarpum", "Idiocerus rotundus", "Idiocerus tenuens", "Idiocerus nigrens", "Idiocerus cinctus", "Idiocerus chisosus", "Idiocerus caliginosus", "Carpophyllum plumosum", "Osbornellus filamenta", "Osbornellus knulli", "Cixius angustatus", "Texananus gladius", "Texananus angus", "Texananus vermiculatus", "Texananus manus", "Caulocystis cephalornithos", "Angiostrongylus vasorum", "Pedaria acuta", "Pedaria genierorum", "Pedaria manni", "Pedaria montreuili", "Pedaria quirimbasensis", "Pedaria reticulata", "Laevicephalus flabellum", "Phlepsius supinus", "Chlorotettix aurum", "Bhendi yellow vein mosaic betasatellite", "Cardiospermum yellow leaf curl betasatellite", "Chili leaf curl betasatellite", "Chili leaf curl", "Chili leaf curl", "Cotton leaf curl", "Cotton leaf curl", "Croton yellow vein mosaic betasatellite", "Eupatorium yellow vein betasatellite", "Eupatorium yellow vein mosaic betasatellite", "French bean leaf curl betasatellite", "Hedyotis yellow mosaic betasatellite", "Honeysuckle yellow vein betasatellite", "Honeysuckle yellow vein mosaic betasatellite", "Malvastrum leaf curl betasatellite", "Malvastrum leaf curl", "Mirabilis leaf curl betasatellite", "Momordica yellow mosaic betasatellite", "Mungbean yellow mosaic betasatellite", "Okra leaf curl", "Papaya leaf curl betasatellite", "Papaya leaf curl", "Papaya leaf curl", "Rhynchosia yellow mosaic betasatellite", "Rose leaf curl betasatellite", "Siegesbeckia yellow vein betasatellite", "Vernonia yellow vein", "Vernonia yellow vein betasatellite", "Tobacco leaf curl betasatellite", "Tomato leaf curl", "Tomato leaf curl", "Tomato leaf curl", "Tomato yellow leaf curl", "Dikraneura lentus", "Tomato yellow leaf curl", "Tobacco curly shoot betasatellite", "Tomato leaf curl", "Tomato leaf curl", "Kigluaik phantom orthophasmavirus", "Nome phantom orthophasmavirus", "Shuangao insect orthophasmavirus 2", "Wuchang cockroach orthophasmavirus 1", "Wuhan mosquito orthophasmavirus 1", "Wuhan mosquito orthophasmavirus 2", "Cumuto goukovirus", "Gouleako goukovirus", "Yichang insect goukovirus", "Pseudoparmelia annexa", "Badu phasivirus", "Phasi Charoen-like phasivirus", "Wuhan fly phasivirus", "Wutai mosquito phasivirus", "Pseudoparmelia aradensis", "Circular ss", "Stolonophora brandegeei", "Angiostrongylus costaricensis", "Punctelia roseola", "Ishige okamurae", "Ishige sinicola", "Ishige foliacea", "Agrilus aegrotus", "Agrilus anceps", "Agrilus casarii", "Agrilus crux", "Agrilus dubiosus", "Agrilus femina", "Agrilus fusicauda", "Agrilus geminus", "Agrilus giannii", "Agrilus globulus", "Arthrobacter virus ArV1", "Arthrobacter virus Trina", "Agrilus martinsi", "Agrilus ribeiroi", "Agrilus timorosus", "Agrilus vanini", "Arthrobacter virus Bennie", "Arthrobacter virus DrRobert", "Arthrobacter virus Glenn", "Arthrobacter virus HunterDalle", "Arthrobacter virus Joann", "Arthrobacter virus Korra", "Arthrobacter virus Preamble", "Albodikra bifida", "Arthrobacter virus Pumancara", "Arthrobacter virus Wayne", "Arthrobacter virus Brent", "Arthrobacter virus Jawnski", "Arthrobacter virus Martha", "Arthrobacter virus Sonny", "Notostira brevifrons", "Arthrobacter virus Captnmurica", "Arthrobacter virus Gordon", "Dolichomiris punctatus", "Arthrobacter virus Circum", "Arthrobacter virus Mudcat", "Arthrobacter virus Decurro", "Ameivula cipoensis", "Ameivula xacriaba", "Badimia leioplacella", "Arthrobacter virus Kellezzio", "Arthrobacter virus Kitkat", "Arthrobacter virus Laroye", "Arthrobacter virus Tank", "Asteroid ambidensovirus 1", "Decapod ambidensovirus 1", "Hemipteran ambidensovirus 2", "Hemipteran ambidensovirus 3", "Hymenopteran ambidensovirus 1", "Atractylodes mild mottle virus", "Badimia verrucosa", "Grapevine endophyte alphaendornavirus", "Hordeum vulgare alphaendornavirus", "Hot pepper alphaendornavirus", "Lagenaria siceraria alphaendornavirus", "Alconeura rotundata", "Rhizoctonia cerealis alphaendornavirus 1", "Alternaria brassicicola betaendornavirus 1", "Gremmeniella abietina betaendornavirus 1", "Tuber aestivum betaendornavirus", "Anaka colorata", "Punctelia colombiana", "Pterostylis pedunculata", "Punctelia constantimontium", "Punctelia crispa", "American bat vesiculovirus", "Jurona vesiculovirus", "Malpais Spring vesiculovirus", "Morreton vesiculovirus", "Radi vesiculovirus", "Punctelia digitata", "Perinet vesiculovirus", "Ampivirus A", "Arboretum almendravirus", "Balsa almendravirus", "Coot Bay almendravirus", "Puerto Almendras almendravirus", "Rio Chico almendravirus", "Areca palm velarivirus 1", "Punctelia imbricata", "Arthrobacter virus Amigo", "Pedaridium hirsutum", "Pleronyx dimidiatus", "Proagoderus aciculatus", "Proagoderus albicapillus", "Proagoderus amblychromatus", "Proagoderus amplexus", "Proagoderus armicollis", "Proagoderus atriclaviger", "Proagoderus atrosetosus", "Proagoderus auratus", "Proagoderus aureiceps", "Proagoderus badeni", "Proagoderus biarmatus", "Proagoderus bicallosus", "Proagoderus boranus", "Proagoderus bottegi", "Proagoderus brucei", "Proagoderus cambeforti", "Proagoderus camiadei", "Proagoderus cavidorsis", "Proagoderus ceratotherium", "Proagoderus chalcostolus", "Proagoderus chrysopes", "Proagoderus colmanti", "Proagoderus cometes", "Proagoderus confossus", "Proagoderus cuspidatus", "Proagoderus cyanopterus", "Proagoderus dargei", "Proagoderus dives", "Proagoderus dudleyi", "Proagoderus edithae", "Proagoderus elgoni", "Proagoderus euchlorus", "Proagoderus extensus", "Proagoderus fastosus", "Proagoderus flexicollis", "Proagoderus fossidorsis", "Proagoderus freyi", "Proagoderus furcifer", "Proagoderus furciramus", "Proagoderus gangloffi", "Proagoderus gemmatus", "Proagoderus gerstaeckeri", "Proagoderus gibbiramus", "Proagoderus gladiator", "Proagoderus harpax", "Proagoderus hemicyanus", "Proagoderus ignitus", "Proagoderus imperator", "Proagoderus incostatus", "Proagoderus kachowskii", "Proagoderus kafueensis", "Proagoderus katualensis", "Proagoderus kilimanus", "Proagoderus kolbei", "Proagoderus kwaleensis", "Proagoderus lallieri", "Proagoderus lallierianus", "Proagoderus lanista", "Proagoderus laticollis", "Proagoderus longefossus", "Proagoderus loricatus", "Proagoderus louisi", "Proagoderus lucasi", "Proagoderus lujendae", "Proagoderus marginidens", "Proagoderus maringouensis", "Proagoderus minettii", "Proagoderus monochromus", "Proagoderus moorei", "Proagoderus mouhoti", "Proagoderus multicornis", "Proagoderus nasidens", "Proagoderus negus", "Proagoderus ngottoensis", "Proagoderus nicolasi", "Proagoderus nigricornis", "Proagoderus nuba", "Proagoderus opulentus", "Proagoderus overlaeti", "Proagoderus pactolus", "Proagoderus palestriniae", "Proagoderus panoplus", "Proagoderus paolae", "Proagoderus patinatus", "Proagoderus pegesimallus", "Proagoderus plato", "Proagoderus porrectus", "Proagoderus praecavatus", "Proagoderus praedentatus", "Proagoderus praefossus", "Proagoderus prostans", "Proagoderus pseudoflexicollis", "Proagoderus pyramidalis", "Proagoderus quadriarmatus", "Proagoderus quadricristatus", "Proagoderus quadrispinosus", "Proagoderus quadrituber", "Proagoderus ramosicornis", "Proagoderus rangifer", "Proagoderus rarus", "Proagoderus rasidorsis", "Proagoderus rectefurcatus", "Proagoderus revoili", "Proagoderus ritsemai", "Proagoderus sapphirinus", "Proagoderus schwaneri", "Proagoderus semiiris", "Proagoderus sexcornutus", "Proagoderus somalicus", "Proagoderus speculatus", "Proagoderus speculicollis", "Proagoderus subextensus", "Proagoderus superbus", "Proagoderus taymansi", "Proagoderus tersidorsis", "Proagoderus trianguliceps", "Proagoderus triarmatus", "Proagoderus tricornifrons", "Proagoderus uluguru", "Proagoderus unidens", "Proagoderus versus", "Cystophora tenuis", "Cystophora torulosa", "Cystophora xiphocarpa", "Bacillus virus AvesoBmore", "Bacillus virus BCP78", "Bacillus virus TsarBomba", "Bacillus virus BM15", "Bacillus virus Deepblue", "Bacillus virus BPS13", "Bacillus virus Hakuna", "Bacillus virus Megatron", "Bacillus virus Camphawk", "Badger associated gemykibivirus 1", "Black robin associated gemykibivirus 1", "Blackbird associated gemykibivirus 1", "Bovine associated gemykibivirus 1", "Dragonfly associated gemykibivirus 1", "Human associated gemykibivirus 1", "Human associated gemykibivirus 2", "Human associated gemykibivirus 3", "Human associated gemykibivirus 4", "Human associated gemykibivirus 5", "Mongoose associated gemykibivirus 1", "Pteropus associated gemykibivirus 1", "Rhinolophus associated gemykibivirus 1", "Rhinolophus associated gemykibivirus 2", "Sewage derived gemykibivirus 1", "Sewage derived gemykibivirus 2", "Barur ledantevirus", "Fikirini ledantevirus", "Fukuoka ledantevirus", "Kern Canyon ledantevirus", "Keuraliba ledantevirus", "Kolente ledantevirus", "Kumasi ledantevirus", "Le Dantec ledantevirus", "Mount Elgon bat ledantevirus", "Nishimuro ledantevirus", "Nkolbisson ledantevirus", "Oita ledantevirus", "Wuhan ledantevirus", "Yongjia ledantevirus", "Bas-Congo tibrovirus", "Ekpoma 1 tibrovirus", "Ekpoma 2 tibrovirus", "Sweetwater Branch tibrovirus", "Bat associated circovirus 4", "Bat associated circovirus 5", "Bat associated circovirus 6", "Bat associated circovirus 7", "Bat associated circovirus 8", "Bat associated cyclovirus 6", "Bat associated cyclovirus 7", "Bat associated cyclovirus 8", "Bat associated cyclovirus 9", "Bat associated cyclovirus 10", "Bat associated cyclovirus 11", "Bat associated cyclovirus 12", "Bat associated cyclovirus 13", "Bat associated cyclovirus 14", "Bat associated cyclovirus 15", "Bat associated cyclovirus 16", "Squirrel associated cyclovirus 1", "Feline associated cyclovirus 1", "Horse associated cyclovirus 1", "Human associated cyclovirus 11", "Turbinaria condensata", "Cystoseira sedoides", "Cystoseira selaginoides", "Cystoseira senegalensis", "Cystoseira sonderi", "Cystoseira spicigera", "Cystoseira squarrosa", "Cystoseira susanensis", "Cystoseira tamariscifolia", "Cystoseira thysigera", "Cystoseira usneoides", "Cystoseira wildpretii", "Cystoseira zosteroides", "Cystophora botryocystis", "Cystophora brownii", "Cystophora cuspidata", "Cystophora cymodocea", "Cystophora dumosa", "Cystophora expansa", "Cystophora fibrosa", "Cystophora flaccida", "Cystophora gracilis", "Cystophora grevillei", "Cystophora harveyi", "Cystophora intermedia", "Cystophora monilifera", "Cystophora moniliformis", "Cystophora pectinata", "Cystophora polycystidea", "Cystophora racemosa", "Cystophora retorta", "Cystophora retroflexa", "Cystophora scalaris", "Cystophora siliquosa", "Cystophora subfarcinata", "Calomys venustus", "Calomys lepidus", "Calomys sorellus", "Calomys callidus", "Calomys musculinus", "Calomys boliviae", "Calomys tener", "Calomys callosus", "Calomys hummelincki", "Calomys expulsus", "Calomys laucha", "Bapalmuia serusiauxiana", "Diplura simplex", "Auliscomys boliviensis", "Auliscomys sublimis", "Auliscomys pictus", "Andalgalomys olrogi", "Phyllotis amicus", "Scarabaeus karae", "Scarabaeus zambesianus", "Phyllotis xanthopygus", "Phyllotis osilae", "Phyllotis osgoodi", "Phyllotis magister", "Stigmella ridiculosa", "Phyllotis limatus", "Petroderma maculiforme", "Bapalmuia juliae", "Phyllotis definitus", "Phyllotis darwini", "Phyllotis haggardi", "Petroderma steinitzii", "Phyllotis caprinus", "Nepticula crenulatae", "Phyllotis andium", "Phyllotis bonaeriensis", "Stigmella crenulatae", "Petroderma vietnamensis", "Salinomys delicatus", "Nepticula diniensis", "Loxodontomys micropus", "Graomys griseoflavus", "Graomys edithae", "Graomys domorum", "Galenomys garleppi", "Eligmodontia hirtipes", "Eligmodontia moreni", "Eligmodontia morgani", "Eligmodontia puerulus", "Eligmodontia typus", "Gracilaclopus candelariae", "Gracilaclopus crepuscularis", "Gracilaclopus electricus", "Gracilaclopus morochus", "Gracilaclopus nigroscutatus", "Pterostylis abrupta", "Gracilaclopus parvulus", "Pterostylis aciculiformis", "Brasilicia foliicola", "Juraclopus rohdendorfi", "Mesaclopus mongolicus", "Pterostylis acuminata", "Mongolrobeus zherikhini", "Pterostylis aestiva", "Pterostylis agrestis", "Pterostylis striata", "Pterostylis alata", "Agrilus yeti", "Diplura simulans", "Sigmodon toltecus", "Sigmodon mascotensis", "Sigmodon ochrognathus", "Sigmodon leucotis", "Sigmodon alleni", "Sigmodon planifrons", "Sigmodon arizonae", "Sigmodon fulviventer", "Sigmodon zanjonensis", "Reithrodon typicus", "Wiedomys pyrrhorhinos", "Tylomys mirae", "Anotomys leander", "Chibchanomys orcesi", "Chibchanomys trichotis", "Ichthyomys tweedii", "Ichthyomys hydrobates", "Ichthyomys pittieri", "Neusticomys mussoi", "Neusticomys venezuelae", "Neusticomys oyapocki", "Bovine nidovirus 1", "Chinook salmon nidovirus 1", "Sisyphus africanus", "Sisyphus ethiopicus", "Sisyphus ibaya", "Sisyphus mkomazi", "Sisyphus nanniscus", "Sisyphus neobornemisszanus", "Sisyphus oralensis", "Sisyphus umbraphilus", "Sisyphus ongo", "Sisyphus seminulum", "Sisyphus werneri", "Synapsis birmanica", "Synapsis brahmina", "Synapsis kiuchii", "Synapsis naxiorum", "Synapsis ochii", "Synapsis ovalis", "Synapsis punctatus", "Synapsis ritsemae", "Synapsis roslihashimi", "Synapsis satoi", "Synapsis simplex", "Synapsis strnadi", "Synapsis tmolus", "Synapsis tridens", "Synapsis yama", "Theotimius angolensis", "Theotimius grandis", "Theotimius gravis", "Theotimius laevicollis", "Theotimius macleayi", "Theotimius mahafalensis", "Theotimius patrizii", "Theotimius pauliani", "Theotimius rhodesianus", "Chrysopoloma occidens", "Chrysopoloma bicolor", "Chrysopoloma citrina", "Chrysopoloma rosea", "Chrysopoloma crawshayi", "Chrysopoloma flaviceps", "Chrysopoloma isabellina", "Chrysopoloma nigrociliata", "Chrysopoloma similis", "Chrysopoloma restricta", "Chrysopoloma varia", "Chrysopoloma pallens", "Chrysopoloma paupera", "Chrysopoloma variegata", "Brevibacillus virus Abouo", "Brevibacillus virus Davies", "Brevibacillus virus Jenst", "Turbinaria conoides", "Turbinaria crateriformis", "Turbinaria decurrens", "Turbinaria denudata", "Turbinaria elatensis", "Turbinaria filamentosa", "Turbinaria filiformis", "Turbinaria foliosa", "Turbinaria gracilis", "Turbinaria indica", "Turbinaria kenyaensis", "Turbinaria luzonensis", "Turbinaria murrayana", "Turbinaria ornata", "Turbinaria papenfussii", "Turbinaria parvifolia", "Turbinaria tanzaniensis", "Turbinaria tricostata", "Turbinaria triquetra", "Turbinaria vulgaris", "Baflavia flavescens", "Scaptodera rhadamistus", "Scarabaeolus afronitidus", "Scarabaeolus anderseni", "Scarabaeolus andreaei", "Scarabaeolus bohemani", "Scarabaeolus canaliculatus", "Scarabaeolus carniphilus", "Scarabaeolus clanceyi", "Scarabaeolus damarensis", "Scarabaeolus davisianus", "Scarabaeolus ebenus", "Scarabaeolus ermienae", "Scarabaeolus flavicornis", "Scarabaeolus fritschi", "Scarabaeolus gilleti", "Scarabaeolus gracai", "Scarabaeolus inoportunus", "Scarabaeolus inquisitus", "Scarabaeolus interstitialis", "Scarabaeolus intricatus", "Scarabaeolus karrooensis", "Scarabaeolus knobeli", "Scarabaeolus kochi", "Scarabaeolus kwiluensis", "Scarabaeolus laevifrons", "Scarabaeolus lucidulus", "Scarabaeolus megaparvulus", "Scarabaeolus niemandi", "Scarabaeolus obsoletepunctatus", "Scarabaeolus pabulator", "Scarabaeolus parvulus", "Scarabaeolus planipennis", "Scarabaeolus reichei", "Scarabaeolus rubripennis", "Scarabaeolus scholtzi", "Scarabaeolus soutpansbergensis", "Scarabaeus geminogalenus", "Avian avulavirus 13", "Avisivirus B", "Avisivirus C", "Proteroscarabaeus crassus", "Proteroscarabaeus magnus", "Proteroscarabaeus nikritini", "Proteroscarabaeus robustus", "Proteroscarabaeus sibiricus", "Proteroscarabaeus yeni", "Trigonotylus crassicornis", "Trigonotylus americanus", "Trigonotylus antennatus", "Schoutedenomiris propinquus", "Silvetia babingtonii", "Silvetia compressa", "Silvetia siliquosa", "Cystoseira abies-marina", "Cystoseira algeriensis", "Cystoseira amentacea", "Cystoseira baccata", "Cystoseira barbata", "Cystoseira barbatula", "Cystoseira bosphorica", "Cystoseira brachycarpa", "Cystoseira compressa", "Cystoseira corniculata", "Cystoseira crinita", "Cystoseira crinitophylla", "Cystoseira dubia", "Cystoseira elegans", "Cystoseira funkii", "Cystoseira helvetica", "Cystoseira humilis", "Cystoseira hyblaea", "Cystoseira hypocarpa", "Cystoseira macrocarpa", "Cystoseira mauritanica", "Cystoseira mediterranea", "Cystoseira melanothrix", "Cystoseira montagnei", "Cystoseira nodicaulis", "Cystoseira occidentalis", "Cystoseira pelagosae", "Cystoseira pycnoclada", "Cystoseira rayssiae", "Cystoseira sauvageauana", "Cystoseira schiffneri", "Chrysopoloma nubila", "Brevibacillus virus Jimmer", "Brevibacillus virus Osiris", "Chrysopoloma flavoantennata", "Brevicoryne brassicae virus", "Chrysopoloma opalina", "Broad-leafed dock virus A", "Yam chlorotic mosaic virus", "Brucella virus Pr", "Chrysopoloma rudis", "Brucella virus Tb", "Lasiocampa rudis", "Chrysopoloma variegata variegata", "Chrysopoloma variegata nigromaculata", "Nemapogon inexpectata", "Rheomys mexicanus", "Rheomys raptor", "Rheomys thomasi", "Rheomys underwoodi", "Ototylomys phyllotis", "Scrobipalpa fontanensis", "Antemnacrassa albomaculata", "Antemnacrassa albosulcata", "Antemnacrassa geminata", "Antemnacrassa magna", "Antemnacrassa nebulosa", "Antemnacrassa incerta", "Antemnacrassa maculata", "Antemnacrassa monreali", "Antemnacrassa nigrimontana", "Antemnacrassa picturata", "Antemnacrassa punctata", "Otonyctomys hatti", "Antemnacrassa sulcata", "Antemnacrassa vitimensis", "Brasilicia brasiliensis", "Cretaclopus longipes", "Brasilicia dimerelloides", "Desertaclopus lucasi", "Desertaclopus atacamensis", "Desertaclopus marcosi", "Gracilaclopus bidentulus", "Gracilaclopus caceresi", "Brasilicia ituriensis", "Tylomys fulviventer", "Tylomys bullaris", "Tylomys tumbalensis", "Tylomys watsoni", "Tylomys nudicaudus", "Tylomys panamensis", "Brasilicia olivaceorufa", "Sargassum abbottiae", "Sargassum acinacifolium", "Sargassum acinaciforme", "Sargassum acinaria", "Sargassum acinarium", "Sargassum agardhianum", "Sargassum agaviforme", "Sargassum albemarlense", "Sargassum albertisii", "Sargassum alternato-pinnatum", "Sargassum amabile", "Sargassum amaliae", "Sargassum amigdalifolium", "Sargassum ammophilum", "Sargassum angii", "Sargassum angustifolioides", "Sargassum angustifolium", "Sargassum aquifolium", "Sargassum araii", "Sargassum armatum", "Sargassum arnaudianum", "Sargassum asperifolium", "Sargassum assimile", "Sargassum autumnale", "Sargassum baccularia", "Sargassum balingasayense", "Sargassum bangmeianum", "Sargassum banyuejiaoense", "Sargassum bataanense", "Sargassum beihaiense", "Sargassum belangeri", "Sargassum bermudense", "Sargassum bicorne", "Sargassum biserrulioides", "Sargassum boreale", "Sargassum botruosum", "Sargassum botuliforme", "Sargassum boveanum", "Sargassum brachycarpum", "Sargassum brachyphyllum", "Sargassum brandegeei", "Sargassum bulbiferum", "Sargassum buxifolium", "Sargassum californicum", "Nevermannia dorcatomoides", "Eugeniella usnica", "Erythranthe peregrina", "Sargassum calophyllum", "Sargassum capillare", "Sargassum capilliforme", "Sargassum capitatum", "Sargassum carpophyllum", "Sargassum cavernulosum", "Sargassum cervicorne", "Sargassum chamissonis", "Sargassum cinctum", "Sargassum cinereum", "Sargassum claviferum", "Sargassum clonocarpum", "Sargassum concinnum", "Sargassum confusum", "Sargassum congkinhii", "Sargassum corderoi", "Sargassum coreanum", "Sargassum cornigerum", "Sargassum cornutifructum", "Sargassum costatum", "Sargassum cotoense", "Sargassum crispifolium", "Sargassum cuneifolium", "Sargassum currimaoense", "Sargassum cylindrocarpum", "Sargassum cylindrocystum", "Sargassum cymosum", "Sargassum cystocarpum", "Sargassum cystophyllum", "Sargassum dasyphyllum", "Sargassum dazhouense", "Sargassum decaisnei", "Sargassum densicystum", "Brasilicia subsimilis", "Sargassum densifolium", "Sargassum denticarpum", "Sargassum dentifolium", "Sargassum desfontainesii", "Sargassum desvauxii", "Sargassum distichum", "Sargassum divaricatum", "Sargassum diversifolium", "Sargassum dotyi", "Sargassum dumosum", "Sargassum ecuadoreanum", "Sargassum elegans", "Sargassum emarginatum", "Sargassum ensifolium", "Sargassum erinaceum", "Sargassum erosum", "Sargassum erumpens", "Sargassum esperi", "Sargassum expansum", "Sargassum fallax", "Sargassum feldmannii", "Sargassum fergusonii", "Sargassum filifolium", "Sargassum filiforme", "Sargassum filipendula", "Sargassum fissifolium", "Sargassum flavicans", "Sargassum flavifolium", "Erythranthe lutea", "Bryogomphus caribaeus", "Euryoryzomys lamia", "Euryoryzomys legatus", "Euryoryzomys nitidus", "Euryoryzomys macconnelli", "Euryoryzomys russatus", "Nephelomys albigularis", "Nephelomys caracolus", "Nephelomys childi", "Nephelomys levipes", "Nephelomys meridensis", "Nephelomys moerex", "Nephelomys auriventer", "Nephelomys nimbosus", "Nephelomys pectoralis", "Nephelomys keaysi", "Nephelomys devius", "Nephelomys pirrensis", "Eugeniella nigrodisca", "Eriochilus collinus", "Eriochilus paludosus", "Erythranthe cardinalis", "Neottia japonica", "Taphrocerus brevicarinatus", "Brachys nevermanni", "Calopadia bonitensis", "Calopadia erythrocephala", "Microryzomys altissimus", "Microryzomys minutus", "Calopadia granulosa", "Oecomys bicolor", "Oecomys auyantepui", "Oecomys trinitatis", "Oecomys speciosus", "Oecomys cleberi", "Eugeniella farinosa", "Sphagoeme ochracea", "Alloioscarabaeus cheni", "Simulium dorcatomoides", "Diplacus cusickii", "Sargassum fluitans", "Sargassum fragile", "Sargassum fresenianum", "Sargassum frutescens", "Sargassum fruticulosum", "Sargassum fujianense", "Sargassum fuliginosoides", "Sargassum fuliginosum", "Sargassum fulvellum", "Sargassum furcatum", "Sargassum fuscifolium", "Sargassum galapagense", "Sargassum gemmiphorum", "Sargassum giganteifolium", "Sargassum giganteum", "Sargassum glandulifolium", "Sargassum glaucescens", "Sargassum globulariifolium", "Sargassum godeffroyi", "Sargassum gracile", "Sargassum gracillimum", "Sargassum graminifolium", "Sargassum granuliferum", "Sargassum grevillei", "Sargassum guangdongii", "Sargassum hainanense", "Sargassum hemiphylloides", "Sargassum hemiphyllum", "Sargassum henslowianum", "Sargassum herbaceum", "Sargassum herklotsii", "Sargassum herporhizum", "Sargassum hieui", "Sargassum hildebrandtii", "Sargassum hombronianum", "Sargassum horneri", "Sargassum hornschuchii", "Sargassum horridulum", "Sargassum horridum", "Sargassum howeanum", "Sargassum howellii", "Sargassum huangluense", "Sargassum hystrix", "Sargassum ilicifolioides", "Sargassum ilicifolium", "Sargassum incanum", "Sargassum incisifolium", "Sargassum integerrimum", "Sargassum integrifolioides", "Sargassum intermedium", "Sargassum involucratum", "Sargassum johnsonii", "Sargassum johnstonii", "Sargassum kashiwajimanum", "Sargassum kasyotense", "Sargassum kuetzingii", "Sargassum kushimotense", "Sargassum lacerifolium", "Sargassum laevigatum", "Sargassum lanceolatum", "Sargassum lapazeanum", "Sargassum latifolium", "Sargassum laxifolium", "Nectomys palmipes", "Nectomys apicalis", "Nectomys squamipes", "Nectomys grandis", "Phaenognatha aequistriata", "Phaenognatha angusta", "Phaenognatha arrowi", "Phaenognatha erichsoni", "Phaenognatha jenae", "Phaenognatha pusilla", "Phaenognatha scutellata", "Phaenognatha tristis", "Campylobacter virus CP30A", "Canine associated gemygorvirus 1", "Mallard associated gemygorvirus 1", "Pteropus associated gemygorvirus 1", "Sewage derived gemygorvirus 1", "Starling associated gemygorvirus 1", "Aegialia amplipunctata", "Aegialia arenaria", "Aegialia blanchardi", "Aegialia carri", "Aegialia cartwrighti", "Aegialia clypeata", "Aegialia concinna", "Aegialia conferta", "Aegialia convexa", "Aegialia crassa", "Aegialia crescenta", "Aegialia hardyi", "Aegialia kelsoi", "Aegialia knighti", "Aegialia latispina", "Aegialia magnifica", "Aegialia mcclevei", "Aegialia nitida", "Aegialia opifex", "Aegialia punctata", "Sargassum leizhouense", "Sargassum lendigerum", "Sargassum leptopodum", "Sargassum liebmannii", "Sargassum ligulatum", "Sargassum linearifolium", "Sargassum longicarpum", "Sargassum longicaulis", "Erythranthe glabrata", "Sargassum longifructum", "Sargassum longivesiculosum", "Sargassum lophocarpum", "Sargassum lui", "Sargassum macdougalii", "Sargassum macrocarpum", "Sargassum macrophyllum", "Sargassum marcaccii", "Sargassum marginatum", "Sargassum mathiesonii", "Sargassum mcclurei", "Sargassum megalocystum", "Sargassum micracanthum", "Sargassum microceratium", "Sargassum microcystum", "Sargassum microphyllum", "Sargassum minimum", "Sargassum miyabei", "Sargassum moelleri", "Sargassum namoense", "Sargassum nanshaense", "Sargassum naozhounse", "Sargassum neglectum", "Sargassum neurophorum", "Sargassum nigrescens", "Sargassum nigrifolioides", "Sargassum nigrifolium", "Sargassum nipponicum", "Sargassum notarisii", "Sargassum novae-hollandiae", "Sargassum nozhouense", "Sargassum obovatum", "Sargassum obtusifolium", "Sargassum ohnoi", "Sargassum okamurae", "Sargassum oligocystum", "Sargassum orotavicum", "Sargassum pacificum", "Sargassum pallidum", "Sargassum palmeri", "Sargassum paniculatum", "Sargassum paradoxum", "Sargassum parvifolioides", "Sargassum parvifolium", "Sargassum parvivesiculosum", "Sargassum parvulum", "Sargassum patens", "Sargassum persicum", "Sargassum pfeifferae", "Sargassum phamhoangii", "Sargassum philippinense", "Sargassum phyllocystum", "Sargassum picconii", "Sargassum piluliferum", "Xenomys nelsoni", "Andalgalomys pearsoni", "Andalgalomys roigi", "Bellflower vein chlorosis virus", "Blackbird associated gemycircularvirus 1", "Bovine associated gemycircularvirus 1", "Bromus associated gemycircularvirus 1", "Cassava associated gemycircularvirus 1", "Chickadee associated gemycircularvirus 1", "Chicken associated gemycircularvirus 1", "Chicken associated gemycircularvirus 2", "Dragonfly associated gemycircularvirus 1", "Equine associated gemycircularvirus 1", "Gerygone associated gemycircularvirus 3", "Miniopterus associated gemycircularvirus 1", "Pteropus associated gemycircularvirus 5", "Sheep associated gemycircularvirus 1", "Odonata associated gemycircularvirus 2", "Sewage derived gemycircularvirus 1", "Pteropus associated gemycircularvirus 1", "Pteropus associated gemycircularvirus 9", "Gerygone associated gemycircularvirus 2", "Porcine associated gemycircularvirus 2", "Sewage derived gemycircularvirus 5", "Pteropus associated gemycircularvirus 8", "Mallard associated gemycircularvirus 1", "Soybean associated gemycircularvirus 1", "Odonata associated gemycircularvirus 1", "Pteropus associated gemycircularvirus 4", "Sewage derived gemycircularvirus 4", "Sewage derived gemycircularvirus 2", "Sewage derived gemycircularvirus 3", "Fur seal associated gemycircularvirus 1", "Poaceae associated gemycircularvirus 1", "Pteropus associated gemycircularvirus 6", "Hypericum associated gemycircularvirus 1", "Pteropus associated gemycircularvirus 10", "Mongoose associated gemycircularvirus 1", "Pteropus associated gemycircularvirus 2", "Rat associated gemycircularvirus 1", "Gerygone associated gemycircularvirus 1", "Lama associated gemycircularvirus 1", "Mosquito associated gemycircularvirus 1", "Pteropus associated gemycircularvirus 3", "Pteropus associated gemycircularvirus 7", "Porcine associated gemycircularvirus 1", "Sigmodon inopinatus", "Sigmodon hirsutus", "Sigmodon peruanus", "Blueberry necrotic ring blotch virus", "Bovine associated gemykrogvirus 1", "Caribou associated gemykrogvirus 1", "Sewage derived gemykrogvirus 1", "Sargassum pinnatifidum", "Sargassum pinnatiphyllum", "Sargassum plagiophyllum", "Sargassum platycarpum", "Sargassum podacanthoides", "Sargassum podacanthum", "Sargassum polyceratium", "Sargassum polycystum", "Sargassum polyphyllum", "Sargassum polyporum", "Sargassum portierianum", "Sargassum primitivum", "Sargassum prismaticum", "Sargassum pseudocystocarpum", "Sargassum pseudolanceolatum", "Sargassum pterocystum", "Sargassum pteropleuron", "Sargassum pulchellum", "Sargassum pumilum", "Sargassum pusillum", "Sargassum pyriforme", "Sargassum qingdaoense", "Sargassum qinzhounse", "Sargassum qionghaiense", "Sargassum quinhonense", "Sargassum ramentaceum", "Sargassum ramifolium", "Sargassum raoulii", "Sargassum rasta", "Sargassum rhizophorum", "Sargassum rigidulum", "Sargassum ringgoldianum", "Sargassum robillardii", "Sargassum robustum", "Sargassum rostratum", "Sargassum ryukyuense", "Sargassum sagamianum", "Sargassum salicifolioides", "Sargassum saltii", "Sargassum samarense", "Sargassum sanyaense", "Sargassum saundersii", "Sargassum scabridum", "Sargassum scherzerianum", "Sargassum schnetteri", "Sargassum scopula", "Sargassum segii", "Sargassum serratifolium", "Sargassum serratum", "Sargassum setifolium", "Sargassum shandongense", "Sargassum shangchuanii", "Sargassum siliculosoides", "Scotinomys teguina", "Sargassum siliquastrum", "Sargassum siliquosum", "Sargassum silvae", "Sargassum sinclairii", "Sargassum sinicola", "Sargassum sonorense", "Sargassum spathulophyllum", "Sargassum spinifex", "Sargassum spinuligerum", "Sargassum squarrosum", "Sargassum steinitzii", "Sargassum stenophyllum", "Sargassum subdroserifolium", "Sargassum subfalcatum", "Sargassum subrepandum", "Sargassum subspathulatum", "Sargassum subtilissimum", "Sargassum sullivanii", "Sargassum swartzii", "Sargassum symphyorhizoideum", "Sargassum taiwanicum", "Sargassum telephifolium", "Scotinomys xerampelinus", "Sargassum templetonii", "Sargassum tenerrimum", "Sargassum tenuifolioides", "Sargassum tenuifolium", "Sargassum tenuissimum", "Sargassum teretifolium", "Sargassum thivyae", "Sargassum thunbergii", "Sargassum tilesii", "Sargassum torvum", "Sargassum tosaense", "Sargassum trichocarpum", "Sargassum trichophyllum", "Sargassum tristichum", "Sargassum tsengii", "Sargassum turbinarioides", "Sargassum ulixei", "Sargassum umezakii", "Sargassum vachellianum", "Sargassum vaysierianum", "Sargassum velasquezii", "Sargassum verrucosum", "Sargassum vestitum", "Sargassum vigorosum", "Sargassum virescens", "Sargassum virgatum", "Sargassum vizcainense", "Sargassum vulgare", "Sargassum wakayamaense", "Sargassum wangii", "Sargassum weizhounse", "Sargassum wenchangense", "Sargassum wolfii", "Sargassum xishaense", "Sargassum yamadae", "Sargassum yamamotoi", "Sargassum yendoi", "Sargassum yezoense", "Sargassum yinggehaiense", "Sargassum yongxingense", "Sargassum yoshidae", "Sargassum zacae", "Sargassum zhangii", "Pseudagrilus maasai", "Pseudagrilus twa", "Pseudagrilus valentinae", "Pseudagrilus erythreinus", "Pseudagrilus erythreinus erythreinus", "Pseudagrilus erythreinus maumau", "Pseudagrilus granulosus", "Agarum oharaense", "Pseudagrilus granulosus granulosus", "Pseudagrilus granulosus tutsi", "Pseudagrilus variabilis", "Agarum pertusum", "Pseudagrilus variabilis variabilis", "Pseudagrilus variabilis bantu", "Pseudagrilus variabilis yao", "Costaria costata", "Costaria latifolia", "Dictyoneurum californicum", "Dictyoneurum reticulatum", "Aegialia shimeki", "Aegialia spinosa", "Amerisaprus valdivia", "Argeremazus neuquen", "Caelius browni", "Caelius denticollis", "Caelius humeralis", "Caelius montanus", "Caelius rufescens", "Micraegialia pusilla", "Mimaegialia argentina", "Psammoporus abdita", "Psammoporus comis", "Psammoporus criddlei", "Psammoporus cylindricus", "Psammoporus exaratus", "Psammoporus friebi", "Psammoporus hybridus", "Psammoporus insularis", "Psammoporus kamtschaticus", "Psammoporus lacustris", "Psammoporus latipunctus", "Psammoporus matalini", "Psammoporus mimica", "Psammoporus nakanei", "Psammoporus nanus", "Psammoporus opacus", "Psammoporus sabuleti", "Psammoporus sibirica", "Psammoporus terminalis", "Psammoporus tsukamotoi", "Rhysothorax rufus", "Saprus griffithi", "Saprus lawrencei", "Saprus victoriae", "Saprus weiri", "Silluvia elongata", "Silluvia gansuensis", "Silluvia gogona", "Silluvia gosainkundae", "Silluvia himalayanus", "Silluvia igori", "Silluvia kabaki", "Silluvia petrovitzi", "Silluvia shashi", "Silluvia simbuae", "Silluvia sinica", "Silluvia wassuensis", "Silluvia wittmeri", "Silluvia yunnanica", "Catopsilia pomona nucleopolyhedrovirus", "Choristoneura murinana nucleopolyhedrovirus", "Lambdina fiscellaria nucleopolyhedrovirus", "Lymantria xylina nucleopolyhedrovirus", "Orgyia leucostigma nucleopolyhedrovirus", "Aegialia rupta", "Chocolate lily virus A", "Cosavirus B", "Cosavirus D", "Cosavirus E", "Cosavirus F", "Akkesiphycus lubricus", "Oligoryzomys andinus", "Alaria crassifolia", "Oligoryzomys arenalis", "Oligoryzomys brendae", "Alaria esculenta", "Oligoryzomys chacoensis", "Oligoryzomys destructor", "Oligoryzomys fornesi", "Oligoryzomys griseolus", "Oligoryzomys longicaudatus", "Alaria angusta", "Alaria cordata", "Alaria crispa", "Oecomys concolor", "Oecomys catherinae", "Oecomys flavicans", "Oecomys mamorae", "Oecomys paricola", "Oecomys phaeotis", "Oecomys rex", "Oecomys roberti", "Oecomys superans", "Oecomys rutilus", "Agriloides moorei", "Agarum clathratum", "Agarum clathrus", "Agarum turneri", "Agarum fimbriatum", "Pseudagrilus ewe", "Pseudagrilus maleci", "Pterostylis allantoidea", "Pterostylis alpina", "Pterostylis amabilis", "Pterostylis anaclasta", "Eualaria fistulosa", "Meliboeus aurarius", "Lessoniopsis littoralis", "Pterostylis anatona", "Pterostylis aneba", "Pterostylis angusta", "Pterostylis aphylla", "Pterostylis aquilonia", "Pterostylis arenicola", "Reithrodontomys zacatecae", "Reithrodontomys tenuirostris", "Reithrodontomys microdon", "Reithrodontomys hirsutus", "Pterostylis areolata", "Pterostylis aspera", "Pterostylis atriola", "Reithrodontomys spectabilis", "Alebrasca actinidiae", "Reithrodontomys creper", "Alebrasca expansa", "Reithrodontomys mexicanus", "Erythranthe lewisii", "Erythranthe moschata", "Erythranthe michiganensis", "Erythranthe pilosiuscula", "Erythranthe tilingii", "Diplacus nanus", "Pleurophycus gardneri", "Pterygophora californica", "Fellhanera atrofuscatula", "Fellhanera chejuensis", "Abantis tettensis", "Abantis bicolor", "Abantis zambesiaca", "Abantis paradisea", "Abantis elegantula", "Abantis arctomarginata", "Abantis meru", "Abantis venosa", "Abantis contigua", "Abantis eltringhami", "Abantis meneliki", "Abantis nigeriana", "Abantis nigeriana nigeriana", "Abantis nigeriana rougeoti", "Abantis pseudonigeriana", "Abantis rubra", "Abantis tanobia", "Abantis vidua", "Undaria undarioides", "Nesaeoduvalius vailatii", "Undariella kurilensis", "Aureophycus aleuticus", "Oligoryzomys magellanicus", "Alaria elliptica", "Alaria flagellaris", "Alaria fragilis", "Alaria longipes", "Alaria macrophylla", "Alaria marginata", "Alaria oblonga", "Alaria ochotensis", "Alaria paradisea", "Alaria praelonga", "Alaria pylaiei", "Alaria striata", "Oligoryzomys microtis", "Oligoryzomys utiaritensis", "Handleyomys alfaroi", "Handleyomys fuscatus", "Handleyomys intectus", "Handleyomys chapmani", "Handleyomys melanotis", "Handleyomys rhabdops", "Handleyomys rostratus", "Handleyomys saturatior", "Acanthaphodius bruchi", "Acanthobodilus immundus", "Acanthobodilus languidulus", "Acrossoides brittoni", "Acrossoides yorkensis", "Acrossus angustiarum", "Acrossus atratus", "Acrossus belousovi", "Acrossus bimaculatus", "Acrossus binaevulus", "Acrossus bolognai", "Acrossus carpetanus", "Acrossus delavayi", "Acrossus depressus", "Acrossus devabhumi", "Acrossus eberti", "Yamautidius sucmo", "Fellhanera guatemalensis", "Xenotrechus condei", "Xenotrechus denticollis", "Sceliphron spirifex", "Qianaphaenops longicornis", "Qianaphaenops pilosus", "Qianaphaenops rotundicollis", "Qianaphaenops tenuis", "Laminaria digitata", "Saccharina bongardiana", "Allobodilus fascinatus", "Allobodilus notabilis", "Allobodilus obibensis", "Allobodilus unicus", "Alocoderus baleensis", "Alocoderus ballerioi", "Kosswigia insularis", "Chorda asiatica", "Kusumia amicorum", "Kusumia australis", "Kusumia crocodilus", "Kusumia dentata", "Kusumia elongata", "Chorda kikonaiensis", "Kusumia hatenashiani", "Kusumia insperata", "Kusumia laticollis", "Kusumia latior", "Kusumia longicollis", "Kusumia septentrionalis", "Kusumia takahasii", "Kusumia tanakai", "Kusumia yoshikawai", "Kusumia yosiiana", "Kusumia fusipennis", "Chorda rigida", "Kusumia gelida", "Kusumia militis", "Kusumia obaco", "Kusumia rotundata", "Kusumia variabilis", "Kusumia kitayamai", "Shilinotrechus fusiformis", "Ushijimaella lucida", "Ushijimaella pilosistriata", "Ushijimaella silvatica", "Ushijimaella uenoi", "Arthrothamnus kurilensis", "Arthrothamnus bifidus", "Zhijinaphaenops gravidulus", "Zhijinaphaenops lii", "Zhijinaphaenops pubescens", "Cymathaere triplicata", "Cymathaere fibrosa", "Yamautidius aenigmaticus", "Yamautidius anaulax", "Yamautidius basisquamatus", "Yamautidius compositus", "Yamautidius debilis", "Yamautidius dilaticollis", "Yamautidius edentatus", "Yamautidius emarginatus", "Yamautidius eos", "Yamautidius fissuralis", "Yamautidius flabellatus", "Yamautidius hirakei", "Yamautidius ishikawaorum", "Yamautidius latipennis", "Yamautidius mohrii", "Yamautidius pubicollis", "Yamautidius rarissimus", "Yamautidius ryosukei", "Yamautidius securiger", "Yamautidius spinulosus", "Yamautidius squamosus", "Yamautidius tetsuoi", "Yamautidius uozumii", "Yamautidius yamauchii", "Yamautidius croson", "Agrilinellus chiapasensis", "Agrilinellus nuriae", "Agrilinellus oaxacaensis", "Agrilinellus ornatus", "Agrilinus bardus", "Agrilinus bollowi", "Agrilinus breviusculus", "Agrilinus constans", "Agrilinus convexus", "Agrilinus hasegawai", "Agrilinus ibericus", "Agrilinus ishidai", "Agrilinus jugurtha", "Agrilinus lindbergi", "Agrilinus lungaiensis", "Agrilinus madara", "Agrilinus monicae", "Agrilinus monikae", "Agrilinus montisamator", "Agrilinus nikolajevi", "Agrilinus obliviosus", "Agrilinus pirinensis", "Agrilinus pseudolungaiensis", "Agrilinus punctator", "Agrilinus ritsukoae", "Agrilinus rufoanalis", "Agrilinus shilenkovi", "Agrilinus shukronajevi", "Agrilinus spinulosus", "Agrilinus striatus", "Agrilinus surdus", "Agrilinus tashigaonae", "Agrilinus tenax", "Agrilinus uniformis", "Agrilinus wassuensis", "Ahermodontus ambrosi", "Ahermodontus bischoffi", "Ahermodontus marini", "Aidophus cabrali", "Aidophus flaveolus", "Aidophus flechtmanni", "Aidophus impressus", "Aidophus infuscatopennis", "Aidophus kolbei", "Aidophus notatus", "Aidophus panamensis", "Aidophus parcus", "Aidophus pellax", "Aidophus skelleyi", "Alloblackburneus acutulus", "Alloblackburneus aegrotus", "Alloblackburneus cavidomus", "Alloblackburneus cynomysi", "Alloblackburneus fordi", "Alloblackburneus geomysi", "Alloblackburneus guadalajarae", "Alloblackburneus ibanezbernali", "Alloblackburneus lentus", "Alloblackburneus mashunensis", "Alloblackburneus rubeolus", "Alloblackburneus saylori", "Alloblackburneus tenuistriatus", "Alloblackburneus troglodytes", "Acrossus emodus", "Acrossus formosanus", "Acrossus gagatinus", "Acrossus haliki", "Acrossus histrio", "Acrossus hrubanti", "Acrossus humerospinosus", "Acrossus igai", "Acrossus japonicus", "Acrossus jedlickai", "Acrossus jubingensis", "Acrossus klickai", "Acrossus koreanensis", "Acrossus kwanhsiensis", "Acrossus laticollis", "Acrossus longepilosus", "Acrossus luridus", "Acrossus milloti", "Acrossus opacipennis", "Acrossus planicollis", "Acrossus ritsemai", "Acrossus rubripennis", "Acrossus rufipes", "Acrossus semiopacus", "Acrossus siculus", "Acrossus superatratus", "Acrossus tiabi", "Acrossus tingitanus", "Acrossus unifasciatus", "Acrossus ustulatus", "Adeloparius blattoides", "Adeloparius endroedii", "Adeloparius formosus", "Adeloparius iridescens", "Adeloparius lemoulti", "Adeloparius luridipes", "Adeloparius nobilis", "Adeloparius overlaeti", "Adeloparius pulcherrimus", "Adeloparius septemmaculatus", "Adeloparius trimaculatus", "Adeloparius vethi", "Adeloparius wahlbergi", "Adeloparius wittei", "Afroataenius singularis", "Afrodiapterna cambeforti", "Afrodiapterna heleninae", "Afrodiastictus apterus", "Afrodiastictus carinatus", "Afrodiastictus ceratus", "Afrodiastictus endroedyyoungai", "Afrodiastictus insularis", "Afrodiastictus mimicus", "Afrodiastictus minutus", "Aganocrossus albertisi", "Aganocrossus amoenus", "Aganocrossus apicenotatus", "Aganocrossus bordatianus", "Aganocrossus borneensis", "Aganocrossus ciprianii", "Aganocrossus clementianus", "Aganocrossus fugitivus", "Aganocrossus hirtus", "Aganocrossus hutteri", "Aganocrossus ingloriosus", "Aganocrossus krikkeni", "Aganocrossus meticulosus", "Aganocrossus newmanae", "Aganocrossus pallidicornis", "Aganocrossus paraciprianii", "Aganocrossus periculosus", "Aganocrossus plicatus", "Aganocrossus postpilosus", "Aganocrossus pseudamoenus", "Aganocrossus pseudourostigma", "Aganocrossus rudolfpetrovitzi", "Aganocrossus tacitus", "Aganocrossus urostigma", "Aganocrossus vejdovskyi", "Aganocrossus vestitus", "Agoliinus albertanus", "Agoliinus aleutus", "Agoliinus amurensis", "Agoliinus anthracus", "Agoliinus aquilonarius", "Agoliinus ashworthi", "Agoliinus bidentatus", "Agoliinus canadensis", "Agoliinus congregatus", "Agoliinus corruptor", "Agoliinus cruentatus", "Agoliinus durrelli", "Agoliinus explanatus", "Agoliinus guttatus", "Agoliinus hatchi", "Agoliinus idahoensis", "Agoliinus incommunis", "Agoliinus ingenursus", "Agoliinus isajevi", "Agoliinus kiuchii", "Agoliinus lapponum", "Agoliinus leopardus", "Agoliinus malkini", "Agoliinus manitobensis", "Agoliinus morii", "Agoliinus nemoralis", "Agoliinus parastorkani", "Agoliinus piceatus", "Agoliinus piceus", "Agoliinus pittinoi", "Agoliinus plutonicus", "Agoliinus poudreus", "Agoliinus praealtus", "Agoliinus pseudostorkani", "Agoliinus ragusae", "Agoliinus satunini", "Agoliinus satyrus", "Agoliinus setchan", "Agoliinus shibatai", "Agoliinus sigmoideus", "Agoliinus storkani", "Agoliinus tanakai", "Agoliinus wickhami", "Agolius abdominalis", "Agolius bonvouloiri", "Agrilinellus abbonai", "Agrilinellus antonioreyi", "Agrilinellus azteca", "Ataenius asper", "Ataenius attenuator", "Ataenius australasiae", "Ataenius australis", "Ataenius balthasari", "Ataenius barberi", "Ataenius basiceps", "Ataenius beattyi", "Ataenius benarabyensis", "Ataenius biroi", "Ataenius bispinulosus", "Ataenius blapoides", "Ataenius bolivari", "Ataenius borgmeieri", "Ataenius brevis", "Ataenius brevitarsis", "Ataenius buenavistae", "Ataenius caesoides", "Ataenius californicus", "Ataenius carinatipennis", "Ataenius carinator", "Ataenius cartwrighti", "Ataenius catenulatus", "Ataenius cavagnaroi", "Ataenius ceylonensis", "Ataenius chapini", "Ataenius chilensis", "Ataenius circulusbrumalis", "Ataenius cognatus", "Ataenius columbicus", "Ataenius communis", "Ataenius complicatus", "Ataenius confertus", "Ataenius coriarius", "Ataenius corporaali", "Ataenius corrosus", "Ataenius costulifer", "Ataenius crenaticollis", "Ataenius crenatipennis", "Ataenius crenator", "Ataenius crenatostriatus", "Ataenius crenulatus", "Ataenius cribrithorax", "Ataenius cristobalensis", "Ataenius dentatus", "Ataenius deserti", "Ataenius ecruensis", "Ataenius edungalbae", "Ataenius elegans", "Ataenius elongatulus", "Ataenius endroedyyoungai", "Ataenius erinaceus", "Ataenius eringundae", "Ataenius erratus", "Ataenius eurynotus", "Ataenius excisicollis", "Ataenius exiguus", "Ataenius fattigi", "Ataenius floreanae", "Ataenius forgiei", "Ataenius forsteri", "Ataenius freyi", "Ataenius gammonensis", "Polycladia heinii", "Sargassopsis decurrens", "Sargassopsis heteromorphum", "Sargassopsis kendrickii", "Onthophagus abei", "Onthophagus amycoides", "Onthophagus andreji", "Onthophagus angkhanensis", "Onthophagus bakweri", "Onthophagus baolocensis", "Onthophagus baramtagal", "Onthophagus bonorae", "Onthophagus bordati", "Onthophagus borneotagal", "Calochortus aureus", "Onthophagus boucomontianus", "Onthophagus cernyi", "Onthophagus ceylonicus", "Onthophagus chetroiensis", "Scaberia agardhii", "Onthophagus clavijeroi", "Calochortus bruneaunis", "Onthophagus martinpierai", "Scaberia rugulosa", "Parachorius matsudai", "Sirophysalis muricata", "Sirophysalis trinodis", "Abantis fabiana", "Abantis torbeni", "Undaria crenata", "Abantis efulensis", "Abantis leucogaster", "Abantis leucogaster leucogaster", "Undaria peterseniana", "Abantis leucogaster iruma", "Alocoderus carinifrons", "Alocoderus decrepidus", "Alocoderus digitalis", "Alocoderus elongatulus", "Alocoderus gilleti", "Alocoderus holdereri", "Alocoderus hydrochaeris", "Alocoderus imitator", "Alocoderus luangensis", "Alocoderus machatschkei", "Alocoderus mineti", "Alocoderus semenowi", "Alocoderus semienensis", "Alocoderus strigimargo", "Alocoderus teyrovskyi", "Alocoderus turbatus", "Alocoderus volubilis", "Alocoderus wolfgangi", "Amerilochus cinereus", "Amidorus alagoezi", "Amidorus cribrarius", "Amidorus cribricollis", "Amidorus dentellus", "Amidorus granulatus", "Amidorus immaturus", "Amidorus koshantschikovi", "Amidorus moraguesi", "Amidorus obscurus", "Amidorus salebrosus", "Amidorus thermicola", "Ammoecius amplicollis", "Ammoecius brevis", "Ammoecius dentatus", "Ammoecius dogueti", "Ammoecius elevatus", "Ammoecius eli", "Ammoecius felscheanus", "Ammoecius franzi", "Ammoecius frigidus", "Ammoecius incultus", "Ammoecius lugubris", "Ammoecius lusitanicus", "Ammoecius meurguesae", "Ammoecius mimus", "Ammoecius muchei", "Ammoecius naviauxi", "Ammoecius numidicus", "Ammoecius rugifrons", "Ammoecius satanas", "Ammoecius terminatus", "Ammoecioides adventicius", "Ammoecioides catulus", "Ammoecioides davisianus", "Ammoecioides facetus", "Ammoecioides granosus", "Ammoecioides insidiosus", "Ammoecioides kovacsi", "Ammoecioides mulanje", "Ammoecioides nyika", "Ammoecioides sparsepunctatus", "Ammoecioides spectabilis", "Ammoecioides uitsoekensis", "Anaetius kuijteni", "Annegialia ataeniformis", "Fellhanera vulgaris", "Streptophyllopsis kuroshioense", "Macrodorcas okinawanus", "Macrodorcas okinawanus okinawanus", "Macrodorcas okinawanus yaeyamaensis", "Aphodiopsis olseni", "Aphodiopsis paulianellus", "Aphodiopsis problematicus", "Aphodiopsis radians", "Aphodiopsis raucus", "Aphodiopsis subopacus", "Aphodiopsis temerarius", "Aphodobius amplipennis", "Aphodobius bernoni", "Aphodobius bicoloratus", "Aphodobius erugatus", "Aphodobius fentoni", "Aphodobius heynei", "Aphodobius innocens", "Aphodobius inornatus", "Aphodobius mulciber", "Aphodobius partitus", "Aphodobius peringueyi", "Aphodobius rubrothorax", "Aphodobius tessmanni", "Aphodobius transvaalicus", "Aphodobius ugandanus", "Aphodobius villosulus", "Aphodobius zumpti", "Aphodoharmogaster costata", "Aphodopsammobius australicus", "Aphodopsammobius demarzi", "Aphodopsammobius mirabilis", "Aphodopsammobius rugicollis", "Aphodopsammobius zietzi", "Aphotaenius cambeforti", "Aphotaenius carolinus", "Aphotaenius convexus", "Aphotaenius plaumanni", "Apsteiniella aralica", "Apsteiniella georgii", "Apsteiniella naviauxi", "Arupaia friedenreichi", "Ataeniopsis armasi", "Ataeniopsis carupanoi", "Ataeniopsis duncani", "Ataeniopsis edistoi", "Ataeniopsis figurator", "Ataeniopsis haroldi", "Ataeniopsis notabilis", "Ataeniopsis parallelus", "Ataeniopsis parkeri", "Ataeniopsis pusillus", "Ataeniopsis regulus", "Ataeniopsis rugopygus", "Ataeniopsis saxatilis", "Ataeniopsis vinacoensis", "Ataenius abditus", "Ataenius acutulus", "Ataenius aequatorialis", "Ataenius africanus", "Ataenius alternatus", "Ataenius ambaritae", "Ataenius angulatus", "Ataenius annanus", "Ataenius aphodiiformis", "Ataenius apicalis", "Ataenius arenosus", "Ataenius arrowi", "Laminaria pallida", "Laminaria philippinensis", "Queinnectrechus excentricus", "Laminaria platymeris", "Laminaria punctata", "Laminaria remotifolia", "Laminaria rodriguezii", "Laminaria ruprechtii", "Laminaria setchellii", "Laminaria sinclairii", "Laminaria solidungula", "Laminaria yezoensis", "Queinnectrechus glacialis", "Queinnectrechus globipennis", "Queinnectrechus smetanai", "Queinnectrechus zheduoshanus", "Queinnectrechus angusticollis", "Queinnectrechus brevis", "Queinnectrechus guttula", "Queinnectrechus humeralis", "Queinnectrechus incisus", "Queinnectrechus janatai", "Queinnectrechus micrangulus", "Queinnectrechus miroslavi", "Nereocystis luetkeana", "Ataenius garamas", "Ataenius gascoyneensis", "Ataenius gibbus", "Ataenius gilesi", "Ataenius glabriventris", "Ataenius glaseri", "Ataenius gracilis", "Ataenius granocostatus", "Ataenius guayasi", "Ataenius gungareei", "Ataenius heinekeni", "Ataenius hesperius", "Ataenius hispidus", "Ataenius holopubescens", "Ataenius horticola", "Ataenius hrubanti", "Ataenius humptydooensis", "Ataenius icanus", "Ataenius illaetabilis", "Ataenius imbricatoides", "Ataenius imbricatus", "Ataenius imparilis", "Ataenius impiger", "Ataenius impressus", "Ataenius indutus", "Ataenius inquisitus", "Ataenius insculptus", "Ataenius insolitus", "Ataenius insularis", "Ataenius integricollis", "Ataenius intermedius", "Ataenius isabelae", "Ataenius jelineki", "Ataenius kapalgaensis", "Ataenius kochi", "Ataenius koebelei", "Ataenius koghianus", "Ataenius lamotteiroyi", "Ataenius lanei", "Ataenius liogaster", "Ataenius luctuosus", "Ataenius madagassicus", "Ataenius maghribinicus", "Ataenius martinezi", "Ataenius miamii", "Ataenius microtrichopterus", "Ataenius millstreamae", "Ataenius montanus", "Ataenius monteithi", "Ataenius monticola", "Ataenius montreuili", "Ataenius morator", "Ataenius murchisoni", "Ataenius nakpandurii", "Ataenius nanus", "Ataenius nigricans", "Ataenius nudus", "Ataenius nugator", "Ataenius oaxacaensis", "Ataenius ocumarensis", "Ataenius opacipennis", "Ataenius opatrinus", "Ataenius opatroides", "Mecotropis cylindricus", "Mecotropis vitalis", "Mecotropis vietnamensis", "Fellhanera laeticolor", "Platydema sawadai", "Brachyidium iwojimae", "Reithrodontomys rodriguezi", "Pelagophycus porra", "Fellhanera maritima", "Reithrodontomys darienensis", "Fellhanera obscurata", "Reithrodontomys burti", "Reithrodontomys brevirostris", "Reithrodontomys sumichrasti", "Reithrodontomys fulvescens", "Reithrodontomys chrysopsis", "Fellhanera rubrolecanorina", "Reithrodontomys humulis", "Reithrodontomys gracilis", "Reithrodontomys raviventris", "Reithrodontomys paradoxus", "Reithrodontomys cherrii", "Myriophyllum aquaticum var. aquaticum", "Nehemitropia milu", "Postelsia palmaeformis", "Dicerca unokichii", "Pseudolessonia laminarioides", "Chrysochroa semperi", "Chrysochroa semperi semperi", "Chrysochroa semperi osadai", "Megaloxantha nigricornis", "Megaloxantha nigricornis nigricornis", "Megaloxantha nigricornis sakaii", "Megaloxantha nigricornis takizawai", "Adoretus abdolreza-gharibi", "Saccharina latissima", "Ecklonia arborea", "Ecklonia bicyclis", "Wiedomys cerradensis", "Ecklonia biruncinata", "Ecklonia brevipes", "Ecklonia cava", "Ecklonia fastigiata", "Ecklonia kurome", "Ecklonia muratii", "Leimonis lynceola", "Ecklonia radiata", "Ecklonia richardiana", "Rangifer tarandus platyrhynchus", "Blackburneus paragnu", "Blackburneus pseudocalvus", "Blackburneus puncticollis", "Blackburneus radamus", "Blackburneus richteri", "Blackburneus sanfilippoi", "Blackburneus saylorea", "Blackburneus stebnickae", "Blackburneus stercorosus", "Blackburneus surinamensis", "Blackburneus tachyoryctis", "Blackburneus telekii", "Blackburneus teposcolulaensis", "Blackburneus thomasi", "Blackburneus truncaticollis", "Blackburneus vacca", "Blackburneus vadoni", "Blackburneus villiersianus", "Blackburneus vixpunctatus", "Blackburneus vojnitsi", "Blackburneus walteri", "Blackburneus xanthus", "Blackburneus zairensis", "Blackburneus zernyi", "Pygmephorus lutterloughae", "Laminaria hyperborea", "Reithrodontomys megalotis", "Reithrodontomys montanus", "Qianotrechus fani", "Qianotrechus laevis", "Qianotrechus magnicollis", "Qianotrechus tenuicollis", "Laminaria abyssalis", "Laminaria appressirhiza", "Laminaria brasiliensis", "Laminaria bullata", "Laminaria cordata", "Laminaria discolor", "Laminaria ephemera", "Laminaria farlowii", "Laminaria fissilis", "Laminaria gunneri", "Laminaria himanthophylla", "Laminaria inclinatorhiza", "Laminaria leptopoda", "Laminaria longipes", "Laminaria ochroleuca", "Macrodorcas okinawanus kubotai", "Podomys floridanus", "Ecklonia maxima", "Ecklonia stolonifera", "Ecklonia radicosa", "Tribasodellus fengtiae", "Fellhaneropsis rhododendri", "Araneibatrus callissimus", "Gabrius okamotoi", "Gabrius multipunctatus", "Gabrius japonicus", "Fellhanera termitophila", "Saccharina angustata", "Saccharina cichorioides", "Saccharina complanata", "Saccharina crassifolia", "Saccharina dentigera", "Saccharina druehlii", "Saccharina gurjanovae", "Saccharina gyrata", "Saccharina japonica", "Saccharina kurilensis", "Saccharina lanciformis", "Saccharina longicruris", "Saccharina longissima", "Saccharina nigripes", "Saccharina sachalinensis", "Saccharina sculpera", "Saccharina sessilis", "Saccharina yendoana", "Synalpheus pinkfloydi", "Egregia australis", "Colaphellus bowringi", "Amga orthohantavirus", "Asama orthohantavirus", "Asikkala orthohantavirus", "Bowe orthohantavirus", "Bruges orthohantavirus", "Cao Bang orthohantavirus", "Choclo orthohantavirus", "Dabieshan orthohantavirus", "Fugong orthohantavirus", "Fusong orthohantavirus", "Imjin orthohantavirus", "Jeju orthohantavirus", "Kenkeme orthohantavirus", "Laibin orthohantavirus", "Longquan orthohantavirus", "Luxi orthohantavirus", "Maporal orthohantavirus", "Montano orthohantavirus", "Necocli orthohantavirus", "Nova orthohantavirus", "Oxbow orthohantavirus", "Quezon orthohantavirus", "Rockport orthohantavirus", "Yakeshi orthohantavirus", "Egregia menziesii", "Eisenia cokeri", "Eisenia desmarestioides", "Eisenia masonii", "Eisenia galapagensis", "Eisenia gracilis", "Chalcolampra marmorata", "Chalcolampra winnunga", "Lessonia flavicans", "Lessonia nigrescens", "Lessonia trabeculata", "Loflammiopsis brasiliensis", "Ataenius utahensis", "Ataenius vethianus", "Ataenius vinacoensis", "Ataenius walkeri", "Ataenius warisensis", "Ataenius wenzeli", "Ataenius windjanae", "Ataenius yungasus", "Australagolius sauerovae", "Australammoecius aphodioides", "Australammoecius coloratus", "Australammoecius goyderensis", "Australammoecius occidentalis", "Australammoecius peckorum", "Australammoecius persimilis", "Australaphodius accola", "Australaphodius catulus", "Australaphodius muellerae", "Ballucus barri", "Ballucus bruneaui", "Ballucus obtusus", "Ballucus oregonus", "Basilewskyanus elisabethae", "Biralus equinus", "Biralus jhelumensis", "Biralus mahunkaorum", "Biralus menetriesi", "Biralus satellitius", "Blackburneus amazonicus", "Blackburneus argentinensis", "Blackburneus biroi", "Blackburneus bongorensis", "Blackburneus calvus", "Blackburneus caracaensis", "Blackburneus charmionus", "Blackburneus clipealis", "Blackburneus cobi", "Blackburneus collarti", "Blackburneus consonus", "Blackburneus dellacasarum", "Blackburneus detruncatus", "Blackburneus diminutus", "Blackburneus dubitabilis", "Blackburneus erythrinus", "Blackburneus furcatus", "Blackburneus ghanaensis", "Blackburneus gnu", "Blackburneus guatemalensis", "Blackburneus indio", "Blackburneus ineptus", "Blackburneus jugalis", "Blackburneus koenigsbaueri", "Blackburneus laxepunctatus", "Blackburneus levis", "Blackburneus luciphilus", "Blackburneus microreticulatus", "Blackburneus minutissimus", "Blackburneus mollis", "Blackburneus morogoroensis", "Blackburneus niunzuensis", "Blackburneus nyassicus", "Blackburneus ohopohoensis", "Blackburneus optatoides", "Blackburneus optatus", "Ataenius pacificus", "Ataenius palmerstoni", "Ataenius palustris", "Ataenius panamensis", "Ataenius parallelipennis", "Ataenius parvus", "Ataenius pearlensis", "Ataenius peregianensis", "Ataenius peregrinator", "Ataenius perforatus", "Ataenius pertuga", "Ataenius petrovitzi", "Ataenius polyglyptus", "Ataenius pseudimparilis", "Ataenius pseudocarinator", "Ataenius pseudocommunis", "Ataenius pseudostercorator", "Ataenius punctatohirsutus", "Ataenius purator", "Ataenius quintanaroo", "Ataenius rakovici", "Ataenius raslani", "Ataenius raucus", "Ataenius rosinae", "Ataenius rubrotessellatus", "Ataenius saulensis", "Ataenius scabrelloides", "Ataenius scabrellus", "Ataenius scalptifrons", "Ataenius schmidti", "Ataenius sculptilis", "Ataenius sculptor", "Ataenius seaforthensis", "Ataenius semicoecus", "Ataenius semicornutus", "Ataenius setosus", "Ataenius seydeli", "Ataenius siminasus", "Ataenius simplicipes", "Ataenius sparsicollis", "Ataenius speculator", "Ataenius spinipennis", "Ataenius spretulus", "Ataenius stebnickae", "Ataenius steinheili", "Ataenius stephani", "Ataenius stercorator", "Ataenius striatocrenatus", "Ataenius strigatus", "Ataenius strigicaudus", "Ataenius strigifrons", "Ataenius suineata", "Ataenius synnotensis", "Ataenius talpoides", "Ataenius tambopatae", "Ataenius temperei", "Ataenius texanus", "Ataenius tindalensis", "Ataenius tomentosus", "Ataenius torridus", "Ataenius tovarensis", "Ataenius tuberculatus", "Ataenius uriarrae", "Ataenius usingeri", "Bembidion semilunium", "Euotophorus imeldae", "Bobiricola endroedyyoungai", "Bodiloides asiricus", "Bodiloides ictericus", "Bodilopsis aquilus", "Bodilopsis ogloblini", "Bodilopsis rufus", "Bodilopsis sordidus", "Bodilus acutifrons", "Bodilus amabilis", "Bodilus angolensis", "Bodilus apertus", "Bodilus ardens", "Bodilus ardescens", "Bodilus arsissaensis", "Bodilus barbarus", "Bodilus beduinus", "Bodilus buxeipennis", "Anomalurobius eburneus", "Anomius annamariae", "Anomius antii", "Anomius apollonius", "Anomius baeticus", "Anomius castaneus", "Anomius crovettii", "Anomius hamricola", "Anomius neidae", "Anomius petrovitzi", "Anomius peyerimhoffi", "Anomius saturnalis", "Anomius segonzaci", "Anomius theryi", "Aparammoecius annapurnae", "Aparammoecius bagmatiensis", "Aparammoecius balangensis", "Aparammoecius gansuensis", "Aparammoecius heinzi", "Aparammoecius holzschuhi", "Aparammoecius isaburoi", "Aparammoecius ivani", "Aparammoecius kanglae", "Aparammoecius kaskiensis", "Aparammoecius lamjungi", "Aparammoecius leisteri", "Aparammoecius mahriensis", "Aparammoecius mizo", "Aparammoecius mudukensis", "Aparammoecius muzaffarabadensis", "Aparammoecius nomurai", "Aparammoecius pallidiligonis", "Aparammoecius phulcokiensis", "Aparammoecius sabhae", "Aparammoecius schawalleri", "Aparammoecius shogranicus", "Aparammoecius tarokensis", "Aparammoecius topali", "Aparammoecius waniaramensis", "Aparammoecius yangricus", "Aparammoecius yaralensis", "Aparammoecius yenpingensis", "Aparammoecius zojilae", "Aphodaulacus assyricus", "Aphodaulacus balachanicola", "Aphodaulacus grumi", "Aphodaulacus ignobilis", "Aphodaulacus kabaki", "Aphodaulacus kizeritskyi", "Aphodaulacus koltzei", "Aphodaulacus nigrotessellatus", "Aphodaulacus perblandus", "Aphodaulacus saraevi", "Aphodaulacus turkestanicus", "Aphodaulacus variabilis", "Aphodiellus genialis", "Aphodiellus impunctatus", "Aphodiopsis camerunensis", "Aphodiopsis cubita", "Aphodiopsis evestigata", "Aphodiopsis kumasianus", "Aphodiopsis latens", "Aphodiopsis latipes", "Aphodiopsis motoensis", "Bembidion cymindulum", "Pseudagrilus transvalensis", "Pseudagrilus beryllinus", "Artemisia alpina", "Pseudagrilus hunti", "Tobacco leaf curl", "Tomato leaf curl betasatellite", "Tomato leaf curl", "Tomato yellow leaf curl", "Tomato leaf curl", "Tomato leaf curl", "Tomato leaf curl", "Tomato yellow leaf curl", "Tomato leaf curl", "Tomato leaf curl", "Tomato leaf curl", "Tomato leaf curl", "Tomato yellow leaf curl", "Tobacco leaf curl", "Tomato leaf curl", "Tomato yellow leaf curl", "Aichivirus D", "Aichivirus E", "Aichivirus F", "Alfalfa enamovirus 1", "Alfalfa leaf curl virus", "Euphorbia caput-medusae latent virus", "French bean severe leaf curl virus", "Plantago lanceolata latent virus", "Almpiwar sripuvirus", "Chaco sripuvirus", "Niakha sripuvirus", "Sena Madureira sripuvirus", "Sripur sripuvirus", "Chironius diamantina", "Cucumis melo alphaendornavirus", "Erysiphe cichoracearum alphaendornavirus", "Artemisia armeniaca", "Phalacrocera replicata", "Artemisia chamaemelifolia", "Artemisia haussknechtii", "Artemisia incana", "Pseudochorda nagaii", "Artemisia sieberi", "Pseudochorda gracilis", "Costulariella kurilensis", "Feditia simuschirensis", "Tauya basicrassa", "Phyllariella ochotensis", "Califorctenus cacachilensis", "Artemisia spicigera", "Artemisia taurica", "Artemisia splendens", "Bembidion gebleri gebleri", "Bembidion gebleri persuasum", "Lessonia searlesiana", "Bembidion gebleri nakanei", "Bembidion gebleri turbatum", "Lessonia spicata", "Bembidion fellmanni", "Pseudomys albocinereus", "Pseudomys apodemoides", "Pseudomys bolami", "Pseudomys desertor", "Pseudomys calabyi", "Pseudomys chapmani", "Pseudomys delicatulus", "Pseudomys gracilicaudatus", "Pseudomys fumeus", "Pseudomys nanus", "Pseudomys gouldii", "Pseudomys novaehollandiae", "Pseudomys hermannsburgensis", "Pseudomys higginsi", "Pseudomys johnsoni", "Pseudomys occidentalis", "Pseudomys oralis", "Pseudomys shortridgei", "Pseudomys patrius", "Pseudocalopadia mira", "Pseudomys auritus", "Esymus sesquivittatus", "Esymus sicardi", "Esymus suturinigra", "Eudolus quadriguttatus", "Eudolus quadrinaevulus", "Euhemicyclium demeyeri", "Euhemicyclium planatum", "Euheptaulacus atlantis", "Euheptaulacus carinatus", "Euheptaulacus nemethi", "Euheptaulacus porcellus", "Euheptaulacus villosus", "Euorodalus boiteli", "Euorodalus bredoi", "Euorodalus coenosus", "Euorodalus elephanthinus", "Euorodalus himalayanus", "Euorodalus longevittatus", "Euorodalus lucifer", "Euorodalus paracoenosus", "Euorodalus signifer", "Euorodalus stribrnyi", "Euorodalus subtilitarsis", "Euorodalus tersus", "Anarhichas denticulatus", "Lessonia adamsiae", "Bembidion lucillum", "Lessonia tholiformis", "Lessonia berteroana", "Anarhichas minor", "Lessonia brevifolia", "Anarhichas orientalis", "Lessonia variegata", "Lessonia corrugata", "Bembidion gebleri", "Bodilus caspius", "Bodilus cathedralensis", "Bodilus circumcinctus", "Bodilus comptifer", "Bodilus crassus", "Bodilus damarinus", "Bodilus flagrans", "Bodilus furvus", "Bodilus gregarius", "Bodilus hammeri", "Bodilus hastatus", "Bodilus holgati", "Bodilus insperatus", "Bodilus karroensis", "Bodilus kaznakovi", "Bodilus kermanschahensis", "Bodilus kububanus", "Bodilus laetus", "Bodilus laterosetosus", "Bodilus liesenfeldti", "Bodilus loeffleri", "Bodilus longeciliatus", "Bodilus longipennis", "Bodilus longispina", "Bodilus lucidulus", "Bodilus lugens", "Bodilus marani", "Bodilus marshalli", "Bodilus nigriventris", "Bodilus noxius", "Bodilus nylsvleyicus", "Bodilus oblatus", "Bodilus pantherinus", "Bodilus punctipennis", "Bodilus sabaeus", "Bodilus saoudi", "Bodilus sordescens", "Bodilus strigilatus", "Bodilus terminassianae", "Bodilus transvaalensis", "Bodilus veselyi", "Bodilus zarudnyi", "Bodilus zunbajanicus", "Bordatius australis", "Bordatius capensis", "Bordatius mthatha", "Bordatius muellerae", "Bordatius tingitanus", "Boucomontiellus pelliculosus", "Boucomontiellus umbrinus", "Brachiaphodius ahrensi", "Brachiaphodius aureopilosus", "Brachiaphodius babori", "Brachiaphodius bellmanni", "Brachiaphodius eccoptus", "Brachiaphodius jeanneli", "Brachiaphodius jendeki", "Brachiaphodius langeri", "Brachiaphodius nainiensis", "Brachiaphodius pilifer", "Brachiaphodius pilosus", "Brachiaphodius ruupbai", "Brachiaphodius taiwanicus", "Brachiaphodius weibao", "Brachiaphodius yaaunitnoi", "Brachiaphodius yuan", "Brindalus granulicollis", "Brindalus maderae", "Brindalus porcicollis", "Brindalus rotundipennis", "Brindalus schatzmayri", "Bruchaphodius bruchi", "Bruchaphodius ovalipennis", "Bruchaphodius shannoni", "Calamosternus acriculus", "Calamosternus boreosinicus", "Calamosternus ciliaticollis", "Calamosternus clermonti", "Calamosternus colimaensis", "Calamosternus descarpentriesi", "Calamosternus granarius", "Calamosternus hyxos", "Calamosternus machulkai", "Calamosternus magnicollis", "Calamosternus mayeri", "Calamosternus prusai", "Calamosternus pseudolucidus", "Calamosternus sauteri", "Calamosternus srinagarensis", "Calamosternus stercorarius", "Calamosternus subdolus", "Calamosternus tricornifrons", "Calamosternus trucidatus", "Calamosternus unicolor", "Calamosternus uniplagiatus", "Calamosternus vexator", "Calamosternus zmoskev", "Caligodorus opacus", "Caligodorus tuberosus", "Caligodorus vandykei", "Calocolobopterus caprai", "Calocolobopterus diabolus", "Calocolobopterus egregius", "Calocolobopterus magnicornis", "Calocolobopterus magnus", "Calocolobopterus principalis", "Calocolobopterus senegalensis", "Calocolobopterus szekessyi", "Candezeollus bicrenulatus", "Candezeollus candezei", "Candezeollus pseudocandezei", "Carinaulus armandidavidi", "Carinaulus coreensis", "Carinaulus dierli", "Carinaulus dundarum", "Carinaulus gansuicus", "Carinaulus imitabilis", "Carinaulus inexpectatus", "Carinaulus jakli", "Carinaulus krali", "Carinaulus meghalayensis", "Carinaulus milaninikodymi", "Carinaulus pseudovseteckai", "Carinaulus pseudozhanglaensis", "Carinaulus pucholti", "Carinaulus sikkimensis", "Carinaulus tryznai", "Carinaulus vseteckai", "Ferrerianus biimpressus", "Malayia fuscinervis", "Malayia indica", "Ntaolaltica antennata", "Diphaulacosoma bicolor", "Diphaulacosoma crassicornis", "Diphaulacosoma elegans", "Diphaulacosoma jenisi", "Diphaulacosoma laevipenne", "Diphaulacosoma nigroscutis", "Diphaulacosoma scutellare", "Carinaulus wrzecionkoi", "Carinaulus zhanglaensis", "Cartwrightia cartwrighti", "Cartwrightia intertribalis", "Cephalocyclus bordati", "Cephalocyclus carmenae", "Cephalocyclus cartagoensis", "Cephalocyclus costaricensis", "Cephalocyclus durangoensis", "Cephalocyclus fuliginosus", "Cephalocyclus gravidus", "Cephalocyclus halffteri", "Cephalocyclus howdenorum", "Cephalocyclus lagoi", "Cephalocyclus luridiventris", "Cephalocyclus luteolus", "Cephalocyclus majomaensis", "Cephalocyclus mexicanus", "Cephalocyclus moroni", "Cephalocyclus ordonezi", "Cephalocyclus potosinus", "Cephalocyclus pseudofuliginosus", "Cephalocyclus pullatus", "Cephalocyclus puncticeps", "Cephalocyclus rockefelleri", "Cesamexico constricticollis", "Chaetopisthes fulvoides", "Chaetopisthes fulvus", "Chaetopisthes latipes", "Chaetopisthes oberthueri", "Chaetopisthes popei", "Chaetopisthes sulciger", "Chaetopisthes cincinnatus", "Chaetopisthes angustipes", "Chaetopisthes assmuthi", "Chaetopisthes brevipes", "Chaetopisthes brunneus", "Chaetopisthes heimi", "Chaetopisthes longulus", "Chaetopisthes meridionalis", "Chaetopisthes saetiger", "Chaetopisthes semisulcatus", "Chaetopisthes septentrionalis", "Chaetopisthes simplicipes", "Chaetopisthes singalensis", "Chaetopisthes ventriosus", "Cheleion jendeki", "Chilothorax albosetosus", "Chilothorax alexis", "Chilothorax aljibei", "Chilothorax altaicus", "Chilothorax auliensis", "Chilothorax badenkoi", "Chilothorax baghlanicus", "Chilothorax bistriga", "Chilothorax brancoi", "Chilothorax cervorum", "Chilothorax chandmanicus", "Chilothorax clathratus", "Chilothorax clausula", "Chilothorax comma", "Chilothorax discedens", "Chilothorax distinctus", "Chilothorax dobrovljanskyi", "Stenodyneriellus rufoflavus", "Trechisibus huascarani", "Trechisibus recuayi", "Chilothorax dzongensis", "Chilothorax equitis", "Chilothorax exclamationis", "Chilothorax exilimanus", "Chilothorax figuratus", "Chilothorax flammulatus", "Chilothorax flavimargo", "Chilothorax fritschi", "Chilothorax glebi", "Chilothorax grafi", "Chilothorax hahni", "Chilothorax hieroglyphicus", "Chilothorax hozuensis", "Chilothorax huangyuanensis", "Chilothorax hucklesbyi", "Chilothorax ivanovi", "Chilothorax jacobsoni", "Chilothorax kandaharicus", "Chilothorax kardonensis", "Chilothorax kerzhneri", "Chilothorax kukunorensis", "Chilothorax lieni", "Chilothorax lineolatus", "Chilothorax logunovi", "Chilothorax longetarsalis", "Chilothorax mongolaltaicus", "Chilothorax mossulensis", "Chilothorax naevuliger", "Chilothorax nigrivittis", "Chilothorax ohishii", "Chilothorax okadai", "Chilothorax pamirensis", "Chilothorax paykulli", "Chilothorax pictus", "Chilothorax planus", "Chilothorax plutschewskyi", "Chilothorax potanini", "Chilothorax propola", "Chilothorax punctatus", "Chilothorax scuticollis", "Chilothorax sexmaculosus", "Chilothorax shansianus", "Chilothorax sinicus", "Chilothorax subpolitus", "Chilothorax tanhensis", "Chilothorax tenuimanus", "Chilothorax variicolor", "Chilothorax variipennis", "Chilothorax xanthellus", "Chilothorax xanthopterus", "Chilothorax zaissanicus", "Chittius anatolicus", "Cinacanthus anomalipus", "Cinacanthus coquilletti", "Cinacanthus crenicollis", "Cinacanthus crescentus", "Cinacanthus freudei", "Cinacanthus hirsutus", "Cinacanthus hottentotus", "Cinacanthus militaris", "Cinacanthus penetrans", "Cinacanthus tenerus", "Cinacanthus tibialis", "Cinacanthus ulkei", "Cnemargulus alkhubraicus", "Cnemargulus krulikovskyi", "Cnematoplatys benardi", "Cnematoplatys cylindrica", "Cnematoplatys numensis", "Cnematoplatys sumatrana", "Cnematoplatys torricellensis", "Cnematoplatys tozerensis", "Cnematoplatys yorkensis", "Cnemisus ahngeri", "Cnemisus kozlovi", "Coelotrachelus burgosi", "Coelotrachelus ixtapalapaensis", "Coelotrachelus kuntzeni", "Coelotrachelus rudis", "Coelotrachelus symbius", "Coelotrachelus venustus", "Colobopteridius renaudi", "Colobopteroides latus", "Colobopterus brignolii", "Colobopterus indagator", "Colobopterus notabilipennis", "Colobopterus quadratus", "Coprimorphus scrutator", "Coptochiroides laotianus", "Coptochiroides subcostatus", "Coptochirus alternatus", "Coptochirus brachypterus", "Coptochirus cognatus", "Coptochirus emarginatus", "Coptochirus endroedyyoungai", "Coptochirus excisus", "Coptochirus pallidipennis", "Coptochirus perlucidus", "Coptochirus pteropus", "Coptochirus reticulatus", "Coptochirus vulgatus", "Corythoderus loripes", "Corythoderus gibbiger", "Corythoderus braminus", "Craterocyphus abscissus", "Craterocyphus bituberculatus", "Craterocyphus forticornis", "Craterocyphus ikuthanus", "Craterocyphus illustris", "Craterocyphus magnificus", "Craterocyphus rhinoceros", "Craterocyphus serratodentatus", "Craterocyphus simplicicornis", "Cryptaphodius entellus", "Cryptaphodius excavatus", "Cryptoscatomaseter acuminatus", "Cryptoscatomaseter brevicollis", "Cryptoscatomaseter browni", "Cryptoscatomaseter caccabatus", "Cryptoscatomaseter captivus", "Cryptoscatomaseter criddlei", "Cryptoscatomaseter depressiusculus", "Cryptoscatomaseter durangoi", "Cryptoscatomaseter ejectus", "Cryptoscatomaseter epulus", "Cryptoscatomaseter excavatus", "Cryptoscatomaseter gambrinus", "Didactylia puncticeps", "Didactylia pura", "Didactylia rosickyi", "Didactylia somalicus", "Didactylia szunyoghyi", "Didactylia tenuipunctata", "Didactylia turbida", "Didactylia varia", "Didactylia volkonskyi", "Dilortomaeus angolensis", "Dilortomaeus deformis", "Dilortomaeus excultus", "Dilortomaeus senegalensis", "Dilortomaeus setulosus", "Doaphius batekensis", "Doaphius clarissimus", "Doaphius comptus", "Doaphius gracilis", "Doaphius penicilarius", "Doaphius rufopolitus", "Drepanocanthoides walshii", "Drepanocanthus lineatus", "Drepanocanthus mineti", "Dudleyellus angusticeps", "Dudleyellus desaegeri", "Dudleyellus goniocephalus", "Dudleyellus lassallei", "Dudleyellus limbourgi", "Dudleyellus ndoki", "Dudleyellus nigripennis", "Dudleyellus pensus", "Dudleyellus pulawskii", "Dudleyellus rakovicianus", "Dudleyellus strangulatus", "Emadiellus cruentus", "Emadiellus equestris", "Emadiellus rufopustulatus", "Emadiellus zonatus", "Erytodes confirmatus", "Erytus aequalis", "Erytus bucharicus", "Erytus cognatus", "Erytus hormonzensis", "Erytus lindemannae", "Erytus opacior", "Erytus persicus", "Erytus pruinosus", "Erytus psammophilus", "Erytus tekkensis", "Erytus transcaspicus", "Esymus alaiensis", "Esymus alkani", "Esymus evanescens", "Esymus filitarsis", "Esymus finitimus", "Esymus helenaeliviae", "Esymus hladili", "Esymus hyalinus", "Esymus indulgens", "Esymus merdarius", "Esymus ornatulus", "Esymus pokornyi", "Esymus pusillus", "Esymus pyreti", "Cryptoscatomaseter haldemani", "Cryptoscatomaseter hubbeli", "Cryptoscatomaseter incomptus", "Cryptoscatomaseter iowensis", "Cryptoscatomaseter magnificens", "Cryptoscatomaseter ochreipennis", "Cryptoscatomaseter oklahomensis", "Cryptoscatomaseter paulseni", "Cryptoscatomaseter pholetus", "Cryptoscatomaseter platypleurus", "Cryptoscatomaseter punctissimus", "Cryptoscatomaseter rossi", "Cryptoscatomaseter salsburyi", "Cryptoscatomaseter talpoidesi", "Cryptoscatomaseter umbricollis", "Cryptoscatomaseter utopensis", "Cryptoscatomaseter yavapai", "Dellacasiellus carpinterius", "Dellacasiellus claudus", "Dellacasiellus concavus", "Dellacasiellus fucosus", "Dellacasiellus glamisensis", "Dellacasiellus griffini", "Dellacasiellus humboldti", "Dellacasiellus kirni", "Dellacasiellus laevigatus", "Dellacasiellus milleri", "Dellacasiellus pseudofucosus", "Dellacasiellus ruficlarus", "Dialytellus dialytoides", "Dialytellus humeralis", "Dialytes striatulus", "Dialytes truncatus", "Dialytes ulkei", "Dialytes umbratus", "Dialytodius carri", "Dialytodius decipiens", "Dialytodius olympicus", "Dialytodius rogersi", "Diapterna dugesi", "Diapterna hamata", "Diapterna hyperborea", "Diapterna omissa", "Diapterna pinguella", "Diapterna pinguis", "Diastictus vulneratus", "Didactylia arabica", "Didactylia asbenica", "Didactylia binotata", "Didactylia buxtoni", "Didactylia capitulata", "Didactylia castanea", "Didactylia cicatricosa", "Didactylia clementi", "Didactylia exsecta", "Didactylia gilva", "Didactylia gilvoides", "Didactylia macarthuri", "Didactylia mara", "Didactylia murati", "Didactylia pallicolor", "Didactylia picta", "Didactylia pictipennis", "Didactylia pittinoi", "Trechisibus curtii", "Trechisibus lemairei", "Trechisibus brevis", "Trechisibus longipenis", "Trechisibus parvulus", "Trechisibus sciakyi", "Trechisibus striatus", "Chroniosaurus dongusensis", "Chroniosaurus levis", "Szczawinskia permira", "Dasymys nudipes", "Dasymys rufulus", "Dasymys montanus", "Dasymys foxi", "Dasymys incomtus", "Dasymys alleni", "Tapellariopsis octomera", "Caladenia aperta", "Caladenia ashbyae", "Caladenia nikulinskyae", "Caladenia fragrans", "Oxydromus adorsosetosus", "Ophiodromus adorsosetosus", "Oxydromus adspersus", "Ornithogalum anamurense", "Ophiodromus adspersus", "Oxydromus agilis", "Ophiodromus agilis", "Oxydromus angolaensis", "Podarke angolaensis", "Ornithogalum vasakii", "Ornithogalum uluense", "Ornithogalum transcaucasicum", "Ornithogalum sumbulianum", "Euparia africana", "Euparia ambrymensis", "Euparia baraudi", "Euparia castanea", "Euparia consimilis", "Euparixia boliviana", "Euparixia bruneri", "Euparixia campbelli", "Euparixia costaricensis", "Euparixia duncani", "Euparixia isthmia", "Euparixia mexicana", "Euparixia moseri", "Euparixia panamaensis", "Euparotrix squamosa", "Eupleurus antiquus", "Exaphodius excellens", "Exoxyomus curvus", "Flaviellus aggregatus", "Flaviellus gordoni", "Flaviellus perfimbriatus", "Flaviellus phalerius", "Flaviellus phaleroides", "Flaviellus subtruncatus", "Flechtmanniella laticollis", "Geomyphilus alabama", "Geomyphilus barrerai", "Geomyphilus coronadoi", "Geomyphilus essigi", "Geomyphilus geronimo", "Geomyphilus insolitus", "Geomyphilus kiowensis", "Ornithogalum neurostegium", "Ornithogalum navaschinii", "Ornithogalum mysum", "Ornithogalum munzurense", "Ornithogalum microcarpum", "Ornithogalum mekselinae", "Ornithogalum macrum", "Ornithogalum luschanii", "Ornithogalum kuereanum", "Ornithogalum joschtiae", "Ornithogalum isauricum", "Protoblastenia aurata", "Nipponaphodius gotoi", "Nipponoagoliinus yasutakai", "Nobiellus bonnairei", "Nobiellus circumductus", "Nobiellus inclusus", "Nobiellus pseudoinclusus", "Nobiellus pustulifer", "Nobius bosaki", "Nobius chaldaeus", "Nobius costatellus", "Nobius dosangi", "Nobius gresseri", "Nobius hepaticus", "Nobius rhodiensis", "Nobius serotinus", "Nolicus veteranus", "Notocaulus abessinicus", "Notocaulus basilewskyi", "Notocaulus felschei", "Notocaulus grilloti", "Notocaulus hurneri", "Notocaulus laticollis", "Notocaulus machatschkei", "Notocaulus muansicus", "Notocaulus neumanni", "Notocaulus nigropiceus", "Notocaulus sachtlebeni", "Notocaulus schoutedeni", "Notocaulus sculpturatus", "Ornithogalum sorgerae", "Ornithogalum refractum", "Ornithogalum persicum", "Ornithogalum pascheanum", "Ornithogalum pamphylicum", "Heptaulacus pirazzolii", "Heptaulacus rasettii", "Heptaulacus syrticola", "Heptaulacus testudinarius", "Hornietus ventralis", "Hornosus larreae", "Hornosus turnbowi", "Iarupea lopeteguii", "Iarupea serratipennis", "Iguazua lilloana", "Ingogius leleupi", "Irrasinus dumasi", "Irrasinus stupidus", "Jalisco plumipes", "Koreoxyomus koreanus", "Koshantschikovius andrewesi", "Koshantschikovius anthonyi", "Koshantschikovius astacus", "Koshantschikovius bifidus", "Koshantschikovius buchamaensis", "Koshantschikovius chovdgolensis", "Koshantschikovius crassigena", "Koshantschikovius erytoides", "Koshantschikovius genieri", "Koshantschikovius haematiticus", "Koshantschikovius hartwigi", "Koshantschikovius holmi", "Koshantschikovius intractatus", "Koshantschikovius latecinctus", "Koshantschikovius motoi", "Koshantschikovius nagporensis", "Koshantschikovius neohaematiticus", "Koshantschikovius oscari", "Koshantschikovius peculator", "Koshantschikovius schmitzi", "Koshantschikovius snizeki", "Koshantschikovius splendens", "Koshantschikovius strandi", "Koshantschikovius substriatoides", "Koshantschikovius substriatus", "Koshantschikovius sulcifrons", "Koshantschikovius szunyoghyi", "Koshantschikovius ventriosus", "Koshantschikovius youngai", "Koshantschikovius zambiensis", "Labarrus digitatus", "Labarrus evachromae", "Labarrus hoabinhensis", "Labarrus innumerabilis", "Labarrus kasyi", "Labarrus lividus", "Labarrus madagassicus", "Labarrus nabeleki", "Labarrus paludani", "Labarrus paralividus", "Labarrus parnaguaensis", "Labarrus pseudolividus", "Labarrus rigidus", "Labarrus rugosicapita", "Labarrus splendidus", "Labarrus sublimbatus", "Labarrus translucidus", "Labarrus umbratus", "Labarrus witboii", "Gonaphodiellus manantlanicus", "Gonaphodiellus martinpierai", "Gonaphodiellus nigrinus", "Gonaphodiellus omiltemicus", "Gonaphodiellus opisthius", "Gonaphodiellus pacatus", "Gonaphodiellus sacatepequezis", "Gonaphodiellus sexguttatus", "Gonaphodioides acutecernans", "Gonaphodioides cartwrighti", "Gonaphodioides chapini", "Gonaphodioides columbicus", "Gonaphodioides newtoni", "Gonaphodioides ratcliffei", "Gonaphodioides sincerus", "Gonaphodioides skelleyi", "Gonaphodiopsis deloyai", "Gonaphodiopsis hypogea", "Gonaphodiopsis montesdeocai", "Gonaphodiopsis pachecoi", "Gonaphodiopsis teopiscaensis", "Gonaphodius scoparius", "Gongrolophus storeyi", "Gordonius rhinocerillus", "Grandinaphodius inferorum", "Grandinaphodius smoliki", "Granulopsammodius centralasiae", "Granulopsammodius loebli", "Granulopsammodius mesopotamicus", "Granulopsammodius mongol", "Granulopsammodius persicus", "Granulopsammodius petrovitzi", "Granulopsammodius plicatuloides", "Granulopsammodius plicatulus", "Granulopsammodius sinicus", "Granulopsammodius tienshanicus", "Granulopsammodius transcaspicus", "Guanyinaphodius kishimotoi", "Harmodactylus oscitans", "Harmodactylus solus", "Harmogaster exarata", "Harmogaster quadridentella", "Harmogaster sulcatula", "Harmogaster transitoria", "Harmogaster tuberculata", "Haroldaphodius binodulus", "Haroldaphodius panticosus", "Haroldaphodius procerus", "Haroldiataenius buvexus", "Haroldiataenius convexus", "Haroldiataenius griffini", "Haroldiataenius lucanus", "Haroldiataenius mariarum", "Haroldiataenius saramari", "Haroldiataenius semipilosus", "Haroldiellus lansbergei", "Haroldiellus sallei", "Hemicyclium lateritium", "Hemicyclium unicornutum", "Hemycorythoderus vaneyeni", "Heptaulacus algarbiensis", "Heptaulacus brancoi", "Heptaulacus gadetinus", "Heptaulacus koshantschikoffi", "Geomyphilus leptotarsis", "Geomyphilus macgregori", "Geomyphilus pierai", "Geomyphilus pinolus", "Geomyphilus rubiginosus", "Geomyphilus russeus", "Geomyphilus thomomysi", "Geomyphilus ungulatus", "Geomyphilus viceversus", "Geopsammodius atlantida", "Geopsammodius fuscus", "Geopsammodius hydropicus", "Geopsammodius morrisi", "Geopsammodius ohoopee", "Geopsammodius relictillus", "Geopsammodius rileyi", "Geopsammodius sabinae", "Geopsammodius subpedalis", "Geopsammodius unsidensis", "Geopsammodius withlacoochee", "Gilletianus aganocrossoides", "Gilletianus asinensis", "Gilletianus assamensis", "Gilletianus atsushii", "Gilletianus bolm", "Gilletianus cavitensis", "Gilletianus comatus", "Gilletianus commatoides", "Gilletianus costatulus", "Gilletianus fukiensis", "Gilletianus imasakai", "Gilletianus kazirangensis", "Gilletianus kinabuhayan", "Gilletianus kratochvili", "Gilletianus lomsakensis", "Gilletianus luzonensis", "Gilletianus matotomensis", "Gilletianus miksici", "Gilletianus mindorensis", "Gilletianus negrosensis", "Gilletianus nigrovirgatus", "Gilletianus poggii", "Gilletianus proclivis", "Gilletianus pseudoreichei", "Gilletianus rajawatorum", "Gilletianus rangoonensis", "Gilletianus reichei", "Gilletianus schoolmeestersi", "Gilletianus segmentarius", "Gilletianus segmentaroides", "Gilletianus seguyi", "Gilletianus sundainsulanus", "Gilletianus superreichei", "Gilletianus takeshii", "Gilletianus therondi", "Gilletianus timorensis", "Gilletianus tonkineus", "Gilletianus yunnanensis", "Goiginus howdeni", "Goiginus zumpti", "Gonaphodiellus arcanus", "Gonaphodiellus bimaculosus", "Gonaphodiellus cerropuntanus", "Gonaphodiellus hoffmanni", "Zeacarpa leiomorpha", "Protoblastenia aurea", "Lechorodius lutulentus", "Lechorodius terminalis", "Leiopsammodius abyssinicus", "Leiopsammodius acei", "Leiopsammodius aegialius", "Leiopsammodius balthasari", "Leiopsammodius belloi", "Leiopsammodius bolivianus", "Leiopsammodius desertorum", "Leiopsammodius deyrupi", "Leiopsammodius endroedii", "Leiopsammodius evanidus", "Leiopsammodius freyi", "Leiopsammodius gestroi", "Leiopsammodius globatus", "Leiopsammodius haruspex", "Leiopsammodius horaki", "Leiopsammodius implicatus", "Leiopsammodius indefensus", "Leiopsammodius indicus", "Leiopsammodius inflatus", "Leiopsammodius japonicus", "Leiopsammodius jelineki", "Leiopsammodius kenyensis", "Leiopsammodius laevicollis", "Leiopsammodius laevis", "Leiopsammodius litoralis", "Leiopsammodius liviae", "Leiopsammodius malkini", "Leiopsammodius manaosi", "Leiopsammodius martinezi", "Leiopsammodius modestus", "Leiopsammodius newcastleensis", "Leiopsammodius nomurai", "Leiopsammodius ocmulgeei", "Leiopsammodius pellucens", "Leiopsammodius placidus", "Leiopsammodius rufus", "Leiopsammodius santaremi", "Leiopsammodius scabrifrons", "Leiopsammodius seychellensis", "Leiopsammodius soledadei", "Leiopsammodius somalicus", "Leiopsammodius strumae", "Leiopsammodius subciliatus", "Leiopsammodius substriatus", "Leiopsammodius viti", "Limarus hirtipennis", "Limarus maculatus", "Limarus zenkeri", "Linargius pangmalai", "Lindbergianus solitarius", "Liothorax alternatus", "Liothorax consociatus", "Liothorax innexus", "Liothorax isikdagensis", "Liothorax kraatzi", "Liothorax levatus", "Liothorax niger", "Liothorax plagiatus", "Liothorax rusakovi", "Liothorax subaeneus", "Loboparius auriculatus", "Loboparius chaiyaphumi", "Maculaphodius conspersus", "Martineziana argentina", "Martineziana dutertrei", "Martineziana excavaticollis", "Martineziana separata", "Martineziana simplex", "Mecynodes anemurensis", "Mecynodes angulosus", "Mecynodes asmaricus", "Mecynodes becvari", "Mecynodes demoflysi", "Mecynodes gilvipennis", "Mecynodes kisilkumi", "Mecynodes leucopterus", "Mecynodes stereotypus", "Mecynodes striatulus", "Mecynodes trochilus", "Megateloides bostrichoides", "Megateloides dimidiatus", "Megatelus brahminus", "Megatelus contractus", "Megatelus doriae", "Melinopterus abeillei", "Melinopterus consentaneus", "Melinopterus consputus", "Melinopterus dellacasai", "Melinopterus edithae", "Melinopterus femoralis", "Melinopterus gissaricus", "Melinopterus guillebeaui", "Melinopterus imamae", "Melinopterus longipes", "Melinopterus meuseli", "Melinopterus prodromus", "Mendidaphodius adustus", "Mendidaphodius angustatus", "Mendidaphodius armatulus", "Mendidaphodius armiger", "Mendidaphodius biangulatus", "Mendidaphodius brancsiki", "Mendidaphodius calamitosus", "Mendidaphodius ellenbergeri", "Mendidaphodius fischeri", "Mendidaphodius ganabi", "Mendidaphodius leleupi", "Mendidaphodius lepidulus", "Mendidaphodius linearis", "Mendidaphodius minusculus", "Mendidaphodius nodulifer", "Mendidaphodius paganettii", "Mendidaphodius palaestinensis", "Mendidaphodius porrectus", "Mendidaphodius pseudoadustus", "Mendidaphodius ruandanus", "Mendidaphodius rufovittatus", "Mendidaphodius rugulicollis", "Mendidaphodius rutilior", "Mendidaphodius rutilus", "Mendidaphodius steinbergi", "Mendidaphodius timurkirgizi", "Mendidaphodius uaniombae", "Mendidaphodius weidholzi", "Mendidius aculeatus", "Mendidius assectator", "Mendidius atricolor", "Mendidius baigakumi", "Mendidius beluchistanicus", "Mendidius berbericus", "Mendidius bidens", "Mendidius bispinifrons", "Mendidius bivittatus", "Mendidius calliger", "Mendidius curtulus", "Mendidius diffidens", "Mendidius endroedii", "Mendidius fimbriolatus", "Mendidius gobiensis", "Mendidius granulifrons", "Mendidius heikertingeri", "Mendidius kobakovi", "Mendidius laevicollis", "Mendidius mamajevi", "Mendidius multiplex", "Mendidius nelsinae", "Mendidius olexai", "Mendidius osiris", "Mendidius palmetincola", "Mendidius pseudatricolor", "Mendidius pseudobidens", "Mendidius repetekensis", "Mendidius rutilinus", "Mendidius samarcandicus", "Mendidius sijazovi", "Mendidius willbergi", "Mendidius xerxes", "Mendidius zhantievi", "Merogyrus rotundiceps", "Mesontoplatys arabicus", "Mesontoplatys bolzi", "Mesontoplatys dorsalis", "Mesontoplatys durandi", "Mesontoplatys effetus", "Mesontoplatys indorsalis", "Mesontoplatys malzyi", "Mesontoplatys marlieri", "Mesontoplatys mbaoensis", "Mesontoplatys mungo", "Mesontoplatys offensus", "Mesontoplatys ovamboensis", "Mesontoplatys parvulus", "Mesontoplatys politipennis", "Mesontoplatys probes", "Mesontoplatys remedellii", "Mesontoplatys rougoni", "Mesontoplatys rubrus", "Mesontoplatys rufolaterus", "Mesontoplatys scutatus", "Mesontoplatys simplicipennis", "Mesontoplatys simplicius", "Mesontoplatys sunantae", "Mesontoplatys triangularis", "Mesontoplatys zavadili", "Mesontoplatys zulu", "Messyrhus brachypterus", "Microteuchestes brusewitzi", "Loboparius choparti", "Loboparius drumonti", "Loboparius dunchensis", "Loboparius globulus", "Loboparius hazarae", "Loboparius immarginatus", "Loboparius joannae", "Loboparius kotoensis", "Loboparius mirificus", "Loboparius nathani", "Loboparius punctatissimus", "Loboparius scheibei", "Loboparius schereri", "Loboparius semiglobulus", "Lomanoxia alternata", "Lomanoxia canthonopsis", "Lomanoxia chacocola", "Lomanoxia costulata", "Lomanoxia ituensis", "Lomanoxia melloi", "Lomanoxia ovalis", "Lomanoxoides bitubericollis", "Lomanoxoides nigrolineatus", "Lomanoxoides selviriaensis", "Lomanoxoides tesari", "Longaphodius namaquarum", "Loraphodius corrugatus", "Loraphodius kashmirensis", "Loraphodius latisulcus", "Loraphodius lebruni", "Loraphodius suarius", "Loraspis frater", "Lorditomaeus aequus", "Lorditomaeus basilewskyi", "Lorditomaeus bifidus", "Lorditomaeus blattoides", "Lorditomaeus cambeforti", "Lorditomaeus ellenbergeri", "Lorditomaeus ferreri", "Lorditomaeus fornicatus", "Lorditomaeus fratris", "Lorditomaeus harpalinus", "Lorditomaeus horni", "Lorditomaeus infuscatus", "Lorditomaeus invenustus", "Lorditomaeus magnus", "Lorditomaeus mirandus", "Lorditomaeus morettoi", "Lorditomaeus opatroides", "Lorditomaeus orthochaetus", "Lorditomaeus proditor", "Lorditomaeus similis", "Lorditomaeus tanganyicanus", "Lorditomaeus tenuis", "Lorditomaeus uhligi", "Lorditomaeus youngai", "Lunaphodius edgardi", "Lunaphodius lunifer", "Luxolinus luxatus", "Macroretroides lumareti", "Macroretrus confusus", "Macroretrus singularis", "Macroretrus thilliezi", "Macroretrus zavattarii", "Mothon sarmaticus", "Mozartius jugosus", "Mozartius kyushuensis", "Mozartius testaceus", "Mozartius uenoi", "Myrhessus afghanus", "Myrhessus kubotai", "Myrhessus mirabilis", "Myrhessus nishinoi", "Myrhessus samurai", "Myrhessus yorikoae", "Myrmecaphodius proseni", "Mysarus peruanus", "Napoa peckorum", "Neagolius abchasicus", "Neagolius amblyodon", "Neagolius aragatsi", "Neagolius bilimecki", "Neagolius dzhungaricus", "Neagolius falcispinis", "Neagolius haroldi", "Neagolius hengduanensis", "Neagolius heydeni", "Neagolius interstitialis", "Neagolius liguricus", "Neagolius montanus", "Neagolius montisjuldi", "Neagolius montivagus", "Neagolius moronensis", "Neagolius orinus", "Neagolius ovitensis", "Neagolius penninus", "Neagolius petri", "Neagolius pollicatus", "Neagolius praecox", "Neagolius savitskiyi", "Neagolius schlumbergeri", "Neagolius suschkini", "Neagolius takin", "Neagolius zangbo", "Neocalaphodius karolinae", "Neocalaphodius moestus", "Neocolobopterus abyssinicus", "Neocolobopterus ballioni", "Neocolobopterus kivuanus", "Neocolobopterus maculicollis", "Neocolobopterus marginicollis", "Neocolobopterus spangleri", "Neocolobopterus stefenelli", "Neodiapterna erichsoni", "Neodiapterna tognoni", "Neoemadiellus andringitraensis", "Neoemadiellus didactylioides", "Neoemadiellus humerosanguineum", "Neoemadiellus perinetensis", "Neoemadiellus peyrierasi", "Neoemadiellus ranomafanaensis", "Neoemadiellus ranomandryensis", "Neoemadiellus unctus", "Neoemadiellus uxoris", "Neoemadiellus viljanenae", "Neoheptaulacus hepaticolor", "Neoheptaulacus puberulus", "Neoheptaulacus pygmaeus", "Neopsammodius blandus", "Neopsammodius canoensis", "Neopsammodius interruptus", "Neopsammodius mimeticus", "Neopsammodius quinqueplicatus", "Neopsammodius saltilloensis", "Neorhyssemus beccarii", "Neorhyssemus intrinsecus", "Neorhyssemus lineatus", "Neorhyssemus quinquecostatus", "Neotrichaphodioides caracanus", "Neotrichaphodioides ecuadoriensis", "Neotrichaphodioides forsterianus", "Neotrichaphodioides volxemi", "Neotrichaphodioides woytkowskii", "Neotrichiorhyssemus babaulti", "Neotrichiorhyssemus balthasari", "Neotrichiorhyssemus esakii", "Neotrichiorhyssemus expansicollis", "Neotrichiorhyssemus hauseri", "Neotrichiorhyssemus hegeri", "Neotrichiorhyssemus hirsutus", "Neotrichiorhyssemus kentingensis", "Neotrichiorhyssemus klapaleki", "Neotrichiorhyssemus malabaricus", "Neotrichiorhyssemus malkini", "Neotrichiorhyssemus matthewsi", "Neotrichiorhyssemus setiventris", "Neotrichiorhyssemus umbilicatus", "Neotrichonotulus inurbanus", "Neotrichonotulus perotensis", "Neotrichonotulus urangai", "Nettelislasia euparinoides", "Nialaphodius calidus", "Nialaphodius nigrita", "Nialosternus sitiphoides", "Nialus alienus", "Nialus consimilis", "Nialus discelis", "Nialus feculentus", "Nialus fingo", "Nialus insignis", "Nialus jhavanicus", "Nialus motschulskyi", "Nialus nefandus", "Nialus politus", "Nialus tetricus", "Nialus turbidus", "Nialus varians", "Nialus venyigei", "Nimbus affinis", "Nimbus anyerae", "Nimbus cartalinius", "Nimbus contaminatus", "Nimbus franzinii", "Nimbus harpagonis", "Nimbus hoberlandti", "Nimbus johnsoni", "Nimbus libanonensis", "Nimbus makowskyi", "Nimbus marianii", "Nimbus obliteratus", "Nimbus proximus", "Nimbus richardi", "Jugosuchus licharevi", "Phaeosiphoniella cryophila", "Jarilinus mirabilis", "Suchonica vladimiri", "Obaphodius silvestris", "Odochilus bacchusi", "Odochilus balthasari", "Odochilus buruensis", "Odochilus convexus", "Odochilus jani", "Odochilus pittinoi", "Odochilus sarawakensis", "Odochilus thailandicus", "Odochilus haroldi", "Odochilus johnsoni", "Odochilus parajohnsoni", "Odochilus parasetosus", "Odochilus parasyntheticus", "Odochilus philippinensis", "Odochilus setosus", "Odochilus syntheticus", "Odochilus taiwanus", "Dendrobium vexillarius var. elworthyi", "Dendrobium vexillarius var. microblepharum", "Dendrobium vexillarius var. retroflexum", "Dendrobium vexillarius var. uncinatum", "Dendrobium vexillarius var. hansmeyerense", "Dendrobium vexillarius var. minor", "Aphyosemion lefiniense", "Aphyosemion lujae", "Dendrobium violaceum", "Dendrobium violaceum subsp. violaceum", "Dendrobium violaceum subsp. cyperifolium", "Protoblastenia coniasis", "Protoblastenia flava", "Protoblastenia formosana", "Roccellographa circumscripta", "Roccellographa sorediata", "Aphyosemion hera", "Schizopelte parishii", "Schizopelte lumbricoides", "Roccellina mollis", "Roccella nigerrima", "Protoblastenia austroshetlandica", "Protoblastenia basaltica", "Caladenia gertrudiae", "Protoblastenia calvella", "Protoblastenia citrina", "Protoblastenia citrinigricans", "Aphyosemion labarrei", "Dendrobium vexillarius", "Dendrobium vexillarius var. vexillarius", "Aphyosemion kouamense", "Dendrobium vexillarius var. albiviride", "Analipus gunjii", "Heteroralfsia saxicola", "Ralfsia fungiformis", "Ralfsia hesperia", "Ralfsia australis", "Ralfsia confusa", "Ralfsia integra", "Ralfsia pacifica", "Ralfsia endopluroides", "Ralfsia pedicellata", "Ralfsia huanghaiensis", "Ralfsia hyalina", "Ralfsia longicellularis", "Ralfsia lucida", "Ralfsia ovata", "Ralfsia pusilla", "Ralfsia verrucosa", "Endoplura aurea", "Dendrobium moniliforme", "Asteronema australe", "Phormidium aerugineocaeruleum", "Asteronema ferruginea", "Protoblastenia geitleri", "Asteronema breviarticulatum", "Protoblastenia haematommoides", "Protoblastenia hallettensis", "Aphyosemion lugens", "Aphyosemion poliaki", "Trichodactylus borellianus", "Basispora africana", "Mesospora elongata", "Mesospora negrosensis", "Mesospora schmidtii", "Hapalospongidion gelatinosum", "Hapalospongidion capitatum", "Hapalospongidion macrocarpum", "Hapalospongidion vanbosseae", "Hapalospongidion pangoense", "Hapalospongidion saxigenum", "Hapalospongidion thirumullavaramense", "Neoralfsia expansa", "Neoralfsia hancockii", "Analipus japonicus", "Analipus filiformis", "Pardalosus slevini", "Passaliolla cancellata", "Passaliolla corticalis", "Passaliolla eugastrica", "Paulianellus asahinai", "Paulianellus decoctor", "Paulianellus jacksoni", "Paulianellus khandui", "Paulianellus laoticus", "Paulianellus maderi", "Paulianellus mureensis", "Paulianellus neomaderi", "Paulianellus nepalensis", "Paulianellus taiwanensis", "Petrovitzius tesari", "Phaeaphodius costalis", "Phaeaphodius dauricus", "Phaeaphodius himalorectus", "Phaeaphodius jouravliowi", "Phaeaphodius kiulungensis", "Phaeaphodius novikovi", "Phaeaphodius plutenkoi", "Phaeaphodius pupillus", "Phaeaphodius rectus", "Phaeaphodius roddi", "Phaeaphodius tauricola", "Phalacronothus ambulans", "Phalacronothus atlanticus", "Phalacronothus biguttatus", "Phalacronothus botulus", "Phalacronothus ceylonensis", "Phalacronothus citellorum", "Phalacronothus flavolimbatus", "Phalacronothus fumigatulus", "Phalacronothus hilaris", "Phalacronothus putoni", "Phalacronothus quadrimaculatus", "Phalacronothus semiangulus", "Pharaphodius acutidens", "Pharaphodius acutus", "Pharaphodius aegyptiacus", "Pharaphodius aprilis", "Pharaphodius archettii", "Pharaphodius argutus", "Pharaphodius atroscutellatus", "Pharaphodius attritus", "Pharaphodius bechuanus", "Pharaphodius bigibber", "Pharaphodius birmanicus", "Pharaphodius bodiliformis", "Pharaphodius calo", "Pharaphodius campestris", "Pharaphodius chausibensis", "Pharaphodius coiffaiti", "Pharaphodius congolanus", "Pharaphodius corax", "Pharaphodius cornix", "Pharaphodius cornutus", "Pharaphodius costatus", "Pharaphodius crenatus", "Pharaphodius curvodilatatus", "Pharaphodius desertoides", "Pharaphodius desertus", "Pharaphodius diadema", "Paracrossidius suvorovi", "Paracrossidius transmontanus", "Paracrossidius truculentus", "Paradeloparius brincki", "Paradeloparius cavicollis", "Paradeloparius circumdatus", "Paradeloparius emeritus", "Paradidactylia avunculus", "Paradidactylia avus", "Paradidactylia biseriatus", "Paradidactylia brivioi", "Paradidactylia carinulata", "Paradidactylia continua", "Paradidactylia dionysii", "Paradidactylia edithae", "Paradidactylia fastigata", "Paradidactylia flavescens", "Paradidactylia haafi", "Paradidactylia hiekei", "Paradidactylia incomparabilis", "Paradidactylia jattaensis", "Paradidactylia kathmandui", "Paradidactylia kindianus", "Paradidactylia klasinskii", "Paradidactylia madibiranus", "Paradidactylia montana", "Paradidactylia ovatulus", "Paradidactylia shantungensis", "Paradidactylia subflavus", "Paradidactylia umfolozicus", "Paradidactylia variolosus", "Paradidactylia venalis", "Paradidactylia venaloides", "Paradidactylia wichei", "Parammoecius amanicus", "Parammoecius asphaltinus", "Parammoecius brevithorax", "Parammoecius corvinus", "Parammoecius gibbus", "Parammoecius pyrenaeus", "Parammoecius yamato", "Paranimbus longitarsis", "Paranimbus penai", "Paranimbus peruanus", "Paranimbus zoiai", "Paraplesiataenius catarinaensis", "Paraplesiataenius genieri", "Paraplesiataenius tremolerasi", "Pararhyssemus coluber", "Parataenius brunneus", "Parataenius derbesis", "Parataenius estero", "Parataenius martinezi", "Parataenius selvae", "Paratrichaphodius badius", "Paratrichaphodius foveiventris", "Paratrichaphodius sericeus", "Pardalosus neodistinctus", "Pardalosus pardalis", "Pardalosus pseudopardalis", "Pardalosus pumilio", "Pardalosus sayi", "Pardalosus serval", "Odontacrossus obenbergeri", "Odontacrossus pseudoobenbergeri", "Odontacrossus trisuliensis", "Odontolochus basilewskyi", "Odontolochus burgeoni", "Odontolochus costatus", "Odontolochus ferenczi", "Odontolochus gestroi", "Odontolochus lackneri", "Odontolochus monteithi", "Odontolochus oberthuri", "Odontolochus paucus", "Odontolochus raffrayi", "Odontolochus setulosus", "Odontolochus spinicollis", "Odontolochus villiersi", "Odontolochus weiri", "Odontolytes andamanensis", "Odontolytes angusticollis", "Odontolytes domingo", "Odontolytes guayara", "Odontolytes huebneri", "Odontolytes iquitosae", "Odontolytes loretoensis", "Odontolytes minutus", "Odontolytes panamensis", "Odontolytes puyoensis", "Odontolytes rondoniae", "Odontolytes teutoniae", "Odontolytes transversaria", "Odontopsammodius aenictus", "Odontopsammodius armaticeps", "Odontopsammodius atopus", "Odontopsammodius brunneus", "Odontopsammodius cameneni", "Odontopsammodius chipiririi", "Odontopsammodius cruentus", "Odontopsammodius decuiella", "Odontopsammodius fimbriatus", "Odontopsammodius formosus", "Odontopsammodius insulcatus", "Odontopsammodius mapirii", "Odontoxyomus denticlypeatus", "Orammoecius arunachalensis", "Orammoecius huaphanensis", "Orammoecius phongsalyensis", "Orammoecius russulae", "Orammoecius thailandicus", "Orocanthus helenae", "Orodaliscoides fimbripes", "Orodaliscoides giulianii", "Orodaliscoides reflexus", "Orodaliscoides rugosiceps", "Orodaliscus angulatulus", "Orodaliscus rotundangulus", "Orodaliscus spalacophilus", "Orodaliscus transaralicus", "Orodaliscus zangi", "Oromus alpinus", "Oscarinus abusus", "Oscarinus bottimeri", "Oscarinus brimleyi", "Oscarinus cabreroi", "Oscarinus crassuloides", "Oscarinus crassulus", "Oscarinus floridanus", "Oscarinus indutilis", "Oscarinus lodingi", "Oscarinus matiganae", "Oscarinus odocoilis", "Oscarinus pseudabusus", "Oscarinus rusicola", "Oscarinus silvanicus", "Oscarinus spiniclypeus", "Oscarinus stuessyi", "Oscarinus texensis", "Oscarinus welderi", "Oscarinus windsori", "Osmanius balthasari", "Osmanius dellacasai", "Osmanius persicus", "Oxyataenius morosus", "Oxycorythus morawitzi", "Oxyomoides baileyi", "Oxyomoides dyspistus", "Oxyomoides sepultus", "Oxyomus aciculatus", "Oxyomus arunae", "Oxyomus bremeri", "Oxyomus cameratus", "Oxyomus costipennis", "Oxyomus costulatus", "Oxyomus debilis", "Oxyomus dschagga", "Oxyomus inaequalis", "Oxyomus ishidai", "Oxyomus jucundulus", "Oxyomus kiuchii", "Oxyomus malgorzatae", "Oxyomus masumotoi", "Oxyomus mencli", "Oxyomus miliaris", "Oxyomus nowaki", "Oxyomus nubigenus", "Oxyomus simillimus", "Oxyomus taipingensis", "Oxyomus thailandicus", "Ozodius canberrae", "Ozodius neglectus", "Ozodius walpolensis", "Ozodius windyensis", "Parabodilus wollastoni", "Paracoptochirus kozanensis", "Paracoptochirus petrovitzi", "Paracoptochirus singularis", "Paracoptochirus vignai", "Paracorythoderus casperi", "Paracorythoderus endroedyi", "Paracorythoderus marshalli", "Paracorythoderus ridens", "Paracrossidius impressiusculus", "Paracrossidius instigator", "Paracrossidius kozlovi", "Paracrossidius laticapitus", "Paracrossidius melanodiscus", "Paracrossidius planipennis", "Paracrossidius sichuanensis", "Platytomus atlanticus", "Platytomus caelicollis", "Platytomus darwini", "Platytomus freudei", "Platytomus gomyi", "Platytomus gregalis", "Platytomus grisoli", "Platytomus hawaiiensis", "Platytomus indicus", "Platytomus jailensis", "Platytomus laevistriatus", "Platytomus longulus", "Platytomus micros", "Platytomus mongolicus", "Platytomus nagporensis", "Platytomus nathani", "Platytomus notialis", "Platytomus obscurior", "Platytomus pachypus", "Platytomus parvulus", "Platytomus pumilio", "Platytomus tibialis", "Platytomus yadai", "Pleuraphodius abax", "Pleuraphodius aequatorialis", "Pleuraphodius aethiopicus", "Pleuraphodius agnoscibilis", "Pleuraphodius anceps", "Pleuraphodius arabiaefelicis", "Pleuraphodius assimilis", "Pleuraphodius berlandi", "Pleuraphodius bibatillatus", "Pleuraphodius bovis", "Pleuraphodius breuningi", "Pleuraphodius brunneus", "Pleuraphodius burgeoni", "Pleuraphodius burorum", "Pleuraphodius buschirii", "Pleuraphodius capillatus", "Pleuraphodius carinatipennis", "Pleuraphodius chaboti", "Pleuraphodius clementi", "Pleuraphodius confinis", "Pleuraphodius conformis", "Pleuraphodius consocius", "Pleuraphodius darfurensis", "Pleuraphodius decellei", "Pleuraphodius dingaani", "Pleuraphodius dispar", "Pleuraphodius ducorpsi", "Pleuraphodius ebeninus", "Pleuraphodius elgonensis", "Pleuraphodius fosseyae", "Pleuraphodius funestus", "Pleuraphodius gnomus", "Pleuraphodius hamoriae", "Pleuraphodius hanstroemi", "Pleuraphodius hospes", "Pleuraphodius humator", "Pleuraphodius hybridus", "Pleuraphodius ilamensis", "Pleuraphodius impudicus", "Pleuraphodius javanus", "Pharaphodius difficilis", "Pharaphodius discoidalis", "Pharaphodius discolor", "Pharaphodius dubiosus", "Pharaphodius dubitosus", "Pharaphodius evae", "Pharaphodius falzonii", "Pharaphodius ferenczi", "Pharaphodius ferreirae", "Pharaphodius fiechteri", "Pharaphodius guineensis", "Pharaphodius hastulifer", "Pharaphodius hauserianus", "Pharaphodius hetaerus", "Pharaphodius impressipennis", "Pharaphodius impressithorax", "Pharaphodius impurus", "Pharaphodius incommodus", "Pharaphodius indicus", "Pharaphodius infinitus", "Pharaphodius intercalaris", "Pharaphodius intonsus", "Pharaphodius javanus", "Pharaphodius jodhpurensis", "Pharaphodius katanai", "Pharaphodius lacunosus", "Pharaphodius levithorax", "Pharaphodius mabiranus", "Pharaphodius mangoroensis", "Pharaphodius marginellus", "Pharaphodius massaicus", "Pharaphodius medius", "Pharaphodius moderatus", "Pharaphodius musculus", "Pharaphodius mussooriensis", "Pharaphodius negus", "Pharaphodius okatumbanus", "Pharaphodius oleosus", "Pharaphodius orientalis", "Pharaphodius pallescens", "Pharaphodius panchrestus", "Pharaphodius paratschakai", "Pharaphodius parvatia", "Pharaphodius pereirai", "Pharaphodius perfidus", "Pharaphodius perplicatus", "Pharaphodius pongensis", "Pharaphodius posticus", "Pharaphodius priscus", "Pharaphodius profundus", "Pharaphodius pseudignotus", "Pharaphodius pseudodesertus", "Pharaphodius pseudotibialis", "Pharaphodius putearius", "Pharaphodius redargutus", "Pharaphodius resplendens", "Pharaphodius robustus", "Pharaphodius rougeoti", "Pharaphodius rubricosus", "Pharaphodius rugosostriatus", "Pharaphodius russatus", "Pharaphodius schatzmayri", "Pharaphodius seicherti", "Pharaphodius spinatus", "Bachelotia antillarum", "Scytothamnus fasciculatus", "Scytothamnus australis", "Splachnidium rugosum", "Stereocladon rugulosus", "Austronereia australis", "Bellotia eriophorum", "Bellotia simplex", "Ornithogalum alpigenum", "Protoblastenia hispanica", "Sporochnus comosus", "Sporochnus pedunculatus", "Sporochnus radiciformis", "Sporochnus anomalus", "Sporochnus apodus", "Sporochnus moorei", "Sporochnus stylosus", "Sporochnus bolleanus", "Sporochnus dotyi", "Sporochnus elsieae", "Sporochnus neushulii", "Sporochnus rostratus", "Pleurophorus africanus", "Pleurophorus akamasicus", "Pleurophorus anatolicus", "Pleurophorus apicipennis", "Pleuraphodius jombaensis", "Pleuraphodius kaffa", "Pleuraphodius kaokoveldensis", "Pleuraphodius kavani", "Pleuraphodius kilimandjaroensis", "Pleuraphodius kuijteni", "Pleuraphodius landini", "Pleuraphodius laterociliatus", "Pleuraphodius latistriatus", "Pleuraphodius leo", "Pleuraphodius letabus", "Pleuraphodius lewisi", "Pleuraphodius lineatosulcatus", "Pleuraphodius luzonensis", "Pleuraphodius malangensis", "Pleuraphodius malawiensis", "Pleuraphodius matamataensis", "Pleuraphodius maynei", "Pleuraphodius medanii", "Pleuraphodius medioximus", "Pleuraphodius mime", "Pleuraphodius montuosus", "Pleuraphodius multicarinatus", "Pleuraphodius mutilus", "Pleuraphodius mwingi", "Pleuraphodius natalensis", "Pleuraphodius olkokolae", "Pleuraphodius paranceps", "Pleuraphodius pumilus", "Pleuraphodius purkynei", "Pleuraphodius pusio", "Pleuraphodius ratnapurensis", "Pleuraphodius reticulatus", "Pleuraphodius reverendus", "Pleuraphodius rothschildi", "Pleuraphodius rudis", "Pleuraphodius sebastianellus", "Pleuraphodius simillimus", "Pleuraphodius singularis", "Pleuraphodius socius", "Pleuraphodius soudanensis", "Pleuraphodius sparsepunctatus", "Pleuraphodius stehliki", "Pleuraphodius stipulus", "Pleuraphodius subteter", "Pleuraphodius sulcipennis", "Pleuraphodius tectipennis", "Pleuraphodius tectoformibus", "Pleuraphodius teter", "Pleuraphodius thomasi", "Pleuraphodius umbilicatus", "Pleuraphodius utae", "Pleuraphodius vespuccii", "Pleuraphodius viscaensis", "Pleuraphodius wardi", "Uralerpeton tverdochlebovae", "Pharaphodius sudanicus", "Pharaphodius sundaicus", "Pharaphodius tamalensis", "Pharaphodius taufikijanus", "Pharaphodius tavetanus", "Pharaphodius tschakai", "Pharaphodius ugongoanus", "Pharaphodius unicornis", "Pharaphodius vastus", "Pharaphodius vernilis", "Pharaphodius vividus", "Pharaphodius zavattarii", "Pholeoaphodius duplicatus", "Pholeoaphodius kalungwensis", "Pholeoaphodius peckorum", "Pholeoaphodius sphinx", "Pholeoaphodius ukamiensis", "Pittinius farkaci", "Pittinius omnisetosus", "Plagiogonus arenarius", "Plagiogonus bortkevitschi", "Plagiogonus burgaltaicus", "Plagiogonus chan", "Plagiogonus clypeodentatus", "Plagiogonus critchlowi", "Plagiogonus culminarius", "Plagiogonus duporti", "Plagiogonus esimoides", "Plagiogonus farai", "Plagiogonus hirticeps", "Plagiogonus inflatus", "Plagiogonus krataay", "Plagiogonus martensi", "Plagiogonus nanoides", "Plagiogonus nanus", "Plagiogonus oberthueri", "Plagiogonus ohkurai", "Plagiogonus palea", "Plagiogonus praeustus", "Plagiogonus quadriclypealis", "Plagiogonus ramamiensis", "Plagiogonus reitteri", "Plagiogonus separatus", "Plagiogonus shirahatai", "Plagiogonus syriacus", "Plagiogonus tertius", "Plagiogonus zobeidae", "Planolinellus vittatus", "Planolinoides aenictus", "Planolinoides borealis", "Planolinoides duplex", "Planolinoides neotomae", "Planolinoides pectoralis", "Planolinus fasciatus", "Planolinus khaoensis", "Planolinus pratensis", "Planolinus tenellus", "Platyderides arrowi", "Platyderides doiangkhangensis", "Platyderides jengi", "Platyderides klapperichi", "Platyderides vietnamicus", "Platytomus antipodum", "Platytomus ashantii", "Ornithogalum alatum", "Ornithogalum amplificatum", "Ornithogalum tardum", "Carpomitra costata", "Protoblastenia nicaeensis", "Carpomitra filiformis", "Carpomitra longicarpa", "Carpomitra madagascariensis", "Carpomitra scoparia", "Encyothalia cliftonii", "Lucasia lasiocarpa", "Nereia filiformis", "Nereia intricata", "Nereia lophocladia", "Nereia tropica", "Perisporochnus regalis", "Linum pamphylicum subsp. olympicum", "Linum pamphylicum subsp. pamphylicum", "Perithalia caudata", "Perithalia capillaris", "Protoblastenia russellii", "Sporochnema tomentosum", "Tomaculopsis herbertiana", "Protoblastenia savoniensis", "Chroniosuchus paradoxus", "Protoblastenia szaferi", "Caloboletus calopus", "Cutleria multifida", "Cutleria adspersa", "Cutleria chilosa", "Cutleria compressa", "Cutleria hancockii", "Cutleria irregularis", "Cutleria kraftii", "Cutleria mollis", "Mutimo cylindricus", "Pleurophorus arabicus", "Pleurophorus banksi", "Pleurophorus beccarii", "Pleurophorus bengalensis", "Pleurophorus besucheti", "Pleurophorus caesus", "Pleurophorus cambeforti", "Pleurophorus capicola", "Pleurophorus cracens", "Pleurophorus dinajpurensis", "Pleurophorus edithae", "Pleurophorus formosanus", "Pleurophorus impressicollis", "Pleurophorus laticollis", "Pleurophorus ledouxi", "Pleurophorus madagassus", "Pleurophorus maghrebinicus", "Pleurophorus mediterranicus", "Pleurophorus nepalensis", "Pleurophorus opacus", "Pleurophorus pannonicus", "Pleurophorus raffrayi", "Pleurophorus schereri", "Pleurophorus setosus", "Pleurophorus thailandicus", "Pleurophorus tonkinensis", "Pleurophorus torretassoi", "Pleurophorus villiersi", "Podotenoides jeannelianus", "Podotenus allynensis", "Podotenus arrowsmithensis", "Podotenus athertonensis", "Podotenus badgingarrae", "Podotenus baldiensis", "Podotenus barringtonensis", "Podotenus bourkensis", "Podotenus callabonnensis", "Podotenus channonensis", "Podotenus coffensis", "Podotenus dilgryensis", "Podotenus erosus", "Podotenus forrestensis", "Podotenus gallagheri", "Podotenus gracilipes", "Podotenus insignior", "Podotenus integrifrons", "Podotenus kulkynensis", "Podotenus lindensis", "Podotenus mattewsi", "Podotenus nigrosetosus", "Podotenus oodlawirraensis", "Podotenus otwayensis", "Podotenus pseudovictoriae", "Podotenus schmidti", "Podotenus storeyi", "Podotenus suberosus", "Podotenus subfuscus", "Podotenus tennantensis", "Podotenus toowoombaensis", "Podotenus tricolor", "Podotenus victoriae", "Podotenus wauchopensis", "Podotenus williamsi", "Proctophanes anneae", "Proctophanes caldwellensis", "Proctophanes distinguendus", "Proctophanes heterodoxus", "Proctophanes metasternalis", "Proctophanes minor", "Proctophanes scrubensis", "Psammodaphodius kochi", "Psammodius asper", "Psammodius asperoides", "Psammodius basalis", "Psammodius besucheti", "Psammodius bilyi", "Psammodius bulgaricus", "Psammodius caucasicus", "Psammodius convexus", "Psammodius danubialis", "Psammodius flavolittoralis", "Psammodius generosus", "Psammodius hangangnensis", "Psammodius kobayashii", "Psammodius laevipennis", "Psammodius maceki", "Psammodius macnamarae", "Psammodius maruyamai", "Psammodius nepalensis", "Psammodius nocturnus", "Psammodius ovatus", "Psammodius pierottii", "Psammodius plicicollis", "Psammodius schmidti", "Psammodius sefrensis", "Psammodius seiferti", "Psammodius sungshinarum", "Psammodius tesari", "Psammorpha lawrencei", "Pseudacrossus absconditus", "Pseudacrossus beringi", "Pseudacrossus grebenscikovi", "Pseudacrossus grombczewskyi", "Pseudacrossus juxtus", "Pseudacrossus kalabi", "Pseudacrossus kuskai", "Pseudacrossus nasutus", "Pseudacrossus przewalskyi", "Pseudacrossus qinghaiensis", "Pseudacrossus serrimargo", "Pseudacrossus sharpi", "Pseudacrossus smetanai", "Pseudacrossus subsericeus", "Pseudacrossus suffertus", "Pseudacrossus tenebricosus", "Pseudacrossus wewalkai", "Pseudacrossus zuercheri", "Pseudagolius bicolor", "Pseudagolius caballeroi", "Pseudagolius coloradensis", "Pseudagolius warneri", "Pseudataenius contortus", "Pseudataenius gracilitarsis", "Pseudataenius socialis", "Pseuderytus chobauti", "Pseudesymus lucidus", "Pseudoagoliinus glabratus", "Pseudoagoliinus oreotragi", "Saprosites calvus", "Saprosites camerounensis", "Saprosites capitalis", "Saprosites carinatus", "Saprosites cariniceps", "Saprosites castaneus", "Saprosites catenatus", "Saprosites cavus", "Saprosites celebicus", "Saprosites cheesmani", "Saprosites chyuluensis", "Saprosites clydensis", "Saprosites comorianus", "Saprosites consonus", "Saprosites crockerensis", "Saprosites cycloporum", "Saprosites declivis", "Saprosites degallieri", "Saprosites deharvengi", "Saprosites dentipes", "Saprosites difficilis", "Saprosites dilutus", "Saprosites dubius", "Saprosites dudichi", "Saprosites dufaui", "Saprosites dynastoides", "Saprosites enarotadii", "Saprosites exaratus", "Saprosites excisus", "Saprosites explanatus", "Saprosites falcatus", "Saprosites fastus", "Saprosites fodori", "Saprosites freyi", "Saprosites gestroi", "Saprosites girardi", "Saprosites gnomus", "Saprosites grenadensis", "Saprosites guineensis", "Saprosites haafi", "Saprosites holzschuhi", "Saprosites implicatus", "Saprosites japonicus", "Saprosites javanus", "Saprosites kamai", "Saprosites kapitensis", "Saprosites kinabalu", "Saprosites komumi", "Saprosites laeviceps", "Saprosites laticeps", "Saprosites laticollis", "Saprosites lepersonnei", "Saprosites lodoicea", "Saprosites loebli", "Saprosites longethorax", "Saprosites madagascariensis", "Saprosites mahavus", "Saprosites malkini", "Saprosites mansuetus", "Saprosites marchionalis", "Saprosites matangi", "Saprosites meditans", "Saprosites merkli", "Saprosites mesosternalis", "Pseudoagoliinus sinuatipes", "Pseudoagoliinus tonderae", "Pseudoahermodontus benesi", "Pseudocoelotrachelus peckorum", "Pseudocoelotrachelus tristaobrancoi", "Pseudodrepanocanthus nasutus", "Pseudodrepanocanthus obscurus", "Pseudodrepanocanthus spinitarsis", "Pseudoheptaulacus azumai", "Pseudoheptaulacus iniquus", "Pseudoheptaulacus nepalensis", "Pseudoheptaulacus riekoae", "Pseudomothon arabicus", "Pseudopharaphodius anthrax", "Pseudopharaphodius apicesetosus", "Pseudopharaphodius bucolicus", "Pseudopharaphodius burundiensis", "Pseudopharaphodius dalabaensis", "Pseudopharaphodius janssensi", "Pseudopharaphodius kaszabi", "Pseudopharaphodius novus", "Pseudopharaphodius phalacronotoides", "Pseudopharaphodius propinquus", "Pseudopharaphodius rufomaculatus", "Pseudopharaphodius tai", "Pseudopharaphodius tumulosus", "Pseudopharaphodius urostigmoides", "Pseudopharaphodius verecundus", "Pseudopharaphodius zinqueae", "Pseudopodotenus fulviventris", "Pseudosaprosites deplanatus", "Pseudotetraclipeoides tetraodon", "Pseudoteuchestes schirparakensis", "Pseudoxyomus armaticeps", "Pseudoxyomus cochraneae", "Pseudoxyomus davisi", "Pseudoxyomus eximius", "Pseudoxyomus geminata", "Pseudoxyomus intrusus", "Pseudoxyomus maniculus", "Pseudoxyomus oblongopunctata", "Pseudoxyomus opaculus", "Pseudoxyomus opatroides", "Pseudoxyomus rubescens", "Pseudoxyomus scobina", "Pseudoxyomus setosus", "Pseudoxyomus strydomi", "Pubinus tomentosus", "Qingaphodius nikodymi", "Qingaphodius ochotonarum", "Rakovicius ainu", "Rakovicius coreanus", "Rakovicius lanae", "Rakovicius subopacus", "Rakovicius thailandicus", "Renaudius tesari", "Renaudius thailandicus", "Rhodaphodius foetens", "Rhyparus accessoricostatus", "Rhyparus adebratti", "Rhyparus anneae", "Rhyparus approximans", "Rhyparus azumai", "Rhyparus birmanicus", "Rhyparus blantoni", "Rhyparus breviceps", "Rhyparus burckhardti", "Rhyparus chinensis", "Rhyparus clavipes", "Rhyparus comorianus", "Rhyparus costaricensis", "Rhyparus danielssoni", "Rhyparus denieri", "Rhyparus dentatus", "Rhyparus denticollis", "Rhyparus desjardinsi", "Rhyparus edieae", "Rhyparus gracilis", "Rhyparus helophoroides", "Rhyparus henryi", "Rhyparus ironensis", "Rhyparus isidroi", "Rhyparus kinabalu", "Rhyparus kitanoi", "Rhyparus klapperichorum", "Rhyparus kudrnai", "Rhyparus magnus", "Rhyparus mexicanus", "Rhyparus micros", "Rhyparus minor", "Rhyparus mokaiensis", "Rhyparus multipunctatus", "Rhyparus nepalensis", "Rhyparus nilgirensis", "Rhyparus obsoletus", "Rhyparus occidentalis", "Rhyparus octovirgatus", "Rhyparus opacus", "Rhyparus peninsularis", "Rhyparus philippinensis", "Rhyparus pseudominor", "Rhyparus rugatus", "Rhyparus saundersi", "Rhyparus schachti", "Rhyparus sculpturatus", "Rhyparus sepikensis", "Rhyparus sinewitensis", "Rhyparus snizeki", "Rhyparus sogai", "Rhyparus spangleri", "Rhyparus spilmani", "Rhyparus striatus", "Rhyparus sumatrensis", "Rhyparus suspiciosus", "Rhyparus suturalis", "Rhyparus verrucosus", "Rhyparus vitikaboureki", "Rhyparus xanthi", "Rhyparus zayasi", "Rhyssemodes alutaceus", "Rhyssemodes bouvieri", "Rhyssemodes malyi", "Rhyssemodes nox", "Rhyssemodes orientalis", "Rhyssemodes sindicus", "Rhyssemodes tenuisculptus", "Rhyssemodes transcaspicus", "Rhyssemodes turcicus", "Rhyssemus grossepunctatus", "Rhyssemus guineensis", "Rhyssemus haafi", "Rhyssemus hamatus", "Rhyssemus haroldi", "Rhyssemus hauseri", "Rhyssemus helenae", "Rhyssemus histrio", "Rhyssemus histrioides", "Rhyssemus horni", "Rhyssemus hottentottus", "Rhyssemus imitator", "Rhyssemus indicus", "Rhyssemus inermis", "Rhyssemus infidus", "Rhyssemus inscitus", "Rhyssemus insularis", "Rhyssemus interruptus", "Rhyssemus karnatakaensis", "Rhyssemus keisseri", "Rhyssemus koreanus", "Rhyssemus laevinasus", "Rhyssemus lamyensis", "Rhyssemus laoticus", "Rhyssemus limbolarius", "Rhyssemus linnavuorii", "Rhyssemus loebli", "Rhyssemus macedonicus", "Rhyssemus madagassus", "Rhyssemus maximus", "Rhyssemus mayeti", "Rhyssemus meridionalis", "Rhyssemus meruensis", "Rhyssemus mesopotamicus", "Rhyssemus mexicanus", "Rhyssemus mimus", "Rhyssemus mirus", "Rhyssemus morgani", "Rhyssemus murghabensis", "Rhyssemus namorokae", "Rhyssemus nanshanchicus", "Rhyssemus neglectus", "Rhyssemus nitidus", "Rhyssemus obliviosus", "Rhyssemus olympiae", "Rhyssemus osmanlis", "Rhyssemus parallelicollis", "Rhyssemus parallelus", "Rhyssemus pauliani", "Rhyssemus pectoralis", "Rhyssemus perissinottoi", "Rhyssemus perlatus", "Rhyssemus pertinax", "Rhyssemus peyrierasi", "Rhyssemus pfefferi", "Rhyssemus plicatus", "Rhyssemus polycolpus", "Rhyssemus pondoensis", "Rhyssemus ponticus", "Rhyssemus procerus", "Rhyssemus promontorii", "Rhyssemus propinquus", "Rhyssemus psammobiiformis", "Rhyssemus punctatissimus", "Ornithogalum improbum", "Ornithogalum hajastanum", "Ornithogalum graciliflorum", "Ornithogalum euxinum", "Protoblastenia afra", "Ornithogalum erichpaschei", "Ornithogalum cuspidatum", "Ornithogalum chetikianum", "Ornithogalum beyazoglui", "Ornithogalum armeniacum", "Ornithogalum anatolicum", "Protoblastenia alba", "Protoblastenia areolata", "Rhyssemodes wittmeri", "Rhyssemorphus clementi", "Rhyssemorphus mocquerysi", "Rhyssemorphus nitidus", "Rhyssemorphus rakovici", "Rhyssemorphus vadoni", "Rhyssemus africanus", "Rhyssemus ahrensi", "Rhyssemus algiricus", "Rhyssemus alluaudi", "Rhyssemus ambovombensis", "Rhyssemus amplicollis", "Rhyssemus andreinii", "Rhyssemus annaedicatus", "Rhyssemus archambaulti", "Rhyssemus aspericollis", "Rhyssemus asperocostatus", "Rhyssemus atramentarius", "Rhyssemus aurivillii", "Rhyssemus bacchusi", "Rhyssemus balteatus", "Rhyssemus bechuanus", "Rhyssemus bedeli", "Rhyssemus berytensis", "Rhyssemus bilyi", "Rhyssemus biovatus", "Rhyssemus birmensis", "Rhyssemus blackburnei", "Rhyssemus bordati", "Rhyssemus brevis", "Rhyssemus brevitarsis", "Rhyssemus brownwoodi", "Rhyssemus bucciarellii", "Rhyssemus buettikeri", "Rhyssemus bufonis", "Rhyssemus californicus", "Rhyssemus canaliculatus", "Rhyssemus cantabricus", "Rhyssemus capensis", "Rhyssemus carinatipennis", "Rhyssemus carinatus", "Rhyssemus chinensis", "Rhyssemus convexus", "Rhyssemus crispus", "Rhyssemus decellei", "Rhyssemus descarpentriesi", "Rhyssemus dispar", "Rhyssemus endroedyyoungai", "Rhyssemus evae", "Rhyssemus exaratus", "Rhyssemus fairmairei", "Rhyssemus falcatus", "Rhyssemus feae", "Rhyssemus ferenczi", "Rhyssemus frankenbergeri", "Rhyssemus franzi", "Rhyssemus freudei", "Rhyssemus freyi", "Rhyssemus gestroi", "Rhyssemus ghanaensis", "Rhyssemus goudoti", "Rhyssemus granosus", "Rhyssemus granulosocostatus", "Rhyssemus granulosus", "Zanardinia typus", "Masonophycus paradoxus", "Tinodon bellus", "Tinodon micron", "Phyllariopsis brevipes", "Phyllariopsis purpurascens", "Saccorhiza polyschides", "Saccorhiza dermatodea", "Idiocnemis adelbertensis", "Idiocnemis australis", "Haplospora globosa", "Rhyssemus puncticollis", "Rhyssemus punctiventris", "Rhyssemus purkynei", "Rhyssemus relegatus", "Rhyssemus ressli", "Rhyssemus ritsemae", "Rhyssemus rohani", "Rhyssemus rotschildi", "Rhyssemus rubeolus", "Rhyssemus saldaitisi", "Rhyssemus saoudi", "Rhyssemus sardous", "Rhyssemus scaber", "Rhyssemus scabrosus", "Rhyssemus schaeuffelei", "Rhyssemus sculptilipennis", "Rhyssemus seineri", "Rhyssemus senegalensis", "Rhyssemus sexcostatus", "Rhyssemus similis", "Rhyssemus sinuaticollis", "Rhyssemus sonatus", "Rhyssemus spangleri", "Rhyssemus spiniger", "Rhyssemus subdolus", "Rhyssemus sulcatus", "Rhyssemus syriacus", "Rhyssemus testudo", "Rhyssemus thailandicus", "Rhyssemus thomasi", "Rhyssemus tristis", "Rhyssemus trisulcatus", "Rhyssemus tschadensis", "Rhyssemus tsihombensis", "Rhyssemus tuberculicollis", "Rhyssemus uncispinis", "Rhyssemus vaulogeri", "Rhyssemus verrucosus", "Rhyssemus villosus", "Rhyssemus vinodolensis", "Rhyssemus waboniensis", "Rhyssemus xerxes", "Rhyssemus zumpti", "Rugaphodius rugatus", "Sahlbergianus longissimus", "Saprolochus lobatus", "Saprolochus tridentatus", "Saprositellus ariquemes", "Saprositellus denticulatus", "Saprositellus kenodontus", "Saprositellus peruanus", "Saprositellus santaritae", "Saprosites abyssinicus", "Saprosites africanus", "Saprosites arabicus", "Saprosites armatus", "Saprosites balthasari", "Saprosites bangueyensis", "Saprosites barombii", "Saprosites bolivianus", "Saprosites brevitarsis", "Saprosites breviusculus", "Saprosites bunyaensis", "Saprosites burgeoni", "Trichaphodioides pavo", "Trichaphodioides pulchellus", "Trichaphodioides schaumi", "Trichaphodioides securifer", "Trichaphodioides seminitidus", "Trichaphodioides simoni", "Trichaphodioides simplicitarsis", "Trichaphodioides zborniki", "Trichaphodioides zicsii", "Trichaphodius amplitarsis", "Trichaphodius bellonatus", "Trichaphodius calcaratoides", "Trichaphodius cantaloubei", "Trichaphodius cantoti", "Trichaphodius copulatus", "Trichaphodius curvispina", "Trichaphodius divisus", "Trichaphodius dudleyi", "Trichaphodius flavus", "Trichaphodius fumosulus", "Trichaphodius globosus", "Trichaphodius gorillae", "Trichaphodius hindustanicus", "Trichaphodius humilis", "Trichaphodius incisus", "Trichaphodius jirianus", "Trichaphodius kachovskyi", "Trichaphodius kanemicus", "Trichaphodius lanuginosus", "Trichaphodius leoninus", "Trichaphodius longus", "Trichaphodius maldesi", "Trichaphodius meruanus", "Trichaphodius misellus", "Trichaphodius moorei", "Trichaphodius mysticus", "Trichaphodius niloticus", "Trichaphodius obvius", "Trichaphodius okeani", "Trichaphodius paradivisus", "Trichaphodius pseudocopulatus", "Trichaphodius pseudohumilis", "Trichaphodius pseudoleoninus", "Trichaphodius punctiger", "Trichaphodius quadripartitus", "Trichaphodius schoutedeni", "Trichaphodius serrulatus", "Trichaphodius seydeli", "Trichaphodius sigwalti", "Trichaphodius sipeki", "Trichaphodius viduus", "Trichiopsammobius brasiliensis", "Trichiopsammobius drumonti", "Trichiorhyssemus adhabharicus", "Trichiorhyssemus alternatus", "Trichiorhyssemus asperulus", "Trichiorhyssemus bicolor", "Trichiorhyssemus bisigillatus", "Trichiorhyssemus cloueti", "Trichiorhyssemus congolanus", "Trichiorhyssemus dalmatinus", "Trichiorhyssemus decorsei", "Trichiorhyssemus elegans", "Trichiorhyssemus fokiensis", "Setodius edmontonus", "Setylaides canescens", "Setylaides chiangmai", "Setylaides foveatus", "Setylaides monstrosus", "Setylaides punctatus", "Siamaphodius naafon", "Sicardia boiteli", "Sicardia psammodiformis", "Sigorus porcus", "Simogonius beccarii", "Simogonius janssensi", "Simogonius minusculus", "Simogonius setosus", "Sinaphodius chitwanensis", "Sinaphodius natalicus", "Sinaphodius oharai", "Sinaphodius philippinensis", "Sinaphodius sinuatus", "Sinaphodius sulawesiensis", "Sinaphodius yunnanus", "Sinodiapterna gorodinskiyi", "Sinodiapterna hammondi", "Sinodiapterna songrini", "Sinodiapterna troitzkyi", "Sinodiapterna zeni", "Sitiphus ammodites", "Sitiphus brevitarsis", "Sitiphus sefrensis", "Stebnickiella zosterixys", "Stenotothorax badipes", "Stenotothorax cadaverinus", "Stenotothorax comosus", "Stenotothorax cribratulus", "Stenotothorax dilaticollis", "Stenotothorax gardneri", "Stenotothorax gentilis", "Stenotothorax gravis", "Stenotothorax hibernalis", "Stenotothorax lanei", "Stenotothorax linsleyi", "Stenotothorax martini", "Stenotothorax mcpeaki", "Stenotothorax micellus", "Stenotothorax nevadensis", "Stenotothorax oriens", "Stenotothorax oviformis", "Stenotothorax ovipennis", "Stenotothorax parapyriformis", "Stenotothorax pyriformis", "Stenotothorax rugoclypeus", "Stenotothorax sparsus", "Stenotothorax washtucna", "Stenotothorax woodleyi", "Strigodius robinsoni", "Subrinus scintillius", "Subrinus sturmi", "Subrinus subtilis", "Subrinus vitellinus", "Subrinus yemeniticus", "Sugrames auriculatus", "Sugrames capensis", "Sugrames hauseri", "Sugrames johni", "Sugrames reichardti", "Supertermitoderus machi", "Supertermitoderus sandsi", "Supertermitoderus ultimus", "Sussorca lusingae", "Sybacodes liliae", "Sybacodes lutulentus", "Sybacodes simplicicollis", "Sybax distortus", "Sybax impressicollis", "Sybax sulcicollis", "Symphodon anomalum", "Tanyana guynaensis", "Termitoderus genieri", "Termitodiellus besucheti", "Termitodiellus esakii", "Termitodiellus hammondi", "Termitodiellus interruptus", "Termitodiellus luzonensis", "Termitodiellus monticola", "Termitopisthes forticulus", "Termitopisthes kistneri", "Termitopisthes parallelus", "Termitopisthes schmidti", "Termitopisthes submissus", "Termitopisthes termiticola", "Termitopisthes wasmanni", "Tetraclipeoides acutissimus", "Tetraclipeoides aemulus", "Tetraclipeoides anomaliceps", "Tetraclipeoides denticulatus", "Tetraclipeoides dentiger", "Tetraclipeoides dentigerulus", "Tetraclipeoides formidatus", "Tetraclipeoides henryi", "Tetraclipeoides moquinus", "Tetraclipeoides quadridentatus", "Tetraclipeoides quadridentulus", "Tetraclipeoides testaceiventris", "Tetraclipeoides texanus", "Teuchestes analis", "Teuchestes brachysomus", "Teuchestes caffer", "Teuchestes dejeani", "Teuchestes guangdong", "Teuchestes hongson", "Teuchestes sinofraternus", "Teuchestes uenoi", "Teuchestes wicheri", "Thinorycter balthasari", "Thinorycter chlamydatus", "Thinorycter chorasmius", "Thinorycter mamajevi", "Thinorycter redikortzevi", "Trichaphodiellus brasiliensis", "Trichaphodioides bellus", "Trichaphodioides calcaratus", "Trichaphodioides cinerascens", "Trichaphodioides dimorphus", "Trichaphodioides incertepilosus", "Trichaphodioides lackneri", "Trichaphodioides manifestus", "Trichaphodioides marchi", "Trichaphodioides multus", "Trichiorhyssemus fruhstorferi", "Trichiorhyssemus hispidus", "Trichiorhyssemus kitayamai", "Trichiorhyssemus lasionotus", "Trichiorhyssemus longetarsalis", "Trichiorhyssemus microtrichius", "Trichiorhyssemus nepalensis", "Trichiorhyssemus occidentalis", "Trichiorhyssemus pseudoinscitus", "Trichiorhyssemus riparius", "Trichiorhyssemus setulosus", "Trichiorhyssemus taiwanus", "Trichiorhyssemus yumikoae", "Trichonotuloides alfonsinae", "Trichonotuloides aphoderrans", "Trichonotuloides glyptus", "Trichonotuloides hansferyi", "Trichonotuloides latecrenatus", "Trichonotulus amdoensis", "Trichonotulus baloghi", "Trichonotulus brevisetosus", "Trichonotulus castetsi", "Trichonotulus dakarensis", "Trichonotulus dzamosanicus", "Trichonotulus erinaceus", "Trichonotulus frankkochi", "Trichonotulus fulvescens", "Trichonotulus granulidorsis", "Trichonotulus horaki", "Trichonotulus kachelekoensis", "Trichonotulus khonensis", "Trichonotulus mirei", "Trichonotulus mubalensis", "Trichonotulus osetinus", "Trichonotulus pilosellus", "Trichonotulus scheuermanni", "Trichonotulus scrofa", "Trichonotulus secquorum", "Trichonotulus uganoensis", "Trichonotulus upembanus", "Trichonotulus verrucosus", "Trichonotulus villiersi", "Trichonotulus vultuosus", "Trigonoscelus afghanus", "Trigonoscelus coelebs", "Trigonoscelus elbursensis", "Trigonoscelus narayaniensis", "Tristaphodius asperulus", "Tristaphodius mortuorum", "Vladimirellus socors", "Volinus sticticus", "Xenoheptaulacus tricostatus", "Xeropsamobeus acerbus", "Xeropsamobeus ambiguus", "Xeropsamobeus arenicolus", "Xeropsamobeus asellus", "Xeropsamobeus brighti", "Xeropsamobeus desertus", "Xeropsamobeus doyeni", "Xeropsamobeus mohavei", "Xeropsamobeus padrei", "Xeropsamobeus scabriceps", "Youngaphodius agullasi", "Arthrocladia villosa", "Himantothallus grandifolius", "Desmarestia aculeata", "Idiocnemis patriciae", "Tilopteris mertensii", "Anebodon luoi", "Psora acervulans", "Psora achroopholis", "Psora aenea", "Amberathyreus beuteli", "Asterocladon lobatum", "Asterocladon interjectum", "Asterocladon rhodochortonoides", "Leurocephala chilensis", "Acinetospora crinita", "Oechalinella bifasciata", "Psora albilabra", "Paraepora bifurca", "Paraepora cultellata", "Desmarestia pteridoides", "Desmarestia rossii", "Desmarestia tortuosa", "Desmarestia tropica", "Psilothrix aureola", "Psilothrix protensa", "Psilothrix viridicoerulea", "Aplocnemus cribricollis", "Aplocnemus jejunus", "Aplocnemus rufomarginatus", "Aplocnemus pectinatus", "Aplocnemus duplicatus", "Aplocnemus januaventi", "Psora aeneiformis", "Oxynetra aureopecta", "Psora alabastrina", "Idiocnemis polhemi", "Paraepora tegula", "Psora almborniana", "Euhybus qinlingensis", "Psora altotibetica", "Cressa australis", "Psora americana", "Rectiostoma annemayae", "Rectiostoma eowilsoni", "Rectiostoma philipmayi", "Ecdytolopha nigrita", "Ecdytolopha meridana", "Ecdytolopha beckeri", "Ecdytolopha coloradana", "Danacea corsica", "Danacea imperialis", "Danacea mitis", "Danacea gorditana", "Danacea nympha", "Danacea oreas", "Danacea sulcitana", "Danacea milleri", "Desmarestia ligulata", "Dasytes flavescens", "Dasytes pauperculus", "Dasytes coerulescens", "Dasytes aeneiventris", "Dasytes croceipes", "Dasytes iteratus", "Dasytes nigroaeneus", "Divales cinctus", "Dolichosoma simile", "Desmarestia anceps", "Desmarestia antarctica", "Desmarestia chordalis", "Desmarestia confervoides", "Desmarestia dudresnayi", "Desmarestia farcta", "Desmarestia filamentosa", "Desmarestia herbacea", "Desmarestia inanis", "Desmarestia intermedia", "Desmarestia japonica", "Desmarestia kurilensis", "Desmarestia latifrons", "Desmarestia latissima", "Desmarestia menziesii", "Desmarestia munda", "Desmarestia patagonica", "Desmarestia pinnatinervia", "Ecdytolopha exploramae", "Ecdytolopha leonana", "Ecdytolopha occidentana", "Ecdytolopha ricana", "Ecdytolopha sinaloana", "Ecdytolopha holodesma", "Olethreutes holodesma", "Ecdytolopha insiticiana", "Ecdytolopha mana", "Olethreutes mana", "Olethreutes islandana", "Parachelonia murphyi", "Parachelonia rubriceps", "Chelonia rubriceps", "Psora anaeiformis", "Eudonia camerounensis", "Eudonia fotounii", "Eudonia okuensis", "Eudonia yaoundeiensis", "Eudipleurina bueaensis", "Psora asahinae", "Echinophora tenuifolia", "Brusa allardi", "Echinophora spinosa", "Psora asiae-centralis", "Taraconica aurea", "Taraconica berioi", "Taraconica betsimisaraka", "Taraconica humberti", "Taraconica bojeri", "Taraconica isekaly", "Taraconica pauliani", "Psora atrocinerea", "Psora boissieri", "Echinophora tenuifolia subsp. tenuifolia", "Taraconica vadonae", "Taraconica novogonia", "Unca novogonia", "Taraconica transversa", "Acinetospora asiatica", "Acinetospora filamentosa", "Ankaratrotrox centralis", "Ankaratrotrox descarpentriesi", "Ankaratrotrox griveaudi", "Ankaratrotrox pauliani", "Ankaratrotrox peyrierasi", "Ankaratrotrox sechellensis", "Aulonocnemis alluaudi", "Aulonocnemis andohahelica", "Aulonocnemis angusta", "Aulonocnemis anobioides", "Aulonocnemis basalis", "Aulonocnemis camilloi", "Aulonocnemis comorica", "Aulonocnemis crassecostata", "Aulonocnemis cylindrica", "Aulonocnemis diego", "Aulonocnemis electrina", "Aulonocnemis exarata", "Aulonocnemis exaratoides", "Aulonocnemis griveaudi", "Aulonocnemis grossa", "Aulonocnemis grossepunctata", "Aulonocnemis irregularis", "Aulonocnemis laevis", "Aulonocnemis meridionalis", "Aulonocnemis micheli", "Aulonocnemis milloti", "Aulonocnemis nana", "Aulonocnemis nitida", "Aulonocnemis nitidula", "Aulonocnemis oberthueri", "Aulonocnemis olsoufieffi", "Aulonocnemis opatrina", "Aulonocnemis pauliani", "Aulonocnemis peyrierasi", "Aulonocnemis pilosa", "Aulonocnemis pygidialis", "Aulonocnemis robinsoni", "Aulonocnemis schaufussi", "Aulonocnemis sellata", "Aulonocnemis sicardi", "Aulonocnemis tenebrionoides", "Saprosites mistakensis", "Saprosites mjoebergi", "Saprosites monteverdeae", "Saprosites narae", "Saprosites natalensis", "Saprosites nepalensis", "Saprosites nitidicollis", "Saprosites obscurus", "Saprosites pahangensis", "Saprosites palmarum", "Saprosites papuanus", "Saprosites parallelicollis", "Saprosites parallelus", "Saprosites pauliani", "Saprosites penrisseni", "Saprosites perbrevitarsis", "Saprosites peregrinus", "Saprosites perforatus", "Saprosites perssoni", "Saprosites pleurophoroides", "Saprosites porongurupae", "Saprosites puncticollis", "Saprosites punctiventris", "Saprosites pygmaeus", "Saprosites raffrayi", "Saprosites rectus", "Saprosites rougemonti", "Saprosites rufopolitus", "Saprosites rufus", "Saprosites schoutedeni", "Saprosites sicardi", "Saprosites staudingeri", "Saprosites sternalis", "Saprosites subterraneus", "Saprosites sulcatus", "Saprosites sulciceps", "Saprosites sulcicollis", "Saprosites tantulus", "Saprosites tenuistriatus", "Saprosites titschacki", "Saprosites topali", "Saprosites verecundus", "Saprosites vosseleri", "Saprosites wauensis", "Saprosites weisei", "Saprosites wittei", "Saprosites yanoi", "Saprovisca leytensis", "Saprovisca sarangay", "Sariangus sariangi", "Scabrostomus bakeri", "Scabrostomus kerni", "Scabrostomus parapeculiosus", "Scabrostomus peculiosus", "Scabrostomus siccatus", "Scabrostomus skillmani", "Scabrostomus tanytarsus", "Schaefferellus arizonensis", "Selviria anneae", "Selviria matogrossoensis", "Serraphodius circassicus", "Serraphodius lederi", "Setodius bryanti", "Setodius diogenes", "Australobolbus bacchusi", "Australobolbus basedowi", "Australobolbus bihamus", "Australobolbus binasutus", "Australobolbus canalis", "Australobolbus carinatus", "Australobolbus carnabyorum", "Australobolbus centrus", "Australobolbus clypealis", "Australobolbus convergifrons", "Australobolbus cruciatus", "Australobolbus distropis", "Australobolbus fenestratus", "Australobolbus gayndahensis", "Australobolbus impressicollis", "Australobolbus intermedius", "Australobolbus labratus", "Australobolbus laevipes", "Australobolbus latipennis", "Australobolbus lineocollis", "Australobolbus lobatus", "Australobolbus lobocapsus", "Australobolbus loweri", "Australobolbus masneri", "Australobolbus monteithi", "Australobolbus mouldsi", "Australobolbus nitens", "Australobolbus nitidiceps", "Australobolbus obscurius", "Australobolbus obtusus", "Australobolbus occidentalis", "Australobolbus papuanus", "Australobolbus parvus", "Australobolbus pseudobscurius", "Australobolbus pseudolaevipes", "Australobolbus pygmaeus", "Australobolbus rossi", "Australobolbus rotundatus", "Australobolbus rubescens", "Australobolbus sedlaceki", "Australobolbus subretusus", "Australobolbus tibialis", "Australobolbus tricornis", "Australobolbus walfordi", "Australobolbus weiri", "Blackbolbus augustus", "Blackbolbus bispinicollis", "Blackbolbus brittoni", "Blackbolbus carnabyorum", "Blackbolbus contextus", "Blackbolbus denticollis", "Blackbolbus echinicollis", "Blackbolbus falcatus", "Blackbolbus frontalis", "Blackbolbus fucinus", "Blackbolbus furcaticollis", "Blackbolbus goldingorum", "Blackbolbus hollowayorum", "Blackbolbus hoplocephalus", "Blackbolbus incertus", "Blackbolbus inconsuetus", "Blackbolbus incus", "Blackbolbus inopinus", "Blackbolbus insolitus", "Blackbolbus kalbarriensis", "Blackbolbus lunatus", "Blackbolbus matthewsi", "Blackbolbus multifidus", "Blackbolbus orarius", "Blackbolbus puncticollis", "Blackbolbus quadricornis", "Blackbolbus quinquecavus", "Blackbolbus rostratus", "Blackbolbus rugosicollis", "Blackbolbus taurus", "Blackbolbus yunaensis", "Blackburnium acutipenne", "Blackburnium ambiguum", "Blackburnium angulicorne", "Blackburnium aratum", "Blackburnium barretti", "Blackburnium brooksi", "Blackburnium canningense", "Blackburnium carpentariae", "Blackburnium cavicolle", "Blackburnium centrale", "Blackburnium cooperi", "Blackburnium cornutum", "Blackburnium darwinense", "Blackburnium harslettae", "Blackburnium hippopum", "Blackburnium insigne", "Blackburnium kirbyi", "Blackburnium macleayi", "Blackburnium monteithi", "Blackburnium neocavicolle", "Blackburnium pauperculum", "Blackburnium pontiferum", "Blackburnium quinquecorne", "Blackburnium reichei", "Blackburnium rhinoceros", "Blackburnium seticolle", "Blackburnium sloanei", "Blackburnium tatei", "Blackburnium triceratops", "Bolbaffer abditus", "Bolbaffer abyssinicus", "Bolbaffer barbatus", "Bolbaffer bidenticollis", "Bolbaffer bremeri", "Bolbaffer coriaceus", "Bolbaffer dudleyi", "Bolbaffer gigas", "Bolbaffer guineaensis", "Bolbaffer mozambiquensis", "Bolbaffer namibiensis", "Bolbaffer nikolajevi", "Bolbaffer princeps", "Bolbaffer sasakii", "Bolbaffer sebastiani", "Bolbaffer splendidus", "Bolbaffer tenuelimbatus", "Bolbaffroides carenicollis", "Bolbaffroides kubaricus", "Bolbaffroides scotti", "Bolbaffroides serripes", "Bolbaffroides validus", "Aulonocnemis tenuis", "Aulonocnemis thoracica", "Aulonocnemis torquata", "Aulonocnemis vadoni", "Aulonocnemis valida", "Aulonocnemis vulgaris", "Manjarivolo andohahelicus", "Manjarivolo crypticus", "Manjarivolo mirabilis", "Palnia cambeforti", "Palnia loebli", "Palnia stebnickae", "Athyreus acuticornis", "Athyreus aeneus", "Athyreus alvarengai", "Athyreus anneae", "Athyreus armatus", "Athyreus bellator", "Athyreus biarmatus", "Athyreus bicornus", "Athyreus bifurcatus", "Athyreus bilbergi", "Athyreus bilobus", "Athyreus brasilicus", "Athyreus capricornis", "Athyreus chalybeatus", "Athyreus championi", "Athyreus conspicuus", "Athyreus cyanescens", "Athyreus forcipatus", "Athyreus fritzi", "Athyreus gigas", "Athyreus giuglarisi", "Athyreus gulesseriani", "Athyreus hastifer", "Athyreus hemisphaericus", "Athyreus horatioi", "Athyreus howdeni", "Athyreus hypocritus", "Athyreus juanae", "Athyreus langeri", "Athyreus larseni", "Athyreus martinezi", "Athyreus mouraensis", "Athyreus nebulosus", "Athyreus nitidus", "Athyreus parvus", "Athyreus peckorum", "Athyreus pyriformis", "Athyreus soesilae", "Athyreus subarmatus", "Athyreus thilliezi", "Athyreus tribuliformis", "Athyreus tridens", "Athyreus tuberifer", "Acontia delphinensis", "Athyreus unicornis", "Athyreus vavini", "Athyreus vicinus", "Athyreus zischkai", "Australobolbus adamsi", "Australobolbus allsoppi", "Australobolbus aridulus", "Australobolbus austrinus", "Bolboceras darjeelicans", "Bolboceras dorsalis", "Bolboceras dorsuale", "Bolboceras duplicatum", "Bolboceras extraneum", "Bolboceras gaujani", "Bolboceras globosum", "Bolboceras inaequale", "Bolboceras inchoatum", "Bolboceras insulare", "Bolboceras kenyense", "Bolboceras laportei", "Bolboceras lutulentum", "Bolboceras malabaricum", "Bolboceras mimicans", "Bolboceras modestum", "Bolboceras nigricans", "Bolboceras nigriceps", "Bolboceras niloticum", "Bolboceras orissicum", "Bolboceras perpunctatum", "Bolboceras quadridens", "Bolboceras scabricolle", "Bolboceras schulzei", "Bolboceras transversale", "Bolboceras trisulcatum", "Bolboceras westwoodi", "Bolbocerastes imperialis", "Bolbocerastes peninsularis", "Bolbocerastes regalis", "Bolbocerastes serratus", "Bolboceratex coryphaeus", "Bolboceratex holmi", "Bolboceratex jouberti", "Bolboceratex posticatus", "Bolboceratex rhodesianus", "Bolboceratex spurius", "Bolboceratex transvaalicus", "Bolboceratex vanwyki", "Bolboceratops buxtoni", "Bolboceratops imitator", "Bolboceratops indicus", "Bolboceratops rosaedicatus", "Bolboceratops scorteccii", "Bolboceratops simonettai", "Bolboceratops suahelus", "Bolboceratops tenuistriatus", "Bolbocerodema apicatum", "Bolbocerodema dierli", "Bolbocerodema garritor", "Bolbocerodema kiyoyamai", "Bolbocerodema nigroplagiatum", "Bolbocerodema sikkimensis", "Bolboceroides capense", "Bolbocerosoma biplagiatum", "Bolbocerosoma bruneri", "Bolbocerosoma cartwrighti", "Bolbocerosoma confusum", "Bolbocerosoma elongatum", "Bolbocerosoma farctum", "Bolbocerosoma hamatum", "Bolbocerosoma lepidissimum", "Bolbocerosoma mexicanum", "Bolbocerosoma pusillum", "Aphyosemion wildekampi", "Psora caulophylla", "Hypertelis cerviana", "Idiocnemis schorri", "Cretogeotrupes convexus", "Penicillidmus lavongai", "Craniophora minuscula", "Pseudodoxia gahakensis", "Idiocnemis bidentata", "Junonia coenia coenia", "Junonia coenia bergi", "Bolbocerosoma quadricornum", "Bolbocerosoma ritcheri", "Bolbochromus walshi", "Bolbochromus niger", "Bolbochromus dumogensis", "Bolbochromus mindanaicus", "Bolbochromus pumilus", "Bolbochromus sinensis", "Bolbogonium addendum", "Bolbogonium bicornutum", "Bolbogonium davatchii", "Bolbogonium howdeni", "Bolbogonium impressum", "Bolbogonium insidiosum", "Bolbogonium kabakovi", "Bolbogonium kabulicum", "Bolbogonium pseudopunctatissimum", "Bolbogonium punctatissimum", "Tarache delphinensis", "Bolbogonium scurra", "Bolbogonium triangulum", "Bolbogonium wiebesi", "Bolbohamatum achanakmarini", "Bolbohamatum calanus", "Bolbohamatum cyclops", "Bolbohamatum drescheri", "Bolbohamatum kuijteni", "Bolbohamatum laevicolle", "Bolbohamatum laterale", "Bolbohamatum marginale", "Bolbohamatum meridionale", "Bolbohamatum phallosum", "Bolbohamatum pseudogrande", "Bolbohamatum pyramidifer", "Bolbohamatum robustum", "Bolbohamatum syncopator", "Bolboleaus frogatti", "Bolboleaus hiaticollis", "Bolboleaus houstoni", "Bolboleaus ingens", "Bolboleaus mimus", "Bolboleaus parvicollis", "Bolboleaus propinquus", "Bolboleaus quadriarmigerus", "Bolboleaus quadrifoveatus", "Bolboleaus storeyi", "Bolboleaus tenax", "Bolboleaus trifoveicollis", "Bolboleaus truncatus", "Bolboleaus variolicollis", "Bolborhachium anneae", "Bolborhachium bainbridgei", "Bolborhachium chelyum", "Bolborhachium concavum", "Bolborhachium coronatum", "Bolborhachium dacoderum", "Bolborhachium deceptum", "Bolborhachium edithae", "Bolborhachium hollowayi", "Bolborhachium inclinatum", "Bolborhachium keithi", "Bolborhachium kevini", "Bolborhachium lacunosum", "Bolborhachium laticorne", "Bolbelasmus krikkeni", "Bolbelasmus meridionalis", "Bolbelasmus nativus", "Bolbelasmus arcuatus", "Bolbelasmus bajaensis", "Bolbelasmus bocchus", "Bolbelasmus brancoi", "Bolbelasmus carinifrons", "Bolbelasmus casanovaorum", "Bolbelasmus horni", "Bolbelasmus howdeni", "Bolbelasmus keithi", "Bolbelasmus korshunovi", "Bolbelasmus makrisi", "Bolbelasmus minor", "Bolbelasmus monticolus", "Bolbelasmus nikolajevi", "Bolbelasmus rotundipennis", "Bolbelasmus shibatai", "Bolbelasmus variabilis", "Bolbelasmus vaulogeri", "Bolbobaineus planiceps", "Bolbocaffer caffrum", "Bolbocaffer consocium", "Bolbocaffer cycloidum", "Bolbocaffer disparile", "Bolbocaffer exasperans", "Bolbocaffer gautieri", "Bolbocaffer indigum", "Bolbocaffer innotandum", "Bolbocaffer interruptum", "Bolbocaffer kraatzi", "Bolbocaffer littorale", "Bolbocaffer luniferum", "Bolbocaffer matabele", "Bolbocaffer pallens", "Bolbocaffer pannosum", "Bolbocaffer plausibile", "Bolbocaffer politum", "Bolbocaffer rugiferum", "Bolbocaffer sansibaricum", "Bolbocaffer schimperi", "Bolbocaffer senegalense", "Bolbocaffer stercorosum", "Bolbocaffer vacivum", "Bolboceras baeri", "Bolboceras bigibbosum", "Bolboceras borgmeieri", "Bolboceras caesum", "Bolboceras howdeni", "Bolboceras lucidulum", "Bolboceras minutum", "Bolboceras paralucidulum", "Bolboceras quadrispinosum", "Bolboceras quinquestriatum", "Bolboceras sculpturatum", "Bolboceras striatopunctatum", "Bolboceras sulcifrons", "Bolboceras berytensis", "Bolboceras bicarinatum", "Bolboceras bilaspuricans", "Bolboceras birmanicum", "Bolboceras consanguineum", "Bolboceras corniculatum", "Somalobolbus benadirensis", "Stenaspidius albosetosus", "Stenaspidius allsoppi", "Stenaspidius brittoni", "Stenaspidius enigmaticus", "Stenaspidius houstoni", "Stenaspidius lividus", "Stenaspidius matthewsi", "Stenaspidius nigricornis", "Stenaspidius ruficornis", "Stenaspidius spatuliferus", "Zefevazia cantisanii", "Zefevazia peruana", "Zefevazia quinquedentatum", "Zefevazia rosascostai", "Nyeanella mabillei", "Colobosaura kraepelini", "Callicereon mabillei", "Callicereon mabillei mabillei", "Nyeanella mabillei mabillei", "Acinetospora nicholsoniae", "Nyeanella mabillei tsaratanana", "Callicereon mabillei tsaratanana", "Anomis lavaudeni", "Parafodina pagenstecheri", "Feldmannia acuminata", "Feldmannia battersiides", "Feldmannia chitonicola", "Feldmannia columellaris", "Feldmannia duchassaingiana", "Feldmannia eilersii", "Feldmannia enhali", "Feldmannia filifera", "Feldmannia formosana", "Feldmannia globifera", "Feldmannia guangdongensis", "Feldmannia hemisphaerica", "Feldmannia indica", "Feldmannia irregularis", "Feldmannia kanyakumariensis", "Internoretia fryeana", "Athamanta cervariifolia", "Lecokia cretica", "Catinaria acrustacea", "Leptobotia micra", "Psora buettneri", "Feldmannia kjellmanii", "Feldmannia lebelii", "Feldmannia lewisii", "Feldmannia mitchelliae", "Feldmannia nizamuddinii", "Feldmannia padinae", "Feldmannia paradoxa", "Feldmannia paradoxoides", "Feldmannia putuoensis", "Feldmannia rhizoidea", "Feldmannia simplex", "Feldmannia vaughanii", "Feldmannia xishaensis", "Odontina gueneei", "Odontina malagasy", "Plusiodonta malagasy", "Geminocarpus austrogeorgiae", "Geminocarpus geminatus", "Hypena kingdoni", "Hypena cowani", "Hypena griveaudi", "Hypena toyi", "Sarmatia malagasy", "Hypena malagasy", "Herponema velutinum", "Psora caelata", "Herponema desmarestiae", "Herponema graniferum", "Herponema hormosirae", "Herponema maculiforme", "Herponema minutum", "Herponema pulvinatum", "Herponema solitarium", "Herponema tortugense", "Herponema valiantei", "Herponema zeylandicum", "Salvia cuspidata", "Psora caesiella", "Mimobolbus congolensis", "Mimobolbus decoratus", "Mimobolbus decorsei", "Mimobolbus endroedyyoungai", "Mimobolbus fulvus", "Mimobolbus globularis", "Mimobolbus maculicollis", "Mimobolbus monticola", "Mimobolbus nigropiceus", "Mimobolbus nigrum", "Mimobolbus ornatellus", "Mimobolbus peringueyi", "Mimobolbus pilulus", "Mimobolbus pygmaeus", "Mimobolbus remedellii", "Mimobolbus rufotestaceus", "Mimobolbus sebakuensis", "Mimobolbus sedhiounensis", "Mimobolbus subcariniceps", "Mimobolbus togonicus", "Mimobolbus vivianae", "Mimobolbus zavattarii", "Namibiotrupes auspicatus", "Namibiotrupes penrithae", "Namibiotrupes zumpti", "Namibiobolbus helgae", "Namibiobolbus heracles", "Namibiobolbus iphicles", "Neoathyreus guyanensis", "Neoathyreus accinctus", "Neoathyreus acutus", "Neoathyreus androsensis", "Neoathyreus anfractus", "Neoathyreus antennatus", "Neoathyreus anthracinus", "Neoathyreus apiculatus", "Neoathyreus arribalzagai", "Neoathyreus asciculus", "Neoathyreus biceps", "Neoathyreus bidentatus", "Neoathyreus boosi", "Neoathyreus brazilensis", "Neoathyreus caesariatus", "Neoathyreus castaneus", "Neoathyreus catharinae", "Neoathyreus centralis", "Neoathyreus centromaculatus", "Neoathyreus corinthius", "Neoathyreus corniculatus", "Neoathyreus cuspinotatus", "Neoathyreus excavatus", "Neoathyreus fallolobus", "Neoathyreus fissicornis", "Neoathyreus flavithorax", "Neoathyreus glaseri", "Neoathyreus goyasensis", "Neoathyreus granulicollis", "Neoathyreus hamifer", "Neoathyreus illotus", "Neoathyreus inermis", "Neoathyreus interruptus", "Neoathyreus isthmius", "Neoathyreus julietae", "Neoathyreus lanei", "Bolborhachium leai", "Bolborhachium nanum", "Bolborhachium pastinum", "Bolborhachium prochelyum", "Bolborhachium recticorne", "Bolborhachium richardsae", "Bolborhachium scopulum", "Bolborhachium tricavicolle", "Bolborhachium trituberculatum", "Bolborhachium triunum", "Bolborhachium trymoderum", "Bolborhinum geotrupoides", "Bolborhinum laesicolle", "Bolborhinum nasutum", "Bolborhinum seai", "Bolborhinum shajovskoyi", "Bolborhinum tricorne", "Bolborhinum trilobulicorne", "Bolborhinum tubericeps", "Bolborhombus angulus", "Bolborhombus nitidus", "Bolborhombus parvulus", "Bolborhombus sallaei", "Bolbothyreus ruficollis", "Bradycinetulus ferrugineus", "Bradycinetulus fossatus", "Bradycinetulus rex", "Elephastomus carnei", "Elephastomus gellarus", "Elephastomus howdeni", "Elephastomus meraldus", "Elephastomus proboscideus", "Elephastomus terraereginae", "Eubolbitus petrovitzi", "Eubolbitus radoszkovskii", "Eubolbitus sicardi", "Eubolbitus zarudnyii", "Eucanthus alutaceus", "Eucanthus bonariensis", "Eucanthus felschei", "Eucanthus greeni", "Eucanthus impressus", "Eucanthus lazarus", "Eucanthus mexicanus", "Eucanthus subtropicus", "Gilletinus acutus", "Gilletinus bipagus", "Gilletinus corrugatus", "Gilletinus flavocastaneus", "Gilletinus kristinae", "Gilletinus multicostatus", "Gilletinus occidentalis", "Gilletinus porosus", "Gilletinus rabaulensis", "Gilletinus rugosifrons", "Gilletinus variegatus", "Gilletinus williamsi", "Halffterobolbus laevistriatus", "Halffterobolbus riojanus", "Meridiobolbus faustus", "Meridiobolbus natalensis", "Meridiobolbus quinquedens", "Mimobolbus ambiguus", "Mimobolbus angolensis", "Neoathyreus lanuginosus", "Neoathyreus latecavatus", "Neoathyreus latidorsalis", "Neoathyreus lepidus", "Neoathyreus lingi", "Neoathyreus lobus", "Neoathyreus lyriferus", "Neoathyreus martinezorum", "Neoathyreus maudae", "Neoathyreus mexicanus", "Neoathyreus mixtus", "Neoathyreus moraguesi", "Neoathyreus obscurus", "Neoathyreus ornatus", "Neoathyreus panamensis", "Neoathyreus peckorum", "Neoathyreus perryae", "Neoathyreus pholas", "Neoathyreus planatus", "Neoathyreus politus", "Neoathyreus purpureipennis", "Neoathyreus ramusculus", "Neoathyreus reichei", "Neoathyreus rufobrunneus", "Neoathyreus rufoventris", "Neoathyreus sexdentatus", "Neoathyreus tortuguerensis", "Neoathyreus tridentatus", "Neoathyreus tridenticeps", "Neoathyreus tweedyanus", "Neoathyreus versicolor", "Neoathyreus viridis", "Odonteus alabamensis", "Odonteus corniger", "Odonteus darlingtoni", "Odonteus falli", "Odonteus filicornis", "Odonteus floridensis", "Odonteus liebecki", "Odonteus obesus", "Odonteus orientalis", "Odonteus simi", "Odonteus thoracicornis", "Parabolbapium aequatoriensis", "Parathyreus bahiae", "Parathyreus fissicollis", "Parathyreus fulvescens", "Parathyreus lobatus", "Parathyreus rectus", "Parathyreus trituberculatus", "Pereirabolbus castaneum", "Pereirabolbus tucumanensis", "Prototrupes copridoides", "Prototrupes kochi", "Pseudoathyreus damara", "Pseudoathyreus flavohirtus", "Pseudoathyreus fracticollis", "Pseudoathyreus freyi", "Pseudoathyreus frontalis", "Pseudoathyreus kordofanus", "Pseudoathyreus orientalis", "Pseudoathyreus porcatus", "Pseudoathyreus rhodesianus", "Socotrabolbus canui", "Hyphessobrycon klausanni", "Tometes siderocarajensis", "Parageotrupes incanus", "Pogotrichum filiforme", "Pogotrichum setiforme", "Pogotrichum yezoense", "Heliconius numata mirus", "Junonia grisea", "Papilio aurivillianus", "Papilio stewarti", "Catasticta hollandi", "Catasticta nivalis", "Catasticta angulifera", "Catasticta lactea", "Ixias clarki", "Catopsilia statira", "Catopsilia statira statira", "Catopsilia statira schausi", "Aphrissa schausi", "Dismorphia spectabilis", "Dismorphia laja laja", "Dismorphia laja spectabilis", "Dismorphia lysandra", "Dismorphia theucharila lysinoe", "Dismorphia leuconoe", "Dismorphia leuconoe leuconoe", "Dismorphia leuconoe melanina", "Dismorphia theucharila vitrea", "Aphyosemion volcanum", "Dismorphia pinthaeus", "Dismorphia pinthaeus pinthaeus", "Dismorphia pinthaeus gracilis", "Moschoneura pinthous pinthous", "Moschoneura pinthous proxima", "Dismorphia spio", "Dismorphia spio spio", "Dismorphia spio virago", "Aciculopsora cinerea", "Dismorphia astynome", "Dismorphia amphione astynome", "Dismorphia astynome astynome", "Aciculopsora salmonea", "Dismorphia astynome chloronome", "Pyrisitia portoricensis", "Eurema arbela", "Eurema arbela arbela", "Eurema arbela gracilis", "Sais klagesi", "Geotrupoides fortus", "Geotrupoides lithographicus", "Lithogeotrupes confusus", "Geotrupes germari", "Geotrupes messelensis", "Geotrupes rottensis", "Geotrupes vetustus", "Geotrupes douei", "Heliconius insolitus", "Hellinsia zakarae", "Hellinsia strauszi", "Alompra yibinfani", "Taragama indicus", "Alompra bidiensis", "Alompra ferruginea bidiensis", "Streblote lajonquierei", "Alompra cerastes", "Pylaiella aquitanica", "Pylaiella gardneri", "Pylaiella hooperi", "Pylaiella nana", "Pylaiella penicilliformis", "Pylaiella petaloniae", "Pylaiella tenella", "Pylaiella unilateralis", "Pylaiella varia", "Pylaiella washingtoniensis", "Rhigognostis canariella", "Ivanauskiella psamathias", "Adenocystis utricularis", "Adenocystis longissima", "Allotrupes mandibularis", "Phtheochroa schreieri", "Anoplotrupes balyi", "Anoplotrupes hornii", "Ceratophyus gopherinus", "Ceratophyus hoffmannseggi", "Actinema major", "Actinema scutellum", "Crustospathula humboldtii", "Desmia mordor", "Diaphania galapagensis", "Diaphania costata", "Phalaena costata", "Adriogloia adriatica", "Ascoseirophila violodora", "Monochroa bronzella", "Ascocyclus dichotomus", "Ascocyclus hypneae", "Ascocyclus stenonemus", "Aphyosemion ferranti", "Asperococcus bullosus", "Asperococcus attenuatus", "Pterostylis truncata", "Asperococcus fistulosus", "Caepidium antarcticum", "Catinaria brodoana", "Agathodes galapagensis", "Chordariopsis capensis", "Utriculidium durvillei", "Catinaria radulae", "Asciodes gordialis", "Asciodes quietalis", "Scoparia quietalis", "Acrocytis groenlandicus", "Acrospongium ralfsioides", "Crustospathula amazonica", "Acrothrix gracilis", "Acrothrix pacifica", "Beebea guglielmi", "Acrotrichium amphibolis", "Cryptobotys zoilusalis", "Physcidia striata", "Botys zoilusalis", "Actinema subtilissimum", "Corybas hispidus", "Physcidia matogrossensis", "Pterostylis longifolia", "Physcidia neotropica", "Physcidia squamulosa", "Chicoreus brianbaileyi", "Herteliana schuyleriana", "Pterostylis baptistii", "Pterostylis barbata", "Pterostylis barringtonensis", "Pterostylis basaltica", "Pterostylis bicolor", "Pterostylis bicornis", "Pterostylis biseta", "Pterostylis boormanii", "Pterostylis brevichila", "Pterostylis brunneola", "Pterostylis bryophila", "Pterostylis bureaviana", "Pterostylis calceolus", "Pterostylis caligna", "Pterostylis caulescens", "Japewiella dollypartoniana", "Minuartia formosa", "Lepechinia meyenii", "Minuartia aksoyi", "Geotrupes atavus", "Waynea algarvensis", "Plantago linearis", "Cerasus itosakura", "Eosolenobia zouhari", "Citrobacter virus Merlin", "Citrobacter virus Moon", "Compsonema gracile", "Corycus lanceolatus", "Igneocnemis nigra", "Igneocnemis pistor", "Igneocnemis rubricercus", "Botrytella reinboldii", "Macrocnemis gracilis", "Botrytella pacifica", "Botrytella parva", "Buffhamia speciosa", "Chilionema ocellatum", "Chilionema hispanicum", "Empoasca ponderosa", "Chordaria flagelliformis", "Chordaria chordaeformis", "Chordaria cladosiphon", "Brachypelma baumgarteni", "Asperococcus norvegicus", "Asperococcus scaber", "Poecilotheria hanumavilasumica", "Asperococcus tortilis", "Australofilum incommodum", "Igneocnemis antoniae", "Idiocnemis chloropleura", "Idiocnemis dagnyae", "Idiocnemis fissidens", "Idiocnemis govermasensis", "Idiocnemis huonensis", "Botrytella micromora", "Idiocnemis inaequidens", "Idiocnemis inornata", "Idiocnemis kimminsi", "Idiocnemis leonardi", "Idiocnemis louisiadensis", "Idiocnemis mertoni", "Idiocnemis nigriventris", "Idiocnemis obliterata", "Idiocnemis pruinescens", "Idiocnemis strumidens", "Idiocnemis zebrina", "Illacme plenipes", "Igneocnemis kaiseri", "Ceratophyus kabaki", "Ceratophyus maghrebinicus", "Ceratophyus martinezi", "Ceratophyus mesasiaticus", "Ceratophyus polyceros", "Ceratophyus rossii", "Ceratophyus schaffrathi", "Ceratophyus sinicus", "Ceratophyus sulcicornis", "Ceratotrupes bolivari", "Ceratotrupes fronticornis", "Ceratotrupes sturmi", "Chelotrupes algarvicus", "Chelotrupes brancoi", "Chelotrupes feryi", "Chelotrupes hendrichi", "Chelotrupes hiostius", "Chelotrupes kyliesi", "Chelotrupes laevipennis", "Chelotrupes matutinalis", "Chelotrupes momus", "Cnemotrupes blackburni", "Cnemotrupes cnephosa", "Cnemotrupes occidentalis", "Cnemotrupes pinalonensis", "Cnemotrupes sallaei", "Cnemotrupes semiopacus", "Cnemotrupes splendidus", "Cnemotrupes truncaticornis", "Cnemotrupes ulkei", "Enoplotrupes bieti", "Enoplotrupes gansuensis", "Enoplotrupes howdeni", "Enoplotrupes kachinensis", "Enoplotrupes latus", "Enoplotrupes yunnanus", "Enoplotrupes tyrannus", "Enoplotrupes barmanicus", "Enoplotrupes chaslii", "Enoplotrupes crassicornis", "Enoplotrupes gaoligong", "Enoplotrupes kubani", "Enoplotrupes largeteaui", "Enoplotrupes monachus", "Enoplotrupes rhinoceros", "Enoplotrupes sharpi", "Enoplotrupes sinensis", "Enoplotrupes splendens", "Enoplotrupes variicolor", "Epigeotrupes castanipennis", "Epigeotrupes crenulipennis", "Epigeotrupes kuluensis", "Geohowdenius egeriei", "Geohowdenius opacus", "Geotrupes corinthius", "Geotrupes folwarcznyi", "Geotrupes genestieri", "Geotrupes ibericus", "Geotrupes jakowlewi", "Geotrupes kashmirensis", "Geotrupes lenardoi", "Geotrupes meridionalis", "Geotrupes olgae", "Geotrupes thoracinus", "Lethrus muskinabadensis", "Lethrus nasreddinovi", "Lethrus paki", "Lethrus rustam", "Lethrus saryhissoricus", "Lethrus sohrab", "Lethrus tadzhikorum", "Lethrus tenuidens", "Lethrus bispinus", "Lethrus bulbocerus", "Lethrus cicatricosus", "Lethrus ciskungesicus", "Lethrus crenulatus", "Lethrus kentauensis", "Lethrus korzhinskii", "Lethrus kuldzhensis", "Lethrus lebedevi", "Lethrus lopatini", "Lethrus medvedevi", "Lethrus obliquus", "Lethrus potanini", "Lethrus serridens", "Lethrus tschitsherini", "Lethrus uncidens", "Lethrus ares", "Lethrus brachiicollis", "Lethrus elephas", "Lethrus fallax", "Lethrus fedtschenkoi", "Lethrus halkidikiensis", "Lethrus macrognathus", "Lethrus mediocris", "Lethrus perun", "Lethrus raymondi", "Lethrus rotundicollis", "Lethrus schaumi", "Lethrus strymonensis", "Lethrus elisae", "Lethrus inermis", "Lethrus microbuccis", "Lethrus nuratavicus", "Lethrus arcanus", "Lethrus bituberculatus", "Lethrus crassus", "Lethrus kabaki", "Lethrus karatavicus", "Lethrus turkestanicus", "Lethrus aktavicus", "Lethrus andrejewae", "Lethrus auriculatus", "Lethrus bactrianus", "Lethrus baglanicus", "Lethrus carinatus", "Lethrus chorassanicus", "Lethrus costatus", "Lethrus crypticus", "Lethrus gissaricus", "Lethrus kattaghanicus", "Lethrus koshantschikowi", "Lethrus kryzhanovskii", "Glyptogeotrupes impressus", "Glyptogeotrupes molestus", "Glyptogeotrupes ovchinnikovi", "Halffterius rufoclavatus", "Haplogeotrupes guatemalensis", "Haplogeotrupes reddelli", "Jekelius punctulatus", "Jekelius albarracinus", "Jekelius balearicus", "Jekelius brullei", "Jekelius castillanus", "Jekelius catalonicus", "Jekelius chalconotus", "Jekelius chersinus", "Jekelius hernandezi", "Jekelius hispanus", "Jekelius intermedius", "Jekelius juengeri", "Jekelius marginatus", "Jekelius nitidus", "Jekelius punctatolineatus", "Jekelius rugatulus", "Jekelius sardous", "Jekelius sericeus", "Lethrus majusculus", "Lethrus pygmaeus", "Lethrus tuberculifrons", "Lethrus anisodon", "Lethrus appendiculatus", "Lethrus arnoldii", "Lethrus geminatus", "Lethrus glaber", "Lethrus karateghinicus", "Lethrus mucronatus", "Lethrus politus", "Lethrus scoparius", "Lethrus sogdianus", "Lethrus splendidus", "Lethrus submandibularis", "Lethrus sulcipennis", "Lethrus superbus", "Lethrus tschatkalensis", "Lethrus vachshianus", "Lethrus aequidentatus", "Lethrus borealis", "Adenocystis rimosa", "Lethrus cephalotes", "Lethrus dostojewskii", "Lethrus gladiator", "Lethrus karelini", "Lethrus lamellifer", "Lethrus longimanus", "Lethrus mugodzharicus", "Lethrus serpentifer", "Lethrus antovae", "Lethrus banghaasi", "Lethrus frantsevichi", "Lethrus frater", "Lethrus furcatus", "Phtheochroa imitana", "Lethrus kiritschenkoi", "Lethrus legezini", "Lethrus michailovi", "Lethrus mikitovae", "Phelotrupes abei", "Phelotrupes brunipennis", "Phelotrupes businskyorum", "Phelotrupes davidis", "Phelotrupes denticulatus", "Phelotrupes holzschuhi", "Phelotrupes imurai", "Phelotrupes indicus", "Phelotrupes jekeli", "Phelotrupes kachinensis", "Phelotrupes kerzhneri", "Phelotrupes kubani", "Phelotrupes lama", "Phelotrupes masumotoi", "Phelotrupes metallescens", "Phelotrupes nikolajevi", "Phelotrupes obscuratus", "Phelotrupes orientalis", "Phelotrupes smetanai", "Phelotrupes tsukamotoi", "Phelotrupes variolicollis", "Phelotrupes wrzecionkoi", "Phelotrupes yunnanensis", "Pseudotrypocopris amedei", "Sericotrupes niger", "Silphotrupes escorialensis", "Silphotrupes orocantabricus", "Silphotrupes punctatissimus", "Thorectes armifrons", "Thorectes asperifrons", "Thorectes banghaasi", "Thorectes baraudi", "Thorectes coiffaiti", "Thorectes coloni", "Thorectes demoflysi", "Thorectes distinctus", "Thorectes ferreri", "Thorectes geminatus", "Thorectes laevigatus", "Thorectes latus", "Thorectes lusitanicus", "Thorectes martensi", "Thorectes nepalensis", "Thorectes puncticollis", "Thorectes reflexus", "Thorectes shankara", "Thorectes stellosus", "Thorectes trituberculatus", "Thorectes valencianus", "Thorectes variolipennis", "Trypocopris inermis", "Trypocopris alpinus", "Trypocopris caspius", "Trypocopris fausti", "Trypocopris fulgidus", "Trypocopris pyrenaeus", "Trypocopris zaitzevi", "Typhaeus fossor", "Typhaeus lateridens", "Typhaeus typhoeoides", "Zuninoeus hoppei", "Corynophlaea umbellata", "Corynophlaea flaccida", "Corynophlaea crispa", "Corynophlaea cristata", "Corynophlaea cystophorae", "Corynophlaea globulifera", "Corynophlaea hamelii", "Corynophlaea verruculiformis", "Cylindrocarpus microscopicus", "Dalmatogloia bryozoi", "Citrobacter virus Moogle", "Citrobacter virus Mordin", "Delamarea attenuata", "Erwinia virus M7", "Escherichia virus SUSP1", "Escherichia virus SUSP2", "Escherichia virus HY02", "Escherichia virus TP1", "Dermatocelis laminariae", "Citrus chlorotic dwarf associated virus", "Mulberry mosaic dwarf associated virus", "Citrus leprosis virus C2", "Dictyosiphon foeniculaceus", "Postia amurensis", "Cladothele decaisnei", "Cladothele striarioides", "Clathrodiscus mandoulii", "Climacosorus mediterraneus", "Climacosorus pacificus", "Coelocladia arctica", "Coilodesme bulligera", "Coilodesme californica", "Coilodesme corrugata", "Coilodesme cystoseirae", "Coilodesme fucicola", "Coilodesme japonica", "Coilodesme plana", "Coilodesme polygnampta", "Coilodesme rigida", "Coilodesme sitchensis", "Xestia lehmanni", "Illacme tobini", "Amathes lehmanni", "Lethrus mithras", "Lethrus nikolajevi", "Lethrus obtritus", "Lethrus percutens", "Lethrus rosmarus", "Lethrus spinimanus", "Lethrus substriatus", "Lethrus sulcatus", "Lethrus tekkensis", "Lethrus tenuepunctus", "Lethrus tenuestriatus", "Lethrus acutangulus", "Lethrus baiocchii", "Lethrus sieversi", "Megatrupes cavicollis", "Megatrupes fisheri", "Mycotrupes cartwrighti", "Mycotrupes lethroides", "Mycotrupes pedester", "Mycotrupes retusus", "Odontotrypes bhutan", "Odontotrypes biconiferus", "Odontotrypes gogona", "Odontotrypes lassallei", "Odontotrypes orichalceus", "Odontotrypes tawangensis", "Odontotrypes cribripennis", "Odontotrypes densopunctatus", "Odontotrypes farkaci", "Odontotrypes fujiokai", "Odontotrypes glaber", "Odontotrypes kabaki", "Odontotrypes korolevi", "Odontotrypes mursini", "Odontotrypes semenowi", "Odontotrypes semirugosus", "Odontotrypes shokhini", "Odontotrypes slavek", "Odontotrypes tryznai", "Odontotrypes xue", "Odontotrypes arnaudi", "Odontotrypes baimaensis", "Odontotrypes balthasari", "Odontotrypes bimaculatus", "Odontotrypes cariosus", "Odontotrypes caverniferus", "Odontotrypes cicatricosus", "Odontotrypes davidiani", "Odontotrypes duplopunctatus", "Odontotrypes emei", "Odontotrypes gnom", "Odontotrypes gongga", "Odontotrypes haba", "Odontotrypes hayekae", "Odontotrypes howdeni", "Odontotrypes hubeicus", "Odontotrypes impressiusculus", "Odontotrypes jiuding", "Odontotrypes kabakovi", "Odontotrypes kalabi", "Odontotrypes karnali", "Odontotrypes kryzhanovskii", "Odontotrypes kucerai", "Odontotrypes lama", "Odontotrypes leptopterus", "Odontotrypes luguensis", "Odontotrypes maedai", "Odontotrypes medvedevi", "Odontotrypes meigu", "Odontotrypes meyomintang", "Odontotrypes mirek", "Odontotrypes paulusi", "Odontotrypes purpureiaeneus", "Odontotrypes purpureipunctatus", "Odontotrypes qinling", "Odontotrypes radiosus", "Odontotrypes roborowskyi", "Odontotrypes rufipes", "Odontotrypes rugososulcatus", "Odontotrypes sabde", "Odontotrypes satanas", "Odontotrypes semicribrosus", "Odontotrypes sichuanensis", "Odontotrypes szetshwanus", "Odontotrypes taurus", "Odontotrypes tibetanus", "Odontotrypes turnai", "Odontotrypes uenoi", "Odontotrypes yulong", "Odontotrypes zhongdianensis", "Onthotrupes guerreroensis", "Onthotrupes herbeus", "Onthotrupes lobatus", "Onthotrupes nebularum", "Onthotrupes onitidipes", "Onthotrupes pecki", "Onthotrupes sobrinus", "Onthotrupes viridiobscurus", "Peltotrupes profundus", "Peltotrupes youngi", "Phelotrupes bicolor", "Phelotrupes immarginatus", "Phelotrupes masudai", "Phelotrupes scutellatus", "Phelotrupes amethystinus", "Phelotrupes cambeforti", "Phelotrupes deuvei", "Phelotrupes formosanus", "Phelotrupes laevifrons", "Phelotrupes oshimanus", "Phelotrupes schoolmeestersi", "Phelotrupes subaeneus", "Phelotrupes tenuestriatus", "Phelotrupes annamiticus", "Phelotrupes armatus", "Phelotrupes belousovi", "Phelotrupes bolm", "Phelotrupes cheni", "Phelotrupes compressidens", "Phelotrupes hunanensis", "Phelotrupes insulanus", "Phelotrupes jendeki", "Phelotrupes oberthuri", "Phelotrupes strnadi", "Phelotrupes substriatellus", "Phelotrupes taiwanus", "Phelotrupes yangi", "Phelotrupes zhangi", "Chordaria dissessa", "Chordaria gracilis", "Chordaria linearis", "Chordaria magellanica", "Chordaria okhotskensis", "Empoasca convergens", "Empoasca dentata", "Empoasca constricta", "Empoasca diverta", "Empoasca arta", "Empoasca occidentalis", "Empoasca decora", "Empoasca venusta", "Empoasca falca", "Empoasca plebeia", "Empoasca torqua", "Empoasca unca", "Empoasca ratio", "Chukchia pedicellata", "Empoasca dilitara", "Chukchia endophytica", "Empoasca simplex", "Empoasca similis", "Cladochroa chnoosporiformis", "Physcidia carassensis", "Cladosiphon contortus", "Cladosiphon cylindricus", "Cladosiphon cymodoceae", "Cladosiphon filum", "Cladosiphon irregularis", "Cladosiphon lubricus", "Cladosiphon mauritianus", "Cladosiphon mediterraneus", "Cladosiphon novae-caledoniae", "Cladosiphon occidentalis", "Cladosiphon okamuranus", "Cladosiphon takenoensis", "Cladosiphon umezakii", "Cladosiphon vermicularis", "Cladosiphon zosterae", "Dictyosiphon chordaria", "Dictyosiphon ekmanii", "Dictyosiphon filiformis", "Dictyosiphon hirsutus", "Clostera anachoreta granulovirus", "Clostera anastomosis granulovirus A", "Clostera anastomosis granulovirus B", "Diatraea saccharalis granulovirus", "Epinotia aporema granulovirus", "Spodoptera litura granulovirus", "Dictyosiphon macounii", "Dictyosiphon sinicola", "Colocasia bobone disease-associated cytorhabdovirus", "Colombian potato soil-borne virus", "Cronobacter virus PBES02", "Pectobacterium virus phiTE", "Dictyosiphon tenuis", "Curionopolis curiovirus", "Iriri curiovirus", "Itacaiunas curiovirus", "Rochambeau curiovirus", "Currant latent virus", "Scoliciosporum albidulum", "Ectocarpidium pitraeanum", "Ectocarpidium caliacrae", "Scoliciosporum asserculorum", "Elachista scutulata", "Elachista australis", "Elachista antarctica", "Elachista chondrii", "Elachista claytoniae", "Elachista coccophorae", "Elachista falcata", "Elachista flaccida", "Elachista fucicola", "Elachista globulosa", "Elachista intermedia", "Pterostylis chaetophora", "Pterostylis cheraphila", "Pterostylis chlorogramma", "Scoliciosporum atrosanguineum", "Pterostylis chocolatina", "Pterostylis ciliata", "Pterostylis clavigera", "Pterostylis clivicola", "Pterostylis cobarensis", "Pterostylis coccina", "Pterostylis collina", "Pterostylis commutata", "Pterostylis concava", "Pterostylis concinna", "Pterostylis conferta", "Pterostylis crassa", "Pterostylis crassicaulis", "Scoliciosporum baggei", "Pterostylis crassichila", "Entonema penetrans", "Entonema tenuissimum", "Entonema subcorticale", "Entonema polycladum", "Scoliciosporum caesitium", "Pterostylis cucullata", "Pterostylis cycnocephala", "Eudesme virescens", "Scoliciosporum camptosporum", "Eudesme flavescens", "Eudesme huanghaiensis", "Eudesme qingdaoensis", "Diadromus pulchellus toursvirus", "Eudesme shandongensis", "Dolphin mastadenovirus A", "Dragonfly associated gemyduguivirus 1", "Pteropus associated gemykolovirus 1", "Pteropus associated gemykolovirus 2", "Rabbit associated gemykroznavirus 1", "Ostrich associated gemytondvirus 1", "Human associated gemyvongvirus 1", "Gordonia virus Demosthenes", "Gordonia virus Katyusha", "Gordonia virus Kvothe", "Edwardsiella virus eiAU", "Sphaerellothecium aerophilum", "Scoliciosporum corticola", "Sphaerellothecium reticulatum", "Edwardsiella virus KF1", "Pseudomonas virus KPP25", "Pseudomonas virus R18", "Edwardsiella virus MSW3", "Edwardsiella virus PEi21", "Enterobacter virus Eap3", "Klebsiella virus KP15", "Klebsiella virus KP27", "Klebsiella virus Matisse", "Klebsiella virus Miro", "Enterovirus I", "Elachista jabukae", "Elachista lindaueri", "Elachista meridionalis", "Elachista minutissima", "Elachista mollis", "Elachista neglecta", "Elachista nigra", "Elachista nipponica", "Elachista okamurae", "Elachista stellaris", "Elachista tenuis", "Elachista vellosa", "Elachista zosterae", "Compsonema chordae", "Compsonema coccophorae", "Compsonema coniferum", "Compsonema densum", "Compsonema dictyotoides", "Compsonema dubium", "Compsonema fasciculatum", "Compsonema fructuosum", "Compsonema immixtum", "Compsonema intercalare", "Compsonema intricatum", "Compsonema microspongium", "Compsonema minutum", "Compsonema oblongum", "Compsonema saxicola", "Compsonema serpens", "Compsonema sessile", "Compsonema sporangiiferum", "Compsonema tenue", "Compsonema wistariense", "Eremoryzomys mesocaudis", "Elachistiella leptonematoides", "Elachistiella endarachnae", "Endodictyon infestans", "Acanthovalgus furcifer", "Acanthovalgus javanicus", "Acanthovalgus marquardi", "Acanthovalgus peninsularis", "Acanthovalgus uniformis", "Acrothyrea amoenus", "Acrothyrea cincticollis", "Acrothyrea nudipes", "Acrothyrea rufofemorata", "Acrothyrea scintillans", "Aethiessa feralis", "Aethiessa floralis", "Aethiessa martini", "Aethiessa mesopotamica", "Aethiessa rugipennis", "Aethiessa szekessyi", "Agestrata alexisi", "Agestrata amakerei", "Agestrata antoinei", "Agestrata arnaudi", "Agestrata boudanti", "Agestrata dehaan", "Agestrata luconica", "Agestrata orichalca", "Agestrata parryi", "Agestrata philipchewi", "Agestrata punctatostriata", "Agestrata semperi", "Agestrata ultramarina", "Agnorimus masumotoi", "Agnorimus pictus", "Alleucosma affinis", "Alleucosma albosparsa", "Alleucosma duvivieri", "Alleucosma orientalis", "Alleucosma ruteri", "Alleucosma tshuapana", "Alleucosma vidua", "Alleucosma oremansi", "Alleucosma simillima", "Alleucosma viridula", "Allorrhina carmelita", "Allorrhina cincta", "Allorrhina denotata", "Allorrhina menetriesi", "Allorrhina nickerli", "Allorrhina nigerrima", "Allorrhina scabriuscula", "Allorrhina soror", "Allorrhina tridentata", "Amaurina bourgoini", "Amaurina opacipennis", "Amaurina ruteri", "Amaurina spoliata", "Amaurina vittipennis", "Amazula revoili", "Amazula suavis", "Amithao albopictus", "Amithao anthracinus", "Amithao cavifrons", "Amithao decemguttatus", "Amithao erythropus", "Amithao haematopus", "Amithao incertus", "Amithao lafertei", "Amithao marginicollis", "Amithao metallicus", "Amithao pyrrhonotus", "Amithao staudingeri", "Amithao tristis", "Anacamptorrhina concolor", "Anacamptorrhina corrusca", "Anacamptorrhina fulgida", "Anacamptorrhina ignipes", "Anagnathocera dispar", "Analleucosma allardi", "Analleucosma rubidocincta", "Analleucosma uelensis", "Anatona alboguttata", "Anatona castanoptera", "Anatona selousi", "Anatona stillata", "Anatonochilus angulicollis", "Anatonochilus platycephalus", "Anatonochilus pletus", "Anatonochilus rugosus", "Anelaphinis allardi", "Anelaphinis bourgoini", "Anelaphinis breviceps", "Anelaphinis dominula", "Anelaphinis maritima", "Anelaphinis pauliani", "Anelaphinis similis", "Anisorrhina algoensis", "Anisorrhina conradsi", "Anisorrhina elongata", "Anisorrhina exilis", "Anisorrhina jocquei", "Anisorrhina manowensis", "Anisorrhina murphyi", "Anisorrhina roggemani", "Anisorrhina scheini", "Anisorrhina soror", "Anisorrhina touroulti", "Anisorrhina umbonata", "Anisorrhina bouyeri", "Anisorrhina flavomaculata", "Anisorrhina flavoplagiata", "Anisorrhina hassoni", "Anisorrhina laevicauda", "Anisorrhina laeviplaga", "Anisorrhina palliata", "Anisorrhina serripes", "Anochilia bifida", "Anochilia flacourti", "Anochilia flavipennis", "Anochilia frobervillei", "Anochilia hydrophiloides", "Anochilia incilis", "Anochilia laevigata", "Anochilia laterivirens", "Anochilia moffartsi", "Anochilia nitida", "Anochilia picipes", "Anochilia punctulicollis", "Anochilia ruficollis", "Anochilia rufipes", "Anochilia scapularis", "Anochilia viossati", "Anochilia vitticollis", "Anocoela ebena", "Anoplocheilus werneri", "Anoplocheilus silvicola", "Anoplocheilus namibicus", "Anoplocheilus figuratus", "Anoplocheilus germari", "Anoplocheilus globosus", "Anoplocheilus matilei", "Anoplocheilus punctatissimus", "Anoplocheilus rusticus", "Anoplocheilus variabilis", "Anthracophora gigantea", "Anthracophora vietnamica", "Anthracophora dalmanni", "Anthracophora eddai", "Anthracophora rusticola", "Anthracophora borneensis", "Anthracophora bufo", "Anthracophora crucifera", "Anthracophora philippinica", "Anthracophora scheepmakeri", "Anthracophora siamensis", "Anthracophorides capeneri", "Anthracophorides maculata", "Apeltastes chiapasensis", "Apeltastes elongatus", "Aphanesthes pullata", "Aphanesthes succinea", "Aphanesthes trapezifera", "Aphelinis clypealis", "Aphelinis collarti", "Aphelinis desfontainei", "Aphelinis krikkeni", "Aphelinis xanthosternon", "Apocnosis striata", "Apocnosoides jeanneli", "Apocnosoides lizleri", "Aporecolpa nigra", "Archedinus howdeni", "Archedinus relictus", "Argyripa anomala", "Argyripa lansbergei", "Argyripa moroni", "Argyripa porioni", "Argyripa subfasciata", "Arielina collaris", "Arielina lamottei", "Arielina peringueyi", "Arielina squamiger", "Arielina strigifrons", "Aspilochilus allardi", "Aspilus angustatus", "Aspilus callewaerti", "Aspilus corniger", "Aspilus crassipes", "Aspilus diversus", "Aspilus dupeyi", "Aspilus gambiensis", "Aspilus joveri", "Aspilus lamottei", "Aspilus leoninus", "Aspilus marginatus", "Aspilus minutus", "Aspilus pilosus", "Aspilus schoutedeni", "Aspilus setosus", "Aspilus tomicoides", "Astenorella leonina", "Asthenorhina buchholzi", "Asthenorhina dohrni", "Asthenorhina perbeti", "Asthenorhina stanleyana", "Asthenorhina turneri", "Astoxenus amicus", "Astoxenus collarti", "Astoxenus dilaticollis", "Astoxenus longicollis", "Astoxenus vaneyeni", "Astoxenus vestitus", "Astroscara flavoradiata", "Atrichelaphinis bjornstadi", "Atrichelaphinis bomboesbergica", "Atrichelaphinis deplanata", "Atrichelaphinis garnieri", "Atrichelaphinis rhodesiana", "Atrichelaphinis simillima", "Atrichelaphinis sternalis", "Atrichelaphinis vermiculata", "Atrichelaphinis nigra", "Atrichelaphinis quadripunctata", "Atrichelaphinis sexualis", "Atrichelaphinis nigropunctulata", "Atrichelaphinis tigrina", "Atrichiana jenisi", "Atrichiana placida", "Bacchusia eximia", "Badelina aterrima", "Badelina pygidialis", "Badizoblax cervinus", "Balsameda adspersa", "Balsameda monzoni", "Balsameda porioni", "Balsameda pulverulenta", "Basilewskynia hayekae", "Basilewskynia muelleri", "Basilewskynia touroulti", "Bietia barclayi", "Bietia minima", "Bietia naxiorum", "Giraudya sphacelarioides", "Giraudya robusta", "Gononema pectinatum", "Gononema ramosum", "Halonema subsimplex", "Eosolenobia grisea", "Ascochyta astragalina", "Halorhipis winstonii", "Eosolenobia mannii", "Solenobia mannii", "Erwinia virus Deimos", "Erwinia virus Ea35-70", "Erwinia virus RAY", "Erwinia virus Simmy50", "Erwinia virus SpecialG", "Solenobia suifunella", "Halorhiza vaga", "Erwinia virus Ea9-2", "Erwinia virus Frozen", "Platysternon megacephalum megacephalum", "Escherichia virus 172-1", "Escherichia virus 24B", "Escherichia virus 933W", "Escherichia virus Min27", "Escherichia virus PA28", "Escherichia virus Stx2 II", "Halothrix lumbricalis", "Shigella virus 7502Stx", "Shigella virus POCJ13", "Escherichia virus 191", "Escherichia virus PA2", "Escherichia virus TL2011", "Shigella virus VASD", "Escherichia virus C119", "Halothrix ambigua", "Escherichia virus EK99P1", "Escherichia virus YD2008s", "Escherichia virus HY01", "Escherichia virus JMPW1", "Escherichia virus JMPW2", "Halothrix tortuosa", "Escherichia virus JSE", "Halothrix ephemeralis", "Halothrix sadoensis", "Escherichia virus K30", "Klebsiella virus K5", "Klebsiella virus K11", "Klebsiella virus Kp1", "Klebsiella virus KP32", "Klebsiella virus KpV289", "Hamelella dermonematis", "Xanthomonas virus f20", "Xanthomonas virus f30", "Xylella virus Prado", "Hamelella geminifructa", "Escherichia virus QL01", "Escherichia virus slur09", "Salmonella virus 118970sal2", "Ethiopian tobacco bushy top virus", "Opium poppy mosaic virus", "Haplogloia andersonii", "Gray Lodge hapavirus", "Hart Park hapavirus", "Joinjakaka hapavirus", "Kamese hapavirus", "La Joya hapavirus", "Landjia hapavirus", "Manitoba hapavirus", "Marco hapavirus", "Mosqueiro hapavirus", "Mossuril hapavirus", "Ord River hapavirus", "Bietia rudicollis", "Bietia simillima", "Bisallardiana antoinei", "Bisallardiana bacchusi", "Bisallardiana decorticata", "Bisallardiana gymnopleura", "Bisallardiana marginicollis", "Bisallardiana obscura", "Bisallardiana philippei", "Bisallardiana rugicollis", "Bisallardiana variabilis", "Bivalgus harmandi", "Blaesia atra", "Blaesia subrugosa", "Bombodes dejeani", "Bombodes latimaculata", "Bombodes nigellus", "Bombodes tangi", "Bombodes ursus", "Bombodes vitalisi", "Bombodes westwoodi", "Bonoraella vadoni", "Bothrorrhina ochreata", "Bothrorrhina perrieri", "Bothrorrhina radama", "Bothrorrhina reflexa", "Bothrorrhina rolandi", "Bothrorrhina rufonasuta", "Bothrorrhina ruteri", "Brachagenius lugubris", "Brachagenius oculatus", "Brachagenius pictipennis", "Brachymacroma emarginicollis", "Brachymacroma rufithorax", "Bricoptis laevicollis", "Bricoptis marginicollis", "Bricoptis parumpunctata", "Bricoptis plumipes", "Bricoptis rufescens", "Bricoptis variolosa", "Caelorrhina albini", "Caelorrhina angolensis", "Caelorrhina babaulti", "Caelorrhina barthi", "Caelorrhina concolor", "Caelorrhina gracilipes", "Caelorrhina kolbei", "Caelorrhina relucens", "Caelorrhina semiviridis", "Caelorrhina superba", "Caelorrhina thoreyi", "Callipechis flavipes", "Callophylla costata", "Callophylla lamottei", "Callynomes apo", "Callynomes fujiokai", "Callynomes luzonica", "Callynomes minettii", "Callynomes niveoguttata", "Callynomes niveosparsa", "Callynomes palawanicus", "Calometopidius cavellae", "Calometopus aranciatus", "Calometopus aureipennis", "Calometopus ducarmei", "Calometopus gracilipes", "Calometopus hirsutus", "Calometopus hollisi", "Calometopus kamerunensis", "Calometopus legrandi", "Calometopus limbatipennis", "Calometopus lineosus", "Calometopus luridus", "Calometopus lusitaniae", "Calometopus modestus", "Calometopus nigerrimus", "Calometopus nyassae", "Calometopus obscuratus", "Calometopus overlaeti", "Calometopus planatus", "Calometopus rufus", "Calometopus senegalensis", "Calometopus similis", "Calometopus transparens", "Calometopus unicolor", "Camapterus oweni", "Campsiura gloriosa", "Campsiura insignis", "Campsiura superba", "Campsiura bilineata", "Campsiura javanica", "Campsiura lijingkei", "Campsiura mirabilis", "Campsiura nigripennis", "Campsiura omisiena", "Campsiura abyssinica", "Campsiura angolensis", "Campsiura camarunica", "Campsiura circe", "Campsiura cognata", "Campsiura congoensis", "Campsiura exclamationis", "Campsiura graueri", "Campsiura kerleyi", "Campsiura lutescens", "Campsiura pavlae", "Campsiura reflexa", "Campsiura scutellaris", "Campsiura scutellata", "Campsiura trivittata", "Campsiura celebensis", "Campsiura feistmanteli", "Campsiura flavoguttata", "Campsiura melanopus", "Campsiura oberthuri", "Campsiura ochreipennis", "Campsiura triguttulata", "Campsiura xanthorhina", "Campulipes tabaccoi", "Campulipus clavus", "Campulipus limbatus", "Campulipus nigritulus", "Campulipus nobilis", "Breviclypeus plagosus", "Campulipus rufipennis", "Campulipus simulator", "Campulipus suturalis", "Carneluttia rufofasciata", "Celidota decorsei", "Celidota meridionalis", "Celidota parvula", "Celidota seyrigi", "Celidota sibling", "Celidota splendens", "Celidota stephens", "Celidota subfasciata", "Celidotella matthiesseni", "Centrantyx digennaroi", "Centrantyx milishai", "Centrantyx mohamedi", "Centrantyx rougeoti", "Centrantyx nitidus", "Centrantyx obscuripes", "Centrantyx clarkei", "Centrantyx fairmairei", "Centrantyx laevicollis", "Centrantyx raffrayi", "Centrantyx tibialis", "Centrochilus howdeni", "Centrognathus bimaculatus", "Centrognathus subrugosus", "Centrognathus sumatranus", "Cetonia angulicollis", "Cetonia chinensis", "Cetonia filchnerae", "Cetonia kolbei", "Cetonia magnifica", "Cetonia pakistanica", "Cetonia pilifera", "Cetonia pililineata", "Cetonia prasinata", "Cetonia pygidionotis", "Cetonia roelofsi", "Cetonia sakaii", "Cetonia sichuana", "Cetonia viridiopaca", "Cetonia bensoni", "Cetonia laeviventris", "Cetonia philippeantoinei", "Cetonia rhododendri", "Cetonia rutilans", "Cetonia sehnali", "Cetonia vetusta", "Cetonia wrzecionkoi", "Cetonia annamitica", "Cetonia aeratula", "Cetonia asiatica", "Cetonia carthami", "Cetonia delagrangei", "Cetonia funeraria", "Cetonia kemali", "Cetonia sexguttata", "Cetonia viridescens", "Chaetodermina setosa", "Chaetovalgus fulvosetosus", "Chalcopharis coleopteresdumondei", "Chalcopharis hoyoisi", "Chalcopharis lansbergei", "Chalcopharis nigroaenea", "Chalcothea affinis", "Chalcothea fruhstorferi", "Chalcothea resplendens", "Chalcothea smaragdina", "Chalcothea sumatrana", "Chrysina chalcothea", "Chalcotheomima laevis", "Chalcotheomima macrophylla", "Charadronota acutangula", "Charadronota eximia", "Charadronota pectoralis", "Charadronota quadrisignata", "Charadronota schiltzi", "Charadronota soror", "Charitovalgus andamanicus", "Charitovalgus bufo", "Charitovalgus croesus", "Charitovalgus doriae", "Charitovalgus formosanus", "Charitovalgus keysseri", "Charitovalgus longulus", "Charitovalgus pulcher", "Charitovalgus scorpio", "Charitovalgus vermeulenae", "Cheirolasia burkei", "Chewia miniata", "Chiloloba acuta", "Chiriquibia insignis", "Chloresthia clypeata", "Chlorixanthe chapini", "Chlorixanthe flavoviridis", "Chlorobapta bestii", "Chlorobapta frontalis", "Chlorobapta goerlingi", "Chlorobapta hirtipes", "Chlorobapta tibialis", "Chlorocala affinis", "Chlorocala africana", "Chlorocala cinctipennis", "Chlorocala conjux", "Chlorocala guerini", "Chlorocala hypoxantha", "Chlorocala inermis", "Chlorocala monoceros", "Chlorocala nigricollis", "Chlorocala similis", "Chlorocala smaragdina", "Chlorocala suturalis", "Chlorocala viridicyanea", "Chondropyga allardi", "Chondropyga dorsalis", "Chondropyga frenchi", "Chondropyga gulosa", "Chondropyga insignicosta", "Chondropyga olliffiana", "Chondropyga suturata", "Chondrorrhina inexspectata", "Chondrorrhina mediana", "Chondrorrhina picina", "Chondrorrhina abbreviata", "Chondrorrhina collinsi", "Chondrorrhina distincta", "Chondrorrhina picturata", "Chondrorrhina specularis", "Chondrorrhina trivittata", "Chromoptilia attenuata", "Coelocorynus abessynica", "Coelocorynus alatus", "Coelocorynus baleensis", "Coelocorynus clarkei", "Coelocorynus darwinianus", "Coelocorynus debeckeri", "Coelocorynus decellei", "Coelocorynus dechambrei", "Coelocorynus desfontainei", "Coelocorynus digennaroi", "Coelocorynus elgonensis", "Coelocorynus emalianus", "Coelocorynus hiermeieri", "Coelocorynus milishai", "Coelocorynus minettii", "Coelocorynus muhi", "Coelocorynus opacicauda", "Coelocorynus runsoricus", "Coelocorynus ruteri", "Coelocorynus wallacei", "Coelocorynus werneri", "Coelocratus rufipennis", "Coenochilus acutipes", "Coenochilus agymsibanus", "Coenochilus angolensis", "Coenochilus apicalis", "Coenochilus appendiculatus", "Coenochilus armiger", "Coenochilus arrowi", "Coenochilus assmuthi", "Coenochilus basilewskyi", "Coenochilus bicarinatus", "Coenochilus bifoveolatus", "Coenochilus brunneus", "Coenochilus calcaratus", "Coenochilus campbelli", "Coenochilus carinatus", "Coenochilus carinipes", "Coenochilus castaneus", "Coenochilus celebensis", "Coenochilus clinteroceroides", "Coenochilus conradti", "Coenochilus costipennis", "Coenochilus curtipes", "Coenochilus delkeskampi", "Coenochilus denticrus", "Coenochilus dollmani", "Coenochilus drescheri", "Coenochilus emarginatus", "Coenochilus freudei", "Coenochilus garnieri", "Coenochilus glabratus", "Coenochilus glabripennis", "Coenochilus gracilipes", "Coenochilus haberaeckeri", "Coenochilus hervillardi", "Coenochilus hospes", "Coenochilus impressus", "Coenochilus javanicus", "Coenochilus kamerunensis", "Coenochilus kolbei", "Coenochilus latus", "Coenochilus lecossoisi", "Coenochilus legrandi", "Coenochilus leopoldi", "Coenochilus leveillei", "Coenochilus maurus", "Coenochilus mayidianus", "Coenochilus mirei", "Coenochilus niloticus", "Coenochilus nitidus", "Coenochilus obesus", "Coenochilus obscuratus", "Coenochilus obscurus", "Coenochilus parrianus", "Coenochilus phongi", "Coenochilus planipennis", "Coenochilus procerus", "Coenochilus propinquus", "Coenochilus propygidialis", "Coenochilus punctipennis", "Coenochilus pygidialis", "Coenochilus rectangulus", "Coenochilus regalis", "Coenochilus rhodesianus", "Coenochilus ruteri", "Coenochilus senegalensis", "Coenochilus similis", "Coenochilus sinuaticollis", "Coenochilus solidus", "Coenochilus striatipennis", "Coenochilus striatus", "Coenochilus strigatus", "Coenochilus sulcatus", "Coenochilus sumatranus", "Coenochilus taprobanicus", "Coenochilus thailandicus", "Coenochilus togoensis", "Coenochilus tonkinensis", "Coenochilus tuberculatus", "Coenochilus tuberculicollis", "Coenochilus turbatus", "Coenochilus uncinatipes", "Coenochilus ventricosus", "Chalcides armitagei", "Hylobates funereus", "Cyrtodactylus tambora", "Cyrtodactylus petani", "Cyrtodactylus rosichonariefi", "Pangasius djambal", "Pangasius kunyit", "Flabellonema codii", "Tarbinskiellus portentosus", "Fosliea curta", "Clinteria fujiokai", "Clinteria hearseiana", "Clinteria hoffmeisteri", "Clinteria imperialis", "Clinteria jansoni", "Clinteria jirouxi", "Clinteria kaorusakaii", "Clinteria keiseri", "Clinteria klugi", "Clinteria krajciki", "Clinteria laotica", "Clinteria liewi", "Clinteria magna", "Clinteria moae", "Clinteria moerens", "Clinteria moultoni", "Clinteria nepalensis", "Clinteria nigra", "Clinteria pantherina", "Clinteria sakaii", "Clinteria setulosa", "Clinteria sexpustulata", "Clinteria spilota", "Clinteria spuria", "Clinteria sternalis", "Clinteria surenderi", "Clinteria tetraspilota", "Clinteria tosevski", "Clinteria viridiaurata", "Clinteria viridissima", "Clinteria vittigera", "Clinteria wongi", "Clinteria yunnana", "Clinterocera anthracina", "Clinterocera bicolor", "Clinterocera borneensis", "Clinterocera cervenkai", "Clinterocera cyprilrusi", "Clinterocera davidis", "Clinterocera discipennis", "Clinterocera heinrichi", "Clinterocera ishikawai", "Clinterocera jucunda", "Clinterocera opaca", "Clinterocera pilifer", "Clinterocera pusilla", "Clinterocera raui", "Clinterocera scabrosa", "Clinterocera spondylidea", "Clinterocera trimaculata", "Clinterocera tuberculata", "Clinterocera vollenhoveni", "Clinterocera yunnana", "Clinteroides cariosa", "Clinteroides hirta", "Clinteroides lachaumei", "Clinteroides ornatipennis", "Clinteroides permutans", "Clinteroides usambarica", "Clinteroides werneri", "Clithria albersi", "Clithria bacchusi", "Clithria eucnemis", "Clithria tibiale", "Chromoptilia biobliqua", "Chromoptilia diversipes", "Chromoptilia longethorax", "Chromoptilia melanocosma", "Chromoptilia minor", "Chromoptilia multiguttata", "Chromoptilia nickerli", "Chromoptilia perrieri", "Chromoptilia perrieroides", "Chromovalgus klapperichi", "Chromovalgus peyroni", "Chthonobius anomalum", "Chthonobius burmeisteri", "Chthonobius conspersus", "Clastocnemis colini", "Clastocnemis distinctus", "Clastocnemis mirei", "Clastocnemis muelleri", "Clastocnemis quadrimaculatus", "Clastocnemis simulus", "Clerota arnaudi", "Clerota arrowi", "Clerota bodhisattva", "Clerota bourgoini", "Clerota brahma", "Clerota budda", "Clerota castaneipennis", "Clerota distincta", "Clerota dixoni", "Clerota jansoni", "Clerota jeanvoinei", "Clerota melanopteroides", "Clerota ornata", "Clerota parvula", "Clerota rigifica", "Clerota rodriguezi", "Clerota shiva", "Clerota sticheri", "Clerota tenasserimensis", "Clerota vietnamica", "Clerota vitalisi", "Clerota vittigera", "Clinteria jimlii", "Clinteria alboguttata", "Clinteria alexisi", "Clinteria arunachala", "Clinteria arunchala", "Clinteria atra", "Clinteria baliensis", "Clinteria baolocensis", "Clinteria belli", "Clinteria buffeventi", "Clinteria caliginosa", "Clinteria ceylonensis", "Clinteria chloronota", "Clinteria cinctipennis", "Clinteria coerulea", "Clinteria confinis", "Clinteria dimorpha", "Clinteria ducalis", "Clinteria flavonotata", "Clinteria flora", "Clinteria fraterna", "Clinteria freneyi", "Parry Creek hapavirus", "Grapevine red blotch virus", "Platysternon megacephalum peguense", "Haplogloia kuckuckii", "Haplogloia kurilensis", "Haplogloia moniliformis", "Platysternon megacephalum shiui", "Phyllosticta korthalsellae", "Scoliciosporum doriae", "Heterophycus balticus", "Heterophycus plumosus", "Heterosaundersella hattoriana", "Hummia onusta", "Isthmoplea sphaerophora", "Scoliciosporum holomelaeum", "Ocotea floribunda", "Isthmoplea rupincola", "Dichocarpum trachyspermum", "Hylobates abbotti", "Kuetzingiella battersii", "Kuetzingiella maculans", "Kuetzingiella elachistaeformis", "Kuetzingiella holmesii", "Pterostylis obtusa", "Kurogiella saxatilis", "Hecatonema terminale", "Pterostylis elegans", "Typhlozuphium humicolum", "Typhlozuphium longipenne", "Pterostylis elegantissima", "Pterostylis erecta", "Pterostylis erubescens", "Pterostylis erythroconcha", "Pterostylis exalla", "Pterostylis excelsa", "Pentagonica palawanica", "Pterostylis exserta", "Pentagonica rufonigra", "Pentagonica nigroantennata", "Pterostylis extranea", "Pentagonica baliensis", "Pterostylis falcata", "Pentagonica reticulata", "Pentagonica novoirlandica", "Pentagonica minuta", "Pentagonica polita", "Gordonia virus Bachita", "Gordonia virus ClubL", "Gordonia virus OneUp", "Gordonia virus Smoothie", "Gordonia virus Soups", "Pentagonica kyushuensis", "Gordonia virus GordTnk2", "Paenibacillus virus Harrison", "Pentagonica szetschuana", "Pterostylis daintreana", "Laminariocolax tomentosoides", "Pterostylis decurva", "Laminariocolax aecidioides", "Pterostylis depauperata", "Laminariocolax eckloniae", "Laminariocolax macrocystis", "Pterostylis despectans", "Laminariocolax draparnaldioides", "Pterostylis dilatata", "Pterostylis diminuta", "Laminarionema elsbetiae", "Pterostylis dubia", "Leathesia baltica", "Leathesia cervicornis", "Leathesia crassipilosa", "Leathesia difformioides", "Leathesia globosa", "Leathesia intermedia", "Leathesia marina", "Leathesia monilicellulata", "Leathesia mucosa", "Leathesia novae-zelandiae", "Leathesia primaria", "Leathesia sadoensis", "Leathesia saxicola", "Leathesia yezoensis", "Hecatonema aequale", "Hecatonema aggregatum", "Hecatonema dispar", "Hecatonema enhali", "Hecatonema floridanum", "Hecatonema lawsonii", "Hecatonema liagorae", "Hecatonema primarium", "Hecatonema sargassicola", "Hecatonema stewartense", "Hecatonema streblonematoides", "Lueckingia polyspora", "Hincksia acutoramulis", "Hincksia alvearia", "Hincksia andamanensis", "Hincksia bhimlipatnamensis", "Hincksia bryantii", "Hincksia clavata", "Hincksia conifera", "Hincksia dalmatica", "Hincksia fenestrata", "Hincksia fuscata", "Hincksia geniculata", "Hincksia ghardaqaensis", "Hincksia granulosa", "Hincksia hainensis", "Hincksia hauckii", "Hincksia hincksiae", "Hincksia hnanhaiensis", "Hincksia misrae", "Hincksia nizamuddinii", "Hincksia onslowensis", "Hincksia ovata", "Hincksia prolifera", "Hincksia propagulifera", "Hincksia sandriana", "Hincksia saundersii", "Hincksia secunda", "Hincksia sordida", "Hincksia terminalis", "Hincksia thyrsoidea", "Hincksia vanbosseae", "Hincksia zhejiangensis", "Pterostylis ferruginea", "Pterostylis fischii", "Paenibacillus virus Vegas", "Gordonia virus Vendetta", "Mycobacterium virus Wildcat", "Pterostylis flavovirens", "Gordonia virus Hotorobo", "Gordonia virus Monty", "Gordonia virus Woes", "Streptomyces virus TP1604", "Streptomyces virus YDN12", "Pterostylis frenchii", "Pterostylis furcata", "Scoliciosporum jasonhurii", "Haloarcula virus HCIV1", "Harkavirus A", "Nettorhamphos radula", "Sipia palliata", "Leblondiella densa", "Leptonematella fasciculata", "Leptonematella falklandica", "Levringia natalensis", "Levringia atlantica", "Levringia boergesenii", "Levringia filiformis", "Levringia sordida", "Levringia brasiliensis", "Levringia decaryi", "Helicobacter virus 1961P", "Helicobacter virus KHP30", "Helicobacter virus KHP40", "Liebmannia leveillei", "Hepacivirus A", "Hepacivirus B", "Hepacivirus D", "Liebmannia laccadivarum", "Hepacivirus E", "Hepacivirus F", "Hepacivirus G", "Hepacivirus H", "Hepacivirus I", "Hepacivirus J", "Hepacivirus K", "Hepacivirus L", "Hepacivirus M", "Hepacivirus N", "Pegivirus C", "Pegivirus D", "Pegivirus E", "Pegivirus F", "Pegivirus G", "Pegivirus H", "Pegivirus I", "Pegivirus J", "Pegivirus K", "Hepatovirus B", "Hepatovirus C", "Hepatovirus D", "Hepatovirus E", "Hepatovirus F", "Hepatovirus G", "Hepatovirus H", "Hepatovirus I", "Litosiphon laminariae", "Melanosiphon intestinalis", "Melastictis desmarestiae", "Mesogloia lanosa", "Mesogloia mediterranea", "Scoliciosporum molle", "Scoliciosporum ophiosporum", "Lizard atadenovirus A", "Psittacine atadenovirus A", "Loei River mammarenavirus", "Solwezi mammarenavirus", "Mammalian 2 orthobornavirus", "Pterostylis gibbosa", "Pterostylis glebosa", "Pterostylis glyphida", "Pterostylis grandiflora", "Scoliciosporum pezizoideum", "Hafferia zeledoni", "Mesogloia vermiculata", "Mesogloiopsis tasmanica", "Microcoryne ocellata", "Phradis basalis", "Phradis brevicauda", "Phradis coriaceus", "Phradis curvicauda", "Phradis flavicoxa", "Phradis flavipes", "Phradis longicauda", "Microspongium globosum", "Phradis minor", "Phradis nigricoxa", "Phradis nitidipleuris", "Phradis nitidus", "Phradis punctatus", "Phradis rarus", "Phradis striatus", "Phradis sulcator", "Microspongium stilophorae", "Phradis tenuicauda", "Phradis texanus", "Microspongium alariae", "Microspongium radians", "Microspongium immersum", "Microspongium kuckuckianum", "Mikrosyphar polysiphoniae", "Mikrosyphar porphyrae", "Mikrosyphar zosterae", "Mikrosyphar pachymeniae", "Mikrosyphar sphacelariae", "Monosiphon caspius", "Allophroides flavilabris", "Allophroides granulatus", "Allophroides laevipleuris", "Allophroides obscurus", "Allophroides salicicola", "Allophroides tenuicauda", "Gelanes brevicornis", "Valencia robertae", "Gelanes clavicornis", "Gelanes flavopictus", "Gelanes frontalis", "Scoliciosporum lecideoides", "Influenzavirus D", "Influenza D virus", "Jasmine virus T", "Lettuce Italian necrotic virus", "Zucchini shoestring virus", "Jembrana disease virus", "Microtus arvalis polyomavirus 1", "Pan troglodytes polyomavirus 8", "Mischivirus B", "Mischivirus C", "Mulberry badnavirus 1", "Yacon necrotic mottle virus", "Taro bacilliform CH virus", "Streptomyces virus phiHau3", "Streptomyces virus Amela", "Streptomyces virus phiCAM", "Scoliciosporum tenax", "Streptomyces virus ELB20", "Streptomyces virus R4", "Streptomyces virus Aaronocolus", "Streptomyces virus Caliburn", "Streptomyces virus Danzina", "Streptomyces virus Hydra", "Streptomyces virus Izzy", "Streptomyces virus Lannister", "Streptomyces virus Lika", "Streptomyces virus Sujidade", "Streptomyces virus Zemlya", "Mycobacterium virus Baee", "Kimberley ephemerovirus", "Koolpinyah ephemerovirus", "Klamath tupavirus", "Myriactula arabica", "Myriactula areschougii", "Myriactula caespitosa", "Myriactula chordae", "Myriactula clandestina", "Myriactula elongata", "Klebsiella virus JD18", "Myriactula filiformis", "Klebsiella virus PKO111", "Myriactula fucorum", "Myriactula gabrielsonii", "Myriactula gracilariae", "Myriactula gracilis", "Myriactula haydenii", "Myriactula inquilina", "Myriactula johnstonii", "Myriactula marchantiae", "Myriactula minor", "Myriactula oxalifera", "Myriactula pulvinata", "Myriactula pusilla", "Myriactula rigida", "Myriactula rivulariae", "Myriactula rosarioides", "Myriactula sargassi", "Myriactula saromaensis", "Myriactula stellulata", "Myriactula vlastae", "Klebsiella virus KLPN1", "Klebsiella virus PKP126", "Klebsiella virus Sushi", "Klebsiella virus Kp2", "Klebsiella virus KpV41", "Klebsiella virus KpV71", "Klebsiella virus KpV475", "Lactobacillus virus Ld3", "Lactobacillus virus Ld17", "Lactobacillus virus Ld25A", "Lactobacillus virus phiLdb", "Scoliciosporum lividum", "Pterostylis hispidula", "Scoliciosporum villae-latii", "Pterostylis incognita", "Pterostylis insectifera", "Pterostylis jacksonii", "Prosopocoilus wemckeni", "Pterostylis jonesii", "Scoliciosporum vouauxii", "Pterostylis karri", "Pterostylis laxa", "Pterostylis lepida", "Pterostylis leptochila", "Pterostylis lineata", "Pterostylis lingua", "Pterostylis littoralis", "Pterostylis loganii", "Mycobacterium virus Reprobate", "Mycobacterium virus Adawi", "Mycobacterium virus Bane1", "Mycobacterium virus BrownCNA", "Mycobacterium virus JAMaL", "Mycobacterium virus Vincenzo", "Mycobacterium virus Bernardo", "Mycobacterium virus Godines", "Mycobacterium virus Apizium", "Mycobacterium virus Manad", "Mycobacterium virus Osmaximus", "Mycobacterium virus Soto", "Mycobacterium virus Suffolk", "Mycobacterium virus Brusacoram", "Mycobacterium virus Donovan", "Mycobacterium virus Fishburne", "Mycobacterium virus Malithi", "Mycobacterium virus Phayonce", "Cuora pani pani", "Mycobacterium virus Alice", "Mycobacterium virus Bxz1", "Mycobacterium virus Dandelion", "Mycobacterium virus HyRo", "Mycobacterium virus Nappy", "Mycobacterium virus Sebata", "Myriocladia lovenii", "Myriocladia capensis", "Myriocladia ekmanii", "Myriocladia tomentosa", "Myrionemopsis prostrata", "Mycobacterium virus Bernal13", "Scoliciosporum tenerum", "Clinteria malayensis", "Mycobacterium virus Gaia", "Mycobacterium virus Giles", "Mycobacterium virus Marvin", "Mycobacterium virus Mosmoris", "Mycobacterium virus Papyrus", "Mycobacterium virus Send513", "Myodes glareolus polyomavirus 1", "Nectarine marafivirus M", "Nonlabens virus P12024L", "Nonlabens virus P12024S", "Solenopsis invicta virus 3", "Nylanderia fulva virus 1", "Orthopteran densovirus 1", "Paenibacillus virus Willow", "Parechovirus C", "Parechovirus D", "Parrot hepatitis B virus", "Penguin siadenovirus A", "Persimmon virus B", "Platyrrhini mastadenovirus A", "Simian mastadenovirus D", "Simian mastadenovirus E", "Simian mastadenovirus F", "Simian mastadenovirus G", "Simian mastadenovirus H", "Skunk mastadenovirus A", "Pterostylis hadra", "Plumeria mosaic virus", "Tomato brown rugose fruit virus", "Pterostylis hamata", "Polaribacter virus P12002L", "Polaribacter virus P12002S", "Pomona bat hepatitis B virus", "Pterostylis hamiltonii", "Pterostylis hians", "Pterostylis hildae", "Pseudomonas virus KPP21", "Pseudomonas virus LUZ7", "Pseudomonas virus LKO4", "Pseudomonas virus MP1412", "Pseudomonas virus PAE1", "Pseudomonas virus NP1", "Pseudomonas virus PaMx25", "Pseudomonas virus PA7", "Pseudomonas virus PaMx28", "Pseudomonas virus PaMx74", "Pteromalus puparum peropuvirus", "Pteropox virus", "Pyrobaculum filamentous virus 1", "Minuartia tchihatchewii", "Minuartia decipiens", "Propionibacterium virus ATCC29399BC", "Propionibacterium virus Kubed", "Propionibacterium virus P105", "Propionibacterium virus P101A", "Propionibacterium virus PAS50", "Propionibacterium virus PHL041M10", "Propionibacterium virus PHL082M03", "Propionibacterium virus PHL112N00", "Propionibacterium virus PHL117M01", "Propionibacterium virus PHL151N00", "Propionibacterium virus PHL194M00", "Propionibacterium virus Pirate", "Propionibacterium virus P100D", "Propionibacterium virus PAD20", "Propionibacterium virus PHL071N05", "Propionibacterium virus PHL117M00", "Propionibacterium virus PHL179M00", "Propionibacterium virus Wizzo", "Propionibacterium virus Attacne", "Propionibacterium virus MrAK", "Propionibacterium virus P1001", "Propionibacterium virus PA6", "Propionibacterium virus PHL025M00", "Propionibacterium virus PHL067M01", "Propionibacterium virus PHL095N00", "Propionibacterium virus PHL114L00", "Propionibacterium virus PHL141N00", "Propionibacterium virus PHL163M00", "Propionibacterium virus PHL301M00", "Propionibacterium virus SKKY", "Propionibacterium virus Keiki", "Propionibacterium virus Ouroboros", "Propionibacterium virus P1.1", "Propionibacterium virus PHL070N00", "Propionibacterium virus PHL116M00", "Propionibacterium virus PHL151M00", "Propionibacterium virus PHL171M01", "Propionibacterium virus Solid", "Propionibacterium virus P91", "Propionibacterium virus P100A", "Propionibacterium virus Pacnes201215", "Propionibacterium virus PHL037M02", "Propionibacterium virus PHL111M01", "Propionibacterium virus PHL308M00", "Propionibacterium virus Stormborn", "Propionibacterium virus ATCC29399BT", "Propionibacterium virus Lauchelly", "Propionibacterium virus P144", "Propionibacterium virus P104A", "Propionibacterium virus PHL009M11", "Propionibacterium virus PHL060L00", "Propionibacterium virus PHL092M00", "Propionibacterium virus PHL113M01", "Propionibacterium virus PHL132N00", "Propionibacterium virus PHL152M00", "Propionibacterium virus PHL199M00", "Propionibacterium virus Procrass1", "Propionibacterium virus B5", "Ralstonia virus PE226", "Ralstonia virus RSS1", "Spiroplasma virus SVTS2", "Stenotrophomonas virus PSH1", "Stenotrophomonas virus SMA6", "Stenotrophomonas virus SMA7", "Stenotrophomonas virus SMA9", "Vibrio virus KSF1", "Vibrio virus VCY", "Vibrio virus VfO3K6", "Vibrio virus VGJ", "Ralstonia virus RS603", "Ralstonia virus RSM1", "Ralstonia virus RSM3", "Vibrio virus VFJ", "Spiroplasma virus SkV1CR23x", "Pseudomonas virus Ab18", "Pseudomonas virus Ab19", "Pseudomonas virus PaMx11", "Calvitimela cuprea", "Calvitimela livida", "Hoplocercus spinosus", "Rabovirus A", "Torchivirus A", "Ralstonia virus RSF1", "Ralstonia virus RSL2", "Ralstonia virus RSL1", "Rattus norvegicus polyomavirus 1", "Rhodobacter virus RcCronus", "Rhodobacter virus RcSpartan", "Rhodobacter virus RcTitan", "Rhodococcus virus Pepy6", "Rhodococcus virus Poco6", "Rose leaf rosette-associated virus", "Tobacco virus 1", "Roseobacter virus RDJL1", "Roseobacter virus RDJL2", "Rotavirus I", "Salmonella virus f18SE", "Salmonella virus SPN1S", "Salmonella virus SPN3US", "Pterostylis sanguinea", "Sea lion mastadenovirus A", "Shigella virus SfMu", "Pterostylis longicurva", "Pterostylis longipetala", "Pterostylis lortensis", "Pterostylis lustra", "Mycoblastus austroshetlandicus", "Chamaesaura aenea", "Pterostylis macilenta", "Pterostylis macrocalymma", "Pterostylis macrosceles", "Pterostylis macrosepala", "Pterostylis major", "Pterostylis maxima", "Pterostylis melagramma", "Mycoblastus dendrophorus", "Pterostylis microglossa", "Pterostylis ophioglossa", "Pterostylis oreophila", "Pterostylis ovata", "Aphyosemion cognatum", "Minuartia elmalia", "Smicromyrme bartolozzii", "Minuartia glandulosa", "Mycoblastus duplicellus", "Mycoblastus endoxanthus", "Mycoblastus grisomagrinatus", "Pterostylis microphylla", "Pterostylis mirabilis", "Pterostylis mitchellii", "Pterostylis monticola", "Pterostylis multiflora", "Minuartia buschiana", "Pterostylis mutica", "Minuartia buschiana subsp. artvinica", "Minuartia buschiana subsp. buschiana", "Pterostylis mystacina", "Pterostylis nana", "Pterostylis nigricans", "Pterostylis oblonga", "Minuartia valedictionis", "Fukomys anselli", "Fukomys kafuensis", "Fukomys darlingi", "Fukomys amatus", "Fukomys whytei", "Fukomys micklemi", "Medon marmarisensis", "Medon alexandrinus", "Medon beydaghensis", "Medon cerrutii", "Myriotrichia clavaeformis", "Medon coriaceus", "Medon caricus", "Myriogloea ramosissima", "Myriogloea sciurus", "Myriogloea simplex", "Tephromela corneola", "Tephromela cypria", "Pterostylis \u00d7 aenigma", "Pterostylis perculta", "Pterostylis petrosa", "Pterostylis picta", "Pterostylis planulata", "Pterostylis smaragdyna", "Xantholinus syriacus", "Xantholinus postfactus", "Xantholinus tronqueti", "Aphaobiella kofleri", "Mycoblastus japonicus", "Aspilates recessaria", "Mycoblastus minor", "Medon petrochilosi", "Medon croaticus", "Medon impar", "Mycoblastus sinensis", "Medon maronitus", "Minuartia corymbulosa", "Minuartia corymbulosa var. gypsophiloides", "Pterostylis papuana", "Pterostylis papuana var. papuana", "Pterostylis parca", "Pterostylis parva", "Pterostylis parviflora", "Pterostylis pearsonii", "Pterostylis pedina", "Pterostylis pedoglossa", "Vaccinium wrightii", "Fukomys vandewoestijneae", "Fukomys livingstoni", "Fukomys hanangensis", "Singapore grouper iridovirus", "Sinorhizobium virus M7", "Sinorhizobium virus M12", "Sinorhizobium virus N3", "Squash chlorotic leaf spot virus", "Steraspis avis", "Staphylococcus virus IPLAC1C", "Staphylococcus virus SEP1", "Staphylococcus virus Rodi", "Staphylococcus virus S25-4", "Steraspis amphibium", "Staphylococcus virus Stau2", "Steraspis montana", "Streptococcus virus Cp7", "Tetterwort vein chlorosis virus", "Tilapia tilapinevirus", "Tomato blistering mosaic tymovirus", "Mycoblastus hookeri", "Tsukamurella virus TIN2", "Tsukamurella virus TIN3", "Tsukamurella virus TIN4", "White sucker hepatitis B virus", "Mycoblastus hypomelinus", "Yata ephemerovirus", "Yokapox virus", "Yug Bogdanovac vesiculovirus", "Mycoblastus implicatus", "Trechisibus delestali", "Tephromela albida", "Papenfussiella moseleyi", "Phaearthron austrogeorgicum", "Tephromela antarctica", "Phaeophysema sphaerocephala", "Phaeophysema pulvinata", "Phaeostroma pustulosum", "Phaeostroma bertholdii", "Phaeostroma longisetum", "Phaeostroma parasiticum", "Phaeostroma pusillum", "Phaeostromatella elegans", "Pilinia rimosa", "Pilinia diluta", "Pilinia lunatiae", "Pilinia morsei", "Pilinia minor", "Pilinia reinschii", "Pilocladus volubilis", "Pilocladus codicola", "Brachycephalus darkside", "Polycerea nigrescens", "Polycerea zostericola", "Polycerea borealis", "Proselachista taeniiformis", "Protectocarpus faeroeensis", "Protectocarpus speciosus", "Protectocarpus hecatonemoides", "Tephromela calcarea", "Tephromela campestricola", "Tephromela koliensis", "Tephromela colensoica", "Punctaria chartacea", "Nebria desgodinsi", "Stilophora tenella", "Nebria incognita", "Nebria hiekeiana", "Nebria himalayica", "Nebria capillosa", "Stilophora nodulosa", "Nebria megalops", "Stilophora capillaris", "Stilophora erythraea", "Stilophora flanaganii", "Stilophora iranica", "Stilopsis lejolisii", "Stilopsis harveyana", "Nebria molendai", "Nebria christinae", "Nebria schawalleri", "Striaria attenuata", "Suringariella harveyana", "Tephromela glacialis", "Tephromela hibernica", "Limonium arboreum", "Limonium frutescens", "Tephromela lucifraga", "Thamnophilus doliatus capistratus", "Medon pythonissa", "Medom erevanensis", "Medon macedonicum", "Medon pocofer", "Rhadinocladia farlowii", "Rhadinocladia cylindrica", "Medon rufiventris", "Medon anatolicus", "Saundersella simplex", "Medon ferrugineus", "Sauvageaugloia divaricata", "Lithocharis brancsiki", "Medon nitidus", "Sauvageaugloia ikomae", "Medon orduanus", "Soranthera ulvoidea", "Lithocharis auranitica", "Medon abchasicus", "Medon bulgaricus", "Medon gajaci", "Spermatochnus paradoxus", "Medon paradobrogicus", "Medon beroni", "Medon cyprensis", "Medon lindbergi", "Sphaerotrichia divaricata", "Medon scheerpeltzianus", "Medon loebli", "Medon fusculoides", "Sphaerotrichia firma", "Medon amidanum", "Sphaerotrichia disessa", "Sphaerotrichia huanghaiensis", "Sphaerotrichia sadoensis", "Stictyosiphon adriaticus", "Stictyosiphon arcticus", "Stictyosiphon charoides", "Stictyosiphon griffithsianus", "Tephromela deplanata", "Stictyosiphon laxus", "Stictyosiphon lofotensis", "Stictyosiphon lutarius", "Stictyosiphon soriferus", "Medon abantensis", "Stictyosiphon tortilis", "Medon subfusculus", "Stictyosiphon subarticulatus", "Medon besucheti", "Streblonema chordariae", "Streblonemopsis irritans", "Tephromela depressula", "Armeria albi", "Tephromela disciformis", "Pterostylis platypetala", "Pterostylis plumosa", "Pterostylis vittata", "Strepsithalia liagorae", "Strepsithalia curvata", "Strepsithalia aemula", "Strepsithalia leathesiae", "Strepsithalia buffhamiana", "Strepsithalia liebmanniae", "Tephromela follmannii", "Strepsithalia punctariae", "Tephromela fuscidula", "Pterostylis russellii", "Ouratea \u00d7 savannarum", "Myriotrichia repens", "Medon marmaridis", "Myriotrichia adriatica", "Myriotrichia canariensis", "Medon seleucus", "Myriotrichia occidentalis", "Medon subquadratus", "Myriotrichia protasperococcus", "Medon brunneus", "Medon olympicus", "Nemacystus erythraeus", "Nemacystus brandegeei", "Nemacystus flexuosus", "Nemacystus hispanicus", "Nemacystus howei", "Nemacystus novae-zelandiae", "Nemacystus subsimplex", "Nemacystus decipiens", "Vismia japurensis", "Neoleptonema yongpilii", "Omphalophyllum ulvaceum", "Omphalophyllum piligerum", "Papenfussiella gracilis", "Papenfussiella callitricha", "Papenfussiella lutea", "Papenfussiella tristanensis", "Papenfussiella densa", "Papenfussiella shikokuensis", "Papenfussiella iemasae", "Medon semiobscurus", "Papenfussiella extensa", "Medon rhodiensis", "Papenfussiella kuromo", "Medon clambus", "Ursus arctos pruinosus", "Tephromela lucifuga", "Antheraea diehli", "Saturnia cameronensis", "Tephromela luteola", "Tephromela macedonica", "Marthula porioni", "Tephromela minor", "Marthula minor", "Tephromela muralis", "Pterostylis praetermissa", "Pterostylis prasina", "Rotiramulus pilifer", "Lecania madida", "Pterostylis pratensis", "Pterostylis procera", "Pterostylis psammophilus", "Pterostylis pulchella", "Tephromela muscicola", "Pterostylis pusilla", "Pterostylis pyramidalis", "Pterostylis recurva", "Tephromela ocellata", "Pterostylis reflexa", "Pterostylis revoluta", "Tephromela pachythallina", "Pterostylis riparia", "Pterostylis robusta", "Pterostylis roensis", "Pterostylis rogersii", "Ouratea \u00d7 acunae", "Pterostylis rubenachii", "Pterostylis rubescens", "Pterostylis rufa", "Tephromela pacifica", "Tinocladia crassa", "Tinocladia australis", "Tinocladia falklandica", "Tinocladia novae-zelandiae", "Medon sparsiventris", "Tinocladia eudesmoides", "Medon frater", "Medon wittmeri", "Tinocladia gracilis", "Tinocladia microsporangiis", "Tinocladia zhangii", "Medon paradisiacus", "Medon sequax", "Medon lamellatus", "Medon dobrogicus", "Trachynema groenlandicum", "Trachynema mortensenii", "Lithocharis kellneri", "Ulonema rhizophorum", "Medon apicalis", "Medon turcmenus", "Medon kopetdaghi", "Neoxyphinus amazonicus", "Neoxyphinus macuna", "Neoxyphinus tuparro", "Neoxyphinus pure", "Neoxyphinus trujillo", "Neoxyphinus saarineni", "Neoxyphinus yekuana", "Neoxyphinus yacambu", "Neoxyphinus beni", "Neoxyphinus coca", "Neoxyphinus inca", "Neoxyphinus almerim", "Neoxyphinus belterra", "Neoxyphinus cachimbo", "Neoxyphinus cantareira", "Neoxyphinus capiranga", "Neoxyphinus caprichoso", "Neoxyphinus carigoblin", "Neoxyphinus cavus", "Neoxyphinus caxiuana", "Neoxyphinus celluliticus", "Neoxyphinus coari", "Neoxyphinus crasto", "Neoxyphinus ducke", "Neoxyphinus garantido", "Neoxyphinus jacareacanga", "Neoxyphinus meurei", "Neoxyphinus murici", "Neoxyphinus mutum", "Neoxyphinus novalima", "Punctaria conglomerata", "Punctaria crispata", "Punctaria expansa", "Punctaria fissalis", "Punctaria flaccida", "Punctaria hesperia", "Punctaria kinoshitae", "Punctaria latifolia", "Punctaria lobata", "Punctaria mageshimensis", "Punctaria multifida", "Punctaria occidentalis", "Punctaria orbiculata", "Punctaria pilosa", "Punctaria plantaginea", "Punctaria projecta", "Punctaria stipitata", "Punctaria tenuis", "Punctaria tenuissima", "Myrionema acrochaetia", "Myrionema ascocystophora", "Myrionema balticum", "Myrionema compactum", "Myrionema compsonematoides", "Myrionema conchicola", "Myrionema corunnae", "Myrionema densum", "Myrionema dichotomum", "Myrionema feldmannii", "Myrionema foecundum", "Myrionema fuegianum", "Myrionema furcatum", "Myrionema grateloupiae", "Myrionema hemisphericum", "Myrionema inaequale", "Myrionema inconspicuum", "Myrionema latipilosum", "Myrionema liechtensternii", "Myrionema macrocarpum", "Myrionema magnusii", "Myrionema myriodesmae", "Myrionema obscurum", "Myrionema orbiculare", "Myrionema padinae", "Myrionema papillosum", "Myrionema paradoxum", "Myrionema patagonicum", "Myrionema phyllophilum", "Myrionema primarium", "Myrionema ramulans", "Myrionema seriatum", "Myrionema setiferum", "Myrionema siliquosum", "Myrionema strangulans", "Myrionema submarinum", "Myrionema terminale", "Myriogloea abbreviata", "Myriogloea chilensis", "Myriogloea grandis", "Myriogloea intestinalis", "Myriogloea major", "Myriogloea papenfussii", "Myriogloea pedicellata", "Spongonema tomentosum", "Halffterinetis gonzaloi", "Halffterinetis violetae", "Pleurocladia lacustris", "Macrocyttara expressa", "Pleurocladia lucifuga", "Macrocyttara pamphaea", "Bunomys torajae", "Bunomys karokophilus", "Tephromela rimosula", "Tephromela siphulodes", "Tephromela taurica", "Minuartia urumiensis", "Phragmacossia territa", "Phragmacossia paghmana", "Phragmacossia vartianae", "Zeuzera nuristanensis", "Porcellanola gaofengensis", "Aphyosemion calliurum", "Neoxyphinus ornithogoblin", "Neoxyphinus paraiba", "Neoxyphinus paraty", "Neoxyphinus rio", "Neoxyphinus sax", "Neoxyphinus simsinho", "Neoxyphinus stigmatus", "Neoxyphinus tucuma", "Vimineoleathesia japonica", "Mylothris atewa", "Xanthosiphonia halliae", "Dognina adriennae", "Ormiscodes shapiroi", "Ormiscodes niobe", "Paracleros overlaeti", "Paracleros maesseni", "Paracleros biguttulus", "Paracleros placidus", "Cicinnus melsheimeri", "Catocala nilssoni", "Araneibatrus cellulanus", "Araneibatrus grossepunctatus", "Araneibatrus pubescens", "Araneibatrus spinosus", "Metarctia hector", "Metarctia hecqi", "Reisseronia annae", "Miltochrista quadra", "Miltochrista pseudomodesta", "Diplopodomyces veneris", "Zyganisus fulvicollis", "Zyganisus caliginosus", "Zyganisus cadigalorum", "Zyganisus propedia", "Zyganisus acalanthis", "Cossodes lyonetii", "Sympycnodes tripartita", "Sympycnodes trigonocosma", "Sympycnodes rhaptodes", "Sympycnodes epicycla", "Sympycnodes arachnophora", "Sympycnodes digitata", "Sympycnodes dunnorum", "Sympycnodes interstincta", "Sympycnodes salterra", "Sympycnodes uptoni", "Sympycnodes adrienneae", "Pterostylis sargentii", "Bicyclus ignobilis ignobilis", "Bicyclus ignobilis acutus", "Bicyclus ignobilis eurini", "Kuckuckia spinosa", "Tephromela parasitica", "Kuckuckia catalinae", "Ouratea cinerea", "Tephromela perpinguis", "Ouratea hemiodonta", "Tephromela persordida", "Tephromela pieninica", "Tephromela rhizophorae", "Psylliostachys x myosuroides", "Tephromela tropica", "Tephromela urceolata", "Bistorta suffulta", "Rattus trinilensis", "Naenia muscosa", "Tephromela variabilis", "Bulbophyllum tollenoniferum", "Bulbophyllum macranthoides", "Valeria muscosula", "Bulbophyllum cominsii", "Bulbophyllum burfordiense", "Bulbophyllum grandiflorum", "Trachea mediifascia", "Trichosternum likianga", "Calanthe izu-insularis", "Tephromela velloziae", "Ouratea barrae", "Pterostylis saxicola", "Pterostylis scabra", "Causus rhombeatus", "Hadena succincta", "Platysphinx bouyeri", "Bathycolpodes perdistincta", "Minuartia erythrosepala", "Cartaletis dargei", "Xanthorhoe brevidens", "Minuartia erythrosepala var. cappadocica", "Odontopera mariaetheresae", "Odontopera extrema", "Minuartia erythrosepala var. erythrosepala", "Petrospongium berkeleyi", "Petrospongium kuckuckii", "Petrospongium rugosum", "Chnoospora implexa", "Chnoospora pannosa", "Chnoospora bicanaliculata", "Chnoospora minima", "Colpomenia sinuosa", "Colpomenia bullosa", "Colpomenia peregrina", "Schinia masoni", "Colpomenia claytoniae", "Colpomenia wynnei", "Rhododipsa aden", "Colpomenia durvillei", "Melomys capensis", "Melomys frigicola", "Melomys leucogaster", "Melomys bougainville", "Melomys cervinipes", "Melomys dollmani", "Melomys paveli", "Asterotrichia ulvicola", "Melomys matambuai", "Melomys burtoni", "Stegastrum porphyrae", "Melomys spechti", "Melomys howi", "Melomys bannisteri", "Ramalea coilophylla", "Ramalea myriocladella", "Tantilla armillata", "Otomops harrisoni", "Histiotus diaphanopterus", "Ramalea tribulosa", "Hylomyscus heinrichorum", "Glischropus aquilus", "Myotis secundus", "Myotis soror", "Eudiscoderma thongareeae", "Streblonema desmarestiae", "Streblonema eudesmide", "Streblonema evagatum", "Streblonema fasciculatum", "Streblonema gracilicola", "Streblonema helophorum", "Streblonema hyalinum", "Streblonema hydra", "Streblonema inclusum", "Streblonema integratum", "Streblonema intestinum", "Streblonema invisibile", "Streblonema irregularis", "Streblonema maculans", "Streblonema malleatum", "Streblonema melleatum", "Streblonema minutissima", "Streblonema minutulum", "Streblonema myriocladiae", "Streblonema myrionematoides", "Streblonema nanella", "Streblonema nemastomae", "Streblonema ningyuanense", "Streblonema pacificum", "Streblonema parasiticum", "Streblonema pastinacarpum", "Streblonema patagonicum", "Streblonema penetrale", "Streblonema porphyrae", "Streblonema reptans", "Streblonema reticulatum", "Streblonema rugosum", "Streblonema scabiosum", "Streblonema transfixum", "Streblonema tuberculi", "Streblonema turmale", "Streblonema turnerellae", "Streblonema vorax", "Streblonema zanardinii", "Puttea caesia", "Melomys aerosus", "Melomys arcium", "Melomys caurinus", "Melomys fraterculus", "Melomys fulgens", "Melomys lutillus", "Melomys obiensis", "Melomys talaudium", "Melomys rufescens", "Chelotephrina variabilis", "Xylopteryx splendens", "Minuartia garckeana", "Minuartia globulosa", "Minuartia gracilis", "Minuartia glomerata", "Minuartia intermedia", "Ectocarpus acutus", "Ectocarpus adriaticus", "Ectocarpus affinis", "Ectocarpus aleuticus", "Ectocarpus auratus", "Ectocarpus balakrishnanii", "Ectocarpus barbadensis", "Ectocarpus berteroanus", "Ectocarpus bombycinus", "Ectocarpus borealis", "Ectocarpus bracchiolus", "Ectocarpus brevicellularis", "Ectocarpus caliacrae", "Ectocarpus capensis", "Ectocarpus caspicus", "Ectocarpus chantransioides", "Ectocarpus chapmanii", "Ectocarpus chnoosporae", "Ectocarpus cladosiphonae", "Ectocarpus clavifer", "Ectocarpus commensalis", "Ectocarpus commixtus", "Ectocarpus confusiphyllus", "Ectocarpus constanciae", "Ectocarpus corticulatus", "Ectocarpus crouanii", "Ectocarpus crouaniorum", "Ectocarpus cryptophilus", "Ectocarpus cystophylloides", "Ectocarpus dellowianus", "Ectocarpus denudatus", "Ectocarpus dictyoptericola", "Ectocarpus distortus", "Ectocarpus divergens", "Ectocarpus ensenadanus", "Ectocarpus erectus", "Ectocarpus exiguus", "Ectocarpus falklandicus", "Ectocarpus fasciculatus", "Ectocarpus flagelliferus", "Ectocarpus flagelliformis", "Ectocarpus fructuosus", "Ectocarpus fungiformis", "Ectocarpus fusiformis", "Ectocarpus giraudiae", "Ectocarpus glaziovii", "Ectocarpus gonodioides", "Ectocarpus hamulosus", "Ectocarpus hancockii", "Ectocarpus heterocarpus", "Ectocarpus hornericola", "Ectocarpus intermedius", "Ectocarpus isopodicola", "Ectocarpus kjellmanioides", "Ectocarpus laminariae", "Ectocarpus laurenciae", "Ectocarpus lepasicola", "Ectocarpus macrocarpus", "Ectocarpus minor", "Ectocarpus minutissimus", "Ectocarpus minutulus", "Ectocarpus mitchellioides", "Ectocarpus monzensis", "Ectocarpus multifurcus", "Ectocarpus niigatensis", "Ectocarpus nitens", "Ectocarpus oblongatus", "Ectocarpus obovatus", "Ectocarpus obtusocarpus", "Ectocarpus obtusus", "Ectocarpus parvulus", "Ectocarpus plasticola", "Ectocarpus plumosus", "Ectocarpus polysiphoniae", "Ectocarpus rallsiae", "Ectocarpus rotundatoapicalis", "Ectocarpus rufulus", "Ectocarpus rufus", "Ectocarpus sadoensis", "Ectocarpus sargassicaulinus", "Ectocarpus sargassiphyllus", "Ectocarpus scytosiphonae", "Ectocarpus shiiyaensis", "Ectocarpus shimokitaensis", "Ectocarpus simulans", "Ectocarpus sonorensis", "Ectocarpus tamarinii", "Ectocarpus taoniae", "Ectocarpus tappiensis", "Ectocarpus tasshaensis", "Ectocarpus trichophorus", "Ectocarpus tsugaruensis", "Ectocarpus variabilis", "Ectocarpus vungtauensis", "Ectocarpus yezoensis", "Ectocarpus zonariae", "Ectocarpus zosterae", "Joergensenia cephalodina", "Specklinia endotrachys", "Streblonema ambivalens", "Streblonema anomalum", "Streblonema bohaiense", "Streblonema breve", "Streblonema codiatile", "Streblonema codii", "Streblonema cokeri", "Streblonema collinsii", "Streblonema corymbiferum", "Streblonema crasscaule", "Lycorea halia halia", "Petalonia binghamiae", "Petalonia tatewakii", "Petalonia tenuis", "Rosenvingea orientalis", "Rosenvingea intricata", "Rosenvingea fastigiata", "Rosenvingea nhatrangensis", "Rosenvingea floridana", "Rosenvingea antillarum", "Trisetella triglochin", "Scytosiphon lomentaria", "Aphyosemion celiae", "Aphyosemion franzwerneri", "Bulbophyllum pingtungense", "Taygetis mermeria", "Taygetis mermeria mermeria", "Taygetis mermeria griseomarginata", "Iyengaria quadriseriata", "Jolyna laminarioides", "Jolyna furcata", "Myelophycus simplex", "Myelophycus cavus", "Petalonia fascia", "Splendeuptychia kendalli", "Cyllopsis wellingi", "Petalonia zosterifolia", "Petalonia filiformis", "Welderella parvella", "Lycorea halia", "Echium stenosiphon", "Aphyosemion cyanostictum", "Zale chisosensis", "Scytosiphon canaliculatus", "Scytosiphon tenellus", "Scytosiphon complanatus", "Scytosiphon crispus", "Scytosiphon dotyi", "Scytosiphon gracilis", "Symphyocarpus strangulans", "Jonssonia pulvinata", "Zale perculta", "Porterinema fluviatile", "Cladophora fracta", "Zale phaeocapna", "Zale confusa", "Zale submediana", "Zale buchholzi", "Zale metatoides", "Zale horrida", "Dichocarpum nipponicum", "Sorapion simulans", "Sorapion kjellmanii", "Zosterocarpus oedogonium", "Zosterocarpus abyssicola", "Tamarix senegalensis", "Zosterocarpus australicus", "Zosterocarpus ogasawaraensis", "Choristocarpus tenellus", "Discosporangium mesarthrocarpum", "Discosporangium pulvillocarpum", "Schinia approximata", "Colpomenia ecuticulata", "Schinia ar", "Colpomenia expansa", "Schinia dolosa", "Colpomenia tuberculata", "Colpomenia mollis", "Heliothis fastidiosa", "Colpomenia ramosa", "Colpomenia nainativensis", "Schinia bina", "Heliothis gloriosa", "Eoclathrus fenestratus", "Heliothis imperspicua", "Heliothis inclara", "Heliothis lanul", "Heliothis nubila", "Heliothis regia", "Heliothis rubiginosa", "Heliothis siren", "Heliothis spectanda", "Heliothis sulmala", "Schinia hanga", "Schinia labe", "Schinia lora", "Schinia neglecta", "Hydroclathrus clathratus", "Schinia obscurata", "Schinia pyraloides", "Schinia tanena", "Hydroclathrus stephanosorus", "Schinia ultima", "Hydroclathrus tumulis", "Hydroclathrus tenuis", "Iyengaria stellata", "Iyengaria nizamuddinii", "Canistrocarpus crispatus", "Canistrocarpus cervicornis", "Canistrocarpus magneanus", "Rickia platessa", "Rickia gigas", "Chlanidophora microphylla", "Rickia appendicifera", "Chlanidophora madagascariensis", "Rickia candelabriformis", "Rickia galatheae", "Rickia lophophora", "Rickia obelostrepti", "Rickia odontopygiidarum", "Rickia rhynchophora", "Troglomyces botryandrus", "Troglomyces rossii", "Opilionomyces dicranolasmatis", "Speonemadus algarvensis", "Cordioniscus lusitanicus", "Moserius inexpectatus", "Troglonethes arrabidaensis", "Troglonethes olisiponensis", "Miktoniscus longispina", "Trichoniscoides bellesi", "Metatrichoniscoides salirensis", "Trichoniscoides sicoensis", "Chiraziulus troglopersicus", "Dictyopteris acrostichoides", "Dictyopteris areschougii", "Dictyopteris australis", "Dictyopteris camiguinensis", "Dictyopteris cokeri", "Dictyopteris crassinervia", "Dictyopteris delicatula", "Dictyopteris diaphana", "Dictyopteris dichotoma", "Dictyopteris divaricata", "Dictyopteris fucoides", "Dictyopteris gracilis", "Dictyopteris hoytii", "Dictyopteris iyengarii", "Dictyopteris jamaicensis", "Dictyopteris jolyana", "Dictyopteris justii", "Dictyopteris kermadecensis", "Dictyopteris latiuscula", "Dictyopteris ligulata", "Dictyopteris longifolia", "Dictyopteris lucida", "Dictyopteris macrocarpa", "Dictyopteris muelleri", "Dictyopteris nigricans", "Dictyopteris pacifica", "Dictyopteris papenfussii", "Dictyopteris plagiogramma", "Dictyopteris polypodioides", "Dictyopteris prolifera", "Dictyopteris repens", "Dictyopteris secundispiralis", "Dictyopteris serrata", "Dictyopteris undulata", "Padina tristromatica", "Padina undulata", "Padina usoehtunii", "Padina xishaensis", "Padina zonata", "Aphyosemion tirbaki", "Buellia numerosa", "Buellia subnumerosa", "Aphyosemion passaroi", "Ouratea repens", "Padinopsis adriatica", "Rugulopteryx radicans", "Rugulopteryx marginata", "Rugulopteryx suhrii", "Dictyotopsis propagulifera", "Distromium skottsbergii", "Distromium decumbens", "Distromium didymothrix", "Distromium obrienii", "Marcipalina grisescens", "Marcipalina lineata", "Distromium flabellatum", "Distromium multifidum", "Marcipalina lutea", "Marcipalina minima", "Marcipalina obscura", "Marcipalina rubra", "Marcipalina ruptisignoides", "Marcipalina modesta", "Exallosorus olsenii", "Exallosorus harveyanus", "Arthonia gutberletiana", "Arthonia samdykeana", "Herringtonia aurata", "Homoeostrichus sinclairii", "Hypocoela dubiefi", "Cancellalata fletcheri", "Metallaxis sogai", "Lobophora variegata", "Onslowia endophytica", "Onslowia bahamensis", "Verosphacela ebrachia", "Verosphacela silvae", "Heterorachis ultramarina", "Hydatopsis jaspidaria", "Mesothisa tanala", "Ectropis cornuta", "Acleisanthes chenopodioides", "Amygdalaria verrucosa", "Bellemerea cupreoatra", "Aphyosemion mimbon", "Aphyosemion decorsei", "Cladostephus spongiosum", "Catephia linteola", "Nagia pilipes", "Nagia pilipes pilipes", "Nagia pilipes griveaudi", "Dictyopteris woodwardia", "Mystrium mysticum", "Dictyota acutiloba", "Dictyota adhaerens", "Dictyota adnata", "Dictyota aegerrima", "Dictyota alternifida", "Dictyota attenuata", "Dictyota bartayresiana", "Dictyota bifurca", "Dictyota binghamiae", "Dictyota canaliculata", "Dictyota canariensis", "Dictyota caribaea", "Dictyota ceylanica", "Dictyota ciliolata", "Dictyota concrescens", "Dictyota coriacea", "Dictyota crenulata", "Dictyota cribrosa", "Dictyota crinita", "Dictyota cyanoloma", "Dictyota cymatophila", "Dictyota decumbens", "Dictyota detergenda", "Dictyota dhofarensis", "Dictyota dichotoma", "Dictyota diemensis", "Dictyota dilatata", "Dictyota dolabellana", "Dictyota dumosa", "Dictyota fascida", "Dictyota fasciola", "Dictyota fastigiata", "Dictyota fenestrata", "Dictyota flabellata", "Dictyota flagellifera", "Dictyota foliosa", "Dictyota friabilis", "Dictyota furcellata", "Dictyota galapagensis", "Dictyota grossedentata", "Dictyota guajirae", "Dictyota guine\u00ebnsis", "Dictyota gunniana", "Dictyota hamifera", "Campteropsis goniogramma", "Campteropsis orthogramma", "Stypopodium zonale", "Drepanogynis brunneisparsa", "Drepanogynis calligrapha", "Drepanogynis chelicerata", "Drepanogynis chrysobates", "Drepanogynis circumroda", "Stypopodium australasicum", "Drepanogynis climax", "Stypopodium rabdoides", "Drepanogynis confusa", "Drepanogynis crassifurca", "Stypopodium flabelliforme", "Drepanogynis crenilinea", "Stypopodium multipartitum", "Stypopodium schimperi", "Stypopodium shameelii", "Taonia atomaria", "Taonia australasica", "Taonia lennebackerae", "Taonia abbottiana", "Taonia lacheana", "Taonia pseudociliata", "Aphyosemion exiguum", "Catephia pilipes", "Catephia syba", "Cladostephus clavaeforme", "Cladostephus antarcticus", "Cladostephus hariotii", "Dysgonia delphinensis", "Dysgonia malgassica", "Dysgonia laurentensis", "Bodanella lauterbornii", "Ercheia bergeri", "Nagia vadoni", "Heribaudiella fluviatilis", "Stenostaura dorsalis", "Lithoderma fatiscens", "Atrasana vittata", "Lithoderma antarcticum", "Lithoderma piliferum", "Lithoderma neocaledonense", "Pseudolithoderma extensum", "Epicerura pergrisea", "Pseudolithoderma rosenvingei", "Pseudolithoderma subextensum", "Dictyota hauckiana", "Dictyota humifusa", "Dictyota implexa", "Dictyota inscripta", "Dictyota intermedia", "Dictyota jamaicensis", "Dictyota kunthii", "Dictyota laciniata", "Dictyota lata", "Dictyota liturata", "Dictyota major", "Dictyota masonii", "Dictyota mayae", "Dictyota mediterranea", "Dictyota menstrualis", "Dictyota mertensii", "Dictyota moniliformis", "Dictyota multifida", "Dictyota naevosa", "Dictyota nigrescens", "Dictyota nigricans", "Dictyota ocellata", "Dictyota pachyderma", "Dictyota paniculata", "Dictyota papenfussii", "Dictyota pedrochei", "Dictyota pellucida", "Dictyota phlyctaenodes", "Dictyota pinnata", "Dictyota pinnatifida", "Dictyota plantaginea", "Dictyota pleiacantha", "Dictyota polyclada", "Dictyota pulchella", "Dictyota rigida", "Dictyota robusta", "Dictyota sandvicensis", "Dictyota serrulata", "Dictyota spathulata", "Dictyota spinulosa", "Dictyota spiralis", "Dictyota stolonifera", "Dictyota vieillardii", "Dictyota vittata", "Dictyota vivesii", "Pseudolithoderma adriaticum", "Epicerura septentrionalis", "Pseudolithoderma australe", "Scalmicauda geometrica", "Pseudolithoderma nigrum", "Scalmicauda venustissima", "Pseudolithoderma paradoxum", "Scalmicauda acamas", "Pseudolithoderma roscoffense", "Pseudolithoderma thangasseriense", "Phaeostrophion irregulare", "Phaeostrophion australe", "Fanambana anomoeotina", "Fanambana pyralidina", "Semiothisa cruciata", "Semiothisa cerussata", "Thyrinteina infans", "Bellemerea elegans", "Epigelasma alba", "Epigelasma lutea", "Epigelasma befasy", "Epigelasma herbuloti", "Epigelasma corrupta", "Epigelasma nobilis", "Epigelasma rhodostigma", "Epigelasma crenifera", "Rugulopteryx okamurae", "Epigelasma disjuncta", "Epigelasma frigida", "Epigelasma hispida", "Epigelasma holochroa", "Epigelasma occidentalis", "Epigelasma olsoufieffi", "Epigelasma perineti", "Epigelasma praenuntia", "Epigelasma radiata", "Epigelasma rufifrons", "Epigelasma simplaria", "Epigelasma tulear", "Epigelasma viridibasis", "Petrodava fletcheri", "Scoresbyella profunda", "Drepanogynis herbuloti", "Spatoglossum solieri", "Mazama nemorivaga", "Drepanogynis breviramus", "Stoechospermum polypodioides", "Campter latefasciatus", "Campter obliquilinea", "Campter punctifascia", "Campteropsis asaphogramma", "Anticleora tougoeti", "Steganomima delphinensis", "Steganomima laurentensis", "Lobospira bicuspidata", "Steganomima polymorpha", "Anticleora ordinata", "Lobophora abaculusa", "Lobophora abscondita", "Lobophora asiatica", "Lobophora canariensis", "Lobophora ceylanica", "Lobophora dichotoma", "Lobophora dimorpha", "Lobophora gibbera", "Lobophora hederacea", "Lobophora indica", "Lobophora isselii", "Lobophora lubaoreniana", "Lobophora minima", "Lobophora monticola", "Lobophora nigrescens", "Lobophora obscura", "Lobophora pachyventera", "Lobophora pacifica", "Lobophora papenfussii", "Lobophora petila", "Lobophora rickeri", "Lobophora rosacea", "Lobophora sonderi", "Lobophora undulata", "Galtara doriae doriae", "Newhousia imbricata", "Newhousia yhaga", "Marcipalina triangulifera", "Marcipalina umbrosa", "Marcipalina detersa", "Polyptychus distensus", "Polyptychus potiendus", "Polyptychus dentatus", "Sphinx timesius", "Sphinx modesta", "Bellemerea pullata", "Battersia mirabilis", "Battersia arctica", "Battersia plumigera", "Battersia racemosa", "Battersia norrisii", "Hylaeamys laticeps", "Barsine sublucana", "Juliomys anoblepas", "Bellemerea subcandida", "Brucepattersonius talpinus", "Cryptostylis erecta", "Zonaria tournefortii", "Spatoglossum asperum", "Spatoglossum australasicum", "Spatoglossum chapmanii", "Spatoglossum chaudhrianum", "Spatoglossum crassum", "Spatoglossum crispatum", "Spatoglossum dichotomum", "Spatoglossum ecuadoreanum", "Spatoglossum flabelliforme", "Spatoglossum howellii", "Spatoglossum lanceolatum", "Spatoglossum latum", "Spatoglossum macrodontum", "Spatoglossum membranaceum", "Spatoglossum schmittii", "Spatoglossum schroederi", "Spatoglossum spanneri", "Spatoglossum stipitatum", "Spatoglossum subflabellatum", "Spatoglossum variabile", "Spatoglossum vietnamense", "Zonaria angustata", "Zonaria aureomarginata", "Zonaria canaliculata", "Zonaria ciliata", "Zonaria coriacea", "Zonaria crenata", "Zonaria crustacea", "Zonaria diesingiana", "Zonaria farlowii", "Zonaria flabellata", "Zonaria membranacea", "Zonaria rugosa", "Zonaria spiralis", "Zonaria subarticulata", "Zonaria turneriana", "Zonaria zonata", "Chiasmocleis migueli", "Chiasmocleis altomontana", "Chiasmocleis veracruz", "Eupithecia leleupi", "Bryobilimbia austrosaxicola", "Barsine delineata", "Stigmella paracosma", "Stigmella expressa", "Stigmella acalyphae", "Stigmella lepida", "Coilodera alexisi", "Coilodera alveata", "Coilodera arnaudi", "Coilodera chungi", "Coilodera diardi", "Coilodera helleri", "Coilodera kalimantanica", "Coilodera lecourti", "Coilodera lepesmei", "Coilodera mearesi", "Coilodera miksici", "Coilodera montreuili", "Coilodera nobilis", "Coilodera nyassica", "Coilodera penicillata", "Coilodera praenobilis", "Coilodera pseudoalveata", "Coilodera simeuluensis", "Coilodera trisulcata", "Coilodera vitalisi", "Compsocephalus bayeri", "Compsocephalus bennigseni", "Compsocephalus dmitriewi", "Compsocephalus dohertyi", "Compsocephalus horsfieldianus", "Compsocephalus kachowskii", "Compsocephalus kiellandi", "Compsocephalus preussi", "Compsocephalus rotteveeli", "Compsocephalus thomasi", "Marcipalina pustulata", "Marcipalina albescens", "Marcipalina clenchi", "Marcipalina hayesi", "Marcipalina laportei", "Aphyosemion dargei", "Aphyosemion edeanum", "Padina antillarum", "Padina arborescens", "Padina australis", "Padina boergesenii", "Padina boryana", "Padina calcarea", "Padina caulescens", "Padina concrescens", "Padina condominium", "Padina crispata", "Padina distromatica", "Padina ditristromatica", "Padina dubia", "Padina durvillei", "Padina elegans", "Padina fasciata", "Padina fernandeziana", "Padina fraseri", "Padina glabra", "Padina gymnospora", "Padina haitiensis", "Padina ishigakiensis", "Padina japonica", "Padina jonesii", "Padina macrophylla", "Padina maroensis", "Padina melemele", "Padina mexicana", "Padina minor", "Padina moffittiana", "Padina okinawaensis", "Padina pavonicoides", "Padina perindusiata", "Padina plumbea", "Padina profunda", "Padina ramonribae", "Padina ryukyuana", "Padina sanctae-crucis", "Padina somalensis", "Padina stipitata", "Padina sulcata", "Padina terricolor", "Padina tetrastromatica", "Padina thivyae", "Comythovalgus aemulus", "Comythovalgus fasciculatus", "Comythovalgus gallanus", "Comythovalgus gedyei", "Comythovalgus kenyensis", "Comythovalgus kilimanus", "Comythovalgus luvungiensis", "Comythovalgus modestus", "Comythovalgus plumatus", "Comythovalgus pustulipennis", "Comythovalgus sansibaricus", "Comythovalgus unicolor", "Comythovalgus villosus", "Conradtia principalis", "Coptomia cinctiventris", "Coptomia compacta", "Coptomia crassa", "Coptomia opalina", "Coptomia razananae", "Coptomia violacea", "Coptomia bontempsi", "Coptomia lambertoni", "Coptomia apicalis", "Coptomia bertrandi", "Coptomia biguttata", "Coptomia castanoptera", "Coptomia celata", "Coptomia colasi", "Coptomia consobrina", "Coptomia corrugata", "Coptomia costata", "Coptomia cruciata", "Coptomia crucigera", "Coptomia decepta", "Coptomia discipennis", "Coptomia emmae", "Coptomia granulata", "Coptomia humberti", "Coptomia ibityi", "Coptomia jarrigei", "Coptomia laevis", "Coptomia lucida", "Coptomia mandrakae", "Coptomia masoalae", "Coptomia mauritiana", "Coptomia milloti", "Coptomia mimetica", "Coptomia mutabilis", "Coptomia nigriceps", "Coptomia olivacea", "Coptomia oliveri", "Coptomia pauliani", "Coptomia prasina", "Coptomia propinqua", "Coptomia quadrimaculata", "Coptomia rufovaria", "Coptomia sexmaculata", "Coptomia similis", "Coptomia smaragdula", "Coptomia striatopunctata", "Coptomia sulcata", "Coptomia tsaratananae", "Coptomia uniformis", "Coptomia vieui", "Coptomia viossati", "Coptomiopsis descarpentriesi", "Coptomiopsis fimbriata", "Coptomiopsis razananae", "Coptomiopsis viossati", "Corynotrichius bicolor", "Cosmesthes flavosparsa", "Cosmesthes lineatocollis", "Cosmiomorpha horni", "Cosmiomorpha pacholatkoi", "Cosmiomorpha schneideri", "Cosmiomorpha setulosa", "Cosmiomorpha similis", "Cosmiomorpha taiwanomontanus", "Cosmiomorpha tonkinensis", "Cosmiomorpha tricostata", "Cosmiomorpha cheni", "Cosmiomorpha decliva", "Cosmiomorpha fortis", "Cosmiomorpha maolanensis", "Cosmiomorpha nigripedis", "Cosmiomorpha sauteri", "Cosmiomorpha vietnamica", "Cosmiophaena impar", "Cosmiophaena minor", "Cosmiophaena pilosula", "Cosmiophaena rubescens", "Cosmovalgus conradti", "Cosmovalgus ferranti", "Cosmovalgus inornatus", "Costinota decora", "Cotinis boylei", "Cotinis impia", "Cotinis producta", "Cotinis ibarrai", "Cotinis aliena", "Cotinis antonii", "Cotinis barthelemyi", "Cotinis beraudi", "Cotinis columbica", "Cotinis fuscopicea", "Cotinis laticornis", "Cotinis lebasi", "Cotinis lemoulti", "Cotinis olivia", "Cotinis orientalis", "Cotinis paraguayanus", "Cotinis patricialvarezae", "Cotinis pauperula", "Cotinis pokornyi", "Cotinis polita", "Cotinis pueblensis", "Cotinis punctatostriata", "Cotinis rufipennis", "Cotinis sinitoc", "Cotinis sphyracera", "Cotinis subviolacea", "Cotinis viridicyanea", "Cremastocheilus wheeleri", "Cremastocheilus beameri", "Cremastocheilus crinitus", "Cremastocheilus mexicanus", "Cremastocheilus planatus", "Cremastocheilus angularis", "Cremastocheilus robinsoni", "Cremastocheilus tomentosus", "Cremastocheilus academicus", "Cremastocheilus excavatus", "Cremastocheilus hirsutus", "Cremastocheilus opaculus", "Cremastocheilus planipes", "Stigmella misera", "Cremastocheilus quadricollis", "Cremastocheilus saucius", "Cremastocheilus setosifrons", "Cremastocheilus spinifer", "Cremastocheilus armatus", "Cremastocheilus bifoveatus", "Cremastocheilus brevisetosus", "Cremastocheilus canaliculatus", "Cremastocheilus castaneus", "Cremastocheilus chapini", "Cremastocheilus compressipes", "Cremastocheilus congener", "Cremastocheilus constricticollis", "Cremastocheilus cribripennis", "Cremastocheilus densicollis", "Cremastocheilus harrisi", "Cremastocheilus incisus", "Cremastocheilus knochi", "Cremastocheilus lengi", "Cremastocheilus maritimus", "Cremastocheilus mentalis", "Cremastocheilus montanus", "Cremastocheilus nitens", "Cremastocheilus obliquus", "Cremastocheilus pocularis", "Cremastocheilus pugetanus", "Cremastocheilus pulvurulentus", "Cremastocheilus puncticollis", "Cremastocheilus quadratus", "Cremastocheilus retractus", "Cremastocheilus schaumi", "Cremastocheilus squamulosus", "Cremastocheilus stathamae", "Cremastocheilus tibialis", "Cremastocheilus tridens", "Cremastocheilus variolosus", "Cremastocheilus westwoodi", "Cryptodontus latreilleanus", "Cyclidiellus velutinus", "Cyclidinus brasiliensis", "Cyclidinus lugubris", "Cyclidius acherontius", "Cyclidius axillaris", "Cyclidius elongatus", "Cyclidius lacordairei", "Cyclidius nero", "Cyclidius rohdei", "Cymophorus leucostictus", "Cymophorus fluctiger", "Cymophorus francoisi", "Cymophorus margaritiferus", "Cymophorus marginatus", "Cymophorus quadripunctatus", "Cymophorus squamosus", "Cymophorus spiniventris", "Cymophorus flavonotatus", "Cymophorus monticola", "Cymophorus hilaris", "Cymophorus leopoldi", "Cymophorus bouyeri", "Cymophorus lacteosignatus", "Cymophorus leucographus", "Cymophorus heteropygus", "Cymophorus limbatus", "Cymophorus magnificus", "Cymophorus nyansanus", "Cymophorus pulchellus", "Cymophorus schoutedeni", "Cymophorus sexfoveatus", "Cymophorus undatus", "Cyphonocephalus olivaceus", "Cyphonocephalus smaragdulus", "Cyprolais allardi", "Cyprolais aurata", "Cyprolais babaulti", "Cyprolais cornuta", "Cyprolais hornimani", "Cyprolais loricata", "Cyprolais mutica", "Cyprolais quadrimaculata", "Cyprolais ruteri", "Cyprolais selene", "Cyprolais viridipyga", "Cyriodera tuberculicollis", "Cyrtothyrea marginalis", "Cyrtothyrea rubriceps", "Cyrtothyrea rudebecki", "Cyrtothyrea testaceoguttata", "Dasyvalgoides denticulatus", "Dasyvalgus biguttatus", "Dasyvalgus bimaculatus", "Dasyvalgus inarcuatus", "Dasyvalgus modiglianii", "Dasyvalgus addendus", "Dasyvalgus annamensis", "Dasyvalgus beccarii", "Dasyvalgus becvariensis", "Dasyvalgus benesi", "Dasyvalgus biplagiatus", "Dasyvalgus bipustulatus", "Dasyvalgus bonifacyi", "Dasyvalgus cambodjensis", "Dasyvalgus carbonarius", "Dasyvalgus castaneodorsalis", "Dasyvalgus coriaceus", "Dasyvalgus cruciatus", "Dasyvalgus dalatinus", "Dasyvalgus decamaculatus", "Dasyvalgus dohrni", "Dasyvalgus eucharis", "Dasyvalgus flavicauda", "Dasyvalgus flavomaculatus", "Dasyvalgus formosanus", "Dasyvalgus fraterculus", "Dasyvalgus frenzeli", "Dasyvalgus fulvicauda", "Dasyvalgus gilleti", "Dasyvalgus grandis", "Dasyvalgus hauseri", "Dasyvalgus hystrix", "Dicheros cuvera", "Dicheros esmeraldus", "Dicheros felsii", "Dicheros inermiceps", "Dicheros khooi", "Dicheros lividus", "Dicheros lucidus", "Dicheros miksici", "Dicheros modestus", "Dicheros childrenii", "Dicheros nigrotestacea", "Dicheros roepstorffi", "Dicheros bicornis", "Dicheros sumbawanus", "Dichrosoma pinguis", "Dicronocephalus dabryi", "Dicronocephalus shimomurai", "Dicronocephalus uenoi", "Dicronocephalus yui", "Digenethle allardi", "Digenethle antoinei", "Digenethle bhaskarai", "Digenethle caelata", "Digenethle chaminadei", "Digenethle clarki", "Digenethle costata", "Digenethle cuprea", "Digenethle dechambrei", "Digenethle hudsoni", "Digenethle juheli", "Digenethle lachaumei", "Stigmella arequipica", "Digenethle landfordi", "Digenethle nagaii", "Digenethle ramulosipennis", "Digenethle spilophora", "Digenethle subcostata", "Digenethle uhligi", "Dilochrosis atripennis", "Dilochrosis bakewelli", "Dilochrosis balteata", "Dilochrosis bipustulata", "Dilochrosis brownii", "Dilochrosis ebenina", "Dilochrosis flammula", "Dilochrosis nigerrima", "Dilochrosis parvula", "Dilochrosis rufolatera", "Dilochrosis walteri", "Diphrontis carreti", "Diphrontis cruenta", "Diphrontis garnieri", "Diphrontis gerstaeckeri", "Diphrontis monticola", "Diphrontis tigrina", "Diphrontis vethi", "Diphyllomorpha glaberrima", "Diphyllomorpha olivacea", "Diphyllomorpha paotao", "Dasyvalgus ichangicus", "Dasyvalgus infuscatus", "Dasyvalgus inouei", "Dasyvalgus insularis", "Dasyvalgus javus", "Dasyvalgus jordansi", "Dasyvalgus kanarensis", "Dasyvalgus laligantii", "Dasyvalgus ligthbrowni", "Dasyvalgus luctuosus", "Dasyvalgus luteofasciatus", "Dasyvalgus luzonicus", "Dasyvalgus macacus", "Dasyvalgus makiharai", "Dasyvalgus malayensis", "Dasyvalgus mexicanus", "Dasyvalgus militaris", "Dasyvalgus mimus", "Dasyvalgus minahasanus", "Dasyvalgus mindanaonensis", "Dasyvalgus minimus", "Dasyvalgus minutus", "Dasyvalgus miyakei", "Dasyvalgus monachus", "Dasyvalgus montivagus", "Dasyvalgus motuoensis", "Dasyvalgus multicus", "Dasyvalgus nagaii", "Dasyvalgus niger", "Dasyvalgus nigerrimus", "Dasyvalgus nigritus", "Dasyvalgus nigrofasciculatus", "Dasyvalgus nigromaculatus", "Dasyvalgus nudis", "Dasyvalgus obscurus", "Dasyvalgus obsoletus", "Dasyvalgus occidentalis", "Dasyvalgus ochii", "Dasyvalgus ovicollis", "Dasyvalgus palawanus", "Dasyvalgus panaonus", "Dasyvalgus paratomentatus", "Dasyvalgus penicillatus", "Dasyvalgus philippinus", "Dasyvalgus piceus", "Dasyvalgus plebejus", "Dasyvalgus poilaneorum", "Dasyvalgus proximus", "Dasyvalgus pubicollis", "Dasyvalgus pulchellus", "Dasyvalgus pusillum", "Dasyvalgus pusio", "Dasyvalgus pygidialis", "Dasyvalgus pyrrhopygus", "Dasyvalgus quadripustulatus", "Dasyvalgus rollei", "Dasyvalgus rubrothoracicus", "Dasyvalgus ruficauda", "Dasyvalgus rufipennis", "Dasyvalgus rufipes", "Dasyvalgus rugosus", "Dasyvalgus sabahi", "Dasyvalgus sabatinellii", "Dasyvalgus samariensis", "Dasyvalgus sarawakensis", "Dasyvalgus sauteri", "Dasyvalgus schulzei", "Dasyvalgus sellatus", "Dasyvalgus seriesquamosus", "Dasyvalgus setipygus", "Dasyvalgus shimomurai", "Dasyvalgus similis", "Dasyvalgus sommershofi", "Dasyvalgus spineus", "Dasyvalgus stictopygus", "Dasyvalgus striatipennis", "Dasyvalgus subglaber", "Dasyvalgus submontanus", "Dasyvalgus subnitidus", "Dasyvalgus taoi", "Dasyvalgus tessellatus", "Dasyvalgus testaceus", "Dasyvalgus tigrinus", "Dasyvalgus tomentatus", "Dasyvalgus trisinuatus", "Dasyvalgus tristis", "Dasyvalgus trusmadii", "Dasyvalgus tuberculatus", "Dasyvalgus udei", "Dasyvalgus variegatus", "Dasyvalgus varius", "Dasyvalgus vethi", "Dasyvalgus viduatus", "Dasyvalgus wadai", "Dasyvalgus waterstradti", "Dasyvalgus xanthurus", "Dasyvalgus yoshikazui", "Descarpentriesia seyrigi", "Desfontainesia barrei", "Desfontainesia camiadei", "Desfontainesia ghesquieri", "Desfontainesia haugi", "Desfontainesia hecqui", "Desfontainesia hulstaerti", "Desfontainesia leopoldi", "Desfontainesia marchei", "Desfontainesia overlaeti", "Desfontainesia verdoncki", "Desfontainesia viossati", "Desicasta lobata", "Desicasta purpurascens", "Desicasta reichei", "Dialithus magnificus", "Dialithus scintillans", "Diaphonia antoinei", "Diaphonia bacchusi", "Diaphonia dispar", "Diaphonia kerleyi", "Diaphonia lateralis", "Diaphonia luteola", "Diaphonia melanopyga", "Diaphonia notabilis", "Diaphonia palmata", "Diaphonia vicina", "Diaphonia xanthopyga", "Lomaptera diaphonia", "Dicellachilus woodi", "Dicheros bimacula", "Euphoria lesueuri", "Euphoria leucographa", "Euphoria limbalis", "Euphoria lurida", "Euphoria melancholica", "Euphoria monticola", "Euphoria mystica", "Euphoria pilipennis", "Euphoria prepsli", "Euphoria pulchella", "Euphoria quadricollis", "Euphoria schotti", "Euphoria semicostata", "Euphoria sepulcralis", "Euphoria solidula", "Euphoria sonorae", "Euphoria steinheili", "Euphoria subguttata", "Euphoria submaculosa", "Euphoria subtomentosa", "Euphoria verticalis", "Euphoria vestita", "Euphoria westermanni", "Euphoria yucateca", "Stigmella inca", "Eupoecila australasiae", "Eupoecila evanescens", "Eupoecila inscripta", "Eupoecila intricata", "Eupoecila miskini", "Euremina agnella", "Euremina guttata", "Euryomia maculosa", "Euryomia oberthuri", "Euryomia argentea", "Euryvalgus borneensis", "Euryvalgus tibialis", "Euryvalgus tridens", "Euselates setipes", "Euselates adspersa", "Euselates antennatus", "Euselates argodi", "Euselates bojakana", "Euselates cineracea", "Euselates conspersa", "Euselates delponti", "Euselates dissimilis", "Euselates fairmairei", "Euselates furcata", "Euselates goryi", "Euselates haeckelsehnali", "Euselates jansoni", "Euselates katsurai", "Euselates kubani", "Euselates kudrnaorum", "Euselates laotica", "Euselates machatschkei", "Euselates magna", "Euselates makovskyi", "Euselates moupinensis", "Euselates neglecta", "Euselates ornatus", "Euselates perraudieri", "Euselates perroti", "Elaphinis irrorata", "Elaphinis latecostata", "Elaphinis pumila", "Elaphinis cinereonebulosa", "Elpidus hopei", "Endoxazus conradti", "Endoxazus kivuensis", "Endoxazus vingerhoedti", "Enoplotarsus deserticola", "Epistalagma cornuta", "Epistalagma multiimpressa", "Epistalagma octomaculata", "Epitrichius bowringi", "Epitrichius cupreipes", "Epitrichius elegans", "Epitrichius fraterculus", "Epitrichius jakli", "Epitrichius lagopus", "Epitrichius magnificus", "Epitrichius versutus", "Epixanthis fasciolata", "Epixanthis maculitarsis", "Epixanthis nigriceps", "Epixanthis nigripes", "Epixanthis novempunctata", "Epixanthis perrieri", "Epixanthis rostrifera", "Eriopeltastes clarki", "Eriopeltastes clennelli", "Eriopeltastes evansi", "Eriopeltastes leucoprymnus", "Eriopeltastes lineatus", "Eriopeltastes maculatus", "Eriopeltastes montanus", "Eriopeltastes natalensis", "Eriopeltastes ntinini", "Eriopeltastes ornatus", "Eriopeltastes perissinottoi", "Eriulis variolosa", "Erlangeria schoana", "Euchilia quadrata", "Euchilia angusta", "Euchilia chicheryi", "Euchilia costifera", "Euchilia cupricollis", "Euchilia donckieri", "Euchilia externecostata", "Euchilia laxecostata", "Euchilia picipes", "Euchilia plicipennis", "Euchilia protensa", "Euchilia pseudostriata", "Euchilia puncticollis", "Euchilia saturata", "Euchilia striata", "Euchilia subcostata", "Euchilia subvidua", "Euchilia sulcata", "Euchloropus laetus", "Euchroea abdominalis", "Euchroea anthracina", "Euchroea auripigmenta", "Euchroea aurora", "Euchroea aurostellata", "Diphyllomorpha parryi", "Diphyllomorpha pseudovitalisi", "Diphyllomorpha sakaii", "Diphyllomorpha spinarcuata", "Diphyllomorpha vitalisi", "Diphyllomorpha xiengkhouangensis", "Diploa abyssinica", "Diploa ghesquiereae", "Diploa proles", "Diploa rufiventris", "Diploa tridens", "Diploeida modesta", "Diplognatha blanchardi", "Diplognatha crampeli", "Diplognatha gagates", "Diplognatha inaequalis", "Diplognatha mhondana", "Diplognatha montana", "Diplognatha pagana", "Diplognatha preussi", "Diplognatha purpurascens", "Diplognatha subaenea", "Diplognatha viridichalcea", "Diplognatha viridula", "Dirrhina iris", "Dischista bouyeri", "Dischista cincta", "Dischista cuneata", "Dischista ewerti", "Dischista impunctata", "Dischista legrandi", "Dischista lerui", "Dischista lizleri", "Dischista rojkoffi", "Dischista rufa", "Dischista staudingeri", "Discopeltis apicalis", "Discopeltis barbertonensis", "Discopeltis bellula", "Discopeltis conradsi", "Discopeltis fairmairei", "Discopeltis kamerunensis", "Discopeltis mashona", "Discopeltis simonis", "Discopeltis tricolor", "Discopeltis variabilis", "Discopeltis zechendorfi", "Dolichostethus angolensis", "Stigmella coronaria", "Dolichostethus atomosparsus", "Dolichostethus etiopicus", "Dolichostethus levis", "Dolichostethus patrizii", "Doryscelis annaemariae", "Doryscelis calcarata", "Doryscelis humbloti", "Dymusia cyanea", "Dymusia immaculata", "Dymusia nitidula", "Dymusia romyae", "Dymusia variabilis", "Eccoptomia sexsulcata", "Elaphinis adspersula", "Elaphinis delagoensis", "Euselates proxima", "Euselates pulchella", "Euselates quadrilineatus", "Euselates rufipes", "Euselates rugosicollis", "Euselates sanguinosa", "Euselates scenica", "Euselates stictica", "Euselates strasseni", "Euselates stricticollis", "Euselates tonkinensis", "Euselates trifasciata", "Euselates virgata", "Euselates vitticollis", "Euselates vouauxi", "Euselates whiteheadi", "Euselates wittmeri", "Eutelesmus simplex", "Excisivalgus csikii", "Excisivalgus klapperichi", "Fornasinius fornasini", "Fornasinius higginsi", "Fornasinius klingbeili", "Fornasinius russus", "Gametis andrewesi", "Gametis bealiae", "Gametis histrio", "Gametis incongrua", "Gametis jucunda", "Gametis plagiata", "Gametis versicolor", "Gametoides sanguinolenta", "Gametoides subfasciata", "Gariep patera", "Genuchinus digitatus", "Genuchinus ineptus", "Genuchinus moroni", "Genuchinus muzo", "Genuchinus nevermanni", "Genuchinus parvulus", "Genuchinus peruanus", "Genuchinus sulcipennis", "Genuchinus velutinus", "Genuchus basilewskyi", "Genuchus benedictorum", "Stigmella eiffeli", "Genuchus brevitarsis", "Genuchus colasi", "Genuchus congoensis", "Genuchus crassipes", "Genuchus dealbatus", "Genuchus dimidiatus", "Genuchus elongatulus", "Genuchus felix", "Genuchus flavipennis", "Genuchus hottentottus", "Genuchus lamottei", "Genuchus leoninus", "Genuchus mayidianus", "Genuchus mirei", "Genuchus nasalis", "Genuchus nigriclavus", "Genuchus ovampoensis", "Genuchus perditus", "Euchroea clementi", "Euchroea coelestis", "Euchroea desmaresti", "Euchroea episcopalis", "Euchroea flavoguttata", "Euchroea guerlachi", "Euchroea histrionica", "Euchroea multiguttata", "Euchroea nigra", "Euchroea nigrostellata", "Euchroea oberthuri", "Euchroea parceguttata", "Euchroea spininasuta", "Euchroea urania", "Euchroea vadoni", "Euchroea viossati", "Eudicella aethiopica", "Eudicella bouyeri", "Eudicella chloe", "Eudicella colmanti", "Eudicella cupreosuturalis", "Eudicella daphnis", "Eudicella darwiniana", "Eudicella ducalis", "Eudicella frontalis", "Eudicella inexpectata", "Eudicella intermedia", "Eudicella morgani", "Eudicella nana", "Eudicella pauperata", "Eudicella preissi", "Eudicella smithii", "Eudicella tetraspilota", "Eumacronota ludekingi", "Eumacronota sumatrana", "Eumacronota viridicollis", "Euphoria abreona", "Euphoria anneae", "Euphoria areata", "Euphoria avita", "Euphoria basalis", "Euphoria biguttata", "Euphoria bispinis", "Euphoria boliviensis", "Euphoria candezei", "Euphoria canescens", "Euphoria casselberryi", "Euphoria chontalensis", "Euphoria devulsa", "Euphoria dimidiata", "Euphoria discicollis", "Euphoria eximia", "Euphoria fascifera", "Euphoria fulveola", "Euphoria geminata", "Euphoria hera", "Euphoria herbacea", "Euphoria hirtipes", "Euphoria histrionica", "Euphoria humilis", "Euphoria insignis", "Euphoria iridescens", "Euphoria kernii", "Euphoria leprosa", "Genuchus rubrocinctus", "Genuchus ruficornis", "Genuchus sudanicus", "Genuchus sulcicollis", "Genuchus tomentosus", "Genuchus vaneyeni", "Giesbertiolus festivus", "Giesbertiolus ornatus", "Glaphyronyx bayeri", "Glaphyronyx kenyensis", "Glaphyronyx kinangopinus", "Glaphyronyx luluensis", "Glycosia alboguttata", "Glycosia bakeri", "Glycosia bhaskarai", "Glycosia biplagiata", "Glycosia borneensis", "Glycosia krajciki", "Glycosia luctifera", "Glycosia nishiyamai", "Glycosia nox", "Glycosia palawanica", "Glycosia puella", "Glycosia sakaii", "Glycosia sumatrana", "Glycosia tricolor", "Glycyphana aethiessida", "Glycyphana bella", "Glycyphana binotata", "Glycyphana bisignata", "Glycyphana catena", "Glycyphana fadilae", "Glycyphana georgijevici", "Glycyphana lasciva", "Glycyphana lombokiana", "Glycyphana nigricollis", "Glycyphana papua", "Glycyphana pretiosa", "Glycyphana pulcherrima", "Glycyphana quadriguttata", "Glycyphana reischigi", "Glycyphana rubromarginata", "Glycyphana subcincta", "Glycyphana torquata", "Glycyphana toxopei", "Glycyphana trivittata", "Glycyphana aurora", "Glycyphana lateralis", "Glycyphana luzonica", "Glycyphana maculiceps", "Glycyphana moluccarum", "Glycyphana rubroplagiata", "Glycyphana vernalis", "Glycyphana viridiceps", "Glycyphana allardi", "Glycyphana andamanensis", "Glycyphana aspera", "Glycyphana aterrima", "Glycyphana australiana", "Glycyphana brooksi", "Glycyphana brunnipes", "Glycyphana chamnongi", "Glycyphana cincta", "Glycyphana cretata", "Glycyphana velutina", "Glyptothea excavata", "Glyptothea krikkeni", "Glyptothea moultoni", "Glyptothea whiteheadi", "Glyptotheomima pubescens", "Gnathocera abessinica", "Gnathocera allardi", "Gnathocera angolensis", "Gnathocera angustata", "Gnathocera basilewskyi", "Gnathocera bilineata", "Gnathocera bomokandi", "Gnathocera bonsi", "Gnathocera bourgoini", "Gnathocera convexiuscula", "Gnathocera cruda", "Gnathocera flavovirens", "Gnathocera garnieri", "Stigmella azulella", "Gnathocera hirta", "Gnathocera hyacinthina", "Gnathocera impressa", "Gnathocera katentania", "Gnathocera kudrnai", "Gnathocera lamottei", "Gnathocera leleupi", "Gnathocera luluana", "Gnathocera lurida", "Gnathocera maculipennis", "Gnathocera marginata", "Gnathocera nigrolineata", "Gnathocera overlaeti", "Gnathocera pauliani", "Gnathocera pilicollis", "Gnathocera pilosa", "Gnathocera pubescens", "Gnathocera pulchripes", "Gnathocera quadripunctata", "Gnathocera royi", "Gnathocera sericea", "Gnathocera sericinitens", "Gnathocera submarginata", "Gnathocera sulcata", "Gnathocera trivittata", "Gnathocera truncata", "Gnathocera usafuana", "Gnathocera valida", "Gnathocera varians", "Gnathocera vestita", "Gnathocera villosa", "Gnorimidia toyae", "Gnorimimelus batesi", "Gnorimotrichius albomaculatus", "Gnorimotrichius dolezali", "Gnorimotrichius signatus", "Gnorimotrichius trilineatus", "Gnorimotrichius tronqueti", "Gnorimus armeniacus", "Gnorimus baborensis", "Gnorimus decempunctatus", "Goliathopsis camptotropus", "Goliathopsis cervus", "Goliathopsis despectus", "Goliathopsis duponti", "Goliathopsis esquiroli", "Goliathopsis ferreroi", "Goliathopsis gressitti", "Goliathopsis lameyi", "Goliathopsis maolanus", "Goliathopsis polystrictus", "Goliathopsis velutinus", "Gnorimus subcostatus", "Gnorimus subopacus", "Goliathus atlas", "Goliathus usambarensis", "Golinca bifrons", "Golinca davisi", "Golinca ishiharai", "Golinca trevisani", "Grammopyga cincta", "Grammopyga cincticollis", "Grammopyga marginicollis", "Grandaustralis boomerang", "Guatemalica fuliginosa", "Guatemalica hueti", "Gymnetina alboscripta", "Gymnetina borealis", "Gymnetina cretacea", "Gymnetina grossepunctata", "Gymnetina howdeni", "Gymnetina salicis", "Gymnetis bajula", "Gymnetis bomplandi", "Gymnetis bouvieri", "Gymnetis bruchi", "Gymnetis carbo", "Gymnetis thula", "Gymnetis cerdai", "Gymnetis chalcipes", "Gymnetis chevrolati", "Gymnetis cordobana", "Gymnetis coturnix", "Gymnetis flaveola", "Gymnetis flavomarginata", "Gymnetis goryi", "Gymnetis hebraica", "Gymnetis hepatica", "Gymnetis hieroglyphica", "Gymnetis holosericea", "Gymnetis litigiosa", "Gymnetis luctuosa", "Gymnetis margineguttata", "Gymnetis marmorea", "Gymnetis pantherina", "Gymnetis pardalis", "Stigmella sparsella", "Gymnetis poecila", "Gymnetis pudibunda", "Gymnetis pulchra", "Gymnetis punctipennis", "Gymnetis rufilatris", "Gymnetis schistacea", "Gymnetis sculptiventris", "Gymnetis stellata", "Gymnetis strigosa", "Gymnetis subpunctata", "Gymnetis xanthospila", "Gymnophana oatesi", "Hadrodiplognatha guirali", "Hadrodiplognatha herculeana", "Hadrosticta viridiflua", "Hegemus peregrinus", "Hegemus pluto", "Hegemus vittatus", "Hemiaspidius sanguinosa", "Hemichalcothea inermis", "Hemichnoodes mniszechi", "Hemichnoodes nigriceps", "Hemichnoodes parryi", "Hemiheterorrhina dispar", "Hemiheterorrhina mutabilis", "Hemilia elongata", "Hemilia striata", "Hemilia viossati", "Hemipharis insularis", "Hemiprotaetia boudanti", "Hemiprotaetia dubia", "Hemiprotaetia isarogensis", "Herculaisia melaleuca", "Herculaisia satanas", "Heteralleucosma insignis", "Heteroclita digennaroi", "Heteroclita exoriens", "Heteroclita harworth", "Heteroclita lubojackyi", "Heteroclita milishai", "Heteroclita raeuperi", "Heterocnemis graeca", "Heterocotinis semiopaca", "Heterocotinis terminata", "Heterocranus incisus", "Heterogenius burgeoni", "Heterogenius favosus", "Heterogenius alboguttatus", "Heterogenius albomaculatus", "Heterogenius angustatus", "Heterogenius fossicollis", "Heterogenius lerui", "Heterophana canaliculata", "Heterophana deyrollei", "Heterophana dissimilis", "Heterophana dorsopunctata", "Heterophana haafi", "Heterophana mira", "Heterophana propinqua", "Heterophana rubronigra", "Heterophana seminitida", "Heterophana similis", "Heterophana subcostata", "Heterophana vadoni", "Heteropseudinca arrowi", "Heteropseudinca bergeri", "Heteropseudinca bituberculatus", "Heteropseudinca frater", "Heteropseudinca heinsenius", "Heteropseudinca kilimandjaroensis", "Heteropseudinca kuntzeni", "Heteropseudinca lequeuxi", "Heteropseudinca moseri", "Heteropseudinca pokornyi", "Heteropseudinca variabilis", "Glycyphana cuculus", "Glycyphana darwinensis", "Glycyphana delponti", "Glycyphana enganoensis", "Glycyphana fasciata", "Glycyphana festiva", "Glycyphana gracilipes", "Glycyphana gracilis", "Glycyphana harashimai", "Glycyphana illusa", "Glycyphana inusta", "Glycyphana irianica", "Glycyphana landini", "Glycyphana laotica", "Glycyphana leucogastra", "Glycyphana mediata", "Glycyphana melanaria", "Glycyphana miksici", "Glycyphana minima", "Glycyphana modesta", "Glycyphana moellendorfi", "Glycyphana neglecta", "Glycyphana nepalensis", "Glycyphana nicobarica", "Glycyphana parvula", "Glycyphana peterseni", "Glycyphana petrovitzi", "Glycyphana pusilla", "Glycyphana pygmaea", "Glycyphana quadricolor", "Glycyphana rufovittata", "Glycyphana sarawakensis", "Glycyphana setifera", "Glycyphana steveni", "Glycyphana sumbana", "Glycyphana tambora", "Glycyphana tonkinensis", "Glycyphana unimaculata", "Glycyphana varicorensis", "Glycyphana widagdoi", "Glycyphana mirei", "Glycyphana chewi", "Glycyphana malayensis", "Glycyphana mohagani", "Glycyphana nigra", "Glycyphana siberutensis", "Glycyphana penanga", "Glycyphana aurocincta", "Glycyphana bimaculata", "Glycyphana florensis", "Glycyphana fruhstorferi", "Glycyphana fulvipicta", "Glycyphana fulvistemma", "Glycyphana glauca", "Glycyphana horsfieldi", "Glycyphana hybrida", "Glycyphana macquarti", "Glycyphana maculipennis", "Glycyphana nasalis", "Glycyphana plicata", "Glycyphana pseudoaruensis", "Glycyphana quadrinotata", "Glycyphana rufitincta", "Glycyphana rugipennis", "Heteropseudinca wentzelheckmannae", "Heterorhina lumawigi", "Heterorhina simillima", "Heterorhina amoena", "Heterorhina barmanica", "Heterorhina porphyretica", "Heterorhina borneensis", "Heterorhina chantrainei", "Heterorhina chayuensis", "Heterorhina elegans", "Heterorhina flutschi", "Heterorhina gracilis", "Heterorhina jingkelii", "Heterorhina kuntzeni", "Heterorhina leonardi", "Heterorhina macleayi", "Heterorhina micans", "Heterorhina mimula", "Heterorhina minettii", "Heterorhina nigritarsis", "Heterorhina obesa", "Heterorhina paupera", "Heterorhina planata", "Heterorhina punctatissima", "Heterorhina pyramidalis", "Heterorhina rahimi", "Heterorhina schadenbergi", "Heterorhina sexmaculata", "Heterorhina simula", "Heterorhina sinuatocollis", "Heterorhina tibialis", "Heterorhina triangularis", "Heterorhina versicolor", "Heterosoma alluaudi", "Heterosoma attenuata", "Heterosoma bicarinata", "Heterosoma breve", "Heterosoma collata", "Heterosoma concolor", "Heterosoma densepunctata", "Heterosoma elephas", "Heterosoma exasperata", "Heterosoma favareli", "Heterosoma guerini", "Heterosoma lemoulti", "Heterosoma nodieri", "Heterosoma polleni", "Heterosoma subnitida", "Heterosoma suturale", "Heterosoma sycopantha", "Heterotephraea arborescens", "Heterotephraea dispar", "Heterotephraea marginata", "Heterovalgus alberti", "Heterovalgus antoinei", "Heterovalgus itohi", "Heterovalgus mangolensis", "Heterovalgus poggii", "Heterovalgus popei", "Hiberasta longipilis", "Hologymnetis argenteola", "Hologymnetis cinerea", "Hologymnetis kinichahau", "Hologymnetis margaritis", "Hologymnetis moroni", "Hologymnetis reyesi", "Hologymnetis undulata", "Hologymnetis vulcanorum", "Homothyrea cinctipennis", "Homothyrea helenae", "Homothyrea inornatipennis", "Homothyrea thoracica", "Hoplitovalgus fallaciosus", "Hoplopyga aequatorialis", "Hoplopyga albiventris", "Hoplopyga antilliana", "Hoplopyga boliviensis", "Hoplopyga brasiliensis", "Hoplopyga cerdani", "Hoplopyga foeda", "Hoplopyga gosseti", "Hoplopyga liturata", "Hoplopyga marginesignata", "Hoplopyga miliaris", "Hoplopyga miniata", "Hoplopyga multipunctata", "Hoplopyga ocellata", "Hoplopyga peruana", "Hoplopyga pseudomiliaris", "Hoplopyga ravida", "Hoplopyga riparia", "Hoplopyga ruteri", "Hoplopyga singularis", "Hoplopyga suilla", "Hoplopygothrix atropurpurea", "Hoplopygothrix boliviensis", "Howdenypa gloriosa", "Hybovalgus bioculatus", "Manoneura forcipis", "Hybovalgus fraternus", "Hybovalgus fulvosquamosus", "Hybovalgus kamiyai", "Hybovalgus laticollis", "Hybovalgus major", "Hybovalgus matsudai", "Hybovalgus obsoletsquamosus", "Hybovalgus sexdentatus", "Hybovalgus takasagoensis", "Hybovalgus thoracicus", "Hybovalgus tonkinensis", "Hybovalgus versicolor", "Hybovalgus yunnanus", "Hyphelithia stupida", "Hypselogenia billbergii", "Hypselogenia corrosa", "Hypselogenia geotrupina", "Ichnestoma albomaculata", "Ichnestoma cuspidata", "Ichnestoma ficqi", "Ichnestoma krikkeni", "Ichnestoma luridipennis", "Ichnestoma nasuta", "Ichnestoma perstriata", "Ichnestoma picta", "Ichnestoma pringlei", "Ichnestoma rostrata", "Ichnestoma stobbiai", "Ichnestoma struempheri", "Idiovalgus planicollis", "Inca beschkii", "Inca bonplandi", "Inca burmeisteri", "Inca irrorata", "Inca pulverulenta", "Incala amongoui", "Incala gestroi", "Incala bourgoini", "Incala burgeoni", "Incala calabarina", "Incala camarunica", "Incala cristata", "Incala decellei", "Incala ghesquierei", "Incala gorilla", "Incala leonardi", "Incala lineola", "Incala maculipennis", "Incala moesta", "Incala nigromaculatus", "Incala nubila", "Incala polleti", "Incala proxima", "Incala quimalanca", "Incala resima", "Incala setosa", "Incala setosella", "Incala stampflii", "Incala usambarica", "Incala variegata", "Incala vicina", "Indotrichius gorodinskii", "Indovalgus podicalis", "Ingrisma bezdekorum", "Ingrisma bilobiceps", "Ingrisma burmanica", "Ingrisma cupreola", "Ingrisma euryrrhina", "Ingrisma femorata", "Ingrisma hainanica", "Ingrisma jakli", "Ingrisma katsurai", "Ingrisma mayi", "Ingrisma nasuta", "Ingrisma paralleliceps", "Ingrisma prasina", "Ingrisma sakaii", "Ingrisma spinifemora", "Ingrisma viridipallens", "Ingrisma viridis", "Ingrisma whiteheadi", "Iridisoma acahuizotlensis", "Ischiopsopha atra", "Ischiopsopha castanea", "Ischiopsopha castaneipennis", "Ischiopsopha castanoptera", "Ischiopsopha gigantea", "Ischiopsopha jansoni", "Ischiopsopha messagieri", "Ischiopsopha orientalis", "Ischiopsopha antoinei", "Ischiopsopha arouensis", "Ischiopsopha arthuri", "Ischiopsopha uliasica", "Ischiopsopha utakwa", "Ischiopsopha vellalavellaensis", "Ischiopsopha vicina", "Ischiopsopha violacea", "Ischiopsopha wallacei", "Ischiopsopha wallisiana", "Ischiopsopha wangiensis", "Ischiopsopha willemsteini", "Ischiopsopha yapasbouf", "Ischnoscelis cervantesi", "Ischnoscelis hoepfneri", "Ischnoscelis sinaloensis", "Ischnostomiella denticeps", "Ischnostomiella werneri", "Ischnotarsia bicolor", "Ischnotarsia decorsei", "Ischnotarsia dimidiata", "Ischnotarsia keiseri", "Ischnotarsia scapulata", "Ischnotarsia sericea", "Ischnotarsia tibialis", "Ischnovalgus albosquamosus", "Ischnovalgus collinus", "Ischnovalgus concentricalis", "Ischnovalgus gracilis", "Ischnovalgus kolbei", "Ischnovalgus sulcicollis", "Ixorida decorata", "Ixorida gloriosa", "Ixorida philippei", "Ixorida thoracica", "Ixorida albomaculata", "Ixorida antoinei", "Ixorida apicalis", "Ixorida chuai", "Ixorida clathrata", "Ixorida flavomaculata", "Ixorida fraterna", "Ixorida gordoni", "Ixorida inornata", "Ixorida interrupta", "Ixorida kinabaluensis", "Ixorida luctuosa", "Ixorida mindanaoensis", "Ixorida mindoroana", "Ixorida nagaii", "Ixorida palawanica", "Ixorida pseudoregia", "Ixorida rataji", "Ixorida regia", "Ixorida sabatieri", "Ixorida solomonica", "Ixorida subalpina", "Ixorida venerea", "Ixorida vidua", "Acalyptris murex", "Stigmella polylepielle", "Stigmella pyrellicola", "Ischiopsopha asperipennis", "Ischiopsopha aurora", "Ischiopsopha bennigseni", "Ischiopsopha bifasciata", "Ischiopsopha blancbonnet", "Ischiopsopha bonnetblanc", "Ischiopsopha bourkei", "Ischiopsopha bruyni", "Ischiopsopha cambodiensis", "Ischiopsopha carminatra", "Ischiopsopha ceramensis", "Ischiopsopha chaminadei", "Ischiopsopha chuai", "Ischiopsopha clarki", "Ischiopsopha concinna", "Ischiopsopha cupreopyga", "Ischiopsopha dechambrei", "Ischiopsopha deyrollei", "Ischiopsopha dives", "Ischiopsopha durvillei", "Ischiopsopha emarginata", "Ischiopsopha erratica", "Ischiopsopha esmeralda", "Ischiopsopha gagatina", "Ischiopsopha gestroi", "Ischiopsopha harti", "Ischiopsopha helleri", "Ischiopsopha hoyoisi", "Ischiopsopha hudsoni", "Ischiopsopha hyla", "Ischiopsopha ignipennis", "Ischiopsopha jamesi", "Ischiopsopha keitanis", "Ischiopsopha kerleyi", "Ischiopsopha kuehbandneri", "Ischiopsopha laglaizei", "Ischiopsopha landfordi", "Ischiopsopha latreillei", "Ischiopsopha lucivorax", "Ischiopsopha macfarlanei", "Ischiopsopha magnifica", "Ischiopsopha meeki", "Ischiopsopha minettii", "Ischiopsopha nigriloba", "Ischiopsopha nigropurpurea", "Ischiopsopha nosduhi", "Ischiopsopha obiensis", "Ischiopsopha olivacea", "Ischiopsopha plana", "Ischiopsopha poggii", "Ischiopsopha pulchripes", "Ischiopsopha purpureitarsis", "Ischiopsopha ritsemae", "Ischiopsopha rugata", "Ischiopsopha ruteri", "Ischiopsopha samuelsoni", "Ischiopsopha schaarsmidti", "Ischiopsopha scheini", "Ischiopsopha similis", "Ischiopsopha sticheri", "Ischiopsopha striolatissima", "Ischiopsopha tibialis", "Ischiopsopha tomiensis", "Ischiopsopha uhligi", "Stilbosis pagina", "Immersaria fuliginosa", "Lecidea aurantia", "Ixorida aberrans", "Ixorida bivittata", "Ixorida buschinii", "Ixorida castanea", "Ixorida celebensis", "Ixorida friderici", "Ixorida taruna", "Ixorida acutipennis", "Ixorida barclayi", "Ixorida confusa", "Ixorida distincta", "Ixorida elegans", "Ixorida gueyraudi", "Ixorida gueyraudiana", "Ixorida intermedia", "Ixorida monticola", "Ixorida sakaii", "Ixorida albonotata", "Ixorida basilanensis", "Ixorida florenti", "Ixorida guentheri", "Ixorida heinrichi", "Ixorida magnierei", "Ixorida mouhoti", "Ixorida philippinensis", "Ixorida propinqua", "Jansonia anceps", "Jumnos ferreroiminettiique", "Jumnos roylei", "Jumnos ruckeri", "Kerowagia papua", "Lamellothyrea descarpentriesi", "Lansbergia albonotata", "Lansbergia sordida", "Lansbergia bouyeri", "Lansbergia vanderkelleni", "Lasiotrichius sichuanicus", "Lasiotrichius turnai", "Laurentiana bocandei", "Laurentiana squamulipes", "Lawangia convexicollis", "Lecanoderus ahlwarthi", "Lecanoderus incisus", "Lecanoderus vernayi", "Lenosoma fulgens", "Lepivalgus borneensis", "Lepivalgus pygmaeus", "Lepivalgus striatus", "Leucocelis annae", "Leucocelis annulipes", "Leucocelis brunneipennis", "Leucocelis canui", "Leucocelis chrysocephala", "Leucocelis cognata", "Leucocelis collarti", "Leucocelis couturieri", "Leucocelis decellei", "Leucocelis ferranti", "Leucocelis fuscoaenea", "Leucocelis garnieri", "Leucocelis intermedia", "Leucocelis ivoirensis", "Leucocelis jeanneli", "Leucocelis leonardi", "Leucocelis lunata", "Leucocelis lunicollis", "Leucocelis maraisi", "Leucocelis marginicollis", "Leucocelis niveosticta", "Leucocelis polysticta", "Leucocelis quadriguttata", "Leucocelis septicollis", "Leucocelis versicolora", "Leucocelis kristenseni", "Leucocelis zernyi", "Leucocelis abbotti", "Leucocelis abdita", "Leucocelis abessinica", "Leucocelis adelpha", "Leucocelis adspersa", "Leucocelis aeneicollis", "Leucocelis alboguttata", "Leucocelis albomaculata", "Leucocelis albopilosa", "Leucocelis albosticta", "Leucocelis aldabrensis", "Leucocelis allardi", "Leucocelis amethystina", "Leucocelis amitina", "Leucocelis amoena", "Leucocelis amplicollis", "Leucocelis angustiformis", "Leucocelis apicalis", "Leucocelis bouyeri", "Leucocelis brevis", "Leucocelis bucobensis", "Leucocelis chionosticta", "Leucocelis cincticollis", "Leucocelis coerulescens", "Leucocelis congoensis", "Leucocelis consobrina", "Leucocelis cupricollis", "Leucocelis descarpentriesi", "Leucocelis discicollis", "Leucocelis diversiventris", "Leucocelis elegans", "Leucocelis feana", "Leucocelis franki", "Leucocelis giannatellii", "Leucocelis grandis", "Leucocelis haemorrhoidalis", "Leucocelis haroldi", "Leucocelis hiekei", "Leucocelis hildebrandti", "Leucocelis holdhausi", "Leucocelis irentina", "Leucocelis lacrymans", "Leucocelis latefasciata", "Leucocelis lateriguttata", "Leucocelis lerui", "Leucocelis limbata", "Leucocelis lucidicollis", "Leucocelis maculicollis", "Leucocelis marginata", "Leucocelis melaena", "Leucocelis melanopyga", "Leucocelis morettoi", "Leucocelis mulsanti", "Leucocelis niansana", "Leucocelis nigrithorax", "Leucocelis nitidula", "Leucocelis niveoguttata", "Leucocelis parallelocollis", "Leucocelis pauliani", "Leucocelis plebeja", "Leucocelis polyspila", "Leucocelis pouillaudei", "Leucocelis producta", "Leucocelis puncticollis", "Leucocelis refulgens", "Leucocelis rhodesiana", "Leucocelis rubra", "Leucocelis ruficauda", "Leucocelis rufiventris", "Leucocelis rufocincta", "Leucocelis semicuprea", "Leucocelis similis", "Leucocelis simillima", "Leucocelis spectabilis", "Leucocelis transvaalensis", "Leucocelis triliturata", "Leucocelis uluguruensis", "Leucocelis viossati", "Leucocelis viridissima", "Leucocelis viridiventris", "Leucocelis werneri", "Leucochilus notaticollis", "Liostraca ansata", "Liostraca bella", "Liostraca bina", "Liostraca concolor", "Liostraca fasciata", "Liostraca flavomaculata", "Liostraca integripennis", "Liostraca jota", "Liostraca parallelicollis", "Liostraca semistriata", "Liotrichius anomala", "Lissogenius cantaloubei", "Lissogenius decellei", "Lissogenius ertli", "Lissogenius kamerunus", "Lissogenius leleupi", "Lissogenius planicollis", "Lissogenius simplicipes", "Lissomelas flohri", "Lobovalgus brevicauda", "Lobovalgus burgeoni", "Lobovalgus cantaloubei", "Lobovalgus caudatus", "Lobovalgus decellei", "Lobovalgus distinctus", "Lobovalgus ellenbergeri", "Lophorrhina canui", "Lophorrhina donckieri", "Lophorrhina heinkeli", "Lophorrhina kiellandi", "Lophorrhina macularia", "Lophorrhina overlaeti", "Lophorrhina pentachordia", "Lophorrhina pseudincoides", "Lophorrhina quinquelineata", "Lophorrhina rigouti", "Lophorrhina rondoensis", "Lophorrhina songeana", "Lophorrhina tridenticornis", "Lorkovitschia douglasprimusensis", "Lorkovitschia raja", "Lorkovitschia rustica", "Lucassenia burgoini", "Lucassenia peyrierasi", "Lyraphora bassii", "Lyraphora obliquata", "Lyraphora velutina", "Lyraphora vittivaria", "Macrocranius similis", "Macromina angulicollis", "Macromina tuberculata", "Macronotops curvimarginatus", "Macronotops fulvoguttatus", "Macronotops fulvopilosus", "Macronotops hefengensis", "Macronotops mangshanensis", "Macronotops nigropubescens", "Macronotops ovaliceps", "Macronotops sexmaculatus", "Macronotops subsexmaculatus", "Macronotops unimaculatus", "Macronotops vuilleti", "Macrotina satanas", "Macrotrigonophorus delesserti", "Maneschetocia punctata", "Marmarina argentina", "Marmarina insculpta", "Marmarina maculosa", "Marmarina parvula", "Marmarina tigrina", "Marmylida desfontainei", "Marmylida euparypha", "Marmylida hilaris", "Marmylida hilaroides", "Marmylida impressa", "Marmylida marginella", "Mausoleopsis albomarginata", "Mausoleopsis fallaciosa", "Mausoleopsis flavomaculata", "Mausoleopsis funebris", "Mausoleopsis lizleri", "Mausoleopsis oculata", "Mausoleopsis parvula", "Mausoleopsis pilifera", "Mausoleopsis quadrimaculata", "Mausoleopsis revoili", "Mausoleopsis variabilis", "Mausoleopsis werneri", "Mausoleopsis aldabrensis", "Mausoleopsis amabilis", "Lobovalgus francoisi", "Lobovalgus glabratus", "Lobovalgus kinduensis", "Lobovalgus lerui", "Lobovalgus maynei", "Lobovalgus monstruosus", "Lobovalgus murinus", "Lobovalgus schulzei", "Lobovalgus tavernieri", "Lobovalgus uelensis", "Lomaptera abdominalis", "Lomaptera aciculata", "Lomaptera adelpha", "Lomaptera albertisii", "Lomaptera allardi", "Lomaptera analoga", "Lomaptera annae", "Lomaptera antoinei", "Lomaptera arrowi", "Lomaptera aurata", "Lomaptera australis", "Lomaptera batchiana", "Lomaptera bernsteini", "Lomaptera bonnardi", "Lomaptera bretoni", "Lomaptera bugeiae", "Lomaptera burgeoni", "Lomaptera cinnamomea", "Lomaptera concolor", "Lomaptera corpulenta", "Lomaptera cupriceps", "Lomaptera cyclopensis", "Lomaptera darcisi", "Lomaptera doreica", "Lomaptera doriae", "Lomaptera eximia", "Lomaptera exquisita", "Lomaptera fluminensis", "Lomaptera foersteri", "Lomaptera frederici", "Lomaptera fulgida", "Lomaptera funebris", "Lomaptera gagnyi", "Lomaptera geelvinkiana", "Lomaptera gestroi", "Lomaptera giesbersi", "Lomaptera gilnicki", "Lomaptera girouxi", "Lomaptera gloriosa", "Lomaptera gracilis", "Lomaptera gressitti", "Lomaptera hackeri", "Lomaptera helleri", "Lomaptera helleriana", "Lomaptera heteropyga", "Lomaptera horni", "Lomaptera hoyoisi", "Lomaptera humeralis", "Lomaptera hyalina", "Lomaptera inaequalis", "Lomaptera insularis", "Lomaptera iridescens", "Lomaptera jelineki", "Lomaptera joallandi", "Lomaptera kaestneri", "Lomaptera limbata", "Lomaptera linae", "Lomaptera louisi", "Lomaptera lutea", "Lomaptera macrophylla", "Lomaptera mayri", "Lomaptera meeki", "Lomaptera meridionalis", "Lomaptera miaae", "Lomaptera mixta", "Lomaptera mortiana", "Lomaptera moseri", "Lomaptera moseriana", "Lomaptera mucterophalloides", "Lomaptera mutabilis", "Lomaptera mycterophallus", "Lomaptera negata", "Lomaptera nickerli", "Lomaptera nigroplagiata", "Lomaptera orientalis", "Lomaptera otakwana", "Lomaptera pallidipes", "Lomaptera papua", "Lomaptera pepini", "Lomaptera prasina", "Lomaptera pseudannae", "Lomaptera pseudopulchella", "Lomaptera pseudorufa", "Lomaptera pulchella", "Lomaptera pulchra", "Lomaptera punctata", "Lomaptera pusilla", "Lomaptera pygidialis", "Lomaptera pygmaea", "Lomaptera ribbei", "Lomaptera rigouti", "Lomaptera rosselensis", "Lomaptera rotundata", "Lomaptera rubens", "Lomaptera rufa", "Lomaptera salvadorii", "Lomaptera samuelsoni", "Lomaptera saruwagedana", "Lomaptera satanas", "Lomaptera semicastanea", "Lomaptera simbangensis", "Lomaptera sordida", "Lomaptera splendida", "Lomaptera sticheri", "Lomaptera subarouensis", "Lomaptera thoracica", "Lomaptera tuberculata", "Lomaptera uyttenboogaarti", "Lomaptera vanemdeni", "Lomaptera varians", "Lomaptera versteegi", "Lomaptera vittata", "Lomaptera vrazi", "Lomaptera wahnesi", "Lomaptera wollastoni", "Lomaptera xanthopyga", "Lonchothyrea mozambica", "Lophorrhina bidenticornis", "Neovalgus fumosus", "Neovalgus laetus", "Neovalgus laterufus", "Neovalgus masumotoi", "Neovalgus montanus", "Neovalgus pictus", "Neovalgus scarletus", "Neovalgus sikokuensis", "Neovalgus taiwanus", "Niphetophora carneola", "Niphetophora helota", "Niphetophora hildebrandti", "Niphetophora kivuensis", "Niphetophora lequeuxi", "Niphetophora maleci", "Niphetophora moorei", "Niphetophora thompsonae", "Niphetophora zambiae", "Niphobleta buettneri", "Niphobleta dominula", "Niphobleta niveosparsa", "Niphobleta squamipes", "Niphobleta variegata", "Nipponovalgus angusticollis", "Nipponovalgus yonakuniensis", "Nyassinus lugubris", "Nyassinus maculipes", "Octocollis setosus", "Odontorrhina hispida", "Odontorrhina krigei", "Odontorrhina maraisi", "Odontorrhina pubescens", "Oedipovalgus burgeoni", "Oedipovalgus fulvus", "Oedipovalgus nigrescens", "Oedipovalgus oedipus", "Oplostomus abdominalis", "Oplostomus bicolor", "Oplostomus frontalis", "Oplostomus fuligineus", "Oplostomus haroldi", "Oplostomus meyeri", "Oplostomus nigerrimus", "Oplostomus pectoralis", "Oplostomus rotundiceps", "Oplostomus rufiventris", "Oreoderus aciculatus", "Oreoderus ahrensi", "Oreoderus argillaceus", "Oreoderus bengalensis", "Oreoderus bhutanus", "Oreoderus birmanus", "Oreoderus brevicarinatus", "Oreoderus brevipennis", "Oreoderus clypealis", "Oreoderus crassipes", "Oreoderus gestroi", "Oreoderus gracilicornis", "Oreoderus gravis", "Oreoderus humeralis", "Oreoderus insularis", "Oreoderus longicarinatus", "Oreoderus meridionalis", "Oreoderus momeitensis", "Moriaphila testaceipes", "Moriaphila viossati", "Morokia antoinei", "Morokia bennigseni", "Morokia meeki", "Morokia moluccana", "Morokia viridiaenea", "Moseriana bimaculata", "Moseriana brevipilosa", "Moseriana laevicostata", "Moseriana longipilosa", "Moseriana mai", "Motuotrichius yangi", "Mycterophallus dichropus", "Mycterophallus smaragdinus", "Mycterophallus validipes", "Mycterophallus xanthopus", "Mycterophalus duboulayi", "Myodermides lepesmei", "Myodermidius rohani", "Myodermum alutaceum", "Myodermum consobrinum", "Myodermum fuscum", "Myodermum gestroi", "Myodermum grossum", "Myodermum laevicostatum", "Myodermum latipennis", "Myodermum melanarium", "Myodermum mirei", "Myodermum nigerrinum", "Myodermum nigricollis", "Myodermum nigrum", "Myodermum pusillum", "Myodermum ruficollis", "Myodermum rufipennis", "Myodermum rufum", "Myodermum striatum", "Myodermum tibialis", "Myodermum variegatum", "Myrmecochilus marshalli", "Myrmecochilus neglectus", "Mystroceros macleayi", "Mystroceros rouyeri", "Narycius opalus", "Navigator fossor", "Navigator interior", "Navigator pixii", "Navigator ruficornis", "Neoclithria eburneoguttata", "Neocorvicoana chalybea", "Neocorvicoana reticulata", "Neocorvicoana tricolor", "Neomystroceros widagdoi", "Neophaedimus auzouxi", "Neorrhina calopyga", "Neorrhina octopunctatum", "Neorrhina punctatum", "Neoscelis coracina", "Neoscelis dohrni", "Neoscelis longiclava", "Neovalgus assamensis", "Neovalgus banzai", "Neovalgus chinensis", "Neovalgus formosanus", "Mausoleopsis clouei", "Mausoleopsis dechambrei", "Mausoleopsis eustalacta", "Mausoleopsis lerui", "Mausoleopsis luctifera", "Mausoleopsis provindenciae", "Mausoleopsis raveti", "Mausoleopsis seillierei", "Mausoleopsis selika", "Mawenzhena nitida", "Mecaspidiellus lamottei", "Mecynorhina passerinii", "Mecynorhina bouyeri", "Mecynorhina kraatzi", "Mecynorhina romyae", "Mecynorhina savagei", "Mecynorhina oberthuri", "Mecynorhina torquata", "Mecynorhina harrisii", "Mecynorhina mukengiana", "Mecynorhina taverniersi", "Mecynorhina polyphemus", "Megaphonia adolphinae", "Megaphonia beccarii", "Megaphonia bonnardimilleigue", "Megaphonia knirschi", "Megaphonia pratti", "Melanchroea iridoides", "Meridioclita capensis", "Meroloba antiqua", "Meroloba gestroi", "Meroloba siberutana", "Meroloba spadix", "Meroloba suturalis", "Meroloba trivittata", "Meroloba vittidorsis", "Metallesthes anneliesae", "Metallesthes metallescens", "Metallesthes unicolor", "Metallopseudinca auberti", "Meurguesia albolineata", "Micreuchilia peyrierasi", "Micreuchilia versicolor", "Microchalcothea borneensis", "Microdilochrosis boumai", "Microlomaptera aenea", "Microlomaptera antoinei", "Microlomaptera clarki", "Microlomaptera hudsoni", "Microlomaptera nisbeti", "Microlomaptera pygidialis", "Micropeltus cingulatus", "Micropeltus nigra", "Micropeltus peyrierasi", "Micropoecila cincta", "Microvalgus bicolor", "Microvalgus bruneiensis", "Microvalgus curtus", "Microvalgus duponti", "Microvalgus emarginatus", "Microvalgus excavatus", "Microvalgus idjenensis", "Microvalgus iners", "Microvalgus javanicus", "Microvalgus laoticus", "Microvalgus luzonensis", "Microvalgus mindanaoensis", "Microvalgus modiglianii", "Microvalgus nagaii", "Microvalgus pachyphallus", "Microvalgus parcus", "Microvalgus pilosus", "Microvalgus subemarginatus", "Microvalgus sumatrensis", "Microvalgus micros", "Microvalgus ater", "Microvalgus bursariae", "Microvalgus castaneipennis", "Microvalgus dubius", "Microvalgus elongatus", "Microvalgus fasciculatus", "Microvalgus flavipennis", "Microvalgus gabonensis", "Microvalgus glaber", "Microvalgus gracilis", "Microvalgus kivuensis", "Microvalgus lapeyrousei", "Microvalgus lateralis", "Microvalgus mucronatus", "Microvalgus nigriceps", "Microvalgus nigrinus", "Microvalgus nitidus", "Microvalgus parallelicollis", "Microvalgus quinquedentatus", "Microvalgus rufipennis", "Microvalgus schoutedeni", "Microvalgus scutellaris", "Microvalgus squamipes", "Microvalgus squamiventris", "Microvalgus sulphureus", "Microvalgus termiticola", "Microvalgus turei", "Microvalgus unicarinatus", "Microvalgus vagans", "Microvalgus yilgarnensis", "Miksicus acuminata", "Miksicus arrogans", "Miksicus balthasari", "Miksicus binghami", "Miksicus fraterna", "Miksicus kangeanica", "Miksicus kaszabi", "Miksicus sakaii", "Mimovalgus rufus", "Mireia sternalis", "Molynoptera multiguttata", "Molynopteroides guttiventris", "Moriaphila fascicularis", "Moriaphila fasciculata", "Moriaphila kuntzeni", "Moriaphila legrosi", "Moriaphila parvula", "Moriaphila princeps", "Moriaphila rufescens", "Moriaphila rufipes", "Moriaphila similis", "Moriaphila testacea", "Oreoderus pilosus", "Oreoderus pseudohumeralis", "Oreoderus quadricarinatus", "Oreoderus quadrimaculatus", "Oreoderus rufulus", "Oreoderus siamensis", "Oreoderus sikkimensis", "Oreoderus suco", "Oreoderus waterhousei", "Oreovalgus bryanti", "Oreovalgus montuosicollis", "Oreovalgus sandakanus", "Oroclita adspersa", "Oroclita septentrionalis", "Oroclita werneri", "Oroclita corpulenta", "Osmoderma brevipenne", "Osmoderma caeleste", "Osmoderma cristinae", "Osmoderma dallieri", "Osmoderma davidis", "Osmoderma eremicola", "Osmoderma italica", "Osmoderma richteri", "Osmoderma scabrum", "Osmoderma subplanata", "Oxypelta cincticollis", "Oxypelta rufopicta", "Oxythyrea pygidialis", "Oxythyrea densata", "Oxythyrea guttifera", "Oxythyrea picticollis", "Oxythyrea abigail", "Oxythyrea albopicta", "Oxythyrea cinctelloides", "Oxythyrea dulcis", "Oxythyrea gronbechi", "Oxythyrea pantherina", "Oxythyrea petit", "Oxythyrea podicalis", "Oxythyrea subcalva", "Oxythyrea tripolitana", "Pachnoda abyssinica", "Pachnoda acutipennis", "Pachnoda adelpha", "Pachnoda albini", "Pachnoda allardi", "Pachnoda alluaudi", "Pachnoda antoinei", "Pachnoda ardoini", "Pachnoda arrowi", "Pachnoda babaulti", "Pachnoda basilewskyi", "Pachnoda bax", "Pachnoda berliozi", "Pachnoda bourgeoni", "Pachnoda bousqueti", "Pachnoda bukobensis", "Pachnoda canui", "Pachnoda cervenkai", "Pachnoda chionopleura", "Pachnoda chireyi", "Pachnoda cincticollis", "Pachnoda collinsi", "Plectrone delponti", "Plectrone detanii", "Plectrone endroedii", "Plectrone ismaeli", "Plectrone lugubris", "Plectrone lumawigi", "Plectrone malvari", "Plectrone negricola", "Plectrone nigrocoerulea", "Plectrone nonveilleri", "Plectrone polita", "Plectrone rodriguezi", "Plectrone romblonica", "Plectrone romeoi", "Plectrone sumatrana", "Plectrone tristis", "Plectrone viridipurpurea", "Pleuronota aberrans", "Pleuronota aenea", "Pleuronota allardi", "Pleuronota alleni", "Pleuronota chuai", "Pleuronota elongata", "Pleuronota laterimaculata", "Pleuronota longiuscula", "Pleuronota lumawigi", "Pleuronota monticola", "Pleuronota nigerrima", "Pleuronota nigra", "Pleuronota octomaculata", "Pleuronota patricia", "Pleuronota pseudoelongata", "Pleuronota rufosquamosa", "Pleuronota sakaii", "Pleuronota setosa", "Plochilia perrieri", "Plochilia scalabrii", "Plochiliana peyrierasi", "Podopholis aciculata", "Podopogonus boettcheri", "Podovalgus assmuthi", "Podovalgus griseus", "Poecilopharis allardi", "Poecilopharis angulicollis", "Poecilopharis antoinei", "Poecilopharis aruana", "Poecilopharis babarica", "Poecilopharis bimaculata", "Poecilopharis bouruensis", "Poecilopharis curtisi", "Poecilopharis dechambrei", "Poecilopharis detanii", "Poecilopharis emilia", "Poecilopharis femorata", "Poecilopharis flavens", "Poecilopharis fromontae", "Poecilopharis gressitti", "Poecilopharis kerleyi", "Poecilopharis lachaumei", "Poecilopharis laeviclypeata", "Poecilopharis leai", "Poecilopharis minuta", "Poecilopharis moana", "Poecilopharis morrisi", "Pachnoda concolor", "Pachnoda congoensis", "Pachnoda coolsi", "Pachnoda crassa", "Pachnoda crinita", "Pachnoda dargei", "Pachnoda dechambrei", "Pachnoda demoulini", "Pachnoda denuttae", "Pachnoda dimidiaticollis", "Pachnoda discolor", "Pachnoda divisa", "Pachnoda durandi", "Pachnoda elegantissima", "Pachnoda ephippiata", "Pachnoda fasciata", "Pachnoda fedieri", "Pachnoda fissipuncta", "Pachnoda flavolimbata", "Pachnoda fromenti", "Pachnoda frontalis", "Pachnoda helleri", "Pachnoda histrio", "Pachnoda histrioides", "Pachnoda inscripta", "Pachnoda interrupta", "Pachnoda jokoensis", "Pachnoda katangensis", "Pachnoda kiellandi", "Pachnoda knirschi", "Pachnoda kordofana", "Pachnoda kustai", "Pachnoda lamottei", "Pachnoda lateristicta", "Pachnoda leclercqi", "Pachnoda leonina", "Pachnoda leopoldiana", "Pachnoda lequeuxi", "Pachnoda lerui", "Pachnoda limbata", "Pachnoda limbicollis", "Pachnoda maculipennis", "Pachnoda madaraszi", "Pachnoda madgei", "Pachnoda massajae", "Pachnoda mastrucata", "Pachnoda meloui", "Pachnoda nigritarsis", "Pachnoda nigroplagiata", "Pachnoda nutricia", "Pachnoda onorei", "Pachnoda orphanula", "Pachnoda pendemi", "Pachnoda picturata", "Pachnoda poggei", "Pachnoda polita", "Pachnoda postica", "Pachnoda postmedia", "Pachnoda praecellens", "Pachnoda prasina", "Pachnoda preissi", "Pachnoda pygidiomaculata", "Pachnoda rectangularis", "Pachnoda rigouti", "Pachnoda rougemonti", "Pachnoda rubriventris", "Pachnoda rubrocincta", "Pachnoda rufomarginata", "Pachnoda rwandana", "Pachnoda savignyi", "Pachnoda sciencesnati", "Pachnoda semiflava", "Pachnoda sjoestedti", "Pachnoda spinipennis", "Pachnoda stehelini", "Pachnoda tessmanni", "Pachnoda thoracica", "Pachnoda tridentata", "Pachnoda trimaculata", "Pachnoda uelensis", "Pachnoda upangwana", "Pachnoda vethi", "Pachnoda viridana", "Pachnoda viridiflua", "Pachnoda vitticollis", "Pachnoda vossi", "Pachnoda vuilleti", "Pachnoda watulegei", "Pachnoda werneri", "Pachnodoides murphyi", "Paleira femorata", "Paleopragma cabellai", "Paleopragma petersi", "Panglaphyra bougainvillei", "Panglaphyra duboulayi", "Panglaphyra ghanonggaensis", "Panglaphyra pseudomarginicollis", "Pantodinus klugi", "Pantolia flavomarginata", "Parachilia bicolor", "Parachilia bufo", "Parachilia compacta", "Parachilia leroyi", "Parachilia peyrierasi", "Parachilia purpurea", "Parachilia cincticollis", "Parachilia melanocala", "Parachilia ochracea", "Parachilia rugosiceps", "Parachilia testaceipennis", "Paracyclidius bennetti", "Paragnorimus aenescens", "Paragnorimus atratus", "Paragnorimus glaseri", "Paragnorimus guatemalensis", "Paragnorimus hondurensis", "Paragnorimus howdeni", "Paragnorimus linea", "Paragnorimus sambucus", "Paragnorimus velutinus", "Paralleucosma glycyphanoides", "Paranelaphinis adspersa", "Paranelaphinis cuprea", "Paranelaphinis signata", "Parapilinurgus chinensis", "Parapilinurgus hiekei", "Parapilinurgus inexpectatus", "Parapilinurgus masumotoi", "Paratrichius sakaii", "Paratrichius saucius", "Paratrichius septemdecimguttatus", "Paratrichius siamicus", "Paratrichius taiwanus", "Paratrichius thibetanus", "Paratrichius tigris", "Paratrichius turnai", "Paratrichius versicolor", "Paratrichius vicinus", "Paratrichius vitalisi", "Paratrichius vittatus", "Paratrichius zideki", "Paraxeloma mashuna", "Parelaphinis moesta", "Parepixanthis gueyraudi", "Parepixanthis octopunctata", "Pareuchilia fulgida", "Pareuchilia micans", "Pareuchilia tarsalis", "Pareuchilia vadoni", "Pedinorrhina cinctipennis", "Pedinorrhina taenia", "Pedinorrhina mhondana", "Pedinorrhina plana", "Pedinorrhina recurva", "Pedinorrhina sellata", "Pedinorrhina septa", "Pedinorrhina subaenea", "Pedinorrhina submarginata", "Pedinorrhina swanzyana", "Pedinorrhina undulata", "Pedinorrhina viridicollis", "Pedinorrhina watkinsiana", "Penthima aciculata", "Peotoxus bacchusi", "Periphanesthes aurora", "Petrovitzia guilloti", "Petrovitzia pilosa", "Phaedimus inermis", "Phaedimus boudanti", "Phaedimus cumingi", "Phaedimus howdeni", "Phaedimus ishidai", "Phaedimus jagori", "Phaedimus lumawigi", "Phaedimus lydiae", "Phaedimus meridionalis", "Phaedimus mohnikei", "Phaedimus rafaelii", "Phaedimus wittei", "Phaedimus zebuanus", "Phaneresthes flavosignata", "Phaneresthes flavovariegata", "Phaneresthes meunieri", "Philistina benesi", "Philistina compagnei", "Philistina gestroi", "Philistina microphylla", "Philistina minettii", "Philistina salvazai", "Philistina tonkinensis", "Philistina yunnanus", "Philistina arunachalensis", "Parapilinurgus variegatus", "Paraplectrone crassa", "Paraplectrone kitangladensis", "Parapoecilophila kraatzi", "Paraprotaetia borneana", "Paraprotaetia fulva", "Paraprotaetia juliae", "Paraprotaetia nielseni", "Paraprotaetia sumatrana", "Pararhabdotis setigera", "Pararhabdotis siberutensis", "Pararhabdotis tubericeps", "Pararhynchocephala rufoscutata", "Parastraella viridana", "Paratrichius akane", "Paratrichius alboguttatus", "Paratrichius albolineatus", "Paratrichius alexis", "Paratrichius becvari", "Paratrichius brevifolius", "Paratrichius campagnei", "Paratrichius castanus", "Paratrichius circularis", "Paratrichius cruentus", "Paratrichius discolor", "Paratrichius diversicolor", "Paratrichius doenitzi", "Paratrichius duplicatus", "Paratrichius elegantulus", "Paratrichius festivus", "Paratrichius flavipes", "Paratrichius fujiokae", "Paratrichius geibiensis", "Paratrichius guttatus", "Paratrichius hajeki", "Paratrichius hatay", "Paratrichius inscriptus", "Paratrichius itoi", "Paratrichius iwasei", "Paratrichius jansoni", "Paratrichius kucerai", "Paratrichius kyushuensis", "Paratrichius laoticus", "Paratrichius loi", "Paratrichius malaisei", "Paratrichius marmoreus", "Paratrichius meridionalis", "Paratrichius nicoudi", "Paratrichius nigridorsis", "Paratrichius nitidicauda", "Paratrichius nomurai", "Paratrichius oberthueri", "Paratrichius obscurus", "Paratrichius osimanus", "Paratrichius papilionaceus", "Paratrichius pauliani", "Paratrichius pouillaudei", "Paratrichius pulchellus", "Paratrichius pullatus", "Paratrichius ricchiardii", "Paratrichius riekoae", "Paratrichius rotundatus", "Paratrichius rubrodecoratus", "Paratrichius rufescens", "Philistina bicoronatus", "Philistina nishikawai", "Philistina sakaii", "Philistina aurita", "Philistina khasiana", "Philistina manai", "Philistina tibetana", "Philistina squamosus", "Philistina vollenhoveni", "Philistina fujiokai", "Philistina inermis", "Philistina javanus", "Philistina knirschi", "Philistina pilosus", "Philistina zebuanus", "Philistina rhinophyllus", "Phonopleurus costipennis", "Phonotaenia aequinoctialis", "Phonotaenia aethiopica", "Phonotaenia angustata", "Phonotaenia balteata", "Phonotaenia bipunctata", "Phonotaenia bouyeri", "Phonotaenia camiadei", "Phonotaenia centralis", "Phonotaenia clarkei", "Phonotaenia hassoni", "Phonotaenia lerui", "Phonotaenia nigriceps", "Phonotaenia scalaris", "Phonotaenia schoutedeni", "Phonotaenia tigrina", "Phoxomela umbrosa", "Phoxomeloides bella", "Phoxomeloides circumscripta", "Phoxomeloides gedyei", "Phoxomeloides laticincta", "Pileotrichius austerus", "Pileotrichius maynei", "Pileotrichius podicalis", "Pileotrichius tristiculus", "Pilinopyga ornatipennis", "Pilinurgus hirtus", "Pilinurgus subundatus", "Placodidus compransor", "Placodidus extraneus", "Placodidus monstrosus", "Placodidus planissimus", "Placodidus simplex", "Placodidus squamosus", "Placodidus tuberculatus", "Platygenia barbata", "Platygenia exarata", "Platygenia macleayi", "Platygenia rougeoti", "Platygeniops elongatus", "Platygeniops exspectans", "Platynocephalus arnaudi", "Platynocephalus hamiltoni", "Platynocephalus miyashitai", "Platysodes jansoni", "Platysodes verlorenii", "Plectrone borneensis", "Plectrone brongersmai", "Protaetia insperata", "Protaetia miharai", "Protaetia miyakoensis", "Protaetia nigropurpurea", "Protaetia olivacea", "Protaetia pulverisata", "Protaetia rudis", "Protaetia sircari", "Protaetia speculifera", "Protaetia tropida", "Protaetia montana", "Protaetia distincta", "Protaetia gestroi", "Protaetia inanis", "Protaetia milani", "Protaetia rubrocuprea", "Protaetia acutissima", "Protaetia gillesi", "Protaetia laotica", "Protaetia absidata", "Protaetia aethiessina", "Protaetia agglomerata", "Protaetia allardi", "Protaetia annae", "Protaetia asiatica", "Protaetia aterrima", "Protaetia bogdanoffi", "Protaetia cyanea", "Protaetia excavata", "Protaetia interruptecostata", "Protaetia karbalayei", "Protaetia khorasanica", "Protaetia kohouseki", "Protaetia loudai", "Protaetia lugubrides", "Protaetia oblonga", "Protaetia petrovi", "Protaetia proctotricha", "Protaetia renei", "Protaetia sardea", "Protaetia schelkovnikovi", "Protaetia subpilosa", "Protaetia trojana", "Protaetia turkestanica", "Protaetia vidua", "Protaetia adspersa", "Protaetia aruensis", "Protaetia davaoana", "Protaetia engelhardi", "Protaetia fruhstorferi", "Protaetia handschini", "Protaetia insularis", "Protaetia keyensis", "Protaetia papuana", "Protaetia prolongata", "Protaetia solorensis", "Protaetia taciturna", "Protaetia tesari", "Protaetia tristicula", "Protaetia turlini", "Protaetia exasperata", "Protaetia lenzi", "Protaetia butozani", "Protaetia cupriceps", "Protaetia hageni", "Protaetia hammondi", "Protaetia heinrichi", "Protaetia hiekeiana", "Protaetia humeralis", "Protaetia ignot", "Protaetia igorota", "Protaetia incerta", "Protaetia indecora", "Protaetia ismaeli", "Protaetia johani", "Protaetia kawaii", "Protaetia kulzeri", "Protaetia kurosawai", "Protaetia labarosae", "Protaetia leucogramma", "Protaetia leucopyga", "Protaetia limbicollis", "Protaetia lineata", "Protaetia marceani", "Protaetia miksici", "Protaetia mindoroensis", "Protaetia nigra", "Protaetia nocturna", "Protaetia obiensis", "Protaetia obscurella", "Protaetia obtusa", "Protaetia pauperata", "Protaetia pavicevici", "Protaetia peregrina", "Protaetia plebeja", "Protaetia prevosti", "Protaetia pseudoheydeni", "Protaetia puncticollis", "Protaetia quadriadspersa", "Protaetia querula", "Protaetia rana", "Protaetia reflexa", "Protaetia resplendens", "Protaetia ruteri", "Protaetia salomoensis", "Protaetia salvazai", "Protaetia sangirensis", "Protaetia scepsia", "Protaetia scutellaris", "Protaetia siamensis", "Protaetia squamipennis", "Protaetia subviridis", "Protaetia sulana", "Protaetia sulawesiana", "Protaetia talicici", "Protaetia tenuicollis", "Protaetia ternatana", "Protaetia tibialis", "Protaetia tomiana", "Protaetia vermifer", "Protaetia vietnamica", "Protaetiomorpha felina", "Protaetiomorpha flavovariegata", "Protaetiomorpha inornata", "Protochilus auropilosus", "Protochilus desaegeri", "Protoclita tuberifrons", "Pseudagenius testaceipennis", "Poecilopharis poggii", "Poecilopharis porioni", "Poecilopharis pygidialis", "Poecilopharis quadrimaculata", "Poecilopharis rufofemorata", "Poecilopharis ruteri", "Poecilopharis samuelsoni", "Poecilopharis schochi", "Poecilopharis speiseri", "Poecilopharis truncatipennis", "Poecilopharis uniformis", "Poecilopharis valcklucasseni", "Poecilopharis wallacei", "Poecilopharis whitei", "Poecilopharis woodfordi", "Pogoniotarsus cruciatus", "Pogoniotarsus crucifer", "Pogoniotarsus niger", "Pogoniotarsus vescoi", "Pogonopus argentifer", "Pogonopus pusillus", "Pogonotarsus gerardi", "Pogonotarsus plumiger", "Polyplastus assarius", "Polyplastus bicolor", "Polyplastus ovatus", "Polystalactica perroudi", "Polystalactica elegantula", "Polystalactica jossoi", "Polystalactica touroulti", "Polystalactica affinis", "Polystalactica congoensis", "Polystalactica conspergata", "Polystalactica erythreana", "Polystalactica furfurosa", "Polystalactica incerta", "Polystalactica maculipennis", "Polystalactica muscula", "Polystalactica paulula", "Polystalactica punctulata", "Polystalactica sansibarica", "Polystalactica spectabilis", "Polystalactica stellata", "Polystalactica velutina", "Porphyronota alluaudi", "Porphyronota carnifex", "Porphyronota chireyi", "Porphyronota choana", "Porphyronota cinnamomea", "Porphyronota congoensis", "Porphyronota desfontainei", "Porphyronota hebraea", "Porphyronota maculatissima", "Porphyronota maculipennis", "Porphyronota nyassica", "Porphyronota preissi", "Porphyronota rougemonti", "Porphyronota severini", "Porphyronota spinata", "Porphyronota tessellata", "Porphyronota tottenhami", "Porphyronota variegata", "Priscorrhina velutina", "Problerhinus buchholzi", "Protaetia hallegueni", "Protaetia venerabilis", "Protaetia adelpha", "Protaetia dayaoensis", "Protaetia rufescens", "Protaetia thibetana", "Protaetia spectabilis", "Protaetia chaminadei", "Protaetia chicheryiana", "Protaetia ciliata", "Protaetia confusa", "Protaetia crassipes", "Protaetia engganica", "Protaetia fukinukii", "Protaetia hamidi", "Protaetia medvedevi", "Protaetia mentawaica", "Protaetia miksiciana", "Protaetia mineti", "Protaetia mixta", "Protaetia peterjacki", "Protaetia rataji", "Protaetia sakaiana", "Protaetia strigicollis", "Protaetia ventralis", "Protaetia afflicta", "Protaetia ignisternum", "Protaetia minima", "Protaetia audreyae", "Protaetia ochroplagiata", "Protaetia afghana", "Protaetia angustata", "Protaetia besucheti", "Protaetia caucasica", "Protaetia cretica", "Protaetia famelica", "Protaetia fausti", "Protaetia fieberi", "Protaetia flutschiana", "Protaetia funebris", "Protaetia funesta", "Protaetia hieroglyphica", "Protaetia ikonomovi", "Protaetia impavida", "Protaetia indica", "Protaetia intricata", "Protaetia jelineki", "Protaetia keithi", "Protaetia marginicollis", "Protaetia mayeti", "Protaetia multifoveolata", "Protaetia neglecta", "Protaetia nitididorsis", "Protaetia opaca", "Protaetia paulianiana", "Protaetia splendidula", "Protaetia yunnana", "Protaetia aurichalcea", "Protaetia horni", "Protaetia regalis", "Protaetia bellula", "Protaetia caudata", "Protaetia conspersa", "Protaetia delponti", "Problerhinus mouffleti", "Protaetia niveoguttata", "Protaetia bipunctata", "Protaetia ruteriana", "Protaetia tenuivestis", "Protaetia lombokiana", "Protaetia nusatenggaraensis", "Protaetia descarpentriesi", "Protaetia elegans", "Protaetia inquinata", "Protaetia chewi", "Protaetia procera", "Protaetia wongi", "Protaetia kasriadii", "Protaetia franzi", "Protaetia philippensis", "Protaetia purpurissata", "Protaetia nodieri", "Protaetia flutschi", "Protaetia mandschuriensis", "Protaetia neonata", "Protaetia potanini", "Protaetia sauteri", "Protaetia soulai", "Protaetia latimarginalis", "Protaetia ligularis", "Protaetia sutchuenica", "Protaetia szechenyi", "Protaetia terrosa", "Protaetia mirifica", "Protaetia bifenestrata", "Protaetia boholica", "Protaetia endroedii", "Protaetia gertrudae", "Protaetia inexpectata", "Protaetia kuehbandneri", "Protaetia lumawigi", "Protaetia mariae", "Protaetia nox", "Protaetia teisseyrei", "Protaetia uhligi", "Protaetia marlenae", "Protaetia acantha", "Protaetia bousqueti", "Protaetia davidiana", "Protaetia delavayi", "Protaetia jacobsoni", "Protaetia lyrata", "Protaetia nigrobrunnea", "Protaetia palembangeana", "Protaetia judith", "Protaetia andamanarum", "Protaetia luridoguttata", "Protaetia prunina", "Protaetia novaki", "Protaetia alboguttata", "Protaetia wiebesi", "Protaetia auripes", "Protaetia cataphracta", "Protaetia cathaica", "Protaetia chicheryi", "Protaetia formosana", "Protaetia hainanensis", "Protaetia himalayana", "Protaetia longipennis", "Protaetia mohagani", "Protaetia multiguttulata", "Protaetia excisithorax", "Protaetia rufocuprea", "Protaetia ceylanica", "Protaetia collfsi", "Protaetia fulgidipes", "Protaetia microbalia", "Protaetia pretiosa", "Protaetia timorensis", "Protaetia cyanescens", "Protaetia kulabensis", "Protaetia alorica", "Protaetia andrewsi", "Protaetia herteli", "Protaetia kalisi", "Protaetia lorkovici", "Protaetia pectoralis", "Protaetia porloyi", "Protaetia sutteri", "Protaetia wetarica", "Protaetia oschimana", "Protaetia whitehousei", "Protaetia lecourti", "Protaetia tingaudi", "Protaetia bokonjici", "Protaetia culta", "Protaetia aeneipes", "Protaetia sericophora", "Protaetia advena", "Protaetia ambigua", "Protaetia anneliae", "Protaetia anovittata", "Protaetia antoinei", "Protaetia bidentipes", "Protaetia boudanti", "Protaetia boulleti", "Protaetia bremei", "Protaetia burmanica", "Protaetia buruensis", "Protaetia calcuttensis", "Protaetia candezei", "Protaetia cariana", "Protaetia carinicollis", "Protaetia catanduanesiensis", "Protaetia celebica", "Protaetia ciocolatina", "Protaetia coenosa", "Protaetia coeruleosignata", "Protaetia compacta", "Protaetia cupreola", "Protaetia cupripes", "Protaetia dubitativa", "Protaetia ducalis", "Protaetia elizabethae", "Protaetia evangelinae", "Protaetia ferruginea", "Protaetia francisi", "Protaetia fuscovirens", "Protaetia goudoti", "Protaetia guerini", "Protaetia gueyraudi", "Protaetia guttulata", "Pseudagenius viridicatus", "Pseudalleucosma albonotata", "Pseudalleucosma equatorialis", "Pseudalleucosma machatschkei", "Pseudalleucosma ruteri", "Pseudepixanthis minor", "Pseudepixanthis stella", "Pseudinca admixtus", "Pseudinca bouyeri", "Pseudinca burgeoni", "Pseudinca camerunensis", "Pseudinca dichroa", "Pseudinca fischeri", "Pseudinca horni", "Pseudinca incoides", "Pseudinca ivoriensis", "Pseudinca macgillavryi", "Pseudinca marginicollis", "Pseudinca marmoratus", "Pseudinca olivicolor", "Pseudinca plicatus", "Pseudinca robustus", "Pseudinca rufulus", "Pseudinca schoutedeni", "Pseudinca striatus", "Pseudinca variatus", "Pseudochalcothea ritsemae", "Pseudochalcothea sakaii", "Pseudochalcothea virens", "Pseudochalcotheomima allardi", "Pseudochalcotheomima compacta", "Pseudochalcotheomima sammananni", "Pseudoclinteria cincticollis", "Pseudoclinteria infuscata", "Pseudoclithria adusta", "Pseudoclithria anchoralis", "Pseudoclithria dejecta", "Pseudoclithria erythroptera", "Pseudoclithria hirticeps", "Pseudoclithria kershawi", "Pseudoclithria mastersii", "Pseudoclithria maura", "Pseudoclithria rugosa", "Pseudodiceros nigrocyaneus", "Pseudooxythyrea bordesi", "Pseudopilinurgus aciculatus", "Pseudopilinurgus cribrosus", "Pseudopilinurgus erratus", "Pseudoscaptobius bosumicus", "Pseudostegopterus melolonthinoides", "Pseudotephraea ancilla", "Pseudotephraea cinereus", "Pseudotorynorrhina fortunei", "Pseudotorynorrhina hosoguchii", "Psilocnemis leucosticta", "Ptychodesthes alternata", "Ptychodesthes bicostata", "Ptychodesthes gratiosa", "Ptychodesthes schenklingi", "Pygora albomaculata", "Pygora bourgoini", "Pygora conjuncta", "Pygora cruralis", "Pygora diegana", "Raceloma natalensis", "Reineria aterrima", "Reineria attenuata", "Reineria bakeri", "Reineria biplagiata", "Reineria coeruleosignata", "Reineria grimaulti", "Reineria intermedia", "Reineria kuntzeni", "Reineria megaspilota", "Reineria mineti", "Reineria multoguttata", "Reineria romblonica", "Reineria schaueri", "Reineria thieuleuxi", "Reineria alaini", "Reineria benguetia", "Reineria biguttulata", "Reineria boudanti", "Reineria cartereti", "Reineria dumasi", "Reineria eckeli", "Reineria fasciata", "Reineria flavopunctata", "Reineria francolina", "Reineria immaculata", "Reineria lumawigi", "Reineria luzonica", "Reineria margaritacea", "Reineria miksici", "Reineria moseri", "Reineria multimaculata", "Reineria pehrsoni", "Reineria punctiventris", "Reineria romeoi", "Reineria simillima", "Rhabdotis albinigra", "Rhabdotis albonotata", "Rhabdotis allardi", "Rhabdotis aulica", "Rhabdotis bouchardi", "Rhabdotis corpulenta", "Rhabdotis darfurensis", "Rhabdotis dargei", "Rhabdotis dechambrei", "Rhabdotis fortii", "Rhabdotis gemella", "Rhabdotis giannatellii", "Rhabdotis intermedia", "Rhabdotis kordofana", "Rhabdotis maleci", "Rhabdotis mirei", "Rhabdotis mohamedi", "Rhabdotis mopti", "Rhabdotis perdix", "Rhabdotis picta", "Rhabdotis pontyi", "Rhabdotis semipunctata", "Rhabdotis sobrina", "Rhabdotis ugandensis", "Rhabdotops insularis", "Rhadinotaenia clytus", "Rhadinotaenia lugubris", "Rhadinotaenia meridionalis", "Hypericum jovis", "Aphyosemion raddai", "Pygora gerardi", "Pygora griveaudi", "Pygora luctifera", "Pygora melanura", "Pygora ornata", "Pygora perrieri", "Pygora polyspila", "Pygora quatuordecimguttata", "Pygora raharizoninai", "Pygora rufoplagiata", "Pygora simillima", "Pygora tristis", "Pygora tulearensis", "Pygora cultrata", "Pygora beryllina", "Pygora hirsuta", "Pygora bella", "Pygora bioculata", "Pygora brunneitarsis", "Pygora chicheryi", "Pygora cowani", "Pygora cribricollis", "Pygora cyanea", "Pygora decorata", "Pygora descarpentriesi", "Pygora diedrichi", "Pygora donckieri", "Pygora earina", "Pygora immaculata", "Pygora pouillaudei", "Pygora prasinella", "Pygora pulchripes", "Pygora punctata", "Pygora punctatissima", "Pygora puncticollis", "Pygora pygidialis", "Pygora pygidialoides", "Pygora rufovaria", "Pygora sakarahae", "Pygora sanguineomarginata", "Pygora vadoni", "Pygora viridis", "Pygora zombitsy", "Pygora erythroderes", "Pygora vohemar", "Pygora andranovory", "Pygora ignita", "Pygora lenocinia", "Pygora nigrofasciculata", "Pygovalgus insignis", "Pyrrhopoda castaneidorsis", "Pyrrhopoda elegans", "Pyrrhopoda ellisi", "Pyrrhopoda mantis", "Pyrrhopoda marginata", "Pyrrhopoda marginicollis", "Lecidea campbellensis", "Pyrrhopoda modesta", "Pyrrhopoda oblonga", "Pyrrhopoda pratensis", "Pyrrhopoda ventralis", "Pyrrhopoda viossati", "Raceloma jansoni", "Raceloma leopoldi", "Poeltidea implexa", "Hypericum amblycalyx", "Pisaster brevispinus", "Phalaenopsis japonica", "Aphyosemion heinemanni", "Aphyosemion elegans", "Platyptilia tshukotka", "Platyptilia alexandri", "Gibbasilus brevicolis", "Gibbasilus centrolobus", "Agonandra goldbergiana", "Aphyosemion christyi", "Aphyosemion etsamense", "Anchinia laureolella", "Anchinia laureolella laureolella", "Anchinia laureolella iranica", "Anchinia laureolella afghanica", "Sphaceloderma caespitulum", "Ramitia obliquelineata", "Ramitia kuhitangiensis", "Eumannia neoppositaria", "Halopteris filicina", "Halopteris scoparia", "Halopteris congesta", "Trigonophorus dilutus", "Trigonophorus feae", "Trigonophorus foveiceps", "Trigonophorus gracilipes", "Trigonophorus hookeri", "Trigonophorus ligularis", "Trigonophorus miyashitai", "Trigonophorus nepalensis", "Trigonophorus pucholti", "Trigonophorus rothschildi", "Trigonophorus saundersi", "Trigonophorus scintillans", "Trigonophorus talpa", "Trigonophorus xisana", "Trigonophorus xizangensis", "Trigonophorus yunnanus", "Triplognatha allardi", "Trogodes hulstaerti", "Trogodes squamosus", "Trogodes angolensis", "Trogodes congoensis", "Trogodes delahayei", "Trogodes demeyeri", "Trogodes rotundicollis", "Trogodes touroultiminettii", "Tropinota annabrunae", "Poeltidea inspersa", "Porpidia vulcanoides", "Lecidea kalbii", "Poeltiaria coppinsiana", "Poeltiaria subcontinua", "Rhadinotaenia nickerli", "Rhadinotaenia picta", "Rhagopteryx bilineatus", "Rhagopteryx brahma", "Rhamphorrhina splendens", "Rhinarion legrosi", "Rhinocoeta hauseri", "Rhinocoeta leonardi", "Rhinocoeta ruteri", "Rhinocoeta turbidus", "Rhinocoeta armata", "Rhinocoeta cornuta", "Rhinocoeta limbaticollis", "Rhinocoeta maraisi", "Rhinocoeta sanguinipes", "Rhomborhina fuscipes", "Rhomborhina yunnana", "Rhomborrhina aokii", "Rhomborrhina bossioni", "Rhomborrhina castanea", "Rhomborrhina folschveilleri", "Rhomborrhina formosana", "Rhomborrhina gestroi", "Rhomborrhina gigantea", "Rhomborrhina hamai", "Rhomborrhina hiekei", "Rhomborrhina katsurai", "Rhomborrhina kurosawai", "Rhomborrhina mellyi", "Rhomborrhina microcephala", "Rhomborrhina polita", "Rhomborrhina resplendens", "Rhomborrhina splendida", "Rhomborrhina taiwana", "Rhomborhina unicolor", "Rhomborrhina violacea", "Rhynchocephala hildebrandti", "Rhyxiphloea corticina", "Ruteroides fradei", "Scaptobius aciculatus", "Scaptobius caffer", "Scaptobius capensis", "Scaptobius carinifrons", "Scaptobius kochi", "Scaptobius natalensis", "Scaptobius pentarthrius", "Scaptobius reticulatus", "Scaptobius ursulinarum", "Scaptobius zulu", "Scheinia castaneipennis", "Scheinia ruteri", "Schizorhina atropunctata", "Schizorhina immaculata", "Schochidia chlorotica", "Scythropesthes bicolor", "Simorrhina quadrimaculata", "Simorrhina staudingeri", "Smicorhina concolor", "Smicorhina sayi", "Somalibia bimaculata", "Somalibia guttifera", "Somalibia heydeni", "Somalibia multiguttata", "Somalibia sternalis", "Halopteris funicularis", "Halopteris paniculata", "Halopteris novae-zelandiae", "Halopteris platycena", "Halopteris pseudospicata", "Halopteris ramulosa", "Halopteris obovata", "Halopteris corymbosa", "Halopteris dura", "Halopteris virgata", "Aphyosemion georgiae", "Phloiocaulon squamulosum", "Phloiocaulon foecundum", "Phloiocaulon spectabile", "Phloiocaulon suhrii", "Fundulopanchax deltaensis", "Protohalopteris radicans", "Ptilopogon botryocladus", "Stripsipher superbus", "Stripsipher turneri", "Stripsipher werneri", "Stripsipher zebra", "Synistovalgus bifasciatus", "Synistovalgus convexicollis", "Synistovalgus luluensis", "Synistovalgus minutus", "Synistovalgus rougeoti", "Systellorrhina baliola", "Systellorrhina erlangeri", "Systellorrhina kolbei", "Systellorrhina kraatzi", "Systellorrhina tricolor", "Taeniodera abdominalis", "Taeniodera anceps", "Taeniodera angustata", "Taeniodera anthracina", "Taeniodera aurantiaca", "Taeniodera bandahara", "Taeniodera baolocensis", "Taeniodera batillifera", "Taeniodera beaudouini", "Taeniodera bisignata", "Taeniodera boettcheri", "Taeniodera borneensis", "Taeniodera bourgoini", "Taeniodera brahmana", "Taeniodera bufo", "Taeniodera bujanga", "Taeniodera celebensis", "Taeniodera cervina", "Taeniodera chewi", "Taeniodera coomani", "Taeniodera coorgica", "Taeniodera cordata", "Taeniodera corticalis", "Taeniodera crucicollis", "Taeniodera cupreicollis", "Taeniodera cuprithorax", "Taeniodera dessumi", "Taeniodera ditissima", "Taeniodera ebenina", "Taeniodera egregia", "Taeniodera fenestrata", "Taeniodera flavofasciata", "Taeniodera flavomaculata", "Taeniodera flavosparsa", "Taeniodera fujiokai", "Taeniodera garnieri", "Taeniodera gratiosa", "Taeniodera gregori", "Taeniodera haematica", "Taeniodera halyi", "Taeniodera huaphana", "Taeniodera idolica", "Taeniodera indica", "Taeniodera inermis", "Taeniodera jirouxi", "Taeniodera jucunda", "Taeniodera kinabaluana", "Taeniodera krikkeni", "Taeniodera kubani", "Taeniodera laosensis", "Tephraea pagenstecheri", "Tephraea pulverulenta", "Tephraea setifera", "Tephraea simonsi", "Tephraea simulatrix", "Tephraea sternalis", "Tephraea undulatus", "Tetragonorrhina induta", "Tetragonorrhina peringueyi", "Tetraodorhina bicolor", "Tetraodorhina borealis", "Tetraodorhina cincta", "Tetraodorhina ebenina", "Tetraodorhina fasciata", "Tetraodorhina flavescens", "Tetraodorhina flavociliata", "Tetraodorhina honorinae", "Tetraodorhina integripennis", "Tetraodorhina laevigata", "Tetraodorhina latescutellata", "Tetraodorhina lucens", "Tetraodorhina pauliana", "Tetraodorhina plana", "Tetraodorhina polita", "Tetraodorhina rubrofasciata", "Tetraodorhina rufobasalis", "Tetraodorhina scapha", "Tetraodorhina t-nigrum", "Thaumastopeus agni", "Thaumastopeus brunneipennis", "Thaumastopeus ceylonicus", "Thaumastopeus chicheryi", "Thaumastopeus clavatus", "Thaumastopeus cupripes", "Thaumastopeus floresianus", "Thaumastopeus francki", "Thaumastopeus gloriosus", "Thaumastopeus higginsi", "Thaumastopeus inexpectatus", "Thaumastopeus jampeanus", "Thaumastopeus lombokianus", "Thaumastopeus macgregori", "Thaumastopeus miksici", "Thaumastopeus minettii", "Thaumastopeus miyashitai", "Thaumastopeus nigritus", "Thaumastopeus palawanicus", "Thaumastopeus pugnator", "Thaumastopeus saleijeri", "Thaumastopeus shangaicus", "Thaumastopeus striatus", "Thaumastopeus timoriensis", "Thaumastopeus tristis", "Thaumastopeus westwoodi", "Theodosia katsurai", "Theodosia antoinei", "Theodosia chewi", "Theodosia dinoni", "Theodosia howitti", "Theodosia magnifica", "Theodosia maindroni", "Theodosia miyashitai", "Theodosia nagai", "Theodosia nobuyukii", "Parnassius delphius kiritshenkoi", "Parnassius staudingeri infernalis", "Parnassius delphius infernalis", "Parnassius infernalis", "Parnassius infernalis infernalis", "Parnassius infernalis hoareaui", "Herpodiscus bracteatus", "Herpodiscus chorizocarpus", "Parnassius staudingeri inacessibilis", "Herpodiscus implicatus", "Parnassius staudingeri difficilis", "Herpodiscus reinkei", "Herpodiscus spurius", "Herpodiscus sympodiocarpus", "Herpodiscus carpoglossi", "Herpodiscus multiplex", "Herpodiscus pulvinatus", "Sphacella subtilissima", "Sphacelorbus nanus", "Gibbasilus alboala", "Gibbasilus condylus", "Gibbasilus crinitus", "Gibbasilus arenaceus", "Hebecarpa hebantha", "Hebecarpa myrtilloides", "Bia actorion", "Bia actorion actorion", "Bia actorion ecuatoria", "Bia actorion occulta", "Bia rebeli", "Bia decaerulea", "Syringoderma abyssicola", "Syringoderma australe", "Syringoderma floridana", "Syringoderma phinneyi", "Syringoderma japonicum", "Microzonia velutina", "Sphacelaria reticulata", "Sphacelaria ceylanica", "Sphacelaria cornuta", "Sphacelaria novae-caledoniae", "Sphacelaria affinis", "Sphacelaria australis", "Sphacelaria capensis", "Sphacelaria rigidula", "Stenoptilia agutsana", "Snellenia emarginata", "Stenoptilia nakanensis", "Stenoptilia sapporensis", "Oxyptilus perunovi", "Melanolecia transitoria", "Pterophorus yanagawanus", "Pterophorus jezonicus", "Pterophorus komabensis", "Pterophorus menoko", "Emmelina jezonica pseudojezonica", "Emmelina jezonica", "Melanolecia dissipabilis", "Melanolecia micropsis", "Aphyosemion ogoense", "Melanolecia muscigena", "Melanolecia similigena", "Melanolecia nivalis", "Parnassius phoebus zamalodtschikovi", "Chaetopteris plumosa", "Parnassius charltonius mistericus", "Praomys melanotus", "Herpodiscus durvilleae", "Herpodiscus stewartensis", "Praomys taitae", "Herpodiscus bornetii", "Taeniodera laotica", "Taeniodera luteovaria", "Taeniodera malabariensis", "Taeniodera marmorata", "Taeniodera miksiciana", "Taeniodera minangae", "Taeniodera monacha", "Taeniodera murzini", "Taeniodera niasana", "Taeniodera nigricollis", "Taeniodera nigrithorax", "Taeniodera nigroochracea", "Taeniodera oberthuri", "Taeniodera ochraceipes", "Taeniodera oudemansi", "Taeniodera pentapunctata", "Taeniodera picta", "Taeniodera quadrivittata", "Taeniodera rafflesiana", "Taeniodera rutilans", "Taeniodera sakaii", "Taeniodera salvazai", "Taeniodera sannio", "Taeniodera sericea", "Taeniodera siamensis", "Taeniodera sikerei", "Taeniodera steinkei", "Taeniodera takashii", "Taeniodera tricolor", "Taeniodera trusmadiana", "Taeniodera viridula", "Taeniodera waterhousei", "Taeniodera zebraea", "Tafaia antoinei", "Tafaia bacchusi", "Tafaia brunnea", "Tafaia chaminadei", "Tafaia clarki", "Tafaia difficilis", "Tafaia hudsoni", "Tafaia jullyae", "Tafaia landfordi", "Tafaia ruteri", "Tafaia signifer", "Tafaia tembagapuraensis", "Tafaia viridiaenea", "Tapinoschema digglesi", "Tapinoschema impar", "Tapinoschema lacunosa", "Tarsovalgus hatai", "Taurrhina dedzaensis", "Taurrhina manowensis", "Taurrhina polychrous", "Taurrhina stanleyi", "Taurrhina longiceps", "Taurrhina nireus", "Telochilus freyi", "Tephraea albofasciata", "Tephraea carinicollis", "Tephraea cinctipennis", "Tephraea cinerea", "Tephraea dichroa", "Tephraea leucomelaena", "Tephraea morosa", "Pterostylis stenosepala", "Pterostylis stricta", "Pterostylis subtilis", "Theodosia perakensis", "Theodosia pilosipygidialis", "Theodosia rodorigezi", "Theodosia sakaii", "Theodosia telifer", "Theodosia viridiaurata", "Theodosia westwoodi", "Thyreogonia costata", "Tiarocera cornuta", "Tibiotrichius anoguttatus", "Tibiotrichius dombrowskii", "Tibiotrichius dubernardi", "Tibiotrichius flavitarsis", "Tibiotrichius fujiokai", "Tibiotrichius klapperichi", "Tibiotrichius kuatunensis", "Tibiotrichius miwai", "Tibiotrichius sinensis", "Tibiotrichius vietnamensis", "Tibiotrichius violaceus", "Tibiovalgus perplexus", "Tmesorrhina alpestris", "Tmesorrhina chireyi", "Tmesorrhina ganglbaueri", "Tmesorrhina garnieri", "Tmesorrhina iris", "Tmesorrhina laeta", "Tmesorrhina laevis", "Tmesorrhina lequeuxi", "Tmesorrhina pectoralis", "Tmesorrhina pilosipes", "Tmesorrhina runsorica", "Tmesorrhina simillima", "Tmesorrhina tridens", "Tmesorrhina viridicincta", "Tmesorrhina viridicyanea", "Torynorrhina apicalis", "Torynorrhina chantrainei", "Torynorrhina chicheryi", "Torynorrhina distincta", "Torynorrhina flammea", "Torynorrhina fulvopilosa", "Torynorrhina hyacinthina", "Torynorrhina laotica", "Torynorrhina opalina", "Torynorrhina pilifera", "Torynorrhina rufoscutella", "Torynorrhina scutellata", "Torynorrhina thiemei", "Trichaulax arfakensis", "Trichaulax concinna", "Trichaulax kirbyi", "Trichaulax macleayi", "Trichaulax marginipennis", "Trichiotinus affinis", "Trichiotinus assimilis", "Trichiotinus bibens", "Trichiotinus lunulatus", "Trichiotinus obesulus", "Trichiotinus parvulus", "Trichiotinus piger", "Trichiotinus rufobrunneus", "Trichiotinus semiviridis", "Trichiotinus texanus", "Spelaiorrhina rufopyga", "Sphinctovalgus conradti", "Spilophorus aurifer", "Spilophorus cervinus", "Spilophorus grandis", "Spilophorus cretosus", "Spilophorus fernandezi", "Spilophorus kolbei", "Spilophorus lugubris", "Spilophorus maculatus", "Spilophorus plagosus", "Spilophorus pringlei", "Stalagmosoma albellum", "Stalagmosoma cynanki", "Stalagmosoma luctuosa", "Stalagmosoma megastalactica", "Stegopterus obesus", "Stegopterus septus", "Stegopterus suturalis", "Stegopterus vittatus", "Stenonota semirugata", "Stenopisthes frenchi", "Stenotarsia bifasciata", "Stenotarsia discoidalis", "Stenotarsia lanceolata", "Stenotarsia marginicollis", "Stenotarsia melaena", "Stenotarsia plagiata", "Stenotarsia rotundicollis", "Stenotarsia ruteri", "Stenotarsia scotti", "Stenotarsia simillima", "Stenotarsia vadoni", "Stenotarsia velutina", "Stenotarsia vermiculata", "Stenotarsia viettei", "Stenotarsia vittata", "Stephanorrhina adelpha", "Stephanorrhina bella", "Stephanorrhina guttata", "Stephanorrhina isabellae", "Stephanorrhina julia", "Stephanorrhina neumanni", "Stephanorrhina princeps", "Stephanorrhina simillima", "Stephanorrhina simplex", "Stephanorrhina tibialis", "Sternoplus chicheryi", "Sternoplus schaumi", "Stethodesma strachani", "Stethopseudinca maculata", "Storeyus fasciculatum", "Stripsipher braunsi", "Stripsipher centralis", "Stripsipher flavipennis", "Stripsipher jansoni", "Stripsipher lamellatus", "Stripsipher latipennis", "Stripsipher longipes", "Stripsipher monochrous", "Stripsipher morulus", "Stripsipher orientalis", "Stripsipher signatulus", "Stripsipher spectralis", "Thalassocnus natans", "Thalassocnus yaucensis", "Rhizolecia hybrida", "Thalassocnus antiquus", "Thalassocnus carolomartini", "Thalassocnus littoralis", "Zootrophion oblongifolium", "Halecania parasitica", "Pterostylis scabrida", "Halecania subalpivaga", "Pterostylis scitula", "Pterostylis scoliosa", "Pterostylis setifera", "Pterostylis sinuata", "Sphacelaria axilaris", "Sphacelaria sessilis", "Sphacelaria bertiana", "Sphacelaria biradiata", "Sphacelaria brachygonia", "Sphacelaria brevicornis", "Sphacelaria californica", "Sphacelaria masonii", "Sphacelaria carolinensis", "Sphacelaria cervicornis", "Sphacelaria cirrosa", "Sphacelaria didichotoma", "Sphacelaria fluviatilis", "Sphacelaria fusca", "Sphacelaria indica", "Sphacelaria isocnema", "Sphacelaria kovalamensis", "Sphacelaria lacustris", "Sphacelaria limicola", "Sphacelaria nipponica", "Sphacelaria novae-hollandiae", "Sphacelaria plumula", "Sphacelaria recurva", "Sphacelaria sauvageaui", "Sphacelaria solitaria", "Sphacelaria taitensis", "Sphacelaria tribuloides", "Sphacelaria yamadae", "Pterostylis taurus", "Pterostylis telmata", "Pterostylis tenuicauda", "Pterostylis tenuis", "Pterostylis tenuissima", "Aplocheilus panchax", "Stachys riederi var. japonica", "Pogostemon stellatus", "Anisocara gynandromorpha", "Cyanidium maximum", "Pterostylis spathulata", "Platydema bacanicum", "Platydema cyclopsicum", "Pterostylis spissa", "Platydema djuremnaicum", "Platydema halmahericum", "Platydema kaiense", "Platydema papuanum", "Platydema pseudofuligineum", "Coccocarpia aeruginosa", "Platydema seramicum", "Platydema skalei", "Platydema wamenaicum", "Pterostylis splendens", "Platydema weigeli", "Pterostylis squamata", "Platydema biroi", "Pterostylis stenochila", "Coccocarpia asterella", "Accoella akirai", "Accoella thermalis", "Lecania muelleriana", "Prays orthacantha", "Prays spiniprocessa", "Prays erromera", "Prays rectangula", "Prays bisechinata", "Prays tauricornis", "Prays longisaccula", "Prays semilunata", "Prays semicircularis", "Prays dorsiprotrusa", "Prays helanshana", "Prays acinacea", "Melaspilea costaricensis", "Malacodea pulchraria", "Bia decaerulea decaerulea", "Bia decaerulea cayana", "Bia decaerulea pallida", "Bia rebeli rebeli", "Bia rebeli aegina", "Bia rebeli acreana", "Bia rebeli arikeme", "Bia rebeli cuprea", "Bia rebeli tapajos", "Bia rebeli pareci", "Bia caelestis", "Bia pucallpa", "Bia peruana", "Pterostylis voigtii", "Pterostylis wapstrarum", "Pterostylis williamsonii", "Pterostylis woollsii", "Pterostylis xerophila", "Pterostylis zebrina", "Pterostylis ziegeleri", "Coccocarpia culatensis", "Pterostylis \u00d7 conoglossa", "Coccocarpia duidensis", "Nervilia mekongensis", "Pterostylis \u00d7 furcillata", "Pterostylis \u00d7 ingens", "Coccocarpia divergens", "Pterostylis \u00d7 toveyana", "Trichiotinus ventricosus", "Trichiotinus viridans", "Trichiotinus viridulus", "Trichaulax nortoni", "Trichaulax philipsii", "Trichius abdominalis", "Trichius japonicus", "Trichius orientalis", "Trichius quadrilineatus", "Trichius sexualis", "Trichocephala bernardii", "Trichocephala claveaui", "Trichocephala mirei", "Trichocephala angolensis", "Trichocephala brincki", "Trichocephala flavosignata", "Trichocephala legrandi", "Trichocephala puchneri", "Trichocephala werneri", "Trichoneptunides chireyi", "Trichoplus aepytus", "Trichoplus agis", "Trichoplus cordicollis", "Trichoplus laevis", "Trichoplus paradoxus", "Trichoplus schaumi", "Trichoplus spectabilis", "Trichoplus vicinus", "Trichostetha albopicta", "Trichostetha alutacea", "Trichostetha barbertonensis", "Trichostetha calciventris", "Trichostetha coetzeri", "Trichostetha dukei", "Trichostetha fascicularis", "Trichostetha fuscorubra", "Trichostetha hawequas", "Trichostetha mimetica", "Trichostetha potbergensis", "Trichostetha signata", "Trigonopeltastes archimedes", "Trigonopeltastes aurovelutinus", "Trigonopeltastes barbatus", "Trigonopeltastes delta", "Trigonopeltastes deltoides", "Trigonopeltastes discrepans", "Trigonopeltastes femoratus", "Trigonopeltastes floridana", "Trigonopeltastes frontalis", "Trigonopeltastes geometricus", "Trigonopeltastes glabellus", "Trigonopeltastes intermedius", "Trigonopeltastes kerleyi", "Trigonopeltastes pontilis", "Trigonopeltastes sallaei", "Trigonopeltastes simplex", "Trigonopeltastes thomasi", "Trigonopeltastes triangulus", "Trigonopeltastes truncatus", "Trigonopeltastes variabilis", "Trigonopeltastes wappesi", "Trigonophorinus riaulti", "Trigonophorus bonnardi", "Trigonophorus dechambrei", "Coccocarpia fineranii", "Coccocarpia fulva", "Coccocarpia fuscata", "Ouratea palatinatensis", "Coccocarpia gallaicoi", "Coccocarpia homalantha", "Coccocarpia maculata", "Aplocheilus dayi", "Trechus micrangulus", "Trechus dichrous", "Trechus obliquebasalis", "Trechus bodemeyeri", "Trechus larisae", "Trechus zhabyk", "Trechus zhabyk zhabyk", "Trechus zhabyk taishi", "Trechus kokzhotensis", "Trechus aksuensis", "Aepiblemus caeculus", "Aepiblemus marginalis", "Pterostylis thulia", "Coccocarpia blepharophora", "Pterostylis timorensis", "Trechus ketmenicus", "Trechus przewalskyi", "Pterostylis timothyi", "Trechus planioculus", "Trechus brevicorpus", "Trechus scapulatus", "Pterostylis torquata", "Pterostylis tunstallii", "Pterostylis turfosa", "Pterostylis uliginosa", "Pterostylis umbrina", "Coccocarpia ciliata", "Pterostylis ventricosa", "Pterostylis vernalis", "Pterostylis viriosa", "Pterostylis vitrea", "Aplocheilus blockii", "Trechus brevicaudis", "Trechus toksanbaicus", "Trechus simplicens", "Carabus alajensis", "Carabus debilis", "Carabus brachypedilus", "Carabus brachypedilus brachypedilus", "Carabus brachypedilus absentivus", "Carabus longipedatus", "Carabus turcomanorum", "Carabus turcomanorum turcomanorum", "Dicheirotrichus medvedevi", "Dicheirotrichus stenothora", "Trechus ferghanicus", "Trechus batyr", "Trechus dulat", "Trechus goliath", "Trechus goliath goliath", "Trechus goliath ashutorensis", "Oroblemites medvedevi", "Leistus terskeiensis", "Leistus tschitscherini", "Leistus spinangulus", "Platyderus foveipennis", "Platyderus talyschensis", "Brachinus kryzhanovskii", "Brachinus tianshanicus", "Nebria nataliae", "Nebria ferganensis", "Polystalactica allardi", "Nebria ferganensis ferganensis", "Nebria ferganensis urumbashi", "Nebria kirgisica", "Nebria kirgisica kirgisica", "Nebria kirgisica intercalaria", "Coccocarpia elegans", "Coccocarpia fenicis", "Archiaphyosemion guineense", "Dendrobium angustipetalum", "Dendrobium bifalce", "Hebecarpa buxifolia", "Dendrobium subacaule", "Pseudopannaria marcii", "Platydema alticornis", "Galdieria daedala", "Galdieria partita", "Galdieria phlegrea", "Platydema aurimaculatum", "Platydema cederholmi", "Platydema monoceratoides", "Coccocarpia albida", "Platydema jacobsoni", "Platydema selatana", "Platydema marseuli", "Platydema benakatensis", "Tetranychus hirsutus", "Platydema parachalceum", "Platydema zoltani", "Oligonychus neotylus", "Platydema planum", "Platydema pilosiventre", "Platydema sericeum", "Platydema latemarginatum", "Platydema andoi", "Platydema becvari", "Platydema bocaki", "Coccocarpia aphthosa", "Granufilum rivulare", "Platydema cardamonicum", "Platydema guangxicum", "Platydema kovaci", "Platydema loebli", "Platydema masumotoi", "Platydema merkli", "Platydema mindanaoicum", "Platydema palungicum", "Platydema poringicum", "Platydema reibnitzi", "Platydema riedeli", "Platydema sulawesicum", "Platydema yunnanicum", "Atractides lunipes", "Atractides mirkopesici", "Atractides mossahebii", "Atractides nahavandii", "Atractides nodipalpis", "Atractides robustus", "Atractides fluviatilis", "Hygrobates angustipalpis", "Hygrobates bucharicus", "Hygrobates calliger", "Hygrobates fluviatilis", "Hygrobates hamatus", "Hygrobates setosus", "Neumania indentata", "Neumania maharashtris", "Unionicola crassipes", "Unionicola hankoi", "Coccocarpia wilsonii", "Coccocarpia polyphylla", "Coccocarpia portoricensis", "Coccocarpia subtilis", "Coccocarpia tenuissima", "Ceratostylis backeri", "Atractides elburzensis", "Coccocarpia vitellina", "Ceratostylis incognita", "Atractides biscutatus", "Atractides caspicus", "Atractides gereckei", "Atractides gorgani", "Atractides hormozganus", "Atractides hyrcaniensis", "Atractides inflatus", "Atractides iranicus", "Atractides kermanensis", "Trechus maisaicus tarantsha", "Trechus murzorum", "Trechus korzhun", "Trechus dzhalair", "Trechus uygurorum", "Trechus tishetshkini", "Trechus shatrovskyi", "Trechus pallens", "Trechus suan", "Trechus zhabyk tastavensis", "Ouratea pygmaea", "Coccocarpia incisa", "Coccocarpia melalenta", "Coccocarpia micheneri", "Ouratea neoweddelliana", "Coccocarpia microcarpa", "Trechus abdurakhmanovi", "Trechus abeillei", "Trechus academiae", "Trechus acco", "Trechus peynei", "Trechus martelluccii", "Trechus loeffleri", "Trechus bastianinii", "Trechus batuensis", "Trechus relictus", "Trechus oromiensis", "Trechus nezlobinskyi", "Trechus abakumovi", "Trechus mitjaevi", "Trechus tentek", "Trechus kimak", "Trechus terskeiensis", "Trechus terskeiensis terskeiensis", "Trechus terskeiensis ukokensis", "Trechus suluk", "Trechus adustus", "Trechus arrisi", "Trechus animosus", "Trechus jugivagus", "Trechus demissus", "Trechus demissus demissus", "Trechus demissus matshensis", "Trechus pamirensis", "Trechus katranicus", "Trechus egorovi", "Trechus shchurovi", "Trechus putchkovi", "Trechus belovi", "Trechus dudkorum", "Trechus baskonicus", "Trechus zinovievi", "Trechus compactulus", "Trechus toroticus", "Trechus manensis", "Trechus manensis manensis", "Trechus manensis ciseniseicus", "Trechus ongudaicus", "Trechus merenicus", "Trechus alajensis", "Trechus goliath kopylensis", "Trechus goliath karkarensis", "Aplocheilus lineatus", "Trechus batyr batyr", "Trechus batyr karatogani", "Trechus turgenicus", "Trechus turukensis", "Trechus turukensis turukensis", "Trechus turukensis tiupicus", "Trechus turukensis dzhergalanicus", "Trechus khorgosicus", "Trechus kaikanicus", "Trechus exilipenis", "Trechus maisaicus", "Trechus maisaicus maisaicus", "Coccocarpia microphyllum", "Coccocarpia neglecta", "Delta pyriforme", "Coccocarpia molybdaea", "Coccocarpia nitida", "Cuora bourreti", "Trechus pulvinipenis", "Trechus pulvinipenis pulvinipenis", "Trechus pulvinipenis ivanensis", "Trechus tesnensis", "Trechus incisipenis", "Trechus markakolensis", "Trechus zintshenkoi", "Coelogyne chlorophaea", "Spilonema isidioides", "Coelogyne ecarinata", "Coelogyne rubrolanata", "Spilonema japonicum", "Lathagrium conglomeratum", "Lathagrium flaccidulum", "Bythinella temelkovi", "Galumna parakazakhstani", "Zeteana ljiljanae", "Plagigeyeria lukai", "Pseudamnicola goksunensis", "Pseudamnicola merali", "Pseudamnicola marashi", "Arrenurus hastinapurensis", "Niphargus lakusici", "Scheloribates daoensis", "Cotyorica nemethi", "Talicada nyseus khasiana", "Talicada nyseus assamica", "Talicada nyseus annamitica", "Talicada nyseus burmana", "Talicada nyseus macbethi", "Talicada nyseus metana", "Tobochares canaliculatus", "Roeslerstammia metaplastica", "Roeslerstammia hemiadelpha", "Lathagrium multipartiens", "Restrepia purpurea", "Lathagrium orbiculare", "Spergularia nicaeensis", "Rhinella lilyrodriguezae", "Hyalinobatrachium yaku", "Hyalinobatrachium carlesvilai", "Hyalinobatrachium mesai", "Gymnotocinclus canoeiro", "Lathagrium muelleri", "Lathagrium furfuraceum", "Tobochares canthus", "Tobochares emarginatus", "Tobochares kusad", "Tobochares pallidus", "Tobochares kasikasima", "Tobochares sipaliwini", "Tobochares striatus", "Lathagrium furvum", "Endonura longirostris", "Endonura paracentaurea", "Endonura turkmenica", "Roeslerstammia tianpingshana", "Charaxes bocqueti bocqueti", "Charaxes bocqueti oubanguiensis", "Haplolabida pauliani", "Haplolabida lacrimans", "Haplolabida viettei", "Haplolabida marojejensis", "Archichlora monodi", "Archichlora altivagans", "Archichlora ambrimontis", "Archichlora antanosa", "Archichlora florilimbata", "Archichlora florilimbata florilimbata", "Archichlora florilimbata perniciosa", "Archichlora majuscula", "Archichlora nigricosta", "Archichlora pavonina", "Archichlora petroselina", "Archichlora petroselina petroselina", "Archichlora petroselina herbosa", "Archichlora sola", "Archichlora subrubescens", "Archichlora tricycla", "Archichlora vieui", "Archichlora viridicrossa", "Archichlora andranobe", "Archichlora bevilani", "Archichlora ankalirano", "Archichlora povolnyi", "Archichlora alophias", "Archichlora alophias alophias", "Archichlora alophias catalai", "Archichlora jacksoni", "Archichlora crispa", "Archichlora sangoana", "Archichlora rectilineata", "Victoria watsonae", "Victoria nimbosa", "Typhlomys nanus", "Euryphara contentei", "Lathagrium salevense", "Victoria melanochlora", "Conocephalum conicum", "Lathagrium stygium", "Pseudostellaria japonica", "Pseudostellaria palibiniana", "Conocephalum salebrosum", "Semiothisa peyrierasi", "Chiasmia megalesia", "Chiasmia abyssinica", "Chiasmia acutiapex", "Chiasmia adelpha", "Herbulotides griveaudi", "Colocleora chrysomelas", "Lathagrium thysaneum", "Lathagrium turgidum", "Lathagrium verruculosum", "Pseudothyretes nigrita", "Rhipidarctia forsteri", "Rhipidarctia forsteri forsteri", "Rhipidarctia forsteri ruandae", "Rhipidarctia forsteri punctulata", "Rhipidarctia forsteri unicolor", "Metarctia paulis", "Metarctia venustissima", "Bergeria octava", "Cicinnus trini", "Cicinnus magnapuncta", "Istrianis pseudomyricariella", "Istrianis nilssoni", "Druentica coralie", "Druentica patawa", "Lacosoma ostrinum", "Talicada nyseus lami", "Alienia fibigeri", "Alienia combodiaa", "Alienia laosa", "Panca moseri", "Caveana plenalinea", "Antiochtha hemitatos", "Ripeacma rostratiformis", "Ripeacma angustizonalis", "Ripeacma fusoidea", "Ripeacma lunata", "Albireo whistleri", "Albireo savagei", "Colibri cyanotus", "Teleia amilcarella", "Ripeacma ventilatiformis", "Ripeacma sentosa", "Ripeacma oini", "Ripeacma ruae", "Vipera walser", "Pityocona longovata", "Pityocona transovata", "Pityocona monoprocessa", "Pityocona mastoidea", "Pityocona sinuosa", "Pityocona xeropis", "Pityocona porphyroscia", "Pityocona attenuata", "Catocala benedeki", "Catocala concubia", "Ouratea claussenii", "Istrianis myricariella", "Pseudoleptogium diffractum", "Istrianis arenicolella", "Steinera symptychia", "Ouratea disticha", "Dendrobium ayubii", "Tribolonotus choiseulensis", "Tribolonotus parkeri", "Trachylepis gonwouoi", "Ouratea luschnathiana", "Eutropis rugifera", "Dendrobium diffusum", "Mochlus guineensis", "Ouratea pycnanthos", "Istrianis kravchenkoi", "Istrianis wachtlii", "Istrianis brucinella", "Istrianis sattleri", "Istrianis steganotricha", "Istrianis armatus", "Istrianis femoralis", "Teleia comedonella", "Teleia gravosensis", "Teleia angustipennis", "Teleia funebrella", "Istrianis lvovskyi", "Istrianis sruogai", "Raceloma jansoni stobbiai", "Istrianis piskunovi", "Istrianis falkovitshi", "Istrianis kyrgyzsquamella", "Istrianis yemeniasquamella", "Deltoplastis angustifoliacea", "Deltoplastis conjugata", "Deltoplastis curviloba", "Deltoplastis dentata", "Deltoplastis gyroflexa", "Deltoplastis hippocrepica", "Deltoplastis mamillata", "Deltoplastis acutiprocessa", "Deltoplastis maehongsonensis", "Deltoplastis apostatis", "Deltoplastis causidica", "Colocleora splendens", "Colocleora turlini", "Idaea griveaudi", "Eubordeta moinieri", "Amaxia rufobasalis", "Philodicus phiadenensis", "Cerdistus bresseeli", "Trichomachimus hoanganus", "Trichomachimus oreophilus", "Anoplothyrea minima", "Damalis tamdaoensis", "Calvisia kneubuehleri", "Calvisia torquata", "Elymnias esaca tateishii", "Medauromorpha baviensis", "Medauromorpha foedata", "Medauromorpha regina", "Naudea litchiae", "Baculum spinicornum", "Medauroidea regula", "Aplocheilus werneri", "Boreohesperus alcyonis", "Boreohesperus psittacinus", "Boreohesperus vascellus", "Dasylophia wellingi", "Marcipa douala", "Marcipa argyrosemioides", "Marcipa kirdii", "Marcipa accentifera", "Marcipa pinheyi", "Marcipa splendens", "Marcipa aequatorialis", "Marcipa acutangula", "Marcipa carcassoni", "Marcipalina berioi", "Marcipalina tanzaniensis", "Marcipalina violacea", "Ouratea rubescens", "Dendrobium christyanum", "Ouratea plana", "Ouratea terminalis", "Ouratea vulgaris", "Tropidophorus sebi", "Plestiodon takarai", "Cnemaspis kandambyi", "Dixonius kaweesaki", "Cnemaspis leucura", "Opisthotropis shenzhenensis", "Rhinophis roshanpererai", "Gekko nadenensis", "Ahaetulla anomala", "Colocleora lambillioni", "Colocleora derennei", "Colocleora bergeri", "Colocleora bilobata", "Colocleora abdicata", "Colocleora acharis", "Colocleora acharis acharis", "Colocleora acharis delphinensis", "Colocleora binoti", "Colocleora ducleri", "Colocleora calcarata", "Colocleora cellularis", "Colocleora ramosa", "Colocleora dichroma", "Colocleora inaequivalis", "Colocleora ingloriosa", "Colocleora linearis", "Colocleora malvina", "Colocleora refulgens", "Colocleora sanghana", "Deltoplastis gypsopeda", "Deltoplastis prionaspis", "Nothris gregerseni", "Nothris skyvai", "Nothris congressariella", "Nothris declaratella", "Nothris lemniscellus", "Nothris verbascella", "Nothris verbascella verbascella", "Nothris verbascella clarella", "Nothris discretella", "Nothris sulcella", "Nothris sabulosella", "Nothris radiata", "Episimus granpiedrae", "Episimus meranus", "Ouratea ramifera", "Tropinota hirtiformis", "Tropinota iec", "Tropinota ilariae", "Tropinota paulae", "Tropinota senicula", "Tropinota spinifrons", "Tropinota turanica", "Tropinota villiersi", "Tropinota bleusei", "Tropinota squalida", "Tropinota vittula", "Trymodera aterrima", "Uloptera bandai", "Uloptera burgeoni", "Uloptera canui", "Uloptera planata", "Uloptera quangensis", "Uloptera sculptilis", "Vadonidella descarpentriesi", "Vadonidella viossati", "Valgoides albolineatus", "Valgoides perrieri", "Valgus albomaculatus", "Valgus californicus", "Valgus canaliculatus", "Valgus cristatus", "Valgus distinctus", "Oshaibahus kadiae", "Oshaibahus linnavuorii", "Oshaibahus zizyphi", "Elymnias paradoxa", "Stigmaeus bifurcus", "Hemidactylus chipkali", "Stigmaeus miandoabiensis", "Pseudopronematulus nadirae", "Elymnias papua", "Elymnias papua papua", "Dendrobium euryanthum", "Elymnias papua cinereomargo", "Dendrobium faciferum", "Dendrobium hellwigianum", "Cnemaspis aceh", "Cnemaspis andalas", "Cnemaspis minang", "Cnemaspis tapanuli", "Cnemaspis pagai", "Cyrtodactylus payarhtanensis", "Elymnias bammakoo", "Cyrtodactylus lenya", "Elymnias bammakoo bammakoo", "Kerkophorus piperatus", "Kerkophorus vittarubra", "Kerkophorus scrobicolus", "Elymnias bammakoo rattrayi", "Kerkophorus terrestris", "Microkerkus sibaya", "Selatodryas roseosoma", "Selatodryas luteosoma", "Sheldonia fingolandensis", "Ninia teresitae", "Trilepida affinis", "Trilepida macrolepis", "Gyiophis salweenensis", "Gehyra einasleighensis", "Atractus pyroni", "Atractus esepe", "Atractus cerberus", "Aplocheilus kirchmayeri", "Ouratea subvelutina", "Valgus fuscatus", "Valgus heydeni", "Valgus koreanus", "Valgus okajimai", "Valgus parvicollis", "Valgus parvulus", "Valgus quadrimaculatus", "Valgus savioi", "Valgus seticollis", "Valgus smithii", "Valgus sumatranus", "Valgus thibetanus", "Valgus tonkinensis", "Vieuella anchoralis", "Widagdous sumatranus", "Xeloma antoinei", "Xeloma aspersa", "Xeloma atra", "Xeloma burmeisteri", "Xeloma cicatricosa", "Xeloma leprosa", "Xeloma maura", "Xeloma pilicollis", "Xeloma seticollis", "Xeloma tomentosa", "Xeloma vuilleti", "Xeloma werneri", "Xenoloba elegans", "Xenoloba lobata", "Xenoloba nagaii", "Xenoloba speciosa", "Xenoreoderus humilis", "Xenoreoderus nanus", "Xiphoscelis gariepena", "Xiphoscelis lenxuba", "Xiphoscelis schuckardi", "Xiphoscelis sneeubergensis", "Xiphosceloides antoini", "Yanovalgus planiusculus", "Zebinus bimaculatus", "Zebinus flavovirgulatus", "Zebinus villosulus", "Episimus joaquimus", "Episimus eisniveus", "Episimus niveopictus", "Episimus serenus", "Episimus spinuliferus", "Episimus cubaenatus", "Episimus maricao", "Episimus caracanus", "Episimus niveogriseus", "Episimus opponens", "Scythris transcaucasica", "Elymnias papua lactentia", "Diploderma ngoclinense", "Elymnias papua climena", "Elymnias papua euploeoides", "Cnemaspis lineogularis", "Cnemaspis phangngaensis", "Cnemaspis thachanaensis", "Lytorhynchus levitoni", "Gerrhonotus lazcanoi", "Elymnias esaca andersonii", "Elymnias esaca andrewi", "Elymnias esaca borneensis", "Elymnias esaca georgi", "Elymnias esaca pseudodelias", "Elymnias esaca maheswara", "Otitoma cyclophora", "Daphnella crenulata", "Mitrellatoma mitra", "Ovacephala parisae", "Ovacephala extraordinaria", "Planososibia biaculeata", "Planososibia brachyptera", "Dendrobium oreodoxa", "Pannaria decipiens", "Campylopterus pampa", "Fuscopannaria venusta", "Elymnias esaca leontina", "Elymnias esaca leytensis", "Erythromeris obscurior", "Dargeochaeta turlini", "Celaenorrhinus intermixtus", "Celaenorrhinus intermixtus intermixtus", "Celaenorrhinus intermixtus evansi", "Nevesia sampaiana", "Manota sespinaea", "Gibbosporina acuminata", "Manota abscissa", "Manota aciculata", "Manota licina", "Manota loricata", "Gibbosporina amphorella", "Gibbosporina bifrons", "Gibbosporina boninensis", "Gibbosporina didyma", "Gibbosporina elixii", "Gibbosporina leptospora", "Gibbosporina mascarena", "Gibbosporina nitida", "Gibbosporina papillospora", "Gibbosporina phyllidiata", "Gibbosporina sphaerospora", "Gibbosporina thamnophora", "Pachypanchax omalonotus", "Otitoma ottitoma", "Otitoma carnicolor", "Otitoma sororcula", "Otitoma xantholineata", "Otitoma tropispira", "Otitoma boucheti", "Otitoma neocaledonica", "Otitoma hadra", "Otitoma rubiginostoma", "Otitoma elegans", "Otitoma philippinensis", "Otitoma crassivaricosa", "Otitoma philpoppei", "Otitoma nereidum", "Glossostyles perspicua", "Erioderma borbonicum", "Fuscopannaria cacuminum", "Fuscopannaria crystallifera", "Manota clava", "Manota multilobata", "Manota perplexa", "Manota setilobata", "Manota subaristata", "Manota minutula", "Manota aligera", "Manota aristoseta", "Manota ciliata", "Manota exigua", "Manota digitata", "Manota flabellata", "Manota iquitosensis", "Manota limulata", "Manota micella", "Manota nuda", "Manota parvula", "Manota pauloides", "Manota pustulosa", "Manota serrulata", "Aplocheilus parvus", "Manota auriculata", "Manota confixa", "Manota crinita", "Manota fimbriata", "Manota index", "Manota juncta", "Manota parvistylata", "Manota subdentata", "Manota paulula", "Diadocidia globosa", "Diadocidia sevciki", "Diadocidia bruneicola", "Diadocidia sulawesiana", "Diadocidia cizeki", "Diadocidia halopensis", "Diadocidia papua", "Bolitophila antennata", "Bolitophila japonica", "Bolitophila taihybrida", "Leptomorphus alienus", "Leptomorphus ascutellatus", "Leptomorphus baramensis", "Leptomorphus gunungmuluensis", "Dendrobium protractum", "Manota apentachaeta", "Manota acris", "Manota alulata", "Manota clivicola", "Manota cordata", "Manota feminea", "Manota kaindiensis", "Manota lunata", "Manota nimia", "Manota pentachaeta", "Manota siciliculata", "Manota sigma", "Manota unisetata", "Manota calva", "Manota coxata", "Manota ctenophora", "Manota defecta", "Manota orientalis", "Manota palpalis", "Manota serawei", "Manota taedia", "Manota teocchii", "Manota unifurcata", "Leciophysma parvum", "Protaetia hajastanica", "Pachypanchax arnoulti", "Ischalia sumaoi", "Hirtella carinata", "Hennemannia alveare", "Brevinecroscia heitzmanni", "Brevinecroscia oliwenae", "Labanphasma jamilii", "Laevediacantha isaaceni", "Maculonecroscia braggi", "Maculonecroscia harmani", "Neoasceles rayi", "Neoasceles trilobatus", "Leptomorphus longipes", "Leptomorphus matilei", "Leptomorphus papua", "Leptomorphus utarensis", "Leptomorphus forcipatus", "Leptomorphus quadrimaculatus", "Leptomorphus subforcipatus", "Leptomorphus talyshensis", "Leptomorphus amorimi", "Leptomorphus brandiae", "Leptomorphus crassipilus", "Leptomorphus eberhardi", "Leptomorphus furcatus", "Leptomorphus mandelai", "Leptomorphus perplexus", "Leptomorphus stigmatus", "Leptomorphus tabatius", "Leptomorphus tagbanua", "Leptomorphus titiwangsensis", "Leptomorphus waodani", "Terocelion melanoleucum", "Terocelion terezae", "Microkeroplatus longisetosus", "Microkeroplatus minutus", "Microkeroplatus sumatrensis", "Asiodixa maculosa", "Asiodixa pura", "Thaumalea nigronitida", "Leptogidium neocaledonicum", "Ouratea pilinervosa", "Celaenorrhinus kasai", "Celaenorrhinus kasai kasai", "Reinmara enthona", "Reinmara atlantica", "Reinmara andensis", "Reinmara occidentalis", "Ouratea angustissima", "Reinmara ignea", "Reinmara minasa", "Dienerella talassemtana", "Dienerella besucheti", "Dienerella argus", "Quedius spencei", "Anaphothrips dentatus", "Nicippe recticaudata", "Flagelligorgia gracilis", "Glycyphana tibialis", "Donacia yoshitomii", "Stenhomalus saleuicola", "Cremastra unguiculata", "Baralipton cheworum", "Baralipton severini", "Ischalia aptera", "Ischalia arisana", "Ischalia californica", "Ischalia costata", "Ischalia kunashirica", "Ischalia latemarginata", "Ischalia luteolineata", "Ischalia martensi", "Ischalia nigrovittata", "Ischalia nepalensis", "Ischalia patagiata", "Ischalia sichuanensis", "Ischalia suturalis", "Ischalia takane", "Ischalia tsuyukii", "Ischalia uenoi", "Ischalia vancouverensis", "Ischalia barclayi", "Ischalia apicalis", "Ischalia aposana", "Ischalia atricornis", "Ischalia basalis", "Ischalia blairi", "Ischalia bryanti", "Ischalia caerulea", "Ischalia chinensis", "Ischalia dimidiata", "Ischalia fischeri", "Ischalia gialaiensis", "Ischalia indigacea", "Ischalia philippina", "Planososibia cornuta", "Planososibia yunnana", "Planososibia truncata", "Planososibia brocki", "Planososibia dubia", "Planososibia dubiosa", "Planososibia nigricans", "Planososibia paraesalus", "Planososibia platycerca", "Planososibia esacus", "Ouratea glazioviana", "Planososibia humbertiana", "Planososibia lysippus", "Planososibia ocellata", "Planososibia parvipennis", "Leptogidium stipitatum", "Manota submirifica", "Manota curvistylus", "Manota kyushuensis", "Manota omotoensis", "Manota tripectinata", "Manota yaeyamaensis", "Manota adunca", "Manota incilis", "Manota integra", "Manota mitrata", "Manota nepalensis", "Manota tayal", "Manota vesca", "Manota anfracta", "Manota appendiculata", "Manota aristata", "Manota bisulca", "Manota depilis", "Manota inermis", "Manota iota", "Manota micula", "Manota panda", "Manota papillosa", "Manota patula", "Manota paula", "Manota pisinna", "Manota quantilla", "Manota quantula", "Manota senta", "Manota virgata", "Pachypanchax playfairii", "Physma byrsinum", "Physma callicarpum", "Physma cinereum", "Physma cyathodes", "Covelliana cadioui", "Covelliana afarorum", "Covelliana gessi", "Covelliana staudei", "Covelliana defreinai", "Calliptamus barbarus", "Calliptamus siciliae", "Calliptamus plebeius", "Glaucomys oregonensis", "Covelliana tobii", "Covelliana moosburgi", "Covelliana kuchleri", "Covelliana torbenlarseni", "Covelliana nikolae", "Covelliana bertii", "Covelliana ottofeldneri", "Pachypanchax sparksorum", "Covelliana aarviki", "Covelliana bouyeri", "Pachypanchax patriciae", "Covelliana carmen", "Covelliana kernbachi", "Covelliana maximus", "Covelliana morettoi", "Covelliana berioi", "Covelliana robertbecki", "Covelliana wolframmeyi", "Pectenia atlantica", "Pectenia cyanoloma", "Pectenia ligulata", "Pectenia plumbea", "Celaenorrhinus kasai kapangana", "Celaenorrhinus perlustris", "Celaenorrhinus perlustris perlustris", "Celaenorrhinus perlustris mona", "Celaenorrhinus perlustris katangensis", "Pyrgodera armata", "Ouratea cearensis", "Ouratea gardneri", "Nudaurelia fasciata", "Nudaurelia zaodeae", "Phiala bergeri", "Macropoliana carcassoni", "Macropoliana ploetzi", "Macropoliana schaarschmidti", "Macropoliana stevecollinsi", "Macropoliana politzari", "Macropoliana joannoui", "Macropoliana kuchleri", "Macropoliana pinheyi", "Macropoliana haileselassiei", "Macropoliana stroehlei", "Macropoliana kingstoni", "Macropoliana chrismonika", "Covelliana ferax", "Pachypanchax varatraza", "Covelliana anna", "Covelliana michali", "Covelliana felix", "Covelliana roesslerorum", "Covelliana seidleinorum", "Covelliana dargei", "Covelliana giustii", "Covelliana alessandroi", "Covelliana kingstoni", "Covelliana adriani", "Covelliana politzari", "Physma endocarpoides", "Elymnias dara", "Elymnias dara dara", "Elymnias dara albofasciata", "Elymnias dara deminuta", "Physma franconicum", "Elymnias dara bengena", "Elymnias dara daedalion", "Trigonectes aplocheiloides", "Physma gemmascens", "Elymnias dara darina", "Physma hispanicum", "Elymnias patna", "Elymnias patna patna", "Elymnias penanga", "Elymnias penanga penanga", "Elymnias penanga chelensis", "Elymnias penanga konga", "Physma muelleri", "Physma pannarinum", "Elymnias nesaea", "Elymnias nesaea nesaea", "Elymnias nesaea apelles", "Elymnias nesaea baweana", "Elymnias nesaea hypereides", "Elymnias nesaea kamarina", "Elymnias kuenstleri", "Paphiopedilum nataschae", "Elymnias kuenstleri keunstleri", "Paphiopedilum rungsuriyanum", "Elymnias kuenstleri dohrnii", "Elymnias kuenstleri gauroides", "Physma kerguelense", "Myrmotherula iheringi oreni", "Myrmotherula iheringi heteroptera", "Physma minutulum", "Elymnias kuenstleri rileyi", "Elymnias patna hanitschi", "Trigonectes balzanii", "Elymnias ceryx", "Physma hypopsilum", "Physma intricatissimum", "Calcitoryctes magnificus", "Caymania nitidissima", "Elymnias nesaea laisidis", "Elymnias nesaea neolais", "Elymnias nesaea lioneli", "Elymnias nesaea timandra", "Oncorhynchus rastrosus", "Ballota pseudodictamnus subsp. lycia", "Isolepis ranko", "Physma sanguinolentum", "Physma tricolor", "Physma umbella", "Trigonectes macrophthalmus", "Trigonectes rubromarginatus", "Physma vamberyi", "Trigonectes rogoaguae", "Flos abseus", "Flos abseus amphea", "Flos abseus indicus", "Flos abseus mackwoodi", "Flos abseus oghatinna", "Flos abseus ophiala", "Anablepsoides erberi", "Anablepsoides lungi", "Paphiopedilum \u00d7 leeanum", "Paphiopedilum \u00d7 polystigmaticum", "Aceratus davus", "Aceratus phyllis", "Acrobolbia macrophylla", "Actinobolus alvarengai", "Actinobolus barbatus", "Actinobolus degallieri", "Actinobolus emarginatus", "Actinobolus pilosus", "Actinobolus radians", "Elymnias nesaea vordemani", "Elymnias nesaea tawicola", "Physma paquyanum", "Ouratea parviflora var. parviflora", "Physma pergranulatum", "Physma pruinosum", "Fernandezia sanguinea", "Ouratea parviflora var. granulosa", "Physma pulvinatum", "Physma reticulatum", "Physma rigens", "Ancognatha humeralis", "Ancognatha hyltonscottae", "Ancognatha jamesoni", "Ancognatha lutea", "Ancognatha manca", "Ancognatha matilei", "Ancognatha quadripunctata", "Ancognatha rugulosa", "Ancognatha scarabaeoides", "Ancognatha sellata", "Ancognatha ustulata", "Ancognatha veliae", "Ancognatha vexans", "Ancognatha vulgaris", "Anomacaulus fulvovestitus", "Anomalomorpha anthracina", "Anomalomorpha giveni", "Anomalomorpha monteithi", "Anoplognatho dunnianus", "Anoronotum rufum", "Antodon goryi", "Anoplognatho turbator", "Aphonodelus coriaceipennis", "Aphonodelus mraci", "Aphonus brevicruris", "Aphonus castaneus", "Aphonus densicauda", "Archophanes cratericollis", "Archophileurus alternans", "Archophileurus aper", "Archophileurus bifoveatus", "Archophileurus burmeisteri", "Archophileurus chaconus", "Archophileurus clarionicus", "Archophileurus cribrosus", "Archophileurus digitalia", "Archophileurus elatus", "Archophileurus fimbriatus", "Archophileurus fodiens", "Archophileurus foveicollis", "Archophileurus guyanus", "Archophileurus kolbeanus", "Archophileurus latipennis", "Archophileurus mirabilis", "Archophileurus oedipus", "Archophileurus opacostriatus", "Archophileurus ovis", "Archophileurus passaloides", "Archophileurus peruanus", "Archophileurus petropolitanus", "Archophileurus quadrivii", "Archophileurus simplex", "Archophileurus spinosus", "Archophileurus sus", "Archophileurus temnorrhynchodes", "Archophileurus tmetoplus", "Archophileurus trituberculatus", "Archophileurus vervex", "Archophileurus wagneri", "Archophileurus zischkai", "Arriguttia bolivari", "Aspidolea bleuzeni", "Aspidolea boulardi", "Aspidolea brunnea", "Aspidolea chalumeaui", "Aspidolea clypeata", "Aspidolea cognata", "Aspidolea collaris", "Aspidolea ecuadoriana", "Aspidolea epipleuralis", "Aspidolea fuliginea", "Aspidolea guadairethorei", "Aspidolea helleri", "Aspidolea kuntzeni", "Aspidolea laticeps", "Aspidolea lindae", "Aspidolea mimethes", "Aspidolea notaticollis", "Aspidolea pelioptera", "Aspidolea pokornyi", "Aspidolea quadrata", "Aspidolea singularis", "Aspidolea suturalis", "Aspidolea suturella", "Aspidolea testacea", "Aspidolea theresae", "Aspidolea vicina", "Augoderia freyi", "Augoderia nitidula", "Augosoma centaurus", "Augosoma hippocrates", "Blabephorus pinguis", "Bothynus peninsularis", "Bothynus ruginasus", "Bothynus alvarengai", "Bothynus ascanius", "Bothynus complanus", "Bothynus complexus", "Bothynus cribrarius", "Bothynus cunctator", "Bothynus cyclops", "Bothynus cylindricus", "Bothynus dasypleurus", "Bothynus deiphobus", "Bothynus entellus", "Bothynus exaratus", "Bothynus herbivorus", "Bothynus herteli", "Bothynus horridus", "Bothynus laevipennis", "Bothynus lancifer", "Bothynus laticifex", "Bothynus medon", "Bothynus minor", "Bothynus niger", "Bothynus quadridens", "Bothynus stenelus", "Bothynus striatellus", "Bothynus tricornis", "Actinobolus spiniformis", "Actinobolus trilobus", "Adelaeus anachoretus", "Adoryphorus canei", "Adoryphorus mellori", "Aegopsis bolboceridus", "Aegopsis chaminadei", "Aegopsis curvicornis", "Aegopsis peruvianus", "Agaocephala bicuspis", "Agaocephala brasiliana", "Agaocephala cornigera", "Agaocephala duponti", "Agaocephala inermicollis", "Agaocephala mannerheimi", "Agaocephala melolonthida", "Agaocephala urus", "Alissonotum africanum", "Alissonotum amploides", "Alissonotum binodulum", "Alissonotum camerunum", "Alissonotum consonense", "Alissonotum crassum", "Alissonotum cribratellum", "Alissonotum elongatum", "Alissonotum impressicolle", "Alissonotum lerui", "Alissonotum nitens", "Alissonotum parvum", "Alissonotum pauperum", "Alissonotum piceum", "Alissonotum pittinoi", "Alissonotum quadridens", "Alissonotum rangunense", "Alissonotum simile", "Alissonotum suzukii", "Alissonotum tibetense", "Alissonotum yamayai", "Alissonotum yunnaense", "Allomyrina pfeifferi", "Allophileurinus cavifrons", "Allophileurinus mediopunctatus", "Amblyoproctus amazonicus", "Amblyoproctus arianarum", "Amblyoproctus bituberculatus", "Amblyoproctus boondocksius", "Amblyoproctus centroamericanus", "Amblyoproctus chalumeaui", "Amblyoproctus cornutus", "Amblyoproctus dechambrei", "Amblyoproctus ocellatus", "Amblyoproctus piliger", "Amblyoproctus rugosus", "Amblyoproctus squamosus", "Amblyoproctus torulosus", "Ampotis alticola", "Ancognatha nigriventris", "Ancognatha atacazo", "Ancognatha aymara", "Ancognatha castanea", "Ancognatha corcuerai", "Ancognatha erythrodera", "Ancognatha gracilis", "Ancognatha horrida", "Chalepides barbatus", "Chalepides carinatus", "Chalepides comes", "Chalepides dilatatus", "Chalepides eucephalus", "Chalepides euhirtus", "Chalepides fuliginosus", "Chalepides howdenorum", "Chalepides hydrophiloides", "Chalepides luridus", "Chalepides narcisoi", "Chalepides osunai", "Chalepides unicolor", "Cheiroplatys amphioxus", "Cheiroplatys bifossus", "Cheiroplatys borealis", "Cheiroplatys carnei", "Cheiroplatys castaneus", "Cheiroplatys excavatus", "Cheiroplatys inconspicuus", "Cheiroplatys laevicollis", "Cheiroplatys latipes", "Cheiroplatys nitidus", "Cheiroplatys solidus", "Cheiroplatys volsellus", "Chiliphileurus tuberculatus", "Clyster hirokiharukae", "Clyster itys", "Clyster rectus", "Clyster retusus", "Clyster rosaemariae", "Clyster scaurus", "Clyster trachypygus", "Clyster trinodosus", "Cnemidophileurus personatus", "Coelosis bicornis", "Coelosis biloba", "Coelosis denticornis", "Coelosis hippocrates", "Coelosis bourgini", "Coelosis inermis", "Coelosis sylvanus", "Coenoryctoderus candezei", "Coenoryctoderus robustus", "Colacus bicolor", "Colacus morio", "Colacus moroni", "Collagenus dasysternus", "Coptognathus attila", "Coptognathus crassipes", "Corynophyllus andersoni", "Corynophyllus antennalis", "Corynophyllus arrowi", "Corynophyllus curvicornis", "Corynophyllus debilis", "Bothynus validus", "Bothynus villiersi", "Brachysiderus quadrimaculatus", "Brachysiderus benjamini", "Brachysiderus bertolossiorum", "Brachysiderus goyanus", "Brachysiderus matogrossensis", "Brachysiderus mielkeorum", "Brachysiderus minicola", "Brachysiderus paranensis", "Calicnemis latreillei", "Calicnemis truncatifrons", "Calypsoryctes dynastoides", "Carneodon bidens", "Carneodon glauerti", "Carneodon intermedius", "Carneodon laevicollis", "Carneodon laevipennis", "Carneodon laevis", "Carneodon meyricki", "Carneodon occidentalis", "Carneodon pecuarius", "Carneodon simplex", "Carneoryctes ater", "Carneoryctes brittoni", "Carneoryctes griseopilosus", "Carneoryctes minchami", "Carneoryctes monstrosus", "Carneoryctes nigripennis", "Carneoryctes peterseni", "Carneoryctes pimbus", "Carneoryctes psilus", "Carneoryctes semicalvus", "Carneoryctes sulcatus", "Carneoryctes tectus", "Carneoryctes tricornutus", "Carneoryctes trifidus", "Carneoryctes truncatus", "Carneoryctes wingarus", "Cavonus acutifrons", "Cavonus armatus", "Cavonus bidens", "Cavonus leai", "Cavonus niger", "Cavonus sculpturatus", "Cavonus sharpi", "Chalcasthenes divinus", "Chalcasthenes pulcher", "Chalcasthenes squamigera", "Chalcasthenes styracoceros", "Chalcocrates bacchusi", "Chalcocrates borchmanni", "Chalcocrates bretoni", "Chalcocrates felschei", "Chalcocrates uniformis", "Chalcosoma argreggs", "Chalcosoma chiron", "Chalcosoma janssensi", "Chalepides alliaceus", "Chalepides anomalus", "Corynophyllus deserti", "Corynophyllus dorrigoensis", "Corynophyllus elricus", "Corynophyllus fortnumi", "Corynophyllus interocularis", "Corynophyllus macdougalli", "Corynophyllus major", "Corynophyllus modestus", "Corynophyllus pygidialis", "Corynophyllus teinogenoides", "Corynophyllus tulanus", "Coscinocephalus cribrifrons", "Coscinocephalus tepehuanus", "Cryptodus bilobus", "Cryptodus caviceps", "Cryptodus concentricus", "Cryptodus costulipennis", "Cryptodus cycnorum", "Cryptodus debilis", "Cryptodus foveatus", "Cryptodus fraternus", "Cryptodus gigas", "Cryptodus goerlingi", "Cryptodus grossipes", "Cryptodus matthewsi", "Cryptodus oblongoporus", "Cryptodus obscurus", "Cryptodus olivieri", "Cryptodus papuanus", "Cryptodus paradoxus", "Cryptodus passaloides", "Cryptodus piceus", "Cryptodus protensus", "Cryptodus relictus", "Cryptodus rotundicollis", "Cryptodus tasmannianus", "Cryptodus variolosus", "Cyclocephala abrelata", "Cyclocephala acoma", "Cyclocephala acuta", "Cyclocephala aequatoria", "Cyclocephala affinis", "Cyclocephala alazonia", "Cyclocephala alexi", "Cyclocephala almitana", "Cyclocephala altamontana", "Cyclocephala alutacea", "Cyclocephala alvarengai", "Cyclocephala amazona", "Cyclocephala amblyopsis", "Cyclocephala ampliata", "Cyclocephala amplitarsis", "Cyclocephala aravaipensis", "Cyclocephala arenosa", "Cyclocephala arnaudi", "Cyclocephala arrowiana", "Cyclocephala atricapilla", "Cyclocephala atriceps", "Cyclocephala atricolor", "Cyclocephala atripes", "Cyclocephala barrerai", "Cyclocephala batesi", "Cyclocephala bella", "Cyclocephala berti", "Cyclocephala bicolor", "Cyclocephala bicolorata", "Cyclocephala bimaculata", "Cyclocephala binotata", "Cyclocephala bleuzeni", "Cyclocephala boliviana", "Cyclocephala bollei", "Cyclocephala borburatae", "Cyclocephala borealis", "Cyclocephala boucheri", "Cyclocephala boulardi", "Cyclocephala brasiliana", "Cyclocephala brevipennis", "Cyclocephala brevis", "Cyclocephala brittoni", "Cyclocephala burmeisteri", "Cyclocephala caelestis", "Cyclocephala camachicola", "Cyclocephala capitata", "Cyclocephala carbonaria", "Cyclocephala cardini", "Cyclocephala carinatipennis", "Cyclocephala cartwrighti", "Cyclocephala castanea", "Cyclocephala castaniella", "Cyclocephala caussaneli", "Cyclocephala cearae", "Cyclocephala celata", "Cyclocephala cerea", "Cyclocephala chalumeaui", "Cyclocephala chera", "Cyclocephala chiquita", "Cyclocephala colasi", "Cyclocephala collaris", "Cyclocephala comata", "Cyclocephala compacta", "Cyclocephala complanata", "Cyclocephala concolor", "Cyclocephala confusa", "Cyclocephala conspicua", "Cyclocephala contraria", "Cyclocephala coriacea", "Cyclocephala couturieri", "Cyclocephala crassa", "Cyclocephala crepuscularis", "Cyclocephala cribrata", "Cyclocephala curta", "Cyclocephala dalensi", "Cyclocephala deceptor", "Cyclocephala decorella", "Cyclocephala defecta", "Cyclocephala deltoides", "Cyclocephala dichroa", "Cyclocephala dilatata", "Cyclocephala diluta", "Cyclocephala discicollis", "Cyclocephala discolor", "Cyclocephala dispar", "Cyclocephala distincta", "Cyclocephala divaricata", "Cyclocephala dolichotarsa", "Cyclocephala dominicana", "Cyclocephala duodecimpunctata", "Cyclocephala dupuisi", "Cyclocephala durantonorum", "Cyclocephala dyscinetoides", "Cyclocephala emarginata", "Cyclocephala endroedii", "Cyclocephala endroedy", "Cyclocephala englemani", "Cyclocephala enigma", "Cyclocephala epistomalis", "Cyclocephala ergastuli", "Cyclocephala erotylina", "Cyclocephala everardoi", "Cyclocephala falsa", "Cyclocephala fankhaeneli", "Cyclocephala fasciolata", "Cyclocephala ferruginea", "Cyclocephala figurata", "Cyclocephala flavipennis", "Cyclocephala flavoscutellaris", "Cyclocephala flora", "Cyclocephala forcipulata", "Cyclocephala forsteri", "Cyclocephala freudei", "Cyclocephala freyi", "Cyclocephala frontalis", "Cyclocephala fulgurata", "Cyclocephala fulvipennis", "Cyclocephala gabaldoni", "Cyclocephala genieri", "Cyclocephala gigantea", "Cyclocephala goetzi", "Cyclocephala gravis", "Cyclocephala gregaria", "Cyclocephala guaguarum", "Cyclocephala guttata", "Cyclocephala guycolasi", "Cyclocephala halffteriana", "Cyclocephala hardyi", "Cyclocephala hartmannorum", "Cyclocephala helavai", "Cyclocephala herteli", "Cyclocephala hiekei", "Cyclocephala hirsuta", "Cyclocephala hirta", "Cyclocephala histrionica", "Cyclocephala holmbergi", "Cyclocephala howdenannae", "Cyclocephala husingi", "Cyclocephala iani", "Cyclocephala immaculata", "Cyclocephala inca", "Cyclocephala insulicola", "Cyclocephala isabellina", "Cyclocephala isthmiensis", "Cyclocephala italoi", "Cyclocephala jalapensis", "Cyclocephala jauffreti", "Cyclocephala kahanoffae", "Cyclocephala kaszabi", "Cyclocephala kechua", "Cyclocephala knobelae", "Cyclocephala krombeini", "Cyclocephala kuntzeniana", "Cyclocephala mutata", "Cyclocephala nana", "Cyclocephala nigerrima", "Cyclocephala nigra", "Cyclocephala nigritarsis", "Cyclocephala nigrobasalis", "Cyclocephala nigropicta", "Cyclocephala niguasa", "Cyclocephala nike", "Cyclocephala nodanotherwon", "Cyclocephala notata", "Cyclocephala obscura", "Cyclocephala occipitalis", "Cyclocephala ocellata", "Cyclocephala ochracea", "Cyclocephala octopunctata", "Cyclocephala ohausiana", "Cyclocephala olivieri", "Cyclocephala ovulum", "Cyclocephala pan", "Cyclocephala panthera", "Cyclocephala paraflora", "Cyclocephala paraguayensis", "Cyclocephala parallela", "Cyclocephala pardolocarnoi", "Cyclocephala pasadenae", "Cyclocephala perconfusa", "Cyclocephala pereirai", "Cyclocephala perforata", "Cyclocephala perplexa", "Cyclocephala peruana", "Cyclocephala pichinchana", "Cyclocephala picipes", "Cyclocephala picta", "Cyclocephala pilosa", "Cyclocephala pilosicollis", "Cyclocephala pokornyi", "Cyclocephala pompanoni", "Cyclocephala poncheli", "Cyclocephala porioni", "Cyclocephala prelli", "Cyclocephala prolongata", "Cyclocephala proxima", "Cyclocephala pseudoconfusa", "Cyclocephala pseudomelanocephala", "Cyclocephala puberula", "Cyclocephala pugnax", "Cyclocephala pulchra", "Cyclocephala puncticollis", "Cyclocephala putrida", "Cyclocephala pygidialis", "Cyclocephala pygidiata", "Cyclocephala quadripunctata", "Cyclocephala quatuordecimpunctata", "Cyclocephala quercina", "Cyclocephala quisqueya", "Cyclocephala rangelana", "Cyclocephala recta", "Cyclocephala robusta", "Cyclocephala rogezi", "Cyclocephala rondoniana", "Cyclocephala rorulenta", "Cyclocephala rotundipenis", "Cyclocephala labidion", "Cyclocephala lachaumei", "Cyclocephala laevis", "Cyclocephala lamarcki", "Cyclocephala laminata", "Cyclocephala larssoni", "Cyclocephala latericia", "Cyclocephala latipennis", "Cyclocephala latreillei", "Cyclocephala lecourti", "Cyclocephala letiranti", "Cyclocephala lichyi", "Cyclocephala ligyrina", "Cyclocephala lineata", "Cyclocephala lineigera", "Cyclocephala liomorpha", "Cyclocephala literata", "Cyclocephala lizeri", "Cyclocephala longa", "Cyclocephala longicollis", "Cyclocephala longimana", "Cyclocephala longitarsis", "Cyclocephala longula", "Cyclocephala lunulata", "Cyclocephala lurida", "Cyclocephala lutea", "Cyclocephala machadoi", "Cyclocephala macrophylla", "Cyclocephala maculata", "Cyclocephala maculiventris", "Cyclocephala mafaffa", "Cyclocephala magdalenae", "Cyclocephala malleri", "Cyclocephala malyi", "Cyclocephala marginalis", "Cyclocephala marginicollis", "Cyclocephala marianista", "Cyclocephala marqueti", "Cyclocephala martinezi", "Cyclocephala marylizae", "Cyclocephala mathani", "Cyclocephala mecynotarsis", "Cyclocephala megalophylla", "Cyclocephala meinanderi", "Cyclocephala melanae", "Cyclocephala melanocephala", "Cyclocephala melanopoda", "Cyclocephala melolonthida", "Cyclocephala mesophylla", "Cyclocephala metrica", "Cyclocephala miamiensis", "Cyclocephala minuchae", "Cyclocephala minuta", "Cyclocephala modesta", "Cyclocephala molesta", "Cyclocephala monacha", "Cyclocephala moreti", "Cyclocephala morphoidina", "Cyclocephala multiplex", "Cyclocephala munda", "Cyclocephala mustacha", "Dipelicus optatus", "Dipelicus pseudofastigatus", "Dipelicus pyramidalis", "Dipelicus quadratifer", "Dipelicus ritsemae", "Dipelicus sinuosus", "Dipelicus stanjakli", "Dipelicus triangularis", "Dipelicus tuberosus", "Dipelicus ugobosiai", "Dyscinetus australis", "Dyscinetus dubius", "Dyscinetus dytiscoides", "Dyscinetus fimosus", "Dyscinetus gagates", "Dyscinetus imitator", "Dyscinetus laevicollis", "Dyscinetus laevipunctatus", "Dyscinetus martinezi", "Dyscinetus mendax", "Dyscinetus minor", "Dyscinetus morator", "Dyscinetus olivaceus", "Dyscinetus ornaticaudus", "Dyscinetus paradytis", "Dyscinetus picipes", "Dyscinetus plicatus", "Dyscinetus questeli", "Dyscinetus rugifrons", "Dyscinetus sculptus", "Dyscinetus subsericeus", "Ebolowanius mirei", "Enarotadius gressitti", "Endebius florensis", "Endroedianibe bozzolai", "Endroedianibe xerozoyphius", "Enema endymion", "Enracius longipes", "Eophileurus akitai", "Eophileurus assamensis", "Eophileurus baliensis", "Eophileurus baolocensis", "Eophileurus birmanicus", "Eophileurus borneensis", "Eophileurus celebensis", "Eophileurus cingalensis", "Eophileurus confinis", "Eophileurus convexus", "Eophileurus dechambrei", "Eophileurus dentatus", "Eophileurus felschei", "Eophileurus fenicheli", "Eophileurus forsteri", "Eophileurus gracilis", "Eophileurus grossepunctatus", "Eophileurus heyrovskyi", "Eophileurus himalayanus", "Eophileurus howdeni", "Eophileurus iwasei", "Eophileurus javanus", "Eophileurus kachinensis", "Eophileurus malayanus", "Eophileurus malyi", "Eophileurus mentawaicus", "Eophileurus montanus", "Eophileurus multidentatus", "Eophileurus nicobarensis", "Eophileurus niii", "Eophileurus nilgirensis", "Eophileurus oblongus", "Eophileurus pectoralis", "Eophileurus perforatus", "Eophileurus planatus", "Eophileurus platypterus", "Eophileurus quadrigeminatus", "Eophileurus sondaicus", "Eophileurus spatulicornis", "Eophileurus spinosus", "Eophileurus sukkiti", "Eophileurus sumbaianus", "Eophileurus takakuwai", "Eophileurus tanimbaricus", "Eophileurus tenuiformis", "Eophileurus tetraspermexitus", "Eophileurus thailandensis", "Eophileurus variolipennis", "Epironastes abruptus", "Epironastes limbatus", "Epironastes nigrisetosus", "Eremobothynus bicuspis", "Eremobothynus cornutus", "Eremobothynus hirsutus", "Erioscelis columbica", "Erioscelis emarginata", "Erioscelis peruana", "Erioscelis proba", "Erioscelis sobrina", "Eucopidocaulus biintrusus", "Eucopidocaulus platypygus", "Eucopidocaulus tridentipes", "Euetheola bidentata", "Euetheola hippocrepis", "Euetheola humilis", "Euetheola latipennis", "Euetheola paraguayensis", "Euetheola sibericana", "Euetheola subglabra", "Eupatorus endoi", "Eupatorus gracillicornis", "Eupatorus hardwickii", "Eutyctus deserti", "Gibboryctes bollei", "Gibboryctes gracilicornis", "Gibboryctes szelenyii", "Gibboryctes waldenfelsi", "Gillaspytes janzeni", "Gnathogolofa bicolor", "Golofa pusillus", "Golofa tersander", "Golofa inermis", "Golofa unicolor", "Golofa antiquus", "Golofa argentina", "Cyclocephala rubescens", "Cyclocephala rufa", "Cyclocephala rufescens", "Cyclocephala ruficollis", "Cyclocephala rufonigra", "Cyclocephala rufovaria", "Cyclocephala rustica", "Cyclocephala saltini", "Cyclocephala sanguinicollis", "Cyclocephala santaritae", "Cyclocephala sarahae", "Cyclocephala sardadebiae", "Cyclocephala sarpedon", "Cyclocephala scarabaeina", "Cyclocephala schmitzorum", "Cyclocephala seditiosa", "Cyclocephala setosa", "Cyclocephala sexpunctata", "Cyclocephala signaticollis", "Cyclocephala signatoides", "Cyclocephala similis", "Cyclocephala simillima", "Cyclocephala simulatrix", "Cyclocephala sinaloae", "Cyclocephala sinuosa", "Cyclocephala spangleri", "Cyclocephala sparsa", "Cyclocephala spilopyga", "Cyclocephala stictica", "Cyclocephala stockwelli", "Cyclocephala striata", "Cyclocephala subsignata", "Cyclocephala supernana", "Cyclocephala suturalis", "Cyclocephala sylviae", "Cyclocephala testacea", "Cyclocephala tetrica", "Cyclocephala tidula", "Cyclocephala toulgoeti", "Cyclocephala tridentata", "Cyclocephala tronchonii", "Cyclocephala tucumana", "Cyclocephala tutilina", "Cyclocephala tylifera", "Cyclocephala unamas", "Cyclocephala undata", "Cyclocephala unidentata", "Cyclocephala variabilis", "Cyclocephala varians", "Cyclocephala variipenis", "Cyclocephala variolosa", "Cyclocephala verticalis", "Cyclocephala vestita", "Cyclocephala vidanoi", "Cyclocephala villosa", "Cyclocephala vincentiae", "Cyclocephala vinosa", "Cyclocephala virgo", "Cyclocephala viridis", "Cyclocephala vittoscutellaris", "Cyclocephala wandae", "Cyclocephala weidneri", "Cyclocephala williami", "Cyclocephala zischkai", "Cyclocephala zodion", "Cyclocephala zurstrasseni", "Cyphonistes arrowi", "Cyphonistes brachti", "Cyphonistes burmeisteri", "Cyphonistes camurus", "Cyphonistes corniculatus", "Cyphonistes gasanus", "Cyphonistes glabricollis", "Cyphonistes impressicollis", "Cyphonistes inermicollis", "Cyphonistes ituriensis", "Cyphonistes latiusculus", "Cyphonistes letiranti", "Cyphonistes luluensis", "Cyphonistes roeri", "Cyphonistes sublaevis", "Cyphonistes tuberculifrons", "Cyphonistes vallatus", "Dalgopus aethiopicus", "Dalgopus major", "Democrates croesus", "Democrates lepiouffi", "Denhezia caucacola", "Dichodontus birmanicus", "Dichodontus coronatus", "Dichodontus crassus", "Dichodontus croesus", "Dichodontus denticornis", "Dichodontus deruptus", "Dichodontus fissicornis", "Dichodontus grandis", "Dichodontus intermedius", "Dichodontus obesus", "Dichodontus pulchellus", "Dichodontus punctipennis", "Diloboderus abderus", "Dinoryctes deguidei", "Dinoryctes truncaticollis", "Dipelicus acutus", "Dipelicus alveolatus", "Dipelicus bicarinatus", "Dipelicus bidens", "Dipelicus borneensis", "Dipelicus bovilli", "Dipelicus cantator", "Dipelicus cantori", "Dipelicus centratus", "Dipelicus daedalus", "Dipelicus deiphobus", "Dipelicus duplex", "Dipelicus fastigatus", "Dipelicus furcatus", "Dipelicus geryon", "Dipelicus hircus", "Dipelicus indicus", "Dipelicus integriceps", "Dipelicus lacordairei", "Dipelicus minusculus", "Dipelicus mitratus", "Dipelicus monotuberculatus", "Dipelicus montrouzieri", "Dipelicus nasutus", "Golofa cochlearis", "Golofa costaricensis", "Golofa eacus", "Golofa gaujoni", "Golofa globulicornis", "Golofa hirsutus", "Golofa horizontalis", "Golofa imbellis", "Golofa incas", "Golofa obliquicornis", "Golofa paradoxus", "Golofa pelagon", "Golofa pizarro", "Golofa solisi", "Golofa spatha", "Golofa tepaneneca", "Golofa xiximeca", "Goniophileurus femoratus", "Haplophileurus caudipennis", "Haplophileurus dechambrei", "Haplophileurus uninodis", "Haploscapanes australicus", "Haploscapanes barbarossa", "Haploscapanes inermis", "Haploscapanes papuanus", "Haplosoma ordinatum", "Hatamus gressittii", "Hatamus inarmatus", "Hatamus spinosus", "Hatamus tarsalis", "Hemicyrthus blaffarti", "Hemicyrthus chazeaui", "Hemicyrthus costatus", "Hemicyrthus elongatus", "Hemicyrthus gutierrezi", "Hemicyrthus reichei", "Hemicyrthus serresii", "Hemicyrthus villersi", "Hemiphileurus agnus", "Hemiphileurus beckeri", "Hemiphileurus bispinosus", "Hemiphileurus blandinae", "Hemiphileurus brasiliensis", "Hemiphileurus caliensis", "Hemiphileurus carinatipennis", "Hemiphileurus cavei", "Hemiphileurus cayennensis", "Hemiphileurus chantali", "Hemiphileurus complanatus", "Hemiphileurus cornutus", "Hemiphileurus costatus", "Hemiphileurus cubaensis", "Hemiphileurus curoei", "Hemiphileurus curvicornis", "Hemiphileurus cylindroides", "Hemiphileurus dechambrei", "Hemiphileurus dejeani", "Hemiphileurus depressus", "Hemiphileurus deslislesi", "Hemiphileurus dispar", "Hemiphileurus dyscritus", "Hemiphileurus elbitae", "Hemiphileurus elongatus", "Hemiphileurus euniceae", "Hemiphileurus flohri", "Hemiphileurus gibbosus", "Hemiphileurus gloriae", "Hemiphileurus hiekei", "Hemiphileurus howdeni", "Hemiphileurus illatus", "Hemiphileurus insularis", "Hemiphileurus isabellae", "Hemiphileurus jamaicensis", "Hemiphileurus kahni", "Hemiphileurus laevicauda", "Hemiphileurus laeviceps", "Hemiphileurus laticollis", "Hemiphileurus microps", "Hemiphileurus nebulohylaeus", "Hemiphileurus parvus", "Hemiphileurus phratrius", "Hemiphileurus puertoricensis", "Hemiphileurus punctatostriatus", "Hemiphileurus pygidiopunctissimus", "Hemiphileurus quadridentatus", "Hemiphileurus ratcliffei", "Hemiphileurus rugulosus", "Hemiphileurus ryani", "Hemiphileurus scutellatus", "Hemiphileurus similis", "Hemiphileurus simplex", "Hemiphileurus tainorum", "Hemiphileurus unilobus", "Hemiphileurus variolosus", "Hemiphileurus vicarius", "Hemiphileurus vulgatus", "Hemiphileurus warneri", "Heteroconus excellens", "Heteroconus fairmairei", "Heteroconus major", "Heteroconus muticus", "Heteroconus nanus", "Heteroconus paradoxus", "Heteroconus pauliani", "Heteroconus peyrierasi", "Heteroglobus obesus", "Heterogomphus mniszechi", "Heterogomphus achilles", "Heterogomphus aequatorius", "Heterogomphus aidoneus", "Heterogomphus amphitryon", "Heterogomphus arrowi", "Heterogomphus bicuspis", "Heterogomphus binodosus", "Heterogomphus bispinosus", "Heterogomphus bourcieri", "Heterogomphus carayoni", "Heterogomphus castaneus", "Heterogomphus chevrolati", "Heterogomphus consanguineus", "Heterogomphus consors", "Heterogomphus coriaceus", "Heterogomphus cribricollis", "Heterogomphus curvicornis", "Heterogomphus dejeani", "Heterogomphus dilaticollis", "Heterogomphus flohri", "Heterogomphus gibbosus", "Heterogomphus hiekei", "Heterogomphus hirticollis", "Heterogomphus hirtus", "Heterogomphus hopei", "Heterogomphus inarmatus", "Heterogomphus incornutus", "Heterogomphus julus", "Heterogomphus laticollis", "Heterogomphus mirabilis", "Heterogomphus monotuberculatus", "Heterogomphus ochoai", "Heterogomphus olsoufieffi", "Heterogomphus onorei", "Heterogomphus orsilochus", "Heterogomphus pauson", "Heterogomphus peruanus", "Heterogomphus pilosus", "Heterogomphus porioni", "Heterogomphus rubripennis", "Heterogomphus rugicollis", "Heterogomphus rugosus", "Heterogomphus schoenherri", "Heterogomphus telamon", "Heterogomphus thoas", "Heterogomphus ulysses", "Heteroligus appius", "Heteroligus bianoensis", "Heteroligus brevis", "Heteroligus falvopilosus", "Heteroligus geotrupinus", "Heteroligus meles", "Heteroligus minor", "Heteroligus miser", "Heteroligus pentodontinus", "Heteroligus peringueyi", "Heteroligus planifrons", "Heteroligus rojkoffi", "Heteroligus sebastiani", "Heteroligus truncaticeps", "Heteroligus vagabundus", "Heteronychus minutus", "Heteronychus abyssinicus", "Heteronychus amplipennis", "Heteronychus amplus", "Heteronychus andersoni", "Heteronychus annulatus", "Heteronychus approximans", "Heteronychus ascanius", "Heteronychus atratus", "Heteronychus basilewskyi", "Heteronychus bituberculatus", "Heteronychus brittoni", "Heteronychus carvalhoi", "Heteronychus citernii", "Heteronychus congoensis", "Heteronychus consimilis", "Heteronychus cordatus", "Heteronychus costatus", "Heteronychus cricetus", "Heteronychus curtulus", "Heteronychus desaegeri", "Heteronychus digitiformis", "Heteronychus fossor", "Heteronychus howdeni", "Heteronychus impudens", "Heteronychus infans", "Heteronychus inoportunus", "Heteronychus insignificus", "Heteronychus intermedius", "Heteronychus jacki", "Heteronychus krombeini", "Heteronychus licas", "Heteronychus lioderes", "Heteronychus lusingae", "Heteronychus mollis", "Heteronychus monodi", "Heteronychus mosambicus", "Heteronychus muticus", "Heteronychus paolii", "Heteronychus parumpunctatus", "Heteronychus parvus", "Heteronychus pauperatus", "Heteronychus plebejus", "Heteronychus puerilis", "Heteronychus puncticollis", "Heteronychus punctolineatus", "Heteronychus pygidialis", "Heteronychus rusticus", "Heteronychus sabackyi", "Heteronychus sacchari", "Heteronychus similis", "Heteronychus simulans", "Heteronychus sublaevis", "Heteronychus tenuestriatus", "Heteronychus tesari", "Heteronychus tristis", "Heteronychus vixstriatus", "Heteronychus wittei", "Heterostriatus lerui", "Hexodon griseosericans", "Hexodon kochi", "Hexodon latissimum", "Hexodon minutum", "Hexodon montandoni", "Hexodon patella", "Hexodon quadriplagiatum", "Hexodon reticulatum", "Hexodon unicolor", "Hexodon unicostatum", "Hiekeianus halophilus", "Hiekeianus tuberculatus", "Hispanioryctes paulseni", "Hispanioryctes rugulopygus", "Hispanioryctes sculptilis", "Hispanioryctes wittmeri", "Homoeomorphus nitidus", "Homoeomorphus rufipes", "Homophileurus aequatorius", "Homophileurus amazonicus", "Homophileurus cubanus", "Homophileurus integer", "Homophileurus luedeckei", "Homophileurus luederwaldti", "Homophileurus planus", "Homophileurus quadrituberculatus", "Homophileurus tricuspis", "Hoploryctoderus chinensis", "Hoploryctoderus tridens", "Horridocalia delislei", "Hovophileurus hovanus", "Hovophileurus latus", "Hovophileurus punctatostriatus", "Hovophileurus strigipennis", "Hovophileurus sulcicollis", "Hyboschema contractum", "Hylobothynus arnaudi", "Hylobothynus columbianus", "Hylobothynus obesus", "Hylobothynus pontis", "Hyphoryctes maculatus", "Indieraligus michelii", "Irazua dilicra", "Licnostrategus endymion", "Lonchotus aldabrensis", "Lonchotus ambrensis", "Lonchotus astovensis", "Lonchotus crassus", "Lonchotus endroedii", "Lonchotus latus", "Lonchotus lentus", "Lonchotus minor", "Lonchotus mohelicus", "Lonchotus politus", "Lonchotus punctatissimus", "Lonchotus rotundus", "Lonchotus rugosicollis", "Lonchotus sicardi", "Lycomedes buckleyi", "Lycomedes burmeisteri", "Lycomedes hirtipes", "Lycomedes lydiae", "Lycomedes ohausi", "Lycomedes ramosus", "Lycomedes reichei", "Lycomedes velutipes", "Macrocyphonistes kolbeanus", "Marronus borbonicus", "Megaceras bolivianus", "Megaceras brevis", "Megaceras briansaltini", "Megaceras celatum", "Megaceras crassum", "Megaceras endroedii", "Megaceras hoplites", "Megaceras inexspectatum", "Megaceras inflatum", "Megaceras jason", "Megaceras laevipenne", "Megaceras morpheus", "Megaceras pauliani", "Megaceras philoctetes", "Megaceras porioni", "Megaceras quadraticollis", "Megaceras remus", "Megaceras septentrionis", "Megaceropsis lecourti", "Megaceropsis quadridentatus", "Megasoma cedrosa", "Megasoma hermes", "Megasoma joergenseni", "Megasoma lecontei", "Megasoma mars", "Megasoma occidentale", "Megasoma pachecoi", "Megasoma punctulatum", "Megasoma sleeperi", "Megasoma thersites", "Megasoma vogti", "Melanhyphus clypealis", "Melanhyphus nanus", "Melanhyphus platygenioides", "Mellissius adumbratus", "Mellissius eudoxus", "Mellissius oryctoides", "Mellissius popei", "Metanastes australis", "Metanastes bicornis", "Metanastes irregularis", "Metanastes picipes", "Metanastes vulgivagus", "Metaphileurus lacunosus", "Metaphileurus nitidicollis", "Microphileurus caviceps", "Microphileurus subulo", "Microryctes apicalis", "Microryctes confinis", "Microryctes dechambrei", "Microryctes hainanensis", "Microryctes kanarensis", "Microryctes katagirii", "Microryctes monodon", "Mictophileurus punctulatus", "Mitracephala humboldti", "Mitracephala lachaumei", "Musurgus sabulicola", "Musurgus stridens", "Neocnecus minor", "Neocnecus punctata", "Neocorynophyllus aputaringus", "Neodasygnathus corynophylloides", "Neodasygnathus davidsoni", "Neodasygnathus juba", "Neohyphus celebesus", "Neohyphus kleinschmidti", "Neohyphus philippinus", "Neohyphus quadridentatus", "Neohyphus semivelutinus", "Neohyphus suzukii", "Neometanastes hidakai", "Neonastes glabricollis", "Neonastes uptoni", "Neoryctes galapagoensis", "Neoryctes moreti", "Neoryctes similis", "Neoryctes williamsi", "Nephrodopus enigma", "Nimbacola lamottei", "Novapus adelaidae", "Novapus bifidus", "Novapus carnei", "Novapus crassus", "Novapus laticollis", "Novapus macfarlandi", "Novapus nitidus", "Hertella neozelandica", "Harposcelis paradoxus", "Liparis wightiana", "Satyrium riparium", "Paphiopedilum \u00d7 schlechterianum", "Paphiopedilum \u00d7 tamphianum", "Liparis atropurpurea", "Anablepsoides amanan", "Novapus obscurus", "Novapus parvus", "Novapus rugosicollis", "Novapus simplex", "Novapus undarus", "Onychionyx australicus", "Onychionyx minor", "Onychionyx moluccanus", "Onychionyx opacipennis", "Orizabus australis", "Orsilochus kochi", "Orsilochus cornutus", "Orsilochus acuticonus", "Orsilochus crassiceps", "Orsilochus michaelseni", "Orthocavonus occidentalis", "Oryctes gigas", "Oryctes ata", "Oryctes amberiensis", "Oryctes anguliceps", "Oryctes augias", "Oryctes chevrolati", "Oryctes colonicus", "Oryctes comoriensis", "Oryctes mayottensis", "Oryctes politus", "Oryctes tarandus", "Oryctes capucinus", "Oryctes centaurus", "Oryctes curvicornis", "Oryctes erebus", "Oryctes gnu", "Oryctes gracilis", "Oryctes heros", "Oryctes hisamatsui", "Oryctes latecavatus", "Oryctes nudicauda", "Oryctes ohausi", "Oryctes owariensis", "Oryctes agamemnon", "Oryctes boas", "Oryctes cherlonneixi", "Oryctes clypealis", "Oryctes congonis", "Oryctes dollei", "Oryctes elegans", "Oryctes forceps", "Oryctes minor", "Oryctes monardi", "Oryctes pyrrhus", "Oryctes ranavalo", "Oryctes richteri", "Oryctes sahariensis", "Oryctes simiar", "Oryctes sjoestedti", "Oryctes vicinus", "Oryctes prolixus", "Oryctoderinus walfordorum", "Oryctoderus albertisi", "Oryctoderus coronatus", "Oryctoderus godeffroyi", "Oryctoderus gracilior", "Oryctoderus latitarsis", "Oryctoderus sengokui", "Norfolkia squamiceps", "Tipularia japonica", "Agrostophyllum stipulatum", "Agrostophyllum stipulatum subsp. stipulatum", "Agrostophyllum stipulatum subsp. bicuspidatum", "Anablepsoides xinguensis", "Oryctophileurus armicollis", "Oryctophileurus guerrai", "Oryctophileurus nasicornis", "Oryctophileurus varicosus", "Oxyligyrus politus", "Oxyligyrus acutus", "Oxyligyrus cayennensis", "Oxyligyrus champenoisi", "Oxyligyrus contractus", "Oxyligyrus larssoni", "Oxyligyrus nasutus", "Oxyligyrus peruanus", "Oxyligyrus rostratus", "Oxyligyrus spitzi", "Oxyligyrus zoilus", "Pachyoryctes elongatus", "Pachyoryctes solidus", "Palaeophileurus brasiliensis", "Palaeophileurus carbo", "Palaeophileurus demezi", "Palaeophileurus erebus", "Palaeophileurus fallax", "Palaeophileurus marcusoni", "Palaeophileurus panamensis", "Palaeophileurus proximus", "Palaeophileurus sclateri", "Papuana angusta", "Papuana armicollis", "Papuana biroi", "Papuana cheesmanae", "Papuana cognata", "Papuana coronata", "Papuana fascicula", "Papuana fortepunctata", "Papuana hardyi", "Papuana huebneri", "Papuana inermis", "Papuana japenensis", "Papuana lansbergei", "Papuana matsumotoi", "Papuana miyakei", "Papuana oryctoides", "Papuana philippinica", "Papuana sedlaceki", "Papuana splendens", "Papuana sumbana", "Papuana sumbawana", "Papuana szentivanyi", "Papuana tibialis", "Papuana timorensis", "Papuana trinodosa", "Papuana uninodis", "Papuana woodlarkiana", "Paranodon coquereli", "Paraphileurus impressus", "Paraphileurus venezuelensis", "Paraphileurus ventricosus", "Parapucaya amazonica", "Parapucaya nodicollis", "Pareteronychus dyscinetoides", "Parisomorphus bouvieri", "Parisomorphus descarpentriesi", "Parisomorphus ganglbaueri", "Parisomorphus hilaris", "Parisomorphus niger", "Parisomorphus viettei", "Paroryctoderus cornutus", "Peltonotus adelphosimilis", "Peltonotus animus", "Peltonotus brunnipennis", "Peltonotus cybele", "Peltonotus deltamentum", "Peltonotus favonius", "Peltonotus fujiokai", "Peltonotus gracilipodus", "Peltonotus karubei", "Peltonotus kyojinus", "Peltonotus malayensis", "Peltonotus morio", "Peltonotus mushiyaus", "Peltonotus nasutus", "Peltonotus nethis", "Peltonotus podocrassus", "Peltonotus pruinosus", "Peltonotus rubripennis", "Peltonotus silvanus", "Peltonotus similis", "Peltonotus sisyrus", "Peltonotus suehirogarus", "Peltonotus talangensis", "Peltonotus tigerus", "Peltonotus vittatus", "Pentodon bengalense", "Pentodon caminarius", "Pentodon foveipennis", "Pentodon insularis", "Pentodon intermedius", "Pentodon kuwaitense", "Pentodon minutus", "Pentodon nasutus", "Pentodon quadridens", "Pentodon reitteri", "Pentodon snegovaae", "Pentodon topali", "Pentodon variolopunctatus", "Pentodontoschema caper", "Pentodontoschema capicola", "Pentodontoschema deceptor", "Pentodontoschema diversum", "Pentodontoschema endroedyyoungai", "Pentodontoschema nireum", "Pericoptus studipus", "Phileucourtus bicornutus", "Phileurus affinis", "Phileurus angustatus", "Phileurus bucculentus", "Phileurus buchwaldi", "Phileurus caribaeus", "Phileurus carinatus", "Phileurus endrodii", "Phileurus enigmaticus", "Phileurus excavatus", "Phileurus hospes", "Phileurus hospitus", "Phileurus incurvatus", "Phileurus kaszabi", "Phileurus lecourti", "Phileurus limicauda", "Lycomedes salazari", "Anablepsoides tocantinensis", "Anablepsoides cryptocallus", "Anablepsoides deltaphilus", "Anablepsoides cajariensis", "Placynthium acutius", "Microtis alba", "Microtis alboviridis", "Microtis angusii", "Microtis atrata", "Microtis rara", "Microtis orbicularis", "Oryctoantiquus borealis", "Pentodina peruviana", "Pentodon bellerophon", "Pentodon proserpinae", "Trissodon laevigatus", "Trissodon laticollis", "Trissodon nasutus", "Trissodon setosus", "Trissodon subopacus", "Trissodon tibialis", "Trissodon tudor", "Wernoryctes minettii", "Xenodorus basquini", "Xenodorus janus", "Xyloryctes corniger", "Xyloryctes ensifer", "Xyloryctes faunus", "Xyloryctes furcatus", "Xyloryctes howdenorum", "Xyloryctes jamaicensis", "Xyloryctes lobicollis", "Xyloryctes orientalis", "Xyloryctes splendidus", "Xyloryctes telephus", "Xyloryctes teuthras", "Xyloryctes thestalus", "Xylotrupes australicus", "Xylotrupes beckeri", "Xylotrupes carinulus", "Xylotrupes clinias", "Xylotrupes damarensis", "Xylotrupes faber", "Xylotrupes falcatus", "Xylotrupes inarmatus", "Xylotrupes lorquini", "Xylotrupes lumawigi", "Xylotrupes macleayi", "Xylotrupes meridionalis", "Xylotrupes mirabilis", "Xylotrupes mniszechi", "Xylotrupes oudomxayicus", "Xylotrupes pachycera", "Xylotrupes pauliani", "Xylotrupes philippinensis", "Xylotrupes pubescens", "Xylotrupes socrates", "Xylotrupes striatopunctatus", "Xylotrupes sumatrensis", "Xylotrupes tadoana", "Xylotrupes taprobanus", "Xylotrupes telemachos", "Xylotrupes ulysses", "Xylotrupes wiltrudae", "Hertella chilensis", "Hertella subantarctica", "Oryctes fossilis", "Anablepsoides amphoreus", "Placynthium africanum", "Pseudosyrichthus clathratus", "Pseudosyrichthus gerstaeckeri", "Pseudosyrichthus senegalensis", "Pucaya castanea", "Pycnoschema armatum", "Pycnoschema schoutedeni", "Pycnoschema andrei", "Pycnoschema antinorii", "Pycnoschema brittoni", "Pycnoschema corydon", "Pycnoschema cuspidatum", "Pycnoschema dechambrei", "Pycnoschema desfontainei", "Pycnoschema diversum", "Pycnoschema fortipes", "Pycnoschema hassoni", "Pycnoschema kisoa", "Pycnoschema lacordairei", "Pycnoschema mandibularis", "Pycnoschema mashunum", "Pycnoschema mirei", "Pycnoschema mossambicum", "Pycnoschema operculatum", "Pycnoschema parvicornis", "Pycnoschema politum", "Pycnoschema popei", "Pycnoschema prostome", "Pycnoschema rawlinsi", "Pycnoschema scrofa", "Pycnoschema simplicicolle", "Pycnoschema stricticeps", "Pycnoschema subulatum", "Pycnoschema suillum", "Pycnoschema uhligi", "Pycnoschema villiersi", "Rhizoplatodes castaneipennis", "Rhizoplatodes cherlonneixi", "Rhizoplatys arabicus", "Rhizoplatys auriculatus", "Rhizoplatys canui", "Rhizoplatys cribarius", "Rhizoplatys maintyi", "Rhizoplatys mucronatus", "Rhizoplatys simplicitarsis", "Saccharoscaptus laminifer", "Scapanes affinis", "Scapanes australis", "Semanopterus angustatus", "Semanopterus calabyi", "Semanopterus leai", "Semanopterus rectangulus", "Semanopterus solidus", "Semanopterus subcostatus", "Semanopterus tricostatus", "Spodistes angulicollis", "Spodistes armstrongi", "Spodistes batesi", "Spodistes beltianus", "Spodistes grandis", "Spodistes hopei", "Spodistes mniszechi", "Spodistes monzoni", "Stenocrates agricola", "Stenocrates amazonicus", "Stenocrates ariasi", "Stenocrates batesi", "Stenocrates beckeri", "Stenocrates bicarinatus", "Stenocrates bolivianus", "Stenocrates bollei", "Stenocrates caiporae", "Stenocrates canuli", "Stenocrates carbo", "Stenocrates carinatus", "Stenocrates celatus", "Stenocrates clipeatus", "Stenocrates cognatus", "Stenocrates cultor", "Stenocrates dubius", "Stenocrates duplicatus", "Stenocrates haacki", "Stenocrates hardyi", "Stenocrates hastatus", "Stenocrates hiekei", "Stenocrates holomelanus", "Stenocrates howdeni", "Stenocrates impeditus", "Stenocrates laborator", "Stenocrates laceyi", "Stenocrates lachaumei", "Stenocrates laevicollis", "Stenocrates latus", "Stenocrates lecourti", "Stenocrates lichyi", "Stenocrates ligneus", "Stenocrates mahunkai", "Stenocrates mimeomus", "Stenocrates minutus", "Stenocrates mollis", "Stenocrates nasutus", "Stenocrates omissus", "Stenocrates pereirai", "Stenocrates popei", "Stenocrates porioni", "Stenocrates pseudoligneus", "Stenocrates rabbanii", "Stenocrates rionegroensis", "Stenocrates rufipennis", "Stenocrates rugulosus", "Stenocrates serendipitus", "Stenocrates spinosus", "Stenocrates varzeaensis", "Strategus adolescens", "Strategus aenobarbus", "Strategus ajax", "Strategus anachoreta", "Strategus antaeus", "Strategus argentinus", "Strategus atlanticus", "Strategus caymani", "Strategus centaurus", "Strategus cessus", "Strategus craigi", "Strategus fallaciosus", "Strategus fascinus", "Strategus hipposiderus", "Strategus howdeni", "Strategus inermis", "Microtis brownii", "Microtis cupularis", "Microtis media subsp. densiflora", "Microtis eremaea", "Microtis familiaris", "Microtis globula", "Microtis gracilenta", "Microtis graniticola", "Microtis oblonga", "Anablepsoides cearensis", "Microtis media", "Microtis media subsp. media", "Microtis eremicola", "Microtis quadrata", "Genoplesium stephensonii", "Aconitum plicatum subsp. plicatum", "Aconitum plicatum subsp. sudeticum", "Aconitum plicatum var. clusianum", "Phileurus mundus", "Phileurus patruus", "Phileurus rufus", "Phileurus schereri", "Phileurus toulgoeti", "Phileurus truncatus", "Phileurus verus", "Phileurus villaemagnae", "Phileurus voirinae", "Phileurus youngi", "Phileurus zonianis", "Philoscaptus bonariensis", "Phylliocephala interioris", "Phylliocephala nigrohirta", "Phyllognathus burmeisteri", "Phyllognathus dionysius", "Phyllognathus excavatus", "Phyllognathus orion", "Phyllognathus sabatinellii", "Pimelopus dubius", "Pimelopus fischeri", "Pimelopus minor", "Pimelopus noctis", "Pimelopus nothus", "Pimelopus porcellus", "Pimelopus similis", "Planophileurus broccus", "Planophileurus planicollis", "Planophileurus ypsilon", "Platyphileurus felscheanus", "Podalgus cuniculus", "Podalgus nazarovi", "Podischnus agenor", "Podischnus oberthueri", "Podischnus sexdentatus", "Prionoryctes breviusculus", "Prionoryctes camerunus", "Prionoryctes capreolus", "Prionoryctes intermedius", "Prionoryctes laticollis", "Prionoryctes rufopiceus", "Prosphileurus liberianus", "Pseudocavonus antennalis", "Pseudohomonyx apoensis", "Pseudohomonyx belitungensis", "Pseudohomonyx borneensis", "Pseudohomonyx crassus", "Pseudohomonyx extradentatus", "Pseudohomonyx javanus", "Pseudohomonyx luzonicus", "Pseudohomonyx mindroensis", "Pseudohomonyx negros", "Pseudohomonyx palavanus", "Pseudohomonyx samarensis", "Pseudohomonyx similis", "Pseudoryctes bidentifrons", "Pseudoryctes dispar", "Pseudoryctes etunus", "Pseudoryctes m\u00fcllerianus", "Pseudoryctes semicrudus", "Pseudoryctes storeyi", "Pseudoryctes turritus", "Pseudoryctes validus", "Pseudoryctes wilsoni", "Hippopotamus creutzburgi", "Hippopotamus minor", "Mentha atrolilacina", "Strategus cessatus", "Diplopterygium simulans", "Strategus jugurtha", "Strategus longichomperus", "Strategus mandibularis", "Strategus moralesdelgadorum", "Strategus mormon", "Strategus oblongus", "Strategus sarpedon", "Strategus splendens", "Strategus surinamensis", "Strategus symphenax", "Strategus syphax", "Strategus talpa", "Strategus tarquinius", "Strategus temoltzin", "Strategus validus", "Strategus verrilli", "Surutu dytiscoides", "Surutu fenni", "Surutu hesperius", "Surutu schulzei", "Surutu seabrai", "Syrichthodontus cribratus", "Syrichthodontus lydenburgi", "Syrichthodontus spurius", "Syrichthomorphus termitophilus", "Syrichthoschema burgeoni", "Syrichthoschema katanganum", "Syrichthoschema vingerhoedti", "Syrictes curvicornis", "Syrictes dentatus", "Syrictes rugulosus", "Syrictes syrichtus", "Talautoclyster marikoae", "Teinogenys annectens", "Teinogenys aurilegulus", "Teinogenys calvus", "Teinogenys carinaticeps", "Teinogenys deceptus", "Teinogenys demarzi", "Teinogenys dives", "Teinogenys inermicollis", "Teinogenys inermis", "Teinogenys jenkinsi", "Teinogenys laevis", "Teinogenys metallicola", "Teinogenys mooniensis", "Teinogenys nitidus", "Teinogenys paradoxus", "Teinogenys richardsae", "Temnorhynchus overlaeti", "Temnorhynchus acutemarginatus", "Temnorhynchus baal", "Temnorhynchus burgeoni", "Temnorhynchus clypeatus", "Temnorhynchus coronatus", "Temnorhynchus cribratus", "Temnorhynchus elongatus", "Temnorhynchus flavipennis", "Temnorhynchus grandicornis", "Temnorhynchus kasanganus", "Temnorhynchus luna", "Temnorhynchus minor", "Temnorhynchus raffrayi", "Pucaya pulchra", "Pycnoschema drumonti", "Anablepsoides intermittens", "Monachosorum maximowiczii", "Anablepsoides christinae", "Anablepsoides jucundus", "Anablepsoides ophiomimus", "Anablepsoides tessellatus", "Anablepsoides elongatus", "Ornithogalum pumilum", "Tomarus compositus", "Tomarus effetus", "Automolus virgatus", "Temnorhynchus repandus", "Temnorhynchus retusus", "Temnorhynchus rugatus", "Temnorhynchus scutiger", "Temnorhynchus stormsi", "Temnorhynchus tridentatus", "Temnorhynchus zambezianus", "Temnorhynchus coquereli", "Temnorhynchus descarpentriesi", "Temnorhynchus perrieri", "Temnorhynchus truncatus", "Thronistes rouxi", "Tomarus adoceteus", "Tomarus bidentulus", "Tomarus bituberculatus", "Tomarus burmeisteri", "Tomarus cicatricosus", "Tomarus columbianus", "Tomarus cuniculus", "Tomarus discrepans", "Tomarus ebenus", "Tomarus fossor", "Tomarus gianucai", "Tomarus gibbosus", "Tomarus gyas", "Tomarus laevicollis", "Tomarus maimon", "Tomarus maternus", "Tomarus nasutus", "Tomarus neglectus", "Tomarus peruvianus", "Tomarus pullus", "Tomarus pumilus", "Tomarus relictus", "Tomarus rosettae", "Tomarus rubripes", "Tomarus sallaei", "Tomarus selanderi", "Tomarus similis", "Tomarus subtropicus", "Tomarus villosus", "Trichogomphus acuticollis", "Trichogomphus bronchus", "Trichogomphus dechambrei", "Trichogomphus excavatus", "Trichogomphus galeatus", "Trichogomphus kobayashii", "Trichogomphus lunicollis", "Trichogomphus martabani", "Trichogomphus mongol", "Trichogomphus pistiloides", "Trichogomphus quadridentatus", "Trichogomphus robustus", "Trichogomphus rongi", "Trichogomphus simson", "Trichogomphus vicinus", "Trichogomphus zangi", "Trissodon australasiae", "Trissodon bidentatus", "Trissodon bryanti", "Trissodon curtus", "Trissodon glaber", "Trissodon howdenorum", "Trissodon kiwanus", "Celes variabilis", "Saponaria cerastioides", "Saponaria suffruticens", "Anablepsoides iridescens", "Eremazus cribratus", "Eremazus marmottani", "Eremazus punctatus", "Eremazus sefrensis", "Eremazus unistriatus", "Yixianscarabaeus sulcatus", "Yixianscarabaeus tenuestriatus", "Anablepsoides rubrolineatus", "Anablepsoides speciosus", "Silene affghanica", "Anablepsoides urophthalmus", "Boraria stricta", "Galearis cyclochila", "Anablepsoides derhami", "Bulbophyllum inconspicuum", "Ouratea pyrifera", "Ouratea nervulina", "Anotylus andrewesi", "Ouratea chocoensis", "Ellenbeckia monospila", "Hoplistopus penricei", "Hoplistopus butti", "Apocalyptis velox", "Silene denizliensis", "Sagina alexandrae", "Anablepsoides peruanus", "Boalda gyona", "Boalda pulcherrima", "Boalda poguei", "Nagiella occultalis", "Anacroneuria canchi", "Anacroneuria chavin", "Anacroneuria cosnipata", "Anacroneuria cuzco", "Anacroneuria flinti", "Anacroneuria heppneri", "Anacroneuria inca", "Forpus crassirostris", "Forpus spengelli", "Sagina revelierei", "Anacroneuria benedettoi", "Anacroneuria exquisita", "Anacroneuria holzenthali", "Anacroneuria marca", "Anacroneuria marginata", "Anacroneuria maritza", "Anacroneuria perplexa", "Anacroneuria talamanca", "Anacroneuria tornada", "Anacroneuria uatsi", "Anacroneuria varilla", "Anacroneuria ventana", "Anacroneuria zapata", "Anacroneuria zarpa", "Ninodes quadratus", "Anacroneuria inza", "Anacroneuria toni", "Anacroneuria ricki", "Anacroneuria blanca", "Anacroneuria pequena", "Anacroneuria pinza", "Anacroneuria shamatari", "Anacroneuria vistosa", "Anacroneuria arcuata", "Anacroneuria baniva", "Anacroneuria chiquita", "Anacroneuria chorrera", "Anacroneuria cruza", "Anacroneuria cuadrada", "Anacroneuria digitata", "Anacroneuria llana", "Anacroneuria menuda", "Anacroneuria muesca", "Anacroneuria paleta", "Anacroneuria bifasciata", "Anacroneuria intermixta", "Anacroneuria signata", "Anablepsoides bahianus", "Anacroneuria alajuela", "Ouratea linearis", "Chlorospingus flavopectus", "Anacroneuria atrifrons", "Anacroneuria fumigata", "Anacroneuria impensa", "Anacroneuria trimacula", "Anacroneuria uyara", "Anacroneuria badilinea", "Anacroneuria dilaticollis", "Anacroneuria fuscicosta", "Anacroneuria minuta", "Anacroneuria novateutonia", "Anacroneuria oculatila", "Anacroneuria plaumanni", "Anacroneuria barbai", "Spatulosia griveaudi", "Spatulosia legrandi", "Spatulosia malgassica", "Exilisia insularis", "Exilisia variegata", "Acasta aspera", "Acasta huangi", "Anacroneuria iridescens", "Anacroneuria pellucida", "Anacroneuria perpusilla", "Anacroneuria vitripennis", "Anacroneuria x-nigrum", "Anacroneuria hacha", "Anacroneuria jaciara", "Anacroneuria guaikuru", "Anacroneuria ofaye", "Anacroneuria payagua", "Anacroneuria pakaraima", "Anacroneuria wokomung", "Anacroneuria apuela", "Brenthis hecate", "Anacroneuria cushueme", "Anacroneuria kayceae", "Anacroneuria malkini", "Anacroneuria pichincha", "Hebecarpa caracasana", "Anacroneuria clarki", "Anacroneuria vagante", "Anacroneuria ypane", "Anacroneuria tucuman", "Hebecarpa platycarpa", "Hebecarpa macradenia", "Anacroneuria choachi", "Anacroneuria cipriano", "Anacroneuria forcipata", "Anacroneuria guayaquil", "Anacroneuria meta", "Anacroneuria morena", "Anacroneuria paez", "Anacroneuria planada", "Anacroneuria portilla", "Anacroneuria regleta", "Anacroneuria rosita", "Anacroneuria tejon", "Anacroneuria undulosa", "Anacroneuria albimacula", "Zupaysaurus rougieri", "Anacroneuria angusticollis", "Anacroneuria unicolor", "Anacroneuria apicalis", "Anacroneuria bolivari", "Anacroneuria pallens", "Anacroneuria pehlkei", "Anacroneuria schmidti", "Anacroneuria variegata", "Anacroneuria vespertilio", "Anacroneuria acutipennis", "Anacroneuria expansa", "Anacroneuria annulipalpis", "Anacroneuria quadriloba", "Anacroneuria blanda", "Anacroneuria costana", "Anacroneuria divisa", "Ameletus celer", "Ameletus alticolus", "Ameletus celeroides", "Ameletus tuberculatus", "Cycnoches egertonianum", "Cycnoches egertonianum var. egertonianum", "Cycnoches egertonianum var. viride", "Ameletus cooki", "Ameletus cryptostimulus", "Anacroneuria ampla", "Anacroneuria polita", "Anacroneuria subcostalis", "Anacroneuria tinctilamella", "Anacroneuria cathia", "Anacroneuria coscaroni", "Anacroneuria flintorum", "Anacroneuria stanjewetti", "Anacroneuria petersi", "Anacroneuria rondoniae", "Anacroneuria saltensis", "Anacroneuria caraja", "Anacroneuria toriba", "Anacroneuria xinguensis", "Anacroneuria ytuguazu", "Anacroneuria barinas", "Anacroneuria yuko", "Anacroneuria paria", "Anacroneuria arcabuco", "Anacroneuria cajas", "Anacroneuria chachis", "Taonius pavo", "Baryscapus dioryctriae", "Blamada rubripronota", "Maxillaria pseudoreichenheimiana", "Cynanchum rostellatum", "Carnotaurus sastrei", "Anablepsoides beniensis", "Herpsilochmus rufimarginatus scapularis", "Leptohyphes andina", "Leptohyphes calarca", "Leptohyphes quimbaya", "Anacroneuria lineata", "Anacroneuria magnirufa", "Anacroneuria planicollis", "Anacroneuria dampfi", "Anacroneuria chiapasa", "Anacroneuria plutonis", "Forquilla tristani", "Anacroneuria patioba", "Anacroneuria itatiaiensis", "Anacroneuria rotunda", "Anacroneuria pitii", "Anacroneuria calori", "Anacroneuria singela", "Anacroneuria darien", "Anacroneuria embera", "Anacroneuria laru", "Anacroneuria mantiqueirae", "Anacroneuria simulans", "Anacroneuria tabatae", "Anacroneuria quetzali", "Anacroneuria ruschii", "Anacroneuria amargosa", "Anacroneuria quilombola", "Anacroneuria bahiensis", "Anacroneuria lencoensis", "Anacroneuria chipaya", "Anacroneuria adamsae", "Anacroneuria aymara", "Anacroneuria bulbosa", "Anacroneuria callanga", "Anacroneuria cana", "Acasta radenta", "Acasta undulaterga", "Ameletus camtschaticus", "Ameletus allengaensis", "Ameletus sirotskii", "Ameletus aetherea", "Ameletus andersoni", "Ameletus bellulus", "Ameletus doddsianus", "Ameletus edmundsi", "Ameletus majusculus", "Ameletus pritchardi", "Ameletus tolae", "Ameletus atratus", "Ameletus formosus", "Ameletus montivagus", "Campylopterus calcirupicola", "Ameletus alexandrae", "Ameletus altaicus", "Ameletus amador", "Ameletus browni", "Tanaorhinus sultan", "Tanaorhinus guitinguensis", "Comostola desdemona", "Ornithospila explorator", "Maxates elegante", "Paramaxates fournieri", "Hebecarpa barbeyana", "Anacroneuria lupaca", "Anacroneuria moche", "Anacroneuria mochica", "Anacroneuria montera", "Anacroneuria nazca", "Anacroneuria pacaje", "Anacroneuria pachacuti", "Anacroneuria pakitza", "Anacroneuria quechua", "Anacroneuria uru", "Anacroneuria vilcabamba", "Anacroneuria wincha", "Anacroneuria woytkowskii", "Anacroneuria zwicki", "Anacroneuria atrinota", "Anacroneuria brunneilata", "Anacroneuria boliviensis", "Anacroneuria flavicoronata", "Anacroneuria flavifrons", "Anacroneuria handlirschi", "Hexalectris brevicaulis", "Hexalectris colemanii", "Hexalectris fallax", "Axianassa darrylfelderi", "Leptalpheus canterakintzi", "Ectenessidia metallica", "Upindauara bella", "Goatacara boliviana", "Amoaba plumosa", "Chrysoprasis rubricollis", "Gurubira apicalis", "Koghiella minima", "Koghiella flammea", "Koghiella nigris", "Protathra gigantea", "Hebecarpa costaricensis", "Stachorutes najtae", "Acer binzayedii", "Cycnoderus intinctus", "Cycnoderus expeditus", "Cycnoderus barbatus", "Eraina beechei", "Myrmeconycha erwini", "Myrmeconycha gordoni", "Myrmeconycha pakaluki", "Myrmeconycha pheidole", "Hexalectris spicata", "Hexalectris warnockii", "Hexalectris arizonica", "Micronella najtae", "Friesea najtae", "Neanura judithae", "Yuukianura judithae", "Oligaphorura judithnajtae", "Sensiphorura anichkini", "Sensiphorura tiunovi", "Cephalachorutes judithae", "Cephalachorutes centurionis", "Dichomeris alacella", "Hebecarpa rivinifolia", "Hebecarpa robinsonii", "Hebecarpa tehuacana", "Dendrobium hercoglossum", "Dendrobium parishii", "Hebecarpa velutina", "Dendrobium tortile", "Opuntia \u00d7 curvispina", "Hebecarpa americana", "Hebecarpa rossychaveziae", "Indicator minor minor", "Indicator xanthonotus xanthonotus", "Indicator willcocksi willcocksi", "Indicator meliphilus meliphilus", "Indicator maculatus maculatus", "Indicator exilis exilis", "Indicator conirostris conirostris", "Rhinotropis lindheimeri", "Phoebe alba", "Iareonycha albisterna", "Purusia wappesi", "Sybaguasu anemum", "Megacyllene nevermanni", "Megacyllene punensis", "Megacyllene acuta", "Megacyllene amazonica", "Mecometopus erratus", "Mecometopus latithorax", "Eburodacrys guttata", "Mecometopus arixi", "Epropetes variabile", "Ischiocentra punctata", "Blabia bicolor", "Oreodera nivea", "Oreodera adornata", "Oreodera advena", "Carterica rubra", "Cotyadesmus iuba", "Naryciodes koreana", "Dichomeris arcuata", "Dichomeris splendiptera", "Dichomeris samkosensis", "Dichomeris foliforma", "Dichomeris magnimacularis", "Dichomeris hainanensis", "Miersia scalae", "Dyschoriste crenulata", "Hebecarpa palmeri", "Dichomeris cambodiensis", "Dichomeris acutivalvata", "Ooderella ambigua", "Ooderella americana", "Ooderella botswanae", "Ooderella capensis", "Ooderella flavida", "Ooderella gymnosoma", "Ooderella hansoni", "Ooderella hyalipleura", "Ooderella kenyaensis", "Ooderella melanosceles", "Ooderella microptera", "Ooderella platyscapus", "Ooderella reticulifrons", "Ooderella setosa", "Ooderella speculifrons", "Ooderella spinositegula", "Ooderella stenoptera", "Ooderella thegalea", "Ooderella smithii", "Chrysoprasis pilosa", "Potisangaba panama", "Chrysoprasis grupiara", "Chrysoprasis principalis", "Chrysoprasis morana", "Tremellia spurca", "Fungulus cinereus", "Coelogyne kaliana", "Cnemidocarpa radicosa", "Dendrobium balzerianum", "Ascidia challengeri", "Microchilus minor", "Bathyoncus mirabilis", "Microchilus arietinus", "Ciona savignyi", "Cephalachorutes caecus", "Cephalachorutes barthae", "Cephalachorutes pestilentiae", "Cephalachorutes murphyi", "Cephalachorutes asiaticus", "Cephalachorutes nakaoi", "Anzu wyliei", "Caenagnathus collinsi", "Arlea judithnajtae", "Folsomia najtae", "Pygmarrhopalites crepidinis", "Pseudosinella najtae", "Najtaecesa aratayensis", "Najtaecesa loretensis", "Ligypterus najtae", "Herdmania papietensis", "Santanmantis axelrodi", "Pleurothallis tetragona", "Pleurothallis cosmetron", "Rhinotropis cornuta var. fishiae", "Rhinotropis cornuta var. cornuta", "Corynascidia suhmi", "Hypobythius moseleyi", "Dictyomeridium proponens", "Astrothelium campylocartilagineum", "Phyllobathelium chlorogastricum", "Anablepsoides mazaruni", "Grotea anguina", "Grotea californica", "Dichomeris byrsoxantha", "Astrothelium cecidiogenum", "Astrothelium sepultum", "Dichomeris basistriata", "Dichomeris marmoratus", "Dichomeris bisignella", "Enispa rosellaria", "Enispa albicosta", "Enispa albipuncta", "Enispa atriceps", "Enispa lycaugesia", "Enispa albida", "Enispa flavipars", "Enispa flavitincta", "Enispa simplex", "Enispa decens", "Diaphanophora kindlii", "Diaphanophora albiscripta", "Ignambina oubatchia", "Notosciobia nola", "Notosciobia goipina", "Notosciobia canala", "Notosciobia paranola", "Notosciobia thiensis", "Notosciobia animata", "Notosciobia puebensis", "Notosciobia oubatchia", "Notosciobia rouxi", "Anablepsoides taeniatus", "Dendrobium convolutum", "Dendrobium tobaense", "Rhinotropis intermontana", "Calanthe nipponica", "Agaraea klagesi", "Epidendrum hugomedinae", "Biturix nigrostriata", "Carales fasciatus", "Opharus pallida", "Opharus ochracea", "Pelochyta fergusoni", "Ameletus imbellis", "Ameletus dissitus", "Coelogyne candoonensis", "Marcelaria benguelensis", "Astrothelium effusum", "Astrothelium megaspermum", "Astrothelium meristosporum", "Astrothelium meristosporoides", "Astrothelium subdiscretum", "Astrothelium subdisjunctum", "Astrothelium deforme", "Rhinotropis acanthoclada", "Ameletus exquisitus", "Ameletus falsus", "Ameletus inopinatus", "Ameletus alpinus", "Ameletus oregonensis", "Ameletus shepherdi", "Ameletus querulus", "Rhinotropis californica", "Ameletus monta", "Ameletus similior", "Ameletus sparsatus", "Ameletus aequivocus", "Ameletus subnotatus", "Ameletus suffusus", "Rhinotropis desertorum", "Apobaetis pucupi", "Apobaetis kethepiali", "Rhinotropis madrensis", "Brommella baiseensis", "Brommella casseabri", "Brommella chongzuoensis", "Ursus arctos alascensis", "Rhinotropis lindheimeri var. parvifolia", "Liparis kumokiri", "Dendrobium endertii", "Dendrobium normanbyense", "Zeltnera exaltata", "Zeltnera muhlenbergii", "Rhinotropis lindheimeri var. lindheimeri", "Rhipha albiplaga", "Hyperthaema albipuncta", "Hyperthaema caroei", "Rhinotropis subspinosa", "Neidalia bifasciata", "Neidalia eurygania", "Neidalia dulcicula", "Neidalia orientalis", "Neidalia dognini", "Neidalia irrorata", "Neidalia ockendeni", "Neidalia bipuncta", "Neidalia cerdai", "Neidalia boliviana", "Neidalia villacresi", "Rhinotropis heterorhyncha", "Notosciobia velutina", "Notosciobia lifouensis", "Notosciobia poya", "Notosciobia fausta", "Notosciobia rex", "Notosciobia hirsuta", "Bullita pacifica", "Koghiella bouo", "Koghiella parabouo", "Koghiella semibouo", "Koghiella thio", "Koghiella caledonica", "Pleurothallis lilijae", "Amonemobius vexans", "Apteronemobius gusevae", "Paora gusevae", "Ionemobius alliciens", "Bullita fusca", "Orintia incrustata", "Trigonidomorpha sj\u00f6stedti", "Anaxipha caledonica", "Caltathra panaki", "Caltathra dubia", "Endotaria steinmanni", "Brommella dolabrata", "Brommella funaria", "Brommella josephkohi", "Brommella linyuchengi", "Brommella renguodongi", "Brommella resima", "Brommella sejuncta", "Brommella spirula", "Brommella tongyanfengi", "Brommella wangfengcheni", "Brommella xinganensis", "Brommella yizhouensis", "Cicurina avicularia", "Cicurina damaoensis", "Cicurina dong", "Cicurina kailiensis", "Cicurina majiangensis", "Cicurina parallela", "Cicurina wusanani", "Cicurina zhazuweii", "Lathys inaffecta", "Lathys ankaraensis", "Lathys borealis", "Lathys spiralis", "Lathys subalberta", "Lathys subhumilis", "Rhinotropis maravillasensis", "Acanthinozodium sericeum", "Drassodes soussensis", "Lathys brevitibialis", "Orchestina dalmasi", "Xysticus gattefossei", "Zimirina tenuidens", "Anacroneuria choco", "Anacroneuria iguaque", "Anacroneuria mindo", "Anacroneuria guanacaste", "Anacroneuria morsei", "Anacroneuria tempisquito", "Anacroneuria totumas", "Treanna vincenti", "Caamembeca oxyphylla", "Hoplosmia anceyi", "Cosmosoma odilae", "Liparis nikkoensis", "Disa chrysostachya", "Pseudotesselarctia travassosi", "Opharus ruschii", "Coregonus hoferi", "Agrias beatifica lachaumei", "Ficus abelii", "Ficus abscondita", "Ficus acamptophylla", "Ficus acreana", "Ficus aculeata", "Ficus adelpha", "Ficus adenosperma", "Ficus adhatodifolia", "Ficus adolphi-friderici", "Ficus albert-smithii", "Ficus albipila", "Ficus albomaculata", "Ficus allutacea", "Rhinotropis rimulicola", "Rhinotropis rimulicola var. mescalerorum", "Rhinotropis rimulicola var. rimulicola", "Phoroncidia tricuspidata", "Rhinotropis nitida var. goliadensis", "Rhinotropis nitida var. tamaulipana", "Rhinotropis nitida var. lithophila", "Zodarion variegatum", "Lathys changtunesis", "Rhinotropis minutifolia", "Lathys coralynae", "Bryophryne phuyuhampatu", "Rhinotropis nudata", "Scaphiella longkey", "Rhinotropis purpusii", "Hexapopha hone", "Hexapopha jimenez", "Brachylophus gau", "Hexapopha osa", "Hexapopha reimoseri", "Liparis krameri", "Rhinotropis parryi", "Rhinotropis rusbyi", "Rhinotropis nitida", "Waikalasma dianajonesae", "Aspidosperma australe", "Aspidosperma cylindrocarpon", "Cojoba filipes", "Caamembeca formosa", "Caamembeca insignis", "Caamembeca martinellii", "Coregonus alpenae", "Coregonus alpinus", "Coregonus atterensis", "Coregonus autumnalis", "Coregonus bavaricus", "Coregonus bezola", "Coregonus candidus", "Coregonus clupeoides", "Coregonus confusus", "Coregonus danneri", "Coregonus fatioi", "Coregonus fera", "Coregonus gutturosus", "Caamembeca autranii", "Robiquetia minimiflora", "Robiquetia ascendens", "Caamembeca amazonensis", "Robiquetia sulitiana", "Robiquetia arunachalensis", "Coregonus heglingus", "Coregonus hiemalis", "Caamembeca gigantea", "Caamembeca grandifolia", "Caamembeca oleifolia", "Caamembeca warmingiana", "Caamembeca ulei", "Coregonus johannae", "Coregonus kiletz", "Caamembeca martinellii var. carnosa", "Caamembeca martinellii var. martinellii", "Coregonus kiyi", "Coregonus ladogae", "Coregonus laurettae", "Coregonus lucinensis", "Caamembeca spectabilis", "Coregonus lutokka", "Oospila poirieri", "Oospila flavilimes", "Coregonus macrophthalmus", "Coregonus maraena", "Eriandra fragrans", "Hellinsia quintini", "Chiasmia ambigua", "Chiasmia spinicincta", "Epipactis tremolsii", "Godonela bornusaria", "Rhinotropis nitida var. nitida", "Reductoonops chamela", "Reductoonops armeria", "Reductoonops niltepec", "Reductoonops real", "Reductoonops nubes", "Reductoonops jabin", "Reductoonops monte", "Reductoonops naci", "Reductoonops lucha", "Reductoonops almirante", "Reductoonops escopeta", "Reductoonops bayano", "Reductoonops ferry", "Reductoonops hato", "Reductoonops diamant", "Reductoonops marta", "Reductoonops sasaima", "Reductoonops meta", "Reductoonops leticia", "Coregonus holsata", "Reductoonops tandapi", "Reductoonops pichincha", "Reductoonops tina", "Reductoonops domingo", "Reductoonops otonga", "Reductoonops palenque", "Reductoonops napo", "Reductoonops jatun", "Reductoonops hedlite", "Reductoonops molleturo", "Reductoonops celica", "Reductoonops yasuni", "Reductoonops pinta", "Reductoonops carpish", "Reductoonops elqui", "Didugua asymetrica", "Barnhartia floribunda", "Balgoya pacifica", "Didugua toddi", "Didugua aragua", "Didugua argentilinea", "Didugua leona", "Didugua beckeri", "Didugua guatemaltica", "Didugua moinieri", "Didugua modica", "Treanna lecourti", "Treanna bleuzeni", "Treanna laguerrei", "Anablepsoides lanceolatus", "Helicodonta obvoluta", "Hexaplex hertweckorum", "Anablepsoides holmiae", "Edmontosaurus annectens", "Alligator prenasalis", "Ginkgoites huttoni", "Coregonus chadary", "Mosasaurus hoffmanni", "Amaxia consistens", "Amaxia consistens consistens", "Coregonus albellus", "Amaxia consistens semivitrea", "Amaxia maroniensis", "Amaxia perapyga", "Amaxia disconsistens", "Symphlebia venusta", "Prumala foliosa", "Coregonus muksun", "Pseudepimolis marpessa", "Pseudepimolis incisa", "Eupseudosoma parapessa", "Aphyle intorta", "Pseudepimolis affinis", "Coregonus nasus", "Coregonus nelsonii", "Pseudepimolis conifera", "Pseudepimolis arcifera", "Pseudepimolis haemasticta", "Pseudepimolis haemasticta haemasticta", "Pseudepimolis haemasticta parvimacula", "Pseudepimolis ridenda", "Pseudepimolis pseudopraemolis", "Pseudepimolis flavonotata", "Pseudepimolis apiciplaga", "Pseudepimolis incarnata", "Pseudepimolis syrissa", "Pseudepimolis rhyssa", "Amaxia violacea", "Lirimiris acutis", "Rifargira regina", "Rifargira francoisi", "Cerdagis difficilis", "Colletia parare", "Rhapigiodes frederica", "Rhapigiodes aya", "Rosema misahualli", "Rosema attenuata", "Rosema maximepunctum", "Rosema intermedia", "Hemiceras testudinaris", "Hemiceras saulensis", "Hemiceras securifera", "Hemiceras proarufa", "Coregonus megalops", "Glaucostola romula", "Automolis pseudameoides", "Coregonus migratorius", "Symphlebia creon", "Epimolis zatrephica", "Treanna lemairei", "Treanna cerdai", "Treanna gibeauxi", "Treanna buckleyi", "Treanna duronia", "Treanna pilosa", "Asterope leprieuri", "Asterope leprieuri eudia", "Asterope leprieuri leprieuri", "Asterope leprieuri jenkinsi", "Asterope leprieuri feisthameli", "Idalus occidentalis", "Coregonus maraenoides", "Idalus vitrea meridionalis", "Moutabea floribunda", "Idalus septentrionalis", "Idalus vitrea vitrea", "Idalus lucaii", "Idalus borealis", "Idalus bolivianus", "Depressaria albarracinella", "Agonopterix carduncelli", "Agonopterix pseudoferulae", "Depressaria saharae", "Deltamys araucaria", "Depressaria saharae saharae", "Depressaria saharae tabelli", "Bergidia mariomae", "Psilops seductus", "Psilops mucugensis", "Moutabea guianensis", "Mayetia iborensis", "Moutabea chodatiana", "Moutabea angustifolia", "Moutabea aculeata", "Crinitaria villosa", "Hapsiferona arabica", "Heterostasis hackeri", "Hyperbola lehmanni", "Hyperbola sexspinosa", "Pachyarthra africana", "Perissomastix jemenitica", "Proterospastis cornuta", "Proterospastis spinosa", "Psecadioides stuebneri", "Trichophaga atripunctella", "Stigmella tatrica", "Platyptilia galicicaensis", "Crassostrea gigantissima", "Agonimia foliacea", "Glyptostrobus europaeus", "Anablepsoides waimacui", "Brancasaurus brancai", "Epipliopithecus vindobonensis", "Coregonus nigripinnis", "Svastra petulca", "Utania volubilis var. microcalyx", "Utania volubilis", "Pterostylis echinulata", "Cupido diogenes", "Anablepsoides stagnatus", "Amaxia apyga", "Amaxia carinosa", "Amaxia beata", "Coregonus anaulorum", "Amaxia elongata", "Coregonus austriacus", "Telioneura jocelynae", "Amaxia dyuna", "Amaxia fallaciosa", "Coregonus baerii", "Coregonus baicalensis", "Amaxia costaricensis", "Coregonus baunti", "Amaxia ockendeni", "Amaxia klagesi", "Amaxia kennedyi", "Amaxia flavicollis", "Amaxia reticulata", "Amaxia pulchra", "Amaxia affinis", "Amaxia bella", "Gerrya radiata", "Aspalatia crassior", "Aspalatia andalousica", "Aspalatia tenuior", "Bangia breviarticulata", "Bangia discoidea", "Bangia enteromorphoides", "Bangia fuscopurpurea", "Coregonus maxillaris", "Moutabea excoriata", "Strophocerus flavus", "Strophocerus rougeriei", "Strophocerus milleri", "Marthula albiplaga", "Marthula sammuti", "Cottobara concinna", "Marthula albopunctata", "Disphragis patawella", "Disphragis coremistella", "Disphragis glauca", "Farigia albiviridens", "Farigia albiboliviensis", "Malocampa boudinoti", "Oligocentria guianensis", "Schizura sera", "Azaxia arianae", "Nesebra joanna", "Nesebra mariensis", "Nesebroides guianensis", "Nesebroides hermieri", "Nesebroides tavakiliani", "Ebenus argentea", "Ebenus armitagei", "Ebenus lagopus", "Ebenus sibthorpii", "Sphaenorhynchus cammaeus", "Arhopala inornata inornata", "Arhopala inornata empesta", "Utania racemosa", "Utania stenophylla", "Coregonus nobilis", "Hedina sinyaevi", "Dysschema jansonis", "Tsaiorchis neottianthoides", "Tsaiorchis keiskeoides", "Limahlania crenulata", "Pseudalus luteoradiatus", "Pseudalus limona", "Automolis coacta", "Arctiarpia melanopasta melanopasta", "Arctiarpia melanopasta mossi", "Arctiarpia melanopasta fluviatalis", "Crypsithyris spelaea", "Crypsithyris abstrusa", "Crypsithyris cerodectis", "Crypsithyris chrysippa", "Crypsithyris epachyrota", "Crypsithyris zymota", "Crypsithyris fuscicoma", "Crypsithyris hypnota", "Crypsithyris soporata", "Crypsithyris synolca", "Crypsithyris liaropa", "Crypsithyris insolita", "Crypsithyris melosema", "Crypsithyris mesodyas", "Crypsithyris orchas", "Crypsithyris pheretropa", "Crypsithyris psolocoma", "Crypsithyris sciophracta", "Crypsithyris spissa", "Crypsithyris unipuncta", "Crypsithyris luteocapita", "Amphixystis minuta", "Amphixystis taurus", "Coregonus nilssoni", "Ceratobia sudanica", "Ceratobia hemifracta", "Edosa furcata", "Edosa pareffulgens", "Edosa albicapitella", "Pleurothallis tonduzii", "Coregonus nipigon", "Nesebroides topoensis", "Moutabea gentryi", "Muscari serpentinicum", "Doleschallia bisaltide indica", "Doleschallia bisaltide malabarica", "Protorhoe unicata", "Cidaria avetianae", "Coregonus pallasii", "Coregonus pennantii", "Gynaecoserica motuoensis", "Gynaecoserica guangxiana", "Latonia seyfriedi", "Protorhoe beshkovi", "Protorhoe turkmenaria", "Protorhoe tadzhikaria", "Arhopala moolaiana maya", "Arhopala norda norda", "Arhopala norda ronda", "Coregonus palaea", "Arhopala opalina opalina", "Arhopala opalina azata", "Arhopala opalina fruhstorferi", "Orodesma nigrescens", "Metria pascali", "Porphyra purpurea", "Safidia holologica", "Arhopala major major", "Arhopala major parvimaculata", "Matigramma argentogrisea", "Pseudyrias eugrapha", "Pseudyrias olearos", "Hypogrammodes amazonica", "Codonorchis canisioi", "Hypogrammodes compotrix", "Cyrtophyllum giganteum", "Fagraea ridleyi", "Cyrtophyllum fragrans", "Arhopala moolaiana moolaiana", "Safia metopis", "Hypogrammodes nebulosa", "Pseudobangia kaycoleae", "Hypogrammodes pacifica", "Homoptera lydia", "Arhopala moolaiana klossi", "Arhopala moolaiana yajuna", "Lolibaia salimi", "Pyropia abbottiae", "Pyropia brumalis", "Pyropia columbiensis", "Neopyropia fucicola", "Bembecia altyntaghica", "Porphyrella gardneri", "Pyropia hiberna", "Pyropia kanakaensis", "Pyropia kurogii", "Pyropia lanceolata", "Rhynchocalamus arabicus", "Rhynchocalamus satunini", "Rhynchocalamus melanocephalus", "Caladenia dorrigoensis", "Caladenia subglabriphylla", "Coregonus renke", "Neopyropia drachii", "Neopyropia elongata", "Pyropia nereocystis", "Neoporphyra perforata", "Pyropia pseudolanceolata", "Pyropia pulchra", "Pyropia torta", "Phycocalidia acanthophora", "Neoporphyra spiralis", "Andinobates victimatus", "Echeta trinotata", "Echeta apatela", "Echeta rhodoptera", "Thysanoptyx indosinica", "Thysanoptyx mirifica", "Protorhoe drechseli", "Arhopala pseudomuta pseudomuta", "Latonia ragei", "Arhopala pseudomuta ariavana", "Chiloglottis gunnii", "Arhopala pseudomuta contra", "Latonia gigantea", "Latonia vertaizoni", "Arhopala sceva sceva", "Arhopala sceva indra", "Arhopala sceva siabra", "Rhynchocalamus ilamensis", "Arhopala semperi semperi", "Neopyropia yezoensis", "Pyropia conwayae", "Pyropia crassa", "Neoporphyra dentata", "Neoporphyra haitanensis", "Neopyropia ishigecola", "Neopyropia lacerata", "Neopyropia moriensis", "Uedaea onoi", "Neoporphyra seriata", "Neopyropia tenuipedalis", "Rhynchocalamus dayanae", "Arhopala semperi russelli", "Coregonus pidschian", "Coregonus pollan", "Coregonus pravdinellus", "Pyropia aeodis", "Phycocalidia denticulata", "Neoporphyra pendula", "Pyropia saldanhae", "Pyropia thuretii", "Phycocalidia vietnamensis", "Pyropia bajacaliforniensis", "Pyropia montereyensis", "Enterobacteria phage", "Pyropia protolanceolata", "Neopyropia tenera", "Anablepsoides igneus", "Dione arcuata", "Fuscifolium papenfussii", "Fuscifolium tasa", "Lysithea adamsiae", "Minerva aenigmata", "Polygala brasiliensis", "Neomiuraea migitae", "Neothemis ballesterosii", "Neothemis iberica", "Orodesma demepa", "Brachycephalus coloratus", "Brachycephalus curupira", "Porphyra linearis", "Orodesma monoflex", "Orodesma elipha", "Orodesma apicina", "Orodesma apicina apicina", "Bangia gloiopeltidicola", "Bangia halymeniae", "Orodesma apicina obliqua", "Bangia maxima", "Bangia quadripunctata", "Bangia radicula", "Bangia simplex", "Bangia tanakai", "Orodesma ameria", "Bangia tenuis", "Bangia vermicularis", "Bangia yamadae", "Orodesma fearni", "Orodesma apicina ecuadorensis", "Bangiomorpha pubescens", "Orodesma caerulea", "Orodesma tasseli", "Orodesma tavakiliani", "Orodesma pseudofearni", "Orodesma pseudocladonia", "Orodesma lahoussei", "Boreophyllum aestivale", "Boreophyllum birdiae", "Boreophyllum pseudocrassum", "Orodesma cladonia", "Clymene coleana", "Phycocalidia tanegashimensis", "Wildemania abyssicola", "Wildemania amplissima", "Wildemania miniata", "Wildemania norrisii", "Wildemania occidentalis", "Wildemania schizophylla", "Wildemania tenuissima", "Wildemania variegata", "Pyropteron maroccanum", "Pyropteron hispanicum", "Boldia erythrosiphon", "Pyropteron triannuliforme", "Pyropteron meriaeforme", "Huberantha cerasoides", "Neopyropia leucosticta", "Pyropia njordii", "Pyropia thulaea", "Pyropia endiviifolia", "Dipsosphecia wagneri", "Pyropia fallax", "Pyropia francisii", "Neoporphyra hollenbergii", "Neopyropia katadae", "Neopyropia kinositae", "Myriospora dilatata", "Myriospora rhagadiza", "Neopyropia koreana", "Neopyropia kuniedae", "Pyropia nitida", "Sekeetamys calurus", "Neopyropia parva", "Pyropia peggicovensis", "Pyropia pseudolinearis", "Sahlingia subintegra", "Aspidogyne stigmatoptera", "Lethe gracilis", "Moutabea arianae", "Anablepsoides limoncochae", "Arhopala sintanga sintanga", "Arhopala sintanga tani", "Anablepsoides xanthonotus", "Erythrotrichia carnea", "Anablepsoides micropus", "Pyropteron meriaeforme meriaeforme", "Pyropteron meriaeforme venetense", "Pyropteron muscaeforme", "Compsopogon caeruleus", "Compsopogon argentinensis", "Compsopogon corinaldii", "Compsopogon helwanii", "Compsopogon iyengarii", "Compsopogon occidentalis", "Compsopogon sparsus", "Anablepsoides immaculatus", "Coregonus suidteri", "Kefersteinia wercklei", "Crepis multicaulis", "Anablepsoides monticola", "Anablepsoides luitalimae", "Anablepsoides vieirai", "Hydrellia pseudofusca", "Hydrellia veneta", "Hydrellia pratensis", "Porphyrostromium boryanum", "Porphyrostromium ciliare", "Porphyrostromium japonicum", "Porphyrostromium ligulatum", "Porphyrostromium pulvinatum", "Porphyrostromium obscurum", "Polemon barthii", "Polemon neuwiedi", "Pyrophyllon subtumens", "Hydrellia riparia", "Pyrophyllon cameronii", "Crossopalpus padanus", "Crossopalpus ferrariensis", "Sahlingia aequabilis", "Sahlingia flabellata", "Sahlingia papilionacea", "Sahlingia polystratosa", "Sahlingia pseudosubintegra", "Sahlingia reniformis", "Badiera fuertesii", "Anablepsoides chapare", "Uranembia rivkusi", "Erythrotrichia rosea", "Erythrotrichia scalaris", "Erythrotrichia vexillaris", "Erythrotrichia welwitschii", "Anablepsoides caurae", "Rhodochaete pulchella", "Bangiopsis subsimplex", "Bangiopsis dumontioides", "Rhynchoribates dynastes", "Rhynchoribates jurobales", "Bangiopsis franklynottii", "Rhynchoribates danbartai", "Rhynchoribates rioyuyapichisensis", "Chroodactylon wolleanum", "Rhynchoppia puertoincaensis", "Chroodactylon ornatum", "Erythrotrichia ascendens", "Erythrotrichia bangioides", "Neolycaena ittohtoriti", "Erythrotrichia bertholdii", "Erythrotrichia biseriata", "Erythrotrichia incrassata", "Erythrotrichia parietalis", "Erythrotrichia elongata", "Erythrotrichia foliiformis", "Erythrotrichia hunterae", "Erythrotrichia kylinii", "Erythrotrichia parksii", "Erythrotrichia porphyroides", "Erythrotrichia tetraseriata", "Erythrotrichia investiens", "Erythrotrichia longistipitata", "Erythrotrichia minuta", "Erythrotrichia propagulosa", "Erythrotrichia ramulosa", "Erythrotrichia simplex", "Erythrotrichia platyphylla", "Erythrotrichia polymorpha", "Erythrotrichia reflexa", "Erythrotrichia regularis", "Erythrotrichia sargassicola", "Erythrotrichia rhizoidea", "Arhopala wildeyana havea", "Arhopala wildeyana wildeyana", "Carpelimus formosae", "Thinobius semenovi", "Stylonema abnorme", "Stylonema acutum", "Stylonema aequabile", "Stylonema basifixum", "Stylonema basifugum", "Stylonema basiramosum", "Stylonema gongylodes", "Stylonema pumilum", "Stylonema simplicissimum", "Stylonema trinacriforme", "Stylonema subcoeruleum", "Stylonema cornu-cervi", "Badiera subrhombifolia", "Bulboplastis apyrenoidosa", "Microprosopa albipennis", "Microprosopa taimyrica", "Microprosopa unguiculata", "Allomyella borealis", "Sauris mouliniei", "Phlebotaenia cuneata", "Tishechkinia carltoni", "Neolyrium duidaense", "Pulvinaster venetus", "Madagascaria erythrocladioides", "Pseudoerythrocladia kornmannii", "Pyropteron muscaeforme muscaeforme", "Pyropteron muscaeforme occidentale", "Pyropteron muscaeforme lusohispanicum", "Coregonus restrictus", "Chlidophyllon kaspar", "Pyropteron borreyi", "Erythrocladia ectozoica", "Erythrocladia endophloea", "Erythrocladia irregularis", "Erythrocladia laurenciae", "Erythrocladia vagans", "Erythrocladia pinnata", "Erythrocladia polystromatica", "Erythrocladia violacea", "Erythropeltis discigera", "Anablepsoides ornatus", "Dahlica casentinensis", "Smithora naiadum", "Porphyropsis coccinea", "Porphyropsis imperfecta", "Porphyropsis minuta", "Chroothece richteriana", "Chroothece rupestris", "Chroothece antarctica", "Chroothece endophytica", "Nanomicrophyes belousovi", "Nanomicrophyes kabaki", "Nanomicrophyes korolevi", "Nanomicrophyes oblongus", "Chroothece littorinae", "Micrurus decoratus", "Chroothece mobilis", "Tadzhikia beybienkoi", "Tadzhikia beybienkoi beybienkoi", "Chroothece willei", "Tadzhikia beybienkoi langarica", "Micrurus dumerilii", "Micrurus elegans", "Colacodictyon reticulatum", "Micrurus hemprichii", "Carpelimus sichuanensis", "Empselium rubrum", "Micrurus multifasciatus", "Micrurus ornatissimus", "Micrurus tschudii", "Goniotrichopsis sublittoralis", "Goniotrichopsis reniformis", "Neevea repens", "Carpelimus curvus", "Bartonia paniculata subsp. texana", "Coregonus sardinella", "Purpureofilum apyrenoidigerum", "Bartonia paniculata subsp. iodandra", "Rhodaphanes brevistipitata", "Bartonia paniculata subsp. paniculata", "Rhodosorus marinus", "Rhodosorus magnei", "Rhodospora sordida", "Tsunamia transpacifica", "Coregonus stigmaticus", "Andepteron bolivari", "Andepteron nubile", "Coregonus subautumnalis", "Aplopteron yasuniense", "Erythrolobus australicus", "Ceratolycus victoriae", "Petrovia clavicula", "Cephalolycus cajanumensis", "Cephalolycus pichinchensis", "Cephalolycus major", "Ceratoprion diosense", "Ceratoprion alexi", "Ceratoprion loretense", "Ahnfeltia plicata", "Camellocossus ifrit", "Camellocossus strohlei", "Camellocossus lalibela", "Camellocossus snizeki", "Camellocossus ngai", "Anablepsoides gaucheri", "Ahnfeltia polyides", "Camellocossus sindbad", "Ahnfeltia setacea", "Ahnfeltia svensonii", "Ahnfeltia yinggehaiensis", "Gelechia quadrimaculella", "Gelechia ochreocostella", "Pihiella liagoraciphila", "Hyponephele antihilaris", "Polygala punctata", "Hyleina kaphetea", "Larus glaucoides glaucoides", "Tetralophophora mesoamericana", "Badiera penaea", "Zieria adenophora", "Pristimantis latro", "Pella jureceki", "Protorhoe centralisata", "Protorhoe corollaria", "Larentia noacki", "Protorhoe crebrolineata", "Protorhoe tangaba", "Badiera propinqua", "Pterygodium cooperi", "Pterygodium hallii", "Pterygodium pentherianum", "Pterygodium schelpei", "Pterygodium ukingense", "Pterygodium vermiferum", "Taeniogyrus australianus", "Axia margarita", "Axia margarita margarita", "Axia margarita andalusica", "Axia margarita minuta", "Axia margarita ornata", "Rhegmatophila ricchelloi", "Rhegmatophila vinculum", "Rhegmatophila alpina", "Rhegmatophila alpina alpina", "Rhegmatophila alpina osmana", "Larus glaucoides kumlieni", "Ceratoprion serricorne", "Porphyridium aerugineum", "Porphyridium sordidum", "Ceratoprion sobrinus", "Porphyridium wittrockii", "Ceratoprion tuxtlaensis", "Porphyridium purpureum", "Flabellocaenia iquitosensis", "Dendrocoptes medius sanctijohannis", "Flabellocaenia ocopensis", "Flabellocaenia pastazensis", "Flabellocaenia tiputiniensis", "Rhodoplax schinzii", "Flabellocaenia bourgeoisi", "Prioceraton calabazense", "Prioceraton tishechkini", "Pseudacroleptus aleksandri", "Pseudacroleptus orellanus", "Tishechkinia petrovi", "Pseudacroleptus crocea", "Ahnfeltia borealis", "Ahnfeltia elongata", "Ahnfeltia fastigiata", "Ahnfeltia tobuchiensis", "Camellocossus aladdin", "Camellocossus roc", "Camellocossus jinn", "Eriogaster pfeifferi", "Eriogaster pfeifferi pfeifferi", "Eriogaster pfeifferi talhouki", "Eriogaster amygdali", "Taeniogyrus yvonnae", "Coregonus tugun", "Coregonus tugun tugun", "Lemonia pia ispira", "Coregonus tugun lenensis", "Axia nesiota", "Axia napoleona", "Axia vaulogeri", "Danielostygia persephone", "Coregonus ussuriensis", "Phragmacossia minos", "Cryphia rectilinea", "Cryphia rectilinea insulicola", "Cryphia raptricula", "Cryphia raptricula cretica", "Pterygodium cleistogamum", "Pterygodium connivens", "Dyscia crassipunctaria phthinopora", "Boulengerula spawlsi", "Coregonus vandesius", "Splendeuptychia aurigera", "Splendeuptychia clementia", "Splendeuptychia hygina", "Splendeuptychia junonia", "Splendeuptychia latia", "Splendeuptychia libitina", "Splendeuptychia quadrina", "Splendeuptychia salvini", "Splendeuptychia telesphora", "Thauria aliris", "Thauria aliris aliris", "Thauria aliris pseudaliris", "Zieria adenodonta", "Amesia pexifascia", "Anablepsoides bondi", "Gerrhopilus eurydice", "Anablepsoides parlettei", "Gerrhopilus persephone", "Gerrhopilus addisoni", "Gerrhopilus lestes", "Gonatodes rayito", "Oligodon huahin", "Oligodon culaochamensis", "Yphthimoides renata", "Euptychia urbana", "Zieria actites", "Bolitoglossa yariguiensis", "Degenia velebitica", "Zieria alata", "Microlepidogaster negomata", "Leptolalax petrops", "Leptolalax puhoatensis", "Pristimantis attenboroughi", "Capensibufo deceptus", "Capensibufo magistratus", "Capensibufo selenophos", "Epidendrum philocremnum", "Bireta morozovi", "Caloptilia jailensis", "Illiberis crispa", "Coelogyne vanoverberghii", "Bulbophyllum obovatifolium", "Ellisolandia elongata", "Chiloschista trudelii", "Johansenia macmillanii", "Atlantirivulus santensis", "Zieria boolbunda", "Pseudochantransia heterospora", "Pseudochantransia indica", "Pseudochantransia jogensis", "Pseudochantransia sarmae", "Pseudochantransia sucrensis", "Pseudochantransia venezuelensis", "Hodotermopsiphila longisetosa", "Hodotermopsiphila maruyamai", "Hodotermopsiphila nitens", "Alatocladia modesta", "Hodotermopsiphila sugayai", "Alatocladia yessoensis", "Arthrocardia carinata", "Glaucostola holophaea", "Arthrocardia filicula", "Arthrocardia duthieae", "Arthrocardia flabellata", "Arthrocardia setchellii", "Arthrocardia variabilis", "Glaucostola acantha", "Bossiella orbigniana", "Bossiella californica", "Coregonus widegreni", "Bossiella dichotoma", "Polygala laxa", "Plectoderma majus", "Plectoderma minus", "Cosmosoma gigantea", "Rhizolamellia colli", "Cosmosoma georginas", "Zieria caducibracteata", "Cosmosoma papalo", "Atlantirivulus depressus", "Zieria citriodora", "Arthrocardia corymbosa", "Glaucostola guttipalpis", "Arthrocardia wardii", "Glaucostola underwoodi", "Glaucostola beneluzi", "Arthrocardia palmata", "Arthrocardia anceps", "Bossiella plumosa", "Heterosamara mannii", "Tinea altaica", "Paramesotriton aurantius", "Neolycaena arcana", "Eosphaerophoria adornata", "Bossiella schmittii", "Bossiella chiloensis", "Nototriton nelsoni", "Nototriton oreadorum", "Zieria murphyi", "Entocolax naegelianus", "Gracilariocolax henriettae", "Gracilariocolax deformans", "Gracilariocolax infidelis", "Gracilariocolax setchellii", "Gracilariocolax sibogae", "Herpophyllum australe", "Tiarophora australis", "Lobocolax deformans", "Peyssonneliopsis epiphytica", "Pseudochantransia thoreae", "Pseudochantransia tuomeyae", "Pseudochantransia glomerata", "Pseudochantransia sinensis", "Pseudochantransia godwardensis", "Melanorivulus nelsoni", "Coregonus vessicus", "Hedya anaplecta", "Hedya auricristana", "Gerrhopilus depressiceps", "Hedya kurokoi", "Melissotydeus incarum", "Hedya inouei", "Brachytydeus nobilus", "Simoselaps bertholdi", "Ophryacus undulatus", "Hoplocephalus bitorquatus", "Austrelaps labialis", "Hemiaspis signata", "Coregonus zenithicus", "Eosphaerophoria symmetrica", "Eosphaerophoria vietnamensis", "Rifargirella hardingioides", "Oligocentria helenae", "Eleutherodactylus cattus", "Pristimantis leopardus", "Pelodytes hespericus", "Pelodytes atlanticus", "Microhyla taraiensis", "Gracixalus jinggangensis", "Desmognathus valentinei", "Phyllomedusa chaparroi", "Limnonectes quangninhensis", "Phrynopus anancites", "Phrynopus capitalis", "Phrynopus dumicola", "Phrynopus personatus", "Rhombophryne diadema", "Rhombophryne regalis", "Cryptocellus chiruisla", "Cryptocellus guaviarensis", "Cryptocellus chimaera", "Fejervarya neilcoxi", "Fejervarya manoharani", "Fejervarya kadar", "Fejervarya cepfi", "Platytenerus iriomotensis", "Carex alopecoidea", "Carex alopecuroides", "Carex amphibola", "Carex amplectens", "Pero fortunata", "Pero fortunata fortunata", "Pero fortunata herissa", "Carex angustata", "Carex annectens", "Carex appalachica", "Bossiella compressa", "Eosphaerophoria bifida", "Eosphaerophoria brunettii", "Bossiella frondescens", "Eosphaerophoria dentiscutellata", "Myotis attenboroughi", "Eosphaerophoria hermosa", "Eosphaerophoria luteofasciata", "Eosphaerophoria marginata", "Dracula rezekiana", "Brachytydeus draciformis", "Brachytydeus sherekhani", "Eosphaerophoria nigrovittata", "Eosphaerophoria punctata", "Brachytydeus snajperi", "Neoplecostomus canastra", "Brachytydeus terrestris", "Gymnospora violoides", "Zieria cephalophila", "Zieria distans", "Zieria eungellaensis", "Zieria exsul", "Zieria graniticola", "Zieria hydroscopica", "Zieria inexpectata", "Zieria insularis", "Zieria madida", "Zieria scopulus", "Zieria tenuis", "Illiberis hahaensis", "Zieria vagans", "Illiberis wuzhiensis", "Illiberis banmauka", "Illiberis kislovskyi", "Zieria baeuerlenii", "Homoeocera yungasi", "Homoeocera muertensis", "Coregonus wartmanni", "Cheirotonus battareli", "Cheirotonus formosanus", "Cheirotonus fujiokai", "Cheirotonus gestroi", "Cheirotonus jansoni", "Cheirotonus parryi", "Cheirotonus peracanus", "Cheirotonus terunumai", "Propomacrus cypriacus", "Propomacrus muramotoae", "Masakiella bossiellae", "Cosmosoma maishei", "Gymnospora blanchetii", "Brachytydeus amicus", "Jania pumila", "Jania pygmaea", "Jania affinis", "Jania capillacea", "Jania fastigiata", "Zygopetalum microphytum", "Spirostreptus arabs", "Dendrobium papilio", "Nyodes aurora", "Nyodes njombei", "Bossiella frondifera", "Nyodes basilewskyi", "Nyodes acatharta", "Carex adusta", "Carex aestivalis", "Carex aggregata", "Carex alata", "Bossiella hakaiensis", "Carex alba", "Bossiella heteroforma", "Carex albicans", "Bossiella manzae", "Bossiella montereyensis", "Bossiella reptans", "Carex albonigra", "Calliarthron cheilosporioides", "Carex albula", "Calliarthron tuberculosum", "Carex albursina", "Carex alligata", "Tainocampa nigra", "Tainocampa baracoa", "Ctenoplusia nilgirica", "Chrysodeixis dufayi", "Chrysorabdia pakistana", "Rhuda thoenyi", "Rhuda minima", "Rhuda bellavista", "Rhuda minor", "Rhuda minor minor", "Rhuda minor australis", "Schizuroides pelialis", "Schizuroides desotoi", "Carex curatorum", "Urgedra benca", "Nystalea rhetesa", "Carex abscondita", "Lepasta brabilla", "Lepasta olivescens", "Microbergeria luctuosa", "Nyodes sublutescens", "Coregonus zuerichensis", "Nyodes mariae", "Nyodes barlowi", "Nyodes auriferoides", "Nyodes sandersi", "Nyodes meloui", "Causus lichtensteinii", "Parafodina sambirano", "Parafodina andriai", "Carex berggrenii", "Tydeus calabrus", "Corallina armata", "Parafodina aldabrana", "Carex bicolor", "Corallina pilulifera", "Corallina pinnatifolia", "Parafodina ectrogia", "Corallina bathybentha", "Corallina polysticha", "Carex binervis", "Parafodina inscripta", "Brachytydeus danhidalgoi", "Corallina confusa", "Corallina vancouveriensis", "Xanthoparmelia azaniensis", "Corallina bifurca", "Corallina muscoides", "Xanthoparmelia ovealmbornii", "Corallina rigida", "Corallina berteroi", "Corallina aberrans", "Corallina crassissima", "Corallina declinata", "Anaeomorpha mirifica", "Brachytydeus blaszaki", "Brachytydeus bloszyki", "Brachytydeus jesionowskii", "Jania novae-zelandiae", "Jania arborescens", "Jania nipponica", "Jania ungulata", "Jania yenoshimensis", "Jania pusilla", "Carex appressa", "Zamarada aclea", "Carex archeri", "Carex arctata", "Coregonus zugensis", "Carex atrofusca", "Alcis hodeberti", "Chiharaea bodegensis", "Chiharaea silvae", "Zamarada fontaineae", "Chiharaea americana", "Rhodometra labdoides", "Chiharaea rhododactyla", "Crusticorallina adhaerens", "Crusticorallina muricata", "Carex backii", "Crusticorallina nootkana", "Crusticorallina painei", "Carex baileyi", "Carex baldensis", "Carex banksii", "Corallina officinalis", "Parafodina delphinensis", "Corallina maxima", "Parafodina pentagonalis", "Corallina abundans", "Corallina cossmannii", "Corallina binangonensis", "Corallina caespitosa", "Corallina ferreyrai", "Corallina goughensis", "Corallina hombronii", "Corallina microptera", "Fodina sogai", "Corallina laxa", "Corallina livida", "Corallina millegrana", "Corallina sachalinensis", "Corallina panizzoi", "Fodina albicincta", "Corallina melobesioides", "Jania rubens", "Jania cubensis", "Fodina arctioides", "Jania pistillaris", "Fodina hypercompoides", "Carex concinnoides", "Hydrolithon falklandicum", "Carex conferta", "Carex congdonii", "Polygaloides munbyana", "Anodendron parviflorum", "Brachytydeus akelai", "Maxillaria arachnites", "Coenodomus hampsoni", "Carex bullata", "Procometis brunnea", "Brachytydeus celtides", "Lamoria baea", "Carex bushii", "Jania spectabilis", "Brachytydeus bakeri", "Jania squamata", "Jania pedunculata var. adhaerens", "Tolumnia variegata", "Carex capillacea", "Jania micrarthrodia", "Carex brachystachys", "Fodina decussis", "Carex brainerdii", "Parmelia imitata", "Coenodomus anacanthos", "Carex breviculmis", "Coenodomus pachycaulosus", "Coenodomus puniceus", "Coenodomus stigmas", "Coenodomus aglossalis", "Coenodomus dudgeoni", "Encyclia pyriformis", "Coenodomus fumosalis", "Coenodomus rotundinidus", "Carex bromoides", "Carex brownii", "Jania cultrata", "Jania acutiloba", "Brachytydeus globulipalpus", "Brachytydeus perlatus", "Coenodomus cornucalis", "Jania prolifera", "Brachytydeus incompertus", "Jania iyengarii", "Cyana aurantifascia", "Jania lobata", "Carex caroliniana", "Jania longifurca", "Jania virgata", "Pareuchaetes aurata", "Carex castanea", "Acerentulus tortii", "Jania longiarthra", "Carex cephaloidea", "Jania subpinnata", "Carex cephalophora", "Jania nummulitica", "Jania minuta", "Jania parva", "Jania pacifica", "Jania pulchella", "Jania purpurata", "Zatrephes paradisea", "Jania sagittata", "Jania sanctae-marthae", "Jania tenella", "Echites agglutinatus", "Heterosamara tatarinowii", "Leiosoma matesiense", "Heterosamara furcata", "Pneophyllum subplanum", "Pneophyllum coronatum", "Brassia warszewiczii", "Hydrolithon gardineri", "Catasetum expansum", "Hydrolithon iyengarii", "Hydrolithon krusadiense", "Hydrolithon verrucosum", "Hydrolithon megacystum", "Hydrolithon murakoshii", "Hydrolithon pachydermum", "Heterosamara isocarpa", "Pneophyllum extensum", "Pneophyllum fragile", "Pneophyllum confervicola", "Carex floridana", "Carex foetida", "Carex folliculata", "Pneophyllum limitatum", "Carex forficula", "Pneophyllum myriocarpum", "Pneophyllum zonale", "Pneophyllum keatsii", "Carex fracta", "Pneophyllum lobescens", "Pneophyllum amplexifrons", "Carex \u00d7 friesii", "Pneophyllum conicum", "Carex frigida", "Tydeus melanchlaenus", "Hydrolithon craspedium", "Hydrolithon somaliae", "Tydeus ministralis", "Tydeus albofasciatus", "Tydeus albellus", "Hydrolithon boergesenii", "Hydrolithon breviclavium", "Carex chichijimensis", "Hydrolithon cymodoceae", "Carex chinensis", "Hydrolithon farinosum", "Hydrolithon boreale", "Carex collinsii", "Carex comans", "Hydrolithon cruciatum", "Hydrolithon sargassi", "Carex communis", "Hydrolithon pellire", "Hydrolithon superficiale", "Hydrolithon abyssophila", "Hydrolithon arenicola", "Hydrolithon braganum", "Hydrolithon chamberlainiae", "Hydrolithon chamaedoris", "Carex deweyana", "Carex dianae", "Carex dickinsii", "Carex digitalis", "Carex dipsacea", "Carex dispalata", "Carex dissita", "Carex dissitiflora", "Carex distachya", "Carex doenitzii", "Carex donnell-smithii", "Carex eburnea", "Carex emoryi", "Carex ericetorum", "Carex extensa", "Nephromopsis andrejevii", "Nephromopsis nigricascens", "Cetraria sorediella", "Brachytydeus nesziyyonensis", "Homoeographa mixticius", "Jania radiata", "Jania articulata", "Brachytydeus elegans", "Brachytydeus ornatus", "Jania rosea", "Carex cruenta", "Tervurenia eloumdeni", "Xanthoparmelia aliphaticella", "Xanthoparmelia exornata", "Jania paniculata", "Deserticossus doroshkini", "Carex jamesii", "Deserticossus kamelini", "Jania subulata", "Deserticossus selevini", "Deserticossus tsingtauana tsingtauana", "Jania dercourtii", "Deserticossus tsingtauana didenkoi", "Carex punctata", "Jania elegans", "Jania intermedia", "Heterosamara resinosa", "Heterosamara wattersii", "Gauropterus sanguinipennis", "Carex fastigiata", "Heterosamara caudata", "Heterosamara sect.", "Carex fimbriata", "Heterosamara sect.", "Diceros bicornis ladoensis", "Diceros bicornis occidentalis", "Carex flacca", "Carex flaccosperma", "Carex flagellifera", "Gauropterus sanguinipes", "Gauropterus bucharicus", "Gauropterus fulgidus", "Nudobius fasciatus", "Nudobius umbratus", "Gyrohypnus ochripennis", "Carex gravida", "Carex grisea", "Titanoderma pustulatum", "Carex gynandra", "Titanoderma conspectum", "Titanoderma polyclonum", "Titanoderma rasile", "Carex hachijoensis", "Titanoderma laminariae", "Titanoderma mutabile", "Carex hakkodensis", "Titanoderma ramosissimum", "Carex hakonensis", "Titanoderma trochanter", "Jania ucrainica", "Brachytydeus mattheyi", "Brachytydeus baderi", "Brachytydeus collicupatus", "Brachytydeus nasatus", "Tydeus linarocatus", "Hypotrachyna horrescens", "Tydeus quadrisetosus", "Hypotrachyna pindarensis", "Hypotrachyna spumosa", "Hypotrachyna subfatiscens", "Fosliella affinis", "Miltochrista fascicornuta", "Miltochrista cuneifera", "Fosliella atlantica", "Fosliella minuta", "Fosliella fertilis", "Elachista concubia", "Fosliella paschalis", "Elachista achlyodes", "Elachista scoteina", "Fosliella mediterranea", "Elachista cardiaca", "Elachista dilobates", "Elachista vespertina", "Elachista fugax", "Fosliella valida", "Orphnebius dhaulagiricus", "Orphnebius appendiculatus", "Tydeus polymitus", "Zyrastilbus almorensis", "Pheidologitonetes setifer", "Nephromopsis aurescens", "Nephromopsis sphaerosporella", "Carex debilis", "Carex decomposita", "Heterosamara engleri", "Carex delavayi", "Carex demissa", "Neolorryia americana", "Polygala dunniana", "Heterosamara saxicola", "Nudilorryia virginia", "Nudilorryia mariae", "Nudilorryia obsequens", "Nudilorryia paraferula", "Nudilorryia schotiae", "Neoapolorryia hippocastani", "Neoapolorryia regia", "Heterosamara bennae", "Heterosamara carrissoana", "Prasophyllum affine", "Prasophyllum album", "Prasophyllum alpestre", "Prasophyllum tadgellianum", "Prasophyllum alpinum", "Heterosamara pellucida", "Metagoniolithon chara", "Metagoniolithon stelliferum", "Neogoniolithon fosliei", "Neogoniolithon mamillare", "Neogoniolithon strictum", "Ethiopica acrothecta", "Hypercalymnia malagasy", "Hypercalymnia laurenconi", "Hypercalymnia ampijoroa", "Carex hispida", "Hapsifera revoluta", "Carex hochstetteriana", "Hapsifera asperula", "Hapsifera ignobilis", "Hapsifera compressa", "Hapsifera glebata", "Hapsifera cervina", "Hapsifera clara", "Heterosamara cardiocarpa", "Polygala lacei", "Polygala palustris", "Carex hormathodes", "Carex hostiana", "Carex houghtoniana", "Porphyra akasakae", "Carex hyalinolepis", "Porphyra angusta", "Porphyra argentinensis", "Porphyra atropurpurea", "Carex conjuncta", "Carex conoidea", "Carex crawei", "Carex crawfordii", "Brachytydeus septuagesimusseptimus", "Metalorryia foliata", "Carex cristatella", "Carex cumulata", "Orphnebius triacuminatus", "Orphnebius gracilis", "Orphnebius protuberatus", "Orphnebius pertortus", "Orphnebius migrus", "Orphnebius reticulipennis", "Polygaloides webbiana", "Carex curvicollis", "Polygaloides balansae", "Metalorryia magdalenae", "Carex dallii", "Carex darwinii", "Metalorryia delicata", "Heterosamara galpinii", "Metalorryia insignita", "Metalorryia palpsetosa", "Metalorryia anchisi", "Heterosamara cabrae", "Carex davisii", "Cetraria weii", "Cetraria corrugata", "Cetraria endochrysea", "Metalorryia cristata", "Cetraria flavonigrescens", "Cetraria isidiigera", "Cetraria laii", "Brachytydeus onestiae", "Cetraria madreporiformis", "Cetraria sinensis", "Cetraria wangii", "Brachytydeus belfiori", "Brachytydeus armindae", "Brachytydeus ramiri", "Brachytydeus serpettae", "Brachytydeus arkadiensis", "Dysderina potena", "Carex halleriana", "Costarina recondita", "Dysderina humphreyi", "Dysderina belinda", "Carex hartmaniorum", "Neottia makinoana", "Dysderina rigida", "Xantholinus laniger", "Xantholinus gridellii", "Xantholinus inuus", "Xantholinus fortepunctatus", "Xantholinus caucasicus", "Xantholinus sardous", "Xantholinus cerrutii", "Nepalota angusticavata", "Nepalota kyushuica", "Nepalota laticavata", "Nepalota naomii", "Nepalota rectisulcata", "Xantholinus maritimus", "Carex hassei", "Carex helleri", "Carex hirsutella", "Carex hirtifolia", "Hapsifera jemenitica", "Hapsifera remanei", "Hapsifera arithmetis", "Milichilinus decorus", "Allolinus insolens", "Hapsifera lutea", "Phacophallus flavipennis", "Harveylithon rupestre", "Harveylithon canariense", "Harveylithon samo\u00ebnse", "Hapsifera nigraurella", "Harveylithon munitum", "Metagoniolithon radiatum", "Lithoporella atlantica", "Carex kiotensis", "Lithoporella lapidea", "Carex kurdica", "Lithoporella bermudensis", "Lithoporella sauvageaui", "Myrmecozela ethiopica", "Lithoporella indica", "Hapsifera haplotherma", "Carex lachenalii", "Hapsifera hastata", "Carex lacustris", "Mastophora rosea", "Carex laevigata", "Carex lanceolata", "Mastophora foliacea", "Mastophora multistrata", "Mastophora pacifica", "Carex laxa", "Mastophora pygmaea", "Xantholinus kirghisicus", "Metamastophora flabellata", "Pneophyllum mauritianum", "Pneophyllum nicholsii", "Pneophyllum elegans", "Pneophyllum japonicum", "Pneophyllum submersiporum", "Carex fulta", "Pneophyllum zostericola", "Carex gentilis", "Ezo epiyessoense", "Carex gibba", "Carex gigantea", "Xantholinus puthzi", "Xantholinus penicillatus", "Carex glareosa", "Xantholinus chalusianus", "Carex glaucescens", "Xantholinus elegans", "Carex glaucodea", "Xantholinus apenninicola", "Carex gracillima", "Lithothrix aspergillum", "Paulsilvella huveorum", "Paulsilvella antiqua", "Carex grallatoria", "Platysiphon glacialis", "Bathynema nodinauti", "Trophomera elegantis", "Trophomera minutissima", "Trophomera pacifica", "Trophomera senckenbergi", "Spongites absimilis", "Spongites africanus", "Spongites agulhensis", "Spongites tumidus", "Scaphidysderina manu", "Spongites colliculosus", "Scaphidysderina pagoreni", "Scaphidysderina scutata", "Scaphidysderina cajamarca", "Scaphidysderina tayos", "Scaphidysderina loja", "Spongites albanensis", "Spongites discoideus", "Spongites hyperellus", "Spongites tunicatus", "Spongites sulawesiensis", "Spongites verruculosus", "Scaphidysderina molleturo", "Scaphidysderina tapiai", "Heteroderma subtilissimum", "Scaphidysderina pinocchio", "Heteroderma gibbsii", "Scaphidysderina palenque", "Heterosamara malesiana", "Carex laxiflora", "Stenoptilia zalocrossa", "Costarina sorkini", "Costarina cerrocol", "Costarina bocas", "Costarina chiriqui", "Carex leavenworthii", "Costarina clara", "Costarina fortuna", "Costarina almirante", "Costarina dybasi", "Costarina tskui", "Costarina dura", "Dysderina silvatica", "Carex lenta", "Heterosamara umbonata", "Neodasyporella innerannulata", "Paraphyllum amphiroiforme", "Paraphyllum primaevum", "Dimorphocrambus espeletiae", "Carex melanostachya", "Halosiphon tomentosus", "Carex merritt-fernaldii", "Carex mesochorea", "Stschapovia flagellaris", "Carex meyenii", "Carex microglochin", "Carex mitrata", "Carex mitrata var. aristata", "Phymatolithon calcareum", "Porphyra augustinae", "Porphyra autumnalis", "Porphyra bulbopes", "Porphyra capensis", "Porphyra ceylanica", "Porphyra chauhanii", "Porphyra corallicola", "Porphyra delicatula", "Porphyra dentimarginata", "Porphyra dioica", "Porphyra fujianensis", "Porphyra grateloupicola", "Porphyra guangdongensis", "Porphyra inaequicrassa", "Porphyra indica", "Porphyra ionae", "Porphyra irregularis", "Porphyra kanyakumariensis", "Porphyra ledermannii", "Porphyra lucasii", "Porphyra maculosa", "Porphyra marginata", "Porphyra microphylla", "Porphyra monosporangia", "Porphyra mumfordii", "Porphyra njordii", "Porphyra ochotensis", "Porphyra okamurae", "Porphyra okhaensis", "Porphyra oligospermatangia", "Porphyra plocamiestris", "Porphyra pujalsiae", "Porphyra punctata", "Porphyra qingdaoensis", "Porphyra ramosissima", "Porphyra rizzinii", "Porphyra roseana", "Porphyra schistothallus", "Porphyra segregata", "Porphyra tanakae", "Porphyra tenuis", "Porphyra tristanensis", "Porphyra violacea", "Porphyra vulgaris", "Porphyra woolhouseae", "Carex incisa", "Carex intumescens", "Carex jamesonii", "Lesueuria minderiana", "Carex jonesii", "Carex joorii", "Carex kingii", "Hapsifera nidicola", "Lithoporella melobesioides", "Costarina sepultura", "Carex livida", "Costarina bochil", "Costarina belmopan", "Costarina peten", "Costarina macha", "Costarina cahui", "Costarina morales", "Costarina izabal", "Carex longerostrata", "Carex lucorum", "Costarina cortes", "Costarina cofradia", "Costarina cusuco", "Porolithon aequinoctiale", "Porolithon praetextatum", "Costarina tela", "Costarina ceiba", "Costarina branstetteri", "Porolithon improcerum", "Costarina olancho", "Porolithon castellum", "Costarina muralla", "Porolithon sonorense", "Costarina coma", "Costarina gracias", "Costarina blanco", "Porolithon orbiculatum", "Porolithon marshallense", "Carex luzulina", "Spongites fruticulosus", "Spongites decipiens", "Spongites impar", "Spongites yendoi", "Carex miyabei", "Carex molesta", "Carex monostachya", "Phymatolithon acervatum", "Phymatolithon notatum", "Phymatolithon tenuissimum", "Phymatolithon lenormandii", "Phymatolithon brunneum", "Phymatolithon lamii", "Phymatolithon ferox", "Phymatolithon foveatum", "Phymatolithon laevigatum", "Phymatolithon purpureum", "Phymatolithon lusitanicum", "Phymatolithon masonianum", "Carex moupinensis", "Phymatolithon repandum", "Scaphidysderina tandapi", "Scaphidysderina napo", "Heteroderma jugatum", "Scaphidysderina baerti", "Heteroderma corallinicola", "Scaphidysderina cotopaxi", "Heteroderma parvicarpa", "Scaphidysderina andersoni", "Scaphidysderina hormigai", "Scaphidysderina iguaque", "Lithophyllum incrustans", "Lithophyllum fasciculatum", "Carex macrolepis", "Lithophyllum flavescens", "Lithophyllum okamurae", "Lithophyllum orbiculatum", "Carex mariposana", "Amphiroa anastomosans", "Amphiroa anceps", "Amphiroa annobonensis", "Amphiroa annulata", "Amphiroa articulata", "Amphiroa beauvoisii", "Amphiroa bowerbankii", "Amphiroa brasiliana", "Amphiroa breviarticulata", "Amphiroa canaliculata", "Amphiroa capensis", "Amphiroa compressa", "Amphiroa crassa", "Amphiroa crosslandii", "Amphiroa crustiformis", "Amphiroa cryptarthrodia", "Megalinus glabratus", "Costarina seclusa", "Dysderina improvisa", "Costarina sasaima", "Costarina suiza", "Costarina otun", "Costarina choco", "Costarina yotoco", "Costarina saladito", "Costarina antonio", "Costarina anchicaya", "Costarina gorgona", "Costarina helechal", "Costarina taraira", "Costarina kilambe", "Costarina diablo", "Costarina waspuk", "Costarina musun", "Porolithon onkodes", "Costarina plena", "Carex leptonervia", "Costarina iviei", "Costarina llama", "Costarina oaxaca", "Costarina mixtepec", "Costarina subplena", "Costarina naja", "Asemeia tonsa", "Taterillus arenarius", "Amphiroa cumingii", "Amphiroa currae", "Amphiroa dimorpha", "Amphiroa echigoensis", "Amphiroa ephedraea", "Amphiroa exilis", "Amphiroa foliacea", "Amphiroa fragilissima", "Amphiroa franciscana", "Amphiroa galapagensis", "Amphiroa galerita", "Amphiroa gracilis", "Amphiroa hancockii", "Amphiroa howensis", "Amphiroa irregularis", "Amphiroa itonoi", "Amphiroa johansenii", "Amphiroa klochkovana", "Amphiroa kuetzingiana", "Amphiroa magdalenensis", "Amphiroa maletractata", "Amphiroa minutissima", "Amphiroa misakiensis", "Amphiroa nodulosa", "Amphiroa pacifica", "Amphiroa peruana", "Amphiroa polymorpha", "Amphiroa pusilla", "Amphiroa rigida", "Amphiroa setacea", "Amphiroa subcylindrica", "Amphiroa taylorii", "Amphiroa tribulus", "Amphiroa ungulata", "Amphiroa valonioides", "Amphiroa vanbosseae", "Amphiroa yendoi", "Amphiroa zonalis", "Rhaptothyreus typicus", "Phagnalon rupestre subsp. rupestre", "Phagnalon graecum", "Carex maximowiczii", "Simlops bodanus", "Carex meadii", "Neogoniolithon propinquum", "Neogoniolithon pudumadamense", "Neogoniolithon racemosum", "Neogoniolithon rhizophorae", "Neogoniolithon rufum", "Neogoniolithon rugulosum", "Neogoniolithon scabridum", "Neogoniolithon setchellii", "Neogoniolithon siankanensis", "Neogoniolithon spectabile", "Neogoniolithon tenuicrustaceum", "Neogoniolithon tiruchendurense", "Neogoniolithon trichotomum", "Neogoniolithon variabile", "Carex nervata", "Trophomera arnaudi", "Carex nervina", "Trophomera crozetensis", "Trophomera edouardensis", "Trophomera ifremeri", "Trophomera improvisa", "Trophomera petterae", "Trophomera platyptera", "Trophomera pseudominuta", "Trophomera tchesunovi", "Trophomera turpicauda", "Carex nigromarginata", "Carex normalis", "Trophomera megala", "Phymatolithon tenue", "Trophomera conchicola", "Carex muehlenbergii", "Trophomera granovitchi", "Megalinus pseudohesperius", "Trophomera americana", "Trophomera longiovaris", "Medhiama paupera", "Trophomera litoralis", "Xantholinus minos", "Carex multicaulis", "Xantholinus rufipes", "Trophomera hureaui", "Neogoniolithon accretum", "Neogoniolithon acropetum", "Neogoniolithon affine", "Neogoniolithon assitum", "Neogoniolithon atlanticum", "Neogoniolithon brassica-florida", "Neogoniolithon caribaeum", "Neogoniolithon ceylonense", "Neogoniolithon clavacymosum", "Neogoniolithon crassifructum", "Neogoniolithon desikacharyi", "Neogoniolithon dispalatum", "Neogoniolithon erosum", "Neogoniolithon finitimum", "Neogoniolithon ganesanii", "Neogoniolithon hirtum", "Neogoniolithon krusadii", "Neogoniolithon martellii", "Neogoniolithon megacarpum", "Neogoniolithon megalocystum", "Neogoniolithon misakiense", "Neogoniolithon oblimans", "Neogoniolithon orthoblastum", "Neogoniolithon palkense", "Trophomera filiformis", "Trophomera laubieri", "Trophomera conicauda", "Trophomera minuta", "Carex norvegica", "Oreosaurus serranus", "Carex novae-angliae", "Carex obispoensis", "Trophomera iturupiensis", "Trophomera hopei", "Trophomera diploptera", "Trophomera gracilis", "Trophomera rotundicauda", "Trophomera leptosoma", "Trophomera acuticauda", "Trophomera aptera", "Trophomera breviptera", "Trophomera bathycola", "Trophomera australis", "Carex obtusata", "Carex oligocarpa", "Trophomera rosaliae", "Trophomera abyssalis", "Trophomera regalis", "Rhaptothyreus minor", "Oligodon saiyok", "Carex olivacea", "Carex onoei", "Carex orestera", "Whangareiella suborbata", "Carex ormostachya", "Lithophyllum acanthinum", "Lithophyllum accedens", "Lithophyllum acrocamptum", "Lithophyllum aequum", "Lithophyllum affine", "Lithophyllum almanense", "Lithophyllum alternans", "Lithophyllum amplostratum", "Lithophyllum aninae", "Lithophyllum atalayense", "Lithophyllum atlanticum", "Lithophyllum azorum", "Lithophyllum bahrijense", "Lithophyllum bamleri", "Lithophyllum bathyporum", "Lithophyllum belgicum", "Taterillus tranieri", "Carex orbicularis", "Carex secta", "Carex sendaica", "Carex serratodens", "Carex sheldonii", "Carex shortiana", "Carex silicea", "Carex simensis", "Asemeia galmeri", "Asemeia glabra", "Asemeia hirsuta", "Potamotrygon jabuti", "Potamotrygon albimaculata", "Asemeia pohliana", "Andelis australis", "Adhavara ferruginea", "Melobesia accola", "Carex panormitana", "Carex paysonis", "Austrolithon intumescens", "Carex peckii", "Boreolithon van-heurckii", "Epulo multipedes", "Carex pedunculata", "Asemeia echinosperma", "Choreonema thuretii", "Clathromorphum compactum", "Asemeia apopetala", "Clathromorphum circumscriptum", "Clathromorphum obtectulum", "Asemeia floribunda", "Australinus megacephalus", "Clathromorphum lemoineanum", "Thyreocephalus rufitarsis", "Thyreocephalus albertisi", "Clathromorphum variabile", "Thyreocephalus arnhemensis", "Clathromorphum nereostratum", "Kamilaroius serpens", "Clathromorphum tubiforme", "Carex pensylvanica", "Linosomus socius", "Zatrephes rosacea", "Carex petitiana", "Carex pilosa", "Carex podogyna", "Carex polymorpha", "Carex praeceptorum", "Carex prairea", "Carex projecta", "Carex proposita", "Carex pseudobrizoides", "Asemeia hondurana", "Asemeia securidaca", "Asemeia sphaerospora", "Lithophyllum pallescens", "Lithophyllum papillosum", "Zeteotomus caledonicus", "Lithophyllum paradoxum", "Lithophyllum parvicellum", "Lithophyllum perulatum", "Lithophyllum pinguiense", "Lithophyllum polycephalum", "Lithophyllum prelichenoides", "Lithophyllum premoluccense", "Lithophyllum preprototypum", "Lithophyllum proboscideum", "Lithophyllum prototypum", "Lithophyllum pseudoplatyphyllum", "Lithophyllum punctatum", "Lithophyllum pygmaeum", "Lithophyllum quadratum", "Lithophyllum racemus", "Lithophyllum reesei", "Lithophyllum rileyi", "Lithophyllum riosmenae", "Lithophyllum rugosum", "Lithophyllum sancti-georgei", "Lithophyllum shioense", "Lithophyllum sierra-blancae", "Lithophyllum sigi", "Lithophyllum simile", "Lithophyllum skottsbergii", "Lithophyllum socotraense", "Lithophyllum stictiforme", "Lithophyllum subantarcticum", "Lithophyllum subplicatum", "Lithophyllum subreduncum", "Lithophyllum subtenellum", "Lithophyllum tasmanicum", "Lithophyllum tedeschii", "Lithophyllum tenuicrustum", "Lithophyllum thikombian", "Lithophyllum tortuosum", "Lithophyllum trinidadense", "Lithophyllum tuberculatum", "Lithophyllum tumidulum", "Lithophyllum uvaria", "Lithophyllum veleroae", "Lithophyllum vickersiae", "Lithophyllum viennotii", "Lithophyllum yemenense", "Lithophyllum yessoense", "Carex pairae", "Hildenbrandia rivularis", "Carex uncinata", "Notylia ecuadorensis", "Artemisia pedemontana", "Nasikabatrachus bhupathi", "Lithophyllum bipartitum", "Lithophyllum brachiatum", "Lithophyllum byssoides", "Lithophyllum cabiochiae", "Lithophyllum californiense", "Lithophyllum canariense", "Lithophyllum canescens", "Lithophyllum carpophylli", "Lithophyllum chamberlainianum", "Lithophyllum coibense", "Lithophyllum complexum", "Lithophyllum congestum", "Lithophyllum corallinae", "Lithophyllum crassum", "Lithophyllum crouaniorum", "Lithophyllum cuneatum", "Lithophyllum cystosirae", "Lithophyllum decussatum", "Lithophyllum dentatum", "Lithophyllum depressum", "Lithophyllum detrusum", "Lithophyllum dispar", "Lithophyllum divaricatum", "Lithophyllum dublancqui", "Lithophyllum elegans", "Lithophyllum esperi", "Lithophyllum falkandicum", "Lithophyllum fernandezianum", "Lithophyllum fetum", "Lithophyllum fulangasum", "Lithophyllum ganeopsis", "Lithophyllum geometricum", "Lithophyllum giraudyi", "Lithophyllum gracile", "Lithophyllum grumosum", "Lithophyllum hancockii", "Lithophyllum hermaphroditum", "Lithophyllum hibernicum", "Lithophyllum imitans", "Lithophyllum impressum", "Lithophyllum insipidum", "Lithophyllum intermedium", "Lithophyllum ippolitoi", "Lithophyllum irregulare", "Lithophyllum irvineanum", "Lithophyllum johansenii", "Lithophyllum johnsonii", "Lithophyllum kaiseri", "Lithophyllum kenjikonishii", "Lithophyllum kotschyanum", "Lithophyllum leptothalloideum", "Lithophyllum lithophylloides", "Lithophyllum lividum", "Lithophyllum lobatum", "Lithophyllum margaritae", "Lithophyllum megacrustum", "Lithophyllum mgarrense", "Lithophyllum neoatalayense", "Lithophyllum neocongestum", "Lithophyllum nitorum", "Lithophyllum otsukiensis", "Carex oxylepis", "Phacophallus japonicus", "Carex radiata", "Carex rara", "Asemeia acuminata", "Dysgonia ankalirano", "Carex rariflora", "Ophiusa waterloti", "Carex reinii", "Carex retroflexa", "Carex rhizina", "Carex richardsonii", "Carex rosea", "Polygala fallax", "Carex rufina", "Carex satsumensis", "Charaxes taverniersi", "Lusitaniella coriacea", "Charaxes janmoullei", "Asemeia extraaxillaris", "Elrathia kingii", "Dysagrion packardii", "Taterillus petteri", "Carex scabrata", "Sphaeranthera decussata", "Callilithophytum parcum", "Charaxes chintechi", "Charaxes protomanica", "Melyvonnea aemulans", "Melyvonnea canariensis", "Charaxes phaeus", "Melyvonnea madagascariensis", "Charaxes vansoni", "Charaxes variata", "Neopolyporolithon reclinatum", "Asemeia marquesiana", "Neopolyporolithon loculosum", "Charaxes ethalion", "Charaxes ethalion binghami", "Liolaemus gardeli", "Potamotrygon adamastor", "Stelis pilostoma", "Charaxes etheocles", "Carex solandri", "Carex sparganioides", "Charaxes pseudophaeus", "Carex specifica", "Charaxes fulvescens senegala", "Carex spicata", "Carex spicatopaniculata", "Lithothamnion album", "Lithothamnion andamanense", "Lithothamnion angolense", "Lithothamnion australe", "Lithothamnion bandanum", "Lithothamnion betieri", "Lithothamnion borneoense", "Lithothamnion bourcartii", "Lithothamnion brasiliense", "Lithothamnion californicum", "Lithothamnion cardinellense", "Lithothamnion carolii", "Lithothamnion carpoklonion", "Lithothamnion chatamense", "Lithothamnion corallinaeforme", "Lithothamnion corallioides", "Lithothamnion cottonii", "Lithothamnion crispatum", "Lithothamnion darwinii", "Lithothamnion dickiei", "Lithothamnion diguetii", "Lithothamnion durum", "Lithothamnion erinaceum", "Lithothamnion esperi", "Lithothamnion flavescens", "Lithothamnion fornicatum", "Lithothamnion fragiissimum", "Lithothamnion fuegianum", "Lithothamnion geppiorum", "Lithothamnion giammarinoi", "Lithothamnion gibbosum", "Lithothamnion giganteum", "Lithothamnion glaciale", "Lithothamnion grande", "Lithothamnion guadalupense", "Lithothamnion heterocladum", "Lithothamnion intermedium", "Lithothamnion islei", "Lithothamnion japonicum", "Corallinapetra novaezelandiae", "Coladenia kehelatha", "Coladenia laxmi", "Coladenia laxmi laxmi", "Coladenia laxmi landa", "Coladenia laxmi sobrina", "Carex wahuensis", "Carex willdenowii", "Carex woodii", "Carex \u00d7 aestivaliformis", "Carex x boenninghausiana", "Carex \u00d7 fulva", "Carex \u00d7 gaudiniana", "Carex \u00d7 microstachya", "Carex \u00d7 xanthocarpa", "Carex trisperma", "Carex petriei", "Apophlaea sinclairii", "Apophlaea lyallii", "Hildenbrandia rubra", "Hildenbrandia crouaniorum", "Melobesia rosanoffii", "Melobesia leptura", "Melobesia marginata", "Melobesia rugulosa", "Coladenia simianensis", "Melobesia rhizomae", "Coladenia agni", "Melobesia mediocris", "Coladenia agni agni", "Coladenia agni sundae", "Melobesia tasmanica", "Melobesia galapagensis", "Melobesia triplex", "Melobesia confervoides", "Melobesia crassiuscula", "Melobesia lamourouxii", "Melobesia tenuis", "Carex triquetra", "Melobesia tomitaroi", "Carex tristachya", "Carex typhina", "Melobesia polystromatica", "Carex umbellata", "Mesophyllum expansum", "Carex umbrosa", "Mesophyllum lichenoides", "Potamotrygon amazona", "Potamotrygon garmani", "Potamotrygon scobina", "Carex subnigricans", "Carex supina", "Carex swanii", "Carex sychnocephala", "Carex tenera", "Carex tenuiculmis", "Carex testacea", "Carex tetanica", "Carex texensis", "Synarthrophyton patena", "Carex thunbergii", "Carex tonsa", "Synarthrophyton pseudosorus", "Synarthrophyton munimentum", "Carex torreyi", "Synarthrophyton robbenense", "Synarthrophyton papillatum", "Carex torta", "Synarthrophyton eckloniae", "Synarthrophyton magellanicum", "Synarthrophyton neglectum", "Synarthrophyton schmitzii", "Synarthrophyton schielianum", "Synarthrophyton chejuense", "Carex trinervis", "Melobesia membranacea", "Lithothamnion kerguelenum", "Lithothamnion lacroixi", "Lithothamnion laminosum", "Lithothamnion lemoineae", "Lithothamnion magnum", "Lithothamnion maldivicum", "Lithothamnion manginii", "Lithothamnion marlothii", "Lithothamnion minervae", "Lithothamnion montereyicum", "Lithothamnion moretii", "Lithothamnion muelleri", "Lithothamnion murmanicum", "Lithothamnion nanosporum", "Lithothamnion nitidum", "Lithothamnion nodosum", "Lithothamnion nodulosum", "Lithothamnion occidentale", "Lithothamnion pauciporosum", "Lithothamnion peleense", "Lithothamnion perulatum", "Lithothamnion peruviense", "Lithothamnion phymatodeum", "Lithothamnion pocillum", "Lithothamnion praefruticulosum", "Lithothamnion proliferum", "Lithothamnion propontidis", "Lithothamnion ruptile", "Lithothamnion scabiosum", "Lithothamnion sejunctum", "Lithothamnion sonderi", "Lithothamnion spissum", "Lithothamnion steneckii", "Lithothamnion tahiticum", "Lithothamnion thelostegium", "Lithothamnion tophiforme", "Lithothamnion tusterense", "Lithothamnion ungeri", "Lithothamnion valens", "Lithothamnion validum", "Lithothamnion variabile", "Lithothamnion vescum", "Lithothamnion volcanum", "Carex sterilis", "Exilicrusta parva", "Kvaleya epilaeve", "Asemeia ignatii", "Mastophoropsis canaliculata", "Asemeia ilheotica", "Carex straminiformis", "Carex striata", "Carex striatula", "Carex vallicola", "Coladenia agnioides", "Carex venusta", "Coladenia hoenei", "Carex vernacula", "Coladenia igna", "Carex vestita", "Coladenia igna igna", "Mesophyllum aleuticum", "Mesophyllum almarae", "Mesophyllum alternans", "Mesophyllum arakuraense", "Mesophyllum brachycladum", "Mesophyllum capense", "Mesophyllum chatamense", "Mesophyllum chichibuense", "Mesophyllum commune", "Mesophyllum conchatum", "Mesophyllum crassiusculum", "Mesophyllum crispescens", "Mesophyllum curtum", "Mesophyllum cystocarpideum", "Coladenia igna marinda", "Mesophyllum ectocarpon", "Mesophyllum ehrmannii", "Mesophyllum engelhartii", "Mesophyllum erubescens", "Mesophyllum exasperatum", "Mesophyllum floridanum", "Mesophyllum fluatum", "Mesophyllum formosanum", "Mesophyllum funafutiense", "Mesophyllum imbricatum", "Mesophyllum incertum", "Mesophyllum incisum", "Mesophyllum inconspicuum", "Mesophyllum insigne", "Mesophyllum japonicum", "Mesophyllum javaense", "Mesophyllum koritzae", "Mesophyllum kuehnemannii", "Mesophyllum laffittei", "Mesophyllum lamellatum", "Mesophyllum laxum", "Mesophyllum macedonis", "Mesophyllum macroblastum", "Mesophyllum megagastri", "Mesophyllum mesomorphum", "Mesophyllum nipponicum", "Mesophyllum nitidum", "Mesophyllum ornatum", "Mesophyllum philippii", "Mesophyllum printzianum", "Mesophyllum pulchrum", "Mesophyllum sancti-dionysii", "Adamanthea insularis", "Adamanthea samoana", "Adamanthea koghiana", "Oreocarya flavoculata", "Penstemon hallii", "Dahlica croatica", "Penstemon duchesnensis", "Adamanthea tabuensis", "Ornithoptera rothschildi rothschildi", "Adamanthea platycephala", "Ornithoptera rothschildi janetae", "Amata schuelei", "Hildenbrandia sanjuanensis", "Penstemon janishiae", "Hildenbrandia ramanaginaii", "Penstemon pinorum", "Hildenbrandia patula", "Penstemon triflorus", "Hildenbrandia occidentalis", "Hildenbrandia galapagensis", "Hildenbrandia dawsonii", "Hildenbrandia lecannellieri", "Hildenbrandia jigongshanensis", "Carex punicea", "Hildenbrandia expansa", "Hildenbrandia arracana", "Heliconius spurius", "Hildenbrandia angolensis", "Mapania sylvatica", "Carex fraseriana", "Hildenbrandia cuprea", "Mesophyllum schenckii", "Carex virescens", "Mesophyllum siamense", "Mesophyllum simulans", "Mesophyllum sphaericum", "Mesophyllum squamuliforme", "Mesophyllum stenopon", "Mesophyllum syntrophicum", "Mesophyllum syrphetodes", "Mesophyllum vancouveriense", "Mesophyllum vaughanii", "Mesophyllum vignyense", "Mesophyllum yabei", "Mesophyllum yuyashimaense", "Carex lepidocarpa", "Coladenia indrani", "Coladenia indrani indrani", "Coladenia indrani indra", "Carex vulcani", "Coladenia indrani tissa", "Renouxia antillana", "Rhodogorgon ramosissima", "Rhodenigma contortum", "Archaeolithothamnion affine", "Archaeolithothamnion keenanii", "Archaeolithothamnion rude", "Archaeolithothamnion crosslandii", "Archaeolithothamnion intermedium", "Hemiphyllum atacicum", "Heydrichia woelkerlingii", "Heydrichia groeneri", "Heydrichia homalopasta", "Heydrichia cerasina", "Heydrichia poignantii", "Oreocarya caespitosa", "Mesaspis antauges", "Mesaspis monticola", "Holocorynus discedens", "Holocorynus subdepressus", "Pachycorynus caledonicus", "Pachycorynus pacificus", "Pachycorynus delicatulus", "Pachycorynus punctatus", "Hildenbrandia kerguelensis", "Kylinia rosulata", "Kylinia endophytica", "Liagorophila endophytica", "Erigeron aphanactis", "Erigeron pygmaeus", "Erigeron vetensis", "Zamarada michaeli", "Zamarada ramonae", "Rhododrewia porphyrae", "Chonala houae", "Acrochaetium terminale", "Acrochaetium trichogloeae", "Acrochaetium trifilum", "Acrochaetium tuticorinense", "Acrochaetium unifilum", "Acrochaetium unipes", "Acrochaetium vinculoides", "Scopula ablativa", "Scopula abornata", "Penstemon inflatus", "Penstemon radicosus", "Scopula acharis", "Pachycorynus rufotestaceus", "Pachycorynus fijianus", "Scopula achrosta", "Pachycorynus noumeanus", "Scopula acinosa", "Pachycorynus melanesianus", "Scopula aetheomorpha", "Scopula alma", "Pachycorynus loyaltyanus", "Scopula alstoni", "Scopula ambigua", "Scopula amphiphracta", "Victoria victoria sphrigon", "Comibaena rhodolopha", "Mesaspis cuchumatanus", "Rhodochorton atlanticum", "Rhodochorton corynosporoides", "Rhodochorton velutinum", "Rhodochorton galaxaurae", "Rhodochorton kurilense", "Rhodochorton subsalsum", "Rhodochorton subsimplex", "Mesaspis juarezi", "Mesaspis gadovii", "Mesaspis viridiflava", "Audouinella hermannii", "Mesaspis moreletii", "Scopula anatreces", "Scopula angusticallis", "Scopula aniara", "Scopula annexata", "Scopula anysima", "Scopula aphercta", "Scopula asparta", "Scopula aspiciens", "Leurocorynus cephalotes", "Scopula astrabes", "Scopula atricapilla", "Scopula batesi", "Scopula benenotata", "Grania efflorescens", "Scopula benguetensis", "Scopula brachypus", "Scopula caeria", "Scopula campbelli", "Scopula candida", "Scopula capnosterna", "Grania pectinata", "Derambila delostigma", "Derambila jacksoni", "Victoria triplaga", "Rhodochorton purpureum", "Victoria victoria triplaga", "Platanthera florentii", "Pristimantis fasciatus", "Pristimantis turik", "Pristimantis yukpa", "Campylospermum barberi", "Pristimantis abakapa", "Balbiania investiens", "Ananteris diegorojasi", "Balbiania meiospora", "Euproutia aggravaria", "Euproutia aggravaria aggravaria", "Euproutia aggravaria intermaculata", "Ananteris riomachensis", "Chactas viloriai", "Rhododraparnaldia oregonica", "Tityus rondonorum", "Tityus wayuu", "Bythonia freytagi", "Cyrtochilum ioplocon", "Euproutia rufomarginata", "Euproutia vernicoma", "Cirsium neomexicanum", "Cryptantha crassisepala", "Atlantirivulus haraldsiolii", "Asemeia martiana", "Castilleja scabrida", "Cuphea oreophila", "Brama australis", "Gelasmodes fasciata", "Gelasmodes malagasy", "Mesaspis gadovii levigata", "Chactopsis chullachaqui", "Chactopsis curupira", "Chactopsoides gonzalezspongai", "Megachactops kuemoi", "Erigeron canus", "Erigeron compactus", "Erigeron pulcherrimus", "Erigeron untermannii", "Erigeron utahensis", "Erigeron religiosus", "Erigeron sionis", "Mentzelia hispida", "Opisthacanthus brevicauda", "Hilaria jamesii", "Hilaria mutica", "Hilaria rigida", "Ahrimania longiceps", "Audouinella armoricanum", "Audouinella beardsleei", "Audouinella blumii", "Audouinella boryana", "Audouinella boweri", "Audouinella caesareae", "Audouinella callithamnioides", "Audouinella chalybea", "Audouinella cheminii", "Audouinella chnoosporae", "Audouinella curviramulosa", "Audouinella cylindrica", "Audouinella dalianensis", "Audouinella desikacharyi", "Audouinella eugenea", "Audouinella extensa", "Audouinella funiformis", "Audouinella hirsuta", "Audouinella keralayensis", "Audouinella laminariae", "Audouinella lanosa", "Audouinella liaonanensis", "Audouinella macropus", "Audouinella manxiana", "Audouinella mstinensis", "Audouinella neozeelandica", "Audouinella occulta", "Audouinella parva", "Acrochaetium lorrain-smithiae", "Acrochaetium luxurians", "Acrochaetium macropoda", "Acrochaetium macropus", "Acrochaetium macula", "Acrochaetium madinae", "Acrochaetium mahumetanum", "Acrochaetium maluinum", "Acrochaetium manorense", "Acrochaetium mauritianum", "Acrochaetium mediterraneum", "Acrochaetium microfilum", "Acrochaetium microscopicum", "Idaea obsoletaria lilaceola", "Acrochaetium minutum", "Acrochaetium molinieri", "Acrochaetium molle", "Acrochaetium moniliforme", "Acrochaetium multisporum", "Acrochaetium netrocarpum", "Acrochaetium nitidulum", "Acrochaetium nitophyllii", "Acrochaetium nurulislamii", "Acrochaetium opetigenum", "Acrochaetium pacificum", "Acrochaetium pallens", "Acrochaetium papenfussii", "Acrochaetium parvulum", "Acrochaetium phacelorhizum", "Acrochaetium phuquocensis", "Acrochaetium plumosum", "Acrochaetium polysporum", "Acrochaetium pseudoerectum", "Acrochaetium pulchellum", "Acrochaetium pulvereum", "Acrochaetium pulvinatum", "Acrochaetium radians", "Acrochaetium ralfsiae", "Acrochaetium reductum", "Acrochaetium repens", "Acrochaetium robustum", "Acrochaetium rongelapense", "Acrochaetium roseolum", "Acrochaetium ryukyuense", "Acrochaetium sagraeanum", "Acrochaetium sanctae-mariae", "Acrochaetium sancti-thomae", "Acrochaetium sargassicaulinum", "Acrochaetium scapae", "Acrochaetium secundatum", "Acrochaetium seiriolanum", "Acrochaetium seriasporum", "Acrochaetium sertulariae", "Acrochaetium sessile", "Acrochaetium sparsum", "Acrochaetium spathoglossi", "Acrochaetium spermatochni", "Acrochaetium spongicola", "Acrochaetium stilophorae", "Acrochaetium subpinnatum", "Acrochaetium subseriatum", "Acrochaetium subsimplex", "Acrochaetium subtilissimum", "Acrochaetium tenuissimum", "Sporolithon africanum", "Sporolithon australasicum", "Sporolithon brevium", "Sporolithon crassiramosum", "Sporolithon crassum", "Sporolithon durum", "Sporolithon elevatum", "Sporolithon episoredion", "Sporolithon episporum", "Sporolithon erythraeum", "Sporolithon glangeaudii", "Sporolithon howei", "Sporolithon indicum", "Sporolithon kobamazimense", "Sporolithon kuboiense", "Sporolithon lemoinei", "Sporolithon liberum", "Sporolithon mediterraneum", "Sporolithon molle", "Sporolithon pacificum", "Sporolithon ptychoides", "Sporolithon schmidtii", "Sporolithon sibogae", "Sporolithon stefaninii", "Sporolithon taiwanense", "Sporolithon tenue", "Sporolithon timorense", "Sporolithon yoneshigueae", "Acrochaetium actinocladum", "Acrochaetium affine", "Acrochaetium agardhiellae", "Acrochaetium alariae", "Acrochaetium amahatanum", "Acrochaetium angustum", "Acrochaetium antillarum", "Acrochaetium arcuatum", "Acrochaetium armoricanum", "Acrochaetium arnoldii", "Acrochaetium attenuatum", "Acrochaetium avrainvilleae", "Acrochaetium bahreinii", "Acrochaetium balliae", "Acrochaetium balticum", "Acrochaetium barbadense", "Acrochaetium battersianum", "Acrochaetium bengalicum", "Acrochaetium boergesenii", "Acrochaetium brebneri", "Acrochaetium bulbosa", "Acrochaetium byssaceum", "Acrochaetium caesareae", "Acrochaetium caespitiforme", "Acrochaetium canariense", "Acrochaetium candelabrum", "Acrochaetium catenulatum", "Acrochaetium chaetomorphae", "Austromelanelixia fuscosorediata", "Austromelanelixia glabratuloides", "Austromelanelixia piliferella", "Austromelanelixia subglabra", "Penstemon tenuiflorus", "Atrophycus ater", "Atrophycus atrobrasiliensis", "Atrophycus puiggarianus", "Menophra berinicidaria", "Goodyera henryi", "Oreocarya rollinsii", "Comostolopsis sladeni", "Comostolopsis intensa", "Discomiosis anfractilinea", "Discomiosis synnephes", "Dendrobium longicornu", "Austromelanelixia calva", "Penstemon alluviorum", "Lepanthes filamentosa", "Lethe gemina shanshanae", "Lepanthes barbelifera", "Tulista kingiana", "Acrochaetium champiae", "Acrochaetium cheminii", "Acrochaetium clandestinum", "Acrochaetium colaconemoides", "Acrochaetium collopodum", "Acrochaetium concavum", "Colaconema corymbiferum", "Acrochaetium crassipes", "Acrochaetium curtum", "Acrochaetium cymopoliae", "Acrochaetium cytophagum", "Acrochaetium discoideum", "Acrochaetium distichosporum", "Acrochaetium dotyi", "Acrochaetium doumerquei", "Acrochaetium drewiae", "Acrochaetium duboscqii", "Acrochaetium dumontiae", "Acrochaetium dwarkense", "Acrochaetium eastwoodiae", "Acrochaetium effusum", "Acrochaetium endozoicum", "Acrochaetium epispiculum", "Acrochaetium epizooicum", "Acrochaetium erectum", "Acrochaetium ernothrix", "Acrochaetium extensum", "Acrochaetium fernandezianum", "Acrochaetium flexuosum", "Acrochaetium fuegiense", "Acrochaetium globosum", "Acrochaetium grande", "Acrochaetium grateloupiae", "Acrochaetium hamelii", "Acrochaetium hancockii", "Acrochaetium hlulekaense", "Acrochaetium hormorhizum", "Acrochaetium howei", "Acrochaetium hoytii", "Acrochaetium humile", "Acrochaetium imitator", "Acrochaetium immersum", "Acrochaetium inclusum", "Acrochaetium incrassatum", "Acrochaetium inkyui", "Acrochaetium interpositum", "Acrochaetium iyengarii", "Acrochaetium jamaicense", "Acrochaetium japonicum", "Acrochaetium krusadii", "Acrochaetium kuckuckianum", "Acrochaetium kurilense", "Acrochaetium kurogii", "Acrochaetium kylinii", "Acrochaetium kylinioides", "Acrochaetium lauterbachii", "Acrochaetium laxum", "Acrochaetium leptonema", "Acrochaetium leptonemoides", "Acrochaetium levringii", "Acrochaetium liagorae", "Acrochaetium liagoraefilum", "Acrochaetium liagoroides", "Audouinella patelii", "Audouinella polymorpha", "Audouinella pugettia", "Audouinella pygmaea", "Audouinella scopulata", "Audouinella serpens", "Audouinella sorocarpa", "Audouinella sphaerotrichia", "Audouinella spinulosa", "Audouinella streblocladiae", "Audouinella subtilis", "Audouinella tenella", "Ballia callitricha", "Bathycolpodes holochroa", "Ballia vestium", "Ballia crassa", "Ballia nana", "Prasinocyma nigrimacula", "Ballia pennoides", "Prasinocyma gemmatimargo", "Prasinocyma gemmatimargo gemmatimargo", "Ballia sertularioides", "Prasinocyma gemmatimargo prouti", "Prasinocyma trifilifimbria", "Prasinocyma trifilifimbria trifilifimbria", "Prasinocyma trifilifimbria uniformata", "Eriogonum villiflorum", "Prasinocyma oculata", "Prasinocyma centralis", "Prasinocyma niveisticta", "Asemeia lindmaniana", "Oreocarya flava", "Mesaspis moreletii salvadorensis", "Mesaspis moreletii moreletii", "Mesaspis gadovii gadovii", "Frasera paniculata", "Lathochlora inornata", "Lathochlora magna", "Lathochlora perversa", "Heterorachis fuscoterminata", "Heterorachis dichorda", "Heterorachis carpenteri", "Celidomphax prolongata", "Lasiochlora bicolor", "Walesia kanalensis", "Penstemon confusus", "Lasiochlora bicolor bicolor", "Lasiochlora bicolor maculosa", "Acollesis mimetica", "Oreocarya compacta", "Acollesis umbrata", "Acollesis umbrata umbrata", "Acollesis umbrata densisquamata", "Cirsium barnebyi", "Oreocarya mensana", "Ctenoberta abanga", "Spaniolinus hebridanus", "Metallochlora camerunica", "Neoxantholinus tahitiensis", "Neoxantholinus pallidus", "Neoxantholinus erythrocephalus", "Neoxantholinus caledonicus", "Neoxantholinus melanesianus", "Neoxantholinus fijiensis", "Neoxantholinus semiruber", "Neoxantholinus giachinoi", "Zeteotomus pulchellus", "Zeteotomus hoplocephalus", "Zeteotomus variegatus", "Pediomelum megalanthum", "Metallochlora grisea", "Metallochlora melanopis", "Neromia impostura", "Neromia clavicornis", "Mesaspis moreletii rafaeli", "Mesaspis moreletii temporalis", "Laelia lueddemannii", "Mesaspis moreletii fulva", "Balliopsis prieurii", "Balliopsis pinnulata", "Atlantirivulus janeiroensis", "Tarsolepis vadimi", "Tarsolepis vadimi vadimi", "Tarsolepis vadimi inexpecta", "Tarsolepis dinawensis", "Tarsolepis splendida", "Nocturama antipodites", "Petrohua bernabei", "Psilosiphon scoparius", "Hypomecis kachinensis", "Hypomecis sundanaminor", "Hypomecis tamilensis", "Ophthalmitis siamensis", "Phthonosema stueningi", "Tuomeya americana", "Thelesperma burridgeanum", "Volatus personatus", "Volatus carrionii", "Volatus ulterior", "Sirodotia suecica", "Eriogonum tumulosum", "Physaria subumbellata", "Sheathia boryana", "Hypomecis subdetractaria subdetractaria", "Hypomecis subdetractaria sulawesensis", "Hypomecis paradetractaria", "Dioryctria juniperella", "Acrobasis flavifasciella", "Sacculocornutia flavipalpella", "Sirodotia delicatula", "Sirodotia gardneri", "Sirodotia polygama", "Sirodotia angolensis", "Sirodotia huillensis", "Sirodotia cirrhosa", "Sirodotia iyengarii", "Sirodotia segawae", "Sirodotia sinica", "Sheathia americana", "Sheathia exigua", "Sheathia grandis", "Sheathia arcuata", "Sheathia carpoinvolucra", "Hydatocapnia demensa", "Sheathia involuta", "Hydatocapnia gemina", "Sheathia heterocortica", "Sheathia fluitans", "Lepanthes calodictyon", "Sheathia confusa", "Smerinthulus perversa", "Polygala pubescens", "Asemeia mollis", "Porroglossum nutibara", "Phacophallus parumpunctatus", "Xanthocorynus deceptor", "Andelis polinesianus", "Xantholinus laevissimus", "Smerinthulus perversa perversa", "Smerinthulus perversa pallidus", "Smerinthulus perversa flavomaculatus", "Zieria bifida", "Xenostryxis bella", "Restrepia trichoglossa", "Xenostryxis bicolor", "Xenostryxis caudatus", "Xenostryxis ductor", "Xenostryxis jasnoshae", "Xenostryxis margiscutellum", "Xenostryxis thymicola", "Asemeia pseudohebeclada", "Zootrophion beloglottis", "Macroscelesia amamiana", "Macroscelesia okinawana", "Macroscelesia yaeyamana", "Zootrophion argus", "Macroscelesia elaea", "Macroscelesia japona", "Macroscelesia owadai", "Macroscelesia sapaensis", "Kumanoa gudjewga", "Kumanoa holtonii", "Kumanoa alakaiensis", "Kumanoa balakrishnanii", "Notoraja sereti", "Kumanoa dasyphylla", "Kumanoa iyengarii", "Kumanoa kylinii", "Kumanoa mahabaleshwarensis", "Kumanoa zeylanica", "Kumanoa umamaheswararaoi", "Kumanoa celebes", "Kumanoa tortuosa", "Kumanoa guyanensis", "Kumanoa hirosei", "Asemeia parietaria", "Pteryxia hendersonii", "Platyprosopus fraternus", "Platyprosopus tongyai", "Platyprosopus elatus", "Platyprosopus bengalensis", "Platyprosopus fulvaster", "Platyprosopus fuliginosus", "Platyprosopus tamulus", "Platyprosopus punctatissimus", "Platyprosopus laosianus", "Platyprosopus indawgyianus", "Scrobigera horiei", "Physocarpus alternans", "Physocarpus glabratus", "Batrachospermum gelatinosum", "Microspingus cabanisi", "Zieria covenyi", "Cautethia calezae", "Temnora pylas", "Zieria floydii", "Zieria hindii", "Zieria ingramii", "Zieria lasiocaulis", "Zieria littoralis", "Zieria montana", "Zieria odorifera", "Zieria oreocena", "Zieria prostrata", "Zieria tuberculata", "Temnora pylas pylas", "Nothocladus nodosus", "Temnora exilis", "Nothocladus afroaustralis", "Nothocladus lindaueri", "Nothocladus verruculosus", "Nothocladus antiquus", "Nothocladus debilis", "Nothocladus discors", "Nothocladus kraftii", "Nothocladus prominens", "Nothocladus ranulifer", "Nothocladus terawhiticus", "Nothocladus theaquus", "Nothocladus wattsii", "Nothocladus diatyches", "Nothocladus latericius", "Temnora pseudopylas", "Nothocladus pseudogelatinosus", "Nothocladus bourrellyi", "Temnora pseudopylas pseudopylas", "Temnora pseudopylas fuscolimbata", "Temnora pseudopylas leptis", "Temnora leptis", "Kumanoa ambigua", "Heuchera villosa", "Paralemanea parvula", "Festuca agustinii", "Festuca airoides", "Syntypistis viridipicta viridipicta", "Syntypistis viridipicta himiko", "Festuca armoricana", "Lemanea fluviatilis", "Festuca carpathica", "Lemanea subtilis", "Festuca caucasica", "Lemanea fucina", "Lemanea sertularina", "Festuca durissima", "Scopula nigropunctata subimbella", "Disa polygonoides", "Trichopteryx albinea", "Nyctimene wrightae", "Festuca flavescens", "Lemanea borealis", "Lemanea ciliata", "Lemanea rigida", "Lemanea condensata", "Lemanea crassa", "Kumanoa gibberosa", "Kumanoa jolyi", "Kumanoa skujana", "Kumanoa tiomanensis", "Kumanoa woitapensis", "Temnora arida", "Kumanoa americana", "Kumanoa curvata", "Kumanoa faroensis", "Temnora griseata", "Temnora cinereofusca", "Kumanoa iriomotensis", "Kumanoa mahlacensis", "Temnora reutlingeri acra", "Temnora griseata griseata", "Kumanoa novaecaledonensis", "Temnora griseata oxyptera", "Kumanoa tabagatenensis", "Temnora griseata ugandae", "Xenostryxis noyesi", "Xenostryxis tenuicauda", "Xenostryxis brevicauda", "Dudgeonea leucosticta", "Dudgeonea leucosticta leucosticta", "Dudgeonea leucosticta sierraleonensis", "Tricleocarpa cylindrica", "Atractus meridensis", "Tricleocarpa fragilis", "Atractus micheleae", "Atractus mijaresi", "Festuca parvigluma", "Atractus ochrosetrus", "Tricleocarpa jejuensis", "Tricleocarpa natalensis", "Atractus tamaensis", "Festuca punctoria", "Temnora pseudopylas latimargo", "Kumanoa australica", "Kumanoa deminuta", "Kumanoa vittata", "Kumanoa nodiflora", "Kumanoa cipoensis", "Kumanoa equisetoidea", "Kumanoa globospora", "Asemeia tobatiensis", "Kumanoa gracillima", "Kumanoa intorta", "Kumanoa louisianae", "Temnora pylades", "Kumanoa montagnei", "Kumanoa procarpa", "Kumanoa spermatiophora", "Kumanoa virgato-decaisneana", "Temnora pylades morotoensis", "Temnora pylades pylades", "Kumanoa abilii", "Kumanoa henriquesiana", "Kumanoa lusitanica", "Kumanoa pseudocarpa", "Kumanoa amazonensis", "Kumanoa capensis", "Lemanea ramosa", "Lemanea hispanica", "Lemanea mamillosa", "Lemanea sudetica", "Lemanea simplex", "Lemanea sinica", "Lemanea manipurensis", "Pariphiculus stellatus", "Platyprosopus bilineatus", "Platyprosopus aequalis", "Platyprosopus fulvicollis", "Platyprosopus biseriatus", "Platyprosopus meghalayaensis", "Platyprosopus ruficollis", "Platyprosopus himalayaensis", "Platyprosopus socius", "Platyprosopus consularis", "Platyprosopus bhutanicus", "Platyprosopus myanmarensis", "Platyprosopus birmanus", "Platyprosopus indicus", "Platyprosopus laevicollis", "Festuca galicicae", "Pholcus hinsonensis", "Festuca gautieri", "Pholcus cenranaensis", "Pholcus krachensis", "Dichotomaria alterna", "Dichotomaria usnealis", "Dichotomaria foeniculacea", "Dichotomaria fruticulosa", "Atractus eriki", "Festuca sororia", "Festuca subverticillata", "Festuca trichophylla", "Chelonomorpha formosana", "Chelonomorpha formosana formosana", "Chelonomorpha formosana nanlingensis", "Festuca patula", "Claytonia acutifolia", "Claytonia caroliniana", "Claytonia cordifolia", "Claytonia exigua", "Claytonia gypsophiloides", "Claytonia megarhiza", "Claytonia palustris", "Claytonia parviflora", "Claytonia parviflora subsp. utahensis", "Claytonia sarmentosa", "Claytonia scammaniana", "Kurixalus lenquanensis", "Physocarpus opulifolius var. intermedius", "Physocarpus stellatus", "Heuchera abramsii", "Batrachospermum aequinoctiale", "Batrachospermum aestivale", "Batrachospermum africanum", "Batrachospermum alcyonideum", "Batrachospermum alpinum", "Heuchera brevistaminea", "Batrachospermum androgyne", "Batrachospermum androinvolucrum", "Batrachospermum araiasakame", "Batrachospermum aristatum", "Batrachospermum ariston", "Batrachospermum ateleium", "Batrachospermum atrichum", "Batrachospermum bakarense", "Batrachospermum bambusinum", "Batrachospermum bangladeshianum", "Batrachospermum beraense", "Batrachospermum bharadwajii", "Batrachospermum brasiliense", "Batrachospermum breutelii", "Batrachospermum capillaceum", "Batrachospermum carpocontortum", "Batrachospermum cayennense", "Batrachospermum claviceps", "Batrachospermum crassiusculum", "Virescentia crispata", "Batrachospermum cylindrocellulare", "Batrachospermum dapsile", "Batrachospermum desikacharyi", "Batrachospermum diaphanum", "Batrachospermum dornense", "Batrachospermum elegans", "Batrachospermum equisetifolium", "Batrachospermum faciferum", "Batrachospermum gombakense", "Batrachospermum graibussoniense", "Batrachospermum guianense", "Virescentia gulbenkianum", "Virescentia helminthosa", "Batrachospermum heteromorphum", "Batrachospermum hondongense", "Batrachospermum hypogynum", "Batrachospermum islandrinum", "Batrachospermum julianum", "Batrachospermum keratophytum", "Batrachospermum khaoluangensis", "Batrachospermum kuhneanum", "Batrachospermum kushiroense", "Batrachospermum lamprogyne", "Pholcus kaebyaiensis", "Pholcus musensis", "Pholcus songkhonensis", "Pholcus yanjinensis", "Pholcus jingyangensis", "Pholcus langensis", "Pholcus longus", "Pholcus huoxiaerensis", "Pholcus difengensis", "Pholcus gonggarensis", "Festuca guestfalica", "Pholcus hamaensis", "Pholcus lingguanensis", "Pholcus qingyunensis", "Pholcus tangyuensis", "Pholcus tianmuensis", "Pholcus zhongdongensis", "Colaconema bonnemaisoniae", "Colaconema caespitosum", "Festuca heteropachys", "Colaconema daviesii", "Ratarda mora", "Ratarda mora mora", "Ratarda mora palawanensis", "Paralemanea catenata", "Paralemanea annulata", "Paralemanea mexicana", "Paralemanea torulosa", "Paralemanea brandegeeae", "Paralemanea californica", "Paralemanea deamii", "Paralemanea gardneri", "Paralemanea parishii", "Paralemanea tulensis", "Oligodon fasciolatus", "Paralemanea grandis", "Batrachospermum lochmodes", "Batrachospermum loefgrenii", "Batrachospermum longiarticulatum", "Batrachospermum longipedicellatum", "Batrachospermum macrosporum", "Batrachospermum mascomi", "Batrachospermum medium", "Batrachospermum microspermum", "Batrachospermum miniatum", "Batrachospermum naiadis", "Batrachospermum nothocladoideum", "Heuchera chlorantha", "Batrachospermum nova-guineense", "Batrachospermum periplocum", "Batrachospermum phangii", "Batrachospermum pozoazulense", "Batrachospermum pulchrum", "Batrachospermum pullum", "Batrachospermum rivularioides", "Batrachospermum serendipidum", "Batrachospermum shanxiense", "Batrachospermum sinense", "Batrachospermum skujae", "Batrachospermum stephensii", "Batrachospermum szechwanense", "Batrachospermum tapirense", "Batrachospermum thwaitesii", "Batrachospermum torridum", "Batrachospermum torsivum", "Batrachospermum transitorium", "Batrachospermum transtaganum", "Batrachospermum trichocontortum", "Batrachospermum trichofurcatum", "Batrachospermum triste", "Batrachospermum turfosum", "Batrachospermum turgidum", "Batrachospermum ulandrium", "Virescentia viride-brasiliensis", "Virescentia vogesiaca", "Batrachospermum yunnanense", "Batrachospermum zostericola", "Cadphises parva", "Zieria collina", "Heuchera elegans", "Heuchera glabella", "Zieria rimulosa", "Zieria robertsiorum", "Heuchera hallii", "Heuchera hallii var. grossularifolia", "Heuchera hirsuticaulis", "Maronina badiola", "Heuchera parviflora", "Heuchera pubescens", "Heuchera richardsonii", "Chantransia chiloensis", "Pholcus kawit", "Chantransia coccinea", "Chantransia coerulescens", "Chantransia compacta", "Chantransia crispata", "Chantransia dichlora", "Chantransia flagellifera", "Chantransia fontana", "Chantransia glaucida", "Chantransia gracilis", "Chantransia gracillima", "Chantransia hauckii", "Chantransia holsatica", "Chantransia incrustans", "Chantransia minima", "Chantransia muscicola", "Chantransia nana", "Chantransia nigrita", "Chantransia nodosa", "Chantransia pennata", "Chantransia polyrhiza", "Chantransia pulchella", "Chantransia radians", "Chantransia ramellosa", "Pholcus baguio", "Pholcus arayat", "Pholcus pagbilao", "Chantransia richardsii", "Chantransia roseola", "Chantransia scotica", "Chantransia vesciata", "Entwisleia bella", "Actinotrichia fragilis", "Actinotrichia calcea", "Actinotrichia robusta", "Actinotrichia taiwanica", "Festuca paniculata", "Cryptantha flaccida", "Mimeusemia sumba", "Mimeusemia accurata", "Dichotomaria tenera", "Dichotomaria australis", "Dichotomaria lenta", "Dichotomaria diesingiana", "Chrysoblephara chrysoteucta", "Cryptantha leiocarpa", "Oreocarya leucophaea", "Dichotomaria hommersandii", "Chrysoblephara subchrysoteucta", "Chrysoblephara hollowayi", "Dichotomaria huismanii", "Chrysoblephara manoana", "Johnstonella micromeres", "Dichotomaria intermedia", "Exeliopsis indochinensis", "Cryptantha microstachys", "Cryptantha minima", "Galaxaura rugosa", "Festuca nubigena", "Pholcus bicornutus", "Colaconema americanum", "Colaconema amphiroae", "Colaconema asparagopsis", "Colaconema attenuatum", "Colaconema basiramosum", "Colaconema bisporum", "Colaconema chylocladiae", "Colaconema coccineum", "Colaconema codicola", "Colaconema comptum", "Colaconema dasyae", "Colaconema desmarestiae", "Colaconema dictyotae", "Colaconema elegans", "Colaconema emergens", "Pholcus olangapo", "Colaconema erythrophyllum", "Colaconema furcatum", "Colaconema garbaryi", "Colaconema gracile", "Colaconema gymnogongri", "Colaconema gynandrum", "Colaconema hallandicum", "Colaconema hancockii", "Colaconema hyalosiphoniae", "Colaconema hypneae", "Colaconema infestans", "Colaconema interpositum", "Colaconema macounii", "Colaconema minimum", "Colaconema monorhizum", "Colaconema naumannii", "Colaconema nemalii", "Colaconema ophioglossum", "Colaconema panduripodium", "Colaconema proskaueri", "Colaconema punctatum", "Colaconema rhizoideum", "Colaconema sarconemae", "Colaconema savianum", "Colaconema scinaiae", "Colaconema sinicola", "Colaconema tetrasporum", "Colaconema thuretii", "Colaconema variabile", "Pholcus mulu", "Chantransia ascosperma", "Chantransia batrachospermi", "Chantransia bergomensis", "Chantransia bichotoma", "Cryptantha muricata", "Oreocarya osterhoutii", "Cryptantha pterocarya", "Johnstonella racemosa", "Oreocarya roosiorum", "Risoba yanagitai", "Galaxaura dichotoma", "Galaxaura articulata", "Sachatamia electrops", "Galaxaura elegans", "Phycita peliella", "Galaxaura latifolia", "Copamyntis tobinagai", "Galaxaura barbata", "Galaxaura filamentosa", "Galaxaura contigua", "Galaxaura infirma", "Galaxaura magna", "Galaxaura striata", "Draba albertina", "Asemeia rhodoptera", "Bulbocephala namkenensis", "Parectropis yoshimatsui", "Parectropis watabikii", "Alcis longipecten", "Belosticta laxa", "Belosticta crassa", "Meganephria cinerea", "Meganephria cinerea ilan", "Meganephria cinerea cinerea", "Meganephria weixleri", "Arnica ovata", "Yunnella spinosa", "Meganephria kononenkoi", "Meganephria bimaculosa", "Meganephria retinea", "Megalinus hunanensis", "Lithophragma cymbalaria", "Thyreocephalus jocheni", "Thyreocephalus feae", "Atlantirivulus lazzarotoi", "Spaelotis valida", "Lerista rochfordensis", "Calvatia booniana", "Lerista chordae", "Calvatia bovista", "Calvatia candida", "Calvatia craniiformis", "Calvatia cyathiformis", "Calvatia nipponica", "Calvatia rugosa", "Asemeia hebeclada", "Calvatia sculpta", "Calvatia arctica", "Asemeia hebeclada var. hebeclada", "Galaxaura spongiosa", "Himmala thailandica", "Galaxaura beckeri", "Galaxaura divaricata", "Galaxaura hawaiiana", "Liotesba thailandica", "Galaxaura kjellmanii", "Galaxaura sibogae", "Galaxaura tissotii", "Achmonia montana", "Atopolinus thailandicus", "Cryptantha scoparia", "Oreocarya sobolifera", "Oreocarya spiculifera", "Oreocarya tenuis", "Cryptantha torreyana", "Cryptantha traskiae", "Oreocarya virginensis", "Cryptantha watsonii", "Pteryxia terebinthina", "Barsine roseata", "Barsine roseata roseata", "Barsine roseata augasta", "Barsine miranda", "Boechera breweri", "Boechera covillei", "Boechera crandallii", "Boechera depauperata", "Vibrio aquamarinus", "Sedum clavatum", "Osmorhiza brachypoda", "Fragaria crinita", "Fragaria grandiflora", "Acridoderes strenuus", "Pyrgomorpha cognata", "Pyrgomorpha cognata cognata", "Cymopterus davisii", "Cymopterus gilmanii", "Cymopterus globosus", "Cymopterus rosei", "Mahavana schuelkei", "Pteryxia terebinthina var. foeniculacea", "Mahavana caeca", "Mahavana acinosa", "Mahavana evestigata", "Mahavana rhododendri", "Johnstonella angustifolia", "Cryptantha barbigera", "Mahavana watanabei", "Dichotomaria marginata", "Mahavana gaoligong", "Mahavana daliana", "Oreocarya cana", "Dichotomaria obtusata", "Cryptantha clevelandii", "Oreocarya confertiflora", "Cryptantha crinita", "Dichotomaria apiculata", "Dichotomaria falcata", "Dichotomaria papillata", "Gampola taleaensis", "Dichotomaria spathulata", "Meganephria tancrei", "Meganephria varatlanka", "Lithophragma parviflorum", "Hypnogyra sichuanica", "Belosticta parki", "Belosticta uniformis", "Atopolinus dabaensis", "Belosticta extensa", "Lithophragma tenellum", "Indomorphus daxuensis", "Isatis microcarpa", "Isatis praecox", "Atlantirivulus jurubatibensis", "Galaxaura paschalis", "Galaxaura scinaioides", "Galaxaura yamadae", "Akalaphycus setchelliae", "Schizognorisma fuscisignata", "Akalaphycus liagoroides", "Schizognorisma rhodostola", "Cumagloia andersonii", "Cylindraxis rotundatus", "Melaleuca acutifolia", "Dermonema virens", "Dermonema abbottiae", "Dermonema divaricatum", "Dermonema pulvinatum", "Lerista hobsoni", "Lerista vanderduysi", "Megalinus taipingensis", "Medhiama wallstromae", "Nudobius mirificus", "Thyreocephalus shimianicus", "Atopolinus inusualis", "Atopolinus schuelkei", "Atopolinus subtropicalis", "Atopolinus uncinatus", "Yunna fungicola", "Deliphrosoma lothari", "Pachycorynus dimidiatus", "Pachycorynus helvus", "Nudobius shan", "Nudobius nigriventris", "Nudobius yele", "Gauropterus annamensis", "Thyreocephalus hongkongensis", "Allium sect.", "Austrofundulus limnaeus", "Atlantirivulus luelingi", "Asemeia hebeclada var. impensa", "Lerista amicorum", "Lerista nevinae", "Lerista jacksoni", "Lerista verhmens", "Lerista rolfei", "Lerista kingi", "Lerista clara", "Lerista micra", "Lerista occulta", "Asemeia monninoides", "Lerista colliveri", "Solenidium racemosum", "Solenidium lunatum", "Spaelotis senna contorta", "Allium carinatum subsp. carinatum", "Spaelotis baltistana", "Allium carmeli", "Spaelotis lucens", "Spaelotis nyctophasma", "Acronicta pulverosa pulverosa", "Austrofundulus transilis", "Asemeia monticola", "Metolinus soniae", "Metolinus sumatrensis", "Metolinus sumbawae", "Metolinus timorensis", "Metolinus torrevillasi", "Spaelotis spania", "Oncidium brachyandrum", "Spaelotis spania spania", "Spaelotis spania dardistana", "Allium bucharicum", "Oncidium aurarium", "Allium calamarophilon", "Atlantirivulus nudiventris", "Atlantirivulus simplicis", "Spaelotis senna", "Spaelotis senna senna", "Spaelotis senna violetta", "Spaelotis senna iranica", "Allium carinatum subsp. pulchellum", "Solenidium portillae", "Thyreocephalus annulatus", "Thyreocephalus macrophallus", "Thyreocephalus depressus", "Thyreocephalus pseudolorquini", "Achmonia nigra", "Achmonia yunnana", "Spaelotis ravida", "Allium acutiflorum", "Spaelotis ravida ravida", "Spaelotis ravida stabulorum", "Spaelotis valida valida", "Allium sect.", "Spaelotis valida nipona", "Spaelotis defuncta", "Spaelotis defuncta defuncta", "Spaelotis defuncta persica", "Spaelotis defuncta dominans", "Spaelotis restricta restricta", "Spaelotis deplorata", "Spaelotis deplorata deplorata", "Polygala peduncularis", "Spaelotis sennina", "Spaelotis sinophysa", "Allium sect.", "Spaelotis demavendi", "Spaelotis demavendi demavendi", "Polygala rosmarinifolia", "Spaelotis scotopsis", "Spaelotis scotopsis scotopsis", "Achmonia manfei", "Gloiocallis dendroidea", "Orthosia conspecta", "Orthosia poecila", "Orthosia poecila poecila", "Orthosia poecila fumosa", "Lerista miopus", "Campellolebias brucei", "Allium fasciculatum", "Gloiotrichus fractalis", "Gloiotrichus vermiculatus", "Allium candargyi", "Campellolebias intermedius", "Trichogloea lubrica", "Trichogloea herveyi", "Polygala leptophylla", "Achmonia hainanensis", "Achmonia submontana", "Oculolabrus qiqi", "Allium armerioides", "Atlantirivulus unaensis", "Asemeia ovata", "Metolinus alessandrae", "Metolinus alienus", "Metolinus almorae", "Metolinus annamensis", "Metolinus apomontis", "Metolinus barutimus", "Metolinus blavianus", "Metolinus bombax", "Metolinus bruneianus", "Metolinus bukittinggianus", "Metolinus celebesensis", "Metolinus ceylonensis", "Metolinus chanthaburiensis", "Metolinus citumus", "Metolinus dembickyi", "Metolinus dissonus", "Metolinus feai", "Metolinus francescoi", "Metolinus fruhstorferi", "Metolinus godwini", "Metolinus gusarovi", "Metolinus hamatilis", "Metolinus hebdomadicus", "Metolinus heliacus", "Metolinus heuresilogus", "Metolinus holosphyratus", "Metolinus kabanjahensis", "Metolinus kibungolanus", "Metolinus kycatensis", "Metolinus libertatis", "Metolinus loebli", "Metolinus maai", "Metolinus mahunkai", "Metolinus malaysianus", "Metolinus minutissimus", "Metolinus mirabilis", "Metolinus mirandus", "Metolinus modiglianii", "Metolinus monsonicus", "Metolinus montivagus", "Metolinus mooleyitensis", "Metolinus nilgiricus", "Metolinus ootacamundae", "Allium sect.", "Metolinus ophthalmicus", "Metolinus palawanensis", "Metolinus pluvialis", "Metolinus quadriceps", "Metolinus refixus", "Metolinus richthofenianus", "Metolinus sangermanoi", "Metolinus schillhammeri", "Metolinus schuhi", "Metolinus siamensis", "Lithophane trimorpha", "Macrocarpus perennis", "Antivaleria viridentata", "Maxillaria ecuadorensis", "Allium circinnatum", "Allium guttatum subsp. sardoum", "Nephromopsis americana", "Gyrohypnus qinghai", "Austrofundulus myersi", "Harpezocatantops stylifer", "Atlantirivulus guanabarensis", "Asemeia grandiflora", "Maronina microspora", "Atlantirivulus maricensis", "Atlantirivulus paranaguensis", "Atlantirivulus ribeirensis", "Metolinus manfei", "Metolinus nabanhe", "Metolinus guomen", "Metolinus notabilis", "Metolinus lebu", "Talliella armentalis", "Talliella cadaverina", "Talliella minuta", "Talliella sinica", "Indolinus sculptilis", "Indolinus leigong", "Leptacinus harbinensis", "Acronicta pulverosa taitungensis", "Polia mortua", "Allium daninianum", "Polia mortua mortua", "Polia mortua caeca", "Allium sect.", "Dotyophycus pacificus", "Dotyophycus yamadae", "Izziella orientalis", "Izziella hommersandii", "Izziella kuroshioensis", "Izziella formosana", "Neoizziella asiatica", "Neoizziella divaricata", "Otohimella japonica", "Patenocarpus paraphysiferus", "Stenopeltis gracilis", "Lycaena phoenicurus", "Yoshizakia indopacifica", "Allium hymenorhizum", "Allium sect.", "Titanophycus validus", "Titanophycus setchellii", "Trichogloea requienii", "Panolis pinicortex", "Dotyophycus abbottiae", "Dotyophycus corymbosus", "Dotyophycus hainanensis", "Austrofundulus guajira", "Ganonema farinosum", "Austrofundulus leohoignei", "Austrofundulus leoni", "Austrofundulus rupununi", "Panolis pinicortex pinicortex", "Ganonema pinnatiramosa", "Panolis pinicortex exornata", "Panolis exquisata", "Ganonema codii", "Ganonema helminthaxis", "Ganonema megagynum", "Panolis variegatoides", "Ganonema pinnatum", "Ganonema norrisiae", "Ganonema papenfussii", "Ganonema yoshizakii", "Ganonema filicoides", "Ganonema vermiculare", "Ganonema lubricum", "Oroplexia fortunata", "Atopolinus ovaliceps", "Atopolinus sinuatus", "Cosmia poecila", "Atopolinus schwendingeri", "Atopolinus subruber", "Atopolinus longwang", "Hommersandiophycus pectinatus", "Atopolinus leigong", "Atopolinus guiheshang", "Helminthora divaricata", "Helminthora australis", "Protognorisma xestioides", "Helminthora anomala", "Protognorisma fusca", "Helminthora stricta", "Helminthora nipponica", "Helminthora lindaueri", "Helminthora guadelupensis", "Helminthora furcellata", "Helminthocladia batrachopus", "Helminthocladia calvadosii", "Helminthocladia hudsonii", "Helminthocladia australis", "Helminthocladia andersonii", "Chersotis acutangula acutangula", "Helminthocladia beaugleholei", "Helminthocladia dotyi", "Helminthocladia cassei", "Helminthocladia densa", "Chersotis anatolica", "Helminthocladia hainanensis", "Chersotis larixia", "Helminthocladia pinnata", "Helminthocladia kempii", "Chersotis laeta", "Chersotis cuprea", "Chersotis margaritacea", "Helminthocladia nizamuddinii", "Lepanthes tachirensis", "Helminthocladia reyesii", "Helminthocladia rhizoidea", "Helminthocladia simplex", "Helminthocladia senegalensis", "Helminthocladia sreeramului", "Shargacucullia brevipennis", "Helminthocladia stackhousei", "Shargacucullia armena", "Helminthocladia yendoana", "Rana luanchuanensis", "Nothogenia variolosa", "Nothogenia fragilis", "Nothogenia chilensis", "Nothogenia erinacea", "Nothogenia fastigiata", "Nothogenia ovalis", "Nothogenia pseudosaccata", "Nothogenia pulvinata", "Nothogenia neilliae", "Nothogenia lingula", "Amastus ochraceocinctus", "Pseudohemihyalea haxairei", "Whidbeyella cartilaginea", "Bletia altilamellata", "Bletia campanulata", "Pseudohemihyalea edwardsii", "Megalinus pandarum", "Megalinus suffusus", "Megalinus metallicus", "Hypnogyra henanica", "Hypnogyra sinica", "Medhiama tibetana", "Sinichella chengkou", "Emathidis humerosa", "Indomorphus spinosus", "Indomorphus yunnanus", "Atopolinus hanmi", "Blepharosis theobroma", "Himalistra soluta", "Polygala tomentosa", "Potnyctycia cristifera", "Telorta shenhornyeni", "Amynthas lalashan", "Allium haematochiton", "Allium hermoneum", "Amynthas fusing", "Amynthas lioujia", "Amynthas majia", "Nephromopsis arizonica", "Allium horvatii", "Campellolebias chrysolineatus", "Campellolebias dorsimaculatus", "Apamea aquila", "Apamea aquila aquila", "Atopolinus xizang", "Atopolinus tangi", "Hommersandiophycus clavatus", "Atopolinus microtergalis", "Apamea aquila substriata", "Hommersandiophycus borowitzkae", "Atopolinus heiwadi", "Chortodes cornutifera", "Hommersandiophycus samaensis", "Promalactis longimaculata", "Liagora abbottiae", "Liagora albicans", "Liagora articulata", "Asemeia subg.", "Orybina kobesi", "Liagoropsis maxima", "Liagoropsis schrammii", "Nemalion lubricum", "Orybina plangonalis", "Nemalion amoenum", "Orybina regalis", "Nemalion longicolle", "Nemalion perpusillum", "Nemalion attenuatum", "Orybina bellatulla", "Nemalion cari-cariense", "Orybina puerensis", "Orybina hoenei", "Orybina flaviplaga", "Nemalion elminthoides", "Orybina imperatrix", "Nemalion multifidum", "Orybina flaviplaga flaviplaga", "Orybina flaviplaga kiangsualis", "Gyrohypnus khola", "Gyrohypnus maximus", "Gyrohypnus smetanai", "Gyrohypnus swatae", "Nephromopsis asahinae", "Nephromopsis endoxanthoides", "Liotesba dayiensis", "Megalinus ningxiaensis", "Megalinus yuntai", "Atopolinus dayianus", "Andelis allogenus", "Andelis anelpistus", "Andelis batu", "Andelis bogorensis", "Andelis kinabaluensis", "Andelis lancasterianus", "Andelis lithocarpi", "Andelis pallidus", "Andelis salgarii", "Andelis sarawakensis", "Andelis taitii", "Atopolinus adaietus", "Atopolinus allophulus", "Atopolinus alsodeus", "Atopolinus basileius", "Atopolinus borneanus", "Atopolinus dawkianus", "Atopolinus doi", "Atopolinus emasianus", "Atopolinus gunong", "Atopolinus insulanus", "Atopolinus itoi", "Atopolinus kosianus", "Atopolinus meghalayaensis", "Atopolinus mirandus", "Atopolinus nepalensis", "Atopolinus nisus", "Atopolinus phetchaburiae", "Atopolinus ratus", "Atopolinus regalis", "Atopolinus shan", "Atopolinus shibatai", "Atopolinus sinicus", "Atopolinus yann", "Cibyra dilucida", "Cylindrinus languescens", "Denon sylvaticus", "Domea bellicosa", "Domea kabakovi", "Erymus anomoius", "Erymus apateticus", "Erymus axiologus", "Erymus blasurus", "Erymus bruneianus", "Erymus ceramae", "Erymus fas", "Erymus guillaumei", "Erymus heumorphus", "Erymus hyatti", "Erymus pluvialis", "Erymus schwendingeri", "Erymus talangensis", "Erymus vexator", "Faxilla bilobata", "Faxilla meridionalis", "Faxilla ootacamundana", "Faxilla riedeli", "Gauropterus bnomensis", "Gauropterus ceylonensis", "Gauropterus geigenmuelleri", "Gauropterus trichinopolyae", "Asemeia subg.", "Promalactis anterodilata", "Trichogloeopsis hawaiiana", "Trichogloeopsis mucosissima", "Trichogloeopsis pedicellata", "Trichogloeopsis pinnata", "Trichogloeopsis xishaensis", "Trichogloeopsis divaricata", "Allium kermesinum", "Allium kollmannianum", "Sinocladia paniculata", "Sinocladia divergenscata", "Sinocladia dongjiaoensis", "Sinocladia flabelliformis", "Sinocladia hainanensis", "Sinocladia pinnata", "Sinocladia qionghaiensis", "Sinocladia ramosissima", "Liagora viscida", "Promalactis bitriangula", "Astroloba robusta", "Promalactis longiprocessa", "Promalactis tenuivalvata", "Promalactis unifurcata", "Promalactis apicifurcata", "Hypnogyra shibatai", "Indomorphus ecferus", "Indomorphus mirificus", "Indomorphus oreinus", "Indomorphus rougemonti", "Indomorphus vulcanalis", "Megalinus flavus", "Megalinus hayashii", "Megalinus oculatus", "Megalinus mon", "Megalinus kambaitiensis", "Megalinus schawalleri", "Mahavana anotera", "Mahavana esophthalma", "Mahavana miranda", "Azygophleps snizeki", "Azygophleps wahlbergi", "Brassia jipijapensis", "Manilla basimaculata", "Manilla borneana", "Manilla bukittinggiana", "Azygophleps defreinai", "Manilla crockerana", "Manilla erudra", "Manilla hanskii", "Manilla lafondiana", "Manilla misamisae", "Manilla montanella", "Manilla rougemonti", "Manilla rubida", "Manilla soniae", "Manilla sungei", "Azygophleps junkeri", "Medhiama schawalleri", "Nemalion vermiculare", "Gloiophloea scinaioides", "Gloiophloea rosea", "Gloiophloea articulata", "Pseudohemihyalea edwardsii edwardsii", "Pseudohemihyalea edwardsii vitrea", "Isoetes flaccida var. flaccida", "Isoetes flaccida var. chapmanii", "Amastus ochraceator", "Amastus ochraceator ochraceator", "Amastus ochraceator pallens", "Amastus persimilis", "Amastus supersimilis", "Amastus aphraates", "Amastus genoveva", "Amastus palmeri", "Amastus incertus", "Amastus jeritzae", "Amastus postflavidus", "Amastus scriblita", "Amastus parergana", "Astroloba tenax", "Badiera cubensis", "Metosina sinica", "Mitomorphus alutaceus", "Mitomorphus elictus", "Mitomorphus garomontis", "Mitomorphus hammondi", "Mitomorphus horricomis", "Mitomorphus knucklesianus", "Mitomorphus maharashtrae", "Mitomorphus nilgiricus", "Mitomorphus sarawakensis", "Mitomorphus shibatae", "Musineon lineare", "Zatrephes cardytera", "Zatrephes mossi", "Kadenia dubia", "Zatrephes griseorufa", "Zatrephes atrata", "Zatrephes miniata", "Zatrephes fallax", "Phacophallus martensi", "Phacophallus wailimae", "Badiera virgata", "Sagarmatha himalayensis", "Seseli annuum", "Someira bengalensis", "Someira hiulca", "Someira martensi", "Someira smetanai", "Spaniolinus incuratus", "Spaniolinus insularis", "Spaniolinus modiglianii", "Spaniolinus occidentalis", "Spaniolinus rubidus", "Spaniolinus yoshimotoi", "Sulawesina amarantina", "Sulawesina brendelli", "Sumatera borneana", "Sumatera demum", "Sumatera houtmanniana", "Sumatera lateritica", "Sumatera lithocarpi", "Sumatera loebli", "Sumatera tropicalis", "Symilla aglomorpha", "Symilla deplumis", "Symilla filicis", "Symilla montana", "Symilla nemoralis", "Symilla pulchra", "Symilla rivularis", "Symilla rupestris", "Tamilla sylvestris", "Scinaia carnosa", "Scinaia chinensis", "Scinaia complanata", "Scinaia confusa", "Scinaia fascicularis", "Scinaia firma", "Scinaia flabellata", "Scinaia furcata", "Scinaia halliae", "Scinaia hatei", "Scinaia hormoides", "Scinaia howensis", "Scinaia huismanii", "Scinaia incrassata", "Scinaia interrupta", "Scinaia japonica", "Scinaia johnstoniae", "Scinaia latifrons", "Scinaia moniliformis", "Scinaia moretonensis", "Scinaia okamurae", "Scinaia okiensis", "Scinaia pacifica", "Scinaia proliferata", "Scinaia pseudojaponica", "Scinaia pseudomoniliformis", "Scinaia saifullahii", "Scinaia salicornioides", "Scinaia santa-luciana", "Scinaia setchellii", "Scinaia shameelii", "Scinaia snyderae", "Scinaia tsinglanensis", "Scinaia undulata", "Scinaia verae", "Yamadaella caenomyce", "Yamadaella grassyi", "Zatrephes duraneli", "Zatrephes toulgoetana", "Meiodiscus spetsbergensis", "Meiodiscus concrescens", "Badiera virgata var. virgata", "Alepidea peduncularis", "Burara anadi", "Burara gomata", "Nephromopsis laeteflava", "Eryngium agavifolium", "Eryngium alternatum", "Eryngium amethystinum", "Eryngium aristulatum", "Eryngium armatum", "Eryngium bromeliifolium", "Agraphorura naglitschi", "Ptilocrinus amezianeae", "Eryngium coquimbanum", "Onychiurus islandicus", "Onychiurus sublegans", "Eryngium corniculatum", "Agraphorura portucalensis", "Gymnura japonica", "Nephromopsis papuae", "Mitomorphus grandis", "Mitomorphus punctatissimus", "Mitomorphus hornabrooki", "Sengenia cunctator", "Eryngium falcatum", "Eryngium glaciale", "Eryngium horridum", "Eryngium humboldtii", "Eryngium humile", "Eryngium ilicifolium", "Pedioplanis undata", "Neohalosacciocolax aleuticus", "Monophyllorchis idroboi", "Hippomarathrum montanum", "Monophyllorchis isthmica", "Seseli varium", "Seseli rupicola", "Eupseudosoma larissa", "Eupseudosoma agramma", "Trisetella vittata", "Badiera virgata subsp. alternifolia", "Badiera virgata subsp. virgata", "Bulbophyllum newportii", "Pedioplanis laticeps", "Badiera virgata var. scabridula", "Mitomorphus topali", "Neoxantholinus axiagastus", "Neoxantholinus drumophilus", "Neoxantholinus merkli", "Neoxantholinus opacellus", "Neoxantholinus piraticus", "Neoxantholinus silvestris", "Nepalinus anagastus", "Nepalinus doi", "Nepalinus homogonus", "Nepalinus khasimontis", "Nepalinus philippinus", "Nepalinus rubiginosus", "Nilla hisamatsui", "Oculolabrus chinensis", "Oculolabrus keralensis", "Pachycorynus alseus", "Pachycorynus artus", "Pachycorynus balux", "Pachycorynus cavendishi", "Pachycorynus enricoi", "Pachycorynus halureus", "Pachycorynus hoabinhensis", "Pachycorynus linduense", "Pachycorynus moluccanus", "Pachycorynus montanus", "Pachycorynus primarius", "Pachycorynus rhodesianus", "Pachycorynus samarensis", "Pachycorynus shanmo", "Pachycorynus sungai", "Pachycorynus thai", "Pachycorynus ulodeus", "Pachycorynus virgineus", "Pachycorynus fortepunctatus", "Paratesba gigantea", "Paratesba inaequata", "Paratesba kao", "Paratesba laotiana", "Paratesba pluvialis", "Paratesba rufolabrata", "Paratesba schillhammeri", "Paratesba siamensis", "Zatrephes bilineata", "Zatrephes bilineata bilineata", "Zatrephes bilineata rufobrunnea", "Zatrephes bilineata extensa", "Zatrephes trilineata", "Zatrephes trilineata trilineata", "Zatrephes trilineata peruviana", "Lathyrus laetivirens", "Tetraulacus balianus", "Tetraulacus coaequatus", "Tetraulacus corticalis", "Tetraulacus halphesteus", "Tetraulacus tamborensis", "Tetraulacus tropicalis", "Thyreocephalus amphidaseus", "Thyreocephalus bakeri", "Thyreocephalus bipunctatus", "Thyreocephalus birmanus", "Thyreocephalus bjorklundi", "Thyreocephalus boettcheri", "Thyreocephalus carinensis", "Thyreocephalus celestialis", "Thyreocephalus dustucheus", "Thyreocephalus gloriosus", "Thyreocephalus hanacolus", "Thyreocephalus hanadesmus", "Thyreocephalus meghalayaensis", "Thyreocephalus omaleus", "Thyreocephalus palmi", "Thyreocephalus sarasinorum", "Thyreocephalus submontanus", "Thyreocephalus sulawesianus", "Thyreocephalus tambusisianus", "Thyreocephalus tenuipunctus", "Thyreocephalus tonkinensis", "Zatrephes magnifenestra", "Tralichia montana", "Xantholinus burckhardti", "Xantholinus chitralensis", "Xantholinus lindemanni", "Xantholinus pakistanus", "Xantholinus peregrinus", "Xantholinus sumplectus", "Zatrephes flavida", "Zatrephes modesta", "Xanthophius benguetensis", "Yunna micophora", "Yunna rubens", "Yunnella hayashii", "Scinaia furcellata", "Liagora australasica", "Liagora bella", "Pedioplanis burchelli", "Eryngium juncifolium", "Pedioplanis lineoocellata", "Pedioplanis namaquensis", "Pedioplanis husabensis", "Myrmelastes saturatus", "Charaxes zoolina", "Charaxes zoolina zoolina", "Charaxes zoolina mafugensis", "Thyreocephalus moluccanus", "Symilla difficilis", "Atopolinus palustris", "Euryphura vansomereni", "Acraea burgessi", "Papilio antimachus antimachus", "Papilio antimachus parva", "Liagora boergesenii", "Liagora boninensis", "Liagora brachyclada", "Liagora californica", "Liagora canariensis", "Liagora ceranoides", "Liagora daemelii", "Liagora dajingensis", "Liagora delicatula", "Liagora distenta", "Liagora donaldiana", "Liagora dongdaoensis", "Liagora doridis", "Liagora engleriana", "Liagora fanii", "Liagora filiformis", "Liagora fragilis", "Liagora galaxauroides", "Liagora guangdongensis", "Liagora gymnarthron", "Liagora hainanensis", "Liagora harveyana", "Liagora hawaiiana", "Liagora hirta", "Liagora howensis", "Liagora indica", "Liagora izziae", "Liagora izziella", "Liagora julieae", "Liagora kraftii", "Liagora maderensis", "Liagora magniinvolucra", "Liagora mannarensis", "Liagora mauritiana", "Liagora nesophila", "Liagora pikeana", "Liagora qishuiwanensis", "Liagora rhizophora", "Liagora robusta", "Liagora rubra", "Liagora segawae", "Liagora sinensis", "Liagora subdichotoma", "Liagora tetrasporifera", "Liagora tsengii", "Liagora turneri", "Liagora vaughanii", "Liagora voeltzkowii", "Liagora walkerae", "Liagora wenchangensis", "Liagora wilsoniana", "Liagora xuwenensis", "Scinaia aborealis", "Scinaia acuta", "Scinaia bengalica", "Scinaia berggrenii", "Scinaia boergesenii", "Scinaia brasiliensis", "Scinaia capensis", "Scinaia caribaea", "Halosaccion minjaii", "Halosaccion yendoi", "Halosaccion tilesii", "Halosaccion scopula", "Sanicula smallii", "Halosaccion fistulosum", "Habenaria grandifloriformis", "Hemicordylus capensis", "Pseudacraea kuenowi", "Pseudacraea kuenowi kuenowi", "Pseudacraea kuenowi kigezi", "Pseudacraea dolomena", "Pseudacraea dolomena dolomena", "Hypsolebias magnificus", "Smaug breyeri", "Smaug barbertonesis", "Smaug depressus", "Megalinus neolizipingensis", "Smaug vandami", "Allium melananthum", "Megalinus pseudoelongatus", "Torilis trichosperma", "Pseudocordylus melanotus", "Pseudocordylus subviridis", "Pachycorynus diaphanus", "Adamanthea fluviatilis", "Adamanthea karkar", "Eachamia lasti", "Metolinus longelytratus", "Metolinus papuanus", "Andelis punctatus", "Phacophallus papuensis", "Nephromopsis thailandica", "Thyreocephalus papuensis", "Thyreocephalus aureus", "Neoxantholinus daulo", "Nucras taeniolata", "Nucras tessellata", "Nucras livida", "Eryngium triquetrum", "Eryngium dichotomum", "Isoetes melanopoda subsp. melanopoda", "Palmaria decipiens", "Sanicula azorica", "Palmaria georgica", "Sanicula chinensis", "Stenia guttata", "Palmaria integrifolia", "Palmaria marginicrassa", "Palmaria mollis", "Sanicula elata", "Palmaria moniliformis", "Palmaria stenogona", "Isoetes melanopoda subsp. silvatica", "Sanicula trifoliata", "Halosaccion americanum", "Rhodophysema georgei", "Rhodophysema africana", "Rhodophysema nagaii", "Rhodophysema odonthaliae", "Rhodophysema feldmannii", "Arthrosaura testigensis", "Rhodophysema elegans", "Rhodophysemopsis laminariae", "Rhodophysemopsis hyperborea", "Charaxes rabaiensis", "Hemicordylus nebulosus", "Rhodothamniella floridula", "Cercosaura nigroventris", "Cissampelos keniensis", "Chiloschista parishii", "Siliquamomum phamhoangii", "Stenistoderus subangulatus", "Leptacinus simeki", "Gyrohypnus angustatus", "Megalinus dahli", "Allium meronense", "Smaug regius", "Smaug mossambicus", "Charaxes doubledayi", "Halosaccion saccatum", "Charaxes dreuxi", "Charaxes dowsetti", "Charaxes dubiosus", "Charaxes dunkeli", "Halosaccion glandiforme", "Coriophyllum expansum", "Coriophyllum setchellii", "Pseudorhododiscus nipponicus", "Rhodonematella subimmersa", "Eryngium spinalba", "Charaxes viola", "Nephromopsis rhytidocarpa", "Charaxes diversiforma", "Eryngium stenophyllum", "Charaxes defulvata", "Eryngium tricuspidatum", "Eryngium variifolium", "Eryngium vesiculosum", "Palmaria callophylloides", "Palmaria hecatensis", "Viridixes dilutus ngonga", "Rhodophyllis centrocarpa", "Eryngium pendletonense", "Epidendrum nanum", "Medhiama lanzhouensis", "Guineella hornabrookiana", "Meroles ctenodactylus", "Heliobolus lugubris", "Thyreocephalus eminens", "Nucras intertexta", "Australinus papuanus", "Zeteotomus kassem", "Pristimantis bounides", "Pristimantis humboldti", "Pristimantis puipui", "Polyommatus valiabadi", "Polyommatus valiabadi valiabadi", "Polyommatus valiabadi asadii", "Ichnotropis capensis", "Eryngium luzulifolium", "Thyreocephalus elegantissimus", "Thyreocephalus hongkongoensis", "Eryngium ovinum", "Thyreocephalus laticeps", "Eryngium palmatum", "Eryngium paludosum", "Eryngium pinnatifidum", "Achmonia okinawaensis", "Eryngium prostratum", "Thyreocephalus ryukyuensis", "Mazama temama", "Eryngium proteiflorum", "Eryngium serra", "Liagorothamnion mucoides", "Charaxes jolybouyeri", "Karusasaurus jordani", "Gyrohypnus punctulatus", "Gyrohypnus silvanus", "Gauropterus notabilis", "Nudobius collaris", "Isoetes riparia", "Xantholinus audrasi", "Xantholinus azuganus", "Xantholinus biseriatus", "Angelica oreada", "Xantholinus nicolasi", "Xantholinus proceroides", "Xantholinus procerus", "Xantholinus translucidus", "Lymantria atemeles", "Stephania novenanthera", "Delisea elegans", "Delisea compressa", "Delisea plumosa", "Delisea hypneoides", "Delisea flaccida", "Camontagnea oxyclada", "Microlyces bassa", "Camontagnea hirsuta", "Microlyces danflousi", "Nemalionopsis shawii", "Nemalionopsis tortuosa", "Stenoglene bouyeri", "Hoplojana politzari", "Thorea hispida", "Thorea bachmannii", "Thorea brodensis", "Thorea clavata", "Thorea prowsei", "Thorea conturba", "Thorea flagelliformis", "Thorea gaudichaudii", "Thorea okadae", "Thorea riekei", "Thorea siamensis", "Thorea violacea", "Thorea zollingeri", "Allium podolicum", "Acrosymphyton purpuriferum", "Acrosymphyton caribaeum", "Rubrointrusa membranacea", "Eupseudosoma grandis", "Devaleraea ramentacea", "Devaleraea compressa", "Devaleraea microspora", "Devaleraea firma", "Seseli gracile", "Hippomarathrum leucospermum", "Monophyllorchis chocoensis", "Coelogyne monilirachis", "Asparagopsis taxiformis", "Musineon divaricatum", "Asparagopsis armata", "Asparagopsis svedelii", "Musineon tenuifolium", "Ammoselinum rosengurtii", "Bonnemaisonia asparagoides", "Bonnemaisonia australis", "Bonnemaisonia californica", "Bonnemaisonia clavata", "Angraecum popowii", "Bonnemaisonia geniculata", "Bonnemaisonia hamifera", "Acrosymphyton brainardii", "Acrosymphyton taylorii", "Acrosymphyton firmum", "Acrosymphyton tenax", "Catoptria apenninica", "Myrmelastes brunneiceps", "Acrosymphytonema breemaniae", "Myrmelastes humaythae", "Acrothesaurum gemellifilum", "Myrmelastes rufifacies", "Euriphene proxima", "Schimmelmannia schousboei", "Schimmelmannia bollei", "Schimmelmannia dawsonii", "Schimmelmannia elegans", "Schimmelmannia formosana", "Schimmelmannia frauenfeldii", "Schimmelmannia plumosa", "Schimmelmannia venezuelensis", "Atractophora hypnoides", "Bonnemaisonia spinescens", "Ballerus sapa", "Sauvagesia setulosa", "Sauvagesia insolita", "Kashiwadia orientalis", "Xantholinus bordonii", "Xantholinus colasi", "Oxnerella safavidiorum", "Xantholinus graecus", "Xantholinus ibericus", "Xantholinus laevigatus", "Xantholinus libanicus", "Xantholinus morandi", "Chlorocalliope dubiefae", "Vulda doderoi", "Eueides emsleyi esmeraldensis", "Polyommatus turcicus", "Polyommatus turcicus turcicus", "Polyommatus turcicus armenicus", "Arracacia elata", "Afarsia morgiana morgiana", "Afarsia morgiana lorestanensis", "Cecidonius pampeanus", "Cymopterus glomeratus", "Delisea pulchra", "Leptophyllis conferta", "Tessella leucomelas", "Pleuroblepharidella japonica", "Ochrodota grisescens", "Ochrosomera itremo", "Ptilonia magellanica", "Ptilonia subulifera", "Ptilonia australasica", "Vulda angusticollis", "Ptilonia mooreana", "Bitis inornata", "Ptilonia okadae", "Ptilonia willana", "Kumara plicatilis", "Aria busambarensis", "Aria whiteana", "Vulda gracilipes", "Vulda italica", "Panorpa umbricola", "Vulda mihoki", "Vulda myops", "Aria taurica", "Vulda tenuipes", "Megalinus flavocinctus", "Megalinus hesperius", "Naccaria wiggii", "Naccaria naccarioides", "Naccaria hawaiiana", "Naccaria corymbosa", "Naccaria antillana", "Reticulocaulis mucosissimus", "Reticulocaulis obpyriformis", "Pyrophleps ellawi", "Cymopterus evertii", "Catenellopsis oligarthra", "Psilothallia striata", "Acraea annonae", "Psilothallia siliculosa", "Acraea loranae", "Acraea manca", "Acraea utengulensis", "Exoacantha heterophylla", "Rhodocallis elegans", "Aristaloe aristata", "Kumara haemanthifolia", "Gonialoe variegata", "Polia atrax", "Polia atrax atrax", "Polia atrax vargai", "Isochlora grumi grumi", "Isochlora grumi multirosea", "Subleuconycta sola", "Aglaothamnion tenuissimum", "Proceratophrys izecksohni", "Proceratophrys rotundipalpebra", "Proceratophrys branti", "Proceratophrys bagnoi", "Proceratophrys dibernardoi", "Proceratophrys rondonae", "Lomatium rigidum", "Diapse ptilota", "Acraea acrita", "Acraea acrita acrita", "Falklandiella harveyi", "Acraea pudorina", "Acraea bellona", "Acraea guluensis", "Scaphosepalum ophidion", "Georgiella confluens", "Relicina malaccensis", "Euptilota formosissima", "Acraea encedon", "Acraea encedon encedon", "Acraea encedon rathjensi", "Araeomolis robusta", "Bitis caudalis", "Relicina rahengensis", "Gaillona seposita", "Ligusticum californicum", "Sciurothamnion stegengae", "Ligusticum ferulaceum", "Ligusticum franchetii", "Achmonia knirschi", "Ligusticum lucidum", "Achmonia carinata", "Achmonia kapangana", "Acraea chaeribula", "Achmonia simulator", "Acraea lualabae", "Achmonia flavomarginata", "Relicina dahlii", "Achmonia amabilis", "Aristoptilon mooreanum", "Achmonia congoensis", "Acraea eltringhamiana", "Scaphosepalum atropurpureum", "Relicina intertexta", "Carpothamnion gunnianum", "Callithamnion corymbosum", "Euptilota articulata", "Euptilota fergusonii", "Euptilota krusadiensis", "Euptilota mollis", "Gaillona gallica", "Gaillona hookeri", "Lomatium attenuatum", "Barsochrista kishidai", "Lomatium canbyi", "Lomatium caruifolium", "Barsochrista ocellata", "Lomatium caruifolium var. denticulatum", "Lomatium columbianum", "Gaillona rosea", "Lomatium congdonii", "Lomatium cookii", "Gaillona scopulorum", "Spaniolinus raffrayi", "Megalinus eremiticus", "Neoparrya lithophila", "Lichtensteiniana maritima", "Lichtensteiniana orania", "Meyoarabiella karooensis", "Brachylia camparia", "Brachylia plumbata", "Brachylia minor", "Brachylia confusa", "Brachylia fusca", "Brachylia lineata", "Azygophleps asylasiformis", "Kerivoula furva", "Gymnothamnion elegans", "Gymnothamnion nigrescens", "Gymnothamnion pteroton", "Aemene eudonioides", "Medon lanugo", "Medon reliquus", "Leptacinus mirus", "Perithamnion ceramioides", "Haworthiopsis fasciata", "Perithamnion muelleri", "Haworthiopsis limifolia", "Aemene zolotuhini", "Scageliopsis patens", "Scageliopsis strongylekystis", "Haworthiopsis viscosa", "Scageliopsis tsitsikammae", "Relicina stevensiae", "Murina hkakaboraziensis", "Aglaothamnion boergesenii", "Aglaothamnion callophyllidicola", "Aglaothamnion chadefaudii", "Aglaothamnion chejuense", "Aglaothamnion collinsii", "Aglaothamnion diaphanum", "Aglaothamnion endovagum", "Aglaothamnion fasciculatum", "Aglaothamnion feldmanniae", "Aglaothamnion felipponei", "Aglaothamnion flexibile", "Aglaothamnion gaillonii", "Aglaothamnion halliae", "Aglaothamnion herveyi", "Aglaothamnion monopodon", "Aglaothamnion obstipum", "Aglaothamnion okiense", "Aglaothamnion oosumiense", "Aglaothamnion priceanum", "Aglaothamnion pseudobyssoides", "Aglaothamnion rabenhorstii", "Aglaothamnion sarcodiae", "Aglaothamnion uruguayense", "Callithamnion acutum", "Callithamnion aglaothamniodes", "Callithamnion arborescens", "Callithamnion arrawarricum", "Callithamnion biseriatum", "Callithamnion bisporum", "Callithamnion brachygonum", "Callithamnion callithamnioides", "Callithamnion catalinense", "Callithamnion caulescens", "Callithamnion circinnatum", "Callithamnion codicola", "Callithamnion colensoi", "Callithamnion collabens", "Callithamnion compactum", "Callithamnion confertum", "Callithamnion consanguineum", "Peucedanum venetum", "Besaia melanius aethiops", "Besaia melanius melanius", "Besaia alboflavida", "Besaia prominens", "Besaia sordidior", "Peucedanum paniculatum", "Isoetes longissima subsp. adspersa", "Dendrochilum yuccifolium", "Cryptostylis arachnites", "Cryptostylis hunteriana", "Cryptostylis leptochila", "Podistera eastwoodiae", "Cryptostylis ovata", "Bireta belosa", "Bireta gemina", "Bireta sinensis", "Torigea ereptor", "Trinia glauca", "Trinia glauca subsp. carniolica", "Trinia leiogona", "Lomatium cous", "Hirsutithallia abaxialis", "Thyreocephalus lorquini", "Lomatium cuspidatum", "Hirsutithallia angustata", "Thyreocephalus variolatus", "Thyreocephalus thailandicus", "Hirsutithallia tincta", "Lomatium dasycarpum", "Hirsutithallia formosa", "Achmonia eppelsheimi", "Paratesba hayashii", "Hirsutithallia laricina", "Metolinus sinabung", "Lomatium donnellii", "Phacophallus pallidipennis", "Seirospora giraudyi", "Lomatium engelmannii", "Seirospora humilis", "Lomatium erythrocarpum", "Seirospora apiculata", "Indomorphus parcus", "Nepalinus fuscipes", "Lomatium gormanii", "Seirospora occidentalis", "Seirospora orientalis", "Seirospora purpurea", "Seirospora sphaerospora", "Ceryx albipuncta", "Seirospora viridis", "Aglaothamnion bipinnatum", "Aglaothamnion caudatum", "Aglaothamnion cordatum", "Ceryx albimacula", "Aglaothamnion tripinnatum", "Collita vietnamica", "Lomatium marginatum", "Teulisna tongdzuythanhi", "Teulisna flava", "Lomatium martindalei", "Lomatium minus", "Lomatium mohavense", "Mithuna tranthieudui", "Lomatium nevadense", "Katha pseudobrevivalva", "Adites thanhi", "Pseudomiltochrista zolotuhini", "Lomatium observatorium", "Aemene annamica", "Macaduma kontumica", "Macaduma micra", "Lomatium ochoense", "Eugoa annamica", "Eugoa zolotuhini", "Lomatium parryi", "Eugoa kuznetzovi", "Neoduma songensis", "Diduga cucphuonga", "Lomatium piperi", "Adites sandakan", "Adites tenburong", "Proceratophrys belzebul", "Saliocleta acyptera acyptera", "Saliocleta acyptera insido", "Acheilognathus rhombeus", "Stauropus sikkimensis", "Stauropus sikkimensis sikkimensis", "Stauropus sikkimensis erdmanni", "Antiphalera exquisitor", "Sepedophilus nigripennis", "Tachinus flavolimbatus", "Lamprinodes fairmairei", "Oxypoda brevicornis", "Drymonia dodonides", "Drymonia dodonides dodonides", "Drymonia dodonides sinensis", "Pseudofentonia emiror", "Aciphylla aurea", "Aciphylla congesta", "Megalinus japonicus", "Megalinus mirus", "Megalinus pervivagus", "Megalinus punctatissimus", "Megalinus ruficaudatus", "Megalinus solivagus", "Megalinus tibetanus", "Megalinus xingxing", "Megalinus zhenyuanensis", "Eusphalerum luteum", "Lophontosia parki", "Besaia meo", "Peucedanum multivittatum", "Besaia atrilinea", "Besaia dives", "Besaia goddrica", "Besaia inconspicua", "Besaia multipunctata", "Besaia murzini", "Besaia nebulosa", "Besaia nigrofasciata", "Besaia ovatia", "Besaia rubiginea", "Besaia sordida", "Besaia yunnana", "Besaia zoe", "Besaia apicalis", "Besaia argentilinea", "Besaia castor", "Besaia eupatagia", "Besaia hanae", "Besaia plusioides", "Besaia pollux", "Besaia prisoni", "Besaia pyraloides", "Besaia sideridis", "Callithamnion crispulum", "Callithamnion cryptopterum", "Callithamnion dasytrichum", "Callithamnion debile", "Callithamnion dudresnayi", "Callithamnion ecuadoreanum", "Callithamnion ellipticum", "Callithamnion elongellum", "Callithamnion epiphyticum", "Callithamnion exiguum", "Callithamnion fallax", "Callithamnion flagellare", "Callithamnion gaudichaudii", "Callithamnion gracile", "Callithamnion grande", "Callithamnion granulatum", "Callithamnion hamelii", "Callithamnion hirtellum", "Callithamnion hypneae", "Callithamnion implicatum", "Callithamnion japonicum", "Callithamnion kirillianum", "Callithamnion korffense", "Callithamnion lanosum", "Callithamnion lasioides", "Callithamnion marshallense", "Callithamnion mildbraedii", "Callithamnion montagnei", "Callithamnion multifidum", "Callithamnion nipponicum", "Callithamnion octosporum", "Callithamnion pacificum", "Callithamnion parvulum", "Callithamnion paschale", "Callithamnion pedicellatum", "Callithamnion pennula", "Callithamnion perpusillum", "Callithamnion pikeanum", "Callithamnion pinnatum", "Callithamnion planum", "Callithamnion propebyssoides", "Callithamnion puniceum", "Callithamnion purpuriferum", "Callithamnion ramosissimum", "Callithamnion reductum", "Callithamnion rigescens", "Callithamnion rupicola", "Callithamnion semicorticatum", "Callithamnion shepherdii", "Callithamnion soccoriense", "Callithamnion spinuliferum", "Callithamnion stuposum", "Callithamnion subsecundum", "Callithamnion subverticillatum", "Callithamnion tetragonum", "Callithamnion tetricum", "Callithamnion unilaterale", "Callithamnion variegatum", "Callithamnion veleroae", "Callithamnion vieillardii", "Callithamnion violaceum", "Usnea subflaveola", "Pseudocymopterus montanus", "Eusphalerum pallens", "Anotylus inustus", "Stenus aceris", "Sunius melanocephalus", "Besaia cuspidata", "Achenium striatum", "Besaia kolmani", "Angelica pyrenaea", "Remus sericeus", "Spermolepis divaricata", "Angelica capitellata", "Taenidia integerrima", "Stephania cambodica", "Cryptostylis acutata", "Cryptostylis acutata var. acutata", "Cryptostylis acutata var. borneensis", "Cryptostylis apiculata", "Cryptostylis arfakensis", "Cryptostylis carinata", "Cryptostylis clemensii", "Cryptostylis concava", "Cryptostylis conspicua", "Cryptostylis filiformis", "Tauschia arguta", "Philonthus parvicornis", "Cryptostylis gracilis", "Isoetes longissima subsp. intermedia", "Cryptostylis hamadryas", "Cryptostylis javanica", "Cryptostylis lancilabris", "Isoetes longissima subsp. longissima", "Cryptostylis ligulata", "Cryptostylis maculata", "Cryptostylis sigmoidea", "Cryptostylis sororia", "Cryptostylis taiwaniana", "Coilochilus neocaledonicum", "Isoetes longissima subsp. perralderiana", "Tauschia howellii", "Isoetes longissima subsp. tenuissima", "Heterothops canariensis", "Masdevallia lamia", "Thaspium trifoliatum var. aureum", "Bireta beta", "Allata sikkima", "Thyreocephalus indicus", "Proceratophrys gladius", "Proceratophrys mantiqueira", "Proceratophrys pombali", "Proceratophrys itamari", "Dendrobium capituliflorum", "Visnaga crinita", "Liotesba malaisei", "Ammi trifoliatum", "Erymus dalianus", "Manicina areolata", "Ibatia maritima", "Apium annuum", "Dendrobium parthenium", "Sylea afghanica", "Megalinus ailaoshanensis", "Adites curvata", "Adites alticurvata", "Adites hosei", "Adites pseudolyclene", "Adites bifida", "Adites parang", "Adites trusmadi", "Adites longispina", "Adites cornutata", "Adites pseudofrigida", "Myopsyche xanthosoma", "Lomatium roseanum", "Lomatium salmoniflorum", "Amata deflocca", "Lomatium scabrum", "Amata ticaonis", "Lomatium stebbinsii", "Amata phaeobasis", "Lomatium suksdorfii", "Lomatium torreyi", "Amata cholmlei", "Lomatium tracyi", "Amata lagosensis", "Lomatium vaginatum", "Megalinus hailuogouensis", "Megalinus liupanshanensis", "Megalinus nonvaricosus", "Megalinus solidus", "Megalinus tangi", "Mathiasella bupleuroides", "Cossulus irtlachi", "Megalinus bicatellatus", "Megalinus boki", "Myrrhidendron maxonii", "Megalinus cinnamomeus", "Megalinus coracinus", "Myrrhidendron donnell-smithii", "Neodrymonia inevitabilis", "Aciphylla glacialis", "Neodrymonia anna", "Neodrymonia mendax", "Neodrymonia comes", "Neodrymonia filix", "Aciphylla glaucescens", "Aciphylla hectori", "Aciphylla montana", "Aciphylla subflabellata", "Pheosiopsis gaedei", "Pheosiopsis norina", "Anisotome latifolia", "Aleochara tristis", "Pheosiopsis irrorata", "Paratesba ruficaudata", "Paratesba hirsuta", "Ptilodon severin", "Lophontosia margareta", "Hagapteryx sugii", "Astydamia latifolia", "Togopteryx dorsoalbida", "Togopteryx incongruens", "Allodonta maculifer", "Allodonta maculifer maculifer", "Allodonta maculifer longinae", "Phalera ora", "Phalera sebrus", "Phalera hadrian", "Spatalia procne", "Ginshachia phoebe", "Aemene agitata", "Aemene fusconigra", "Atopolinus rubescens", "Pachycorynus minimus", "Apium sellowianum", "Barsura nubifascia", "Barsura clandestina", "Aegopodium alpestre", "Barsura obscura", "Barsura contrastata", "Barsura lineata", "Linanthus bigelovii", "Barsura simplicifascia", "Linanthus demissus", "Barsura melanoleuca", "Linanthus dianthiflorus", "Barsura umbrifera", "Linanthus dichotomus", "Linanthus maculatus", "Boloria gansuensis", "Linanthus parryae", "Euphydryas aurinia sichuanica", "Linanthus watsonii", "Chalinga puerensis", "Ramesa bovoculosugens", "Helosciadium bermejoi", "Ramesa fuscipennis", "Ramesa doisuthepica", "Apium fernandezianum", "Helosciadium inundatum", "Epilobium anatolicum subsp. anatolicum", "Porroglossum amethystinum", "Porroglossum schramii", "Hypsolebias fulminantis", "Gundelia munzuriensis", "Gundelia rosea", "Gundelia dersim", "Hypsolebias radiosus", "Gundelia mesopotamica", "Hollenbergia nigricans", "Isoetes microvela", "Macrothamnion pellucidum", "Macrothamnion pectenellum", "Macrothamnion secundum", "Isoetes tennesseensis", "Macrothamnion acanthophorum", "Perikladosporon percurrens", "Perikladosporon abaxiale", "Isoetes texana", "Isoetes viridimontana", "Isoetes graniticola", "Trichosalpinx chamaelepanthes", "Isoetes septentrionalis", "Thyreocephalus taiwanensis", "Liotesba antonellae", "Coiffaitarctia imperatrix", "Antithamnion cruciatum", "Oxyptilus eleanerae", "Antithamnion cristatum", "Barsura autumnalis", "Barsura vernalis", "Pellaea calomelanos", "Periga paranapiacaba", "Boechera howellii", "Periga faustinoi", "Periga intervales", "Boreothamnion villosum", "Automeris intermedius", "Boechera laevigata", "Dasyptilon pellucidum", "Dasyptilon ptilota", "Rhopobota projecta", "Rhopobota quadrata", "Boechera lemmonii", "Dasyptilon microptilum", "Boechera lignifera", "Boechera lyallii", "Plumaria plumosa", "Boechera microphylla", "Macrogynoplax matogrossensis", "Boechera parishii", "Euphaedra dargei", "Plumariopsis eatonii", "Plumariopsis peninsularis", "Cicinnus gaia", "Alheita hermieri", "Alheita counamama", "Apatelodes patagai", "Apatelodes felisi", "Apatelodes beneluzi", "Apatelodes roura", "Apatelodes combi", "Apatelodes guyanensis", "Ptilota gunneri", "Apatelodes nouraguesensis", "Apatelodes kohlli", "Ptilota serrata", "Ptilota asplenioides", "Isoetes hypsophila", "Isoetes orientalis", "Acrothamnion butlerae", "Isoetes yunguiensis", "Acrothamnion preissii", "Pellaea brachyptera", "Pellaea breweri", "Epidendrum nanosimplex", "Pellaea bridgesii", "Isoetes butleri", "Bulbophyllum pardalotum", "Isoetes mattaponica", "Hollenbergia subulata", "Lepanthes alopex", "Lepanthes amphioxa", "Lepanthes chrysina", "Lepanthes corkyae", "Metastelma anegadense", "Pteralopex flanneryi", "Baeomyces aggregatus", "Baeomyces sanguineus", "Agonochaetia conspersa", "Agonochaetia impunctella", "Agonochaetia incredibilis", "Agonochaetia intermedia", "Agonochaetia ivovskyi", "Agonochaetia quartana", "Agonochaetia shawinigan", "Antithamnionella sublittoralis", "Antithamnionella tormentosa", "Callithamniella tingitana", "Callithamniella capensis", "Callithamniella flexilis", "Callithamniella pacifica", "Callithamniella silvae", "Breviceps carruthersi", "Breviceps passmorei", "Dohrniella antillarum", "Dohrniella neapolitana", "Dohrniella nana", "Isoetes anatolica", "Echinodorus decumbens", "Eugnorisma chaldaica chaldaica", "Eugnorisma chaldaica kurdistana", "Lepanthes acarina", "Isoetes asturicensis", "Ptilota densa", "Ptilota dentata", "Ptilota filicina", "Ptilota gwaiihaanasica", "Ptilota haidarum", "Ptilota pseudohypnoides", "Ptilota sloanii", "Ptilota subita", "Ptilota hypnoides", "Boechera pinetorum", "Australinus cyaneipennis", "Thyreocephalus margaretae", "Boechera pulchra", "Hypsolebias adornatus", "Ptilota phacelocarpoides", "Boechera pusilla", "Boechera rectissima", "Tokidaea corticata", "Thyreocephalus wallacei", "Boechera retrofracta", "Tokidaea hirta", "Metolinus liwaguensis", "Tokidaea chilkatensis", "Borodinia serotina", "Tokidaea serrata", "Boechera serpenticola", "Boechera subpinnatifida", "Boechera suffrutescens", "Histioea magistrae", "Pellaea andromedifolia", "Heteroptilon pappeanum", "Atopolinus phongsali", "Atopolinus hayashii", "Atopolinus laosianus", "Heteroptilon rigidulum", "Indolinus laosianus", "Talliella laosiana", "Thyromolis pythia", "Neritos fereunocolor", "Neritos croceicauda", "Leucanopsis lecourti", "Mitomorphus waylebeticus", "Hirsutithallia mucronata", "Nwynea grandispora", "Parapsestis naxii", "Parapsestis tachengensis", "Pseudospora adriatica", "Scaphosepalum jostii", "Scaphosepalum lima", "Scaphosepalum macrodactylum", "Scaphosepalum manningii", "Seirospora interrupta", "Trithamnion eubryanii", "Trithamnion ovuligerum", "Chionodes borzella", "Crepis froelichiana", "Leptoklonion fastigiatum", "Histioea meldolae", "Crepis froelichiana subsp. dinarica", "Crepis granatensis", "Acrothamniopsis eliseae", "Crepis hierosolymitana", "Elisiella arbuscula", "Bolboschoenus maritimus subsp. affinis", "Elisiella dispar", "Heterothamnion muelleri", "Crepis modocensis", "Heterothamnion episiliquosum", "Heterothamnion sessile", "Heterothamnion platythaliae", "Baeomyces botryophorus", "Agonochaetia terrestrella", "Baeomyces brevis", "Agonochaetia tuvella", "Lathrobium magrinii", "Pachycorynus phou", "Achmonia sondaica", "Achmonia gestroi", "Canarischema fuerteventura", "Achmonia shibatai", "Achmonia wogwog", "Amoenothamnion planktonicum", "Amoenothamnion minimum", "Amoenothamnion lycopodioides", "Crepis canariensis", "Achmonia cyanoptera", "Tetrathamnion lineatum", "Tetrathamnion myurum", "Trithamnion gracilissimum", "Trithamnion vulgare", "Trithamnion tenellum", "Trithamnion aculeatum", "Peplonia adnata", "Isoetes creussensis", "Coenogonium boninense", "Coenogonium nigromaculatum", "Scirpus polyphyllus", "Scirpus radicans", "Scirpus wichurae", "Lacosoma canens", "Alheita obscura", "Alheita adelitae", "Crepis pygmaea", "Procinnus plana", "Procinnus acuta", "Bulbophyllum macraei", "Veratrum versicolor", "Lacosoma miradorensis", "Veratrum oblongum", "Lacosoma morgani", "Epilobium tetragonum subsp. lamyi", "Epilobium tetragonum subsp. tournefortii", "Epilobium tetragonum subsp. tetragonum", "Pterothamnion polyacanthum", "Pterothamnion simile", "Isoetes boryana", "Indolinus vietnamiticus", "Atopolinus ninh", "Dysschema triangulum", "Leucanopsis calabaza", "Scotonomus sardus", "Bryoria barbata", "Bryoria fruticulosa", "Pterothamnion plumula", "Bryoria wui", "Bryoria yunnanensis", "Druentica melastoma", "Pterothamnion crispum", "Pterothamnion heteromorphum", "Pterothamnion nodiferum", "Pterothamnion aciculare", "Pterothamnion cuspidatum", "Pterothamnion flexile", "Pterothamnion francisianum", "Pterothamnion manifestum", "Pterotopteryx lida", "Antithamnionella ternifolia", "Pellaea glabella", "Antithamnionella verticillata", "Antithamnionella rhodokraftia", "Mildella intramarginalis", "Antithamnionella multiramosa", "Antithamnionella schneideri", "Antithamnionella boergesenii", "Antithamnionella graeffei", "Paromphacodes perpulchra", "Paromphacodes rubristellata", "Pellaea nana", "Paromphacodes alticola", "Paromphacodes alpha", "Pellaea ovata", "Paromphacodes onae", "Paromphacodes spina", "Pellaea paradoxa", "Paromphacodes summita", "Pellaea pringlei", "Antithamnionella adnata", "Paromphacodes resalaria", "Paromphacodes rubrimargo", "Pellaea sagittata", "Antithamnionella alternans", "Pellaea ternifolia", "Antithamnionella atlantica", "Pellaea truncata", "Antithamnionella bermudica", "Erymus gracilis", "Pterothamnion ramulentum", "Pterothamnion recurvatum", "Pterothamnion horridum", "Pterothamnion intermedium", "Pterothamnion capense", "Pterothamnion pectinatum", "Pterothamnion polysporum", "Pterothamnion squarrulosum", "Pterothamnion tepocense", "Procinnus cahureli", "Pterothamnion villosum", "Pterothamnion yezoense", "Pterothamnion confusum", "Thaelia linamariae", "Pterothamnion latiramosum", "Thaelia beniensis", "Pterothamnion spinescens", "Arcinnus hoedli", "Pterothamnion antarcticum", "Pterothamnion minutissimum", "Bedosia yenuga", "Isoetes azorica", "Lacosoma arantium", "Pterothamnion orbignianum", "Lacosoma puniceum", "Scotonomus saulcyi", "Crepis rhaetica", "Antarcticothamnion polysporum", "Crepis rueppellii", "Crepis runcinata", "Oncocnemis asema", "Oncocnemis arizonensis", "Upeneus nigromarginatus", "Crepis terglouensis", "Compsothamnion thuioides", "Compsothamnion truncatum", "Rangifer tarandus buskensis", "Rangifer tarandus caboti", "Compsothamnion gracillimum", "Rangifer tarandus osborni", "Rangifer tarandus terraenovae", "Compsothamnion decompositum", "Rangifer tarandus caribou", "Rangifer tarandus dawsoni", "Rangifer tarandus eogroenlandicus", "Rangifer tarandus granti", "Rangifer tarandus pearsoni", "Rangifer tarandus phylarchus", "Rangifer tarandus sibiricus", "Rangifer tarandus valentinae", "Dasythamniella dasyura", "Dasythamniella latissima", "Dasythamniella plumigera", "Dasythamniella superbiens", "Dasythamniella wollastoniana", "Gymnophycus hypsispermis", "Gymnophycus hapsiphorus", "Hypsophila klapperichi", "Gymnophycus elongatus", "Euriphene pinkieana", "Euriphene butleri butleri", "Euriphene butleri kivuensis", "Euriphene butleri remota", "Euriphene camarensis", "Euriphene goniogramma", "Euriphene ituriensis", "Euriphene luteostriata", "Euriphene mundula", "Euriphene obtusangula", "Scotonomus raymondi", "Euriphene ribensis", "Scotonomus confusus", "Euriphene tessmanniana", "Scotonomus montalbicus", "Euriphene adumbrata", "Euriphene ampedusa", "Leptacinus khachikovi", "Gyrohypnus khachikovi", "Xantholinus circassicus", "Xantholinus daghestanicus", "Hypericum dubium", "Hemiolaus ceres", "Histioea meldolae meldolae", "Antithamnion adenocladellum", "Antithamnion aglandum", "Antithamnion amamiense", "Histioea meldolae hoyaensis", "Antithamnion amphigeneum", "Antithamnion antillanum", "Antithamnion armatum", "Antithamnion biarmatum", "Antithamnion callocladum", "Antithamnion compactum", "Antithamnion decipiens", "Antithamnion defectum", "Antithamnion delicatulum", "Antithamnion dendroideum", "Antithamnion densum", "Antithamnion diminuatum", "Antithamnion erucacladellum", "Antithamnion gracilentum", "Antithamnion hannafordii", "Antithamnion hanovioides", "Antithamnion heterocladum", "Antithamnion hubbsii", "Antithamnion kylinii", "Antithamnion makroklonion", "Antithamnion nipponicum", "Antithamnion okiense", "Antithamnion pectinatum", "Antithamnion piliferum", "Antithamnion pinnafolium", "Antithamnion pseudoarmatum", "Antithamnion pterocladellum", "Antithamnion scrippsianum", "Antithamnion secundum", "Antithamnion sparsum", "Antithamnion uniramosum", "Antithamnion verticale", "Antithamnion villosum", "Bryoria alaskana", "Kirrostola binotata", "Kirrostola metaxantha", "Kirrostola maroniensis", "Pyrrostola flavida", "Achmonia solodovnikovi", "Pyrrostola subtussisignata", "Metosina laotiana", "Indomorphus laotianus", "Pyrrostola simulans", "Lathrobium bramantii", "Pyrrostola acutipennis", "Liotesba vietnamica", "Metolinus bartolozzii", "Spencerella australis", "Delesseriopsis elegans", "Scirpus expansus", "Scirpus georgianus", "Lasiothalia hirsuta", "Leptomyrina phidias", "Laurenciophila minima", "Ochmapexus minimus", "Radiathamnion speleotis", "Scirpus pendulus", "Amaxia fallax", "Amaxia inopinata", "Warrenia comosa", "Leptomyrina gorgias gorgias", "Juncus antarcticus", "Leptomyrina hirundo", "Juncus anthelatus", "Leptomyrina makala", "Leptomyrina sudanica", "Hemiolaus caeculus", "Juncus acutus subsp. acutus", "Hemiolaus caeculus caeculus", "Hemiolaus caeculus littoralis", "Juncus australis", "Hemiolaus caeculus tsodiloensis", "Hemiolaus caeculus vividus", "Symbiopsis aprica", "Symbiopsis lenitas", "Isoetes delilei", "Isoetes fluitans", "Grevillia subtropicalis", "Thyreocephalus formosanus", "Endocarpon japonicum", "Endocarpon neopallidulum", "Scagelia americana", "Cicinnus hanseni", "Scagelia pylaisaei", "Scotonomus terteniensis", "Cicinnus melgibsoni", "Scotonomus bifidus", "Scotonomus kraussei", "Scotonomus barbaricinus", "Scagelia breviarticulata", "Drepatelodes zacki", "Drepatelodes landolti", "Apatelodes schusteri", "Apatelodes faustinoi", "Scotonomus simpatricus", "Scotonomus mirificus", "Scotonomus baroniae", "Scotonomus caneparii", "Scotonomus lulensis", "Scagelothamnion pusillum", "Thera firmata", "Thera firmata firmata", "Scotonomus doderoi", "Thera firmata tyrrhenica", "Scotonomus consortii", "Scotonomus magrinii", "Scotonomus dorgaliensis", "Scagelothamnion turneri", "Fissurina undulata", "Hemiolaus cobaltina", "Lathrobium bastianinii", "Hemiolaus maryra", "Hypolycaena periphorbas periphorbas", "Hypolycaena periphorbas mussau", "Hypolycaena periphorbas wituensis", "Juncus continuus", "Lepanthes hexapus", "Lepanthes marthae", "Lepanthes menatoi", "Juncus edgariae", "Iolaus diametra congco", "Symbiopsis panamensis", "Symbiopsis pupilla", "Cervus canadensis nelsoni", "Cervus canadensis manitobensis", "Cervus canadensis nannodes", "Phycitodes albatella", "Cervus canadensis canadensis", "Gulsonia annulata", "Cervus canadensis merriami", "Gulsonia ecorticata", "Cervus canadensis sibiricus", "Cervus canadensis songaricus", "Gulsonia nodulosa", "Cervus canadensis xanthopygus", "Cervus canadensis alashanicus", "Cervus canadensis wallichii", "Cervus canadensis hanglu", "Cervus canadensis macneilli", "Cervus canadensis kansuensis", "Ptilocladia pulchra", "Phycitodes mucidella", "Stipa comata", "Ptilocladia australis", "Phycitodes osteella", "Ptilocladia vestita", "Ptilocladia yuenii", "Ptilocladia okiensis", "Ptilocladia japonica", "Juncus balticus subsp. mexicanus", "Juncus balticus subsp. ater", "Juncus balticus subsp. littoralis", "Juncus balticus subsp. pyrenaeus", "Dendrobium trinervium", "Euriphene leonis", "Scotonomus binaghii", "Scotonomus fauveli", "Xylopteryx cowani", "Scotonomus minator", "Scotonomus deleddanus", "Scotonomus mariae", "Metolinus microparamerus", "Indolinus mitomorphoides", "Indomorphus shavrini", "Nudaurelia wahlbergina", "Cervus elaphus bactrianus", "Cervus elaphus barbarus", "Eupithecia perryvriesi", "Cervus elaphus elaphus", "Thyrinteina infans infans", "Cervus elaphus hippelaphus", "Thyrinteina infans umbrosa", "Cervus elaphus hispanicus", "Cervus elaphus maral", "Cervus elaphus scoticus", "Saigonita paradoxa", "Cervus elaphus yarkandensis", "Kurtia gallica", "Haloplegma duperreyi", "Haloplegma preissii", "Nesebroides mineti", "Haloplegma anweri", "Haloplegma mexicanum", "Haloplegma polyspora", "Mortensenia pulchra", "Rhododictyon bermudense", "Scagelonema parasiticum", "Scirpus congdonii", "Crouania robbii", "Crouania capricornica", "Crouania boergesenii", "Crouania iyengarii", "Crouania elisiae", "Tetraneuris acaulis var. epunctata", "Crouania francescoi", "Mitomorphus arfakensis", "Mitomorphus cyclopicus", "Crouania ischiana", "Mitomorphus riedelianus", "Phycitodes lacteella bentinckella", "Mitomorphus doyo", "Crouania mageshimensis", "Crouania mayae", "Heterotheca villosa var. minor", "Crouania pleonospora", "Heterotheca villosa var. scabra", "Crouania pumila", "Crouania willae", "Crouanophycus latiaxis", "Crouanophycus mcnabbii", "Euptilocladia spongiosa", "Euptilocladia villosa", "Euptilocladia magruderi", "Gattya pinnella", "Gattya obtusa", "Simpsonichthys parallelus", "Leptacinus yemeniticus", "Andelis minutulus", "Aria javorkana", "Aria avonensis", "Aria arvonicola", "Carpoblepharis flaccida", "Carpoblepharis ceylanica", "Carpoblepharis curtissiae", "Carpoblepharis minima", "Centroceras hyalacanthum", "Centroceras micracanthum", "Antithamnionella australis", "Antithamnionella seriata", "Antithamnionella basispora", "Xanthophius filum", "Megalinus rougemonti", "Antithamnionella breviramosa", "Antithamnionella glandifera", "Antithamnionella spirographidis", "Antithamnion tenuissimum", "Antithamnionella elegans", "Protognorisma lineolata", "Antithamnionella floccosa", "Antithamnionella longicellulata", "Antithamnionella multiglandulosa", "Antithamnionella nagaii", "Campylaephora hypnaeoides", "Juncus laccatus", "Campylaephora japonica", "Campylaephora crassa", "Metolinus laotianus", "Mahavana anomala", "Juncus luciensis", "Erymus puphan", "Campylaephora borealis", "Thyreocephalus auriceps", "Juncus macrophyllus", "Andelis ruficaudatus", "Mitomorphus abmisibil", "Campylaephora californica", "Mitomorphus abenaho", "Juncus megacephalus", "Fissurina subtropica", "Endocarpon nigromarginatum", "Endocarpon ramulosum", "Endocarpon superpositum", "Endocarpon minutum", "Juncus fockei", "Juncus hemiendytus", "Juncus heterophyllus", "Juncus howellii", "Juncus interior", "Juncus jacquinii", "Fissurina flavicans", "Juncus kraussii", "Fissurina fujisanensis", "Juncus kraussii subsp. australiensis", "Fissurina inabensis", "Isoetes gymnocarpa", "Scrophularia grayanoides", "Isoetes haussknechtii", "Hypsolebias picturatus", "Isoetes heldreichii", "Ramalina mannii", "Aria greenii", "Aria herefordensis", "Aria hibernica", "Aria hungarica", "Aria keszthelyensis", "Aria lancastriensis", "Aria leighensis", "Aria leptophylla", "Aria madoniensis", "Pipistrellus hanaki", "Symbiopsis morpho", "Aria margaretae", "Aria moravica", "Aria obtusifolia", "Aria pannonica", "Homoeosoma nimbella", "Ptilocladia gracilis", "Ptilocladia crouanioides", "Metolinus liseae", "Ptilocladia divaricata", "Nyctegretis aenigmella", "Indolinus formosae", "Hypnogyra formosae", "Atopolinus tenchi", "Atopolinus subtiliphallus", "Atopolinus diaphanus", "Atopolinus anma", "Atopolinus ilan", "Ephestia abnormalella", "Atopolinus peitawu", "Ardreanema seriosporum", "Atopolinus kuai", "Atopolinus smetanai", "Ephestia parasitella", "Atopolinus tona", "Atopolinus silvanus", "Juncus foliosus", "Centrocerocolax ubatubensis", "Syringocolax macroblepharis", "Juncus acutiflorus", "Leptomyrina boschi", "Leptomyrina handmani", "Juncus alpinoarticulatus subsp. rariflorus", "Ephestia unicolorella", "Aria pontis-satanae", "Aria richii", "Aria rupicola", "Aria rupicoloides", "Aria saxicola", "Aria spectans", "Aria stankovii", "Aria stenophylla", "Aria stirtoniana", "Aria subdanubialis", "Aria tergestina", "Aria thaiszii", "Aria thayensis", "Aria ujhelyii", "Aria ulmifolia", "Symbiopsis nivepunctata", "Aria vajdae", "Aria vexans", "Aria wilmottiana", "Symbiopsis pencilatus", "Aria zolyomii", "Symbiopsis pentas", "Isoetes delalandei", "Corallophila verongiae", "Corallophila eatoniana", "Amastus cornea", "Scrophularia musashiensis", "Juncus remotiflorus", "Leucanopsis curta", "Leucanopsis pseudofalacra", "Gayliella flaccida", "Gayliella fimbriata", "Gayliella recticortica", "Cadra furcatella", "Gayliella taylorii", "Gayliella transversalis", "Gayliella womersleyi", "Gayliella mazoyerae", "Herpochondria corallinae", "Herpochondria dentata", "Herpochondria elegans", "Herpochondria pygmaea", "Herpochondria henriettae", "Hypsolebias auratus", "Herpochondria kampenii", "Centroceras gasparrinii", "Juncus monanthos", "Centroceras arcii", "Centroceras illaqueans", "Centroceras clavulatum", "Juncus pallidus", "Centroceras rhizophorum", "Centroceras corallophiloides", "Centroceras distichum", "Centroceras hommersandii", "Centroceras natalense", "Centroceras rodmanii", "Centroceras tetrachotomum", "Juncus polyanthemus", "Centroceras internitens", "Centroceras japonicum", "Centroceras minutum", "Juncus pygmaeus", "Centroceras secundum", "Corallophila kleiwegii", "Corallophila howei", "Corallophila huysmansii", "Corallophila atlantica", "Corallophila bella", "Corallophila cinnabarina", "Corallophila itonoi", "Corallophila ptilocladioides", "Microcladia glandulosa", "Microcladia alternata", "Microcladia borealis", "Microcladia coulteri", "Microcladia exserta", "Microcladia gelidii", "Microcladia gloria-spei", "Microcladia moseleyi", "Microcladia novae-zelandiae", "Microcladia pinnata", "Reinboldiella schmitziana", "Reinboldiella filamentosa", "Reinboldiella robusta", "Reinboldiella orientalis", "Lepanthes tortuosa", "Dinoxantholinus metallopennis", "Reinboldiella taiwanensis", "Guineodinella hornabrookiana", "Guineodinella lacustris", "Metolinus canopyanus", "Metolinus elegantissimus", "Metolinus elytratus", "Metolinus maculosus", "Metolinus montanus", "Metolinus oculatus", "Metolinus punctatissimus", "Metolinus sinewitensis", "Metolinus tigianus", "Metolinus yemyem", "Mitomorphus abilalanus", "Mitomorphus amarantinus", "Mitomorphus anggianus", "Mitomorphus asekianus", "Mitomorphus astenoides", "Mitomorphus batantaensis", "Lepanthes magnifica", "Mitomorphus bimensis", "Mitomorphus budemuensis", "Mitomorphus diaphanus", "Mitomorphus elegantissimus", "Mitomorphus kosmenicus", "Mitomorphus lucidus", "Mitomorphus microphthalmus", "Mitomorphus minutissimus", "Mitomorphus montanus", "Mitomorphus morobensis", "Spyridia horridula", "Spyridia plumosa", "Luzula hawaiiensis", "Spyridia tasmanica", "Luzula hispanica", "Luzula kjellmaniana", "Limenitis helmanni meicunensis", "Limenitis helmanni wenpingae", "Limenitis helmanni misuji", "Limenitis mimica pe", "Euthalia narayana", "Ceramium secundatum", "Lepanthes pastoensis", "Juncus textilis", "Lepanthes pretiosa", "Ceramium ciliatum", "Lepanthes strumosa", "Ceramium circinatum", "Aria baldaccii", "Aria cambrensis", "Aria cheddarensis", "Aria collina", "Aria cucullifera", "Aria danubialis", "Ceramium deslongchampsii", "Aria edulis", "Aria eminens", "Aria eminentiformis", "Aria eminentoides", "Ceramium diaphanum", "Aria evansii", "Isoetes histrix", "Isoetes malinverniana", "Erymus sinicus", "Atopolinus brunneus", "Stenistoderus sinicus", "Torrenticola anoplopalpa", "Torrenticola arktonyx", "Gauropterus fauveli", "Torrenticola biscutella", "Thyreocephalus philippinus", "Thyreocephalus nigricantis", "Thyreocephalus catastrophicus", "Metolinus excellens", "Torrenticola bondi", "Torrenticola caerulea", "Torrenticola cardia", "Torrenticola copipalpa", "Ceramium virgatum", "Torrenticola daemon", "Mitomorphus novaeguineaensis", "Mitomorphus oblongus", "Mitomorphus perlucidus", "Mitomorphus polygonalis", "Mitomorphus riedeli", "Mitomorphus rugosus", "Mitomorphus rugulosus", "Mitomorphus spinosus", "Mitomorphus sublitoraneus", "Mitomorphus submontanus", "Mitomorphus tsunamicus", "Mitomorphus wewakensis", "Mitomorphus wondiwoiensis", "Neoxantholinus bilaiensis", "Neoxantholinus papuanus", "Neoxantholinus ullrichi", "Pachycorynus bulolensis", "Pachycorynus dekaiensis", "Pachycorynus guadalcanalensis", "Pachycorynus okapaensis", "Spaniolinus australis", "Spaniolinus papuanus", "Spaniolinus solomonicus", "Tetraulacus maculatus", "Tetraulacus papuanus", "Thyreocephalus beroni", "Thyreocephalus elegantis", "Thyreocephalus longesetiger", "Thyreocephalus morbillaceus", "Thyreocephalus onerunkanus", "Thyreocephalus punctatipennis", "Thyreocephalus sedlaceki", "Thyreocephalus splendidus", "Thyreocephalus violaceipennis", "Thyreocephalus violelytratus", "Thyreocephalus volubilis", "Walesia novaeguineae", "Lepanthes odontocera", "Reinboldiella warburgii", "Juncus subsecundus", "Juncus tenageia", "Spongoclonium scopula", "Spongoclonium yagii", "Pleonosporium flexuosum", "Luzula capitata", "Luzula confusa", "Luzula crinita", "Spyridia filamentosa", "Luzula echinata", "Spyridia alternans", "Habenaria repens", "Spyridia fusiformis", "Habenaria repens var. repens", "Spyridia ceramioides", "Luzula congesta", "Spyridia squalida", "Habenaria repens var. maxillaris", "Colacodasya australica", "Colacodasya californica", "Dasyella gracilis", "Dictyurus purpurascens", "Dictyurus fenestratus", "Megalinus christophi", "Isoetes abyssinica", "Isoetes aemulans", "Vaccinium boninense", "Muntiacus putaoensis", "Isoetes todaroana", "Muntiacus montanus", "Muntiacus puhoatensis", "Muntiacus rooseveltorum", "Muntiacus truongsonensis", "Muntiacus vuquangensis", "Pleonosporium borreri", "Isoetes vanensis", "Spongoclonium conspicuum", "Spongoclonium australicum", "Spongoclonium brownianum", "Pipistrellus raceyi", "Spongoclonium fasciculatum", "Spongoclonium scoparium", "Spongoclonium caribaeum", "Pipistrellus dhofarensis", "Spongoclonium orthocladum", "Spongoclonium pastorale", "Atopolinus watanabei", "Nepalinus montanus", "Nepalinus yunnanus", "Zeteotomus dilatipennis", "Nudobius lemniscatus", "Nudobius linanensis", "Neohypnus mandschuricus", "Hedlundia arranensis", "Spyridia clavata", "Spyridia cupressina", "Spyridia dasyoides", "Spyridia elongata", "Spyridia griffithsiana", "Spyridia hypnoides", "Spyridia velasquezii", "Spyridiocolax capixabus", "Luzula lactea", "Luzula lutea", "Luzula novae-cambriae", "Luzula luzulina", "Episporium centroceratis", "Perischelia glomulifera", "Luzula pallescens", "Choreocolax polysiphoniae", "Choreocolax americanus", "Choreocolax macronema", "Choreocolax rhodymeniae", "Choreocolax rabenhorstii", "Achenium propontiacum", "Xantholinus maghrebinus", "Harveyella mirabilis", "Luzula purpureosplendens", "Naja peroescobari", "Afroedura gorongosa", "Colacodasya inconspicua", "Balliella crouanioides", "Balliella subcorticata", "Balliella amphiglanda", "Balliella grandis", "Balliella repens", "Balliella hirsuta", "Balliella cladoderma", "Balliella pseudocorticata", "Balliella richardsii", "Phycitodes maritima maritima", "Balliella shameelii", "Phycitodes maritima canuisella", "Megalinus elianae", "Crouania attenuata", "Phycitodes lacteella", "Megalinus melonii", "Crouania brunyana", "Phycitodes lacteella lacteella", "Xantholinus comellinii", "Crouania destriana", "Crouania mucosa", "Xantholinus schuelkei", "Crouania shepleyana", "Ceramium suhrianum", "Ceramium sungminbooi", "Ceramium tasmanicum", "Ceramium templetonii", "Ceramium tenerrimum", "Torrenticola welbourni", "Ceramium tenue", "Ceramium tenuicorne", "Ceramium tenuicorticatum", "Ceramium tranquillum", "Ceramium truncatum", "Ceramium uncinatum", "Ceramium ungulatum", "Ceramium upolense", "Ceramium uruguayense", "Ceramium vagans", "Ceramium variegatum", "Ceramium vatovai", "Ceramium verrucosum", "Ceramium vestitum", "Ceramium vietnamense", "Ceramium viscainoense", "Ceramium wilsonii", "Ceramium womersleyi", "Ceramium zacae", "Torrenticola whitneyae", "Torrenticola wiedenmanni", "Symilla nigerrima", "Symilla cardamonica", "Nepalinus piceus", "Luzula alpina", "Thyreocephalus hummleri", "Thyreocephalus australis", "Xanthophius luridipennis", "Luzula alpinopilosa", "Queenslandina septentrionalis", "Mitomorphus habbemanus", "Isoetes tiguliana", "Lophothamnion hirtum", "Dictyurus maldivensis", "Dictyurus occidentalis", "Isoetes aequinoctialis", "Isoetes alstonii", "Heterosiphonia berkeleyi", "Heterosiphonia plumosa", "Hedlundia roopiana", "Hedlundia bosniaca", "Hedlundia anglica", "Hedlundia velebitica", "Hedlundia austriaca", "Hedlundia borbasii", "Hedlundia buekkensis", "Hedlundia cuneifolia", "Heterosiphonia lawrenciana", "Phacophallus tuniseus", "Stenistoderus cephalotes", "Heterosiphonia obscura", "Stenistoderus nothus", "Heterosiphonia rendlei", "Thuretia quercifolia", "Thuretia bornetii", "Xantholinus cypriacus", "Thuretia australasica", "Dasya baillouviana", "Murina harrisoni", "Torrenticola rockyensis", "Torrenticola sellersorum", "Torrenticola sharkeyi", "Ceramium abyssale", "Ceramium adhaerens", "Ceramium aduncum", "Ceramium affine", "Ceramium albidum", "Ceramium amamiense", "Ceramium apiculatum", "Ceramium arborescens", "Ceramium arcticum", "Ceramium arenarium", "Ceramium areschougii", "Ceramium atlanticum", "Ceramium atrorubescens", "Torrenticola shubini", "Ceramium aucklandicum", "Ceramium australe", "Ceramium avalonae", "Ceramium axillare", "Ceramium barbatum", "Ceramium bertholdii", "Ceramium bicorne", "Ceramium bisporum", "Ceramium boergesenii", "Ceramium borneense", "Ceramium botryocarpum", "Luzula acuminata", "Ceramium boydenii", "Ceramium brasiliense", "Ceramium brevizonatum", "Ceramium bulbosum", "Ceramium californicum", "Ceramium callipterum", "Ceramium camouii", "Ceramium cancellatum", "Ceramium capense", "Ceramium catenatum", "Ceramium caudatum", "Ceramium centroceratiforme", "Ceramium chathamense", "Ceramium cimbricum", "Ceramium cingulatum", "Ceramium cingulum", "Ceramium clarionense", "Ceramium clavaeforme", "Ceramium cliftonianum", "Ceramium coccineum", "Ceramium codicola", "Torrenticola skvarlai", "Ceramium codii", "Ceramium comptum", "Ceramium corallinum", "Ceramium cormacii", "Ceramium corniculatum", "Ceramium cornutum", "Ceramium crouanianum", "Ceramium cruciatum", "Ceramium cupulatum", "Ceramium dalmaticum", "Ceramium danicum", "Vaccinium japonicum", "Eupogodon planus", "Xantholinus coiffaiti", "Rhodoptilum plumosum", "Xantholinus longiventris", "Vaccinium madagascariense", "Hedlundia meinichii", "Hedlundia minima", "Hedlundia mougeotii", "Hedlundia neglecta", "Hedlundia neopinnatifida", "Hedlundia gauckleri", "Hedlundia harziana", "Hedlundia hazslinszkyana", "Hedlundia hybrida", "Hedlundia hohenesteri", "Hedlundia hornadensis", "Hedlundia lancifolia", "Hedlundia legrei", "Hedlundia lonetalensis", "Hypnogyra laevissima", "Gyrohypnus keijiroi", "Megalinus scutellaris", "Uromys vika", "Hedlundia leyana", "Heterosiphonia gunniana", "Heterosiphonia curdieana", "Heterosiphonia tessellata", "Heterosiphonia wrangelioides", "Heterosiphonia concinna", "Heterosiphonia pellucida", "Heterosiphonia multiceps", "Heterosiphonia gibbesii", "Ceramium dawsonii", "Ceramium derbesii", "Ceramium discorticatum", "Ceramium divergens", "Ceramium dorsiventrale", "Ceramium dozei", "Ceramium dumosertum", "Ceramium echionotum", "Ceramium equisetoides", "Ceramium evermannii", "Ceramium excellens", "Torrenticola solisorta", "Ceramium filicula", "Ceramium floridanum", "Ceramium forcipatum", "Ceramium fosliei", "Ceramium fruticulosum", "Ceramium fujiianum", "Ceramium furcatum", "Ceramium gaditanum", "Ceramium gardneri", "Ceramium giacconei", "Ceramium glanduliferum", "Ceramium gracile", "Ceramium graecum", "Ceramium guttatum", "Ceramium hamatispinum", "Ceramium hellenicum", "Ceramium heterospinum", "Ceramium hoodii", "Ceramium horridulum", "Ceramium hospitans", "Ceramium howellii", "Ceramium inconspicuum", "Ceramium inkyui", "Ceramium interruptum", "Ceramium involutum", "Ceramium irregulare", "Ceramium isogonum", "Ceramium japonicum", "Ceramium johnstonii", "Ceramium jolyi", "Ceramium julaceum", "Ceramium juliae", "Ceramium kondoi", "Ceramium koreanum", "Ceramium koronense", "Ceramium krameri", "Torrenticola tysoni", "Ceramium laingii", "Ceramium lanciferum", "Ceramium ledermannii", "Ceramium lenticulare", "Ceramium lentiforme", "Ceramium leptocladum", "Ceramium leptosiphon", "Ceramium leptozonum", "Ceramium lessonii", "Ceramium loureiri", "Ceramium luetzelburgii", "Ceramium macilentum", "Murina chrysochaetes", "Murina shuipuensis", "Murina lorelieae", "Murina harpioloides", "Murina bicolor", "Murina recondita", "Murina gracilis", "Murina fanjingshanensis", "Potentilla basaltica", "Schoenorchis smeeana", "Hedlundia pulchra", "Hedlundia scannelliana", "Hedlundia scepusiensis", "Hedlundia pauca", "Hedlundia pekarovae", "Hedlundia pseudofennica", "Hedlundia pseudomeinichii", "Dasysiphonia chejuensis", "Hedlundia pseudothuringiaca", "Dasysiphonia concinna", "Dasysiphonia doliiformis", "Hedlundia schwarziana", "Dasysiphonia okiensis", "Hedlundia semipinnata", "Hedlundia sognensis", "Hedlundia subarranensis", "Dasysiphonia japonica", "Hedlundia subpinnata", "Hedlundia subsimilis", "Hedlundia teodori", "Hedlundia \u00d7 thuringiaca", "Hedlundia \u00d7 motleyi", "Bulbophyllum falcibracteum", "Bulbophyllum falciferum", "Bulbophyllum falcifolium", "Bulbophyllum falcipetalum", "Dipterocladia pinnatifolia", "Bulbophyllum falculicorne", "Bulbophyllum fallacinum", "Bulbophyllum fallax", "Murina walstoni", "Murina feae", "Murina jaintiana", "Murina pluvialis", "Murina balaensis", "Murina guilleni", "Ochthephilus andalusiacus", "Pachycorynus ophis", "Pachycorynus selangorensis", "Liotesba rubra", "Leucodermia appalachensis", "Leucodermia leucomelos", "Schoenorchis hangianae", "Normeyera \u00d7 schinzii", "Stenus nocturnus", "Cormus domestica", "Potentilla cristae", "Potentilla delphinensis", "Potentilla deorum", "Potentilla ancistrifolia", "Heterosiphonia crassipes", "Heterosiphonia callithamnium", "Heterosiphonia capensis", "Vaccinium coelorum", "Heterosiphonia crispa", "Heterosiphonia dubia", "Heterosiphonia subsecundata", "Heterosiphonia microcladioides", "Heterosiphonia pulchra", "Heterosiphonia arenaria", "Heterosiphonia densiuscula", "Heterosiphonia punicea", "Heterosiphonia australis", "Heterosiphonia stuposa", "Heterosiphonia squarrosa", "Heterosiphonia muelleri", "Heterosiphonia crispella", "Heterosiphonia erecta", "Heterosiphonia firma", "Heterosiphonia hummii", "Megalinus denticulatus", "Mitomorphus obsoletus", "Tapeinodasya bornetii", "Tapeinodasya etheliae", "Vaccinium yatabei", "Vaccinium gaultheriifolium", "Vaccinium stapfianum", "Potentilla alchimilloides", "Torrenticola danielleae", "Torrenticola dentirostra", "Torrenticola dimorpha", "Torrenticola dolichodactyla", "Torrenticola dunni", "Torrenticola elongata", "Torrenticola elusiva", "Torrenticola erectirostra", "Torrenticola feminellai", "Torrenticola flangipalpa", "Torrenticola folkertsae", "Torrenticola glomerabilis", "Torrenticola gnoma", "Torrenticola gorti", "Torrenticola hoosieri", "Torrenticola interiorensis", "Torrenticola irapalpa", "Torrenticola ivyae", "Torrenticola karambita", "Torrenticola kringi", "Torrenticola leviathan", "Torrenticola longitibia", "Juncus usitatus", "Torrenticola malarkeyorum", "Torrenticola manni", "Torrenticola microbiscutella", "Torrenticola mjolniri", "Torrenticola mohawk", "Torrenticola mulleni", "Isoetes olympica", "Torrenticola nortoni", "Torrenticola oliveri", "Torrenticola olliei", "Torrenticola oregonensis", "Torrenticola pacificensis", "Torrenticola pearsoni", "Torrenticola pendula", "Torrenticola pinocchio", "Isoetes phrygia", "Torrenticola pollani", "Torrenticola priapus", "Torrenticola pulchra", "Juncus macrandrus", "Torrenticola racupalpa", "Torrenticola raptor", "Torrenticola raptoroides", "Isoetes sabatina", "Torrenticola reduncarostra", "Torrenticola regalis", "Torrenticola robisoni", "Hedlundia \u00d7 abscondita", "Torminalis glaberrima", "Dipterocladia pulchella", "Dipterocladia arabiensis", "Amphisbetema indica", "Vaccinium shikokianum", "Endogenia gracilaria", "Vaccinium teysmannii", "Halydictyon mirabile", "Vaccinium triflorum", "Xantholinus fuenteanus", "Halydictyon boryanum", "Halydictyon australe", "Halydictyon arachnoideum", "Sinosiphonia elegans", "Metolinus cameronensis", "Vaccinium varingiifolium", "Faxilla lucidissima", "Faxilla diaphana", "Sympodothamnion leptophyllum", "Symilla indica", "Dasya echinata", "Dasya elongata", "Dasya enomotoi", "Ursus thibetanus ussuricus", "Dasya extensa", "Dasya flagellifera", "Dasya flocculosa", "Dasya frutescens", "Dasya fruticulosa", "Dasya haffiae", "Dasya haitiana", "Dasya hapalathrix", "Dasya harveyi", "Dasya hookeri", "Dasya hussoniana", "Dasya hutchinsiae", "Dasya iridescens", "Dasya iyengarii", "Dasya kamortensis", "Dasya kraftii", "Dasya kristeniae", "Dasya longifila", "Dasya magnei", "Dasya malaccensis", "Dasya minor", "Dasya mollis", "Dasya murrayana", "Dasya naccarioides", "Dasya ocellata", "Dasya pachyclada", "Dasya pacifica", "Dasya palmatifida", "Dasya patentissima", "Dasya penicillata", "Dasya puertoricensis", "Dasya punicea", "Dasya quadrispora", "Dasya ramosissima", "Dasya rigescens", "Dasya rigidula", "Dasya roslyniae", "Dasya schmidtiana", "Dasya scoparia", "Dasya scopulifera", "Dasya sessilis", "Dasya sinicola", "Dasya spinigera", "Dasya spinuligera", "Dasya stanleyi", "Dasya subtilis", "Dasya tenuis", "Dasya trichophora", "Dasya ulhasii", "Dasya villosa", "Dasya wilsonis", "Pleonosporium boergesenii", "Pleonosporium callicladum", "Pleonosporium complanatum", "Pleonosporium constrictum", "Pleonosporium dichotomum", "Pleonosporium filicinum", "Pleonosporium globuliferum", "Pleonosporium harveyanum", "Pleonosporium intricatum", "Pleonosporium japonicum", "Pleonosporium kobayashii", "Pleonosporium mageshimense", "Pleonosporium mazeense", "Pleonosporium mexicanum", "Pleonosporium paternoster", "Pleonosporium pedicellatum", "Pleonosporium polymorphum", "Pleonosporium polystichum", "Pleonosporium pusillum", "Pleonosporium ramulosum", "Pleonosporium rhizoideum", "Pleonosporium segawae", "Pleonosporium squarrosum", "Pleonosporium squarrulosum", "Pleonosporium tohyamanum", "Pleonosporium vancouverianum", "Pleonosporium venustissimum", "Pleonosporium wuellerstorfianum", "Dasya abbottiana", "Dasya adela", "Dasya anastomosans", "Dasya antillarum", "Dasya aperta", "Dasya apiculata", "Dasya atactica", "Dasya atropurpurea", "Dasya baldockii", "Dasya binghamiae", "Dasya boninensis", "Dasya brasiliensis", "Dasya capillaris", "Dasya caraibica", "Dasya ceramioides", "Dasya cernua", "Dasya clavigera", "Dasya cliftonii", "Dasya collabens", "Dasya collinsiana", "Dasya comata", "Dasya corymbifera", "Murina annamitica", "Dasya crescens", "Dasya crinita", "Dasya crouaniana", "Murina fionae", "Dasya cryptica", "Dasya cuspidifera", "Dasya cylindrica", "Dasya divergens", "Dasya eastwoodiae", "Dasya echigoensis", "Potentilla carniolica", "Hypsolebias ghisolfii", "Leucodermia arsenei", "Leucodermia borphyllidiata", "Leucodermia boryi", "Hypsolebias carlettoi", "Leucodermia ciliatomarginata", "Leucodermia circinalis", "Liotesba siamensis", "Paratesba birmana", "Thyreocephalus gestroi", "Metolinus banjaranensis", "Potentilla chamissonis", "Thyreocephalus eppelsheimi", "Xantholinus hypsibathus", "Potentilla cinerea", "Atopolinus subnigroaeneus", "Swertia speciosa", "Atopolinus asymetricus", "Atopolinus jugi", "Swertia pseudochinensis", "Swertia shintenensis", "Potentilla clusiana", "Potentilla collina", "Potentilla concinna", "Normeyera margittaiana", "Normeyera atrimontis", "Peristylus aristatus", "Apoglossocolax pusillus", "Normeyera caeruleomontana", "Normeyera diversicolor", "Normeyera doerriana", "Normeyera montisalpae", "Normeyera salatini", "Normeyera \u00d7 hostii", "Karpatiosorbus devoniensis", "Karpatiosorbus bristoliensis", "Karpatiosorbus \u00d7 houstoniae", "Karpatiosorbus \u00d7 hybrida", "Tylonycteris tonkinensis", "Tylonycteris pygmaea", "Potentilla ovina", "Peristylus densus", "Potentilla ovina var. decurrens", "Potentilla pamirica", "Potentilla ancistrifolia var. dickinsii", "Cinclodes albidiventris", "Cinclodes albiventris", "Leucodermia fertilis", "Leucodermia lutescens", "Pachycorynus fuscoelytratus", "Neoxantholinus gilvus", "Zeteotomus niger", "Paratesba carinata", "Paratesba kinabaluensis", "Metolinus baculus", "Metolinus borneensis", "Metolinus hastatus", "Metolinus amoenus", "Metolinus smetanai", "Andelis rubescens", "Erymus minutus", "Mitomorphus cadens", "Sumatera liwaguensis", "Potentilla drummondii", "Potentilla drummondii subsp. breweri", "Potentilla flabellifolia", "Karpatiosorbus polgariana", "Karpatiosorbus latifolia", "Potentilla fragiformis", "Pachycorynus gracilis", "Andelis fraternus", "Achmonia hromadkai", "Thyreocephalus perakensis", "Pertya glabrescens", "Potentilla grandiflora", "Gauropterus sjostedti", "Potentilla hendersonii", "Paraglossum papenfussii", "Paraglossum hancockii", "Caloglossa leprieurii", "Botryocarpa prolifera", "Karpatiosorbus admonitor", "Hemineura frondosa", "Karpatiosorbus tauricola", "Karpatiosorbus paxiana", "Karpatiosorbus simonkaiana", "Leucodermia vulgaris", "Karpatiosorbus redliana", "Karpatiosorbus vallerubusensis", "Karpatiosorbus vertesensis", "Patulophycus eclipes", "Karpatiosorbus dracofolia", "Karpatiosorbus pseudovertesensis", "Karpatiosorbus semiincisa", "Karpatiosorbus acutiserrata", "Karpatiosorbus pseudosemiincisa", "Karpatiosorbus pseudobakonyensis", "Karpatiosorbus karpatii", "Karpatiosorbus barabitsii", "Karpatiosorbus gerecseensis", "Karpatiosorbus eugenii-kelleri", "Karpatiosorbus barthae", "Karpatiosorbus balatonica", "Karpatiosorbus veszpremensis", "Karpatiosorbus bodajkensis", "Karpatiosorbus schnizleiniana", "Karpatiosorbus cordigastensis", "Karpatiosorbus adeana", "Karpatiosorbus hoppeana", "Karpatiosorbus franconica", "Karpatiosorbus barrandienica", "Karpatiosorbus eximia", "Karpatiosorbus portae-bohemicae", "Karpatiosorbus albensis", "Karpatiosorbus bohemica", "Karpatiosorbus rhodanthera", "Karpatiosorbus milensis", "Karpatiosorbus omissa", "Karpatiosorbus gemella", "Karpatiosorbus alnifrons", "Karpatiosorbus sellii", "Karpatiosorbus croceocarpa", "Karpatiosorbus remensis", "Karpatiosorbus parviloba", "Karpatiosorbus subcuneata", "Karpatiosorbus pelsoensis", "Karpatiosorbus udvardyana", "Karpatiosorbus bakonyensis", "Karpatiosorbus vallusensis", "Karpatiosorbus rhombiformis", "Karpatiosorbus concavifolia", "Karpatiosorbus andreanszkyana", "Karpatiosorbus tobani", "Karpatiosorbus pseudolatifolia", "Karpatiosorbus gayeriana", "Karpatiosorbus degenii", "Karpatiosorbus decipientiformis", "Karpatiosorbus borosiana", "Karpatiosorbus adamii", "Karpatiosorbus magocsyana", "Karpatiosorbus kmetiana", "Karpatiosorbus futakiana", "Karpatiosorbus dominii", "Karpatiosorbus dolomiticola", "Karpatiosorbus zertovae", "Karpatiosorbus klasterskyana", "Karpatiosorbus joannis", "Karpatiosorbus holubyana", "Karpatiosorbus amici-petri", "Karpatiosorbus slovenica", "Karpatiosorbus seyboldiana", "Karpatiosorbus meyeri", "Medhiama sichuanica", "Karpatiosorbus badensis", "Karpatiosorbus fischeri", "Polyblastidium japonicum", "Apoglossum gregarium", "Pachycorynus minutus", "Oculolabrus sabahensis", "Erymus inermis", "Manilla sagamaensis", "Manilla humeralis", "Lathrobium degiovannii", "Apoglossum minimum", "Apoglossum unguiculescens", "Apoglossum spathulatum", "Potentilla montenegrina", "Potentilla morefieldii", "Paraglossum lancifolium", "Paraglossum epiglossum", "Chamaemespilus alpina", "Potentilla nivalis", "Borkhausenia intermedia", "Calotydeus tauricus", "Calotydeus nikitensis", "Calotydeus spineus", "Calotydeus hyacinthi", "Calotydeus subterraneus", "Paratesba karenensis", "Yunnella bhutanica", "Metolinus ipohensis", "Peristylus lawii", "Peristylus stocksii", "Paraglossum amsleri", "Paraglossum crozetii", "Paraglossum maclovianum", "Paraglossum minus", "Paraglossum crassinervium", "Paraglossum fuegiense", "Paraglossum larsenii", "Paraglossum nereifolium", "Paraglossum salicifolium", "Karpatiosorbus meierottii", "Medhiama shanica", "Karpatiosorbus eystettensis", "Karpatiosorbus schuwerkiorum", "Karpatiosorbus ratisbonensis", "Indomorphus schuelkei", "Atopolinus montanellus", "Potentilla hookeriana", "Pseudonitophylla deseadensis", "Rhodokrambe laingioides", "Potentilla hyparctica", "Marionella prolifera", "Marionella schmitziana", "Potentilla incana", "Laingia hookeri", "Laingia aleutica", "Karpatiosorbus puellarum", "Karpatiosorbus perlonga", "Karpatiosorbus mergenthaleriana", "Karpatiosorbus herbipolitana", "Karpatiosorbus cochleariformis", "Karpatiosorbus haesitans", "Pheidologitonetes bursata", "Amaurodera elegans", "Polyblastidium dendriticum", "Gyrohypnus sichuanensis", "Gyrohypnus wutaishanensis", "Hypnogyra hoffmanni", "Nepalinus parcipennis", "Castilleja nana", "Castilleja affinis subsp. neglecta", "Castilleja occidentalis", "Ptilotus parviflorus", "Castilleja elegans", "Atopolinus sichuanicus", "Castilleja elmeri", "Castilleja irasuensis", "Castilleja lemmonii", "Chauviniella coriifolia", "Chauviniella jadinii", "Castilleja lutescens", "Phitymophora amansioides", "Castilleja mendocinensis", "Phitymophora hypoglossum", "Phitymophora linearis", "Majovskya algoviensis", "Majovskya haljamovae", "Majovskya sudetica", "Sumatera sinica", "Erymus paramerum", "Majovskya zuzanae", "Potentilla jaegeri", "Potentilla kingii", "Potentilla montana", "Lathrobium etruscum", "Lathrobium straneoi", "Lathrobium andreinii", "Hypsolebias brunoi", "Pseudophycodrys phyllophora", "Pseudophycodrys pulcherrima", "Apoglossum ruscifolium", "Apoglossum montagneanum", "Majovskya \u00d7 ambigua", "Apoglossum oppositifolium", "Ononis hesperia", "Delesseria sanguinea", "Delesseria caulescens", "Delesseria aemula", "Delesseria appendiculata", "Delesseria opuntioides", "Potentilla uniflora", "Potentilla valderia", "Potentilla wheeleri", "Delesseria pontica", "Potentilla wismariensis", "Delesseria subtilis", "Heteroglossum ochotense", "Heteroglossum carnosum", "Microrhinus carnosus", "Tokidadendron bullatum", "Leptobrachium tengchongense", "Potentilla rivalis", "Caladenia denticulata subsp. albicans", "Congregatocarpus kurilensis", "Caladenia denticulata subsp. rubella", "Potentilla fulgens", "Cumathamnion sympodophyllum", "Cumathamnion decipiens", "Linguamyrmex vladi", "Cumathamnion serrulatum", "Potentilla sundaica", "Abavorana nazgul", "Metolinus maculifer", "Indomorphus orientalis", "Polyblastidium appendiculatum", "Polyblastidium casarettianum", "Polyblastidium chilense", "Potentilla porphyrantha", "Taenioma perpusillum", "Taenioma nanum", "Caloglossa bengalensis", "Pertya robusta", "Caloglossa adhaerens", "Caloglossa continua", "Caloglossa triclada", "Caloglossa postiae", "Caloglossa rotundata", "Caloglossa monosticha", "Caloglossa confusa", "Caloglossa fluviatilis", "Caloglossa ruetzleri", "Caloglossa apicula", "Potentilla reuteri", "Ulisseus dispilus", "Castilleja rupicola", "Castilleja septentrionalis", "Castilleja subinclusa", "Castilleja subinclusa subsp. franciscana", "Castilleja suksdorfii", "Castilleja sulphurea", "Castilleja talamancensis", "Castilleja wightii", "Castilleja lineariloba", "Castilleja peruviana", "Sympodophyllum reinboldii", "Wynneophycus geminatus", "Zinovaea acanthocarpa", "Kurogia pulchra", "Holmesia capensis", "Xantholinus semipallidus", "Loranthophycus californicus", "Megalinus laevissimus", "Caloglossa intermedia", "Caloglossa apomeiotica", "Caloglossa stipitata", "Caloglossa beccarii", "Xanthophius angustus", "Caloglossa ogasawaraensis", "Caloglossa saigonensis", "Caloglossa vieillardii", "Caladenia denticulata subsp. denticulata", "Claudea elegans", "Charadrahyla esperancensis", "Xenophrys insularis", "Claudea batanensis", "Claudea multifida", "Vanvoorstia spectabilis", "Vanvoorstia coccinea", "Ptychozoon bannaense", "Amolops albispinus", "Vanvoorstia bennettiana", "Polyblastidium corallophorum", "Leptolalax tengchongensis", "Vanvoorstia incipiens", "Neohypophyllum middendorffii", "Viola bertolonii subsp. messanensis", "Austrofolium howellii", "Austrofolium equatorianum", "Neoholmesia japonica", "Neoholmesia natalensis", "Neoholmesia trinagulata", "Membranoptera alata", "Membranoptera carpophylla", "Castilleja pallescens", "Castilleja pallescens var. inverta", "Castilleja lapponica", "Castilleja parviflora var. oreopola", "Castilleja pulchella", "Castilleja raupii", "Branchioglossum bipinnatifidum", "Branchioglossum epiphyticum", "Branchioglossum pygmaeum", "Branchioglossum minutum", "Branchioglossum prostratum", "Branchioglossum nanum", "Branchioglossum spiniferum", "Branchioglossum undulatum", "Castilleja rubicundula", "Hypoglossum hypoglossoides", "Coelogyne kinabaluensis", "Indosylvirana flavescens", "Tydeus gloverii", "Indosylvirana doni", "Indosylvirana intermedia", "Indosylvirana urbis", "Indosylvirana caesari", "Indosylvirana indica", "Indosylvirana magna", "Indosylvirana sreeni", "Indosylvirana serendipi", "Indosylvirana montana", "Microhyla mihintalei", "Neohypnus rougemonti", "Medhiama zhengi", "Medhiama puetzi", "Nepalinus densipennis", "Odontolaingia fueguiensis", "Phycodrina elegans", "Pseudogrinnellia barrattiae", "Castilleja applegatei subsp. martini", "Castilleja arachnoidea", "Castilleja scorzonerifolia", "Castilleja brevistyla", "Castilleja caudata", "Grinnellia americana", "Grinnellia lanceolata", "Bartoniella crenata", "Castilleja crista-galli", "Duckerella ferlusii", "Phitycolax inconspicuus", "Pseudobranchioglossum senegalense", "Tsengiella spinulosa", "Yoshidaphycus ciliatus", "Zellera tawallina", "Frikkiella searlesii", "Frikkiella pseudoprostrata", "Castilleja densiflora", "Viola canina subsp. montana", "Viola chaerophylloides var. sieboldiana", "Membranoptera fabriciana", "Amaurodera schuelkei", "Amaurodera bicarinata", "Amaurodera gilvicornis", "Castilleja parvula", "Viola anagae", "Amaurodera latisulcata", "Amaurodera brevipes", "Amaurodera migritheca", "Amaurodera intermedia", "Amaurodera longisetosa", "Amaurodera calicitheca", "Drusilla lativentris", "Rabdotodrusilla vara", "Witteia tensa", "Pantoneura plocamioides", "Lomechusoides throngensis", "Pantoneura juergensii", "Austrofolium hassleri", "Nancythalia humilis", "Viola lutea var. westfalica", "Pleurothallis solium", "Lycium intricatum", "Ceramium macrotrichum", "Ceramium manorense", "Ceramium marshallense", "Ceramium maryae", "Ceramium mauritianum", "Ceramium monacanthum", "Ceramium multijugum", "Ceramium myriophyllum", "Ceramium nakamurae", "Ceramium nanum", "Ceramium nayalii", "Ceramium nitens", "Torrenticola ululata", "Ceramium nudiusculum", "Ceramium obesum", "Ceramium obsoletum", "Ceramium ornatum", "Ceramium orthocladum", "Ceramium pacificum", "Ceramium pallidum", "Ceramium paniculatum", "Ceramium papenfussianum", "Ceramium parvulum", "Ceramium penicillatum", "Ceramium periconicum", "Ceramium personatum", "Torrenticola unimaculata", "Ceramium petitii", "Ceramium planum", "Ceramium pleurosporum", "Ceramium poeppigianum", "Ceramium polyceras", "Ceramium procumbens", "Ceramium prostratum", "Ceramium pseudostrictum", "Ceramium puberulum", "Ceramium punctiforme", "Ceramium purpureum", "Ceramium pusillum", "Ceramium radiculosum", "Luzula acuminata subsp. carolinae", "Ceramium reptans", "Ceramium rescissum", "Ceramium rintelsianum", "Ceramium riosmenae", "Ceramium rosenvingei", "Ceramium saviniae", "Ceramium scandinavicum", "Ceramium septentrionale", "Ceramium serpens", "Torrenticola walteri", "Ceramium setchellii", "Ceramium shepherdii", "Ceramium shuttleworthianum", "Ceramium siliquosum", "Ceramium sinicola", "Ceramium skottsbergii", "Ceramium spinosopilosum", "Ceramium spyridioides", "Ceramium stichidiosum", "Ceramium strobiliforme", "Ceramium subtile", "Ceramium subverticillatum", "Ceramium subvirgatum", "Acanthotydides jarema", "Tydeus bavaricus", "Viola septemloba subsp. egglestonii", "Membranoptera murrayi", "Membranoptera robbeniensis", "Membranoptera setchellii", "Membranoptera weeksiae", "Membranoptera platyphylla", "Membranoptera tenuis", "Membranoptera spinulosa", "Membranoptera serrata", "Buitinga kadogo", "Buitinga mazumbai", "Buitinga lakilingo", "Buitinga amani", "Buitinga nigrescens", "Buitinga safura", "Buitinga griswoldi", "Buitinga buhoma", "Buitinga ruhiza", "Buitinga mbomole", "Buitinga asax", "Buitinga uzungwa", "Buitinga kihanga", "Buitinga ruwenzori", "Buitinga kikura", "Buitinga tingatingai", "Buitinga mulanje", "Buitinga kanzuiri", "Saussurea ugoensis", "Saussurea ussuriensis", "Scinax onca", "Hideophyllum yezoense", "Phycoflabellina avachensis", "Abroteia suborbicularis", "Odontophrynus juquinha", "Triophtydeus pinicolus", "Triophtydeus tiliarum", "Neoapolorryia aegyptica", "Neoapolorryia hellenica", "Oakvillae eglalea", "Neuroglossum binderianum", "Polycoryne radiata", "Polycoryne compacta", "Arachnophyllum confervaceum", "Robea costata", "Viola nephrophylla", "Viola obliqua", "Papenfussia laciniata", "Papenfussia minuta", "Calloseris halliae", "Saussurea riederi", "Halicnide similans", "Saussurea riederi subsp. yezoensis", "Heterodoxia denticulata", "Pholcus papillatus", "Pholcus curvus", "Pholcus auricularis", "Viola papilionacea", "Eugnorisma atrabaelbops atrabaelbops", "Eugnorisma atrabaelbops firyuza", "Eugnorisma atrabaelbops scotophaia", "Zyras baihuamontis", "Zyras nabanensis", "Zyras kraatzi", "Zyras exasperatus", "Hypolimnas bolina jacintha", "Eugnorisma trigonica trigonica", "Hypolimnas bolina bolina", "Eugnorisma trigonica gauracoides", "Pholcus xianrendong", "Cladodonta lyallii", "Crassilingua marginifera", "Pholcus acerosus", "Womersleya monanthos", "Nienburgella angusta", "Pholcus papilionis", "Pholcus suboculosus", "Pholcus oculosus", "Yendonia crassifolia", "Pholcus linzhou", "Pholcus triangulatus", "Thaeides goleta", "Viola calcarata subsp. zoysii", "Thaeides pyrczi", "Thaeides xavieri", "Viola lutea subsp. calaminaria", "Boysidia qingliangfengensis", "Prasophyllum sargentii", "Sorellocolax stellaris", "Viola pedatifida subsp. brittoniana", "Pholcus pennatus", "Sorbus fansipanensis", "Sorbus glomerulata", "Quasitydeus feresi", "Brachytydeus lorenzatus", "Quadrotydeus sleipneri", "Pholcus saidovi", "Pholcus shuguanensis", "Hypogeophis pti", "Iomys horsfieldii davisoni", "Symbiopsis perulera", "Symbiopsis rickmani", "Sorbus kurzii", "Hyperolius ruvuensis", "Viola septentrionalis", "Pristimantis brevicrus", "Eugnorisma deleasma hissarica", "Eugnorisma variago", "Eugnorisma variago variago", "Eugnorisma variago xanthiago", "Nyctibatrachus athirappillyensis", "Nyctibatrachus manalari", "Nyctibatrachus pulivijayani", "Nyctibatrachus radcliffei", "Nyctibatrachus robinmoorei", "Nyctibatrachus sabarimalai", "Nyctibatrachus webilla", "Hypsolebias flagellatus", "Alycaeus alticola", "Symbiopsis strenua", "Eugnorisma chaldaica rubricunda", "Eugnorisma kristenseni", "Brachytydeus aberrans", "Brachytydeus adamantiae", "Eugnorisma spodia psammochrea", "Eugnorisma spodia spodia", "Brachytydeus aegyptiacus", "Viola pubescens var. scabriuscula", "Symbiopsis tanais", "Polyneuropsis stolonifera", "Polyneurella hancockii", "Calonitophyllum medium", "Anisocladella serratodentata", "Anisocladella pacifica", "Dicroglossum crispatulum", "Mikamiella ruprechtiana", "Mikamiella dentata", "Eugnorisma mikkolai", "Parotia berlepschi", "Eugnorisma eminens eminens", "Eugnorisma eminens clarior", "Zyras hastatus", "Cryptopleura ramosa", "Boysidia nanjiangensis", "Terenthina terentia", "Terenthina bradyae", "Boysidia xiuwenensis", "Boysidia tianxingqiaoensis", "Boysidia huangguoshuensis", "Cryptopleura cryptoneuron", "Cryptopleura dichotoma", "Cryptopleura spatulata", "Cryptopleura hayamensis", "Cryptopleura membranacea", "Cryptopleura imbricata", "Cryptopleura rosacea", "Cryptopleura taylorii", "Thereus molena", "Thereus guianivaga", "Acrosorium polyneurum", "Acrosorium procumbens", "Botryoglossum platycarpum", "Botryoglossum cartilagineum", "Notharinia linnei", "Cryptopleura crozieri", "Cryptopleura griffithsiana", "Cryptopleura crispa", "Notharinia attenuata", "Notharinia brevior", "Notharinia crassilabris", "Cryptopleura lobulifera", "Cryptopleura ruprechtiana", "Cryptopleura violacea", "Zyras nigroaeneus", "Zyras truncatus", "Cryptopleura calophylloides", "Zyras longilobatus", "Cryptopleura peltata", "Cryptopleura robusta", "Alycaeus altispirus", "Alycaeus balingensis", "Viola tienschiensis", "Zyras morulus", "Zyras championi", "Acrosorium acrospermum", "Acrosorium decumbens", "Acrosorium ciliolatum", "Viola tricolor subsp. subalpina", "Zyras castaneus", "Acrosorium minus", "Acrosorium amphiroae", "Acrosorium cincinnatum", "Acrosorium deformatum", "Acrosorium maculatum", "Acrosorium flabellatum", "Acrosorium yendoi", "Acrosorium fragile", "Acrosorium papenfussii", "Acrosorium odontophorum", "Acrosorium krishnamurthyi", "Alycaeus carinata", "Acrosorium okamurae", "Ailurops ursinus ursinus", "Metachirus nudicaudatus myosuros", "Polyblastidium fragilissimum", "Gonimophyllum buffhamii", "Gonimophyllum insulare", "Gonimophyllum skottsbergii", "Gonimophyllum africanum", "Hymenena affinis", "Hymenena curdieana", "Hymenena palmata", "Hymenena variolosa", "Hymenena berggreniana", "Hymenena dilabida", "Hymenena flabelligera", "Hymenena harveyana", "Zyras gratellus", "Zyras bettotanus", "Myriogramme livida", "Myriogramme smithii", "Myriogramme gunniana", "Primula amoena", "Myriogramme undulata", "Myriogramme spectabilis", "Primula anisodora", "Myriogramme carnea", "Myriogramme minuta", "Zyras coloratus", "Zyras rufescens", "Thereus ortalus", "Thereus praxis", "Potentilla brauneana", "Thereus pedusa", "Eria scabrilinguis", "Clydacha hockingi", "Primula chasmophila", "Thereus lausus", "Hypsolebias delucai", "Thereus timoclea", "Isoetes biafrana", "Mimaporia hmong", "Stelis trichostoma", "Hymenena multiloba", "Hymenena polyglossa", "Thereus caltha", "Hymenena semicostata", "Hymenena durvillei", "Acinolaemus ptychochilus", "Hymenena falklandica", "Acinolaemus rhamphodon", "Hymenena laciniata", "Acinolaemus stenopus", "Acinolaemus colpodon", "Hymenena multipartita", "Hymenena cuneifolia", "Hymenena decumbens", "Hymenena tenuis", "Acinolaemus sphinctinion", "Hymenena setchellii", "Zyras latilobatus", "Angustopila concava", "Hymenena fryeana", "Hymenena ruthenica", "Zyras gardneri", "Hymenena endiviifolia", "Zyras luteipes", "Zyras nilgiriensis", "Sorbus rehderiana var. cupreonitens", "Sorbus rehderiana var. grosseserrata", "Sorbus rehderiana var. rehderiana", "Primula beesiana", "Krobylos pomjuk", "Krobylos maehongsonensis", "Boysidia tholos", "Boysidia oreia", "Boysidia frequens", "Myriogramme alliacea", "Myriogramme auricularis", "Myriogramme caespitosa", "Myriogramme divaricata", "Myriogramme cartilaginea", "Sorbus helenae", "Sorbus harrowiana", "Fejervarya chiangmaiensis", "Sorbus multijuga", "Thereus gabathana", "Sorbus salwinensis", "Thereus cithonius", "Hymenena venosa", "Angustopila elevata", "Brachytydeus alykaenae", "Brachytydeus paraobliquus", "Martensia elegans", "Martensia albida", "Martensia flammifolia", "Martensia jejuensis", "Angustopila tamlod", "Martensia fragilis", "Martensia australis", "Martensia denticulata", "Martensia flabelliformis", "Martensia pavonia", "Martensia beccariana", "Martensia formosana", "Martensia lewisiae", "Martensia natalensis", "Myriogramme ciliata", "Myriogramme variegata", "Myriogramme costata", "Myriogramme distromatica", "Myriogramme tristromatica", "Myriogramme eckloniae", "Primula blinii", "Microlithosia jagbiri", "Myriogramme goaensis", "Myriogramme heterostroma", "Myriogramme melanesiensis", "Myriogramme kerguelensis", "Myriogramme kjellmanianum", "Thysanoptyx manganensis", "Myriogramme multilobata", "Myriogramme kylinii", "Thysanoptyx brevimacula", "Thysanoptyx fimbriata", "Thysanoptyx signata", "Thysanoptyx tetragona", "Thysanoptyx oblonga", "Myriogramme manginii", "Martensia martensii", "Martensia indica", "Polyblastidium hypocaesium", "Martensia kentingii", "Martensia leei", "Martensia taiwanifretensis", "Gonimocolax australis", "Gonimocolax corymbosus", "Gonimocolax roscoffensis", "Haraldiophyllum bonnemaisonii", "Haraldiophyllum mirabile", "Haraldiophyllum udoense", "Haraldiophyllum infossum", "Haraldiophyllum sinuosum", "Haraldiophyllum erosum", "Haraldiophyllum nottii", "Zyras russiceps", "Haraldiophyllum crispatum", "Zyras proximus", "Zyras novinversus", "Zyras brevilobatus", "Zyras parvicollis", "Zyras ambulans", "Zyras nitens", "Theritas paupera", "Theritas drucei", "Theritas harrietta", "Theritas danaus", "Primula dickieana", "Primula kusnetzovii", "Pristimantis ecuadorensis", "Primula wollastonii", "Sorbus amoena", "Sorbus arachnoidea", "Rhombophryne nilevina", "Potentilla wallichiana", "Micromeles caloneura", "Panolis bachmae", "Torrenticola bittikoferae", "Thereus ismarus", "Thereus genena", "Scaphosepalum martineae", "Scaphosepalum medinae", "Scaphosepalum microdactylum", "Scaphosepalum odontochilum", "Thereus tiasa", "Scaphosepalum ovulare", "Scaphosepalum panduratum", "Sigalegalephrynus mandailinguensis", "Scaphosepalum parviflorum", "Sigalegalephrynus minangkabauensis", "Scaphosepalum pleurothallodes", "Scaphosepalum portillae", "Thereus endera", "Thereus columbicola", "Thereus eryssus", "Dorcus grandis", "Dorcus grandis grandis", "Dorcus grandis moriyai", "Saussurea nikoensis", "Sertania guttata", "Primula conjugens", "Sertania jaibensis", "Sertania lambedor", "Primula cusickiana var. maguirei", "Primula helodoxa", "Alchemilla beyazoglui", "Alchemilla psilomischa", "Primula calderiana", "Thysanoptyx sordida", "Thysanoptyx incurvata", "Thysanoptyx pseudotetragona", "Primula bracteosa", "Myriogramme nightingaliensis", "Myriogramme okha\u00ebnsis", "Myriogramme polyneura", "Myriogramme prostrata", "Myriogramme pulchra", "Myriogramme quilonensis", "Myriogramme repens", "Haemonides candida", "Haemonides cronida", "Haemonides cronis", "Thereus lutzi", "Haemonides emiliae", "Thereus enenia", "Haemonides cronida cronida", "Haemonides cronida pebana", "Haemonides cronis cronis", "Haemonides cronis vinciguerrai", "Zyras matangensis", "Zyras parahirtus", "Zyras densissimus", "Zyras titan", "Zyras densihirtus", "Zyras nigrihirtus", "Zyras distinguendus", "Zyras carinipennis", "Apallaga oreas", "Primula floerkeana", "Sorbus amabilis", "Diochus bicornutus", "Diochus ampullaceus", "Diochus bisegmentatus", "Diochus membranaceus", "Diochus antennatus", "Diochus conicollis", "Diochus japonicus", "Diochus pulchellus", "Theritas mavors", "Theritas triquetra", "Saussurea sendaica", "Sorbus hypoglauca", "Sorbus wallichii", "Micromeles japonica", "Theritas margaritacea", "Hyalinobatrachium muiraquitan", "Theritas adamsi", "Theritas anna", "Eugnorisma conformis", "Sinocatops ruzickai", "Eugnorisma asad asad", "Eugnorisma asad plantei", "Eugnorisma asad eva", "Theritas hemon", "Drachiella liaoi", "Neuroglossum delesseriae", "Neuroglossum multilobum", "Theritas augustinula", "Schizoseris dichotoma", "Eugnorisma pontica pontica", "Eugnorisma pontica anis", "Eugnorisma pontica zaghros", "Theritas augustula", "Eugnorisma deserta", "Schizoseris condensata", "Schizoseris bombayensis", "Theritas crines", "Schizoseris tasmanica", "Ptychotricos zeus", "Ptychotricos elongata", "Heliura fenestrifer", "Lycodon sidiki", "Apallaga opalinus", "Pseudocalotes baliomus", "Apallaga galenus", "Apallaga ghanaensis", "Zyras ferrugineus", "Apallaga belcastroi", "Apallaga galkasa", "Apallaga alluaudi", "Drusilla unicolor", "Apallaga fulgens", "Ansonia teneritas", "Primula edelbergii", "Primula erosa", "Primula eximia", "Sorbus cuspidata", "Prasophyllum anticum", "Aria epidendron", "Deschampsia chapmanii", "Sorbus kongboensis", "Theritas theocritus", "Macroclinium manabinum", "Theritas viresco", "Isthmura corrugata", "Theritas acontius", "Theritas arene", "Eugnorisma depuncta depuncta", "Rybinskiella bodoana", "Platyclinia stipitata", "Platyclinia crenulata", "Platyclinia ramosa", "Platyclinia taylorii", "Eugnorisma depuncta transcaucasica", "Rybinskiella magnifica", "Platyclinia fuscorubra", "Platyclinia fuegiensis", "Berberis dictyoneura", "Drachiella spectabilis", "Eugnorisma jomooseri", "Drachiella heterocarpa", "Bryaxis crepsensis", "Bryaxis scapularis", "Bryaxis stolzi", "Bryaxis erichsonii", "Bryaxis issensis", "Bryaxis bedeki", "Bryaxis biokovensis", "Nitophyllum punctatum", "Nitophyllum adhaerens", "Nitophyllum albidum", "Nitophyllum bartlingianum", "Nitophyllum cincinnatum", "Nitophyllum crispum", "Nitophyllum dentatum", "Nitophyllum divaricatum", "Nitophyllum dotyi", "Nitophyllum fallax", "Nitophyllum flabellatum", "Nitophyllum galapagense", "Nitophyllum hollenbergii", "Schizoseris subdichotoma", "Schizoseris multifoliata", "Schizoseris perriniae", "Schizoseris hymenena", "Schizoseris griffithsia", "Augophyllum wysorii", "Augophyllum delicatum", "Augophyllum kentingii", "Augophyllum marginifructum", "Theritas lisus", "Augophyllum japonicum", "Hylodes caete", "Nitospinosa pristoidea", "Nitospinosa littledipensis", "Nitospinosa tasmanica", "Prasophyllum flavum", "Nitophyllum fimbriatum", "Eugnorisma heuristica", "Eugnorisma hermannhackeri", "Prasophyllum petilum", "Sorbus carmesina", "Prasophyllum montanum", "Theritas monica", "Dendropsophus vraemi", "Dendropsophus arndti", "Pristimantis prometeii", "Tepuihyla shushupe", "Thereus illex", "Lepanthes cincinnata", "Trachycephalus quadrangulum", "Trachycephalus macrotis", "Thereus pseudarcula", "Brachytydeus brachypous", "Brachytydeus brusti", "Trachycephalus cunauaru", "Brachytydeus ancorus", "Brachytydeus ancorarius", "Brachytydeus caudatus", "Brachytydeus ovatus", "Brachytydeus magus", "Brachytydeus balcanicus", "Apallaga fulgens fulgens", "Apallaga fulgens magna", "Apallaga fulgens montanus", "Apallaga minuta", "Phycodrys serratiloba", "Phycodrys radicosa", "Phycodrys riggii", "Phycodrys valentinae", "Phycodrys vinogradovae", "Antennaria carpatica", "Antennaria howelii", "Antennaria howellii subsp. canadensis", "Antennaria howellii subsp. neodioica", "Horkelia parryi", "Erythroglossum undulatissimum", "Erythroglossum intermedium", "Erythroglossum balearicum", "Erythroglossum laingii", "Erythroglossum sandrianum", "Erythroglossum laciniatum", "Erythroglossum latum", "Erythroglossum lusitanicum", "Erythroglossum minimum", "Erythroglossum pinnatum", "Erythroglossum subcostatum", "Haraldia lenormandii", "Haraldia australica", "Haraldia tenuis", "Nienburgia andersoniana", "Nienburgia borealis", "Nienburgia pinnatifida", "Nienburgia serrata", "Nienburgia prolifera", "Pseudopolyneura koreana", "Pseudopolyneura japonica", "Pseudopolyneura hyacinthina", "Haggettia glareosa", "Phycodrys adamsiae", "Saussurea brachycephala", "Phycodrys franiae", "Phycodrys novae-zelandiae", "Phycodrys amchitkensis", "Phycodrys isabellae", "Afrognorisma picata", "Phycodrys ovifolia", "Phycodrys amplissima", "Riolama uzzelli", "Phycodrys lucasana", "Phycodrys profunda", "Phycodrys simplex", "Phycodrys antarctica", "Phycodrys austrogeorgica", "Phycodrys setchellii", "Phycodrys quercifolia", "Phycodrys australasica", "Phycodrys fimbriata", "Phycodrys polycarpa", "Phycodrys pumila", "Phycodrys rossica", "Acalypha filiformis", "Liparis distans", "Halopithys schottii", "Hemidactylus granosus", "Hemidactylus dawudazraqi", "Diochus amazonensis", "Diochus antennalis", "Diochus hanagarthi", "Diochus hermani", "Diochus hibbsi", "Acalypha capitata", "Amansia pumila", "Pleurothallopsis striata", "Polyneura litterata", "Polyneura latissima", "Polyneura venosa", "Polyneura bonnemaisonii", "Polyneura subtropica", "Amolops xinduqiao", "Sorella delicatula", "Sorella pinnata", "Diochus adisi", "Sorella repens", "Sorella pulchra", "Diochus ashei", "Diochus guianensis", "Diochus longicornis", "Diochus tarsalis", "Diochus unicolor", "Arthroleptella kogelbergensis", "Arthroleptella draconella", "Arthroleptella atermina", "Amietia moyerorum", "Tomopterna gallmanni", "Tomopterna wambensis", "Phycodrys rubens", "Pristimantis boucephalus", "Amansia multifida", "Amansia mamillaris", "Amansia glomerata", "Amansia daemelii", "Acalypha aronioides", "Prasophyllum sphacelatum", "Discophora dodong", "Prasophyllum sylvestre", "Acalypha villicaulis", "Prasophyllum fuscum", "Prasophyllum patens", "Prasophyllum truncatum", "Leontopodium coreanum", "Tmolus crolinus", "Eugrumia herse", "Eugrumia discalis", "Eugrumia koenigi", "Radicilingua thysanorhizans", "Radicilingua adriatica", "Radicilingua reptans", "Valeriemaya geminata", "Valeriemaya maculata", "Antennaria linearifolia", "Valeriemaya seagriefii", "Inkyuleea ballioides", "Inkyuleea beckeri", "Inkyuleea mariana", "Alsidium corallinum", "Eugrumia dabrerai", "Alsidium helminthochorton", "Nitophyllum hommersandii", "Nitophyllum lindaueri", "Nitophyllum magontanum", "Nitophyllum marginale", "Nitophyllum marmoratum", "Nitophyllum micropunctatum", "Nitophyllum nitidum", "Nitophyllum northii", "Nitophyllum paessleri", "Nitophyllum peruvianum", "Nitophyllum pulchellum", "Nitophyllum rotundum", "Nitophyllum stellatocorticatum", "Nitophyllum tongatense", "Nitophyllum wilkinsoniae", "Hypoglossum androlamellare", "Hypoglossum annae", "Hypoglossum anomalum", "Hypoglossum armatum", "Hypoglossum attenuatum", "Hypoglossum barbatum", "Hypoglossum caloglossoides", "Hypoglossum dendroides", "Hypoglossum fujianensis", "Hypoglossum guineense", "Hypoglossum harveyanum", "Hypoglossum heterocystideum", "Hypoglossum imperfectum", "Hypoglossum involvens", "Hypoglossum minimum", "Hypoglossum nipponicum", "Hypoglossum parvulum", "Hypoglossum protendens", "Hypoglossum retusum", "Hypoglossum revolutum", "Hypoglossum rhizophorum", "Hypoglossum sagamianum", "Hypoglossum serratifolium", "Hypoglossum simulans", "Hypoglossum subsimplex", "Hypoglossum tenuifolium", "Hypoglossum tortile", "Hypoglossum wynnei", "Asterocolax erythroglossi", "Asterocolax denticulatus", "Asterocolax gardneri", "Asterocolax hypophyllophilus", "Erythroglossum schousboei", "Erythroglossum californicum", "Aemona lena", "Alsidium notarisium", "Alsidium pacificum", "Alsidium pusillum", "Alsidium vagum", "Antennaria porsildii", "Bryothamnion seaforthii", "Bryothamnion pacificum", "Bryothamnion triquetrum", "Chilasa epycides", "Chilasa epycides epycides", "Digenea simplex", "Digenea subarticulata", "Digenea cymatophila", "Adamsiella melchiori", "Adamsiella lorata", "Adamsiella angustifolia", "Adamsiella chauvinii", "Aneurianna nozawae", "Aneurianna dentata", "Aneurianna ogasawaraensis", "Acalypha diversifolia", "Enantiocladia duperreyi", "Enantiocladia prolifera", "Enantiocladia robinsonii", "Enantiocladia okamurae", "Acalypha eremorum", "Epiglossum smithiae", "Epiglossum proliferum", "Halopithys subopaca", "Kentrophora pectinella", "Kentrophora natalensis", "Nanopera merrifieldiae", "Kuetzingia canaliculata", "Kuetzingia angusta", "Pyrus trilocularis", "Amansia rhodantha", "Amansia dietrichiana", "Amansia loriformis", "Amansia fimbrifolia", "Diochus inornatus", "Amansia japonica", "Diochus newtoni", "Diochus novus", "Diochus plaumanni", "Diochus schuelkei", "Pediasia aridella aridella", "Acalypha ciliata", "Amansia linearis", "Diochus tricolor", "Pediasia aridella caradjaella", "Amansia pinnatifida", "Diochus vicinus", "Acalypha comorensis", "Diochus brooksi", "Diochus ecuadoriensis", "Amansia serrata", "Amansia scalpellata", "Acalypha cuneata", "Aneurianna lorentzii", "Beralade sabrina", "Gastroplakaeis forficulatus", "Vulda assingi", "Acalypha langiana", "Pholcus chiakensis", "Pholcus gajiensis", "Pholcus palgongensis", "Pholcus juwangensis", "Pholcus beijingensis", "Acalypha fimbriata", "Morophaga borneensis", "Prasophyllum odoratum", "Vanda garayi", "Scaphosepalum rapax", "Tepuihyla obscura", "Sorbus oligodonta", "Sorbus glabriuscula", "Catalebeda jamesoni", "Diochus maculicollis", "Diochus mexicanus", "Diochus panamaensis", "Diochus peruvianus", "Diochus pumilio", "Diochus angustiformis", "Diochus argentinae", "Diochus brunneus", "Diochus curtipennis", "Diochus schaumii", "Diochus verhaaghi", "Diochus santacatarinae", "Diochus apicipennis", "Diochus nanus", "Diochus parvulus", "Diochus perplexus", "Diochus formicetorum", "Halopithys incurva", "Prasophyllum amoenum", "Prasophyllum ringens", "Aparasphenodon pomba", "Prasophyllum apoxychilum", "Prasophyllum asinantum", "Prasophyllum atratum", "Prasophyllum bagoense", "Prasophyllum barnettii", "Prasophyllum beatrix", "Prasophyllum brevilabre", "Prasophyllum brownii", "Sorbus parvifructa", "Lenormandia latifolia", "Scaphosepalum xystra", "Lenormandia marginata", "Lenormandia pardalis", "Prasophyllum collinum", "Prasophyllum concinnum", "Prasophyllum constrictum", "Prasophyllum correctum", "Prasophyllum crebriflorum", "Scaphosepalum pulvinare", "Osteocephalus cannatellai", "Metopiasoides jefersoni", "Tmolus echion", "Microlia amici", "Microlia machadoi", "Morophaga clonodes", "Saussurea sagitta", "Xenopygus analis", "Xenopygus bicolor", "Xenopygus confusus", "Xenopygus cordovensis", "Morophagoides moriutii", "Xenopygus sancticamillus", "Xenopygus petilicolis", "Morophagoides berkeleyella", "Reichardia famarae", "Reichardia tingitana", "Isoetes eludens", "Sorbus lingshiensis", "Prasophyllum calcicola", "Prasophyllum campestre", "Sorbus khumbuensis", "Prasophyllum canaliculatum", "Prasophyllum candidum", "Prasophyllum caricetum", "Prasophyllum castaneum", "Prasophyllum catenemum", "Sorbus muliensis", "Prasophyllum caudiculum", "Sorbus rhamnoides", "Sorbus ulleungensis", "Tmolus cydrara", "Acalypha pilosa", "Acalypha rhomboidea", "Sunius akdaghensis", "Sunius cagatayi", "Sunius ciceki", "Sunius ozgeni", "Euconnus franzi", "Pholcus bidentatus", "Acalypha multicaulis", "Orthobula spiniformis", "Acalypha paniculata", "Acalypha pendula", "Aria tsinlingensis", "Aria thomsonii", "Xenopygus davidi", "Xenopygus pycnos", "Xenopygus excellens", "Xenopygus punctatus", "Saussurea neichiana", "Aerangis \u00d7 isobyliae", "Prasophyllum diversiflorum", "Prasophyllum dossenum", "Xenopygus peruvianus", "Dendrobium johnsoniae", "Scaphosepalum redderianum", "Scaphosepalum reptans", "Scaphosepalum rinkei", "Scaphosepalum tiaratum", "Scaphosepalum translucens", "Scaphosepalum triceratops", "Scaphosepalum ursinum", "Scaphosepalum viviparum", "Lenormandia spectabilis", "Lenormandia muelleri", "Lenormandia angustifolia", "Scaphosepalum ximenae", "Prasophyllum cucullatum", "Prasophyllum cuneatum", "Prasophyllum cyphochilum", "Morophagoides burkerella", "Aerangis lacroixiae", "Sorbus albopilosa", "Aria yuarguta", "Tmolus venustus", "Aria aronioides", "Aria astateria", "Aria zahlbruckneri", "Aria yuana", "Aria xanthoneura", "Prasophyllum drummondii", "Prasophyllum erythrocommum", "Prasophyllum exile", "Coelogyne assamica", "Colaspis caligula", "Isoetes capensis", "Acanthodactylus margaritae", "Acanthodactylus busacki", "Bledius borzonei", "Bledius depressus", "Isoetes giessii", "Prasophyllum favonium", "Limonium bourgeaui", "Prasophyllum fecundum", "Prasophyllum fimbria", "Lucanus liupengyui", "Prasophyllum fitzgeraldii", "Prasophyllum fosteri", "Prasophyllum frenchii", "Prasophyllum gibbosum", "Prasophyllum giganteum", "Dendropsophus bromeliaceus", "Dendropsophus mapinguari", "Dendropsophus nekronastes", "Isoetes jaegeri", "Betula lenta f. uber", "Bledius externus", "Bledius caribbeanus", "Smilax deneinephyto", "Fountainea glycerium venezuelana", "Fountainea glycerium johnsoni", "Megarthrus narendrani", "Megarthrus lanka", "Megarthrus nilgiriensis", "Megarthrus rufomarginatus", "Megarthrus bimaculatus", "Trichopilia fragrans", "Fountainea glycerium cratais", "Neurymenia fraxinifolia", "Neurymenia nigricans", "Osmundaria prolifera", "Osmundaria fimbriata", "Osmundaria melvillii", "Osmundaria obtusiloba", "Osmundaria oliveae", "Osmundaria papenfussii", "Osmundaria serrata", "Osmundaria volubilis", "Aria ligustrifolia", "Aria ochracea", "Aria megalocarpa", "Aria carpinifolia", "Similodora defreinai", "Bostrychia intricata", "Similodora fia", "Bostrychia vaga", "Sorbus monbeigii", "Sorbus obsoletidentata", "Sorbus pteridophylla", "Sorbus tiantangensis", "Sorbus zayuensis", "Sorbus ursina", "Placobdelloides jaegerskioeldi", "Rougemontius alobatus", "Rougemontius eleanorae", "Aria rhamnoides", "Aria subulata", "Aria subochracea", "Aria paucinerva", "Aria pallescens", "Protokuetzingia australasica", "Rytiphlaea tinctoria", "Aria thibetica", "Aria brevipetiolata", "Aria chengii", "Dendropsophus reticulatus", "Sorbus guanxianensis", "Sorbus kiukiangensis", "Sorbus lanpingensis", "Sorbus macrantha", "Sorbus medogensis", "Gyrophaena caucasica", "Gyrophaena congrua", "Acanthophora spicifera", "Acanthophora ramulosa", "Rytiphlaea australis", "Rytiphlaea belangeri", "Rytiphlaea dumosa", "Rytiphlaea oxyacantha", "Vidalia spiralis", "Bostrychia scorpioides", "Gyrophaena joyioides", "Coeloclonium verticillatum", "Gyrophaena korbi", "Coeloclonium umbellula", "Coeloclonium tasmanicum", "Coeloclonium debile", "Chondria capillaris", "Chondria dasyphylla", "Hypsolebias flammeus", "Gyrophaena lucidula", "Ypthima perfecta", "Gyrophaena manca", "Gyrophaena minima", "Gyrophaena munsteri", "Araeomolis propinqua", "Araeomolis rubens", "Araeomolis insignis", "Betula \u00d7 intermedia", "Amastus cuneolimbatus", "Halysidota thiaucourti", "Masdevallia impostor", "Vachellia kirkii", "Dendrobium chameleon", "Nanorrhinum sagittatum", "Aria coronata", "Aria corymbifera", "Aria dunnii", "Aria ferruginea", "Aria folgneri", "Aria globosa", "Aria griffithii", "Aria hemsleyi", "Aria hunanica", "Acanthophora aokii", "Acanthophora dendroides", "Ypthima sordida", "Acanthophora muscoides", "Acanthophora pacifica", "Acanthophora nayadiformis", "Benzaitenia yenoshimensis", "Gyrophaena fasciata", "Mertensia bella", "Gyrophaena gentilis", "Husseya rubra", "Mertensia alpina", "Gyrophaena hanseni", "Ululania stellata", "Dendrobium archipelagense", "Mertensia viridis", "Phlyctis andensis", "Frankenia capitata", "Gyrophaena poweri", "Gyrophaena pulchella", "Gyrophaena rugipennis", "Gyrophaena strictula", "Dipterosiphonia rigens", "Dipterosiphonia australica", "Dipterosiphonia parva", "Dipterosiphonia prorepens", "Dipterosiphonia reversa", "Palisada tumida", "Chondrophycus undulatus", "Helianthemum canariense", "Chondrophycus anabeliae", "Prasophyllum viretrum", "Trichonis hyacinthus", "Trichonis immaculata", "Gleichenella pectinata", "Herposiphonia ceratoclada", "Herposiphonia versicolor", "Herposiphonia monilifera", "Herposiphonia insidiosa", "Herposiphonia subdisticha", "Herposiphonia sulivaniae", "Aporia crataegi transitoria", "Herposiphonia tenella", "Heterocladia australis", "Sonoma agitator", "Aporia genestieri", "Heterocladia umbellifera", "Sonoma cardiac", "Sonoma carltoni", "Sonoma cataloochee", "Sonoma caterinoi", "Heterocladia caudata", "Isoetes melanotheca", "Aporia genestieri genestieri", "Aporia genestieri genestiroides", "Aporia genestieri pseudopotanini", "Leptosia wigginsi", "Prasophyllum innubum", "Prasophyllum keltonii", "Prasophyllum lanceolatum", "Prasophyllum laxum", "Prasophyllum limnetes", "Prasophyllum lindleyanum", "Prasophyllum litorale", "Prasophyllum maccannii", "Prasophyllum macrotys", "Phyllodytes amadoi", "Chondrophycus cartilagineus", "Prasophyllum ovale", "Chondrophycus kangjaewonii", "Prasophyllum pyriforme", "Herpopteros fallax", "Gredgaria maugeana", "Herposiphoniella plurisegmenta", "Tiparraria aurata", "Hypsolebias guanambi", "Ditria reptans", "Ditria expleta", "Ditria zonaricola", "Stichothamnion cymatophilum", "Stichothamnion antillarum", "Ptilotus benlii", "Cylindropsis cilloi", "Wilsonosiphonia fujiae", "Wilsonosiphonia indica", "Wilsonosiphonia howei", "Cephalotyphlus sarduspatris", "Chondria angustissima", "Chondria capreolis", "Gyrophaena nana", "Laurencia uncinata", "Chondria hieroglyphica", "Chondria incurva", "Chondria subsecunda", "Gyrophaena nitidula", "Chondria subfasciculata", "Gyrophaena orientalis", "Chondria incrassata", "Mertensia franciscana", "Mertensia lanceolata", "Bostrychia anomala", "Bostrychia arbuscula", "Bostrychia bipinnata", "Bostrychia bispora", "Bostrychia bryophila", "Bostrychia calliptera", "Bostrychia cornigera", "Bostrychia disticha", "Mertensia longiflora", "Bostrychia flagellifera", "Bostrychia fulcrata", "Bostrychia glomerata", "Bostrychia gracilis", "Bostrychia harveyi", "Bostrychia hongkongensis", "Bostrychia jelineckii", "Bostrychia kaernbachii", "Bostrychia kelanensis", "Bostrychia lepida", "Bostrychia leptoclada", "Bostrychia mamillosa", "Chondria pellucida", "Chondria platyclada", "Chondria platyramea", "Chondria polyrhiza", "Chondria pumila", "Chondria pygmaea", "Papilio bootes xamnuensis", "Chondria rainfordii", "Chondria repens", "Chondria riparia", "Chondria ryukyuensis", "Chondria scintillans", "Chondria secundata", "Chondria sedifolia", "Chondria seticulosa", "Chondria sibogae", "Chondria simpliciuscula", "Chondria stolonifera", "Prasophyllum gilgai", "Chondria succulenta", "Chondria transversalis", "Chondria viticulosa", "Chondria xishaensis", "Prasophyllum goldsackii", "Papilio bootes bootes", "Prasophyllum gracillimum", "Bostrychia binderi", "Prasophyllum helophilum", "Papilio bootes janaka", "Prasophyllum hians", "Papilio bootes nigricans", "Prasophyllum hygrophilum", "Papilio bootes parcesquamata", "Prasophyllum incompositum", "Papilio bootes dealbatus", "Prasophyllum incorrectum", "Cladurus elatus", "Prasophyllum incurvum", "Prasophyllum viriosum", "Dipterosiphonia dendritica", "Hypsolebias hellneri", "Hypsolebias janaubensis", "Hypsolebias mediopapillatus", "Hypsolebias macaubensis", "Hypsolebias longignatus", "Axia theresiae malatyiensis", "Zygaena purpuralis segontii", "Zygaena purpuralis sabulosa", "Penstemon abietinus", "Penstemon alpinus", "Penstemon attenuatus", "Emesis brimo insulicola", "Ithomeis eulema", "Ithomeis eulema eulema", "Ithomeis eulema caucana", "Pachythone erebia", "Pachythone erebia erebia", "Pachythone erebia thalassina", "Sorbus gonggashanica", "Alethea pedias", "Lecythis zabucajo", "Sorbus frutescens", "Sorbus ellipsoidalis", "Altopedaliodes similis", "Hypsolebias nudiorbitatus", "Zieria aspalathoides", "Prasophyllum wilkinsoniorum", "Prasophyllum murfetii", "Prasophyllum nichollsianum", "Prasophyllum niphopedium", "Prasophyllum nublingii", "Prasophyllum obovatum", "Coronaphycus elatus", "Coronaphycus novus", "Erythrocystis saccata", "Erythrocystis montagnei", "Janczewskia verruciformis", "Janczewskia tasmanica", "Zieria arborescens", "Calospila metaensis", "Janczewskia gardneri", "Janczewskia lappacea", "Janczewskia moriformis", "Janczewskia solmsii", "Janczewskia hawaiiana", "Janczewskia meridionalis", "Janczewskia morimotoi", "Janczewskia ramiformis", "Janczewskia teysmannii", "Sonoma baylessae", "Sonoma brasstownensis", "Chondrophycus articulatus", "Sonoma chandleri", "Chondrophycus brandenii", "Sonoma cobra", "Sonoma colberti", "Sonoma maryae", "Sonoma quellazaire", "Sonoma rossellinae", "Sonoma stewarti", "Chondrophycus carolinensis", "Sonoma twaini", "Chondrophycus dotyi", "Sonoma virgo", "Chondrophycus succisus", "Chondrophycus tronoi", "Chondrophycus verticillatus", "Sonoma cygnus", "Sonoma parkorum", "Chondrophycus ceylanicus", "Chondrophycus columellaris", "Trifolium friscanum", "Chondrophycus glandulifer", "Palisada perforata", "Palisada robusta", "Ohelopapa flexilis", "Prasophyllum milfordense", "Prasophyllum mimulum", "Prasophyllum mollissimum", "Prasophyllum morganii", "Prasophyllum mucronatum", "Caucaea sanguinolenta", "Ototylomys chiapensis", "Melanis pixe pixe", "Melanis pixe pseudoalena", "Emesis brimo", "Emesis brimo brimo", "Dendrolimus benderi", "Cyrtopodium paludicola", "Zootrophion vulturiceps", "Sorex madrensis", "Sorex mccarthyi", "Sorex cristobalensis", "Sorex salvini", "Sorex chiapensis", "Sorex ibarrai", "Bostrychia monosiphonia", "Bostrychia montagnei", "Bostrychia moritziana", "Bostrychia pannosa", "Bostrychia pauperula", "Bostrychia pilulifera", "Bostrychia radicans", "Bostrychia radicosa", "Bostrychia sertularia", "Bostrychia siliquis", "Bostrychia simpliciuscula", "Bostrychia sonderiana", "Bostrychia tangatensis", "Bostrychia tenella", "Chondria acrorhizophora", "Chondria arcuata", "Chondria armata", "Chondria atropurpurea", "Chondria baileyana", "Chondria bernardii", "Chondria boryana", "Chondria bulbosa", "Chondria bullata", "Chondria capensis", "Chondria chejuensis", "Chondria clarionensis", "Chondria cnicophylla", "Chondria coerulescens", "Chondria collinsiana", "Chondria compressa", "Chondria concrescens", "Chondria constricta", "Chondria cornuta", "Chondria crassicaulis", "Mertensia macdougalii", "Chondria curdieana", "Chondria curvilineata", "Chondria dangeardii", "Chondria decidua", "Chondria decipiens", "Chondria decumbens", "Chondria densa", "Chondria econstricta", "Chondria expansa", "Chondria flexicaulis", "Chondria floridana", "Chondria foliifera", "Chondria fusifolia", "Chondria hapteroclada", "Chondria harveyana", "Chondria hypoglossoides", "Chondria infestans", "Chondria intertexta", "Chondria lanceolata", "Chondria lancifolia", "Chondria leptacremon", "Chondria littoralis", "Chondria macrocarpa", "Chondria mageshimensis", "Chondria mairei", "Chondria mediterranea", "Chondria minutula", "Chondria nidifica", "Chondria oppositiclada", "Prasophyllum occidentale", "Prasophyllum occultans", "Prasophyllum odoratissimum", "Prasophyllum olidum", "Carpelimus laticeps", "Carpelimus nepalicus", "Carpelimus angusticollis", "Carpelimus biimpressus", "Carpelimus capillus", "Penstemon caryi", "Penstemon cinereus", "Penstemon clevelandii", "Osmundea osmunda", "Osmundea truncata", "Osmundea blinksii", "Osmundea crispa", "Osmundea splendens", "Osmundea pelagiensis", "Osmundea verlaquei", "Osmundea pinnatifida", "Sorbus sharmae", "Osmundea prudhommevanreinei", "Osmundea silvae", "Osmundea sanctarum", "Osmundea purepecha", "Palisada amabilis", "Prasophyllum pallens", "Palisada capituliformis", "Palisada intermedia", "Palisada concreta", "Palisada cruciata", "Minotauros confusa", "Sonoma nicholsae", "Sonoma gilae", "Sonoma gimmeli", "Sonoma tolulae", "Sonoma chouljenkoi", "Sonoma sokolovi", "Laurencia obtusa", "Sonoma streptophorophallus", "Sonoma nhunguyeni", "Sonoma tridens", "Sonoma holmesi", "Sonoma tishechkini", "Sonoma mayori", "Panaropsis semiota semiota", "Panaropsis semiota remedios", "Melanis pixe", "Sorbus bissetii", "Laurencia brongniartii", "Trifolium longipes subsp. atrorubens", "Trifolium longipes subsp. elmeri", "Laurencia dendroidea", "Trifolium longipes subsp. hansenii", "Laurencia microcladia", "Laurencia pyramidalis", "Laurenciella marilzae", "Penstemon globosus", "Prasophyllum subbisectum", "Isoetes nigritiana", "Penstemon gloxinioides", "Penstemon gracilentus", "Ptychohyla zoque", "Prasophyllum suttonii", "Carpelimus vagus", "Carpelimus rivularis", "Carpelimus atomus", "Carpelimus burckhardti", "Zieria obcordata", "Zieria buxijugum", "Penstemon filiformis", "Carpelimus padangensis", "Carpelimus palitans", "Atheta pasadenae", "Stellaria sessiliflora", "Prasophyllum spicatum", "Prasophyllum stellatum", "Prasophyllum striatum", "Prasophyllum suaveolens", "Osmundea hybrida", "Osmundea multibulba", "Osmundea pelagosae", "Osmundea sinicola", "Osmundea spectabilis", "Osmundea caspica", "Osmundea coelenterata", "Carpelimus indicus", "Osmundea estebaniana", "Carpelimus obesus", "Carpelimus pappi", "Osmundea lata", "Carpelimus praelongus", "Carpelimus siamensis", "Osmundea maggsiana", "Osmundea pedicularioides", "Osmundea oederi", "Prasophyllum taphanyx", "Prasophyllum transversum", "Prasophyllum triangulare", "Prasophyllum trifidum", "Isoetes nigroreticulata", "Prasophyllum tunbridgense", "Prasophyllum unicum", "Penstemon grinnellii", "Prasophyllum uvidulum", "Prasophyllum validum", "Prasophyllum venustum", "Prasophyllum wallum", "Spinomantis beckei", "Limnonectes kong", "Coilia nasus", "Limnonectes conspicillatus", "Epidendrum trifidum", "Epidendrum cylindrostachys", "Calotes versicolor", "Prasophyllum pallidum", "Prasophyllum parviflorum", "Prasophyllum parvifolium", "Prasophyllum paulinae", "Prasophyllum perangustum", "Prasophyllum plumiforme", "Sorbus hedlundii", "Sorbus karchungii", "Sorbus heseltinei", "Prasophyllum praecox", "Prasophyllum pruinosum", "Sorbus guanii", "Sorbus hudsonii", "Sorbus yondeensis", "Sorbus needhamii", "Sorbus spongbergii", "Prasophyllum pulchellum", "Prasophyllum readii", "Prasophyllum reflexum", "Prasophyllum regium", "Prasophyllum retroflexum", "Prasophyllum robustum", "Prasophyllum rogersii", "Prasophyllum rostratum", "Prasophyllum secutum", "Prasophyllum solstitium", "Palisada dinhii", "Palisada flagellifera", "Palisada jejuna", "Palisada longicaulis", "Palisada parvipapillata", "Palisada surculigera", "Palisada yamadana", "Polystachya aconitiflora", "Palisada maris-rubri", "Penstemon personatus", "Penstemon petiolatus", "Penstemon pinifolius", "Penstemon pudicus", "Lophosiphonia obscura", "Lophosiphonia macra", "Lophosiphonia cristata", "Lophosiphonia adhaerens", "Lophosiphonia bermudensis", "Lophosiphonia hayashii", "Lophosiphonia mexicana", "Lophosiphonia capensis", "Lophosiphonia simplicissima", "Lophosiphonia teges", "Mycoblastus oreotropicanus", "Mycoblastus physodalicus", "Atheta singularis", "Zieria compacta", "Penstemon jeffreyanus", "Zieria cytisoides", "Penstemon laetus", "Palisada corallopsis", "Palisada furcata", "Isoetes perrieriana", "Palisada patentiramea", "Isoetes pitotii", "Palisada thuyoides", "Palisada paniculata", "Palisada pedrochei", "Palisada tenerrima", "Palisada crustiformans", "Penstemon montanus", "Rodriguezella bornetii", "Rodriguezella strafforelloi", "Rodriguezella pinnata", "Rodriguezella rhizophylla", "Rodriguezella pennata", "Rodriguezella hongngai", "Yuzurua poiteaui", "Hypsolebias ocellatus", "Yuzurua iridescens", "Laurencia clavata", "Sitana devakai", "Cnemaspis rajabasa", "Rabdion grovesi", "Cylindrophis jodiae", "Cylindrophis ruffus", "Hypsolebias alternatus", "Herposiphonia akidoglossa", "Herposiphonia arcuata", "Herposiphonia basilaris", "Herposiphonia bipinnata", "Herposiphonia brachyclados", "Herposiphonia caespitosa", "Herposiphonia calothrix", "Hypsolebias trifasciatus", "Penstemon rhizomatosus", "Penstemon roseus", "Vertebrata byssoides", "Haplodasya urceolata", "Haplodasya tomentosa", "Lophocladia trichoclados", "Lophocladia lallemandii", "Lophocladia kuetzingii", "Lophocladia minima", "Lophocladia japonica", "Lophocladia kipukaia", "Laurencia chinensis", "Laurencia chondrioides", "Laurencia clarionensis", "Laurencia claviformis", "Laurencia complanata", "Laurencia composita", "Laurencia congesta", "Laurencia coronopus", "Laurencia corymbosa", "Laurencia cryptoclada", "Laurencia cyanosperma", "Laurencia cymosa", "Laurencia decidua", "Laurencia decumbens", "Laurencia densissima", "Laurencia dichotoma", "Laurencia digitatum", "Laurencia distichophylla", "Laurencia elegans", "Laurencia epiphylla", "Laurencia fastigiata", "Laurencia fenicalli", "Laurencia filiformis", "Laurencia flexuosa", "Laurencia foldatsii", "Laurencia forsteri", "Laurencia galtsoffii", "Laurencia gardneri", "Laurencia glandulifera", "Laurencia glomerata", "Laurencia gracilis", "Laurencia griseaviolacea", "Laurencia hamata", "Laurencia hancockii", "Laurencia heteroclada", "Laurencia hongkongensis", "Laurencia humilis", "Laurencia indica", "Laurencia intercalaris", "Laurencia intricata", "Laurencia japonensis", "Laurencia johnstonii", "Laurencia lageniformis", "Laurencia lajolla", "Laurencia laurahuertana", "Laurencia laxa", "Laurencia ligulata", "Laurencia mariannensis", "Laurencia masonii", "Laurencia maxineae", "Laurencia mcdermidiae", "Laurencia mediocris", "Laurencia minuscula", "Laurencia minuta", "Laurencia moretonensis", "Laurencia moriformis", "Laurencia multiclavata", "Laurencia multiflora", "Laurencia nana", "Laurencia nangii", "Laurencia nanhaiensis", "Laurencia natalensis", "Laurencia nidifica", "Laurencia nipponica", "Herposiphonia calva", "Herposiphonia clavata", "Herposiphonia crassa", "Herposiphonia delicatula", "Herposiphonia dendroidea", "Herposiphonia didymosporangia", "Herposiphonia dubia", "Herposiphonia elegans", "Herposiphonia elongata", "Herposiphonia falcata", "Herposiphonia filifera", "Herposiphonia filipendula", "Herposiphonia fissidentoides", "Herposiphonia fujianensis", "Herposiphonia grandis", "Herposiphonia guineensis", "Herposiphonia heringii", "Herposiphonia hollenbergii", "Herposiphonia japonica", "Herposiphonia littoralis", "Herposiphonia nuda", "Herposiphonia obscura", "Herposiphonia pacifica", "Herposiphonia paniculata", "Herposiphonia parca", "Herposiphonia pecten-veneris", "Herposiphonia pectinata", "Herposiphonia pectinella", "Herposiphonia pinnata", "Herposiphonia plumula", "Herposiphonia prorepens", "Herposiphonia pygmaea", "Herposiphonia ramosa", "Herposiphonia rigida", "Herposiphonia rostrata", "Herposiphonia secunda", "Herposiphonia spinosa", "Herposiphonia trichia", "Herposiphonia variabilis", "Herposiphonia verticillata", "Herposiphonia vietnamica", "Herposiphonia xaymaca", "Laurencia aguilar-rosasorum", "Laurencia aldingensis", "Laurencia alfredensis", "Laurencia alsidiiformis", "Laurencia alsidioides", "Laurencia arbuscula", "Laurencia batracopus", "Laurencia botrychioides", "Laurencia botryocarpa", "Laurencia botryocephala", "Laurencia botryoides", "Laurencia brachyclados", "Laurencia brasiliana", "Laurencia caduciramulosa", "Laurencia californica", "Laurencia calliclada", "Laurencia calliptera", "Laurencia canariensis", "Laurencia caraibica", "Laurencia catarinensis", "Laurencia cervicornis", "Laurencia chilensis", "Laurencia nuda", "Laurencia obtusiuscula", "Laurencia okamurae", "Laurencia oliveirana", "Laurencia omaezakiana", "Laurencia oophora", "Laurencia oppositocladia", "Laurencia pacifica", "Laurencia paitensis", "Laurencia pannosa", "Laurencia parvula", "Laurencia peninsularis", "Laurencia pinnata", "Laurencia platyclada", "Laurencia ptychodes", "Laurencia pumila", "Laurencia richardsii", "Laurencia rigida", "Laurencia saitoi", "Laurencia shepherdii", "Laurencia silvae", "Laurencia similis", "Laurencia singaporensis", "Laurencia snackeyi", "Laurencia snyderae", "Laurencia sodwaniensis", "Laurencia spicifera", "Laurencia spinulifera", "Laurencia subcolumnaris", "Laurencia subcorymbosa", "Laurencia subdisticha", "Laurencia subopposita", "Laurencia subsimplex", "Laurencia succulenta", "Laurencia tasmanica", "Laurencia tenera", "Laurencia thyrsifera", "Laurencia thyrsoides", "Laurencia translucida", "Laurencia trifaria", "Laurencia tristicha", "Laurencia tropica", "Laurencia turbinata", "Laurencia usneoides", "Laurencia uvifera", "Laurencia venusta", "Laurencia verruculosa", "Laurencia vieillardii", "Laurencia viridis", "Laurencia voragina", "Penstemon papillatus", "Penstemon parvulus", "Penstemon perpulcher", "Zygaena aurata aurata", "Zygaena aurata iblanensis", "Echinothamnion hystrix", "Zygaena aurata toubkalensis", "Echinothamnion lyallii", "Echinothamnion hookeri", "Echinothamnion mallardiae", "Charissa canariensis", "Charissa canariensis canariensis", "Isoetes schweinfurthii", "Samoana attenuata", "Isoetes spinulospora", "Charissa pfeifferi", "Ophidocladus simpliciusculus", "Penstemon sudans", "Penstemon superbus", "Alleynea bicornis", "Barbarea australis", "Pleurothallis apopsis", "Perrinia ericoides", "Barbarea balcana", "Chiracanthia arborea", "Diplocladia patersonis", "Epizonaria prostrata", "Rebelia plumella bavarica", "Lophurella periclados", "Lophurella caespitosa", "Lophurella comosa", "Lophurella patula", "Lycosa aragogi", "Lophurella gaimardii", "Verbesina angulata", "Barbarea conferta", "Barbarea bosniaca", "Zygaena minos viridescens", "Pityophykos tasmanica", "Symphyocolax koreanus", "Boergeseniella deludens", "Boergeseniella martensiana", "Bryocladia cervicornis", "Bryocladia thyrsigera", "Bryocladia cuspidata", "Bryocladia thwaitesii", "Bryocladia densa", "Zygaena aurata", "Tillandsia variabilis", "Lophocladia kuesteri", "Liolaemus atacamensis", "Lophothalia verticillata", "Lophothalia hormoclados", "Spirophycus acicularis", "Veleroa subulata", "Veleroa setteana", "Veleroa magneana", "Veleroa elongata", "Veleroa complanata", "Veleroa karuvalensis", "Neotenophycus ichthyosteus", "Maxillaria ringens", "Lophurella hookeriana", "Lophurella christosphersenii", "Alonsoa caulialata", "Petrosedum forsterianum", "Petrosedum rupestre", "Arctous alpina", "Alkekengi officinarum", "Clarkia sect.", "Barbarea rupicola", "Barbarea taiwaniana", "Barbarea hongii", "Atheta siculorum", "Penstemon teucrioides", "Penstemon thompsoniae", "Penstemon tubaeflorus", "Penstemon uintahensis", "Penstemon unilateralis", "Penstemon versicolor", "Megalachne robinsoniana", "Zizia trifoliata", "Billbergia iridifolia", "Opigena polygona polygona", "Opigena polygona chersotimorpha", "Hypsolebias virgulatus", "Barbarea grandiflora", "Barbarea grayi", "Opigena polygona turcomana", "Opigena polygona obscurata", "Barbarea longirostris", "Opigena narana", "Barbarea ketzkhovelii", "Acmaeodera gaditana", "Dudusa minor", "Dudusa minor minor", "Dudusa minor rufa", "Dudusa minor expectata", "Dudusa vethi", "Dudusa vethi vethi", "Dudusa vethi borneensis", "Afrognorisma maroccana", "Sinognorisma gothica", "Prognorisma albifurca", "Opigena huberi", "Stellaria monosperma", "Stellaria monosperma var. japonica", "Barbarea macrocarpa", "Opigena khorassana", "Opigena polygona", "Chromolaena borinquensis", "Brachypeza cladostachya", "Erigeron bonariensis", "Coenophila subrosea", "Dasyclonium incisum", "Erigeron canaani", "Dasyclonium flaccidum", "Eugraphe sigma", "Erigeron corymbosus", "Erigeron coulteri", "Coelogyne nitida", "Coelogyne punctulata", "Platyptilia romanorum", "Aspergillus nidulans", "Caradrina terrea altera", "Caradrina terrea froitzheimi", "Caradrina terrea matrona", "Caradrina terrea subplumbea", "Elytraria bromoides", "Pseudohermonassa melancholica", "Pseudohermonassa ononensis", "Atheta strigosula", "Paramathes perigrapha", "Atheta cinctula", "Atheta akiensis", "Penstemon cobaea subsp. purpureus", "Paramathes tibetica", "Paramathes perigrapha perigrapha", "Paramathes perigrapha simonyisandori", "Isoetes stellenbossiensis", "Isoetes stephanseniae", "Eugenia wynadensis", "Clarkia subsect.", "Clarkia subsect.", "Clarkia subsect.", "Clarkia subsect.", "Clarkia subsect.", "Caleana parvula", "Caleana terminalis", "Tradescantia roseolens", "Prinobius myardi", "Dendropemon caribaeus", "Barbarea brachycarpa subsp. robusta", "Barbarea brachycarpa subsp. minor", "Barbarea brachycarpa subsp. brachycarpa", "Pongo tapanuliensis", "Dasypolia templi", "Dasypolia templi alpina", "Dasypolia templi anatolica", "Dasypolia templi armeniaca", "Dasypolia templi templi", "Dasypolia templi vecchimontium", "Dasypolia transcaucasica", "Caradrina terrea albersi", "Atheta burwelli", "Graphiphora augur", "Cerodirphia pruvoti", "Dictyomenia tridens", "Dictyomenia angusta", "Dictyomenia ecostata", "Dictyomenia harveyana", "Dictyomenia sonderi", "Dictyomenia stephensonii", "Pollexfenia pedicellata", "Stelis phil-jesupii", "Pollexfenia lobata", "Dirphia durangensis", "Dirphia diana", "Polysiphonia stricta", "Polysiphonia pulvinata", "Polysiphonia parvula", "Dirphia simbanai", "Dirphia santboyacensis", "Dirphia crassgachala", "Dirphia yarumala", "Dirphia ludyarumala", "Dirphia sachai", "Dirphia riekerti", "Dirphia rougeriei", "Polyzonia elegans", "Cliftonaea pectinata", "Echinosporangium semipennatum", "Aphanocladia skottsbergii", "Aphanocladia stichidiosa", "Hypsolebias lopesi", "Hypsolebias rufus", "Womersleyella pacifica", "Womersleyella setacea", "Womersleyella kwazuluensis", "Heterostroma nereidiis", "Pterosiphoniella williamsii", "Erigeron elegantulus", "Dasyclonium harveyanum", "Erigeron elmeri", "Dasyclonium bipartitum", "Dasyclonium ovalifolium", "Dasyclonium palmatifidum", "Zootrophion lappaceum", "Dasyclonium adiantiforme", "Dasyclonium cuneifolium", "Dasyclonium flabelliferum", "Dasyclonium bifurcatum", "Erigeron epiroticus", "Erigeron eriocephalus", "Erigeron eximius", "Erigeron fasciculatus", "Paradirphia pueblonuevensis", "Paradirphia elongata", "Euselasia gyda", "Paradirphia mirador", "Euselasia gyda gyda", "Paradirphia sangabrielensis", "Paradirphia sanpedrensis", "Euselasia hygenius occulta", "Erigeron neglectus", "Erigeron pallens", "Erigeron petrophilus", "Erigeron petrophilus var. viscidulus", "Erigeron acris subsp. podolicus", "Pterosiphonia cloiophylla", "Pterosiphonia stangeri", "Savoiea bipinnata", "Xiphosiphonia ardreana", "Xiphosiphonia pinnulata", "Mesalina bernoullii", "Mesalina microlepis", "Euselasia melaphaea melaphaea", "Euselasia melaphaea condensa", "Euselasia hygenius", "Erigeron maniopotamicus", "Erigeron miser", "Euselasia hygenius hygenius", "Symphyocladia pumila", "Erigeron reductus", "Erigeron salsuginosus", "Erigeron schleicheri", "Anguis veronensis", "Anguis cephallonica", "Spathoglottis vanoverberghii", "Spathoglottis albida", "Erigeron inornatus", "Euselasia melaphaea", "Acanthodactylus beershebensis", "Eremias lalezharica", "Phrynopus inti", "Pollexfenia crispata", "Pollexfenia anacapensis", "Mesalina saudiarabica", "Pollexfenia tenella", "Mesalina brevirostris", "Xiphosiphonia pennata", "Saponaria mesogitana", "Anguis graeca", "Salvia sect.", "Euselasia mys", "Euselasia mys mys", "Cerodirphia paraspeciosa", "Cerodirphia altoparanensis", "Euselasia mys cytis", "Cerodirphia panguana", "Euselasia mys lara", "Paradirphia parapeggyae", "Euselasia gyda gydina", "Paradirphia alajuelensis", "Euselasia opalescens", "Erysiphe penicillata", "Euselasia opalescens opalescens", "Paradirphia vanschaycki", "Paradirphia yagulana", "Paradirphia angelensis", "Paradirphia cholulensis", "Euselasia opalescens interrupta", "Paradirphia tatama", "Euselasia opalescens joiceyi", "Paradirphia potosiana", "Paradirphia cabrera", "Paradirphia caldas", "Paradirphia tolima", "Paradirphia cavichensis", "Euselasia opalescens opigena", "Paradirphia santander", "Macropsis anufrievi", "Macropsis milkoi", "Macropsis latilorata", "Pterostichus bidoupensis", "Pterostichus abramovi", "Pterostichus semiopacus", "Gamelioides antkozlovi", "Pterosiphonia complanata", "Pterosiphonia concinna", "Pterosiphonia disticha", "Pterosiphonia pusilla", "Pterosiphonia farlowii", "Pterosiphonia paucicorticata", "Pterosiphonia stegengae", "Pterosiphonia javanica", "Symphyocladia marchantioides", "Pseudopterogramma insularis", "Symphyocladia linearis", "Minilimosina endrodyi", "Symphyocladiella baileyi", "Symphyocladiella brevicaulis", "Minilimosina siamensis", "Symphyocladiella gracilis", "Symphyocladiella rosea", "Phthitia ornata", "Symphyocladiella dendroidea", "Symphyocladiella parasitica", "Symphyocladiella spinifera", "Erigeron quercifolius", "Dactylorhiza foliosa", "Euselasia fervida", "Euselasia fervida fervida", "Elachista sasae", "Neobrownliella brownlieae", "Diaphania nitidalis", "Neobrownliella montisfracti", "Euselasia fervida fervidina", "Cerodirphia amamartinensis", "Cerodirphia gachala", "Actias peggyae", "Salassa antkozlovi", "Rhodinia myhanhae", "Automeris maximae", "Bifronsina bifrons", "Symphyocladia latiuscula", "Symphyocladia boaoensis", "Symphyocladia glabra", "Symphyocladia jejuinsula", "Symphyocladia lithophila", "Erigeron tweedyi", "Erigeron uintahensis", "Erigeron ursinus", "Bifronsina latitarsis", "Bifronsina elegantula", "Bifronsina nepalensis", "Arenaria merckioides", "Brassia chlorops", "Euselasia pusilla", "Euselasia pusilla pusilla", "Psammophis condanarus", "Euselasia pusilla mazai", "Epidendrum denticulatum", "Corytophanes cristatus", "Hypnale hypnale", "Euselasia labdacus", "Euselasia labdacus labdacus", "Euselasia labdacus reducta", "Euselasia archelaus", "Hypnale zara", "Pleurothallis aggeris", "Pleurothallis crescentilabia", "Euselasia eubule", "Euselasia eubule eubule", "Euselasia eubule mexicana", "Euselasia archelaus ecuadorensis", "Euselasia archelaus archelaus", "Bifronsina nigroscutellata", "Lonomia laalbania", "Lonomia minca", "Lonomia rengifoi", "Lonomia panguana", "Eulimosina oroszi", "Lonomia pastazana", "Lonomia casanarensis", "Eulimosina ochripes", "Eulimosina dudai", "Lophura tenuis", "Australimosina flaviterga", "Biconnecta mirabilis", "Cephalimosina simplicipes", "Acuminiseta ceropteroides", "Acuminiseta pallidicornis", "Isoetes attenuata", "Anguis colchica", "Euselasia authe", "Euselasia authe authe", "Euselasia authe copiosa", "Euselasia authe ocalea", "Brownliella aequata", "Brownliella cinnabarina", "Sarata incanella", "Erigeron aliceae", "Copaxa pinasi", "Erigeron allocotus", "Paramathes amphigrapha", "Paramathes pulchrsigna", "Phanoxyla kitchingi", "Paramathes xestioides", "Oligarcha coryphaea", "Actias sinensis siriae", "Isoetes tenuifolia", "Ammogrotis suavis", "Erigeron barbellulatus", "Erigeron bellidiastrum", "Isoetes transvaalensis", "Miniphila miniago", "Erigeron biolettii", "Dirphia aviconcepciona", "Dirphia avirosensis", "Miniphila persago", "Isoetes welwitschii", "Dirphia rubriconcepciona", "Erigeron blochmaniae", "Dirphia radandensis", "Dirphia radiatoides", "Miniphila persago persago", "Dirphia panguana", "Isoetes wormaldii", "Miniphila persago peterseni", "Dirphia chanchamayensis", "Sarata atrella", "Sarata caudellella", "Sarata dophnerella", "Sarata nigrifasciella", "Sarata tephrella", "Sarata rubrithoracella", "Sarata pullatella", "Sarata cinereella", "Sarata edwardsialis", "Micrurus ibiboboca", "Micrurus corallinus", "Argyrotaenia loxonephes", "Argyrotaenia sphaleropa", "Arenaria deflexa", "Arenaria globiflora", "Termioptycha albifurcalis", "Molippa vladislavi", "Molippa placcearaiana", "Molippa placnapoana", "Molippa ninfoaxacana", "Molippa ninfhondurana", "Charaxes cynthia", "Charaxes cynthia mukuyu", "Termioptycha bilineata", "Molippa placmaranhensis", "Termioptycha conjuncta", "Termioptycha margarita", "Termioptycha eucarta", "Termioptycha inimica", "Therinia peggyae", "Therinia trimacula", "Therinia camacana", "Eremogone bryophylla", "Therinia diffguyana", "Sarata alpha", "Sarata beta", "Sarata gamma", "Sarata iota", "Sarata epsilon", "Sarata phi", "Sarata punctella", "Euselasia eucrates", "Euselasia eucrates eucrates", "Euselasia eucrates eriphyla", "Brownliella kobeana", "Euselasia eucrates leucorrhoa", "Hypnale nepa", "Automeris handschugi", "Automeris lapaza", "Automeris despicatoides", "Hypsolebias notatus", "Automeris andensis", "Pterostichus sulcicollis", "Pterostichus anichkini", "Pterostichus ngokboci", "Automeris comayaguana", "Pterostichus konchurang", "Pterostichus dalatensis", "Pterostichus honbaensis", "Erigeron formosissimus", "Pterostichus ngoclinhensis", "Automeris fieldi fieldseptendrides", "Pterostichus konplongensis", "Pterostichus chupanphan", "Pterostichus kontumensis", "Automeris galecio", "Erigeron garrettii", "Pterostichus gialaiensis", "Pterostichus cavicollis", "Automeris juliae", "Pterostichus annamita", "Pterostichus annamita annamita", "Pterostichus annamita chuyangsin", "Automeris vincentensis", "Automeris sarapiqui", "Automeris tuxlana", "Erigeron glacialis", "Automeris chanchamayensis", "Zieria formosa", "Automeris dunschei", "Automeris isabellae", "Zieria parrisiae", "Automeris arminandensis", "Zieria southwellii", "Automeris luciorum", "Erigeron grandiflorus", "Aphanocladia delicatula", "Aphanocladia ecorticata", "Aphanocladia pacifica", "Aphanocladia robusta", "Eilifdahlia dahlii", "Eilifdahlia wirthii", "Anthemis rigida", "Anthemis tricolor", "Anthemis tomentosa subsp. tomentosa", "Trapelus mutabilis poppeki", "Trapelus boehmei", "Trapelus mutabilis mutabilis", "Mcneillia graminifolia", "Arenaria erinacea", "Therinia amphira", "Therinia amphira amphstralica", "Therinia lactucina", "Therinia lactucina lactandensis", "Euryobeidia languidata", "Marthasterias africana", "Homoeopteryx pinchcarchensis", "Homoeopteryx moronensis", "Homoeopteryx napoensis", "Homoeopteryx sumacensis", "Homoeopteryx mandoriana", "Homoeopteryx bahiana", "Coloradia tapalpa", "Arenaria hispanica", "Euryobeidia ellipsoidea", "Euryobeidia incrassata", "Euryobeidia quadrata", "Euryobeidia largeteaui", "Blastenia scabrosa", "Homoeopteryx ecrufescens", "Homoeopteryx ecflavescens", "Homoeopteryx eccanescens", "Homoeopteryx milagrensis", "Oxytenis paraguayensis", "Anommonia appendicigera", "Anommonia schwabi", "Anommonia alopecialis", "Anommonia flavicaput", "Anommonia spinipleura", "Isoetes australis", "Anommonia nudipes", "Anommonia patrizii", "Paracuminiseta tetraspinosa", "Gonitella flavipes", "Mixolimosina orientalis", "Monorbiseta monorbiseta", "Pseudacuminiseta formosana", "Rohacekia baechlii", "Setositibiella terrestris", "Trilobitella taiwanica", "Arenaria aggregata", "Arenaria alfacariensis", "Arenaria balearica", "Termioptycha nigrimacularis", "Termioptycha longiclavata", "Termioptycha cornutitrifurca", "Termioptycha longispina", "Arenaria conimbricensis", "Trachelophorus giraffa", "Pleurothallis discoidea", "Corylopsis coreana", "Sibthorpia peregrina", "Uroplatus fiera", "Chalarodon steinkampi", "Gonospermum canariense", "Gastrodia abscondita", "Gastrodia africana", "Gastrodia albida", "Gonospermum canariense subsp. elegans", "Gastrodia albidoides", "Gastrodia angusta", "Gonospermum ferulaceum", "Gastrodia appendiculata", "Stumpffia kibomena", "Gastrodia arunachalensis", "Gonospermum ptarmiciflorum", "Odonthalia annae", "Odonthalia setacea", "Odonthalia kamtschatica", "Automeris fieldi cinctinicaraguana", "Odonthalia ochotensis", "Odonthalia corymbifera", "Odonthalia floccosa", "Catocala bastroli", "Odonthalia kawabatae", "Odonthalia yamadae", "Odonthalia macrocarpa", "Odonthalia uniseriata", "Odonthalia washingtoniensis", "Odonthalia lyallii", "Catocala becheri", "Catocala slotteni", "Euselasia rhodogyne", "Euselasia rhodogyne rhodogyne", "Euselasia rhodogyne patella", "Euselasia aurantiaca marginata", "Paradirphia parapeggyae lempirensis", "Oxyporus yamasakoi", "Elenkiniana gloriae", "Neorhodomela munita", "Neorhodomela aculeata", "Neorhodomela larix", "Neorhodomela oregona", "Neorhodomela enomotoi", "Neorhodomela irtugoi", "Odonthalia dentata", "Dorcadion talyschense sabalanum", "Tanacetum corymbosum subsp. corymbosum", "Tanacetum corymbosum subsp. subcorymbosum", "Catocala ventura", "Catocala myristica", "Rhodomela confervoides", "Gastrodia ballii", "Gastrodia boninensis", "Gastrodia cajanoae", "Gagea goekyigitii", "Tanacetum densum subsp. amani", "Gastrodia callosa", "Tanacetum densum subsp. sivasicum", "Gastrodia celebica", "Gastrodia clausa", "Catocala aestivalia", "Gonospermum ferulaceum var. latipinnum", "Gastrodia confusa", "Gastrodia confusoides", "Neuraphes anophthalmus", "Neuraphes mephistopheles", "Neuraphes qinghaiensis", "Tanacetum vulgare subsp. vulgare", "Tanacetum microphyllum", "Catocala brandti brandti", "Catocala brandti schaideri", "Rhodomela lycopodioides", "Rhodomela tenuissima", "Rhodomela virgata", "Rhodomela muelleri", "Rhodomela preissii", "Rhodomela patagoniensis", "Rhodomela pinnata", "Rhodomela sachalinensis", "Rhodomela teres", "Rhodomela sibirica", "Pericallis aurita", "Rhipidoglossum arbonnieri", "Rhipidoglossum delepierreanum", "Rhipidoglossum montealenense", "Methone cecilia chrysomela", "Methone cecilia columbana", "Methone cecilia eurotias", "Oxytenis eppinchcarchensis", "Methone cecilia magnarea", "Savoiea robusta", "Savoiea hamata", "Hades hecamede avicula", "Isoetes caroli", "Hades hecamede haematites", "Hades hecamede hecate", "Artemisia afra", "Artemisia alba", "Artemisia alba subsp. alba", "Methone cecilia", "Methone cecilia cecilia", "Stelis mystax", "Artemisia albicans", "Methone cecilia caduca", "Polystachya microbambusa", "Artemisia anethifolia", "Catocala nivea", "Lembergia allanii", "Catocala nivea nivea", "Catocala nivea asahinaorum", "Hades noctula", "Catocala nivea krosawai", "Catocala oshimai", "Hades hecamede", "Sonderella linearis", "Isoetes brevicula", "Hades hecamede hecamede", "Pterochondria woodii", "Aiolocolax pulchellus", "Leptosiphonia schousboei", "Lampisiphonia iberica", "Savoiea arctica", "Chrysozephyrus rarasanus watarui", "Chrysozephyrus zoa ogotai", "Vertebrata urbana", "Cordelia comes kachinensis", "Vertebrata australis", "Euaspa milionia miyagawai", "Kawazoeozephyrus mushaellus yoshiko", "Leucantigius atayalicus nangsarae", "Wagimo insularis insularis", "Wagimo insularis cheni", "Thamnosophis mavotenda", "Vertebrata furcellata", "Zophoessa akibai", "Euglandina rosea", "Catocala kishidai", "Vertebrata subulifera", "Vertebrata hypnoides", "Vertebrata fruticulosa", "Euaspa uedai", "Hoplitoxenus joannae", "Wagimo koizumii", "Monodiger sulcatus", "Vertebrata aterrima", "Vertebrata simulans", "Liopholidophis dimorphus", "Vertebrata stimpsonii", "Vertebrata thuyoides", "Vertebrata tripinnata", "Polysiphonia opaca", "Araragi enthea akizawai", "Artopoetes pryeri choui", "Tanaecia stellata", "Artemisia campestris subsp. campestris", "Ambohitantella banari", "Artemisia campestris subsp. pacifica", "Artemisia campestris subsp. borealis", "Artemisia campestris subsp. caudata", "Artemisia campestris subsp. glutinosa", "Artemisia campestris subsp. maritima", "Eunogyra satyrus", "Eunogyra curupira", "Artemisia cana subsp. cana", "Vertebrata fucoides", "Teratophthalma maenades", "Teratophthalma maenades maenades", "Vertebrata constricta", "Vertebrata reptabunda", "Vertebrata nigra", "Artemisia carruthii", "Vertebrata isogona", "Artemisia carvifolia", "Vertebrata foetidissima", "Vertebrata lobophoralis", "Artemisia constricta", "Pterodroma caribbaea", "Melanothamnus somalensis", "Oxytenis albilunulata", "Melanothamnus afaqhusainii", "Oxytenis epsumacensis", "Cophyla maharipeo", "Cophyla noromalalae", "Cophyla puellarum", "Oxytenis epnapoensis", "Heteroliodon fohy", "Thamnosophis martae", "Hadrophorus martinkae", "Dimerometopus bicephalus", "Burgeonilla polygona", "Oxytenis epamazonensis", "Oxytenis epjunensis", "Oxytenis peregrina", "Oxytenis peregrina perandensis", "Artemisia arbuscula subsp. arbuscula", "Artemisia tridentata subsp. tridentata", "Artemisia tridentata subsp. wyomingensis", "Artemisia tridentata subsp. vaseyana", "Artemisia tripartita subsp. tripartita", "Chamaethamnion schizandra", "Chamaethamnion pocockiae", "Tolypiocladia glomerulata", "Tolypiocladia calodictyon", "Tolypiocladia condensata", "Tolypiocladia penningtonensis", "Artemisia argentea", "Streblocladia glomerulata", "Streblocladia camptoclada", "Streblocladia atrata", "Streblocladia spicata", "Streblocladia tenuissima", "Streblocladia corymbifera", "Streblocladia muelleriana", "Antigius attilia hishikawai", "Oxytenis panguana", "Hadrophorus humerosus", "Oxytenis siriae", "Araragi panda panda", "Oxytenis zerbbahiana", "Hadrophorus spinipennis", "Araragi panda yunnanensis", "Oxytenis espichinchensis", "Artopoetes pryeri cheni", "Vertebrata lanosa", "Trichosalpinx memor", "Amphironchus alfierii", "Melanothamnus balianus", "Melanothamnus peruviensis", "Squamiger elegans", "Artemisia furcata subsp. furcata", "Artemisia genipi", "Artemisia genipi subsp. genipi", "Melanothamnus ramireziae", "Melanothamnus silvae", "Artemisia glacialis", "Melanothamnus blandii", "Melanothamnus forfex", "Artemisia gorgonum", "Melanothamnus gorgoniae", "Melanothamnus harlandii", "Melanothamnus incomptus", "Melanothamnus japonicus", "Artemisia granatensis", "Melanothamnus tongatensis", "Oxytenis albilunulata albecuatoriana", "Luehdorfia puziloi machimuraorum", "Melanothamnus apiculatus", "Oxytenis albnapoensis", "Oxytenis modoccidentalis", "Oxytenis modoccidentalis modhondurana", "Melanothamnus harveyi", "Catocala hariti", "Melanothamnus yendoi", "Melanothamnus bajacali", "Melanothamnus concinnus", "Melanothamnus hawaiiensis", "Melanothamnus minutissimus", "Melanothamnus pseudovillum", "Melanothamnus simplex", "Melanothamnus cheloniae", "Melanothamnus ecorticatus", "Oxytenis modaustralis", "Oxytenis modbahiana", "Nearticerodes laevis", "Triceratomerus sparsepunctatus", "Melanothamnus collabens", "Liophidium maintikibo", "Sobralia elisabethae", "Hemileuca juarezia", "Hemileuca siriae", "Hemileuca vanschaycki", "Samia vanschaycki", "Hypolepis poeppigii", "Rumohra berteroana", "Mataranka bilyi", "Seriphidium herba-alba", "Artemisia hololeuca", "Artemisia japonica", "Artemisia lactiflora", "Artemisia ludoviciana subsp. ludoviciana", "Tassiloa digitaurea", "Artemisia ludoviciana subsp. candicans", "Tassiloa wetmorei", "Teratophthalma maenades coronata", "Teratophthalma maenades marsena", "Teratophthalma maenades marsidia", "Teratophthalma maenades polyplusia", "Teratophthalma monochroma", "Quadrus jacobus", "Teratophthalma axilla", "Teratophthalma axilla axilla", "Oxytenis maranhensis", "Oxytenis nubnapoensis", "Oxytenis nubila", "Teratophthalma axilla lactifusa", "Teratophthalma axilla vegeta", "Oxytenis nubila nuboroiana", "Oxytenis marquezae", "Oxytenis vanschaycki", "Oxytenis vanjunensis", "Oxytenis vanyungana", "Oxytenis vanricana", "Teratophthalma bacche", "Teratophthalma bacche bacche", "Teratophthalma bacche adulter", "Teratophthalma phelina", "Artemisia ludoviciana subsp. incompta", "Teratophthalma phelina phelina", "Artemisia ludoviciana subsp. albula", "Teratophthalma phelina analoga", "Teratophthalma phelina vicina", "Artemisia macarthurii", "Pleurothallis epiglottis", "Artemisia ludoviciana subsp. mexicana", "Pleurothallis imperialis", "Aelia rostrata", "Tuberolabium kotoense", "Thaumatella adunca", "Rhodirphia winbrechlini", "Citioica kaechi", "Citioica colombiana", "Rhamma dawkinsi", "Drephalys heraclides", "Drephalys kidonoi", "Citioica grisecolombiana", "Rachesa kaechi", "Abbottella concinna", "Acrocystis nana", "Amplisiphonia pacifica", "Antarctocolax lambii", "Ardissonula regularis", "Beringiella labiosa", "Drephalys croceus", "Beringiella fritilla", "Drephalys tortus", "Bostrychiocolax australis", "Artemisia thuscula", "Melanothamnus masonii", "Melanothamnus sparsus", "Melanothamnus ferulaceus", "Melanothamnus fibrillosus", "Melanothamnus flavimarinus", "Melanothamnus yongpilii", "Melanothamnus hancockii", "Melanothamnus nanus", "Melanothamnus nudus", "Melanothamnus platycarpus", "Melanothamnus sphaerocarpus", "Melanothamnus polyphysus", "Melanothamnus savatieri", "Melanothamnus strictissimus", "Melanothamnus teradomariensis", "Melanothamnus thailandicus", "Melanothamnus unilateralis", "Melanothamnus upolensis", "Thaumatella disticha", "Eacles johnsoniella", "Artemisia spiciformis", "Doxodasya hirta", "Echinophycus minutus", "Enosis topo", "Vidalia colensoi", "Erythrostachys strobilifera", "Anisochoria nadia", "Rhabdops aquaticus", "Tisias carystoides", "Isoetes coromandelina", "Isoetes indica", "Isoetes coromandelina subsp. coromandelina", "Isoetes coromandelina subsp. macrotuberculata", "Isoetes cristata", "Pristimantis nimbus", "Xanthoria lapalmaensis", "Dendrobium glomeratum", "Artemisia umbelliformis subsp. umbelliformis", "Drymocallis calycina", "Hypericum glandulosum", "Pogonarthron tschitscherini", "Syssphinx bezverkhovi", "Aichryson divaricatum", "Syssphinx centrizamorana", "Syssphinx centrichuchuviana", "Syssphinx bidmagdaleniana", "Tarsius spectrumgurskyae", "Syssphinx centriboyacensis", "Tarsius supriatnai", "Syssphinx centriantioquiana", "Syssphinx tatama", "Syssphinx santamartaensis", "Artemisia rupestris subsp. viridis", "Seriphidium vallesiacum", "Masdevallia velifera", "Mesosemia adida", "Artemisia rupestris", "Mesosemia ahava", "Mesosemia ahava ahava", "Adeloneivaia guajira", "Adeloneivaia santamartaiana", "Amesiella minor", "Amesiella monticola", "Amesiella philippinensis", "Mesosemia ahava veleda", "Adeloneivaia centrojason", "Schausiella janosi", "Schausiella sinjaevi", "Schausiella tatama", "Ptiloscola oroiana", "Ptiloscola santamartensis", "Ptiloscola maranhensis", "Artemisia sinanensis", "Artemisia salsoloides", "Melanothamnus decumbens", "Melanothamnus notoensis", "Melanothamnus porrectus", "Melanothamnus eastwoodiae", "Melanothamnus johnstonii", "Isoscella ecuadoriana", "Isoscella leva", "Isoscella peigleri", "Isoscella andina", "Isoscella ventana", "Ajania rupestris", "Ajania shiwogiku", "Nazeris minor", "Artemisia monophylla", "Artemisia montana", "Quadrus francesius", "Enosis matheri", "Artemisia nilagirica", "Artemisia nitida", "Anthoptus macalpinei", "Artemisia norvegica", "Artemisia norvegica subsp. norvegica", "Cynea nigricola", "Artemisia norvegica subsp. saxatilis", "Seriphidium nutans", "Nazeris gutianensis", "Artemisia pallens", "Nazeris zhaotiexiongi", "Nazeris zhangsujiongi", "Artemisia pancicii", "Nivelliomorpha inequalithorax", "Houzhenzia cheni", "Nazeris alatus", "Nazeris huapingensis", "Nazeris exilis", "Nazeris chenyanae", "Nazeris xizangensis", "Nazeris zhujianqingi", "Nazeris biwenxuani", "Stilicoderus maolini", "Stilicoderus chengrani", "Artemisia pedemontana subsp. pedemontana", "Artemisia pedunculosa", "Adelowalkeria bezverkhovi", "Adelowalkeria winbrechlini", "Artemisia vulgaris subsp. vulgaris", "Artemisia sericea", "Cladhymenia oblongifolia", "Cladhymenia coronata", "Cladhymenia lanceifolia", "Cladhymenia pellucida", "Cladhymenia lyallii", "Colacopsis pulvinata", "Colacopsis lophurellae", "Colacopsis smitheniae", "Colacopsis velutina", "Dawsoniella bulborhiza", "Dawsoniocolax bostrychiae", "Dipterocolax fernandezianus", "Enosis blenda", "Enosis blotta", "Doxodasya bolbochaete", "Enosis iccius", "Doxodasya lanuginosa", "Doxodasya lenormandiana", "Exophyllum wentii", "Gonatogenia subulata", "Gymnophthalmus marconaterai", "Graphiphora augur augur", "Graphiphora augur tobolskensis", "Hawaiia trichia", "Spaelotis suecica", "Heterodasya mucronata", "Holotrichia comosa", "Jantinella verruciformis", "Jantinella sinicola", "Picconiella plumosa", "Phymaspermum acerosum", "Placophora binderi", "Placophora monocarpa", "Placophora japonica", "Pleurostichidium falkenbergii", "Elixjohnia bermaguiana", "Pycnothamnion crustaceum", "Rhodolachne decussata", "Rhodomelopsis africana", "Schizochlaenion rhodotrichum", "Cotula barbata", "Cynanchum radians", "Mycaranthes gigantea", "Mycaranthes lamellata", "Meridiocolax narcissus", "Meridiocolax bracteata", "Meridiocolax polysiphoniae", "Scopula vojnitsi", "Castroviejoa frigida", "Metamorphe colensoi", "Microcolax botryocarpus", "Microcolax africanus", "Undulambia polystichalis", "Micropeuce feredayae", "Erymophyllum tenellum", "Micropeuce sarcocaulon", "Micropeuce proxima", "Spirocladia barodensis", "Spirocladia hodgsoniae", "Spirocladia loochooensis", "Eriocephalus africanus", "Spirocladia minor", "Eriocephalus ericoides subsp. ericoides", "Eriocephalus eximius", "Leptinella squalida subsp. squalida", "Leptinella dioica subsp. dioica", "Sporoglossum lophurellae", "Stromatocarpus parasiticus", "Leptinella drummondii", "Mycaranthes longibracteata", "Mycaranthes mindanaensis", "Mycaranthes forbesiana", "Fauriea chujaensis", "Cotula cotuloides", "Cotula nudicaulis", "Fauriea orientochinensis", "Leptinella albida", "Mycaranthes candoonensis", "Mycaranthes citrina", "Crossostephium chinense", "Mycaranthes clemensiae", "Mycaranthes davaensis", "Mycaranthes depauperata", "Mycaranthes farinosa", "Mycaranthes floribunda", "Hulteniella integrifolia", "Leucanthemella linearis", "Neopallasia pectinata", "Seriphidium barrelieri", "Seriphidium caerulescens", "Dijigiella kaernefeltiana", "Dijigiella subaggregata", "Laurenciocolax polyspora", "Leachiella pacifica", "Cylindrolobus nutans", "Leveillea jungermannioides", "Chrysanthemum zawadskii subsp. zawadskii", "Leveillea comosa", "Leveillea major", "Levringiella microscopica", "Spaelotis suecica suecica", "Levringiella gardneri", "Chrysanthemum naktongense", "Spaelotis suecica gyilkosi", "Mycaranthes anceps", "Tayloriella tenebrosa", "Tayloriella dictyurus", "Tayloriella borealis", "Tayloriella divaricata", "Trichidium pedicellatum", "Tylocolax microcarpus", "Wilsonaea dictyuroides", "Wrightiella blodgettii", "Leptinella lanata", "Wrightiella tumanowiczii", "Waldoia antillana", "Leptinella pectinata", "Leptinella plumosa", "Eria bifalcis", "Mycaranthes hawkesii", "Micropeuce glomerulifera", "Micropeuce setosa", "Fitzwillia axilliflora", "Murrayella periclados", "Handelia trichophylla", "Oligocladella boldinghii", "Oligocladella prainii", "Oligocladella pusilla", "Artemisia inaequifolia", "Onychocolax polysiphoniae", "Undulambia fovecosta", "Pachychaeta brachyarthra", "Pachychaeta cryptoclada", "Periphykon beckeri", "Periphykon delesserioides", "Phaeocolax kajimurae", "Oligostigmoides cuernavacale", "Chrysendeton kimballi", "Picconiella pectinata", "Pseudocephennium araguanum", "Endosiphonia curvata", "Endosiphonia gardineri", "Argyranthemum adauctum", "Argyranthemum adauctum subsp. adauctum", "Argyranthemum adauctum subsp. canariense", "Argyranthemum adauctum subsp. palmense", "Argyranthemum broussonetii", "Argyranthemum broussonetii subsp. broussonetii", "Argyranthemum coronopifolium", "Argyranthemum haouarytheum", "Argyranthemum maderense", "Argyranthemum pinnatifidum", "Argyranthemum pinnatifidum subsp. pinnatifidum", "Mycaranthes leonardoi", "Melanamansia seagriefii", "Amansia mitsuii", "Cephennodes brachyspinosus", "Cephennodes impressibos", "Cephennodes hystrix", "Cephennodes setifer", "Cephennodes yinziweii", "Cephennodes datianpingensis", "Cephennodes bicribratus", "Cephennodes paramerus", "Pseudocephennium auriculatum", "Endosiphonia spinulosa", "Pseudocephennium maximum", "Endosiphonia horrida", "Opeltia neobaltistanica", "Populus manshurica", "Populus \u00d7 beijingensis", "Populus \u00d7 jrtyschensis", "Populus \u00d7 xiaohei", "Populus afghanica", "Elixjohnia gallowayi", "Mycaranthes lobata", "Mycaranthes magnicallosa", "Mycaranthes major", "Mycaranthes melaleuca", "Mycaranthes meliganensis", "Palaeoinfurcitinea rohdendorfi", "Mycaranthes merguensis", "Mycaranthes monostachya", "Leucanthemum rotundifolium", "Mycaranthes nieuwenhuisii", "Mycaranthes obliqua", "Mycaranthes padangensis", "Leucanthemum vulgare subsp. vulgare", "Rhodanthemum gayanum subsp. gayanum", "Populus amurensis", "Meganola weixiensis", "Meganola xui", "Populus sect.", "Hymenostemma pseudanthemis", "Leucanthemopsis alpina subsp. alpina", "Populus sect.", "Leucanthemopsis pulverulenta subsp. pulverulenta", "Populus sect.", "Achillea ageratifolia subsp. ageratifolia", "Populus afghanica var. tajikistanica", "Mycaranthes rhinoceros", "Plaumanniola octosetosa", "Mycaranthes schistoloba", "Mycaranthes sonkaris", "Mycaranthes stenophylla", "Mycaranthes tjadasmalangensis", "Tolumnia urophylla", "Dioscorea panthaica", "Liliputella microscopica", "Stenichnus lackneri", "Opeltia juniperina", "Rifargia caeca", "Rifargia yourii", "Rifargia tornalba", "Hypocoela camillae", "Mauranthemum paludosum subsp. paludosum", "Antharmostes tutsiana", "Antharmostes reducta", "Mauranthemum decipiens", "Prasinocyma melanostigma", "Prasinocyma agglomerata", "Heterorachis extrema", "Heterorachis fulcrata", "Rhodanthemum catananche", "Lactura rubritegula", "Populus alaschanica", "Leucanthemum gallaecicum", "Calumma tarzan", "Omphalucha ruandana", "Menophra jansei", "Oedicentra volcanica", "Geodena insolita", "Paracontias fasika", "Menophra luteifasciata", "Menophra fulvistrigata", "Scotopteryx kuznecovi", "Shyri perversus", "Shyri quitu", "Shyri microphthalmus", "Monstrophennium spinicolle", "Leucanthemum gaudinii", "Paracephennium pumilio", "Furcodes apicalis", "Furcodes tutule", "Leucanthemum gracilicaule", "Leucanthemum halleri", "Leucanthemum heterophyllum", "Leucanthemum ircutianum", "Leucanthemum ircutianum subsp. ircutianum", "Leucanthemum montserratianum", "Mycaranthes leucotricha", "Argyranthemum vincentii", "Argyranthemum winteri", "Elenkiniana ehrenbergii", "Elenkiniana gomerana", "Opeltia arizonica", "Pseudocephennium iwokramanum", "Pseudocephennium trilineatum", "Pseudocephennium peruvianum", "Chrysanthoglossum trifurcatum", "Pseudocephennium cochabambanum", "Pseudocephennium saramaccanum", "Pseudocephennium brokopondonum", "Shyri pichincha", "Coleostephus myconis subsp. myconis", "Glossopappus macrotus", "Glossopappus macrotus subsp. macrotus", "Pseudolarentia rejecta", "Horisme albifascia", "Horisme inturbida", "Eupithecia decussata", "Leucanthemum adustum subsp. adustum", "Asthenotricha grandis", "Epigynopteryx affirmata", "Leucanthemum atratum", "Leucanthemum burnatii", "Leucanthemum catalaunicum", "Epigynopteryx captiva", "Leucanthemum chloroticum", "Miantochora restricta", "Leucanthemum coronopifolium", "Mesothisa misanga", "Leucanthemum coronopifolium subsp. coronopifolium", "Trichomycterus pascuali", "Epithelantha micromeris", "Vincetoxicum fasciculatum", "Achyranthes okinawensis", "Achyranthes sicula", "Populus guzmanantlensis", "Populus berkarensis", "Populus sect.", "Porpax repens", "Porpax repens var. repens", "Porpax repens var. cleistogama", "Porpax repens var. obtusa", "Pomphopsilla pygmaea", "Mycaranthes tricuspidata", "Thyrgis angustifascia", "Vincetoxicum thailandense", "Pomphopsilla pseudosoror", "Mycaranthes vanoverberghii", "Pomphopsilla similis", "Pomphopsilla gumovskyi", "Cephennodes glabella", "Polysiphonia abscissa", "Polysiphonia abscissoides", "Polysiphonia acanthina", "Polysiphonia acuminata", "Polysiphonia adamsiae", "Polysiphonia adsendens", "Polysiphonia allochroa", "Polysiphonia amphibolis", "Polysiphonia amplacapilli", "Polysiphonia anisogona", "Polysiphonia anomala", "Polysiphonia arachnoidea", "Polysiphonia atlantica", "Polysiphonia atra", "Polysiphonia atricapilla", "Polysiphonia australiensis", "Polysiphonia azorica", "Polysiphonia banyulensis", "Polysiphonia barbatula", "Polysiphonia baxteri", "Polysiphonia beaudettei", "Polysiphonia beguinotii", "Polysiphonia bicornis", "Polysiphonia biformis", "Polysiphonia bifurcata", "Polysiphonia binneyi", "Polysiphonia boergesenii", "Polysiphonia breviarticulata", "Polysiphonia brevisegmenta", "Polysiphonia brodiei", "Polysiphonia caespitosa", "Polysiphonia callithamnioides", "Polysiphonia camerunensis", "Polysiphonia capucina", "Polysiphonia carettia", "Polysiphonia castagnei", "Polysiphonia castelliana", "Polysiphonia ceramiiformis", "Polysiphonia cladorrhiza", "Polysiphonia coacta", "Polysiphonia codicola", "Polysiphonia collinsii", "Polysiphonia confusa", "Polysiphonia corinaldii", "Populus girinensis", "Populus charbinensis", "Populus \u00d7 candicans", "Populus \u00d7 gansuensis", "Populus \u00d7 xiaozhuanica", "Populus \u00d7 hopeiensis", "Populus \u00d7 pseudotomentosa", "Populus \u00d7 ningshanica", "Populus qiongdaoensis", "Stenoptilia lasani", "Populus glauca", "Populus pseudoglauca", "Populus violascens", "Populus \u00d7 wilsocarpa", "Achillea \u00d7 pseudogenepi", "Elixjohnia jackelixii", "Eriospermum pustulatum", "Elacatophora malakkana", "Achillea barrelieri subsp. barrelieri", "Cottoniella arcuata", "Cottoniella fusiformis", "Cottoniella filamentosa", "Cottoniella amamiensis", "Cottoniella libyensis", "Cottoniella sanguinea", "Cottoniella triseriata", "Achillea distans subsp. distans", "Achillea distans subsp. tanacetifolia", "Platysiphonia delicata", "Platysiphonia caribaea", "Platysiphonia decumbens", "Platysiphonia intermedia", "Platysiphonia marginalis", "Platysiphonia clevelandii", "Platysiphonia hypneoides", "Platysiphonia mutabilis", "Platysiphonia victoriae", "Platysiphonia parva", "Populus yuana", "Populus yatungensis", "Polysiphonia senticulosa", "Polysiphonia sertularioides", "Polysiphonia setigera", "Polysiphonia shepherdii", "Polysiphonia sinicola", "Polysiphonia sonorensis", "Polysiphonia souriei", "Polysiphonia sphaerospora", "Polysiphonia spinella", "Polysiphonia spinosa", "Polysiphonia spinulifera", "Polysiphonia stuposa", "Polysiphonia subtilis", "Polysiphonia subtilissima", "Polysiphonia subulata", "Polysiphonia succulenta", "Polysiphonia sulcata", "Polysiphonia tapinocarpa", "Polysiphonia tenerrima", "Polysiphonia tenuistriata", "Polysiphonia tokidae", "Polysiphonia triton", "Polysiphonia tsudana", "Polysiphonia tuberosa", "Polysiphonia tuticorinensis", "Polysiphonia ulleungensis", "Polysiphonia uncinata", "Polysiphonia unguiformis", "Polysiphonia urbanoides", "Polysiphonia utricularis", "Polysiphonia virgata", "Achillea alpina subsp. alpina", "Populus afghanica var. afghanica", "Polysiphonia corymbosa", "Polysiphonia crassa", "Polysiphonia crassicollis", "Polysiphonia crassiuscula", "Polysiphonia curta", "Polysiphonia dachenensis", "Polysiphonia dalmatica", "Polysiphonia dasyiformis", "Polysiphonia daveyae", "Polysiphonia decipiens", "Polysiphonia decussata", "Polysiphonia delicatula", "Polysiphonia denticulata", "Polysiphonia denudata", "Polysiphonia derbesii", "Polysiphonia deusta", "Polysiphonia devoniensis", "Polysiphonia dichotoma", "Polysiphonia dictyura", "Polysiphonia divergens", "Polysiphonia dokdoensis", "Polysiphonia donghaeya", "Polysiphonia dotyi", "Polysiphonia dumosa", "Polysiphonia echigoensis", "Acanthosiphonia echinata", "Polysiphonia elongata", "Polysiphonia elongella", "Polysiphonia erythraea", "Polysiphonia exilis", "Polysiphonia fasciculata", "Polysiphonia fernandeziana", "Polysiphonia fibrata", "Polysiphonia fibrillosa", "Polysiphonia figariana", "Polysiphonia flabelliformis", "Polysiphonia flabellulata", "Polysiphonia flexella", "Polysiphonia flexicaulis", "Polysiphonia flocculosa", "Polysiphonia foeniculacea", "Polysiphonia fragilis", "Polysiphonia freshwateri", "Polysiphonia funebris", "Polysiphonia fuscorubens", "Polysiphonia gracilis", "Polysiphonia guadalupensis", "Polysiphonia guernisacii", "Polysiphonia hapalacantha", "Polysiphonia haplodasyae", "Angraecum sanfordii", "Mammillaria lasiacantha", "Sclerocactus intertextus", "Sclerocactus unguispinus", "Echinocereus viridiflorus subsp. chloranthus", "Escobaria alversonii", "Coryphantha echinus", "Fominiella skii", "Fominiella tenerifensis", "Mosla punctulata", "Aprostocetus rubi", "Gintarasiella aggregata", "Hanstrassia lenae", "Escobaria dasyacantha", "Dasyphila preissii", "Escobaria dasyacantha subsp. chaffeyi", "Huriella loekoesiana", "Anotrichium furcellatum", "Anotrichium gracile", "Anotrichium multiramosum", "Anotrichium subtile", "Anotrichium towinna", "Anotrichium yagii", "Anotrichium planatum", "Anotrichium secundum", "Formica fukaii", "Ikaeria aurantiellina", "Thelocactus setispinus", "Tachiraptor admirabilis", "Orientophila chejuensis", "Orientophila diffluens", "Orientophila dodongensis", "Rhagastis lambertoni", "Dasyphila plumarioides", "Hanstrassia jaeseounhurii", "Dasyphila cryptocarpa", "Muellerena wattsii", "Anotrichium barbatum", "Anotrichium tenue", "Anotrichium crinitum", "Harusavskia elenkinianoides", "Anotrichium anthericephalum", "Cydia magnesiae", "Anotrichium elongatum", "Cydia alienana", "Anotrichium licmophorum", "Polysiphonia hassleri", "Polysiphonia havanensis", "Polysiphonia hemisphaerica", "Polysiphonia hendryi", "Polysiphonia herpa", "Polysiphonia hirta", "Polysiphonia hochstetteriana", "Polysiphonia hollenbergii", "Polysiphonia homoia", "Polysiphonia implexa", "Polysiphonia indigena", "Polysiphonia infestans", "Polysiphonia kampsaxii", "Polysiphonia kappannae", "Polysiphonia kapraunii", "Polysiphonia kieliana", "Polysiphonia koreana", "Polysiphonia kotschyana", "Polysiphonia kowiensis", "Polysiphonia letestui", "Polysiphonia macounii", "Polysiphonia macrocarpa", "Polysiphonia marchantae", "Polysiphonia mollis", "Polysiphonia morisiana", "Polysiphonia morroides", "Polysiphonia morrowii", "Polysiphonia mottei", "Polysiphonia muninsula", "Polysiphonia namibiensis", "Polysiphonia nathanielii", "Polysiphonia nhatrangensis", "Polysiphonia nizamuddinii", "Polysiphonia nodulosa", "Polysiphonia ornata", "Polysiphonia orthocarpa", "Polysiphonia pacifica", "Polysiphonia paniculata", "Polysiphonia paradoxa", "Polysiphonia parthasarathyi", "Polysiphonia pentamera", "Polysiphonia perforans", "Polysiphonia pernacola", "Polysiphonia perriniae", "Polysiphonia plectocarpa", "Polysiphonia polychroma", "Polysiphonia polyspora", "Polysiphonia porphyroides", "Polysiphonia profunda", "Polysiphonia propagulifera", "Polysiphonia pygmaea", "Polysiphonia quadrata", "Polysiphonia ramentacea", "Polysiphonia requienii", "Polysiphonia rhododactyla", "Polysiphonia rhunensis", "Polysiphonia rigidula", "Polysiphonia rubrorhiza", "Polysiphonia rudis", "Polysiphonia sabulosia", "Polysiphonia sadoensis", "Polysiphonia sanguinea", "Polysiphonia schneideri", "Polysiphonia scopulorum", "Populus xiangchengensis", "Populus wuana", "Populus wenxianica", "Dotyella hawaiiensis", "Populus ussuriensis", "Populus trinervis", "Populus talassica", "Populus shanxiensis", "Dotyella irregularis", "Populus schneideri", "Populus pseudosimonii", "Populus pseudomaximowiczii", "Populus qamdoensis", "Populus przewalskii", "Populus platyphylla", "Malaconema roeanum", "Malaconema minimum", "Sarcotrichia tenera", "Sarcotrichia dolichocystidea", "Sarcomenia delesserioides", "Populus pilosa", "Populus pamirica", "Populus nakaii", "Populus minhoensis", "Populus mainlingensis", "Populus hastifolia", "Populus keerqinensis", "Populus kangdingensis", "Populus intramongolica", "Populus iliensis", "Anisoschizus propaguli", "Populus hsinganica", "Populus haoana", "Deucalion levringii", "Rhagastis rubetra", "Marumba sperchius", "Marumba sperchius sperchius", "Marumba sperchius sumatranus", "Achillea millefolium var. borealis", "Achillea millefolium subsp. millefolium", "Achillea nobilis subsp. nobilis", "Populus \u00d7 brayshawii", "Populus \u00d7 hinckleyana", "Populus simaroa", "Populus \u00d7 glaucicomans", "Polystachya alpina", "Orientophila fauriei", "Orientophila jungakimae", "Orientophila yokjidoensis", "Orientophila leucerythrella", "Afroeudesis basilewskyi", "Oreoeudesis lindneri", "Oreoeudesis camerunensis", "Oreoeudesis aberdarensis", "Achillea oxyloba subsp. oxyloba", "Baldockia verticillata", "Bornetia secundiflora", "Bornetia binderiana", "Bornetia californica", "Bornetia repens", "Bornetia tenuis", "Halurus equisetifolius", "Halurus flosculosus", "Vickersia baccata", "Agrotis maculaclarus", "Ochropleura vietteana", "Xestia nyei", "Griffithsia corallinoides", "Diuris brachyscapa", "Epiphile dilecta venezuelensis", "Anacyclus radiatus subsp. radiatus", "Furcifer timoni", "Diuris brevis", "Diuris calcicola", "Diuris carecta", "Diuris cruenta", "Diuris littoralis", "Diuris oraria", "Diuris ostrina", "Diuris pallescens", "Diuris porphyrochila", "Diuris suffusa", "Diuris tinctoria", "Polystachya bicalcarata", "Klauderuiella aurantia", "Stenichnus godarti", "Noccaea kovatsii", "Paracoryphella ignicrystalla", "Lejolisia aegagropila", "Ziminella abyssa", "Ziminella circapolaris", "Lejolisia colombiana", "Lejolisia exposita", "Lejolisia hoshawii", "Lejolisia pacifica", "Lejolisia pusilla", "Madatyphlops andasibensis", "Ptilothamnion pluma", "Borealea sanamyanae", "Fjordia chriskaugei", "Fjordia lineata", "Eumorphia sericea subsp. robustior", "Pinalia floribunda", "Cladanthus scariosus", "Vanilla ochyrae", "Trichopodus poptae", "Phelsuma borai", "Strobilanthes warburgii", "Strobilanthes involucrata", "Paracontias kankana", "Pachystrobilus involucratus", "Lygodactylus roavolana", "Santolina oblongifolia", "Santolina oblongifolia subsp. oblongifolia", "Santolina rosmarinifolia subsp. rosmarinifolia", "Santolina insularis", "Santolina semidentata", "Santolina viscosa", "Craterellus tubaeformis", "Laniisoma buckleyi", "Ursinia abrotanifolia", "Ursinia anthemoides subsp. anthemoides", "Ursinia calenduliflora", "Ursinia nana", "Ursinia nana subsp. nana", "Ursinia paleacea", "Samla takashigei", "Apata pricei", "Apata pricei pricei", "Apata pricei komandorica", "Aster falconeri subsp. falconeri", "Populus adenopoda var. platyphylla", "Populus adenopoda var. adenopoda", "Galatella cana", "Galatella linosyris subsp. linosyris", "Galatella sedifolia", "Galatella sedifolia subsp. sedifolia", "Galatella villosa", "Populus caspica", "Aster hispidus", "Bulbophyllum lasiochilum", "Isoetes tamaulipana", "Polypodium hydriforme", "Rovnoleptochromus ableptonoides", "Vertheia quadrisetosa", "Cephennomicrus giganteus", "Conogethes punctiferalis", "Phragmipedium humboldtii var. humboldtii", "Phragmipedium humboldtii var. exstaminodium", "Astyanax joaovitori", "Hexagrammos lagocephalus", "Xenocypris davidi", "Aster incisus", "Aster indicus", "Aster pekinensis", "Aster pinnatifidus", "Aster yomena var. dentata", "Aster flaccidus subsp. flaccidus", "Isoetes drummondii", "Isoetes drummondii subsp. drummondii", "Epinephelus aeneus", "Isoetes drummondii subsp. anomala", "Isoetes elatior", "Aster komonoensis", "Isoetes gunnii", "Isoetes humilior", "Isoetes inflata", "Isoetes mongerensis", "Xenotrachea niphonica", "Aster ovatus", "Isoetes muelleri", "Xenotrachea auroviridis", "Isoetes pusilla", "Isoetes tripus", "Pinalia acervata", "Pinalia acutifolia", "Griffithsia aestivana", "Griffithsia antarctica", "Griffithsia balara", "Griffithsia capitata", "Griffithsia caribaea", "Griffithsia chilensis", "Griffithsia coacta", "Griffithsia confervoides", "Griffithsia crassiuscula", "Griffithsia devoniensis", "Griffithsia elegans", "Griffithsia genovefae", "Griffithsia globulifera", "Griffithsia grandis", "Griffithsia gunniana", "Griffithsia heteroclada", "Griffithsia heteromorpha", "Griffithsia japonica", "Griffithsia metcalfii", "Griffithsia monilis", "Griffithsia okiensis", "Griffithsia opuntioides", "Griffithsia ovalis", "Griffithsia pacifica", "Griffithsia phyllamphora", "Griffithsia pilalyea", "Griffithsia pulvinata", "Griffithsia radicans", "Griffithsia rhizophora", "Griffithsia schousboei", "Griffithsia secundiramea", "Griffithsia subcylindrica", "Griffithsia teges", "Griffithsia tomo-yamadae", "Griffithsia torulosa", "Griffithsia traversii", "Griffithsia venusta", "Griffithsia weber-van-bosseae", "Afroeudesis trianguliceps", "Afroeudesis sulcata", "Halosia elisae", "Zeraikia zeraikae", "Asterope whitelyi srnkai", "Lejolisia mediterranea", "Sinnamarynus rasahusoides", "Epiphile dilecta", "Epiphile dilecta dilecta", "Epiphile dilecta jenkinsi", "Pinalia acutissima", "Scorpiurus thorpei", "Scydmaenus isaloensis", "Scydmaenus madagassicus", "Xenotrachea tsinlinga", "Xenotrachea aurantiaca", "Xenotrachea chrysochlora", "Protoschrankia ijimai", "Protoschrankia murakii", "Chibidokuga hypenodes", "Chibidokuga nigra", "Aster ovatus var. microcephalus", "Aster scaber", "Peribatodes simpliciaria", "Peribatodes faustinata", "Schrankia masuii", "Schrankia kogii", "Schrankia dimorpha", "Luceria fletcheri", "Aster oldhamii", "Xenoturbella monstrosa", "Xenoturbella churro", "Xenoturbella profunda", "Xenoturbella hollandorum", "Ptilothamnion cladophorae", "Ptilothamnion codicola", "Ptilothamnion goukammae", "Ptilothamnion occidentale", "Ptilothamnion polysporum", "Ptilothamnion rupicola", "Ptilothamnion subsimplex", "Ptilothamnion pusillum", "Ptilothamnion schmitzii", "Ptilothamnion speluncarum", "Townsendia condensata", "Gulenia monicae", "Gulenia orjani", "Microchlamylla gracilis", "Microchlamylla gracilis gracilis", "Microchlamylla gracilis zfi", "Carronella enne", "Coryphellina lotos", "Pacifia amica", "Unidentia nihonrossija", "Aster ageratoides var. laticorymbus", "Unidentia sandramillenae", "Aster alpinus subsp. alpinus", "Pseudoliparis swirei", "Ptilothamnion sphaericum", "Guiryella repens", "Desikacharyella indica", "Parvilacerta parva", "Mazoyerella arachnoidea", "Mazoyerella australis", "Townsendia hookeri", "Mazoyerella krishnamurthyi", "Mazoyerella kraftii", "Monosporus pedicellatus", "Isoetes montezumae", "Spermothamnion repens", "Populus haoana var. microcarpa", "Populus haoana var. megaphylla", "Populus haoana var. macrocarpa", "Populus haoana var. haoana", "Populus girinensis var. ivaschevitchii", "Populus girinensis var. girinensis", "Populus fremontii subsp. mesetae", "Populus fremontii subsp. fremontii", "Populus deltoides subsp. wislizeni", "Populus deltoides subsp. monilifera", "Populus deltoides subsp. deltoides", "Populus davidiana var. tomentella", "Populus davidiana var. davidiana", "Cephennium gladiator", "Baccharis jocheniana", "Baccharis macraei", "Baccharis magellanica", "Baccharis microcephala", "Baccharis neaei", "Baccharis nitida", "Baccharis nivalis", "Baccharis palustris", "Baccharis reticularia", "Baccharis retusa", "Strobocalyx arborea", "Lepidaploa arborescens", "Guadarramasoma ramosae", "Baccharis venosa", "Archaeochionelasmus nekvasilovae", "Monopis meliorella", "Batrisodes linyejiei", "Batrisodes petalosus", "Baccharis rhomboidalis", "Spermothamnion antillarum", "Baccharis rhexioides", "Baccharis sagittalis", "Isoetes pallida", "Spermothamnion boergesenii", "Thinobius crypticola", "Spermothamnion umamaheswarae", "Spermothamnion cymosum", "Spermothamnion echigoense", "Baccharis salicifolia subsp. salicifolia", "Spermothamnion endophytica", "Isoetes pringlei", "Spermothamnion flabellatum", "Spermothamnion gymnocarpum", "Baccharis tola", "Baccharis tola subsp. tola", "Spermothamnion investiens", "Baccharis tridentata", "Coelogyne taronensis", "Spermothamnion irregulare", "Spermothamnion strictum", "Psiadia argentea", "Psiadia arguta", "Psiadia boivinii", "Psiadia callocephala", "Psiadia dentata", "Psiadia rodriguesiana", "Psiadia retusa", "Psiadia viscosa", "Bellis annua subsp. annua", "Bellis annua subsp. minuta", "Lepidaploa glabra", "Woelkerlingia minuta", "Acrapex ulmii", "Acrapex zaouditou", "Woelkerlingia sterreri", "Populus hsinganica var. trichorachis", "Populus hsinganica var. hsinganica", "Baccharis conferta", "Scutellosaurus lawleri", "Baccharis flabellata", "Scelidosaurus harrisonii", "Baccharis genistifolia", "Baccharis gibertii", "Baccharis gnaphalioides", "Interthamnion attenuatum", "Lomathamnion epicodii", "Ptilothamnionopsis lejolisea", "Restrepia muscifera", "Rhipidothamnion secundum", "Baccharoides adoensis", "Drewiana nitella", "Bulbophyllum fayi", "Melanodendron integrifolium", "Psiadia altissima", "Psiadia anchusaefolia", "Ceratosphys cryodeserti", "Calamites suckowii", "Leiboldia serrata", "Brachyscome angustifolia", "Brachyscome basaltica", "Brachyscome ciliaris", "Brachyscome dissectifolia", "Polydora bainesii", "Strobocalyx bockiana", "Ceratosphys fernandoi", "Hoffmannanthus abbotianus", "Ceratosphys flammeola", "Glaesoconnus unicus", "Rovnoscydmus frontalis", "Rovnoscydmus microscopicus", "Euconnus palaeogenus", "Stenichnus proavus", "Townsendia montana", "Townsendia parryi", "Acrapex akunamatata", "Acrapex incrassata", "Archibaccharis schiedeana", "Baccharis alpina", "Baccharis anomala", "Acrapex gracilis", "Acrapex iringa", "Acrapex lukumbura", "Acrapex rungwe", "Acrapex soyema", "Acrapex zoutoi", "Monosporus belangeri", "Monosporus herpesticus", "Monosporus indicus", "Monosporus inkyui", "Acrapex brunneella", "Acrapex mitiwa", "Baccharis boliviensis", "Populus yatungensis var. crenata", "Populus yatungensis var. yatungensis", "Baccharis brachyphylla", "Emausaurus ernsti", "Tanakaella japonica", "Populus trinervis var. shimianica", "Populus trinervis var. trinervis", "Tanakaella itonoi", "Populus rotundifolia var. rotundifolia", "Populus rotundifolia var. bonatii", "Tanakaella sericata", "Populus rotundifolia var. duclouxiana", "Gordoniella yonakuniensis", "Populus purdomii var. rockii", "Populus purdomii var. purdomii", "Populus pseudosimonii var. pseudosimonii", "Populus pseudosimonii var. patula", "Acrapex mpika", "Populus pilosa var. leiocarpa", "Populus pilosa var. pilosa", "Acrapex salmona", "Acrapex sporobola", "Acrapex yakoba", "Hommersandiella humilis", "Acrapex fletcheri", "Acrapex franeyae", "Acrapex genrei", "Acrapex girardi", "Acrapex guiffrayorum", "Stegengaea capensis", "Acrapex mastawatae", "Acrapex matilei", "Acrapex satanas", "Spermothamnion miniatum", "Spermothamnion nonatoi", "Spermothamnion orientale", "Spermothamnion pinnatum", "Acrapex kafula", "Acrapex kavumba", "Acrapex kiakouama", "Tiffaniella saccorhiza", "Tiffaniella capitata", "Tiffaniella codicola", "Tiffaniella gorgonea", "Tiffaniella apiculata", "Baccharoides schimperi", "Tiffaniella cymodoceae", "Tiffaniella phycophila", "Tiffaniella tamamiru", "Tiffaniella feldmanniae", "Tiffaniella schmitziana", "Tiffaniella snyderae", "Tiffaniella suyehiroi", "Vernoniastrum ambiguum", "Nothovernonia amblyolepis", "Nothovernonia purpurea", "Syntomium caucasicum", "Phymatura bigranipennis", "Kryptonesticus deelemanae", "Boltonia asteroides var. latisquama", "Kryptonesticus fagei", "Kryptonesticus arenstorffi", "Kryptonesticus henderickxi", "Kryptonesticus beroni", "Kryptonesticus beshkovi", "Kryptonesticus dimensis", "Kryptonesticus eremita", "Atheta pseudovestita", "Laqueusplana bocki", "Laqueusplana megala", "Orbivestus karaguensis", "Orbivestus cinerascens", "Baccharoides filipendula", "Ceratosphys jabaliensis", "Monoptilon bellidiforme", "Pleioplana mortenseni", "Acrapex ferenigra", "Acrapex festiva", "Baccharis breviseta", "Commidendrum robustum", "Acrapex fuscifasciata", "Commidendrum rotundifolium", "Commidendrum rugosum", "Commidendrum spurium", "Baccharis aliena", "Acrapex gibbosa", "Acrapex ignota", "Acrapex mutans", "Baccharis psiadioides", "Acrapex obsoleta", "Acrapex ottusa", "Acrapex parvaclara", "Acrapex pertusa", "Acrapex punctosa", "Acrapex seydeli", "Acrapex sysciodes", "Acrapex totalba", "Acrapex uncina", "Acrapex uncinoides", "Acrapex peracuta", "Acrapex malagasy", "Acrapex hemiphlebia", "Acrapex unicolora", "Spermothamnion johannis", "Spermothamnion macromeres", "Involucrana meredithiana", "Involucrana crassa", "Medeiothamnion flaccidum", "Coelogyne kemiriensis", "Medeiothamnion halurus", "Medeiothamnion lyallii", "Coelogyne longibulbosa", "Shepleya claviformis", "Shepleya verticillata", "Diaphananthe bidens", "Shepleya elixithamnia", "Diaphananthe ceriflora", "Diaphananthe divitiflora", "Erigeron blakei", "Diaphananthe dorotheae", "Wollastoniella myriophylloides", "Wollastoniella mucronata", "Diaphananthe eggelingii", "Diaphananthe gabonensis", "Diaphananthe garayana", "Noticastrum marginatum", "Noticastrum sericeum", "Speonemadus angusticollis", "Speonemadus breuili", "Callicerus rigidicornis", "Mocyta luteola", "Pityopsis falcata", "Gymnanthemum coloratum", "Speonemadus bolivari", "Speonemadus escalerai", "Medeiothamnion protensum", "Medeiothamnion norrisii", "Medeiothamnion repens", "Shepleya wattsii", "Shepleya australis", "Populus ciliata var. aurea", "Populus ciliata var. gyirongensis", "Populus ciliata var. weixi", "Populus ciliata var. ciliata", "Discocelis hollemani", "Discocelis persica", "Ilyobates bennetti", "Pseudodiscocelis aegeanensis", "Pseudoplanocera izmirensis", "Izmira cinari", "Izmira turkeyi", "Imogine melihertani", "Parocyusa americana", "Alevonota gracilenta", "Galkinius maculosus", "Atheta giguereae", "Atheta klagesi", "Atheta pseudoklagesi", "Phymatura crenulicauda", "Phymatura brevicollis", "Aleochara inexpectata", "Brachyscome segmentosa", "Otraleus applai", "Brachyscome spathulata", "Otraleus bellemansae", "Otraleus christianae", "Brachyscome gilesii", "Otraleus elizabethae", "Capuyanus magwilangi", "Otraleus labanrataensis", "Calotis ancyrocarpa", "Aleochara tahoensis", "Otraleus hypsimelathrus", "Aleochara gracilicornis", "Calotis latiuscula", "Calotis dentex", "Calotis plumulifera", "Plumariella yoshikawae", "Diaphananthe ichneumonea", "Plumariella minima", "Diaphananthe lanceolata", "Diaphananthe lecomtei", "Diaphananthe lecomtei var. lecomtei", "Wrangelia abietina", "Diaphananthe lecomtei var. tenuicalcar", "Wrangelia plumosa", "Wrangelia tanegana", "Wrangelia velutina", "Wrangelia nobilis", "Wrangelia anastomosans", "Wrangelia argus", "Monosis conferta", "Erigeron primulifolius", "Ceratosphys soutadei", "Conyza stricta", "Turanecio kubensis", "Turanecio farfarifolius", "Turanecio munzurdaglarensis", "Pukupuku arunachalensis", "Pukupuku katsurai", "Pukupuku curta", "Vernoniastrum ugandense", "Kibakoganea canhcamsung", "Albraunia foveopilosa", "Albraunia fugax", "Albraunia psilosperma", "Erigeron glandulitectus", "Linzia glabra", "Chrysopsis scabrella", "Pleioplana delicata", "Pleioplana californica", "Heterotheca rutteri", "Heterotheca sessiliflora subsp. sessiliflora", "Heterotheca sessiliflora subsp. bolanderi", "Heterotheca shevockii", "Heterotheca subaxillaris subsp. subaxillaris", "Heterotheca mucronata", "Ceratosphys mariacristinae", "Sphondylothamnion multifidum", "Noticastrum gnaphalioides", "Pleioplana bosphorensis", "Pleioplana okusi", "Diplothamnion tetrastichum", "Diplothamnion gordoniae", "Diplothamnion jolyi", "Grallatoria reptans", "Grallatoria tanakae", "Kibakoganea koyamai", "Conyza mixta", "Kibakoganea koyamai koyamai", "Kibakoganea koyamai tenasserimana", "Erigeron monorchis", "Kibakoganea kawaii", "Kibakoganea fujiokai", "Erigeron pampeanus", "Alchemilla hayirlioglii", "Kibakoganea fujiokai fujiokai", "Kibakoganea fujiokai itohi", "Kibakoganea fujiokai ushizanus", "Kibakoganea kraatzi", "Hulsanpes perlei", "Kibakoganea opaca", "Kibakoganea sexmaculata", "Kibakoganea tamdaoensis", "Halszkaraptor escuilliei", "Kibakoganea vernicata", "Kibakoganea vernicata vernicata", "Kibakoganea vernicata iwasei", "Wrangelia elegantissima", "Erigeron lancifolius", "Wrangelia gordoniae", "Erigeron tenuifolius", "Erigeron acris subsp. angulosus", "Archaeoripiphorus nuwa", "Wrangelia hainanensis", "Wrangelia tenuis", "Erigeron acris subsp. droebachiensis", "Wrangelia tagoi", "Vernonella luembensis", "Capreolia implexa", "Polydora jelfiae", "Ceratosphys deharvengi", "Ceratosphys nodipes", "Hilliardiella aristata", "Prosodes chorassanica", "Prosodes exilis", "Prosodes parthenica", "Prosodes cribrella", "Prosodes jakowlewi", "Prosodes mithras", "Neja filiformis", "Prosodes vermiculosa", "Neja pinifolia", "Brachypsectra jaechi", "Baccharoides guineensis", "Mocyta sphagnorum", "Erigeron sumatrensis", "Jeffreycia hildebrandtii", "Wrangelia australis", "Wrangelia plebeja", "Wrangelia purpurifera", "Wrangelia sceptrifera", "Nidorella varia", "Wrangelia balakrishnanii", "Wrangelia sundaralingamii", "Wrangelia bicuspidata", "Wrangelia dumontii", "Diaphananthe odoratissima", "Prosodes solskyi", "Diaphananthe sarcophylla", "Diaphananthe spiralis", "Diaphananthe thomensis", "Diaphananthe vagans", "Diaphananthe vesicata", "Dichrocephala integrifolia subsp. integrifolia", "Erodiophyllum elderi", "Nidorella hottentotica", "Prosodes fabiani", "Prosodes vigi", "Plagiocheilus peduncularis", "Prosodes merkli", "Celmisia argentea", "Baccharoides incompta", "Gelidiophycus freshwateri", "Gelidiophycus divaricatus", "Baccharoides hymenolepis", "Baccharoides lasiopus", "Asidobaps attigua", "Asidobaps dentipes", "Asidobaps edentata", "Asidobaps elongata", "Asidobaps faceta", "Asidobaps firma", "Asidobaps mesa", "Asidobaps pedinoides", "Asidobaps physoptera", "Asidobaps prasolovi", "Asidobaps zhongdiana", "Asidobaps fida", "Asidobaps justa", "Asidobaps konstantinovi", "Asidobaps mekonga", "Asidobaps reberta", "Asidobaps subnotata", "Agnaptoria anomala", "Agnaptoria fugonga", "Belousovia helenae", "Hysterionica villosa", "Juncus alpinoarticulatus subsp. alpinoarticulatus", "Nardophyllum armatum", "Olearia albida var. angulata", "Gelidium corneum", "Gelidium amansii", "Gelidium versicolor", "Gelidium coulteri", "Gelidium crinale", "Gelidium elegans", "Gelidium japonicum", "Gelidium pacificum", "Gelidium pulchellum", "Gelidium spinosum", "Gelidium yoshidae", "Diaphananthe letouzeyi", "Celmisia viscosa", "Diaphananthe lorifolia", "Rhipidoglossum millarii", "Prosodes scheibei", "Diaphananthe plehniana", "Prosodes klapperichi", "Diaphananthe sanfordiana", "Diaphananthe sarcorhynchoides", "Vernoniastrum nestor", "Ptilophora spissa", "Ptilophora biserrata", "Ptilophora helenae", "Ptilophora hildebrandtii", "Ptilophora irregularis", "Ptilophora pectinata", "Ptilophora scalaramosa", "Ptilophora subcostata", "Ptilophora rhodoptera", "Ptilophora coppejansii", "Ptilophora leliaertii", "Gelidium indonesianum", "Gelidiella acerosa", "Stethusa spuriella", "Altiphylax levitoni", "Olearia asterotricha", "Olearia asterotricha subsp. asterotricha", "Olearia astroloba", "Olearia axillaris", "Centrapalus pauciflorus", "Prosodes kabakovi", "Prosodes kabulensis", "Prosodes olegi", "Cycnoches cooperi", "Linzia melleri", "Hilliardiella oligocephala", "Cyanthillium patulum", "Olearia ballii", "Olearia canescens", "Olearia canescens subsp. canescens", "Pseudoblaps becvari", "Pseudoblaps kazakhstaniensis", "Gelidiella indica", "Huismaniella ramellosa", "Perronella gracilis", "Millerella albertanoae", "Millerella felicinii", "Millerella myrioclada", "Millerella pannosa", "Millerella tinerfensis", "Parviphycus adnatus", "Prosodes quadraticollis", "Prosodes provincialis", "Ectopoglossus saxatilis", "Ectopoglossus absconditus", "Prosodes haarlovi", "Prosodes brunnea", "Celmisia asteliifolia", "Celmisia brevifolia", "Celmisia glandulosa", "Celmisia gracilenta", "Prosodes badakschanica", "Celmisia hectori", "Prosodes tuxeni", "Prosodes simplicithorax", "Celmisia monroi", "Celmisia pugioniformis", "Prosodes kraatzi", "Celmisia ramulosa", "Celmisia ramulosa var. tuberculata", "Prosodes undulatipennis", "Celmisia semicordata", "Celmisia semicordata subsp. semicordata", "Celmisia sericophylla", "Prosodes afghanica", "Celmisia spectabilis subsp. spectabilis", "Celmisia verbascifolia subsp. verbascifolia", "Parviphycus antipae", "Parviphycus womersleyanus", "Parviphycus bompardii", "Parviphycus setaceus", "Olearia phlogopappa subsp. phlogopappa", "Olearia ramosissima", "Gonocephalum corallinum", "Atheta hygrotopora", "Silusa prettyae", "Myllaena procidua", "Olearia suffruticosa", "Olearia tenuifolia", "Archinamaqua lyleae", "Freudeia natalica", "Olearia ferresii", "Vernoniastrum musofense", "Orthogonacladia madagascariense", "Barbosella cucullata", "Orthogonacladia rectangularis", "Cabobanthus polysphaerus", "Polydora poskeana", "Isoetes cubana", "Ptilophora diversifolia", "Ptilophora pinnatifida", "Ptilophora prolifera", "Ptilophora pterocladioides", "Termitonannus calvitium", "Termitonannus jacobsoni", "Termitonannus schmitzorum", "Termitogaster ashei", "Termitogaster fontesi", "Termitogaster neoemersoni", "Termitogaster wurlitzeri", "Prosodes baghlana", "Prosodes kunarensis", "Prosodes oruzgana", "Damnamenia vernicosa", "Prosodes shahranensis", "Prosodes boeckeleri", "Linochilus floribundus", "Linochilus phylicoides", "Diplostephium hartwegii", "Diplostephium ericoides", "Diplostephium spinulosum", "Laestadia muscicola", "Olearia subspicata", "Blaps effeminata", "Oritrophium peruvianum", "Blaps intermedia", "Blaps maldesi", "Blaps nitiduloides", "Blaps teocchii", "Gelidium abbottiorum", "Gelidium amamiense", "Gelidium ambiguum", "Gelidium amboniense", "Gelidium americanum", "Gelidium anthonini", "Gelidium applanatum", "Gelidium arborescens", "Gelidium arbusculum", "Gelidium arenarium", "Gelidium asperum", "Gelidium attenuatum", "Gelidium australe", "Gelidium bernabei", "Gelidium bipectinatum", "Gelidium bulae", "Gelidium calidum", "Gelidium canariense", "Gelidium cantabricum", "Gelidium capense", "Gelidium caulacantheum", "Gelidium chilense", "Gelidium clavatum", "Gelidium claviferum", "Pterocladiella beachiae", "Pterocladiella psammophila", "Pterocladiella luxurians", "Pterocladiella media", "Pterocladiella musciformis", "Agaricomorpha vincenti", "Anomognathus athabascensis", "Gyrophaena sculptipennis", "Pterocladiella maribagoensis", "Placusa vaga", "Pterocladiella megasporangia", "Hylota cryptica", "Pterocladiella phangiae", "Pterocladiella nana", "Monosis theophrastifolia", "Pterocladiella tenuis", "Chrysocoma cernua", "Pterocladiella yinggehaiensis", "Felicia aethiopica", "Felicia aethiopica subsp. aethiopica", "Felicia australis", "Oodescelis melas", "Oodescelis oblonga", "Oocephala stenocephala", "Melanopareia bitorquata", "Baccharoides anthelmintica", "Polydora sylvicola", "Strobocalyx vidalii", "Vernonella subaphylla", "Felicia filifolia subsp. filifolia", "Felicia fruticosa subsp. fruticosa", "Monosis volkameriifolia", "Felicia muricata subsp. muricata", "Felicia namaquana", "Felicia petiolata", "Nolletia chrysocomoides", "Polyarrhena reflexa", "Polyarrhena reflexa subsp. reflexa", "Oritrophium crocifolium", "Parastrephia quadrangularis", "Pleurophyllum hookeri", "Atheta borealis", "Pleurophyllum criniferum", "Pleurophyllum speciosum", "Atheta hampshirensis", "Lyphia szelenyii", "Pterocladia lucida", "Lyphia papuana", "Lyphia carolinensis", "Atheta subpolaris", "Pterocladia heteroplatos", "Pterocladia sonorensis", "Pteronia fasciculata", "Olearia covenyi", "Pseudoblaps zarudnyi", "Olearia elliptica", "Olearia elliptica subsp. elliptica", "Pseudoblaps deserticola", "Olearia elliptica subsp. praetermissa", "Olearia exiguifolia", "Pseudoblaps indica", "Pseudoblaps iranica", "Pseudoblaps medvedevi", "Pseudoblaps kabuliensis", "Pseudoblaps lindemannae", "Pseudoblaps nuristanica", "Pseudoblaps pakistana", "Pseudoblaps substriata", "Dichilus lindemannae", "Olearia lyallii", "Dichilus pakistanus", "Gelidiella bornetii", "Pimelia pakistana", "Olearia microphylla", "Gelidiella lubrica", "Gelidiella nigrescens", "Gelidiella rigidiuscula", "Gelidiella calcicola", "Gelidiella fanii", "Gelidiella feldmannii", "Gelidiella flabella", "Gelidiella hancockii", "Gelidiella ligulata", "Gelidiella machrisiana", "Gelidiella mexicana", "Gelidiella incrassata", "Eumeces persicus", "Pterocladiella capillacea", "Pteronia uncinata", "Oodescelis punctatissima", "Oodescelis emerichi", "Oodescelis pyripenis", "Pterocladiella caerulescens", "Pterocladiella melanoidea", "Pterocladiella minima", "Pterocladiella bartlettii", "Pterocladiella bulbosa", "Pterocladiella caespitosa", "Pterocladiella caloglossoides", "Pterocladiella sanctarum", "Pterocladiella taylorii", "Oodescelis kansouensis", "Pterocladiella andresii", "Dermatocarpon cineritectum", "Pterocladiella australafricanensis", "Gelidium reediae", "Gelidium refugiense", "Gelidium regulare", "Gelidium reptans", "Gelidium rex", "Gelidium rigens", "Gelidium robustum", "Gelidium samoense", "Gelidium sclerophyllum", "Gelidium secundatum", "Gelidium seminudum", "Gelidium semipinnatum", "Gelidium sentosaense", "Gelidium serpens", "Gelidium serra", "Gelidium serrulatum", "Gelidium sinicola", "Gelidium spathulatum", "Gelidium subfastigiatum", "Gelidium tenue", "Gelidium tenuifolium", "Gelidium torulosum", "Gelidium tsengii", "Gelidium umbricola", "Gelidium undulatum", "Gelidium usmanghanii", "Gelidium vagum", "Gelidium venetum", "Gelidium venturianum", "Gelidium vietnamense", "Gelidium vittatum", "Gelidium yamadae", "Bioramix globipunctata", "Bioramix liupanshana", "Bioramix asidioides", "Gelidium lineare", "Bioramix championi", "Polydora stoechadifolia", "Vernoniastrum latifolium", "Aphanta pachyrrhiza", "Grindelia fraxinipratensis", "Grindelia lanceolata", "Grindelia scorzonerifolia", "Eggelingia gabonensis", "Eggelingia clavata", "Eggelingia ligulifolia", "Heteralepas newmani", "Haplopappus baylahuen subsp. baylahuen", "Haplopappus diplopappus", "Haplopappus diplopappus subsp. diplopappus", "Haplopappus foliosus subsp. foliosus", "Haplopappus macrocephalus", "Hazardia detonsa", "Bioramix helopioides", "Isocoma menziesii", "Bioramix afghanica", "Isocoma menziesii var. vernonioides", "Bioramix gracilis", "Bioramix rufipes", "Bioramix lapidicola", "Oedichirus kahuziensis incertus", "Pimelia tricostata", "Pimelia tricostata paktiana", "Pimelia tricostata mukurensis", "Pimelia tricostata tricostata", "Pimelia tricostata kandaharica", "Pimelia tricostata vartiana", "Bioramix gigantea", "Bioramix waziristanica", "Acrotylus australis", "Amphiplexia hymenocladioides", "Amphiplexia racemosa", "Antrocentrum nigrescens", "Claviclonium ovatum", "Hennedya crispa", "Ranavalona duckerae", "Reinboldia polycarpa", "Liogluta wickhami", "Grindelia ciliata", "Liogluta vasta", "Liogluta nigropolita", "Liogluta nitens", "Adesmia belutschistana", "Adesmia belutschistana belutschistana", "Adesmia belutschistana ghazniana", "Liogluta terminalis", "Trigonoscelis gemmulata", "Rhamphogyne rhynchocarpa", "Liogluta trapezicollis", "Trigonoscelis gemmulata gemmulata", "Trigonoscelis gemmulata callosa", "Trigonoscelis gemmulata intermedia", "Liogluta quadricollis", "Trigonoscelis gemmulata punctipleuris", "Trigonoscelis gemmulata oxyana", "Trigonoscelis gemmulata seriatula", "Trigonoscelis gemmulata kabuliensis", "Trachyderma grandis", "Trachyderma grandis grandis", "Trachyderma grandis adriani", "Dieteria bigelovii", "Trachyderma persea", "Trachyderma persea persea", "Trachyderma persea farahense", "Dieteria canescens", "Pimelia semenovi", "Pimelia semenovi semenovi", "Pimelia semenovi balkhensis", "Pimelia semenovi klapperichi", "Pimelia semenovi lindbergi", "Pimelia semenovi saroubiana", "Gelidium concinnum", "Gelidium congestum", "Gelidium coreanum", "Gelidium coronadense", "Gelidium corrigerum", "Gelidium crispum", "Gelidium deciduum", "Gelidium declerckii", "Gelidium decompositum", "Gelidium delicatulum", "Gelidium elminense", "Gelidium eucorneum", "Gelidium fasciculatum", "Gelidium filicinum", "Gelidium flaccidum", "Gelidium floridanum", "Gelidium foliaceum", "Gelidium foliosum", "Gelidium galapagense", "Gelidium hancockii", "Gelidium heterocladum", "Gelidium hirsutum", "Gelidium hommersandii", "Gelidium howei", "Gelidium inagakii", "Gelidium inflexum", "Gelidium intertextum", "Gelidium isabelae", "Gelidium jejuense", "Gelidium johnstonii", "Gelidium kintaroi", "Gelidium latiusculum", "Gelidium lingulatum", "Gelidium linoides", "Gelidium longipes", "Gelidium longiramulosum", "Gelidium maggsiae", "Gelidium maidenii", "Gelidium masudae", "Gelidium mcnabbianum", "Gelidium microdentatum", "Gelidium microdon", "Gelidium microdonticum", "Gelidium microphyllum", "Gelidium microphysa", "Gelidium micropterum", "Gelidium millarianum", "Gelidium minimum", "Gelidium minusculum", "Gelidium multifidum", "Gelidium nova-granatense", "Gelidium nudifrons", "Gelidium omanense", "Gelidium parvulum", "Gelidium planiusculum", "Gelidium pluma", "Gelidium pristoides", "Gelidium profundum", "Gelidium prostratum", "Gelidium pseudointricatum", "Gelidium pteridifolium", "Gelidium pulchrum", "Gelidium purpurascens", "Gelidium pusillum", "Bioramix crypticoides", "Oedichirus luberensis imitator", "Oedichirus luberensis kenyacus", "Oedichirus luberensis kalongensis", "Oedichirus luberensis nigrinus", "Oedichirus luberensis obscurellus", "Lessingia glandulifera", "Amerotyphlops trinitatus", "Lessingia leptoclada", "Lessingia nana", "Amerotyphlops tasymicris", "Amerotyphlops stadelmani", "Amerotyphlops paucisquamus", "Amerotyphlops minuisquamus", "Amerotyphlops microstomus", "Amerotyphlops lehneri", "Bioramix aenescens", "Amerotyphlops costaricensis", "Bioramix rufipalpis", "Amerotyphlops brongersmianus", "Bioramix darbukensis", "Bioramix reinigi", "Liogluta granulosa", "Liogluta microgranulosa", "Liogluta castoris", "Liogluta pseudocastoris", "Liogluta intermedia", "Dieteria asteroides", "Liogluta atriventris", "Liogluta gigantea", "Pyrrocoma apargioides", "Pyrrocoma clementis", "Archipolydesmus altibaeticus", "Archipolydesmus foliatus", "Antillotyphlops catapontus", "Antillotyphlops naugus", "Antillotyphlops monastus", "Antillotyphlops geotomus", "Antillotyphlops hypomethes", "Antillotyphlops annae", "Antillotyphlops dominicanus", "Antillotyphlops guadeloupensis", "Antillotyphlops monensis", "Antillotyphlops granti", "Antillotyphlops platycephalus", "Antillotyphlops richardi", "Polystachya supfiana", "Oedichirus monticola surdus", "Oedichirus orophilus proximus", "Oedichirus rhodesianus elegantulus", "Pyrrocoma lucida", "Bioramix subaenescens", "Bioramix tshartymensis", "Palaminus africanus", "Palaminus angolensis", "Palaminus armatus", "Bioramix frivaldszkyi", "Palaminus bafianus", "Palaminus barombiensis", "Palaminus confusus", "Palaminus falsus", "Bioramix batesi", "Grypotyphlops acutus", "Bioramix schawalleri", "Bioramix cordicollis", "Bioramix sculptipennis", "Procirrus abyssinicus", "Procirrus allardianus", "Procirrus bacillus", "Procirrus bicolor", "Procirrus congoensis", "Procirrus filiformis", "Catenella fusiformis", "Catenella impudica", "Catenella nipae", "Catenella subumbellata", "Acrocrypta haemorrhoidalis", "Caulacanthus ustulatus", "Acrocrypta incisa", "Acrocrypta nigropicta", "Acrocrypta novemmaculata", "Notophycus fimbriatus", "Barbosella prorepens", "Reticulobotrys catalinae", "Rufocumbre celioi", "Rufocumbre emeryi", "Rufocumbre lucasi", "Barbosella ricii", "Rufocumbre schneideri", "Rufocumbre eberti", "Areschougia congesta", "Barbosella schista", "Barbosella spiritu-sanctensis", "Barbosella trilobata", "Episcepsis atlantica", "Barbosella vasquezii", "Archipolydesmus giennensis", "Bioramix kochi", "Bioramix micans", "Meristiella florigera", "Minuria leptophylla", "Minuria rigida", "Bioramix oblongula", "Podocoma hieracifolia", "Rhabdonia coccinea", "Exostigma notobellidiastrum", "Bioramix nagquana", "Rhabdonia verticillata", "Tetramolopium filiforme var. polyphyllum", "Tetramolopium humile", "Tetramolopium filiforme var. humile", "Bioramix picipes", "Rhabdonia clavigera", "Rhabdonia natalensis", "Rhabdonia schmidtii", "Bioramix baqenensis", "Bioramix nyainrongensis", "Bioramix banbarensis", "Tragopogon turcicus", "Tetramolopium lepidotum subsp. lepidotum", "Acrocrypta aureipennis", "Blinksia californica", "Calosiphonia vermicularis", "Calosiphonia verticillifera", "Calosiphonia dalmatica", "Oedichirus apiculus", "Oedichirus batillus", "Acrocrypta bruneica", "Acrocrypta geiseri", "Anthemis melampodina", "Euselasia midas midas", "Euselasia midas ater", "Euselasia midas crotopina", "Euselasia midas crotopiades", "Euselasia midas erosa", "Euselasia midas pelusia", "Euroscaptor malayana", "Doriopsilla elitae", "Doriopsilla tishae", "Oedichirus bullaglaber", "Oedichirus bullahirtus", "Oedichirus clavolateralis", "Oedichirus clavulus", "Oedichirus dilophus", "Micromeria aybalae", "Centaurea bingoelensis", "Oedichirus distortus", "Oedichirus dominicanensis", "Oedichirus echinatus", "Oedichirus exilis", "Scilla bilgineri", "Oedichirus glabrihamus", "Oedichirus hamatus", "Oedichirus isthmus", "Oedichirus lunatus", "Oedichirus misionesiensis", "Oedichirus procerus", "Oedichirus sinuosus", "Palaminus filicornis", "Palaminus fiziensis", "Palaminus flavescens", "Palaminus flavus", "Palaminus foutadjallonensis", "Palaminus freyianus", "Palaminus gabonicus", "Bioramix rubripes", "Palaminus garambanus", "Palaminus guineensis", "Palaminus incertus", "Palaminus kaboboensis", "Palaminus kaboboensis ruwenzoricus", "Palaminus kasaiensis", "Palaminus katanganus", "Palaminus kivuensis", "Palaminus kundelungensis", "Palaminus kwangensis", "Palaminus liberiensis", "Palaminus luberensis", "Palaminus minutus", "Palaminus nimbaensis", "Palaminus nitidulus", "Palaminus oculatus", "Palaminus problematicus", "Palaminus puncticollis", "Palaminus similis", "Palaminus yangambiensis", "Ligularia fauriei", "Gentianella corymbosa", "Cubatyphlops paradoxus", "Barbosella crassifolia", "Typhlops pusillus", "Typhlops jamaicensis", "Barbosella dolichorhiza", "Pentachaeta aurea subsp. aurea", "Archipolydesmus bedeli", "Barbosella geminata", "Barbosella macaheensis", "Barbosella miersii", "Typhlops leptolepis", "Inulopsis camporum", "Gnorimoschema cinerella", "Gnorimoschema fuscescens", "Gnorimoschema gilvella", "Gnorimoschema piskunovi", "Gnorimoschema rufomaculata", "Typhlops oxyrhinus", "Barbosella orbicularis", "Anatheca montagnei", "Barbosella portillae", "Cubatyphlops epactius", "Cubatyphlops biminiensis", "Cubatyphlops caymanensis", "Cubatyphlops arator", "Cubatyphlops perimychus", "Cubatyphlops notorachius", "Cubatyphlops contorhinus", "Cubatyphlops anchaurus", "Cubatyphlops satelles", "Cubatyphlops golyathi", "Typhlops sylleptor", "Typhlops agoralionis", "Typhlops proancylops", "Barbosella australis", "Typhlops hectus", "Typhlops titanops", "Typhlops schwartzi", "Typhlops tetrathyreus", "Gnorimoschema gallaespeciosum", "Gnorimoschema jocelynae", "Gnorimoschema slabaughi", "Typhlops capitulatus", "Typhlops gonavensis", "Typhlops syntherus", "Typhlops sulcatus", "Barbosella circinata", "Typhlops silus", "Letheobia coecata", "Typhlops rostellatus", "Procirrus garambanus", "Procirrus keanus", "Procirrus kwangensis", "Procirrus latipennis", "Procirrus nimbaensis", "Procirrus senegalensis", "Procirrus uniformis", "Pseudoprocirrus abyssinicus", "Pseudoprocirrus arrowi", "Bioramix politicollis", "Bioramix integra", "Bioramix rotundicollis", "Halenia asclepiadea", "Bioramix puncticeps", "Kippistia suaedifolia", "Bioramix ovalis", "Bioramix kashmirensis", "Bioramix laeviuscula", "Heriades crenulatus", "Heriades alfkeni", "Heriades clavicornis", "Areschougia stuartii", "Berberis goudotii", "Erythroclonium muelleri", "Erythroclonium angustatum", "Erythroclonium sonderi", "Erythroclonium sedoides", "Erythroclonium corallinum", "Heterolepis aliena", "Acrocrypta octopunctata", "Acrocrypta purpurea", "Acrocrypta quadrimaculata", "Acrocrypta quadripunctata", "Acrocrypta sabahensis", "Euroscaptor kuznetsovi", "Euroscaptor orlovi", "Euroscaptor parvidens ngoclinhensis", "Acrocrypta signata", "Acrocrypta similis", "Acrocrypta semilimbata", "Acrocrypta viridipennis", "Acrocrypta trimaculata", "Dianthus ucarii", "Podontia jalur", "Euroscaptor subanura", "Allenaltica flavicornis", "Cirsium bozkirense", "Halysidota leda", "Halysidota leda leda", "Acrocrypta kinabaluensis", "Acrocrypta pseudoaureipennis", "Acrocrypta sarawakensis", "Acrocrypta sexstigmatica", "Acrocrypta trusmadiensis", "Acrocrypta bifasciata", "Schmitzia neapolitana", "Schmitzia japonica", "Tetramolopium sylvae", "Schmitzia evanescens", "Schmitzia hiscockiana", "Schmitzia sanctae-crucis", "Peripleura arida", "Acrocrypta coccinelloides", "Acrocrypta doeberli", "Vittadinia cuneata", "Vittadinia dissecta", "Vittadinia dissecta var. hirta", "Vittadinia eremaea", "Feldmannophycus rayssiae", "Vittadinia muelleri", "Oedichirus bicristatus", "Heringia mirabilis", "Nanocnide japonica", "Montemaria horridula", "Peripleura hispidula", "Neorthella rufofulva", "Catenella caespitosa", "Colaspoides klimenkoi", "Colaspoides trusmadiensis", "Colaspoides elenae", "Colaspoides volkovi", "Chaetymenia peduncularis", "Hymenothrix dissecta", "Colaspoides circumdatus", "Colaspoides viridimarginata", "Colaspoides punctipleuris", "Colaspoides malayana", "Goniopleura fulva", "Hymenopappus filifolius var. cinereus", "Goniopleura viridipennis", "Hymenopappus filifolius var. eriopodus", "Hymenopappus filifolius var. idahoensis", "Hymenopappus filifolius var. nanus", "Hymenopappus filifolius var. pauciflorus", "Muscari artvinense", "Cryptocephalus sabahensis", "Coenobius cyclops", "Abirus vaksovi", "Centipeda crateriformis", "Centipeda crateriformis subsp. crateriformis", "Centipeda crateriformis subsp. compacta", "Centipeda cunninghamii", "Centipeda minima subsp. minima", "Achillea adeniae", "Oreoscaptor mizura ohtai", "Achillea baltae", "Oreoscaptor mizura mizura", "Euroscaptor parvidens parvidens", "Caulacanthus okamurae", "Caulacanthus salifugus", "Sterrocladia amnica", "Sterrocladia belizeana", "Taylorophycus laxus", "Taylorophycus filiformis", "Chondriella pusilla", "Cleorina borneoensis", "Colaspoides bicoloricollis", "Echinococcus multilocularis", "Goniopleura viridipennis viridipennis", "Itylus mohamedsaidi", "Aphthonoides sabahensis", "Cerophysa flava", "Goniopleura auricoma", "Chondrymenia lobata", "Goniopleura auricoma auricoma", "Goniopleura auricoma borneensis", "Goniopleura auricoma niasica", "Goniopleura auricoma bicoloripes", "Goniopleura auricoma basalis", "Crebradomus gongylocarpus", "Goniopleura viridipennis nigripes", "Goniopleura viridipennis sumatrana", "Dissimularia dactylocarpa", "Dissimularia tauensis", "Palafoxia arida", "Dissimularia withallii", "Dissimularia umbraticola", "Muscari subg.", "Pseudocalopadia chibaensis", "Aleonictus magnificus", "Bidens andicola", "Adenia heterophylla", "Bidens beckii", "Typhlopsychrosoma breuili", "Typhlopsychrosoma tarraconense", "Pachyseius masanisimilis", "Bidens nudata", "Bidens ostruthioides", "Gentiana dendrologi", "Gentiana kaufmanniana", "Gentiana lhassica", "Gentiana officinalis", "Gentiana robusta", "Corynocystis prostrata", "Palafoxia callosa", "Palafoxia feayi", "Palafoxia integrifolia", "Palafoxia linearis", "Goniopleura nigriventris", "Cleoporus dalatensis", "Lepinaria merkli", "Colaspedusa bicoloripes", "Palafoxia rosea", "Exosoma pseudoakkoae", "Calomicrus takizawai", "Calomicrus mimica", "Monolepta thailandica", "Monolepta thailandica thailandica", "Monolepta thailandica chungboensis", "Ivalia merkli", "Colaspoides fulvimana", "Archipolydesmus cordubaensis", "Colaspoides bengalensis", "Colaspoides brancuccii", "Colaspoides olegi", "Colaspoides bacboensis", "Colaspoides jacobyi", "Picradeniopsis bigelovii", "Colaspoides buonloicus", "Colaspoides imitans", "Colaspoides rufipes", "Picradeniopsis schaffneri", "Colaspoides langbianicus", "Archipolydesmus terreus", "Colaspoides laeta", "Colaspoides seticornis", "Colaspoides yunnanica", "Colaspoides kimotoi", "Colaspoides cantonensis", "Colaspoides nigrotibialis", "Colaspoides rufofulva", "Colaspoides melanocephala", "Colaspoides malayensis", "Colaspoides sublaevicollis", "Dendrogramma enigmatica", "Colaspoides semipicea", "Colaspoides crassifemur", "Zootrophion hirtzii", "Colaspoides rufa", "Colaspoides vietnamicus", "Acronymolpus bertiae", "Bidens tripartita subsp. tripartita", "Acronymolpus jourdani", "Eviota lentiginosa", "Cretodeinopsis aenigmatica", "Colaspoides minimus", "Colaspoides laosensis", "Colaspoides piceana", "Calendula incana", "Calendula incana subsp. maderensis", "Calendula incana subsp. maritima", "Calendula suffruticosa subsp. fulgida", "Colaspoides cechovskyi", "Isoetes panamensis", "Chrysanthemoides monilifera subsp. monilifera", "Colaspoides prasinella", "Colaspoides clavipes", "Chrysanthemoides monilifera subsp. rotundata", "Colaspoides dimorphus", "Colaspoides geniculatus", "Chrysanthemoides monilifera subsp. canescens", "Colaspoides kubani", "Colaspoides apicata", "Colaspoides tridentata", "Colaspoides tamdaoensis", "Colaspoides opaca", "Colaspoides prasinus", "Colaspoides prasinus prasinus", "Colaspoides prasinus occidentalis", "Colaspoides cognatomima", "Colaspoides cognatella", "Colaspoides regalini", "Colaspoides daccordii", "Colaspoides annamita", "Colaspoides cognata", "Colaspoides nigricornis", "Colaspoides dohertii", "Colaspoides chinensis", "Colaspoides costalis", "Colaspoides lobatus", "Colaspoides shapaensis", "Colaspoides hagiangi", "Colaspoides zoiai", "Colaspoides lamellatus", "Colaspoides laotica", "Colaspoides kabakovi", "Colaspoides mimica", "Colaspoides curvipes", "Colaspoides microdentata", "Colaspoides armata", "Colaspoides dapi", "Colaspoides cheni", "Colaspoides gressitti", "Colaspoides kantneri", "Colaspoides pseudodiffinis", "Colaspoides flavimana", "Colaspoides bidentulus", "Colaspoides subovata", "Zeugophora papuana", "Iviva striata", "Iviva antennata", "Iviva diversipunctata", "Eriophyllum ambrosiodes", "Osteospermum sanctae-helenae", "Osteospermum barberae", "Osteospermum fruticosum", "Gamasiphis angaridis", "Typhlopsychrosoma fadriquei", "Gamasiphis ochotensis", "Gamasiphis edmilsoni", "Gamasiphis flechtmanni", "Gamasiphis salvadori", "Colaspoides chapuisi", "Porcellio ancararum", "Porcellio eserensis", "Aenictocupidus jacobsonorum", "Aenictolixa exilis", "Giraffaenictus eguchii", "Stenopsyche huangshanensis", "Bidens kirkii", "Coptocarpus oberprielerae", "Bidens menziesii subsp. menziesii", "Bidens micrantha subsp. micrantha", "Sermyloides nigricollis", "Chaenactis macrantha", "Sermyloides tamdaoana", "Vietoluperina polilovi", "Chaenactis suffrutescens", "Chaenactis xantiana", "Chaenactis thompsonii", "Aplosonyx fedorenkoi", "Pseudotheopea clypealis", "Lema baliana", "Lema sumbawensis", "Lema sumbawensis sumbawensis", "Lema sumbawensis lomboki", "Taumacera centromaculata", "Paraplotes granulate", "Hespera foveipennis", "Hespera lombokana", "Nisotra insulana", "Aleochara rubricalis", "Aleochara speculicollis", "Aleochara ocularis", "Paridea cyanipennis", "Muscari subg.", "Muscari atlanticum", "Bidens hillebrandiana subsp. hillebrandiana", "Nothocyphon alces", "Nothocyphon esau", "Nothocyphon amita", "Nothocyphon amphora", "Nothocyphon armatus", "Nothocyphon armstrongi", "Nothocyphon auritus", "Nothocyphon banksiae", "Nothocyphon biserratus", "Nothocyphon brevihamatus", "Nothocyphon crux", "Nothocyphon denticulatus", "Nothocyphon donnabuangi", "Nothocyphon horridus", "Nothocyphon lanceolatus", "Nothocyphon multidentatus", "Nothocyphon imitator", "Nothocyphon isolaeregis", "Nothocyphon naso", "Nothocyphon nungatta", "Nothocyphon pacificus", "Nothocyphon patruelis", "Nothocyphon platyphallus", "Nothocyphon plicatus", "Nothocyphon radula", "Nothocyphon sarcophilus", "Nothocyphon scutiger", "Nothocyphon serratipenis", "Nothocyphon signatus", "Nothocyphon soror", "Nothocyphon taeniatus", "Nothocyphon taurus", "Nothocyphon thylacinus", "Nothocyphon triangulum", "Nothocyphon vandiemeni", "Nothocyphon wattsi", "Nothocyphon ypsilon", "Pachycyphon corpulentus", "Pachycyphon crassus", "Pachycyphon elegans", "Pachycyphon funicularis", "Pachycyphon gravis", "Pachycyphon monteithi", "Pachycyphon obesus", "Pachycyphon pinguis", "Pachycyphon serratus", "Pachycyphon turgidus", "Xanthophius unicidentatus", "Xanthophius gutianshanensis", "Xanthophius minor", "Rhyparidella weisei", "Osteospermum vaillantii", "Rhyparidella rufocapitis", "Rhyparidella ovipennis", "Rhyparidella fulva", "Rhyparidella nigripennis", "Rhyparidella suturalis", "Rhyparidella riedeli", "Phainodina femorata", "Phainodina antennalis", "Phainodina riedeli", "Reisseronia muscaelutum", "Myrmoderus eowilsoni", "Stethotes carinata", "Stethotes riedeli", "Stethotes basipennis", "Stethotes obscura", "Stethotes dentata", "Stethotes schawalleri", "Stethotes aethiops", "Stethotes papuana", "Stethotes armata", "Stethotes basifasciata", "Stethotes bryanti", "Stethotes rufula", "Stethotes viridissima", "Stethotes tristis", "Stethotes laevicollis", "Stethotes fulvicornis", "Stethotes suturalis", "Chaenactis artemisiifolia", "Hymenorchis javanica", "Moenkhausia britskii", "Electrogymnusa baltica", "Myochrous adisi", "Acanthonycha adriana", "Sumatera vietnamitica", "Atopolinus nahanganus", "Angelica edulis", "Atopolinus vietnamicus", "Acanthonycha cora", "Acanthonycha zuliensis", "Acanthonycha guanabara", "Acanthonycha jacobyi", "Acanthonycha jacobyi jacobyi", "Acanthonycha jacobyi cojedenya", "Acanthonycha arbusticola", "Acanthonycha hylophila", "Vanda cootesii", "Anilios leptosomus", "Vanda funingensis", "Thyreocephalus vietnamicus", "Breviclypeus rufipennis", "Syphrea flavicornis", "Cosmos peucedanifolius", "Muscari subg.", "Sanariana rubra", "Sanariana suella", "Stethotes rubripes", "Stethotes aenea", "Stethotes costipennis", "Stethotes gressitti", "Stethotes balyi", "Stethotes iriana", "Stethotes granulifrons", "Stethotes nigripalpis", "Stethotes obscurata", "Stethotes tarsalis", "Stethotes carbonaria", "Stethotes nigrescens", "Stethotes jacobyi", "Stethotes arachnoides", "Stethotes hirticollis", "Gressittella riedeli", "Gressittella obscura", "Gressittella laevis", "Gressittana sculpturata", "Obesumbacterium proteus", "Scelodonta iriana", "Cleorina riedeli", "Cleorina pulchra", "Cleorina flavipes", "Cleorina femorata", "Cleorina schawalleri", "Cleorina bryanti", "Cleorina nigricornis", "Cleorina hirticollis", "Cleorina papuana", "Cleorina splendida", "Platycorynus splendens", "Colaspoides fulvus", "Colaspoides pseudorufa", "Galerucella quadripustulata", "Oides fedorenkoi", "Monolepta mirabilis", "Monolepta hagiangana", "Monolepta quinquefasciata", "Monolepta multisignata", "Chaenactis carphoclinia", "Monolepta fedorenkoi", "Monolepta binhphuoca", "Monolepta daklaka", "Berberis hayatana", "Chaenactis glabriuscula var. glabriuscula", "Sanariana sigia", "Gioia wittmeri", "Gioia georgia", "Gioia helga", "Gioia barbara", "Gioia antillarum", "Gioia heikertingeri", "Gioia cyanella", "Muscari subg.", "Muscari pallens", "Muscari pseudomuscari", "Muscari coeruleum", "Babiohaltica corumbana", "Varicoxa ustulata centralis", "Varicoxa clarki", "Bellevalia desertorum", "Basilepta makiharai", "Anolis savagei", "Anolis kathydayae", "Anolis brooksi", "Eremias dzungarica", "Bellevalia douinii", "Homonota septentrionalis", "Octogonotes citricinctus", "Panchrestus trochantericus", "Palopoda binotata", "Hypolampsis tympanalis", "Pachycorynus modestus", "Pachycorynus sabahensis", "Pachycorynus balaneion", "Pachycorynus kinabaluensis", "Pachycorynus danum", "Pachycorynus lanceolatus", "Electranthera mutica", "Metolinus nepalicus", "Longitarsus cristobalensis", "Varicoxa salinasi", "Varicoxa amans", "Varicoxa ustulata", "Varicoxa ustulata inconstans", "Varicoxa ustulata ustulata", "Varicoxa limnophila", "Varicoxa resplendens", "Heikertingerella planiceps", "Vanda mariae", "Anilios systenos", "Anilios obtusifrons", "Bellevalia densiflora", "Aphthona yunnomontana", "Aphthona almorensis", "Aphthona bengalica", "Aphthona cangshanensis", "Aphthona chiangmaiensis", "Aphthona clara", "Aphthona dalatensis", "Aphthona dongchuanica", "Aphthona fuscothailandensis", "Aphthona guamensis", "Aphthona habashanica", "Aphthona heveli", "Aphthona kashmirensis", "Aphthona kubani", "Aphthona luzonica", "Aphthona neoerythropoda", "Aphthona okinawaensis", "Aphthona omeishanica", "Aphthona paropaca", "Aphthona pelmoides", "Aphthona rawalpindica", "Aphthona semivaripes", "Aphthona simlaensis", "Aphthona singalilaensis", "Aphthona sinuatipennis", "Aphthona spenceri", "Aphthona steineri", "Aphthona tamdaoensis", "Aphthona tenasserimae", "Aphthona thailandensis", "Aphthona alanyensis", "Aphthona bergealoides", "Aphthona warchalowskii", "Aphthona bergeali", "Longitarsus angelikae", "Longitarsus manfredi", "Varicoxa aguablanca", "Varicoxa apolonia", "Varicoxa freyi", "Varicoxa campininha", "Bellevalia anatolica", "Longitarsus plaumanni", "Longitarsus substrangulatus", "Longitarsus corumbanus", "Bellevalia malatyaensis", "Longitarsus cornelius", "Longitarsus borisi", "Longitarsus danilevskyi", "Longitarsus igori", "Longitarsus nadiae", "Longitarsus fuscoaeneus", "Oligosoma prasinum", "Oligosoma elium", "Oligosoma kokowai", "Goggia matzikamaensis", "Goggia incognita", "Longitarsus tmetopterus", "Carlia isostriacantha", "Carlia insularis", "Carlia johnstonei", "Carlia triacantha", "Longitarsus weilli", "Neothona prima", "Neothona secunda", "Neothona tertia", "Neothona quarta", "Neothona quinta", "Neothona sexta", "Neothona septima", "Neothona octava", "Alopoglossus embera", "Blythia hmuifang", "Ctenotus pallasotus", "Ctenotus rhabdotus", "Ctenotus piankai", "Anolis urraoi", "Dendragama australis", "Dendragama dioidema", "Dendragama boulengeri", "Bellevalia koyuncui", "Aphthona yangsoensis", "Bellevalia assadii", "Aphthona yaosanica", "Bellevalia aucheri", "Aphthona yunnanica", "Bellevalia ciliata", "Bellevalia clusiana", "Bellevalia crassa", "Bellevalia cyanopoda", "Bellevalia cyrenaica", "Bellevalia decolorans", "Homonota horrida", "Bellevalia eigii", "Bellevalia feinbruniae", "Bellevalia flexuosa", "Nessia gansi", "Nessia burtonii", "Diploderma slowinskii", "Ixora malabarica", "Asota caricae", "Kinyongia rugegensis", "Kinyongia tolleyae", "Kinyongia itombwensis", "Oligosoma awakopaka", "Trichoglottis celebica", "Ophiodes enso", "Trichoglottis atropurpurea", "Pseudogekko sumiklab", "Trichoglottis acutifolia", "Trichoglottis adnata", "Trichoglottis agusanensis", "Trichoglottis amesiana", "Trichoglottis angusta", "Trichoglottis australiensis", "Trichoglottis apoensis", "Chaetodon miliaris", "Chaetodon fremblii", "Ptyodactylus ruusaljibalicus", "Polysastra obscuricornis", "Dibamus floweri", "Rhadinella lisyae", "Sceloporus gadsdeni", "Thamnodynastes phoenix", "Bellevalia saviczii", "Bellevalia tristis", "Bellevalia nivalis", "Xerotyphlops luristanicus", "Bellevalia speciosa", "Bellevalia longipes", "Bellevalia hermonis", "Bellevalia galitensis", "Bellevalia palmyrensis", "Bellevalia olivieri", "Colaspoides nepalensis", "Chrysolina tangalaensis", "Pyrrhalta tatesuji", "Polysastra irregularis", "Polysastra micropunctata", "Polysastra montana", "Brickellia hastata", "Brickellia incana", "Brickellia nevinii", "Polysastra kampeni", "Polysastra laetabilis", "Pseudobrickellia brasiliensis", "Pseudobrickellia angustissima", "Polysastra metallica", "Euspondylus excelsum", "Aristeguietia gayana", "Badilloa salicina", "Strophurus trux", "Saurauia microphylla", "Kryptolebias brasiliensis", "Kryptolebias sepia", "Bellevalia sitiaca", "Bellevalia salah-eidii", "Bellevalia macrobotrys", "Bellevalia macrobotrys subsp. pomelii", "Bellevalia macrobotrys subsp. macrobotrys", "Lamium bifidum subsp. balcanicum", "Brickellia atractyloides var. arguta", "Brickellia cavanillesii", "Brickellia eupatorioides var. corymbulosa", "Brickellia eupatorioides var. chlorolepis", "Bellevalia stepporum", "Phlomis iranica", "Cousinia amicorum", "Polysastra costatipennis", "Polysastra duplicator", "Polysastra explanata", "Polysastra fuscitarsis", "Polysastra helleri", "Polysastra inhabilis", "Ageratum peckii", "Saurauia leprosa", "Polysastra bicostata", "Polysastra confusa", "Tytthoscincus temasekensis", "Takydromus albomaculosus", "Anthaxia dimidiata", "Aspidura ravanai", "Lepidodactylus pantai", "Polysastra purpurasco", "Polysastra purpurasco purpurasco", "Polysastra purpurasco viridis", "Polysastra sedlaceki", "Polysastra suavis", "Polysastra varia", "Dreeus distinctus", "Marmina quadripustulata", "Calumma gehringi", "Hemidactylus kangerensis", "Cyrtodactylus sonlaensis", "Bellevalia warburgii", "Bellevalia validicarpa", "Bellevalia webbiana", "Bellevalia turkestanica", "Bellevalia wendelboi", "Bellevalia zoharyi", "Bellevalia tauri", "Bellevalia modesta", "Bellevalia spicata", "Bellevalia rixii", "Marmina basalis", "Polysastra abdominalis", "Sastracella collaris", "Stenoluperus emotoi", "Fitchia speciosa", "Stenoluperus thudamensis", "Aphthona basantapurica", "Aphthona dobangensis", "Hespera strigiceps", "Luperomorpha nepalica", "Manobia shimai", "Manobidia major", "Sphaeroderma nakanishii", "Hidalgoa ternata", "Longitarsus piceus", "Dactylispa platycanthoides", "Soteriscus trilineatus", "Soteriscus disimilis", "Oparanthus hivoanus", "Oparanthus teikiteetinii", "Oberonia japonica", "Oparanthus tiva", "Oparanthus woodii", "Petrobium arboreum", "Eupatorina sophiifolia", "Vanda aliceae", "Vanda alpina", "Sophora tomentosa subsp. australis", "Melanorivulus linearis", "Melanorivulus nigromarginatus", "Melanorivulus proximus", "Platydoris guarani", "Lobellina fusa", "Paralobella tianmuna", "Eupatorium album", "Batriscenellus xijiaogongyuan", "Polysastra venusta", "Polysastra rugulosa", "Eupatorium formosanum", "Grazielia intermedia", "Eupatorium luchuense", "Asarum tohokuense", "Pleopeltis masafuerae", "Bellevalia koeiei", "Bellevalia multicolor", "Bellevalia sessiliflora", "Bellevalia lipskyi", "Bellevalia shiraziana", "Bellevalia mosheovii", "Bellevalia tabriziana", "Bellevalia montana", "Bellevalia leucantha", "Tentaxus argentescens", "Tentaxus badasi", "Tentaxus brunnea", "Eupatorium mikanioides", "Tentaxus bruneii", "Tentaxus ferax", "Tentaxus makasi", "Tentaxus malleus", "Tentaxus mini", "Tentaxus minima", "Cousinia aintabensis", "Cousinia sect.", "Batriscenellus orientalis", "Cruoria areschougii", "Cruoria cruoriiformis", "Cruoria indica", "Cruoria middendorfii", "Cruoria pacifica", "Cruoria sachalinensis", "Pseudopolyides furcellarioides", "Holothrix aspera", "Cnemaspis purnamai", "Cyrtodactylus tanim", "Bellevalia behcetii", "Gyptis tanacetifolia", "Bellevalia pseudofominii", "Craspedocarpus erosus", "Craspedocarpus blepharicarpus", "Crocidosema illepidosa", "Craspedocarpus ramentaceus", "Craspedocarpus tenuifolius", "Craspedocarpus venosus", "Craspedocarpus jolyi", "Craspedocarpus humilis", "Craspedocarpus jindoensis", "Hofmeisteria fasciculata", "Cystoclonium purpureum", "Liatris ligulistylis", "Crocidosema lineana", "Tentaxus musculus", "Tentaxus penicilla", "Tentaxus scoblei", "Tentaxus tentaxia", "Tentaxus vetus", "Bellevalia parva", "Bellevalia gracilis", "Bellevalia pseudolongipes", "Bellevalia mauritanica", "Bellevalia heweri", "Bellevalia mathewii", "Bellevalia hyacinthoides", "Bellevalia kurdistanica", "Bellevalia edirnensis", "Bellevalia glauca", "Bellevalia chrisii", "Bellevalia romana", "Bellevalia dubia", "Angraecopsis lisowskii", "Tabidia obvia", "Eupatorium rotundifolium", "Disynaphia spathulata", "Hemidactylus sushilduttai", "Malmeanthus subintegerrimus", "Lisubatrus dongzhiweii", "Opisthotropis zhaoermii", "Garra tashanensis", "Fleischmannia incarnata", "Cruoria pellita", "Fleischmannia profusa", "Crocidosema platea", "Crocidosema dolicha", "Porcellio balearicus", "Liolaemus tirantii", "Liolaemus calliston", "Bellevalia undulatifolia", "Hemidactylus kurdicus", "Bellevalia stepporum var. transjordanica", "Bellevalia stepporum var. edumea", "Bellevalia stepporum var. stepporum", "Bellevalia flexuosa var. galalensis", "Bellevalia flexuosa var. flexuosa", "Bellevalia dubia subsp. hackelii", "Bellevalia dubia subsp. boissieri", "Bellevalia dubia subsp. dubia", "Muellerina eucalyptoides", "Plestiodon lotus", "Teratoscincus sistanense", "Quebradnotia venezolana", "Cubiculosporum koronicarpis", "Quebradnotia paulista", "Litothamnus nitidus", "Crocidosema longistria", "Crocidosema microscyphos", "Asarum ikegamii", "Crocidosema panda", "Crocidosema monias", "Crocidosema obliquata", "Cystoclonium difficile", "Cystoclonium obtusangulum", "Erythronaema ceramioides", "Batriscenellus besucheti", "Batriscenellus carltoni", "Batriscenellus cuccodoroi", "Batriscenellus fanxingqiui", "Batriscenellus loebli", "Batriscenellus pengzhongi", "Batriscenellus simplex", "Batriscenellus strictus", "Carphephorus bellidifolius", "Carphephorus corymbosus", "Batriscenellus femoralis", "Liatris aestivalis", "Liatris chapmanii", "Liatris glandulosa", "Muellerina celastroides", "Corybas walliae", "Liatris compacta", "Crocidosema mangaritibae", "Acanthococcus antarcticus", "Lourteigia ballotifolia", "Austroclonium charoides", "Batrisceniola fengtingae", "Lourteigia stoechadifolia", "Calliblepharis ciliata", "Calliblepharis jubata", "Laculataria brunnescens", "Laculataria cactsocia", "Laculataria elliptica", "Calliblepharis fimbriata", "Laculataria atrovirens", "Urolepis hecatantha", "Laculataria cajasana", "Calliblepharis celatospora", "Calliblepharis hypneoides", "Calliblepharis occidentalis", "Calliblepharis planicaulis", "Sympetrum speciosum", "Calliblepharis saidana", "Calliblepharis psammophila", "Crocidosema albocephalaeis", "Crocidosema marcapatae", "Crocidosema brunneomacula", "Crocidosema rotundata", "Crocidosema chloana", "Crocidosema perplexana", "Crocidosema leptozona", "Cousinia hakkarica", "Gloiophyllis barkerae", "Peltasta australis", "Cousinia libanotica", "Stictosporum nitophylloides", "Crocidosema thematica", "Ageratina deltoidea", "Domaldona latiptera", "Iatitaia itatiaiae", "Iatitaia pithana", "Iatitaia intercalata", "Miojuqa visibilis", "Miojuqa albivertex", "Miojuqa albovirens", "Miojuqa splendida", "Miojuqa defecta", "Miojuqa viridicans", "Miojuqa beryllina", "Ageratina anisochroma", "Latortona tortolana", "Latortona rhamna", "Latortona viridirufa", "Latortona tornota", "Cousinia eriocephala", "Latortona vulga", "Latortona mimosa", "Latortona cosmelia", "Cousinia birecikensis", "Latortona diplocosmea", "Cousinia vanensis", "Cousinia \u00d7 kurubasgecidiensis", "Cousinia satdaghensis", "Physomerinus pedator", "Abacaelostus filicornis", "Abacetus alaticollis", "Abacetus ambiguus", "Abacetus antoinei", "Abacetus basilewskyi", "Abacetus bifoveatus", "Abacetus discolor", "Abacetus exul", "Abacetus flavipes", "Abacetus fulvomarginatus", "Abacetus hexagonus", "Abacetus laevigatus", "Abacetus latemarginatus", "Abacetus lecordieri", "Abacetus leleupi", "Abacetus monardi", "Abacetus nigerrimus", "Abacetus notabilis", "Abacetus optimus", "Abacetus orbicollis", "Abacetus promptus", "Abacetus pseudoflavipes", "Abacetus semiopacus", "Abacetus severini", "Abacetus subflavipes", "Abacetus tenuimanus", "Abacetus abacillus", "Abacetus amaroides", "Abacetus anthracinus", "Abacetus audax", "Abacetus bechynei", "Abacetus bequaerti", "Abacetus brevisternus", "Abacetus cameronus", "Abacetus catersi", "Abacetus ceratus", "Abacetus congoanus", "Abacetus convexicollis", "Abacetus cordatus", "Abacetus corvinus", "Abacetus crenipennis", "Abacetus cuneatus", "Abacetus cuneipennis", "Abacetus curtus", "Abacetus dahomeyanus", "Abacetus zanzibaricus", "Abacetus crinifer", "Abacetus acutangulus", "Abacetus aeneocordatus", "Abacetus bembidioides", "Abacetus bipunctatus", "Abacetus bredoi", "Abacetus dainellii", "Abacetus decorsei", "Abacetus dilutipes", "Abacetus evulsus", "Abacetus freyi", "Abacetus fuscus", "Abacetus garavagliai", "Abacetus germanus", "Abacetus gimmanus", "Abacetus hirmocoeloides", "Abacetus madagascariensis", "Abacetus mameti", "Abacetus mediopunctatus", "Abacetus metallescens", "Abacetus monardianus", "Abacetus oritoides", "Abacetus perturbator", "Abacetus polli", "Abacetus pullus", "Abacetus puncticollis", "Abacetus pygmaeus", "Abacetus strenuus", "Abacetus tanganjikae", "Abacetus tibialis", "Abacetus aenigma", "Abacetus afer", "Abacetus angustatus", "Abacetus atratus", "Abacetus birmanus", "Abacetus congoensis", "Abacetus cordicollis", "Abacetus crenulatus", "Abacetus denticollis", "Abacetus elongatus", "Abacetus emeritus", "Abacetus hessei", "Abacetus impressicollis", "Abacetus insolatus", "Abacetus iricolor", "Abacetus longissimus", "Abacetus longiusculus", "Abacetus marginicollis", "Abacetus nigrans", "Abacetus nigrinus", "Abacetus reflexus", "Abacetus silvanus", "Abacetus subparallelus", "Abacetus subpunctatus", "Abacetus tridens", "Abacetus vexator", "Abacetus dorsalis", "Abacetus coscinioderus", "Abacetus kochi", "Abacetus vanemdeni", "Abacetus vatovai", "Abacetus villiersi", "Abacetus wakefieldi", "Abacetus wittei", "Abacetus aeneolus", "Abacetus aeneovirescens", "Abacetus aeneus", "Abacetus auratus", "Abacetus brevicollis", "Abacetus brunneus", "Abacetus catalai", "Abacetus communis", "Abacetus confinis", "Abacetus contractus", "Abacetus cribricollis", "Abacetus cursor", "Abacetus demoulini", "Abacetus desaegeri", "Abacetus elongellus", "Abacetus ennedianus", "Abacetus foveolatus", "Abacetus franzi", "Abacetus hararinus", "Abacetus hova", "Abacetus incertus", "Abacetus infimus", "Abacetus majorinus", "Abacetus michaelseni", "Abacetus minusculus", "Abacetus mouffleti", "Abacetus myops", "Abacetus neghellianus", "Abacetus nitidulus", "Abacetus nitidus", "Abacetus obesulus", "Abacetus occidentalis", "Abacetus pintori", "Abacetus planidorsis", "Abacetus planulus", "Abacetus protensus", "Abacetus pumilus", "Abacetus quadripustulatus", "Abacetus salzmanni", "Abacetus shilouvanus", "Abacetus simillimus", "Abacetus sinuaticollis", "Abacetus somalus", "Abacetus subauratus", "Abacetus suboccidentalis", "Abacetus subtilis", "Abacetus sudanicus", "Abacetus trechoides", "Abacetus trivialis", "Abacetus trivialoides", "Abacetus ukerewianus", "Abacetus vadoni", "Abacetus verschureni", "Abacetus villiersianus", "Abacetus virescens", "Abacetus angolanus", "Abacetus idiomerus", "Abacetus rufipalpis", "Abacetus aenescens", "Abacetus patrizii", "Abacetus piliger", "Abacetus puncticeps", "Callianthemum anemonoides", "Abacetus rubidus", "Abacetus setifer", "Abacetus spinicollis", "Abacetus stenoderus", "Abacetus atroirideus", "Abacetus pubescens", "Abacetus usherae", "Abacetus aberrans", "Abacetus abor", "Abacetus aeratus", "Abacetus alesi", "Abacetus amplicollis", "Abacetus amplithorax", "Abacetus angustior", "Abacetus anjouaniananus", "Abacetus annamensis", "Abacetus antiquus", "Abacetus archambaulti", "Abacetus artus", "Abacetus asmarensis", "Abacetus assiniensis", "Abacetus ater", "Abacetus australasiae", "Abacetus azurescens", "Abacetus barbieri", "Abacetus batesi", "Abacetus belli", "Abacetus bidentatus", "Abacetus bisignatus", "Abacetus blandus", "Abacetus borealis", "Abacetus candidus", "Abacetus cavicola", "Abacetus ceylanicus", "Abacetus chalcopterus", "Abacetus collarti", "Abacetus compactus", "Abacetus convexiusculus", "Abacetus crebrepunctatus", "Abacetus cribratellus", "Abacetus cyathoderus", "Abacetus cycloderus", "Abacetus darlingtoni", "Abacetus dejeani", "Abacetus dekkanus", "Abacetus delkeskampi", "Abacetus disjunctus", "Abacetus distigma", "Abacetus divergens", "Abacetus eous", "Abacetus feai", "Abacetus femoralis", "Abacetus foveifrons", "Abacetus furax", "Abacetus guineensis", "Abacetus guttiger", "Abacetus guttula", "Abacetus haemorrhous", "Abacetus haplosternus", "Abacetus hiekei", "Abacetus hirmocoelus", "Abacetus illuminans", "Abacetus impunctus", "Abacetus indrapoerae", "Abacetus kandaharensis", "Abacetus klickai", "Abacetus leucotelus", "Abacetus longulus", "Abacetus lucifugus", "Abacetus luteipes", "Abacetus minimus", "Abacetus mirei", "Abacetus mubalensis", "Callianthemum angustifolium", "Abacetus niger", "Abacetus obscurus", "Abacetus optatus", "Abacetus ornatus", "Abacetus pallipes", "Abacetus parvulus", "Abacetus perater", "Abacetus picescens", "Abacetus picipes", "Abacetus picticornis", "Abacetus pictus", "Abacetus pomeroyi", "Abacetus pseudoceratus", "Abacetus punctatellus", "Abacetus punctulatus", "Abacetus quadratipennis", "Abacetus quadricollis", "Abacetus quadriguttatus", "Abacetus quadrinotatus", "Abacetus quadrisignatus", "Abacetus rhodesianus", "Abacetus rubidicollis", "Abacetus rufopiceus", "Abacetus rufotestaceus", "Abacetus rufulus", "Abacetus rugatinus", "Abacetus seineri", "Abacetus semotus", "Abacetus siamensis", "Abacetus simplex", "Abacetus spissus", "Abacetus spurius", "Abacetus subamaroides", "Abacetus submetallicus", "Abacetus subopacus", "Abacetus subrotundus", "Callianthemum coriandrifolium", "Abacetus sulculatus", "Abacetus tanakai", "Abacetus tenebrioides", "Abacetus tenuis", "Abacetus tetraspilus", "Abacetus thouzeti", "Abacetus transcaucasicus", "Abacetus unisetosus", "Abacetus vitreus", "Abacetus voltae", "Abacetus zarudnyi", "Abacidus atratus", "Acupalpus antongilensis", "Acupalpus bifossulatus", "Acupalpus brunnipes", "Acupalpus canadensis", "Acupalpus cantabricus", "Acupalpus carus", "Acupalpus dimidiatus", "Acupalpus djemdjemensis", "Acupalpus dubius", "Acupalpus egenus", "Acupalpus elegans", "Acupalpus erythroderes", "Acupalpus exiguus", "Acupalpus flaviceps", "Acupalpus flavicollis", "Acupalpus foveicollis", "Acupalpus gracilis", "Acupalpus hydropicus", "Acupalpus ibericus", "Acupalpus inouyei", "Acupalpus insidiosus", "Acupalpus iridens", "Acupalpus jaegeri", "Acupalpus kundelunguensis", "Acupalpus laevicollis", "Acupalpus laferi", "Acupalpus latipennis", "Acupalpus latiusculus", "Acupalpus leleupi", "Acupalpus limbatus", "Acupalpus lucasi", "Acupalpus luteatus", "Acupalpus maculatus", "Acupalpus meridianus", "Acupalpus micheli", "Acupalpus nanellus", "Acupalpus nigronitidus", "Acupalpus notatus", "Acupalpus oliveirae", "Acupalpus orszuliki", "Acupalpus pallidus", "Acupalpus paludicola", "Acupalpus parelaphus", "Acupalpus parvulus", "Acupalpus planicollis", "Acupalpus pumilus", "Acupalpus puncticollis", "Acupalpus punduanus", "Acupalpus ruandanus", "Acupalpus schnitteri", "Acupalpus silaceus", "Acupalpus simplex", "Acupalpus storozhenkoi", "Acupalpus stricticollis", "Acupalpus suturalis", "Acupalpus tachioides", "Acupalpus testaceipes", "Acupalpus turcicus", "Acupalpus umbripennis", "Acupalpus usambaranus", "Acupalpus ussuriensis", "Acupalpus vadoni", "Acupalpus viduus", "Acupalpus zaerensis", "Abacetus alacer", "Abacetus alluaudi", "Abacetus aterrimus", "Abacetus bicolor", "Abacetus carinifer", "Abacetus ceylandoides", "Abacetus chalceus", "Abacetus chalcites", "Abacetus claripes", "Abacetus complanatus", "Abacetus conradsi", "Abacetus cordatissimus", "Abacetus crenulicordatus", "Abacetus cyclomus", "Abacetus diversus", "Abacetus drimostomoides", "Abacetus fraternus", "Abacetus fuscorufescens", "Abacetus globulicollis", "Abacetus gondati", "Abacetus hulstaerti", "Abacetus humeratus", "Abacetus humilis", "Abacetus imerinae", "Abacetus immarginatus", "Abacetus inopinus", "Abacetus iridipennis", "Abacetus ituriensis", "Abacetus leonensis", "Abacetus levisulcatus", "Abacetus macer", "Abacetus maculatus", "Abacetus mareei", "Abacetus marginatus", "Abacetus marginibasis", "Abacetus marshalli", "Abacetus micros", "Abacetus minutus", "Abacetus nanus", "Abacetus natalensis", "Abacetus obtusus", "Abacetus olivaceus", "Abacetus perplexus", "Abacetus perrieri", "Abacetus politulus", "Abacetus politus", "Abacetus profundillus", "Abacetus pseudangolanus", "Abacetus radama", "Abacetus rufinus", "Abacetus rufipes", "Abacetus rufoapicatus", "Abacetus semibrunneus", "Abacetus senegalensis", "Abacetus sinuatellus", "Abacetus striatus", "Abacetus subglobosus", "Abacetus testaceipes", "Abacetus thoracicus", "Abacetus tibiellus", "Abacetus vaccaroi", "Abacetus vertagus", "Abacetus xanthopoides", "Abacetus xanthopus", "Acalathus advena", "Acalathus businskyi", "Acalathus fallax", "Acalathus langmusiensis", "Acalathus nanpingensis", "Acalathus shaanxiensis", "Acalathus yunnanicus", "Acallistus cuprescens", "Acallistus longus", "Acallistus plebius", "Acanthoodes centrosternis", "Acanthoscelis ruficornis", "Achaetocephala atrata", "Acheroniotes golovranicensis", "Acheroniotes mlejneki", "Acinopus almeriensis", "Acinopus ambiguus", "Acinopus antoinei", "Acinopus baudii", "Acinopus boiteli", "Acinopus creticus", "Acinopus cylindraceus", "Acinopus dianae", "Acinopus doderoi", "Acinopus giganteus", "Acinopus grassator", "Acinopus jeannei", "Acinopus laevigatus", "Acinopus laevipennis", "Acinopus lepeletieri", "Acinopus liouvillei", "Acinopus picipes", "Acinopus pilipes", "Acinopus pueli", "Acinopus sabulosus", "Acinopus subquadratus", "Acinopus haroldii", "Acinopus striolatus", "Acinopus labiatus", "Acinopus gutturosus", "Acinopus megacephalus", "Acinopus ammophilus", "Acrogenys arafurae", "Acrogenys canaliculata", "Acrogenys centralis", "Acrogenys curtipennis", "Acrogenys danielsi", "Acrogenys demarzi", "Acrogenys heathlandica", "Acrogenys hirsuta", "Acrogenys jabiruensis", "Acrogenys kimberleyana", "Acrogenys laticollis", "Acrogenys lucai", "Acrogenys puncticollis", "Acrogenys sumlini", "Acrogenys longicollis", "Actenoncus ater", "Actenoncus foersteri", "Actenoncus wallacei", "Actodus longeantennatus", "Acupalpus alluaudianus", "Acupalpus alumnus", "Acupalpus angulosus", "Agonocheila plagiata", "Agonocheila punctulata", "Agonocheila quadricollis", "Agonocheila ruficollis", "Agonocheila signata", "Agonocheila sinuosa", "Agonocheila subfasciata", "Agonocheila sublaevis", "Agonocheila suturalis", "Agonocheila vittula", "Armadillidium espanyoli", "Fimbrifolium dichotomum", "Fimbrifolium capillare", "Fimbrifolium spinulosum", "Ageratina fastigiata", "Ageratina glechonophylla", "Ageratina kupperi", "Abacetus distinctus", "Abacetus duvivieri", "Abacetus ellipticus", "Abacetus excavatus", "Abacetus fimbriatus", "Abacetus fuscipes", "Abacetus gagates", "Abacetus gagatinus", "Abacetus ganglbaueri", "Abacetus harpaloides", "Abacetus ifani", "Abacetus insularis", "Abacetus intermedius", "Abacetus iridescens", "Abacetus jedlickai", "Abacetus johannae", "Abacetus katanganus", "Abacetus kivuanus", "Abacetus kordofanicus", "Abacetus latus", "Abacetus lautus", "Abacetus leistoides", "Abacetus liberianus", "Abacetus longelytratus", "Abacetus loricatus", "Abacetus lucidulus", "Abacetus mabalianus", "Abacetus major", "Abacetus mashunus", "Abacetus mateui", "Abacetus melancholicus", "Abacetus micans", "Abacetus multipunctatus", "Abacetus nitens", "Bolax gummifera", "Abacetus ovalis", "Abacetus overlaeti", "Abacetus parallelus", "Abacetus pavoninus", "Abacetus percoides", "Abacetus picicollis", "Abacetus poeciloides", "Abacetus procax", "Abacetus proximus", "Abacetus pseudomashunus", "Abacetus punctatostriatus", "Abacetus punctatosulcatus", "Abacetus punctibasis", "Abacetus quadraticollis", "Abacetus refleximargo", "Abacetus rotundicollis", "Abacetus rubromarginatus", "Abacetus salamensis", "Abacetus servitulus", "Abacetus straneoi", "Abacetus subdepressus", "Abacetus sublucidulus", "Abacetus subnitens", "Abacetus suborbicollis", "Abacetus subrotundatus", "Abacetus trapezialis", "Abacetus treichi", "Abacetus ueleanus", "Abacetus usagarensis", "Cousinia canescens", "Armadillidium pretusi", "Cousinia birandiana", "Cousinia aucheri", "Cousinia bicolor", "Cousinia boissieri", "Isoetes storkii", "Armadillidium serrai", "Pimelea axiflora", "Syndicus long", "Syndicus himalayanus", "Cousinia wesheni", "Cousinia urumiensis", "Cousinia stenocephala", "Syndicus grossepunctatus", "Syndicus hainanicus", "Syndicus schuelkei", "Cousinia stapfiana", "Cousinia sivasica", "Cousinia sintenisii", "Ageratina tinifolia", "Ageratina vacciniifolia", "Cyperus javanicus", "Gahnia javanica", "Cousinia sect.", "Phloeonomus nanus", "Coproporus cognatus", "Adelotopus puncticollis", "Adelotopus rubiginosus", "Adelotopus rufoguttatus", "Adelotopus seriepunctatus", "Adelotopus tasmani", "Adelotopus variolosus", "Adelotopus vicinus", "Adelotopus zonatus", "Adischissus amoenulus", "Adischissus angularis", "Adischissus borneensis", "Adischissus indragiriensis", "Adischissus japonicus", "Adischissus notulatoides", "Adischissus notulatus", "Adischissus obscuricornis", "Adischissus pantarensis", "Adischissus pradieri", "Adischissus quadrimaculatus", "Adischissus quadrinotatus", "Adischissus queenslandicus", "Adischissus repertus", "Adotela apicalis", "Adotela atronitens", "Adotela australis", "Adotela bicolor", "Adotela carbonaria", "Adotela carenoides", "Adotela concolor", "Adotela esmeralda", "Adotela frenchi", "Adotela grandis", "Adotela howittii", "Adotela laevigata", "Adotela nigerrima", "Adotela noctis", "Adotela striolata", "Adotela violacea", "Adotela viridis", "Adriaphaenops albanicus", "Adriaphaenops antroherponomimus", "Adriaphaenops jasminkoi", "Adriaphaenops kevser", "Adriaphaenops mlejneki", "Adriaphaenops njegosiensis", "Adriaphaenops pretneri", "Adriaphaenops rumijaensis", "Adriaphaenops staudacheri", "Adriaphaenops stirni", "Adriaphaenops zupcensis", "Adrimus aenescens", "Adrimus affinis", "Adrimus balli", "Adrimus claripes", "Adrimus creperus", "Adrimus elytralis", "Adrimus fuscipes", "Adrimus geminatus", "Adrimus irideus", "Adrimus latibasis", "Adrimus longior", "Adrimus matoanus", "Adrimus microderus", "Adrimus olivaceus", "Acupalpus interstitialis", "Acupalpus mediterraneus", "Acupalpus morulus", "Acupalpus hilaris", "Acupalpus sobosanus", "Acupalpus alienus", "Acupalpus alluaudi", "Acupalpus andrewesi", "Acupalpus bequaerti", "Acupalpus boops", "Acupalpus borkuanus", "Acupalpus brunnicolor", "Acupalpus distincticollis", "Acupalpus elaphus", "Acupalpus hartmanni", "Acupalpus hiekei", "Acupalpus inornatus", "Acupalpus leroyi", "Acupalpus maculipennis", "Acupalpus papua", "Acupalpus posticalis", "Acupalpus punctatus", "Acupalpus quadrisetosus", "Acupalpus rhombotus", "Acupalpus seydeli", "Acupalpus sinuellus", "Acupalpus terminalis", "Acupalpus ustus", "Acupalpus villiersi", "Acupalpus gerdmuelleri", "Acupalpus sikkimensis", "Acupalpus indistinctus", "Acupalpus partiarius", "Acupalpus pauperculus", "Acupalpus testaceus", "Acutosternus mandibularis", "Acutosternus ovatulus", "Adelopomorpha glabra", "Adelotopus affinis", "Adelotopus analis", "Adelotopus aphidioides", "Adelotopus apicalis", "Adelotopus bimaculatus", "Adelotopus brevipennis", "Adelotopus celeripes", "Adelotopus cornutus", "Adelotopus debitor", "Adelotopus dytiscides", "Adelotopus elongatulus", "Adelotopus exactor", "Adelotopus fasciatus", "Adelotopus gyrinoides", "Adelotopus haemorrhoidalis", "Adelotopus hydrobioides", "Adelotopus jacobsoni", "Adelotopus laevis", "Adelotopus linearis", "Adelotopus maculipennis", "Adelotopus mutchilbae", "Adelotopus nemosomoides", "Adelotopus nigerrimus", "Adelotopus paroensis", "Adelotopus politus", "Adelotopus punctatus", "Abacidus fallax", "Abacidus hamiltoni", "Abacidus permundus", "Abacidus sculptus", "Abacillius aculeatus", "Abacillius basilewskyi", "Abacillodes jocquei", "Abacillodes malawianus", "Abacops rugipennis", "Abaditicus collaris", "Abaditicus meyeri", "Abaris aequinoctialis", "Abaris bicolor", "Abaris convexa", "Abaris franiai", "Abaris inaequaloides", "Abaris inflata", "Abaris nigra", "Abaris nitida", "Abaris nobilis", "Abaris opaca", "Abaris retiaria", "Abaris splendidula", "Abaris tachypoides", "Abaris wardi", "Abaris mina", "Abaris napoensis", "Abaris notiophiloides", "Abaris picipes", "Abaris robustula", "Abaris striolata", "Abax carinatus", "Abax schueppeli", "Abax arerae", "Abax baenningeri", "Abax beckenhauptii", "Abax contractus", "Abax ecchelii", "Abax exaratus", "Abax fiorii", "Abax oblongus", "Abax ovalis", "Abax parallelepipedus", "Abax parallelus", "Abax pilleri", "Abax pyrenaeus", "Abax sexualis", "Abax springeri", "Abax teriolensis", "Abrodiella amoenula", "Abrodiella pittoresca", "Abropus carnifex", "Abroscelis longipes", "Abroscelis maino", "Abroscelis mucronata", "Abroscelis psammodroma", "Abroscelis tenuipes", "Acalathus drolmae", "Acalathus kangdingensis", "Acalathus luhuoensis", "Acalathus semirufescens", "Acalathus validulus", "Acalathus wrzecionkoi", "Acalathus xiahensis", "Ageratina viburnoides", "Acleris aspersana", "Cousinia alata", "Acleris caucasica", "Acleris celiana", "Acleris cervinana", "Acleris chionocentra", "Cousinia dissecta", "Cousinia falconeri", "Cousinia leiocephala", "Mikania argyreiae", "Cousinia sclerolepis", "Cousinia thomsonii", "Ectoedemia parva", "Cousinia caespitosa", "Mikania campanulata", "Cousinia lasiophylla", "Cousinia polycephala", "Cousinia affinis", "Ectoedemia angulifasciella", "Ectoedemia hendrikseni", "Ectoedemia heckfordi", "Ectoedemia phaeolepis", "Ectoedemia coscoja", "Cousinia aleppica", "Cousinia ramosissima", "Cousinia nabelekii", "Cousinia macroptera", "Cousinia intertexta", "Arabis scabra", "Hypnea musciformis", "Polyortha larocae", "Polyortha paranae", "Hypnea charoides", "Hypnea spicifera", "Hypnea variabilis", "Hypnea cervicornis", "Anaphalis alpicola", "Schistura epixenos", "Agonidium chowo", "Agonidium comoricum", "Hypneocolax stellaris", "Agonidium cyanipenne", "Agonidium descarpentriesi", "Agonidium dilaticolle", "Agonidium excisum", "Agonidium explanatum", "Agonidium exultans", "Agonidium fuscicornis", "Agonidium gracile", "Agonidium hyporobium", "Agonidium itremense", "Agonidium jemjemense", "Agonidium johnstoni", "Agonidium kahuzianum", "Agonidium kapiriense", "Agonidium kedongianum", "Agonidium kenyense", "Agonidium kikuyu", "Agonidium kinangopinum", "Agonidium lebisi", "Agonidium leleupi", "Agonidium longeantennatum", "Agonidium madecassum", "Agonidium milloti", "Agonidium mus", "Agonidium natalense", "Agonidium nepalense", "Agonidium nidicola", "Agonidium nyakagerae", "Agonidium nyikense", "Agonidium obscurum", "Agonidium oldeanicum", "Agonidium parvicolle", "Agonidium rhytoctonum", "Agonidium rufipes", "Agonidium rufoaeneum", "Agonidium rugosicolle", "Agonidium strenuum", "Agonidium swahilius", "Agonidium viphyense", "Agonidium wittei", "Agonidus cephalotes", "Agonobembix perrieri", "Agonocheila anomala", "Agonocheila antipodum", "Agonocheila biguttata", "Agonocheila bimaculata", "Agonocheila chaudoiri", "Agonocheila cribripennis", "Agonocheila curtula", "Agonocheila duplicata", "Agonocheila fasciata", "Agonocheila fenestrata", "Agonocheila flindersi", "Agonocheila guttata", "Agonocheila irrita", "Agonocheila koebelei", "Agonocheila lutosa", "Agonocheila macleayi", "Agonocheila mollis", "Agonocheila perplexa", "Rhodophyllis divaricata", "Rhodophyllis reptans", "Rhodophyllis aleutica", "Rhodophyllis gracilarioides", "Paracanthocobitis triangula", "Paracanthocobitis nigrolineata", "Paracanthocobitis marmorata", "Actinobole uliginosum", "Phenacoscorpius mccoskeri", "Rhodophyllis membranacea", "Rhodophyllis hypneoides", "Rhodophyllis lacerata", "Rhodophyllis multipartita", "Rhodophyllis volans", "Rhodophyllis irvineorum", "Rhodophyllis madeirensis", "Rhodophyllis peltata", "Mikania chenopodifolia", "Cousinia humilis", "Cousinia halysensis", "Cousinia grandis", "Mikania cordifolia", "Cousinia foliosa", "Cousinia euphratica", "Mikania cynanchifolia", "Verbascum golawanense", "Mikania involucrata", "Lobogenesis penai", "Lobogenesis larana", "Lobogenesis magdalenana", "Lobogenesis contrasta", "Lobogenesis peruviana", "Lobogenesis antiqua", "Lobogenesis varnicosa", "Haplophthalmus alicantinus", "Adrimus panamensis", "Adrimus paulensis", "Adrimus proximus", "Adrimus rufangulus", "Adrimus suturalis", "Adrimus uruguaicus", "Adrimus ventralis", "Adrimus virens", "Adrimus viridescens", "Aenigma iris", "Aeolodermus emarginatus", "Aepopsis robinii", "Aepsera ferruginea", "Aepus gallaecus", "Aepus gracilicornis", "Aepus marinus", "Afranillus schuelei", "Afrodipnus transvaalianus", "Afrodromius indotatus", "Afromizonus ruber", "Afromizonus tecospilus", "Afromizonus voltae", "Afrosyleter congoensis", "Afrosyleter ituricus", "Afrosyleter leleupi", "Afrosyleter pauliani", "Afrosyleter reticulatus", "Afrosyleter serrulatus", "Afrotachys brincki", "Afrotarus alluaudi", "Afrotarus fadli", "Afrotarus kilimanus", "Afrotarus leleupi", "Afrotarus meruanus", "Afrotarus niger", "Afrotarus raffrayi", "Afrotarus scotti", "Afrotarus soudaensis", "Agastus alternatus", "Agastus biseriatus", "Agastus congoanus", "Agastus fuscatus", "Agastus gabonicus", "Agastus hirsutus", "Agastus kivuanus", "Agastus nitidipennis", "Agastus ocularis", "Agastus ustulatus", "Agastus zuphioides", "Agelaea fulva", "Agelaea himalayica", "Agonica ovalipennis", "Agonica simsoni", "Agonica sloanei", "Agonica victoriensis", "Agonidium alacre", "Agonidium amplipenne", "Agonidium babaulti", "Agonidium bamboutense", "Agonidium betsileo", "Agonidium birmanicum", "Agonidium camerunicum", "Coproporus conformis", "Coproporus curtus", "Coproporus duplex", "Coproporus ignavus", "Coproporus inclusus", "Coproporus obesus", "Coproporus politus", "Coproporus retrusus", "Coproporus rotundatus", "Haplophthalmus chisterai", "Coproporus rufescens", "Haplophthalmus valenciae", "Coproporus scutellatus", "Coproporus similis", "Coproporus tinctus", "Mikania natalensis", "Mikania obovata", "Mikania pinnatiloba", "Mikania salzmanniifolia", "Mikania sessilifolia", "Mikania trinervis", "Mikania psilostachya", "Megalomys desmarestii", "Chromolaena ivifolia", "Chromolaena laevigata", "Lobogenesis lobata", "Chromolaena opadoclinia", "Sepedophilus latus", "Aleochara mundana", "Aleochara prisca", "Aleochara verecunda", "Praxelis diffusa", "Atheta brevis", "Atheta capta", "Atheta gilva", "Atheta syntheta", "Atheta tenax", "Atheta traili", "Shinnersia rivularis", "Ophioglossa cava", "Metadeinopsis longicornis", "Metadeinopsis matthewsi", "Falagria curtipennis", "Acanthocladium dockeri", "Phalonidia dysmorphia", "Achyrocline alata", "Macedonethes castellonensis", "Mazaediothecium mohamedii", "Athrixia elata", "Athrixia fontana", "Athrixia phylicoides", "Bellida graminea", "Hercostomus anae", "Belloa chilensis", "Hercostomus geniculatus", "Hercostomus ulrichi", "Hercostomus basiflavus", "Berroa gnaphalioides", "Hercostomus beijingensis", "Hercostomus nanjingensis", "Hercostomus spatiosus", "Ahypophyllus sinensis", "Hercostomus digitatus", "Hercostomus emeiensis", "Hercostomus guangxiensis", "Hercostomus shennongjiensis", "Hercostomus sichuanensis", "Hercostomus spiniger", "Hercostomus wudangshanus", "Hercostomus yadonganus", "Gymelloxes terea", "Cousinia sect.", "Basileuterus melanotis", "Arctium sect.", "Cousinia sect.", "Dumontia contorta", "Cousinia sect.", "Basileuterus punctipectus", "Cousinia sect.", "Cousinia sect.", "Dumontia clava", "Cousinia sect.", "Dumontia canariensis", "Cousinia sect.", "Dumontia simplex", "Dumontia alaskana", "Heptapterus mandimbusu", "Gymnothorax visakhaensis", "Cordylancistrus pijao", "Xyleborus dispar", "Ariopsis jimenezi", "Ariopsis canteri", "Polyortha radiata", "Monortha funestra", "Xenisthmus oligoporus", "Leptolalax maoershanensis", "Pimelodus yuma", "Pimelodus crypticus", "Sacura sanguinea", "Atractoscion macrolepis", "Atractoscion microlepis", "Atractoscion atelodus", "Schistura madhavai", "Hemibates koningsi", "Chimaera buccanigella", "Chimaera didierae", "Chimaera willwatchi", "Hyphessobrycon ericae", "Hyphessobrycon wosiackii", "Diestota sperata", "Gansia varicornis", "Cousinia ermenekensis", "Brachida reyi", "Brachycantharus batesi", "Gyrophaena convexa", "Gyrophaena debilis", "Gyrophaena juncta", "Gyrophaena laevis", "Gyrophaena parca", "Gyrophaena parvula", "Gyrophaena pumila", "Gyrophaena sparsa", "Gyrophaena tridens", "Homalota rufa", "Anaphalis javanica", "Anaphalis longifolia", "Macrogerodonia batesi", "Anaphalis pelliculata", "Anaphalis viscida", "Myrmigaster singularis", "Anaphalis wightiana", "Upeneus spottocaudalis", "Upeneus farnis", "Hypnea alopecuroides", "Hypnea anastomosans", "Hypnea arbuscula", "Hypnea arenaria", "Hypnea asiatica", "Zyras extranea", "Hypnea brasiliensis", "Hypnea bryoides", "Hypnea caespitosa", "Hypnea cenomyce", "Hypnea ceramioides", "Hypnea chordacea", "Hypnea coccinea", "Hypnea compressa", "Hypnea congesta", "Hypnea cornuta", "Hypnea divaricata", "Hypnea ecklonii", "Hypnea edeniana", "Hypnea esperi", "Hypnea evermannii", "Hypnea filiformis", "Hypnea flagelliformis", "Hypnea flava", "Hypnea flexuosa", "Hypnea fruticulosa", "Hypnea furnariana", "Zyras fortunata", "Hypnea hamulosa", "Hypnea intricata", "Hypnea japonica", "Etmopterus samadiae", "Asteridea athrixioides", "Adelomyrmex dorae", "Asteridea pulverulenta", "Chrysotus bicercusi", "Garra clavirostris", "Nybelinella brevianalis", "Chrysotus hypnususi", "Chrysotus pallidipalpus", "Macrhybopsis boschungi", "Macrhybopsis tomellerii", "Macrhybopsis pallida", "Macrhybopsis etnieri", "Diaphorus hadesusi", "Empis apicinuda", "Empis brevitarsalis", "Empis dorsiseta", "Empis emeiensis", "Empis longiseta", "Empis longispina", "Empis quadrata", "Empis wanglangana", "Empis xii", "Amblygaster indiana", "Cyphocharax boiadeiro", "Buenia massutii", "Odontesthes yucuman", "Adelotremus deloachi", "Hypnea johnstonii", "Hypnea krugiana", "Hypnea marchantae", "Hypnea multicornis", "Hypnea nidifica", "Hypnea nidulans", "Hypnea nigrescens", "Hypnea pannosa", "Hypnea pectinella", "Hypnea platyclada", "Hypnea pseudomusciformis", "Hypnea ramentacea", "Hypnea reptans", "Hypnea rosea", "Hypnea rugulosa", "Zyras nitidula", "Hypnea spinella", "Hypnea stellulifera", "Hypnea tenuis", "Hypnea unilateralis", "Hypnea vaga", "Hypnea valentiae", "Hypnea viridis", "Hypnea volubilis", "Hypnea wynnei", "Hypnea yamadae", "Hypnea yokoyana", "Zyras picticornis", "Zyras pollens", "Zyras scabripennis", "Trachelochismus aestuarium", "Zyras spinifera", "Enchelycore propinqua", "Anemocarpa saxatilis", "Ancylis impatiens", "Eumicrotremus jindoensis", "Eumicrotremus uenoi", "Dicranema revolutum", "Dicranema cincinnalis", "Ancylis rimosa", "Dicranema rosaliae", "Angianthus preissianus", "Pedicularis keiskei", "Angianthus acrohyalinus", "Schistura paraxena", "Pinnatiphycus menouanus", "Reptataxis rhizophora", "Luciobarbus chelifensis", "Luciobarbus mascarensis", "Tenaciphyllum lobatum", "Tenaciphyllum rotundilobum", "Cymatognathus aureolateralis", "Oxynoemacheilus zarzianus", "Tenaciphyllum xishaense", "Lampetra soljani", "Hemiancistrus furtivus", "Tylotus obtusatus", "Trimma finistrinum", "Trimma bathum", "Tylotus lichenoides", "Oxynoemacheilus kentritensis", "Oxynoemacheilus hazarensis", "Oxynoemacheilus gyndes", "Oxynoemacheilus hanae", "Tania mohamedii", "Parachaetophiloscia levantina", "Eigenmannia correntes", "Melanorivulus ignescens", "Thuretellopsis peggiana", "Eutropis bibronii", "Osteospermum amplectens", "Waernia mirabilis", "Cephalipterum drummondii", "Chevreulia sarmentosa", "Cousinia eleonorae", "Actaea europaea", "Myxine glutinosa", "Amylotheca dictyophleba", "Mazaediothecium album", "Gyrophaena bicarinella", "Aphelia imperfectana", "Aphelia unitana", "Chrysocephalum apiculatum subsp. apiculatum", "Melanorivulus flavipinnis", "Melanorivulus regularis", "Oreoglanis hponkanensis", "Dudresnaya verticillata", "Dudresnaya abbottiae", "Gobiesox lanceolatus", "Dudresnaya canariensis", "Argentipallium niveum", "Hydrolagus erithacus", "Devario myitkyinae", "Devario fangae", "Argyroglottis turbinata", "Nemipterus sugillatus", "Dudresnaya multiramosa", "Syngnathus chihiroe", "Pseudobarbus swartzi", "Melanorivulus nigropunctatus", "Melanorivulus ofaie", "Etmopterus lailae", "Glyptothorax forabilis", "Glyptothorax porrectus", "Alburnoides kurui", "Alburnoides kosswigi", "Alburnoides freyhofi", "Grammatonotus xanthostigma", "Grammatonotus pelipel", "Schistura greenei", "Ituglanis compactus", "Laubuka parafasciata", "Otothyropsis dialeukos", "Asteridea chaetopoda", "Chrysocephalum eremaeum", "Chrysocephalum puteale", "Pangrapta neoobscurata", "Pangrapta suaveola", "Pangrapta obscurata", "Dilsea carnosa", "Dilsea californica", "Dilsea lindstromiae", "Dilsea natashae", "Dilsea pygmaea", "Dilsea socialis", "Chrysocephalum semipapposum subsp. semipapposum", "Coronidium elatum subsp. elatum", "Mazaediothecium rubiginosum", "Cousinia sect.", "Cousinia sect.", "Basileuterus tacarcunae", "Cousinia sect.", "Cousinia sect.", "Mazaediothecium uniseptatum", "Dumontia cornuta", "Gibsmithia hawaiiensis", "Gibsmithia dotyi", "Gibsmithia larkumii", "Gibsmithia womersleyi", "Gibsmithia eilatensis", "Masudaphycus irregularis", "Masudaphycus aenigmatosus", "Cousinia lomakinii", "Cousinia fedorovii", "Cousinia hamosa", "Trichoniscoides serrai", "Mycocalicium enterographicola", "Stenocybe tropica", "Amblypsilopus longwanganus", "Hercostomus brevis", "Hercostomus curvatus", "Hercostomus wuhongi", "Phalacrosoma zhejiangense", "Bombycilaena erecta", "Dudresnaya australis", "Dudresnaya bermudensis", "Phalacrosoma argyrea", "Parascombrops yamanouei", "Phalacrosoma briarea", "Parascombrops parvidens", "Dudresnaya canescens", "Bombycilaena discolor", "Parascombrops ohei", "Dudresnaya babbittiana", "Parascombrops nakayamai", "Parascombrops mochizukii", "Phalacrosoma amoenus", "Phalacrosoma fulgidipes", "Phalacrosoma imperfectus", "Parascombrops madagascariensis", "Parascombrops glossodon", "Dudresnaya littleri", "Dudresnaya capricornica", "Calocephalus citreus", "Simpsonichthys espinhacensis", "Dudresnaya colombiana", "Calocephalus francisii", "Dudresnaya crassa", "Bythaelurus vivaldii", "Hercostomus hainanensis", "Farlowia mollis", "Acropsilus zengchengensis", "Euthorax aliena", "Euthorax culpa", "Acropsilus guangdongensis", "Acropsilus guangxiensis", "Acropsilus jinxiuensis", "Acropsilus luoxiangensis", "Acropsilus yunnanensis", "Acropsilus zhuae", "Placusa confinis", "Farlowia conferta", "Leptocladia binghamiae", "Cassinia aculeata subsp. aculeata", "Leptocladia peruviana", "Oxaea flavescens", "Dasyphloea insignis", "Cassinia tenuifolia", "Cassinia trinerva", "Cassinia leptocephala", "Cassinia leptocephala subsp. leptocephala", "Trichoniscoides calcaris", "Hyalosiphonia caespitosa", "Trichoniscoides pitarquensis", "Kraftia dichotoma", "Orculifilum denticulatum", "Coronidium cymosum", "Rhodopeltis australis", "Rhodopeltis borealis", "Cousinia argentea", "Cousinia kadereitii", "Endocladia vernicata", "Endocladia muricata", "Craspedia canens", "Gloiopeltis dura", "Craspedia glauca", "Epicallima atrofasciella", "Gloiopeltis furcata", "Craspedia variabilis", "Gloiopeltis tenax", "Gloiopeltis complanata", "Gloiopeltis frutex", "Polyipnus laruei", "Dudresnaya georgiana", "Calocephalus knappii", "Physoschistura absumbra", "Dudresnaya hawaiiensis", "Altrichthys alelia", "Hercostomus dashahensis", "Dudresnaya japonica", "Dudresnaya minima", "Dudresnaya kuroshioensis", "Dudresnaya okiensis", "Rana dabieshanensis", "Dudresnaya patula", "Dudresnaya puertoricensis", "Aphalacrosoma absarista", "Aphalacrosoma crypsus", "Calocephalus platycephalus", "Aphalacrosoma crypsusoideus", "Aphalacrosoma modestus", "Cousinia erivanensis", "Cousinia iljinii", "Cousinia tenuifolia", "Cousinia microcephala", "Cousinia orientalis", "Constantinea rosa-marina", "Constantinea sitchensis", "Cousinia hohenackeri", "Constantinea simplex", "Constantinea subulifera", "Cousinia araxena", "Cousinia armena", "Cousinia brachyptera", "Cryptosiphonia woodii", "Cryptosiphonia grayana", "Cousinia caesarea", "Cousinia cataonica", "Cousinia cirsioides", "Farlowia compressa", "Cousinia decolorans", "Vachellia valida", "Angophora bakeri", "Sphenoptera purpuriventris", "Djalmabatista patamona", "Djalmabatista wapixana", "Djalmabatista sinica", "Gamochaeta antillanum", "Gamochaeta argentina", "Polypedilum aequabe", "Polypedilum adustalum", "Sphenoptera zarudniana", "Edmondia pinifolia", "Edmondia sesamoides", "Edmondia fasciculata", "Cousinia sect.", "Typhlopsychrosoma baeticaense", "Cousinia glochidiata", "Euchiton gymnocephalus", "Guipuzcosoma comasi", "Euchiton involucratus", "Euchiton sphaericus", "Filago lutescens", "Leptochirus fontensis", "Leptochirus latro", "Holotrochus durus", "Holotrochus pubescens", "Holotrochus subtilis", "Holotrochus syntheticus", "Osorius affinis", "Osorius integer", "Osorius nitens", "Osorius stipes", "Osoriellus oculatus", "Sphenoptera subtricostata", "Sphenoptera pilipes", "Filago neglecta", "Filago pygmaea subsp. pygmaea", "Hogna balearica", "Hypotelus micans", "Ethelia biradiata", "Hypotelus brevitarsus", "Hypotelus castaneus", "Hypotelus corniculatus", "Ethelia denizotii", "Hypotelus melanodelta", "Hypotelus scheerpeltzi", "Ethelia kraftii", "Ethelia mucronata", "Ethelia wilcei", "Ethelia pacifica", "Potaninum boreale", "Ethelia vanbosseae", "Ethelia umbricola", "Hypotelus andinus", "Sphenoptera barclayi", "Sphenoptera kubani", "Hypotelus insulanus", "Sphenoptera makarovi", "Sphenoptera karagyanae", "Sphenoptera bellamyi", "Anguloa brevilabris", "Anguloa cliftonii", "Trichopodus microlepis", "Amyema quandang", "Amyema maidenii", "Amyema nickrentii", "Benthamina alyxifolia", "Cousinia sect.", "Cousinia sect.", "Cousinia sect.", "Cousinia sect.", "Cousinia sect.", "Cousinia sect.", "Cousinia sect.", "Cousinia sect.", "Cousinia sect.", "Cousinia sect.", "Cousinia sect.", "Cousinia sect.", "Cousinia sect.", "Polypedilum jii", "Polypedilum paucisetum", "Polypedilum nudiprostatum", "Lecanoromycetidae familiae incertae sedis", "Pseudocleonus kratkyi", "Cousinia sect.", "Cousinia sect.", "Otiorhynchus ceratoniae", "Cousinia eriotricha", "Gnaphalium hoppeanum", "Gnaphalium hoppeanum subsp. hoppeanum", "Cousinia sarawshanica", "Osoriellus solidus", "Cousinia sect.", "Cousinia sect.", "Cousinia sect.", "Cousinia sect.", "Cousinia sect.", "Cousinia attariae", "Cousinia crassipes", "Cousinia chaetocephala", "Cousinia sect.", "Neodilsea yendoana", "Neodilsea crispata", "Neodilsea longissima", "Neodilsea tenuipes", "Neodilsea borealis", "Promalactis foliprocessa", "Neodilsea integra", "Promalactis similiclavata", "Promalactis aliformis", "Neodilsea orientalis", "Pikea californica", "Pikea pinnata", "Pikea yoshizakii", "Coronidium boormanii", "Weeksia reticulata", "Promalactis dorsiseparata", "Promalactis albitriangula", "Weeksia templetonii", "Promalactis sichuanensis", "Weeksia howellii", "Promalactis huemeri", "Weeksia digitata", "Promalactis grandacantha", "Coronidium newcastlianum", "Weeksia coccinea", "Coronidium oxylepis", "Coronidium oxylepis subsp. oxylepis", "Coronidium scorpioides", "Melixanthus columnarius", "Melixanthus inaequalis", "Melixanthus javanus", "Melixanthus jordanicus", "Melixanthus kashmirensis", "Melixanthus kuluensis", "Melixanthus notabilis", "Melixanthus nuristanicus", "Melixanthus puncticollis", "Melixanthus longiscapus", "Melixanthus miyatakei", "Melixanthus yajiangensis", "Melixanthus moultoni", "Halarachnion ligulatum", "Halarachnion latissimum", "Halarachnion parvum", "Halarachnion pusillum", "Halarachnion louisianense", "Perplexiramosus clintonii", "Rhynchoribates brasiliensis", "Gnephosis eriocarpa", "Gnephosis arachnoidea", "Philbyella aculeata", "Cousinia chlorothyrsa", "Reinhardema pasagarda", "Furcellaria lumbricalis", "Cousinia komarowii", "Cousinia leucantha", "Gnephosis drummondii", "Gnephosis tenuissima", "Helichrysopsis septentrionalis", "Ichnotropis microlepidota", "Neurocaulon foliosum", "Clavilispinus clavipes", "Glyptoma opaca", "Cryptocephalus pseudoreitteri", "Helichrysum adenocarpum", "Helichrysum adenocarpum subsp. adenocarpum", "Helichrysum arenarium subsp. arenarium", "Neurocaulon thiebautii", "Helichrysum argyrophyllum", "Neurocaulon japonicum", "Opuntiella californica", "Opuntiella ornata", "Opuntiella parva", "Helichrysum arnicoides", "Telescopus hoogstraali", "Turnerella mertensiana", "Polypedilum constrictum", "Gamochaeta falcata", "Polypedilum dissimilum", "Gamochaeta filaginea", "Gamochaeta platensis", "Polypedilum minimum", "Cordylancistrus tayrona", "Gilberta tenuifolia", "Gymnura lessae", "Gymnura sereti", "Gilruthia osbornii", "Polypedilum surugense", "Polypedilum paraviceps", "Polypedilum aviceps", "Polypedilum obtusum", "Polypedilum infundibulum", "Polypedilum breviplumosum", "Polypedilum basilarum", "Polypedilum bullum", "Polypedilum dilatum", "Polypedilum lateralum", "Polypedilum medium", "Polypedilum prominens", "Polypedilum xuei", "Polypedilum falcatum", "Polypedilum procerum", "Polypedilum enshiense", "Polypedilum jianfengense", "Polypedilum guato", "Polypedilum kadiweu", "Polypedilum puri", "Pseudognaphalium hypoleucum", "Polypedilum cyclus", "Sphenoptera kiachtae", "Hypotelus laevis", "Hypotelus marginatus", "Hypotelus praecox", "Hypotelus pusillus", "Hypotelus testaceus", "Piestus aper", "Piestus rugosus", "Piestus validus", "Eleusis agilis", "Eleusis dubia", "Ewartia planchonii", "Ewartia retusa", "Facelis retusa subsp. retusa", "Sphenoptera demissa", "Sphenoptera donata", "Logfia californica", "Filago carpetana", "Filago carpetana subsp. carpetana", "Logfia clementei", "Filago desertorum", "Stigmatura napensis bahiae", "Rhorus hissaricus", "Rhorus petropolitanus", "Rhorus punctatissimus", "Rhorus ribesii", "Rhorus sakah", "Rhorus suomi", "Rhorus trochanteratus", "Rhorus arkhyz", "Rhorus avacha", "Rhorus boreator", "Rhorus brevigena", "Rhorus gauldi", "Rhorus humalai", "Rhorus jussilai", "Rhorus laricis", "Rhorus olenek", "Rhorus pristiphorae", "Rhorus romani", "Rhorus suecicus", "Rhorus ucrainicus", "Rhorus xanthopygus", "Rhorus koreensis", "Cousinia brevicaulis", "Scathophaga yakutica", "Charimachilis abchasica", "Trigoniophthalmus longitarsus", "Trigoniophthalmus nematocerus", "Trigoniophthalmus abchasicus", "Trigoniophthalmus subalpinus", "Cousinia heliantha", "Basilypera tatyanae", "Cousinia porphyrochrysea", "Cousinia sect.", "Cousinia sect.", "Cousinia sect.", "Cousinia sect.", "Cousinia sect.", "Cousinia sect.", "Cousinia sect.", "Cousinia sect.", "Cousinia sect.", "Cousinia sect.", "Cousinia sect.", "Cousinia sect.", "Cousinia sect.", "Cousinia sect.", "Cousinia sect.", "Cousinia sect.", "Cousinia sect.", "Cousinia sect.", "Cousinia sect.", "Cousinia sect.", "Cousinia sect.", "Cousinia sect.", "Rhorus amauronemati", "Rhorus auberti", "Cousinia sect.", "Rhorus blennocampae", "Cousinia sect.", "Rhorus dineurae", "Rhorus hinzi", "Cousinia sect.", "Rhorus idari", "Cousinia sect.", "Rhorus montanus", "Gamochaeta norvegica", "Cousinia alepideae", "Cousinia lasiandra", "Cousinia mozduranensis", "Rhorus akdara", "Rhorus antennalis", "Rhorus brunnifemur", "Rhorus dbari", "Rhorus goderdzi", "Turnerella pennyi", "Turnerella fuscopurpurea", "Ophisops elbaensis", "Gainia mollis", "Strangulogona lugoensis", "Cryptocephalus pseudopopuli", "Cryptocephalus biondii", "Helichrysum arwae", "Helichrysum caespititium", "Coenobius matangi", "Helichrysum candolleanum", "Helichrysum confertum", "Helichrysum cooperi", "Ostiophyllum sonderopeltae", "Psilophycus alveatus", "Chondracanthus chauvinii", "Ninelia proboscidea", "Chaetocladius autumnalis", "Chaetocladius insularis", "Chaetocladius ketoiensis", "Chondracanthus elegans", "Chondracanthus glomeratus", "Chondracanthus harveyanus", "Chaetocladius amurensis", "Chondracanthus tepidus", "Chondracanthus chamissoi", "Chondracanthus teedei", "Chondracanthus acicularis", "Helichrysum cremnophilum", "Helichrysum cremnophilum subsp. cremnophilum", "Chondracanthus chapmanii", "Psammophis aegyptius", "Chondracanthus zertuchei", "Chondracanthus bajacalifornicus", "Chondracanthus kjeldsenii", "Chondracanthus serratus", "Helichrysum crispum", "Chondracanthus squarrulosus", "Helichrysum cymosum", "Anomalepis colombia", "Helichrysum cymosum subsp. cymosum", "Coenobius sabahensis", "Coenobius sarawacensis", "Coenobius schawalleri", "Chondracanthus exasperatus", "Coenobius imatadei", "Chondracanthus canaliculatus", "Chondracanthus corymbiferus", "Coenobius weiseanus", "Atractus obesus", "Helichrysum ecklonis", "Malagasyprinus diana", "Malagasyprinus perrieri", "Arizonacritus telayesvai", "Archigenes aita", "Helichrysum gariepinum", "Romanogobio benacensis", "Helichrysum ellipticifolium", "Helichrysum helianthemifolium", "Chaetocladius coppai", "Chondracanthus cincinnus", "Chaetocladius diai", "Chondracanthus intermedius", "Chondracanthus tenellus", "Chondracanthus okamurae", "Helichrysum heliotropifolium", "Chondracanthus saundersii", "Helichrysum hyblaeum", "Helocarpon pulverulum", "Helichrysum horridum", "Helichrysum italicum subsp. italicum", "Chondrus albemarlensis", "Chondrus hancockii", "Chondrus armatus", "Lopadorhynchus curtum", "Chondrus pinnulatus", "Chondrus atropurpureus", "Lopadorhynchus polaris", "Chondrus canaliculatus", "Chondrus elatus", "Coenobius discoidalus", "Coenobius discoideus", "Chondracanthus spinosus", "Helichrysum dasyanthum", "Liolaemus schmidti", "Coenobius arabicus", "Coenobius baronii", "Coenobius bhaktai", "Coenobius bipustulatus", "Coenobius circumductus", "Coenobius curtipennis", "Coenobius cyaneus", "Coenobius maculipennis", "Coenobius melanoxanthus", "Coenobius niger", "Coenobius pakistanicus", "Coenobius puncticollis", "Coenobius sikkimensis", "Coenobius stoneri", "Coenobius weisei", "Coenobius wittmeri", "Coenobius apicefulvus", "Coenobius cuneoscutis", "Coenobius fenestratus", "Coenobius lankanus", "Coenobius nigricollis", "Coenobius ruficollis", "Coenobius fulvus", "Coenobius babai", "Coenobius collaris", "Coenobius distantis", "Coenobius caeruleipennis", "Coenobius castaneus", "Helichrysum devium", "Helichrysum dimorphotrichum", "Lispinus catena", "Gigartina pistillata", "Gigartina pachymenioides", "Gigartina pinnata", "Turdulisoma galiciense", "Turdulisoma helenreadae", "Ovaliptila rhodos", "Alburnus sava", "Nacaeus depressus", "Chondrus ocellatus", "Chondrus giganteus", "Chondrus nipponicus", "Chondrus platynus", "Coenobius azureus", "Helichrysum italicum subsp. serotinum", "Coenobius medvedevi", "Chondrus pumilus", "Coenobius formosus", "Helichrysum italicum subsp. microphyllum", "Chondrus retortus", "Chondrus uncialis", "Chondrus verrucosus", "Chondrus yendoi", "Coenobius choanus", "Coenobius badius", "Helichrysum leucopsideum", "Helichrysum lineare", "Helichrysum lingulatum", "Capoeta razii", "Plesioarida palmerii", "Plesioarida walkeri", "Iridaea lanceolata", "Iridaea remuliformis", "Iridaea reticulata", "Iridaea yemensis", "Iridaea tuberculosa", "Santolina montiberica", "Plesioarida hypoglauca", "Plesioarida hypoglauca hypoglauca", "Plesioarida hypoglauca wellingi", "Plesioarida murphyi", "Mazzaella volans", "Mazzaella affinis", "Arctosa zhaojingzhaoi", "Mazzaella capensis", "Mazzaella convoluta", "Mazzaella japonica", "Arctosa xunyangensis", "Mazzaella sanguinea", "Mazzaella coriacea", "Mazzaella denticulata", "Mazzaella laminarioides", "Aconitum firmum", "Mazzaella linearis", "Mazzaella rosea", "Iridaea latissima", "Ovaliptila buresi", "Iridaea undulosa", "Helichrysum melaleucum", "Iridaea agathoicus", "Iridaea ciliata", "Iridaea divisa", "Ovaliptila wettsteini", "Cousinia davisiana", "Hippocampus haema", "Iridaea gigantea", "Hippocampus sindonis", "Iridaea hetercocca", "Helichrysum melitense", "Iridaea micrococca", "Helichrysum milfordiae", "Helichrysum monogynum", "Plesioarida hepburni", "Iridaea elongata", "Plesioarida hepburni remota", "Plesioarida hepburni hepburni", "Iridaea explanata", "Roa rumsfeldi", "Neoapodemia nais", "Neoapodemia chisoensis", "Helichrysum populifolium", "Aneucamptus crassus", "Helichrysum retortoides", "Helichrysum retortum", "Rhodoglossum gigartinoides", "Helichrysum roseoniveum", "Pardosa zhangi", "Pardosa laciniata", "Rhodoglossum alcicorne", "Rhodoglossum jardinii", "Rhodoglossum latissimum", "Pardosa pseudomixta", "Rhodoglossum revolutum", "Rhodoglossum pulchrum", "Helichrysum sutherlandii", "Galicisoma biltoni", "Galicisoma desmondkimei", "Gigartina wehliae", "Hebarditettix brachynotus", "Helichrysum pagophilum", "Mazzaella cobinae", "Mazzaella flaccida", "Criotettix hainanensis", "Helichrysum pandurifolium", "Mazzaella hancockii", "Criotettix longipennis", "Mazzaella leptorhynchos", "Mazzaella membranacea", "Helichrysum patulum", "Mazzaella splendens", "Plesioarida selvatica", "Sarcothalia stiriata", "Sarcothalia scutellata", "Helichrysum sessilioides", "Vachellia pallidifolia", "Mirbelia platylobioides", "Cantabrosoma rogeri", "Cantabrosoma serrai", "Choerophryne crucifer", "Choerophryne multisyllaba", "Choerophryne bisyllaba", "Choerophryne grylloides", "Choerophryne epirrhina", "Pachydactylus angolensis", "Henssenia glaucella", "Knema glauca", "Rhinoclemmys pulcherrima incisa", "Chelodina murrayi", "Phyllanthus oblanceolatus", "Mazzaella dewreedei", "Mazzaella macrocarpa", "Mazzaella diffusa", "Mazzaella digitata", "Mazzaella hemisphaerica", "Mazzaella minima", "Knema lenta", "Mazzaella oregona", "Aconitum sect.", "Mazzaella parksii", "Mazzaella parva", "Aconitum ser.", "Mazzaella phyllocarpa", "Aconitum moldavicum", "Helichrysum pendulum subsp. fontanesii", "Helichrysum pendulum subsp. pendulum", "Pardosa zuojiani", "Aconitum lasiocarpum", "Helichrysum plicatum subsp. plicatum", "Nacaeus laetus", "Nacaeus simplex", "Mazzaella californica", "Hebarditettix oculatus", "Hebarditettix gibbus", "Hebarditettix magnus", "Hebarditettix chamensis", "Hebarditettix intermedius", "Hebarditettix fuscus", "Helichrysum nudifolium", "Helichrysum nudifolium var. pilosellum", "Helichrysum obconicum", "Helichrysum odoratissimum", "Gigartina ancistroclada", "Gigartina laingii", "Hebarditettix vallis", "Gigartina macrocarpa", "Gigartina angulata", "Gigartina brachiata", "Gigartina bracteata", "Gigartina chondroides", "Gigartina clavifera", "Gigartina cranwelliae", "Gigartina densa", "Gigartina dilatata", "Gigartina disticha", "Gigartina divaricata", "Gigartina ewenii", "Gigartina fissa", "Gigartina flabellata", "Gigartina grandifida", "Gigartina imperialis", "Gigartina insignis", "Gigartina kroneana", "Gigartina laciniata", "Gigartina lessonii", "Gigartina minima", "Gigartina minuta", "Gigartina muelleriana", "Gigartina multidichotoma", "Gigartina nana", "Gigartina paitensis", "Gigartina paxillata", "Gigartina polycarpa", "Gigartina recurva", "Gigartina rubens", "Gigartina runcinata", "Gigartina skottsbergii", "Gigartina sonderi", "Gigartina tysonii", "Agra brunnea", "Agra brunneitarsis", "Agra brunneoviridis", "Agra brunnescens", "Agra brunnipennis", "Agra buqueti", "Agra cachimbana", "Agra cachimbo", "Agra cadabra", "Agra cajennensis", "Agra calamitas", "Agra caligata", "Agra caligo", "Agra callidoides", "Agra campana", "Agra cancellata", "Agra capitata", "Agra castanea", "Agra castaneipes", "Agra castanoptera", "Agra catascopoides", "Agra catenulata", "Agra cauca", "Agra cavei", "Agra cephalota", "Agra chalcea", "Agra chalcoptera", "Agra championi", "Agra chapada", "Agra chaudoirii", "Agra chlorocera", "Agra chocha", "Agra chryseis", "Agra chrysopteryx", "Agra cicatricosa", "Agra clavata", "Agra clavipes", "Agra cobra", "Agra cochlearis", "Agra coerulea", "Agra colasi", "Agra coleps", "Agra columbiana", "Agra communis", "Agra confusa", "Agra conhormigas", "Agra conicollis", "Agra constans", "Agra coptoptera", "Agra cornicola", "Agra costaricensis", "Helichrysum subglomeratum", "Agra crassicornis", "Agra crassipes", "Agra crebrefoveata", "Agra crebrepunctata", "Agra cribriceps", "Agra cribricollis", "Agra csikii", "Agra cuneolus", "Agra cuprea", "Agra cupreola", "Agra cupripennis", "Agonum thoreyi", "Agonum triimpressum", "Agonum variolatum", "Helichrysum stoechas subsp. stoechas", "Agonum sylphides", "Agonum sylphis", "Agonum tsushimanum", "Agonum atricomes", "Agonum lampros", "Agonum azumai", "Agonum cheni", "Agonum deuveiellum", "Agonum guangdongense", "Agonum iriomotense", "Agonum limbatum", "Agonum modestius", "Agonum rougerieanum", "Agonum teruyai", "Agonum tokarae", "Agonum aeruginosum", "Agonum affine", "Agonum albicrus", "Agonum anthracinum", "Agonum basale", "Agonum belleri", "Agonum brevicolle", "Agonum collare", "Agonum corvus", "Agonum crenistriatum", "Agonum crenulatum", "Agonum cupreum", "Agonum cupripenne", "Agonum cyanopis", "Agonum cyclifer", "Agonum daimio", "Agonum deceptivum", "Agonum decorum", "Agonum deplanatum", "Agonum dolens", "Agonum duftschmidi", "Agonum elongatulum", "Agonum emarginatum", "Agonum ericeti", "Agonum errans", "Agonum excavatum", "Agonum extensicolle", "Agonum extimum", "Agonum ferreum", "Agonum fidele", "Agonum fossiger", "Agonum gerdmuelleri", "Agonum gisellae", "Agonum harrisii", "Agonum hypocrita", "Agonum imitans", "Agonum impressum", "Agonum jankowskii", "Agonum longicorne", "Agonum lugens", "Agonum mandli", "Agonum melanarium", "Agonum metallescens", "Agonum moerens", "Agonum muiri", "Agra aculeata", "Agra acuspina", "Agra acutidens", "Agra acutoides", "Agra aeneipennis", "Agra aeneola", "Agra aeris", "Agra aeroides", "Agra alinahui", "Agra alternata", "Agra alvarengai", "Agra amabilis", "Helichrysum stoechas subsp. barrelieri", "Agra amoena", "Agra andina", "Agra andrewesi", "Agra anguinea", "Agra anthrax", "Agra ardoini", "Agra ariasi", "Agra arrowi", "Agra asymetrica", "Agra aterrima", "Agra atlas", "Agra atriperna", "Agra attenuata", "Agra aurata", "Agra aurea", "Agra aureoviridis", "Agra auricula", "Agra aurifera", "Agra auripennis", "Agra auronitens", "Agra aurora", "Agra aurovittata", "Agra azurea", "Agra azureipennis", "Agra baccii", "Agra bahiae", "Agra baleni", "Agra barrensis", "Agra basilewskyi", "Agra bci", "Agra belize", "Agra besckei", "Agra bicolor", "Agra bicoloripes", "Agra bicostata", "Agra biexcavata", "Agra biexcisa", "Agra bifaria", "Agra biolat", "Agra biseriatella", "Agra blumax", "Agra boggianii", "Agra bogotana", "Agra boliviana", "Agra bonsi", "Agra bonvouloirii", "Agra borgmeieri", "Agra brentoides", "Agra brevicollis", "Agra brevicornis", "Agra brevithorax", "Chelodina kuchlingi", "Phyllanthus erwinii", "Phyllanthus striaticaulis", "Helichrysum setosum", "Arctosa labiata", "Helichrysum sibthorpii", "Helichrysum spiralepis", "Agonoleptus conjunctus", "Agonoleptus convexulus", "Agonoleptus dolosus", "Agonoleptus parviceps", "Agonoleptus rotundatus", "Agonoleptus rotundicollis", "Agonoleptus thoracicus", "Agonoleptus unicolor", "Agonoriascus lapidicola", "Agonorites anacritus", "Agonorites anchomeninus", "Agonorites ankaratrae", "Agonorites antsifotrae", "Agonorites culminicola", "Agonorites descarpentriesi", "Agonorites griveaudi", "Agonorites jeanneli", "Agonorites microphthalmus", "Agonorites montanus", "Agonorites pauliani", "Agonotrechiotes longiantennatus", "Agonotrechus amplicollis", "Agonotrechus andrewesi", "Agonotrechus birmanicus", "Agonotrechus campanulatus", "Agonotrechus dubius", "Agonotrechus farkaci", "Agonotrechus horni", "Agonotrechus iris", "Agonotrechus lunanshanus", "Agonotrechus nomurai", "Agonotrechus sichuanicola", "Agonotrechus sinotroglophilus", "Agonotrechus tenuicollis", "Agonotrechus tonkinensis", "Agonotrechus trechoides", "Agonotrechus ventrosior", "Agonotrechus vina", "Agonotrechus wuyipeng", "Agonotrechus yunnanus", "Agonum hirashimai", "Agonum sataense", "Agonum shibatai", "Agonum antennarium", "Agonum atlantis", "Agonum bicolor", "Agonum carbonarium", "Agonum chalcomum", "Agonum chalconotum", "Agonum chinense", "Agonum dorsostriatum", "Agonum fallax", "Agonum gracilipes", "Agonum humerosum", "Agonum illocatum", "Agonum liebherri", "Agonum madagascariense", "Agonum menetriesii", "Agonum mesostictum", "Agonum monachum", "Agonum mongolicum", "Agonum muelleri", "Agonum nigrum", "Agonum numidicum", "Agonum piceolum", "Agonum placidum", "Agonum pseudomoestum", "Agonum rugicolle", "Agonum scintillans", "Agonum scotti", "Agonum semicupreum", "Agonum sordidum", "Agonum straeleni", "Agonum arisanum", "Agonum kyushuense", "Agonum uenoi", "Agonum deuvei", "Agonum eurydamas", "Agonum indiae", "Agonum kesharishresthae", "Agonum kucerai", "Agonum obesum", "Agonum pangxiongfeii", "Agonum apex", "Agonum ishidai", "Agonum aurelius", "Agonum japonicum", "Agonum maruokai", "Agonum anchomenoides", "Agonum bellicum", "Agonum charillus", "Agonum consimile", "Agonum darlingtoni", "Agonum exaratum", "Agonum galvestonicum", "Agonum gracile", "Agonum gratiosum", "Agonum jurecekianum", "Agonum lutulentum", "Agonum micans", "Agonum munsteri", "Agonum nipponicum", "Agonum palustre", "Agonum persecretum", "Agonum picicornoides", "Agonum retractum", "Agonum scitulum", "Agonum simile", "Agonum sordens", "Agonum subtruncatum", "Agonum superioris", "Agra cuproptera", "Agra cyanea", "Agra cyanescens", "Agra cyaneucnemes", "Agra cyanippe", "Agra cyanosticta", "Agra cyanoviridis", "Agra cynthia", "Agra cytherea", "Agra dafne", "Agra darlingtoni", "Agra dation", "Agra dax", "Agra demerasae", "Agra denticulata", "Agra dentipennis", "Agra diagonalis", "Agra dimidiata", "Agra dominula", "Agra dora", "Agra dorazul", "Agra driades", "Agra dryas", "Agra duckworthorum", "Agra duplicata", "Agra ecaligis", "Agra ega", "Agra elaina", "Agra eowilsoni", "Agra eponine", "Agra erythrocera", "Agra erythropus", "Agra eucera", "Agra eucnemes", "Agra eurypelma", "Agra exarata", "Agra excavata", "Agra exsculpta", "Agra fada", "Agra falcon", "Agra fallax", "Agra falsisagax", "Agra famula", "Agra feisthamelii", "Agra felix", "Agra femoralis", "Agra femorata", "Agra filicornis", "Agra filiformis", "Agra fimbriata", "Agra flava", "Agra flavipes", "Agra foraminosa", "Agra formicaria", "Agra fortuna", "Agra foveella", "Agra foveigera", "Agra foveipennis", "Agra foveolata", "Agra fryi", "Agra fulvicauda", "Agra funebris", "Agra fuscipes", "Agra gaudiola", "Agonum mutatum", "Agonum nutans", "Agonum octopunctatum", "Agonum pacificum", "Agonum pallipes", "Agonum parextimum", "Agonum patinale", "Agonum permoestum", "Agonum propinquum", "Agonum punctiforme", "Agonum quadrimaculatum", "Agonum rigidulum", "Agonum rufipes", "Agonum sculptipes", "Agonum scutifer", "Agonum striatopunctatum", "Agonum suavissimum", "Agonum sulcipenne", "Agonum suturale", "Agonum tenue", "Agonum texanum", "Agonum trigeminum", "Agonum versutum", "Agonum viduum", "Agonum speculator", "Agonum yamatonis", "Agonum ferruginosum", "Agonum nigriceps", "Agonum aequatum", "Agonum shirahatai", "Agonum hiranoi", "Agonum kurosonense", "Agonum shibataianum", "Agonum abnormale", "Agonum angulifer", "Agonum ardoisi", "Agonum bulgani", "Agonum causticum", "Agonum comatum", "Agonum dreuxi", "Agonum euroum", "Agonum graciloides", "Agonum holzschuhi", "Agonum inaequale", "Agonum leucomerum", "Agonum limbaticolle", "Agonum luczoti", "Agonum luteum", "Agonum mokoto", "Agonum nanum", "Agonum oryctus", "Agonum pelidnum", "Agonum platyderum", "Agonum praetor", "Agonum quadripustulatum", "Agonum rotundicolle", "Agonum rufotestaceum", "Agonum rugaticolle", "Agonum stenuiti", "Agonum triseriatum", "Agonum viridicans", "Agostinia gaudini", "Agostinia launi", "Agra absurdis", "Agra gemmata", "Agra geniculata", "Agra geographica", "Agra germaini", "Agra glauca", "Agra goryi", "Agra gounellei", "Agra goyasensis", "Agra goyazella", "Agra gracilis", "Agra graminea", "Agra gravis", "Agra guatemalena", "Agra guyanensis", "Agra hespenheide", "Agra hilaris", "Agra hirta", "Agra honesta", "Agra hovorei", "Agra howdenorum", "Agra huambana", "Agra humboldti", "Agra humeralis", "Agra hyalina", "Agra hypsophila", "Agra ictina", "Agra ignobilis", "Agra imaginis", "Agra immersa", "Agra inbio", "Agra inca", "Agra incerta", "Agra incisa", "Agra infuscata", "Agra inops", "Agra inpa", "Agra insidiosa", "Agra intermedia", "Agra invicta", "Agra iota", "Agra iquitosana", "Agra iris", "Agra itatiaya", "Agra janzeni", "Agra jedlickai", "Agra kayae", "Agra ketschuana", "Agra klugii", "Agra lacrymosa", "Agra laeticolor", "Agra laetipes", "Agra lamproptera", "Agra lata", "Agra laticeps", "Agra latifemoris", "Agra latipes", "Agra lavernae", "Agra leprieuri", "Agra liebkei", "Agra ligulata", "Agra lilu", "Agra limulus", "Agra lindae", "Agra nigrotibiata", "Agra nigroviridis", "Agra nodicornis", "Agra nola", "Agra notichlora", "Agra notiocyanea", "Agra nova", "Agra novoaurora", "Agra nox", "Agra oblongopunctata", "Agra obscura", "Agra obscuripes", "Agra obscuritibiis", "Agra occipitalis", "Agra ocellata", "Agra ohausi", "Agra oiapoquensis", "Agra olfersi", "Agra olivencana", "Agra oliviella", "Agra optima", "Agra orabrocha", "Agra orinocensis", "Agra osculatii", "Agra othello", "Agra ovicollis", "Agra oxyptera", "Agra pacifica", "Agra pala", "Agra pallens", "Agra pallida", "Agra pallipes", "Agra palmata", "Agra paloma", "Agra panamensis", "Agra para", "Agra paradoxa", "Agra paratax", "Agra parumfoveata", "Agra pavonina", "Agra pearsoni", "Agra peccata", "Agra pehlkei", "Agra pennyi", "Agra perexcisa", "Agra perforata", "Agra perinvicta", "Agra perkinsorum", "Agra perrinae", "Agra pertzeli", "Agra peruana", "Agra phaearthra", "Agra phaenoptera", "Agra phaeogona", "Agra phainops", "Agra phite", "Agra phoenicodera", "Agra pia", "Agra pichincha", "Agra picipes", "Agra piligera", "Agra plantipedis", "Agra platyscelis", "Agra littleorum", "Agra lobata", "Agra longelytrata", "Agra longicornis", "Agra longula", "Agra loricata", "Agra luctuosa", "Agra luehea", "Agra lugubris", "Agra lutea", "Agra lycisca", "Agra macra", "Agra macracantha", "Agra macrodera", "Agra magdalena", "Agra magnifica", "Agra maiae", "Agra manu", "Agra maracay", "Agra mathani", "Agra mauritii", "Agra maxli", "Agra maya", "Agra megera", "Agra melanogona", "Agra memnon", "Agra metallescens", "Agra metallica", "Agra mexicana", "Agra mime", "Agra minasiana", "Agra mira", "Agra mirabilis", "Agra misella", "Agra mixta", "Agra mnemosine", "Agra mniszechi", "Agra modesta", "Agra moerens", "Agra moesta", "Agra moira", "Agra monticola", "Agra moritzii", "Agra muehlei", "Agra mulieris", "Agra multifoveolata", "Agra multiplicata", "Agra multipunctata", "Agra multisetosa", "Agra mustela", "Agra negrei", "Agra nevermanni", "Agra nex", "Agra nicki", "Agra nickiana", "Agra nigra", "Agra nigrarima", "Agra nigrella", "Agra nigripes", "Agra nigritarsis", "Agra nigritula", "Agra nigriventris", "Agra nigroaenea", "Agra nigrocyanea", "Agra santarema", "Agra saramax", "Agra sasquatch", "Agra satipo", "Agra saundersii", "Agra scrobipennis", "Agra seabrae", "Agra semifulva", "Agra semiviridis", "Agra seriefoveata", "Agra serra", "Agra servatorum", "Agra seticollis", "Agra setifemoris", "Agra setigera", "Agra sexdentata", "Agra sigillata", "Agra similis", "Agra simillima", "Agra simplex", "Agra sironyx", "Agra smaragdina", "Agra smaragdinipennis", "Agra smaragdula", "Agra smurf", "Agra soccata", "Agra solimoes", "Agra soror", "Agra sparsepunctata", "Agra sphenarion", "Agra spina", "Agra spinicauda", "Agra spinipennis", "Agra spinosa", "Agra splendida", "Agra steinbachi", "Agra sternitica", "Agra stockwelli", "Agra strandi", "Agra strangulata", "Agra striatifemoris", "Agra striatopunctata", "Agra subcoerulea", "Agra subgemmata", "Agra sublaevicollis", "Agra sublaevigata", "Agra subpallipes", "Agra subtilicornis", "Agra subtilis", "Agra superba", "Agra suprema", "Agra surinama", "Agra suturalis", "Agra tarapoto", "Agra tarapotoana", "Agra tarnieri", "Agra tenuis", "Agra terebrata", "Agra tessera", "Agra tetraspina", "Agra thiemei", "Agra thomsoni", "Agra tibialis", "Agra tingo", "Agra tingomaria", "Agra titan", "Agra titschacki", "Agra tremolerasi", "Agra tricarinata", "Agra tricolor", "Agra tricuspidata", "Agra tridentata", "Agra triseriata", "Agra tristis", "Agra trochanterica", "Agra truquii", "Agra tubercolata", "Agra tuitis", "Agra tumatumari", "Agra tuxtlas", "Agra urania", "Agra valentina", "Agra vanemdeni", "Agra varceicola", "Agra variabilis", "Agra varians", "Agra variipes", "Agra varioligera", "Agra variolosa", "Agra vate", "Agra venatrix", "Agra venezuelana", "Agra venustula", "Agra vesedes", "Agra vicina", "Agra vidua", "Agra violacea", "Agra violante", "Agra virgata", "Agra viridicollis", "Agra viridipennis", "Agra viridipleuris", "Agra viridipunctata", "Agra viridisticta", "Agra viridistriata", "Agra viridula", "Agra vulgaris", "Agra xingu", "Agra yeti", "Agra yoda", "Agra yodella", "Agra yola", "Agra zapotal", "Agra zellibori", "Agra zischkai", "Agra zona", "Akephorus marinus", "Akephorus obesus", "Alachnothorax bruchi", "Helichrysum umbraculigerum", "Alanorites enigmaticus", "Alanorites labensis", "Alanorites sulcatus", "Alanorites teberdensis", "Albanotrechus beroni", "Alkestis nevermanni", "Allardina katangana", "Agra plaumanni", "Agra plebeja", "Agra polita", "Agra prasina", "Agra prodigiosa", "Agra proxima", "Agra pseuderythropus", "Agra pseudoboliviana", "Agra pseudolaetipes", "Agra pseudolutea", "Agra pseudomoesta", "Agra pseudorufitarsis", "Agra pseudovarians", "Agra pujoli", "Agra pulchella", "Agra pulchra", "Agra pulla", "Agra punctata", "Agra punctatella", "Agra punctatostriata", "Agra puncticeps", "Agra puncticollis", "Agra punctigera", "Agra punctulata", "Agra pupilla", "Agra purpurea", "Agra pusilla", "Agra quadricephala", "Agra quadrilamata", "Agra quadriseriata", "Agra quadrispinosa", "Agra quararibea", "Agra raffaellae", "Agra reflexidens", "Agra regina", "Agra regularis", "Agra relucens", "Agra resplendens", "Agra rhomboides", "Agra rondonia", "Agra rosea", "Agra rosettae", "Agra rotundangula", "Agra rubra", "Agra rubricephala", "Agra rubricollis", "Agra rubripes", "Agra rubrocuprea", "Agra rubrofemorata", "Agra rubroviolacea", "Agra rufarima", "Agra rufescens", "Agra ruficornis", "Agra rufipes", "Agra rufitarsis", "Agra rufiventris", "Agra rufoaenea", "Agra rufonigra", "Agra rugosostriata", "Agra rutilipennis", "Agra sagax", "Agra sahlbergii", "Agra saltatrix", "Agra samiria", "Amara obscuripes", "Amara occidentalis", "Amara orienticola", "Amara otiosa", "Amara petrimontii", "Amara pomona", "Amara proxima", "Amara pseudocoraica", "Amara pseudoleleupi", "Amara pulpani", "Amara robusta", "Amara sanjuanensis", "Amara saphyrea", "Amara schilenkovi", "Amara schimperi", "Amara sera", "Amara sericea", "Amara shaanxiensis", "Amara silvestrii", "Amara similata", "Amara spreta", "Amara subconvexa", "Amara sundukowi", "Amara tenax", "Amara termaberensis", "Amara tibialis", "Pirata digitatus", "Amara turbata", "Amara ussuriensis", "Amara violacea", "Amara ellipsis", "Amara erratica", "Amara farcta", "Amara interstitialis", "Amara laevipennis", "Amara lugens", "Amara moerens", "Amara nexa", "Amara patruelis", "Amara rugulifera", "Amara sodalicia", "Amara tenebrionella", "Amara transberingiensis", "Amara abdominalis", "Amara fedtschenkoi", "Amara karalangana", "Amara microdera", "Amara parvicollis", "Amara rubens", "Amara rufescens", "Amara silfverbergi", "Amara stulta", "Amara subplanata", "Amara helva", "Amara megacephala", "Amara diaphana", "Amara asymmetrica", "Amara kenzanensis", "Amara vixdentata", "Amara colasi", "Amara liouvillei", "Amara mairei", "Amara notha", "Amara kaszabiella", "Allegrettia boldorii", "Allegrettia comottii", "Allegrettia pavani", "Allendia chilensis", "Allophanes auripennis", "Allophanes drescheri", "Allophanes limbipennis", "Allophanes mundus", "Allophanopsis emarginata", "Allosiopelus punctatipennis", "Allotrechiama dentifer", "Allotrechiama iriei", "Allotrechiama tenellus", "Allotrechiama mandibularis", "Allotriopus ashei", "Allotriopus brachypterus", "Allotriopus hallbergi", "Allotriopus hemingi", "Allotriopus oscitans", "Allotriopus serratipes", "Allotriopus shpeleyi", "Allotriopus whiteheadi", "Allotriopus taeniola", "Allotriopus triunfo", "Alpiodytes penninus", "Alpiodytes ravizzai", "Altagonum avium", "Altagonum caducum", "Altagonum celebense", "Altagonum cheesmani", "Altagonum cracens", "Altagonum dilutipes", "Altagonum erugatum", "Altagonum europhilum", "Altagonum exutum", "Altagonum fatuum", "Altagonum flavicorne", "Altagonum grossuloides", "Altagonum grossulum", "Altagonum japenox", "Altagonum latilimbus", "Altagonum magnox", "Altagonum misim", "Altagonum montanum", "Altagonum noctellum", "Altagonum nox", "Altagonum nudicolle", "Altagonum pallinox", "Altagonum papuense", "Altagonum paralimbus", "Altagonum parascapha", "Altagonum paulum", "Altagonum planinox", "Altagonum postsulcatum", "Altagonum pubinox", "Altagonum regiscapha", "Altagonum scapha", "Altagonum sedlaceki", "Altagonum sororium", "Altagonum sphodrum", "Altagonum stellaris", "Altagonum tenuellum", "Altagonum tutum", "Altagonum vallicola", "Altagonum wegneri", "Amara metallescens", "Amara armeniaca", "Amara kinitzi", "Amara aeneola", "Amara aeneopolita", "Amara africana", "Amara andrewesi", "Amara anthobia", "Amara anxia", "Amara arusiensis", "Amara bamidunyae", "Amara basillaris", "Amara begemdirica", "Amara biarticulata", "Amara chalcites", "Amara clarkei", "Amara coelebs", "Amara communis", "Amara conflata", "Amara confusa", "Amara congrua", "Amara consericea", "Amara convexa", "Amara convexior", "Amara coraica", "Amara crassispina", "Amara cupreolata", "Amara curta", "Amara darjelingensis", "Amara depressangula", "Amara dolosa", "Amara elborzensis", "Amara elgonica", "Amara emancipata", "Amara eurynota", "Amara externefoveata", "Amara fairmairei", "Amara fairmaireoides", "Amara familiaris", "Amara haywardi", "Amara impuncticollis", "Amara katajewi", "Amara kilimandjarica", "Amara kingdoni", "Amara kingdonoides", "Amara laevissima", "Amara laferi", "Amara leleupi", "Amara littoralis", "Amara lucida", "Amara lukasi", "Amara lunicollis", "Amara macrovata", "Amara magnicollis", "Amara makolskii", "Amara montivaga", "Amara morio", "Amara neoscotica", "Arctosa truncata", "Amara nigricornis", "Amara nila", "Amara nitida", "Amara alecto", "Amara altiphila", "Amara altissima", "Amara amnenkorensis", "Amara arrowi", "Amara astrophila", "Amara banjyangi", "Amara bhutanensis", "Amara bicolorata", "Amara bispinula", "Amara bowashanensis", "Amara bradyta", "Amara carexiphaga", "Amara celioides", "Amara chaklaensis", "Amara chamdoensis", "Amara charis", "Pirata zavattarii", "Amara chumbiensis", "Amara coarctiloba", "Amara cubicollis", "Amara curtonotoides", "Amara dentibasis", "Amara deuvei", "Amara dongolaensis", "Amara everesti", "Amara franzi", "Amara golmudensis", "Amara hartmanni", "Amara heinzorum", "Amara hejkali", "Amara hengduanshanica", "Amara heterolata", "Amara hingstoni", "Amara histrio", "Amara hypsela", "Amara hypseloides", "Amara irregularis", "Amara jajalaensis", "Amara jannui", "Amara jumlana", "Amara kampalaensis", "Amara kanchenjungensis", "Amara kangtissuensis", "Amara karolana", "Amara karolanella", "Amara khumbuensis", "Amara langtangensis", "Amara lhatsensis", "Amara lhozhangensis", "Amara lyrata", "Amara manasluensis", "Amara martensi", "Amara mimetica", "Amara mondalaensis", "Amara mopsa", "Amara nepalensis", "Amara nyingtriensis", "Amara pisangana", "Amara platynota", "Amara religiosa", "Amara sachiana", "Amara sankhuana", "Amara sawadai", "Pirata abalosi", "Amara schawalleri", "Amara schmidti", "Amara shalulishanica", "Amara shogulaensis", "Amara simikotensis", "Amara splendens", "Amara sublimis", "Amara thibetana", "Amara thorongiensis", "Amara tuntalashanica", "Amara weiperti", "Amara yangpachensis", "Amara yeti", "Amara yushuensis", "Amara ampliata", "Amara aurichalcea", "Amara avida", "Amara batesi", "Amara browni", "Helichrysum virgineum", "Amara chalciope", "Amara consularis", "Amara crenata", "Amara dissimilis", "Amara distinguenda", "Amara elegantula", "Amara exarata", "Amara glacialis", "Amara insignis", "Amara insularis", "Amara irkutensis", "Amara latior", "Amara lindrothi", "Amara macros", "Amara majuscula", "Amara micantula", "Amara neomexicana", "Amara ondai", "Amara pallidula", "Amara pingshiangi", "Amara pseudosimplicidens", "Pirata sagitta", "Amara reitteri", "Amara schwarzi", "Amara simplicidens", "Amara sinuaticollis", "Amara validula", "Amara affinis", "Amara arcuata", "Amara barcelonensis", "Amara brevis", "Amara coiffaiti", "Amara corpulenta", "Amara cottyi", "Amara cretica", "Amara eximia", "Amara gottelandi", "Amara gravidula", "Amara kocheri", "Amara malacensis", "Amara negrei", "Amara peculiaris", "Amara pennsylvanica", "Amara propinqua", "Amara pterostichina", "Pirata africana", "Amara retingensis", "Amara shahristana", "Amara shinanensis", "Amara sifanica", "Amara sifanicoides", "Amara sogdiana", "Amara somoni", "Amara sublustris", "Amara susamyrensis", "Amara thoracica", "Amara torrida", "Amara transiliensis", "Amara tschitscherinella", "Amara tumida", "Amara validipes", "Amara vecors", "Amara yupeiyuae", "Amara androphoba", "Amara oxiana", "Amara latithorax", "Amara ahngeriana", "Amara bradytoides", "Amara eremicola", "Amara fausti", "Amara isfahanensis", "Amara kuenlunensis", "Amara lutescens", "Amara magniceps", "Amara maindroni", "Amara potanini", "Amara songarica", "Amara turcmenica", "Amara vlasovi", "Amara alaiensis", "Amara crystallina", "Amara hyalina", "Amara cordicollis", "Amara davatchii", "Amara krueperi", "Amara ochracea", "Amara radjabii", "Amara subdepressa", "Amara boreodzhungarica", "Amara tachypoda", "Amara alpestris", "Amara cardui", "Amara nobilis", "Amara spectabilis", "Amara alpicola", "Amara constantini", "Amara cuniculina", "Amara doderoi", "Amara frigida", "Amara lantoscana", "Amara uhligi", "Amara albarracina", "Amara glabrata", "Amara otini", "Amara pueli", "Amara rotundata", "Amara aberrans", "Amara arenaria", "Amara aurata", "Amara bifrons", "Amara californica", "Amara chihuahuae", "Pirata soukupi", "Amara dickorei", "Amara exlineae", "Amara fervida", "Amara fujiii", "Amara glabricollis", "Amara gobialtaica", "Amara hanhaica", "Amara hannemanni", "Amara harpalina", "Amara idahoana", "Amara infima", "Amara iturupensis", "Amara kailasensis", "Amara laticarpa", "Amara misella", "Amara mixaltaica", "Amara montana", "Amara musculis", "Amara necinfima", "Amara praetermissa", "Amara pseudobrunnea", "Amara rubrica", "Amara rupicola", "Amara sabulosa", "Amara saginata", "Amara sichotana", "Amara sinuosa", "Amara sollicita", "Amara tartariae", "Amara texana", "Amara viridescens", "Amara volatilis", "Amara balkhashica", "Amara cribrata", "Amara danilevskyi", "Amara kosagatschi", "Amara molopiformis", "Amara ovtshinnikovi", "Amara skopini", "Amara brucei", "Amara gartokiensis", "Amara kandbarica", "Amara lamia", "Amara pinguis", "Amara walterheinzi", "Pirata werneri", "Amara agona", "Amara alexandriensis", "Amara andreae", "Amara arnoldiana", "Amara asiatica", "Amara badakshana", "Amara baimaxueshanica", "Amara banghaasi", "Amara beicki", "Amara beybienkoi", "Amara blanchardi", "Amara bokori", "Amara brevicollis", "Amara carinata", "Amara castanea", "Amara charchirensis", "Amara chormaensis", "Amara conoidea", "Amara cribricollis", "Amara daurica", "Amara deparca", "Amara deserta", "Amara disproportionalis", "Amara dostali", "Amara durangensis", "Amara dux", "Amara dzhungarica", "Amara extrema", "Amara fodinae", "Amara gansuensis", "Amara gebleri", "Amara gigantea", "Pirata trepidus", "Amara goniodera", "Amara harpaloides", "Amara hiekei", "Amara hiogoensis", "Amara humerangula", "Amara hyperborea", "Amara ignatovitschi", "Amara interfluviatilis", "Amara involans", "Amara irkuteana", "Amara jacobina", "Pirata niokolona", "Amara juldusiensis", "Amara kadyrbekovi", "Amara kangdingensis", "Amara karzhantavensis", "Amara kataevi", "Amara kiritshenkoi", "Amara klapperichi", "Amara kochi", "Amara kryshanowskii", "Amara kurnakowi", "Amara lacustris", "Amara larisae", "Amara macronota", "Amara maoshanica", "Amara medvedevi", "Amara metallicolor", "Amara milalaensis", "Amara mimobeicki", "Amara misera", "Amara molinar", "Amara muchei", "Amara multipunctata", "Amara nataliae", "Amara nebrioides", "Amara ambulans", "Amara anterolata", "Amara apachensis", "Amara atlantis", "Amara bischoffi", "Amara bradytonota", "Amara chalcea", "Amara cursitans", "Amara dabashanica", "Amara discors", "Amara elevata", "Amara fusca", "Amara fusgenua", "Amara gibba", "Amara harpalonota", "Amara hicksi", "Amara ingenua", "Amara laoshanensis", "Amara lugubris", "Amara mandarina", "Amara merula", "Amara messae", "Amara municipalis", "Amara nikolajewi", "Amara qinghaiensis", "Amara rectangula", "Amara sikkimensis", "Amara singularis", "Amara solskyi", "Amara spuria", "Amara vagans", "Amara vivesi", "Amara ditomoides", "Amara angustata", "Amara angustatoides", "Amara belfragei", "Amara chaudoiri", "Amara concinna", "Amara davidi", "Pirata affinis", "Amara erythrocnema", "Amara flebilis", "Amara floralis", "Amara fulvipes", "Amara gorevillei", "Amara hypsophila", "Amara inexspectata", "Amara kavanaughi", "Amara kulti", "Amara longula", "Amara pallipes", "Amara plebeja", "Amara reflexicollis", "Amara refulgens", "Amara rufipes", "Amara scitula", "Pirata allapahae", "Amara strandi", "Amara strenua", "Amara tricuspidata", "Amara taniantawengensis", "Amara wengdaensis", "Amara xueshanica", "Amara yulongensis", "Amara yushuana", "Amara zhanglaensis", "Amara zhegushanica", "Amara bucharica", "Amara cadoudali", "Amara chodjaii", "Amara escalerai", "Amara hamadanensis", "Amara hermoniensis", "Amara iranica", "Amara jordanica", "Amara kermanensis", "Amara khoramabadensis", "Amara loeffleri", "Amara lopatini", "Amara mukusensis", "Amara pakistana", "Amara shirazica", "Amara szekessyi", "Amara turcica", "Amara yasujensis", "Amara zagrosensis", "Amara cameroni", "Amara gangotriensis", "Amara glabella", "Amara incrassata", "Amara junkarensis", "Amara kabakovi", "Amara ledouxi", "Amara parkeri", "Amara tragbaliensis", "Amara wittmeri", "Amara wrasei", "Amara alacris", "Amara arcticola", "Amara baimashanica", "Amara baliani", "Amara boreosichuana", "Amara chalcophaea", "Amara cholashanensis", "Amara colvillensis", "Amara daochengensis", "Amara daxueshanensis", "Amara dequensis", "Amara gerdmuelleri", "Amara koslowi", "Amara litangensis", "Amara lucens", "Amara lucidissima", "Amara markamensis", "Amara minuta", "Amara muliensis", "Amara ovicephala", "Amara poggii", "Amara stricticeps", "Amara taiwanica", "Amara abbreviata", "Amerizus mourzinei", "Amerizus panda", "Amerizus perraulti", "Amerizus puetzi", "Amerizus queinneci", "Amerizus sabinae", "Amerizus sarkimani", "Amerizus schawalleri", "Amerizus schmidti", "Amerizus shatanicus", "Amerizus songpanensis", "Amerizus tiani", "Amerizus turnai", "Amerizus wittmeri", "Amerizus wolongensis", "Amerizus wrzecionkoi", "Ameroduvalius jeanneli", "Ametroglossus ater", "Amorphomerus boivini", "Amorphomerus raffrayi", "Amphasia interstitialis", "Amphasia sericea", "Amphimasoreus amaroides", "Amphimenes asahinai", "Amphimenes piceolus", "Amphimenes rugulipennis", "Amphimenes ryukyuensis", "Amphimenoides maculatus", "Amphithasus truncatus", "Analoma forte", "Analoma gracile", "Anasis howittii", "Anatrichis birmanica", "Anatrichis indica", "Anatrichis infima", "Anatrichis longula", "Anatrichis minuta", "Anatrichis morii", "Anatrichis nigra", "Anatrichis oblonga", "Anatrichis pedinoides", "Anatrichis pusilla", "Anatrichis ryukyuensis", "Anaulacus adelioides", "Anaulacus ampliusculus", "Anaulacus ashei", "Anaulacus bonariensis", "Anaulacus capensis", "Anaulacus carinatipennis", "Anaulacus exiguus", "Anaulacus fuscipennis", "Anaulacus guineensis", "Anaulacus humeralis", "Anaulacus hypolithoides", "Anaulacus madagascariensis", "Anaulacus opaculus", "Anaulacus piceolus", "Anaulacus pleuronectes", "Anaulacus rubidus", "Anaulacus ruficornis", "Pirata apalacheus", "Pirata nanatus", "Pirata suwaneus", "Pirata mayaca", "Amaroschema gaudini", "Amblops piceus", "Amblycheila halffteri", "Amblycheila nyx", "Amblycoleus douei", "Amblycoleus peruanus", "Amblycoleus platyderus", "Amblycoleus pluriseriatus", "Amblygnathus bicolor", "Amblygnathus braziliensis", "Amblygnathus cephalotes", "Amblygnathus corvinus", "Amblygnathus darlingtoni", "Amblygnathus evansi", "Amblygnathus fricki", "Amblygnathus geminatus", "Amblygnathus georgei", "Amblygnathus gigas", "Amblygnathus gilvipes", "Amblygnathus interior", "Amblygnathus iripennis", "Amblygnathus janthinus", "Amblygnathus lucidus", "Amblygnathus mexicanus", "Amblygnathus panamensis", "Amblygnathus puncticollis", "Amblygnathus reichardti", "Amblygnathus subtinctus", "Amblygnathus suturalis", "Amblygnathus tikal", "Amblygnathus whiteheadi", "Amblygnathus woodruffi", "Amblygnathus xingu", "Amblystomus aeneolus", "Amblystomus aenescens", "Amblystomus alberti", "Amblystomus algirinus", "Amblystomus amabilis", "Amblystomus anthracinus", "Amblystomus australis", "Amblystomus basalis", "Amblystomus bayeri", "Amblystomus bilineatus", "Amblystomus biplagiatus", "Amblystomus bivittatus", "Amblystomus blandus", "Amblystomus breviceps", "Amblystomus capensis", "Amblystomus cephalotes", "Amblystomus chalceus", "Amblystomus colasi", "Amblystomus photophilus", "Amblystomus picinus", "Amblystomus poggii", "Amblystomus posticalis", "Amblystomus pulchellus", "Amblystomus punctatus", "Amblystomus quadriguttatus", "Amblystomus quadrillum", "Amblystomus quadrimaculatus", "Amblystomus quadrinotatus", "Amblystomus quadripustulatus", "Amblystomus quadrisignatus", "Amblystomus raymondi", "Amblystomus rectangulus", "Amblystomus regularis", "Amblystomus resectus", "Amblystomus rotundiceps", "Amblystomus rutshuruanus", "Amblystomus sardous", "Amblystomus scitus", "Amblystomus seriepunctatus", "Amblystomus seyrigi", "Amblystomus similis", "Amblystomus sinuaticollis", "Amblystomus sloanei", "Amblystomus solskyi", "Amblystomus somalicus", "Amblystomus stenolophoides", "Amblystomus striatus", "Amblystomus subviridulus", "Amblystomus sudanicus", "Amblystomus suspectus", "Amblystomus suturellus", "Amblystomus suturifer", "Amblystomus tchadicus", "Amblystomus tetrasemus", "Amblystomus umbrifer", "Amblystomus umbrinus", "Amblystomus unicolor", "Amblystomus versicolor", "Amblystomus villiersanus", "Amblystomus villiersi", "Amblystomus viridulus", "Amblystomus vittipennis", "Amblystomus vulneratus", "Amblystomus zambezianus", "Amblytelus balli", "Amblytelus barringtonensis", "Amblytelus bathurstensis", "Amblytelus bellorum", "Amblytelus bistriatus", "Amblytelus brevis", "Amblytelus brunnicolor", "Amblytelus calderi", "Amblytelus castaneus", "Amblytelus cooki", "Amblytelus curtus", "Amblytelus discoidalis", "Amblytelus doyeni", "Amblytelus fallax", "Amblytelus geoffreyorum", "Amblytelus gloriosus", "Amblytelus handkei", "Amblystomus convexus", "Amblystomus cuneatus", "Amblystomus dantei", "Amblystomus decaryi", "Amblystomus dispar", "Amblystomus dorsiger", "Amblystomus dromioides", "Amblystomus eburneus", "Amblystomus eduardinus", "Amblystomus escorialensis", "Amblystomus femoralis", "Amblystomus flavipes", "Amblystomus fuscescens", "Amblystomus gagatinus", "Amblystomus geayi", "Amblystomus gracilis", "Amblystomus guttatus", "Amblystomus guttula", "Amblystomus hessei", "Amblystomus ignobilis", "Amblystomus imerinae", "Amblystomus indicus", "Amblystomus indotatus", "Amblystomus inflaticeps", "Amblystomus intermedius", "Amblystomus iranicus", "Amblystomus jeanneli", "Amblystomus katanganus", "Amblystomus kenyanus", "Amblystomus labroexcisus", "Amblystomus laetus", "Amblystomus latefasciatus", "Amblystomus laticeps", "Amblystomus latus", "Amblystomus lepineyi", "Amblystomus louwerensi", "Amblystomus mandibularis", "Amblystomus mauritanicus", "Amblystomus melonii", "Amblystomus metallescens", "Amblystomus metallicus", "Amblystomus metrius", "Amblystomus minimus", "Amblystomus minutulus", "Amblystomus minutus", "Amblystomus montanus", "Amblystomus natalicus", "Amblystomus niger", "Amblystomus nigrinus", "Amblystomus nigrofemoratus", "Amblystomus nitidiceps", "Amblystomus notabilis", "Amblystomus nyassicus", "Amblystomus obliquus", "Amblystomus omoxanthus", "Amblystomus ornatipennis", "Amblystomus orpheus", "Amblystomus ovalis", "Amblystomus pallidicolor", "Amblystomus pallidipennis", "Amblystomus pallipes", "Amblystomus palustris", "Amblystomus parvus", "Amblytelus inornatus", "Amblytelus karricola", "Amblytelus lawrencei", "Amblytelus leai", "Amblytelus longior", "Amblytelus longipennis", "Amblytelus marginicollis", "Amblytelus matthewsi", "Amblytelus meyeri", "Amblytelus minutus", "Amblytelus monteithi", "Amblytelus montiscampi", "Amblytelus montiswilsoni", "Amblytelus montorum", "Amblytelus neboissi", "Amblytelus niger", "Amblytelus observatorum", "Amblytelus pseudepelyx", "Amblytelus rugosifrons", "Amblytelus simsoni", "Amblytelus sinuatus", "Amblytelus spurgeoni", "Amblytelus striatus", "Amblytelus temporalis", "Amblytelus walfordi", "Amblytelus weiri", "Amelus nigripennis", "Amerinus linearis", "Amerizus oblonguloides", "Amerizus oblongulus", "Amerizus spectabilis", "Amerizus teles", "Amerizus wingatei", "Amerizus arunachalensis", "Amerizus barkamensis", "Amerizus baxiensis", "Amerizus beatriciae", "Amerizus bhutanensis", "Amerizus bolivari", "Amerizus camillae", "Amerizus casalei", "Amerizus davidales", "Amerizus deuvei", "Amerizus eremita", "Amerizus faizae", "Amerizus farkaci", "Amerizus ganesh", "Amerizus gaoligongensis", "Amerizus garuda", "Amerizus gologensis", "Amerizus gongga", "Amerizus gosainkundensis", "Amerizus hubeiensis", "Amerizus indecorus", "Amerizus kashmiricus", "Amerizus lama", "Amerizus lassallei", "Amerizus ledouxi", "Amerizus loebli", "Amerizus macrocephalus", "Amerizus maquensis", "Amerizus markamensis", "Amerizus martensi", "Amerizus morvani", "Amara oertzeni", "Amara ooptera", "Amara rotundicollis", "Amara schweigeri", "Amara weiratheri", "Amara espagnoli", "Amara puncticollis", "Amara pyrenaea", "Amara turkestana", "Amara fortis", "Amara aidereensis", "Amara aimonissabaudiae", "Amara annapurnensis", "Amara astrabadensis", "Amara calathoides", "Amara cardionota", "Amara cardionotoides", "Amara cyrenaica", "Amara dalmatina", "Amara diabolica", "Amara dichroa", "Amara erberi", "Amara frivola", "Amara hedjazica", "Amara monochroa", "Amara obtusangula", "Amara pulchra", "Amara quenseli", "Amara rufoaenea", "Amara samnitica", "Amara saxicola", "Amara serdicana", "Amara simplex", "Amara superans", "Amara bickhardti", "Amara taurica", "Amara equestris", "Amara infuscata", "Amara obesa", "Amara perabdita", "Amara reichei", "Amara sicula", "Amara pumilio", "Amara kirghisica", "Amara murgabica", "Amara pseudofulva", "Amara punctipennis", "Amara luppovae", "Amara birmana", "Amara curvibasis", "Amara rotundangula", "Amara zhongdianica", "Amara balangshana", "Amara beresowskii", "Amara chinensis", "Amara collivaga", "Amara dalijiashanica", "Amara jintangensis", "Amara kutscherai", "Amara minshanica", "Amara monastirensis", "Amara myanmarica", "Amara paumashanica", "Amara taguensis", "Anaulacus rutilus", "Anaulacus submaculatus", "Anaulacus whiteheadi", "Anaulacus fasciatus", "Anaulacus quadrimaculatus", "Anaulacus sericipennis", "Anaulacus siamensis", "Anaulacus batesi", "Anaulacus afganus", "Anaulacus africanus", "Anaulacus arrowi", "Anaulacus humilis", "Anaulacus ciliatus", "Anaulacus erwini", "Anaulacus mcclevei", "Anaulacus sericatus", "Anaulacus thoracicus", "Anaulacus tuberculatus", "Anaulacus mocquerysi", "Anaulacus monilis", "Anaulacus sphaeridioides", "Anaulacus westwoodi", "Anchomenidius astur", "Anchomenidius feldmanni", "Anchomenus cyaneus", "Anchomenus dohrnii", "Anchomenus kurnakovi", "Anchomenus aeneolus", "Anchomenus alcedo", "Anchomenus bellus", "Anchomenus capensis", "Anchomenus funebris", "Anchomenus kataevi", "Anchomenus leucopus", "Anchomenus quadratus", "Anchomenus suensoni", "Anchomenus turkestanicus", "Anchomenus virescens", "Anchomenus yukihikoi", "Anchonoderus apicalis", "Anchonoderus binotatus", "Anchonoderus concinnus", "Anchonoderus concolor", "Anchonoderus cupripennis", "Anchonoderus darlingtoni", "Anchonoderus erosus", "Anchonoderus eximius", "Anchonoderus femoratus", "Anchonoderus fulvipennis", "Anchonoderus horni", "Anchonoderus humeralis", "Anchonoderus infirmus", "Anchonoderus infuscatus", "Anchonoderus jamaicensis", "Anchonoderus montanus", "Anchonoderus myops", "Anchonoderus quadrinotatus", "Anchonoderus reichei", "Anchonoderus roedingeri", "Anchonoderus rugatus", "Anchonoderus scabricollis", "Anchonoderus schaefferi", "Anchonoderus subaeneus", "Leontopodium andersonii", "Leontopodium calocephalum", "Voltinia agroeca", "Leontopodium himalayanum", "Leontopodium kamtschaticum", "Henssenia radiata", "Coryphantha elephantidens", "Cousinia murgabica", "Cousinia dichotoma", "Cousinia erectispina", "Cousinia eugenii", "Anchonoderus submaculatus", "Anchonoderus subtilis", "Anchonoderus transversus", "Anchonoderus tucumanus", "Anchonoderus undatus", "Anchonoderus unicolor", "Anchotrechus punctipennis", "Ancus bicornutus", "Ancus cariniceps", "Ancus depressifrons", "Ancus excavaticeps", "Ancus sulcicollis", "Ancystroglossus deplanatus", "Ancystroglossus dimidiaticornis", "Ancystroglossus gracilis", "Ancystroglossus ovalipennis", "Ancystroglossus punctatus", "Ancystroglossus strangulatus", "Andinocolpodes espejoensis", "Andinocolpodes mifafi", "Andinocolpodes monasterioi", "Andinorites atahualpai", "Andinorites convexus", "Andinorites crypticola", "Andinorites peruvianus", "Andinorites striatus", "Andinorites troglophilus", "Andinorites vilchezi", "Andinotrechus naranjoi", "Andrewesia apicalis", "Andrewesia australica", "Andrewesia obesa", "Andrewesinulus enganensis", "Andrewesinulus gibbus", "Andrewesinulus ovum", "Andrewesinulus singularis", "Andrewesinulus vadoni", "Andrewesius amicus", "Andrewesius arlettae", "Andrewesius boulbeni", "Andrewesius cavazzutii", "Andrewesius coeruleatus", "Andrewesius delavayi", "Andrewesius fedorovi", "Andrewesius glasaour", "Andrewesius intermedius", "Andrewesius kambaiticola", "Andrewesius largomarginatus", "Andrewesius ollivieri", "Andrewesius omeishanicus", "Andrewesius pratti", "Andrewesius remondi", "Andrewesius renati", "Andrewesius rougemonti", "Andrewesius rutilans", "Andrewesius subsericatus", "Andrewesius tibetanus", "Andrewesius troncatus", "Andrewesius vikara", "Andrewesius vimmeri", "Andrewesius vulpinus", "Andrewesius yunnanus", "Andrewesius zezeae", "Androzelma gigas", "Anentmetus pluto", "Anentmetus spissicornis", "Angionychus lividus", "Angustanillus striatipennis", "Anheterus ambiguus", "Anheterus distinctus", "Anheterus gracilis", "Aniara sepulcralis", "Anillaspis caseyi", "Anillaspis explanata", "Anillidius byzantinus", "Anillidius coiffaiti", "Anillidius hobhousae", "Anillidius pisidicus", "Anillidius tauricus", "Anillidius turcicus", "Anillidius uludagensis", "Anillinus acutipennis", "Anillinus affabilis", "Anillinus aleyae", "Anillinus balli", "Anillinus barberi", "Anillinus barri", "Anillinus campbelli", "Anillinus cavicola", "Anillinus comalensis", "Anillinus cornelli", "Anillinus daggyi", "Anillinus davidsoni", "Anillinus depressus", "Anillinus docwatsoni", "Anillinus dohrni", "Anillinus elongatus", "Anillinus erwini", "Anillinus folkertsi", "Anillinus forthoodensis", "Anillinus fortis", "Anillinus hirsutus", "Anillinus indianae", "Anillinus kingi", "Anillinus kovariki", "Anillinus langdoni", "Anillinus longiceps", "Anillinus loweae", "Anillinus magazinensis", "Anillinus magnus", "Anillinus minor", "Anillinus moseleyae", "Anillinus murrayae", "Anillinus nantahala", "Anillinus pecki", "Anillinus robisoni", "Anillinus sinuaticollis", "Anillinus sinuatus", "Anillinus steevesi", "Anillinus stephani", "Cyclosa parangdives", "Anillinus tishechkini", "Anillinus tombarri", "Anillinus turneri", "Anillinus valentinei", "Anillinus virginiae", "Anillinus wisemanensis", "Anillodes debilis", "Anillodes minutus", "Anillodes walkeri", "Anillopsidius atlasicus", "Anillopsis capensis", "Anillopsis franzi", "Anillotarsus tetramerus", "Anillus angelae", "Anillus bordonii", "Anillus caecus", "Anillus cebennicus", "Anillus cirocchii", "Anillus convexus", "Anillus corsicus", "Anillus florentinus", "Anillus frater", "Anillus hypogaeus", "Anillus joffrei", "Anillus latialis", "Anillus marii", "Anillus minervae", "Anillus pacei", "Anillus petriolii", "Anillus sekerai", "Anillus sulcatellus", "Anillus virginiae", "Anisocnemus amblygonus", "Anisocnemus validus", "Anisodactylus alternans", "Anisodactylus discoideus", "Anisodactylus nivalis", "Anisodactylus pitychrous", "Anisodactylus porosus", "Anisodactylus rotundangulus", "Anisodactylus rudis", "Anisodactylus sanctaecrucis", "Anisodactylus agricola", "Anisodactylus antoinei", "Anisodactylus californicus", "Anisodactylus carbonarius", "Anisodactylus consobrinus", "Anisodactylus emarginatus", "Anisodactylus furvus", "Anisodactylus harrisii", "Anisodactylus heros", "Anisodactylus hispanus", "Anisodactylus karennius", "Anisodactylus kirbyi", "Anisodactylus lodingi", "Anisodactylus melanopus", "Anisodactylus nemorivagus", "Anisodactylus nigerrimus", "Anisodactylus nigrita", "Anisodactylus pseudagricola", "Anisodactylus pueli", "Anisodactylus similis", "Anisodactylus tricuspidatus", "Anisodactylus amaroides", "Anisodactylus caenus", "Anisodactylus anthracinus", "Anisodactylus darlingtoni", "Anisodactylus dulcicollis", "Anisodactylus haplomus", "Anisodactylus harpaloides", "Anisodactylus merula", "Anisodactylus opaculus", "Anisodactylus ovularis", "Anisodactylus rusticus", "Anisodactylus texanus", "Anisodactylus afghanus", "Anisodactylus mandschuricus", "Anisodactylus poeciloides", "Anisodactylus virens", "Anisodactylus punctatipennis", "Anisodactylus sadoensis", "Anisodactylus signatus", "Anisodactylus laetus", "Anisodactylus intermedius", "Anisodactylus verticalis", "Anisostichus laevis", "Anisostichus octopunctatus", "Anisostichus posticus", "Anisostichus solieri", "Anomophaenus costatogranulatus", "Anomophaenus depressiusculus", "Anomophaenus granellus", "Anomophaenus granulipennis", "Anomophaenus montanus", "Anomophaenus montrousieri", "Anomophaenus plicatifrons", "Anomophaenus tenuistriatus", "Anomostomus laevigatus", "Anomostomus orientalis", "Anomostomus torridus", "Anomotachys acaroides", "Anomotachys curtus", "Anomotachys cyrtonotus", "Anomotariella hippocrepis", "Anomotarus angusticollis", "Anomotarus magnus", "Anomotarus alpinus", "Anomotarus andamanicus", "Anomotarus apicalis", "Anomotarus assimilis", "Anomotarus atriceps", "Anomotarus bogani", "Anomotarus convexiusculus", "Anomotarus cordicollis", "Anomotarus cordifer", "Anomotarus crudelis", "Anomotarus darlingtoni", "Anomotarus decoratus", "Anomotarus elliotti", "Anomotarus fasciatus", "Anomotarus flavocinctus", "Anomotarus flavus", "Anomotarus fulgens", "Anomotarus fuscipes", "Anomotarus geophilus", "Anomotarus gressitti", "Anomotarus humeralis", "Apatrobus echigonus", "Apatrobus hasemiya", "Apatrobus hayachinensis", "Apatrobus hikosanus", "Apatrobus ishiharai", "Apatrobus ishizuchiensis", "Apatrobus iturupensis", "Apatrobus iwasakii", "Apatrobus jakuchiensis", "Apatrobus kurosawai", "Erythropitta macklotii", "Hesperevax sparsiflora", "Nusatidia borneensis", "Nusatidia camouflata", "Nusatidia melanobursa", "Nusatidia rama", "Nusatidia snazelli", "Nusatidia pandalira", "Hyalosperma cotula", "Corinnomma severum", "Coronidium glutinosum", "Hyalosperma demissum", "Ixiolaena viscosa", "Helichrysum teydeum", "Leiocarpa panaetioides", "Leiocarpa websteri", "Gephyromantis angano", "Anomotarus humeratus", "Anomotarus impictus", "Anomotarus itoi", "Anomotarus jakli", "Anomotarus jeanneli", "Anomotarus kosciuskoanus", "Anomotarus kununurrae", "Anomotarus lamingtonensis", "Anomotarus lamprus", "Anomotarus laticollis", "Anomotarus latiplaga", "Anomotarus leytensis", "Anomotarus macrops", "Anomotarus magnicollis", "Anomotarus micans", "Anomotarus minor", "Anomotarus minutus", "Anomotarus moluccarum", "Anomotarus monarensis", "Anomotarus mourae", "Anomotarus murrayanus", "Anomotarus mypongae", "Anomotarus nigrinus", "Anomotarus nitidior", "Anomotarus nubilus", "Anomotarus obsoletus", "Anomotarus occidentalis", "Anomotarus ocellatus", "Anomotarus opacus", "Anomotarus ornatellus", "Anomotarus ornatus", "Anomotarus pakistanus", "Anomotarus pictulus", "Anomotarus plagifer", "Anomotarus pseudogressitti", "Anomotarus roberi", "Anomotarus rufescens", "Anomotarus ruficornis", "Anomotarus scriptus", "Anomotarus semisericeus", "Anomotarus sericus", "Anomotarus stigmula", "Anomotarus subterraneus", "Anomotarus tenuicollis", "Anomotarus timorensis", "Anomotarus toombae", "Anomotarus transversus", "Anomotarus tumidiceps", "Anomotarus umbratus", "Anomotarus undurae", "Anomotarus unicolor", "Anomotarus unimaculatus", "Anomotarus vicinus", "Anomotarus violaceipennis", "Anomotarus vittipennis", "Anomotarus wallacei", "Anomotarus wegneri", "Anomotarus wilcanniae", "Anomotarus wilsoni", "Anomotarus maculipennis", "Anomotarus sambiranensis", "Anomotarus caerulescens", "Anomotarus adelaidae", "Anomotarus anomotaroides", "Selenops vinalesi", "Selenops candidus", "Voltinia cebrenia", "Selenops aissus", "Leptorhynchos squamatus subsp. squamatus", "Selenops banksi", "Selenops micropalpus", "Selenops phaselus", "Selenops pensilis", "Leucochrysum albicans", "Leucochrysum albicans subsp. albicans", "Henssenia werthii", "Selenops mexicanus", "Henssenia subglaucella", "Voltinia phryxe", "Chelidoperca santosi", "Eucorna sanarita", "Cousinia chlorocephala", "Cousinia daralaghezica", "Cousinia dolicholepis", "Cousinia vicaria", "Cousinia angreni", "Cousinia scabrida", "Cousinia minkwitziae", "Cousinia tenuisecta", "Anoncopeucus curvatus", "Anoncopeucus curvipes", "Anophthalmus ajdovskanus", "Anophthalmus alphonsi", "Anophthalmus amplus", "Anophthalmus annamariae", "Anophthalmus baratellii", "Anophthalmus bernhaueri", "Anophthalmus besnicensis", "Anophthalmus bognoloi", "Anophthalmus bohiniensis", "Anophthalmus bojani", "Anophthalmus bukoveci", "Anophthalmus capillatus", "Anophthalmus daffneri", "Anophthalmus driolii", "Anophthalmus egonis", "Anophthalmus erebus", "Anophthalmus fabbrii", "Anophthalmus fallaciosus", "Anophthalmus gabriellae", "Anophthalmus gobanzi", "Anophthalmus gridellii", "Anophthalmus haraldianus", "Anophthalmus hauckei", "Anophthalmus heteromorphus", "Anophthalmus hirtus", "Anophthalmus jalzici", "Anophthalmus kahleni", "Anophthalmus kaufmanni", "Anophthalmus kertecsi", "Anophthalmus kofleri", "Anophthalmus leander", "Anophthalmus maderi", "Anophthalmus manhartensis", "Anophthalmus mayeri", "Anophthalmus meggiolaroi", "Anophthalmus micklitzi", "Anophthalmus miroslavae", "Anophthalmus nivalis", "Anophthalmus paciuchensis", "Anophthalmus pretneri", "Anophthalmus ravasinii", "Anophthalmus sanctaeluciae", "Anophthalmus schatzmayri", "Neoscona xiquanensis", "Anophthalmus schaumii", "Anophthalmus schmidtii", "Anophthalmus scopolii", "Anophthalmus seppenhoferi", "Anophthalmus severi", "Anophthalmus spectabilis", "Anophthalmus tolminensis", "Antarctiola amaroides", "Antarctiola laevigata", "Antarctiola laevis", "Antarctiola motschulskyi", "Antennaria iosceles", "Antennaria sparsimpilosa", "Anthia artemis", "Anthia bucolica", "Anthia calida", "Anthia cinctipennis", "Anthia circumscripta", "Anthia convexipennis", "Anthia ferox", "Anthia ida", "Anthia kleinfeldi", "Anthia lefebvrei", "Cheiracanthium escaladae", "Anthia lunae", "Anthia mannerheimii", "Anthia mirabilis", "Anthia oberthuri", "Anthia orientalis", "Anthia pulcherrima", "Anthia sexguttata", "Anthia thoracica", "Anthia cavernosa", "Anthia aemiliana", "Anthia aequilatera", "Anthia alternata", "Anthia andersonii", "Anthia babaulti", "Anthia barbarae", "Anthia biguttata", "Anthia brevivittata", "Anthia burchelli", "Anthia calva", "Anthia capillata", "Anthia cephalotes", "Anthia csikii", "Anthia decemguttata", "Anthia discedens", "Anthia duodecimguttata", "Anthia fornasinii", "Anthia galla", "Anthia hedenborgi", "Anthia hexasticta", "Anthia homoplata", "Anthia limbata", "Anthia machadoi", "Anthia massilicata", "Apocellus laevis", "Anthia mima", "Anthia namaqua", "Anthia nimrod", "Anthia ovampoa", "Anthia praesignis", "Anthia principalis", "Anthia revoili", "Anthia sexmaculata", "Anthia sulcata", "Anthia venator", "Anthracus angusticollis", "Anthracus anichtchenkoi", "Anthracus annamensis", "Anthracus baehri", "Apocellus planus", "Anthracus basanicus", "Anthracus biplagiatus", "Anthracus brevipennis", "Anthracus cordiger", "Anthracus currilis", "Anthracus darlingtoni", "Anthracus decellei", "Cousinia syrdariensis", "Cousinia turkestanica", "Cousinia juzepczukii", "Cousinia umbilicata", "Arctomia insigna", "Cousinia pungens", "Cousinia scleracantha", "Cousinia sporadocephala", "Cousinia spiridonovii", "Cousinia transoxana", "Cousinia ambigens", "Cheirogaleus grovesi", "Cousinia resinosa", "Cousinia kazachorum", "Cousinia horridula", "Cousinia maracandica", "Cousinia platystegia", "Cousinia dichromata", "Cousinia egens", "Stenus parviceps", "Stenus simulator", "Stenus tinctus", "Stenus traili", "Stenus tricolor", "Stenus ventralis", "Octavius batesi", "Stenaesthetus illatus", "Leucochrysum albicans subsp. tricolor", "Leucochrysum stipitatum", "Anomotarus atratus", "Anomotarus australis", "Anomotarus barlee", "Anomotarus barrowensis", "Anomotarus bilyi", "Anomotarus carinipennis", "Anomotarus chaudoiri", "Anomotarus consimilis", "Anomotarus cordatus", "Anomotarus creberrimus", "Anomotarus crebrepunctatus", "Anomotarus cribriceps", "Anomotarus curtipennis", "Anomotarus depressipennis", "Anomotarus deserti", "Anomotarus distinguendus", "Anomotarus doddi", "Anomotarus flavescens", "Anomotarus flavipennis", "Anomotarus freyi", "Anomotarus fulvus", "Anomotarus geminus", "Anomotarus gilesi", "Anomotarus giulianii", "Anomotarus glabripennis", "Anomotarus howdenorum", "Anomotarus interstitialis", "Anomotarus janae", "Anomotarus kimberleyanus", "Anomotarus latithorax", "Anomotarus leonorae", "Anomotarus longior", "Anomotarus lucidus", "Anomotarus macer", "Anomotarus minimus", "Anomotarus montisedithae", "Anomotarus montismariae", "Anomotarus nadineae", "Anomotarus napieri", "Anomotarus nitescens", "Anomotarus nitidiceps", "Anomotarus ocularis", "Anomotarus ophthalmicus", "Anomotarus parvicollis", "Anomotarus pilbarae", "Anomotarus proximus", "Anomotarus punctaticeps", "Hypsosinga luzhongxiani", "Anomotarus punctatissimus", "Anomotarus puncticollis", "Anomotarus rugiceps", "Anomotarus sloanei", "Anomotarus storeyi", "Anomotarus subrufus", "Anomotarus sulcicollis", "Anomotarus victoriae", "Anomotarus wheelarrae", "Anomotarus wilroyensis", "Anomotarus yamarnae", "Anomotarus yorkianus", "Calocephalus brownii", "Leysera leyseroides", "Eurybia albiseriata", "Eurybia albiseriata albiseriata", "Eurybia albiseriata stellifera", "Dendrochilum cootesii", "Astenus amicus", "Astenus marginatus", "Astenus serpens", "Astenus strictus", "Astenus ventralis", "Astenus vittatus", "Aderobium angustifrons", "Homaeotarsus opacus", "Selenops debilis", "Selenops actophilus", "Loricaria ferruginea", "Loricaria thuyoides", "Selenops nesophilus", "Selenops bifurcatus", "Lucilia acutifolia", "Selenops insularis", "Eurybia dardus dardus", "Lucilia lycopodioides", "Selenops trifidus", "Ozothamnus cupressoides", "Plesioarida palmerii arizona", "Acalophaena germana", "Acalophaena pagana", "Acalophaena picta", "Acalophaena polita", "Ozothamnus diosmifolius", "Plesioarida palmerii australis", "Ozothamnus hookeri", "Plesioarida palmerii palmerii", "Hippomarathrum vulgare", "Ozothamnus ledifolius", "Ozothamnus lepidophyllus", "Macrosaccus coursetiae", "Nyctemera carissima carissima", "Nyctemera carissima formosana", "Echiaster batesi", "Echiaster boops", "Echiaster carinatus", "Origanum ayliniae", "Echiaster fumatus", "Echiaster latifrons", "Echiaster mamillatus", "Echiaster muticus", "Echiaster scissus", "Echiaster signatus", "Echiaster tibialis", "Sphaeronum carinicolle", "Sphaeronum carinifrons", "Sphaeronum depressifrons", "Sphaeronum elongatum", "Sphaeronum opacum", "Sphaeronum pallidum", "Rothmannia eucodon", "Apodemia castanea", "Ozothamnus alpinus", "Ozothamnus costatifructus", "Ozothamnus cuneifolius", "Selenops aequalis", "Selenops angelae", "Selenops marilus", "Selenops tiky", "Selenops annulatus", "Myriocephalus oldfieldii", "Oedera capensis", "Eurybia latifasciata", "Cousinia erinacea", "Cousinia seidlitzii", "Scopaeodes fusciceps", "Cousinia waldheimiana", "Scopaeodes gracilis", "Neolindus religans", "Anthracus derogatus", "Anthracus drurei", "Anthracus exactellus", "Anthracus exactus", "Anthracus flavipennis", "Anthracus fonticola", "Clubiona batikanoides", "Anthracus franzi", "Anthracus furvinus", "Anthracus furvus", "Anthracus glabrus", "Anthracus hauseri", "Anthracus hornburgi", "Anthracus horni", "Anthracus indicus", "Anthracus insignis", "Anthracus javaensis", "Anthracus latus", "Anthracus leyteensis", "Anthracus longicornis", "Anthracus madecassus", "Anthracus mindanaoensis", "Anthracus nathani", "Anthracus nesophilus", "Anthracus novaecaledonicus", "Anthracus overlaeti", "Anthracus pallidus", "Anthracus philippinensis", "Anthracus punctulatus", "Anthracus quarnerensis", "Anthracus schuhi", "Anthracus siamensis", "Clubiona xinwenhui", "Anthracus skalei", "Anthracus sumatraensis", "Anthracus tener", "Anthracus transversalis", "Anthracus vanharteni", "Anthracus weigeli", "Anthracus wrasei", "Antilliscaris danforthi", "Clubiona milingae", "Antilliscaris darlingtoni", "Antilliscaris megacephalus", "Antilliscaris mutchleri", "Antimerina elegans", "Antipionycha puncticollis", "Aparupa andrewesi", "Aparupa beethami", "Aparupa exophthalmica", "Aparupa kaii", "Aparupa kirschenhoferi", "Aparupa lateromarginalis", "Aparupa magar", "Aparupa matsumurai", "Clubiona qianhuayuani", "Aparupa mirabilis", "Aparupa naviauxi", "Aparupa nepalensis", "Aparupa rougemonti", "Aparupa silvatica", "Aparupa villosa", "Aparupa waroki", "Apatrobus cornifer", "Cousinia polytimetica", "Cousinia sylvicola", "Cousinia bungeana", "Cousinia tedshenica", "Cousinia pusilla", "Cousinia orthacantha", "Cousinia patentispina", "Cousinia angusticeps", "Knema globularia", "Cousinia fragillima", "Bledius addendus", "Bledius albidus", "Bledius modestus", "Bledius muticus", "Bledius rarus", "Bledius similis", "Bledius simplex", "Argiope abramovi", "Thinodromus breviceps", "Thinodromus hilaris", "Thinodromus latifrons", "Nusatidia vietnamensis", "Carpelimus mundus", "Thinodromus vicinus", "Selenops ab", "Stenus batesi", "Stenus cerritus", "Stenus collaris", "Stenus cursitor", "Stenus excisus", "Stenus extensus", "Stenus fallax", "Stenus genalis", "Stenus heres", "Stenus inspector", "Stenus laticeps", "Stenus nigricans", "Stenus obductus", "Selenops alemani", "Stenus parae", "Leontopodium ochroleucum", "Selenops gracilis", "Selenops lepidus", "Selenops buscki", "Selenops scitus", "Leontopodium sinense", "Leontopodium stracheyi", "Leptorhynchos squamatus", "Selenops abyssus", "Selenops simius", "Eurybia elvina emidiata", "Selenops geraldinae", "Steinera intricata", "Selenops willinki", "Selenops aztecus", "Eurybia halimede", "Selenops malinalxochitl", "Steinera latispora", "Selenops makimaki", "Selenops ixchel", "Selenops chamela", "Selenops petenajtoy", "Dendrobium sanderae", "Selenops huetocatl", "Selenops oricuajo", "Selenops amona", "Selenops petrunkevitchi", "Steinera olechiana", "Eurybia halimede halimede", "Eurybia halimede passercula", "Ozothamnus secundiflorus", "Ozothamnus selago", "Ozothamnus cinerea", "Pentatrichia petrosa", "Keratoisis grayi", "Cousinia tricolor", "Phagnalon sordidum", "Trichopilia aenigma", "Trichopilia amabilis", "Walwhalleya pungens", "Trichopilia archilarum", "Trichopilia backhousiana", "Trichopilia boliviensis", "Trichopilia brevis", "Walwhalleya subxerophila", "Hessemydas seyrigi", "Hessemydas daugeroni", "Hessemydas parkeri", "Mahafalymydas wiegmanni", "Mahafalymydas tuckeri", "Podolepis neglecta", "Episcaphium zhuxiaoyui", "Episcaphium watanabei", "Episcaphium semirufum", "Episcaphium unicolor", "Ducetia borealis", "Kuwayamaea anhuii", "Kuwayamaea brachyptera", "Kuwayamaea fujiani", "Cousinia androssovii", "Cousinia agelocephala", "Bombycilaena californica", "Selenops wilmotorum", "Selenops wilsoni", "Selenops beynai", "Selenops marcanoi", "Cousinia wilhelminae", "Selenops bocacanadensis", "Selenops oviedo", "Selenops duan", "Pycnocrypta gigas", "Pycnocrypta plagipennis", "Millotia tenuifolia", "Selenops denia", "Selenops guerrero", "Selenops baweka", "Selenops kalinago", "Selenops souliga", "Selenops bani", "Selenops enriquillo", "Selenops morro", "Cousinia turkmenorum", "Cousinia congesta", "Eurybia juturna", "Mniodes kunthiana", "Camillina javieri", "Ozothamnus obcordatus", "Ozothamnus obcordatus subsp. obcordatus", "Ozothamnus occidentalis", "Origanum \u00d7 adae", "Alavasoma muniesai", "Ozothamnus plumeus", "Lathrobium amazonicum", "Lathrobium batesi", "Lathrobium certum", "Lathrobium chloroticum", "Nyctemera maculata maculata", "Ajuga yesoensis", "Ozothamnus rodwayi", "Lathrobium decisum", "Lathrobium deletum", "Lathrobium glabrum", "Lathrobium hilare", "Ajuga yesoensis var. tsukubana", "Lathrobium macrocephalum", "Nyctemera muelleri muelleri", "Lathrobium mendax", "Lathrobium minor", "Lathrobium necatum", "Lathrobium opalescens", "Lathrobium parallelum", "Lathrobium pictum", "Lathrobium proximum", "Lathrobium rufulum", "Lathrobium simplex", "Lathrobium tardum", "Lathrobium tenuicorne", "Ozothamnus rogersianus", "Nyctemera hampsoni", "Ozothamnus rufescens", "Lobrathium distans", "Walwhalleya proluta", "Sauropus gracilis", "Sauropus arenosus", "Sauropus dunlopii", "Sauropus filicinus", "Sauropus paucifolius", "Sauropus rimophilus", "Sauropus salignus", "Sauropus torridus", "Sauropus stenocladus", "Sauropus anemoniflorus", "Sauropus aphyllus", "Sauropus convallarioides", "Sauropus decrescentifolia", "Actinoschoenus arthrostyloides", "Lobrathium puncticeps", "Wahlenbergia rupicola", "Achenomorphus latro", "Wahlenbergia telfordii", "Lithocharis comes", "Lithocharis condita", "Lithocharis diffinis", "Lithocharis simplex", "Lithocharis sobrina", "Lypeticus mundus", "Lepidosperma monticola", "Medon crassulus", "Monocharis vestita", "Ophiomedon compressus", "Ophiomedon integer", "Phyllanthus baeckeoides", "Phyllanthus cauticola", "Phyllanthus prominulatus", "Phyllanthus sulcatus", "Phyllanthus involutus", "Phyllanthus occidentalis", "Pithocarpa pulchella", "Pithocarpa cordata", "Plecostachys serpyllifolia", "Podolepis canescens", "Podolepis capillaris", "Podolepis lessonii", "Sciocharis ardua", "Sciocharis egena", "Sciocharis oculata", "Sciocharis quadrata", "Draba lanceolata", "Stilomedon connexus", "Stilomedon discedens", "Draba cana", "Paederus amazonicus", "Paederus lingualis", "Paederus mutans", "Paederus punctiger", "Paederus solidus", "Paederus tridens", "Abaxisotima bicolor", "Abaxisotima brevifissa", "Abaxisotima forcipiforma", "Abaxisotima macrocaudata", "Abaxisotima spiniforma", "Abaxisotima furca", "Trichopilia callichroma", "Trichopilia concepcionis", "Abaxisotima multipunctata", "Trichopilia dalstroemii", "Trichopilia endresiana", "Trichopilia eneidae", "Trichopilia freulerae", "Trichopilia galeottiana", "Trichopilia gracilis", "Trichopilia grata", "Trichopilia hennisiana", "Trichopilia juninensis", "Trichopilia laxa", "Trichopilia leucoxantha", "Cynolebias elegans", "Selenops submaculosus", "Cynolebias gorutuba", "Lucilia nitens", "Selenops lindborgi", "Lucilia recurva", "Selenops formosus", "Selenops minutus", "Ochthephilum alienum", "Eurybia donna", "Ochthephilum alternans", "Ochthephilum angustum", "Ochthephilum cylindricum", "Ochthephilum fuscipenne", "Ochthephilum laticolle", "Ochthephilum longiceps", "Ochthephilum longicorne", "Ochthephilum opacifrons", "Ochthephilum punctipenne", "Phyllonorycter comparella", "Ochthephilum ruficorne", "Ochthephilum scrobiculatum", "Steinera isidiata", "Ochthephilum scutigerum", "Ochthephilum subfractum", "Ochthephilum traili", "Ochthephilum triste", "Eurybia elvina", "Steinera lebouvieri", "Selenops morosus", "Steinera membranacea", "Opithes stilicoides", "Selenops marginalis", "Metalasia muricata", "Selenops nigromaculatus", "Steinera pannarioides", "Selenops arikok", "Eurybia elvina elvina", "Eurybia elvina granulata", "Selenops curazao", "Micropsis spathulata", "Amiota arcuata", "Amiota dehiscentia", "Trichopilia peruviana", "Trichopilia primulina", "Trichopilia punctata", "Trichopilia punicea", "Trichopilia rostrata", "Trichopilia sanguinolenta", "Trichopilia santoslimae", "Trichopilia similis", "Trichopilia steinii", "Trichopilia suavis", "Trichopilia subulata", "Dendropsophus kubricki", "Dendropsophus kamagarini", "Trichopilia tortilis", "Trichopilia maculata", "Trichopilia marginata", "Pseudognaphalium cabrerae", "Pseudocera rubrescens", "Pseudocera microda", "Pseudocera elliptica", "Telamoptilia hibiscifora", "Telamoptilia pavoniae", "Rugilus amazonicus", "Rugilus punctatus", "Dibelonetes bidens", "Dibelonetes brevis", "Dibelonetes catena", "Dibelonetes celatus", "Dibelonetes confinis", "Dibelonetes crassus", "Dibelonetes modestus", "Dibelonetes palpalis", "Dibelonetes peltatus", "Dibelonetes pictus", "Dibelonetes spinifer", "Stamnoderus insignis", "Callistium cleadas", "Trichopilia tubella", "Trichopilia turialbae", "Darevskia steineri", "Trichopilia undulatissima", "Schoenia filifolia subsp. filifolia", "Trichopilia wageneri", "Schoenia cassiniana", "Trichopilia \u00d7 ramonensis", "Poa humilis", "Amiota parvipyga", "Amiota yangonensis", "Pyrrhura griseipectus", "Rhodanthe anthemoides", "Rhodanthe battii", "Rhodanthe charsleyae", "Rhodanthe chlorocephala subsp. chlorocephala", "Rhodanthe citrina", "Rhodanthe craspedioides", "Rhodanthe floribunda", "Rhodanthe laevis", "Rhodanthe moschata", "Rhodanthe pygmaea", "Rhodanthe tietkensii", "Rhodanthe uniflora", "Epichostis dicremna", "Pinophilus affinis", "Pinophilus angustus", "Epichostis leucorma", "Pinophilus batesi", "Pinophilus bicolor", "Pinophilus debilis", "Pinophilus distans", "Epichostis melanocona", "Pinophilus duplex", "Pinophilus egens", "Pinophilus extremus", "Epichostis metrodelta", "Pinophilus laxus", "Pinophilus minor", "Epichostis stelota", "Pinophilus oblatus", "Pinophilus proximus", "Epichostis microdelta", "Phortica lobo", "Phortica yalianae", "Phortica yiqini", "Phortica chingolaensis", "Phortica biclavata", "Phortica eseta", "Phortica mediarista", "Phortica nakanoi", "Phortica ancistria", "Phortica dirhopala", "Kuwayamaea hunani", "Kuwayamaea inflata", "Prohimerta guizhouensis", "Prohimerta fujianensis", "Prohimerta hubeiensis", "Prohimerta sichuanensis", "Podolepis robusta", "Prohimerta choui", "Prohimerta dispar", "Prohimerta yunnanea", "Prohimerta laocai", "Prohimerta vieta", "Podotheca gnaphalioides", "Prohimerta annamensis", "Prohimerta maculosa", "Scopaeus chloroticus", "Scopaeus distans", "Scopaeus laevis", "Scopaeus laxus", "Pogonolepis stricta", "Scopaeus ornatus", "Scopaeus pauper", "Scopaeus tarsalis", "Polycalymma stuartii", "Paraducetia cruciata", "Paraducetia cruciata cruciata", "Paraducetia cruciata gialai", "Paraducetia paracruciata", "Abaxisotima acuminata", "Phortica monoceaena", "Phortica ryukyuensis", "Phortica sumatraensis", "Amiota aculeata", "Plateosaurus elizae", "Trichopilia mesoperuviensis", "Amiota subsinuata", "Trichopilia mutica", "Amiota xishuangbanna", "Amiota brevipartita", "Amiota curvispina", "Pterygopappus lawrencei", "Amiota lipingae", "Amiota huae", "Amiota longispina", "Trichopilia occidentalis", "Amiota asymmetrica", "Trichopilia oicophyllax", "Amiota femorata", "Amiota yixiangensis", "Pycnosorus globosus", "Trichopilia olmosii", "Amiota ailaoshanensis", "Quinetia urvillei", "Trichopilia orbiculabia", "Monista certa", "Monista divisa", "Monista longula", "Pseudognaphalium chartaceum", "Pseudognaphalium cymatoides", "Pseudognaphalium gaudichaudianum", "Pseudognaphalium lacteum", "Pseudognaphalium montevidense", "Dierlia subrectangulata", "Dierlia nebulocula", "Pseudognaphalium roseum", "Pseudognaphalium sandwicensium", "Pseudognaphalium undulatum", "Pseudognaphalium viravira", "Psilocarphus brevissimus", "Psilocarphus tenellus", "Lathropinus aequalis", "Lathropinus ater", "Epichostis deltata", "Psilocarphus tenellus var. globiferus", "Lathropinus dux", "Lathropinus mimus", "Epichostis hamatilis", "Epichostis jiangkouensis", "Epichostis magnimacularis", "Lathropinus modestus", "Epichostis proximitympanias", "Epichostis setilata", "Epichostis subrotunda", "Epichostis termiprotrusa", "Epichostis termitruncatula", "Epichostis wenxianica", "Lathropinus tenuis", "Epichostis wufengensis", "Epichostis elephantias", "Epichostis leptorthra", "Epichostis tympanias", "Epichostis antigama", "Epichostis barathrias", "Epichostis cryphaea", "Pinophilus abax", "Pinophilus aberrans", "Hypoestes floribunda", "Amiota subtusradiata", "Psychrophyton eximium", "Raoulia glabra", "Raoulia haastii", "Psychrophyton hectori", "Raoulia hookeri", "Raoulia monroi", "Raoulia parkii", "Amiota jizushanensis", "Amiota latitabula", "Raoulia tenuicaulis", "Amiota luguhuensis", "Raoulia hookeri var. albosericea", "Amiota nozawai", "Amiota paraspinata", "Amiota shangrila", "Amiota fuscata", "Taenodema bella", "Taenodema cinerea", "Taenodema dubia", "Amiota wangi", "Taenodema filum", "Taenodema laevis", "Taenodema laticornis", "Taenodema lenta", "Taenodema lurida", "Taenodema plana", "Amiota wuyishanensis", "Taenodema producta", "Taenodema quadrata", "Taenodema recta", "Taenodema rudis", "Taenodema serpens", "Taenodema similis", "Taenodema tarsalis", "Taenodema tecta", "Taenodema vicina", "Amiota apodemata", "Calydna candace", "Calydna carneia", "Calydna catana", "Calydna cea", "Syncarpha canescens", "Calydna charila", "Syncarpha canescens subsp. canescens", "Calydna hiria", "Syncarpha gnaphaloides", "Syncarpha variegata", "Trichanthodium skirrophorum", "Triptilodiscus pygmaeus", "Waitzia acuminata", "Acylophorus angusticeps", "Acylophorus iridescens", "Acylophorus punctiventris", "Amiota delta", "Amiota aquilotaurusata", "Cyrtoquedius clypealis", "Amiota neochungi", "Stenocline ericoides", "Amiota falcilis", "Amiota forficula", "Amiota balaenodentata", "Geodia barretti", "Scaptomyza amplialata", "Geodia angulata", "Stoebe fusca", "Stoebe passerinoides", "Stoebe plumosa", "Stylocline gnaphaloides", "Nesiodrosophila sufflava", "Calydna cabira", "Calydna calamisa", "Calydna caieta", "Syncarpha argyropsis", "Palaminus sellatus", "Palaminus simplex", "Palaminus sinuatus", "Palaminus sobrinus", "Palaminus stipes", "Stylokyrtus errans", "Platyprosopus frontalis", "Platyprosopus laticeps", "Platyprosopus major", "Platyprosopus minor", "Platyprosopus opacifrons", "Platyprosopus parallelus", "Platyprosopus rectus", "Platyprosopus rufescens", "Platyprosopus similis", "Siloxerus multiflorus", "Apsiphortica longiciliata", "Apsiphortica melanogaster", "Holisus depressus", "Apsiphortica xui", "Apsiphortica multiclavata", "Holisus discedens", "Holisus excavatus", "Holisus picipes", "Holisus umbra", "Siloxerus tomentosus", "Apsiphortica orthophallos", "Apsiphortica sinuatipenis", "Phortica haba", "Phortica montipagana", "Phortica qingsongi", "Lycaste consobrina", "Amiota cuii", "Amiota kamui", "Amiota kimurai", "Amiota aristata", "Amiota macai", "Amiota magniflava", "Draba caswellii", "Gastrisus laevigatus", "Gastrisus obsoletus", "Glenus amazonicus", "Glenus batesi", "Glenus kraatzi", "Glenus vestitus", "Isanopus tenuicornis", "Nausicotus opacipennis", "Ephippiger camillae", "Nordus aeneiceps", "Nordus amazonicus", "Nordus antennatus", "Nordus batesi", "Nordus cribricollis", "Nordus longipes", "Nordus maculiceps", "Nordus simplex", "Nordus styloceros", "Callistium maculosa", "Darevskia bendimahiensis", "Calydna thersander", "Darevskia sapphirina", "Darevskia schaekeli", "Darevskia kopetdaghica", "Darevskia kamii", "Darevskia caspica", "Darevskia chlorogaster", "Amiota alboguttata", "Amiota nagatai", "Siloxerus filifolius", "Oedodactylus anceps", "Palaminus anceps", "Palaminus apicalis", "Palaminus breviceps", "Palaminus crassus", "Palaminus discretus", "Palaminus distans", "Palaminus fragilis", "Siloxerus humifusus", "Palaminus fuscipes", "Palaminus gracilis", "Palaminus longicornis", "Palaminus modestus", "Palaminus niger", "Palaminus parcus", "Palaminus pellax", "Palaminus puncticeps", "Palaminus robustus", "Diromma dirinellum", "Platydracus amazonicus", "Platydracus gratiosus", "Platydracus gratus", "Platydracus parviceps", "Platydracus vetustus", "Atanygnathus flavicollis", "Atanygnathus longicornis", "Atanygnathus nasutus", "Elecatopselaphus violaceus", "Waitzia corymbosa", "Waitzia fitzgibbonii", "Waitzia suaveolens", "Scutellaria dependens", "Crocellina cinerea", "Draba oligosperma", "Draba porsildii", "Draba kananaskis", "Draba bennettii", "Gaillardia pinnatifida", "Gaillardia suavis", "Origmatogona toniperezi", "Oligotergus incongruus", "Bjerkandera adusta", "Oligotergus latus", "Phanolinus venustus", "Philothalpus bicolor", "Philothalpus mundus", "Helenium aromaticum", "Helenium bolanderi", "Helenium elegans", "Helenium pinnatifidum", "Helenium quadridentatum", "Plociopterus affinis", "Plociopterus dimidiatus", "Plociopterus fungi", "Plociopterus laetus", "Plociopterus mirandus", "Plociopterus nigripes", "Plociopterus traili", "Plociopterus tricolor", "Plociopterus ventralis", "Plociopterus virgineus", "Helenium thurberi", "Xanthopygus apicalis", "Xanthopygus cognatus", "Xanthopygus cyanipennis", "Xanthopygus depressus", "Xanthopygus nigripes", "Xanthopygus violaceus", "Agerodes pygialis", "Agerodes temporalis", "Agrodes conicicollis", "Baeckea linifolia", "Anatololacerta budaki", "Robiquetia cerina", "Marshallia graminifolia", "Marshallia graminifolia subsp. graminifolia", "Dicladanthera forrestii", "Renda clavicornis", "Renda fimetaria", "Renda minor", "Corymbia abergiana", "Hymenoxys brandegeei", "Hymenoxys grandiflora", "Renda brachyptera", "Renda flagellicornis", "Calydna stolata", "Epitettix torulosinota", "Calydna sturnula", "Amiota nuerhachii", "Amiota spinata", "Amiota watabei", "Amiota planata", "Amiota onchopyga", "Stegana ctenaria", "Scaptomyza acuta", "Amiota basdeni", "Amiota taurusata", "Darevskia defilippii", "Belonuchus aequalis", "Belonuchus armatus", "Belonuchus batesi", "Belonuchus clypeatus", "Belonuchus decipiens", "Belonuchus holisoides", "Belonuchus impressifrons", "Belonuchus setiger", "Paederomimus abactus", "Paederomimus aberrans", "Paederomimus aeneiceps", "Paederomimus aeneicollis", "Paederomimus capitalis", "Paederomimus cognatus", "Paederomimus conformis", "Paederomimus longipes", "Paederomimus lustrator", "Paederomimus palpalis", "Paederomimus propinquus", "Paederomimus regillus", "Paederomimus traili", "Philonthus corallipennis", "Philonthus gracillimus", "Philonthus muticus", "Philonthus serraticornis", "Sphaeromorphaea australis", "Acylophorus acuminatus", "Lithocharodes fuscipennis", "Neoxantholinus basiventris", "Neoxantholinus holisoides", "Marshallia trinervia", "Calydna lusca", "Draba hatchiae", "Cerrophidion petlalcalensis", "Geophis lorancai", "Robiquetia amesiana", "Robiquetia andamanica", "Origmatogona catalonica", "Draba mulliganii", "Draba heilii", "Draba cayouettei", "Draba franktonii", "Draba healyi", "Draba puvirnituqii", "Draba taylori", "Draba thompsonii", "Aizoon quadrifidum", "Draba kluanei", "Draba murrayi", "Draba scotteri", "Calydna fissilisima", "Calydna jeannea", "Calydna nicolayi", "Calydna micra", "Draba bruce-bennettii", "Dendriscosticta wrightii", "Dendriscosticta oroborealis", "Dendriscosticta platyphylla", "Origmatogona jacetanora", "Sarcothalia crispata", "Macrophya harbina", "Sarcothalia papillosa", "Physaria belli", "Sarcothalia dichotoma", "Sarcothalia lapathifolia", "Macrophya brevicinctata", "Sarcothalia atropurpurea", "Stachys bergii", "Calydna venusta", "Calydna venusta venusta", "Calydna venusta morio", "Sarcothalia circumcincta", "Sarcothalia lanceata", "Macrophya harai", "Sarcothalia marginifera", "Macrophya satoi", "Sarcothalia livida", "Sarcothalia decipiens", "Sarcothalia crassifolia", "Macrophya jiaozhaoae", "Sarcothalia insidiosa", "Macrophya curvatisaeta", "Sarcothalia radula", "Ambrosia artemisiifolia var. elatior", "Macrophya nigromaculata", "Macrophya wui", "Gloeophycus koreanus", "Calospila byzeres", "Macrophya latimaculana", "Gloiosiphonia capillaris", "Calospila candace", "Gloiosiphonia californica", "Gloiosiphonia verticillaris", "Peleophycus multiprocarpius", "Salvia absconditiflora", "Origmatogona tinauti", "Smallanthus maculatus", "Salvia adenocaulon", "Salvia adenophylla", "Robiquetia batakensis", "Robiquetia bifida", "Calospila cerealis cerealis", "Smelowskia media", "Smelowskia johnsonii", "Plagiospora gracilis", "Thuretella schousboei", "Jermakia glabrata", "Jermakia yunnanica", "Haemescharia polygyna", "Zhuana nigrotarsia", "Haemescharia hennedyi", "Ambrosia polystachya", "Austrophyllis alcicornis", "Austrophyllis harveyana", "Austropugetia crassa", "Beringia castanea", "Dicoria canescens subsp. canescens", "Austrokallymenia cribrogloea", "Austrokallymenia rosea", "Austrokallymenia roensis", "Austrokallymenia rebeccae", "Austrokallymenia schizophylla", "Saxifraga \u00d7 blyttii", "Blastophyllis hombroniana", "Blastophyllis calliblepharoides", "Callocolax neglectus", "Callocolax acicularis", "Callocolax fungiformis", "Boechera consanguinea", "Crossocarpus lamuticus", "Hemibeleses bistriatus", "Kallymeniopsis lacera", "Kallymeniopsis verrucosa", "Leiomenia lacunata", "Leiomenia imbricata", "Leiomenia cribrosa", "Clibadium leiocarpum", "Leniea lubrica", "Leniea kylinii", "Amonophadnus megadentus", "Delilia biflora", "Nesotomostethus nigrotegularis", "Periclista liaoae", "Calospila eupolemia", "Masaakia katayamai", "Salvia vermifolia", "Salvia tobeyi", "Robiquetia flammea", "Robiquetia forbesii", "Robiquetia gautierensis", "Robiquetia glomerata", "Robiquetia honhoffii", "Robiquetia inflata", "Robiquetia insectifera", "Robiquetia juliae", "Robiquetia kawakamii", "Robiquetia ligulata", "Robiquetia lyonii", "Robiquetia palustris", "Robiquetia penangiana", "Robiquetia punctata", "Robiquetia reflexa", "Robiquetia sanguinicors", "Robiquetia serpentina", "Robiquetia sphingoides", "Robiquetia steffensii", "Robiquetia sylvestris", "Iva frutescens var. frutescens", "Somoleptus nitidus", "Iva hayesiana", "Caliroa vietnamensis", "Ectophora depressa", "Cyclachaena xanthiifolia", "Beleses sapaensis", "Beleses tianmuensis", "Brykella tamdaoensis", "Darjilingia bicoloricornis", "Mallachiella achterbergiana", "Neothrinax dejongei", "Neothrinax achterbergi", "Nesoselandria alborobusta", "Robiquetia brevisaccata", "Robiquetia cladophylax", "Robiquetia culicifera", "Robiquetia eburnea", "Salvia tigrina", "Ischnosoma abiathar", "Ischnosoma naboth", "Ischnosoma booz", "Ischnosoma madai", "Ischnosoma thubal", "Ischnosoma sem", "Ischnosoma ham", "Penetretus imitator", "Penetretus nebrioides", "Meredithia microphylla", "Apareophora forsythiae", "Apareophora coreana", "Tomostethopsis metallicus", "Meredithia compaginata", "Meredithia nana", "Atomostethus flavicollaris", "Caprimulgus parvulus heterurus", "Pristiphora harai", "Leptanilla hypodracos", "Pugetia fragilissima", "Pugetia japonica", "Pugetia cryptica", "Pugetia latiloba", "Lasianthaea fruticosa", "Pugetia porphyroidea", "Rhipidomenia polycoelioides", "Rhizopogonia asperata", "Rhytimenia maculata", "Rhytimenia cerebriformis", "Salvia quezelii", "Habenaria tridactylites", "Meredithia pulchella", "Zaphymatocera typica", "Aphymatocera coreana", "Phymatoceriola suigenensis", "Salvia smyrnaea", "Metacallophyllis laciniata", "Okamotonius kurisuei", "Nereoginkgo adiantifolia", "Nereoginkgo populifolia", "Nothokallymenia crouaniorum", "Calospila gallardi", "Polycoelia laciniata", "Polycoelia harveyana", "Polycoelia van-hoevellii", "Psaromenia berggrenii", "Euhymenia requienii", "Euhymenia australis", "Euhymenia tasmanica", "Penetretus andalusicus", "Euthora cristata", "Euthora timburtonii", "Ischnosoma zipapertum", "Euthora tristanensis", "Ischnosoma vicinum", "Ischnosoma foedum", "Glaphyrymenia pustulosa", "Ischnosoma involutum", "Ischnosoma yunnanum", "Aspilia foliosa", "Glaphyrymeniopsis mollis", "Ischnosoma abstrusum", "Ischnosoma gemellum", "Nesoselandria albotegularina", "Nesoselandria brevissima", "Nesoselandria southa", "Neostromboceros guangxiensis", "Neostromboceros latimaculatus", "Aspilia kotschyi", "Neostromboceros xiaoweii", "Calliona irene", "Lipochaeta succulenta", "Calospila irene irene", "Velatocarpus pustulosus", "Velatocarpus kurilensis", "Verlaquea lacerata", "Verlaquea fimbriata", "Calliona latona", "Calospila latona latona", "Wendya incisa", "Zuccarelloa ceramoides", "Neostromboceros yangqingi", "Hemitaxonus maculoscutus", "Hommersandia maximicarpa", "Caliroa liaoae", "Pristiphora liaoae", "Pristiphora xiaoi", "Hommersandia palmatifolia", "Hormophora australasica", "Huonia sandersonii", "Judithia delicatissima", "Crocodia arvidssonii", "Judithia laingii", "Cladius fulvostigmatus", "Cladius morio", "Cladius xiaoi", "Salvia siirtica", "Empria zhangae", "Mallachiella xiao", "Pseudolinomorpha yangi", "Darjilingia acutitheca", "Corymbas sinica", "Gallotia auaritae", "Siobla youae", "Pachyprotasis lianyuanensis", "Pachyprotasis elevifrontalis", "Tenthredo nitidifrontalia", "Tenthredo lineistriata", "Robiquetia vietnamensis", "Robiquetia wariana", "Robiquetia witteana", "Crocodia aurata", "Tesba gigas", "Tesba laticornis", "Thyreocephalus extremus", "Thyreocephalus recticollis", "Thyreocephalus tenuipes", "Xantholinus anticus", "Xantholinus batesi", "Xantholinus bicolor", "Salvia anatolica", "Tenthredo achterbergi", "Arge nigropilosis", "Arge curvatitheca", "Arge dolichopoda", "Arge liaoae", "Leptocimbex longivertexila", "Erythrophyllum delesserioides", "Erythrophyllum gmelinii", "Erythrophyllum oblongifructum", "Erythrophyllum wynnei", "Erythrophyllum splendens", "Wollastonia dentata", "Wollastonia fauriei", "Wollastonia integrifolia", "Wollastonia lavarum", "Wollastonia micrantha", "Paramacrotoma seydeli", "Wollastonia micrantha subsp. micrantha", "Wollastonia tenuifolia", "Dejanira vietnamica", "Cristaphanes tysoni", "Pseudiphra lumawigi", "Crocodia clathrata", "Paederus daicongchaoi", "Raoultella electrica", "Cirina butyrospermi", "Ischnosoma discoidale taiwanum", "Ischnosoma duplicatum", "Ischnosoma evae", "Ischnosoma farkaci", "Ischnosoma fasciatocolle", "Ischnosoma fusciventre", "Ischnosoma hieroboam", "Ischnosoma noemi", "Ischnosoma quadriguttatum", "Ischnosoma rosti", "Ischnosoma splendidum", "Ischnosoma taibaiense", "Carmenta albociliata", "Synanthedon acerrubri", "Synanthedon viburni", "Oyedaea verbesinoides", "Pentalepis trichodesmoides", "Pentalepis trichodesmoides subsp. trichodesmoides", "Perymenium discolor", "Salishia firma", "Lipochaeta connata", "Salishia chilensis", "Lipochaeta connata subsp. connata", "Salishia sanguinea", "Ischnosoma absalom", "Ischnosoma bohaci", "Lipochaeta connata subsp. acris", "Ischnosoma bolitobioides", "Stauromenia lacerata", "Lipochaeta heterophylla", "Ischnosoma chinense", "Ischnosoma convexum", "Thalassiodianthus incrassatus", "Ischnosoma discoidale", "Thamnophyllis pocockiae", "Thamnophyllis discigera", "Lipochaeta lobata", "Calospila idmon", "Lipochaeta lobata subsp. lobata", "Tytthomenia barrettii", "Varimenia macropustulosa", "Lipochaeta rockii", "Raoultella ornithinolytica", "Callophyllis variegata", "Callophyllis crispata", "Raoultella planticola", "Callophyllis japonica", "Callophyllis laingiana", "Liogluta changwhani", "Liogluta jinilli", "Liogluta rufescens", "Liogluta distans", "Liogluta granigera", "Callophyllis megalocarpa", "Liogluta infans", "Liogluta pyonganica", "Callophyllis obtusifolia", "Liogluta ursi", "Calospila maeon", "Sphagneticola calendulacea", "Calospila maeonides", "Calospila parthaon parthaon", "Wedelia acapulcensis var. hispida", "Apowollastonia spilanthoides", "Lemodicarmenia olmedoae", "Iotarphia rufobrunnea", "Molinernobius fuentesi", "Apophisandra ammiytae", "Lipoblepharis urticifolia", "Lipoblepharis urticifolia subsp. urticifolia", "Neoclosterus kidogo", "Erioderus antonkozlovi", "Erioderus intermedius", "Lulua noellae", "Lulua adiopodoumensis", "Kallymenia reniformis", "Synanthedon aequalis", "Tilesia baccata", "Synanthedon apicalis", "Synanthedon bosqi", "Tylonycteris malayana eremtaga", "Kallymenia spathulata", "Tylonycteris malayana malayana", "Eidmanacris scopula", "Eidmanacris gigas", "Eidmanacris neomarmorata", "Eidmanacris desutterae", "Eidmanacris putuhra", "Eidmanacris melloi", "Eidmanacris fontanettiae", "Epipompilus platensis", "Synanthedon loranthi", "Synanthedon multitarsus", "Synanthedon esperi", "Synanthedon pseudoscoliaeforme", "Synanthedon fukuzumii", "Leptochroma lini", "Leptochroma shanxianum", "Leptochroma paralleloelongatum", "Leptochroma tonkineum", "Acalolepta tysoni", "Sarmydus dulongensis", "Sarmydus panda", "Crocodia rubella", "Acalolepta apoensis", "Acalolepta postmaculata", "Acalolepta discopunctata", "Acalolepta griseofasciata", "Acalolepta griseofasciata griseofasciata", "Acalolepta griseofasciata albinea", "Acalolepta griseofasciata perscissa", "Acalolepta fraudatrix", "Acalolepta fraudatrix fraudatrix", "Acalolepta fraudatrix nigricornis", "Acalolepta fraudatrix satoi", "Tenuibiotus voronkovi", "Balsamorhiza hispidula", "Paederus nanlingensis", "Paederus xuei", "Encelia actonii", "Encelia nutans", "Flourensia laurifolia", "Crocodia poculifera", "Mitosynum vockerothi", "Geraea viscida", "Helianthella californica", "Helianthella californica subsp. californica", "Salvia kronenburgii", "Helianthella californica subsp. nevadensis", "Helianthella castanea", "Helianthella quinquenervis", "Nizymenia australis", "Nizymenia conferta", "Calospila siaka", "Calliona siaka", "Calospila siaka siaka", "Nizymenia furcata", "Salvia hypargeia", "Calospila simplaris", "Moresa hieroglyphica", "Moresa magniplaga", "Moresa pallidicosta", "Silphium asteriscus subsp. asteriscus", "Elachistocleis corumbaensis", "Dendriscosticta platyphylloides", "Kindleya contrasta", "Rifargia margotae", "Rifargia fuscitincta", "Bryophryne mancoinca", "Cistus heterophyllus nothosubsp. marzoi", "Thinodromus crinitus", "Cristaphanes filipinus", "Polyzonus bentanachsi", "Thinodromus kochi", "Stenodryas filipinus", "Thinodromus eminens", "Salvia euphratica var. leiocalycina", "Salvia euphratica var. euphratica", "Salvia odontochlamys", "Salvia nydeggeri", "Arpema florenceae", "Hemiceras draudti", "Acraea pharsalus", "Acraea pharsalus pharsalus", "Acraea pharsalus carmen", "Acraea alcinoe racaji", "Dendriscosticta praetextata", "Moresa costalis", "Moresa valkeri", "Amauris ochlea", "Chrysogonum virginianum var. australe", "Lindheimera texana", "Bryaxis abastumanus", "Penetretus rufipennis", "Penetretus temporalis", "Salvia haussknechtii", "Amauris ochlea ochlea", "Amauris ochlea moya", "Calospila thara nomia", "Calospila thara pulchra", "Ophryophryne elfina", "Silphium asteriscus", "Robiquetia bicruris", "Robiquetia brassii", "Robiquetia brevifolia", "Robiquetia camptocentrum", "Mychodea hamata", "Robiquetia compressa", "Robiquetia crassa", "Robiquetia crockerensis", "Mychodea terminalis", "Mychodea chamaedoridis", "Mychodea episcopalis", "Robiquetia dentifera", "Mychodea ramulosa", "Robiquetia discolor", "Mychodea spinulifera", "Mychodea pusilla", "Robiquetia enigma", "Robiquetia flexa", "Mychodea membranacea", "Robiquetia gracilis", "Mychodea gracilaria", "Mychodea halymenioides", "Mychodeophyllum papillitectum", "Kallymenia cribrosa", "Kallymenia elegans", "Kallymenia ercegovicii", "Kallymenia exasperata", "Kallymenia feldmannii", "Kallymenia lacinifolia", "Kallymenia limminghei", "Kallymenia mollis", "Kallymenia morelii", "Kallymenia multiloba", "Kallymenia norrisii", "Kallymenia oligonema", "Kallymenia pacifica", "Kallymenia papenfussii", "Kallymenia patens", "Kallymenia perforata", "Kallymenia pertusa", "Kallymenia rigida", "Kallymenia rubra", "Kallymenia sagamiana", "Kallymenia schmitzii", "Kallymenia sessilis", "Kallymenia setchellii", "Kallymenia spinosa", "Kallymenia stipitata", "Kallymenia tenuifolia", "Kallymenia thompsonii", "Kallymenia veleroae", "Kallymenia westii", "Bulbophyllum magnum", "Mychodea carnosa", "Mychodea australis", "Mychodea acanthymenia", "Mychodea acicularis", "Mychodea marginifera", "Mychodea minutissima", "Mychodea echinocarpa", "Mychodea herringtoniana", "Thinodromus deceptor", "Mychodea perplexa", "Mychodea pseudoacicularis", "Mychodea disticha", "Thinodromus anhuiensis", "Thyreocephalus unicolor", "Thyreocephalus jalapaensis", "Thyreocephalus scutellaris", "Thyreocephalus puncticeps", "Thyreocephalus cribripennis", "Thyreocephalus rufipennis", "Thyreocephalus halffteri", "Thyreocephalus arizonicus", "Robiquetia anceps", "Balsamorhiza terebinthacea", "Robiquetia angustifolia", "Robiquetia bertholdii", "Echenais thelephus", "Plectrohyla calvata", "Echenais thelephus thelephus", "Echenais thelephus meridionalis", "Ahnfeltiopsis linearis", "Ahnfeltiopsis vermicularis", "Ahnfeltiopsis densa", "Ahnfeltiopsis gigartinoides", "Ahnfeltiopsis glomerata", "Ahnfeltiopsis pygmaea", "Dahlica somae", "Ahnfeltiopsis complicata", "Theloderma pyaukkya", "Ahnfeltiopsis polyclada", "Dahlica ochrostigma", "Ahnfeltiopsis devoniensis", "Gymnogongrus durvillei", "Ahnfeltiopsis pusilla", "Ahnfeltiopsis chnoosporoides", "Ahnfeltiopsis quinhonensis", "Ahnfeltiopsis flabelliformis", "Rhigognostis barkamensis", "Ahnfeltiopsis gracilis", "Ahnfeltiopsis serenei", "Coleophora septembra", "Ahnfeltiopsis yamadae", "Ahnfeltiopsis triquetrifolia", "Ahnfeltiopsis humilis", "Ahnfeltiopsis fastigiata", "Ahnfeltiopsis guangdongensis", "Bryaxis viti", "Bryaxis euryscapus", "Bryaxis nivarius", "Bryaxis orcinus", "Bryaxis borckensis", "Trichophyton rubrum var. granulare", "Bryaxis ypsilon", "Plusiodonta calcaurea", "Vigethia mexicana", "Phacelocarpus tortuosus", "Phacelocarpus alatus", "Phacelocarpus complanatus", "Phacelocarpus sessilis", "Phacelocarpus apodus", "Phacelocarpus tristichus", "Phacelocarpus japonicus", "Phacelocarpus oligacanthus", "Phacelocarpus neurymenioides", "Silphium glutinosum", "Perittia prolixa", "Elachista candidella", "Silphium integrifolium var. asperrimum", "Elachista suffusca", "Bryaxis acernus", "Plusiodonta pasi", "Bryaxis abkhasicus", "Plusiodonta stumpfi", "Eurycea hillisi", "Eurycea sphagnicola", "Eurycea paludicola", "Silphium radula", "Silphium terebinthinaceum var. pinnatifidum", "Anthus peruvianus", "Anthus brevirostris", "Cautethia grotei jamaicensis", "Cautethia grotei bahamensis", "Daphnusa haxairei", "Rhacophorus hoabinhensis", "Ahnfeltiopsis hainanensis", "Ahnfeltiopsis masudae", "Ahnfeltiopsis hancockii", "Bryaxis pygmaeus", "Ahnfeltiopsis intermedia", "Bryaxis rousi", "Bryaxis gemellus", "Bryaxis adjaricus", "Ahnfeltiopsis okamurae", "Helianthus debilis subsp. debilis", "Bryaxis schuelkei", "Pseudogymnoascus destructans", "Helianthus debilis subsp. cucumerifolius", "Ahnfeltiopsis smithii", "Bryaxis longipalpis", "Mastocarpus stellatus", "Bryaxis rosti", "Bryaxis argiolus", "Bryaxis roubalianus", "Bryaxis rostratus", "Nyctibatrachus mewasinghi", "Robiquetia gracilistipes", "Pelophryne penrissenensis", "Kalophrynus kiewi", "Dendrobium woodsii", "Hynobius mikawaensis", "Archestenogramma profundum", "Archestenogramma brasiliense", "Catharus maculatus", "Asterfilopsis centralis", "Asterfilopsis piurana", "Asterfilopsis disciplinalis", "Gymnogongrus furcellatus", "Asterfilopsis furcellata", "Salvia cilicica", "Coccotylus truncatus", "Coccotylus hartzii", "Coccotylus orientalis", "Elachista amamii", "Bryaxis giraffa", "Bryaxis hypocritus", "Bryaxis crassicornis", "Bryaxis disciger", "Bryaxis nakeralae", "Bryaxis badius", "Erythrodermis traillii", "Erythrodermis haematis", "Gracixalus sapaensis", "Erythrodermis pacifica", "Callophyllis acrocarpa", "Callophyllis adhaerens", "Callophyllis adnata", "Callophyllis angustifrons", "Callophyllis atrosanguinea", "Callophyllis beringensis", "Callophyllis centrifuga", "Callophyllis cervicornis", "Callophyllis concepcionensis", "Callophyllis cornu-cervi", "Callophyllis crassifolia", "Callophyllis crenulata", "Callophyllis decumbens", "Callophyllis dissecta", "Callophyllis divaricata", "Callophyllis edentata", "Callophyllis elongata", "Callophyllis fastigiata", "Callophyllis filicina", "Callophyllis flabellata", "Callophyllis flabellulata", "Callophyllis gardneri", "Callophyllis hayamensis", "Callophyllis heanophylla", "Callophyllis lambertii", "Callophyllis lecomtei", "Callophyllis ligulata", "Callophyllis linearis", "Callophyllis linguata", "Callophyllis macrostiolata", "Callophyllis mageshimensis", "Callophyllis marginifructa", "Callophyllis microdonta", "Callophyllis nana", "Callophyllis odonthalioides", "Callophyllis ornata", "Callophyllis palmata", "Callophyllis papulosa", "Callophyllis phyllohaptera", "Callophyllis pinnata", "Callophyllis platyna", "Callophyllis plumosa", "Callophyllis radula", "Callophyllis rangiferina", "Callophyllis rhynchocarpa", "Callophyllis schneideri", "Callophyllis sibogae", "Callophyllis stenophylla", "Callophyllis tenera", "Callophyllis thompsonii", "Callophyllis variforma", "Callophyllis violacea", "Kallymenia agardhii", "Kallymenia baldwinii", "Kallymenia balearica", "Kallymenia bleckii", "Kallymenia brachycystidea", "Kallymenia callophylloides", "Kallymenia chilensis", "Kallymenia crassiuscula", "Fredericqia deveauniensis", "Fredericqia decewii", "Fredericqia chiton", "Elachista pyrrha", "Dichomeris melanota", "Sanguirana acai", "Passadenoides donahuei", "Passadenoides pullus", "Rhacophorus lishuiensis", "Gymnogongrus griffithsiae", "Actinanthella menyharthii", "Bryaxis clavipes", "Bryaxis tscherkessicus", "Bryaxis lederi", "Bryaxis meskischesianus", "Polyura dolon", "Coleophora tigris", "Coleophora aragonensis", "Coleophora forcipata", "Besa papillaeformis", "Polyura dolon southernensis", "Besa catenata", "Neurosigma siva dalatica", "Besa divaricata", "Besa paradoxa", "Besa leptophylla", "Besa stipitata", "Salvia chrysophylla", "Coccotylus brodiei", "Scythris bengti", "Gymnogongrus furcatus", "Gymnogongrus torulosus", "Gymnogongrus patens", "Gephyromantis tohatra", "Helianthus nuttallii subsp. nuttallii", "Helianthus occidentalis subsp. occidentalis", "Bryaxis nitidulus", "Bryaxis kurnakovi", "Helianthus paradoxus subsp. paradoxus", "Lukinia dissecta", "Helianthus pauciflorus subsp. pauciflorus", "Helianthus petiolaris subsp. petiolaris", "Tylototriton anhuiensis", "Cautethia exuma", "Cautethia grotei", "Cautethia grotei grotei", "Bryaxis kofun", "Bryaxis mayumi", "Bryaxis naginata", "Bryaxis peckorum", "Bryaxis platalea", "Bryaxis samurai", "Bryaxis sawadai", "Bryaxis sumo", "Bryaxis tanto", "Bryaxis taradakensis", "Bryaxis tetralobus", "Phrynobatrachus discogularis", "Bryaxis yari", "Phyciodes cocyta", "Phyllophora antarctica", "Phyllophora fimbriata", "Phyllophora japonica", "Phyllophora submaritima", "Phyllophora crispa", "Robiquetia hamata", "Robiquetia hansenii", "Robiquetia josephiana", "Robiquetia kusaiensis", "Robiquetia longipedunculata", "Robiquetia lutea", "Robiquetia millariae", "Bryaxis swaneticus", "Bryaxis vlastae", "Bryaxis ghilarovi", "Bryaxis distinguendus", "Bryaxis jucundus", "Bryaxis arnoldii", "Bryaxis khnzoriani", "Bryaxis bulbifer", "Heliomeris multiflora var. nevadensis", "Theretra suffusa", "Mastocarpus agardhii", "Theretra alecto", "Mastocarpus cristatus", "Lagascea decipiens", "Mastocarpus latissimus", "Mastocarpus alaskensis", "Mastocarpus californianus", "Mastocarpus intermedius", "Mastocarpus rigidus", "Mastocarpus vancouveriensis", "Mastocarpus jardinii", "Mastocarpus papillatus", "Isoetes triangula", "Stelis megachlamys", "Tapinanthus sessilifolius", "Cuora mouhotii", "Sacalia bealei", "Sacalia quadriocellata", "Bryaxis sparcepunctatus", "Bryaxis reversus", "Bryaxis extremalis", "Bryaxis trichosus", "Montanoa hexagona", "Montanoa mollissima", "Robiquetia minahassae", "Robiquetia pachyphylla", "Robiquetia palawensis", "Robiquetia pantherina", "Robiquetia pinosukensis", "Robiquetia rosea", "Robiquetia spathulata", "Robiquetia succisa", "Hyalis argentea", "Phyllophora gelidioides", "Mastocarpus pacificus", "Scalesia helleri subsp. helleri", "Mastocarpus pachenicus", "Mastocarpus yendoi", "Cercyonis pegala agawamensis", "Ozophora clevelandii", "Ozophora latifolia", "Ozophora norrisii", "Ozophora lanceolata", "Lycaena phlaeas weberi", "Petroglossum pacificum", "Petroglossum parvum", "Petroglossum undulatum", "Colias gigantea inupiat", "Hesperia metea", "Hesperia metea metea", "Hesperia sassacus", "Hesperia sassacus sassacus", "Hesperia meskei", "Hesperia meskei meskei", "Phrynopus unchog", "Phrynopus lapidoides", "Montanoa tomentosa subsp. tomentosa", "Montanoa tomentosa var. xanthiifolia", "Rojasianthe superba", "Atelodesmis mannerheimii", "Fallaxdesmis unicolor", "Rudbeckia deamii", "Eupogonius piperita", "Eupogonius giesberti", "Aretaon muscosus", "Phyllophora herediae", "Phyllophora sicula", "Phyllophora pseudoceranoides", "Rudbeckia sullivantii", "Lobariella angustata", "Lobariella auriculata", "Lobariella botryoides", "Lobariella corallophora", "Lobariella ecorticata", "Lobariella flavomedullosa", "Lobariella isidiata", "Lobariella nashii", "Lobariella olivascens", "Callophrys henrici henrici", "Callophrys henrici yahwehus", "Haaniella gintingi", "Poritia philota simoncolini", "Cranichis diphylla", "Hynobius ikioi", "Cranichis candida", "Dendrobium cerinum", "Microkayla huayna", "Bryaxis frontalis", "Bryaxis coiffaiti", "Bryaxis japonicus", "Bryaxis sauteri", "Pristimantis albujai", "Pristimantis churuwiai", "Pristimantis saturninoi", "Pristimantis sambalan", "Krauseuma viscaianum", "Chiropterotriton chico", "Chiropterotriton infernalis", "Chiropterotriton cieloensis", "Bryaxis harmandi", "Phyciodes cocyta cocyta", "Aldama anchusifolia", "Aldama cordifolia", "Anthocharis midea annickae", "Bahiopsis deltoidea", "Aldama revoluta", "Sidneya tenuifolia", "Phacelocarpus peperocarpos", "Bryaxis pachyscelis", "Aldama grandiflora", "Bryaxis tenuicornis", "Bryaxis pulchrotibialis", "Bryaxis adumbratus", "Bryaxis longifrons", "Bryaxis obventicius", "Bryaxis scrutandus", "Bryaxis litoralis", "Bryaxis emendatus", "Bryaxis assingi", "Bryaxis transitorius", "Bryaxis artvinensis", "Stigmella apicibrunella", "Bryaxis rivularis", "Bryaxis laevipennis", "Bryaxis credibilis", "Bryaxis ipsimus", "Stigmella decora", "Bryaxis seductus", "Bryaxis propinquus", "Bryaxis silvicola", "Bryaxis ponticus", "Bryaxis balabanus", "Stigmella unicaudata", "Bryaxis polemon", "Bryaxis osellai", "Stigmella sanmartini", "Stigmella patula", "Bryaxis kovali", "Bryaxis balneator", "Stigmella torosa", "Bryaxis kuzmini", "Stigmella monstrata", "Bryaxis egens", "Stigmella huahumi", "Bryaxis oseticus", "Stigmella venezuelica", "Bryaxis temporalis", "Bryaxis lazistanicus", "Stigmella virginica", "Bryaxis myops", "Bryaxis immodicus", "Bryaxis multiplex", "Ectoedemia miranda", "Hesperolyra robinsoni", "Rhacophorus zhoukaiyae", "Haaniella rosenbergii", "Haaniella glaber", "Haaniella aculeata", "Haaniella gorochovi", "Speyeria cybele cybele", "Bryaxis gracilipalpis", "Bulbophyllum lindleyanum", "Speyeria cybele letona", "Bryaxis humilis", "Haaniella kerincia", "Haaniella macroptera", "Bryaxis affinis", "Haaniella mecheli", "Orestes bachmaensis", "Orestes botot", "Orestes diabolicus", "Orestes dittmari", "Orestes krijnsi", "Orestes draegeri", "Orestes japonicus", "Orestes shirakii", "Acmella ciliata", "Acmella oppositifolia var. repens", "Acmella radicans", "Perameles pallescens", "Phyllophorella peruviana", "Phyllophorella humboldtiana", "Phyllophorella limaensis", "Schottera nicaeensis", "Schottera angustifolia", "Schottera koreana", "Nymphargus caucanus", "Scalesia incisa", "Pithecopus araguaius", "Scutogona ferrolensis", "Scutogona suboculinigra", "Scutogona oculinigra", "Scutogona vivesi", "Hesperia sassacus nantahala", "Hesperia metea intermedia", "Hesperia meskei pinocayo", "Bryaxis appendiculatus", "Scutogona mutica", "Bryaxis festivus", "Bryaxis ammon", "Bryaxis steindachneri", "Chlosyne nycteis", "Chlosyne nycteis nycteis", "Chlosyne nycteis pastoron", "Bryaxis buddha", "Bryaxis emeicus", "Bryaxis panda", "Bryaxis sacer", "Bryaxis sacrificus", "Bryaxis sichuanus", "Bryaxis tienmushanus", "Bryaxis wolongensis", "Bryaxis bushido", "Bryaxis heian", "Bryaxis hisamatsui", "Bryaxis hoko", "Bryaxis iriomotensis", "Bryaxis jomon", "Bryaxis kamakura", "Bryaxis karate", "Bryaxis katana", "Stenogramma californicum", "Stenogramma bamfieldiense", "Stenogramma lamyi", "Stenogramma guleopoense", "Stenogramma leptophyllum", "Stenogramma phyllophoroides", "Stenogramma rhodymenioides", "Stenogramma interruptum", "Pangshura smithii", "Acmella alba", "Eucosma bahamae", "Pelochrista wrighti", "Salmea oligocephala", "Calisto bahoruco", "Calisto samana", "Thyrgis basipunctata", "Brasidas quadratipes", "Eubulides igorrote", "Eubulides alutaceus", "Eubulides taylori", "Heterocopus leprosus", "Aleuropleurocelus anahuac", "Stenobrimus bolivari", "Stenobrimus tagalog", "Aleuropleurocelus mexicanus", "Aleuropleurocelus hyptisemoryi", "Bryaxis unicus", "Bryaxis paiwan", "Bryaxis mandarinus", "Bryaxis alishanus", "Bryaxis planifer", "Bryaxis auritus", "Bryaxis hokkiensis", "Bryaxis yushanensis", "Bryaxis ami", "Bryaxis hakka", "Bryaxis raptor", "Bryaxis pingtungensis", "Bryaxis alayai", "Bryaxis coelestis", "Bryaxis taiwanus", "Bryaxis bellax", "Bryaxis tarokanus", "Bryaxis tychobythinoides", "Bryaxis alesi", "Phyllophora abyssalis", "Rudbeckia hirta var. pulcherrima", "Phyllophora ahnfeltioides", "Robiquetia tomaniensis", "Robiquetia tongaensis", "Robiquetia transversisaccata", "Robiquetia trukensis", "Robiquetia vanoverberghii", "Robiquetia vaupelii", "Verbesina arborea", "Asturasoma fowleri", "Asturasoma chapmani", "Pangshura sylhetensis", "Pangshura tentoria", "Pangshura tentoria tentoria", "Pangshura tentoria circumdata", "Pangshura tentoria flaviventer", "Pangshura tatrotia", "Epidendrum ilense", "Allium pervariense", "Allium ekimianum", "Mecyclothorax mapo", "Isapis agyrtus hera", "Mecyclothorax menemene", "Mecyclothorax poro", "Mecyclothorax putaputa", "Mecyclothorax popotioaoa", "Mecyclothorax rex", "Mecyclothorax reiteratus", "Mecyclothorax scarites", "Mecyclothorax simpulum", "Mecyclothorax anchisteus", "Mecyclothorax antaeus", "Mecyclothorax refulgens", "Mecyclothorax anthracinus", "Mecyclothorax aquilus", "Mecyclothorax argutuloides", "Mecyclothorax argutulus", "Mecyclothorax arthuri", "Mecyclothorax bacrionis", "Calodesma amica amica", "Calodesma amica occidentalis", "Calodesma approximata", "Calodesma approximata approximata", "Calodesma approximata niepelti", "Calodesma chesalon", "Isapis agyrtus", "Heliopsis annua", "Heliopsis longipes", "Robiquetia virescens", "Robiquetia viridirosea", "Robiquetia wassellii", "Robiquetia woodfordii", "Isapis agyrtus agyrtus", "Heliopsis helianthoides var. scabra", "Gymnogongrus crenulatus", "Isapis agyrtus abydus", "Gymnogongrus dilatatus", "Hoploclonia cuspidata", "Hoploclonia gecko", "Gymnogongrus nodifer", "Gymnogongrus tenuis", "Gymnogongrus torreyi", "Isapis agyrtus falcis", "Gymnogongrus aequicrassus", "Gymnogongrus antarcticus", "Gymnogongrus carnosus", "Gymnogongrus martinensis", "Gymnogongrus johnstonii", "Thyrgis constrictifascia", "Thyrgis flavonigra", "Thyrgis marginata", "Thyrgis meres", "Verbesina macrophylla", "Verbesina myriocephala", "Verbesina serrata", "Verbesina turbacensis", "Verbesina felgeri", "Thyrgis militta", "Verbesina helianthoides", "Thyrgis phlegon", "Thyrgis phlegon phlegon", "Thyrgis phlegon ruscia", "Thyrgis tenuifascia", "Thyrgis tenuifascia tenuifascia", "Thyrgis tenuifascia daguana", "Buthus montanus", "Salvia aramiensis", "Salvia potentillifolia", "Claudius angustatus", "Lobariella pallidocrenulata", "Theramenes dromedarius", "Theramenes exiguus", "Theramenes mandirigma", "Theramenes olivaceus", "Ilocano hebardi", "Pterobrimus depressus", "Lobariella papillifera", "Lobariella parmelioides", "Lobariella peltata", "Calodesma albiapex", "Calodesma eucyanoides", "Lobariella pseudocrenulata", "Calodesma jordani", "Calodesma quadrimaculata", "Calodesma tamara", "Calodesma amica", "Tisamenus deplanata", "Tisamenus serratorius", "Tisamenus alviolanus", "Tisamenus kalahani", "Tisamenus summaleonilae", "Tisamenus draconina", "Calodesma itaitubae", "Tisamenus ranarius", "Tisamenus armadillo", "Calodesma kedar", "Tisamenus atropos", "Tisamenus clotho", "Tisamenus fratercula", "Tisamenus hystrix", "Tisamenus lachesis", "Tisamenus polillo", "Tisamenus spadix", "Tisamenus tagalog", "Calodesma lacryma", "Tisamenus asper", "Tisamenus cervicornis", "Gymnogongrus platyphyllus", "Gymnogongrus crustiformis", "Gymnogongrus guadalupensis", "Gymnogongrus sinicola", "Gymnogongrus filiformis", "Gymnogongrus firmus", "Gymnogongrus gregarius", "Gymnogongrus irregularis", "Gymnogongrus melanothrix", "Gymnogongrus minutus", "Gymnogongrus nigricans", "Gymnogongrus tetrasporifer", "Gymnogongrus turquetii", "Polyides rotunda", "Ptilocladiopsis horrida", "Amarynthis meneria", "Contarinia peyssonneliiformis", "Contarinia magdae", "Contarinia okamurae", "Contarinia pacifica", "Contarinia squamariae", "Amphiselenis chama", "Dimerostemma grisebachii", "Salvia russellii", "Rissoella verruculosa", "Xystrosoma vasconicum", "Miltonia altairiana", "Miltonia clowesii", "Xystrosoma coiffaiti", "Mecyclothorax bicoloratus", "Mecyclothorax bicoloris", "Mecyclothorax bilobatus", "Mecyclothorax bradycelloides", "Mecyclothorax brevidux", "Mecyclothorax splendidus", "Mecyclothorax strigosus", "Mecyclothorax subternus", "Mecyclothorax takumiae", "Mecyclothorax tauberorum", "Mecyclothorax tihotii", "Mecyclothorax consanguineus", "Mecyclothorax contractus", "Mecyclothorax cordaticollaris", "Mecyclothorax crassuloides", "Mecyclothorax crassulus", "Mecyclothorax fatata", "Mecyclothorax cymindulus", "Mecyclothorax dispar", "Mecyclothorax filipoides", "Mecyclothorax flaviventris", "Mecyclothorax foveolatus", "Mecyclothorax foveopunctatus", "Mecyclothorax haydeni", "Mecyclothorax gracilicollis", "Mecyclothorax hephaestoides", "Mecyclothorax inconscriptus", "Mecyclothorax invisitatus", "Mecyclothorax kuiki", "Mecyclothorax kaumakani", "Mecyclothorax kipahulu", "Mecyclothorax kipwilli", "Mecyclothorax krushelnyckyi", "Mecyclothorax longidux", "Mecyclothorax mahatahi", "Mecyclothorax major", "Mecyclothorax manducus", "Mecyclothorax medeirosi", "Mecyclothorax mauiae", "Mecyclothorax montanus", "Mecyclothorax mordax", "Mecyclothorax mordicus", "Mecyclothorax nanunctus", "Lobariella reticulata", "Lobariella rugulosa", "Lobariella soredians", "Calodesma collaris", "Calodesma contracta", "Calodesma dilutana", "Buthus ibericus", "Calodesma dioptis", "Calodesma exposita", "Isapis agyrtus mithrophorus", "Calodesma apicalis", "Isapis agyrtus praxinus", "Isapis agyrtus sestus", "Busoniomimus minor", "Ancyluris etias", "Ancyluris etias etias", "Busoniomimus mindanaensis", "Ancyluris etias gracilis", "Blumea oxyodonta", "Ancyluris etias mendita", "Blumea repanda", "Busonia javanensis", "Busonia dorsalis", "Busonia apicalis", "Busonia albilateralis", "Busonia thai", "Portieria hornemannii", "Portieria dichotoma", "Portieria harveyi", "Portieria kilneri", "Portieria spinulosa", "Portieria japonica", "Portieria tripinnata", "Ptilotus eremita", "Ptilotus modestus", "Buthus elongatus", "Busoniomimus hainanensis", "Schmitziella endophloea", "Schmitziella cladophorae", "Chiliadenus bocconei", "Chiliadenus glutinosus", "Chiliadenus iphionoides", "Cylindrocline commersonii", "Cylindrocline lorencei", "Dittrichia viscosa subsp. viscosa", "Dittrichia viscosa subsp. angustifolia", "Geigeria ornativa subsp. ornativa", "Bisetocreagris cheni", "Bisetocreagris guangshanensis", "Bisetocreagris gracilenta", "Parobisium martii", "Agardhiella subulata", "Parobisium titanium", "Parobisium scaurum", "Nudochernes lipsae", "Agardhiella ramosissima", "Nudochernes basilewskyi", "Nudochernes crassus", "Nudochernes gracilipes", "Nudochernes granulatus", "Nudochernes intermedius", "Nudochernes kivuensis", "Nudochernes leleupi", "Nudochernes longipes", "Nudochernes lucifugus", "Nudochernes montanus", "Agardhiella floridana", "Nudochernes nidicola", "Nudochernes procerus", "Nudochernes robustus", "Nudochernes setiger", "Nudochernes spalacis", "Nudochernes sudanensis", "Nudochernes virgineus", "Nudochernes wittei", "Nudochernes gracilimanus", "Busonia fusca", "Busonia lactata", "Busonia micrata", "Busonia serrata", "Graphis fulvescens", "Blumea belangeriana", "Ancyluris aulestes eryxo", "Nesophila hoggardii", "Blumea axillaris", "Blumea eriantha", "Ochtodes secundiramea", "Ancyluris aulestes pandama", "Ochtodes crockeri", "Ochtodes akumalensis", "Lobariella spathulifera", "Ochtodes maguachaveziae", "Lobariella stenroosiae", "Ochtodes searlesii", "Ancyluris aulestes jocularis", "Lobariella subcorallophora", "Lobariella subcrenulata", "Ancyluris colubra", "Nudochernes troglobius", "Agardhiella mexicana", "Parobisium anagamidense", "Parobisium charlotteae", "Parobisium flexifemoratum", "Parobisium hesperum", "Parobisium imperfectum", "Betaphycus philippinensis", "Parobisium magnum", "Parobisium hastatum", "Parobisium hesternum", "Betaphycus speciosus", "Parobisium longipalpum", "Parobisium robustiellum", "Parobisium utahense", "Parobisium vancleavei", "Novobisium carolinense", "Novobisium ingratum", "Novobisium tenue", "Betaphycus gelatinus", "Iphiona scabra", "Bythinella gloeeri", "Causonis clematidea", "Cissus antarctica", "Leptopagurus rhabdotus", "Karelinia caspia", "Nematopaguroides fagei", "Nematopaguroides karukera", "Pagurellus jenniferae", "Limbarda crithmoides subsp. crithmoides", "Neojeffreya decurrens", "Salvia atropatana", "Pagurina bifida", "Paguriscus robustus", "Paguruncio parvulus", "Pagurus abditus", "Pusillopagurus polulus", "Enneobranchus flavioculatus", "Pallenis spinosa", "Enneobranchus markhami", "Enneobranchus bermudensis", "Cestopagurus coutieri", "Cestopagurus caeruleus", "Trichopagurus asper", "Cestopagurus puniceus", "Salvia staminea", "Geodia gibberosa", "Cestopagurus timidus", "Lophopagurus cookii", "Lophopagurus kirkii", "Lophopagurus stewarti", "Lophopagurus cristatus", "Lophopagurus triserratus", "Lophopagurus eltaninae", "Geodia hentscheli", "Lophopagurus laurentae", "Lophopagurus indonesiensis", "Salvia pachystachya", "Bakerella ambongoensis", "Decaphyllus barunajaya", "Decaphyllus maci", "Catapaguroides declivis", "Catapaguroides karubar", "Solitariopagurus tuerkayi", "Perralderia coronopifolia", "Perralderia coronopifolia subsp. coronopifolia", "Enneophyllus spinirostris", "Porphyrostemma grantii", "Enneophyllus ecarina", "Enneopagurus garciagomezi", "Geodia gigas", "Ancyluris formosissima", "Geodia cydonium", "Denhamia silvestris", "Ancyluris formosissima formosissima", "Ancyluris formosissima venerabilis", "Ixodia achillaeoides subsp. alata", "Pagurus kaiensis", "Pagurus capsularis", "Propagurus haigae", "Bathypaguropsis kuroshioensis", "Vascanthogona vicenteae", "Ancyluris inca cacica", "Dendrobium scabrilingue", "Schizogyne glaberrima", "Eucheuma denticulatum", "Schizogyne sericea", "Ancyluris inca formosa", "Eucheuma adhaerens", "Eucheuma arnoldii", "Stenachaenium megapotamicum", "Tomopaguropsis crinita", "Tomopaguropsis miyakei", "Eucheuma cervicorne", "Eucheuma crustiforme", "Eucheuma dichotomum", "Eucheuma edule", "Eucheuma horizontale", "Eucheuma leeuwenii", "Vieraea laevigata", "Ancyluris inca huascar", "Ancyluris inca pulchra", "Ixodia achillaeoides", "Eucheuma simplex", "Eucheuma vermiculare", "Eucheuma amakusaense", "Ancyluris inca miranda", "Eucheuma chondriforme", "Eucheuma horridum", "Eucheuma isiforme", "Pulicaria dysenterica subsp. dysenterica", "Porcellanopagurus jacquesi", "Pulicaria gnaphalodes", "Alainopaguroides lemaitrei", "Pulicaria incisa", "Pulicaria microcephala", "Turleania multispina", "Pulicaria vulgaris subsp. vulgaris", "Michelopagurus limatulus", "Michelopagurus chacei", "Rhanterium epapposum", "Icelopagurus crosnieri", "Rhanterium suaveolens", "Tarrasopagurus rostrodenticulatus", "Rutidosis leptorrhynchoides", "Rutidosis helichrysoides", "Rutidosis helichrysoides subsp. helichrysoides", "Salvia nutans", "Catapagurus oculocrassus", "Catapagurus tanimbarensis", "Catapagurus holthuisi", "Nematopagurus scutelliformis", "Nematopagurus ostlingochirus", "Nematopagurus alcocki", "Lasthenia coronaria", "Lasthenia ferrisiae", "Lasthenia fremontii", "Arnica angustifolia subsp. angustifolia", "Ancyluris jurgensenii", "Ancyluris jurgensenii jurgensenii", "Ancyluris jurgensenii atahualpa", "Mediocalcar decoratum", "Geodia macandrewii", "Bambusa laxa", "Bambusa alemtemshii", "Bambusa affinis", "Mediocalcar paradoxum", "Mediocalcar paradoxum subsp. paradoxum", "Mediocalcar paradoxum subsp. latifolium", "Mediocalcar paradoxum subsp. robustum", "Eustomias jimcraddocki", "Synchiropus goodenbeani", "Turleania boucheti", "Turleania albatrossae", "Bathypaguropsis yaldwyni", "Ancyluris meliboeus meliboeus", "Bathypaguropsis marionensis", "Bathypaguropsis foresti", "Ancyluris meliboeus eudaemon", "Arnica mallotopus", "Bathypaguropsis carinatus", "Ancyluris meliboeus julia", "Bathypaguropsis cruentus", "Arnica montana subsp. montana", "Bathypaguropsis microps", "Catapaguroides bythos", "Catapaguroides rubromaculatus", "Arnica unalascensis var. tschonoskyi", "Ancyluris melior", "Ancyluris miniola", "Catapagurus granulatus", "Anteros acheus ampyx", "Anteros acheus troas", "Argyroxiphium sandwicense subsp. sandwicense", "Argyroxiphium sandwicense subsp. macrocephalum", "Salvia cassia", "Turleania sibogae", "Turleania balli", "Turleania senticosa", "Turleania sinensis", "Arnica dealbata", "Turleania spinimanus", "Pseudopaguristes bollandi", "Arnica griscomii subsp. griscomii", "Olenothus uogi", "Arnica lanceolata subsp. lanceolata", "Parapilumnus oryctos", "Arnica lanceolata subsp. prima", "Alainopaguroides sinensis", "Alainopaguroides megalophthalmus", "Alainopaguroides andamanensis", "Anapagrides aequalis", "Anapagrides facetus", "Ancyluris meliboeus", "Anapagrides reesei", "Sogerianthe versicolor", "Photostomias goodyeari", "Chlorodiella corallicola", "Eriophyllum lanatum", "Eriophyllum lanatum var. integrifolium", "Eriophyllum mohavense", "Eriophyllum nubigenum", "Eriophyllum pringlei", "Pilodius philippinensis", "Lasthenia californica subsp. californica", "Catapaguroides tanseiae", "Anteros acheus", "Anteros acheus acheus", "Solenopagurus lineatus", "Catapaguroides inermis", "Catapaguroides mortenseni", "Catapaguroides melini", "Catapaguroides spinulimanus", "Catapaguroides japonicus", "Catapaguroides iris", "Catapaguroides megalops", "Catapaguroides microps", "Catapaguroides olfaciens", "Acacia adenogonia", "Acacia alaticaulis", "Acacia anastomosa", "Acacia anserina", "Acacia aptaneura", "Acacia argentina", "Acacia aculeiformis", "Catapaguroides pectinipes", "Catapaguroides setosus", "Lasthenia glabrata subsp. glabrata", "Pylocheles agassizi", "Lasthenia glabrata subsp. coulteri", "Lasthenia gracilis", "Lasthenia maritima", "Pylocheles mortensenii", "Anteros formosus formosus", "Anteros formosus theleia", "Monolopia lanceolata", "Anteros formosus stramentarius", "Monolopia major", "Anteros formosus micon", "Hyloscirtus japreria", "Anteros cruentatus", "Borodinia dentata", "Catapaguroides iejimensis", "Walwhalleya jacobsiana", "Catapaguroides foresti", "Catapaguroides fragilis", "Ancyluris mira", "Catapaguroides hooveri", "Ancyluris mira mira", "Nesodiscus cookei", "Nesodiscus nummus", "Ancyluris mira thaumasia", "Minidonta opunohua", "Libera kondoi", "Ancyluris mira furia", "Constancea nevinii", "Ancyluris paetula", "Ancyluris paramba", "Callogorgia imperialis", "Ancyluris rubrofilum", "Ancyluris tedea", "Ancyluris tedea tedea", "Ancyluris tedea silvicultrix", "Anteros lectabilis", "Achnatherum altum", "Podostictina endochrysa", "Anthosachne kingiana", "Lobrathium kedian", "Belonuchus cifuentesi", "Lathrobium tigilum", "Lathrobium naeliae", "Decaphyllus spinicornis", "Trichopagurus macrochela", "Trichopagurus tenuidactylus", "Trichopagurus trichophthalmus", "Hulsea algida", "Hulsea brevifolia", "Solenopagurus diomedeae", "Anisocarpus madioides", "Anteros aerosus", "Blepharizonia plumosa", "Catapaguroides umbra", "Catapaguroides kasei", "Catapagurus albatrossae", "Catapagurus haigae", "Catapagurus hirayamai", "Catapagurus imperialis", "Anteros aurigans", "Catapagurus kosugei", "Catapagurus lewinsohni", "Catapagurus maclaughlinae", "Catapagurus toyoshioae", "Catapagurus alcocki", "Molossus fentoni", "Anteros bracteata", "Catapagurus gracilis", "Platytheca galioides", "Centromadia pungens subsp. pungens", "Anteros carausius", "Anteros carausias carausius", "Anteros carausius yurakchupa", "Hulsea nana", "Anteros chrysoprasta", "Anteros chrysoprasta chrysoprasta", "Sclerocarpus africanus", "Deinandra kelloggii", "Dubautia arborea", "Sogerianthe sogerensis", "Nothobranchius insularis", "Lepidosperma concavum", "Catapagurus ensifer", "Dubautia laxa", "Catapagurus misakiensis", "Dubautia laxa subsp. hirsuta", "Dubautia laxa subsp. laxa", "Dubautia linearis subsp. linearis", "Catapagurus sharreri", "Dubautia menziesii", "Dubautia microcephala", "Dubautia paleata", "Dubautia plantaginea subsp. plantaginea", "Dubautia platyphylla", "Dubautia raillardioides", "Dubautia scabra", "Dubautia scabra subsp. scabra", "Harmonia stebbinsii", "Catapagurus cunhai", "Harmonia doris-nilesiae", "Catapagurus danida", "Hemizonia congesta subsp. congesta", "Hemizonia congesta subsp. clevelandii", "Hemizonia congesta subsp. luzulifolia", "Anteros chrysoprasta roratus", "Deinandra fasciculata", "Anteros gentilis", "Anteros kupris", "Anteros kupris kupris", "Catapagurus insolitus", "Catapagurus franklinae", "Catapagurus spinicarpus", "Catapagurus tuberculosus", "Anteros kupris aureocultus", "Atlapetes melanolaemus", "Anteros renaldus renaldus", "Anteros renaldus indigator", "Atlapetes nigrifrons", "Anteros renaldus notius", "Atlapetes meridae", "Layia chrysanthemoides", "Layia fremontii", "Layia heterotricha", "Protoglomeris vasconica", "Eritreum melakeghebrekristosi", "Anteros otho", "Mecyclothorax perseveratus", "Mecyclothorax notobscuricornis", "Mecyclothorax ambulatus", "Mecyclothorax waikamoi", "Mecyclothorax poouli", "Mecyclothorax ahulili", "Mecyclothorax affinis", "Mecyclothorax subtilis", "Mecyclothorax patulus", "Mecyclothorax patagiatus", "Mecyclothorax parapicalis", "Mecyclothorax ommatoplax", "Mecyclothorax semistriatus", "Mecyclothorax planipennis", "Mecyclothorax planatus", "Mecyclothorax xestos", "Mecyclothorax orbiculus", "Mecyclothorax timberlakei", "Mecyclothorax oculellus", "Mecyclothorax palustroides", "Mecyclothorax pau", "Anteros principalis", "Holocarpha heermannii", "Catapaguropsis queenslandica", "Catapaguropsis brucei", "Jensia rammii", "Jensia yosemitana", "Kyhosia bolanderi", "Anteros renaldus", "Lagophylla minor", "Lagophylla ramosissima", "Junco bairdi", "Tychus albanicus", "Dogoia addita", "Tychus anatolicus", "Dogoia astrica", "Tychus caudatus", "Tychus cordiger", "Tychus corsicus", "Dogoia dimonica", "Tychus corsicus spissatus", "Dogoia egeri", "Dogoia fulvescens", "Dogoia hierax", "Euryops acraeus", "Euryops annae", "Euryops arabicus", "Apodemia mejicanus deserti", "Parsonsia straminea", "Parsonsia eucalyptophylla", "Diogenes mercatoris", "Diogenes goniochirus", "Diogenes leptocerus", "Diogenes pallescens", "Lathrobium kamenum", "Lathrobium aevenum", "Pagurus gordonae", "Lathrobium palanum", "Madia chilensis", "Pagurixus brachydactylus", "Pagurixus carinimanus", "Pagurixus paulayi", "Pagurixus pseliophorus", "Raillardella argentea", "Raillardella pringlei", "Raillardella scaposa", "Pagurixus acanthocarpus", "Pagurixus purpureus", "Euryops brownei", "Apodemia virgulti dialeuca", "Gastrodia cooperae", "Apodemia duryi", "Apodemia mormo langei", "Apodemia mejicanus maxima", "Cecarria obtusifolia", "Ontholestes lowi", "Pseudocyphellaria citrina", "Perityle incana", "Perityle inyoensis", "Cardiandra amamiohsimensis", "Cardiandra moellendorffii", "Perityle tenella", "Perityle villosa", "Crassothonna cylindrica", "Hesperus rougemonti", "Philonthus hanskii", "Philonthus muluensis", "Hesperus margaretae", "Naddia barclayi", "Diodonopsis ramiromedinae", "Smallanthus connatus", "Smallanthus pyramidalis", "Calea cymosa", "Calea fluviatilis", "Alloispermum integrifolium", "Calea rotundifolia", "Enydra fluctuans", "Gastrodia procera", "Apodemia mormo cythera", "Berhautia senegalensis", "Apodemia mormo mormo", "Jaegeria hirta", "Lobariella flynniana", "Lobariella robusta", "Lobariella sandwicensis", "Pagurixus anceps", "Lecocarpus pinnatifidus", "Tychus dalmatinus", "Tychus monilicornis", "Melampodium cinereum", "Tychus niger", "Tychus pullus", "Tychus rufus", "Salvia kurdica", "Paratychus mendax", "Guizotia jacksonii", "Ichthyothere connata", "Ichthyothere elliptica", "Rumfordia floribunda", "Sigesbeckia flosculosa", "Sigesbeckia serrata", "Adenostyles alliariae subsp. alliariae", "Adenostyles alpina subsp. alpina", "Cacicus microrhynchus", "Cacicus leucoramphus", "Bulbophyllum polliculosum", "Apodemia mormo autumnalis", "Apodemia mormo parva", "Apodemia mormo tuolumnensis", "Allobates juami", "Apodemia virgulti", "Venegasia carpesioides", "Bebbia juncea var. aspera", "Tridax palmeri", "Coespeletia palustris", "Apodemus chejuensis", "Espeletia argentea", "Espeletia curialensis", "Espeletia hartwegiana", "Espeletia hartwegiana subsp. hartwegiana", "Espeletia killipii", "Espeletia pycnophylla", "Espeletia pycnophylla subsp. pycnophylla", "Espeletia uribei", "Libanothamnus neriifolius", "Libanothamnus occultus", "Libanothamnus occultus var. occultus", "Alloispermum caracasanum", "Aphanactis jamesoniana", "Acidosasa chienouensis", "Arthrostylidium simpliciusculum", "Arthrostylidium merostachyoides", "Arthrostylidium judziewiczii", "Arthrostylidium angustifolium", "Arthrostylidium auriculatum", "Kieneriella novaecaledoniae", "Conospermum longifolium", "Euryops linearis", "Euryops linifolius", "Euryops pectinatus subsp. pectinatus", "Euryops tenuissimus", "Euryops tenuissimus subsp. tenuissimus", "Euryops virgineus", "Lopholaena coriifolia", "Apodemia mejicanus", "Apodemia mejicanus mejicanus", "Breynia oblongifolia", "Apodemia mejicanus pueblo", "Othonna daucifolia", "Othonna dentata", "Othonna parviflora", "Othonna pinnata", "Othonna retrorsa", "Erechtites glomeratus subsp. glomeratus", "Erechtites minimus", "Argyrogrammana saphirina", "Alepis flavida", "Teleopsis cobiae", "Teleopsis freyi", "Teleopsis motatrix", "Teleopsis nitidifacies", "Teleopsis nitidiscutum", "Teleopsis pharao", "Teleopsis selecta", "Teleopsis shillitoi", "Emilia citrina", "Emilia lisowskiana", "Comalcandona tressleri", "Emilia praetermissa", "Surazomus rafaeli", "Erechtites glomeratus", "Faujasia salicifolia", "Faujasia pinifolia", "Emelianthe panganensis", "Argyrogrammana crocea", "Argyrogrammana occidentalis", "Thismia clavarioides", "Argyrogrammana pastaza", "Gynura sechellensis", "Gynura zeylanica", "Podostictina encoensis", "Cyphocoleus lissus", "Cyphocoleus prolixus", "Cyphocoleus parovicollis", "Cyphocoleus burwelli", "Cyphocoleus angustatus", "Cyphocoleus monteithi", "Cyphocoleus lescheni", "Cyphocoleus fasciatus", "Cyphocoleus cordatus", "Cyphocoleus bourailensis", "Cyphocoleus subulatus", "Cyphocoleus iledespinsensis", "Culcitium canescens", "Apodemia virgulti virgulti", "Apodemia virgulti arenaria", "Apodemia virgulti davenporti", "Teleopsis boettcheri", "Apodemia virgulti dialeucoides", "Apodemia virgulti mojavelimbus", "Apodemia virgulti nigrescens", "Apodemia virgulti peninsularis", "Apodemia virgulti pratti", "Jacobaea maritima subsp. maritima", "Pedistylis galpinii", "Potamonemus mambilorum", "Satyrium saepium fulvescens", "Podostictina nermula", "Kleinia galpinii", "Kleinia implexa", "Kleinia grandiflora", "Argyrogrammana saulensis", "Argyrogrammana saulensis saulensis", "Argyrogrammana saulensis tunari", "Hubertia ambavilla", "Hubertia tomentosa", "Victrix albida", "Victrix bryophiloides", "Victrix fraudatrix", "Victrix perlopsis", "Victrix sinensis", "Victrix patula", "Perameles papillon", "Jacobaea abrotanifolia", "Victrix marmorata", "Jacobaea abrotanifolia subsp. abrotanifolia", "Victrix acronictoides", "Jacobaea adonidifolia", "Jacobaea alpina subsp. alpina", "Lacanobia chayu", "Stigmella lamiacifoliae", "Stigmella scutellariae", "Carmenta wildishorum", "Anophococcus hellenicus", "Iberococcus attikus", "Elzunia bomplandii", "Elzunia regalis", "Parathelphusa saginata", "Parathelphusa rasilis", "Parathelphusa nana", "Parathelphusa balabac", "Parathelphusa parma", "Parathelphusa mindoro", "Parathelphusa pardus", "Jacobaea ambigua", "Jacobaea ambigua subsp. ambigua", "Jacobaea erratica", "Jacobaea erucifolia subsp. erucifolia", "Jacobaea erucifolia subsp. tenuifolia", "Parathelphusa tera", "Parathelphusa torta", "Parathelphusa undulata", "Jacobaea gigantea", "Jacobaea othonnae", "Terrathelphusa ovis", "Jacobaea paludosa", "Jacobaea paludosa subsp. paludosa", "Jacobaea subalpina", "Jacobaea uniflora", "Jacobaea vulgaris subsp. vulgaris", "Terrathelphusa kuhli", "Terrathelphusa modesta", "Terrathelphusa loxophthalma", "Terrathelphusa kuchingensis", "Terrathelphusa adipis", "Kleinia abyssinica", "Kleinia amaniensis", "Papuanthes albertisii", "Helicanthes elastica", "Parathelphusa batamensis", "Stenus absconditus", "Irmengardia nemestrinus", "Parathelphusa baweanensis", "Parathelphusa quadrata", "Jacobaea maritima subsp. bicolor", "Torhusa nieuwenhuisi", "Jacobaea maritima subsp. gibbosa", "Zootrophion alvaroi", "Austrolebias camaquensis", "Corvus insularis", "Potamonautes barbarai", "Potamonautes barnardi", "Stenus vexator", "Stenus ocrearius", "Stenus fulgurans", "Stenus lavinia", "Potamonautes bourgaultae", "Stenus tim", "Stenus guagua", "Stenus shepardi", "Stenus vexabilis", "Stenus interpolator", "Stenus anatipenis", "Podostictina jamesii", "Potamonautes gorongosa", "Stenus nigratus", "Stenus acupictus", "Stenus balzani", "Stenus dilativentris", "Stenus graciliformis", "Stenus igarapecola", "Stenus incisiventris", "Stenus inexoptatus", "Stenus laboriosus", "Stenus lapsus", "Potamonautes isimangaliso", "Stenus lindemanni", "Stenus pilosivestis", "Stenus quipu", "Stenus inutilis", "Stenus rectipunctus", "Stenus repentinus", "Stenus struyvei", "Stenus sharkeyi", "Stenus similigenus", "Stenus surinamus", "Kleinia fulgens", "Kleinia stapeliiformis", "Callophrys augustinus croesioides", "Lachanodes arborea", "Lasiocephalus ovatus", "Callophrys augustinus helenae", "Sudanonautes aubryi", "Sudanonautes floweri", "Sudanonautes monodi", "Sudanonautes kagoroensis", "Callophrys eryphon eryphon", "Sudanonautes faradjensis", "Sudanonautes granulatus", "Stenus brevivestis", "Stenus morator", "Potamonautes idjwiensis", "Potamonautes mutandensis", "Stenus actephilus", "Potamonautes lirrangensis", "Stenus arculus", "Kleinia madagascariensis", "Potamonautes perparvus", "Potamonautes minor", "Kleinia pendula", "Deckenia imitatrix", "Deckenia mitis", "Erimetopus brazzae", "Erimetopus vandenbrandeni", "Platythelphusa armata", "Platythelphusa conculcata", "Platythelphusa denticulata", "Stenus callosus", "Platythelphusa echinata", "Stenus capucinus", "Platythelphusa polita", "Platythelphusa tuberculata", "Callophrys augustinus augustinus", "Stenus consentaneus", "Stenus lutzi", "Callophrys augustinus iroides", "Platythelphusa immaculata", "Platythelphusa praelongata", "Senecio pseudoorientalis", "Stenus perforatus", "Platythelphusa maculata", "Stenus schmidti", "Stenus varipes", "Stenus amabilis", "Stenus cubensis", "Sudanonautes africanus", "Sudanonautes chaperi", "Callophrys augustinus annetteae", "Sudanonautes chavanesii", "Sudanonautes orthostylis", "Senecio harveyanus", "Callophrys augustinus concava", "Sudanonautes nigeria", "Callophrys eryphon fusca", "Sudanonautes sangha", "Sudanonautes tiko", "Callophrys eryphon pallescens", "Callophrys eryphon purpurascens", "Callophrys fotis fotis", "Callophrys fotis mojavensis", "Trichogaster fasciata", "Pusillanthus trichodes", "Oliverella rubroviridis", "Podostictina scabrosa", "Liberonautes chaperi", "Liberonautes latidactylus", "Liberonautes grandbassa", "Liberonautes lugbe", "Liberonautes nimba", "Liberonautes nanoides", "Liberonautes paludicolis", "Liberonautes rubigimanus", "Potamonautes acristatus", "Potamonautes adeleae", "Potamonautes adentatus", "Potamonautes gerdalensis", "Potamonautes gonocristatus", "Potamonautes loashiensis", "Potamonautes machadoi", "Potamonautes jeanneli", "Callophrys polios polios", "Potamonautes odhneri", "Callophrys polios maritima", "Callophrys polios obscurus", "Stenus infucatus", "Stenus metallescens", "Stenus panamensis", "Stenus purus", "Senecio pauciflorus", "Meristotheca senegalense", "Synchroa punctata", "Meristotheca tobagensis", "Synchroa chinensis", "Synchroa elongatula", "Senecio petraeus", "Synchroa formosana", "Placentophora colensoi", "Podostictina vaccina", "Euryomma platycarpa", "Callophrys henrici turneri", "Potamonautes subukia", "Callophrys henrici viridissima", "Flahaultia appendiculata", "Potamonautes dentatus", "Flahaultia palmata", "Potamonautes sidneyi", "Flahaultia tegetiformans", "Gardneriella tuberifera", "Potamonautes danielsi", "Kappaphycus alvarezii", "Kappaphycus cottonii", "Kappaphycus striatus", "Kappaphycus procrusteanus", "Potamonautes lipkei", "Colletotrichum gloeosporioides", "Yoshimuriella corrosa", "Potamonautes namuliensis", "Potamonautes mulanjeensis", "Packera breweri", "Tupeia antarctica", "Packera cymbalaria", "Packera dimorphophylla", "Potamonautes parvicorpus", "Callophrys irus hadros", "Meristotheca papulosa", "Packera bernardina", "Packera bolanderi", "Potamonautes granularis", "Packera bolanderi var. harfordii", "Callophrys mossii mossii", "Callophrys mossii hidakupa", "Callophrys mossii marinensis", "Callophrys mossii bayensis", "Callophrys mossii doudoroffi", "Callophrys mossii schryveri", "Callophrys mossii windi", "Yoshimuriella carassensis", "Potamonautes macrobrachii", "Potamonautes punctatus", "Potamonautes semilunaris", "Potamonautes senegalensis", "Potamonautes triangulus", "Potamonautes bellarussus", "Monticalia andicola", "Monticalia firmipes", "Potamonautes flavusjo", "Potamonautes clarus", "Euryops virgatus", "Euryops muirii", "Callophrys henrici margaretae", "Eucheuma crassum", "Eucheuma deformans", "Eucheuma johnstonii", "Monticalia guadalupe", "Eucheuma jugatum", "Eucheuma kraftianum", "Eucheuma perplexum", "Monticalia guadalupe subsp. guadalupe", "Eucheuma nodulosum", "Eucheuma nudum", "Monticalia ledifolia", "Eucheuma odontophorum", "Eucheuma platycladum", "Eucheuma serra", "Callophrys henrici solatus", "Eucheuma xishaensis", "Potamonautes kensleyi", "Monticalia nitida", "Meristotheca gelidium", "Potamonautes aloysiisabaudiae", "Potamonautes entebbe", "Meristotheca decumbens", "Potamonautes busungwe", "Potamonautes kantsyore", "Meristotheca fergusonii", "Meristotheca peltata", "Calcigorgia matua", "Meristotheca polychotoma", "Meristotheca procumbens", "Calcigorgia simushiri", "Betula ashburneri", "Yuraramirim montealtensis", "Ahlbergia clarofacia clarofacia", "Atolchelys lepida", "Jacobaea auricula", "Neanura deharvengi", "Senecio bahioides", "Kleinia barbertonica", "Erechtites sonchoides", "Senecio blochmaniae", "Packera eurycephala", "Packera flettii", "Stenus chalybeus", "Stenus cordilleranus", "Potamonautes principe", "Stenus cupreus", "Packera greenei", "Stenus distinctus", "Packera hesperia", "Packera malmstenii", "Callophrys niphon niphon", "Potamonautes raybouldi", "Potamonautes reidi", "Yoshimuriella deplanata", "Potamonautes alluaudi", "Callophrys niphon clarki", "Stenus subcoeruleus", "Packera musiniensis", "Stenus traversifrons", "Stenus vagans", "Stenus gaucho", "Packera pauciflora", "Stenus herbaceus", "Stenus hypocrites", "Packera paupercula", "Stenus incognitus marcidus", "Packera sanguisorboides", "Packera streptanthifolia", "Packera subnuda", "Packera tomentosa", "Packera werneriifolia", "Stenus ogloblini", "Stenus operosus", "Stenus scurrilis", "Stenus paraguayanus", "Pericallis lanata", "Pericallis malvifolia", "Potamonautes xiphoidus", "Pericallis malvifolia subsp. malvifolia", "Pericallis papyracea", "Pericallis tussilaginis", "Pladaroxylon leucadendron", "Phyllocnistis citrella", "Phyllocnistis dorcas", "Meristotheca coacta", "Senecio adenotrichius", "Meristotheca cylindrica", "Meristotheca dakarensis", "Senecio amplectens", "Meristotheca imbricata", "Synchroina tenuipennis", "Senecio ampullaceus", "Lordhowea amygdalifolia", "Sarcodiotheca furcata", "Stenus nevermanni", "Stenus pressus", "Sarcodiotheca elongata", "Sarcodiotheca linearis", "Stenus cactus", "Stenus colossipennis", "Stenus frontalis", "Stenus insultator", "Stenus intonsus", "Senecio antisanae", "Stenus jugalis", "Stenus peruvianus", "Senecio aphanactis", "Stenus plaumanni", "Senecio arenarius", "Thescelosynchroa pangu", "Potamonautes amalerensis", "Potamonautes nheenae", "Kappaphycus inermis", "Callophrys irus irus", "Potamonautes mhlophe", "Stenus dissentiens", "Stenus lugens", "Stenus meridionalis", "Callophrys irus arsace", "Stenus pueblanus", "Lordhowea insularis", "Stenus ritamontium", "Stenus rostellifer", "Kappaphycus malesianus", "Stenus adisi", "Melanema dumosum", "Stenus amissus", "Stenus cacique", "Stenus capillaceus", "Packera antennariifolia", "Monticalia vaccinioides", "Monticalia vernicosa", "Yoshimuriella dissecta", "Stenus vestigialis", "Stenus angulipennis", "Stenus atrocyaneus", "Stenus atromicans", "Stenus cyaneosplendens", "Pericallis echinata", "Stenus nodicollis", "Stenus tuberosicollis", "Pericallis hansenii", "Stenus acestes", "Stenus antillensis", "Stenus cajeta", "Stenus dido", "Stenus leptocerus", "Gracilariopsis irregularis", "Phyllocnistis puyehuensis", "Trichogaster labiosa", "Spathoglottis philippinensis", "Titanochelon bacharidisi", "Ozyptila praticola", "Sarcodiotheca gaudichaudii", "Sarconema filiforme", "Sarconema scinaioides", "Sarconema gracilarioides", "Stenus sellatus", "Senecio chrysocoma", "Stenus micangmontium", "Stenus impressicollis", "Stenus luojimontis", "Stenus detestabilis", "Stenus detestatus", "Stenus scabripunctus", "Stenus dabacola", "Stenus nibamontis", "Stenus xilingshanus", "Stenus habashanus", "Stenus tumoripennis", "Stenus tumidulipennis", "Stenus erlanganus", "Cyana malayensis", "Cyana malayensis malayensis", "Cyana malayensis palawanensis", "Cyana bella", "Cyana owadai", "Cyana euryxantha", "Cyana phycomata", "Sphaerococcus dendroides", "Sphaerococcus dumosus", "Sphaerococcus gaditanus", "Sphaerococcus platyphyllus", "Sphaerococcus rhizophylloides", "Tichocarpus crinitus", "Stenoloba plumbeobrunnea", "Pentacalia desiderabilis", "Cochlospermum macnamarae", "Carex incomitata", "Hibbertia abyssa", "Hibbertia atrichosepala", "Hibbertia fasciculata", "Hibbertia fasciculiflora", "Yoshimuriella subcorrosa", "Stenoloba cucullata", "Stenoloba asymmetrica", "Stenoloba acontioides", "Stenoloba rectilinoides", "Stenoloba uncata", "Stenoloba assimilina", "Yoshimuriella subdissecta", "Senecio doronicum", "Haemactis pyrrhosphenus", "Gracilariopsis lemaneiformis", "Stenus pengzhongi", "Stenus jindingianus", "Stenus corniculus", "Stenus daicongchaoi", "Tebenna agalmotopa", "Stenus punctidorsus", "Stenus paraflammeus", "Zemeros flegyas balinus", "Curio hallianus", "Senecio haloragis", "Stenus zhongdianus", "Stenus insperabilis", "Stenus dabaensis", "Senecio coquimbensis", "Senecio cordifolius", "Testudo brevitesta", "Solieria chordalis", "Solieria anastomosa", "Solieria filiformis", "Solieria dichotoma", "Solieria pacifica", "Solieria dura", "Solieria jaasundii", "Solieria robusta", "Stenoloba gaoligonga", "Stenoloba huanxipoa", "Solieria tenuis", "Stenoloba chlorobrunnea", "Stenoloba ochraceola", "Stenoloba plumbeoviridis", "Curdiea angustata", "Senecio fremontii var. occidentalis", "Senecio garcibarrigae", "Curdiea crassa", "Curdiea codioides", "Senecio giessii", "Senecio glabratus", "Curdiea coriacea", "Neoclypeodytes discretus", "Neoclypeodytes leachi", "Curdiea irvineae", "Curdiea obesa", "Senecio glaucus subsp. glaucus", "Curdiea racovitzae", "Senecio glaucus subsp. cyprius", "Kleinia grantii", "Gracilariophila oryzoides", "Gracilariophila gardneri", "Stenus aequabilifrons", "Stenus zhemoshanus", "Stenus hajeki", "Stenus doryphorus", "Stenus xueshanus", "Stenus luojiensis", "Senecio doronicum subsp. doronicum", "Stenus vietnamensis", "Senecio duriaei", "Stenus wugongshanus", "Stenus mingyueshanus", "Stenus songxiaobini", "Stenus hui", "Tacanoosca uncinata", "Tikvahiella candida", "Senecio eremophilus", "Tepoztequiella rhizoidea", "Wurdemannia miniata", "Cyana rosabra", "Cyana cara", "Gracilariopsis longissima", "Kleinia gregorii", "Tebenna agelasta", "Gracilariopsis mclachlanii", "Gracilariopsis persica", "Gracilariopsis nganii", "Gracilariopsis phanthietensis", "Salvia cyanescens", "Plocaria candida", "Plocaria virescens", "Salvia pilifera", "Salvia poculata", "Zemeros emesoides bangueyanus", "Zemeros emesoides zynias", "Senecio littoralis", "Boraras merah", "Pseudocyphellaria deyi", "Pseudocyphellaria epiflavoides", "Neoclypeodytes challeti", "Neoclypeodytes edithae", "Neoclypeodytes anasinus", "Neoclypeodytes roughleyi", "Neoclypeodytes amybethae", "Neoclypeodytes nanus", "Neoclypeodytes tumulus", "Neoclypeodytes similis", "Neoclypeodytes megalus", "Neoclypeodytes haroldi", "Neoclypeodytes lynceus", "Neoclypeodytes cinctellus", "Senecio fremontii", "Curdiea angusta", "Senecio fremontii var. blitoides", "Neoclypeodytes plicipennis", "Gracilariopsis andersonii", "Pseudocyphellaria holarctica", "Gracilariopsis costaricensis", "Gracilariopsis megaspora", "Gracilariopsis panamensis", "Gracilariopsis rhodotricha", "Gracilariopsis animasensis", "Starmerella gropengiesseri", "Gracilariopsis cata-luziana", "Gracilariopsis hommersandii", "Starmerella stellata", "Gracilariopsis silvana", "Gracilariopsis tenuifrons", "Gracilariopsis carolinensis", "Gracilariopsis chiangii", "Gracilariopsis nhatrangensis", "Gracilariopsis chorda", "Antheraea polyphemus polyphemus", "Antheraea polyphemus tuxtlasensis", "Gracilariopsis funicularis", "Gracilariopsis heteroclada", "Zemeros flegyas albipunctata", "Plocaria aculeata", "Melanthalia obtusata", "Melanthalia abscissa", "Melanthalia intermedia", "Melanthalia polydactylis", "Melanthalia vieillardii", "Zemeros flegyas allica", "Zemeros flegyas annamensis", "Zemeros flegyas phyliscus", "Zemeros flegyas hostius", "Zemeros flegyas arimazes", "Zemeros flegyas sosiphanes", "Dendrobium goldschmidtianum", "Zemeros flegyas sparsus", "Zemeros flegyas indicus", "Dendrobium victoriae-reginae", "Zemeros flegyas celebensis", "Anthemis arvensis subsp. arvensis", "Anthemis chrysantha subsp. chrysantha", "Anthemis abrotanifolia", "Anthemis cupaniana", "Gracilaria gracilis", "Senecio invalidus", "Zemeros flegyas confucius", "Coenodomus hockingi", "Coenodomus melanochlora", "Zemeros flegyas javana", "Gracilaria multipartita", "Coenodomus schausi", "Coenodomus trichasema", "Zemeros flegyas retiarius", "Zemeros flegyas sipora", "Stenus guangxiensis", "Stenus decens", "Zemeros flegyas strigatus", "Gracilaria salicornia", "Senecio larahuinensis", "Gracilaria secundata", "Senecio leucanthemifolius subsp. leucanthemifolius", "Senecio linariifolius", "Zemeros emesoides eso", "Stenus tuyueyei", "Stenus dabashanus", "Senecio humbertii", "Dogoia stellata", "Dogoia unguiculata", "Stenus tianmushanus", "Stenus tonghanggangus", "Stenus pseudomicuba", "Senecio humillimus", "Dogoia thia", "Dogoia veneris", "Senecio hydrophilus", "Idaea barbuti", "Gracilaria bursa-pastoris", "Gracilaria canaliculata", "Gracilaria chilensis", "Stenus alioventralis", "Stenus fortunatoris", "Stenus taibaishanus", "Stenus nigriceps", "Stenus conseminiger", "Stenus ambiseminiger", "Stenus dashaheensis", "Stenus zhangyuqingi", "Stenus liuyixiaoi", "Stenus hujiayaoi", "Stenus bullatus", "Stenus exesus", "Stenus damingshanus", "Stenus jinxiuensis", "Stenus lianhuashanus", "Stenus hechiensis", "Senecio filaginoides", "Stenus wuyanlingus", "Stenus yuyimingi", "Senecio flavus", "Senecio formosoides", "Notomicrus petrareptans", "Titanochelon bolivari", "Notomicrus chailliei", "Notomicrus femineus", "Notomicrus sabrouxi", "Notomicrus josiahi", "Notomicrus huttoni", "Notomicrus malkini", "Iridana stempfferi", "Senecio hercynicus", "Senecio hercynicus subsp. hercynicus", "Curio herreanus", "Senecio hickenii", "Dogoia lunata", "Dogoia leonardi", "Erechtites hispidulus", "Dogoia nyungwensis", "Dogoia obscuripennis", "Dogoia perfulvastra", "Stenus pseudoflammeus", "Senecio chionophilus", "Stenus xilingmontis", "Stenus zhoudeyaoi", "Stenus jiajinshanus", "Yoshimuriella fendleri", "Potamonautes anchietae", "Potamonautes antheus", "Potamonautes ballayi", "Potamonautes bayonianus", "Potamonautes berardi", "Senecio bonariensis", "Potamonautes biballensis", "Potamonautes bipartitus", "Potamonautes brincki", "Senecio breviscapus", "Ahlbergia leechii", "Senecio brunonianus", "Senecio cachinalensis", "Ahlbergia nicevillei", "Senecio californicus", "Ahlbergia chalcidis", "Senecio candidans", "Jacobaea abrotanifolia subsp. carpathica", "Senecio cedrorum", "Senecio ceratophylloides", "Ahlbergia huertasblancae", "Senecio cerberoanus", "Senecio chilensis", "Senecio chionogeton", "Sarcodiotheca caribaea", "Sarcodiotheca divaricata", "Sarcodiotheca ecuadoreana", "Sarcodiotheca tenuis", "Sarcodiotheca taylorii", "Sarcodiotheca dichotoma", "Senecio iscoensis", "Stenus bispinoides", "Stenus plagiocephalus", "Wahydra grasliae", "Kleinia petraea", "Stenus gestroi", "Stenus rugipennis", "Zemeros emesoides", "Stenus tenuipes", "Zemeros emesoides emesoides", "Senecio keniophytum", "Stenus maculifer", "Stenus facialis", "Stenus cruentatus", "Iridana larseni", "Senecio lanibracteus", "Gracilaria ramisecunda", "Lecanorchis japonica", "Problepsis stueningi", "Problepsis batangnensis", "Problepsis albidior", "Stenus fellowesi", "Problepsis eucircota", "Tanacetum densum subsp. densum", "Problepsis vulgaris", "Anthemis maris-mortui", "Anthemis maritima subsp. maritima", "Anthemis melampodina subsp. melampodina", "Xynias lithosina", "Pseudocyphellaria punctata", "Pseudocyphellaria sandwicensis", "Stenus pubiformis", "Gonospermum canariense subsp. canariense", "Problepsis paredra", "Problepsis subreferta", "Stenus huanghaoi", "Stenus nanlingmontis", "Stenus xuwangi", "Problepsis apollinaria", "Problepsis delphiaria", "Problepsis delphiaria delphiaria", "Problepsis delphiaria auriculifera", "Problepsis transvehens", "Problepsis conjunctiva", "Xynias lithosina christalla", "Problepsis crassinotata", "Problepsis diazoma", "Problepsis discophora", "Problepsis discophora discophora", "Stenus paradecens", "Stenus guniujiangensis", "Artemisia judaica", "Xynias lithosina cynosema", "Artemisia judaica subsp. judaica", "Xynias lithosina lithosina", "Artemisia kawakamii", "Xynias lithosina potaronus", "Muellerina flexialabastra", "Zanobatus maculatus", "Zanobatus schoenleinii", "Xynias lilacina", "Lecanorchis betongensis", "Lecanorchis betung-kerihunensis", "Pselnophorus boldyrevae", "Crassuncus kenzo", "Crassuncus ermakovae", "Hellinsia birichevskayae", "Problepsis discophora kardakoffi", "Problepsis phoebearia", "Problepsis shirozui", "Problepsis superans", "Artemisia rupestris subsp. rupestris", "Hellinsia jordanica", "Pseudobithynia guldeni", "Sunius yamani", "Sempronia stygella", "Squalius semae", "Artemisia spinescens", "Xenandra poliotactis", "Xenandra vulcanalis", "Gelidiocolax microsphaericus", "Gracilaria tsudae", "Gracilaria tuberculosa", "Gracilaria turgida", "Gracilaria tuticorinensis", "Gracilaria urvillei", "Gracilaria usneoides", "Gracilaria vanbosseae", "Gracilaria veleroae", "Gracilaria venezuelensis", "Gracilaria vermiculata", "Gracilaria vermiculophylla", "Gracilaria vieillardii", "Gracilaria vieirae", "Gracilaria viridis", "Gracilaria wrightii", "Gracilaria xiae-abbotii", "Gracilaria yamamotoi", "Gracilaria yinggehaiensis", "Gracilaria fisheri", "Gracilaria latifrons", "Cotula alpina", "Leptinella pusilla", "Leptinella pyrethrifolia", "Leptinella rotundata", "Lagidium viscacia", "Leptinella traillii", "Leptinella traillii subsp. traillii", "Xenandra nigrivenata", "Seriphidium maritimum subsp. maritimum", "Xenandra desora", "Xenandra pelopia", "Xenandra agria", "Aragosaurus ischiaticus", "Symmachia calligrapha", "Xenandra helius", "Xenandra helius helius", "Xenandra helius cruentata", "Charissa peloponnesiaria", "Hymenolepis parviflora", "Athamanthia transcaucasica", "Gracilaria textorii", "Gracilaria truncata", "Xenandra heliodes", "Xenandra heliodes heliodes", "Xenandra heliodes dibapha", "Gracilaria abbottiana", "Gracilaria abyssalis", "Gracilaria aculeata", "Gracilaria aggregata", "Gracilaria ambigua", "Gracilaria apiculata", "Gracilaria apiculifera", "Gracilaria arcuata", "Gracilaria armata", "Gracilaria articulata", "Gracilaria ascidiicola", "Gracilaria babae", "Gracilaria baiana", "Gracilaria beckeri", "Gracilaria birdiae", "Gracilaria blodgettii", "Gracilaria brasiliensis", "Gracilaria brevis", "Gracilaria camerunensis", "Gracilaria capensis", "Gracilaria caudata", "Gracilaria cearensis", "Gracilaria cerrosiana", "Gracilaria cervicornis", "Gracilaria changii", "Gracilaria chondracantha", "Gracilaria chondroides", "Gracilaria chouae", "Gracilaria cliftonii", "Gracilaria comosa", "Gracilaria conferta", "Gracilaria coppejansii", "Gracilaria corallicola", "Gracilaria cornea", "Gelidiocolax desikacharyi", "Salvia macrochlamys", "Symmachia almeidai", "Gelidiocolax lyndae", "Salvia ballsiana", "Gelidiocolax mammillatus", "Gelidiocolax margaritoides", "Metopsia similis", "Eusphalerum amplipenne", "Eusphalerum bergi", "Gypsophila guvengorkii", "Cancrinia discoidea", "Ketambea permixta", "Ketambea rostrata", "Ketambea vermiformis", "Prosoponoides hamatum", "Prosoponoides kaharianum", "Prosoponoides simile", "Symmachia batesi", "Gelidiocolax suhriae", "Gelidiocolax pustulatus", "Symmachia calderoni", "Cattleya campaccii", "Holmsella pachyderma", "Kenocymbium deelemanae", "Kenocymbium simile", "Cattleya locatellii", "Holmsella australis", "Cattleya nevesii", "Cattleya nevesiana", "Gracilaria corniculata", "Gracilaria coronopifolia", "Gracilaria corticata", "Gracilaria crispata", "Gracilaria crockeri", "Gracilaria crouaniorum", "Gracilaria cuneata", "Gracilaria cuneifolia", "Gracilaria curtissiae", "Gracilaria cylindrica", "Gracilaria damaecornis", "Gracilaria dawsonii", "Gracilaria debilis", "Gracilaria dendroides", "Gracilaria dentata", "Gracilaria denticulata", "Gracilaria disputabilis", "Gracilaria disticha", "Gracilaria divaricata", "Gracilaria divergens", "Gracilaria domingensis", "Gracilaria dotyi", "Gracilaria dumosa", "Gracilaria dura", "Gracilaria ecuadoreana", "Gracilaria edulis", "Gracilaria ephemera", "Gracilaria epihippisora", "Gracilaria eucheumatoides", "Gracilaria falconii", "Gracilaria fanii", "Gracilaria firma", "Gracilaria flabelliformis", "Gracilaria flagelliformis", "Gracilaria flexuosa", "Gracilaria foliifera", "Gracilaria fruticosa", "Gracilaria galetensis", "Gracilaria gigartinoides", "Gracilaria gigas", "Gracilaria glomerata", "Gracilaria hainanensis", "Gracilaria halogenea", "Gracilaria hancockii", "Gracilaria hauckii", "Gracilaria hayi", "Gracilaria hermonii", "Gracilaria hikkaduwensis", "Gracilaria howensis", "Gracilaria huangii", "Gracilaria hummii", "Gracilaria incrustata", "Gracilaria incurvata", "Gracilaria indica", "Gracilaria intermedia", "Gracilaria isabellana", "Gracilaria kanyakumariensis", "Gracilaria kilakkaraiensis", "Gracilaria lacerata", "Gracilaria lantaensis", "Gracilaria longa", "Pericaliella popoudinae", "Monstruncusarctia anikini", "Saliocleta puyak", "Saliocleta commutatis", "Gargetta eucharius", "Leptosema aculeatum", "Baradesa lithosioides lithosioides", "Baradesa lithosioides gigantea", "Leptosema anomalum", "Leptosema aphyllum", "Cyrtodactylus gialaiensis", "Salvia frigida", "Leptosema bossiaeoides", "Leptosema cervicorne", "Salvia montbretii", "Salvia longipedicellata", "Salvia cedronella", "Uroplatus kelirambo", "Uroplatus fotsivava", "Salvia eriophora", "Salvia dichroantha", "Leptosema chapmanii", "Toxicocalamus nigrescens", "Pelecanimimus polyodon", "Eremazus giganteus", "Omegandra kanisii", "Thyridia repens", "Ramaria aurea", "Neriene birmanica", "Amalthea rubida", "Carpopeltis phyllophora", "Nesioneta sola", "Carpopeltis capitellata", "Carpopeltis bushiae", "Acrodiscus vidovichii", "Plicatiductus storki", "Aeodes nitidissima", "Achillea ageratifolia subsp. aizoon", "Bathyphantes minor", "Eusphalerum celsum", "Aeodes dilatata", "Eusphalerum fidele", "Eusphalerum sareptanum", "Eusphalerum sahlbergi", "Gracilaria longirostris", "Gracilaria mammillaris", "Gracilaria manilaensis", "Gracilaria mannarensis", "Gracilaria maramae", "Gracilaria marcialana", "Gracilaria mayae", "Gracilaria megaspora", "Gracilaria mexicana", "Gracilaria microdendron", "Gracilaria millardetii", "Gracilaria minor", "Gracilaria minuta", "Gracilaria mixta", "Gracilaria multifurcata", "Gracilaria occidentalis", "Gracilaria oliveirarum", "Gracilaria ornata", "Gracilaria pachydermatica", "Gracilaria pacifica", "Gracilaria palmettoides", "Gracilaria papenfussii", "Gracilaria parvispora", "Gracilaria patens", "Gracilaria pauciramosa", "Gracilaria percurrens", "Gracilaria perplexa", "Gracilaria peruana", "Gracilaria pinnata", "Gracilaria preissiana", "Gracilaria prolifica", "Gracilaria protea", "Gracilaria pudumadamensis", "Gracilaria pulvinata", "Gracilaria punctata", "Gracilaria pygmaea", "Gracilaria ramulosa", "Gracilaria rangiferina", "Gracilaria reptans", "Gracilaria rhodocaudata", "Gracilaria rhodymenioides", "Gracilaria robusta", "Gracilaria rubra", "Gracilaria rubrimembra", "Gracilaria salzmannii", "Gracilaria secunda", "Gracilaria shimodensis", "Gracilaria silviae", "Gracilaria skottsbergii", "Gracilaria spinigera", "Gracilaria spinuligera", "Gracilaria spinulosa", "Gracilaria srilankia", "Gracilaria stellata", "Gracilaria stipitata", "Gracilaria sublittoralis", "Gracilaria subsecundata", "Gracilaria subtilis", "Gracilaria sullivanii", "Gracilaria symmetrica", "Gracilaria taiwanensis", "Gracilaria tenuistipitata", "Gracilaria tepocensis", "Gracilaria tikvahiae", "Toxicocalamus cratermontanus", "Leptosema daviesioides", "Leptosema macrocarpum", "Leptosema oxylobioides", "Leptosema tomentosum", "Leptosema uniflorum", "Leptosema villosum", "Tantilla gottei", "Tantilla excelsa", "Tantilla stenigrammi", "Liphistius gracilis", "Liphistius linang", "Liphistius negara", "Liphistius priceae", "Asiagone komannai", "Erigone apophysalis", "Erigone sumatrana", "Gnathonarium luzon", "Ketambea acuta", "Oedothorax myanmar", "Theoa malaya", "Gelidiocolax christianae", "Apostolepis underwoodi", "Salvia pisidica", "Carpopeltis decipiens", "Locketina pusilla", "Carpopeltis elata", "Carpopeltis maillardii", "Locketina fissivulva", "Lagidium peruanum", "Locketina versa", "Naarda ineffectalis", "Anthophagus schneideri", "Acteniopsis gambronensis", "Dendrobium amethystoglossum", "Stemmatophora robustus", "Dermocorynus montagnei", "Olophrum puncticolle", "Tegulinus bifurcatus", "Cryptonemia lomation", "Cryptonemia bengryi", "Cryptonemia crenulata", "Cryptonemia denticulata", "Acteniopsis kurdistanella", "Cryptonemia latissima", "Concavenator corcovatus", "Aster bellidiastrum", "Dicrastylis exsuccosa", "Chorizandra enodis", "Curio ficoides", "Lagidium wolffsohni", "Carpopeltis spongeaplexa", "Carpopeltis stella-polaris", "Carpopeltis vaigeensis", "Codiophyllum natalense", "Codiophyllum flabelliforme", "Epiphloea bullosa", "Gennaria griffithii", "Felicinia marginata", "Curio crassulifolius", "Epidendrum brevicaule", "Epidendrum schlechterianum", "Anthophagus angusticollis", "Anthophagus angusticollis roubali", "Santolina africana", "Celsumaria grandis", "Celsumaria knysna", "Celsumaria elongata", "Celsumaria soror", "Celsumaria hygrantis", "Dermocorynus dichotomus", "Dermocorynus horridus", "Aaronsohnia factorovskyi", "Calliophis haematoetron", "Lyonetia hygrophilella", "Broughtonia negrilensis", "Arctanthemum integrifolium", "Dermocorynus occidentalis", "Dumoga arboricola", "Dumoga complexipalpis", "Dendronetria obscura", "Dendronetria humilis", "Locketiella parvas", "Achillea virescens subsp. virescens", "Caenonetria perdita", "Phyllarachne levicula", "Dumoga buratino", "Prosoponoides jambi", "Prosoponoides sinensis", "Corynomorpha prismatica", "Corynomorpha clavata", "Kalimagone cuspidata", "Kalimagone rotunda", "Oedothorax bifoveatus", "Tegulinus sumatranus", "Curio avasimontanus", "Curio repens", "Senecio repens", "Acanthocarpus canaliculatus", "Curio articulatus", "Laggera crispata", "Coprophilus piceus", "Anotylus bernhaueri", "Anotylus fairmairei", "Tetraria octandra", "Calothamnus lateralis", "Lawrencia densiflora", "Darwinia polychroma", "Darwinia hortiorum", "Darwinia fascicularis", "Neoconger mucronatus", "Neoconger tuberculatus", "Isotropis cuneifolia", "Laxmannia sessiliflora", "Spinifex longifolius", "Aploderus transversicollis", "Baccharis glutinosa", "Syntomium aeneum", "Carpelimus gusarovi", "Carpelimus elongatulus", "Anomala flavacoma", "Anomala megaparamera", "Anomala pseudoeucoma", "Anomala aglaos", "Anomala estrella", "Anomala pincelada", "Glaphyrosiphon intestinalis", "Anomala taeniana", "Clibanornis rufipectus", "Anomala amarginata", "Anomala hemiseca", "Anomala pyxexcavata", "Anomala laccata", "Glaphyrosiphon lindaueri", "Anomala collotra", "Anomala pyxofera", "Platystethus alutaceus", "Gelinaria ulvoidea", "Anomala constanti", "Anomala smetsi", "Cyathostemon heterantherus", "Anomala mirabilis", "Anomala neglecta", "Anomala vellicata", "Tantilla tecta", "Chapinophis xanthocheilus", "Anomala microda", "Glaphyrosiphon chilensis", "Anomala perplexa", "Thomasia foliosa", "Neoconger vermiformis", "Glaphyrosiphon aucklandicus", "Anomala perplexa perplexa", "Anomala perplexa diana", "Styphelia tenuiflora", "Anomala flavolineata", "Anomala inexpecta", "Sclerurus obscurior", "Lobobunaea jolyi", "Coniophanes michoacanensis", "Platystethus capito", "Bledius subterraneus", "Stenus bosnicus", "Stenus nodipes", "Stenus distortus", "Aster procerus", "Aster takasagomontanus", "Aster tientschwanensis", "Aster woroschilovii", "Polyptychus bouyeri", "Brachyscome diversifolia", "Brachyscome radicata", "Symmachia elinas", "Erigeron alpinus subsp. alpinus", "Symmachia eraste", "Catesbya pseudomuraena", "Broughtonia lindenii", "Myroconger nigrodentatus", "Broughtonia ortgiesiana", "Tantilla impensa", "Tantilla vulcani", "Broughtonia \u00d7 guanahacabibensis", "Aster asagrayi", "Johnsonia lupulina", "Aster lavandulifolius", "Symmachia championi", "Broughtonia cubensis", "Fromia nodosa", "Anticoryne diosmoides", "Aster moupinensis", "Grateloupia filicina", "Anomala minangorum", "Anomala dissimilis", "Anomala kalliesi", "Grateloupia angusta", "Anomala diehli", "Anomala saetipes", "Grateloupia articulata", "Anomala nikodymi", "Anomala bernhardti", "Anomala malayensis", "Anomala eventifera", "Grateloupia californica", "Anomala ketambeana", "Grateloupia cornea", "Anomala monochroa", "Anomala viridibrunnea", "Anomala hoplites", "Anomala tricolorea", "Grateloupia divaricata", "Anomala fulvofusca", "Grateloupia undulata", "Grateloupia variata", "Grateloupia versicolor", "Grateloupia wattii", "Grateloupia yangjiangensis", "Grateloupia yinggehaiensis", "Crotalus armstrongi", "Rhadinophanes monticola", "Adelphicos daryi", "Erigeron tener", "Tantilla sertula", "Ameleta panochra", "Anestia ombrophanes", "Anestia semiochrea", "Crotalus tancitarensis", "Myroconger compressus", "Celestus ingridae", "Myroconger gracilis", "Symmachia exigua", "Abronia frosti", "Broughtonia domingensis", "Planovalvata confusa", "Rhadinella dysmica", "Abronia cuetzpali", "Rhadinella donaji", "Atractus touzeti", "Grateloupia doryphora", "Grateloupia elata", "Grateloupia elliptica", "Crotalus ericsmithi", "Grateloupia gibbesii", "Symmachia norina", "Stigmatophora roseivena", "Grateloupia furcata", "Grateloupia livida", "Abronia meledona", "Grateloupia patens", "Symmachia tricolor", "Grateloupia prolifera", "Stigmatophora zolotuhini", "Micrurus pachecogili", "Grateloupia ramosissima", "Grateloupia schmitziana", "Grateloupia stipitata", "Grateloupia turuturu", "Grateloupia urvilleana", "Grateloupiocolax colombiana", "Hippasteria phrygiana", "Diakonoffiana laosensis", "Mariaramirezia osornoensis", "Lobesia acicula", "Mariaramirezia lapathifolia", "Euphorbia psammogeton", "Erigeron nivalis", "Lobesia genialis", "Lobesia kurokoi", "Erigeron peregrinus var. peregrinus", "Erigeron petiolaris", "Lobesia lithogonia", "Lobesia moriutii", "Neoabbottiella araneosa", "Neoabbottiella decipiens", "Sitta europaea sinensis", "Lobesia pattayae", "Symmachia leena punctata", "Stenus alienigenus", "Stenus denticulatus", "Stenus incanus", "Stenus trapezipennis", "Stenus bey", "Erigeron pumilus subsp. pumilus", "Cigaritis gardineri", "Stenus impolitus", "Stenus rousi", "Cigaritis stewarti", "Cigaritis piersoni", "Symmachia leopardinum", "Xenosaurus phalaroanthereon", "Xenosaurus penai", "Lobesia postica", "Lobesia siamensis", "Symmachia hippea", "Perkinsiodendron macgregorii", "Arctanthemum arcticum", "Lobesia botrana", "Malmidea indica", "Bothrocophias myersi", "Symmachia leena", "Symmachia leena leena", "Symmachia leena harmodius", "Erigeron poliospermus", "Cerrophidion tzotzilorum", "Celestus adercus", "Ranunculus dissectus", "Ranunculus dissectus subsp. sibthorpii", "Xestia carissima", "Xestia mane", "Isabbottia ovalifolia", "Kintokiocolax aggregato-ceranthus", "Erigeron klamathensis", "Erigeron lassenianus", "Erigeron leiomerus", "Erigeron lonchophyllus", "Porthidium hespere", "Myroconger prolixus", "Broughtonia \u00d7 jamaicensis", "Cryptonemia anconensis", "Cryptonemia angustata", "Cryptonemia asiatica", "Cryptonemia baileyi", "Cryptonemia basinervis", "Cryptonemia borealis", "Geophis pyburni", "Cryptonemia caliculata", "Cryptonemia chinchensis", "Cryptonemia coriacea", "Cryptonemia decolorata", "Cryptonemia decumbens", "Cryptonemia delicatula", "Cryptonemia digitata", "Cryptonemia flabellifolia", "Cryptonemia heteronema", "Cryptonemia hibernica", "Cryptonemia kallymenioides", "Cryptonemia limensis", "Cryptonemia lobata", "Cryptonemia longiarticulata", "Cryptonemia natalensis", "Cryptonemia nitophylloides", "Cryptonemia obovata", "Cryptonemia opuntioides", "Cryptonemia papenfussii", "Cryptonemia parva", "Cryptonemia peltata", "Cryptonemia phyllantoides", "Cryptonemia prolifera", "Cryptonemia seminervis", "Cryptonemia semiprocumbens", "Cryptonemia subdichotoma", "Cryptonemia taylorii", "Cryptonemia tenuis", "Cryptonemia tuniformis", "Cryptonemia undulata", "Cryptonemia veleroae", "Cryptonemia wilsonis", "Cryptonemia xinhaiensis", "Cryptonemia yendoi", "Grateloupia acuminata", "Grateloupia acutiuscula", "Grateloupia asiatica", "Grateloupia bassanii", "Grateloupia boaoensis", "Grateloupia carnosa", "Grateloupia catenata", "Grateloupia cerrosiana", "Grateloupia chiangii", "Grateloupia clarionensis", "Grateloupia comorinii", "Grateloupia conferta", "Grateloupia constricta", "Grateloupia corymbcladia", "Grateloupia corymbifera", "Grateloupia crispata", "Grateloupia cuneifolia", "Grateloupia cutleriae", "Grateloupia dactylifera", "Grateloupia dalianensis", "Grateloupia didymecladia", "Grateloupia donghaiensis", "Grateloupia dubia", "Grateloupia fastigiata", "Grateloupia filiformis", "Grateloupia gelatinosa", "Grateloupia guajirae", "Grateloupia haimenensis", "Grateloupia hainanensis", "Grateloupia hancockii", "Grateloupia hawaiiana", "Grateloupia howei", "Grateloupia huanghaiensis", "Grateloupia huangiae", "Grateloupia huertana", "Grateloupia imbricata", "Grateloupia indica", "Grateloupia irregularis", "Grateloupia japonica", "Grateloupia jejuensis", "Grateloupia kroneana", "Grateloupia kurogii", "Grateloupia lanceola", "Grateloupia lancifera", "Grateloupia latissima", "Grateloupia lithophila", "Grateloupia longifolia", "Grateloupia minima", "Grateloupia orientalis", "Grateloupia ovata", "Grateloupia phuquocensis", "Grateloupia porracea", "Grateloupia postelsii", "Grateloupia prolongata", "Grateloupia proteus", "Grateloupia pterocladina", "Grateloupia qingdaoensis", "Grateloupia ramosa", "Grateloupia rojasii", "Grateloupia schizophylla", "Grateloupia scutellata", "Grateloupia senegalensis", "Grateloupia simplex", "Grateloupia somalensis", "Grateloupia sorocarpus", "Grateloupia sparsa", "Grateloupia spathulata", "Grateloupia subpectinata", "Grateloupia subsimplex", "Grateloupia taiwanensis", "Grateloupia tenuis", "Symmachia menetas", "Abronia ramirezi", "Symmachia menetas menetas", "Symmachia menetas eurina", "Abronia gaiophantasma", "Abronia anzuetoi", "Olearia capillaris", "Anolis naufragus", "Celestus legnotus", "Olearia glandulosa", "Lobesia cinerariae", "Olearia pannosa subsp. pannosa", "Castleichthys auritus", "Symmachia phaedra", "Symmachia phaedra phaedra", "Abronia smithi", "Abronia leurolepis", "Celmisia sessiliflora", "Celmisia traversii", "Symmachia nemesis", "Linochilus ochraceus", "Symmachia rita", "Lobesia fetialis", "Symmachia phaedra asclepia", "Olearia rugosa", "Olearia rugosa subsp. rugosa", "Leucosyris arida", "Psittacara frontatus", "Macrocephenchelys brachialis", "Psittacara maugei", "Macrocephenchelys brevirostris", "Symmachia rubina", "Symmachia rubina rubina", "Tantilla ceboruca", "Agelaioides fringillarius", "Symmachia rubina separata", "Symmachia rubrica", "Ceratozona rugosa", "Symmachia sepyra", "Symmachia splendida", "Stenus ponticus", "Catocala katsumii", "Felicia amoena subsp. amoena", "Stenus iniquicollis", "Symmachia stigmosissima", "Catocala naganoi", "Xylomelum pyriforme", "Pyrrocoma radiata", "Lobesia glebifera", "Lobesia hendrickxi", "Stenus osellai", "Stenus abstrusus", "Stenus cilicianus", "Stenus abrasus", "Stenus subditus", "Catocala shirozui", "Ctenomastax kiesenwetteri", "Rugilus arabs", "Catocala naumanni", "Rugilus maltzevi", "Lobesia herculeana", "Ochthephilum hamatum", "Asarum megacalyx", "Neoabbottiella valentinae", "Neorubra decipiens", "Neorubra denticulata", "Neorubra parvolacertoides", "Symmachia triangularis", "Symmachia virgatula", "Symmachia virgatula virgatula", "Symmachia virgatula urichi", "Macrocephenchelys soela", "Lobesia fictana", "Lobesia fuligana", "Karanasa naumanni", "Karanasa pardesi", "Karanasa pseudopamira", "Karanasa pamira biocellata", "Afarsia sieversii albolunulatus", "Karanasa maureri", "Karanasa maureri maureri", "Karanasa maureri iskander", "Tetramolopium filiforme var. haleakalae", "Karanasa leechi", "Eastwoodia elegans", "Cypha longicornis", "Cypha laeviuscula", "Euthamia caroliniana", "Rabigus tenuis", "Rabigus ocaleoides", "Ixiochlamys cuneifolia", "Ixiochlamys filicifolia", "Minuria cunninghamii", "Medranoa palmeri", "Erigeron ramosissimus", "Amphipappus fremontii var. spinosus", "Orybina pseudoflaviplaga", "Pseudacroclita damingshana", "Pseudacroclita mastoidea", "Gabrius anatolicus", "Chrysothamnus viscidiflorus subsp. viscidiflorus", "Gabrius tornus", "Gabrius pravus", "Gutierrezia resinosa", "Pachymenia crassa", "Abronia ornelasi", "Pachymenia cornea", "Pachymenia cuticulosa", "Pachymenia saxicola", "Erigeron laevigatus", "Ponerorchis keiskei", "Abronia salvadorensis", "Staphylococcus condimenti", "Abronia matudai", "Abronia ochoterenai", "Abronia vasconcelosii", "Elachista arcuata", "Urodeta jurateae", "Urodeta pectena", "Osmanthedon domaticola", "Karanasa leechi leechi", "Karanasa leechi alitchura", "Karanasa leechi centralis", "Karanasa leechi erubescens", "Karanasa leechi gregorii", "Karanasa leechi hunza", "Karanasa leechi mihmana", "Karanasa leechi intermedius", "Karanasa eburnea", "Nebulene nebulosa", "Nebulene monocornuta", "Labidiaster annulatus", "Xantholinus marasicus", "Xantholinus grandespinosus", "Vittadinia gracilis", "Scaevola brookeana", "Abronia lythrochila", "Abronia aurita", "Eschenbachia japonica", "Chrysozephyrus laoshanensis", "Abronia mitchelli", "Pachymenia orbicularis", "Abronia reidi", "Ponerorchis cucullata", "Conogethes sahyadriensis", "Pachymenia orbitosa", "Pachymenia ulvoidea", "Ponerorchis cucullata var. cucullata", "Strepsicrates gattii", "Atheta elongatula", "Solidago leiocarpa", "Dilacra luteipes", "Solidago lepida", "Solidago multiradiata var. multiradiata", "Ponerorchis cucullata var. calcicola", "Ponerorchis secundiflora", "Abronia deppii", "Abronia taeniata", "Abronia oaxacae", "Amazona diadema", "Amazona guatemalae", "Nymphidium menalcus", "Amazona tresmariae", "Norrissia setchellii", "Oligota brachati", "Serratia odorifera", "Holobus flavicornis", "Gyrophaena ciliciana", "Pachymenia carnosa", "Pachymenia dichotoma", "Pachymenia laciniata", "Pachymenia lusoria", "Pachymenia prostrata", "Deinopsis erosa", "Caeneressa fangae", "Solidago altissima subsp. altissima", "Solidago arenicola", "Silusa rubra", "Solidago auriculata", "Silusa areolata", "Anomognathus cuspidatus", "Solidago erecta", "Anomognathus tricuspis", "Solidago buckleyi", "Euryusa anatolica", "Synemon arkaroola", "Bolitochara lucida", "Medasina tayulingensis", "Solidago fistulosa", "Abronia mixteca", "Abronia chiszari", "Abronia bogerti", "Abronia fuscolabialis", "Abronia campbelli", "Abronia fimbriata", "Abronia martindelcampoi", "Psittacara labati", "Bruchidius siliquastri", "Solidago patagonica", "Solidago patula subsp. patula", "Solidago petiolaris", "Acalyptris nigrisignum", "Ptilophora nebrodensis", "Ptilophora plumigera", "Solidago glomerata", "Ptilophora variabilis", "Solidago hispida", "Amischa bifoveolata", "Solidago hougtonii", "Dinaraea aequata", "Ectoedemia bulbosa", "Dinaraea angustula", "Ectoedemia cornijuxtata", "Acalyptris solaris", "Solidago latissimifolia", "Enalodroma hepatica", "Acalyptris argentosa", "Pseudacronicta curiosa", "Visiana cyclopsensis", "Visiana minahasensis", "Macromia indica", "Myrmecopora effeminata", "Myrmecopora wunderlei", "Myrmecopora virilis", "Solidago macrophylla", "Cordalia anatolica", "Borboropora myrmecophila", "Gnypeta rubrior", "Dacrila fallax", "Taxicera deplanata", "Solidago gattingeri", "Thorius hankeni", "Chiropterotriton miquihuanus", "Amischa filum", "Amischa forcipata", "Acalyptris trigonijuxtus", "Acalyptris dominicanus", "Solidago plumosa", "Solidago puberula", "Solidago puberula subsp. puberula", "Atheta albomontis", "Atheta soganlica", "Solidago radula", "Acrotona obfuscata", "Acrotona parens", "Ischnoglossa turcica", "Solidago rigida subsp. rigida", "Zoosetha furcillata", "Calodera ligula", "Solidago sciaphila", "Meotica decolor", "Dexiogyia corticina", "Coralliophila erosa", "Pisidium casertanum", "Toromys albiventris", "Leiuromys occasius", "Solidago virgaurea subsp. virgaurea", "Pherosphaera hookeriana", "Oligota anatolica", "Leptomastax orousseti", "Quedius curtidens", "Pattonomys punctatus", "Pattonomys flavidus", "Pattonomys carrikeri", "Solidago sphacelata", "Derocala brachati", "Oxypoda wankai", "Oxypoda disiuncta", "Oxypoda scheerpeltziana", "Solidago stricta", "Solidago stricta subsp. stricta", "Oxypoda fissa", "Oxypoda ahirica", "Oxypoda pontica", "Oxypoda meybohmiana", "Solidago tortifolia", "Oxypoda miricornis", "Aleochara honesta", "Solidago velutina subsp. velutina", "Solidago velutina subsp. californica", "Solidago velutina subsp. sparsiflora", "Dendrobium ramosii", "Solidago villosicarpa", "Monochaetum vulcanicum", "Acalyptris bovicorneus", "Acalyptris martinheringi", "Acalyptris fortis", "Acalyptris hispidus", "Acalyptris novenarius", "Acalyptris lascuevella", "Acalyptris bifidus", "Acalyptris trifidus", "Amarochara wunderlei", "Atheta laevigata", "Acalyptris unicornis", "Acalyptris laxibasis", "Acalyptris dividua", "Acalyptris platygnathos", "Megascops centralis", "Megascops gilesi", "Ptyodactylus rivapadiali", "Sphenomorphus dekkerae", "Namunia myrmecophila", "Symphyotrichum eatonii", "Aleochara haematoptera", "Bledius frisius", "Sphenomorphus sungaicolus", "Stenus maculiger", "Varanus semotus", "Varanus douarrha", "Satyrium persepolis", "Satyrium skrylniki", "Pachymeniopsis lanceolata", "Bothriechis nubestris", "Luisia teres", "Proctoporus kiziriani", "Proctoporus iridescens", "Proctoporus carabaya", "Solidago nemoralis subsp. nemoralis", "Ponerorchis alpestris", "Ponerorchis amplexifolia", "Ponerorchis basifoliata", "Ponerorchis bidupensis", "Ponerorchis bifoliata", "Ponerorchis capitata", "Ponerorchis dolichocentra", "Ponerorchis faberi", "Ponerorchis farreri", "Ponerorchis gonggashanica", "Ponerorchis gracilis", "Ponerorchis kinoshitae", "Ponerorchis lepida", "Ponerorchis monantha", "Ponerorchis papilionacea", "Ponerorchis parceflora", "Ponerorchis physoceras", "Ponerorchis simplex", "Ponerorchis tetraloba", "Solidago odora subsp. odora", "Ponerorchis thailandica", "Ponerorchis tibetica", "Ponerorchis wenshanensis", "Ponerorchis yueana", "Proctoporus lacertus", "Tischeria ulmella", "Anarsia laosana", "Proctoporus machupicchu", "Prunus nipponica var. kurilensis", "Lestes nodalis", "Platylestes platystylus", "Burmagomphus chiangmaiensis", "Anisogomphus yingsaki", "Afroaster laevigatus", "Symphyotrichum lanceolatum subsp. lanceolatum", "Satyrium hazarajatica", "Symphyotrichum lanceolatum var. hesperium", "Pachymeniopsis volvita", "Barsura moxiana", "Pachymeniopsis gargiuloi", "Trifurcula graeca", "Trifurcula macedonica", "Phyllymenia belangeri", "Phyllymenia papenfussii", "Phyllymenia acletoi", "Acroclita liui", "Phyllymenia lancifolia", "Acroclita digitata", "Phyllymenia capensis", "Atractus taphorni", "Mabuya meridensis", "Taeniophallus nebularis", "Quedius coloratus", "Atractus attenuatus", "Atractus gigas", "Pseudoeryx relictualis", "Thecobathra heppneri", "Thecobathra minuta", "Thecobathra pauciguttata", "Thecobathra taiwanensis", "Jamides poliaemus", "Jamides poliaemus poliaemus", "Agelanthus natalitius", "Agelanthus pungu", "Euspondylus paxcorpus", "Polyopes affinis", "Gonatodes astralis", "Polyopes lancifolius", "Polyopes prolifer", "Polyopes tosaensis", "Polyopes tasmanicus", "Mabuya zuliae", "Orosaura nebulosylvestris", "Gonatodes naufragus", "Polyopes constrictus", "Anochetus lanyuensis", "Coniophanes alvarezi", "Polia dysgnorima", "Polia metagnorima", "Polia subviolacea", "Polia ignorata", "Polia kalikotei", "Domene stilicina", "Philonthus quisquiliarius", "Polia culta", "Agelanthus rondensis", "Agelanthus atrocoronatus", "Agelanthus myrsinifolius", "Agelanthus nyasicus", "Agelanthus igneus", "Agelanthus keilii", "Agelanthus kayseri", "Doellingeria infirma", "Rhynchostruthus louisae", "Quedius hellenicus", "Quedius hebes", "Quedius spiculatus", "Quedius carpathius", "Doellingeria umbellata", "Quedius bernhaueri", "Rhynchostruthus percivali", "Alevonota rufotestacea", "Angaria milda", "Alevonota elegantula", "Belgrandiella angelovi", "Alevonota libanotica", "Alevonota flexa", "Alevonota japonica", "Belgrandia mariatheresiae", "Ericameria nauseosa var. graveolens", "Thecobathra acropercna", "Ericameria nauseosa var. mohavensis", "Ericameria nauseosa var. speciosa", "Ericameria cooperi", "Odontonema rubrum", "Ericameria cuneata", "Tetralonioidella fukienensis", "Ericameria cuneata var. spathulata", "Tetralonioidella heinzi", "Ericameria discoidea", "Ericameria obovata", "Ericameria ophitidis", "Synargis regulus", "Ericameria palmeri", "Ericameria paniculata", "Agapetus galloi", "Eurybia sibirica var. subintegerrima", "Eurybia sibirica var. sibirica", "Tregouboviopsis perradialis", "Hydrichthella ocellata", "Artemisia bashkalensis", "Allagopappus canariensis", "Allagopappus viscosissimus", "Eurydiopsis pachya", "Anvillea garcinii", "Eurydiopsis porphyria", "Eurydiopsis pseudohelsdingen", "Anvillea garcinii subsp. garcinii", "Anvillea garcinii subsp. radiata", "Ancyluris aristodorus", "Calcaretropidia delmohardyi", "Drepanicerus cornutus", "Drepanicerus digitus", "Blumea angustifolia", "Busonia curvata", "Synargis sylvarum", "Ericameria parryi", "Ericameria pinifolia", "Ericameria resinosa", "Ericameria suffruticosa", "Prunus nipponica var. alpina", "Agelanthus uhehensis", "Agelanthus validus", "Agelanthus krausei", "Althepus christae", "Leclercera undulatus", "Habropoda christineae", "Leptacinus armeniacus", "GLossosoma rathiel", "GLossosoma lauviah", "Polyopes emarginatus", "Stenistoderus syriacus", "Apsilochorema dellabrunai", "Dicronorhina cavifrons", "Dicronorhina derbyana", "Tinodes stamen", "Dicronorhina johnstoni", "Dicronorhina morettoi", "Dicronorhina micans", "Camptochaeta praexystica", "Camptochaeta subxystica", "Camptochaeta unispina", "Claustropyga postbrevichaeta", "Claustropyga subbrevichaeta", "Claustropyga clavulata", "Claustropyga lobigera", "Claustropyga modica", "Claustropyga stupenda", "Centipeda aotearoana", "Hybos baiyunshanensis", "Hydropsyche polyacantha", "Prionitis acroidalea", "Homoplectra meyi", "Prionitis delicatula", "Luzonacera chang", "Luzonacera duan", "Ericameria fasciculata", "Qiongocera hongjunensis", "Ericameria greenei", "Relictocera qiyi", "Sinoderces exilis", "Ericameria laricifolia", "Sinoderces nawanensis", "Thaiderces jian", "Thaiderces vulgaris", "Ericameria linearifolia", "Ericameria nana", "Tetralonioidella himalayana", "Tetralonioidella hoozana", "Tetralonioidella pendleburyi", "Tetralonioidella damenglongensis", "Ericameria ericoides", "Synargis palaeste", "Pavonia sepioides", "Tetralonioidella dinghuensis", "Tetralonioidella emeiensis", "Tetralonioidella guomenensis", "Tetralonioidella leigongensis", "Tetralonioidella longqiensis", "Tetralonioidella maniwengensis", "Tetralonioidella tianmuensis", "Tetralonioidella wuae", "Quedius endogeus", "Psiloderces albostictus", "Cheumatopsyche faniel", "Xantholinus kirschenblati", "Cheumatopsyche jeliel", "Prionitis sternbergii", "Hydropsyche eyael", "Hydropsyche suriel", "Prionitis abbreviata", "Neohirasea guangdongensis acutus", "Neotrionymus chinensis", "Xantholinus araxis", "Xantholinus reitteri", "Xantholinus motschulskyi", "Prenolepis angularis", "Psiloderces althepoides", "Psiloderces coronatus", "Psiloderces enigmatus", "Psiloderces fredstonei", "Psiloderces howarthi", "Psiloderces kalimantan", "Psiloderces leclerci", "Psiloderces leucopygius", "Psiloderces limosa", "Psiloderces penaeorum", "Psiloderces pulcher", "Psiloderces septentrionalis", "Psiloderces suthepensis", "Psiloderces tesselatus", "Psiloderces torajanus", "Psiloderces vallicola", "Psiloderces mulcatus", "Psiloderces elasticus", "Psiloderces egeria", "Psiloderces incomptus", "Psiloderces ligula", "Psiloderces longipalpis", "Psiloderces nasicornis", "Polyopes hakalauensis", "Polyopes intricatus", "Xantholinus corallinus", "Polyopes polyideoides", "Polyopes tenuis", "Chimarra giacomazzoi", "Xantholinus khnzoriani", "Dolophilodes chomiel", "Dolophilodes vadriel", "Prionitis ligulata", "Psychomyia pensottii", "Xantholinus crassicornis", "Prionitis australis", "Tinodes asoriel", "Adelophycus corneus", "Ypthima tabella", "Prenolepis angulinoda", "Prenolepis cyclopia", "Prenolepis quinquedenta", "Prenolepis striata", "Halymenia floresii", "Halymenia elongata", "Halymenia dilatata", "Halymenia duchassaingii", "Ponerorchis brevicalcarata", "Homoplectra tenebricosa", "Prionitis mexicana", "Prionitis subdichotoma", "Prionitis albemarlensis", "Micrasema haziel", "Prionitis galapagensis", "Prionitis hancockii", "Goera kyselaki", "Prionitis filiformis", "Prionitis linearis", "Lepidostoma maruth", "Lepidostoma takiel", "Prionitis lanceolata", "Ponerorchis camptoceras", "Ponerorchis compacta", "Ponerorchis crenulata", "Ponerorchis exilis", "Ponerorchis fujisanensis", "Ponerorchis kiraishiensis", "Ponerorchis limprichtii", "Hydrichthella epigorgia", "Euphysora vacuola", "Helgicirrha sinuatus", "Marisora berengerae", "Prunus apetala var. tetsuyae", "Chresmoda chikuni", "Symphyotrichum chapmanii", "Cretaconiopteryx grandis", "Symphyotrichum pygmaeum", "Eurybia radulina", "Gauropterus semenovi", "Gyrohypnus wagneri", "Chromolaena tacotana", "Eurybia aberrans", "Triniteurybia aberrans", "Gyrohypnus vomer", "Leptacinus nigerrimus", "Dichopygina praeaculeata", "Camptochaeta abnormalis", "Camptochaeta camptochaetosa", "Camptochaeta grimaldii", "Camptochaeta multispina", "Itonoa marginifera", "Tsengia pulchra", "Ageratum maritimum", "Xantholinus creticus", "Vulda kazachstanica", "Conoclinium betonicifolium", "Conoclinium dissectum", "Espeletia grandiflora subsp. boyacana", "Scelianoma elydimorpha", "Nemastoma dichotomum", "Nemastoma coliforme", "Nemastoma dumontioides", "Nemastoma laciniatum", "Tsengia nakamurae", "Tsengia bairdii", "Tsengia abbottiana", "Tsengia comosa", "Tsengia feredayae", "Tsengia laingii", "Tsengia lanceolata", "Tsengia lancifolia", "Nemastoma multifidum", "Nemastoma canariense", "Cercopeus alexi", "Cercopeus cornelli", "Cercopeus femoratus", "Cercopeus paulus", "Cercopeus skelleyi", "Cercopeus tibialis", "Conocliniopsis prasiifolia", "Synargis galena", "Tamaulipa azurea", "Synargis anapis", "Apodrosus adustus", "Apodrosus andersoni", "Apodrosus artus", "Apodrosus earinusparsus", "Apodrosus empherefasciatus", "Apodrosus epipolevatus", "Apodrosus eximius", "Apodrosus mammuthus", "Apodrosus quisqueyanus", "Apodrosus stenoculus", "Apodrosus viridium", "Nemastoma fernandezianum", "Nemastoma foliaceum", "Nemastoma palmatum", "Heteromys australis pacificus", "Stevia multiaristata", "Stevia ovata", "Stevia salicifolia", "Stevia satureifolia", "Halymenia durvillei", "Halymenia formosa", "Halymenia harveyana", "Halymenia pseudofloresii", "Halymenia johorensis", "Halymenia abyssicola", "Halymenia actinophysa", "Halymenia angusta", "Halymenia arachnophylloidea", "Halymenia asymmetrica", "Halymenia bifida", "Halymenia botryoides", "Halymenia brasiliana", "Halymenia californica", "Halymenia cearensis", "Halymenia cerratei", "Halymenia chiangiana", "Halymenia clathrata", "Halymenia claviformis", "Halymenia corinaldii", "Halymenia cromwellii", "Halymenia curvicornis", "Halymenia dubia", "Prionitis nodifera", "Limnocentropus florianorum", "Prionitis obtusa", "Prionitis vietnamensis", "Prionitis wentii", "Nothopsyche saldaitisi", "Pseudostenophylax yangae", "Pseudostenophylax suni", "Pseudostenophylax befui", "Pseudostenophylax itoae", "Pseudostenophylax kuharai", "Pseudostenophylax tanidai", "Pseudostenophylax tohokuensis", "Spongophloea tissotii", "Pseudostenophylax gulmargensis", "Spongophloea procumbens", "Pseudostenophylax himachalica", "Spongophloea treubii", "Thamnoclonium dichotomum", "Thamnoclonium lemannianum", "Barsine rubricostata", "Barsine roseororatus", "Barsine rosistriata", "Yonagunia tenuifolia", "Yonagunia formosana", "Neohirasea biserrata", "Yonagunia zollingeri", "Neohirasea bispina", "Neohirasea bispina bispina", "Neohirasea bispina babeensis", "Neohirasea catbaensis", "Neohirasea coomani", "Neohirasea hilli", "Neohirasea hilli hilli", "Neohirasea hilli nahangensis", "Neohirasea hilli vietnamensis", "Yonagunia atimo-vatae", "Neohirasea maerens", "Yonagunia ligulata", "Neohirasea maerens maerens", "Neohirasea maerens pseudomaerens", "Neohirasea guangdongensis", "Neohirasea guangdongensis guangdongensis", "Zymurgia chondriopsidea", "Barsine callorufa", "Themone pais trivittata", "Syrmatia astraea", "Barsine zebrina", "Barsine subzebrina", "Syrmatia nyx", "Syrmatia lamia", "Syrmatia aethiops", "Barsine obsoleta", "Barsine pluma", "Barsine bucseki", "Barsine navneetsinghi", "Espeletia grandiflora var. grandiflora", "Espeletia grandiflora var. attenuata", "Monographis dongnaiensis", "Monographis queenslandicus", "Barsine lucibilis", "Barsine fossi", "Themone pais", "Themone pais pais", "Paederus furcillatus", "Nemastoma proliferum", "Melochia nodiflora", "Gloeocantharellus pallidus", "Espeletia grandiflora subsp. subnivalis", "Espeletia grandiflora subsp. grandiflora", "Stevia lucida", "Prunus \u00d7 nudiflora", "Areotetes albiferus", "Areotetes carinuliferus", "Areotetes striatiferus", "Lusius malfoyi", "Symphya microcephala", "Parasymphya dentata", "Gasteruption lacoulee", "Gasteruption maquis", "Gasteruption sarramea", "Apodesmia bruniclypealis", "Apodesmia melliclypealis", "Polyrhachis pirata", "Anarsia huensis", "Anarsia pursatica", "Anarsia degeneralis", "Anarsia tortuosella", "Ponerorchis luteola", "Ponerorchis oblonga", "Anarsia taurella", "Ponerorchis omeishanica", "Ponerorchis ovata", "Anarsia subfulvescens", "Anarsia stylota", "Anarsia spicata", "Dinapsis albicoxa", "Dinapsis hirtipes", "Dinapsis nubilus", "Dinapsis oculohirta", "Dinapsis seyrigi", "Paederus nigricrus", "Halymenia echinophysa", "Halymenia fasciata", "Halymenia flabellata", "Halymenia floridana", "Halymenia foliacea", "Halymenia gardneri", "Halymenia hancockii", "Halymenia hawaiiana", "Halymenia hollenbergii", "Halymenia hvarii", "Halymenia ignifera", "Halymenia imbricata", "Halymenia integra", "Halymenia jelinekii", "Halymenia jensenii", "Halymenia kraftii", "Halymenia kuetzingii", "Halymenia lacerata", "Halymenia latifolia", "Halymenia lubrica", "Halymenia maculata", "Halymenia malaysiana", "Halymenia megaspora", "Halymenia microcarpa", "Halymenia mirabilis", "Halymenia muelleri", "Halymenia naegelii", "Halymenia nukuhivensis", "Halymenia pinnatifida", "Halymenia plana", "Halymenia platycarpa", "Halymenia pluriloba", "Halymenia polyclada", "Halymenia porphyraeformis", "Halymenia porphyroides", "Halymenia pusilla", "Halymenia refugiensis", "Halymenia rhodymenioides", "Halymenia rosea", "Halymenia santamariae", "Halymenia schizymenioides", "Halymenia silviae", "Halymenia stipitata", "Halymenia tenera", "Halymenia tenuispina", "Halymenia tondoana", "Halymenia utriana", "Halymenia venusta", "Halymenia vinacea", "Ageratina gynoxoides", "Ponerorchis pathakiana", "Ponerorchis puberula", "Anarsia nigrimacula", "Themone pais carveri", "Ponerorchis pugeensis", "Ponerorchis renzii", "Ponerorchis sichuanica", "Ponerorchis taiwanensis", "Ponerorchis takasago-montana", "Biosteres pavititus", "Coleopioides diversinotum", "Coleopioides postpectalis", "Diachasmimorpha longicaudata", "Euderus set", "Caprona ransonnetii", "Akonesis vittatis", "Stuartina muelleri", "Golofa minutus", "Golofa aequatorius", "Golofa testudinarius", "Golofa claviger", "Antennosus impressocollis", "Crusbatus spinosus", "Geranium holosericeum", "Cassinia vauvilliersii", "Banara guianensis", "Akonesis pictipennis", "Titanochelon eurysternum", "Squalodon whitmorei", "Podolepis gracilis", "Sphaerichthys selatanensis", "Sphaerichthys vaillanti", "Trichoptilium incisum", "Cyrtodactylus sumuroi", "Cyrtodactylus gubaot", "Diutius gallerucoides", "Diutius pallidus", "Eriogaster czipkai", "Charaxes mutinondoensis", "Sphaerichthys acrostoma", "Xanthium spinosum subsp. spinosum", "Ponerorchis tominagae", "Ponerorchis trifurcata", "Themone pais eutacta", "Stachytarpheta orubica", "Themone pais storthynga", "Themone pais paidion", "Themone pais sublimata", "Themone pais bambino", "Bulbophyllum penicillium", "Myrmoteras glabrum", "Myrmoteras mcarthuri", "Camponotus terebrans", "Themone pulcherrima", "Reithrodontomys garichensis", "Themone poecila", "Filago lutescens subsp. lutescens", "Pentatrichia kuntzei", "Tibouchina gracilis", "Eobalaenoptera harrisoni", "Otopappus verbesinoides", "Leptobium chinense", "Udea donzelalis", "Udea altaica", "Udea juldusalis", "Udea plumbalis", "Udea rhododendronalis", "Brachymeles suluensis", "Brachymeles vermis", "Dendrocerus scutellaris", "Coelogyne celebensis", "Cyrtodactylus mamanwa", "Lepidodactylus aureolineatus", "Emoia ruficauda", "Pinoyscincus coxi", "Pinoyscincus mindanensis", "Charaxes mtuiae", "Pochytoides perezi", "Pochytoides poissoni", "Helianthus \u00d7 laetiflorus", "Entomobrya leviseta", "Ramphotyphlops suluensis", "Peristylus affinis", "Peristylus aliformis", "Tytthoscincus biparietalis", "Peristylus alpinipaludosus", "Luperosaurus joloensis", "Hemiphyllodactylus insularis", "Pochytoides monticola", "Pochytoides obstipa", "Pochytoides patellaris", "Pochytoides securis", "Pochytoides spiniger", "Udea carniolica", "Phtheochroa frigidana", "Protaetia cuprea ignicollis", "Phtheochroa schawerdae", "Phtheochroa alpinana", "Phtheochroa apenninana", "Brachymeles elerae", "Phtheochroa cantabriana", "Pochytoides lamottei", "Malayotyphlops canlaonensis", "Insulasaurus arborens", "Lepidodactylus christiani", "Lipinia auriculata", "Entomobrya polychaeta", "Entomobrya dingi", "Entomobrya kasprowiensis", "Entomobrya emiliae", "Entomobrya flavovirens", "Entomobrya bahiana", "Leptobium illyricum", "Lepidocyrtus sotoi", "Entomobrya citrensis", "Entomobrya jubata", "Nothobranchius sainthousei", "Malayotyphlops manilae", "Malayotyphlops luzonensis", "Gekko mindorensis", "Trimeresurus mcgregori", "Pinoyscincus llanosi", "Velleia lyrata", "Prunus \u00d7 subhirtella 'Autumnalis'", "Leptobium syriacum", "Leptobium wunderlei", "Leptobium longitibiale", "Leptobium assingi", "Camafroneta oku", "Afroneta flavescens", "Afroneta sarahae", "Entomobrya dorsolineata", "Ismarus brevis", "Ismarus distinctus", "Asarum yoshikawae", "Ismarus excavatus", "Ismarus similis", "Ismarus tripotini", "Peristylus banfieldii", "Anacharis belizini", "Anacharis fergussoni", "Anacharis norvegica", "Entomobrya neotenica", "Entomobrya unifasciata", "Entomobrya manuhoko", "Leptobium densiventre", "Coecobrya aitorererere", "Cyphoderus manuneru", "Pseudosinella hahoteana", "Seira manukio", "Entomobrya saxoniensis", "Entomobrya dungeri", "Entomobrya germanica", "Entomobrya schulzi", "Leptobium venustum", "Leptobium creticum", "Leptobium drusiacum", "Brachymeles dalawangdaliri", "Pseudogekko atiorum", "Brachymeles ligtas", "Brachymeles ilocandia", "Pseudogekko isapa", "Brachymeles isangdaliri", "Brachymeles mapalanggaon", "Pseudogekko chavacano", "Pseudogekko ditoy", "Pseudogekko pungkaypinit", "Pseudogekko smaragdinus", "Pseudogekko brevipes", "Prunus itosakura", "Anacharis antennata", "Anacharis eucharoides", "Anacharis immunis", "Anacharis parapsidalis", "Aegilips flavidicornis", "Leptobium carinatum", "Leptobium obesum", "Leptobium korgei", "Leptobium convexicolle", "Leptobium pominii", "Callochiton stefaniae", "Tristerix aphyllus", "Halmaheramys wallacei", "Leptobium sparsum", "Leptobium turcmenicum", "Bracon elevatus", "Bracon laticanaliculatus", "Bracon maculaverticalis", "Bracon rhyacioniainus", "Bracon obsoletus", "Bracon acunens", "Bracon bitumor", "Aleiodes subcompressus", "Chelonus moczari", "Blacus pentagonus", "Peristylus balaenolabium", "Peristylus balakrishnanii", "Lepidodactylus herrei", "Cyclocorus nuchalis", "Curio citriformis", "Leptobium nigricolle", "Leptobium nigricolle ruficolle", "Eutropis bontocensis", "Senecio squalidus subsp. squalidus", "Rubus urticifolius", "Dorsomitus neavei", "Dorsomitus tjederi", "Chumma bicolor", "Chumma foliata", "Chumma interfluvialis", "Chumma lesotho", "Chumma striata", "Chumma subridens", "Chumma tsitsikamma", "Calcigorgia beringi", "Calcigorgia japonica", "Peristylus biermannianus", "Peristylus bismarckiensis", "Peristylus brachypyhllus", "Peristylus brassii", "Brachymeles boulengeri", "Brachymeles vindumi", "Brachymeles tungaoi", "Brachymeles kadwa", "Titanochelon leberonensis", "Calcigorgia spiculifera", "Titanochelon ginsburgi", "Lernanthropinus maajii", "Lernanthropinus holiulini", "Lernanthropinus carangoides", "Lernanthropinus labracoglossae", "Lernanthropinus nematistii", "Senecio lugens", "Pseudotinea caprina", "Jacobaea lyratifolia", "Senecio macrophyllus", "Prunus \u00d7 sacra", "Senecio mattfeldianus", "Caputia tomentosa", "Rhabdophis barbouri", "Tristerix longibracteatus", "Parvoscincus beyeri", "Gekko porosus", "Chiloglanis dialloi", "Senecio grandiflorus", "Curio talinoides var. mandraliscae", "Leptobium debilipenne", "Leptobium paivae", "Leptobium juani", "Leptobium subglaciale", "Senecio squalidus subsp. rupestris", "Predaea masonii", "Predaea aurora", "Predaea tumescens", "Predaea huismanii", "Predaea incraspeda", "Predaea laciniosa", "Senecio lopezii", "Predaea weldii", "Predaea borealis", "Odontonema fuchsioides", "Brachymeles miriamae", "Ptilotus daphne", "Schizymenia obliqua", "Schizymenia pacifica", "Schizymenia tenuis", "Platoma cyclocolpum", "Senecio oerstedianus", "Platoma ardreanum", "Senecio othonniflorus", "Platoma confusum", "Senecio ovatus subsp. ovatus", "Senecio sarracenicus", "Aequipecten tehuelchus", "Leptobium schuelkei", "Leptobium tauricum", "Brachymeles lukbani", "Senecio neowebsteri", "Senecio websteri", "Senecio nevadensis", "Senecio nevadensis subsp. nevadensis", "Senecio nevadensis subsp. malacitanus", "Senecio nigrescens", "Schizymenia dubyi", "Schizymenia apoda", "Brachymeles muntingkamay", "Schizymenia binderi", "Schizymenia novae-zelandiae", "Senecio niveoaureus", "Schizymenia johnstonii", "Schizymenia violacea", "Kleinia abyssinica var. hildebrandtii", "Schizymenia ecuadoreana", "Brachymeles cobos", "Brachymeles bicolandia", "Brachymeles brevidactylus", "Brachymeles libayani", "Brachymeles paeforum", "Senecio odoratus", "Brachymeles bonitae", "Titanophora marianensis", "Titanophora palmata", "Titanophora submarina", "Wetherbeella australica", "Wetherbeella foliosa", "Senecio phelleus", "Chevaliericrusta polynesiae", "Erechtites picridioides", "Cruoriella de-zwaanii", "Cruoriella mexicana", "Ctenoceratoda longicornis", "Cruoriella fissurata", "Cruoriella elegans", "Cruoriopsis danica", "Cruoriopsis ensisae", "Cruoriopsis hauckii", "Cruoriopsis reinboldii", "Predaea ollivieri", "Predaea pusilla", "Predaea rosa", "Senecio murorum", "Predaea subpeltata", "Senecio neelgherryanus", "Senecio nemorensis subsp. nemorensis", "Predaea tenuis", "Prunus jamasakura", "Phaenochitonia cingulus", "Phaenochitonia fuliginea", "Brachymeles makusog", "Phaenochitonia pyrsodes", "Leptobium exiguum", "Leptobium thryptisense", "Leptobium doderoi", "Leptobium colasi", "Senecio oxyphyllus", "Platoma fanii", "Platoma heteromorphum", "Platoma incrassatum", "Platoma izunosimense", "Platoma novae-caledoniae", "Senecio oxyriifolius subsp. oxyriifolius", "Platoma novae-zelandia", "Leptobium ponticum", "Leptobium bicarinatum", "Platoma gelatinosum", "Leptobium artum", "Senecio pattersonensis", "Leptobium nigricolle continentale", "Titanophora pikeana", "Leptobium gridellii", "Titanophora weberae", "Titanophora mauritiana", "Titanophora calcarea", "Titanophora incrustans", "Xenophysa paradoxa", "Colotis aurora", "Xenophysa agnostica", "Xenophysa naumanni", "Xenophysa sharhu", "Xenophysa cacumena", "Xenophysa cacumena cacumena", "Xenophysa cacumena afghanorea", "Culcitium candidum", "Caputia medley-woodii", "Senecio meuselii", "Senecio microbasis", "Senecio modestus", "Senecio mohavensis", "Leptobium arabicum", "Leptobium iranicum", "Leptobium rubripenne", "Leptobium dimidiatum", "Curio muirii", "Senecio murinus", "Pseudotinea eiselei", "Pseudotinea gagarini", "Pseudotinea hemis", "Predaea bisporifera", "Predaea tokidae", "Predaea kuroshioensis", "Predaea feldmannii", "Predaea goffiana", "Predaea japonica", "Predaea kraftiana", "Senecio polygaloides", "Senecio polyodon", "Xenophysa argyrogramma", "Erechtites prenanthoides", "Jacobaea pseudoarnica", "Senecio maritimus", "Leptobium brevicolle", "Leptobium pseudosiculum", "Leptobium fagniezi", "Leptobium mouzaiense", "Metapeyssonnelia mexicana", "Leptobium mutabile", "Leptobium geminum", "Metapeyssonnelia milleporoides", "Leptobium yemenicum", "Leptobium semirufum", "Leptobium korbi", "Leptobium tronqueti", "Peyssonnelia squamaria", "Peyssonnelia atropurpurea", "Peyssonnelia dubyi", "Peyssonnelia involvens", "Peyssonnelia armorica", "Ctenoceratoda juliannae", "Ctenoceratoda argyrea", "Ctenoceratoda oxyptera", "Ctenoceratoda aksakal", "Ctenoceratoda anthracina", "Ctenoceratoda lukhtanovi", "Ctenoceratoda naryna", "Incendia crenata", "Incendia basilii", "Ctenoceratoda peregovitsi", "Ctenoceratoda psychrogena", "Incendia cryptotricha", "Ctenoceratoda transalaica", "Incendia glabra", "Incendia regularis", "Incendia undulata", "Ctenoceratoda brassicina", "Ctenoceratoda contempta", "Ctenoceratoda graeseri", "Ctenoceratoda khorgossi", "Ctenoceratoda gandhara", "Metapeyssonnelia feldmannii", "Ctenoceratoda lupa", "Metapeyssonnelia corallepida", "Ctenoceratoda nefasta", "Ctenoceratoda leucostigma", "Curio radicans", "Brachyglottis revoluta", "Saturnia antkozlovi", "Senecio roseiflorus", "Brachymeles wrighti", "Brachymeles pathfinderi", "Saurauia aromatica", "Eutropis englei", "Gekko palawanensis", "Insulasaurus wrighti", "Insulasaurus traanorum", "Cyrtodactylus spinosus", "Parvoscincus jimmymcguirei", "Parvoscincus arvindiesmosi", "Parvoscincus agtorum", "Senecio pinnatifolius", "Parvoscincus abstrusus", "Parvoscincus banahaoensis", "Parvoscincus palaliensis", "Parvoscincus aurorus", "Parvoscincus tikbalangi", "Parvoscincus manananggalae", "Parvoscincus duwendorum", "Culcitium serratifolium", "Leptobium graecum", "Leptobium melanocephalum", "Senecio sphaerocephalus", "Leptobium nigricolle canariense", "Hasteola suaveolens", "Leptobium gomerense", "Senecio subdiscoideus", "Castilleja integrifolia", "Curio talinoides", "Senecio taraxacoides", "Parnassius apollo alpherakyi", "Senecio scopolii", "Luperosaurus gulat", "Parvoscincus hadros", "Parvoscincus boyingi", "Parvoscincus igorotorum", "Leptobium eppelsheimi", "Senecio pyrenaicus subsp. pyrenaicus", "Parvoscincus laterimaculatus", "Leptobium hauseri", "Leptobium babatagense", "Leptobium khnzoriani", "Erechtites quadridentatus", "Lordhowea velleioides", "Senecio venosus", "Parnassius mnemosyne lysandra", "Parnassius mnemosyne irena", "Senecio viscosissimus", "Senecio vulgaris subsp. vulgaris", "Lathrobium kongmaicum", "Lathrobium latilobatum", "Lathrobium paulitortum", "Lathrobium piraticum", "Eugoa formosicola", "Lobrathium multipunctum", "Eugoa arguta", "Eugoa vasta", "Eugoa latera", "Eugoa farisi", "Eugoa africana", "Eugoa costiplaga", "Eugoa gemina", "Machaya aenigmatica", "Eugoa tropicalis", "Parnassius apollo adonais", "Parnassius apollo montebaldensis", "Parnassius apollo rosenius", "Parnassius apollo panon", "Parnassius apollo agyllus", "Monticalia guadalupe subsp. caucana", "Parnassius apollo alemanicus", "Senecio scopolii subsp. scopolii", "Senecio scopolii subsp. floccosus", "Senecio thamathuensis", "Senecio thapsoides", "Senecio thapsoides subsp. visianianus", "Parnassius apollo chetus", "Senecio thapsoides subsp. thapsoides", "Curio archeri", "Parnassius apollo triumphator", "Parnassius apollo leovigildus", "Parnassius apollo cominius", "Leptobium bozdagense", "Parnassius apollo maurus", "Phaenochitonia ignipicta", "Phaenochitonia gallardi", "Phaenochitonia pseudodebilis", "Phaenochitonia tale", "Sanguirana mearnsi", "Tytthoscincus panchorensis", "Tytthoscincus temmincki", "Xenophysa monastica", "Senecio psilocarpus", "Leptobium punctigerum", "Senecio pulcher", "Leptobium festae", "Leptobium silvestrii", "Senecio purpureus", "Leptobium unciferum", "Leptobium zeravshanicum", "Leptobium subarisi", "Leptobium pullum", "Xenophysa xenogramma", "Xenophysa boursini", "Xenophysa vargai", "Xenophysa poecilogramma", "Xenophysa huberi", "Xenophysa huberi huberi", "Arcytophyllum nitidum", "Xenophysa huberi persica", "Xenophysa junctimacula", "Xenophysa pseudopoecila", "Parvoscincus sisoni", "Archaeotychia quiris", "Archaeotychia semicuprea", "Archaeotychia albiciliata", "Lyropteryx apollonia", "Lyropteryx apollonia apollonia", "Archaeotychia khoisanorum", "Archaeotychia dicksoni", "Archaeotychia krooni", "Archaeotychia dentata", "Lyropteryx apollonia diana", "Lyropteryx apollonia sparsa", "Lyropteryx diadocis", "Lyropteryx terpsichore", "Lyropteryx terpsichore terpsichore", "Senecio tripinnatifidus", "Parnassius apollo omotimoius", "Senecio oxyriifolius subsp. tropaeolifolius", "Parnassius apollo amphityon", "Senecio tweediei", "Parnassius apollo hermiston", "Leptobium castroi", "Leptobium anlasi", "Leptobium vitalyi", "Parnassius apollo lioranus", "Parnassius apollo bajuvaricus", "Parnassius apollo ancile", "Parnassius apollo adzharensis", "Kohleria tubiflora", "Tytthoscincus batupanggah", "Tytthoscincus leproauricularis", "Parnassius apollo manillius", "Parnassius apollo artonius", "Leptobium shavrini", "Leptobium ilgazicum", "Leptobium yagmuri", "Senecio umbrosus", "Senecio vagus", "Senecio vagus var. vagus", "Coleophora eupreta eupreta", "Coleophora eupreta betica", "Nothobrachodes infanda", "Cornufer citrinospilus", "Cornufer custos", "Cyllopsis tomemmeli", "Lyropteryx terpsichore zygaena", "Kaloula latidisca", "Atractoceros xanthoprocta", "Nigilgia megabella", "Nigilgia agassizi", "Lyropteryx lyra", "Nigilgia scoblei", "Cornufer hedigeri", "Lobrathium stimulans", "Lathrobium involutum", "Brachyglottis rotundifolia", "Lathrobium alishanum", "Lathrobium anmaicum", "Lathrobium utriculatum", "Lathrobium extraculum", "Lathrobium follitum", "Lathrobium houhuanicum", "Lathrobium nenkaoicum", "Brachyglottis sciadophila", "Lathrobium tarokoense", "Lathrobium alesi", "Lathrobium shaolaiense", "Bucculatrix centaureae", "Bucculatrix andalusica", "Werneria solivifolia", "Werneria spathulata", "Xenophyllum digitatum", "Xenophyllum humile", "Xenophyllum incisum", "Xenophyllum incisum var. pubescens", "Ruellia macrophylla var. puberula", "Platymantis quezoni", "Ruellia lutea", "Machaeropterus eckelberryi", "Ruellia macrophylla var. macrophylla", "Hypericum juniperinum", "Blennosperma nanum", "Bucculatrix endospiralis", "Bucculatrix pectinella", "Bucculatrix iranica", "Bucculatrix anthemidella", "Lobrathium uncinatum", "Bucculatrix amara", "Bucculatrix agilis", "Bucculatrix anticolona", "Urostemon kirkii", "Bucculatrix damarana", "Urostemon kirkii var. angustior", "Bucculatrix daures", "Bucculatrix eugenmaraisi", "Brachyglottis lagopus", "Bucculatrix hobohmi", "Bucculatrix kirkspriggsi", "Bucculatrix lutaria", "Lobrathium ancoriferum", "Lobrathium biuncinatum", "Luperosaurus angliit", "Nigilgia mochlophanes", "Lobrathium sinuatum", "Lobrathium kleebergi", "Lobrathium bispinosum", "Nigilgia ruwenzoriensis", "Nigilgia pseliota", "Lyropteryx lyra lyra", "Lyropteryx lyra cleadas", "Senecio wootonii", "Nigilgia albitogata", "Nigilgia arcana", "Nigilgia crocea", "Pseudocossus mineti", "Pseudocossus olsoufieffae", "Pseudocossus viettei", "Pseudocossus pljustchi", "Werneria caespitosa", "Pseudocossus boisduvalii", "Pseudocossus uliginosus", "Werneria heteroloba", "Bucculatrix extensa", "Bucculatrix hackeri", "Bucculatrix jiblahensis", "Bucculatrix makabana", "Bucculatrix nigrovalvata", "Bucculatrix sagax", "Bucculatrix sanaaensis", "Bucculatrix yemenitica", "Malachra rudis", "Haastia recurva", "Haastia recurva var. wallii", "Brachyglottis bidwillii", "Lobrathium ablectum", "Lobrathium anatinum", "Plusiocampa baetica", "Lobrathium demptum", "Plusiocampa alhamae", "Plusiocampa gadorensis", "Lobrathium diaoluoense", "Lobrathium dufui", "Plusiocampa lagari", "Brachyglottis hectori", "Lobrathium lirunyui", "Lobrathium pengi", "Lobrathium quyuani", "Lobrathium spathulatum", "Lobrathium tortuosum", "Cremanthodium arnicoides", "Platydomene sinuosa", "Cremanthodium pinnatifidum", "Lobrathium nigripenne", "Lobrathium sibynium", "Lobrathium bilobatum", "Lobrathium extensum", "Lobrathium bipeniculatum", "Lobrathium penicillatum", "Lobrathium pedes", "Lobrathium sororium", "Lobrathium duplehamatum", "Lobrathium smetanai", "Lobrathium furcillatum", "Lobrathium cornutissimum", "Lobrathium bisagittatum", "Lobrathium digitatum", "Lobrathium bidigitatum", "Lobrathium spoliatum", "Lobrathium kuanicum", "Lobrathium coalitum", "Lobrathium taiwanense", "Bucculatrix serratella", "Eriphyla argentina", "Cornufer exedrus", "Parvoscincus tagapayo", "Creseis virgula", "Coleophora meridiogallica", "Dolichorrhiza persica", "Ligularia przewalskii", "Gekko crombota", "Luperosaurus kubli", "Luperosaurus corfieldi", "Ligularia japonica", "Acutotyphlops banaorum", "Ptychozoon trinotaterra", "Bucculatrix kogii", "Bucculatrix muraseae", "Bucculatrix tsurubamella", "Bucculatrix formosa", "Gynoxys baccharoides", "Gynoxys tabaconasensis", "Homogyne alpina", "Homogyne alpina subsp. alpina", "Phyllonorycter macedonica", "Peyssonnelia heteromorpha", "Polystrata dura", "Phyllonorycter klimeschiella", "Polystrata fosliei", "Polystrata alba", "Polystrata compacta", "Pulvinia epiphytica", "Ramicrusta nanhaiensis", "Neopotamia calogona", "Neopotamia cryptocosma", "Neopotamia leucotoma", "Neopotamia tornocroca", "Neopotamia cathemacta", "Neopotamia armatana", "Paralepas hygrosomi", "Corticivora clarki", "Corticivora chica", "Corticivora parva", "Ligularia amplexicaulis", "Eumarozia borbae", "Ligularia calthifolia", "Tsinilla diversa", "Hedya pocadia", "Hedya heptera", "Hedya alagoasia", "Hedya baezae", "Ligularia dentata subsp. dentata", "Ligularia duciformis", "Neopotamia niveicollis", "Neopotamia angulata", "Neopotamia formosa", "Neopotamia punctata", "Neopotamia siamensis", "Neopotamia rubra", "Ramicrusta appressa", "Ramicrusta aranea", "Ramicrusta australica", "Ramicrusta lateralis", "Ramicrusta trichaurea", "Ramicrusta calcea", "Ramicrusta bonairensis", "Phyllonorycter kusdasi", "Quebradnotia caracae", "Quebradnotia maestrae", "Laculataria longiloba", "Laculataria figurata", "Laculataria percosa", "Ramicrusta monensis", "Latortona guaramiranga", "Ramicrusta textilis", "Gretchena argentigriseola", "Riquetophycus polypus", "Gretchena bolliana", "Gretchena concubitana", "Gretchena delicatana", "Gretchena dulciana", "Gretchena concitatricana", "Rhyacionia lathrea", "Crocidosema brunna", "Chimoptesis ramulifera", "Pelochrista crassocia", "Eucosma sinus", "Sonderophycus capensis", "Epiblema elensino", "Epiblema ayalae", "Nazeris biapicalis", "Nazeris hebes", "Homogyne discolor", "Pseudexentera translucens", "Nazeris trapezilobus", "Homogyne sylvestris", "Sonderophycus coriaceus", "Pollexinia costaricae", "Corticivora obispo", "Neosclerus anguliceps", "Neosclerus concavus", "Neosclerus vietnamensis", "Squamaria vulgaris", "Chinecallicerus pinnatus", "Senecio solandri", "Paepalanthus alpinus", "Caputia scaposa", "Malayotyphlops andyi", "Malayotyphlops denrorum", "Malayotyphlops ruber", "Alchemilla killipii", "Senecio scorzonella", "Senecio seminivea", "Kleinia semperviva", "Ligularia sibirica subsp. sibirica", "Ligularia stenocephala", "Ligularia wilsoniana", "Coleophora papalotontli", "Bucquetia glutinosa", "Coleophora powelli", "Coleophora saltoella", "Coleophora tehuacanella", "Coleophora coahuila", "Coleophora popoloca", "Luina serpentina", "Coleophora bajacalsur", "Coleophora penicillata", "Coleophora pueblana", "Sarcodia grandifolia", "Sarcodia palmata", "Sarcodia dentata", "Sarcodia marginalis", "Plocamium preissianum", "Plocamium telfairiae", "Plocamium affine", "Plocamium beckeri", "Plocamium binderianum", "Plocamium brachiocarpum", "Plocamium brasiliense", "Plocamium confervaceum", "Plocamium cornutum", "Plocamium cruciferum", "Plocamium delicatulum", "Plocamium dilatatum", "Plocamium fimbriatum", "Plocamium froelichianum", "Plocamium fuscorubrum", "Plocamium hamatum", "Plocamium katinae", "Plocamium lyngbyanum", "Plocamium maggsiae", "Plocamium maxillosum", "Plocamium mediterraneum", "Plocamium mertensii", "Plocamium microcladioides", "Plocamium minutum", "Plocamium nanum", "Plocamium oregonum", "Plocamium pacificum", "Plocamium patagiatum", "Plocamium patens", "Plocamium recurvatum", "Plocamium rigidum", "Plocamium sandvicense", "Plocamium secundatum", "Plocamium serrulatum", "Plocamium suhrii", "Plocamium violaceum", "Hummbrella hydra", "Aleochara nobilis", "Aleochara polychroma", "Thaumetopoea hellenica", "Thaumetopoea mediterranea", "Atheta brevapicalis", "Parasenecio adenostyloides", "Thaumetopoea pinivora", "Thaumetopoea processionea", "Thaumetopoea processionea processionea", "Thaumetopoea processionea pseudosolitaria", "Thaumetopoea bonjeani", "Japonicalia delphiniifolia", "Parasenecio farfarifolia", "Parasenecio farfarifolia var. bulbifera", "Parasenecio farfarifolia subsp. farfarifolia", "Epilepia denticulata", "Epilepia longaduncata", "Leptotes webbianus webbianus", "Leptotes webbianus palmae", "Leptotes webbianus grancanariensis", "Plocamium cartilagineum", "Plocamium angustum", "Plocamium cirrhosum", "Plocamium concinnum", "Plocamium corallorhiza", "Endothenia apotomisana", "Cydia pelionae", "Plocamium glomeratum", "Plocamium hookeri", "Plocamium leptophyllum", "Luperosaurus iskandari", "Plocamium ovicorne", "Prunus \u00d7 yedoensis 'Somei-yoshino'", "Sarcodia suae", "Cnephasia josebai", "Pelochrista trematerrai", "Trematocarpus dichotomus", "Atheta hamulata", "Trematocarpus acicularis", "Atheta bispinosa", "Atheta senticollis", "Trematocarpus affinis", "Prionailurus javanensis", "Atheta hansseni", "Trematocarpus flabellatus", "Trematocarpus fragilis", "Atheta altiviva", "Trematocarpus concinnus", "Trematocarpus papenfussii", "Trematocarpus pygmaeus", "Petasites japonicus subsp. japonicus", "Trematocarpus antarcticus", "Champia lumbricalis", "Champiocolax sarae", "Champiocolax lobatus", "Pseudochromis stellatus", "Physoschistura harkishorei", "Pimelodella humeralis", "Aphanius kruppi", "Pseudanthias tequila", "Cirrhilabrus shutmani", "Phyllonorycter libanotica", "Curculionichthys tukana", "Curculionichthys itaim", "Chylocladia verticillata", "Acantopsis rungthipae", "Acantopsis ioa", "Acantopsis dinema", "Phyllonorycter pseudojoviella", "Creseis acicula", "Triplophysa anshuiensis", "Trematocranus pachychilus", "Laubuka tenella", "Danio htamanthinus", "Tachyphyle nielseni", "Tachyphyle selini", "Sarcodia ciliata", "Parasenecio nikomontana", "Lacanobia dubatolovi", "Sarcodia cuneifolia", "Sarcodia dichotoma", "Sarcodia multifida", "Phyllonorycter mirbeckifoliae", "Apristurus yangi", "Parapercis soliorta", "Parapercis rubricaudalis", "Phyllonorycter quercifoliella", "Parapercis caudopellucida", "Parapercis flavipinna", "Parapercis hoi", "Phyllonorycter quercifoliella quercifoliella", "Phyllonorycter quercifoliella extincta", "Atheta semialba", "Atheta abscisa", "Atheta brevitheca", "Liogluta armeniaca", "Coelothrix irregularis", "Coelothrix indica", "Liogluta funesta", "Dictyothamnion saltatum", "Caloptilia glycyrrhizae", "Stilicoderus parvus", "Stilicoderus bisinuatus", "Stilicoderus harpago", "Peyssonnelia pacifica", "Peyssonnelia polystrata", "Peyssonnelia profunda", "Peyssonnelia rara-avis", "Peyssonnelia replicata", "Peyssonnelia rosa-marina", "Peyssonnelia rosenvingei", "Peyssonnelia rubra", "Peyssonnelia rugosa", "Peyssonnelia rumoiana", "Peyssonnelia simulans", "Peyssonnelia splendens", "Peyssonnelia stoechas", "Peyssonnelia stratosa", "Peyssonnelia tamiense", "Peyssonnelia tepperi", "Rugilus armeniacus", "Peyssonnelia thomassinii", "Peyssonnelia umbilicata", "Peyssonnelia valentinii", "Elachista athroa", "Pseudolathra araxidis", "Elachista conferta", "Elachista sagara", "Lathrobium fulvipenne", "Elachista spumella", "Plocamiocolax pulvinatus", "Nemosenecio nikoensis", "Elachista deceptricula", "Plocamiocolax papenfussianus", "Achenium humile", "Myrmoecia reitteri", "Aleochara rambouseki", "Elachista saccharella", "Lycaena mariposa", "Lycaena mariposa mariposa", "Quedius omissus", "Lycaena mariposa penroseae", "Quedius brevalatus", "Lycaena mariposa ximena", "Abutilon ranadei", "Castilleja integrifolia var. longibracteata", "Leptusa opaca", "Castilleja integrifolia var. alpigena", "Castilleja integrifolia var. integrifolia", "Leptusa pusio", "Leptusa brevicollis", "Sarcodia montagneana", "Sarcodia marginata", "Sarcodia ceylonensis", "Sarcodia ceylanica", "Sarcodia linearis", "Luperosaurus sorok", "Melanis aegates", "Melanis aegates aegates", "Luperosaurus yasumai", "Luperosaurus cumingii", "Castilleja integrifolia var. chiapensis", "Phyllonorycter iranica", "Gastroclonium ovatum", "Neogastroclonium subarticulatum", "Phyllonorycter platani", "Pittocaulon praecox", "Charax awa", "Phyllonorycter pyrispinosae", "Plethodontohyla laevis", "Sumaterana dabulescens", "Sumaterana montana", "Chylocladia capensis", "Phyllonorycter obtusifoliella", "Phyllonorycter mildredae", "Tephroseris takedana", "Phyllonorycter pyrifoliella", "Phyllonorycter oxycanthae", "Phyllonorycter cydoniella", "Phyllonorycter cerisolella", "Habenaria setacea", "Phyllonorycter latus", "Phyllonorycter nipigon", "Phyllonorycter deserticola", "Phyllonorycter salicifoliella", "Phyllonorycter erugatus", "Taimingasa yatabei", "Phyllonorycter scudderella", "Nazeris raptus", "Nazeris siamensis", "Phyllonorycter kenora", "Telanthophora uspantanensis", "Gnathymenus apterus", "Gnathymenus arboreus", "Telanthophora cobanensis", "Gnathymenus spinifer", "Quedius reitteri", "Nicolletia occidentalis", "Leptusa cribratula", "Bajacalia crassifolia", "Bajacalia tridentata", "Bajacalia moranii", "Acomys kempi", "Acomys louisae", "Acomys subspinosus", "Acomys mullah", "Acomys nesiotes", "Acomys percivali", "Acomys wilsoni", "Acomys seurati", "Acomys russatus", "Lycaena mariposa marya", "Lycaena mariposa cascadia", "Lycaena mariposa thea", "Lycaena mariposa sperlingi", "Lycaena mariposa iridescens", "Lycaena mariposa makah", "Lycaena mariposa junia", "Lycaena mariposa candia", "Lycaena mariposa charlottensis", "Phyllonorycter spinicolella", "Phyllonorycter cerasicolella", "Phyllonorycter laurocerasi", "Phyllonorycter gerasimowi", "Quedius boops", "Phlugiola laurae", "Dysonia mariposa", "Dysonia satipo", "Dysonia simplicipes", "Dysonia simplicipes simplicipes", "Dysonia simplicipes meridionalis", "Hemiphyllodactylus tehtarik", "Draco supriatnai", "Draco iskandari", "Phyllonorycter malicola", "Lachnaia pseudobarathraea", "Lachnaia tristigma", "Phyllonorycter malella", "Coleophora catavinae", "Coleophora puntaprietae", "Coleophora yagul", "Coleophora bajacaliforniae", "Coleophora iztac", "Coleophora incerta", "Coleophora mexicacopa", "Peyssonnelia abyssica", "Peyssonnelia abyssicola", "Peyssonnelia antiqua", "Peyssonnelia asiatica", "Peyssonnelia balanicola", "Peyssonnelia bicolor", "Peyssonnelia boergesenii", "Peyssonnelia bornetii", "Peyssonnelia boudouresquei", "Peyssonnelia caulifera", "Peyssonnelia clarionensis", "Peyssonnelia conchicola", "Peyssonnelia coriacea", "Peyssonnelia coxalocalcificata", "Peyssonnelia crispata", "Peyssonnelia dalmatica", "Peyssonnelia delicata", "Peyssonnelia distenta", "Peyssonnelia evae", "Peyssonnelia flavescens", "Peyssonnelia foliosa", "Peyssonnelia foveolata", "Peyssonnelia gigaspora", "Peyssonnelia guadalupensis", "Peyssonnelia hairii", "Peyssonnelia hancockii", "Peyssonnelia hariotii", "Peyssonnelia harveyana", "Peyssonnelia hongii", "Peyssonnelia imbricans", "Peyssonnelia imbricata", "Peyssonnelia immersa", "Peyssonnelia inamoena", "Peyssonnelia incomposita", "Peyssonnelia indica", "Peyssonnelia intermedia", "Peyssonnelia iridescens", "Peyssonnelia japonica", "Peyssonnelia johanseni", "Peyssonnelia lemoinei", "Peyssonnelia luciparensis", "Peyssonnelia luzonensis", "Peyssonnelia magdalenae", "Peyssonnelia magna", "Peyssonnelia maris-rubri", "Peyssonnelia mariti", "Peyssonnelia meridionalis", "Peyssonnelia mexicana", "Peyssonnelia neocaledonica", "Peyssonnelia nitida", "Peyssonnelia nordstedtii", "Peyssonnelia novae-hollandiae", "Peyssonnelia obbesii", "Peyssonnelia obscura", "Peyssonnelia orbicularis", "Peyssonnelia orientalis", "Pectis tenuifolia", "Gnathoclita anostostoma", "Phlugis ecuador", "Phlugis morona", "Odontophlugis ucayali", "Phlugiola amazonia", "Neophlugis calabaza", "Paraphlugiola helenae", "Leptodrepana ronnae", "Leptodrepana rosanadana", "Leptodrepana schuttei", "Leptodrepana scottshawi", "Leptodrepana shriekae", "Leptodrepana sohailae", "Leptodrepana sorayae", "Leptodrepana soussanae", "Leptodrepana stasia", "Leptodrepana strategeri", "Leptodrepana thema", "Thymophylla pentachaeta var. belenidium", "Leptodrepana opuntiae", "Leptodrepana oriens", "Leptodrepana saltuensis", "Arnaldoa macbrideana", "Cixius lermontovi", "Otiorhynchus nodosus", "Cyrtodactylus wallacei", "Leptodrepana alexisae", "Leptodrepana atalanta", "Leptodrepana conda", "Leptodrepana conleyae", "Leptodrepana demeter", "Leptodrepana eckerti", "Leptodrepana gauldilox", "Leptodrepana hansoni", "Leptodrepana kimbrellae", "Leptodrepana lorenae", "Leptodrepana munjuanae", "Leptodrepana ninae", "Leptodrepana pamelabbas", "Eremiascincus phantasmus", "Eremiascincus musivus", "Phanerotomella bisulcata", "Chuquiraga jussieui", "Phanerotomella mohri", "Phanerotoma nepalensis", "Phanerotomella erena", "Chuquiraga spinosa subsp. spinosa", "Chuquiraga spinosa subsp. huamanpinta", "Ascogaster kibalensis", "Chelonus madagasakarensis", "Chelonus mayi", "Chelonus matilei", "Dasyphyllum brasiliense", "Chelonus merdicus", "Dasyphyllum lanceolatum", "Odontosphaeropyx gracilis", "Dasyphyllum sprengelianum", "Odontosphaeropyx leucocoxus", "Phanerotomella albiscapa", "Barnadesia arborea", "Barnadesia horrida", "Phanerotomella orientalis", "Barnadesia polyacantha", "Phanerotomella albipalpis", "Phanerotomella rufa", "Eremiascincus rubiginosus", "Eremiascincus pallidus", "Eremiascincus intermedius", "Phanerotomella tobiasi", "Phanerotomella pulchra", "Phanerotomella mariae", "Phanerotomella variareolata", "Phanerotomella barbieri", "Chuquiraga avellanedae", "Phanerotomella namkyensis", "Phanerotomella hawaiiensis", "Chuquiraga erinacea", "Phanerotomella longipes", "Phanerotomella longus", "Phanerotomella nigricaner", "Phanerotomella pallidistigmis", "Phanerotomella palliscapus", "Phanerotomella picticornis", "Phanerotomella rhytismus", "Phanerotomella rugifrontatus", "Phanerotomella ashmeadi", "Phanerotomella brevivena", "Phanerotomella castanea", "Phanerotomella curtogaster", "Phanerotomella dentate", "Phanerotomella dimorpha", "Phanerotomella discoloria", "Phanerotomella flavens", "Phanerotomella kimbaensis", "Phanerotomella kriegeri", "Phanerotomella microcellata", "Phanerotomella naumanni", "Phanerotomella nivistigma", "Phanerotomella obscura", "Phanerotomella phanerotomoides", "Phanerotomella pungogaster", "Phanerotomella szepligetii", "Phanerotomella variata", "Phanerotomella xizangensis", "Phanerotomella zhejiangensis", "Phanerotomella novaguineensis", "Carduus acanthoides subsp. acanthoides", "Carduus bourgaeanus", "Carduus chrysacanthus", "Carduus carlinoides", "Phanerotomella bicoloratus", "Phanerotomella bellula", "Gloydius halys", "Cardopatium corymbosum", "Cardopatium amethystinum", "Cousiniopsis atractyloides", "Alfredia cernua", "Amphoricarpos neumayerianus subsp. neumayerianus", "Parsonsia diaphanophleba", "Neogergithoides tubercularis", "Psammophis phillipsii", "Chylocladia fasciata", "Chylocladia grandis", "Chylocladia pelagosae", "Chylocladia perpusilla", "Melanis cephise", "Gastroclonium trichodes", "Gastroclonium iyengarii", "Gastroclonium pygmaeum", "Gergithus luteomaculatus", "Gergithus tamdao", "Gergithus multipunctatus", "Gergithus nonomaculatus", "Melanis acroleuca", "Berardia lanuginosa", "Gergithus tristriatus", "Gergithus bimaculatus", "Chuquiraga erinacea subsp. erinacea", "Phanerotomella sculpturata", "Phanerotomella spinosa", "Phanerotomella antennata", "Phanerotomella seyrigi", "Phanerotomella tristis", "Phanerotomella gigantea", "Phanerotomella juliae", "Phanerotomella subdentata", "Phanerotomella lutea", "Phanerotomella mucronata", "Phanerotomella atrata", "Phanerotomella lepida", "Phanerotomella annulicornis", "Phanerotomella apetilus", "Phanerotomella gladius", "Phanerotomella gracilimandiblis", "Phanerotomella longieyesis", "Phanerotomella longipedes", "Melanis alena", "Chylocladia rigens", "Chylocladia schneideri", "Chylocladia wynnei", "Melanis boyi", "Gastroclonium reflexum", "Gastroclonium clavatum", "Gastroclonium compressum", "Gastroclonium parvum", "Gastroclonium pacificum", "Gastroclonium xishaense", "Gastroclonium cylindricum", "Carduus nutans subsp. nutans", "Carduus nutans subsp. platylepis", "Carduus personata subsp. personata", "Micrelaps bicoloratus", "Carduus nutans subsp. granatensis", "Micrelaps bicoloratus bicoloratus", "Micrelaps bicoloratus moyeri", "Micrelaps muelleri", "Carduus pycnocephalus subsp. pycnocephalus", "Leptodrepana flaviceps", "Phanerotomella taiwanensis", "Phanerotomella townesi", "Phanerotomella sinensis", "Phanerotomella nigronitens", "Phanerotomella varicolorata", "Phanerotomella beckeri", "Phanerotomella flava", "Phanerotomella nigrialba", "Phanerotomella collinsi", "Phanerotomella quadridens", "Phanerotomella bakeri", "Phanerotomella similis", "Phanerotomella ceylanica", "Phanerotomella magnifica", "Phanerotomella crassicornis", "Phanerotomella pasohensis", "Phanerotomella bouceki", "Phanerotomella longitemporalis", "Phanerotomella fumipennis", "Phanerotomella minuta", "Phanerotomella nitida", "Phanerotomella sedlaceki", "Phanerotomella crassa", "Phanerotomella punctata", "Phanerotomella aurea", "Phanerotomella capensis", "Carduus carlinoides subsp. carlinoides", "Carduus carpetanus subsp. carpetanus", "Letheobia zenkeri", "Namibiana labialis", "Namibiana latifrons", "Gammarus acherondytes", "Gammarus agrarius", "Gammarus albimanus", "Gammarus alius", "Gammarus alsaticus", "Gammarus altus", "Carduus hamulosus", "Carduus hamulosus subsp. hamulosus", "Carduus lusitanicus", "Carduus lusitanicus subsp. lusitanicus", "Gammarus kangdingensis", "Gammarus gonggaensis", "Gammarus limosus", "Gammarus amabilis", "Carduus nigrescens", "Gammarus anatoliensis", "Carduus nigrescens subsp. nigrescens", "Gammarus angulatus", "Gammarus angusticoxalis", "Gammarus annulatus", "Gammarus annandalei", "Ephippigerida pantingana", "Gammarus vallecula", "Gammarus qinling", "Gammarus zhigangi", "Carduus cephalanthus", "Gammarus jidutanxian", "Gammarus longdong", "Gammarus mosuo", "Gammarus caecigenus", "Carduus chevallieri", "Carduus collinus", "Carduus collinus subsp. collinus", "Carduus crispus subsp. crispus", "Carduus crispus subsp. multiflorus", "Carduus defloratus", "Carduus defloratus subsp. defloratus", "Leptusa caucasica", "Leptusa storkani", "Leptusa gibbera", "Carduus defloratus subsp. glaucus", "Leptusa laeviuscula", "Amblyeleotris rubrimarginata", "Leptusa xanthopyga", "Leptusa lederi", "Amblyeleotris harrisorum", "Leptusa subnivalis", "Leptusa microphthalma", "Leptusa substricta", "Leptusa svanetica", "Leptusa migrituber", "Gammarus xiangfengensis", "Gammarus lichuanensis", "Gammarus paucispinus", "Gammarus lophacanthus", "Gammarus aequicaudus", "Gammarus abscisus", "Gammarus abstrusus", "Gammarus acalceolatus", "Gammarus accolae", "Gammarus accretus", "Chrysosplenium flagelliferum", "Leptusa triangulata", "Leptusa longalata", "Leptusa apfelbeckiana", "Leptusa knappeorum", "Leptusa punctithorax", "Carduus santacreui", "Micrelaps vaillanti", "Micrelaps tchernovi", "Lamprophis erlangeri", "Geophis turbidus", "Argopecten purpuratus", "Xenosaurus mendozai", "Phrosinella kocaki", "Gymnoprosopa argentifrons", "Cirsium acaule subsp. acaule", "Gammarus anodon", "Gammarus aoculus", "Gammarus araxenius", "Gammarus arduus", "Gammarus argaeus", "Gammarus bakhteyaricus", "Gammarus balcanicus", "Carduus squarrosus", "Gammarus baloutchi", "Carduus tenuiflorus subsp. tenuiflorus", "Gammarus lordeganensis", "Gammarus deryae", "Champia affinis", "Champia novae-zelandiae", "Cirsium boujartii subsp. boujartii", "Cirsium brachycephalum", "Phrosinella persa", "Cirsium brevicaule", "Cirsium brevistylum", "Phrosinella aldrichi", "Phrosinella fumosa", "Phrosinella pilosifrons", "Phrosinella aurifacies", "Phrosinella fulvicornis", "Phrosinella sannio", "Cirsium ciliatum subsp. ciliatum", "Phrosinella talpina", "Champia compressa", "Champia parvula", "Champia salicornioides", "Champia expansa", "Champia feldmannii", "Champia laingii", "Champia chathamensis", "Spalax denizliensis", "Champia lubrica", "Trichocera ticina", "Champia bifida", "Champia japonica", "Trichocera unica", "Champia caespitosa", "Champia disticha", "Scincella kikaapoa", "Champia echigoensis", "Champia recta", "Champia farlowii", "Xenosaurus fractus", "Gymnoprosopa polita", "Gymnoprosopa filipalpus", "Gymnoprosopa pallida", "Gymnoprosopa latifasciata", "Gymnoprosopa milanoensis", "Cirsium amplexifolium", "Cirsium andersonii", "Hemidactylus eniangii", "Hemidactylus coalescens", "Cirsium andrewsii", "Cirsium arizonicum", "Cirsium arvense var. vestitum", "Xenosaurus grandis", "Eustenomacidius egeuniversitatis", "Eustenomacidius svetlanae", "Eustenomacidius svetlanae svetlanae", "Eustenomacidius svetlanae araxi", "Geostiba tigrani", "Geostiba kalavanica", "Geostiba immutata", "Geostiba armata", "Geostiba xirosica", "Geostiba svanetica", "Geostiba gibberiventris", "Geostiba granisuturalis", "Cirsium dissectum", "Phrosinella fedtshenkoi", "Phrosinella gussakovskii", "Phrosinella mongolica", "Phrosinella nigripunctata", "Phrosinella sibirica", "Phrosinella simillima", "Phrosinella zarudnoji", "Phrosinella similis", "Phrosinella nasuta", "Cirsium carniolicum", "Cirsium carniolicum subsp. carniolicum", "Cirsium confertissimum", "Cirsium cymosum var. canovirens", "Salvia grandifolia", "Cirsium decussatum", "Neobartsia laniflora", "Xenosaurus sanmartinensis", "Xenosaurus newmanorum", "Xenosaurus rackhami", "Xenosaurus rectocollaris", "Xenosaurus platyceps", "Xenosaurus agrenon", "Xenosaurus arboreus", "Gymnopsidia inflaticornis", "Phrosinella beludzha", "Phrosinella karakalpaka", "Phrosinella kozlovi", "Phrosinella tadzhika", "Phrosinella ujugura", "Phrosinella uzbeka", "Cirsium boujartii", "Myriopholis ionidesi", "Myriopholis tanae", "Capoeta aydinensis", "Psephellus vanensis", "Cirsium ehrenbergii", "Alloxysta aurata", "Alloxysta castanea", "Alloxysta citripes", "Cirsium erisithales", "Leptotyphlops macrops", "Leptotyphlops sylvicolus", "Leptotyphlops pungwensis", "Afrotyphlops nigrocandidus", "Leptotyphlops aethiopicus", "Leptotyphlops howelli", "Leptotyphlops keniensis", "Leptotyphlops mbanjensis", "Leptotyphlops nigroterminus", "Alloxysta proxima", "Alloxysta salicicola", "Cirsium falconeri", "Cirsium furusei", "Alloxysta pallidicornis", "Cirsium glabrifolium", "Oreopaederus kibalensis", "Salvia sericeotomentosa var. sericeotomentosa", "Alloxysta pedestris", "Oreopaederus yaninensis", "Cirsium happoense", "Trichonotulus cechovskyi", "Salvia aucheri", "Alloxysta kovilovica", "Alloxysta slovenica", "Salvia aucheri subsp. canescens", "Meriania longifolia", "Salvia aucheri subsp. aucheri", "Carduus pumilus", "Hersiliola lindbergi", "Galium hypocarpium", "Cirsium hookerianum", "Letheobia jubana", "Letheobia largeni", "Letheobia toritensis", "Letheobia swahilica", "Letheobia pembana", "Nephromopsis cucullata", "Conifaber manicoba", "Cirsium douglasii", "Cirsium drummondii", "Cirsium eatonii", "Cirsium eatonii var. clokeyi", "Cirsium echinatum", "Cirsium edule", "Anniella alexanderae", "Anniella campi", "Anniella grinnelli", "Anniella stebbinsi", "Neobisium tothi", "Neobisium noricum", "Anniella pulchra", "Anniella geronimensis", "Funastrum glaucum", "Platysaurus ocellatus", "Platysaurus intermedius subniger", "Salvia candidissima", "Salvia candidissima subsp. occidentalis", "Salvia candidissima subsp. candidissima", "Chiloglottis diphylla", "Platysaurus attenboroughi", "Chiloglottis reflexa", "Platysaurus capensis", "Platysaurus guttatus", "Ectatosticta davidi", "Saraina deltshevi", "Micrillus suturalis", "Cirsium perplexans", "Cirsium phyllocephalum", "Aphaenostemmus distortus", "Schistoglossa campbelli", "Schistoglossa pseudocampbelli", "Schistoglossa brunswickensis", "Schistoglossa hampshirensis", "Schistoglossa sphagnorum", "Schistoglossa carexiana", "Schistoglossa blatchleyi", "Cirsium pyrenaicum", "Cirsium quercetorum", "Osmia cornuta", "Cirsium scabrum", "Lasioseius fuscina", "Lasioseius duobtusisetis", "Cirsium setidens", "Erythrina megistophylla", "Lycidomorda bolmi", "Cirsium spinosissimum", "Demanietta burmanica", "Cirsium kagamontanum", "Pseudobium laeviventre", "Pseudosesarma brehieri", "Pseudobium semiflavum", "Pseudobium procerum", "Pseudobium sumatrense", "Amigdoscalpellum dorsituberculatum", "Pseudobium castaneum", "Cirsium longistylum", "Scymbalium persimile", "Parvimysis bahamensis", "Cirsium maritimum", "Micrillus testaceus", "Micrillus scabrosus", "Cirsium mohavense", "Cirsium odontolepis", "Letheobia pallida", "Letheobia mbeerensis", "Hersiliola sternbergsi", "Hersiliola esyunini", "Natriciteres bipostocularis", "Duninia baehrae", "Duninia rheimsae", "Cirsium horiianum", "Pseudobium peyerimhoffi", "Pseudobium gridellii", "Deltshevia danovi", "Deltshevia gromovi", "Pseudobium alanyaense", "Pseudobium cypriacum", "Pseudobium richteri", "Ovtsharenkoia pallida", "Pseudobium sinaicum", "Pseudobium luculentum", "Pseudobium seminigrum", "Pseudobium assimile", "Pseudobium hunanicum", "Loxosceles mrazig", "Amathimysis gibba", "Amathimysis cherados", "Amathimysis polita", "Amathimysis brasiliana", "Amathimysis sarbui", "Amathimysis brattegardi", "Amathimysis serrata", "Amathimysis torleivi", "Cirsium monspessulanum subsp. monspessulanum", "Amathimysis trigibba", "Aberomysis muranoi", "Atlanterythrops crassipes", "Australerythrops paradicei", "Australerythrops africanus", "Saraina kindamba", "Saraina rubrofasciata", "Tibouchina ciliaris", "Cirsium ishizuchiense", "Lernanthropinus sphyraenae", "Pseudobium falciferum", "Cirsium oligophyllum", "Triumfetta mollissima", "Cirsium pannonicum", "Schistoglossa charlottae", "Micrillus flavescens", "Micrillus distortus", "Micrillus sumbaensis", "Cirsium parryi", "Damaeus armatus", "Damaeus breviseta", "Damaeus cuii", "Damaeus daliensis", "Damaeus exsertus", "Damaeus exspinosus", "Damaeus furcatus", "Damaeus longus", "Damaeus spiniger", "Damaeus wulongensis", "Damaeus yaoi", "Damaeus constanotus", "Trisunius monticola", "Cirsium remotifolium var. rivulare", "Trisunius opaciceps", "Dichocarpum sarmentosum", "Asarum ikegamii var. fujimakii", "Micrillus pallidus", "Micrillus irakensis", "Micrillus subterraneus", "Micrillus hypogaeus", "Thalassomysis sewelli", "Thalassomysis tattersalli", "Micrillus aegyptiacus", "Micrillus sudanicus", "Parvimysis almyra", "Cirsium muticum", "Micrillus aethiopicus", "Chiloglottis anaticeps", "Chiloglottis chlorantha", "Micrillus indicus", "Parvimysis pisciscibus", "Cirsium nagisoense", "Chiloglottis grammata", "Micrillus nigriceps", "Micrillus siamensis", "Chiloglottis jeanesii", "Cirsium nambuense", "Chiloglottis longiclavata", "Micrillus intermedius", "Chiloglottis palachila", "Chiloglottis platyptera", "Micrillus sutteri", "Chiloglottis pluricallata", "Chiloglottis seminuda", "Chiloglottis sphaerula", "Cirsium nipponicum", "Chiloglottis sphyrnoides", "Chiloglottis sylvestris", "Chiloglottis triceratops", "Chiloglottis trilabra", "Chiloglottis trullata", "Parvimysis fluviatilis", "Chiloglottis truncata", "Chiloglottis turfosa", "Cirsium occidentale var. candidissimum", "Chiloglottis \u00d7 pescottiana", "Cirsium occidentale var. californicum", "Trisunius volans", "Trisunius borailicus", "Trisunius tenuincisus", "Cirsium rhothophilum", "Damaeus heterotrichus", "Gnathymenus tungus", "Cirsium richterianum", "Gnathymenus rossii", "Cirsium richteranum subsp. richteranum", "Damaeus kuankuoshuiensis", "Damaeus subtilisfinem", "Damaeus bawanglingensis", "Damaeus femurgibbus", "Damaeus obscurusgibbus", "Cirsium rivulare", "Cirsium roseolum", "Lasioseius cassidini", "Mentha pamiroalaica", "Lasioseius serripes", "Pseudoleptodeira latifasciata", "Scaphiodontophis venustissimus", "Tantilla atriceps", "Tantilla jani", "Tantilla bocourti", "Leptodeira splendida", "Dipsas bicolor", "Euspondylus auyanensis", "Drosera murfetii", "Orphinus burmanicus", "Orphinus okinawanus", "Orphinus kejvali", "Cousinia dshisakensis", "Ixorida aureovittata", "Cirsium wheeleri", "Stilicoderus bakeri", "Cousinia adenophora", "Cousinia angrenii", "Cousinia butkovii", "Cousinia contumax", "Myrmeanthrenus planus", "Sceloporus jalapae", "Myrmeanthrenus frontalis", "Myrmeanthrenus fasciatus", "Allamanda leaf mottle distortion virus", "Andrographis yellow vein leaf curl virus", "Asystasia mosaic Madagascar virus", "Bean white chlorosis mosaic virus", "Sceloporus salvini", "Sceloporus teapensis", "Sceloporus omiltemanus", "Geophis omiltemanus", "Urotheca decipiens", "Rhadinaea omiltemana", "Arhopala viola harmonica", "Gloiocladia halymenioides", "Gloiocladia laciniata", "Palicourea thyrsiflora", "Gloiocladia repens", "Atheris rungweensis", "Gloiocladia australis", "Webervanbossea tasmanensis", "Fauchea setchellii", "Laticauda guineai", "Cousinia pterocaulos", "Byrrhus kusakarii", "Taphrocerus bifasciatus", "Arhopala viola", "Arhopala viola viola", "Gloiocladia furcata", "Sida yellow vein", "Cotton leaf curl", "Gossypium darwinii symptomless alphasatellite", "Pedilanthus leaf curl alphasatellite", "Tomato leaf curl", "Tomato yellow leaf curl", "Cotton leaf curl", "Malvastrum yellow mosaic alphasatellite", "Sida leaf curl alphasatellite", "Synedrella leaf curl alphasatellite", "Tobacco curly shoot alphasatellite", "Tomato yellow leaf curl", "Afrosyleter szeli", "Dragonfly associated alphasatellite", "Whitefly associated", "Afrosyleter angolensis", "Afrosyleter rossii", "Ageratum yellow vein", "Cotton leaf curl", "Neosclerus granulicollis", "Cleome leaf crumple alphasatellite", "Thaumaglossa oliversum", "Croton yellow vein mosaic alphasatellite", "Euphorbia yellow mosaic alphasatellite", "Melon chlorotic mosaic alphasatellite", "Whitefly associated", "Tomato yellow spot alphasatellite", "Whitefly associated", "Gossypium mustelinum symptomless alphasatellite", "Hollyhock yellow vein alphasatellite", "Mesta yellow vein mosaic alphasatellite", "Okra enation leaf curl alphasatellite", "Okra yellow crinkle", "Vernonia yellow vein", "Sunius cameroni", "Cirsium waldsteinii", "Medon labralis", "Ageratum latent virus", "Oedichirus depravatus", "Oedichirus bicuspidatus", "Paederus borailicus", "Byrrhus sochondensis", "Champia womersleyi", "Byrrhus pustulatus", "Champia zostericola", "Byrrhus kusnetzovi", "Byrrhus arietinus", "Lethrus klimenkoi", "Cenacrum subsutum", "Faucheocolax attenuatus", "Plateros amaniensis", "Faucheopsis coronata", "Champia kotschyana", "Byrrhus eniseyensis", "Byrrhus ponticus", "Byrrhus fasciatus", "Champia minuscula", "Champia plumosa", "Champia somalensis", "Champia spathulata", "Champia stipitata", "Champia taironensis", "Champia tripinnata", "Champia vieillardii", "Champia viridis", "Champia zonata", "Byrrhus franzi", "Byrrhus sachalinensis", "Irpex consors", "Taphrocerus argentinus", "Jurinea mollis subsp. mollis", "Mitella acerina", "Jurinea pinnata", "Lamyropsis microcephala", "Taphrocerus apti", "Taphrocerus bolivianus", "Taphrocerus acaranus", "Taphrocerus merkli", "Taphrocerus redeii", "Taphrocerus obenbergeri", "Taphrocerus ujhelyii", "Taphrocerus balthasari", "Taphrocerus bruchi", "Taphrocerus cayennensis", "Taphrocerus exiguus", "Taphrocerus guyanae", "Taphrocerus klimschi", "Taphrocerus luderwaldti", "Taphrocerus obscurellus", "Taphrocerus scutellatus", "Taphrocerus strandi", "Brachys haenkei", "Brachys pressli", "Cousinia stellaris", "Stilicoderus baliemensis", "Stilicoderus aerosoides", "Stilicoderus papuanus", "Stilicoderus continentalis", "Stilicoderus sarahae", "Cynara baetica subsp. baetica", "Stilicoderus assamensis", "Cousinia glabriseta", "Stilicoderus strigosus", "Stilicoderus separandus", "Stilicoderus turacus", "Stiliderus bernhaueri", "Stiliderus pulchripennis", "Stiliderus brevipennis", "Champia gigantea", "Champia globulifera", "Champia indica", "Champia harveyana", "Champia puertoricensis", "Byrrhus altaesayanus", "Champia inkyua", "Champia insignis", "Champia irregularis", "Meriania speciosa", "Mendozachelys wichmanni", "Taphrocerus finitimus", "Taphrocerus peruvianus", "Taphrocerus nigritulus", "Taphrocerus sulcifrons", "Corytoplectus schlimii", "Jurinea humilis", "Taphrocerus doctissimus", "Taphrocerus saintantoinnei", "Taphrocerus breviformis", "Taphrocerus problematicus", "Taphrocerus iguazuanus", "Taphrocerus gottwaldi", "Taphrocerus auratus", "Taphrocerus subauratus", "Taphrocerus sekerkai", "Taphrocerus hornburgi", "Taphrocerus michaeli", "Taphrocerus halffteri", "Taphrocerus olivierai", "Taphrocerus major", "Medome bicolor", "Medome siamensis", "Medome schawalleri", "Medome nigra", "Atheta meybohmi", "Rhinobatos manai", "Rhinobatos austini", "Centrophorus lesliei", "Centrophorus longipinnis", "Galeus corriganae", "Scyliorhinus ugoi", "Arthrochilus apectus", "Arthrochilus aquilus", "Arthrochilus byrnesii", "Arthrochilus corinnae", "Stiliderus tengah", "Stiliderus germanus", "Stiliderus rugulosicollis", "Taphrocerus seidli", "Stiliderus brendellianus", "Stiliderus agostii", "Cynara baetica subsp. maroccana", "Taphrocerus nigricollis", "Taphrocerus krepelkai", "Taphrocerus snizeki", "Taphrocerus bourdaensis", "Taphrocerus fragilis", "Taphrocerus anayahani", "Taphrocerus hrdyi", "Cynara cardunculus subsp. cardunculus", "Taphrocerus mirai", "Taphrocerus niger", "Taphrocerus matouryensis", "Taphrocerus havai", "Taphrocerus huggerti", "Taphrocerus bilyi", "Taphrocerus semiinterruptus", "Taphrocerus imperator", "Taphrocerus catharinae", "Taphrocerus paraguayensis", "Taphrocerus paranaensis", "Taphrocerus pauligenus", "Taphrocerus latimentulae", "Taphrocerus mixtus", "Taphrocerus picator", "Taphrocerus arboribus", "Taphrocerus pseudomirai", "Taphrocerus tavakiliani", "Plateros aurifer", "Plateros dewittei", "Plateros eburneus", "Plateros guttifer", "Plateros gorongosus", "Plateros hamifer", "Plateros hamulifer", "Plateros hippocampus", "Plateros kuehnei", "Plateros morogoroensis", "Gloiocolax novae-zelandiae", "Plateros nyongwensis", "Plateros odzalaensis", "Plateros ogovensis", "Plateros subulifer", "Plateros uluguruensis", "Blanus tingitanus", "Leptofauchea nitophylloides", "Stilicoderus laticeps", "Stilicoderus riedeli", "Stilicoderus cephalicus", "Stilicoderus obesus", "Stilicoderus kolaensis", "Stilicoderus sepikensis", "Stilicoderus riedelianus", "Stilicoderus lobatus", "Stilicoderus maritimoides", "Stilicoderus meraukeanus", "Stilicoderus batantaensis", "Webervanbossea splachnoides", "Stilicoderus aerosus", "Stilicoderus lastianus", "Webervanbossea kaliformis", "Lubosiella pacholatkoi", "Cirsium subcoriaceum", "Gladiostena pacholatkoi", "Pulchrimorda grelaki", "Neosclerus macer", "Neosclerus obscurus", "Pulchrimorda sapitensis", "Pulchrimorda savioi", "Neosclerus brevipennis", "Pulchrimorda sanguinea", "Neosclerus assamensis", "Pulchrimorda aureosplendens", "Cirsium tuberosum", "Cirsium vulgare subsp. vulgare", "Pulchrimorda kubani", "Pulchrimorda tamdaoensis", "Pulchrimorda ibana", "Aalivirus A", "Tolidopalpus dohertyi", "Pseudotolida borneensis", "Lycidomorda kovalevi", "Desmopachria curseenae", "Desmopachria delongi", "Desmopachria gingerae", "Desmopachria gyration", "Desmopachria hardyae", "Desmopachria kemptonae", "Desmopachria lloydi", "Desmopachria singhae", "Desmopachria vohrae", "Achromobacter virus Axp3", "Achromobacter virus JWAlpha", "Doliops havai", "Actinidia virus X", "Ageratum enation alphasatellite", "Ageratum yellow vein alphasatellite", "Ageratum yellow vein", "Ageratum yellow vein", "Bhendi yellow vein alphasatellite", "Cassava mosaic", "Chilli leaf curl alphasatellite", "Cotton leaf curl", "Cotton leaf curl", "Malvastrum yellow mosaic", "Sunflower leaf curl", "Tomato leaf curl", "Tomato yellow leaf curl", "Lampetis cyanitarsis", "Lampetis dilaticollis", "Lampetis drummondi", "Lampetis geniculata", "Lampetis granulifera", "Lampetis guildini", "Lampetis hirtomaculata", "Lampetis hondurensis", "Lampetis lesnei", "Lampetis mexicana", "Lampetis monilis", "Lampetis obscura", "Lampetis simplex", "Lampetis srdinkoana", "Lampetis straba", "Lampetis tigrina", "Lampetis torquata", "Lampetis viridicolor", "Lampetis viridimarginalis", "Pristimantis erythros", "Onopordum cynarocephalum subsp. cynarocephalum", "Onopordum cyprium", "Onopordum dissectum subsp. dissectum", "Onopordum illyricum subsp. illyricum", "Onopordum macracanthum", "Onopordum nervosum subsp. nervosum", "Onopordum platylepis", "Taphrocerus albodistinctus", "Taphrocerus albofasciatus", "Taphrocerus albomaculatus", "Taphrocerus purpureus", "Taphrocerus paradoxus", "Taphrocerus seriatus", "Taphrocerus kubani", "Taphrocerus jirii", "Taphrocerus affinis", "Taphrocerus admirabilis", "Taphrocerus venezuelae", "Taphrocerus nicolayi", "Arthrochilus dockrillii", "Arthrochilus huntianus", "Arthrochilus huntianus subsp. huntianus", "Arthrochilus huntianus subsp. nothofagicola", "Arthrochilus laevicallus", "Onopordum algeriense", "Arthrochilus lavarackianus", "Arthrochilus oreophilus", "Onopordum arenarium", "Arthrochilus prolixus", "Arthrochilus rosulatus", "Arthrochilus sabulosus", "Arthrochilus stenophyllus", "Onopordum blancheanum", "Onopordum bracteatum subsp. bracteatum", "Onopordum corymbosum", "Ctenops nobilis", "Paraancylotela nobilissima", "Ptilostemon greuteri", "Ptilostemon leptophyllus", "Saussurea acuminata", "Saussurea alata", "Neopanorpa ellengreeni", "Saussurea americana", "Neopanorpa cucullata", "Tetrapora glomerata", "Shirerpeton isajii", "Albanerpeton galaktion", "Lampetis webbii", "Sunius rhodicus", "Lampetis cupreopunctata", "Tetragonoschema torresi", "Saussurea ovata", "Saussurea pygmaea", "Anilaroides brasiliensis", "Anilaroides grouvellei", "Weinmannia tomentosa", "Alopias grandis", "Dorudon atrox", "Staehelina dubia", "Chrysoprasis tendira", "Erythrochiton rubronigrum", "Xeranthemum inapertum", "Homogenes rubrogaster", "Mallosoma piptadeniae", "Paraancylotela amplidorsa", "Saussurea angustifolia", "Lampetis fernandezyepezi", "Saussurea depressa", "Iziphya albipes", "Lampetis aurata", "Taphrocerus albopictus", "Taphrocerus alboplagiatus", "Taphrocerus amazonicus", "Taphrocerus amplifrons", "Taphrocerus fastidiosus", "Taphrocerus micropilosus", "Taphrocerus pereirai", "Myrmecopora rhodica", "Lampetis aurifera", "Saussurea discolor", "Aiceona actinodaphnis", "Aiceona himalaica", "Aiceona japonica", "Aiceona longifestuca", "Aiceona longisetosa", "Aiceona malayana", "Aiceona osugii", "Aiceona pallida", "Aiceona paraosugii", "Aiceona parvicornis", "Aiceona pseudosugii", "Aiceona retipennis", "Aiceona robustiseta", "Aiceona sexiarticulata", "Aiceona siamensis", "Aiceona tanakai", "Aiceona titabarensis", "Aiceona manipurensis", "Lampetis auropunctata", "Lampetis bahamica", "Lampetis chalconota", "Lampetis chamela", "Lampetis chiapaneca", "Lampetis christophi", "Asarum fauriei", "Lampetis colima", "Cephaloscyllium ventriosum", "Lampetis cortesi", "Amethysphaerion guarani", "Atractylis serrata", "Anoecia caricis", "Anoecia corni", "Anoecia cornicola", "Anoecia cornimaris", "Anoecia degenerifascia", "Anoecia equiseti", "Anoecia fulviabdominalis", "Anoecia fulviabdominalis fulviabdominalis", "Anoecia fulviabdominalis similis", "Anoecia furcata", "Anoecia graminis", "Anoecia haupti", "Anoecia himalayensis", "Anoecia ilicicola", "Ambopemphigus romani", "Biamoaphis antiqua", "Eriosaphis leei", "Eriosomaphis jesperi", "Eriosomaphis occidentalis", "Germaraphis cuneata", "Chlorepyris unifoveatus", "Chlorepyris subangulatus", "Chlorepyris clavatus", "Chlorepyris ocultatus", "Chlorepyris sulcatus", "Chlorepyris circinatus", "Carlina curetum subsp. orientalis", "Melocactus curvispinus subsp. dawsonii", "Carthamus balearicus", "Achilia caracolana", "Achilia auriculata", "Achilia ovallensis", "Achilia frontalis", "Achilia trauco", "Achilia longispina", "Achilia validicorniformis", "Atractylis arbuscula", "Atractylis arbuscula subsp. arbuscula", "Atractylis babelii", "Atractylis caespitosa", "Achilia crassicornis", "Atractylis humilis", "Atractylis preauxiana", "Atractylis prolifera", "Micrasta alvarengai", "Saussurea riederi var. japonica", "Saussurea riederi subsp. riederi", "Saussurea runcinata", "Cardiophorus insularis", "Saussurea graminifolia", "Saussurea schanginiana", "Saussurea sessiliflora", "Aglaoschema apixara", "Aglaoschema erythrocephala", "Saussurea triptera", "Saussurea triptera var. minor", "Carthamus dianius", "Carthamus carduncellus", "Carthamus carduncellus subsp. carduncellus", "Carthamus pinnatus", "Clonophis kirtlandii", "Antheraea semotivirus Tamy", "Drosophila semotivirus Max", "Schistosoma semotivirus Sinbad", "Asian prunus virus 2", "Chlorepyris atlanticus", "Alefpapillomavirus 1", "Anisepyris curvicarinatus", "Anisepyris foveaticeps", "Carthamus hispanicus", "Carlina acaulis subsp. acaulis", "Carlina acaulis subsp. caulescens", "Aphis ulmariae", "Aphis vitis", "Aphis viburni", "Aphis urticata", "Aphis ulicis", "Aphis symphyti", "Aphis sanguisorbicola", "Aphis sanguisorbae", "Aphis ruborum", "Aphis jacobaeae", "Aphis hyperici", "Nephromopsis nivalis", "Achilia bifossifrons", "Anisepyris basilongus", "Achilia lobifera", "Achilia antennalis", "Anisepyris foveapertus", "Anisepyris artus", "Anisepyris basilargus", "Anisepyris cepus", "Anisepyris ramosus", "Carlina biebersteinii subsp. biebersteinii", "Carlina canariensis var. xeranthemiformis", "Anisepyris amabilis", "Bakeriella subcarinata", "Calyozina mexicana", "Epyris cubanus", "Achilia excisa", "Achilia pachycera", "Chaetosopus contiguus", "Achilia fiura", "Monticalia ledifolia subsp. schlimii", "Achilia testacea", "Saussurea veitchiana", "Compsocerus proximus", "Quiacaua abacta", "Ectenessa melanicornis", "Niophis bucki", "Periboeum guttigerum", "Elaphopsis earinus", "Carthamus hispanicus subsp. hispanicus", "Carthamus lanatus subsp. lanatus", "Neodeuterus admirandus", "Borneodeuterus sannio", "Carthamus mitissimus", "Carthamus multifidus", "Carthamus oxyacanthus", "Carthamus pectinatus", "Disepyris abacinus", "Proterus punctatus", "Proterus alexandrae", "Proterus elenae", "Proterus laureatus", "Anoecia japonica", "Anoecia krizusi", "Anoecia major", "Anoecia mimeuri", "Anoecia mirae", "Anoecia oenotherae", "Anoecia panici", "Anoecia radiciphaga", "Anoecia setariae", "Anoecia similiradiciphaga", "Anoecia stipae", "Anoecia takahashii", "Anoecia tanakai", "Anoecia vagans", "Anoecia willcocksi", "Anoecia zirnitsi", "Anoecia pskovica", "Krikoanoecia circula", "Berendtaphis cimicoides", "Bolshayanoecia rasnitsyni", "Aphidocallis caudata", "Diatomyzus eocaenicus", "Huaxiaphis gracilicornuta", "Liaoaphis furvifemoralis", "Aleurosiphon smilacifoliae", "Andinaphis paradoxa", "Anthemidaphis ligusticae", "Anthemidaphis oligommata", "Aphis aba", "Aphis acaenaevora", "Aphis acaenovinae", "Aphis acanthoidis", "Aphis acanthopanaci", "Aphis acetosae", "Aphis acetosae acetosae", "Aphis acetosae rumicivora", "Aphis achillearadicis", "Aphis achyranthi", "Aphis acrita", "Aphis adesmiae", "Aphis affinis", "Carlina acanthifolia subsp. acanthifolia", "Acanthophis cryptamydros", "Centaurea alexandrina", "Centaurea amblensis", "Centaurea amblensis subsp. amblensis", "Centaurea aristata", "Centaurea aspera subsp. aspera", "Centaurea seridis", "Spasalus bechynei", "Spasalus urubuensis", "Bacillus virus 1", "Pareuplectops tenasserimi", "Geobacillus virus GBSV1", "Centaurea aegyptiaca", "Centaurea eriophora", "Spasalus seag", "Centaurea aeolica subsp. aeolica", "Passalus beneshi", "Centaurea akamantis", "Veturius aquilonalis", "Centaurea alba subsp. alba", "Pseudechis weigeli", "Proterus lucilae", "Proterus noai", "Proterus observator", "Proterus pumilio", "Carthamus plumosus", "Exoterus lannaeus", "Alfalfa virus S", "Arachis pintoi virus", "Vanilla latent virus", "Carthamus tenuis subsp. tenuis", "Atractylodes mottle virus", "Sambucus virus C", "Sambucus virus D", "Sambucus virus E", "Ligustrum virus A", "Yam latent virus", "Disepyris decipulus", "Disepyris guigliae", "Avian avulavirus 14", "Avian avulavirus 15", "Avian avulavirus 16", "Avian avulavirus 17", "Avian avulavirus 18", "Avian avulavirus 19", "Ryukyu mammarenavirus", "Souris mammarenavirus", "Arracacha virus V", "Artashat orthonairovirus", "Chim orthonairovirus", "Chaetoceros diatodnavirus 1", "Avon-Heathcote Estuary associated kieseladnavirus", "Bellflower veinal mottle virus", "Bacillus virus GIL16", "Bacillus virus Wip1", "Pseudomonas virus PR4", "Chaetoceros protobacilladnavirus 1", "Chaetoceros protobacilladnavirus 2", "Chaetoceros protobacilladnavirus 3", "Chaetoceros protobacilladnavirus 4", "Marine protobacilladnavirus 1", "Snail associated protobacilladnavirus 1", "Snail associated protobacilladnavirus 2", "Paroplocephalus atriceps", "Centaurea acaulis", "Pseudoprotapion alonsochrysomimus", "Pareuplectops botellus", "Centaurea achaia", "Pareuplectops coomani", "Centaurea achaia subsp. achaia", "Pseudoprotapion dumeei", "Pareuplectops fartor", "Pareuplectops lopchang", "Pareuplectops isiciarius", "Pareuplectops lucanicus", "Pareuplectops pubescens", "Pareuplectops salami", "Pareuplectops sommoo", "Micrurus distans", "Heterodon kennerlyi", "Banana bunchy top alphasatellite 1", "Banana bunchy top alphasatellite 2", "Banana bunchy top alphasatellite 3", "Cardamom bushy dwarf alphasatellite", "Barbacena virus Y", "Bat associated circovirus 9", "Xylopassaloides pterocavi", "Xylopassaloides pereirai", "Xylopassaloides schusteri", "Centaurea calcitrapa subsp. calcitrapa", "Pareuplectops tubarius", "Euparops chandleri", "Euparops dijeridu", "Germaraphis megarostris", "Germaraphis oblonga", "Germaraphis baltica", "Germaraphis berendti", "Germaraphis defuncta", "Germaraphis dryoides", "Germaraphis henningseni", "Anisepyris attenuatus", "Anisepyris divisus", "Anisepyris inconspicuus", "Anisepyris rotundus", "Anisepyris lobatus", "Anisepyris robustus", "Anisepyris jandirae", "Anisepyris punctataus", "Anisepyris longimerus", "Anisepyris semiviridis", "Anisepyris carinatus", "Anisepyris pollicis", "Anisepyris strictus", "Anisepyris dentatus", "Anisepyris tuberosus", "Anisepyris rectus", "Anisepyris basipilosus", "Achilia parvula", "Achilia nahuelbutae", "Anisepyris angulatus", "Anisepyris interruptus", "Anisepyris similis", "Anisepyris bipartitus", "Anisepyris breviramus", "Anisepyris indivisus", "Achilia larvata", "Centaurea damascena", "Petrejoides caralae", "Petrejoides salvadorae", "Centaurea decipiens", "Centaurea decipiens subsp. decipiens", "Petrejoides reyesi", "Panorpa insigna", "Lindsaea taeniata", "Centaurea alba subsp. deusta", "Centaurea diluta", "Centaurea diluta subsp. diluta", "Megarthrus aino", "Megarthrus corticalis", "Megarthrus fennicus", "Centaurea drabifolia subsp. drabifolia", "Megarthrus hemipterus", "Megarthrus incubifer", "Megarthrus japonicus", "Dorcasta singularis", "Paraesylacris candida", "Ataxia acutipennis", "Lloydia triflora", "Magellanoconnus castrii", "Centaurea mollis", "Centaurea nana", "Momordica charantia subsp. macroloba", "Uirassu beckeri", "Centaurea jacea subsp. angustifolia", "Leptodeira septentrionalis", "Hesychotypa miniata", "Hypsioma amydon", "Hypsioma aristonia", "Hypsioma attalia", "Hypsioma chapadensis", "Hypsioma charila", "Hypsioma hezia", "Hypsioma lyca", "Hypsioma nesiope", "Hypsioma opalina", "Hypsioma pylades", "Hypsioma rimosa", "Hypsioma robusta", "Hypsioma steinbachi", "Acestrilla minima", "Falsischnolea apicalis", "Amphicnaeia piriana", "Amphicnaeia zonata", "Veturius biapicalis", "Chaetolepis anisandra", "Veturius dibbi", "Veturius hincksi", "Veturius petteri", "Megarthrus altivagans", "Megarthrus bierigi", "Megarthrus flavosignatus", "Megarthrus inaequalis", "Centaurea cordubensis", "Megarthrus machu", "Megarthrus mammiger", "Centaurea corymbosa", "Megarthrus mastiger", "Megarthrus ogloblini", "Megarthrus solitarius", "Megarthrus zunilensis", "Euparops forix", "Centaurea carratracensis", "Euparops styx", "Bat mastadenovirus C", "Bat mastadenovirus D", "Bat mastadenovirus E", "Bat mastadenovirus F", "Bat mastadenovirus G", "Beatrice Hill tibrovirus", "Arrox agassizi", "Megarthrus con", "Megarthrus festivus", "Megarthrus flavolimbatus", "Megarthrus globulus", "Megarthrus lisae", "Megarthrus magnificus", "Megarthrus metanas", "Megarthrus mirabilis", "Centaurea cineraria subsp. cineraria", "Megarthrus octopus", "Megarthrus phoenix", "Megarthrus ping", "Megarthrus splendidus", "Megarthrus tac", "Megarthrus taiwanus", "Megarthrus tic", "Megarthrus adelphus", "Centaurea citricolor", "Arrox granulipennis", "Centaurea clementei", "Centaurea collina subsp. collina", "Clavidesmus metallicus", "Cherentes niveilateris", "Eudesmus posticalis", "Centaurea galicicae", "Eudesmus rubefactus", "Centaurea glastifolia subsp. glastifolia", "Galium hypocarpium subsp. titicacum", "Lachaerus fascinus", "Centaurea grbavacensis", "Bacuris sexvittatus", "Megarthrus kamerunensis", "Megarthrus magnicaudatus", "Megarthrus mahnerti", "Megarthrus major", "Megarthrus maniwaata", "Megarthrus merabet", "Hesycha inermicollis", "Megarthrus monticola", "Megarthrus mukankundiyeorum", "Megarthrus mwami", "Megarthrus nanus", "Megarthrus negus", "Megarthrus niloticus", "Centaurea kunkelii", "Hypsioma brabanti", "Tropidion buriti", "Tropidion jolyi", "Tropidion una", "Centaurea leucadea", "Megarthrus impressicollis", "Megarthrus parallelus", "Megarthrus scriptus", "Megarthrus shibatai", "Megarthrus bellevoyei", "Megarthrus chobauti", "Apamauta lineolata", "Apocoptoma chabrillacii", "Ischiocentra hebes", "Tantilla nigriceps", "Cordites pubescens", "Cacostola brasiliensis", "Cacostola flexicornis", "Cacostola fusca", "Cacostola ornata", "Megarthrus africanus", "Megarthrus apicicornis", "Megarthrus bantu", "Megarthrus basilewskyi", "Megarthrus clarkei", "Megarthrus congoensis", "Megarthrus dominicae", "Megarthrus falasha", "Megarthrus gigas", "Megarthrus horticola", "Megarthrus hutu", "Centaurea cheiranthifolia subsp. cheiranthifolia", "Centaurea furfuracea", "Cacostola vagelineata", "Neodillonia albisparsa", "Neodillonia waltersi", "Cylicasta mariahelenae", "Eudesmus caudalis", "Megarthrus ovalis", "Megarthrus panga", "Megarthrus ras", "Megarthrus rougemonti", "Megarthrus scotti", "Centaurea hyalolepis subsp. hyalolepis", "Megarthrus selenitus", "Megarthrus simienensis", "Megarthrus spinosus", "Megarthrus stylifer", "Megarthrus twa", "Megarthrus vanschuytbroecki", "Megarthrus watutsi", "Glypthaga lignosa", "Megarthrus wittei", "Hesycha consimilis", "Megarthrus zulu", "Ephiales cretacea", "Hesycha cribripennis", "Centaurea iberica subsp. iberica", "Hesychotypa jaspidea", "Neolampedusa lateralis", "Hesychotypa liturata", "Glypthaga xylina", "Megarthrus americanus", "Hesychotypa maculosa", "Megarthrus angulicollis", "Glypthaga paupercula", "Sinopalpus maculatus", "Neosclerus fortepunctatus", "Cirsium uzenense", "Ophthalmomorda mollis", "Cirsium vallis-demonii", "Mordellistena quadrinotatipennis", "Pulchrimorda fusca", "Neosclerus atsushii", "Epyris crassipes", "Bakeriella lata", "Bakeriella aurata", "Bakeriella sulcaticeps", "Carlina curetum subsp. curetum", "Crotalus scutulatus salvini", "Crotalus scutulatus scutulatus", "Carlina acanthifolia subsp. utzka", "Carlina salicifolia subsp. salicifolia", "Carlina sicula subsp. sicula", "Carlina vulgaris subsp. vulgaris", "Crotalus lepidus lepidus", "Crotalus lepidus klauberi", "Crotalus lepidus maculosus", "Compsibidion woodleyi", "Drycothaea dozieri", "Spergularia manicata", "Arizona elegans expolita", "Micruroides euryxanthus euryxanthus", "Micruroides euryxanthus australis", "Micruroides euryxanthus neglectus", "Micrurus distans oliveri", "Micrurus distans zweifeli", "Micrurus distans michoacanensis", "Micrurus distans distans", "Cardiocorax mukulu", "Antodice eccentrica", "Antodice suturalis", "Recchia albicans", "Apagomerina apicalis", "Zikanita egregia", "Dufauxia thomasi", "Irundisaua punctata", "Megarthrus strandi", "Cotyzineus bruchi", "Megarthrus arcuatus", "Megarthrus ashei", "Megarthrus atratus", "Megarthrus borealis", "Megarthrus excisus", "Megarthrus newtoni", "Eburia lanigera", "Megarthrus occidentalis", "Eburia lanigera lanigera", "Megarthrus pecki", "Eburia lanigera costaricensis", "Megarthrus pictus", "Eupogonius intonsus", "Megarthrus smetanai", "Megarthrus conformis", "Megarthrus conspirator", "Megarthrus constrictus", "Galissus nigrescens", "Megarthrus convexus", "Megarthrus denticollis", "Centaurea ilvensis", "Centaurea jacea subsp. jacea", "Megarthrus montanus", "Apenesia transversa", "Megarthrus sawadai", "Cotyschnolea minuta", "Mimasyngenes murutinga", "Megarthrus abessinus", "Stereomerus hovorei", "Estola timbauba", "Inermestoloides rumuara", "Hippopsis iuasanga", "Hippopsis araujoi", "Hippopsis arriagadai", "Centaurea ferox", "Hippopsis bivittata", "Hippopsis nigroapicalis", "Hippopsis brevicollis", "Hippopsis tibialis", "Hippopsis brevithorax", "Hesychotypa magnifica", "Hesychotypa maraba", "Sternycha ecuatoriana", "Tibiosioma maculosa", "Alexera secunda", "Cacostola strandi", "Agaritha iolaia", "Alexera barii", "Cecaibidion bivittatum", "Megarthrus dentipes", "Megarthrus depressus", "Eucharassus flavotibiale", "Megarthrus longicornis", "Eucharassus confusus", "Megarthrus maronitus", "Iaquira viridis", "Megarthrus nigrinus", "Megarthrus nitidulus", "Phacellus plurimaculatus", "Megarthrus prosseni", "Megarthrus serrula", "Xenofrea fulgida", "Xenofrea albofasciata", "Megarthrus stercorarius", "Ybyrarema irundisa", "Centaurea limbata", "Centaurea limbata subsp. limbata", "Centaurea linifolia", "Megarthrus alienus", "Megarthrus fijianus", "Megarthrus gressitti", "Megarthrus kuscheli", "Megarthrus peckorum", "Megarthrus anggiensis", "Megarthrus baliemensis", "Megarthrus riedeli", "Exalphus solangeae", "Centaurea raphanina", "Gorybia montana", "Estola operosa", "Apagomerina odettae", "Apagomerina faceta", "Punctozotroctes bolivianus", "Punctozotroctes nordestinus", "Punctozotroctes chemsaki", "Punctozotroctes feuilleti", "Punctozotroctes guianensis", "Punctozotroctes hovorei", "Punctozotroctes wappesi", "Psapharoctes hermieri", "Meridiotroctes meridionale", "Trichohippopsis unicolor", "Mauritia mauritiana", "Palpicrassus paulistanus", "Ischnolea bicolorata", "Centaurea nervosa subsp. nervosa", "Nesozineus peruanus", "Nesozineus puru", "Nesozineus clarkei", "Centaurea nevadensis", "Nesozineus giesberti", "Centaurea niederi", "Centaurea nigra subsp. nigra", "Micrurus remotus", "Centaurea nigrescens subsp. nigrescens", "Micrurus nebularis", "Micrurus catamayensis", "Centaurea nigrescens subsp. transalpina", "Micrurus meridensis", "Isomerida paraba", "Isomerida santamarta", "Panegyrtes clarkei", "Megarthrus balensis", "Megarthrus danieli", "Megarthrus harennaensis", "Makhaira rossica", "Thamnodynastes chimanta", "Erythrolamprus ingeri", "Atractus steyermarki", "Neusticurus racenisi", "Erythrolamprus trebbaui", "Atractus duidensis", "Atractus insipidus", "Atractus lancinii", "Atractus riveroi", "Gonatodes taniae", "Erythrolamprus zweifeli", "Erythrolamprus pseudocorallus", "Erythrolamprus mertensi", "Scaphiodontophis annulatus dugandi", "Anilius scytale phelpsorum", "Desmiphora dozieri", "Astenus melendizicus", "Jolyellus albomaculatus", "Esaguasu ocularis", "Astenus trisetulosus", "Astenus beirensis", "Oreodera curiosa", "Micrurus bogerti", "Oreodera triangularis", "Micrurus margaritiferus", "Oreodera tuberculifera", "Oreodera sensibilis", "Micrurus petersi", "Lecidea subleucothallina", "Lecidea subpaupercula", "Micrurus medemi", "Marauna bucki", "Marauna abati", "Micrurus brasiliensis", "Rhaphiptera boliviana", "Centaurea nervosa", "Ataxia cineracea", "Micrurus diana", "Monticalia ledifolia subsp. lehmannii", "Anolis paravertebralis", "Anolis umbrivagus", "Monticalia ledifolia subsp. ledifolia", "Corybas abditus", "Corybas abellianus", "Centaurea pallescens subsp. pallescens", "Centaurea paniculata subsp. paniculata", "Megarthrus oromo", "Megarthrus alesi", "Megarthrus fakir", "Megarthrus ivani", "Megarthrus saddu", "Megarthrus yeti", "Hypericum lancioides", "Xystochroma neglectum", "Centaurea pullata subsp. pullata", "Centaurea pulvinata", "Xystochroma gracilipes", "Centaurea ragusina subsp. ragusina", "Xystochroma femoratum", "Xystochroma incomptum", "Xystochroma echinatum", "Centaurea raphanina subsp. raphanina", "Centaurea phrygia subsp. pseudophrygia", "Centaurea polymorpha", "Colobothea denotata", "Colobothea caramaschii", "Colobothea delicata", "Trophon geversianus", "Colobothea subcincta", "Centaurea pubescens", "Centaurea pubescens subsp. pubescens", "Strangalia xanthomelaena", "Strangalia bivittata", "Centaurea saxicola subsp. saxicola", "Centaurea scabiosa subsp. scabiosa", "Centaurea stereophylla", "Ischioloncha rondonia", "Prosenella unicolor", "Catuaba sanguinolenta", "Bolitogyrus buphthalmus", "Pantonyssus suturale", "Bolitogyrus costaricensis", "Anelaphus colombianus", "Anelaphus sparsus", "Bolitogyrus erythrurus", "Bolitogyrus fulgidus", "Piezosecus tymaiuba", "Bolitogyrus pulchrus", "Gnomibidion variabile", "Bolitogyrus sallei", "Bolitogyrus salvini", "Bolitogyrus bullatus", "Piimuna gibbosa", "Bolitogyrus apicofasciatus", "Bolitogyrus ashei", "Migdolus brachypterus", "Palpibidion minimum", "Adetus subcostatus", "Adetus leucostigma", "Pericoptus corumbaensis", "Bolitogyrus electus", "Bolitogyrus uncus", "Bolitogyrus confusus", "Aegomorphus piraiuba", "Bolitogyrus huanghaoi", "Dufauxia simplex", "Drycothaea maculata", "Obereoides antennatus", "Temnopis fasciata", "Dihammaphoroides jauffreti", "Adetus tuberosus", "Mimasyngenes lucianae", "Mimasyngenes icuapara", "Espeletia killipii var. chisacana", "Espeletia killipii var. killipii", "Isoetes alcalophila", "Zarafasaura oceanis", "Isoetes escondidensis", "Adetus pulchellus", "Adetus irregularis", "Adetus flavescens", "Adetus modestus", "Adetus marmoratus", "Adetus multifasciatus", "Adetus lineatus", "Bolitogyrus tortifolius", "Bolitogyrus pseudotortifolius", "Bolitogyrus cornutus", "Bolitogyrus brevistellus", "Bolitogyrus bufo", "Bolitogyrus cheungi", "Bolitogyrus gracilis", "Bolitogyrus longistellus", "Bolitogyrus thomasi", "Bolitogyrus divisus", "Bolitogyrus falini", "Bolitogyrus inexspectatus", "Adetus linsleyi", "Adetus pacaruaia", "Bolitogyrus strigifrons", "Adetus pinima", "Bolitogyrus silex", "Bolitogyrus viridescens", "Bolitogyrus bechyneorum", "Bisaltes picticornis", "Bolitogyrus marquezi", "Bolitogyrus newtoni", "Bisaltes taua", "Bisaltes unicolor", "Centaurea panormitana", "Centaurea panormitana subsp. ucriae", "Tropidion terminatum", "Dodecaibidion bolivianum", "Pygmodeon maculatum", "Bolitogyrus nigropolitus", "Compsibidion elianae", "Bolitogyrus metallicus", "Compsibidion novalimae", "Centaurea parilica", "Compsibidion peti", "Compsibidion ybyra", "Compsibidion manauara", "Centaurea paui", "Compsibidion rubricolle", "Minibidion captiosus", "Centaurea pectinata", "Bolitogyrus nigerrimus", "Centaurea pectinata subsp. pectinata", "Bolitogyrus cyanipennis", "Bolitogyrus kitawakii", "Bolitogyrus caesareus", "Bolitogyrus proximus", "Bolitogyrus temburong", "Chlorida inexpectata", "Bolitogyrus rufipennis", "Jupoata germana", "Bolitogyrus carnifex", "Bolitogyrus pederseni", "Eburodacrys separata", "Eburodacrys cincora", "Corybas arachnoideus", "Corybas gibbifer", "Corybas ledermannii", "Bolitogyrus fukiensis", "Bolitogyrus loculus", "Bolitogyrus hainanensis", "Bolitogyrus solodovnikovi", "Bolitogyrus feai", "Bolitogyrus mulayitensis", "Bolitogyrus smetanai", "Bolitogyrus khasiensis", "Bolitogyrus himalayicus", "Bolitogyrus nanus", "Bolitogyrus pecki", "Bolitogyrus elegans", "Bolitogyrus ornatipennis", "Bolitogyrus doesburgi", "Centaurea phrygia subsp. phrygia", "Bolitogyrus signatus", "Bolitogyrus depressus", "Corybas vinosus", "Centaurea nigrescens subsp. vochinensis", "Canarana exotica", "Nyctonympha carioca", "Euryestola castanea", "Hormathus giesberti", "Eburia pseudostigma", "Erythrolamprus williamsi", "Ataxia hovorei", "Atimiola rickstanleyi", "Drycothaea indistincta", "Braderochus hovorei", "Hypericum lancioides subsp. congestiflorum", "Braderochus dentipes", "Centaurea reflexa", "Centaurea reflexa subsp. reflexa", "Heilipus odoratus", "Coccoderus novempunctatus", "Coccoderus bisignatus", "Coccoderus sexmaculatus", "Coccoderus amazonicus", "Coccoderus guianensis", "Coccoderus biguttatus", "Centaurea sphaerocephala subsp. sphaerocephala", "Agniolophia trivittata", "Agniolophia schurmanni", "Albapomecyna alboplagiata", "Alidopsis latefasciatus", "Hypselotropis apollinaris", "Centaurea solstitialis subsp. adamii", "Hypselotropis suffusa", "Hypselotropis prasinata", "Hypselotropis speciosa", "Hypselotropis subvittata", "Hypselotropis rosenbergi", "Hypselotropis vittata", "Centaurea prespana", "Hypselotropis compressicornis", "Hypselotropis colombiana", "Unabiara collaris", "Hypselotropis limodes", "Centaurea scabiosa subsp. alpestris", "Centaurea scabiosa subsp. apiculata", "Centaurea scabiosa subsp. sadleriana", "Hypselotropis albata", "Centaurea seridis subsp. seridis", "Centaurea sicana", "Hypselotropis conicollis", "Hypselotropis punctulata", "Centaurea sicula", "Hypselotropis annulicornis", "Anomochloa marantoidea", "Hypselotropis pectoralis", "Hypselotropis batesi", "Hypselotropis pustulata", "Centaurea sicula subsp. sicula", "Coccoderus speciosus", "Coccoderus longespinicornis", "Coccoderus sexguttatus", "Coccoderus sicki", "Centaurea raphanina subsp. mixta", "Centaurea rhaetica", "Sympleurotis wappesi", "Sympleurotis albofasciatus", "Centaurea rupestris", "Sympleurotis rudis", "Sympleurotis armatus", "Ideratus nactus", "Ideratus sagdus", "Tersicoccus solisilvae", "Trichoanoreina albomaculata", "Trestoncideres albiventris", "Scaphiodontophis annulatus", "Trestonia morrisi", "Oncideres wappesi", "Corybas unguiculatus", "Centaurea stoebe subsp. stoebe", "Alidus biplagiatus", "Anobrium wappesi", "Xenofrea wapperi", "Cotycicuiara wappesi", "Nesozineus wappesi", "Aegomorphus wappesi", "Coleoxestia beckeri", "Bulbophyllum recurvilabre", "Arca noae", "Lithoxus jariensis", "Lithoxus raso", "Psephellus absinthifolius", "Psephellus galactochroa", "Psephellus pyrroblepharus", "Vulcanolepas buckeridgei", "Liburnascincus artemis", "Oncioderes obliqua", "Centaurea thuillieri", "Oncioderes picta", "Oncioderes rondoniae", "Centaurea toletana", "Ucai nascimentoi", "Centaurea triumfettii subsp. triumfettii", "Centaurea variegata", "Estola acrensis", "Eupogonius brevifascia", "Mimosticus viridipennis", "Mimosticus tenuiformis", "Mimosticus aeneipennis", "Mimosticus sharpi", "Mimosticus pseudosharpi", "Disgregus bezarki", "Mimosticus latens", "Centaurea triumfettii subsp. cana", "Eupogonius lateralis", "Centaurea pinnatifida", "Estola nigrodorsalis", "Centaurea pinnatifida subsp. pinnatifida", "Mimopogonius hirsutus", "Cretoxyporus extraneus", "Protoxyporus grandis", "Tulcus diaphorus", "Tulcus amazonicus", "Tulcus crudus", "Tulcus distinctus", "Tulcus fulvofasciatus", "Tulcus hebes", "Tulcus liturus", "Tulcus lycimnius", "Tulcus obliquefasciatus", "Tulcus pallidus", "Tulcus pullus", "Tulcus somus", "Tulcus thysbe", "Tulcus subfasciatus", "Tulcus signaticorne", "Tulcus tigrinatus", "Tulcus dimidiatus", "Tulcus paganus", "Tulcus pepoatus", "Bolitogyrus vietnamensis", "Ectenessa affinis", "Compsibidion maculatum", "Compsibidion ytu", "Ideratus beatus", "Aerenea gibba", "Mimasyngenes barbozai", "Cacostola exilis", "Callia marginata", "Callia punctata", "Callia annulata", "Callia tristis", "Corybas acutus", "Callia divisa", "Callia lissonota", "Corybas aduncus", "Callia tomentosa", "Callia paraguaya", "Corybas albipurpureus", "Corybas amungwiwensis", "Corybas annamensis", "Bolitogyrus elegantulus", "Bolitogyrus phukhieo", "Bolitogyrus magnimaculosus", "Bolitogyrus nokrek", "Bolitogyrus lasti", "Bolitogyrus tigris", "Bolitogyrus luteus", "Bolitogyrus sepilok", "Bolitogyrus pictus", "Bolitogyrus schillhammeri", "Bolitogyrus rougemonti", "Bolitogyrus profundus", "Bolitogyrus concavus", "Bolitogyrus vulneratus", "Bolitogyrus flavus", "Bolitogyrus rufomaculatus", "Bolitogyrus tumidus", "Bolitogyrus taiwanensis", "Geodia atlantica", "Pescolinus schmidti", "Pescolinus varablanquesis", "Neopescolinus nevermanni", "Estoloides morrisi", "Estoloides giesberti", "Estoloides uyucana", "Estoloides aquilonius", "Cheirolophus arbutifolius", "Cheirolophus canariensis", "Cheirolophus burchardii", "Pseudostellaria heterantha", "Cheirolophus falcisectus", "Tulcoides tibialis", "Cheirolophus intybaceus", "Cheirolophus intybaceus subsp. intybaceus", "Cheirolophus junonianus", "Cheirolophus mansanetianus", "Rapala manea odemo", "Bulbophyllum pustulatum", "Ochrilidia nuragica", "Brunfelsia grandiflora subsp. schultesii", "Brunfelsia grandiflora subsp. grandiflora", "Luciocephalus pulcher", "Luciocephalus aura", "Pseudestoloides affinis", "Pseudestoloides rubiginosa", "Pseudestoloides hiekei", "Pseudestoloides costaricensis", "Centaurea valesiaca", "Pseudestoloides bingkirki", "Spinestoloides monticola", "Spinestoloides benardi", "Spinestoloides hefferni", "Centaurothamnus maximus", "Estoloides vandenberghei", "Estoloides maesi", "Estoloides nayeliae", "Pescolinus aeneus", "Estoloides noguerai", "Pescolinus cartagensis", "Estoloides schusteri", "Pescolinus costaricensis", "Estoloides chiapensis", "Pescolinus montanus", "Estoloides pubescens", "Pescolinus moyae", "Estoloides dthomasi", "Pescolinus palmatus", "Corybas calcicola", "Corybas callifer", "Sybaguasu mirim", "Corybas arfakensis", "Corybas aristatus", "Picumnus exilis undulatus", "Corybas bancanus", "Corybas barbarae", "Corybas betchei", "Corybas betsyae", "Picumnus squamulatus obsoletus", "Corybas boridiensis", "Centaurea napulifera subsp. napulifera", "Corybas bryophilus", "Alphus marinonii", "Tulcus picticornis", "Nordus aeneipennis", "Rapala varuna tacita", "Nordus amphivolos", "Nordus banghaasi", "Tulcus pigrus", "Bucoides erichsoni", "Nordus championi", "Bucoides exotica", "Nordus cherylae", "Bucoides montana", "Hesychotypa balia", "Nordus densiventris", "Proplerodia goyana", "Nordus dichromos", "Proplerodia piriana", "Nordus diversiventris", "Nordus elegans", "Nordus elytisi", "Trachysomus wappesi", "Nordus facialis", "Trachysomus clarkei", "Oncideres immensa", "Oncideres cephalotes", "Oncideres errata", "Ectenessa andrei", "Neoptychodes cosmeticus", "Venustus zeteki", "Venustus analogus", "Oncideres mirim", "Canarana roseicollis", "Klasea flavescens subsp. caucasica", "Cotycuara albomarginata", "Pseudolathra borneensis", "Pseudolathra lanceolata", "Klasea leptoclada", "Lobrathium quadrum", "Klasea nudicaulis", "Lobrathium rutilum", "Klasea lycopifolia", "Sybaguasu cupreum", "Klasea pinnatifida", "Gagarinia melasma", "Adesmus paradiana", "Adesmoides flava", "Nordus testaceus", "Nordus velitaris", "Cheirolophus massonianus", "Nordus xanthocerus", "Nordus zischkai", "Cheirolophus tagananensis", "Cheirolophus teydis", "Nihon laevispermum", "Gorybia tuberosa", "Gorybia asyka", "Gorybia longithorax", "Gorybia inarmata", "Gorybia guenda", "Picumnus exilis buffonii", "Gorybia alveolata", "Gorybia abnormalis", "Gorybia florida", "Gorybia wappesi", "Compsosoma monnei", "Desmiphora auatinga", "Nordus fungicola", "Djupedalia engeri", "Nordus gebieni", "Acakyra iaguara", "Nordus major", "Anningasaura lymense", "Nordus nigroscutellatus", "Caciomorpha susua", "Nordus omios", "Nordus periergos", "Albertonectes vanderveldei", "Nordus picticornis", "Nordus portokalis", "Caciomorpha palliata", "Nordus seferisi", "Nordus semelius", "Nordus solitarius", "Parapercis altipinnis", "Schistura stala", "Thayeria tapajonica", "Hypostomus velhochico", "Navigobius kaguya", "Adesmiella cordipicta", "Nordus speciosus", "Nordus stomachoponos", "Nordus terminalis", "Potiapunga lata", "Cotyabanycha ocularis", "Eranina sororcula", "Eranina pallida", "Tarapiampa antennata", "Adesmus alboniger", "Adesmus swifti", "Adesmus simile", "Mexicoscylus nigritarse", "Mexicoscylus rosae", "Mexicoscylus bivittatus", "Adesmus beruri", "Cotycuara villosa", "Phoebe parvimacula", "Klasea flavescens", "Klasea flavescens subsp. flavescens", "Mangleticornia ecuadorensis", "Klasea flavescens subsp. mucronata", "Iatuca brevicornis", "Brown greater galago prosimian foamy virus", "Puma feline foamy virus", "Botrytis cinerea betaendornavirus 1", "Isoetes amazonica", "Plectocephalus cachinalensis", "Micrurus dissoleucus", "Micrurus altirostris", "Isoetes andicola", "Micrurus baliocoryphus", "Bovine associated bovismacovirus 1", "Bovine associated bovismacovirus 2", "Dragonfly associated bovismacovirus 1", "Bovine associated cosmacovirus 1", "Dragonfly associated dragsmacovirus 1", "Tyrinthia dioneae", "Klasea serratuloides", "Klasea serratuloides subsp. serratuloides", "Bluegill hepatitis B virus", "Tibetan frog hepatitis B virus", "Essostruthella acatinga", "Bopivirus A", "Mantisalca duriaei", "Hemilomecopterus alienus", "Bornean orangutan simian foamy virus", "Central cimpanzee simian foamy virus", "Eastern chimpanzee simian foamy virus", "Grivet simian foamy virus", "Guenon simian foamy virus", "Spider monkey simian foamy virus", "Squirrel monkey simian foamy virus", "Western lowland gorilla simian foamy virus", "White-tufted-ear marmoset simian foamy virus", "Japanese macaque simian foamy virus", "Taiwanese macaque simian foamy virus", "Adesmus murutinga", "Rhesus macaque simian foamy virus", "Western chimpanzee simian foamy virus", "Yellow-breasted capuchin simian foamy virus", "Mantisalca salmantica", "Hemiloapis endyba", "Hemiloapis ybyra", "Murupeaca tavakiliani", "Mariliana cicadellida", "Mariliana amazonica", "Eranina septuosa", "Eranina rosea", "Hemiloapis yandaira", "Pseudolathra cylindrata", "Pseudolathra superficiaria", "Pseudolathra lineata", "Pseudolathra regularis", "Quirimbaua castroi", "Icupima taua", "Lissohypnus fullertoni", "Bovine associated drosmacovirus 1", "Camel associated drosmacovirus 1", "Camel associated drosmacovirus 2", "Bovine associated huchismacovirus 1", "Bovine associated huchismacovirus 2", "Chicken associated huchismacovirus 1", "Chicken associated huchismacovirus 2", "Human associated huchismacovirus 1", "Human associated huchismacovirus 2", "Human associated huchismacovirus 3", "Bovine associated porprismacovirus 1", "Camel associated porprismacovirus 3", "Chimpanzee associated porprismacovirus 2", "Human associated porprismacovirus 2", "Porcine associated porprismacovirus 2", "Gorilla associated porprismacovirus 1", "Porcine associated porprismacovirus 6", "Porcine associated porprismacovirus 9", "Sheep associated porprismacovirus 2", "Turkey associated porprismacovirus 1", "Sheep associated porprismacovirus 1", "Porcine associated porprismacovirus 8", "Porcine associated porprismacovirus 5", "Human associated porprismacovirus 1", "Camel associated porprismacovirus 2", "Camel associated porprismacovirus 1", "Camel associated porprismacovirus 4", "Howler monkey associated porprismacovirus 1", "Lemur associated porprismacovirus 1", "Porcine associated porprismacovirus 3", "Porcine associated porprismacovirus 7", "Porcine associated porprismacovirus 10", "Sheep associated porprismacovirus 3", "Chimpanzee associated porprismacovirus 1", "Porcine associated porprismacovirus 1", "Porcine associated porprismacovirus 4", "Rat associated porprismacovirus 1", "Cacao mild mosaic virus", "Cacao yellow vein banding virus", "Cometes melzeri", "Arietocometes wappesi", "California reptarenavirus", "Giessen reptarenavirus", "Golden reptarenavirus", "Ordinary reptarenavirus", "Rotterdam reptarenavirus", "Haartman hartmanivirus", "Callistephus mottle virus", "Carnivore amdoparvovirus 3", "Carnivore amdoparvovirus 4", "Plectocephalus tweediei", "Oxybleptes meridionalis", "Lissohypnus texanus", "Eyiaba picta", "Eyiaba itapetinga", "Adetus jacareacanga", "Parmenonta dominicana", "Salicornia quinqueflora subsp. tasmanica", "Euplectus baizakovi", "Pantomallus titinga", "Crohivirus A", "Crohivirus B", "Brachygluta belfragei", "Eclipta dendensis", "Rhaponticum centauroides", "Coleoxestia diamantina", "Rhaponticum heleniifolium", "Rhaponticum heleniifolium subsp. heleniifolium", "Rhaponticum repens subsp. repens", "Mirador bravoi", "Compsibidion antonietae", "Amphicnaeia quadrifasciata", "Rhaponticum canariense", "Pliocercus elapoides", "Serratula tinctoria subsp. tinctoria", "Serratula tinctoria subsp. seoanei", "Serratula tinctoria subsp. monticola", "Thamnophis validus celaeno", "Dendrocolaptes certhia juruanus", "Dendrocolaptes certhia concolor", "Dendrocolaptes certhia radiolatus", "Dendrocolaptes certhia ridgwayi", "Dendrocolaptes certhia retentus", "Rhaponticum scariosum subsp. scariosum", "Rhadinaea vermiculaticeps", "Rhaponticum scariosum subsp. rhaponticum", "Malthonea keili", "Thamnodynastes hypoconia", "Erythrolamprus breviceps", "Hypsiglena ochrorhyncha", "Dendrobium suzukii", "Artemisia subg.", "Serratula coronata subsp. coronata", "Trimorphodon lyrophanes", "Stizocera asyka", "Carnivore bocaparvovirus 4", "Stizocera armata", "Carnivore bocaparvovirus 5", "Chiropteran bocaparvovirus 4", "Ungulate bocaparvovirus 6", "Lagomorph bocaparvovirus 1", "Carnivore bocaparvovirus 6", "Chiropteran bocaparvovirus 3", "Chiropteran bocaparvovirus 1", "Chiropteran bocaparvovirus 2", "Stizocera armigera", "Stizocera atiaia", "Chiropteran protoparvovirus 1", "Eulipotyphla protoparvovirus 1", "Primate protoparvovirus 2", "Primate protoparvovirus 3", "Rodent protoparvovirus 3", "Ungulate protoparvovirus 2", "Stizocera bisignata", "Salicornia quinqueflora subsp. quinqueflora", "Chickpea yellow dwarf virus", "Dragonfly-associated mastrevirus", "Sporobolus striate mosaic virus 1", "Sweet potato symptomless virus 1", "Sporobolus striate mosaic virus 2", "Sugarcane chlorotic streak virus", "Sugarcane striate virus", "Cycnidolon immaculatum", "Maize yellow mosaic virus", "Pepo aphid-borne yellows virus", "Aphiliops asiaticus", "Rosalbopsis wappesi", "Eupogonius obrienorum", "Brachygluta iranica", "Scirtes rutai", "Brachygluta cavicornis", "Micrurus isozonus", "Aspidura trachyprocta", "Tantilla reticulata", "Brachygluta curvicera", "Cnaphalocrocis medinalis granulovirus", "Mythimna unipuncta granulovirus A", "Mythimna unipuncta granulovirus B", "Cnidoscolus mosaic leaf deformation virus", "Coccinia mosaic Tamil Nadu virus", "Common bean mottle virus", "Brachygluta luniger", "Common bean severe mosaic virus", "Cotton leaf curl Barasat virus", "Cotton yellow mosaic virus", "Coccinia mottle virus", "Brachygluta miccosukee", "Coconut foliar decay alphasatellite", "Brachygluta abdominalis", "Common midwife toad virus", "Rhaponticum carthamoides subsp. carthamoides", "Ischnoleomimus arriagadai", "Blabicentrus bellus", "Euestola obliqua", "Rhaponticum acaule", "Rhaponticum australe", "Allotigrinestola sundbergi", "Tigrinestola nearnsi", "Chironomus riparius virus 1", "Hubei chipolycivirus", "Hubei hupolycivirus", "Formica exsecta virus 3", "Lasius neglectus virus 1", "Lasius neglectus virus 2", "Lasius niger virus 1", "Linepithema humile virus 2", "Monomorium pharaonis virus 1", "Solenopsis invicta virus 4", "Monomorium pharaonis virus 2", "Myrmica scabrinodis virus 1", "Shuangao insect virus 8", "Solenopsis invicta virus 2", "Lingafelterellus clarkei", "Lingafelterellus birai", "Volutaria canariensis", "Trissemus socotranus", "Volutaria crupinoides", "Articerodes syriacus", "Volutaria lippii", "Volutaria lippii subsp. lippii", "Volutaria maroccana", "Epicaris bezdeki", "Volutaria muricata", "Daphne virus Y", "Impatiens flower break virus", "Pecan mosaic-associated virus", "Sunflower ring blotch virus", "Tobacco mosqueado virus", "Wild onion symptomless virus", "Volutaria tubuliflora", "Deer atadenovirus A", "Deer mastadenovirus B", "Dolphin mastadenovirus B", "Brachygluta seri", "Brachygluta chisos", "Plocaederus confusus", "Plocaederus fasciatus", "Plocaederus pisinnus", "Plocaederus glaberrimus", "Tecticornia leptoclada subsp. inclusa", "Potiaxixa intermedia", "Dendrocolaptes certhia certhia", "Coleoxestia aurigena", "Coleoxestia errata", "Coleoxestia exotica", "Coleoxestia fasciola", "Coleoxestia guttula", "Coleoxestia nigripes", "Coleoxestia waterhousei", "Brachygluta cochimi", "Brachygluta kiowa", "Brachygluta klamath", "Brachygluta mayo", "Brachygluta mormon", "Trissemus maroccanus", "Trissemus maroccanus wittmeri", "Golbachia rufa", "Pseudoboa neuwiedii", "Echinops giganteus", "Isoetes andina", "Isoetes araucaniana", "Pseudoboa martinsi", "Pseudoboa serrana", "Ptilotus actinocladus", "Paraeclipta ecuadorensis", "Odontocera magnifica", "Lygrocharis setosus", "Achryson meridionale", "Stizolophus balsamita", "Achryson peracchii", "Achryson uniforme", "Hibbertia pubens", "Hibbertia squarrosa", "Tricholepis amplexicaulis", "Tecticornia willisii", "Brachygluta floridana", "Callichroma magnificum", "Tricholepis glaberrima", "Brachygluta intermedia", "Brachygluta shawnee", "Brachygluta ulkei", "Monnechroma uniforme", "Brachygluta corniventris", "Brachygluta dentata", "Brachygluta lareaui", "Brachygluta tamaulipec", "Brachygluta eldredgei", "Brachygluta foveata", "Atiaia testaceicornis", "Jupoata garbei", "Brachygluta texana", "Brachygluta arguta", "Brachygluta elegans", "Jupoata gigas", "Jupoata paraensis", "Jupoata robusta", "Brachygluta terebrata", "Brachygluta wickhami", "Brachygluta infinita", "Xylophilus hylocharoides", "Dicoma anomala", "Dinoroseobacter virus DFL12", "Dicoma anomala subsp. anomala", "Escherichia virus Pollock", "Salmonella virus", "Salmonella virus", "Melledobythus bilandzijae", "Dioscorea bacilliform RT virus 1", "Dioscorea bacilliform RT virus 2", "Dioscorea bacilliform TR virus", "Macledium zeyheri", "Dicoma zeyheri subsp. zeyheri", "Dioscorea mosaic associated virus", "Dyokappapapillomavirus 3", "Dyokappapapillomavirus 4", "Dyokappapapillomavirus 5", "Dyoxipapillomavirus 2", "Xylophilus laosianus", "Simian mastadenovirus I", "Squirrel mastadenovirus A", "Deinbollia mosaic virus", "Desmodium mottle virus", "Duranta leaf curl virus", "Euphorbia mosaic Peru virus", "Euphorbia yellow leaf curl virus", "Hollyhock yellow vein mosaic virus", "Jacquemontia yellow mosaic virus", "Jatropha leaf curl Gujarat virus", "Jatropha leaf yellow mosaic virus", "Lisianthus enation leaf curl virus", "Lycianthes yellow mosaic virus", "Macroptilium bright mosaic virus", "Macroptilium common mosaic virus", "Malvastrum bright yellow mosaic virus", "Mirabilis leaf curl virus", "Malvastrum yellow vein Cambodia virus", "Melochia mosaic virus", "Melochia yellow mosaic virus", "Echinops polyceras", "Deltapapillomavirus 7", "Salmonella virus SKML39", "Dickeya virus RC2014", "Dendrobium sutepense", "Salmonella virus 38", "Salmonella virus GG32", "Salmonella virus PM10", "Parasphaerichthys lineatus", "Parasphaerichthys ocellatus", "Thrixspermum saruwatarii", "Fornax dixiensis", "Dromaeolus comayaguiensis", "Echinops sphaerocephalus subsp. sphaerocephalus", "Asiocnemes bicolor", "Salicornia cuscoensis", "Nematodes africanus", "Ctenisomorphus major", "Echinops spinosissimus subsp. spinosissimus", "Miruantennus chinensis", "Miruantennus cuneiformis", "Echinops tjanschanicus", "Centrophthalmus scanticola", "Miruantennus basalis", "Echinops babatagensis", "Coelogyne magnifica", "Feaia geiseri", "Mesogenus harmandi", "Mesogenus laosianus", "Poecilochrus piceus", "Poecilochrus cordieri", "Poecilochrus striatus", "Agastocerus frontalis", "Philonthus arrowianus", "Philonthus chappuisi", "Galbites nigrita", "Philonthus currax", "Galbimorpha ferruginea", "Galbimorpha quadricollis", "Philonthus galago", "Galbimorpha curta", "Arctotis decurrens", "Philonthus meges", "Philonthus trilobatus", "Arctotis hirsuta", "Arctotis leiocarpa", "Cymbonotus lawsonianus", "Cymbonotus preissianus", "Henecocerus angusticollis", "Eudorus javanicus", "Chapianus monilicornis", "Heterotaxis elongata", "Procladidus coomani", "Melocactus curvispinus subsp. koolwijkianus", "Gabrius lethifer", "Gabrius negus", "Gabrius obnixus", "Gabrius ramifer", "Gabrius vulcanus", "Rhagomicrus cylindriformis", "Rhagomicrus haucki", "Rhagomicrus tibialis", "Siniugum houaphanensis", "Microrhagus bolavenensis", "Microrhagus entomophthalmoides", "Microrhagus rufoantennatus", "Microrhagus rufus", "Microrhagus walkeri", "Brachylaena discolor", "Brachylaena elliptica", "Paphiopedilum bungebelangi", "Brachylaena neriifolia", "Brachylaena discolor var. rotundata", "Brachylaena discolor var. transvaalensis", "Corybas calopeplos", "Brachylaena uniflora", "Corybas calophyllus", "Corybas calophyllus var. calophyllus", "Corybas calophyllus var. sepalinus", "Bioxylus barclayi", "Aphanommata kuscheli", "Bioxylus castaneus", "Aphanommata strakai", "Bioxylus granulatus", "Pseudoboa coronata", "Hylis parallelus", "Balistica cuneiforma", "Erythrocephalum zambesianum", "Gabrius amadina", "Oldenburgia grandis", "Gabrius lepidina", "Oldenburgia paradoxa", "Gabrius amans", "Oldenburgia papionum", "Gabrius coryndoni", "Gabrius dolosus", "Gabrius flexuellus", "Gabrius huendus", "Corybas carinatus", "Acanthoceras rhotomagensis", "Acanthohoplites hannoverensis", "Allocrioceras pariense", "Dirrhagofarsus foveicollis", "Prodirhagus kresli", "Sarpedon apicalis", "Scopulifer asiaticus", "Scopulifer laosianus", "Dendrocharis intermedia", "Dendrocharis rouyeri", "Arisus bituberculatus", "Arisus castelnaui", "Arisus orientalis", "Arisus wicardi", "Euryostus asiaticus", "Berkheya herbacea", "Berkheya rhapontica", "Berkheya rhapontica subsp. rhapontica", "Berkheya spinosissima subsp. spinosissima", "Dymondia margaretae", "Eccoptolonthus apsilus", "Eccoptolonthus bafutensis", "Eccoptolonthus conradti", "Eccoptolonthus eccoptomus", "Eccoptolonthus natalensis", "Eccoptolonthus proselytus", "Haplocarpha rueppelii", "Haplocarpha scaposa", "Eccoptolonthus tauraco", "Eccoptolonthus tyto", "Eccoptolonthus varanus", "Philonthus ichor", "Berkheya armata", "Berkheya carlinopsis", "Berkheya carlinopsis subsp. carlinopsis", "Berkheya cirsiifolia", "Gazania lichtensteinii", "Hodocerus ceratoides", "Hodocerus malaisiensis", "Melanoscython monilicornis", "Gabronthus maritimus", "Melanoscython ohmomoi", "Gazania pectinata", "Scython apicalis", "Caecilia museugoeldi", "Cullumia ciliaris", "Cullumia ciliaris subsp. ciliaris", "Cuspidia cernua", "Cuspidia cernua subsp. cernua", "Philonthus rubrovittatus", "Didelta carnosa", "Philonthus taterae", "Didelta spinosa", "Semnodema harmandi", "Philonthus wittei", "Semnodema punctata", "Gazania krebsiana subsp. krebsiana", "Gabrius definitus", "Gabrius dubiosus", "Gabrius elypticus", "Gabrius gerardi", "Macroscython coomani", "Gabrius gongulus", "Macroscython granulosus", "Gabrius rudiventris", "Gabrius separatus", "Gazania rigida", "Pseudoisarthrus annamensis", "Gabronthus heterocerus", "Gabronthus kamatembeanus", "Spinifornax nigridorsus", "Spinifornax pacholatkoi", "Spinifornax striatus", "Serrifornax brevicollis", "Eccoptolonthus laevigatus", "Eccoptolonthus roepkei", "Gorteria personata subsp. personata", "Microrhagus pyrenaeus", "Belonuchus admirabilis", "Belonuchus applanatus", "Belonuchus coomani", "Belonuchus obvelatus", "Belonuchus grandiceps", "Belonuchus imitator", "Monochaetum myrtoideum", "Clypeorhagus elongatus", "Dirrhagofarsus ferrugineus", "Chondrilla chondrilloides", "Belonuchus puncticulus", "Belonuchus punctifrons", "Willemetia stipitata", "Belonuchus rufoniger", "Willemetia stipitata subsp. stipitata", "Phygopoda longiscopifera", "Phygopoda boliviensis", "Phygopoda chaquensis", "Bisnius eidmanni", "Jungia calyculata", "Chthonerpeton tremembe", "Tolpis coronopifolia", "Ceratus antennatus", "Gorteria diffusa", "Ceratus phoupaniensis", "Gorteria diffusa subsp. diffusa", "Fornax attenuatus", "Fornax differens", "Fornax rotundicollis", "Fornax vestitus", "Fornax collega", "Fornax incisus", "Fornax morosus", "Fornax subacuminatus", "Gorteria diffusa subsp. calendulacea", "Fornax astriatus", "Fornax brancuccii", "Fornax carinicollis", "Fornax oudomxaiensis", "Fornax phoupaniensis", "Fornax rufoantennatus", "Raapia sauteri", "Dorsifornax borikhamxaiensis", "Xylofornax dromaeoloides", "Xylofornax piceus", "Gorteria alienata", "Eccoptolonthus eustilbus", "Eccoptolonthus luteus", "Eccoptolonthus pedatiformis", "Eccoptolonthus rutiliventris", "Eccoptolonthus sparsipunctatus", "Eccoptolonthus tripartitus", "Microrhagus nikitskyi", "Microrhagus vicarius", "Tolpis glabrescens", "Microcaecilia marvaleewakeae", "Corybas carinulifer", "Corybas caudatus", "Corybas cerasinus", "Corybas comptus", "Corybas confusus", "Corybas crenulatus", "Tachypeles lecordieri", "Tachypeles bechynei", "Tolpis succulenta", "Hesperus watanabei", "Hybridolinus baoxingensis", "Hybridolinus fengyangshanus", "Hybridolinus decipiens", "Hybridolinus smetanai", "Hybridolinus daliensis", "Hybridolinus similis", "Hybridolinus jizushanus", "Hybridolinus singularis", "Hybridolinus hesperoides", "Hybridolinus diabolicus", "Hoploscaphites youngi", "Crepis conyzifolia subsp. conyzifolia", "Leistus yajiangicus", "Leistus pseudosabdeicus", "Leistus janataicus", "Leistus cylindricus", "Leistus colpodes", "Leistus dreuxi", "Leistus wuduensis", "Percnostola rufifrons subcristata", "Trechisibus baragani", "Hesperus babai", "Hesperus taiwanensis", "Leistus yanyuanensis", "Crepis albida", "Leistus wolong", "Crepis aurea subsp. aurea", "Hieracium aureum", "Leistus wolong wolong", "Leistus wolong lixianensis", "Leistus wolong jiajinensis", "Leistus cyanioripennis", "Leistus rilongicus", "Leistus sehnali", "Crepidiastrum platyphyllum", "Filicerozaena bravoi", "Filicerozaena toureti", "Filicerozaena flava", "Filicerozaena chiriboga", "Bisnius protenus", "Goniotropis seriatoporus", "Goniotropis roubaudi", "Goniotropis cartagoensis", "Crepidiastrum sonchifolium", "Proozaena lata", "Proozaena nigricornis", "Crepidiastrum sonchifolium subsp. sonchifolium", "Bisnius macies", "Tachypeles boulardi", "Tachypeles davidsoni", "Tachypeles durantoni", "Tachypeles hudsoni", "Tachypeles moretianus", "Tachypeles parallelipipedus", "Tachypeles perraulti", "Tachypeles rossii", "Tachypeles troglobioticus", "Tachypeles degallieri", "Tachypeles moraguesi", "Tachypeles moretellus", "Tachypeles seriatopunctatoides", "Tachypeles shushufindiensis", "Tachypeles mitaraka", "Tachypeles mantillerii", "Tachypeles perditus", "Tachypeles simulans", "Tolpis webbii", "Goniotropis touroulti", "Goniotropis constantini", "Bisnius fimetarius", "Crepidiastrum chelidoniifolium", "Pachyteles cartagoensis", "Pachyteles costaricensis", "Pachyteles trinidadensis", "Bisnius potanini", "Crepis fraasii subsp. fraasii", "Crepis froelichiana subsp. froelichiana", "Corybas cyclopensis", "Corybas cymatilis", "Corybas dentatus", "Crepis jacquinii subsp. jacquinii", "Corybas despectans", "Crepis modocensis subsp. modocensis", "Pterichis triloba", "Gisilia melanobasis", "Crepis mollis subsp. mollis", "Gisilia tamrae", "Gisilia thoracista", "Heterachthes antonkozlovi", "Queensland carbovirus", "Southwest carbovirus", "Taeniotes antonkozlovi", "Enterovirus K", "Enterovirus L", "Amphelictus antonkozlovi", "Epsilonpapillomavirus 2", "Craspedomerus beckeri", "Crepis runcinata subsp. runcinata", "Monneellus semilunatus", "Crepis sancta subsp. sancta", "Celestus enneagrammus", "Kozlovellus bicolor", "Coleoxestia clarkei", "Crepis foliosa", "Hieracium nobile", "Hieracium pilosum", "Hieracium valdepilosum", "Crepis vesicaria subsp. vesicaria", "Crepis vesicaria subsp. taraxacifolia", "Monochaetum cinereum", "Corybas diversifolius", "Craspedomerus cyanipennis", "Craspedomerus ganeshensis", "Amphelictus aielloae", "Amphelictus curoei", "Amphelictus fortunensis", "Amphelictus fuscipennis", "Amphelictus gilloglyi", "Amphelictus hovorei", "Amphelictus parvipunctus", "Amphelictus scabrosus", "Craspedomerus glenoides", "Amphelictus aibussu", "Amphelictus astales", "Amphelictus caliginosus", "Amphelictus hispidus", "Craspedomerus sinetuber", "Amphelictus potiaiuba", "Amphelictus secus", "Crepis neglecta subsp. neglecta", "Craspedomerus violaceipennis", "Crepis occidentalis subsp. occidentalis", "Amphelictus bicolor", "Amphelictus cribripennis", "Amphelictus milleri", "Amphelictus panamensis", "Erwinia virus Asesino", "Amphelictus melas", "Erwinia virus EaH2", "Amphelictus rugiscapus", "Erwinia virus Ea2809", "Klebsiella virus 0507KN21", "Serratia virus IME250", "Serratia virus MAM1", "Erwinia virus Machina", "Amphelictus abaiba", "Amphelictus brevidens", "Amphelictus castaneus", "Miobdelus wolongensis", "Miobdelus wangi", "Amphelictus jumerim", "Erythrura gouldiae polyomavirus 1", "Lonchura maja polyomavirus 1", "Amphelictus novellus", "Miobdelus chrysanthemoides", "Miobdelus chrysochromatus", "Miobdelus baoxingensis", "Crepis pannonica subsp. pannonica", "Escherichia virus DE3", "Escherichia virus HK629", "Escherichia virus HK630", "Miobdelus atricornis", "Miobdelus biseriatus", "Miobdelus caelestis", "Escherichia virus HK75", "Escherichia virus HK106", "Escherichia virus HK446", "Escherichia virus HK542", "Escherichia virus HK544", "Escherichia virus HK633", "Escherichia virus mEp234", "Escherichia virus mEpX1", "Escherichia virus mEpX2", "Miobdelus gemellus", "Miobdelus inornatus", "Crepis praemorsa subsp. praemorsa", "Dinothenarus insignitus", "Dinothenarus insolens", "Miobdelus kubani", "Miobdelus lacustris", "Miobdelus purpurascens", "Miobdelus aureonotatus", "Miobdelus brevipennis", "Miobdelus choui", "Miobdelus gracilis", "Miobdelus heinzi", "Miobdelus insularis", "Miobdelus insularis kuai", "Miobdelus insularis tenchi", "Miobdelus kitawakii", "Miobdelus morimotoi", "Miobdelus opacus", "Miobdelus rufipes", "Miobdelus taiwanensis", "Miobdelus taiwanensis apicalis", "Miobdelus tenuis", "Miobdelus turnai", "Crepis pulchra subsp. pulchra", "Kanyawara ledantevirus", "Coleoxestia apeara", "Kunsagivirus B", "Kunsagivirus C", "Coleoxestia moromokoi", "Leptonychotes weddellii polyomavirus 1", "Rattus norvegicus polyomavirus 2", "Vicugna pacos polyomavirus 1", "Cirrhicera veilleuxi", "Ixeris japonica", "Ixeris repens", "Mycobacterium virus Pipsqueaks", "Mycobacterium virus Xeno", "Mycobacterium virus Butters", "Mycobacterium virus Michelle", "Gordonia virus BaxterFox", "Gordonia virus Yeezy", "Gordonia virus Kita", "Gordonia virus Nymphadora", "Gordonia virus Zirinka", "Hololeion krameri", "Mycobacterium virus 32HC", "Gordonia virus Wizard", "Gordonia virus Twister6", "Grapevine asteroid mosaic associated virus", "Peach marafivirus D", "Grapevine fabavirus", "Prunus virus F", "Ixeridium dentatum", "Grapevine leafroll-associated virus 13", "Miobdelus egregius", "Psyrassa ludmilakozlovae", "Fusarium deltaflexivirus 1", "Sclerotinia deltaflexivirus 1", "Soybean-associated deltaflexivirus 1", "Psyrassa olegkozlovi", "Psyrassa unisucre", "Faba bean necrotic stunt alphasatellite", "Milk vetch dwarf alphasatellite 1", "Pea necrotic yellow dwarf alphasatellite 1", "Sophora yellow stunt alphasatellite 2", "Miobdelus eppelsheimi", "Faba bean necrotic yellows alphasatellite 1", "Sophora yellow stunt alphasatellite 1", "Subterranean clover stunt alphasatellite 1", "Faba bean necrotic yellows alphasatellite 2", "Ochraethes skillmani", "Plocaederus mirim", "Nyctonympha sinjaevi", "Nyctonympha antonkozlovi", "Nyctonympha birai", "Nyctonympha mariahelenae", "Corybas dowlingii", "Corybas ecarinatus", "Gammapapillomavirus 27", "Gannoruwa bat lyssavirus", "Lleida bat lyssavirus", "Geobacillus virus Tp84", "Propionibacterium virus Anatole", "Propionibacterium virus B3", "Gordonia virus Attis", "Mycobacterium virus Sbash", "Mycobacterium virus Hawkeye", "Mycobacterium virus Plot", "Leuconostoc virus Lmd1", "Leuconostoc virus LN03", "Leuconostoc virus LN04", "Leuconostoc virus LN12", "Leuconostoc virus P793", "Leuconostoc virus LN6B", "Leuconostoc virus 1A4", "Leuconostoc virus Ln8", "Leuconostoc virus Ln9", "Leuconostoc virus LN25", "Leuconostoc virus LN34", "Leuconostoc virus LNTR3", "Mycobacterium virus Panchino", "Mycobacterium virus Phrann", "Mycobacterium virus Skinnyp", "Ixeridium dentatum subsp. dentatum", "Coleoxestia eyai", "Coleoxestia chemsaki", "Coleoxestia fragosoi", "Coleoxestia hovorei", "Coleoxestia rafaeli", "Ixeridium dentatum subsp. nipponicum", "Homalodisca coagulata virus 1", "Human associated cyclovirus 12", "Mouse associated cyclovirus 1", "Iotapapillomavirus 2", "Ixeris chinensis subsp. chinensis", "Isoetes \u00d7 michinokuana", "Anomaloglossus meansi", "Leistus yajiangensis", "Pestivirus A", "Pestivirus E", "Pestivirus F", "Pestivirus G", "Pestivirus H", "Pestivirus I", "Pestivirus J", "Pestivirus K", "Lapsanastrum humile", "Nabalus barbatus", "Pigeon aviadenovirus B", "Psittacine aviadenovirus B", "Piliocolobus badius polyomavirus 1", "Pitaya virus X", "Vanilla virus X", "Privet ringspot virus", "Tomato necrotic streak virus", "Propionibacterium virus B22", "Propionibacterium virus Doucette", "Propionibacterium virus E6", "Propionibacterium virus G4", "Propionibacterium virus PFR1", "Pseudomonas virus phi8", "Pseudomonas virus phi12", "Pseudomonas virus phi13", "Pseudomonas virus phi2954", "Pseudomonas virus phiNN", "Pseudomonas virus phiYY", "Psipapillomavirus 2", "Psipapillomavirus 3", "Ranid herpesvirus 3", "Rhynchobatus djiddensis polyomavirus 1", "Trematomus pennellii polyomavirus 1", "Isoetes asiatica", "Nabalus crepidineus", "Amphisbaena angustifrons", "Amphisbaena fenestrata", "Corybas echinulus", "Corybas ekuamensis", "Corybas epiphyticus", "Corybas erythrocarpus", "Caroxylon imbricatum var. hirtitepalum", "Isoetes japonica", "Isoetes pseudojaponica", "Leistus baudinoti", "Leistus chalcites", "Nabalus serpentarius", "Priochirus oxygonus", "Priochirus baoxingensis", "Priochirus elongatus", "Priochirus parvicornis", "Priochirus amblyodontus", "Suaeda sect.", "Stenus nabanhensis", "Stenus zhangyejunianus", "Pseudoperma patruelis", "Priochirus chinensis", "Ixeris chinensis subsp. strigosa", "Megacyllene guarani", "Megacyllene globosa", "Priochirus subbrevicornis", "Ixeris tamagawaensis", "Leistus cavazzutii", "Leistus facchinii", "Cyathula prostrata var. stenophylla", "Leistus haisishanicus", "Leistus miroslavae", "Leistus wrasei", "Leistus zamotajlovi", "Leistus perraulti", "Leistus pavesii", "Leistus sichuanus", "Leistus farkaci", "Leistus bohemorum", "Leistus saueri", "Plastus curvaticornis", "Plastus recticornis", "Leistus kucerai", "Leistus latissimus", "Leistus langmusianus", "Leistus richteri", "Leistus sciakyi", "Leistus shuamaluko", "Milk vetch dwarf alphasatellite 2", "Leistus smetanai", "Pea necrotic yellow dwarf alphasatellite 2", "Sophora yellow stunt alphasatellite 4", "Sophora yellow stunt alphasatellite 5", "Subterranean clover stunt alphasatellite 2", "Milk vetch dwarf alphasatellite 3", "Sophora yellow stunt alphasatellite 3", "Okra leaf curl Oman virus", "Oxalis yellow vein virus", "Pavonia mosaic virus", "Pavonia yellow mosaic virus", "Passionfruit leaf distortion virus", "Pea leaf distortion virus", "Pepper yellow leaf curl Thailand virus", "Ramie mosaic Yunnan virus", "Opuntia chlorotic ringspot virus", "Orivirus A", "Shanbavirus A", "Porcine circovirus 3", "Crepis patula", "Potato virus B", "Soybean latent spherical virus", "Leistus klarae", "Leistus andrewesi", "Plastus formosae", "Plastus japonicus", "Plastus quadrifoveatus", "Leistus birmanicus", "Mahlapitsi orthoreovirus", "Leistus loebli", "Leistus makaluensis", "Leistus negrei", "Leistus wittmeri", "Leistus baima", "Leistus becvari", "Leistus bohdan", "Leistus cangshanicola", "Leistus habashanicola", "Leistus hengduanicola", "Leistus hongyuanicus", "Leistus houzhenzi", "Leistus inexspectatus", "Leistus janatai", "Leistus jindrai", "Leistus kociani", "Leistus labrang", "Leistus moskvich", "Leistus murzini", "Leistus nanping", "Leistus podsmetankou", "Leistus sergei", "Leistus subuliformis", "Leistus toledanoi", "Leistus tryznai", "Leistus zhongdianus", "Leistus zoige", "Leistus barkamensis", "Megrivirus B", "Leistus brancuccii", "Megrivirus C", "Leistus deuveianus", "Megrivirus D", "Megrivirus E", "Leistus haeckeli", "Leistus heinzi", "Leistus jani", "Leistus kalabi", "Leistus kangdingensis", "Xipapillomavirus 4", "Xipapillomavirus 5", "Taupapillomavirus 4", "Telfairia golden mosaic virus", "Tomato chlorotic mottle Guyane virus", "Tomato leaf curl Burkina Faso virus", "Tomato mottle wrinkle virus", "Tomato latent virus", "Tomato golden leaf spot virus", "Tomato enation leaf curl virus", "Tomato yellow leaf curl Shuangbai virus", "Tomato yellow leaf curl Yunnan virus", "Triumfetta yellow mosaic virus", "Velvet bean golden mosaic virus", "Vernonia crinkle virus", "Vinca leaf curl virus", "Whitefly-associated begomovirus 1", "Whitefly-associated begomovirus 2", "Whitefly-associated begomovirus 3", "Whitefly-associated begomovirus 4", "Whitefly-associated begomovirus 6", "Whitefly-associated begomovirus 7", "Wissadula yellow mosaic virus", "Cheimas opalinus rosalinus", "Cheimas opalinus iosephi", "Cheimas opalinus dominici", "Cheimas opalinus cristalinus", "Stenus electrigemmatus", "Pseudoperma chalcogramma", "Stenus electrigemmeus", "Pseudoperma lingafelteri", "Stenus grandimaculatus", "Stenus marginiventris", "Stenus mithracifer", "Stenus miwai", "Stenus oculifer", "Stenus perroti", "Stenus semilineatus", "Stenus solstitialis", "Saint Louis encephalitis virus", "Salmonella virus BTP1", "Senna leaf curl virus", "Sida angular mosaic virus", "Sida bright yellow mosaic virus", "Sida chlorotic mottle virus", "Sida chlorotic vein virus", "Sida golden yellow spot virus", "Solanum mosaic Bolivia virus", "Sweet potato leaf curl Guangxi virus", "Synedrella yellow vein clearing virus", "Onthophagus chacoensis", "Onthophagus basicarinatus", "Taraxacum agaurum", "Elachista bruuni", "Leistus lesteri", "Leistus becheti", "Leistus coltranei", "Leistus nanshanicus", "Leistus rezabkovae", "Taraxacum carneocoloratum", "Evergestis pazukii", "Taraxacum cucullatum", "Taraxacum denudatum", "Osorius aspericeps", "Osorius frontalis", "Osorius punctulatus", "Osorius chinensis", "Osorius formosae", "Osorius freyi", "Osorius hauseri", "Taraxacum erythrospermum", "Osorius mortuorum", "Osorius punctus", "Osorius silvestrii", "Osorius tonkinensis", "Treisiotapapillomavirus 1", "Treiskappapapillomavirus 1", "Treisthetapapillomavirus 1", "Turnip leaf roll virus", "Winged bean alphaendornavirus 1", "Wisteria badnavirus 1", "Wolkberg orthobunyavirus", "Phyllocnistis podocarpa", "Velvet tobacco mottle virus satellite", "Lymanopoda casneri", "Lymanopoda ionius lilliput", "Lymanopoda zebra", "Pholidoscelis corvinus", "Osorius rectomarginatus", "Osorius striolatus", "Osorius trichinosis", "Osorius tuberocapitatus", "Nitrophila australis var. kuntzei", "Ernolatia invicema", "Ernolatia callirhoe", "Ernolatia fumidiflora", "Ernolatia doris", "Taraxacum brachyceras", "Sulfolobus alphaportoglobovirus 1", "Sweet potato golden vein Korea virus", "Anolis lemurinus", "Anolis isolepis", "Anolis ophiolepis", "Isoetes baculata", "Isoetes eshbaughii", "Panyapedaliodes rojasi", "Pedaliodes nutabe", "Apexacuta orsedice mariadelmarae", "Satellite tobacco mosaic virus", "Taraxacum hygrophilum", "Atemelia fusca", "Homalota fraterna", "Phyllonorycter juncei juncei", "Homalota mikado", "Phyllonorycter juncei madeirae", "Homalota sauteri", "Homalota serrata", "Taraxacum kjellmanii", "Lichanura trivirgata", "Afronatrix anoscopus", "Tretanorhinus nigroluteus", "Rhopalessa clavicornis", "Taraxacum pieninicum", "Rhopalessa demissa", "Rhopalessa rubroscutellaris", "Rhopalessa durantoni", "Seeversiella geostiboides", "Seeversiella adusta", "Seeversiella flavida", "Seeversiella paramoana", "Anginopachria prudeki", "Taraxacum platycarpum subsp. platycarpum", "Seeversiella globicollis", "Anginopachria schoedli", "Anginopachria ullrichi", "Taraxacum rubicundum", "Corybas expansus", "Corybas fanjingshanensis", "Corybas fenestratus", "Corybas fimbriatus", "Subterranean clover mottle virus satellite", "Solanum nodiflorum mottle virus satellite", "Rice yellow mottle virus satellite", "Lucerne transient streak virus satellite", "Cereal yellow dwarf virus-RPV satellite", "Arabis mosaic virus small satellite", "Arabis mosaic virus small satellite", "Arabis mosaic virus large satellite", "Bamboo mosaic virus satellite", "Grapevine fanleaf virus satellite", "Strawberry latent ringspot virus satellite", "Tomato black ring virus satellite", "Cucumber mosaic virus satellite", "Cymbidium ringspot virus satellite", "Groundnut rosette virus satellite", "Pea enation mosaic virus satellite", "Peanut stunt virus satellite", "Tomato bushy stunt virus satellite", "Turnip crinkle virus satellite", "Rashelapso schmidi", "Rhopalessa subandina", "Rhopalessa hirticollis", "Rhopalessa pilosicollis", "Rhopalessa moraguesi", "Taraxacum pacheri", "Taraxacum palustre subsp. palustre", "Stenus subthoracicus", "Taraxacum alpicola", "Stenus tenuimargo", "Onthophagus confusus", "Anotylus varisculptilis", "Anotylus benisculptilis", "Anotylus nigelisculptilis", "Anotylus nitelisculptilis", "Anotylus rectisculptilis", "Anotylus brevisculptilis", "Anotylus extrasculptilis", "Anotylus chinkiangensis", "Ernolatia lida", "Anotylus cognatus", "Anotylus mimulus", "Ernolatia adrasteia", "Anotylus opaciceps", "Anotylus vicinus", "Anotylus subsericeus", "Anotylus antennarius", "Anotylus mutator", "Anotylus sikkimi", "Anolis distichus", "Anolis stratulus", "Taraxacum aquilonare", "Taraxacum arcticum", "Osorius depressicapitatus", "Osorius guizhouensis", "Osorius huangi", "Osorius limatidepressus", "Osorius micromidas", "Osorius minutoserratus", "Alionchis jailoloensis", "Copelatus davidi", "Copelatus boukali", "Neptosternus boukali", "Neptosternus kerala", "Neptosternus hydaticoides", "Neptosternus riedeli", "Oxytelus meinanderi", "Oxytelus tuberculifrons", "Taraxacum schroeterianum", "Taraxacum serotinum", "Parosus antillarum", "Neptosternus babetteae", "Neptosternus bellus", "Neptosternus coomani", "Taraxacum fagerstroemii", "Neptosternus kaszabi", "Earota babai", "Saltanecydalopsis irwini", "Earota koreana", "Taraxacum nigricans", "Panicum mosaic satellite virus", "Taraxacum nitidum", "Satellite maize white line mosaic virus", "Rhopalessa irwini", "Seeversiella texana", "Seeversiella sonomotoides", "Chronic bee paralysis satellite virus", "Seeversiella liliputana", "Seeversiella fusca", "Seeversiella castanea", "Seeversiella tuberculicauda", "Seeversiella nigriceps", "Seeversiella grandis", "Seeversiella mexicana", "Seeversiella badia", "Seeversiella similis", "Seeversiella minima", "Seeversiella scabricollis", "Seeversiella furcativentris", "Seeversiella brevipennis", "Seeversiella brunnea", "Seeversiella curtipennis", "Seeversiella lativentris", "Seeversiella luridicollis", "Seeversiella micralymma", "Seeversiella impressicollis", "Seeversiella sulcicollis", "Seeversiella microphthalma", "Tobacco ringspot virus satellite", "Thelymitra abrupta", "Isoetes bischlerae", "Isoetes boyacensis", "Isoetes boliviensis", "Promalactis latiuscula", "Promalactis curvicornuta", "Promalactis ostacantha", "Promalactis apicuncata", "Promalactis granulosa", "Promalactis argentifasciaria", "Promalactis quadrilobata", "Promalactis trifasciata", "Phlegon buqueti", "Phlegon giganteus", "Phlegon herculeanus", "Phlegon chiriquiensis", "Phlegon panamensis", "Cephennula densepunctata", "Cephennula gemina", "Cephennula minutissima", "Cephennula penrissenana", "Cephennula poringana", "Cephennula titiwangsana", "Cephennula medioglabra", "Euryphlegon degallieri", "Cephennula sibugana", "Cephennula gombakiana", "Cephennula micropunctata", "Euryphlegon jacqueschassaini", "Euryphlegon parallelus", "Taraxacum gilliesii", "Crepidiastrum denticulatum", "Isoetes bradei", "Crepidiastrum denticulatum subsp. denticulatum", "Isoetes brasiliensis", "Isoetes cangae", "Isoetes serracarajensis", "Parosus hilaris", "Neptosternus maculatus", "Neptosternus malayanus", "Neptosternus namcattienensis", "Neptosternus pocsi", "Neptosternus siamensis", "Neptosternus strnadi", "Neptosternus taiwanensis", "Neptosternus thailandicus", "Neptosternus verenae", "Neptosternus vietnamensis", "Taraxacum taeniatum", "Neptosternus brevior", "Neptosternus corporaali", "Neptosternus jacobsoni", "Zaitzevia bhutanica", "Taraxacum venustum", "Taraxacum formosanum", "Youngia japonica subsp. japonica", "Ethiopian tobacco bushy top virus satellite", "Leptomonas pyrrhocoris", "Leptomonas pyrrhocoris", "Leptomonas pyrrhocoris", "Leptomonas pyrrhocoris", "Leptomonas pyrrhocoris", "Leptomonas pyrrhocoris", "Olive viral satellite", "Saccharomyces paradoxus", "Saccharomyces paradoxus", "Saccharomyces paradoxus", "Saccharomyces paradoxus", "Saccharomyces paradoxus", "Satellites of Trichomonas vaginalis T1 virus", "Trichomonas vaginalis virus dsRNA satellite", "Trichomonas vaginalis virus dsRNA satellite", "Grapevine satellite virus", "Agroicus ateropterus", "Chrysactinium acaule", "Erato vulcanica", "Agroicus concolor", "Agroicus intermedius", "Paradolichoctis cordicollis", "Paradolichoctis cordicollis cordicollis", "Paradolichoctis cordicollis vixspinosa", "Pentagonica sarawakensis", "Pentagonica grimmi", "Elephantopus hirtiflorus", "Paranthrenella formosicola", "Paranthrenella dortmundi", "Paranthrenella weiyui", "Ichneumenoptera gryphus", "Kantipuria glandicola", "Synanthedon auritincta", "Corybas finisterreanus", "Corybas fordhamii", "Gymnanthemum pectorale", "Ecliptoides eunomia", "Ecliptoides schmidi", "Tarlmounia elliptica", "Corybas gastrosiphon", "Corybas gemmatus", "Salsola sabrinae", "Trechisibus aguirrei", "Trechisibus emiliae", "Paratrechus hypogeus", "Paratrechus maddisoni", "Dendrobium lamelluliferum", "Agroicus lineatus", "Agroicus subfasciatus", "Liabum igniarium", "Liabum amplexicaule", "Allotimareta setistriata", "Parosus skalitzkyi", "Amandalotus cordipennis", "Thinodromus circulus", "Munnozia hastifolia", "Munnozia senecionidis", "Thinodromus velutinus", "Munnozia wilburii", "Amisallus basipennis", "Amisallus tuberculifrons", "Thinodromus chagosanus", "Thinodromus palustris", "Phasmahyla lisbella", "Salsola squarrosa", "Thinobius bicolor", "Thinobius petzi", "Thinobius micros", "Thinobius paramicros", "Salsola squarrosa subsp. controversa", "Acilepis saligna", "Dolichoctis bisetosiceps", "Dolichoctis cylindripennis", "Dolichoctis ivimkae", "Ochthephilus tibetanus", "Dolichoctis lackneri", "Dolichoctis latibasis", "Dolichoctis mehli", "Dolichoctis ocularis", "Ochthephilus aureus", "Ochthephilus californicus", "Ochthephilus laevis", "Ochthephilus angustior", "Ochthephilus biimpressus", "Camchaya thailandica", "Dolichoctis sinuaticollis", "Dolichoctis picescens", "Dolichoctis nigricauda", "Distephanus angulifolius", "Salsola squarrosa subsp. squarrosa", "Cyclocephala antoinei", "Chronopappus bifrons", "Phasmahyla timbo", "Eremanthus capitatus", "Cyclocephala dechambrei", "Cyclocephala nicolasi", "Salsola squarrosa subsp. pontica", "Eremanthus glomerulatus", "Trechisibus pubescens", "Synanthedon ceraunus", "Synanthedon phoenix", "Lecithocera quadratiella", "Lecithocera nantouensis", "Lecithocera meishanensis", "Lecithocera fasciata", "Epicrocis pramaoyensis", "Orthopappus angustifolius", "Isoetes chubutiana", "Ochthephilus brachypterus", "Ochthephilus columbiensis", "Isoetes clavata", "Ochthephilus flexuosus", "Ochthephilus legrosi", "Bothriocline longipes", "Ochthephilus lenkoranus", "Thinodromus arcitenens", "Paranephelius ovatus", "Paranephelius asperifolius", "Ochthephilus aurorans", "Sinclairia platylepis", "Sinclairia polyantha", "Platycarphella parvifolia", "Ochthephilus scheerpeltzi", "Ochthephilus angustatus", "Ochthephilus carnicus", "Ochthephilus filum", "Ochthephilus davidi", "Ochthephilus emarginatus", "Copelatus djiboutensis", "Ochthephilus japonicus", "Geodia megastrella", "Achlaena grandis", "Copelatus gestroi", "Dolichoctis ludewigi", "Asarum mikuniense", "Ochthephilus sericinus", "Dolichoctis aterrima", "Ochthephilus planus", "Ochthephilus praepositus", "Bothriocline aggregata", "Ochthephilus rosenhaueri", "Ochthephilus solodovnikovi", "Ochthephilus tatricus", "Ochthephilus wunderlei", "Isoetes coreana", "Phyllodesma kopetzi", "Catasticta duida", "Ochthephilus ashei", "Ochthephilus enigmaticus", "Ochthephilus forticornis", "Ochthephilus gusarovi", "Ochthephilus incognitus", "Ochthephilus kirschenblatti", "Ochthephilus nepalensis", "Ochthephilus nitidus", "Ochthephilus omalinus", "Ochthephilus qingyianus", "Ochthephilus schuelkei", "Ochthephilus strandi", "Mimochodaeus nikolajevi", "Lychnophora salicifolia", "Lychnophora sellowii", "Lychnophora triflora", "Lychnophora villosissima", "Eremanthus harleyi", "Proteopsis argentea", "Isoetes hewitsonii", "Isoetes saracochensis", "Pacourina edulis", "Corybas helensis", "Corybas himalaicus", "Prospero autumnale", "Dorcadion tianshanskii radkevitshi", "Dorcadion tianshanskii terminum", "Dorcadion tianshanskii algaense", "Dorcadion tianshanskii otariense", "Dorcadion tianshanskii parapumilio", "Dorcadion tianshanskii euzhaisanicum", "Dorcadion tianshanskii heptapotamicum", "Thinobius shavrini", "Thinobius yabakeinis", "Thinobius zerchei", "Neptosternus cebuensis", "Neptosternus montalbanensis", "Neptosternus arnecornelii", "Isoetes dispora", "Neptosternus martinae", "Ecliptoides pilosipes", "Isoetes divyadarshanii", "Isoetes udupiensis", "Ecliptoides fanchonae", "Ecliptoides giuglarisi", "Ecliptoides vasconezi", "Isoetes dixitii", "Thinobius major", "Thinobius angusticeps", "Thinobius procerus", "Parmotrema pustulatum", "Akodon kotosh", "Ecliptoides quadrivittatus", "Ochthephilus szeli", "Ochthephilus venustulus", "Ochthephilus championi", "Ochthephilus hammondi", "Ochthephilus itoi", "Ochthephilus ketmenicus", "Ochthephilus loebli", "Ochthephilus nigerrimus", "Ochthephilus vulgaris", "Ochthephilus wrasei", "Ochthephilus assingi", "Ochthephilus basicornis", "Gymnanthemum corymbosum", "Ochthephilus indicus", "Ochthephilus kashmiricus", "Ochthephilus kleebergi", "Gymnanthemum extensum", "Ochthephilus merkli", "Ecliptoides bivitticollis", "Gymnanthemum capense", "Carabus yundongbeicus", "Carabus yundongbeicus yundongbeicus", "Isoetes spannagelii", "Lessingianthus glabratus", "Vernonia incana", "Stenocephalum megapotamicum", "Linzia nigritiana", "Calytrix cravenii", "Calytrix hirta", "Calytrix retrorsifolia", "Dorcadion mystacinum", "Dorcadion mystacinum mystacinum", "Dorcadion mystacinum pumilio", "Notochodaeus koreanus", "Acilepis divergens", "Vernonia echioides", "Plectranthias ahiahiata", "Ischnosoma meybohmi", "Vernonia galamensis subsp. galamensis", "Oxyporus procerus", "Oxyporus ruzickai", "Teucrium disjunctum", "Hemigenia tichbonii", "Crossodactylus timbuhy", "Crossodactylus werneri", "Crossodactylus boulengeri", "Ochrilidia socotrae", "Hibbertia cockertoniana", "Vernonia angustifolia", "Hibbertia hypericoides", "Hibbertia hypericoides subsp. septentrionalis", "Chrysolaena platensis", "Hibbertia paranthera", "Hibbertia robur", "Iurubanga arixi", "Lessingianthus plantaginoides", "Isoetes ramboi", "Piptocarpha rotundifolia", "Piptocarpha rotundifolia subsp. rotundifolia", "Piptocarpha quadrangularis", "Isoetes ecuadoriensis", "Isoetes ekmanii", "Isoetes gigantea", "Eirmocephala brachiata", "Isoetes goebelii", "Isoetes herzogii", "Scelolethrus nazarovi", "Isoetes hieronymi", "Isoetes ulei", "Isoetes parvula", "Prionohydrus matogrossensis", "Prionohydrus marc", "Prionohydrus ubercornis", "Dorcadion tianshanskii", "Ischnosoma longicorne", "Ischnosoma myops", "Vanda javierae", "Paralasa bogutena haverineni", "Ischnosoma major", "Ischnosoma campbelli", "Ischnosoma caucasicum", "Dorcadion tianshanskii tianshanskii", "Ischnosoma thoracicum", "Ischnosoma acutum", "Ischnosoma barbigerum", "Ischnosoma molle", "Chamaescilla maculata", "Ischnosoma solodovnikovi", "Eremophila buirchellii", "Eremophila calcicola", "Swainsona thompsoniana", "Solanum albostellatum", "Baccharoides calvoana", "Baccharoides calvoana subsp. calvoana", "Chrysolaena cognata", "Cychrus gonggoides", "Cychrus draconis", "Costus scaber", "Cychrus draconis jiudingensis", "Cychrus huangcao", "Phyllocephalum scabridum", "Cychrus discoidicollis", "Isoetes gardneriana", "Cychrus chuandongziensis", "Carabus patroclus", "Corymbium glabrum", "Flora of", "Carabus patroclus shiziensis", "Epaphiopsis himalayica", "Isoetes fuliginosa", "Isoetes hemivelata", "Isoetes precocia", "Epaphiopsis grebennikovi", "Isoetes karstenii", "Isoetes karstenii var. karstenii", "Isoetes karstenii var. anomala", "Trechus changbaicola", "Trechus deqenensis", "Isoetes palmeri", "Trechus smetanai", "Trechus habashanensis", "Isoetes fuscomarginata", "Isoetes sehnemii", "Isoetes smithii", "Protinodes puncticollis", "Leucocraspedum rufotestaceum", "Neptosternus biltoni", "Neptosternus hafti", "Neptosternus krikkeni", "Neptosternus magnus", "Neptosternus manfredi", "Neptosternus moelleri", "Neptosternus pseudohydaticoides", "Lessingianthus ammophilus", "Neptosternus schoedli", "Ochthephilus monticola", "Lessingianthus monocephalus", "Ochthephilus proximus", "Neptosternus kolakaensis", "Lessingianthus roseus", "Ochthephilus ritae", "Ochthephilus szarukani", "Ochthephilus tichomirovae", "Ochthephilus uhligi", "Neptosternus togianensis", "Ochthephilus zerchei", "Neptosternus chumphon", "Adenoon indicum", "Thinobius injae", "Neptosternus annettae", "Neptosternus leyi", "Thinobius ootsukai", "Thinobius paraminor", "Thinobius schillhammeri", "Corybas globulus", "Neptosternus regimbarti", "Neptosternus sumatrensis", "Neptosternus winkelmanni", "Neptosternus aterrimus", "Neptosternus bimaculatus", "Neptosternus borneensis", "Neptosternus jaechi", "Neptosternus jani", "Neptosternus kalimantanensis", "Neptosternus kodadai", "Lepidaploa aurea", "Neptosternus mazzoldii", "Neptosternus minimus", "Neptosternus muluensis", "Neptosternus neisiorum", "Neptosternus nigritus", "Lepidaploa cotoneaster", "Neptosternus noteroides", "Neptosternus pseudocorporaali", "Neptosternus quadrimaculatus", "Lepidaploa persicifolia", "Neptosternus sabahensis", "Neptosternus sarawakensis", "Lepidaploa canescens", "Carabus daphnis", "Monosis travancorica", "Vernonia cockburniana", "Cychrus songpanensis", "Hilliardiella capensis", "Aleochara solieri", "Eulepida delgadoensis", "Pegylis genieri", "Perrindema genieri", "Stereocephalus agostii", "Chresta curumbensis", "Chresta scapigera", "Chresta sphaerocephala", "Hololepis pedunculata", "Moquiniastrum oligocephalum", "Moquiniastrum polymorphum", "Moquiniastrum polymorphum subsp. ceanothifolium", "Moquiniastrum polymorphum subsp. polymorphum", "Espeletia argentea f. argentea", "Ozothamnus vespertinus", "Gymnarrhena micrantha", "Hecastocleis shockleyi", "Isoetes lechleri", "Delma molleri", "Teucrium teucriiflorum", "Aprasia striolata", "Richteria tianschanica", "Carabus patroclus guzhouensis", "Carabus qinlingensis", "Carabus qinlingensis qinlingensis", "Carabus qinlingensis micangicola", "Hibbertia sericosepala", "Carabus alpherakii", "Carabus alpherakii alpherakii", "Carabus alpherakii exilior", "Carabus alpherakii younglimae", "Carabus zhubajie", "Hibbertia propinqua", "Hibbertia leucocrossa", "Carabus latro", "Carabus latro latro", "Carabus latro qinlingensis", "Espeletia argentea f. phaneractis", "Isoetes habbemensis", "Isoetes hopei", "Isoetes stevensii", "Isoetes neoguineensis", "Isoetes hallasanensis", "Isoetes jejuensis", "Isoetes jamaicensis", "Adenocaulon himalaicum", "Carabus leepai", "Chaetanthera albiflora", "Carabus leepai leepai", "Carabus leepai sabatinellii", "Chaetanthera chilensis", "Carabus kuceraianus", "Mutisia subulata f. rosmarinifolia", "Dendrobium harveyanum", "Duttaphrynus chandai", "Chaptalia exscapa", "Senecio garcibarrigae var. cataractarum", "Chaptalia ignota", "Senecio garcibarrigae var. garcibarrigae", "Chaptalia piloselloides", "Chaptalia runcinata", "Isoetes luetzelburgii", "Isoetes organensis", "Isoetes savatieri", "Isoetes tuerckheimii", "Isoetes vermiculata", "Isoetes weberi", "Pseudolathra glabra", "Mutisia homoeantha", "Mutisia orbignyana", "Mutisia rosea", "Mutisia speciosa", "Gerbera viridifolia subsp. viridifolia", "Gerbera linnaei", "Arctotis aspera", "Lulia nervosa", "Mutisia acerosa", "Isoetes panchananii", "Mutisia coccinea", "Isoetes philippinensis", "Genista benehoavensis", "Isoetes quiririensis", "Isoetes sahyadrii", "Mutisia decurrens", "Mutisia grandiflora", "Oriastrum pusillum", "Isoetes killipii", "Isoetes labri-draconis", "Isoetes laosiensis", "Isoetes martii", "Gerbera aurantiaca", "Isoetes maxima", "Isoetes naipiana", "Isoetes nana", "Isoetes novogranadensis", "Isoetes ovata", "Gerbera viridifolia", "Leucheria leontopodioides", "Llanquihue carlota", "Aphyosemion cyanoflavum", "Carabus kuceraianus kuceraianus", "Chaetanthera flabellata", "Carabus kuceraianus subemili", "Chaetanthera frayjorgensis", "Chaetanthera glabrata", "Barsine pseudoradians", "Chaetanthera glandulosa", "Chaetanthera glandulosa var. gracilis", "Barsine radians", "Chaetanthera incana", "Barsine callida", "Chaetanthera limbata", "Barsine mesortha", "Chaetanthera linearis", "Barsine germana", "Chaetanthera moenchioides", "Chaetanthera perpusilla", "Magneuptychia louisammour", "Magneuptychia kamel", "Magneuptychia sheba", "Polyachyrus poeppigii", "Polyachyrus poeppigii subsp. poeppigii", "Polyachyrus sphaerocephalus", "Triptilion spinosum", "Papistylus grandiflorus", "Papistylus intropubens", "Gouania exilis", "Cryptandra triplex", "Pilostyles coccoidea", "Perezia pungens", "Perezia atacamensis", "Edaphus nakayamaensis", "Perezia recurvata", "Perezia squarrosa", "Perezia squarrosa subsp. squarrosa", "Edaphus perincommodus", "Edaphus perversus", "Perezia poeppigii", "Nassauvia revoluta", "Nassauvia serpens", "Lathrobium imadatei", "Lathrobium tamurai", "Nassauvia ulicina", "Perezia magellanica", "Perezia pedicularidifolia", "Aphyosemion cryptum", "Edaphus nipponensis", "Edaphus japonicus", "Duttaphrynus kiphirensis", "Duttaphrynus mamitensis", "Duttaphrynus manipurensis", "Duttaphrynus mizoramensis", "Duttaphrynus nagalandensis", "Duttaphrynus wokhaensis", "Chiromantis senapatiensis", "Panopea gurgitis", "Escallonia paniculata", "Oriastrum apiculatum", "Oriastrum polymallum", "Isoetes \u00d7 altonharvillii", "Pachylaena atriplicifolia", "Isoetes \u00d7 bruntonii", "Trichocline incana", "Trichocline reptans", "Trixis alata", "Trixis divaricata", "Trixis divaricata subsp. divaricata", "Trixis californica", "Corybas holttumii", "Corybas huonensis", "Corybas imperatorius", "Micrablepharus maximiliani", "Isoetes \u00d7 paratunica", "Polianthion wichurae", "Leucheria daucifolia", "Leucheria hahnii", "Spyridium burragorang", "Isoetes \u00d7 pseudotruncata", "Spyridium buxifolium", "Spyridium scortechinii", "Leucheria purpurea", "Polianthion minutiflorum", "Leucheria runcinata", "Isoetes \u00d7 truncata", "Espeletiopsis pannosa", "Leucheria scrobiculata", "Nassauvia acerosa", "Nassauvia lagascae", "Nassauvia aculeata", "Nassauvia axillaris", "Nassauvia glomerata", "Lathrobium hujiayaoi", "Lathrobium damingense", "Nassauvia magellanica", "Lathrobium bamianense", "Lathrobium fumingi", "Lathrobium jinyuae", "Lathrobium jiulingense", "Lathrobium shuguangi", "Lathrobium taiye", "Lathrobium yangshimuense", "Lathrobium yipingae", "Corybas insulifloris", "Ameivula ocellifera", "Hibbertia huegelii", "Clio pyramidata", "Trixis michuacana", "Trixis pallida", "Aphyllocladus spartioides", "Onoseris alata", "Onoseris hastata", "Onoseris onoseroides", "Isoetes \u00d7 carltaylori", "Trichocline sinuata", "Trichocline deserticola", "Lathrobium tianmushanense", "Lathrobium jiulongshanense", "Lathrobium sheni", "Lathrobium zhaotiexiongi", "Lathrobium dayaoshanense", "Isoetes \u00d7 eatonii", "Isoetes \u00d7 echtuckeri", "Plectranthias anthioides", "Isoetes \u00d7 fairbrothersii", "Lathrobium maoershanense", "Lathrobium shengtangshanense", "Lathrobium proprium", "Lathrobium zhangdinghengi", "Lathrobium zhujianqingi", "Isoetes \u00d7 foveolata", "Lathrobium daicongchaoi", "Lathrobium fujianense", "Lathrobium yulongense", "Lathrobium baishanzuense", "Lathrobium immanissimum", "Lathrobium tangi", "Lathrobium obstipum", "Viola eminens", "Bomarea pauciflora", "Wunderlichia mirabilis", "Stenopadus andicola", "Dendrochilum apoense", "Ainsliaea cordifolia", "Edaphus dido", "Ainsliaea fragrans", "Edaphus palinurus", "Edaphus lavinia", "Edaphus alcathous", "Edaphus anchises", "Edaphus julus", "Edaphus creusa", "Edaphus sergius", "Edaphus ascanius", "Edaphus achates", "Edaphus amata", "Pertya rigidula", "Hyaloseris cinerea", "Hyalochlamys globifera", "Acanthus hungaricus", "Acanthus ebracteatus subsp. ebracteatus", "Edaphus evander", "Edaphus acestes", "Edaphus latinus", "Edaphus agenor", "Acanthus polystachyus", "Edaphus okinawaensis", "Edaphus sergestus", "Edaphus cloanthus", "Edaphus mezentius", "Edaphus silvius", "Edaphus iriomoteanus", "Neopetrosia ovata", "Neopetrosia dutchi", "Blepharis mitrata", "Blepharis natalensis", "Crossandra massaica", "Crossandra infundibuliformis subsp. infundibuliformis", "Neopetrosia sulcata", "Aphelandra hartwegiana", "Aphelandra lingua-bovis", "Aphelandra maculata", "Edaphus inaequalis", "Edaphus similior", "Edaphus mendicus", "Neopetrosia eurystomata", "Lathrobium mawenliae", "Viola silicestris", "Isoetes \u00d7 harveyi", "Isoetes \u00d7 herb-wagneri", "Isoetes \u00d7 hickeyi", "Perezia nutans", "Serichonus gracilipes", "Isoetes \u00d7 jeffreyi", "Lathrobium labahense", "Isoetes \u00d7 marensis", "Jungia paniculata", "Jungia paniculata subsp. paniculata", "Lathrobium erlangense", "Lathrobium blandum", "Lathrobium yelense", "Lathrobium obscurum", "Lathrobium yinziweii", "Lathrobium illustre", "Lathrobium micangense", "Isoetes \u00d7 novae-angliae", "Lathrobium agglutinatum", "Stenanthemum arens", "Leucheria cerberoana", "Stenanthemum centrale", "Acanthus caroli-alexandri", "Edaphus fuscipennis", "Edaphus riukiuensis", "Edaphus ishigakiensis", "Edaphus bannadakemontis", "Edaphus perdifficilis", "Edaphus impressipennis", "Edaphus bifoveolifrons", "Edaphus takaii", "Acanthus ueleensis", "Aphelandra acanthus", "Aphelandra bahiensis", "Aphelandra gigantiflora", "Edaphus perexilis", "Edaphus kumejimanus", "Edaphus yonaguniensis", "Edaphus tokaraensis", "Edaphus diversipunctatus", "Edaphus omotomontis", "Edaphus callosifrons", "Edaphus ogatai", "Edaphus kojimai", "Corybas klossii", "Corybas koresii", "Corybas laceratus", "Corybas leucotyle", "Corybas limpidus", "Corybas longipedunculatus", "Corybas longipetalus", "Plakortis petrupaulensis", "Plakortis spinalis", "Plakortis potiguarensis", "Plakortis deweerdtaephila", "Plakortis symbiotica", "Haliclona plakophila", "Andrographis alata", "Andrographis atropurpurea", "Andrographis producta", "Senna pallida var. isthmica", "Gymnostachyum febrifugum", "Onoseris purpurata", "Edaphus lederi", "Onoseris weberbaueri", "Edaphus cavifrons", "Plazia daphnoides", "Edaphus triangularifrons", "Edaphus odibilis", "Edaphus tenuelineatus", "Edaphus gracililineatus", "Edaphus plicicollis", "Edaphus trilineatus", "Edaphus quadrilineatus", "Edaphus perodibilis", "Edaphus yangi", "Edaphus peitawumontis", "Edaphus anmamontis", "Edaphus mediolineatus", "Edaphus ypsilon", "Edaphus furculifer", "Edaphus bilineatus", "Edaphus taiwanicola", "Edaphus nanulus", "Edaphus centripunctatus", "Edaphus smetanaianus", "Edaphus chiayimontium", "Edaphus denticulifrons", "Edaphus semipunctatus", "Edaphus callifrons", "Edaphus formosanus", "Edaphus mimus", "Calyx magnoculata", "Parahigginsia strongylifera", "Antho pellita", "Clathria acarnoides", "Discodermia adhaerens", "Caminus carmabi", "Crossandra pungens", "Geodia curacaoensis", "Characella poecillastroides", "Pachastrella pacoi", "Plakinastrella stinapa", "Cynarospermum asperrimum", "Plakinastrella globularis", "Corybas karkarensis", "Corybas karoensis", "Corybas kinabaluensis", "Stenandriopsis guineensis", "Timea clippertoni", "Paratimea globastrella", "Barleria lawii", "Cyanotis ciliata", "Plectranthias alleni", "Banksia glaucifolia", "Banksia heliantha", "Banksia hewardiana", "Banksia hiemalis", "Banksia hirta", "Banksia horrida", "Banksia idiogenes", "Banksia insulanemorecincta", "Senna pallida var. shreveana", "Haplanthodes plumosa", "Stenus cariniventris", "Stenus jiangrixini", "Stenus lineatus", "Stenus emeishanus", "Stenus jiudingshanus", "Stenus xichangensis", "Stenus brevilineatus", "Edaphus cinghalicus", "Haplanthodes tentaculatus var. neilgherryensis", "Haplanthodes verticillatus", "Edaphus cribricollis", "Edaphus sparsus", "Edaphus fauveli", "Phlogacanthus curviflorus", "Ramalina ryukyuensis", "Banksia alliacea", "Banksia anatona", "Barleria affinis", "Banksia arborea", "Banksia arctotidis", "Barleria affinis subsp. affinis", "Banksia armata", "Banksia armata var. ignicida", "Banksia aurantia", "Barleria albostellata", "Banksia bella", "Banksia bipinnatifida", "Banksia bipinnatifida subsp. multifida", "Banksia biterax", "Banksia borealis", "Barleria arnottiana", "Banksia borealis subsp. elatior", "Banksia brevidentata", "Banksia brunnea", "Barleria buxifolia", "Gonatodes albogularis notatus", "Banksia calophylla", "Banksia carlinoides", "Banksia catoglypta", "Barleria courtallica", "Banksia cirsioides", "Banksia comosa", "Banksia columnaris", "Banksia concinna", "Ruellia ciliata", "Banksia corvijuga", "Banksia cynaroides", "Banksia cypholoba", "Plakinastrella clippertonensis", "Aphyosemion mandoroense", "Edaphus klapperichianus", "Edaphus nomurai", "Edaphus viti", "Edaphus mimulus", "Edaphus inamatus", "Edaphus perplexus", "Edaphus smetanai", "Edaphus montivagans", "Edaphus stanislavi", "Edaphus insuavis", "Edaphus sexfoveatus", "Edaphus taiwanensis", "Edaphus iniucundus", "Edaphus forcipifer", "Edaphus odiosus", "Edaphus perodiosus", "Edaphus grandifoveatus", "Edaphus forcipipenis", "Edaphus naomii", "Edaphus intradenticulatus", "Edaphus aeneas", "Edaphus hippodamea", "Edaphus turnus", "Edaphus aphrodite", "Tityus ythieri", "Ananteris kalina", "Edaphus memmius", "Androctonus maroccanus", "Auyantepuia aluku", "Auyantepuia aurum", "Auyantepuia laurae", "Chaerilus philippinus", "Guyanochactas flavus", "Hadrurochactas cristinae", "Hottentotta caboverdensis", "Teuthraustes giupponii", "Teuthraustes khodayarii", "Teuthraustes kuryi", "Tityus cisandinus", "Sphaerodactylus microlepis", "Anolis trinitatis", "Anolis dominicensis", "Edaphus subcarinatus", "Edaphus montisamator", "Edaphus jaccoudi", "Edaphus pahangensis", "Borikenophis portoricensis", "Edaphus peninsularis", "Edaphus taylori", "Edaphus sybaris", "Ramalina yokotae", "Edaphus brevipennis", "Edaphus nepalensis", "Edaphus kashmiricus", "Edaphus impennatus", "Edaphus impenniger", "Edaphus brachypterus", "Edaphus brevialatus", "Edaphus colossus", "Edaphus pilosus", "Edaphus wittmeri", "Edaphus crinitus", "Edaphus corpulentus", "Edaphus singaporensis", "Hibbertia depilipes", "Edaphus bipunctatus", "Edaphus adiposus", "Hibbertia polyancistra", "Edaphus bicicatrix", "Hibbertia striata", "Edaphus fossicollis", "Edaphus divisicollis", "Angophora paludosa", "Barleria acanthoides", "Banksia acanthopoda", "Banksia acuminata", "Barleria cuspidata", "Barleria grandiflora", "Banksia dallanneyi", "Banksia dallanneyi subsp. agricola", "Banksia dallanneyi subsp. media", "Banksia dallanneyi subsp. pollosta", "Banksia dallanneyi subsp. sylvestris", "Banksia dallanneyi var. mellicula", "Banksia densa", "Banksia densa var. parva", "Banksia dolichostyla", "Banksia drummondii", "Banksia drummondii subsp. hiemalis", "Banksia drummondii subsp. macrorufa", "Banksia echinata", "Banksia epimicta", "Banksia erythrocephala", "Banksia erythrocephala var. inopinata", "Banksia falcata", "Banksia fasciculata", "Banksia fililoba", "Banksia foliolata", "Banksia foliosissima", "Banksia formosa", "Barleria greenii", "Banksia fraseri", "Banksia fraseri var. ashbyi", "Banksia fraseri var. crebra", "Banksia fraseri var. effusa", "Banksia fraseri var. oxycedra", "Banksia fuscobractea", "Clathrina passionensis", "Aplysinopsis bergquistae", "Callyspongia roosevelti", "Clathria hermicola", "Barleria involucrata", "Ulosa pacifica", "Barleria obtusa", "Barleria oenotheroides", "Barleria prionitis subsp. prionitis", "Barleria pungens", "Barleria randii", "Barleria rotundifolia", "Barleria siamensis", "Stenus longchishanicus", "Stenus napoensis", "Barleria strigosa var. polystachya", "Stenus renjiafenicus", "Banksia pteridifolia", "Banksia pteridifolia subsp. inretita", "Banksia pteridifolia subsp. vernalis", "Stenus claritarsis", "Banksia croajingolensis", "Asystasia dalzelliana", "Gaultheria myrsinoides", "Corybas mammillifer", "Gaultheria prostrata", "Corybas mankiensis", "Asystasia gangetica subsp. micrantha", "Scaphisoma palu", "Scaphobaeocera jirkai", "Ponerorchis graminifolia var. nigropunctata", "Edaphus lineatocollis", "Lepidagathis fasciculata", "Edaphus brunneiventris", "Edaphus hepaticola", "Edaphus minutus", "Corybas merrillii", "Corybas minimus", "Corybas obscurus", "Corybas minutus", "Stigmatodactylus richardianus", "Asystasia mysorensis", "Asystasia scandens", "Asystasia varia", "Carlowrightia arizonica", "Banksia ionthocarpa", "Banksia ionthocarpa subsp. chrysophoenix", "Banksia kippistiana", "Banksia kippistiana var. paenepeccata", "Banksia lepidorhiza", "Banksia meganotia", "Banksia mimica", "Banksia montana", "Banksia mucronulata", "Banksia nana", "Banksia nivea", "Banksia nivea subsp. uliginosa", "Banksia nobilis", "Banksia nobilis subsp. fragrans", "Banksia obovata", "Banksia obtusa", "Banksia octotriginta", "Banksia pallida", "Banksia pellaeifolia", "Banksia penicillata", "Banksia platycarpa", "Banksia plumosa", "Banksia plumosa subsp. denticulata", "Banksia polycephala", "Banksia porrecta", "Banksia prionophylla", "Banksia prolata", "Banksia prolata subsp. archeos", "Banksia prolata subsp. calcicola", "Banksia proteoides", "Banksia pseudoplumosa", "Banksia purdieana", "Barleria montana", "Barleria mysorensis", "Barleria bispinosa", "Scaphisoma hulai", "Banksia subpinnatifida subsp. imberbis", "Scaphisoma ogawai", "Banksia subulata", "Scaphisoma flavolineatum", "Scaphisoma pellax", "Banksia tenuis", "Scaphisoma sumpichi", "Banksia tenuis subsp. reptans", "Scaphisoma versicoloreum", "Banksia tortifolia", "Scaphisoma carinatum", "Banksia tridentata", "Banksia trifontinalis", "Banksia undata", "Banksia undata var. splendens", "Banksia vestita", "Banksia viscida", "Banksia wonganensis", "Banksia xylothemelia", "Banksia verticiliata", "Ponerorchis graminifolia var. kurokamiana", "Ponerorchis graminifolia var. graminifolia", "Stenus feae", "Banksia rufa", "Stenus iustus", "Banksia rufa subsp. chelomacarpa", "Banksia rufa subsp. flavescens", "Banksia rufa subsp. magna", "Banksia rufa subsp. obliquiloba", "Banksia rufa subsp. pumila", "Stenus malickyi", "Banksia rufa subsp. tutanningensis", "Nazeris rubidus", "Nazeris nanlingensis", "Nazeris gaoleii", "Lepidagathis cuspidata", "Banksia rufistylis", "Banksia sclerophylla", "Lepidagathis floribunda", "Banksia seneciifolia", "Banksia serra", "Banksia serratuloides", "Banksia serratuloides subsp. perissa", "Banksia sessilis", "Banksia sessilis var. cygnorum", "Banksia sessilis var. cordata", "Banksia sessilis var. flabellifolia", "Lepidagathis incurva", "Banksia shanklandiorum", "Banksia shuttleworthiana", "Lepidagathis keralensis", "Pseudotachinus bilobus", "Pseudotachinus assingi", "Banksia splendida", "Baeocera inoptata", "Banksia splendida subsp. macrocarpa", "Banksia squarrosa", "Banksia squarrosa subsp. argillacea", "Banksia stenoprion", "Banksia strictifolia", "Banksia stuposa", "Scaphisoma ancora", "Banksia subpinnatifida", "Chamaeranthemum beyrichii var. rotundifolium", "Termitomorpha alata", "Termitomorpha sinuosa", "Plectranthias bauchotae", "Clinacanthus nutans", "Clistax brasiliensis", "Dysanabatium kechrimparense", "Dysanabatium aenaum", "Dysanabatium damgaardi", "Dysanabatium johannesi", "Dicliptera foetida", "Galium hypocarpium subsp. buxifolium", "Trachischium fuscum", "Corybas pignalii", "Corybas pilifer", "Galium hypocarpium subsp. alluviale", "Thoropa taophora", "Arthraerua leubnitziae", "Hypoestes aristata", "Hypoestes rodriguesiana", "Hypoestes triflora", "Corybas neocaledonicus", "Corybas palearifer", "Dicliptera trifurca", "Baltostigus striatipennis", "Ecbolium ligustrinum", "Ecbolium viride", "Trachischium sushantai", "Corybas mirabilis", "Corybas moluccanus", "Corybas montanus", "Dicliptera resupinata", "Corybas montis-stellaris", "Corybas muluensis", "Corybas muscicola", "Corybas nanus", "Euroleptochromus setifer", "Corybas naviculisepalus", "Dicliptera squarrosa", "Hypoestes forskaolii", "Hypoestes forskaolii subsp. forskaolii", "Clidicostigus arachnipes", "Oedichirus spelaeus", "Ramalina intestiniformis", "Bibloplectus silvestris", "Bibloplectus wingi", "Isoglossa cooperi", "Isoglossa laxa", "Isoglossa woodii", "Edaphus tongkingensis", "Edaphus punctulatus", "Edaphus densipennis", "Edaphus elongatus", "Edaphus remyi", "Edaphus cameroni", "Justicia caracasana", "Justicia adscendens", "Justicia adscendens subsp. adscendens", "Justicia aequilabris", "Justicia aequilabris subsp. aequilabris", "Justicia americana", "Justicia angusta", "Justicia antirrhina", "Cladonia sumatrana", "Colilodion colongi", "Justicia cuneifolia", "Justicia ekakusuma", "Bulbophyllum potamophilum", "Scinax montivagus", "Corybas ponapensis", "Justicia axillaris", "Corybas porphyrus", "Corybas praetermissus", "Corybas pruinosus", "Corybas puberulus", "Corybas puniceus", "Corybas ramosianus", "Corybas ridleyanus", "Justicia biokoensis", "Corybas roseus", "Ramalina sphaerophora", "Justicia bonneyana", "Cladonia fragosa", "Cladonia sinoaltaica", "Elitheya leonina", "Elitheya nigeriana", "Elitheya congoana", "Fistulobalanus sumbawaensis", "Elitheya pallidipennis", "Thinodromus candidus", "Thinodromus cattiensis", "Thinodromus suratthaniensis", "Thinodromus himalayensis", "Thinodromus inconspicuus", "Thinodromus spotus", "Gorynychus masyutinae", "Edaphus topali", "Edaphus rivalis", "Edaphus loebli", "Ptychomya koeneni", "Justicia hyssopifolia", "Bokermannohyla napolii", "Alveospongia sinuosclera", "Edaphus chalcographus", "Edaphus lineatus", "Edaphus setosus", "Edaphus plicifer", "Edaphus furcaticollis", "Edaphus binodulus", "Edaphus mendax", "Edaphus siamensis", "Edaphus pumilus", "Edaphus insperatus", "Justicia glauca", "Gaffneylania auricularis", "Cladonia cartilaginea", "Justicia irwinii", "Justicia laevilinguis", "Justicia lanceolata", "Justicia lindaviana", "Anthobium daliense", "Anthobium nivale", "Anthobium hydraenoides", "Anthobium morchella", "Anthobium puetzi", "Justicia ovata", "Anthobium anishchenkoi", "Anthobium conjunctum", "Justicia runyonii", "Trichoglottis fasciata", "Belontia hasselti", "Belontia signata", "Plagiolepis pygmaea", "Metacerithium turriculatum", "Justicia santapaui", "Justicia tinctoriella", "Mannerheimia grandilobata", "Mannerheimia emeishanensis", "Mannerheimia maculata", "Mannerheimia taiwanica", "Justicia wynaadensis", "Ontholestes brasilianus", "Cypha norvegica", "Anabaxis chathamensis", "Anabaxis brevis", "Anisotes longistrobus", "Anthobium densepunctatum", "Anthobium ivani", "Anthobium gracilipalpe", "Anthobium nigrum", "Cladonia pseudofissa", "Edaphus duplex", "Edaphus vedda", "Edaphus tamoul", "Edaphus gracilis", "Edaphus rastellus", "Edaphus besucheti", "Edaphus heikertingeri", "Edaphus sulciceps", "Edaphus dilutus", "Justicia petiolaris", "Justicia petiolaris subsp. petiolaris", "Justicia phyllocalyx", "Justicia procumbens subsp. procumbens", "Anabaxis inusitata", "Anisotes pubinervius", "Anabaxis lunatica", "Anabaxis quinquefoveolata", "Anabaxis vagus", "Corybas royenii", "Corybas sagittatus", "Corybas sanctigeorgianus", "Corybas scutellifer", "Corybas selangorensis", "Corybas serpentinus", "Corybas sexalatus", "Corybas simbuensis", "Corybas sinii", "Corybas smithianus", "Corybas solomonensis", "Corybas speculum", "Modiolus ligeriensis", "Cryptotora thamicola", "Steinmanella vacaensis", "Pseuderanthemum lilacinum", "Pseuderanthemum longifolium", "Odontonema schomburgkianum", "Oplonia spinosa", "Oplonia spinosa subsp. spinosa", "Oplonia nannophylla", "Dicliptera babui", "Vetudasycerus burmiticus", "Siamites deharvengi", "Blefuscudia bilineata", "Blefuscudia khmer", "Blefuscudia monolineata", "Dicliptera paniculata", "Ruellia paniculata", "Cephennomicrus arunensis", "Cephennomicrus acupunctatus", "Cephennomicrus taplejungensis", "Cephennodes pokharensis", "Cephennodes newar", "Cephennodes kusunda", "Cephennodes sindhupalchowk", "Cephennodes furcatus", "Cephennodes penicillipes", "Cephennodes sulcatus", "Cephennodes kalopanianus", "Cephennodes poonensis", "Haematodes bicolor", "Haematodes kuntzeni", "Dicliptera sivarajanii", "Haematodes tenuipes", "Haematodes myteros", "Dicliptera undulata", "Dicliptera japonica", "Peristrophe japonica", "Dicliptera lanceolaria", "Corybas stenotribonos", "Corybas striatus", "Corybas subalpinus", "Corybas taiwanensis", "Corybas taliensis", "Corybas torricellensis", "Corybas umbonatus", "Corybas umbrosus", "Corybas undulatus", "Corybas ventricosus", "Corybas vespertilionis", "Corybas villosus", "Corybas viridisepalus", "Corybas vitreus", "Corybas \u00d7 halleanus", "Corybas \u00d7 miscellus", "Rhinacanthus gracilis", "Justicia paxiana", "Ruspolia hypocrateriformis", "Ruspolia seticalyx", "Schaueria hirsuta", "Eranthemum capense", "Eranthemum leuconeurum", "Gervillella aviculoides", "Eranthemum sanguinolentum", "Eranthemum strictum", "Colobosauroides carvalhoi", "Plectranthias yamakawai", "Thyrsacanthus callistachyus", "Yeatesia viridiflora", "Scaphidium direptum", "Stenus substrictus", "Deleaster wilhelmensis", "Gryphaeostrea callophyla", "Gnathymenus hoppi", "Myrmedonota scientiana", "Diartiger beijingensis", "Ophrys scolopax subsp. heldreichii", "Ursus thibetanus formosanus", "Stenostephanus leiorhachis", "Pilosella kumbelica", "Monodiger ivoricus", "Disarthricerus bruneicus", "Pseuderanthemum malabaricum", "Fustigerinus formicarius", "Ischyroceros mirus", "Pseuderanthemum latifolium", "Pseuderanthemum subviscosum", "Pseuderanthemum tenellum", "Pseuderanthemum repandum", "Pseuderanthemum repandum subsp. repandum", "Stenus breviculus", "Stenus gonggashanus", "Stenus latipectus", "Stenus tianquanensis", "Leptofauchea auricularis", "Leptofauchea pacifica", "Leptofauchea chiloensis", "Leptofauchea cocosana", "Leptofauchea munseomica", "Leptofauchea rhodymenioides", "Leptofauchea coralligena", "Brunoniella australis", "Leptofauchea earleae", "Leptofauchea leptophylla", "Ekimia ozcan-secmenii", "Liotyphlops trefauti", "Leposternon kisteumacheri", "Trilepida fuliginosa", "Anguloa dubia", "Anguloa eburnea", "Anguloa hohenlohii", "Anguloa hohenlohii var. hohenlohii", "Gloiocladia saccata", "Anguloa hohenlohii var. macroglossa", "Gloiocladia atlantica", "Gloiocladia blomquistii", "Gloiocladia rubrispora", "Gloiocladia fruticulosa", "Gloiocladia iyoensis", "Gloiocladia robillardii", "Gloiocladia subdichotoma", "Gloiocladia conjuncta", "Phycopsis pesgalli", "Axinella balinensis", "Axinella badungensis", "Gloiocladia fryeana", "Gloiocladia furcellata", "Gloiocladia galapagensis", "Gloiocladia hassleri", "Gloiocladia procumbens", "Gloiocladia profunda", "Gloiocladia spinulosa", "Gloiocladia stipitata", "Gloiocladia xishaensis", "Gloiocladia guiryi", "Gloiocladia hoshawii", "Gloiocladia mollis", "Gloiocladia sefferi", "Gloiocladia indica", "Gloiocladia minutula", "Gloiocladia japonica", "Nazeris fujianensis", "Hlavaciellus primitivus", "Cephennodes cavifrons", "Cephennodes pampinosus", "Cephennodes bagmatianus", "Cephennodes popeye", "Cephennodes clavodentatus", "Cephennodes meredaranus", "Pilosella tardogaliciana", "Cephennodes yangrianus", "Cephennodes suturalis", "Cephennodes karnaliensis", "Cephennodes churtanus", "Cephennodes sermathangensis", "Cephennodes tipulipes", "Cephennodes yeti", "Cephennodes inflaticornis", "Cephennodes dolakhanus", "Cephennodes manangensis", "Cephennodes martensi", "Cephennodes paramartensi", "Cephennodes monolaminatus", "Cephennodes thakanus", "Cephennodes annapurnaensis", "Cephennodes parbatensis", "Cephennodes letheanus", "Cephennodes myagdiensis", "Cephennodes malla", "Cephennodes gorkha", "Cephennodes tharepatianus", "Cephennodes minisulcatus", "Cephennodes mustangensis", "Cephennodes lalitpuranus", "Cephennodes paralalitpuranus", "Cephennodes bahrabisensis", "Cephennodes bilaminatus", "Cephennodes ghorepanianus", "Asplundia humilis", "Cephennodes cordilaminatus", "Cephennodes mangmayanus", "Cephennodes bilobatus", "Cephennodes gokarnaensis", "Cephennodes pseudogokarnaensis", "Cephennodes mahisapala", "Cephennodes licchavi", "Cephennodes gopala", "Cephennodes paniporuanus", "Cephennodes brachyclavatus", "Cephennodes phulchokianus", "Hymenocladia usnea", "Hymenocladia dactyloides", "Hymenocladia conspersa", "Hymenocladia filiformis", "Hymenocladia chondricola", "Hymenocladia divaricata", "Hymenocladia kallymenioides", "Nazeris nabanhensis", "Nazeris caoi", "Perbella minuta", "Isognathus caricae", "Bryantinus matangus", "Cerochusa cilioceps", "Ceroderma asperata", "Gloiocladia mauritiana", "Nazeris xuwangi", "Gloiocladia microspora", "Gloiocladia pelicana", "Gloiocladia tenuissima", "Nazeris luoxiaoshanus", "Nazeris pengzhongi", "Gloiocladia ramellifera", "Nazeris divisus", "Nazeris paradivisus", "Nazeris xiaobini", "Gloiocladia polycarpa", "Nazeris congchaoi", "Nazeris nannani", "Nazeris rufus", "Nazeris ziweii", "Nazeris daweishanus", "Nazeris prominens", "Nazeris zekani", "Hygrophila pinnatifida", "Fryeella gardneri", "Hygrophila stricta", "Nazeris longilobus", "Hymenocladiopsis prolifera", "Hygrophila pogonocalyx", "Minium parvum", "Pseudohalopeltis tasmanensis", "Nazeris dayaoensis", "Nazeris luoi", "Nazeris tani", "Nazeris qini", "Nazeris megalobus", "Nazeris grandis", "Asteromenia peltata", "Hygrophila ringens subsp. ringens", "Asteromenia anastomosans", "Asteromenia bermudensis", "Asteromenia exanimans", "Asteromenia pseudocoalescens", "Erythrymenia obovata", "Ophrys \u00d7 nouletii", "Apostolepis longicaudata", "Apostolepis breviceps", "Ceratodictyon hachijoense", "Ceratodictyon intricatum", "Ceratodictyon pannosum", "Ceratodictyon planicaule", "Ceratodictyon repens", "Ceratodictyon scoparium", "Ceratodictyon tenue", "Ceratodictyon variabile", "Phalotris sansebastiani", "Binghamia californica", "Binghamia forkii", "Ptychophis flavovirgatus", "Binghamiopsis caespitosa", "Smetanabatrus kinabalu", "Rodriguesophis iglesiasi", "Apostolepis cearensis", "Ceratodictyon spongiosum", "Phalotris nasutus", "Fushitsunagia catenata", "Semnocarpa corynephora", "Semnocarpa minuta", "Stirnia prolifera", "Gomesophis brasiliensis", "Lomentaria articulata", "Smetanabatrus ghecu", "Lomentaria clavellosa", "Linan cardialis", "Lomentaria divaricata", "Linan chinensis", "Lomentaria saxigena", "Linan hainanicus", "Linan inornatus", "Linan megalobus", "Lomentaria uncinata", "Labomimus maoershanus", "Mimulopsis solmsii", "Dyschoriste angusta", "Cresia opalescens", "Atractus ronnie", "Apostolepis thalesdelemai", "Apostolepis mariae", "Chamaebotrys proliferus", "Erythrocolon podagricum", "Leptosomia rosea", "Hygrophila serpyllum", "Pterotrigonia coihiucoensis", "Dyschoriste humilis", "Dyschoriste hygrophiloides", "Taiwanophodes minor", "Lesteva cala", "Lesteva erythra", "Murexia hageni", "Ruellia hygrophila", "Ruellia inundata", "Ruellia lactea", "Ruellia malaca", "Algodontus carinatus", "Algodontus crassicornis", "Algodontus kochi", "Rhodymeniocolax botryoideus", "Rhodymeniocolax mediterraneus", "Celestus costatus", "Sparlingia pertusa", "Microphyllum borneense", "Microphyllum robustum", "Microphyllum crispum", "Maripelta rotata", "Kentropyx striata", "Algodontodes acutipalpus", "Ruellia caroliniensis subsp. ciliosa", "Ruellia coccinea", "Phalotris matogrossensis", "Pararuellia delavayana", "Ruellia elegans", "Ruellia geminiflora", "Megatyrus masumotoi", "Ruellia californica", "Ruellia californica subsp. peninsularis", "Ruellia jussieuoides", "Ruellia repens", "Maripelta atlantica", "Irvinea ardreana", "Irvinea boergesenii", "Sphaerodactylus gilvitorques", "Irvinea hancockii", "Drouetia coalescens", "Drouetia aggregata", "Drouetia scutellata", "Drouetia viridescens", "Coelarthrum cliftonii", "Coelarthrum opuntia", "Coelarthrum decumbens", "Ruellia harveyana", "Coniophanes lateritius", "Botryocladia botryoides", "Algodontus leleupi", "Algodontus costatus", "Ruellia morongii", "Botryocladia microphysa", "Botryocladia pseudodichotoma", "Ruellia nitens", "Madontalgus sculpturatus", "Botryocladia chiajeana", "Callionima pan", "Warrumbungle orientalis", "Botryocladia beckeriana", "Ruellia longepetiolata", "Chrysymenia dickieana", "Chrysymenia glebosa", "Chrysymenia grandis", "Chrysymenia halymenioides", "Chrysymenia kaernbachii", "Chrysymenia littleriana", "Chrysymenia nodulosa", "Chrysymenia okamurae", "Galium hypocarpium subsp. hypocarpium", "Ruellia caroliniensis subsp. caroliniensis", "Ruellia cearensis", "Lesteva brevimacula", "Apostolepis ammodites", "Phalotris multipunctatus", "Odontalgus dongbaiensis", "Phalotris nigrilatus", "Phalotris lativittatus", "Phalotris concolor", "Odontalgus gracilides", "Odontalgus vespertinus", "Bothrops muriciensis", "Odontalgus rugulosus", "Chrysymenia ventricosa", "Apharinodes sinensis", "Chrysymenia agardhii", "Chrysymenia brownii", "Botryocladia enteromorpha", "Botryocladia wrightii", "Hypericum laricifolium", "Chrysymenia coriacea", "Chrysymenia curtissiana", "Sarcinella occidentalis", "Diplotaxodon altus", "Diplotaxodon longimaxilla", "Pholadomya gigantea", "Strobilanthes auriculata", "Strobilanthes auriculata var. dyeriana", "Strobilanthes glutinosa", "Dicliptera raui", "Strobilanthes reptans", "Strobilanthes sinuata", "Strobilanthes virendrakumariana", "Strobilanthes wallichii", "Strobilanthes sessilis", "Strobilanthes sessilis var. sessiloides", "Xenodusa cava", "Bravaisia berlandieriana", "Chrysymenia ornata", "Chrysymenia pinnulata", "Chrysymenia planifrons", "Chrysymenia polydactyla", "Chrysymenia procumbens", "Chrysymenia tigillum", "Chrysymenia pseudoventricosa", "Cordylecladia erecta", "Cordylecladia huntii", "Cordylecladia peasiae", "Cordylecladia guiryi", "Bulbophyllum frostii", "Ruellia terminalis", "Ruellia insignis", "Cissus verticillata subsp. colombiana", "Megatyrus yorioi", "Ruellia caroliniensis var. succulenta", "Megatyrus munetoshii", "Hemigraphis crenata", "Hemigraphis hirta", "Trisinus shaolingiger", "Trisinus pharelatus", "Trisinus shuixiuifer", "Trisinus cratocerus", "Trisinus cribraticollis", "Strobilanthes alternata", "Strobilanthes angustifrons", "Strobilanthes atropurpurea", "Strobilanthes pentstemonoides", "Strobilanthes persicifolia", "Strobilanthes phyllostachya", "Strobilanthes pulneyensis", "Riama cashcaensis", "Arca ameghinorum", "Rhadinella kanalchutchan", "Strobilanthes heyneana", "Strobilanthes integrifolia", "Strobilanthes ixiocephala", "Zyras latibasalis", "Strobilanthes kunthiana", "Strobilanthes lanata", "Zyras nigerrimus", "Strobilanthes larium", "Zyras bryanti", "Strobilanthes lupulina", "Zyras granulipennis", "Zyras flavorufus", "Halichrysis depressa", "Zyras rutrilobatus", "Zyras parvilobatus", "Halichrysis concrescens", "Zyras hirtiventris", "Zyras hlavaci", "Labomimus quadratithorax", "Linan fortunatus", "Linan huapingensis", "Linan hujiayaoi", "Lomentaria firma", "Lomentaria amplexans", "Lomentaria australis", "Lomentaria benahoarensis", "Lomentaria caespitosa", "Lomentaria caseae", "Lomentaria chylocladiella", "Lomentaria claviformis", "Lomentaria compressa", "Lomentaria corallicola", "Lomentaria diffusa", "Lomentaria drouetii", "Lomentaria ercegovicii", "Lomentaria flaccida", "Lomentaria gracillima", "Lomentaria hakodatensis", "Lomentaria indica", "Lomentaria intertexta", "Lomentaria jabukae", "Lomentaria lubrica", "Lomentaria mauritiana", "Lomentaria monochlamydea", "Lomentaria okamurae", "Lomentaria orcadensis", "Lomentaria pinnata", "Lomentaria pyramidalis", "Lomentaria rawitscheri", "Lomentaria secunda", "Lomentaria strumosa", "Lomentaria subdichotoma", "Lomentaria tenera", "Lomentaria tenerrima", "Lomentaria umbellata", "Lomentaria verticillata", "Cephalocystis furcellata", "Cephalocystis leucobotrys", "Chamaebotrys boergesenii", "Chamaebotrys lomentariae", "Chamaebotrys erectus", "Suessenguthia trochilophila", "Agardhinula browneae", "Riama unicolor", "Riama simotera", "Riama meleagris", "Strobilanthes tomentosa", "Ruellia diffusa", "Andinosaura oculata", "Andinosaura hyposticta", "Rhodymenia pseudopalmata", "Grammatodon securis", "Rhodymenia capensis", "Pterostylis antennifera", "Rhodymenia dichotoma", "Pterostylis borealis", "Rhodymenia variolosa", "Pterostylis bruniella", "Pterostylis campestris", "Pterostylis clivosa", "Pterostylis corpulenta", "Pterostylis crebra", "Pterostylis crebriflora", "Strobilanthes maculata", "Strobilanthes neoasper", "Strobilanthes nockii", "Steinmanella transitoria", "Strobilanthes nigrescens", "Strobilanthes nutans", "Avicennia marina subsp. marina", "Riama columbiana", "Grammephora peyssonnelioides", "Sciadophycus stellatus", "Sciadophycus expansus", "Riama striata", "Andinosaura laevis", "Zyras lunatus", "Halichrysis corallinaria", "Halichrysis irregularis", "Halichrysis japonica", "Myrmedonota modiglianii", "Halichrysis micans", "Halichrysis thivyae", "Halopeltis australis", "Myrmechusa selindensis", "Halopeltis cuneata", "Halopeltis austrina", "Halopeltis verrucosa", "Halopeltis gracilis", "Halopeltis prostrata", "Gapia gigantea", "Rubia argyi", "Halopeltis willisii", "Halopeltis pellucida", "Halopeltis adnata", "Elytraria acaulis", "Oreosaurus luctuosus", "Oreosaurus achlyens", "Oreosaurus shrevei", "Bachia pyburni", "Sebdenia monnardiana", "Sebdenia dichotoma", "Echinosaura sulcarostrum", "Saurauia arnoldii", "Saurauia bracteosa", "Strobilanthes reticulata", "Eoophyla albipuncta", "Eoophyla vitiensis", "Eoophyla lutea", "Eoophyla montana", "Eoophyla hexalitha", "Eoophyla nephelanthopa", "Eoophyla chrysota", "Acrodipsas violacea", "Echinosaura brachycephala", "Echinosaura orcesi", "Saurauia cauliflora", "Saurauia kegeliana", "Saurauia macrantha", "Saurauia madrensis", "Saurauia montana", "Saurauia nudiflora", "Rhodymenia flabellifolia", "Rhodymenia intricata", "Aenictocleptis hirsutus", "Aenictocleptis gracilis", "Rhodymenia obtusa", "Aenictocleptis rosciszewskii", "Aenictocleptis weissflogi", "Aenictocleptis maschwitzi", "Rhodymenia wilsonis", "Riama orcesi", "Riama anatoloros", "Riama balneator", "Riama colomaromani", "Riama labionis", "Andinosaura petrorum", "Riama raneyi", "Riama stigmatoral", "Aenictocleptis hirsutoides", "Rhodymenia abyssicola", "Siagonium shokhini", "Zyras punctipennis", "Zyras elegantulus", "Zyras facundus", "Strobilanthes attenuata", "Strobilanthes attenuata subsp. attenuata", "Strobilanthes callosa", "Strobilanthes cernua", "Strobilanthes ciliata", "Helonias koreana", "Mimaenictus matsumotoi", "Mimopogonius hovorei", "Procantonnetia opacithorax", "Weissflogia pubescens", "Staurogyne argentea", "Staurogyne zeylanica", "Saphocallus parviceps", "Pollanisus hyacinthus", "Oreoeudesis ruandensis", "Orphnebius draco", "Crassitegula walsinghamii", "Crassitegula laciniata", "Crassitegula imitans", "Pollanisus angustifrons", "Pollanisus commoni", "Pollanisus contrastus", "Pollanisus edwardsi", "Echinosaura horrida", "Echinosaura keyi", "Echinosaura palmeri", "Echinosaura panamensis", "Thunbergia crispa", "Thunbergia dregeana", "Thunbergia fischeri", "Thunbergia fragrans subsp. fragrans", "Pollanisus eungellae", "Pollanisus incertus", "Pollanisus isolatus", "Pollanisus modestus", "Pollanisus nielseni", "Lesleigha hawaiiensis", "Nola savura", "Lesleigha howensis", "Lesleigha yamadae", "Mendoncia hoffmannseggiana", "Mendoncia velloziana", "Delias caliban sycorax", "Sebdenia integra", "Anisynta cynone cynone", "Sebdenia dawsonii", "Anisynta cynone anomala", "Sebdenia flabellata", "Trachydonia incredibilis", "Cryptophlebia ombrodelta ombrodelta", "Cryptophlebia ombrodelta suvaensis", "Rhopobota splendida", "Sebdenia rodrigueziana", "Hasora hurama", "Tribasodites cehengensis", "Tribasodites liboensis", "Tribasodites setosiventris", "Enigma aculeata", "Tribasodites xingyiensis", "Tribasodites bama", "Tribasodites kawadai", "Tribasodites uenoi", "Perinema sibogae", "Tribasodites thailandicus", "Rhododiplobia cor-margaritae", "Tribasodites bedosae", "Tribasodites deharvengi", "Tribasodites tiani", "Selkia lacustris", "Synemon edwardsi", "Arctornis queenslandica", "Arctornis lucens", "Arctornis ravenshoeae", "Arctornis cairnsae", "Arctornis commoni", "Yoma algina", "Yoma sabina", "Yoma sabina sabina", "Hasora hurama territorialis", "Sebdenia lindaueri", "Hasora hurama hurama", "Sebdenia okamurae", "Sebdenia rubra", "Calacanthus grandiflorus", "Sebdenia senegalensis", "Rhodachlya madagascarensis", "Rhodachlya hawaiiana", "Allogonium confervaceum", "Allogonium kochianum", "Allogonium coeruleum", "Neuracanthus sphaerostachys", "Acrodipsas cuprea cuprea", "Acrodipsas cuprea variabilis", "Chalicostroma nierstraszii", "Enigma calcareophila", "Tribasodites hubeiensis", "Tribasodites abnormalis", "Promalactis aggregata", "Promalactis apicifurcellata", "Promalactis stenitubilaris", "Promalactis albipedalis", "Coleophora mirleftensis", "Coleophora nupponeni", "Coleophora embaensis", "Coleophora charynensis", "Coleophora tugaicola", "Awas kayan", "Awas loebli", "Thunbergia natalensis", "Caroxylon acocksii", "Caroxylon adiscum", "Caroxylon adversariifolium", "Caroxylon aellenii", "Duvernoia aconitiflora", "Caroxylon albisepalum", "Botryocladia adhaerens", "Botryocladia bahamensis", "Botryocladia ballantinei", "Botryocladia beaudettei", "Botryocladia bermudana", "Botryocladia bullosa", "Botryocladia canariensis", "Botryocladia caraibica", "Botryocladia connexa", "Botryocladia darwinii", "Botryocladia datilensis", "Botryocladia ebriosa", "Botryocladia exquisita", "Botryocladia feldmannii", "Botryocladia fernandeziana", "Botryocladia flookii", "Botryocladia franciscana", "Botryocladia ganesanii", "Botryocladia guaymasensis", "Botryocladia guineensis", "Botryocladia hawkesii", "Botryocladia iridescens", "Botryocladia kuckuckii", "Botryocladia lawsonii", "Botryocladia leptopoda", "Botryocladia macaronesica", "Botryocladia madagascariensis", "Botryocladia monoica", "Botryocladia neushulii", "Botryocladia occidentalis", "Botryocladia papenfussiana", "Botryocladia paucivesicaria", "Botryocladia pienaarii", "Botryocladia pyriformis", "Botryocladia senegalensis", "Botryocladia shanksii", "Botryocladia skottsbergii", "Botryocladia sonderi", "Botryocladia spinulifera", "Botryocladia tenuissima", "Botryocladia uvarioides", "Botryocladia wynnei", "Myrmecosticta exceptionalis", "Aenictobia thoi", "Aenictobia fergusoni", "Andinosaura vespertina", "Andinosaura vieta", "Scaphidium bituberculatum", "Awas sinicus", "Eutactobius puellus", "Caroxylon campylopterum", "Caroxylon cauliflorum", "Caroxylon ceresicum", "Caroxylon contrariifolium", "Caroxylon cryptopterum", "Caroxylon dealatum", "Elachista subula", "Elachista cisoria", "Elachista drepanella", "Elachista ameteria", "Caroxylon decussatum", "Elachista scalpra", "Caroxylon denudatum", "Xenopeltis hainanensis", "Caroxylon dinteri", "Caroxylon angolense", "Chibiraga banghaasi", "Duvernoia extensa", "Caroxylon apiciflorum", "Caroxylon apterygeum", "Chibiraga houshuaii", "Chibiraga yukei", "Caroxylon arboreum", "Hiroshiinoueana wuzhishanica", "Caroxylon armatum", "Hiroshiinoueana inequivalva", "Aragomacer leai", "Aragomacer uniformis", "Bunyaeus eutactae", "Bunyaeus monteithi", "Caroxylon aroabicum", "Caroxylon atratum", "Caroxylon barbatum", "Scaphidium yinziweii", "Saurauia pendula", "Oncidium naevium", "Saurauia reinwardtiana", "Saurauia scabra", "Allium canadense var. canadense", "Myoconcha transatlantica", "Rhodymenia arborescens", "Rhodymenia ardissonei", "Rhodymenia baerii", "Rhodymenia bamfieldensis", "Rhodymenia caespitosa", "Rhodymenia californica", "Rhodymenia callophylloides", "Rhodymenia caulescens", "Rhodymenia chiloensis", "Rhodymenia cinnabarina", "Rhodymenia coacta", "Rhodymenia coccocarpa", "Rhodymenia coespitosella", "Rhodymenia compressa", "Rhodymenia contortuplicata", "Rhodymenia corallicola", "Rhodymenia corallina", "Rhodymenia crozetii", "Rhodymenia dawsonii", "Rhodymenia decumbens", "Rhodymenia delicatula", "Rhodymenia dissecta", "Rhodymenia divaricata", "Rhodymenia erythraea", "Rhodymenia eyreana", "Rhodymenia falklandica", "Rhodymenia gladiata", "Rhodymenia hainanensis", "Rhodymenia hancockii", "Rhodymenia holmesii", "Rhodymenia howeana", "Aenictocleptis lambirensis", "Rhodymenia huertae", "Rhodymenia indica", "Rhodymenia insularis", "Rhodymenia javanica", "Rhodymenia leptofaucheoides", "Rhodymenia leptophylla", "Rhodymenia ligulata", "Rhodymenia linearis", "Rhodymenia liniformis", "Rhodymenia lobata", "Rhodymenia lociperonica", "Rhodymenia multidigitata", "Rhodymenia natalensis", "Rhodymenia norfolkensis", "Rhodymenia novaehollandica", "Rhodymenia novazelandica", "Rhodymenia pacifica", "Rhodymenia palmipedata", "Rhodymenia parva", "Rhodymenia peruviana", "Rhodymenia phyllo\u00efdes", "Rhodymenia prolificans", "Rhodymenia prostrata", "Rhodymenia rhizoidifera", "Rhodymenia schmittii", "Rhodymenia setchellii", "Rhodymenia skottsbergii", "Rhodymenia stenoglossa", "Rhodymenia sympodiophyllum", "Rhodymenia wilkesii", "Rhodymenia womersleyi", "Caroxylon gemmatum", "Eusphalerum komatsudakense", "Sambucus cerulea", "Caroxylon gemmiferum", "Eusphalerum floricola", "Caroxylon gemmiparum", "Caroxylon giessii", "Quedius hideyoi", "Caroxylon glabrescens var. apiculatum", "Caroxylon glabrum", "Caroxylon henriciae", "Elachista cultella", "Elachista marusiki", "Elachista spinipyra", "Caroxylon hoanibicum", "Elachista mus", "Elachista bimaculata", "Elachista perona", "Elachista semnani", "Elachista platamodes", "Saurauia tristyla", "Saurauia zahlbruckneri", "Saurauia andreana", "Adoxa moschatellina subsp. moschatellina", "Caroxylon dolichostigmum", "Caroxylon esterhuyseniae", "Caroxylon etoshense", "Caroxylon exalatum", "Caroxylon garubicum", "Caroxylon geminiflorum", "Phyllodesma priapus", "Phyllodesma kermesifolia", "Phyllodesma suberifolia", "Sambucus racemosa subsp. sibirica", "Nabalus autumnalis", "Caroxylon patentipilosum", "Quedius haan", "Quedius goong", "Quedius jaang", "Quedius kwang", "Quedius pyn", "Quedius terng", "Quedius fabbrii", "Quedius lanugo", "Quedius antennalis", "Caroxylon okaukuejense", "Sambucus chinensis", "Caroxylon omaruruense", "Caroxylon parviflorum", "Viburnum acutifolium", "Viburnum acutifolium subsp. acutifolium", "Phyllodesma japonica", "Viburnum australe", "Phyllodesma japonica japonica", "Parmelia encryptata", "Phyllodesma japonica ussuriense", "Parmelia mayi", "Streblote primigenum", "Streblote primigenum primigenum", "Streblote primigenum kuhitanghicum", "Quedius klapperichi", "Quedius hailuogou", "Caroxylon pearsonii", "Euthrix potatoria", "Caroxylon phillipsii", "Caroxylon pillansii", "Caroxylon procerum", "Caroxylon ptilopterum", "Ameiva bifrontata", "Sambucus tigranii", "Caroxylon rabieanum", "Caroxylon robinsonii", "Caroxylon ruschii", "Caroxylon schreiberae", "Pholidoscelis taeniurus", "Pholidoscelis exsul", "Ameiva reticulata", "Viburnum ellipticum", "Stenocercus aculeatus", "Caroxylon hottentotticum", "Caroxylon huabicum", "Caroxylon inapertum", "Caroxylon kalaharicum", "Loboschiza bispina", "Loboschiza rectanguluma", "Loboschiza cambodiensis", "Loboschiza flavobasis", "Caroxylon kleinfonteini", "Aphyle niedmandi", "Caroxylon koichabicum", "Evius ocassus", "Caroxylon luederitzense", "Caroxylon marginatum", "Caroxylon melananthum", "Caroxylon merxmuelleri", "Caroxylon microtrichum", "Caroxylon minutifolium", "Caroxylon mirabile", "Caroxylon namaqualandicum", "Caroxylon namibicum", "Quedius leang", "Quedius jyr", "Quedius biann", "Caroxylon nigrescens", "Quedius gongga", "Caroxylon nollothense", "Pholidobolus vertebralis", "Parnassius patricius lukhtanovi", "Parnassius patricius luedwigi", "Parnassius patricius priamus", "Parnassius patricius patricius", "Parnassius patricius kardakoffi", "Parnassius patricius xinjiangensis", "Pinalia japonica", "Quedius vafer", "Quedius emei", "Viburnum costaricanum", "Quedius haw", "Quedius erythras", "Quedius katerinae", "Quedius zheduo", "Quedius euryalus", "Quedius euanderoides", "Quedius guey", "Quedius myau", "Quedius tarvos", "Quedius erriapo", "Quedius telesto", "Quedius albiorix", "Quedius inquietus", "Quedius przewalskii", "Quedius chremes", "Quedius bito", "Quedius acco", "Quedius ennius", "Quedius kucerai", "Quedius bohemorum", "Quedius farkaci", "Quedius kabateki", "Quedius amicorum", "Quedius huenn", "Quedius antoni", "Quedius nireus", "Quedius raan", "Quedius haemon", "Quedius cingulatus", "Prosthecarthron insulanus", "Bibasis sena", "Bibasis sena sena", "Macropoliana buchholzi", "Baburia paucustriga", "Metendothenia ordospina", "Metendothenia pulchra", "Hosseusiella chilensis", "Viburnum sargentii", "Lobesia bisacca", "Calumma juliae", "Melanoseris brunoniana", "Lobogonodes shiushioui", "Viburnum stellato-tomentosum", "Melanoseris aitchisoniana", "Madascincus minutus", "Madascincus nanus", "Pseudoacontias menamainty", "Paracontias tsararano", "Paracontias manify", "Paracontias hafa", "Pseudoxyrhopus analabe", "Upretia amarkantakana", "Viburnum acutifolium subsp. lautum", "Parnassius apollo graecus", "Parnassius apollo hesebolus", "Parnassius apollo limicola", "Parnassius apollo nevadensis", "Parnassius apollo provincialis", "Parnassius apollo pyrenaica", "Parnassius apollo sibiricus", "Parnassius apollo kashtsehenko", "Parnassius apollo luitpoldus", "Alisma plantago-aquatica subsp. plantago-aquatica", "Nabalus tatarinowii subsp. tatarinowii", "Nabalus tatarinowii subsp. macranthus", "Indoquedius baliyo", "Indoquedius bing", "Indoquedius chuen", "Alucita agassizi", "Indoquedius formosae", "Alucita iringiensis", "Alucita snezhinka", "Alucita tanzanica", "Indoquedius liuae", "Indoquedius shibatai", "Indoquedius qiuae", "Macrobiotus shonaicus", "Calumma lefona", "Viburnum sympodiale", "Nabalus mainensis", "Nabalus bootii", "Calumma uetzi", "Nabalus sagittatus", "Melanoseris violifolia", "Pterotrigonia cristata", "Viburnum tiliifolium", "Mentaxya bruneli", "Amazonides babaulti", "Amazonides putrefacta", "Amazonides berioi", "Hosseusiella gallowayiana", "Cheilocolpus kentiae", "Cheilocolpus castaneus", "Cheilocolpus olliffi", "Ctenandropus mirus", "Melanoseris stewartii", "Quediopsis howensis", "Cafius gigas", "Plectranthias altipinnatus", "Parnassius apollo ladinus", "Parnassius apollo ottonius", "Parnassius apollo pandolfus", "Parnassius apollo rebelianus", "Parnassius apollo rhea", "Parnassius apollo sicinius", "Parnassius apollo suaneticus", "Parnassius apollo venustus", "Parnassius stenosemus mulkilensis", "Quedius aculeatus", "Quedius acutulus", "Quedius altus", "Parnassius stenosemus nadiae", "Quedius arcus", "Quedius capillus", "Parnassius stenosemus nobuko", "Quedius perlucidus", "Parnassius stenosemus pensi", "Quedius postangulus", "Quedius subwrasei", "Viburnum macrocephalum f. keteleeri", "Quedius bernhauerianus", "Parnassius stenosemus rileyi", "Parnassius stenosemus stenosemus", "Quedius ephialtes", "Quedius euander", "Quedius lih", "Notoseris scandens", "Cafius sabulosus", "Philonthus antipodum", "Hesperus dolichoderes", "Hesperus pacificus", "Crepidiastrum diversifolium", "Amazonides ezanai", "Amazonides georgyi", "Amazonides laheuderiae", "Amazonides ungemachi", "Amazonides basalis", "Pseudotrechisibus sphaericus", "Caldesia grandis", "Incatrechus pilosus", "Incatrechus rattii", "Incatrechus lagunensis", "Trechisibus latellai", "Viburnum opulus var. americanum", "Amazonides jouanini", "Amazonides ascia", "Amazonides asciodes", "Amazonides ikondae", "Amazonides intermedia", "Amazonides nigroides", "Amazonides perstriata", "Amazonides atrisigna", "Afroquedius latitarsalis", "Afroquedius brachelytrus", "Afroquedius sebastiani", "Afroquedius sexpunctatus", "Amazonides aulombardi", "Acorus calamus var. calamus", "Echinodorus palifolius", "Hosseusiella pergracilis", "Dracocephalum argunense", "Helanthium bolivianum", "Bathysciella jeanneli", "Aranzadiella leizaolai", "Babuniella ovata", "Loeblibatrus yunnanus", "Babuniella jovanhadzii", "Petkovskiella henrikenhoffi", "Scariphaeus mautnermarkhofi", "Quedius songpan", "Viburnum punctatum", "Viburnum nudum var. cassinoides", "Quedius songpanoides", "Quedius wrasei", "Quedius yaoqi", "Viburnum obovatum", "Caryocolum anatolicum", "Quedius bilobus", "Quedius cornutus", "Caryocolum iranicum", "Quedius varius", "Caryocolum dilatatum", "Caryocolum spinosum", "Caryocolum albithoracellum", "Caryocolum similellum", "Caryocolum divergens", "Viburnum odoratissimum var. awabuki", "Chytonix perssoni", "Chytonix nemperssoni", "Chytonix viridifusa", "Chytonix tobiasmalmi", "Paranerita kotolnuki", "Paranerita maculata", "Paranerita maculata maculata", "Paranerita maculata sandeepani", "Baritius flexuosus", "Hydrocleys martii", "Plectranthias maculicauda", "Acrodon bellidiflorus", "Aizoanthemopsis hispanica", "Dendrobium junceum", "Aloinopsis luckhoffii", "Aloinopsis malherbei", "Prepodesma orpenii", "Aloinopsis rosulata", "Dendrobium leptocladum", "Aloinopsis rubrolineata", "Echinodorus floribundus", "Echinodorus glaucus", "Trechisibus punaensis", "Trechisibus pluvialis", "Trechisibus quietus", "Luyatrechus cuelapensis", "Batriscydmaenus tishechkini", "Troglocharinus pallisei", "Aloinopsis spathulata", "Sandalus randyi", "Bathysciola ruffoi", "Bellesia espanyoli", "Antimima granitica", "Antimima lawsonii", "Magdelainella milojebrajkovici", "Elmas brooksi", "Elmas costaricensis", "Elmas elassoides", "Elmas esmeraldas", "Elmas falini", "Elmas gigas", "Elmas guianas", "Elmas hanleyi", "Elmas hibbsi", "Elmas lambas", "Elmas lescheni", "Elmas panamaensis", "Elmas patillas", "Elmas spinosus", "Elmas windsori", "Bithyniella viti", "Argyroderma fissum", "Argyroderma pearsonii", "Argyroderma ringens", "Rodriguezia bracteata", "Tumicla arktos", "Tumicla tsonga", "Scutellaria verna", "Carruanthus ringens", "Carruanthus peersii", "Cephalophyllum framesii", "Cephalophyllum pillansii", "Cephalophyllum subilatoides", "Cephalophyllum inaequale", "Rehmanniella wirthii", "Argyroderma subalbum", "Astridia velutina", "Astridia longifolia", "Protoconnus quillabambanus", "Protoconnus ecuadoranus", "Protoconnus napoanus", "Protoconnus impressifrons", "Protoconnus angustus", "Protoconnus maximus", "Protoconnus acutus", "Cyclopes thomasi", "Cyclopes rufus", "Cyclopes xinguensis", "Antimima piscodora", "Beronia micevi", "Antimima solida", "Beronia andreevi", "Antimima ventricosa", "Elmas modesta", "Elmas strigella", "Elmas elassos", "Beskovia beroni", "Beskovia tranteevi", "Beskovia bulgarica", "Elmas similis", "Argyroderma patens", "Elmas strigiformis", "Argyroderma congregatum", "Besuchetiola priapus", "Argyroderma crateriforme", "Bithyniella strinatii", "Tumicla dimidiata", "Tumicla fasciata", "Tumicla retromaculata", "Tumicla rosea", "Tumicla rubea", "Tumicla similis", "Cerochlamys pachyphylla", "Chasmatophyllum musculinum", "Tumicla sagenaria", "Cheiridopsis aspera", "Protoconnus minutus", "Protoconnus minutissimus", "Elixjohnia ovis\u00adatra", "Cheiridopsis purpurea", "Alloraphes jamaicae", "Cheiridopsis robusta", "Alloraphes lenkoi", "Alloraphes peruanus", "Cheiridopsis rostrata", "Alheita anoca", "Protoconnus minusculus", "Protoconnus costaricanus", "Protoconnus tunarianus", "Protoconnus magnus", "Protoconnus apaapa", "Ulva lactuca", "Protoconnus volcanbaru", "Protoconnus inexpectatus", "Protoconnus andicola", "Protoconnus venezolanus", "Protoconnus bolivianus", "Protoconnus comarapae", "Bergeranthus scapiger", "Bergeranthus vespertinus", "Bergeranthus multiceps", "Alloraphes myrmecophilus", "Alloraphes magnus", "Cheiridopsis speciosa", "Alloraphes dentatus", "Alloraphes peckorum", "Cheiridopsis pillansii", "Cleretum papulosum", "Cleretum papulosum subsp. papulosum", "Cleretum herrei", "Caroxylon scopiforme", "Conicosia pugioniformis subsp. pugioniformis", "Caroxylon seminudum", "Caroxylon sericatum", "Tumicla eala", "Caroxylon seydelii", "Tumicla gigantea", "Conicosia elongata", "Tumicla hermanni", "Caroxylon smithii", "Tumicla atricraspeda", "Cheiridopsis brownii", "Tumicla congoensis", "Tumicla distyi", "Protoconnus princeps", "Tumicla doa", "Cheiridopsis denticulata", "Protoconnus araguanus", "Cheiridopsis imitans", "Protoconnus paraguayanus", "Protoconnus peruensis", "Protoconnus robustus", "Cheiridopsis namaquensis", "Conophytum ernstii subsp. ernstii", "Conophytum flavum subsp. flavum", "Ahlbergia bijieensis", "Conophytum flavum subsp. novicium", "Conophytum calculus subsp. calculus", "Epischnia sareptella", "Epischnia thewysi", "Merulempista saharae", "Sciota rungsi", "Conophytum ectypum subsp. ectypum", "Conophytum ernstii", "Conophytum obscurum subsp. obscurum", "Conophytum minusculum subsp. minusculum", "Conophytum obcordellum subsp. obcordellum", "Leopoldia neumannii", "Conophytum hammeri", "Sinoconodon rigneyi", "Brusqeulia crispula", "Brusqeulia yunkensis", "Brusqeulia araguensis", "Conophytum herreanthus", "Conophytum herreanthus subsp. herreanthus", "Conophytum jucundum subsp. jucundum", "Ischnosoma nepalense", "Graphium mandarinus kimurai", "Ischnosoma nepalicum", "Graphium mandarinus fangana", "Ischnosoma thamar", "Ischnosoma travei", "Ischnosoma yasudai", "Ischnosoma irregulare", "Ischnosoma paradiscoidale", "Graphium mandarinus stillwelli", "Conophytum auriflorum subsp. turbiniforme", "Graphium hoeneanus", "Graphium daiyuanae", "Graphium confucius", "Epischnia albella", "Conophytum bilobum subsp. bilobum", "Tumicla mutabilis", "Caroxylon spenceri", "Tumicla spinata", "Tumicla versicolor", "Caroxylon squarrosulum", "Tumicla russula", "Caroxylon swakopmundi", "Caroxylon tetramerum", "Caroxylon tuberculatiforme", "Graphium timur kooichii", "Graphium timur timur", "Graphium garhwalica", "Graphium paphus", "Caroxylon ugabicum", "Caroxylon unjabicum", "Caroxylon verdoorniae", "Caroxylon warmbadicum", "Ischnosoma bhojpur", "Ischnosoma hirthei", "Ischnosoma schmidti", "Ischnosoma jumla", "Ischnosoma ephraim", "Ischnosoma gratiosum", "Ischnosoma jaljalense", "Graphium mandarinus mandarinus", "Conophytum pellucidum subsp. pellucidum", "Conophytum piluliforme subsp. piluliforme", "Conophytum stephanii subsp. stephanii", "Grubovia brevidentata", "Quedius repentinus", "Quedius roma", "Parosus amayae", "Arthromelodes choui", "Grubovia mucronata", "Arthromelodes watanabei", "Arthromelodes punctifrons", "Duolandrevus balabacus", "Duolandrevus balabacus balabacus", "Duolandrevus balabacus taytay", "Duolandrevus bengkulu", "Duolandrevus curup", "Duolandrevus coulonianus", "Conophytum taylorianum subsp. taylorianum", "Conophytum taylorianum subsp. ernianum", "Conophytum truncatum subsp. truncatum", "Arthromelodes giganteus", "Arthromelodes pilicollis", "Arthromelodes kiiensis", "Arthromelodes gyoja", "Kurixalus yangi", "Arthromelodes thysanoventris", "Arthromelodes corniventris", "Delosperma floribundum", "Nasutixalus yingjiangensis", "Delosperma harazianum", "Delosperma herbeum", "Alkhurma virus", "Theloderma lacustrinum", "Tylototriton podichthys", "Cylindrophyllum tugwelliae", "Leccinum arctoi", "Duolandrevus intermedius", "Duolandrevus parvulus", "Deilanthe peersii", "Neobisium incertum", "Delosperma aberdeenense", "Delosperma ashtonii", "Delosperma basuticum", "Delosperma bosseranum", "Delosperma congestum", "Nasutixalus medogensis", "Delosperma dyeri", "Duolandrevus sulawesi", "Duolandrevus tawau", "Duolandrevus borneo", "Duolandrevus unguiculatus", "Duolandrevus dendrophilus", "Duolandrevus enatus", "Duolandrevus rarus", "Amphibolia laevis", "Amphibolia rupis-arcuatae", "Duolandrevus microrarus", "Duolandrevus megararus", "Duolandrevus paradoxus", "Corpuscularia lehmannii", "Duolandrevus paradoxus paradoxus", "Duolandrevus paradoxus proximus", "Duolandrevus guntheri", "Duolandrevus ivani", "Duolandrevus kawataredoki", "Duolandrevus namlik", "Lucanus rondoi", "Lucanus gradivus", "Cleretum maughanii", "Lucanus zhanbishengi", "Diploglossus millepunctatus", "Dracophilus dealbatus", "Maireana tomentosa subsp. urceolata", "Duolandrevus imitator", "Duolandrevus dohrni", "Duolandrevus surdus", "Doroshenkoa cambodiensis", "Trellius palawani", "Erepsia lacera", "Faucaria felina", "Coelogyne xyrekes", "Drosanthemum archeri", "Chioninia fogoensis", "Saproscincus mustelinus", "Pterostylis divaricata", "Pterostylis diversiflora", "Glyptelasma hamatum", "Pterostylis eremaea", "Pterostylis exquisita", "Pterostylis fuliginosa", "Pterostylis furva", "Pterostylis heberlei", "Pterostylis nichollsiana", "Pterostylis repanda", "Arthromelodes mercurius", "Arthromelodes hikosanus", "Arthromelodes loebli", "Arthromelodes dilatatus", "Arthromelodes dilatatus daibosatsuanus", "Arthromelodes dilatatus shiranemontanus", "Arthromelodes dilatatus fujimontanus", "Kurixalus berylliniris", "Arthromelodes sinuatipes", "Arthromelodes aizuanus", "Kurixalus wangi", "Arthromelodes optatus", "Arthromelodes saikaiensis", "Duolandrevus selatan", "Duolandrevus manna", "Arthromelodes crucifer", "Duolandrevus lampung", "Duolandrevus rufus", "Batrisceniola dissimilis", "Kurixalus motokawai", "Duolandrevus rufus rufus", "Batrisceniola hiranoi", "Duolandrevus rufus pahangensis", "Batrisceniola semipunctulata", "Duolandrevus rufus obscurus", "Trisinus sagamianus", "Duolandrevus kubah", "Trisinus galloisi", "Duolandrevus sympatricus", "Trisinus sawadai", "Duolandrevus kalimantan", "Duolandrevus balikpapan", "Duolandrevus spinicauda", "Trisinus satsumanus", "Duolandrevus sabah", "Conophytum uviforme subsp. uviforme", "Delosperma hirtum", "Delosperma invalidum", "Delosperma jansei", "Delosperma karroicum", "Delosperma lavisiae", "Delosperma lineare", "Trisinus subtilis", "Delosperma litorale", "Delosperma lydenburgense", "Delosperma mahonii", "Trisinus venustus", "Duolandrevus firmus", "Duolandrevus firmus firmus", "Trisinus tenuiformis", "Delosperma napiforme", "Duolandrevus firmus tioman", "Trisinus esakii", "Trisinus tosanus", "Duolandrevus doloduo", "Trisinus tanabei", "Duolandrevus obliteratus", "Trisinus okamotoi", "Duolandrevus mostovskyi", "Trisinus raffrayi", "Duolandrevus sapidus", "Trisinus amamianus", "Duolandrevus minimus", "Trisinus monostatos", "Trisinus torticornis", "Trisinus tamino", "Trisinus constrictus", "Duolandrevus curtipennis", "Trisinus volcaninsulanus", "Duolandrevus curtipennis curtipennis", "Trisinus uroceratus", "Duolandrevus modestus", "Dinteranthus wilmotianus", "Duolandrevus lambir", "Duolandrevus krabi", "Gekko kwangsiensis", "Duolandrevus soekarandae", "Liuixalus feii", "Duolandrevus bannanus", "Duolandrevus brachypterus", "Duolandrevus matang", "Duolandrevus spinicauda spinicauda", "Duolandrevus spinicauda gading", "Disphyma australe", "Disphyma australe subsp. australe", "Duolandrevus axinus", "Duolandrevus gorochovi", "Duolandrevus ziyunensis", "Duolandrevus infuscatus", "Batriscenellus sharpi", "Batriscenellus shiranui", "Duolandrevus hainanensis", "Batriscenellus ohishii", "Batriscenellus insulicola", "Duolandrevus coriaceus", "Batriscenellus pilosellus", "Batriscenellus sakaii", "Batriscenellus uenoi", "Batriscenaulax kleinzach", "Duolandrevus curtipennis mindoro", "Trisinus uroceratus brevispinis", "Trisinus inermis", "Duolandrevus depressus", "Trisinus parallelus", "Delosperma obtusum", "Delosperma rileyi", "Duolandrevus gigans", "Batriscenellus japonicus", "Duolandrevus aequatorialis", "Batriscenellus vicarius", "Duolandrevus praestans", "Duolandrevus bonus", "Duolandrevus deliensis", "Duolandrevus gingoogus", "Batriscenellus punctatus", "Duolandrevus luzonensis", "Delosperma rogersii", "Duolandrevus karnyi", "Duolandrevus pendleburyi", "Duolandrevus thailandicus", "Duolandrevus ishigaki", "Batriscenellus fallax", "Daggodora sphalmanthoides", "Duolandrevus major", "Batriscenellus kujumontanus", "Batriscenellus omogensis", "Goniurosaurus kadoorieorum", "Goniurosaurus kwangsiensis", "Batriscenellus fragilis", "Delosperma steytlerae", "Duolandrevus palauensis", "Batriscenellus nodulifer", "Duolandrevus improvisus", "Batriscenellus transformis", "Delosperma sutherlandii", "Delosperma tradescantioides", "Delosperma crassum", "Drosanthemum bicolor", "Duolandrevus sonorus", "Duolandrevus sumatranus", "Duolandrevus lombokensis", "Duolandrevus yaeyamensis", "Duolandrevus yonaguniensis", "Batriscenaulax kunigamensis", "Batriscenaulax nagensis", "Knersia diversifolia", "Batriscenaulax longipes", "Drosanthemum eburneum", "Batriscenaulax longipes kumaso", "Batriscenaulax longipes hayato", "Batriscenaulax modestus", "Duolandrevus kotoshoensis", "Drosanthemum micans", "Physomerinus schenklingi", "Duolandrevus amplus", "Physomerinus hasegawai", "Duolandrevus bodemensis", "Duolandrevus isagorensis", "Erepsia dunensis", "Duolandrevus palawanensis", "Duolandrevus shilovi", "Glottiphyllum fergusoniae", "Alopoglossus buckleyi", "Morunasaurus annularis", "Bathygobius burtoni", "Gymnogobius castaneus", "Anolis gemmosus", "Anolis onca", "Gibbaeum dispar", "Gibbaeum geminum", "Gibbaeum hartmannianum", "Hemigryllus columbi", "Hemigryllus sharovi", "Otteana truncicola", "Carinascincus orocryptus", "Pseudemoia entrecasteauxii", "Calyptotis scutirostrum", "Diploglossus bilobatus", "Karshi virus", "Arthrosaura reticulata", "Cercosaura manicata", "Glottiphyllum neilii", "Enyalioides microlepis", "Glottiphyllum oligocarpum", "Glottiphyllum peersii", "Glottiphyllum regium", "Hemidactylus echinus", "Pseudotruljalia speciosa", "Pseudotruljalia nigronotatus", "Clidicus asymmetricus", "Arianta arbustorum", "Anolis transversalis", "Eumadasumma lucens", "Depressotrella modulata", "Depressotrella testata", "Depressotrella minuta", "Glottiphyllum cruciatum", "Pterostylis tryphera", "Pterostylis vescula", "Pedisinops regulus", "Pterostylis virens", "Pterostylis xerampelina", "Carinascincus microlepidotus", "Glyptelasma pilsbryi", "Carinascincus metallicus", "Fenestraria rhopalophylla subsp. rhopalophylla", "Fenestraria rhopalophylla subsp. aurantiaca", "Endodrelanva aliena", "Endodrelanva similajau", "Frithia humilis", "Endolandrevus buton", "Endolandrevus papua", "Limonium tetragonum", "Aizoon africanum", "Geodia acanthylastra", "Aizoon pubescens", "Gibbaeum nebrownii", "Stictophaula mikhaili", "Gibbaeum nuciforme", "Tremellia mindoro", "Halorhadinus sawadai", "Pseudotrigonidium tiwaka", "Halorhadinus aequalis", "Tremellia fratercula", "Halorhadinus inaequalis", "Bryothinusa minuta", "Bryothinusa tsutsuii", "Bryothinusa nakanei", "Dolichogryllus camerunensis", "Afrotruljalia tshetyrkinae", "Afrotruljalia pulla", "Afrotruljalia kevani", "Afrotruljalia ethiopica", "Afrotruljalia grisea", "Afrotruljalia corticea", "Afrotruljalia sordidula", "Afrotruljalia uvarovi", "Afrotruljalia magnifica", "Hemitruljalia rufula", "Hemitruljalia viridula", "Arianta xatartii", "Acrophonus stenus", "Pleurothallis sarcochila", "Pachyaphonus murzini", "Bryothinusa algarum", "Pleurothallis phalangifera", "Diaulota densissima", "Diaulota pacifica", "Diaulota aokii", "Diaulota uenoi", "Uromastyx princeps", "Jordaaniella anemoniflora", "Jordaaniella cuprea", "Glyptelasma orientale", "Jordaaniella dubia", "Jordaaniella spongiosa", "Jordaaniella clavifolia", "Juttadinteria deserticola", "Faucaria subintegra", "Faucaria tuberculosa", "Decma bispinosa", "Decma elefani", "Decma elefani elefani", "Decma orlovi", "Decma elefani orientale", "Decma lindu", "Decma sulawesi", "Decma sulawesi sulawesi", "Decma sulawesi wuasa", "Decma minahassa", "Decma abruptum", "Eutropis macrophthalma", "Diaulota hokkaidona", "Diaulota oharai", "Linoglossa murphyi", "Bryothinusa sakishimana", "Carinascincus pretiosus", "Amblopusa pacifica", "Pterostylis scapula", "Pterostylis simulans", "Pterostylis spatalium", "Phyllodactylus ventralis", "Tarentola ephippiata", "Glottiphyllum suave", "Phisis rani", "Hallianthus planus", "Osteocarpum acropterum var. deminutum", "Hereroa calycina", "Hereroa incurva", "Hereroa muirii", "Neophisis supiori", "Hereroa puttkameriana", "Hereroa carinans", "Olophrum lama", "Olophrum schuelkei", "Olophrum laxum", "Trigonopalpus pilosus", "Trigonopalpus africanus", "Trigonopalpus endroedyi", "Trigonopalpus rossii", "Trigonopalpus schenklingi", "Lampranthus brownii", "Pyura spinifera", "Lampranthus coccineus", "Lampranthus coralliflora", "Spinimegopis bezborodovi", "Lampranthus hoerleinianus", "Lampranthus inconspicuus", "Lampranthus reptans", "Lampranthus sociorum", "Lampranthus zeyheri", "Leipoldtia frutescens", "Koltunia burtoni", "Lithops aucampiae subsp. aucampiae", "Agonopterix yamatoensis", "Lithops dinteri subsp. dinteri", "Agonopterix seneciovora", "Agonopterix iharai", "Lithops gracilidelineata subsp. gracilidelineata", "Lithops gracilidelineata subsp. brandbergensis", "Agonopterix mikomoensis", "Agonopterix sumizome", "Agonopterix kisojiana", "Tympanophorus greenwalti", "Barsine wernerthomasi", "Thinodromus tenuicornis", "Barsine prominens", "Thinodromus assamensis", "Thinodromus schillhammeri", "Thinodromus immolatus", "Thinodromus pubicollis", "Thinodromus minglueni", "Barsine cernyi", "Thinodromus fuscipalpis", "Thinodromus amplipennis", "Thinodromus boukali", "Thinodromus jaechi", "Thinodromus aequatorialis", "Thinodromus singularis", "Sclerolaena bicornis var. horrida", "Thinodromus brincki", "Thinodromus zuluanus", "Hermonassa dolinthanon", "Hermonassa thailandica", "Hermonassa siamensis", "Protoschrankia minuta", "Lithops karasmontana subsp. karasmontana", "Barygnathus clavicornis", "Lithops lesliei subsp. lesliei", "Homalota nanjingensis", "Carpelimus varius", "Paramaxates macrocerata", "Paramaxates minuscula", "Paramaxates inornata", "Paramaxates taiwana", "Olophrum hromadkai", "Olophrum pacei", "Mirollia deficientis", "Mirollia rumidi", "Mirollia tawai", "Mirollia paralata", "Mirollia malaya", "Mirollia secunda", "Mirollia forcipata", "Mirollia spinulosa", "Cheiridopsis excavata", "Amirollia furcata", "Anotylus erythrinus", "Deflorita decora", "Anotylus liliputanus", "Hueikaeana andreji", "Hueikaeana quadrimaculata", "Deflorita marginata", "Deflorita protecta", "Jacobsenia vaginata", "Mirollia acutilobata", "Mirollia maculosus", "Mirollia terminalis", "Mirollia petiolulata", "Mirollia amplecta", "Mirollia unispina", "Tympanogryllus solomonicus", "Thinodromus indicus", "Microblepsis manleyi", "Microblepsis manleyi manleyi", "Microblepsis manleyi formosensis", "Deroca hidda", "Deroca hidda hidda", "Deroca hidda bifida", "Astrotylus astrotylus", "Deroca hidda ampla", "Dipriodonta sericea", "Dipriodonta minima", "Zusidava serratilinea", "Lithops pseudotruncatella subsp. pseudotruncatella", "Lithops pseudotruncatella subsp. dendritica", "Lithops pseudotruncatella var. elisabethae", "Dendrobium lobbii", "Lithops schwantesii subsp. schwantesii", "Dendrobium calcaratum", "Geostiba honazica", "Mesembryanthemum guerichianum", "Chenopodium benthamii subsp. rectum", "Mesembryanthemum kuntzei", "Mesembryanthemum noctiflorum", "Mesembryanthemum noctiflorum subsp. noctiflorum", "Mesembryanthemum rapaceum", "Mesembryanthemum lignescens", "Mesembryanthemum tenuiflorum", "Macrauzata fenestraria fenestraria", "Turgiditarsus eureka", "Macrauzata fenestraria insulata", "Turgiditarsus vietnamensis", "Phalacra strigata", "Phalacra strigata strigata", "Phalacra strigata insulicola", "Stevensia longipennis", "Lampranthus aduncus", "Mesembryanthemum splendens", "Oreta changi", "Anacampsis wikeri", "Anacampsis populella", "Dinteranthus vallis-mariae", "Lithops villetii subsp. villetii", "Amazophrynella teko", "Amazophrynella siona", "Amazophrynella xinguensis", "Amazophrynella moisesii", "Aaptos robustus", "Machairophyllum albidum", "Machairophyllum bijlii", "Machairophyllum brevifolium", "Auzata minuta infirma", "Macrocilix mysticata flavotincta", "Malephora crassa", "Malephora lutea", "Malephora luteola", "Macrauzata fenestraria", "Anacampsis triangulella", "Algon pergrandis", "Algon lisae", "Algon viridis", "Algon semiaureus", "Anacampsis mongolicae", "Anacampsis okui", "Algon mogokensis", "Mesembryanthemum brevicarpum", "Megalota curvativa", "Vosmaeria crustacea", "Emoia concolor", "Emoia samoensis", "Colias flaveola cora", "Colias flaveola laura", "Meyerophytum meyeri", "Mitrophyllum mitratum", "Mitrophyllum clivorum", "Mesembryanthemum splendens subsp. splendens", "Mesembryanthemum pallens", "Lampranthus turbinatus", "Mesembryanthemum viridiflorum", "Colias lesbia", "Colias lesbia misti", "Sphaerotylus renoufi", "Sphaerotylus strobilis", "Sphaerotylus tjalfei", "Argyrophis fuscus", "Anolis heterodermus", "Lepas anatifera", "Cheiridopsis angustifolia subsp. angustifolia", "Cheiridopsis spiculata", "Cheiridopsis nana", "Osteocephalus vilarsi", "Mitrophyllum grande", "Monilaria moniliformis", "Meyerophytum globosum", "Monilaria scutata", "Craspedus pecki", "Monilaria scutata subsp. scutata", "Craspedus iheringi", "Pleiospilos compactus subsp. compactus", "Pleiospilos compactus subsp. minor", "Pleiospilos compactus subsp. sororius", "Pleiospilos nelii", "Pleiospilos simulans", "Mesembryanthemum pallens subsp. pallens", "Borikenophis sanctaecrucis", "Borikenophis variegatus", "Orthopterum waltoniae", "Orthopterum coeganum", "Oscularia deltoides", "Oscularia caulescens", "Oscularia cedarbergensis", "Erinnyis obscura obscura", "Oscularia falciformis", "Erinnyis obscura socorroensis", "Oscularia piquetbergensis", "Algon uenoi", "Algon ailaoshanus", "Algon basilineatus", "Algon doupengshanus", "Algon fanjingshanus", "Algon grebennikovi", "Algon merkli", "Algon phiaoacensis", "Algon subtilis", "Algon uncus", "Algon zhenbaodingensis", "Gynnidomorpha definita", "Glaphyromorphus crassicaudus", "Gynnidomorpha luridana", "Molosoma nasutum", "Molosoma iridescens", "Molosoma orousseti", "Sorolopha cucphuongensis", "Mesembryanthemum geniculiflorum", "Cechenena transpacifica", "Eberlanzia gravida", "Eurypteryx shelfordi", "Nyceryx ericea", "Taiwanophodes magnus", "Indophodes cameroni", "Ruschia karrooica", "Ruschia lineolata", "Ruschia macowanii", "Anchimacheta suppletella", "Antimima pulchella", "Ruschia pulvinaris", "Niditinea sabroskyi", "Ruschia spinosa", "Calosima smithi", "Struthoscelis acrobatica", "Struthoscelis semiotarsa", "Struthoscelis christianafigueresae", "Struthoscelis davisorum", "Struthoscelis konia", "Struthoscelis solamarita", "Vorapourouma basseti", "Tyrus sichuanicus", "Nomuraius excavatus", "Nomuraius nanlingensis", "Nomuraius piaoacus", "Nomuraius sinicus", "Nomuraius vietnamicus", "Neopolyptychus consimilis", "Neopolyptychus consimilis consimilis", "Neopolyptychus consimilis ancylus", "Neopolyptychus ancylus", "Neopolyptychus convexus", "Neohenricia sibbettii", "Cheiridopsis angustifolia", "Monilaria scutata subsp. obovata", "Gibbaeum hortenseae", "Namaquanthus vanheerdei", "Nananthus aloides", "Aspicilia abbasiana", "Antinephele achlora", "Antinephele maculifera", "Antinephele anomala", "Antinephele bouyeri", "Antinephele camerounensis", "Antinephele efulani", "Antinephele lunulata", "Antinephele lunulata lunulata", "Antinephele lunulata turlini", "Antinephele marcida", "Antinephele muscosa", "Meganoton rufescens amboinicus", "Meganoton rufescens joachimi", "Hemigellius pumiceus", "Tyrus sinensis", "Tyrus yajiangensis", "Tasmanityrus hilli", "Siamusotima disrupta", "Tasmanityrus newtoni", "Tasmanityrus simplicis", "Tasmanityrus auricomus", "Rosema veachi", "Tasmanityrus orientalis", "Tasmanityrus thayeri", "Tasmanityrus septentrionalis", "Chlorosema lemmerae", "Ruschia uncinata", "Mesembryanthemum tortuosum", "Schwantesia borcherdsii", "Trianthema pilosa", "Stomatium patulum", "Stomatium trifarium", "Stomatium villetii", "Tanquana prismatica", "Tetragonia decumbens", "Tetragonia eremaea", "Sesuvium humifusum", "Sesuvium portulacastrum subsp. portulacastrum", "Spilorhombus hirtus", "Stoeberia frutescens", "Stoeberia utilis", "Stoeberia utilis subsp. utilis", "Pakistatyrus ater", "Stomatium bolusiae", "Stomatium mustellinum", "Lithosarctia hoenei", "Lithosarctia witti", "Haitiophis anomalus", "Cubophis vudii", "Cubophis ruttyi", "Cubophis fuscicauda", "Cubophis caymanus", "Cubophis cantherigerus", "Cubophis brooksi", "Ptilotus yapukaratja", "Eupanacra perfecta perfecta", "Eupanacra perfecta tsekoui", "Temnora pylades stevensoni", "Rhombophyllum dolabriforme", "Rhombophyllum nelii", "Macroglossum corythus", "Macroglossum corythus corythus", "Ruschia burtoniae", "Macroglossum corythus novebudensis", "Ruschia crassa", "Macroglossum buini", "Ruschia dichroa", "Nuegua elongata", "Tetragonia implexicoma", "Anania phaeopastalis", "Tetragonia ovata", "Tetragonia crystallina", "Tetragonia tetragonoides", "Placusa pinearum", "Neptis thestias", "Sagittaria montevidensis subsp. montevidensis", "Sagittaria rigida", "Thamnistes rufescens", "Teuvoa junipericola", "Teuvoa alpina", "Teuvoa saxicola", "Anania amphinephela", "Trichodiadema setuliferum", "Trichodiadema calvatum", "Vanheerdea roodiae", "Wooleya farinosa", "Chlorosema plumbeiplaga", "Chlorosema albiceps", "Chlorosema ocama", "Sorolopha angustorbis", "Perezia prenanthoides", "Anania flava", "Anania flavomarginalis", "Chasoke victoriae", "Caledonogonus loebli", "Caledonogonus pilosus", "Sagittaria aginashi", "Paranagonus excavatus", "Trichodiadema densum", "Trichodiadema barbatum", "Trichodiadema bulbosum", "Trichodiadema mirabile", "Trichodiadema peersii", "Stupenda singularis", "Sagittaria trifolia", "Alseuosmia banksii", "Alseuosmia pusilla", "Alseuosmia quercifolia", "Wittsteinia vacciniacea", "Sporophila morelleti", "Bomarea patacoensis", "Eudarcia alberti", "Bomarea patinii", "Bomarea hirsuta", "Bomarea longipes", "Bomarea ovallei", "Plebejus subsolanus togakusiensis", "Anagonus fracticornis", "Anagonus breviscapus", "Anagonus spinipalpis", "Sagittaria graminea subsp. graminea", "Sagittaria lancifolia subsp. lancifolia", "Bryaxis cepliki", "Bryaxis goliath", "Bryaxis monstrosetibialis", "Bryaxis splendidus", "Geodia agassizii", "Teuvoa uxoris", "Geodia amphistrongyla", "Geodia ataxastra", "Bomarea glaucescens", "Allium canariense", "Allium canariense subsp. canariense", "Obesoconnus costaricanus", "Archiconnus limonensis", "Parnassius behrii", "Dipodium ambiguum", "Dipodium brassii", "Dipodium chanii", "Dipodium confusum", "Dipodium javanicum", "Dipodium lambii", "Dipodium meijeri", "Dipodium moultonii", "Dipodium puspitae", "Dipodium robertyongii", "Dipodium wenzelii", "Dipodium fevrellii subsp. fevrellii", "Dipodium fevrellii subsp. deleonii", "Dipodium purpureum subsp. purpureum", "Dipodium purpureum subsp. adesum", "Dipodium purpureum subsp. philippinense", "Dipodium purpureum subsp. sulaense", "Dipodium fragrans var. fragrans", "Dipodium fragrans var. curtisii", "Anania conisanalis", "Anania fusalis", "Anania impunctata", "Geodia bicolor", "Anania mesophaealis", "Anania metaleuca", "Anania ochriscriptalis", "Anania piperitalis", "Alstroemeria hookeri subsp. hookeri", "Anania aurea", "Anania auricinctalis", "Alstroemeria magnifica subsp. magnifica", "Alstroemeria plantaginea", "Ouret lanata", "Parnassius apollonius narynus", "Parnassius apollonius gloriosus", "Parnassius apollonius poseidon", "Mycobacterium wolinskyi", "Mycobacterium vaccae", "Parnassius apollonius daubi", "Achyranthes coynei", "Amaranthus crassipes subsp. crassipes", "Sclerolaena aellenii", "Parnassius discobolus", "Ptilotus angustifolius", "Parnassius delphius intermedius", "Parnassius tianschanicus minor", "Neobisium carcinoides", "Liquidambar yunnanensis", "Cymbidium acuminatum", "Cymbidium aliciae", "Achyranthes arborescens", "Neobisium carcinoides carcinoides", "Amaranthus retroflexus subsp. retroflexus", "Amaranthus rosengurttii", "Paralobesia aemulana", "Alstroemeria angustifolia subsp. angustifolia", "Mycobacterium africanum", "Mycobacterium kansasii", "Teuvoa tibetica", "Lysimachia coreana", "Alstroemeria cunha", "Alstroemeria diluta subsp. diluta", "Alstroemeria diluta subsp. chrysantha", "Anania gobini", "Anania gracilis", "Anania powysae", "Anania taitensis", "Anania griseofascialis", "Paralobesia blandula", "Paralobesia cyclopiana", "Paralobesia monotropana", "Paralobesia spiraeifoliana", "Phacellodomus inornatus", "Parnassius apollonius glaucopsis", "Parnassius apollonius aphrodite", "Basiothia aureata", "Parnassius apollonius horaki", "Parnassius apollonius kuldschaensis", "Amaranthus undulatus", "Hymedesmia coriacea", "Hymedesmia mamillaris", "Mycobacterium terrae", "Mycobacterium rhodesiae", "Paralobesia aruncana", "Paralobesia liriodendrana", "Geodromicus caliginosus", "Geodromicus chinensis", "Geodromicus cupreostigma", "Selvasaura brava", "Geodromicus frigidus", "Geodromicus hammondi", "Geodromicus iburinus", "Geodromicus japonicus", "Geodromicus lestevoides", "Paralobesia rhoifructana", "Paralobesia slingerlandala", "Paralobesia vernoniana", "Bosea cypria", "Paralobesia yaracana", "Paralobesia andereggiana", "Paralobesia cypripediana", "Paralobesia exasperana", "Blaberus discoidalis", "Paralobesia palliolana", "Paralobesia piceana", "Blaptica dubia", "Eublaberus distanti", "Cyathula tomentosa", "Cyathula uncinulata", "Digera muricata subsp. muricata", "Junzi imperialis", "Calolampra elegans", "Diploptera punctata", "Apsidopis oxyptera", "Hermbstaedtia linearis", "Hermbstaedtia odorata", "Oxyhaloa buprestoides", "Oxyhaloa deusta", "Nauphoeta cinerea", "Rhyparobia maderae", "Vermicella intermedia", "Vermicella vermiformis", "Vermicella annulata", "Vermicella multifasciata", "Saperda tridentata", "Vermicella snelli", "Elaphidion spinicorne", "Ptilotus semilanatus", "Parnassius delphius mephisto", "Sclerolaena \u00d7 caput-casuarii", "Parnassius nordmanni minimus", "Parnassius apollo mongolicus", "Sclerolaena clavata", "Sclerolaena copleyi", "Sclerolaena cristata", "Sclerolaena georgei", "Sclerolaena globosa", "Sclerolaena lanata", "Parnassius delphius namanganus", "Sclerolaena murrayae", "Parnassius nomion nominulus", "Parnassius charltonius princeps", "Sclerolaena nitida", "Parnassius romanovi romanovi", "Sclerolaena oppositicuspis", "Papilio machaon chitralensis", "Papilio alexanor maccabaeus", "Sclerolaena ramsayae", "Sclerolaena scrymgeouriae", "Geodromicus abdominalis", "Geodromicus amamianus", "Mycobacterium senegalense", "Elaphidion irroratum", "Mycobacterium lepromatosis", "Megacyllene caryae", "Vermicella parscauda", "Parnassius delphius albulus", "Vanda roeblingiana", "Coenocorypha huegeli", "Parnassius apollonius alpinus", "Parnassius bremeri conjunctus", "Bulbophyllum nasica", "Cephennomicrus baroalbanus", "Cephennomicrus basalis", "Cephennomicrus bipunctatus", "Cephennomicrus carinatus", "Cephennomicrus complicatus", "Cephennomicrus indistinctus", "Cephennomicrus longissimus", "Cephennomicrus marunensis", "Cephennomicrus mediorugosus", "Cephennomicrus monteithi", "Cephennomicrus mossmanensis", "Cephennomicrus pronotalis", "Cephennomicrus proserpinensis", "Cephennomicrus semidividus", "Cephennomicrus triangularis", "Cephennomicrus tuberculifrons", "Cephennomicrus wunundarranus", "Parnassius bremeri bremeri", "Parnassius bremeri pakianus", "Bomarea andreana", "Parnassius bremeri spielhageni", "Parnassius bremeri graeseri", "Sclerolaena muricata var. semiglabra", "Bomarea costaricensis", "Bomarea densiflora", "Sclerolaena muricata var. villosa", "Bomarea edulis", "Collemopsidium japonicum", "Aptera fusca", "Morphna maculata", "Phoraspis convexa", "Phoraspis picta", "Pseudophoraspis fruhstorferi", "Rhabdoblatta karnyi", "Rhicnoda natatrix", "Pliocercus euryzonus", "Allium akaka subsp. akaka", "Thalassophis anomalus", "Platynota subargentea", "Platynota viridana", "Platynota calidana", "Platynota helianthes", "Prototheora malawiensis", "Celosia spicata", "Thaumaina aquamarina", "Gyna caffrorum", "Hemibungarus calligaster", "Mycobacterium triviale", "Mycobacterium asiaticum", "Metzneria transbaikalica", "Istrianis jaskai", "Teleiopsis kyraensis", "Athrips nigrilineella", "Filatima multicornuta", "Lutilabria kaszabi", "Lutilabria pallidella", "Filatima asiatica", "Liparis purpureovittata", "Sorolopha latiuscula", "Sorolopha nanlingica", "Sorolopha singularis", "Geodromicus lucidus", "Geodromicus miyamorii", "Geodromicus nipponensis", "Geodromicus sibiricus", "Geodromicus smetanai", "Charpentiera ovata", "Hanleya harasewychi", "Hanleya mediterranea", "Chenniopsis madecassa", "Tropidechis carinatus", "Geodromicus szechwanensis", "Jacaranda decurrens", "Eublaberus posticus", "Paralobesia sambuci", "Paralobesia viteana", "Paralobesia marilynae", "Eudarcia ajpetrica", "Eudarcia kimmeriella", "Eudarcia rutjani", "Eudarcia zagulajevi", "Polyura inopinatus", "Cryptophaea phaeospora", "Chauliodes pectinicornis", "Venada lamella", "Chauliodes rastricornis", "Pubitelphusa latifasciella", "Pubitelphusa trigonalis", "Platynota breviplicana", "Platynota capella", "Platynota nigrocervina", "Platynota obliqua", "Platynota offuscata", "Platynota semiustana", "Platynota stultana", "Allium fuscum", "Acidon calcicola", "Acidon api", "Disanthus ovatifolius", "Salomonelaps par", "Loveridgelaps elapoides", "Mycobacterium aurum", "Ogmodon vitianus", "Mycobacterium elephantis", "Belonuchus moroni", "Neoxantholinus koghianus", "Myotyphlus newtoni", "Myotyphlus wurra", "Allium cyrilli subsp. cyrilli", "Metanarsia onzella", "Metanarsia kosakewitshi", "Metanarsia dahurica", "Metanarsia piskunovi", "Metanarsia junctivittella", "Metanarsia partilella", "Vansoniella chirindensis", "Blitum \u00d7 tkalcsicsii", "Tricerophora commaculata", "Tricerophora nigribasis", "Tricerophora pundamilia", "Tricerophora rukinga", "Tricerophora objecta", "Tricerophora brumale", "Tricerophora nigrinervis", "Tricerophora acutivalva", "Tricerophora minimorum", "Filatima pallipalpella", "Hydrotetrix butlini", "Enoptostomus perrierides", "Enoptostomus arabicus", "Paratettix nigrescens", "Lepas pectinata", "Ephalophis greyae", "Toxicocalamus holopelturus", "Toxicocalamus spilolepidotus", "Toxicocalamus misimae", "Toxicocalamus longissimus", "Monochaetum calcaratum", "Anoratha costalis", "Anoratha paritalis", "Anoratha sinuosa", "Anoratha albitibiata", "Anoratha nabalua", "Acidon castanea", "Acidon rectivia", "Acidon semiochrea", "Acidon wayangkulit", "Acidon pseudohypena", "Acidon paradoxa", "Acidon evae", "Acidon mariae", "Acidon obscurobasalis", "Acidon bigrammica", "Allium cyathophorum var. cyathophorum", "Allium cyrilli subsp. asumaniae", "Liparis auriculata", "Nitella tenuissima", "Toxicocalamus ernstmayri", "Allium kiiense", "Tarsozeuzera miklukhomaklayi", "Tarsozeuzera ustjuzhanini", "Chalcidica maculescens", "Gesneria binghamii", "Allium fimbriatum var. fimbriatum", "Cyana devriesi", "Allium cyrilli subsp. fritschii", "Schaffersiana lobitornus", "Allium flavum subsp. flavum", "Thoradonta novaeguineae", "Thoradonta latifera", "Allium geyeri var. geyeri", "Thoradonta nodulosa", "Paratettix pullus", "Allium hookeri subsp. hookeri", "Tmesisternus carlae", "Tmesisternus araucarius", "Tmesisternus bosavius", "Tmesisternus burgersi", "Tmesisternus ellenae", "Tmesisternus ingeae", "Tmesisternus nielsius", "Tmesisternus wajaus", "Sinningia tubiflora", "Tmesisternus clissoldi", "Tmesisternus coloribus", "Tmesisternus digoelae", "Tmesisternus mewana", "Tmesisternus schutzei", "Serapias athwaghlisia", "Serapias guadinae", "Fonticula alba", "Mycobacterium chimaera", "Allium moly subsp. moly", "Bellenden siguniang", "Bellenden monteithi", "Bellenden botellarius", "Bellenden belousovi", "Bellenden nubigena", "Akialoa lanaiensis", "Akialoa stejnegeri", "Elymus \u00d7 dorei", "Nitella opaca", "Euconnus inkachakanus", "Euconnus wari", "Allium flavum subsp. tauricum", "Philodoria kauaulaensis", "Philodoria kolea", "Megastylis latissima", "Megastylis montana", "Megastylis rara", "Megastylis paradoxa", "Prasophyllum abblittiorum", "Mycobacterium marinum", "Lepas indica", "Aphyosemion schoutedeni", "Peckiella podocarpus", "Olophrum nepalicum", "Allium obtusum subsp. obtusum", "Orenaia arcticalis", "Allium paniculatum subsp. paniculatum", "Platystele adelphe", "Xanthogramma aeginae", "Xanthogramma pilosum", "Peropteryx pallidoptera", "Platystele baqueroi", "Arhopala cleander scoreyorum", "Arhopala irma kotaroi", "Arhopala tephlis mulleri", "Atriplex acanthocarpa subsp. pringlei", "Atriplex acanthocarpa subsp. stewartii", "Taomica cassani", "Megastylis latilabris", "Allium roseum subsp. roseum", "Nirmides siama", "Nirmides samares", "Nirmides lourensi", "Nirmides similis", "Nirmides kanlaonensis", "Nirmides hollowayi", "Xenomigia brachyptera", "Orisaltata medvedevi", "Pampasatyrus gyrtone", "Cechetra subangustata", "Cechetra lineosa", "Cechetra minor", "Cechetra pollux", "Cechetra scotti", "Cechetra subangustata subangustata", "Cechetra subangustata continentalis", "Cechetra bryki", "Cechetra inconspicua", "Udea austriacalis", "Udea bourgognealis", "Kakadu pecki", "Mareeba storeyi", "Atomaria schmidli", "Atomaria natmataunga", "Atomaria schuhi", "Atomaria bisulcata", "Allium sindjarense", "Allium sivasicum", "Atriplex aldamae", "Allium sphaerocephalon subsp. sphaerocephalon", "Allium taquetii", "Allium tardiflorum", "Micropeplus liweiae", "Allium thunbergii var. thunbergii", "Cryptophagus skalitzkyi", "Cryptophagus subvittatus", "Cryptophagus thomsoni", "Cryptophagus blasi", "Micrambe camerunensis", "Cryptophagus demarzoi", "Ancystrocerus chinensis", "Cryptophagus montemurroi", "Mycobacterium simiae", "Mycobacterium brisbanense", "Paralepas intermedia", "Cicinnus orthane", "Nirmides diana", "Allium peninsulare subsp. peninsulare", "Allium virgunculae var. virgunculae", "Arthrolytus oezbeki", "Arthrolytus oswalpecki", "Imirus mirabilis", "Eulagius hyrcanicus", "Allium splendens subsp. splendens", "Cryptophagus acuminatus", "Cryptophagus acutangulus", "Cryptophagus affinis", "Cryptophagus amfidoxus", "Cryptophagus anatolicus", "Cryptophagus arctomyos", "Cryptophagus ariadne", "Cryptophagus axillaris", "Cryptophagus brisouti", "Cryptophagus brucki", "Cryptophagus croaticus", "Cryptophagus dorsaliformis", "Cryptophagus durus", "Cryptophagus erichsoni", "Cryptophagus hauseri", "Cryptophagus inaequalis", "Cryptophagus obsoletus", "Cryptophagus posticus", "Cryptophagus quadrimaculatus", "Cryptophagus reflexicollis", "Cryptophagus schroetteri", "Caryocolum longiusculum", "Caryocolum vartianorum", "Caryocolum paghmanum", "Caryocolum afghanum", "Caryocolum majus", "Caryocolum simulans", "Caryocolum abhorrens", "Caryocolum immixtum", "Caryocolum hispanicum", "Caryocolum confluens", "Caryocolum nearcticum", "Caryocolum fibigerium", "Caryocolum kasyi", "Caryocolum extremum", "Caryocolum amaurella", "Caryocolum unicolorellum", "Arrhyton redimitum", "Magliophis exiguum", "Gilliesia graminea", "Arthrolytus ocellus", "Arthrolytus nanus", "Arthrolytus glandium", "Arthrolytus magarsosensis", "Jardine kistnerorum", "Nothoscordum bivalve var. bivalve", "Leucocoryne appendiculata", "Leucocoryne vittata", "Arthrolytus incisus", "Arthrolytus muesebecki", "Leucocoryne purpurea", "Leucocoryne violacescens", "Sparodon durbanensis", "Arthrolytus megaspilus", "Arthrolytus discoideus", "Arthrolytus fasciatus", "Arthrolytus usubai", "Arthrolytus geyrazensis", "Arthrolytus yazicioglui", "Arthrolytus gurderei", "Arthrolytus kahvecii", "Dendrobium nanum", "Arthrolytus keltoni", "Arthrolytus nenehatunae", "Arthrolytus nuridemiragi", "Arthrolytus maculipennis", "Arthrolytus slovacus", "Aploderus songi", "Aploderus zhouae", "Atriplex barclayana subsp. lurida", "Atriplex barclayana subsp. dilatata", "Stenus expansus", "Stenus gion", "Stenus intrarius", "Atriplex barclayana subsp. magdalenae", "Miersia chilensis", "Atriplex barclayana subsp. palmeri", "Stroudia albofasciata", "Stroudia areatoides", "Stroudia despecta", "Stroudia hertae", "Stroudia hirta", "Stroudia laikipia", "Stroudia striaticlypeus", "Atriplex barclayana subsp. sonorae", "Nothoscordum gracile var. gracile", "Nothoscordum montevidense", "Nothoscordum montevidense subsp. montevidense", "Genoplesium capparinum", "Tristagma patagonicum", "Genoplesium carectum", "Genoplesium tenellum", "Nothoscordum borbonicum", "Nothoscordum dialystemon", "Stroudia namibica", "Stroudia similis", "Stroudia nodosa", "Stroudia pacifica", "Stroudia pulcherrima", "Stroudia anarchica", "Stroudia basipunctata", "Stroudia bidentella", "Stroudia difficilis", "Stroudia emarginata", "Stroudia emilaevigata", "Stroudia insueta", "Stroudia juvenilis", "Stroudia simplicissima", "Stroudia spinicornis", "Stroudia striatella", "Scinax caprarius", "Stroudia manca", "Nothoscordum felipponei", "Stroudia abnormis", "Nothoscordum vittatum", "Antepipona albomarginata", "Antepipona darfurensis", "Antepipona monomotapa", "Antepipona rubicunda", "Tulbaghia acutiloba", "Saltisedes hainanensis", "Saltisedes kojimai", "Saltisedes yahiroi", "Tulbaghia alliacea", "Convextrocerus namibicus", "Caeruleuptychia aegrota", "Tulbaghia verdoornia", "Stroudia meridiana", "Stroudia tarsata", "Pseudagris brunnea", "Alastor hirsutus", "Antepipona zambiana", "Emeryrhynchium emeryanus", "Stroudia aestimabilis", "Ipheion sessile", "Caeruleuptychia aetherialis", "Caeruleuptychia trembathi", "Atriplex cordobensis subsp. grandibracteata", "Oedichirus amoamontis", "Nerine \u00d7 mansellii", "Nerine masoniorum", "Paralepas klepalae", "Strumaria gemmata", "Strumaria tenella", "Strumaria tenella subsp. tenella", "Nerine bowdenii subsp. bowdenii", "Nerine filamentosa", "Oedichirus bilaminatus", "Oedichirus burwelli", "Oedichirus caupo", "Oedichirus cooki", "Oedichirus despointesi", "Oedichirus dzumacensis", "Oedichirus fauvelianus", "Oedichirus giacchinoi", "Oedichirus grossepunctatus", "Oedichirus hermani", "Oedichirus ianitrix", "Oedichirus kanak", "Oedichirus laperousei", "Oedichirus loebli", "Oedichirus maierae", "Oedichirus manautei", "Oedichirus mimopilosus", "Oedichirus monteithi", "Oedichirus muscicolus", "Bulbophyllum roraimense", "Crataegus komarovii", "Crinum lineare", "Zonosaurus haraldmeieri", "Zonosaurus aeneus", "Zonosaurus quadrilineatus", "Zonosaurus karsteni", "Zonosaurus laticaudatus", "Cyrtanthus carneus", "Pampasatyrus reticulata", "Pampasatyrus reticulata reticulata", "Pampasatyrus reticulata gagarini", "Pampasatyrus glaucope", "Nerine \u00d7 versicolor", "Nerine rehmannii", "Lucanus zhuxiangi", "Zonosaurus anelanelany", "Zonosaurus bemaraha", "Zonosaurus tsingy", "Zonosaurus maramaintso", "Caeruleuptychia helios", "Crinum natans", "Oedichirus nigropolitus", "Oedichirus novacaledonicus", "Oedichirus oceanicus", "Crinum variabile", "Oedichirus peckorum", "Oedichirus pilosus", "Oedichirus planiceps", "Oedichirus pteropophilus", "Oedichirus pteroposaltis", "Oedichirus pusillus", "Oedichirus semibrunneus", "Oedichirus taghavianae", "Oedichirus theryi", "Oedichirus unguesdraconis", "Oedichirus vaginalis", "Oedichirus zealandicus", "Brunsvigia bosmaniae", "Brunsvigia natalensis", "Caeruleuptychia pilata", "Brunsvigia orientalis", "Pampasatyrus glaucope glaucope", "Pampasatyrus glaucope boenninghauseni", "Cyrtanthus loddigesianus", "Pampasatyrus glaucope eberti", "Cyrtanthus mackenii var. mackenii", "Pampasatyrus nilesi", "Pampasatyrus quies", "Pampasatyrus yacantoensis", "Cyrtanthus smithiae", "Cyrtanthus spiralis", "Cyrtanthus tuckii", "Caeruleuptychia scripta", "Caeruleuptychia maryzenderae", "Pampasatyrus gyrtone gyrtone", "Pampasatyrus gyrtone biezankoi", "Meriania grandidens", "Tmesiphodimerus malaysianus", "Tmesiphodimerus sinensis", "Pseudophanias spinitarsis", "Tmesiphorus brevipennides", "Acis nicaeensis", "Matobosaurus maltzahni", "Matobosaurus validus", "Cordylosaurus subtessellatus", "Acis valentina", "Acis tingitana", "Doina lircay", "Aliciana violetae", "Corita guillermoi", "Cissus craibii", "Cissus craibii subsp. dissecta", "Isopachys borealis", "Acis fabrei", "Acis longifolia", "Oxycheila gracillima", "Oxycheila gracillima gracillima", "Oxycheila gracillima weyrauchi", "Loxandrus humeralis", "Mimodromius lepidus", "Mimodromius lepidus lepidus", "Mimodromius lepidus suturalis", "Mimodromius monrosi", "Pelecium bolivianum", "Atriplex imbricata var. foliolosa", "Epilobium amurense", "Epilobium fauriei", "Oedichirus angusticeps", "Pampasatyrus gorkyi", "Cyrtanthus tuckii var. transvaalensis", "Argyrophorus lamna", "Argyrophorus lamna lamna", "Argyrophorus lamna cuzcoensis", "Argyrophorus gustavi", "Argyrophorus angusta", "Argyrophorus angusta angusta", "Argyrophorus angusta picota", "Cissus verticillata subsp. oblongolanceolata", "Faunula eleates", "Faunula euripides", "Theages occultus", "Theages luculentus", "Theages pinasi", "Nagehana minuscula", "Epidendrum carchiense", "Paralepas laxus", "Polystachya camaridioides", "Clivia robusta", "Pyrolirion arvense", "Zonosaurus ornatus", "Zonosaurus madagascariensis", "Zonosaurus rufipes", "Dianous luteoguttatus", "Zonosaurus subunicolor", "Dianous cruentatus", "Dianous rimosipennis", "Dianous vorticipennis", "Dianous lilizheni", "Bathycongrus unimaculatus", "Bathycongrus bullisi", "Hippeastrum papilio", "Oedichirus rufulus", "Oedichirus segmentatus", "Oedichirus shibatai", "Hippeastrum \u00d7 johnsonii", "Phycella ornata", "Phycella arzae", "Neosergipea aurata", "Sporophila iberaensis", "Haemanthus pumilio", "Batrisodes angustelytratus", "Haemanthus sanguineus", "Batrisodes bamian", "Batrisodes longwangshanus", "Batrisodes songxiaobini", "Batrisodes pengzhongi", "Scadoxus cyrtanthiflorus", "Scadoxus pole-evansii", "Apodolirion buchananii", "Nyungwea pycnidiata", "Cryptostephanus vansonii", "Dysomma brevirostre", "Dysomma bucephalus", "Dysomma fuscoventralis", "Isoetes \u00d7 gopalkrishnae", "Clivia \u00d7 cyrtanthiflora", "Alucita longipenis", "Gethyllis afra", "Gethyllis ciliaris", "Gethyllis ciliaris subsp. longituba", "Alucita lidiya", "Alucita ludmila", "Nyungwea anguinella", "Alucita escobari", "Gethyllis villosa", "Alucita mischenini", "Alucita fokami", "Alucita janeceki", "Alucita besongi", "Alucita olga", "Alucita zinovievi", "Haemanthus amarylloides subsp. amarylloides", "Haemanthus avasmontanus", "Haemanthus barkerae", "Haemanthus canaliculatus", "Haemanthus crispus", "Macrocephenchelys nigriventris", "Haemanthus dasyphyllus", "Haemanthus humilis subsp. humilis", "Haemanthus humilis subsp. hirsutus", "Haemanthus lanceifolius", "Haemanthus pubescens subsp. pubescens", "Acis rosea", "Agonimia borysthenica", "Megalotremis chibaensis", "Corita andoi", "Heliostibes mathewi", "Heliostibes percnopa", "Glorita olmuensis", "Glorita colchahuensis", "Pirquelia aragoni", "Yasnita pirquensis", "Zymrina fierroi", "Neoplacodoma stehbergi", "Agrypnus binodulus coreanus", "Parvulia luteocastanea", "Agraphydrus activus", "Rhodolirium andicola", "Zephyranthes gilliesiana", "Aemona lena lena", "Aemona lena houae", "Zephyranthes caerulea", "Zephyranthes longifolia", "Oedichirus astoni", "Stolonis tapiai", "Nyungwea pallida", "Stolonis scortensis", "Stolonis spinosus", "Oedichirus balnearius", "Stolonis yasuni", "Stolonis catenarius", "Oedichirus bowringi", "Oedichirus brlensis", "Oedichirus cardamomensis", "Oedichirus coorgensis", "Oedichirus falcifer", "Stolonis willinki", "Oedichirus formosanus", "Oedichirus guomindangi", "Oedichirus hochimini", "Oedichirus javanicus", "Oedichirus kochangensis", "Pachymorphus violaceus", "Trirammatus torqueotrochantus", "Clivia gardenii", "Cactivalva nebularia", "Maxillaria egertoniana", "Zephyranthes americana", "Xanthopsorella llimonae", "Leopoldia ghouschtchiensis", "Leopoldia tijtijensis", "Zephyranthes treatiae", "Teius teyou", "Draco lineatus", "Tupinambis zuliensis", "Agraphydrus attenuatus", "Agraphydrus audax", "Dysomma muciparus", "Dysomma tridens", "Synaphobranchus brevidorsalis", "Oedichirus lannaensis", "Synaphobranchus calvus", "Oedichirus laoticus", "Oedichirus latus", "Synaphobranchus dolichorhynchus", "Synaphobranchus oregoni", "Rostroconger macrouriceps", "Oedichirus lucabosmontis", "Oedichirus mahanuvaraensis", "Oedichirus mediosiamensis", "Bathycongrus albimarginatus", "Oedichirus muluensis", "Oedichirus mutilus", "Oedichirus nepalensis", "Oedichirus palawanensis", "Bathycongrus brunneus", "Oedichirus patcholatkoi", "Oedichirus philippinus", "Bathycongrus longicavis", "Bathycongrus parapolyporus", "Zephyranthes martinezii", "Zephyranthes lagopaivae", "Xanthopsorella texana", "Zephyranthes ciceroana", "Godartiana armilla", "Agraphydrus agilis", "Zonosaurus trilineatus", "Zonosaurus maximus", "Zonosaurus boettgeri", "Zonosaurus brygooi", "Eraina nahualbuta", "Seychellister mornicus", "Tracheloptychus petersi", "Tracheloptychus madagascariensis", "Bullockiella asciola", "Dillmania perezschultheissi", "Caliphruria hartwegiana", "Encolia campodonicoi", "Garateia ximenae", "Aliciana carvachoi", "Teresita fusca", "Cissus verticillata subsp. micrantha", "Kirinia fentoni fentoni", "Kirinia fentoni sanxia", "Loxerebia megalops megalops", "Loxerebia megalops gyegudo", "Loxerebia megalops yunnana", "Zephyranthes concolor", "Zephyranthes drummondii", "Zephyranthes jonesii", "Oedichirus sihanouki", "Oedichirus sindicus", "Zephyranthes lindleyana", "Agraphydrus anhuianus", "Oedichirus strictipennis", "Oedichirus tempestivus", "Oedichirus torajah", "Oedichirus uncifer", "Oedichirus vexans", "Oedichirus viduasinae", "Oedichirus vulcanus", "Oedichirus wallacei", "Agraphydrus arduus", "Zephyranthes minima subsp. minima", "Dendrolasiophilus nishikawai", "Acanthodactylus boskianus", "Hingstoniella trigona", "Besuchetaceus nepalensis", "Agraphydrus wangmiaoi", "Agraphydrus yunnanensis", "Agraphydrus coomani", "Agraphydrus decipiens", "Agraphydrus insidiator", "Agraphydrus masatakai", "Agraphydrus longipalpus", "Agraphydrus puzhelongi", "Agraphydrus orientalis", "Agraphydrus politus", "Agraphydrus biprojectus", "Agraphydrus coronarius", "Agraphydrus montanus", "Agraphydrus thaiensis", "Pica mauritanica", "Oedichirus endomanensis", "Oedichirus lawrencei", "Oedichirus lucidus", "Oedichirus novahibernicus", "Oedichirus riedeli", "Oedichirus sodalis", "Narcissus bulbocodium subsp. bulbocodium", "Oedichirus tomaculiformis", "Pica serica", "Narcissus bulbocodium subsp. quintanilhae", "Goebeliella cornigera", "Prasophyllum tortilis", "Oedichirus mahnerti", "Oedichirus taitamontis", "Empis fagina", "Oedichirus cauvini", "Oedichirus cuccodoroi", "Oedichirus electrimontis", "Empis virgulata", "Empis widanensis", "Kirinia fentoni", "Geodorum duperreanum", "Geodorum eulophioides", "Tupinambis palustris", "Geodorum laxiflorum", "Geodorum siamense", "Tupinambis longilineus", "Hoplodrina distincta", "Hoplodrina acutivalva", "Lemyra elena", "Pengzhongiella daicongchaoi", "Sathytes perpusillus", "Sathytes rarus", "Sathytes sichuanicus", "Sathytes tangliangi", "Sathytes tibialis", "Sathytes usitatus", "Sathytes wuyishanus", "Sathytes yunnanicus", "Dendrochilum filiforme", "Drosera barbigera", "Tupinambis matipu", "Akarbatrus jelineki", "Akarbatrus diversicornis", "Geranium lindenianum", "Tretioscincus oriximinensis", "Loxopholis snethlageae", "Loxopholis osvaldoi", "Lepidoblepharis hoogmoedi", "Stenocercus fimbriatus", "Anolis tandai", "Tretioscincus bifasciatus", "Amphisbaena cunhai", "Parnassius romanovi ljudmilae", "Parnassius romanovi sochivkoi", "Megalota bahamana", "Megalota insularis", "Myrmicophila tangliangi", "Hoplodrina cienensis", "Hoplodrina obscura", "Hoplodrina kononenkoi", "Hoplodrina bunun", "Hoplodrina implacata", "Hoplodrina minimalis", "Intestinarius quinquesulcatus", "Intestinarius distorticeps", "Intestinarius orthopygium", "Intestinarius crassicornis", "Intestinarius ingeniosus", "Intestinarius pexatus", "Intestinarius diatretus", "Podonema impressum", "Podonema aluperam", "Podonema dalcahue", "Podonema kopihue", "Podonema maihue", "Podonema mawida", "Podonema obscuratum", "Prasophyllum crassum", "Podonema palmarense", "Podonema wiloi", "Prasophyllum nitidum", "Prasophyllum roseum", "Oedichirus altitudinis", "Prasophyllum rousei", "Prasophyllum spadiceum", "Oedichirus crocodilus", "Prasophyllum stygium", "Prasophyllum sylvicola", "Oedichirus ivoriensis", "Narcissus assoanus subsp. assoanus", "Tangius glabellus", "Tangius indicus", "Gonatodes eladioi", "Tinaroo agostii", "Erythrolamprus carajasensis", "Pseudodebis vrazi", "Ascovaginospora stellipala", "Harjesia argentata", "Orotaygetis surui", "Euptychoides sanmarcos", "Oedichirus aruensis", "Pseudogonatodes gasconi", "Pseudogonatodes manessi", "Potamites juruazensis", "Lepidoblepharis conolepis", "Ameivula pyrrhogularis", "Lissodendoryx fragilis", "Paralepas lithotryae", "Neodiphthera campestris", "Petaloscapus shirokanensis", "Petaloscapus takakuwai", "Sathytes cristatus", "Sathytes excertus", "Sathytes larinus", "Sathytes longitrabis", "Sathytes longwangshanus", "Sathytes magnus", "Sathytes paulus", "Lepidolaena brachyclada", "Agraphydrus calvus", "Agraphydrus cantonensis", "Agraphydrus chinensis", "Agraphydrus comes", "Agraphydrus confusus", "Agraphydrus conicus", "Agraphydrus connexus", "Agraphydrus contractus", "Agraphydrus fasciatus", "Agraphydrus fikaceki", "Agraphydrus forcipatus", "Agraphydrus fujianensis", "Agraphydrus globipenis", "Agraphydrus gracilipalpis", "Agraphydrus igneus", "Agraphydrus jilanzhui", "Agraphydrus longipenis", "Agraphydrus niger", "Agraphydrus reductus", "Agraphydrus reticulicep", "Agraphydrus robustus", "Agraphydrus schoenmanni", "Agraphydrus setifer", "Agraphydrus splendens", "Agraphydrus umbrosus", "Agraphydrus uncinatus", "Agraphydrus variabilis", "Hingstoniella lata", "Narcissus nobilis", "Narcissus pallidiflorus", "Paralepas maculata", "Phragmipedium schlimii var. schlimii", "Phragmipedium schlimii var. manzurii", "Phragmipedium hirtzii var. hirtzii", "Phragmipedium hirtzii var. anchicayense", "Pica bottanensis", "Pica asirensis", "Pseudeuptychia cuzquenya", "Pseudeuptychia languida languida", "Pseudeuptychia languida austrina", "Godartiana astronesthes", "Neolucanus borneensis", "Neolucanus armatus", "Herpetoreas sieboldii", "Narcissus papyraceus subsp. papyraceus", "Bulbophyllum scaphioglossum", "Neolucanus baladeva", "Neolucanus brevis", "Neolucanus brevis brevis", "Neolucanus brevis rondoni", "Narcissus tazetta subsp. chinensis", "Prosopocoilus similis", "Narcissus triandrus subsp. triandrus", "Narcissus hedraeanthus subsp. hedraeanthus", "Chileporter huemeri", "Narcissus hedraeanthus subsp. luteolentus", "Dorcus maryi", "Cantharolethrus steinheili", "Cantharolethrus steinheili steinheili", "Cantharolethrus steinheili kirchneri", "Tribasodes chinensis", "Tribasodes tianmuensis", "Narcissus triandrus subsp. pallidulus", "Platambus convexus", "Carabus porrecticollis", "Dorcus niedorfi", "Telimena erythrinae", "Cercosaura doanae", "Carabus porrecticollis porrecticollis", "Carabus porrecticollis pacificus", "Dracotrechus fontanus", "Dracotrechus meridianus", "Dracotrechus meridianus meridianus", "Dracotrechus meridianus thermarum", "Phragmipedium lindleyanum var. lindleyanum", "Phragmipedium lindleyanum var. kaieteurum", "Pterostichus matsunagai", "Synophis niceforomariae", "Synophis zaheri", "Sibon bevridgelyi", "Dipsas bobridgelyi", "Dipsas georgejetti", "Dipsas oswaldobaezi", "Dipsas klebbai", "Cnemaspis flaviventralis", "Oedichirus damingensis", "Oedichirus pengzhongi", "Oedichirus schubarti", "Gnathymenus klimai", "Cleisostoma tenuifolium", "Herpetoreas burbrinki", "Blepharocarya involucrigera", "Phragmipedium \u00d7 pfitzerianum", "Phragmipedium \u00d7 richteri", "Buchanania arborescens", "Hemithecium oshioi", "Anacardium amilcarianum", "Anaclasiger zhudaiae", "Scaphobaeocera junlei", "Scaphobaeocera yunnana", "Scaphobaeocera glabra", "Scaphobaeocera michaeli", "Scaphobaeocera schuelkei", "Scaphobaeocera puetzi", "Scaphobaeocera glabripennis", "Scaphobaeocera nuda", "Toxidium curtilineatum", "Toxidium robustum", "Paralepas malaysiana", "Rhinogobius maxillivirgatus", "Graphis meridionalis", "Phaedranassa tunguraguae", "Rauhia multiflora", "Pancratium parvum", "Pancratium sickenbergeri", "Pancratium tenuifolium", "Phragmipedium ramiroi", "Pancratium verecundum", "Vagaria parviflora", "Phragmipedium \u00d7 brasiliense", "Eucrosia aurantiaca", "Eucrosia bicolor var. bicolor", "Buchanania axillaris", "Buchanania cochinchinensis", "Cerylambus fikaceki", "Cerylambus thailandicus", "Cerylambus maruyamai", "Cerylambus reticulatus", "Buchanania obovata", "Quedius conviva", "Quedius amurensis", "Quedius ryvkini", "Quedius aedilis", "Quedius sundukovi", "Campnosperma auriculatum", "Quedius jenisseensis", "Campnosperma zeylanicum", "Quedius paraboops", "Comocladia dentata", "Wedelia fruticosa", "Barsine paraprominens", "Gurna indica", "Graphis rikuzensis", "Hemithecium polymorphum", "Dracontomelon macrocarpum", "Dracontomelon vitiense", "Euroschinus falcata", "Fegimanra africana", "Gluta tourtour", "Gluta travancorica", "Gluta velutina", "Issoria eugenia", "Haplorhus peruviana", "Issoria eugenia eugenia", "Issoria eugenia montana", "Jubula hutchinsiae", "Pistacia chinensis subsp. chinensis", "Neohattoria herzogii", "Pistacia lentiscus subsp. lentiscus", "Triphysa nervosa gartoki", "Triphysa nervosa tscherski", "Lithraea brasiliensis", "Bergaris solovievi", "Bergaris halim", "Bergaris jacobsoni", "Bergaris malayica", "Trevathana conica", "Mangifera andamanica", "Trevathana dongshaensis", "Mycobacterium aichiense", "Trevathana doni", "Mycobacterium agri", "Trevathana longidonta", "Trevathana taiwanus", "Kotchevnik choui", "Pararticerus ruthae", "Operculicarya decaryi", "Villofustiger gibbiceps", "Anamalaia nathani", "Ozoroa insignis subsp. insignis", "Ozoroa paniculosa", "Bulbophyllum rysyanum", "Pentaspadon motleyi", "Palicourea croceoides", "Radula complanata", "Radula lindenbergiana", "Issoria eugenia fulgens", "Heeria argentea", "Holigarna caustica", "Melitaea trivia", "Melitaea trivia trivia", "Holigarna grahamii", "Melitaea trivia nana", "Holigarna nigra", "Dyspessa wiltshirei", "Epilobium amurense subsp. cephalostigma", "Arethusana arethusa", "Mangifera lalijiwa", "Macroglossum chui", "Polyura eleganta", "Buchanania zeylanica", "Pseudacerus furcatus", "Mauria heterophylla", "Micrelytriger mirabilis", "Micrelytriger nakatai", "Micrelytriger loebli", "Corydoras hephaestus", "Triphysa phryne", "Triphysa striatula", "Triphysa issykkulica", "Triphysa nervosa", "Lannea discolor", "Quedius altaicus", "Triphysa phryne phryne", "Glyphis duriuscula", "Cricula andamanica", "Rhus kearneyi subsp. kearneyi", "Cricula agria", "Cricula ceylonica", "Rhus lentii", "Cricula andrei", "Cricula jordani", "Cricula sumatrensis", "Cricula quinquefenestrata", "Trocheta intermedia", "Anisomeridium platypodum", "Anamalaia acerisella", "Anamalaia obtusisella", "Solus wui", "Solus drepanoides", "Solus drepanoides drepanoides", "Solus drepanoides houae", "Solus parvifenestratus loba", "Solus parvifenestratus gabaidanus", "Kurbatoviella antennata", "Tasmiger strumosus", "Tasmiger borneensis", "Cissus verticillata subsp. verticillata", "Pseudacerus sabahensis", "Digitivalva flatimarginata", "Longacerus giraffa", "Digitivalva gaedikei", "Digitivalva shanxiensis", "Digitivalva apicicornea", "Agonimia deguchii", "Epermenia afghanistanella", "Sinoclavigerodes yalianae", "Digitivalva cariosella", "Henicovalva xera", "Anisomeridium japonicum", "Henicovalva staudei", "Henicovalva negus", "Henicovalva yemenensis", "Henicovalva pulveraria", "Schinus lentiscifolia", "Schinus longifolia", "Lemaireia inexspectata", "Schinus johnstonii", "Schinus roigii", "Semiclaviger sikorae", "Brachychalcinus retrospina", "Brachychalcinus reisi", "Thysdariella fieldiana", "Poupartia castanea", "Poupartia borbonica", "Poupartia pubescens", "Protoclaviger trichodens", "Radula quadrata", "Pseudospondias microcarpa", "Rhus sandwicensis", "Rhus standleyi", "Clavister deplanatus", "Microconilon acuticollis", "Microconilon kuscheli", "Macrotrachelos longiceps", "Vanuatiella tishechkini", "Madastiger robustus", "Sarcographa maculosa", "Quedius vicinus", "Lannea microcarpa", "Triphysa phryne kasikoporana", "Triphysa striatula striatula", "Lannea schweinfurthii", "Triphysa striatula urumtchiensis", "Quedius capitalis", "Lannea schweinfurthii var. tomentosa", "Quedius fusicornis", "Quedius solskyi", "Lannea schweinfurthii var. stuhlmannii", "Triphysa issykkulica issykkulica", "Triphysa issykkulica pljustchi", "Lannea welwitschii", "Triphysa nervosa nervosa", "Triphysa nervosa glacialis", "Triphysa nervosa tuvinica", "Triphysa nervosa arturi", "Triphysa nervosa kobdoensis", "Triphysa nervosa mongolaltaica", "Triphysa nervosa brinikhi", "Triphysa nervosa biocellata", "Searsia crenata", "Searsia dentata", "Searsia discolor", "Searsia erosa", "Searsia glauca", "Searsia glutinosa", "Searsia glutinosa subsp. glutinosa", "Searsia leptodictya", "Sclerocarya birrea subsp. birrea", "Graphium eurypylus argenteus", "Graphium eurypylus magnificus", "Searsia albida", "Searsia angustifolia", "Exormotheca brevipedunculata", "Searsia batophylla", "Searsia chirindensis", "Saturnia paragrotei", "Saturnia rosalata", "Searsia pendulina", "Saturnia tsinlingshanis", "Searsia pyroides", "Saturnia diversa", "Graphium eurypylus aloricus", "Graphium eurypylus arctofasciatus", "Searsia rehmanniana", "Graphium eurypylus sallastinus", "Loepa melli", "Saturnia heinrichi", "Anemia buniifolia", "Anemia collina", "Graphium eurypylus nyctimus", "Typhlocyptus pandellei", "Allotyphlus candicus", "Kenotyphlus creticus", "Graphium eurypylus fumikoe", "Brachychalcinus copei", "Semecarpus lucens", "Graphium eurypylus gordion", "Euscalpellum chamberlaini", "Graphium eurypylus insularius", "Graphium eurypylus lepidus", "Semecarpus auriculata", "Graphium eurypylus lutorius", "Saturnia victoria", "Graphium eurypylus sangira", "Graphium evemon evemon", "Graphium evemon albociliatis", "Graphium evemon eventus", "Searsia parviflora", "Domene vailatii", "Othius ponticus", "Toxicodendron radicans subsp. radicans", "Othius parentium", "Othius arater", "Othius burmensis", "Toxicodendron rydbergii", "Toxicodendron striatum", "Anemia mandiocana", "Hyalophora leonis", "Amata wallaceii", "Anemia raddiana", "Amata warneckei", "Searsia retinorrhoea", "Searsia rigida", "Carpelimus asperus", "Carpelimus fuligus", "Carpelimus geminus", "Searsia rigida var. margaretae", "Carpelimus guillaumei", "Carpelimus rubrus", "Searsia tomentosa", "Graphium eurypylus cheronus", "Searsia tumulicola", "Searsia undulata", "Graphium eurypylus crispus", "Searsia zeyheri", "Graphium eurypylus extensus", "Henicovalva praedicta", "Henicovalva dissoluta", "Henicovalva lebomboensis", "Henicovalva mpisiensis", "Triartiger nomurai", "Henicovalva serulensis", "Zuluclavodes briantaylori", "Commatocerodes raffrayi", "Dejageria joannae", "Hippocampus japapigu", "Fustigeropsis peringueyi", "Digitivalva longipenella", "Myracrodruon urundeuva", "Novoclaviger auriculatus", "Novoclaviger braunsi", "Novoclaviger capensis", "Nothopegia colebrookiana", "Novoclaviger gibbiventris", "Novoclaviger joncooteri", "Nothopegia aureofulva", "Novoclaviger majusculus", "Novoclaviger pugionis", "Novoclaviger reticulatus", "Novoclaviger wroughtoni", "Pararticerus latus", "Saturnia tibetanna", "Saturnia sinanna", "Saturnia cachara", "Tapirira guianensis subsp. guianensis", "Saturnia zuleika", "Acrotona manitobensis", "Saturnia lesoudieri", "Atheta manitobae", "Graphium eurypylus melampus", "Thyrsodium spruceanum", "Rhus virens subsp. virens", "Schinopsis lorentzii", "Quedius koltzei", "Quedius rufilabris", "Quedius tadjikiscus", "Euptera chothyma", "Euptera neptunoides", "Euptera rufoides", "Quedius bucharensis", "Quedius mutilatus", "Quedius kalabi", "Quedius equus", "Melete leucadia", "Quedius kungeicus", "Quedius pseudonigriceps", "Quedius cohaesus", "Quedius imitator", "Schinus engleri", "Quedius novus", "Schinus engleri var. uruguayensis", "Senna pallida var. palmeri", "Searsia longipes", "Searsia lucida", "Searsia magalismontana", "Searsia magalismontana subsp. coddii", "Saturnia caecigena", "Saturnia caecigena caecigena", "Saturnia caecigena stroehlei", "Saturnia caecigena transcaucasica", "Searsia magalismontana subsp. magalismontana", "Senna pallida var. nemorosa", "Quedius hauseri", "Deepstaria enigmatica", "Deepstaria reticulum", "Quedius fulvicollis", "Quedius scintillans", "Searsia montana", "Searsia mysorensis", "Saturnia grotei", "Saturnia anna", "Saturnia bieti", "Saturnia bonita", "Graphium eurypylus lycaon", "Graphium eurypylus lycaonides", "Graphium eurypylus macronius", "Asterella subg.", "Asterella californica", "Asterella wallichiana", "Asterella subg.", "Mycobacterium alvei", "Asterella subg.", "Asterella tenella", "Mycobacterium aubagnense", "Asterella subg.", "Brachychalcinus nummus", "Amoebotricha hiemalis", "Chartographa fabiolaria", "Chartographa fabiolaria fabiolaria", "Chartographa fabiolaria candida", "Archips davisi", "Archips biforata", "Archips binigrata", "Archips carteri", "Capua changi", "Acleris hohuanshana", "Dichrorampha sugii", "Amata wilemani", "Amata wiltshirei", "Amata vandepolli", "Anemia rotundifolia", "Anemia schimperiana", "Anemia schimperiana subsp. schimperiana", "Eurrhypis pollinalis", "Eurrhypis pollinalis pollinalis", "Eurrhypis pollinalis rungsi", "Anemia vestita", "Aneura pinguis", "Sinofeluva qinlingmontis", "Dioryctria taedivorella", "Dioryctria taiella", "Dioryctria vancouverella", "Annona atemoya", "Annona urbaniana", "Artabotrys arachnoides", "Pareulype onoi", "Artabotrys aurantiacus", "Eupithecia subfumosa", "Annona neoulei", "Atheta specicola", "Riccardia alcicornis", "Cephalocousya nivicola", "Cephalocousya yunnanica", "Drepasiagonusa procera", "Drepasiagonusa tibetica", "Drepasiagonusa angulata", "Drepasiagonusa feldmanni", "Riccardia latifrons", "Riccardia multifida", "Riccardia multifida subsp. multifida", "Riccardia marginata", "Anisophyllea cinnamomoides", "Anaxagorea luzonensis", "Graphium evemon hetaerias", "Graphium evemon ignoleus", "Graphium evemon orthia", "Graphium kosii", "Brachychalcinus parnaibae", "Thalassarche carteri", "Eurrhypis guttulalis", "Eurrhypis guttulalis guttulalis", "Eurrhypis guttulalis corsicalis", "Thalassarche eremita", "Titanio normalis", "Thalassarche impavida", "Thalassarche salvini", "Titanio tarraconensis", "Titanio tarraconensis tarraconensis", "Titanio tarraconensis mauretanica", "Chinecallicerus schuelkei", "Chinecallicerus carinatus", "Cleora inopinata", "Chinecallicerus orbiculatus", "Cleora telloides", "Chinecallicerus granulosissimus", "Cleora tella", "Chinecallicerus transversus", "Chinecallicerus grandicollis", "Cleora paepalima", "Cleora pendleburyi", "Chinecallicerus trituberculatus", "Arichanna adjuncta", "Arichanna eucosme", "Sideridis remmiana", "Disparia mediopallens", "Pseudosomera noctuiformis", "Pseudosomera noctuiformis noctuiformis", "Pseudosomera noctuiformis yunwu", "Pseudosomera inexpectata", "Lymantria rubea", "Dasychira albofasciata", "Euproctis serulla", "Dioryctria yuennanella", "Dioryctria magnifica", "Dioryctria pseudotsugella", "Dioryctria rubella", "Dioryctria sylvestrella", "Annona neosericea", "Solanum alpinum", "Trichoglossina aptera", "Trichoglossina alticola", "Trichoglossina acutissima", "Trichoglossina bifida", "Trichoglossina volans", "Trichoglossina discolor", "Dioryctria taedae", "Apimela tibetana", "Cananga odorata var. fruticosa", "Cardiopetalum calophyllum", "Colla klagesi", "Apatelodes torrefacta", "Anticla antica", "Oxypoda parvioculata", "Oxypoda verminata", "Oxypoda breviata", "Oxypoda vittata", "Eupithecia antivulgaria", "Eupithecia maenamii", "Eupithecia perpaupera", "Alcis albifera", "Artabotrys zeylanicus", "Paralepas minuta", "Cirrosporium novae-zelandiae", "Ragadia liae", "Cigaritis dhofarina", "Pantelodes iracoubo", "Oxypoda longipes", "Oxypoda ignorata", "Oxypoda vicina", "Oxypoda soror", "Monarda oryx", "Oxypoda ferruginea", "Oxypoda flavicornis", "Oxypoda haemorrhoa", "Cigaritis elima elima", "Cigaritis elima fairliei", "Cigaritis elima ictina", "Cigaritis elima uniformis", "Aleochara leptocera", "Goniothalamus thwaitesii", "Greenwayodendron oliveri", "Guatteria amplifolia", "Eilema tardenota", "Guatteria australis", "Ephoria gallica", "Asteranthe asterias", "Ocyusa tibetana", "Pantelodes organabo", "Pantelodes amazonica", "Pantelodes centralamericana", "Pantelodes drechseli", "Pantelodes ruschii", "Pantelodes maranhensis", "Pantelodes boliviana", "Hypocrita albimacula", "Hypocrita aletta", "Conocephalus fuscus", "Meiogyne pannosa", "Meiogyne virgata", "Meiogyne stenopetala", "Eucyane glauca", "Goniothalamus cheliensis", "Nervilia crociformis", "Goniothalamus giganteus", "Goniothalamus laoticus", "Xanthocrita caeruleomaculatum", "Xanthocrita childon", "Goniothalamus macrophyllus", "Xanthocrita chislon", "Xanthocrita simulatrix", "Aleochara jacobsoni", "Goniothalamus tamirensis", "Xanthocrita wingerteri", "Aleochara haemoptera", "Goniothalamus roseus", "Aleochara falcata", "Aleochara grandeguttata", "Aleochara maculata", "Eucyane celadon", "Eucyane arcaei", "Duguetia gardneriana", "Duguetia moricandiana", "Duguetia salicifolia", "Xanthocrita bleuzeni", "Duguetia uniflora", "Troides aeacus formosanus", "Fissistigma hypoglaucum", "Fissistigma latifolium", "Fissistigma oldhamii", "Ephestia unicolorella unicolorella", "Drepananthus carinatus", "Nervilia acuminata", "Drepananthus magnificus", "Nervilia borneensis", "Nervilia campestris", "Lethe nigrifascia nigrifascia", "Duguetia bahiensis", "Lethe nigrifascia ebiana", "Nervilia affinis", "Lethe serbonis serbonis", "Lethe serbonis gesala", "Nervilia alishanensis", "Nervilia apiculata", "Nervilia ballii", "Nervilia bandana", "Nervilia beumeei", "Poyntonophrynus pachnodes", "Nervilia bicarinata", "Nervilia brevilobata", "Nervilia peltata", "Orophea kostermansiana", "Orophea malayana", "Orophea rubra", "Orophea sarawakensis", "Quedius microcapillatus", "Paralepas morula", "Melodorum leichhardtii", "Melodorum fruticosum", "Miliusa mollis", "Miliusa longipes", "Miliusa tomentosa", "Miliusa velutina", "Thibaudia parvifolia", "Orthospinus franciscensis", "Oncorhynchus kawamurae", "Brachychalcinus orbicularis", "Mitrella kentii", "Eilema formosa", "Eilema homochroma", "Eilema homochroma homochroma", "Eilema homochroma ambrensis", "Nervilia cumberlegii", "Phryganopteryx rothschildi", "Phryganopteryx rothschildi rothschildi", "Phryganopteryx rothschildi colorata", "Phryganopteryx pauliani", "Guatteria campestris", "Guatteria decurrens", "Spilosoma brunneomixta", "Guatteria eriopoda", "Guatteria macropus", "Galtara viettei", "Guatteria pogonopus", "Polymixis rungsi", "Malmea manausensis", "Marsypopetalum pallidum", "Ephestia unicolorella woodiella", "Friesodielsia desmoides", "Friesodielsia hirsuta", "Friesodielsia montana", "Goniothalamus cardiopetalus", "Aleochara hydrocephala", "Aleochara purkynei", "Aleochara strasseri", "Troides aeacus insularis", "Aleochara claviculata", "Aleochara conviva", "Aleochara subtumida", "Aleochara plicelytrata", "Epischnia adultella", "Aleochara brevipennis", "Aleochara inconspicua", "Aleochara lanuginosa", "Aleochara moerens", "Aleochara longipes", "Aleochara gontarenkoi", "Epischnia nervosella", "Aleochara vagepunctata", "Aleochara suslica", "Aleochara parvicornis", "Aleochara citellorum", "Xylopia africana", "Kretania eurypilus", "Kretania eurypilus khorasanus", "Kretania eurypilus afghaniensis", "Xylopia brasiliensis", "Xylopia emarginata", "Kretania allardii", "Polyceratocarpus microtrichus", "Popowia fusca", "Popowia pisocarpa", "Pseudoxandra bahiensis", "Pseuduvaria latifolia", "Pyramidanthe prismatica", "Medon frischi", "Uvaria timoriensis", "Geodia breviana", "Uvaria argentea", "Bulbophyllum dentiferum", "Luzula picta", "Uvaria dulcis", "Bulbophyllum fenestratum", "Pseuduvaria rugosa", "Kretania csomai", "Uvariastrum zenkeri", "Uvariodendron angustifolium", "Uvariodendron connivens", "Mitrephora grandiflora", "Mitrephora keithii", "Mitrephora sirikitiae", "Mitrephora winitii", "Epiphile iblis plutonia", "Epiphile iblis plusios", "Mkilua fragrans", "Monanthotaxis caffra", "Monanthotaxis foliosa", "Bicyclus graueri", "Bicyclus graueri graueri", "Bicyclus graueri choveti", "Monodora grandidieri", "Charaxes subornatus", "Charaxes subornatus subornatus", "Charaxes sidamo", "Mwasumbia alba", "Saltera sarcocolla", "Oxypoda alternans", "Cremastosperma yamayakatense", "Oxypoda formosa", "Oxypoda recta", "Lymanopoda flammigera", "Aleochara ruficornis", "Cymbopetalum brasiliense", "Cymbopetalum costaricense", "Aleochara diversicollis", "Aleochara penicillata", "Dasymaschalon dasymaschalum", "Afrogramma asirensis", "Pantophaea scheveni", "Desmopsis heteropetala", "Charaxes mccleeryi", "Charaxes mccleeryi mccleeryi", "Charaxes mccleeryi iringae", "Sageraea thwaitesii", "Pselaphomorphus acutispinosus", "Pselaphomorphus agametopus", "Pselaphomorphus azuayensis", "Pselaphomorphus bolivarensis", "Pselaphomorphus breviantennae", "Pselaphomorphus carenobothrus", "Pselaphomorphus carltoni", "Pselaphomorphus cayennensis", "Pselaphomorphus chandleri", "Pselaphomorphus fluminosus", "Pselaphomorphus iguazuensis", "Pselaphomorphus incorum", "Pselaphomorphus longissimus", "Charaxes chanleri", "Charaxes chunguensis", "Sphaerocoryne affinis", "Stenanona flagelliflora", "Charaxes chevroti", "Unonopsis bahiensis", "Rhadinaea nuchalis", "Pselaphomorphus macrommatus", "Pselaphomorphus maldonadensis", "Quedius illyricus", "Quedius pineti", "Quedius ramiroi", "Nervilia uniflora", "Nervilia holochila", "Quedius suturalis", "Quedius humeralis", "Quedius semirufus", "Piptostigma mortehanii", "Quedius ortrudae", "Piptostigma multinervium", "Polyalthia amicorum", "Quedius petraensis", "Medon guignoti", "Medon gratus", "Polyalthia evecta", "Medon manasluensis", "Medon arunicus", "Polyalthia fragrans", "Medon acutapicalis", "Friesodielsia cuneiformis", "Polyceratocarpus parviflorus", "Kretania eurypilus kuhpayensis", "Kretania csomai csomai", "Kretania csomai shagramensis", "Cerasus kumanoensis", "Xylopia fusca", "Xylopia involucrata", "Xylopia laevigata", "Xylopia malayana", "Xylopia nigricans", "Xylopia ochrantha", "Xylopia orestera", "Boriza inflata", "Strophocerus maipouri", "Strophocerus lecourti", "Notoplusia joanna", "Notoplusia clara", "Pyropia taeniata", "Kretania eurypilus pelopides", "Notoplusia marchiana", "Notoplusia boliviensis", "Notoplusia eunoteloides", "Desmos acutus", "Notoplusia menica", "Notoplusia oyapoca", "Notoplusia talmecana", "Notoplusia minuta", "Notoplusia flavodiscata", "Xylopia patoniae", "Mayetia anforiformis", "Mayetia adentisformis", "Miliusa roxburghiana", "Annona quinduensis", "Scandia rosifolia", "Bebearia warren-gashi", "Molopospermum peloponnesiacum subsp. peloponnesiacum", "Tapajosella elongata", "Acetalius grandis", "Fredericella tenax", "Plumatella jariensis", "Plumatella pirassununga", "Paralepas palinuri urae", "Natanella natans", "Pyropia unabbottiae", "Pselaphomorphus mayaorum", "Pselaphomorphus melanus", "Pselaphomorphus montsineryensis", "Pselaphomorphus motschulskyi", "Pselaphomorphus newtoni", "Pselaphomorphus parki", "Pselaphomorphus raffrayi", "Paralepas nodulosa", "Pselaphomorphus santaecrucis", "Pselaphomorphus simplicipenis", "Pselaphomorphus thayerae", "Pselaphomorphus tucumanensis", "Pselaphomorphus veracruzanus", "Pselaphomorphus wagneri", "Pselaphomorphus brevipennis", "Pselaphomorphus bruchi", "Pselaphomorphus longiceps", "Pselaphomorphus microphthalmus", "Pselaphomorphus sculpturatus", "Charaxes congdoni", "Medon cauchoisi", "Charaxes grahamei", "Kretania beani", "Medon dilutus", "Charaxes berkeleyi marci", "Uvaria narum", "Medon dilutus pythonissa", "Medon dilutus quadriceps", "Medon sundaicus", "Medon sabahicus", "Charaxes berkeleyi masaba", "Bupleurum angulosum", "Bupleurum stellatum", "Bupleurum atlanticum", "Bupleurum atlanticum subsp. atlanticum", "Mycetoporus punctipennis", "Rhudara trepida", "Anisotome haastii", "Anisotome imbricata", "Anisotome lyallii", "Anisotome procumbens", "Rhudara endymion", "Rhudara ecuadoriana", "Rhudara flava", "Rhudara coralia", "Rhudara cornuta", "Rhudara astrida", "Semomesia cecilae", "Lignocarpa carnosula", "Kretania iranica", "Mesosemia meyi", "Lignocarpa diversifolia", "Scandia geniculata", "Bupleurum americanum", "Cunizza hirlanda", "Cunizza hirlanda hirlanda", "Cunizza hirlanda planasia", "Cunizza hirlanda minturna", "Cunizza hirlanda serda", "Paeonia clusii subsp. clusii", "Cunizza hirlanda praeclara", "Cunizza hirlanda ninguida", "Cunizza hirlanda apicalis", "Cunizza hirlanda fulvinota", "Cunizza hirlanda helvia", "Cunizza hirlanda tirimbina", "Pyrrhogyra otolais", "Pyrrhogyra otolais placita", "Eurema daira", "Eurema daira daira", "Eurema daira macheti", "Parides erithalion callegarii", "Hypena variofuscocolorata", "Aciphylla similis", "Aciphylla traversii", "Medon emeianus", "Anisotome aromatica", "Anisotome flexuosa", "Euplectus jonicus", "Kretania eurypilus euaemon", "Paralepas palinuri", "Rhudara dimidiata", "Kretania eurypilus eurypilus", "Trichomaplata andromede", "Rifargia ormanceyi", "Chliaroides basipuncta", "Chliaroides mediostriga", "Rifargia senecauxi", "Rifargia beniensis", "Rifargia lemairei", "Draudtargia chicheryi", "Metopiellus painensis", "Anthocharis euphenoides euphenoides", "Anthocharis euphenoides dalessandroi", "Pyrrhogyra edocla", "Pyrrhogyra edocla edocla", "Pyrrhogyra edocla perscita", "Aciphylla dobsonii", "Aciphylla hookeri", "Aciphylla indurata", "Bupleurum rigidum subsp. rigidum", "Eleusomatus acuminatides", "Bupleurum salicifolium", "Bupleurum salicifolium subsp. salicifolium", "Euglyptus abnormis", "Eungella perplexus", "Bupleurum fruticescens subsp. spinosum", "Pyralis joannisi", "Bupleurum plantaginifolium", "Aegopodium podagraria subsp. podagraria", "Carum carvi subsp. carvi", "Bupleurum heldreichii", "Bupleurum lanceolatum", "Amaxia pulcherrima", "Kretania martini", "Kretania nicholli", "Lepidophyma lipetzi", "Anolis spilorhipis", "Bupleurum dianthifolium", "Pyropia collinsii", "Neopyropia spatulata", "Pyropia stamfordensis", "Pusiola poliosia", "Bupleurum elatum", "Bupleurum falcatum subsp. falcatum", "Neopyropia retorta", "Bupleurum fruticescens", "Bupleurum fruticescens subsp. fruticescens", "Kretania hesperica", "Bupleurum gibraltaricum", "Bupleurum handiense", "Leucanopsis goodgeri", "Apium graveolens var. dulce", "Janalia jarmilae", "Euphydryas anicia", "Apium prostratum subsp. prostratum", "Euphydryas anicia anicia", "Euphydryas anicia variicolor", "Euphydryas chalcedona trinitina", "Euphydryas editha", "Euphydryas editha editha", "Euphydryas editha ehrlichi", "Euphydryas editha karinae", "Euphydryas editha bingi", "Euphydryas editha owyheensis", "Euphydryas editha mattooni", "Euphydryas editha luestherae", "Bupleurum aureum", "Bupleurum aureum subsp. aureum", "Anotylus tetracarinatus", "Borboropora corcyrana", "Meotica parasita", "Ocypus corcyranus", "Bupleurum odontites", "Bupleurum rigidum", "Bupleurum semicompositum", "Lathrobium xiei", "Mannophryne molinai", "Hedina annamita", "Galearis spectabilis", "Zygaenoprocris minna", "Lathrobium lijiangense", "Lathrobium yinae", "Kalbionora palaeotropica", "Sprucidea rubropenicillata", "Sprucidea granulosa", "Hedina louisi", "Hedina taiwana", "Hedina vietnama", "Chrysartona elegans", "Chrysartona mineti", "Krubera peregrina", "Chrysartona stipata", "Chrysartona hausmanni", "Chrysartona stueningi", "Chrysartona tremewani", "Chrysartona sinevi", "Chrysartona birmana", "Chrysartona honeyi", "Chrysartona sikkima", "Chrysartona meyi", "Chrysartona margarita", "Bupleurum longiradiatum", "Bupleurum montanum", "Kretania philbyi", "Bupleurum nipponicum", "Bupleurum nodiflorum", "Bupleurum nodiflorum subsp. nodiflorum", "Symphlebia coarctata", "Amaxia aurata", "Astralarctia venatorum", "Bupleurum nodiflorum subsp. nanum", "Amaxia perignita", "Amaxia affinoides", "Amastus porioni", "Amastus nebulosus", "Amastus medicoides", "Amastus proximus", "Amastus frater", "Amastus obscurus", "Amastus reticulatus", "Amastus ambiguus", "Amastus morosus", "Berula burchellii", "Albinospila variifrons", "Chrysartona murzini", "Heteromorpha arborescens var. abyssinica", "Chrysartona sylvianae", "Rhagades amasina", "Rhagades predotae", "Rhagades tarmanni", "Zygaenoprocris kliri", "Paeonia daurica nothosubsp. lagodechiana", "Amastus mirificus", "Amastus bertrandi", "Amastus simulator", "Amastus nadiae", "Amastus fallax", "Amastus argillacea", "Amastus dubius", "Amastus inanis", "Amastus thierryi", "Amastus descimoni", "Amastus bolivianus", "Amastus deformis", "Amastus lividus", "Amastus pallescens", "Amastus gaujoni", "Bupleurum petraeum", "Amastus simulans", "Amastus inopinatus", "Amastus vicinus", "Amastus diluta", "Amastus venedictoffae", "Amastus morenoi", "Amastus cerdai", "Amastus rubicundus", "Amastus pluto", "Amastus odettae", "Bupleurum praealtum", "Bupleurum ranunculoides subsp. ranunculoides", "Lathrobium kurosawai", "Lathrobium susumui", "Lathrobium sanukiense", "Lathrobium shingon", "Lathrobium taichii", "Lathrobium pollens", "Lathrobium biexcisum", "Lathrobium loebli", "Lichtensteinia lacera", "Berula erecta subsp. erecta", "Oenanthe globulosa", "Oenanthe pimpinelloides subsp. pimpinelloides", "Oenanthe virgata", "Oenanthe pteridifolia", "Galearis fauriei", "Lathrobium isense", "Lathrobium ishidai", "Lathrobium ishiharai", "Lathrobium itsukushimanum", "Oenanthe fluviatilis", "Oenanthe javanica subsp. javanica", "Haritalodes barbuti", "Haritalodes mineti", "Haritalodes levequei", "Haritalodes adjunctalis", "Haritalodes amboinensis", "Oenanthe lachenalii", "Oenanthe peucedanifolia", "Albinospila juancarlosi", "Helosciadium crassipes", "Comostola stueningi", "Comostola romblonensis", "Myrmecoplectus attenuatus", "Myrmecoplectus wellingtonicus", "Kenocoelus johni", "Kenocoelus mikonuiensis", "Zeadalmodes brevis", "Zeadalmodes myrmecophilus", "Trepocarpus aethusae", "Arafoe aromatica", "Pimpinella alpina", "Pimpinella bicknellii", "Pleuroptya balteata", "Verruca punica", "Pleuroptya balteata balteata", "Lathrobium harimanum", "Pleuroptya balteata africalis", "Lathrobium hayashii", "Patania tchadalis", "Lathrobium hikosanense", "Lathrobium hirakuranum", "Lathrobium hisamatsui", "Pimpinella pruatjan", "Benderia talhouki", "Rungsina mideltensis", "Rungsina rungsi", "Rungsina canifusalis", "Oxypolis fendleri", "Zeasampa nunni", "Pachythone lateritia", "Pachythone lateritia lateritia", "Pachythone lateritia bourda", "Gollandia planata", "Pachythone lateritia coccineata", "Lilaeopsis attenuata", "Lathrobium kuramaicum", "Lilaeopsis attenuata subsp. attenuata", "Lathrobium duplebarbatum", "Lathrobium horridum", "Lemonias egaensis", "Lathrobium nikkoense", "Lathrobium inflatum", "Pseudobium kobense", "Lobrathium scabripenne", "Lilaeopsis brasiliensis", "Lilaeopsis occidentalis", "Lilaeopsis schaffneriana subsp. schaffneriana", "Limnosciadium pinnatum", "Colias regia", "Colias regia regia", "Colias regia svetlana", "Tomares callimachus callimachus", "Tomares callimachus tauricus", "Kandaharia rechingerorum", "Lathrobium brachypterum", "Lathrobium aioiense", "Lathrobium aonoi", "Lathrobium arakawai", "Lathrobium awanum", "Lathrobium daisenense", "Lathrobium daisensanum", "Lathrobium densum", "Lathrobium dozenense", "Lathrobium fujimotoi", "Lathrobium gomadanzanum", "Lathrobium hakusanum", "Lathrobium kagaense", "Rungsina iranalis", "Perideridia bolanderi subsp. bolanderi", "Rungsina poliopastalis", "Rungsina fuscisectalis", "Perideridia bacigalupii", "Perideridia americana", "Nhoabe mocquerysalis", "Perideridia gairdneri subsp. gairdneri", "Tordylium apulum", "Galearis tschiliensis", "Tordylium officinale", "Galearis wardii", "Pimpinella ledermannii", "Pimpinella ledermannii subsp. ledermannii", "Pimpinella tomentosa", "Pimpinella ledermannii subsp. engleriana", "Pimpinella major subsp. major", "Ocydina syngrammaula", "Charaxes bipunctatus bipunctatus", "Charaxes bipunctatus ugandensis", "Lathrobium okamotoi", "Lathrobium taishakuense", "Perideridia parishii subsp. parishii", "Lathrobium miaoershanum", "Lathrobium kishimotoi", "Lathrobium hunanense", "Parecbasis cyclolepis", "Ptilimnium capillaceum", "Ptilimnium costatum", "Lathrobium iwamiense", "Lathrobium japonicum", "Lathrobium japonicum konoi", "Lathrobium japonicum kunashirense", "Pimpinella cumbrae", "Picea alcoquiana var. acicularis", "Pimpinella heyneana", "Picea alcoquiana var. reflexa", "Galearis huanglongensis", "Picea alcoquiana var. alcoquiana", "Galearis roborovskii", "Galearis spathulata", "Pimpinella junoniae", "Paralepas percarinata", "Peristylus commersonianus", "Peristylus constrictus", "Peristylus cryptostylus", "Peristylus cubitalis", "Peristylus cymbochilus", "Paralepas phyllacanthusi", "Daucus carota subsp. carota", "Cyathula prostrata var. pedicellata", "Tachornis furcata furcata", "Lathrobium minakawai", "Lathrobium oharai", "Lathrobium kamezawai", "Lathrobium kanayamaense", "Lathrobium kanmuriense", "Lathrobium kasagatanum", "Lathrobium kasaharai", "Lathrobium kasumiense", "Lathrobium katsumiae", "Lathrobium kinokuniense", "Lathrobium kishuense", "Lathrobium konpira", "Lathrobium kusamai", "Berula bracteata", "Lathrobium masaoi", "Lathrobium matobai", "Lathrobium mayasanense", "Lathrobium monticola", "Lathrobium morii", "Lathrobium moritai", "Lathrobium nabetaniense", "Lathrobium nagashimanum", "Lathrobium nankiense", "Sium sisarum subsp. sisarum", "Lathrobium nanseiense", "Daucus mirabilis", "Lathrobium narutoensis", "Lathrobium nasuense", "Lathrobium nidoagense", "Lathrobium nishikawai", "Lathrobium nomurai", "Lathrobium notoense", "Lathrobium ohdaiense", "Daucus incognitus", "Lathrobium ohkurai", "Daucus carota subsp. halophilus", "Tiedemannia canbyi", "Daucus guttatus subsp. guttatus", "Marchantia romanica", "Tiedemannia filiformis", "Tiedemannia filiformis subsp. filiformis", "Daucus pumilus", "Tachornis furcata nigrodorsalis", "Peristylus djampangensis", "Peristylus elbertii", "Peristylus flexuosus", "Peristylus formosanus", "Peristylus gardneri", "Lathrobium mancum", "Lathrobium bicuspidatum", "Lathrobium brevissimum", "Ammodaucus leucotrichus", "Silvorchis furcata", "Ammodaucus leucotrichus subsp. leucotrichus", "Peristylus carnosipetalus", "Cordia sebestena var. sebestena", "Peristylus chlorandrellus", "Peristylus carolinensis", "Cyclospermum laciniatum", "Cyclospermum leptophyllum", "Peristylus chapaensis", "Bunium ferulaceum", "Peristylus ciliatus", "Peristylus ciliolatus", "Picea asperata var. asperata", "Peristylus ciliolatus var. ciliolatus", "Peristylus ciliolatus var. apiculatus", "Peristylus ciliolatus var. lobatus", "Peristylus citrinus", "Peristylus maingayi", "Spuriopimpinella brachycarpa", "Spuriopimpinella calycina", "Hymenidium nanum", "Lathrobium ohtohense", "Lathrobium okiense", "Lathrobium omogoense", "Lathrobium onodai", "Lathrobium owaseanum", "Lathrobium sasajii", "Lathrobium satoi", "Lathrobium shiritakanum", "Lathrobium shizuokaense", "Lathrobium shotaroi", "Lathrobium wuesthoffi", "Lathrobium rougemonti", "Lathrobium sugiei", "Lathrobium susamiense", "Lathrobium suzukii", "Lathrobium tadaorum", "Lathrobium tahirai", "Lathrobium tamotsui", "Lathrobium tanakai", "Lathrobium tokushimanum", "Lathrobium tosanum", "Lathrobium toyodai", "Lathrobium tsurugisanum", "Lathrobium uenoi", "Siler montanum", "Lathrobium uozumii", "Lathrobium wasamatanum", "Lathrobium yokozekii", "Lathrobium yosiianum", "Lathrobium awajiense", "Lathrobium ezoense", "Lathrobium hoshinai", "Picea schrenkiana subsp. schrenkiana", "Physospermum cornubiense", "Picea asperata var. ponderosa", "Paralepas pedunculata", "Lathrobium kagawaense", "Lathrobium kitosonense", "Lathrobium kotsuzanum", "Lathrobium kumotoriense", "Lathrobium masarui", "Lathrobium morimotoi", "Lathrobium oitaense", "Phyllanthus ussuriensis", "Lathrobium takakuwai", "Lathrobium tokuenjiense", "Lathrobium yuzuruhaense", "Ammoides pusilla", "Cordia sebestena var. caymanensis", "Astomaea seselifolium", "Peristylus brevicalcar", "Peristylus brevilobus", "Picea asperata var. notabilis", "Peristylus calcaratus", "Peristylus goodyeroides", "Peristylus gracilis", "Peristylus grandis", "Peristylus hallieri", "Teucrium japonicum", "Ajuga spectabilis", "Phlomoides umbrosa", "Leonurus macranthus", "Daucus carota subsp. maximus", "Daucus carota subsp. gummifer", "Daucus carota subsp. hispanicus", "Daucus carota subsp. azoricus", "Daucus carota subsp. drepanensis", "Daucus glaberrimus", "Daucus setifolius subsp. setifolius", "Laserpitium gallicum", "Laserpitium gallicum subsp. gallicum", "Laserpitium halleri", "Laserpitium halleri subsp. halleri", "Laserpitium krapfii", "Laserpitium latifolium subsp. latifolium", "Laserpitium peucedanoides", "Neoglyptatelus uruguayensis", "Daucus decipiens", "Daucus edulis", "Kretania psylorita", "Kretania sephirus", "Isodon japonicus", "Melampyrum roseum", "Daucus biseriatus", "Siler montanum subsp. montanum", "Siler ochridanum", "Olixon melinsula", "Silphiodaucus prutenicus", "Silphiodaucus prutenicus subsp. prutenicus", "Myrmecopora idana", "Aloconota brachyptera", "Geostiba diktiana", "Thapsia garganica subsp. garganica", "Oxypoda idana", "Tectusa diktiana", "Tectusa thriptica", "Thapsia gummifera", "Charaxes mafuga", "Thapsia scabra", "Charaxes chepalungu", "Charaxes cedreatis", "Thapsia tenuifolia", "Thapsia thapsioides", "Piochardia oberthuri", "Charaxes karkloof trimeni", "Schatzmayrina oxyclypea", "Brachyotum lindenii", "Peristylus hamiltonianus", "Charaxes fulvescens marialuisae", "Peristylus hatusimanus", "Peristylus holochila", "Daucus rouyi", "Pinobius indicus", "Charaxes varanes varanes", "Charaxes varanes bertrami", "Astenus indicus", "Charaxes varanes torbeni", "Philonthus turbidus", "Philonthus bisignatus", "Charaxes varanes vologeses", "Ferula communis subsp. communis", "Ferula communis subsp. brevifolia", "Peristylus holttumianus", "Peristylus holttumii", "Ferula tenuisecta", "Peristylus hylophiloides", "Scleranthus polycarpos", "Peristylus intrudens", "Astenus thripticus", "Sunius diktianus", "Thapsia meoides", "Thapsia nitida", "Olixon martini", "Olixon toliaraense", "Charaxes etesipe shaba", "Charaxes ethalion ethalion", "Atriplex gardneri var. robusta", "Rhopalosoma angulare", "Charaxes ethalion kikuyuensis", "Charaxes ethalion littoralis", "Charaxes ethalion marsabitensis", "Charaxes ethalion nyanzae", "Charaxes ethalion kitungulensis", "Rhopalosoma alvarengai", "Rhopalosoma simile", "Rhopalosoma scaposum", "Rhopalosoma impar", "Charaxes ethalion fisheri", "Rhopalosoma isopus", "Rhopalosoma minus", "Rhopalosoma lanceolatum", "Rhopalosoma breelandi", "Rhopalosoma obliquum", "Rhopalosoma bolivianum", "Rhopalosoma nearcticum", "Rhopalosoma bahianum", "Rhopalosoma guianense", "Rhopalosoma poeyi", "Rhopalosoma missionicum", "Rhopalosoma haitiense", "Charaxes ethalion handmani", "Brachyotum cernuum", "Charaxes ephyra", "Charaxes etheocles etheocles", "Charaxes galawadiwosi", "Charaxes turlini", "Peristylus iyoensis", "Ferula fontqueri", "Ferula communis subsp. linkii", "Ferula lancerotensis", "Sanicula epipactis", "Talpa martinorum", "Charaxes fulvescens imenti", "Charaxes saperanus", "Ferula ammoniacum", "Papilio mackinnoni theodori", "Phytomyza chaerophylli", "Charaxes candiope", "Ferula microcolea", "Charaxes thomasius", "Pinophilinus spinosus", "Pinophilinus schatzmayri", "Tachyporus saudicus", "Pinobius insolitus", "Olixon majus", "Pinobius sparsiventris", "Olixon flavibase", "Paniscomima opposita", "Paniscomima curta", "Paniscomima angelae", "Charaxes velox", "Pseudophilotes abencerragus", "Idaea alyssumata", "Paniscomima darlingi", "Paniscomima lottacontinua", "Atriplex glauca subsp. ifniensis", "Paniscomima paropposita", "Charaxes cowani", "Atriplex glauca subsp. mauritanica", "Atriplex glauca subsp. palaestina", "Pinobius parviceps", "Pinobius tonkinensis", "Pinobius robustus", "Pinobius major", "Charaxes protoclea cedrici", "Pinobius advena", "Pinobius gogolensis", "Charaxes macclounii", "Pinobius adjacens", "Pinobius paricolor", "Battus belus belus", "Battus belus quimi", "Bunaeopsis rendalli", "Imbrasia obscura", "Imbrasia ertli", "Imbrasia longicaudata", "Anthriscus lamprocarpus", "Anthriscus lamprocarpus subsp. lamprocarpus", "Anthriscus nitidus", "Chaerophyllum daucoides", "Daucus della-cellae", "Peristylus jinchuanicus", "Peristylus kerrii", "Peristylus kinabaluensis", "Peristylus korinchensis", "Peristylus kumaonensis", "Peristylus lacertifer", "Peristylus lancifolius", "Peristylus latilobus", "Peristylus listeroides", "Peristylus lombokensis", "Peristylus macer", "Peristylus maculifer", "Euproctis conizona", "Peristylus minimiflorus", "Peristylus minimus", "Neoglyptatelus originalis", "Peristylus monticola", "Danio tinwini", "Devario fangfangae", "Papilio mackinnoni mackinnoni", "Papilio mackinnoni benguellae", "Papilio mackinnoni chiwomana", "Chaerophyllum elegans", "Papilio mackinnoni equatoriana", "Papilio mackinnoni karamojae", "Papilio mackinnoni isokae", "Papilio mackinnoni mpwapwana", "Papilio mackinnoni reductofascia", "Chaerophyllum nodosum", "Parides anchises anchises", "Parides anchises casanare", "Pinobius mastersii", "Ferula sinaica", "Pinobius alatus", "Jarrigeus verberans", "Parnassius mercurius", "Parnassius mercurius mercurius", "Parnassius mercurius tenebris", "Parnassius nomion murzini", "Parnassius nomion bayansulu", "Chaerophyllum azoricum", "Pachyarmatherium leiseyi", "Peristylus mucronatus", "Hypericum marahuacanum", "Hypericum marahuacanum subsp. compactum", "Danio nigrofasciatus", "Danio aesculapii", "Athamanta cretensis", "Euproctis euthypheres", "Euproctis erythropoecila", "Euproctis ruanda", "Euproctis chrysoparypha", "Athamanta montana", "Athamanta sicula", "Euproctis macrocera", "Euproctis chionobalia", "Acontias albigularis", "Acontias wakkerstroomensis", "Peristylus nanus", "Peristylus norumbus", "Athamanta turbith", "Athamanta turbith subsp. turbith", "Marbla paradoxa", "Athamanta turbith subsp. haynaldii", "Paramarbla catharia", "Conopodium glaberrimum", "Dasychira callipluta", "Conopodium majus subsp. majus", "Dasychira rhabdota", "Dasychira thysanoessa", "Eudasychira calliprepes", "Dasychira semotheta", "Dasychira embrithes", "Dasychira hughesi", "Dasychira diplosticta", "Dasychira wilemani", "Torilis arvensis subsp. arvensis", "Euproctis tompoe", "Euproctis eupeperata", "Euproctis icoinnotata", "Euproctis maros", "Euproctis rectifascia", "Euproctis rhabdoides", "Euproctis copha", "Euproctis metatropa", "Euproctis chionobola", "Euproctis ochrias", "Peristylus novoebudarum", "Calanthe madagascariensis", "Paralepas quadrata", "Platycerus liyingbingi", "Platycerus yii", "Todaroa aurea", "Todaroa aurea subsp. aurea", "Paralepas robusta", "Angelica acutiloba var. iwatensis", "Angelica archangelica subsp. archangelica", "Rhypopteryx rhodosticta", "Parocneria philbyi", "Hypericum graciliforme", "Leucoma sericea", "Leucoma sericea sericea", "Leucoma sericea loda", "Arctornis tossa", "Cispia dipyrena", "Euproctis euphlebodes", "Euproctis varians", "Euproctis docima", "Mucilago crustacea", "Neoglyptatelus sincelejanus", "Euproctis parthena", "Euproctis polytoca", "Euproctis thysanocyma", "Euproctis xanthopoda", "Euproctis coniortodes", "Euproctis phaulia", "Macrodorcas kesiniae", "Cryptolechia bicellulata", "Angelica morrisonicola", "Angelica archangelica subsp. himalaica", "Angelica archangelica subsp. littoralis", "Stigmella jaguari", "Stigmella lauta", "Stigmella sublauta", "Stigmella aurifasciata", "Peristylus nymanianus", "Euproctis paraleuca", "Euproctis udenosora", "Euproctis hyalogenys", "Euproctis loda", "Euproctis pedolepida", "Euproctis paloe", "Euproctis melanoxutha", "Euproctis lindoe", "Euproctis climax", "Euproctis dine", "Euproctis psolarga", "Torilis scabra", "Euproctis psolarga psolarga", "Euproctis psolarga melanarga", "Euproctis bolinoides", "Euproctis parentheta", "Euproctis hypopyra", "Euproctis epiperca", "Euproctis dolichoptera", "Euproctis acroptera", "Peristylus ovariophorus", "Peristylus pachyneuroides", "Peristylus pachyneurus", "Callophycus dorsifer", "Callophycus oppositifolius", "Callophycus costatus", "Nymphicula nigristriata", "Angelica anomala subsp. sachalinensis", "Angelica anomala subsp. anomala", "Nymphicula australis", "Nymphicula cyanolitha", "Angelica saxatilis", "Cryptolechia pittieriana", "Angelica sylvestris subsp. sylvestris", "Lepidodes limbulata", "Ligusticum scoticum subsp. scoticum", "Euproctis todjamboe", "Euproctis kalisi", "Lymantria demotes", "Lymantria celebesa", "Lymantria chroma", "Aethusa cynapium subsp. cynapium", "Dura leptodes", "Dura passonyx", "Dura isabella", "Dura centema", "Laelia nebrodes", "Laelia rhodea", "Dasychira euryptila", "Dasychira dolichoscia", "Locharna epiperca", "Inlecypris auropurpureus", "Lepidodes gallopavo", "Lepidodes pectinata", "Lepidodes sculpta", "Lepidodes lorenae", "Polyommatus damocles tortumensis", "Polyommatus morgani", "Polyommatus morgani morgani", "Polyommatus morgani sanandajensis", "Inlecypris jayarami", "Rugilus korbi", "Ligusticopsis franchetii", "Mutellina purpurea", "Peristylus palawensis", "Peristylus parishii", "Drepanosticta emtrai", "Pachypleurum simplex", "Aegle exquisita", "Cymopterus glomeratus var. fendleri", "Aegle eberti", "Aegle vartianorum", "Euxoa distinguenda", "Aulospermum ibapense", "Aulospermum panamintense", "Aulospermum duchesnense", "Rugilus rossii", "Rugilus tauricus", "Rugilus penicillatus", "Rugilus antoinei", "Eupterote orientalis", "Eupterote gardneri", "Eupterote hibisci", "Aulacochilus xingtaiensis", "Aulacochilus praeclarus", "Aulacochilus rectistriatus", "Aulacochilus circumcinctus", "Aulacochilus moelzsicus", "Aulacochilus biakensis", "Aulacochilus mirasciatus", "Callophycus serratus", "Paralepas rosea", "Callophycus harveyanus", "Callophycus laxus", "Elachista anserinelloides", "Callophycus densus", "Callophycus tridentifer", "Callophycus africanus", "Callophycus condominius", "Xestia argyrea", "Harutaeographa craspedophora", "Cucullia anthocharis", "Cryphia vartianica", "Cryphia cyanea", "Cymopterus glomeratus var. greeleyorum", "Victrix illustris", "Aulacochilus angustistriatus", "Aulacochilus brevistriatus", "Aulacochilus gressitti", "Aulacochilus tenuistriatus", "Rugilus ibericus", "Rugilus caporiaccoi", "Rugilus quadridentatus", "Aulacochilus montivagus", "Rugilus dorjulensis", "Rugilus gogonensis", "Rugilus nepalensis", "Rugilus truncatus", "Lomatium dasycarpum subsp. dasycarpum", "Rugilus morvani", "Rugilus bagmaticola", "Rugilus manasluensis", "Rugilus bhotius", "Astrotischeria heliopsisella", "Rugilus gansuensis", "Lomatium farinosum", "Rugilus daxuensis", "Rugilus fodens", "Rugilus aequabilis", "Rugilus pungens", "Lomatium farinosum var. hambleniae", "Rugilus dalaoicus", "Rugilus parvincisus", "Lomatium foeniculaceum subsp. foeniculaceum", "Lomatium graveolens", "Hesperomeles obtusifolia var. microphylla", "Dendrobium cuthbertsonii", "Lomatium thompsonii", "Paralepas scyllarusi", "Dicliptera manilalii", "Paralepas spinisegma", "Pselaphodes bakeri", "Rugilus confluens", "Rugilus nuicus", "Rugilus desectus", "Rugilus malaisei", "Rugilus wuyicus", "Coelogyne ovalis", "Lomatium nevadense var. parishii", "Rugilus plagiatus", "Lomatium packardiae", "Althepus pictus", "Althepus bako", "Althepus biltoni", "Althepus complicatus", "Althepus dekkingae", "Althepus indistinctus", "Althepus javanensis", "Althepus lehi", "Althepus minimus", "Althepus pum", "Althepus stonei", "Althepus suhartoi", "Althepus tibiatus", "Althepus incognitus", "Althepus noonadanae", "Lomatium mohavense subsp. mohavense", "Paralepas scutiger", "Rugilus biformis", "Rugilus meilixuensis", "Merizocera cruciata", "Merizocera picturata", "Merizocera brincki", "Merizocera oryzae", "Lomatium linearifolium", "Merizocera crinita", "Verbascum tzar-borisii", "Merizocera pygmaea", "Merizocera stellata", "Leclercera khaoyai", "Leclercera longiventris", "Reptadeonella aspera", "Reptadeonella brasiliensis", "Reptadeonella cucullata", "Reptadeonella leilae", "Senna pallida var. longirostrata", "Cervaria rivini", "Peucedanum florentii", "Pseudocellus bolivari", "Pseudocellus reddelli", "Peucedanum officinale subsp. officinale", "Pseudocellus mitchelli", "Oreoselinum majus", "Pseudocellus seacus", "Picea brachytyla var. complanata", "Momordica charantia subsp. charantia", "Imperatoria ostruthium", "Peucedanum officinale subsp. paniculatum", "Picea brachytyla var. brachytyla", "Peristylus societatis", "Peristylus spathulatus", "Calodromus bambii", "Peristylus spiralis", "Peristylus staminodiatus", "Peristylus stenodon", "Peristylus subaphyllus", "Peristylus tentaculatus", "Ancistrobasis depressa", "Arhopala admete cora", "Pteryxia petraea", "Rhysopterus plurijugus", "Peristylus rindjaniensis", "Peristylus sahanii", "Peristylus secundus", "Peristylus setifer", "Peristylus silvicola", "Pseudocellus silvai", "Pseudocellus blesti", "Pseudocellus gertschi", "Pseudocellus cookei", "Althepus chengmenensis", "Althepus cheni", "Althepus gouci", "Althepus hongguangi", "Althepus phousalao", "Althepus qianhuang", "Althepus qingyuani", "Althepus sepakuensis", "Althepus xuae", "Althepus yizhuang", "Lomatium greenmanii", "Althepus duan", "Lomatium hallii", "Althepus duoji", "Althepus huoyan", "Lomatium hendersonii", "Althepus jiandan", "Althepus kuan", "Althepus lakmueangensis", "Althepus languensis", "Lomatium howellii", "Althepus muangensis", "Althepus qiqiu", "Althepus tuqi", "Althepus xianxi", "Lomatium foeniculaceum subsp. inyoense", "Lomatium foeniculaceum subsp. macdougalii", "Lomatium laevigatum", "Ostericum palustre", "Ochyrocera callaina", "Ochyrocera italoi", "Ochyrocera minotaure", "Ostericum sieboldii", "Rhynchozoon brasiliensis", "Ochyrocera losrios", "Ochyrocera zabaleta", "Apostasia fogangica", "Ochyrocera otonga", "Ochyrocera cashcatotoras", "Psiloochyrocera cajanuma", "Psiloochyrocera tortilis", "Turbicellepora iarae", "Microporella curta", "Celleporina joannae", "Marcusadorea pinheroi", "Dichoropetalum carvifolia", "Pseudocellus boneti", "Peristylus phuwuanensis", "Peristylus plantagineus", "Peristylus ponerostachys", "Pseudolathra brevincisa", "Pseudolathra villiersi", "Pseudolathra cordiformis", "Peristylus prainii", "Peristylus pseudophrys", "Peristylus reticulatus", "Peristylus richardianus", "Peristylus rigidus", "Paralepas tuberosa", "Pseudolathra sagittata", "Solanum sodiroi", "Pteroselinum austriacum", "Neritopsis radula", "Corallimorphus pilatus", "Corynactis californica", "Pyrofomes demidoffii", "Verbascum dieckianum", "Knautia dinarica", "Stilicoderus melancholicus", "Galium aegaeum", "Aetea cultrata", "Theotima radiata", "Biflustra marcusi", "Biflustra sphinx", "Theotima minutissima", "Oxypoda brachyptera", "Oxypoda tarda", "Speocera bioforestae", "Speocera violacea", "Speocera musgo", "Arbocuspis ramosa", "Ochyrocera machadoi", "Neolindus luciamans", "Neolindus brachati", "Ochyrocera rinocerotos", "Neolindus rudiculus", "Selinum silaifolium", "Pseudocellus osorioi", "Ligusticopsis wallichiana", "Pseudocellus dissimulans", "Pseudocellus paradoxus", "Seseli annuum subsp. annuum", "Alchemilla achtarowii", "Leclercera ocellata", "Leclercera spinata", "Leclercera negros", "Leclercera machadoi", "Alchemilla catachnoa", "Hieracium belogradcense", "Stachys leucoglossa", "Jurinea tzar-ferdinandii", "Agaricus bohusii", "Inonotus ulmicola", "Aurinia uechtritziana", "Limonium bulgaricum", "Thymelaea bulgarica", "Eranthis bulgaricus", "Seseli bulgaricum", "Klasea bulgarica", "Cortinarius bulliardii", "Neottiella albocincta", "Dicliptera montana", "Elymus varnensis", "Galium velenovskyi", "Boletus permagnificus", "Rugilus chinensis", "Rugilus brevior", "Rugilus bifidus", "Silene velcevii", "Astragalus wilmottianus", "Jellyella brasiliensis", "Althepus leucosternum", "Cortinarius violaceus", "Rugilus bihamatus", "Moehringia grisebachii", "Rugilus appendiculatus", "Anchusa davidovii", "Goniolimon dalmaticum", "Seseli degenii", "Verbascum decorum", "Seseli gummiferum subsp. gummiferum", "Cachrys libanotis", "Cachrys sicula", "Libanotis pyrenaica subsp. pyrenaica", "Cryptocellus glenoides", "Cryptocellus striatipes", "Cryptocellus isthmius", "Cryptocellus fagei", "Cryptocellus hanseni", "Pseudocellus barberi", "Cryptocellus emarginatus", "Cryptocellus magnus", "Pseudocellus pearsei", "Libanotis coreana", "Pseudocellus pelaezi", "Pseudocellus relictus", "Pseudocellus sbordonii", "Pseudocellus spinotibialis", "Pseudocellus abeli", "Hippomarathrum montanum subsp. montanum", "Amaxia rocioecheverriae", "Amaxia osmophora", "Amaxia josealfredohernandezi", "Amaxia alejandraloriae", "Seseli osseum", "Amaxia brendacasperae", "Baritius grandis", "Asthenosoma varium", "Echinus esculentus", "Echinus gilchristi", "Echinus melo", "Pycnopodia helianthoides", "Solaster dawsoni", "Colochirus robustus", "Colochirus quadrangularis", "Pseudocellus ignotus", "Pseudocellus permagnus", "Pseudocellus undatus", "Pseudocellus alux", "Pseudocellus aridus", "Pseudocellus cruzlopezi", "Pseudocellus monjarazi", "Pseudocellus olmeca", "Pseudocellus quetzalcoati", "Pseudocellus mayari", "Pseudocellus cubanicus", "Corallium rubrum", "Peristylus tenuicallus", "Myrmothera subcanescens", "Peristylus timorensis", "Munona iridescens", "Munona carolinepalmerae", "Munona robpuschendorfi", "Pseudocymopterus beckii", "Gorgonocephalus caputmedusae", "Astroboa nuda", "Erichthodes eremita", "Grallaricula leymebambae", "Tommasinia verticillaris", "Lobrathium bicornutum", "Lobrathium cornutum", "Lobrathium semicaeruleum", "Lobrathium unispinosum", "Lacosoma horii", "Lacosoma subrufescens", "Trinia glauca subsp. glauca", "Peristylus tipulifer", "Peristylus tobensis", "Peristylus tradescantiifolius", "Xylodonta terrena", "Xylodonta markvanputteni", "Xylodonta patrickgoodwilliei", "Xylodonta scottmilleri", "Lobrathium pustulatum", "Lobrathium alticola", "Lobrathium kosiense", "Xylodonta andrewrusselli", "Xylodonta robertodelgadoi", "Xylodonta billhaberi", "Xylodonta xylinata", "Pelochyta amyeaderae", "Ochrodota marina", "Ochrodota melaniamunozae", "Turuptiana obliqua", "Turuptiana annesmithae", "Tauschia kelloggii", "Actinote intensa", "Actinote johncoulsoni", "Cruziohyla sylviae", "Thysselinum palustre", "Leocephaluncus elianahenrichae", "Leocephaluncus rafaelangelespinozai", "Leocephaluncus boliviensis", "Leocephaluncus leucocorypha", "Thysanoprymna superba", "Thysanoprymna palmeri", "Heracleum sphondylium subsp. sphondylium", "Xylodonta rufitincta", "Xylodonta angustipennis", "Xylodonta guarana", "Solanum furcatum", "Smyrnium connatum", "Smyrnium perfoliatum subsp. perfoliatum", "Solanum hirtulum", "Baritius angelagonzalezae", "Baritius maribellealvarezae", "Baritius martajimenezae", "Seseli tortuosum subsp. tortuosum", "Pareuchaetes abbysmutnyae", "Pareuchaetes insulata", "Pareuchaetes misatlensis", "Pareuchaetes georgegormani", "Symphlebia tessellata", "Symphlebia janecheverriae", "Kirrostola stevearonsoni", "Pelochyta affinis", "Pelochyta umbrata", "Pelochyta cinerea", "Pelochyta timrichi", "Lobrathium biaculeatum", "Lobrathium cylindricolle", "Lobrathium emeiense", "Ahlbergia oppocoenosa", "Heracleum sphondylium var. nipponicum", "Pseudapistosia chimaera", "Pseudapistosia gigas", "Tennenta brandti", "Taxiarchis viridesoltar", "Biterolfa althea", "Biterolfa rana", "Biterolfa tinalandia", "Catasticta tricolor", "Catasticta tricolor tricolor", "Catasticta tricolor perija", "Catasticta tricolor rodriguezi", "Catasticta tricolor tomasi", "Leschenellus tubulatus", "Leschenellus cuccodoroi", "Leschenellus deharvengi", "Leschenellus solei", "Leschenellus perreaui", "Secchius besucheti", "Catasticta tricolor flava", "Devyatkinia singularis", "Devyatkinia unica", "Catasticta fulva", "Aporia tayiensis tayiensis", "Aporia tayiensis siyaoi", "Pastinaca pimpinellifolia", "Aporia wolongensis", "Pastinaca lucida", "Aporia wolongensis wolongensis", "Pastinaca sativa subsp. sativa", "Aporia wolongensis koiwayai", "Semenovia candicans", "Acanthocreagris foghesa", "Acanthocreagris grottoloi", "Acanthocreagris alguerensis", "Paratrichius coopertus", "Paratrichius dangngocvani", "Paratrichius diversus", "Euaspa zhengi", "Tordylium cordatum", "Lobrathium tuberosum", "Lobrathium schuelkei", "Chloraea multiflora", "Chloraea speciosa", "Salix wolfii", "Azorella spinosa", "Peristylus unguiculatus", "Azorella trifoliolata", "Peristylus wheatleyi", "Peristylus whistleri", "Azorella trifurcata", "Diposis saniculifolia", "Drusa glandulosa", "Gymnophyton isatidicarpum", "Homalocarpus bowlesioides", "Klotzschia glaziovii", "Azorella ruizii", "Nephelomilta effracta", "Azorella prolifera", "Azorella acaulis", "Azorella hookeri", "Azorella polaris", "Chloraea bella", "Chloraea bidentata", "Chloraea boliviana", "Lobrathium radens", "Lobrathium retrocarinatum", "Lobrathium feldmanni", "Lobrathium excisissimum", "Ussuriana fani zihaoi", "Lobrathium domenoides", "Lobrathium lamellatum", "Lobrathium partitum", "Lobrathium semiflavum", "Lobrathium cribricolle", "Lobrathium nudum", "Lobrathium amamiense", "Azorella monantha", "Azorella pedunculata", "Peristylus triaena", "Peristylus tricallosus", "Azorella selago", "Peristylus trimenii", "Peristylus umbonatus", "Lasianobia ferrobscura", "Actebia ficta", "Actinotus forsythii", "Actinotus laxus", "Catasticta fulva anaranjada", "Apiopetalum velutinum", "Catasticta frontina", "Catasticta frontina frontina", "Catasticta frontina muehlei", "Nephelomilta pseudoeffracta", "Nephelomilta klapperichi", "Nephelomilta pellucida", "Azorella schizeilema", "Nephelomilta babensis", "Nephelomilta karenkonis", "Azorella coriacea", "Nephelomilta angkorensis", "Nephelomilta pusilla", "Azorella volcanica", "Nephelomilta chalcedona", "Azorella ranunculus", "Catasticta philone", "Catasticta philone philone", "Catasticta philone florida", "Lobrathium varium", "Lobrathium indubium", "Catasticta modesta", "Lobrathium discrepans", "Catasticta modesta modesta", "Catasticta modesta goodsoni", "Catasticta modesta sachapuyo", "Catasticta chelidonis", "Catasticta chelidonis chelidonis", "Lathrobium kleebergi", "Drephalys dracarys", "Drephalys electrinus", "Drephalys citrinus", "Eumorphobotys eumorphalis", "Jebramella angusta", "Eumorphobotys concavuncus", "Eumorphobotys horakae", "Lasianobia dvoraki", "Catasticta zamorana", "Centella uniflora", "Centella triloba", "Medon jaljalensis", "Catasticta philone variabilis", "Catasticta philone grossana", "Catasticta philone ecuadora", "Catasticta philone stabilis", "Trisunius perpusillus", "Trisunius alesi", "Trisunius manasluensis", "Kretania trappi", "Chilades kedonga", "Catasticta suasa", "Catasticta suasa suasa", "Catasticta suasa pasis", "Catasticta nimbata", "Catasticta nimbata nimbata", "Catasticta nimbata pleione", "Catasticta nimbata philobata", "Cerithium echinatum", "Solanum nitidibaccatum", "Astrantia major subsp. major", "Alepidea capensis", "Oxypoda magnicollis", "Altiapa blancae", "Oxypoda schatzmayri", "Oxypoda lencinai", "Candalides brabyi", "Oxypoda gontarenkoi", "Oxypoda pungens", "Arctopus monacanthus", "Oxypoda kirghisica", "Candalides skotadi", "Astrantia bavarica", "Adelpha herbita herbita", "Adelpha herbita perdita", "Mycale laevis", "Nephelomilta suffusa", "Nephelomilta taprobana", "Nephelomilta sumatrana", "Nephelomilta sumatrana sumatrana", "Nephelomilta sumatrana effractoida", "Nephelomilta admiranda", "Nephelomilta kanchenjunga", "Nephelomilta wolfgangspeideli", "Nephelomilta ranau", "Nephelomilta bana", "Nephelomilta martini", "Nephelomilta thomaswitti", "Nephelomilta fangae", "Nephelomilta hortensis", "Nephelomilta hortensis hortensis", "Nephelomilta hortensis fansipana", "Nephelomilta melli", "Nephelomilta ferruginea", "Nephelomilta diehli", "Bowlesia tropaeolifolia", "Nephelomilta gulmargensis", "Bowlesia uncinata", "Amphisbaena kiriri", "Argiope butchko", "Catasticta suadela", "Catasticta smithia", "Freyeria trochylus", "Catasticta anaitis", "Freyeria trochylus formosanus", "Catasticta anaitis anaitis", "Freyeria trochylus orientalis", "Freyeria trochylus persa", "Freyeria trochylus trochylus", "Oxypoda platyptera", "Oxypoda attenuata", "Oxypoda referens", "Oxypoda luctifera", "Oxypoda apennina", "Oxypoda acutior", "Oxypoda gladiatoria", "Oxypoda amicta", "Oxypoda andalusiaca", "Oxypoda depressipennis", "Oxypoda transgressa", "Pareuptychia milleri", "Lasianobia labranga", "Lasianobia qinghani", "Lasianobia dasypolioides", "Atriplex nummularia subsp. omissa", "Atriplex nummularia subsp. spathulata", "Chloraea calantha", "Chloraea castillonii", "Chloraea cogniauxii", "Chloraea cuneata", "Chloraea curicana", "Chloraea deflexa", "Chloraea densipapillosa", "Chloraea disoides", "Chloraea disoides var. disoides", "Chloraea disoides var. picta", "Astrantia major subsp. involucrata", "Astrantia pauciflora", "Astrantia pauciflora subsp. pauciflora", "Chaetocneme richardsi", "Astrantia major subsp. biebersteinii", "Passadena mistralae", "Ragonotia campodonicoi", "Centromerus abditus", "Centromerus acutidentatus", "Centromerus albidus", "Oxypoda barbarica", "Oxypoda ludgeri", "Oxypoda constricta", "Eryngium aristulatum subsp. aristulatum", "Oxypoda hoelzeli", "Hermeuptychia clara", "Oxypoda nimbicola", "Oxypoda subnitida", "Oxypoda incurvata", "Pyrisitia euterpiformis", "Oxypoda imminuta", "Pyrisitia euterpiformis euterpiformis", "Oxypoda determinata", "Pyrisitia euterpiformis turlandi", "Oxypoda caespita", "Oxypoda carbonaria", "Eurema nicippiformis", "Aphrissa statira hispaniolae", "Eryngium bourgatii subsp. bourgatii", "Aphrissa orbis", "Aphrissa orbis orbis", "Aphrissa orbis browni", "Eryngium caucasicum", "Chamaesphecia montis", "Epocilla pakhtunkhwa", "Stenaelurillus mardanicus", "Picea engelmannii subsp. mexicana", "Stenaelurillus abramovi", "Picea engelmannii subsp. engelmannii", "Stenistoderus palustris", "Stenistoderus fuscipennis", "Goniurosaurus zhoui", "Langona albolinea", "Phanuelus gladstone", "Phlegra prasanna", "Sanvitalia acapulcensis", "Apocynum androsaemifolium subsp. androsaemifolium", "Microrasbora rubescens", "Stenaelurillus albus", "Stenaelurillus gabrieli", "Stenaelurillus albopunctatus", "Eryngium glomeratum subsp. glomeratum", "Stenaelurillus arambagensis", "Icius kumariae", "Allium linearifolium", "Allium koreanum", "Nosferattus discus", "Nosferattus aegis", "Nosferattus occultus", "Nosferattus ciliatus", "Nosferattus palmatus", "Goniurosaurus araneus", "Goniurosaurus luii", "Stenaelurillus guttiger", "Stenaelurillus hirsutus", "Stenaelurillus jocquei", "Stenaelurillus kronestedti", "Stenaelurillus latibulbis", "Neoxantholinus aequatorialis", "Stenaelurillus kavango", "Stenaelurillus modestus", "Stenaelurillus pecten", "Stenaelurillus specularis", "Hansenia forbesii", "Hansenia weberbaueriana", "Eryngium tricuspidatum subsp. tricuspidatum", "Eryngium triquetrum subsp. triquetrum", "Euthria cornea", "Solanum pseudospinosum", "Stenaelurillus darwini", "Evarcha dotatus", "Petagnaea gussonei", "Stenaelurillus sudanicus", "Stenaelurillus zambiensis", "Stenaelurillus uniguttatus", "Stenaelurillus nigricaudus", "Solanum pygmaeum", "Stenaelurillus pseudoguttatus", "Stenaelurillus senegalensis", "Stenaelurillus siyamae", "Stenaelurillus strandi", "Stenaelurillus termitophagus", "Psychilis olivacea", "Aelurillus ambiguus", "Goniurosaurus zhelongi", "Evarcha werneri", "Steganotaenia araliacea", "Althepus bamensis", "Althepus changmao", "Althepus dongnaiensis", "Althepus guan", "Althepus maechamensis", "Althepus menglaensis", "Althepus naphongensis", "Althepus natmataungensis", "Oxypoda hispanica", "Althepus phadaengensis", "Althepus shanhu", "Althepus suayaiensis", "Althepus tadetuensis", "Althepus tanhuang", "Althepus thanlaensis", "Althepus tharnlodensis", "Althepus viengkeoensis", "Oxypoda defossa", "Oxypoda annularis", "Oxypoda flavissima", "Oxypoda weiratheri", "Ero tenebrosa", "Heteropoda simoneallmannae", "Sicarius vallenato", "Agoreina sulciceps", "Amharina inopinata", "Amharina oculata", "Amharina hariolus", "Amharina trapeziceps", "Amharina kafwi", "Vilchura calderoni", "Neoxantholinus congoensis", "Nemesia asterix", "Neoxantholinus kibale", "Neoxantholinus superbus", "Oonops gavarrensis", "Neoxantholinus belinganus", "Epocilla sirohi", "Mogrus rajasthanensis", "Stenaelurillus bandama", "Stenaelurillus belihuloya", "Stenaelurillus brandbergensis", "Microafra minutissima", "Microafra congoana", "Stenistoderus ruandensis", "Stenistoderus africanus", "Stenistoderus bozo", "Stenistoderus ugandae", "Stenistoderus sibiti", "Stenistoderus mirabilis", "Stenistoderus punctatissimus", "Stenistoderus senegalensis", "Stenistoderus ikelanus", "Capeta tridens", "Virescentia viride-america", "Amatorculus stygius", "Gavarilla ianuzziae", "Gavarilla arretada", "Capeta cachimbo", "Amatorculus cristinae", "Ircinia colossa", "Psammocinia alba", "Niphates laminaris", "Amphimedon anastomosa", "Stelletta tethytimeata", "Aaptos lobata", "Murexsul octogonus", "Goniurosaurus liboensis", "Orthomiella pontis chouziensis", "Odorrana fengkaiensis", "Aporia harrietae", "Aporia harrietae harrietae", "Aporia harrietae jiziensis", "Aporia harrietae tawangensis", "Drosera albonotata", "Nepenthes monticola", "Drosera ultramafica", "Fusinus colus", "Nepenthes epiphytica", "Nepenthes gantungensis", "Nepenthes leonardoi", "Nepenthes palawanensis", "Solanum palitans", "Stenaelurillus jagannathae", "Hedyotis neesiana", "Thiania latibola", "Thiania tenuis", "Thyenula laxa", "Thyenula nelshoogte", "Thyenula wesolowskae", "Edilemma foraminifera", "Kalcerrytus edwardsi", "Kalcerrytus falcatus", "Kalcerrytus mberuguarus", "Kalcerrytus odontophorus", "Kalcerrytus rosamariae", "Kalcerrytus salsicha", "Kalcerrytus merretti", "Kalcerrytus amplexus", "Kalcerrytus filipi", "Kalcerrytus leonardi", "Kalcerrytus nauticus", "Romitia nigra", "Romitia albipalpis", "Romitia andina", "Romitia bahiensis", "Romitia colombiana", "Romitia juquiaensis", "Romitia ministerialis", "Romitia misionensis", "Romitia patellaris", "Evarcha similis", "Langelurillus alboguttatus", "Langelurillus difficilis", "Langelurillus furcatus", "Langelurillus manifestus", "Tanzania minutus", "Tanzania mkomaziensis", "Tanzania pusillus", "Mexcala macilenta", "Neaetha irreperta", "Pellenes cingulatus", "Pellenes modicus", "Phintella incerta", "Phlegra parvula", "Phlegra simplex", "Phlegra varia", "Stenistoderus morogorensis", "Stenaelurillus fuscatus", "Stenistoderus striolatus", "Stenaelurillus mirabilis", "Tusitala proxima", "Tusitala unica", "Stenistoderus subnitidiceps", "Xuriella prima", "Stenistoderus congoensis", "Stenistoderus minutus", "Yogetor bellus", "Stenistoderus usugarae", "Stenaelurillus furcatus", "Stenaelurillus glaber", "Stenaelurillus iubatus", "Stenaelurillus pilosus", "Stenaelurillus striolatus", "Stenaelurillus guttatus", "Zodarion berryi", "Notiomaso spei", "Cleghornia acuminata", "Beaumontia multiflora", "Psychilis buchii", "Psychilis cogniauxii", "Stenaelurillus fuscus", "Chinophrys pengi", "Foliabitus longzhou", "Parabathippus cuspidatus", "Parabathippus kiabau", "Parabathippus magnus", "Parabathippus shelfordi", "Colyttus robustus", "Emathis gombak", "Lagnus edwardsi", "Laufeia concava", "Laufeia eximia", "Epeus albus", "Epeus indicus", "Ghumattus primus", "Habrocestoides bengalensis", "Habrocestoides indicus", "Imperceptus minutus", "Psychilis correllii", "Psychilis dodii", "Psychilis domingensis", "Heliophanoides bhutanicus", "Heliophanoides epigynalis", "Heliophanoides spermathecalis", "Carrhotus malayanus", "Dexippus topali", "Nudobius hausbergianus", "Nudobius janaki", "Nudobius spinosus", "Nudobius naromoru", "Nudobius cavicola", "Aganosma cymosa var. cymosa", "Nudobius micropterus", "Aganosma heynei", "Jajpurattus incertus", "Madhyattus jabalpurensis", "Nudobius quadriceps", "Thrandina parocula", "Goleba lyra", "Massagris schisma", "Tomocyrba andasibe", "Parsonsia alboflavescens", "Parsonsia brownii", "Aphirape ancilla", "Phiale tristis", "Echites panduratus", "Anodendron affine", "Psychilis kraenzlinii", "Sulcusuchus erraini", "Microdevario kubotai", "Actinodendron arboreum", "Microdevario gatesi", "Actinodendron plumosum", "Isoaulactinia stelloides", "Phlyctenactis tuberculosa", "Actinostola callosa", "Marinellina flagellata", "Gambaquezonia itimana", "Gambaquezonia curioi", "Nudobius praecellens", "Nudobius abessinus", "Nudobius proximus", "Nudobius coloriventris", "Galianora bryicola", "Galianora sacha", "Nudobius africanus", "Nudobius subcorticalis", "Nudobius rhodesianus", "Nudobius mbotyianus", "Nudobius bartolozzii", "Pottsia laxiflora", "Nudobius congoensis", "Pseudemathis trifida", "Lepidemathis haemorrhoidalis", "Lepidemathis luisae", "Agorius marieae", "Epidelaxia maurerae", "Urceola rosea", "Phaeacius hampi", "Elytropus chilensis", "Echites umbellatus", "Echites yucutanensis", "Macropharynx pulchra", "Myrmarachne jajpurensis", "Orissania daitarica", "Pancorius darjeelingianus", "Pancorius submontanus", "Pancorius tagorei", "Phintella assamica", "Phintella bifurcata", "Phintella suknana", "Cionura erecta", "Nudobius rossii", "Nudobius alluaudi", "Nudobius alpestris", "Nudobius arambourgi", "Nudobius kenyanus", "Nudobius tenebrosus", "Nudobius cheranganicus", "Nudobius apterus", "Nudobius minutus", "Nudobius camerunensis", "Nudobius nigrocyaneus", "Nudobius burgeoni", "Nudobius euphorbiae", "Nudobius schlueteri", "Similaria enigmatica", "Jaluiticola hesslei", "Lathys mallorcensis", "Goniurosaurus sengokui", "Solanum tarderemotum", "Filistata pygmaea", "Scelidomachus socotranus", "Filistata lehtineni", "Filistata maguirei", "Stertinius borneensis", "Uroballus kinabalu", "Macropharynx peltata", "Psychilis atropurpurea", "Noegus niger", "Marma nigritarsis", "Zeteotomus congoensis", "Nannenus syrphus", "Nannenus lyriger", "Nannenus maughami", "Zeteotomus ukerewensis", "Nannenus siedleckii", "Nannenus menghaiensis", "Zeteotomus striolatus", "Zeteotomus ghanensis", "Zeteotomus schedli", "Zeteotomus gabonicus", "Zeteotomus ivorianus", "Afraflacilla ballarini", "Agorius tortilis", "Carrhotus sarahcrewsae", "Chinattus wengnanensis", "Homorocerus rufipennis", "Chinophrys mengyangensis", "Cocalus menglaensis", "Cosmophasis xiaolonghaensis", "Cytaea yunnanensis", "Gedea pinguis", "Gelotia zhengi", "Nudobius jeanneli", "Icius bamboo", "Pancorius latus", "Nudobius ontulili", "Nudobius altissimus", "Phintella lepidus", "Phintella sancha", "Ptocasius paraweyersi", "Gauropterus gedyei", "Gauropterus pustulatus", "Gauropterus africanus", "Afrus spegazzinii", "Parsonsia howeana", "Afrus collarti", "Parsonsia leichhardtii", "Parsonsia lenticellata", "Microfilistata ovchinnikovi", "Microfilistata tyshchenkoi", "Parsonsia velutina", "Psychilis krugii", "Microfilistata magalhaesi", "Psychilis macconnelliae", "Parsonsia largiflorens", "Psychilis monensis", "Psychilis rubeniana", "Parsonsia larcomensis", "Psychilis truncata", "Psychilis vernicosa", "Psychilis \u00d7 raganii", "Psychilis \u00d7 tudiana", "Zaitunia darreshurii", "Zaitunia zagrosica", "Thyreocephalus coeruleipennis", "Thyreocephalus subcorticalis", "Thyreocephalus raptor", "Thyreocephalus basilewskyi", "Thyreocephalus occidentalis", "Egretta subfluvia", "Thyreocephalus interocularis", "Thyreocephalus guineensis", "Phiale mimica", "Phiale crocea", "Phiale bulbosa", "Phiale ortrudae", "Lepidemathis sericea", "Lepidemathis unicolor", "Paratrachelas maculatus", "Nudobius tanzanicus", "Nudobius bipustulatus", "Paratrachelas acuminus", "Nudobius pictipennis", "Nudobius schedli", "Nudobius kikyo", "Nudobius asymetricus", "Nudobius magrinii", "Gauropterus abactus", "Gauropterus abessinus", "Gauropterus nasutus", "Gauropterus evansi", "Gauropterus zimbabwae", "Gauropterus zambianus", "Gauropterus hauseri", "Meharia rolandi", "Bogdocosa kronebergi", "Pardosa abagensis", "Pardosa aciculifera", "Pardosa aenigmatica", "Pardosa alasaniensis", "Pardosa alticola", "Pardosa paleata", "Pardosa nostrorum", "Pardosa kavango", "Pardosa thompsoni", "Haplodrassus caspius", "Agroeca agrestis", "Agyneta bulavintsevi", "Thyreocephalus liberianus", "Thyreocephalus zuluensis", "Thyreocephalus ferox", "Prestonia coalita", "Prestonia erecta", "Lycosoides lehtineni", "Malthonica pseudolyncea", "Ecuadattus elongatus", "Ecuadattus napoensis", "Ecuadattus pichincha", "Ecuadattus typicus", "Gastropholis echinata", "Celestus stenurus", "Stenocercus caducus", "Leiocephalus raviceps", "Leiocephalus macropus", "Leiocephalus melanochlorus", "Solanum umalilaense", "Prestonia tomentosa", "Pachypodium rosulatum subsp. rosulatum", "Mandevilla illustris", "Dendrobium prasinum", "Sorex navigator", "Sorex albibarbis", "Bachia pallidiceps", "Amphisbaena camura", "Micrurus pyrrhocryptus", "Bothrops diporus", "Chamaesaura macrolepis", "Cophoscincopus durus", "Odontadenia sect.", "Dorstenia barnimiana", "Pseudogonatodes peruvianus", "Phyllodactylus transversalis", "Phyllodactylus sentosus", "Phyllodactylus pumilus", "Microdevario microphthalma", "Phyllodactylus pulcher", "Thyreocephalus ater", "Thyreocephalus tsingidianus", "Thyreocephalus africanus", "Thyreocephalus pseudoafricanus", "Thyreocephalus pilosus", "Thyreocephalus secretus", "Kibatalia arborea", "Malouetia arborea", "Malouetia glandulifera", "Neobracea ekmanii", "Pachypodium brevicaule subsp. brevicaule", "Forsteronia refracta", "Forsteronia spicata", "Forsteronia velloziana", "Amphidraus complexus", "Belliena ecuadorica", "Chapoda angusta", "Chapoda fortuna", "Chapoda gitae", "Ilargus foliosus", "Ilargus galianoae", "Ilargus macrocornis", "Ilargus moronatigus", "Ilargus pilleolus", "Ilargus serratus", "Maeota dorsalis", "Maeota flava", "Maeota simoni", "Soesilarishius micaceus", "Soesilarishius ruizi", "Tylogonus parvus", "Tylogonus yanayacu", "Dendrochilum glumaceum", "Glenognatha osawai", "Pachygnatha monticola", "Gravelyia excavatus", "Gravelyia striatus", "Erythrolamprus pyburni", "Anyphaena yoshitakei", "Zygiella hiramatsui", "Bachia guianensis", "Thyreocephalus brunneiventris", "Thyreocephalus atlanticus", "Thyreocephalus strinatii", "Pterinochilus alluaudi", "Pterinochilus chordatus", "Pterinochilus lugardi", "Mandevilla longiflora", "Mandevilla moricandiana", "Mandevilla myriophylla", "Mandevilla novocapitalis", "Mandevilla petraea", "Astralium calcar", "Astraea heliotropium", "Metridium senile", "Preactis millardae", "Anthothoe chilensis", "Thyreocephalus mokaensis", "Thyreocephalus pallidus", "Thyreocephalus burgeoni", "Thyreocephalus ugandensis", "Thyreocephalus leonensis", "Thyreocephalus camerunensis", "Thyreocephalus marginipennis", "Thyreocephalus konduensis", "Thrixspermum pensile", "Thyreocephalus mocquerysi", "Thyreocephalus lolaensis", "Mandevilla convolvulacea", "Thyreocephalus gabonensis", "Thyreocephalus semipiceus", "Utricularia ochroleuca", "Gnathopalystes taiwanensis", "Heteropoda pingtungensis", "Mascaraneus remotus", "Eleutherodactylus diplasius", "Pterinochilus simoni", "Pterinochilus vorax", "Augacephalus breyeri", "Augacephalus junodi", "Idiothele nigrofulvus", "Trichognathella schoenlandi", "Atriplex bolusii", "Macrozamia machinii", "Eucratoscelus constrictus", "Eucratoscelus pachypus", "Selenocosmia arndsti", "Selenops brachycephalus", "Thyreocephalus manfredi", "Thyreocephalus nairobiensis", "Tegenaria maelfaiti", "Strophanthus ledienii", "Actium riobuffaloensis", "Bibloplectus baylessae", "Bibloplectus bossartae", "Bibloplectus faulknerensis", "Bibloplectus ferroi", "Bibloplectus kylei", "Bibloplectus integer", "Taira decorata", "Taira cangshan", "Taira concava", "Odontadenia sect.", "Taira latilabiata", "Taira obtusa", "Taira liboensis", "Taira sulciformis", "Odontadenia sect.", "Evarcha crinita", "Pellenes lucidus", "Salticus afghanicus", "Anolis cybotes", "Anolis pentaprion", "Anolis limifrons", "Anolis poecilopus", "Thyreocephalus paraferox", "Anolis vittigerus", "Thyreocephalus alluaudi", "Anolis tropidogaster", "Thyreocephalus meridionalis", "Selenops zuluanus", "Alafia parciflora", "Selenops cabagan", "Selenops iberia", "Selenops caney", "Selenops canasta", "Tantilla johnsoni", "Selenops imias", "Ephedra gerardiana var. sikkimensis", "Selenops siboney", "Selenops rosario", "Selenops ecuadorensis", "Selenops cocheleti", "Selenops comorensis", "Selenops ollarius", "Cnemidophorus gramivagus", "Gastrorchis villosa", "Coleonyx reticulatus", "Gastrorchis lutea var. geffrayi", "Bayerotrochus midas", "Haliotis asinina", "Plesiotrochus souverbianus", "Plesiotrochus monachus", "Cerithium nodulosum", "Scotophaeus dolanskyi", "Apostenus crespoi", "Bucinozomus hortuspalmarum", "Dysdera mordax", "Enoplognatha diversa", "Oedothorax fuscus", "Liocranum inornatum", "Liotyphlops argaleus", "Geodia alba", "Alexyrea ovaliceps", "Alexyrea zairensis", "Alexyrea pholeophila", "Alexyrea mandibularis", "Alexyrea transkeiana", "Pardosa tuberosa", "Amaurobius phaeacus", "Amaurobius pesarinii", "Amaurobius pelops", "Amaurobius paon", "Amaurobius ossa", "Amaurobius candia", "Agroeca parva", "Exomis microphylla var. axyrioides", "Anagraphis ochracea", "Pardosa adustella", "Odontadenia puncticulosa", "Pardosa albatula", "Pardosa angolensis", "Pardosa bendamira", "Pardosa chahraka", "Pardosa chindanda", "Secondatia densiflora", "Draposa atropalpis", "Stipecoma peltigera", "Draposa lyrivulva", "Thyrsanthella difformis", "Microdevario nanus", "Cardites antiquatus", "Caryophyllia smithii", "Heterocyathus aequicostatus", "Desmophyllum dianthus", "Thyreocephalus meridioafricanus", "Thyreocephalus minutus", "Thyreocephalus magnus", "Selenops intricatus", "Thyreocephalus michaeli", "Thyreocephalus giganteus", "Thyreocephalus fortepunctatus", "Selenops kruegeri", "Thyreocephalus clipeatus", "Selenops lesnei", "Mandevilla torosa", "Selenops ovambicus", "Gyrohypnus rougemonti", "Gyrohypnus paramerum", "Gyrohypnus ugandensis", "Selenops pygmaeus", "Gyrohypnus tropicus", "Mandevilla vanheurckii", "Gyrohypnus stercorosus", "Gyrohypnus shimba", "Gyrohypnus remotus", "Gyrohypnus leopoldinus", "Selenops sabulosus", "Selenops tenebrosus", "Selenops zairensis", "Amaurobius lesbius", "Amaurobius antipovae", "Juncus gerardi subsp. gerardi", "Amaurobius asuncionis", "Amaurobius ausobskyi", "Rhabdadenia madida", "Draposa nicobarica", "Draposa oakleyi", "Draposa porpaensis", "Draposa subhadrae", "Draposa tenasserimensis", "Belinga africana", "Belinga chadiana", "Pardosa parathompsoni", "Aleutia insularis", "Aleutia marginella", "Cycladenia humilis var. humilis", "Aleutia luteipennis", "Aleutia kenyana", "Pardosa ilgunensis", "Capesia amatolensis", "Odontadenia anomala", "Pardosa birmanica", "Pardosa elegantula", "Asclepias albens", "Poliosia pulverea", "Poliosia punctivena", "Poliosia quadrifida", "Poliosia rectilinea", "Asclepias asperula subsp. asperula", "Asclepias asperula subsp. capricornu", "Anabarilius andersoni", "Spiranthes aestivalis", "Cerianthus membranaceus", "Anabarilius polylepis", "Chorizopesoides wulingensis", "Chorizopesoides orientalis", "Kentropyx vanzoi", "Asclepias californica subsp. californica", "Neusticurus medemi", "Oedignatha affinis", "Helicops yacu", "Oedignatha albofasciata", "Oedignatha aleipata", "Oedignatha andamanensis", "Pritha nicobarensis", "Pholcus kapuri", "Notolinopsis microps", "Notolinopsis bambusianus", "Notolinopsis montanus", "Lepidozonates landryi", "Torodora longidiscalis", "Homaloxestis lactarius", "Lecithocera pahiaensis", "Euxoa apopsis", "Euxoa chimoensis", "Euxoa muldersi", "Capesia rudebecki", "Euxoa steideli", "Euxoa kodara", "Euxoa hyperborea", "Stephanostema stenocarpum", "Poliosia cardamomensis", "Poliosia pseudoconcolora", "Poliosia brunnea", "Poliosia albida", "Poliosia bifida", "Notolinopsis afromontanus", "Poliosia concolora", "Poliosia cubitifera", "Poliosia fragilis", "Asclepias adscendens", "Notolinopsis crateris", "Poliosia marginata", "Poliosia muricolor", "Draposa zhanjiangensis", "Pardosa miquanensis", "Pardosa longionycha", "Pardosa nanyuensis", "Zelotes abdurakhmanovi", "Zelotes gussakovskyi", "Hippasa valiveruensis", "Pardosa gopalai", "Trochosa gunturensis", "Houshenzinus tengchongensis", "Kaestneria valentissima", "Paikiniana operta", "Liotyphlops caissara", "Gongylidioides diellipticus", "Paikiniana biceps", "Liotyphlops haadi", "Philodromus rikhteri", "Chorizopes albus", "Chorizopes longus", "Chorizopes antongilensis", "Chorizopes madagascariensis", "Chorizopes goosus", "Chorizopes anjanes", "Chorizopes dicavus", "Chorizopes tumens", "Asclepias brevipes", "Chorizopes calciope", "Chorizopes congener", "Chorizopes kastoni", "Liuyelis camponotophila", "Chorizopes khandaricus", "Chorizopes khanjanes", "Chorizopes khedaensis", "Chorizopes pateli", "Chorizopes mucronatus", "Chorizopes quadrituberculata", "Chorizopes rajanpurensis", "Chorizopes shimenensis", "Chorizopes stoliczkae", "Chorizopes tikaderi", "Chorizopes trimamillatus", "Chorizopes zepherus", "Notolinopsis afrus", "Notolinopsis lesotho", "Notolinopsis submontanus", "Notolinopsis uncinatus", "Notolinopsis lungweianus", "Notolinopsis congoanus", "Notolinopsis polygonalis", "Notolinopsis uviranus", "Theridion indicum", "Notolinopsis hanstroemi", "Notolinopsis reticulatus", "Notolinopsis oosthuizeni", "Meotipa andamanensis", "Notolinopsis fallax", "Notolinopsis brunneus", "Notolinopsis sphaericus", "Notolinopsis bispinosus", "Argyrodes chiriatapuensis", "Notolinopsis niger", "Notolinopsis magnus", "Notolinopsis nquadu", "Notolinopsis meridionalis", "Achaearanea diglipuriensis", "Notolinopsis peninsularis", "Notolinopsis oceanicus", "Asclepias cryptoceras subsp. cryptoceras", "Notolinopsis nidorum", "Tetragnatha andamanensis", "Notolinopsis angolanus", "Notolinopsis capensis", "Cyclosa neilensis", "Singa haddooensis", "Phaeocedus nicobarensis", "Aspidoscelis gularis colossus", "Asclepias eminens", "Spiranthes lucida", "Cheiracanthium turiae", "Clubiona nicobarensis", "Pseudicius andamanius", "Plexippus andamanensis", "Marpissa kalapani", "Phidippus yashodharae", "Fecenia protensa", "Oedignatha barbata", "Oedignatha bicolor", "Oedignatha binoyii", "Oedignatha bucculenta", "Hypsiglena tanzeri", "Oedignatha canaca", "Oedignatha carli", "Solanum sect.", "Cynorkis flexuosa", "Cynorkis flexuosa var. flexuosa", "Cynorkis flexuosa var. bifoliata", "Bachia huallagana", "Anabarilius grahami", "Oedignatha poonaensis", "Oedignatha proboscidea", "Oedignatha raigadensis", "Camaricus bipunctatus", "Myrmarachne dirangicus", "Oedignatha shillongensis", "Phyllodactylus bugastrolepis", "Notolinopsis swartbergensis", "Notolinopsis hawequas", "Phyllodactylus partidus", "Notolinopsis latitarsis", "Notolinopsis spinosus", "Notolinopsis silvestris", "Notolinopsis twello", "Linosomus bifurcatus", "Linosomus septentrionalis", "Linosomus tenuicornis", "Linosomus endroedyi", "Anotosaura vanzolinia", "Rhachisaurus brachylepis", "Cavisternum bom", "Asclepias solanoana", "Lethe albolineata albolineata", "Lethe albolineata ruoyuae", "Lethe luojiani", "Parides anchises capurgana", "Parides iphidamas uraba", "Parides iphidamas angustus", "Mimoides pausanias pausanias", "Clanculus corallinus", "Ptilotus unguiculatus", "Oedignatha coriacea", "Oedignatha dentifera", "Oedignatha escheri", "Oedignatha lesserti", "Oedignatha microscutata", "Oedignatha tricuspidata", "Oedignatha uncata", "Oedignatha ferox", "Oedignatha rugulosa", "Oedignatha scrobiculata", "Asclepias fallax", "Asclepias fulva", "Oedignatha flavipes", "Oedignatha gulosa", "Oedignatha major", "Oedignatha montigena", "Asclepias gibba", "Oedignatha procerula", "Asclepias gibba var. gibba", "Oedignatha retusa", "Oedignatha sima", "Oedignatha striata", "Oedignatha indica", "Oedignatha jocquei", "Oedignatha mogamoga", "Oedignatha platnicki", "Parnassius romanovi kabiri", "Parnassius romanovi marusya", "Parnassius romanovi alraschid", "Phyllodactylus insularis", "Parnassius romanovi platon", "Phyllodactylus duellmani", "Phyllodactylus paucituberculatus", "Parnassius romanovi vaporosus", "Phyllodactylus davisi", "Phyllodactylus nocticolus", "Oxyopes tikaderi", "Oedignatha spadix", "Koppe montana", "Koppe minuta", "Koppe kinabalensis", "Koppe princeps", "Koppe baerti", "Koppe no", "Koppe calciphila", "Koppe kuntneri", "Koppe doleschalli", "Koppe sumba", "Koppe armata", "Koppe radiata", "Asclepias incarnata subsp. incarnata", "Koppe tinikitkita", "Eriovixia nigrimaculata", "Eriovixia huwena", "Eriovixia jianfengensis", "Diadumene leucolena", "Diadumene lineata", "Grymeus robertsi", "Grymeus yanga", "Grymeus barbatus", "Grymeus dharmapriyai", "Ischnothyreus chippy", "Opopaea spinosiscorona", "Pelicinus snooky", "Pelicinus tumpy", "Silhouettella saaristoi", "Silhouettella snippy", "Silhouettella tiggy", "Euthalia caii", "Cynorkis alborubra", "Cynorkis aconitiflora", "Cynorkis baronii", "Solanum homalospermum", "Solanum mortonii", "Solanum houstonii", "Pentagonaster duebeni", "Anabarilius alburnops", "Asclepias praemorsa", "Gomphocarpus glaucophyllus", "Gomphocarpus tomentosus subsp. tomentosus", "Kanahia laniflora", "Mimoides pausanias ruber", "Asclepias tuberosa subsp. tuberosa", "Archonias brassolis", "Archonias brassolis radiata", "Archonias brassolis brassolis", "Catasticta philone pastuza", "Asclepias uncialis subsp. uncialis", "Catasticta prioneris obscura", "Catasticta prioneris palanda", "Hyalyris coeno", "Hyalyris coeno coeno", "Hyalyris coeno triunfo", "Velamysta perlucens", "Altinote santamarta", "Heliconius hecuba marmol", "Heliconius hecuba meridianus", "Parnassius romanovi aenigma", "Parnassius romanovi eugenia", "Parnassius romanovi varvara", "Laminacauda argentinensis", "Cynorkis purpurascens", "Cynorkis lowiana", "Laminacauda thayerae", "Cynorkis villosa", "Laminacauda parvipalpis", "Muscari forniculatum", "Eulophia ecristata", "Blepharis grossa", "Micrurus isozonus sandneri", "Dendronephthya klunzingeri", "Maasella edwardsi", "Gorgonia flabellum", "Linosomus mhlanlanensis", "Portacosa cinerea", "Minyriolus australis", "Gongylidiellum uschuaiense", "Metocinus vulcanius", "Metocinus kahuzi", "Metocinus longiphallus", "Neriene fuegiana", "Metocinus parvioculatus", "Metocinus kivuensis", "Metocinus submontanus", "Metocinus mikeno", "Metocinus rubellianus", "Metocinus nyakasiba", "Metocinus luiko", "Metocinus silvanus", "Metocinus monticolus", "Metocinus katondi", "Cynorkis gibbosa", "Laminacauda diffusa", "Cynorkis gigas", "Gomphocarpus fruticosus subsp. fruticosus", "Laminacauda newtoni", "Scolecura propinqua", "Scolecura parilis", "Scolecura cognata", "Stathmostelma fornicatum", "Stathmostelma fornicatum subsp. fornicatum", "Scolecura cambara", "Microloma calycinum", "Microloma sagittatum", "Microloma tenuifolium", "Ostearius muticus", "Sarcochilus ceciliae", "Sarcochilus fitzgeraldii", "Sarcochilus hirticalcar", "Pergularia daemia subsp. daemia", "Metocinus afromontanus", "Metocinus virunga", "Metocinus reductus", "Metocinus sabinyo", "Metocinus leleupi", "Metocinus bambusianus", "Metocinus rufulus", "Metocinus kinola", "Metocinus lupanganus", "Metocinus bafut", "Metocinus meridionalis", "Metocinus rwandensis", "Metocinus elegantissimus", "Metocinus longelytratus", "Solenostemma oleifolium", "Metocinus tanzanicus", "Metocinus urungwa", "Metocinus buye", "Metocinus anomalus", "Metocinus cianferonii", "Laminacauda peruensis", "Laminacauda monticola", "Laminacauda boliviensis", "Laminacauda dentichelis", "Laminacauda maxima", "Laminacauda insulana", "Laminacauda luscinia", "Laminacauda tristani", "Oxystelma bornouense", "Laminacauda plagiata", "Pachycarpus schinzianus", "Pachycarpus asperifolius", "Laminacauda fuegiana", "Laminacauda grata", "Laminacauda suavis", "Laminacauda sublimis", "Laminacauda expers", "Laminacauda dysphorica", "Phos temperatus", "Cheilea equestris", "Cyrtarachne menghaiensis", "Singa cruciformis", "Cynanchum acutum subsp. acutum", "Cynanchum annularium", "Cynanchum compactum", "Cynanchum dalhousiae", "Pardosa daqingshanica", "Sarcochilus argochilus", "Sarcochilus australis", "Argiope jinghongensis", "Sarcochilus borealis", "Paralepas typica", "Sarcochilus chrysanthus", "Sarcochilus dilatatus", "Sarcochilus gildasii", "Sarcochilus hartmannii", "Sarcochilus hillii", "Sarcochilus hillii var. hillii", "Sarcochilus hillii var. thycola", "Jujubinus escondidus", "Jujubinus geographicus", "Jujubinus guphili", "Jujubinus hubrechti", "Homalopoma sanguineum", "Calliostoma zizyphinum", "Phasianella australis", "Solanum watneyi", "Solanum jobsonii", "Cynanchum acutum subsp. sibiricum", "Khorata bachma", "Cynanchum tunicatum", "Solanum insanum", "Sarcochilus rarus", "Sarcochilus serrulatus", "Ansiea tuckeri thomensis", "Sarcochilus spathulatus", "Sarcochilus tricalliatus", "Cynanchum phillipsonianum", "Sarcochilus uniflorus", "Sarcochilus weinthalii", "Anabarilius yangzonensis", "Muscari heldreichii", "Metocinus muzambai", "Metocinus ocliferius", "Metocinus illaetabilis", "Metocinus punctatus", "Metocinus minutissimus", "Metocinus sparsepunctatus", "Metocinus bobiri", "Metocinus sclerophyllicus", "Cynanchum junciforme", "Metocinus pseudokiymbi", "Metocinus lomaensis", "Thomisops altus", "Thomisus eminulus", "Cynanchum marnierianum", "Sarcochilus iboensis", "Sarcochilus koghiensis", "Ansiea buettikeri", "Sarcochilus odoratus", "Ansiea tuckeri", "Sarcochilus parviflorus", "Ansiea tuckeri tuckeri", "Cynanchum guehoi", "Neurergus derjugini", "Lycopus longissimus", "Lysiteles furcatus", "Lysiteles leptosiphus", "Oxytate multa", "Ozyptila biprominula", "Angaeus liangweii", "Angaeus lenticulosus", "Metocinus usaensis", "Metocinus aethiops", "Metocinus lusinganus", "Metocinus uluguru", "Metocinus bilemniscatus", "Metocinus allardi", "Metocinus arboreus", "Metocinus pseudocephalicus", "Metocinus cephalicus", "Metocinus fluviatilis", "Metocinus zambianus", "Metocinus lungwe", "Metocinus brunneus", "Laminacauda sacra", "Laminacauda gigas", "Laminacauda tuberosa", "Laminacauda ansoni", "Laminacauda magna", "Laminacauda rubens", "Laminacauda villagra", "Laminacauda malkini", "Laminacauda propinqua", "Laminacauda cognata", "Laminacauda nana", "Laminacauda salsa", "Laminacauda aluminensis", "Laminacauda montevidensis", "Laminacauda tucumani", "Laminacauda amabilis", "Triplogyna major", "Triplogyna ignitula", "Sarcochilus falcatus", "Pachycarpus concolor", "Pachycarpus concolor subsp. concolor", "Laminacauda vicana", "Laminacauda defoei", "Metocinus mlozilozi", "Metocinus kidundanus", "Metocinus lucidus", "Metocinus blukwa", "Metocinus zairensis", "Metocinus microps", "Metocinus afroalpestris", "Metocinus hagenianus", "Metocinus congoensis", "Metocinus confectus", "Metocinus montanellus", "Laminacauda baerti", "Metocinus flavens", "Ranella olearium", "Ranella australasia", "Cymatium femorale", "Tmarus menglae", "Lysiteles dianicus", "Lysiteles kunmingensis", "Ebelingia hubeiensis", "Cynanchum daltonii", "Nornalup afoveatus", "Nornalup quadratus", "Nornalup minusculus", "Sinothomisus hainanus", "Alcimochthes melanophthalmus", "Lycopus primus", "Oxytate capitulata", "Borboropactus brevidens", "Borboropactus edentatus", "Borboropactus longidens", "Stutzia cordiformis", "Borboropactus bituberculatus", "Cynanchum floribundum", "Phacophallus insularis", "Phacophallus afrus", "Phacophallus bangoranus", "Festucula australis", "Matelea pavonii", "Festucula festuculaeformis", "Phacophallus politus", "Phacophallus unispinosus", "Phacophallus xanthopygus", "Phacophallus nigerianus", "Matelea warscewiczii", "Phacophallus sudanensis", "Phacophallus mirus", "Matelea yucatanensis", "Phacophallus ghanensis", "Phacophallus sahariensis", "Evarcha karas", "Matelea hispida", "Heliophanus tenuitas", "Langelurillus namibicus", "Langelurillus sibandai", "Langona fusca", "Langona sabulosa", "Langona tortuosa", "Plexippus lutescens", "Plexippus tsholoshto", "Pseudicius matabelensis", "Hyllus africanus", "Hyllus congoensis", "Hyllus leucomelas", "Hyllus plexippoides", "Hyllus treleaveni", "Paraspiculatus catrea", "Pristobaeus taveuniensis", "Pristobaeus vanuaensis", "Pristobaeus vitiensis", "Mexcala caerulea", "Phacophallus uhligi", "Phacophallus erythraeus", "Phacophallus elaeis", "Phacophallus elephantorum", "Phacophallus congoensis", "Matelea orthosioides", "Solanum caatingae", "Solanum ossicruentum", "Gonolobus suberosus var. suberosus", "Macroscepis urceolata", "Pancorius armatus", "Pancorius cadus", "Pancorius urnus", "Anabarilius maculatus", "Ibatia rubra", "Cembalea hirsuta", "Matelea carolinensis", "Vincetoxicum hirsutum", "Ibatia cumanensis", "Tripleurospermum froedinii", "Khorata cucphuong", "Khorata vinhphuc", "Khorata palace", "Khorata quangbinh", "Cynanchum viminale subsp. viminale", "Cynanchum boveanum", "Cynanchum boveanum subsp. boveanum", "Cynanchum insipidum", "Cynanchum pulchellum", "Bavirecta flavopuncta", "Bavirecta exilis", "Brancus calebi", "Schenkelia aurantia", "Schenkelia benoiti", "Schenkelia ibadanensis", "Cynanchum insigne", "Cynanchum socotranum", "Schenkelia lesserti", "Schenkelia modesta", "Cynanchum stoloniferum", "Metocinus katanganus", "Metocinus leonensis", "Metocinus kiymbi", "Phintella lajuma", "Metocinus denkalensis", "Metocinus gambicus", "Pseudicius squamatus", "Metocinus fulvus", "Metocinus kolwezi", "Metocinus angolanus", "Metocinus visiki", "Afraflacilla zuluensis", "Endymathis namibiana", "Endymathis aethiopica", "Endymathis belingana", "Endymathis arenicola", "Endymathis minuta", "Endymathis tenuis", "Hasarius firmus", "Endymathis gabonica", "Hasarius tropicus", "Fischeria scandens", "Ohilimia laensis", "Cytaea taveuniensis", "Tripleurospermum anchialense", "Aplustrum amplustre", "Pupa solidula", "Anabarilius qiluensis", "Psenuc dependens", "Pseudicius gracilis", "Afraflacilla karinae", "Cembalea affinis", "Evarcha brinki", "Evarcha flagellaris", "Evarcha vittula", "Icius pulchellus", "Langona hirsuta", "Langona lotzi", "Microbianor globosus", "Cynanchum vanlessenii", "Thiratoscirtus mastigophorus", "Thiratoscirtus perspicuus", "Menemerus nigli", "Thiratoscirtus procerus", "Thiratoscirtus atakpa", "Thiratoscirtus efik", "Afromarengo plana", "Belippo pulchra", "Dendryphantes matumi", "Dendryphantes neethlingi", "Habrocestum auricomum", "Hasarinella disitncta", "Metocinus dissimilis", "Metocinus levasseuri", "Langelurillus cedarbergensis", "Metocinus cavernicolus", "Metocinus rhodesianus", "Metocinus muye", "Microbianor furcatus", "Metocinus fimbriatus", "Festucula haddadi", "Schubertia multiflora", "Festucula leroyae", "Festucula robustus", "Festucula lawrencei", "Festucula lineata", "Festucula vermiformis", "Ampelamus ligulatus", "Ampelamus laevis", "Heriaeus allenjonesi", "Solanum michaelis", "Solanum woodii", "Solanum graciliflorum", "Solanum poka", "Solanum subg.", "Oxypetalum arnottianum", "Oxypetalum banksii", "Solanum africanum", "Oxypetalum coccineum", "Oxypetalum commersonianum", "Oxypetalum crispum", "Solanum betroka", "Oxypetalum erectum", "Oxypetalum erectum subsp. erectum", "Dermechinus horridus", "Oxypetalum macrolepis", "Oxypetalum microphyllum", "Booloumba inflatacephalus", "Oxypetalum pannosum", "Oxypetalum pannosum var. pannosum", "Philibertia gilliesii", "Barjonia cymosa", "Barjonia laxa", "Heriaeus antoni", "Heriaeus copricola", "Blepharodon reflexum", "Heriaeus crassispinus", "Heriaeus foordi", "Heriaeus latifrons", "Ditassa oxyphylla", "Heriaeus madagascar", "Heriaeus muizenberg", "Ditassa crassifolia", "Heriaeus peterwebbi", "Heriaeus sossusvlei", "Heriaeus transvaalicus", "Heriaeus xanderi", "Heriaeus zanii", "Bundjulung mercurius", "Oxypetalum sylvestre", "Vincetoxicum indicum var. indicum", "Elapheia inusualis", "Elapheia aethiopica", "Elapheia nigeriana", "Elapheia helvenaca", "Elapheia subaequatorialis", "Elapheia meridionalis", "Byziniella nigromontis", "Vincetoxicum ascyrifolium", "Triomicrus aculeus", "Leptadenia pyrotechnica", "Leptadenia lanceolata", "Odo ariguanabo", "Odo tulum", "Zorocrates guerrerensis", "Misumenoides obesulus", "Fuchibotulus kigelia", "Dendrelaphis sinharajensis", "Poachelas striatus", "Poachelas montanus", "Poachelas solitarius", "Tosanoides aphrodite", "Poachelas refugus", "Xanthophius pennatus", "Xanthophius usaensis", "Xanthophius angolanus", "Xanthophius africanus", "Cembalea triloris", "Minaria decussata", "Balchis abessina", "Balchis balensis", "Balchis microptera", "Balchis alpica", "Peplonia bradeana", "Agaporina encephala", "Agaporina elgonensis", "Senecio bombayensis", "Orthosia scoparia", "Pseudicius maculatus", "Funastrum cynanchoides", "Psenuc solitarius", "Rhene lingularis", "Funastrum flavum", "Tanzania meridionalis", "Chedimanops eskovi", "Muscari longipes subsp. longipes", "Chedimanops rwenzorensis", "Hybosidella etinde", "Muscari longipes subsp. negevense", "Afromarengo bimaculata", "Batraxis tuberculata", "Batraxis frontalis", "Batraxis robusta", "Batraxis gloriosa", "Batraxis antennata", "Batraxis longicornis", "Batraxis gesar", "Batraxis longithorax", "Batraxis nanlingensis", "Clinopodium album", "Solanum humblotii", "Vincetoxicum katoi", "Riocreuxia torulosa", "Batraxis yifan", "Batraxis ziyueae", "Asemonea amatola", "Asemonea clara", "Asemonea bimaculata", "Padilla rhizophorae", "Padilla armata", "Microhemidiscia ortmanni", "Hortipes platnicki", "Hortipes castor", "Hortipes pollux", "Hortipes salticola", "Hortipes fastigiensis", "Hortipes ostiovolutus", "Hortipes exoptans", "Hortipes scharffi", "Hortipes cucurbita", "Ditassa mucronata", "Ditassa tomentosa", "Metastelma schlechtendalii", "Antipodebaxis inflatus", "Araneabaxis oreillyi", "Fuchibotulus haddadi", "Spinotrachelas confinis", "Spinotrachelas namaquensis", "Spinotrachelas similis", "Fuchiba aquilonia", "Fuchiba capensis", "Fuchiba montana", "Fuchiba similis", "Fuchiba tortilis", "Fuchiba venteri", "Fuchibotulus bicornis", "Hortipes hesperoecius", "Drassinella modesta", "Drassinella gertschi", "Drassinella sonoma", "Agaporina raptor", "Drassinella sclerata", "Funastrum hirtellum", "Drassinella unicolor", "Funastrum lindenianum", "Drassinella siskiyou", "Agaporina basipennis", "Agaporina diaphana", "Funastrum utahense", "Agaporina cooperi", "Agaporina ghanensis", "Araujia odorata", "Elapheia gracilenta", "Liophrurillus flavitarsis", "Oxypetalum appendiculatum", "Byziniella olkokolaensis", "Byziniella tanzanica", "Byziniella kilimanjaroensis", "Byziniella meruensis", "Byziniella lupata", "Byziniella ngorongoro", "Vincetoxicum auriculatum", "Semperella jiaolongae", "Saccocalyx microhexactin", "Pheronemoides fungosus", "Lophophysema eversa", "Semperella retrospinella", "Poliopogon canaliculatus", "Platylistrum subviridum", "Diploria labyrinthiformis", "Polycyathus muellerae", "Solanum madagascariense", "Eleutherobia variabile", "Solanum myrsinoides", "Renilla reniformis", "Dischidia albiflora", "Dischidia hirsuta", "Dischidia imbricata", "Byziniella machadoi", "Orthanthera albida", "Orthanthera viminea", "Fockea edulis", "Solanum imamense", "Ixora nana", "Solanum ivohibe", "Solanum macrothyrsum", "Cosmostigma cordatum", "Riocreuxia polyantha", "Wollomombi ligniphilus", "Heterostemma dalzellii", "Phonotimpus separatus", "Wiangaree torticornis", "Phonotimpus eutypes", "Wataranka denticornis", "Heterostemma alatum", "Phonotimpus pennimani", "Heterostemma esquirolii", "Phonotimpus talquian", "Odo limitatus", "Odo abudi", "Tripleurospermum rupestre", "Triomicrus abhorridus", "Heterostemma samoense", "Patelloceto denticulata", "Patelloceto media", "Triomicrus punctifrons", "Triomicrus mangshanensis", "Triomicrus nabanhensis", "Afroceto ansieae", "Triomicrus ludificator", "Afroceto dippenaarae", "Triomicrus algon", "Triomicrus secutor", "Afroceto capensis", "Triomicrus factitatus", "Triomicrus adnexus", "Gymnema inodorum", "Triomicrus onerosus", "Triomicrus hamifer", "Triomicrus melini", "Triomicrus vietus", "Gymnema montanum", "Pahangone mirabilis", "Domitius baeticus", "Byziniella hageniana", "Byziniella tronqueti", "Byziniella rugege", "Byziniella sobrina", "Byziniella chirinda", "Byziniella kiymbiana", "Byziniella crepitans", "Afroceto martini", "Byziniella abacta", "Byziniella bugera", "Byziniella malawiana", "Byziniella cyangugu", "Byziniella hypsibatha", "Byziniella kareniana", "Byziniella kiymbi", "Byziniella minutissima", "Byziniella forestalis", "Byziniella debilis", "Lehtinenia bisulcus", "Lehtinenia bicornis", "Lygosoma samajaya", "Singaporemma singulare", "Singaporemma lenachanae", "Tropidodipsas sartorii", "Ablemma baso", "Sceloporus zosteromus", "Ablemma berryi", "Ablemma aiyura", "Taeniophallus poecilopogon", "Ablemma sedgwicki", "Petrosaurus thalassinus", "Ctenosaura hemilopha", "Byziniella dilatata", "Ablemma datahu", "Byziniella schoutedeni", "Ablemma erna", "Ablemma girinumu", "Ophrys lutea subsp. lutea", "Ophrys lutea subsp. aspea", "Ophrys lutea subsp. melena", "Solanum runsoriense", "Solanum sambiranense", "Anthemis deserticola", "Dischidia nummularia", "Afroceto bisulca", "Dischidia ovata", "Afroceto bulla", "Afroceto coenosa", "Dischidia platyphylla", "Afroceto corcula", "Triomicrus anfractus", "Triomicrus contus", "Afroceto croeseri", "Triomicrus damingensis", "Triomicrus frondosus", "Triomicrus gutianensis", "Afroceto flabella", "Triomicrus hamus", "Triomicrus inaequalis", "Triomicrus mirus", "Afroceto gracilis", "Triomicrus tibialis", "Afroceto plana", "Afroceto porrecta", "Afroceto rotunda", "Triomicrus rougemonti", "Afroceto spicula", "Triomicrus acutus", "Triomicrus cavus", "Triomicrus cochlis", "Triomicrus longus", "Triomicrus nanlingensis", "Triomicrus pinnatus", "Patelloceto secutor", "Tetrablemma brevidens", "Hoya buotii", "Hoya calycina", "Gunasekara ramboda", "Hexablemma cataphractum", "Ablemma kaindi", "Ablemma lempake", "Ablemma kaindi kaindi", "Ablemma kaindi avios", "Ablemma makiling", "Ablemma merotai", "Ablemma rarosae", "Ablemma ruohomaekii", "Ablemma samarinda", "Byziniella wittei", "Ablemma singalang", "Ablemma sternofoveatum", "Ablemma syahdani", "Ablemma circumspectans", "Byziniella cuocoi", "Byziniella nyakabuye", "Byziniella perforata", "Byziniella abnormis", "Byziniella montana", "Ablemma gombakense", "Hoya australis subsp. australis", "Byziniella africana", "Ablemma malacca", "Ablemma prominens", "Hoya benitotanii", "Phyllodactylus unctus", "Psomophis obtusus", "Brignoliella caligiformis", "Brignoliella maoganensis", "Aspidoscelis hyperythrus", "Hoya brevialata", "Aspidoscelis maximus", "Hoya caudata", "Hoya chlorantha", "Hoya cumingiana subsp. cumingiana", "Loricaria simillima", "Euchaetes nancyae", "Hoya lacunosa", "Hoya lauterbachii", "Hoya linearis", "Lophocampa azuayensis", "Lophocampa carpishensis", "Solanum trichopetiolatum", "Solanum truncicola", "Oospila cristae", "Apatelodes navarroi", "Apatelodes chalupae", "Apatelodes ulfi", "Hoya davidcummingii", "Hoya diversifolia", "Hoya coriacea", "Hoya griffithii", "Hoya coriacea subsp. coriacea", "Hypoprepia lampyroides", "Hoya imbricata subsp. imbricata", "Clemensia ochreata", "Chelonistele maximae-reginae", "Chelonistele ramentacea", "Chelonistele richardsii", "Chelonistele senagangensis", "Chelonistele unguiculata", "Psolus phantapus", "Aspidodiadema arcitum", "Aspidodiadema hawaiiense", "Birabenella homonota", "Birabenella pizarroi", "Chaetocinus brevisulcatus", "Chaetocinus oculatus", "Hoya loheri", "Hoya loheri subsp. loheri", "Birabenella kamanchaca", "Hoya loyceandrewsiana", "Birabenella portai", "Birabenella chincha", "Chelonistele amplissima", "Chelonistele brevilamellata", "Chelonistele dentifera", "Chelonistele devogelii", "Chelonistele ingloria", "Chelonistele laetitia-reginae", "Chelonistele lamellulifera", "Chelonistele lurida", "Birabenella elqui", "Birabenella argentina", "Hoya meliflua", "Hoya meliflua subsp. meliflua", "Hoya meredithii", "Hoya micrantha", "Hoya mindorensis", "Hoya mindorensis subsp. mindorensis", "Sympistis eleaner", "Leucosigma uncifera", "Leucosigma reletiva", "Leucosigma albimixta", "Chaetocinus ruwenzori", "Leucosigma chloe", "Chaetocinus major", "Leucosigma viridipicta", "Chaetocinus silvestris", "Chaetocinus brunneus", "Chaetocinus spectabilis", "Chaetocinus lemniscatus", "Chaetocinus mirandus", "Chaetocinus camerunensis", "Chaetocinus ghanensis", "Chaetocinus novus", "Chaetocinus persalsus", "Chaetocinus katanganus", "Chaetocinus fizianus", "Chaetocinus meya", "Chaetocinus kenyanus", "Chaetocinus nizianus", "Chaetocinus lipposus", "Chaetocinus grassei", "Chaetocinus kivuensis", "Chaetocinus nidorum", "Chaetocinus heterocephalophilus", "Chaetocinus bugalensis", "Chaetocinus asymetricus", "Chaetocinus liberianus", "Chaetocinus insularis", "Chaetocinus anommatophilus", "Chaetocinus sibitiensis", "Chaetocinus dorylophilus", "Chaetocinus guineanus", "Chaetocinus niger", "Hoya pycnophylla", "Hoya retusa", "Hoya revoluta", "Dendrochilum cobbianum", "Hoya samoensis subsp. samoensis", "Hoya serpens", "Hoya siamica", "Hoya blashernaezii", "Hoya blashernaezii subsp. siariae", "Hoya sussuela", "Hoya thomsonii", "Perania annam", "Hoya vaccinioides", "Lamania bokor", "Perania deelemanae", "Perania egregia", "Mangalobythus furcifer", "Mangalobythus acutifolius", "Mangalobythus murphyi", "Arthromelus quadratus", "Batriscenites celer", "Batriscenites humicola", "Batrisocenus foveiterminalis", "Briara bella", "Mundaring clarki", "Chaetocinus rufoterminatus", "Chaetocinus kitutu", "Chaetocinus amoenus", "Chaetocinus testaceipennis", "Chaetocinus notabilis", "Chaetocinus delicatulus", "Chaetocinus paulus", "Chaetocinus aethiopicus", "Chaetocinus gerardi", "Chaetocinus cameroni", "Hoya obscura", "Chaetocinus theiba", "Chaetocinus elgonicus", "Perania korinchica", "Perania armata", "Perania nigra", "Perania picea", "Perania birmanica", "Pahanga dura", "Pahanga centenialis", "Pahanga diyaluma", "Pahanga lilisari", "Rhinoblemma unicornis", "Singalangia sternalis", "Sulaimania vigelandi", "Sulaimania brevis", "Perania ferox", "Perania harau", "Perania quadrifurcata", "Perania selatan", "Perania tumida", "Perania utara", "Hoya wightii", "Marsdenia australis", "Perania cerastes", "Perania coryne", "Perania nasicornis", "Perania siamensis", "Paluma transversilineatus", "Perania nasuta", "Perania robusta", "Lamania gracilis", "Lusitanopsis lencinai", "Entomoculia solanae", "Marsdenia lloydii", "Paratyphlus deformis", "Marsdenia rostrata", "Aterigena aspromontensis", "Marsdenia suaveolens", "Aterigena ligurica", "Aterigena aculeata", "Marsdenia undulata", "Aterigena aliquoi", "Solanum knappiae", "Sarcolobus globosus subsp. globosus", "Dilochia wallichii", "Dilochia beamanii", "Dilochia cantleyi", "Dilochia carnosa", "Hynobius unisacculus", "Dilochia celebica", "Dilochia elmeri", "Dilochia longilabris", "Dilochia parviflora", "Dilochia rigida", "Dilochia subsessilis", "Entomophobia kinabaluensis", "Geesinkorchis alaticallosa", "Geesinkorchis breviunguiculata", "Geesinkorchis phaiostele", "Geesinkorchis quadricarinata", "Nototriton costaricense", "Glomera erythrosma", "Paradossenus caricoi", "Paradossenus pulcher", "Zosterops conspicillatus saypani", "Paradossenus corumba", "Zosterops conspicillatus conspicillatus", "Paradossenus minimus", "Paradossenus pozo", "Paradossenus sabana", "Paradossenus santaremensis", "Paradossenus makuxi", "Amapalea brasiliana", "Cryptolepis oblongifolia", "Enna junin", "Paradossenus benicito", "Paradossenus tocantins", "Paradossenus acanthocymbium", "Paradossenus longipes", "Gymnanthera oblonga", "Gorgonia ventalina", "Solanum eardleyae", "Solanum lobatum", "Iciligorgia schrammi", "Solanum osteocarpum", "Solanum pallidifolium", "Solanum lagoense", "Ptilosarcus gurneyi", "Pteroeides spinosum", "Cavernularia obesa", "Epiactis prolifera", "Aterigena soriculata", "Camptocarpus sphenophyllus", "Paradossenus isthmus", "Cryptolepis cryptolepioides", "Marsdenia flavescens", "Paculla bukittimahensis", "Paculla globosa", "Brignoliella besutensis", "Tetrablemma namkhan", "Tetrablemma alaus", "Hentzia alamosa", "Solanum mellobarretoi", "Chaetocinus congoensis", "Xantholinus enigmaticus", "Solanum igniferum", "Solanum sessilantherum", "Leptacinus longipennis", "Alevonota alboculata", "Paraleptusa anophtalma", "Myrmoecia hispanica", "Solanum fernandesii", "Solanum apodophyllum", "Solanum ultraspinosum", "Solanum abortivum", "Solanum anfractum", "Solanum arachnoides", "Solanum banzicum", "Solanum borgmannii", "Storeyella isa", "Mola tecta", "Rhea tarapacensis", "Paratyphlus magnispinus", "Paratyphlus lencinai", "Paratyphlus carmeloi", "Gynotyphlus perpusillus", "Iviella ohioensis", "Scydmaenus monstrosetibialis", "Scydmaenus bellenderanus", "Iviella reclusa", "Scydmaenus kiwarrakianus", "Scydmaenus gushi", "Scydmaenus gibraltar", "Scydmaenus eungellanus", "Scydmaenus fishermontanus", "Iviella newfoundlandensis", "Scydmaenus super", "Scydmaenus pseudorobustus", "Scydmaenus tamborinensis", "Cryptocellus conori", "Muscari sintenisii", "Hyalonema depressum", "Hyalonema elegans", "Hyalonema tenerum", "Hyalonema apertum", "Heteropoda opo", "Heteropoda pekkai", "Hyalostylus dives", "Walteria flemmingi", "Tretodictyum tubulosum", "Hexactinella lata", "Stenus qingliangfengus", "Stenus communicatus", "Stenus fengyangshanus", "Chonelasma doederleini", "Heterochone calyx", "Cyrtaulon solutus", "Aphrocallistes vastus", "Atheta meduxnekeagensis", "Atheta vincenti", "Atheta quebecensis", "Eurete bowerbanki", "Eurete marshalli", "Atheta newfoundlandica", "Eurete schmidtii", "Hyalonema poculum", "Hyalonema conus", "Hyalonema gracile", "Hyalonema globus", "Hyalonema clavigerum", "Pararete semperi", "Pararete carteri", "Farrea sollasi", "Farrea vosmaeri", "Liparis formosana", "Schulzeviella gigas", "Pheronema giganteum", "Pheronema globosum", "Raphionacme angolensis", "Raphionacme flanaganii", "Aulocalyx irregularis", "Caulocalyx tener", "Trachycaulus gurlitti", "Sympagella johnstoni", "Caulophacus oviformis", "Raphionacme velutina", "Caulophacus pipetta", "Caulophacus latus", "Caulophacus elegans", "Dictyocalyx gracilis", "Streptocaulon wallichii", "Solanum dallmannianum", "Solanum denseaculeatum", "Coccoloba leoganensis", "Aspidosperma limae", "Colyttus proszynskii", "Synagelides brahmaputra", "Aspidosperma discolor", "Parabathippus petrae", "Colyttus kerinci", "Hyalonema divergens", "Pselaphodes femoralis", "Pselaphodes incisus", "Pselaphodes suthepensis", "Pselaphodes thailandicus", "Stenus yaoluopingus", "Stenus lizipingus", "Stenus fuscus", "Pseudopoda virgata", "Malacosaccus unguiculatus", "Malacosaccus vastus", "Rhabdocalyptus mollis", "Staurocalyptus roeperi", "Acanthascus cactus", "Rossella dubia", "Euplectella nodosa", "Euplectella crassistellata", "Holascus fibulatus", "Holascus ridleyi", "Holascus polejaevi", "Holascus stellatus", "Hyalascus stellatus", "Hyalascus baculifer", "Dendrobium boosii", "Bathydorus fimbriatus", "Bathydorus spinosus", "Crateromorpha lilium", "Crateromorpha cylindrica", "Crateromorpha murrayi", "Crateromorpha thierfelderi", "Crateromorpha tumida", "Habenaria pantlingiana", "Orcevia kuloni", "Aspidosperma spruceanum", "Orsima thaleri", "Aspidosperma subincanum", "Nonveilleria lepida", "Phintella conradi", "Nonveilleria romani", "Afraflacilla javanica", "Thianitara thailandica", "Aspidosperma tomentosum", "Emathis sumatranus", "Epeus sumatranus", "Machaerites pavleki", "Heratemita tenenbaumi", "Machaerites marjanaci", "Aspidosperma megalocarpon", "Aspidosperma megalocarpon subsp. megalocarpon", "Junxattus daiqini", "Leuserattus gunung", "Aspidosperma pyrifolium", "Pancorius crinitus", "Alyxia orophila", "Pseudopoda nanyueensis", "Alyxia reinwardtii", "Pseudopoda lutea", "Pseudopoda marsupia", "Solanum discolor", "Pseudopoda rivicola", "Solanum exemptum", "Pseudopoda sinapophysis", "Pseudopoda interposita", "Pseudopoda gongschana", "Pseudopoda saetosa", "Pseudopoda contentio", "Pseudopoda amelia", "Pseudopoda yinae", "Pseudopoda bibulba", "Pseudopoda roganda", "Pseudopoda cangschana", "Alstonia costata", "Pseudopoda emei", "Pseudopoda acuminata", "Pseudopoda lacrimosa", "Pseudopoda robusta", "Pseudopoda yunnanensis", "Sylvilagus parentum", "Ochotona macrotis gomchee", "Sylvilagus andinus", "Sylvilagus tapetillus", "Stenus huapingensis", "Alyxia magnifolia", "Stenus zhujianqingi", "Pseudopoda fissa", "Agelosus carinatus", "Pseudopoda ohne", "Solanum expedunculatum", "Thelcticopis buu", "Lysiteles vietnamensis", "Solanum fervens", "Euplectella gibbsa", "Dictyaulus marecoi", "Heterotella midatlantica", "Carissa haematocarpa", "Rhitymna ambae", "Pseudopoda shuqiangi", "Pseudopoda daliensis", "Pseudopoda obtusa", "Pseudopoda digitata", "Pseudopoda contraria", "Pseudopoda spiculata", "Pauperobythus globuliventris", "Pseudopoda lushanensis", "Heteropoda chengbuensis", "Pseudopoda akashi", "Pseudopoda anguilliformis", "Pseudopoda sicyoidea", "Pseudopoda peronata", "Pseudopoda kunmingensis", "Pseudopoda ashcharya", "Pseudopoda casaria", "Pseudopoda fabularis", "Pseudopoda sicca", "Pseudopoda perplexa", "Pseudopoda exigua", "Pseudopoda gemina", "Pseudopoda namkhan", "Pseudopoda prompta", "Bhutaniella hillyardi", "Pseudopoda exiguoides", "Cyriocosmus venezuelensis", "Cyriocosmus pribiki", "Cyriocosmus aueri", "Cyriocosmus peruvianus", "Cyriocosmus itayensis", "Cyriocosmus hoeferi", "Cyriocosmus williamlamari", "Cyriocosmus nigolausgordoni", "Cyriocosmus giganteus", "Lophophysema australicum", "Lophophysema gilchristi", "Cyriocosmus leetzi", "Cyriocosmus fernandoi", "Hyaloplacoida echinum", "Rhitymna deelemanae", "Rhitymna kananggar", "Rhitymna occidentalis", "Rhitymna plana", "Gonioma kamassi", "Saussurea mihoko-kawakamiana", "Rhitymna simoni", "Rhitymna simplex", "Rhitymna pinangensis", "Rhitymna xanthopus", "Allamanda angustifolia", "Lilium ponticum var. artvinense", "Episimus buarquei", "Lilium ponticum var. ponticum", "Paederus ragusai", "Solanum nolense", "Solanum oomsis", "Solanum missimense", "Solanum ortivum", "Solanum papuanum", "Halodromus barbarae", "Halodromus deltshevi", "Halodromus gershomi", "Halodromus patellaris", "Allamanda oenotherifolia", "Halodromus patellidens", "Halodromus vanharteni", "Himatanthus articulatus", "Chenopodium berlandieri var. sinuatum", "Rhysodromus halophilus", "Rhysodromus hierosolymitanus", "Rhysodromus sinaiticus", "Xylocopa darwini", "Hyalonema uncinata", "Hyalonema spatha", "Chenopodium cuneifolium", "Cyriocosmus bicolor", "Cyriocosmus blenginii", "Cyriocosmus ritae", "Agelosus quadrimaculatus", "Cyriocosmus bertae", "Cyriocosmus sellatus", "Agelosus sikkimensis", "Cyriocosmus elegans", "Cyriocosmus versicolor", "Apostenolinus cariniceps", "Himatanthus bracteatus", "Himatanthus obovatus", "Artopoetes wangi", "Lethe nigrifascia lojishana", "Lethe armandina yanbiana", "Lethe jianqingi", "Lethe wui", "Celaenorrhinus markus", "Canariletia holosterna", "Faunis caelestis", "Dodona eugenes indigena", "Horaga albimacula insulana", "Remelana jangala daoana", "Lethe procne", "Lethe procne procne", "Lethe procne abaensis", "Lethe procne shunana", "Rhitymna flava", "Sicus chvalai", "Rhitymna imerinensis", "Atlantisella incognita", "Ijimaiella beringiana", "Kryptonesticus georgescuae", "Solanum invictum", "Agelosus longicornis", "Solanum leptacanthum", "Agelosus caerulescens", "Agelosus nigricollis", "Agelosus schillhammeri", "Agelosus distigma", "Zelotes acarnanicus", "Agelosus haeckeli", "Solanum malignum", "Zelotes adderet", "Agelosus unicolor", "Agelosus masaoi", "Zelotes paradderet", "Agelosus weisei", "Agelosus wasmanni", "Euathlus truculentus", "Melodinus australis", "Alyxia spicata", "Rhitymna verruca", "Alyxia squamulosa", "Trychella kermadecensis", "Amphoreus schuppi", "Amphidiscella sonnae", "Amphidiscella abyssalis", "Saccocalyx tetractinus", "Solanum galactites", "Regadrella pedunculata", "Regadrella hispida", "Regadrella australis", "Plumicoma solida", "Dictyaulus orientalis", "Dictyaulus crinolinum", "Dictyaulus hydrangeaformis", "Corbitella inopiosa", "Corbitella plagiariorum", "Malacosaccus microglobus", "Holascus pannosus", "Holascus tasmanensis", "Euplectella semisimplex", "Solanum gibbsiae", "Solanum infuscatum", "Vityaziella atlantica", "Ischnolepis natalensis", "Cryptocellus narino", "Cryptocellus foedus", "Cryptocellus simonis", "Cryptocellus whitticki", "Cryptocellus becki", "Cryptocellus peckorum", "Cryptocellus pseudocellatus", "Cryptocellus centralis", "Cryptocellus osa", "Cryptocellus goodnighti", "Cryptocellus chiriqui", "Cryptocellus gamboa", "Sarax curioi", "Sarax huberi", "Olios debalae", "Jasione heldreichii", "Jasione crispa", "Oxalis frutescens", "Philodromus pygmaeus", "Philodromus kalliaensis", "Thanatus meronensis", "Brunomanseria faceta", "Ero laeta", "Drassodes gia", "Dasylobus metatarsalis", "Phalangium andalusicum", "Pheronema pseudogiganteum", "Phalangium opilio", "Ozyptila patellibidens", "Poliopogon zonecus", "Poliopogon claviculus", "Xysticus sinaiticus", "Poliopogon micropentactinus", "Philodromus latrophagus", "Semperella crosnieri", "Semperella abyssalis", "Thanatus sepiacolor", "Semperella varioactina", "Hapalopus butantan", "Sericolophus cidaricus", "Sericolophus hawaiicus", "Sericolophus neocaledonicus", "Sericolophus calsubus", "Hyalonema microstauractina", "Hemadara albiligata", "Hemadara albiligata albiligata", "Hemadara albiligata houjiangae", "Epicallima borkini", "Sinanapis medogense", "Sinanapis wuyi", "Japalura variegata", "Diploderma grahami", "Japalura tricarinata", "Diploderma fasciatum", "Diploderma flaviceps", "Japalura dasi", "Apecholinus kaiseri", "Apecholinus fraternus", "Gaiziapis encunensis", "Minanapis menglunensis", "Apecholinus aglaosemanticus", "Apecholinus liui", "Rhigospira quadrangularis", "Bythinophanax bicornis", "Callichilia barteri", "Callichilia subsessilis", "Tabernaemontana africana", "Gehyra baliola", "Harpesaurus tricinctus", "Holcosus septemlineatus", "Lepidophyma flavimaculatum", "Leposternon polystegum", "Leposternon octostegum", "Oplurus quadrimaculatus", "Stenocercus tricristatus", "Stenocercus trachycephalus", "Leposternon bagual", "Leposternon infraorbitale", "Leposternon microcephalum", "Leposternon scutigerum", "Jasione bulgarica", "Cyriocosmus nogueiranetoi", "Cyriocosmus perezmilesi", "Cyriocosmus fasciatus", "Jasione cavanillesii", "Staurocalyptus fuca", "Pinulasma fistulosum", "Farrea aleutiana", "Farrea aspondyla", "Tretodictyum amchitkense", "Caulophacus adakensis", "Acanthascus koltuni", "Staurocalyptus psilosus", "Staurocalyptus tylotus", "Jasione corymbosa", "Jasione foliosa", "Solanum petilum", "Solanum phoberum", "Solanum pluriflorum", "Solanum rivicola", "Solanum saruwagedense", "Solanum scolophyllum", "Solanum symonianum", "Solanum trichostylum", "Pseudopoda abnormis", "Pseudopoda albolineata", "Pseudopoda albonotata", "Pseudopoda alta", "Pseudopoda ausobskyi", "Pseudopoda biapicata", "Pseudopoda birmanica", "Pseudopoda brauni", "Pseudopoda chauki", "Pseudopoda chulingensis", "Pseudopoda cuneata", "Pseudopoda dama", "Pseudopoda damana", "Pseudopoda dao", "Pseudopoda dhulensis", "Pseudopoda diversipunctata", "Pseudopoda everesta", "Pseudopoda gogona", "Pseudopoda grasshoffi", "Pseudopoda heteropodoides", "Pseudopoda hingstoni", "Pseudopoda hirsuta", "Pseudopoda huberti", "Pseudopoda hyatti", "Pseudopoda intermedia", "Pseudopoda jirensis", "Pseudopoda kalinchoka", "Pseudopoda khimtensis", "Pseudopoda kullmanni", "Pseudopoda latembola", "Pseudopoda marmorea", "Pseudopoda martensi", "Pseudopoda martinae", "Pseudopoda megalopora", "Pseudopoda minor", "Pseudopoda monticola", "Pseudopoda parvipunctata", "Pseudopoda platembola", "Pseudopoda rufosulphurea", "Pseudopoda schawalleri", "Pseudopoda schwendingeri", "Pseudopoda signata", "Pseudopoda sinopodoides", "Pseudopoda taibaischana", "Pseudopoda thorelli", "Pseudopoda tinjura", "Pseudopoda triapicata", "Pseudopoda trisuliensis", "Pseudopoda varia", "Pseudopoda wu", "Pseudopoda coenobium", "Lythrum anatolicum subsp. anatolicum", "Lythrum anatolicum subsp. vanense", "Hyalonema robustum", "Hyalonema tenue", "Tabernaemontana dichotoma", "Tabernaemontana laurifolia", "Tabernaemontana flavicans", "Tabernaemontana glabra", "Leposternon mineiro", "Tabernaemontana hystrix", "Tabernaemontana litoralis", "Speocera bismarcki", "Saussurea fuboensis", "Cataphractinus arenarius", "Cataphractinus clibanarius", "Cataphractinus crupellarius", "Speocera bosmansi", "Speocera bovenlanden", "Klarissa pantagatha", "Maya bracata", "Tabernaemontana macrocalyx", "Leposternon wuchereri", "Speocera bulbiformis", "Leposternon maximus", "Anapistula orbisterna", "Speocera bambusicola", "Speocera amazonica", "Horaeomorphus xiweii", "Horaeomorphus solodovnikovi", "Speocera apo", "Horaeomorphus wailimae", "Micrurus spixii", "Micrurus langsdorffi", "Stenichnus soesilae", "Amphisbaena vermicularis", "Tabernaemontana cymosa", "Speocera berlandi", "Tabernaemontana cerifera", "Epictia albifrons", "Cylindrophis melanotus", "Sphaerodactylus cinereus", "Otocryptis wiegmanni", "Geophis chalybeus", "Crotalus triseriatus", "Cercosaura ocellata", "Xenodon merremii", "Bothrops taeniatus", "Echinanthera melanostigma", "Hydrops martii", "Hydrops triangularis", "Erythrolamprus almadensis", "Epidendrum kockii", "Tabernaemontana corymbosa", "Patu bispina", "Armariolus aeruscator", "Armariolus bombax", "Armariolus brachiatus", "Armariolus glutto", "Armariolus praepilatus", "Spermophorides hermiguensis", "Spermophorides heterogibbifer", "Spermophorides fuerteventurensis", "Spermophorides tilos", "Spermophorides cuneata", "Spermophorides gomerensis", "Jasione orbiculata", "Spermophorides esperanza", "Tabernaemontana gamblei", "Spermophorides caesaris", "Jasione penicillata", "Spermophorides gibbifer", "Spermophorides tenerifensis", "Jasione sphaerocephala", "Spermophorides mercedes", "Spermophorides mamma", "Morana bara", "Pholcus helenae", "Morana belajevae", "Morana bellicosa", "Morana bidentata", "Morana brinevi", "Morana burckhardti", "Morana caudata", "Morana clypeata", "Morana crustosa", "Morana derosa", "Morana diatretaria", "Morana discedens", "Maya churgellae", "Saussurea savatieri", "Maya dilatata", "Maya foveolata", "Maya horricomis", "Morana afflictrix", "Pholcus madeirensis", "Morana agostii", "Morana ampullaria", "Morana asema", "Tabernaemontana arborea", "Pholcus magnus", "Pholcus parvus", "Pholcus tenerifensis", "Pholcus sveni", "Pholcus mascaensis", "Pholcus corcho", "Pholcus calcar", "Platysaurus pungweensis blakei", "Fasciolaria tulipa", "Platysaurus maculatus", "Platysaurus maculatus maculatus", "Platysaurus maculatus lineicauda", "Platysaurus pungweensis pungweensis", "Platysaurus relictus", "Trachylepis lacertiformis", "Natriciteres sylvatica", "Psammophis rukwae", "Megastraea undosa", "Megastraea turbanica", "Morana nana", "Morana obbatifrons", "Rauvolfia sandwicensis", "Zerogone submissella", "Dalophia gigantea", "Zygaspis ferox", "Zygaspis kafuensis", "Zygaspis vandami", "Zygaspis maraisi", "Chirindia langi", "Chirindia ewerbecki", "Chirindia mpwapwaensis", "Chirindia rondoensis", "Cynisca degrysi", "Platysaurus torquatus", "Platysaurus mitchelli", "Platysaurus orientalis", "Platysaurus minor", "Platysaurus lebomboensis", "Platysaurus monotropis", "Platysaurus pungweensis", "Morana oxymoron", "Morana palaung", "Morana palpalis", "Morana palulifrons", "Morana papulifera", "Morana pectinicornis", "Voacanga caudiflora", "Morana perreaui", "Morana persolla", "Morana petulca", "Morana platypes", "Voacanga globosa", "Morana punctata", "Morana rebellis", "Morana repandirostra", "Morana sagax", "Morana scapus", "Morana schwendingeri", "Leptotyphlops telloi", "Leptotyphlops jacobseni", "Leptotyphlops kafubi", "Leptotyphlops emini", "Leptotyphlops distanti", "Leptotyphlops latirostris", "Leptotyphlops scutifrons", "Leptotyphlops nigricans", "Leptotyphlops merkeri", "Leptotyphlops conjunctus", "Leptotyphlops incognitus", "Leptotyphlops pitmani", "Aegla laevis", "Eumunida picta", "Spermophorides pseudomamma", "Tylosaurus kansasensis", "Jasione supina", "Eresus crassitibialis", "Baikia africana", "Amphisbaena brasiliana", "Amphisbaena plumbea", "Oecobius lampeli", "Dalophia welwitschii", "Oecobius hierroensis", "Mesobaena huebneri", "Geocalamus acutus", "Oecobius persimilis", "Cynisca schaeferi", "Oecobius caesaris", "Cynisca kraussi", "Zygaspis quadrifrons", "Oecobius rugosus", "Monopeltis sphenorhynchus", "Monopeltis jugularis", "Amphisbaena leucocephala", "Oecobius depressus", "Zygaspis violacea", "Oecobius aculeatus", "Oecobius cumbrecita", "Oecobius sombrero", "Oecobius palmensis", "Amphisbaena silvestrii", "Amphisbaena slateri", "Amphisbaena spurelli", "Chirindia swynnertoni", "Cynisca bifrontalis", "Cynisca feae", "Cynisca liberiensis", "Cynisca oligopholis", "Monopeltis decosteri", "Monopeltis guentheri", "Pandalus borealis", "Lysmata amboinensis", "Caridina multidentata", "Jasus edwardsii", "Coletinia majorensis", "Coletinia diania", "Tachygyna delecta", "Tachygyna proba", "Tachygyna alia", "Tachygyna coosi", "Tachygyna exilis", "Subbekasha flabellifera", "Tunagyna debilis", "Kopsia teoi", "Ochrosia ackeringae", "Toltecaria antricola", "Phanetta subterranea", "Homopholis fasciata", "Homopholis mulleri", "Homopholis arnoldi", "Saloca ryvkini", "Homopholis wahlbergii", "Ochrosia fatuhivensis", "Ochrosia grandiflora", "Crepidium acuminatum", "Ochrosia inventorum", "Atheris acuminata", "Ochrosia kauaiensis", "Atheris anisolepis", "Atheris katangensis", "Atheris chlorechis", "Morana mahadewa", "Morana minax", "Morana murphyi", "Monopeltis anchietae", "Monopeltis infuscata", "Monopeltis leonhardi", "Monopeltis adercae", "Monopeltis remaclei", "Monopeltis schoutedeni", "Monopeltis vanderysti", "Dalophia luluae", "Zygaspis dolichomenta", "Tabernaemontana ventricosa", "Monopeltis capensis", "Monopeltis luandae", "Monopeltis perplexus", "Monopeltis zambezensis", "Monopeltis rhodesiana", "Dalophia angolensis", "Cynisca williamsi", "Cynisca senegalensis", "Amphisbaena vanzolinii", "Amphisbaena schmidti", "Amphisbaena roberti", "Amphisbaena nigricauda", "Amphisbaena leeseri", "Amphisbaena carvalhoi", "Dalophia ellenbergeri", "Morana semifacta", "Morana sima", "Morana sinciput", "Morana smetanai", "Morana sycosifrons", "Morana tibialis", "Morana virago", "Morana vultuosa", "Synaphris schlingeri", "Synaphris toliara", "Africepheia madagascariensis", "Indicoblemma lannaianum", "Ichnotropis grandiceps", "Indicoblemma sheari", "Indicoblemma monticola", "Brignoliella leletina", "Brignoliella dankobiensis", "Tetrablemma loebli", "Brignoliella besuchetiana", "Choiroblemma bengalense", "Choiroblemma rhinoxunum", "Natriciteres olivacea", "Natriciteres variegata", "Natriciteres fuliginoides", "Natriciteres pembana", "Atheris ceratophora", "Ochrosia mariannensis", "Atheris desaixi", "Atheris barbouri", "Atheris subocularis", "Atheris broadleyi", "Jasione supina subsp. pontica", "Ochrosia moorei", "Ochrosia poweri", "Jasione supina subsp. akmanii", "Jasione supina subsp. tmolea", "Jasione supina subsp. supina", "Kemulariella tahirelcii", "Bruskmoal bresk", "Trachylepis margaritifera", "Trachylepis quinquetaeniata", "Conocarpus erectus f. sericeus", "Causus maculatus", "Causus rasmusseni", "Lidia tarabaevi", "Lidia molesta", "Myriopholis lanzai", "Flagelliphantes sterneri", "Monocerellus montanus", "Barygnathus tutus", "Barygnathus brunneus", "Pacifiphantes zakharovi", "Panamomops depilis", "Ochrosia brownii", "Acanthoneta dokutchaevi", "Tolmerinus sharpi", "Monopeltis scalper", "Geocalamus modestus", "Monopeltis galeata", "Zygaspis nigra", "Oecobius gomerensis", "Oecobius dolosus", "Oecobius maritimus", "Morana distensiceps", "Morana dorsuosa", "Morana elegans", "Morana epastifrons", "Morana eromenion", "Morana exilis", "Morana fastigata", "Morana femoralis", "Morana galeata", "Morana hastulata", "Morana histanoceroides", "Morana hoplomacha", "Lycophidion variegatum", "Morana latebrosa", "Morana loquax", "Morana lucipeta", "Morana lupula", "Loveridgea phylofiniens", "Morana lusciosa", "Loveridgea ionidesii", "Morana machaerifera", "Tabernaemontana glandulosa", "Morana puella", "Dalophia longicauda", "Morana oni", "Dalophia pistillum", "Solanum sect.", "Pasiphaea sivado", "Paralepas xenophorae", "Coletinia hernandoi", "Coletinia intermedia", "Coletinia longitibia", "Coletinia redetecta", "Rauvolfia moricandii", "Coletinia tessella", "Rauvolfia nukuhivensis", "Silometopoides sphagnicola", "Paederidus hlavaci", "Astenus horridus", "Silometopoides mongolensis", "Astenus peteri", "Rauvolfia sachetiae", "Dibelonetes matsallehi", "Siagonium yunnanense", "Silometopoides koponeni", "Siagonium vittatum", "Coletinia calaforrai", "Stenus wujiei", "Coletinia vergitana", "Tachygyna vancouverana", "Tachygyna tuoba", "Tachygyna sonoma", "Tachygyna haydeni", "Tachygyna pallida", "Tachygyna gargopa", "Tachygyna watona", "Multesimus cuniculus", "Multesimus gallulus", "Multesimus jaccoudi", "Multesimus talpula", "Nippiliphus crurifragius", "Nippiliphus napolovi", "Tachygyna speciosa", "Maya uzeli", "Tachygyna cognata", "Horaeomorphus chinensis", "Tachygyna ursina", "Horaeomorphus hainanicus", "Horaeomorphus punctatus", "Horaeomorphus pengzhongi", "Horaeomorphus biwenxuani", "Horaeomorphus hujiayaoi", "Souessoula parvus", "Homalotrichus yana", "Homalotrichus shapra", "Homalotrichus nahuelbutensis", "Homalotrichus striatus", "Homalotrichus substriatus", "Annapolis mossi", "Coletinia herculea", "Wabasso quaestio", "Wabasso cacuminatus", "Masikia indistincta", "Masikia relicta", "Lasiargus zhui", "Agyphantes sajanensis", "Agyphantes sakhalinensis", "Turdus ludoviciae", "Dasypeltis arabica", "Dasypeltis taylori", "Dasypeltis crucifera", "Dasypeltis palmarum", "Causus bilineatus", "Causus resimus", "Causus defilippii", "Pseudopoda chayuensis", "Pseudopoda colubrina", "Pseudopoda conaensis", "Pseudopoda daxing", "Pseudopoda gexiao", "Pseudopoda maeklongensis", "Pseudopoda medogensis", "Pseudopoda nyingchiensis", "Pseudopoda putaoensis", "Pseudopoda shacunensis", "Pseudopoda shuo", "Pseudopoda subbirmanica", "Pseudopoda titan", "Pseudopoda xia", "Pseudopoda yuanjiangensis", "Pseudopoda zixiensis", "Pseudopoda grahami", "Araneibatrus curvitibialis", "Tribasodites biyun", "Pseudopoda recta", "Vinca difformis subsp. difformis", "Pseudopoda serrata", "Olios scalptor", "Pseudopoda songi", "Turdus helleri", "Pseudopoda zhangmuensis", "Pseudopoda zhejiangensis", "Melanoseps emmrichi", "Melanoseps pygmaeus", "Pseudopoda zhenkangensis", "Melanoseps longicauda", "Melanoseps ater", "Melanoseps occidentalis", "Pseudopoda rhopalocera", "Melanoseps uzungwensis", "Melanoseps rondoensis", "Melanoseps loveridgei", "Olios tiantongensis", "Geodia amadaiba", "Vinca major subsp. major", "Heteropoda tetrica", "Oreoseris armena", "Oreoseris kokanica", "Oreoseris lacei", "Solanum bicorne", "Thelotornis capensis", "Thelotornis kirtlandii", "Thelotornis mossambicanus", "Thelotornis usambaricus", "Cordylus beraduccii", "Cordylus nyikae", "Cordylus rivae", "Cordylus rhodesianus", "Cordylus ukingensis", "Dresslerella caesariata", "Hemidactylus vanam", "Landolphia dulcis", "Landolphia dulcis var. dulcis", "Landolphia membranacea", "Wabasso replicatus", "Landolphia nitidula", "Ceratogyrus brachycephalus", "Ceratogyrus dolichocephalus", "Coletinia tinauti", "Narcotica niveosparsa", "Narcotica cryptica", "Narcotica hoenei", "Eugoa salomonica", "Parahancornia surrogata", "Ancylobothrys petersiana", "Xysticus alpinus", "Pachydactylus katanganus", "Letheobia kibarae", "Panaspis burgeoni", "Bellendenker palpalis", "Cephennodes mussauinsularis", "Cephennomicrus manusianus", "Vincetoxicum lineare", "Venezolanoconnus sreeae", "Euconnus plaumannioloides", "Euconnus silvafortunensis", "Euconnus rhombopanamensis", "Euconnus rhombomiramaranus", "Euconnus rhomboimitator", "Apodanthes caseariae", "Landolphia watsoniana", "Loeblites chinesis", "Cordylus macropholis", "Cordylus minor", "Cordylus vittifer", "Cordylus machadoi", "Cephennomicrus lawrencei", "Pseudocordylus transvaalensis", "Pseudocordylus spinosus", "Idiops monticoloides", "Idiops gracilipes", "Panaspis maculicollis", "Idiops hirsutus", "Pacouria guianensis", "Mudaria grisescens", "Saba comorensis", "Tetragonisca angustula", "Lygodactylus rex", "Lycophidion nanum", "Duberria rhodesiana", "Duberria shirana", "Duberria variegata", "Arctenus taitensis", "Euconnus rhombocartianus", "Euconnus meteti", "Euconnus timstruyvei", "Pilostyles blanchetii", "Pilostyles hamiltonii", "Pilostyles haussknechtii", "Calumma roaloko", "Amblyodipsas rodhaini", "Amblyodipsas katangensis", "Aparallactus moeruensis", "Atractaspis battersbyi", "Helophis schoutedeni", "Leptosiaphos hackarsi", "Leptosiaphos luberoensis", "Polemon robustus", "Typhlacontias kataviensis", "Typhlacontias rudebecki", "Saussurea muramatsui", "Aponogeton rigidifolius", "Nucras boulengeri", "Aponogeton satarensis", "Nucras lalandii", "Nucras scalaris", "Ichnotropis bivittata", "Ichnotropis chapini", "Ichnotropis tanganicana", "Microscydmus misellus", "Amblyodipsas teitana", "Xenocalamus sabiensis", "Aponogeton bernierianus", "Delius robustulus", "Jerbeia darkovi", "Microscydmus singaporensis", "Ctenolepisma almeriensis", "Microscydmus unicus", "Microscydmus stultus", "Microscydmus dilaticlavis", "Microscydmus rutilus", "Microscydmus pseudorutilus", "Microscydmus curticlava", "Microscydmus curvicornis", "Oospila falcata", "Diallomus speciosus", "Aponogeton stuhlmannii", "Psammophis namibensis", "Dendrobium reypimentelii", "Aponogeton undulatus", "Aponogeton vallisnerioides", "Psammophis trinasalis", "Anacolosa densiflora", "Amischotolype glabrata", "Aptandra tubicina", "Chaunochiton angustifolium", "Chaunochiton kappleri", "Aponogeton bruggenii", "Neladius tenuis", "Aponogeton capuronii", "Trachylepis maculilabris", "Trachylepis boulengeri", "Aponogeton hexatepalus", "Trachylepis homalocephala", "Trachylepis depressa", "Trachylepis megalura", "Trachylepis occidentalis", "Aponogeton lakhonensis", "Trachylepis capensis", "Trachylepis varia", "Trachylepis variegata", "Trachylepis punctulata", "Trachylepis sulcata", "Trachylepis striata", "Trachylepis spilogaster", "Trachylepis brauni", "Trachylepis punctatissima", "Apolania segmentata", "Diallomus fuliginosus", "Ilex crassifolia", "Ilex bioritsensis", "Lathys adunca", "Ilex canariensis subsp. canariensis", "Lathys deltoidea", "Lathys fibulata", "Lathys huangyangjieensis", "Meriania leucantha", "Lathys zhanfengi", "Ilex cassine subsp. cassine", "Cassine peragua", "Mecistops leptorhynchus", "Vasum ceramicum", "Aramides albiventris", "Oospila similiplaga similiplaga", "Oospila similiplaga bolarpata", "Oospila agnetaforslundae", "Oospila loreenae", "Oospila ehakernae", "Oospila pipa", "Oospila brehmi", "Oospila moseri", "Oospila absaloni", "Oospila bifida", "Oospila pallidaria", "Ilex cymosa", "Oospila pallidaria pallidaria", "Psammophis orientalis", "Oospila similiplaga", "Ilex dunniana", "Namibiana gracilior", "Namibiana occidentalis", "Ilex editicostata", "Scolecoseps boulengeri", "Scolecoseps acontias", "Scolecoseps broadleyi", "Lygodactylus broadleyi", "Elapsoidea broadleyi", "Ilex franchetiana", "Tricheilostoma broadleyi", "Siamites loebli", "Leptosiaphos rhomboidalis", "Lycophidion namibianum", "Lycophidion taylori", "Scelotes duttoni", "Scelotes insularis", "Lygosoma lanceolatum", "Scelotes bourquini", "Scelotes fitzsimonsi", "Scelotes vestigifer", "Ilex denticulata", "Mochlus mafianum", "Telescopus gezirae", "Scolecoseps litipoensis", "Lycophidion pygmaeum", "Oospila pallidaria boliviensis", "Hygrolycosa strandi", "Hygrolycosa rubrofasciata", "Sciacharis angulata", "Algidus marmoratus", "Acantholycosa altaiensis", "Acantholycosa azyuzini", "Acantholycosa katunensis", "Acantholycosa sayanensis", "Acantholycosa plumalis", "Acantholycosa paraplumalis", "Acantholycosa levinae", "Acantholycosa dudkorum", "Acantholycosa dudkoromani", "Ilex malabarica", "Acantholycosa vahterae", "Acantholycosa kronestedti", "Dorstenia cayapia", "Acer cinerascentiforme", "Sciacharis erythronota", "Acer confertifolium", "Venatrix fontis", "Venatrix arenaris", "Acer crassum", "Ilex omeiensis", "Psammophis zambiensis", "Psammophis crucifer", "Waiparaconus zelandicus", "Acer yuii", "Atretium schistosum", "Bitis cornuta", "Clelia clelia", "Saussurea hokurokuensis", "Allocosa abmingani", "Hogna burti", "Allocosa finkei", "Allocosa halei", "Alopecosa madigani", "Sciacharis clypeata", "Habronestes toddi", "Odo australiensis", "Tharpyna simpsoni", "Saitis lacustris", "Venatrix funesta", "Venatrix penola", "Venatrix australiensis", "Mongolicosa azarkinae", "Mongolicosa cherepanovi", "Mongolicosa ozkutuki", "Mongolicosa buryatica", "Mongolicosa glupovi", "Mongolicosa mongolensis", "Mongolicosa gobiensis", "Mongolicosa songi", "Mongolicosa przhewalskii", "Mongolicosa uncia", "Mongolicosa pseudoferruginea", "Alopecosa spinata", "Arctosa binalis", "Arctosa recurva", "Arctosa vaginalis", "Hygrolycosa alpigena", "Hygrolycosa tokunagai", "Euscalpellum latunculus", "Dorstenia cayapia subsp. vitifolia", "Dracaena guianensis", "Dracaena paraguayensis", "Eumeces schneideri", "Hemidactylus triedrus", "Euscalpellum carolinensis", "Acer leipoense", "Acer fenzelianum", "Ilex perado subsp. perado", "Psammophis brevirostris", "Psammophis notostictus", "Psammophis trigrammus", "Acer gracilifolium", "Psammophis leightoni", "Psammophis jallae", "Psammophis subtaeniatus", "Psammophis leopardinus", "Psammophis sudanensis", "Psammophis occidentalis", "Venatrix roo", "Venatrix mckayi", "Venatrix koori", "Venatrix archookoora", "Venatrix pictiventris", "Venatrix hickmani", "Venatrix allopictiventris", "Venatrix speciosa", "Venatrix esposica", "Venatrix pseudospeciosa", "Sciacharis divaricata", "Venatrix brisbanae", "Venatrix ornatula", "Venatrix lapidosa", "Psammophis ansorgii", "Psammophis angolensis", "Venatrix furcillata", "Psammophis mossambicus", "Acer amamiense", "Acer chiangdaoense", "Sciacharis egmontensis", "Ilex sapotifolia", "Acer linganense", "Tuberculosa hoggi", "Acer mazandaranicum", "Tuberculosa harveyi", "Ilex subrugosa", "Tuberculosa austini", "Tuberculosa monteithi", "Ilex sugerokii var. brevipedunculata", "Venatrix amnicola", "Acer miaoshanicum", "Acer morifolium", "Acer obtusifolium", "Ilex triflora", "Phaius tankervilleae var. bernaysii", "Chenopodium desertorum subsp. rectum", "Chenopodium desertorum subsp. virosum", "Hydrophis mamillaris", "Hydrophis obscurus", "Acer pilosum", "Artoria linnaei", "Chenopodium desertorum subsp. microphyllum", "Artoria ligulacea", "Philodryas argentea", "Siphlophis compressus", "Micrurus psyches", "Phaius tankervilleae var. australis", "Ambrosina bassii", "Platysaurus intermedius parvus", "Arum besserianum", "Arum concinnatum", "Tetradactylus tetradactylus", "Artoria parvula", "Scelotes gronovii", "Artoria quadrata", "Sciacharis turreti", "Artoria taeniifera", "Artoria triangularis", "Artoria ulrichi", "Artoria berenice", "Sciacharis walkeriana", "Aglaonema commutatum var. commutatum", "Aglaonema commutatum var. maculatum", "Aglaonema costatum", "Chenopodium desertorum subsp. anidiophyllum", "Phaius tankervilleae var. tankervilleae", "Arum creticum", "Arum cylindraceum", "Arum cylindraceum subsp. cylindraceum", "Macrinus succineus", "Macrinus pollexensis", "Arum hygrophilum", "Macrinus jaegeri", "Arum italicum subsp. italicum", "Sciacharis blackburni", "Arum nigrum", "Sciacharis peloriana", "Sciacharis pseudoangulata", "Sciacharis sanguinea", "Venatrix magkasalubonga", "Geodia anceps", "Venatrix palau", "Venatrix tinfos", "Artoria albopedipalpis", "Solanum pachyandrum", "Artoria avona", "Artoria cingulipes", "Justicia galapagana", "Artoria flavimana", "Artoria howquaensis", "Sciacharis setosa", "Artoria lineata", "Artoria mckayi", "Artoria palustris", "Sciacharis tasmaniensis", "Arisaema candidissimum", "Arisaema ciliatum", "Arisaema consanguineum subsp. consanguineum", "Arisaema echinatum", "Arisaema bockii", "Zelotes zekharya", "Zelotes baram", "Zelotes haifaensis", "Zelotes harmeron", "Zelotes geshur", "Zelotes lehavim", "Zelotes golanensis", "Zelotes naphthalii", "Typhonium varians", "Sauromatum venosum", "Varroa jacobsoni", "Phaius tankervilleae var. antoninae", "Phaius tankervilleae var. baolocensis", "Phaius tankervilleae var. devogelii", "Arum cylindraceum subsp. pitsyllianum", "Afrasura pectinatissima", "Afrasura discocellularis discocellularis", "Afrasura discocellularis saotomensis", "Gloora canae", "Gloora alba", "Sciacharis colobopsis", "Sciacharis depressa", "Amplorhinus multimaculatus", "Sauromatum brevipes", "Sciacharis hirticeps", "Typhonium brownii", "Setaphis mediterranea", "Typhonium flagelliforme", "Talanitoides habesor", "Trachyzelotes miniglossus", "Typhonium roxburghii", "Macrinus bambuco", "Macrinus calypso", "Arum orientale subsp. orientale", "Sciacharis bryantides", "Macrinus mohavensis", "Sciacharis buffaloensis", "Drassyllus adullam", "Arum purpureospathum", "Berlandina avishur", "Saussurea shonaiensis", "Megamyrmaekion hula", "Megamyrmaekion magshimim", "Micaria galilaea", "Phaeocedus mikha", "Sauromatum horsfieldii", "Sciacharis moeratti", "Sciacharis ovipennis", "Sciacharis paramoeratti", "Sciacharis parvicollis", "Arisaema filiforme", "Sciacharis pedunculata", "Gloora mundula", "Arisaema fimbriatum subsp. fimbriatum", "Gloora sericea", "Stoliczka insignis", "Stoliczka affinis", "Chenopodium hircinum subsp. catamarcense", "Ituglanis amphipotamus", "Lathys bin", "Arum cyrenaicum", "Arisaema speciosum var. speciosum", "Arisaema thunbergii subsp. thunbergii", "Sciacharis andicola", "Arisaema thunbergii subsp. urashima", "Sciacharis hualpenicola", "Sciacharis pseudoloksai", "Sciacharis uvanzi", "Arisaema tortuosum subsp. tortuosum", "Agyneta cuneata", "Arisaema saxatile", "Agyneta metatarsialis", "Agyneta adami", "Arisaema sazensoo", "Sciacharis xanthopus", "Arisaema serratum var. serratum", "Lyssomanes maddisoni", "Lyssomanes manausensis", "Lyssomanes matoensis", "Lyssomanes mexicanus", "Arisaema laminatum", "Arisaema leschenaultii", "Arisaema murrayi", "Arisaema murrayi subsp. murrayi", "Arisaema ornatum", "Lyssomanes silvestris", "Lyssomanes similis", "Lyssomanes romani", "Arisaema yamatense", "Arisaema yamatense subsp. yamatense", "Pinellia cordata", "Sciacharis quinaria", "Gymnophthalmus speciosus", "Holcosus quadrilineatus", "Leptodeira maculata", "Sphaerodactylus millepunctatus", "Tantilla vermiformis", "Lathys lehtineni", "Lyssomanes lampeli", "Acer pseudowilsonii", "Arisaema flavum", "Acer schneiderianum", "Sciacharis warrenicola", "Arisaema flavum subsp. flavum", "Arisaema franchetianum", "Cryptoblepharus zoticus", "Cryptoblepharus wulbu", "Cryptoblepharus ustulatus", "Cryptoblepharus tytthos", "Arisaema heterocephalum", "Cryptoblepharus adamsi", "Arisaema heterocephalum subsp. heterocephalum", "Cryptoblepharus cygnatus", "Cryptoblepharus daedalos", "Cryptoblepharus exochus", "Cryptoblepharus gurrmul", "Arisaema iyoanum", "Arisaema jacquemontii", "Cryptoblepharus juno", "Cryptoblepharus mertensi", "Cryptoblepharus ochrus", "Cryptoblepharus pannosus", "Cryptoblepharus furvus", "Cryptoblepharus richardsi", "Cryptoblepharus xenikos", "Cryptoblepharus yulensis", "Acer shenkanense", "Acer shihweii", "Otopharynx aletes", "Otopharynx alpha", "Otopharynx mumboensis", "Otopharynx panniculus", "Otopharynx peridodeka", "Otopharynx styrax", "Oedera dieterlenii", "Chlorospatha lehmannii", "Oedera fruticosa", "Microscydmus absconditus", "Pinellia tripartita", "Microscydmus alloconcepcionis", "Microscydmus allooneiliformis", "Dubiaranea silvicola", "Dubiaranea gloriosa", "Dubiaranea variegata", "Dubiaranea gilva", "Dubiaranea distracta", "Dubiaranea solita", "Dubiaranea versicolor", "Euscalpellum eocenense", "Hapaline brownii", "Syngonium macrophyllum", "Gerrhonotus liocephalus", "Syngonium podophyllum var. podophyllum", "Gerrhosaurus flavigularis", "Sceloporus torquatus", "Sceloporus spinosus", "Sceloporus scalaris", "Sceloporus aeneus", "Euscalpellum wheeleri", "Barisia imbricata", "Barisia rudicollis", "Ctenosaura acanthura", "Syngonium wendlandii", "Ulearum sagittatum var. sagittatum", "Xanthosoma daguense", "Xanthosoma daguense var. daguense", "Dubiaranea vetusta", "Dubiaranea mirabilis", "Dubiaranea habilis", "Dubiaranea lugubris", "Dubiaranea teres", "Exechopsis conspicua", "Exechopsis versicolor", "Dubiaranea margaritata", "Dubiaranea caeca", "Dubiaranea atripalpis", "Neuraphoconnus caledonicus", "Dubiaranea pulchra", "Neuraphoconnus corbassoni", "Dubiaranea media", "Neuraphoconnus excavaticollis", "Dubiaranea crebra", "Dubiaranea albodorsata", "Dubiaranea discolor", "Neuraphoconnus houailouensis", "Dubiaranea ornata", "Dubiaranea setigera", "Dubiaranea propria", "Neuraphoconnus mouirangei", "Neuraphoconnus nanulus", "Dubiaranea concors", "Neuraphoconnus noumeanus", "Dubiaranea usitata", "Neuraphoconnus oceanicus", "Dubiaranea colombiana", "Dubiaranea atrolineata", "Neuraphoconnus rivalis", "Neuraphoconnus schmidi", "Magellanoconnus paranodicornis", "Magellanoconnus parapaarlianus", "Magellanoconnus planidorsis", "Magellanoconnus promontorianus", "Magellanoconnus rangeri", "Magellanoconnus rhodesianus", "Dubiaranea persimilis", "Dubiaranea congruens", "Microscydmus altoandinus", "Dubiaranea proxima", "Dubiaranea affinis", "Microscydmus auctor", "Dubiaranea orba", "Microscydmus cekalovici", "Microscydmus colchaguensis", "Microscydmus comarubii", "Dubiaranea morata", "Dubiaranea modica", "Microscydmus concepcionis", "Dubiaranea veterana", "Dubiaranea insulsa", "Microscydmus curacaviensis", "Microscydmus curavillahuensis", "Microscydmus dilaticornis", "Dubiaranea fulvolineata", "Dubiaranea mediocris", "Microscydmus escuadronensis", "Microscydmus garavitoensis", "Dubiaranea gregalis", "Microscydmus globulipenis", "Microscydmus gracilicollis", "Dubiaranea fruticola", "Microscydmus hermosillai", "Microscydmus hermosillanus", "Dubiaranea silvae", "Exocora phoenix", "Exocora girotii", "Exocora ribeiroi", "Exocora medonho", "Alocasia fornicata", "Exocora nogueirai", "Exocora una", "Barisia jonesi", "Barisia ciliaris", "Gerrhonotus rhombifer", "Remusatia vivipara", "Acer tenellum", "Acer tibetense", "Euconnus amieuensis", "Euconnus amieui", "Steudnera assamica", "Euconnus calcicola", "Dubiaranea longa", "Dubiaranea atriceps", "Dubiaranea pullata", "Dubiaranea melanocephala", "Dubiaranea speciosa", "Dubiaranea melica", "Dubiaranea lepida", "Dubiaranea opaca", "Dubiaranea castanea", "Dubiaranea amoena", "Dubiaranea fusca", "Dubiaranea varia", "Dubiaranea furva", "Dubiaranea albolineata", "Dubiaranea insignita", "Dubiaranea signifera", "Dubiaranea argentata", "Dubiaranea decurtata", "Dubiaranea brevis", "Dubiaranea nivea", "Dubiaranea atra", "Dubiaranea levii", "Dubiaranea saucia", "Dubiaranea insulana", "Dubiaranea fagicola", "Dubiaranea similis", "Dubiaranea remota", "Alocasia nebula", "Pseuderemias savagei", "Rhinotyphlops scortecci", "Sabicea aspera", "Afrotyphlops calabresii", "Alocasia reginula", "Alocasia ridleyi", "Stictonanus paucus", "Alocasia sarawakensis", "Stictonanus exiguus", "Alocasia sinuata", "Asemostera involuta", "Alocasia wentii", "Microscydmus loksai", "Dubiaranea procera", "Dubiaranea elegans", "Microscydmus major", "Microscydmus mallecensis", "Microscydmus mehuinensis", "Dubiaranea rufula", "Microscydmus mutroensis", "Microscydmus nahuelbutae", "Dubiaranea truncata", "Microscydmus neotropicus", "Microscydmus oneiliformis", "Microscydmus oneiloides", "Microscydmus osornoensis", "Xanthosoma undipes", "Microscydmus osornoi", "Dubiaranea grandicula", "Microscydmus pacificus", "Microscydmus pallidus", "Dubiaranea abjecta", "Microscydmus pseudoconcepcionis", "Microscydmus pseudonahuelbutae", "Microscydmus quinteroi", "Microscydmus saizianus", "Microscydmus stenichniformis", "Microscydmus valdivianus", "Microscydmus valdiviensis", "Dubiaranea abundans", "Dubiaranea bacata", "Dubiaranea luctuosa", "Zomicarpa steigeriana", "Dubiaranea decora", "Dubiaranea aureola", "Dubiaranea tristis", "Alocasia arifolia", "Magellanoconnus blyderiveranus", "Magellanoconnus bolsonensis", "Magellanoconnus bonaesperantiae", "Magellanoconnus brincki", "Magellanoconnus castrianus", "Alocasia clypeolata", "Magellanoconnus chilensis", "Magellanoconnus chiloensis", "Magellanoconnus chomensis", "Magellanoconnus chubutensis", "Magellanoconnus cylindripenis", "Magellanoconnus extraneus", "Hesperomeles obtusifolia var. obtusifolia", "Barisia herrerae", "Exocora proba", "Exocora pallida", "Barisia planifrons", "Cnemidophorus espeuti", "Cnemidophorus vanzoi", "Cnemidophorus pseudolemniscatus", "Cnemidophorus cryptus", "Aurivela longicauda", "Aurivela tergolaevigata", "Medopheos edracanthus", "Cryptocoryne albida", "Cryptocoryne cognata", "Cryptocoryne griffithii", "Cryptocoryne longicauda", "Saussurea yuki-uenoana", "Cryptocoryne pontederiifolia", "Cryptocoryne \u00d7 timahensis", "Notiohyphantes laudatus", "Anas strepera couesi", "Phrynosoma bauri", "Phrynosoma diminutum", "Phrynosoma brevirostris", "Phrynosoma douglasii", "Vesicapalpus simplex", "Phrynosoma hernandesi", "Magellanoconnus advena", "Arum apulum", "Phrynosoma ornatissimum", "Senna pallida var. brachyrrhachis", "Magellanoconnus aiseni", "Vesicapalpus serranus", "Magellanoconnus andinus", "Magellanoconnus angustatus", "Magellanoconnus araucanorum", "Magellanoconnus araucarianus", "Magellanoconnus arrayani", "Magellanoconnus atriceps", "Magellanoconnus australis", "Magellanoconnus austroafricanus", "Magellanoconnus bispiniger", "Magellanoconnus bitterfonteini", "Barisia levicollis", "Magellanoconnus riobambae", "Magellanoconnus rocotoi", "Colocasia fallax", "Eurymorion insigne", "Eurymorion nobile", "Neomaso arundicola", "Neomaso insulanus", "Neomaso articeps", "Neomaso setiger", "Neomaso fluminensis", "Neomaso abnormis", "Neomaso aequabilis", "Neomaso vicinus", "Amphisbaena gonavensis", "Amphisbaena barbouri", "Onychembolus subalpinus", "Amphisbaena medemi", "Neomaso insperatus", "Leucocasia gigantea", "Asemostera arcana", "Cryptolinyphia sola", "Magellanoconnus hartigi", "Magellanoconnus hayeki", "Magellanoconnus inyangae", "Magellanoconnus jubaeae", "Magellanoconnus jubaeiformis", "Magellanoconnus kirstenboschensis", "Magellanoconnus lajae", "Magellanoconnus lastarriae", "Magellanoconnus latitarsus", "Novafrontina patens", "Magellanoconnus laurisilvae", "Magellanoconnus laurisilvae muruanus", "Magellanoconnus lengae", "Diplothyron fuscus", "Magellanoconnus longiceps", "Saussurea yamagataensis", "Magellanoconnus longissimus", "Magellanoconnus magellanicus", "Schistogyna arcana", "Magellanoconnus magellanicus puyeguensis", "Colocasia affinis", "Jalapyphantes obscurus", "Magellanoconnus millerianus", "Magellanoconnus mochae", "Magellanoconnus nodicornis", "Magellanoconnus nodithorax", "Magellanoconnus nothofagi", "Magellanoconnus paarlianus", "Magellanoconnus parachiloensis", "Magellanoconnus paralengae", "Senecio lastarrianus", "Euconnus erinaceus", "Euconnus lifouensis", "Euconnus moneoensis", "Euconnus nitidiformis", "Lagenandra ovata", "Euconnus nitidus", "Euconnus numeae", "Euconnus paniensis", "Euconnus paranitidus", "Euconnus pini", "Euconnus poarimicola", "Euconnus pseudonitidus", "Euconnus schmidianus", "Euconnus tindoui", "Euconnus tuberifer", "Euconnus viduus", "Cercestis dinklagei", "Magellanoconnus rupanquitoi", "Magellanoconnus saizi", "Magellanoconnus schillingi", "Magellanoconnus simpsonianus", "Magellanoconnus sonderendensis", "Magellanoconnus sphaerocephalus", "Magellanoconnus stellenboschensis", "Magellanoconnus strandianus", "Magellanoconnus theroni", "Magellanoconnus theronianus", "Aspidura deraniyagalae", "Magellanoconnus tridentatus", "Magellanoconnus tulbaghensis", "Magellanoconnus tulbaghianus", "Magellanoconnus umtentwenii", "Magellanoconnus vumbanus", "Magellanoconnus woodbushianus", "Magellanoconnus wynbergensis", "Magellanoconnus wynbergianus", "Aspidura brachyorrhos", "Aspidura copei", "Aspidura ceylonensis", "Aspidura drummondhayi", "Acer sinopurpurascens", "Aspidura guentheri", "Acer tonkinense", "Euconnus caledonensides", "Euconnus cautorum", "Euconnus coniferarum", "Acer tutcheri", "Acer wangchii", "Acer yangbiense", "Steudnera colocasiifolia", "Bulbophyllum subumbellatum", "Steudnera discolor", "Steudnera kerrii", "Cnemidophorus murinus", "Cnemidophorus rostralis", "Cnemidophorus leucopsammus", "Campanulorchis thao", "Cnemidophorus ruthveni", "Cycnoches chlorochilon", "Cnemidophorus nigricolor", "Cnemidophorus arubensis", "Cnemidophorus senectus", "Cnemidophorus flavissimus", "Cnemidophorus duellmani", "Cnemidophorus ruatanus", "Cnemidophorus gaigei", "Cnemidophorus splendidus", "Cnemidophorus arenivagus", "Allium circinnatum subsp. circinnatum", "Allium circinnatum subsp. peloponnesiacum", "Allium circinnatum subsp. evae", "Homalomena insignis", "Homalomena lauterbachii", "Homalomena lindenii", "Allium longanum", "Homalomena metallica", "Adelonema speariae", "Vanda lamellata", "Vanda lamellata var. lamellata", "Euconnus ambelosicus", "Euconnus samius", "Euconnus kerkisicus", "Vanda lamellata var. boxallii", "Vanda lamellata var. remediosae", "Mycetoporus macrocephalus", "Planeustomus cephalotes", "Stenus capitulatus", "Ranunculus weberbaueri", "Homalomena aromatica", "Vanda arbuthnotiana", "Cercestis kamerunianus", "Geostiba perdita", "Amauronyx assingi", "Euplectus meybohmi", "Faronus icariensis", "Paratychus kerkisicus", "Tychus icariensis", "Culcasia dinklagei", "Culcasia lanceolata", "Lygarina silvicola", "Lygarina finitima", "Culcasia parviflora", "Pseudotyphistes pallidus", "Culcasia striolata", "Hypselocara altissima", "Diechomma pretiosum", "Adelonema erythropus", "Contomastix vittata", "Contomastix leachei", "Homalomena wallichii", "Contomastix lacertoides", "Contomastix serrana", "Allium goulimyi", "Epiwubana jucunda", "Troglohyphantes oromii", "Anchomanes abbreviatus", "Anchomanes giganteus", "Linan arcitibialis", "Linan denticulatus", "Nephthytis poissonii", "Linan divaricatus", "Linan geneolatus", "Nephthytis poissonii var. poissonii", "Linan mangshanus", "Linan mulunensis", "Nephthytis swainei", "Troglohyphantes roquensis", "Cuccodorodes darjeelingensis", "Cuccodorodes koshiensis", "Cuccodorodes weiperti", "Philodendron aurantiifolium", "Philodendron billietiae", "Philodendron blanchetianum", "Philodendron burle-marxii", "Philodendron callosum", "Dicrodon guttulatum", "Oxarthrius inexpectatus", "Oxarthrius aurora", "Habreuresis falcata", "Habreuresis recta", "Adelonetria dubiosa", "Notiomaso barbatus", "Nasoona coronata", "Anodoration claviferum", "Lygarina aurantiaca", "Onychembolus anceps", "Neocautinella neoterica", "Acylophorus derougemonti", "Acylophorus madecassus", "Acylophorus hova", "Acylophorus mauritianus", "Acylophorus montanus", "Pholidoscelis plei", "Pholidoscelis major", "Nepenthes abalata", "Mermessus hebes", "Mermessus obscurus", "Mermessus nigrus", "Mermessus insulsus", "Mermessus conjunctus", "Philodendron davidsonii", "Mermessus dentimandibulatus", "Philodendron davidsonii subsp. davidsonii", "Philodendron elegans", "Paraletes timidus", "Philodendron fibrosum", "Microplanus mollis", "Philodendron fragantissimum", "Thaumatophyllum spruceanum", "Philodendron insigne", "Iheringocantharus ypiranganus", "Philodendron maximum", "Tutaibo niger", "Tusukuru tamburinus", "Schismatoglottis motleyana", "Ainerigone saitoi", "Schismatoglottis pusilla", "Schismatoglottis trifasciata", "Schismatoglottis wallichii", "Philodendron smithii", "Thaumatophyllum stenolobum", "Philodendron surinamense", "Oxyporus fentianae", "Oxyporus ningerius", "Thaumatophyllum tweedieanum", "Thaumatophyllum undulatum", "Xanthophius janaki", "Philodendron variifolium", "Notolinopsis janaki", "Notolinopsis mbotyianus", "Notolinopsis mirabilis", "Notolinopsis khoi", "Notolinopsis lemniscatus", "Tutaibo phoeniceus", "Tutaibo rubescens", "Tutaibo formosus", "Tutaibo anglicanus", "Holcosus anomalus", "Holcosus chaitzami", "Holcosus niceforoi", "Holcosus orcesi", "Holcosus festivus", "Holcosus bridgesii", "Philodendron perplexum", "Holcosus leptophrys", "Philodendron meliononi", "Philodendron pterotum", "Kentropyx calcarata", "Kentropyx viridistriga", "Kentropyx borckiana", "Acylophorus tristis", "Juanfernandezia melanocephala", "Psilocymbium lineatum", "Malkinola insulanus", "Acylophorus muscorum", "Diechomma exiguum", "Acylophorus delphinus", "Bactrogyna prominens", "Acylophorus minutus", "Acylophorus sogai", "Turbinellina nigra", "Anodoration tantillum", "Termitognathus caviceps", "Erigone palustris", "Erigone clavipalpis", "Erigone uliginosa", "Erigone fluminea", "Philodendron anisotomum", "Philodendron appendiculatum", "Acer heldreichii subsp. heldreichii", "Chenopodium neomexicanum var. palmeri", "Neoxantholinus thailandicus", "Metolinus squamifer", "Mahavana eximia", "Denon silvestris", "Indolinus inermis", "Erymus filiformis", "Asterostigma luschnathianum", "Dieffenbachia lancifolia", "Devilleferus brunkei", "Taccarum weddellianum", "Chioninia coctei", "Chioninia delalandii", "Cylindroxystus janualis", "Amorphophallus abyssinicus subsp. abyssinicus", "Ocyolinus principalis", "Philodendron inaequilaterum", "Labicymbium ambiguum", "Labicymbium major", "Labicymbium cordiforme", "Labicymbium cognatum", "Labicymbium dentichele", "Labicymbium avium", "Labicymbium montanum", "Dicrodon heterolepis", "Dicrodon holmbergi", "Gravipalpus callosus", "Gravipalpus crassus", "Smermisia caracasana", "Myrmecomelix pulcher", "Tutaibo debilipes", "Tutaibo pullus", "Tutaibo velox", "Holcosus undulatus", "Ameiva atrigularis", "Ameiva concolor", "Callopistes maculatus", "Xestia lanceolata", "Aquilargilla ceratophora", "Aquilargilla basifixa", "Diduga albicosta", "Diduga dubatolovi", "Diduga kokhongensis", "Diduga bispinosa", "Zyras artemis", "Kentropyx paulensis", "Philodendron radiatum var. radiatum", "Kentropyx lagartija", "Kentropyx pelviceps", "Kentropyx altamazonica", "Teius oculatus", "Teius suquiensis", "Sphecozone corniculans", "Sphecozone alticeps", "Sphecozone crinita", "Sphecozone nitens", "Sphecozone varia", "Araneus bonali", "Sphecozone capitata", "Sphecozone nigripes", "Sphecozone altehabitans", "Philodendron rudgeanum", "Sphecozone niwina", "Philodendron gigas", "Stenus mangdangshanus", "Stenus fujianensis", "Philodendron grandipes", "Stenus cooterianus", "Stenus wuyiensis", "Spanioplanus mitis", "Stenus lacrimulus", "Fissiscapus pusillus", "Stenus huangganmontium", "Fissiscapus fractus", "Labicymbium sturmi", "Labicymbium opacum", "Philodendron grazielae", "Labicymbium sublestum", "Labicymbium jucundum", "Nazeris yipingae", "Labicymbium fuscum", "Nazeris jiaweii", "Labicymbium auctum", "Labicymbium breve", "Philodendron simsii", "Labicymbium exiguum", "Atheta rigidicornis", "Pholidoscelis fuscatus", "Pholidoscelis maynardi", "Pholidoscelis griswoldi", "Pholidoscelis dorsalis", "Pholidoscelis atratus", "Pholidoscelis auberi", "Pholidoscelis chrysolaemus", "Callopistes flavipunctatus", "Asiophantes pacificus", "Asiophantes sibiricus", "Cheiracanthium ilicis", "Schismatoglottis asperata", "Schismatoglottis barbata", "Schismatoglottis bifasciata", "Asthenargoides logunovi", "Asthenargoides kurenstchikovi", "Asthenargoides kurtchevae", "Frontinella tibialis", "Lathrobium violii", "Linyphia chiapasia", "Linyphia xilitla", "Apoballis mutata", "Selenyphantes longispinosus", "Jalapyphantes puebla", "Jalapyphantes minoratus", "Jalapyphantes cuernavaca", "Ortalis columbiana", "Ortalis araucuan", "Aridarum montanum", "Piptospatha ridleyi", "Ortalis ruficeps", "Ortalis squamata", "Ecpleopus gaudichaudii", "Pholidoscelis wetmorei", "Pholidoscelis cineraceus", "Pholidoscelis corax", "Pholidoscelis umbratilis", "Pholidoscelis erythrocephalus", "Pholidoscelis pluvianotatus", "Solanum edmundoi", "Solanum triunfense", "Amorphophallus aphyllus", "Amorphophallus atroviridis", "Amorphophallus barthlottii", "Solanum sect.", "Chioninia spinalis", "Chioninia stangeri", "Sphecozone melanocephala", "Sphecozone castanea", "Psilocymbium tuberosum", "Psilocymbium pilifrons", "Psilocymbium incertum", "Sphecozone gravis", "Sphecozone crassa", "Sphecozone formosa", "Gonatoraphis lobata", "Gonatoraphis aenea", "Dolabritor spineus", "Dolabritor ascifer", "Walckenaeria intoleranda", "Asemostera pallida", "Erigone miniata", "Meioneta galapagosensis", "Meioneta pinta", "Eurymorion mourai", "Eurymorion murici", "Eurymorion triunfo", "Algyroides nigropunctatus", "Frontinella huachuca", "Frontinella huachuca huachuca", "Frontinella huachuca benevola", "Frontinella potosia", "Bachia dorbignyi", "Lathrobium petruzzielloi", "Amorphophallus stuhlmannii", "Amorphophallus stuhlmannii subsp. stuhlmannii", "Amorphophallus variabilis", "Amorphophallus yunnanensis", "Amorphophallus flotoi", "Notolinopsis natalensis", "Thaumatophyllum xanadu", "Pachycorynus bakeri", "Thyreocephalus rufus", "Metolinus finettii", "Metolinus cleopatranus", "Metolinus elegans", "Metolinus insularis", "Erymus elytratus", "Sphecozone rubicunda", "Sphecozone diversicolor", "Sphecozone ignigena", "Sphecozone venialis", "Sphecozone personata", "Sphecozone rostrata", "Sphecozone lobata", "Sphecozone modica", "Sphecozone araeonciformis", "Sphecozone cornuta", "Moyosi rugosa", "Xanthophius philippinus", "Manilla rufula", "Manilla maramag", "Sphecozone spadicaria", "Amphisbaena pretrei", "Thyreocephalus mirabilis", "Amorphophallus hirtus", "Ephedranthus boliviensis", "Amorphophallus maximus", "Alpaida levii", "Amorphophallus maximus subsp. maximus", "Alpaida yanayacu", "Amorphophallus mossambicensis", "Amorphophallus myosuroides", "Chimaerochloa archboldii", "Gastrodia uraiensis", "Prismognathus yutangi", "Solanum flagellare", "Amorphophallus lacourii", "Tropidophorus cocincinensis", "Diploglossus owenii", "Diploglossus pleii", "Scelarcis perspicillata", "Tachygyia microlepis", "Ocypus rhoetus", "Sphenomorphus sanctus", "Sphenomorphus melanopogon", "Sphenomorphus dussumieri", "Ocypus zeuxis", "Awas helii", "Mimogonellus dreybrodti", "Lemna disperma", "Spirodela oligorrhiza", "Spirodela punctata", "Ocypus pelias", "Ocrepeira subrufa", "Ocypus puer", "Ocypus rhinton", "Ocypus semenowi", "Ocypus abaris", "Urospatha friedrichsthalii", "Urospatha sagittifolia", "Ocrepeira rufa", "Cremastosperma cenepense", "Cremastosperma bullatum", "Cremastosperma antioquense", "Cremastosperma awaense", "Cremastosperma chococola", "Cremastosperma dolichocarpum", "Cremastosperma longipes", "Cremastosperma magdalenae", "Cremastosperma napoense", "Cremastosperma stenophyllum", "Cremastosperma westrae", "Cremastosperma venezuelanum", "Erica situshiemalis", "Erica grandiflora", "Amorphophallus dunnii", "Amorphophallus excentricus", "Amorphophallus hewittii", "Amorphophallus commutatus", "Chioninia vaillantii", "Amorphophallus corrugatus", "Chioninia nicolauensis", "Cynisca leucura", "Cyclodomorphus casuarinae", "Ameiva provitaae", "Ctenotus labillardieri", "Solanum aridum", "Dendrobium lampongense", "Carlia peronii", "Cymbidium ensifolium", "Wolffia australiana", "Proctoporus rahmi", "Domene aqiang", "Domene jiangi", "Domene jini", "Domene nanlingensis", "Domene tui", "Cyrtosperma cuspidispathum", "Cyrtosperma hambalii", "Ocypus aenescens", "Ocypus ballio", "Ocypus calamis", "Dracontium gigas", "Dracontium pittieri", "Ocypus densissimus", "Ocypus dolon", "Ocypus graeseri", "Ocypus hecato", "Ocrepeira georgia", "Ocypus inexspectatus", "Ocypus menander", "Ocypus neocles", "Ocypus orodes", "Gastrodia entomogama", "Sphaerobulbus miwai", "Ocypus puetzi", "Ocypus thericles", "Ocypus umbro", "Ocypus zopyrus", "Ocypus pileaticulminis", "Ocypus denticulminis", "Ocypus anguliculminis", "Ocypus digiticulminis", "Ocypus alticulminis", "Ocypus fusciculminis", "Ocypus nigriculminis", "Ocypus recticulminis", "Alpaida losamigos", "Alpaida penca", "Alpaida guto", "Hypocrita crocota", "Monstera adansonii subsp. adansonii", "Monstera adansonii subsp. klotzschiana", "Monstera adansonii subsp. laniata", "Domene chenpengi", "Gastrodia exilis", "Gastrodia falconeri", "Gastrodia fimbriata", "Gastrodia flavilabella", "Gastrodia flexistyla", "Gastrodia fontinalis", "Gastrodia gracilis", "Gastrodia grandilabris", "Gastrodia holttumii", "Euspondylus simonsii", "Rhaphidophora hookeri", "Rhaphidophora korthalsii", "Cardabiodon venator", "Rhaphidophora pertusa", "Heteropsis oblongifolia", "Heteropsis salicifolia", "Dendrobium adae", "Proctoporus xestus", "Lobophyllia corymbosa", "Lobophyllia hempricii", "Ocrepeira pedregal", "Eucyane monzoni", "Eucyane anerythra", "Thyrgis eucyaniformis", "Thyrgis ambigua", "Thyrgis investigatorum", "Phanolinopsis goniakos", "Phanolinopsis metaksenios", "Phanolinopsis norahae", "Phanolinopsis discedens", "Phanolinopsis fassli", "Arhopala hinigugma", "Crocodilurus amazonicus", "Domene crassicornis", "Domene curtipennis", "Monstera epipremnoides", "Domene malaisei", "Domene reitteri", "Monstera tenuis", "Monstera tuberculata", "Papilio aegeus aegeus", "Papilio aegeus adrastus", "Xenops minutus genibarbis", "Papilio aegeus aegatinus", "Papilio aegeus kissuanus", "Papilio aegeus goramensis", "Papilio aegeus keianus", "Papilio aegeus othello", "Papilio aegeus ormenus", "Papilio aegeus websteri", "Papilio aegeus ormenulus", "Papilio aegeus oritas", "Papilio fuscus burgessi", "Gastrodia huapingensis", "Gastrodia isabelensis", "Gastrodia javanica", "Heterodactylus imbricatus", "Gymnodactylus geckoides", "Austinograea alayseae", "Segonzacia mesatlantica", "Xantho poressa", "Simlops kartabo", "Ocrepeira branta", "Ocrepeira potosi", "Ocrepeira camaca", "Ocrepeira arturi", "Morethia lineoocellata", "Lampropholis guichenoti", "Hemiergis quadrilineatum", "Emoia baudini", "Emoia physicae", "Ocypus bion", "Ocypus caelestis", "Ocypus dryas", "Ocypus elpenor", "Ocypus fuscatus", "Ocypus glabrio", "Ocypus gorgias", "Ocypus hyas", "Ocypus imurai", "Ocypus itys", "Ocypus jelineki", "Ocypus laelaps", "Ocypus lewisius", "Ocypus mimas", "Ocypus nabis", "Ocypus nigroaeneus", "Ocypus nigror", "Ocypus palamedes", "Ocypus pammenes", "Ocypus quiris", "Ocypus sadales", "Ocypus sarpedon", "Ocypus scaevola", "Ocypus sericeomicans", "Ocypus teuthras", "Ocypus vindex", "Ocypus xerxes", "Ocypus zetes", "Rhaphidophora tetrasperma", "Wilsonosaura josyi", "Patiria miniata", "Dermasterias imbricata", "Liparis makinoana", "Punctelia ruderata", "Rhaphidophora petrieana", "Tegenaria scopifera", "Punctelia guanchica", "Chenopodium sagittatum", "Lygephila frosya", "Lygephila intermedia", "Rhodospatha oblongata", "Euscalpellum minutum", "Domene cultrata", "Chenopodium berlandieri subsp. nuttalliae", "Domene cuspidata", "Papilio fuscus cristobalensis", "Domene reducta", "Papilio fuscus hypsicles", "Papilio fuscus wangiwangiensis", "Papilio fuscus wasiensis", "Papilio fuscus relmae", "Papilio fuscus gyrei", "Papilio woodfordi mome", "Papilio woodfordi gimblei", "Lygephila decolor", "Rhodospatha latifolia", "Eugoa regalis", "Eugoa silvia", "Eugoa protessellata", "Eugoa zitnani", "Eugoa similis", "Eugoa kareli", "Eugoa tanimbara", "Eugoa floresicola", "Eugoa eeckei", "Eugoa hectogamoides", "Eugoa humerana", "Eugoa vagigutta", "Pharmacis cantabricus", "Tegenaria levantina", "Stenus dongbaishanus", "Stenus zhejiangensis", "Tegenaria carensis", "Stenus decoripennis", "Athaumasta golomto", "Athaumasta kyrkyza", "Athaumasta melyakhi", "Pseudactium credoi", "Bibloplectus ellisi", "Athaumasta miltina", "Bibloplectus levis", "Bibloplectus parki", "Bibloplectus quadratum", "Rhynchina bilasmuga", "Bibloplectus steevesi", "Bibloplectus suteri", "Bibloplectus tishechkini", "Lygephila pidmanulapidvela", "Gastrodia crassisepala", "Euspondylus maculatus", "Gastrodia crebriflora", "Gastrodia crispa", "Gastrodia damingshanensis", "Gastrodia dyeriana", "Lophomilia andreasi", "Gastrodia effusa", "Lygephila asiatica", "Rhaphidophora glauca", "Anthurium amoenum", "Anthurium andicola", "Anthurium argyrostachyum", "Anthurium arisaemoides", "Anthurium asplundii", "Gymnadenia austriaca", "Gymnadenia austriaca var. austriaca", "Gymnadenia austriaca var. gallica", "Anthurium balaoanum", "Anthurium berriozabalense", "Stenospermation flavescens", "Stenospermation popayanense", "Stenospermation sessile", "Stenospermation ulei", "Alpaida arvoredo", "Alpaida caramba", "Anchocerus balianus", "Anchocerus differens", "Anchocerus rougemonti", "Anchocerus thai", "Anchocerus aparamerus", "Anchocerus grandis", "Anchocerus thailandicus", "Gymnadenia bicolor", "Gymnodactylus darwinii", "Gymnodactylus guttulatus", "Stenus gastralis", "Scindapsus rupestris", "Punctelia diffractaica", "Ypsolopha moltenii", "Biston rosenbaueri", "Blakistonia aurea", "Blakistonia bassi", "Blakistonia bella", "Blakistonia birksi", "Blakistonia carnarvon", "Blakistonia emmottorum", "Blakistonia gemmelli", "Blakistonia hortoni", "Blakistonia mainae", "Blakistonia maryae", "Blakistonia newtoni", "Phanolinopsis erythros", "Scindapsus scortechinii", "Scindapsus sumatranus", "Crataegus heterophylla", "Anthurium bonplandii", "Anthurium bonplandii subsp. guayanum", "Hermodice carunculata", "Glyptonotus antarcticus", "Anthurium bonplandii subsp. bonplandii", "Anthurium brenesii", "Anthurium brownii", "Anthurium caperatum", "Anthurium caucanum", "Anthurium cerropirrense", "Nasoona chrysanthusi", "Anthurium chiapasense", "Anthurium chiapasense subsp. chiapasense", "Nasoona prominula", "Anthurium clarinervium", "Ophiodes striatus", "Gymnadenia bicornis", "Gymnadenia buschmanniae", "Gymnadenia carpatica", "Anthurium gustavii", "Anthurium jenmanii", "Ceratinopsis orientalis", "Ceratinopsis blesti", "Pseudomicrocentria minutissima", "Anthurium crassinervium var. crassinervium", "Pseudomicrocentria simplex", "Erigone bifurca", "Anthurium crystallinum", "Protocypus taibaiensis", "Protocypus admirabilis", "Anthurium cubense", "Anthurium cupulispathum", "Protocypus fulvotomentosus", "Protocypus latro", "Anthurium pentaphyllum var. pentaphyllum", "Anthurium plowmanii", "Phytolacca icosandra var. anomala", "Anthurium protensum", "Anthurium protensum subsp. protensum", "Anthurium rimbachii", "Protocypus ursus", "Cicinnus giustii", "Anthurium faustomirandae", "Anthurium fendleri", "Anthurium flexile", "Phyllopezus przewalskii", "Anthurium flexile subsp. flexile", "Anthurium formosum", "Periphoba tephra", "Anthurium giganteum", "Anthurium longipes", "Heringita descombesi", "Caryocolum tredosella", "Anchocerus pengzhongi", "Anchocerus yunnanensis", "Anchocerus yini", "Hemiquedius castoris", "Hemiquedius infinitus", "Hemiquedius ferox", "Oedothorax khasi", "Stenus liuyei", "Stenus panyuhongae", "Stenus viridanus", "Stenus viridivestis", "Stenus viridicans", "Stenus cyanogaster", "Anthurium alcatrazense", "Anthurium alluriquinense", "Prototheora katangensis", "Prototheora tanzaniensis", "Solanum hieronymi", "Solanum juvenale", "Solanum moxosense", "Solanum perplexum", "Solanum pumilum", "Solanum reineckii", "Anthurium laciniosum", "Anthurium lucens", "Anthurium martianum", "Anthurium microphyllum", "Anthurium nitidulum", "Gymnadenia corneliana", "Anthurium rionegrense", "Anthurium rzedowskii", "Gymnadenia crassinervis", "Ophiodes intermedius", "Ophiodes vertebralis", "Anthurium salvinii", "Ophiodes fragilis", "Anthurium scandens subsp. scandens", "Anthurium obtusum subsp. obtusum", "Anthurium ochranthum", "Anthurium ovatifolium", "Simplimorpha cercaria", "Simplimorpha nielseni", "Dysdera affinis", "Simplimorpha kailai", "Simplimorpha sapphirella", "Batrisodes abdominalis", "Batrisodes grossus", "Simplimorpha callicomae", "Batrisodes qiului", "Simplimorpha eucryphiae", "Batrisodes simianshanus", "Anthurium schlechtendalii subsp. schlechtendalii", "Anthurium splendidum", "Anthurium superbum", "Anthurium trifidum", "Anthurium upalaense", "Anthurium wagenerianum", "Anthurium warocqueanum", "Simplimorpha lamingtonia", "Batrisodes tianmuensis", "Simplimorpha sapphiripes", "Batrisodes xuhaoi", "Batrisodes zethus", "Batrisodes zhouchaoi", "Piestus chullachaqui", "Anthurium oxycarpum", "Pectinivalva mystaconota", "Pectinivalva scotodes", "Pectinivalva acmenae", "Pectinivalva xenadelpha", "Anthurium pedatoradiatum", "Pectinivalva quintiniae", "Anthurium pedatoradiatum subsp. pedatoradiatum", "Pectinivalva tribulatrix", "Batueta voluta", "Johorea decorata", "Parameioneta spicata", "Parameioneta bilobata", "Parameioneta yongjing", "Protocypus lupus", "Protocypus pilifer", "Protocypus wrasei", "Protocypus beckeri", "Euscalpellum renei", "Protocypus canis", "Protocypus felis", "Protocypus lativentris", "Protocypus meles", "Protocypus vulpes", "Kaestneria minima", "Amata montagua", "Anthurium dombeyanum", "Karanasa pamira albofasciata", "Anthurium ernestii", "Anthurium ernestii var. ernestii", "Cicinnus floris", "Anaptomecus yarigui", "Piestus convexus", "Piestus similis", "Piestus lacordairei", "Anaptomecus temii", "Anaptomecus levyi", "Anaptomecus longiventris", "Ophiodes luciae", "Piestus puncticollis", "Sparianthina selenopoides", "Piestus capricornis", "Sparianthina pumilla", "Piestus planatus", "Piestus spinosus", "Sparianthina rufescens", "Sparianthina milleri", "Piestus zischkai", "Pothos armatus", "Piestus bicornis", "Pothos crassipedunculatus", "Piestus fronticornis", "Gonatopus boivinii", "Siphlophis pulcher", "Anthurium watermaliense", "Elapomorphus quinquelineatus", "Anthurium ramonense", "Anthurium ravenii", "Anthurium sagittatum", "Sparianthina adisi", "Sparianthina deltshevi", "Sparianthina saaristoi", "Anthurium spathulifolium", "Sparianthina parang", "Sparianthina gaita", "Afribactrus stylifrons", "Pothos repens", "Piestus longipennis", "Piestus longicornis", "Piestus fulvipes", "Bothrocophias campbelli", "Stylochaeton angolense", "Stylochaeton lancifolium", "Stylochaeton natalense", "Stylochaeton natalense subsp. natalense", "Phrynocephalus guttatus", "Podarcis tiliguerta", "Piestus rossii", "Piestus pennicornis", "Piestus pygmaeus", "Piestus extimus", "Piestus buquetii", "Piestus filicornis", "Piestus abdominalis", "Piestus niger", "Bothrops osbornei", "Habenaria plantaginea", "Kohleria hondensis", "Dichromanthus michuacanus", "Hydrocotyle humboldtii", "Tulipa heterophylla", "Tulipa alberti", "Tulipa anisophylla", "Hydrocotyle alata", "Hydrocotyle pusilla", "Hydrocotyle americana var. heteromeria", "Hydrocotyle novae-zealandiae", "Atypena adelinae", "Aralia glabra", "Aralia rex", "Aralia undulata", "Piestus minutus", "Hydrocotyle aconitifolia", "Piestus penicillatus", "Hydrocotyle alchemilloides", "Piestus termitis", "Hydrocotyle callicephala", "Elapomorphus wuchereri", "Hydrocotyle grossulariifolia", "Prespelea parki", "Prespelea minima", "Prespelea morsei", "Prespelea divergens", "Prespelea carltoni", "Prespelea myersae", "Prespelea georgiensis", "Prespelea copelandi", "Prespelea enigma", "Prespelea wagneri", "Prespelea basalis", "Aralia chinensis subsp. chinensis", "Micrargus fuscipalpis", "Aralia echinocaulis", "Chenisides bispinigera", "Chenisides monospina", "Aralia elata var. elata", "Aralia elata var. mandshurica", "Pelecopsis subflava", "Orostachys malacophylla var. aggregeata", "Trichoncus nairobi", "Meioneta metropolis", "Lepthyphantes aberdarensis", "Mecynidis muthaiga", "Mecynidis bitumida", "Mecynidis antiqua", "Mecynidis scutata", "Mecynidis spiralis", "Walckenaeria allopatriae", "Walckenaeria tanzaniensis", "Ulugurella longimana", "Trichopterna loricata", "Trichopterna macrophthalma", "Trachymene coerulea", "Trichopterna seculifera", "Bursellia setifera", "Trachymene coerulea subsp. coerulea", "Trachymene glaucifolia", "Bursellia gibbicervix", "Trachymene oleracea", "Trachymene oleracea subsp. oleracea", "Trachymene pilosa", "Trachymene scapigera", "Trachymene valida", "Aralia apioides", "Sarcotachina subcylindrica", "Prespelea quirsfeldi", "Piestus imperfectus", "Piestus costatus", "Piestus chiriquensis", "Piestus nevermanni", "Piestus paradoxus", "Asiagone siama", "Piestus boliviensis", "Piestus angularis", "Piestus acuminatus", "Piestus elegans", "Enguterothrix simpulum", "Aperturina paniculus", "Batueta baculum", "Lamellasia mirabilis", "Nasoonaria magna", "Oedothorax convector", "Theoa elegans", "Theoa longicrusa", "Enguterothrix crinipes", "Eleusis interrupta", "Hydrocotyle prolifera", "Hydrocotyle novae-zealandiae var. robusta", "Hydrocotyle pedicellosa", "Atypena thailandica", "Hydrocotyle peduncularis", "Piestus surrufus", "Piestus formicinus", "Hydrocotyle hirsuta", "Piestus sulcatus", "Hydrocotyle laxiflora", "Piestus gounellei", "Piestus mexicanus", "Piestus ecuadorensis", "Piestus foveolatus", "Piestus sulcipennis", "Hydrocotyle modesta", "Hydrocotyle nepalensis", "Atypena crocatoa", "Atypena pallida", "Atypena ellioti", "Atypena simoni", "Atypena superciliosa", "Piesocalus javanus", "Papilio polytes sakiboso", "Hexophthalma hahni", "Xerophygus hreblayi", "Aporia larraldei", "Hexophthalma spatulata", "Cicynethus decoratus", "Carpelimus bifidus", "Cheirodendron trigynum subsp. trigynum", "Thinodromus juanfernandezianus", "Trogactus ocellatus", "Cicynethus subtropicalis", "Cicynethus peringueyi", "Gymnadenia dolomitensis", "Cussonia transvaalensis", "Dendropanax proteus", "Eleutherococcus setchuenensis", "Eleutherococcus trifoliatus var. trifoliatus", "Cicynethus acanthopus", "Acontias occidentalis", "Acrapex mediopuncta", "Cussonia arborea", "Cussonia gamtoosensis", "Cussonia natalensis", "Cussonia nicholsonii", "Trimeresurus macrolepis", "Mendaxinus psammus", "Mendaxinus seredouensis", "Mendaxinus stenocollis", "Aposphragisma jambi", "Aposphragisma sumatra", "Gymnadenia gabasiana", "Gymnadenia hygrophila", "Gymnadenia lithopolitanica", "Eleutherococcus wardii", "Jungia rugosa", "Gamblea ciliata var. ciliata", "Dichromanthus aurantiacus", "Dichromanthus cinnabarinus", "Dichromanthus yucundaa", "Eurydice pulchra", "Cicynethus acer", "Mysis relicta", "Cicynethus mossambicus", "Cicynethus floriumfontis", "Limnonectes longchuanensis", "Limnonectes lauhachindai", "Limnonectes nguyenorum", "Limnonectes coffeatus", "Dysdera valentina", "Callipia rosetta", "Callipia augustae", "Callipia sihvoneni", "Callipia wojtusiaki", "Callipia wojtusiaki wojtusiaki", "Callipia wojtusiaki septentrionalis", "Callipia milleri", "Callipia fulvida", "Callipia flagrans", "Callipia jonai", "Callipia levequei", "Hexophthalma binfordae", "Hexophthalma goanikontesensis", "Hexophthalma leroyi", "Hexophthalma albospinosa", "Hexophthalma damarensis", "Delias acalis yinggeensis", "Hexophthalma dolichocephala", "Papilio polytes rubidimacula", "Papilio polytes latreilloides", "Senecio tephrosioides", "Catherinum recurvitergum", "Aristolochia didyma", "Lupinus weberbaueri", "Cantua pyrifolia", "Miagrammopes grodnitskyi", "Miagrammopes kinabalu", "Miagrammopes uludusun", "Dysdera espanoli", "Dysdera vivesi", "Hasarius raychaudhurii", "Harpactea blasi", "Eleutherococcus henryi var. henryi", "Eleutherococcus leucorrhizus var. leucorrhizus", "Mendaxinus brendelli", "Mendaxinus browni", "Mendaxinus debitus", "Gymnadenia emeiensis", "Gymnadenia frivaldii", "Mendaxinus dilutus", "Mendaxinus dilutus tsuapaensis", "Mendaxinus fictus", "Mendaxinus halli", "Mendaxinus iduus", "Mendaxinus janaki", "Mendaxinus kivuensis", "Mendaxinus kribiensis", "Mendaxinus nanus", "Mendaxinus oculeus", "Aposphragisma globosum", "Callipia balteata", "Callipia fiedleri", "Callipia lamasi", "Callipia jakobi", "Dysdera aurgitana", "Callipia paradisea", "Callipia vicinaria", "Callipia walterfriedlii", "Astrotricha crassifolia", "Callipia hausmanni", "Callipia constantinaria", "Astrotricha floccosa", "Astrotricha linearis", "Astrotricha latifolia", "Callipia rougeriei", "Callipia occulta", "Callipia hiltae", "Callipia aurata", "Callipia brenemanae", "Brassaiopsis bodinieri", "Callipia parrhasiata", "Callipia intermedia", "Callipia karsholti", "Brassaiopsis mitis", "Dysdera castillonensis", "Dysdera helenae", "Dysdera machadoi", "Dysdera ortunoi", "Myrmarachne wanlessi", "Myrmarachne malayana", "Myrmarachne hirsutipalpi", "Osmoxylon masarangense", "Cylindrophis opisthorhodus", "Gymnadenia \u00d7 borisii", "Trimeresurus fasciatus", "Cylindrophis isolepis", "Gymnadenia nigra", "Cylindrophis aruensis", "Panax bipinnatifidus var. bipinnatifidus", "Cylindrophis boulengeri", "Cylindrophis lineatus", "Cylindrophis burmanus", "Gymnadenia odoratissima", "Cylindrophis engkariensis", "Polyscias paniculata", "Polyscias racemosa", "Polyscias pinnata", "Tulipa kolpakowskiana", "Plerandra elegantissima", "Polyscias aemiliguineae", "Polyscias balfouriana", "Polyscias cissodendron", "Polyscias filicifolia", "Polyscias flynnii", "Amata kuninga", "Amata pucata", "Amata sturmi", "Polyscias hawaiensis", "Polyscias kavaiensis", "Hapalotremus chespiritoi", "Hapalotremus kuka", "Hapalotremus marcapata", "Hapalotremus perezmilesi", "Hapalotremus vilcanota", "Mendaxinus vulgaris", "Mendaxinus zotti", "Mendaxinus akonolingensis", "Mendaxinus bicoroensis", "Mendaxinus danielssoni", "Mendaxinus loebli", "Mendaxinus malawiensis", "Mendaxinus priorus", "Mendaxinus teryohini", "Mendaxinus tycheus", "Mendaxinus vivus", "Mendaxinus zoae", "Mendaxinus zoae patensus", "Oreopanax ecuadoriensis", "Hemirrhagus cervinus", "Hemirrhagus chilango", "Oreopanax pycnocarpus", "Hemirrhagus coztic", "Hemirrhagus eros", "Hemirrhagus gertschi", "Hemirrhagus ocellatus", "Hemirrhagus papalotl", "Hemirrhagus elliotti", "Hemirrhagus grieta", "Hemirrhagus mitchelli", "Hemirrhagus nahuanus", "Hemirrhagus puebla", "Hemirrhagus reddelli", "Hemirrhagus pernix", "Hemirrhagus lochti", "Senna pallida var. goldmaniana", "Senna pallida var. bahamensis", "Polyscias sandwicensis", "Polyscias australiana", "Euscalpellum squamosum", "Gymnadenia miniata", "Trimeresurus gunaleni", "Trimeresurus sumatranus", "Cylindrophis yamdena", "Ruellia haenkeana", "Heteropanax fragrans", "Cylindrophis osheai", "Ammoxenus daedalus", "Raukaua simplex", "Raukaua simplex var. simplex", "Anotylus gunung", "Rastellus africanus", "Rastellus narubis", "Anotylus hartmanni", "Rastellus struthio", "Solanum kollastrum", "Solanum alliariifolium", "Solanum rhizomatum", "Aporia delavayi", "Werneria nubigena", "Solanum amorimii", "Solanum apiahyense", "Solanum filirhachis", "Solanum lacteum", "Solanum psilophyllum", "Solanum verticillatum", "Hapalotremus albipes", "Hapalotremus major", "Hapalotremus martinorum", "Hapalotremus carabaya", "Hapalotremus chasqui", "Atractus careolepis", "Atractus alytogrammus", "Solanum sect.", "Gymnadenia runei", "Solanum cordicitum", "Gymnadenia stiriaca", "Gymnadenia taquetii", "Solanum knoblochii", "Solanum setigeroides", "Gymnadenia widderi", "Solanum novomexicanum", "Gymnadenia \u00d7 abelii", "Eospilarctia volynkini", "Eospilarctia ignivagans", "Eospilarctia pallidivagans", "Anotylus chinensis", "Anotylus cimicoides", "Anotylus coonoor", "Anotylus excisicollis", "Anotylus franzi", "Anotylus ganapati", "Polyscias lydgatei", "Anotylus genalis", "Polyscias waimeae", "Polyscias murrayi", "Polyscias oahuensis", "Mendaxinus congoensis", "Mendaxinus ealanus", "Mendaxinus electus", "Mendaxinus fimbriolatus", "Mendaxinus genalis", "Mendaxinus koppi", "Mendaxinus longiventris", "Dysphania ambrosioides var. integrifolia", "Euscalpellum rostratum", "Myrmarachne acutidens", "Mendaxinus lucidus", "Mendaxinus machadoi", "Myrmarachne epigealis", "Mendaxinus mafingensis", "Mendaxinus pallidicornis", "Myrmarachne macrognatha", "Mendaxinus pauliani", "Mendaxinus proximus", "Mendaxinus schoutedeni", "Mendaxinus aethiopicus", "Osmoxylon insidiator", "Osmoxylon lineare", "Myrmarachne hispidacoxa", "Myrmarachne grossa", "Ferania sieboldii", "Fordonia leucobalia", "Afrarchaea neethlingi", "Tusitala ansieae", "Schefflera parasitica", "Schefflera rodriguesiana", "Schefflera roxburghii", "Schefflera samoensis", "Plerandra veitchii", "Gymnadenia \u00d7 delphineae", "Dysdera anonyma", "Dendrobium fleckeri", "Anotylus anguliceps", "Aenetus sumatraensis", "Anotylus apicipennis", "Dysdera baetica", "Dysdera gamarrae", "Dysdera inermis", "Euchromia manfredi", "Dysdera veigai", "Euchromia deprinsi", "Anotylus bengalensis", "Anotylus borneensis", "Eospilarctia vicina", "Anotylus ceylonicus", "Corythaixoides personatus leopoldi", "Senna pallida var. gaumeri", "Raukaua anomalus", "Rastellus sabulosus", "Rastellus florisbad", "Raukaua edgerleyi", "Rastellus kariba", "Raukaua laetevirens", "Schefflera alpina", "Tropihypnus pokharanus", "Schefflera angulata", "Tropihypnus schawalleri", "Tropihypnus schmidti", "Tropihypnus tongshanensis", "Tropihypnus wrasei", "Dippenaaria luxurians", "Gyiophis maculosa", "Anotylus reitteri", "Anotylus riedeli", "Anotylus rurukan", "Anotylus schawalleri", "Anotylus schillhammeri", "Anotylus schuelkei", "Anotylus tanator", "Anotylus topali", "Cladomelea debeeri", "Geodia tuberosa", "Oxytelus angolensis", "Raclitia indica", "Schefflera macrocarpa", "Schefflera macrophylla", "Schefflera microphylla", "Afrarchaea ansieae", "Phytolopsis punctata", "Brasilionata arborense", "Gyiophis vorisi", "Anotylus ijen", "Mintonophis pakistanicus", "Anotylus jaljulensis", "Erica grandiflora ssp. perfoliosa", "Anotylus jambi", "Anotylus kabasi", "Anotylus linaxi", "Subsessor bocourti", "Anotylus lucidulus", "Anotylus malaisei", "Anotylus montanus", "Anotylus nigricans", "Kualatahan pahangensis", "Anotylus pseudopsinus", "Afrarchaea bergae", "Afrarchaea fernkloofensis", "Afrarchaea kranskopensis", "Afrarchaea lawrencei", "Afrarchaea ngomensis", "Afrarchaea entabeniensis", "Myrrophis bennettii", "Afrarchaea harveyi", "Xanthoparmelia pedregalensis", "Myrrophis chinensis", "Seemannaralia gerrardii", "Eriauchenius fisheri", "Eriauchenius mahariraensis", "Afrarchaea cornuta", "Madagascarchaea tsingyensis", "Miralia alternans", "Homalophis doriae", "Hypsiscopus matannensis", "Hypsiscopus plumbea", "Pseudoferania polylepis", "Djokoiskandarus annulata", "Heurnia ventromatriculata", "Myron richardsonii", "Myron karnsi", "Myron resetari", "Karnsophis siantaris", "Gerarda prevostiana", "Eriauchenius ratsirarsoni", "Gymnadenia \u00d7 eggeriana", "Eriauchenius andriamanelo", "Polyscias cutispongia", "Eriauchenius andrianampoinimerina", "Gymnadenia \u00d7 fohringeri", "Eriauchenius rafohy", "Eriauchenius ranavalona", "Eriauchenius rangita", "Eriauchenius workmani", "Gymnadenia \u00d7 geigelsteiniana", "Eriauchenius goodmani", "Homalopsis hardwickii", "Homalopsis semizonata", "Eriauchenius harveyi", "Gymnadenia \u00d7 godferyana", "Homalopsis nigroventralis", "Gymnadenia \u00d7 hedrenii", "Badister amazonus", "Badister anatolicus", "Badister brevicollis", "Badister bullatus", "Badister denticulatus", "Badister elegans", "Badister fenestratus", "Badister ferrugineus", "Badister flavipes", "Badister iranicus", "Badister lacertosus", "Badister maculatus", "Badister naviauxi", "Badister neopulchellus", "Badister notatus", "Badister obtusus", "Badister pictus", "Badister pulchellus", "Badister sasajii", "Badister seriepunctatus", "Badister thoracicus", "Badister vandykei", "Badister ajax", "Badister bucciarellii", "Badister cavifrons", "Badister collaris", "Badister dilatatus", "Badister fukiensis", "Badister gladiator", "Badister grandiceps", "Badister iridescens", "Badister ishigakiensis", "Badister mareei", "Badister marginellus", "Badister micans", "Badister nakayamai", "Badister nigriceps", "Badister parviceps", "Badister peltatus", "Badister promontorii", "Badister reflexus", "Badister submarinus", "Badister sundaicus", "Badister vittatus", "Badister dorsiger", "Badister sodalis", "Badister transversus", "Baenningeria galapagoensis", "Baenningeria williamsi", "Baeoglossa melanaria", "Baeoglossa villosa", "Bafutyphlus tsacasi", "Balazucellus hubeicola", "Balligratus brevis", "Balligratus globosus", "Balligratus gracilis", "Balligratus humerangulus", "Bamaroodes cyaneus", "Baripus bonvouloirii", "Baripus paralellus", "Baripus aequicostis", "Baripus calchaquensis", "Baripus comechingonensis", "Baripus nigripennis", "Baripus pulchellus", "Baripus rivalis", "Baripus speciosus", "Baripus chubutensis", "Baripus clivinoides", "Baripus dentipenis", "Baripus deplanatus", "Baripus flaccus", "Baripus gentilii", "Baripus giaii", "Baripus longitarsis", "Baripus mendozensis", "Baripus minus", "Baripus neuquensis", "Baripus nevado", "Baripus painensis", "Baripus precordillera", "Baripus schajovskoii", "Baripus sulcatipenis", "Barrymooreana quadrimaculata", "Barylaus estriata", "Barylaus puncticeps", "Barysomus argentinus", "Barysomus cayennensis", "Barysomus cephalotes", "Barysomus hoepfneri", "Barysomus metallicus", "Barysomus punctatostriatus", "Bascanus andreaei", "Bascanus claeysbouuaerti", "Bascanus dissidens", "Bascanus fortesculptus", "Bascanus gracilis", "Bascanus leleupi", "Bascanus longicollis", "Bascanus natalicus", "Bascanus transvaalensis", "Bascanus vandenberghei", "Basilewskya geginati", "Basilewskya punctata", "Basilewskya trachelocyphoides", "Basilewskyana villiersi", "Basistichus micans", "Bathytrechus rueci", "Batoscelis clivinoides", "Batoscelis discipennis", "Batoscelis gerardi", "Batoscelis hellmichi", "Batoscelis leontovitchi", "Batoscelis luctuosa", "Batoscelis luticola", "Batoscelis nigra", "Batoscelis oblonga", "Batoscelis perrieri", "Batoscelis porosa", "Batoscelis promontorii", "Beckeria horni", "Bedeliolus freyellus", "Bedeliolus konevi", "Bedeliolus vigil", "Bembidarenas reicheellus", "Bembidarenas setiventris", "Bembidion crotchii", "Bembidion kuesteri", "Bembidion lachnophoroides", "Bembidion pallidipenne", "Bembidion paulinoi", "Bembidion errans", "Bembidion rotundicolle", "Bembidion incisum", "Bembidion patris", "Bembidion cassinense", "Bembidion chilense", "Bembidion hirtipes", "Bembidion loscondesi", "Bembidion maculiferum", "Bembidion negreanum", "Bembidion ringueleti", "Bembidion rufoplagiatum", "Bembidion spinolai", "Bembidion uniforme", "Bembidion parvum", "Bembidion philippii", "Bembidion nipponicum", "Bembidion platyderoides", "Bembidion formosanum", "Bembidion sauteri", "Bembidion algidum", "Bembidion altestriatum", "Bembidion amaurum", "Bembidion amnicola", "Bembidion bimaculatum", "Bembidion chloreum", "Bembidion collutum", "Bembidion exornatum", "Bembidion gotoense", "Bembidion infuscatum", "Bembidion kazakhstanicum", "Bembidion ladas", "Bembidion lenae", "Bembidion lindbergi", "Bembidion lunatum", "Bembidion macropterum", "Bembidion obenbergeri", "Bembidion ocylum", "Bembidion ovale", "Bembidion pamiricola", "Bembidion peleum", "Bembidion postremum", "Bembidion renoanum", "Bembidion sajanum", "Bembidion sapporense", "Bembidion semiferrugineum", "Bembidion smirnovi", "Bembidion sordidum", "Bembidion umiatense", "Bembidion aureofuscum", "Bembidion jaechi", "Bembidion ateradustum", "Bembidion adductum", "Bembidion crassicorne", "Bembidion humerale", "Bembidion jucundum", "Bembidion larisae", "Bembidion mutatum", "Bembidion oregonense", "Bembidion paediscum", "Bembidion pedicellatum", "Bembidion praecinctum", "Bembidion quadrimaculatum", "Bembidion quadripustulatum", "Bembidion sciakyi", "Bembidion abchasicum", "Bembidion ascendens", "Bembidion astrabadense", "Bembidion atrocaeruleum", "Bembidion atrox", "Bembidion bactrianum", "Bembidion beloborodovi", "Bembidion brunoi", "Bembidion bugnioni", "Bembidion cassolai", "Bembidion catharinae", "Bembidion cimmerium", "Bembidion coeruleum", "Bembidion complanatum", "Bembidion concoeruleum", "Bembidion conforme", "Bembidion cyaneum", "Bembidion depressicolle", "Bembidion depressum", "Bembidion eleonorae", "Bembidion fasciolatum", "Bembidion ferghanicum", "Bembidion geniculatum", "Bembidion gerdi", "Bembidion gotschii", "Bembidion gredosanum", "Bembidion grosclaudei", "Bembidion josephi", "Bembidion justinae", "Bembidion kartalinicum", "Bembidion leonense", "Bembidion leonhardi", "Bembidion livens", "Bembidion longipes", "Bembidion marggii", "Bembidion meschniggi", "Bembidion milosfassatii", "Bembidion mingrelicum", "Bembidion motzfeldi", "Bembidion orinum", "Bembidion paracomplanatum", "Bembidion peliopterum", "Bembidion penninum", "Bembidion pseudocyaneum", "Bembidion relictum", "Bembidion rhodopense", "Bembidion rionicum", "Bembidion satanas", "Bembidion scandens", "Bembidion sclanoi", "Bembidion tabellatum", "Bembidion tibiale", "Bembidion trabzonicum", "Bembidion transcaucasicum", "Bembidion varicolor", "Bembidion vodozi", "Bembidion panda", "Bembidion davaai", "Bembidion elatum", "Bembidion hastii", "Bembidion hiogoense", "Bembidion kimurai", "Bembidion nirasawai", "Bembidion teradai", "Bembidion virens", "Bembidion wui", "Bembidion alaskense", "Bembidion balli", "Bembidion carinula", "Bembidion colvillense", "Bembidion conicolle", "Bembidion foveum", "Bembidion hesperium", "Bembidion inaequale", "Bembidion lapponicum", "Bembidion levettei", "Bembidion litorale", "Bembidion lorquinii", "Bembidion punctatostriatum", "Bembidion semenovi", "Bembidion stenoderum", "Bembidion zephyrum", "Bembidion orregoi", "Bembidion sinicum", "Bembidion almum", "Bembidion difforme", "Bembidion elbursicum", "Bembidion leucolenum", "Bembidion loricatum", "Bembidion luridicorne", "Bembidion mundatum", "Bembidion pygmaeum", "Bembidion quailaicum", "Bembidion splendidum", "Bembidion wittmeri", "Bembidion alatum", "Bembidion hoogstraali", "Bembidion insularum", "Bembidion laterale", "Bembidion palosverdes", "Bembidion tokunoshimanum", "Bembidion tsutsuii", "Bembidion championi", "Bembidion cyclodes", "Bembidion poculare", "Bembidion sphaeroderum", "Bembidion sphaeruliferum", "Bembidion angustatum", "Bembidion flavescens", "Bembidion foochowense", "Bembidion hebridarum", "Bembidion leytense", "Bembidion mastersi", "Bembidion nakamurai", "Bembidion okinawanum", "Bembidion seticorne", "Bembidion sumaoi", "Bembidion yakushimanum", "Bembidion assimile", "Bembidion bisulcatum", "Bembidion blandulum", "Bembidion clarkii", "Bembidion fumigatum", "Bembidion hesperus", "Bembidion loeffleri", "Bembidion longipenne", "Bembidion skoraszewskyi", "Bembidion transparens", "Bembidion achipungi", "Bembidion agonoides", "Bembidion allegroi", "Bembidion andersoni", "Bembidion andinum", "Bembidion atillense", "Bembidion azuayi", "Bembidion bibliani", "Bembidion bolivari", "Bembidion boyaca", "Bembidion callacalla", "Bembidion camposi", "Bembidion carreli", "Bembidion chilesi", "Bembidion chimborazonum", "Bembidion cocuyanum", "Bembidion colombianum", "Bembidion cosangaense", "Bembidion cotopaxi", "Bembidion davidsoni", "Bembidion fulvocinctum", "Bembidion georgeballi", "Bembidion giselae", "Bembidion guamani", "Bembidion guaramacal", "Bembidion humboldti", "Bembidion illuchi", "Bembidion jimburae", "Bembidion mathani", "Bembidion moreti", "Bembidion mucubaji", "Bembidion onorei", "Bembidion oxapampa", "Bembidion paulinae", "Bembidion perraulti", "Bembidion pichincha", "Bembidion pierrei", "Bembidion pyxidum", "Bembidion quebrada", "Bembidion rawlinsi", "Bembidion sanctaemarthae", "Bembidion saragurense", "Bembidion sirinae", "Bembidion subapterum", "Bembidion sulfurarium", "Bembidion vignai", "Bembidion villagomesi", "Bembidion walterrossii", "Bembidion wardii", "Bembidion whymperi", "Bembidion youngi", "Bembidion articulatoides", "Bembidion axillare", "Bembidion azurescens", "Bembidion bulgani", "Bembidion diligens", "Bembidion eupages", "Bembidion gobiense", "Bembidion iliense", "Bembidion inconspicuum", "Bembidion lais", "Bembidion latiplaga", "Bembidion minimum", "Bembidion motschulskyi", "Bembidion netolitzkyanum", "Bembidion normannum", "Bembidion quadriplagiatum", "Bembidion tenellum", "Bembidion transversum", "Bembidion vile", "Bembidion zagrosense", "Bembidion megalops", "Bembidion alikhelicum", "Bembidion combustum", "Bembidion eques", "Bembidion fluviatile", "Bembidion fulvipes", "Bembidion giganteum", "Bembidion nobile", "Bembidion parallelipenne", "Bembidion regale", "Bembidion ripicola", "Bembidion scapulare", "Bembidion tergluense", "Bembidion testaceum", "Bembidion aratum", "Bembidion dentelloides", "Bembidion graciliforme", "Bembidion immaturum", "Bembidion incrematum", "Bembidion iridipenne", "Bembidion ruthenum", "Bembidion sibiricum", "Bembidion starkii", "Bembidion tinctum", "Bembidion chalcodes", "Bembidion interventor", "Bembidion laevibase", "Bembidion laticolle", "Bembidion nitidum", "Bembidion obliquulum", "Bembidion pogonoides", "Bembidion prokopenkoi", "Bembidion rufotibiellum", "Bembidion vitiosum", "Bembidion affine", "Bembidion egens", "Bembidion flavopictum", "Bembidion fuchsii", "Bembidion impotens", "Bembidion mimus", "Bembidion nogalesium", "Bembidion timidum", "Bembidion triviale", "Bembidion versicolor", "Bembidion blackburni", "Bembidion spurcum", "Bembidion proprium", "Bembidion alpineanum", "Bembidion avidum", "Bembidion concolor", "Bembidion friebi", "Bembidion hirmocaelum", "Bembidion humboldtense", "Bembidion nigrum", "Bembidion quadrulum", "Bembidion recticolle", "Bembidion salebratum", "Bembidion subaerarium", "Bembidion csikii", "Bembidion kirschenhoferi", "Bembidion brevistriatum", "Bembidion californicum", "Bembidion marinianum", "Bembidion quadratulum", "Bembidion semistriatum", "Bembidion levigatum", "Bembidion aberdarense", "Bembidion buxtoni", "Bembidion celisi", "Bembidion edwardsi", "Bembidion kenyense", "Bembidion mackinderi", "Bembidion mus", "Bembidion ruwenzoricum", "Bembidion sjostedti", "Bembidion speciense", "Bembidion tambra", "Bembidion belousovi", "Bembidion luisae", "Bembidion pieroi", "Bembidion shugela", "Bembidion taguense", "Bembidion tigrinum", "Bembidion quadriimpressum", "Bembidion wickhami", "Bembidion cooperi", "Bembidion darlingtonielum", "Bembidion festivum", "Bembidion horni", "Bembidion mundum", "Bembidion orion", "Bembidion abeillei", "Bembidion eichleri", "Bembidion laticeps", "Bembidion nigropiceum", "Bembidion utahense", "Bembidion planatum", "Bembidion bodenheimeri", "Bembidion dyschirinum", "Bembidion elevatum", "Bembidion ovoideum", "Bembidion properans", "Bembidion veneriatum", "Bembidion aegyptiacum", "Bembidion apicale", "Bembidion discordans", "Bembidion icterodes", "Bembidion luniferum", "Bembidion ochsi", "Bembidion pogonopsis", "Bembidion quadricolle", "Bembidion splendens", "Bembidion xanthacrum", "Bembidion xanthoxanthum", "Bembidion barkamense", "Bembidion daxuense", "Bembidion facchinii", "Bembidion pacificum", "Bembidion paratomarium", "Bembidion perkinsi", "Bembidion rude", "Bembidion smaragdinum", "Bembidion teres", "Bembidion waialeale", "Bembidion ainu", "Bembidion ruruy", "Bembidion ephippium", "Bembidion ejusmodi", "Bembidion foveolatum", "Bembidion moursyi", "Bembidion niloticum", "Bembidion opulentum", "Bembidion tropicale", "Bembidion abnormale", "Bembidion acticola", "Bembidion aeneicolle", "Bembidion ancash", "Bembidion antarcticum", "Bembidion approximatum", "Bembidion aricense", "Bembidion aubei", "Bembidion auxiliator", "Bembidion basiplagiatoides", "Bembidion basiplagiatum", "Bembidion bicolor", "Bembidion bonariense", "Bembidion callens", "Bembidion calverti", "Bembidion castor", "Bembidion cayambense", "Bembidion cekalovici", "Bembidion cekalovicianum", "Bembidion chaudoirianum", "Bembidion cognatum", "Bembidion coloradense", "Bembidion commissum", "Bembidion consimile", "Bembidion conspersum", "Bembidion constrictum", "Bembidion consuetum", "Bembidion contractum", "Bembidion convergens", "Bembidion cordatum", "Bembidion cupreostriatum", "Bembidion debiliceps", "Bembidion dejectum", "Bembidion dorsale", "Bembidion evidens", "Bembidion fischeri", "Bembidion flohri", "Bembidion gabrielum", "Bembidion galapagoense", "Bembidion graphicum", "Bembidion hageni", "Bembidion hornense", "Bembidion idoneum", "Bembidion igorot", "Bembidion inconstans", "Bembidion indistinctum", "Bembidion insulatum", "Bembidion intermedium", "Bembidion herbertfranzi", "Bembidion jani", "Bembidion luhuoense", "Bembidion qinghaicum", "Bembidion rebeccae", "Bembidion schillhammeri", "Bembidion schuelkei", "Bembidion turnai", "Bembidion wraseanum", "Bembidion punctatellum", "Bembidion ambiguum", "Bembidion cirtense", "Bembidion gansuense", "Bembidion leucoscelis", "Bembidion nigricorne", "Bembidion rugicolle", "Bembidion striaticeps", "Bembidion submutatum", "Bembidion torosum", "Bembidion constricticolle", "Bembidion nitidicolle", "Bembidion nudipenne", "Bembidion satoi", "Bembidion shimoyamai", "Bembidion armeniacum", "Bembidion bicikense", "Bembidion callosum", "Bembidion cantalicum", "Bembidion caucasicum", "Bembidion deliae", "Bembidion fortunatum", "Bembidion genei", "Bembidion grisvardi", "Bembidion hauserianum", "Bembidion ibericum", "Bembidion kermanum", "Bembidion laevipenne", "Bembidion mauritii", "Bembidion menetriesii", "Bembidion pinkeri", "Bembidion retipenne", "Bembidion rufimacula", "Bembidion schmidti", "Bembidion seriatum", "Bembidion staneki", "Bembidion syropalaestinum", "Bembidion tetragrammum", "Bembidion tetrasemum", "Bembidion turcicum", "Bembidion vseteckai", "Bembidion admirandum", "Bembidion advena", "Bembidion atomarium", "Bembidion auratum", "Bembidion coecum", "Bembidion corticarium", "Bembidion fulgens", "Bembidion gagneorum", "Bembidion haleakalae", "Bembidion ignicola", "Bembidion kamakou", "Bembidion kauaiensis", "Bembidion koebelei", "Bembidion munroi", "Bembidion aestuarii", "Bembidion kasaharai", "Bembidion americanum", "Bembidion bifossulatum", "Bembidion adowanum", "Bembidion aetolicum", "Bembidion africanum", "Bembidion atlanticum", "Bembidion baehri", "Bembidion cnemidotum", "Bembidion decorum", "Bembidion derelictum", "Bembidion dolorosum", "Bembidion drago", "Bembidion echarouxi", "Bembidion echigonum", "Bembidion hasurada", "Bembidion hesperidum", "Bembidion hiekei", "Bembidion hosodai", "Bembidion huberi", "Bembidion ispartanum", "Bembidion joachimschmidti", "Bembidion kaloprosopon", "Bembidion leleupi", "Bembidion loebli", "Bembidion maddisoni", "Bembidion melanocerum", "Bembidion meruanum", "Bembidion merum", "Bembidion modestum", "Bembidion moritai", "Bembidion muellermotzfeldi", "Bembidion multipunctatum", "Bembidion negrei", "Bembidion nemrutdagi", "Bembidion onsen", "Bembidion ortsi", "Bembidion ozakii", "Bembidion poli", "Bembidion pseudovale", "Bembidion roberti", "Bembidion salweenum", "Bembidion saxatile", "Bembidion schoenmanni", "Bembidion scopulinum", "Bembidion semilotum", "Bembidion siculum", "Bembidion tolbonuri", "Bembidion toledanoianum", "Bembidion transsylvanicum", "Bembidion uenoianum", "Bembidion vaillanti", "Bembidion yehi", "Bembidion yunnanum", "Bembidion zolotarewi", "Bembidion antennarium", "Bembidion argaeicola", "Bembidion babaulti", "Bembidion baghlanicum", "Bembidion balcanicum", "Bembidion circassicum", "Bembidion culminicola", "Bembidion dieckmanni", "Sumatranus albomaculatus", "Schefflera emarginata", "Xanthoparmelia umezuana", "Schefflera forbesii", "Plerandra gabriellae", "Bembidion jacobianum", "Bembidion kolbei", "Bembidion latebricola", "Bembidion lecontei", "Bembidion lorenzi", "Bembidion luculentum", "Bembidion mormon", "Bembidion nigripes", "Bembidion nubiculosum", "Bembidion oberthueri", "Bembidion obliquum", "Bembidion obliteratum", "Bembidion obscuromaculatum", "Bembidion obtusangulum", "Bembidion obtusidens", "Bembidion operosum", "Bembidion patruele", "Bembidion pedestre", "Bembidion pilatei", "Bembidion pimanum", "Bembidion placitum", "Bembidion posticale", "Bembidion rapidum", "Bembidion regismontium", "Bembidion riobamba", "Bembidion scudderi", "Bembidion semifasciatum", "Bembidion semiopacum", "Bembidion semipunctatum", "Bembidion serpentinum", "Bembidion servillei", "Bembidion solieri", "Bembidion sparsum", "Bembidion spretum", "Bembidion ugartei", "Bembidion umbratum", "Bembidion unifasciatum", "Bembidion variegatum", "Bembidion versutum", "Bembidion viridicolle", "Bembidion vividum", "Bembidion vulpecula", "Bembidion bolsoni", "Bembidion delamarei", "Bembidion grossepunctatum", "Bembidion guzzettii", "Bembidion jeannelicum", "Bembidion lares", "Bembidion marginatum", "Bembidion nigritum", "Bembidion paralongulum", "Bembidion sanandresi", "Bembidion silvicola", "Bembidion topali", "Bembidion atrum", "Bembidion epistomale", "Bembidion penai", "Bembidion punctigerum", "Bembidion sexfoveatum", "Bembidion eburneonigrum", "Bembidion germainianum", "Bembidion tucumanum", "Bembidion angelieri", "Bembidion bonniardae", "Bembidion dudichi", "Bembidion dyscheres", "Bembidion eucheres", "Bembidion fulvipenne", "Bembidion gudenzii", "Bembidion heinzi", "Bembidion hissaricum", "Bembidion hoberlandtianum", "Bembidion iphigenia", "Bembidion iranicum", "Bembidion kabakovi", "Bembidion karokhense", "Bembidion kiritshenkoi", "Bembidion kuhitangi", "Bembidion kurdistanicum", "Bembidion ledouxianum", "Bembidion lobanovi", "Bembidion lysander", "Bembidion manfredschmidi", "Bembidion marginipenne", "Bembidion martachemai", "Bembidion menander", "Bembidion mirzayani", "Bembidion notatum", "Bembidion parsorum", "Bembidion pindicum", "Bembidion praeustum", "Bembidion reiseri", "Bembidion schermanni", "Bembidion signatipenne", "Bembidion stolfai", "Bembidion subcylindricum", "Bembidion tauricum", "Bembidion viduum", "Bembidion waziristanum", "Bembidion xanthochiton", "Bembidion xestum", "Bembidion aeneipes", "Bembidion aenulum", "Bembidion bowditchii", "Bembidion carinatum", "Bembidion chloropus", "Bembidion confusum", "Bembidion coxendix", "Bembidion durangoense", "Bembidion foraminosum", "Bembidion fusiforme", "Bembidion gebieni", "Bembidion japonicum", "Bembidion narzikulovi", "Bembidion paraenulum", "Bembidion persimile", "Bembidion robusticolle", "Bembidion sculpturatum", "Bembidion soederbomi", "Bembidion subfusum", "Bembidion suensoni", "Bembidion suturale", "Bembidion caricum", "Bembidion hypocrita", "Bembidion israelita", "Bembidion kempi", "Bembidion manicatum", "Bembidion semibraccatum", "Bembidion steinbuehleri", "Bembidion strictum", "Bembidion aethiopicum", "Bembidion demeyeri", "Bembidion gorilla", "Bembidion kilimanum", "Bembidion kivuanum", "Bembidion mellissii", "Bembidion mixtum", "Bembidion scotti", "Bembidion tropicum", "Bembidion uhligi", "Bembidion kuscheli", "Bembidion melanopodum", "Bembidion renei", "Bembidion rugosellum", "Bembidion scitulum", "Bembidion stricticolle", "Bembidion badakshanicum", "Bembidion bucephalum", "Bembidion ghilarovi", "Bembidion glasunovi", "Bembidion himalayanum", "Bembidion jacobsoni", "Bembidion kryzhanovskii", "Bembidion kurram", "Bembidion mesasiaticum", "Bembidion mikitjukovi", "Bembidion petrimagni", "Bembidion platypterum", "Bembidion punctulipenne", "Bembidion roborowskii", "Bembidion rufum", "Bembidion zlotini", "Bembidion karinae", "Bembidion heyrovskyi", "Bembidion chinense", "Bembidion adygorum", "Bembidion brunnicorne", "Bembidion castaneipenne", "Bembidion cilicicum", "Bembidion deletum", "Bembidion dostali", "Bembidion florentinum", "Bembidion fraxator", "Bembidion fuliginosum", "Bembidion gautieri", "Bembidion geberti", "Bembidion grandipenne", "Bembidion hayachinense", "Bembidion hikosanum", "Bembidion imereticum", "Bembidion italicum", "Bembidion klimai", "Bembidion kulzeri", "Bembidion lacrimans", "Bembidion lacunarium", "Bembidion lafertei", "Bembidion latinum", "Bembidion lirykense", "Bembidion lulinense", "Bembidion maroccanum", "Bembidion milleri", "Bembidion morvanianum", "Bembidion pallidicorne", "Bembidion parepum", "Bembidion phryganobium", "Bembidion platynoides", "Bembidion stephensii", "Bembidion texanum", "Bembidion weiratherianum", "Bembidion braminum", "Bembidion commotum", "Bembidion gagates", "Bembidion kokandicum", "Bembidion kunarense", "Bembidion modocianum", "Bembidion montei", "Bembidion nebraskense", "Bembidion obscuripenne", "Bembidion perbrevicolle", "Bembidion seminskiense", "Bembidion tizianoi", "Bembidion ulkei", "Bembidion validum", "Bembidion caligatum", "Bembidion lucifugum", "Bembidion monticola", "Bembidion ephippiger", "Bembidion salinarium", "Bembidion clarum", "Bembidion endymion", "Bembidion eurydice", "Bembidion abbreviatum", "Bembidion actuosum", "Bembidion alaf", "Bembidion alticola", "Bembidion andreae", "Bembidion asiaeminoris", "Bembidion bracculatum", "Bembidion brittoni", "Bembidion bruxellense", "Bembidion bualei", "Bembidion captivorum", "Bembidion consanguineum", "Bembidion cordicolle", "Bembidion cruciatum", "Bembidion dauricum", "Bembidion dilutipenne", "Bembidion dimidiatum", "Bembidion distinguendum", "Bembidion femoratum", "Bembidion franzi", "Bembidion gersdorfi", "Bembidion gilgit", "Bembidion havelkai", "Bembidion heineri", "Bembidion hispanicum", "Bembidion hummleri", "Bembidion incognitum", "Bembidion insidiosum", "Bembidion jedlickai", "Bembidion klapperichianum", "Bembidion koikei", "Bembidion kuznetsovi", "Bembidion ladakense", "Bembidion languens", "Bembidion magrinii", "Lepra albescens", "Madagascarchaea ambre", "Madagascarchaea anabohazo", "Madagascarchaea borimontsina", "Madagascarchaea griswoldi", "Madagascarchaea halambohitra", "Madagascarchaea lavatenda", "Madagascarchaea namoroka", "Madagascarchaea spiceri", "Madagascarchaea voronakely", "Madagascarchaea gracilicollis", "Madagascarchaea jeanneli", "Madagascarchaea vadoni", "Solanum bradei", "Solanum friburgense", "Solanum kriegeri", "Solanum longifilamentum", "Solanum antisuyo", "Solanum arenicola", "Solanum mariae", "Gymnadenia \u00d7 hubertii", "Polyscias rodriguesiana", "Oxytelus cameroni", "Madagascarchaea legendrei", "Oxytelus carinatus", "Oxytelus dorylinus", "Hydrocotyle callicarpa", "Hydrocotyle pilifera", "Trachymene cyanopetala", "Trachymene grandis", "Hydrocotyle grossulariifolia var. buchtienii", "Trachymene ornata", "Cerberus schneiderii", "Sicoderus bautistai", "Hydrocotyle grossulariifolia var. jamesonii", "Hydrocotyle grossulariifolia var. grossulariifolia", "Bembidion maritimum", "Bembidion marussii", "Bembidion massaicum", "Bembidion misellum", "Bembidion morawitzi", "Bembidion nevadense", "Bembidion nishidai", "Bembidion obscurellum", "Bembidion olemartini", "Bembidion persicum", "Bembidion petrosum", "Bembidion plagiatum", "Bembidion poppii", "Bembidion pseudosiebkei", "Bembidion psilodorum", "Bembidion reichardti", "Bembidion rickmersi", "Bembidion rubidum", "Bembidion rupicola", "Bembidion satelles", "Bembidion scottustulatum", "Bembidion scythicum", "Bembidion sejunctum", "Bembidion sillemi", "Bembidion sogdianum", "Bembidion sokolowskii", "Bembidion solskyi", "Bembidion straussi", "Bembidion striola", "Bembidion subangustatum", "Bembidion subcostatum", "Bembidion subimpressum", "Bembidion sulcicolle", "Bembidion taiyuanense", "Bembidion transversale", "Bembidion vorax", "Bembidion yukonum", "Bembidion andrewesi", "Bembidion brancuccii", "Bembidion cupido", "Bembidion daliangi", "Bembidion exquisitum", "Bembidion goetzi", "Bembidion hansi", "Bembidion infans", "Bembidion leptaleum", "Bembidion perditum", "Bembidion aeneum", "Bembidion afroseptentrionale", "Bembidion antoinei", "Bembidion baicalicum", "Bembidion cumanum", "Bembidion decolor", "Bembidion demartini", "Bembidion ellipticocurtum", "Bembidion eregliense", "Bembidion escherichi", "Bembidion francisci", "Bembidion fumatum", "Bembidion gabrielianum", "Bembidion gazella", "Bembidion guadarramense", "Bembidion guttula", "Bembidion guttuloides", "Bembidion hittita", "Bembidion hustachei", "Bembidion inoptatum", "Bembidion iricolor", "Bembidion judaicum", "Bembidion laurentii", "Bembidion lunulatum", "Bembidion mannerheimii", "Bembidion neresheimeri", "Bembidion netolitzkyi", "Bembidion paganettii", "Bembidion pallidiveste", "Bembidion vicinum", "Bembidion zaitzevi", "Bembidion abdelkrimi", "Bembidion demidenkoae", "Bembidion incommodum", "Bembidion liliputanum", "Bembidion minoum", "Bembidion obtusum", "Bembidion phoeniceum", "Bembidion rectangulum", "Bembidion tethys", "Bembidion aeruginosum", "Bembidion arcticum", "Bembidion asiaticum", "Bembidion basicorne", "Bembidion birulai", "Bembidion brachythorax", "Bembidion breve", "Bembidion carolinense", "Bembidion coelestinum", "Bembidion complanulum", "Bembidion compressum", "Bembidion crenulatum", "Bembidion curtulatum", "Bembidion daisetsuzanum", "Bembidion darlingtonicum", "Bembidion depressiusculum", "Bembidion difficile", "Bembidion falsum", "Bembidion farkaci", "Bembidion farrarae", "Bembidion fujiyamai", "Bembidion gordoni", "Bembidion gratiosum", "Bembidion habui", "Bembidion haruspex", "Bembidion hiranoi", "Bembidion hyperboraeorum", "Bembidion improvidens", "Bembidion infuscatipenne", "Bembidion kalumae", "Bembidion kishimotoi", "Bembidion kmecoi", "Bembidion komareki", "Bembidion kuprianovii", "Bembidion laxatum", "Bembidion manningense", "Bembidion neocoerulescens", "Bembidion nigrocoeruleum", "Bembidion nuncaestimatum", "Bembidion occultator", "Bembidion ohtsukai", "Bembidion rogersi", "Bembidion rucillum", "Bembidion saitoi", "Bembidion sanatum", "Bembidion satellites", "Bembidion shibatai", "Bembidion shunichii", "Bembidion sjolanderi", "Bembidion spectans", "Bembidion sterbai", "Bembidion storkianum", "Bembidion subflavescens", "Bembidion submaculatum", "Bembidion tesselatum", "Bembidion torosiense", "Bembidion toyodai", "Bembidion trajectum", "Bembidion turquinum", "Bembidion umeyai", "Bembidion umi", "Bembidion uruguayense", "Bembidion vernale", "Bembidion vulcanium", "Bembidion wutaishanense", "Bembidion yatsuense", "Bembidion yoshidai", "Epidendrum cristatum", "Eriauchenius wunderlichi", "Eriauchenius lukemacaulayi", "Eriauchenius milajaneae", "Eriauchenius milloti", "Eriauchenius pauliani", "Eriauchenius rixi", "Eriauchenius sama", "Eriauchenius zirafy", "Madagascarchaea fohy", "Polyscias maraisiana", "Bembidion pseudocautum", "Bembidion scenicum", "Bembidion siticum", "Bembidion articulatum", "Bembidion bedelianum", "Bembidion maculatum", "Bembidion octomaculatum", "Bembidion sengleti", "Bembidion xanthocerum", "Bembidion dabashanicum", "Bembidion deplanatum", "Bembidion eurygonum", "Bembidion fugax", "Bembidion gerdmuelleri", "Bembidion grandiceps", "Bembidion hysteron", "Bembidion inaense", "Bembidion jelineki", "Bembidion kara", "Bembidion liparum", "Bembidion lissonotoides", "Bembidion lissonotum", "Bembidion mimekara", "Bembidion miwai", "Bembidion oxyglymma", "Bembidion ozarkense", "Bembidion parconaturaviva", "Bembidion planum", "Bembidion proteron", "Bembidion pseudokara", "Bembidion rolandi", "Bembidion seijii", "Bembidion taiwanum", "Bembidion alacre", "Bembidion albescens", "Bembidion karikari", "Bembidion puponga", "Bembidion tepaki", "Bembidion waimarama", "Bembidion anchonoderus", "Bembidion bullerense", "Bembidion chalceipes", "Bembidion hokitikense", "Bembidion mangamuka", "Bembidion parviceps", "Bembidion solitarium", "Bembidion stewartense", "Bembidion tekapoense", "Bembidion urewerense", "Bembidion waiho", "Bembidion wanakense", "Bembidion callipeplum", "Bembidion actuarium", "Bembidion charile", "Bembidion dehiscens", "Bembidion granuliferum", "Bembidion tairuense", "Bembidion townsendi", "Bembidion adelaidae", "Bembidion aegrum", "Bembidion albertisi", "Bembidion alsium", "Bembidion amamiense", "Bembidion amurense", "Bembidion heydeni", "Bembidion irroratum", "Bembidion mandarin", "Bembidion morulum", "Bembidion muscicola", "Bembidion nigrivestis", "Bembidion ovulum", "Bembidion praticola", "Bembidion roosevelti", "Bembidion rubiginosum", "Bembidion schueppelii", "Bembidion semicinctum", "Bembidion steini", "Bembidion variola", "Bembidion variolatum", "Bembidion jacksoniense", "Bembidion aliense", "Bembidion aspericolle", "Bembidion subfasciatum", "Bembidion avaricum", "Bembidion consummatum", "Bembidion delerei", "Bembidion kaschmirense", "Bembidion leve", "Bembidion mckinleyi", "Bembidion ovalipenne", "Bembidion pseudoconsumatum", "Bembidion terminale", "Bembidion vitalisi", "Bembidion carpetanum", "Bembidion corsicum", "Bembidion dacicum", "Bembidion glaciale", "Bembidion jacqueti", "Bembidion julianum", "Bembidion magellense", "Bembidion montanum", "Bembidion pyrenaeum", "Bembidion rhaeticum", "Bembidion basistriatum", "Bembidion beesoni", "Bembidion bipunctatum", "Bembidion capito", "Bembidion flavoposticatum", "Bembidion laetum", "Bembidion quadrifossulatum", "Bembidion trebinjense", "Bembidion ajmonis", "Bembidion iridescens", "Bembidion simplex", "Bembidion trechiforme", "Bembidion acutifrons", "Bembidion ampliceps", "Bembidion anguliferum", "Bembidion atripes", "Bembidion canadianum", "Bembidion clemens", "Bembidion concretum", "Bembidion connivens", "Bembidion doris", "Bembidion foraticolle", "Bembidion fortestriatum", "Bembidion frontale", "Bembidion politum", "Bembidion oppressum", "Bembidion pfizenmayeri", "Bembidion placeranum", "Bembidion planiusculum", "Bembidion pliculatum", "Bembidion prasinum", "Bembidion quadrifoveolatum", "Bembidion rosslandicum", "Bembidion rufinum", "Bembidion rusticum", "Bembidion shikokuense", "Bembidion shilenkovi", "Bembidion sierricola", "Bembidion solanum", "Bembidion stillaguamish", "Bembidion sulcipenne", "Bembidion takasagonis", "Bembidion tetraporum", "Bembidion vandykei", "Bembidion vespertinum", "Bembidion viator", "Bembidion watanabei", "Bembidion yoshikawai", "Bembidion mandibulare", "Bembidion polites", "Bembidion compactum", "Bembidion coreanum", "Bembidion davidi", "Bembidion dufourii", "Bembidion marthae", "Bembidion punctulatum", "Bembidion cupreolum", "Bembidion lamproides", "Bembidion antiquum", "Bembidion arenobile", "Bembidion bellorum", "Bembidion chalceum", "Bembidion honestum", "Bembidion integrum", "Bembidion louisella", "Bembidion rothfelsi", "Bembidion rufotinctum", "Bembidion dicksoniae", "Bembidion evanescens", "Bembidion fossor", "Bembidion gemmulipenne", "Bembidion grayanum", "Bembidion nubigena", "Bembidion rufosuffusum", "Bembidion sublimbatum", "Bembidion trechoides", "Bembidion schoedli", "Bembidion derbesi", "Bembidion amoenum", "Bembidion botezati", "Bembidion carnifex", "Bembidion chaudoirii", "Bembidion convexiusculum", "Bembidion convexulum", "Bembidion dagestanum", "Bembidion dormeyeri", "Bembidion gassneri", "Bembidion gilvipes", "Bembidion guttulatum", "Bembidion angulicolle", "Bembidion armuelles", "Bembidion bakeri", "Bembidion barrense", "Bembidion bryanti", "Bembidion chakrata", "Bembidion charon", "Bembidion chiriqui", "Bembidion chlorostictum", "Bembidion citulum", "Bembidion ciudadense", "Bembidion cordillerae", "Bembidion cortes", "Bembidion cubanum", "Bembidion dammermani", "Bembidion dannieae", "Bembidion darlingtoni", "Bembidion daviacum", "Bembidion diabola", "Bembidion discoideum", "Bembidion duvali", "Bembidion ehikoense", "Bembidion equatoriale", "Bembidion erwini", "Bembidion espejoense", "Bembidion fassatii", "Bembidion foveatum", "Bembidion franiae", "Bembidion georgettae", "Bembidion grapii", "Bembidion hammondianum", "Bembidion hirtipalposum", "Bembidion hoberlandti", "Bembidion holconotum", "Bembidion horii", "Bembidion irregulare", "Bembidion ixtatan", "Bembidion jamaicense", "Bembidion jeanneli", "Bembidion kamikochii", "Bembidion khanakense", "Bembidion klapperichi", "Bembidion lavernae", "Bembidion limatum", "Bembidion linauense", "Bembidion macrogonum", "Bembidion madagascariense", "Bembidion mexicanum", "Bembidion nahuala", "Bembidion ohkurai", "Bembidion pernotum", "Bembidion peruvianum", "Bembidion phaedrum", "Bembidion picturatum", "Bembidion pokharense", "Bembidion portoricense", "Bembidion pseudascendens", "Bembidion pseudolucillum", "Bembidion psuchrum", "Bembidion purulha", "Bembidion putzeysi", "Bembidion quetzal", "Bembidion radians", "Bembidion rengense", "Apatrobus narukawai", "Apatrobus nishiawakurae", "Apatrobus odanakai", "Apatrobus ohdaisanus", "Apatrobus ohtsukai", "Apatrobus osuzuyamanus", "Apatrobus satoui", "Apatrobus tsurugiensis", "Apatrobus yamajii", "Apenes aenea", "Apenes aeneipennis", "Apenes aerea", "Apenes amplicollis", "Apenes angustata", "Apenes apiceguttata", "Apenes aptera", "Apenes bonariensis", "Apenes brevivittis", "Apenes calligramma", "Apenes cayennensis", "Apenes chalumeaui", "Apenes circumcincta", "Apenes comis", "Apenes coriacea", "Apenes cuprascens", "Apenes darlingtoni", "Apenes davidsoni", "Apenes delicata", "Apenes dilutiventris", "Apenes dominica", "Apenes erythrodera", "Apenes faber", "Apenes farri", "Apenes fasciata", "Apenes hilariola", "Apenes iviei", "Apenes kathleenae", "Apenes lachauxi", "Apenes laevicincta", "Apenes laevis", "Apenes lata", "Apenes lepidula", "Apenes limbata", "Apenes lucia", "Apenes lucidula", "Apenes lunigera", "Apenes lunulata", "Apenes maculata", "Apenes marginalis", "Apenes mazoreoides", "Apenes morio", "Apenes nebulosa", "Apenes nevermanni", "Apenes obscura", "Apenes octoguttulata", "Apenes omostigma", "Apenes opaca", "Apenes ovalis", "Apenes ovipennis", "Apenes pallidipes", "Oxytelus motoensis", "Oxytelus myrmecophilus", "Oxytelus nigeriensis", "Oxytelus ornatus", "Oxytelus quadricollis", "Oxytelus renominatus", "Gymnadenia \u00d7 intermedia", "Geraesta ansieae", "Araucaria bernieri", "Geraesta lehtineni", "Apenes pallipes", "Apenes parallela", "Apenes pauliana", "Apenes pecki", "Apenes peryphoides", "Apenes philipi", "Apenes portoricensis", "Apenes prasina", "Apenes purpurata", "Apenes purpuripennis", "Apenes quadripunctata", "Apenes rawlinsi", "Apenes scobifer", "Apenes sculpticeps", "Apenes seriata", "Apenes simoni", "Apenes sinuata", "Apenes steinheili", "Apenes stigmata", "Apenes sulcicollis", "Apenes thomasi", "Apenes toussainti", "Apenes umbrosa", "Apenes variegata", "Apenes vianai", "Apenes xanthopleura", "Apenes youngi", "Apenes ehrhardti", "Apenes hamigera", "Apenes parvula", "Apenes plaumanni", "Apenes postica", "Apenes quadripennis", "Apenes sallei", "Apenes strandi", "Apenetretus ambiguus", "Apenetretus dilatatus", "Apenetretus nanhutanus", "Apenetretus shirahatai", "Apenetretus shoorengensis", "Apenetretus smetanai", "Apenetretus yushanensis", "Aphaenopidius kamnikensis", "Aphaenopidius treulandi", "Aphaenopsis apfelbecki", "Aphaenopsis pfeiferi", "Aphoenops abodiensis", "Aphoenops bessoni", "Aphoenops catalonicus", "Aphoenops fresnedai", "Aphoenops jeanneli", "Aphoenops laurenti", "Aphoenops leschenaulti", "Aphoenops loubensi", "Aphoenops mensioni", "Aphoenops ochsi", "Aphoenops orionis", "Aphoenops valleti", "Aphoenops alberti", "Aphoenops pluto", "Aphoenops tiresias", "Aphoenops bucephalus", "Aphoenops eskualduna", "Aphoenops bonneti", "Aphoenops bouilloni", "Aphoenops carrerei", "Aphoenops cerberus", "Madagascarchaea lotzi", "Aphoenops chappuisi", "Aphoenops crypticola", "Aphoenops delbreili", "Aphoenops hidalgoi", "Aphoenops hustachei", "Aphoenops jauzioni", "Aphoenops mariaerosae", "Aphoenops michaeli", "Aphoenops parallelus", "Aphoenops sioberae", "Aphoenops vandeli", "Aphoenops cissauguensis", "Aphoenops coiffaitianus", "Aphoenops ludovici", "Aphoenops queffeleci", "Aphoenops rebereti", "Aphoenops rhadamanthus", "Aphoenops linderi", "Apocimmerites kubanicus", "Apocimmerites parallelus", "Apoduvalius anseriformis", "Apoduvalius aphaenopsianus", "Apoduvalius asturiensis", "Apoduvalius champagnati", "Apoduvalius drescoi", "Apoduvalius espanoli", "Apoduvalius franzi", "Apoduvalius lecoqi", "Apoduvalius naloni", "Apoduvalius negrei", "Apoduvalius purroyi", "Apoduvalius salgadoi", "Apoduvalius serrae", "Apoduvalius alberichae", "Apoduvalius leonensis", "Apoplotrechus hollandei", "Apoplotrechus strigipennis", "Aporesthus anomalus", "Aporesthus suturalis", "Aporesthus titschacki", "Apristomimus megacephalus", "Apristus actuosus", "Apristus aeneipennis", "Apristus aeneomicans", "Apristus agitatus", "Apristus aimaki", "Apristus apiceciliatus", "Apristus arabicus", "Apristus aratus", "Apristus arrowi", "Apristus baderlei", "Apristus biroi", "Apristus boldorii", "Apristus brunnescens", "Apristus cephalotus", "Apristus cephalus", "Apristus chinensis", "Apristus coiffaiti", "Apristus constrictus", "Ardistomis annona", "Ardistomis arechavaletae", "Ardistomis aschnae", "Ardistomis atripennis", "Ardistomis batesi", "Ardistomis brevis", "Ardistomis bulirschi", "Ardistomis constricta", "Ardistomis convexa", "Ardistomis dostali", "Ardistomis drumonti", "Ardistomis dubia", "Ardistomis dyschirioides", "Ardistomis educta", "Ardistomis elongatula", "Ardistomis fasciolata", "Ardistomis franki", "Ardistomis guadeloupensis", "Ardistomis haemorrhoa", "Ardistomis hispaniolensis", "Ardistomis leprieurii", "Ardistomis lindrothi", "Ardistomis mannerheimi", "Ardistomis marquardti", "Ardistomis minuta", "Ardistomis muelleri", "Ardistomis nigroclara", "Ardistomis nitidipennis", "Ardistomis obliquata", "Ardistomis ogloblini", "Ardistomis onorei", "Ardistomis ovata", "Ardistomis oxygnatha", "Ardistomis posticalis", "Ardistomis profundestriata", "Ardistomis quadripunctata", "Ardistomis quixotei", "Ardistomis ramsdeni", "Ardistomis rotundipennis", "Ardistomis rufoclara", "Ardistomis samyni", "Ardistomis schaumii", "Ardistomis seriepunctata", "Ardistomis tropicalis", "Ardistomis unicolor", "Ardistomis venustula", "Ardistomis vergelae", "Ardistomopsis andrewesi", "Ardistomopsis batesi", "Ardistomopsis marginicollis", "Ardistomopsis myrmex", "Ardistomopsis ovicollis", "Argiloborus agostii", "Argiloborus amblygonus", "Argiloborus balinensis", "Argiloborus besucheti", "Argiloborus burckhardti", "Argiloborus ceylanicus", "Argiloborus curtus", "Argiloborus gracilis", "Argiloborus huberi", "Argiloborus indicus", "Madagascarchaea rabesahala", "Apristus cuprascens", "Apristus cupreus", "Apristus cyanescens", "Apristus europaeus", "Apristus gracilis", "Apristus grandis", "Apristus hololeucus", "Apristus jaechi", "Apristus latens", "Apristus laticollis", "Apristus latipennis", "Apristus liratus", "Apristus longulus", "Apristus louwerensi", "Apristus lucidus", "Apristus mexicanus", "Apristus miyakei", "Apristus montanus", "Apristus nevadensis", "Apristus nitens", "Apristus peyerimhoffi", "Apristus phoebus", "Apristus poussereaui", "Apristus pugetanus", "Apristus reticulatus", "Apristus rufiscapis", "Apristus schmidti", "Apristus secticollis", "Apristus sedlaceki", "Apristus sericeus", "Apristus spatiosus", "Apristus striatipennis", "Apristus striatus", "Apristus subaeneus", "Apristus subcyaneus", "Apristus subdeletus", "Apristus subovatus", "Apristus subsulcatus", "Apristus subtransparens", "Apristus thoracicus", "Apristus transcaspicus", "Apristus tropicalis", "Apristus tuckeri", "Apristus turkmenicus", "Apsaustodon segregatus", "Apsidocnemus catalai", "Apsidocnemus vadoni", "Apsidocnemus gracilitarsis", "Apterodromites saizi", "Apteroessa grossa", "Aptinoderus cyaneus", "Aptinoderus cyanipennis", "Aptinoderus funebris", "Aptinoderus peringueyi", "Aptinoderus umvotianus", "Aptinus pyrenaeus", "Arame macra", "Archagonum dichroum", "Archagonum hirtum", "Archastes altitudinis", "Archastes anonymus", "Archastes berezovskii", "Archastes boulbeni", "Madagascarchaea moramora", "Geraesta mkwawa", "Araucaria biramulata", "Gymnadenia \u00d7 kaeseri", "Gymnadenia \u00d7 moritziana", "Gymnadenia \u00d7 petzenensis", "Gymnadenia \u00d7 pyrenaeensis", "Gymnadenia \u00d7 schwerei", "Gymnadenia \u00d7 teppneri", "Gymnadenia \u00d7 trummeriana", "Gymnadenia \u00d7 truongiae", "Gymnadenia \u00d7 turnowskyi", "Cremastosperma alticola", "Oedothorax cornutus", "Oedothorax cunur", "Agathis robusta subsp. robusta", "Oedothorax falciferoides", "Oedothorax kodaikanal", "Oedothorax lopchu", "Oedothorax meghalaya", "Oedothorax paracymbialis", "Oedothorax rusticus", "Epidendrum frutex", "Oedothorax stylus", "Oedothorax uncus", "Oedothorax villosus", "Oxytelus echidne", "Oxytelus eichelbaumi", "Pozonia balam", "Oxytelus flexuosus", "Nasoona indiana", "Nasoona orissa", "Oxytelus guineensis", "Nasoona intuberosa", "Nasoona kinabalu", "Oxytelus hermani", "Nasoona sabah", "Oxytelus incertus", "Oxytelus leleupi", "Oxytelus luteus", "Oxytelus machadoanus", "Acer cappadocicum subsp. cappadocicum", "Oxytelus minimus", "Araucaria cunninghamii var. cunninghamii", "Araucaria humboldtensis", "Dysdera presai", "Stathmopoda baegunica", "Stathmopoda euryzoister", "Archastes cenobitus", "Archastes deuvei", "Archastes expansicollis", "Archastes explanatus", "Archastes gansuensis", "Archastes glaber", "Archastes haeckeli", "Archastes hwangtienyuni", "Archastes incidatus", "Archastes janfarkaci", "Archastes microporus", "Archastes nigrescens", "Archastes orbiculatus", "Archastes purkynei", "Archastes rotundatus", "Archastes setiferus", "Archastes solitarius", "Archastes sphaerithorax", "Archastes sterbai", "Archastes subquadratus", "Archastes thierryi", "Archastes triangulus", "Archastes tronqueti", "Archastes yuae", "Archicolliuris albicolon", "Archicolliuris benoiti", "Archicolliuris bimaculata", "Archicolliuris birmanica", "Archicolliuris burgeoni", "Archicolliuris butonensis", "Archicolliuris cribricollis", "Archicolliuris dimidiata", "Archicolliuris distigma", "Archicolliuris fasciata", "Archicolliuris gibbosa", "Archicolliuris immaculata", "Archicolliuris kodadai", "Archicolliuris linea", "Archicolliuris occipitalis", "Archicolliuris olsoufieffi", "Archicolliuris opacipennis", "Archicolliuris papua", "Archicolliuris par", "Archicolliuris philippinensis", "Archicolliuris ranomafanae", "Archicolliuris rubripes", "Archicolliuris rudicollis", "Archicolliuris rufopicea", "Archicolliuris senegalensis", "Archicolliuris splendissimus", "Archicolliuris subnitida", "Archicolliuris tenuis", "Archicolliuris tetraspilota", "Archidela darwini", "Archidela nigrina", "Archidela rugosicollis", "Archidela scitula", "Archipatrobus deuvei", "Archipatrobus flavipes", "Archipatrobus suensoni", "Arctaphaenops angulipennis", "Arctaphaenops gaisbergeri", "Arctaphaenops muellneri", "Ardistomis alticola", "Arhytinus inarmatus", "Arhytinus indicus", "Arhytinus irideus", "Arhytinus javanus", "Arhytinus lieftincki", "Arhytinus lorenzi", "Arhytinus ludewigi", "Arhytinus major", "Arhytinus medius", "Arhytinus minimus", "Arhytinus minor", "Arhytinus missai", "Arhytinus moluccensis", "Arhytinus multispinosus", "Arhytinus nitescens", "Arhytinus nitidipennis", "Arhytinus novaeirlandiae", "Arhytinus philippinus", "Arhytinus piceus", "Arhytinus riedeli", "Arhytinus sumatrensis", "Arhytinus taiwanensis", "Arhytinus unispinus", "Arhytinus yunnanus", "Aristochroa casta", "Aristochroa deuvei", "Aristochroa dimorpha", "Aristochroa freyi", "Aristochroa gratiosa", "Aristochroa kangdingensis", "Aristochroa kaznakovi", "Aristochroa latecostata", "Aristochroa militaris", "Aristochroa nozari", "Aristochroa perelegans", "Aristochroa poecilma", "Aristochroa rotundata", "Aristochroa sciakyi", "Aristochroa venusta", "Aristochroa watanabei", "Aristochroodes reginae", "Aristolebia apicalis", "Aristolebia capitis", "Aristolebia crucigera", "Aristolebia davaonis", "Aristolebia indica", "Aristolebia mucronata", "Aristolebia oculata", "Aristolebia prattiana", "Aristolebia quadridentata", "Aristolebia quadrinotata", "Aristolebia rubiginosa", "Aristolebia triramosa", "Aristopus angolanus", "Aristopus basilewskyi", "Aristopus bicolor", "Aristopus binotatus", "Aristopus bipustulatus", "Aristopus collarti", "Aristopus decorus", "Aristopus distigma", "Aristopus elisabethanus", "Aristopus immaculatus", "Aristopus lamottei", "Asaphidion elongatum", "Asaphidion fabichi", "Asaphidion festivum", "Asaphidion flavicorne", "Asaphidion formosum", "Asaphidion fragile", "Asaphidion ganglbaueri", "Asaphidion granulatum", "Asaphidion griseum", "Asaphidion indicum", "Asaphidion nadjae", "Asaphidion nebulosum", "Asaphidion obscurum", "Asaphidion ornatum", "Asaphidion pictum", "Asaphidion rossii", "Asaphidion semilucidum", "Asaphidion stierlini", "Asaphidion substriatum", "Asaphidion subtile", "Asaphidion tenryuense", "Asaphidion transcaspicum", "Asaphidion triste", "Asaphidion ussuriense", "Asaphidion viride", "Asaphidion weiratheri", "Asaphidion yukonense", "Asioreicheia chinensis", "Asioreicheia margolata", "Asios vindex", "Askalaphium depressum", "Aspasiola bonita", "Aspasiola insignis", "Aspasiola lemoides", "Aspasiola osa", "Aspasiola rutilans", "Aspasiola scutellaris", "Aspasiola selva", "Aspasiola steineri", "Aspidaphaenops masakii", "Aspidaphaenops reflexus", "Aspidaphaenops volatidraconis", "Aspidoglossa aerata", "Aspidoglossa agnata", "Aspidoglossa brachydera", "Aspidoglossa crenata", "Aspidoglossa cribrata", "Aspidoglossa curta", "Aspidoglossa distincta", "Aspidoglossa intermedia", "Aspidoglossa korschefskyi", "Aspidoglossa latiuscula", "Aspidoglossa mexicana", "Aspidoglossa minor", "Aspidoglossa obenbergeri", "Aspidoglossa ogloblini", "Aspidoglossa pallida", "Aspidoglossa rivalis", "Aspidoglossa ruficollis", "Aspidoglossa schach", "Aspidoglossa semicrenata", "Aspidoglossa sphaerodera", "Aspidoglossa striatipennis", "Arthropterus denudatus", "Arthropterus depressus", "Arthropterus discrepans", "Arthropterus donovani", "Arthropterus elongatulus", "Arthropterus eruditulus", "Arthropterus foveicollis", "Arthropterus foveipennis", "Arthropterus fraternus", "Arthropterus geminus", "Arthropterus hirtus", "Arthropterus hopii", "Arthropterus horni", "Arthropterus howittensis", "Arthropterus howittii", "Arthropterus insidiosus", "Arthropterus kingii", "Eriauchenius bourgini", "Arthropterus limitans", "Arthropterus longicollis", "Arthropterus macleaii", "Arthropterus mastersii", "Arthropterus negligens", "Arthropterus nigricornis", "Arthropterus novellus", "Arthropterus occidentalis", "Arthropterus ominosus", "Arthropterus ovicollis", "Arthropterus parallelocerus", "Arthropterus pellax", "Arthropterus pervicax", "Arthropterus petax", "Arthropterus piceus", "Arthropterus planicornis", "Arthropterus punctatissimus", "Arthropterus puncticollis", "Arthropterus queenslandiae", "Arthropterus riverinae", "Arthropterus rockhamptonensis", "Arthropterus schismaticus", "Arthropterus schroederi", "Arthropterus secedens", "Arthropterus simiolus", "Arthropterus socius", "Arthropterus spadiceus", "Arthropterus subampliatus", "Arthropterus subangulatus", "Arthropterus subsulcatus", "Arthropterus turneri", "Arthropterus waterhousei", "Arthropterus westwoodii", "Arthropterus wilsoni", "Asaphidion alaskanum", "Asaphidion angulicolle", "Asaphidion austriacum", "Asaphidion caraboides", "Asaphidion championi", "Asaphidion cuprascens", "Asaphidion cupreum", "Asaphidion curtum", "Asaphidion cyanicorne", "Asaphidion cyprium", "Asaphidion domonense", "Argiloborus indonesianus", "Argiloborus javanicus", "Argiloborus loebli", "Argiloborus malaysianus", "Argiloborus monticola", "Argiloborus murphyi", "Argiloborus roberti", "Argiloborus stricticollis", "Argiloborus thailandicus", "Argiloborus alutaceus", "Argiloborus ambreanus", "Argiloborus andriai", "Argiloborus andringitrae", "Argiloborus angustus", "Argiloborus ankaratrae", "Argiloborus brevicollis", "Argiloborus brevis", "Argiloborus bulirschi", "Argiloborus fianarantsoae", "Argiloborus fisheri", "Argiloborus furcatus", "Argiloborus imerinae", "Argiloborus insularis", "Argiloborus janaki", "Argiloborus laticollis", "Argiloborus moraveci", "Argiloborus nativitatis", "Argiloborus pauliani", "Argiloborus perineti", "Argiloborus planatus", "Argiloborus punctaticollis", "Argiloborus pusillus", "Argiloborus quadraticollis", "Argiloborus remyi", "Argiloborus sogai", "Argiloborus tenuis", "Argiloborus thoracicus", "Argiloborus vadoni", "Argiloborus praslinicus", "Argutoridius abacetoides", "Argutoridius bonariensis", "Argutoridius chilensis", "Argutoridius cubensis", "Argutoridius depressulus", "Argutoridius oblitus", "Argutoridius pavens", "Argutoridius uruguayicus", "Argutoridius zischkai", "Arhytinus angustimargo", "Arhytinus atripennis", "Arhytinus baliensis", "Arhytinus bastai", "Arhytinus bembidioides", "Arhytinus borcherdingi", "Arhytinus bulirschi", "Arhytinus cechovskyi", "Arhytinus celebensis", "Arhytinus circumcinctus", "Arhytinus cordicollis", "Arhytinus crenulipennis", "Arhytinus darlingtoni", "Arhytinus frater", "Arhytinus granum", "Arhytinus harpago", "Aristopus latithorax", "Aristopus longicornis", "Aristopus maculatus", "Aristopus minor", "Aristopus mirei", "Aristopus mocquerysi", "Aristopus nairobianus", "Aristopus natalensis", "Aristopus punctatellus", "Aristopus puncticollis", "Aristopus robustus", "Aristopus submarginatus", "Aristopus trimaculatus", "Aristopus ugandanus", "Arrowina anguliceps", "Arrowina nan", "Arrowina nilgiriensis", "Arrowina punctatolineata", "Arrowina pygmaea", "Arrowina rostrata", "Arrowina taksar", "Arrowina taprobanae", "Arsinoe alluaudi", "Arsinoe becvari", "Arsinoe biguttata", "Arsinoe caffra", "Arsinoe camerunica", "Arsinoe distinguenda", "Arsinoe elisabethana", "Arsinoe flavosignata", "Arsinoe fraterna", "Arsinoe fulvipes", "Arsinoe grandis", "Arsinoe kenyensis", "Arsinoe laevigata", "Arsinoe lyrata", "Arsinoe miranda", "Arsinoe mirei", "Arsinoe nigra", "Arsinoe nigripes", "Arsinoe notabilis", "Arsinoe oneili", "Arsinoe orientalis", "Arsinoe plausibilis", "Arsinoe quadriguttata", "Arsinoe rugiceps", "Arsinoe salvadorensis", "Arsinoe triguttata", "Arsinoe zambiensis", "Arthropterus abnormis", "Arthropterus ambitiosus", "Arthropterus angulatus", "Arthropterus angulicornis", "Arthropterus articularis", "Arthropterus bisinuatus", "Arthropterus brevicollis", "Arthropterus brevis", "Arthropterus brunni", "Arthropterus cerapteroides", "Arthropterus constricticeps", "Arthropterus cribrosus", "Arthropterus cylindricus", "Arthropterus daemelianus", "Arthropterus darlingensis", "Cremastosperma brachypodum", "Cremastosperma osicola", "Cremastosperma confusum", "Cremastosperma dolichopodum", "Gymnadenia \u00d7 wettsteiniana", "Lepra amara", "Bopyroides hippolytes", "Solanum stipuloideum", "Antrolana lira", "Trachelas chamoli", "Awatrechus hygrobius", "Awatrechus misatonis", "Awatrechus occidentalis", "Awatrechus oligotrichus", "Awatrechus persimilis", "Awatrechus pilosus", "Awatrechus religiosus", "Awatrechus sancticareae", "Awatrechus simplicior", "Awatrechus yoshidai", "Axinopalpus biplagiatus", "Axinopalpus brevicollis", "Axinopalpus brunneus", "Axinopalpus californicus", "Axinopalpus crusoei", "Axinopalpus denticulatus", "Axinopalpus fusciceps", "Axinopalpus humeralis", "Axinopalpus illectus", "Axinopalpus jucundus", "Axinopalpus mexicanus", "Axinopalpus ovipennis", "Axinopalpus pratti", "Axinopalpus pusillus", "Axinopalpus utahensis", "Axinopalpus vittatus", "Axinotoma ambigena", "Axinotoma bifida", "Axinotoma decellei", "Axinotoma demeyeri", "Axinotoma dilatipalpis", "Axinotoma fallax", "Axinotoma hulstaerti", "Axinotoma kivuensis", "Axinotoma latipalpis", "Axinotoma lepersonneae", "Axinotoma maynei", "Axinotoma morettoi", "Axinotoma obtuseangula", "Axinotoma perrieri", "Axinotoma posticalis", "Axinotoma pseudofallax", "Axinotoma schuelei", "Axinotoma sinuaticollis", "Axinotoma sinuatipennis", "Axinotoma tanzaniana", "Axinotoma toledanoi", "Axinotoma viossati", "Aztecarpalus hebescens", "Aztecarpalus hemingi", "Aztecarpalus lectoculus", "Aztecarpalus liolus", "Aztecarpalus marmoreus", "Aztecarpalus platyderus", "Aztecarpalus schaefferi", "Aztecarpalus trochotrichis", "Aztecarpalus whiteheadi", "Apenetretus hsueshanensis", "Oedothorax paralegrandi", "Aspidoglossa subangulata", "Aspidoglossa submetallica", "Aspidoglossa szekessyi", "Aspidoglossa torrida", "Assadecma basilewskyi", "Assadecma madagascariensis", "Astastus debilis", "Astastus quadrimaculatus", "Athrostictus chlaenioides", "Athrostictus circumfusus", "Athrostictus gilvipes", "Athrostictus luctuosus", "Athrostictus luridus", "Athrostictus magus", "Athrostictus metallicus", "Athrostictus nobilis", "Athrostictus opalescens", "Athrostictus paganus", "Athrostictus puberulus", "Athrostictus pubipennis", "Athrostictus punctatulus", "Athrostictus rufilabris", "Athrostictus sericatus", "Athrostictus sulcatulus", "Athrostictus velutinus", "Athrostictus vicinus", "Atlantomasoreus desertorum", "Atlantomasoreus orbipennis", "Atractonotus mulsanti", "Atractonotus puncticollis", "Atranopsis bolognai", "Atranopsis scheuerni", "Atranus pubescens", "Atranus ruficollis", "Atrotus aethiopicus", "Atrotus bedeli", "Atrotus bicolor", "Atrotus chenzemae", "Atrotus dallastai", "Atrotus elgonensis", "Atrotus forcipatus", "Atrotus indicus", "Atrotus kivuensis", "Atrotus kundelunguensis", "Atrotus lamottei", "Atrotus leleupi", "Atrotus luror", "Atrotus mandibularis", "Atrotus oldeanicus", "Atrotus scotti", "Atrotus sjostedti", "Atrotus uluguruanus", "Auchmerus trachys", "Aulacolius triordinatus", "Aulacopodus brouni", "Aulacopodus maorinus", "Aulacopodus sharpianus", "Australovelinda seriata", "Austranillus macleayi", "Austroglyptolenus mendozensis", "Austroglyptolenus precordillerae", "Austrotrechus contortus", "Austrotrechus kosciuskoanus", "Awatrechus bisetiger", "Araucaria nemorosa", "Drassyllus pseudovinealis", "Enhydris chanardi", "Drassyllus cyprius", "Drassyllus dadia", "Autosticha cordiformis", "Autosticha tachytoma", "Areca kinabaluensis", "Areca novohibernica", "Areca ridleyana", "Cathyalia fulvella", "Cathyalia okinawana", "Cathyalia pallicostella", "Areca vestiaria", "Actias laovieta", "Antheraea scida", "Antheraea luteofrithi", "Cerberus australis", "Rhodinia extremaustralis", "Coscinocera misoolensis", "Cerberus microlepis", "Amata tessmanni", "Epitoxis ziwa", "Erysimum nemrutdaghense", "Stericta digitata", "Stericta corollina", "Campanula malatyaensis", "Enhydris innominata", "Enhydris jagorii", "Enhydris enhydris", "Amata cuckoolandia", "Enhydris longicauda", "Enhydris subtaeniata", "Saturnia simloides", "Saturnia nanlingensis", "Saturnia kitchingi", "Saturnia thibetomima", "Saturnia ngoclinhensis", "Solanum sect.", "Araucaria scopulorum", "Araucaria subulata", "Saturnia winbrechlini", "Lemaireia mediovietnama", "Solanum agnoston", "Cricula sokola", "Cricula acuta", "Convallaria pseudomajalis", "Laelia \u00d7 gouldiana", "Laelia halbingeriana", "Laelia \u00d7 oaxacana", "Calanus finmarchicus", "Chamaedorea carchensis", "Chamaedorea adscendens", "Chamaedorea macrospadix", "Chamaedorea palmeriana", "Chamaedorea deckeriana", "Dysdera turcica", "Zodarion tireboluensis", "Zodarion turcicum", "Chamaedorea linearis", "Psilopogon asiaticus chersonesus", "Stericta melasiversusa", "Pinanga adangensis", "Oxytelus rugulipennis", "Pinanga andamanensis", "Oxytelus sculptiventris", "Oxytelus strictus", "Oxytelus tottenhami", "Oxytelus tuberculatus", "Pinanga cleistantha", "Oxytelus uelensis", "Thinodromus decorsei", "Thinodromus excultus", "Thinodromus gabonicus", "Thinodromus kedougouensis", "Thinodromus makokouensis", "Thinodromus mateui", "Thinodromus mauritanicus", "Stericta hampsoni", "Stericta penicilasa", "Stericta melanobasis", "Circobotys albimarginata", "Pinanga crassipes", "Circobotys unicolor", "Circobotys serratilinearis", "Circobotys sinuata", "Circobotys flavimarginalis", "Circobotys minutimacularis", "Circobotys obscuriptera", "Belisana cas", "Thinodromus nigerius", "Thinodromus odzalensis", "Belisana babensis", "Thinodromus malkinianus", "Halorhadinus koreanus", "Toxidium cavicola", "Pinanga malaiana", "Pinanga patula", "Zodarion elegans", "Zodarion gracilitibiale", "Chamaedorea microspadix", "Chamaedorea oreophila", "Zodarion styliferum styliferum", "Zodarion styliferum extraneum", "Cantoria violacea", "Zodarion rudyi", "Pinanga sarmentosa", "Pinanga tashiroi", "Belisana cheni", "Belisana clavata", "Belisana curva", "Belisana decora", "Belisana halongensis", "Stenichnus poweri", "Stenichnus barnevillei", "Belisana phungae", "Belisana pisinna", "Belisana triangula", "Belisana vietnamensis", "Belisana zhengi", "Khorata dangi", "Khorata huberi", "Khorata protumida", "Pholcus bifidus", "Pholcus caecus", "Chamaedorea angustisecta", "Pholcus hochiminhi", "Pholcus zhaoi", "Dysdera kati", "Dysdera krisis", "Chamaedorea arenbergiana", "Dysdera aberrans", "Chamaedorea benziei", "Dysdera afghana", "Dysdera akpinarae", "Chamaedorea pochutlensis", "Zodarion tadzhikum", "Zodarion continentale", "Chamaedorea pumila", "Chamaedorea pygmaea", "Pselaphodes simplicicornis", "Pselaphodes spinosus", "Pselaphodes kishimotoi", "Labomimus bannaus", "Labomimus jiudingensis", "Zodarion couseranense", "Zodarion deltshevi", "Zodarion jozefienae", "Pselaphodes aduncus", "Zodarion algarvense", "Pselaphodes anjiensis", "Zodarion segurense", "Pselaphodes antennarius", "Zodarion gregua", "Pselaphodes baoxingensis", "Zodarion merlijni", "Pselaphodes daweishanus", "Zodarion murphyorum", "Pselaphodes elongatus", "Zodarion vanimpei", "Pselaphodes maolanensis", "Zodarion minutum", "Pselaphodes paraculeus", "Zodarion costablancae", "Pselaphodes posticus", "Pselaphodes prominulus", "Pselaphodes songxiaobini", "Zodarion marginiceps", "Pselaphodes simoni", "Zodarion martynovae", "Chamaedorea undulatifolia", "Zodarion pacificum", "Zodarion santorini", "Zodarion morosoides", "Cyanoloxia rothschildii", "Zodarion aculeatum", "Zodarion scutatum", "Lepra commutata", "Dysdera edumifera", "Bembidium yokohamae", "Bennigsenium basilewskyi", "Bennigsenium bodongi", "Bennigsenium discoscriptum", "Bennigsenium grossabreve", "Bennigsenium grossesculptum", "Bennigsenium hauseranum", "Bennigsenium insperatum", "Bennigsenium ismenioides", "Bennigsenium kakonkianum", "Bennigsenium planicorne", "Bennigsenium unciferum", "Bhutanillus pygmaeus", "Bhutanillus yodai", "Bhutanotrechus reflexicollis", "Blackburnia aaae", "Blackburnia agilis", "Blackburnia agonoides", "Blackburnia anomala", "Blackburnia aterrima", "Blackburnia atra", "Blackburnia blaptoides", "Brachinus medius", "Brachinus melanarthrus", "Brachinus mexicanus", "Brachinus microamericanus", "Brachinus mobilis", "Brachinus neglectus", "Brachinus niger", "Brachinus nigricans", "Brachinus nigripes", "Brachinus oaxacensis", "Brachinus olidus", "Brachinus ovipennis", "Brachinus oxygonus", "Brachinus pachygaster", "Brachinus pallidus", "Brachinus pallipes", "Brachinus patruelis", "Brachinus perplexus", "Brachinus phaeocerus", "Brachinus puberulus", "Brachinus quadripennis", "Zodarion aurorae", "Gaussia spirituana", "Zodarion korgei", "Zodarion musarum", "Blennidus marlenae", "Blennidus marsyasicus", "Blennidus mateui", "Blennidus mathani", "Blennidus mauritii", "Blennidus mediolaevis", "Blennidus mesotibialis", "Blennidus meticulosus", "Blennidus minutus", "Blennidus montanus", "Blennidus mucronatus", "Blennidus mutchleri", "Blennidus negrei", "Blennidus nemorivagus", "Blennidus nigritulus", "Blennidus obscuripennis", "Blennidus olivaceus", "Blennidus onorei", "Blennidus orbicollis", "Blennidus pachycerus", "Blennidus parmatus", "Blennidus parvulus", "Blennidus pascoensis", "Blennidus peruvianus", "Blennidus phaenogonus", "Blennidus pichinchae", "Blennidus pinguis", "Blennidus planatus", "Blennidus plaumanni", "Blennidus podocarpi", "Blennidus poeciloides", "Blennidus poncei", "Blennidus procerus", "Blennidus pseudangularis", "Blennidus pseudolaevis", "Blennidus pseudoperuvianus", "Blennidus quadrilamatus", "Blennidus rectangulus", "Blennidus refleximargo", "Blennidus robustulus", "Blennidus rufescens", "Blennidus sanchezi", "Blennidus sciakyi", "Blennidus smaragdinus", "Blennidus solivagus", "Blennidus somnians", "Blennidus straneoi", "Blennidus strictibasis", "Blennidus striolatus", "Blennidus subcordatus", "Blennidus sublaevis", "Blennidus sublustris", "Blennidus tardus", "Blennidus tenenbaumi", "Blennidus thoracatus", "Blennidus ticlianus", "Blennidus touzeti", "Blennidus uniformis", "Blennidus unistria", "Blennidus vancuveriensis", "Blennidus vereshaginae", "Blennidus vignai", "Blennidus viridans", "Blennidus waterhousei", "Blackburnia caliginosa", "Blackburnia concolor", "Blackburnia cuneipennis", "Blackburnia dyscolea", "Blackburnia epicurus", "Blackburnia erro", "Blackburnia filipes", "Blackburnia fordi", "Blackburnia fossipennis", "Blackburnia foveolata", "Blackburnia fractistriata", "Blackburnia fraterna", "Blackburnia fraudator", "Blackburnia fugitiva", "Blackburnia fulgida", "Blackburnia gastrellariformis", "Blackburnia gracilis", "Blackburnia hakeakapa", "Blackburnia haleakala", "Blackburnia hilaris", "Blackburnia howarthi", "Blackburnia huhula", "Blackburnia insociabilis", "Blackburnia ipu", "Blackburnia kahili", "Blackburnia kauaiensis", "Blackburnia kauwa", "Blackburnia kavanaughi", "Blackburnia kilauea", "Blackburnia komohana", "Blackburnia kuiki", "Blackburnia lanaihalensis", "Blackburnia latifrons", "Blackburnia lihau", "Blackburnia limbata", "Blackburnia longula", "Blackburnia meticulosa", "Blackburnia metromenoides", "Blackburnia microps", "Blackburnia moerens", "Blackburnia muscicola", "Blackburnia mutabilis", "Blackburnia oceanica", "Blackburnia opaca", "Blackburnia optimus", "Blackburnia palmae", "Blackburnia paloloensis", "Blackburnia paludicola", "Blackburnia pauma", "Blackburnia pavida", "Blackburnia perpolita", "Blackburnia platynoides", "Blackburnia platyophthalmica", "Blackburnia proterva", "Blackburnia putealis", "Blackburnia sphodriformis", "Blackburnia transiens", "Blackburnia tricolor", "Blackburnia ulaula", "Blackburnia vagans", "Blackburnia mandibularis", "Blackburnia riparia", "Blemus alexandrovi", "Blemus discus", "Blennidus abditus", "Blennidus aberrans", "Blennidus abramalagae", "Blennidus amaluzanus", "Blennidus andinus", "Blennidus angularis", "Blennidus antisanae", "Blennidus anxius", "Blennidus aratus", "Blennidus atahualpa", "Blennidus aulacostigma", "Blennidus azurescens", "Blennidus balli", "Blennidus bellator", "Blennidus bellesi", "Blennidus bistriatus", "Blennidus blairi", "Blennidus blandus", "Blennidus bombonensis", "Blennidus calathoides", "Blennidus casalei", "Blennidus catharinianus", "Blennidus chinchillanus", "Blennidus crassus", "Blennidus curtatus", "Blennidus cuzcanus", "Blennidus darlingtoni", "Blennidus davidsoni", "Blennidus davidsonianus", "Blennidus dianae", "Blennidus diminutus", "Blennidus dryas", "Blennidus duncani", "Blennidus ecuadorianus", "Blennidus egens", "Blennidus equadoricus", "Blennidus etontii", "Blennidus euphaenops", "Blennidus ferrugineicornis", "Blennidus fitzcarraldi", "Blennidus fontainei", "Blennidus formosus", "Blennidus foveatus", "Blennidus franzanus", "Blennidus galapagoensis", "Blennidus gaujoni", "Blennidus gregarius", "Blennidus hebes", "Blennidus huascarani", "Blennidus idioderus", "Blennidus inca", "Blennidus inops", "Blennidus insularis", "Blennidus integer", "Blennidus jelskii", "Blennidus kochalkai", "Blennidus laevigatus", "Blennidus laevis", "Blennidus languens", "Blennidus laterestriatus", "Blennidus laurentianus", "Blennidus leleuporum", "Blennidus liodes", "Blennidus longiloba", "Blackburnia brevipes", "Blackburnia bryophila", "Blackburnia cephalotes", "Blackburnia cheloniceps", "Blackburnia constricta", "Blackburnia corrusca", "Blackburnia costata", "Blackburnia curtipes", "Blackburnia debilis", "Blackburnia depressa", "Blackburnia derodera", "Blackburnia elegans", "Blackburnia erythropus", "Blackburnia ewingi", "Blackburnia fracta", "Blackburnia frigida", "Blackburnia hihia", "Blackburnia incendiaria", "Blackburnia insignis", "Blackburnia kamehameha", "Blackburnia kipahulu", "Blackburnia koebelei", "Blackburnia kukui", "Blackburnia lata", "Blackburnia lenta", "Blackburnia longipes", "Blackburnia lucipetens", "Blackburnia maculata", "Blackburnia medeirosi", "Blackburnia micans", "Blackburnia micantipennis", "Blackburnia molokaiensis", "Blackburnia munroi", "Blackburnia mystica", "Blackburnia octoocellata", "Blackburnia optata", "Blackburnia perkinsi", "Blackburnia pilikua", "Blackburnia polhemusi", "Blackburnia polipoli", "Blackburnia pukalaina", "Blackburnia puncticeps", "Blackburnia rupicola", "Blackburnia sharpi", "Blackburnia sulcipennis", "Blackburnia terebrata", "Blackburnia tibialis", "Blackburnia viridis", "Blackburnia waialeale", "Blackburnia hawaiiensis", "Blackburnia lanaiensis", "Blackburnia posticata", "Blackburnia tantalus", "Blackburnia abax", "Blackburnia abaxoides", "Blackburnia alternans", "Blackburnia ambiens", "Blackburnia asquithi", "Blackburnia auana", "Blackburnia audax", "Blackburnia barda", "Blackburnia bartletti", "Blackburnia calathiformis", "Blackburnia calathoides", "Brachinus seyrigi", "Brachinus albarracinus", "Brachinus andalusiacus", "Brachinus angustatus", "Brachinus barbarus", "Brachinus bellicosus", "Brachinus boeticus", "Brachinus dilapsus", "Brachinus italicus", "Brachinus lethierryi", "Brachinus mauretanicus", "Brachinus obliquetruncatus", "Brachinus olgae", "Brachinus otini", "Brachinus pateri", "Brachinus pecoudi", "Brachinus pygmaeus", "Brachinus testaceus", "Brachinus alexandri", "Brachinus atripensis", "Brachinus berytensis", "Brachinus efflans", "Brachinus ejaculans", "Brachinus elegans", "Brachinus minor", "Brachinus plagiatus", "Brachinus psophia", "Brachinus aeneicostis", "Zodarion hamatum", "Brachinus afghanus", "Brachinus ankarensis", "Brachinus bantimurungensis", "Brachinus batuensis", "Brachinus bodemeyeri", "Brachinus brevicollis", "Brachinus cambodgensis", "Brachinus catalonicus", "Brachinus ciliatus", "Brachinus constrictus", "Brachinus costatulus", "Brachinus costulipennis", "Brachinus daliensis", "Brachinus dawnaensis", "Brachinus dilatipennis", "Brachinus dryas", "Brachinus explodens", "Brachinus flores", "Brachinus foochowi", "Brachinus hoffmanni", "Brachinus hunanensis", "Brachinus immaculicornis", "Brachinus incomptus", "Brachinus inops", "Brachinus latipennis", "Brachinus lombokensis", "Brachinus madecassus", "Brachinus magyari", "Brachinus maublanci", "Brachinus merkli", "Brachinus mesopotamicus", "Brachinus nigricornis", "Brachinus nuristanus", "Brachinus oblongus", "Brachinus obtusus", "Blennidus williamsi", "Blenniventer violaceotinctus", "Blethisa catenaria", "Blethisa eschscholtzii", "Blethisa hudsonica", "Blethisa julii", "Blethisa oregonensis", "Blethisa quadricollis", "Bleusea ammophila", "Bleusea deserticola", "Boeomimetes atratus", "Boeomimetes confusus", "Boeomimetes ephippium", "Boeomimetes jeanneli", "Boeomimetes somalicus", "Bohemaniella africana", "Bohemaniella brevilobis", "Bohemaniella gigantea", "Bohemaniella minor", "Boldoriella brigantiae", "Boldoriella carminatii", "Boldoriella concii", "Boldoriella gratiae", "Boldoriella humeralis", "Boldoriella manzoniana", "Boldoriella monguzzii", "Boldoriella pozziae", "Boldoriella silvanae", "Boldoriella binaghii", "Boldoriella brembana", "Boldoriella chiarae", "Boldoriella focarilei", "Boldoriella grignensis", "Boldoriella knauthi", "Boldoriella pesarinii", "Boldoriella serianensis", "Boldoriella tedeschii", "Boldoriella verbanensis", "Boreaphaenops angustus", "Bothrocolpodes fossulatus", "Bothrocolpodes manjarivoloanus", "Bothrocolpodes rudis", "Bothrocolpodes splendens", "Bothynoproctus mattoensis", "Bothynotrechus castelnaui", "Bothynotrechus lynx", "Brachichila fischeri", "Brachichila hypocrita", "Brachichila maculata", "Brachichila malickyi", "Brachichila midas", "Brachichila sabahensis", "Brachichila vietnamensis", "Brachidius crassicornis", "Brachinulus viettei", "Brachinus nobilis", "Brachinus ornatus", "Brachinus pictus", "Brachinus agraphus", "Brachinus dieganus", "Brachinus lavaudeni", "Brachinus micheli", "Brachinus microrrhabdus", "Brachinus perrieri", "Dysdera falciformis", "Hyophorbe vaughanii", "Brachinus rugipennis", "Brachinus sallei", "Brachinus sonorous", "Brachinus sublaevis", "Brachinus tenuicollis", "Brachinus texanus", "Brachinus velutinus", "Brachinus vicinus", "Brachinus viridipennis", "Brachinus vulcanoides", "Brachinus xanthophryus", "Brachinus xanthopleurus", "Brachinus andreaei", "Brachinus annulicornis", "Brachinus apicalis", "Brachinus aristokrates", "Brachinus belyaevae", "Brachinus bigutticeps", "Brachinus bolovenensis", "Brachinus brittoni", "Brachinus caffer", "Brachinus charis", "Brachinus chaudoirianus", "Brachinus chinensis", "Brachinus cinctellus", "Brachinus circumtinctus", "Brachinus collarti", "Brachinus costiger", "Brachinus cychroides", "Brachinus dalatensis", "Brachinus demoulini", "Brachinus deuvei", "Brachinus dilatatus", "Brachinus dilottii", "Brachinus dissimilis", "Brachinus distans", "Brachinus enonensis", "Brachinus eucosmus", "Brachinus evanescens", "Brachinus orestes", "Brachinus orientalis", "Brachinus pallidipes", "Brachinus pectoralis", "Brachinus philippinensis", "Brachinus pokharaensis", "Brachinus punctaticollis", "Brachinus sclopeta", "Brachinus scotomedes", "Brachinus sichemita", "Brachinus solidipalpis", "Brachinus stenoderus", "Brachinus suensoni", "Brachinus szetschuanensis", "Brachinus thieleni", "Brachinus truncatulus", "Brachinus turkestanicus", "Brachinus vadoni", "Brachinus variventris", "Brachinus bagdatensis", "Brachinus bayardi", "Brachinus cruciatus", "Brachinus exhalans", "Brachinus johorensis", "Brachinus lewecki", "Brachinus pseudocruciatus", "Brachinus quadriguttatus", "Brachinus subnotatus", "Brachinus yunnanus", "Brachinus dorsalis", "Brachinus humeralis", "Brachinus abbreviatus", "Brachinus abyssinicus", "Brachinus algoensis", "Brachinus armiger", "Brachinus canaliculatus", "Brachinus congicus", "Brachinus connectoides", "Brachinus connectus", "Brachinus diffusus", "Brachinus elegantulus", "Brachinus fasciatocollis", "Brachinus gentilis", "Brachinus hexagrammus", "Brachinus laevicostis", "Brachinus langenhani", "Brachinus latus", "Brachinus lesnei", "Brachinus lewisii", "Brachinus midoli", "Brachinus natalicus", "Brachinus obliterus", "Brachinus promontorii", "Brachinus sericeus", "Brachinus servillei", "Brachinus sexmaculatus", "Brachinus sexnotatus", "Brachinus sexpustulatus", "Brachinus simulans", "Brachinus stappersi", "Brachinus suberbianus", "Brachinus sulcipennis", "Brachinus suturalis", "Brachinus tenuis", "Brachinus tetracolon", "Brachinus tetragrammus", "Brachinus tetraspilotus", "Brachinus vagus", "Brachinus variegatus", "Brachinus aabaaba", "Brachinus adustipennis", "Brachinus aeger", "Brachinus alexiguus", "Brachinus alternans", "Brachinus americanus", "Brachinus arboreus", "Brachinus atramentarius", "Brachinus azureipennis", "Brachinus bilineatus", "Brachinus bruchi", "Brachinus brunneus", "Brachinus capnicus", "Brachinus chalchihuitlicue", "Brachinus chirriador", "Brachinus cibolensis", "Brachinus cinctipennis", "Brachinus conformis", "Brachinus consanguineus", "Zodarion abantense", "Brachinus cordicollis", "Brachinus costipennis", "Brachinus cyanipennis", "Brachinus cyanochroaticus", "Brachinus elongatulus", "Brachinus explosus", "Brachinus favicollis", "Brachinus fulminatus", "Brachinus fulvipennis", "Brachinus fumans", "Brachinus fuscicornis", "Brachinus galactoderus", "Brachinus gebhardis", "Brachinus genicularis", "Brachinus geniculatus", "Brachinus grandis", "Brachinus hirsutus", "Brachinus hylaenus", "Brachinus ichabodopsis", "Brachinus immarginatus", "Brachinus imperialensis", "Brachinus imporcitis", "Brachinus intermedius", "Brachinus janthinipennis", "Brachinus javalinopsis", "Brachinus kansanus", "Brachinus kavanaughi", "Brachinus lateralis", "Brachinus limbiger", "Brachinus marginellus", "Brachinus marginiventris", "Brachinus exquisitus", "Brachinus fageli", "Brachinus flavicapillus", "Brachinus flavipes", "Brachinus flaviventris", "Brachinus flavus", "Brachinus formosanus", "Brachinus forticostis", "Brachinus frontalis", "Brachinus fukienensis", "Brachinus fuscipennis", "Brachinus ghindanus", "Brachinus grootaerti", "Brachinus hazardi", "Brachinus hubeiensis", "Brachinus illotus", "Brachinus inconditus", "Brachinus intactus", "Brachinus irakus", "Brachinus jakli", "Brachinus jucundus", "Brachinus kalalovae", "Brachinus knirschi", "Brachinus kollari", "Brachinus laetus", "Brachinus lapidarius", "Brachinus leprieuri", "Brachinus limbellus", "Brachinus limbicollis", "Brachinus longipalpis", "Brachinus longulus", "Brachinus luzonicus", "Brachinus mactus", "Brachinus marleyi", "Brachinus melancholicus", "Brachinus methneri", "Brachinus mindanaoensis", "Brachinus modestus", "Brachinus nigridorsis", "Brachinus nigrovirescens", "Brachinus oneili", "Brachinus ovalipennis", "Brachinus palawanensis", "Brachinus papua", "Brachinus paviei", "Brachinus pelengensis", "Brachinus peltastes", "Brachinus piceus", "Brachinus posticus", "Brachinus praestans", "Brachinus proximus", "Brachinus puncticollis", "Brachinus reyi", "Brachinus rikatlae", "Brachinus schmidti", "Brachinus scitulus", "Brachinus scotti", "Brachinus scriptus", "Brachinus scutellatus", "Brachinus sicardi", "Brachinus solidus", "Brachinus somereni", "Brachinus sordidus", "Brachinus stevensi", "Brachinus stevensianus", "Brachinus subcostatus", "Brachinus suturatus", "Brachinus suturellus", "Brachinus talyschensis", "Brachinus tetrastigma", "Brachinus tigridis", "Brachinus tsara", "Brachinus turnai", "Brachinus vigilans", "Brachinus vitticollis", "Brachinus votrubai", "Brachyctis rugulosa", "Brachygnathus angusticollis", "Brachygnathus fervidus", "Brachygnathus festivus", "Brachygnathus imperialis", "Brachygnathus intermedius", "Brachygnathus muticus", "Brachygnathus oxygonus", "Brachynillus natalensis", "Brachynillus pallidus", "Brachynillus varendorffi", "Brachynopterus rufulus", "Brachyodes angustior", "Brachyodes bruneaui", "Brachyodes conspicuus", "Brachyodes convergens", "Brachyodes coruscus", "Brachyodes deplanatus", "Brachyodes ellipticus", "Brachyodes guineensis", "Brachyodes hydrophiloides", "Brachyodes incisus", "Brachyodes labrosus", "Brachyodes laticollis", "Brachyodes laxus", "Brachyodes leopoldi", "Brachyodes longipalpis", "Brachyodes lucidus", "Brachyodes madagascariensis", "Brachyodes metallescens", "Brachyodes mirei", "Brachyodes natalensis", "Brachyodes nigrita", "Brachyodes obscuripes", "Brachyodes peguensis", "Brachyodes pervulgatus", "Brachyodes plumbeus", "Brachyodes porrectus", "Brachyodes praetextus", "Brachyodes prasinus", "Brachyodes pseudoguineensis", "Brachyodes pseudomirei", "Brachyodes rubiginosus", "Brachyodes rufipes", "Brachyodes rufithorax", "Brachyodes semicinctus", "Brachyodes senegalensis", "Bradycellus provoensis", "Bradycellus purgatus", "Bradycellus rivalis", "Bradycellus rupestris", "Bradycellus sejunctus", "Bradycellus socors", "Bradycellus suavis", "Bradycellus subcordatus", "Bradycellus supplex", "Bradycellus symetricus", "Bradycellus tantillus", "Bradycellus veronianus", "Bradycellus anchomenoides", "Bradycellus angulicollis", "Bradycellus bartschi", "Bradycellus chinensis", "Bradycellus confusus", "Bradycellus crassicerus", "Bradycellus curtulus", "Bradycellus discrepans", "Bradycellus glabratulus", "Bradycellus grandiceps", "Bradycellus jaegeri", "Bradycellus kataevi", "Bradycellus klapperichi", "Bradycellus koltzei", "Bradycellus laevicollis", "Bradycellus nepalensis", "Bradycellus nipponensis", "Bradycellus ovalipennis", "Bradycellus plutenkoi", "Bradycellus saitoi", "Bradycellus schuelkei", "Bradycellus subditus", "Bradycellus yulongshanus", "Bradycellus yushanensis", "Bradycellus atrimedeus", "Bradycellus badipennis", "Bradycellus conformis", "Bradycellus georgei", "Bradycellus kirbyi", "Bradycellus lugubris", "Brasiella acuniae", "Brasiella adisi", "Brasiella amaenula", "Brasiella argentata", "Brasiella aureola", "Brasiella banghaasi", "Brasiella bellorum", "Brasiella bororo", "Brasiella brevipalpis", "Brasiella brullei", "Brasiella chiapasi", "Brasiella cuyabaensis", "Brasiella darlingtoniana", "Brasiella davidsoni", "Brasiella dolosula", "Brasiella dolosulaffinis", "Brasiella hamulipenis", "Brasiella hemichrysea", "Brasiella horioni", "Bradycellus cristobalinus", "Bradycellus csikii", "Bradycellus cubanus", "Bradycellus distinctus", "Bradycellus fenderi", "Bradycellus flohri", "Bradycellus galapagorum", "Bradycellus ganglbaueri", "Bradycellus harpalinus", "Bradycellus heinzi", "Bradycellus impressifrons", "Bradycellus insularis", "Bradycellus isabelae", "Bradycellus isabelanus", "Bradycellus limbicollis", "Bradycellus lusitanicus", "Bradycellus martinezi", "Bradycellus nigrellus", "Bradycellus ruficollis", "Bradycellus secundus", "Bradycellus selleanus", "Bradycellus sharpi", "Bradycellus suturiger", "Bradycellus tibialis", "Bradycellus unistriatus", "Bradycellus velatus", "Bradycellus verbasci", "Bradycellus youngi", "Bradycellus lecontei", "Bradycellus laeticolor", "Bradycellus curticollis", "Bradycellus intermedius", "Bradycellus laticollis", "Bradycellus nitidus", "Bradycellus obsoletus", "Bradycellus obtusus", "Bradycellus politus", "Bradycellus tahoensis", "Bradycellus nigrinus", "Bradycellus semipubescens", "Bradycellus ardelio", "Bradycellus aridus", "Bradycellus californicus", "Bradycellus carolinensis", "Bradycellus congener", "Bradycellus decorus", "Bradycellus discipulus", "Bradycellus elongatus", "Bradycellus exstans", "Bradycellus festinans", "Bradycellus humboldtianus", "Bradycellus insulsus", "Bradycellus larvatus", "Bradycellus lineatus", "Bradycellus lustrellus", "Bradycellus montanus", "Bradycellus nebulosus", "Bradycellus neglectus", "Bradycellus nigerrimus", "Bradycellus nigriceps", "Bradycellus nubifer", "Bradycellus picipes", "Brachyodes siamensis", "Brachyodes similatus", "Brachyodes straneoi", "Brachyodes subaeneus", "Brachyodes submetallicus", "Brachyodes subolivaceus", "Brachyodes tenuistriatus", "Brachyodes tristis", "Brachyodes vagabundus", "Brachyodes virens", "Brachyodes vulsus", "Brachypelus ambondrombe", "Brachypelus basilewskyi", "Brachypelus betsileo", "Brachypelus fisheri", "Brachypelus microphthalmus", "Brachypelus minor", "Brachypelus newtoni", "Brachypelus obesus", "Brachypelus pauliani", "Brachypelus ranomafanae", "Brachypelus reticulatus", "Brachypelus rolandi", "Brachypelus vohidray", "Brachypelus vonickai", "Bradybaenus cephalotes", "Bradybaenus czeppeli", "Bradybaenus exiguus", "Bradybaenus festivus", "Bradybaenus halli", "Bradybaenus neavei", "Bradybaenus obscurus", "Bradybaenus opulentus", "Bradybaenus oxyomus", "Bradybaenus periphanus", "Bradybaenus perrieri", "Bradybaenus plumbeus", "Bradybaenus puncticollis", "Bradybaenus robustus", "Bradybaenus scalaris", "Bradycellus assingi", "Bradycellus excultus", "Bradycellus maderensis", "Bradycellus ventricosus", "Bradycellus wollastoni", "Bradycellus fimbriatus", "Bradycellus aequatorius", "Bradycellus alticola", "Bradycellus angulifer", "Bradycellus apicalis", "Bradycellus arcobasis", "Bradycellus bicolor", "Bradycellus brevitarsis", "Bradycellus caucasicus", "Bradycellus celeripes", "Bradycellus chavesi", "Bradycellus chilensis", "Bradycellus circumdatus", "Broscus nobilis", "Broscus politus", "Broscus potanini", "Broscus przewalskii", "Broscus punctatus", "Broscus rutilans", "Broscus uhagoni", "Broscus costatus", "Broscus jaegeri", "Broscus taurulus", "Broter ovicollis", "Bruskespar deuvei", "Bruskespar deuvesianum", "Bruskespar kevnidennek", "Bryanites graeffii", "Brzoskaicheila crassisculpta", "Brzoskaicheila hispidula", "Buderes oberti", "Bulirschia janaki", "Caecidium trechomorphum", "Caecidium yasudai", "Caecocaelus basilewskyi", "Caecocaelus clarkei", "Caecocaelus decellei", "Caecocaelus elongatus", "Caecocaelus kabarensis", "Caecocaelus leleupi", "Caecocaelus microphthalmus", "Caecocaelus ruandanus", "Caecocaelus scotti", "Caeconannus bulirschi", "Caeconannus marlothi", "Caeconannus occidentalis", "Caeconannus orientalis", "Caeconannus rotundicollis", "Caecoparvus achaiae", "Caecoparvus arcadicus", "Caecoparvus berrutii", "Caecoparvus daccordii", "Caecoparvus hercules", "Caecoparvus karavae", "Caecoparvus leonidae", "Caecoparvus lompei", "Caecoparvus marchesii", "Caecoparvus meschniggi", "Caecoparvus muelleri", "Caecoparvus parnassicus", "Caecoparvus pavesii", "Caecoparvus sciakyi", "Caelopenetretus crinalis", "Caelostomus ambiguus", "Caelostomus ambreanus", "Caelostomus anceps", "Caelostomus anthracinus", "Caelostomus basalis", "Caelostomus colasi", "Caelostomus congruus", "Caelostomus cribratus", "Caelostomus distinctus", "Caelostomus humerosus", "Caelostomus klugii", "Brasiella insularis", "Brasiella iviei", "Brasiella jolyi", "Brasiella kistleri", "Brasiella lassallei", "Brasiella mandli", "Brasiella maya", "Brasiella mendicula", "Brasiella minarum", "Brasiella misella", "Brasiella naviauxi", "Brasiella nebulosa", "Brasiella obscurella", "Brasiella obscurovata", "Brasiella ocoa", "Brasiella philipi", "Brasiella pretiosa", "Brasiella rawlinsi", "Brasiella rivalieri", "Brasiella speculans", "Brasiella sphaerodera", "Brasiella stamatovi", "Brasiella venezuelensis", "Brasiella venustula", "Brasiella viridicollis", "Brasiella wickhami", "Brasiella wiesneri", "Brasiella youngi", "Brasiella anulipes", "Brasiella balzani", "Brasiella chlorosticta", "Brasiella nigroreticulata", "Brasiella paranigroreticulata", "Brasiella rotundatodilatata", "Brasiella staudingeria", "Brithysternum calcaratum", "Brithysternum macleayi", "Brithysternum nodosum", "Bronislavia kryzhanovskii", "Bronislavia lopatini", "Bronislavia robusta", "Broscodera insignis", "Broscodera dreuxi", "Broscodera holzschuhi", "Broscodera morvani", "Broscodes championi", "Broscodes farsicus", "Broscodes karumicus", "Broscodes similis", "Broscosoma danbaense", "Broscosoma dostalianum", "Broscosoma gaoligongense", "Broscosoma kalabianum", "Broscosoma lumbasumba", "Broscosoma mourzinei", "Broscosoma pasubianum", "Broscus angustulus", "Broscus asiaticus", "Broscus declivis", "Broscus glaber", "Broscus insularis", "Broscus karelinii", "Broscus kozlovi", "Broscus laevigatus", "Caelostomus substriatus", "Caelostomus validulus", "Caelostomus catalai", "Caelostomus abruptus", "Caelostomus albertisi", "Caelostomus alluaudi", "Caelostomus amaroides", "Caelostomus andamanensis", "Caelostomus andrewesi", "Caelostomus assiniensis", "Caelostomus basilewskyi", "Caelostomus birmanicus", "Caelostomus brevimarginatus", "Caelostomus buruanus", "Caelostomus caprai", "Caelostomus castaneus", "Caelostomus castanopterus", "Caelostomus chujoi", "Caelostomus congoensis", "Caelostomus convexidorsis", "Caelostomus convexior", "Caelostomus convexiusculus", "Caelostomus coomani", "Caelostomus cordicollis", "Caelostomus crenulipennis", "Caelostomus cribratellus", "Caelostomus cribrifrons", "Caelostomus cribriventris", "Caelostomus debeauxi", "Caelostomus depressulus", "Caelostomus difficilis", "Caelostomus drescheri", "Caelostomus ebeninus", "Caelostomus elaphroides", "Caelostomus elegans", "Caelostomus elongatulus", "Caelostomus euglyptus", "Caelostomus feai", "Caelostomus gerardi", "Caelostomus ghesquierei", "Caelostomus howa", "Caelostomus humilis", "Caelostomus immarginatus", "Caelostomus inermis", "Caelostomus iridescens", "Caelostomus isakae", "Caelostomus julianae", "Caelostomus kaboboensis", "Caelostomus kaszabi", "Caelostomus kivuanus", "Caelostomus laevisulcis", "Caelostomus latemarginatus", "Caelostomus latithorax", "Caelostomus latus", "Caelostomus longinquus", "Caelostomus longissimus", "Caelostomus longulus", "Caelostomus loriai", "Caelostomus louwerensi", "Caelostomus malayanus", "Caelostomus malvernensis", "Caelostomus mariae", "Caelostomus masisianus", "Caelostomus minimus", "Caelostomus minor", "Caelostomus minusculus", "Caelostomus minutissimus", "Caelostomus miser", "Caelostomus modiglianii", "Caelostomus monardi", "Caelostomus montanus", "Caelostomus natalensis", "Caelostomus nigerrimus", "Caelostomus nitidus", "Caelostomus novaebritanniae", "Caelostomus novaeguineae", "Caelostomus nyassae", "Caelostomus oberthueri", "Caelostomus oblongus", "Caelostomus obscuripes", "Caelostomus obtusus", "Caelostomus ovalipennis", "Caelostomus parallelicollis", "Caelostomus parallelipennis", "Caelostomus parallelopipedus", "Caelostomus parvulus", "Caelostomus pavidus", "Caelostomus peninsularis", "Caelostomus perakianus", "Caelostomus perrieri", "Caelostomus philippinicus", "Caelostomus picipes", "Caelostomus planoculatus", "Caelostomus planulus", "Caelostomus procerulus", "Caelostomus propinquus", "Caelostomus proximoides", "Caelostomus proximus", "Caelostomus pseudocongoensis", "Caelostomus pseudoparvus", "Caelostomus pumilio", "Caelostomus punctatissimus", "Caelostomus punctisternus", "Caelostomus pusillus", "Caelostomus quadricollis", "Caelostomus rectangulus", "Caelostomus rectibasis", "Caelostomus rotundicollis", "Caelostomus rotundiformis", "Caelostomus rubripes", "Caelostomus sarawakianus", "Caelostomus sculptipennis", "Caelostomus semenowi", "Caelostomus siamensis", "Caelostomus similis", "Caelostomus simulator", "Caelostomus singaporensis", "Caelostomus spurius", "Caelostomus stevensoni", "Caelostomus straneoi", "Caelostomus striatocollis", "Caelostomus stricticollis", "Caelostomus subiridescens", "Caelostomus subovatus", "Caelostomus subparallelicollis", "Caelostomus subparallelus", "Caelostomus subquadricollis", "Zodarion pseudoelegans", "Attalea anisitsiana", "Zodarion mallorca", "Zodarion affine", "Zodarion diatretum", "Zodarion maculatum", "Zodarion beticum", "Zodarion viduum", "Caelostomus subsinuatus", "Caelostomus sulcatissimus", "Caelostomus sumatrensis", "Caelostomus thoracicus", "Caelostomus tschitscherini", "Caelostomus uelensis", "Caelostomus villiersi", "Caelostomus zanzibaricus", "Caelostomus globosus", "Caelostomus agilis", "Caelostomus burgeoni", "Caelostomus explanatus", "Caelostomus intermedius", "Caelostomus punctifrons", "Caelostomus punctulatus", "Caelostomus sculptilis", "Zodarion pirini", "Caelostomus subconvexus", "Caelostomus variabilis", "Caelostomus leleupi", "Caelostomus longicornis", "Caelostomus longisulcatus", "Caelostomus profundestriatus", "Caelostomus validiusculus", "Caelostomus ruber", "Cainogenion clypeale", "Cainogenion creberrimum", "Cainogenion depressum", "Cainogenion glabratum", "Cainogenion interiore", "Cainogenion ipsoides", "Cainogenion obscurum", "Cainogenion parumpilosum", "Cainogenion rotundicolle", "Cainogenion subopacum", "Cainogenion tropicum", "Cainogenion ephippiatum", "Calathidius acuminatus", "Calathidius brevithorax", "Calathidius sphodroides", "Calathocosmus mirus", "Calathus rotundicollis", "Calathus circumseptus", "Calathus acuticollis", "Calathus alternans", "Calathus arcuatus", "Calathus baeticus", "Calathus bosnicus", "Calathus brevis", "Calathus busii", "Calathus casalei", "Calathus distinguendus", "Calathus ellipticus", "Calathus erzeliki", "Calathus focarilei", "Calathus fracassii", "Attalea brasiliensis", "Attalea burretiana", "Solanum aligerum", "Calathus fuscipes", "Calathus giganteus", "Calathus glabricollis", "Calathus granatensis", "Calathus heinzianus", "Calathus hispanicus", "Calathus jakupicensis", "Calathus kirschenhoferi", "Calathus kirschenhoferianus", "Calathus korax", "Calathus kryzhanovskii", "Calathus libanensis", "Calathus lissoderus", "Calathus longicollis", "Calathus luctuosus", "Calathus macedonicus", "Calathus malacensis", "Calathus manasluensis", "Calathus minutus", "Calathus mirei", "Calathus moralesi", "Calathus muchei", "Calathus oertzeni", "Calathus opacus", "Calathus ordinatus", "Calathus oreades", "Calathus pirazzolii", "Calathus ravasinii", "Calathus reflexicollis", "Calathus reflexus", "Calathus rubripes", "Calathus sirentensis", "Calathus syriacus", "Calathus uniseriatus", "Calathus vignatagliantii", "Calathus vivesi", "Calathus vuillefroyi", "Calathus zabroides", "Calathus rotundatus", "Calathus abaxoides", "Calathus amplius", "Calathus angularis", "Calathus angustulus", "Calathus appendiculatus", "Calathus ascendens", "Calathus auctus", "Calathus canariensis", "Calathus carinatus", "Calathus ciliatus", "Calathus cognatus", "Calathus depressus", "Calathus freyi", "Calathus gomerensis", "Calathus laureticola", "Calathus marcellae", "Calathus rectus", "Calathus rufocastaneus", "Calathus spretus", "Calathus aeneocupreus", "Calathus caucasicus", "Calathus grandiceps", "Calathus horsti", "Calathus laticaudis", "Solanum alphonsei", "Euscalpellum cojimaricum", "Attalea lauromuelleriana", "Attalea macrolepis", "Calathus mandibularis", "Calathus praestans", "Calathus pseudopraestans", "Calathus recticaudis", "Calathus robustus", "Calathus sotshiensis", "Calathus stricticaudis", "Calathus subpraestans", "Calathus albanicus", "Calathus ambigens", "Calathus ambiguus", "Calathus asturiensis", "Calathus aztec", "Calathus bolivari", "Calathus calceus", "Calathus cinctus", "Calathus clauseni", "Calathus deplanatus", "Calathus deyrollei", "Calathus durango", "Calathus erratus", "Calathus erwini", "Calathus extensicollis", "Calathus femoralis", "Calathus gonzalezi", "Calathus gregarius", "Calathus hyrcanus", "Calathus ingratus", "Calathus kollari", "Calathus leechi", "Calathus leptodactylus", "Calathus lundbladi", "Calathus marmoreus", "Calathus metallicus", "Calathus mexicanus", "Calathus micropterus", "Calathus mollis", "Calathus opaculus", "Calathus peltatus", "Calathus peropacus", "Calathus pommeranzi", "Calathus potosi", "Calathus relictus", "Calathus rhaticus", "Calathus rotgeri", "Calathus ruficollis", "Calathus semisericeus", "Calathus simplicicollis", "Calathus solieri", "Calathus subfuscus", "Calathus vicenteorum", "Calathus whiteheadi", "Calathus wittmerianus", "Calathus ovipennis", "Calathus obliteratus", "Calathus pilosipennis", "Calathus refleximargo", "Calathus aethiopicus", "Calathus aethiops", "Calathus afroalpinus", "Calathus algens", "Calathus anatolicus", "Calathus ankoberensis", "Dysdera borealicaucasica", "Dysdera collucata", "Dysdera mazini", "Dysdera inopinata", "Dysdera gmelini", "Dysdera daghestanica", "Dysdera incognita", "Dysdera martensi", "Beccariophoenix alfredii", "Dysdera galinae", "Lucanus chengyuani", "Actocharis readingii", "Butia lallemantii", "Butia odorata", "Calleida pretiosa", "Calleida procerula", "Calleida prolixa", "Calleida properans", "Calleida pulcherrima", "Calleida punctata", "Calleida punctulata", "Calleida purpurea", "Calleida purpuripennis", "Calleida quadriimpressa", "Calleida rawlinsi", "Calleida refulgens", "Calleida regina", "Calleida resplendens", "Calleida rhodoptera", "Calleida rhytidera", "Calleida robusta", "Calleida rosea", "Calleida rubra", "Calleida rubricollis", "Calleida rufocuprea", "Calleida rufopicea", "Calleida rustica", "Calleida rutilans", "Calleida sanguinicollis", "Calleida saphyrina", "Calleida schistoptera", "Calleida schumacheri", "Calleida scintillans", "Calleida scutellaris", "Calleida semicincta", "Calleida semifacta", "Calleida semirubra", "Calleida semiviolacea", "Calleida sericinitens", "Calleida similis", "Calleida skwarrae", "Calleida smaragdinipennis", "Calleida smaragdula", "Calleida strandi", "Calleida subaenea", "Calleida sulcatula", "Calleida sumptuosa", "Calleida suturalis", "Calleida suturella", "Calleida tetrapora", "Calleida thalassina", "Calleida tibialis", "Calleida tinctipes", "Calleida tinctula", "Calleida titschacki", "Calleida translucens", "Calleida tristis", "Calleida tropicalis", "Calleida truncata", "Calleida tunicata", "Calleida turrialbae", "Calleida variolosa", "Calleida vignai", "Calleida violacea", "Calleida viridana", "Calleida viridiaurea", "Calleida viridicincta", "Calleida viridicuprea", "Calleida festinans", "Calleida fimbriata", "Calleida flava", "Calleida flohri", "Calleida fossulata", "Calleida fulgida", "Calleida fulvipes", "Calleida fusca", "Calleida georgii", "Calleida gigantea", "Calleida gounellei", "Calleida gracilis", "Calleida guyanensis", "Calleida haematodera", "Calleida hasterti", "Calleida hoegei", "Calleida honesta", "Calleida horni", "Calleida howdeni", "Calleida ignobilis", "Calleida insperans", "Calleida jansoni", "Calleida janthina", "Calleida jeanneli", "Calleida kayae", "Calleida koppeli", "Calleida lacunosa", "Calleida laetipennis", "Calleida lampra", "Calleida latelimbata", "Calleida latior", "Calleida levistriata", "Calleida limbata", "Calleida limbipennis", "Calleida lindigi", "Calleida lojana", "Calleida lurida", "Calleida magnifica", "Calleida malleri", "Calleida melzeri", "Calleida mesotincta", "Calleida metallica", "Calleida migratoria", "Calleida misella", "Calleida mniszechii", "Calleida moreti", "Calleida nantae", "Calleida nigricans", "Calleida nigriceps", "Calleida obrieni", "Calleida obscura", "Calleida obscuroaenea", "Calleida ohausi", "Calleida onorei", "Calleida optima", "Calleida pallida", "Calleida pauliana", "Calleida picicollis", "Calleida picipes", "Calleida planulata", "Calleida platynoides", "Calleida plaumanni", "Calleida plicaticollis", "Calleida praegnans", "Calathus annapurnae", "Calathus atitari", "Calathus baleensis", "Calathus balli", "Calathus carballalae", "Calathus carvalhoi", "Calathus chioriae", "Calathus chokeensis", "Calathus colasianus", "Calathus complanatus", "Calathus deliae", "Calathus dubaulti", "Calathus fimbriatus", "Calathus gansuensis", "Calathus gelascens", "Calathus gugheensis", "Calathus gunaensis", "Calathus heinertzi", "Calathus himalayae", "Calathus holzschuhi", "Calathus juan", "Calathus kebedei", "Calathus montanellus", "Calathus montanus", "Calathus montivagus", "Calathus nitidus", "Calathus ollivieri", "Calathus oreobius", "Calathus parvicollis", "Calathus patrizii", "Calathus pecoudi", "Calathus queinneci", "Calathus ras", "Calathus reebae", "Calathus roccai", "Calathus scotti", "Calathus scottianus", "Calathus shoanus", "Calathus simienensis", "Calathus suffuscus", "Calathus theodori", "Calathus tombesii", "Calathus trapezicollis", "Calathus vagestriatus", "Calathus vividus", "Calathus wolloensis", "Caledonica affinis", "Caledonica arrogans", "Caledonica bavayi", "Caledonica longicollis", "Caledonica luiggiorum", "Caledonica lunigera", "Caledonica mediolineata", "Caledonica mniszechii", "Caledonica myrmidon", "Caledonica pulchella", "Caledonica rivalieri", "Caledonica rivalieriana", "Caledonica rubicondosa", "Caledonica viridicollis", "Caledonomorpha darlingtoni", "Caledonomorpha elegans", "Caledonomorpha jordani", "Caledonomorpha loebli", "Darevskia parvula", "Darevskia pontica", "Caledonomorpha milneana", "Caledonomorpha papuana", "Caledonomorpha poggii", "Caledonomorpha sedlaceki", "Caledonomorpha strazanaci", "Caledonomorpha ullrichi", "Caledyschirius baehri", "Caledyschirius bicolor", "Caledyschirius burwelli", "Caledyschirius monteithi", "Caledyschirius rufithorax", "Calleida aenea", "Calleida aeneipennis", "Calleida aeruginosa", "Calleida ambigua", "Calleida amethystina", "Calleida arrowi", "Calleida aureola", "Calleida aurescens", "Calleida auripennis", "Calleida aurulenta", "Calleida baeri", "Calleida bahamensis", "Calleida basalis", "Calleida batesi", "Calleida bella", "Calleida bicolor", "Calleida bogotana", "Calleida brunnea", "Calleida bryanti", "Calleida buckleyi", "Calleida capreicolor", "Calleida catharinae", "Calleida cavicollis", "Calleida cayennensis", "Calleida caymanensis", "Calleida championi", "Calleida chevrolati", "Calleida chlorotaenia", "Calleida chryseis", "Calleida circumcincta", "Calleida clara", "Calleida conica", "Calleida convexicollis", "Calleida cordicollis", "Calleida corumbana", "Calleida cuprea", "Calleida cupreocincta", "Calleida cupreola", "Calleida cupreolimbata", "Calleida cupreomarginata", "Calleida cupripennis", "Calleida cyanescens", "Calleida cyanipennis", "Calleida cyanippe", "Calleida davidsoni", "Calleida decolor", "Calleida dives", "Calleida dyschroma", "Calleida ecuadorica", "Calleida estebanae", "Calleida excellens", "Calleida fabulosa", "Calleida feana", "Calleida viridimicans", "Calleida viridipallia", "Calleida viridipennis", "Calleida viridivestis", "Calleida acutangula", "Calleida alberti", "Calleida alluaudi", "Calleida ambreana", "Calleida andreae", "Calleida androyana", "Calleida aurata", "Calleida capensis", "Calleida catalai", "Calleida chinensis", "Calleida chloroptera", "Calleida corporaali", "Calleida decorsei", "Calleida deplanata", "Calleida discoidalis", "Calleida dolosa", "Calleida doriae", "Calleida fastuosa", "Calleida femoralis", "Calleida fervida", "Calleida freyi", "Calleida fuscicollis", "Calleida holochalca", "Calleida ignicincta", "Calleida ikopae", "Calleida insueta", "Calleida katangana", "Calleida klapperichi", "Calleida lativittis", "Calleida lepida", "Calleida lieftincki", "Calleida longicollis", "Calleida macrocephala", "Calleida marginalis", "Calleida natalis", "Calleida nevillei", "Calleida nilgirensis", "Calleida olsoufieffi", "Calleida onoha", "Calleida pallipes", "Calleida permunda", "Calleida perrieri", "Calleida perroti", "Calleida praestans", "Calleida propinqua", "Calleida quadricollis", "Calleida rapax", "Calleida rubiginosa", "Calleida rufolimbata", "Calleida rugosicollis", "Calleida seyrigi", "Calleida sicardi", "Calleida somalica", "Calleida splendidula", "Calleida suensoni", "Calleida sultana", "Calleida sultanoides", "Calleida tenuis", "Calleida terminata", "Calleida affinis", "Butia archeri", "Harpactea terveli", "Dysdera bogatschevi", "Dysdera raddei", "Dysdera karabachica", "Dysdera satunini", "Dysdera bidentata", "Dysderella caspica", "Scaphidium carinense", "Scaphidium vicinum", "Dysderella transcaspica", "Oxyporus wangae", "Calleida alticola", "Calleida angustata", "Calleida angusticollis", "Calleida assimilis", "Calleida basilewskyi", "Calleida callithera", "Calleida centralis", "Calleida chaudoiri", "Calleida congoana", "Calleida conradsi", "Calleida decellei", "Calleida distincta", "Calleida dualana", "Calleida fasciata", "Calleida grata", "Calleida haemorrhoa", "Calleida isabellae", "Calleida kivuensis", "Calleida lamottei", "Calleida macrospila", "Calleida marginicollis", "Calleida minga", "Calleida montana", "Calleida nigripes", "Calleida nigriventris", "Calleida nimbae", "Calleida pexifrons", "Calleida ruficollis", "Calleida rufiventris", "Calleida silvicola", "Calleida subfasciata", "Calleida syllara", "Calleida umbrigera", "Calleida urundiana", "Calleida ventralis", "Calleida villiersi", "Calleida violaceipennis", "Calleida wittei", "Calleida zumpti", "Atheta celata", "Zodarion attikaense", "Atheta dentiventris", "Zodarion nesiotes", "Hygrocrates lycaoniae", "Hygrocrates georgicus", "Hygrocrates caucasicus", "Hygrocrates kovblyuki", "Parajubaea torallyi", "Harpactea simovi", "Harpactea stoevi", "Calleidomorpha nigroaenea", "Callidadelpha bogotana", "Callidagonum pallidum", "Callidema boussingaultii", "Callisthenes reticulatus", "Callisthenes dawsoni", "Callisthenes dietzii", "Callisthenes discors", "Callisthenes lariversi", "Callisthenes latipennis", "Callisthenes luxatus", "Callisthenes moniliatus", "Callisthenes monticola", "Callisthenes oregonus", "Callisthenes placerus", "Callisthenes schaefferi", "Callisthenes striatior", "Callisthenes subaeneus", "Callisthenes subasperatus", "Callisthenes wilkesii", "Callisthenes akkolicus", "Callisthenes anthrax", "Callisthenes breviusculus", "Callisthenes declivis", "Callisthenes elegans", "Callisthenes ewersmanni", "Callisthenes fischeri", "Callisthenes glasunowi", "Callisthenes grumi", "Callisthenes karelini", "Callisthenes klapperichi", "Callisthenes kuschakewitschi", "Callisthenes marginatus", "Callisthenes mirificus", "Callisthenes panderi", "Callisthenes pavlovskii", "Callisthenes peksi", "Callisthenes persianus", "Callisthenes pseudocarabus", "Callisthenes pumicatus", "Callisthenes regelianus", "Callisthenes substriatus", "Callisthenes subtilestriatus", "Callisthenes usgentensis", "Callisthenes affinis", "Callisthenes ampliator", "Callisthenes calidus", "Callisthenes cancellatus", "Callisthenes lepidus", "Callisthenes morrisonii", "Carabus relictus", "Carabus roccaianus", "Carabus sculpturatus", "Carabus shamaevi", "Carabus tianbaoshan", "Carabus tieguanzi", "Carabus vanvolxemi", "Carabus vigil", "Carabus vigilax", "Carabus vinctus", "Carabus wuangxianus", "Carabus wutaishanicus", "Carabus xupuensis", "Carabus yunnanus", "Carabus brandti", "Carabus aliai", "Carabus asperatus", "Carabus stenocephalus", "Carabus adangensis", "Carabus kokujewi", "Carabus lazorum", "Carabus petri", "Carabus potanini", "Carabus arcadicus", "Carabus krueperi", "Carabus lefebvrei", "Carabus merlini", "Carabus labruleriei", "Carabus piochardi", "Carabus auronitens", "Carabus basilicus", "Carabus hispanus", "Carabus olympiae", "Carabus punctatoauratus", "Carabus rutilans", "Carabus solieri", "Carabus strasseri", "Carabus augustus", "Carabus elysii", "Carabus formosus", "Carabus fruhstorferi", "Carabus gemmifer", "Carabus ignimitella", "Carabus ishizukai", "Carabus jeannelianus", "Carabus kubani", "Carabus lafossei", "Carabus liianus", "Carabus mayri", "Carabus monilifer", "Carabus nankotaizanus", "Carabus principalis", "Carabus gorodinskii", "Carabus jacobsoni", "Carabus kryzhanovskii", "Carabus puer", "Carabus redikortzevi", "Carabus akinini", "Carabus kiritschenkoi", "Carabus ovtshinnikovi", "Carabus tshistjakovae", "Carabus znojkoi", "Carabus balassogloi", "Carabus chan", "Carabomorphus kenyensis", "Carabomorphus deckeni", "Carabomorphus glacialis", "Carabomorphus leleupi", "Carabomorphus neumanni", "Carabomorphus volkensi", "Carabops abyssinicus", "Carabops aethiopicus", "Carabops burtoni", "Carabops janssensi", "Carabops nyassicus", "Carabops oberthueri", "Carabops rugolosus", "Carabops vermiculatus", "Carabus alexandrae", "Carabus interruptocostatus", "Carabus changgeonleei", "Carabus gehinii", "Carabus haeckeli", "Carabus jingkeanus", "Carabus leechi", "Carabus mirabilissimus", "Carabus callisthenoides", "Carabus guerini", "Carabus barovskii", "Carabus dengyuani", "Carabus infantulus", "Carabus pauliani", "Carabus pupulus", "Carabus rueckbeili", "Carabus shirtalensis", "Carabus thianshanskii", "Carabus tianshanicola", "Carabus deuvei", "Carabus legrandi", "Carabus omphreodes", "Carabus pseudodepressus", "Carabus achilleanus", "Carabus acorep", "Carabus adolescens", "Carabus aeneocupreus", "Carabus ajax", "Carabus angulihabitus", "Carabus anlongensis", "Carabus antoniettae", "Carabus anxiensis", "Carabus arrowi", "Carabus artemis", "Carabus ascendens", "Carabus benardi", "Carabus birmanus", "Carabus boulbenianus", "Carabus bousquetellus", "Carabus breuningianus", "Carabus cantonensis", "Carabus caoyutangicus", "Carabus casaleianus", "Carabus cavazzutiellus", "Callisthenes obsoletus", "Callisthenes semilaevis", "Callisthenes simplex", "Callisthenes tepidus", "Callisthenes pentheri", "Callisthenes relictus", "Callisthenes fabulosus", "Callistomimus acuticollis", "Callistomimus aeolus", "Callistomimus alluaudi", "Callistomimus alternans", "Callistomimus amoenus", "Callistomimus asper", "Callistomimus azarensis", "Callistomimus belli", "Callistomimus bicolor", "Callistomimus bimaculatus", "Callistomimus caffer", "Callistomimus cauliops", "Callistomimus chalcocephalus", "Callistomimus chevalieri", "Callistomimus chlorocephalus", "Callistomimus coarctatus", "Callistomimus convexicollis", "Callistomimus cyclotus", "Callistomimus dabreui", "Callistomimus davidsoni", "Callistomimus depressus", "Callistomimus dicksoni", "Callistomimus dilaceratus", "Callistomimus diversus", "Callistomimus dollmani", "Callistomimus dux", "Callistomimus elegans", "Callistomimus exsul", "Callistomimus gabonicus", "Callistomimus garouaensis", "Callistomimus gracilis", "Callistomimus gratus", "Callistomimus guineensis", "Callistomimus guttatus", "Callistomimus hamerae", "Callistomimus hovanus", "Callistomimus insuetus", "Callistomimus jucundus", "Callistomimus kilimanus", "Callistomimus latefasciatus", "Callistomimus lebioides", "Callistomimus littoralis", "Callistomimus makondeensis", "Callistomimus maurus", "Callistomimus modestus", "Callistomimus nair", "Callistomimus narobiensis", "Callistomimus nepalensis", "Callistomimus nigropunctatostriatus", "Callistomimus nodieri", "Callistomimus obscurus", "Callistomimus okutanii", "Callistomimus pachys", "Callistomimus panganiensis", "Callistomimus pernix", "Callistomimus philippinus", "Callistomimus placens", "Camptodontus longicollis", "Camptodontus longipennis", "Camptodontus obliteratus", "Camptodontus puncticeps", "Camptodontus reichei", "Camptodontus trisulcus", "Camptogenys aberrans", "Camptogenys similis", "Camptogenys trisetosa", "Camptoscelis dissidens", "Camptoscelis hottentotta", "Camptotoma freyi", "Camptotoma lebasii", "Camptotoma marcuzzii", "Camptotoma flavostriata", "Camptotoma straneoi", "Canarobius chusyae", "Canarobius oromii", "Capabatus raffrayi", "Carabidomemnus acutipennis", "Carabidomemnus arthropteroides", "Carabidomemnus baenningeri", "Carabidomemnus besucheti", "Carabidomemnus brachynoides", "Carabidomemnus decellei", "Carabidomemnus endroedyfilius", "Carabidomemnus evansi", "Carabidomemnus fulvescens", "Carabidomemnus hargreavesi", "Carabidomemnus jeanfoxae", "Carabidomemnus kirbii", "Carabidomemnus lecordieri", "Carabidomemnus lunacarvalhoi", "Carabidomemnus methneri", "Carabidomemnus minutus", "Carabidomemnus ozaenoides", "Carabidomemnus seineri", "Carabidomemnus vaticinus", "Carabidomemnus vilhenai", "Carabidomemnus feae", "Carabidomemnus hammondi", "Carabidomemnus ituriensis", "Carabidomemnus luluanus", "Carabidomemnus mollicellus", "Carabidomemnus pallidus", "Carabidomemnus reichenspergeri", "Carabomorphus brachycerus", "Carabomorphus catenatus", "Carabomorphus harrarensis", "Carabomorphus masaicus", "Carabomorphus antinorii", "Carabomorphus arrowi", "Carabomorphus gestroi", "Carabomorphus raffrayi", "Carabomorphus alinderi", "Carabomorphus elgonensis", "Calosoma depressicolle", "Calosoma digueti", "Calosoma diminutum", "Calosoma flohri", "Calosoma gebieni", "Calosoma laevigatum", "Calosoma lesnei", "Calosoma morelianum", "Calosoma orizabae", "Calosoma politum", "Calosoma striatipenne", "Calosoma striatulum", "Calosoma sylvestre", "Calosoma angulatum", "Calosoma eremicola", "Calosoma glabratum", "Calosoma marginale", "Calosoma parvicolle", "Calosoma peregrinator", "Syagrus cearensis", "Calosoma prominens", "Calosoma sponsa", "Calosoma abbreviatum", "Calosoma alternans", "Calosoma argentinense", "Calosoma fulgens", "Calosoma galapageium", "Calosoma granatense", "Calosoma leleuporum", "Calosoma linelli", "Calosoma peruviense", "Calosoma retusum", "Calosoma rufipenne", "Calosoma trapezipenne", "Calosoma vagans", "Calosoma aethiops", "Calosoma bastardi", "Calosoma grandidieri", "Calosoma guineense", "Calosoma orientale", "Calosoma planicolle", "Calosoma scabrosum", "Calosoma senegalense", "Calosoma strandi", "Calosoma bridgesi", "Calybe basalis", "Calybe belti", "Calybe grata", "Calybe inaequalis", "Calybe leprieuri", "Calybe leucopus", "Calybe magna", "Calybe tumidula", "Calyptoglossa frontalis", "Cameroniola kryzhanovskiji", "Camptidius ophthalmicus", "Camptodontus amazonum", "Camptodontus anglicanus", "Camptodontus cayennensis", "Camptodontus crenatus", "Camptodontus falcatus", "Camptodontus forcipatus", "Camptodontus interstitialis", "Camptodontus isthmius", "Carabus cenwangensis", "Carabus chadianus", "Carabus cheni", "Carabus chenianus", "Carabus circe", "Carabus clermontianus", "Carabus cyanopterus", "Carabus dapanshanicus", "Carabus datianshanicus", "Carabus davidioides", "Carabus davidis", "Carabus dechambreianus", "Carabus delavayi", "Carabus dilatatipennis", "Carabus dinghuensis", "Carabus eccoptopterus", "Carabus elektra", "Carabus elliptipennis", "Carabus fallettiellus", "Carabus fanjinensis", "Carabus feae", "Carabus fushuangensis", "Carabus gracilithorax", "Carabus guangxicus", "Carabus guibeicus", "Carabus guzhangensis", "Carabus hera", "Carabus huangianus", "Carabus hubeicus", "Carabus hupeensis", "Carabus ichangensis", "Carabus inagakii", "Carabus infirmior", "Carabus inventus", "Carabus iris", "Carabus jingzhongensis", "Carabus koiwayai", "Carabus korellianus", "Carabus kouanping", "Carabus kouichii", "Carabus kryzhanovskianus", "Carabus lamarcki", "Carabus lambrechti", "Carabus laoshanicus", "Carabus leda", "Carabus lizizhongi", "Carabus longeantennatus", "Carabus ludivinae", "Carabus luschanensis", "Carabus madefactus", "Carabus malaisei", "Carabus maoershanicus", "Carabus masuzoi", "Carabus mecynodes", "Carabus melli", "Carabus menelaus", "Carabus microtatos", "Carabus ngi", "Carabus novenumus", "Carabus odysseus", "Carabus pangi", "Carabus paravogtae", "Carabus pervarius", "Carabus philoscius", "Carabus pineticola", "Carabus piriformis", "Carabus polemistes", "Carabus prattianus", "Carabus prodigus", "Carabus protenes", "Carabus pseudocenwangensis", "Carabus pseudoguizhouensis", "Carabus pseudotorquatus", "Carabus qianjiadong", "Carabus rapuzzi", "Carabus reni", "Carabus roxane", "Carabus saga", "Carabus sauteri", "Carabus schuetzei", "Carabus shikengkong", "Carabus skyaphilus", "Carabus solidior", "Carabus songshanicus", "Carabus tanakaianus", "Carabus tarasovinus", "Carabus telemachus", "Carabus tengchongicola", "Carabus thetis", "Carabus thilliezi", "Carabus thoraciculus", "Carabus tiani", "Carabus tibeticus", "Carabus tientei", "Carabus tongbiguanicus", "Carabus tonkinensis", "Carabus torquatus", "Carabus toulgoeti", "Carabus tuxeni", "Carabus vitalisi", "Carabus vogtae", "Carabus wangziensis", "Carabus wumingensis", "Carabus xianhensis", "Carabus xiaoxiangensis", "Carabus yaophilus", "Carabus yaorenensis", "Carabus yinjiangicus", "Carabus yonganensis", "Carabus yuae", "Carabus yuanbaoensis", "Harpactea petrovi", "Carabus yuellus", "Carabus yunnanensis", "Carabus yunnanicola", "Carabus zengae", "Carabus alysidotus", "Carabus caramanus", "Carabus gotschii", "Carabus monticola", "Carabus montivagus", "Carabus pseudomonticola", "Carabus rossii", "Carabus steuartii", "Carabus victor", "Carabus wiedemanni", "Carabus romanowi", "Callistomimus pseudojucundus", "Callistomimus quadricolor", "Callistomimus quadriguttatus", "Callistomimus quadrimaculatus", "Callistomimus quadripustulatus", "Callistomimus quinquemaculatus", "Callistomimus rivularis", "Callistomimus rubellus", "Callistomimus rubricosus", "Callistomimus rufiventris", "Callistomimus rugosus", "Callistomimus senegalensis", "Callistomimus sennariensis", "Callistomimus sexpustulatus", "Callistomimus sikkimensis", "Callistomimus sinicola", "Callistomimus strigipennis", "Callistomimus subnotatus", "Callistomimus suturalis", "Callistomimus trichros", "Callistomimus tumidipes", "Callistomimus venustus", "Callistomimus virescens", "Callistomimus vitalisi", "Callytron alleni", "Callytron andersoni", "Callytron doriai", "Callytron gyllenhalii", "Callytron inspeculare", "Callytron limosum", "Callytron malabaricum", "Callytron monalisa", "Callytron nivicinctum", "Callytron terminatum", "Callytron yuasai", "Calodromius bifasciatus", "Calodromius henoni", "Calodromius ingens", "Calodromius lebioides", "Calodromius mayeti", "Calodromius putzeysi", "Calodromius sphex", "Calodromius spilotus", "Calopachys blaptoides", "Calopachys bohnei", "Calopachys omiltemius", "Calopachys viridissimus", "Calophaena aculeata", "Calophaena acuminata", "Calophaena alboguttata", "Calophaena angusticollis", "Calophaena apicalis", "Calophaena apiceguttata", "Calophaena arcuata", "Calophaena arrowi", "Calophaena azurea", "Calophaena batesii", "Calophaena bicincta", "Calophaena bifasciata", "Calophaena bonvouloiri", "Calophaena buckleyi", "Calophaena caeruleofasciata", "Calophaena cincta", "Calophaena cordicollis", "Carabus aurocinctus", "Carabus bargusinensis", "Carabus beybienkoi", "Carabus caustomarginatus", "Carabus chamissonis", "Carabus dorogostaiskii", "Carabus harmandi", "Carabus lucepunctus", "Carabus massagetus", "Carabus moritai", "Carabus opaculus", "Carabus shaanxiensis", "Carabus slovtzovi", "Carabus exiguus", "Carabus sunwukong", "Carabus uenoianus", "Carabus kaznakovi", "Carabus kozloviellus", "Carabus leptoplesioides", "Carabus mouthiezianoides", "Carabus noctivagus", "Carabus takashimai", "Carabus dshungaricola", "Carabus eokirgisicus", "Carabus eous", "Carabus eugeniellus", "Carabus foreli", "Carabus hiekei", "Carabus karkarensis", "Carabus khalyktauensis", "Carabus malkovskyi", "Carabus manap", "Carabus semenovianus", "Carabus valikhanovi", "Carabus angustus", "Carabus cartereti", "Carabus catenulatus", "Carabus deyrollei", "Carabus euchromus", "Carabus italicus", "Carabus manifestus", "Carabus mianyangensis", "Carabus namhaedoensis", "Carabus nitididorsus", "Carabus paraysi", "Carabus pawlowskianus", "Carabus sternbergi", "Carabus szeli", "Carabus ulrichii", "Carabus xiuyanensis", "Carabus acutithorax", "Carabus favieri", "Carabus genei", "Carabus flutschi", "Carabus kusnetzovi", "Carabus caerulans", "Carabus grombczewskii", "Carabus gussakovskii", "Carabus perelloi", "Carabus sogdianus", "Calophaena costaricensis", "Calophaena cruciata", "Calophaena dentatofasciata", "Calophaena distincta", "Calophaena dupuisi", "Calophaena ephippigera", "Calophaena gerstaeckeri", "Calophaena gounellei", "Calophaena grandispina", "Calophaena hieroglyphica", "Calophaena interrupta", "Calophaena lafertei", "Calophaena latecincta", "Calophaena latefasciata", "Calophaena ligata", "Calophaena maculata", "Calophaena mimosa", "Calophaena moseri", "Calophaena nevermanni", "Calophaena nigripennis", "Calophaena peruana", "Calophaena pleurostigma", "Calophaena quadrimaculata", "Calophaena rutilicollis", "Calophaena schroederi", "Calophaena sexmaculata", "Calophaena unifasciata", "Calophaena virgata", "Calophaena viridipennis", "Calophaena vitticollis", "Calophaena xanthacra", "Calophaenoidea arrowi", "Calosoma anthracinum", "Calosoma atrovirens", "Calosoma chihuahua", "Calosoma haydeni", "Calosoma laeve", "Calosoma porosifrons", "Calosoma viridisulcatum", "Calosoma externum", "Calosoma macrum", "Calosoma palmeri", "Calosoma protractum", "Calosoma aurocinctum", "Calosoma cyaneoventre", "Calosoma frigidum", "Calosoma himalayanum", "Calosoma oceanicum", "Calosoma splendidum", "Calosoma wilcoxi", "Calosoma arrowianum", "Calosoma davidi", "Calosoma imbricatum", "Calosoma olivieri", "Calosoma reitteri", "Calosoma algiricum", "Calosoma indicum", "Calosoma iranicum", "Calosoma maderae", "Calosoma tanganyicae", "Calosoma altipeta", "Calosoma bulleri", "Calosoma cicatricosum", "Calosoma costipenne", "Carabus viridifossulatus", "Carabus mongoliensis", "Carabus nangnimicus", "Carabus pseudokoreanus", "Carabus pukwonensis", "Carabus fedtschenkoi", "Carabus aristochroides", "Carabus babao", "Carabus benpo", "Carabus binochei", "Carabus deuvianus", "Carabus dietererberi", "Carabus gratus", "Carabus guinanensis", "Carabus janatai", "Carabus janataianus", "Carabus juengerianus", "Carabus linxiaensis", "Carabus mandarin", "Carabus mayashanus", "Carabus nevestimus", "Carabus paulusianus", "Carabus pingpong", "Carabus przewalskii", "Carabus qiagaianus", "Carabus sementivus", "Carabus sewertzowi", "Carabus trichothorax", "Carabus turnaianus", "Carabus worahniki", "Carabus yangguifei", "Carabus agamemnon", "Carabus andreiianus", "Carabus baimanorum", "Carabus battoniensis", "Carabus bornianus", "Carabus camilloi", "Carabus cordithoracicus", "Carabus daiyunshan", "Carabus dongchuanicus", "Carabus dreuxioides", "Carabus emanuelei", "Carabus fontellus", "Carabus gomerae", "Carabus goryi", "Carabus gressittianus", "Carabus jinnanicus", "Carabus koidei", "Carabus kucerai", "Carabus kweitshauensis", "Carabus latipennis", "Carabus leplati", "Carabus ludingensis", "Carabus maowenensis", "Carabus mianningensis", "Carabus mirandus", "Carabus morphocaraboides", "Carabus nanosomus", "Carabus nestor", "Carabus oblongior", "Carabus ohomopteroides", "Carabus paris", "Carabus pseudolatipennis", "Carabus cicatricosus", "Carabus corrugis", "Carabus narinensis", "Carabus solskyi", "Carabus hauseri", "Carabus kaufmanni", "Carabus medvedevi", "Carabus nikolajevi", "Carabus turcosinensis", "Carabus iliensis", "Harpactea pugio", "Carabus kadyrbekovi", "Carabus kasantsevi", "Carabus lindemanni", "Carabus mullerellus", "Carabus munganasti", "Carabus sacarum", "Carabus sororius", "Carabus subparallelus", "Carabus tsharynensis", "Carabus turkestanus", "Carabus kalabi", "Carabus sifanicus", "Carabus galicianus", "Carabus melancholicus", "Carabus balangicus", "Carabus brezinai", "Carabus concursans", "Carabus huangi", "Carabus kangdingi", "Carabus laevithorax", "Carabus lixianensis", "Carabus melii", "Carabus miroslavi", "Carabus morettoi", "Carabus murzinianus", "Carabus pignataroi", "Carabus pseudohuangi", "Carabus quintus", "Carabus saueri", "Carabus siguniangensis", "Carabus sinotibeticola", "Carabus taiyanghensis", "Carabus tianmingyii", "Carabus verecundus", "Carabus xichang", "Carabus anchocephalus", "Carabus pseudoprosodes", "Carabus aulacocnemus", "Carabus belousovi", "Carabus brosciformis", "Carabus karaterekensis", "Carabus mniszechii", "Carabus namanganensis", "Carabus pseudolamprostus", "Carabus pskemicus", "Carabus pullus", "Carabus zarudnyi", "Carabus blaptoides", "Carabus arcanus", "Carabus dokhtouroffi", "Carabus sphinx", "Carabus staudingeri", "Carabus stackelbergi", "Carabus tadzhikistanus", "Carabus serratus", "Carabus bischoffii", "Carabus marietti", "Carabus muchei", "Carabus baronii", "Carabus barysomus", "Carabus boysii", "Carabus caschmirensis", "Carabus cavifrons", "Carabus dardiellus", "Carabus epipleuralis", "Carabus erberi", "Carabus gandharae", "Carabus gridellii", "Carabus isabellae", "Carabus kabakovianus", "Carabus kaghanensis", "Carabus olafi", "Carabus piffli", "Carabus rostianus", "Carabus stoliczkanus", "Carabus wittmerorum", "Carabus auriculatus", "Carabus pyrenaeus", "Carabus cychropalpus", "Carabus tenuitarsis", "Carabus dargei", "Carabus fiduciarius", "Carabus hienfoungii", "Carabus hunanicola", "Carabus kiukiangensis", "Carabus miaorum", "Carabus orphniopterus", "Carabus pseudohunanicola", "Carabus pustululatus", "Carabus strandiellus", "Carabus erenleriensis", "Carabus guycolasianus", "Carabus hemprichii", "Carabus inseriatus", "Carabus lecordieri", "Carabus ledouxi", "Carabus punctatus", "Carabus renardi", "Carabus robustus", "Carabus rostandianus", "Carabus saulcyi", "Carabus staveni", "Carabus torosus", "Carabus chiricus", "Carabus hiurai", "Carabus koreanus", "Carabus kumagaii", "Carabus kyushuensis", "Carabus marcilhaci", "Carabus procerulus", "Carabus seishinensis", "Carabus semiopacus", "Carabus vogtianus", "Carabus yokoae", "Carabus baichengicus", "Dysdera undecima", "Dysdera tredecima", "Dendrobium bellatulum", "Dysdera tilosensis", "Dysdera brevispina", "Linoderus gracilipes", "Linoderus alajuelensis", "Syagrus weddelliana", "Dysdera brevisetae", "Dysdera chioensis", "Solanum amygdalifolium", "Solanum angustifidum", "Solanum aspersum", "Syagrus picrophylla", "Dysdera ambulotenta", "Carabus kollari", "Carabus kozhantschikowi", "Carabus mestscherjakovi", "Carabus michailovi", "Carabus monilis", "Carabus praecellens", "Carabus rothi", "Carabus scheidleri", "Carabus tarbagataicus", "Carabus versicolor", "Carabus verzhutzkii", "Carabus zawadzkii", "Carabus caelestinus", "Carabus abbreviatus", "Carabus coarctatus", "Carabus faustus", "Carabus albrechti", "Carabus arrowianus", "Carabus daisen", "Carabus dehaanii", "Carabus esakii", "Carabus insulicola", "Carabus iwawakianus", "Carabus japonicus", "Carabus kawanoi", "Carabus kimurai", "Carabus lewisianus", "Carabus maiyasanus", "Carabus tosanus", "Carabus uenoi", "Carabus yaconinus", "Carabus yamato", "Carabus aeneolus", "Carabus arshanicus", "Carabus ballionis", "Carabus ernsti", "Carabus imperfectus", "Carabus iteratus", "Carabus kalabellus", "Carabus latiballioni", "Carabus obscurior", "Carabus parvicatenatus", "Carabus politulus", "Carabus praecox", "Carabus regeli", "Carabus rufocuprescens", "Carabus successor", "Carabus variabilis", "Carabus blumenthaliellus", "Carabus gemellatus", "Carabus ghilianii", "Carabus guadarramus", "Carabus igori", "Carabus kitawakianus", "Carabus laotse", "Carabus longiusculus", "Carabus luetgensi", "Carabus mikhaili", "Carabus ohshimaianus", "Carabus paralaotse", "Carabus preslii", "Carabus reitterianus", "Carabus dolini", "Carabus dolonicus", "Carabus itshkibashi", "Carabus kleinfeldorum", "Carabus marquardti", "Carabus merzbacheri", "Carabus shokalskii", "Carabus subtilistriatus", "Carabus clatratus", "Carabus gordius", "Carabus stjernvalli", "Carabus morbillosus", "Carabus planatus", "Carabus rugosus", "Carabus alanstivelli", "Carabus arunensis", "Carabus deliae", "Carabus dilatotarsalis", "Carabus epsteini", "Carabus everesti", "Carabus franzi", "Carabus granulatocostatus", "Carabus indicus", "Carabus kadoudali", "Carabus koganae", "Carabus lebretae", "Carabus montreuili", "Carabus pseudoharmandi", "Carabus queinneci", "Carabus quinlani", "Carabus salpansis", "Carabus scheibei", "Carabus swatensis", "Carabus tamang", "Carabus tuberculipennis", "Carabus wallichii", "Carabus blakistoni", "Carabus bonvouloirii", "Carabus caelatus", "Carabus croaticus", "Carabus danilevskii", "Carabus germarii", "Carabus kantaikensis", "Carabus planicollis", "Carabus purpurascens", "Carabus stroganowi", "Carabus tuvensis", "Carabus dufourii", "Carabus lusitanicus", "Carabus riffensis", "Carabus riedelii", "Carabus elbursensis", "Carabus khorasanensis", "Carabus pumilio", "Carabus roseni", "Carabus aeruginosus", "Carabus chaudoiri", "Carabus eschscholtzi", "Carabus excellens", "Carabus hummelii", "Carabus juliae", "Carabus staneki", "Carabus sui", "Carabus taedatus", "Carabus taibaiensis", "Carabus tewoensis", "Carabus titanus", "Carabus vladsimirskyi", "Carabus alpestris", "Carabus bertolinii", "Carabus bremii", "Carabus carinthiacus", "Carabus castanopterus", "Carabus concolor", "Carabus fairmairei", "Carabus linnei", "Carabus pedemontanus", "Carabus sylvestris", "Carabus saphyrinus", "Carabus imitator", "Carabus roseri", "Carabus staehlini", "Carabus swaneticus", "Carabus tamsii", "Carabus alexpuchneri", "Carabus borodini", "Carabus bruggeianus", "Carabus chomae", "Carabus chuandonzicus", "Carabus crassesculptus", "Carabus crassethoracis", "Carabus danae", "Carabus draco", "Carabus edacis", "Carabus erwini", "Carabus feicuipennis", "Carabus garpen", "Carabus glomeroides", "Carabus hengduanicola", "Carabus huangcaoshanicus", "Carabus hummelioides", "Carabus kamensis", "Carabus kaschkarowi", "Dendrobium eungellensis", "Carabus lama", "Carabus ludmilae", "Carabus nanschanicus", "Carabus panda", "Carabus paulusi", "Carabus piceophilus", "Carabus poschingerianus", "Carabus promachus", "Carabus pseudomarkamensis", "Carabus puetzi", "Carabus qiangding", "Carabus sichuanicola", "Carabus sigena", "Carabus tatsienlui", "Carabus trachynodes", "Carabus tryznai", "Carabus tsogoensis", "Carabus wagae", "Carabus wrzecionkoianus", "Carabus xiaodongi", "Carabus biroi", "Carabus blumenthaliensis", "Carabus bohemani", "Carabus coruhnehriensis", "Carabus elegantulus", "Carabus enigmaticus", "Carabus georgia", "Carabus giachinoi", "Carabus gilnickii", "Carabus heinzi", "Carabus hollbergi", "Carabus janthinus", "Carabus kurdicus", "Carabus macrogonus", "Carabus pavesii", "Carabus resplendens", "Carabus schweigerinae", "Carabus scovitzii", "Carabus separatus", "Carabus tokatensis", "Carabus varians", "Carabus fraterculoides", "Carabus cristoforii", "Carabus vagans", "Carabus finitimus", "Carabus forreri", "Carabus hendrichsi", "Carabus sylvosus", "Carabus azrael", "Carabus scabripennis", "Carabus besseri", "Carabus bosphoranus", "Carabus coriaceipennis", "Carabus errans", "Carabus mandibularis", "Carabus perrini", "Carabus planarius", "Carabus rybinskii", "Carabus scabriusculus", "Carabus sibiricus", "Carabus adelphus", "Carabus agnatus", "Carabus apollo", "Carabus apschuanus", "Carabus balkaricus", "Carabus basilianus", "Carabus besleticus", "Carabus biebersteini", "Carabus certus", "Carabus compressus", "Carabus curlettii", "Carabus edmundi", "Carabus faunus", "Carabus fausti", "Carabus felicitanus", "Carabus georgiensis", "Carabus heikertingeri", "Carabus iberus", "Carabus jason", "Carabus juenthneri", "Carabus kasakorum", "Carabus kasbekianus", "Carabus koltzei", "Carabus komarowi", "Carabus kraatzi", "Carabus kratkyi", "Carabus lailensis", "Carabus lederi", "Carabus lennoni", "Carabus macropus", "Carabus mellyi", "Carabus merdeniki", "Carabus obtusus", "Carabus osseticus", "Carabus planipennis", "Carabus plasoni", "Carabus polychrous", "Carabus protensus", "Carabus pseudopshuensis", "Carabus puschkini", "Carabus satyrus", "Carabus schamylii", "Carabus shtchurovi", "Carabus starcki", "Carabus zolotarevi", "Carabus stschurowskii", "Carabus theanus", "Carabus annae", "Carabus arraizensis", "Carabus bartheensis", "Carabus bigorrensis", "Carabus bugareti", "Carabus deubeli", "Carabus esquieryensis", "Carabus eugenieae", "Carabus exasperatus", "Carabus faustulus", "Carabus gspani", "Carabus helenais", "Carabus ignipennis", "Carabus jeannae", "Carabus lamtui", "Carabus lanieli", "Carabus lemoulti", "Carabus lorenzoi", "Carabus lucianusae", "Carabus margaretthae", "Carabus mouthiezi", "Carabus niedli", "Carabus nigricornis", "Carabus olcesei", "Carabus olieri", "Carabus probletanicus", "Carabus pseudoholochrysus", "Carabus pseudonothus", "Carabus pseudopumicatus", "Carabus pseudoviolaceus", "Carabus rufofemoratus", "Carabus salvanerensis", "Carabus siniaevi", "Carabus vulcanus", "Carabus wrzecionkoi", "Carayonites insignis", "Carbonellia jolyi", "Carbonellia platensis", "Carbonellia atra", "Cardiomera genei", "Carenidium aberrans", "Carenidium atrum", "Carenidium bicornutum", "Carenidium bifurcum", "Carenidium chaudoirii", "Carenidium damelii", "Carenidium darlingense", "Carenidium frenchi", "Carenidium gagatinum", "Carenochyrus titanus", "Carenum acutipes", "Carenum adelaidae", "Carenum affine", "Carenum amplicolle", "Carenum angustipenne", "Carenum anthracinum", "Carenum batesi", "Carenum bellum", "Carenum blackburni", "Carenum bonellii", "Carenum brevicolle", "Carenum breviforme", "Carenum brevipenne", "Carenum brisbanense", "Carenum browni", "Carenum carbonarium", "Carenum cavipenne", "Carenum cognatum", "Carenum concinnum", "Carenum convexum", "Carenum coracinum", "Carenum cordipenne", "Carenum coruscum", "Carenum cupreomarginatum", "Carenum cupripenne", "Carenum decorum", "Carenum devastator", "Carenum devisii", "Carenum digglesi", "Carenum dispar", "Carenum distinctum", "Carenum ducale", "Carenum elegans", "Carenum emarginatum", "Carenum episcopale", "Carenum eximium", "Carenum felix", "Carenum filiforme", "Carenum floridum", "Carenum formosum", "Carenum foveolatum", "Carenum frenchi", "Carenum froggatti", "Carenum fugitivum", "Carenum fulgidum", "Carenum gratiosum", "Carenum habile", "Carenum habitans", "Carenum ianthinum", "Carenum imitator", "Carenum inconspicuum", "Carenum ineditum", "Carenum interiore", "Carenum interruptum", "Carenum iridescens", "Carabus buddaicus", "Carabus capitulum", "Carabus cateniger", "Carabus cechenoides", "Carabus choui", "Carabus confucius", "Carabus dacatraianus", "Carabus dubifer", "Carabus fubianensis", "Carabus gentleman", "Carabus gigolo", "Carabus gigoloides", "Carabus gracilicollis", "Carabus handelmazzettii", "Carabus humilior", "Carabus indigestus", "Carabus itzingeri", "Carabus jintangicus", "Carabus jiulongensis", "Carabus kabaki", "Carabus ladygini", "Carabus legrandianus", "Carabus maleki", "Carabus mifan", "Carabus morawitzianus", "Carabus paolorapuzzii", "Carabus paraxiei", "Carabus pepek", "Carabus poeta", "Carabus propiorthais", "Carabus pseudopusio", "Carabus pusio", "Carabus pusioides", "Carabus quindecim", "Carabus rhododendron", "Carabus roborowskii", "Carabus saltuensis", "Carabus sehnali", "Carabus shaluishan", "Carabus sininensis", "Carabus subindigestus", "Carabus thais", "Carabus turnai", "Carabus wengdaensis", "Carabus xiangchengicus", "Carabus xiei", "Carabus laojunensis", "Carabus auritus", "Carabus chaos", "Carabus globulus", "Carabus kruberoides", "Carabus modestulus", "Carabus sculptipennis", "Carabus shaanxicus", "Carabus carbonicolor", "Carabus cicatricosulus", "Carabus erosus", "Carabus perminimus", "Carabus regulus", "Carabus tekeliensis", "Carabus transiliensis", "Carabus osawai", "Carabus alagoensoides", "Carabus armeniacus", "Carenum kingii", "Carenum laevigatum", "Carenum laevipenne", "Carenum laterale", "Carenum leai", "Carenum lepidum", "Carenum levissimum", "Carenum lobatum", "Carenum longulum", "Carenum macleayi", "Carenum magnificum", "Carenum marginatum", "Carenum montanum", "Carenum morosum", "Carenum nitidipes", "Carenum obsoletum", "Carenum occidentale", "Carenum odewahnii", "Carenum opacicolle", "Carenum optimum", "Carenum ovale", "Carenum parvulum", "Carenum perplexum", "Carenum planipenne", "Carenum politissimum", "Carenum politum", "Carenum porphyreum", "Carenum pulchrum", "Carenum puncticolle", "Carenum punctipenne", "Carenum purpuratum", "Carenum purpureum", "Carenum pusillum", "Carenum quadripunctatum", "Carenum rectangulare", "Carenum reflexum", "Carenum regulare", "Carenum rutilans", "Carenum scaritoides", "Carenum serratipes", "Carenum simile", "Carenum smaragdulum", "Carenum speciosum", "Carenum splendens", "Carenum splendidum", "Carenum striatopunctatum", "Carenum subcostatum", "Carenum subcyaneum", "Carenum submetallicum", "Carenum subplanatum", "Carenum subporcatulum", "Carenum sumptuosum", "Carenum terraereginae", "Carenum tibiale", "Carenum tinctilatum", "Carenum transversicolle", "Carenum tumidipes", "Carenum venustum", "Carenum versicolor", "Carenum violaceum", "Carenum virescens", "Carenum viridiaeneum", "Carenum viridicolor", "Carenum viridissimum", "Carterus dama", "Carterus fulvipes", "Carterus gilvipes", "Carterus interceptus", "Carterus rotundicollis", "Carterus rufipes", "Carterus gracilis", "Carterus microcephalus", "Carterus angustipennis", "Carterus angustus", "Carterus boschi", "Carterus cribratus", "Carterus neglectus", "Carterus validiusculus", "Casaleius ferrugineus", "Cascellius gravesii", "Cascellius septentrionalis", "Castelnaudia cordata", "Castelnaudia cyanea", "Castelnaudia cyaneotincta", "Castelnaudia eungella", "Castelnaudia hecate", "Castelnaudia kirrama", "Castelnaudia marginifera", "Castelnaudia mixta", "Castelnaudia obscuripennis", "Castelnaudia porphyriaca", "Castelnaudia queenslandica", "Castelnaudia septemcostata", "Castelnaudia setosiceps", "Castelnaudia spec", "Castelnaudia speciosa", "Castelnaudia superba", "Castelnaudia wilsoni", "Catacolpodes aeneicollis", "Catacolpodes arcticollis", "Catacolpodes brachypterus", "Catacolpodes brevicornis", "Catacolpodes carayoni", "Catacolpodes chalcotinctus", "Catacolpodes cordicollis", "Catacolpodes depressus", "Catacolpodes divaricatus", "Catacolpodes dolius", "Catacolpodes eugrammus", "Catacolpodes eutinctus", "Catacolpodes gitonius", "Catacolpodes labathiei", "Catacolpodes languidus", "Catacolpodes longespinosus", "Catacolpodes micheli", "Catacolpodes mocquerysi", "Catacolpodes nanus", "Catacolpodes petrorum", "Catacolpodes renaudi", "Catacolpodes rhagodus", "Catacolpodes scitoides", "Catacolpodes scitus", "Catacolpodes scrobiculatus", "Catacolpodes sicardi", "Catacolpodes silvicola", "Catacolpodes sinopis", "Catacolpodes solitarius", "Catacolpodes variolosus", "Catadromus australis", "Catadromus cooki", "Catadromus goliath", "Catadromus lacordairei", "Catadromus malayanus", "Catadromus rajah", "Catadromus simonae", "Catadromus tschitscherini", "Catalanodytes bellesi", "Catapiesis attenuata", "Catapiesis bartyrae", "Catapiesis brasiliensis", "Catapiesis columbica", "Catapiesis mexicana", "Catapiesis nitida", "Catapiesis sulcipennis", "Catapiesis tumida", "Catascopellus crassiceps", "Catascopus horni", "Catascopus mirabilis", "Catascopus thailandicus", "Catascopus aculeatus", "Catascopus aeneus", "Catascopus aequatus", "Catascopus agnatus", "Catascopus alesi", "Catascopus andamanensis", "Catascopus andrewesi", "Catascopus angulatus", "Catascopus angustatus", "Catascopus aruensis", "Catascopus astrum", "Catascopus balthasari", "Catascopus beauvoisi", "Catascopus beccarii", "Catascopus bellus", "Catascopus borneensis", "Catascopus brachypterus", "Catascopus brasiliensis", "Catascopus brevispinosus", "Catascopus bryanti", "Catascopus carinipennis", "Catascopus chalydicus", "Catascopus chaudoiri", "Catascopus cingalensis", "Catascopus clarus", "Catascopus cuprascens", "Catascopus cupripennis", "Catascopus cyanellus", "Catascopus cyanoviridis", "Catascopus dalbertisi", "Catascopus defanisi", "Catascopus diffinis", "Catascopus elegans", "Catascopus elegantulus", "Catascopus erwini", "Catascopus facialis", "Catascopus femoratus", "Catascopus fraterculus", "Catascopus fuscoaeneus", "Catascopus grimmi", "Catascopus hardwickei", "Catascopus hexagonus", "Catascopus hinei", "Catascopus ignicinctus", "Catascopus illustris", "Catascopus impressipennis", "Catascopus jenkinsi", "Catascopus keralensis", "Catascopus laevigatus", "Catascopus laevipennis", "Catascopus laotinus", "Catascopus laticollis", "Catascopus latimargo", "Catascopus lissonotus", "Catascopus lumawigi", "Catascopus magnicollis", "Catascopus marani", "Catascopus moorei", "Catascopus obscuroviridis", "Catascopus pecirkai", "Catascopus phlogops", "Catascopus platypennis", "Catascopus presidens", "Catascopus punctatostriatus", "Catascopus punctipennis", "Catascopus quadrispina", "Catascopus regalis", "Catascopus riedeli", "Catascopus rufifemoratus", "Catascopus rufipes", "Catascopus saphyrinus", "Catascopus sauteri", "Catascopus savagei", "Catascopus schaumi", "Catascopus senegalensis", "Catascopus similaris", "Catascopus simillimus", "Catascopus simplex", "Catascopus smaragdulus", "Catascopus specularis", "Catascopus strigicollis", "Catascopus strigifrons", "Catascopus subquadratus", "Catascopus uelensis", "Catascopus validus", "Catascopus versicolor", "Catascopus violaceus", "Catascopus virens", "Catascopus viridicupreus", "Catascopus viridis", "Catascopus vitalisi", "Catascopus vollenhoveni", "Catascopus waigeoensis", "Catascopus wallacei", "Catascopus weigeli", "Catascopus whithillii", "Catascopus elevatus", "Apimela fusciceps", "Dyspessa peri", "Apimela canadensis", "Gyronycha pseudoobscura", "Acrocomia crispa", "Acrocomia intumescens", "Cathaiaphaenops amplipennis", "Cathaiaphaenops chuandongziensis", "Cathaiaphaenops delprati", "Cathaiaphaenops draconis", "Cathaiaphaenops lynchae", "Cathaiaphaenops vignatagliantii", "Caucasaphaenops molchanovi", "Caucasorites kovali", "Caucasorites shchurovi", "Caucasorites victori", "Cedrorum azoricus", "Celaenephes linearis", "Celaenephes parallelus", "Celanida montana", "Celioinkosa basilewskyi", "Celioinkosa kivuana", "Celioinkosa mirei", "Cenogmus castelnaui", "Cenogmus interioris", "Cenogmus opacipennis", "Cenothyla cognata", "Cenothyla consobrina", "Cenothyla fulvothoracica", "Cenothyla klichai", "Cenothyla postica", "Cenothyla posticoides", "Cenothyla rietscheli", "Cenothyla varians", "Zodarion morosum", "Lepra corallina", "Zodarion dispar", "Zodarion vicinum", "Zodarion remotum", "Serapias cordigera subsp. lucana", "Zodarion ludibundum", "Euscalpellum squamuliferum", "Atheta pyongangsani", "Atheta sordidula", "Atheta semidentiventris", "Scaphidium ahrensi", "Nasoonaria mada", "Scaphidium sauteri", "Ceratoderus tonkinensis", "Ceratoderus venustus", "Ceroglossus arcoides", "Ceroglossus buqueti", "Ceroglossus chilensis", "Ceroglossus darwini", "Ceroglossus guerini", "Ceroglossus magellanicus", "Ceroglossus morpheus", "Ceroglossus ochsenii", "Ceroglossus speciosus", "Ceroglossus suturalis", "Cerotalis amabilis", "Cerotalis brachypleura", "Cerotalis longipes", "Cerotalis majuscula", "Cerotalis semiviolacea", "Cerotalis substriata", "Cerotalis versicolor", "Chaetagonum collarti", "Chaetopatrobus valentinae", "Chaetauchenium convexipenne", "Chaetauchenium loki", "Chaetauchenium magellanicum", "Chaetobroscus anomalus", "Chaetobroscus bhutanensis", "Chaetobroscus kezukai", "Chaetocrepis besckii", "Chaetodactyla alluaudi", "Chaetodactyla decorsei", "Chaetodactyla mirabilis", "Chaetodactyla basilewskyi", "Chaetodactyla descarpentriesi", "Chaetodactyla pauliani", "Chaetodactyla sphodroides", "Chaetodactyla vicina", "Chaetodactyla brancsiki", "Chaetodactyla catalai", "Chaetodactyla feronioides", "Chaetodactyla kavanaughi", "Chaetodactyla lambertoni", "Chaetodactyla lambertonioides", "Chaetodactyla microphthalma", "Chaetodactyla olsoufieffi", "Chaetodactyla peyrierasi", "Chaetodactyla rainioae", "Chaetodactyla ranomofana", "Chaetodactyla robusta", "Chaetodactyla seyrigi", "Chaetodactyla simulans", "Chaetodactyla sinuaticollis", "Chaetodactyla striatipennis", "Chaetodactyla thoracica", "Chaetodera albina", "Chaetodera andriana", "Chaetodera blanchardi", "Chaetodera maheva", "Chaetodera regalis", "Chaetodera vigintiguttata", "Chaetoduvalius saetosus", "Chaetomargoreicheia lakotai", "Chaetomargoreicheia zoufali", "Chaetosaurus emeishanicola", "Chaetotrechiama procerus", "Cephalosdrophus marinae", "Cephalostichus laticeps", "Cephalostichus putzeysi", "Cephalota maura", "Cephalota hispanica", "Cephalota luctuosa", "Cephalota turcica", "Cephalota circumdata", "Cephalota deserticoloides", "Cephalota dulcinea", "Cephalota eiselti", "Cephalota galathea", "Cephalota hajdajorum", "Cephalota jakowlewi", "Cephalota kutshumi", "Cephalota litorea", "Cephalota schrenkii", "Cephalota susanneae", "Cephalota tibialis", "Cephalota turcosinensis", "Cephalota vartianorum", "Cephalota vonderdeckeni", "Cephalota zarudniana", "Cerabilia amaroides", "Cerabilia australis", "Cerabilia intermedia", "Cerabilia minor", "Cerabilia monteithi", "Cerapterus benguelanus", "Cerapterus brancae", "Cerapterus burgeoni", "Cerapterus calaharicus", "Cerapterus concolor", "Cerapterus denoiti", "Cerapterus drescheri", "Cerapterus elgonis", "Cerapterus herrei", "Cerapterus horni", "Cerapterus horsfieldi", "Cerapterus hottentottus", "Cerapterus immaculatus", "Cerapterus kolbei", "Cerapterus laceratus", "Cerapterus lafertei", "Cerapterus latipes", "Cerapterus leoninus", "Cerapterus longihamus", "Cerapterus longipennis", "Cerapterus myrmidonum", "Cerapterus oblitus", "Cerapterus parallelus", "Cerapterus pilipennis", "Cerapterus pseudoblitus", "Cerapterus pygmaeus", "Cerapterus quadrimaculatus", "Cerapterus smithii", "Cerapterus splendidus", "Cerapterus stalii", "Cerapterus stuhlmanni", "Cerapterus trinitatis", "Ceratoderus bifasciatus", "Ceratoderus klapperichi", "Ceratoderus oberthueri", "Ceratoderus palpalis", "Chalcochrous brevithorax", "Chalcochrous degener", "Chalcochrous hera", "Chalcochrous lenis", "Chalcochrous otiosus", "Chalcochrous strictibasis", "Chaudoirella reichardti", "Chaudoirina nigrofasciata", "Chaudoirina orfilai", "Chaudoirina vianai", "Cheilagona gressitti", "Cheilagona nigropicea", "Cheilagona ovalis", "Cheilagona rufa", "Cheilagona stictica", "Cheilagona variabilis", "Cheilonycha auripennis", "Cheilonycha chalybea", "Cheiloxya binotata", "Cheiloxya longipennis", "Chiapadytes bolivari", "Chilotomus alexandri", "Chilotomus arnoldii", "Chilotomus chalybeus", "Chilotomus kuhitangi", "Chilotomus margianus", "Chilotomus tschitscherini", "Chilotomus usgentensis", "Chilotomus violaceus", "Chinapenetretus cangensis", "Chinapenetretus impexus", "Chinapenetretus impressus", "Chinapenetretus kryzhanovskii", "Chinapenetretus potanini", "Chinapenetretus salebrosus", "Chinapenetretus wittmeri", "Chinapenetretus yunnanus", "Chinapenetretus reticulatus", "Chlaeminus unipustulatus", "Chlaeminus annamensis", "Chlaeminus biguttatus", "Chlaeminus biplagiatus", "Chlaeminus cruciatus", "Chlaeminus fasciatus", "Chlaeminus flavoguttatus", "Chlaeminus kedirensis", "Chlaeminus obscurus", "Chlaeminus quadriplagiatus", "Chlaeminus reductus", "Chlaeminus senegalensis", "Chlaeminus sexmaculatus", "Chlaeminus sparsepunctatus", "Chlaeminus tetrastictus", "Chlaeminus variegatus", "Chlaenius amplipennis", "Chlaenius dalibaiensis", "Chlaenius kurosawai", "Chlaenius leytensis", "Chlaenius ocreatus", "Chlaenius rotundus", "Chlaenius sericimicans", "Chlaenius variicornis", "Chlaenius vietnamensis", "Chlaenius alternatus", "Chlaenius cumatilis", "Chlaenius cursor", "Chlaenius densaticollis", "Chlaenius deserticola", "Chlaenius deuvei", "Chlaenius dinodoides", "Chlaenius discopictus", "Chlaenius dusaultii", "Chlaenius ecuadoricus", "Chlaenius erythropus", "Chlaenius eurybates", "Chlaenius fallax", "Chlaenius festivus", "Chlaenius fizianus", "Chlaenius flavicornis", "Chlaenius forreri", "Chlaenius fuscicornis", "Chlaenius geayi", "Chlaenius gonioderus", "Chlaenius guatemalenus", "Chlaenius herbaceus", "Chlaenius horni", "Chlaenius humeralis", "Chlaenius imitatus", "Chlaenius indutus", "Chlaenius isaloensis", "Chlaenius itombwanus", "Chlaenius ivorensis", "Chlaenius jamaicae", "Chlaenius kolariensis", "Chlaenius kryzhanovskyi", "Chlaenius lafertei", "Chlaenius lateralis", "Dysdera crocata mutica", "Chlaenius laticollis", "Chlaenius leprieuri", "Chlaenius leptopus", "Chlaenius leucoscelis", "Chlaenius lineellus", "Chlaenius lomii", "Chlaenius longicornis", "Chlaenius loxias", "Chlaenius luzonicus", "Chlaenius maculatus", "Chlaenius madangensis", "Chlaenius mandli", "Chlaenius meticulosus", "Chlaenius milloti", "Chlaenius monardi", "Chlaenius morosus", "Chlaenius nigroscelis", "Chlaenius nitidiceps", "Chlaenius nitidifrons", "Chlaenius notabilis", "Chlaenius obesus", "Chlaenius oblongus", "Chlaenius obscuripennis", "Chlaenius obtusus", "Chlaenius orbus", "Chlaenius pailinensis", "Chlaenius pallidecornis", "Chlaenius patruelis", "Chlaenius peruanus", "Chlaenius phenax", "Chlaenius caeruleiceps", "Chlaenius changwatensis", "Chlaenius coquerelii", "Chlaenius deliciolus", "Chlaenius gardoensis", "Chlaenius guttula", "Chlaenius indicus", "Chlaenius lativittis", "Chlaenius maculiceps", "Chlaenius malachinus", "Chlaenius pericallus", "Chlaenius pudicus", "Chlaenius pulchellus", "Chlaenius pulchriceps", "Chlaenius pumilio", "Chlaenius subferrugineus", "Chlaenius thieleni", "Chlaenius trinotatus", "Chlaenius tripustulatus", "Chlaenius uninotatus", "Chlaenius venustulus", "Chlaenius vitticollis", "Chlaenius xanthospilus", "Chlaenius ruficauda", "Chlaenius makalolo", "Chlaenius swahilius", "Chlaenius luisae", "Chlaenius abjectus", "Chlaenius alesi", "Chlaenius baoxingensis", "Chlaenius bergerdostali", "Chlaenius bonelli", "Chlaenius breuningi", "Chlaenius brevilabris", "Chlaenius circumcinctus", "Chlaenius comans", "Chlaenius cookei", "Chlaenius coxalis", "Chlaenius curtii", "Chlaenius differens", "Chlaenius etoshaensis", "Chlaenius extensus", "Chlaenius fastigatus", "Chlaenius flaccidus", "Chlaenius flavipes", "Chlaenius floridanus", "Chlaenius frater", "Chlaenius fraterculus", "Chlaenius fugax", "Chlaenius gansuensis", "Chlaenius glaucus", "Chlaenius hainanensis", "Chlaenius hemichlorus", "Chlaenius impressicollis", "Chlaenius impunctifrons", "Chlaenius intermedius", "Chlaenius jacobsoni", "Chlaenius jaleswarensis", "Chlaenius judianensis", "Chlaenius jureceki", "Chlaenius persimilis", "Chlaenius phaenoderus", "Chlaenius pradieri", "Chlaenius praefectus", "Chlaenius pretiosus", "Chlaenius principalis", "Chlaenius probsti", "Chlaenius pseudocupreolus", "Chlaenius pseudoglabratus", "Chlaenius pseudolulengae", "Chlaenius ptuchodes", "Chlaenius pyrrhos", "Chlaenius quadricolor", "Chlaenius robertae", "Chlaenius robustus", "Chlaenius rubenticollis", "Chlaenius rudesculptus", "Chlaenius rufomarginatus", "Chlaenius saginatus", "Chlaenius scheerpeltzi", "Chlaenius schmidti", "Chlaenius sculptilis", "Chlaenius semicupreus", "Chlaenius sierraleonensis", "Chlaenius sinensis", "Chlaenius splendidus", "Chlaenius stungtrengensis", "Chlaenius stygius", "Chlaenius syangyaensis", "Chlaenius toubaensis", "Chlaenius touzalini", "Chlaenius trachys", "Chlaenius tshibindensis", "Chlaenius tudicus", "Chlaenius unyorensis", "Chlaenius validicornis", "Chlaenius veselyi", "Chlaenius victoriae", "Chlaenius vividus", "Chlaenius wittmerianus", "Chlaenius amoenus", "Chlaenius emarginatus", "Chlaenius pusillus", "Chlaenius gundlachi", "Chlaenius sallei", "Chlaenius ampanihyensis", "Chlaenius cham", "Chlaenius clarksoni", "Chlaenius dichrous", "Chlaenius dissimilis", "Chlaenius diversus", "Chlaenius erythrocnemis", "Chlaenius natalensis", "Chlaenius oodioides", "Chlaenius piceus", "Chlaenius simulatorius", "Chlaenius trapezicollis", "Chlaenius vadoni", "Chlaenius baxi", "Chlaenius clypeopatens", "Chlaenius longeantennatus", "Chlaenius ghesquierei", "Chlaenius amabilis", "Chlaenius kindermanni", "Chlaenius kirschenhoferi", "Chlaenius koenigi", "Chlaenius laetiusculus", "Chlaenius laeviplaga", "Chlaenius langmusiensis", "Chlaenius laotinus", "Chlaenius latithorax", "Chlaenius leigongshanensis", "Chlaenius lineicinctus", "Chlaenius marginellus", "Chlaenius marginicollis", "Chlaenius melampus", "Chlaenius nebraskensis", "Chlaenius nemoralis", "Chlaenius obscurus", "Chlaenius obsoletus", "Chlaenius olivieri", "Chlaenius oxygonus", "Chlaenius pennsylvanicus", "Chlaenius pertinax", "Chlaenius pilosicoerulans", "Chlaenius pratensis", "Chlaenius prostenus", "Chlaenius pseudotristis", "Chlaenius puncticephalis", "Chlaenius rafiki", "Chlaenius richardsi", "Chlaenius sagaingensis", "Chlaenius semenowi", "Chlaenius semiviridis", "Chlaenius shaanxinensis", "Chlaenius similatus", "Chlaenius simillimus", "Chlaenius sinuatus", "Chlaenius stenoristus", "Chlaenius sterbai", "Chlaenius submarginatus", "Chlaenius syriacus", "Chlaenius tenuelimbatus", "Chlaenius terminatus", "Chlaenius texanus", "Chlaenius tibialis", "Chlaenius topali", "Chlaenius tricolor", "Chlaenius vafer", "Chlaenius variabilipes", "Chlaenius velocipes", "Chlaenius aodai", "Chlaenius bilyi", "Chlaenius bodhidharma", "Chlaenius cheni", "Chlaenius eneides", "Chlaenius freyi", "Chlaenius langsonensis", "Chlaenius li", "Chlaenius pectinipes", "Chlaenius piligenys", "Chlaenius rotundithorax", "Chlaenius schillhammeri", "Chlaenius sehnali", "Chlaenius gambelaensis", "Chlaenius gikondo", "Chlaenius glabratus", "Chlaenius grootfonteinensis", "Chlaenius grundmanni", "Chlaenius haeckeli", "Chlaenius heidenfelderi", "Chlaenius henryi", "Chlaenius hypocrita", "Chlaenius inaequalis", "Chlaenius jactus", "Chlaenius jeanneli", "Chlaenius kabompo", "Chlaenius kafakumbae", "Chlaenius kalimantanensis", "Chlaenius kapangae", "Chlaenius kathmanduensis", "Chlaenius kerkvoordeae", "Chlaenius kotys", "Chlaenius lacunosus", "Chlaenius laetoides", "Chlaenius laetus", "Chlaenius laevicollis", "Chlaenius laeviusculus", "Chlaenius lamottei", "Chlaenius lapillus", "Chlaenius latesternalis", "Chlaenius latipennis", "Chlaenius leleupi", "Chlaenius liocephalus", "Chlaenius lioderus", "Chlaenius liothorax", "Chlaenius lissoderus", "Chlaenius litongaensis", "Chlaenius loango", "Chlaenius lobozianus", "Chlaenius loeblianus", "Chlaenius louwerensi", "Chlaenius lucidicollis", "Chlaenius luculentus", "Chlaenius lujai", "Chlaenius lulengae", "Chlaenius lyperus", "Chlaenius macropus", "Chlaenius madrasensis", "Chlaenius makokou", "Chlaenius marondera", "Chlaenius martinbaehri", "Chlaenius masoni", "Chlaenius merklianus", "Chlaenius meteorus", "Chlaenius meyeri", "Chlaenius moaboensis", "Chlaenius moheliensis", "Chlaenius mpanga", "Chlaenius mutatus", "Chlaenius nilgiricus", "Chlaenius nyika", "Chlaenius obsidianoides", "Chlaenius obsidianus", "Chlaenius oligochrysus", "Chlaenius omochlorus", "Chlaenius opacipennis", "Chlaenius ostrinus", "Chlaenius tingaudi", "Chlaenius tetraphacus", "Chlaenius longulus", "Chlaenius aethiopicus", "Chlaenius colasi", "Chlaenius dohrnii", "Chlaenius katanganus", "Chlaenius mkongoensis", "Chlaenius pendjariensis", "Chlaenius perpunctatus", "Chlaenius schoutedeni", "Chlaenius variolosus", "Chlaenius zanzibaricus", "Chlaenius backanensis", "Chlaenius canariensis", "Chlaenius cherensis", "Chlaenius coeruleipennis", "Chlaenius dureli", "Chlaenius gaoligongensis", "Chlaenius laeticollis", "Chlaenius melanopterus", "Chlaenius modestus", "Chlaenius nigripennis", "Chlaenius prabangensis", "Chlaenius ruthmuellerae", "Chlaenius schatzmayri", "Chlaenius semperi", "Chlaenius skukuzaensis", "Chlaenius suensoni", "Chlaenius tansaniensis", "Chlaenius wewalkai", "Chlaenius accedens", "Chlaenius acroxanthus", "Chlaenius amauropterus", "Chlaenius angustatus", "Chlaenius anthracoderus", "Chlaenius apicalis", "Chlaenius assamensis", "Chlaenius attenuatus", "Chlaenius balthasari", "Chlaenius camerunensis", "Chlaenius ceramensis", "Chlaenius circumdatus", "Chlaenius congoensis", "Chlaenius consobrinus", "Chlaenius cupripennis", "Chlaenius cylindricollis", "Chlaenius daer", "Chlaenius darlingensis", "Chlaenius denticulatus", "Chlaenius dorsalis", "Chlaenius epistrophus", "Chlaenius euryscopus", "Chlaenius fraternus", "Chlaenius hunanensis", "Chlaenius janaki", "Chlaenius jucundulus", "Chlaenius kathrynae", "Chlaenius kivuanus", "Chlaenius leopoldi", "Chlaenius leucoristus", "Chlaenius planipennis", "Chlaenius planulatus", "Chlaenius platensis", "Chlaenius platyderus", "Chlaenius platynoides", "Chlaenius plausibilis", "Chlaenius porinus", "Chlaenius porphyrius", "Chlaenius porrectus", "Chlaenius prasinus", "Chlaenius pseudocruciatus", "Chlaenius pseudopoeciloides", "Chlaenius puberulus", "Chlaenius pubipennis", "Chlaenius purpureus", "Chlaenius putzeysi", "Chlaenius quadrinotatus", "Chlaenius quadriornatus", "Chlaenius quadrisignatus", "Chlaenius ranavalonae", "Chlaenius reitteri", "Chlaenius rhysonotus", "Chlaenius riparius", "Chlaenius ripicola", "Chlaenius rodriguezi", "Chlaenius rukwaensis", "Chlaenius scabricollis", "Chlaenius scapularis", "Chlaenius sciakyi", "Chlaenius scutellaris", "Chlaenius senegalensis", "Chlaenius sericeus", "Chlaenius signatus", "Chlaenius silvestrii", "Chlaenius sivorii", "Chlaenius soccatus", "Chlaenius solitarius", "Chlaenius sparsepunctatus", "Chlaenius straneoi", "Chlaenius subsulcatus", "Chlaenius suppletor", "Chlaenius systolocranioides", "Chlaenius tartagalensis", "Chlaenius tchabalensis", "Chlaenius testaceicrus", "Chlaenius tetraspilus", "Chlaenius tinantae", "Chlaenius transversalis", "Chlaenius tuky", "Chlaenius uluguruanus", "Chlaenius uzungwensis", "Chlaenius velutinus", "Chlaenius viduus", "Chlaenius violatus", "Chlaenius virescens", "Chlaenius viridicollis", "Chlaenius ziloensis", "Chlaenius zygogrammus", "Chlaenius acutecostatus", "Chlaenius eyeni", "Chlaenius postmaculatus", "Chlaenius sankuruensis", "Chlaenius treichi", "Chlaenius lirifer", "Chlaenius melancholicus", "Chlaenius merkli", "Chlaenius nigrans", "Chlaenius nitidicollis", "Chlaenius noeli", "Chlaenius nubicus", "Chlaenius overlaeti", "Chlaenius pachys", "Chlaenius perinetanus", "Chlaenius philemon", "Chlaenius postscriptus", "Chlaenius prolixus", "Chlaenius propinquus", "Chlaenius pulcher", "Chlaenius punctatostriatus", "Chlaenius rugulosus", "Chlaenius scotti", "Chlaenius sellatus", "Chlaenius sibutensis", "Chlaenius similis", "Chlaenius sollicitus", "Chlaenius subcostatus", "Chlaenius subovatus", "Chlaenius sulcipennis", "Chlaenius synaptus", "Chlaenius tenuicollis", "Chlaenius transfuga", "Chlaenius tsanerenaensis", "Chlaenius vitalisi", "Chlaenius inderiensis", "Chlaenius adonis", "Chlaenius aestivus", "Chlaenius alaotraensis", "Chlaenius alfredpuchneri", "Chlaenius allardianus", "Chlaenius amazonicus", "Chlaenius amydrus", "Chlaenius androyanus", "Dysdera crocata crocata", "Chlaenius argentinicus", "Chlaenius atratus", "Chlaenius augustus", "Chlaenius auripilis", "Chlaenius azurescens", "Chlaenius bakwuensis", "Chlaenius binghami", "Chlaenius brasiliensis", "Chlaenius breviusculus", "Chlaenius chalcoderus", "Chlaenius chalcothorax", "Chlaenius chaudoiri", "Chlaenius chengduensis", "Chlaenius chlorochrous", "Chlaenius collarti", "Chlaenius communimacula", "Chlaenius cordicollis", "Chlaenius cordifer", "Chlaenius coscinioderus", "Chlaenius cosciniophorus", "Chlaenius cribellicollis", "Chlaenius cruciatus", "Chlaenius cubanus", "Chlaenius benyovszkyi", "Chlaenius soricinus", "Chlaenius armenus", "Chlaenius baeticus", "Chlaenius decipiens", "Chlaenius dives", "Chlaenius fulgidicollis", "Chlaenius huedepohli", "Chlaenius viridis", "Chlaenius alluaudi", "Chlaenius amarae", "Chlaenius barkeri", "Chlaenius bocandei", "Chlaenius croesus", "Chlaenius croyi", "Chlaenius daressalaami", "Chlaenius dejeanii", "Dysdera crocata parvula", "Chlaenius deplanatus", "Chlaenius duvaucelii", "Chlaenius elisabethanus", "Chlaenius elongatus", "Chlaenius fimbriatus", "Chlaenius immunitus", "Chlaenius jordani", "Chlaenius kenyerii", "Chlaenius lastii", "Chlaenius latreillei", "Chlaenius loveridgei", "Chlaenius nigricans", "Chlaenius nossibianus", "Chlaenius protensus", "Chlaenius rhodesianus", "Chlaenius simba", "Chlaenius tschitscherini", "Chlaenius vientianensis", "Chlaenius violaceipennis", "Chlaenius cavilabrum", "Chlaenius oneili", "Chlaenius superstes", "Chlaenius aurolimbatus", "Chlaenius koltzei", "Chlaenius menevillei", "Chlaenius pimalicus", "Chlaenius soginoides", "Chlaenius tomentosus", "Chlaenius validus", "Chlaenius darlingtoni", "Chlaenius howa", "Chlaenius pseudoraffrayi", "Chlaenius raffrayi", "Dysdera curviseta", "Chlaenius arakanensis", "Chlaenius baehri", "Chlaenius birmanicus", "Chlaenius costiger", "Chlaenius drescheri", "Chlaenius evae", "Chlaenius femoratus", "Chlaenius flavofemoratus", "Chlaenius klapperichi", "Chlaenius manus", "Chlaenius moluccensis", "Chlaenius nanlingensis", "Chlaenius crebrepunctatus", "Chlaenius cribellatus", "Chlaenius darfurensis", "Chlaenius distigma", "Chlaenius dondoensis", "Chlaenius effugiens", "Chlaenius eritreaensis", "Chlaenius farai", "Chlaenius fasciger", "Chlaenius fenestratus", "Chlaenius fulvipes", "Chlaenius geisthardti", "Chlaenius geniculatus", "Chlaenius gestroi", "Chlaenius goryi", "Chlaenius heyrovskyi", "Chlaenius hildebrandti", "Chlaenius imperialis", "Chlaenius kaszabi", "Chlaenius keniaensis", "Chlaenius kilimanus", "Chlaenius kira", "Chlaenius kraatzi", "Chlaenius laosensis", "Chlaenius limbicollis", "Chlaenius lombokensis", "Chlaenius maculiger", "Chlaenius momboensis", "Chlaenius montivagus", "Chlaenius naeviger", "Chlaenius nepos", "Chlaenius nigratus", "Chlaenius oculatus", "Chlaenius olthofi", "Chlaenius orphanus", "Chlaenius ovampo", "Chlaenius paluensis", "Chlaenius perspicillaris", "Chlaenius pongraczi", "Chlaenius procerulus", "Chlaenius pseudobipustulatus", "Chlaenius puchneri", "Chlaenius pyrrhopodus", "Chlaenius roeschkei", "Chlaenius rudicollis", "Chlaenius rufifemoratus", "Chlaenius seiferti", "Chlaenius semipurpureus", "Chlaenius seyrigi", "Chlaenius sichuanensis", "Chlaenius simbabwensis", "Chlaenius stichai", "Chlaenius suavis", "Chlaenius sumbawanus", "Chlaenius superbus", "Chlaenius tanahrataensis", "Chlaenius tetragonoderus", "Chlaenius thiesensis", "Chlaenius toliaraensis", "Chlaenius udaipurensis", "Chlaenius unicolor", "Chlaenius pan", "Chlaenius pantarensis", "Chlaenius pecirkai", "Chlaenius peltastes", "Chlaenius peterseni", "Chlaenius qinqchensis", "Chlaenius sabahensis", "Chlaenius tamdaoensis", "Chlaenius wegneri", "Chlaenius microspilus", "Chlaenius aterrimus", "Chlaenius colmanti", "Chlaenius epicosmoides", "Chlaenius feanus", "Chlaenius flavoscriptus", "Chlaenius goossensi", "Chlaenius helvetorum", "Chlaenius himalayicus", "Chlaenius hutiaoxiaensis", "Chlaenius impictus", "Chlaenius kashituensis", "Chlaenius katanga", "Chlaenius lineatus", "Chlaenius moestus", "Chlaenius morettoi", "Chlaenius nigerrimus", "Chlaenius panagaeoides", "Chlaenius quadrivittatus", "Chlaenius ruvumaensis", "Chlaenius sexguttatus", "Chlaenius sexmaculatus", "Chlaenius sibuti", "Chlaenius sykesi", "Chlaenius umtalianus", "Chlaenius vertagoides", "Chlaenius vethi", "Chlaenius elegans", "Chlaenius parallelus", "Chlaenius angolanus", "Chlaenius flavomaculatus", "Chlaenius kolbei", "Chlaenius kwazuluensis", "Chlaenius nimbanus", "Chlaenius varians", "Chlaenius ammon", "Chlaenius analisimilis", "Chlaenius antennatus", "Chlaenius aspericollis", "Chlaenius assecla", "Chlaenius atropos", "Chlaenius bandjermasinensis", "Chlaenius bifenestratus", "Dysdera esquiveli", "Chlaenius bioculatus", "Chlaenius bivulnerus", "Chlaenius boali", "Chlaenius boisduvalii", "Chlaenius borgouensis", "Chlaenius boukali", "Chlaenius caecus", "Chlaenius chainatensis", "Chlaenius chapanus", "Chlaenius chrysoderus", "Chlaenius variipes", "Chlaenius xanthomerus", "Chlaenius yangonensis", "Chlaenius yunnanulus", "Chlaenius xanthacrus", "Chlaenius akanensis", "Chlaenius alexanderdostali", "Chlaenius hostilis", "Chlaenius humphreyi", "Chlaenius lugens", "Chlaenius morio", "Chlaenius nigrita", "Chlaenius sennaariensis", "Chlaenius surdipennis", "Chlaenius waddellii", "Chlaenius holomelas", "Chlaenius berndjaegeri", "Chlaenius bohemani", "Chlaenius boueti", "Chlaenius bulirschi", "Chlaenius decellei", "Chlaenius decorsei", "Chlaenius deyrollei", "Chlaenius dhawalagiriensis", "Chlaenius discicollis", "Chlaenius dissidens", "Chlaenius ditulus", "Chlaenius djaina", "Chlaenius eggeri", "Chlaenius exilis", "Chlaenius glaucinus", "Chlaenius gunganagarensis", "Chlaenius hornburgi", "Chlaenius junceus", "Chlaenius latipalpis", "Chlaenius maputoensis", "Chlaenius marleyi", "Chlaenius medioguttatus", "Chlaenius moraveci", "Chlaenius newdehliensis", "Chlaenius orbicollis", "Chlaenius orbiculicollis", "Chlaenius pailin", "Chlaenius patrizii", "Chlaenius pauxillus", "Chlaenius pleuroderus", "Chlaenius rampurensis", "Chlaenius rebellis", "Chlaenius reichei", "Chlaenius rubricrus", "Chlaenius schuelei", "Chlaenius spathulifer", "Chlaenius tecospilus", "Chlaenius tenuis", "Chlaenius vinhphuensis", "Chlaenius vulneratus", "Chlaenius kivuensis", "Chlaenius wittei", "Chlaenius abstersus", "Chlaenius betrokaensis", "Chlaenius bipustulatus", "Chlaenius bisignatus", "Chlaenius chomthongensis", "Chlaenius conformis", "Chlaenius pseudopalpalis", "Chlaenius siffointei", "Chlaenius trichrous", "Chlaenius aeratus", "Chlaenius albissoni", "Chlaenius basilimbatus", "Chlaenius chrysocephalus", "Chlaenius cyaneus", "Chlaenius dilutipes", "Chlaenius gotschii", "Chlaenius infantulus", "Chlaenius jakeschi", "Chlaenius milleti", "Chlaenius montanus", "Chlaenius nebrioides", "Chlaenius stevenii", "Chlaenius virens", "Chlaenius semicyaneus", "Chlaenius aberrans", "Chlaenius amplians", "Chlaenius analis", "Chlaenius annulipes", "Chlaenius beatus", "Chlaenius betioky", "Chlaenius bicolor", "Chlaenius bottegoi", "Chlaenius championi", "Chlaenius cinctus", "Chlaenius corrosulus", "Chlaenius crenistriatus", "Chlaenius doriae", "Chlaenius douei", "Chlaenius gabonicus", "Chlaenius gemmingeri", "Chlaenius gonospilus", "Chlaenius greensladei", "Chlaenius guineensis", "Chlaenius infersus", "Chlaenius instabilis", "Chlaenius luteicauda", "Chlaenius manowianus", "Chlaenius marianensis", "Chlaenius neocaledonicus", "Chlaenius oberthueri", "Chlaenius obliquatus", "Chlaenius occultus", "Chlaenius ochroperas", "Chlaenius pacholatkoi", "Chlaenius poecilinus", "Chlaenius privatus", "Chlaenius pterostichoides", "Chlaenius pugni", "Chlaenius rapyllii", "Chlaenius rufithorax", "Chlaenius samoensis", "Chlaenius specularis", "Chlaenius timorensis", "Chlaenius titschacki", "Chlaenius trigonotomoides", "Chlaenius victor", "Chlaenius wallacei", "Chlaenius yamdena", "Chlaenius controversus", "Chlaenius dajuensis", "Chlaenius diephelus", "Chlaenius eruditus", "Chlaenius feronoides", "Chlaenius fouquei", "Chlaenius glabricollis", "Chlaenius hamatus", "Chlaenius hamifer", "Chlaenius insulanus", "Chlaenius janus", "Chlaenius kanarae", "Chlaenius leucops", "Chlaenius lunatus", "Chlaenius madecassus", "Chlaenius malcheri", "Chlaenius maowensis", "Chlaenius mederici", "Chlaenius multicolor", "Chlaenius obenbergeri", "Chlaenius ovalipennis", "Chlaenius pandagensis", "Chlaenius paromius", "Chlaenius pictus", "Chlaenius posticus", "Chlaenius pubifer", "Chlaenius radama", "Chlaenius rajasthanensis", "Chlaenius sagittarius", "Chlaenius siccus", "Chlaenius simplex", "Chlaenius sokotranus", "Chlaenius suberbiei", "Chlaenius taveuniensis", "Chlaenius tiomanensis", "Chlaenius virgulatus", "Chlaenius virgulifer", "Chlaenius wenchuanensis", "Chlaenius anischenkoi", "Chlaenius ernesti", "Chlaenius freynei", "Chlaenius fulvicollis", "Chlaenius kirki", "Chlaenius luluanus", "Chlaenius maxi", "Chlaenius notula", "Chlaenius opisthographus", "Chlaenius sassanus", "Chlaenius watsaensis", "Chlaenius chuji", "Chlaenius jaegeri", "Chlaenius posticemaculatus", "Chlaenius australis", "Chlaenius greyanus", "Chlaenius buquetii", "Chlaenius dianus", "Chlaenius lucidulus", "Chlaenius schoenherri", "Chlaenius sumptuosus", "Chlaenius limbatus", "Chlaenius limbipennis", "Chlaenius marginipennis", "Chlaenius peringueyi", "Chlaenius somaliae", "Chlaenius somereni", "Chlaenius caesitius", "Chlaenius celer", "Chlaenius contractus", "Chlaenius cribricollis", "Chlaenius davidsoni", "Chlaenius germanus", "Chlaenius iranensis", "Chlaenius juvencus", "Chlaenius lomsakensis", "Chlaenius lucasii", "Chlaenius luteoapicalis", "Chlaenius neochloodes", "Chlaenius nigrosuturatus", "Chlaenius paenulatus", "Chlaenius puncticollis", "Chlaenius retropictus", "Chlaenius rotundatulus", "Chlaenius sobrinus", "Chlaenius startellus", "Chlaenius tenellus", "Chlaenius togatus", "Chlaenius purpuricollis", "Chlaenius janthinus", "Chlaenius adametzi", "Chlaenius conradsi", "Chlaenius crudelis", "Chlaenius dispreticus", "Chlaenius eryx", "Chlaenius eugrammus", "Chlaenius exaratus", "Chlaenius garnerae", "Chlaenius immaculatus", "Chlaenius insignis", "Chlaenius jos", "Chlaenius mediornatus", "Chlaenius nepalensis", "Chlaenius nyassaensis", "Chlaenius parepus", "Chlaenius patricius", "Chlaenius paulyi", "Chlaenius paykulli", "Chlaenius quadrimaculatus", "Chlaenius sangaicus", "Chlaenius savanicola", "Chlaenius teani", "Chlaenius tetracelis", "Chlaenius transvaalensis", "Chlaenius vietnami", "Chlaenius dostojevskii", "Chlaenius jaechi", "Chlaenius kashmiricus", "Chlaenius lederi", "Chlaenius brevior", "Chlaenius perrieri", "Chlaenius adagidensis", "Chlaenius alternans", "Chlaenius carbonatus", "Chlaenius cupreocinctus", "Chlaenius incognitus", "Chlaenius kulti", "Chlaenius palpalis", "Cicindela plumigera", "Cicindela quadripunctulata", "Cicindela sturmii", "Cicindela ankarahitrae", "Cicindela cicindeloides", "Cicindela descarpentriesi", "Cicindela grandidieri", "Cicindela isaloensis", "Cicindela katsepyana", "Cicindela leptographa", "Cicindela macropus", "Cicindela multifoveolata", "Cicindela rugicollis", "Cicindela semiconfluens", "Cicindela serieguttata", "Cicindela soalalae", "Cicindela ancocisconensis", "Cicindela arenicola", "Cicindela arida", "Cicindela asiatica", "Cicindela bellissima", "Cicindela carolae", "Cicindela clypeata", "Cicindela columbica", "Cicindela decemnotata", "Cicindela denikei", "Cicindela denverensis", "Cicindela depressula", "Cicindela duodecimguttata", "Cicindela formosa", "Cicindela fulgida", "Cicindela gallica", "Cicindela granulata", "Cicindela herbacea", "Cicindela hirticollis", "Cicindela iberica", "Cicindela lagunensis", "Cicindela latesignata", "Cicindela lengi", "Cicindela lewisii", "Cicindela longilabris", "Cicindela lusitanica", "Cicindela majalis", "Cicindela monticola", "Cicindela nebraskana", "Cicindela nigrior", "Cicindela nordmanni", "Cicindela ohlone", "Cicindela oregona", "Cicindela parowana", "Cicindela patruela", "Cicindela pimeriana", "Cicindela plutonica", "Cicindela pugetana", "Cicindela pulchra", "Cicindela purpurea", "Cicindela repanda", "Cicindela resplendens", "Cicindela rhodoterena", "Cicindela scutellaris", "Cicindela songorica", "Cicindela splendida", "Chydaeus abramovi", "Chydaeus acutangulus", "Chydaeus andrewesi", "Chydaeus bakeri", "Chydaeus bedeli", "Chydaeus belousovi", "Chydaeus bhutanensis", "Chydaeus chujoi", "Chydaeus chuliensis", "Chydaeus constrictus", "Chydaeus convexiusculus", "Chydaeus convexus", "Chydaeus dalatensis", "Chydaeus darlingtoni", "Chydaeus dissimilis", "Chydaeus doiinthanonensis", "Chydaeus eremita", "Chydaeus ganeshensis", "Chydaeus gestroi", "Chydaeus harpaloides", "Chydaeus hinnus", "Chydaeus irvinei", "Chydaeus jedlickai", "Chydaeus kabaki", "Chydaeus kasaharai", "Chydaeus kirishimanus", "Chydaeus luxiensis", "Chydaeus majusculus", "Chydaeus malaisei", "Chydaeus manasluensis", "Chydaeus minimus", "Chydaeus miwai", "Chydaeus nepalensis", "Chydaeus obscurus", "Chydaeus obtusicollis", "Chydaeus ovalipennis", "Chydaeus papua", "Chydaeus putaoensis", "Chydaeus rufipes", "Chydaeus salvazae", "Chydaeus schaubergeri", "Chydaeus semenowi", "Chydaeus shaanxiensis", "Chydaeus shibatai", "Chydaeus shikokuensis", "Chydaeus shunichii", "Chydaeus similis", "Chydaeus uenoi", "Chydaeus weishanensis", "Chydaeus wuliangensis", "Chydaeus yunnanus", "Chydaeus javanicus", "Chylnus ater", "Chylnus concolor", "Chylnus montanus", "Chylnus substriatus", "Cicindela aberrans", "Cicindela satura", "Cicindela andrewesi", "Cicindela calligramma", "Cicindela ceylonensis", "Cicindela diversa", "Cicindela talychensis", "Cicindela tenuicincta", "Cicindela theatina", "Cicindela thugurica", "Cicindela tranquebarica", "Cicindela turkestanica", "Cicindela turkestanicoides", "Cicindela waynei", "Cicindela abdominalis", "Cicindela aeneicollis", "Cicindela amargosae", "Cicindela aterrima", "Cicindela aurora", "Cicindela beneshi", "Cicindela cardini", "Cicindela carthagena", "Cicindela cazieri", "Cicindela chrysippe", "Cicindela clarina", "Cicindela craverii", "Cicindela cubana", "Cicindela cyaniventris", "Cicindela dysenterica", "Cicindela euthales", "Cicindela favergeri", "Cicindela fera", "Cicindela flohri", "Cicindela floridana", "Cicindela guerrerensis", "Cicindela hemorrhagica", "Cicindela highlandensis", "Cicindela hornii", "Cicindela hydrophoba", "Cicindela ioessa", "Cicindela lisaannae", "Cicindela longicornis", "Cicindela luteolineata", "Cicindela marginipennis", "Cicindela mathani", "Cicindela melissa", "Cicindela nebuligera", "Cicindela nigrilabris", "Myosorex kabogoensis", "Cicindela nigrocoerulea", "Cicindela oaxacensis", "Cicindela obsoleta", "Cicindela ocellata", "Cicindela papillosa", "Cicindela phosphora", "Cicindela politula", "Cicindela pseudoaurora", "Cicindela pseudoeuthales", "Cicindela pseudoradians", "Cicindela punctulata", "Cicindela radians", "Cicindela roseiventris", "Cicindela rufiventris", "Cicindela rufoaenea", "Cicindela rugatilis", "Cicindela scabrosa", "Cicindela schauppii", "Cicindela guttata", "Cicindela fontanea", "Cicindela gemmifera", "Cicindela marginella", "Cicindela pudibunda", "Cicindela bianconii", "Cicindela anometallescens", "Cicindela assamensis", "Cicindela bicolor", "Cicindela bramani", "Cicindela brancuccii", "Cicindela cariana", "Cicindela carissima", "Cicindela chatthinensis", "Cicindela corbetti", "Cicindela discrepans", "Cicindela elegantula", "Cicindela fabriciana", "Cicindela flavomaculata", "Cicindela hamiltoniana", "Cicindela harmandi", "Cicindela holzschuhi", "Cicindela interruptofasciata", "Cicindela lacrymans", "Cicindela laurae", "Cicindela mariae", "Cicindela moraveci", "Cicindela mouhoti", "Cicindela myinthlaingi", "Cicindela nosei", "Cicindela octogramma", "Cicindela octonotata", "Cicindela pseudosiamensis", "Cicindela safraneki", "Cicindela salvazai", "Cicindela schillhammeri", "Cicindela sexpunctata", "Cicindela shozoi", "Cicindela tritoma", "Cicindela whithillii", "Cicindela alboguttata", "Cicindela angulata", "Cicindela aulica", "Cicindela brevipilosa", "Cicindela cabigasi", "Cicindela cardoni", "Cicindela caucasica", "Cicindela chloris", "Cicindela concolor", "Cicindela crespignyi", "Cicindela decemguttata", "Cicindela despectata", "Cicindela diania", "Cicindela fischeri", "Cicindela fowleri", "Cicindela funerea", "Cicindela jakli", "Cicindela littoralis", "Cicindela lugens", "Cicindela lunulata", "Cicindela mamasa", "Cicindela marmorata", "Cicindela opigrapha", "Cicindela sedecimpunctata", "Cicindela semicircularis", "Cicindela senilis", "Cicindela smaragdina", "Cicindela sommeri", "Cicindela stephanae", "Cicindela tenuisignata", "Cicindela thalestris", "Cicindela vasseletii", "Cicindela veracruzensis", "Cicindela viridiflavescens", "Cicindela walkeriana", "Cicindela willistoni", "Cicindela pierronii", "Cicindela aurulenta", "Cicindela barmanica", "Cicindela batesi", "Cicindela didyma", "Cicindela diehli", "Cicindela duponti", "Cicindela fleutiauxi", "Cicindela intermedia", "Cicindela nagaii", "Cicindela separata", "Cicindela setosomalaris", "Cicindela velata", "Cicindela virgula", "Cicindela basilewskyana", "Cicindela compressicornis", "Cicindela deyrollei", "Cicindela dispersesignata", "Cicindela flavovestita", "Cicindela hiekei", "Cicindela junkeri", "Cicindela kenyana", "Cicindela kikondjae", "Cicindela kolbeana", "Cicindela laticornis", "Cicindela longestriata", "Cicindela lugubris", "Cicindela mechowi", "Cicindela muata", "Cicindela permaculata", "Cicindela petermayri", "Cicindela transversefasciata", "Cicindela albosinuata", "Cicindela alluaudi", "Cicindela caternaulti", "Cicindela clavator", "Cicindela conturbatum", "Cicindela equestris", "Cicindela gabonica", "Cicindela gracileguttata", "Cicindela heros", "Cicindela ingridae", "Cicindela interrupta", "Cicindela kassaica", "Cicindela macrochila", "Cicindela neumanni", "Cicindela nigritula", "Cicindela obliqueclavatum", "Cicindela osa", "Cicindela perroti", "Cicindela pseudosoa", "Cicindela robillardi", "Cicindela shinjii", "Cicindela xanthophila", "Cicindela ismenia", "Cicindela asperula", "Cicindela cristipennis", "Cicindela fimbriata", "Cicindela bohemani", "Cicindela distanti", "Cicindela divergentemaculata", "Cicindela foliicornis", "Cicindela kerandeli", "Cicindela notata", "Cicindela pseudorusticana", "Cicindela rufomarginata", "Cicindela rusticana", "Cicindela smrzi", "Cicindela trimaculata", "Cicindela angulicollis", "Cicindela goryi", "Cicindela princeps", "Cicindela shivah", "Cicindela coquerelii", "Cicindela rotundicollis", "Cicindela segonzaci", "Cicindela dives", "Cicindela notopleuralis", "Cicindela antennalis", "Cicindela bouyeri", "Cicindela brazzai", "Cicindela cincta", "Cicindela congoensis", "Cicindela convexoabrupticollis", "Cicindela desgodinsii", "Cicindela fatidica", "Cicindela feisthamelii", "Cicindela flavosignata", "Cicindela gigantula", "Cicindela grandis", "Cicindela interruptoabbreviata", "Cicindela juno", "Cicindela kachowskyi", "Cicindela leucopicta", "Cicindela lizleriana", "Cicindela lurida", "Cicindela marshalli", "Cicindela mimula", "Cicindela miseranda", "Cicindela nysa", "Cicindela petitii", "Cicindela prodotiformis", "Cicindela pseudoviridis", "Cicindela pudica", "Cicindela quedenfeldti", "Cicindela regina", "Cicindela sacchii", "Cicindela sjoestedti", "Cicindela trailini", "Cicindela viridipennis", "Cicindela vittata", "Clinidium veneficum", "Clinidium alleni", "Clinidium argus", "Clinidium ashei", "Clinidium baitense", "Clinidium beccarii", "Clinidium bechyneorum", "Clinidium boroquense", "Clinidium brusteli", "Clinidium cavicolle", "Clinidium centrale", "Clinidium chandleri", "Clinidium chiolinoi", "Clinidium corbis", "Clinidium crater", "Clinidium curvatum", "Clinidium dormans", "Clinidium dubium", "Clinidium dux", "Clinidium erwini", "Clinidium excavatum", "Clinidium felix", "Clinidium foveolatum", "Clinidium gilloglyi", "Clinidium granatense", "Clinidium guildingii", "Clinidium haitiense", "Clinidium hammondi", "Clinidium howdenorum", "Clinidium humboldti", "Clinidium humeridens", "Clinidium humile", "Clinidium impressum", "Clinidium incis", "Clinidium insigne", "Clinidium integrum", "Clinidium jamaicense", "Clinidium jolyi", "Clinidium kochalkai", "Clinidium mareki", "Clinidium mathani", "Clinidium microfossatum", "Clinidium moldenkei", "Clinidium oberthueri", "Clinidium onorei", "Clinidium pala", "Clinidium penicillatum", "Clinidium pilosum", "Clinidium planum", "Clinidium rojasi", "Clinidium rossi", "Clinidium segne", "Clinidium simplex", "Clinidium smithsonianum", "Clinidium spatulatum", "Clinidium sulcigaster", "Clinidium talamanca", "Clinidium trionyx", "Clinidium validum", "Clinidium whiteheadi", "Clinidium balli", "Clinidium blomi", "Clinidium championi", "Clinidium extrarium", "Clinidium guatemalenum", "Clinidium halffteri", "Clinidium iviei", "Clinidium mexicanum", "Clinidium newtoni", "Clinidium reyesi", "Clinidium triplehorni", "Clinidium chevrolati", "Clinidium curvicosta", "Clinidium darlingtoni", "Clinidium xenopodium", "Clivina bolivari", "Clivina sasajii", "Clivina acutipalpis", "Clivina addita", "Clivina adstricta", "Clivina aequalis", "Clivina alleni", "Clivina alternans", "Clivina alutacea", "Clivina amazonica", "Clivina ambigua", "Clivina ampandrandavae", "Clivina angulicollis", "Clivina angustipes", "Clivina antennaria", "Clivina anthracina", "Clivina argenteicola", "Clivina armata", "Clivina arnhemensis", "Clivina arunachalensis", "Clivina asymmetrica", "Clivina athertonensis", "Clivina atrata", "Clivina atridorsis", "Clivina australica", "Clivina bacillaria", "Clivina balli", "Clivina baloghi", "Clivina banksi", "Clivina bataviae", "Clivina batesi", "Clivina bengalensis", "Clivina bicolor", "Clivina bicolorata", "Clivina bicornuta", "Clivina bidentata", "Clivina bifoveata", "Clivina bifoveifrons", "Clivina biguttata", "Clivina bilyi", "Clivina bingbong", "Clivina biplagiata", "Clivina birdumensis", "Clivina biroi", "Clivina bitincta", "Clivina bituberculata", "Clivina blackburni", "Clivina boliviensis", "Clivina boops", "Cicindela chinensis", "Cicindela cyanea", "Cicindela ferriei", "Cicindela batechii", "Cicindela diversilabris", "Cicindela haefligeri", "Cicindela karlwerneri", "Cicindela lamburni", "Cicindela nubifera", "Cicindela wachteli", "Cicindela africana", "Cicindela allardi", "Cicindela duplosetosa", "Cicindela kudrnai", "Cicindela minettii", "Cicindela mireki", "Cicindela mufumbweana", "Cicindela mwinilungae", "Cicindela nzingae", "Cicindela pepetela", "Cicindela pseudosuturalis", "Cicindela pseudotereticollis", "Cicindela rivalieri", "Cicindela suturata", "Cicindela tereticollis", "Cimmerites aibgensis", "Cimmerites convexus", "Cimmerites elegans", "Cimmerites grandis", "Cimmerites kryzhanovskii", "Cimmerites kurnakovi", "Cimmerites maximovitchi", "Cimmerites morozovi", "Cimmerites ovatus", "Cimmerites serrulatus", "Cimmerites similis", "Cimmerites subcylindricus", "Cimmerites vagabundus", "Cimmerites zamotajlovi", "Cimmeritodes huangi", "Cimmeritodes parvus", "Cimmeritodes zhejiangensis", "Cinctagonum angulicolle", "Cinctagonum convexipenne", "Cinctagonum cordicolle", "Cinctagonum politum", "Cintaroa aptera", "Cistelagonum kaindi", "Clarencia aliena", "Clarencia angusticollis", "Clarencia breviceps", "Clarencia papua", "Clarencia quadridens", "Climax fissilabris", "Climax foveilabris", "Climax serratipennis", "Clinidium apertum", "Clinidium baldufi", "Clinidium calcaratum", "Clinidium marginicolle", "Clinidium rosenbergi", "Clinidium sculptile", "Clinidium valentinei", "Clivina bouchardi", "Clivina bovillae", "Clivina bowenensis", "Clivina brandti", "Clivina breviceps", "Clivina brevicollis", "Clivina brevicornis", "Clivina brevior", "Clivina brevipennis", "Clivina brevisterna", "Clivina breviuscula", "Clivina brittoni", "Clivina brooksi", "Clivina brunnea", "Clivina brunnicolor", "Clivina brunnipennis", "Clivina bulirschi", "Clivina bullata", "Clivina bunburyana", "Clivina burmeisteri", "Clivina cairnsensis", "Clivina carbinensis", "Clivina carbonaria", "Clivina carinifera", "Clivina carpentaria", "Clivina castanea", "Clivina cava", "Clivina clarencea", "Clivina cochlearia", "Clivina collaris", "Clivina columbica", "Clivina communis", "Clivina confinis", "Clivina consanguinea", "Clivina consimilis", "Clivina convexior", "Clivina cooperensis", "Clivina coriacea", "Clivina coronata", "Clivina corrugata", "Clivina coryzoides", "Clivina costulipennis", "Clivina crassidentata", "Clivina crawfordensis", "Clivina cribricollis", "Clivina cribrifrons", "Clivina cribrosa", "Clivina cruciata", "Clivina cruralis", "Clivina csikii", "Clivina cubae", "Clivina cuttacutta", "Clivina cylindracea", "Clivina cylindriformis", "Clivina cylindripennis", "Clivina dampieri", "Clivina darlingtoni", "Clivina darlingtoniana", "Clivina darwinensis", "Clivina darwini", "Clivina dealata", "Clivina debilis", "Clivina defaverii", "Clivina deleta", "Clivina delkeskampi", "Clivina demarzi", "Clivina densepunctata", "Clivina densesulcata", "Clivina denticollis", "Clivina dentifemorata", "Clivina deplanata", "Clivina depressa", "Clivina depressicollis", "Clivina desperata", "Clivina difformis", "Clivina diluta", "Clivina dilutipes", "Clivina dimidiata", "Clivina dingo", "Clivina discrepans", "Clivina dissimilis", "Clivina distigma", "Clivina doddi", "Clivina dolens", "Clivina dostali", "Clivina douglasensis", "Clivina drysdalea", "Clivina duboisi", "Clivina edithae", "Clivina edungalbae", "Clivina elegans", "Clivina elliott", "Clivina elongatula", "Clivina emarginata", "Clivina eremicola", "Clivina erugata", "Clivina erugatella", "Clivina erythropus", "Clivina euphratica", "Clivina excavatifrons", "Clivina exilis", "Clivina extensicollis", "Clivina ferruginea", "Clivina fessa", "Clivina finitima", "Clivina flava", "Clivina fluviatilis", "Clivina fontisaliceae", "Clivina fortis", "Clivina fossifrons", "Clivina fossulata", "Clivina foveiceps", "Clivina foveiventris", "Clivina frenchi", "Clivina froggatti", "Clivina frontalis", "Clivina fuscicornis", "Clivina fuscipes", "Clivina gamma", "Clivina gentilis", "Clivina gerstmeieri", "Clivina gilesi", "Clivina glabrata", "Clivina glabriceps", "Clivina goniostoma", "Clivina gracilipes", "Bactris hirta var. pectinata", "Solanum boldoense", "Ero septemspinosa", "Ero aphana", "Astrocaryum giganteum", "Astrocaryum sciophilum", "Astrocaryum tucuma", "Bactris acanthocarpa", "Bactris acanthocarpa var. acanthocarpa", "Ero cachinnans", "Bactris acanthocarpa var. trailiana", "Bactris cuspidata", "Orchestina aerumnae", "Opopaea sponsa", "Solanum calileguae", "Solanum coalitum", "Clivina grahami", "Clivina grandiceps", "Clivina grata", "Clivina gressitti", "Clivina grossi", "Clivina gubarae", "Clivina guineensis", "Clivina gunlomensis", "Clivina hackeri", "Clivina haeckeli", "Clivina hanichi", "Clivina hartleyi", "Clivina hasenpuschi", "Clivina heathlandica", "Clivina helferi", "Clivina helmsi", "Clivina helmutbergeri", "Clivina hennigi", "Clivina heridgei", "Clivina hilaris", "Clivina hogenhoutae", "Clivina houstoni", "Clivina hovorkai", "Clivina howdenorum", "Clivina impressefrons", "Clivina impressiceps", "Clivina impuncticollis", "Clivina inaequalifrons", "Clivina inaequalis", "Clivina incerta", "Clivina inermis", "Clivina inopaca", "Clivina inops", "Clivina integra", "Clivina interioris", "Clivina intersecta", "Clivina isogona", "Clivina jabiruensis", "Clivina jakli", "Clivina janae", "Clivina janetae", "Clivina javanica", "Clivina jodasi", "Clivina julieni", "Clivina kakaduana", "Clivina kalumburu", "Clivina kapuri", "Clivina karikali", "Clivina kaszabi", "Clivina kershawi", "Clivina khasi", "Clivina kimberleyana", "Clivina komareki", "Clivina kubor", "Clivina kulti", "Clivina kununurrae", "Clivina laeta", "Clivina laetipes", "Clivina laevicollis", "Clivina lamondi", "Clivina langeri", "Clivina languida", "Clivina larrimah", "Troglohyphantes giachinoi", "Bactris horridispatha", "Bactris acanthocarpa var. exscapa", "Bactris major var. major", "Bactris maraja var. maraja", "Bactris mexicana", "Bactris mexicana var. mexicana", "Bactris obovata", "Clivinarchus perlongus", "Clivinopsis strigifrons", "Cnemalobus araucanus", "Cnemalobus bruchi", "Cnemalobus coerulescens", "Cnemalobus convexus", "Cnemalobus coquimbanus", "Cnemalobus curtisii", "Cnemalobus cyaneus", "Tegenaria wittmeri", "Bactris ferruginea", "Draconarius baronii", "Bactris gasipaes var. gasipaes", "Draconarius stemmleri", "Draconarius schenkeli", "Hahnia lehtineni", "Hahnia tikaderi", "Hahnia musica", "Hahnia innupta", "Hahnia caelebs", "Hahnia alini", "Tegenaria lunakensis", "Phaeocedus mosambaensis", "Stenus friebi", "Stenus fuscicorpus", "Xysticus roonwali", "Stenus fusciformis", "Stenus gajisanensis", "Pardosa tridentis", "Stenus merkli", "Clivina latesulcata", "Clivina laticeps", "Clivina latimanus", "Clivina latiuscula", "Clivina leai", "Clivina lebasii", "Clivina lepida", "Clivina leptosoma", "Clivina lewisi", "Clivina limbipennis", "Clivina lincolnensis", "Clivina lobata", "Clivina lobifera", "Clivina lobipes", "Clivina longipennis", "Clivina longissima", "Clivina longithorax", "Clivina lucernicola", "Clivina lucida", "Clivina lutea", "Clivina macleayi", "Clivina macularis", "Clivina madiganensis", "Clivina magnicollis", "Clivina mareebae", "Clivina marginata", "Clivina marginicollis", "Clivina marlgu", "Clivina mastersi", "Clivina matarankae", "Clivina matthewsi", "Clivina mcquillani", "Clivina media", "Clivina megalops", "Clivina mekongensis", "Clivina mickoleiti", "Clivina microps", "Clivina minilyae", "Clivina minuta", "Clivina minutissima", "Clivina mirrei", "Clivina misella", "Clivina mjoebergi", "Clivina mocquerysi", "Clivina moerens", "Clivina monilicornis", "Clivina monteithi", "Clivina monticola", "Clivina montisferrei", "Clivina moreheadensis", "Clivina morosa", "Clivina muirellae", "Clivina multispinosa", "Clivina murgenellae", "Clivina mustela", "Clivina myops", "Clivina nadineae", "Clivina nana", "Clivina napieria", "Clivina netolitzkyi", "Clivina nicholsona", "Clivina nigra", "Clivina nigrosuturata", "Stenus nomuraianus", "Stenus sulcifer", "Stenus suryongensis", "Stenus curvus", "Stenus obesus", "Stenus tenuiculus", "Stenus unciformis", "Troglohyphantes adjaricus", "Troglohyphantes deelemanae", "Troglohyphantes albicaudatus", "Bactris glandulosa", "Troglohyphantes saouaf", "Bactris glandulosa var. glandulosa", "Bactris glassmanii", "Heteroscydmus brasiliensis", "Bactris glaucescens", "Troglohyphantes apenninicus", "Troglohyphantes lucifer", "Troglohyphantes lucifuga", "Solanum aureum", "Bactris hirta", "Bactris hirta var. hirta", "Clivina tranquebarica", "Clivina tutancamon", "Clivina vosahloi", "Clivina yorkiana", "Clivina zebi", "Clivina bipustulata", "Clivina convexa", "Clivina fasciata", "Clivina fassatii", "Clivina ferrea", "Clivina floridae", "Clivina marginipennis", "Clivina postica", "Clivina stigmula", "Clivina striatopunctata", "Clivina sulcipennis", "Clivina donabaueriana", "Clivina physopleura", "Odontolinus fasciatus", "Dysdera gollumi", "Odontolinus campanensis", "Aiphanes duquei", "Dysdera unguimmanis", "Dysdera volcania", "Aiphanes erinacea", "Dysdera verneaui", "Stenus foliaceus", "Alopecosa palmae", "Alopecosa canaricola", "Pardosa proxima", "Clivina nitidula", "Clivina normandi", "Clivina normantona", "Clivina nourlangie", "Clivina nyctosyloides", "Clivina obliquata", "Clivina obliquicollis", "Clivina oblita", "Clivina oblonga", "Clivina obscuripennis", "Clivina obscuripes", "Clivina obsoleta", "Clivina occulta", "Clivina odontomera", "Clivina okutanii", "Clivina olliffi", "Clivina oodnadattae", "Clivina orbitalis", "Clivina oregona", "Clivina ovalipennis", "Clivina pallida", "Clivina pallidiceps", "Clivina pampicola", "Clivina pandana", "Clivina paradebilis", "Clivina parallela", "Clivina parolliffi", "Clivina parryensis", "Clivina parvidens", "Clivina parvula", "Clivina paucidentata", "Clivina pectonada", "Clivina pectoralis", "Clivina peninsulae", "Clivina pentecostensis", "Clivina perlonga", "Clivina pernigra", "Clivina perthensis", "Clivina pfisteri", "Clivina picina", "Clivina pilbarae", "Clivina pileolata", "Clivina planiceps", "Clivina planicollis", "Clivina planifrons", "Lepra leucosora", "Clivina planulata", "Clivina platensis", "Clivina pluridentata", "Clivina pravei", "Clivina procera", "Clivina pronotalis", "Clivina protibialis", "Clivina punctaticeps", "Clivina puncticeps", "Clivina punctifrons", "Clivina punctigera", "Clivina punctiventris", "Clivina punctulata", "Clivina putzeysi", "Clivina quadrata", "Clivina quadraticollis", "Clivina quadratifrons", "Clivina quadricornuta", "Clivina quadristriata", "Clivina queenslandica", "Clivina quinquesetosa", "Clivina recurvidens", "Clivina regularis", "Clivina reticulata", "Clivina riverinae", "Clivina robusta", "Clivina rokebyensis", "Clivina roperensis", "Clivina rubicunda", "Clivina rubripes", "Clivina rubropicea", "Clivina rufipennis", "Clivina rufonigra", "Clivina rufula", "Clivina rugicollis", "Clivina rugosepunctata", "Clivina rugosofemoralis", "Clivina sabulosa", "Clivina sagittifera", "Clivina sansapor", "Clivina saundersi", "Clivina scabra", "Clivina schaubergeri", "Clivina sculpticeps", "Clivina sectifrons", "Clivina sellata", "Clivina semicava", "Clivina shortlandica", "Clivina siamica", "Clivina simillima", "Clivina simulans", "Clivina sloanei", "Clivina sodalis", "Clivina soror", "Clivina sororcula", "Clivina spadix", "Clivina spatulata", "Clivina spatulifera", "Clivina spinipes", "Clivina stefaniana", "Clivina sternalis", "Clivina storeyi", "Clivina stricta", "Clivina stygica", "Clivina subdepressa", "Clivina subfoveiceps", "Clivina subfusa", "Clivina sulcaticeps", "Clivina sulcicollis", "Clivina suturalis", "Clivina svenssoni", "Clivina synnotensis", "Clivina synoikos", "Clivina syriaca", "Clivina szekessyi", "Clivina szitoi", "Clivina talpa", "Clivina tanami", "Clivina baenningeri", "Clivina balfourbrownei", "Clivina basilewskyi", "Clivina birmanica", "Clivina caffra", "Clivina californica", "Clivina capensis", "Clivina cardiothorax", "Clivina championi", "Clivina clypealis", "Clivina collarti", "Clivina consobrina", "Clivina coomani", "Clivina damarina", "Clivina decellei", "Clivina dewaillyi", "Clivina donabaueri", "Clivina erythropyga", "Clivina esulcata", "Clivina femoralis", "Clivina fratercula", "Clivina girardi", "Clivina heinemanni", "Clivina hoberlandti", "Clivina insignis", "Clivina interstitialis", "Clivina jeanneli", "Clivina katangana", "Clivina kawa", "Clivina kirschenhoferi", "Clivina kochi", "Clivina lacustris", "Clivina laevifrons", "Clivina latior", "Clivina lebisi", "Clivina legorskyi", "Clivina madagascariensis", "Clivina makolskii", "Clivina martii", "Clivina maxima", "Clivina montei", "Clivina mordax", "Clivina muelleri", "Clivina ngayensis", "Clivina niponensis", "Clivina obenbergeri", "Clivina opacidermis", "Clivina orientalis", "Clivina palmeni", "Clivina perplexa", "Clivina pfefferi", "Clivina rufa", "Clivina rugiceps", "Clivina sacra", "Clivina saigonica", "Clivina schatzmayri", "Clivina semicarinata", "Clivina simplicifrons", "Clivina sobrina", "Clivina straneoi", "Clivina subterranea", "Clivina sudanensis", "Clivina tanganyikana", "Clivina taurina", "Clivina tenuis", "Clivina territorialis", "Belonuchus albovariegatus", "Clivina toledanoi", "Clivina toombae", "Clivina torrida", "Clivina toxopei", "Clivina tozeria", "Clivina trachys", "Clivina transgrediens", "Clivina transversa", "Clivina transversicollis", "Clivina trapezicollis", "Clivina tribulationis", "Clivina tridentata", "Clivina tripuncta", "Clivina tristis", "Clivina truncata", "Clivina tuberculata", "Clivina tuberculifrons", "Clivina ubirr", "Clivina ulrichi", "Clivina uluru", "Clivina uptoni", "Clivina validior", "Clivina variabilis", "Clivina ventripunctata", "Clivina vicina", "Clivina vigil", "Clivina vittata", "Clivina vulgivaga", "Clivina wachteli", "Clivina wallacei", "Clivina weanyanae", "Clivina weipae", "Clivina weiri", "Clivina werrisensis", "Clivina westralis", "Clivina westwoodi", "Clivina wildi", "Clivina wiluna", "Clivina wurargae", "Clivina yanoi", "Clivina ypsilon", "Clivina zborowskii", "Clivina albertiana", "Clivina camerunensis", "Clivina ghesquierei", "Clivina veselyi", "Clivina forcipata", "Clivina attenuata", "Clivina bhamoensis", "Clivina burgeoni", "Clivina dumolinii", "Clivina machadoi", "Clivina sagittaria", "Clivina striata", "Clivina sulcigera", "Clivina acuducta", "Clivina allaeri", "Clivina angolana", "Clivina antoinei", "Clivina aucta", "Colliuris surinamensis", "Colliuris bivittis", "Colliuris liodiscus", "Colliuris longipennis", "Colliuris multifoveata", "Colliuris variolosa", "Colliuris gratiosa", "Colliuris marginestriata", "Colliuris fusca", "Colliuris pilatei", "Colliuris santarema", "Colliuris academica", "Colliuris canoae", "Colliuris cyanea", "Colliuris lineolata", "Colliuris oglobini", "Colliuris sipolisi", "Colliuris varicornis", "Colliuris championi", "Colliuris corrusca", "Colliuris elegans", "Colliuris flavipes", "Colliuris plicaticollis", "Colliuris robusta", "Colliuris affinis", "Colliuris bucephala", "Colliuris leprieurii", "Colliuris olivacea", "Colliuris punctatostriata", "Colliuris signata", "Colliuris sulcicauda", "Colliuris viridicollis", "Colliuris excellens", "Colliuris hubenthali", "Colliuris aenea", "Colliuris gundlachi", "Colliuris noah", "Colliuris quadrisignata", "Collyris brevipennis", "Collyris colossea", "Collyris dohrnii", "Collyris dormeri", "Collyris gigas", "Collyris longicollis", "Collyris mniszechii", "Collyris robusta", "Collyris rubea", "Collyris subtilesculpta", "Colpodes brittoni", "Colpodes brunneus", "Colpodes latus", "Colpodes abropoides", "Colpodes abruptus", "Colpodes acanthodes", "Colpodes acroglyptus", "Colpodes acuticauda", "Colpodes adonis", "Colpodes aeneipennis", "Colpodes aeneolus", "Colpodes aenescens", "Colpodes aeruginosus", "Colpodes anachoreta", "Colpodes andrewesi", "Colpodes andrewesianus", "Colpodes angustus", "Colpodes anomalus", "Colpodes antedens", "Colpodes antennatus", "Colpodes apotomus", "Colpodes arrowi", "Colpodes asemus", "Colpodes asthenes", "Colpodes atrocyaneus", "Colpodes attenuatus", "Colpodes azurescens", "Colpodes babaulti", "Colpodes baconi", "Colpodes balthasari", "Colpodes beccarii", "Colpodes beckingi", "Colpodes bennigseni", "Colpodes bilineatus", "Colpodes bipars", "Colpodes bipunctatus", "Colpodes bispina", "Colpodes bloetei", "Colpodes boninensis", "Colpodes brunnicolor", "Colpodes cardioderus", "Colpodes castaneiventris", "Colpodes caudoimpressus", "Colpodes celebensis", "Colpodes chalceus", "Colpodes chalcochiton", "Colpodes chinensis", "Colpodes chlorodes", "Colpodes chloropterus", "Colpodes cimmerius", "Colpodes coelitis", "Colpodes concolor", "Colpodes convexitarsis", "Colpodes corpulentus", "Colpodes crassus", "Colpodes csikii", "Colpodes davidis", "Colpodes decorticatus", "Colpodes deductus", "Colpodes deliae", "Colpodes dilatipennis", "Colpodes doesburgi", "Colpodes dohertyi", "Colpodes drescheri", "Colpodes dulit", "Colpodes edax", "Colpodes elegans", "Colpodes elegantellus", "Colpodes emdeni", "Colpodes emmerichi", "Colpodes enganoensis", "Colpodes eremita", "Colpodes esetosus", "Colpodes eucnemis", "Colpodes euparyphus", "Colpodes excisus", "Colpodes falcus", "Colpodes felix", "Colpodes ferus", "Colpodes flavicornis", "Cnemalobus cyathicollis", "Cnemalobus cylindricus", "Cnemalobus deplanatus", "Cnemalobus desmarestii", "Cnemalobus diamante", "Cnemalobus gayi", "Cnemalobus gentilii", "Cnemalobus germaini", "Cnemalobus hirsutus", "Cnemalobus litoralis", "Cnemalobus mapuche", "Cnemalobus mendozensis", "Cnemalobus montanus", "Cnemalobus neuquensis", "Cnemalobus nevado", "Cnemalobus nuria", "Cnemalobus obscurus", "Cnemalobus pampensis", "Cnemalobus pegnai", "Cnemalobus piceus", "Cnemalobus plicicollis", "Cnemalobus pulchellus", "Cnemalobus reichardti", "Cnemalobus somuncura", "Cnemalobus striatipennis", "Cnemalobus striatus", "Cnemalobus substriatus", "Cnemalobus sulcatus", "Cnemalobus sulciferus", "Cnemalobus troll", "Cnemalobus tupungatensis", "Cnides angustatus", "Cnides brevipennis", "Cnides chaparensis", "Cnides dostali", "Cnides jeanneli", "Cnides longestriatus", "Cnides longulus", "Cnides obtusus", "Cnides putzeysi", "Cnides rostratus", "Cnides spinicollis", "Coarazuphium amazonicum", "Coarazuphium bezerra", "Coarazuphium cessaima", "Coarazuphium formoso", "Coarazuphium pains", "Coarazuphium ricardoi", "Coarazuphium spinifemur", "Coarazuphium tapiaguassu", "Coarazuphium tessai", "Coarazuphium whiteheadi", "Colasidia adusta", "Colasidia angusticollis", "Colasidia apicalis", "Colasidia atra", "Carabus evstigneevi", "Carabus cychroides", "Carabus fabricii", "Carabus lucens", "Carabus duponchelii", "Carabus scabrosus", "Carabus anatolicus", "Carabus banonii", "Carabus chevrolati", "Carabus clypeatus", "Carabus hybridus", "Carabus mulsantianus", "Carabus paiafa", "Carabus talychensis", "Carabus armiger", "Carabus branaungi", "Carabus burmanensis", "Carabus businskyi", "Carabus masahiroi", "Carabus nosei", "Carabus taliensis", "Carabus watanabei", "Carabus aba", "Carabus absonus", "Carabus baxianus", "Carabus benjamini", "Carabus brachygnathus", "Carabus devius", "Carabus flavigenua", "Carabus fumigatus", "Carabus gansuensis", "Carabus gonggaicus", "Carabus jiudingensis", "Carabus kitawakiellus", "Carabus labrangicus", "Carabus lazikouensis", "Carabus pseudosackeni", "Carabus sackeni", "Carabus sackenioides", "Carabus shuamaluko", "Carabus sinicus", "Carabus taibaishanicus", "Carabus tibetanophilus", "Carabus tiro", "Lacerta media", "Carabus viatorum", "Carabus wenxianicola", "Dysdera tezcani", "Carabus xiaolong", "Carabus zhanglaensis", "Carabus ferghanicus", "Carabus validus", "Carabus meurguesianus", "Carabus allegroi", "Carabus batangicoides", "Carabus batangicus", "Carabus boanoi", "Carabus broukpytlik", "Colasidia attenuata", "Colasidia avicapitis", "Colasidia borneensis", "Colasidia brevicornis", "Colasidia burckhardti", "Colasidia convexior", "Colasidia cordicollis", "Colasidia denticollis", "Colasidia depressa", "Colasidia garainae", "Colasidia gerardi", "Colasidia globiceps", "Colasidia harpago", "Colasidia helvetorum", "Colasidia kokodae", "Colasidia lagadiga", "Colasidia laticeps", "Colasidia loebli", "Colasidia longicollis", "Colasidia longipennis", "Colasidia lustrans", "Colasidia macrops", "Colasidia madang", "Colasidia malayica", "Colasidia mateui", "Colasidia microps", "Colasidia monteithi", "Colasidia multispinosa", "Colasidia oviceps", "Colasidia papua", "Colasidia pumila", "Colasidia riedeli", "Colasidia rougemonti", "Colasidia similis", "Colasidia taylori", "Colasidia triangularis", "Colasidia wau", "Coleolissus angulatus", "Coleolissus azumai", "Coleolissus bicoloripes", "Coleolissus buruensis", "Coleolissus cyanescens", "Coleolissus eulamprus", "Coleolissus formosanus", "Coleolissus iris", "Coleolissus kalisi", "Coleolissus katoi", "Coleolissus lamprotus", "Coleolissus latemarginatus", "Coleolissus leveri", "Coleolissus nitens", "Coleolissus noeli", "Coleolissus ohkurai", "Coleolissus papua", "Coleolissus perlucens", "Coleolissus philippinus", "Coleolissus similis", "Coleolissus viridellus", "Coleolissus debilopunctatus", "Coleolissus doisaketensis", "Coleolissus elongatus", "Coleolissus iridipennis", "Coleolissus kiyoyamai", "Coleolissus masumotoi", "Coleolissus nigricans", "Coleolissus nitidus", "Coleolissus puncticollis", "Coleolissus satoi", "Coleolissus shibatai", "Coleolissus subcastaneus", "Coleolissus teradai", "Coleolissus yunnanus", "Colfax stevensi", "Collagonum convexum", "Collagonum hornabrooki", "Collagonum laticolle", "Collagonum longipenne", "Collagonum ophthalmicum", "Collagonum riedeli", "Collagonum robustum", "Collagonum violaceum", "Collagonum distortum", "Collagonum limum", "Collagonum thoracicum", "Colliuris bierigi", "Colliuris lugubris", "Colliuris funckii", "Colliuris inaequalis", "Colliuris irregularis", "Colliuris laeviceps", "Colliuris maculipennis", "Colliuris marmorata", "Colliuris rugicollis", "Colliuris subdistincta", "Colliuris rudis", "Colliuris ellipticeps", "Colliuris horni", "Colliuris trimaculata", "Colliuris tripustulata", "Colliuris tristigma", "Colliuris vianai", "Colliuris bruchi", "Colliuris demerarae", "Colliuris ludoviciana", "Colliuris portoricensis", "Colliuris rufipes", "Colliuris peruana", "Colliuris yucatana", "Colliuris amoena", "Colliuris cosciniodera", "Colliuris elongata", "Colliuris flavicornis", "Colliuris gestroi", "Colliuris lagoenicollis", "Colliuris puncticollis", "Colliuris strandi", "Colliuris subtilis", "Colliuris tubulifera", "Colliuris umbrigera", "Colliuris variabilis", "Colliuris batesii", "Colliuris brevipennis", "Colliuris immaculipennis", "Colliuris kuntzeni", "Colliuris gibba", "Colliuris puberula", "Colliuris quadrispinosa", "Colliuris spinigera", "Micrathena cornuta", "Micrathena woytkowskii", "Micrathena spinulata", "Micrathena annulata", "Bismarckia nobilis", "Solanum cutervanum", "Colpodes flavipes", "Colpodes fletcheri", "Colpodes florensis", "Colpodes formosanus", "Colpodes foveatus", "Colpodes fruhstorferi", "Colpodes fulgidus", "Colpodes fulvipes", "Colpodes fulvus", "Colpodes furculosus", "Colpodes fuscus", "Colpodes ganssuensis", "Colpodes giganteus", "Colpodes guega", "Colpodes halurgus", "Colpodes handschini", "Colpodes heyrovskyi", "Colpodes hirmocoelus", "Colpodes humilis", "Colpodes ikedai", "Colpodes imitator", "Colpodes impressiceps", "Colpodes impunctatus", "Colpodes infirmus", "Colpodes infuscatus", "Colpodes intenuatus", "Colpodes isomorphus", "Colpodes iteratus", "Colpodes javanus", "Colpodes kamareti", "Colpodes kanak", "Colpodes kaonastennus", "Colpodes klickai", "Colpodes klossi", "Colpodes klynstrai", "Colpodes knapperti", "Colpodes komala", "Colpodes kompeskanus", "Colpodes lautulus", "Colpodes leuroides", "Colpodes leurus", "Colpodes levator", "Colpodes lieftincki", "Colpodes lokayi", "Colpodes lonchites", "Colpodes longicornis", "Colpodes longulus", "Colpodes lutescens", "Colpodes luzonicus", "Colpodes macerellus", "Colpodes maculatus", "Colpodes maculicollis", "Colpodes malaisei", "Colpodes mandibularis", "Colpodes marani", "Colpodes membrosus", "Colpodes metabolus", "Colpodes microps", "Colpodes mirabilis", "Colpodes mirificus", "Colpodes miwai", "Colpodes mixtus", "Colpodes mobilis", "Colpodes modestus", "Colpodes modiglianii", "Colpodes muelleri", "Colpodes muleyitus", "Colpodes nathani", "Colpodes neolevator", "Colpodes nepalensis", "Colpodes nigratus", "Colpodes nigriceps", "Colpodes nyctobius", "Colpodes obenbergeri", "Colpodes obesus", "Colpodes ocylus", "Colpodes olearis", "Colpodes orientalis", "Colpodes orinomus", "Colpodes overbecki", "Colpodes paradisiacus", "Colpodes pecirkai", "Colpodes pelius", "Colpodes pennekum", "Colpodes peridus", "Colpodes perigonoides", "Colpodes phaeoderus", "Colpodes phengodes", "Colpodes phoenix", "Colpodes placidus", "Colpodes plagioderus", "Colpodes planops", "Colpodes plicatus", "Colpodes pohnerti", "Colpodes porphyrodes", "Colpodes punctatus", "Colpodes punctulicollis", "Colpodes purkynei", "Colpodes purpurascens", "Colpodes quadratus", "Colpodes repletus", "Colpodes retusus", "Colpodes rex", "Colpodes roepkei", "Colpodes rubescens", "Colpodes rufitarsis", "Colpodes rufithorax", "Colpodes rupex", "Colpodes sadonis", "Colpodes salsus", "Colpodes salvazae", "Colpodes sandalodes", "Colpodes saphyripennis", "Colpodes sarcodes", "Colpodes scoriaceus", "Colpodes sebosus", "Colpodes semistriatus", "Colpodes semiviridis", "Colpodes septemlineatus", "Colpodes shebbearei", "Colpodes shimomuraianus", "Colpodes simplicicauda", "Colpodes sinuicauda", "Colpodes sjostedti", "Colpodes smaragdinipennis", "Colpodes spectans", "Colpodes spinulifer", "Colpodes stepaneki", "Colpodes sterbai", "Colpodes straneoi", "Colpodes stummuis", "Colpodes subviridis", "Colpodes sumatrensis", "Colpodes sutteri", "Colpodes tantus", "Colpodes tarsalis", "Colpodes teledoides", "Colpodes teledus", "Colpodes tenggerensis", "Colpodes tetricus", "Colpodes tibang", "Colpodes tjambae", "Colpodes toxopei", "Colpodes trapezoides", "Colpodes undulipennis", "Colpodes vietnami", "Colpodes violis", "Colpodes viridis", "Colpodes wangi", "Colpodes wardi", "Colpodes wegeneri", "Colpodes xanthocnemus", "Colpodes xenos", "Colpodes yamaguchii", "Colpodichius platyderoides", "Colpoides formosanus", "Colpoides hauseri", "Colpoides kulti", "Colpoides orousseti", "Colpoides pecirkai", "Colpomimus colpodoides", "Colposphodrus mirandus", "Colpostoma avinovi", "Colpostoma centrasiaticum", "Colpostoma darvazicum", "Colpostoma insigne", "Colpostoma petri", "Colpostoma tshitsherini", "Colpostoma turkestanicum", "Columbitrechus subsulcatus", "Cophosomorpha agilis", "Cophosomorpha alticola", "Cophosomorpha anceyi", "Cophosomorpha angulicollis", "Cophosomorpha angustibasis", "Cophosomorpha angustula", "Cophosomorpha arnoldi", "Cophosomorpha basilewskyi", "Cophosomorpha brincki", "Cophosomorpha brittoni", "Cophosomorpha caffra", "Cophosomorpha capicola", "Cophosomorpha castelli", "Cophosomorpha congenera", "Cophosomorpha congruens", "Cophosomorpha crenicollis", "Cophosomorpha dichroa", "Cophosomorpha endroedyi", "Cophosomorpha fallaciosa", "Cophosomorpha femoralis", "Coptodera pakitza", "Coptodera picea", "Coptodera poecila", "Coptodera relucens", "Coptodera rufescens", "Coptodera sahlbergi", "Coptodera sallei", "Coptodera schaumii", "Coptodera sigillata", "Coptodera squiresi", "Coptodera stockwelli", "Coptodera teutonica", "Coptodera transversa", "Coptodera tripartita", "Coptodera tripunctata", "Coptodera undulata", "Coptodera versicolor", "Coptodera viridis", "Coptodera waytkowskii", "Coptodera xanthopleura", "Coptodera alticola", "Coptodera andrewesi", "Coptodera australis", "Coptodera banjaran", "Coptodera banjaranensis", "Coptodera basilewskyi", "Coptodera bastai", "Coptodera baumi", "Coptodera chaudoiri", "Coptodera confusa", "Coptodera congoensis", "Coptodera consobrina", "Coptodera crockerensis", "Coptodera cyanella", "Coptodera eluta", "Coptodera equestris", "Coptodera esakii", "Coptodera farai", "Coptodera fasciata", "Coptodera fasciolata", "Coptodera flavipes", "Coptodera flexuosa", "Coptodera grossa", "Coptodera hieroglyphica", "Coptodera impicta", "Coptodera indica", "Coptodera interrupta", "Coptodera intrusa", "Coptodera japonica", "Coptodera jimnae", "Coptodera kelabitensis", "Coptodera lamingtonensis", "Coptodera laticollis", "Coptodera legorskyi", "Coptodera levrati", "Coptodera lineatocollis", "Coptodera lineolata", "Coptodera luzonensis", "Coptodera maculosa", "Coptodera marginata", "Coptodera mastersii", "Coptodera maynei", "Coptodera monteithi", "Coptodera montisferrei", "Coptodera nitidipennis", "Coptodera nobilis", "Coptodera ocellata", "Coptodera ornatipennis", "Coptodera osakana", "Coptodera ovipennis", "Coptodera oxyptera", "Coptodera papuella", "Coptodera perakensis", "Coptodera phuongensis", "Coptodera picta", "Coptodera proksi", "Coptodera rugiceps", "Coptodera sapaensis", "Coptodera sexguttata", "Coptodera shimianensis", "Coptodera simillima", "Coptodera subapicalis", "Coptodera subapicaloides", "Coptodera subcostata", "Coptodera taiwana", "Coptodera tetrastigma", "Coptodera triloba", "Coptodera umbrina", "Coptodera uttaranchalensis", "Coptodera viridana", "Coptodera wau", "Coptodera congoana", "Coptodera alluaudi", "Coptodera amoenula", "Coptodera catalai", "Coptodera hova", "Coptodera immaculata", "Coptodera seyrigi", "Coptoglossus carteri", "Coptoglossus excisicollis", "Coptoglossus porphyriacus", "Coptoglossus sulcatulus", "Coptolobus anodon", "Coptolobus ater", "Coptolobus glabriculus", "Coptolobus latus", "Coptolobus lucens", "Coptolobus omodon", "Coptoptera angusticollis", "Coptoptera apicalis", "Coptoptera brunnea", "Coptoptera capicola", "Coptoptera longicollis", "Coptoptera malvernensis", "Coptoptera pugnax", "Coptoptera simplex", "Coptoptera zuluana", "Coptopterella scutellata", "Coptopterina johnstoni", "Coptopterina limbipennis", "Coptopterina phantasma", "Coptopterina punctatostriata", "Coptopterina scapulofugiens", "Coptopterina scutellaris", "Coptopterina tenella", "Corcyranillus menozzii", "Orsinome megaloverpa", "Hyospathe elegans", "Paraphloeostiba amooraphila", "Guilotes ludiensis", "Guilotes qingshitanensis", "Guilotes xingpingensis", "Guilotes yandongensis", "Loxosceles jarmila", "Loxosceles taino", "Loxosceles devia", "Oenocarpus bataua var. bataua", "Loxosceles deserta", "Prestoea acuminata var. montana", "Prestoea acuminata var. acuminata", "Prestoea ensiformis", "Prestoea longepetiolata", "Prestoea longepetiolata var. longepetiolata", "Asterogyne martiana", "Lomechusa gerardiphila", "Calyptrogyne ghiesbreghtiana subsp. ghiesbreghtiana", "Crepidolomus descarpentriesi", "Crepidolomus extimus", "Crepidonellus latipalpis", "Crepidonellus nigromaculatus", "Crepidonellus pusillus", "Crepidonellus youngai", "Crepidonellus endroedyi", "Crepidopterus arrowi", "Crepidopterus cordipennis", "Crepidopterus decorsii", "Crepidopterus descarpentriesi", "Crepidopterus geayi", "Crepidopterus goudotii", "Crepidopterus mahaboensis", "Crepidopterus meridionalis", "Crepidopterus morosus", "Crepidopterus pipitzii", "Crepidopterus seyrigi", "Crepidopterus sublevipennis", "Crepidopterus sublevis", "Acrolocha rogeri", "Paraphloeostiba sonani", "Micrathena perfida", "Micrathena beta", "Micrathena embira", "Bactris setulosa", "Micrathena reimoseri", "Bactris soeiroana", "Dropephylla almorensis", "Bactris vulgaris", "Micrathena yanomami", "Micrathena exlinae", "Micrathena miles", "Craspedophorus benadirensis", "Craspedophorus benoiti", "Craspedophorus bifasciatus", "Craspedophorus bilunifer", "Craspedophorus bisemilunatus", "Craspedophorus bonnyi", "Craspedophorus bonvouloirii", "Craspedophorus bouvieri", "Craspedophorus bretschneideri", "Craspedophorus breviceps", "Craspedophorus brevicollis", "Craspedophorus breviformis", "Craspedophorus brevisternis", "Craspedophorus buettneri", "Craspedophorus buruensis", "Craspedophorus cameronus", "Craspedophorus carbonarius", "Craspedophorus cenwanglao", "Craspedophorus cereus", "Craspedophorus chaudoiri", "Craspedophorus chevalieri", "Craspedophorus chiangdaoensis", "Craspedophorus chiangmaiensis", "Craspedophorus chinensis", "Craspedophorus comptus", "Craspedophorus congoanus", "Craspedophorus conspicuus", "Craspedophorus cordicollis", "Craspedophorus crebrepunctatus", "Craspedophorus cuneatus", "Craspedophorus dalatensis", "Craspedophorus deflexus", "Craspedophorus dehradunensis", "Craspedophorus dembickyi", "Craspedophorus dicranothorax", "Craspedophorus elongatus", "Craspedophorus erichsonii", "Craspedophorus everetti", "Craspedophorus expansicollis", "Craspedophorus facchinii", "Craspedophorus feae", "Craspedophorus festivus", "Craspedophorus formaster", "Craspedophorus formosanus", "Craspedophorus freudei", "Craspedophorus gabonicus", "Craspedophorus galla", "Craspedophorus geniculatus", "Craspedophorus ghesquierei", "Craspedophorus gibbosus", "Craspedophorus glaber", "Craspedophorus gracilipes", "Craspedophorus gratiosus", "Craspedophorus gratus", "Craspedophorus gressittorum", "Craspedophorus grossus", "Craspedophorus guttiferus", "Craspedophorus hainanensis", "Craspedophorus hajeki", "Craspedophorus halyi", "Craspedophorus hesperos", "Craspedophorus hexagonus", "Craspedophorus hilaris", "Craspedophorus horaki", "Craspedophorus hovorkai", "Craspedophorus huensis", "Craspedophorus imperialis", "Craspedophorus impictus", "Craspedophorus incostatus", "Craspedophorus insignis", "Craspedophorus jakli", "Craspedophorus jeanneli", "Craspedophorus kabakovi", "Craspedophorus kaboboanus", "Craspedophorus kalimantanensis", "Craspedophorus kathmanduensis", "Craspedophorus kerberos", "Craspedophorus khaoyai", "Craspedophorus kirschenhoferi", "Craspedophorus kiwlomensis", "Craspedophorus klugii", "Craspedophorus kubani", "Craspedophorus laevifrons", "Craspedophorus lafertei", "Craspedophorus lankaensis", "Craspedophorus laosensis", "Craspedophorus latemaculatus", "Craspedophorus laticollis", "Craspedophorus latifrons", "Craspedophorus latigenis", "Craspedophorus latipennis", "Craspedophorus leprieurii", "Craspedophorus lesnei", "Craspedophorus longicollis", "Craspedophorus luzonensis", "Craspedophorus lykaon", "Craspedophorus macleayi", "Craspedophorus maculatus", "Craspedophorus magnicollis", "Craspedophorus maharashtraensis", "Craspedophorus mandarinellus", "Craspedophorus mandarinus", "Craspedophorus mannae", "Craspedophorus merus", "Craspedophorus microcephalus", "Craspedophorus microspilotus", "Craspedophorus milzi", "Craspedophorus mniszechi", "Craspedophorus montivagus", "Craspedophorus mouhotii", "Craspedophorus muata", "Craspedophorus neglectus", "Craspedophorus nepalensis", "Craspedophorus nigrita", "Craspedophorus nobilis", "Craspedophorus notabilis", "Craspedophorus obesus", "Craspedophorus obscurus", "Craspedophorus opulentus", "Craspedophorus ornatus", "Craspedophorus oxygonus", "Craspedophorus pacholatkoi", "Craspedophorus pallidicornis", "Craspedophorus paromius", "Craspedophorus parvulus", "Craspedophorus phenax", "Craspedophorus philippinus", "Craspedophorus phoupanensis", "Coreoblemus miyamai", "Coreoblemus namkungi", "Coreoblemus parvicollis", "Coreoblemus sejimai", "Coreoblemus venustus", "Corintascaris ferreirae", "Coryza alberti", "Coryza atriceps", "Coryza beccarii", "Coryza carinifrons", "Coryza gerardi", "Coryza globithorax", "Coryza maculata", "Coryza raffrayi", "Coryza semirubra", "Coryza tschitscherini", "Cosmodiscus brunneus", "Cosmodiscus latus", "Cosmodiscus louwerensi", "Cosmodiscus picturatus", "Cosmodiscus platynotus", "Cosmodiscus rubripictus", "Cosmodiscus rufolimbatus", "Cosmodiscus umeralis", "Cosnania caymanensis", "Cosnania cyanella", "Cosnania cyanescens", "Cosnania emdeni", "Cosnania geniculata", "Cosnania humboldti", "Cosnania lengi", "Cosnania limbata", "Cosnania lioptera", "Cosnania pensylvanica", "Cosnania picta", "Cosnania quadrimaculata", "Cosnania strasseni", "Cosnania sulcicollis", "Cosnania tetrastigma", "Costitachys inusitatus", "Costitachys tena", "Cothresia curta", "Cothresia hogsbackiensis", "Cothresia megacephala", "Cothresia tabulae", "Crasodactylus indicus", "Crasodactylus punctatus", "Craspedonotus himalayanus", "Craspedonotus margellanicus", "Craspedophorus abnormis", "Craspedophorus affinis", "Craspedophorus alaticollis", "Craspedophorus alternans", "Craspedophorus angulatus", "Craspedophorus angusticeps", "Craspedophorus assamensis", "Craspedophorus australasiae", "Craspedophorus australis", "Craspedophorus austronesiensis", "Craspedophorus banksi", "Craspedophorus basifasciatus", "Craspedophorus batesi", "Craspedophorus bayeri", "Craspedophorus begdugulensis", "Lomechusa brevicornis", "Lomechusa elegans", "Lomechusa seticornis", "Lomechusa parva", "Lomechusa dvoraki", "Lomechusa kishimotoi", "Craspedophorus pretiosus", "Craspedophorus probsti", "Craspedophorus pubiger", "Craspedophorus punensis", "Craspedophorus pungens", "Craspedophorus qiongensis", "Craspedophorus regalis", "Craspedophorus rikatlensis", "Craspedophorus rockhamptonensis", "Craspedophorus ruficrus", "Craspedophorus rufipalpis", "Craspedophorus saddlepeakensis", "Craspedophorus sapaensis", "Craspedophorus saundersii", "Craspedophorus selenoderus", "Craspedophorus sikkimensis", "Craspedophorus simplicicollis", "Craspedophorus somalicus", "Craspedophorus soppongensis", "Craspedophorus sparsepunctatus", "Craspedophorus stanleyi", "Craspedophorus stenocephalus", "Craspedophorus strachani", "Craspedophorus strangulatus", "Craspedophorus subgratiosus", "Craspedophorus sublaevis", "Craspedophorus sundaicus", "Craspedophorus tamdaoensis", "Craspedophorus tetrastigma", "Craspedophorus transversalis", "Craspedophorus tropicus", "Craspedophorus unicolor", "Craspedophorus volana", "Craspedophorus yalaensis", "Crassacantha bidens", "Crassagena depressa", "Cratacanthus dubius", "Cratocerus monilicornis", "Cratocerus sulcatus", "Cratoferonia daccordii", "Cratoferonia phylarchus", "Cratoferonia regalis", "Cratogaster melas", "Cratogaster occidentalis", "Cratogaster robusta", "Cratogaster sulcata", "Cratogaster unicolor", "Cratognathus alluaudi", "Cratognathus capensis", "Cratognathus grandiceps", "Cratognathus mandibularis", "Cratognathus straneoi", "Cratohaerea brunet", "Cratohaerea chrysopyga", "Cratohaerea confusa", "Cratosoma pictum", "Creagris bigemmis", "Creagris binoculus", "Creagris bisignata", "Creagris distacta", "Creagris hamaticollis", "Creagris labrosa", "Creagris lineola", "Creagris rubrothorax", "Lomechusa atlantica", "Problongos baudiliensis", "Mesobuthus gallianoi", "Lomechusa barbarae", "Lomechusa bifoveolata", "Lomechusa bordonii", "Creagris wilsonii", "Crenulostrigus palpalis", "Crenulostrigus profundus", "Creobius eydouxii", "Crepidogaster aethiopica", "Crepidogaster amieti", "Crepidogaster angolana", "Crepidogaster atrata", "Crepidogaster aurasia", "Crepidogaster bimaculata", "Crepidogaster bioculata", "Crepidogaster brincki", "Crepidogaster caffra", "Crepidogaster ceylanica", "Crepidogaster cicatricosa", "Crepidogaster costata", "Crepidogaster damarensis", "Crepidogaster decolorata", "Crepidogaster didyma", "Crepidogaster diluta", "Crepidogaster dissimilis", "Crepidogaster dolini", "Crepidogaster dollmani", "Crepidogaster elegantula", "Crepidogaster elongata", "Crepidogaster endroedyi", "Crepidogaster ferruginea", "Crepidogaster grossa", "Crepidogaster hessei", "Crepidogaster indica", "Crepidogaster infuscata", "Crepidogaster insignis", "Crepidogaster kavanaughi", "Crepidogaster kochi", "Crepidogaster langenhani", "Crepidogaster louwerensi", "Crepidogaster madecassa", "Crepidogaster mateui", "Crepidogaster matonga", "Crepidogaster methneri", "Crepidogaster mysorensis", "Crepidogaster namaqua", "Crepidogaster natalensis", "Crepidogaster natalica", "Crepidogaster neglecta", "Crepidogaster nonstriata", "Crepidogaster notulatipennis", "Crepidogaster oblata", "Crepidogaster pauliani", "Crepidogaster penrithae", "Crepidogaster picipennis", "Crepidogaster plagata", "Crepidogaster portentosa", "Crepidogaster posticalis", "Crepidogaster protuberata", "Crepidogaster reducta", "Crepidogaster rufescens", "Crepidogaster sambesiaca", "Crepidogaster sansibarica", "Crepidogaster schroederi", "Crepidogaster somalica", "Crepidogaster straneoi", "Crepidogaster tendiculata", "Crepidogaster algoa", "Porrhoclubiona bosmansi", "Porrhoclubiona moradmandi", "Siren reticulata", "Porrhoclubiona laudata", "Porrhoclubiona decora", "Loxosceles accepta", "Loxosceles adelaida", "Loxosceles alamosa", "Loxosceles apachea", "Loxosceles blanda", "Loxosceles sabina", "Loxosceles russelli", "Loxosceles palma", "Loxosceles kaiba", "Loxosceles martha", "Loxosceles baja", "Loxosceles rothi", "Loxosceles mulege", "Crepidogaster alticola", "Troglohyphantes bornensis", "Crepidogaster ambreana", "Crepidogaster arnoldi", "Crepidogaster bambusicola", "Crepidogaster basilewskyi", "Crepidogaster caeca", "Crepidogaster celsa", "Crepidogaster confusa", "Crepidogaster delineata", "Crepidogaster deuvei", "Crepidogaster dirrupta", "Crepidogaster fortesculpta", "Crepidogaster franzi", "Crepidogaster funerula", "Crepidogaster garambae", "Crepidogaster holtzi", "Crepidogaster horni", "Crepidogaster humerata", "Crepidogaster humicola", "Crepidogaster insularis", "Crepidogaster iturica", "Crepidogaster jocquei", "Crepidogaster kaboboensis", "Crepidogaster kahuziana", "Crepidogaster kivuensis", "Crepidogaster kundelunguana", "Crepidogaster lateralis", "Crepidogaster laticollis", "Crepidogaster leleupi", "Crepidogaster longelineata", "Crepidogaster luberoensis", "Crepidogaster malawica", "Crepidogaster marginicollis", "Crepidogaster monticola", "Crepidogaster muhavurae", "Crepidogaster nyakagerana", "Crepidogaster occidentalis", "Crepidogaster oldeanica", "Crepidogaster orophila", "Crepidogaster ovicollis", "Crepidogaster peyrierasi", "Crepidogaster phallica", "Crepidogaster ruandana", "Crepidogaster ruwenzorica", "Crepidogaster specicola", "Crepidogaster subovicollis", "Crepidogaster swazica", "Crepidogaster transvaalensis", "Crepidogaster venusta", "Crepidogastrillus curtulus", "Crepidogastrinus kochi", "Sazonia vietnamica", "Sazonia gorodinskii", "Dendrochilum uncatum", "Dendrochilum uncatum var. uncatum", "Dendrochilum uncatum var. longispicatum", "Bulbophyllum globuliforme", "Turdus iliacus coburni", "Solanum endoadenium", "Solanum flaccidum", "Solanum imbaburense", "Solanum inodorum", "Loxosceles carmena", "Loxosceles insula", "Loxosceles sonora", "Loxosceles francisca", "Loxosceles seri", "Loxosceles coyote", "Loxosceles teresa", "Loxosceles tlacolula", "Loxosceles huasteca", "Loxosceles candela", "Loxosceles jaca", "Loxosceles chinateca", "Loxosceles rica", "Loxosceles virgo", "Loxosceles jamaica", "Crepidozaena gracilis", "Cribrodyschirius basilewskyi", "Cribrodyschirius congoensis", "Cribrodyschirius gibbicollis", "Cribrodyschirius guineensis", "Cribrodyschirius jeanneli", "Cribrodyschirius mocquerysi", "Cribrodyschirius porosus", "Cribrodyschirius puncticollis", "Criniventer rufus", "Croatotrechus tvrtkovici", "Cryptobatis brevipennis", "Cryptobatis chontalensis", "Cryptobatis cyanoptera", "Cryptobatis hexagona", "Cryptobatis inaequalis", "Cryptobatis janthinipennis", "Cryptobatis janthoptera", "Cryptobatis laticollis", "Cryptocephalomorpha australica", "Solanum dichroandrum", "Selaginella rossii", "Micrathena lata", "Micrathena sanctispiritus", "Dysdera catalonica", "Dysdera cechica", "Dysdera dolanskyi", "Dysdera fabrorum", "Dysdera garrafensis", "Dysdera graia", "Dysdera kropfi", "Dysdera minairo", "Dysdera portsensis", "Dysdera pradesensis", "Dysdera pyrenaica", "Dysdera quindecima", "Dysdera septima", "Dysdera stahlavskyi", "Spinoctenus yotoco", "Spinoctenus chocoensis", "Spinoctenus eberhardi", "Spinoctenus escalerete", "Spinoctenus flammigerus", "Spinoctenus florezi", "Spinoctenus nambi", "Spinoctenus pericos", "Spinoctenus spinosus", "Sericostachys scandens", "Spinoctenus stephaniae", "Spinoctenus tequendama", "Zhinu manmiaoyangi", "Zhinu reticuloides", "Euterpe precatoria var. precatoria", "Cycloloba septemguttata", "Cycloloba truncatipennis", "Cyclosomus basalis", "Cyclosomus buquetii", "Cyclosomus collarti", "Cyclosomus equestris", "Cyclosomus flexuosus", "Cyclosomus inustus", "Geonoma cuneata subsp. cuneata", "Cyclosomus madecassus", "Cyclosomus philippinus", "Cyclosomus rousseaui", "Cyclosomus rugifrons", "Cyclosomus somalicus", "Cyclosomus sumatrensis", "Cyclosomus suturalis", "Cyclotrachelus alabamensis", "Cyclotrachelus approximatus", "Cyclotrachelus brevoorti", "Cyclotrachelus dejeanellus", "Cyclotrachelus faber", "Cyclotrachelus freitagi", "Cyclotrachelus fucatus", "Cyclotrachelus hernandensis", "Cyclotrachelus iuvenis", "Cyclotrachelus laevipennis", "Cyclotrachelus levifaber", "Cyclotrachelus macrovulum", "Cyclotrachelus ovulum", "Cyclotrachelus parafaber", "Cyclotrachelus spoliatus", "Cyclotrachelus texensis", "Cyclotrachelus unicolor", "Cyclotrachelus vinctus", "Cyclotrachelus alabamae", "Cyclotrachelus alternans", "Cyclotrachelus blatchleyi", "Cyclotrachelus constrictus", "Cyclotrachelus convivus", "Cyclotrachelus engelmani", "Cyclotrachelus floridensis", "Cyclotrachelus furtivus", "Cyclotrachelus gigas", "Cyclotrachelus gravesi", "Cyclotrachelus gravidus", "Cyclotrachelus heros", "Cyclotrachelus hypherpiformis", "Cyclotrachelus incisus", "Cyclotrachelus iowensis", "Cyclotrachelus nonnitens", "Cyclotrachelus parasodalis", "Cyclotrachelus sallei", "Cyclotrachelus seximpressus", "Cyclotrachelus sigillatus", "Cyclotrachelus sinus", "Cyclotrachelus sodalis", "Cyclotrachelus substriatus", "Cophosomorpha hessei", "Cophosomorpha impunctata", "Cophosomorpha laetans", "Cophosomorpha leleupiana", "Cophosomorpha longelytrata", "Cophosomorpha longula", "Cophosomorpha loveridgei", "Cophosomorpha macroptera", "Cophosomorpha minuta", "Cophosomorpha natalensis", "Cophosomorpha propinqua", "Cophosomorpha pseudocastelli", "Cophosomorpha pseudodichroa", "Cophosomorpha recticollis", "Cophosomorpha rufina", "Cophosomorpha sagittalis", "Cophosomorpha similis", "Cophosomorpha sinuatangula", "Cophosomorpha soror", "Cophosomorpha sublaetans", "Cophosomorpha vansoni", "Coptia armata", "Coptia effeminata", "Coptia marginicollis", "Coptia sauricollis", "Coptocarpus australis", "Coptocarpus championensis", "Coptocarpus chaudoiri", "Coptocarpus chimbu", "Coptocarpus doddi", "Coptocarpus fuscitarsis", "Coptocarpus gibbus", "Coptocarpus grossus", "Coptocarpus impar", "Coptocarpus nitidus", "Coptocarpus philipi", "Coptocarpus schaumi", "Coptocarpus thoracicus", "Coptocarpus yorkensis", "Coptodera acutipennis", "Coptodera aeneorufa", "Coptodera aerata", "Coptodera apicalis", "Coptodera aurata", "Coptodera bifasciata", "Coptodera braziliensis", "Coptodera brunnea", "Coptodera chalcites", "Coptodera championi", "Coptodera cupreotincta", "Coptodera dromioides", "Coptodera elongata", "Coptodera emarginata", "Coptodera erwini", "Coptodera festiva", "Coptodera foveolata", "Coptodera fulminans", "Coptodera lineata", "Coptodera megalops", "Coptodera nigrosignata", "Coptodera nigrostriata", "Coptodera nigroviridis", "Coptodera nitidula", "Ctenostoma bifasciatum", "Ctenostoma bondari", "Ctenostoma eburatum", "Ctenostoma ferum", "Ctenostoma fryi", "Ctenostoma inca", "Ctenostoma klugeanum", "Ctenostoma luctuosum", "Ctenostoma magnum", "Ctenostoma monnei", "Ctenostoma rapillyi", "Ctenostoma regium", "Ctenostoma rugosum", "Ctenostoma sahlbergii", "Ctenostoma sumlini", "Ctenostoma trinotatum", "Ctenostoma tyrannum", "Ctenostoma wiesneri", "Ctenostoma brevilabre", "Ctenostoma pusillum", "Ctenostoma abbreviatum", "Ctenostoma agnatum", "Ctenostoma albofasciatum", "Ctenostoma asperulum", "Ctenostoma bicristatum", "Ctenostoma brevicorne", "Ctenostoma breviusculum", "Ctenostoma compactum", "Ctenostoma coracinum", "Ctenostoma crucifrons", "Ctenostoma dentifrons", "Ctenostoma dokhturowi", "Ctenostoma flexuosum", "Ctenostoma gautardi", "Ctenostoma globifrons", "Ctenostoma hirsutum", "Ctenostoma ichneumoneum", "Ctenostoma infimum", "Ctenostoma luteum", "Ctenostoma macilentum", "Ctenostoma minusculum", "Ctenostoma modicum", "Ctenostoma obliquatum", "Ctenostoma oblitum", "Ctenostoma parvulum", "Ctenostoma plicaticolle", "Ctenostoma pygmaeum", "Ctenostoma rivalieri", "Ctenostoma schaumi", "Ctenostoma schmalzi", "Ctenostoma unifasciatum", "Ctenostoma vicinum", "Ctenostoma zerchei", "Ctenostoma zonatum", "Ctenostoma bettinae", "Ctenostoma angustoobliquatum", "Ctenostoma brendelli", "Ctenostoma brunneum", "Ctenostoma cassolai", "Ctenostoma cylindratum", "Ctenostoma davidsoni", "Ctenostoma deuvei", "Ctenostoma germaini", "Ctenostoma guatemalense", "Cryptocephalomorpha collaris", "Cryptocephalomorpha gaverei", "Cryptocephalomorpha genieri", "Cryptocephalomorpha gigantea", "Cryptocephalomorpha indica", "Cryptocephalomorpha laosensis", "Cryptocephalomorpha maior", "Cryptocephalomorpha maxima", "Cryptocephalomorpha ovalis", "Cryptocephalomorpha papua", "Cryptocharidius mandibularis", "Cryptocolliuris pantosi", "Cryptomma multistriatum", "Cryptorites scotti", "Cryptoscaphus lissonotus", "Cryptoscaphus russoi", "Cteatus bruchi", "Ctenodactyla angusta", "Ctenodactyla batesii", "Ctenodactyla brasiliensis", "Ctenodactyla chevrolatii", "Ctenodactyla drapiezi", "Ctenodactyla elegantula", "Ctenodactyla glabrata", "Ctenodactyla langsdorfii", "Ctenodactyla puncticollis", "Ctenodactyla santarema", "Ctenognathus actochares", "Ctenognathus arnaudensis", "Ctenognathus cheesemani", "Ctenognathus colensonis", "Ctenognathus crenatus", "Ctenognathus deformipes", "Ctenognathus edwardsii", "Ctenognathus integratus", "Ctenognathus intermedius", "Ctenognathus libitus", "Ctenognathus littorellus", "Ctenognathus macrocoelis", "Ctenognathus montivagus", "Ctenognathus munroi", "Ctenognathus neozelandicus", "Ctenognathus oreobius", "Ctenognathus perrugithorax", "Ctenognathus pictonensis", "Ctenognathus politulus", "Ctenognathus simmondsi", "Ctenognathus sophronitis", "Ctenognathus suborbithorax", "Ctenognathus sulcitarsis", "Ctenognathus xanthomelas", "Ctenostoma acciavattii", "Ctenostoma bahiaense", "Ctenostoma batesii", "Ctenostoma chaudoiri", "Ctenostoma formicarium", "Ctenostoma guyanense", "Ctenostoma heydeni", "Ctenostoma jekelii", "Ctenostoma quechua", "Ctenostoma rugicolle", "Ctenostoma rugiferum", "Ctenostoma succinctum", "Ctenostoma transversum", "Cychrus boulbeni", "Cychrus bruggei", "Cychrus busatoi", "Cychrus businskyianus", "Cychrus businskyorum", "Cychrus cavazzutii", "Cychrus cerberus", "Cychrus chareti", "Cychrus colasi", "Cychrus contractus", "Cychrus cordithorax", "Cychrus culminalis", "Cychrus cyaneomelas", "Cychrus cylindricollis", "Cychrus dacatrai", "Cychrus daochengicus", "Cychrus davidis", "Cychrus deuveianus", "Cychrus dolichognathus", "Cychrus dufouri", "Cychrus elongaticeps", "Cychrus elongatulus", "Cychrus evae", "Cychrus fedotovi", "Cychrus furumii", "Cychrus gorodinskii", "Cychrus gorodinskiorum", "Cychrus grajus", "Cychrus grumulifer", "Cychrus haesitans", "Cychrus hampei", "Cychrus heishuiensis", "Cychrus hemphillii", "Cychrus inexpectatior", "Cychrus inframontes", "Cychrus italicus", "Cychrus ivanrapuzzii", "Cychrus janatai", "Cychrus jinchuanensis", "Cychrus jirouxi", "Cychrus jiulongensis", "Cychrus kaiseri", "Cychrus kalabi", "Cychrus kangensis", "Cychrus kaznakovi", "Cychrus keithi", "Cychrus koiwayai", "Cychrus korgei", "Cychrus korotyaevi", "Cychrus kozlovi", "Cychrus kralianus", "Cychrus kryzhanovskii", "Cychrus kubani", "Cychrus kvetoslavae", "Cychrus lajinensis", "Cychrus lanpingensis", "Cychrus lecordieri", "Cychrus liei", "Cychrus lilianae", "Cychrus liuyei", "Cychrus loccai", "Cychrus luctifer", "Cychrus ludmilae", "Cychrus luhuo", "Cychrus luojiensis", "Cychrus makarovi", "Cychrus malacophilus", "Cychrus maoxianicus", "Cychrus marcilhaci", "Cychrus meihuanae", "Cychrus milyaevi", "Cychrus minjiangicus", "Cychrus minshanicola", "Cychrus miroslavi", "Cychrus moerkuaicus", "Cychrus morvani", "Cychrus mugecuo", "Cychrus muliensis", "Cychrus naviauxi", "Cychrus okamotoi", "Cychrus ombrophilus", "Cychrus pangi", "Cychrus pentaploidus", "Cychrus pratti", "Cychrus procerus", "Cychrus prosciai", "Cychrus puetzi", "Cychrus quadrisetifer", "Cychrus remondi", "Cychrus reni", "Cychrus riwaensis", "Cychrus roeschkei", "Cychrus rossehnali", "Cychrus rostislavi", "Cychrus rugicollis", "Cychrus rugocephalus", "Cychrus sabdensis", "Cychrus sars", "Cychrus schmidtii", "Cychrus schneideri", "Cychrus sehnali", "Cychrus sellemi", "Cychrus semelai", "Cychrus seriatus", "Cychrus shanxiensis", "Cychrus signatus", "Cychrus sinicus", "Cychrus sola", "Cychrus spinicollis", "Cychrus stoetzneri", "Cychrus szetshuanus", "Cychrus tatzaopin", "Cychrus thibetanus", "Cychrus tillyi", "Cychrus tuberculatus", "Cychrus turnai", "Cychrus uenoi", "Cychrus vignai", "Cychrus wuyipeng", "Cychrus xiei", "Cychrus yadingensis", "Cychrus yi", "Cychrus yuae", "Cychrus yulongxuicus", "Cychrus yunnanus", "Cychrus zamotailovi", "Cychrus zhoui", "Cychrus zoigeicus", "Cyclotrachelus torvus", "Cyclotrachelus whitcombi", "Cylindera kazantsevi", "Cylindera lobipennis", "Cylindera ovipennis", "Cylindera shirakii", "Cylindera conicollis", "Cylindera mandibularis", "Cylindera albosignata", "Cylindera armandi", "Cylindera aurosternalis", "Cylindera celeripes", "Cylindera colmanti", "Cylindera confluentesignata", "Cylindera cursitans", "Cylindera cylindriformis", "Cylindera davidis", "Cylindera debilis", "Cylindera delavayi", "Cylindera descendens", "Cylindera dokhtourowi", "Cylindera dromicoides", "Cylindera eoa", "Cylindera friedenreichi", "Cylindera fuscopurpurea", "Cylindera granulipennis", "Cylindera hoegei", "Cylindera kollari", "Cylindera lautissima", "Cylindera lemniscata", "Cylindera lunalonga", "Cylindera malaris", "Cylindera marquardti", "Cylindera minutula", "Cylindera morio", "Cylindera murzinorum", "Cylindera nephelota", "Cylindera nox", "Cylindera nudata", "Cylindera obsoletesignata", "Cylindera oesterlei", "Cylindera paludosa", "Cylindera piligera", "Cylindera praecisa", "Cylindera pseudocylindriformis", "Cylindera raffrayi", "Cylindera sauteri", "Cylindera serranoi", "Cylindera terricola", "Cylindera unipunctata", "Cylindera viridisticta", "Cylindera albopunctata", "Cylindera agnata", "Cylindera ancistridia", "Cylindera bigemina", "Cylindera biprolongata", "Cylindera bonina", "Cylindera brevis", "Cylindera cognata", "Cylindera dissimilis", "Cylindera erudita", "Cylindera excisa", "Cylindera grammophora", "Cylindera illecebrosa", "Cylindera inopinata", "Cylindera inscripta", "Cylindera iravaddica", "Cylindera litterifera", "Cylindera mesoepisternalis", "Cylindera minuta", "Cylindera mongolica", "Cylindera mutata", "Cylindera procera", "Cylindera pseudodeserticola", "Cylindera pygmaea", "Cylindera singalensis", "Cylindera soror", "Cylindera trisignata", "Cylindera venosa", "Cylindera zaza", "Cylindera belloides", "Cylindera ochrocnemis", "Cylindera agualusai", "Cylindera anelia", "Cylindera belli", "Cylindera centropunctata", "Cylindera collicia", "Cylindera constricticollis", "Cylindera craspedota", "Cylindera cyclobregma", "Cylindera decellei", "Cylindera decempunctata", "Cylindera decolorata", "Cylindera dilatotarsa", "Cylindera discreta", "Cylindera disjuncta", "Cylindera dormeri", "Cylindera dregei", "Cylindera fabiocassolai", "Cylindera fallaciosa", "Cylindera fallax", "Cylindera foveolata", "Cylindera froggatti", "Cylindera ganglbaueri", "Cylindera genofiae", "Cylindera graniticollis", "Cylindera gulbenkiana", "Cylindera henryi", "Cylindera holosericea", "Cylindera humerula", "Cylindera humillima", "Cylindera jacobsoni", "Cylindera jeanneli", "Cylindera judy", "Cylindera juergenwiesneri", "Cylindera kaleea", "Cylindera karli", "Cylindera labioaenea", "Cylindera limitisca", "Cylindera lizleri", "Cylindera lutaria", "Cylindera macilenta", "Cylindera marshallisculpta", "Cylindera melitops", "Cylindera modica", "Ctenostoma hovorei", "Ctenostoma ibidion", "Ctenostoma immaculatum", "Ctenostoma intermedium", "Ctenostoma johnsoni", "Ctenostoma laeticolor", "Ctenostoma landolti", "Ctenostoma maculicorne", "Ctenostoma nitidum", "Geonoma congesta subsp. congesta", "Ctenostoma tumidum", "Ctenostoma turnbowi", "Ctenostoma vairai", "Ctenostoma wappesi", "Ctenostoma aeneum", "Ctenostoma arnaudi", "Ctenostoma cayennense", "Ctenostoma crudelum", "Ctenostoma dormeri", "Ctenostoma durantoni", "Ctenostoma ebeninum", "Ctenostoma ecuadorense", "Ctenostoma erwini", "Ctenostoma insigne", "Ctenostoma longipalpe", "Ctenostoma maculosum", "Ctenostoma metallicum", "Ctenostoma nigrum", "Ctenostoma onorei", "Ctenostoma ornatum", "Ctenostoma panamense", "Ctenostoma pearsoni", "Ctenostoma sallei", "Ctenostoma simile", "Ctenostoma spinosum", "Ctenostoma subtilesculptum", "Ctenostoma trinidadense", "Cuneipectus foveatus", "Cuneipectus frenchi", "Cyanotarus andinus", "Cyanotarus foveolatus", "Cychropsis diabolica", "Cychropsis surkiensis", "Cychropsis dreuxi", "Cychropsis gonggoides", "Cychropsis huangcao", "Cychropsis liangi", "Cychropsis yuianus", "Cychrus aeneus", "Cychrus anatolicus", "Cychrus andrei", "Cychrus angulicollis", "Cychrus angustatus", "Cychrus angustior", "Cychrus angustitarsalis", "Cychrus attenuatus", "Cychrus auvrayorum", "Cychrus baimaicus", "Cychrus barkamensis", "Cychrus baxiensis", "Cychrus benesi", "Cychrus bisetosus", "Cychrus bispinosus", "Cylindera kibbyana", "Cylindera kualatahanensis", "Cylindera longipalpis", "Cylindera macrodonta", "Cylindera maxillaris", "Cylindera nana", "Cylindera nanula", "Cylindera perparva", "Cylindera plasoni", "Cylindera pseudolongipalpis", "Cylindera pseudonana", "Cylindera rothschildi", "Cylindera sarawakensis", "Cylindera vandenberghei", "Cylindera virgulifera", "Cylindera werneri", "Cylindera lacunosa", "Cylindera paradoxa", "Cylindera apiata", "Cylindera chiliensis", "Cylindera chubuti", "Cylindera drakei", "Cylindera eugeni", "Cylindera gormazi", "Cylindera melaleuca", "Cylindera mixtula", "Cylindera nahuelbutae", "Cylindera nigrovittata", "Cylindera nivea", "Cylindera patagonica", "Cylindera ramosa", "Cylindera ritsemai", "Cylindera schaefferi", "Cylindera siccalacicola", "Cylindera sinuosa", "Cylindera suturalis", "Cylindera yaguaree", "Cylindera zischkai", "Cylindera rhytidopteroides", "Cylindera antoni", "Cylindera dayaka", "Cylindera elegantissima", "Cylindera glabra", "Cylindera mourzinei", "Cylindera neervoorti", "Cylindera versicolor", "Cylindrocranius cribricollis", "Cylindrocranius errans", "Cylindrocranius risbeci", "Cylindrocranius ruficollis", "Cylindrocranius rufulus", "Cylindronotum aeneum", "Cylindronotum chalceum", "Cylindronotum crenulatum", "Cylindronotum cursorium", "Cylindronotum lissonotum", "Cylindronotum nevermanni", "Cylindronotum reichei", "Cylindropectus cyaneus", "Cylindropectus griseus", "Cymbionotum basale", "Cymbionotum candidum", "Cymbionotum capicola", "Cymbionotum fasciatum", "Chlaenius caeruleicollis", "Chlaenius caurinus", "Chlaenius harpalinus", "Chlaenius interruptus", "Chlaenius lithophilus", "Chlaenius niger", "Chlaenius sulcicollis", "Chlaenius quadripustulatus", "Chlaenius abacoides", "Chlaenius aberanus", "Chlaenius afganus", "Chlaenius africanicus", "Chlaenius allacteus", "Chlaenius allardi", "Chlaenius alluaudianus", "Chlaenius amplicollis", "Chlaenius andamanensis", "Chlaenius anthraceus", "Chlaenius apollo", "Chlaenius arnoldi", "Chlaenius aruwimius", "Chlaenius atripes", "Chlaenius aurifex", "Chlaenius baliensis", "Chlaenius bangkokensis", "Chlaenius bengalensis", "Chlaenius borellyi", "Chlaenius braminus", "Chlaenius brunnescens", "Chlaenius caffer", "Chlaenius cambodiensis", "Chlaenius cebuensis", "Chlaenius cecrops", "Chlaenius chagga", "Chlaenius chiangmaiensis", "Chlaenius chlorodius", "Chlaenius columbinus", "Chlaenius comes", "Chlaenius congoanus", "Chlaenius consors", "Chlaenius convexus", "Chlaenius corbetti", "Chlaenius costipennis", "Chlaenius cupreolineatus", "Chlaenius cupreolus", "Chlaenius cupreopurpureus", "Chlaenius cuprithorax", "Chlaenius curtulus", "Chlaenius cyanipennis", "Chlaenius cyanostolus", "Chlaenius delicatus", "Chlaenius diabolicus", "Chlaenius difficilis", "Chlaenius dilatatus", "Chlaenius dimidiatus", "Chlaenius elgonensis", "Chlaenius elongatulus", "Chlaenius episcopalis", "Chlaenius fairmairei", "Chlaenius fletcheri", "Chlaenius freyellus", "Chlaenius gabonensis", "Cymbionotum fasciger", "Cymbionotum fluviale", "Cymbionotum helferi", "Cymbionotum mandli", "Cymbionotum microphthalmum", "Cymbionotum namwala", "Cymbionotum pictulum", "Cymbionotum rufotestaceum", "Cymbionotum schueppelii", "Geonoma epetiolata", "Cymbionotum semelederi", "Cymbionotum semirubricum", "Cymbionotum striatum", "Cymbionotum subcaecum", "Cymbionotum transcaspicum", "Cymbionotum fernandezi", "Cymbionotum negrei", "Cymenopterus perforatus", "Cymenopterus vadoni", "Cymindis collaris", "Cymindis rivularis", "Cymindis laferi", "Cymindis dshungarica", "Cymindis pilosissima", "Cymindis abeillei", "Cymindis accentifera", "Cymindis adusta", "Cymindis alluaudi", "Cymindis alternans", "Cymindis alutacea", "Cymindis americana", "Cymindis anchomenoides", "Cymindis andreae", "Cymindis angularis", "Cymindis aradensis", "Cymindis arizonensis", "Cymindis avenae", "Cymindis axillaris", "Cymindis babaulti", "Cymindis borealis", "Cymindis budensis", "Cymindis bushirica", "Cymindis californica", "Cymindis carnica", "Cymindis championi", "Cymindis chodjaii", "Cymindis cincta", "Cymindis cingulata", "Cymindis coadunata", "Cymindis cobosi", "Cymindis corax", "Cymindis cribricollis", "Cymindis dachti", "Cymindis davatchii", "Cymindis decora", "Cymindis discoidea", "Cymindis discophora", "Cymindis dohrnii", "Cymindis elegans", "Cymindis ephippium", "Cymindis etrusca", "Cymindis evanescens", "Cymindis facchinii", "Cymindis favieri", "Cymindis glabrella", "Cymindis gottelandi", "Cymindis heydeni", "Cymindis hiekei", "Cymindis hingstoni", "Cymindis hookeri", "Cymindis humeralis", "Cymindis imitatrix", "Cymindis interior", "Cymindis intermedia", "Cymindis kalavrytana", "Cymindis klapperichi", "Cymindis kocheri", "Cymindis kozlovi", "Cymindis kricheldorffi", "Cymindis kuznetzowi", "Cymindis laticollis", "Cymindis leachi", "Cymindis lindbergi", "Cymindis lineola", "Cymindis longstaffi", "Cymindis maderae", "Cymindis marginella", "Cymindis moralesi", "Cymindis naxiana", "Cymindis neglecta", "Cymindis nitens", "Cymindis nobilis", "Cymindis ornata", "Cymindis ovipennis", "Cymindis paivana", "Cymindis pallescens", "Cymindis pellucida", "Cymindis picta", "Cymindis piffli", "Cymindis pilosa", "Cymindis pilosipennis", "Cymindis pindicola", "Cymindis planipennis", "Cymindis portugalica", "Cymindis povolnyi", "Cymindis psammodes", "Cymindis purkynei", "Cymindis quadrimaculata", "Cymindis quadrisignata", "Cymindis rhatica", "Cymindis rubriceps", "Cymindis scapularis", "Cymindis seriata", "Cymindis setifeensis", "Cymindis singularis", "Cymindis suturalis", "Cymindis unicolor", "Cymindis uniseriata", "Cymindis vagemaculata", "Cymindis wrasei", "Cymindis arnoldii", "Cymindis cordicollis", "Cymindis dubia", "Cymindis emetzii", "Cymindis oxiana", "Cymindis pallidula", "Cymindis ogloblini", "Cymindis balchashica", "Cymindis capito", "Cymindis hierichontica", "Cymindis hyaloptera", "Cymindis jakowlewi", "Cymindis kiritshenkoi", "Cymindis sabulosa", "Cymindis semenowi", "Cymindis triangularis", "Cymindis uyguricus", "Cymindis bedeli", "Cymindis cylindrica", "Cymindis daimio", "Cymindis dostojewskii", "Cymindis impressa", "Cymindis miliaris", "Cymindis violacea", "Cymindis walteri", "Cymindis antonowi", "Cymindis kasakh", "Cymindis faldermanni", "Cymindis afgana", "Cymindis akserai", "Cymindis altaica", "Cymindis angustior", "Cymindis arcana", "Cymindis arnostiana", "Cymindis asiabadensis", "Cymindis circapicalis", "Cymindis darvazica", "Cymindis fedtschenkoi", "Cymindis ghazniensis", "Cymindis ghaznii", "Cymindis glebaina", "Cymindis gurjevae", "Cymindis kaikanica", "Cymindis mannerheimi", "Cymindis massageta", "Cymindis michailovi", "Cymindis minuta", "Cymindis olegiana", "Cymindis oschanini", "Cymindis ovtchinnikovi", "Cymindis pecirkai", "Cymindis reitteri", "Cymindis rostowtzowi", "Cymindis rufescens", "Cymindis rufipes", "Cymindis sciakyi", "Cymindis simplex", "Cymindis solskyi", "Cymindis tabargataica", "Cymindis tshatkalica", "Cymindis vassili", "Cymindis persica", "Cymindis sewertzowi", "Cymindis vartianorum", "Cymindis ruficollis", "Cymindis arctica", "Cymindis binotata", "Cymindis equestris", "Cymindis lateralis", "Cymindis liangi", "Cymindis macularis", "Cymindis medvedevi", "Geonoma pohliana", "Cymindis amicta", "Cymindis ehlersi", "Cymindis simillima", "Cymindis velata", "Cymindis zargoides", "Cymindis caudangula", "Cymindis nikolajevi", "Cymindis tschikatunovi", "Cymindoidea aequa", "Cymindoidea bisignata", "Cymindoidea chinensis", "Cymindoidea decellei", "Cymindoidea deplanata", "Cymindoidea distigma", "Cymindoidea humeralis", "Cymindoidea indica", "Cymindoidea kochi", "Cymindoidea munda", "Cymindoidea nigra", "Cymindoidea regularis", "Cymindoidea triangulifera", "Cymindoidea tutelina", "Cymindoidea virgulifera", "Cynthidia cancellata", "Cynthidia croceipes", "Cynthidia foveata", "Cynthidia majorina", "Cynthidia octocoela", "Cynthidia planodiscus", "Cyphocoleus cardiopterus", "Cyphocoleus cychroides", "Cyphocoleus flavipes", "Cyphocoleus globulicollis", "Harpactea babori", "Cyphocoleus heterogenus", "Cyphocoleus latipennis", "Cyphocoleus mirabilis", "Cyphocoleus miricollis", "Cyphocoleus moorei", "Cyphocoleus ovicollis", "Cypholoba alstoni", "Cypholoba alveolata", "Cypholoba amatonga", "Cypholoba apicata", "Cypholoba basilewskyi", "Cypholoba bihamata", "Cypholoba biloba", "Cypholoba bouvieri", "Cypholoba brevivittis", "Cypholoba cailliaudii", "Cypholoba cardiodera", "Cypholoba chanleri", "Cypholoba chaudoiri", "Cypholoba cinereocincta", "Cypholoba dartevellei", "Geonoma pohliana subsp. pohliana", "Cypholoba divisa", "Cypholoba edax", "Cypholoba elegantula", "Cypholoba fritschi", "Cypholoba gracilis", "Cypholoba graphipteroides", "Cypholoba grimaudi", "Cypholoba griseostriata", "Cypholoba grisescens", "Cypholoba hamifera", "Cypholoba heinzorum", "Cypholoba intermedia", "Cypholoba interrupta", "Cypholoba intricata", "Cypholoba kassaica", "Cypholoba kavanaughi", "Cypholoba leucospilota", "Cypholoba lundana", "Cypholoba macilenta", "Cypholoba mouffletii", "Cypholoba notata", "Cypholoba oberthueri", "Cypholoba obtusata", "Cypholoba opulenta", "Cypholoba overlaeti", "Cypholoba perspicillaris", "Cypholoba piaggiae", "Cypholoba posticalis", "Cypholoba prolixa", "Cypholoba puchneri", "Cypholoba reflexicauda", "Cypholoba rohani", "Cypholoba rutata", "Cypholoba sambesina", "Cypholoba schenklingi", "Cypholoba semibrunnea", "Cypholoba semisuturata", "Cypholoba somereni", "Cypholoba spatulata", "Cypholoba suturella", "Cypholoba tenuicollis", "Cypholoba tetrastigma", "Cypholoba trilineata", "Cypholoba trilunata", "Cypholoba zambeziana", "Cyphotrechodes gibbipennis", "Cyptomicrus pollicis", "Cyrtolaus brevispina", "Cyrtolaus furculifer", "Cyrtolaus grumufer", "Cyrtolaus lobipennis", "Cyrtolaus newtoni", "Cyrtolaus oaxacana", "Cyrtolaus ricardo", "Cyrtolaus spinicauda", "Cyrtolaus subiridescens", "Cyrtolaus whiteheadi", "Bulbophyllum gadgarrense", "Bulbophyllum grandimesense", "Urocoras nicomedis", "Cerastium grandiflorum", "Cerastium arvense subsp. arvense", "Liolaemus saxatilis", "Liolaemus punmahuida", "Bulbophyllum flavofimbriatum", "Solanum leiophyllum", "Solanum luculentum", "Stachys aspera var. hispidula", "Dictyocaryum lamarckianum", "Pireneitega cottarellii", "Dicrochile anchomenoides", "Dicrochile anthracina", "Dicrochile artensis", "Dicrochile aterrima", "Dicrochile brevicollis", "Dicrochile caledonica", "Dicrochile cephalotes", "Dicrochile cordicollis", "Dicrochile fabrii", "Dicrochile flavipes", "Dicrochile gigas", "Dicrochile goryi", "Dicrochile insignis", "Dicrochile minuta", "Dicrochile punctatostriata", "Dicrochile punctipennis", "Dicrochile punctulata", "Dicrochile quadricollis", "Dicrochile rugicollis", "Dicrochile subopaca", "Dicrochile thoracica", "Dicrochile tiro", "Dicrochile ventralis", "Geonoma undata subsp. undata", "Costus curvibracteatus", "Harpactea osellai", "Harpactea medeae", "Harpactea colchidis", "Harpactea lazonum", "Harpactea galatica", "Harpactea vignai", "Cyrtolaus orizabae", "Cyrtomoscelis abacetoides", "Cyrtomoscelis ambigua", "Cyrtomoscelis bangenia", "Cyrtomoscelis caffra", "Cyrtomoscelis dwesana", "Cyrtomoscelis elongata", "Cyrtomoscelis ferruginea", "Cyrtomoscelis ferruginoides", "Cyrtomoscelis humicola", "Cyrtomoscelis inflata", "Cyrtomoscelis leonardii", "Cyrtomoscelis longistria", "Cyrtomoscelis major", "Cyrtomoscelis minima", "Cyrtomoscelis natalensis", "Cyrtomoscelis ovalipennis", "Cyrtomoscelis pauper", "Cyrtomoscelis piriensis", "Cyrtomoscelis rotundicollis", "Cyrtomoscelis silvicola", "Cyrtomoscelis trivialis", "Cyrtopilus madecassus", "Dabatrechus eccentricus", "Dabatrechus hygrophilus", "Dactyleurys anomalus", "Dactyleurys minimus", "Dactyleurys ranomafanae", "Dactylinius punctipennis", "Dactylotrechus hygrophilus", "Dactylotrechus setosus", "Dactylotrechus yalongensis", "Daer ales", "Daiconotrechus iwatai", "Daiconotrechus breviculus", "Daiconotrechus tsushimanus", "Dailodontus cayennensis", "Dailodontus clandestinus", "Dalatagonum anichkini", "Dalatagonum bidoupense", "Dalatagonum blattoides", "Geonoma pohliana subsp. weddelliana", "Dalatagonum broteroides", "Dalatagonum calathoides", "Dalatagonum ellipticum", "Dalatagonum elongatum", "Dalatagonum sericeum", "Dalatagonum simile", "Dalmataphaenops chiarae", "Harpactea sbordonii", "Harpactea isaurica", "Harpactea sanctaeinsulae", "Harpactea diraoi", "Pholcus spasskyi", "Lomechusa malaisei", "Hoplopholcus asiaeminoris", "Cicurina paphlagoniae", "Maimuna cariae", "Lomechusa sinuata", "Lomechusa stangei", "Lomechusa yunnanensis", "Coffea mannii", "Tegenaria lyncea", "Tegenaria pasquinii", "Tegenaria percuriosa", "Tegenaria hamid", "Tegenaria tekke", "Tegenaria mamikonian", "Tegenaria comnena", "Tegenaria xenophontis", "Tegenaria cottarellii", "Tegenaria vignai", "Coelotes luculli", "Xenodusa angusta", "Xenodusa australis", "Xenodusa caseyi", "Xenodusa sharpi", "Pholidostachys dactyloides", "Welfia regia", "Deltomerodes zolotichini", "Deltomerus punctatissimus", "Deltomerus redoni", "Deltomerus abdurakhmanovi", "Deltomerus alexeevi", "Deltomerus balachovskyi", "Deltomerus barbarae", "Deltomerus belousovi", "Deltomerus bogatshevi", "Deltomerus bogossicus", "Deltomerus boroumandi", "Deltomerus bosnicus", "Deltomerus carpathicus", "Deltomerus chachalgensis", "Deltomerus circassicus", "Deltomerus corax", "Deltomerus dariae", "Deltomerus davatchii", "Deltomerus defanus", "Deltomerus deliae", "Deltomerus depressus", "Deltomerus dinci", "Deltomerus dostali", "Deltomerus dubiolus", "Deltomerus dubius", "Deltomerus elburzensis", "Deltomerus elegans", "Deltomerus elongatus", "Deltomerus ensiger", "Deltomerus expectatus", "Deltomerus fischtensis", "Deltomerus fulvipes", "Deltomerus golovatchi", "Deltomerus gusevi", "Deltomerus heinzi", "Deltomerus intermedius", "Deltomerus iristonicus", "Deltomerus jeanneli", "Deltomerus jelineki", "Deltomerus kabardensis", "Deltomerus kataevi", "Deltomerus khnzoriani", "Deltomerus komarovi", "Deltomerus korrigani", "Deltomerus kovali", "Deltomerus kryzhanovskii", "Deltomerus kurnakovi", "Deltomerus lailensis", "Deltomerus legorskyi", "Deltomerus leticus", "Deltomerus lodosi", "Deltomerus malissorum", "Deltomerus mercanensis", "Deltomerus mirabilis", "Deltomerus miroshnikovi", "Deltomerus morvani", "Deltomerus nopcsai", "Geonoma undata", "Deltomerus osseticus", "Deltomerus parumpunctatus", "Deltomerus pjatigorianus", "Deltomerus pseudoplatynus", "Deltomerus punctatus", "Deltomerus raddei", "Deltomerus sergeii", "Deltomerus sharovae", "Deltomerus sokolovi", "Deltomerus sterbai", "Deltomerus tatricus", "Deltomerus tibialis", "Deltomerus triseriatus", "Deltomerus tshetshenicus", "Deltomerus validus", "Deltomerus veldkampi", "Deltomerus weiratheri", "Deltomerus werneri", "Deltomerus paradoxus", "Demetrias muchei", "Demetrias amurensis", "Demetrias longicornis", "Demetrias marginicollis", "Demetrias nigricornis", "Demetrida aitape", "Demetrida aiyura", "Demetrida angulata", "Demetrida basalis", "Demetrida brandti", "Demetrida brunnea", "Demetrida crepera", "Demetrida discoidalis", "Demetrida diversa", "Demetrida divisa", "Demetrida dobodura", "Demetrida duplicata", "Demetrida forma", "Demetrida fumipes", "Demetrida genicula", "Demetrida goroka", "Demetrida hollandia", "Demetrida humeralis", "Demetrida imitatrix", "Demetrida karimui", "Demetrida kiunga", "Demetrida kokoda", "Demetrida latangula", "Demetrida lepida", "Demetrida lineata", "Demetrida mafulu", "Demetrida magna", "Demetrida metallica", "Demetrida minor", "Demetrida moda", "Demetrida moluccensis", "Demetrida nigriceps", "Demetrida nigripennis", "Demetrida nigripes", "Demetrida nubicola", "Demetrida pallens", "Demetrida pallipes", "Demetrida parena", "Demetrida prima", "Demetrida recta", "Demetrida reversa", "Demetrida rex", "Demetrida saidor", "Demetrida sedlacekorum", "Coelotes phthisicus", "Coelotes arganoi", "Coelotes coenobita", "Coelotes vignai", "Alloclubionoides geumensis", "Alloclubionoides naejangensis", "Alloclubionoides namhaensis", "Alloclubionoides yangyangensis", "Coras seorakensis", "Dicrodontus alluaudi", "Dicrodontus aptinoides", "Dicrodontus brunneus", "Dicropterus brevipennis", "Dilatotarsa beccarii", "Dilatotarsa cassolai", "Dilatotarsa kinabaluensis", "Dilatotarsa loeffleri", "Dilatotarsa patricia", "Dilatotarsa philippinensis", "Dilatotarsa robinsoni", "Dilatotarsa tricondyloides", "Dilonchus bidens", "Dilonchus pictus", "Dimorphopatrobus ludmilae", "Dimorphoreicheia quadrisetosa", "Dimorphoreicheia relicta", "Dimorphoreicheia vannii", "Dinocolpodes emeishanicus", "Dinopelma angustum", "Dinopelma bouchardi", "Dinopelma immaculatum", "Dinopelma intermedium", "Desera crassa", "Desera elegans", "Desera geniculata", "Desera gestroi", "Desera inexpecta", "Desera javana", "Desera kulti", "Desera micropectinata", "Desera nepalensis", "Desera nigripennis", "Desera queenslandica", "Desera rugicollis", "Desera schultzei", "Desera sinica", "Desera smaragdina", "Desera ternatensis", "Desera unidentata", "Desera viridipennis", "Dhanya andrewesi", "Dhanya bioculata", "Dhanya brancuccii", "Dhanya cylindrella", "Dhanya mulu", "Dhanya parallela", "Dhanya seminigra", "Dhysores basilewskyi", "Dhysores biimpressus", "Dhysores liber", "Dhysores pan", "Dhysores quadriimpressus", "Dhysores rhodesianus", "Dhysores thoreyi", "Diabaticus australis", "Diabaticus pauper", "Diabaticus punctipennis", "Diabaticus robustus", "Diacanthostylus benesi", "Diacanthostylus boulbeni", "Diacanthostylus elainus", "Diacanthostylus integratus", "Diacanthostylus jeanneli", "Diacanthostylus morimotoi", "Diacanthostylus parens", "Diacanthostylus remondi", "Diacanthostylus sichuanus", "Diacanthostylus zengae", "Diacheila arctica", "Diacheila fausti", "Diacheila polita", "Diachipteryx paradoxa", "Diamella arrowi", "Diamella barsevskisi", "Diamella cupreomicans", "Diamella kaszabi", "Dianotrechus gueorguievi", "Diastrophella pauliani", "Diastrophella richardi", "Dicaelindus collinus", "Dicaelindus feldspathicus", "Dicaelindus impunctatus", "Dicaelindus laevis", "Dicaelindus laticollis", "Dicaelindus longimalis", "Dicaelindus marginatus", "Dicaelindus nitescens", "Dicaelindus omestes", "Dicaelindus pernitidus", "Dicaelindus ryukyuensis", "Dicaelus alternans", "Dicaelus costatus", "Dicaelus crenatus", "Dicaelus purpuratus", "Dicaelus quadratus", "Dicaelus chermocki", "Dicaelus franclemonti", "Dicaelus laevipennis", "Dicaelus suffusus", "Dicaelus ambiguus", "Dicaelus dilatatus", "Dicaelus elongatus", "Dicaelus furvus", "Dicaelus politus", "Dicaelus sculptilis", "Dicaelus teter", "Diceromerus insularis", "Diceromerus orientalis", "Dicheirotrichus cymindiformis", "Dicheirotrichus microderus", "Dicheirotrichus parvicollis", "Dicheirotrichus abdominalis", "Dicheirotrichus chloroticus", "Dicheirotrichus coreanus", "Dicheirotrichus desertus", "Dicheirotrichus gustavii", "Dicheirotrichus lacustris", "Dicheirotrichus obsoletus", "Dicheirotrichus pallidus", "Dicheirotrichus ustulatus", "Dicheirotrichus mannerheimii", "Dicheirotrichus punicus", "Dicheirotrichus alticola", "Dicheirotrichus angularis", "Dicheirotrichus angustulus", "Dicheirotrichus arnoldii", "Dicheirotrichus bradycelliformis", "Dicheirotrichus cognatus", "Dicheirotrichus discicollis", "Dicheirotrichus discolor", "Dicheirotrichus externepunctatus", "Dicheirotrichus glasunowi", "Dicheirotrichus godarti", "Dicheirotrichus grumi", "Dicheirotrichus hauseri", "Dicheirotrichus henoni", "Dicheirotrichus himalayanus", "Dicheirotrichus kozlowi", "Dicheirotrichus latimanus", "Dicheirotrichus maculicollis", "Dicheirotrichus obscuricollis", "Dicheirotrichus obscuricornis", "Dicheirotrichus pevtsovi", "Dicheirotrichus placidus", "Dicheirotrichus potanini", "Dicheirotrichus punctatellus", "Dicheirotrichus roborowskii", "Dicheirotrichus rufithorax", "Dicheirotrichus semenowi", "Dalmatoreicheia janaki", "Dalmatoreicheia maderi", "Daptus acutus", "Daptus afghanistanus", "Daptus komarowi", "Daptus pictus", "Darlingtonea kentuckensis", "Darlingtonica papua", "Darodilia castelnaui", "Darodilia curta", "Darodilia emarginata", "Darodilia liopleura", "Darodilia longula", "Darodilia macilenta", "Darodilia mandibularis", "Darodilia ovicollis", "Darodilia robusta", "Darodilia rugisternis", "Dasiosoma ariandae", "Dasiosoma basilewskyi", "Dasiosoma bellum", "Dasiosoma hirsutum", "Dasiosoma indicum", "Dasiosoma ivorense", "Dasiosoma maindroni", "Dasiosoma quadraticolle", "Dasiosoma sudanicum", "Dasiosoma testaceum", "Deipyrodes inops", "Deipyrodes palustris", "Deliaesianum bengalense", "Deliaesianum damruz", "Deliaesianum deliae", "Deliaesianum kucerai", "Deliaesianum nepalense", "Deliaesianum queinneci", "Deltocolpodes bhutanensis", "Deltocolpodes brendelli", "Deltocolpodes championi", "Deltocolpodes duluchus", "Deltocolpodes heinigeri", "Deltocolpodes holzschuhi", "Deltocolpodes jalepensis", "Deltocolpodes kirschenhoferi", "Deltocolpodes nepalensis", "Deltocolpodes perreaui", "Deltocolpodes pierremorvani", "Deltocolpodes rectangulus", "Deltocolpodes rolex", "Deltocolpodes salpensis", "Deltocolpodes sikkimensis", "Deltomerodes chulii", "Deltomerodes grilli", "Deltomerodes kryzhanovskii", "Deltomerodes memorabilis", "Deltomerodes miroshnikovi", "Deltomerodes murzini", "Deltomerodes nepalensis", "Deltomerodes schawalleri", "Deltomerodes schmidti", "Deltomerodes sciakyi", "Deltomerodes stenomus", "Deltomerodes wrasei", "Dendragonum pallidum", "Dendragonum schoutedeni", "Dendragonum nyakagerae", "Dendragonum paarmanni", "Dercylinus impressus", "Dercylus anthracinus", "Dercylus licinoides", "Dercylus alternans", "Dercylus ater", "Dercylus batesii", "Dercylus bolivianus", "Dercylus buckleyi", "Dercylus chaudoiri", "Dercylus convexus", "Dercylus crenatus", "Dercylus gautardi", "Dercylus gibbosus", "Dercylus heynei", "Dercylus infernus", "Dercylus mexicanus", "Dercylus ohausi", "Dercylus opacus", "Dercylus punctatosulcatus", "Dercylus puritanus", "Dercylus steinbachi", "Dercylus tenebricosus", "Dercylus catenatus", "Dercylus cordicollis", "Dercylus davidsoni", "Dercylus franiai", "Dercylus gaujoni", "Dercylus gibber", "Dercylus granifer", "Dercylus italoi", "Dercylus mathani", "Dercylus nodosus", "Dercylus onorei", "Dercylus orbiculatus", "Dercylus praepilatus", "Dercylus tuberculatus", "Derocrania concinna", "Derocrania halyi", "Derocrania nematodes", "Derocrania schaumi", "Derocrania scitiscabra", "Derocrania agnes", "Derocrania brevicollis", "Derocrania dembickyi", "Derocrania flavicornis", "Derocrania fusiformis", "Derocrania gibbiceps", "Derocrania honorei", "Derocrania intricatorugulosa", "Derocrania jaechi", "Derocrania longesulcata", "Derocrania nietneri", "Derossiella nonveilleri", "Derostichus caucasicus", "Derostichus meurguesae", "Desera australis", "Desera bicoloripennis", "Desera coelestina", "Desera confusa", "Demetrida seriata", "Demetrida seticollis", "Demetrida sibil", "Demetrida similis", "Demetrida sublepida", "Demetrida submoda", "Demetrida subpunctata", "Demetrida subtenuis", "Demetrida tenuis", "Demetrida tesselata", "Demetrida tripuncta", "Demetrida variolosa", "Demetrida velata", "Demetrida vigil", "Demetrida villosa", "Demetrida viridibasis", "Demetrida viridipennis", "Demetrida wau", "Demetrida wilsoni", "Demetrida acutangula", "Demetrida angusticollis", "Demetrida angustula", "Demetrida apicalis", "Demetrida brachinodera", "Demetrida carteri", "Demetrida chaudoiri", "Demetrida concinna", "Demetrida constricticeps", "Harpactea sturanyi", "Demetrida cylindricollis", "Demetrida demarzi", "Demetrida depressa", "Demetrida doddi", "Demetrida dorsalis", "Demetrida elongata", "Demetrida fasciata", "Demetrida filiformis", "Demetrida grandis", "Demetrida infuscata", "Demetrida limbata", "Demetrida lineolata", "Demetrida longicollis", "Demetrida loweri", "Demetrida marginipennis", "Demetrida nigricincta", "Demetrida obtusangula", "Demetrida parallela", "Demetrida piceola", "Demetrida picipennis", "Demetrida pilosula", "Demetrida quadricollis", "Demetrida satelles", "Demetrida setosa", "Demetrida suturata", "Demetrida trivittata", "Demetrida truncata", "Demetrida tweedensis", "Demetrida variabilis", "Demetrida vittata", "Demetriola levis", "Demetriola maculata", "Dendragonum gerardi", "Dendragonum leroyi", "Dinopelma leptaleum", "Dinopelma lineola", "Dinopelma lunifer", "Dinopelma marginatum", "Dinopelma minus", "Dinopelma plantigradum", "Dinopelma quadratum", "Dinopelma virens", "Dinopelma wegneri", "Dinoscaris atrox", "Dinoscaris cribripennis", "Dinoscaris detriei", "Dinoscaris gallienii", "Dinoscaris rostrata", "Dinoscaris sicardi", "Dinoscaris venator", "Diodercarus arrowi", "Dioryche cavernosa", "Dioryche chinnada", "Dioryche clara", "Dioryche convexa", "Dioryche cuprina", "Dioryche dravidana", "Dioryche indochinensis", "Dioryche liparops", "Dioryche longula", "Dioryche lucidula", "Dioryche melanauges", "Dioryche nagpurensis", "Dioryche nitidula", "Dioryche sericea", "Dioryche solida", "Dioryche subrecta", "Dioryche torta", "Dioryche yunnana", "Diplacanthogaster bicolor", "Diplochaetus emaciatus", "Diplochaetus megacephalus", "Diplochaetus planatus", "Diplochaetus rutilus", "Diplocheila distinguenda", "Diplocheila elongata", "Diplocheila perscissa", "Diplocheila polita", "Diplocheila aegyptiaca", "Diplocheila assimilis", "Diplocheila colossus", "Diplocheila cordicollis", "Diplocheila crossi", "Diplocheila daldorfi", "Diplocheila exotica", "Diplocheila impressicollis", "Diplocheila laevigata", "Diplocheila laevigotoides", "Diplocheila laevis", "Diplocheila macromandibularis", "Diplocheila major", "Diplocheila minima", "Dicheirotrichus sichuanensis", "Dicheirotrichus stenothorax", "Dicheirotrichus subangularis", "Dicheirotrichus tenuimanus", "Dicheirotrichus tolli", "Dicheirotrichus transcaspicus", "Dicheirotrichus tscheresovae", "Dicheirotrichus tschitscherini", "Dicheirus dilatatus", "Dicheirus obtusus", "Dicheirus piceus", "Dicheirus pilosus", "Dicheirus strenuus", "Dicranoglossus resplendens", "Dicranoncus atripennis", "Dicranoncus bicolor", "Dicranoncus cinctipennis", "Dicranoncus discoideus", "Dicranoncus femoralis", "Dicranoncus ganodes", "Dicranoncus nigriventris", "Dicranoncus philippinensis", "Dicranoncus pocillator", "Dicranoncus quadridens", "Dicranoncus queenslandicus", "Dicranoncus ravus", "Dicranoncus vulpinus", "Dicraspeda angulipennis", "Dicraspeda bellorum", "Dicraspeda bispinosa", "Dicraspeda brunnea", "Dicraspeda brunneipennis", "Dicraspeda cheesmanae", "Dicraspeda coeruleipennis", "Dicraspeda denticulata", "Dicraspeda dubia", "Dicraspeda glabrata", "Dicraspeda glabripennis", "Dicraspeda hebridarum", "Dicraspeda inermis", "Dicraspeda intermedia", "Dicraspeda keiana", "Dicraspeda kokodae", "Dicraspeda laticollis", "Dicraspeda loebli", "Dicraspeda longiloba", "Dicraspeda minuta", "Dicraspeda missai", "Dicraspeda nigripes", "Dicraspeda nitida", "Dicraspeda obscura", "Dicraspeda obsoleta", "Dicraspeda ophthalmica", "Dicraspeda papuensis", "Dicraspeda quadrispinosa", "Dicraspeda skalei", "Dicraspeda sublaevis", "Dicraspeda subrufipennis", "Dicraspeda ullrichi", "Dicraspeda vandeveldeae", "Dicraspeda violacea", "Dicrochile acuta", "Dicrochile alternans", "Diplocheila nupera", "Diplocheila obtusa", "Diplocheila oregona", "Diplocheila pinodes", "Diplocheila striatopunctata", "Diplocheila transcaspica", "Diplocheila undulata", "Diplocheila latifrons", "Diplocheila capensis", "Diploharpus curtulus", "Diploharpus ebeninus", "Diploharpus exstriatus", "Diploharpus iridescens", "Diploharpus laevigatus", "Diploharpus laevissimus", "Diploharpus mexicanus", "Diploharpus perpolitus", "Diploharpus pubescens", "Diploharpus rossii", "Diploharpus rubripes", "Diploharpus striolatus", "Diploharpus termitophilus", "Diplous aterrimus", "Diplous californicus", "Diplous davidis", "Diplous depressus", "Diplous dolini", "Diplous filicornis", "Diplous gansuensis", "Diplous giacomazzoi", "Diplous grummi", "Diplous jedlickai", "Diplous julonshanensis", "Diplous nortoni", "Diplous petrogorbatschevi", "Diplous przewalskii", "Diplous rugicollis", "Diplous sciakyi", "Diplous sterbai", "Diplous szetschuanus", "Diplous tonggulensis", "Diplous wrasei", "Diplous wulanensis", "Diplous yunnanus", "Dirotus extensicollis", "Dirotus feae", "Dirotus reflexus", "Dirotus sikkimensis", "Dirotus subiridescens", "Dischissus mirandus", "Discoderus acinopoides", "Discoderus aequalis", "Discoderus amoenus", "Discoderus arcuatus", "Discoderus beauvoisii", "Discoderus cinctus", "Discoderus congruens", "Discoderus cordicollis", "Discoderus crassicollis", "Discoderus crassiusculus", "Discoderus cyaneopacus", "Discoderus dallasensis", "Discoderus difformipes", "Discoderus dislocatus", "Discoderus distortus", "Discoderus impotens", "Discoderus longicollis", "Discoderus melanthus", "Discoderus obsidianus", "Discoderus papagonis", "Discoderus parallelus", "Discoderus parilis", "Discoderus peregrinus", "Discoderus piger", "Discoderus pinguis", "Discoderus pulvinatus", "Discoderus robustus", "Discoderus subviolaceus", "Discoderus symbolicus", "Discoderus tenebrosus", "Discoderus texanus", "Discoderus thoracicus", "Discoptera arabica", "Discoptera eylandi", "Discoptera komarowi", "Discoptera przewalskii", "Discoptera tschitscherini", "Disphericus alluaudi", "Disphericus benadirensis", "Disphericus carinulatus", "Disphericus clavicornis", "Disphericus conradti", "Disphericus deplanatus", "Disphericus gambianus", "Disphericus insulanus", "Disphericus katangensis", "Disphericus kolbei", "Disphericus meneghettii", "Disphericus multiporus", "Disphericus quangoanus", "Disphericus rhodesianus", "Disphericus silvestrii", "Disphericus sulcostriatus", "Disphericus tarsalis", "Disphericus zavattarii", "Dister luchunensis", "Dister sinicus", "Distichus dicaelus", "Distichus macleayi", "Distichus rectifrons", "Distichus becvari", "Distichus bisquadripunctatus", "Distichus borneensis", "Distichus differens", "Distichus gagatinus", "Distichus khalafi", "Distichus laticeps", "Distichus mahratta", "Distichus mediocris", "Distichus pachycerus", "Distichus parvus", "Distichus perrieri", "Distichus picicornis", "Distichus platyops", "Distichus puncticollis", "Distichus striaticeps", "Distichus uncinatus", "Distichus amazonicus", "Distichus angustiformis", "Distichus bolivianus", "Distichus ebeninus", "Distichus evasus", "Distichus lacordairei", "Distichus morio", "Distichus nevermanni", "Distichus octocoelus", "Distichus orientalis", "Distichus peruvianus", "Distichus punctaticeps", "Distichus semicarinatus", "Distichus septentrionalis", "Distichus smithi", "Distichus trivialis", "Distipsidera eungellae", "Distipsidera flavipes", "Distipsidera grutii", "Distipsidera hackeri", "Distipsidera mastersii", "Distipsidera obscura", "Distipsidera papuana", "Distipsidera parva", "Distipsidera sericea", "Distipsidera undulata", "Distipsidera volitans", "Distrigidius apicalis", "Ditomus calydonius", "Ditomus tricuspidatus", "Dixus capito", "Dixus eremita", "Dixus infans", "Dixus interruptus", "Dixus klapperichi", "Dixus moloch", "Dixus obscurus", "Dixus semicylindricus", "Dixus sphaerocephalus", "Do holotrichius", "Dobodura armata", "Doderotrechus casalei", "Doderotrechus crissolensis", "Doderotrechus ghilianii", "Dolichocolpodes mirabilis", "Dolichoctis anceps", "Dolichoctis andamanica", "Dolichoctis andrewesi", "Dolichoctis angulicollis", "Dolichoctis angusticollis", "Dolichoctis baumi", "Dolichoctis bifasciata", "Dolichoctis chitra", "Dolichoctis constricticollis", "Dolichoctis convexa", "Dolichoctis curvicollis", "Dolichoctis dentifera", "Dolichoctis depokensis", "Dolichoctis elegans", "Dolichoctis elongata", "Dolichoctis expansicollis", "Dolichoctis falciplaga", "Duvalius ghidinii", "Duvalius giachinoi", "Duvalius gogalai", "Duvalius graecus", "Duvalius guareschii", "Duvalius gusevi", "Duvalius hartigi", "Duvalius heinzi", "Duvalius hetschkoi", "Duvalius huetheri", "Duvalius iljukhini", "Duvalius innamoratorum", "Duvalius iolandae", "Duvalius ionicus", "Duvalius irmoi", "Duvalius iuliae", "Duvalius iulianae", "Duvalius javorensis", "Duvalius jureceki", "Duvalius jurjurae", "Duvalius kileri", "Duvalius koeni", "Duvalius krueperi", "Duvalius krum", "Duvalius kryzhanovskii", "Duvalius kyllenicus", "Duvalius laneyriei", "Duvalius lantosquensis", "Duvalius latellai", "Duvalius laurentii", "Duvalius lemairi", "Duvalius leonhardi", "Duvalius lepinensis", "Duvalius lespesii", "Duvalius lombardii", "Duvalius longhii", "Duvalius lucarellii", "Duvalius lydiae", "Duvalius magdelainei", "Duvalius magistrettianus", "Duvalius maglianoi", "Duvalius martensi", "Duvalius martinae", "Duvalius matocqi", "Duvalius megrel", "Duvalius meixneri", "Duvalius merisioi", "Duvalius milenae", "Duvalius minozzii", "Duvalius miroshnikovi", "Duvalius mixanigi", "Duvalius moczarskii", "Duvalius mohammadzadehi", "Duvalius montisageli", "Duvalius montisoetae", "Duvalius morisii", "Duvalius muelleri", "Duvalius muriauxi", "Duvalius nambinensis", "Duvalius naratensis", "Duvalius nardii", "Duvalius occitanus", "Duvalius ochsi", "Dolichoctis unidentata", "Dolichoctis vietnamensis", "Dolichoctis vitticollis", "Dolichoctis bicolor", "Dolichoctis castanea", "Dolichoctis darlingtoni", "Dolichoctis divisa", "Dolichoctis huon", "Dolichoctis picea", "Dolichoctis polita", "Dolichoctis ullrichi", "Dolichoctis aculeata", "Dolichoctis aculeoides", "Dolichoctis angustemaculata", "Dolichoctis avicapitis", "Dolichoctis biak", "Dolichoctis bisetosa", "Dolichoctis dentata", "Dolichoctis distorta", "Dolichoctis erythrospinosa", "Dolichoctis exigua", "Dolichoctis keiana", "Dolichoctis laticollis", "Dolichoctis longicornis", "Dolichoctis major", "Dolichoctis novaeirlandiae", "Dolichoctis ophthalmica", "Dolichoctis paradentata", "Dolichoctis riedeli", "Dolichoctis salomona", "Dolichoctis spinipennis", "Dolichoctis spinosa", "Dolichoctis subquadrata", "Dolichoctis subrotunda", "Dolichoctis sulcicollis", "Dolichoctis suturalis", "Dolichoctis vixstriata", "Dolichoctis weigeli", "Dolichus coreicus", "Dolichus davidis", "Doliodactyla janatai", "Dongodytes baxian", "Dongodytes elongatus", "Dongodytes fowleri", "Dongodytes giraffa", "Dongodytes grandis", "Dongodytes lani", "Dongodytes troglodytes", "Dongodytes deharvengi", "Dongodytes inexpectatus", "Dongodytes jinzhuensis", "Dongodytes yaophilus", "Dongodytes brevipenis", "Dontolobus aemiliae", "Dontolobus ivorensis", "Dontolobus labroexcisus", "Dontolobus mirei", "Dontolobus pallidus", "Dontolobus sachtlebeni", "Dontolobus setosanalis", "Dontolobus similis", "Dontolobus trinotatus", "Dregus glebalis", "Dromica tricostulata", "Dromica trinotata", "Dromica variolata", "Dromica vittata", "Dromica werneri", "Dromica zambiensis", "Dromica auropunctata", "Dromica densepunctata", "Dromica gracilis", "Dromica grossula", "Dromica horii", "Dromica humeralis", "Dromica intermediopunctata", "Dromica juengeri", "Dromica laterodeclivis", "Dromica marginepunctata", "Dromica profugorum", "Dromica punctatissima", "Dromica soror", "Dromica spinipennis", "Dromica strandi", "Dromica wellmani", "Dromica albivittis", "Dromica bicostata", "Dromica clathrata", "Dromica formosa", "Dromica grandis", "Dromica gunningi", "Dromica heinemanni", "Dromica honesta", "Dromica invicta", "Dromica lerouxae", "Dromica marshallana", "Dromica marshalli", "Dromica mauchii", "Dromica neavei", "Dromica oberprieleri", "Dromica octocostata", "Dromica planifrons", "Dromica polyhirmoides", "Dromica praticola", "Dromica pseudoclathrata", "Dromica quinquecostata", "Dromica sculpturata", "Dromica setosula", "Dromica tuberculata", "Dromica cosmemoides", "Dromica hexasticta", "Dromicoida elegantia", "Dromidea cyanoptera", "Dromidea longiceps", "Dromidea thomsoni", "Dromiops nanniscus", "Dromistomus complanatus", "Dromistomus depressus", "Dromistomus laticollis", "Dromistomus levis", "Dromistomus tenuilimbatus", "Dromius agilis", "Dromius alfierii", "Dromius alienus", "Dromica abruptesculpta", "Dromica abukari", "Dromica albicinctella", "Dromica alboclavata", "Dromica allardi", "Dromica allardiana", "Dromica ambitiosa", "Dromica angolana", "Dromica angusticollis", "Dromica antoniae", "Dromica apicalis", "Dromica banlongari", "Dromica batesi", "Dromica bennigseni", "Dromica bertolonii", "Dromica bicostulata", "Dromica bilunata", "Dromica borana", "Dromica bouyeri", "Dromica brzoskai", "Dromica cassolai", "Dromica citreoguttata", "Dromica coarctata", "Dromica concinna", "Dromica confluentesculpta", "Dromica confusa", "Dromica consimilis", "Dromica convexicollis", "Dromica cordicollis", "Dromica costata", "Dromica crassereducta", "Dromica cristagalli", "Dromica cupricollis", "Dromica differens", "Dromica discoidalis", "Dromica dobbersteini", "Dromica dolosa", "Dromica egregia", "Dromica elegantula", "Dromica elongatoplanata", "Dromica endroedyi", "Dromica erikssoni", "Dromica erlangeri", "Dromica ertli", "Dromica filicornis", "Dromica flavovittata", "Dromica formicaria", "Dromica fossulata", "Dromica fundoplanata", "Dromica furcata", "Dromica gibbicollis", "Dromica gilvipes", "Dromica globicollis", "Dromica gloriosa", "Dromica granulata", "Dromica grutii", "Dromica helleri", "Dromica hildebrandti", "Dromica ipogoroensis", "Dromica junodi", "Dromica kanzenzensis", "Dromica kavanaughi", "Dromica kenyana", "Dromica kolbei", "Dromica kudrnai", "Dromica lateralis", "Dromica laticollis", "Dromica lepida", "Orania ravaka", "Dromica lepidula", "Dromica leydenburgiana", "Dromica limbata", "Dromica limpopoiana", "Dromica lizleri", "Dromica lunai", "Dromica maleci", "Dromica marginella", "Dromica mesothoracica", "Dromica minutula", "Dromica mirabilis", "Dromica miranda", "Dromica moraveci", "Dromica muelleri", "Dromica murphyi", "Dromica neumanni", "Dromica nigroplagiata", "Dromica nobilitata", "Dromica oesterlei", "Dromica oneili", "Dromica passosi", "Dromica paulae", "Dromica pentheri", "Dromica peringueyi", "Dromica pilosifrons", "Dromica praetermissa", "Dromica proepipleuralis", "Dromica prolongata", "Dromica prolongatesignata", "Dromica pseudocoarctata", "Dromica pseudofurcata", "Dromica pseudotenella", "Dromica pusilla", "Dromica quadricostata", "Dromica ramigera", "Dromica rawlinsi", "Dromica schaumi", "Dromica schuelei", "Dromica semilevis", "Dromica seriepunctata", "Dromica serietuberculata", "Dromica setosipennis", "Dromica sexmaculata", "Dromica sigrunae", "Dromica similis", "Dromica somalica", "Dromica specialis", "Dromica spectabilis", "Dromica stalsi", "Dromica stutzeri", "Dromica tarsalis", "Dromica taruensis", "Dromica tenella", "Dromica tenellula", "Dromica termitophila", "Dromica thomaswiesneri", "Dromica traducens", "Dromica transitoria", "Dromica tricostata", "Dromius jureceki", "Dromius kivuanus", "Dromius kulti", "Dromius laevipennis", "Dromius ledouxi", "Dromius lieftincki", "Dromius macer", "Dromius majorinus", "Dromius meghalayanus", "Dromius meruanus", "Dromius miwai", "Dromius nepalensis", "Dromius nyamukubiensis", "Dromius orestes", "Dromius orthogonioides", "Dromius pallidicollis", "Dromius prolixus", "Dromius rhodesianus", "Dromius rufocastaneus", "Dromius ruwenzoricus", "Dromius sinuatus", "Dromius somalicus", "Dromius tolanus", "Dromius ugandanus", "Dromius univestis", "Dromius vaneyeni", "Dromius wittmeri", "Dromius alesi", "Dromius assamicus", "Dromius bohumilae", "Dromius borysthenicus", "Dromius chinensis", "Dromius lindemannae", "Dromius nagatomii", "Dromoceryx dorsalis", "Dromoceryx flavocircumdatus", "Dromoceryx magnus", "Dromochorus belfragei", "Dromochorus pilatei", "Dromochorus pruininus", "Dromochorus velutinigrens", "Drymatus tessellatus", "Drymonaxus feanus", "Drypta aeneipennis", "Drypta aeneipes", "Drypta distincta", "Drypta fulveola", "Drypta fumata", "Drypta lineola", "Drypta mastersii", "Drypta parumpunctata", "Drypta aetheria", "Drypta allardi", "Drypta amabilis", "Drypta argillacea", "Drypta brevis", "Drypta camerunica", "Drypta clarkei", "Drypta connecta", "Drypta cyanea", "Drypta cyanella", "Drypta cyanicollis", "Drypta cyanopus", "Drypta dealata", "Dromius angusticollis", "Dromius angustus", "Dromius argentinensis", "Dromius ater", "Dromius bordoni", "Dromius brittoni", "Dromius calathoides", "Dromius chihuahuae", "Dromius chobauti", "Dromius codonotus", "Dromius columbianus", "Dromius crassipalpis", "Dromius cyaneus", "Dromius cymindoides", "Dromius elongatulus", "Dromius eremnus", "Dromius fenestratus", "Dromius flavipes", "Dromius flohri", "Dromius giachinoi", "Dromius guatemalenus", "Dromius hagai", "Dromius hiemalis", "Dromius kuntzei", "Dromius kurilensis", "Dromius laeviceps", "Dromius macrocephalus", "Dromius maculipennis", "Dromius maritimus", "Dromius martae", "Dromius matsudai", "Dromius murgabicus", "Dromius negrei", "Dromius neotropicalis", "Dromius nigrofasciatus", "Dromius nipponicus", "Dromius piceus", "Dromius plutenkoi", "Dromius rugulosus", "Dromius semiplagiatus", "Dromius simplicior", "Dromius sulcatulus", "Dromius umbrinus", "Dromius venezolanus", "Dromius andrewesi", "Dromius apterus", "Dromius arcuatocollis", "Dromius baehri", "Dromius basilewskyi", "Dromius batesi", "Dromius bhutanensis", "Dromius buettikeri", "Dromius capnodes", "Dromius comma", "Dromius consobrinus", "Dromius decellei", "Dromius despectus", "Dromius formosanus", "Dromius fukiensis", "Dromius geisthardti", "Dromius hauserianus", "Dromius hilarus", "Dromius indicus", "Dromius ivorensis", "Duvalius bastianinii", "Duvalius battonii", "Duvalius bensae", "Duvalius bertagnii", "Sommieria leucophylla", "Duvalius berthae", "Duvalius bianchii", "Duvalius bicikensis", "Duvalius bischoffi", "Duvalius bodoanus", "Duvalius boldorii", "Duvalius bolei", "Duvalius bonadonius", "Duvalius bonzanoi", "Duvalius boschi", "Duvalius brandisi", "Duvalius brandmayri", "Duvalius breiti", "Duvalius brujasi", "Duvalius bruschii", "Duvalius cadurcus", "Duvalius cailloli", "Duvalius calandrii", "Duvalius canevae", "Duvalius carantii", "Duvalius carchinii", "Duvalius carottii", "Duvalius casalei", "Duvalius casellii", "Duvalius cerrutii", "Duvalius cirocchii", "Duvalius clairi", "Duvalius comottii", "Duvalius consortii", "Duvalius convexicollis", "Duvalius cornilloni", "Duvalius curtii", "Duvalius cvijici", "Duvalius dattii", "Duvalius degiovannii", "Duvalius delphinensis", "Duvalius diaphanus", "Duvalius didonnai", "Duvalius diniensis", "Duvalius doderoi", "Duvalius dolops", "Duvalius doriae", "Duvalius droveniki", "Duvalius dvoraki", "Duvalius exaratus", "Duvalius faillai", "Duvalius fodori", "Duvalius franchettii", "Duvalius franziniorum", "Duvalius fuchsi", "Duvalius fulvii", "Duvalius gabriellavernae", "Duvalius genesti", "Duvalius gentilei", "Duvalius georgii", "Duvalius gestroi", "Drypta dilutipes", "Drypta feae", "Drypta flavipes", "Drypta fumigata", "Drypta kenyana", "Drypta longicollis", "Drypta melanarthra", "Drypta minuta", "Drypta minutula", "Drypta mordorata", "Drypta mouhoti", "Drypta neglecta", "Drypta nigricornis", "Drypta papua", "Drypta pyriformis", "Drypta ruficollis", "Drypta schoutedeni", "Drypta semenovi", "Drypta sulcicollis", "Drypta thoracica", "Drypta viridipennis", "Drypta alluaudi", "Drypta apicipalpis", "Drypta caelestis", "Drypta cupripennis", "Drypta iris", "Drypta microphthalma", "Drypta mira", "Drypta montisgallorum", "Drypta negrettii", "Drypta perrieri", "Drypta posticespinosa", "Drypta purpurascens", "Drypta quadrispina", "Drypta setigera", "Drypta seyrigi", "Drypta tetroxys", "Drypta viridicollis", "Drypta waterhousei", "Drypta crassiuscula", "Drypta formosana", "Drypta lugens", "Drypta mandibularis", "Drypta obscura", "Drypta siderea", "Drypta tristis", "Drypta tuberculata", "Drypta dimidiata", "Duvalioblemus faillei", "Duvalioblemus sichuanicus", "Duvaliopsis bielzi", "Duvaliopsis calimanensis", "Duvaliopsis meliki", "Duvaliopsis pilosella", "Duvaliopsis rybinskii", "Duvaliopsis transsylvanica", "Duvalius abnormis", "Duvalius bedelensis", "Duvalius bekchievi", "Duvalius beshkovi", "Duvalius biokovensis", "Duvalius bortesii", "Duvalius breitianus", "Duvalius brevipilosus", "Duvalius budae", "Duvalius cicioarae", "Duvalius cognatus", "Duvalius coiffaiti", "Duvalius comes", "Duvalius durmitorensis", "Duvalius edithae", "Duvalius golesensis", "Duvalius hegeduesii", "Duvalius herculis", "Duvalius hickeri", "Duvalius huberi", "Duvalius hurkai", "Duvalius kanabei", "Duvalius knirschi", "Duvalius laevigatus", "Duvalius maglicensis", "Duvalius mallaszi", "Duvalius mandibularis", "Duvalius mariannae", "Duvalius meschniggi", "Duvalius milleri", "Duvalius nannus", "Duvalius oltenicus", "Duvalius paroecus", "Duvalius peristericus", "Duvalius pilifer", "Duvalius redtenbacheri", "Duvalius reufi", "Duvalius roseni", "Duvalius scerisorae", "Duvalius semecensis", "Duvalius speiseri", "Duvalius spiessi", "Duvalius spinifer", "Duvalius stilleri", "Duvalius sziladyi", "Duvalius transcarpathicus", "Duvalius trescavicensis", "Duvalius voitestii", "Duvalius werchratskii", "Duvalius winneguthi", "Duvalius adelphus", "Duvalius aequalis", "Duvalius alexandrinus", "Duvalius alexeevi", "Duvalius aliciae", "Duvalius andreinii", "Duvalius andreuccii", "Duvalius annamariae", "Duvalius antonellae", "Duvalius antoniae", "Duvalius apuanus", "Duvalius armeniacus", "Duvalius arnoldii", "Duvalius aroaniae", "Duvalius auberti", "Duvalius auruncus", "Duvalius ausonicus", "Duvalius avoni", "Duvalius balazuci", "Duvalius baldensis", "Duvalius balearicus", "Dolichoctis fasciola", "Dolichoctis figurata", "Dolichoctis gilvipes", "Dolichoctis glabripennis", "Dolichoctis globosa", "Dolichoctis goaensis", "Dolichoctis goniodera", "Dolichoctis immaculata", "Dolichoctis incerta", "Dolichoctis iridea", "Dolichoctis iridescens", "Dolichoctis jacobsoni", "Dolichoctis jakli", "Dolichoctis kitchingi", "Dolichoctis kjellanderi", "Dolichoctis kulti", "Dolichoctis latithorax", "Dolichoctis lis", "Dolichoctis lunigera", "Dolichoctis maculipennis", "Dolichoctis malayica", "Dolichoctis malickyi", "Dolichoctis marginifer", "Dolichoctis microdera", "Dolichoctis multistriata", "Dolichoctis munda", "Dolichoctis negrosensis", "Dolichoctis obliqueplagiata", "Dolichoctis opima", "Dolichoctis ornata", "Dolichoctis pallipes", "Dolichoctis parvicollis", "Dolichoctis pedestris", "Dolichoctis philippinensis", "Dolichoctis picta", "Dolichoctis platycollis", "Dolichoctis polygramma", "Dolichoctis pumila", "Dolichoctis punctipennis", "Dolichoctis quadratipennis", "Dolichoctis rotundata", "Dolichoctis ruficollis", "Dolichoctis rugaticollis", "Dolichoctis rutilipennis", "Dolichoctis sikkimensis", "Dolichoctis spadicea", "Dolichoctis spatulata", "Dolichoctis spinosissima", "Dolichoctis stevensi", "Dolichoctis striata", "Dolichoctis taiwanensis", "Dolichoctis tenuilimbata", "Dolichoctis tetracolon", "Dolichoctis tetrastigma", "Dolichoctis tjambaensis", "Dolichoctis torquata", "Dolichoctis unicolor", "Duvalius oertzeni", "Duvalius olympiadicus", "Duvalius oscus", "Duvalius ovtshinnikovi", "Duvalius parnassianus", "Duvalius passaueri", "Duvalius paulinae", "Duvalius pecoudi", "Duvalius pennisii", "Duvalius perrinae", "Duvalius petriolii", "Duvalius phoenicius", "Duvalius picciolii", "Duvalius pominii", "Duvalius putshkovi", "Duvalius raffaldii", "Duvalius ramorinii", "Duvalius raymondi", "Duvalius regiszogui", "Duvalius ribaudoi", "Duvalius roberti", "Duvalius rossii", "Duvalius ruffoi", "Duvalius sardous", "Duvalius saueri", "Duvalius sbordonii", "Duvalius sclanoi", "Duvalius sicardi", "Duvalius simoni", "Duvalius smolikanus", "Duvalius sokolovi", "Duvalius spaethi", "Duvalius springeri", "Duvalius stepanavanensis", "Duvalius straneoi", "Duvalius strupii", "Duvalius sturanyi", "Duvalius suvoborensis", "Duvalius suvodolensis", "Duvalius taygetanus", "Duvalius turcati", "Duvalius vallombrosus", "Duvalius vannii", "Duvalius vartashensis", "Duvalius vermionensis", "Duvalius vignai", "Duvalius villiersi", "Duvalius virginiae", "Duvalius volscus", "Duvalius voraginis", "Duvalius waillyi", "Duvalius waltnerae", "Duvalius weiratheri", "Duvalius wichmanni", "Duvalius wingelmuelleri", "Duvalius winklerianus", "Duvalius yatsenkokhmelevskyi", "Duvalius zaimisi", "Duvalius erichsonii", "Duvalius karaormanicus", "Duvalius lucidus", "Duvalius maglajensis", "Podococcus barteri", "Duvalius novaki", "Duvalius petrochilosi", "Duvalius reiseri", "Duvalius ruffoanus", "Duvalius zhalovi", "Duvalius amicorum", "Duvalius babicola", "Duvalius bokori", "Duvalius bucurensis", "Duvalius centenarius", "Duvalius corpulentus", "Duvalius delamarei", "Duvalius deubelianus", "Duvalius dieneri", "Duvalius gaali", "Duvalius ganglbauerianus", "Duvalius godeanus", "Duvalius goemoeriensis", "Duvalius gracilis", "Duvalius hungaricus", "Duvalius kimakowiczi", "Duvalius klimai", "Duvalius kurnakovi", "Duvalius merklii", "Duvalius microphthalmus", "Duvalius onaci", "Duvalius poporogui", "Duvalius proceroides", "Duvalius procerus", "Duvalius richardi", "Duvalius roubali", "Duvalius ruthenus", "Duvalius subterraneus", "Duvalius szaboi", "Duvalius bradycephalus", "Duvalius cuniculinus", "Duvalius dragacevensis", "Duvalius eurydice", "Duvalius guidononveilleri", "Duvalius humerosus", "Duvalius klimeschi", "Duvalius kodrici", "Duvalius langhofferi", "Duvalius neumanni", "Duvalius opermanni", "Duvalius petraeus", "Duvalius reitteri", "Duvalius schatzmayri", "Duvalius starivlahi", "Duvalius styx", "Duvalius vranensis", "Duvalius zlatiborensis", "Duvalius balcanicus", "Duvalius beroni", "Duvalius bulgaricus", "Duvalius bureschi", "Duvalius deltshevi", "Duvalius garevi", "Duvalius germanae", "Duvalius glabellus", "Duvalius hanae", "Duvalius joakimovi", "Duvalius joannidisi", "Duvalius karelhurkai", "Dyschirius mahratta", "Dyschirius marani", "Dyschirius melancholicus", "Dyschirius mesopotamicus", "Dyschirius microthorax", "Dyschirius minutus", "Dyschirius montanus", "Dyschirius morio", "Dyschirius mortchaensis", "Dyschirius neresheimeri", "Dyschirius nigricornis", "Dyschirius nitidus", "Dyschirius owen", "Dyschirius pacificus", "Dyschirius pallipennis", "Dyschirius parvulus", "Dyschirius paucipunctus", "Dyschirius pauxillus", "Dyschirius peringueyi", "Dyschirius persicus", "Dyschirius perversus", "Dyschirius peyrierasi", "Dyschirius pilosus", "Dyschirius planatus", "Dyschirius politus", "Dyschirius pumilus", "Dyschirius punctatus", "Dyschirius pusillus", "Dyschirius reitteri", "Dyschirius salinus", "Dyschirius salivagans", "Dyschirius saudiarabicus", "Dyschirius scriptifrons", "Dyschirius sculptus", "Dyschirius sellatus", "Dyschirius senegalensis", "Dyschirius setosus", "Dyschirius sextoni", "Dyschirius smetanai", "Dyschirius soda", "Dyschirius sphaericollis", "Dyschirius stellula", "Dyschirius stenoderus", "Dyschirius subarcticus", "Dyschirius sublaevis", "Dyschirius szeli", "Dyschirius tamil", "Dyschirius timidus", "Dyschirius tristis", "Dyschirius truncatus", "Dyschirius vadoni", "Dyschirius wayah", "Dyschirius weyrauchi", "Dyschirius zambesiensis", "Dyschirius zanzibaricus", "Dyschirius amphibolus", "Dyschirius angustatus", "Dyschirius armatus", "Dyschirius baicalensis", "Dyschirius beludsha", "Dyschirius digitatus", "Dyschirius fossifrons", "Dyschirius fulgidus", "Dyschirius humeratus", "Duvalius kotelensis", "Duvalius kuboni", "Duvalius legrandi", "Duvalius marani", "Duvalius nedelkovi", "Duvalius papasoffi", "Duvalius petrovi", "Duvalius philippensis", "Duvalius pirinensis", "Duvalius pretneri", "Duvalius pruinosus", "Duvalius rajtchevi", "Duvalius regisborisi", "Duvalius stankovitchi", "Duvalius sydowi", "Duvalius winkleri", "Duvalius zivkovi", "Duvalius macedonicus", "Duvalius baborensis", "Duvalius ferreresi", "Duvalius iblis", "Duvalius lapiei", "Duvalius gebhardti", "Dyscaris decorsei", "Dyscaris mordax", "Dyscaris seyrigi", "Dyscaris striolifrons", "Dyscherinus pauliani", "Dyscherinus pseudomodus", "Dyscherinus vadoni", "Dyscherus ambondrombe", "Dyscherus bongolavae", "Dyscherus costatus", "Dyscherus descarpentriesi", "Dyscherus gigas", "Dyscherus mocquerysi", "Dyscherus occidentalis", "Dyscherus pauliani", "Dyscherus peyrierasi", "Dyscherus punctatostriatus", "Dyscherus sicardi", "Dyscherus storthodontoides", "Dyscherus subgranulatus", "Dyscherus viettei", "Dyschiridium concinnum", "Dyschiridium ebeninum", "Dyschiridium lastii", "Dyschiridium subdepressum", "Dyschirius laevifasciatus", "Dyschirius matisi", "Dyschirius euxinus", "Dyschirius extensus", "Dyschirius rufimanus", "Dyschirius strumosus", "Dyschirius abbreviatus", "Dyschirius aeneolus", "Dyschirius aeneus", "Dyschirius afghanus", "Dyschirius agnatus", "Dyschirius aida", "Dyschirius alajensis", "Dyschirius alticola", "Dyschirius ambiguus", "Dyschirius angusticollis", "Dyschirius apicalis", "Dyschirius aratus", "Dyschirius arcanus", "Dyschirius arcifer", "Dyschirius asper", "Dyschirius assegaaicus", "Dyschirius auriculatus", "Dyschirius bacillus", "Dyschirius benedikti", "Dyschirius bengalensis", "Dyschirius breviphthalmus", "Dyschirius campicola", "Dyschirius cariniceps", "Dyschirius carri", "Dyschirius cerberus", "Dyschirius chalybeus", "Dyschirius cheloscelis", "Dyschirius chiricahuae", "Dyschirius clypeatus", "Dyschirius compactus", "Dyschirius consobrinus", "Dyschirius crinifer", "Dyschirius curvispinus", "Dyschirius cylindricus", "Dyschirius darlingtoni", "Dyschirius eduardinus", "Dyschirius erythrocerus", "Dyschirius euphraticus", "Dyschirius exaratus", "Dyschirius exochus", "Dyschirius fassatii", "Dyschirius fianarensis", "Dyschirius filiformis", "Dyschirius fleischeri", "Dyschirius freyi", "Dyschirius genieri", "Dyschirius gibbipennis", "Dyschirius girardi", "Dyschirius globulosus", "Dyschirius hessei", "Dyschirius heydeni", "Dyschirius hipponensis", "Dyschirius impressus", "Dyschirius impunctipennis", "Dyschirius insularis", "Dyschirius integer", "Dyschirius intermedius", "Dyschirius intricatus", "Dyschirius jedlickai", "Dyschirius jelineki", "Dyschirius jindrai", "Dyschirius jordanicus", "Dyschirius kaliki", "Dyschirius katanganus", "Dyschirius laeviusculus", "Dyschirius lambertoni", "Dyschirius larochellei", "Dyschirius lgockii", "Dyschirius limpopo", "Dyschirius longicollis", "Dyschirius longipennis", "Dyschirius longulus", "Dyschirius luticola", "Dyschirius macroderus", "Dyscolus antoninus", "Dyscolus aphaedrus", "Dyscolus araneus", "Dyscolus arcanus", "Dyscolus arvalis", "Dyscolus aterrimus", "Dyscolus atkinsi", "Reinhardtia gracilis", "Alloclubionoides hwaseongensis", "Dyscolus atratus", "Dyscolus atroaeneus", "Dyscolus aurotinctus", "Dyscolus austerus", "Dyscolus batallon", "Dyscolus batesi", "Dyscolus beryllinus", "Dyscolus bicolor", "Dyscolus biovatus", "Dyscolus bispinis", "Dyscolus bispinosus", "Dyscolus bliteus", "Dyscolus bogotensis", "Dyscolus bolivianoides", "Dyscolus bolivianus", "Dyscolus bordoni", "Dyscolus bousqueti", "Dyscolus brachyderus", "Dyscolus brachypterus", "Dyscolus breviculus", "Dyscolus brevipennis", "Dyscolus brevis", "Dyscolus brullei", "Dyscolus bucculentus", "Dyscolus buckleyi", "Dyscolus cachetes", "Dyscolus callanga", "Dyscolus camur", "Dyscolus capsarius", "Dyscolus carbonarius", "Dyscolus carbonescens", "Dyscolus casalei", "Dyscolus castanipes", "Dyscolus caucaensis", "Dyscolus caulatus", "Dyscolus cazieri", "Dyscolus cephalotes", "Dyscolus chalconotus", "Dyscolus championi", "Dyscolus chathami", "Dyscolus chiriquinus", "Dyscolus chrysopterus", "Dyscolus ciliatus", "Dyscolus clarus", "Dyscolus cleanthes", "Alloclubionoides imi", "Dyscolus cochabamba", "Dyscolus coloradito", "Dyscolus concisus", "Dyscolus conicus", "Dyschirius humiolcus", "Dyschirius kirghizicus", "Dyschirius latipennis", "Dyschirius numidicus", "Dyschirius obscurus", "Dyschirius sevanensis", "Dyschirius thoracicus", "Dyschirius tricuspis", "Dyschirius zimini", "Dyschirius abditus", "Dyschirius addisabeba", "Dyschirius amazonicus", "Dyschirius amurensis", "Dyschirius angolensis", "Dyschirius anichtchenkoi", "Dyschirius arnoldii", "Dyschirius baehri", "Dyschirius baenningeri", "Dyschirius bechynei", "Dyschirius becvari", "Dyschirius beydagensis", "Dyschirius boliviensis", "Dyschirius bonellii", "Dyschirius bousqueti", "Dyschirius braziliensis", "Dyschirius brevispinus", "Dyschirius bruchi", "Dyschirius bryanti", "Dyschirius buglanensis", "Dyschirius championi", "Dyschirius clorinda", "Dyschirius comatus", "Dyschirius constrictus", "Dyschirius contortus", "Dyschirius criddlei", "Dyschirius darwini", "Dyschirius dimidiatus", "Dyschirius disjunctus", "Dyschirius dostali", "Dyschirius ecuadorensis", "Dyschirius edentulus", "Dyschirius erwini", "Dyschirius fabbrii", "Dyschirius facchinii", "Dyschirius fedorenkoi", "Dyschirius ferganensis", "Dyschirius ferrugineus", "Dyschirius flavicornis", "Dyschirius franzi", "Dyschirius fulvipes", "Dyschirius fulvus", "Dyschirius gerardi", "Dyschirius globosus", "Dyschirius gracilis", "Dyschirius himalaicus", "Dyschirius hiogoensis", "Dyschirius importunoides", "Dyschirius importunus", "Dyschirius impressifrons", "Dyschirius interior", "Dyschirius kadleci", "Dyschirius kirschenhoferi", "Dyschirius macrophthalmus", "Dyschirius mafuga", "Dyschirius planiusculus", "Dyschirius recurvus", "Dyschirius rugifer", "Dyscolus aequatorius", "Dyscolus ambagiosus", "Dyscolus ampliatus", "Dyscolus bracteatus", "Dyscolus caeruleomarginatus", "Dyscolus capticius", "Dyscolus chaudoiri", "Dyscolus chontalensis", "Dyscolus convergens", "Dyscolus cyanellus", "Dyscolus cyanonotus", "Dyscolus cyanostolus", "Dyscolus delenitor", "Dyscolus epilissus", "Dyscolus erythrocerus", "Dyscolus fallax", "Dyscolus fratellus", "Dyscolus gemellus", "Dyscolus hemicyclicus", "Dyscolus imitator", "Dyscolus laticollis", "Dyscolus leptomorphus", "Dyscolus lionotus", "Dyscolus lissomus", "Dyscolus melanius", "Dyscolus metallicus", "Dyscolus niger", "Dyscolus opalescens", "Dyscolus orbicollis", "Dyscolus parviceps", "Dyscolus picicornis", "Dyscolus politus", "Dyscolus princeps", "Dyscolus punctatostriatus", "Dyscolus reflexus", "Dyscolus ruficornis", "Dyscolus scabricollis", "Dyscolus sinuosus", "Dyscolus superbus", "Dyscolus transversicollis", "Dyscolus unilobatus", "Dyscolus viridans", "Dyscolus viridiauratus", "Dyscolus acutipennis", "Dyscolus acutulus", "Dyscolus acutus", "Dyscolus aemulus", "Dyscolus agilis", "Dyscolus agonoides", "Dyscolus ahenonotus", "Dyscolus albemarli", "Dyscolus algidus", "Dyscolus alpaeoides", "Dyscolus alpinus", "Dyscolus altarensis", "Dyscolus alternans", "Dyscolus amethystinus", "Dyscolus amplicollis", "Dyscolus angulosus", "Dyscolus anthracinus", "Dyschirius magrinii", "Dyschirius malawicus", "Dyschirius minarum", "Dyschirius moraveci", "Dyschirius natalensis", "Dyschirius neoteutonus", "Dyschirius nianus", "Dyschirius nitens", "Dyschirius ogloblini", "Dyschirius ordinatus", "Dyschirius orientalis", "Dyschirius pampicola", "Dyschirius patruelis", "Dyschirius peruanus", "Dyschirius roubali", "Dyschirius rufipes", "Dyschirius schaumii", "Dyschirius selvas", "Dyschirius semistriatus", "Dyschirius smyrnensis", "Dyschirius snizeki", "Dyschirius sonamargensis", "Dyschirius speculifer", "Dyschirius sphaerulifer", "Dyschirius syriacus", "Dyschirius tenuispinus", "Dyschirius thailandicus", "Dyschirius tridentatus", "Dyschirius unipunctatus", "Dyschirius ussuriensis", "Dyschirius varidens", "Dyschirius vietnamicus", "Dyschirius hajeki", "Dyschirius ruthmuellerae", "Dyschirius sabahensis", "Dyschirius affinis", "Dyschirius analis", "Dyschirius bifrons", "Dyschirius devroeyianus", "Dyschirius dispar", "Dyschirius guatemalenus", "Dyschirius haemorrhoidalis", "Dyschirius hingstoni", "Dyschirius kabakovi", "Dyschirius kryzhanovskii", "Dyschirius lacustris", "Dyschirius parallelus", "Dyschirius pfefferi", "Dyschirius quadrimaculatus", "Dyschirius safraneki", "Dyschirius sjostedti", "Dyschirius steno", "Dyschirius substriatus", "Dyschirius tenuescens", "Dyschirius terminatus", "Dyschirius tonkinensis", "Dyschirius verticalis", "Dyschirius dejeanii", "Dyschirius crenulatus", "Dyschirius fusus", "Dyschirius hoberlandti", "Dyschirius luzonicus", "Dyschirius milloti", "Dyschirius opistholius", "Dyscolus mirandus", "Dyscolus monachus", "Dyscolus mongusi", "Dyscolus monterredonda", "Dyscolus montivagus", "Dyscolus montufari", "Dyscolus morenensis", "Dyscolus moreti", "Dyscolus moretianus", "Dyscolus moritzi", "Dyscolus morosus", "Dyscolus mucubajii", "Dyscolus mucunuque", "Dyscolus mucuy", "Dyscolus muzo", "Dyscolus nebrianus", "Dyscolus nevadicus", "Dyscolus nitidus", "Dyscolus noctuabundus", "Dyscolus nubilus", "Dyscolus nugax", "Dyscolus nyctimus", "Dyscolus obesulus", "Dyscolus obscurus", "Dyscolus obuncus", "Dyscolus olivaceus", "Dyscolus omaseoides", "Dyscolus omissus", "Dyscolus onorei", "Dyscolus oopteroides", "Dyscolus oopterus", "Dyscolus oreas", "Dyscolus orthomus", "Dyscolus otavaloensis", "Dyscolus ovatus", "Dyscolus palatus", "Dyscolus paramemnonius", "Dyscolus patocochae", "Dyscolus patroboides", "Dyscolus pectoralis", "Dyscolus phaeocnemis", "Dyscolus phaeolomus", "Dyscolus physopterus", "Dyscolus piceolus", "Dyscolus platyderoides", "Dyscolus platynoides", "Dyscolus platysmoides", "Dyscolus plebeius", "Dyscolus pollens", "Dyscolus polylepidium", "Dyscolus porrectus", "Dyscolus portentosus", "Dyscolus pristonychoides", "Dyscolus procephalus", "Dyscolus prolixus", "Dyscolus prostomis", "Dyscolus proteinus", "Dyscolus protensus", "Dyscolus pseudellipticus", "Dyscolus pseudoconicus", "Dyscolus pullatus", "Dyscolus punctinotus", "Dyscolus punoensis", "Dyscolus purpuratus", "Dyscolus purulensis", "Dyscolus pyrophilus", "Dyscolus quadricollis", "Dyscolus quadridentatus", "Dyscolus quadrilaterus", "Dyscolus quitensis", "Dyscolus rectilineus", "Dyscolus redondensis", "Dyscolus reflexicollis", "Dyscolus reichei", "Dyscolus ripicola", "Dyscolus riveti", "Dyscolus robiginosus", "Dyscolus rotundiceps", "Dyscolus rubellus", "Dyscolus rubidus", "Dyscolus rufiventris", "Dyscolus ruminahui", "Dyscolus russeus", "Dyscolus rutilans", "Dyscolus saxatilis", "Dyscolus schunkei", "Dyscolus segnipes", "Dyscolus segregatus", "Dyscolus sellularius", "Dyscolus semiopacus", "Dyscolus semirufus", "Dyscolus seriepunctatus", "Dyscolus severus", "Dyscolus sexfoveolatus", "Dyscolus simoni", "Dyscolus sphodroides", "Dyscolus spinifer", "Dyscolus spinipennis", "Dyscolus steinheili", "Dyscolus steropoides", "Dyscolus striatopunctatus", "Dyscolus striatulus", "Dyscolus subangulatus", "Dyscolus subauratus", "Dyscolus subcyaneus", "Dyscolus subiridescens", "Dyscolus sublaevipennis", "Dyscolus subreflexus", "Dyscolus subviolaceus", "Dyscolus sulcatus", "Dyscolus tachiranus", "Dyscolus tapiarius", "Dyscolus teter", "Dyscolus thecarum", "Dyscolus thiemei", "Dyscolus tinctipennis", "Dyscolus tovarensis", "Dyscolus transfuga", "Dyscolus trapezicollis", "Dyscolus trossulus", "Dyscolus troyaensis", "Dyscolus tuberosus", "Dyscolus umerangulatus", "Dyscolus unipunctatus", "Dyscolus valens", "Dyscolus validus", "Dyscolus variabilis", "Dyscolus vegaensis", "Dyscolus velox", "Dyscolus venezolanus", "Dyscolus verecundus", "Dyscolus villavicencio", "Dyscolus violaceipennis", "Dyscolus virescens", "Dyscolus viridipennis", "Dyscolus whymperi", "Dyscolus yanacochae", "Dyscolus zunilensis", "Dyscolus aeneipennis", "Dyscolus agonellus", "Dyscolus angustulus", "Dyscolus bacatellus", "Dyscolus baorucensis", "Dyscolus barbarellus", "Dyscolus brunnellus", "Dyscolus caerulipennis", "Dyscolus coptoderoides", "Dyscolus crypticulus", "Dyscolus decorellus", "Dyscolus degallieri", "Dyscolus dominicensis", "Dyscolus elliptolellus", "Dyscolus flavomarginatus", "Dyscolus imitativus", "Dyscolus laetificus", "Dyscolus machetellus", "Dyscolus margaritulus", "Dyscolus marginissimus", "Dyscolus metallosomus", "Dyscolus mimulus", "Dyscolus minusculus", "Dyscolus nevermanni", "Dyscolus nitidulus", "Dyscolus ovatulus", "Dyscolus pavens", "Dyscolus platynellus", "Dyscolus purpurellus", "Dyscolus robustulus", "Dyscolus rotundatulus", "Dyscolus rufulus", "Dyscolus rugulellus", "Dyscolus sellensis", "Dyscolus stenophthalmus", "Dyscolus woldai", "Dyscolus albarragas", "Dyscolus asphaltinus", "Dyscolus brocchus", "Dyscolus capito", "Dyscolus festinus", "Dyscolus gaujoni", "Dyscolus hirsutus", "Dyscolus imbaburae", "Dyscolus irriguus", "Dyscolus laevilateris", "Dyscolus lutarius", "Dyscolus nocticolor", "Dyscolus sciakyi", "Dyscolus smithersi", "Dyscolus tiguensis", "Dyscolus lugens", "Dyscolus moestus", "Cylindera nietneri", "Cylindera ocellifera", "Cylindera octoguttata", "Cylindera paeninsularis", "Cylindera paucipilina", "Cylindera pronotalis", "Cylindera proserpina", "Cylindera psilica", "Cylindera ramenensis", "Cylindera rara", "Cylindera rectangularis", "Cylindera reductula", "Cylindera sakalava", "Cylindera salomonica", "Cylindera seleiensis", "Cylindera semperi", "Cylindera seriepunctata", "Cylindera severini", "Cylindera sikhimensis", "Cylindera somnuki", "Cylindera spinolae", "Cylindera spinosa", "Cylindera subtilesignata", "Cylindera takahashii", "Cylindera umbratilis", "Cylindera umbropolita", "Cylindera viduata", "Cylindera viridilabris", "Cylindera waterhousei", "Cylindera willeyi", "Cylindera bouchardi", "Cylindera brendelliana", "Geonoma deversa subsp. deversa", "Cylindera bryanti", "Cylindera catoptroides", "Cylindera dieckmanni", "Cylindera discovelutinosa", "Cylindera duffelsiana", "Cylindera filigera", "Cylindera genieri", "Cylindera hammondi", "Cylindera ibana", "Dyscolus consanguineus", "Dyscolus contumaza", "Dyscolus cordatus", "Dyscolus cordicollis", "Dyscolus cordillerensis", "Dyscolus corvinus", "Dyscolus costaricensis", "Dyscolus cozier", "Dyscolus crabbei", "Dyscolus crassus", "Dyscolus cristensis", "Dyscolus cruzensis", "Dyscolus culatensis", "Dyscolus cuprascens", "Dyscolus cupripennis", "Dyscolus cursor", "Dyscolus cyaneocupreus", "Dyscolus cyanicollis", "Dyscolus cyanides", "Dyscolus cyphopterus", "Dyscolus cyrtonotoides", "Dyscolus darwini", "Dyscolus davidsoni", "Dyscolus defrictus", "Dyscolus dejeanii", "Dyscolus delicatulus", "Dyscolus denigratus", "Dyscolus despiciendus", "Alloclubionoides namhansanensis", "Dyscolus desultor", "Dyscolus deuvei", "Dyscolus deyrollei", "Dyscolus dilutus", "Dyscolus diopsis", "Dyscolus donrwi", "Dyscolus drusillus", "Dyscolus duplex", "Dyscolus dupuisi", "Dyscolus durangensis", "Dyscolus dyschirioides", "Dyscolus dyschromus", "Dyscolus ebeninus", "Dyscolus ecuadoriensis", "Dyscolus ellipticus", "Dyscolus elongatus", "Dyscolus etontii", "Dyscolus eudemus", "Dyscolus evanescens", "Dyscolus expansus", "Dyscolus exsul", "Dyscolus falli", "Dyscolus fartilis", "Dyscolus femoralis", "Alloclubionoides nasuta", "Dyscolus feronioides", "Dyscolus fragilis", "Dyscolus frigidus", "Dyscolus fronto", "Dyscolus fucatus", "Dyscolus funereus", "Dyscolus furvus", "Dyscolus fusipalpis", "Dyscolus giachinoi", "Dyscolus glaucipennis", "Dyscolus gracilis", "Dyscolus grandicollis", "Dyscolus gratus", "Dyscolus guatemalensis", "Dyscolus hapax", "Dyscolus haptoderoides", "Dyscolus harpaloides", "Dyscolus hebeculus", "Dyscolus hexacoelus", "Dyscolus horni", "Reinhardtia gracilis var. rostrata", "Dyscolus ignicauda", "Dyscolus immodicus", "Dyscolus impiger", "Dyscolus incomis", "Dyscolus inconspicuus", "Dyscolus incultus", "Dyscolus intergeneus", "Dyscolus interruptus", "Dyscolus interstitialis", "Dyscolus involucer", "Dyscolus iricolor", "Dyscolus jelskii", "Dyscolus jimenezi", "Dyscolus joseensis", "Dyscolus lacertosus", "Dyscolus lactipes", "Dyscolus laetiusculus", "Dyscolus laevipennis", "Dyscolus laevipennoides", "Dyscolus lagunensis", "Dyscolus lamottei", "Dyscolus lamotteioides", "Dyscolus lamprotus", "Dyscolus landolti", "Dyscolus latidens", "Dyscolus leleupi", "Dyscolus leucoscelis", "Dyscolus lherminieri", "Dyscolus lignicola", "Dyscolus limbicollis", "Dyscolus lojaensis", "Dyscolus longipennis", "Dyscolus longipes", "Dyscolus lubricus", "Dyscolus luciae", "Dyscolus lucidus", "Dyscolus lucifugus", "Dyscolus lyrophorus", "Dyscolus macerrimus", "Dyscolus macroderus", "Dyscolus macrous", "Dyscolus maleodoratus", "Dyscolus marginicollis", "Dyscolus matucana", "Dyscolus megacephalus", "Dyscolus megalops", "Dyscolus melas", "Dyscolus memnonius", "Dyscolus meridanus", "Dyscolus micans", "Dyscolus minimus", "Eccoptomenus abessinicus", "Eccoptomenus eximius", "Eccoptomenus obscuricollis", "Eccoptoptera cupricollis", "Eccoptoptera mutilloides", "Ecnomolaus clivinoides", "Ecnomolaus dentitibiis", "Ectinothorax assimilis", "Ectinothorax feronioides", "Ectinothorax longicollis", "Ectinothorax mathiauxi", "Ectinothorax sulcator", "Ectinothorax vadoni", "Ega aequatoria", "Ega amazonica", "Ega anthicoides", "Ega argentina", "Ega biloba", "Ega brasiliensis", "Ega delicatula", "Ega formicaria", "Ega fuscoaenea", "Ega laetula", "Ega longiceps", "Ega montevidensis", "Ega nodicollis", "Ega obliqua", "Ega sallei", "Ega sulcipennis", "Ega tenuicollis", "Egadyla antelmei", "Elaphropus marchantarius", "Elaphropus anceps", "Elaphropus anthrax", "Elaphropus brevis", "Elaphropus brunnicollis", "Elaphropus capax", "Elaphropus cockerelli", "Elaphropus congener", "Elaphropus conjugens", "Elaphropus cruciatus", "Elaphropus dolosus", "Elaphropus fatuus", "Elaphropus ferrugineus", "Elaphropus fuscicornis", "Elaphropus granarius", "Elaphropus incurvus", "Elaphropus liebecki", "Elaphropus mellitus", "Elaphropus microspilus", "Elaphropus monticola", "Elaphropus mundulus", "Elaphropus nebulosus", "Elaphropus obesulus", "Elaphropus obtusellus", "Elaphropus pericallis", "Elaphropus purgatus", "Elaphropus rapax", "Elaphropus renoicus", "Dyscolus acuminatus", "Dyscolus caeruleus", "Dyscolus columbinus", "Dyscolus cycloderus", "Dyscolus furcillatus", "Dyscolus lucilius", "Dyscolus mateui", "Dyscolus melanocnemis", "Dyscolus mucronatus", "Dyscolus pallidipes", "Dyscolus tenuicornis", "Dyscolus auyanensis", "Dystrichothorax amplipennis", "Dystrichothorax angustimargo", "Dystrichothorax australis", "Dystrichothorax bernhardti", "Dystrichothorax bicolor", "Dystrichothorax bipunctatus", "Dystrichothorax catrionae", "Dystrichothorax convexicollis", "Dystrichothorax convexior", "Dystrichothorax corrugatus", "Dystrichothorax demarzi", "Dystrichothorax difficilis", "Dystrichothorax dilatatus", "Dystrichothorax eungellae", "Dystrichothorax gibbosus", "Dystrichothorax hamifer", "Dystrichothorax hawkeswoodi", "Dystrichothorax heatherae", "Dystrichothorax laevior", "Dystrichothorax laevipennis", "Dystrichothorax lamingtonensis", "Dystrichothorax leichardtensis", "Dystrichothorax lewisensis", "Dystrichothorax lividus", "Dystrichothorax macrops", "Dystrichothorax montiscoerulei", "Dystrichothorax moorei", "Dystrichothorax multistriatus", "Dystrichothorax nothofagi", "Dystrichothorax novaeangliae", "Dystrichothorax odegaardi", "Dystrichothorax otwayensis", "Dystrichothorax parallelocollis", "Dystrichothorax piceus", "Dystrichothorax pictus", "Dystrichothorax placidus", "Dystrichothorax plagifer", "Dystrichothorax regularis", "Dystrichothorax reidi", "Dystrichothorax similis", "Dystrichothorax sloanei", "Dystrichothorax storeyi", "Dystrichothorax tasmaniensis", "Dystrichothorax verticis", "Dystrichothorax vicinus", "Dystrichothorax victoriae", "Dystrichothorax vittipennis", "Dystrichothorax windsorensis", "Acanthastilbus andrewesianus", "Acanthastilbus paedericolor", "Aenictonia anommatophila", "Aenictonia banghasi", "Aenictonia carinata", "Iwogumoa dicranata", "Aenictonia cornigera", "Aenictonia costata", "Bifidocoelotes obscurus", "Zoothera talaseae atrigena", "Polemonium racemosum", "Aenictonia patrizii", "Aenictonia thailandica", "Reinhardtia paiewonskiana", "Elaphropus rubricauda", "Elaphropus saturatus", "Elaphropus sectator", "Elaphropus sedulus", "Elaphropus tahoensis", "Elaphropus tripunctatus", "Elaphropus tritax", "Elaphropus unistriatus", "Elaphropus vernicatus", "Elaphropus vivax", "Elaphropus xanthopus", "Elaphropus aethiopicus", "Elaphropus afer", "Elaphropus ambiguus", "Elaphropus amplians", "Elaphropus asthenes", "Elaphropus bicolor", "Elaphropus burgeoni", "Elaphropus buxans", "Elaphropus caraboides", "Elaphropus debilis", "Elaphropus diversus", "Elaphropus ethmoides", "Elaphropus eurynotus", "Elaphropus fartus", "Elaphropus glis", "Elaphropus globulus", "Elaphropus haliploides", "Elaphropus imadatei", "Elaphropus imerinae", "Elaphropus krueperi", "Elaphropus latissimus", "Elaphropus madecassus", "Elaphropus meridionalis", "Elaphropus nanophyes", "Elaphropus natalicus", "Elaphropus nigrinus", "Elaphropus nigritulus", "Elaphropus nipponicus", "Elaphropus numatai", "Elaphropus opacus", "Elaphropus orphnaeus", "Elaphropus ovoideus", "Elaphropus pauliani", "Elaphropus plumbeus", "Elaphropus porosus", "Elaphropus punctus", "Elaphropus saundersi", "Elaphropus secutorius", "Elaphropus shunichii", "Elaphropus striatulus", "Elaphropus zoster", "Elaphropus zouhari", "Elaphropus acutifrons", "Elaphropus borealis", "Elaphropus comptus", "Elaphropus occidentalis", "Elaphropus pluripunctus", "Elaphropus pseudocomptus", "Elaphropus sebakwensis", "Elaphropus senegalensis", "Elaphropus sphaeroidalis", "Elaphropus pachys", "Elaphropus curticollis", "Harpactea minoccii", "Reinhardtia simplex", "Erwiniana aetholia", "Erwiniana alticola", "Erwiniana am", "Erwiniana ampliata", "Erwiniana anchicaya", "Erwiniana angustia", "Erwiniana anterocostis", "Erwiniana apicisulcata", "Erwiniana baeza", "Erwiniana batesi", "Erwiniana belti", "Erwiniana bisulcifrons", "Erwiniana chiriboga", "Erwiniana crassa", "Erwiniana dannyi", "Erwiniana depressisculptilis", "Erwiniana equanegrei", "Erwiniana esheje", "Erwiniana eugeneae", "Erwiniana exigupunctata", "Erwiniana foveosculptilis", "Erwiniana grossipunctata", "Erwiniana grutii", "Erwiniana hamatilis", "Erwiniana henryi", "Elaphropus emellen", "Elaphropus fumicatus", "Elaphropus hoemorroidalis", "Elaphropus kanalensis", "Elaphropus angolanus", "Elaphropus basilewskyi", "Elaphropus carvalhoi", "Elaphropus chappuisi", "Elaphropus congoanus", "Elaphropus corax", "Elaphropus cordatus", "Elaphropus cordicollis", "Elaphropus denticollis", "Elaphropus elegans", "Elaphropus eumorphus", "Elaphropus expunctus", "Elaphropus feai", "Elaphropus formosus", "Elaphropus gerardianus", "Elaphropus ghesquierei", "Elaphropus humeralis", "Elaphropus iaspideus", "Elaphropus jeanneli", "Elaphropus laevissimus", "Elaphropus lamottei", "Elaphropus leleupi", "Elaphropus loma", "Elaphropus massarti", "Elaphropus maximus", "Elaphropus mediopunctatus", "Elaphropus morphnus", "Elaphropus obliteratus", "Elaphropus optimus", "Elaphropus ovatus", "Elaphropus pseudofeai", "Elaphropus pwetoensis", "Elaphropus rubronitens", "Elaphropus seydeli", "Elaphropus spenceri", "Elaphropus strongylus", "Elaphropus tecospilus", "Elaphropus tshuapanus", "Elaphropus abimva", "Elaphropus aeneus", "Elaphropus aequistriatus", "Elaphropus akkadi", "Elaphropus amabilis", "Elaphropus amplipennis", "Elaphropus anatolicus", "Elaphropus andrewesi", "Elaphropus annae", "Elaphropus anomalus", "Elaphropus apicalis", "Elaphropus arcuatus", "Elaphropus ascendens", "Elaphropus auberti", "Elaphropus axillaris", "Elaphropus babaulti", "Elaphropus badius", "Elaphropus banksi", "Elaphropus barringtoni", "Elaphropus bechynei", "Elaphropus belli", "Elaphropus bembidiiformis", "Elaphropus biblis", "Elaphropus bibulus", "Elaphropus biby", "Elaphropus biplagiatus", "Elaphropus bipustulatus", "Elaphropus bisbimaculatus", "Elaphropus bisignatus", "Elaphropus blandus", "Elaphropus bodemeyeri", "Elaphropus bombycinus", "Elaphropus boninensis", "Elaphropus borneensis", "Elaphropus brittoni", "Elaphropus buprestioides", "Elaphropus callispilotus", "Elaphropus capicola", "Elaphropus castaneus", "Elaphropus cautus", "Elaphropus ceylanicus", "Elaphropus chalceus", "Elaphropus championi", "Elaphropus charactus", "Elaphropus charis", "Elaphropus chimbu", "Elaphropus chujoi", "Elaphropus collarti", "Elaphropus compactus", "Elaphropus confusus", "Elaphropus conspicuus", "Elaphropus constrictus", "Elaphropus convexicollis", "Elaphropus conveximargo", "Elaphropus convexulus", "Elaphropus convexus", "Elaphropus crassus", "Elaphropus curvimanus", "Elaphropus decoloratus", "Elaphropus decoratus", "Elaphropus derbendensis", "Elaphropus diabrachys", "Elaphropus didymus", "Elaphropus divisus", "Elaphropus donaldi", "Elaphropus drimostomoides", "Elaphropus dubius", "Elaphropus dulcis", "Elaphropus duplicatus", "Elaphropus efflatouni", "Elaphropus elutus", "Elaphropus emeritus", "Elaphropus erotyloides", "Elaphropus eueides", "Elaphropus euphraticus", "Elaphropus expansicollis", "Elaphropus fadli", "Elaphropus faustus", "Elaphropus ferroa", "Lantana achyranthifolia", "Elaphropus ferrugatus", "Elaphropus finitimus", "Elaphropus flavicornis", "Elaphropus florus", "Elaphropus fluviatilis", "Elaphropus fordi", "Elaphropus formosanus", "Elaphropus frischi", "Elaphropus fukiensis", "Elaphropus fumatus", "Elaphropus fur", "Elaphropus fuscicauda", "Elaphropus fusculus", "Elaphropus fusiformis", "Elaphropus gerardi", "Elaphropus germanus", "Elaphropus gestroi", "Elaphropus gongylus", "Elaphropus gradatus", "Elaphropus grandicollis", "Elaphropus granum", "Elaphropus grimmi", "Elaphropus hamoni", "Elaphropus helmsi", "Elaphropus hiermeieri", "Elaphropus hirsutus", "Elaphropus holomelas", "Elaphropus holzschuhi", "Elaphropus horni", "Elaphropus hydraenoides", "Elaphropus imitans", "Elaphropus imperfectus", "Elaphropus inaequalis", "Elaphropus incilis", "Elaphropus interpunctatus", "Elaphropus iranicus", "Elaphropus jakli", "Elaphropus javanicus", "Elaphropus klapperichi", "Elaphropus klugii", "Elaphropus kuriharai", "Elaphropus laetificus", "Elaphropus laotinus", "Elaphropus latus", "Elaphropus lembodes", "Elaphropus leptothorax", "Elaphropus levipes", "Elaphropus lindemannae", "Elaphropus longior", "Elaphropus loriae", "Elaphropus lucasii", "Elaphropus lusindoi", "Elaphropus luteus", "Elaphropus madagascariensis", "Elaphropus majusculus", "Elaphropus malabaricus", "Elaphropus marani", "Elaphropus martensi", "Elaphropus micraulax", "Elaphropus milneanus", "Elaphropus moestus", "Elaphropus momvu", "Elaphropus mutatus", "Elaphropus nadzab", "Elaphropus nalandae", "Elaphropus nannodes", "Elaphropus nepos", "Elaphropus nervosus", "Elaphropus nigellus", "Eucamptognathus parvulus", "Eucamptognathus pauliani", "Eucamptognathus pernix", "Eucamptognathus pseudoboucardi", "Eucamptognathus psilonyx", "Eucamptognathus punctatipennis", "Eucamptognathus satelles", "Eucamptognathus seyrigi", "Eucamptognathus sicardi", "Eucamptognathus sogai", "Eucamptognathus spernax", "Eucamptognathus subviolaceus", "Eucamptognathus tenuestriatus", "Eucamptognathus thoracicus", "Eucamptognathus tristis", "Eucamptognathus vadonianus", "Eucamptognathus viettei", "Eucamptognathus macrocephalus", "Eucamptognathus emarginatus", "Eucamptognathus griveaudi", "Eucamptognathus notabilis", "Eucamptognathus septentrionalis", "Eucamptognathus subiridescens", "Eucamptognathus toulgoeti", "Eucamptognathus vadoni", "Eucarterus sparsutus", "Eucheila lucida", "Eucheila marginata", "Eucheila adisi", "Eucheila cordova", "Eucheila erwini", "Eucheila flavilabris", "Eucheila mirifica", "Eucheila pilosa", "Eucheila strandi", "Eucheila kiplingi", "Eucheila reichardti", "Eucheila atrata", "Eucheila boyeri", "Eucheila breviformis", "Eucheila costulata", "Eucheila megala", "Eucheila nevermanni", "Eucheila palpalis", "Eucheila planipennis", "Eucheila purpurea", "Eucheila splendens", "Eucheila boliviana", "Eucheila inpa", "Eucheila mateui", "Eucheila surinamensis", "Euchroa atoyac", "Epaphius yosiianus", "Scarites epaphius", "Epelyx cordatus", "Epelyx latus", "Epelyx lincolnensis", "Epelyx lindensis", "Epelyx walkeri", "Epicolpodes amydrus", "Epicolpodes benschi", "Epicolpodes juratulus", "Epicolpodes perviridis", "Epicolpodes sikorai", "Epicolpodes tanala", "Epigraphodes congoensis", "Epigraphodes kivuensis", "Epigraphodes uluguruanus", "Epigraphus adoxus", "Epigraphus amplicollis", "Epigraphus arcuatocollis", "Epigraphus congonicus", "Epigraphus differens", "Epigraphus fuscicornis", "Epigraphus insolitus", "Epikastea biolat", "Epikastea grace", "Epikastea limonae", "Epikastea mancocapac", "Epikastea piranha", "Epikastea poguei", "Epilectus fortis", "Epilectus mastersi", "Epimicodema mastersii", "Erectocolliuris camerunica", "Erectocolliuris cyaneolimbata", "Erectocolliuris fairmairei", "Erectocolliuris garambae", "Erectocolliuris mirei", "Erectocolliuris wittei", "Eremolestes fallax", "Eremolestes sulcatus", "Eremosphodrus rotundicollis", "Eremosphodrus dvorshaki", "Erephognathus coerulescens", "Erephognathus margarithrix", "Erephognathus ranomafanae", "Eriophonus grandiceps", "Eripus franzi", "Eripus andersoni", "Eripus breedlovei", "Eripus globipennis", "Eripus microphthalmus", "Eripus microps", "Eripus nitidus", "Eripus oaxacanus", "Eripus scydmaenoides", "Eripus subcoecus", "Eripus suturalis", "Alloclubionoides rostratus", "Elaphropus nigrolimbatus", "Elaphropus nilgiricus", "Elaphropus nitens", "Elaphropus notaphoides", "Elaphropus ocellatus", "Elaphropus octostriatus", "Elaphropus ordensis", "Elaphropus ovensensis", "Elaphropus pakistanus", "Elaphropus pallidicauda", "Elaphropus pallidicornis", "Elaphropus papuae", "Elaphropus par", "Elaphropus parapictus", "Elaphropus parasenarius", "Elaphropus parvulus", "Elaphropus patruelis", "Elaphropus peryphinus", "Elaphropus pictus", "Elaphropus poecilopterus", "Elaphropus politus", "Elaphropus polyporus", "Elaphropus pseudoconvexulus", "Elaphropus pseudoornatus", "Elaphropus psiloides", "Elaphropus psilus", "Elaphropus pulcher", "Elaphropus quadrisignatus", "Elaphropus radjabii", "Elaphropus reticulatus", "Elaphropus reticuloides", "Elaphropus rhombophorus", "Elaphropus rubescens", "Elaphropus rufinus", "Elaphropus rufoniger", "Elaphropus sabulosus", "Elaphropus salemus", "Elaphropus schawalleri", "Elaphropus schuelei", "Elaphropus senarius", "Elaphropus septemstriatus", "Elaphropus serrulatus", "Elaphropus serrulipennis", "Elaphropus sexstriatus", "Elaphropus sinaiticus", "Elaphropus singularis", "Elaphropus skalei", "Elaphropus solidus", "Elaphropus spurcus", "Elaphropus spurius", "Elaphropus stenoderus", "Elaphropus stevensi", "Elaphropus straneoi", "Elaphropus striatifrons", "Elaphropus striolatus", "Elaphropus subfumatus", "Elaphropus submutatus", "Elaphropus subopacus", "Elaphropus surdus", "Elaphropus suturalis", "Elaphropus tagax", "Elaphropus tatei", "Elaphropus tetradymus", "Elaphropus tetraspilus", "Elaphropus thlibodes", "Elaphropus thoracicus", "Elaphropus tor", "Elaphropus tostus", "Elaphropus transversalis", "Elaphropus triloris", "Elaphropus trinervis", "Elaphropus trisulcatus", "Elaphropus tshibindensis", "Elaphropus ubangiensis", "Elaphropus unitarius", "Elaphropus vadoni", "Elaphropus vafer", "Elaphropus vagabundus", "Elaphropus vagans", "Elaphropus vandenberghei", "Elaphropus vangelei", "Elaphropus variabilis", "Elaphropus victoriensis", "Elaphropus vigens", "Elaphropus virgatus", "Elaphropus vixmaculatus", "Elaphropus walkerianus", "Elaphropus weigeli", "Elaphropus yunax", "Elaphrus lapponicus", "Elaphrus angusticollis", "Elaphrus aureus", "Elaphrus punctatus", "Elaphrus purpurans", "Elaphrus ullrichii", "Elaphrus americanus", "Elaphrus californicus", "Elaphrus citharus", "Elaphrus comatus", "Elaphrus finitimus", "Elaphrus hypocrita", "Elaphrus lecontei", "Elaphrus lheritieri", "Elaphrus marginicollis", "Elaphrus mimus", "Elaphrus ruscarius", "Elaphrus smaragdiceps", "Elaphrus tibetanus", "Elaphrus trossulus", "Elaphrus tuberculatus", "Elaphrus weissi", "Elaphrus cicatricosus", "Elaphrus clairvillei", "Elaphrus fuliginosus", "Elaphrus japonicus", "Elaphrus laevigatus", "Elaphrus lindrothi", "Elaphrus olivaceus", "Elaphrus potanini", "Elaphrus pyrenoeus", "Elaphrus sibiricus", "Elaphrus sugai", "Elgonotyphlus zoiai", "Ellipsoptera blanda", "Ellipsoptera cuprascens", "Ellipsoptera gratiosa", "Ellipsoptera hamata", "Ellipsoptera hirtilabris", "Ellipsoptera lepida", "Ellipsoptera macra", "Ellipsoptera marginata", "Ellipsoptera nevadica", "Ellipsoptera puritana", "Ellipsoptera rubicunda", "Ellipsoptera sperata", "Ellipsoptera wapleri", "Elliptoleus acutesculptus", "Elliptoleus balli", "Elliptoleus corvus", "Elliptoleus crepericornis", "Elliptoleus curtulus", "Elliptoleus luteipes", "Elliptoleus olisthopoides", "Elliptoleus tequilae", "Elliptoleus vixstriatus", "Elliptoleus whiteheadi", "Elliptoleus zapotecorum", "Enantiola denticollis", "Enantiola hewittii", "Enantiola spinicollis", "Enantiola wallacei", "Enceladus gygas", "Endynomena pradieri", "Enoicus fallax", "Entomoantyx cyanipennis", "Eobroscus masumotoi", "Eocarterus amicorum", "Eocarterus baeticus", "Eocarterus tazekensis", "Eocarterus chodshenticus", "Eocarterus esau", "Eocarterus propagator", "Eocarterus semenowi", "Eocarterus usgentensis", "Eocnides assamensis", "Eocnides fragilis", "Eohomopterus aequatoriensis", "Eohomopterus centenarius", "Eosphodrus potanini", "Eotrechodes larisae", "Epaphiopsis alloligops", "Epaphiopsis brevis", "Epaphiopsis budhaica", "Epaphiopsis centrosinensis", "Epaphiopsis dao", "Epaphiopsis dechangensis", "Epaphiopsis erlangensis", "Epaphiopsis gracilenta", "Epaphiopsis inconspiqua", "Epaphiopsis intermedia", "Epaphiopsis jacobsoni", "Epaphiopsis lamellata", "Epaphiopsis laticollis", "Epaphiopsis lunanshana", "Epaphiopsis niba", "Epaphiopsis nigra", "Epaphiopsis nishikawai", "Epaphiopsis oligops", "Epaphiopsis polita", "Epaphiopsis proxima", "Epaphiopsis semenovi", "Epaphiopsis similata", "Erwiniana hilaris", "Erwiniana huacamayas", "Erwiniana indetecticostis", "Erwiniana iris", "Erwiniana irisculptilis", "Erwiniana jacupiranga", "Erwiniana jefe", "Erwiniana manusculptilis", "Erwiniana misahualli", "Erwiniana negrei", "Erwiniana nigripalpis", "Erwiniana notesheje", "Erwiniana notparkeri", "Erwiniana nox", "Erwiniana ovatula", "Erwiniana para", "Erwiniana parainsularis", "Erwiniana parapara", "Erwiniana parkeri", "Erwiniana pfunorum", "Erwiniana protosculptilis", "Erwiniana punctisculptilis", "Erwiniana quadrata", "Erwiniana rosebudae", "Erwiniana samiria", "Erwiniana sculpticollis", "Erwiniana seriata", "Erwiniana strigosa", "Erwiniana sublaevis", "Erwiniana sulcicostis", "Erwiniana villiersi", "Erwiniana wygo", "Escolatrechus bolivianus", "Eucaerus haitianus", "Eucaerus insularis", "Eucaerus sericeus", "Eucaerus striatus", "Eucaerus sublimbatus", "Eucaerus sulcatus", "Eucaerus varicornis", "Eucamaragnathus amapa", "Eucamaragnathus angulicollis", "Eucamaragnathus aterrimus", "Eucamaragnathus batesii", "Eucamaragnathus bocandei", "Eucamaragnathus borneensis", "Eucamaragnathus brasiliensis", "Eucamaragnathus castelnaui", "Eucamaragnathus fissipennis", "Eucamaragnathus jaws", "Eucamaragnathus oxygonus", "Eucamaragnathus spiniger", "Eucamaragnathus suberbiei", "Eucamaragnathus sumatrensis", "Eucamptognathus decaryi", "Eucamptognathus jeanneli", "Eucamptognathus madecassus", "Eucamptognathus pseudojeanneli", "Eucamptognathus pseudomadecassus", "Eucamptognathus tshitsherini", "Eucamptognathus granulifer", "Eucamptognathus catalai", "Eucamptognathus lafertei", "Eucamptognathus nigriceps", "Eucamptognathus perichrysis", "Eucamptognathus porphyrus", "Eucamptognathus rutilans", "Eucamptognathus spectabilis", "Eucamptognathus diacritus", "Eucamptognathus gigas", "Eucamptognathus minor", "Eucamptognathus opacus", "Eucamptognathus trisulcatus", "Eucamptognathus africanus", "Eucamptognathus androyanus", "Eucamptognathus bouvieri", "Eucamptognathus conspicuus", "Eucamptognathus costatus", "Eucamptognathus dostojewskii", "Eucamptognathus foveatus", "Eucamptognathus freyi", "Eucamptognathus planatus", "Eucamptognathus planipennis", "Eucamptognathus prasinus", "Eucamptognathus sinuatus", "Eucamptognathus villiersi", "Eucamptognathus violaceus", "Eucamptognathus viridanus", "Eucamptognathus betsileus", "Eucamptognathus diversus", "Eucamptognathus neoleptus", "Eucamptognathus oopterus", "Eucamptognathus perrieri", "Eucamptognathus tsaratananae", "Eucamptognathus alluaudi", "Eucamptognathus andriai", "Eucamptognathus andringitricus", "Eucamptognathus aterrimus", "Eucamptognathus badeni", "Eucamptognathus bastardi", "Eucamptognathus boucardi", "Eucamptognathus brevicornis", "Eucamptognathus chaudoirii", "Eucamptognathus colasi", "Eucamptognathus crassus", "Eucamptognathus curvicrus", "Eucamptognathus dieganus", "Eucamptognathus erinnys", "Eucamptognathus extremus", "Eucamptognathus fairmairei", "Eucamptognathus haplosternus", "Eucamptognathus howa", "Eucamptognathus ikopae", "Eucamptognathus insolitus", "Eucamptognathus laevipennis", "Eucamptognathus lambertoni", "Eucamptognathus lesnei", "Eucamptognathus madagascariensis", "Eucamptognathus mananarensis", "Eucamptognathus mananjaryanus", "Eucamptognathus marovoayensis", "Eucamptognathus mateui", "Eucamptognathus mediocris", "Eucamptognathus modestus", "Eucamptognathus moerens", "Eucamptognathus obtusiangulus", "Eucamptognathus parallelus", "Eucamptognathus parapunctatipennis", "Alloclubionoides huanren", "Epaphiopsis sinuata", "Epaphiopsis elongata", "Epaphiopsis fujii", "Epaphiopsis fukukii", "Epaphiopsis machiko", "Epaphiopsis matsudai", "Epaphiopsis okadai", "Epaphiopsis unisetosa", "Epaphiopsis watanabei", "Epaphiopsis alticola", "Epaphiopsis apiceplana", "Epaphiopsis constricta", "Epaphiopsis divarboris", "Epaphiopsis elegans", "Epaphiopsis formosana", "Epaphiopsis hsuehshana", "Epaphiopsis kasaharai", "Epaphiopsis multipunctata", "Epaphiopsis notos", "Epaphiopsis shibatai", "Epaphiopsis yushana", "Epaphiopsis cavazzutii", "Epaphiopsis davidiani", "Epaphiopsis ghirettii", "Epaphiopsis gonggaica", "Epaphiopsis hayashii", "Epaphiopsis imurai", "Epaphiopsis ishizuchiensis", "Epaphiopsis janoi", "Epaphiopsis korolevi", "Epaphiopsis morimotoi", "Epaphiopsis perreaui", "Epaphiopsis punctatostriata", "Epaphiopsis robusta", "Epaphiopsis tronquetiana", "Epaphiopsis ubaoshana", "Epaphiopsis unzenensis", "Epaphiopsis watanabeorum", "Epaphius acco", "Epaphius arsenjevi", "Epaphius castificus", "Epaphius chinensis", "Epaphius dorsistriatus", "Epaphius ephippiatus", "Epaphius hashimotoi", "Epaphius himalayanus", "Epaphius ikutanii", "Epaphius matsumotoi", "Epaphius nishikawai", "Epaphius orientosinicus", "Epaphius ozegaharanus", "Epaphius pirica", "Epaphius plutenkoi", "Epaphius qinlingensis", "Epaphius rivularis", "Epaphius secalis", "Epaphius shennongjianus", "Epaphius shushensis", "Epaphius stheno", "Epaphius sugai", "Epaphius tiani", "Epaphius tosioi", "Epaphius vicarius", "Euchroa carbonera", "Euchroa centralis", "Euchroa chrysophana", "Euchroa citlaltepetl", "Euchroa cuiyachapa", "Euchroa cupripennis", "Euchroa dimidiata", "Euchroa dives", "Euchroa filodecaballo", "Euchroa flohri", "Euchroa harrisoni", "Euchroa huautla", "Euchroa independencia", "Euchroa ixtapa", "Euchroa jalisco", "Euchroa juchatengo", "Euchroa lasvigas", "Euchroa miahuatlan", "Euchroa nitidicollis", "Euchroa nitidipennis", "Euchroa nizavaguiti", "Euchroa onkonegare", "Euchroa opaca", "Euchroa pedernales", "Euchroa perezi", "Euchroa perote", "Euchroa puertogallo", "Euchroa sallei", "Euchroa santacatarina", "Euchroa soladevega", "Euchroa suchixtepec", "Euchroa tenancingo", "Euchroa teotitlan", "Euchroa tiburonica", "Euchroa yucuyacua", "Euchroa zempoaltepetl", "Euchroa zongolica", "Eucolliuris aethiopica", "Eucolliuris algoensis", "Eucolliuris amoenula", "Eucolliuris brachydera", "Eucolliuris brunneomarginata", "Eucolliuris capicola", "Eucolliuris celebensis", "Eucolliuris cribriceps", "Eucolliuris cribrifrons", "Eucolliuris cyanauges", "Eucolliuris decorsei", "Eucolliuris dissimilis", "Eucolliuris dorsalis", "Roystonea dunlapiana", "Eucolliuris flavomarginata", "Eucolliuris fukiensis", "Eucolliuris fulvipennis", "Eucolliuris fuscipennis", "Eucolliuris globulicollis", "Eucolliuris interrupta", "Eucolliuris kivuensis", "Eucolliuris labathiei", "Eucolliuris latifascia", "Eucolliuris litura", "Eucolliuris madagascariensis", "Eucolliuris natalensis", "Euphorticus guttulatus", "Euphorticus leucoscelis", "Euphorticus occidentalis", "Euphorticus pubescens", "Euplatia columbica", "Euplatia latiuscula", "Euplatyrhopalus aplustrifer", "Euplatyrhopalus armicornis", "Euplatyrhopalus macrophyllus", "Euplatyrhopalus simonis", "Euplatyrhopalus tadauchii", "Euplatyrhopalus vexillifer", "Euplatyrhopalus wasmanni", "Euplynes abyssinicus", "Euplynes apicalis", "Euplynes apicefumatus", "Euplynes aurocinctus", "Euplynes balthasari", "Euplynes batesi", "Euplynes bicoloripennis", "Euplynes bredoi", "Euplynes brosseti", "Euplynes brunneus", "Euplynes burgeoni", "Euplynes callidoides", "Euplynes cyanipennis", "Euplynes decoloratus", "Euplynes ghesquierei", "Euplynes guttatus", "Euplynes laetus", "Euplynes lebistinoides", "Euplynes limbipennis", "Euplynes marginatus", "Euplynes miyakei", "Euplynes nidicola", "Euplynes nigripes", "Euplynes punctatus", "Euplynes splendidulus", "Euplynes viridis", "Euplynes wittei", "Euproctinus fasciatus", "Euproctinus abjectus", "Euproctinus balli", "Euproctinus columbianus", "Euproctinus deliciolus", "Euproctinus howdeni", "Euproctinus nigrotibialis", "Euproctinus ornatellus", "Euproctinus pallidus", "Euproctinus panamensis", "Euproctinus putzeysi", "Euproctinus quadriplagiatus", "Euproctinus quadrivittis", "Eucolliuris olivierii", "Eucolliuris rompinensis", "Eucolliuris rossi", "Eucolliuris susinii", "Eucolliuris suturalis", "Eucolliuris usherae", "Eucolliuris virgulifera", "Eudalia atrata", "Eudalia castelnaui", "Eudalia femorata", "Eudalia latipennis", "Eudalia liebherri", "Eudalia macleayi", "Eudalia minor", "Eudalia monteithi", "Eudalia obliquiceps", "Eudalia punctipennis", "Eudalia reticulata", "Eudalia tamborineae", "Eudalia waterhousii", "Eudromus andreonei", "Eudromus ankavandrae", "Eudromus bastardi", "Eudromus imerinae", "Eudromus perrieri", "Eudromus striaticollis", "Eujalmenus auricolor", "Eujalmenus besckei", "Eujalmenus gounellei", "Eujalmenus purpuratus", "Eulampra miranda", "Euleptus albicornis", "Euleptus caffer", "Euleptus foveolatus", "Euleptus geniculatus", "Euleptus intermedius", "Euleptus jeanneli", "Euleptus kilimanus", "Euleptus ooderus", "Euleptus paganus", "Euleptus peringueyi", "Euleptus virens", "Euleptus zuluanus", "Eumara hiekei", "Eumara maindroni", "Eumara negrei", "Eumara obscura", "Eunostus allardi", "Eunostus burgeoni", "Eunostus chappuisi", "Eunostus crampeli", "Eunostus guieinzii", "Eunostus guineensis", "Eunostus harrarensis", "Eunostus insignis", "Eunostus latreillei", "Eunostus milloti", "Eunostus minimus", "Eunostus perrieri", "Eunostus puncticeps", "Eunostus sicardi", "Eunostus vuilleti", "Eunota togata", "Fortagonum fortellum", "Fortagonum longispinum", "Fortagonum okapa", "Fortagonum oodinum", "Fortagonum substriatum", "Fortagonum sulcipenne", "Galaicodytes caurelensis", "Galerita aenigmatica", "Galerita aequinoctialis", "Galerita aethiopica", "Galerita affinis", "Galerita africana", "Galerita amazonica", "Galerita amethystina", "Galerita angustipennis", "Galerita aptinoides", "Galerita attelaboides", "Galerita attenuata", "Galerita azteca", "Galerita balli", "Galerita batesi", "Galerita beauvoisii", "Galerita boliviana", "Galerita boucardii", "Galerita brachinoides", "Galerita brasiliensis", "Galerita bruchi", "Galerita carbonaria", "Galerita carinifrons", "Galerita championi", "Galerita coeruleipennis", "Galerita collaris", "Galerita colonensis", "Galerita convexipennis", "Galerita corumbana", "Galerita costalimai", "Galerita costulata", "Galerita esmeraldina", "Galerita feae", "Galerita femoralis", "Galerita gracilis", "Galerita hexagonica", "Galerita homolaci", "Galerita immitis", "Galerita inca", "Galerita indica", "Galerita interstitialis", "Galerita inversa", "Galerita isthmica", "Galerita javana", "Galerita jelskii", "Galerita lacordairei", "Galerita laevithorax", "Galerita loeffleri", "Galerita lunai", "Galerita madecassa", "Galerita marginicollis", "Galerita melanarthra", "Galerita microcostata", "Galerita moritzi", "Galerita mustelina", "Galerita nana", "Galerita nigra", "Galerita occidentalis", "Euproctinus sigillatus", "Euproctinus subdeletus", "Euproctinus trivittatus", "Euprosopus chaudoirii", "Euprosopus quadrinotatus", "Euryaptus assamensis", "Euryaptus basirugatus", "Euryaptus kankompezanus", "Euryaptus kirschenhoferi", "Euryaptus nigellus", "Euryaptus rufipes", "Euryarthron babaulti", "Euryarthron bennigseni", "Euryarthron bocandei", "Euryarthron bouvieri", "Euryarthron brevisexstriatum", "Euryarthron cosmemosignatum", "Euryarthron dromicarium", "Euryarthron festivum", "Euryarthron gerstaeckeri", "Euryarthron gibbosum", "Euryarthron nageli", "Euryarthron oscari", "Euryarthron planatoflavum", "Euryarthron postremus", "Euryarthron quadristriatum", "Euryarthron reticostatum", "Euryarthron revoili", "Euryarthron saginatum", "Euryarthron sodalis", "Euryarthron waageni", "Euryarthron waltherhorni", "Eurycalleida diluta", "Eurycoleus erwini", "Eurycoleus fofus", "Eurycoleus macularius", "Eurycoleus octosignatus", "Eurycoleus ornatus", "Eurycoleus panamensis", "Eurycoleus poecilopterus", "Eurycoleus septemplagiatus", "Eurycoleus tredecimpunctatus", "Eurydera acutispina", "Eurydera alluaudi", "Eurydera ambreana", "Eurydera armata", "Eurydera bimaculata", "Eurydera catalai", "Eurydera crispatifrons", "Eurydera cuspidata", "Eurydera ebenina", "Eurydera femorata", "Eurydera fossulata", "Eurydera foveicollis", "Eurydera heimi", "Eurydera inermis", "Eurydera jeanneli", "Eurydera latipennis", "Eurydera longispina", "Eurydera lugubrina", "Eurydera madecassa", "Eurydera mormolycoides", "Eurydera ocellata", "Eurydera ocularis", "Eurydera olsoufieffi", "Eurydera oracle", "Eurydera ornatipennis", "Eurydera peyrierasi", "Eurydera rufotincta", "Eurydera rugiceps", "Eurydera sicardi", "Eurydera simplica", "Eurydera sublaevis", "Eurydera sulcicollis", "Eurydera suturalis", "Eurydera unicolor", "Euryderus grossus", "Eurygnathus latreillei", "Eurylychnus blagravei", "Eurylychnus cylindricus", "Eurylychnus dyschirioides", "Eurylychnus femoralis", "Eurylychnus kershawi", "Eurylychnus ovipennis", "Eurylychnus regularis", "Eurylychnus victoriae", "Eurymorpha cyanipes", "Eurypercus laevicollis", "Eurypercus lucidipennis", "Eurypercus vadoni", "Euryscaphus angulatus", "Euryscaphus atratus", "Euryscaphus carbonarius", "Euryscaphus dilatatus", "Euryscaphus obesus", "Euryscaphus subsulcatus", "Euryscaphus waterhousei", "Euschizomerus aeneus", "Euschizomerus buquetii", "Euschizomerus caerulans", "Euschizomerus denticollis", "Euschizomerus elongatus", "Euschizomerus indicus", "Euschizomerus junodi", "Euschizomerus liebkei", "Euschizomerus metallicus", "Euschizomerus nobilis", "Euschizomerus oberthurii", "Euschizomerus rufipes", "Euschizomerus schuhi", "Euschizomerus vatovai", "Euschizomerus vitalisi", "Eustra andrewesiana", "Eustra bryanti", "Eustra caeca", "Eustra ceylanica", "Eustra chinensis", "Eustra crucifera", "Eustra csikii", "Eustra deharvengi", "Eustra gomyi", "Eustra hammondi", "Eustra honchongensis", "Eustra indica", "Eustra japonica", "Eustra lao", "Eustra lebretoni", "Eustra leclerci", "Eustra matanga", "Eustra nageli", "Eustra petrovi", "Eustra plagiata", "Eustra pseudomatanga", "Eustra saripaensis", "Eustra storki", "Eustra taiwanica", "Eustra troglophila", "Eutogeneius fuscus", "Eutrechopsis ovalis", "Eutrechus barringtonensis", "Eutrechus coxi", "Eutrechus gippslandicus", "Eutrechus otwayensis", "Euzona aeneodorsis", "Euzona albolineata", "Euzona aurita", "Euzona cyanonota", "Euzona gilesi", "Euzona levitetragramma", "Euzona tetragramma", "Euzona trivittata", "Evolenes exarata", "Externanillus mcraeae", "Falsodromius erythropus", "Feostoma irregulare", "Feroniascus ambitiosus", "Feroniascus catalai", "Feroniascus chlaenioides", "Feroniascus vadoni", "Feroniola bradytoides", "Feroniola famelica", "Feroniola kulti", "Feroniola laticollis", "Feroniola minor", "Feroniola puncticollis", "Feroniola reichardti", "Feroniola subamaroides", "Feroniola subsinuata", "Feroniola zischkai", "Filicerozaena callangaensis", "Filicerozaena cosangaensis", "Filicerozaena leleuporum", "Filicerozaena losi", "Filicerozaena moreti", "Filicerozaena reducticollis", "Filicerozaena tagliantii", "Forcipator cylindricus", "Forcipator grandis", "Forcipator putzeysii", "Forcipator sanctihilarii", "Formosiella brunnea", "Formosiella sichuanensis", "Formosiella vietnami", "Fortagonum antecessor", "Fortagonum bigenum", "Galerita orbignyi", "Galerita orientalis", "Galerita orobia", "Galerita palustris", "Galerita perrieri", "Galerita pheropsophoides", "Galerita procera", "Galerita pseudoventricosa", "Galerita rubens", "Galerita rubripes", "Galerita ruficeps", "Galerita ruficollis", "Galerita seminigra", "Galerita simplex", "Galerita simplicicarinata", "Galerita stenodera", "Galerita strandi", "Galerita striata", "Galerita sulcipennis", "Galerita toreuta", "Galerita tremolerasi", "Galerita tristis", "Galerita tucumana", "Galerita unicolor", "Galerita ventricosa", "Galerita atripes", "Galerita forreri", "Galerita janus", "Galerita lecontei", "Galerita mexicana", "Galerita reichardti", "Galicioreicheia struyvei", "Galiciotyphlotes weberi", "Gallerucidia basinotata", "Gallerucidia championi", "Gallerucidia dimidiata", "Gallerucidia erotyloides", "Gallerucidia octonotata", "Gastragonum caecum", "Gastragonum esulcatum", "Gastragonum frontepunctum", "Gastragonum giluwe", "Gastragonum laevisculptum", "Gastragonum subrotundum", "Gastragonum terrestre", "Gastragonum terrestroides", "Gastragonum trechoides", "Gastragonum wau", "Harpactea ortegai", "Gastrellarius blanchardi", "Gastrellarius honestus", "Gastrellarius unicarum", "Gastrogmus ischialis", "Geballusa microtreta", "Geballusa nannotreta", "Geballusa oligotreta", "Geballusa polytreta", "Geballusa rex", "Geobaenus australasiae", "Geobaenus ingenuus", "Geobaenus lateralis", "Geobaenus natalensis", "Geobius pubescens", "Geocharidius andersoni", "Geocharidius antigua", "Geocharidius balini", "Geocharidius celaquensis", "Geocharidius comayaguanus", "Geocharidius disjunctus", "Geocharidius erwini", "Geocharidius gimlii", "Geocharidius integripennis", "Geocharidius jalapensis", "Geocharidius lencanus", "Geocharidius longinoi", "Geocharidius minimus", "Geocharidius phineus", "Geocharidius romeoi", "Geocharidius tagliantii", "Geocharidius vignatagliantii", "Geocharidius zullinii", "Geocharis amicorum", "Geocharis antheroi", "Geocharis barcorabelo", "Geocharis bifenestrata", "Pireneitega taishanensis", "Geocharis bivari", "Geocharis boieiroi", "Geocharis capelai", "Geocharis caseiroi", "Geocharis coiffaiti", "Geocharis cordubensis", "Geocharis elegantula", "Geocharis estremozensis", "Geocharis falcipenis", "Geocharis femoralis", "Geocharis fenestrata", "Geocharis fermini", "Geocharis grandolensis", "Geocharis iborensis", "Geocharis julianae", "Geocharis juncoi", "Geocharis korbi", "Geocharis leoni", "Geocharis liberorum", "Geocharis margaridae", "Geocharis massinissa", "Geocharis monfortensis", "Geocharis montecristoi", "Geocharis moscatelus", "Geocharis mussardi", "Geocharis notolampros", "Geocharis noudari", "Geocharis olisipensis", "Geocharis portalegrensis", "Geocharis quartaui", "Geocharis raclinae", "Geocharis rodriguesi", "Geocharis rotundata", "Geocharis ruiztapiadori", "Geocharis sacarraoi", "Geocharis saldanhai", "Geocharis sebastianae", "Geocharis submersa", "Geocharis testatetrafoveata", "Geodromus becvari", "Geodromus dumolinii", "Geoffreyella holoserica", "Geoffreyella lamingtonensis", "Geopinus incrassatus", "Geoscaptus cacus", "Geoscaptus crassus", "Geoscaptus plicatulus", "Geotrechus aldensis", "Geotrechus andreae", "Geotrechus boumortensis", "Geotrechus debilis", "Geotrechus delioti", "Geotrechus dequaei", "Geotrechus discontignyi", "Geotrechus dumonti", "Geotrechus gallicus", "Geotrechus holcartensis", "Geotrechus incantatus", "Geotrechus jeanneli", "Geotrechus orcinus", "Geotrechus orpheus", "Geotrechus palei", "Geotrechus picanyoli", "Geotrechus puigmalensis", "Geotrechus sarpedon", "Geotrechus saulcyi", "Geotrechus seijasi", "Geotrechus serrulatus", "Geotrechus soussieuxi", "Geotrechus sulcatus", "Geotrechus trophonius", "Geotrechus ubachi", "Geotrechus vandeli", "Geotrechus vanderberghei", "Geotrechus victoriai", "Geotrechus vulcanus", "Gestroania amplipennis", "Gestroania froggatti", "Gestroania setipennis", "Gestroania storeyi", "Giachinoana carinipennis", "Giachinoana insulicola", "Gibbozaena mirabilis", "Gidda barthelemyi", "Gigadema biordinatum", "Gigadema bostockii", "Gigadema dux", "Gigadema froggatti", "Gigadema grande", "Gigadema gulare", "Gigadema longipenne", "Gigadema mandibulare", "Gigadema maxillare", "Gigadema nocte", "Gigadema obscurum", "Gigadema rugaticolle", "Gigadema sulcatum", "Giraffaphaenops clarkei", "Giraffaphaenops yangi", "Glycia bimaculata", "Glycia klapperichi", "Glycia rufolimbata", "Glycia spencei", "Glycia unicolor", "Glyphodactyla femoralis", "Gnathaphanus riverinae", "Gnathaphanus sexpunctatus", "Gnathaphanus subolivaceus", "Gnathaphanus vulneripennis", "Gnathaphanus whitei", "Gnathoxys barbatus", "Gnathoxys cicatricosus", "Gnathoxys crassipes", "Gnathoxys foveatus", "Gnathoxys granularis", "Gnathoxys humeralis", "Gnathoxys insignitus", "Gnathoxys irregularis", "Gnathoxys macleayi", "Gnathoxys murrumbidgensis", "Gnathoxys obscurus", "Gnathoxys pannuceus", "Gnathoxys punctipennis", "Gnathoxys submetallicus", "Gnathoxys sulcicollis", "Gnathoxys tesselatus", "Gnathoxys westwoodi", "Gnopheroides pearsoni", "Goedetrechus mendumae", "Goedetrechus parallelus", "Goedetrechus talpinus", "Gomerina calathiformis", "Gomerina nitidicollis", "Goniocellus bifossifrons", "Goniocellus isthmianus", "Goniotropis angulicollis", "Goniotropis balli", "Goniotropis barclayi", "Goniotropis batesii", "Goniotropis boweni", "Goniotropis brasiliensis", "Goniotropis cayennensis", "Goniotropis claritarsalis", "Goniotropis cotopaxiensis", "Goniotropis decellei", "Goniotropis ecuadorensis", "Goniotropis elongata", "Goniotropis escalonai", "Goniotropis guyanensis", "Goniotropis kuntzeni", "Goniotropis morio", "Goniotropis napoensis", "Goniotropis navattae", "Goniotropis nicaraguensis", "Goniotropis olivieri", "Goniotropis omodon", "Goniotropis parca", "Goniotropis ratcliffei", "Goniotropis regina", "Goniotropis rogerii", "Goniotropis rondoniaensis", "Goniotropis seriatoporoides", "Goniotropis setifer", "Goniotropis simplicicollis", "Goniotropis steineri", "Goniotropis tarsalis", "Goniotropis taylorae", "Goniotropis telesfordi", "Graphipterus cursor", "Graphipterus damarensis", "Graphipterus deceptor", "Graphipterus decipiatus", "Graphipterus discicollis", "Graphipterus dissimilis", "Graphipterus dolosus", "Graphipterus dukei", "Graphipterus duvivieri", "Graphipterus dymorphus", "Graphipterus ellipticus", "Graphipterus endroedyi", "Graphipterus erikssoni", "Graphipterus erlangeri", "Graphipterus erraticus", "Graphipterus exclamationifer", "Graphipterus exclamationis", "Graphipterus fallaciosus", "Graphipterus fasciatus", "Graphipterus femoratus", "Graphipterus fritschi", "Graphipterus frontalis", "Graphipterus galla", "Graphipterus geminatus", "Graphipterus gestroi", "Graphipterus gilli", "Graphipterus griseolineatus", "Graphipterus griseus", "Graphipterus hammondi", "Graphipterus hessei", "Graphipterus holmi", "Graphipterus horni", "Graphipterus incanus", "Graphipterus insidiosus", "Graphipterus interlineatus", "Graphipterus jubae", "Graphipterus katangae", "Graphipterus kochi", "Graphipterus laevisignatus", "Graphipterus langheldi", "Graphipterus lateralis", "Graphipterus laticollis", "Graphipterus limbatus", "Graphipterus lineelus", "Graphipterus lineolatus", "Graphipterus longulus", "Graphipterus lorenzi", "Graphipterus louwi", "Graphipterus luctuosus", "Graphipterus lugens", "Graphipterus macrocephalus", "Graphipterus marginatus", "Graphipterus marshalli", "Graphipterus mashunus", "Graphipterus michaelseni", "Graphipterus minutus", "Graphipterus miskelli", "Graphipterus mouffleti", "Graphipterus namanus", "Graphipterus nanniscus", "Graphipterus neavei", "Graphipterus njarassae", "Graphipterus nyassicus", "Graphipterus obliteratus", "Glyptogrus aequatorius", "Glyptogrus bidentatus", "Glyptogrus boliviensis", "Glyptogrus glypticus", "Glyptogrus molopinus", "Glyptogrus porosus", "Glyptogrus sulcipennis", "Glyptolenoides azureipennis", "Glyptolenoides azureus", "Glyptolenoides balli", "Glyptolenoides cyclothorax", "Glyptolenoides elegantulus", "Glyptolenoides germaini", "Glyptolenoides purpuripennis", "Glyptolenoides siemeradskii", "Glyptolenoides sulcipennis", "Glyptolenoides sulcitarsis", "Glyptolenus aereipennis", "Glyptolenus affinis", "Glyptolenus apicestriatus", "Glyptolenus ater", "Glyptolenus brevitarsis", "Glyptolenus chalybeus", "Glyptolenus convexiusculus", "Glyptolenus estebanensis", "Glyptolenus janthinus", "Glyptolenus latelytra", "Glyptolenus latitarsis", "Glyptolenus mirabilis", "Glyptolenus negrei", "Glyptolenus nigrita", "Glyptolenus nitidipennis", "Glyptolenus rivalis", "Glyptolenus ruficollis", "Glyptolenus rugicollis", "Glyptolenus simplicicollis", "Glyptolenus smithi", "Glyptolenus spinosus", "Glyptolenus straneoi", "Glyptolenus transformatus", "Glyptus insignis", "Glyptus sculptilis", "Gnaphon costatus", "Gnaphon humeralis", "Gnaphon loyolae", "Gnathaphanus aridus", "Gnathaphanus chinensis", "Gnathaphanus chujoi", "Gnathaphanus froggatti", "Gnathaphanus glamorgani", "Gnathaphanus herbaceus", "Gnathaphanus kansuensis", "Gnathaphanus latus", "Gnathaphanus licinoides", "Gnathaphanus loeffleri", "Gnathaphanus masudai", "Gnathaphanus parallelus", "Gnathaphanus philippensis", "Gnathaphanus picipes", "Gnathaphanus porcatulus", "Gnathaphanus pulcher", "Gnathaphanus punctifer", "Gnathaphanus rectangulus", "Goniotropis tiputinica", "Goniotropis toulgoeti", "Gonogenia atrata", "Gonogenia endroedyi", "Gonogenia immerita", "Gonogenia oxygona", "Gonogenia rugosopunctata", "Gonogenia spinipennis", "Gonogenia tabida", "Gotoblemus ii", "Gouleta cayennensis", "Gouleta gentryi", "Gouleta notiophiloides", "Gouleta spangleri", "Gracilanillus cockingi", "Gracilanillus cordatus", "Gracilanillus currani", "Gracilanillus longulus", "Gracilanillus minutus", "Gracilanillus vixsulcatus", "Grammognatha euphratica", "Grandipenetretus major", "Grandopronotalia smithi", "Graniger cordicollis", "Graniger femoralis", "Granulopaussus granulatus", "Granulopaussus leleupi", "Granulopaussus reichenspergeri", "Granulopaussus sankuruensis", "Graphipterus albolineatus", "Graphipterus albomarginatus", "Graphipterus alluaudi", "Graphipterus alternatus", "Graphipterus amabilis", "Graphipterus amicus", "Graphipterus ancora", "Graphipterus andersoni", "Graphipterus angolanus", "Graphipterus angustus", "Graphipterus arrowi", "Graphipterus assimilis", "Graphipterus atrimedius", "Graphipterus babaulti", "Graphipterus barthelemyi", "Graphipterus basalis", "Graphipterus basilewskyi", "Graphipterus basivittatus", "Graphipterus bilineatus", "Graphipterus bivittatus", "Graphipterus bonvouloiri", "Graphipterus brunellii", "Graphipterus calcaratus", "Graphipterus castanopterus", "Graphipterus chaudoiri", "Graphipterus cicindeloides", "Graphipterus cinctus", "Graphipterus cineraceus", "Graphipterus cinerarius", "Graphipterus circumcinctus", "Graphipterus circumdatus", "Graphipterus clarkei", "Graphipterus congoensis", "Graphipterus cordiger", "Graphipterus crampeli", "Graphipterus obsoletus", "Graphipterus omophractus", "Graphipterus ornatus", "Graphipterus patrizii", "Graphipterus penrithae", "Graphipterus plagiatus", "Graphipterus plesius", "Graphipterus plurifasciatus", "Graphipterus pronitens", "Graphipterus provitiosus", "Graphipterus pseudofrontalis", "Graphipterus rhodesianus", "Graphipterus salinae", "Graphipterus samburuensis", "Graphipterus sennariensis", "Graphipterus serrator", "Graphipterus sexvittatus", "Graphipterus simillimus", "Graphipterus snizeki", "Graphipterus somereni", "Graphipterus soricinus", "Graphipterus speculifer", "Graphipterus sublimbatus", "Graphipterus subsuturalis", "Graphipterus suspectus", "Graphipterus suturalis", "Graphipterus suturiger", "Graphipterus tellinii", "Graphipterus tibialis", "Graphipterus tichyi", "Graphipterus trilineatus", "Graphipterus tristis", "Graphipterus tuky", "Graphipterus upembanus", "Graphipterus velox", "Graphipterus velutinus", "Graphipterus vestitus", "Graphipterus vittatus", "Graphipterus vitticollis", "Graphipterus vittiger", "Graphipterus voltae", "Graphipterus youngai", "Grouvellina bulirschi", "Grouvellina canaliculata", "Grouvellina cinerea", "Grouvellina cooperi", "Grouvellina cuneata", "Grouvellina dentipes", "Grouvellina descarpentriesi", "Grouvellina divergens", "Grouvellina edentata", "Grouvellina gigas", "Grouvellina grouvellei", "Grouvellina hexadon", "Grouvellina hova", "Grouvellina janaki", "Grouvellina montana", "Grouvellina moraveci", "Grouvellina nzwani", "Grouvellina planifrons", "Grouvellina radama", "Grouvellina ranavalona", "Grouvellina tubericeps", "Grundmannius dispar", "Guatemalatrechus cuchumatanensis", "Guatemalteca virgen", "Gugheorites scotti", "Guiaphaenops deuvei", "Guiaphaenops lingyunensis", "Guineica inaequidens", "Guineica tetrachoides", "Guiodytes bedosae", "Guiodytes cavicola", "Guiodytes deharvengi", "Guizhaphaenops baiyinensis", "Guizhaphaenops brevioricornis", "Guizhaphaenops daheiensis", "Guizhaphaenops giganteus", "Guizhaphaenops guoquandongensis", "Guizhaphaenops lipsorum", "Guizhaphaenops martii", "Guizhaphaenops pouillyi", "Guizhaphaenops striatus", "Guizhaphaenops zhijinensis", "Guizhaphaenops zorzini", "Gulaphaenops leptodiroides", "Gunvorita angusticeps", "Gunvorita apicalis", "Gunvorita besucheti", "Gunvorita bihamata", "Gunvorita denticulata", "Gunvorita depressipennis", "Gunvorita distinguenda", "Gunvorita elegans", "Gunvorita globipalpis", "Gunvorita hamifera", "Gunvorita indica", "Gunvorita inermis", "Gunvorita laeviceps", "Gunvorita martensi", "Gunvorita minor", "Gunvorita nepalensis", "Gunvorita ovaliceps", "Gunvorita punctipennis", "Gunvorita schawalleri", "Gunvorita smetanai", "Gunvorita uncinata", "Gynandromorphus etruscus", "Habragonum amamioshimense", "Habrodera capensis", "Habrodera leucoptera", "Habrodera nilotica", "Habrodera nitidula", "Habrodera ovas", "Habrodera procyanea", "Habrodera truncatilabris", "Habroscelimorpha auraria", "Habroscelimorpha boops", "Habroscelimorpha californica", "Habroscelimorpha circumpicta", "Habroscelimorpha curvata", "Habroscelimorpha dorsalis", "Habroscelimorpha fulgoris", "Habroscelimorpha gabbii", "Habroscelimorpha pamphila", "Habroscelimorpha praetextata", "Habroscelimorpha rockefelleri", "Harpalus amplicollis", "Harpalus amputatus", "Harpalus anatolicus", "Harpalus angulatus", "Harpalus angustipennis", "Harpalus angustitarsis", "Harpalus animosus", "Harpalus anisodactyliformis", "Harpalus antonowi", "Harpalus anxioides", "Harpalus anxius", "Harpalus araraticus", "Harpalus arcuatus", "Harpalus arnoldii", "Harpalus ascetes", "Harpalus asemus", "Harpalus aterrimus", "Harpalus atratus", "Harpalus atrichatus", "Harpalus atripes", "Harpalus attenuatus", "Harpalus autumnalis", "Harpalus badakschanus", "Harpalus baleensis", "Harpalus balli", "Harpalus basanicus", "Harpalus basilewskyi", "Harpalus basuto", "Harpalus bellieri", "Harpalus beneshi", "Harpalus bitinctus", "Harpalus brachypterus", "Harpalus brevicornis", "Harpalus brevis", "Harpalus breviusculus", "Harpalus brunnipes", "Harpalus bucharicus", "Harpalus bungii", "Harpalus caeruleatus", "Harpalus caiphus", "Harpalus calathoides", "Harpalus capicola", "Harpalus cardoni", "Harpalus caspius", "Harpalus cautus", "Harpalus chalcentus", "Harpalus chalcopterus", "Harpalus chasanensis", "Harpalus chobautianus", "Harpalus chrysopus", "Harpalus circumpunctatus", "Harpalus cisteloides", "Harpalus colchicus", "Calamus adspersus", "Harpalus compressus", "Harpalus contemptus", "Harpalus convexus", "Harpalus corporosus", "Harpalus corrugatus", "Harpalus crates", "Harpalus cupreus", "Draconarius rufulus", "Amblyoponiphilus agilis", "Amblyoponiphilus satelles", "Calamus latifolius", "Coelotes quadratus", "Draconarius penicillatus", "Draconarius infulatus", "Calamus melanoloma", "Calamus muelleri", "Corispermum americanum var. rydbergii", "Draconarius digitusiformis", "Draconarius aspinatus", "Draconarius bituberculatus", "Draconarius carinatus", "Pireneitega tianchiensis", "Draconarius molluscus", "Calamus pseudotenuis", "Draconarius lutulentus", "Calamus thwaitesii", "Calamus oxleyanus", "Calamus glaucescens", "Calamus calicarpus", "Calamus caryotoides", "Homonota rupicola", "Calamus castaneus", "Aenictophila thailandica", "Aenictozyras flavus", "Allardiana katangana", "Allodinarda kohli", "Allodinarda myrmicariae", "Amaurodera coriacea", "Amaurodera granata", "Amaurodera ilamica", "Amaurodera kleebergi", "Amaurodera nigra", "Amaurodera philippina", "Amaurodera schawalleri", "Tonsilla truculenta", "Tonsilla eburniformis", "Tonsilla variegata", "Tonsilla tautispina", "Tonsilla lyrata", "Iwogumoa illustrata", "Calamus equestris", "Amaurodera similis", "Amaurodera spathulifera", "Calamus gibbsianus", "Draconarius uncinatus", "Amaurodera darenae", "Draconarius singulatus", "Calamus heteroideus", "Habroscelimorpha schwarzi", "Habroscelimorpha severa", "Habroscelimorpha striga", "Habroscelimorpha wellingi", "Habroscelimorpha yucatana", "Habutarus abboti", "Habutarus calderi", "Habutarus canaliculatus", "Habutarus chillagoensis", "Habutarus convexipennis", "Habutarus crassiceps", "Habutarus demarzi", "Habutarus eungellae", "Habutarus iridipennis", "Habutarus kirramae", "Habutarus laticeps", "Habutarus madang", "Habutarus monteithi", "Habutarus morosus", "Habutarus nitidicollis", "Habutarus opacipennis", "Habutarus papua", "Habutarus parviceps", "Habutarus punctatipennis", "Habutarus rugosipennis", "Habutarus wau", "Habutarus weiri", "Hannaphota distincta", "Haplaner insulicola", "Haplaner velox", "Haplobothynus gounellei", "Haplobothynus paranae", "Haplocolpodes alluaudianus", "Haplocolpodes basilewskyanus", "Haplocolpodes brachyderus", "Haplocolpodes descarpentriesi", "Haplocolpodes lithopius", "Haplocolpodes perrieri", "Haplocolpodes renaudianus", "Haplocolpodes vietteanus", "Haplocolpodes viridiaureus", "Haploferonia simplex", "Haplogaster ampliata", "Haplogaster elongata", "Haplogaster granulipennis", "Haplogaster himalayica", "Haplogaster manipurensis", "Haplogaster mollita", "Haplogaster ovata", "Haplogaster rugosa", "Haplogaster wardi", "Haplopeza bicolor", "Haplopeza umtalia", "Haplopeza violacea", "Haplotrachelus atropis", "Haplotrachelus meracus", "Haplotrachelus oviventris", "Haplotrachelus pondoanus", "Haplotrachelus transvaalensis", "Haplotrachelus capicola", "Haplotrachelus dregei", "Haplotrachelus holcopleurus", "Haplotrachelus ignobilis", "Haplotrachelus laevis", "Calamus manillensis", "Corispermum ucrainicum", "Corispermum chinganicum var. stellipile", "Calamus longipes", "Calamus melanochaetes", "Harpalus cursorius", "Harpalus cyanopterus", "Harpalus cyclogonus", "Harpalus danieli", "Harpalus davidianus", "Harpalus decipiens", "Harpalus defector", "Harpalus demelti", "Harpalus desertus", "Harpalus diligens", "Harpalus dimidiatus", "Harpalus dispar", "Harpalus dissitus", "Harpalus distinguendus", "Harpalus diversicollis", "Harpalus dubius", "Harpalus durangoensis", "Harpalus ebeninus", "Harpalus egenus", "Harpalus egorovi", "Harpalus ellipsis", "Harpalus erosus", "Harpalus euchlorus", "Harpalus exiguus", "Harpalus famelicus", "Harpalus farkaci", "Harpalus ferghanensis", "Harpalus fimetarius", "Harpalus flavescens", "Harpalus flavicornis", "Pireneitega involuta", "Harpalus foveiger", "Harpalus franzi", "Harpalus frater", "Harpalus fraternus", "Harpalus froelichii", "Harpalus fukiensis", "Harpalus fulgens", "Harpalus fulvicornis", "Harpalus fulvilabris", "Harpalus fulvipennis", "Harpalus fuscicornis", "Harpalus fuscipalpis", "Harpalus fuscipennis", "Harpalus fuscoaeneus", "Harpalus ganssuensis", "Harpalus giacomazzoi", "Harpalus gilgil", "Harpalus gisellae", "Harpalus glasunovi", "Harpalus gravis", "Harpalus gregoryi", "Harpalus grilli", "Harpalus hartmanni", "Harpalus herbivagus", "Harpalus heyrovskyi", "Harpalus hirtipes", "Harpalus honestus", "Harpalus hospes", "Harpalus hybridus", "Harpalus imerinae", "Harpalus impressicollis", "Harpalus impressus", "Haplotrachelus latesulcatus", "Haplotrachelus lissotonus", "Haplotrachelus ovipennis", "Haplotrachelus pasimachoides", "Haplotrachelus patruelis", "Haplotrachelus planatus", "Haplotrachelus polypleurus", "Haplotrachelus punctuliger", "Haplotrachelus subcrenatus", "Haplotrachelus wiedemanni", "Haptoderidius debeckeri", "Haptoderodes convexus", "Haptoderodes planulus", "Harpaglossus laevigatus", "Harpaglossus obscurus", "Harpaglossus opacus", "Harpaglossus politus", "Harpalinus bekilyanus", "Harpalinus flavilabris", "Harpalinus micros", "Harpalobrachys leiroides", "Harpalodiodes xanthorhaphus", "Harpalomimetes andrewesi", "Harpalomimetes fukiensis", "Harpalomimetes papua", "Harpalomimetes shibatai", "Harpalomimetes sjoestedti", "Harpalomorphus aeneipennis", "Harpalomorphus capicola", "Harpalomorphus minor", "Harpalomorphus modestus", "Harpalomorphus pseudocapicola", "Harpalomorphus rufipennis", "Harpalomorphus sinuaticollis", "Harpalus cephalotes", "Harpalus agnatus", "Harpalus cyrenaicus", "Harpalus fulvus", "Harpalus idiotus", "Harpalus janinae", "Harpalus litigiosus", "Harpalus melancholicus", "Harpalus schaumii", "Harpalus tenebrosus", "Harpalus apache", "Harpalus cohni", "Harpalus corpulentus", "Harpalus huachuca", "Harpalus obliquus", "Harpalus puncticeps", "Harpalus stephani", "Harpalus acupalpoides", "Harpalus aeneipennis", "Harpalus aequicollis", "Harpalus agakhaniantzi", "Harpalus akinini", "Harpalus alajensis", "Harpalus albanicus", "Harpalus alexandrae", "Harpalus alexeevi", "Harpalus alpivagus", "Harpalus amarellus", "Harpalus amariformis", "Harpalus inconcinnus", "Harpalus indianus", "Harpalus indicola", "Harpalus indigens", "Harpalus inexspectatus", "Harpalus ingenuus", "Harpalus innocuus", "Harpalus italus", "Harpalus jeanneli", "Harpalus jordanus", "Harpalus kabakianus", "Harpalus kabakovi", "Harpalus kadleci", "Harpalus kadyrbekovi", "Harpalus kandaharensis", "Harpalus karakorum", "Harpalus karamani", "Harpalus kazanensis", "Harpalus kaznakovi", "Harpalus kibonoti", "Harpalus kirgisicus", "Harpalus kiritshenkoi", "Harpalus klapperichi", "Harpalus kmecoi", "Harpalus koshiensis", "Harpalus kozlovi", "Harpalus kryzhanovskii", "Harpalus kunarensis", "Harpalus laetus", "Harpalus laevipes", "Harpalus lama", "Harpalus lampronotus", "Harpalus lateralis", "Harpalus laticeps", "Harpalus lederi", "Harpalus lethierryi", "Harpalus lewisii", "Harpalus longipalmatus", "Harpalus lopezi", "Harpalus lugubris", "Harpalus lumbaris", "Harpalus luteicornis", "Harpalus lutshniki", "Harpalus macronotus", "Harpalus madagascariensis", "Harpalus mairei", "Harpalus major", "Harpalus makhekensis", "Harpalus manas", "Harpalus marginellus", "Harpalus martini", "Harpalus masoreoides", "Harpalus massarti", "Harpalus mauritanicus", "Harpalus megacephalus", "Harpalus melaneus", "Harpalus metallinus", "Harpalus metarsius", "Harpalus meteorus", "Harpalus michaili", "Harpalus michailovi", "Harpalus microthorax", "Harpalus miles", "Harpalus minutulus", "Draconarius hangzhouensis", "Draconarius arcuatus", "Draconarius cheni", "Draconarius wenzhouensis", "Harpalus rufomarginatus", "Harpalus rumelicus", "Harpalus salinulus", "Harpalus salinus", "Harpalus sanctaehelenae", "Harpalus saxicola", "Harpalus semenowi", "Harpalus semipunctatus", "Harpalus serripes", "Harpalus servus", "Harpalus setiporus", "Harpalus seyrigi", "Harpalus siculus", "Harpalus silipes", "Harpalus sinuatipennis", "Harpalus sinuatus", "Harpalus smaragdinus", "Harpalus smyrnensis", "Harpalus solitaris", "Harpalus somereni", "Harpalus somnulentus", "Harpalus spadiceus", "Harpalus spretus", "Harpalus spurius", "Harpalus stevenii", "Harpalus stoetznerianus", "Harpalus strenuus", "Harpalus stricticollis", "Harpalus subaeneus", "Harpalus subcylindricus", "Harpalus subtruncatus", "Harpalus sulphuripes", "Harpalus sundaicus", "Harpalus sushenicus", "Harpalus suturangulus", "Harpalus szalliesi", "Harpalus taciturnus", "Harpalus tangutorum", "Harpalus tarsalis", "Harpalus tenuestriatus", "Harpalus terrestris", "Harpalus tibeticus", "Harpalus tichonis", "Harpalus tiridates", "Harpalus tithonus", "Harpalus tjanschanicus", "Harpalus torosensis", "Harpalus torridoides", "Harpalus trichophorus", "Harpalus triseriatus", "Harpalus turcicus", "Harpalus turmalinus", "Harpalus udege", "Harpalus uniformis", "Harpalus ussuricus", "Harpalus vanemdeni", "Harpalus venator", "Harpalus ventralis", "Harpalus vereschaginae", "Harpalus vernicosus", "Harpalus viridanus", "Harpalus viridicupreus", "Harpalus vittatus", "Harpalus suensoni", "Harpalus texanus", "Harpalus tridens", "Harpalus ussuriensis", "Harpalus vagans", "Harpalus xinjiangensis", "Harpalus yinchuanensis", "Harpalus signaticornis", "Harpalus mariae", "Harpalus microdemas", "Harpalus praticola", "Harpalus pseudotinctulus", "Harpalus tinctulus", "Pireneitega xinping", "Draconarius colubrinus", "Draconarius wudangensis", "Homonota marthae", "Homonota underwoodi", "Homonota andicola", "Bulbophyllum schillerianum", "Homonota whitii", "Homonota borellii", "Homonota fasciata", "Homonota uruguayensis", "Homonota taragui", "Calamus australis", "Bulbophyllum shepherdii", "Harpalus mitridati", "Harpalus mlynari", "Harpalus modestus", "Harpalus morvani", "Harpalus nanniscus", "Harpalus natalensis", "Harpalus natalicus", "Harpalus neglectus", "Harpalus nevadensis", "Harpalus nigrans", "Harpalus nigritarsis", "Harpalus numidicus", "Harpalus nyassicus", "Harpalus oblitus", "Harpalus obnixus", "Harpalus obtusiusculus", "Harpalus ochropus", "Harpalus oodioides", "Harpalus opacipennis", "Harpalus optabilis", "Harpalus ovtshinnikovi", "Harpalus pachys", "Harpalus pallidipennis", "Harpalus pallipes", "Harpalus parasinuatus", "Harpalus parvulus", "Harpalus pecinai", "Harpalus petri", "Harpalus picipennis", "Harpalus plancyi", "Harpalus plenalis", "Harpalus politus", "Harpalus polyglyptus", "Harpalus potanini", "Harpalus poussereaui", "Harpalus praecurrens", "Harpalus procognatus", "Harpalus progrediens", "Harpalus prosperus", "Harpalus providens", "Harpalus pseudoserripes", "Harpalus pterostichus", "Harpalus puetzi", "Harpalus pulchrinulus", "Harpalus pulvinatus", "Harpalus pumilus", "Harpalus punctatostriatus", "Harpalus punctipennis", "Harpalus pusillus", "Harpalus pygmaeus", "Harpalus quadratus", "Harpalus raphaili", "Harpalus reflexus", "Harpalus reitteri", "Harpalus remboides", "Harpalus reversus", "Harpalus rhemboides", "Harpalus rivalsi", "Harpalus rotundus", "Harpalus rougemonti", "Harpalus rufipalpis", "Harpalus rufiscapus", "Harpalus rufitarsoides", "Corispermum hookeri var. pseudodeclinatum", "Exostoma tibetanum", "Prunus lannesiana", "Iwogumoa plancyi", "Harpathaumas priscus", "Harponixus pubescens", "Harpostomus opulentus", "Hartonymus alternatus", "Hartonymus hoodi", "Helenaea torretassoi", "Helluapterus niger", "Helluarchus robustus", "Helluarchus whitei", "Calamus verticillaris", "Draconarius argenteus", "Draconarius prolixus", "Calamus crinitus", "Coelotes mastrucatus", "Corispermum czernjaevii", "Anepipleuronia arachnoides", "Anepipleuronia burgeoni", "Anepipleuronia gedyei", "Anepipleuronia zernyi", "Anepipleuronia kaszabi", "Anepipleuronia reichenspergeri", "Anepipleuronia semilunarae", "Corispermum dutreuilii var. montanum", "Anommatochara kohli", "Corispermum dutreuilii var. pilocarpum", "Anopsapterus bordati", "Anthropeltodonia speluncicollis", "Harpalus wadiensis", "Harpalus wohlberedti", "Harpalus xanthopus", "Harpalus zabroides", "Harpalus zhdankoi", "Harpalus platynotus", "Harpalus rubefactus", "Harpalus cordifer", "Harpalus tadorcus", "Harpalus erraticus", "Harpalus retractus", "Harpalus actiosus", "Harpalus adenticulatus", "Harpalus aenigma", "Harpalus alienus", "Harpalus aogashimensis", "Harpalus azumai", "Harpalus babai", "Harpalus calceatus", "Harpalus caliginosus", "Harpalus chengjiangensis", "Harpalus chiloschizontus", "Harpalus cilihumerus", "Harpalus compar", "Harpalus coreanus", "Harpalus davidi", "Harpalus disaogashimensis", "Harpalus disimuciulus", "Harpalus eous", "Harpalus erythropus", "Harpalus faunus", "Harpalus fokienensis", "Harpalus griseus", "Harpalus hatchi", "Harpalus hauserianus", "Harpalus hypogeomysis", "Harpalus indicus", "Harpalus jureceki", "Harpalus kagyzmanicus", "Harpalus kailiensis", "Harpalus katiae", "Harpalus liobasis", "Harpalus longihornus", "Harpalus meghalayensis", "Harpalus meridianus", "Harpalus muciulus", "Harpalus paratus", "Harpalus pastor", "Harpalus penglainus", "Harpalus pensylvanicus", "Harpalus periglabellus", "Harpalus pilosus", "Harpalus poncei", "Harpalus protractus", "Harpalus pseudohauserianus", "Harpalus pseudophonoides", "Harpalus roninus", "Harpalus rufipes", "Harpalus scabripectus", "Harpalus sericatus", "Harpalus simplicidens", "Harpalus singularis", "Harpalus sinicus", "Hystrichopus marakwetianus", "Hystrichopus marlieri", "Hystrichopus massaicus", "Hystrichopus mateui", "Hystrichopus meruensis", "Hystrichopus mirei", "Hystrichopus mniszechi", "Hystrichopus natalensis", "Hystrichopus nigerrimus", "Hystrichopus nimbanus", "Hystrichopus nyassicus", "Hystrichopus olbrechtsi", "Hystrichopus platyderus", "Hystrichopus plesius", "Hystrichopus praedator", "Hystrichopus pusillus", "Hystrichopus recticollis", "Hystrichopus ruandanus", "Hystrichopus rufipennis", "Hystrichopus rufipes", "Hystrichopus rufofemoralis", "Hystrichopus rugicollis", "Hystrichopus seynaevei", "Hystrichopus similis", "Hystrichopus subtenuicollis", "Hystrichopus sulcatus", "Hystrichopus tenuicollis", "Hystrichopus uluguruanus", "Hystrichopus upembanus", "Hystrichopus uyttenboogaarti", "Hystrichopus velox", "Hystrichopus vigilans", "Hystricosphodrus vailatii", "Iason argonauta", "Iason beroni", "Iason fulvii", "Iason karametasi", "Iason olympicus", "Iason paglianoi", "Iason rossii", "Iberanillus vinyasi", "Iberodytes ramiroi", "Iberotrechus bolivari", "Idiagonum asperius", "Idiagonum asperum", "Idiagonum capellae", "Idiagonum darlingtoni", "Idiagonum eliti", "Idiagonum giluwe", "Idiagonum inasperum", "Idiagonum latius", "Idiagonum limatulum", "Idiagonum longipenne", "Idiagonum macrocephalum", "Idiagonum muscorum", "Idiagonum opacicolle", "Idiagonum riedeli", "Idiagonum sinuatipenne", "Idiagonum wapenamandae", "Idiastes alaticollis", "Idiastes costatus", "Idiocolpodes tsaratanensis", "Helluonidius aterrimus", "Helluonidius chrysocomus", "Helluonidius cyaneus", "Helluonidius cyanipennis", "Helluonidius laevifrons", "Helluonidius latipennis", "Helluonidius latipes", "Helluonidius politus", "Helluopapua cheesmani", "Helluopapua toxopei", "Helluosoma atrum", "Helluosoma longicolle", "Hemiplatynus chihuahuae", "Hemitelestus hova", "Hemitelestus interruptus", "Henrotiochoromus winkleri", "Henrotius jordai", "Henvelik kalchhigenn", "Henvelik kucerai", "Heptodonta analis", "Heptodonta arrowi", "Heptodonta eugenia", "Heptodonta ferrarii", "Heptodonta lumawigi", "Heptodonta melanopyga", "Heptodonta mindoroensis", "Heptodonta posticalis", "Heptodonta pulchella", "Heptodonta vermifera", "Herculagonum anassa", "Herculagonum anax", "Herculagonum atlas", "Hesperanillus bicostatus", "Hesperanillus latibasis", "Hesperanillus scanloni", "Heteracantha depressa", "Heteropaussus allardi", "Heteropaussus alternans", "Heteropaussus angolensis", "Heteropaussus basilewskyi", "Heteropaussus brevicornis", "Heteropaussus bruecklei", "Heteropaussus cardonii", "Heteropaussus corintae", "Heteropaussus curvidens", "Heteropaussus dohrni", "Heteropaussus ferranti", "Heteropaussus flavolineatus", "Heteropaussus hastatus", "Heteropaussus jeanneli", "Heteropaussus kivuensis", "Heteropaussus laticornis", "Heteropaussus lujae", "Heteropaussus oberthueri", "Heteropaussus parallelicornis", "Heteropaussus passoscarvalhoi", "Heteropaussus quadricollis", "Heteropaussus rossi", "Heteropaussus simplex", "Heteropaussus taprobanensis", "Heteropaussus trapezicollis", "Heteropaussus westermanni", "Hexachaetus angulatus", "Helluo costatus", "Helluo insignis", "Helluobrochus anthracinus", "Helluobrochus ares", "Helluobrochus argus", "Helluobrochus bacchus", "Helluobrochus bechynei", "Helluobrochus birai", "Helluobrochus brasiliensis", "Helluobrochus brevicollis", "Helluobrochus bucki", "Helluobrochus capixaba", "Helluobrochus collaris", "Helluobrochus cribratus", "Helluobrochus cribricollis", "Helluobrochus darlingtoni", "Helluobrochus horqueta", "Helluobrochus inconspicuus", "Helluobrochus lacordairei", "Helluobrochus linearis", "Helluobrochus luctuosus", "Helluobrochus negrei", "Helluobrochus oculatus", "Helluobrochus oopselaphus", "Helluobrochus petrus", "Helluobrochus pilipalpis", "Helluobrochus sanguinolentus", "Helluobrochus subrostratus", "Helluocolpodes discicollis", "Helluocolpodes helluo", "Helluocolpodes mucronis", "Helluocolpodes multipunctatus", "Helluodema brunneum", "Helluodema unicolor", "Helluodes devagiriensis", "Helluodes taprobanae", "Helluodes westwoodii", "Helluomorpha araujoi", "Helluomorpha eulinae", "Helluomorpha heros", "Helluomorpha macroptera", "Helluomorphoides balli", "Helluomorphoides brunneus", "Helluomorphoides clairvillei", "Helluomorphoides diana", "Helluomorphoides femoratus", "Helluomorphoides gigantops", "Helluomorphoides glabratus", "Helluomorphoides io", "Helluomorphoides juno", "Helluomorphoides latitarsis", "Helluomorphoides longicollis", "Helluomorphoides mexicanus", "Helluomorphoides nigerrimus", "Helluomorphoides nigripennis", "Helluomorphoides oculeus", "Helluomorphoides papago", "Helluomorphoides praeustus", "Helluomorphoides ritae", "Helluomorphoides rubricollis", "Helluomorphoides squiresi", "Helluomorphoides texanus", "Helluomorphoides unicolor", "Idiomelas crenulatus", "Idiomelas fulvipes", "Idiomelas morio", "Idiomelas nigripes", "Idiomorphus guerini", "Idiomorphus mirabilis", "Idiomorphus xanthochrous", "Ifridytes mateui", "Iga formicina", "Ildobates neboti", "Illaphanus annani", "Illaphanus brittoni", "Illaphanus calderi", "Illaphanus chiarae", "Illaphanus cooki", "Illaphanus endeavouri", "Illaphanus eungellae", "Illaphanus gillisoni", "Illaphanus hanni", "Illaphanus lawrencei", "Illaphanus lordhowei", "Illaphanus mallacootae", "Illaphanus matthewsi", "Illaphanus montanus", "Illaphanus monteithi", "Illaphanus montislewisi", "Illaphanus moorei", "Illaphanus newtoni", "Illaphanus norfolkensis", "Illaphanus nothofagi", "Illaphanus pecki", "Illaphanus pteridophyticus", "Illaphanus thayeri", "Illaphanus thompsoni", "Illaphanus toledanoi", "Illaphanus victoriae", "Illaphanus weiri", "Illaphanus windsori", "Incagonum aeneum", "Incagonum ambiguum", "Incagonum andicola", "Incagonum angulatum", "Incagonum bonariense", "Incagonum brasiliense", "Incagonum chilense", "Incagonum circumdatum", "Incagonum cordicolle", "Incagonum dejeani", "Incagonum discosulcatum", "Incagonum fuscoaeneum", "Incagonum gayi", "Incagonum hiekei", "Incagonum inca", "Incagonum laevicolle", "Incagonum lineatopunctatum", "Hexachaetus brunki", "Hexachaetus kirschenhoferi", "Hexachaetus laevissimus", "Hexachaetus lateralis", "Hexachaetus maculatus", "Hexachaetus mulan", "Hexachaetus tristis", "Hexachaetus vietnamensis", "Hexagonia andrewesi", "Hexagonia angustula", "Hexagonia apicalis", "Hexagonia bencoulensis", "Hexagonia bicolor", "Hexagonia bilyi", "Hexagonia bowringi", "Hexagonia brazzai", "Hexagonia castanea", "Hexagonia caurina", "Hexagonia cephalotes", "Hexagonia collarti", "Hexagonia concolor", "Hexagonia cyclops", "Hexagonia dohrni", "Hexagonia elongata", "Hexagonia eucharis", "Hexagonia fleutiauxi", "Hexagonia gracilis", "Hexagonia gressitti", "Hexagonia guineensis", "Hexagonia immaculata", "Hexagonia insignis", "Hexagonia klapperichi", "Hexagonia longithorax", "Hexagonia lucasseni", "Hexagonia major", "Hexagonia natalensis", "Hexagonia nigrita", "Hexagonia palauensis", "Hexagonia pallida", "Hexagonia papua", "Hexagonia praeusta", "Hexagonia punctatostriata", "Hexagonia queenslandica", "Hexagonia sauteri", "Hexagonia scabricollis", "Hexagonia seyrigi", "Hexagonia spinigera", "Hexagonia stenodes", "Hexagonia terminalis", "Hexagonia terminata", "Hexagonia treichi", "Hexagonia umtalina", "Hexagonia uninotata", "Hexagonia venusta", "Hexagonia watanabei", "Hexagonia zumpti", "Hexaplatarthrus vadoni", "Hikosanoagonum bungo", "Hikosanoagonum latius", "Hikosanoagonum mutsuomiyatakei", "Hikosanoagonum shirozui", "Hikosanoagonum yakuense", "Hiletus alluaudi", "Hiletus fossulatus", "Homethes guttifer", "Homethes marginipennis", "Homethes microguttatus", "Homethes niger", "Homethes rotundatus", "Homethes sericeus", "Homethes velutinus", "Homopterus amplificatus", "Homopterus arrowi", "Homopterus bolivianus", "Homopterus brasiliensis", "Homopterus cunctans", "Homopterus honduriensis", "Homopterus kriegi", "Homopterus lunacarvalhoi", "Homopterus martinezi", "Homopterus proemonens", "Homopterus steinbachi", "Homopterus subcordatus", "Honduranillus balli", "Hoplizomenus carinatus", "Hoplolenus congoensis", "Hoplolenus cyllodinus", "Hoplolenus insignis", "Hoplolenus obesus", "Hormacrus latus", "Hormacrus minor", "Horniulus andrewesi", "Horniulus quadrimaculatus", "Horologion speokoites", "Huoyanodytes tujiaphilus", "Hyboptera angulicollis", "Hyboptera apollonia", "Hyboptera auxiliadora", "Hyboptera tuberculata", "Hyboptera viridivittis", "Hybothecus aequatorius", "Hybothecus aequidianus", "Hybothecus anomalus", "Hybothecus flohri", "Hybothecus incrassatus", "Hybothecus mateui", "Hybothecus sculptilis", "Hydraphaenops alfambrai", "Hydraphaenops blancheti", "Hydraphaenops chaudoirii", "Hydraphaenops coiffaiti", "Hydraphaenops ehlersi", "Hydraphaenops elegans", "Hydraphaenops galani", "Hydraphaenops gracilis", "Hydraphaenops longicollis", "Hydraphaenops minos", "Hydraphaenops mouriesi", "Hydraphaenops navaricus", "Hydraphaenops pandellei", "Hydraphaenops pecoudi", "Hydraphaenops penacollaradensis", "Hydraphaenops sobrarbensis", "Hydraphaenops vandeli", "Hydraphaenops vasconicus", "Hydrotrechus cantabricus", "Hylopaussus gracilis", "Hylopaussus sebakuanus", "Hiletus jeanneli", "Hiletus katanganus", "Hiletus nimba", "Hiletus versutus", "Himalaphaenops nishikawai", "Himalopenetretus franzi", "Himalosphodrus cnesipus", "Himalotrechodes insignis", "Hippoloetis rufus", "Holcocoleus latus", "Holcocoleus melanopus", "Holcoderus aeripennis", "Holcoderus alacer", "Holcoderus brunnescens", "Holcoderus caeruleipennis", "Holcoderus carinatus", "Holcoderus chrysomeloides", "Holcoderus decolor", "Holcoderus dentatus", "Holcoderus elegans", "Holcoderus elongatus", "Holcoderus fissus", "Holcoderus formosanus", "Holcoderus gloriosus", "Holcoderus gracilis", "Holcoderus marginalis", "Holcoderus niger", "Holcoderus obscurus", "Holcoderus ophthalmicus", "Holcoderus overbecki", "Holcoderus praemorsus", "Holcoderus puncticeps", "Holcoderus quadrifoveatus", "Holcoderus quadripunctatus", "Holcoderus smaragdinus", "Holcoderus superbus", "Holcoderus trichias", "Holconotus africanus", "Holconotus brunneus", "Holconotus crassimargo", "Holconotus ferrugineus", "Holconotus gigas", "Holconotus rufus", "Holconotus sinuatus", "Hololeius ceylanicus", "Holoponerus godeffroyi", "Holoprizus serratus", "Holosoma boettcheri", "Holosoma hedini", "Holosoma heros", "Holosoma imurai", "Holosoma nigritum", "Holosoma opacum", "Holosoma rambouseki", "Holosoma sciakyi", "Holosoma speciosum", "Holosoma weigoldi", "Homaloderodes germaini", "Homalomorpha castanea", "Homalonesiota karawarii", "Homalonesiota straneoi", "Homethes angulatus", "Homethes elegans", "Homethes gracilis", "Hylotorus basilewskyi", "Hylotorus blanchardi", "Hylotorus bucephalus", "Hylotorus caroli", "Hylotorus hottentotta", "Hylotorus uelensis", "Hypaetha antiqua", "Hypaetha biramosa", "Hypaetha copulata", "Hypaetha frenchi", "Hypaetha immanis", "Hypaetha intricata", "Hypaetha montravelii", "Hypaetha ornatipennis", "Hypaetha quadrilineata", "Hypaetha schmidti", "Hypaetha singularis", "Hypaetha upsilon", "Hyperectenus aenigmaticus", "Hyperectenus minor", "Hyphaereon consors", "Hyphaereon drescheri", "Hyphaereon hornianus", "Hyphaereon limatus", "Hyphaereon maculatus", "Hyphaereon masumotoi", "Hyphaereon shibatai", "Hyphaereon splendens", "Hyphaereon uenoi", "Hyphaereon vittatus", "Hyphaereon baehri", "Hyphaereon borneensis", "Hyphaereon celebensis", "Hyphaereon chinensis", "Hyphaereon cordens", "Hyphaereon laosensis", "Hyphaereon lautulus", "Hyphaereon lawrencei", "Hyphaereon levis", "Hyphaereon ocularis", "Hyphaereon pallidipes", "Hyphaereon planicollis", "Hyphaereon planipennis", "Hyphaereon platynoides", "Hyphaereon reflexus", "Hyphaereon subviridipennis", "Hyphaereon timidus", "Hyphaereon trusmadiensis", "Hypharpax aereus", "Hypharpax assimilis", "Hypharpax bostockii", "Hypharpax celebensis", "Hypharpax convexiusculus", "Hypharpax dentipes", "Hypharpax deyrollei", "Hypharpax flavitarsis", "Hypharpax flindersii", "Hypharpax habitans", "Hypharpax interioris", "Hypharpax kingii", "Hypharpax kreftii", "Hypharpax moestus", "Hypharpax nitens", "Hypharpax obsoletus", "Hypharpax peronii", "Hypharpax puncticollis", "Hypharpax queenslandicus", "Hypharpax ranula", "Hypharpax rotundipennis", "Hypharpax sculpturalis", "Hypharpax simplicipes", "Hypharpax sloanei", "Hypharpax subsericeus", "Hypharpax vilis", "Hypodipnites kochi", "Hypotyphlus andorranus", "Hypotyphlus aubei", "Hypotyphlus bastianinii", "Hypotyphlus degiovannii", "Hypotyphlus guadarramus", "Hypotyphlus huetei", "Hypotyphlus lidiae", "Hypotyphlus lorinae", "Hypotyphlus lusitanicus", "Hypotyphlus navaricus", "Hypotyphlus pandellei", "Hypotyphlus revelieri", "Hypotyphlus rialensis", "Hypotyphlus ribagorzanus", "Hypotyphlus sardous", "Hypotyphlus sotilloi", "Hystrichopus aethiopicus", "Hystrichopus agilis", "Hystrichopus alticola", "Hystrichopus altitudinis", "Hystrichopus angolensis", "Hystrichopus angusticollis", "Hystrichopus arnoldi", "Hystrichopus atratus", "Hystrichopus badius", "Hystrichopus bambutensis", "Hystrichopus brincki", "Hystrichopus brittoni", "Hystrichopus brunneus", "Hystrichopus colasi", "Hystrichopus cordicollis", "Hystrichopus cribripennis", "Hystrichopus culminicola", "Hystrichopus drago", "Hystrichopus elegans", "Hystrichopus femoralis", "Hystrichopus freyi", "Hystrichopus gracilis", "Hystrichopus hanangiensis", "Hystrichopus hecqi", "Hystrichopus hessei", "Hystrichopus jacoti", "Hystrichopus jocquei", "Hystrichopus kaboboanus", "Hystrichopus kahuzicus", "Hystrichopus kalaharicus", "Hystrichopus kilimanus", "Hystrichopus kochi", "Hystrichopus laticollis", "Hystrichopus laurenti", "Hystrichopus leleupi", "Hystrichopus leleupianus", "Hystrichopus lubukae", "Incagonum lucidum", "Incagonum mateui", "Incagonum melas", "Incagonum opacum", "Incagonum pedestre", "Incagonum peruvianum", "Incagonum quadricolle", "Incagonum semistriatum", "Incatrechus tenuis", "Indiophonus pilosus", "Indopatrobus bashtai", "Infernophilus castaneus", "Inflatozaena inflata", "Inkosa latiuscula", "Inkosa minor", "Inotrechus injaevae", "Inotrechus kurnakovi", "Inpa psydroides", "Iresia boucardii", "Iresia lacordairei", "Iresia mniszechii", "Iresia pulchra", "Iresia aureorufa", "Iresia besckii", "Iresia bimaculata", "Iresia binotata", "Iresia egregia", "Iresia latens", "Iresia opalescens", "Iresia phaedra", "Iresia psyche", "Iresia surinamensis", "Iridagonum caudostriatum", "Iridagonum fessum", "Iridagonum laeve", "Iridagonum quadripunctellum", "Iridagonum quadripunctum", "Iridagonum septimum", "Iridagonum sexpunctum", "Iridagonum subfusum", "Iridagonum vigil", "Ischnagonum carinigerum", "Ishidatrechus jianensis", "Ishidatrechus nitidus", "Ishikawatrechus aquilonius", "Ishikawatrechus caurus", "Ishikawatrechus cerberus", "Ishikawatrechus doiensis", "Ishikawatrechus hayashii", "Ishikawatrechus humeralis", "Ishikawatrechus intermedius", "Ishikawatrechus ishiharai", "Ishikawatrechus ishikawai", "Ishikawatrechus kusamai", "Ishikawatrechus longipes", "Ishikawatrechus masazii", "Ishikawatrechus murakamii", "Ishikawatrechus nipponicus", "Ishikawatrechus obliquatus", "Ishikawatrechus ochii", "Ishikawatrechus orientalis", "Ishikawatrechus professoris", "Ishikawatrechus pubithoracis", "Ishikawatrechus riozoi", "Kaveinga pignoris", "Kaveinga poggii", "Kaveinga strigiceps", "Kaveinga ulteria", "Kaveinga setosa", "Kearophus guyanensis", "Kenyacus acrobius", "Kenyacus baleensis", "Kenyacus elgonensis", "Kenyacus hypsibius", "Kenyacus jeanneli", "Kenyacus kinangopinus", "Kenyacus leleupi", "Kenyacus meruanus", "Kenyacus minor", "Kenyacus nyakasibanus", "Kenyacus oldeanicus", "Kenyacus ruwenzoricus", "Kenyacus scotti", "Kenyacus subcaecus", "Kenyacus uluguruanus", "Philorhizus kenyacus", "Kenyoreicheia aberdarensis", "Myrialepis paradoxa", "Klapperichella afganistana", "Klapperichella melanoxantha", "Klepteromimus ornatus", "Kozlovites amplipennis", "Kozlovites caviceps", "Kozlovites major", "Kozlovites modestus", "Kozlovites niger", "Kozlovites yuae", "Kuceraianum azureum", "Kuceraianum kucerai", "Kultianella sulcicollis", "Kultianella sulculata", "Kurasawatrechus aberrans", "Kurasawatrechus agiensis", "Kurasawatrechus brevicornis", "Kurasawatrechus chinchiro", "Kurasawatrechus endogaeus", "Kurasawatrechus eriophorus", "Kurasawatrechus fujisanus", "Kurasawatrechus glabratus", "Kurasawatrechus glabriventris", "Kurasawatrechus grandis", "Kurasawatrechus gujoensis", "Kurasawatrechus hirakei", "Kurasawatrechus ichihashii", "Kurasawatrechus intermedius", "Kurasawatrechus katoi", "Kurasawatrechus kawaguchii", "Kurasawatrechus kyokoae", "Kurasawatrechus latior", "Ishikawatrechus robustior", "Ishikawatrechus satoi", "Ishikawatrechus saxatilis", "Ishikawatrechus septemtrionalis", "Ishikawatrechus squamosus", "Ishikawatrechus subtilis", "Ishikawatrechus taichii", "Ishikawatrechus tuberculatus", "Ishikawatrechus uozumii", "Ishikawatrechus yosiianus", "Italaphaenops dimaioi", "Italodytes stammeri", "Itamus castaneus", "Itamus cavicola", "Itamus dentatus", "Itamus deuvei", "Itamus kaszabi", "Iyatrechus hisamatsui", "Jalzicaphaenops poljaki", "Jansenia applanata", "Jansenia azureocincta", "Jansenia bangalorensis", "Jansenia biundata", "Jansenia chlorida", "Jansenia chloropleura", "Jansenia choriodista", "Jansenia cirrhidia", "Jansenia corrugatosa", "Jansenia corticata", "Jansenia crassipalpis", "Jansenia cratera", "Jansenia dasiodes", "Jansenia fusissima", "Jansenia grossula", "Jansenia indica", "Jansenia laeticolor", "Jansenia legnotia", "Jansenia motschulskyana", "Jansenia myanmarensis", "Jansenia nathanorum", "Jansenia ostrina", "Jansenia plagatima", "Jansenia prothymoides", "Jansenia psarodea", "Jansenia pseudodromica", "Jansenia reticulella", "Jansenia rostrulla", "Jansenia rugosiceps", "Jansenia sandurica", "Jansenia semisetigerosa", "Jansenia stellata", "Jansenia stuprata", "Jansenia tetragrammica", "Jansenia tetrastacta", "Jansenia venus", "Jansenia vestiplicatica", "Jansenia viridicincta", "Jansenia westermanni", "Jeannelius birsteini", "Jeannelius gloriosus", "Jeannelius magnificus", "Jeannelius zhicharevi", "Jiangxiaphaenops longiceps", "Jiulongotrechus pubescens", "Jocqueius malawicus", "Jujiroa alticola", "Jujiroa anoides", "Jujiroa clarkei", "Jujiroa dandosana", "Jujiroa deharvengi", "Jujiroa deliciola", "Jujiroa dracocephala", "Jujiroa elongata", "Jujiroa estriata", "Jujiroa fujisana", "Jujiroa ikezakii", "Jujiroa imunada", "Jujiroa iolandae", "Jujiroa lingguanensis", "Jujiroa longa", "Jujiroa nipponica", "Jujiroa nishikawai", "Jujiroa onoi", "Jujiroa orthogenys", "Jujiroa parvicollis", "Jujiroa rainerschnelli", "Jujiroa rectangulata", "Jujiroa rufescens", "Jujiroa satoi", "Jujiroa shihi", "Jujiroa suensoni", "Jujiroa troglodytes", "Junaphaenops tumidipennis", "Junnanotrechus baehri", "Junnanotrechus elegantulus", "Junnanotrechus exophtalmus", "Junnanotrechus koroleviellus", "Junnanotrechus oblongus", "Junnanotrechus schuelkei", "Junnanotrechus triporus", "Junnanotrechus wrasei", "Kaffovatus basilewskyi", "Kalchdigor deuvei", "Kar nepalensis", "Kareya edentata", "Kareya erebia", "Kareya grandiceps", "Kareya hauseri", "Kareya laosensis", "Kareya major", "Kareya sublaevis", "Kareya tibialis", "Karnes baehri", "Kaszabellus formosanus", "Kaveinga frontalis", "Kaveinga stiletto", "Kaveinga walfordi", "Kaveinga abbreviata", "Kaveinga cylindrica", "Kaveinga fibulata", "Kaveinga histrio", "Kaveinga kukum", "Kaveinga lupata", "Kaveinga marifuanga", "Kaveinga nudicornis", "Kaveinga occipitalis", "Kaveinga okapa", "Kaveinga parva", "Oestlundia luteorosea", "Euscalpellum meridianum", "Furnarius longirostris", "Furnarius cinnamomeus", "Solenysa macrodonta", "Solenysa trunciformis", "Solenysa mellotteei", "Halgerda indotessellata", "Solenysa longqiensis", "Solenysa wulingensis", "Solenysa ogatai", "Paikiniana keikoae", "Paikiniana iriei", "Apalonia seticornis", "Bulbophyllum wadsworthii", "Paikiniana mikurana", "Kurasawatrechus longipes", "Kurasawatrechus longulus", "Kurasawatrechus matsuii", "Kurasawatrechus moritai", "Kurasawatrechus nishikawai", "Kurasawatrechus notsui", "Kurasawatrechus ohkawai", "Kurasawatrechus ohshimai", "Kurasawatrechus quadraticollis", "Kurasawatrechus ryugashiensis", "Kurasawatrechus setiger", "Kurasawatrechus sonei", "Kurasawatrechus spelaeus", "Kurasawatrechus tanakai", "Kurasawatrechus torigaii", "Kurasawatrechus yadai", "Kurasawatrechus yamizonis", "Kurasawatrechus zenbai", "Kuschelinus insularis", "Kusumia hatenashiana", "Kusumia takahashii", "Labocephalus longipennis", "Labocephalus occipitalis", "Labocephalus platysomus", "Labocephalus striatus", "Laccopterum cyaneum", "Laccopterum darwiniense", "Laccopterum deauratum", "Laccopterum doddi", "Laccopterum foveigerum", "Laccopterum foveipenne", "Laccopterum foveolatum", "Laccopterum gemmatum", "Laccopterum humerale", "Laccopterum lacunosum", "Laccopterum loculosum", "Laccopterum macleayi", "Laccopterum multiimpressum", "Laccopterum quadriseriatum", "Laccopterum salebrosum", "Laccopterum spencii", "Lachenus impunctipennis", "Lachnaces badistrinus", "Lachnaces olisthopoides", "Lachnaces opacicollis", "Lachnaces sericeus", "Lachnocrepis japonica", "Lachnocrepis parallela", "Lachnoderma biguttatum", "Lachnoderma chebaling", "Lachnoderma cheni", "Lachnoderma cinctum", "Lachnoderma confusum", "Lachnoderma foveolatum", "Lachnoderma metallicum", "Lachnoderma nideki", "Lachnoderma philippinense", "Lachnoderma polybothris", "Lachnoderma tricolor", "Lachnoderma vietnamense", "Lachnoderma yingdeicum", "Lachnolebia shimian", "Lachnophorus aeneicollis", "Lachnophorus angusticollis", "Lachnophorus axillaris", "Lachnophorus azureus", "Lachnophorus bipunctatus", "Lachnophorus corrosus", "Lachnophorus cuprellus", "Lachnophorus cyanescens", "Lachnophorus elegantulus", "Lachnophorus femoralis", "Lachnophorus foveatus", "Lachnophorus gibbosus", "Lachnophorus impressus", "Lachnophorus integer", "Lachnophorus laetus", "Lachnophorus leucopterus", "Lachnophorus longulus", "Lachnophorus macrospilus", "Lachnophorus maculatus", "Lachnophorus marginatus", "Lachnophorus montoroi", "Lachnophorus nevermanni", "Lachnophorus notatus", "Lachnophorus ochropus", "Lachnophorus ornatus", "Lachnophorus pallidipennis", "Lachnophorus pallipes", "Lachnophorus pictipennis", "Lachnophorus pilosus", "Lachnophorus quadrinotatus", "Lachnophorus quadrinus", "Lachnophorus rugosus", "Lachnophorus sabanillae", "Lachnophorus signatipennis", "Lachnophorus steinbachi", "Lachnophorus submaculatus", "Lachnophorus tessellatus", "Lachnophorus tibialis", "Lachnothorax biguttatus", "Lachnothorax inornatus", "Lachnothorax lunatus", "Lachnothorax nossibianus", "Lachnothorax philippinus", "Lachnothorax pustulatus", "Lachnothorax tokkia", "Lacordairia anchomenoides", "Lacordairia angustata", "Lacordairia argutoroides", "Lacordairia calathoides", "Lacordairia cychroides", "Lacordairia erichsoni", "Lacordairia proxima", "Lacordairia terrena", "Laemostenus acutangulus", "Laemostenus angustatus", "Laemostenus carinatus", "Laemostenus caussolensis", "Laemostenus dubaulti", "Laemostenus elegans", "Laemostenus ginellae", "Laemostenus gobbii", "Laemostenus krueperi", "Laemostenus latialis", "Laemostenus macropus", "Laemostenus mateui", "Laemostenus meaillensis", "Laemostenus oblongus", "Laemostenus obtusus", "Laemostenus peloponnesiacus", "Laemostenus pippiai", "Laemostenus plasoni", "Laemostenus thessalicus", "Plectocomia elongata", "Laemostenus vignai", "Laemostenus koenigi", "Laemostenus levushkini", "Laemostenus suramensis", "Laemostenus tschitscherini", "Laemostenus actenipoides", "Laemostenus aequalis", "Laemostenus agnolettii", "Laemostenus alejandroi", "Laemostenus ambroggii", "Laemostenus anatolicus", "Laemostenus andalusiacus", "Laemostenus baehri", "Laemostenus barrancoi", "Laemostenus bermejae", "Laemostenus beroni", "Laemostenus bicolor", "Laemostenus bodemeyeri", "Laemostenus bulirschi", "Laemostenus casalei", "Laemostenus catlosi", "Laemostenus cavazzutii", "Laemostenus cavicola", "Laemostenus cazorlensis", "Laemostenus cyrili", "Laemostenus deconincki", "Laemostenus demoflysi", "Laemostenus elongatus", "Laemostenus esfandiarii", "Laemostenus ganglbauerianus", "Laemostenus gasparoi", "Laemostenus giachinoi", "Laemostenus glasunowi", "Laemostenus guzelolukensis", "Laemostenus hroni", "Laemostenus insubricus", "Laemostenus iranicus", "Laemostenus jailensis", "Laemostenus kabylicus", "Laemostenus kestelensis", "Laemostenus kirschenhoferi", "Laemostenus kurdicus", "Laemostenus lassallei", "Laemostenus ledereri", "Laemostenus leonhardi", "Laemostenus levantinus", "Laemostenus libanensis", "Laemostenus longicornis", "Laemostenus lundbergi", "Laemostenus mairei", "Laemostenus malhommei", "Laemostenus mirzayani", "Laemostenus monguzzii", "Plectocomia elongata var. elongata", "Laemostenus navaricus", "Laemostenus nusayriyahensis", "Laemostenus obtusangulus", "Laemostenus patrizii", "Laemostenus peleus", "Laemostenus ponticola", "Laemostenus portsensis", "Laemostenus prolixus", "Laemostenus puchneri", "Laemostenus reissi", "Laemostenus schreibersii", "Laemostenus seguranus", "Laemostenus straneoi", "Laemostenus sulaimanensis", "Laemostenus vagabundus", "Laemostenus villardi", "Laemostenus zoiai", "Laemostenus balkenohli", "Laemostenus jeannelianus", "Laemostenus ajmasianus", "Laemostenus berberus", "Laemostenus kolbi", "Laemostenus lyauteyi", "Laemostenus mauritanicus", "Laemostenus mogadoricus", "Laemostenus schrammi", "Laemostenus pinicola", "Laemostenus rudichae", "Laemostenus aegyptiacus", "Laemostenus alpinus", "Laemostenus antonrichteri", "Laemostenus barbarus", "Laemostenus bergvalli", "Laemostenus caspius", "Laemostenus cyrenaicus", "Laemostenus dalmatinus", "Laemostenus gwendyddae", "Laemostenus heinzi", "Laemostenus janthinus", "Laemostenus largomarginalis", "Laemostenus luristanus", "Laemostenus magellensis", "Laemostenus modestoides", "Laemostenus nigrescens", "Laemostenus parallelocollis", "Laemostenus quadricollis", "Laemostenus venustus", "Laemostenus dolini", "Laemostenus extensus", "Laemostenus janczyki", "Laemostenus kuraminensis", "Laemostenus loudai", "Laemostenus moldoensis", "Laemostenus pokornyi", "Laemostenus rimmae", "Laemostenus sonkulensis", "Laemostenus tacitus", "Laemostenus visai", "Laemostenus algerinus", "Baryphymula kamakuraensis", "Lebidema clavicornis", "Lebidema pellucida", "Lebidema ruandensis", "Lebidia dhankutani", "Lebidia formosana", "Lebidia octocelis", "Lebioderus bakeri", "Lebioderus brancuccii", "Lebioderus candezei", "Lebioderus dissimilis", "Lebioderus gorii", "Lebioderus javanus", "Lebioderus percheronii", "Lebioderus ritsemae", "Lebioderus thaianus", "Lebiomorphica ochreorufa", "Lebiomorphica sanguinolenta", "Lebistina bicolor", "Lebistina flavomaculata", "Lebistina holubi", "Lebistina neuvillei", "Lebistina peringueyi", "Lebistina petersae", "Lebistina picta", "Lebistina rehagei", "Lebistina rufomarginata", "Lebistina sanguinea", "Lebistina spectabilis", "Lebistina subcruciata", "Lebistina unicolor", "Lebistinida pulchra", "Lecanomerus aberrans", "Lecanomerus angulatus", "Lecanomerus angustior", "Lecanomerus ater", "Lecanomerus australis", "Lecanomerus bicolor", "Lecanomerus brisbanensis", "Lecanomerus carteri", "Lecanomerus concolor", "Lecanomerus curtus", "Lecanomerus discoidalis", "Lecanomerus domesticus", "Lecanomerus lateridens", "Lecanomerus latior", "Lecanomerus limbatus", "Lecanomerus lindi", "Lecanomerus lucidus", "Laemostenus amasiae", "Laemostenus andreevi", "Laemostenus arthuri", "Laemostenus asiaeminoris", "Laemostenus badakshanus", "Laemostenus baeticus", "Laemostenus bhadarwahensis", "Laemostenus brancuccii", "Laemostenus brunneus", "Laemostenus cadilhaci", "Laemostenus capitatus", "Laemostenus capito", "Laemostenus chitralicus", "Laemostenus cimmerius", "Laemostenus colossus", "Laemostenus conradti", "Laemostenus conspicuus", "Laemostenus derventicus", "Laemostenus elburzensis", "Laemostenus elytrolargus", "Laemostenus euxinicus", "Laemostenus ferghanicus", "Laemostenus gratus", "Laemostenus kashmirensis", "Laemostenus lederi", "Laemostenus lestes", "Laemostenus levis", "Laemostenus mannerheimii", "Laemostenus martensianus", "Laemostenus migliaccioi", "Laemostenus morvani", "Laemostenus nepalensis", "Laemostenus pakistanus", "Laemostenus petrimagni", "Laemostenus piceus", "Laemostenus pisidicus", "Laemostenus ponticus", "Laemostenus pretiosus", "Laemostenus pseudobrunneus", "Laemostenus quadrangulus", "Laemostenus rigrevanensis", "Laemostenus sanguinipes", "Laemostenus sciakyi", "Laemostenus sericeus", "Laemostenus spinifer", "Laemostenus stoevi", "Laemostenus stussineri", "Laemostenus tentiobtusus", "Laemostenus tenuis", "Laemostenus terricola", "Laemostenus tichyi", "Plectocomia himalayana", "Laemostenus turkestanicus", "Laemostenus wittmeri", "Laemostenus deneveui", "Laemostenus aelleni", "Laemostenus alluaudi", "Laemostenus anomostriatus", "Laemostenus atlanticus", "Laemostenus cordicollis", "Laemostenus favieri", "Laemostenus fezzensis", "Laemostenus foucauldi", "Laemostenus gomezi", "Laemostenus melillensis", "Laemostenus picicornis", "Laemostenus punctatostriatus", "Laemostenus recticollis", "Laemostenus susicus", "Laemostenus tiouirii", "Laemostenus vidali", "Laemostenus leptoderus", "Laemostenus praedictus", "Laemostenus subtilissimus", "Laevagonum alticola", "Laevagonum cistelum", "Laevagonum citum", "Laevagonum frustum", "Laevagonum giluwe", "Laevagonum huon", "Laevagonum parafrustum", "Laevagonum pertenue", "Laevagonum subcistelum", "Laevagonum subcitum", "Langea euprosopoides", "Langea fleutiauxi", "Langea mellicollis", "Lanxangaphaenops louisi", "Laoblemus crypticus", "Laoreicheia bulirschi", "Laosaphaenops deharvengi", "Laparhetes alluaudi", "Laparhetes gracilis", "Lasiocera analava", "Lasiocera asmara", "Lasiocera coromandelica", "Lasiocera corrugata", "Lasiocera egregia", "Lasiocera gracilis", "Plectocomia khasyana", "Lasiocera malabarica", "Lasiocera mirei", "Lasiocera nitidula", "Lasiocera orientalis", "Lasiocera peringueyi", "Lasiocera somalica", "Lasiocera tessellata", "Lassalleianum damhenvel", "Lassalleianum lassallei", "Lebia meghalayaensis", "Lebia caerulea", "Lebia chalybaeipennis", "Lebia coeca", "Lebia eylandti", "Lebia gregoryi", "Lebia grimmi", "Lebia heydenii", "Lebia jakli", "Lebia keiana", "Lebia trivittoides", "Lebia apicoviolacea", "Lebia laterolucida", "Lebia ranomafanae", "Lebia socotrana", "Plectocomiopsis geminiflora", "Eleiodoxa conferta", "Apalonia satan", "Solenysa spiralis", "Solenysa yangmingshana", "Salacca magnifica", "Solenysa lanyuensis", "Salacca ramosiana", "Solenysa retractilis", "Solenysa tianmushana", "Solenysa protrudens", "Solenysa reflexilis", "Solenysa partibilis", "Leptognatha darlingtoni", "Leptognatha denhoedi", "Leptognatha fasciata", "Leptognatha flavoantennalis", "Leptognatha fuscilabris", "Leptognatha hornabrooki", "Leptognatha latreillei", "Leptognatha longidentis", "Leptognatha occidentalis", "Leptognatha orientalis", "Leptognatha papua", "Leptognatha pseudovelutina", "Leptognatha riedeliana", "Leptognatha robusta", "Leptognatha sedlacekorum", "Leptognatha septentrionalis", "Leptognatha velutina", "Leptognatha viridimicans", "Leptognatha viridithoracica", "Leptognatha wagneri", "Leptognatha bishopi", "Leptognatha fraudulenta", "Leptognatha gracilipes", "Leptognatha inexspectata", "Leptognatha longipenis", "Leptognatha nigrivestis", "Leptognatha rivalieri", "Leptognatha rudolfbennigseni", "Leptognatha spinilabris", "Leptognatha sumliniana", "Leptosarcus hessei", "Leptosarcus porrectus", "Leptotrachelon nevermanni", "Leptotrachelus aequinoctialis", "Leptotrachelus amplipennis", "Leptotrachelus basalis", "Leptotrachelus brevicollis", "Leptotrachelus bruchi", "Leptotrachelus cruciger", "Leptotrachelus debilis", "Leptotrachelus depressus", "Leptotrachelus dilaticollis", "Leptotrachelus dorsalis", "Leptotrachelus fulvicollis", "Leptotrachelus fulvus", "Leptotrachelus fuscus", "Leptotrachelus humeralis", "Leptotrachelus labrosus", "Leptotrachelus laevigula", "Leptotrachelus marginatus", "Leptotrachelus mexicanus", "Leptotrachelus nigriceps", "Leptotrachelus nigripennis", "Leptotrachelus pallens", "Leptotrachelus pallidipennis", "Leptotrachelus pallidulus", "Leptotrachelus parallelus", "Leptotrachelus parcepunctatus", "Leptotrachelus planicollis", "Leptotrachelus planus", "Leptotrachelus plaumanni", "Leptotrachelus punctaticeps", "Leptotrachelus puncticollis", "Leptotrachelus riedelii", "Lecanomerus major", "Lecanomerus medius", "Lecanomerus niger", "Lecanomerus obtusus", "Lecanomerus parvicollis", "Lecanomerus recticollis", "Lecanomerus ruficeps", "Lecanomerus scalaris", "Lecanomerus speluncarius", "Lecanomerus striatus", "Lecanomerus tasmanicus", "Lecanomerus trapezus", "Lecanomerus victoriensis", "Ledouxius kaganensis", "Ledouxius falciger", "Ledouxius longulus", "Ledouxius meurguesae", "Ledouxius microcephalus", "Ledouxius oblongus", "Ledouxius umbilicatus", "Leistus championi", "Leistus coiffaiti", "Leistus cordithorax", "Leistus crassus", "Leistus crenifer", "Leistus dandoensis", "Leistus dandoensisoides", "Leistus daochengicus", "Leistus deuvei", "Leistus dongguensis", "Leistus ebianensis", "Leistus fujianensis", "Leistus gansuensis", "Leistus gaoligongensis", "Leistus geshizhaicus", "Leistus gracilentus", "Leistus harpagon", "Leistus heinigeri", "Leistus heishuiensis", "Leistus himalchuliensis", "Leistus hodeberti", "Leistus huichuanensis", "Leistus indus", "Leistus janataianus", "Leistus jintangensis", "Leistus jirouxi", "Leistus jiudingensis", "Leistus kalabianus", "Leistus kashmirensis", "Leistus krali", "Leistus kubani", "Leistus kubanioides", "Walckenaeria asymmetrica", "Leistus kuceraianus", "Leistus kumatai", "Leistus lamugensis", "Leistus lecordieri", "Leistus ledouxianus", "Leistus lihengae", "Leistus manasluensis", "Leistus maomao", "Leistus maoxianensis", "Leistus marcilhaci", "Leistus meissonnieri", "Leistus megrelicus", "Leistus nitidus", "Leistus odvarkai", "Leistus oopterus", "Leistus ovitensis", "Leistus piceus", "Leistus reitteri", "Leistus schuelkei", "Leistus semenovi", "Leistus sikhotealinus", "Leistus starkei", "Leistus trabzonicus", "Leistus valcarceli", "Leistus ellipticus", "Leistus nubivagus", "Leistus angulicollis", "Leistus ferruginosus", "Leistus longipennis", "Leistus madmeridianus", "Leistus shenseensis", "Leistus alaiensis", "Leistus apfelbecki", "Leistus austriacus", "Leistus bjelasnicensis", "Leistus darvazicus", "Leistus depressus", "Leistus expansus", "Leistus ferganensis", "Leistus glacialis", "Leistus glazunovi", "Leistus gracilis", "Leistus hermonis", "Leistus imitator", "Leistus ishikawai", "Leistus kozakai", "Leistus kurosawai", "Leistus lassallei", "Leistus magnicollis", "Leistus matsudai", "Leistus mitjaevi", "Leistus montanus", "Leistus noesskei", "Leistus obtusicollis", "Leistus ovipennis", "Leistus parvicollis", "Leistus prolongatus", "Leistus punctatissimus", "Leistus puncticeps", "Leistus punctifrons", "Leistus pyrenaeus", "Leistus relictus", "Leistus rousi", "Leistus rufomarginatus", "Leistus sikkimensis", "Leistus sogdianus", "Leistus spinibarbis", "Leistus subaeneus", "Leistus tatianae", "Leistus ucrainicus", "Leistus zarudnyi", "Leistus sardous", "Leleupanillus uluguruanus", "Leleupaussus tetramerus", "Leistus memorabilis", "Leistus minshanicus", "Leistus montreuili", "Leistus morvani", "Leistus nanlingensis", "Leistus natruc", "Leistus nepalensis", "Leistus niitakaensis", "Leistus nivium", "Leistus nokoensis", "Leistus nubicola", "Leistus nyingtri", "Leistus perreaui", "Leistus phami", "Leistus prunieri", "Leistus pseudocrenifer", "Leistus qingmaicus", "Leistus qingmaicusoides", "Leistus reflexus", "Leistus riwaensis", "Leistus rolex", "Leistus rouxi", "Leistus sabdeicus", "Leistus sergeii", "Leistus shatanicus", "Leistus shokini", "Leistus subtropicalis", "Leistus subuliformisoides", "Walckenaeria dahaituoensis", "Leistus taiwanensis", "Leistus tanaognathus", "Leistus thibetanus", "Leistus tiani", "Leistus vignai", "Leistus xinglongensis", "Leistus xuechengicus", "Leistus yuae", "Leistus yunnanus", "Leistus zhanglaensis", "Leistus acutangulus", "Leistus angulatus", "Leistus angusticollis", "Leistus angustus", "Leistus baenningeri", "Leistus barnevillei", "Leistus businskyi", "Leistus caucasicus", "Leistus chaudoiri", "Leistus constrictus", "Leistus crenatus", "Leistus cycloderus", "Leistus denticollis", "Leistus elegans", "Leistus femoralis", "Leistus fulvibarbis", "Leistus fulvus", "Leistus janae", "Leistus juldusanus", "Leistus ketmenicus", "Leistus kungeicus", "Leistus lebardicus", "Leistus ledouxi", "Leistus lenkoranus", "Leistus ludmilae", "Leleupidia angusticollis", "Leleupidia coiffaiti", "Leleupidia elilae", "Leleupidia emerita", "Leleupidia grossepunctata", "Leleupidia kaboboana", "Leleupidia kahuziana", "Leleupidia luvubuana", "Leleupidia ruandana", "Leleupidia vadoni", "Leleuporella caeca", "Leleuporella devagiriensis", "Leleuporella mandibularis", "Leleuporella sexangulata", "Leleuporella tuberculata", "Leleuporites basilewskyi", "Leleuporites mirus", "Lelis bicolor", "Lelis obtusangula", "Lelis quadrisignata", "Lelis rutila", "Lelis viridipennis", "Leoglymmius lignarius", "Lepcha bengalensis", "Lepcha bran", "Lepcha cameroni", "Lepcha deliae", "Lepcha gogonasensis", "Lepcha heinigeri", "Lepcha holzschuhi", "Lepcha jelepa", "Lepcha lampra", "Lepcha lassallei", "Lepcha ovoidea", "Lepcha pygmaea", "Lepcha similis", "Lepcha subdiscolus", "Leptagonum allardi", "Leptagonum alternatum", "Leptagonum elegans", "Leptagonum insignicorne", "Leptagonum interstitiale", "Leptagonum overlaeti", "Leptagonum puncticeps", "Leptagonum schoutedeni", "Leptagonum sparsepunctatum", "Leptagonum wittei", "Leptocolpodes bispinosus", "Leptocolpodes corynoscitus", "Leptocolpodes erythropus", "Leptocolpodes leleupi", "Leptocolpodes leroyi", "Leptocolpodes mgetae", "Leptocolpodes overlaeti", "Leptocolpodes pictus", "Leptocolpodes subpictus", "Leptocolpodes suturifer", "Leptocolpodes usambaranus", "Leptocolpodes velox", "Leptognatha albertisii", "Leptognatha alticola", "Leptognatha curvidentis", "Leptotrachelus setulosus", "Leptotrachelus striatopunctatus", "Leptotrachelus suturalis", "Leptotrachelus testaceus", "Lessinodytes caoduroi", "Lessinodytes glacialis", "Lessinodytes pivai", "Lesticus andamanensis", "Lesticus amabilis", "Lesticus ambulator", "Lesticus andrewesi", "Lesticus aruensis", "Lesticus ater", "Lesticus baehrianus", "Lesticus baweanicus", "Lesticus beroni", "Lesticus brevilabris", "Lesticus busuangae", "Lesticus cavicollis", "Lesticus cupricollis", "Lesticus curtus", "Lesticus depressus", "Lesticus deuvei", "Lesticus drescheri", "Lesticus dubius", "Lesticus ebeninus", "Lesticus episcopalis", "Lesticus floresanus", "Lesticus freyi", "Lesticus gardineri", "Lesticus gracilis", "Lesticus habilis", "Lesticus harmandi", "Lesticus hiekei", "Lesticus holzschuhi", "Lesticus ignotus", "Lesticus insulanus", "Lesticus isabellae", "Lesticus jacobsoni", "Lesticus janthinus", "Lesticus kaboureki", "Lesticus kangeanensis", "Lesticus keieilensis", "Lesticus lantschanus", "Lesticus latissimus", "Lesticus lautus", "Lesticus leopoldi", "Lesticus liparops", "Lesticus luculentus", "Lesticus medius", "Lesticus mendax", "Lesticus nepalensis", "Lesticus nicobarensis", "Lesticus nigerrimus", "Lesticus nigroviolaceus", "Lesticus obscurus", "Lesticus obtusus", "Lesticus ornatus", "Lesticus overbecki", "Lesticus perniger", "Lesticus pseudocupreatus", "Lesticus pseudoliparops", "Lesticus pulchellus", "Lesticus pulcher", "Lesticus prasinus", "Lesticus putzeysi", "Lesticus rectangulus", "Lesticus sauteri", "Lesticus serraticollis", "Laccosperma secundiflorum", "Lesticus stefanschoedli", "Lesticus torajaensis", "Lesticus viridicollis", "Lesticus waterhousei", "Lesticus fortis", "Lestignathus cursor", "Lestignathus foveatus", "Lestignathus pieperi", "Lestignathus simsoni", "Letouzeya mirabilis", "Letouzeya spectabilis", "Leuropus rubellus", "Liagonum aereum", "Liagonum analavelonae", "Liagonum anosyanum", "Liagonum arecarum", "Liagonum assimile", "Liagonum baleense", "Liagonum beckeri", "Liagonum bicolor", "Liagonum bintumanum", "Liagonum bosmansi", "Liagonum brachypterum", "Liagonum chappuisi", "Liagonum chenzemae", "Liagonum coquereli", "Liagonum curvipes", "Liagonum decellei", "Liagonum deplanatum", "Liagonum descarpentriesi", "Liagonum florens", "Liagonum fulvipes", "Liagonum grandidieri", "Liagonum hova", "Liagonum incertum", "Liagonum jeanneli", "Liagonum kiymbiae", "Liagonum laticolle", "Liagonum lichenyanum", "Liagonum mahafalyanum", "Liagonum mandibulare", "Liagonum mangindranum", "Liagonum mantasoae", "Liagonum marakwetianum", "Liagonum marojejyanum", "Liagonum metrium", "Liagonum monticola", "Liagonum nebrioides", "Lesticus punctatostriatus", "Lesticus purpurascens", "Lesticus rainerschnelli", "Lesticus restrictus", "Lesticus rotundatus", "Lesticus salomonensis", "Lesticus salvazai", "Lesticus samarensis", "Lesticus sloanei", "Lesticus solidus", "Lesticus strangulatus", "Lesticus strictus", "Lesticus suavis", "Lesticus subcoeruleus", "Lesticus sulabayaensis", "Lesticus sulawesiensis", "Lesticus taiwanicus", "Lesticus tenebrosicus", "Lesticus thetis", "Lesticus tonkinensis", "Lesticus toxopei", "Lesticus tricostatus", "Lesticus tristis", "Lesticus vandoesburgi", "Lesticus vinarius", "Lesticus wegneri", "Lesticus wittmeri", "Lesticus wrasei", "Lesticus assamicus", "Lesticus auricollis", "Lesticus baehri", "Lesticus bennigseni", "Lesticus borneensis", "Lesticus buqueti", "Lesticus chalcothorax", "Lesticus chloronotus", "Lesticus coelestis", "Lesticus crenicollis", "Lesticus cupreatus", "Lesticus cupreoviolaceus", "Lesticus desgodinsi", "Lesticus dichrous", "Lesticus feanus", "Lesticus finisterrae", "Lesticus fukiensis", "Lesticus fulgidicollis", "Lesticus ganglbaueri", "Lesticus gregori", "Lesticus indus", "Lesticus insignis", "Lesticus lakhonus", "Lesticus lemoulti", "Lesticus lombokensis", "Lesticus louwerensi", "Lesticus magnus", "Lesticus mouhotii", "Lesticus nitescens", "Lesticus nubilus", "Lesticus peguensis", "Lesticus philippinicus", "Lesticus planicollis", "Lesticus politocollis", "Lesticus politus", "Lesticus praestans", "Liagonum orophilum", "Liagonum pauliani", "Liagonum peyrierasi", "Liagonum ranomandryae", "Liagonum rhetoborum", "Liagonum scordiscum", "Liagonum scotti", "Liagonum sexpunctatum", "Liagonum simplex", "Liagonum solidum", "Liagonum submimum", "Liagonum subsolanum", "Liagonum tsaratananae", "Liagonum ueleanum", "Liagonum vadoni", "Liagonum vakoanae", "Liagonum vanderijsti", "Liagonum vicinum", "Liagonum viettei", "Liamegalonychus alluaudi", "Liamegalonychus bambusicola", "Liamegalonychus buxtoni", "Liamegalonychus cratericola", "Liamegalonychus diversus", "Liamegalonychus ericarum", "Liamegalonychus niger", "Liamegalonychus oblongus", "Libotrechus duanensis", "Libotrechus nishikawai", "Licentius mirabilis", "Lichnasthenus armiventris", "Licinopsis alternans", "Licinopsis angustula", "Licinopsis gaudini", "Licinopsis obliterata", "Licinopsis picescens", "Licinopsis schurmanni", "Licinus aegyptiacus", "Licinus aequatus", "Licinus afghanistanus", "Licinus bartoni", "Licinus convexus", "Licinus cordatus", "Licinus corustes", "Licinus graecus", "Licinus iranicus", "Licinus italicus", "Licinus lindbergi", "Licinus manriquianus", "Licinus merkli", "Licinus mongolicus", "Licinus peltoides", "Licinus planicollis", "Licinus pubifer", "Licinus punctatulus", "Licinus schuberti", "Licinus silphoides", "Licinus astrabadensis", "Licinus hoffmannseggii", "Licinus oblongus", "Licinus oertzeni", "Licinus setosus", "Licinus jaloricus", "Liochirus cycloderus", "Liocolpodes caraboides", "Liocolpodes perspinosus", "Liocolpodes spinosus", "Liodaptus birmanus", "Liodaptus longicornis", "Lioholus jedlickai", "Lioholus metallescens", "Lionepha casta", "Lionepha chintimini", "Lionepha disjuncta", "Lionepha erasa", "Lionepha lindrothella", "Lionepha lummi", "Lionepha osculans", "Lionepha pseudoerasa", "Lionepha sequoiae", "Lionychus albivittis", "Lionychus albonotatus", "Lionychus anamalai", "Lionychus basalis", "Lionychus beccarii", "Lionychus chujoi", "Lionychus damarensis", "Lionychus fleischeri", "Lionychus himalayicus", "Lionychus horni", "Lionychus laetulus", "Lionychus laosensis", "Lionychus marginellus", "Lionychus maritimus", "Lionychus ninini", "Lionychus orientalis", "Lionychus planus", "Lionychus quadrillum", "Lionychus sturmii", "Lionychus bivittatus", "Lionychus cinctus", "Liopasa crepera", "Lioptera bloetei", "Lioptera brevicornis", "Lioptera erotyloides", "Lioptera louwerensi", "Lioptera malayana", "Lioptera oberthueri", "Lioptera plato", "Lioptera pseuda", "Lioptera quadriguttata", "Lioptera riedeli", "Lioptera storeyi", "Lioptera tetraspila", "Liotachys antennatus", "Lipostratia cyaniventris", "Lipostratia dichroa", "Lipostratia distinguenda", "Lipostratia elongata", "Lipostratia laeviceps", "Lipostratia masaica", "Lipostratia mouffleti", "Lipostratia nobilis", "Lipostratia somalica", "Lissopogonus borneensis", "Lissopogonus glabellus", "Lissopogonus nanlingensis", "Lissopogonus poecilus", "Lophyra minax", "Lophyra pseudominax", "Lophyra wellmani", "Lophyra alba", "Lophyra albens", "Lophyra arnoldi", "Lophyra barbifrons", "Lophyra somalia", "Lophyra juengeriorum", "Lophyra abbreviata", "Lophyra antatsima", "Lophyra bertolonia", "Lophyra boreodilatata", "Lophyra brevicollis", "Lophyra cancellata", "Lophyra candida", "Lophyra capillata", "Lophyra cassoliana", "Lophyra catena", "Lophyra cerina", "Lophyra clathrata", "Lophyra damara", "Lophyra differens", "Lophyra endroedyi", "Lophyra escheri", "Lophyra fasciculicornis", "Lophyra flexuosa", "Lophyra fuliginosa", "Lophyra herero", "Lophyra hilariola", "Lophyra histrio", "Lophyra kerkeringi", "Lophyra kuznetzowi", "Lophyra latelimbata", "Lophyra monteiroi", "Lophyra murzini", "Lophyra namibica", "Lophyra neglecta", "Lophyra nudorestricta", "Lophyra obliquograciliaenea", "Lophyra perrieri", "Lophyra persicola", "Lophyra pseudodistans", "Lophyra pseudoneglecta", "Lophyra quadraticollis", "Lophyra reliqua", "Lophyra rufidorsalis", "Lophyra seignobosi", "Lophyra senegalensis", "Lophyra striatifrons", "Lophyra tetradia", "Lophyra vittula", "Lophyra vivida", "Lophyra wiesneriana", "Lophyra cora", "Lophyra anataria", "Lophyra atkinsonii", "Luoxiaotrechus yini", "Luperca goryi", "Luperca laevigata", "Luzonotrechus bontoc", "Luzonotrechus muscicola", "Luzonotrechus rotundicollis", "Luzonotrechus teras", "Luzonotrechus tumidulus", "Luzonotrechus unipunctatus", "Lymnastis adventitius", "Lymnastis americanus", "Lymnastis angelinii", "Lymnastis assmanni", "Lymnastis atricapillus", "Lymnastis barbieri", "Lymnastis brooksi", "Lymnastis coomani", "Lymnastis croaticus", "Lymnastis decorsei", "Lymnastis dieneri", "Lymnastis foveicollis", "Lymnastis galilaeus", "Lymnastis gaudini", "Lymnastis gomerae", "Lymnastis herlanti", "Lymnastis indicus", "Lymnastis inops", "Lymnastis jeanneli", "Lymnastis leleupi", "Lymnastis lesnei", "Lymnastis luigionii", "Lymnastis macrops", "Lymnastis meersmanae", "Lymnastis minutus", "Lymnastis niloticus", "Lymnastis novikovi", "Lymnastis paladinii", "Lymnastis pilosus", "Lymnastis poggii", "Lymnastis pullulus", "Lissopogonus suensoni", "Lissopogonus tonkinensis", "Litarthrum browni", "Lithagonum annulicorne", "Lobatodes bullatus", "Lobatodes decellei", "Lobobrachus alternans", "Lobobrachus lacerdae", "Lobocolpodes australis", "Lobocolpodes caroli", "Lobocolpodes murex", "Lobocolpodes pachys", "Lobocolpodes phenax", "Lobocolpodes ranomandryae", "Lobodontidius congoanus", "Lobodontulus mirei", "Lobodontus ater", "Lobodontus compressus", "Lobodontus conjunctus", "Lobodontus drumonti", "Lobodontus metallicus", "Lobodontus murrayi", "Lobodontus puncticollis", "Lobodontus taeniatus", "Lobodontus tanzaniensis", "Lobodontus trimaculatus", "Lobodontus trisignatus", "Lobodontus uninotatus", "Lonchosternus aethiopicus", "Lonchosternus alluaudi", "Lonchosternus alutaceus", "Lonchosternus angolensis", "Lonchosternus contractus", "Lonchosternus dubius", "Lonchosternus girardi", "Lonchosternus hispanicus", "Lonchosternus innominatus", "Lonchosternus labrosus", "Lonchosternus mauritanicus", "Lonchosternus mirei", "Lonchosternus nitidus", "Lonchosternus politus", "Lonchosternus prolixus", "Lonchosternus robustus", "Lonchosternus scrupulosus", "Lonchosternus semistriatus", "Lonchosternus sublaevis", "Lonchosternus substriatus", "Lonchosternus thoracicus", "Lonchosternus trapezicollis", "Lonchosternus valdestriatus", "Lophidius testaceus", "Lophocoryza araticeps", "Lophocoryza sechellensis", "Lophocoryza vadoni", "Lophoglossus gravis", "Lophoglossus haldemanni", "Lophoglossus scrutator", "Lophoglossus substrenuus", "Lophoglossus tartaricus", "Lophoglossus vernix", "Lophyra lefroyi", "Lophyra lineifrons", "Lophyra multiguttata", "Lophyra parvimaculata", "Lophyra striolata", "Lophyra vittigera", "Lophyra bouyeriana", "Lophyra canaliculata", "Lophyra flavipennis", "Lophyra gemina", "Lophyra grossepunctata", "Lophyra infuscatula", "Lophyra luxerii", "Lophyra miskelliana", "Lophyra nitidipes", "Lophyra obtusidentata", "Lophyra roberti", "Lophyra saraliensis", "Lophyra sumlini", "Lophyra uncivittata", "Lophyra wajirensis", "Loricera wollastonii", "Loricera aptena", "Loricera barbarae", "Loricera decempunctata", "Loricera foveata", "Loricera kryzhanovskiji", "Loricera mirabilis", "Loricera obsoleta", "Loricera ovipennis", "Loricera rotundicollis", "Loricera stevensi", "Loricera balli", "Lorostema alutacea", "Lorostema bothriophora", "Lorostema informalis", "Lorostema interstitialis", "Lorostema ogurae", "Lorostema subnitens", "Lovricia aenigmatica", "Lovricia jalzici", "Loxandrus charrua", "Loxandrus accelerans", "Loxandrus adrimoides", "Loxandrus affinis", "Loxandrus agilis", "Loxandrus algidus", "Loxandrus amplicollis", "Loxandrus amplithorax", "Loxandrus anchomenoides", "Loxandrus anthracinus", "Loxandrus apicalis", "Loxandrus argentinus", "Loxandrus assimilis", "Loxandrus ater", "Loxandrus attenuatus", "Loxandrus audouini", "Loxandrus australicus", "Loxandrus australiensis", "Loxandrus balli", "Loxandrus binotatus", "Loxandrus bolivianus", "Loxandrus bonariensis", "Loxandrus brevicollis", "Ceroxylon parvifrons", "Mecyclothorax wallisi", "Mecyclothorax zimmermani", "Raphia monbuttorum", "Raphia monbuttorum var. monbuttorum", "Shaanxinus anguilliformis", "Walckenaeria yunnanensis", "Tibioploides stigmosus", "Araeoncus cypriacus", "Araeoncus rhodes", "Archaraeoncus hebraeus", "Improphantes turok", "Improphantes cypriot", "Jacksonella bidens", "Megalepthyphantes globularis", "Allmaniopsis fruticulosa", "Stemonyphantes serratus", "Troxochrus apertus", "Typhochrestus ikarianus", "Apalonia setigera", "Loxandrus brevis", "Loxandrus brullei", "Loxandrus brunneicornis", "Loxandrus brunnescens", "Loxandrus brunneus", "Loxandrus calathoides", "Loxandrus castanipes", "Loxandrus catharinae", "Loxandrus celebensis", "Loxandrus celeris", "Loxandrus cervicalis", "Loxandrus cincinnati", "Loxandrus circulus", "Loxandrus collucens", "Loxandrus confusus", "Loxandrus conspicuus", "Loxandrus crenatus", "Loxandrus cribratellus", "Loxandrus cubanus", "Loxandrus curtatoides", "Loxandrus curtatus", "Loxandrus curtonotus", "Loxandrus cuyabanus", "Loxandrus davisoni", "Loxandrus defanisi", "Loxandrus depressibasis", "Loxandrus discolor", "Loxandrus dubius", "Loxandrus duryi", "Loxandrus ecuadoricus", "Loxandrus egae", "Loxandrus elaphropus", "Loxandrus elnae", "Loxandrus elongatus", "Loxandrus erraticus", "Loxandrus extendus", "Loxandrus fasciatus", "Loxandrus fasciolatus", "Loxandrus flavicauda", "Loxandrus floridanus", "Loxandrus franiai", "Loxandrus fraus", "Loxandrus fulvicornis", "Loxandrus fulvus", "Loxandrus gagatinus", "Loxandrus gibbus", "Loxandrus gravescens", "Loxandrus guttula", "Loxandrus icarus", "Loxandrus idiocentrus", "Loxandrus infimus", "Loxandrus integer", "Loxandrus interruptus", "Loxandrus iricolor", "Loxandrus irideus", "Loxandrus janeiranus", "Loxandrus kayae", "Loxandrus kochalkai", "Loxandrus laetipes", "Loxandrus laevicollis", "Loxandrus laevigatus", "Loxandrus latifascia", "Loxandrus latiusculus", "Loxandrus latus", "Loxandrus lepidus", "Loxandrus littleorum", "Loxandrus longiformis", "Loxandrus longiusculus", "Loxandrus lucens", "Loxandrus macleayi", "Loxandrus macroderus", "Loxandrus macula", "Loxandrus maculatus", "Loxandrus maindroni", "Loxandrus major", "Loxandrus majusculus", "Loxandrus marginalis", "Loxandrus marginepunctatus", "Loxandrus mattoanus", "Loxandrus medius", "Loxandrus melas", "Loxandrus micans", "Loxandrus micantinus", "Loxandrus micantior", "Loxandrus minasianus", "Loxandrus minimus", "Loxandrus minor", "Loxandrus mirei", "Loxandrus modicus", "Loxandrus moritzi", "Loxandrus negrei", "Loxandrus nicki", "Loxandrus nitidulus", "Loxandrus nocticolor", "Loxandrus notula", "Loxandrus obscurus", "Loxandrus omiltemi", "Loxandrus oophagus", "Loxandrus opaculus", "Loxandrus orbicollis", "Loxandrus ornatellus", "Loxandrus ornatus", "Loxandrus pactinullus", "Loxandrus paraguayensis", "Loxandrus parallelus", "Loxandrus parvulus", "Loxandrus photophilus", "Loxandrus piceolus", "Loxandrus piciventris", "Loxandrus picticauda", "Loxandrus pictoides", "Loxandrus pictus", "Loxandrus planicollis", "Loxandrus planoculis", "Loxandrus politissimus", "Loxandrus posticus", "Loxandrus pravitubus", "Loxandrus profundestriatus", "Loxandrus proximus", "Loxandrus pseudomajor", "Loxandrus punctatissimus", "Loxandrus punctibasis", "Loxandrus punctimargo", "Loxandrus punctisulcis", "Loxandrus punctulatus", "Loxandrus pusillus", "Loxandrus quadribasis", "Apteranillus championi", "Apteranillus dohrnii", "Apteranillus minosianus", "Apteranillus peyerimhoffi", "Apteranillus pueli", "Apteranillus rotroui", "Apteranillus ruei", "Apteranillus tressensi", "Bulbophyllum windsorense", "Apteranillus bichaini", "Bulbophyllum nematopodum", "Apteraphaenops longiceps", "Apteraphaenops longiceps brevicornis", "Ceroxylon ceriferum", "Loxandrus velocipes", "Loxandrus velox", "Loxandrus vittatus", "Loxandrus vulneratus", "Loxandrus whiteheadi", "Loxandrus xanthopus", "Loxandrus yeariani", "Loxocrepis cruralis", "Loxocrepis obscuritarsis", "Loxocrepis rubriola", "Loxocrepis ruficeps", "Loxogenius opacipennis", "Loxoncus agilis", "Loxoncus alacer", "Loxoncus ampandrandavae", "Loxoncus angustatus", "Loxoncus arrowi", "Loxoncus basilewskyi", "Loxoncus circumcinctus", "Loxoncus coliensis", "Loxoncus discophorus", "Loxoncus elevatus", "Loxoncus hiekei", "Loxoncus horni", "Loxoncus incisus", "Loxoncus latus", "Loxoncus madagascariensis", "Loxoncus malaisei", "Loxoncus marginatus", "Loxoncus mocquerysi", "Loxoncus nagpurensis", "Loxoncus planicollis", "Loxoncus politus", "Loxoncus procerus", "Loxoncus renitens", "Loxoncus rutilans", "Loxoncus schmidti", "Loxoncus seyrigi", "Loxoncus sicardi", "Loxoncus snizeki", "Loxoncus subagilis", "Loxoncus velox", "Loxoncus gynuis", "Loxoncus microgonus", "Lucicolpodes eberti", "Lucicolpodes gingko", "Lucicolpodes lotos", "Lucicolpodes lucens", "Lucicolpodes mandarin", "Lucicolpodes obsoletus", "Lucicolpodes orchis", "Lucicolpodes panda", "Lucicolpodes pavo", "Lucicolpodes raja", "Lucicolpodes rhododendron", "Lucicolpodes tragopan", "Lucicolpodes utheinaungi", "Lucicolpodes kira", "Lucicolpodes macropus", "Lucicolpodes rani", "Lucicolpodes sciakyi", "Lucicolpodes vivax", "Lucicolpodes wrasei", "Luoxiaotrechus deuvei", "Bulbophyllum amorosoanum", "Tibouchina longifolia var. simulans", "Tibouchina longifolia var. longifolia", "Corispermum ochotense var. alaskanum", "Corispermum pamiricum var. pilocarpum", "Domitius murgis", "Ceroxylon ventricosum", "Ceroxylon vogelianum", "Mecynognathus damelii", "Mecynoscaris ambreana", "Macrocheilus scapularis", "Macrocheilus spectandus", "Macrocheilus taedatus", "Macrocheilus tripustulatus", "Macrocheilus vanharteni", "Macrocheilus varians", "Macrocheilus viduatus", "Macrocheilus vinctus", "Macrocheilus vitalisi", "Macromorphus boisduvali", "Macroprotus forticornis", "Macroprotus tenuicornis", "Maculagonum altipox", "Maculagonum atropox", "Maculagonum canipox", "Maculagonum daymanpox", "Maculagonum depilapox", "Maculagonum kaindipox", "Maculagonum plagipox", "Maculagonum pox", "Maculagonum scaphipox", "Maculagonum seripox", "Maculagonum setipox", "Maculagonum tafapox", "Maculagonum waupox", "Madagascareicheia elongata", "Madapelmus elongatus", "Madascaris casalei", "Madascaris centurio", "Madascaris enoplus", "Madascaris marojejyana", "Madascaris octocostata", "Madecassina alluaudi", "Madecassina angusticollis", "Madecassina bimaculata", "Madecassina curta", "Madecassina maculata", "Madecassina occipitalis", "Madecassina permira", "Madecassina picta", "Madecassina puncticollis", "Madecassina quadrimaculata", "Madecassina sicardi", "Madecassina tanala", "Malagasydipnus bulirschi", "Malagasydipnus janaki", "Malagasydipnus louisi", "Malagasytyphlus anosyenneae", "Malagasytyphlus bulirschi", "Malagasytyphlus kalambatritae", "Malagasytyphlus vohitrosae", "Mamboicus afrellus", "Mamboicus conradti", "Mamboicus granulipennis", "Mamboicus heterosculptus", "Mamboicus hypocrita", "Mamboicus langenhani", "Mamboicus lastii", "Mamboicus methneri", "Mamboicus nguruensis", "Mamboicus ochryopoides", "Mamboicus semigranulatus", "Lymnastis remyi", "Lymnastis rugegeiensis", "Lymnastis sanctaehelenae", "Lymnastis scaritides", "Lymnastis schachti", "Lymnastis schoutedeni", "Lymnastis schuelkei", "Lymnastis sinaiticus", "Lymnastis subovatus", "Lymnastis sugimotoi", "Lymnastis swaluwenbergi", "Lymnastis tesquorum", "Lymnastis thoracicus", "Lymnastis tibesticus", "Lymnastis villiersi", "Lymnastis yanoi", "Macfarlandia arachnoides", "Machozetus concinnus", "Machozetus lehmanni", "Macranillus bennetti", "Macranillus magnus", "Macranillus maini", "Macranillus pearsoni", "Macranillus quartermainei", "Macrocheilus allardi", "Macrocheilus alluaudi", "Macrocheilus angustatus", "Macrocheilus asteriscus", "Macrocheilus basilewskyi", "Macrocheilus bensoni", "Macrocheilus bicolor", "Macrocheilus biguttatus", "Macrocheilus bimaculatus", "Macrocheilus binotatus", "Macrocheilus biplagiatus", "Macrocheilus burgeoni", "Macrocheilus chaudoiri", "Macrocheilus clasispilus", "Macrocheilus crampeli", "Macrocheilus cribrarius", "Macrocheilus cruciatus", "Macrocheilus deuvei", "Macrocheilus diplospilus", "Macrocheilus dorsalis", "Macrocheilus dorsiger", "Macrocheilus elegantulus", "Macrocheilus ferruginipes", "Macrocheilus hybridus", "Macrocheilus immanis", "Macrocheilus impictus", "Macrocheilus labrosus", "Macrocheilus longicollis", "Macrocheilus macromaculatus", "Macrocheilus madagascariensis", "Macrocheilus moraisi", "Macrocheilus niger", "Macrocheilus nigrotibialis", "Macrocheilus ocellatus", "Macrocheilus overlaeti", "Macrocheilus perrieri", "Macrocheilus persimilis", "Macrocheilus proximus", "Macrocheilus quadrinotatus", "Macrocheilus saulcyi", "Mamesdytes glacialis", "Mamesdytes shawcrossensis", "Manticora congoensis", "Manticora gruti", "Manticora holubi", "Manticora imperator", "Manticora livingstoni", "Manticora mygaloides", "Manticora scabra", "Manticora sichelii", "Manticora skrabali", "Manticora tibialis", "Manticora tuberculata", "Manticora werneri", "Marsyas bahiae", "Marsyas bicolor", "Marsyas cyanopterus", "Marsyas darlingtoni", "Marsyas elegans", "Marsyas franzi", "Marsyas humeralis", "Marsyas inaequalis", "Marsyas insignis", "Marsyas intermedius", "Marsyas lampronotus", "Marsyas latemarginatus", "Marsyas minutus", "Marsyas obliquecollis", "Marsyas olivaceus", "Marsyas parallelus", "Marsyas proximus", "Marsyas subaeneus", "Marsyas viridiaeneus", "Martyr alter", "Martyr praeteritorum", "Mascarenhia subappendiculata", "Masoreus aegyptiacus", "Masoreus affinis", "Masoreus alticola", "Masoreus grandis", "Masoreus orientalis", "Masoreus saharensis", "Mastax congoensis", "Mastax elegantula", "Mastax euanthes", "Mastax extrema", "Mastax florida", "Mastax formosana", "Mastax fortesculpta", "Mastax fulvonotata", "Mastax gestroi", "Mastax hargreavesi", "Mastax histrio", "Mastax humilis", "Mastax kivuensis", "Mastax klapperichi", "Mastax kulti", "Mastax laeviceps", "Mastax latefasciata", "Mastax liebkei", "Mastax louwerensi", "Mastax moesta", "Mastax nana", "Mastax nepalensis", "Mecyclothorax najtae", "Mecyclothorax negrei", "Mecyclothorax nubicola", "Mecyclothorax oahuensis", "Mecyclothorax obscuricolor", "Mecyclothorax obscuricornis", "Mecyclothorax obtusus", "Mecyclothorax occultus", "Mecyclothorax oppenheimeri", "Mecyclothorax ovalis", "Mecyclothorax pahere", "Mecyclothorax pallidus", "Mecyclothorax palustris", "Mecyclothorax paraglobosus", "Mecyclothorax perkinsi", "Mecyclothorax perkinsianus", "Mecyclothorax perraulti", "Mecyclothorax peryphoides", "Mecyclothorax pirihao", "Mecyclothorax platops", "Mecyclothorax platysminus", "Mecyclothorax pomarei", "Mecyclothorax profondestriatus", "Mecyclothorax punctatus", "Mecyclothorax pusillus", "Mecyclothorax quadraticollis", "Mecyclothorax rectangulus", "Mecyclothorax riedeli", "Mecyclothorax rusticus", "Mecyclothorax scapulatus", "Mecyclothorax scaritoides", "Mecyclothorax sculptonotatus", "Mecyclothorax sedlaceki", "Mecyclothorax simiolus", "Mecyclothorax sobrinus", "Mecyclothorax spinosus", "Mecyclothorax striatopunctatus", "Mecyclothorax subconstrictus", "Mecyclothorax subquadratus", "Mecyclothorax tahitiensis", "Mecyclothorax taiarapu", "Mecyclothorax teatara", "Mecyclothorax toretore", "Mecyclothorax toxopei", "Mecyclothorax tutei", "Mecyclothorax unctus", "Mecyclothorax ustulatus", "Mecyclothorax vaifaufa", "Mecyclothorax vicinus", "Mecyclothorax villiersi", "Mecyclothorax viridis", "Mecyclothorax vulcanoides", "Mastax ochraceonotata", "Mastax okavango", "Mastax ornata", "Mastax ornatella", "Mastax pakistana", "Mastax parreysii", "Mastax philippina", "Mastax poecila", "Mastax pulchella", "Mastax pygmaea", "Mastax raffrayi", "Mastax rawalpindi", "Mastax royi", "Mastax rugiceps", "Mastax saganicola", "Mastax senegalensis", "Mastax striaticeps", "Mastax subornatella", "Mastax sudanica", "Mastax tessmanni", "Mastax tratorius", "Mastax vegeta", "Masuzoa baicalensis", "Masuzoa notabilis", "Masuzoa ussuriensis", "Masuzonoblemus humeratus", "Masuzonoblemus tristis", "Matabele arabica", "Matabele miranda", "Mateuellus troglobioticus", "Mayaphaenops sbordonii", "Mecyclothorax aeneus", "Mecyclothorax allostriatus", "Mecyclothorax amaroides", "Mecyclothorax anaana", "Mecyclothorax angulosus", "Mecyclothorax angusticollis", "Mecyclothorax aorai", "Mecyclothorax apicalis", "Mecyclothorax arcanus", "Mecyclothorax ata", "Mecyclothorax ataraensis", "Mecyclothorax badius", "Mecyclothorax balli", "Mecyclothorax ballioides", "Mecyclothorax bartletti", "Mecyclothorax basipunctus", "Mecyclothorax blackburni", "Mecyclothorax bougainvillei", "Mecyclothorax bradycellinus", "Mecyclothorax bradyderus", "Mecyclothorax brevipennis", "Mecyclothorax brevis", "Mecyclothorax brittoni", "Mecyclothorax carteri", "Mecyclothorax castaneus", "Mecyclothorax ceteratus", "Mecyclothorax chalcosus", "Mecyclothorax clermontianus", "Mecyclothorax constrictus", "Mecyclothorax convexicollis", "Mecyclothorax cooki", "Mecyclothorax cordaticollis", "Mecyclothorax cordicollis", "Mecyclothorax crassus", "Mecyclothorax cuccodoroi", "Mecyclothorax cupreoides", "Mecyclothorax cupreus", "Mecyclothorax cupripennis", "Mecyclothorax curtipes", "Mecyclothorax curtus", "Mecyclothorax cymindicus", "Mecyclothorax dannieae", "Mecyclothorax daptinus", "Mecyclothorax debilis", "Mecyclothorax doesburgi", "Mecyclothorax ducalis", "Mecyclothorax excavatus", "Mecyclothorax exilioides", "Mecyclothorax externestriatus", "Mecyclothorax eyrensis", "Mecyclothorax fairmairei", "Mecyclothorax ferovipennis", "Mecyclothorax filipes", "Mecyclothorax filitarsis", "Mecyclothorax fleutiauxi", "Mecyclothorax fortis", "Mecyclothorax fosbergi", "Mecyclothorax fuscus", "Mecyclothorax geminatus", "Mecyclothorax georgettae", "Mecyclothorax gerardi", "Mecyclothorax globosoides", "Mecyclothorax globulosus", "Mecyclothorax gourvesi", "Mecyclothorax haleakalae", "Mecyclothorax hemisphaericus", "Mecyclothorax improcerus", "Mecyclothorax inaequalis", "Mecyclothorax insolitus", "Mecyclothorax integer", "Mecyclothorax interruptus", "Mecyclothorax iteratus", "Mecyclothorax jarrigei", "Mecyclothorax kahalawaiae", "Mecyclothorax laevilateralis", "Mecyclothorax lateralis", "Mecyclothorax lissus", "Mecyclothorax loebli", "Mecyclothorax longulus", "Mecyclothorax lophoides", "Mecyclothorax lyratus", "Mecyclothorax macrops", "Mecyclothorax mahina", "Mecyclothorax mapura", "Mecyclothorax marau", "Mecyclothorax marginatus", "Mecyclothorax micans", "Mecyclothorax microps", "Mecyclothorax minimops", "Mecyclothorax minutus", "Mecyclothorax molokaiae", "Mecyclothorax molops", "Mecyclothorax montivagus", "Mecyclothorax multipunctatus", "Mecyclothorax mundanus", "Loxandrus quadricollis", "Loxandrus quadrinotatus", "Loxandrus quinarius", "Loxandrus rectangulus", "Loxandrus rectibasis", "Loxandrus rectus", "Loxandrus reflexicollis", "Loxandrus remotus", "Loxandrus ripicola", "Loxandrus robustus", "Loxandrus rossi", "Loxandrus rotundatus", "Loxandrus rotundicollis", "Loxandrus rubescens", "Loxandrus rubricatus", "Loxandrus rubromaculatus", "Loxandrus rubroniger", "Loxandrus ruficornis", "Loxandrus rufilabris", "Loxandrus rufostigma", "Loxandrus saccisecundaris", "Loxandrus saphyrinus", "Loxandrus sculptilis", "Loxandrus semperfidelis", "Loxandrus sericeus", "Loxandrus sericiventris", "Loxandrus similis", "Loxandrus simillimus", "Loxandrus simplex", "Loxandrus sinuatellus", "Loxandrus sinuatus", "Loxandrus spinigrandis", "Loxandrus spinilunatus", "Loxandrus stenolophoides", "Loxandrus stockwelli", "Loxandrus straneoi", "Loxandrus strigomeroides", "Loxandrus subcordicollis", "Loxandrus subfuscus", "Loxandrus subgagatinus", "Loxandrus subiridescens", "Loxandrus subparallelus", "Loxandrus subquadratus", "Loxandrus subrectus", "Loxandrus subsinuatus", "Loxandrus subvittatus", "Loxandrus sulcatus", "Loxandrus taeniatus", "Loxandrus tetrastigma", "Loxandrus trapezicollis", "Loxandrus tropicus", "Loxandrus tucumanus", "Loxandrus uniformis", "Loxandrus unilobus", "Loxandrus unispinus", "Loxandrus unistigma", "Loxandrus variabilis", "Mecynoscaris longula", "Medisores abditus", "Megacephala apicespinosa", "Megacephala asperata", "Megacephala baxteri", "Megacephala bocandei", "Megacephala denticollis", "Megacephala ertli", "Megacephala hanzelkazikmundi", "Megacephala johnnydeppi", "Megacephala laevicollis", "Megacephala megacephala", "Megacephala morsii", "Megacephala quadrisignata", "Megacephala regalis", "Megacephala somalica", "Megadromus nigrifrons", "Megadromus walkeri", "Megalebia colasi", "Megalebia nigrotestacea", "Megalomma fulgens", "Megalomma oculatum", "Megalomma pierreorum", "Megalomma viridulum", "Megaloodes politus", "Megalopaussus amplipennis", "Megamorio basilewskyi", "Megamorio camerunus", "Oraniopsis appendiculata", "Megamorio congoensis", "Megamorio feai", "Megamorio gabonicus", "Megamorio mniszechii", "Meganophthalmus irinae", "Meganophthalmus kravetzi", "Meganophthalmus kutaissianus", "Meganophthalmus medvedevi", "Meganophthalmus mirabilis", "Megastylulus pivai", "Meladroma angustata", "Meladroma informicollis", "Meladroma katangensis", "Meladroma umbraculata", "Melaenus elegans", "Melaenus piger", "Melanchiton abacetoides", "Melanchiton aberrans", "Melanchiton aethiops", "Melanchiton aterrimus", "Melanchiton atratus", "Melanchiton basilewskyi", "Melanchiton brevipennis", "Melanchiton burgeoni", "Melanchiton camerunus", "Melanchiton carbonatus", "Melanchiton clarkei", "Melanchiton congoensis", "Melanchiton decorsei", "Melanchiton ebeninus", "Melanchiton elongatus", "Melanchiton guineensis", "Melanchiton hulstaerti", "Melanchiton impressifrons", "Melanchiton intermedius", "Melanchiton iridescens", "Melanchiton kenyensis", "Melanchiton kivuensis", "Melanchiton laevisulcis", "Melanchiton latithorax", "Melanchiton leleupi", "Melanchiton longelytratus", "Melanchiton longulus", "Melanchiton lucidulus", "Melanchiton mandibularis", "Melanchiton marginatus", "Melanchiton mecynonotus", "Melanchiton meridionalis", "Melanchiton motoensis", "Melanchiton nairobianus", "Melanchiton niloticus", "Melanchiton opacus", "Melanchiton orientalis", "Melanchiton parallelus", "Melanchiton pinguis", "Melanchiton proximoides", "Melanchiton proximus", "Melanchiton pugnator", "Melanchiton quadraticollis", "Melanchiton rectangulus", "Melanchiton rhodesianus", "Melanchiton rufipes", "Melanchiton senegalensis", "Melanchiton sjostedti", "Melanchiton somalicus", "Melanchiton transvaalensis", "Melanchiton trapezicollis", "Melanchiton vorax", "Melanchiton zanzibaricus", "Melanchrous africanus", "Melanchrous celisi", "Melanchrous flavipes", "Melanchrous florens", "Melanchrous obesus", "Melanchrous schoutedeni", "Melanospilus andrewesi", "Melanospilus bensoni", "Melanospilus borneensis", "Melanospilus hamaticornis", "Melanospilus yamasakoi", "Meleagros burmanensis", "Meleagros coeruleus", "Meleagros sikkimensis", "Meleagros sinicola", "Melisodera piceipennis", "Menarus borneensis", "Menarus philippinensis", "Menarus quadrimaculatus", "Menarus sarawaki", "Menarus testaceus", "Menigius burgeoni", "Menigius camerunensis", "Menigius congoensis", "Menigius hintzi", "Menigius liberianus", "Menigius phillipsi", "Menigius rotundicollis", "Menigius schaumi", "Menigius sulciger", "Meonis uncinatus", "Meonis amplicollis", "Meonis angusticollis", "Meonis angustior", "Meonis ater", "Meonis carteri", "Meonis convexus", "Meonis cordicollis", "Meonis interruptus", "Meonis magnus", "Meonis minor", "Meonis niger", "Meonis quinquesulcatus", "Meonis semistriatus", "Meonis styx", "Meonis subconvexus", "Meotachys ballorum", "Meotachys rubrum", "Meotachys amplicollis", "Meotachys fraterculus", "Meotachys insularum", "Meotachys jansoni", "Meotachys platyderus", "Meotachys rufulus", "Meotachys squiresi", "Meotachys sulcipennis", "Meotachys riparius", "Merizodus angusticollis", "Merizomena arabica", "Merizomena buettikeri", "Merizomena castanea", "Merizomena dimidiata", "Merizomena grandinella", "Merizomena schoenemanni", "Merizomena silvatica", "Merizomena tricolor", "Merizomena tschitscherini", "Merizomena yemenita", "Meropalpus azurescens", "Meropalpus irradians", "Meropalpus nobilis", "Mesarthropterus wasmanni", "Mesocolpodes coptoderoides", "Mesolestes accentifer", "Mesolestes affinis", "Mesolestes ambiguus", "Mesolestes apterus", "Mesolestes basilewskyi", "Mesolestes flavescens", "Mesolestes fraterculus", "Mesolestes fusculus", "Mesolestes fuscus", "Mesolestes humeralis", "Mesolestes machadoi", "Mesolestes maculatus", "Mesolestes meridionalis", "Metaxymorphus frenatus", "Metaxymorphus glabricollis", "Metaxymorphus goryi", "Metaxymorphus inconspicuus", "Metaxymorphus lineellus", "Metaxymorphus modestus", "Metaxymorphus namaquensis", "Metaxymorphus pictus", "Metaxymorphus pusillus", "Metaxys amoenulus", "Metaxys basilewskyi", "Metaxys biguttatus", "Metaxys bipustulatus", "Metaxys bisignatus", "Metaxys congoensis", "Metaxys ellipticus", "Metaxys intermedius", "Metaxys iridescens", "Metaxys kivuensis", "Metaxys latithorax", "Metazuphium spinangulis", "Metius aeneus", "Metius andicola", "Metius annulicornis", "Metius apicalis", "Metius auratoides", "Metius blandus", "Metius bolivianus", "Metius bonariensis", "Metius brunnescens", "Metius canotae", "Metius carnifex", "Metius caudatus", "Metius circumfusus", "Metius confusus", "Metius constrictus", "Metius cordatulus", "Metius cordatus", "Metius eurypterus", "Metius femoratus", "Metius flavipes", "Metius flavipleuris", "Metius foveolatus", "Metius gigas", "Metius gilvipes", "Metius harpaloides", "Metius hassenteufeli", "Metius incertus", "Metius kulti", "Metius latemarginatus", "Metius latigastricus", "Metius latior", "Metius loeffleri", "Metius luridus", "Metius malachiticus", "Metius marginatus", "Metius mateui", "Metius melancholicus", "Metius negrei", "Metius niger", "Metius obscurus", "Metius obtusus", "Metius parvicollis", "Metius parvulus", "Metius peruvianus", "Metius pogonoides", "Metius punctulatus", "Metius robustus", "Metius rotundatus", "Metius rotundicollis", "Metius silvestrii", "Metius striatus", "Metius striolatus", "Metius subcoeruleus", "Metius subfoveolatus", "Metius submetallicus", "Metius subsericeus", "Metius titschacki", "Metius viridulus", "Metius zischkai", "Metoncidus epiphytus", "Metoncidus gracilus", "Metoncidus tenebrionides", "Metriocheila nigricollis", "Metrius contractus", "Metrius explodens", "Mexanillus sbordonii", "Mexaphaenops elegans", "Mexaphaenops febriculosus", "Mexaphaenops fiski", "Mexaphaenops intermedius", "Mexaphaenops jamesoni", "Mexaphaenops mackenziei", "Mexaphaenops prietoi", "Mexaphaenops sulcifrons", "Mexisphodrus boneti", "Mexisphodrus cancuc", "Mexisphodrus cuetzalan", "Mexisphodrus gertschi", "Mexisphodrus profundus", "Mexisphodrus purgatus", "Mexisphodrus spiritus", "Mexisphodrus tlamayaensis", "Mexisphodrus urquijoi", "Mexisphodrus valverdensis", "Mexisphodrus veraecrucis", "Mexisphodrus zoquitlan", "Mexitrechus coarctatus", "Mexitrechus michoacanus", "Mexitrechus mogotensis", "Mexitrechus occidentalis", "Mexitrechus quirogai", "Mexitrechus tepoztlanensis", "Micratopus aenescens", "Micratopus exiguus", "Micratopus insularis", "Micratopus parviceps", "Micratopus withycombei", "Micrixys distincta", "Micrixys mexicana", "Microblemus rieae", "Microcephalus affinis", "Microcephalus amplicollis", "Microcephalus bolivianus", "Microcephalus catharinae", "Microcephalus depressicollis", "Microcephalus festivus", "Microcephalus kaszabi", "Mesolestes nigrocephalus", "Mesolestes scapularis", "Mesolestes sellatus", "Mesolestes senegalensis", "Mesolestes striatus", "Mesolestes ankaratrae", "Mesolestes brunneipes", "Mesolestes descarpentriesi", "Mesolestes flavosignatus", "Mesolestes katanganus", "Mesolestes kilimanus", "Mesolestes leleupi", "Mesolestes madecassus", "Mesolestes orinodromus", "Mesolestes orophilus", "Mesolestes rufus", "Mesolestes silvaticus", "Mesolestes caecus", "Mesolestes pueli", "Mesolestes relictus", "Mesolestes sermeti", "Mesolestes sicardi", "Mesolestes laevis", "Mesolestes mirus", "Mesolestes promontorii", "Mesolestes bilineatus", "Mesolestes brincki", "Mesolestes brittoni", "Mesolestes innoshimae", "Mesolestes quadriguttatus", "Mesolestes virgatus", "Mesolestes vittatus", "Mesus gigas", "Mesus mesus", "Mesus nanus", "Mesus pseudogigas", "Mesus rugatifrons", "Metabacetus arrowi", "Metabacetus hermani", "Metabacetus immarginatus", "Metabacetus jeanneli", "Ryojius nanyuensis", "Metabacetus laotinus", "Metabacetus perakianus", "Metabacetus vandoesburgi", "Metabacetus willi", "Metablus paracenthesis", "Metablus solskyi", "Metacolpodes amoenulus", "Metacolpodes buchannani", "Metacolpodes buxtoni", "Metacolpodes cyaneus", "Metacolpodes deliasianum", "Metacolpodes fryi", "Metacolpodes godavaricus", "Metacolpodes grandis", "Metacolpodes hardwickii", "Metacolpodes hopkinsi", "Metacolpodes incertus", "Metacolpodes janakpurensis", "Metacolpodes janelloides", "Metacolpodes janellus", "Metacolpodes laetus", "Metacolpodes landrungensis", "Microcephalus magnificus", "Microcephalus minor", "Microcephalus niger", "Microcephalus orientalis", "Microcephalus paraguayensis", "Microcephalus peruanus", "Microcephalus subsinuatus", "Microcephalus superbus", "Microcheila denticollis", "Microcheila picea", "Microdaccus assingi", "Microdaccus escalerai", "Microdaccus glasunovi", "Microdaccus opacicolor", "Microdaccus opacus", "Microdaccus pulchellus", "Microdaccus teodoroi", "Microderes akbensis", "Microderes brachypus", "Microderes undulatus", "Microderes nanulus", "Microderes breviformis", "Microderes diversopunctatus", "Microderes intermittens", "Microderes namanganensis", "Microderes subtilis", "Microderes taschketensis", "Microdipnites kahuzianus", "Microdipnites mahnerti", "Microdipnites minutissimus", "Microdipnites perreti", "Microdipnites vanschuytbroecki", "Microdipnites zicsii", "Microdipnodes tshuapanus", "Microdipnus corradoi", "Microdipnus gugheensis", "Microdipnus janaki", "Microdipnus jeanneli", "Microdipnus kilimanus", "Microdipnus latus", "Microdipnus madecassus", "Microdipnus peyrierasi", "Microferonia adelaidae", "Microferonia alticola", "Microferonia anchomenoides", "Microferonia avicapitis", "Microferonia cinctipennis", "Microferonia habbemae", "Microferonia lucanoides", "Microferonia marginata", "Microlestes abeillei", "Microlestes aditi", "Microlestes aenigmaticus", "Microlestes afer", "Microlestes africanus", "Microlestes aljezurensis", "Microlestes andrewesi", "Microlestes angusteforcipatus", "Microlestes ankaratrae", "Microlestes annamensis", "Microlestes apterus", "Microlestes asiaticus", "Microlestes australis", "Microlestes bacchusi", "Microlestes badulini", "Microlestes balli", "Microlestes basilewskyi", "Microlestes baudii", "Microlestes bipunctatus", "Microlestes birmanicus", "Microlestes bomansi", "Microlestes brahma", "Microlestes brevilobus", "Microlestes brunneus", "Microlestes capensis", "Microlestes castaneus", "Microlestes celebensis", "Microlestes coiffaiti", "Microlestes collarti", "Microlestes conspicuus", "Microlestes corticalis", "Microlestes creticus", "Microlestes curtatus", "Microlestes curtipennis", "Microlestes decellei", "Microlestes demessus", "Microlestes dentatus", "Microlestes discoidalis", "Microlestes espanoli", "Microlestes exilis", "Microlestes fissuralis", "Microlestes flavipes", "Microlestes freyi", "Microlestes fulvibasis", "Microlestes fulvus", "Microlestes gallicus", "Microlestes gharuhanus", "Microlestes glabrellus", "Microlestes golvani", "Microlestes gomerensis", "Microlestes gracilicornis", "Microlestes grandis", "Microlestes halffteri", "Microlestes haranti", "Microlestes holdhausi", "Microlestes ibericus", "Microlestes ignotus", "Microlestes imaii", "Microlestes inconspicuus", "Microlestes indicus", "Microlestes infuscatus", "Microlestes iranicus", "Microlestes irregularis", "Microlestes kali", "Microlestes kochi", "Microlestes leleupi", "Microlestes levipennis", "Microlestes lindrothi", "Microlestes linearis", "Microlestes lucidus", "Microlestes luctuosus", "Microlestes luridus", "Microlestes madecassus", "Microlestes maindroni", "Microlestes major", "Microlestes maruta", "Microlestes mauritanicus", "Microlestes maurus", "Microlestes mayidiensis", "Microlestes mena", "Microlestes minor", "Microlestes minutulus", "Microlestes mirei", "Microlestes monodi", "Microlestes monstruosus", "Microlestes montanellus", "Microlestes naini", "Microlestes nanus", "Microlestes negrei", "Ravenea albicans", "Microlestes negrita", "Microlestes nigrinus", "Microlestes nilgiricus", "Microlestes notabilis", "Microlestes numidicus", "Microlestes oberthueri", "Microlestes orientalis", "Microlestes orophilus", "Microlestes parvati", "Microlestes pauliani", "Microlestes persicus", "Microlestes phenax", "Microlestes plagiatus", "Microlestes poeyi", "Microlestes politulus", "Microlestes pusio", "Microlestes rama", "Microlestes reitteri", "Microlestes repandus", "Microlestes royi", "Microlestes rudebecki", "Microlestes sahelianus", "Microlestes sahlbergi", "Microlestes saigonicus", "Microlestes schroederi", "Microlestes seladon", "Microlestes sinaiticus", "Microlestes siva", "Microlestes solidus", "Microlestes syriacus", "Microlestes tehuantepec", "Microlestes tenuis", "Microlestes testaceus", "Microlestes theodoridesi", "Microlestes villiersi", "Microlestes vittatus", "Microlestes vittipennis", "Microlestes xanthopus", "Microlestes yunnanicus", "Microlestes zambezianus", "Microlestodes ovatus", "Microlestodes atrifasciatus", "Microlestodes australiensis", "Microlestodes cinctus", "Microlestodes flavicornis", "Microlestodes inoculatus", "Microlestodes macleayi", "Microlestodes marcidus", "Microlestodes parallelus", "Microlestodes pseudohumeralis", "Microlestodes rufoniger", "Microlestodes yarrae", "Microlestodes zonatus", "Micromentignatha leai", "Micromentignatha oblongicollis", "Microodes altostriatus", "Microodes artus", "Microodes decorsei", "Microodes deflexus", "Microodes mirei", "Microodes nanus", "Microschemus amabilis", "Microschemus angolensis", "Microschemus arabicus", "Microschemus barkeri", "Microschemus chaudoiri", "Microschemus cheranganensis", "Microschemus cruciatus", "Microschemus diversopictus", "Microschemus elegans", "Microschemus flavopilosus", "Microschemus grandis", "Microschemus laetiusculus", "Microschemus laetus", "Microschemus laticornis", "Microschemus luebberti", "Microschemus marakwetianus", "Microschemus natalensis", "Microschemus pallipes", "Microschemus perrieri", "Microschemus persicus", "Microschemus pierronii", "Microschemus planicollis", "Microschemus quadrinotulatus", "Microschemus symei", "Microschemus tenuipunctatus", "Microschemus vadoni", "Microschemus vicinus", "Microschemus villosulus", "Microthylax bradti", "Microthylax olivaceus", "Microthylax sinaloae", "Microtyphlus alegrei", "Microtyphlus aurouxi", "Microtyphlus bateti", "Microtyphlus canovasae", "Microtyphlus charon", "Microtyphlus comasi", "Microtyphlus fadriquei", "Microtyphlus fideli", "Microtyphlus ganglbaueri", "Microtyphlus infernalis", "Ravenea glauca", "Microtyphlus jusmeti", "Microtyphlus menorquensis", "Microtyphlus saxatilis", "Microtyphlus schaumi", "Microtyphlus serratensis", "Microtyphlus torressalai", "Microtyphlus virgilii", "Microtyphlus xaxarsi", "Microtyphlus zariquieyi", "Microzaena angustior", "Microzaena chrysomeloides", "Microzaena levis", "Mimodromius puncticeps", "Mimodromius rugosus", "Mimodromius solieri", "Mimodromius veyrauchi", "Mimodromius wagneri", "Mimodromius zischkai", "Mimophilorhizus chilensis", "Mimotrechus australiensis", "Mimotrechus carteri", "Mimotrechus obscuroguttatus", "Mimotrechus scitulus", "Mimovelindopsis quadriguttata", "Mimovelindopsis rufotestacea", "Mimozaena virescens", "Minimaphaenops lipsae", "Minipenetretus quadraticollis", "Minosaphaenops croaticus", "Minosaphaenops ollivieri", "Minuphloeus mixtus", "Minuthodes atratus", "Minuthodes biplagiatus", "Minuthodes brachyderus", "Minuthodes demarzi", "Minuthodes froggatti", "Minuthodes irregularis", "Minuthodes laticeps", "Minuthodes lineellus", "Minuthodes metallicus", "Minuthodes minimus", "Minuthodes multisetosus", "Minuthodes niger", "Minuthodes papuanus", "Minuthodes queenslandicus", "Minuthodes rectimargo", "Minuthodes regularis", "Minuthodes serratus", "Minuthodes sexualis", "Minuthodes simplex", "Minuthodes trimaculatus", "Minuthodes walfordi", "Minypatrobus darlingtoni", "Minypatrobus hidakanus", "Minypatrobus kasaharai", "Minypatrobus uenoi", "Mioptachys autumnalis", "Mioptachys cruciger", "Mioptachys cucujoides", "Mioptachys flavicauda", "Mioptachys insularis", "Mioptachys melanius", "Mioptachys neotropicus", "Mioptachys noctis", "Mioptachys ocularis", "Mioptachys oopteroides", "Mioptachys parallelus", "Mioptachys trechoides", "Mioptachys xanthura", "Miquihuana rhadiniformis", "Mirachlaenius barbarae", "Miscelus carinatus", "Miscelus javanus", "Miscelus luctuosus", "Miscelus sibling", "Miscelus unicolor", "Microzaena madecassa", "Microzargus hartmanni", "Microzargus nepalensis", "Microzargus pakistanus", "Microzargus schmidti", "Microzargus sichuanus", "Microzargus tibetanus", "Microzargus wangtongensis", "Miltodes ellipticus", "Miltodes granum", "Mimanillus gracilis", "Mimocolliuris andrewesi", "Mimocolliuris drumonti", "Mimocolliuris astoni", "Mimocolliuris bakeri", "Mimocolliuris bicoloripes", "Mimocolliuris chaudoiri", "Mimocolliuris hartmanni", "Mimocolliuris hiekei", "Mimocolliuris indica", "Mimocolliuris nepalensis", "Mimocolliuris pilifera", "Mimocolliuris pusilla", "Mimocolliuris sauteri", "Mimocolliuris stigma", "Mimocolliuris unimaculata", "Mimocolliuris insulana", "Mimocolliuris sinuatiphallus", "Mimodromius cruciger", "Mimodromius fleissi", "Mimodromius martinezi", "Mimodromius straneoi", "Mimodromius trivittis", "Mimodromius altus", "Mimodromius aptinoides", "Mimodromius bicolor", "Mimodromius bolivianus", "Mimodromius bosqui", "Mimodromius chilensis", "Mimodromius chopardi", "Mimodromius cyanipennis", "Mimodromius descendens", "Mimodromius elegantulus", "Mimodromius equatorianus", "Mimodromius frigidus", "Mimodromius gracilis", "Mimodromius hassenteufeli", "Mimodromius insperatus", "Mimodromius leleupi", "Mimodromius lividus", "Mimodromius lojanus", "Mimodromius metallicus", "Mimodromius negrei", "Mimodromius nigroeburneus", "Mimodromius obscuripennis", "Mimodromius onorei", "Mimodromius parallelus", "Mimodromius peruvianus", "Mimodromius phaeoxanthus", "Mimodromius philippii", "Mimodromius poggii", "Mimodromius proseni", "Mischocephalus spinicollis", "Mnuphorus albomaculatus", "Mnuphorus baeckmanni", "Mnuphorus callistoides", "Mnuphorus cyrtus", "Mnuphorus discophorus", "Mnuphorus flavus", "Mnuphorus iliensis", "Mnuphorus jakowlewi", "Mnuphorus sellatus", "Mnuphorus semenovi", "Mnuphorus tetraspilus", "Mochtheroides klapperichi", "Mochtheroides niger", "Mochtheroides philippinensis", "Ravenea hildebrandtii", "Mochtheroides sericans", "Mochtherus asemus", "Mochtherus dentatus", "Mochtherus kelantanensis", "Mochtherus latithorax", "Mochtherus longipennis", "Mochtherus luctuosus", "Mochtherus magnus", "Mochtherus obscurus", "Mochtherus tetraspilotus", "Mochtherus uenoi", "Moirainpa amazona", "Molopidius spinicollis", "Molopinus pilipes", "Molops albanicus", "Molops alpestris", "Molops apfelbecki", "Molops biokovensis", "Molops bosnicus", "Molops bucephalus", "Molops cephallenicus", "Molops curtulus", "Molops dalmatinus", "Molops dilatatus", "Molops dinaricus", "Molops doderoi", "Molops elatus", "Molops euboeicus", "Molops longipennis", "Molops malshentianus", "Molops matchai", "Molops merditanus", "Molops obtusangulus", "Molops osmanilis", "Molops ovipennis", "Molops parnassicola", "Molops parreyssi", "Molops pentheri", "Molops peristericus", "Molops piceus", "Molops plurisetosus", "Molops prenjus", "Molops promissus", "Molops reiseri", "Molops rhodopensis", "Molops robustus", "Molops rufipes", "Molops simplex", "Molops spartanus", "Molops striolatus", "Molops thessalicus", "Molops valonensis", "Molops weiratheri", "Monnea decora", "Monocentrum convexum", "Monocentrum frenchi", "Monocentrum grandiceps", "Monocentrum laticeps", "Monocentrum longiceps", "Monocentrum macros", "Monocentrum megacephalum", "Monocentrum parallelum", "Monocentrum perlongum", "Monocentrum procerum", "Monocentrum robustum", "Ravenea madagascariensis", "Monodryxus crassus", "Montagonum filiola", "Montagonum fugitum", "Montagonum major", "Montagonum minor", "Montagonum nepos", "Montagonum pandum", "Montagonum riedeli", "Montagonum sororcula", "Montagonum toxopeanum", "Morimotoidius cavicola", "Morimotoidius formosus", "Morimotoidius astictus", "Morimotoidius otuboi", "Moriodema mcoyei", "Morion angustus", "Morion aridus", "Morion attenuatus", "Morion australis", "Morion baloghi", "Morion biroi", "Morion bithynicus", "Morion boliviensis", "Morion boninensis", "Morion brasiliensis", "Morion brevior", "Morion caledoniae", "Morion congoensis", "Morion constrictus", "Morion cordatus", "Morion costigerus", "Morion crassipes", "Morion cucujoides", "Morion cyclomus", "Morion dalbertisi", "Morion doriae", "Morion germanus", "Morion guineensis", "Morion humeratus", "Morion japonicus", "Morion jordani", "Morion lafertei", "Morion longicollis", "Morion longipennis", "Phrynobatrachus afiabirago", "Euscalpellum vomer", "Phrynobatrachus horsti", "Phrynobatrachus mayokoensis", "Bulbophyllum anascaputum", "Galium bermudense", "Euscalpellum romanorum", "Metacolpodes laticeps", "Metacolpodes limodromoides", "Metacolpodes monticola", "Metacolpodes nilgherriensis", "Metacolpodes olivius", "Metacolpodes parallelus", "Metacolpodes planithorax", "Metacolpodes rambouseki", "Metacolpodes rotundatus", "Metacolpodes rotundicollis", "Metacolpodes superlita", "Metacolpodes takakuwai", "Metacolpodes tetraglochis", "Metacolpodes truncatellus", "Metadromius accipiter", "Metadromius anamurensis", "Metadromius angularis", "Metadromius arabicus", "Metadromius besucheti", "Metadromius brittoni", "Metadromius brunneus", "Metadromius carmelitanus", "Metadromius circumdatus", "Metadromius coiffaiti", "Metadromius desaegeri", "Metadromius ephippiatus", "Metadromius ephippiger", "Metadromius hebes", "Metadromius indicus", "Metadromius lateplagiatus", "Metadromius loebli", "Metadromius machadoi", "Metadromius malawianus", "Metadromius myrmidon", "Metadromius nanus", "Metadromius palmi", "Metadromius pervenustus", "Metadromius ramburii", "Metadromius royi", "Metadromius rufus", "Metadromius signifer", "Metadromius somalicus", "Metadromius suturalis", "Metadromius transvaalensis", "Metaglymma monilifer", "Metallica aeneipennis", "Metallica capeneri", "Metallica mashunensis", "Metallica purpuripennis", "Metallica rufoplagiata", "Metallica viridipennis", "Metascopus camerunicus", "Metaxellus abacetoides", "Metaxymorphus angustissimus", "Metaxymorphus affinis", "Metaxymorphus agilis", "Metaxymorphus atriceps", "Metaxymorphus cursor", "Metaxymorphus cycloderus", "Metaxymorphus debilis", "Metaxymorphus deceptor", "Metaxymorphus discipennis", "Metaxymorphus flaviceps", "Nebria rousseleti", "Nebria rubripes", "Nebria salina", "Nebria schlegelmilchi", "Nebria sevanensis", "Nebria sitiens", "Nebria sobrina", "Nebria speiseri", "Nebria storkani", "Nebria tatrica", "Nebria taygetana", "Nebria tenella", "Nebria thonitida", "Nebria tibialis", "Nebria transsylvanica", "Nebria tristicula", "Nebria turcica", "Nebria verticalis", "Nebria viridipennis", "Nebria vseteckai", "Nebria vuillefroyi", "Nebria walterheinzi", "Nebria cordicollis", "Nebria fontinalis", "Nebria heeri", "Nebria lariollei", "Nebria laticollis", "Nebria morula", "Nebria pictiventris", "Nebria changbaiensis", "Nebria pusilla", "Nebria sawadai", "Nebria angustata", "Pseudophoenix ekmanii", "Micrathena spinosa", "Pseudophoenix lediniana", "Astilbides schwabi", "Aulacocephalonia atritas", "Aulacocephalonia cadaverosus", "Aulacocephalonia collarti", "Aulacocephalonia kenyensis", "Mikania lindbergii", "Aulacocephalonia legatus", "Aulacocephalonia masisiensis", "Trichromia coccinea", "Aulacocephalonia scelerosa", "Aulacocephalonia scorpio", "Trichromia supracoccinea", "Brachypteronia gerardi", "Trichromia sinefascia", "Brachysipalia abacta", "Brachysipalia africana", "Pirascca hanneri", "Melanis dulcis", "Bolitoglossa aurae", "Nannoryctes sulcaticeps", "Nannotrechus gracilipes", "Nannotrechus ancestralis", "Nannotrechus balkaricus", "Nannotrechus inguricus", "Nannotrechus abkhazicus", "Nannotrechus bzybicus", "Nannotrechus ciscaucasiens", "Nannotrechus fishtensis", "Nannotrechus hoppi", "Nannotrechus kovali", "Nannotrechus marginalis", "Nanodiodes australasiae", "Nanodiodes lilliputanus", "Nanodiodes piceus", "Nanodiodes sexstriatus", "Nanodiodes westermanni", "Naviauxella acciavattii", "Naviauxella davisoni", "Naviauxella declivitatis", "Naviauxella durandi", "Naviauxella gabrieli", "Naviauxella labiosa", "Naviauxella pinratanai", "Naviauxella ramai", "Naviauxella recondita", "Naviauxella rufovittata", "Naviauxella snowiana", "Naviauxella tenuiformis", "Naviauxella vientianensis", "Naxipenetretus sciakyi", "Naxipenetretus trisetosus", "Neaphaenops tellkampfii", "Nebria bissenica", "Nebria bosnica", "Nebria carpathica", "Nebria crenatostriata", "Nebria currax", "Nebria dilatata", "Nebria exul", "Nebria fasciatopunctata", "Nebria fuscipes", "Nebria ganglbaueri", "Nebria germarii", "Nebria kocheri", "Nebria merditana", "Nebria nudicollis", "Nebria quezeli", "Nebria reichii", "Nebria reitteri", "Nebria velebiticola", "Nebria hiekei", "Nebria mentoincisa", "Ravenea robustior", "Nebria orientalis", "Nebria pharina", "Nebria roborowskii", "Nebria unguinosa", "Nebria bargusinica", "Nebria biseriata", "Nebria chaslii", "Nebria crassicornis", "Nebria daisetsuzana", "Myas prunieri", "Myas robustus", "Myas saueri", "Myas schuetzei", "Myas smetanai", "Myas straneoi", "Myas tonkinensis", "Myas uenoi", "Myas vignai", "Myas viridis", "Myas yunnanus", "Myriochila akhteri", "Myriochila basilewskyi", "Myriochila cornusafricae", "Myriochila deprimozi", "Myriochila dorsata", "Myriochila dumolinii", "Myriochila fastidiosa", "Myriochila flavidens", "Myriochila georgwerneri", "Myriochila haladai", "Myriochila hauseri", "Myriochila jordaniana", "Myriochila jucunda", "Myriochila legalli", "Myriochila lomii", "Myriochila mirei", "Myriochila nudopectoralis", "Myriochila orientalis", "Myriochila pauliani", "Myriochila respiciens", "Myriochila turkana", "Myriochila vicina", "Myriochila atelesta", "Myriochila congrua", "Myriochila distinguenda", "Myriochila divina", "Myriochila dubia", "Myriochila ehlersi", "Myriochila mastersi", "Myriochila melancholica", "Myriochila moseri", "Myriochila parasemicincta", "Myriochila peringueyi", "Myriochila perplexa", "Myriochila philippinensis", "Myriochila plebeia", "Myriochila plurinotata", "Myriochila semicincta", "Myriochila sericeolongicornis", "Myriochila sinica", "Myriochila specularis", "Myriochila timoriensis", "Myriochila trilunaris", "Myriochila undulata", "Myrmecodemus formicoides", "Myrmecodemus globulicollis", "Myrmecodemus lucai", "Myrmecodemus riverinae", "Myrmecodemus pilosellus", "Mystroceridius basilewskyi", "Mystroceridius wittmeri", "Mystropomus regularis", "Mystropomus subcostatus", "Nebria valida", "Nebria vicina", "Nebria vladiae", "Nebria wraseiana", "Nebria xiangchengica", "Nebria barbata", "Nebria businskyorum", "Nebria chitralensis", "Nebria ganeshi", "Nebria kabakovi", "Nebria laevistriata", "Nebria martensi", "Nebria masrina", "Nebria meurguesae", "Nebria nouristanensis", "Nebria orestias", "Nebria oxyptera", "Nebria pindarica", "Nebria poplii", "Nebria praelonga", "Nebria rasa", "Nebria restricta", "Nebria rotundicollis", "Nebria tangjelaensis", "Nebria zayula", "Nebria janschneideri", "Nebria aborana", "Nebria ambigua", "Nebria boiteli", "Nebria cameroni", "Nebria cinctella", "Nebria composita", "Nebria dacatrai", "Nebria davatchii", "Nebria fongondi", "Nebria grombczewskii", "Nebria grumi", "Nebria haberhaueri", "Nebria jarrigei", "Nebria jockischii", "Nebria lewisi", "Nebria limbigera", "Nebria mniszechii", "Nebria nana", "Nebria nanshanica", "Nebria nigerrima", "Nebria oberthuri", "Nebria panshiri", "Nebria perlonga", "Nebria picicornis", "Nebria picta", "Nebria plagiata", "Nebria przewalskii", "Nebria psammodes", "Nebria psammophila", "Nebria pulcherrima", "Nebria pulchrior", "Nebria sublivida", "Nebria talassica", "Nebria tetungi", "Nebria torosa", "Nebria tshatkalica", "Nebria dekraatzi", "Nebria dolicapax", "Nebria fallaciosa", "Nebria frigida", "Nebria genei", "Nebria gouleti", "Nebria heegeri", "Nebria hudsonica", "Nebria klapperichi", "Nebria lacustris", "Nebria latior", "Nebria liae", "Nebria marginata", "Nebria mathildae", "Nebria pawlowskii", "Nebria pazi", "Nebria rubrofemorata", "Nebria rufescens", "Nebria schrenkii", "Nebria simulator", "Nebria sochondensis", "Nebria subdilatata", "Nebria suvorovi", "Nebria uralensis", "Nebria wutaishanensis", "Nebria aenea", "Nebria arinae", "Nebria baenningeri", "Nebria baicalopacifica", "Nebria baumanni", "Nebria calva", "Nebria carri", "Nebria catenata", "Nebria catenulata", "Nebria fulgida", "Nebria gebleri", "Nebria giulianii", "Nebria holzunensis", "Nebria ingens", "Nebria kincaidi", "Nebria labontei", "Nebria lamarckensis", "Nebria lyubechanskii", "Nebria meanyi", "Nebria mellyi", "Nebria metallica", "Nebria ovipennis", "Nebria pektusanica", "Nebria piperi", "Nebria piute", "Nebria praedicta", "Nebria purpurata", "Nebria roddi", "Nebria sajana", "Nebria scaphelytra", "Mikania laevigata", "Nebria schwarzi", "Nebria sierrablancae", "Nebria spatulata", "Nebria splendida", "Nebria steensensis", "Nebria suensoni", "Nebria sylvatica", "Nebria trifaria", "Nebria vandykei", "Nebria agilis", "Nebria amabilis", "Nebria archastoides", "Nebria armata", "Nebria augustini", "Nebria bodpaica", "Nebria bowashanensis", "Nebria cathaica", "Nebria cavazzutii", "Nebria celata", "Nebria civilis", "Nebria compacta", "Nebria conjuncta", "Nebria coruscans", "Nebria cursitans", "Nebria delectabilis", "Nebria delineata", "Nebria fairmairei", "Nebria flexuosa", "Nebria funerea", "Nebria gemina", "Nebria globulosa", "Nebria gratiosa", "Nebria guttulata", "Nebria heishuiensis", "Nebria helianta", "Nebria hollandei", "Nebria inexpectata", "Nebria irrorata", "Nebria jugosa", "Nebria kryzhanovskii", "Nebria kubaniana", "Nebria kurentzovi", "Nebria lenis", "Nebria lingulata", "Nebria longilingua", "Nebria lucidissima", "Nebria lucifer", "Nebria meissonnieri", "Nebria memorabilis", "Nebria micans", "Nebria microphthalma", "Nebria mirkae", "Nebria mucronata", "Nebria neglecta", "Nebria negrei", "Nebria nigricans", "Nebria parvulissima", "Nebria pilipila", "Nebria plicata", "Nebria polita", "Nebria puella", "Nebria sciakyi", "Nebria setosa", "Nebria shatanica", "Nebria sifanica", "Nebria simplex", "Nebria simulatoria", "Nebria spinosa", "Nebria stricta", "Nebria suavis", "Nebria ultima", "Nebria uenoiana", "Nebria xanthacra", "Nebria yunnana", "Nebria complanata", "Nebria bousqueti", "Nebria formosana", "Nebria nakanei", "Nebria reflexa", "Nebria rougemonti", "Nebria tiani", "Nebria gibbulosa", "Nebria kumgangi", "Nebria kurosawai", "Nebria paradisi", "Nebria shibanaii", "Nebria turmaduodecima", "Nebria adjarica", "Nebria aetolica", "Nebria alpicola", "Nebria andalusia", "Nebria andarensis", "Nebria araschinica", "Nebria arcensis", "Nebria asturiensis", "Nebria atlantica", "Nebria attemsi", "Nebria azarbayanei", "Nebria belloti", "Nebria brevicollis", "Nebria caucasica", "Nebria chelmosensis", "Nebria commixta", "Nebria dahlii", "Nebria dejeanii", "Nebria deuveiana", "Nebria elbursiaca", "Nebria elliptipennis", "Nebria fageticola", "Nebria faldermanni", "Nebria femoralis", "Nebria finissima", "Nebria fischeri", "Nebria georgesi", "Nebria glacicola", "Nebria gotschii", "Nebria hellwigii", "Nebria hemprichi", "Nebria heydenii", "Nebria irregularis", "Nebria korgei", "Nebria kratteri", "Nebria lafresnayei", "Nebria leonensis", "Nebria macedonica", "Nebria mandibularis", "Nebria mirabilis", "Nebria motschulskyi", "Nebria olivieri", "Nebria olympica", "Nebria patruelis", "Nebria pontica", "Nebria posthuma", "Nebria punctatostriata", "Nebria retrospinosa", "Nebria niitakana", "Nebria quinquelobata", "Nebria sadona", "Nebria saeviens", "Nebria tenuicaulis", "Nebria trifida", "Nebria yatsugatakensis", "Nebria apuana", "Nebria coiffaiti", "Nebria fulviventris", "Nebria holtzi", "Nebria lareynii", "Nebria oramarensis", "Nebria orsinii", "Nebria pennisii", "Nebria peyerimhoffi", "Nebria reymondi", "Nebria rubicunda", "Nebria testacea", "Nebria uluderensis", "Nebria vanvolxemi", "Nebria altisierrae", "Nebria campbelli", "Nebria virescens", "Nebriagonum arboreum", "Nebriagonum basipunctum", "Nebriagonum bipunctatum", "Nebriagonum cephalum", "Nebriagonum foedum", "Nebriagonum percephalum", "Nebriagonum persetosum", "Nebriagonum subcephalum", "Nebriagonum transitior", "Nebriagonum transitum", "Nebriagonum unipunctum", "Nebrioferonia intermedia", "Nebrioferonia strigitarsis", "Negrea aldretei", "Negrea brasiliensis", "Negrea chiapanensis", "Negrea freyi", "Negrea immaculata", "Negrea mexicana", "Negrea opaca", "Negrea peruviana", "Negrea scutellaris", "Negrea sinopiana", "Negrea striatella", "Asheidium zurquiensis", "Astilbides kohli", "Astilbides overlaeti", "Nebria angusticollis", "Nebria atrata", "Nebria austriaca", "Nebria boschi", "Nebria bremii", "Nebria castanea", "Nebria diaphana", "Nebria gagates", "Nebria ligurica", "Nebria lombarda", "Nebria macrodera", "Nebria picea", "Nebria raetzeri", "Nebria schusteri", "Nebria coreica", "Nebria macrogona", "Nebria assidua", "Nebria elegans", "Nebria pertinax", "Nebria dabanensis", "Nebria kaszabi", "Nebria kerzhneri", "Nebria medvedevi", "Nebria murzini", "Nebria sajanica", "Nebria saurica", "Nebria semenoviana", "Nebria setulata", "Nebria stanislavi", "Nebria subaerea", "Nebria tekesensis", "Nebria tyschkanica", "Nebria superna", "Nebria acuta", "Nebria angustula", "Nebria appalachia", "Nebria arkansana", "Nebria carbonaria", "Nebria charlottae", "Nebria danmanni", "Nebria darlingtoni", "Nebria desolata", "Nebria diversa", "Nebria eschscholtzii", "Nebria georgei", "Nebria gregaria", "Nebria haida", "Nebria jeffreyi", "Nebria lituyae", "Nebria louiseae", "Nebria lyelli", "Nebria mannerheimii", "Nebria navajo", "Nebria nicolasi", "Nebria obliqua", "Nebria pallipes", "Nebria sahlbergii", "Nebria snowi", "Nebria suturalis", "Nebria wallowae", "Nebria zioni", "Nebria chinensis", "Cerasus \u00d7 kashioensis", "Negreum amagisanum", "Negreum asakoae", "Negreum bentonis", "Negreum bicolore", "Negreum ehikoense", "Negreum kulti", "Negreum lianzhouense", "Negreum morvani", "Negreum mutator", "Negreum nanlingense", "Negreum peliotes", "Negreum qiongxiense", "Negreum rougemonti", "Negreum wangmini", "Negreum yasuii", "Nelsonites jonesei", "Nelsonites walteri", "Nemaglossa brevis", "Nemotarsus disciger", "Nemotarsus elegans", "Nemotarsus fallax", "Nemotarsus interruptus", "Nemotarsus limbicollis", "Nemotarsus rhombifer", "Nemotarsus scutellaris", "Nemotarsus sellatus", "Nemotarsus titschacki", "Neoaulacoryssus cupripennis", "Neoaulacoryssus speciosus", "Neobatenus deprimatus", "Neobatenus elgonensis", "Neobatenus fallaciosus", "Neobatenus halophilus", "Neobatenus harroyi", "Neobatenus harveyi", "Neobatenus jimmae", "Neobatenus kilimanus", "Neobatenus laetulus", "Neobatenus malawiensis", "Neobatenus pridhami", "Neobatenus pseudophanes", "Neobatenus ruandanus", "Neobatenus striatitarsis", "Neobatenus transvaalensis", "Neobatenus witteanus", "Neobatenus zavattarii", "Neoblemus andrewesi", "Neoblemus bedoci", "Neoblemus championi", "Neoblemus dostali", "Neoblemus gilleforsi", "Neoblemus glazunovi", "Neoblemus jeannei", "Neoblemus kubani", "Neoblemus samai", "Neoblemus zetteli", "Neocarenum angustatum", "Neocarenum blackburni", "Neocarenum cylindripenne", "Neocarenum dingo", "Neocarenum elongatum", "Neocarenum parviceps", "Neocarenum retusum", "Neocarenum rugosulum", "Neocarenum singulare", "Neocarenum spenceri", "Neochila apicenitens", "Neochila baderlei", "Neochila congoana", "Neochila glabrilabris", "Neochila grandis", "Neochila hassoni", "Neochila katangana", "Neochila kigonserana", "Neochila nigromarginilabris", "Neochila nitida", "Neochila prototypica", "Neochila unicolorata", "Neochila upangwana", "Neochryopus savagei", "Neocollyris akka", "Neocollyris atrata", "Neocollyris brevis", "Neocollyris brevithoracica", "Neocollyris purpureomaculata", "Neocollyris torosa", "Neocollyris acrolia", "Neocollyris affinis", "Neocollyris ampullacea", "Neocollyris angularis", "Neocollyris basilana", "Neocollyris carbonaria", "Neocollyris chaudoiri", "Neocollyris conigera", "Neocollyris corrugata", "Neocollyris erichsoni", "Neocollyris filicornis", "Neocollyris fleutiauxi", "Neocollyris gracilis", "Neocollyris infusca", "Neocollyris plicata", "Neocollyris pseudacrolia", "Neocollyris pseudospeciosa", "Neocollyris rhodopus", "Neocollyris similior", "Neocollyris speciosa", "Neocollyris sumatrensis", "Neocollyris waterhousei", "Neocollyris annulicornis", "Neocollyris aureofusca", "Neocollyris auripennis", "Neocollyris carinifrons", "Neocollyris convergentefrontalis", "Neocollyris davidi", "Neocollyris erichwerneri", "Neocollyris formosana", "Neocollyris fruhstorferi", "Neocollyris fulgida", "Neocollyris grandisubtilis", "Neocollyris ingridae", "Neocollyris karen", "Neocollyris latissima", "Neocollyris loochooensis", "Neocollyris macilenta", "Neocollyris mannheimsi", "Neocollyris modica", "Neocollyris moraveci", "Neocollyris naviauxi", "Neocollyris obscurofemorata", "Neocollyris parvicollis", "Neocollyris pearsoni", "Neocollyris purpurascens", "Neocollyris resplendens", "Neocollyris roeschkei", "Neocollyris rugosior", "Neocollyris schereri", "Neocollyris schillhammeri", "Neocollyris septentrionalis", "Neocollyris sichuanensis", "Neocollyris sinica", "Neocollyris taiwanensis", "Neocollyris lissodera", "Neocollyris ovata", "Neocollyris richteri", "Neocollyris ampliata", "Neocollyris aspera", "Neocollyris brancuccii", "Neocollyris brendelli", "Neocollyris buchardi", "Neocollyris celeripes", "Neocollyris ceylonica", "Neocollyris cognata", "Neocollyris concinna", "Neocollyris cylindripennis", "Neocollyris discretegrossesculpta", "Neocollyris globicollis", "Neocollyris gomyi", "Neocollyris granulata", "Neocollyris jendeki", "Neocollyris juergenwiesneri", "Neocollyris kollari", "Neocollyris laosensis", "Neocollyris linearis", "Neocollyris maindroni", "Neocollyris martinui", "Neocollyris pacholatkoi", "Neocollyris parallela", "Neocollyris parvula", "Neocollyris planifrontoides", "Neocollyris pulchella", "Neocollyris restricta", "Neocollyris rogeri", "Neocollyris rosea", "Neocollyris rubella", "Neocollyris sausai", "Neocollyris siniaevi", "Neocollyris stricta", "Neocollyris subtilis", "Neocollyris tumida", "Neocollyris variicornis", "Neocollyris variitarsis", "Neocollyris versuta", "Neocollyris xanthoscelis", "Neocollyris strangulata", "Neocollyris tibetana", "Neocollyris tricolor", "Neocollyris tuberculata", "Neocollyris valida", "Neocollyris vietnamensis", "Neocollyris brevipronotalis", "Neocollyris cyaneipalpis", "Neocollyris quadrisulcata", "Neocollyris andrewesi", "Neocollyris anthracina", "Neocollyris arnoldi", "Neocollyris compressicollis", "Neocollyris constricticollis", "Neocollyris dohertyi", "Neocollyris flava", "Neocollyris glabrogibbosa", "Neocollyris graciliformis", "Neocollyris horsfieldii", "Neocollyris leucodactyla", "Neocollyris levigata", "Neocollyris lugubris", "Neocollyris minang", "Neocollyris nilgirica", "Neocollyris oblita", "Neocollyris plicaticollis", "Neocollyris pseudosignata", "Neocollyris rubens", "Neocollyris sarawakensis", "Neocollyris signata", "Neocollyris vannideki", "Neocollyris vedda", "Neocollyris werneri", "Neocolpodes acrentomus", "Neocolpodes acritonius", "Neocolpodes afrellus", "Neocolpodes alberti", "Neocolpodes alluaudi", "Neocolpodes almasius", "Neocolpodes amblyodon", "Neocolpodes andasyanus", "Neocolpodes andohahelo", "Neocolpodes andrangoloakae", "Neocolpodes andreae", "Neocolpodes andrianus", "Neocolpodes andringitrae", "Neocolpodes androronae", "Neocolpodes angulosus", "Neocolpodes anjavidilavae", "Neocolpodes anosibensis", "Morion luzonicus", "Morion monilicornis", "Morion novaehollandiae", "Morion olympicus", "Morion orientalis", "Morion pachysomus", "Morion parallelus", "Morion piceus", "Morion polynesiae", "Morion simplex", "Morion simulatus", "Morion victoriae", "Morionidius charon", "Morionidius doriae", "Morionidius erebus", "Morionidius inexpectatus", "Morionidius insularis", "Moriosomus motschulskyi", "Moriosomus seticollis", "Moriosomus sylvestris", "Mormolyce borneensis", "Mormolyce castelnaudi", "Mormolyce hagenbachii", "Mormolyce phyllodes", "Mormolyce quadraticollis", "Mormolyce tridens", "Mormolycina oberthueri", "Morphaeus corosus", "Morphodactyla alticola", "Morphodactyla coreica", "Morphodactyla ishikawai", "Morphodactyla kmecoi", "Morphodactyla potanini", "Morphodactyla sehnali", "Morphodactyla yulongensis", "Mouhotia batesi", "Mouhotia convexa", "Mouhotia gloriosa", "Myanmadera horii", "Myas chalybeus", "Myas coracinus", "Myas cyanescens", "Myas andrewesi", "Myas asperipennis", "Myas aurescens", "Myas becvari", "Myas brancuccii", "Myas cavazzutii", "Myas cordicollis", "Myas coreanus", "Myas cuprescens", "Myas delavayi", "Myas eous", "Myas fairmairei", "Myas feanus", "Myas ferreroi", "Myas formosanus", "Myas hauseri", "Myas henanensis", "Myas hubeicus", "Myas jaechi", "Myas kutsherai", "Myas latibasis", "Myas princeps", "Neocollyris ampullicollis", "Neocollyris conspicua", "Neocollyris fowleri", "Neocollyris juengeri", "Neocollyris kabakovi", "Neocollyris metallica", "Neocollyris plicicollis", "Neocollyris rugata", "Neocollyris sedlaceki", "Neocollyris subtileflavescens", "Neocollyris aenea", "Neocollyris aeneicollis", "Neocollyris albitarsipennis", "Neocollyris albitarsis", "Neocollyris albocyanescens", "Neocollyris angustula", "Neocollyris batesi", "Neocollyris bonellii", "Neocollyris brevicula", "Neocollyris celebensis", "Neocollyris chloroptera", "Neocollyris clavipalpis", "Neocollyris compacta", "Neocollyris cruentata", "Neocollyris deuvei", "Neocollyris diardi", "Neocollyris dimidiata", "Neocollyris distans", "Neocollyris distincta", "Neocollyris diversa", "Neocollyris egregia", "Neocollyris elongata", "Neocollyris emarginata", "Neocollyris fuscitarsis", "Neocollyris globosa", "Neocollyris gracilicornis", "Neocollyris hengoati", "Neocollyris hiekei", "Neocollyris highlandensis", "Neocollyris impressifrons", "Neocollyris inflata", "Neocollyris insignis", "Neocollyris insularis", "Neocollyris jinpingi", "Neocollyris kraatzi", "Neocollyris krausei", "Neocollyris labiomaculata", "Neocollyris lepida", "Neocollyris longipes", "Neocollyris lucidipes", "Neocollyris moesta", "Neocollyris nepalensis", "Neocollyris nishikawai", "Neocollyris orichalcina", "Neocollyris ovsyannikovi", "Neocollyris paradoxa", "Neocollyris perplexa", "Neocollyris pinguis", "Neocollyris punctatella", "Neocollyris pusilla", "Neocollyris redtenbacheri", "Neocollyris rufipalpis", "Neocollyris rugei", "Neocollyris rugosa", "Notocolpodes micracis", "Notocolpodes midongyanus", "Notocolpodes morpho", "Notocolpodes nigrita", "Notocolpodes obtusidens", "Notocolpodes olsoufieffi", "Notocolpodes onivensis", "Notocolpodes ovalipennis", "Notocolpodes perturbatus", "Notocolpodes punctatostriatus", "Notocolpodes rufobrunneus", "Notocolpodes rugicollis", "Notocolpodes sericeus", "Notocolpodes sogai", "Notocolpodes suavis", "Notocolpodes subpolitus", "Notocolpodes vicinus", "Notolestus sulcipennis", "Notonomus ferox", "Notonomus clivinoides", "Notonomus alternans", "Notonomus alticola", "Notonomus auricollis", "Notonomus aurifer", "Notonomus barrae", "Notonomus dimorphicus", "Notonomus flos", "Notonomus iridescens", "Notonomus jacobi", "Notonomus latreillei", "Notonomus opacistriatis", "Notonomus puella", "Notonomus smilodon", "Notonomus soror", "Notonomus spectabilis", "Notonomus tenuis", "Notonomus thynnefiliarum", "Notonomus vadosus", "Notonomus viridis", "Notonomus australiensis", "Notonomus carinulatus", "Neocolpodes anosyanus", "Neocolpodes antamponae", "Neocolpodes balachowskyi", "Neocolpodes basilewskyi", "Neocolpodes beananae", "Neocolpodes beryllinus", "Neocolpodes bessoni", "Neocolpodes blandus", "Neocolpodes cachani", "Neocolpodes callizonatus", "Neocolpodes casalei", "Neocolpodes coeruleotinctus", "Neocolpodes coeruleus", "Neocolpodes conciliatus", "Neocolpodes confusus", "Neocolpodes contractus", "Neocolpodes coptoderus", "Neocolpodes corpulentus", "Neocolpodes corythenus", "Neocolpodes crassicollis", "Neocolpodes cyaneoviolaceus", "Neocolpodes cyaneus", "Neocolpodes cyanura", "Neocolpodes darlingtoni", "Neocolpodes descarpentriesi", "Neocolpodes deuvei", "Neocolpodes dialithoides", "Neocolpodes dialithus", "Neocolpodes didy", "Neocolpodes dieganus", "Neocolpodes dilaticollis", "Neocolpodes dirrhaphis", "Neocolpodes effulgens", "Neocolpodes emilii", "Neocolpodes episcopalis", "Neocolpodes eucharis", "Neocolpodes evictus", "Neocolpodes exiguus", "Neocolpodes fairmairei", "Neocolpodes fischeri", "Neocolpodes gemmula", "Neocolpodes griveaudi", "Neocolpodes habui", "Neocolpodes hylobates", "Neocolpodes hylobius", "Neocolpodes hylochorus", "Neocolpodes imerinae", "Neocolpodes inermis", "Neocolpodes invocatus", "Neocolpodes isakae", "Neocolpodes jeannelianus", "Neocolpodes kryzhanovskyi", "Neocolpodes laevipennis", "Neocolpodes lapillus", "Neocolpodes lecordieri", "Neocolpodes leptotatus", "Neocolpodes leptoteroides", "Neocolpodes leptoterus", "Neocolpodes limbicollis", "Neocolpodes lyauteyi", "Neocolpodes malleatus", "Neocolpodes mangindranus", "Hyphaene dichotoma", "Neocolpodes marginatus", "Nomius madagascariensis", "Nomius schoutedeni", "Notabax monteithi", "Notagonum addendum", "Notagonum aitape", "Notagonum albertisi", "Notagonum altum", "Notagonum ambulator", "Notagonum anceps", "Notagonum angulum", "Notagonum anops", "Notagonum astrum", "Notagonum caritum", "Notagonum circumdatum", "Notagonum crenulipenne", "Notagonum curiosum", "Notagonum darlingtoni", "Notagonum delaruei", "Notagonum devosi", "Notagonum drescheri", "Notagonum exactum", "Notagonum excisipenne", "Notagonum fuscipes", "Notagonum garainae", "Notagonum gibbum", "Notagonum gorokae", "Notagonum hamatum", "Notagonum ilagae", "Notagonum inerme", "Notagonum iridius", "Notagonum kitchingi", "Notagonum lackneri", "Notagonum laglaizei", "Notagonum laticolle", "Notagonum luzonense", "Notagonum macrophthalmum", "Notagonum macrops", "Notagonum malkini", "Notagonum marginale", "Notagonum moluccense", "Notagonum mucidum", "Notagonum nigrinum", "Notagonum novaeguineae", "Notagonum oxypterum", "Notagonum paludum", "Notagonum parvicolle", "Notagonum pereus", "Notagonum pernitidum", "Notagonum piceum", "Notagonum pleurale", "Notagonum quadruum", "Notagonum reversior", "Notagonum reversum", "Notagonum schuelei", "Notagonum sectum", "Notagonum sigi", "Neocolpodes mathiauxi", "Neocolpodes meunieri", "Neocolpodes micaauri", "Neocolpodes milloti", "Neocolpodes minutus", "Neocolpodes monticola", "Neocolpodes montis", "Neocolpodes motoensis", "Neocolpodes mutans", "Neocolpodes nephriticus", "Neocolpodes nigrocyaneus", "Neocolpodes nitens", "Neocolpodes oberthueri", "Neocolpodes optimus", "Neocolpodes orophilus", "Neocolpodes oxypterus", "Neocolpodes papagoensis", "Neocolpodes parenthesis", "Neocolpodes paromius", "Neocolpodes pauliani", "Neocolpodes perinetanus", "Neocolpodes perpillus", "Neocolpodes perrinae", "Neocolpodes persimilis", "Neocolpodes peyrierasi", "Neocolpodes phaedroides", "Neocolpodes phaedrus", "Neocolpodes phenacoides", "Neocolpodes plesioides", "Neocolpodes plesius", "Neocolpodes plumbeus", "Neocolpodes porphyreticus", "Neocolpodes porphyritis", "Neocolpodes poussereaui", "Neocolpodes procletus", "Neocolpodes purpurascens", "Neocolpodes purpureipennis", "Neocolpodes radama", "Neocolpodes ranavalonae", "Neocolpodes raphideus", "Neocolpodes rex", "Neocolpodes robinsoni", "Neocolpodes ruficollis", "Neocolpodes rufofemoratus", "Neocolpodes rufomarginatus", "Neocolpodes sambavanus", "Neocolpodes sambiranus", "Neocolpodes saphyrinus", "Neocolpodes serpillus", "Neocolpodes seyrigi", "Neocolpodes silvestris", "Neocolpodes smaragdinus", "Neocolpodes straneoi", "Neocolpodes subimpressus", "Neocolpodes sublaevis", "Neocolpodes surdus", "Neocolpodes suturellus", "Neocolpodes sylvaticus", "Neocolpodes tanalensis", "Neocolpodes tetragonus", "Neocolpodes tetroxys", "Neocolpodes tongobory", "Neocolpodes tsarabe", "Neocolpodes tsaratananae", "Neocolpodes turgidus", "Neocolpodes vagus", "Neocolpodes velitus", "Neocolpodes venustus", "Neocolpodes viettei", "Neocolpodes villiersi", "Neocolpodes viridicollis", "Neocolpodes wintreberti", "Neocolpodes xestus", "Neocoptodera crucifera", "Neocoptodera hanseni", "Neocoptodera overlaeti", "Neocoptodera similata", "Neocoptodera uelensis", "Neocoptodera championi", "Neocoptodera notata", "Neocoptodera rotundimaculata", "Neocoptodera alluaudi", "Neocoptodera inermis", "Neocoptodera tetrastigma", "Neocoptodera crassicornis", "Neocoptodera tetraspilota", "Neodendragonum laurenti", "Neodendragonum leleupi", "Neodhysores schreiberi", "Neodhysores seximpressus", "Neodiachipteryx carinigera", "Neodiachipteryx davidsoni", "Neodipnus longicollis", "Neodipnus moraveci", "Neodipnus oblongus", "Neodipnus perineti", "Neodrypta costigera", "Neodyschirius cruciatus", "Neoeudalia nigra", "Neoferonia ardua", "Neoferonia edax", "Neoferonia fossalis", "Neoferonia prasignis", "Neoferonia procerula", "Neoferonia straneoi", "Neoferonia truncatula", "Neoglyptus abyssinicus", "Neoglyptus aciculatus", "Neoglyptus bayeri", "Neoglyptus brevicornis", "Neoglyptus congoensis", "Neoglyptus pectinatus", "Neoglyptus punctulatus", "Neohelluo angulicollis", "Neohyparpalus parcepunctatus", "Neolaphyra leucosticta", "Neolaphyra peletieri", "Neolaphyra ritchiei", "Neolaphyra truquii", "Neoleleupidia kochi", "Neomegalonychus crassipes", "Neonomius australis", "Neonomius laevicollis", "Neonomius laticollis", "Neoodes tazieffi", "Neoorthogonius orientalis", "Neophygas microcephalus", "Neoscaphus simplex", "Neotalus portai", "Neotrechus amabilis", "Neotrechus augustae", "Neotrechus dalmatinus", "Neotrechus ganglbaueri", "Neotrechus hilfi", "Neotrechus ivicensis", "Neotrechus lonae", "Neotrechus lupoglavensis", "Neotrechus malissorum", "Neotrechus moraveci", "Neotrechus muharnicensis", "Neotrechus noesskei", "Neotrechus oreophilus", "Neotrechus ottonis", "Neotrechus paganettii", "Neotrechus parvicollis", "Neotrechus setniki", "Neotrechus silvaticus", "Neotrechus speluncarius", "Neotrechus striatipennis", "Neotrechus suturalis", "Neotrechus terrenus", "Neotrechus weiratheri", "Nepalorthogonius monilicornis", "Nesamblyops oreobius", "Nesamblyops subcaecus", "Nesarpalus empiricus", "Nesarpalus fortunatus", "Nesarpalus micans", "Nesarpalus pelagicus", "Nesarpalus sanctaecrucis", "Nesarpalus solitarius", "Nesarpalus uyttenboogaarti", "Nesarpalus cimensis", "Nesarpalus gregarius", "Nesiocolpodes saphyrinus", "Nesiocolpodes sloanei", "Nesiotrechus dahongensis", "Nesiotrechus convexiusculus", "Nesites mirum", "Netrodera formicaria", "Netrodera malangana", "Netrodera vethi", "Nickerlea aesdorsalis", "Nickerlea distypsideroides", "Nickerlea nigrilabris", "Nickerlea sloanei", "Nipponagonum amphinomus", "Nipponagonum askellek", "Nipponagonum hakonum", "Nipponagonum meridies", "Nipponagonum minamikawai", "Nipponagonum nepalense", "Nipponaphaenops erraticus", "Nipponoharpalus discrepans", "Nipponosynuchus abnormalis", "Nirmala indica", "Nirmala odelli", "Borassus akeassii", "Journals needing renaming", "Notiobia peruviana", "Notiobia planiuscula", "Notiobia planoimpressa", "Notiobia polita", "Notiobia praeclara", "Notiobia purpurascens", "Notiobia rectangula", "Notiobia rugosipennis", "Notiobia sayi", "Notiobia schlingeri", "Notiobia schnusei", "Notiobia sculptipennis", "Notiobia sericipennis", "Notiobia terminata", "Notiobia tucumana", "Notiobia virescens", "Notiobia viridipennis", "Notiobia bamboutensis", "Notiobia curlettii", "Notiobia diffusa", "Notiobia dohrnii", "Notiobia elgonensis", "Notiobia feana", "Notiobia kinolae", "Notiobia kivuensis", "Notiobia leonensis", "Notiobia picina", "Notiobia pujoli", "Notiobia ruwenzorica", "Notiobia sanctithomae", "Notiobia smithii", "Notiobia tagliaferrii", "Notiobia uluguruana", "Notiobia aulica", "Notiobia chiriquensis", "Notiobia concinna", "Notiobia concolor", "Notiobia cooperi", "Notiobia cupreola", "Notiobia disparilis", "Notiobia ewarti", "Notiobia flavicincta", "Notiobia glabrata", "Notiobia incerta", "Notiobia jucunda", "Notiobia leiroides", "Notiobia longipennis", "Notiobia maxima", "Notiobia melaena", "Notiobia nebrioides", "Notiobia obscura", "Notiobia pallipes", "Notiobia pseudolimbipennis", "Notiobia ruficruris", "Notiobia similis", "Notiobia viridula", "Notiobia wilkensii", "Notiobia aeneola", "Notiophilus aeneus", "Notiophilus aestuans", "Notiophilus altaicus", "Notiophilus bodemeyeri", "Notagonum sinuum", "Notagonum skalei", "Notagonum spinulum", "Notagonum subangulum", "Notagonum subimpressum", "Notagonum subnigrum", "Notagonum subpunctum", "Notagonum subrufum", "Notagonum subspinulum", "Notagonum ullrichi", "Notagonum undatum", "Notagonum vaporum", "Notagonum vile", "Notagonum weigeli", "Nothanillus germaini", "Nothanillus luisae", "Nothobroscus chilensis", "Nothocascellius aeneoniger", "Nothocascellius hyadesii", "Nothodaptus simplex", "Nothoderis curvans", "Nothoderis diaphana", "Nothoderis minuscula", "Nothoderis moira", "Nothoderis nympha", "Nothoderis ridicula", "Nothoderis rufotestacea", "Nothoderis tantillus", "Nothoderis terra", "Nothoderis ucayali", "Notiobia aguilarorum", "Notiobia angustula", "Notiobia bradytoides", "Notiobia brevicollis", "Notiobia cephala", "Notiobia chalcea", "Notiobia chalcitis", "Notiobia cyanippa", "Notiobia dampierii", "Notiobia denisonensis", "Notiobia edwardsii", "Notiobia flavipalpis", "Notiobia flebilis", "Notiobia germari", "Notiobia hilariola", "Notiobia inaequalipennis", "Notiobia iridipennis", "Notiobia lamprota", "Notiobia lapeyrousei", "Notiobia laticollis", "Notiobia latiuscula", "Notiobia lucidicollis", "Notiobia maculicornis", "Notiobia mexicana", "Notiobia moffetti", "Notiobia nigrans", "Notiobia nitidipennis", "Notiobia oblongula", "Notiobia ovata", "Notiobia papuella", "Notiobia papuensis", "Notiobia patrueloides", "Notiobia peratra", "Notiophilus borealis", "Notiophilus breviusculus", "Notiophilus chihuahuae", "Notiophilus chinensis", "Notiophilus dacatrai", "Notiophilus danieli", "Notiophilus directus", "Notiophilus facchinii", "Notiophilus fasciatus", "Notiophilus gansuensis", "Notiophilus geminatus", "Notiophilus germinyi", "Notiophilus ghilarovi", "Notiophilus hauseri", "Notiophilus heinzi", "Notiophilus hyperboreus", "Notiophilus impressifrons", "Notiophilus intermedius", "Notiophilus interstitialis", "Notiophilus jakovlevi", "Notiophilus kaszabi", "Notiophilus katrinae", "Notiophilus kirschenhoferi", "Notiophilus laticollis", "Notiophilus marginatus", "Notiophilus nemoralis", "Notiophilus nepalensis", "Notiophilus nitens", "Notiophilus novemstriatus", "Notiophilus orientalis", "Notiophilus ovalis", "Notiophilus persicus", "Notiophilus quadripunctatus", "Notiophilus radians", "Notiophilus rufipes", "Notiophilus semiopacus", "Notiophilus semistriatus", "Notiophilus sibiricus", "Notiophilus sichuanensis", "Notiophilus sierranus", "Notiophilus simulator", "Notiophilus spaethi", "Notiophilus specularis", "Notiophilus stackelbergi", "Notiophilus sublaevis", "Notiophilus substriatus", "Notiophilus sylvaticus", "Notiophilus tshitsherini", "Notocolpodes aeneolus", "Notocolpodes ambatovositrae", "Notocolpodes ankaratrae", "Notocolpodes commistus", "Notocolpodes cribellatus", "Notocolpodes euleptus", "Notocolpodes gallienii", "Notocolpodes hylonomus", "Notocolpodes jeanneli", "Notocolpodes lampros", "Notocolpodes lapidicola", "Notocolpodes lautus", "Notocolpodes lenis", "Notocolpodes mananarae", "Notocolpodes marojejyanus", "Notocolpodes metallicus", "Tibouchina ornata", "Caryota maxima", "Caryota no", "Caryota obtusa", "Wallichia disticha", "Chuniophoenix hainanensis", "Notonomus obscurus", "Notonomus opacicollis", "Notonomus opulentus", "Notonomus parallelomorphus", "Notonomus peronii", "Notonomus philippi", "Notonomus philippsii", "Notonomus planipectus", "Notonomus pluripunctatus", "Notonomus politulus", "Notonomus polli", "Notonomus prominens", "Notonomus queenslandicus", "Notonomus rainbowi", "Notonomus resplendens", "Notonomus saepistriatus", "Notonomus satrapa", "Notonomus scotti", "Notonomus semiplicatus", "Notonomus spenceri", "Notonomus sphodroides", "Notonomus spurgeoni", "Notonomus strzeleckianus", "Notonomus subiridescens", "Notonomus taylori", "Notonomus tenuistriatus", "Notonomus tessellatus", "Notonomus tillyardi", "Notonomus transitus", "Notonomus triplogenioides", "Notonomus truncatus", "Notonomus tubericauda", "Notonomus variicollis", "Notonomus victoriensis", "Notonomus violaceus", "Notonomus wentworthi", "Notonomus wilcoxii", "Notonomus blackburni", "Notonomus hephaestus", "Notonomus impar", "Notonomus nocturnocappellus", "Notoplatynus hilaris", "Notopseudomorpha glabra", "Notopseudomorpha laevissima", "Notospeophonus castaneus", "Notospeophonus jasperensis", "Notospeophonus pallidus", "Camerouniella impressicollis", "Cantaloubeia camerounensis", "Arenga hookeriana", "Lygodactylus blancae", "Lygodactylus intermedius", "Lygodactylus kimhowelli", "Lygodactylus wojnowskii", "Bythaelurus stewarti", "Bythaelurus bachi", "Sinobatis kotlyari", "Brachysipalia difficilis", "Brachysipalia recta", "Brachysipalia salti", "Brachysipalia burgeoni", "Brachysipalia edwardsi", "Brachysipalia elgon", "Brachysipalia hancocki", "Arenga australasica", "Arenga caudata", "Notonomus aequabilis", "Notonomus aequalis", "Notonomus aeques", "Notonomus amabilis", "Notonomus angulosus", "Notonomus angustibasis", "Notonomus apicalis", "Notonomus arthuri", "Notonomus atrodermis", "Notonomus australasiae", "Notonomus australis", "Notonomus bakewelli", "Notonomus banksi", "Notonomus besti", "Notonomus bodeae", "Notonomus carteri", "Notonomus chalybeus", "Notonomus colossus", "Notonomus crenulatus", "Notonomus croesus", "Notonomus cupricolor", "Notonomus curvicollis", "Notonomus cylindricus", "Notonomus darlingii", "Notonomus dehiscens", "Notonomus depressipennis", "Notonomus discorimosus", "Notonomus dives", "Notonomus doddi", "Notonomus dyscoloides", "Notonomus ellioti", "Notonomus ellipticus", "Notonomus excisipennis", "Ancyluris lais", "Notonomus fergusoni", "Notonomus froggatti", "Notonomus frontevirens", "Notonomus gippsiensis", "Notonomus gravis", "Notonomus hedleyi", "Notonomus hopsoni", "Notonomus ingratus", "Notonomus johnstoni", "Notonomus kershawi", "Notonomus kingi", "Notonomus kosciuskianus", "Notonomus lateralis", "Notonomus leai", "Notonomus lesueurii", "Notonomus longus", "Notonomus macoyi", "Notonomus marginatus", "Notonomus masculinus", "Notonomus mediosulcatus", "Notonomus melas", "Notonomus metallicus", "Notonomus miles", "Notonomus minimus", "Notonomus molestus", "Notonomus montellus", "Notonomus montorum", "Notonomus muelleri", "Notonomus nitescens", "Notonomus nitidicollis", "Neocollyris samosirensis", "Neocollyris saphyrina", "Neocollyris schaumi", "Neocollyris schuelei", "Neocollyris shyamrupi", "Neocollyris siamensis", "Neocollyris similis", "Neocollyris singularis", "Neocollyris smaragdina", "Neocollyris stiengensis", "Neocollyris subtilobscurata", "Neocollyris tenuis", "Neocollyris thomsoni", "Neocollyris variipalpis", "Neocollyris venusta", "Neocollyris wardi", "Neocollyris zerchei", "Neocollyris acuteapicalis", "Neocollyris attenuata", "Neocollyris bryanti", "Neocollyris crassicornis", "Neocollyris karli", "Neocollyris labiopalpalis", "Neocollyris multipilosa", "Neocollyris rapillyi", "Neocollyris rectangulivertex", "Neocollyris saundersii", "Neocollyris subclavata", "Neocollyris acutilabris", "Neocollyris apicalis", "Neocollyris apteroides", "Neocollyris assamensis", "Neocollyris bicolor", "Neocollyris biimpressa", "Neocollyris bipartita", "Neocollyris coapteroides", "Neocollyris contracta", "Neocollyris fasciata", "Neocollyris feae", "Neocollyris foveifrons", "Neocollyris horni", "Neocollyris major", "Neocollyris mouhotii", "Neocollyris murzini", "Neocollyris nitida", "Neocollyris oblonga", "Neocollyris panfilovi", "Neocollyris prominens", "Neocollyris pseudocontracta", "Neocollyris purpurea", "Neocollyris sawadai", "Neocollyris semiaenescens", "Neocollyris singaporica", "Neocollyris smithii", "Notospira phalangioides", "Nototrechus unicolor", "Nototylus fryi", "Novillidius marginellus", "Novillidius muelleri", "Novillidius rectibasis", "Nunbergites aethiopicus", "Nurus atlas", "Nurus brevis", "Nurus curtus", "Nurus fortis", "Nurus grandis", "Nurus imperialis", "Nurus latipennis", "Nurus medius", "Nurus niger", "Nurus nox", "Nurus rex", "Nycteis alluaudi", "Nycteis chloroptera", "Nycteis diegana", "Nycteis lampra", "Nycteis posticula", "Nycteis pustulata", "Nycteis scapulata", "Nycteis sicardi", "Nycteis signatipennis", "Nycteis stellulata", "Nycteis apicalis", "Nycteis brevicollis", "Nycteis latiuscula", "Nycteis madagascariensis", "Nycteis posticalis", "Nyctosyles laticollis", "Nyctosyles planicollis", "Nyctosyles quadraticollis", "Obadius affinis", "Obadius insignis", "Oberthueria guiteli", "Ochtozetus bicolor", "Ochtozetus inexspectatus", "Ochyropus gigas", "Ocys andreae", "Ocys angelae", "Ocys beatricis", "Ocys bedeli", "Ocys berbecum", "Ocys crypticola", "Ocys davatchii", "Ocys elbursensis", "Ocys gubellinii", "Ocys hiekei", "Ocys hoffmanni", "Ocys inguscioi", "Ocys ledouxi", "Ocys monzinii", "Ocys pecoudi", "Ocys pennisii", "Ocys peyerimhoffi", "Ocys phoceus", "Ocys pravei", "Ocys pseudopaphius", "Ocys quinquestriatus", "Ocys reticulatus", "Chuniophoenix nana", "Detritivora ariquemes", "Detritivora manu", "Detritivora humaita", "Detritivora iquitos", "Detritivora tefe", "Detritivora palcazu", "Detritivora cacaulandia", "Detritivora manicore", "Detritivora ipiranga", "Detritivora cuiaba", "Detritivora maues", "Omophagus artus", "Omophron affine", "Omophron africanum", "Omophron amandae", "Omophron americanum", "Omophron axillare", "Omophron baenningeri", "Omophron bicolor", "Omophron brettinghamae", "Omophron capense", "Omophron capicola", "Omophron chelys", "Omophron clavareaui", "Omophron congoense", "Omophron dentatum", "Omophron dissimile", "Omophron distinctum", "Omophron gemmeum", "Ocys reuteri", "Ocys rotundipennis", "Ocys soleymanensis", "Ocys tassii", "Ocys trechoides", "Odacantha aegrota", "Odacantha chinensis", "Odacantha metallica", "Odacantha composita", "Odacantha cyanea", "Odacantha flavipennis", "Odacantha insulicola", "Odacantha laportei", "Odacantha pomposa", "Odacantha seriepunctata", "Odacantha subcomposita", "Odacantha swazina", "Odacantha hagai", "Odacantha puziloi", "Odontocheila albiventris", "Odontocheila amabilis", "Odontocheila angelsolisi", "Odontocheila angulipenis", "Odontocheila annulicornis", "Odontocheila atripes", "Odontocheila baeri", "Odontocheila batesii", "Odontocheila bicolor", "Odontocheila bipunctata", "Odontocheila cajennensis", "Odontocheila camposi", "Odontocheila camuramandibula", "Odontocheila castelnaui", "Odontocheila chiriquina", "Odontocheila chrysis", "Odontocheila confusa", "Odontocheila curvidens", "Odontocheila cyanella", "Odontocheila cylindrica", "Odontocheila cylindricoflavescens", "Odontocheila davidbrzoskai", "Odontocheila dilatoscapis", "Odontocheila divergentehamulata", "Odontocheila emilerivalieri", "Odontocheila erythropus", "Melete leucadia reyi", "Odontocheila excisipenis", "Odontocheila exilis", "Odontocheila eximia", "Odontocheila femoralis", "Odontocheila fraternum", "Odontocheila fulgens", "Odontocheila gilli", "Odontocheila hamulipenis", "Odontocheila howdeni", "Odontocheila ignita", "Odontocheila iodopleura", "Odontocheila iodopleuroides", "Odontocheila janvybirali", "Odontocheila jordani", "Odontocheila luridipes", "Odontocheila margineguttata", "Odontocheila marginilabris", "Odontocheila mexicana", "Omoglymmius puncticornis", "Omoglymmius quadraticollis", "Omoglymmius quadruplex", "Omoglymmius regius", "Omoglymmius renutus", "Omoglymmius repetitus", "Omoglymmius rusticus", "Omoglymmius sabah", "Omoglymmius sakuraii", "Omoglymmius scopulinus", "Omoglymmius sectatus", "Omoglymmius sedlaceki", "Omoglymmius semperi", "Omoglymmius seriatus", "Omoglymmius solitarius", "Omoglymmius summissus", "Omoglymmius sus", "Omoglymmius tabulatus", "Omoglymmius thoracicus", "Omoglymmius tolai", "Omoglymmius trepidus", "Omoglymmius truncatus", "Omoglymmius vadosus", "Omoglymmius vicinus", "Omoglymmius viduus", "Omoglymmius wallacei", "Omoglymmius wittmeri", "Omoglymmius alticola", "Omoglymmius cavifrons", "Omoglymmius coomani", "Omoglymmius crenatus", "Omoglymmius darjeelingensis", "Omoglymmius feae", "Omoglymmius longiceps", "Omoglymmius microtis", "Omoglymmius sulcicollis", "Omoglymmius armatus", "Omoglymmius crassiusculus", "Omoglymmius cristatus", "Omoglymmius cycloderus", "Omoglymmius hesperus", "Omoglymmius krikkeni", "Omoglymmius lederi", "Omoglymmius multicarinatus", "Omoglymmius opacus", "Omoglymmius pilosus", "Omoglymmius strabus", "Omoglymmius subcaviceps", "Olisthopus glabricollis", "Olisthopus hispanicus", "Olisthopus humerosus", "Olisthopus inclavatus", "Olisthopus innuens", "Olisthopus iterans", "Olisthopus maderensis", "Olisthopus micans", "Olisthopus palmensis", "Olisthopus parmatus", "Olisthopus pusio", "Olisthopus rotundatus", "Olisthopus sibiricus", "Olisthopus sturmii", "Omalodera dentimaculata", "Omalodera discoidalis", "Omalodera limbata", "Omalodera testacea", "Omestes torta", "Omobrus pilosus", "Omobrus praetextus", "Omobrus punctulatus", "Omoglymmius americanus", "Omoglymmius hamatus", "Omoglymmius lewisi", "Omoglymmius okei", "Omoglymmius zimmermani", "Omoglymmius carinatus", "Omoglymmius hexagonus", "Omoglymmius nicobarensis", "Omoglymmius africanus", "Omoglymmius borneensis", "Omoglymmius germaini", "Omoglymmius hemipunctatus", "Omoglymmius ineditus", "Omoglymmius inermis", "Omoglymmius javanicus", "Omoglymmius occultus", "Omoglymmius rimatus", "Omoglymmius astraea", "Omoglymmius lineatus", "Omoglymmius actae", "Omoglymmius gorgo", "Omoglymmius inaequalis", "Omoglymmius insularis", "Omoglymmius oberthueri", "Omoglymmius perplexus", "Omoglymmius rugosus", "Omoglymmius trisinuatus", "Omoglymmius intrusus", "Omoglymmius peckorum", "Omoglymmius stylatus", "Omoglymmius fulgens", "Omoglymmius greensladei", "Omoglymmius hornabrooki", "Omoglymmius lustrans", "Omoglymmius offafinus", "Omoglymmius semioculatus", "Omoglymmius toxopei", "Omoglymmius amplus", "Omoglymmius aristeus", "Omoglymmius asetatus", "Omoglymmius auratus", "Omoglymmius batantae", "Omoglymmius batchianus", "Omoglymmius bicarinatus", "Omoglymmius biroi", "Omoglymmius bituberculatus", "Omoglymmius bouchardi", "Omoglymmius brendelli", "Omoglymmius bucculatus", "Omoglymmius caelatus", "Omoglymmius capito", "Omoglymmius cavea", "Omoglymmius cheesmanae", "Omoglymmius classicus", "Omoglymmius coelebs", "Omoglymmius consors", "Omoglymmius continuus", "Omoglymmius crassicornis", "Omoglymmius craticulus", "Omoglymmius cupedoides", "Omoglymmius data", "Omoglymmius denticulatus", "Omoglymmius duplex", "Omoglymmius emdomani", "Omoglymmius ephemeris", "Omoglymmius evasus", "Omoglymmius ferrugatus", "Omoglymmius follis", "Omoglymmius fraudulentus", "Omoglymmius fringillus", "Omoglymmius gracilicornis", "Omoglymmius gressitti", "Omoglymmius gurneyi", "Omoglymmius hiekei", "Omoglymmius humeralis", "Omoglymmius ichthyocephalus", "Omoglymmius impletus", "Omoglymmius imugani", "Omoglymmius iridescens", "Omoglymmius largus", "Omoglymmius laticeps", "Omoglymmius lentus", "Omoglymmius lindrothi", "Omoglymmius malabaricus", "Omoglymmius malaicus", "Omoglymmius manni", "Omoglymmius massa", "Omoglymmius modicus", "Omoglymmius modiglianii", "Omoglymmius monteithi", "Omoglymmius morditus", "Omoglymmius mycteroides", "Omoglymmius nasalis", "Omoglymmius nemoralis", "Borassodendron machadonis", "Omoglymmius oceanicus", "Omoglymmius opticus", "Omoglymmius oroensis", "Omoglymmius patens", "Omoglymmius pectoralis", "Omoglymmius philippinensis", "Omoglymmius planiceps", "Omoglymmius politus", "Omoglymmius princeps", "Omoglymmius pulvinatus", "Omphra drumonti", "Omphra hirta", "Omphra pilosa", "Omphra rotundicollis", "Omphra rufipes", "Omphreoides bispinus", "Omphreoides bucculentus", "Omphreoides distinctus", "Omphreoides furcatus", "Omphreoides quodi", "Omphreoides ranomafanae", "Omphreus apfelbecki", "Detritivora tapajos", "Omphreus bischoffi", "Omphreus bjelasicensis", "Omphreus gracilis", "Omphreus lonai", "Omphreus ovcarensis", "Omphreus precornicensis", "Omphreus ravasinii", "Omphreus serbooccidentalis", "Omphreus weiratheri", "Omphreus wohlberedti", "Omphreus adriaenssensi", "Omphreus aetolicus", "Omphreus chareti", "Omphreus korbi", "Omphreus krueperi", "Omphreus prunierorum", "Omus audouini", "Omus californicus", "Omus cazieri", "Omus dejeanii", "Omus submetallicus", "Onota angulicollis", "Onota bicolor", "Onota elongata", "Onota floridana", "Onota fulvella", "Onota limbipennis", "Onota longipennis", "Onota rutilans", "Onota tenuicincta", "Onota vitticollis", "Onotokiba guineensis", "Onotokiba katangana", "Onotokiba lomaensis", "Onotokiba orbithorax", "Onotokiba ruandana", "Onotokiba uluguruana", "Onycholabis acutangulus", "Onycholabis arrowi", "Onycholabis melitopus", "Onycholabis nakanei", "Onycholabis pendulangulus", "Onycholabis sinensis", "Onycholabis stenothorax", "Onypterygia aeneipennis", "Onypterygia amecameca", "Onypterygia angustata", "Onypterygia atoyac", "Onypterygia batesi", "Onypterygia championi", "Onypterygia chrysura", "Onypterygia crabilli", "Onypterygia cupricauda", "Onypterygia cyanea", "Onypterygia donato", "Detritivora breves", "Onypterygia exeuros", "Onypterygia famini", "Onypterygia fulgens", "Onypterygia hoepfneri", "Onypterygia iris", "Onypterygia kathleenae", "Onypterygia longispinis", "Onypterygia pacifica", "Onypterygia pallidipes", "Onypterygia perissostigma", "Onypterygia polytreta", "Onypterygia pseudangustata", "Onypterygia pusilla", "Onypterygia quadrispinosa", "Onypterygia rawlinsi", "Onypterygia rubida", "Onypterygia sallei", "Onypterygia scintillans", "Onypterygia shpeleyi", "Onypterygia stenapteryx", "Onypterygia striblingi", "Onypterygia tricolor", "Onypterygia wappesi", "Oodes amaroides", "Oodes americanus", "Oodes angustatus", "Oodes angustus", "Oodes austrinus", "Oodes basrensis", "Oodes bivittatus", "Oodes bostockii", "Oodes brevis", "Oodes caerulans", "Oodes calvus", "Oodes coelestinus", "Oodes congoensis", "Oodes cribristernis", "Oodes denisonensis", "Oodes desertus", "Oodes echigonus", "Oodes fitzroyensis", "Oodes fluvialis", "Oodes froggatti", "Oodes gracilis", "Oodes impressus", "Oodes inornatus", "Oodes irakensis", "Oodes latior", "Oodes lenis", "Oodes longus", "Oodes melanodes", "Oodes modestus", "Detritivora brasilia", "Oodes monticola", "Oodes nil", "Oodes oblongus", "Omophron ghesquierei", "Omophron gilae", "Omophron gratum", "Omophron grossum", "Omophron guttatum", "Omophron hainanense", "Detritivora santarem", "Omophron interruptum", "Omophron labiatum", "Omophron lunatum", "Omophron luzonicum", "Omophron maculosum", "Omophron madagascariense", "Omophron mexicanum", "Omophron minutum", "Omophron nepalense", "Omophron nitidum", "Omophron oberthueri", "Omophron obliteratum", "Omophron oblongiusculum", "Omophron ovale", "Omophron parvum", "Omophron piceopictum", "Omophron pictum", "Omophron picturatum", "Omophron porosum", "Omophron pseudotestudo", "Omophron riedeli", "Omophron robustum", "Omophron rotundatum", "Omophron saigonense", "Omophron severini", "Omophron smaragdus", "Omophron solidum", "Omophron sphaericum", "Omophron stictum", "Omophron striaticeps", "Omophron tessellatum", "Omophron testudo", "Omophron virens", "Omophron vittatum", "Omophron yunnanense", "Omophron alluaudi", "Omophron barsevskisi", "Omophron depressum", "Omophron grandidieri", "Omophron multiguttatum", "Omophron schoutedeni", "Omophron variegatum", "Omophron vittulatum", "Omophron ethiopiense", "Omostropus australis", "Omostropus bulirschi", "Omostropus cratognathoides", "Omostropus kilimanus", "Omostropus mandibularis", "Omostropus minor", "Omostropus rotundatus", "Omostropus similis", "Omostropus tersulus", "Omostropus vicarius", "Omphra atrata", "Omphra complanata", "Oodes palpalis", "Oodes par", "Oodes paroensis", "Oodes parviceps", "Oodes rossi", "Oodes siccus", "Oodes sikkimensis", "Oodes subcoriaceus", "Oodes terrestris", "Oodes trisulcatus", "Oodes vicarius", "Oodes walshae", "Oodes waterhousei", "Oodes wilsoni", "Oodes xanthochilus", "Oodinkosa crassula", "Oodinkosa massarti", "Oodinkosa punctulata", "Oodinotrechus kishimotoi", "Oodinotrechus yinae", "Oodinotrechus liyoubangi", "Oodinus alutaceus", "Oodinus amazonus", "Oodinus arechavaletae", "Oodinus darlingtoni", "Oodinus edentulus", "Oodinus exiguus", "Oodinus limbellus", "Oodinus piceus", "Oodinus pseudopiceus", "Oodinus similis", "Ooidius advolans", "Ooidius crassiceps", "Ooidius dorsiger", "Ooidius ephippium", "Ooidius madecassus", "Ooidius sellatus", "Oosoma gyllenhalii", "Oosoma semivittatum", "Ophionea australica", "Ophionea bakeri", "Ophionea bhamoensis", "Ophionea brandti", "Ophionea celebensis", "Ophionea ceylonica", "Ophionea gestroi", "Ophionea hoashii", "Ophionea indica", "Ophionea insignis", "Ophionea interstitialis", "Ophionea ishiii", "Ophionea leytensis", "Ophionea malickyi", "Ophionea micronota", "Ophionea nigrofasciata", "Ophionea puncticollis", "Ophionea storeyi", "Ophionea thouzeti", "Ophionea foersteri", "Ophonichius gerardi", "Ophonichius giaquintoi", "Ophonichius gigas", "Ophoniscus batesi", "Ophoniscus compositus", "Ophoniscus cribrifrons", "Ophoniscus hypolithoides", "Ophoniscus insulicola", "Ophoniscus iridulus", "Ophoniscus lopatini", "Ophoniscus nepalensis", "Ophonus krueperi", "Ophonus vignai", "Ophonus bartoni", "Ophonus chlorizans", "Ophonus convexicollis", "Ophonus cribricollis", "Ophonus jailensis", "Ophonus libanigena", "Ophonus longicollis", "Ophonus longipilis", "Ophonus minimus", "Ophonus pumilio", "Ophonus rebellus", "Detritivora caryatis", "Ophonus rotundatus", "Ophonus similis", "Ophonus subquadratus", "Ophonus wolfi", "Ophonus incisus", "Ophonus houskai", "Ophonus oblongus", "Ophonus phoenix", "Ophonus achilles", "Ophonus austrocaspicus", "Ophonus berberus", "Ophonus brevicollis", "Ophonus castaneipennis", "Ophonus cordatus", "Ophonus cribratus", "Ophonus cribrellus", "Ophonus cunii", "Ophonus davatchii", "Ophonus elegantulus", "Ophonus ferrugatus", "Ophonus gabrieleae", "Ophonus gammeli", "Ophonus hittita", "Ophonus hystrix", "Ophonus israelita", "Ophonus jeanneli", "Ophonus judaeus", "Ophonus melletii", "Ophonus ophonoides", "Ophonus parallelus", "Ophonus puncticeps", "Ophonus puncticollis", "Ophonus rufibarbis", "Ophonus rupicola", "Ophonus sahlbergianus", "Ophonus scharifi", "Ophonus schaubergerianus", "Ophonus sciakyi", "Ophonus stricticollis", "Ophonus subsinuatus", "Ophonus syriacus", "Ophonus transversus", "Orotrechus haraldi", "Orotrechus holdhausi", "Orotrechus jamae", "Orotrechus koflerianus", "Orotrechus longeantennatus", "Orotrechus lucensis", "Orotrechus mandriolae", "Orotrechus messai", "Orotrechus montellensis", "Orotrechus muellerianus", "Orotrechus novaki", "Orotrechus pavionis", "Orotrechus pominii", "Orotrechus puchneri", "Orotrechus robustus", "Orotrechus ruffoi", "Orotrechus schwienbacheri", "Orotrechus sebenelloi", "Orotrechus slapniki", "Orotrechus springeri", "Orotrechus stephani", "Orotrechus subpannonicus", "Orotrechus targionii", "Orotrechus theresiae", "Orotrechus torretassoi", "Orotrechus venetianus", "Orotrechus vicentinus", "Orotrechus winkleri", "Orthobasis bicolor", "Orthocerodus atronitens", "Orthocerodus longicollis", "Orthocerodus mirabilis", "Orthocerodus parallelus", "Orthocerodus punctisternis", "Orthocindela angustecincta", "Orthocindela heteridia", "Orthogonius aberlenci", "Orthogonius acrogonus", "Orthogonius acutangulus", "Orthogonius aemulus", "Orthogonius alternans", "Orthogonius alutaceus", "Orthogonius andrewesi", "Orthogonius angkorensis", "Orthogonius angustus", "Orthogonius annamensis", "Orthogonius assmuthi", "Orthogonius baconi", "Orthogonius balthasari", "Orthogonius batesi", "Orthogonius batesianus", "Orthogonius baumi", "Orthogonius becqueti", "Orthogonius bellus", "Orthogonius bicolor", "Orthogonius brevilabris", "Orthogonius brevithorax", "Orthogonius buquetii", "Orthogonius caffer", "Orthogonius capucinus", "Orthogonius ceylanicus", "Orthogonius chaudoiri", "Orthogonius cheni", "Ophonus veluchianus", "Ophonus wrasei", "Ophonus xaxarsi", "Ophonus ardosiacus", "Ophonus battus", "Ophonus diffinis", "Ophonus franziniorum", "Ophonus heinzi", "Ophonus laticollis", "Ophonus opacus", "Ophonus quadricollis", "Ophonus sabulicola", "Ophonus stictus", "Opilidia chlorocephala", "Opilidia hassenteufeli", "Opilidia leuconoe", "Opilidia macrocnema", "Opilidia pilosipes", "Detritivora negro", "Opisthencentrus dentipennis", "Opisthius richardsoni", "Oreodicastes aeacus", "Oreodicastes gounellei", "Oreodicastes minos", "Oreodicastes rhadamanthus", "Oreodicastes subcyanea", "Oreodicastes virginia", "Oreodicastes zikani", "Oribazus catenulatus", "Oribazus quinquestriatus", "Orictites minotaur", "Orictites mjobergi", "Orientoreicheia bodenheimeri", "Orientoreicheia caucasica", "Orientoreicheia multisetosa", "Orionella discoidalis", "Orionella kathmanduensis", "Orionella lewisii", "Oroblemites dromioides", "Oroblemus caecus", "Oroblemus dilaticollis", "Oroblemus katorum", "Oroblemus parvicollis", "Oroblemus sparsepilifer", "Oroblemus subsulcipes", "Oroblemus yamauchii", "Orophicus antelmei", "Orophicus vinsoni", "Orotrechus biancoi", "Orotrechus carinthiacus", "Orotrechus cavallensis", "Orotrechus fabianii", "Orotrechus fiorii", "Orotrechus forojulensis", "Orotrechus gigas", "Orotrechus giordanii", "Orotrechus globulipennis", "Orotrechus gracilis", "Odontocheila mirekklichai", "Odontocheila mirekskrabali", "Odontocheila molesta", "Odontocheila nicaraguensis", "Odontocheila nigrotarsalis", "Odontocheila nitidicollis", "Odontocheila nodicornis", "Odontocheila ochreata", "Odontocheila oseryi", "Odontocheila parallelaruga", "Odontocheila pentacomioides", "Odontocheila potosiana", "Odontocheila rondoniana", "Odontocheila rostripenis", "Odontocheila rubefacta", "Odontocheila rufipes", "Odontocheila rufiscapis", "Odontocheila rutilans", "Odontocheila salvini", "Odontocheila scapularis", "Odontocheila semicincta", "Odontocheila simulator", "Odontocheila spinipennis", "Odontocheila sternbergi", "Odontocheila suareziana", "Odontocheila tawahka", "Odontocheila tricuspipenis", "Odontocheila trilbyana", "Odontocheila vermiculata", "Odontocheila yunga", "Odontomasoreus humeralis", "Odotoncarus asiaticus", "Odotoncarus cephalotes", "Odotoncarus holofernes", "Odotoncarus parilis", "Odotoncarus robustus", "Odotoncarus samson", "Odotoncarus silvestrii", "Odotoncarus zarudnianus", "Oechalius ohausi", "Oecornis nidicola", "Oecornis vadoni", "Oedesis caucasicus", "Oedesis cyprius", "Oedesis kryzhanovskii", "Oedesis obscurior", "Oedesis palaestinus", "Oedesis tomentosus", "Oedesis villosulus", "Oesyperus planus", "Oesyperus pygmaeus", "Oesyperus unctulus", "Ogmophora peringueyi", "Ogygium jeanneli", "Ogygium plaumanni", "Oilea spinalis", "Olegius turkmenicus", "Olisthopus brevicornis", "Olisthopus elburzensis", "Olisthopus elongatus", "Olisthopus ericae", "Olisthopus filicornis", "Olisthopus fuscatus", "Olisthopus glabratus", "Orthogonius clarkii", "Orthogonius constrictus", "Orthogonius coomanioides", "Orthogonius coracinus", "Orthogonius crassicrus", "Orthogonius cruralis", "Orthogonius cyclothorax", "Orthogonius davidi", "Orthogonius deletus", "Orthogonius dispar", "Orthogonius doriae", "Orthogonius drescheri", "Orthogonius duplicatus", "Orthogonius dupuisianus", "Orthogonius dureli", "Orthogonius elisabethanus", "Orthogonius emarginatus", "Orthogonius feai", "Orthogonius femoralis", "Orthogonius flavipes", "Orthogonius flavus", "Orthogonius foveiclypeus", "Orthogonius fugax", "Orthogonius gracililamella", "Orthogonius hageni", "Orthogonius himalayicus", "Orthogonius hirtus", "Orthogonius hopei", "Orthogonius huananus", "Orthogonius hypocrita", "Orthogonius hypocritoides", "Orthogonius impunctipennis", "Orthogonius inops", "Orthogonius insularis", "Orthogonius intermedius", "Orthogonius jianfengling", "Orthogonius kapiriensis", "Orthogonius katangensis", "Orthogonius kickeli", "Orthogonius kirirom", "Orthogonius klickai", "Orthogonius kumatai", "Orthogonius latus", "Orthogonius lieftincki", "Orthogonius limbourgi", "Orthogonius longicornis", "Orthogonius longilamella", "Orthogonius longipennis", "Orthogonius longiphallus", "Orthogonius lucidus", "Orthogonius luzonicus", "Orthogonius malaisei", "Orthogonius meghalayaensis", "Orthogonius mellyi", "Orthogonius mniszechi", "Orthogonius moestus", "Orthogonius monolophus", "Orthogonius morvani", "Orthogonius morvanianus", "Orthogonius mouhoti", "Orthogonius nepalensis", "Orthogonius niger", "Orthogonius nigripes", "Orthogonius nyassicus", "Oxycheila wiesneri", "Oxycheila wittmeri", "Oxycrepis brasiliensis", "Oxycrepis cordata", "Oxycrepis leucocera", "Oxycrepis schadei", "Oxydrepanus coamensis", "Oxydrepanus minor", "Malgassoclanis maculalis", "Corypha lecomtei", "Malgassoclanis rufus", "Boryzops drechseli", "Oxydrepanus ovoideus", "Oxydrepanus reicheoides", "Oxydrepanus brasiliensis", "Oxydrepanus luridus", "Oxydrepanus mexicanus", "Oxydrepanus micans", "Oxydrepanus minimus", "Oxydrepanus ovalis", "Oxydrepanus rufus", "Oxyglychus laeviventris", "Oxygnathopsis javana", "Oxygnathus aboranus", "Oxygnathus elongatus", "Oxygnathus ferrugineus", "Oxygnathus myanmarensis", "Oxygonia albitaenia", "Oxygonia boucardi", "Oxygonia buckleyi", "Oxygonia carissima", "Oxygonia delia", "Oxygonia erichsoni", "Oxygonia fleutiauxi", "Oxygonia floridula", "Oxygonia gloriola", "Oxygonia kippenhani", "Oxygonia kondratieffi", "Oxygonia moreti", "Oxygonia moronensis", "Orthotrichus thoracicus", "Orthotrichus tropicalis", "Orthotrichus twiga", "Orthotrichus uelensis", "Orthotrichus umtalianus", "Orthotrichus usambaranus", "Orthotrichus verheyeni", "Orthotyphlus franzi", "Orzolina thalassophila", "Oscadytes rovirai", "Otoglossa nevermanni", "Otoglossa subviolacea", "Otoglossa tuberculosa", "Oxoides obscurus", "Detritivora mapaou", "Oxycentrus acutipennis", "Oxycentrus acutulus", "Oxycentrus angusticeps", "Oxycentrus angustipennis", "Oxycentrus argutoroides", "Oxycentrus assamensis", "Oxycentrus atratus", "Oxycentrus baehri", "Oxycentrus borneensis", "Oxycentrus cambodianicus", "Oxycentrus castaneus", "Oxycentrus changi", "Oxycentrus doiinthanonensis", "Oxycentrus foveicollis", "Oxycentrus fulgens", "Oxycentrus giganteus", "Oxycentrus gracilitarsis", "Oxycentrus grandis", "Oxycentrus gusenleitneri", "Oxycentrus hayakawai", "Oxycentrus horni", "Oxycentrus iridicolor", "Oxycentrus ivani", "Oxycentrus javanus", "Oxycentrus jelineki", "Oxycentrus kraatzi", "Oxycentrus laetus", "Oxycentrus latemarginatus", "Oxycentrus latus", "Oxycentrus matanganus", "Oxycentrus melas", "Oxycentrus minor", "Oxycentrus minutopunctatus", "Oxycentrus miyakei", "Oxycentrus nakayamai", "Oxycentrus negrosensis", "Oxycentrus nitidus", "Oxycentrus oblongicollis", "Oxycentrus obtusibasis", "Oxycentrus obtusicollis", "Oxycentrus omaseoides", "Oxycentrus orinus", "Oxycentrus parallelus", "Oxycentrus parvus", "Oxycentrus persimilis", "Oxycentrus piceus", "Orthotrichus ghesquierei", "Orthotrichus gilvipes", "Orthotrichus gracilis", "Orthotrichus harrarensis", "Orthotrichus hessei", "Orthotrichus holomelas", "Orthotrichus humicola", "Orthotrichus hutereauae", "Orthotrichus idjwiensis", "Orthotrichus indicus", "Orthotrichus insolitus", "Orthotrichus insuetus", "Orthotrichus insulanus", "Orthotrichus irakensis", "Orthotrichus ivorensis", "Orthotrichus janssensi", "Orthotrichus jocquei", "Orthotrichus kaboboanus", "Orthotrichus katanganus", "Orthotrichus kirokae", "Orthotrichus kitaleanus", "Orthotrichus lamottei", "Orthotrichus latipennis", "Orthotrichus latiusculus", "Orthotrichus laurenti", "Orthotrichus lomaensis", "Orthotrichus luberoensis", "Orthotrichus luctuosus", "Orthotrichus lujai", "Orthotrichus luluensis", "Orthotrichus madecassus", "Orthotrichus mboko", "Orthotrichus meeli", "Orthotrichus megalocrates", "Orthotrichus meruensis", "Orthotrichus motoensis", "Orthotrichus ngiri", "Orthotrichus nimbanus", "Orthotrichus nindae", "Orthotrichus nindanus", "Orthotrichus niokolokobanus", "Orthotrichus nyikanus", "Orthotrichus obsequiosus", "Orthotrichus patroboides", "Orthotrichus planaticollis", "Orthotrichus punda", "Orthotrichus quadridens", "Orthotrichus regularis", "Orthotrichus robustus", "Orthotrichus royi", "Orthotrichus rufocinctus", "Orthotrichus rugegeensis", "Orthotrichus sculptilis", "Orthotrichus sculptipennis", "Orthotrichus seynaevei", "Orthotrichus shimbanus", "Orthotrichus sira", "Orthotrichus sjostedti", "Orthotrichus spinicauda", "Orthotrichus spinosulus", "Orthotrichus suborbicularis", "Orthotrichus subvirescens", "Orthotrichus sudanicum", "Orthotrichus tabalpuri", "Oxycentrus planibasis", "Pachythone crepusculi", "Oxycentrus punctatus", "Oxycentrus quadricollis", "Oxycentrus rectangulus", "Oxycentrus richterianus", "Oxycentrus rugifrons", "Oxycentrus sakaii", "Oxycentrus scabericollis", "Oxycentrus schaubergeri", "Oxycentrus shibatai", "Oxycentrus siamensis", "Oxycentrus sikkimensis", "Oxycentrus smetanai", "Oxycentrus striolatus", "Oxycentrus subarcuaticollis", "Oxycentrus subcylindratus", "Oxycentrus subdepressus", "Oxycentrus subovatus", "Oxycentrus sulciclypeus", "Oxycentrus taichishibatai", "Oxycentrus yoshidai", "Oxycentrus micros", "Oxycheila affinis", "Oxycheila aquatica", "Oxycheila binotata", "Oxycheila bolivari", "Oxycheila brzoskai", "Oxycheila buestani", "Oxycheila chabrillacii", "Oxycheila chaudoiri", "Oxycheila chestertonii", "Oxycheila costaricana", "Oxycheila distigma", "Oxycheila femoralis", "Oxycheila fleutiauxi", "Oxycheila germaini", "Oxycheila glabra", "Oxycheila guatemalensis", "Oxycheila haenschi", "Oxycheila hangayi", "Oxycheila howdeni", "Oxycheila immaculata", "Oxycheila labiata", "Oxycheila lucasi", "Oxycheila nigroaenea", "Oxycheila nigrosericea", "Oxycheila obscura", "Oxycheila opacipennis", "Oxycheila oxyoma", "Oxycheila pearsoni", "Oxycheila peruviana", "Oxycheila pinelii", "Oxycheila plaumanni", "Oxycheila pochoni", "Oxycheila polita", "Oxycheila pseudoaquatica", "Oxycheila pseudofemoralis", "Oxycheila pseudoglabra", "Oxycheila pseudonigroaenea", "Oxycheila pseudostrandi", "Oxycheila similis", "Oxycheila tristis", "Orthomus bedelianus", "Orthomus berrai", "Orthomus curtus", "Orthomus dilaticollis", "Orthomus gracilipes", "Orthomus lundbladi", "Orthomus pecoudi", "Orthomus abacoides", "Orthomus achilles", "Orthomus aquila", "Orthomus aubryi", "Orthomus balearicus", "Orthomus barbarus", "Orthomus berytensis", "Orthomus dimorphus", "Orthomus discors", "Orthomus hispanicus", "Orthomus lacouri", "Orthomus leprieuri", "Orthomus longior", "Orthomus longulus", "Orthomus maroccanus", "Orthomus perezii", "Orthomus planidorsis", "Orthomus poggii", "Orthomus rubicundus", "Orthomus starkei", "Orthomus tazekensis", "Orthomus velocissimus", "Orthomus pommereaui", "Orthomus anagae", "Orthomus tenerifae", "Orthotrichus acanthurus", "Orthotrichus adami", "Orthotrichus aequatorius", "Orthotrichus alternatus", "Orthotrichus amauropterus", "Orthotrichus amydrus", "Orthotrichus angolensis", "Orthotrichus antrophilus", "Orthotrichus ardens", "Orthotrichus baehri", "Orthotrichus bequaerti", "Orthotrichus bergeri", "Orthotrichus bwambanus", "Orthotrichus capicola", "Orthotrichus carayoni", "Orthotrichus celsus", "Orthotrichus chagga", "Orthotrichus chinensis", "Orthotrichus chui", "Orthotrichus constricticollis", "Orthotrichus corvulum", "Orthotrichus crenatostriatus", "Orthotrichus cymindoides", "Orthotrichus dacryodes", "Orthotrichus eberti", "Orthotrichus elgeyoensis", "Orthotrichus elisabethanus", "Orthotrichus fizi", "Zyras puncticollis", "Paramyrmoecia bipustulata", "Epidendrum laeve", "Coccothrinax clarensis", "Coccothrinax clarensis subsp. clarensis", "Euscalpellum stratum", "Oxygonia nigricans", "Oxygonia nigrovenator", "Oxygonia oberthueri", "Oxygonia onorei", "Oxygonia prodiga", "Oxygonia schoenherrii", "Oxygonia uniformis", "Oxygonia vuillefroyi", "Oxygoniola chamaeleon", "Oxygonium acutangulum", "Oxygonium striatopunctatum", "Oxylobus alternans", "Oxylobus alveolatus", "Oxylobus armatus", "Oxylobus asperulus", "Oxylobus bipunctatus", "Oxylobus dekkanus", "Oxylobus dentatus", "Oxylobus dispar", "Boryzops similis", "Oxylobus dissors", "Oxylobus exiguus", "Oxylobus follis", "Oxylobus foveiger", "Oxylobus inaequalis", "Oxylobus ingens", "Oxylobus lateralis", "Oxylobus lirifer", "Oxylobus mahratta", "Oxylobus meridionalis", "Oxylobus montanus", "Oxylobus nanus", "Oxylobus ovalipennis", "Oxylobus porcatus", "Oxylobus punctatosulcatus", "Oxylobus pygmaeus", "Oxylobus quadricollis", "Oxylobus rugatus", "Oxylobus rugiceps", "Oxylobus sculptilis", "Oxylobus silenticus", "Oxyodontus piliferus", "Boryzops similis similis", "Oxyodontus tripunctatus", "Oxypselaphus dominici", "Oxypselaphus pusillus", "Oxypselaphus thielei", "Oxytrechus arechavaletae", "Oxytrechus balli", "Oxytrechus bousqueti", "Oxytrechus campbelli", "Oxytrechus caucaensis", "Oxytrechus convexus", "Oxytrechus cyathiderus", "Oxytrechus equatorianus", "Oxytrechus fasciger", "Oxytrechus gitzeni", "Oxytrechus globosus", "Oxytrechus guaguanus", "Oxytrechus jeanneli", "Oxytrechus lallemandi", "Oxytrechus llanganatisianus", "Oxytrechus mateui", "Paratrechus gressitti", "Paratrechus halffteri", "Paratrechus hoegei", "Paratrechus incertus", "Paratrechus jeanneli", "Paratrechus laevigatus", "Paratrechus laticeps", "Paratrechus mandurensis", "Paratrechus matilei", "Paratrechus mexicanus", "Paratrechus moreti", "Paratrechus nemoralis", "Paratrechus nigrilacus", "Paratrechus oaxaquensis", "Paratrechus obrieni", "Paratrechus osorioi", "Paratrechus pallescens", "Paratrechus panamensis", "Paratrechus pecki", "Paratrechus propior", "Paratrechus putzeysi", "Paratrechus reddelli", "Paratrechus reyesi", "Paratrechus subparallelus", "Paratrechus sylvarum", "Paratrechus sylvaticus", "Paratrechus tacana", "Paratrechus totontepec", "Paratrechus unisetosus", "Paratrechus versutus", "Paratrechus vulcanus", "Coccothrinax alta", "Typhloponemys rufotestacea", "Domitius luquei", "Kasetsartra fasciaura", "Coccothrinax cupularis", "Gymnosophistis thyrsodoxa", "Gymnosophistis staudei", "Coccothrinax ekmanii", "Coccothrinax fagildei", "Coccothrinax gracilis", "Coccothrinax guantanamensis", "Coccothrinax hioramii", "Coccothrinax litoralis", "Coccothrinax miraguama subsp. miraguama", "Coccothrinax miraguama subsp. roseocarpa", "Paratrichothorax brevistylis", "Paraulacoryssus puertoricensis", "Parazuphium barbarae", "Parazuphium flavescens", "Parazuphium mastersii", "Parazuphium pilbarae", "Parazuphium rockhamptonense", "Parazuphium weiri", "Parazuphium damascenum", "Pachydesus longulus", "Pachydesus marojejyanus", "Pachydesus ovalipennis", "Pachydesus parilis", "Pachydesus parvicollis", "Pachydesus pauliani", "Pachydesus rafaelae", "Pachydesus raffrayi", "Pachydesus robustus", "Pachydesus rotundatus", "Pachydesus rufipes", "Pachydesus ruwenzoricus", "Pachydesus scitulus", "Pachydesus unisetosus", "Pachyferonia quadricollis", "Pachylebia pallipes", "Pachylebiodes vadoni", "Pachymorphus adelosioides", "Pachymorphus aereus", "Pachymorphus chalceus", "Pachymorphus currens", "Pachymorphus glaucus", "Pachymorphus lucidus", "Pachymorphus nicki", "Pachymorphus orbignyi", "Pachymorphus striatulus", "Pachymorphus subcorynthius", "Pachymorphus substriatulus", "Pachyodontus languidus", "Pachyroxochus gabonicus", "Pachyroxochus lebisi", "Pachyroxochus subquadratus", "Pachyteles angustatus", "Pachyteles arechavaletae", "Pachyteles aspericollis", "Pachyteles bacillus", "Pachyteles baleni", "Pachyteles besckii", "Pachyteles brunneus", "Pachyteles castaneus", "Pachyteles colasi", "Pachyteles confusus", "Pachyteles delauneyi", "Pachyteles digiulioi", "Pachyteles distinctus", "Pachyteles enischnus", "Pachyteles excisus", "Pachyteles filiformis", "Pachyteles fuliginellus", "Pachyteles funckii", "Pachyteles fuscocephalus", "Pachyteles fusculus", "Pachyteles gibbus", "Pachyteles glaber", "Pachyteles goniaderus", "Pachyteles gyllenhalii", "Pachyteles haroldi", "Pachyteles lacordairei", "Pachyteles laevigatus", "Pachyteles longicornis", "Pachyteles longulus", "Pachyteles mexicanus", "Pachyteles modestus", "Pachyteles nigripennis", "Oxytrechus moreti", "Oxytrechus norae", "Oxytrechus onorei", "Oxytrechus paredesi", "Oxytrechus pichinchanus", "Oxytrechus pierremoreti", "Oxytrechus reventadori", "Oxytrechus silvianus", "Oxytrechus solitarius", "Oxytrechus vulcanus", "Oxytrechus zoiai", "Ozaena boucheri", "Ozaena convexa", "Ozaena dentipes", "Ozaena ecuadorica", "Ozaena elevata", "Ozaena erwini", "Ozaena grossa", "Ozaena lemoulti", "Ozaena linearis", "Ozaena manu", "Ozaena martinezi", "Boryzops similis jamaicensis", "Ozaena maxi", "Ozaena moreti", "Ozaena thomasi", "Pachybatenus obscurus", "Pachycaecus savanicola", "Pachycallida amplicollis", "Pachycallida rufoplagiata", "Pachycallida sambiranensis", "Pachycarus aculeatus", "Pachycarus artipunctatus", "Pachycarus atrocoeruleus", "Pachycarus cyaneus", "Pachycarus macedonicus", "Pachycarus latreillei", "Pachycarus brevipennis", "Pachydesus aethiopicus", "Pachydesus alluaudi", "Pachydesus altipeta", "Pachydesus anosyanus", "Pachydesus bohemani", "Pachydesus brincki", "Pachydesus bucculentus", "Pachydesus bulirschi", "Pachydesus burgeoni", "Pachydesus caffer", "Pachydesus celisi", "Pachydesus chappuisi", "Pachydesus cuccodoroi", "Pachydesus descarpentriesi", "Pachydesus edwardsi", "Pachydesus ernei", "Pachydesus fletcheri", "Pachydesus geginati", "Pachydesus gravis", "Pachydesus holmi", "Pachydesus kenyensis", "Pachydesus kilimanus", "Pachydesus kinangopinus", "Pachydesus kochi", "Pachydesus leleupi", "Paracoryza taitensis", "Paradromius amoenus", "Paradromius amplior", "Paradromius arnoldii", "Paradromius bermejoi", "Paradromius cylindraticollis", "Paradromius dendrobates", "Paradromius exornatus", "Paradromius hariensis", "Paradromius insularis", "Paradromius iucundus", "Lygodactylus thomensis", "Paradromius kocheri", "Paradromius linearis", "Paradromius proderus", "Paradromius puncticeps", "Paradromius purpurarius", "Paradromius ruficollis", "Paradromius saharensis", "Paradromius scholzi", "Paradromius strigifrons", "Paradromius sublinearis", "Paradromius tamaranus", "Paradromius vagepictus", "Paradromius longiceps", "Paradromius suturalis", "Paradromius brancuccii", "Paradromius exilis", "Paradromius gandhii", "Paradromius longissimus", "Paradromius riedeli", "Paradromius steno", "Paradromius baeticus", "Paradromius espanoli", "Paradromius pilifer", "Paradyscherus blanci", "Paradyscherus jeanneli", "Paradyscherus peyrierasi", "Paraeutrichopus harpaloides", "Paraeutrichopus pecoudi", "Paraglycia castanea", "Paraglycia cyanochloris", "Paraglycia obscuripennis", "Paraglycia picea", "Paraglycia rufula", "Paraglycia sulcatula", "Paragonotrechus apterus", "Paragonotrechus laticollis", "Paragonotrechus paradoxus", "Paragonotrechus sinicola", "Paraleleupidia besucheti", "Paraleleupidia acutangula", "Paraleleupidia bueana", "Paraleleupidia bunyakira", "Paraleleupidia bururiana", "Paraleleupidia camerunensis", "Paraleleupidia castanea", "Paraleleupidia celisi", "Paraleleupidia cribrata", "Paraleleupidia decellei", "Paraleleupidia exarata", "Paraleleupidia franzi", "Paraleleupidia joannae", "Paraleleupidia laticollis", "Paraleleupidia linearis", "Paraleleupidia loebli", "Paraleleupidia mirei", "Paraleleupidia montana", "Acraea hamata hamata", "Paraleleupidia nimbana", "Paraleleupidia nyakagerana", "Paraleleupidia penalis", "Paraleleupidia prominens", "Paraleleupidia ruwenzorica", "Paraleleupidia spinicollis", "Paraleleupidia sylvicola", "Paraleleupidia uluguruana", "Paraleleupidia uvirana", "Paraliagonum longipes", "Paramecus breviusculus", "Paramecus cylindricus", "Paramecus ellipticus", "Paramecus laevigatus", "Paramegalonychus bitalensis", "Paramegalonychus brunneipennis", "Paramegalonychus brunneoniger", "Paramegalonychus lamottei", "Paramegalonychus mgetae", "Paramegalonychus montanus", "Paramegalonychus mulanjensis", "Paramegalonychus nyakageranus", "Paramegalonychus orophilus", "Paramegalonychus paludicola", "Paramegalonychus tshibindensis", "Paranchodemus calleides", "Paranchodemus davidis", "Paranchodemus ishiguroi", "Paranchodemus thibetanus", "Paranchus debilis", "Paranchus euthemon", "Paranchus nichollsii", "Paranchus albipes", "Paranillopsis pampensis", "Paranillopsis piguensis", "Paranillus banari", "Paranillus elongatus", "Paranillus janaki", "Paranillus latipennis", "Paranillus longulus", "Paranillus madecassus", "Paranillus milloti", "Paranillus pauliani", "Paranillus pavesii", "Paranillus punctatostriatus", "Paranillus scapularis", "Paranillus sogai", "Paranurus dilaticeps", "Paranurus macleayi", "Paranurus petri", "Parapatrobus brancuccii", "Parapatrobus sikkimensis", "Parapenetretus kabaki", "Parapenetretus shimianensis", "Parapenetretus wittmeri", "Parapenetretus caudicornis", "Parapenetretus medvedevi", "Parapenetretus microps", "Acraea hamata batangi", "Parapenetretus nanpingensis", "Parapenetretus pavesii", "Parapenetretus pilosohumeralis", "Parapenetretus subtilis", "Parapenetretus szetschuanus", "Parapenetretus wenxianensis", "Parapenetretus selaensis", "Parapenetretus kasantsevi", "Parapenetretus microphthalmus", "Parapenetretus saueri", "Parapenetretus xilinensis", "Paraphaenops breuilianus", "Paraphaenops fadriquei", "Paraphysodeutera naviauxi", "Parapionycha lizeri", "Parareicheia lencinai", "Parareicheia nevesi", "Parareicheia zoiai", "Parascopodes cyaneus", "Parascopodes latus", "Parasiopelus ornatus", "Parasiopelus somalicus", "Parathlibops abbreviatus", "Parathlibops crenatus", "Parathlibops dohrni", "Parathlibops filiformis", "Parathlibops glaber", "Parathlibops glabriventris", "Parathlibops integricollis", "Parathlibops intermedius", "Parathlibops minor", "Parathlibops omega", "Parathlibops paviei", "Parathlibops puncticollis", "Parathlibops wittmeri", "Paratrechiotes ocydromoides", "Paratrechodes macleayi", "Paratrechus alaoensis", "Paratrechus alexandri", "Paratrechus altitudinis", "Paratrechus austrinus", "Paratrechus balli", "Paratrechus barri", "Paratrechus batesi", "Paratrechus beltrani", "Paratrechus bifoveatus", "Paratrechus bolivari", "Paratrechus boussingaulti", "Paratrechus campbelli", "Paratrechus cataractae", "Paratrechus chiriquensis", "Paratrechus clermonti", "Paratrechus collanensis", "Paratrechus contrarius", "Paratrechus costaricensis", "Paratrechus cubillini", "Paratrechus erwini", "Paratrechus franiai", "Paratrechus gouleti", "Paratrechus grandiceps", "Orthogonius opacus", "Orthogonius orphnodes", "Orthogonius ovatulus", "Orthogonius ovatus", "Orthogonius parallelus", "Orthogonius parcepunctatus", "Orthogonius parvus", "Orthogonius pectinatus", "Orthogonius perakicus", "Orthogonius perpuncticollis", "Orthogonius piceus", "Orthogonius picilabris", "Orthogonius picipennis", "Orthogonius pinguis", "Orthogonius pinophilus", "Orthogonius planiger", "Orthogonius poggii", "Orthogonius politior", "Orthogonius politus", "Orthogonius pollinctor", "Orthogonius pradieri", "Orthogonius pseudochaudoiri", "Orthogonius pseudomouhoti", "Orthogonius punctulatus", "Orthogonius punctum", "Orthogonius rhodesianus", "Orthogonius rhodesiensis", "Orthogonius ribbei", "Orthogonius rogueti", "Orthogonius rufiventris", "Orthogonius rufotestaceus", "Orthogonius sabahicus", "Orthogonius saundersi", "Orthogonius schaumi", "Orthogonius schmidtgoebeli", "Orthogonius senegalensis", "Orthogonius setosopalpiger", "Orthogonius similaris", "Orthogonius sinuatiphallus", "Orthogonius solidicornis", "Orthogonius spinosus", "Orthogonius srilankaicus", "Orthogonius sterbai", "Orthogonius stygius", "Orthogonius sulawesicus", "Orthogonius sulcatus", "Orthogonius suturalis", "Orthogonius taghavianae", "Orthogonius termiticola", "Orthogonius thaicus", "Orthogonius thoracicus", "Orthogonius tricarinatus", "Orthogonius vari", "Orthogonius variabilis", "Orthogonius virgulatus", "Orthogonius wrasei", "Orthogonius xanthomerus", "Orthogonius yunnanensis", "Orthomus canariensis", "Orthomus gonzalezi", "Orthomus tobiasi", "Orthomus martini", "Orthomus annae", "Pachyteles oxyomus", "Pachyteles parvicollis", "Pachyteles pascoei", "Pachyteles peruviana", "Pachyteles politus", "Pachyteles porrectus", "Pachyteles praeustus", "Pachyteles pseudovignai", "Pachyteles punctulatus", "Pachyteles semirufus", "Pachyteles seriatus", "Pachyteles seriepunctatus", "Pachyteles striola", "Pachyteles sulcipennis", "Pachyteles tapajonus", "Pachyteles tuberculatus", "Pachyteles undulatus", "Pachyteles verruciger", "Pachyteles verrucosus", "Pachyteles vignai", "Pachythecus rubrocupreus", "Pachytrachelus cribriceps", "Pachytrechodes basilewskyi", "Pachytrechodes brevis", "Pachytrechodes leleupi", "Pachytrechodes uncinatus", "Pamborus pradierii", "Panagaeus asuai", "Panagaeus cruciger", "Panagaeus fasciatus", "Panagaeus panamensis", "Panagaeus quadrisignatus", "Panagaeus abei", "Panagaeus coreanus", "Panagaeus davidi", "Panagaeus relictus", "Panagaeus robustus", "Panagrius hystrix", "Panagrius nigricans", "Pangus scaritides", "Parabradycellus convexus", "Parabradycellus indicus", "Parabradycellus yunnanus", "Parabroscus teradai", "Parabroscus crassipalpis", "Parachlaenius diacritus", "Parachlaenius trochantericus", "Parachlaenius bequaerti", "Parachlaenius discolor", "Parachlaenius emini", "Parachlaenius marshalli", "Parachlaenius pseudoviolaceus", "Parachlaenius punctatus", "Parachlaenius rhodesianus", "Parachlaenius ruandanus", "Parachlaenius violaceus", "Paracimmerites nanus", "Paracolpodes mauritiensis", "Paracoryza canaliculata", "Paracoryza incribra", "Paracoryza insulana", "Paracoryza mahnerti", "Paracoryza parvusulcata", "Parazuphium angolanum", "Parazuphium angustioculus", "Parazuphium ascendens", "Parazuphium baeticum", "Parazuphium basilewskyi", "Parazuphium basutolandicus", "Parazuphium blandum", "Parazuphium chevrolatii", "Parazuphium darlingtoni", "Parazuphium debile", "Parazuphium dubium", "Parazuphium feloi", "Parazuphium impressicolle", "Parazuphium inconspicuum", "Parazuphium laticolle", "Parazuphium longipenis", "Parazuphium maroccanum", "Parazuphium melanocephalum", "Parazuphium mirei", "Parazuphium narzikulovi", "Parazuphium nitens", "Parazuphium pallidum", "Parazuphium philippinense", "Parazuphium punicum", "Parazuphium ramirezi", "Parazuphium rarum", "Parazuphium roberti", "Parazuphium salmoni", "Parazuphium sinuum", "Parazuphium tropicum", "Parazuphium turcomanicum", "Parazuphium varians", "Parazuphium vaucheri", "Parazuphium vibex", "Paregaploa conviva", "Paregraphus krusemani", "Parena africana", "Parena albomaculata", "Parena alluaudi", "Parena amamiooshimensis", "Parena andrewesi", "Parena bicolor", "Parena cavipennis", "Parena circumdata", "Parena dorae", "Parena dorsigera", "Parena esakii", "Parena fasciata", "Parena ferruginea", "Parena hastata", "Parena kataevi", "Parena koreana", "Parena kunmingensis", "Parena kurosai", "Parena laesipennis", "Parena latecincta", "Parena levata", "Parena madagascariensis", "Parena malaisei", "Parena mellea", "Parena monticola", "Parena nantouensis", "Parena nepalensis", "Parena nigrolineata", "Parena obenbergeri", "Parena obscura", "Parena pendleburyi", "Parena perforata", "Parena phongsalyensis", "Parena picea", "Parena plagiata", "Parena politissima", "Parena quadrisignata", "Parena rubripicta", "Parena rufotestacea", "Parena schillhammeri", "Parena sellata", "Parena shapingensis", "Parena sticta", "Parena stigmatica", "Parena sulawesiensis", "Parena sumatrana", "Parena tesari", "Parena testacea", "Parena valeriae", "Parena wrasei", "Parena yunnana", "Pareuryaptus adoxus", "Pareuryaptus aethiops", "Pareuryaptus annamensis", "Pareuryaptus cambodgiensis", "Pareuryaptus chalceolus", "Pareuryaptus chalcodes", "Pareuryaptus curtulus", "Pareuryaptus cyanellus", "Pareuryaptus exiguus", "Pareuryaptus formosanus", "Pareuryaptus gilletti", "Pareuryaptus laolumorum", "Pareuryaptus luangphabangensis", "Pareuryaptus lucidus", "Pareuryaptus morosus", "Pareuryaptus namptap", "Pareuryaptus parvus", "Pareurydera spinosa", "Parhypates arctus", "Parhypates bonellii", "Parhypates chalybicolor", "Parhypates cordicollis", "Parhypates extenuatus", "Parhypates herberti", "Parhypates irrequietus", "Parhypates melaenus", "Parhypates nunni", "Parhypates rufipalpis", "Parhypates sinuatipennis", "Parhypates stenomus", "Parhypates tenuestriatus", "Parophonus caffer", "Parophonus integer", "Parophonus axinotomoides", "Parophonus fossulatus", "Parophonus inquinulus", "Parophonus lepidus", "Parophonus pusillus", "Parophonus acutangulus", "Parophonus mendax", "Parophonus ovalipennis", "Parophonus planicollis", "Parophonus vigil", "Paropisthius davidis", "Paropisthius indicus", "Paropisthius masuzoi", "Paropisthius unctulus", "Parvocaecus anatolicus", "Parvocaecus loebli", "Parvocaecus tokatensis", "Parvocaecus turcicus", "Pasimachus ambiguus", "Pasimachus cardioderus", "Pasimachus cordicollis", "Pasimachus intermedius", "Pasimachus metallicus", "Pasimachus pacificus", "Pasimachus purpuratus", "Pasimachus quirozi", "Pasimachus rotundipennis", "Pasimachus sexualis", "Pasimachus smithi", "Pasimachus subangulatus", "Pasimachus aurocinctus", "Pasimachus californicus", "Pasimachus depressus", "Pasimachus duplicatus", "Pasimachus elongatus", "Pasimachus imitator", "Pasimachus laevisulcatus", "Pasimachus marginatus", "Pasimachus mexicanus", "Pasimachus obsoletus", "Pasimachus perpolitus", "Pasimachus punctulatus", "Pasimachus quadricollis", "Pasimachus sallei", "Pasimachus strenuus", "Pasimachus sublaevis", "Pasimachus subsulcatus", "Pasimachus tolucanus", "Pasimachus viridans", "Passalidius fortipes", "Patanitretus pakistanensis", "Patrobus assimilis", "Patrobus atrorufus", "Patrobus australis", "Patrobus cinctus", "Patrobus fossifrons", "Patrobus foveocollis", "Patrobus lecontei", "Patrobus longicornis", "Patrobus obliteratus", "Patrobus platophthalmus", "Patrobus quadricollis", "Patrobus roubali", "Patrobus septentrionis", "Patrobus sikhotealinus", "Patrobus stygicus", "Patrobus styriacus", "Patrobus teresae", "Parophonus ambiguus", "Parophonus angulatus", "Parophonus angusticollis", "Parophonus arbonnieri", "Hergovitsia strbae", "Parophonus bruneaui", "Parophonus colmanti", "Parophonus conspectus", "Parophonus conviva", "Parophonus cyanellus", "Parophonus cyaneotinctus", "Parophonus decellei", "Parophonus deplanatus", "Parophonus escheri", "Parophonus formosanus", "Parophonus girardi", "Parophonus gojebensis", "Parophonus hirsutus", "Hergovitsia splendida", "Parophonus holosericeus", "Parophonus imitativus", "Parophonus indicus", "Parophonus javanus", "Parophonus juvencus", "Parophonus kenyanus", "Parophonus lividus", "Parophonus marshalli", "Parophonus mirei", "Parophonus moestus", "Parophonus nigripes", "Parophonus nossibianus", "Parophonus optivus", "Parophonus orientalis", "Hergovitsia magnifica", "Parophonus pierroni", "Parophonus pseudosericeus", "Parophonus quisquilius", "Parophonus rotundangulus", "Parophonus saponarius", "Parophonus sericeus", "Parophonus spatulus", "Parophonus spoliatus", "Parophonus spretus", "Parophonus stricticollis", "Parophonus substrictus", "Parophonus subtilis", "Hergovitsia brunnea", "Parophonus tomentosus", "Parophonus ugandanus", "Parophonus velutinus", "Parophonus vitalisi", "Parophonus hirsutulus", "Parophonus interstitialis", "Parophonus rectangulus", "Parophonus antoinei", "Parophonus dejeani", "Parophonus dia", "Parophonus hespericus", "Parophonus hispanus", "Parophonus iberiparcus", "Parophonus knyi", "Parophonus laeviceps", "Parophonus maculicornis", "Paulianites nidicola", "Paulianolebia rubicunda", "Paulianoscirtus cordicollis", "Paulianoscirtus madecassus", "Paussomorphus chevrolatii", "Paussomorphus conradsianus", "Paussomorphus pauliani", "Paussotropus cylindricus", "Paussus alienus", "Paussus alluaudi", "Paussus cervinus", "Paussus dama", "Paussus elaphus", "Paussus perrieri", "Paussus dedyckeri", "Paussus ghanensis", "Paussus latidens", "Paussus planifrons", "Paussus quadratidens", "Paussus sikoranus", "Paussus striaticornis", "Paussus aldrovandii", "Paussus cultratus", "Paussus batillarius", "Paussus cochlearius", "Paussus fairmairei", "Paussus leechi", "Paussus tununguensis", "Paussus afraequatorialis", "Paussus audouini", "Paussus bicornis", "Paussus bituberculatus", "Paussus collarti", "Paussus exiguus", "Paussus kohli", "Paussus modestus", "Paussus planicornis", "Paussus adjunctus", "Paussus angustulus", "Paussus anxius", "Paussus armicollis", "Paussus asperulus", "Paussus assmuthi", "Paussus atheruri", "Paussus aureofimbriatus", "Paussus basilewskyi", "Paussus benoiti", "Paussus bicolor", "Paussus borneensis", "Paussus bowringii", "Paussus boysii", "Paussus braunsi", "Paussus brincki", "Paussus brittoni", "Paussus buettikeri", "Paussus burchelianus", "Paussus capillaceus", "Paussus cardoni", "Paussus celisi", "Paussus clarkei", "Coccothrinax readii", "Paussus conradti", "Paussus corporaali", "Paussus crepidulae", "Paussus suavis", "Paussus testaceus", "Paussus thoracicus", "Paussus tibialis", "Paussus turcicus", "Paussus upembanus", "Paussus vadoni", "Paussus viator", "Paussus wellmani", "Paussus wroughtoni", "Paussus ypsilopilos", "Paussus cirenaicus", "Paussus colasi", "Paussus crenaticornis", "Paussus kochi", "Paussus piochardi", "Paussus scaliger", "Paussus serratulus", "Paussus affinis", "Paussus americanus", "Paussus aristoteli", "Paussus avunculus", "Paussus burgeoni", "Paussus centurio", "Paussus cognatus", "Paussus cylindricollis", "Paussus dichrous", "Paussus eisentrauti", "Paussus globiceps", "Paussus goetzei", "Paussus hardwickii", "Paussus hearseyanus", "Paussus henningsi", "Paussus horni", "Paussus inermis", "Paussus laevifrons", "Paussus manni", "Paussus nudus", "Paussus orientalis", "Paussus patrizii", "Paussus procerus", "Paussus recorpus", "Paussus saundersii", "Paussus schiodtii", "Paussus scorteccii", "Paussus sesquisulcatus", "Paussus sewelli", "Paussus simplicissimus", "Paussus stolzi", "Paussus tchadensis", "Paussus verticalis", "Paussus howa", "Paussus biflagellatus", "Paussus favieri", "Paussus krelli", "Holocraspedon nigrilinea", "Paussus pilicornis", "Paussus adamsoni", "Paussus adinventus", "Paussus aethiops", "Paussus antinorii", "Paussus arabicus", "Paussus armatus", "Paussus bayonii", "Paussus chappuisi", "Paussus cilipes", "Paussus cornutus", "Paussus dissimulator", "Paussus hirsutus", "Paussus humboldtii", "Paussus moltonii", "Paussus nageli", "Paussus obscurus", "Paussus pilosus", "Paussus propinquus", "Paussus pseudosetosus", "Paussus rusticus", "Paussus setosus", "Paussus somaliae", "Paussus sphaerocerus", "Paussus spinicola", "Paussus thomsonii", "Paussus woerdeni", "Paussus canteloubei", "Paussus capreolus", "Paussus cerambyx", "Paussus comptus", "Paussus distinguendus", "Paussus klugii", "Paussus lacrimans", "Paussus latreillei", "Paussus leroyi", "Paussus linnavuori", "Paussus olcesii", "Paussus pseudoklugi", "Paussus rougemonti", "Paussus schoutedeni", "Paussus subarcuatus", "Paussus tigrinus", "Paussus vexator", "Paussus desneuxi", "Paussus aenigma", "Paussus afzelii", "Paussus araneans", "Paussus camaxilensis", "Paussus concinnus", "Paussus decipiens", "Paussus degeeri", "Paussus heinrichi", "Paussus laetus", "Paussus lineatus", "Paussus moreirai", "Paussus natalis", "Paussus passosi", "Paussus pretoriensis", "Paussus semilineatus", "Paussus tenuiculus", "Paussus tenuis", "Paussus aureovellus", "Paussus bekilyanus", "Paussus catalai", "Paussus jeannelianus", "Paussus mucius", "Paussus seyrigi", "Paussus wasmanni", "Paussus cucullatus", "Paussus cyathiger", "Paussus darlingtoni", "Paussus decellei", "Paussus denticulatus", "Paussus dollmani", "Paussus elizabethae", "Paussus escherichi", "Paussus excavatus", "Paussus fichtelii", "Paussus fissifrons", "Paussus foveifrons", "Paussus fulvus", "Paussus gazella", "Paussus glabripennis", "Paussus huamboensis", "Paussus humbloti", "Paussus inexspectatus", "Paussus janssensi", "Paussus jerdani", "Paussus lanxangensis", "Paussus laticollis", "Paussus leleupi", "Paussus lusotropicalis", "Paussus madurensis", "Paussus marshalli", "Paussus milloti", "Paussus milneedwardsi", "Paussus murrayi", "Paussus nauceras", "Paussus nobilis", "Paussus oberthueri", "Paussus opacus", "Paussus overlaeti", "Paussus pacificus", "Paussus paulmuelleri", "Paussus penicillatus", "Paussus permutatus", "Paussus perroti", "Paussus pierronii", "Paussus pipitzi", "Paussus ploiophorus", "Paussus politus", "Paussus pseudocucullatus", "Paussus quadricornis", "Paussus rawlinsi", "Hergovitsia longivirga", "Paussus ricardojorgei", "Paussus rougemontianus", "Paussus ruber", "Paussus rufitarsis", "Paussus rugiceps", "Paussus rugosus", "Paussus scyphus", "Paussus semicucullatus", "Paussus semirufus", "Paussus seriesetosus", "Paussus seydeli", "Paussus seyriganus", "Paussus sicardi", "Paussus soleatus", "Paussus solidus", "Paussus spiniceps", "Paussus stevensianus", "Paussus adeptus", "Paussus brevicornutus", "Paussus ceratoderinus", "Paussus citernii", "Paussus cuypersi", "Paussus fletcheri", "Paussus incultus", "Paussus intermedius", "Paussus kristenseni", "Paussus liber", "Paussus manicanus", "Paussus medleri", "Paussus planicollis", "Paussus spencii", "Paussus vollenhovii", "Paussus affulgens", "Paussus barkeri", "Paussus burmeisteri", "Paussus dissidens", "Paussus linnaei", "Paussus microcephalus", "Paussus oertzeni", "Paussus catoxanthus", "Paussus drescheri", "Paussus formosus", "Paussus hystrix", "Paussus kolbei", "Paussus masaoi", "Paussus occlusus", "Paussus serraticornis", "Paussus tagalicus", "Paussus tristis", "Paussus waterhousei", "Paussus zhouchaoi", "Paussus andreae", "Paussus javanus", "Paussus kannegieteri", "Paussus lucasseni", "Paussus ludekingii", "Paussus nigrita", "Paussus pandamanus", "Paussus ritsemae", "Paussus africanus", "Paussus bicoloricornis", "Paussus coronatus", "Paussus curtisii", "Paussus cylindricornis", "Paussus elongatus", "Paussus germari", "Paussus horikawae", "Paussus jacobsoni", "Paussus jousselinii", "Paussus kjellanderi", "Paussus lamottei", "Paussus minor", "Paussus mirei", "Paussus pallidefulvus", "Paussus pasteuri", "Paussus raffrayi", "Paussus recticornis", "Paussus sauteri", "Paussus schaumii", "Paussus shuckardi", "Paussus spinolae", "Paussus telescopifer", "Heliohemonia aurantia", "Paussus vanrooni", "Paussus wittei", "Paussus acuminicoxis", "Paussus arduus", "Paussus bohemani", "Paussus canaliculatus", "Paussus cephalotes", "Paussus cridae", "Paussus damarinus", "Paussus dohrni", "Paussus fallax", "Paussus jeanneli", "Paussus massarti", "Paussus mendesi", "Paussus mimus", "Paussus prestesjoannesi", "Paussus reductus", "Paussus reichenspergeri", "Paussus spinicoxis", "Paussus suahelinus", "Paussus ambiguus", "Paussus donisthorpei", "Paussus hughscotti", "Paussus roeri", "Paussus signatipennis", "Paussus squamicornis", "Paussus bastinae", "Paussus intuitivus", "Pawgammm rougemonti", "Pectinitarsus holomelas", "Pediomorphus elongatus", "Pediomorphus macleayi", "Pediomorphus planiusculus", "Pediomorphus ruficollis", "Pediomorphus variabilis", "Pedius figuratus", "Pedius ineptus", "Pelecium laevigatum", "Pelecium sulcatum", "Pelecium sulcipenne", "Pelecium atroviolaceum", "Pelecium besckii", "Pelecium bisulcatum", "Pelecium brasiliense", "Pelecium cyanipes", "Pelecium drakei", "Pelecium faldermanni", "Pelecium foveicolle", "Pelecium fulgidum", "Pelecium helenae", "Pelecium igneus", "Pelecium laeve", "Pelecium longicolle", "Pelecium negrei", "Pelecium nicki", "Pelecium obscurum", "Pelecium obtusum", "Pelecium parallelum", "Pelecium paulae", "Pelecium punctatostriatum", "Pelecium punctatum", "Pelecium purpureum", "Pelecium refulgens", "Pelecium renati", "Coccothrinax salvatoris", "Pelecium rotundipenne", "Pelecium semistriatum", "Pelecium striatipenne", "Pelecium striatum", "Pelecium tenellum", "Pelecium violaceum", "Peliocypas alternans", "Peliocypas andrewesi", "Peliocypas angulicollis", "Peliocypas angulosus", "Peliocypas annamensis", "Peliocypas apicalis", "Peliocypas assamensis", "Peliocypas bechynei", "Peliocypas beesoni", "Peliocypas brahmaputra", "Peliocypas catenatus", "Peliocypas chaudoiri", "Peliocypas chinensis", "Peliocypas cordicollis", "Peliocypas cylindricollis", "Peliocypas debilis", "Peliocypas dissimilis", "Peliocypas drescheri", "Peliocypas eberti", "Peliocypas euproctoides", "Peliocypas fulgureus", "Peliocypas fuscus", "Peliocypas gardneri", "Peliocypas hamatus", "Peliocypas himalayicus", "Peliocypas horni", "Peliocypas inflaticeps", "Peliocypas inornatus", "Peliocypas insularis", "Peliocypas intermedius", "Peliocypas leptosomus", "Peliocypas levipennis", "Peliocypas litteratus", "Peliocypas longulus", "Peliocypas luridus", "Peliocypas macellus", "Peliocypas melleus", "Peliocypas miwai", "Peliocypas nagatomii", "Garudinistis eburneana", "Peliocypas natalensis", "Peliocypas obenbergeri", "Peliocypas ochroides", "Peliocypas olemartini", "Peliocypas oryctus", "Peliocypas pahangensis", "Peliocypas pallidus", "Peliocypas papua", "Peliocypas probsti", "Peliocypas psilus", "Peliocypas repandens", "Peliocypas sanatus", "Peliocypas schereri", "Peliocypas sicardi", "Peliocypas signatus", "Peliocypas signifer", "Peliocypas staneki", "Peliocypas stepaneki", "Peliocypas suensoni", "Peliocypas suturalis", "Peliocypas taborskyi", "Peliocypas tagliaferrii", "Peliocypas tomentosus", "Coccothrinax scoparia", "Peliocypas trigonus", "Peliocypas unicolor", "Peliocypas uniformis", "Peliocypas vietnamensis", "Peliocypas villiersi", "Peliocypas vimmeri", "Peliocypas vittiger", "Pelmatellus andium", "Pelmatellus balli", "Pelmatellus brachyptera", "Pelmatellus caerulescens", "Pelmatellus columbiana", "Pelmatellus cuencana", "Pelmatellus cyanescens", "Pelmatellus cycnus", "Pelmatellus espeletiarum", "Pelmatellus gracilis", "Pelmatellus inca", "Pelmatellus infuscata", "Pelmatellus laticlavia", "Pelmatellus leucopus", "Pelmatellus lojana", "Pelmatellus martinezi", "Pelmatellus nigrita", "Pelmatellus nitescens", "Pelmatellus nubicola", "Pelmatellus obesa", "Pelmatellus obtusa", "Pelmatellus polylepis", "Pelmatellus rotundicollis", "Pelmatellus stenolophoides", "Pelmatellus variipes", "Pelmatellus vexator", "Pelocharis remyi", "Pelodiaetodes nunni", "Pelodiaetodes aldermensis", "Pelodiaetodes constricticollis", "Pelodiaetodes moorei", "Pelodiaetus lewisi", "Pelodiaetus sulcatipennis", "Pelonomites celisi", "Pelonomites coiffaiti", "Pelonomites leleupi", "Pelonomites mahunkai", "Pelonomites vignai", "Pelophila rudis", "Pentacomia leptalis", "Pentacomia argentina", "Pentacomia chalceola", "Pentacomia cribrata", "Pentacomia exigua", "Pentacomia microtheres", "Pentacomia punctum", "Pentacomia reductesignata", "Pentagonica boavistensis", "Pentagonica boettcheri", "Pentagonica brandti", "Pentagonica canaliculata", "Pentagonica capicola", "Pentagonica castanea", "Pentagonica celebensis", "Pentagonica ceylonica", "Pentagonica cognata", "Pentagonica communis", "Pentagonica comorica", "Pentagonica conradti", "Pentagonica convexipennis", "Pentagonica cuspidata", "Pentagonica cyanea", "Pentagonica cyanipennis", "Pentagonica daimiella", "Pentagonica darlingtoni", "Pentagonica debeauxi", "Pentagonica decellei", "Pentagonica dichroa", "Pentagonica discoidea", "Pentagonica dispar", "Pentagonica distinguenda", "Pentagonica drescheri", "Pentagonica elegans", "Pentagonica erichsoni", "Pentagonica estriata", "Pentagonica eurodes", "Pentagonica excisis", "Pentagonica fakfak", "Pentagonica felix", "Pentagonica fijiana", "Pentagonica flavicornis", "Pentagonica flavipes", "Eutane aglaea", "Pentagonica fukiensis", "Pentagonica garainae", "Pentagonica giluwe", "Pentagonica glabripennis", "Pentagonica goniodera", "Pentagonica gonostigma", "Pentagonica gressitti", "Pentagonica halmaherae", "Pentagonica hebridarum", "Pentagonica hexagona", "Pentagonica horni", "Pentagonica infans", "Pentagonica insularum", "Pentagonica irsac", "Eutane alba", "Pentagonica jakli", "Pentagonica javana", "Pentagonica kietae", "Pentagonica kitchingi", "Pentagonica kivuana", "Pentagonica kundelunguensis", "Pentagonica laevissima", "Pentagonica laticollis", "Pentagonica longicornis", "Pentagonica lucens", "Eutane nivea", "Pentagonica luzoensis", "Pentagonica macrops", "Pentacomia ronhuberi", "Pentacomia setopronotalis", "Pentacomia biguttata", "Pentacomia brasiliensis", "Pentacomia conformis", "Pentacomia cyaneomarginata", "Pentacomia discrepans", "Pentacomia distigma", "Pentacomia distincta", "Pentacomia procera", "Pentacomia proceroides", "Pentacomia skrabali", "Pentacomia smaragdula", "Pentacomia wappesi", "Pentacomia cupriventris", "Pentacomia davidpearsoni", "Garudinistis cumcuneusa", "Pentacomia degandei", "Pentacomia egregia", "Pentacomia horni", "Pentacomia lanei", "Pentacomia nigrimarginata", "Pentacomia sericina", "Pentacomia speculifera", "Pentacomia vallicola", "Pentacomia brevipennis", "Pentacomia brzoskai", "Pentacomia championi", "Pentacomia cupricollis", "Pentacomia drechseli", "Pentacomia gilleti", "Pentacomia lacordairei", "Pentacomia pearsoni", "Pentacomia prepusula", "Coccothrinax yunquensis", "Pentacomia pseudochrysis", "Pentacomia rhytidopteroides", "Pentacomia rugipennis", "Pentacomia ventralis", "Pentagonica abyssinica", "Pentagonica africana", "Pentagonica andrewesi", "Pentagonica angulicollis", "Pentagonica angulipennis", "Pentagonica angustior", "Eutane virginalis", "Pentagonica antennata", "Pentagonica apicalis", "Pentagonica apiceincisa", "Pentagonica atrata", "Pentagonica atricornis", "Pentagonica atripes", "Pentagonica atrorufa", "Pentagonica avicapitis", "Pentagonica batantae", "Pentagonica batesi", "Pentagonica biak", "Pentagonica biangulata", "Eutane margarita", "Pentagonica bicolor", "Pentagonica bifasciata", "Pentagonica bilyi", "Pentagonica bipartita", "Pentagonica blanda", "Perileptus minutus", "Perileptus morimotoi", "Perileptus naraensis", "Diduga nota", "Bacidia cylindrophora", "Diduga amoenusa", "Palliduphantes cortesi", "Palliduphantes gypsi", "Perileptus platypterus", "Perileptus pusillus", "Perileptus robustus", "Perileptus rutilus", "Perileptus shakletoni", "Perileptus stierlini", "Perileptus wollastoni", "Perileptus constrictipes", "Perileptus jedlickai", "Perileptus minimus", "Perileptus promontorii", "Perileptus sloanei", "Perileptus subopacus", "Perileptus testaceus", "Perileptus westralis", "Peripristus ater", "Perissostomus palpalis", "Perissostomus trochantericus", "Perochnoristhus penrithae", "Peronomerus auripilis", "Peronomerus fumatus", "Peronomerus hornabrooki", "Peronomerus nigrinus", "Peronomerus sagitticollis", "Peronomerus xanthopus", "Perucharidius andinus", "Perigona bigener", "Perigona bolmi", "Perigona borneensis", "Perigona brachypennis", "Perigona breviuscula", "Perigona brunnea", "Perigona castanea", "Perigona celebensis", "Perigona columbiana", "Perigona convexicollis", "Perigona coquerelii", "Perigona cordata", "Perigona cordicollis", "Perigona crockerensis", "Perigona darlingtoni", "Perigona denticulata", "Perigona drumonti", "Perigona dumogae", "Perigona erythroma", "Perigona exigua", "Perigona fakfak", "Perigona flavosuturata", "Perigona fusciceps", "Perigona glabripennis", "Perigona guadeloupensis", "Perigona inquilina", "Perigona irregularis", "Perigona jacobsoni", "Perigona kaimanae", "Perigona kitchingi", "Perigona laevilateris", "Perigona lata", "Perigona latibasis", "Perigona lawrencei", "Hectobrocha pentacyma", "Perigona livens", "Perigona lutea", "Perigona macrops", "Perigona malayensis", "Perigona malayica", "Perigona mediornata", "Perigona melanocephala", "Perigona microphthalma", "Perigona microps", "Perigona minor", "Perigona moluccensis", "Perigona montisferrei", "Perigona morobe", "Perigona muehlei", "Perigona nigricollis", "Perigona nigrifrons", "Perigona nigrociliata", "Perigona nigromarginata", "Perigona nitidicollis", "Perigona obscuriceps", "Perigona obtusangula", "Perigona ozaenoides", "Perigona pallida", "Perigona papuana", "Perigona paralivens", "Perigona parallela", "Hectobrocha adoxa", "Perigona parvicollis", "Pericompsus diabalius", "Pericompsus elegantulus", "Pericompsus ephippiatus", "Pericompsus eubothrus", "Pericompsus gracilior", "Pericompsus grossepunctatus", "Pericompsus hirsutus", "Pericompsus histrionellus", "Pericompsus incisus", "Pericompsus jamcubanus", "Pericompsus jucundus", "Pericompsus laetulus", "Pericompsus leechi", "Pericompsus longulus", "Pericompsus micropegasus", "Pericompsus morantensis", "Pericompsus nevermanni", "Pericompsus nonandinus", "Pericompsus pauli", "Pericompsus pegasus", "Pericompsus philipi", "Pericompsus picticornis", "Pericompsus polychaetus", "Pericompsus prionomus", "Pericompsus reichei", "Pericompsus rorschachinus", "Pericompsus sagma", "Pericompsus sellatus", "Pericompsus silicis", "Pericompsus stenocitharus", "Pericompsus subincisus", "Pericompsus tetraphalarus", "Pericompsus tlaloc", "Pericompsus univittatus", "Pericompsus bogani", "Pericompsus habitans", "Pericompsus olliffi", "Pericompsus pubifrons", "Pericompsus punctipennis", "Pericompsus semistriatus", "Pericompsus seticollis", "Pericompsus yarrensis", "Peridexia fulvipes", "Peridexia hilaris", "Perigona gerardi", "Perigona congoana", "Perigona rotundicollis", "Perigona uluguruana", "Perigona grandis", "Perigona procera", "Perigona rex", "Perigona laevigata", "Perigona sexstriata", "Perigona vixstriata", "Perigona acupalpoides", "Perigona affinis", "Perigona andrewesi", "Perigona angustata", "Perigona angustibasis", "Perigona angustimargo", "Perigona arrowi", "Perigona aterrima", "Perigona picea", "Perigona picipennis", "Perigona plagiata", "Perigona plesia", "Perigona plesioides", "Perigona praecisa", "Perigona principensis", "Perigona proxima", "Perigona punctatostriata", "Perigona pygmaea", "Perigona queenslandica", "Perigona rectangula", "Perigona retropunctata", "Perigona riedeli", "Perigona rossi", "Perigona rubida", "Perigona rubricincta", "Hectobrocha multilinea", "Perigona rufa", "Perigona rufescens", "Perigona ruficollis", "Perigona rufilabris", "Perigona rufocastanea", "Perigona schuelkei", "Perigona semiflava", "Perigona serica", "Perigona similis", "Perigona sinuata", "Perigona sinuaticollis", "Perigona sororcula", "Hectobrocha subnigra", "Perigona spadicea", "Perigona striatipennis", "Perigona subcordata", "Perigona subcyanescens", "Perigona subrufa", "Perigona sulcatipennis", "Perigona suturalis", "Perigona suturella", "Perigona taiwanensis", "Perigona tozeria", "Perigona transgrediens", "Perigona tricolor", "Perigona ullrichi", "Perigona wachteli", "Perigona wrasei", "Perigona yasumatsui", "Perigona zanzibarica", "Perigona endogaea", "Perigona leleupi", "Perigona luberoensis", "Perigona bembidioides", "Perigona descarpentriesi", "Perigona deuvei", "Perigona heterodera", "Perigona kivuana", "Perigona maynei", "Perigona milicola", "Perigona prasina", "Perigona ranomafanae", "Perigona ruandana", "Perigona schoutedeni", "Perigona viridimicans", "Perigona africana", "Perigona angolana", "Perigona cordens", "Perigona dentifera", "Perigona dorsata", "Perigona erimae", "Perigona hajeki", "Perigona hirtella", "Perigona ituriana", "Perigona katonae", "Perigona lebioides", "Perigona ludovici", "Perigona minuscula", "Perigona obscurata", "Perigona pallipennis", "Perigona panganica", "Perigona picta", "Perigona pubescens", "Perigona schmitzi", "Perigona tronqueti", "Perigona tumbana", "Perigona elgonensis", "Perigona tonkinensis", "Perigona termitis", "Perigona franzi", "Perigona infuscata", "Perigona litura", "Perileptus birmanicus", "Perileptus cameroni", "Perileptus convexicollis", "Perileptus latimargo", "Diduga spinosusa", "Perileptus darlingtoni", "Perileptus pilifer", "Perileptus africanus", "Perileptus areolatus", "Perileptus asahinai", "Perileptus barberae", "Perileptus boettcheri", "Perileptus ceylanicus", "Perileptus columbus", "Perileptus cylindricollis", "Perileptus cylindriformis", "Perileptus davidsoni", "Perileptus denticollis", "Perileptus dentifer", "Perileptus grandicollis", "Perileptus hesperidum", "Perileptus humidus", "Perileptus imaicus", "Perileptus indicus", "Perileptus japonicus", "Perileptus jeanneli", "Perileptus jelineki", "Perileptus larueei", "Perileptus laticeps", "Perileptus ledouxi", "Perileptus leleupi", "Perileptus madecassus", "Perileptus mameti", "Perileptus melas", "Perileptus mesasiaticus", "Perileptus microps", "Percus stultus", "Pericalus angusticollis", "Pericalus atricornis", "Pericalus cuprascens", "Pericalus depressus", "Pericalus figuratus", "Pericalus gratus", "Pericalus klapperichi", "Pericalus laetus", "Pericalus levifrons", "Pericalus magnus", "Pericalus nigripes", "Pericalus novaeirlandiae", "Pericalus philippinus", "Pericalus picturatus", "Pericalus quadrimaculatus", "Pericalus robustus", "Pericalus signatus", "Pericalus tetrastigma", "Pericalus undatus", "Pericalus xanthopus", "Pericalus aeneipennis", "Pericalus amplus", "Pericalus cicindeloides", "Pericalus cordicollis", "Pericalus distinctus", "Pericalus dux", "Pericalus fascinator", "Pericalus formosanus", "Pericalus funestus", "Pericalus guttatus", "Pericalus imitator", "Pericalus longicollis", "Pericalus ornatus", "Pericalus violaceus", "Pericompsus bilbo", "Pericompsus brasiliensis", "Pericompsus commotes", "Pericompsus crossarchon", "Pericompsus crossodmos", "Pericompsus dynastes", "Pericompsus gongylus", "Pericompsus immaculatus", "Pericompsus jeppeseni", "Pericompsus leucocarenus", "Pericompsus metallicus", "Pericompsus reticulatus", "Pericompsus tolype", "Pericompsus acon", "Pericompsus alcimus", "Pericompsus amygdali", "Pericompsus anassa", "Pericompsus andinus", "Pericompsus callicalymma", "Pericompsus carinatus", "Pericompsus catamarcensis", "Pericompsus centroplagiatus", "Pericompsus circuliformis", "Pericompsus clitellaris", "Pericompsus concinnus", "Pericompsus crossotus", "Dendrobium elliottianum", "Bacidina lacerata", "Bacidina medialis", "Cryosophila kalbreyeri", "Crassicrus bidxigui", "Petrimagnia horricoma", "Peyrieraselus relictus", "Phacocerus piceus", "Phaenaulax nanus", "Phaeoxantha aequinoctialis", "Phaeoxantha bucephala", "Phaeoxantha cruciata", "Phaeoxantha epipleuralis", "Phaeoxantha klugii", "Phaeoxantha laminata", "Phaeoxantha lindemannae", "Phaeoxantha nocturna", "Phaeoxantha testudinea", "Phaeoxantha tremolerasi", "Phaeoxantha wimmeri", "Phanagnathus overlaeti", "Pheggomisetes buresi", "Pheggomisetes globiceps", "Pheggomisetes radevi", "Pheropsophus acutecostatus", "Pheropsophus bipartitus", "Pheropsophus aequinoctialis", "Pheropsophus biplagiatus", "Pheropsophus debauvii", "Pheropsophus ecuadorensis", "Pheropsophus langenhani", "Pheropsophus platycephalus", "Pheropsophus rivierii", "Pheropsophus abbreviatus", "Pheropsophus abyssinicus", "Pheropsophus adrianae", "Pheropsophus africanus", "Pheropsophus akhaensis", "Pheropsophus alexandrae", "Pheropsophus amnicola", "Pheropsophus andrewesi", "Pheropsophus androyanus", "Pheropsophus angolensis", "Pheropsophus aptinoides", "Pheropsophus aptinomorphus", "Pheropsophus arcanus", "Pheropsophus assimilis", "Pheropsophus baehri", "Pheropsophus baliothorax", "Pheropsophus balkei", "Pheropsophus basiguttatus", "Pheropsophus beauvoisi", "Pheropsophus beckeri", "Pheropsophus bequaerti", "Pheropsophus bidoupensis", "Pheropsophus bimaculatus", "Pheropsophus bisulcatus", "Pheropsophus bohemani", "Pheropsophus borkuanus", "Pheropsophus brussinoi", "Pheropsophus canis", "Pheropsophus capensis", "Pheropsophus capitatus", "Pheropsophus cardoni", "Pheropsophus catoirei", "Pheropsophus catulus", "Pheropsophus chaudoiri", "Pheropsophus chinensis", "Pheropsophus cincticollis", "Pheropsophus cinctus", "Pheropsophus claudiae", "Pheropsophus congoensis", "Pheropsophus consularis", "Pheropsophus darwini", "Pheropsophus delmastroi", "Pheropsophus dilatatus", "Pheropsophus dimidiatus", "Pheropsophus discicollis", "Pheropsophus dregei", "Pheropsophus dux", "Pheropsophus emarginatus", "Pheropsophus exiguus", "Pheropsophus fastigiatus", "Pheropsophus fulminans", "Pheropsophus fumigatus", "Pheropsophus galloi", "Pheropsophus gironieri", "Pheropsophus globulicollis", "Pheropsophus gracilis", "Pheropsophus gregoryi", "Pheropsophus guanxiensis", "Pheropsophus guineensis", "Pheropsophus halteri", "Pheropsophus hassenteufeli", "Pheropsophus heathi", "Pheropsophus hilaris", "Pheropsophus hispanicus", "Pheropsophus humeralis", "Pheropsophus impressicollis", "Pheropsophus infantulus", "Pheropsophus iranicus", "Pheropsophus jessoensis", "Pheropsophus jurinei", "Pheropsophus kalyakini", "Pheropsophus katangensis", "Pheropsophus kersteni", "Pheropsophus kolbei", "Pheropsophus krichna", "Pheropsophus lafertei", "Pheropsophus laticostis", "Pheropsophus lineifrons", "Pheropsophus lissoderus", "Pheropsophus livingstoni", "Pheropsophus longipennis", "Pheropsophus maculicollis", "Pheropsophus madagascariensis", "Pheropsophus malaisei", "Pheropsophus marginatus", "Pheropsophus marginicollis", "Pheropsophus marginipennis", "Pheropsophus mashunus", "Pheropsophus minahassae", "Pheropsophus minor", "Pheropsophus nanodes", "Pheropsophus nebulosus", "Pheropsophus nepalensis", "Pheropsophus ngoclinhensis", "Pheropsophus nigerrimus", "Pheropsophus nigricollis", "Pheropsophus nigriventris", "Pheropsophus nyasae", "Pheropsophus obliquatus", "Pheropsophus obliteratus", "Pheropsophus occipitalis", "Pheropsophus pallidepunctatus", "Pheropsophus palmarum", "Pheropsophus parallelus", "Pheropsophus pauliani", "Pheropsophus pedes", "Pheropsophus perroti", "Pheropsophus picicollis", "Pheropsophus planti", "Pheropsophus prophylax", "Pheropsophus raffrayi", "Pheropsophus recticollis", "Pheropsophus reductus", "Pheropsophus riedeli", "Pheropsophus rolex", "Pheropsophus rufimembris", "Pheropsophus scythropus", "Pheropsophus senegalensis", "Pheropsophus siamensis", "Pheropsophus similis", "Pheropsophus stenopterus", "Pheropsophus straneoi", "Pheropsophus suensoni", "Pheropsophus tamdaoensis", "Pheropsophus transvaalensis", "Pheropsophus tripustulatus", "Pheropsophus tristis", "Pheropsophus ubomboensis", "Pheropsophus uelensis", "Pheropsophus uniformis", "Pheropsophus verticalis", "Pheropsophus wolfi", "Pheropsophus yunnanensis", "Philipis agnicapitis", "Philipis alpina", "Philipis alticola", "Philipis alutacea", "Philipis atra", "Philipis bicolor", "Philipis castanea", "Philipis cooki", "Philipis distinguenda", "Philipis ellioti", "Philipis frerei", "Philipis geoffreyi", "Philipis heatherae", "Philipis inermis", "Philipis inexspectata", "Philipis laevigata", "Philipis laevis", "Philipis lawrencei", "Philipis lustrans", "Philipis minor", "Philipis perstriata", "Philipis picea", "Philipis picta", "Philipis planicola", "Philipis quadraticollis", "Philipis reticulata", "Disa longicornu", "Calilena arizonica", "Thrinax excelsa", "Philorhizus dacicus", "Philorhizus deceptor", "Philorhizus delottoi", "Philorhizus elliptipennis", "Philorhizus ferranius", "Philorhizus figuratus", "Philorhizus franzi", "Philorhizus fumatus", "Philorhizus gentilis", "Philorhizus incertus", "Philorhizus insignis", "Philorhizus kilimanus", "Philorhizus kirgisicus", "Philorhizus koenigi", "Philorhizus liguricus", "Philorhizus lindbergi", "Philorhizus lompei", "Philorhizus longicollis", "Philorhizus luvubuanus", "Philorhizus mateui", "Philorhizus melanocephalus", "Philorhizus mendizabali", "Philorhizus michailovi", "Philorhizus nonfriedi", "Philorhizus notatus", "Philorhizus occitanus", "Philorhizus oculatus", "Philorhizus optimus", "Philorhizus parvicollis", "Philorhizus paulo", "Philorhizus quadrisignatus", "Philorhizus tianshanicus", "Philorhizus tinauti", "Philorhizus trapezicollis", "Philorhizus tuberculipes", "Philorhizus umbratus", "Philorhizus vectensis", "Philorhizus vieirai", "Philorhizus wollastoni", "Philoscaphus barnardi", "Philoscaphus bicostatus", "Philoscaphus carinatus", "Philoscaphus costalis", "Philoscaphus mastersii", "Philoscaphus tuberculatus", "Phloeocarabus anchoralis", "Phloeocarabus euplenes", "Phloeocarabus farinae", "Phloeocarabus humeralis", "Phloeocarabus mastersii", "Phloeocarabus nigricollis", "Phloeocarabus parviceps", "Phloeocarabus semivittatus", "Phloeoxena bembidioides", "Phloeoxena caudalis", "Phloeoxena concolor", "Phloeoxena davidsoni", "Phloeoxena henryi", "Phloeoxena lamuralla", "Phloeoxena nevermanni", "Phloeoxena turnbowi", "Phloeoxena ashei", "Philipis rufescens", "Philipis ruficollis", "Philipis sinuata", "Philipis spurgeoni", "Philipis striata", "Philipis striatoides", "Philipis subtropica", "Philipis sulcata", "Philipis thompsoni", "Philipis tribulationis", "Philipis trunci", "Philipis unicolor", "Philipis unistriata", "Philipis vicina", "Philipis weiri", "Philodes flavilimbus", "Philodes longulus", "Philodes rectangulus", "Philodes alternans", "Philophlaeus angulatus", "Philophlaeus australasiae", "Philophlaeus australis", "Philophlaeus bivittatus", "Philophlaeus brunnipennis", "Philophlaeus confertus", "Aleochara aerea", "Philophlaeus discorufus", "Philophlaeus distinguendus", "Philophlaeus eucalypti", "Philophlaeus fuscipennis", "Philophlaeus immaculatus", "Philophlaeus intermedius", "Philophlaeus laticollis", "Philophlaeus maculatus", "Philophlaeus moestus", "Philophlaeus monticola", "Philophlaeus myrmecophilus", "Philophlaeus obtusus", "Philophlaeus occidentalis", "Philophlaeus opaciceps", "Philophlaeus ornatus", "Philophlaeus planus", "Philophlaeus puberulus", "Philophlaeus pygmaeus", "Philophlaeus quadripennis", "Philophlaeus rectangulus", "Philophlaeus simsoni", "Philophlaeus sydneyensis", "Philophlaeus unicolor", "Philophlaeus vittatus", "Philophuga brachinoides", "Philophuga caerulea", "Philophuga viridicollis", "Philophuga viridis", "Philorhizus adoxus", "Philorhizus alpinus", "Philorhizus alticola", "Philorhizus atlanticus", "Philorhizus atriceps", "Philorhizus attenuatus", "Philorhizus berberus", "Philorhizus bravoorum", "Philorhizus conicipennis", "Philorhizus crucifer", "Pentagonica maculicornis", "Pentagonica malickyi", "Pentagonica marshalli", "Pentagonica mascarenica", "Pentagonica media", "Pentagonica melancholica", "Pentagonica micans", "Pentagonica montana", "Pentagonica nepalensis", "Pentagonica nigerrima", "Pentagonica nigricornis", "Eutane trimochla", "Pentagonica nigrifemur", "Pentagonica nigripennis", "Pentagonica nigritula", "Pentagonica nitens", "Pentagonica nitidicollis", "Pentagonica novaeguineae", "Pentagonica novairlandica", "Pentagonica obscura", "Pentagonica obscuripes", "Pentagonica ochracea", "Eutane triplagata", "Pentagonica olivacea", "Pentagonica omostigma", "Pentagonica oneili", "Pentagonica orbitalis", "Pentagonica pallipes", "Pentagonica papua", "Pentagonica parapapua", "Pentagonica parviceps", "Pentagonica perrieri", "Pentagonica philipi", "Pentagonica philippinensis", "Pentagonica piceomarginata", "Pentagonica picticornis", "Pentagonica plaumanni", "Pentagonica profemorata", "Pentagonica proxima", "Pentagonica pseudonitens", "Pentagonica quadratipennis", "Pentagonica queenslandica", "Pentagonica riedeli", "Pentagonica roedingeri", "Pentagonica rubra", "Pentagonica rufa", "Pentagonica ruficeps", "Pentagonica ruficollis", "Pentagonica rufopicea", "Pentagonica rufovirgata", "Pentagonica schachti", "Pentagonica scutellaris", "Pentagonica semilaevis", "Pentagonica semisuturalis", "Pentagonica seyrigi", "Pentagonica similis", "Eutane terminalis", "Pentagonica sinuaticollis", "Pentagonica skalei", "Pentagonica soror", "Pentagonica spatulata", "Pentagonica strandi", "Pentagonica subcordicollis", "Pentagonica sumatrensis", "Dabra pallida", "Dabra sulcicollis", "Dabrosoma pubescens", "Dabrosoma subopacum", "Degalliera megaponerae", "Degalliera peetersi", "Delgadoidium ecuatorensis", "Dentazyras hirsutus", "Euscalpellum triflagellum", "Phyzelaphryne nimio", "Orphnebius arachnoides", "Orphnebius cavipennis", "Cyana barlowi", "Cyana johani", "Barsine bornescripta", "Barsine pseudocardinalis", "Barsine nangkwak", "Barsine incompletostriga", "Conradsia ganglbaueri", "Barsine rawanga", "Barsine cardinalis", "Creodonia lujae", "Creodonia angolensis", "Barsine cardinalis cardinalis", "Creodonia malawiensis", "Creodonia nuda", "Barsine cardinalis gemina", "Creodonia delamarei", "Creodonia inermis", "Dabra myrmecophila", "Dabra cuneiformis", "Dabra convexicollis", "Dabra termitophila", "Dabra termitophila victoriensis", "Dabra formicicola", "Chelyocarpus ulei", "Cryosophila guagara", "Staurocalyptus celebesianus", "Centenaria rupacquiana", "Phloeoxena brooksi", "Phloeoxena geniculata", "Phloeoxena newtoni", "Phloeoxena pluto", "Phloeoxena signata", "Phloeoxena totontepec", "Phloeoxena undata", "Phloeoxena viridis", "Phloeoxena turrialba", "Phloeoxena batesi", "Phloeoxena biundata", "Phloeoxena costata", "Phloeoxena dealata", "Phloeoxena imitatrix", "Phloeoxena limbicollis", "Phloeoxena megalops", "Phloeoxena montana", "Phloeoxena nigricollis", "Phloeoxena nitida", "Phloeoxena obscura", "Phloeoxena picta", "Phloeoxena plagiata", "Phloeoxena portoricensis", "Phloeoxena schwarzi", "Phloeoxena herculeano", "Phorticosomus castelnaui", "Phorticosomus crassus", "Phorticosomus edelii", "Phorticosomus felix", "Phorticosomus franzi", "Phorticosomus grandis", "Phorticosomus gularis", "Phorticosomus horni", "Phorticosomus macleayi", "Phorticosomus mucronatus", "Phorticosomus nuytsii", "Phorticosomus piceus", "Phorticosomus randalli", "Phorticosomus robustus", "Phorticosomus rotundatus", "Phorticosomus rugiceps", "Phorticosomus similis", "Phorticosomus zabroides", "Phrypeus rickseckeri", "Phyllodroma luteamaculata", "Physea breyeri", "Physea hirta", "Physea latipes", "Physea setosa", "Catarractodes fusiformis", "Physea testudinea", "Physea tomentosa", "Physeomorpha vianai", "Physocrotaphus ceylonicus", "Physodera andrewesi", "Physodera bacchusi", "Physodera bousqueti", "Physodera chalceres", "Physodera dejeani", "Physodera diglenus", "Physodera eschscholtzii", "Physodera sciakyi", "Physodera unicolor", "Physodeutera andriai", "Crassicrus lamanai", "Crassicrus tochtli", "Crassicrus cocona", "Crassicrus yumkimil", "Cryosophila williamsii", "Hemithrinax compacta", "Hemithrinax ekmaniana", "Calilena angelena", "Calilena magna", "Calilena adna", "Calilena siva", "Calilena restricta", "Calilena gosoga", "Calilena saylori", "Calilena umatilla", "Calilena nita", "Calilena stylophora", "Calilena stylophora stylophora", "Calilena stylophora pomona", "Calilena stylophora laguna", "Calilena stylophora oregona", "Lygodactylus pauliani", "Dabra nitida", "Physodeutera antsalovensis", "Physodeutera boraensis", "Physodeutera dorri", "Physodeutera flagellicornis", "Physodeutera pseudotrimaculata", "Physodeutera rectipenis", "Physodeutera skrabali", "Physodeutera vybirali", "Physodeutera belalonensis", "Physodeutera megalommoides", "Physodeutera taniae", "Physodeutera alluaudi", "Physodeutera catalai", "Physodeutera janthina", "Physodeutera maxima", "Physodeutera murzini", "Physodeutera natalia", "Physodeutera perrieri", "Physodeutera ranomafanensis", "Physodeutera tricolorata", "Physodeutera viridicyanea", "Physodeutera gigantea", "Physodeutera biguttula", "Physodeutera bucephala", "Physodeutera centropunctata", "Physodeutera longilabialis", "Physodeutera marginemaculata", "Physodeutera peyrierasi", "Physodeutera punctipennis", "Physodeutera rectolabialis", "Physodeutera virgulata", "Physodeutera kamilmoraveci", "Physodeutera adonis", "Physodeutera bellula", "Physodeutera cassolai", "Physodeutera consimilis", "Physodeutera cyanea", "Physodeutera debilis", "Physodeutera didysilvae", "Physodeutera fairmairei", "Physodeutera intermedia", "Physodeutera lateralis", "Physodeutera minima", "Physodeutera mocquerysi", "Physodeutera parcepunctata", "Physodeutera perroti", "Physodeutera pokornyi", "Physodeutera pseudorubescens", "Physodeutera punctum", "Physodeutera rubescens", "Physodeutera rufosignata", "Physodeutera sobrina", "Physodeutera subrufosignata", "Physodeutera trimaculata", "Physodeutera truncatipenis", "Physodeutera umbrosa", "Physodeutera uncifera", "Physodeutera uniguttata", "Physodeutera vadoni", "Physodeutera conturbata", "Physodeutera lobicornis", "Physodeutera sikorai", "Physodeutera subtilevelutina", "Physodeutera sulcoprothoracica", "Picnochile fallaciosa", "Piesmus submarginatus", "Piezia algoensis", "Piezia alternata", "Piezia angulata", "Piezia angusticollis", "Piezia apicemaculata", "Piezia aptinoides", "Piezia axillaris", "Piezia beirensis", "Piezia emarginata", "Piezia kuntzeni", "Piezia licita", "Piezia livingstoni", "Piezia mashuna", "Piezia pilosevittata", "Piezia quinquesignata", "Piezia selousi", "Piezia spinulae", "Piezia suturata", "Pilades coquerelii", "Pilades ferus", "Pilades sakalava", "Pilades seyriganus", "Pilbaranillus latibasis", "Pinacodera abbreviata", "Pinacodera ampliata", "Pinacodera atripennis", "Pinacodera atrolucens", "Pinacodera basipunctata", "Pinacodera blanda", "Pinacodera chalcea", "Pinacodera chevrolati", "Pinacodera complanata", "Pinacodera cribrata", "Pinacodera laevior", "Pinacodera latiuscula", "Pinacodera limbata", "Pinacodera obscura", "Pinacodera platicollis", "Pinacodera punctifera", "Pinacodera punctigera", "Pinacodera ruficornis", "Pinacodera rufostigma", "Pinacodera semisulcata", "Pinacodera subcarinata", "Pinacodera sulcipennis", "Pionycha maculata", "Pionycha pallens", "Pionycha tristis", "Pioprosopus aemulus", "Pioprosopus bottoi", "Pioprosopus discrepans", "Pioprosopus milloti", "Pioprosopus morio", "Piosoma setosum", "Plagiopyga camerunica", "Plagiopyga chaudoiri", "Plagiopyga cyclogona", "Plagiopyga cymindoides", "Plagiopyga dolichocephala", "Plagiopyga endroedyi", "Plagiopyga ferruginea", "Plagiopyga leleupi", "Orphnebius dohertyi", "Orphnebius excellens", "Orphnebius impressipennis", "Orphnebius minarzi", "Orphnebius rufocastanea", "Orphnebius superbus", "Orphnebius terminalis", "Orphnebius drescheri", "Orphnebius magniceps", "Itaya amicorum", "Dinocoryna bisinuata", "Dinocoryna akrei", "Dinocoryna arizonensis", "Dinocoryna carolinensis", "Dinocoryna tibialis", "Sabinaria magnifica", "Senna pallida var. quiedondilla", "Nereis sandersi", "Senna pallida var. tuerckheimiana", "Senna pallida var. triquetripes", "Plagiopyga lissodera", "Plagiopyga namaqua", "Plagiopyga rufa", "Plagiopyga taterae", "Plagiopyga transvaalensis", "Plagiotelum irinum", "Plagiotelum opalescens", "Planetes elegans", "Planetes formosanus", "Planetes indicus", "Planetes minimus", "Planetes angusticollis", "Planetes australis", "Planetes bimaculatus", "Planetes bipartitus", "Planetes congobelgicus", "Planetes cordens", "Planetes gerardi", "Planetes humeralis", "Planetes kasaharai", "Planetes limbatus", "Planetes lineolatus", "Planetes magelae", "Planetes millstreamensis", "Planetes muiri", "Planetes multicostulatus", "Planetes obiensis", "Planetes pendleburyi", "Planetes puncticeps", "Planetes quadricollis", "Planetes ruficeps", "Planetes ruficollis", "Planetes secernendus", "Planetes simplex", "Platidiolus borealis", "Platidiolus brinevi", "Platidiolus nazarenkoi", "Platidiolus rufus", "Platidiolus vandykei", "Platyagonum esakii", "Platyagonum pseudamphinomus", "Platycerozaena bordoni", "Platycerozaena brevicornis", "Platycerozaena magna", "Platycerozaena panamensis", "Cyana kasperi", "Cyana ridleyi", "Cyana ridleyi ridleyi", "Cyana ridleyi siberuta", "Cyana ridleyi roberti", "Cyana martinii", "Cyana paukstadti", "Cyana maaikeae", "Cyana juliettae", "Cyana weerawoothi", "Pentagonica suturalis", "Pentagonica taiwanensis", "Pentagonica tekadu", "Pentagonica tolgae", "Pentagonica transgrediens", "Pentagonica trimaculata", "Pentagonica trivittata", "Pentagonica trukensis", "Pentagonica vadoni", "Pentagonica varicornis", "Pentagonica venusta", "Pentagonica vicina", "Pentagonica vietnami", "Pentagonica vittula", "Pentagonica vixreticulata", "Pentagonica wallaceensis", "Pentagonica weigeli", "Pentaplatarthrus schoutedeni", "Pentaplatarthrus bottegi", "Pentaplatarthrus dollmanni", "Pentaplatarthrus focki", "Pentaplatarthrus gestroi", "Pentaplatarthrus natalensis", "Pentaplatarthrus paussoides", "Pentaplatarthrus vandamii", "Penthophonus astutus", "Penthophonus glasunovi", "Penthophonus peyroni", "Penthophonus solitarius", "Penthophonus taygetanus", "Penthus tenebrioides", "Pephrica aequatoria", "Pephrica africana", "Pephrica howa", "Pephrica longefasciata", "Pephrica picea", "Pephrica trimaculata", "Percodermus niger", "Percolaus championi", "Percolaus guillermo", "Percolestus blackburni", "Percosoma asymmetricum", "Percosoma carenoides", "Percosoma sulcipenne", "Percus andreinii", "Percus bilineatus", "Percus corrugatus", "Percus corsicus", "Percus cylindricus", "Percus dejeanii", "Percus espagnoli", "Percus grandicollis", "Percus lineatus", "Percus passerinii", "Percus paykullii", "Percus plicatus", "Percus reichei", "Percus strictus", "Percus villae", "Percus guiraoi", "Percus patruelis", "Percus politus", "Platyderus ferrantei", "Platyderus filicornis", "Platyderus formenterae", "Platyderus gallaecus", "Platyderus gazureki", "Platyderus graecus", "Platyderus grandiceps", "Platyderus gregarius", "Platyderus haberhaueri", "Platyderus incertans", "Platyderus insignitus", "Platyderus itziarae", "Platyderus jeannei", "Platyderus jedlickai", "Platyderus juncoi", "Platyderus lancerottensis", "Platyderus languidus", "Platyderus ledouxi", "Platyderus lencinai", "Platyderus leonensis", "Platyderus lombardii", "Platyderus lusitanicus", "Platyderus magrinii", "Platyderus majoricus", "Platyderus marduk", "Platyderus marianicus", "Platyderus mateui", "Platyderus migelangeli", "Platyderus minutus", "Platyderus moncayensis", "Platyderus montanellus", "Platyderus namrun", "Platyderus neapolitanus", "Platyderus notatus", "Platyderus ortunoi", "Platyderus otini", "Platyderus paganettii", "Platyderus portalegrae", "Platyderus preciosae", "Platyderus punctiger", "Platyderus pyrenaeus", "Platyderus quadricollis", "Platyderus quezeli", "Platyderus reticulatus", "Platyderus robustoides", "Platyderus robustus", "Platyderus rotundatus", "Platyderus rufus", "Platyderus ruizi", "Platyderus saezi", "Platyderus sagrensis", "Platyderus salmantinus", "Platyderus schuberti", "Platyderus sciakyi", "Platyderus sinensis", "Platyderus skoupyi", "Platyderus solissimus", "Platyderus speleus", "Platyderus subcrenatus", "Platyderus tadzhikistanus", "Platyderus taghizadehi", "Platyderus testaceus", "Platyderus toribioi", "Trithrinax brasiliensis var. acanthocoma", "Platychile pallida", "Platycoelus archboldi", "Platycoelus biroi", "Platycoelus brigalowphilus", "Platycoelus caledonicus", "Platycoelus chongheeae", "Platycoelus depressus", "Platycoelus hermes", "Platycoelus interstitialis", "Platycoelus irideomicans", "Platycoelus jedlickai", "Platycoelus major", "Platycoelus melliei", "Platycoelus orion", "Platycoelus planipennis", "Platycoelus poeciloides", "Platycoelus politissimus", "Platycoelus politus", "Platycoelus prolixus", "Platycoelus sulcatulus", "Platyderus akkus", "Platyderus algesiranus", "Platyderus alhamillensis", "Platyderus alticola", "Platyderus anandi", "Platyderus anatolicus", "Platyderus aragonicus", "Platyderus asturiensis", "Platyderus atticus", "Platyderus balearicus", "Platyderus barrosi", "Platyderus barsevskisi", "Platyderus berlovorum", "Platyderus beseanus", "Platyderus bolivari", "Platyderus breuili", "Platyderus calathoides", "Platyderus casalei", "Platyderus caucasicus", "Platyderus chodjaii", "Platyderus coiffaiti", "Platyderus corcyreus", "Platyderus crypticola", "Platyderus cyprius", "Platyderus cyrtensis", "Platyderus dalmatinus", "Platyderus davatchii", "Platyderus dejeani", "Platyderus depressus", "Platyderus dertosensis", "Platyderus elegans", "Platyderus ellipticus", "Platyderus emblema", "Platyderus espanoli", "Platynus dianus", "Platynus eulabes", "Platynus ferghanicus", "Platynus fur", "Platynus glacialis", "Platynus grassator", "Platynus hypolithos", "Platynus immarginatus", "Platynus incisus", "Platynus kazuyoshii", "Platynus kleebergi", "Platynus komarovi", "Platynus kucerai", "Platynus lindrothi", "Platynus livens", "Platynus magnus", "Platynus nuceus", "Platynus peirolerii", "Platynus praedator", "Platynus prognathus", "Platynus protensus", "Platynus proximus", "Platynus rarus", "Platynus rougemonti", "Platynus satsunanus", "Platynus schnitteri", "Platynus scrobiculatus", "Platynus sexualis", "Platynus staveni", "Platynus takabai", "Platynus teriolensis", "Platynus trisetosus", "Platynus ustus", "Platynus viator", "Platynus willbergi", "Platynus zengae", "Platynus agilis", "Platynus pecki", "Platynus districtus", "Platynus logicus", "Platynus montezumae", "Platynus tolucensis", "Platynus assimilis", "Platynus brunneomarginatus", "Platynus decentis", "Platynus fukiensis", "Platynus indecentis", "Platynus klausnitzeri", "Platynus klickai", "Platynus krynickii", "Platynus lyratus", "Platynus opaculus", "Platynus ovipennis", "Platynus parmarginatus", "Platynus setiporus", "Platynus subovatus", "Platynus tenuicollis", "Platynus trifoveolatus", "Platynus wassulandi", "Platynus umbripennis", "Platynus aeneicauda", "Platynus cohni", "Platynus conicicollis", "Platynus inops", "Platynus acuniai", "Platynus aeneosetosus", "Platynus aguadensis", "Platynus altifluminis", "Platynus amone", "Platynus andrewesi", "Platynus arboreus", "Platynus ballorum", "Platynus baragua", "Platynus baroni", "Platynus biramosus", "Platynus bromeliarum", "Platynus bruesi", "Platynus bruneri", "Platynus bruskelchus", "Platynus bucheri", "Platynus calathinus", "Platynus carabiai", "Platynus cavatus", "Platynus cavicola", "Platynus christophe", "Platynus cinchonae", "Platynus constricticeps", "Platynus consularis", "Platynus convexulus", "Platynus cubensis", "Platynus cyanodorsalis", "Platynus cychrinus", "Platynus darlingtoni", "Platynus deuvei", "Platynus dilatipes", "Platynus eupunctatus", "Platynus faber", "Platynus fractilateralis", "Platynus fractilinea", "Platynus franiai", "Platynus fratrorum", "Platynus grandicollis", "Platynus haemorrhous", "Platynus hamatus", "Platynus henvelus", "Platynus herculeanus", "Platynus isthmiacus", "Platynus jaegeri", "Platynus jamaicae", "Platynus laeviceps", "Platynus leiroides", "Platynus lewisi", "Platynus lineopunctatus", "Platynus macer", "Platynus marcus", "Platynus matsumurai", "Platynus mediopterus", "Platynus medius", "Platynus meurguesae", "Platynus meurguesianus", "Platynus pakistanensis", "Platynus panamensis", "Platynus parallelosomus", "Platynus pinarensis", "Platynus platynidioides", "Platynus punctus", "Platynus pygmaeus", "Platynus ramoni", "Platynus rastafarius", "Platynus richteri", "Platynus robustus", "Platynus roysi", "Platynus rubrofemoratus", "Platynus santarosae", "Platynus scriptellus", "Platynus scriptus", "Platynus stricticollis", "Platynus strictinotum", "Platynus subangustus", "Platynus subcordens", "Platynus subovalis", "Platynus tasmantus", "Platynus tipoto", "Platynus transcibao", "Platynus tropicus", "Platynus turberensis", "Platynus turquinensis", "Platynus vagepunctatus", "Platynus visitor", "Platynus wolla", "Platypatrobus lacustris", "Platyrhopalopsis badgleyi", "Platyrhopalopsis meleii", "Platyrhopalopsis picteti", "Platyrhopalus acutidens", "Platyrhopalus cardoni", "Platyrhopalus castelnaudi", "Platyrhopalus comottii", "Platyrhopalus davidis", "Platyrhopalus denticornis", "Platyrhopalus imadatei", "Platyrhopalus intermedius", "Platyrhopalus irregularis", "Platyrhopalus mandersi", "Platyrhopalus paussoides", "Platyrhopalus quinquepunctatus", "Platyrhopalus tonkinensis", "Platyrhopalus westwoodii", "Platyrhopalus apicalis", "Platyrhopalus tridens", "Platysphyrus tibialis", "Platytarus boysii", "Platytarus bucculentus", "Platytarus bufo", "Platytarus compsus", "Platytarus congobelgicus", "Platytarus dicraeus", "Platytarus faminii", "Platytarus gracilis", "Platytarus planulatus", "Platytarus porcatus", "Platytarus reichei", "Platytarus tessellatus", "Platyxythrius bertrandi", "Platyxythrius cavicola", "Platyxythrius clarkei", "Calilena gertschi", "Platyxythrius contractus", "Platyxythrius gigas", "Platyxythrius insularis", "Platyxythrius jeanneli", "Poecilus pertusus", "Poecilus pharao", "Poecilus subsimilis", "Poecilus syriensis", "Poecilus wollastoni", "Poecilus purpurascens", "Poecilus abditus", "Poecilus advena", "Poecilus aralensis", "Poecilus bokori", "Poecilus gobiensis", "Poecilus gurjevae", "Poecilus hanhaicus", "Poecilus innatus", "Poecilus ispulensis", "Poecilus jakutorum", "Poecilus jarkendis", "Poecilus kizbaiensis", "Poecilus koslovi", "Poecilus major", "Poecilus mesembrinus", "Poecilus nearcticus", "Poecilus ravus", "Poecilus samojedorum", "Poecilus songinus", "Poecilus tarimensis", "Poecilus tengrensis", "Poecilus toxanbaicus", "Poecilus urgens", "Poecilus zhicharevi", "Poecilus bogatshevi", "Poecilus lyroderus", "Poecilus pantanellii", "Poecilus coarctatus", "Poecilus decipiens", "Poecilus aerarius", "Poecilus akinini", "Poecilus alexandrae", "Poecilus alutaceus", "Poecilus anatolicus", "Poecilus anodon", "Poecilus aztecus", "Poecilus balassogloi", "Poecilus batesianus", "Poecilus beesoni", "Poecilus bonvoisini", "Poecilus chalcites", "Poecilus chinensis", "Poecilus coloradensis", "Poecilus corvus", "Poecilus crenulatus", "Poecilus crimeanus", "Poecilus cursitor", "Poecilus cursorius", "Poecilus cyanicolor", "Poecilus diplophryus", "Poecilus excellens", "Poecilus festivus", "Poecilus fortipes", "Poecilus gaturs", "Platyxythrius laevicollis", "Platyxythrius latiusculus", "Platyxythrius luluanus", "Platyxythrius major", "Platyxythrius marginalis", "Platyxythrius parumpunctatus", "Platyxythrius pradieri", "Platyxythrius robustus", "Platyxythrius sinuaticollis", "Platyxythrius subrobustus", "Platyxythrius usambarensis", "Platyxythrius vanmoli", "Platyxythrius westermanni", "Plaumannium denticolle", "Plesioaphaenops annae", "Plesioglymmius compactus", "Plesioglymmius meridionalis", "Plesioglymmius reichardti", "Plesioglymmius jugatus", "Plesioglymmius negara", "Calilena yosemita", "Plesioglymmius elegans", "Plesioglymmius moorei", "Plesioglymmius silus", "Pleuracanthus inca", "Pleuracanthus psittacus", "Pleuracanthus sulcipennis", "Pleuracanthus tridens", "Plicagonum fulvum", "Plicagonum kaindi", "Plicagonum rugifrons", "Plochionus amandus", "Plochionus bicolor", "Plochionus circumseptus", "Plochionus faviger", "Plochionus formosus", "Plochionus gounellei", "Plochionus incultus", "Plochionus monogrammus", "Plochionus pictipennis", "Plochionus pictus", "Plochionus rufocruciatus", "Plochionus timidus", "Plochionus vittula", "Plochionus niger", "Plochionus pallens", "Plochionus quadripustulatus", "Poecilinus madecassus", "Poecilus aegyptius", "Poecilus aeneolus", "Poecilus baeticus", "Poecilus campania", "Poecilus dissors", "Poecilus gisellae", "Poecilus grumi", "Poecilus hafezi", "Poecilus houskai", "Poecilus iranicus", "Poecilus kabulensis", "Poecilus kekesiensis", "Poecilus laevicollis", "Poecilus muchei", "Poecilus nitidus", "Poecilus peregrinus", "Poecilus gebleri", "Poecilus gotschii", "Poecilus ilgazdensis", "Poecilus korbi", "Poecilus koyi", "Poecilus kugelanni", "Poecilus laetulus", "Poecilus laevigatus", "Poecilus lamproderus", "Poecilus liosomus", "Poecilus longiventris", "Poecilus lucasii", "Poecilus lucublandus", "Poecilus mexicanus", "Poecilus mongoliensis", "Poecilus nemotoi", "Poecilus nigripalpis", "Poecilus nitidicollis", "Poecilus occidentalis", "Poecilus oirat", "Poecilus polychromus", "Poecilus prasinotinctus", "Poecilus pucholti", "Poecilus punctibasis", "Poecilus punctulatus", "Poecilus quadricollis", "Poecilus rebeli", "Poecilus reflexicollis", "Poecilus reicheianus", "Poecilus samurai", "Poecilus scitulus", "Poecilus sericeus", "Poecilus slivkini", "Poecilus soederbomi", "Poecilus spectus", "Poecilus stenoderus", "Poecilus striatopunctatus", "Poecilus subcoeruleus", "Poecilus szepligetii", "Poecilus texanus", "Poecilus turkestanicus", "Poecilus uygur", "Poecilus versicolor", "Poecilus vicinus", "Poecilus zaballosi", "Poecilus carbonicolor", "Poecilus curtonotoides", "Poecilus effrenus", "Poecilus exilicaudis", "Poecilus gonioderus", "Poecilus grombczewskyi", "Poecilus isfanensis", "Poecilus janthinipennis", "Poecilus kraatzii", "Poecilus leptoderus", "Poecilus melanochrus", "Poecilus ovtshinnikovi", "Poecilus pseudopurpurascens", "Poecilus puer", "Poecilus rostowtzowi", "Poecilus schamsiensis", "Poecilus timuri", "Poecilus tschitscherini", "Pogonostoma zasterai", "Pogonostoma flavopalpale", "Pogonostoma infimum", "Pogonostoma pseudominimum", "Pogonostoma andreevae", "Pogonostoma andrei", "Pogonostoma basale", "Pogonostoma basidilatatum", "Pogonostoma beananae", "Pogonostoma deuvei", "Pogonostoma dohnali", "Pogonostoma dolini", "Pogonostoma excisoclavipenis", "Pogonostoma fabiocassolai", "Pogonostoma flavomaculatum", "Pogonostoma fleutiauxi", "Pogonostoma geniculatum", "Pogonostoma globulithorax", "Pogonostoma horni", "Pogonostoma humbloti", "Pogonostoma inerme", "Pogonostoma janvybirali", "Pogonostoma juergenwiesneri", "Pogonostoma laportei", "Pogonostoma levisculptum", "Pogonostoma maculicorne", "Pogonostoma mathiauxi", "Pogonostoma minimum", "Pogonostoma moestum", "Pogonostoma parallelum", "Pogonostoma parvulum", "Pogonostoma perexiguum", "Pogonostoma pliskai", "Pogonostoma propripenis", "Pogonostoma pusillum", "Pogonostoma rugosiceps", "Pogonostoma sawadai", "Pogonostoma schaumi", "Pogonostoma sicardi", "Pogonostoma skrabali", "Pogonostoma vybirali", "Pogonostoma zombitsynense", "Pogonostoma ovicolle", "Pogonostoma ranomafanense", "Pogonostoma comptum", "Pogonostoma hirofumii", "Pogonostoma kraatzi", "Pogonostoma perrieri", "Pogonostoma surdum", "Pogonostoma wiesneri", "Pogonostoma sericeum", "Pogonostoma abadiei", "Pogonostoma affine", "Pogonostoma alluaudi", "Pogonostoma andranobense", "Pogonostoma ankaranense", "Pogonostoma atrorotundatum", "Pogonostoma brullei", "Pogonostoma chalybaeum", "Pogonostoma densepunctatum", "Pogonostoma densisculptum", "Pogonostoma differens", "Pogonostoma elegans", "Pogonostoma externospinosum", "Polyrhanis arfakensis", "Polyrhanis aruana", "Polyrhanis barbata", "Polyrhanis bennigsenia", "Polyrhanis boisduvali", "Polyrhanis cheesmanae", "Polyrhanis cristobalica", "Polyrhanis declivis", "Polyrhanis delicata", "Polyrhanis denudata", "Polyrhanis deuvei", "Polyrhanis excisilabris", "Polyrhanis fakfakensis", "Polyrhanis funerata", "Polyrhanis gressitti", "Polyrhanis guineensis", "Polyrhanis holgeri", "Polyrhanis holynskii", "Polyrhanis innocens", "Polyrhanis innocentior", "Polyrhanis jo", "Polyrhanis kampeni", "Polyrhanis kibbyi", "Polyrhanis klynstrai", "Polyrhanis korupuncola", "Polyrhanis latipalpis", "Polyrhanis loriai", "Polyrhanis microgemmea", "Polyrhanis neopupilligera", "Polyrhanis olthofi", "Polyrhanis paulae", "Polyrhanis perrinae", "Polyrhanis placida", "Polyrhanis plurigemmosa", "Polyrhanis postmarginata", "Polyrhanis pseudopupillata", "Polyrhanis pseudopupilligera", "Polyrhanis pupillata", "Polyrhanis pupilligera", "Polyrhanis ribbei", "Polyrhanis riedeli", "Polyrhanis samuelsoni", "Polyrhanis sedlaceki", "Polyrhanis toxopeusi", "Polyrhanis tuberculifera", "Polyrhanis vannideki", "Polyrhanis waigeoensis", "Polyrhanis dabraensis", "Pometon bolivianum", "Pometon singulare", "Ponapagonum dybasi", "Ponapagonum pairoti", "Pontodytes cavazzutii", "Pontonoa gounellei", "Porocara glabrata", "Porocara nigricollis", "Porocara occidentalis", "Porocara punctata", "Porocara ulrichi", "Porocimmerites angustus", "Porocimmerites bisetosus", "Porocimmerites circassicus", "Porocimmerites dentatus", "Porocimmerites imitator", "Pogonus ordossicus", "Pogonus orientalis", "Pogonus pallidipennis", "Pogonus peisonis", "Pogonus perovalis", "Pogonus pueli", "Pogonus punctifrons", "Pogonus reticulatus", "Pogonus riparius", "Pogonus rodolphi", "Pogonus saskiae", "Pogonus sauteri", "Pogonus smaragdinus", "Pogonus submarginatus", "Pogonus sumlini", "Pogonus syriacus", "Pogonus texanus", "Pogonus transfuga", "Pogonus variabilis", "Pogonus vicinus", "Pogonus virens", "Pogonus zietzi", "Polistichus connexus", "Polistichus fasciolatus", "Polistichus inornatus", "Pollicobius raymondi", "Polpochila capitata", "Polpochila erro", "Polpochila aguilari", "Polpochila angularis", "Polpochila barbata", "Polpochila chilensis", "Polpochila darlingtoni", "Polpochila flavipes", "Polpochila hendrichsi", "Polpochila impressifrons", "Polpochila marginalis", "Polpochila minuta", "Polpochila monrosi", "Polpochila nigra", "Polpochila pueli", "Polpochila reticulata", "Polpochila rotundicollis", "Polpochila scaritides", "Polpochila schaumi", "Polpochila sulcata", "Polpochila venezolana", "Polpochila vicina", "Polpochila willineri", "Polyaulacus brunneus", "Polyaulacus kilimanus", "Polyaulacus nigrostriatus", "Polyaulacus pallidus", "Polychaetus dejeani", "Polychaetus egregius", "Polydamasium anomalum", "Polydamasium strandi", "Polyderidius rapoporti", "Polyrhanis vitiensis", "Polyrhanis oceanica", "Polyrhanis ancorifera", "Pogonistes chinensis", "Pogonistes convexicollis", "Pogonistes depressus", "Pogonistes gracilis", "Pogonistes grinevi", "Pogonistes liliputanus", "Pogonistes rufoaeneus", "Pogonistes testaceus", "Pogonodaptus mexicanus", "Pogonodaptus rostratus", "Pogonoglossus augustae", "Pogonoglossus carinipennis", "Pogonoglossus chaudoiri", "Pogonoglossus frater", "Pogonoglossus giganteus", "Pogonoglossus glabricollis", "Pogonoglossus grossulus", "Pogonoglossus horni", "Pogonoglossus inarmatus", "Pogonoglossus inflaticeps", "Pogonoglossus intermedius", "Pogonoglossus laevissimus", "Pogonoglossus latior", "Pogonoglossus latus", "Pogonoglossus major", "Pogonoglossus minor", "Pogonoglossus missai", "Pogonoglossus montanus", "Pogonoglossus obliquus", "Pogonoglossus papua", "Pogonoglossus parvus", "Pogonoglossus physoides", "Pogonoglossus porosus", "Pogonoglossus punctulatus", "Pogonoglossus rufopiceus", "Pogonoglossus schaumii", "Pogonoglossus sciurus", "Pogonoglossus soror", "Pogonoglossus sumatrensis", "Pogonoglossus sylvaticus", "Pogonoglossus tagalus", "Pogonoglossus taylori", "Pogonoglossus torvus", "Pogonoglossus truncatus", "Pogonoglossus unicolor", "Pogonoglossus validicornis", "Pogonopsis pallida", "Pogonoschema pallipes", "Pogonoschema robustius", "Pogonoschema sloanei", "Pogonoschema solidum", "Pogonostoma levigatum", "Pogonostoma anthracinum", "Pogonostoma angustum", "Pogonostoma aureovirescens", "Pogonostoma brevicorne", "Pogonostoma cylindricum", "Pogonostoma gladiator", "Pogonostoma phalangioide", "Pogonostoma caeruleum", "Pogonostoma delphinense", "Pogonostoma mocquerysi", "Pogonostoma nigricans", "Pogonostoma pallipes", "Platyderus torressalai", "Platyderus troglodytes", "Platyderus umbratus", "Platyderus valencianus", "Platyderus varians", "Platyderus vignai", "Platyderus vivesi", "Platyderus vuillefroyi", "Platyderus weiratheri", "Platyderus zaballosi", "Platyderus zagrosensis", "Platyhelluo weiri", "Platylytron amplipenne", "Platymetopsis overali", "Platymetopus brevilabris", "Platymetopus colpophilus", "Platymetopus congestulus", "Platymetopus crenulatus", "Platymetopus cribricollis", "Platymetopus curtulus", "Platymetopus cyaneus", "Platymetopus diversepunctatus", "Platymetopus figuratus", "Platymetopus flavilabris", "Platymetopus guineensis", "Platymetopus indicus", "Platymetopus interpunctatus", "Platymetopus keiseri", "Platymetopus laticeps", "Platymetopus lepidus", "Platymetopus ludificus", "Platymetopus majusculus", "Platymetopus obscuripes", "Platymetopus pictus", "Platymetopus platythorax", "Platymetopus pseudocrenulatus", "Platymetopus quadrimaculatus", "Platymetopus quadrinotatus", "Platymetopus rectangularis", "Platymetopus rugosus", "Platymetopus sakalava", "Platymetopus schoenherri", "Platymetopus seriatus", "Platymetopus straeleni", "Platymetopus subrugosus", "Platymetopus sudanicus", "Platymetopus tessellatus", "Platymetopus tibialis", "Platymetopus tritus", "Platymetopus vestitus", "Platymetopus xanthographus", "Platynodes westermanni", "Platynus algirinus", "Platynus amicorum", "Platynus anatolicus", "Platynus angustatus", "Platynus asper", "Platynus azbleotroades", "Platynus barclayi", "Platynus batesi", "Platynus benardi", "Platynus cincticollis", "Platynus complanatus", "Platynus depressus", "Pristosia sienla", "Pristosia silvanoi", "Pristosia similata", "Pristosia sterbai", "Pristosia striata", "Pristosia strigipennis", "Pristosia suensoni", "Pristosia sulcipennis", "Pristosia szekessyi", "Pristosia szetschuana", "Pristosia taibaishanensis", "Pristosia tenuistriata", "Pristosia thilliezi", "Pristosia tibetana", "Pristosia vigil", "Pristosia viridis", "Pristosia wenxianensis", "Pristosia wrasei", "Pristosia wrzecionkoi", "Pristosia xanthopus", "Pristosia yunnana", "Pristosia zheduoensis", "Probstia triumphalis", "Probstia triumphaloides", "Procletodema parallela", "Procletus aethiopicus", "Procletus biarticulatus", "Procletus comoensis", "Procletus cryptomydis", "Procletus gabunensis", "Procletus mayumbe", "Procletus minor", "Procletus pretorianus", "Procletus sidamoensis", "Procletus singularis", "Procletus subniger", "Procletus tanzaniensis", "Procletus werneri", "Prodiplous businskyi", "Proditomus mirus", "Prodyscherodes pauliani", "Prodyscherus alluaudi", "Prodyscherus androyanus", "Prodyscherus anosyensis", "Prodyscherus australis", "Prodyscherus basilewskyi", "Prodyscherus curtipennis", "Prodyscherus decaryi", "Prodyscherus externus", "Prodyscherus grandidieri", "Prodyscherus granulatus", "Prodyscherus mandibularis", "Prodyscherus meridionalis", "Prodyscherus morondavae", "Prodyscherus nigrita", "Prodyscherus ovatus", "Prodyscherus pluto", "Prodyscherus praelongus", "Prodyscherus pseudomandibularis", "Prodyscherus rapax", "Prodyscherus rugatus", "Prodyscherus sexiessetosus", "Progonochaetus jeanneli", "Progonochaetus ochropus", "Pristosia chambae", "Pristosia championi", "Pristosia chlorodes", "Pristosia clara", "Pristosia colasi", "Pristosia crenata", "Pristosia cupreata", "Pristosia dahud", "Pristosia delavayi", "Pristosia deqenensis", "Pristosia dodensis", "Pristosia dongziensis", "Pristosia elevata", "Pristosia falsicolor", "Pristosia flava", "Pristosia glabella", "Pristosia glacialis", "Pristosia hauseri", "Pristosia heinzi", "Pristosia heyrovskyi", "Pristosia hweisiensis", "Pristosia illustris", "Pristosia impunctata", "Pristosia jedlickai", "Pristosia jureceki", "Pristosia lacerans", "Pristosia lateritia", "Pristosia lateritioides", "Pristosia latistoma", "Pristosia ledouxi", "Pristosia leptodes", "Pristosia leurops", "Pristosia litangensis", "Pristosia macra", "Pristosia magna", "Pristosia maoniushanensis", "Pristosia maoxianensis", "Pristosia meiliensis", "Pristosia meridionalis", "Pristosia minutalis", "Pristosia miwai", "Pristosia morvani", "Pristosia nanpingicus", "Pristosia nepalensis", "Pristosia nitidula", "Pristosia nitouensis", "Pristosia nubilipenissoides", "Pristosia nubilipennis", "Pristosia oblonga", "Pristosia opaca", "Pristosia picea", "Pristosia picescens", "Pristosia pingwuensis", "Pristosia potanini", "Pristosia proxima", "Pristosia przewalskii", "Pristosia purkynei", "Pristosia purpurea", "Pristosia qiaojiacensis", "Pristosia quadricolor", "Pristosia reitteri", "Pristosia robusta", "Pristosia schnelli", "Pristosia sciakyi", "Pseudagonica incerta", "Pseudagonica latibasis", "Pseudagonica longipennis", "Pseudagonica macrops", "Pseudagonica minuta", "Pseudagonica montisfusci", "Pseudagonica nitida", "Pseudagonica obscuripes", "Pseudagonica orbitalis", "Pseudagonica spinosa", "Pseudamara arenaria", "Pseudamblytelus orbicollis", "Pseudanchomenus aptinoides", "Pseudanillus cephalotes", "Pseudanillus elegantulus", "Pseudanillus laticeps", "Pseudanillus magdalenae", "Pseudanillus marocanus", "Pseudanillus pastorum", "Pseudanisotarsus nicki", "Pseudanophthalmus acherontis", "Pseudanophthalmus alabamae", "Pseudanophthalmus assimilis", "Pseudanophthalmus audax", "Pseudanophthalmus avernus", "Pseudanophthalmus barberi", "Pseudanophthalmus barri", "Pseudanophthalmus beakleyi", "Pseudanophthalmus bendermani", "Pseudanophthalmus brevis", "Pseudanophthalmus calcareus", "Pseudanophthalmus catherinae", "Pseudanophthalmus catoryctos", "Pseudanophthalmus cerberus", "Pseudanophthalmus chthonius", "Pseudanophthalmus ciliaris", "Pseudanophthalmus cnephosus", "Pseudanophthalmus conditus", "Pseudanophthalmus cordicollis", "Pseudanophthalmus cumberlandus", "Pseudanophthalmus darlingtoni", "Pseudanophthalmus deceptivus", "Pseudanophthalmus delicatus", "Pseudanophthalmus desertus", "Pseudanophthalmus digitus", "Pseudanophthalmus egberti", "Pseudanophthalmus elevatus", "Pseudanophthalmus elongatus", "Pseudanophthalmus emersoni", "Pseudanophthalmus engelhardti", "Pseudanophthalmus eremita", "Pseudanophthalmus exiguus", "Pseudanophthalmus exoticus", "Pseudanophthalmus farrelli", "Pseudanophthalmus fastigatus", "Pseudanophthalmus fowlerae", "Pseudanophthalmus frigidus", "Pseudanophthalmus fulleri", "Pseudanophthalmus fuscus", "Pseudanophthalmus georgiae", "Pseudanophthalmus globiceps", "Pseudanophthalmus gracilis", "Promecoderus hunteriensis", "Promecoderus inornatus", "Promecoderus insignis", "Promecoderus intermedius", "Promecoderus interruptus", "Promecoderus leai", "Promecoderus lottini", "Promecoderus lucidicollis", "Promecoderus maritimus", "Promecoderus mastersii", "Promecoderus modestus", "Promecoderus neglectus", "Promecoderus nigellus", "Promecoderus nigricornis", "Promecoderus oblongus", "Promecoderus olivaceus", "Promecoderus ovicollis", "Promecoderus ovipennis", "Promecoderus pacificus", "Promecoderus pygmaeus", "Promecoderus riverinae", "Promecoderus scauroides", "Promecoderus semistriatus", "Promecoderus sloanei", "Promecoderus striatopunctatus", "Promecoderus subdepressus", "Promecoderus tasmanicus", "Promecoderus viridiaeneus", "Promecoderus wilcoxii", "Promecoptera marginalis", "Promegalonychus brauneanus", "Promegalonychus calathoides", "Promegalonychus clarkei", "Promegalonychus decumanus", "Promegalonychus fageli", "Promegalonychus frantonius", "Promegalonychus kivuensis", "Promegalonychus oribates", "Promegalonychus pauliani", "Promegalonychus ruwenzoricus", "Promegalonychus sphodroides", "Pronyssa andrsi", "Pronyssa assamensis", "Pronyssa ingridae", "Pronyssa kraatzi", "Pronyssa manaslucola", "Pronyssa montanea", "Pronyssa nodicollis", "Pronyssiformia excoffieri", "Proozaena cerdai", "Proozaena flavonigra", "Proozaena mooreae", "Proozaena parallelus", "Prophenorites marojejyanus", "Propionycha argentinica", "Propionycha bruchi", "Prosopogmus austrinus", "Prosopogmus batjanicus", "Prosopogmus boisduvalii", "Prosopogmus chalybeipennis", "Prosopogmus delicatulus", "Prosopogmus foveipennis", "Prosopogmus garavagliae", "Pseudanophthalmus sanctipauli", "Pseudanophthalmus scholasticus", "Pseudanophthalmus scutilus", "Pseudanophthalmus seclusus", "Pseudanophthalmus sequoyah", "Pseudanophthalmus sericus", "Pseudanophthalmus shilohensis", "Pseudanophthalmus sidus", "Pseudanophthalmus simplex", "Pseudanophthalmus simulans", "Pseudanophthalmus solivagus", "Pseudanophthalmus steevesi", "Pseudanophthalmus striatus", "Pseudanophthalmus sylvaticus", "Pseudanophthalmus templetoni", "Pseudanophthalmus tenebrosus", "Pseudanophthalmus tennesseensis", "Pseudanophthalmus tenuis", "Pseudanophthalmus thomasi", "Pseudanophthalmus tiresias", "Pseudanophthalmus transfluvialis", "Pseudanophthalmus troglodytes", "Pseudanophthalmus tullahoma", "Pseudanophthalmus umbratilis", "Pseudanophthalmus unionis", "Pseudanophthalmus valentinei", "Pseudanophthalmus vanburenensis", "Pseudanophthalmus ventus", "Pseudanophthalmus vicarius", "Pseudanophthalmus virginicus", "Pseudanophthalmus wallacei", "Pseudanophthalmus youngi", "Pseudaphaenops jacobsoni", "Pseudaphaenops tauricus", "Pseudaptinus albicornis", "Pseudaptinus borgmeieri", "Pseudaptinus championi", "Pseudaptinus cribratus", "Pseudaptinus elegans", "Pseudaptinus insularis", "Pseudaptinus lecontei", "Pseudaptinus leprieuri", "Pseudaptinus magicus", "Pseudaptinus mimicus", "Pseudaptinus nevermanni", "Pseudaptinus ohausi", "Pseudaptinus oviceps", "Pseudaptinus punctatus", "Pseudaptinus salebrosus", "Pseudaptinus subfasciatus", "Pseudaptinus tenuicollis", "Pseudaptinus thaxteri", "Pseudaptinus apicalis", "Pseudaptinus aptinoides", "Pseudaptinus argentinicus", "Pseudaptinus arrogans", "Pseudaptinus australis", "Pseudaptinus batesii", "Pseudaptinus bierigi", "Pseudaptinus brittoni", "Pseudaptinus bruchi", "Pseudaptinus brunneus", "Pseudaptinus cubanus", "Progonochaetus pseudochropus", "Progonochaetus punctibasis", "Progonochaetus sciakyi", "Progonochaetus aeruginosus", "Progonochaetus angolanus", "Progonochaetus approximatus", "Progonochaetus arnoldi", "Progonochaetus atrofuscus", "Progonochaetus atroviridis", "Progonochaetus bamboutensis", "Progonochaetus basilewskyi", "Progonochaetus bicoloripes", "Progonochaetus brittoni", "Progonochaetus caffer", "Progonochaetus chevalieri", "Progonochaetus cookei", "Progonochaetus cursorius", "Progonochaetus decorsei", "Progonochaetus dilatatus", "Progonochaetus discrepans", "Progonochaetus eburneus", "Progonochaetus gabonicus", "Progonochaetus inchoatus", "Progonochaetus incrassatus", "Progonochaetus indicus", "Progonochaetus jocquei", "Progonochaetus kafakumbae", "Progonochaetus kapangae", "Progonochaetus laeticolor", "Progonochaetus laevistriatus", "Progonochaetus limbatus", "Progonochaetus merus", "Progonochaetus moestus", "Progonochaetus nigricrus", "Progonochaetus obscuripes", "Progonochaetus obtusus", "Progonochaetus piceus", "Progonochaetus planicollis", "Progonochaetus prolixus", "Progonochaetus rudebecki", "Progonochaetus sakalava", "Progonochaetus seyrigi", "Progonochaetus similis", "Progonochaetus straneoi", "Progonochaetus subcupreus", "Progonochaetus unicolor", "Progonochaetus vagans", "Progonochaetus voltae", "Progonochaetus xanthopus", "Promecoderus albaniensis", "Promecoderus anguliceps", "Promecoderus bassii", "Promecoderus blackburni", "Promecoderus brunnicornis", "Promecoderus castelnaui", "Promecoderus clivinoides", "Promecoderus comes", "Promecoderus concolor", "Promecoderus cordicollis", "Promecoderus curvipes", "Promecoderus dorsalis", "Promecoderus dyschirioides", "Promecoderus elegans", "Promecoderus gibbosus", "Prosopogmus harpaloides", "Prosopogmus hornabrooki", "Prosopogmus impressifrons", "Prosopogmus insperatus", "Prosopogmus interstitialis", "Prosopogmus leai", "Prosopogmus monochrous", "Prosopogmus namoyensis", "Prosopogmus nitidipennis", "Prosopogmus occidentalis", "Prosopogmus opacidermis", "Prosopogmus punctifer", "Prosopogmus reichei", "Prosopogmus rubricornis", "Prosopogmus sedlacekorum", "Prosopogmus speculiferus", "Prosopogmus sulcatulus", "Prosopogmus tasmanicus", "Prosopogmus yarrensis", "Prostalomus parcepunctatus", "Prothyma annamica", "Prothyma assamensis", "Prothyma banksi", "Prothyma birmanica", "Prothyma bouvieri", "Prothyma cassolai", "Prothyma discretepunctata", "Prothyma fallaciosa", "Prothyma heteromalla", "Prothyma hopkinsi", "Prothyma laophila", "Prothyma lucidicollis", "Prothyma ornata", "Prothyma rapillyi", "Prothyma schultzei", "Prothyma shancola", "Prothyma tenuipenis", "Prothyma vientianensis", "Prothyma exornata", "Prothyma reconciliatrix", "Prothyma schmidtgoebeli", "Prothyma bordonii", "Prothyma bottegoi", "Prothyma concinna", "Prothyma confusa", "Prothyma erythropyga", "Prothyma guttipennis", "Prothyma leprieurii", "Prothyma proxima", "Prothyma quadriguttata", "Prothyma quadripustulata", "Prothyma radama", "Prothyma scrobiculata", "Prothyma werneri", "Prothyma bidentilabris", "Prothyma boholensis", "Prothyma claudinae", "Prothyma coerulea", "Prothyma heteromallicollis", "Prothyma incerata", "Prothyma nitida", "Prothyma hennigi", "Prothymidia angusticollis", "Prothymidia foveicollis", "Prothymidia gemmiprivata", "Prothymidia kehmiini", "Prothymidia putzeysi", "Prothymidia sibyllae", "Prothymidia vuilletorum", "Protocolliuris coerulans", "Protocollyris annamensis", "Protocollyris antennalis", "Protocollyris brevilabris", "Protocollyris bryanti", "Protocollyris faceta", "Protocollyris festiva", "Protocollyris fragilis", "Protocollyris grossepunctata", "Protocollyris longiceps", "Protocollyris mindanaoensis", "Protocollyris montana", "Protocollyris ngaungakshani", "Protocollyris nilgiriensis", "Protocollyris okajimai", "Protocollyris pacholatkoi", "Protocollyris philippinensis", "Protocollyris planifrons", "Protocollyris probsti", "Protocollyris sauteri", "Protocollyris schuhi", "Protocolpodes tratorius", "Protopaussus almorensis", "Protopaussus bakeri", "Protopaussus basilewskyi", "Protopaussus feae", "Protopaussus javanus", "Protopaussus jeanneli", "Protopaussus kaszabi", "Protopaussus walkeri", "Protopidius brevis", "Protopidius bruneaui", "Protopidius congoanus", "Protopidius obesus", "Protopidius strictus", "Protrechiama crassipes", "Protrechiama giganteus", "Protrechiama glabricollis", "Protrechiama marginalis", "Psammocoryza vanemdeni", "Psammodromius damanabii", "Psammodromius mirzayani", "Psammodromius noctivagus", "Psammodromius pallidicolor", "Psecadius alluaudi", "Psecadius eustalactus", "Psecadius eximius", "Psecadius oberthuri", "Pseudabacetus parallelus", "Pseudabacetus securipalpis", "Pseudabarys brasiliensis", "Pseudabarys columbicus", "Pseudabarys lebasi", "Pseudabarys mexicanus", "Pseudabarys robustus", "Pseudabarys substriatus", "Pseudagonica aberrans", "Pseudagonica alpina", "Pseudagonica amblyops", "Pseudotaphoxenus gansuensis", "Pseudotaphoxenus ghilarovi", "Pseudotaphoxenus giorgiofiorii", "Pseudotaphoxenus gracilicornis", "Pseudotaphoxenus gracilis", "Pseudotaphoxenus gracillimus", "Pseudotaphoxenus gussakovskii", "Pseudotaphoxenus haslundi", "Pseudotaphoxenus hauseri", "Pseudotaphoxenus hindukushi", "Pseudotaphoxenus horvathi", "Pseudotaphoxenus humeralis", "Pseudotaphoxenus igori", "Pseudotaphoxenus jureceki", "Pseudotaphoxenus juvencus", "Pseudotaphoxenus kabakovi", "Pseudotaphoxenus kalganus", "Pseudotaphoxenus kaszabianus", "Pseudotaphoxenus kavani", "Pseudotaphoxenus kazakhstanicus", "Pseudotaphoxenus khan", "Pseudotaphoxenus kopetdaghi", "Pseudotaphoxenus kraatzi", "Pseudotaphoxenus kryzhanovskiji", "Pseudotaphoxenus kuljabensis", "Pseudotaphoxenus kulti", "Pseudotaphoxenus kurdaiensis", "Pseudotaphoxenus lanzhouensis", "Pseudotaphoxenus licenti", "Pseudotaphoxenus lutshniki", "Pseudotaphoxenus marani", "Pseudotaphoxenus mazenderanus", "Pseudotaphoxenus medvedevi", "Pseudotaphoxenus mentitus", "Pseudotaphoxenus meurguesae", "Pseudotaphoxenus michajlovi", "Pseudotaphoxenus mihoki", "Pseudotaphoxenus minimus", "Pseudotaphoxenus mongolicus", "Pseudotaphoxenus niger", "Pseudotaphoxenus nitidicollis", "Pseudotaphoxenus obenbergeri", "Pseudotaphoxenus occultus", "Pseudotaphoxenus onerosus", "Pseudotaphoxenus oopterus", "Pseudotaphoxenus optatus", "Pseudotaphoxenus originalis", "Pseudotaphoxenus oruzganensis", "Pseudotaphoxenus ovalis", "Pseudotaphoxenus ovipennis", "Pseudotaphoxenus paropamisicus", "Pseudotaphoxenus parvulus", "Pseudotaphoxenus planicollis", "Pseudotaphoxenus plutschewskyi", "Pseudotaphoxenus pongraczi", "Pseudotaphoxenus povolnyi", "Pseudotaphoxenus pseudocollaris", "Pseudotaphoxenus punctibasis", "Pseudotaphoxenus putshkovi", "Pseudotaphoxenus reichardti", "Pseudotaphoxenus robustus", "Pseudotaphoxenus rufitarsis", "Pseudotaphoxenus rugipennis", "Pseudotaphoxenus schaufussi", "Pseudanophthalmus grandis", "Pseudanophthalmus hadenoecus", "Pseudanophthalmus henroti", "Pseudanophthalmus hesperus", "Pseudanophthalmus higginbothami", "Pseudanophthalmus hirsutus", "Pseudanophthalmus hoffmani", "Pseudanophthalmus holsingeri", "Pseudanophthalmus horni", "Pseudanophthalmus hortulanus", "Pseudanophthalmus hubbardi", "Pseudanophthalmus hubrichti", "Pseudanophthalmus humeralis", "Pseudanophthalmus hypertrichosis", "Pseudanophthalmus hypolithos", "Pseudanophthalmus illinoisensis", "Pseudanophthalmus inexpectatus", "Pseudanophthalmus inquisitor", "Pseudanophthalmus insularis", "Pseudanophthalmus intermedius", "Pseudanophthalmus intersectus", "Pseudanophthalmus jonesi", "Pseudanophthalmus krameri", "Pseudanophthalmus krekeleri", "Pseudanophthalmus lallemanti", "Pseudanophthalmus leonae", "Pseudanophthalmus limicola", "Pseudanophthalmus lodingi", "Pseudanophthalmus loganensis", "Pseudanophthalmus longiceps", "Pseudanophthalmus macradyi", "Pseudanophthalmus menetriesii", "Pseudanophthalmus montanus", "Pseudanophthalmus nelsoni", "Pseudanophthalmus nickajackensis", "Pseudanophthalmus nortoni", "Pseudanophthalmus occidentalis", "Pseudanophthalmus ohioensis", "Pseudanophthalmus orthosulcatus", "Pseudanophthalmus packardi", "Pseudanophthalmus pallidus", "Pseudanophthalmus paradoxus", "Pseudanophthalmus parvicollis", "Pseudanophthalmus parvus", "Pseudanophthalmus paulus", "Pseudanophthalmus paynei", "Pseudanophthalmus petrunkevitchi", "Pseudanophthalmus pholeter", "Pseudanophthalmus pilosus", "Pseudanophthalmus pontis", "Pseudanophthalmus potomaca", "Pseudanophthalmus praetermissus", "Pseudanophthalmus princeps", "Pseudanophthalmus productus", "Pseudanophthalmus pubescens", "Pseudanophthalmus punctatus", "Pseudanophthalmus pusillus", "Pseudanophthalmus pusio", "Pseudanophthalmus puteanus", "Pseudanophthalmus quadratus", "Pseudanophthalmus rittmani", "Pseudanophthalmus robustus", "Pseudanophthalmus rogersae", "Pseudanophthalmus rotundatus", "Pseudaptinus cyclophthalmus", "Pseudaptinus deceptor", "Pseudaptinus depressipennis", "Pseudaptinus dorsalis", "Pseudaptinus fluvialis", "Pseudaptinus fulvus", "Pseudaptinus granulosus", "Pseudaptinus gregoryensis", "Pseudaptinus hirsutulus", "Pseudaptinus hoegei", "Pseudaptinus horni", "Pseudaptinus intermedius", "Pseudaptinus iridescens", "Pseudaptinus lugubris", "Pseudaptinus marginicollis", "Pseudaptinus microcephalus", "Pseudaptinus monteithi", "Pseudaptinus nobilis", "Pseudaptinus parallelus", "Pseudaptinus plaumanni", "Pseudaptinus polystichoides", "Pseudaptinus punctatostriatus", "Pseudaptinus pygmaeus", "Pseudaptinus rufulus", "Pseudaptinus simplex", "Pseudaristus modestus", "Pseudaristus punctatissimus", "Pseudillaphanus barringtoni", "Pseudillaphanus leichhardti", "Pseudobatenus camerunicus", "Pseudobatenus longicollis", "Pseudobatenus straneoi", "Pseudoceneus iridescens", "Pseudoceneus beatricis", "Pseudoceneus sollicitus", "Pseudoclivina assamensis", "Pseudoclivina australiana", "Pseudoclivina bohemani", "Pseudoclivina calida", "Pseudoclivina costata", "Pseudoclivina grandis", "Pseudoclivina mandibularis", "Pseudoclivina memnonia", "Pseudoclivina muelleriana", "Pseudoclivina puchneri", "Pseudoclivina senegalensis", "Pseudoclivina testacea", "Pseudocnides orophilus", "Pseudocnides equatorialis", "Pseudocnides patagonicus", "Pseudocnides jacquesi", "Pseudocnides monolcus", "Pseudocnides rugosifrons", "Pseudocnides solieri", "Pseudodiachipteryx expansipennis", "Pseudognathaphanus dekkanus", "Pseudognathaphanus dispellens", "Pseudognathaphanus exaratus", "Pseudognathaphanus festivus", "Pseudognathaphanus perrieri", "Pseudognathaphanus punctilabris", "Pseudognathaphanus rufitactor", "Pseudognathaphanus rusticus", "Pseudognathaphanus zabroides", "Pseudomorpha cylindrica", "Pseudomorpha excrucians", "Pseudomorpha falli", "Pseudomorpha gerstaeckeri", "Pseudomorpha hubbardi", "Pseudomorpha lacordairei", "Pseudomorpha parallela", "Pseudomorpha peninsularis", "Pseudomorpha pilatei", "Pseudomorpha ruficollis", "Pseudomorpha schwarzi", "Pseudomorpha tenebroides", "Pseudomorpha vandykei", "Pseudomorpha vicina", "Pseudomorpha vindicata", "Pseudomyas doramasensis", "Pseudopachylebia relucens", "Pseudophorticus lucidus", "Pseudophorticus puncticollis", "Pseudophorticus semirufus", "Pseudophorticus subauratus", "Pseudoplatiella dorsata", "Pseudoplatiella drumonti", "Pseudoplatiella expansa", "Pseudoplatiella georgei", "Pseudoplatiella gerdi", "Pseudoplatiella latipennis", "Pseudoplatiella minuthoides", "Pseudoplatiella missai", "Pseudoplatiella recticollis", "Pseudoplatiella riedeli", "Pseudoplatiella rossi", "Pseudoplatiella sedlacekorum", "Pseudoplatiella subnitens", "Pseudoplatyderus amblyops", "Pseudoselenophorus imitator", "Pseudosinurus brunneus", "Pseudosphaerodes rhodopus", "Pseudosphaerodes sphaerodoides", "Pseudosphaerodes sulcatus", "Pseudotaphoxenus abnormalis", "Pseudotaphoxenus acutithorax", "Pseudotaphoxenus afghanus", "Pseudotaphoxenus angusticollis", "Pseudotaphoxenus balkhanicus", "Pseudotaphoxenus basilewskyi", "Pseudotaphoxenus benesi", "Pseudotaphoxenus blumenthali", "Pseudotaphoxenus brevipennis", "Pseudotaphoxenus brucei", "Pseudotaphoxenus cavazzutii", "Pseudotaphoxenus cavicollis", "Pseudotaphoxenus chevrieri", "Pseudotaphoxenus chinensis", "Pseudotaphoxenus collaris", "Pseudotaphoxenus csikii", "Pseudotaphoxenus dauricus", "Pseudotaphoxenus dignus", "Pseudotaphoxenus dissors", "Pseudotaphoxenus dostali", "Pseudotaphoxenus elegantulus", "Pseudotaphoxenus fassatii", "Pseudotaphoxenus ferghanensis", "Semperella similis", "Scleroplegma maasi", "Biatora oxneri", "Bibbya muelleri", "Euathlus sagei", "Euathlus tenebrarum", "Euathlus affinis", "Bumba horrida", "Sabal bermudana", "Pseudohyparpalus angustipennis", "Pseudohyparpalus audens", "Pseudohyparpalus basilewskyi", "Pseudohyparpalus bulirschi", "Pseudohyparpalus burgeoni", "Pseudohyparpalus casperi", "Pseudohyparpalus diastictus", "Pseudohyparpalus elegans", "Pseudohyparpalus elongatus", "Pseudohyparpalus fimbriatus", "Pseudohyparpalus hova", "Pseudohyparpalus kolbei", "Pseudohyparpalus luluensis", "Pseudohyparpalus metabolus", "Pseudohyparpalus mossoensis", "Pseudohyparpalus nindae", "Pseudohyparpalus nyassicus", "Pseudohyparpalus puncticollis", "Pseudohyparpalus quadratus", "Pseudohyparpalus rectangularis", "Pseudomasoreus balli", "Pseudomasoreus basilewskyi", "Pseudomasoreus canigoulensis", "Pseudomasoreus capicola", "Pseudomasoreus catalai", "Pseudomasoreus decorsei", "Pseudomasoreus descarpentriesi", "Pseudomasoreus deuvei", "Pseudomasoreus hereai", "Pseudomasoreus inopinatus", "Pseudomasoreus jocquei", "Pseudomasoreus kilimanus", "Pseudomasoreus madecassus", "Pseudomasoreus mantasoanus", "Pseudomasoreus mateui", "Pseudomasoreus meridionalis", "Pseudomasoreus pauliani", "Pseudomasoreus ranomafanae", "Pseudomasoreus reticulatus", "Pseudomasoreus thoracicus", "Pseudomasoreus uluguruanus", "Pseudomegalonychus debeckeri", "Pseudomegalonychus ferrugineus", "Pseudomegalonychus uyttenboogaarti", "Pseudomenarus flavomaculatus", "Pseudometabletus nevermanni", "Pseudomonnea grandis", "Pseudomonnea maculata", "Pseudomonnea nigrescens", "Pseudomorpha brevis", "Pseudomorpha insignis", "Pseudomorpha subangulata", "Pseudomorpha alleni", "Pseudomorpha alutacea", "Pseudomorpha argentina", "Pseudomorpha arrowi", "Pseudomorpha augustata", "Pseudomorpha behrensi", "Pseudomorpha caribbeana", "Pseudomorpha castanea", "Pseudomorpha champlaini", "Pseudomorpha confusa", "Pseudomorpha consanguinea", "Pseudomorpha cronkhitei", "Pseudotaphoxenus semiopacus", "Pseudotaphoxenus similis", "Pseudotaphoxenus sinicus", "Pseudotaphoxenus staudingeri", "Pseudotaphoxenus sterbai", "Pseudotaphoxenus striatipennis", "Pseudotaphoxenus stricticollis", "Pseudotaphoxenus strigitarsis", "Pseudotaphoxenus subcostatus", "Pseudotaphoxenus subcylindricus", "Pseudotaphoxenus substriatus", "Pseudotaphoxenus susterai", "Pseudotaphoxenus taschkensis", "Pseudotaphoxenus thibetanus", "Pseudotaphoxenus thoracicus", "Pseudotaphoxenus tianshanicus", "Pseudotaphoxenus tomskoensis", "Pseudotaphoxenus vereschaginae", "Pseudotaphoxenus wrasei", "Pseudotaphoxenus xiahensis", "Pseudotaphoxenus yunnanus", "Pseudotaphoxenus yupeiyui", "Pseudotaphoxenus znojkoi", "Pseudotaphoxenus zvarici", "Pseudotetracha australasiae", "Pseudotetracha australis", "Pseudotetracha basalis", "Pseudotetracha blackburni", "Pseudotetracha bostockii", "Pseudotetracha canninga", "Pseudotetracha castelnaui", "Pseudotetracha corpulenta", "Pseudotetracha crucigera", "Pseudotetracha cuprascens", "Pseudotetracha cylindrica", "Pseudotetracha greyana", "Pseudotetracha helmsi", "Pseudotetracha hopei", "Pseudotetracha howittii", "Pseudotetracha intermedia", "Pseudotetracha ion", "Pseudotetracha karratha", "Pseudotetracha kimberleyensis", "Pseudotetracha marginicollis", "Pseudotetracha mendacia", "Pseudotetracha murchisona", "Pseudotetracha oleadorsa", "Pseudotetracha pulchra", "Pseudotetracha scapularis", "Pseudotetracha serrella", "Pseudotetracha spenceri", "Pseudotetracha timberensis", "Pseudotetracha whelani", "Pseudotoglossa coelestina", "Pseudotoglossa inaequalis", "Pseudotoglossa marginella", "Pseudotoglossa obscurella", "Pseudotoglossa rufitarsis", "Pseudotoglossa semilaevis", "Pseudotoglossa terminalis", "Pseudotrechus mutilatus", "Pseudoxycheila andina", "Pseudoxycheila angustata", "Pseudoxycheila atahualpa", "Sabal yapa", "Brachypelma albiceps", "Brachypelma emilia", "Tretopleura candelabrum", "Cephalanthera \u00d7 otto-hechtii", "Cephalanthera \u00d7 renzii", "Cephalanthera \u00d7 schaberi", "Lygodactylus capensis", "Tretodictyum schrammeni", "Cephalanthera \u00d7 taubenheimii", "Tretodictyum pumicosum", "Neoaulocystis polae", "Bibbya australis", "Bibbya austroafricana", "Bibbya bullata", "Brachypelma hamorii", "Johannesteijsmannia magnifica", "Pterostichus yamauchii", "Pterostichus ambiguus", "Pterostichus capitatus", "Cephalanthera calcarata", "Euathlus parvulus", "Cephalanthera caucasica", "Cephalanthera epipactoides", "Cephalanthera ericiflora", "Phoenix loureiroi var. loureiroi", "Euathlus diamante", "Cephalanthera exigua", "Cephalanthera gracilis", "Cephalanthera humilis", "Cephalanthera kotschyana", "Cephalanthera nanchuanica", "Cephalanthera pusilla", "Cephalanthera \u00d7 mayeri", "Phlomis integrifolia", "Aphonopelma mareki", "Aphonopelma madera", "Sclerothamnopsis schulzei", "Aphonopelma chalcodes", "Dromacamatus spinifer", "Stereochlamis incertum", "Dromanomma hirtum", "Dromanomma kuehnei", "Dromanomma setosum", "Aphonopelma chiricahua", "Sabal pumos", "Dromeciton wagneri", "Sabal rosei", "Drugia drescheri", "Drugia longipennis", "Sabal gretherae", "Sabal maritima", "Phrixotrichus jara", "Phrixotrichus scrofa", "Phrixotrichus vulpinus", "Phrixotrichus pucara", "Avicularia merianae", "Zosterops feae", "Avicularia lynnae", "Avicularia caei", "Diplopleurus ruwenzorensis", "Aphonopelma anax", "Doratoporus mendax", "Aphonopelma armada", "Dromacamatus caviceps", "Bibbya albomarginata", "Aphonopelma atomicum", "Aphonopelma catalina", "Calilena peninsulana", "Dinocoryna schmitti", "Dinusella brasiliana", "Dinusella convexicollis", "Dinusella culpa", "Dinusella longicornis", "Dinusella peruviana", "Dinusella santschii", "Bellicidia incompta", "Dinusella solenopsidis", "Dinusella tricuspidis", "Calilena californica", "Calilena umatilla umatilla", "Calilena umatilla schizostyla", "Calilena restricta restricta", "Diplopleurus gilvicollis", "Calilena restricta dixiana", "Euathlus antal", "Euathlus atacama", "Euathlus condorito", "Euathlus manicata", "Pseudoxycheila aymara", "Pseudoxycheila bipustulata", "Pseudoxycheila caribe", "Pseudoxycheila ceratoma", "Pseudoxycheila chaudoiri", "Pseudoxycheila columbiana", "Pseudoxycheila confusa", "Pseudoxycheila immaculata", "Pseudoxycheila inca", "Pseudoxycheila lateguttata", "Pseudoxycheila macrocephala", "Pseudoxycheila nitidicollis", "Pseudoxycheila onorei", "Pseudoxycheila oxychiloides", "Pseudoxycheila pearsoni", "Pseudoxycheila pseudotarsalis", "Pseudoxycheila quechua", "Pseudoxycheila tarsalis", "Pseudoxycheila tucumana", "Pseudozaena orientalis", "Pseudozaena tricostata", "Psilidius bredoi", "Psilidius minutus", "Psychristus accessor", "Psychristus belkab", "Psychristus cooteri", "Psychristus curvus", "Psychristus glaber", "Psychristus hubeicus", "Psychristus lewisi", "Psychristus longyangensis", "Psychristus magnus", "Psychristus schmidti", "Psychristus schuelkei", "Psychristus sichuanensis", "Psychristus umbraticornis", "Psychristus amicorum", "Psychristus andrewesi", "Psychristus brunneus", "Psychristus consimilis", "Psychristus dentatus", "Psychristus discretus", "Psychristus liparops", "Psychristus shibatai", "Psydrus piceus", "Pterogmus rufipes", "Pterorhopalus mizotai", "Anomochone globosa", "Pterostichus zyzzovi", "Pterostichus pilosus", "Pterostichus selmanni", "Pterostichus colonus", "Pterostichus burmeisteri", "Pterostichus casalei", "Pterostichus dissimilis", "Pterostichus muehlfeldii", "Pterostichus transversalis", "Pterostichus balthasari", "Pterostichus agilis", "Pterostichus baenningeri", "Pterostichus beneshi", "Pterostichus cavazzutii", "Pterostichus dentifer", "Pterostichus liciniformis", "Pterostichus pohnerti", "Pterostichus schuelkei", "Pterostichus subtilissimus", "Pterostichus wenxianensis", "Pterostichus xilingensis", "Pterostichus zoiai", "Pterostichus cylindricus", "Pterostichus abaxoides", "Pterostichus acrogonus", "Pterostichus akkusianus", "Pterostichus altaiensis", "Pterostichus amaroides", "Pterostichus amblypterus", "Pterostichus amoenus", "Pterostichus amurensis", "Pterostichus anatolicus", "Pterostichus apenninus", "Pterostichus aralarensis", "Pterostichus arcticola", "Pterostichus argutoriformis", "Pterostichus arnoldii", "Pterostichus asiaticus", "Pterostichus auriga", "Pterostichus barlensis", "Pterostichus barryorum", "Pterostichus biocryus", "Pterostichus blandulus", "Pterostichus blumenthali", "Pterostichus brevicornis", "Pterostichus breviusculus", "Pterostichus bryanti", "Pterostichus bryantoides", "Pterostichus cacumensis", "Pterostichus cantabricus", "Pterostichus caribou", "Pterostichus carradei", "Pterostichus champenoisi", "Pterostichus chipewyan", "Pterostichus colasi", "Pterostichus coreicus", "Pterostichus ehlersi", "Pterostichus empetricola", "Pterostichus espanoli", "Pterostichus euxinus", "Pterostichus exceptus", "Pterostichus firmus", "Pterostichus fulvescens", "Pterostichus gerstlensis", "Pterostichus glacialis", "Pterostichus glukhomanka", "Pterostichus haftorni", "Pterostichus herzi", "Pterostichus homalonotus", "Pterostichus horvatovichi", "Pterostichus hudsonicus", "Pterostichus infimus", "Pterostichus inopinatus", "Pterostichus iripennis", "Pterostichus ishiharai", "Pterostichus jacobsoni", "Pterostichus jaechi", "Pterostichus josephi", "Pterostichus kadjaranze", "Pterostichus kaninensis", "Pterostichus kaynashensis", "Pterostichus kolymensis", "Pterostichus korgei", "Pterostichus kotzebuei", "Pterostichus kultianus", "Pterostichus kurosai", "Pterostichus kurosawai", "Pterostichus lamuticus", "Pterostichus latiusculus", "Pterostichus longipes", "Pterostichus lucidus", "Pterostichus macedonicus", "Pterostichus macrothorax", "Pterostichus maeklini", "Pterostichus mandibularoides", "Pterostichus marani", "Pterostichus middendorffi", "Pterostichus negligens", "Pterostichus nemoralis", "Pterostichus nigripalpis", "Pterostichus nivalis", "Pterostichus nordqvisti", "Pterostichus oblongiusculus", "Pterostichus ochoticus", "Pterostichus palekhai", "Pterostichus parasimilis", "Pterostichus parviceps", "Pterostichus pinguedineus", "Pterostichus pithyusicus", "Pterostichus planus", "Pterostichus poppiusianus", "Pterostichus procerulus", "Pterostichus properans", "Pterostichus pseudostuxbergi", "Pterostichus pumilio", "Pterostichus punctiger", "Pterostichus pusillus", "Pterostichus quadraticollis", "Pterostichus riparius", "Pterostichus rufonitens", "Pterostichus rutenus", "Pterostichus safonovae", "Pterostichus scitus", "Pterostichus cratocephalus", "Pterostichus cucujinus", "Pterostichus eriwanicus", "Pterostichus diana", "Pterostichus malkini", "Pterostichus testaceus", "Pterostichus anomostriatus", "Pterostichus latifianus", "Pterostichus rhilensis", "Pterostichus walteri", "Pterostichus arcanoides", "Pterostichus compressus", "Pterostichus cylindriformis", "Pterostichus koenigianus", "Pterostichus miroshnikovi", "Pterostichus neilgaimani", "Pterostichus pseudopercus", "Pterostichus starckianus", "Pterostichus trubilini", "Pterostichus aanistschenkoi", "Pterostichus akozyrevi", "Pterostichus bhadravati", "Pterostichus chameleon", "Pterostichus commutabilis", "Pterostichus cryobioides", "Pterostichus dulcis", "Pterostichus kerzhneri", "Pterostichus leonisi", "Pterostichus sulcitarsis", "Pterostichus vernalis", "Pterostichus capito", "Pterostichus darvazicus", "Pterostichus karateghinicus", "Pterostichus klapperichi", "Pterostichus medvedevi", "Pterostichus mujahedeeni", "Pterostichus rufopiceus", "Pterostichus talibani", "Pterostichus arrowi", "Pterostichus arrowianus", "Pterostichus bandotaro", "Pterostichus doris", "Pterostichus goschi", "Pterostichus laticollis", "Pterostichus procephalus", "Pterostichus tenenbaumianus", "Pterostichus thorectoides", "Pterostichus abasarukini", "Pterostichus ademidovae", "Pterostichus adstrictus", "Pterostichus aeneocupreus", "Pterostichus bhunetansis", "Pterostichus commixtiformis", "Pterostichus ferghanicus", "Pterostichus lustrans", "Pterostichus mariae", "Pterostichus matveichuki", "Pterostichus mutus", "Pterostichus oregonus", "Pterostichus pensylvanicus", "Pterostichus quadrifoveolatus", "Pterostichus subovatus", "Pterostichus trinarius", "Pterostichus tropicalis", "Pterostichus shilenkovi", "Pterostichus similis", "Pterostichus soperi", "Pterostichus spornyi", "Pterostichus stantonensis", "Pterostichus subgibbus", "Pterostichus subiasi", "Pterostichus subsinuatus", "Pterostichus surgens", "Pterostichus tareumiut", "Pterostichus tatricus", "Pterostichus theeli", "Pterostichus tichomirovi", "Pterostichus tiliaceoradix", "Pterostichus tokmakovae", "Pterostichus ulubeyensis", "Pterostichus unctulatus", "Pterostichus ventricosus", "Pterostichus woodi", "Pterostichus acutipes", "Pterostichus hypogeus", "Pterostichus rostratus", "Pterostichus fujimurai", "Pterostichus abensis", "Pterostichus abudarini", "Pterostichus aenescens", "Pterostichus aereipennis", "Pterostichus ainus", "Pterostichus alacer", "Pterostichus bituberculatus", "Pterostichus circulosus", "Pterostichus coruscus", "Pterostichus creper", "Pterostichus discrepans", "Pterostichus dudkoi", "Pterostichus faldermanni", "Pterostichus fuligineus", "Pterostichus funakoshii", "Pterostichus hidanus", "Pterostichus hiramatsui", "Pterostichus hirasawai", "Pterostichus imurai", "Pterostichus japonicus", "Pterostichus karasawai", "Pterostichus laferi", "Pterostichus makolskii", "Pterostichus mandzhuricus", "Pterostichus mannerheimii", "Pterostichus maurusiacus", "Pterostichus mizunoyai", "Pterostichus moestus", "Pterostichus nasuensis", "Pterostichus noburai", "Pterostichus ohkawai", "Pterostichus orientalis", "Pterostichus rengensis", "Pterostichus rufitarsis", "Pterostichus sakuraii", "Pterostichus shimizui", "Pterostichus sudai", "Pterostichus superciliosus", "Pterostichus tenuimarginatus", "Pterostichus tokui", "Pterostichus tuberculiger", "Pterostichus virescens", "Pterostichus yoshizawai", "Pterostichus cristatoides", "Pterostichus dandonis", "Pterostichus enasanus", "Pterostichus hakusanus", "Pterostichus himifuriho", "Pterostichus ikukoae", "Pterostichus janoi", "Pterostichus spiculifer", "Pterostichus sugimurai", "Pterostichus yatsuensis", "Pterostichus cometes", "Pterostichus depilatus", "Pterostichus heinzianus", "Pterostichus multiseta", "Pterostichus piliferus", "Pterostichus pseudopilifer", "Pterostichus rugiceps", "Pterostichus seticeps", "Pterostichus sharanus", "Pterostichus variseta", "Pterostichus viridellus", "Pterostichus haptoderoides", "Licuala cattienensis", "Pterostichus kajimurai", "Pterostichus kataevi", "Pterostichus ponticus", "Pterostichus pseudopedius", "Pterostichus brevipennis", "Pterostichus fornicatus", "Pterostichus hungaricus", "Pterostichus incommodus", "Pterostichus melas", "Pterostichus barri", "Pterostichus palmi", "Pterostichus shaovuensis", "Pterostichus galae", "Pterostichus gromykoi", "Pterostichus enodis", "Pterostichus mutoides", "Pterostichus obesulus", "Pterostichus ophryoderus", "Pterostichus punctiventris", "Pterostichus putus", "Pterostichus sayanus", "Pterostichus subacutus", "Pterostichus tumescens", "Pterostichus ventralis", "Pterostichus hoplites", "Pterostichus adulterinus", "Pterostichus gaoligongensis", "Pterostichus phungaraziensis", "Pterostichus abagonensis", "Pterostichus andreae", "Pterostichus arator", "Pterostichus armenus", "Pterostichus astutus", "Pterostichus lama", "Pterostichus lassulus", "Pterostichus menetriesii", "Pterostichus mercedianus", "Pterostichus miscellus", "Pterostichus morionides", "Pterostichus neobrunneus", "Pterostichus nigrocaeruleus", "Pterostichus obsidianus", "Pterostichus occultus", "Licuala corneri", "Pterostichus ordinarius", "Pterostichus ovalipennis", "Pterostichus panticulatus", "Pterostichus pergracilis", "Pterostichus planctus", "Pterostichus protensiformis", "Pterostichus protractus", "Pterostichus restrictus", "Pterostichus scutellaris", "Pterostichus sejungendus", "Pterostichus serripes", "Pterostichus setosus", "Pterostichus sierranus", "Pterostichus sponsor", "Pterostichus spraguei", "Pterostichus suffusus", "Pterostichus tarsalis", "Pterostichus tristis", "Pterostichus tuberculofemoratus", "Pterostichus vandykei", "Pterostichus vicinus", "Pterostichus ybousqueti", "Pterostichus defossus", "Pterostichus sterbai", "Pterostichus apiculatiphallus", "Pterostichus bellatrix", "Pterostichus bifidiphallus", "Pterostichus ishikawai", "Pterostichus kuwolsanensis", "Pterostichus palgongsanus", "Pterostichus taebaegsanus", "Pterostichus teretis", "Pterostichus woongbii", "Pterostichus militaris", "Pterostichus caudicalis", "Pterostichus punctatissimus", "Pterostichus rugosipennis", "Pterostichus saxicola", "Pterostichus subrugosus", "Pterostichus vermiculosus", "Pterostichus angustus", "Pterostichus beyeri", "Pterostichus blodgettensis", "Pterostichus caligans", "Pterostichus cochlearis", "Pterostichus deino", "Pterostichus enyo", "Pterostichus falli", "Pterostichus fenyesi", "Pterostichus fuchsi", "Pterostichus hatchi", "Pterostichus humilis", "Pterostichus idahoae", "Pterostichus inanis", "Pterostichus infernalis", "Licuala distans", "Pterostichus inopinus", "Pterostichus lobatus", "Pterostichus marinensis", "Pterostichus mattolensis", "Pterostichus pemphredo", "Pterostichus pumilus", "Pterostichus rothi", "Pterostichus sphodrinus", "Pterostichus stapedius", "Pterostichus trinitensis", "Pterostichus yosemitensis", "Pterostichus abaciformis", "Pterostichus amanoi", "Pterostichus arribasi", "Pterostichus asturicus", "Pterostichus aubryi", "Pterostichus bisulcitarsis", "Pterostichus cordatissimus", "Pterostichus drescoi", "Pterostichus dufourii", "Pterostichus hisamatsui", "Pterostichus ixion", "Pterostichus koheii", "Pterostichus kosakai", "Pterostichus macrocephalus", "Pterostichus macrogenys", "Pterostichus masumotoi", "Pterostichus microphthalmus", "Pterostichus mirificus", "Pterostichus mucronatus", "Pterostichus muelleri", "Pterostichus nadari", "Pterostichus orionis", "Pterostichus pseudopachinus", "Pterostichus punctibasalis", "Pterostichus sphodriformis", "Pterostichus strigipennis", "Pterostichus subabacipennis", "Pterostichus sudrei", "Pterostichus tanakai", "Pterostichus todai", "Pterostichus toyodai", "Pterostichus uedaorum", "Pterostichus yoshikawai", "Pterostichus amagisanus", "Pterostichus caspius", "Pterostichus eoyoritomus", "Pterostichus fujitai", "Pterostichus yoritomus", "Pterostichus tienmushanus", "Pterostichus aterrimus", "Pterostichus castor", "Pterostichus corvinus", "Pterostichus ebeninus", "Pterostichus elongatus", "Pterostichus licenti", "Pterostichus noguchii", "Pterostichus dandongensis", "Pterostichus interruptus", "Pterostichus kamtschaticus", "Pterostichus mirus", "Pterostichus pfizenmayeri", "Pterostichus rugosus", "Pterostichus sublaevis", "Pterostichus bifoveolatus", "Pterostichus chogyesanus", "Pterostichus kaniei", "Pterostichus carolinus", "Pterostichus diligendus", "Pterostichus mancus", "Pterostichus primus", "Pterostichus bowanus", "Pterostichus cervenkai", "Pterostichus chungkingi", "Pterostichus confucius", "Pterostichus dentellus", "Pterostichus dundai", "Pterostichus emei", "Pterostichus expeditus", "Pterostichus geberti", "Pterostichus giacomazzoi", "Pterostichus gongga", "Pterostichus guizhouensis", "Pterostichus huashanus", "Pterostichus hubeicus", "Pterostichus irideus", "Pterostichus janatai", "Pterostichus kalabi", "Pterostichus kucerai", "Pterostichus lingshanus", "Pterostichus maximus", "Pterostichus megaloderus", "Pterostichus ming", "Pterostichus miroslavi", "Pterostichus muellermotzfeldi", "Pterostichus parvicollis", "Pterostichus pseudoplatyderus", "Pterostichus saueri", "Pterostichus shennongjianus", "Pterostichus straneellus", "Pterostichus szetschuanensis", "Licuala ferruginea", "Pterostichus toledanoi", "Pterostichus yulongshanensis", "Pterostichus aapsorum", "Pterostichus aibgensis", "Pterostichus avaricus", "Pterostichus batesi", "Pterostichus buglaniensis", "Pterostichus filipjevi", "Pterostichus ingusha", "Pterostichus kiritshenkoi", "Pterostichus lacunosus", "Pterostichus lutshnikianus", "Pterostichus nivicola", "Pterostichus ordinatus", "Pterostichus rudestriatus", "Pterostichus schoenherri", "Pterostichus sodalicius", "Pterostichus starcki", "Pterostichus stoeckleini", "Pterostichus svanicus", "Pterostichus swaneticus", "Pterostichus variabilis", "Pterostichus zamotajlovi", "Pterostichus microps", "Pterostichus berezowskii", "Pterostichus catei", "Pterostichus comorus", "Pterostichus gravis", "Pterostichus haesitatus", "Pterostichus ignavus", "Pterostichus jureceki", "Pterostichus kleinfeldianus", "Pterostichus komalus", "Pterostichus maderi", "Pterostichus molopsoides", "Pterostichus montigena", "Pterostichus mundus", "Pterostichus oreophilus", "Pterostichus orestes", "Pterostichus sinicus", "Pterostichus yunnanensis", "Pterostichus adatarasanus", "Pterostichus asahinus", "Pterostichus asymmetricus", "Pterostichus audax", "Pterostichus basilobatus", "Pterostichus brunneipennis", "Pterostichus chokaisanus", "Pterostichus daihizanus", "Pterostichus eboshiyamanus", "Pterostichus falcispinus", "Pterostichus fujisanus", "Pterostichus gassanus", "Pterostichus geojensis", "Pterostichus hirobane", "Pterostichus hozumii", "Pterostichus ishikawaioides", "Pterostichus ishizukai", "Pterostichus isolatus", "Pterostichus isumiensis", "Pterostichus iwakiensis", "Pterostichus jiricola", "Pterostichus jogaesanensis", "Pterostichus katashinensis", "Pterostichus kitakamisanus", "Pterostichus kongosanus", "Pterostichus kurikomasanus", "Pterostichus latistylis", "Pterostichus marginellus", "Pterostichus masahiroi", "Pterostichus masatakai", "Pterostichus mitoyamanus", "Pterostichus mosaicus", "Pterostichus multinodosus", "Pterostichus musashiensis", "Pterostichus nakanei", "Pterostichus naokii", "Pterostichus napaea", "Pterostichus nishiyamai", "Pterostichus ogaensis", "Pterostichus ohbayashii", "Pterostichus ohdaisanus", "Pterostichus ohkurai", "Pterostichus ohsawacavus", "Pterostichus okutamae", "Pterostichus balikliensis", "Pterostichus caucasicola", "Pterostichus caucasicus", "Pterostichus chasautianus", "Pterostichus chydaeus", "Pterostichus consanguineus", "Pterostichus cristicaudis", "Pterostichus denticaudis", "Pterostichus giresuni", "Pterostichus goriensis", "Pterostichus heinzi", "Pterostichus ikizderensis", "Pterostichus jugicola", "Pterostichus krulikovskyi", "Pterostichus meskheticus", "Pterostichus novotnyorum", "Pterostichus olegi", "Pterostichus phaeus", "Pterostichus porcellus", "Pterostichus pseudoastutus", "Pterostichus rousi", "Pterostichus skoupyi", "Pterostichus staveni", "Pterostichus tamsii", "Pterostichus tanjae", "Pterostichus woronowi", "Pterostichus aksekianus", "Pterostichus besucheti", "Pterostichus bythiniensis", "Pterostichus crassiusculus", "Pterostichus dipojranus", "Pterostichus matchai", "Pterostichus oblongoparallelus", "Pterostichus odontocnemis", "Pterostichus orduensis", "Pterostichus pavani", "Pterostichus reissi", "Pterostichus vseteckai", "Pterostichus adoxus", "Pterostichus algidus", "Pterostichus amethystinus", "Pterostichus annosus", "Pterostichus arcanus", "Pterostichus baldwini", "Pterostichus barbarinus", "Pterostichus californicus", "Pterostichus canallatus", "Pterostichus castaneus", "Pterostichus castanipes", "Pterostichus congestus", "Pterostichus craterensis", "Pterostichus crenicollis", "Pterostichus ecarinatus", "Pterostichus esuriens", "Pterostichus gliscans", "Pterostichus gracilior", "Pterostichus herculaneus", "Pterostichus hornii", "Pterostichus illustris", "Pterostichus inermis", "Pterostichus isabellae", "Pterostichus jacobinus", "Pterostichus laborans", "Pterostichus lacertus", "Pterostichus ompoensis", "Pterostichus opacipennis", "Pterostichus ovaliphallus", "Pterostichus parkwon", "Pterostichus plesiomorphus", "Pterostichus praedo", "Pterostichus raptor", "Pterostichus rhanis", "Pterostichus ryomoensis", "Pterostichus scurra", "Pterostichus sediorcus", "Licuala fractiflexa", "Pterostichus seunglaki", "Pterostichus shibatai", "Pterostichus shinbodakensis", "Pterostichus shirakamisan", "Pterostichus shirakamisanus", "Pterostichus shotaroi", "Pterostichus sincerus", "Pterostichus sumondakensis", "Pterostichus syleus", "Pterostichus symmetricus", "Pterostichus tahirai", "Pterostichus takadateyamanus", "Pterostichus taoi", "Pterostichus tateishiyamanus", "Pterostichus tokejii", "Pterostichus tottoriensis", "Pterostichus uchiyamai", "Pterostichus variicornis", "Pterostichus watanabei", "Pterostichus yahikosanus", "Pterostichus yakushimanus", "Pterostichus yamizosanus", "Pterostichus yanoi", "Pterostichus yokohamae", "Pterostichus yoshidai", "Pterostichus heptapotamicus", "Pterostichus korolkowi", "Pterostichus necessarius", "Pterostichus regeli", "Pterostichus bicolor", "Pterostichus cribratus", "Pterostichus duratii", "Pterostichus externepunctatus", "Pterostichus flavofemoratus", "Pterostichus franzi", "Pterostichus ienishteai", "Pterostichus impressus", "Pterostichus jurinei", "Pterostichus morio", "Pterostichus multipunctatus", "Pterostichus parnassius", "Pterostichus paulinoi", "Pterostichus planiusculus", "Pterostichus spinolae", "Pterostichus variolatus", "Pterostichus xatartii", "Pterostichus yvanii", "Pterostichus abasinus", "Pterostichus abishirensis", "Pterostichus araraticus", "Pterostichus belizini", "Pterostichus belousovi", "Pterostichus borcka", "Pterostichus capitolinus", "Pterostichus casaleianus", "Pterostichus cecchiniae", "Pterostichus chefsuricus", "Pterostichus colchicus", "Pterostichus cordifer", "Pterostichus cunibakus", "Pterostichus daghestanus", "Pterostichus depressidorsis", "Pterostichus faunus", "Pterostichus fencli", "Pterostichus ghilarovi", "Pterostichus jakobsonianus", "Pterostichus kadleci", "Pterostichus kirschenblatti", "Pterostichus koenigi", "Pterostichus krasnopolensis", "Pterostichus kvirensis", "Pterostichus lodosi", "Pterostichus mediocris", "Pterostichus nikodymi", "Pterostichus odvarkai", "Pterostichus orman", "Pterostichus pasanauricus", "Pterostichus percontator", "Pterostichus planaticollis", "Pterostichus platyderus", "Pterostichus pulchellus", "Pterostichus rousianus", "Pterostichus rubripalpis", "Pterostichus satunini", "Pterostichus satyrus", "Pterostichus schodaicus", "Pterostichus setosicus", "Pterostichus sojaki", "Pterostichus stomoides", "Pterostichus strasseri", "Pterostichus tamarae", "Pterostichus validiceps", "Pterostichus zolotarewi", "Pterostichus curtatus", "Pterostichus davidi", "Pterostichus deceptrix", "Pterostichus distinctissimus", "Pterostichus ferreroi", "Pterostichus gallopavo", "Pterostichus lesticoides", "Pterostichus machulkai", "Pterostichus perlutus", "Pterostichus pratti", "Pterostichus pulcher", "Pterostichus semirugosus", "Pterostichus simillimus", "Pterostichus tachongi", "Pterostichus johnsoni", "Pterostichus lubricus", "Pterostichus bielzii", "Pterostichus brevis", "Pterostichus vecors", "Pterostichus biexcisus", "Pterostichus bisetosus", "Pterostichus carsticus", "Pterostichus chujoi", "Pterostichus daisenicus", "Pterostichus kiiensis", "Pterostichus omogoensis", "Pterostichus satoi", "Pterostichus takahashii", "Pterostichus tanakaorum", "Pterostichus tsurugiyamanus", "Pterostichus uenoi", "Pterostichus grajus", "Pterostichus justusii", "Pterostichus nodicornis", "Pterostichus schaschli", "Pterostichus abnormis", "Pterostichus acutidens", "Pterostichus alexandrovi", "Pterostichus alexeji", "Pterostichus altaianus", "Pterostichus altaicus", "Pterostichus arsenjevi", "Pterostichus bungei", "Pterostichus calvitarsis", "Pterostichus chechcirensis", "Pterostichus chinkiangensis", "Pterostichus coracinus", "Pterostichus dauricus", "Pterostichus decastriensis", "Pterostichus dilutipes", "Pterostichus elmbergi", "Pterostichus eximius", "Pterostichus fallettii", "Licuala glabra", "Pterostichus findelii", "Pterostichus foveolatus", "Pterostichus glaferi", "Pterostichus iberlovi", "Pterostichus jurecekianus", "Pterostichus kokeilii", "Pterostichus kurentzovi", "Pterostichus lachrymosus", "Pterostichus levadensis", "Pterostichus magoides", "Pterostichus magus", "Pterostichus maichensis", "Pterostichus melanodes", "Pterostichus mellyi", "Pterostichus montanus", "Pterostichus monticoloides", "Pterostichus nigellus", "Pterostichus novus", "Pterostichus pertinax", "Pterostichus petulans", "Pterostichus poppiusi", "Pterostichus rasilis", "Pterostichus relictus", "Pterostichus robustistylis", "Pterostichus schoenmanni", "Pterostichus sejunctus", "Pterostichus septentrionis", "Pterostichus seriatus", "Pterostichus seungmoi", "Pterostichus shingarevi", "Pterostichus songoricus", "Pterostichus stygicus", "Pterostichus subaeneus", "Pterostichus sutschanensis", "Pterostichus tatianae", "Pterostichus thunbergi", "Pterostichus tomensis", "Pterostichus triseriatus", "Pterostichus tschitscherinianus", "Pterostichus tuberifer", "Pterostichus tundrae", "Licuala glabra var. glabra", "Pterostichus turanensis", "Pterostichus uralensis", "Pterostichus urengaicus", "Pterostichus vladivostokensis", "Pterostichus acuspina", "Pterostichus peninsularis", "Pterostichus apfelbecki", "Pterostichus corrusculus", "Pterostichus datshenkoae", "Pterostichus diligens", "Pterostichus dostali", "Pterostichus eobius", "Pterostichus femoralis", "Pterostichus gyrosus", "Pterostichus innshanensis", "Pterostichus jankowskyi", "Pterostichus liodactylus", "Pterostichus longipennis", "Pterostichus longiusculus", "Pterostichus monostigma", "Pterostichus morawitzianus", "Pterostichus ovoideus", "Pterostichus pantomus", "Pterostichus patruelis", "Pterostichus perisi", "Pterostichus ripensis", "Pterostichus sasajii", "Pterostichus setipes", "Pterostichus shavrini", "Pterostichus sotkaensis", "Pterostichus stricticollis", "Pterostichus subitus", "Pterostichus taksonyis", "Pterostichus lineatopunctatus", "Pterostichus lombardus", "Pterostichus ottomanus", "Pterostichus panzeri", "Pterostichus truncatus", "Pterostichus ziegleri", "Pterostichus chotanensis", "Pterostichus cordaticollis", "Pterostichus crenulatopunctatus", "Pterostichus eschscholtzii", "Pterostichus galinae", "Pterostichus insignicollis", "Pterostichus leptis", "Pterostichus niger", "Pterostichus planicola", "Pterostichus sachtlebeni", "Pterostichus turcomannicus", "Pterostichus consors", "Pterostichus gibbicollis", "Pterostichus lutschniki", "Pterostichus neglectus", "Pterostichus nigellatus", "Pterostichus larisae", "Pterostichus angoarnigi", "Pterostichus atrox", "Pterostichus balachowskyi", "Pterostichus balu", "Pterostichus bhutanensis", "Pterostichus brancuccii", "Pterostichus brevilama", "Pterostichus bureli", "Pterostichus chainapaani", "Pterostichus championi", "Pterostichus conaensis", "Pterostichus deuvei", "Pterostichus dhorpatanicus", "Pterostichus dolens", "Pterostichus dorjulensis", "Pterostichus fritzhiekei", "Pterostichus gagates", "Pterostichus ganesh", "Pterostichus ganja", "Pterostichus gerdi", "Pterostichus gobettii", "Pterostichus gompanus", "Pterostichus harmandi", "Pterostichus hartmanni", "Pterostichus hedkeinekus", "Pterostichus hoelli", "Pterostichus immarginatus", "Pterostichus jaljaleensis", "Pterostichus janbritoi", "Pterostichus juga", "Pterostichus kadoudali", "Pterostichus kalo", "Pterostichus kangchenjunga", "Pterostichus keltiekus", "Pterostichus kleinfeldi", "Pterostichus kopetzi", "Pterostichus leica", "Pterostichus letensis", "Pterostichus lugi", "Pterostichus makalu", "Pterostichus matsumurai", "Pterostichus mewakholensis", "Pterostichus miehei", "Pterostichus nepalensis", "Pterostichus nowitzkii", "Pterostichus olafi", "Pterostichus perlamatus", "Pterostichus pseudoharmandi", "Pterostichus pseudoplatysma", "Pterostichus raraensis", "Pterostichus rugosiceps", "Pterostichus sagarmatha", "Pterostichus santostamangi", "Pterostichus schrettenbrunneri", "Pterostichus thanglaensis", "Pterostichus tulobalu", "Pterostichus weigeli", "Pterostichus weiperti", "Pterostichus wittmeri", "Pterostichus amadeus", "Pterostichus campbelli", "Pterostichus humidulus", "Pterostichus lanei", "Pterostichus shulli", "Pterostichus smetanai", "Pterostichus spathifer", "Pterostichus aemiliae", "Pterostichus jugivagus", "Pterostichus ssemenovi", "Pterostichus aimaki", "Pterostichus ambigenus", "Pterostichus basipunctatus", "Pterostichus carri", "Pterostichus chujoiellus", "Pterostichus fuscicornis", "Pterostichus gracilis", "Pterostichus hejkali", "Pterostichus luctuosus", "Pterostichus michailovi", "Pterostichus minor", "Pterostichus nigrita", "Pterostichus oenotrius", "Pterostichus piceolus", "Pterostichus rhaeticus", "Pterostichus rotundangulus", "Pterostichus tenuis", "Pterostichus tsukubasanus", "Pterostichus montisdeorum", "Pterostichus nicaeensis", "Pterostichus illigeri", "Pterostichus akitai", "Pterostichus andreinii", "Pterostichus arcuaticarinatus", "Pterostichus auratus", "Pterostichus bruckii", "Pterostichus cantalicus", "Pterostichus cristatus", "Pterostichus devillei", "Pterostichus dux", "Pterostichus esakii", "Pterostichus fasciatopunctatus", "Pterostichus fenestratus", "Pterostichus focarilei", "Pterostichus funestes", "Pterostichus gotoensis", "Pterostichus hagenbachii", "Pterostichus hikosanus", "Pterostichus honnoratii", "Pterostichus imasakai", "Pterostichus impressicollis", "Pterostichus ishizuchiensis", "Pterostichus itoi", "Pterostichus kyushuensis", "Pterostichus lanista", "Pterostichus lasserrei", "Pterostichus masidai", "Pterostichus merkli", "Pterostichus micans", "Pterostichus nasui", "Pterostichus pachinus", "Pterostichus pedemontanus", "Pterostichus ghilianii", "Pterostichus insidatrix", "Pterostichus madidus", "Pterostichus rifensis", "Pterostichus validus", "Pterostichus exilis", "Pterostichus troglophilus", "Pterostichus farkaci", "Pterostichus filum", "Pterostichus krali", "Pterostichus mulensis", "Pterostichus megacephalus", "Pterostichus platyops", "Pterostichus andrewesi", "Pterostichus comatus", "Pterostichus crassiapex", "Pterostichus diversus", "Pterostichus kambaiti", "Pterostichus meyeri", "Pterostichus pseudodiversus", "Pterostichus stictopleurus", "Pterostichus analis", "Pterostichus antepunctatus", "Pterostichus aristochroides", "Pterostichus bischoffianus", "Pterostichus brachylobus", "Pterostichus chenpengi", "Pterostichus clepsydra", "Pterostichus deuvesianus", "Pterostichus epiroticus", "Pterostichus exochus", "Pterostichus fukube", "Pterostichus georgi", "Pterostichus glabricollis", "Pterostichus gwervaenus", "Pterostichus heilongjiangensis", "Pterostichus imitatus", "Pterostichus jelepus", "Pterostichus kiangsu", "Pterostichus kolosovi", "Pterostichus lattini", "Pterostichus leviculus", "Pterostichus lidarus", "Pterostichus lukjanovitshi", "Pterostichus lumensis", "Pterostichus malaisei", "Pterostichus malissorum", "Pterostichus meisteri", "Pterostichus migliaccioi", "Pterostichus nishidai", "Pterostichus okiensis", "Pterostichus orobius", "Pterostichus peilingi", "Pterostichus pentheri", "Pterostichus punctisternus", "Pterostichus quadriimpressus", "Pterostichus reiseri", "Pterostichus reuteri", "Pterostichus rolex", "Pterostichus rousselli", "Pterostichus sakagamii", "Pterostichus schmidtii", "Pterostichus shojii", "Pterostichus singularis", "Porocimmerites mirabilis", "Porocimmerites politus", "Porocimmerites reticulatus", "Porocimmerites shakhensis", "Porocimmerites ubykh", "Porotachys bisulcatus", "Porotachys luxus", "Porotachys ottomanus", "Porotachys recurvicollis", "Porotachys termiticola", "Potamagonum brandti", "Potamagonum diaphanum", "Potamagonum julianae", "Potamagonum postsetosum", "Praepristus borneensis", "Praepristus caviceps", "Praepristus depressus", "Praepristus foveiceps", "Praepristus grandis", "Praepristus kabakovi", "Praepristus nepalensis", "Praepristus planus", "Praepristus rugifoveatus", "Praepristus similis", "Praepristus sulcifer", "Praepristus testaceus", "Praepristus tonkinensis", "Prakasha amariformis", "Prioniomus abnormis", "Prioniomus antonellae", "Prioniomus caoduroi", "Prioniomus cassiopaeus", "Prioniomus etontii", "Prioniomus gabriellae", "Prioniomus giachinoi", "Prioniomus lombardorum", "Prioniomus maleficus", "Prioniomus moczarskii", "Prioniomus pedemontanorum", "Prioniomus peloponnesiacus", "Prioniomus scaramozzinoi", "Prioniomus strinatii", "Prioniomus vailatii", "Prionognathus fossor", "Prionognathus overlaeti", "Pristacrus binotatus", "Pristacrus laticollis", "Pristacrus ranomafanae", "Pristacrus rotundatus", "Pristacrus semipiceus", "Pristosia abaensis", "Pristosia acalathusoides", "Pristosia acraea", "Pristosia aeneocuprea", "Pristosia aeneola", "Pristosia aereipennis", "Pristosia alesi", "Pristosia amaroides", "Pristosia aquilo", "Pristosia atrema", "Pristosia bastai", "Pristosia braccata", "Pristosia brancuccii", "Pristosia bulirschi", "Pterostichus phaeopus", "Pterostichus ruffoi", "Pterostichus rufipes", "Pterostichus rutilans", "Pterostichus sacheri", "Pterostichus shiibanus", "Pterostichus suruganus", "Pterostichus taradakensis", "Pterostichus tosanus", "Pterostichus tsurugaensis", "Pterostichus vagepunctatus", "Pterostichus yamajii", "Pterostichus brittoni", "Pterostichus glabripennis", "Pterostichus harponifer", "Pterostichus ishii", "Pterostichus kalhys", "Pterostichus kimurai", "Pterostichus komiyai", "Pterostichus laevipunctatus", "Pterostichus latemarginatus", "Pterostichus microcephalus", "Pterostichus modicellus", "Pterostichus mundatus", "Pterostichus nimbatidius", "Pterostichus polygenus", "Pterostichus quelpartensis", "Pterostichus satsumanus", "Pterostichus shirozui", "Pterostichus solskyi", "Pterostichus takaosanus", "Pterostichus thorectes", "Pterostichus potanini", "Pterostichus przewalskyi", "Pterostichus scalptus", "Pterostichus strigosus", "Pterostichus validior", "Pterostichus barbarae", "Pterostichus carinatus", "Pterostichus cathaicus", "Pterostichus curvatus", "Pterostichus horstweiperti", "Pterostichus jaechianus", "Pterostichus jani", "Pterostichus latitemporis", "Pterostichus microbus", "Pterostichus perhoplites", "Pterostichus pseudobarbarae", "Pterostichus pseudojugivagus", "Pterostichus pseudorotundus", "Pterostichus pseudosinensis", "Pterostichus rotundus", "Pterostichus schneideri", "Pterostichus scuticollis", "Pterostichus septemtrionalis", "Pterostichus sinensis", "Pterostichus triangularis", "Pterostichus wrasei", "Pterostichus miyamai", "Pterostichus catalonicus", "Pterostichus ebenus", "Pterostichus ferreri", "Pterostichus galaecianus", "Pterostichus gallega", "Pterostichus sintanus", "Pterostichus styx", "Pterostichus szekessyianus", "Pterostichus tantillus", "Pterostichus tonkinensis", "Pterostichus yorikoae", "Pterostichus zhejiangensis", "Pterostillichus caecus", "Puertrechus daxueshanicus", "Puertrechus mengsaensis", "Putzeysius quadriceps", "Putzeysius coecus", "Pylartesius strandi", "Pyramoides crassicornis", "Pyramoides oblongicollis", "Qianaphaenops emersoni", "Qianaphaenops variabilis", "Qiangopatrobus andrewesi", "Qiangopatrobus dentatus", "Qiangopatrobus koiwayai", "Qianotrechus grebennikovi", "Quammenis spectabilis", "Quasipenetretus berezovskii", "Queinnectrechus fabbrii", "Rakantrechus subglaber", "Rakantrechus andoi", "Rakantrechus asonis", "Rakantrechus asthenes", "Rakantrechus constrictus", "Rakantrechus elegans", "Rakantrechus gracillimus", "Rakantrechus kikuyai", "Rakantrechus kurosai", "Rakantrechus lallum", "Rakantrechus macer", "Rakantrechus nomurai", "Rakantrechus obscurus", "Rakantrechus pallescens", "Rakantrechus taio", "Rakantrechus tofaceus", "Rakantrechus truncaticollis", "Rakantrechus yoshikoae", "Rakantrechus fretensis", "Rakantrechus mirabilis", "Rakantrechus peninsularis", "Rakantrechus tenuis", "Rakantrechus kawasawai", "Rakantrechus etoi", "Rakantrechus masumotoi", "Rakantrechus mukaibarai", "Rakantrechus notsui", "Rathymus carbonarius", "Rathymus melanarius", "Rathymus saganicola", "Rawlinsius papillatus", "Reflexisphodrus eugrammus", "Reflexisphodrus formosus", "Reflexisphodrus gracilior", "Reflexisphodrus graciliusculus", "Reflexisphodrus lanzouicus", "Reflexisphodrus marginipennis", "Reflexisphodrus refleximargo", "Reflexisphodrus reflexipennis", "Reflexisphodrus remondorum", "Reicheia palustris", "Reicheia subterranea", "Reicheidius frondicola", "Reicheiodes concameratus", "Reicheiodes convexipennis", "Reicheiodes duospinosus", "Reicheiodes ellipsoideus", "Reicheiodes franzi", "Reicheiodes jaegeri", "Reicheiodes loebli", "Reicheiodes similitudis", "Reicheiodes variobasalis", "Reicheiodes assmanni", "Reicheiodes meybohmi", "Reicheiodes microphthalmus", "Reicheiodes alpicola", "Reicheiodes fontanae", "Reicheiodes kodoriensis", "Reicheiodes kulzeri", "Reicheiodes lederi", "Reicheiodes rotundipennis", "Reicheiodes schatzmayri", "Reicheiodes zvarici", "Reicheiodes igai", "Reicheiodes yanoi", "Reicheiodes dewaillyi", "Reicheiodes matokai", "Reicheiodes yokozekii", "Renneria kamouni", "Rhabdotus reflexus", "Rhabidius camerunensis", "Rhabidius jeanneli", "Rhabidius rotundangulus", "Rhadine albamontana", "Rhadine anthicoides", "Rhadine araizai", "Rhadine austinica", "Rhadine balesi", "Rhadine bolivari", "Rhadine bullis", "Rhadine caudata", "Rhadine chipinque", "Rhadine constricta", "Rhadine dissecta", "Rhadine elliotti", "Rhadine euprepes", "Rhadine exilis", "Rhadine grubbsi", "Rhadine hendrichsi", "Rhadine howdeni", "Rhadine infernalis", "Rhadine insolita", "Rhadine ivyi", "Rhadine jejuna", "Rhadine koepkei", "Rhadine lanei", "Rhadine larvalis", "Rhadine leptodes", "Rhadine lindrothi", "Rhadine longiceps", "Rhadine longicollis", "Rhadine longipes", "Rhadine medellini", "Rhadine myrmecodes", "Reflexisphodrus stenocephalus", "Reflexisphodrus wuduensis", "Reicheadella aetolica", "Reicheadella bischoffi", "Reicheadella cephalonica", "Reicheadella corcyrea", "Reicheadella imathiae", "Reicheadella smetanai", "Reicheadella xanthina", "Reicheia ambondrombe", "Reicheia andohahelana", "Reicheia antsifotrae", "Reicheia balkenohli", "Reicheia basilewskyi", "Reicheia bergeri", "Reicheia bonsae", "Reicheia brieni", "Reicheia caledonica", "Reicheia camerounensis", "Reicheia consocia", "Reicheia debeckeri", "Reicheia debruynei", "Reicheia demirei", "Reicheia descarpentriesi", "Reicheia deuvei", "Reicheia endroedyi", "Reicheia exigua", "Reicheia franzi", "Reicheia gracilis", "Reicheia grandis", "Reicheia grebennikovi", "Reicheia hintelmanni", "Reicheia hlavaci", "Reicheia humicola", "Reicheia irsac", "Reicheia jarmilae", "Reicheia jeanneli", "Reicheia kaboboana", "Reicheia kahuziana", "Reicheia leleupi", "Reicheia leleupiana", "Reicheia lindrothi", "Reicheia marginodentata", "Reicheia paludicola", "Reicheia pauliani", "Reicheia peyrierasi", "Reicheia promontorii", "Reicheia sciakyi", "Reicheia subgrandis", "Reicheia transita", "Reicheia tsitsikamae", "Reicheia uluguruana", "Reicheia vandenberghei", "Reicheia viettei", "Reicheia vohidray", "Reicheia baborica", "Reicheia balearica", "Reicheia brisouti", "Reicheia corinna", "Reicheia italica", "Reicheia kabyliana", "Reicheia lucifuga", "Reicheia moritai", "Reicheia numida", "Pogonostoma gibbosum", "Pogonostoma globicolle", "Pogonostoma hamulipenis", "Pogonostoma heteropunctatum", "Pogonostoma impressum", "Pogonostoma litigiosum", "Pogonostoma majunganum", "Pogonostoma malleatum", "Pogonostoma meridionale", "Pogonostoma perroti", "Pogonostoma peyrierasi", "Pogonostoma praetervisum", "Pogonostoma propinquum", "Pogonostoma rivalieri", "Pogonostoma rugosoglabrum", "Pogonostoma sambiranense", "Pogonostoma spinipenne", "Pogonostoma srnkai", "Pogonostoma subgibbosum", "Pogonostoma subtile", "Pogonostoma subtiligrossum", "Pogonostoma sudiferum", "Pogonostoma tortipene", "Pogonostoma violaceolevigatum", "Pogonostoma cyanescens", "Pogonostoma septentrionale", "Pogonostoma simile", "Pogonostoma simplex", "Pogonostoma vestitum", "Pogonostoma violaceum", "Pogonostoma viridipenne", "Pogonostoma microtuberculatum", "Pogonostoma sikorai", "Pogonus approximans", "Pogonus meridionalis", "Pogonus punctulatus", "Pogonus turkestanicus", "Pogonus andrewesi", "Pogonus apicalis", "Pogonus australis", "Pogonus biroi", "Pogonus bulgani", "Pogonus cardiotrachelus", "Pogonus castaneipes", "Pogonus chalceus", "Pogonus diplochaetoides", "Pogonus fasciatopunctatus", "Pogonus fennelli", "Pogonus formosanus", "Pogonus gilesi", "Pogonus gilvipes", "Pogonus grossi", "Pogonus hypharpagioides", "Pogonus iridipennis", "Pogonus itoshimaensis", "Pogonus japonicus", "Pogonus lamprus", "Pogonus littoralis", "Pogonus luridipennis", "Pogonus lutshniki", "Pogonus matthewsi", "Pogonus micans", "Pogonus minutus", "Pogonus olivaceus", "Rhadine nivalis", "Rhadine noctivaga", "Rhadine ozarkensis", "Rhadine pelaezi", "Rhadine perlevis", "Rhadine persephone", "Rhadine pertenuis", "Rhadine pugetana", "Rhadine reddelli", "Rhadine reyesi", "Rhadine rossi", "Rhadine rotgeri", "Rhadine rubra", "Rhadine russelli", "Rhadine specum", "Rhadine sprousei", "Rhadine sublustris", "Rhadine subterranea", "Rhadine tenebrosa", "Rhadine testacea", "Rhadine umbra", "Bolosoma cavum", "Rhaebolestes walkeri", "Rhagadillius aethiopicus", "Rhegmatobius agostini", "Rhegmatobius fiorii", "Rhegmatobius gigas", "Rhegmatobius paganettii", "Rhegmatobius petriolii", "Rhegmatobius quadricollis", "Rhegmatobius solarii", "Rhegmatobius strictus", "Rhopalomelus angusticollis", "Rhopalomelus bennigseni", "Rhopalomelus ingens", "Rhopalomelus stenoderus", "Rhysocara crassa", "Rhysopleura orbicollis", "Rhysopus klynstrai", "Rhytidognathus platensis", "Rhytidophaena anandi", "Rhytidophaena feae", "Rhytidophaena inornata", "Rhytidophaena tetraspilota", "Rhytiferonia beroni", "Rhytiferonia iebele", "Rhytiferonia julianae", "Rhytiferonia nigra", "Rhytiferonia oblongicollis", "Rhytiferonia ophthalmica", "Rhytiferonia paucistriata", "Rhytiferonia punctigera", "Rhytisternus angustulus", "Rhytisternus arnheimensis", "Rhytisternus bovilli", "Rhytisternus callabonnensis", "Rhytisternus cardwellensis", "Rhytisternus carpentarius", "Rhytisternus cyathoderus", "Rhytisternus froggatti", "Rhytisternus gigas", "Rhytisternus laevidorsis", "Rhytisternus laevilaterus", "Rhytisternus laevis", "Rhytisternus limbatus", "Rhytisternus mastersii", "Rhytisternus nigellus", "Rhytisternus obtusus", "Rhytisternus plebeius", "Rhytisternus puellus", "Rhytisternus solidus", "Rhytisternus splendens", "Rhytisternus stuarti", "Rhytisternus sulcatipes", "Rhyzodiastes burnsi", "Rhyzodiastes montrouzieri", "Rhyzodiastes ovicollis", "Rhyzodiastes costatus", "Rhyzodiastes liratus", "Rhyzodiastes parumcostatus", "Rhyzodiastes pentacyclus", "Rhyzodiastes suturalis", "Rhyzodiastes davidsoni", "Rhyzodiastes exsequiae", "Rhyzodiastes ininius", "Rhyzodiastes maderiensis", "Rhyzodiastes menieri", "Rhyzodiastes nitidus", "Rhyzodiastes quadristriatus", "Rhyzodiastes janus", "Rhyzodiastes alveus", "Rhyzodiastes bifossulatus", "Rhyzodiastes bipunctatus", "Rhyzodiastes bonsae", "Rhyzodiastes convergens", "Rhyzodiastes denticauda", "Rhyzodiastes fairmairei", "Rhyzodiastes fossatus", "Rhyzodiastes frater", "Rhyzodiastes gestroi", "Rhyzodiastes guineensis", "Rhyzodiastes indigens", "Rhyzodiastes maritimus", "Rhyzodiastes mindoro", "Rhyzodiastes mirabilis", "Rhyzodiastes mishmicus", "Rhyzodiastes myopicus", "Rhyzodiastes orestes", "Rhyzodiastes patruus", "Rhyzodiastes polinosus", "Rhyzodiastes preorbitalis", "Rhyzodiastes propinquus", "Rhyzodiastes puetzi", "Rhyzodiastes raffrayi", "Rhyzodiastes riedeli", "Rhyzodiastes rimoganensis", "Rhyzodiastes singularis", "Rhyzodiastes spissicornis", "Rhyzodiastes sulcicollis", "Rhyzodiastes vadiceps", "Rhyzodiastes waterhousii", "Rhyzodiastes xii", "Ripogenites gigas", "Ripogenites obsoletus", "Rivacindela aurifodina", "Rivacindela avita", "Rivacindela blackburni", "Scaphinotus marginatus", "Scaphinotus obliquus", "Scaphinotus oreophilus", "Scaphinotus punctatus", "Scaphinotus riversi", "Scaphinotus rugiceps", "Scaphinotus striatopunctatus", "Scaphinotus subtilis", "Scaphinotus ventricosus", "Scaphinotus debilis", "Scaphinotus hoffmani", "Scaphinotus hubbardi", "Scaphinotus imperfectus", "Scaphinotus incompletus", "Scaphinotus reichlei", "Scaphinotus schwarzi", "Scaphinotus tenuis", "Scaphinotus unistriatus", "Scaphinotus angulatus", "Scaphinotus behrensi", "Scaphinotus longiceps", "Scaphinotus bilobus", "Scaphinotus cavicollis", "Scaphinotus fissicollis", "Scaphinotus infletus", "Scaphinotus liebecki", "Scaphinotus mannii", "Scaphinotus merkelii", "Scaphinotus regularis", "Scaphinotus relictus", "Scaphinotus elevatus", "Scaphinotus kelloggi", "Scaphinotus macrogonus", "Scaphinotus mexicanus", "Scaphinotus parisiana", "Scaphinotus petersi", "Scaphinotus snowi", "Scaphinotus unicolor", "Scaphinotus vandykei", "Scaphinotus viduus", "Scaphinotus webbi", "Scaphinotus aeneicollis", "Scaphinotus andrewsii", "Scaphinotus guyotii", "Scaphinotus lodingi", "Scaphinotus ridingsii", "Scaphinotus tricarinatus", "Scaphinotus violaceus", "Scaphinotus hatchi", "Scaphinotus velutinus", "Scapterus crenatus", "Scapterus guerini", "Scapterus riparius", "Scapterus stevensi", "Scapterus sulcatus", "Scaraphites hirtipes", "Scaraphites humeralis", "Scaraphites laticollis", "Scaraphites lenaeus", "Scaraphites lucidus", "Scaraphites silenus", "Scarites beesoni", "Scarites birmanicus", "Salpingophora maindroni", "Salpingophora rueppelii", "Sardaphaenops adelphus", "Sardaphaenops supramontanus", "Sarothrocrepis andrewesi", "Sarothrocrepis benefica", "Sarothrocrepis civica", "Sarothrocrepis corticalis", "Sarothrocrepis elegans", "Sarothrocrepis fasciata", "Sarothrocrepis fragilis", "Sarothrocrepis gravis", "Sarothrocrepis humerata", "Sarothrocrepis javanica", "Sarothrocrepis liturata", "Sarothrocrepis luctuosa", "Sarothrocrepis m-nigrum", "Sarothrocrepis mastersii", "Sarothrocrepis notabilis", "Sarothrocrepis notata", "Sarothrocrepis obsoleta", "Sarothrocrepis obtusa", "Sarothrocrepis pallida", "Sarothrocrepis papua", "Sarothrocrepis parvicollis", "Sarothrocrepis posticalis", "Sarothrocrepis setulosa", "Sarothrocrepis suavis", "Sarothrocrepis tridens", "Sarticus obsolescens", "Sarticus sulcatus", "Sarticus aubei", "Sarticus brevicornis", "Sarticus civilis", "Sarticus cooki", "Sarticus coradgeri", "Sarticus cyaneocinctus", "Sarticus cycloderus", "Sarticus dampieri", "Sarticus discopunctatus", "Sarticus dixoni", "Sarticus esmeraldipennis", "Sarticus freyi", "Sarticus habitans", "Sarticus iriditinctus", "Sarticus ischnus", "Sarticus macleayi", "Sarticus monarensis", "Sarticus obesulus", "Sarticus obscurus", "Sarticus rockhamptoniensis", "Satotrechus longlinensis", "Satotrechus rieae", "Sbordoniella indagi", "Scalidion hilare", "Scalidion nigrans", "Scalidion wudangshanensis", "Scalidion xanthophanum", "Scaphinotus bullatus", "Scaphinotus cordatus", "Scaphinotus crenatus", "Scaphinotus cristatus", "Scaphinotus interruptus", "Scaphinotus johnsoni", "Rivacindela browni", "Rivacindela cardinalba", "Rivacindela cibdela", "Rivacindela collita", "Rivacindela eburneola", "Rivacindela gagei", "Rivacindela gairdneri", "Rivacindela gillesensis", "Rivacindela hudsoni", "Rivacindela igneicollis", "Rivacindela labyrintha", "Rivacindela leucothrix", "Rivacindela necopinata", "Rivacindela nudohumeralis", "Rivacindela ozellae", "Rivacindela praecipua", "Rivacindela pseudotrepida", "Rivacindela saetigera", "Rivacindela salicursoria", "Rivacindela shetterlyi", "Rivacindela trepida", "Rivacindela trichogena", "Rivacindela vannideki", "Rivacindela velox", "Rivacindela webbae", "Ronhuberia eurytarsipennis", "Ronhuberia fernandezi", "Rubidiclivina punctatissima", "Rugiluclivina leonina", "Rugiluclivina puncticollis", "Rugiluclivina reticulata", "Rugiluclivina rugicollis", "Rugiluclivina wrasei", "Rugitarus puellarum", "Rupa annapurna", "Rupa japonica", "Rupa lama", "Rupa sherpa", "Rupa uenoi", "Ryugadous kiuchii", "Ryugadous atorus", "Ryugadous awanus", "Ryugadous ciliatus", "Ryugadous ishikawai", "Ryugadous mimus", "Ryugadous elongatulus", "Ryugadous kajimotoi", "Ryugadous kasaharai", "Ryugadous pravus", "Ryugadous solidior", "Ryugadous uozumii", "Sakagutia marina", "Salcedia africana", "Salcedia coquilhati", "Salcedia elongata", "Salcedia miranda", "Salcedia nigeriensis", "Salcedia parallela", "Salcedia perrieri", "Salcedia putzeysi", "Salcedia schoutedeni", "Salpingophora bellana", "Salpingophora hanseatica", "Salpingophora helferi", "Scarites lucidus", "Scarites modestus", "Scarites sexualis", "Scarites stygicus", "Scarites vilhenai", "Scarites wittei", "Scarites acutidens", "Scarites aterrimus", "Scarites cultripalpis", "Scarites discoidalis", "Scarites inconspicuus", "Scarites indus", "Scarites laevigatus", "Scarites mandli", "Scarites nitidulus", "Scarites punctum", "Scarites quadripunctatus", "Scarites semicircularis", "Scarites subcylindricus", "Scarites subnitens", "Scarites aestuans", "Scarites afghanus", "Scarites angulifrons", "Scarites angustesulcatus", "Scarites angustus", "Scarites anomalus", "Scarites anthracinus", "Scarites atronitens", "Scarites baenningeri", "Scarites barbarus", "Scarites basiplicatus", "Scarites batesi", "Scarites bengalensis", "Scarites biangulatus", "Scarites bokalensis", "Scarites bottegoi", "Scarites boucardi", "Scarites bruchi", "Scarites buparius", "Scarites cayennensis", "Scarites ceylonicus", "Scarites colossus", "Scarites comoricus", "Scarites corbetti", "Scarites cormoides", "Scarites costipennis", "Scarites crassus", "Scarites cycloderus", "Scarites cylindriformis", "Scarites cylindronotus", "Scarites defletus", "Scarites denticulatus", "Scarites derogatus", "Scarites distinguendus", "Scarites doguereaui", "Scarites dubiosus", "Scarites dyschromus", "Scarites edentatus", "Scarites emarginatus", "Scarites estriatus", "Scarites exaratus", "Scarites excavatus", "Scarites fairmairei", "Scarites fatuus", "Licuala lauterbachii var. lauterbachii", "Isoetes caparaoensis", "Crateromorpha pedunculata", "Mimus saturninus modulator", "Bibbya glaucocarpa", "Scarites feanus", "Scarites ferus", "Scarites fletcheri", "Scarites granulatus", "Scarites guineensis", "Scarites heterogrammus", "Scarites hypsipus", "Scarites illustris", "Scarites impressus", "Scarites inaequalis", "Scarites kabakovi", "Scarites klapperichi", "Scarites limitaneus", "Scarites linearis", "Scarites liopterus", "Scarites liostracus", "Scarites lissopterus", "Scarites lomaensis", "Scarites longiusculus", "Scarites lubricipennis", "Scarites lunicollis", "Scarites madagascariensis", "Scarites malangensis", "Scarites mandarinus", "Scarites mandibularis", "Scarites marinus", "Scarites mayumbensis", "Scarites melanarius", "Scarites migiurtinus", "Scarites minowai", "Scarites natalensis", "Scarites nigritus", "Scarites nitens", "Scarites nitidiceps", "Scarites ocalensis", "Scarites orthomus", "Scarites paraguayensis", "Scarites parallelus", "Scarites passaloides", "Scarites patroclus", "Scarites patruelis", "Scarites perplexus", "Scarites pinguis", "Scarites politus", "Scarites polyphemus", "Scarites praedator", "Scarites procerus", "Scarites productus", "Scarites quadratus", "Scarites quadriceps", "Scarites quadricostis", "Scarites raptor", "Scarites reductus", "Scarites retusus", "Scarites richteri", "Scarites rugiceps", "Scarites rugosus", "Scarites saxicola", "Scarites scaevus", "Scarites selene", "Scarites senegalensis", "Scarites similis", "Scarites simogonus", "Scarites stenodes", "Mitella stylosa", "Mitella stylosa var. stylosa", "Mitella stylosa var. makinoi", "Agnostopelma tota", "Agnostopelma gardel", "Oopsacas stelleta", "Acanthoscurria turumban", "Vaccinium oscarlopezianum", "Eurete freelandi", "Eurete trachydocus", "Sophora prazeri", "Drusilla dendrolasii", "Drusilla ganglbaueri", "Nephrangis bertauxiana", "Bibbya hosseusiana", "Licuala olivifera", "Licuala orbicularis", "Licuala peltata var. sumawongii", "Licuala peltata var. peltata", "Hemirrhagus akheronteus", "Hemirrhagus billsteelei", "Hemirrhagus diablo", "Hemirrhagus kalebi", "Hemirrhagus sprousei", "Hemirrhagus gulchi", "Bibbya lutosa", "Hemirrhagus perezmilesi", "Cyrtorchis monteiroae", "Cyrtorchis arcuata", "Cyrtorchis arcuata subsp. arcuata", "Cyrtorchis arcuata subsp. whytei", "Pachytriton wuguanfui", "Pachytriton xanthospilos", "Pararete baliense", "Pararete freeri", "Pararete kangeanganum", "Drusilla lydica", "Pheronema echinatum", "Pheronema weberi", "Pleurochorium cornutum", "Regadrella cylindrica", "Drusilla memnonia", "Periphragella challengeri", "Periphragella irregularis", "Periphragella parva", "Drusilla meridiana", "Drusilla mixta", "Drusilla nomurai", "Licuala ramsayi", "Nephrangis filiformis", "Farrea hanitschi", "Farrea lendenfeldi", "Farrea nodulosa", "Sophora wightii", "Farrea spirifera", "Hexactinella rugosa", "Hexactinella lingua", "Hexactinella spongiosa", "Hexactinella vermiculosa", "Hyalonema rotundum", "Hyalonema kirkpatricki", "Hyalonema keiense", "Hyalonema timorense", "Hyalonema flagelliferum", "Hyalonema intermedium", "Hyalonema keianum", "Drusilla gracilis", "Drusilla heydeni", "Drusilla imurai", "Hyalonema vosmaeri", "Hyalonema topsenti", "Hyalonema thamnophorum", "Drusilla italica", "Drusilla kabyliana", "Ijimadictyum kurense", "Lonchiphora inversa", "Lophocalyx suluana", "Myliusia verrucosa", "Pachytriton changi", "Pachytriton archospotus", "Pachytriton airobranchiatus", "Cypraecassis rufa", "Cypraecassis testiculus", "Ovula ovum", "Scarites stenops", "Scarites striatus", "Scarites strigifrons", "Scarites subpatroclus", "Scarites subrugatus", "Scarites sulcatus", "Scarites tauropus", "Scarites tenebricosus", "Scarites texanus", "Scarites timorensis", "Scarites trachydermon", "Scarites turkestanicus", "Scarites unicus", "Scarites urbanus", "Scarites zambo", "Scarites aberrans", "Scarites bonariensis", "Scarites carinatus", "Scarites convexipennis", "Chalaronema sibogae", "Euplectella timorensis", "Scarites convexiusculus", "Scarites corvinus", "Scarites cubanus", "Scarites deplanatus", "Scarites dubius", "Scarites ecuadorensis", "Scarites furcatus", "Scarites gratus", "Scarites guerini", "Scarites holcocranius", "Scarites interpositus", "Scarites lebasii", "Scarites meridionalis", "Scarites multisetosus", "Scarites oberthueri", "Scarites obliteratus", "Scarites planatus", "Scarites planiusculus", "Scarites pronotalis", "Scarites reichei", "Scarites rugatus", "Scarites rugicollis", "Scarites schubarti", "Scarites seriepunctatus", "Scarites setosus", "Scarites silvestris", "Scarites spectabilis", "Scarites subcostatus", "Scarites subsulcatus", "Scarites sulciceps", "Scarites sulcifrons", "Scarites thiemei", "Scarites vilcanotanus", "Scarites zikani", "Scaurotrechodes bulirschi", "Scaurotrechodes capensis", "Scaurotrechodes muellerae", "Schidonychus brasiliensis", "Schizogenius crenulatus", "Schizogenius impressicollis", "Schizogenius impuncticollis", "Schizogenius janae", "Schizogenius maculatus", "Drusilla foreli demoflysi", "Drusilla hipponensis", "Drusilla lethierryi", "Drusilla theryi", "Drusilla raffrayi", "Mitella furusei", "Mitella furusei var. furusei", "Mitella furusei var. subramosa", "Drusilla villosa", "Drusilla aino", "Sericopelma angustum", "Sericopelma embrithes", "Sericopelma melanotarsum", "Sericopelma dota", "Sericopelma ferrugineum", "Sericopelma immensum", "Sericopelma generala", "Sericopelma silvicola", "Sericopelma upala", "Sericopelma commune", "Sericopelma panamanum", "Drusilla alutacea", "Drusilla anceps", "Drusilla besucheti", "Drusilla cretica", "Drusilla denigrata", "Drusilla limata", "Drusilla pallidicornis", "Drusilla persica", "Drusilla recta", "Drusilla sinuosa", "Drusilla taygetana", "Drusilla bituberculata", "Drusilla bulbata", "Scopodes mediosulcatus", "Scopodes minor", "Scopodes minutissimus", "Scopodes moffatti", "Scopodes monteithi", "Scopodes muliae", "Scopodes multipunctatus", "Scopodes napieri", "Scopodes nigricornis", "Scopodes nigritus", "Scopodes nigrocoeruleus", "Scopodes ocellatus", "Scopodes opacipennis", "Scopodes ovipennis", "Scopodes perfoveatus", "Scopodes perignitus", "Scopodes peterseni", "Scopodes platypennis", "Scopodes punctipennis", "Scopodes regularis", "Scopodes reidi", "Scopodes reticulatus", "Scopodes riedeli", "Scopodes robustus", "Scopodes rufipes", "Scopodes rugatus", "Scopodes rugicollis", "Scopodes schoenhuberi", "Scopodes sexfoveatus", "Scopodes sexpunctus", "Scopodes sigillatus", "Scopodes simplex", "Scopodes splendens", "Scopodes stradbrokensis", "Scopodes striaticollis", "Scopodes sulcipennis", "Scopodes tafa", "Scopodes tasmanicus", "Scopodes tricostatus", "Scopodes tristis", "Scopodes violaceus", "Scopodes virescens", "Scopodes viridiaeneus", "Scopodes wei", "Scopodes wilsoni", "Scopodes yorkensis", "Scotodipnus affinis", "Scotodipnus armellinii", "Scotodipnus diottii", "Scotodipnus grajus", "Scotodipnus subalpinus", "Scotodipnus alpinus", "Scotodipnus fagniezi", "Scotodipnus glaber", "Scotodipnus hirtus", "Scotodipnus mayeti", "Scotoplanetes aquacultor", "Scotoplanetes arenstorffianus", "Scybalicus biroi", "Scybalicus kabylianus", "Scybalicus minoricensis", "Scybalicus oblongiusculus", "Secatophus australis", "Schizogenius quinquesulcatus", "Schizogenius sculptilis", "Schizogenius suturalis", "Schizogenius szekessyi", "Schizogenius tenuis", "Schizogenius bicolor", "Schizogenius brevicornis", "Schizogenius clivinoides", "Schizogenius dyschirioides", "Schizogenius iridescens", "Schizogenius optimus", "Schizogenius whiteheadi", "Schizogenius xanthopus", "Schizogenius amphibius", "Schizogenius apicalis", "Schizogenius arechavaletae", "Schizogenius arimao", "Schizogenius auripennis", "Schizogenius baenningeri", "Schizogenius basalis", "Schizogenius brevisetosus", "Schizogenius capitalis", "Schizogenius carinatus", "Schizogenius cearaensis", "Schizogenius chiricahuanus", "Schizogenius costiceps", "Schizogenius costipennis", "Schizogenius darlingtoni", "Schizogenius depressus", "Schizogenius dilatus", "Schizogenius elongatus", "Schizogenius emdeni", "Schizogenius falli", "Schizogenius ferrugineus", "Schizogenius freyi", "Schizogenius gracilis", "Schizogenius interstriatus", "Schizogenius kulti", "Schizogenius leprieuri", "Schizogenius lindrothi", "Schizogenius lineolatus", "Schizogenius litigiosus", "Schizogenius longipennis", "Schizogenius multipunctatus", "Schizogenius multisetosus", "Schizogenius negrei", "Schizogenius neovalidus", "Schizogenius ocellatus", "Schizogenius ochthocephalus", "Schizogenius ozarkensis", "Schizogenius pacificus", "Schizogenius planulatus", "Schizogenius planuloides", "Schizogenius pluripunctatus", "Schizogenius plurisetosus", "Schizogenius putzeysii", "Schizogenius pygmaeus", "Schizogenius quadripunctatus", "Schizogenius reichardti", "Schizogenius riparius", "Schizogenius sallei", "Schizogenius scopaeus", "Schizogenius sellatus", "Schizogenius seticollis", "Selenodipnus embuanus", "Selenodipnus humerosus", "Selenodipnus parallelus", "Selenophorus adjunctus", "Selenophorus amaroides", "Selenophorus barbadensis", "Selenophorus contractus", "Selenophorus discopunctatus", "Selenophorus ellipticus", "Selenophorus fossulatus", "Selenophorus granarius", "Selenophorus latior", "Selenophorus municeps", "Selenophorus nanulus", "Selenophorus pusillus", "Selenophorus pusio", "Selenophorus rufulus", "Selenophorus scitulus", "Selenophorus solitarius", "Selenophorus subtropicus", "Selenophorus yucatanus", "Selenophorus abaxoides", "Selenophorus acutangulus", "Selenophorus aeneopiceus", "Selenophorus aequinoctialis", "Selenophorus affinis", "Selenophorus agilis", "Selenophorus agonoides", "Selenophorus alternans", "Selenophorus anceps", "Selenophorus angulatus", "Selenophorus antarcticus", "Selenophorus apicalis", "Selenophorus assimilis", "Selenophorus aureocupreus", "Selenophorus aurichalceus", "Selenophorus barysomoides", "Selenophorus batesi", "Selenophorus blanchardi", "Selenophorus blandus", "Selenophorus bradycelloides", "Selenophorus brasiliensis", "Selenophorus brevis", "Selenophorus breviusculus", "Selenophorus callistichus", "Selenophorus cardionotus", "Selenophorus cayennensis", "Selenophorus chalceus", "Selenophorus chalcosomus", "Selenophorus chaparralus", "Selenophorus chiriquinus", "Selenophorus chryses", "Selenophorus clypealis", "Selenophorus concinnus", "Selenophorus confinis", "Selenophorus coracinus", "Selenophorus cordatus", "Selenophorus cupreolus", "Selenophorus curvipes", "Selenophorus cyaneus", "Selenophorus cyclogonus", "Selenophorus dessalinesi", "Selenophorus dichromatus", "Selenophorus dilutipes", "Selenophorus dimidiatulus", "Selenophorus discoderoides", "Selenophorus dispar", "Selenophorus distinctus", "Selenophorus dives", "Selenophorus dubius", "Selenophorus elongatus", "Selenophorus emarginatus", "Selenophorus emendi", "Selenophorus exilis", "Selenophorus fabricii", "Selenophorus faldermanni", "Selenophorus famulus", "Selenophorus fatuus", "Selenophorus flavilabris", "Selenophorus flavipes", "Selenophorus foveatus", "Selenophorus foveolatus", "Selenophorus fulvicornis", "Selenophorus gagatinus", "Selenophorus galapagoensis", "Selenophorus genuinus", "Selenophorus hepburni", "Selenophorus houstoni", "Selenophorus hylacis", "Selenophorus illustris", "Selenophorus implicans", "Selenophorus insularis", "Selenophorus integer", "Selenophorus intermedius", "Selenophorus irec", "Selenophorus irideus", "Selenophorus irinus", "Selenophorus iviei", "Selenophorus lacordairei", "Selenophorus laesus", "Selenophorus laevicollis", "Selenophorus limbolaris", "Selenophorus liodiscus", "Selenophorus lubricipes", "Selenophorus marginepilosus", "Selenophorus marginepunctatus", "Selenophorus maritimus", "Selenophorus mendicus", "Selenophorus mexicanus", "Selenophorus misellus", "Selenophorus modestus", "Selenophorus multiporus", "Selenophorus multipunctatus", "Selenophorus mundus", "Selenophorus myrmidon", "Selenophorus nonseriatus", "Selenophorus obscuricornis", "Selenophorus obscurus", "Selenophorus obtusoides", "Selenophorus obtusus", "Selenophorus opacus", "Selenophorus opalinus", "Selenophorus otiosus", "Selenophorus palliatus", "Selenophorus pampicola", "Selenophorus paramundus", "Selenophorus parumpunctatus", "Schizogenius strigicollis", "Schizogenius sulcatulus", "Schizogenius sulcifrons", "Schizogenius tibialis", "Schizogenius tristriatus", "Schizogenius truquii", "Scolyptus affinis", "Scolyptus angustatus", "Scolyptus curvidens", "Scolyptus meridionalis", "Scolyptus vorax", "Scopodes adonis", "Scopodes aeneus", "Scopodes aequus", "Scopodes altus", "Scopodes amplipennis", "Scopodes angulicollis", "Scopodes aspericollis", "Scopodes assimilis", "Scopodes aterrimus", "Scopodes atricornis", "Scopodes balkei", "Scopodes basalis", "Scopodes basipunctatus", "Scopodes bicolor", "Scopodes bifoveatus", "Scopodes boops", "Scopodes bryophilus", "Scopodes caeruleus", "Scopodes caledonicus", "Scopodes chalceus", "Scopodes chalcopterus", "Scopodes cheesmanae", "Scopodes chimbu", "Scopodes cognatus", "Scopodes convexior", "Scopodes corpulentus", "Scopodes crenulatus", "Scopodes cuprascens", "Scopodes cyanofoveatus", "Scopodes darlingtoni", "Scopodes denticollis", "Scopodes depressifrons", "Scopodes donabaueri", "Scopodes flavipes", "Scopodes foveipennis", "Scopodes frater", "Scopodes frontalis", "Scopodes griffithi", "Scopodes hornabrooki", "Scopodes impressus", "Scopodes intermedius", "Scopodes interruptus", "Scopodes intricatus", "Scopodes irregularis", "Scopodes laevicollis", "Scopodes laevifrons", "Scopodes laevigatus", "Scopodes laevis", "Scopodes laticollis", "Scopodes levistriatus", "Scopodes longior", "Scopodes louwerensi", "Scopodes major", "Acanthoscurria bollei", "Argyrodes insectus", "Selenocosmia papuana", "Licuala ramsayi var. ramsayi", "Livistona alfredii", "Selenocosmia mittmannae", "Selenotichnus klapkai", "Selenotichnus olegi", "Selenotichnus parvulus", "Selina westermanni", "Semiardistomis cordicollis", "Semiardistomis cyaneolimbatus", "Semiardistomis darlingtoni", "Semiardistomis deletus", "Semiardistomis exspectatus", "Semiardistomis flavipes", "Semiardistomis glabratus", "Semiardistomis jedlickai", "Semiardistomis labialis", "Semiardistomis laevistriatus", "Semiardistomis maindroni", "Semiardistomis major", "Semiardistomis pallipes", "Semiardistomis pilosellus", "Semiardistomis propinquus", "Semiardistomis puncticollis", "Semiardistomis rugosus", "Semiardistomis semipunctatus", "Semiardistomis subglaber", "Semiardistomis viridis", "Semiclivina dentipes", "Semiclivina doolani", "Semiclivina vespertina", "Sericoda balli", "Sericoda bembidioides", "Sericoda bogemannii", "Sericoda ceylonica", "Sericoda lissoptera", "Sericoda montana", "Sericoda obsoleta", "Sericoda quadripunctata", "Siopelus ruandanus", "Siopelus snizeki", "Siopelus striatopunctatus", "Siopelus tabularis", "Siopelus tanzaniensis", "Siopelus tenuestriatus", "Siopelus tshibindensis", "Siopelus usambaranus", "Siopelus wrasei", "Siopelus zambianus", "Siopelus hypsinomus", "Siopelus kilimanus", "Siopelus oldeanicus", "Siopelus barbarae", "Siopelus exaratus", "Siopelus freyi", "Siopelus imerinae", "Siopelus kataevi", "Siopelus luteoapicalis", "Siopelus natalicus", "Siopelus pallidior", "Siopelus piceus", "Siopelus pulchellus", "Siopelus simplex", "Siopelus venustulus", "Siopelus alticola", "Siopelus angustatus", "Siopelus bunduki", "Siopelus calabaricus", "Siopelus collarti", "Siopelus crassicornis", "Siopelus damarensis", "Siopelus diatypoides", "Siopelus glabripennis", "Siopelus hargreavesi", "Siopelus kivuensis", "Siopelus laevicollis", "Siopelus leleupi", "Siopelus lineatus", "Siopelus maynei", "Siopelus pseudopunctiger", "Siopelus punctiger", "Siopelus rubrosuturatus", "Siopelus tamilnadensis", "Sirdenus debilis", "Sirdenus filiformis", "Sirdenus pallens", "Sirdenus persianus", "Sirdenus grayii", "Sitaphe hamifera", "Sitaphe incurvicollis", "Sichuanotrechus dakangensis", "Sichuanotrechus rhinoceros", "Sichuanotrechus wani", "Sidublemus solidus", "Simodontus aeneipennis", "Simodontus australis", "Simodontus brunnicolor", "Simodontus convexus", "Simodontus curtulus", "Simodontus fortnumi", "Simodontus grandiceps", "Simodontus holomelanus", "Simodontus laeviceps", "Simodontus leai", "Simodontus murrayensis", "Simodontus occultus", "Simodontus picescens", "Simodontus rotundipennis", "Simodontus sexfoveatus", "Simodontus transfuga", "Simodontus clermonti", "Simodontus rufipalpis", "Simous aeneus", "Simous annamita", "Simous borneensis", "Simous laevissimus", "Simous lampros", "Simous mouhotii", "Simous nigriceps", "Simous nubilus", "Simous obscurus", "Simous viridissimus", "Sinaphaenops xuxiakei", "Sinaphaenops pilosulus", "Sinaphaenops whitteni", "Sinaphaenops banshanicus", "Sinaphaenops bidraconis", "Sinaphaenops gracilior", "Sinaphaenops mirabilissimus", "Sinaphaenops mochongensis", "Sinaphaenops orthogenys", "Sinaphaenops trisetiger", "Sinaphaenops wangorum", "Sinaphaenops yaolinensis", "Sinaphaenops pulcherrimus", "Sinechostictus aeneoviridimicans", "Sinechostictus afghanistanus", "Sinechostictus alesmetana", "Sinechostictus arnosti", "Sinechostictus barbarus", "Sinechostictus cameroni", "Sinechostictus chuji", "Sinechostictus cribrum", "Sinechostictus cyprius", "Sinechostictus dahlii", "Sinechostictus decoratus", "Sinechostictus doderoi", "Sinechostictus elongatus", "Sinechostictus emeishanicus", "Sinechostictus exaratus", "Sinechostictus fontinalis", "Sinechostictus frederici", "Serranillus dunavani", "Serranillus jeanneli", "Serratotyphlus louisi", "Serratotyphlus madecassus", "Serratozaena paraphysea", "Serrimargo grouvellei", "Serrimargo guttiger", "Serrimargo pahangensis", "Serrimargo verrucifer", "Serrimargo vietnamensis", "Setalimorphus punctiventris", "Setalimorphus regularis", "Setalis niger", "Setalis rubripes", "Setalis sloanei", "Setodyschirius jabiru", "Setodyschirius kangaroo", "Setodyschirius macleayi", "Setodyschirius mastersii", "Setodyschirius monteithianus", "Setodyschirius ovensensis", "Setodyschirius pseudozonatus", "Setodyschirius stephensii", "Setodyschirius storeyi", "Setodyschirius torrensensis", "Setodyschirius weiri", "Setodyschirius wilsoni", "Setodyschirius zonatus", "Setolebia caligata", "Setolebia kmecoi", "Setolebia legorskyi", "Setolebia nubatama", "Setolebia sterbai", "Sfitakantha impressa", "Sfitakantha reflexa", "Shenaphaenops humeralis", "Shennongotrechus politus", "Shilinotrechus intricatus", "Shiqianaphaenops cursor", "Shiqianaphaenops majusculus", "Shuaphaenops parvicollis", "Shyrodes dohertyi", "Shyrodes nakladali", "Siagona angulifrons", "Siagona angustata", "Siagona angustipennis", "Siagona apicalis", "Siagona atrata", "Siagona australis", "Siagona baconi", "Siagona basilewskyi", "Siagona brunnipes", "Siagona caffra", "Siagona carinata", "Siagona cinctella", "Siagona conradti", "Siagona crassidens", "Siagona cyathodera", "Siagona cyclobasis", "Siagona dageti", "Siagona dejeani", "Siagona depressa", "Siagona dichroa", "Siagona dilutipes", "Singilis hanangiensis", "Singilis hirtipennis", "Singilis indicus", "Singilis jedlickai", "Singilis kabakovi", "Singilis klimenkoi", "Singilis kolesnichenkoi", "Singilis kryzhanovskii", "Singilis leleupi", "Singilis libani", "Singilis lindemannae", "Singilis loeffleri", "Singilis lucidus", "Singilis maculatus", "Singilis mahratta", "Singilis makarovi", "Singilis mashunus", "Singilis mauritanicus", "Singilis mbolom", "Singilis mesopotamicus", "Singilis montanus", "Singilis nepalensis", "Livistona carinensis", "Singilis ordinarius", "Singilis persicus", "Singilis plagiatus", "Singilis praestans", "Singilis praeustus", "Singilis puchneri", "Singilis pusillus", "Singilis saeedi", "Singilis schuelei", "Singilis semirufus", "Singilis shalapkoi", "Singilis signatus", "Singilis soror", "Singilis squalidus", "Singilis stigma", "Singilis taschkensis", "Singilis timidus", "Singilis timuri", "Singilis transversus", "Singilis turcicus", "Singilis umbraculatus", "Singilis umtalinus", "Singilis vicarius", "Singilis zonatus", "Sinocimmerites cooteri", "Sinocolpodes krapog", "Sinocolpodes semiaeneus", "Sinocolpodes sycophanta", "Sinometrius turnai", "Sinotrechiama duboisi", "Sinotrechiama imitator", "Sinotrechiama parvus", "Sinotrechiama pilifer", "Sinotrechiama tronqueti", "Sinotroglodytes bedosae", "Sinotroglodytes hygrophilus", "Sinozolus lopatini", "Sinozolus micrangulus", "Sinechostictus galloisi", "Sinechostictus ictis", "Sinechostictus inustus", "Sinechostictus kosti", "Sinechostictus kyushuensis", "Sinechostictus lederi", "Sinechostictus millerianus", "Sinechostictus moschatus", "Sinechostictus multisulcatus", "Sinechostictus muyupingi", "Sinechostictus nakabusei", "Sinechostictus nordmanni", "Sinechostictus pendleburyi", "Sinechostictus ruficornis", "Sinechostictus solarii", "Sinechostictus stomoides", "Sinechostictus tarsicus", "Sinechostictus wernermarggii", "Sinesetosa acugena", "Singiliomimus modestus", "Singiliomimus posticalis", "Singilis africaorientalis", "Singilis blandus", "Singilis bulirschi", "Singilis burtoni", "Singilis cordiger", "Singilis crypticus", "Singilis gentilis", "Singilis haekeli", "Singilis laetus", "Singilis muellerae", "Singilis paganeli", "Singilis pallens", "Singilis parvulus", "Singilis shavrini", "Singilis somalicus", "Singilis venator", "Singilis virgatus", "Singilis acaciae", "Singilis allardi", "Singilis alternans", "Singilis ambulans", "Singilis amoenulus", "Singilis anthracinus", "Singilis ater", "Singilis bashahricus", "Singilis basilewskyi", "Singilis bedeli", "Singilis bedimo", "Singilis bicolor", "Singilis centralis", "Singilis cingulatus", "Singilis cribricollis", "Singilis cyaneus", "Singilis debilis", "Singilis decellei", "Singilis discoidalis", "Singilis dorsalis", "Singilis fasciatus", "Singilis felixi", "Singilis filicornis", "Singilis flavipes", "Singilis fuscipennis", "Singilis fuscoflavus", "Siagona discoidalis", "Siagona dorsalis", "Siagona elegantula", "Siagona fabricii", "Siagona ferrugata", "Siagona ferruginea", "Siagona flesus", "Siagona fuscipes", "Siagona gerardi", "Siagona gilloni", "Siagona gruveli", "Siagona hiekei", "Siagona hovana", "Siagona induta", "Siagona insulana", "Siagona inusta", "Siagona jeanneli", "Siagona jenissonii", "Siagona kindermanni", "Siagona kulla", "Siagona leprieuri", "Siagona levasseuri", "Siagona longula", "Siagona macrocephala", "Siagona mandibularis", "Siagona menieri", "Siagona minor", "Siagona navicularis", "Siagona oberleitneri", "Siagona obscuripes", "Siagona pallipes", "Siagona parallela", "Siagona partita", "Siagona picea", "Siagona plana", "Siagona plicata", "Siagona polita", "Siagona pubescens", "Siagona pubigera", "Siagona pumila", "Siagona punctata", "Siagona punctatula", "Siagona punctulata", "Siagona pygmaea", "Siagona rifensis", "Siagona rubescens", "Siagona rubra", "Siagona rufipes", "Siagona rustica", "Siagona senegalensis", "Siagona signaticolla", "Siagona simplex", "Siagona sinistra", "Siagona sinuata", "Siagona somalia", "Siagona sublaevis", "Siagona ustulata", "Siagona vanstraeleni", "Siagona vittata", "Siagonyx amplipennis", "Siagonyx blackburni", "Siagonyx mastersii", "Sichuanotrechus albidraconis", "Sichuanotrechus anxianensis", "Sphallomorpha atrata", "Sphallomorpha barbarae", "Sphallomorpha barbata", "Sphallomorpha biclavata", "Sphallomorpha bicolor", "Sphallomorpha biguttata", "Sphallomorpha bilyi", "Sphallomorpha biplagiata", "Sphallomorpha bivittata", "Sphallomorpha boops", "Sphallomorpha brandti", "Sphallomorpha brevistylia", "Sphallomorpha carinata", "Sphallomorpha carnavona", "Sphallomorpha castelnaui", "Sphallomorpha centralis", "Sphallomorpha centrolineata", "Sphallomorpha centroplagiata", "Sphallomorpha cheesmannae", "Sphallomorpha clypeosetosa", "Sphallomorpha communis", "Sphallomorpha coriacea", "Sphallomorpha corrugata", "Sphallomorpha costalis", "Sphallomorpha dalesi", "Sphallomorpha darwini", "Sphallomorpha decipiens", "Sphallomorpha demarzi", "Sphallomorpha denisonensis", "Sphallomorpha difficilis", "Sphallomorpha discoidalis", "Sphallomorpha distinguenda", "Sphallomorpha dixoni", "Sphallomorpha dubia", "Sphallomorpha dupla", "Sphallomorpha elseyi", "Sphallomorpha eungellae", "Sphallomorpha fallax", "Sphallomorpha flavicollis", "Sphallomorpha flavomarginata", "Sphallomorpha flavopicea", "Sphallomorpha flavorufa", "Sphallomorpha froggatti", "Sphallomorpha glabrata", "Sphallomorpha grandis", "Sphallomorpha guttifera", "Sphallomorpha guttigera", "Sphallomorpha hermannsburgi", "Sphallomorpha hydroporoides", "Sphallomorpha impilosa", "Sphallomorpha incerta", "Sphallomorpha inornata", "Sphallomorpha interioris", "Sphallomorpha kurandae", "Sphallomorpha labralis", "Sphallomorpha laevigata", "Sphallomorpha laevior", "Sphallomorpha laevis", "Sphallomorpha lata", "Sphallomorpha latiflava", "Sphallomorpha latior", "Sphallomorpha latiplagiata", "Sphallomorpha litterata", "Sphallomorpha longiplagiata", "Sinozolus morvani", "Sinozolus ovalis", "Sinozolus setosus", "Sinozolus yuae", "Sinurus graciliceps", "Sinurus nitidus", "Sinurus opacus", "Siopelophonus biseriatus", "Siopelophonus congestus", "Siopelus harpaloides", "Siopelus iricolor", "Siopelus aciculatus", "Siopelus bulirschi", "Siopelus demeyeri", "Siopelus pavoninus", "Siopelus persculptus", "Siopelus zuzartei", "Siopelus ceradotus", "Siopelus creberrimus", "Siopelus iris", "Siopelus lucens", "Siopelus micans", "Siopelus radama", "Siopelus andrewesianus", "Siopelus birmanicus", "Siopelus matsumurai", "Siopelus punctulatus", "Siopelus stevensi", "Siopelus neomaynei", "Siopelus aethiopicus", "Siopelus amaroides", "Siopelus australis", "Siopelus babaulti", "Siopelus basilewskyanus", "Siopelus basilewskyi", "Siopelus brittoni", "Siopelus caffrarius", "Siopelus calathoides", "Siopelus camerunensis", "Siopelus castaneus", "Siopelus chisasa", "Siopelus connexus", "Siopelus consobrinus", "Siopelus cratericola", "Siopelus czeppeli", "Siopelus decorsei", "Siopelus fletifer", "Siopelus fuscus", "Siopelus guineensis", "Siopelus irritans", "Siopelus jeanneli", "Siopelus kenyanus", "Siopelus kikuyu", "Siopelus melancholicus", "Siopelus micros", "Siopelus nimbanus", "Siopelus nyassicus", "Siopelus occidentalis", "Siopelus orientalis", "Siopelus patruelis", "Siopelus pediobius", "Siopelus pseudopunctatellus", "Siopelus punctatellus", "Siopelus quadraticollis", "Speagonum mirabile", "Spelaeodytes mirabilis", "Spelaeovulcania canariensis", "Speluncarius cyrilli", "Speluncarius leonhardi", "Speluncarius leonis", "Speluncarius oertzeni", "Speluncarius speluncicola", "Speluncarius veluchianus", "Speluncarius boluensis", "Speluncarius heracleotes", "Speluncarius schweigeri", "Speluncarius albanicus", "Speluncarius ponticus", "Speluncarius anophthalmus", "Speluncarius bericus", "Speluncarius breuningi", "Speluncarius henroti", "Speluncarius machardi", "Speluncarius minimus", "Speluncarius minusculus", "Speluncarius minutulus", "Speluncarius pasquinii", "Speluncarius pesarinii", "Speluncarius rumelicus", "Speluncarius seticeps", "Speluncarius setipennis", "Speluncarius stefani", "Speluncarius vailatii", "Speocolpodes franiai", "Speokokosia corneti", "Speomolops sardous", "Speotarus lucifugus", "Speothalpius grayi", "Speotrechus mayeti", "Speozuphium poultieri", "Sphaeroderus bicarinatus", "Sphaeroderus canadensis", "Sphaeroderus indianae", "Sphaeroderus nitidicollis", "Sphaerodinus goudoti", "Sphaerodinus pauliani", "Sphaerostylus acutangulus", "Sphaerostylus alluaudi", "Sphaerostylus feai", "Sphaerostylus guineensis", "Sphaerostylus insularis", "Sphaerostylus levis", "Sphaerostylus longipennis", "Sphaerostylus luteus", "Sphaerostylus striatus", "Sphaerostylus vadoni", "Sphaerostylus bimaculatus", "Sphaerostylus brevipennis", "Sphaerostylus ditomoides", "Sphaerostylus goryi", "Sphaerostylus punctatostriatus", "Sphallomorpha aberrans", "Sphallomorpha acutangula", "Sphallomorpha aenigmatica", "Sphallomorpha albopicta", "Sphallomorpha amabilis", "Sphallomorpha lustrans", "Sphallomorpha lyra", "Sphallomorpha macleayi", "Livistona drudei", "Sphallomorpha maculata", "Sphallomorpha maculigera", "Sphallomorpha marginata", "Sphallomorpha marginoides", "Sphallomorpha mastersii", "Sphallomorpha metallica", "Sphallomorpha meyeri", "Sphallomorpha minima", "Sphallomorpha minor", "Sphallomorpha mjobergi", "Sphallomorpha monteithi", "Sphallomorpha moorei", "Sphallomorpha multipunctata", "Sphallomorpha multiseta", "Sphallomorpha murrayana", "Sphallomorpha nigrina", "Sphallomorpha nitiduloides", "Sphallomorpha novaeguineae", "Sphallomorpha obsoleta", "Sphallomorpha occidentalis", "Sphallomorpha ochracea", "Sphallomorpha oculata", "Sphallomorpha ovalis", "Sphallomorpha parallela", "Sphallomorpha parinterioris", "Sphallomorpha parva", "Sphallomorpha pauciseta", "Sphallomorpha permutata", "Sphallomorpha pernigra", "Sphallomorpha picta", "Sphallomorpha pilosa", "Sphallomorpha plagiata", "Sphallomorpha polita", "Sphallomorpha politoides", "Sphallomorpha polysetosa", "Sphallomorpha propinqua", "Sphallomorpha proxima", "Sphallomorpha pumila", "Sphallomorpha punctata", "Sphallomorpha quadrata", "Sphallomorpha quadrilineata", "Sphallomorpha quadrimaculata", "Sphallomorpha quadriplagiata", "Sphallomorpha queenslandica", "Sphallomorpha rhomboidalis", "Sphallomorpha rockhamptonensis", "Sphallomorpha ruficollis", "Sphallomorpha sculpturata", "Sphallomorpha sedlaceki", "Sphallomorpha semistriata", "Sphallomorpha setifera", "Sphallomorpha signata", "Sphallomorpha similata", "Sphallomorpha speciosa", "Sphallomorpha spurgeoni", "Sphallomorpha sternoincisa", "Sphallomorpha storeyi", "Sphallomorpha striata", "Sphallomorpha striatopunctata", "Sphallomorpha sulcata", "Sphallomorpha suturalis", "Sphallomorpha suturata", "Sphallomorpha szitoi", "Sphallomorpha tamborinae", "Sphallomorpha territorialis", "Sphallomorpha thouzeti", "Sphallomorpha thouzetoides", "Sphallomorpha tolgae", "Sphallomorpha torresia", "Sphallomorpha tozeria", "Sphallomorpha transversalis", "Sphallomorpha triangularis", "Sphallomorpha tropica", "Sphallomorpha tropicalis", "Sphallomorpha unicolor", "Sphallomorpha uniformis", "Sphallomorpha unita", "Sphallomorpha uptoni", "Sphallomorpha versicolor", "Sphallomorpha viridis", "Sphallomorpha weiri", "Sphallomorpha westralis", "Sphallomorpha westwoodi", "Sphallomorpha wilgae", "Sphodropsis babusarensis", "Sphodropsis deuvei", "Livistona eastonii", "Sphodropsis elegans", "Sphodropsis elongatula", "Sphodropsis ghilianii", "Sphodropsis heinzi", "Sphodropsis nouristanensis", "Sphodropsis pakistana", "Sphodropsis physignatha", "Sphodropsis staveni", "Sphodroschema bayoni", "Sphodroschema crampeli", "Sphodroschema haeckeli", "Sphodroschema itigiensis", "Sphodrosomus griseolus", "Sphodrus trochanteribus", "Sphoerodes camerunus", "Sphoerodes gracilior", "Sphoerodes impunctatus", "Sphoerodes striatus", "Sporades beatricis", "Sporades daccordii", "Sporades macrops", "Sporades millei", "Sporades perileptoides", "Sporades schuhi", "Sporades sexpunctatus", "Sporades testaceus", "Srimara planicollis", "Steganomma carteri", "Steganomma doddi", "Steganomma porcatum", "Stegazopteryx ivimkaensis", "Stenidia abdominalis", "Stenidia angulata", "Stenidia angusta", "Stenidia approximans", "Stenidia bicolor", "Stenidia blanda", "Stenognathus platypterus", "Stenognathus plaumanni", "Stenognathus procerus", "Stenognathus quadricollis", "Stenognathus robustus", "Stenognathus stricticollis", "Stenolepta cylindrica", "Stenolepta gobettii", "Stenolepta transcaspica", "Stenolophus binotatus", "Stenolophus comma", "Stenolophus infuscatus", "Stenolophus lecontei", "Stenolophus lineola", "Stenolophus maculatus", "Stenolophus rugicollis", "Stenolophus andrewesi", "Stenolophus asakawaensis", "Stenolophus bousqueti", "Stenolophus fulvicornis", "Stenolophus karasawai", "Stenolophus meyeri", "Stenolophus rufoabdominalis", "Stenolophus rufolimbatus", "Stenolophus schaubergeri", "Stenolophus shirakii", "Stenolophus uenoi", "Stenolophus alacer", "Stenolophus angolanus", "Stenolophus bajaurae", "Stenolophus balli", "Stenolophus basirufus", "Stenolophus bilineatus", "Stenolophus brevicornis", "Stenolophus brittoni", "Stenolophus caeruleus", "Stenolophus camerunensis", "Stenolophus capensis", "Stenolophus comptus", "Stenolophus concinnus", "Stenolophus congoensis", "Stenolophus cyclops", "Stenolophus difficilis", "Stenolophus discriminatus", "Stenolophus dorsiger", "Stenolophus dumainei", "Stenolophus electus", "Stenolophus elegantulus", "Stenolophus fenestratus", "Stenolophus fugax", "Stenolophus germanus", "Stenolophus humeralis", "Stenolophus humeroguttatus", "Stenolophus interruptus", "Stenolophus iridescens", "Livistona fulva", "Stenolophus irinorufus", "Stenolophus irinoviridis", "Stenolophus jeanneli", "Stenolophus kivuensis", "Stenolophus kmecoi", "Stenidia corusca", "Stenidia edwardsii", "Stenidia elegantula", "Stenidia fraterna", "Stenidia hovana", "Stenidia jucunda", "Stenidia lenta", "Stenidia mareei", "Stenidia metallica", "Stenidia nigricollis", "Stenidia quadricollis", "Stenidia rugicollis", "Stenidia spinipennis", "Stenidia unicolor", "Stenidia viridis", "Stenocheila lacordairei", "Stenochoromus montenegrinus", "Stenocnemus mannerheimii", "Stenocosmia angusta", "Stenocosmia tenuicollis", "Stenocrepis angustipennis", "Stenocrepis cayennensis", "Stenocrepis insulana", "Stenocrepis laevigata", "Stenocrepis leprieurii", "Stenocrepis marginella", "Stenocrepis pauper", "Stenocrepis punctatostriata", "Stenocrepis robusta", "Stenocrepis sahlbergii", "Stenocrepis sinuata", "Stenocrepis aeruginea", "Stenocrepis cuprea", "Stenocrepis duodecimstriata", "Stenocrepis elegans", "Stenocrepis flavicrus", "Stenocrepis fuscipes", "Stenocrepis gilvipes", "Stenocrepis gratiosa", "Stenocrepis guerini", "Stenocrepis metallica", "Stenocrepis mexicana", "Stenocrepis nigricornis", "Stenocrepis olivacea", "Stenocrepis pallipes", "Stenocrepis palustris", "Stenocrepis quatuordecimsulcata", "Stenocrepis subdepressa", "Stenocrepis tibialis", "Stenocrepis triaria", "Stenocrepis viridula", "Stenognathus dentifemoratus", "Stenognathus dentifer", "Stenognathus onorei", "Stenognathus batesi", "Stenognathus chaudoiri", "Stenognathus crassus", "Stenognathus crenulatus", "Stenognathus gagatinus", "Stenognathus jauja", "Stenognathus longipennis", "Stenognathus luctuosus", "Stenognathus melanarius", "Stenognathus nigropiceus", "Stenolophus kusamai", "Stenolophus lamottei", "Stenolophus linearis", "Stenolophus lucidus", "Stenolophus major", "Stenolophus marginatus", "Stenolophus marshalli", "Stenolophus melniki", "Stenolophus metrius", "Stenolophus mjobergi", "Stenolophus motoensis", "Stenolophus natalicus", "Stenolophus neghellianus", "Stenolophus nepalensis", "Stenolophus nigerianus", "Stenolophus nitens", "Stenolophus nitidulus", "Stenolophus obockianus", "Stenolophus obscurus", "Stenolophus ovchinnikovi", "Stenolophus parallelus", "Stenolophus pauliani", "Stenolophus perrieri", "Stenolophus plagifer", "Stenolophus planicostatus", "Stenolophus promptus", "Stenolophus pseudoobockianus", "Stenolophus pseudorelucens", "Stenolophus pseudovariolatus", "Stenolophus quadrimaculatus", "Stenolophus quadripustulatus", "Stenolophus quinquepustulatus", "Stenolophus rectifrons", "Stenolophus relucens", "Stenolophus rhodesianus", "Stenolophus robustus", "Stenolophus rufithorax", "Stenolophus rufiventris", "Stenolophus ruwenzoricus", "Stenolophus satoi", "Stenolophus scapularis", "Stenolophus sicardi", "Stenolophus silvestrii", "Stenolophus similatus", "Stenolophus simillimus", "Stenolophus smaragdulus", "Stenolophus splendidus", "Stenolophus straneoi", "Stenolophus suturalis", "Stenolophus terminalis", "Stenolophus tessellatus", "Stenolophus trivittis", "Stenolophus urundianus", "Stenolophus vandenbulckei", "Stenolophus variolatus", "Stenolophus viridescens", "Stenolophus vittiger", "Stenolophus yonaguniensis", "Stenolophus yunnanus", "Stenolophus zambezianus", "Stenolophus zambiensis", "Stenolophus zarcoi", "Stenolophus abdominalis", "Syntomus silensis", "Syntomus submaculatus", "Syntomus subvittatus", "Syntomus transvaalensis", "Syntomus truncatellus", "Syntomus wutaishanicus", "Syntomus yemenita", "Synuchidius ganglbaueri", "Synuchus adelosia", "Synuchus agonoides", "Synuchus agonus", "Synuchus amamioshimae", "Synuchus andrewesi", "Synuchus angusticeps", "Synuchus angustus", "Synuchus arcuaticollis", "Synuchus assamensis", "Synuchus atricolor", "Synuchus bellus", "Synuchus brevis", "Synuchus breviusculus", "Synuchus calathinus", "Synuchus callitheres", "Synuchus cathaicus", "Synuchus chabo", "Synuchus congruus", "Synuchus coreanus", "Synuchus crocatus", "Synuchus cycloderus", "Synuchus dubius", "Synuchus dulcigradus", "Synuchus elburzensis", "Synuchus formosanus", "Synuchus fukuharai", "Synuchus fulvus", "Synuchus gigas", "Synuchus gravidus", "Synuchus hikosanus", "Synuchus himalayicus", "Synuchus hummeli", "Synuchus impunctatus", "Synuchus inadai", "Synuchus intermedius", "Synuchus ishigakiensis", "Synuchus keinigus", "Synuchus laticollis", "Synuchus limbalis", "Synuchus longipes", "Synuchus longissimus", "Synuchus macer", "Synuchus major", "Synuchus melantho", "Synuchus microtes", "Synuchus minimus", "Synuchus montanus", "Synuchus nanpingensis", "Synuchus narae", "Synuchus nitidus", "Synuchus nordmanni", "Synuchus orbicollis", "Synuchus pallidulus", "Synuchus pallipes", "Synuchus patroboides", "Selenophorus parvus", "Selenophorus pedicularius", "Selenophorus placidus", "Selenophorus planipennis", "Selenophorus pleuriticus", "Selenophorus poeciloides", "Selenophorus promptus", "Selenophorus propinquus", "Selenophorus pseudomundus", "Selenophorus pulcherrimus", "Selenophorus pullus", "Selenophorus punctiger", "Selenophorus punctipennis", "Selenophorus punctulatus", "Selenophorus putzeysi", "Selenophorus pyritosus", "Selenophorus riparius", "Selenophorus rodriguezi", "Selenophorus rufescens", "Selenophorus ruficollis", "Selenophorus rugipennis", "Selenophorus rugulosus", "Selenophorus sallei", "Selenophorus satyrus", "Selenophorus scolopaceus", "Selenophorus semirufus", "Selenophorus seriatoporus", "Selenophorus sinuaticollis", "Selenophorus splendidus", "Selenophorus steinheili", "Selenophorus striatopunctatus", "Selenophorus suavis", "Selenophorus subaeneus", "Selenophorus subcordatus", "Selenophorus subquadratus", "Selenophorus subsinuatus", "Selenophorus tarsalis", "Selenophorus tesselatus", "Selenophorus tibialis", "Selenophorus trepidus", "Selenophorus tubericauda", "Selenophorus valgus", "Selenophorus variabilis", "Selenophorus variegatus", "Selenophorus ventralis", "Selenophorus vicinus", "Selenophorus vilis", "Selenophorus woodruffi", "Selenophorus xantholomus", "Drusilla convexifrons", "Geodia apiarium", "Drusilla foreli", "Stenolophus agonoides", "Stenolophus anceps", "Stenolophus arcuaticollis", "Stenolophus badius", "Stenolophus carbo", "Stenolophus castaneipennis", "Stenolophus charis", "Stenolophus cincticollis", "Stenolophus cinctipennis", "Stenolophus connotatus", "Stenolophus cruentatus", "Stenolophus debilis", "Stenolophus dissimilis", "Stenolophus doiinthanonus", "Stenolophus dorsalis", "Stenolophus flavipes", "Stenolophus fuliginosus", "Stenolophus fuscatus", "Stenolophus gonidius", "Stenolophus humidus", "Stenolophus impunctatus", "Stenolophus incultus", "Stenolophus iridicolor", "Stenolophus kurosai", "Stenolophus lentulus", "Stenolophus liebmanni", "Stenolophus limbalis", "Stenolophus longicollis", "Stenolophus megacephalus", "Stenolophus mexicanus", "Stenolophus mixtus", "Stenolophus nigridius", "Stenolophus ochropezus", "Stenolophus opaculus", "Stenolophus ovatulus", "Stenolophus paulinoi", "Stenolophus persimilis", "Stenolophus plagiatus", "Stenolophus plebejus", "Stenolophus polygenus", "Stenolophus propinquus", "Stenolophus proximus", "Stenolophus quadratus", "Stenolophus quadriseriatus", "Stenolophus sinensis", "Stenolophus splendidulus", "Stenolophus spretus", "Stenolophus steveni", "Stenolophus szetschuanus", "Stenolophus taoi", "Stenolophus teutonus", "Stenolophus trichotichnoides", "Stenolophus ussuricus", "Stenolophus volucer", "Stenolophus obscuripes", "Stenomorphus angustatus", "Stenomorphus californicus", "Stenomorphus convexior", "Stenomorphus cubanus", "Stenomorphus penicillatus", "Stenomorphus sinaloae", "Stenoodes jeanneli", "Stenotelus opacus", "Stenotelus piceus", "Stenotelus spinosus", "Stereostoma angolense", "Stereostoma balbisi", "Stereostoma camerunum", "Stereostoma clarkei", "Stereostoma conradti", "Stereostoma corpulentum", "Stereostoma ertli", "Stereostoma erythraeum", "Stereostoma girardi", "Stereostoma guineense", "Stereostoma hirtipenne", "Stereostoma incisum", "Stereostoma ingens", "Stereostoma interstitiale", "Stereostoma jeanneli", "Stereostoma kuntzeni", "Stereostoma praecellens", "Stereostoma rhodesianum", "Stereostoma sansibaricum", "Stereostoma senegalense", "Stereostoma titschacki", "Stereostoma usambaricum", "Stereostoma punctatum", "Stereostoma punctisternum", "Stereostoma solidum", "Stereostoma stuhlmanni", "Stereostoma tenebrioides", "Stereostoma whitei", "Steropanus aequus", "Steropanus chinensis", "Steropanus deliciatus", "Steropanus felix", "Steropanus forticornis", "Steropanus glymmiger", "Steropanus infissus", "Steropanus mengtzei", "Steropanus thailandensis", "Steropanus thailandicus", "Steropanus violaceus", "Stevensius bidulus", "Stevensius brunneoides", "Stevensius brunneus", "Stevensius deharvengi", "Stevensius lampros", "Stevensius minutus", "Stevensius smetanai", "Stevensius striatulus", "Sthenocranion severini", "Stigmatachys uvea", "Stilboma smaragdus", "Stilboma viridis", "Stolonis apicata", "Stolonis catenaria", "Stolonis dimidiaticornis", "Stolonis elegans", "Stolonis fulvostigma", "Stolonis gracilis", "Stolonis intercepta", "Stolonis laevicollis", "Stolonis leistoides", "Stolonis leucotela", "Stolonis martinezi", "Stolonis notula", "Stolonis ovaticollis", "Stolonis parvula", "Stolonis spinosa", "Stomis termitiformis", "Stomis benesi", "Stomis benoiti", "Stomis brivioi", "Stomis bucciarellii", "Stomis cavazzutii", "Stomis chinensis", "Stomis collucens", "Stomis danielanus", "Stomis deuvei", "Stomis elegans", "Stomis elongatus", "Stomis exilis", "Stomis facchinii", "Stomis fallettii", "Stomis farkaci", "Stomis formosus", "Stomis gigas", "Stomis granulatus", "Stomis habashanensis", "Stomis hyrcanus", "Stomis jelineki", "Stomis ludmilae", "Stomis ovipennis", "Stomis politus", "Stomis prognathus", "Stomis pumicatus", "Stomis robustus", "Stomis roccai", "Stomis romani", "Stomis rostratus", "Stomis schoenmanni", "Stomis sehnali", "Stomis stefanii", "Stomis taibashanensis", "Stomis titanus", "Stomis tschitscherini", "Stomis vignai", "Stomis zaonus", "Stomonaxellus ceylanensis", "Stomonaxellus filicornis", "Storthodontus aegeon", "Storthodontus ambreanus", "Storthodontus boileaui", "Storthodontus bresseti", "Storthodontus diastictus", "Storthodontus elegans", "Storthodontus impressifrons", "Storthodontus mathiauxi", "Storthodontus nimrod", "Storthodontus peyrierasi", "Storthodontus reticulatus", "Straneoa collatata", "Straneoa seligmani", "Straneoites morogoro", "Straneostichus farkaci", "Stygiotrechus kadanus", "Stygiotrechus kitayamai", "Stygiotrechus kubotai", "Stygiotrechus misatonis", "Stygiotrechus miyamai", "Stygiotrechus miyoshiorum", "Stygiotrechus morimotoi", "Stygiotrechus nishikawai", "Stygiotrechus ohtanii", "Stygiotrechus pachys", "Stygiotrechus parvulus", "Stygiotrechus sasajii", "Stygiotrechus satoui", "Stygiotrechus unidentatus", "Stylulus plaumanni", "Stylulus isabelae", "Stylulus nasutus", "Styphlomerus batesi", "Styphlomerus fusciceps", "Styphlomerus fuscicollis", "Styphlomerus fuscifrons", "Styphlomerus impressifrons", "Styphlomerus korgei", "Styphlomerus opacicollis", "Styphlomerus ruficeps", "Styphlomerus timoriensis", "Styphlomerus amplus", "Styphlomerus aulicus", "Styphlomerus burgeoni", "Styphlomerus ciliatus", "Styphlomerus comoricus", "Styphlomerus cribricollis", "Styphlomerus equestris", "Styphlomerus exilis", "Styphlomerus fallax", "Styphlomerus flavus", "Styphlomerus foveatus", "Styphlomerus gebieni", "Styphlomerus kamerunus", "Styphlomerus kisantuus", "Styphlomerus kochi", "Styphlomerus lamottei", "Styphlomerus ludicrus", "Styphlomerus methneri", "Styphlomerus montanus", "Styphlomerus neavei", "Styphlomerus ovalipennis", "Styphlomerus paralleloides", "Styphlomerus piccolo", "Styphlomerus placidus", "Styphlomerus plausibilis", "Styphlomerus postdilatatus", "Styphlomerus puberulus", "Styphlomerus quadrimaculatus", "Styphlomerus renaudi", "Styphlomerus seyrigi", "Styphlomerus sinus", "Styphlomerus speciosus", "Styphlomerus sticticollis", "Styphlomerus tellini", "Styphlomerus titschacki", "Styphlomerus undulatus", "Styphlomerus vittaticollis", "Styracoderus atramentarius", "Straneostichus fischeri", "Straneostichus haeckeli", "Straneostichus kirschenhoferi", "Straneostichus ovipennis", "Straneostichus puetzi", "Straneostichus rotundatus", "Straneostichus vignai", "Straneotia amazonica", "Straneotia freyi", "Stratiotes batesi", "Stratiotes clivinoides", "Stratiotes iracundus", "Stricklandiana batantae", "Stricklandiana carinata", "Stricklandiana contracta", "Stricklandiana digulensis", "Stricklandiana glabrimargo", "Stricklandiana lata", "Stricklandiana longicornis", "Stricklandiana marginalis", "Stricklandiana nigra", "Stricklandiana pericalloides", "Stricklandiana setosa", "Stricteripus baenningeri", "Stricteripus hoffmani", "Stricteripus impressus", "Stricteripus peruvianus", "Striganoviella subopaca", "Striganoviella vanhillei", "Strigia atra", "Strigia maxillaris", "Strigia stigma", "Strigomerodes basilewskyi", "Strigomerodes burgeoni", "Strigomerodes laevis", "Strigomerodes patrizii", "Strigomerodes punctifrons", "Strigomerodes singularis", "Strigomerodes uelensis", "Strigomerus basilewskyanus", "Strigomerus cribratus", "Strigomerus damarensis", "Strigomerus ferrugineus", "Strigomerus freyi", "Strigomerus girardi", "Strigomerus glaber", "Strigomerus katanganus", "Strigomerus latibasis", "Strigomerus levisternus", "Strigomerus magnus", "Strigomerus marshalli", "Strigomerus meruensis", "Strigomerus parvicollis", "Strigomerus schoenherri", "Strigomerus sulcipennis", "Strigomerus trisetosus", "Strigomerus troglophilus", "Stuhlmannium mirabile", "Stygiotrechus azami", "Stygiotrechus eos", "Stygiotrechus esakii", "Stygiotrechus itoi", "Stygiotrechus iyonis", "Stygiotrechus izumonis", "Tachys ambulatus", "Tachys apex", "Tachys arcanicola", "Tachys asemus", "Tachys austinicus", "Tachys avius", "Tachys barbieri", "Tachys bathyglyptus", "Tachys beatus", "Tachys beaumonti", "Tachys bicoloratus", "Tachys bistriatus", "Tachys blemoides", "Tachys bloetei", "Tachys bonariensis", "Tachys borkuensis", "Tachys bouchardi", "Tachys bredoi", "Tachys brunniceps", "Tachys caffer", "Tachys caheni", "Tachys cameroni", "Tachys cardoni", "Tachys carib", "Tachys caspius", "Tachys castaneicolor", "Tachys centriustatus", "Tachys chiriquinus", "Tachys cinctus", "Tachys colonicus", "Tachys columbiensis", "Tachys crypticola", "Tachys cubax", "Tachys cycloderus", "Tachys cyprius", "Tachys delamarei", "Tachys delicatus", "Tachys dentatus", "Tachys devroeyi", "Tachys diminutus", "Tachys diploharpinus", "Tachys dominicanus", "Tachys dorsalis", "Tachys dromioides", "Tachys dzosonicus", "Tachys edax", "Tachys ellenbergeri", "Tachys elongatulus", "Tachys enormis", "Tachys euryodes", "Tachys excisicollis", "Tachys filax", "Tachys flavax", "Tachys flavicollis", "Tachys fortunatus", "Tachys fulvicollis", "Tachys fumax", "Tachys gracchus", "Tachys guangxicus", "Tachys holmi", "Tachys hyalinus", "Tachys hydrophilus", "Tachys impressus", "Tachys incertus", "Synuchus picicolor", "Synuchus pinguiusculus", "Synuchus pseudomorphus", "Synuchus pulcher", "Synuchus rectangulus", "Synuchus rjabuchini", "Synuchus robustus", "Synuchus rufofuscus", "Synuchus rufulus", "Synuchus satoi", "Synuchus semirufus", "Synuchus shibatai", "Synuchus sichuanensis", "Synuchus sikkimensis", "Synuchus sinomeridionalis", "Synuchus sinuaticollis", "Synuchus suensoni", "Synuchus taiwanus", "Synuchus takeuchii", "Synuchus tanzawanus", "Synuchus testaceus", "Synuchus tokararum", "Synuchus truncatus", "Synuchus ventricosus", "Synuchus vivalis", "Synuchus yasumatsui", "Systolocranius alternans", "Systolocranius ampliolatus", "Systolocranius brachymorphus", "Systolocranius brachypterus", "Systolocranius carinatus", "Systolocranius centralis", "Systolocranius curtus", "Systolocranius depressus", "Systolocranius discrepans", "Systolocranius elongatus", "Systolocranius giganteus", "Systolocranius girardi", "Systolocranius goryi", "Systolocranius ingens", "Systolocranius linea", "Systolocranius lucidulus", "Systolocranius luvungiensis", "Systolocranius mandibularis", "Systolocranius parumpunctatus", "Systolocranius perrieri", "Systolocranius protenius", "Systolocranius ruandanus", "Systolocranius senegalensis", "Systolocranius sulcipennis", "Systolocranius tibialis", "Systolocranius uelensis", "Systolocranius valens", "Systolocranius zavattarii", "Tachypeles cordicollis", "Tachypeles dichroma", "Tachypeles erwinorum", "Tachypeles gonioderoides", "Tachypeles limonensis", "Tachys collardi", "Tachys abruptus", "Tachys aeneipennis", "Tachys aequinoctialis", "Tachys albipes", "Tachys intermedius", "Tachys iridipennis", "Tachys jeannei", "Tachys joannae", "Tachys kabylianus", "Tachys kahuzianus", "Tachys kaorutanakai", "Tachys koizumii", "Tachys koreanorum", "Tachys laevigatus", "Tachys lamottei", "Tachys latalatus", "Tachys leptocerus", "Tachys leytensis", "Tachys limbatellus", "Tachys lindi", "Tachys lissonotus", "Tachys lugubris", "Tachys lusciosus", "Tachys luscus", "Tachys macrops", "Tachys mameti", "Tachys masculus", "Tachys massauxi", "Tachys mastersi", "Tachys micros", "Tachys mirandus", "Tachys mirei", "Tachys monostictus", "Tachys nephelodes", "Tachys oblitus", "Tachys obtusiusculus", "Tachys opalescens", "Tachys orphninus", "Tachys pallorus", "Tachys palustris", "Tachys panamensis", "Tachys paulax", "Tachys piceolus", "Tachys plagiatus", "Tachys pliginskii", "Tachys potomacus", "Tachys privus", "Tachys prolixus", "Tachys proximus", "Tachys pseudolusciosus", "Tachys pujoli", "Tachys pumilus", "Tachys rectangulus", "Tachys rhodeanus", "Tachys sagax", "Tachys sequax", "Tachys sericans", "Tachys sericeus", "Tachys serratus", "Tachys sibling", "Tachys simulator", "Tachys spadix", "Tachys striax", "Tachys subangulatus", "Tachys sublobatus", "Tachys suboculatus", "Tachys sundaicus", "Tachys suturifer", "Styracoderus azarai", "Styracoderus martinezi", "Subilsia senenti", "Sumatrechus carstenzorni", "Sumatrechus peterzorni", "Sumlinia halophila", "Sumlinia hirsutifrons", "Superbotrechus bennetti", "Suzuka kobayashii", "Suzuka masuzoi", "Suzuka morii", "Syleter andrewesi", "Syleter doriai", "Syleter fulvaster", "Syleter malayicus", "Syleter papua", "Syleter paradoxus", "Syleter porphyreus", "Syleter validus", "Syletor imerinae", "Syntomus africanus", "Syntomus ai", "Syntomus americanus", "Syntomus andrewesi", "Syntomus arrowi", "Syntomus barbarus", "Syntomus bedeli", "Syntomus bifasciatus", "Syntomus bresi", "Syntomus brevipennis", "Syntomus cymindulus", "Syntomus dilutipes", "Syntomus elgonicus", "Syntomus erythreensis", "Syntomus foveatus", "Syntomus foveolatus", "Syntomus fuscomaculatus", "Syntomus grayii", "Syntomus hastatus", "Syntomus impar", "Syntomus impressus", "Syntomus inaequalis", "Syntomus jaechi", "Syntomus javanus", "Syntomus lancerotensis", "Syntomus lateralis", "Syntomus leleupi", "Syntomus lundbladi", "Syntomus maculatus", "Syntomus masaicus", "Syntomus michaelseni", "Syntomus mongolicus", "Syntomus montanus", "Syntomus monticola", "Syntomus namanus", "Syntomus nepalensis", "Syntomus nitidulus", "Syntomus obscuroguttatus", "Syntomus pallipes", "Syntomus parallelus", "Syntomus philippinus", "Syntomus pubescens", "Syntomus quadripunctatus", "Syntomus rufulus", "Sitaphe minuta", "Sitaphe ovipennis", "Sitaphe parallelipennis", "Sitaphe parvicollis", "Sitaphe rotundata", "Sitaphe trapezicollis", "Skoeda deliae", "Skoeda digammus", "Skoeda divleo", "Skoeda heinigeri", "Skoeda holzschuhi", "Skoeda kornreizus", "Skoeda moanus", "Skoeda montis", "Skoeda mus", "Skoeda naviauxi", "Skoeda shimomurai", "Skorlagad cameroni", "Skorlagad kornbihanik", "Skorlagad kucerai", "Skorlagad nepalensis", "Skouedhirraad kucerai", "Skouedhirraad sikkimensis", "Sloaneana curvicollis", "Sloanella obscura", "Sloanella pallida", "Sloanella simsoni", "Sloanella suavis", "Smeringocera baenningeri", "Smeringocera convexa", "Smeringocera gestroi", "Smeringocera lineola", "Smeringocera mashuna", "Smeringocera nigeriana", "Socotrana labroturrita", "Sofota chuji", "Sofota nanlingensis", "Sofota nigra", "Sofota perakensis", "Solenogenys funkei", "Solenogenys rhysodoides", "Solenogenys thomsoni", "Somalodromius basilewskyi", "Somoplatodes kuntzeni", "Somoplatodes multisetosus", "Somoplatus amplicollis", "Somoplatus brevicollis", "Somoplatus depilis", "Somoplatus elongatus", "Somoplatus fulvus", "Somoplatus genierorum", "Somoplatus girardi", "Somoplatus guineensis", "Somoplatus hospes", "Somoplatus ivoirensis", "Somoplatus morettoi", "Somoplatus pilicollis", "Somoplatus septentrionalis", "Somoplatus simillimus", "Somoplatus substriatus", "Somotrichus unifasciatus", "Sophroferonia parvitarsis", "Sparostes brevicollis", "Sparostes striatulus", "Tachys testaceus", "Tachys transcaucasicus", "Tachys transumbratus", "Tachys transversicollis", "Tachys trechoderus", "Tachys trechulus", "Tachys troglocola", "Tachys troglophilus", "Tachys tropicalis", "Tachys tropicus", "Tachys uelensis", "Tachys uenoianus", "Tachys umbripennis", "Tachys vandeli", "Tachys vandepolli", "Tachys varsavianorum", "Tachys ventricosus", "Tachys venustus", "Tachys vernilis", "Tachys vilis", "Tachys vorax", "Tachys xanthochrous", "Tachys yeboensis", "Tachys yorkensis", "Tachys zonatus", "Tachys algiricus", "Tachys atomarius", "Tachys atomus", "Tachys brachys", "Tachys brevicornis", "Tachys brunneus", "Tachys cardioderus", "Tachys curtulus", "Tachys descarpentriesi", "Tachys exochrias", "Tachys gilvus", "Tachys impressipennis", "Tachys laevus", "Tachys leleupi", "Tachys microscopicus", "Tachys mus", "Tachys myrmecophilus", "Tachys nanniscus", "Tachys naraensis", "Tachys niger", "Tachys nitmiluki", "Tachys ochrias", "Tachys ochrioides", "Tachys particula", "Tachys prionotus", "Tachys pusillimus", "Tachys rambai", "Tachys subbrunneus", "Tachys truncatus", "Tachys androyanus", "Tachys angustulus", "Tachys argentinicus", "Tachys bradycellinus", "Tachys bryanti", "Tachys centralis", "Tachys centromaculatus", "Tachys corax", "Tachys dimediatus", "Tachys erwini", "Tachys halophilus", "Tachys impictus", "Tachys jucundulus", "Tachys languidus", "Tachys lenkoranus", "Tachys litoralis", "Tachys longulus", "Tachys misellus", "Tachys mordax", "Tachys oahuensis", "Tachys pallidus", "Tachys pharao", "Tachys pulchellus", "Tachys queenslandicus", "Tachys scutellaris", "Tachys sellatus", "Tachys sexguttatus", "Tachys sudanicus", "Tachys tetraphacus", "Tachys torretassoi", "Tachys translucens", "Tachys vibex", "Tachys virgo", "Tachys vittiger", "Tachys arculus", "Tachys artensis", "Tachys assamicus", "Tachys atratus", "Tachys atridermis", "Tachys australicus", "Tachys baldiensis", "Tachys blackburni", "Tachys bolellus", "Tachys bolus", "Tachys caledonicus", "Tachys callipygus", "Tachys carinulatus", "Tachys coriaceus", "Tachys discipennis", "Tachys dostali", "Tachys ectromioides", "Tachys federicae", "Tachys fortestriatus", "Tachys infuscatus", "Tachys lividus", "Tachys macleayi", "Tachys marggii", "Tachys marri", "Tachys mitchelli", "Tachys mulwalensis", "Tachys olemartini", "Tachys politissimus", "Tachys pseudosericeus", "Tachys riedeli", "Selenocosmia barensteinerae", "Tachys schuberti", "Tachys serra", "Tachys serrula", "Tachys shahinei", "Tachys similis", "Tachys suensoni", "Tachys sydneyensis", "Tachys szekessyi", "Tachys tenuiserra", "Tapinopterus placidus", "Tapinopterus minax", "Tapinopterus persicus", "Tapinopterus aenigmaticus", "Tapinopterus chaudoiri", "Tapinopterus lohaji", "Tapinopterus machardi", "Tapinopterus molopiformis", "Tapinopterus molopinus", "Tapinopterus oyukluensis", "Tapinopterus phrygius", "Tapinopterus relegatus", "Tapinopterus wiedemanni", "Tapinopterus agonaderus", "Tapinopterus amani", "Tapinopterus toelgi", "Tapinopterus rebellis", "Tapinopterus fairmairei", "Tapinopterus jedlickai", "Tapinopterus attemsi", "Tapinopterus atticus", "Tapinopterus balcanicus", "Tapinopterus bartonii", "Tapinopterus bischoffi", "Tapinopterus cognatus", "Tapinopterus comita", "Tapinopterus creticus", "Tapinopterus detonii", "Tapinopterus diadochos", "Tapinopterus dochii", "Tapinopterus duponchelii", "Tapinopterus extensus", "Tapinopterus filigranus", "Tapinopterus ganglbauerianus", "Tapinopterus heinzi", "Tapinopterus heyrovskyi", "Tapinopterus imperialis", "Tapinopterus insulicola", "Tapinopterus jaechi", "Tapinopterus kapparicola", "Tapinopterus kerberos", "Tapinopterus kuntzeni", "Tapinopterus kyparissis", "Tapinopterus laevisternus", "Tapinopterus laticornis", "Tapinopterus macedonicus", "Tapinopterus marani", "Tapinopterus meschniggi", "Tapinopterus miridita", "Tapinopterus monastirensis", "Tapinopterus moreoticus", "Tapinopterus obenbergeri", "Tapinopterus protensus", "Tapinopterus punctatus", "Tapinopterus purkynei", "Tapinopterus rambousekianus", "Tapinopterus samai", "Tapinopterus stepaneki", "Tapinopterus susterai", "Tapinopterus weiratheri", "Tapinopterus zygosensis", "Tapinoscaris carnoti", "Tapinoscaris chaudoiri", "Tapinoscaris descarpentriesi", "Tapinoscaris peyrierasi", "Tapinoscaris raffrayi", "Tapinoscaris razananae", "Tapinoscaris rugatula", "Tapinoscaris rugulicollis", "Tapinoscaris tricostis", "Tapinoscaris variolosa", "Taridius abdominalis", "Taridius andrewesi", "Taridius birmanicus", "Taridius coriaceus", "Taridius disjunctus", "Taridius fasciatus", "Taridius jendeki", "Taridius nilgiricus", "Taridius opaculus", "Taridius ornatus", "Taridius pahangensis", "Taridius piceus", "Taridius sabahensis", "Taridius stevensi", "Taridius vietnamensis", "Taridius wrasei", "Taridius yunnanus", "Tarsagonum kaszabi", "Tarsagonum latipes", "Tasmanillus daccordii", "Tasmanillus pillingeri", "Tasmanitachoides elongatulus", "Tasmanitachoides flindersianus", "Tasmanorites aberrans", "Tasmanorites austrinus", "Tasmanorites blackburni", "Tasmanorites brevinotatus", "Tasmanorites cordicollis", "Tasmanorites elegans", "Tasmanorites glaebarum", "Tasmanorites grossus", "Tasmanorites intermedius", "Tasmanorites laticollis", "Tasmanorites longinotatus", "Tasmanorites madidus", "Tasmanorites magnus", "Tasmanorites nitens", "Tasmanorites perkini", "Tasmanorites pullus", "Tasmanorites riparius", "Tasmanorites tasmaniae", "Tasmanotrechus cockerilli", "Tasmanotrechus compactus", "Tasmanotrechus concolor", "Tasmanotrechus elongatus", "Tasmanotrechus leai", "Taurocimmerites dublanskii", "Tecnophilus croceicollis", "Tecnophilus pilatei", "Tefflus angustipes", "Tefflus brevicostatus", "Tefflus camerunus", "Tefflus carinatus", "Tefflus hamiltonii", "Tefflus juvenilis", "Tefflus kilimanus", "Tefflus muata", "Tefflus purpureipennis", "Tefflus raffrayi", "Tefflus tenuicollis", "Tefflus viridanus", "Tefflus zanzibaricus", "Teiresia umbraculata", "Teraphis crenulata", "Teraphis elongata", "Teraphis helmsi", "Teraphis melbournensis", "Teraphis tasmanica", "Teratotarsa crenicollis", "Teratotarsa minor", "Teratotarsa schouberti", "Teratotarsa superciliaris", "Teropha besti", "Teropha sturtii", "Tetracha aptera", "Tetracha foucarti", "Tetracha lanei", "Tetracha germaini", "Tetracha acutipennis", "Tetracha affinis", "Tetracha angustata", "Tetracha angusticollis", "Tetracha annuligera", "Tetracha biimpressicollis", "Tetracha bilunata", "Tetracha bolivari", "Tetracha brevis", "Tetracha brevisulcata", "Tetracha buchardi", "Tetracha camposi", "Tetracha cassolai", "Tetracha cribrata", "Tetracha cyanea", "Tetracha dheurlei", "Tetracha distinguenda", "Tetracha flammula", "Tetracha fulgida", "Tetracha genieri", "Tetracha gracilis", "Tetracha horni", "Tetracha huberi", "Tetracha huedepohli", "Tetracha impressa", "Tetracha inca", "Tetracha insignis", "Tetracha lacordairei", "Tetracha lateralis", "Tetracha lucifera", "Tetracha martii", "Tetracha mellyi", "Tetracha misella", "Tetracha mniszechi", "Tetracha naviauxi", "Tetracha orbignyi", "Tachys tienmushaniensis", "Tachys uniformis", "Tachys vietnami", "Tachys windsorensis", "Tachys yodai", "Tachys yunchengensis", "Tachys zulficari", "Tachysbembix sirena", "Tachysbembix wendyporrasae", "Tachyta punctipennis", "Tachyta laticollis", "Tachyta acuticollis", "Tachyta coracina", "Tachyta maa", "Tachyta philipi", "Tachyta quadrinotata", "Tachyta wallacei", "Tachyta alutacea", "Tachyta angulata", "Tachyta barda", "Tachyta brunnipennis", "Tachyta falli", "Tachyta gilloglyi", "Tachyta guineensis", "Tachyta hispaniolae", "Tachyta malayica", "Tachyta monostigma", "Tachyta nana", "Tachyta ovata", "Tachyta palmerstoni", "Tachyta parvicornis", "Tachyta picina", "Tachyta pseudovirens", "Tachyta quadriplagiata", "Tachyta rexensis", "Tachyta subvirens", "Tachyta umbrosa", "Tachyxysta howdenorum", "Taiwanotrechus subglobosus", "Takasagoagonum scotus", "Tangarona pensa", "Taniatrechus setosus", "Tantillus brunneus", "Tantillus vittatus", "Tanystoma cuyama", "Tanystoma diabolicum", "Tanystoma maculicolle", "Tanystoma striatum", "Tanystoma sulcatum", "Tanythrix edura", "Tanythrix marginepunctata", "Tanythrix senilis", "Taphoxenus cellarum", "Taphoxenus cerberus", "Taphoxenus hauserianus", "Taphoxenus persicus", "Taphoxenus alatavicus", "Taphoxenus gigas", "Taphoxenus goliath", "Taphoxenus pseudogracilis", "Taphoxenus transmontanus", "Taphoxenus trochanteratus", "Taphoxomimus leleupi", "Tetracha ovata", "Tetracha panamensis", "Tetracha parallela", "Tetracha pearsoni", "Tetracha pilosipennis", "Tetracha polita", "Tetracha prolongata", "Tetracha pseudodistinguenda", "Tetracha pseudosobrina", "Tetracha quadrata", "Tetracha rosalinae", "Tetracha rutilans", "Tetracha sericea", "Tetracha smaragdina", "Tetracha spinosa", "Tetracha thomsoniana", "Tetracha uhligi", "Tetracha vandenberghei", "Tetracha wardi", "Tetracha wiesneri", "Tetracha klagesi", "Tetracha coerulea", "Tetracha deuvei", "Tetracha femoralis", "Tetracha oxychiliformis", "Tetracha ruth", "Tetracha rawlinsi", "Tetracha brasiliensis", "Tetracha brzoskai", "Tetracha carolina", "Tetracha chacoensis", "Tetracha chilensis", "Tetracha confusa", "Tetracha cyanides", "Tetracha davidsoni", "Tetracha ensenada", "Tetracha erichsoni", "Tetracha erwini", "Tetracha floridana", "Tetracha frederici", "Tetracha globosicollis", "Tetracha immaculipennis", "Tetracha lafertei", "Tetracha latreillei", "Tetracha longipennis", "Tetracha nicaraguensis", "Tetracha onorei", "Tetracha pierrei", "Tetracha pseudofulgida", "Tetracha sobrina", "Tetracha sommeri", "Tetracha speciosa", "Tetracha spixii", "Tetracha suturalis", "Tetracha venezolana", "Tetracha virginica", "Tetracha zerchei", "Tetragonoderus viridis", "Tetragonoderus aericollis", "Tetragonoderus andrewesi", "Tetragonoderus babaulti", "Tetragonoderus bastardi", "Tetragonoderus dilatatus", "Tetragonoderus dissimilis", "Tetragonoderus elegans", "Tetragonoderus fimbriatus", "Tetragonoderus inermis", "Tetragonoderus insignicollis", "Tetragonoderus insularius", "Tetragonoderus jeanneli", "Tetragonoderus kaszabi", "Tetragonoderus kuntzeni", "Tetragonoderus leleupi", "Tetragonoderus leprieuri", "Tetragonoderus linealis", "Tetragonoderus luridus", "Tetragonoderus perrieri", "Tetragonoderus spinifer", "Tetragonoderus swahilius", "Tetragonoderus toamasinae", "Tetragonoderus crux", "Tetragonoderus femoralis", "Tetragonoderus figuratus", "Tetragonoderus latipennis", "Tetragonoderus lozai", "Tetragonoderus matilei", "Tetragonoderus mexicanus", "Tetragonoderus omophronides", "Tetragonoderus oxyomus", "Tetragonoderus pallidus", "Tetragonoderus pictus", "Tetragonoderus undatus", "Tetragonoderus variegatus", "Tetragonoderus variipennis", "Tetragonoderus velutinus", "Tetragonoderus aegypticus", "Tetragonoderus amrishi", "Tetragonoderus arcuatus", "Tetragonoderus assamensis", "Tetragonoderus assuanensis", "Tetragonoderus bayeri", "Tetragonoderus bilunatus", "Tetragonoderus bivittatus", "Tetragonoderus chalceus", "Tetragonoderus chaudoiri", "Tetragonoderus chilensis", "Tetragonoderus cinchona", "Tetragonoderus columbicus", "Tetragonoderus cursor", "Tetragonoderus discopunctatus", "Tetragonoderus dispar", "Tetragonoderus eximius", "Tetragonoderus extremus", "Tetragonoderus fasciatus", "Tetragonoderus flavovittatus", "Tetragonoderus foveicollis", "Tetragonoderus gabonicus", "Tetragonoderus immaculatus", "Tetragonoderus intermedius", "Tetragonoderus intermixtus", "Tetragonoderus interruptus", "Tetragonoderus intersectus", "Tetragonoderus lacordairei", "Tetragonoderus laevigatus", "Tetragonoderus lindemannae", "Tetragonoderus lindneri", "Tetragonoderus microthorax", "Tetragonoderus mixtus", "Tetragonoderus multiguttatus", "Tetragonoderus nagatomii", "Tetragonoderus nakaoi", "Tetragonoderus notaphioides", "Tetragonoderus obscurus", "Tetragonoderus poecilus", "Tetragonoderus punctatus", "Tetragonoderus quadriguttatus", "Tetragonoderus quadrimaculatus", "Tetragonoderus quadrinotatus", "Tetragonoderus quadrisignatus", "Tetragonoderus quadrum", "Tetragonoderus rhombophorus", "Tetragonoderus rishwani", "Tetragonoderus rivularis", "Tetragonoderus sericatus", "Tetragonoderus simplex", "Tetragonoderus sinuosus", "Tetragonoderus sivianus", "Tetragonoderus stephaniae", "Tetragonoderus sticticus", "Tetragonoderus subfasciatus", "Tetragonoderus taeniatus", "Tetragonoderus tesselatus", "Tetragonoderus tetragrammus", "Tetragonoderus thunbergi", "Tetragonoderus unicolor", "Tetragonoderus viridicollis", "Tetraleucus picticornis", "Teukrus bifasciatus", "Teukrus cruciatus", "Thaioodes piceus", "Thalassobius testaceus", "Thalassoduvalius masidai", "Thalassophilus breuili", "Thalassophilus caecus", "Thalassophilus longicornis", "Thalassophilus pieperi", "Thalassophilus subterraneus", "Thalassophilus whitei", "Thalassotrechus barbarae", "Theprisa australis", "Theprisa convexa", "Theprisa montana", "Therates alboobliquatus", "Therates aligii", "Therates angustatus", "Therates annandalei", "Therates apiceflavus", "Therates apicenigrus", "Therates arunachalcolus", "Therates bannapecolus", "Therates bannokcolus", "Therates baolocensis", "Megophrys feii", "Therates basalis", "Therates batesii", "Therates belokobylskiyi", "Therates bipunctatus", "Therates biserratus", "Therates bruneiensis", "Trechiama satoui", "Trechiama setosus", "Trechiama shuten", "Trechiama sigma", "Trechiama silicicola", "Trechiama sinuatus", "Trechiama siva", "Trechiama solorientis", "Trechiama sonei", "Trechiama sonuta", "Trechiama soumai", "Trechiama spinosus", "Trechiama spinulifer", "Trechiama subparallelus", "Trechiama suzukaensis", "Trechiama suzukii", "Trechiama tamaensis", "Trechiama tangonis", "Trechiama tanzawanus", "Trechiama tener", "Trechiama tenuiformis", "Trechiama tenuis", "Trechiama teradai", "Trechiama terraenovae", "Trechiama tokui", "Trechiama triops", "Trechiama tripraecipitis", "Trechiama tsurugaensis", "Trechiama umbraticus", "Trechiama uncatus", "Trechiama une", "Trechiama uzushio", "Trechiama varians", "Trechiama watanabei", "Trechiama watanabeorum", "Trechiama yamajii", "Trechiama yamashitai", "Trechiama yokoyamai", "Trechiama yoro", "Trechiama yoshiakii", "Trechiama yoshidai", "Trechiama yoshihikoi", "Trechiama yoshikoae", "Trechiama yukikoae", "Trechiamiotes siamensis", "Trechicomimus aphaenops", "Trechicomimus suturalis", "Trechiella queenslandica", "Trechiella subornatella", "Trechimorphus apterus", "Trechimorphus brunneus", "Trechimorphus diemenensis", "Trechimorphus semipunctatus", "Trechimorphus solidior", "Trechimorphus westraliensis", "Trechinotus flavocinctus", "Trechinotus flavolimbatus", "Trechinotus striatulus", "Trechiotes embersoni", "Trechiotes luticola", "Trechiotes perroti", "Trechiotes qiannanicus", "Trechiotes tonkinicus", "Thopeutica luwuk", "Thopeutica major", "Thopeutica palopoensis", "Thopeutica parva", "Thopeutica pseudopaluensis", "Thopeutica punctipennis", "Thopeutica theratoides", "Thopeutica albolabiata", "Thopeutica allardiana", "Thopeutica angulihumerosa", "Thopeutica anichtchenkoi", "Thopeutica aurothoracica", "Thopeutica boettcheri", "Thopeutica bugis", "Thopeutica conspicua", "Thopeutica darlingtonia", "Thopeutica davaoensis", "Thopeutica diana", "Thopeutica eustalacta", "Thopeutica fugax", "Thopeutica grossipenis", "Thopeutica hinabanganensis", "Thopeutica labrosetosa", "Thopeutica luzona", "Thopeutica microcephala", "Thopeutica milanae", "Thopeutica naja", "Thopeutica negrosicola", "Thopeutica palawanensis", "Thopeutica pangantihoni", "Thopeutica perconspicua", "Thopeutica pseudointerposita", "Thopeutica pseudoluzona", "Thopeutica pseudoschaumi", "Thopeutica rolandmuelleri", "Thopeutica sawadai", "Thopeutica simulatrix", "Thopeutica sphaericollis", "Thopeutica stenodera", "Thopeutica suavis", "Thopeutica subaurothoracica", "Thopeutica toraja", "Thopeutica vantoli", "Thopeutica virginalis", "Thopeutica virginea", "Thopeutica waltheri", "Thopeutica werneriana", "Thopeutica whitteni", "Thopeutica zetteli", "Thopeutica banggai", "Thopeutica basidondo", "Thopeutica brendelli", "Thopeutica butonensis", "Leptobrachella wuhuangmontis", "Thopeutica curvipenis", "Thopeutica duffelsi", "Thopeutica dumogabonei", "Thopeutica eximia", "Thopeutica fulvescens", "Thopeutica glorioparadoxa", "Thopeutica gloriosa", "Thopeutica gloriosula", "Therates pearsoni", "Therates phongsalyensis", "Therates princeps", "Therates probsti", "Therates pseudochenelli", "Therates pseudoconfluens", "Therates pseudomandli", "Therates pseudoprobsti", "Therates pseudorothschildi", "Therates pseudorugifer", "Therates pseudosemperi", "Therates punctatoviridis", "Therates rennellensis", "Therates riedeli", "Therates rihai", "Therates rogeri", "Therates rothschildi", "Therates rugifer", "Therates rugosoangustatus", "Therates rugulosus", "Therates safraneki", "Therates sausai", "Therates schaumianus", "Therates schuelei", "Therates semperi", "Therates sigridgeisslerae", "Therates similis", "Therates spectabilis", "Therates spinipennis", "Therates tanjuanjieae", "Therates tonkinensis", "Therates topali", "Therates tuberosus", "Therates turnai", "Therates vietnamensis", "Therates waagenorum", "Therates wegneri", "Therates westbengalensis", "Therates whiteheadi", "Therates wiesneri", "Therates yamaokai", "Thermoscelis insignis", "Thliboclivina amalita", "Thliboclivina bartolozzii", "Thliboclivina diophthalmica", "Thliboclivina microphthalma", "Thlibops congoensis", "Thlibops longicollis", "Thoasia rugifrons", "Thopeutica aenula", "Thopeutica clara", "Thopeutica rugothoracica", "Thopeutica suavissima", "Thopeutica afonini", "Leptobrachella yunkaiensis", "Thopeutica albapicalis", "Thopeutica alexanderriedeli", "Thopeutica apiceflava", "Thopeutica beccarii", "Thopeutica djufriana", "Thopeutica gerstmeieri", "Thopeutica guttula", "Thopeutica hiro", "Therates bryanti", "Therates caligatus", "Therates cheesmanae", "Therates chennelli", "Therates circumscriptus", "Therates clavicornis", "Therates coeruleus", "Therates concinnus", "Therates confluens", "Therates coracinus", "Therates crebrepunctatus", "Therates cribratus", "Therates csorbai", "Therates cyaneus", "Therates dalatensis", "Therates dembickyi", "Therates dichromus", "Therates differens", "Therates dimidiatus", "Therates dohertyi", "Therates erinnys", "Therates fasciatus", "Therates festivus", "Therates flavilabris", "Therates flavispinus", "Therates fleutiauxi", "Therates fruhstorferi", "Therates fulvicollis", "Therates fulvipennis", "Therates gestroi", "Therates haucki", "Therates hennigi", "Therates hiermeieri", "Therates ingridae", "Therates jendeki", "Therates kaliakini", "Therates khaoyaii", "Therates klapperichi", "Therates kraatzi", "Therates kubani", "Therates labiatus", "Therates laotiensis", "Therates latreillei", "Therates maindroni", "Therates major", "Therates mandli", "Therates merkli", "Therates miyamai", "Therates montaneus", "Therates moraveci", "Therates murzini", "Therates myanmarensis", "Therates nagaii", "Therates naidenowi", "Therates namthacolus", "Therates nepalensis", "Therates nigromarginalis", "Therates obliquefasciatus", "Therates obliquus", "Therates ottomerkli", "Therates pacholatkoi", "Therates palawanensis", "Therates paulae", "Therates payeni", "Trechiama iwasakii", "Trechiama janoanus", "Trechiama kameyamai", "Trechiama kawanoi", "Trechiama kimurai", "Trechiama kosugei", "Trechiama kurasawai", "Trechiama kusakarii", "Trechiama kuznetsovi", "Trechiama latilobatus", "Trechiama lavicola", "Trechiama lewisi", "Trechiama longicollis", "Trechiama longissimus", "Trechiama mahoae", "Trechiama maja", "Trechiama mammalis", "Trechiama masaakii", "Trechiama masatakai", "Trechiama medicirex", "Trechiama meridianus", "Trechiama minutus", "Trechiama misawai", "Trechiama montisfolii", "Trechiama montislunae", "Trechiama morii", "Trechiama moritai", "Trechiama murakamii", "Trechiama muraokaensis", "Trechiama nagahatai", "Trechiama nagahinis", "Trechiama nakaoi", "Trechiama namigatai", "Trechiama nivalis", "Trechiama nonensis", "Trechiama notoi", "Trechiama obliquus", "Trechiama occidentalis", "Trechiama ohkawai", "Trechiama ohkurai", "Trechiama ohruii", "Trechiama ohshimai", "Trechiama oja", "Trechiama okudai", "Trechiama ondai", "Trechiama oni", "Trechiama oniceps", "Trechiama onocoro", "Trechiama oopterus", "Trechiama oreas", "Trechiama ovoideus", "Trechiama pacatus", "Trechiama pallidior", "Trechiama parvus", "Trechiama paucisaeta", "Trechiama perissus", "Trechiama planipennis", "Trechiama pluto", "Trechiama reductoculatus", "Trechiama rotundipennis", "Trechiama ruri", "Trechiama saitoi", "Trechiama sakuragii", "Trechiama sasajii", "Trechiama acutidens", "Trechiama advena", "Trechiama ajari", "Trechiama akinobui", "Trechiama akirakitayamai", "Trechiama alatus", "Trechiama albidivalis", "Trechiama ancorifer", "Trechiama angulicollis", "Trechiama angustus", "Trechiama apicedentatus", "Trechiama applanatus", "Trechiama asagonis", "Trechiama asymmetricus", "Trechiama babai", "Trechiama balli", "Trechiama bandoi", "Trechiama biuncinatus", "Trechiama borealis", "Trechiama brevior", "Trechiama canalatus", "Trechiama cantantimaris", "Trechiama carinatus", "Trechiama chikaichii", "Trechiama chui", "Trechiama chujoi", "Trechiama cognatus", "Trechiama cordicollis", "Trechiama cornutus", "Trechiama crassilobatus", "Trechiama cuancao", "Trechiama cuspidatus", "Trechiama dispar", "Trechiama dissitus", "Trechiama duplicatus", "Trechiama echigonis", "Trechiama erecticedrus", "Trechiama etsumianus", "Trechiama exilis", "Trechiama expectatus", "Trechiama falcatus", "Trechiama foliolatus", "Trechiama fujitai", "Trechiama fujiwaraorum", "Trechiama gracilior", "Trechiama grandicollis", "Trechiama habei", "Trechiama hamatus", "Trechiama hiroyukii", "Trechiama hiurai", "Trechiama humicola", "Trechiama ikunoensis", "Trechiama imadatei", "Trechiama inermis", "Trechiama inexpectatus", "Trechiama inflexus", "Trechiama insolitus", "Trechiama insperatus", "Trechiama instabilis", "Trechiama insularis", "Trechiama intermedius", "Trechiama ion", "Trechiama itoi", "Thopeutica haffendeni", "Thopeutica hirofumii", "Thopeutica horii", "Thopeutica judithae", "Thopeutica kalisi", "Thopeutica kobayashii", "Thopeutica krikkeni", "Thopeutica kurbatovi", "Thopeutica nishiyamai", "Thopeutica paulina", "Thopeutica posoana", "Thopeutica problematica", "Thopeutica prolongata", "Thopeutica pseudofulvescens", "Selenocosmia jiafu", "Thopeutica sabiri", "Thopeutica schaumi", "Thopeutica storki", "Thopeutica tambusisii", "Thopeutica togiana", "Thopeutica triangulomicans", "Thryptocerus agaboides", "Thryptocerus anthracinus", "Thryptocerus ebeninus", "Thryptocerus perrieri", "Thryptocerus politus", "Thyreochaetus hirsutus", "Thyreopterus ptolemaei", "Thyreopterus angusticollis", "Thyreopterus ardoini", "Thyreopterus caliginosus", "Thyreopterus collarti", "Thyreopterus decellei", "Thyreopterus latipennis", "Thyreopterus lepesmei", "Thyreopterus lusingae", "Thyreopterus mediomaculatus", "Thyreopterus orbicollis", "Thyreopterus plesius", "Thyreopterus rugicollis", "Thyreopterus undulatus", "Thyreopterus vaneyeni", "Thyreopterus bifasciatus", "Thyreopterus bilunatus", "Thyreopterus chirindanus", "Thyreopterus effugiens", "Thyreopterus flavosignatus", "Thyreopterus kaboboanus", "Thyreopterus kivuanus", "Thyreopterus letestui", "Thyreopterus limbatus", "Thyreopterus luteicornis", "Thyreopterus maculatus", "Thyreopterus overlaeti", "Thyreopterus posticalis", "Thyreopterus quadrilunatus", "Thyreopterus spinipennis", "Thyreopterus uelensis", "Thysanotus ambreanus", "Thysanotus anchomenoides", "Thysanotus apicalis", "Thysanotus bimaculatoides", "Thysanotus bimaculatus", "Thysanotus consobrinus", "Thysanotus dentipes", "Thysanotus dilutipes", "Thysanotus gracilis", "Thysanotus jeanneli", "Thysanotus laevistriatus", "Thysanotus madagascariensis", "Thysanotus mirabilis", "Thysanotus nosybianus", "Thysanotus olsoufieffi", "Thysanotus punctatulus", "Thysanotus retorridus", "Thysanotus spinipennis", "Thysanotus spinosus", "Thysanotus tenuestriatus", "Thysanotus vadoni", "Thysanotus villiersi", "Tianeotrechus trisetosus", "Tianzhuaphaenops jinshanensis", "Tibetopenetretus heinzi", "Tibioscarites excisomandibularis", "Tibioscarites uluguruanus", "Tienmutrechus dispersipunctis", "Tiferonia parva", "Tilius holosericeus", "Tilius lacunosus", "Tilius obscurellus", "Tilius quadriimpressus", "Tilius subsericeus", "Tilius sulcatus", "Tinoderus singularis", "Tinognathus parviceps", "Titaresius jeanneli", "Tonkinaphaenops marinae", "Tonkinoscaris excisicollis", "Torretassoa alfierii", "Toshiaphaenops globipennis", "Toshiaphaenops ovicollis", "Tostkar daoulivek", "Tostkar deuvei", "Tostkar kumatai", "Tostkar nepalensis", "Tostkar tev", "Trachelocyphoides setulosus", "Trachelocyphus aenigmaticus", "Trachelocyphus gerardianus", "Trachelocyphus mirulus", "Trachelocyphus trisulcis", "Trachelocyphus tschitscherini", "Trachysarus basalis", "Trachysarus bicolor", "Trachysarus emdeni", "Trachysarus kuscheli", "Trachysarus neopallipes", "Trachysarus ovalipennis", "Trachysarus pictipes", "Trachysarus punctiger", "Trachysarus sericeus", "Trechiama kryzhanovskii", "Trechiama sichotanus", "Trechiama abcuma", "Trechiama accipitris", "Trechiama acco", "Trechisibus amesi", "Trechisibus aricensis", "Trechisibus ferrugineus", "Trechisibus alexius", "Trechisibus coiffaiti", "Trechisibus saizi", "Trechisibus straneoi", "Trechisibus amplipennis", "Trechisibus apukhapiensis", "Trechisibus atratus", "Trechisibus axillaris", "Trechisibus aymara", "Trechisibus ayrtoni", "Trechisibus baeckstroemi", "Trechisibus bordoni", "Trechisibus bruchi", "Trechisibus cekalovici", "Trechisibus chacasinus", "Trechisibus chloroticus", "Trechisibus collaris", "Trechisibus complanatus", "Trechisibus cristinensis", "Trechisibus daccordii", "Trechisibus darwini", "Trechisibus decensii", "Trechisibus depressus", "Trechisibus dimaioi", "Trechisibus ebeninus", "Trechisibus eleonorae", "Trechisibus falklandicus", "Trechisibus femoralis", "Trechisibus forsteri", "Trechisibus geae", "Trechisibus germaini", "Trechisibus jasinskii", "Trechisibus jeanneli", "Trechisibus kamergei", "Trechisibus kuscheli", "Trechisibus laevissimus", "Trechisibus loeffleri", "Trechisibus lurdus", "Trechisibus macrocephalus", "Trechisibus magellanus", "Trechisibus maucauensis", "Trechisibus missionis", "Trechisibus monrosi", "Trechisibus nevadoi", "Trechisibus nigripennis", "Trechisibus nitidus", "Trechisibus obtusiusculus", "Trechisibus olympicus", "Trechisibus oreobates", "Trechisibus ovalipennis", "Trechisibus patarcochae", "Trechisibus punctiventris", "Trechisibus rectangulus", "Trechisibus setulosus", "Trechisibus sinuatus", "Trechisibus spelaeus", "Trechisibus stricticollis", "Trechisibus topali", "Trechisibus tunarii", "Trechisibus tupackatarianus", "Trechisibus calathiformis", "Trechisibus depressior", "Trechisibus lojaensis", "Trechisibus moreti", "Trechisibus tapiai", "Trechisibus hornensis", "Trechisibus gonzalesi", "Trechisibus incertus", "Trechisibus infuscatus", "Trechisibus minutus", "Trechisibus quierocochensis", "Trechisibus rarianus", "Trechisibus tripunctatus", "Trechisibus trisetosus", "Trechisibus acutangulus", "Trechisibus albertaecaroli", "Trechisibus alticola", "Trechisibus arduus", "Trechisibus bellesi", "Trechisibus bohorquezae", "Trechisibus brachyderus", "Trechisibus brevicornis", "Trechisibus brundini", "Trechisibus callanganus", "Trechisibus chaudoiri", "Trechisibus convexiusculus", "Trechisibus crassipes", "Trechisibus cuzcoensis", "Trechisibus cyclopterus", "Trechisibus dispar", "Trechisibus franzi", "Trechisibus homaloderoides", "Trechisibus inca", "Trechisibus lacunensis", "Trechisibus lamasi", "Trechisibus laresensis", "Trechisibus leechi", "Trechisibus liberatrix", "Trechisibus longicornis", "Trechisibus martinezi", "Trechisibus michelbacheri", "Trechisibus nahuelanus", "Trechisibus nicki", "Trechisibus obesus", "Trechisibus orophilus", "Trechisibus ovalis", "Citharognathus tongmianensis", "Trechisibus pascoensis", "Trechisibus peruvianus", "Trechisibus pierrei", "Trechisibus pygmaeus", "Trechisibus rossi", "Trechisibus schmidti", "Trechisibus subglobosus", "Trechisibus tenuitarsis", "Trechisibus theresiae", "Trechisibus tucumanus", "Trechisibus valenciai", "Trechisibus variicornis", "Trechisibus veneroi", "Trechisibus ventricosus", "Trechisibus vivesi", "Trechisibus wardi", "Trechus enoploides", "Trechus enoplus", "Trechus hylonomellus", "Trechus lampros", "Trechus metrius", "Trechus nannus", "Trechus oligophthalmus", "Trechus oodes", "Trechus phaeocerus", "Trechus promeces", "Trechus basilewskyi", "Trechus sjostedti", "Trechus aduncus", "Trechus balsamensis", "Trechus barberi", "Trechus bowlingi", "Trechus cheoahensis", "Trechus clingmanensis", "Trechus haoe", "Trechus haoeleadensis", "Trechus inexpectatus", "Trechus luculentus", "Trechus nantahalae", "Trechus nebulosus", "Trechus novaculosus", "Trechus pisgahensis", "Trechus plottbalsamensis", "Trechus pseudobarberi", "Trechus pseudonovaculosus", "Trechus pseudosubtilis", "Trechus ramseyensis", "Trechus rivulis", "Trechus rosenbergi", "Trechus satanicus", "Trechus snowbirdensis", "Trechus stefanschoedli", "Trechus stupkai", "Trechus subtilis", "Trechus talequah", "Trechus tennesseensis", "Trechus thomasbarri", "Trechus thunderheadensis", "Trechus tobiasi", "Trechus tonitru", "Trechus tuckaleechee", "Trechus tusquitee", "Trechus tusquitensis", "Trechus uncifer", "Trechus valentinei", "Trechus vandykei", "Trechus verus", "Trechus wayahbaldensis", "Trechus setitemporalis", "Trechus achillecasalei", "Trechus acuticollis", "Trechus aedeagalis", "Trechus aethiopicus", "Trechus agni", "Trechus agouzicus", "Trechus akibensis", "Trechus akkusianus", "Trechus alanicus", "Trechus albanicus", "Trechus algiricus", "Trechus alicantinus", "Trechus alinae", "Trechus almonius", "Trechus alpicola", "Trechus alpigradus", "Trechus alticola", "Trechus altitudinum", "Trechus amasraensis", "Trechus ambarasensis", "Trechus amblus", "Trechus amblygonellus", "Trechus ambrolauricus", "Trechus amharicus", "Trechus amicorum", "Trechus amplicollis", "Trechus anae", "Trechus angelicae", "Trechus angulifer", "Trechus angusticeps", "Trechus angusticollis", "Trechus anichtchenkoi", "Trechus anjuensis", "Trechus antonii", "Trechus antonini", "Trechus apache", "Trechus apicalis", "Trechus apoduvalipenis", "Trechus apusenicus", "Trechus aquilus", "Trechus arambourgi", "Trechus arizonae", "Trechus armenus", "Trechus arnoldii", "Trechus arribasi", "Trechus arshanicus", "Trechus artemisiae", "Trechus arthuri", "Trechus asetosus", "Trechus asiaticus", "Trechus assingi", "Trechus astrophilus", "Trechus atomus", "Trechus aubei", "Trechus aubryi", "Trechus aurouxi", "Trechus austriacus", "Trechus aveyronensis", "Trechus avgolensis", "Trechus aztec", "Trechus babaensis", "Trechus babaulti", "Trechus babinjensis", "Trechus badius", "Trechus badzhalicus", "Trechus bajankoli", "Trechus bakeri", "Trechus bakurovi", "Trechus baleensis", "Trechus balfourbrownei", "Trechus balkaricus", "Trechus bannaticus", "Trechus barahbisensis", "Trechus barbaritae", "Trechus barii", "Trechus barnevillei", "Drusilla proxima", "Trechus barratxinai", "Trechus basarukini", "Trechus basilewskianus", "Trechus bastropi", "Trechus bayanbulak", "Trechus baztanensis", "Trechus beatus", "Trechus bedeli", "Trechus beesoni", "Trechus beghinorum", "Trechus beieri", "Trechus beltrani", "Trechus benahoaritus", "Trechus benesi", "Trechus bensai", "Trechus besucheti", "Trechus besuchetianus", "Trechus beusti", "Trechus bhadarwahensis", "Trechus bhutanicus", "Trechus bibulus", "Trechus biharicus", "Trechus binotatus", "Trechus bipartitus", "Trechus bogatshevi", "Trechus bogdani", "Trechus bogdoensis", "Trechus boghinorum", "Trechus bohaci", "Trechus bohemorum", "Trechus boleslavi", "Trechus boludagensis", "Trechus bonvouloiri", "Trechus bordei", "Trechus bosnicus", "Trechus boudikae", "Trechus bouilloni", "Trechus boulbeni", "Trechus bousqueti", "Trechus bradycelliformis", "Trechus brancuccii", "Trechus brembanus", "Trechus brendelli", "Trechus breuili", "Trechus breuningi", "Trechus bruckii", "Trechus bruckoides", "Trechus buahitensis", "Trechus budhaensis", "Trechus byzantinus", "Trechus cabrerai", "Trechus calashensis", "Trechus caliginis", "Trechus cameroni", "Trechus cantalicus", "Trechus cappadocicus", "Trechus caprai", "Trechisibus wachucochae", "Trechisibus yanamensis", "Trechistus humicola", "Trechistus inconspicuus", "Trechistus stenoderus", "Trechistus sylvaticus", "Trechistus terricola", "Trechobembix baldiensis", "Trechoblemus lindrothi", "Trechoblemus microphthalmus", "Trechoblemus micros", "Trechoblemus postilenatus", "Trechoblemus valentinei", "Trechoblemus westcotti", "Trechodes alluaudi", "Trechodes babaulti", "Trechodes bakeri", "Trechodes bipartitus", "Trechodes bitinctus", "Trechodes cauliops", "Trechodes crypticus", "Trechodes daffneri", "Trechodes jeanneli", "Trechodes katanganus", "Trechodes kenyensis", "Trechodes kilimanus", "Trechodes laophilus", "Trechodes lebioderus", "Trechodes leclerci", "Trechodes leleupi", "Trechodes lepesmei", "Trechodes lustrans", "Trechodes marshalli", "Trechodes palawanensis", "Trechodes satoi", "Trechodes secalioides", "Trechodes sicardi", "Trechodes vadoni", "Trechosia aberdarensis", "Trechosia ambigua", "Trechosia aterrima", "Trechosia dollmani", "Trechosia humeralis", "Trechosia intermedia", "Trechosia kogelbergensis", "Trechosia leleupi", "Trechosia monticola", "Trechosia montistabulae", "Trechosia natalensis", "Trechosia solutilis", "Trechosiella basilewskyi", "Trechosiella endroedyyoungai", "Trechosiella katicola", "Trechosiella laetula", "Trechosiella oligophthalma", "Trechosiella scotti", "Trechus cautus", "Trechus leleupi", "Trechus amblygonus", "Trechus compsus", "Trechus cryobius", "Trechus cyclomus", "Trechus cardioderus", "Trechus carilloi", "Drusilla puetzi", "Trechus carnioliae", "Trechus carolinae", "Trechus carpaticus", "Trechus caspiricus", "Trechus catensis", "Trechus cathaicus", "Trechus caucasicus", "Trechus cavernicola", "Trechus ceballosi", "Trechus centralis", "Trechus cephalonicus", "Trechus cephalotellus", "Trechus ceresai", "Trechus chaklaensis", "Trechus chalybeus", "Trechus championi", "Trechus chappuisi", "Trechus chillalicus", "Trechus chodjaii", "Trechus chokensis", "Trechus cholaensis", "Trechus chomolungma", "Trechus chormaensis", "Trechus cifrianae", "Trechus clarkeianus", "Trechus claudiae", "Trechus coelestis", "Trechus coloradensis", "Trechus comasi", "Trechus concinnus", "Trechus concoloratus", "Trechus conformis", "Trechus confusatorius", "Trechus consobrinus", "Trechus constrictus", "Trechus controversus", "Trechus crassiscapus", "Trechus croaticus", "Trechus crucifer", "Trechus cryptophilus", "Trechus culminicola", "Trechus cumberlandus", "Trechus cuniculorum", "Trechus curticollis", "Trechus curvatilis", "Trechus custos", "Trechus cyprinus", "Trechus dabanensis", "Trechus dabanshanicola", "Trechus dacatraianus", "Trechus dakushitaicus", "Trechus damchungensis", "Trechus daoensis", "Trechus davanensis", "Trechus davidiani", "Trechus davidwrasei", "Trechus debilis", "Trechus decolor", "Trechus degienensis", "Trechus delarouzeei", "Trechus deliae", "Trechus demircapicus", "Trechus depressipenis", "Trechus detersus", "Trechus diecki", "Trechus dilizhanicus", "Trechus dilutus", "Trechus dimorphicus", "Trechus diogenes", "Trechus dioscuricus", "Trechus distigma", "Trechus distinctus", "Trechus djebalicus", "Trechus doderoi", "Trechus dolomitanus", "Trechus straneoi", "Trechus donabaueri", "Trechus dongulaensis", "Trechus dostali", "Trechus dubitans", "Trechus dumitrescui", "Trechus duvalioides", "Trechus dzermukensis", "Trechus dzhungaricus", "Trechus dzykhvensis", "Trechus echarouxi", "Trechus egregius", "Trechus elburzensis", "Trechus elegans", "Trechus elgonicus", "Trechus elongatulus", "Trechus enigmaticus", "Trechus epirotes", "Trechus eremita", "Trechus ericalis", "Trechus erythrostomus", "Trechus escalerae", "Trechus espanyoli", "Trechus eutrechoides", "Trechus fadriquei", "Trechus fairmairei", "Trechus felix", "Trechus fischtensis", "Trechus flavocinctus", "Trechus flavocircumdatus", "Trechus flavolimbatus", "Trechus flavomarginatus", "Trechus focarilei", "Trechus folwarcznyi", "Trechus fongondi", "Trechus fontinalis", "Trechus fortimanus", "Trechus fortipes", "Trechus fortunatus", "Trechus franzianus", "Trechus franzschuberti", "Trechus fritzbeneschi", "Trechus fubianensis", "Trechus fulvatilis", "Trechus fulvus", "Trechus fusculus", "Trechus gagrensis", "Trechus galianus", "Trechus galicicaensis", "Trechus gallaecus", "Drusilla cameroni", "Drusilla celebensis", "Drusilla congoensis", "Saribus tothur", "Saribus woodfordii", "Arachnis flos-aeris", "Chamaerops humilis var. humilis", "Trechus gallorites", "Trechus gansuensis", "Trechus genevanorum", "Trechus gigas", "Trechus gigoni", "Trechus gitzeni", "Trechus glabratus", "Trechus glacialis", "Trechus gloriensis", "Trechus goebli", "Trechus goelkoeyensis", "Trechus goidanichi", "Trechus golovatchi", "Trechus gomerensis", "Trechus gorkhai", "Trechus gracilitarsis", "Trechus gradloni", "Trechus grandiceps", "Trechus grandis", "Trechus gravidus", "Trechus grenieri", "Trechus groubei", "Trechus guangaishanus", "Trechus gugheensis", "Trechus gulickai", "Trechus gurungi", "Trechus gusevi", "Trechus gushensis", "Trechus gwiomarchi", "Trechus gypaeti", "Trechus habaicus", "Trechus hajeki", "Trechus hampei", "Drusilla sparsa", "Trechus hangaicus", "Trechus hauseri", "Trechus heinzianus", "Trechus hemsinensis", "Trechus hendrichsi", "Trechus heniochicus", "Trechus himalensis", "Trechus hingstoni", "Trechus hodeberti", "Trechus holzun", "Trechus hoppi", "Trechus houzhenziensis", "Trechus humboldti", "Trechus hummleri", "Trechus hurrita", "Trechus huzhubeiensis", "Trechus hydropicus", "Trechus iblanensis", "Trechus idriss", "Trechus ilgazensis", "Trechus ilgazicus", "Trechus illyricus", "Trechus imaicus", "Trechus imereticus", "Trechus impunctus", "Trechus imurai", "Trechus incola", "Trechus indicus", "Trechus indicusoides", "Drusilla stevensi", "Trechus kushtaicus", "Trechus labrangensis", "Trechus laevipes", "Trechus lailensis", "Trechus lallemantii", "Trechus lama", "Trechus lamjunensis", "Trechus laranoensis", "Trechus lassallei", "Drusilla watanabei", "Trechus latebricola", "Trechus latibuli", "Trechus latior", "Trechus latiplatus", "Trechus latus", "Trechus laureticola", "Trechus lazicus", "Trechus lebenbaueri", "Trechus lebretae", "Trechus lederi", "Trechus ledouxianus", "Trechus legorskyi", "Trechus lencinai", "Trechus lepineyi", "Trechus lepontinus", "Trechus letshkhumicus", "Trechus levillaini", "Trechus lgockii", "Trechus libanensis", "Trechus liguricus", "Trechus lijiangensis", "Trechus limacodes", "Trechus lindbergi", "Trechus linxiaicus", "Trechus liochrous", "Trechus liopleurus", "Trechus litangensis", "Trechus loebli", "Trechus loeblianus", "Trechus lomakini", "Trechus longicollis", "Trechus longobardus", "Trechus longulus", "Trechus lucidus", "Trechus lundbladi", "Trechus luquensis", "Trechus lusitanicus", "Trechus luteolus", "Trechus lutshniki", "Trechus maceki", "Trechus machadoensis", "Trechus machadoi", "Trechus machardi", "Trechus macrops", "Trechus maculicornis", "Trechus maderensis", "Trechus magistrettii", "Trechus magniceps", "Trechus majusculus", "Trechus mallaszianus", "Trechus mandarinus", "Trechus manzhangicus", "Trechus maomao", "Trechus maowenensis", "Trechus inexspectatus", "Trechus infuscatus", "Trechus insolitus", "Trechus insubricus", "Trechus intrusus", "Trechus iranicus", "Trechus irenis", "Trechus iricolor", "Trechus irkeshtamicus", "Trechus irritus", "Trechus isabelae", "Trechus isfanensis", "Trechus ispulensis", "Trechus italicus", "Trechus ithae", "Trechus jadodraconis", "Trechus jaechi", "Trechus janaki", "Trechus janatai", "Trechus jarrigei", "Trechus jeannei", "Trechus jezerensis", "Trechus jiuhensis", "Trechus jiuzhaiensis", "Trechus jorgensis", "Trechus kabakovi", "Trechus kabylicus", "Trechus kackardagi", "Trechus kalabi", "Trechus kalabianus", "Trechus kantegiricus", "Drusilla subsplendens", "Trechus karadenizus", "Trechus karasibensis", "Trechus karlykensis", "Trechus kashensis", "Trechus kashgarensis", "Trechus kataevi", "Trechus kaznakovi", "Trechus kezadonicus", "Trechus khalabicus", "Trechus khaledicus", "Trechus khnzoriani", "Trechus kiapazicus", "Trechus kobingeri", "Trechus kocheri", "Trechus kodoricus", "Trechus komarovi", "Trechus korae", "Trechus korbi", "Trechus korotyaevi", "Trechus korrigani", "Trechus kovali", "Trechus kozlovi", "Trechus krasnovi", "Trechus krejcii", "Trechus kricheldorffi", "Trechus kucerai", "Trechus kukunoricus", "Trechus kulpensis", "Trechus kuraicus", "Trechus kurbatovi", "Trechus kurentzovi", "Trechus kurnakovi", "Jenneria pustulata", "Bibbya ruginosa", "Cyriopagopus hainanus", "Guihaia argyrata", "Guihaia grossifibrosa", "Cyriopagopus longipes", "Trechus maqenicus", "Trechus maquensis", "Trechus marcilhaci", "Trechus marcilhacianus", "Trechus margelanicus", "Trechus marginalis", "Trechus marianii", "Trechus maritimus", "Trechus martensi", "Trechus martinae", "Trechus martinezi", "Trechus matejkai", "Trechus mateui", "Trechus matrismeae", "Trechus mauritanicus", "Trechus meissonnieri", "Trechus meixnerianus", "Trechus melanocephalus", "Trechus merditanus", "Trechus meregallii", "Trechus merkli", "Trechus meschniggi", "Trechus messoulii", "Trechus meurguesianus", "Trechus michaeli", "Trechus midas", "Trechus mieheorum", "Trechus minaicus", "Trechus minioculatus", "Trechus minshanicola", "Trechus minyops", "Trechus mirzayani", "Trechus mitchellensis", "Drusilla adjacens", "Trechus moctezuma", "Trechus modestus", "Trechus mogul", "Trechus mongolicus", "Trechus mongolorum", "Trechus montanellus", "Trechus montanheirorum", "Trechus montanus", "Trechus montisarerae", "Trechus montiscrystalli", "Trechus montiscusnae", "Trechus montispennae", "Trechus montisrosae", "Trechus montreuili", "Trechus morandinii", "Trechus mordkovitschi", "Trechus morvanellus", "Trechus morvanianus", "Trechus mourzinellus", "Trechus mouzaiensis", "Trechus muguensis", "Trechus mumbugianus", "Trechus muscorum", "Trechus myanmarensis", "Trechus nairicus", "Trechus nakaguroi", "Trechus naldii", "Trechus namtsoensis", "Trechus naratensis", "Trechus pilosipennis", "Trechus pinkeri", "Trechus pirinicus", "Trechus pisuenensis", "Trechus placidus", "Trechus planipennis", "Trechus planiusculus", "Trechus platypterellus", "Drusilla aequatorialis", "Trechus plicatulus", "Trechus pochoni", "Trechus pohorjeensis", "Trechus polonorum", "Trechus pomonae", "Trechus priapus", "Trechus processifer", "Trechus pseudoalmonius", "Trechus pseudoalyshensis", "Trechus pseudocholaensis", "Trechus pseudogansuensis", "Trechus pseudokozlovi", "Trechus pseudolatus", "Trechus pseudomontanellus", "Trechus pseudopiceus", "Trechus puetzi", "Trechus pulchellus", "Trechus pulpani", "Trechus pumilio", "Trechus pumilus", "Trechus pumoensis", "Trechus putzeysi", "Trechus pygmaeus", "Trechus pyrenaeus", "Trechus qagcaensis", "Trechus qinghaicus", "Trechus qingmaiensis", "Trechus quadrimaculatus", "Trechus quarelicus", "Trechus raffrayanus", "Trechus rambouseki", "Trechus rarus", "Trechus ravasinianus", "Trechus regularis", "Trechus religiosus", "Trechus renei", "Trechus rhilensis", "Trechus rhodopeius", "Trechus roanicus", "Trechus robustapicalis", "Trechus rolwalingensis", "Trechus ronchettii", "Trechus roparzhemoni", "Trechus rotroui", "Trechus rotundatus", "Trechus rotundicollis", "Trechus rotundipennis", "Trechus rougemonti", "Trechus rouxi", "Trechus rouxioides", "Trechus rubens", "Trechus rudolphi", "Trechus rufulus", "Trechus ruthi", "Trechus sachalinensis", "Trechus stenoderus", "Trechus stictulus", "Trechus stipraisi", "Trechus strasseri", "Trechus stratiotes", "Trechus striatulus", "Trechus stricticollis", "Trechus strigipennis", "Trechus strongylus", "Drusilla angularis", "Trechus subacuminatus", "Trechus subcordatus", "Trechus sublaevis", "Trechus subnotatus", "Trechus subzoigeicola", "Trechus suensoni", "Trechus sundukovi", "Trechus surkiensis", "Trechus susamyrensis", "Trechus suturalis", "Trechus svanicus", "Trechus sylviae", "Trechus sylvicola", "Trechus szujeckii", "Trechus taghizadehi", "Trechus talassicus", "Trechus talgarensis", "Trechus tamangi", "Trechus tamurensis", "Trechus tarbagataicus", "Trechus tardokijanensis", "Trechus tchibiloevi", "Trechus teberdanus", "Trechus teletskianus", "Trechus tenoensis", "Trechus tenuilimbatus", "Trechus tenuiscapus", "Trechus terceiranus", "Trechus terrabravensis", "Trechus tetracoderus", "Trechus teverganus", "Trechus tewoicus", "Trechus thai", "Trechus thaleri", "Trechus thessalicus", "Trechus thessalonicus", "Trechus thibetanus", "Trechus thorectes", "Trechus thorungiensis", "Trechus tianchi", "Trechus tianshanivagus", "Trechus tilitshoensis", "Trechus tingitanus", "Trechus tolucensis", "Trechus topaz", "Trechus torrentialis", "Trechus torressalai", "Trechus torretassoi", "Trechus trachypachys", "Trechus triamicorum", "Trechus tristiculus", "Trechus tsampa", "Trechus tseringi", "Trechus tshildebaevi", "Trechus safranboluensis", "Trechus sagax", "Trechus saglensis", "Trechus sajanensis", "Trechus sajuncaicus", "Trechus salassus", "Trechus salibai", "Trechus sambylensis", "Trechus santaluciaensis", "Trechus saulcyanus", "Trechus sauricus", "Trechus saxicola", "Trechus sbordonii", "Trechus schaufussi", "Trechus schaumii", "Trechus schawalleri", "Trechus schillhammeri", "Trechus schimperanus", "Trechus schmalfussi", "Trechus schoenmanni", "Trechus schuelkei", "Trechus schuhi", "Trechus schwarzi", "Trechus schwienbacheri", "Trechus schyberosiae", "Trechus sciakyellus", "Trechus scitus", "Trechus scotti", "Trechus sculptipennis", "Trechus selaensis", "Drusilla affinis", "Trechus semenovi", "Trechus sendrai", "Trechus seserligensis", "Trechus sessitanus", "Trechus shaanxiensis", "Trechus shaid", "Trechus shakhensis", "Trechus sharpi", "Trechus shilenkovi", "Trechus shinganensis", "Trechus shivalensis", "Trechus sichuanus", "Trechus signatus", "Trechus sikhotealinus", "Trechus silveiranus", "Trechus simbuaensis", "Trechus simienensis", "Trechus singularis", "Trechus sinuatus", "Trechus sinus", "Drusilla andrewesi", "Trechus sivellae", "Trechus skoupyi", "Trechus sodalis", "Trechus sogdianus", "Trechus sokolovi", "Trechus solarii", "Trechus solhoeyi", "Trechus soma", "Trechus songoricus", "Trechus sotshiensis", "Trechus splendens", "Trechus stanovskyi", "Trichis ceylonica", "Trichis maculata", "Trichis pallida", "Trichisia azurea", "Trichisia babaulti", "Trichisia cyanea", "Trichisia insularis", "Trichisia morio", "Trichisia nesites", "Trichisia papuana", "Trichisia rhodesiana", "Trichisia violacea", "Trichocarenum castelnaui", "Trichocarenum cylindricum", "Trichocarenum elderi", "Trichocoptodera maculata", "Trichocoptodera piligera", "Trichognatha marginipennis", "Sphallomorpha v-lineata", "Drusilla attenuata", "Drusilla bernhaueri", "Drusilla bicolor", "Drusilla brevipennis", "Drusilla bryanti", "Livistona nitida", "Drusilla burgeoniana", "Drusilla butuanensis", "Trechus tshitsherini", "Trechus tumidus", "Trechus turkestanicus", "Trechus turnai", "Trechus turnaianus", "Trechus turnaioides", "Trechus tuxeni", "Trechus tychus", "Trechus tyrrhenicus", "Trechus tyshkanensis", "Trechus udiensis", "Trechus uenyeensis", "Trechus ulrichi", "Trechus umbricola", "Trechus unisetiger", "Trechus unisetosus", "Trechus urartaeus", "Trechus usgentensis", "Trechus utschderensis", "Trechus uygur", "Trechus uyttenboogaarti", "Trechus valbonensis", "Trechus valenzuelai", "Trechus validicollis", "Trechus validipes", "Trechus valikhanovi", "Trechus vallestris", "Trechus varendorffi", "Trechus vietnamicus", "Trechus vignai", "Trechus viti", "Trechus wagneri", "Trechus walteri", "Trechus weiratheri", "Trechus weiserti", "Trechus weixiensis", "Trechus winkleri", "Trechus witkowskii", "Trechus wittmeri", "Trechus wrzecionkoellus", "Trechus wrzecionkoi", "Trechus wrzecionkoianus", "Trechus wutaicola", "Trechus xiei", "Trechus xinjiangensis", "Trechus xiwuensis", "Trechus yak", "Trechus yanoi", "Trechus yaralensis", "Trechus yasudai", "Trechus yengensis", "Trechus yeti", "Trechus yvesbousqueti", "Trechus zaerensis", "Trechus zamotajlovi", "Trechus zangherii", "Trechus zarandicus", "Trechus zaslavskii", "Trechus zetteli", "Trechus zhangi", "Trechus zhaosuensis", "Trechus zhdankoi", "Trechus zhugquicus", "Trechus ziganensis", "Trechus zoigeicola", "Trechus zoigensis", "Trechus zolotikhini", "Trechus zonguldakensis", "Trechus zvarici", "Trephionus babai", "Trephionus chujoi", "Trephionus igai", "Trephionus kinoshitai", "Trephionus kurosai", "Trephionus kyushuensis", "Trephionus microphthalmus", "Trephionus mikii", "Trephionus nikkoensis", "Trephionus obscurus", "Trephionus shibataianus", "Trephionus sordidatus", "Trephionus subcavicola", "Drusilla ashei", "Trephionus takakurai", "Trephisa parallela", "Triaenogenius lugubris", "Triaenogenius arabicus", "Triaenogenius carinulatus", "Triaenogenius congoensis", "Triaenogenius corpulentus", "Triaenogenius denticulatus", "Triaenogenius ferox", "Triaenogenius gerstaeckeri", "Triaenogenius kochi", "Triaenogenius lugubrinus", "Triaenogenius sculpturatus", "Trichamblytelus ovalipennis", "Trichaphaenops raffaldianus", "Trichaphaenops cerdonicus", "Trichaphaenops gounellei", "Trichaphaenops obesus", "Trichaphaenops sollaudi", "Trichidema capensis", "Trichillinus mirei", "Trichillinus abacetoides", "Trichillinus dactyleuryoides", "Trichillinus perrieri", "Trichillinus ranomafanae", "Trichillinus basilewskyi", "Trichillinus capitatus", "Drusilla assamensis", "Trichillinus congoensis", "Trichillinus dirotoides", "Trichillinus guineensis", "Trichillinus lamottei", "Trichillinus leleupi", "Trichillinus linearis", "Trichillinus obesus", "Trichillinus robustus", "Trichillinus schoutedeni", "Trichillinus sicardi", "Trichillinus subcongoensis", "Trichillinus terricola", "Bibbya ruginosa subsp. pacifica", "Trichopalpoodes hiekei", "Rhapis micrantha", "Trichopiezia stenotrachela", "Trichopselaphus erwinorum", "Trichopselaphus gloriosus", "Trichopselaphus magnificus", "Trichopselaphus meyeri", "Trichopselaphus minor", "Trichopselaphus stockwelli", "Trichopselaphus subiridescens", "Trichopselaphus woldai", "Trichosternus angulosus", "Trichosternus fax", "Trichosternus fisheri", "Trichosternus frater", "Trichosternus montorum", "Trichosternus mutatus", "Trichosternus nudipes", "Trichosternus perater", "Trichosternus relictus", "Trichosternus renardi", "Trichosternus simplicipes", "Trichosternus soror", "Trichosternus subvirens", "Trichosternus vigorsi", "Trichotichnus abnormis", "Trichotichnus acuticollis", "Trichotichnus angustatostriatus", "Trichotichnus arcipennis", "Trichotichnus bicolor", "Trichotichnus brevicollis", "Trichotichnus brunneomarginatus", "Trichotichnus brunneus", "Trichotichnus calathiformis", "Trichotichnus chinensis", "Trichotichnus constrictus", "Trichotichnus cordaticollis", "Trichotichnus curticornis", "Trichotichnus curtipennis", "Trichotichnus curtus", "Trichotichnus davidi", "Trichotichnus delavayi", "Trichotichnus denticollis", "Trichotichnus emarginatibasis", "Trichotichnus emeiensis", "Trichotichnus fedorenkoi", "Trichotichnus flavipes", "Trichotichnus foveicollis", "Trichotichnus hayashii", "Trichotichnus hedini", "Trichotichnus hiroyukii", "Trichotichnus insignangularis", "Trichotichnus jedlickai", "Trichotichnus jizuensis", "Trichotichnus kazuyukii", "Trichotichnus kryzhanovskii", "Trichotichnus kurbatovi", "Trichotichnus langmusiensis", "Trichotichnus marginicollis", "Trichotichnus minor", "Trichotichnus minshanensis", "Trichotichnus modestus", "Trichotichnus nigrotibialis", "Trichotichnus nobuyoae", "Trichotichnus notabilangulatus", "Trichotichnus oblongipennis", "Trichotichnus oblongus", "Trichotichnus obtusicollis", "Trichotichnus oreas", "Trichotichnus punctaticollis", "Trichotichnus reflexus", "Trichotichnus robustus", "Trichotichnus rotundatus", "Trichotichnus satanensis", "Trichotichnus satoi", "Trichotichnus setifer", "Trichotichnus smetanai", "Trichotichnus subiridis", "Trichotichnus subreticulatus", "Trichotichnus taichii", "Trichotichnus triangulatus", "Trichotichnus tschitscherini", "Trichotichnus vulgaris", "Trichotichnus watanabei", "Trichotichnus yokoyamai", "Trichotichnus yukii", "Trichotichnus yunnanus", "Trichotichnus zabriformis", "Trichotichnus altus", "Trichotichnus amazeus", "Trichotichnus aquilo", "Trichotichnus baglungensis", "Trichotichnus batesi", "Trichotichnus brancuccii", "Trichotichnus brandti", "Trichotichnus brunneiventralis", "Trichotichnus bubsaensis", "Trichotichnus curvatus", "Trichotichnus cyanescens", "Trichotichnus debilistriatus", "Trichotichnus dux", "Trichotichnus emarginatus", "Trichotichnus formosus", "Trichotichnus fulgidius", "Trichotichnus ganeshensis", "Trichotichnus glabellus", "Trichotichnus globulipennis", "Trichotichnus gupchiensis", "Trichotichnus guttula", "Trichotichnus hiekei", "Trichotichnus hingstoni", "Trichotichnus holzschuhi", "Trichotichnus horni", "Trichotichnus impunctatoventris", "Trichotichnus javanus", "Trichotichnus jelineki", "Trichotichnus laevis", "Trichotichnus lamprus", "Trichotichnus laticeps", "Trichotichnus liothorax", "Trichotichnus loebli", "Trichotichnus maculipennis", "Trichotichnus manasluensis", "Trichotichnus martensi", "Trichotichnus medius", "Trichotichnus minutus", "Trichotichnus miyakei", "Trichotichnus modus", "Trichotichnus nanus", "Trichotichnus newtoni", "Trichotichnus nigricans", "Trichotichnus nishikawai", "Trichotichnus notabilis", "Trichotichnus obliquebasalis", "Trichotichnus obscurus", "Trichotichnus opacus", "Trichotichnus panchhaseensis", "Trichotichnus parvulus", "Trichotichnus philippinus", "Trichotichnus piceus", "Trichotichnus probsti", "Trichotichnus pusillus", "Trichotichnus sataensis", "Trichotichnus schawalleri", "Trichotichnus semimas", "Trichotichnus seramensis", "Trichotichnus sikkimensis", "Trichotichnus siklesensis", "Trichotichnus subaeneus", "Trichotichnus subcordicollis", "Trichotichnus sugimotoi", "Trichotichnus sumatrensis", "Trichotichnus taiwanus", "Trichotichnus tenuitibialis", "Trichotichnus uedai", "Trichotichnus uenoi", "Trichotichnus vietnamensis", "Trichotichnus andoi", "Trichotichnus celebensis", "Trichotichnus fortis", "Trichotichnus mas", "Trichotichnus persimilis", "Trichotichnus philippensis", "Trichotichnus pubescens", "Trichotichnus rasilis", "Trichotichnus sakaii", "Trichotichnus schaubergeri", "Trichotichnus sedlaceki", "Trichotichnus wau", "Trichotichnus allorensis", "Trichotichnus assamensis", "Trichotichnus circumtinctus", "Trichotichnus cribripennis", "Trichotichnus isabellinus", "Trichotichnus lucens", "Trichotichnus marginalis", "Trichotichnus pseudolucens", "Trichotichnus semirugosus", "Trichotichnus abei", "Trichotichnus akitai", "Trichotichnus alpinus", "Trichotichnus amagisanus", "Trichotichnus anisodactyloides", "Trichotichnus anthracinus", "Trichotichnus latemarginatus", "Trichotichnus lautus", "Trichotichnus leptopus", "Trichotichnus lewisi", "Trichotichnus lindskogi", "Trichotichnus liparus", "Trichotichnus longitarsis", "Trichotichnus luchti", "Trichotichnus lucidus", "Trichotichnus lulinensis", "Trichotichnus malayanus", "Trichotichnus marubayashiorum", "Trichotichnus masaohayashii", "Trichotichnus masatakayoshidai", "Trichotichnus masumotoi", "Trichotichnus merkli", "Trichotichnus miser", "Trichotichnus miwai", "Trichotichnus mixtus", "Trichotichnus mizunoi", "Trichotichnus mongi", "Trichotichnus monticola", "Trichotichnus narukawai", "Trichotichnus nenkaoshanensis", "Trichotichnus niger", "Trichotichnus nipponicus", "Trichotichnus nishioi", "Trichotichnus nitens", "Trichotichnus noctuabundus", "Trichotichnus norikoae", "Trichotichnus ohkawai", "Trichotichnus ohkurai", "Trichotichnus orientalis", "Trichotichnus ovaliformis", "Trichotichnus ovatus", "Trichotichnus pacificatorius", "Trichotichnus pallescens", "Trichotichnus parallelepunctatus", "Trichotichnus parvus", "Trichotichnus pauper", "Trichotichnus petercatei", "Trichotichnus pictipennis", "Trichotichnus planicollis", "Trichotichnus potanini", "Trichotichnus pseudocongruus", "Trichotichnus quadratus", "Trichotichnus rimanus", "Trichotichnus sasajii", "Trichotichnus septemtrionalis", "Trichotichnus shibatai", "Trichotichnus shikokuensis", "Trichotichnus shiragayamanus", "Trichotichnus silvestris", "Trichotichnus spinifer", "Trichotichnus storeyi", "Trichotichnus straneoi", "Trichotichnus suzukii", "Trichotichnus szekessyi", "Trichotichnus teradai", "Trichotichnus tolgae", "Trichotichnus tonklii", "Trichotichnus tranquillus", "Trichotichnus trapezicollis", "Trichotichnus trusmadiensis", "Trichotichnus tsurugiyamanus", "Trichotichnus uenorum", "Trichotichnus vespertinus", "Trichotichnus vicinus", "Trichotichnus vulpeculus", "Trichotichnus wansuiensis", "Trichotichnus watamukiensis", "Trichotichnus yasuhikoi", "Trichotichnus yatsuensis", "Trichotichnus yoriomiyatakei", "Trichotichnus yoshiroi", "Trichotichnus yoshiyukii", "Trichotichnus yukihikoi", "Trichotichnus yushanensis", "Trichoxycentrus rugiceps", "Tricondyla coriacea", "Tricondyla femorata", "Tricondyla gounellei", "Tricondyla granulifera", "Tricondyla nigripalpis", "Tricondyla darwini", "Tricondyla herculeana", "Tricondyla magna", "Tricondyla punctulata", "Tricondyla planiceps", "Tricondyla cavifrons", "Tricondyla cyanipes", "Tricondyla doriai", "Tricondyla genieri", "Tricondyla oblita", "Tricondyla annulicornis", "Tricondyla aptera", "Tricondyla beccarii", "Tricondyla bengalensis", "Tricondyla brunnea", "Tricondyla conicicollis", "Tricondyla cyanea", "Tricondyla deuvei", "Tricondyla distincta", "Tricondyla elenae", "Tricondyla elongata", "Tricondyla fulgida", "Tricondyla gestroi", "Tricondyla gracilis", "Tricondyla huloti", "Tricondyla ledouxi", "Tricondyla macrodera", "Tricondyla mellyi", "Tricondyla mourzinei", "Tricondyla niasensis", "Tricondyla ovaligrossa", "Tricondyla ovicollis", "Tricondyla proxima", "Tricondyla pulchripes", "Tricondyla reducta", "Tricondyla rivalieri", "Tricondyla schuelei", "Tricondyla stricticeps", "Tricondyla tuberculata", "Tricondyla ventricosa", "Tricondyla wallacei", "Tricondyla werneri", "Tricondyla wiesneri", "Trigonothops dimidiatus", "Trigonothops fasciatus", "Trigonothops flavofasciatus", "Trigonothops lateralis", "Trigonothops longiplaga", "Trigonothops occidentalis", "Trigonothops ornatus", "Trigonothops pacificus", "Trigonothops pallidicollis", "Trigonothops pallidior", "Trigonothops pescotti", "Trigonothops vittipennis", "Trigonotoma anthracina", "Trigonotoma buehleri", "Trigonotoma cauta", "Trigonotoma comotti", "Trigonotoma concinna", "Trigonotoma confusa", "Trigonotoma cylindriceps", "Trigonotoma diglipurensis", "Trigonotoma dohrnii", "Trigonotoma dubaulti", "Trigonotoma funebris", "Trigonotoma igneicollis", "Trigonotoma imitatrix", "Trigonotoma indica", "Trigonotoma ioides", "Trigonotoma kalaoensis", "Trigonotoma kuntzeni", "Trigonotoma lamprodera", "Trigonotoma laosensis", "Trigonotoma ledouxi", "Trigonotoma leotaudi", "Trigonotoma lewisii", "Trigonotoma loeffleri", "Trigonotoma lucens", "Trigonotoma lumawigi", "Trigonotoma luzonica", "Trigonotoma morvani", "Trigonotoma nepalensis", "Trigonotoma niasana", "Trigonotoma nigricans", "Trigonotoma nigrissima", "Trigonotoma nitidicollis", "Trigonotoma oberthueri", "Trigonotoma ovalis", "Trigonotoma palavanica", "Trigonotoma perraudierei", "Trigonotoma peteli", "Trigonotoma philippinica", "Trigonotoma pierremorvani", "Trigonotoma poggii", "Trigonotoma psyche", "Trigonotoma puella", "Trigonotoma shillongensis", "Trigonotoma similis", "Trigonotoma sinica", "Trigonotoma stricta", "Trigonotoma submetallica", "Trigonotoma subviolacea", "Trigonotoma tenebrosa", "Trigonotoma venus", "Trigonotoma verberifera", "Trigonotoma wegneri", "Trilophidius alluaudi", "Trilophidius basilewskyi", "Trilophidius bayoni", "Trilophidius carinatus", "Trilophidius cervilineatus", "Trilophidius congoanus", "Trilophidius decorsei", "Trilophidius devroeyi", "Trilophidius ellenbergeri", "Trilophidius endroedii", "Trilophidius fastigatus", "Trilophidius impunctatus", "Trilophidius itombwanus", "Trilophidius kahuzicus", "Trilophidius leleupi", "Trilophidius minutulus", "Trilophidius pallidus", "Trilophidius rudebecki", "Trilophidius ugandanus", "Trilophus acuminatus", "Trilophus alternans", "Trilophus appulsus", "Trilophus arcuatus", "Trilophus baehri", "Trilophus birmanicus", "Trilophus convexus", "Trilophus crinitus", "Trilophus ellipticus", "Trilophus elongatus", "Trilophus fuscus", "Trilophus hirsutus", "Trilophus hispidulus", "Trilophus imitator", "Trilophus interpunctatus", "Trilophus latiusculus", "Trilophus loebli", "Trilophus lompei", "Trilophus palpireductus", "Trilophus parallelus", "Trilophus schawalleri", "Trilophus schmidti", "Trilophus serratulus", "Trilophus serratus", "Trilophus setosus", "Trilophus tonkinensis", "Trilophus variabilis", "Trilophus weberi", "Trirammatus loxandroides", "Trirammatus pseudharpalus", "Trirammatus vagans", "Trirammatus chaudoiri", "Trirammatus ignobilis", "Trirammatus lacordairei", "Trirammatus selkirki", "Trirammatus skottsbergi", "Trogloagonum novaehiberniae", "Troglocimmerites abashicus", "Troglocimmerites angulatus", "Troglocimmerites djanaschvilii", "Troglocimmerites imeretinus", "Troglocimmerites mingrelicus", "Troglocimmerites nakeralae", "Troglocimmerites oseticus", "Troglocimmerites pasquinii", "Troglocimmerites pygmaeus", "Trichotichnus arcuatomarginatus", "Trichotichnus armiger", "Trichotichnus asper", "Trichotichnus autumnalis", "Trichotichnus baehri", "Trichotichnus bousqueti", "Trichotichnus bouvieri", "Trichotichnus choukaisanus", "Trichotichnus chugokuensis", "Rhapis subtilis", "Trichotichnus chuji", "Trichotichnus claripes", "Trichotichnus congruus", "Trichotichnus consors", "Trichotichnus coruscus", "Trichotichnus cyrtops", "Trichotichnus daisenus", "Trichotichnus delicatus", "Trichotichnus demarzi", "Trichotichnus denarius", "Trichotichnus depressus", "Trichotichnus dichrous", "Trichotichnus doiinthanonensis", "Trichotichnus edai", "Trichotichnus eikoae", "Trichotichnus ellipticus", "Trichotichnus flavicollis", "Trichotichnus flavomarginatus", "Trichotichnus formosanus", "Trichotichnus fukuharai", "Trichotichnus furihatai", "Trichotichnus glaber", "Trichotichnus gracilis", "Trichotichnus gracilitibialis", "Trichotichnus hakusanus", "Trichotichnus hanmeii", "Trichotichnus hasensis", "Trichotichnus hayakawai", "Trichotichnus higonis", "Trichotichnus hiranishi", "Trichotichnus hirasawai", "Trichotichnus hisakoae", "Trichotichnus hisamatsui", "Trichotichnus hosodai", "Trichotichnus iidesanus", "Trichotichnus imafukui", "Trichotichnus impunctus", "Trichotichnus imurai", "Trichotichnus iridulus", "Trichotichnus isamutanakai", "Trichotichnus ishidai", "Trichotichnus ishiharai", "Trichotichnus ishikawai", "Trichotichnus kantoonus", "Trichotichnus kasaharai", "Trichotichnus kishimotoi", "Trichotichnus kisonis", "Trichotichnus kitayatsuensus", "Trichotichnus klapperichi", "Trichotichnus knauthi", "Trichotichnus kobayashie", "Trichotichnus kosakai", "Trichotichnus kurosai", "Trichotichnus laevicollis", "Troglocimmerites suaneticus", "Trogloclivina brehieri", "Troglorites breuili", "Troglorites ochsi", "Tropicoritus ruwenzorii", "Tropidocerus affinis", "Tropidocerus dispar", "Tropidocerus flavicornis", "Tropidocerus flavipes", "Tropidocerus indicus", "Tropidotrechus bawbawensis", "Tropidotrechus microps", "Tropidotrechus vicinus", "Tropidotrechus victoriae", "Tropopsis biguttata", "Tropopsis marginicollis", "Tropopterus duponcheli", "Tropopterus giraudyi", "Tropopterus montagnei", "Tropopterus peruvianus", "Trymosternus acutangulus", "Trymosternus ariasi", "Trymosternus bolivari", "Trymosternus cobosi", "Trymosternus colombati", "Trymosternus cordatus", "Trymosternus dilaticollis", "Trymosternus minimus", "Trymosternus negrei", "Trymosternus onychinus", "Trymosternus refleximargo", "Trymosternus truncatus", "Trymosternus urcitanus", "Tschitscherinellus cordatus", "Tschitscherinellus oxygonus", "Typhlocharis acutangula", "Typhlocharis aguirrei", "Typhlocharis algarvensis", "Typhlocharis amara", "Typhlocharis armata", "Typhlocharis atienzai", "Typhlocharis baeturica", "Typhlocharis bazi", "Typhlocharis belenae", "Typhlocharis besucheti", "Typhlocharis bivari", "Typhlocharis boetica", "Typhlocharis bullaquensis", "Typhlocharis carinata", "Typhlocharis carmenae", "Typhlocharis carpetana", "Typhlocharis crespoi", "Typhlocharis deferreri", "Typhlocharis diecki", "Typhlocharis elenae", "Typhlocharis estrellae", "Typhlocharis fancelloi", "Typhlocharis farinosae", "Typhlocharis fozcoaensis", "Typhlocharis furnayulensis", "Typhlocharis gomesalvesi", "Typhlocharis gomezi", "Typhlocharis gonzaloi", "Typhloreicheia flaviae", "Typhloreicheia grafittii", "Typhloreicheia henroti", "Typhloreicheia holdhausi", "Typhloreicheia ilianae", "Typhloreicheia ilvensis", "Typhloreicheia jana", "Typhloreicheia jucunda", "Typhloreicheia kraussei", "Typhloreicheia laurentii", "Typhloreicheia leoi", "Typhloreicheia maginii", "Typhloreicheia manto", "Typhloreicheia martanensis", "Typhloreicheia medusa", "Typhloreicheia melonii", "Typhloreicheia messanae", "Typhloreicheia mingazzinii", "Typhloreicheia minima", "Typhloreicheia monacha", "Typhloreicheia monticola", "Typhloreicheia montisneronis", "Typhloreicheia musimon", "Typhloreicheia nadiae", "Typhloreicheia occulta", "Typhloreicheia onnisi", "Typhloreicheia paladinii", "Typhloreicheia pandora", "Typhloreicheia parallela", "Typhloreicheia pellita", "Typhloreicheia petriolii", "Typhloreicheia poggii", "Typhloreicheia raymondi", "Typhloreicheia regina", "Typhloreicheia rocchii", "Typhloreicheia sardoa", "Typhloreicheia sebera", "Typhloreicheia stefanoi", "Typhloreicheia supramontis", "Typhloreicheia tanit", "Typhloreicheia tegulae", "Typhloreicheia usslaubi", "Typhloreicheia valeriae", "Typhloreicheia vignai", "Typhloreicheia viti", "Typhloreicheia zingarensis", "Typhloscaris aberdarensis", "Typhloscaris alluaudi", "Typhloscaris andringitrae", "Typhloscaris carbonaria", "Typhloscaris descarpentriesi", "Typhloscaris elgonensis", "Typhloscaris gracilis", "Typhloscaris grebennikovi", "Typhloscaris hutchinsoni", "Typhloscaris insularis", "Typhloscaris jeanneli", "Typhloscaris kenyensis", "Typhloscaris leleupi", "Typhloscaris macrodus", "Typhlocharis hiekei", "Typhlocharis intermedia", "Typhlocharis jeannei", "Typhlocharis josabelae", "Typhlocharis laurentii", "Typhlocharis lunai", "Typhlocharis martini", "Typhlocharis matiasi", "Typhlocharis millenaria", "Typhlocharis mixta", "Typhlocharis monastica", "Typhlocharis navarica", "Typhlocharis outereloi", "Typhlocharis pacensis", "Typhlocharis passosi", "Typhlocharis paulinoi", "Typhlocharis peregrina", "Typhlocharis portilloi", "Typhlocharis prima", "Typhlocharis quadridentata", "Typhlocharis quarta", "Typhlocharis rochapitei", "Typhlocharis santschii", "Typhlocharis sarrius", "Typhlocharis scrofa", "Typhlocharis secunda", "Typhlocharis silvanoides", "Typhlocharis simoni", "Typhlocharis singularis", "Typhlocharis tertia", "Typhlocharis tetramera", "Typhlocharis toribioi", "Typhlocharis wrasei", "Typhlochoromus marcelloi", "Typhlochoromus stolzi", "Typhlonesiotes swaluwenbergi", "Typhloreicheia abbazzii", "Typhloreicheia andreinii", "Typhloreicheia angelae", "Typhloreicheia annamariae", "Typhloreicheia arganoi", "Typhloreicheia bastianinii", "Typhloreicheia bavierai", "Typhloreicheia belloi", "Typhloreicheia benellii", "Typhloreicheia berninii", "Typhloreicheia binaghii", "Typhloreicheia bulirschi", "Typhloreicheia carlonnisi", "Typhloreicheia casalei", "Typhloreicheia cirocchii", "Typhloreicheia consortii", "Typhloreicheia damone", "Typhloreicheia degiovannii", "Typhloreicheia denticulata", "Typhloreicheia doderoi", "Typhloreicheia elegans", "Typhloreicheia eleonorae", "Typhloreicheia elisae", "Typhloreicheia exilis", "Typhloreicheia fancelloi", "Typhloreicheia fausti", "Typhloscaris mamboiana", "Typhloscaris marakwetensis", "Typhloscaris meruensis", "Typhloscaris microphthalma", "Typhloscaris montana", "Typhloscaris montivaga", "Typhloscaris uluguruensis", "Typhloscaris viettei", "Typhlotrechus bilimekii", "Typsiharpalus azruensis", "Typsiharpalus bonvouloiri", "Typsiharpalus punctatipennis", "Uenanthracus perigonoides", "Uenoites grebennikovi", "Uenoites gregoryi", "Uenoites jiuhecola", "Uenoites yinae", "Uenotrechus deuvei", "Uenotrechus gejianbangi", "Uenotrechus hybridiformis", "Uenotrechus liboensis", "Uenotrechus nandanensis", "Ushijimaella faillei", "Ushijimaella ollivieri", "Ushijimaella zvarici", "Vachinius burmanensis", "Vachinius deuvei", "Vachinius hajeki", "Vachinius holzschuhi", "Vachinius hunanus", "Vachinius laosensis", "Vachinius luzoensis", "Vachinius pilosus", "Vachinius thailandensis", "Vachinius wrasei", "Vachinius pseudoglaber", "Vachinius subglaber", "Valeriaaschero flora", "Valeriaaschero nigrita", "Vata thomsonii", "Velebitaphaenops giganteus", "Velinda lirata", "Velindastus litorisilvae", "Velindastus thackerayi", "Velindomimus fasciatus", "Velindopsis madecassa", "Velindopsis panagaeoides", "Velindopsis pauliani", "Vianasia guttula", "Vianasia nigrotestacea", "Vianasia opacicollis", "Vianasia rugaticollis", "Vietotrechus minutissimus", "Violagonum dentiferum", "Violagonum piceum", "Violagonum violaceum", "Viridagonum lumawigi", "Vitagonum apterum", "Vulcanophilus calathoides", "Wahlbergiana alternans", "Wahlbergiana inordinata", "Wahlbergiana subaequalis", "Wahlbergiana undulatorugosa", "Waltherhornia skrabali", "Waltherhornia speculifera", "Wanhuaphaenops zhangi", "Wanoblemus wui", "Wate longinus", "Whiteheadiana latidens", "Whiteheadiana longicollis", "Whiteheadiana minor", "Whiteheadiana stenocephala", "Winklerites andreae", "Winklerites blazeji", "Winklerites casalei", "Winklerites durmitorensis", "Winklerites gueorguievi", "Winklerites hercegovinensis", "Winklerites imathiae", "Winklerites kuciensis", "Winklerites lagrecai", "Winklerites luisae", "Winklerites moraveci", "Winklerites paganettii", "Winklerites perpusillus", "Winklerites serbicus", "Winklerites stevanovici", "Winklerites thracicus", "Winklerites vailatii", "Winklerites vonickai", "Winklerites weiratheri", "Winklerites zaballosi", "Wulongoblemus tsuiblemoides", "Xanthomelina zajtzewi", "Xanthos kalimantanensis", "Xanthos merkli", "Xenion ignitum", "Xenitenopsis jacoti", "Xenitenus andringitranus", "Xenitenus bambuseti", "Xenitenus brincki", "Xenitenus debilis", "Xenitenus dilucidus", "Xenitenus inornatus", "Xenitenus katanganus", "Xenitenus lateripictus", "Xenitenus limbatus", "Xenitenus longevittatus", "Xenitenus lucidus", "Xenitenus maurus", "Xenitenus natalicus", "Xenitenus occipitalis", "Xenitenus ornatellus", "Xenitenus tessellatus", "Xenodochus dabreui", "Xenodochus exaratus", "Xenodochus mediocris", "Xenodochus melanarius", "Xenodochus micans", "Xenodochus nigerianus", "Xenodochus penthicus", "Xenodochus senegalensis", "Xenodochus usambaranus", "Xenodromius brachinoides", "Xenodromius curtulus", "Xenodromius flohri", "Xenodromius microphthalmus", "Xenodromius reyesi", "Xenodromius testaceus", "Xestagonum ahrensi", "Xestagonum alanstivelli", "Xestagonum alticola", "Xestagonum ambiguum", "Xestagonum ambulator", "Xestagonum arvarus", "Xestagonum assamense", "Xestagonum baehri", "Xestagonum bellasilviae", "Xestagonum benesi", "Xestagonum beskellus", "Xestagonum bhutanense", "Xestagonum bisetosum", "Xestagonum blevdispar", "Xestagonum blevennek", "Xestagonum bochkrizet", "Xestagonum bothoreli", "Xestagonum boulbeni", "Xestagonum brancuccianum", "Xestagonum brancuccii", "Xestagonum brunicolle", "Xestagonum brunisianum", "Xestagonum bruskhir", "Xestagonum bruskornekus", "Xestagonum bureli", "Xestagonum caesitium", "Xestagonum cavazzutii", "Xestagonum chensicieni", "Xestagonum connexum", "Xestagonum convexicolle", "Xestagonum cursor", "Xestagonum daisetsuzanum", "Xestagonum damhenvel", "Xestagonum danteg", "Xestagonum daoublev", "Xestagonum dentatum", "Xestagonum deuvei", "Xestagonum deuvesianum", "Xestagonum dierli", "Xestagonum disjunctum", "Xestagonum diversicolle", "Xestagonum dobbertini", "Xestagonum dremmi", "Xestagonum elytroplanum", "Xestagonum erberi", "Xestagonum etainn", "Xestagonum etredaou", "Xestagonum forchellek", "Xestagonum ganesh", "Xestagonum garig", "Xestagonum gellkistinus", "Xestagonum gorapaniense", "Xestagonum gouzougek", "Xestagonum gracile", "Xestagonum gracilipenne", "Xestagonum grandistyle", "Xestagonum habui", "Xestagonum hannesi", "Xestagonum hauseri", "Xestagonum heinzi", "Xestagonum henvelikus", "Xestagonum himalayae", "Xestagonum holzschuhi", "Xestagonum holzschuhianum", "Xestagonum immarginatum", "Xestagonum inexspectatum", "Xestagonum izeldoareus", "Xestagonum izil", "Xestagonum jannuense", "Xestagonum jitiangense", "Xestagonum kalchmoanus", "Xestagonum kamaretianum", "Xestagonum karli", "Xestagonum karvanekus", "Xestagonum kemm", "Xestagonum kergreni", "Xestagonum kildroennus", "Xestagonum korr", "Xestagonum kucerai", "Xestagonum kuceraianum", "Xestagonum kuzonduresti", "Xestagonum lagadbihan", "Xestagonum lassallei", "Xestagonum lassalleianum", "Xestagonum ledouxi", "Xestagonum lehirae", "Xestagonum marani", "Xestagonum marginale", "Xestagonum marietudoe", "Xestagonum meindli", "Xestagonum melittus", "Xestagonum meneziadus", "Xestagonum meyeri", "Xestagonum modron", "Xestagonum montuosellum", "Xestagonum montuosum", "Xestagonum morholt", "Xestagonum musculum", "Xestagonum naviauxi", "Xestagonum nazarovi", "Xestagonum nepalense", "Xestagonum nitouense", "Xestagonum nivium", "Xestagonum ovaliceps", "Xestagonum pavruzus", "Xestagonum pennboullek", "Xestagonum rectangulum", "Xestagonum remondi", "Xestagonum rhiannon", "Xestagonum robustum", "Xestagonum ruteri", "Xestagonum sabinae", "Xestagonum semicoeruleum", "Xestagonum semivariolosum", "Xestagonum shimomurai", "Xestagonum shokhrini", "Xestagonum sikkimense", "Xestagonum skoazigus", "Xestagonum skoazkornek", "Xestagonum smetanai", "Xestagonum soazigae", "Xestagonum szekessyi", "Xestagonum tetrasetosum", "Xestagonum tharepatiense", "Xestagonum thierryi", "Trechus narynensis", "Trechus natmataungensis", "Trechus navaricus", "Trechus newar", "Trechus nicoleae", "Trechus nigrinus", "Trechus nigrocruciatus", "Trechus nikolajevi", "Trechus nivicola", "Trechus nomurai", "Trechus nonveilleri", "Trechus noricus", "Trechus nothus", "Trechus nugax", "Trechus numatai", "Trechus obtusiusculus", "Trechus obtusus", "Trechus ochreatus", "Trechus ofensis", "Trechus ogouzicus", "Trechus oligops", "Trechus olympicus", "Trechus onicus", "Trechus ordinarior", "Trechus orduensis", "Trechus oregonensis", "Trechus ormayi", "Trechus orobicus", "Trechus oromii", "Trechus orousseti", "Trechus orphaeus", "Trechus orthapicalis", "Trechus ortizi", "Trechus osellai", "Drusilla aeneicollis", "Trechus osmanilis", "Trechus ossae", "Trechus ovatus", "Trechus ovipennis", "Trechus ovtshinnikovi", "Trechus pachycerus", "Trechus pallidulus", "Trechus pamphylicus", "Trechus paphlagonicus", "Trechus parapandus", "Trechus patrizzii", "Trechus pavlovskii", "Trechus pecignai", "Trechus pecoudi", "Trechus pennisii", "Trechus pereirai", "Trechus perinii", "Trechus perissus", "Trechus perpusillus", "Trechus perreaui", "Trechus pertyi", "Trechus phami", "Trechus phanageriacus", "Trechus piazzolii", "Trechus picoensis", "Trechus pieltaini", "Trechus pilisensis", "Trechus pilonensis", "Trechus pilosicornis", "Ornithoctonus andersoni", "Xestagonum tibetanum", "Xestagonum torgos", "Xestagonum treutikus", "Xestagonum unisetosum", "Xestagonum ursulae", "Xestagonum venator", "Xestagonum vignai", "Xestagonum xestus", "Xestagonum yanfoueri", "Xestagonum zenganinae", "Xestonotus lugubris", "Xestopus alticola", "Xestopus bhutanensis", "Xestopus cordicollis", "Xestopus cyaneus", "Xestopus kumatai", "Xestopus nepalensis", "Xestopus walteri", "Xhosores figuratus", "Xystosomus convexus", "Xystosomus impressifrons", "Xystosomus inflatus", "Xystosomus laevimicans", "Xystosomus laevis", "Xystosomus niger", "Xystosomus paralaevis", "Xystosomus tholus", "Xystosomus turgidus", "Yamatosa arrowi", "Yamatosa bacca", "Yamatosa boysi", "Yamatosa draco", "Yamatosa jakli", "Yamatosa kabakovi", "Yamatosa kryzhanovskyi", "Yamatosa longior", "Yamatosa niponensis", "Yamatosa peninsularis", "Yamatosa phuka", "Yamatosa reitteri", "Yamatosa smetanorum", "Yanzaphaenops hirundinis", "Yukihikous minobusanus", "Yukihikous montanus", "Yukihikous ohkawai", "Yunotrechus diannanensis", "Zabrus distinctus", "Zabrus laevicollis", "Zabrus maroccanus", "Zabrus consanguineus", "Zabrus tenuestriatus", "Zabrus flavangulus", "Zabrus humeralis", "Zabrus mateui", "Zabrus pinguis", "Zabrus aciculatus", "Zabrus aurichalceus", "Zabrus chalceus", "Zabrus malloryi", "Zabrus martensi", "Zabrus potanini", "Zabrus przewalskii", "Zabrus ambiguus", "Cyriopagopus lividus", "Zabrus angustatus", "Zabrus cameranus", "Zabrus castroi", "Zabrus coiffaiti", "Zabrus curtus", "Zabrus eserensis", "Zabrus estrellanus", "Zabrus galicianus", "Zabrus gibbulus", "Zabrus gravis", "Zabrus inflatus", "Zabrus marginicollis", "Zabrus notabilis", "Zabrus obesus", "Zabrus rotundatus", "Zabrus seidlitzi", "Zabrus silphoides", "Zabrus theveneti", "Zabrus urbionensis", "Zabrus vasconicus", "Zabrus jurjurae", "Zabrus canaricus", "Zabrus crassus", "Zabrus laevigatus", "Zabrus aegaeus", "Zabrus aetolus", "Zabrus albanicus", "Zabrus apfelbecki", "Zabrus asiaticus", "Zabrus balcanicus", "Zabrus bischoffi", "Zabrus bodemeyeri", "Zabrus boldorii", "Zabrus brevicollis", "Zabrus brondelii", "Zabrus chiosanus", "Zabrus corpulentus", "Zabrus damascenus", "Zabrus femoratus", "Zabrus foveipennis", "Zabrus foveolatus", "Zabrus ganglbaueri", "Zabrus graecus", "Zabrus hellenicus", "Zabrus helopioides", "Zabrus heydeni", "Zabrus hiekei", "Zabrus iconiensis", "Zabrus idaeus", "Zabrus incrassatus", "Zabrus kurdistanicus", "Zabrus laticollis", "Zabrus lycius", "Zabrus melancholicus", "Zabrus oertzeni", "Zabrus ovalis", "Zabrus ovipennis", "Zabrus pentheri", "Zabrus peristericus", "Zabrus poggii", "Zabrus politus", "Zabrus punctifrons", "Trechinites clairvillii", "Trechinites oblongus", "Trechoides fasciatus", "Trechus balticus", "Trechus eoanophthalmus", "Trechus exhibitorius", "Trechus capito", "Trechus fractus", "Ornithoctonus costalis", "Tremembecarabus rotundus", "Xinbinia foveolata", "Xishanocarabus parvus", "Yunnanocarabus litus", "Euphorbia venefica", "Zuphioides exiguum", "Zuphioides exquisitum", "Zuphioides flohri", "Zuphioides haitianum", "Zuphioides lizeri", "Zuphioides longicolle", "Zuphioides magnum", "Zuphioides mexicanum", "Zuphioides pseudamericanum", "Zuphioides punctipenne", "Zuphioides pusillum", "Zuphioides salivanum", "Zuphium australe", "Zuphium bedeli", "Zuphium bimaculatum", "Zuphium bohemani", "Zuphium brunneum", "Zuphium caffer", "Zuphium castelnaui", "Zuphium celebense", "Zuphium ciliatum", "Zuphium cilicium", "Zuphium coarctatum", "Zuphium congoense", "Zuphium dabreui", "Zuphium erebeum", "Zuphium erythrocephalum", "Zuphium flavum", "Zuphium fleuriasi", "Zuphium formosum", "Zuphium fuscum", "Zuphium hungaricum", "Zuphium indicum", "Zuphium juengeri", "Zuphium juratulum", "Zuphium lecordieri", "Zuphium macleayanum", "Zuphium maculiceps", "Zuphium microphthalmum", "Zuphium modestum", "Zuphium moorei", "Zuphium numidicum", "Zuphium obscurum", "Zuphium orbachi", "Zuphium orszuliki", "Zuphium perrieri", "Zuphium piceum", "Zuphium ponticum", "Zuphium praestans", "Zuphium rudolphi", "Zuphium ruficeps", "Zuphium rufotinctum", "Zuphium seyrigi", "Zuphium siamense", "Zuphium syriacum", "Zuphium tecospilum", "Zuphium testaceum", "Zuphium thouzeti", "Zuphium trigemme", "Zuphium trimaculatum", "Zuphium tschitscherini", "Zuphium ustum", "Platynus exterminatus", "Platynus florissantensis", "Platynus halli", "Platynus harttii", "Platynus hindei", "Platynus insculptipennis", "Platynus interglacialis", "Platynus interitus", "Platynus longaevus", "Platynus pleistocenicus", "Platynus senex", "Platynus subgelidus", "Platynus tartareus", "Plesioglymmius zayasi", "Plochionus lesquereuxi", "Polistichus hopei", "Procarabus longipes", "Procarabus punctatus", "Procarabus reticulatus", "Procarabus tripartitus", "Prosynactus gracilis", "Prosynactus procerus", "Prosynactus scissus", "Protocerapterus incola", "Protocerapterus primigenius", "Protopaussus pristinus", "Protorabus crassus", "Protorabus elongatus", "Protorabus kobdoensis", "Protorabus magnus", "Protorabus minisculus", "Protorabus nigrimonticola", "Protorabus planus", "Protorabus polyphlebius", "Protorabus tsaganensis", "Protoscalidion rugiae", "Platynus calvini", "Pterostichus abrogatus", "Pterostichus destructus", "Pterostichus dormitans", "Pterostichus fernquisti", "Pterostichus fractus", "Pterostichus laevigatus", "Pterostichus minax", "Pterostichus minutulus", "Pterostichus provincialis", "Pterostichus pumpellyi", "Pterostichus walcotti", "Rhopalochlaenius phalanthus", "Scaphinotus serus", "Scarites haidingeri", "Scarites mancus", "Scarites robustiventris", "Shanwangicarabus brunneus", "Shanwangicarabus furvus", "Shanwangicarabus paucilus", "Sinis brevicollis", "Sinocalosoma longicornutum", "Sinocarabus longicornutus", "Sinocaralosoma expansum", "Sunocarabus brunneus", "Tachys haywardi", "Tauredon horni", "Cyriopagopus schmidti", "Chlaenius electrinus", "Chlaenius furvus", "Chlaenius plicatipennis", "Chlaenius punctulatus", "Cicindelites armissanti", "Clinidium poinari", "Clinidium grimaldii", "Zygadenia homora", "Conjunctia longa", "Conjunctia prodroma", "Coptodera elektra", "Cordorabus antennatus", "Cordorabus minimus", "Cordorabus notatus", "Cordorabus striatus", "Cordorabus vittatus", "Cratacanthus florissantensis", "Cretorabus medius", "Cychrus minor", "Cychrus wheatleyi", "Cyclotrachelus tenebricus", "Cymindoides sculptipennis", "Denudirabus exstrius", "Diacheila matthewsi", "Dicaelus alutaceus", "Dicheirotrichus lividus", "Diplocheila henshawi", "Dromius bakeri", "Dyschiriomimus stackelbergi", "Elaphropus bilobus", "Elaphrotites densus", "Elaphrus irregularis", "Eohomopterus paulmuelleri", "Eohomopterus poinari", "Eohomopterus simojovelensis", "Eopaussus balticus", "Euryderus kingii", "Fangshania punctata", "Galerita marshii", "Glenopterus laevigatus", "Harpalus abolitus", "Harpalus anactus", "Harpalus bruckmanni", "Harpalus burmeisteri", "Harpalus conditus", "Harpalus constrictus", "Harpalus deletus", "Harpalus dilatatus", "Harpalus ewaldi", "Harpalus excavatus", "Harpalus heeri", "Harpalus knorri", "Harpalus lheritieri", "Harpalus liasinus", "Harpalus maceratus", "Harpalus nuperus", "Harpalus obtusus", "Harpalus oustaleti", "Harpalus pleistocenicus", "Harpalus redivivus", "Zabrus punctiventris", "Zabrus reflexus", "Zabrus robustus", "Zabrus rotundicollis", "Zabrus rugulosus", "Zabrus segnis", "Zabrus semipunctatus", "Zabrus seriatus", "Zabrus socialis", "Zabrus spectabilis", "Zabrus spinipes", "Zabrus sublaevis", "Zabrus toelgi", "Zabrus trinii", "Zabrus tumidus", "Zabrus validus", "Zabrus ventricosus", "Zabrus constrictus", "Zabrus pecoudi", "Zabrus deflexicollis", "Zabrus farctus", "Zabrus guildensis", "Zabrus puncticeps", "Zabrus vaulogeri", "Zabrus vignai", "Zabrus ignavus", "Zabrus morio", "Zacotus matthewsii", "Zapotecanillus iviei", "Zapotecanillus ixtlanus", "Zapotecanillus kavanaughi", "Zapotecanillus longinoi", "Zapotecanillus montanus", "Zapotecanillus nanus", "Zapotecanillus oaxacanus", "Zapotecanillus pecki", "Zargus crotchianus", "Zargus desertae", "Zargus monizii", "Zargus pellucidus", "Zargus putzeri", "Zargus schaumii", "Zariquieya troglodytes", "Zeanillus pallidus", "Zeanillus phyllobius", "Zeanillus punctigerus", "Zeodera atra", "Zhijinaphaenops jingliae", "Zhijinaphaenops liuae", "Zoianillus acutipennis", "Zolotarevskyella afghana", "Zolotarevskyella rhytidera", "Zolotarevskyella strigicollis", "Zuphioides aequinoctiale", "Zuphioides americanum", "Zuphioides argentinicum", "Zuphioides batesii", "Zuphioides bierigi", "Zuphioides brasiliense", "Zuphioides bruchi", "Zuphioides capitum", "Zuphioides columbianum", "Zuphioides cubanum", "Zuphioides delectum", "Amara danae", "Amara forsteri", "Amara pinguicula", "Badister antecursor", "Badister debilis", "Badister fragilis", "Badister grandis", "Badister macrocephalus", "Badister prodromus", "Bembidion absolutum", "Bembidion alekseevi", "Bembidion boryslavicum", "Bembidion bukejsi", "Bembidion christelae", "Bembidion cyaneomicans", "Bembidion damnosum", "Bembidion davidae", "Bembidion exoletum", "Bembidion expletum", "Bembidion florissantense", "Bembidion fragmentum", "Bembidion glaciatum", "Bembidion haywardi", "Bembidion inferum", "Bembidion obductum", "Bembidion praeteritum", "Bembidion saportanum", "Bembidion strenum", "Bembidion subcontaminatum", "Bembidion succini", "Bembidion tumulorum", "Bembidion vanum", "Bembidion vestigium", "Callisthenes agassizii", "Calosoma caraboides", "Calosoma catenulatum", "Calosoma ceresti", "Calosoma deplanatum", "Calosoma emmonsi", "Calosoma emmonsii", "Calosoma escheri", "Calosoma escrobiculatum", "Calosoma heeri", "Calosoma jaccardi", "Calosoma nauckianum", "Carabidium dejeanianum", "Carabilarva jurassica", "Carabilarva robusta", "Carabus ceresti", "Carabus dzieduszyckii", "Carabus elongatus", "Carabus foveolatus", "Carabus jeffersoni", "Carabus maeandroides", "Carabus mecothoracus", "Carabus neli", "Carabus ovalis", "Carabus praearvensis", "Carabus praeviolaceus", "Carabus winkleri", "Cavicarabus lucensus", "Cerapterites primaevus", "Drusilla cupulifer", "Drusilla denticollis", "Drusilla feae", "Cyriopagopus vonwirthi", "Drusilla dorylophila", "Drusilla drescheri", "Drusilla flava", "Drusilla flavicornis", "Drusilla frater", "Drusilla gracilicornis", "Drusilla granulata", "Harpalus schlotheimi", "Harpalus sinis", "Harpalus stierlini", "Harpalus stygius", "Harpalus tabidus", "Harpalus tardigradus", "Harpalus ulomaeformis", "Harpalus veterum", "Harpalus whitfieldi", "Hebeicarabus guojiacunense", "Helluomorpha protogaea", "Lebia amissa", "Lebia harrelli", "Lebia protospiloptera", "Ledouxnebria brisaci", "Lirabus granulatus", "Lithorabus incertus", "Loricera groehni", "Loricera electrica", "Loricera exita", "Loricera glacialis", "Loricera lutosa", "Loxandrus gelidus", "Magnirabus furvus", "Nebrorabus nebrioides", "Trachylophus shanwangensis", "Meileyingia spinosa", "Mesorabus elongatus", "Miocarabus alviolatus", "Miolebidia gaura", "Myas rigefactus", "Myas umbrarum", "Nebria abstracta", "Nebria dobbertinensis", "Nebria fossilis", "Nebria nitens", "Nebria occlusa", "Nebria paleomelas", "Nebria pluto", "Nebria scudderi", "Nebrorabus baculum", "Nebrorabus capitatus", "Neothanes testeus", "Obesofemoria chijinqiaoensis", "Ovrabites incertus", "Ovrabites jurassicus", "Ovrabites ovalis", "Oxycheilopsis cretacicus", "Ornithoctonus aureotibialis", "Panagaeus dryadum", "Patrobus decessus", "Patrobus frigidus", "Patrobus gasirowskii", "Patrobus gelatus", "Patrobus henshawi", "Paussopsis nearctica", "Paussopsis secunda", "Platynus hoffeinsorum", "Platynus caesus", "Platynus casus", "Platynus desuetus", "Platynus dissipatus", "Platynus dilapidatus", "Drusilla granulicollis", "Drusilla guineensis", "Drusilla haematica", "Drusilla impressicollis", "Yaginumaella pulchella", "Yaginumaella hubeiensis", "Drusilla incola", "Drusilla inflatae", "Anolis dracula", "Anemesia birulai", "Drusilla intermedia", "Drusilla jacobsoni", "Drusilla javana", "Drusilla kamerunensis", "Drusilla keiichii", "Drusilla laevicauda", "Dellichthys trnskii", "Drusilla lineatocollis", "Drusilla lucens", "Drusilla lucida", "Drusilla malaisei", "Parabembras multisquamata", "Drusilla luzonica", "Drusilla magniceps", "Anemesia koponeni", "Raveniola mazandaranica", "Anemesia infuscata", "Umbyquyra paranaiba", "Umbyquyra sapezal", "Umbyquyra cuiaba", "Umbyquyra palmarum", "Umbyquyra araguaia", "Umbyquyra belterra", "Umbyquyra tapajos", "Umbyquyra tucurui", "Umbyquyra caxiuana", "Umbyquyra schmidti", "Umbyquyra acuminata", "Sahastata sinuspersica", "Lipogramma barrettorum", "Anemesia pococki", "Lipogramma schrieri", "Lipogramma levinsoni", "Lipogramma haberi", "Flexor incus", "Hyphessobrycon piorskii", "Squalus hawaiiensis", "Opistognathus thionyi", "Opistognathus vicinus", "Cryptotis evaristoi", "Cyathula prostrata var. prostrata", "Bibbya subcircumspecta", "Anemesia tubifex", "Anemesia andreevae", "Anemesia oxiana", "Anemesia sogdiana", "Anemesia castanea", "Anemesia karatauvi", "Anemesia pallida", "Anemesia parvula", "Anemesia incana", "Anemesia infumata", "Brahea calcarea", "Aphonopelma gabeli", "Bibbya vermifera", "Brahea decumbens", "Cryonectes neustriacus", "Sophora huamotensis", "Aphonopelma hesperum", "Aphonopelma moderatum", "Brahea salvadorensis", "Aphonopelma iodius", "Aphonopelma vorhiesi", "Aphonopelma levii", "Abacoclytus felicisrosettae", "Abacoclytus ventripennis", "Abaiba dimorphica", "Copernicia fallaensis", "Achryson philippii", "Achryson pictum", "Achryson quadrimaculatum", "Achryson undulatum", "Achryson unicolor", "Achthophora alma", "Achthophora annulicornis", "Achthophora costulata", "Achthophora ferruginea", "Achthophora humeralis", "Achthophora sandakana", "Achthophora trifasciata", "Achthophora tristis", "Acideres ricaudii", "Acmaeops discoideus", "Acmaeops proteus", "Acmaeopsoides rufula", "Acmocera bialbofasciata", "Acmocera compressa", "Acmocera conjux", "Acmocera flavoguttata", "Acmocera hauwaertsi", "Acmocera inermis", "Acmocera insularis", "Acmocera joveri", "Acmocera lutosa", "Acmocera olympiana", "Acmocera transverselineata", "Aconodes affinis", "Aconodes bilobatus", "Aconodes breuningi", "Aconodes bulbosus", "Aconodes costatus", "Aconodes euphorbiae", "Aconodes guerardi", "Aconodes latefasciatus", "Aconodes lima", "Aconodes montanus", "Aconodes multituberculatus", "Aconodes nepalensis", "Aconodes obliquatus", "Aconodes pedongensis", "Aconodes persimilis", "Aconodes piniphilus", "Aconodes sikkimensis", "Aconodes subaequalis", "Aconodes submontanus", "Aconodes truncatus", "Aconodes tuberculatus", "Aconopteroides laevipennis", "Aconopterus cristatipennis", "Aconopterus strandi", "Acoremia flavomaculata", "Acorethra aureofasciata", "Acorethra chrysaspis", "Acreana cuprea", "Acrepidopterum acutum", "Acrepidopterum capilosum", "Acrepidopterum jamaicensis", "Acrepidopterum minutum", "Acrepidopterum pilosum", "Acrepidopterum reseri", "Acridocephala alboannulata", "Acridocephala bistriata", "Acridocephala densepunctata", "Acridocephala nicoletii", "Acridocephala nubilosa", "Acridocephala seriata", "Acridocephala variegata", "Acridocera ziczac", "Acridoschema aberrans", "Acridoschema atricollis", "Acridoschema capricorne", "Acridoschema flavolineatum", "Acridoschema isidori", "Acridoschema itzingeri", "Acridoschema ligatum", "Acridoschema thomense", "Acridoschema tuberculicolle", "Acrocyrta clytoides", "Acrocyrta fabula", "Acrocyrta rufofemorata", "Acrocyrtidus argenteofasciatus", "Acrocyrtidus argenteus", "Acrocyrtidus attenuatus", "Acrocyrtidus aurescens", "Acrocyrtidus auricomus", "Acrocyrtidus avarus", "Acrocyrtidus elegantulus", "Acrocyrtidus fasciatus", "Acrocyrtidus fulvus", "Acrocyrtidus griseofasciatus", "Acrocyrtidus longipes", "Acrocyrtidus simianshanensis", "Acrogenius tinctus", "Acronia gloriosa", "Acronia layroni", "Acronia luzonica", "Acronia marifelipeae", "Acronia nigra", "Acronia perelegans", "Acronia pretiosa", "Acronia principalis", "Acronia pulchella", "Acronia roseolata", "Acronia strasseni", "Acronia superba", "Acronia vizcayana", "Acronia ysmaeli", "Acronioglenea besucheti", "Copernicia glabrescens var. glabrescens", "Acruspex spinipennis", "Acutandra amieti", "Acutandra araucana", "Acutandra barclayi", "Acutandra beninensis", "Acutandra camiadei", "Acutandra caterinoi", "Acutandra comoriana", "Acutandra conradti", "Acutandra dasilvai", "Acutandra degeerii", "Acutandra delahayei", "Acutandra gabonica", "Acutandra gaetani", "Abanycha bicolor", "Abanycha bicoloricornis", "Abanycha fasciata", "Abanycha pectoralis", "Abanycha pulchricollis", "Abanycha sericipennis", "Abanycha urocosmia", "Abaraeus cuneatus", "Abaraeus curvidens", "Abatocera arnaudi", "Abatocera irregularis", "Abatocera leonina", "Abatocera keyensis", "Abatocera subirregularis", "Abauba ericae", "Abauba flavipes", "Copernicia curtissii", "Abauba iani", "Abauba mediorufovittata", "Abauba napoensis", "Abycendaua duplicata", "Acabanga nigrohumeralis", "Acabanga pinima", "Acabyara aruama", "Acaiatuca denudata", "Acaiatuca quadricostata", "Acaiu spinosus", "Acakyra laterialba", "Acakyra nigrofasciata", "Acakyra ocellata", "Acalodegma servillei", "Acalodegma vidali", "Acalolepta admixta", "Acalolepta aesthetica", "Acalolepta affinis", "Acalolepta albosparsuta", "Acalolepta alorensis", "Acalolepta amamiana", "Acalolepta ampliata", "Acalolepta andamanensis", "Acalolepta andamanica", "Acalolepta annamensis", "Acalolepta antenor", "Acalolepta argentata", "Acalolepta arrowi", "Acalolepta artensis", "Acalolepta artia", "Acalolepta atra", "Acalolepta atroolivacea", "Acalolepta aurata", "Acalolepta aureofusca", "Acalolepta aurosericea", "Acalolepta basicornis", "Acalolepta basigranulata", "Acalolepta basimaculata", "Acalolepta basiplagiata", "Acalolepta battonii", "Acalolepta bennigseni", "Acalolepta bicolor", "Acalolepta bifasciata", "Acalolepta biocellata", "Acalolepta birmana", "Acalolepta bisericans", "Acalolepta blairi", "Acalolepta bolanica", "Acalolepta boninensis", "Acalolepta borneensis", "Acalolepta bretschneideri", "Acalolepta breuningi", "Acalolepta breviscapa", "Acalolepta brunnea", "Acalolepta bryanti", "Acalolepta buruana", "Acalolepta buruensis", "Acalolepta cariosa", "Acalolepta cervina", "Acalolepta chinensis", "Acalolepta convexa", "Acalolepta coreanica", "Acalolepta coreensis", "Acalolepta corpulenta", "Acalolepta crassepunctifrons", "Acalolepta dayremi", "Acalolepta defectrix", "Acalolepta degeneroides", "Acalolepta densefuscomarmorata", "Acalolepta densemarmorata", "Acalolepta densepunctata", "Acalolepta dentifera", "Acalolepta dentiferoides", "Acalolepta dispar", "Acalolepta elongata", "Acalolepta enganensis", "Acalolepta fergussoni", "Acalolepta ferriei", "Acalolepta flavithorax", "Acalolepta flavomarmorata", "Copernicia ekmanii", "Acalolepta flocculata", "Acalolepta florensis", "Acalolepta formosana", "Acalolepta frenchi", "Acalolepta freudei", "Acalolepta fruhstorferi", "Acalolepta fulvoscutellata", "Acalolepta fuscomarmorata", "Acalolepta fuscopunctata", "Acalolepta fuscosparsuta", "Acalolepta gardneri", "Acalolepta ginkgovora", "Acalolepta gracilis", "Acalolepta grisea", "Acalolepta griseipennis", "Acalolepta griseofumata", "Acalolepta griseomicans", "Acalolepta griseoplagiata", "Acalolepta griseoplagiatoides", "Acalolepta griseovaria", "Acalolepta grisescens", "Acalolepta grossescapa", "Acalolepta hachijoensis", "Acalolepta hainana", "Acalolepta haradai", "Acalolepta hebridarum", "Acalolepta permutans", "Acalolepta persimilis", "Acalolepta pici", "Acalolepta pleuralis", "Acalolepta pontianakensis", "Acalolepta proxima", "Acalolepta pseudaurata", "Acalolepta pseudoconvexa", "Acalolepta pseudodentifera", "Acalolepta pseudomarmorata", "Acalolepta pseudoproducta", "Acalolepta pseudosericans", "Acalolepta pseudospeciosa", "Acalolepta pseudotincturata", "Acalolepta puncticeps", "Acalolepta puncticollis", "Acalolepta punctifrons", "Acalolepta pusio", "Acalolepta riouensis", "Acalolepta romblonica", "Acalolepta rotundipennis", "Acalolepta samarensis", "Acalolepta scotti", "Acalolepta sculpturata", "Copernicia rigida", "Acalolepta sejuncta", "Acalolepta semidegenera", "Acalolepta semisericea", "Acalolepta sericans", "Acalolepta sericea", "Acalolepta sericeiceps", "Acalolepta sericeipennis", "Acalolepta sericeomicans", "Acalolepta seunghwani", "Acalolepta sikkimensis", "Acalolepta similis", "Acalolepta siporensis", "Acalolepta sobria", "Acalolepta socia", "Acalolepta soembana", "Acalolepta sondaica", "Acalolepta speciosa", "Acalolepta stictica", "Acalolepta strandi", "Acalolepta strandiella", "Acalolepta subaequalis", "Acalolepta subaurata", "Acalolepta subbasicornis", "Acalolepta subbicolor", "Acalolepta sublusca", "Acalolepta submaculata", "Acalolepta subpustulata", "Acalolepta subspeciosa", "Acalolepta subsulphurifer", "Acalolepta subtruncata", "Acalolepta subunicolor", "Acalolepta sulcicollis", "Acalolepta sulphurifera", "Acalolepta sumatrana", "Acalolepta sumatrensis", "Acalolepta szechuana", "Acalolepta tarsalis", "Acalolepta tenasserimensis", "Acalolepta hepatica", "Acalolepta hingstoni", "Acalolepta holonigra", "Acalolepta holosericea", "Acalolepta holotephra", "Acalolepta hunanensis", "Acalolepta impuncticollis", "Acalolepta inaequalis", "Acalolepta indica", "Acalolepta infasciata", "Acalolepta insularis", "Acalolepta itzingeri", "Acalolepta iwahashii", "Acalolepta javanica", "Acalolepta kaszabi", "Acalolepta kuniyoshii", "Acalolepta kusamai", "Acalolepta laeviceps", "Acalolepta laevicollis", "Acalolepta laevifrons", "Acalolepta lineata", "Acalolepta longicollis", "Acalolepta longiscapus", "Acalolepta loriai", "Acalolepta luzonica", "Acalolepta macrophthalma", "Acalolepta malaccensis", "Acalolepta malaisei", "Acalolepta marianarum", "Acalolepta marmorata", "Acalolepta marshalli", "Acalolepta marshalliana", "Acalolepta masatakai", "Acalolepta mausoni", "Acalolepta meeki", "Acalolepta microspinicollis", "Acalolepta minima", "Acalolepta misella", "Acalolepta mixta", "Acalolepta moensis", "Acalolepta montana", "Acalolepta mutans", "Acalolepta nagporensis", "Acalolepta nativitatis", "Acalolepta neopommeriana", "Acalolepta nepalensis", "Acalolepta niasana", "Acalolepta niasensis", "Acalolepta niasica", "Acalolepta ningshanensis", "Acalolepta nishimurai", "Acalolepta nivosa", "Acalolepta noctis", "Acalolepta novaguineae", "Acalolepta ochreifrons", "Acalolepta opposita", "Acalolepta oshimana", "Acalolepta ovina", "Acalolepta pallens", "Acalolepta papuana", "Acalolepta parabolanica", "Acalolepta paracervina", "Acalolepta paraspeciosa", "Acalolepta paravariolaris", "Acalolepta tenuipes", "Acalolepta tenuis", "Acalolepta ternatensis", "Acalolepta timorensis", "Acalolepta trucana", "Acalolepta truncata", "Acalolepta tugelensis", "Acalolepta unicolor", "Acalolepta uniformis", "Acalolepta variolaris", "Acalolepta vastator", "Acalolepta viridimicans", "Acalolepta vitalisi", "Acalolepta wittmeri", "Acalolepta woodlarkiana", "Acalolepta woodlarkiensis", "Acalolepta yokoyamai", "Acalolepta ammiralis", "Acalolepta australis", "Acalolepta celebensis", "Acalolepta fuscosericea", "Acalolepta korolensis", "Acalolepta lessonii", "Acalolepta litigiosa", "Acalolepta longicornis", "Acalolepta longipennis", "Acalolepta producta", "Acalolepta pseudobianor", "Acalolepta rusticatrix", "Acalolepta solata", "Acalolepta tincturata", "Acalolepta daosus", "Acalopus brunneus", "Acalopus rugosus", "Acangarana santossilvai", "Acanthesthes amycteroides", "Acanthesthes crispa", "Acanthetaxalus bostrychoides", "Acanthinodera cumingii", "Acanthocinus angulosus", "Acanthocinus annamensis", "Acanthocinus chinensis", "Acanthocinus elegans", "Acanthocinus gundaiensis", "Acanthocinus hispanicus", "Acanthocinus hutacharerae", "Acanthocinus leechi", "Acanthocinus meyeri", "Acanthocinus nodosus", "Acanthocinus obliquus", "Acanthocinus obsoletus", "Acanthocinus orientalis", "Acanthocinus princeps", "Acanthocinus pusillus", "Acanthocinus sachalinensis", "Acanthocinus sinensis", "Acanthocinus spectabilis", "Acanthocinus subsolana", "Acanthocinus tethys", "Acanthocinus guttatus", "Acanthoderes daviesii", "Acanthoderes laevicollis", "Acanthoderes laportei", "Acanthoderes latevittata", "Acanthoderes parvimacula", "Aegomorphus quadrigibbus", "Acanthoderes quatuordecimguttata", "Acanthoderes rubripes", "Acanthoderes rufofemorata", "Acanthoderes satanas", "Acanthoderes septemmaculata", "Acanthoderes subtessellata", "Acanthoderes thammi", "Acanthoderes zischkai", "Acanthoderes zonata", "Acanthoderes amplifrons", "Acanthoderes funeraria", "Scythropopsis lacrymans", "Scythropopsis abstersa", "Scythropopsis albitarsis", "Scythropopsis boucheri", "Scythropopsis pupillata", "Symperasmus affinis", "Acanthoderes ferruginea", "Acanthoderes hondurae", "Symperasmus thoracicus", "Acanthodoxus delta", "Acanthodoxus machacalis", "Acanthoibidion chevrolatii", "Acanthomigdolus quadricollis", "Acanthonessa quadrispinosa", "Acanthophorus serraticornis", "Acanthoptera violascens", "Acanthoptura denticollis", "Acanthoptura sericeicollis", "Acanthoptura simplicicollis", "Acanthoptura spinipennis", "Acanthoptura truncatipennis", "Acanthosybra lineolata", "Acanthotritus dorsalis", "Acapiata dilatata", "Acapnolymma sulcaticeps", "Acartus biplagiatus", "Acartus bituberosus", "Acartus hirtus", "Acartus penicillatus", "Acartus rufus", "Acartus subinermis", "Acasanga delectabilis", "Acasanga dimidiosanguinea", "Acasanga humeralis", "Acasanga reticulata", "Acatinga boucheri", "Acatinga gallardi", "Acatinga maia", "Acatinga quinquemaculata", "Acaua exotica", "Achenoderus octomaculatus", "Achriotypa basalis", "Achriotypa bispinosa", "Achryson chacoense", "Achryson foersteri", "Achryson jolyi", "Achryson lineolatum", "Achryson lutarium", "Achryson maculatum", "Achryson maculipenne", "Acutandra garnieri", "Acutandra grobbelaarae", "Acutandra hugoi", "Acutandra jolyi", "Acutandra leduci", "Acutandra leonardi", "Acutandra lucasi", "Acutandra murrayi", "Acutandra noellae", "Acutandra oremansi", "Acutandra plenevauxae", "Acutandra punctatissima", "Acutandra quentini", "Acutandra ubitiara", "Acutandra vingerhoedti", "Acutelinopteridius minutus", "Acutelinopteridius mohelianus", "Acuticeresium incertum", "Acutiphoderes necydalea", "Acyderophes fulgida", "Acyphoderes abdominalis", "Acyphoderes amboroensis", "Acyphoderes auricapilla", "Acyphoderes aurulenta", "Acyphoderes carinicollis", "Acyphoderes crinita", "Acyphoderes hirtipes", "Acyphoderes rubrohirsutotibialis", "Adalbus crassicornis", "Addoeme subsericans", "Adepimelitta debilis", "Adepimelitta eupheme", "Aderpas brunneus", "Aderpas congolensis", "Aderpas griseotinctus", "Aderpas griseus", "Aderpas lineolatus", "Aderpas nyassicus", "Aderpas pauper", "Aderpas ugandicola", "Adesmus albiventris", "Adesmus bisellatus", "Adesmus borgmeieri", "Adesmus brunneiceps", "Adesmus calca", "Adesmus chalumeaui", "Adesmus clathratus", "Adesmus collaris", "Adesmus delahayei", "Adesmus diana", "Adesmus dignus", "Adesmus fulvicornis", "Adesmus griseus", "Adesmus guttatus", "Adesmus hemispilus", "Adesmus hipposiderus", "Adesmus icambi", "Adesmus juninensis", "Adesmus laetus", "Adesmus lauropalui", "Adesmus leucodryas", "Adesmus martinsi", "Adesmus meinerti", "Adesmus monnei", "Adesmus mosapyra", "Adesmus nigriventris", "Adesmus nigrocinctus", "Adesmus niveiceps", "Adesmus ocellatus", "Adesmus phoebinus", "Adesmus pilatus", "Adesmus pirauna", "Adesmus postilenatus", "Adesmus pulchellus", "Adesmus pysasu", "Adesmus quadricinctus", "Adesmus sannio", "Adesmus seabrai", "Adesmus sexguttatus", "Adesmus sexlineatus", "Adesmus stellatus", "Adesmus stephanus", "Adesmus temporalis", "Adesmus tribalteatus", "Adesmus turrialba", "Adesmus unicolor", "Adesmus urubu", "Adesmus ventralis", "Adesmus verticalis", "Adesmus vilhena", "Adesmus vulcanicus", "Adetus aberrans", "Adetus abruptus", "Adetus alboapicalis", "Adetus albosignatus", "Adetus albovittatus", "Adetus analis", "Adetus angustus", "Adetus antennatus", "Adetus atomarius", "Adetus bacillarius", "Adetus basalis", "Adetus binotatus", "Adetus brasiliensis", "Adetus brousii", "Adetus cacapira", "Adetus catemaco", "Adetus cecamirim", "Adetus columbianus", "Adetus consors", "Adetus copei", "Adetus costicollis", "Adetus curtulus", "Adetus curupira", "Adetus cylindricus", "Adetus differentis", "Adetus fasciatus", "Adetus furculicauda", "Adetus fuscoapicalis", "Adetus fuscopunctatus", "Adetus griseicauda", "Adetus herrerae", "Adetus inaequalis", "Adetus inca", "Adetus insularis", "Adetus latericius", "Adetus lewisi", "Adetus lherminieri", "Adetus longicauda", "Adetus longipennis", "Adetus minimus", "Adetus mirabilis", "Adetus mucoreus", "Adetus nanus", "Adetus nesiotes", "Adetus obliquatus", "Adetus obliquus", "Adetus pictoides", "Adetus pictus", "Adetus pisciformis", "Adetus postilenatus", "Adetus praeustus", "Adetus proximus", "Adetus punctatus", "Adetus punctiger", "Adetus pusillus", "Adetus salvadorensis", "Adetus similis", "Adetus spinipennis", "Adetus squamosus", "Adetus stellatus", "Adetus stramentosus", "Adetus striatopunctatus", "Adetus subellipticus", "Adetus tayronus", "Adetus trinidadensis", "Adetus truncatipennis", "Adetus vanduzeei", "Adjinga vittata", "Adlbauerandra morettoi", "Adriopea pallidata", "Adrium catoxanthum", "Aechmutes armatus", "Aechmutes boliviensis", "Aechmutes lycoides", "Aechmutes subandinus", "Aedoeus alosternoides", "Aedoeus anjouanensis", "Aedoeus curtus", "Aedoeus geniculatus", "Aedoeus vieui", "Aegocidnexocentrus tippmanni", "Aegoidus calligrammus", "Aegoidus debauvei", "Aegoidus earlii", "Aegoidus pacificus", "Aegoidus peruvianus", "Aegoidus weyrauchi", "Aegolipton acehense", "Aegolipton argopuronum", "Aegolipton babai", "Aegolipton bawangum", "Aegolipton costatum", "Aegolipton dvoraceki", "Aegolipton fimbriatum", "Aegolipton gahani", "Aegolipton gracile", "Aegolipton kinabalum", "Aegolipton kolleri", "Aegolipton kumei", "Aegolipton lackerbecki", "Aegolipton marginale", "Aegolipton meiyingae", "Aegolipton mizunumai", "Aegolipton peninsulare", "Aegolipton pustuliferum", "Aegolipton reflexa", "Aegolipton roubali", "Aegolipton sauteri", "Aegolipton tavakiliani", "Aegomorphus albosignus", "Aegomorphus arizonicus", "Aegomorphus chamelae", "Aegomorphus francottei", "Aegomorphus grisescens", "Aegomorphus krueperi", "Aegomorphus modestus", "Aegomorphus morrisi", "Aegomorphus peninsularis", "Aegoprepes affinis", "Aegoprepes antennator", "Aegoprepes cylindricus", "Aegoschema adspersum", "Aegoschema barnouini", "Aegoschema cinereum", "Aegoschema fanchonae", "Aegoschema migueli", "Aegoschema moniliferum", "Aegoschema morvanae", "Aegoschema obesum", "Aegoschema peruvianum", "Aegosoma annulicorne", "Aegosoma cuneicorne", "Aegosoma doi", "Aegosoma dorei", "Aegosoma george", "Aegosoma giganteum", "Aegosoma guerryi", "Aegosoma hainanense", "Aegosoma ivanovi", "Aegosoma katsurai", "Aegosoma kusamai", "Aegosoma musaamani", "Aegosoma ornaticolle", "Aegosoma osseum", "Aegosoma pallidum", "Aegosoma pseudornaticolle", "Aemocia balteata", "Aemocia borneana", "Aemocia farinosa", "Aemocia griseomarmorata", "Aemocia ichthyosomoides", "Aeolesthes aurifaber", "Aeolesthes bilobulartus", "Aeolesthes gloriosa", "Aeolesthes vietnamensis", "Aerenea aglaia", "Aerenea albilarvata", "Aerenea alvaradoi", "Aerenea annulata", "Aerenea antennalis", "Aerenea apicalis", "Aerenea batesi", "Aerenea bimaculata", "Aerenea brunnea", "Aerenea ecuadoriensis", "Agapanthia renatae", "Agapanthia salviae", "Agapanthia schmidti", "Agapanthia schurmanni", "Agapanthia shovkuni", "Agapanthia simplicicornis", "Agapanthia subflavida", "Agapanthia subnigra", "Agapanthia subsimplicicornis", "Agapanthia turanica", "Agapanthia ustinovi", "Agapanthia uxoria", "Agapanthia verecunda", "Agapanthia zappii", "Agapanthia fallax", "Agapanthia korostelevi", "Agapanthia martinae", "Agapanthia orbachi", "Agapanthia amitina", "Agapanthia chalybea", "Agapanthia frivaldszkyi", "Agapanthia gemella", "Agapanthia incerta", "Agapanthia izzilloi", "Agapanthia lais", "Agapanthia naciyae", "Agapanthia osmanlis", "Agapanthia ozdikmeni", "Agapanthia persicola", "Agapanthia pesarinii", "Agapanthia psoraleae", "Agapanthia talassica", "Agapanthia viti", "Agapanthia irrorata", "Agapanthia soror", "Agapanthiola sinae", "Agelasta albomarmorata", "Agelasta albostictica", "Agelasta basispreta", "Agelasta estrellae", "Agelasta humerata", "Agelasta imogenae", "Agelasta isthmicola", "Agelasta lacteostictica", "Agelasta lactospreta", "Agelasta luzonica", "Agelasta marionae", "Agelasta mediofasciata", "Agelasta milagrosae", "Agelasta mindanaonis", "Agelasta ocellifera", "Agelasta pardalina", "Agelasta pardalis", "Agelasta rufoantennata", "Agelasta transversa", "Agelasta transversefasciata", "Agelasta transversesignata", "Agelasta undulata", "Agelasta unicolor", "Agelasta perakensis", "Agelasta albomaculata", "Agelasta andamanica", "Aerenea flavofasciculata", "Aerenea flavolineata", "Aerenea gounellei", "Aerenea humerolineata", "Aerenea impetiginosa", "Aerenea occulta", "Aerenea panamensis", "Aerenea periscelifera", "Aerenea posticalis", "Aerenea punctatostriata", "Aerenea quadriplagiata", "Aerenea robusta", "Aerenea setifera", "Aerenea subcostata", "Aerenea subimpetiginosa", "Aerenea sulcicollis", "Aerenea transversefasciata", "Aerenea trigona", "Aerenea tuberculata", "Aerenica canescens", "Aerenicella spissicornis", "Aerenicopsis championi", "Aerenicopsis hubrichi", "Aerenicopsis malleri", "Aerenicopsis megacephala", "Aerenicopsis mendosa", "Aerenicopsis perforata", "Aerenicopsis pugnatrix", "Aerenicopsis rufoantennata", "Aerenicopsis singularis", "Aerenicopsis sublesta", "Aerenicopsis virgata", "Aereniphaula machadorum", "Aerenomera boliviensis", "Aerenomera spilas", "Aerogrammus procerus", "Aesa glabra", "Aesa iriana", "Aesa media", "Aesa nearnsi", "Aesiotyche favosa", "Aesopida malasiaca", "Aesopida sericea", "Aethalodes verrucosus", "Aethecerinus hornii", "Aethecerinus latecinctus", "Aethecerinus wilsonii", "Aethiopia elongata", "Aethiopia lesnei", "Aethiopia lineolata", "Aethiopia paratanganjicae", "Aethiopia rotundipennis", "Aethiopia rufescens", "Aethiopia tanganjicae", "Aethiora fuliginea", "Aetholopus exutus", "Aetholopus halmaheirae", "Aetholopus lumawigi", "Aetholopus papuanus", "Aetholopus scalaris", "Aetholopus sericeus", "Aetholopus thylactoides", "Afghanicenus aulicus", "Afghanicenus dreesi", "Afghanicenus nuristanicus", "Afraustraloderes rassei", "Africophanes amicus", "Afroartelida quentini", "Afroartelida somaliensis", "Afroartelida teunisseni", "Afrocrisis perissonottoi", "Afroeme fusca", "Afroeme kenyensis", "Afromethia brandbergensis", "Afromolorchus bispinosus", "Afromolorchus capensis", "Afronoserius angolensis", "Afronoserius ocapamensis", "Afronoserius rauschorum", "Afrosmodicum ebeninum", "Agada clavicornis", "Agaleptoides mangenoti", "Agaleptus drumonti", "Agaleptus fulvipennis", "Agaleptus guttatus", "Agaleptus tanzanicus", "Agaleptus wallabergeri", "Agaleptus zimbabweanus", "Agallissus lepturoides", "Agallissus melaniodes", "Aganipus calopoides", "Agaone amazonica", "Agaone bicolor", "Agaone notabilis", "Agaone peruviensis", "Agaone punctilla", "Agapanthia bohemica", "Agapanthia suturalis", "Agapanthia coeruleipennis", "Agapanthia japonica", "Agapanthia yagii", "Agapanthia niveisparsa", "Agapanthia annularis", "Agapanthia altaica", "Agapanthia angelicae", "Agapanthia asphodeli", "Agapanthia auliensis", "Agapanthia cretica", "Agapanthia dahlii", "Agapanthia danilevskyi", "Agapanthia daurica", "Agapanthia detrita", "Agapanthia fadli", "Agapanthia hirsuticornis", "Agapanthia kindermanni", "Agapanthia lateralis", "Agapanthia lederi", "Agapanthia lopadusae", "Agapanthia markusi", "Agapanthia mutinensium", "Agapanthia nicosiensis", "Agapanthia nigriventris", "Agapanthia obydovi", "Agapanthia paki", "Agapanthia parauliensis", "Agapanthia probsti", "Agapanthia pustulifera", "Agelasta annamensis", "Agelasta bimaculata", "Agelasta cana", "Agelasta catenata", "Agelasta catenoides", "Agelasta columba", "Agelasta elongata", "Agelasta gardneri", "Agelasta griseonotata", "Agelasta helii", "Agelasta illecideosa", "Agelasta konoi", "Agelasta kumei", "Agelasta lecideosa", "Agelasta mixta", "Agelasta mouhotii", "Agelasta nigrolineata", "Agelasta nigromaculata", "Agelasta nigropunctata", "Agelasta nigrostictica", "Agelasta perplexa", "Agelasta postvittata", "Agelasta praelongipes", "Agelasta quadrimaculata", "Agelasta riouensis", "Agelasta rufa", "Agelasta siamana", "Agelasta siamensis", "Agelasta sikkimensis", "Agelasta szetschuanica", "Agelasta thailandensis", "Agelasta tonkinea", "Agelasta villosipes", "Agelasta yonaguni", "Agelasta yunnanensis", "Agelasta balteata", "Agelasta balteoides", "Agelasta newmanni", "Agelasta annamana", "Agelasta birmanensis", "Agelasta cameroni", "Agelasta dayremi", "Agelasta densemarmorata", "Agelasta humeralis", "Agelasta marmorata", "Agelasta pici", "Agelasta striata", "Agelasta yunnana", "Agelasta basimaculata", "Agelasta basimaculatoides", "Agelasta robinsoni", "Agelasta alboplagiata", "Agelasta glabrofasciata", "Agelasta hirticornis", "Agelasta laosensis", "Agelasta latefasciata", "Agelasta bifasciana", "Agelasta birmanica", "Agelasta cristata", "Agelasta fallaciosa", "Agelasta hirsuta", "Aglaoschema acauna", "Aglaoschema albicorne", "Allogaster aethiopicus", "Allogaster bicolor", "Allogaster drumonti", "Allogaster geniculatus", "Allogaster niger", "Allogaster nigripennis", "Allogaster unicolor", "Allomallodon hermaphroditum", "Allomallodon popelairei", "Allopeba paranaensis", "Allopeba quadripunctata", "Allopeba signaticornis", "Allopeplus cordifer", "Allorhopaliella boliviana", "Allotraeus griseolus", "Allotraeus pallidipennis", "Allotraeus sphaerioninus", "Alluaudia insignis", "Alocerus bicolor", "Alocerus moesiacus", "Alocerus siculus", "Alosterna barimanii", "Alosterna diversipes", "Alosterna libani", "Alosterna pauli", "Alosterna scapularis", "Alosternida chalybaea", "Alphinellus carinipennis", "Alphinellus gibbicollis", "Alphinellus minimus", "Alphinellus subcornutus", "Alphomorphus vandykei", "Alphus alboguttatus", "Alphus capixaba", "Alphus similis", "Alphus tuberosus", "Amamiclytus afzelivorus", "Amamiclytus comis", "Amamiclytus elegantulus", "Amamiclytus limaticollis", "Amamiclytus mimicus", "Amamiclytus monadis", "Amamiclytus promissus", "Amamiclytus setosulus", "Amamiclytus squamifer", "Amamiclytus testaceicornis", "Amamiclytus wenshuani", "Amannus atriplicis", "Amannus pectoralis", "Amannus vittiger", "Amapanesia exotica", "Amarysius minax", "Amarysius suturalis", "Ambagous quadricollis", "Ambeodontus binodosus", "Ambeodontus pilosus", "Amblesthidopsis areolata", "Amblymora baloghi", "Amblymora bivittata", "Amblymora carinipennis", "Aglaoschema basale", "Aglaoschema camusi", "Aglaoschema collorata", "Aglaoschema concolor", "Aglaoschema cyaneum", "Aglaoschema dulce", "Aglaoschema geoffroyi", "Aglaoschema haemorrhoidale", "Aglaoschema inca", "Aglaoschema mimos", "Aglaoschema mourei", "Aglaoschema potiguassu", "Aglaoschema prasinipenne", "Aglaoschema prasiniventre", "Aglaoschema quieci", "Aglaoschema rondoniense", "Aglaoschema ruficeps", "Aglaoschema rufiventre", "Aglaoschema tarnieri", "Aglaoschema ventrale", "Aglaoschema vinolenta", "Aglaoschema violaceipenne", "Aglaoschema viridipenne", "Agnia bakeri", "Agnia casta", "Agnia clara", "Agnia eximia", "Agnia fasciata", "Agnia lucipor", "Agnia molitor", "Agnia pulchra", "Agniohammus brunneus", "Agniohammus olivaceus", "Agniohammus philippinensis", "Agnioides striatopunctatus", "Agniolamia albovittata", "Agniolamia camerunica", "Agniolamia pardalis", "Agniomorpha ochraceomaculata", "Agniopsis flavovittatus", "Agnitosternum apicale", "Agnoderus gnomoides", "Agrianome fairmairei", "Agrianome loriae", "Agrianome spinicollis", "Aguassay collaris", "Aiurasyma potira", "Akimerus berchmansi", "Alampyris cretaria", "Alampyris curta", "Alampyris flavicollis", "Alampyris fuliginea", "Alampyris marginella", "Alampyris melanophiloides", "Alampyris mimetica", "Alampyris nigra", "Alampyris photinoides", "Alampyris quadricollis", "Alastos batesii", "Alastos pascoei", "Alcathousiella polyrhaphoides", "Xenocona asperipennis", "Amblymora conferta", "Amblymora consputa", "Amblymora demarzi", "Amblymora densepunctata", "Amblymora elongata", "Amblymora excavata", "Amblymora fergussoni", "Amblymora fumosa", "Amblymora gebeensis", "Amblymora instabilis", "Amblymora keyana", "Amblymora marmorata", "Amblymora obiensis", "Amblymora papuana", "Amblymora pseudoconferta", "Amblymora rufula", "Amblymora samarensis", "Amblymora spinipennis", "Amblymora strandiella", "Amblymora uniformis", "Amblymora australica", "Amblymora multiguttata", "Amblymoropsis australica", "Amblymoropsis fusca", "Amblymoropsis papuana", "Amblymoropsis rufa", "Amblyontium inerme", "Amblyontium sabahensis", "Amblysaphes striatus", "Ambonus albomaculatus", "Ambonus distinctus", "Ambonus electus", "Ambonus interrogationis", "Aphonopelma joshua", "Ambonus lippus", "Ambonus proximus", "Amborotragus vestigiepimeron", "Amechana javanica", "Amechana nobilis", "America aberlenci", "America amabilis", "America amethystina", "America berkovae", "America bicolor", "America biplagiata", "America columbiana", "America cuneata", "America festiva", "America flavipennis", "America flavoviridis", "America hermieri", "America hilaris", "America hovorei", "America laetifica", "America larrei", "America lingafelteri", "America marcelae", "America mariahelenae", "America morrisi", "America peruviana", "America pulcherrima", "America quadrimaculata", "Amphicnaeia ubirajarai", "Amphicnaeia villosula", "Amphicnaeia vitticollis", "Amphidesmus analis", "Amphidesmus apicalis", "Amphidesmus calabaricus", "Amphidesmus platypterus", "Amphidesmus robustus", "Amphidesmus theorini", "Amphionthe brevicollis", "Amphionthe caudalis", "Amphionthe chiriquina", "Amphionthe dejeani", "Amphionthe doris", "Amphionthe oberthuri", "Amphirhoe decora", "Amphirhoe sloanei", "Amphoecus metallicus", "Amphoecus wanati", "Amplilygrus cruciatus", "Amplitempora captiocula", "Amucallia carbonaria", "Amucallia citrina", "Amucallia colombiana", "Amucallia hovorei", "Amucallia miranda", "Amucallia venezuelensis", "Amyipunga armaticollis", "Amyipunga barbarae", "Amyipunga canescens", "Amyipunga moritzii", "Amymoma pulchella", "Anacasta biplagiata", "Anacasta conspersa", "Anachariesthes abyssinica", "Anaches dorsalis", "Anaches semicylindricus", "Anaches wenhsini", "Anaches yitingi", "Anacolus sanguineus", "Anaespogonius fulvus", "Anaespogonius ochraceofulvus", "Anaespogonius piceonigris", "Anaesthetis anatolica", "Anaesthetis flavipilis", "Anaesthetis lanuginosa", "Anaesthetis numeensis", "Anaesthetobrium fuscoflavum", "Anaesthetobrium javanicum", "Anaesthetobrium lieuae", "Anaesthetobrium luteipenne", "Anaesthetobrium pallidipes", "Anagelasta apicalis", "Anagelasta grisea", "Anagelasta rondoni", "Anagelasta transversevittata", "Anagelasta trimaculata", "Anaglyptus abieticola", "Anaglyptus ambiguus", "Anaglyptus annulicornis", "Anaglyptus arakawae", "Anaglyptus bicallosus", "Anaglyptus confusus", "America solangeae", "America solisi", "America spinipennis", "America thomasi", "America thouvenoti", "America tumidicollis", "America wappesi", "Ameriphoderes acutipennis", "Ameriphoderes amoena", "Ameriphoderes ayalai", "Ameriphoderes bayanicus", "Ameriphoderes cribricollis", "Ameriphoderes magna", "Ameriphoderes parva", "Ameriphoderes prolixa", "Ameriphoderes suavis", "Ameriphoderes velutina", "Ameriphoderes yucateca", "Amerispheca delicata", "Ametacyna holzschuhi", "Amethysphaerion falsus", "Amethysphaerion nigripes", "Amethysphaerion tuna", "Amimes macilentus", "Amniscites amboroensis", "Amniscites pelta", "Amniscites pictipes", "Amniscites tavakiliani", "Amniscus assimilis", "Amniscus praemorsus", "Amniscus similis", "Amorupi fulvoterminata", "Amorupi hudepohli", "Amphelissoeme viridescens", "Amphicnaeia affinis", "Amphicnaeia albovittata", "Amphicnaeia amicusbira", "Amphicnaeia antennata", "Amphicnaeia apicalis", "Amphicnaeia armata", "Amphicnaeia birai", "Amphicnaeia bivittata", "Amphicnaeia brevivittis", "Amphicnaeia cordigera", "Amphicnaeia crustulata", "Amphicnaeia flavescens", "Amphicnaeia flavofemorata", "Amphicnaeia flavolineata", "Amphicnaeia flavovittata", "Amphicnaeia interrupta", "Amphicnaeia lepida", "Amphicnaeia lineolata", "Amphicnaeia lyctoides", "Amphicnaeia martinsi", "Amphicnaeia nigra", "Amphicnaeia pretiosa", "Amphicnaeia pusilla", "Amphicnaeia quinquevittata", "Amphicnaeia sexnotata", "Amphicnaeia strandi", "Amphicnaeia tate", "Amphicnaeia trivitticollis", "Xenocona senticosa", "Xenocona superstes", "Alcidion aestimabilis", "Alcidion albosparsus", "Alcidion alienum", "Alcidion apicalis", "Alcidion chryseis", "Alcidion dominicum", "Alcidion humerale", "Alcidion inornatum", "Alcidion ludicrum", "Alcidion partitum", "Alcidion puchnerorum", "Alcidion quadriguttatum", "Alcidion ramulorum", "Alcidion sannio", "Alcidion sulphurifer", "Alcidion umbraticum", "Alcidion unicolor", "Aleiphaquilon castaneum", "Aleiphaquilon eburneum", "Aleiphaquilon myrmex", "Aleiphaquilon plaumanni", "Aleiphaquilon rugosum", "Aleiphaquilon taeniatum", "Aleiphaquilon tasyba", "Aleiphaquilon tricolor", "Aleiphaquilon una", "Aletretiopsis estoloides", "Aliboron antennatum", "Aliboron bukidnoni", "Aliboron granulatum", "Aliboron laosense", "Aliboron wongi", "Alical tuberculatus", "Alice dekeyzeri", "Alicianella quadrimaculata", "Alienosternus cristatus", "Alienosternus metallicus", "Alienosternus simplex", "Alienosternus solitarius", "Hosticus curiosus", "Aphonopelma icenoglei", "Aliturus aberlenci", "Aliturus didyanus", "Aliturus fusculus", "Aliturus gracilipes", "Aliturus maculatus", "Aliturus mourgliai", "Allaiocerus metallicus", "Alleculaedoeus brevicollis", "Allensundholmia ourimbah", "Alloblabia praecipua", "Allocarterica buquetii", "Allocerus bicarinatus", "Allocerus dilaticornis", "Allocerus spencei", "Allodemus centromaculatus", "Allodemus tricolor", "Allodissus sulcatipennis", "Alloeomorphus formosus", "Alloesia bicolor", "Alloesia bivittata", "Alloesia chlorophana", "Anancylus griseatus", "Anancylus lotus", "Anancylus malasiacus", "Anancylus socius", "Anancylus albofasciatus", "Anancylus basalis", "Anancylus birmanicus", "Anandra albomarginata", "Anandra albovittata", "Anandra basilana", "Anandra bilineaticeps", "Anandra capriciosa", "Anandra celebensis", "Anandra griseipennis", "Anandra laterialba", "Anandra latevittata", "Anandra pseudovittata", "Anandra strandi", "Anapausa armata", "Anapausa longipennis", "Anapausa rugifrons", "Anapausoides longula", "Anaplagiomus garnieri", "Anapsicomus aethroides", "Anapsicomus lampyroides", "Anarchambyx pipposamai", "Anasillus crinitus", "Anastathes biplagiata", "Anastathes nigricornis", "Anastathes parallela", "Anastathes parva", "Anastathes robusta", "Anastetha raripila", "Anastrangalia dubia", "Anastrangalia haldemani", "Anastrangalia kasaharai", "Anastrangalia laetifica", "Anastrangalia montana", "Anastrangalia renardii", "Aphonopelma marxi", "Anastrangalia reyi", "Anastrangalia rubriola", "Anastrangalia sanguinea", "Anastrangalia sanguinolenta", "Anatinomma alveolatum", "Anatinomma bispinosum", "Anatinomma brevicornis", "Anatinomma insularis", "Anatolobrium eggeri", "Anatragoides cylindricus", "Anatragoides exigua", "Anatragus ornatus", "Anatragus pulchellus", "Anauxesida amaniensis", "Anauxesida cuneata", "Anauxesida fuscoantennalis", "Anauxesida haafi", "Anauxesida lineata", "Anauxesida longicornis", "Anauxesida orientalis", "Anauxesida tanganjicae", "Anauxesida camerunica", "Anauxesida guineensis", "Anaglyptus croesus", "Anaglyptus dolosulus", "Anaglyptus flavus", "Anaglyptus gibbosus", "Anaglyptus graphellus", "Anaglyptus gressitti", "Anaglyptus higashiyamai", "Anaglyptus hilari", "Anaglyptus kabakovi", "Anaglyptus kanssuensis", "Anaglyptus longispinis", "Anaglyptus luteofasciatus", "Anaglyptus malickyi", "Anaglyptus marmoratus", "Anaglyptus matsushitai", "Anaglyptus niponensis", "Anaglyptus petrae", "Anaglyptus praecellens", "Anaglyptus qijuni", "Anaglyptus residuus", "Anaglyptus rufogriseus", "Anaglyptus sericellus", "Anaglyptus subfasciatus", "Anaglyptus tersus", "Anaglyptus trocolii", "Anaglyptus ulmiphilus", "Anaglyptus vicinulus", "Anaglyptus watsoni", "Anaglyptus yakushimanus", "Anaglyptus colobotheoides", "Anaglyptus decemmaculatus", "Anaglyptus fasciatus", "Anaglyptus humerosus", "Anaglyptus nokosanus", "Anaglyptus producticollis", "Anaglyptus rufobasalis", "Anaglyptus bellus", "Anaglyptus isolatus", "Anaglyptus lizhigangi", "Anaglyptus meridionalis", "Analeptura lineola", "Analogisticus tonkineus", "Analophus niger", "Analophus parallelus", "Analophus vicksoni", "Anama limpida", "Anamera alboguttata", "Anamera concolor", "Anamera densemaculata", "Anamera fulvescens", "Anamera gigantea", "Anamera harmandi", "Anamera obesa", "Anamera similis", "Anamera strandi", "Anamera strandiella", "Anameromorpha metallica", "Anameromorpha pollinosa", "Anameromorpha unicolor", "Anancylus calceatus", "Anancylus mindanaonis", "Anancylus papuanus", "Anancylus vivesi", "Anancylus arfakensis", "Anauxesida nimbae", "Anauxesis albicans", "Anauxesis alboscutellaris", "Anauxesis andreaei", "Anauxesis atrata", "Anauxesis calabarica", "Anauxesis cincticornis", "Anauxesis congoensis", "Anauxesis densepunctata", "Anauxesis elongata", "Anauxesis elongatoides", "Anauxesis flavofemorata", "Anauxesis kenyensis", "Anauxesis kolbei", "Anauxesis laterirufa", "Anauxesis nigroantennalis", "Anauxesis perrieri", "Anauxesis proxima", "Anauxesis rufa", "Anauxesis rufipennis", "Anauxesis rufoscapa", "Anauxesis simplex", "Anauxesis singularis", "Anauxesis vicina", "Ancistrotus aduncus", "Ancistrotus uncinatus", "Ancornallis cristatus", "Ancylistes bellus", "Ancylistes biacutoides", "Ancylistes biacutus", "Ancylistes bicuspis", "Ancylistes bicuspoides", "Ancylistes distinctus", "Ancylistes gibbicollis", "Ancylistes impunctatus", "Ancylistes parabiacutoides", "Ancylistes parabiacutus", "Ancylistes subtransversus", "Ancylistes transversoides", "Ancylistes transversus", "Ancylistes lacteomaculatus", "Ancylistes lacteopictes", "Ancylistes lacteovittatus", "Ancylistes obscuricollis", "Ancylocera amplicornis", "Ancylocera bicolor", "Ancylocera bruchi", "Ancylocera cardinalis", "Ancylocera michelbacheri", "Ancylocera nigella", "Ancylocera sallei", "Ancylocera sergioi", "Ancylocera spinula", "Ancylodonta almeidai", "Ancylodonta apipema", "Ancylodonta glabripennis", "Ancylodonta nitidipennis", "Ancylodonta phlyctaenioides", "Ancylodonta tristis", "Ancylonotopsis albomarmoratus", "Ancylonotopsis benjamini", "Ancylonotopsis congoensis", "Ancylonotopsis duffyi", "Ancylonotopsis fuscosignatus", "Ancylonotopsis girardi", "Ancylonotopsis nigrovittipennis", "Ancylonotopsis parvus", "Ancylonotopsis pictoides", "Ancylonotopsis pictus", "Ancylonotopsis rothkirchi", "Ancylonotopsis tangai", "Ancylonotus tribulus", "Ancylosternus annulicorne", "Ancylosternus morio", "Andinotrichoderes pellita", "Andrachydes transandinus", "Andraegoidus cruentatus", "Andraegoidus distinguendus", "Andraegoidus fabricii", "Andraegoidus homoplatus", "Andraegoidus lacordairei", "Andraegoidus laticollis", "Andraegoidus richteri", "Andraegoidus rufipes", "Andraegoidus translucidus", "Andraegoidus variegatus", "Andringitrina erythrocephala", "Andringitrina vittata", "Androeme plagiata", "Aneflomorpha aculeata", "Aneflomorpha arizonica", "Aneflomorpha australis", "Aneflomorpha brevipila", "Aneflomorpha cazieri", "Aneflomorpha citrana", "Aneflomorpha cribellata", "Aneflomorpha crinita", "Aneflomorpha delongi", "Aneflomorpha exilis", "Aneflomorpha fisheri", "Aneflomorpha giesberti", "Aneflomorpha gilana", "Aneflomorpha gracilis", "Aneflomorpha grandicolle", "Aneflomorpha hovorei", "Aneflomorpha lineare", "Aneflomorpha linsleyae", "Aneflomorpha longispina", "Aneflomorpha longitudinis", "Aneflomorpha luteicornis", "Aneflomorpha martini", "Aneflomorpha mexicana", "Aneflomorpha minuta", "Aneflomorpha modica", "Aneflomorpha monzoni", "Aneflomorpha opacicornis", "Aneflomorpha parkeri", "Aneflomorpha parowana", "Aneflomorpha parvipunctata", "Aneflomorpha preclara", "Aneflomorpha pueblae", "Aneflomorpha rectilinea", "Aneflomorpha rosaliae", "Aneflomorpha ruficollis", "Aneflomorpha rufipes", "Aneflomorpha seminuda", "Aneflomorpha semirufa", "Aneflomorpha subpubescens", "Aneflomorpha tenuis", "Aneflomorpha unispinosa", "Aneflomorpha volitans", "Aneflomorpha wappesi", "Aneflomorpha werneri", "Aneflus basicornis", "Aneflus bullocki", "Aneflus calvatus", "Aneflus humeralis", "Aneflus levettei", "Aneflus maryannae", "Aneflus nivarius", "Aneflus obscurus", "Aneflus paracalvatus", "Aneflus poriferus", "Aneflus prolixus", "Aneflus protensus", "Aneflus rugicollis", "Aneflus sonoranus", "Aneflus variegatus", "Aneflus cylindricollis", "Aneflus glabropunctatus", "Aneflus longissimus", "Aneflus minutivestis", "Aneflus pilosicornis", "Aneflus planus", "Aneflus pubescens", "Aneflus sericatus", "Aneflus zilchi", "Anelaphus albofasciatus", "Anelaphus albopilus", "Anelaphus badius", "Anelaphus belkini", "Anelaphus bravoi", "Anelaphus brevidens", "Anelaphus cerussatus", "Anelaphus cinereus", "Anelaphus cinnabarinum", "Anelaphus cordiforme", "Anelaphus crispulus", "Anelaphus curacaoensis", "Anelaphus daedaleus", "Anelaphus davisi", "Anelaphus debilis", "Anelaphus dentatus", "Anelaphus erakyra", "Anelaphus eximium", "Anelaphus extinctus", "Anelaphus fasciatus", "Anelaphus flavofasciatus", "Anelaphus giesberti", "Anelaphus guttiventre", "Anelaphus hirtus", "Anelaphus hispaniolae", "Anelaphus hoferi", "Anelaphus inermis", "Anelaphus inflaticollis", "Anelaphus inornatus", "Anelaphus jansoni", "Anelaphus lanuginosus", "Anelaphus lingafelteri", "Anisogaster flavicans", "Anisogaster kabateki", "Anisogaster kenyensis", "Anisogaster latesellatus", "Anisogaster longulus", "Anisogaster maculipennis", "Anisogaster magnus", "Anisogaster nigricollis", "Anisogaster nigroclavatus", "Anisogaster nigrostrigatus", "Anisogaster obscurellus", "Anisogaster perrieri", "Anisogaster punctum", "Anisogaster reticulatus", "Anisogaster seriatoporus", "Anisogaster signifer", "Anisogaster transversus", "Anisogaster unicolor", "Anisolophia cultrifera", "Anisolophia glauca", "Anisopeplus perplexus", "Anisopodesthes zikani", "Anisopodus affinis", "Anisopodus andicola", "Anisopodus arachnoides", "Anisopodus batesi", "Anisopodus bellus", "Anisopodus brevis", "Anisopodus callistus", "Anisopodus clitellarius", "Anisopodus cochabambaensis", "Anisopodus cognatus", "Anisopodus consimilis", "Anisopodus conspersus", "Anisopodus costaricensis", "Anisopodus curvilineatus", "Anisopodus curvipes", "Anisopodus degener", "Anisopodus dispar", "Anisopodus dominicensis", "Anisopodus elongatus", "Anisopodus gracillimus", "Anisopodus haliki", "Anisopodus hamaticollis", "Anisopodus hiekei", "Anisopodus humeralis", "Anisopodus jaculus", "Anisopodus latus", "Anisopodus ligneus", "Anisopodus lignicola", "Anisopodus longipes", "Anisopodus macropus", "Anisopodus mariettae", "Anisopodus melzeri", "Anisopodus mexicanus", "Anisopodus nigripes", "Anisopodus phalangodes", "Anisopodus prolixus", "Anelaphus maculatus", "Anelaphus michelbacheri", "Anelaphus misellus", "Anelaphus moestus", "Anelaphus mutatum", "Anelaphus nanus", "Anelaphus nitidipennis", "Anelaphus niveivestitus", "Anelaphus panamensis", "Anelaphus parallelus", "Anelaphus piceus", "Anelaphus pilosus", "Anelaphus praeclarus", "Anelaphus pumilus", "Anelaphus punctatus", "Anelaphus robi", "Anelaphus rusticus", "Anelaphus similis", "Anelaphus souzai", "Anelaphus spurcus", "Anelaphus subdepressus", "Anelaphus subfasciatus", "Anelaphus subinermis", "Anelaphus submoestus", "Anelaphus subseriatus", "Anelaphus tikalinus", "Anelaphus transversus", "Anelaphus tuckeri", "Anelaphus undulatus", "Anelaphus velteni", "Anelaphus vernus", "Anelaphus villosus", "Anelaphus yucatecus", "Anerpa carinulata", "Anerpa steinkeae", "Aneuthetochorus bivestitus", "Aneuthetochorus conjunctus", "Aneuthetochorus punctatus", "Aneuthetochorus simplex", "Anexodus aquilus", "Anexodus sarawakensis", "Anexodus syptakovae", "Anexodus tufi", "Anhammus aberrans", "Anhammus aurivillii", "Anhammus dalenii", "Anhammus luzonicus", "Anipocregyes albifrons", "Anipocregyes kawakamii", "Anipocregyes laosensis", "Anipocregyes multifasciculatus", "Anipocregyes rondoni", "Anipocregyes seminivea", "Anipocregyes wakabayashii", "Anisarthron barbipes", "Anisarthron cyrus", "Anisoceraea occidentalis", "Anisocerus scopifer", "Anisocerus stellatus", "Anisogaster aenescens", "Anisogaster antennatus", "Anisogaster bicolor", "Anisogaster brunneus", "Anisogaster cinerarius", "Anomoderus lebisi", "Anomoderus rugosicollis", "Anomoderus sicardi", "Anomoderus strangulatus", "Anomoderus tubericollis", "Anomonotes leucomerus", "Anomonotes annulipes", "Anomophysis absurda", "Anomophysis aegrota", "Anomophysis alfura", "Anomophysis alorensis", "Anomophysis australis", "Anomophysis bouvieri", "Anomophysis ceramensis", "Anomophysis confusa", "Anomophysis coxalis", "Anomophysis ellioti", "Anomophysis elongata", "Anomophysis hainana", "Anomophysis inscripta", "Anomophysis katoi", "Anomophysis majerorum", "Anomophysis malasiaca", "Anomophysis modesta", "Anomophysis plagiata", "Anomophysis serricollis", "Anomophysis soembensis", "Anomophysis spinosa", "Anomotoma bingervillensis", "Anomotoma conturbans", "Anomotoma gaetani", "Anomotoma gracilipes", "Anomotoma hanoti", "Anomotoma holosericea", "Anomotoma leonardi", "Anomotoma lesnei", "Anomotoma octocostata", "Anomotoma wilwerthi", "Anopliomorpha antennata", "Anopliomorpha antillara", "Anopliomorpha gracilis", "Anopliomorpha hirsuta", "Anopliomorpha reticollis", "Anopliomorpha rinconia", "Anoplistes agababiani", "Anoplistes degener", "Anoplistes diabolicus", "Anoplistes forticornis", "Anoplistes galusoi", "Anoplistes gobiensis", "Anoplistes jacobsoni", "Anoplistes jomudorum", "Anoplistes kozlovi", "Anoplistes mongolicus", "Anoplistes tuvensis", "Anoplocurius altus", "Anoplocurius canotiae", "Anoplocurius incompletus", "Anoplodera antecurrens", "Anoplodera atramentaria", "Anoplodera corvina", "Anoplodera fokienensis", "Anoplodera peregrina", "Anisopodus puncticollis", "Anisopodus punctipennis", "Anisopodus scriptipennis", "Anisopodus sparsus", "Anisopodus strigosus", "Anisopodus subarmatus", "Anisopodus varius", "Anisopodus xylinus", "Anisotyma soteri", "Ankirihitra nigroflava", "Annamanum albisparsum", "Annamanum albomaculatum", "Annamanum alboplagiatum", "Annamanum annamanum", "Annamanum annulicorne", "Annamanum basigranulatum", "Annamanum cardoni", "Annamanum chebanum", "Annamanum fuscomaculatum", "Annamanum griseolum", "Annamanum griseomaculatum", "Annamanum humerale", "Annamanum indicum", "Annamanum irregulare", "Annamanum lunulatum", "Annamanum magnum", "Annamanum mediomaculatum", "Annamanum ochreopictum", "Annamanum plagiatum", "Annamanum rondoni", "Annamanum scheyeri", "Annamanum sikkimense", "Annamanum sinicum", "Annamanum strandi", "Annamanum subauratum", "Annamanum subirregulare", "Annamanum szetschuanicum", "Annamanum thoracicum", "Annamanum wenzhui", "Annamanum yunnanum", "Annemabel elongata", "Anobrium fasciatum", "Anobrium fraterculum", "Anobrium leuconotum", "Anobrium luridum", "Anobrium minimum", "Anobrium oberthueri", "Anobrium punctatum", "Anobrium rugosicolle", "Anobrium simplicis", "Anoeme aethiopica", "Anoeme andrewesi", "Anoeme barrei", "Anoeme flavicornis", "Anoeme gahani", "Anoeme hassoni", "Anoeme morettoi", "Anoeme murphyi", "Anoeme nigrita", "Anoeme vingerhoedti", "Anomaloderes itaiuba", "Anomalotragus morrisi", "Anomalotragus recurvielytra", "Anomoderus coquerelii", "Anoplodera porphyrophora", "Anoplodera przewalskii", "Anoplodera pubevirens", "Anoplodera rufihumeralis", "Anoplodera sergeii", "Anoplodera shamaevi", "Anoplodera abstrusa", "Anoplodera carbonaria", "Anoplodera curta", "Anoplodera densepunctata", "Anoplodera diplosa", "Anoplodera excavata", "Anoplodera formosana", "Anoplodera izumii", "Anoplodera luteovittata", "Anoplodera monticola", "Anoplodera pubera", "Anoplodera rubripennis", "Anoplodera sepulchralis", "Anoplodera tenebraria", "Anoplodera villigera", "Anoplodera lunatipennis", "Anoplodera bicolorimembris", "Anoplodera inauraticollis", "Anoplodera lepesmei", "Anoplodera taiyal", "Anoplodera tricolor", "Anoplodera viridipennis", "Anoploderma bicolor", "Anoploderma breueri", "Anoploderma peruvianum", "Anoplomerus buqueti", "Anoplomerus globulicollis", "Anoplomerus rotundicollis", "Anoplophora albopicta", "Anoplophora amoena", "Anoplophora ankangensis", "Anoplophora asuanga", "Anoplophora beryllina", "Anoplophora birmanica", "Anoplophora bowringii", "Anoplophora cheni", "Anoplophora chiangi", "Anoplophora coeruleoantennata", "Anoplophora davidis", "Anoplophora decemmaculata", "Anoplophora elegans", "Anoplophora flavomaculata", "Anoplophora freyi", "Anoplophora fruhstorferi", "Anoplophora graafi", "Anoplophora granata", "Anoplophora gressitti", "Anoplophora horsfieldii", "Anoplophora imitatrix", "Anoplophora irregularis", "Anoplophora jiangfenglingensis", "Anoplophora leechi", "Anoplophora longehirsuta", "Anoplophora lucipor", "Anoplophora lurida", "Anoplophora macularia", "Anoplophora malasiaca", "Anoplophora mamaua", "Antodice exilis", "Antodice fasciata", "Antodice inscripta", "Antodice juncea", "Antodice kyra", "Antodice lenticula", "Antodice lezamai", "Antodice mendesi", "Antodice micromacula", "Antodice neivai", "Antodice nympha", "Antodice picta", "Antodice pinima", "Antodice pudica", "Antodice quinquemaculata", "Antodice sexnotata", "Antodice spilota", "Antodice tricolor", "Antodice venustula", "Antodilanea modesta", "Anubis bohemani", "Anubis clavicornis", "Anubis curtus", "Anubis cyaneicollis", "Anubis cyaneus", "Anubis dissitus", "Anubis hexastictus", "Anubis inermis", "Anubis leptissimus", "Anubis manillarum", "Anubis mellyii", "Anubis methneri", "Anubis pubicollis", "Anubis rostratus", "Anubis striatus", "Anubis subobtusus", "Anubis suturalis", "Anubis umtaliensis", "Anubis unifasciatus", "Anubis viridicollis", "Anxylotoles caudatus", "Apagomera aereiventris", "Apagomera bravoi", "Apagomera jaguarari", "Apagomera seclusa", "Apagomera tipitinga", "Apagomera triangularis", "Apagomerella dissimilis", "Apagomerella versicolor", "Apagomerina azurescens", "Apagomerina diadela", "Apagomerina flava", "Apagomerina gigas", "Apagomerina ignea", "Apagomerina jucunda", "Apagomerina lampyroides", "Apagomerina lepida", "Apagomerina subtilis", "Apagomerina unica", "Apagomerina utiariti", "Apalimnodes granulatus", "Aparescus praecox", "Apatelarthron heteroclitum", "Anoplophora medenbachii", "Anoplophora multimaculata", "Anoplophora ogasawaraensis", "Anoplophora oshimana", "Anoplophora quadrifasciata", "Anoplophora rubidacorpora", "Anoplophora ryukyensis", "Anoplophora sebastieni", "Anoplophora similis", "Anoplophora sollii", "Anoplophora stanleyana", "Anoplophora tianaca", "Anoplophora tonkinea", "Anoplophora viriantennatus", "Anoplophora wusheana", "Anoplophora zonator", "Anoplophoroides lumawigi", "Anoplotoma subnigricans", "Anoreina biannulata", "Anoreina helenae", "Anoreina hirsutifrons", "Anoreina nana", "Anoreina roosevelti", "Anoreina triangularis", "Anosibella albostigma", "Antecrurisa apicalis", "Antennaerenea niveosignata", "Antennexocentrus bremeri", "Antennexocentrus collarti", "Antennoeme quadriplagiata", "Antennohyllisia rondoni", "Antennommata brunnea", "Antennommata costata", "Anthoboscus oculatus", "Anthoboscus tricolor", "Anthophylax attenuatus", "Anthophylax cyaneus", "Anthophylax hoffmanii", "Anthophylax viridis", "Anthores leuconotus", "Anthracocentrus arabicus", "Anthracocentrus beringei", "Anthracocentrus capensis", "Anthracocentrus modicus", "Anthracocentrus nigerianus", "Anthracocentrus rugiceps", "Anthribatus nivosus", "Anthribola citrina", "Anthribola debilis", "Anthribola decoratus", "Anthribola femorata", "Anthribola nana", "Anthribola obliquata", "Anthribola pilipes", "Anthribola quinquemaculata", "Anthribola rufoguttata", "Anthribola tsaratanana", "Anthribola vicina", "Antigenes funebris", "Antodice abstrusa", "Antodice aureicollis", "Antodice chemsaki", "Antodice chiapasensis", "Antodice cretata", "Apocaulus rivalus", "Apocaulus schenklingi", "Apocaulus thoracicalis", "Apodasya kenyensis", "Apomecyna acutipennis", "Apomecyna adspersaria", "Apomecyna alboannulata", "Apomecyna albovaria", "Apomecyna angolensis", "Apomecyna atomaria", "Apomecyna binubila", "Apomecyna bisignata", "Apomecyna bivittata", "Apomecyna bizonata", "Apomecyna bremeri", "Apomecyna brunnea", "Apomecyna cavifrons", "Apomecyna ceylonica", "Apomecyna cochinchinensis", "Apomecyna collarti", "Apomecyna corrugata", "Apomecyna cretacea", "Apomecyna curticornis", "Apomecyna densemaculata", "Apomecyna endroedyi", "Apomecyna excavata", "Apomecyna excavatipennis", "Apomecyna fallaciosa", "Apomecyna flavoguttulata", "Apomecyna flavomarmorata", "Apomecyna flavovittata", "Apomecyna gracillima", "Apomecyna hauseri", "Apomecyna holorufipennis", "Apomecyna kochi", "Apomecyna lameerei", "Apomecyna latefasciata", "Apomecyna leleupi", "Apomecyna leucosticta", "Apomecyna longicollis", "Apomecyna longipennis", "Apomecyna luteomaculata", "Apomecyna luzonica", "Apomecyna mindanaonis", "Apomecyna minima", "Apomecyna naevia", "Apomecyna nigritarsis", "Apomecyna nigroapicalis", "Apomecyna nimbae", "Apomecyna obliquata", "Apomecyna obliquevitticollis", "Apomecyna papuana", "Apomecyna paraguttifera", "Apomecyna parisii", "Apomecyna parumguttata", "Apomecyna parumpunctata", "Apomecyna porphyrea", "Apomecyna proxima", "Apomecyna quadrisignata", "Apomecyna quadristicta", "Apomecyna reducta", "Apomecyna rufipennis", "Apomecyna rufomarmorata", "Aphrodisium hardwickianum", "Aphrodisium inexspectatum", "Aphrodisium laosense", "Aphrodisium lingafelteri", "Aphrodisium luzonicum", "Aphrodisium metallicolle", "Aphrodisium muelleri", "Aphrodisium neoxenum", "Aphrodisium nikitai", "Aphrodisium ohkurai", "Aphrodisium panayarum", "Aphrodisium planicolle", "Aphrodisium robustum", "Aphrodisium rufofemoratum", "Aphrodisium sauteri", "Aphrodisium saxosicolle", "Aphrodisium schoenmanni", "Aphrodisium schwarzeri", "Aphrodisium semignitum", "Aphrodisium semipurpureum", "Aphrodisium sinicum", "Aphrodisium strandi", "Aphrodisium thibetanum", "Aphrodisium tonkineum", "Aphrodisium vermiculosum", "Aphrodisium viridescens", "Aphrodisium viridiaeneum", "Aphrodisium albardae", "Aphrodisium griffithii", "Aphronastes subfasciatus", "Aphylax lyciformis", "Aphysotes tubericollis", "Apiocephalus licheneus", "Apiocephalus punctipennis", "Apiogaster aethiopicus", "Apiogaster bonsae", "Apiogaster centralis", "Apiogaster collare", "Apiogaster conradti", "Apiogaster dauberi", "Apiogaster decellei", "Apiogaster femoralis", "Apiogaster frischi", "Apiogaster kaszabi", "Apiogaster mahota", "Apiogaster meridionalis", "Apiogaster opacum", "Apiogaster posticum", "Apiogaster rufiventris", "Apiogaster rwandaensis", "Apiogaster sanguinicollis", "Apiogaster setosus", "Apiogaster similis", "Apiogaster sudrei", "Apiogaster xanthomelas", "Apiogaster zimbabweensis", "Aplagiognathus hybostoma", "Aplagiognathus spinosus", "Aplanodema lomii", "Apoaerenica martinsi", "Apocaulus abyssinicus", "Apocaulus colmanti", "Apocaulus dargei", "Apocaulus foveiceps", "Apatobatus malayanus", "Apatophysis anatolica", "Apatophysis baeckmanniana", "Apatophysis barbara", "Apatophysis centralis", "Apatophysis hotanica", "Apatophysis insolita", "Apatophysis kadleci", "Apatophysis karsica", "Apatophysis kashgarica", "Apatophysis katbehi", "Apatophysis komarowi", "Apatophysis niisatoi", "Apatophysis pavlovskii", "Apatophysis roborowskii", "Apatophysis sieversi", "Apatophysis sinica", "Apatophysis vedica", "Apatophysis xizangensis", "Apatophysis danczenkoi", "Apatophysis farsicola", "Apatophysis margiana", "Apatophysis modica", "Apeba barauna", "Apeba herrerae", "Apeba isabellina", "Apeba popeba", "Apeba togata", "Apebusu rubriventris", "Apechthes championi", "Apechthes mexicanus", "Aphalanthus conradti", "Aphanasium albopilosum", "Aphanasium australe", "Aphanasium flexilis", "Aphanasium variegatum", "Aphanosperma occidentalis", "Aphanosperma orientalis", "Apharsatus fallaciosus", "Apharsatus multicostatus", "Aphatum rufulum", "Apheledes dubius", "Apheledes griseobasalis", "Apheledes peyrierasi", "Apheledes stigmatipennis", "Aphelogaster apicalis", "Aphelogaster emini", "Aphelogaster thomsoni", "Aphies erythrodera", "Aphies secunda", "Aphies singularis", "Aphilesthes rustica", "Aphneope sericata", "Aphoplistus pilosellus", "Aphrodisium attenuatum", "Aphrodisium basifemorale", "Aphrodisium cantori", "Aphrodisium convexicolle", "Aphrodisium cribricolle", "Aphrodisium delatouchii", "Aphrodisium distinctipes", "Aphrodisium gibbicolle", "Aphrodisium gregoryi", "Apomecyna salomonum", "Apomecyna saltator", "Apomecyna sarasinorum", "Apomecyna scalaris", "Apomecyna scorteccii", "Apomecyna semihistrio", "Apomecyna somaliensis", "Apomecyna stramentosa", "Apomecyna subcavifrons", "Apomecyna tigrina", "Apomecyna trifasciata", "Apomecyna triseriata", "Apomecyna usambarica", "Apomecyna vaneyeni", "Apomecyna varia", "Apomecyna vitticollis", "Apomecyna crassiuscula", "Apomecyna grandis", "Apomecyna guttifera", "Apomecyna nivipicta", "Apomecynoides linavuorii", "Apomecynoides senegalensis", "Apomecynoides tchadensis", "Apomempsis bufo", "Apomempsis densepunctata", "Apomempsis similis", "Apomempsoides parva", "Apomempsoides trispinosa", "Aponoeme amazonica", "Aponoeme castanea", "Apophaula ocellata", "Aposites gracilis", "Aposites lanaticollis", "Aposites macilentus", "Aposites niger", "Aposites pubicollis", "Aposphaerion fasciatum", "Aposphaerion longicolle", "Aposphaerion nigritum", "Apostropha curvipennis", "Apotrophus simplicicollis", "Appedesis andringitrensis", "Appedesis vidua", "Appula aliena", "Appula argenteoapicalis", "Appula diamantinensis", "Appula eduardae", "Appula lateralis", "Appula melancholica", "Appula nigripes", "Appula santarensis", "Appula sericatula", "Appula undulans", "Apriona ammiralis", "Apriona aphetor", "Apriona brunneomarginata", "Apriona buruensis", "Apriona chemsaki", "Apriona cinerea", "Apriona cylindrica", "Apriona elsa", "Apriona flavescens", "Apriona germarii", "Apriona hageni", "Axinopalpis alberti", "Axinopalpis barbarae", "Ayriclytus bolivianus", "Ayriclytus gracilis", "Ayriclytus macilentus", "Ayriclytus simoni", "Azygocera picturata", "Acalolepta y-signata", "Albana m-griseum", "Amblymora v-flava", "Drusilla planaticollis", "Drusilla plicipennis", "Drusilla punctatissima", "Drusilla rufiventris", "Drusilla rufobrunnea", "Drusilla rufoflava", "Drusilla schawalleri", "Drusilla sculpticollides", "Megophrys rubrimera", "Kobus leche leche", "Kobus leche robertsi", "Kobus leche smithemani", "Kobus ellipsiprymnus defassa", "Aristolochia tagala", "Aphonopelma burica", "Aphonopelma caniceps", "Aristolochia arborea", "Aristolochia maurorum", "Aristolochia bridgesii", "Artimpaza javanica", "Artimpaza laosensis", "Artimpaza lineata", "Artimpaza metallica", "Artimpaza mimetica", "Artimpaza nayani", "Artimpaza obscura", "Artimpaza odontoceroides", "Artimpaza opacicollis", "Artimpaza paksensis", "Artimpaza patruelis", "Artimpaza perfida", "Artimpaza pulchella", "Artimpaza pulchra", "Artimpaza punctigera", "Artimpaza quadricolor", "Artimpaza quadrimaculata", "Artimpaza sausai", "Artimpaza setigera", "Artimpaza sobrina", "Artimpaza subopaca", "Artimpaza vicinia", "Aruama incognita", "Aruama viridis", "Asaperda bicostata", "Asaperda chongqingensis", "Asaperda kani", "Asaperda maculosa", "Asaperda meridiana", "Asaperda rufa", "Asaperda silvicultrix", "Asaperda stenostola", "Asaperda tenuicornis", "Asaperda wadai", "Asaperdina brunnea", "Asaperdina regularis", "Asaperdina sordida", "Asaperdina whiteheadi", "Asemolea crassicornis", "Asemolea flava", "Asemolea macaranduba", "Asemolea minuta", "Asemolea purpuricollis", "Asemolea setosa", "Asemum arisanum", "Asemum australe", "Asemum caseyi", "Asemum glabrellum", "Asemum lucidulum", "Asemum nitidum", "Asemum tenuicorne", "Asilaris auricapillus", "Asilaris bicolor", "Asilaris hayashii", "Asilaris jakli", "Asilaris mixtus", "Asilaris peregrinus", "Asilaris praelatus", "Asilaris quadrifasciatus", "Asilaris semiconicollis", "Asilaris semidentaticornis", "Megophrys fansipanensis", "Megophrys hoanglienensis", "Zwackhiomacromyces constrictocarpus", "Zwackhiomacromyces hyalosporus", "Arthonia griseopruinosa", "Aphonopelma moellendorfi", "Aphonopelma mojave", "Arthonia leucomelodis", "Aphonopelma paloma", "Aphonopelma parvum", "Aphonopelma peloncillo", "Aphonopelma phasmus", "Aphonopelma prenticei", "Aristobia freneyi", "Aristobia hispida", "Drusilla nigrescens", "Aristobia horridula", "Aristobia laosensis", "Aristobia quadrifasciata", "Aristobia reticulator", "Aristobia tavakiliani", "Aristobia umbrosa", "Aristobia vietnamensis", "Aristobia voetii", "Aristobrium cyanipenne", "Aristogitus cylindricus", "Arixiuna longula", "Arixiuna prolixa", "Arixiuna varians", "Armatosterna buquetiana", "Armatosterna castelnaudii", "Armatosterna spinifera", "Armylaena angolana", "Armylaena callidioides", "Armylaena fasciata", "Armylaena ivorensis", "Armylaena jeanelli", "Armylaena pulchella", "Armylaena testacea", "Aromia bungii", "Aromia malayana", "Aromiella fruhstorferi", "Aromiella niisatoi", "Aromiella thompsoni", "Arrhenotoides dubouzeti", "Arrhythmus aculeatus", "Arrhythmus pallimembris", "Arrhythmus rugosipennis", "Arrhytmus fenestratus", "Arrhytmus perrieri", "Arrhytmus punctatus", "Artelida asperata", "Artelida aurosericea", "Artelida bifida", "Artelida castanea", "Artelida crinipes", "Artelida cuprea", "Artelida diversitarsis", "Artelida holoxantha", "Artelida insularis", "Artelida lokobensis", "Artelida longicollis", "Artelida pernobilis", "Artelida triangularis", "Artelida villosimana", "Artimpaza argenteonotata", "Artimpaza bicolor", "Artimpaza biplagiata", "Artimpaza chalcea", "Artimpaza chewi", "Artimpaza colorata", "Artimpaza curtelineata", "Artimpaza dehra", "Artimpaza femorata", "Artimpaza formosa", "Artimpaza fortunata", "Artimpaza hefferni", "Aphonopelma saguaro", "Opegrapha hafellneri", "Pronectria neofissuriprodiens", "Indobanalia thyrsiflora", "Stigmidium parmotrematis", "Henonia scoparia", "Stigmidium placopsidis", "Coffea wightiana", "Aphonopelma steindachneri", "Herbstia brasiliana", "Aphonopelma superstitionense", "Aphonopelma xwalxwal", "Aphonopelma eustathes", "Garthia gaudichaudii", "Eriostylos stefaninii", "Ciconia episcopus microscelis", "Aphonopelma belindae", "Aphonopelma bicoloratum", "Drusillota polita", "Aphonopelma braunshausenii", "Argophyllum nullumense", "Ecitana biimpressa", "Argophyllum laxum", "Ecitocala rugosa", "Ecitocerus gracilipes", "Gekko vittatus", "Asilaris zonatus", "Asmedia flavofasciata", "Asmedia mimica", "Drusilla opacicollis", "Asmedia nigricornis", "Asperidorsus holobrunneus", "Aspitus seriatus", "Assinia affinis", "Assinia alluaudi", "Assinia hovorkai", "Assinia inermis", "Assinia pulchra", "Assinia pumilio", "Assycuera macrotela", "Assycuera marcelae", "Assycuera rubella", "Assycuera scabricollis", "Astetholea denticollis", "Astetholea lepturoides", "Astetholea opacicollis", "Astetholea picea", "Astetholea varia", "Astromula nitidum", "Astyleiopus variegatus", "Astylidius parvus", "Astylopsis arcuata", "Astylopsis collaris", "Astylopsis fascipennis", "Astylopsis macula", "Astylopsis perplexa", "Astylopsis sexguttata", "Asynapteron eburnigerum", "Asynapteron equatorianum", "Asynapteron glabriolum", "Asynapteron inca", "Asynapteron ranthum", "Asyngenes affinis", "Asyngenes chalceolus", "Asyngenes strandiellus", "Asyngenes vittipennis", "Asyngenes venezuelensis", "Ataxia albisetosa", "Ataxia alboscutellata", "Ataxia alpha", "Ataxia arenaria", "Ataxia arizonica", "Ataxia brunnea", "Ataxia camiriensis", "Ataxia canescens", "Ataxia cayennensis", "Ataxia cayensis", "Ataxia crypta", "Ataxia cylindrica", "Ataxia estoloides", "Ataxia falli", "Ataxia fulvifrons", "Ataxia haitiensis", "Ataxia heppneri", "Ataxia hubbardi", "Ataxia illita", "Ataxia linearis", "Ataxia luteifrons", "Ataxia mucronata", "Garthia gaudichaudii dorbignii", "Saurodactylus mauritanicus", "Gehyra variegata", "Hemidactylus maculatus", "Hemidactylus leschenaultii", "Ciconia episcopus episcopus", "Drusilla semicircularis", "Drusilla semicyanea", "Drusilla semipunctata", "Drusilla semirubra", "Drusilla strigicollis", "Aphonopelma anitahoffmannae", "Drusilla suturalis", "Drusilla takashii", "Drusilla trigonocephala", "Drusilla tuberculata", "Drusilla veluticollis", "Drusilla wallacei", "Atesta mediana", "Atesta minuta", "Atesta newi", "Atesta nigrihumerus", "Atesta opiloides", "Atesta paratasmanica", "Atesta patula", "Atesta pubescens", "Atesta sisyrioides", "Atesta sita", "Atesta sparsa", "Atesta stigmosa", "Atesta tasmanica", "Atesta thorntoni", "Atesta tripartita", "Atesta tropicale", "Atesta unifasciata", "Atesta vittata", "Atharsus nigricauda", "Athemistus aberrans", "Athemistus aborigine", "Athemistus aethiops", "Athemistus albofasciatus", "Athemistus approximatus", "Athemistus armitagei", "Athemistus assimilis", "Athemistus barretti", "Athemistus bituberculatus", "Athemistus conifer", "Athemistus cristatus", "Athemistus dawsoni", "Athemistus discospinosus", "Athemistus echinatus", "Athemistus funereus", "Athemistus harrisoni", "Athemistus howittii", "Athemistus irregularis", "Athemistus kaszabi", "Athemistus laevicollis", "Athemistus luciae", "Athemistus macleayi", "Athemistus maculatus", "Athemistus mastersi", "Athemistus medioplagiata", "Athemistus monticola", "Athemistus murina", "Athemistus nodosus", "Athemistus orbicollis", "Athemistus pubescens", "Athemistus puncticeps", "Athemistus puncticollis", "Athemistus rugulosus", "Athemistus torridus", "Athemistus tricolor", "Athemistus wasselli", "Athetesis angulicollis", "Athetesis prolixa", "Athylia albomarmorata", "Athylia avara", "Drusilla papuana", "Athylia bialbolineata", "Athylia drescheri", "Athylia fasciata", "Athylia flavovittata", "Kiliasia athallina", "Aphonopelma cookei", "Aphonopelma crinitum", "Aphonopelma duplex", "Aristolochia clusii", "Aphonopelma eutylenum", "Aristolochia cretica", "Ataxia nivisparsa", "Ataxia obscura", "Ataxia obtusa", "Ataxia operaria", "Ataxia parva", "Ataxia perplexa", "Ataxia piauiensis", "Drusilla opacipennis", "Ataxia prolixa", "Ataxia rufitarsis", "Ataxia setulosa", "Ataxia spinicauda", "Ataxia spinipennis", "Ataxia stehliki", "Ataxia tibialis", "Ataxia uniformis", "Ataxia variegata", "Ataxia yucatana", "Atelais illaesa", "Atelais longicornis", "Atelais modesta", "Atelais papuensis", "Atelais putida", "Atelais surigaonis", "Atelographus decoratus", "Atelographus sexplagiatus", "Atelographus susanae", "Atenizoides curacaoae", "Atenizus apicalis", "Atenizus capixaba", "Atenizus castaneus", "Atenizus hylaeanus", "Atenizus laticeps", "Atenizus plaumanni", "Atenizus simplex", "Atenizus taunayi", "Ateralphus auritarsus", "Ateralphus dejeani", "Ateralphus javariensis", "Ateralphus lucianeae", "Ateralphus senilis", "Ateralphus subsellatus", "Atesta angasii", "Atesta antennale", "Atesta apicale", "Atesta balteata", "Atesta besti", "Atesta bifasciata", "Atesta brittoni", "Drusilla orientalis", "Atesta brooksi", "Atesta carteri", "Atesta centroaustralica", "Atesta chiangi", "Atesta ciliata", "Atesta dixoni", "Atesta dorsale", "Atesta dubiosa", "Atesta eremita", "Atesta houstoni", "Atesta ibidionoides", "Atesta latifasciata", "Atesta longoelytrata", "Atesta mapida", "Athylia fusca", "Athylia fuscostictica", "Athylia fuscovittata", "Athylia horishensis", "Athylia laevicollis", "Athylia nobilis", "Athylia ornata", "Athylia persimilis", "Athylia pulcherrima", "Athylia pulchra", "Athylia punctithorax", "Athylia quadristigma", "Athylia signata", "Athylia signatoides", "Athylia similis", "Athylia vanessoides", "Athylia venosa", "Athylia viduata", "Atiaia consobrina", "Atimia chinensis", "Atimia confusa", "Drusilla pendleburyi", "Atimia esakii", "Atimia gannoni", "Atimia helenae", "Atimia hoppingi", "Atimia huachucae", "Atimia juniperi", "Atimia mexicana", "Atimia truncatella", "Atimia vandykei", "Atimiliopsis ochripennis", "Atimiola guttulata", "Atimura affinis", "Atimura ancipitalis", "Atimura apicalis", "Atimura bacillina", "Atimura combreti", "Atimura cylindrica", "Atimura dentipes", "Atimura formosana", "Atimura fujiwarai", "Atimura japonica", "Atimura koreana", "Atimura laosica", "Atimura minima", "Atimura nilghirica", "Atimura proxima", "Atimura punctissima", "Atimura spinigera", "Atimura strandi", "Atimura subapicalis", "Atimura sulcatula", "Atimura tarsata", "Atimura terminata", "Atimura trux", "Atrichocera celebensis", "Atrichocera laosensis", "Atrichocera moultoni", "Atripatus subcylindricus", "Atrocolus guarani", "Atrocolus mariahelenae", "Atrypanius albocinctus", "Atrypanius ambiguus", "Atrypanius conspersus", "Atrypanius cretiger", "Atrypanius implexus", "Atrypanius irrorellus", "Atrypanius punctatellus", "Atrypanius remissus", "Atrypanius scitulus", "Atybe nyassensis", "Atybe plantii", "Atylostagma glabra", "Atylostagma polita", "Aulaconotopsis fimbriatus", "Aulaconotus atronotatus", "Aulaconotus gracilicornis", "Aulaconotus grammopterus", "Aulaconotus incorrugatus", "Aulaconotus pachypezoides", "Aulaconotus satoi", "Aulaconotus semiaulaconotus", "Aulaconotus szetschuanus", "Aulacopus reticulatus", "Aulacotoma tenuelimbata", "Aureoglaucytes aureosignata", "Australodon nearnsi", "Australoleiopus marmoratus", "Austranoplium concolor", "Austroeme femorata", "Austroeme gentilis", "Austroeme modesta", "Austronecydalopsis curkovici", "Austronecydalopsis iridipennis", "Austrophanes robustum", "Austrosomatidia pulleni", "Auxa armata", "Auxa basirufipennis", "Auxa bimaculipennis", "Auxa divaricata", "Auxa dorsata", "Auxa fuscolineata", "Auxa gibbicollis", "Auxa griveaudi", "Auxa lineolata", "Auxa longidens", "Auxa mediofasciata", "Auxa mimodivaricata", "Auxa nigritarsis", "Auxa obliquata", "Auxa paragibbicollis", "Auxa parvidens", "Auxa pauliani", "Auxa perroti", "Auxa pulchra", "Auxa rufoflava", "Auxa scriptidorsis", "Auxa sericea", "Auxa subdivaricata", "Auxa subobliquata", "Auxa subtruncata", "Auxa unicolor", "Auxa vadoni", "Auxesis gabonica", "Axestoleus meridionalis", "Axestoleus quinquepunctatus", "Arachnogyaritus saleuii", "Arachnoparmena zaitzevi", "Araeotis fragilis", "Araespor callosus", "Araespor darlingtoni", "Araespor gazellus", "Araespor longicollis", "Araespor pallidus", "Araespor pictus", "Araespor quinquepustulatus", "Aragea mizunoi", "Arapari bellus", "Arawakia inopinata", "Arba erlangeri", "Archaeopalus dentatus", "Archeogyaritus andrei", "Archetypus frenchi", "Archetypus fulvipennis", "Archidice castelnaudii", "Archotoma lameerei", "Arctolamia fasciata", "Arctolamia fruhstorferi", "Arctolamia luteomaculata", "Arctolamia strandi", "Arctolamia villosa", "Drusilla nigra", "Arcucornus occidentalis", "Arcucornus orientalis", "Ardeocomus hemilophoides", "Argentinoeme pseudobscura", "Argentinoeme schulzi", "Argyrodines aurivillii", "Argyrodines pulchella", "Arhopaloscelis bifasciata", "Arhopalus angustus", "Arhopalus asperatus", "Arhopalus biarcuatus", "Arhopalus brunneus", "Arhopalus cavatus", "Arhopalus cubensis", "Arhopalus deceptor", "Arhopalus exoticus", "Arhopalus foveatus", "Arhopalus foveicollis", "Arhopalus hispaniolae", "Arhopalus pinetorum", "Arhopalus productus", "Arhopalus tibetanus", "Arianida albosternalis", "Arianida mactata", "Ariastes monostigma", "Ariastes muellerae", "Aridaeus heros", "Aridaeus nigripes", "Aridaeus princeps", "Aridaeus sumbaensis", "Aridaeus timoriensis", "Arietocometes apicalis", "Arietocometes giesberti", "Arietocometes nearnsi", "Arietocometes rileyi", "Arietocometes violaceicollis", "Aristobia angustifrons", "Aristobia approximator", "Bacchisa albicornis", "Bacchisa andamanensis", "Bacchisa annulicornis", "Bacchisa argenteifrons", "Bacchisa assamensis", "Bacchisa atricornis", "Bacchisa atritarsis", "Bacchisa aureosetosa", "Bacchisa basalis", "Bacchisa bicolor", "Bacchisa bicoloripennis", "Bacchisa bimaculata", "Bacchisa chinensis", "Bacchisa comata", "Bacchisa coronata", "Bacchisa curticornis", "Bacchisa cyaneoapicalis", "Bacchisa cyanicollis", "Bacchisa cyanipennis", "Bacchisa dapsilis", "Bacchisa dilecta", "Bacchisa dioica", "Bacchisa discoidalis", "Bacchisa flavescens", "Bacchisa flavicincta", "Bacchisa flavobasalis", "Bacchisa fortunei", "Bacchisa frontalis", "Bacchisa fruhstorferi", "Bacchisa guerryi", "Bacchisa hoffmanni", "Bacchisa humeralis", "Bacchisa jeanvoinei", "Bacchisa klapperichi", "Bacchisa kusamai", "Bacchisa kweichowensis", "Bacchisa laevicollis", "Bacchisa medioviolacea", "Bacchisa melanura", "Bacchisa mindanaonis", "Bacchisa nigricornis", "Bacchisa nigriventris", "Bacchisa nigroantennata", "Bacchisa nigroapicipennis", "Bacchisa nigrosternalis", "Bacchisa pallens", "Bacchisa pallidiventris", "Bacchisa papuana", "Bacchisa partenigricornis", "Bacchisa parvula", "Bacchisa penicillata", "Bacchisa perakensis", "Bacchisa pouangpethi", "Bacchisa pseudobasalis", "Bacchisa punctata", "Bacchisa rigida", "Bacchisa seclusa", "Bacchisa siamensis", "Bacchisa subannulicornis", "Bacchisa subbasalis", "Bacchisa subpallidiventris", "Bacchisa sumatrensis", "Bacchisa testacea", "Bacchisa tonkinensis", "Bacchisa transversefasciata", "Bacchisa unicolor", "Bacchisa venusta", "Bacchisa vernula", "Bacchisa violacea", "Bacchisa violaceoapicalis", "Bacchisa atrocoerulea", "Bacchisa holorufa", "Bacchisa kudatensis", "Bacchisa cavernifera", "Bacchisa aulica", "Bacchisa borneotica", "Bacchisa gigantea", "Bacchisa kraatzii", "Bacchisa puncticollis", "Bacchisa sumatrana", "Bacchisa unicoloripennis", "Bacchisa fasciata", "Bactriola achira", "Bactriola antennata", "Bactriola circundata", "Bactriola falsa", "Bactriola maculata", "Bactriola minuscula", "Bactriola paupercula", "Bactriola vittulata", "Badenella badeni", "Badenella fallaciosa", "Badenella gavisa", "Badenella ignota", "Baliesthes alboguttatus", "Baliesthoides guttipennis", "Bandar bituberosa", "Bandar khooi", "Bandar kurosawai", "Bandar maedai", "Bandar pascoei", "Bangalaia albata", "Bangalaia alboguttata", "Bangalaia angolensis", "Bangalaia babaulti", "Bangalaia bipunctipennis", "Bangalaia chaerila", "Bangalaia duffyi", "Bangalaia fisheri", "Bangalaia fulvosignata", "Bangalaia lislei", "Bangalaia margaretae", "Bangalaia maublanci", "Bangalaia molitor", "Bangalaia nebulosa", "Bangalaia ocellata", "Bangalaia ochreomarmorata", "Bangalaia schoutedeni", "Bangalaia soror", "Bangalaia stiriaca", "Bangalaia sulcicollis", "Bangalaia thomensis", "Bangalaia turei", "Bangalaia vittata", "Batocera herbuloti", "Batocera hercules", "Batocera hlaveki", "Batocera horsfieldii", "Batocera humeridens", "Batocera inconspicua", "Batocera itzingeri", "Batocera kibleri", "Batocera laena", "Batocera lamondi", "Batocera maculata", "Batocera magica", "Batocera malleti", "Batocera matzdorffi", "Batocera migsominea", "Batocera molitor", "Batocera nebulosa", "Batocera numitor", "Batocera oceanica", "Batocera parryi", "Batocera punctata", "Batocera quercinea", "Batocera rosenbergii", "Batocera roylii", "Batocera saundersii", "Batocera strandi", "Batocera sumbaensis", "Batocera thomsonii", "Batocera timorlautensis", "Batocera una", "Batocera ushijimai", "Batocera victoriana", "Batocera wallacei", "Batocera woodlarkiana", "Batocera wyliei", "Batomena multispinis", "Batrachorhina albolateralis", "Batrachorhina albostrigosa", "Batrachorhina bipuncticollis", "Batrachorhina cristata", "Batrachorhina griseicornis", "Batrachorhina katangensis", "Batrachorhina niveoscutellata", "Batrachorhina postmaculata", "Batrachorhina pruinosa", "Batrachorhina rodriguezi", "Batrachorhina semiluctuosa", "Batrachorhina similis", "Batrachorhina sogai", "Batrachorhina subgriseicornis", "Batrachorhina vulpina", "Batrachorhina affinis", "Batrachorhina albopicta", "Batrachorhina albovaria", "Batrachorhina apicepicta", "Batrachorhina cruciata", "Batrachorhina descarpentriesi", "Batrachorhina distigma", "Batrachorhina flavomarmorata", "Batrachorhina flavoplagiata", "Batrachorhina griseiventris", "Batrachorhina griseofasciata", "Batrachorhina griseoplagiata", "Bebelis divaricata", "Bebelis elongata", "Bebelis fasciata", "Bebelis furcula", "Bebelis inaequalis", "Bebelis laetabilis", "Bebelis leo", "Bebelis lignea", "Bebelis lignosa", "Bebelis longipennis", "Bebelis maculata", "Bebelis mexicana", "Bebelis modesta", "Bebelis obliquata", "Bebelis occulta", "Bebelis parva", "Bebelis picta", "Bebelis pseudolignosa", "Bebelis puncticollis", "Bebelis schwarzi", "Bebelis tagua", "Bebius filiformis", "Bebius lineatus", "Becvarium bioculatum", "Bejofoana salvazai", "Bellamira scalaris", "Belodasys lineata", "Beloderoides nigroapicalis", "Beloesthes megabasoides", "Beraba angusticollis", "Beraba cauera", "Beraba cheilaria", "Beraba decora", "Beraba erosa", "Beraba grammica", "Beraba inermis", "Beraba iuba", "Beraba limpida", "Beraba longicollis", "Beraba marica", "Beraba moema", "Beraba piriana", "Beraba spinosa", "Beraba tate", "Berndgerdia balteata", "Bernhardius senectus", "Berningerus gorilloides", "Berningerus gorillus", "Berningerus mameti", "Berningerus maynei", "Bethelium affine", "Bethelium bifasciatum", "Bethelium diversicorne", "Bethelium healyi", "Bethelium inconspicuum", "Bethelium inscriptum", "Bethelium intortum", "Bethelium subopacum", "Bethelium venatum", "Bezarkia suturalis", "Biasmia antennalis", "Batrachorhina induta", "Batrachorhina kenyensis", "Batrachorhina lactaria", "Batrachorhina lateritia", "Batrachorhina madagascariensis", "Batrachorhina medioalba", "Batrachorhina mediomaculata", "Batrachorhina nebulosa", "Batrachorhina nervulata", "Batrachorhina niviscutata", "Batrachorhina orientalis", "Batrachorhina paralateritia", "Batrachorhina paraniviscutata", "Batrachorhina rufina", "Batrachorhina strandi", "Batrachorhina vadoniana", "Batrachorhina vagepicta", "Batrachorhina vieui", "Batrachorhina wittei", "Batrachorhina alboplagiata", "Batrachorhina niveoplagiata", "Batrachorhina simillima", "Batrachorhina approximata", "Batrachorhina biapicata", "Batrachorhina bipunctipennis", "Batrachorhina cephalotes", "Batrachorhina dentifera", "Batrachorhina excavata", "Batrachorhina fasciculata", "Batrachorhina flavoapicalis", "Batrachorhina fuscolateralis", "Batrachorhina grisea", "Batrachorhina jejuna", "Batrachorhina kivuensis", "Batrachorhina lichenea", "Batrachorhina miredoxa", "Batrachorhina mirei", "Batrachorhina paralichenea", "Batrachorhina principis", "Batrachorhina tanganjicae", "Batrachorhina griseotincta", "Batrachorhina obliquevittata", "Batrachorhina paragriseotincta", "Batrachorhina tuberculicollis", "Batrachorhina vadoni", "Batus barbicornis", "Batus hirticornis", "Batus latreillei", "Batyle ignicollis", "Batyle knowltoni", "Batyle laevicollis", "Batyle rufiventris", "Batyle suturalis", "Baudona borneotica", "Baudona ochreovittata", "Bebelis acuta", "Bebelis angusta", "Bebelis aurulenta", "Bebelis coenosa", "Bebelis compta", "Bebelis concisa", "Bebelis cuprina", "Bangalaia wissmanni", "Bangaloides strandi", "Baraeomimus usambaricus", "Baraeus aurisecator", "Baraeus gabonicus", "Baraeus gracilentus", "Baraeus granulosus", "Baraeus itzingeri", "Baraeus orientalis", "Baraeus plagiatus", "Baraeus subvittatus", "Baraeus taeniolatus", "Baraeus tridentatus", "Baraeus vittatus", "Baralipton dohrni", "Baralipton maculosum", "Bardistus cibarius", "Barossus cineraceus", "Barossus kauppi", "Baryssinus albifrons", "Baryssinus amoenus", "Baryssinus bicirrifer", "Baryssinus bilineatus", "Baryssinus chemsaki", "Baryssinus giesberti", "Baryssinus huedepohli", "Baryssinus marcelae", "Baryssinus marisae", "Baryssinus melasmus", "Baryssinus mimus", "Aristolochia cynanchifolia", "Baryssinus modestus", "Baryssinus penicillatus", "Baryssinus robertoi", "Baryssinus silviae", "Basiptera castaneipennis", "Basitoxus megacephalus", "Batesbeltia beltii", "Batesbeltia cerussata", "Batesbeltia pantherina", "Batesbeltia pullata", "Batesbeltia verecunda", "Batesparna platyptera", "Batocera aeneonigra", "Batocera ammiralis", "Batocera andamana", "Batocera armata", "Batocera boisduvalii", "Batocera breuningi", "Batocera browni", "Batocera bruynii", "Batocera celebiana", "Batocera chevrolatii", "Batocera cinnamomea", "Batocera claudia", "Batocera davidis", "Batocera drapiezi", "Batocera enganensis", "Batocera forbesii", "Batocera frenchi", "Batocera gerstaeckerii", "Batocera gigas", "Batocera granulipennis", "Biasmia guttata", "Bicon bimaculatum", "Bicon luctuosus", "Bicon luzonensis", "Bicon ruficeps", "Bicon sanguineus", "Bifidoprionus rufus", "Bimia bicolor", "Bimia semiflava", "Bimia waterhousei", "Biobessa albopunctata", "Biobessa beatrix", "Biobessa holzschuhi", "Biobessoides albomaculatus", "Biobessoides pujoli", "Biraerana lycoides", "Biraibidion martinsi", "Birandra boucheri", "Birandra lucanoides", "Birandra mariahelenae", "Birandra punctata", "Birandra silvaini", "Birandra angulicollis", "Birandra antioquensis", "Birandra cribrata", "Birandra cubaecola", "Birandra lata", "Birandra latreillei", "Birandra pinchoni", "Birandra tavakiliani", "Biribellus huedepohli", "Biribellus martinsi", "Biribellus punctatus", "Bisaltes adustus", "Bisaltes argentiniensis", "Bisaltes bilineellus", "Bisaltes bimaculatus", "Bisaltes brevicornis", "Bisaltes buquetii", "Bisaltes chilensis", "Bisaltes columbianus", "Bisaltes elongatus", "Bisaltes flaviceps", "Bisaltes fuscoapicalis", "Bisaltes fuscodiscalis", "Bisaltes fuscomarmoratus", "Bisaltes montevidensis", "Bisaltes monticola", "Bisaltes obliquatus", "Bisaltes petilus", "Bisaltes pulvereus", "Bisaltes roseiceps", "Bisaltes sautierei", "Bisaltes spegazzinii", "Bisaltes stramentosus", "Bisaltes strandi", "Bisaltes subreticulatus", "Bisaltes triangularis", "Bisaltes uniformis", "Bisaltes venezuelensis", "Bisaltes pictus", "Bisaltes poecilus", "Bisaltes ptericoptoides", "Blepephaeus arrowi", "Blepephaeus bangalorensis", "Blepephaeus banksi", "Blepephaeus bipunctatus", "Blepephaeus blairi", "Blepephaeus borneensis", "Blepephaeus fulvus", "Blepephaeus grisescens", "Blepephaeus hiekei", "Blepephaeus higaononi", "Blepephaeus indicus", "Blepephaeus infelix", "Blepephaeus irregularis", "Blepephaeus itzingeri", "Blepephaeus laosicus", "Blepephaeus lemoulti", "Blepephaeus leucosticticus", "Blepephaeus lignosus", "Blepephaeus luteofasciatus", "Blepephaeus malaccensis", "Blepephaeus marmoratus", "Blepephaeus marshalli", "Blepephaeus mausoni", "Blepephaeus mindanaoensis", "Blepephaeus modicus", "Blepephaeus multinotatus", "Blepephaeus nepalensis", "Aristolochia eriantha", "Blepephaeus niasicus", "Blepephaeus nicobaricus", "Blepephaeus nigrofasciatus", "Blepephaeus nigrosparsus", "Blepephaeus nigrostigma", "Blepephaeus ocellatus", "Blepephaeus penangensis", "Blepephaeus porosus", "Blepephaeus puae", "Blepephaeus shembaganurensis", "Blepephaeus similis", "Blepephaeus stigmosus", "Blepephaeus strandi", "Blepephaeus subannulatus", "Blepephaeus subcruciatus", "Blepephaeus succinctor", "Blepephaeus sumatranus", "Blepephaeus sumatrensis", "Blepephaeus undulatus", "Blepephaeus variegatus", "Blepephaeus varius", "Bolbotritus bainesi", "Bolivarita oculata", "Bomarion achrostum", "Bomarion affabile", "Bomarion anormale", "Bomarion aureolatum", "Bomarion boavidai", "Bomarion carenatum", "Bomarion caudatum", "Bomarion fraternum", "Bomarion heteroclitum", "Bomarion lineatum", "Bomarion signatipenne", "Bonfilsia barbadensis", "Bityle alboscutellaris", "Bityle albostictica", "Bityle basimaculata", "Bityle bicolor", "Bityle modesta", "Bityle pseudobityle", "Bixadoides allardi", "Bixadus sierricola", "Bixorestes arcuatus", "Bixorestes clennellae", "Bixorestes hottentottus", "Bixorestes illustris", "Bixorestes karooensis", "Bixorestes piceki", "Bixorestes picekioides", "Bixorestes pulchellus", "Blabia alboseta", "Blabia banga", "Blabia bicuspis", "Blabia bituberosa", "Blabia colobotheoides", "Blabia costaricensis", "Blabia cristulata", "Blabia epicharis", "Blabia exotica", "Blabia ferina", "Blabia galba", "Blabia gemma", "Blabia incompta", "Blabia intricata", "Blabia longipennis", "Blabia magdalena", "Blabia masoni", "Blabia meinerti", "Blabia morrisi", "Blabia oculifera", "Blabia piscoides", "Blabia rendira", "Blabia similis", "Blabia spinella", "Blabia strandiella", "Blabia truncata", "Blabicentrus alberti", "Blabicentrus brulei", "Blabicentrus capixaba", "Blabicentrus ghoutii", "Blabicentrus hirsutulus", "Blabicentrus littoralis", "Blabicentrus martinsi", "Blabicentrus tomentosus", "Blabinotus spinicollis", "Blapsilon austrocaledonicum", "Blapsilon irroratum", "Blapsilon montrouzieri", "Blapsilon purpureum", "Blapsilon viridicolle", "Blepephaeopsis nigrosparsus", "Blepephaeopsis vietnamensis", "Blepephaeopsis yagii", "Blepephaeus affinis", "Blepephaeus agenor", "Blepephaeus andamanicus", "Blepephaeus annulatus", "Apriona irma", "Apriona jakli", "Apriona jossoi", "Apriona juheli", "Apriona marcusiana", "Apriona minettii", "Apriona moratii", "Apriona multigranula", "Apriona neglecta", "Apriona neglectissima", "Apriona novaeguineae", "Apriona pascoei", "Apriona paucigranula", "Apriona punctatissima", "Apriona rixator", "Apriona rugicollis", "Apriona sublaevis", "Apriona submaculosa", "Apriona swainsoni", "Apriona teocchii", "Apriona tigris", "Apriona trilineata", "Apriona tuberosicollis", "Apriona unidentata", "Apriona vagemaculata", "Aprionella unicolor", "Drusilla nearctica", "Aprophata eximia", "Aprophata eximioides", "Aprophata nigrescens", "Aprophata notha", "Aprophata ruficollis", "Aprophata semperi", "Aprophata vigintiquatuormaculata", "Aprosictus acutipennis", "Aprosictus armellae", "Aprosictus dilatoscapus", "Aprosictus duivenbodei", "Aprosictus exiguus", "Aprosictus fuscus", "Aprosictus glabrofasciatus", "Aprosictus intricatus", "Aprosictus lombokensis", "Aprosictus paloloensis", "Aprosictus pedicellus", "Aprosictus sangirensis", "Aprosictus sexpunctatus", "Aprosictus ternatensis", "Aprosopus barbatulus", "Aprosopus buquetii", "Apteralcidion lapierrei", "Apterapomecyna rufobrunnea", "Apterocaulus heterogama", "Apteroleiopus apterus", "Apteroleiopus jeanneli", "Apterotoxitiadella mulanjensis", "Apypema yara", "Apyratuca apiculata", "Apyratuca bicolor", "Apyrauna annulicornis", "Apyrauna maculicornis", "Aquinillum pallidum", "Arachneosomatidia beatriceae", "Arachnogyaritus celestini", "Brachynarthron aeneipennis", "Brachynarthron murzini", "Brachynarthron simile", "Brachynarthron unicoloripennis", "Brachyolene albosignata", "Brachyolene albostictica", "Brachyolene brunnea", "Brachyolene capensis", "Brachyolene flavolineata", "Brachyolene nigrescens", "Brachyolene ochreosignata", "Brachyolene picta", "Brachyolene pictula", "Brachyolene seriemaculata", "Brachyolenecamptus banksi", "Brachyolenecamptus fuscosticticus", "Brachyphoderes dehiscens", "Brachyphoderes longicollis", "Brachysarthron copei", "Brachysomida atra", "Brachysomida bivittata", "Brachysomida californica", "Brachysomida rugicollis", "Brachysomida vittigera", "Brachysybra elliptica", "Brachysybra unicolor", "Brachyta danilevskyi", "Brachyta delagrangei", "Brachytria angulata", "Brachytria balteata", "Brachytria castanea", "Brachytria centralis", "Brachytria discopunctata", "Brachytria erosa", "Brachytria gulosa", "Brachytria jugosa", "Brachytria occidentalis", "Brachytria picta", "Brachytria pulcherrima", "Brachytria thoracica", "Brachytria varia", "Brachytritus hieroglyphicus", "Braderochus jolyi", "Braderochus levoiturieri", "Braderochus mundus", "Braderochus retrospinosus", "Braderochus salcedoi", "Bradycnemis velutina", "Brasiliosoma apicale", "Brasiliosoma tibiale", "Brechmoidion falcatum", "Brephilydia jejuna", "Breuningiana pulchra", "Brevechelidonium circumsplendens", "Brevechelidonium juheli", "Brevechelidonium minettii", "Brevechelidonium sabahensis", "Brevechelidonium siamensis", "Brevoxathres albobrunnea", "Brevoxathres fasciata", "Brevoxathres irrorata", "Brevoxathres seabrai", "Brimidius annulicornis", "Brimidius laevicollis", "Bonfilsia pejoti", "Bonfilsia tricolor", "Bonfilsia woodruffi", "Boninella anoplos", "Boninella degenerata", "Boninella hirsuta", "Boninella igai", "Boninella kamezawai", "Boninella karubei", "Boninella satoi", "Boninella takakuwai", "Boninoleiops kitajimai", "Boppeus acuticollis", "Boppeus brevicollis", "Boppeus fairmairei", "Boppeus laevis", "Boppeus lagrioides", "Boppeus orientalis", "Boppeus pauliani", "Boppeus peyrierasi", "Boppeus sericeus", "Boppeus viettei", "Boricyrtinus nilseni", "Borneochroma shutae", "Borneogrammus albomaculatus", "Borneophysis chewi", "Bornesalpinia titoi", "Bornestathes trusmadianus", "Bostrychopsebium erythraeense", "Bostrychopsebium transvaalense", "Bostrychopsebium usurpator", "Bothriospila elegans", "Bothriospila pulcherrima", "Bothrocerambyx nevermanni", "Bottegia flavipennis", "Bottegia rubra", "Bottegia russellae", "Bottegia spectabilis", "Bottegia spinipennis", "Bouakea bicoloricornis", "Bourbonia bifasciata", "Bouyerus metallicus", "Brachaciptera auricoma", "Brachaciptera tibialis", "Bracheocentrus duvivieri", "Brachopsis concolor", "Brachopsis nupera", "Brachyale pterolophioides", "Brachychilus chevrolatii", "Brachychilus lituratus", "Brachychilus scutellaris", "Brachychilus wagenknechti", "Brachyhammus raffrayi", "Brachyhospes reticollis", "Brachyhospes scutellaris", "Brachyleptura champlaini", "Brachyleptura circumdata", "Brachyleptura dehiscens", "Brachyleptura pernigra", "Brachyleptura rubrica", "Brachyleptura vagans", "Brachyleptura vexatrix", "Brachylophora auricollis", "Brachymyiodola maculosa", "Cacia fruhstorferi", "Cacia griseovittata", "Cacia grossepunctata", "Cacia hebridarum", "Cacia herbacea", "Cacia inculta", "Cacia intermedia", "Cacia intricata", "Cacia kaszabi", "Cacia kinabaluensis", "Cacia niasica", "Cacia palawanica", "Cacia parintricata", "Cacia proteus", "Cacia sarawakensis", "Cacia spinigera", "Cacia trimaculata", "Cacia bispinosa", "Cacia collarti", "Cacia compta", "Cacia flavoguttata", "Cacia flavovariegata", "Cacia grossepunctipennis", "Cacia guttata", "Cacia melanopsis", "Cacia multiguttata", "Cacia picticornis", "Cacia salomonum", "Cacia singaporensis", "Cacia albofasciata", "Cacia aequifasciata", "Cacia albicollis", "Cacia aspersa", "Cacia elegans", "Cacia imitatrix", "Cacia interruptovittata", "Cacia latefasciata", "Cacia ligata", "Cacia ligatoides", "Cacia lumawigi", "Cacia marionae", "Cacia milagrosae", "Cacia nigricollis", "Cacia nigroabdominalis", "Cacia ochraceomaculata", "Cacia parelegans", "Cacia parumpunctata", "Cacia semiluctuosa", "Cacia sexplagiata", "Cacia shirupiti", "Cacia vanikorensis", "Cacia xenoceroides", "Cacia albocancellata", "Cacia albovariegata", "Cacia andamanica", "Cacia arisana", "Cacia assamensis", "Cacia basialboantennalis", "Cacia basifasciata", "Cacia batoensis", "Brimidius marmoratus", "Brimopsis kivuensis", "Brimus affinis", "Brimus rendalli", "Brimus spinipennis", "Brittonella chardoni", "Bromiades brachyptera", "Brothylus conspersus", "Brothylus gemmulatus", "Brototyche adamsii", "Bucynthia borchmanni", "Bucynthia marmorata", "Bucynthia ochrescens", "Bucynthia spiloptera", "Buddhapania minimalis", "Bulbolmotega sumatrensis", "Bulborhodopis barbicornis", "Bulborhodopis inornatus", "Bumetopia albovittata", "Bumetopia aliena", "Bumetopia bakeri", "Bumetopia bilinea", "Bumetopia borneensis", "Bumetopia brevicornis", "Bumetopia conspersa", "Bumetopia elongata", "Bumetopia flavomarmorata", "Bumetopia flavovariegata", "Bumetopia fornicata", "Bumetopia intermedia", "Bumetopia japonica", "Bumetopia lanhsuana", "Bumetopia lutaoana", "Bumetopia oscitans", "Bumetopia oshimana", "Bumetopia panayensis", "Bumetopia pardina", "Bumetopia quadripunctata", "Bumetopia sakishimana", "Bumetopia schultzei", "Bumetopia sexpunctata", "Bumetopia stolata", "Bumetopia uniformis", "Bumetopia yagii", "Bumetopia trigonocephala", "Bumetopia vittipennis", "Buprestomorpha montrouzieri", "Butherium erythropus", "Butocrysa insignis", "Bybe parmenoides", "Bybeana schawalleri", "Cabreuva lucianoi", "Cacia anancyloides", "Cacia bioculata", "Cacia celebensis", "Cacia confusa", "Cacia curta", "Cacia estrellae", "Cacia evittata", "Cacia flavobasalis", "Cacia flavomaculipennis", "Cacia beccarii", "Cacia binaluanica", "Cacia bituberosa", "Cacia bootanana", "Cacia brunnea", "Cacia butuana", "Cacia cephaloides", "Cacia cephalotes", "Cacia colambugana", "Cacia dohertyana", "Cacia flavipennis", "Cacia flavomarmorata", "Cacia formosana", "Cacia grisescens", "Cacia hieroglyphyca", "Cacia imogenae", "Cacia integricornis", "Cacia lacrimosa", "Cacia lepesmei", "Cacia malaccensis", "Cacia monstrabilis", "Cacia newmanni", "Cacia nigrofasciata", "Cacia nigrohumeralis", "Cacia obliquelineata", "Cacia obsessa", "Cacia ochreosignata", "Cacia paragrisescens", "Cacia perahensis", "Cacia postmediofasciata", "Cacia ribbei", "Cacia rosacea", "Cacia scenica", "Cacia semilactea", "Cacia setulosa", "Cacia sibuyana", "Cacia spilota", "Cacia subcephalotes", "Cacia subfasciata", "Cacia suturefasciata", "Cacia suturevittata", "Cacia transversefasciata", "Cacia triangulifera", "Cacia ulula", "Cacia unda", "Cacia vermiculata", "Cacia watantakkuni", "Cacia yunnana", "Cacia cretifera", "Cacia fasciolata", "Cacia multirustica", "Cacia tonkinensis", "Cacia coomani", "Cacia olivacea", "Caciella philippinarum", "Caciomorpha batesii", "Caciomorpha buquetii", "Caciomorpha genalis", "Caciomorpha plagiata", "Caciomorpha robusta", "Cacodacnus hebridanus", "Cacodacnus lameeri", "Cacodacnus planicollis", "Calanthemis wollastoni", "Calanthemis wundanyiensis", "Calaphneope monteithi", "Calchaenesthes diversicollis", "Calchaenesthes oblongomaculata", "Calchaenesthes pistacivora", "Calchaenesthes primis", "Calchaenesthes sexmaculata", "Calderia windsorensis", "Caledocentrus montrouzieri", "Caledomicrus mimeticus", "Caledonandra austrocaledonica", "Aristolochia fontanesii", "Caledonandra passandroides", "Caledorion bisulcatum", "Caledorion cleroides", "Calezygocera baloghi", "Callancyla atrocoerulea", "Callancyla bimaculata", "Callancyla capixaba", "Callancyla cribellum", "Callancyla croceicollis", "Callancyla curvicollis", "Callancyla malleri", "Callancyla tucumana", "Callanga tenebrosa", "Callanga trichocera", "Callapoecoides alboscutellaris", "Callapoecus guttatus", "Callergates gaillardoti", "Callia albicornis", "Callia ambigua", "Callia apyra", "Callia argodi", "Callia axillaris", "Callia azurea", "Callia batesi", "Callia bella", "Callia bicolor", "Callia boliviana", "Callia bordoni", "Callia catuaba", "Callia chrysomelina", "Callia comitessa", "Callia criocerina", "Callia cyanea", "Callia flavipes", "Callia fulvocincta", "Callia gallegoi", "Callia halticoides", "Callia leucozonata", "Callia lineatula", "Callia lycoides", "Callia metallica", "Cacophrissus maculipennis", "Cacophrissus pauper", "Cacophrissus pubescens", "Cacosceles oedipus", "Cacosceles gracilis", "Cacosceles newmannii", "Cacostola acuticauda", "Cacostola bimaculata", "Cacostola cana", "Cacostola carinata", "Cacostola clorinda", "Cacostola colombiana", "Cacostola fuscata", "Cacostola gracilis", "Cacostola grisea", "Cacostola janzeni", "Cacostola leonensis", "Cacostola lineata", "Cacostola mexicana", "Cacostola nelsoni", "Cacostola nordestina", "Cacostola obliquata", "Cacostola parafusca", "Cacostola rugicollis", "Cacostola salicicola", "Cacostola simplex", "Cacostola sirena", "Cacostola sulcipennis", "Cacostola vanini", "Cacostola variegata", "Cacostola volvula", "Cacostola zanoa", "Cacsius divus", "Cacsius nobilis", "Cacupira iodina", "Cacupira tucurui", "Caediscum imperiale", "Calanthemis alembai", "Calanthemis aurescens", "Calanthemis bergerdostalorum", "Calanthemis camerunensis", "Calanthemis conradti", "Calanthemis duttoi", "Calanthemis elongatus", "Calanthemis flavomaculatus", "Calanthemis gabonicus", "Calanthemis garnieri", "Calanthemis hauseri", "Calanthemis mocquerysi", "Calanthemis montium", "Calanthemis morettoi", "Calanthemis myops", "Calanthemis riccardoi", "Calanthemis rufovittatus", "Calanthemis saltator", "Calanthemis sanguinicollis", "Calanthemis scioae", "Calanthemis spiloderes", "Calanthemis subcruciatus", "Calanthemis temera", "Calanthemis tenuis", "Calanthemis thomensis", "Calanthemis trifasciatus", "Calanthemis viridipennis", "Callia oby", "Callia pallida", "Callia potiaiuba", "Callia pulchra", "Callia purpureipennis", "Callia rubristerna", "Callia simplex", "Callia terminata", "Callia thomsoni", "Callia variabilis", "Callia xanthomera", "Callichroma atroviride", "Callichroma auricomum", "Callichroma batesi", "Callichroma cosmicum", "Callichroma cyanomelas", "Callichroma distinguendum", "Callichroma euthalium", "Callichroma gounellei", "Callichroma minima", "Callichroma omissum", "Callichroma onorei", "Callichroma seiunctum", "Callichroma sericeum", "Callichroma viridipes", "Callichromopsis albosignata", "Callichromopsis amoena", "Callichromopsis furcifera", "Callichromopsis telephoroides", "Calliclytus macoris", "Calliclytus schwarzi", "Callideriphus grossipes", "Callideriphus tucumanus", "Callidiellum cupressi", "Callidiellum flavosignatum", "Callidiellum virescens", "Callidiopis mutica", "Callidiopis praecox", "Callidiopsites grandiceps", "Callidium angustipennis", "Callidium bifasciatum", "Callidium biguttatum", "Callidium brevicorne", "Callidium californicum", "Callidium cedri", "Callidium cicatricosum", "Callidium frigidum", "Callidium hengduanum", "Callidium hoppingi", "Callidium juniperi", "Callidium leechi", "Callidium libani", "Callidium piceonotatum", "Callidium powelli", "Callidium przevalskii", "Callidium pseudotsugae", "Callidium rubeocolle", "Callidium schotti", "Callidium sempervirens", "Callidium sequoiarium", "Callidium subcostatum", "Callidium syriacum", "Callidium texanum", "Callidium vandykei", "Carilia tuberculicollis", "Aristolochia gibertii", "Carinoclodia anancyloides", "Carinoclytus affinis", "Carinoclytus semiruber", "Carinoclytus thomsoni", "Carinolesthes aurosignata", "Carinolesthes ningshanensis", "Carinolesthes pericalles", "Carlandrea syriaca", "Carneades bicincta", "Carneades championi", "Carneades delicia", "Carneades flavomaculata", "Carneades glaucothea", "Carneades grandis", "Carneades hemileuca", "Carneades nigrosignata", "Carneades personata", "Carneades princeps", "Carneades quadrinodosa", "Carneades superba", "Carneades vigneaulti", "Chrysosplenium kiotense", "Carneades vittata", "Caroliniella aenescens", "Carpheolus sublineatus", "Carphina arcifera", "Carphina assula", "Carphina cerdai", "Carphina elliptica", "Carphina ligneola", "Carphina lignicolor", "Carphina melanura", "Carphina occulta", "Carphina petulans", "Carphina sigillata", "Carphontes posticalis", "Carterica mucronata", "Carteridion wilsonensis", "Casiphia inopinata", "Casiphia thibeticola", "Casiphia szechuana", "Casiphia yunnana", "Casiphia takakuwai", "Casiphia vietnamica", "Catafimbria boliviana", "Catalanotoxotus nivosus", "Catalanotoxotus pauliani", "Catapausa albaria", "Catapausa basimaculata", "Catapausa bimaculipennis", "Catapausa bispinosa", "Catapausa extrema", "Catapausa inermis", "Catapausa sulcatipennis", "Cataphrodisium castaneae", "Callimus truncatipennis", "Callimus distinctipes", "Callimus egregius", "Callimus khorasanii", "Callimus rapillyi", "Callimus semicyaneus", "Calliomorpha cyanoptera", "Callipero bella", "Callipero formosa", "Calliphaula filiola", "Calliphaula leucippe", "Callipogon barbatum", "Callipogon beckeri", "Callipogon senex", "Callipogon limonovi", "Callipogon proletarius", "Callipogon sericeum", "Callipogon barbiflavum", "Callipogonius cornutus", "Callipogonius hircinus", "Callipyrga turrita", "Callisema consortium", "Callisema elongata", "Callisema iucaua", "Callisema jirouxi", "Callisema rufipes", "Callisema socium", "Callisphyris apicicornis", "Callisphyris crassus", "Callisphyris ficheti", "Callisphyris fritzi", "Callisphyris leptopus", "Callisphyris macropus", "Callisphyris molorchoides", "Callisphyris odyneroides", "Callisphyris pepsioides", "Callisphyris rufiventer", "Callistochroma cacica", "Callistochroma chrysiptera", "Callistochroma flavofasciata", "Callistochroma lampros", "Callistochroma rutilans", "Callistochroma viridipennis", "Callistoprionus fasciatus", "Callityrinthia mimetica", "Calloctenus pulcher", "Calloides bicolor", "Calloides lorquinii", "Calloides magnificus", "Calloides regalis", "Calloides yunnanensis", "Callomecyna leehsuehae", "Callomecyna superba", "Callomecyna tigrinula", "Callundine lacordairei", "Calobrium perrieri", "Calocerambyx hauseri", "Calocomus desmarestii", "Calocomus kreuchelyi", "Calocomus morosus", "Calocomus rodingeri", "Calocomus rugosipennis", "Calocosmus dimidiatus", "Calocosmus fulvicollis", "Callidium violaceipenne", "Callidium viridicolle", "Callidium viridocyaneum", "Callidium chlorizans", "Callidium kuratai", "Callimation apicale", "Callimation corallium", "Callimation pontificum", "Callimation venustum", "Callimetopoides albomaculatus", "Callimetopus acerdentibus", "Callimetopus albatus", "Callimetopus antonkozlovi", "Callimetopus bilineatus", "Callimetopus bukejsi", "Callimetopus capito", "Callimetopus cordifer", "Callimetopus cretumus", "Callimetopus cynthia", "Callimetopus cynthioides", "Callimetopus danilevskyi", "Callimetopus degeneratus", "Callimetopus griseus", "Callimetopus illecebrosus", "Callimetopus irroratus", "Callimetopus juliae", "Callimetopus laterivitta", "Callimetopus lituratus", "Callimetopus longicollis", "Callimetopus longior", "Callimetopus lumawigi", "Callimetopus mindorensis", "Callimetopus miroshnikovi", "Callimetopus nigritarsis", "Callimetopus niveuseta", "Callimetopus ochreosignatus", "Callimetopus ornatus", "Callimetopus palawanus", "Callimetopus panayanus", "Callimetopus pantherinus", "Callimetopus paracasta", "Callimetopus pectoris", "Callimetopus rhombifer", "Callimetopus ruficollis", "Callimetopus samarensis", "Callimetopus santossilvai", "Callimetopus siargaonus", "Callimetopus stanleyi", "Callimetopus tagalus", "Callimetopus variolosus", "Callimetopus zhantievi", "Callimoxys fuscipennis", "Callimoxys nigrinus", "Callimoxys ocularis", "Callimoxys pinorum", "Callimoxys primordialis", "Callimoxys retusifer", "Callimoxys sanguinicollis", "Callimus abdominalis", "Callimus testaceus", "Callimus cyanipennis", "Callimus femoratus", "Callimus ruficollis", "Callimus shensiensis", "Cataphrodisium rubripenne", "Cataphrodisium vietnamicum", "Catharesthes elegans", "Cathexis longimana", "Cathexis vitticollis", "Catoeme arnoldi", "Catoeme brincki", "Catoeme gigas", "Catoeme martellii", "Catoeme quentini", "Catoeme raminahisoae", "Catoeme tessellata", "Catognatha gracilis", "Catoptronotum bipenicillatum", "Catorthontus collaris", "Catuana spinicornis", "Cauarana iheringi", "Cauca contestata", "Cedemon tristis", "Ceiupaba lineata", "Ceiupaba poranga", "Cendiuna auauna", "Cendiuna cendira", "Cendiuna pataiuna", "Cendiuna planipennis", "Cendiuna puranga", "Cenodocus antennatus", "Cenodocus borneensis", "Cenodocus granulosus", "Cenodocus laosensis", "Cenodocus palawanicola", "Centrocerum divisum", "Centrocerum exornatum", "Centrocerum hirsuticeps", "Centrocerum richteri", "Centrocerum variatum", "Centrodera autumnata", "Centrodera dayi", "Centrodera decolorata", "Centrodera minima", "Centrodera nevadica", "Centrodera oculata", "Centrodera osburni", "Centrodera quadrimaculata", "Centrodera spurca", "Centrodera sublineata", "Centrodera tenera", "Centrotoclytus asperatus", "Centrotoclytus bellulus", "Centrotoclytus canalis", "Centrotoclytus carinatus", "Centrotoclytus carinulatus", "Centrotoclytus curvipes", "Centrotoclytus dubius", "Centrotoclytus granifer", "Centrotoclytus helleri", "Centrotoclytus interruptus", "Centrotoclytus minutus", "Centrotoclytus nigriceps", "Centrotoclytus occultus", "Centrotoclytus quadridens", "Centrotoclytus ruficeps", "Centrotoclytus rufiventris", "Centrotoclytus rutilans", "Calocosmus marginipennis", "Calocosmus nuptus", "Calocosmus speciosus", "Calocosmus venustus", "Calolamia bicordifera", "Calothyrza jardinei", "Calothyrza margaritifera", "Calothyrza pauli", "Calothyrza sehestedtii", "Calpazia vermicularis", "Calybistum lugubre", "Calycibidion turbidum", "Calydon globithorax", "Calydon submetallicum", "Camelocerambyx bosuangi", "Camelocerambyx coerulescens", "Camelocerambyx innotatus", "Camelocerambyx philippinensis", "Camelocerambyx semiruber", "Camelocerambyx singularis", "Camelocerambyx stigmaticus", "Camelocerambyx vittatus", "Camira sexmaculata", "Camitocomus nodosus", "Camixaima beraba", "Camposiellina sulfureopicta", "Canarana affinis", "Canarana brachialis", "Canarana marceloi", "Canarana nigripennis", "Canarana seminigra", "Canarana tuberculicollis", "Canidia cincticornis", "Canidia mexicana", "Canidia ochreostictica", "Canidia spinicornis", "Canindea latithorax", "Canindea maculata", "Canindea signaticornis", "Cantharocnemis spondyloides", "Cantharocnemis fairmairei", "Cantharocnemis felderi", "Cantharocnemis kraatzii", "Cantharocnemis lameerei", "Cantharocnemis occidentalis", "Cantharocnemis plicipennis", "Cantharocnemis downesii", "Cantharocnemis durantoni", "Cantharocnemis livingstonii", "Cantharocnemis strandi", "Cantharoctenus antennatus", "Cantharoctenus burchellii", "Cantharoctenus filippovi", "Cantharoctenus minor", "Cantharoctenus somalius", "Caparmena adlbaueri", "Capederces hauseri", "Capederces madibai", "Capegaster striatus", "Capepsebium meridionalis", "Caperonotus cardinalis", "Caperonotus guianensis", "Caperonotus superbus", "Caperonotus tucurui", "Capetoxotus rugosus", "Capezoum capensis", "Capillicornis basilaris", "Capitocrassus castaneus", "Capnethinius semipunctatus", "Capnolymma borneana", "Capnolymma brunnea", "Capnolymma capreola", "Capnolymma cingalensis", "Capnolymma ishiharai", "Capnolymma laotica", "Capnolymma ohbayashii", "Capnolymma similis", "Capnolymma stygia", "Capobrium pilosus", "Capoeme parallela", "Caraphia borneana", "Caraphia cribrata", "Caraphia depressa", "Caraphia ebenina", "Caraphia granulifera", "Caraphia huai", "Caraphia laosica", "Caraphia laticeps", "Caraphia lingafelteri", "Caraphia minor", "Caraphia paulastoni", "Caraphia seriata", "Caraphia squamosa", "Caraphia taiwana", "Caraphia thailandica", "Carenesycha carenata", "Carenesycha velezi", "Carenoptomerus guyanensis", "Caribbomerus asperatus", "Caribbomerus attenuatus", "Caribbomerus brasiliensis", "Caribbomerus charynae", "Caribbomerus decoratus", "Caribbomerus elongatus", "Caribbomerus exiguus", "Caribbomerus howdeni", "Caribbomerus mexicanus", "Caribbomerus picturatus", "Caribbomerus productus", "Caribbomerus similis", "Carilia adelpha", "Carilia aeneovirens", "Carilia atricornis", "Carilia atripennis", "Carilia cuprifera", "Carilia fairmairei", "Carilia filiola", "Carilia glabratula", "Carilia glabricollis", "Carilia latiuscula", "Carilia lucidivirens", "Carilia otome", "Carilia perforata", "Carilia pictiventris", "Carilia pilipennis", "Carilia spinipennis", "Carilia tibetana", "Ceratocentrus drumonti", "Ceratocentrus oremansi", "Ceratocentrus principiensis", "Ceratocentrus spinicornis", "Cercoptera banonii", "Cercoptera sanguinicollis", "Cerdaia lunata", "Cerdaia testacea", "Cereopsius alboguttatus", "Cereopsius amabilis", "Cereopsius arbiter", "Cereopsius aureomaculatus", "Cereopsius carinatus", "Cereopsius cinereus", "Cereopsius copei", "Cereopsius elongatus", "Cereopsius exoletus", "Cereopsius guttulatus", "Cereopsius helena", "Cereopsius javanicus", "Cereopsius kulzeri", "Cereopsius luctor", "Cereopsius luhuanus", "Cereopsius mimospilotus", "Cereopsius niassensis", "Cereopsius nigrofasciatus", "Cereopsius obliquemaculatus", "Cereopsius praetorius", "Cereopsius pulcherrimus", "Cereopsius quaestor", "Cereopsius satelles", "Cereopsius sexmaculatus", "Cereopsius sexnotatus", "Cereopsius siamensis", "Cereopsius spilotoides", "Cereopsius spilotus", "Cereopsius strandi", "Cereopsius vittipennis", "Cereopsius vivesi", "Cereopsius whitei", "Peblephaeus ziczac", "Ceresiella melaena", "Ceresium aemulator", "Ceresium aeneonigrum", "Ceresium aethiops", "Ceresium affine", "Ceresium africanum", "Ceresium albomaculatum", "Ceresium albopubens", "Ceresium andamanicum", "Ceresium angustulum", "Ceresium annulicorne", "Ceresium apicale", "Ceresium areolatum", "Ceresium australiensis", "Ceresium balteum", "Ceresium bicolor", "Ceresium brevipes", "Ceresium callosum", "Ceresium casilelium", "Ceresium clarkei", "Ceresium compressipenne", "Centrotoclytus speciosus", "Centrotoclytus spiculosus", "Centruroides bulbifera", "Centruropsis dorcadionoides", "Cephalallus oberthueri", "Cephalenicodes bimaculatus", "Cephalizus nobilis", "Cephalodina acangassu", "Cephalodina capito", "Cephalodina crassiceps", "Cephaloplon pedunculatum", "Ceraegidion dorrigoensis", "Ceraegidion horrens", "Ceragenia aurulenta", "Ceragenia bicornis", "Ceragenia insulana", "Ceragenia leprieurii", "Ceralocyna aliciae", "Ceralocyna amabilis", "Ceralocyna coccinea", "Ceralocyna cribricollis", "Ceralocyna foveicollis", "Ceralocyna fulvipes", "Ceralocyna marcelae", "Ceralocyna margareteae", "Ceralocyna militaris", "Ceralocyna nigricollis", "Ceralocyna nigricornis", "Ceralocyna nigropilosa", "Ceralocyna onorei", "Ceralocyna parkeri", "Ceralocyna seticornis", "Ceralocyna terminata", "Ceralocyna variegata", "Ceralocyna venusta", "Cerambyx apiceplicatus", "Cerambyx carbonarius", "Cerambyx clavipes", "Cerambyx fasciatus", "Cerambyx heinzianus", "Cerambyx juvencus", "Cerambyx kodymi", "Cerambyx lucidus", "Cerambyx petechizans", "Cerambyx praepes", "Cerambyx pullus", "Cerambyx quadripunctatus", "Cerambyx rufus", "Cerambyx surinamensis", "Cerambyx tau", "Cerambyx umbraticus", "Cerambyx elbursi", "Cerambyx multiplicatus", "Cerambyx paludivagus", "Cerasphorus brunneus", "Cerasphorus elongatus", "Cerasphorus hirticornis", "Cerasphorus marginatus", "Cerasphorus minutus", "Ceresium contiguum", "Ceresium coronarium", "Ceresium cribrum", "Ceresium curtipenne", "Ceresium cylindricellum", "Ceresium declaratum", "Ceresium decorum", "Ceresium delauneyi", "Ceresium detanii", "Ceresium discicolle", "Ceresium diversicolor", "Ceresium diversum", "Ceresium elatum", "Ceresium elongatithorax", "Ceresium elongatum", "Ceresium epilais", "Ceresium fallaciosum", "Ceresium falsum", "Ceresium femoratum", "Ceresium fici", "Ceresium finitimum", "Ceresium flavicorne", "Aphonopelma geotoma", "Ceresium flavisticticum", "Ceresium furax", "Ceresium furtivum", "Ceresium geniculatum", "Ceresium gracile", "Ceresium gracilipes", "Ceresium grandicolle", "Ceresium grandipenne", "Ceresium helleri", "Ceresium hirtipes", "Ceresium holophaeum", "Ceresium humerale", "Ceresium illidgei", "Ceresium immite", "Ceresium inaequalicolle", "Ceresium indigum", "Ceresium inerme", "Ceresium infranigrum", "Ceresium interiectum", "Ceresium jeanvoinei", "Ceresium kimberley", "Ceresium lanuginosum", "Ceresium lepidulum", "Ceresium leprosum", "Ceresium leucosticticum", "Ceresium lieftincki", "Ceresium lineigerum", "Ceresium lingafelteri", "Ceresium longicorne", "Ceresium lucidum", "Ceresium lucifugum", "Ceresium ludificum", "Ceresium lumawigi", "Ceresium manchuricum", "Ceresium mediocre", "Ceresium minor", "Ceresium miserum", "Ceresium mjoebergi", "Ceresium nakatae", "Ceresium nanyoanum", "Ceresium nigroapicale", "Ceresium nigrum", "Ceresium nilgiriense", "Ceresium notaticolle", "Ceresium opaculum", "Ceresium opacum", "Ceresium pachymerum", "Ceresium particulare", "Ceresium perroudi", "Ceresium promissum", "Ceresium propinquum", "Ceresium pseudofurtivum", "Ceresium pubescens", "Ceresium quadraticolle", "Ceresium quadrimaculatum", "Ceresium rainwaterae", "Ceresium ramosum", "Ceresium raripilum", "Ceresium repandum", "Ceresium reticulatum", "Ceresium robustum", "Ceresium rotundicolle", "Ceresium rouyeri", "Ceresium rufum", "Ceresium rugulipenne", "Ceresium saphenum", "Ceresium sculpticolle", "Ceresium scutellaris", "Ceresium seminigrum", "Ceresium senile", "Ceresium signaticolle", "Ceresium singularum", "Ceresium sobrinatum", "Ceresium striatipenne", "Ceresium striatocolle", "Ceresium subflavum", "Ceresium sublucidum", "Ceresium subuniforme", "Ceresium suturatum", "Ceresium swatensis", "Ceresium szentivanyi", "Ceresium testaceum", "Ceresium thyra", "Ceresium tibiale", "Ceresium tibiellum", "Ceresium tonkinense", "Ceresium triguttatum", "Ceresium tuberculatum", "Ceresium vacillans", "Ceresium vestigiale", "Ceresium vicinum", "Ceresium vile", "Ceresium virens", "Ceresium wittmeri", "Ceresium yodai", "Ceresium yoshinoi", "Ceresium zeylanicum", "Ceresium olidum", "Ceresium planatum", "Ceresium usingeri", "Ceresium saipanicum", "Ceroplesis adusta", "Ceroplesis aenescens", "Ceroplesis aestuans", "Ceroplesis aethiopica", "Ceroplesis aethiops", "Ceroplesis analeptoides", "Ceroplesis atropos", "Ceroplesis aulica", "Ceroplesis bicincta", "Ceroplesis blairi", "Ceroplesis buettneri", "Ceroplesis burgeoni", "Ceroplesis calabarica", "Ceroplesis capensis", "Ceroplesis conradti", "Ceroplesis elegans", "Ceroplesis elgonensis", "Ceroplesis fasciata", "Ceroplesis ferrugator", "Ceroplesis granulata", "Ceroplesis griseotincta", "Ceroplesis hamiltoni", "Ceroplesis harrisoni", "Ceroplesis hauseri", "Ceroplesis hecate", "Ceroplesis hintzi", "Ceroplesis hottentotta", "Ceroplesis intermedia", "Ceroplesis marmorata", "Ceroplesis massaica", "Ceroplesis militaris", "Ceroplesis millingeni", "Ceroplesis minuta", "Ceroplesis molator", "Ceroplesis mucorea", "Ceroplesis nigromaculata", "Ceroplesis orientalis", "Ceroplesis poggei", "Aphonopelma gertschi", "Ceroplesis quinquefasciata", "Ceroplesis reticulata", "Ceroplesis revoili", "Ceroplesis rubrocincta", "Ceroplesis rubrovariegata", "Ceroplesis rugosopunctata", "Ceroplesis scorteccii", "Ceroplesis semitrabeata", "Ceroplesis signata", "Ceroplesis strandi", "Ceroplesis sudanica", "Ceroplesis sumptuosa", "Ceroplesis thunbergii", "Cerosterna fabricii", "Cerosterna fasciculata", "Cerosterna javana", "Cerosterna luteopubens", "Cerosterna perakensis", "Cerosterna pollinosa", "Cerosterna pulchellator", "Cerosterna ritsemai", "Cerosterna scabrator", "Cerosterna stolzi", "Cerosterna variegata", "Aristolochia hirta", "Plectorrhiza tridentata", "Plectorrhiza brevilabris", "Plectorrhiza erecta", "Primula miyabeana", "Ptyodactylus ananjevae", "Ptyodactylus orlovi", "Ptyodactylus dhofarensis", "Cerosterna rouyeri", "Cerrostrangalia herrerai", "Cerrostrangalia solisi", "Certallum martini", "Certallum thoracicum", "Cervilissa versicolor", "Cervoglenea lata", "Cesonium cribellum", "Cetimaique trinodosa", "Cetimaju abare", "Cevaeria estebani", "Ceylania ceylonica", "Ceylania ovalipennis", "Ceylanoglaucytes kratzii", "Ceylanoglaucytes moesta", "Ceylanoparmena loebli", "Ceylanosybra baloghi", "Chaetacanthidius unifasciatus", "Chaetacosta vittithorax", "Chaetopsilomerus hainanensis", "Chaetosopus infalsatus", "Chaetosopus violaceus", "Chalastinus egensis", "Chalastinus pantherinus", "Chalastinus recticornis", "Chalcolyne metallica", "Chalcoprionus badeni", "Chalybophysis aeneipennis", "Championa aliciae", "Championa aurata", "Championa badeni", "Championa ctenostomoides", "Championa elegans", "Championa suturalis", "Championa westcotti", "Chaodalis macleayi", "Chaodalis taylori", "Chapareia pinima", "Charassonotus hulstaerti", "Chariea birai", "Chariea cyanea", "Chariea lepesmei", "Chariergodes anceps", "Aphonopelma griseum", "Chariergodes carinicollis", "Chariergodes flava", "Chariergodes lingafelteri", "Chariergodes turrialbae", "Chariergus caeruleus", "Chariergus tabidus", "Chariesthes amoena", "Chariesthes analis", "Chariesthes antennata", "Chariesthes argentea", "Chariesthes atroapicalis", "Chariesthes basiflavipennis", "Chariesthes bechynei", "Chariesthes bella", "Chariesthes bimaculipennis", "Chariesthes fairmairei", "Chariesthes formosa", "Chariesthes freya", "Chariesthes gestroi", "Chariesthes grisescens", "Aristolochia lawrenceae", "Psednocnemis davidgohi", "Psednocnemis imbellis", "Aristolochia lindneri", "Chromalizus basaloides", "Chromalizus brevis", "Chromalizus sjoestedti", "Chromalizus speciosus", "Chromalizus subfragrans", "Chromalizus truncatiscapus", "Chromoeme angustissima", "Chrotoma dunniana", "Chrysaethe amboroensis", "Chrysaethe amoena", "Chrysaethe asperiventris", "Ecitoglossa foveicollis", "Ecitoglossa canaliculata", "Ecitoglossa quadriceps", "Ecitoglossa antennalis", "Ecitoglossa jacobsoni", "Ecitonia salesiana", "Ecitonia badariottii", "Ecitonia affinis", "Ecitonia impressicollis", "Ecitonia itinerans", "Euphorbia grantii", "Ecitonidia wheeleri", "Ecitonilla claviventris", "Ecitonilla socia", "Ecitonilla impressicollis", "Ecitonilla lepida", "Ecitonilla nitida", "Ecitopelta reticulata", "Ecitophila omnivora", "Ecitophiletus constrictus", "Chariesthes insularis", "Chariesthes interrogationis", "Chariesthes kenyensis", "Chariesthes kochi", "Chariesthes leonensis", "Chariesthes lomii", "Chariesthes maublanci", "Chariesthes maynei", "Chariesthes multinotatus", "Chariesthes nigronotata", "Chariesthes nigropunctata", "Chariesthes pulchelloides", "Chariesthes richteri", "Chariesthes rubida", "Chariesthes ruficollis", "Chariesthes schatzmayri", "Chariesthes sesensis", "Chariesthes somaliensis", "Chariesthes subtricolor", "Chariesthes trivitticollis", "Chariesthes albovariegatus", "Chariesthes angolensis", "Chariesthes cervinus", "Chariesthes chassoti", "Chariesthes congoensis", "Chariesthes donovani", "Chariesthes euchromus", "Chariesthes geniculatus", "Chariesthes nigroapicipennis", "Chariesthes obscurus", "Chariesthes presidentialis", "Chariesthes ruber", "Chariesthes socotraensis", "Chariesthoides bicornuta", "Charinotes fasciatus", "Charisalia americana", "Charisia bleuzeni", "Charisia durantoni", "Charisia euphrosyne", "Charisia melanaria", "Aphonopelma hageni", "Charisia mneme", "Charisia ornaticollis", "Charmallaspis pulcherrima", "Charmallaspis smithiana", "Chasmogaster camerunensis", "Chasmogaster gabonensis", "Cheilacanthus severini", "Chelidonium argentatum", "Chelidonium binotaticolle", "Chelidonium binotatum", "Chelidonium bryanti", "Chelidonium buddleiae", "Chelidonium cheongae", "Chelidonium cinctum", "Chelidonium citri", "Chelidonium coeruleum", "Chelidonium cyaneipes", "Chelidonium cyaneum", "Chelidonium flavovirens", "Chelidonium impressicolle", "Chlorophorus aurivilliusi", "Chlorophorus austerus", "Chlorophorus bakeri", "Chlorophorus basilanus", "Chlorophorus basispilus", "Chlorophorus biinterruptus", "Chlorophorus bonengensis", "Chlorophorus boninensis", "Chlorophorus borneensis", "Chlorophorus brevenotatus", "Chlorophorus butleri", "Chlorophorus capensis", "Chlorophorus capillatus", "Chlorophorus caragana", "Chlorophorus carinatus", "Chlorophorus castaneorufus", "Chlorophorus chiue", "Chlorophorus cingalensis", "Chlorophorus circularis", "Chlorophorus clemenceaui", "Chlorophorus congruus", "Chlorophorus coniperda", "Chlorophorus convexifrons", "Chlorophorus copiosus", "Chlorophorus coruscus", "Chlorophorus crassipes", "Chlorophorus cursor", "Chlorophorus curtisi", "Chlorophorus curvatofasciatus", "Chlorophorus dahanshanus", "Chlorophorus damascenus", "Chlorophorus decoratus", "Chlorophorus deterrens", "Chlorophorus dimidiatus", "Chlorophorus dinae", "Chlorophorus distinguendus", "Chlorophorus diversicolor", "Chlorophorus dodsi", "Chlorophorus dohertii", "Chlorophorus dominici", "Chlorophorus douei", "Chlorophorus drumonti", "Chlorophorus duo", "Chlorophorus dureli", "Chlorophorus durvillei", "Chlorophorus eckweileri", "Chlorophorus elaeagni", "Chlorophorus eleodes", "Chlorophorus eximius", "Chlorophorus externenotatus", "Chlorophorus externesignatus", "Chlorophorus faldermanni", "Chlorophorus favieri", "Chlorophorus flavopubescens", "Chlorophorus fraternus", "Chlorophorus fristedti", "Chlorophorus funebris", "Chlorophorus furcillatus", "Chlorophorus furtivus", "Chlorophorus gaudens", "Chlorophorus glabromaculatus", "Chlorophorus glaucus", "Chlorophorus golestanicus", "Chlorophorus grandipes", "Chloridolum tonguanum", "Chloridolum trogoninum", "Chloridolum variabilis", "Chloridolum vermiculatum", "Chloridolum violaceicolle", "Chloridolum viridipenne", "Chloridolum vittigerum", "Chloridolum vittipennis", "Chloridolum balfouri", "Chloridolum chapaense", "Chloridolum coeruleipennis", "Chloridolum cupreoviride", "Chloridolum cyaneonotatum", "Chloridolum descarpentriesi", "Chloridolum disconotatum", "Chloridolum diverseplicatum", "Chloridolum gracile", "Chloridolum indentatum", "Chloridolum jeanvoinei", "Chloridolum lameeri", "Chloridolum lameyi", "Chloridolum laosensis", "Chloridolum nigroscutellatum", "Chloridolum parvulus", "Chloridolum plicatulum", "Chloridolum punctulatum", "Chloridolum robusticolle", "Chloridolum rubricorne", "Chloridolum tenuipes", "Chloridolum touzalini", "Chloridolum vicinum", "Chloridolum vittatum", "Chloridolum japonicum", "Chlorisanis basirufofemoralis", "Chlorisanis viridis", "Chlorophorus abruptulus", "Chlorophorus abyssinicus", "Chlorophorus acrocarpi", "Chlorophorus adelii", "Chlorophorus adlbaueri", "Chlorophorus adventicius", "Chlorophorus aegyptiacus", "Chlorophorus agnatus", "Chlorophorus albopunctatus", "Chlorophorus alboscutellatus", "Chlorophorus alfredpuchneri", "Chlorophorus alni", "Chlorophorus amami", "Chlorophorus amoenus", "Chlorophorus ancora", "Chlorophorus angustulus", "Chlorophorus annamensis", "Chlorophorus annularis", "Chlorophorus annularoides", "Chlorophorus annulatus", "Chlorophorus anticeconjunctus", "Chlorophorus anticemaculata", "Chlorophorus anulifer", "Chlorophorus apertulus", "Chlorophorus arciferus", "Chlorophorus aritai", "Chlorophorus assimilis", "Chlorophorus aurantiacus", "Chlorophorus aurivillianus", "Choriolaus nigripennis", "Choriolaus ruficollis", "Choriolaus sabinoensis", "Choriolaus sulcipennis", "Choriolaus suturalis", "Chorothyse dauberi", "Chorothyse hessei", "Chorothyse hirtipes", "Chorothyse vesparia", "Chreomisis flava", "Chreomisis rufula", "Chrisreidia insularis", "Chromacilla ducarmei", "Chromacilla foveata", "Chromacilla jossoi", "Chromacilla micans", "Chromacilla murphyi", "Chromacilla penanhoati", "Chromacilla pujoli", "Chromacilla tricolor", "Chromalizus afroides", "Chromalizus angolensis", "Chromalizus argentipes", "Chromalizus aureovittis", "Chromalizus basilewskyi", "Chromalizus calceatus", "Chromalizus dekeyseri", "Chromalizus leucorhaphis", "Chromalizus procerus", "Chromalizus simulatus", "Chromalizus socius", "Bethelium x-scriptum", "Brevoxathres x-littera", "Chiangshunania x-signata", "Chlorophorus t-nigrum", "Ptyodactylus hasselquistii", "Aphonopelma helluo", "Ecitocryptodes petiolatus", "Ecitocryptus sulcatus", "Aphonopelma lanceolatum", "Ecitocryptus inopinatus", "Ecitocryptus kungae", "Ecitodiscus pedissequus", "Chloridolum concinnatum", "Chloridolum cyanipes", "Chloridolum degeneratum", "Chloridolum distinctum", "Chloridolum dorycum", "Chloridolum drumonti", "Chloridolum ducale", "Chloridolum elegantissimum", "Chloridolum estrellae", "Chloridolum eupodum", "Chloridolum everetti", "Chloridolum factiosum", "Chloridolum frederickikugani", "Chloridolum goirani", "Chloridolum gontrani", "Chloridolum hainanicum", "Chloridolum herteli", "Chloridolum heyrovskyi", "Chloridolum itoi", "Chloridolum jakli", "Chloridolum klaesii", "Chloridolum kwangtungum", "Chloridolum lanyuanum", "Chloridolum laotium", "Chloridolum leei", "Chloridolum litopoides", "Chloridolum melanaspis", "Chloridolum nadleri", "Chloridolum nagaii", "Chloridolum niisatoi", "Chloridolum nobuoi", "Chloridolum nympha", "Chloridolum obscuripenne", "Chloridolum ohbayashii", "Chloridolum orientale", "Chloridolum palawanensis", "Chloridolum papuanum", "Chloridolum perlaetum", "Chloridolum pittinum", "Chloridolum plicaticolle", "Chloridolum plicovelutinum", "Chloridolum praetorium", "Chloridolum promissum", "Chloridolum pulchricolle", "Chloridolum radiatum", "Chloridolum rufescens", "Chloridolum rugatum", "Chloridolum sabahensis", "Chloridolum schmidi", "Chloridolum scutellatum", "Chloridolum scytalicum", "Chloridolum semicollinum", "Chloridolum shibatai", "Chloridolum sibuyanum", "Chloridolum splendidulum", "Chloridolum sumatrense", "Chloridolum sumbaense", "Chloridolum superbum", "Chloridolum taiwanum", "Chloridolum thailandicum", "Chloridolum thalassinum", "Chloridolum thaliodes", "Chloridolum thomsoni", "Chloridolum thoracicum", "Chlorophorus graphus", "Chlorophorus griseomaculatus", "Chlorophorus grosseri", "Chlorophorus hainanicus", "Chlorophorus hauseri", "Chlorophorus hederatus", "Chlorophorus hefferni", "Chlorophorus henriettae", "Chlorophorus hircanus", "Chlorophorus hirsutulus", "Chlorophorus hovorkai", "Chlorophorus hrabovskyi", "Chlorophorus huilaensis", "Chlorophorus hungaricus", "Chlorophorus ictericus", "Chlorophorus ignobilis", "Chlorophorus impressithorax", "Chlorophorus inhumeralis", "Chlorophorus insidiosus", "Chlorophorus intactus", "Chlorophorus interneconnexus", "Chlorophorus jacobsoni", "Chlorophorus japonicus", "Chlorophorus javanus", "Chlorophorus jendeki", "Chlorophorus jucundus", "Chlorophorus juheli", "Chlorophorus kabateki", "Chlorophorus kanekoi", "Chlorophorus kanoi", "Chlorophorus kejvali", "Chlorophorus kinganus", "Chlorophorus kobayashii", "Chlorophorus kusamai", "Chlorophorus latus", "Chlorophorus lingnanensis", "Chlorophorus linsleyi", "Chlorophorus lituratus", "Chlorophorus ludens", "Chlorophorus luxatus", "Chlorophorus malaccanus", "Chlorophorus manillae", "Chlorophorus marginalis", "Chlorophorus masatakai", "Chlorophorus medanensis", "Chlorophorus mediolineatus", "Chlorophorus melancholicus", "Chlorophorus micheli", "Chlorophorus minutus", "Chlorophorus miwai", "Chlorophorus mjoebergii", "Chlorophorus moestus", "Chlorophorus montanus", "Chlorophorus moultoni", "Chlorophorus moupinensis", "Chlorophorus muscifluvis", "Chlorophorus muscosus", "Chlorophorus mushanus", "Chlorophorus namibiensis", "Chlorophorus navratili", "Chlorophorus nepalensis", "Chlorophorus niehuisi", "Chlorophorus nigerrimus", "Chlorophorus nivipictus", "Chlorophorus nodai", "Chlorophorus nouphati", "Chlorophorus obliteratus", "Chlorophorus oezdikmeni", "Chlorophorus orbatus", "Chlorophorus palavanicus", "Chlorophorus parens", "Chlorophorus patricius", "Chlorophorus pelleteri", "Chlorophorus perornatus", "Chlorophorus perroti", "Chlorophorus petaini", "Chlorophorus pileatus", "Chlorophorus pinguis", "Chlorophorus praecanus", "Chlorophorus praetextus", "Chlorophorus proannulatus", "Chlorophorus probsti", "Chlorophorus pseudoswatensis", "Chlorophorus quatuordecimmaculatus", "Chlorophorus rectefasciatus", "Chlorophorus ringenbachi", "Chlorophorus robustior", "Chlorophorus rotundicollis", "Chlorophorus rufimembris", "Chlorophorus sagittarius", "Chlorophorus salicicola", "Chlorophorus salomonum", "Chlorophorus sappho", "Chlorophorus scenicus", "Chlorophorus scriptus", "Chlorophorus seclusus", "Chlorophorus semiformosus", "Chlorophorus semikanoi", "Chlorophorus semiruber", "Chlorophorus semisinuatus", "Chlorophorus semrae", "Chlorophorus seniculus", "Chlorophorus separatus", "Chlorophorus sexguttatus", "Chlorophorus shoreae", "Chlorophorus siegriedae", "Chlorophorus signaticollis", "Chlorophorus signatipennis", "Chlorophorus simillimus", "Chlorophorus smithi", "Chlorophorus socius", "Chlorophorus sparsus", "Chlorophorus strobilicola", "Chlorophorus sulcaticeps", "Chlorophorus sumatrensis", "Chlorophorus sumbavae", "Chlorophorus swatensis", "Chlorophorus taihorensis", "Chlorophorus taiwanus", "Chlorophorus takakuwai", "Chlorophorus tixieri", "Chlorophorus tohokensis", "Chlorophorus tonkineus", "Chlorophorus torquilla", "Chlorophorus touzalini", "Chlorophorus tredecimmaculatus", "Chlorophorus trivialis", "Chlorophorus trusmadensis", "Chelidonium instrigosum", "Chelidonium nepalense", "Chelidonium obscurum", "Chelidonium pedestre", "Chelidonium punctigerum", "Chelidonium purpureipes", "Chelidonium russoi", "Chelidonium semivenereum", "Chelidonium sifanicum", "Chelidonium venereum", "Cheloderus childreni", "Cheloderus penai", "Chemsakia semicostata", "Chemsakia subarmata", "Chemsakiella michelbacheri", "Chemsakiella ricei", "Chemsakiella virens", "Chemsakiella virgulata", "Chemsakiellus taurus", "Chenoderus bicolor", "Chenoderus testaceus", "Chenoderus tricolor", "Chenoderus venustus", "Chereas octomaculata", "Cherrocrius bruchi", "Chevrolatella tripunctata", "Chewchroma nayani", "Chiasmetes limae", "Chinobrium mediofasciatum", "Chinobrium opacum", "Chinobrium platythorax", "Chinobrium vesculum", "Chiquitano volcanesensis", "Chitron mniszechii", "Chlidones albostrigatus", "Chlidones apicalis", "Chlidones hova", "Chlidones insignicollis", "Chlidones lineolatus", "Chlidones rufovaria", "Chlorethe brachyptera", "Chlorethe ingae", "Chlorethe lalannecassoui", "Chlorethe scabrosa", "Chlorida cincta", "Chlorida costata", "Chlorida curta", "Chlorida denticulata", "Chlorida fasciata", "Chlorida obliqua", "Chlorida spinosa", "Chlorida transversalis", "Chloridolum addictum", "Chloridolum alcmene", "Chloridolum aureodorsalis", "Chloridolum baliense", "Chloridolum batchianum", "Chloridolum bivittatum", "Chloridolum borneense", "Chloridolum ceycinum", "Chloridolum cinderellum", "Chloridolum cinnyris", "Chloridolum collare", "Chloridolum collinum", "Chlorophorus undosus", "Chlorophorus vageapicatus", "Chlorophorus vartianae", "Chlorophorus vehemens", "Chlorophorus verus", "Chlorophorus vicinus", "Chlorophorus viridulus", "Chlorophorus viticis", "Chlorophorus vulpinus", "Chlorophorus werneri", "Chlorophorus wewalkai", "Chlorophorus yachovi", "Chlorophorus yakitai", "Chlorophorus yayeyamensis", "Chlorophorus yedoensis", "Chlorophorus zelus", "Chlorophorus ziczac", "Chlorotherion consimilis", "Chlorotherion punctatus", "Choeromorpha albofasciata", "Choeromorpha albovaria", "Choeromorpha amica", "Choeromorpha callizona", "Choeromorpha celebiana", "Choeromorpha flavolineata", "Choeromorpha irrorata", "Choeromorpha lambii", "Choeromorpha lineifrons", "Choeromorpha mediofasciata", "Choeromorpha multivittata", "Choeromorpha murina", "Choeromorpha muscaria", "Choeromorpha mystica", "Choeromorpha panagensis", "Choeromorpha pigra", "Choeromorpha polynesa", "Choeromorpha polyspila", "Choeromorpha subfasciata", "Choeromorpha subviolacea", "Choeromorpha sulphurea", "Choeromorpha trifasciata", "Choeromorpha violaceicornis", "Choeromorpha vivesi", "Choeromorpha wallacei", "Choeromorpha brunneomaculata", "Choeromorpha nigromaculata", "Chondrothrus parallelus", "Chontalia cyanicollis", "Chorenta biramiguelus", "Chorenta espiritosantensis", "Chorenta leonardi", "Chorenta reticulata", "Chorenta toulgoeti", "Choriolaus aegrotus", "Choriolaus auratus", "Choriolaus celestae", "Choriolaus derhami", "Choriolaus filicornis", "Choriolaus flavirostris", "Choriolaus fulveolus", "Choriolaus gracilis", "Choriolaus hirsutus", "Choriolaus howdeni", "Choriolaus latescens", "Chrysaethe atrata", "Chrysaethe atrocephala", "Chrysaethe aurantipennis", "Chrysaethe aurata", "Chrysaethe aureicollis", "Chrysaethe beltiana", "Chrysaethe cyanipennis", "Chrysaethe globulicollis", "Chrysaethe iodes", "Chrysaethe jorgei", "Chrysaethe lazzoi", "Chrysaethe ochraceicollis", "Chrysaethe smaragdina", "Chrysaethe viriditincta", "Chrysaperda circumcincta", "Chrysaperda collaris", "Chrysaperda lanei", "Chrysaperda metallica", "Chrysaperda mimica", "Chrysommata keithi", "Chrysommata lauracea", "Chrysoprasis abyara", "Chrysoprasis aeneicollis", "Chrysoprasis aeneiventris", "Chrysoprasis airi", "Chrysoprasis atrata", "Chrysoprasis aurata", "Chrysoprasis aureicollis", "Chrysoprasis aurigena", "Chrysoprasis auriventris", "Chrysoprasis azurearegina", "Chrysoprasis basalis", "Chrysoprasis beraba", "Chrysoprasis bicolor", "Chrysoprasis bipartita", "Chrysoprasis birai", "Chrysoprasis catarina", "Chrysoprasis chalybea", "Chrysoprasis chevrolati", "Chrysoprasis collaris", "Chrysoprasis concolor", "Chrysoprasis cuiciuna", "Chrysoprasis dutreuxi", "Chrysoprasis festiva", "Chrysoprasis floralis", "Chrysoprasis globulicollis", "Chrysoprasis guerrerensis", "Chrysoprasis hirtula", "Chrysoprasis hispidula", "Chrysoprasis hypocrita", "Chrysoprasis ibaca", "Chrysoprasis icuara", "Chrysoprasis imitatrix", "Chrysoprasis itaiuba", "Chrysoprasis linearis", "Chrysoprasis marta", "Chrysoprasis maryhowardae", "Chrysoprasis melanostetha", "Chrysoprasis moerens", "Chrysoprasis nana", "Chrysoprasis nigrina", "Chrysoprasis nigristernis", "Chrysoprasis nitidisternis", "Chrysoprasis nymphula", "Chrysoprasis obiuna", "Chrysoprasis pacifica", "Chrysoprasis para", "Chrysoprasis piriana", "Chrysoprasis pitanga", "Chrysoprasis poticuara", "Chrysoprasis potiuna", "Chrysoprasis punctulata", "Chrysoprasis quadrimaculata", "Chrysoprasis reticulicollis", "Chrysoprasis ritcheri", "Chrysoprasis rotundicollis", "Chrysoprasis rugulicollis", "Chrysoprasis sapphirina", "Chrysoprasis seticornis", "Chrysoprasis sobrina", "Chrysoprasis suturalis", "Chrysoprasis suturella", "Chrysoprasis timapeba", "Chrysoprasis tobiuna", "Chrysoprasis tybyra", "Chrysoprasis valida", "Chrysoprasis variabilis", "Chrysoprasis viridis", "Chrysoprasis vittata", "Chydaeopsis fragilis", "Chydaeopsis luzonica", "Chydaeopsis mindanaonis", "Chydaeopsis ruficollis", "Chydarteres bicolor", "Chydarteres costatus", "Chydarteres dimidiatus", "Chydarteres octolineatus", "Chydarteres striatellus", "Chydarteres striatus", "Chydarteres strigatus", "Chyptodes albosuturalis", "Chyptodes dejeanii", "Cicatricallia cicatricosa", "Cicatrion calidum", "Cicatrion constricticolle", "Cicatrion unicolor", "Cicatripraonetha lumawigi", "Cicatrisestola elongata", "Cicatrisestola flavicans", "Cicatrisestola humeralis", "Cicatrisestoloides costaricensis", "Cicatrizocera bilistrata", "Cicatrodea bahia", "Cicatrodea monima", "Cicuiara nitidula", "Cicuiara striata", "Cidugala delahayei", "Cidugala grisea", "Cidugala juheli", "Aristolochia lutea", "Cidugala maynei", "Cilioeme tibialis", "Cilium perrieri", "Cincinnata allardi", "Cincinnata fasciata", "Cincinnata konduensis", "Cincinnata schoutedeni", "Cinctohammus cinctus", "Cipriscola fasciata", "Cirrhicera bankoi", "Cirrhicera basalis", "Cirrhicera championi", "Cirrhicera cinereola", "Cirrhicera conspicua", "Cirrhicera cristipennis", "Cirrhicera leuconota", "Cirrhicera longifrons", "Cirrhicera nigrina", "Cirrhicera niveosignata", "Cirrhicera panamensis", "Cirrhicera sallei", "Citriphaga mixta", "Clausirion bicolor", "Clausirion comptum", "Clavemeopodus aureosignatus", "Clavenicodes clavus", "Clavidesmus chicae", "Clavidesmus columbianus", "Clavidesmus egeri", "Clavidesmus funerarius", "Clavidesmus heterocerus", "Clavidesmus indistinctus", "Clavidesmus lichenigerus", "Clavidesmus monnei", "Clavidesmus rogueti", "Clavidesmus rubigineus", "Clavisybra strandiella", "Clavobrium zimbabweensis", "Clavomela ciliata", "Clavoserixia bifasciata", "Cleodoxus antonkozlovi", "Cleodoxus carinatus", "Cleodoxus tetralophus", "Cleomenes apicalis", "Cleomenes assamensis", "Cleomenes atricornis", "Cleomenes auricollis", "Cleomenes banauensis", "Cleomenes chryseus", "Cleomenes cognatus", "Cleomenes copei", "Cleomenes dihammaphoroides", "Cleomenes diversevittatus", "Cleomenes giganteus", "Cleomenes hefferni", "Cleomenes hilaris", "Cleomenes infuscatus", "Cleomenes laetabilis", "Cleomenes lautus", "Cleomenes longipennis", "Cleomenes lyra", "Cleomenes malayanus", "Cleomenes micarius", "Cleomenes modicatus", "Cleomenes multiplagatus", "Cleomenes nigricollis", "Cleomenes ornatus", "Cleomenes robustior", "Cleomenes rufobasalis", "Cleomenes rufofemoratus", "Cleomenes rufonigra", "Cleomenes semiargentens", "Cleomenes semilineatus", "Cleomenes takiguchii", "Cleomenes tenuipes", "Cleomenes trinotatithorax", "Cleomenes vittatoides", "Cleomenes vittatus", "Cleonaria bicolor", "Cleonaria cingalensis", "Cleonaria taiwana", "Clepitoides anae", "Clepitoides crocata", "Clepitoides gerardi", "Clepitoides neei", "Clepitoides pallidicornis", "Clepitoides picturata", "Clepitoides thomasi", "Clepitoides virgata", "Cleptometopus angustifrons", "Cleptometopus annulaticornis", "Cleptometopus armatus", "Cleptometopus assamanus", "Cleptometopus auratoides", "Cleptometopus aureovittatus", "Cleptometopus basifossulatus", "Cleptometopus bhutanensis", "Cleptometopus biapicatus", "Cleptometopus bimaculatus", "Cleptometopus cameroni", "Cleptometopus camuripes", "Cleptometopus celebensis", "Cleptometopus cephalotes", "Cleptometopus enganensis", "Cleptometopus filifer", "Cleptometopus fisheri", "Cleptometopus flavolineatus", "Cleptometopus fuscosignatus", "Cleptometopus grandis", "Cleptometopus grossepunctatus", "Cleptometopus humeralis", "Cleptometopus indecorus", "Cleptometopus indistinctus", "Cleptometopus invitticollis", "Cleptometopus javanicus", "Cleptometopus lepturoides", "Cleptometopus lobatus", "Cleptometopus luteonotatus", "Cleptometopus malaisei", "Cleptometopus mehli", "Cleptometopus mimolivaceus", "Cleptometopus mindanaonis", "Cleptometopus minor", "Cleptometopus mniszechii", "Cleptometopus montanus", "Cleptometopus motuoensis", "Cleptometopus niasensis", "Cleptometopus niasicus", "Cleptometopus ochreomaculatus", "Cleptometopus ochreoscutellaris", "Cleptometopus olivaceus", "Cleptometopus orientalis", "Cleptometopus padangensis", "Cleptometopus papuanus", "Cleptometopus parolivaceus", "Cleptometopus perakensis", "Cleptometopus pseudolivaceus", "Cleptometopus pseudotenellus", "Cleptometopus quadrilineatus", "Cleptometopus schmidi", "Cleptometopus scutellatus", "Cleptometopus sericeus", "Cleptometopus sikkimensis", "Cleptometopus similaris", "Cleptometopus similis", "Cleptometopus simillimus", "Cleptometopus strandi", "Cleptometopus striatopunctatus", "Cleptometopus subolivaceus", "Cleptometopus subteraureus", "Cleptometopus subundulatus", "Cleptometopus sumatranus", "Cleptometopus taiwanensis", "Cleptometopus tenellus", "Cleptometopus terrestris", "Cleptometopus trilineatus", "Cleptometopus undulatus", "Cleptometopus unicolor", "Cleptonotus albomaculatus", "Cleptonotus subarmatus", "Cleptopsebium linnaei", "Cleptosoma clavipes", "Clermontia quadridentata", "Cleroclytus francottei", "Cleroclytus semirufus", "Cleroclytus banghaasi", "Cleroclytus gracilis", "Clesotrus janus", "Clodia biflavoguttata", "Clodia flavoguttata", "Clodia sublineata", "Clodia vittata", "Cloniocerus albomarmoratus", "Cloniocerus albosticticus", "Cloniocerus aureovittatus", "Cloniocerus bohemanni", "Cloniocerus constrictus", "Cloniocerus hystrix", "Cloniocerus kraussii", "Cloniocerus lamellicornis", "Cloniocerus muellerae", "Cloniocerus ochripennis", "Cloniophorus angelae", "Cloniophorus auricollis", "Cloniophorus basilewskyi", "Cloniophorus bouyeri", "Cloniophorus cachani", "Cloniophorus curvatoplicatus", "Colobothea assimilis", "Colobothea bicuspidata", "Colobothea biguttata", "Colobothea bilineata", "Colobothea bisignata", "Colobothea bitincta", "Colobothea boliviana", "Colobothea brullei", "Colobothea carneola", "Colobothea cassandra", "Colobothea centralis", "Colobothea chemsaki", "Colobothea chontalensis", "Colobothea cincticornis", "Colobothea colombiana", "Colobothea crassa", "Colobothea decemmaculata", "Colobothea declivis", "Colobothea destituta", "Colobothea discicollis", "Colobothea dispersa", "Colobothea distincta", "Colobothea dostalbergeri", "Colobothea elongata", "Colobothea emarginata", "Colobothea erythrophthalma", "Colobothea eximia", "Colobothea fasciata", "Colobothea fasciatipennis", "Colobothea femorosa", "Colobothea fibrosa", "Colobothea fikaceki", "Colobothea flavimacula", "Colobothea flavoguttata", "Colobothea flavomaculata", "Colobothea forcipata", "Colobothea geminata", "Colobothea grallatrix", "Colobothea grisescens", "Colobothea guatemalena", "Colobothea guttulata", "Colobothea hebraica", "Colobothea hirtipes", "Colobothea hondurena", "Colobothea humerosa", "Colobothea juncea", "Colobothea larriveei", "Colobothea lateralis", "Colobothea leucophaea", "Colobothea lineatocollis", "Colobothea lucaria", "Colobothea lunulata", "Colobothea macularis", "Colobothea maculicollis", "Colobothea meleagrina", "Colobothea mimetica", "Colobothea mosaica", "Colobothea musiva", "Colobothea naevia", "Colobothea naevigera", "Colobothea nigromaculata", "Cloniophorus debilis", "Cloniophorus dorae", "Cloniophorus elisae", "Cloniophorus elongatus", "Cloniophorus femoralis", "Cloniophorus gabonicus", "Cloniophorus garnieri", "Cloniophorus glaberrimus", "Cloniophorus gracilis", "Cloniophorus halleri", "Cloniophorus jirouxi", "Cloniophorus jossoi", "Cloniophorus legrandi", "Cloniophorus lujai", "Cloniophorus marigae", "Cloniophorus maynei", "Cloniophorus mucheia", "Cloniophorus noiroti", "Cloniophorus nyassae", "Cloniophorus plicatus", "Cloniophorus purpurascens", "Cloniophorus rhodoscelis", "Cloniophorus schuelei", "Cloniophorus sinuaticollis", "Cloniophorus strigosus", "Cloniophorus sulcatulus", "Cloniophorus teocchii", "Cloniophorus tessmanni", "Cloniophorus tricolor", "Cloniophorus viridis", "Cloniophorus vitalii", "Cloniophorus vittiger", "Cloniophorus youenni", "Closteromerus sexpunctatus", "Closteropus argentatus", "Closteropus blandus", "Closteropus herteli", "Closteropus speciosus", "Closterus ankaranensis", "Closterus australis", "Closterus boppei", "Closterus breviramis", "Closterus castaneus", "Closterus concisiramis", "Closterus damoiseaui", "Closterus denticollis", "Closterus depressicornis", "Closterus elongatus", "Closterus extensiramis", "Closterus flabellicornis", "Closterus fossides", "Closterus gibbicollis", "Closterus giganteus", "Closterus grandidieri", "Closterus insularis", "Closterus isakensis", "Closterus jordani", "Closterus laevis", "Closterus lameerei", "Closterus laticornis", "Closterus latior", "Closterus leyi", "Closterus longior", "Closterus longiramis", "Closterus mixtus", "Closterus oculatus", "Closterus orientalis", "Closterus perplexus", "Closterus plagiatus", "Closterus popei", "Closterus promissiramis", "Closterus ratovosoni", "Closterus rothschildi", "Closterus rugosus", "Closterus serraticornis", "Closterus sikorai", "Closterus simplicicornis", "Closterus skidmorei", "Closterus sogai", "Closterus striolatus", "Closterus viettei", "Closterus wittmeri", "Clytellus akiyamai", "Clytellus barclayi", "Clytellus belokobylskiji", "Clytellus benguetanus", "Clytellus canaliculatus", "Clytellus dembickyi", "Clytellus elongatus", "Clytellus fulgidus", "Clytellus gressitti", "Clytellus hefferni", "Clytellus javanus", "Clytellus jenisi", "Clytellus kareli", "Clytellus kasatkini", "Clytellus kiyoyamai", "Clytellus kubani", "Clytellus laosicus", "Clytellus lingafelteri", "Clytellus lobanovi", "Clytellus makarovi", "Clytellus malayanus", "Clytellus methocoides", "Clytellus monilis", "Clytellus mononychus", "Clytellus olesteroides", "Clytellus perhentianus", "Clytellus periculosus", "Clytellus philippinus", "Clytellus sarawakiensis", "Clytellus selebensis", "Clytellus serratulus", "Clytellus shibatai", "Clytellus tatianae", "Clytellus viridipennis", "Clytellus vivesi", "Clytellus waterstradti", "Clytellus westwoodii", "Clytobius davidis", "Clytocera anhea", "Clytocera assamensis", "Clytocera chionospila", "Clytocera gujaratensis", "Clytocera luteofasciata", "Clytocera montensis", "Clytocera pilosa", "Clytocera taiwanensis", "Clytoderus pygmaeus", "Clytoleptus albofasciatus", "Clytomelegena kabakovi", "Aristolochia macroura", "Clytomelegena postaurata", "Clytopsis dimidiaticornis", "Clytosaurus priapus", "Clytosaurus siamensis", "Clytosemia bicincta", "Clytraschema chabrillacii", "Clytus ambigenus", "Clytus angustefasciatus", "Clytus auripilis", "Clytus balwanti", "Clytus bellus", "Clytus blaisdelli", "Clytus buglanicus", "Clytus canadensis", "Clytus ceylonicus", "Clytus chemsaki", "Clytus ciliciensis", "Clytus clavicornis", "Clytus clitellarius", "Clytus fibularis", "Clytus gulekanus", "Clytus incanus", "Clytus kabateki", "Clytus kumalariensis", "Clytus lama", "Clytus larvatus", "Clytus madoni", "Clytus marginicollis", "Clytus mayeti", "Clytus melaenus", "Clytus minutissimus", "Clytus montesuma", "Clytus monticola", "Clytus nigritulus", "Clytus orientalis", "Clytus pacificus", "Clytus paradisiacus", "Clytus parvigranulatus", "Clytus pervetustus", "Clytus peyroni", "Clytus planiantennatus", "Clytus planifrons", "Clytus quadraticollis", "Clytus raddensis", "Clytus rufoapicalis", "Clytus rufobasalis", "Clytus ruricola", "Clytus signifer", "Clytus simulator", "Clytus solitarius", "Clytus taurusiensis", "Clytus triangulimacula", "Clytus trifolionotatus", "Clytus unicolor", "Clytus validus", "Clytus viridescens", "Clyzomedus annularis", "Clyzomedus borneensis", "Clyzomedus fastidiosus", "Clyzomedus indicus", "Clyzomedus javanicus", "Clyzomedus laosensis", "Clyzomedus laosicus", "Clyzomedus transversefasciatus", "Clyzomedus vittaticollis", "Cnemidochroma buckleyi", "Cnemidochroma coeruleum", "Cnemidochroma lopesi", "Cnemidochroma ohausi", "Cnemidochroma phyllopoides", "Cnemidochroma phyllopus", "Cnemolia bertrandi", "Cnemolia camerunensis", "Cnemolia densenigromaculata", "Cnemolia douceti", "Cnemolia grisea", "Cnemolia guineensis", "Cnemolia guttatoides", "Cnemolia heyrowskyi", "Cnemolia ituriensis", "Cnemolia janssensi", "Cnemolia lateralis", "Cnemolia leonensis", "Cnemolia marmorata", "Cnemolia marshalli", "Cnemolia mima", "Cnemolia nyassana", "Cnemolia obliquevittata", "Cnemolia onca", "Cnemolia schoutedeni", "Cnemolia signata", "Cnemolia silacea", "Cnemolia ugandae", "Cnemolioides albovariegatus", "Cnemoplites argodi", "Cnemoplites blackburni", "Cnemoplites cephalotes", "Cnemoplites edulis", "Cnemoplites fairmairei", "Cnemoplites gahani", "Cnemoplites hamali", "Cnemoplites princeps", "Cnemoplites flavipilis", "Cnemoplites prionoides", "Cnemoplites howei", "Cnemoplites impar", "Cnemoplites intermedia", "Cnemosioma innominata", "Cobelura claviger", "Cobelura howdenorum", "Cobelura lorigera", "Cobelura peruviana", "Cobelura raphaeli", "Cobelura sergioi", "Cobelura stockwelli", "Periestola strandi", "Cobelura vermicularis", "Cobelura wappesi", "Coccoderus pittieri", "Coccoderus spinulicornis", "Coccoderus timbaraba", "Coccothorax quadrinodosus", "Cochliopalpus boranus", "Cochliopalpus catherina", "Cochliopalpus fimbriatus", "Cochliopalpus suturalis", "Coeruleoglaucytes coeruleata", "Coleomethia australis", "Coleomethia bezarki", "Coleomethia chemsaki", "Coleomethia crinicornis", "Coleomethia mexicana", "Coleomethia xanthocollis", "Coleoxestia anthracina", "Coleoxestia armata", "Coleoxestia atrata", "Coleoxestia bettellaorum", "Coleoxestia brevipennis", "Coleoxestia cinnamomea", "Coleoxestia corvina", "Coleoxestia curoei", "Coleoxestia denticornis", "Coleoxestia ebenina", "Coleoxestia femorata", "Coleoxestia glabripennis", "Coleoxestia globulicollis", "Coleoxestia illex", "Coleoxestia julietae", "Coleoxestia kuratai", "Coleoxestia lissonota", "Coleoxestia nigropicea", "Coleoxestia nitida", "Coleoxestia nitidissima", "Coleoxestia olivieri", "Coleoxestia pirrensis", "Coleoxestia polita", "Coleoxestia pubicornis", "Coleoxestia rachelae", "Coleoxestia rubromaculata", "Coleoxestia rufosemivittata", "Coleoxestia sanguinipes", "Coleoxestia semipubescens", "Coleoxestia setigera", "Coleoxestia sobrina", "Coleoxestia spinifemorata", "Coleoxestia spinosa", "Coleoxestia striatepunctata", "Coleoxestia thomasi", "Coleoxestia tupunhuna", "Coleoxestia vittata", "Coleoxestia weemsi", "Coleroidion cingulum", "Coleroidion leucotrichum", "Collyrodes lacordairei", "Colobeutrypanus barclayi", "Colobeutrypanus ornatus", "Colobizus aurivillii", "Colobizus seineri", "Colobizus tibiotarsalis", "Colobothea aleata", "Colobothea amoena", "Colobothea andina", "Colobothea appendiculata", "Compsibidion simillimum", "Compsibidion singulare", "Compsibidion sommeri", "Compsibidion sphaeriinum", "Compsibidion taperu", "Compsibidion tethys", "Compsibidion thoracicum", "Compsibidion trichocerum", "Compsibidion triviale", "Compsibidion truncatum", "Compsibidion tuberosum", "Compsibidion unifasciatum", "Compsibidion uniforme", "Compsibidion vandenberghei", "Compsibidion vanum", "Compsibidion varipenne", "Compsibidion virgatum", "Compsibidion zikani", "Compsoceridius gounellei", "Compsocerus barbicornis", "Compsocerus bicoloricornis", "Compsocerus chevrolati", "Compsocerus deceptor", "Compsocerus parviscopus", "Compsocerus violaceus", "Compsomera fenestrata", "Compsomera nigricollis", "Compsopyris pereurae", "Compsosoma chabrillacii", "Compsosoma fasciatum", "Compsosoma geayi", "Compsosoma marcelae", "Compsosoma mniszechii", "Compsosoma mutillarium", "Compsosoma nubilum", "Compsosoma oculata", "Compsosoma perpulchrum", "Compsosoma phaleratum", "Compsosoma vestitipenne", "Comusia abbreviatella", "Comusia apicalis", "Comusia atra", "Comusia atricornis", "Comusia bengalensis", "Comusia bicoloricornis", "Comusia cheesmanae", "Comusia decolorata", "Comusia dispar", "Comusia fumifera", "Comusia grisea", "Comusia hemiptera", "Comusia malayana", "Comusia metallica", "Comusia mimica", "Cometes monnei", "Cometes zikani", "Compsa albomaculata", "Compsa albopicta", "Compsa amoena", "Compsa curtula", "Compsa diringshofeni", "Compsa inconstans", "Compsa leucozona", "Compsa macra", "Compsa monrosi", "Compsa multiguttata", "Compsa nebulosa", "Compsa nipha", "Compsa quadriguttata", "Compsibidion achiraensis", "Compsibidion aegrotum", "Compsibidion amantei", "Compsibidion amboroensis", "Compsibidion angulare", "Compsibidion balium", "Compsibidion basale", "Compsibidion callispilum", "Compsibidion campestre", "Compsibidion carenatum", "Compsibidion charile", "Compsibidion circunflexum", "Compsibidion cleophile", "Compsibidion concisum", "Compsibidion decemmaculatum", "Compsibidion decoratum", "Compsibidion divisum", "Compsibidion fairmairei", "Compsibidion graphicum", "Compsibidion guanabarinum", "Compsibidion ilium", "Compsibidion inflatum", "Compsibidion inornatum", "Compsibidion litturatum", "Compsibidion maronicum", "Compsibidion marqueti", "Compsibidion megarthron", "Compsibidion melancholicum", "Compsibidion meridionale", "Compsibidion monnei", "Compsibidion morrisi", "Compsibidion multizonatum", "Compsibidion muricatum", "Compsibidion mysticum", "Compsibidion nigroterminatum", "Compsibidion niveum", "Compsibidion omissum", "Compsibidion orpa", "Compsibidion paradoxum", "Compsibidion paragraphycum", "Compsibidion paulista", "Compsibidion pictum", "Compsibidion polyzonum", "Compsibidion psydrum", "Compsibidion pumilium", "Compsibidion punga", "Compsibidion quadrisignatum", "Compsibidion reichardti", "Compsibidion rutha", "Colobothea obconica", "Colobothea obtusa", "Colobothea olivencia", "Colobothea ordinata", "Colobothea osculatii", "Colobothea parcens", "Colobothea passerina", "Colobothea paulina", "Colobothea peruviana", "Colobothea pictilis", "Colobothea picturata", "Colobothea pimplaea", "Colobothea plagiata", "Colobothea plebeja", "Colobothea pleuralis", "Colobothea poecila", "Colobothea propinqua", "Colobothea pulchella", "Colobothea punctata", "Colobothea pura", "Colobothea ramosa", "Colobothea regularis", "Colobothea rincona", "Colobothea roppai", "Colobothea rubroornata", "Colobothea sahlbergi", "Colobothea schmidtii", "Colobothea scolopacea", "Colobothea securifera", "Colobothea sejuncta", "Colobothea seminalis", "Colobothea septemmaculata", "Colobothea seriatomaculata", "Colobothea sexagglomerata", "Colobothea sexmaculata", "Colobothea sexualis", "Colobothea signatipennis", "Colobothea signativentris", "Colobothea simillima", "Colobothea sinaloensis", "Colobothea socia", "Colobothea sordida", "Colobothea strigosa", "Colobothea styligera", "Colobothea sublunulata", "Colobothea subtessellata", "Colobothea tristis", "Colobothea unilineata", "Colobothea varia", "Colobothea varica", "Colobothea vidua", "Colobothea viehmanni", "Colobothina perplexa", "Colombicallia curta", "Colombicallia setosa", "Columbicella explanata", "Colynthaea coriacea", "Comacmaeops brunnea", "Comacmaeops parva", "Combe brianus", "Cometes carinatus", "Cometes hirticornis", "Cometes mediovittipennis", "Comusia monochroma", "Comusia nagaii", "Comusia obriumoides", "Comusia pallidula", "Comusia rufa", "Comusia ruficornis", "Comusia simillima", "Comusia subflavicollis", "Comusia testacea", "Comusia thailandica", "Comusia tokii", "Comusia wui", "Conamblys albitarsis", "Conamblys auratus", "Conamblys caesarius", "Conamblys callewaerti", "Conamblys camiadei", "Conamblys cinereipes", "Conamblys cylindricum", "Conamblys ducarmei", "Conamblys glaber", "Conamblys latus", "Conamblys lerui", "Conamblys nitidissimus", "Conamblys punctatissimus", "Conamblys spinicornis", "Conamblys splendens", "Confluentia colombiana", "Confluentia flavomaculata", "Confluentia nigra", "Confluentia nigrolineata", "Confluentia pallida", "Confluentia rubra", "Confluentia soror", "Coniolachnus aculeatus", "Conizonia aresteni", "Conizonia guerinii", "Conizonia mounai", "Conizonia simia", "Conizonia warnieri", "Conizonia anularis", "Conizonia georgiana", "Conobrium mourgliai", "Conobrium muellerae", "Conobrium nigriceps", "Conobrium occidentalis", "Conobrium pallidus", "Conopogaster singularis", "Conosphaeron concolor", "Conosphaeron spinipenne", "Conoxillus alessandrae", "Contoderopsis aurivillii", "Contoderopsis luzonica", "Contoderus hamaticollis", "Coomanum singulare", "Coptocercus aberrans", "Coptocercus aruensis", "Coptocercus assimilis", "Coptocercus australis", "Coptocercus biguttatus", "Coptocercus clarus", "Coptocercus crucigerus", "Coptocercus discretus", "Coptocercus furvus", "Coptocercus galachrous", "Coptocercus insulanus", "Coptocercus labyrinthinus", "Coptocercus matthewsi", "Coptocercus monteithi", "Coptocercus multitrichus", "Coptocercus mutabilis", "Coptocercus nigritulus", "Coptocercus notabilis", "Coptocercus orientalis", "Coptocercus ovaliguttatus", "Coptocercus papuanus", "Coptocercus pascoei", "Coptocercus pedator", "Coptocercus pretiosus", "Coptocercus pubescens", "Coptocercus quatuordecimsignatus", "Coptocercus rarus", "Coptocercus repletus", "Coptocercus robustus", "Coptocercus rotundiguttatus", "Coptocercus rugicollis", "Coptocercus schneiderae", "Coptocercus scitulus", "Coptocercus scripticollis", "Coptocercus shuteae", "Coptocercus spinithoracicus", "Coptocercus sulciscapus", "Coptocercus sumatranus", "Coptocercus terminalis", "Coptocercus tricolor", "Coptocercus trimaculatus", "Coptocercus truncatus", "Coptocercus undulatus", "Coptocercus unifasciatus", "Coptocercus validus", "Coptocercus vicinus", "Coptocercus walkeri", "Coptocercus weiri", "Coptoeme aenea", "Coptoeme depressa", "Coptoeme krantzi", "Coptoeme ndzidense", "Coptoeme nigrotibialis", "Coptoeme pallidum", "Coptoeme rotundicollis", "Coptoeme rufolimbata", "Coptoeme schedli", "Coptoeme triguttata", "Coptoeme variabilis", "Coptops aedificator", "Coptops alboirrorata", "Coptops albonotata", "Coptops andamanica", "Coptops annamensis", "Coptops annobonae", "Coptops annulipes", "Coptops brunnea", "Coptops cameroni", "Coptops curvatosignata", "Coptops diversesparsa", "Coptops huberi", "Coptops humerosus", "Coptops hypocrita", "Coptops illicita", "Coptops intermissa", "Coptops japonica", "Coptops leucostictica", "Coptops lichenea", "Coptops liturata", "Coptops marmorea", "Coptops mindanaonis", "Isotrema moupinense", "Coptops mourgliai", "Coptops nigropunctata", "Coptops ocellifera", "Coptops pacificus", "Coptops pardalis", "Coptops pascoei", "Coptops penghuensis", "Coptops purpureomixta", "Coptops robustipes", "Coptops rufa", "Coptops rugosicollis", "Coptops semiscalaris", "Coptops senegalensis", "Coptops similis", "Coptops szechuanica", "Coptops tetrica", "Coptops thibetanus", "Coptops undulata", "Coptops variegata", "Coptops vomicosa", "Coptops europae", "Corallancyla durantoni", "Corallancyla neotropica", "Corcovado peruviense", "Corcovado ruber", "Cordites armillata", "Cordoxylamia cordifera", "Cordylomera acuminata", "Cordylomera annulicornis", "Cordylomera apicalis", "Cordylomera atkinsoni", "Cordylomera basilewskyi", "Cordylomera carvalhoi", "Cordylomera comoensis", "Cordylomera copei", "Cordylomera delahayei", "Cordylomera elegans", "Cordylomera etiennei", "Cordylomera filicornis", "Cordylomera geniculata", "Cordylomera gracilis", "Cordylomera gratiosa", "Cordylomera heimi", "Cordylomera inerme", "Cordylomera karschi", "Cordylomera laetitiae", "Cordylomera lepesmei", "Cordylomera maculata", "Cordylomera minuta", "Cordylomera mourgliai", "Cordylomera nyassae", "Corus laevepunctatus", "Corus laevidorsis", "Corus laevifrons", "Corus latus", "Corus leonensis", "Corus lesnei", "Corus luridus", "Corus microphthalmus", "Corus moisescoi", "Corus monodi", "Corus nyassanus", "Corus obscurus", "Corus olivaceus", "Corus parallelus", "Corus parvus", "Corus plurifasciculatus", "Corus pseudocaffer", "Corus pseudocostiger", "Corus raffrayi", "Corus strandiellus", "Corus thoracalis", "Corus tubericollis", "Corynellus aureus", "Corynellus cinnabarinus", "Corynellus lampyrimorphus", "Corynellus mimulus", "Corynellus ochraceus", "Corynofrea camerunica", "Corynofrea mirabilis", "Corynofrea nigritarsis", "Corynofrea rubra", "Coscinedes gracilis", "Coscinedes oaxaca", "Coscinesthes minuta", "Coscinesthes porosa", "Coscinesthes salicis", "Cosmisoma acuminatum", "Cosmisoma aeneicollis", "Cosmisoma albohirsutotibialis", "Cosmisoma ammiralis", "Cosmisoma angustipenne", "Cosmisoma argyreum", "Cosmisoma batesi", "Cosmisoma brullei", "Cosmisoma cambaia", "Cosmisoma capixaba", "Cordylomera parva", "Cordylomera puchneri", "Cordylomera rotundicollis", "Cordylomera ruficornis", "Cordylomera schmidi", "Cordylomera schoenherrii", "Cordylomera spinicornis", "Cordylomera vittata", "Cordylomera wieringai", "Coremia plumipes", "Coremia signaticollis", "Corennys caduca", "Corennys cardinalis", "Corennys circellaris", "Corennys conspicua", "Corennys notatipes", "Corennys sanguinea", "Corennys sensitiva", "Corennys sericata", "Corennys taiwana", "Corennys takakuwai", "Coreocalamobius parantennatus", "Coresthetopsis arachne", "Coresthetopsis proxima", "Corimbion antennatum", "Corimbion balteum", "Corimbion caliginosum", "Corimbion kuckartzi", "Corimbion ledezmae", "Corimbion martinsi", "Corimbion mutabile", "Corimbion nigroapicatum", "Corimbion supremum", "Corimbion terminatum", "Corimbion vulgare", "Corioeme elgonensis", "Corioeme ugandensis", "Cornallis gracilipes", "Cornallis indica", "Cornuchariesthes albomaculata", "Cornumutila lineata", "Cornuscoparia annulicornis", "Cornuscoparia meeki", "Cornuscoparia ochracea", "Cornuscoparia schlaginhaufeni", "Coroicoia ligata", "Cortodera amanusensis", "Cortodera analis", "Cortodera atra", "Cortodera baltea", "Cortodera bamiyana", "Cortodera barri", "Cortodera bivittata", "Cortodera cartinii", "Cortodera coniferae", "Cortodera cubitalis", "Cortodera differens", "Cortodera discolor", "Cortodera falsa", "Cortodera farsensis", "Cortodera ferrea", "Cortodera fraudis", "Cortodera funerea", "Cortodera goriensis", "Cortodera hodeki", "Cortodera hroni", "Cortodera impunctata", "Cortodera imrasanica", "Cortodera ivanovi", "Cortodera kadleci", "Cortodera kaphanica", "Cortodera kareli", "Cortodera kazaryani", "Cortodera khatchikovi", "Cortodera kiesenwetteri", "Cortodera kochi", "Cortodera kokpektensis", "Cortodera komarovi", "Cortodera longicornis", "Cortodera longipilis", "Cortodera lowlakanensis", "Cortodera metallica", "Cortodera militaris", "Cortodera moldovana", "Cortodera napolovi", "Cortodera neali", "Cortodera neslihanae", "Cortodera nitidipennis", "Cortodera obscurans", "Cortodera orientalis", "Cortodera placerensis", "Cortodera pseudoholosericea", "Cortodera ranunculi", "Cortodera robusta", "Cortodera rubenyani", "Cortodera semilivida", "Cortodera sibirica", "Cortodera simulatrix", "Cortodera spuria", "Cortodera stolida", "Cortodera subpilosa", "Cortodera takabensis", "Cortodera tatianae", "Cortodera thorpi", "Cortodera tibialis", "Cortodera transcaspica", "Cortodera tuberculicollis", "Cortodera turgaica", "Cortodera uniformis", "Cortodera vanduzeei", "Cortodera vicina", "Cortodera wewalkai", "Cortodera wittmeri", "Corupella asperata", "Corus albithorax", "Corus albomarmoratus", "Corus breuningi", "Corus burgeoni", "Corus cachani", "Corus caffer", "Corus collaris", "Corus corticarius", "Corus costiger", "Corus cretaceus", "Corus cylindricus", "Corus exiguus", "Corus fasciculosus", "Corus flavus", "Cotycicuiara magnifica", "Cotycicuiara multicava", "Cotycicuiara multifasciata", "Cotycicuiara nivaria", "Cotycicuiara oicepe", "Cotycicuiara pertusa", "Cotycicuiara venezuelensis", "Cotyclytus amazonicus", "Cotyclytus arriagadai", "Cotyclytus basalis", "Cotyclytus cristatus", "Cotyclytus curvatus", "Cotyclytus discretus", "Cotyclytus distinctus", "Cotyclytus dorsalis", "Cotyclytus lebasii", "Cotyclytus magicus", "Cotyclytus niger", "Cotyclytus patagonicus", "Cotyclytus peruvianus", "Cotyclytus potiuna", "Cotyclytus regularis", "Cotyclytus scenicus", "Cotyclytus sobrinus", "Cotyclytus stillatus", "Cotyclytus suturalis", "Cotycuara crinita", "Cotycuara viridis", "Cotynessa abatinga", "Cotyperiboeum antennarium", "Cotysomerida lampyroides", "Craspedoderus dilaticollis", "Crassichroma aureopurpurea", "Crassichroma cameronensis", "Crassichroma viridis", "Cratericus divaricatus", "Cratotragus indiator", "Cremnosterna alboplagiata", "Cremnosterna alternans", "Cremnosterna carissima", "Cremnosterna laterialba", "Cremnosterna parvicollis", "Cremnosterna plagiata", "Cremnosterna quadriplagiata", "Cremys cleroides", "Cremys diophthalmus", "Cribraedoeus basipennis", "Cribraedoeus scapularis", "Cribraedoeus unicolor", "Cribragapanthia scutellata", "Cribrihammus granulosus", "Cribrihammus rugosus", "Cribrochamus cribrosus", "Cribrohammus chinensis", "Cribrohammus fragosus", "Crinarnoldius maculatus", "Crinarnoldius xavieri", "Crinotarsus plagiatus", "Crinotarsus sulcatus", "Criocerinus alluaudi", "Criocerinus corallinus", "Criodion angustatum", "Criodion antennatum", "Criodion cinereum", "Crossomeles aureopilis", "Crossotus albicollis", "Crossotus albofasciculatus", "Crossotus arabicus", "Crossotus argenteus", "Crossotus barbatus", "Crossotus bifasciatus", "Crossotus brunneopictus", "Crossotus capucinus", "Crossotus erlangeri", "Crossotus falzonii", "Crossotus freoides", "Crossotus genalis", "Crossotus inermis", "Crossotus kadleci", "Crossotus katbeh", "Crossotus klugii", "Crossotus plumicornis", "Crossotus plurifasciculatus", "Crossotus pseudostypticus", "Crossotus schoutedeni", "Crossotus stigmaticus", "Crossotus strigifrons", "Crossotus stypticus", "Crossotus sublineatus", "Crossotus subocellatus", "Crossotus tamer", "Crossotus tubericollis", "Crossotus ugandae", "Crossotus vagepictus", "Crossotus xanthoneurus", "Crossotus xiluvensis", "Crotchiella brachyptera", "Crucihammus grossepunctatus", "Crucihammus subcruciatus", "Crucihammus sumatranus", "Crucitragus crucifer", "Cryptobelus gestroi", "Cryptobias coccineus", "Cryptocranium cazieri", "Cryptocranium laterale", "Ctenodes decemmaculata", "Ctenodes geniculata", "Ctenodes guianensis", "Ctenodes zonata", "Ctenomaeus comosus", "Ctenomaeus senex", "Ctenoscelis acanthopus", "Ctenoscelis ater", "Ctenoscelis coeus", "Cubaecola hoploderoides", "Cubilia albosetosa", "Cubilia eichelbaumi", "Cubilia fulva", "Cubilia heathi", "Cubilia nigricans", "Cubilia obscura", "Cubilia rufipennis", "Cubilia smithi", "Cubilioides singularis", "Cuicirama cayennensis", "Cuicirama fasciata", "Cuicirama smithii", "Cuicirama spectabilis", "Criodion dejeani", "Criodion fulvopilosum", "Criodion murinum", "Criodion pilosum", "Criodion rhinoceros", "Criodion spinosum", "Criodion subpubescens", "Criodion tomentosum", "Criodion torticolle", "Criodion tuberculatum", "Crioprosopus amoenus", "Crioprosopus championi", "Crioprosopus gaumeri", "Crioprosopus iridescens", "Crioprosopus nieti", "Crioprosopus rimosus", "Crioprosopus saundersii", "Crioprosopus servillei", "Crioprosopus thoracicus", "Crioprosopus tricolor", "Criopsis curtus", "Cristaerenea cognata", "Cristaphanes bifidus", "Cristaphanes cristulatus", "Teladum devexulum", "Cristaphanes fulvescens", "Cristaphanes pulvereus", "Teladum atripes", "Cristaphanes striolatulus", "Cristatosybra jeanvoinei", "Cristenes cristatus", "Cristepilysta cristipennis", "Cristeryssamena alterna", "Cristeryssamena besucheti", "Cristeryssamena cristipennis", "Cristhippopsis flavovittatus", "Cristisse bicristata", "Cristoberea assamensis", "Cristocentrus lebisi", "Cristodesisa perakensis", "Cristodesisa vicina", "Cristoopsis poggea", "Cristophyllarthrius decellei", "Cristophyllarthrius maynei", "Cristorhodopina mussardi", "Cristurges bimaculatus", "Crossidius ater", "Crossidius coralinus", "Crossidius discoideus", "Crossidius grahami", "Crossidius hirtipes", "Crossidius humeralis", "Crossidius hurdi", "Crossidius mexicanus", "Crossidius militaris", "Crossidius mojavensis", "Crossidius pulchellus", "Crossidius punctatus", "Crossidius suturalis", "Crossidius testaceus", "Crossocnemis colmanti", "Crossocnemis sylvia", "Crossomeles acutipennis", "Cycnidolon phormesioides", "Cycnidolon podicale", "Cycnidolon praecipuum", "Cycnidolon pulchellum", "Cycnidolon pumillum", "Cycnidolon rufescens", "Cycnidolon sericeum", "Cycnidolon spinosum", "Cycnidolon trituberculatum", "Cycnoderus brevicolle", "Cycnoderus chlorizans", "Cycnoderus copei", "Cycnoderus guatemalicus", "Cycnoderus lividus", "Cycnoderus maestulus", "Cycnoderus metallicus", "Cycnoderus rufithorax", "Cycnoderus tenuatus", "Cycnoderus virginiae", "Cycnoderus dispar", "Cydros leucurus", "Cydros melzeri", "Cylicasta coarctata", "Cylicasta difficilis", "Cylicasta liturata", "Cylicasta nysa", "Cylicasta parallela", "Cylicasta terminata", "Cylindilla bidentata", "Cylindilla formosana", "Cylindilla inornata", "Cylindilla interrupta", "Cylindilla makiharai", "Cylindilla parallela", "Cylindobrium minutum", "Cylindobrium zambiensis", "Cylindrecamptus albomaculatus", "Cylindrecamptus lineatus", "Cylindrepomus albicornis", "Cylindrepomus albomaculatus", "Cylindrepomus albopictus", "Cylindrepomus albosignatus", "Cylindrepomus albovittatus", "Cylindrepomus astyochus", "Cylindrepomus atropos", "Cylindrepomus aureolineatus", "Cylindrepomus ballerioi", "Cylindrepomus bayanii", "Cylindrepomus biconjunctus", "Cylindrepomus bilineatus", "Cylindrepomus bivitticollis", "Cylindrepomus bivittipennis", "Cylindrepomus cicindeloides", "Cylindrepomus comis", "Cylindrepomus cyaneus", "Cylindrepomus dentatus", "Cylindrepomus elisabethae", "Cylindrepomus enganensis", "Cylindrepomus fidelisbajaui", "Cylindrepomus filiformis", "Cylindrepomus flavicollis", "Cylindrepomus flavipennis", "Cylindrepomus flavosignatus", "Cylindrepomus flavus", "Cylindrepomus fouqueti", "Cylindrepomus grammicus", "Cylindrepomus javanicus", "Cylindrepomus laetus", "Cylindrepomus ledus", "Cylindrepomus malaccensis", "Cylindrepomus mantiformis", "Cylindrepomus mucronatus", "Cylindrepomus nigerrimus", "Cylindrepomus nigrofasciatus", "Cylindrepomus peregrinus", "Cylindrepomus rubriceps", "Cylindrepomus rufofemoratus", "Cylindrepomus sexlineatus", "Cylindrepomus spinosus", "Cylindrepomus tricoloripennis", "Cylindrepomus unguiculata", "Cylindrepomus uniformis", "Cylindrepomus viridipennis", "Cylindrepomus ysmaeli", "Cylindrommata aurantia", "Cylindrommata longissima", "Cylindrommata lustrata", "Cylindrommata susanae", "Cylindrommata willersi", "Cylindrophelipara pulchra", "Cylindrosybra albomaculata", "Cylindrothorax balteatus", "Cymaterus plicaticollis", "Cymaterus recens", "Cymaterus torridus", "Cymatonycha castanea", "Cymatonycha fasciata", "Cymatonycha meridionalis", "Cymatura albomaculata", "Cymatura bifasciata", "Cymatura bizonata", "Cymatura brittoni", "Cymatura fasciata", "Cymatura holonigra", "Cymatura itzingeri", "Cymatura mabokensis", "Cymatura manowi", "Cymatura mechowi", "Cymatura mucorea", "Cymatura nigra", "Cymatura nyassica", "Cymatura orientalis", "Cymatura spumans", "Cymatura strandi", "Cymatura tarsalis", "Cymatura wallabergeri", "Cyocyphax praonetoides", "Cyphonotida rostrata", "Cyphoscyla lacordairei", "Cyphosterna quadrilineata", "Cyriopalus befui", "Cyriopalus hefferni", "Cyriopalus javanus", "Cyriopalus kalimantanus", "Cyriopalus wallacei", "Cyriotasiastes rhetenor", "Cyrtinoopsis intensa", "Cyrtinus acunai", "Cyrtinus araguaensis", "Cyrtinus beckeri", "Cyrtinus bifasciatus", "Cyrtinus bordoni", "Cyrtinus eugeniae", "Cyrtinus farri", "Cyrtinus fauveli", "Cyrtinus granulifrons", "Cyrtinus hispidus", "Cyrtinus hubbardi", "Cyrtinus humilis", "Cyrtinus jamaicensis", "Cyrtinus melzeri", "Cyrtinus meridialis", "Cyrtinus mockfordi", "Cyrtinus mussoi", "Cyrtinus oakleyi", "Cyrtinus opacicollis", "Cyrtinus penicillatus", "Cyrtinus peruviensis", "Cyrtinus pygmaeus", "Cyrtinus querci", "Cyrtinus sandersoni", "Cyrtinus schwarzi", "Cyrtinus striatus", "Cyrtinus subopacus", "Cyrtinus umbus", "Cyrtoclytus agathus", "Cyrtoclytus callizonus", "Cyrtoclytus caproides", "Cyrtoclytus dalatensis", "Cyrtoclytus elegantissimus", "Cyrtoclytus formosanus", "Cyrtoclytus kusamai", "Cyrtoclytus luteomarginatus", "Cyrtoclytus marketae", "Cyrtoclytus matsumotoi", "Cyrtoclytus monticallisus", "Cyrtoclytus multizonus", "Cyrtoclytus ohbayashii", "Cyrtoclytus petrae", "Cyrtoclytus scapalis", "Cyrtoclytus tazoei", "Cyrtoclytus yunamensis", "Cyrtocris fulvicornis", "Cyrtogrammus laosicus", "Cyrtogrammus lateripictus", "Cyrtogrammus sumatranus", "Cyrtonops asahinai", "Cyrtonops aterrimus", "Aristolochia peruviana", "Cyrtonops caliginosus", "Cyrtonops insularis", "Cyrtonops marginellus", "Cyrtonops metallicus", "Cyrtonops niger", "Cyrtonops piceatus", "Cyrtonops punctipennis", "Cyrtonops rufipennis", "Cyrtonops simplicipes", "Cyrtonops tonkineus", "Cyrtophorus verrucosus", "Dadoychus atrus", "Dadoychus flavocinctus", "Dadoychus mucuim", "Dadoychus nigrus", "Dalitera calcarata", "Dandamis nigropunctatus", "Dandamis sabahensis", "Dandamis tricostatus", "Daramus hovorkai", "Daramus major", "Daramus obscurus", "Daramus serricornis", "Daramus vicinus", "Daramus ochraceus", "Dasyerrus pilosus", "Davidiella haucki", "Daxata camelus", "Daxata lepesmei", "Daxata anterufipennis", "Daxata confusa", "Daxata laosensis", "Daxata sumatrensis", "Daxata ustulata", "Decarthria albofasciata", "Decarthria boricua", "Decarthria stephensii", "Decellia bimaculipennis", "Declivocondyloides loebli", "Dectes nigripilus", "Dectes sayi", "Dectes texanus", "Dedya catherinetta", "Deilus rugosicollis", "Dejanira quadripunctata", "Dekeyzeria cylindrica", "Delagrangeus liviae", "Delagrangeus schurmanni", "Delemodacrys mourei", "Deliathis batesi", "Deliathis bifurcata", "Deliathis buquetii", "Deliathis diluta", "Deliathis flava", "Deliathis imperatrix", "Deliathis impluviata", "Deliathis incana", "Deliathis neonivea", "Deliathis nigrovittata", "Deliathis nivea", "Deliathis parincana", "Deliathis pulchra", "Deliathis quadritaeniata", "Deliathis superba", "Delilah gilvicornis", "Delilah subfasciata", "Delocheilus obscurus", "Delocheilus prionoides", "Delocheilus tookei", "Deltaspis aeruginis", "Deltaspis alutacea", "Deltaspis auromarginata", "Deltaspis cruentus", "Demonax ater", "Demonax atkinsoni", "Demonax atronotatus", "Demonax attonitus", "Demonax aureicollis", "Demonax aurivillii", "Demonax bakeri", "Demonax bakerioides", "Demonax balyi", "Demonax basiviridis", "Demonax bicinctus", "Demonax bidenticornis", "Demonax biguttatus", "Demonax bimaculicollis", "Demonax binotatithorax", "Demonax blairi", "Demonax borneensis", "Aristolochia pilosa", "Demonax bowringii", "Demonax brahminus", "Demonax brevefasciatus", "Demonax brevelineatus", "Demonax breveluteobasalis", "Demonax brevespinosus", "Demonax brunescens", "Demonax buteae", "Demonax captivus", "Demonax carinulatus", "Demonax cechovskyi", "Demonax celebensis", "Demonax chapaensis", "Demonax chrysoderes", "Demonax cinereus", "Demonax collaris", "Demonax confidens", "Demonax congestus", "Demonax conjugatus", "Demonax connatus", "Demonax consentio", "Demonax consonus", "Demonax conspurcatus", "Demonax contaminatus", "Demonax contrarius", "Demonax corallipes", "Demonax coriaceocollis", "Demonax corruptor", "Demonax cottidianus", "Demonax crinifer", "Demonax culicinus", "Demonax cumulosus", "Demonax curvofasciatus", "Ecitoxenidia brevicornis", "Ecitoxenidia ashei", "Ecitoxenidia brevipes", "Ecitoxenidia longicornis", "Ptyodactylus oudrii", "Lopriorea ruspolii", "Aristolochia rumicifolia", "Deltaspis cyanipes", "Deltaspis disparilis", "Deltaspis ivae", "Deltaspis marginella", "Deltaspis moesta", "Deltaspis nigripennis", "Deltaspis rubens", "Deltaspis rubriventris", "Deltaspis rufostigma", "Deltaspis subopaca", "Deltaspis thoracica", "Deltaspis tumacacorii", "Deltaspis variabilis", "Deltosoma flavidum", "Deltosoma guatemalense", "Deltosoma lacordairei", "Deltosoma xerophila", "Demagogus larvatus", "Dembickya pacholatkoi", "Demelius semirugosus", "Demodes albomaculata", "Demodes bimaculata", "Demodes conspersa", "Demodes frenata", "Demodes immunda", "Demodes javanica", "Demodes malaccensis", "Demodes mindanaonis", "Demodes siporensis", "Demodes subconspersa", "Demodes vittata", "Demodioides transversevittata", "Demomisis filum", "Demonassa albostictica", "Demonassa capitalis", "Demonassa dichotoma", "Demonassa marmorata", "Demonax absconditus", "Demonax acanthocerus", "Demonax acutipennis", "Demonax aequabilis", "Demonax albicinctus", "Demonax albidofasciatus", "Demonax albinotus", "Demonax alboapicalis", "Demonax albomaculatus", "Demonax albotrifasciatus", "Demonax alcanor", "Demonax alcellus", "Demonax algebraicus", "Demonax amandus", "Demonax ambiguus", "Demonax andamanicus", "Demonax angulifascia", "Demonax angustatus", "Demonax angusticollis", "Demonax annamensis", "Demonax annulicornis", "Demonax antiquus", "Demonax antireductus", "Demonax apicalis", "Demonax apicipennis", "Demonax ascendens", "Demonax astrictus", "Dixonius taoi", "Dixonius minhlei", "Chrysosplenium nagasei", "Cymbiola vespertilio", "Solanum macbridei", "Solanum muenscheri", "Nihoa hawaiiensis", "Nihoa annulata", "Aristolochia ruiziana", "Aristolochia sessilifolia", "Demophoo hammatus", "Demonax damalis", "Demonax decens", "Demonax decipiens", "Demonax decorus", "Demonax delectus", "Demonax delesserti", "Demonax dembickyi", "Demonax determinatus", "Demonax detortoides", "Demonax detortus", "Demonax dignus", "Demonax dimidiatus", "Demonax diversefasciatus", "Demonax diversesignatus", "Demonax diversofasciatus", "Demonax divisus", "Demonax dohertii", "Demonax dolosus", "Demonax donaubaueri", "Demonax dorotheae", "Demonax drescheri", "Demonax dubius", "Demonax elisabethae", "Demonax elongatulus", "Demonax elongatus", "Demonax ephippiatus", "Demonax erythromerus", "Demonax erythrops", "Demonax exilis", "Demonax exoletus", "Demonax explicatus", "Demonax fallax", "Demonax ferrugatus", "Demonax fimbriatulus", "Demonax flavicomus", "Demonax flavofasciatus", "Demonax fochi", "Demonax formicoides", "Demonax formosomontanus", "Demonax fortis", "Demonax fractus", "Demonax frater", "Demonax fryanus", "Demonax fucescens", "Demonax funebris", "Demonax funetus", "Demonax fungongensis", "Demonax gemellus", "Demonax gertrudae", "Demonax gracilestriatus", "Demonax gregalis", "Demonax grewicola", "Demonax gunjii", "Demonax harpago", "Demonax hefferni", "Demonax hengduanus", "Demonax hergovitsi", "Demonax himalayanus", "Demonax holzschuhi", "Demonax horridulus", "Demonax huedepohli", "Demonax humeratus", "Demonax humerovittatus", "Idioctis eniwetok", "Idioctis helva", "Idioctis intertidalis", "Ecitophrura capito", "Ecitophrura reichenspergeri", "Ecitoplectus transiens", "Ecitopolites familiaris", "Ecitopolites scopifer", "Ecitopolites quadriglumis", "Ecitotyphlus apterus", "Ecitopora opaca", "Ecitopora hetschkoi", "Ecitopora goeldii", "Aristolochia punctata", "Idioctis littoralis", "Idioctis xmas", "Aristolochia raja", "Ecitopora amica", "Ecitopora setosa", "Ecitopora brevicornis", "Ecitoxenidia alabamae", "Demonax imitatus", "Demonax imperceptus", "Demonax includens", "Demonax indubius", "Demonax ingridae", "Demonax inhumeralis", "Demonax iniquus", "Demonax inops", "Demonax inscriptus", "Demonax inscutellaris", "Demonax insuetus", "Demonax interruptus", "Demonax invisus", "Demonax invittatus", "Demonax involutus", "Demonax izumii", "Demonax jakli", "Demonax jamesi", "Demonax javanicus", "Demonax jeanvoinei", "Demonax jendeki", "Demonax jimmiensis", "Demonax jirouxi", "Demonax josefinae", "Demonax kalabi", "Demonax katarinae", "Demonax kejvali", "Demonax kezukai", "Demonax kheoi", "Demonax kostali", "Demonax kucerai", "Demonax langsonius", "Demonax languidus", "Demonax latefasciatus", "Demonax latevittatus", "Demonax laticollis", "Demonax latispinus", "Demonax leucophaeus", "Demonax leucoscutellatus", "Demonax levipes", "Demonax liber", "Demonax limoniae", "Demonax lineatus", "Demonax lineola", "Demonax lineolatus", "Demonax longespinus", "Demonax longevittatus", "Demonax longicollis", "Demonax longipedis", "Demonax longissimus", "Demonax longithorax", "Demonax lumawigi", "Demonax luridicornis", "Demonax luteicollis", "Demonax luteoposticalis", "Demonax macer", "Demonax macilentoides", "Demonax macilentus", "Demonax maculicollis", "Demonax magus", "Demonax mali", "Demonax mariae", "Demonax marketae", "Demonax marnei", "Demonax martes", "Demonax martialis", "Demonax masaoi", "Demonax masatakai", "Demonax matyasi", "Demonax maximus", "Demonax medianus", "Demonax melanarius", "Demonax melanurus", "Demonax mendicus", "Demonax meruleus", "Demonax metallicus", "Demonax moraveci", "Demonax mulio", "Demonax multireductus", "Demonax musivus", "Demonax mustela", "Demonax mustelinus", "Demonax nansenensis", "Demonax narayani", "Demonax nawatai", "Demonax nebulosus", "Demonax nigrofasciatus", "Demonax nigromaculatus", "Demonax nigronotatus", "Demonax nigropiceus", "Demonax niisatoi", "Demonax nishiyamai", "Demonax niveofasciatus", "Demonax nivitarsis", "Demonax notator", "Demonax nothus", "Demonax novaki", "Demonax nugator", "Demonax occultus", "Demonax ocellifer", "Demonax octavus", "Demonax ocularis", "Demonax offensus", "Demonax ohbayashii", "Demonax okunii", "Demonax olei", "Demonax olemehli", "Demonax oligellus", "Demonax olivaceus", "Demonax ordinatus", "Demonax ovicollis", "Demonax palauanus", "Demonax palikei", "Demonax palleolus", "Demonax palliatus", "Demonax parallelus", "Demonax pardus", "Demonax parilis", "Demonax pendleburyi", "Demonax perakensis", "Demonax perdubius", "Demonax perroti", "Demonax persimilis", "Cosmisoma compsoceroides", "Cosmisoma cyaneum", "Cosmisoma debile", "Cosmisoma fasciculatum", "Cosmisoma flavipes", "Cosmisoma gratum", "Cosmisoma hirtipes", "Cosmisoma humerale", "Cosmisoma leucomelas", "Cosmisoma lineatum", "Cosmisoma lineellum", "Cosmisoma lividum", "Cosmisoma luteoviridis", "Cosmisoma martyr", "Cosmisoma militaris", "Cosmisoma nitidipenne", "Cosmisoma ochraceum", "Cosmisoma persimile", "Cosmisoma plumicorne", "Cosmisoma pulcherrimum", "Cosmisoma reticulatum", "Cosmisoma rhaptos", "Cosmisoma scopipes", "Cosmisoma scopulicorne", "Cosmisoma seabrai", "Cosmisoma speculiferum", "Cosmisoma taunayi", "Cosmisoma tenellum", "Cosmisoma tibiale", "Cosmisoma titania", "Cosmisoma violaceum", "Cosmisomopsis viridis", "Cosmocerus strigosus", "Cosmoplatidius abare", "Cosmoplatidius lycoides", "Cosmoplatidius sellatus", "Cosmoplatidius simulans", "Cosmoplatus brasilianus", "Cosmoplatus peruvianus", "Cosmosalia chrysocoma", "Cosmosalia nigrolineata", "Cosmotomidius cacaoensis", "Cosmotomidius crudiaphilus", "Cosmotomidius egregius", "Cosmotomidius elongatus", "Cosmotomidius morvanae", "Cosmotomidius nigrisetosus", "Cosmotomidius setosus", "Cosmotomidius vincus", "Costemilophus aurantius", "Cotyachryson inspergatus", "Cotyachryson philippii", "Cotyachryson sulcicorne", "Cotyadesmus brunneus", "Cotychroma acaguassu", "Cotycicuiara acuminata", "Cotycicuiara alternata", "Cotycicuiara bahiensis", "Cotycicuiara boliviana", "Cotycicuiara caracolensis", "Cotycicuiara chionea", "Cotycicuiara durantoni", "Cotycicuiara guiana", "Cotycicuiara latifascia", "Demonax perspicuus", "Demonax petrae", "Demonax piliger", "Demonax pilipes", "Demonax planatoides", "Demonax planatus", "Demonax planicollis", "Demonax polyzonus", "Demonax praecursor", "Demonax probus", "Demonax proculscuti", "Demonax prodigus", "Demonax protervus", "Demonax protogenes", "Demonax proximus", "Demonax pseudonotabilis", "Demonax pseudopsilomerus", "Demonax pseudotristiculus", "Demonax pudicus", "Demonax puerilis", "Demonax pullastra", "Demonax pumilio", "Demonax punctifemoralis", "Demonax pupillus", "Demonax quadraticollis", "Demonax quadricollis", "Demonax quadricolor", "Demonax quaesitus", "Demonax quintus", "Demonax ravus", "Demonax recurvus", "Demonax reductispinosus", "Demonax reticollis", "Demonax reticulatus", "Demonax reticulicollis", "Demonax robustus", "Demonax rollei", "Demonax rosae", "Demonax rosicola", "Demonax rouyeri", "Demonax rufoapicalis", "Demonax rufobasalis", "Demonax rufus", "Demonax sabinae", "Demonax salemensis", "Demonax salutarius", "Demonax salvazai", "Demonax samarensis", "Demonax sausai", "Demonax sauteri", "Demonax savioi", "Demonax sawaii", "Demonax seductus", "Demonax semiluctuosus", "Demonax semixeniscus", "Demonax senescens", "Demonax seoulensis", "Demonax seriatopunctatus", "Demonax shuti", "Demonax siccus", "Demonax sikangensis", "Demonax similioides", "Demonax similis", "Demonax simillimus", "Demonax simulatus", "Demonax sonneratiae", "Demonax sospitalis", "Demonax spinicornis", "Demonax spinifer", "Demonax stabilis", "Demonax stenideus", "Demonax stigma", "Demonax strangalioides", "Demonax strangaliomimus", "Demonax subai", "Demonax subdolus", "Demonax subglobulicollis", "Demonax subobscuricolor", "Demonax subscalaris", "Demonax substitutus", "Demonax sulfurisignatus", "Demonax sulinensis", "Demonax suturalis", "Demonax tectus", "Demonax tener", "Demonax tenuiculus", "Demonax tenuispinosus", "Demonax testaceoannulatus", "Demonax testaceus", "Demonax theresae", "Demonax tibiellus", "Demonax tipularius", "Demonax torulosus", "Demonax transilis", "Demonax transversalis", "Demonax traudae", "Demonax triaculeatus", "Demonax trifasciatus", "Demonax triguttatus", "Demonax trivittatus", "Demonax trudae", "Demonax truncatus", "Demonax tryznai", "Demonax tsitoensis", "Demonax unguiculatus", "Demonax unicolor", "Demonax unidentatus", "Demonax unidenticornis", "Demonax uniformis", "Demonax vafer", "Demonax variabilis", "Demonax venosulus", "Demonax ventralis", "Demonax venustus", "Demonax viduatus", "Demonax vilis", "Demonax virescens", "Demonax viridinotatus", "Demonax vitalii", "Demonax viverra", "Demonax walkeri", "Demonax weigeli", "Demonax xiaozhaizigouensis", "Compsosoma v-notatum", "Demonax x-signatus", "Dendrides pallidus", "Dendrobias mandibularis", "Dendrobias maxillosus", "Dendrobias steinhauseni", "Denticerus aureoapicalis", "Denticerus muehlei", "Denticerus rectefasciatus", "Denticerus reticulatus", "Denticerus rossii", "Denticerus rousseti", "Aristolochia singalangensis", "Derancistrachroma melanoleuca", "Derancistrus anthracinus", "Derancistrus coeruleus", "Derancistrus elegans", "Derancistrus hovorei", "Derancistrus pilosus", "Derbidia perelegans", "Dere acaciae", "Dere adelpha", "Dere affinis", "Dere apicalis", "Dere apicaloides", "Dere basalis", "Dere bicolor", "Dere bivittata", "Dere cassiae", "Dere coeruleipennis", "Dere coloripennis", "Dere contigua", "Dere deversaria", "Dere donisi", "Dere femoralis", "Dere fulvipennis", "Dere grahami", "Dere grobbelaarae", "Dere janenschi", "Dere khatrii", "Dere kirai", "Dere kramerae", "Dere kudatensis", "Dere leptis", "Dere littoralis", "Dere marginata", "Dere masoni", "Dere minettii", "Dere minima", "Dere minor", "Dere miroshnikovi", "Dere nigripennis", "Dere nigrita", "Dere opacula", "Dere philippinensis", "Dere posticata", "Dere punctifrons", "Dere reticulata", "Dere rufeola", "Dere subrubra", "Dere subtilis", "Dere thoracica", "Dere virescens", "Dere viridicincta", "Dere viridipennis", "Dere vittata", "Dere zimbabweana", "Derelophis reticulatus", "Derelophis viettei", "Deremius fuscotibialis", "Deremius leptus", "Deremius matilei", "Deretrachys chilensis", "Deretrachys juvencus", "Deretrachys montanus", "Deretrachys pellitus", "Deretrachys villiersi", "Derobrachus agyleus", "Derobrachus apterus", "Derobrachus asperatus", "Derobrachus brevicollis", "Derobrachus chemsaki", "Derobrachus cusucoensis", "Derobrachus digueti", "Derobrachus dohrni", "Derobrachus drumonti", "Derobrachus granulatus", "Derobrachus hovorei", "Derobrachus inaequalis", "Derobrachus leechi", "Derobrachus lingafelteri", "Derobrachus longicornis", "Derobrachus megacles", "Derobrachus moroni", "Derobrachus procerus", "Derobrachus smithi", "Derobrachus sulcicornis", "Derobrachus thomasi", "Derobrachus wappesi", "Derolophodes tuberosus", "Derolus abaii", "Derolus abyssinicus", "Derolus anteaureus", "Derolus arciferus", "Derolus argentesignatus", "Derolus argenteus", "Derolus argentifer", "Derolus arnoldius", "Derolus asiricus", "Derolus aureus", "Derolus basilewskyi", "Derolus blaisei", "Derolus brevicornis", "Derolus brunneipennis", "Derolus bulbicornis", "Derolus camerunensis", "Derolus cinctus", "Derolus coomani", "Derolus dilatatus", "Derolus discicollis", "Derolus duffyi", "Derolus femorellus", "Derolus fulgens", "Derolus fulvus", "Derolus gabunensis", "Derolus garnieri", "Derolus glauciapicalis", "Derolus globulartus", "Derolus griseonotatus", "Derolus gyllenhalii", "Desisa kuraruana", "Desisa lateplagiata", "Desisa luzonica", "Desisa malaccensis", "Desisa parvula", "Desisa subfasciata", "Desisa variabilis", "Desisa variegata", "Desisa yunnana", "Desisa lunulata", "Desisa lunulatoides", "Desisa marmorata", "Desisa quadriplagiata", "Desisa stramentosa", "Desisa takasagoana", "Desisa undulatofasciata", "Desisa uniformis", "Desisa reseolata", "Desisella strandiella", "Desisopsis lanlayroni", "Desisopsis maculata", "Desisopsis magallanesorum", "Desmiphora aegrota", "Desmiphora amioca", "Desmiphora apicata", "Desmiphora astrigae", "Desmiphora barbata", "Desmiphora bijuba", "Desmiphora boliviana", "Desmiphora canescens", "Desmiphora cayennensis", "Desmiphora chemsaki", "Desmiphora circumspecta", "Desmiphora cirrosa", "Desmiphora compacta", "Desmiphora compta", "Desmiphora crinita", "Desmiphora crocata", "Desmiphora cucullata", "Desmiphora decora", "Desmiphora digna", "Desmiphora durantoni", "Desmiphora elegantula", "Desmiphora fasciculata", "Desmiphora fasciola", "Desmiphora ferruginea", "Desmiphora flavescens", "Desmiphora fuscosignata", "Desmiphora hirticollis", "Desmiphora intonsa", "Desmiphora iwasarai", "Desmiphora jullienae", "Desmiphora kawensis", "Desmiphora lanuginosa", "Desmiphora lateralis", "Derolus hoelzeli", "Derolus ivorensis", "Derolus janae", "Derolus kraatzi", "Derolus laticollis", "Derolus lepautei", "Derolus martini", "Derolus pakistanus", "Derolus perroudi", "Derolus pexus", "Derolus pseudomalaisei", "Derolus puchneri", "Derolus ruandae", "Derolus rufimembris", "Derolus rufipes", "Derolus sericeomaculatus", "Derolus somalicus", "Derolus spurius", "Derolus subaureus", "Derolus subdilatatus", "Derolus sudrei", "Derolus sulcatus", "Derolus testaceus", "Derolus thesigeri", "Derolus trifulvofasciatus", "Derolus vastus", "Derolus volvulus", "Derolus werneri", "Derolydnus bisulcatus", "Deroplia albida", "Deroplia annulicornis", "Deroplia costigera", "Deroplia densevestita", "Deroplia fairmairei", "Deroplia flavomaculata", "Deroplia floccifera", "Deroplia gemina", "Deroplia gertiana", "Deroplia gomerae", "Deroplia hesperus", "Deroplia lorenzoi", "Deroplia niveopicta", "Deroplia pilosa", "Deroplia schurmanni", "Deroplia troberti", "Deroplia affinis", "Deroplia bituberosa", "Deroplia elongata", "Deroplia excavata", "Deroplia insignis", "Deroplia lateralis", "Deroplia nigrolineata", "Deroplia proxima", "Deroplia setipennis", "Deroplia simplex", "Deroplia verticalis", "Deroplia alutacea", "Deroplia besnardi", "Deroplia varii", "Desisa celebensis", "Desisa chinensis", "Desisa dispersa", "Desisa javanica", "Diadelia bispinosa", "Diadelia blanci", "Diadelia brunneofasciata", "Diadelia cinerascens", "Diadelia convexicollis", "Diadelia costipennis", "Diadelia densemarmorata", "Diadelia dujardini", "Diadelia excavatipennis", "Diadelia flavicollis", "Diadelia flavovitticollis", "Diadelia flavovittipennis", "Diadelia geminatoides", "Diadelia granulipennis", "Diadelia granulithorax", "Diadelia grisea", "Diadelia griseata", "Diadelia griseola", "Diadelia grisescens", "Diadelia imitatrix", "Diadelia iners", "Diadelia infasciata", "Diadelia inornata", "Diadelia interrupta", "Diadelia lateriplagiata", "Diadelia lebisi", "Diadelia leucovittata", "Diadelia lignea", "Diadelia ligneoides", "Diadelia lineata", "Diadelia lineigera", "Diadelia lineolata", "Diadelia marmorata", "Diadelia marmoratoides", "Diadelia mimospinipennis", "Diadelia nervosa", "Diadelia nervulata", "Diadelia nigropunctata", "Diadelia obenbergeri", "Diadelia oberthuri", "Diadelia obliquata", "Diadelia obliquefasciata", "Diadelia obliquenigrovittata", "Diadelia obliquepicta", "Diadelia obliquevittata", "Diadelia ochreovittata", "Diadelia paracostipennis", "Diadelia parapunctifrons", "Diadelia parobliquata", "Diadelia parvula", "Diadelia postalbomaculata", "Diadelia punctifrons", "Diadelia ratovosoni", "Diadelia retrospinicollis", "Diadelia rugicollis", "Diadelia strandiella", "Diadelia subantegrisea", "Diadelia subgrisescens", "Diadelia sublinea", "Diadelia subnervulata", "Diadelia subornata", "Diadelia subrotundipennis", "Desmiphora laterialba", "Desmiphora lenkoi", "Desmiphora lineatipennis", "Desmiphora longipilis", "Desmiphora maculosa", "Desmiphora mirim", "Desmiphora mulsa", "Desmiphora multicristata", "Desmiphora nascimentoi", "Desmiphora neoflavescens", "Desmiphora nigroannulata", "Desmiphora niveocincta", "Desmiphora normae", "Desmiphora obliquelineata", "Desmiphora ornata", "Desmiphora orozcoi", "Desmiphora pallida", "Desmiphora picta", "Desmiphora pitanga", "Desmiphora pretiosa", "Desmiphora robini", "Desmiphora rufocristata", "Desmiphora santossilvai", "Desmiphora sarryi", "Desmiphora scapularis", "Desmiphora spitzi", "Desmiphora tigrinata", "Desmiphora travassosi", "Desmiphora tristis", "Desmiphora undulatofasciata", "Desmiphora unicolor", "Desmiphora uniformis", "Desmiphora variola", "Desmiphora venosa", "Desmiphora xerophila", "Desmiphora antennalis", "Desmiphora endibauna", "Desmiphora magnifica", "Desmiphoropsis mannerheimi", "Desmiphoropsis variegata", "Aristolochia stuckertii", "Desmocerus aureipennis", "Desmocerus californicus", "Desmoderus variabilis", "Deucalion oceanicus", "Dexithea fabricii", "Dexithea humeralis", "Dexithea klugii", "Diadelia affinis", "Diadelia albomaculatoides", "Diadelia albomarmorata", "Diadelia albovittata", "Diadelia antegrisea", "Diadelia apicalis", "Diadelia apicefusca", "Diadelia atomosparsa", "Diadelia basifusca", "Diadelia basifuscipennis", "Diadelia basifuscomaculata", "Diadelia betschi", "Diadelia bicoloricornis", "Diadelia biplagiata", "Diadelia bispina", "Diadelia bispinipennis", "Diadelia subuniformis", "Diadelia tanganjicae", "Diadelia transversefasciata", "Diadelia truncata", "Diadelia unicolor", "Diadelia vadoni", "Diadelia vadoniana", "Diadelia vagefasciata", "Diadelia vicina", "Diadelia viossati", "Diadelia vittipennis", "Diadelia xylina", "Diadelia inermicollis", "Diadelia nitidipennis", "Diadelia albosquamulosa", "Diadelia congoana", "Diadelia guineensis", "Diadelia albosetosa", "Diadelia fuscostictica", "Diadelia laeviceps", "Diadelia longicornis", "Diadelia spinipennis", "Diadelia squamulosa", "Diadelia subfasciata", "Diadelia holobrunnea", "Diadelia laterimaculata", "Diadelia rotundipennis", "Diadelia setigera", "Diadelia setigeroides", "Diadelioides bipunctatus", "Diadelioides camerunensis", "Diadelioides crassepuncta", "Diadelioides exiguus", "Diadelioides ghesquierei", "Diadelioides glabricollis", "Diadelioides lateraliplagiatus", "Diadelioides minor", "Diadelioides similis", "Diadelioides strandi", "Diadelioides unicolor", "Diadeliomimus rufostrigosus", "Diadeliomimus vadoni", "Dialeges antennarius", "Dialeges brunneus", "Dialeges densepilosus", "Dialeges egenus", "Dialeges pauper", "Dialeges pauperoides", "Dialeges scabricornis", "Dialeges sericeus", "Diallus gebehensis", "Diallus guttatus", "Diallus lachrymosus", "Diallus lugens", "Diallus multiguttatus", "Diallus papuensis", "Diallus subtinctus", "Diallus papuanus", "Diallus quadrimaculatus", "Diamecyna setifera", "Diamitosa moseri", "Diaspila bipunctata", "Diaspila periscelis", "Diastellopterus clavatus", "Diastellopterus nigricornis", "Diastocera trifasciata", "Diastosphya agetes", "Diastosphya albisetosa", "Diastosphya bimaculata", "Diastosphya fuscicollis", "Diastrophosternus bruchi", "Diaxenes andamanicus", "Diaxenes befui", "Diaxenes dendrobii", "Diaxenes hefferni", "Diaxenes phalaenopsidis", "Diaxenes reticulatus", "Diaxenes taylori", "Dicelosternus corallinus", "Dicentrus bidentatus", "Dicentrus bluthneri", "Dichostates ayresi", "Dichostates compactus", "Dichostates concretus", "Dichostates lignarius", "Dichostates magnus", "Dichostates mourgliai", "Dichostates muelleri", "Dichostates partealbicollis", "Dichostates proximus", "Dichostates pygmaeus", "Dichostates quadripunctatus", "Trichoglossus forsteni", "Dichostates quadrisignatus", "Dichostates rasplusi", "Dichostates renaudi", "Dichostates rougeoti", "Dichostates strandi", "Dichostates tabularis", "Dichostates trifasciculatus", "Aristolochia tamnifolia", "Dichostates trilineatus", "Dichostatoides biflavoplagiatus", "Dichostatoides camerunensis", "Dichostatoides depressus", "Dichostatoides flavoguttatus", "Dichostatoides flavopictus", "Dichostatoides hauseri", "Dichostatoides kuntzeni", "Dichostatoides lobatus", "Dichostatoides nigroguttatus", "Dichostatoides obliquelineatus", "Dichostatoides rubromaculatus", "Dichostatoides ugandae", "Dicra insignicornis", "Dicra nodicornis", "Dicranoderes annulatus", "Dictamnia aestuosa", "Dictamnia albipilosa", "Dictamnia amplicollis", "Dictamnia biapiculata", "Dictamnia caledonica", "Dictamnia discalis", "Dictamnia gracilis", "Dictamnia rugosa", "Dictamnia sculpticollis", "Distenia columbina", "Distenia dillonorum", "Distenia dissimilis", "Distenia dohertii", "Distenia dravidiana", "Distenia esmeralda", "Distenia femoralis", "Distenia forcipata", "Distenia formosana", "Distenia fulvipennis", "Distenia gressitti", "Distenia halconensis", "Distenia heterotarsalis", "Distenia japonica", "Distenia jordanai", "Distenia kalidasae", "Distenia langurioides", "Distenia levitemporalis", "Distenia limbata", "Distenia macella", "Distenia marcelae", "Distenia mellina", "Distenia mermudesi", "Distenia minor", "Distenia nigrosparsa", "Distenia notabilis", "Distenia orientalis", "Distenia peninsularis", "Distenia perforans", "Distenia picea", "Distenia pici", "Distenia pilosa", "Distenia plumbea", "Distenia polisana", "Distenia punctulata", "Distenia punctulatoides", "Distenia rufobrunnea", "Distenia samarensis", "Distenia semiflava", "Distenia shennongjiaensis", "Distenia solangeae", "Distenia sparsepunctata", "Distenia splendens", "Distenia stenola", "Distenia sumatrensis", "Distenia suturalis", "Distenia tavakiliani", "Distenia tonkinea", "Distenia tricostata", "Distenia tuberosa", "Distenia viridicyanea", "Distenia wolongensis", "Distenia agroides", "Distenia carinata", "Distenia chaparensis", "Distenia cyaneipennis", "Distenia fastuosa", "Distenia fossulata", "Dictator juheli", "Dictator orientalis", "Dictator regius", "Didymocantha brevicollis", "Didymocantha clavipes", "Didymocantha laticornis", "Didymocantha novica", "Didymocantha pallida", "Didymocentrotus denticollis", "Didymocentrotus foveatus", "Didyochamus flavomarmoratus", "Diexia punctigera", "Diglenes cylindricus", "Dihammaphora aepytus", "Dihammaphora arnaui", "Dihammaphora auratopilosa", "Dihammaphora auricollis", "Dihammaphora aurovittata", "Dihammaphora binodula", "Dihammaphora bivittata", "Dihammaphora bivitticollis", "Dihammaphora brevis", "Dihammaphora bruchi", "Dihammaphora chaquensis", "Dihammaphora chontalensis", "Dihammaphora cylindricollis", "Dihammaphora densiserrata", "Dihammaphora dilmanappae", "Dihammaphora dispar", "Dihammaphora espinotibia", "Dihammaphora fosterorum", "Dihammaphora glabripennis", "Dihammaphora gracicollis", "Dihammaphora gutticollis", "Dihammaphora hispida", "Dihammaphora ibirajarai", "Dihammaphora laterilineata", "Dihammaphora lineigera", "Dihammaphora marginicollis", "Dihammaphora meissneri", "Dihammaphora minuta", "Dihammaphora nigrita", "Dihammaphora nigrovittata", "Dihammaphora nitidicollis", "Dihammaphora parana", "Dihammaphora paraperforata", "Dihammaphora perforata", "Dihammaphora peruviana", "Dihammaphora pilcomayoensis", "Dihammaphora pilosifrons", "Dihammaphora pusilla", "Dihammaphora ruficollis", "Dihammaphora scutata", "Dihammaphora signaticollis", "Dihammaphora vittatithorax", "Dihammaphoroides sanguinicollis", "Dilachnus partiticornis", "Diliolophus vexator", "Dilocerus brunneus", "Dilocerus marinonii", "Dinocephaloides ochreomaculatus", "Dinocephaloides variemaculatus", "Dinocephalus alboguttatus", "Dinocephalus haafi", "Dinocephalus heissi", "Dinocephalus ocellatus", "Dinocephalus ornatus", "Dinoprionus cephalotes", "Dinoprionus cooperi", "Dinoptera chrysomelina", "Dinoptera concolor", "Dinoptera lota", "Dinopteroides incisum", "Dioridium borgmeieri", "Dioridium hirsutum", "Diorus biapiculatus", "Diosyris miranda", "Diotimana ardleyi", "Diotimana simonthomasi", "Diotimana undulata", "Diphyrama singularis", "Diploschema maculata", "Diploschema mandibulare", "Diploschema rotundicolle", "Diploschema weyrauchi", "Diploschemopsis howdeni", "Diplothorax brevis", "Diplothorax coronatus", "Diplothorax fasciatus", "Diplothorax ishihamai", "Diplothorax kaiyuni", "Diplothorax lucens", "Diplothorax ohbayashii", "Diplothorax ohmomoi", "Diplothorax paradoxus", "Diplothorax punctator", "Diplothorax sangayi", "Diptychoeme suturalis", "Diringsiella femoralis", "Dirocoremia bruchi", "Dirocoremia ingae", "Dirocoremia simplicipes", "Dirocoremia tupizai", "Disaulax hirsuticornis", "Discoceps fasciatus", "Discolops strigicollis", "Discopus antennatus", "Discopus buckleyi", "Discopus comes", "Discopus eques", "Discopus patricius", "Discopus princeps", "Discopus spectabilis", "Diseoblax wrightii", "Dissaporus cachani", "Dissaporus cylindricus", "Dissaporus juheli", "Dissaporus malaisei", "Dissaporus mythicus", "Dissopachys pulvinata", "Distenia ampliata", "Distenia angustata", "Distenia annulicornis", "Distenia bougainvilleana", "Distenia caerulescens", "Distenia charynae", "Distenia cinctipennis", "Distenia granulipes", "Distenia phaeocera", "Distenia rufipes", "Distenia rugiscapis", "Distenia sallaei", "Distenia spinipennis", "Distenia striaticollis", "Distenia turnbowi", "Disteniazteca fimbriata", "Disteniazteca pilati", "Disterna annulata", "Disterna atrofasciculata", "Disterna bifasciata", "Disterna canosa", "Disterna complexa", "Disterna concinna", "Disterna cuneata", "Disterna curta", "Disterna forrestensis", "Disterna luctuosa", "Disterna maculata", "Disterna mastersii", "Disterna nigromaculata", "Disterna norfolkensis", "Disterna ovalis", "Disterna papuana", "Disterna plumifera", "Disterna pumila", "Disterna similis", "Disterna spinipennis", "Disterna tasmaniensis", "Distichocera fuliginosa", "Distichocera gigantea", "Distichocera kirbyi", "Distichocera macleayi", "Distichocera maculicollis", "Distichocera monticola", "Distichocera superba", "Distichocera thomsonella", "Djabiria geniculata", "Docohammus bennigseni", "Docohammus flavescens", "Nihoa annulipes", "Docohammus orientalis", "Docolamia incisa", "Dodecaibidion brasiliense", "Dodecaibidion modestum", "Dodecaibidion ornatipenne", "Dodechariesthes erlangeri", "Dodecocerus poirieri", "Dodecosis nigricornis", "Dodecosis saperdina", "Doesburgia celebiana", "Doesus taprobanicus", "Doesus telephoroides", "Dohertyorsidis dohertyi", "Dohertyorsidis indicus", "Dokhtouroffia baeckmanni", "Dolichaspis caesarea", "Dolichaspis simulatrix", "Dolichaspis strigosa", "Dolichepilysta celebensis", "Dolichepilysta mindanaonis", "Dolichestola annulicornis", "Dorcadion bisignatum", "Dorcadion bistriatum", "Dorcadion bithyniense", "Dorcadion blanchardi", "Dorcadion blandulum", "Dorcadion bodemeyeri", "Dorcadion boluense", "Dorcadion borisi", "Dorcadion boszdaghense", "Dorcadion boucardi", "Dorcadion bouilloni", "Dorcadion brauni", "Dorcadion bravardi", "Dorcadion bremeri", "Dorcadion brenskei", "Dorcadion breuningi", "Dorcadion brunneicolle", "Dorcadion bulgharmaadense", "Dorcadion buresi", "Dorcadion cachinno", "Dorcadion caglayanceritense", "Dorcadion caprai", "Dorcadion carinipenne", "Dorcadion carolisturanii", "Dorcadion caspiense", "Dorcadion catenatum", "Dorcadion chopardi", "Dorcadion chrysochroum", "Dorcadion cinctellum", "Dorcadion cinerarium", "Dorcadion cineriferum", "Dorcadion cingulatoides", "Dorcadion cingulatum", "Dorcadion ciscaucasicum", "Dorcadion coiffaiti", "Dorcadion complanatum", "Dorcadion condensatum", "Dorcadion confluens", "Dorcadion conspersum", "Dorcadion corcyricum", "Dorcadion crassicolle", "Dorcadion cretosum", "Dorcadion crux", "Dorcadion culminicola", "Dorcadion czegodaevi", "Dorcadion czipkai", "Dorcadion danczenkoi", "Dorcadion daratshitshagi", "Dorcadion decipiens", "Dorcadion delagrangei", "Dorcadion deyrollei", "Dorcadion dimidiatum", "Dorcadion discodivisum", "Dorcadion dobrovljanskii", "Dorcadion dokhtouroffi", "Dorcadion drusoides", "Dorcadion borochorense", "Dorcadion danilevskyi", "Dorcadion darjae", "Dorcadion globithorax", "Dorcadion irinae", "Dorcadion kapchagaicum", "Dorcadion kastekum", "Dorcadion leopardinum", "Dorcadion nikolaevi", "Dorcadion ninae", "Dorcadion nivosum", "Dorcadion optatum", "Dorcadion pantherinum", "Dorcadion pelidnum", "Dorcadion profanifuga", "Dorcadion songaricum", "Dorcadion suvorovi", "Dorcadion suvorovianum", "Dorcadion thianshanense", "Dorcadion tibiale", "Dorcadion toropovi", "Dorcadion tschitscherini", "Dorcadion unidiscale", "Dorcadion urdzharicum", "Dorcadion zhaisanicum", "Dorcadion balthasari", "Dorcadion cervae", "Dorcadion gashtarovi", "Dorcadion hybridum", "Dorcadion ingeae", "Dorcadion laevepunctatum", "Dorcadion maderi", "Dorcadion sterbai", "Dorcadion abstersum", "Dorcadion accola", "Dorcadion afflictum", "Dorcadion akpazarense", "Dorcadion akpinarense", "Dorcadion albanicum", "Dorcadion albolineatum", "Dorcadion albonotatum", "Dorcadion albosuturale", "Dorcadion altinyaylaense", "Dorcadion amanense", "Dorcadion anatolicum", "Dorcadion andirinense", "Dorcadion apicerufum", "Dorcadion aracense", "Dorcadion arcivagum", "Dorcadion ardahense", "Dorcadion arenarioides", "Dorcadion arenarium", "Dorcadion ariannae", "Dorcadion atritarse", "Dorcadion atticum", "Dorcadion auratum", "Dorcadion avgadiense", "Dorcadion bangi", "Dorcadion banjkovskyi", "Dorcadion basale", "Dorcadion beckeri", "Dorcadion beloni", "Dorcadion biforme", "Nihoa aussereri", "Dorcadion drusum", "Dorcadion eflaniense", "Dorcadion elazigi", "Dorcadion elbursense", "Dorcadion enricisturanii", "Dorcadion epirense", "Dorcadion erdemi", "Dorcadion eskipazarense", "Dorcadion eugeniae", "Dorcadion faldermanni", "Dorcadion ferruginipes", "Dorcadion formosum", "Dorcadion frustrator", "Dorcadion funestum", "Dorcadion gallipolitanum", "Dorcadion gebzeense", "Dorcadion gencense", "Dorcadion gheisi", "Apatetica viridipennis", "Dorcadion glabricolle", "Dorcadion glaucum", "Dorcadion goelbasiense", "Dorcadion gorbunovi", "Dorcadion gortovannyii", "Dorcadion granigerum", "Dorcadion gusakovi", "Dorcadion guzeldereense", "Dorcadion hacgedigiense", "Dorcadion haemorrhoidale", "Dorcadion halepense", "Dorcadion hampii", "Dorcadion hanneloreae", "Dorcadion heinzi", "Dorcadion heldreichii", "Dorcadion hellmanni", "Dorcadion heyrovskyi", "Dorcadion hinisense", "Dorcadion holtzi", "Dorcadion iconiense", "Dorcadion impressicolle", "Dorcadion indutum", "Dorcadion infernale", "Dorcadion inikliense", "Dorcadion inopinatum", "Dorcadion inspersum", "Dorcadion insulare", "Dorcadion intrusum", "Dorcadion irakensis", "Dorcadion iranicum", "Dorcadion ispartense", "Dorcadion ispirense", "Dorcadion ivani", "Dorcadion jacovleviellum", "Dorcadion janatai", "Dorcadion javeti", "Dorcadion johannisfranci", "Dorcadion kaimakcalanum", "Dorcadion kalashiani", "Dorcadion karacaorenense", "Dorcadion karamanense", "Dorcadion karsense", "Dorcadion kartaldagense", "Dorcadion nodicorne", "Dorcadion nurense", "Dorcadion obenbergeri", "Dorcadion obsoletum", "Dorcadion obtusicolle", "Dorcadion obtusum", "Dorcadion oetalicum", "Dorcadion oezdurali", "Dorcadion olympicum", "Dorcadion ortrudae", "Dorcadion ossae", "Dorcadion ovacikense", "Aristolochia weddellii", "Dorcadion paracinerarium", "Dorcadion paramicans", "Dorcadion pararenarium", "Dorcadion pararufipenne", "Dorcadion parcepunctatum", "Dorcadion parilis", "Dorcadion parinfernale", "Dorcadion parnassi", "Dorcadion pasquieri", "Dorcadion pavesii", "Dorcadion pedestre", "Dorcadion peksi", "Dorcadion peloponesium", "Dorcadion peloponnesicum", "Dorcadion pergamenum", "Dorcadion petrovitzi", "Dorcadion pilosellum", "Dorcadion pilosipenne", "Dorcadion piochardi", "Dorcadion pittinorum", "Dorcadion pluto", "Dorcadion poleti", "Dorcadion ponomarenkoi", "Dorcadion postalbosuturale", "Dorcadion praetermissum", "Dorcadion preissi", "Dorcadion pseudarcivagum", "Dorcadion pseudinfernale", "Dorcadion pseudobithyniense", "Dorcadion pseudocinctellum", "Dorcadion pseudoholosericeum", "Dorcadion pseudonobile", "Apatetica aspera", "Dorcadion pseudopreissi", "Dorcadion punctipenne", "Dorcadion punctulatum", "Dorcadion punctulicolle", "Dorcadion purkynei", "Dorcadion pygmaeum", "Dorcadion quadripustulatum", "Dorcadion rarepunctatum", "Dorcadion regulare", "Dorcadion reitteri", "Dorcadion resadiyeense", "Dorcadion ressli", "Dorcadion rezai", "Dorcadion rigattii", "Dorcadion ringenbachi", "Dorcadion rizeanum", "Dorcadion robustum", "Dorcadion rolandmenradi", "Dorcadion kartalense", "Dorcadion kasikoporanum", "Dorcadion kazanciense", "Dorcadion kharpuensis", "Dorcadion kindermanni", "Dorcadion kizilcikense", "Dorcadion kizildagense", "Dorcadion klavdiae", "Dorcadion kocgecense", "Apatetica glaucipennis", "Dorcadion koechlini", "Dorcadion komarowi", "Dorcadion konradi", "Dorcadion kozanii", "Dorcadion kraetschmeri", "Dorcadion krueperi", "Dorcadion kuldschanum", "Dorcadion kurdistanum", "Dorcadion kurucanum", "Dorcadion kykladicum", "Dorcadion ladikanum", "Dorcadion laeve", "Dorcadion lameeri", "Dorcadion lamiae", "Dorcadion ledouxi", "Dorcadion linderi", "Dorcadion lineatocolle", "Dorcadion lineatopunctatum", "Dorcadion litigiosum", "Dorcadion ljubetense", "Dorcadion lodosi", "Dorcadion lohsei", "Dorcadion longulum", "Dorcadion macedonicum", "Dorcadion maceki", "Dorcadion macropus", "Dorcadion marandense", "Dorcadion margheritae", "Dorcadion martini", "Dorcadion mediterraneum", "Dorcadion megriense", "Dorcadion menradi", "Dorcadion merkli", "Dorcadion meschniggi", "Dorcadion mesopotamicum", "Dorcadion micans", "Dorcadion mimarenarium", "Dorcadion minutum", "Dorcadion mniszechii", "Dorcadion moreanum", "Dorcadion morozovi", "Dorcadion muchei", "Dorcadion multimaculatum", "Dorcadion murrayi", "Dorcadion murzini", "Dorcadion musarti", "Dorcadion musense", "Dorcadion narlianum", "Dorcadion nigrostriatum", "Dorcadion nigrosuturatum", "Dorcadion nihalae", "Apatetica confusa", "Dorcadion nitidum", "Dorcadion nobile", "Dorcadion veluchense", "Dorcadion vincenzae", "Dorcadion weyersii", "Dorcadion xerophilum", "Dorcadion yilmazi", "Dorcadion zanteanum", "Dorcadion janssensi", "Dorcadion phrygicum", "Dorcadion quadrimaculatum", "Dorcadion triste", "Dorcadion wolfi", "Dorcadiopsis planipennis", "Dorcaschema alternatum", "Dorcaschema cinereum", "Dorcaschema nigrum", "Dorcaschema wildii", "Dorcaschesis balanceana", "Dorcaschesis sericata", "Dorcasina grossa", "Dorcasina matthewsii", "Dorcasomus batesi", "Dorcasomus capensis", "Dorcasomus delegorguei", "Dorcasomus ebulinus", "Dorcasomus evani", "Dorcasomus gigas", "Apatetica glabra", "Dorcasomus mirabilis", "Dorcasomus pinehyi", "Dorcasomus urundiensis", "Dorcasta birai", "Dorcasta borealis", "Dorcasta cinerea", "Dorcasta crassicornis", "Dorcasta dasycera", "Dorcasta gracilis", "Dorcasta implicata", "Dorcasta parkeri", "Dorcasta quadrispinosa", "Dorcasta rifkindi", "Dorcianus angulicollis", "Dorcoeax bituberosoides", "Dorcoeax jadoti", "Dorcoeax ovalis", "Dorjia tenzingi", "Dorysthenes davidis", "Dorysthenes montanus", "Dorysthenes rostratus", "Dorysthenes sternalis", "Dorysthenes walkeri", "Dorysthenes hydropicus", "Dorysthenes pertii", "Dorysthenes angulicollis", "Dorysthenes beli", "Dorysthenes buquetii", "Dorysthenes dentipes", "Dorysthenes florentinii", "Dorysthenes gracilipes", "Dorysthenes huegelii", "Dorysthenes indicus", "Dorysthenes zivetta", "Drycothaea wappesi", "Drymochares cavazzutii", "Drymochares cylindraceus", "Dryobius miocenicus", "Dryobius sexnotatus", "Dryoctenes scrupulosus", "Dubianella chrysogaster", "Dubianella jiewhoei", "Dubianella podanyi", "Dubiefostola auricollis", "Dufauxia feuilleti", "Dufauxia guaicurana", "Dufauxia kourouana", "Dufauxia trichocera", "Dufauxia zikani", "Duffyia basilewskyi", "Duffyoemida barkeri", "Duffyoemida gracilis", "Duffyoemida impunctipennis", "Dundaia subtuberculata", "Duplipectus bilineatus", "Duplipectus buruensis", "Duplipectus degroofi", "Duplipectus truncatus", "Dyemus basicristatus", "Dyemus puncticollis", "Dyemus purpureopulcher", "Dyemus undulatolineatus", "Dyenmonus nuptus", "Dyenmonus angolanus", "Dyenmonus confusus", "Dyenmonus nigriceps", "Dyenmonus cristipennis", "Dyenmonus cylindricus", "Dyenmonus cylindroides", "Dyenmonus rousseti", "Dyenmonus bimaculicollis", "Dyenmonus fissilis", "Dyenmonus rossii", "Dyenmonus nigrifrons", "Dyenmonus trivittatus", "Dymascus porosus", "Dymasius angustatus", "Dymasius argenteolus", "Dymasius asperulus", "Dymasius aureofulvescens", "Dymasius bicuspis", "Dymasius brevipes", "Dymasius carinipennis", "Dymasius cos", "Dymasius cuneatulus", "Dymasius duplus", "Dymasius elegantum", "Dymasius exilis", "Dymasius fedorenkoi", "Dymasius festivus", "Dymasius flavimembris", "Dymasius fulgens", "Dymasius gilvago", "Dymasius gracilicornis", "Dymasius granulicollis", "Dymasius hefferni", "Dymasius hirayamai", "Dymasius huedepohli", "Dorysthenes granulosus", "Dorysthenes planicollis", "Dorysthenes fossatus", "Dorysthenes igai", "Dorysthenes pici", "Dotoramades basalis", "Dotoramades difformipes", "Dotoramades masoalensis", "Dotoramades sambiranensis", "Dotoramades suturalis", "Dragomiris major", "Dragomiris quadricornutus", "Dragoneutes baculus", "Dragoneutes obscurus", "Dragoneutes pilosus", "Drascalia praelonga", "Driopea clytina", "Driopea schmidi", "Driopea setosa", "Apatetica gibba", "Driopea chinensis", "Driopea griseobasalis", "Driopea nigrofasciata", "Driopea atronotata", "Driopea cyrtomera", "Driopea delta", "Driopea griseonotata", "Driopea inermis", "Driopea nigromaculata", "Driopea luteolineata", "Driopea excavatipennis", "Droserotoma boppei", "Drumontiana amplipennis", "Drumontiana costata", "Drumontiana dentata", "Drumontiana francottei", "Drumontiana lacordairei", "Drumontiana nakamurai", "Dryana bituberculata", "Drychateres bilineatus", "Drycothaea angustifrons", "Drycothaea anteochracea", "Drycothaea bicolorata", "Drycothaea brasiliensis", "Drycothaea curtula", "Drycothaea estola", "Drycothaea gaucha", "Drycothaea guadeloupensis", "Drycothaea indivisa", "Apatetica curtipennis", "Drycothaea jolyi", "Drycothaea mexicana", "Drycothaea ochreoscutellaris", "Drycothaea ocularis", "Drycothaea parva", "Drycothaea rotundicollis", "Drycothaea sallei", "Drycothaea spreta", "Drycothaea stictica", "Drycothaea testaceipes", "Drycothaea truncatipennis", "Drycothaea turrialbae", "Drycothaea viridescens", "Drycothaea vulcanica", "Dolichestola densepunctata", "Dolichestola nigricornis", "Dolichestola vittipennis", "Dolichoplomelas elongatus", "Dolichoprosopus canescens", "Dolichoprosopus lethalis", "Dolichoprosopus leuciscus", "Dolichoprosopus maculatus", "Dolichoprosopus philippinensis", "Dolichoprosopus rondoni", "Dolichoprosopus sameshimai", "Dolichoprosopus yokoyamai", "Dolichoropica unicolor", "Dolichostyrax basispinosus", "Dolichostyrax cylindricus", "Dolichostyrax longipes", "Dolichostyrax moultoni", "Dolichostyrax tuberculatus", "Dolichosybra annulicornis", "Dolichosybra apicalis", "Dolichosybra elongata", "Dolichosybra strandi", "Aristolochia tricaudata", "Dolichosybra strandiella", "Dolichosybra tubericollis", "Doliops boholensis", "Doliops boteroi", "Doliops cabrasae", "Doliops coriticoi", "Doliops dunskisi", "Doliops imomzodai", "Doliops mindoroensis", "Doliops rukmaneae", "Doliops santossilvai", "Doliops ziedonisi", "Dolocerus holtzi", "Dolocerus magnanii", "Dolomius perrieri", "Dolophrades annulicornis", "Dolophrades birmanus", "Dolophrades mustanganus", "Dolophrades terrenus", "Domitia aenea", "Domitia basilewskyi", "Domitia bomansi", "Domitia cervina", "Domitia lupanaria", "Domitia marshalli", "Domitia viridipennis", "Dorcacerus barbatus", "Dorcadida bilocularis", "Dorcadida walkeri", "Dorcadion abakumovii", "Dorcadion alakoliense", "Dorcadion cephalotes", "Dorcadion ganglbaueri", "Dorcadion gebleri", "Dorcadion tenuelineatum", "Dorcadion validipes", "Dorcadion absinthium", "Dorcadion acutispinum", "Dorcadion alexandris", "Dorcadion arietinum", "Dymasius indigus", "Dymasius kisanus", "Dymasius lepidus", "Dymasius lineolatus", "Dymasius lundbergi", "Dymasius macilentus", "Dymasius maculatus", "Dymasius makarovi", "Dymasius mandibularis", "Dymasius minor", "Dymasius miser", "Dymasius moestulus", "Dymasius murzini", "Dymasius niger", "Dymasius nimbatus", "Dymasius nodifer", "Dymasius ornatus", "Dymasius parvus", "Dymasius plagiatus", "Dymasius prominor", "Dymasius querceus", "Dymasius simplex", "Dymasius sordidus", "Dymasius sticheri", "Dymasius strigosus", "Dymasius subvestitus", "Dymasius sumbaensis", "Dymasius turgidulus", "Dymasius uncatus", "Dymasius verticosus", "Dymasius vitreus", "Dymasius ysmaeli", "Dymorphocosmisoma diversicornis", "Dynamostes audax", "Dysiatus melas", "Dysmathosoma lucidus", "Dysmathosoma picipes", "Dystasia affinis", "Dystasia bella", "Dystasia cambodgensis", "Dystasia chassoti", "Dystasia circulata", "Dystasia cristata", "Dystasia granulosa", "Dystasia grisescens", "Dystasia humeralis", "Dystasia javanica", "Dystasia laosica", "Dystasia laterivitta", "Dystasia mindanaonis", "Dystasia multifasciculata", "Dystasia niasensis", "Dystasia nubila", "Dystasia proxima", "Dystasia pygmaeola", "Dystasia quadratiplagiata", "Dystasia rondoni", "Dystasia semicana", "Dystasia siamensis", "Dystasia sibuyana", "Dystasia similis", "Dystasia siporensis", "Dystasia subcristata", "Dystasia subuniformis", "Cupanoscelis clavipes", "Cupanoscelis heteroclita", "Cupanoscelis inermis", "Cupanoscelis latitibialis", "Cupanoscelis sanmartini", "Cupanoscelis serrana", "Cupecuara argodi", "Cupecuara pojuca", "Cupecuara santossilvai", "Cupecuara soledari", "Cupecuara turnbowi", "Cupeyalia subterranea", "Curiofrea curiosa", "Curitiba brunni", "Curius dentatus", "Curius panamensis", "Curius punctatus", "Curtomerus brunneus", "Curtomerus fasciatus", "Curtomerus flavus", "Curtomerus glaber", "Curtomerus lingafelteri", "Curtomerus piraiuba", "Curtomerus politus", "Curtomerus puncticollis", "Curtomerus purus", "Curuapira apyama", "Curuapira armandi", "Curuapira exotica", "Curuapira hovorei", "Curuapira tuberosa", "Cyanagapanthia aurecens", "Cyanagapanthia bicolor", "Cyaneophytoecia sospita", "Cyanolipton metallicum", "Cyanomethia pseudothonalmus", "Cyardium castelnaudii", "Cyardium cribrosum", "Cyardium granulatum", "Cyardium malaccense", "Cyardium obscurum", "Cyardium truncatum", "Cyardium variegatum", "Cycloclonius crinitus", "Cycloclonius tristani", "Cyclopeplus batesii", "Cyclopeplus castaneus", "Cyclopeplus cyaneus", "Cyclopeplus lacordairei", "Cyclopeplus peruvianus", "Cycloprionus flavus", "Cyclotaenia discus", "Cycnidolon apicale", "Cycnidolon approximatum", "Cycnidolon batesianum", "Cycnidolon bimaculatum", "Cycnidolon binodosum", "Cycnidolon bruchi", "Cycnidolon caracense", "Cycnidolon clarkei", "Cycnidolon eques", "Cycnidolon gounellei", "Cycnidolon minutum", "Cycnidolon obliquum", "Dystasia tonkinea", "Dystasia valida", "Dystasia variegata", "Dystasiopsis malaccana", "Dystasiopsis spiniscapus", "Dysthaeta anomala", "Dysthaeta incerta", "Dysthaeta naevia", "Dystomorphus diversus", "Dystomorphus esakii", "Dystomorphus nigrosignatus", "Dystomorphus niisatoi", "Dystomorphus notatus", "Dystomorphus piceae", "Dystomorphus sichuanensis", "Ebaeides albopicta", "Ebaeides arcuosus", "Ebaeides basalis", "Ebaeides borneensis", "Ebaeides corporaali", "Ebaeides dohertyi", "Ebaeides exigua", "Ebaeides fulva", "Ebaeides grouvellei", "Ebaeides hirsuta", "Ebaeides malaccensis", "Ebaeides monstrosa", "Ebaeides montana", "Ebaeides palawanicola", "Ebaeides palawanicus", "Ebaeides palliata", "Ebaeides perakensis", "Ebaeides pilosicornis", "Ebaeides rufula", "Ebaeides samarensis", "Ebaeides strandiella", "Eboraphyllus middletoni", "Eburella longicollis", "Eburella pinima", "Eburella pumicosa", "Eburia aegrota", "Eburia aliciae", "Eburia amabilis", "Eburia angeldiazi", "Eburia bahamicae", "Eburia baroni", "Eburia bimaculata", "Eburia bonairensis", "Eburia brevicornis", "Eburia brevispinis", "Eburia brunneicomis", "Eburia cacapyra", "Eburia caymanensis", "Eburia championi", "Eburia charmata", "Eburia chemsaki", "Eburia cinerea", "Eburia cinereopilosa", "Eburia clara", "Eburia concisispinis", "Eburia confusa", "Eburia copei", "Eburia crinita", "Eburia cruciata", "Eburia cubae", "Eburia decemmaculata", "Eburia dejeani", "Eburia didyma", "Eburia distincta", "Eburia elegans", "Eburia elongata", "Eburia fisheri", "Eburia frankiei", "Eburia giesberti", "Eburia girouxae", "Eburia haldemani", "Eburia hovorei", "Eburia inarmata", "Eburia inermis", "Eburia inexpectata", "Eburia insulana", "Eburia jamaicae", "Eburia juanitae", "Eburia laticollis", "Eburia latispina", "Eburia lewisi", "Eburia linsleyi", "Eburia longicornis", "Eburia maccartyi", "Eburia macrotaenia", "Eburia marginalis", "Eburia mutata", "Eburia mutica", "Eburia nigrovittata", "Eburia octomaculata", "Eburia ovicollis", "Eburia paraegrota", "Eburia pecki", "Eburia pedestris", "Eburia pellacia", "Eburia perezi", "Eburia pilosa", "Eburia pinarensis", "Eburia portoricensis", "Eburia porulosa", "Eburia postica", "Eburia powelli", "Eburia quadrigeminata", "Eburia quadrimaculata", "Eburia quadrinotata", "Eburia ramsdeni", "Eburia ribardoi", "Eburia rufobrunnea", "Eburia schusteri", "Eburia semipubescens", "Eburia sericea", "Eburia sexnotata", "Eburia stigma", "Eburia submutata", "Eburia terroni", "Eburia tetrastalacta", "Eburia thoracica", "Eburia velmae", "Eburiaca sinopia", "Eburida quadriguttata", "Eburiola geminata", "Eburiomorpha guttata", "Eburodacrys aenigma", "Eburodacrys alini", "Eburodacrys amazonica", "Eburodacrys apua", "Eburodacrys asperula", "Eburodacrys assimilis", "Eburodacrys ayri", "Eburodacrys bezarki", "Eburodacrys biffipradorum", "Eburodacrys bilineata", "Eburodacrys callixantha", "Eburodacrys campestris", "Eburodacrys catarina", "Eburodacrys coalescens", "Eburodacrys costai", "Eburodacrys crassimana", "Eburodacrys cunusaia", "Eburodacrys decipiens", "Eburodacrys dubitata", "Eburodacrys eburioides", "Eburodacrys eduardoi", "Eburodacrys elegantula", "Eburodacrys errata", "Eburodacrys eurytibialis", "Eburodacrys flexuosa", "Eburodacrys fortunata", "Eburodacrys fraterna", "Eburodacrys gaucha", "Eburodacrys gigas", "Eburodacrys granipennis", "Eburodacrys havanensis", "Eburodacrys hirsutula", "Eburodacrys inaequalis", "Eburodacrys laevicornis", "Eburodacrys lancinata", "Eburodacrys lanei", "Eburodacrys lenkoi", "Eburodacrys lepida", "Eburodacrys longilineata", "Eburodacrys luederwaldti", "Eburodacrys lugubris", "Eburodacrys mancula", "Eburodacrys martinezi", "Eburodacrys megaspilota", "Eburodacrys monticola", "Eburodacrys moruna", "Eburodacrys nemorivaga", "Eburodacrys notula", "Eburodacrys obscura", "Eburodacrys perspicillaris", "Eburodacrys pilicornis", "Eburodacrys pinima", "Eburodacrys prolixa", "Eburodacrys puella", "Eburodacrys pumila", "Eburodacrys punctipennis", "Eburodacrys putia", "Eburodacrys quadridens", "Eburodacrys raripila", "Eburodacrys rhabdota", "Eburodacrys rubicunda", "Eburodacrys rufispinis", "Eburodacrys sanguinipes", "Eburodacrys santossilvai", "Eburodacrys seabrai", "Eburodacrys seminigra", "Eburodacrys sexguttata", "Eburodacrys sexmaculata", "Eburodacrys silviamariae", "Eburodacrys skillmani", "Eburodacrys stahli", "Eburodacrys sticticollis", "Eburodacrys sulfurifera", "Eburodacrys sulphureosignata", "Eburodacrys superba", "Eburodacrys translucida", "Eburodacrys trilineata", "Eburodacrys triocellata", "Eburodacrys truncata", "Eburodacrys tuberosa", "Eburodacrys vidua", "Eburodacrys vittata", "Eburodacrys wappesi", "Eburodacrys xirica", "Eburodacrys yolandae", "Eburodacrystola pickeli", "Eburophora eburata", "Eburophora octoguttata", "Eburostola amazonica", "Eccrisis abdominalis", "Eccrisis adlbaueri", "Eccrisis alboscutata", "Eccrisis biannulata", "Eccrisis collaris", "Eccrisis dimorpha", "Eccrisis discalis", "Eccrisis distincta", "Eccrisis filipennis", "Eccrisis flavicollis", "Eccrisis luctifera", "Eccrisis muscaria", "Eccrisis perrieri", "Eccrisis plagiaticollis", "Eccrisis ruficornis", "Eccrisis scalabrii", "Eccrisis septentrionalis", "Eccrisis seyrigi", "Eccrisis vitrea", "Echaristha bilobata", "Echaristha pictipennis", "Echinovelleda antiquua", "Echinovelleda chinensis", "Echthistatodes brunneus", "Echthistatodes gongshanus", "Echthistatodes subobscurus", "Echthistatus cobosi", "Echthistatus hawksi", "Echthistatus spinosus", "Eclipta aberlenci", "Eclipta aegrota", "Eclipta amabilis", "Eclipta amanoaphila", "Eclipta anoguttata", "Eclipta astrigae", "Eclipta atripes", "Eclipta bilineaticollis", "Eclipta bipunctata", "Eclipta birai", "Hexastylis speciosa", "Asarum fauriei var. takaoi", "Harpactea arnedoi", "Harpactea kencei", "Harpactea achsuensis", "Asarum caulescens", "Harpactea azerbajdzhanica", "Asarum delavayi", "Harpactea buchari", "Harpactea hyrcanica", "Harpactea indistincta", "Harpactea karabachica", "Harpactea martensi", "Harpactea modesta", "Harpactea nachitschevanica", "Harpactea talyschica", "Harpactea vagabunda", "Harpactea zjuzini", "Asarum hatushimae", "Collocalia natalis", "Lathrobium adsurgens", "Lathrobium guransicum", "Eclipta bistriaticollis", "Eclipta bivittata", "Eclipta brachialis", "Eclipta brevipennis", "Eclipta castanea", "Eclipta championella", "Eclipta cribripennis", "Eclipta curtipennis", "Eclipta cyanea", "Eclipta discolor", "Eclipta eirene", "Eclipta eperuaphila", "Eclipta erythrodera", "Eclipta faurei", "Eclipta ficta", "Eclipta flavicollis", "Eclipta fritschei", "Eclipta gracilis", "Eclipta guianensis", "Eclipta lanuginosa", "Eclipta lateralis", "Eclipta liturifera", "Eclipta lucida", "Eclipta malacodermoides", "Eclipta malthinoides", "Eclipta melzeri", "Eclipta minuens", "Eclipta nais", "Eclipta nearnsi", "Eclipta nigriventris", "Eclipta notaticollis", "Eclipta notatipes", "Eclipta perplexa", "Eclipta prolixa", "Eclipta pseudoruficollis", "Eclipta quadrispinosa", "Eclipta ramulicola", "Eclipta ricei", "Eclipta ruficollis", "Eclipta sallaei", "Eclipta seabrai", "Eclipta semiflammea", "Eclipta seminigra", "Eclipta signaticollis", "Eclipta socia", "Eclipta subcastanea", "Eclipta taraleaphila", "Eclipta thoracica", "Eclipta transversemaculata", "Eclipta vitticollis", "Ecliptoides azadi", "Ecliptoides bauhiniae", "Ecliptoides hogani", "Ecliptoides hovorei", "Ecliptoides julietae", "Ecliptoides lauraceae", "Ecliptoides monostigma", "Ecliptoides plaumanni", "Ecliptoides pseudovicinus", "Ecliptoides pusillus", "Ecliptoides rouperti", "Ecliptoides rufulus", "Lathrobium latius", "Lathrobium egens", "Lathrobium bitaleatum", "Asarum kumageanum", "Asarum maximum", "Caucanthobium mirandum", "Lepidoblepharis nukak", "Asarum minamitanianum", "Pseudoboodon gascae", "Asarum monodoriflorum", "Amphisbaena borelli", "Harpactea zoiai", "Harpactea zannonensis", "Harpactea zaitzevi", "Atractus collaris", "Leiosaurus paronae", "Harpactea yakourensis", "Harpactea acuta", "Harpactea caligata", "Harpactea innupta", "Lepidoblepharis festae", "Harpactea kalaensis", "Aristolochia zollingeriana", "Harpactea dumonti", "Harpactea auresensis", "Harpactea aurigoides", "Harpactea christae", "Harpactea heizerensis", "Harpactea incurvata", "Harpactea kareli", "Harpactea mertensi", "Harpactea mitidjae", "Harpactea monicae", "Falagonia mexicana", "Falagonilla cursor", "Gallardoia argentina", "Gallardoia bucki", "Gramminopleurus vadoni", "Kiliasia granulosa", "Gryptaulacus marshalli", "Gryptaulacus bonus", "Heteroporus ferrugineus", "Homalodonia kenyae", "Asarum rigescens", "Lepthyphantes magnesiae", "Asarum rigescens var. brachypodion", "Asarum sakawanum", "Asarum senkakuinsulare", "Lepidoblepharis grandis", "Lepidoblepharis emberawoundule", "Lepidoblepharis rufigularis", "Lepidoblepharis victormartinezi", "Melanosternarchus amaru", "Neolitsea parvigemma", "Asarum campaniflorum", "Asarum kinoshitae", "Kiliasia pennina", "Asarum sakawanum var. stellatum", "Aristolochia pohliana", "Ecliptoides tavakiliani", "Ecliptoides titoi", "Ecliptoides vandenberghei", "Ecliptoides vargasi", "Ecliptoides vicinus", "Ecliptophanes bucki", "Ecliptophanes chacunfrancozi", "Ecliptophanes laticornis", "Ecliptophanes scopipes", "Ecliptophanes silvai", "Ecoporanga achira", "Ecoporanga cooperi", "Ecoporanga wallacei", "Ectatina irrorata", "Ectatosia invitticollis", "Ectatosia maculosa", "Ectatosia moorei", "Ectatosia sumatrensis", "Ecteneolus flohri", "Ectenessa angusticollis", "Ectenessa argodi", "Ectenessa aurantiaca", "Ectenessa caputnigra", "Ectenessa decorata", "Ectenessa fenestrata", "Ectenessa guttigera", "Ectenessa gymnopennis", "Ectenessa lurida", "Ectenessa nitida", "Ectenessa ocellata", "Ectenessa ornatipennis", "Ectenessa quadriguttata", "Ectenessa scansor", "Ectenessa spinipennis", "Ectenessa villardi", "Ectenesseca clavula", "Ectenessidia nigriventris", "Ectenessidia varians", "Ecthoea quadricornis", "Ectinogramma isosceloides", "Ectinope setosus", "Ectinope spinicollis", "Ecyroschema favosa", "Ecyroschema morini", "Ecyroschema multituberculata", "Ecyroschema rugata", "Ecyroschema tuberculata", "Ecyroschema zanzibarica", "Ecyrus albifrons", "Ecyrus arcuatus", "Ecyrus ciliatus", "Ecyrus dasycerus", "Ecyrus hirtipes", "Ecyrus lineicollis", "Ecyrus pacificus", "Ecyrus penicillatus", "Eczemotellus subtilipictus", "Eczemothea caenosa", "Eczemothea pustulifera", "Eduardiella pretiosa", "Egalicia flavescens", "Egalicia testacea", "Egesina albofasciata", "Egesina albolineata", "Egesina albomaculata", "Egesina amoenula", "Egesina anterufulipennis", "Egesina aspersa", "Egesina bakeri", "Egesina basirufa", "Egesina bhutanensis", "Egesina ceylonensis", "Egesina cylindrica", "Egesina davaoana", "Egesina diffusa", "Egesina fisheri", "Egesina fuchsi", "Egesina fusca", "Egesina generosa", "Egesina gracilicornis", "Egesina gressitti", "Egesina javana", "Egesina javanica", "Egesina lacertosa", "Egesina lanigera", "Egesina laosiana", "Egesina malaccensis", "Egesina mentaweiensis", "Egesina nomurai", "Egesina ornata", "Egesina partealboantennata", "Egesina picina", "Egesina postvittata", "Egesina rigida", "Egesina setosa", "Egesina siamensis", "Egesina umbrina", "Egesina varia", "Egesina anfracta", "Egesina sarawakensis", "Egesina vitticollis", "Egesina anterufipennis", "Egesina cruciata", "Egesina elegans", "Egesina minuta", "Egesina monticola", "Egesina mystica", "Egesina pascoei", "Egesina callosa", "Egesina cleroides", "Egesina digitata", "Egesina guerryi", "Egesina mjobergi", "Egesina salicivora", "Egesina subfasciata", "Egesina tarsata", "Egesina albomarmorata", "Egesina flavoapicalis", "Egesina flavopicta", "Egesina formosana", "Egesina fujiwarai", "Egesina fuscolaterimaculata", "Egesina gilmouri", "Egesina grossepunctata", "Egesina indica", "Icariella hauseri", "Asarum tamaense", "Bisetifer cephalotus", "Asarum villisepalum", "Asarum yakusimense", "Bisetifer gruzin", "Letheobia akagerae", "Hydnora esculenta", "Letheobia weidholzi", "Hydnora johannis", "Hydnora triceps", "Hydnora visseri", "Bulbophyllum teretifolium", "Pomatocalpa macphersonii", "Dactylopisthes khatipara", "Dactylopisthes dongnai", "Aristolochia enricoi", "Dactylopisthes marginalis", "Dactylopisthes locketi", "Aristolochia goldieana", "Dactylopisthes mirabilis", "Stemonyphantes griseus", "Aristolochia macrocarpa", "Aristolochia praevenosa", "Aristolochia promissa", "Aristolochia australopithecurus", "Afrotyphlops punctatus", "Lycophidion irroratum", "Neverita didyma", "Euscalpellum cliftonense", "Elaphidion nearnsi", "Elaphidion niveonotatum", "Elaphidion pauropilosum", "Elaphidion pseudonomon", "Elaphidion pusillum", "Elaphidion quadrituberculatum", "Elaphidion rotundipenne", "Elaphidion scabricolle", "Elaphidion scaramuzzai", "Elaphidion splendidum", "Elaphidion tectum", "Elaphidion thompsoni", "Elaphidion tomentosum", "Elaphidion tuberculicolle", "Elaphidion uncinatum", "Elaphidion unispinosum", "Elaphidion wappesi", "Elaphidion williamsi", "Elaphidionopsis fasciatipennis", "Elaphopsis rubida", "Elaptoides cofaisae", "Elaptus dimidiatus", "Elaptus pilosicollis", "Elaptus simulator", "Elaptus brevicornis", "Elaptus prionoides", "Elateropsis antennatus", "Elateropsis bahamicus", "Elateropsis castaneous", "Elateropsis caymanensis", "Elateropsis dichroma", "Elateropsis ebeninus", "Elateropsis fellerae", "Elateropsis femoratus", "Elateropsis foliaceus", "Elateropsis fulvipes", "Elateropsis julio", "Elateropsis nigricornis", "Elateropsis nigripes", "Elateropsis peregrinus", "Elateropsis quinquenotatus", "Elateropsis reticulatus", "Elateropsis rugosus", "Elateropsis scabrosus", "Elateropsis sericeiventris", "Elateropsis trimarginatus", "Elateropsis woodleyi", "Elatotrypes hoferi", "Purpuricenus medici", "Elegantogyaritus wakaharai", "Elegantometallyra juheli", "Elegantozoum teocchii", "Elelea concinna", "Elelea multipunctata", "Eleothinus abstrusus", "Eleothinus longulus", "Eleothinus pygmaeus", "Eleutho stroheckeri", "Eligmoderma aragua", "Eligmoderma convexicolle", "Eligmoderma ibidionoides", "Eligmoderma lara", "Egesina modiglianii", "Egesina ochraceovittata", "Egesina picea", "Egesina picta", "Egesina pseudocallosa", "Egesina rondoni", "Egesina sericans", "Egesina shibatai", "Egesina sikkimensis", "Elacomia borneensis", "Elacomia clytina", "Elacomia collaris", "Elacomia elongatula", "Elacomia femorata", "Elacomia histrionica", "Elacomia joanivivesi", "Elacomia michioi", "Elacomia misolensis", "Elacomia semiannulata", "Elacomia subbifasciatus", "Elacomia tonkinensis", "Harpactea forceps", "Elacomia trusmadiana", "Elacomia vietnamica", "Elaidius biplagiatus", "Elaphidion albosignatum", "Elaphidion androsensis", "Elaphidion angustatum", "Elaphidion auricoma", "Elaphidion bahamicae", "Elaphidion bidens", "Elaphidion cayamae", "Elaphidion clavis", "Elaphidion conspersum", "Elaphidion costipenne", "Elaphidion cristalensis", "Elaphidion cryptum", "Elaphidion cubae", "Elaphidion curacaoae", "Elaphidion densevestitum", "Elaphidion depressum", "Elaphidion difflatus", "Elaphidion elongatum", "Elaphidion excelsum", "Elaphidion fracticorne", "Aristolochia panamensis", "Elaphidion frisevestitum", "Elaphidion fullonium", "Elaphidion glabratum", "Elaphidion glabriusculum", "Elaphidion iviei", "Elaphidion jamaicensis", "Elaphidion jibacoense", "Elaphidion knulli", "Elaphidion laeve", "Elaphidion lanatum", "Elaphidion lewisi", "Elaphidion linsleyi", "Elaphidion liviae", "Elaphidion manni", "Elaphidion mayesae", "Elaphidion michelii", "Elaphidion mimeticum", "Elaphidion mucronatum", "Afrotyphlops mucruso", "Afrotyphlops obtusus", "Afrotyphlops brevis", "Stemonyphantes grossus", "Lepthyphantes perfidus", "Agave angustifolia var. angustifolia", "Phalaenopsis difformis", "Gilliesia monophylla", "Afrotyphlops kaimosae", "Elytroleptus floridanus", "Elytroleptus grandis", "Elytroleptus humeralis", "Elytroleptus ignitus", "Elytroleptus immaculipennis", "Elytroleptus limpianus", "Elytroleptus luteus", "Elytroleptus nigripennis", "Elytroleptus pallidus", "Elytroleptus quadricostatus", "Elytroleptus rufipennis", "Elytroleptus scabricollis", "Elytroleptus similis", "Embrikstrandia bimaculata", "Embrikstrandia distincta", "Embrikstrandia inexpectata", "Embrikstrandia notaticeps", "Aristolochia paecilantha", "Embrikstrandia unifasciata", "Embryon griseovillosum", "Emeileptura conspecta", "Emenica fulva", "Emenica nigripennis", "Emeopedopsis laosensis", "Emeopedus degener", "Emeopedus insidiosus", "Emeopedus solutus", "Emeopedus alboguttatus", "Emeopedus griseomarmoratus", "Emeopedus longicornis", "Emeopedus pulchellus", "Emeopedus baloghi", "Emeopedus papuanus", "Emeopedus variegatus", "Emphiesmenus nodicollis", "Emphiesmenus schageni", "Emphreus adlbaueri", "Emphreus ferruginosoides", "Emphreus ferruginosus", "Harpactea fageli", "Emphreus fuscovariegatus", "Emphreus fuscovittatus", "Emphreus lineatipennis", "Emphreus pachystoloides", "Emphreus tuberculosus", "Emphreus wittei", "Desmiphora x-signata", "Diadelia x-brunnea", "Diadelia x-fasciata", "Diadelia x-fascioides", "Diadelia x-flava", "Diadelia x-fusca", "Diadelia x-fuscoides", "Aristolochia triangularis", "Harpactea maelfaiti", "Harpactea ovata", "Harpactea reniformis", "Harpactea senalbensis", "Harpactea sinuata", "Asarum muramatsui", "Harpactea undosa", "Stenocercus festae", "Harpactea ice", "Harpactea wolfgangi", "Erythrolamprus festae", "Phrurolithus thracia", "Zodarion beroni", "Solanum odoriferum", "Homalodonia merus", "Homalodonia opacipennis", "Homalodonia politzari", "Homalodonia villosus", "Homalodonia overlaeti", "Homalodonia pedisequa", "Homalodonia piliventris", "Pseudotomodon trigonatus", "Philodryas psammophidea", "Kiliasia nordlandica", "Oonopinus ionicus", "Harpactea apollinea", "Harpactea strinatii", "Harpactea villehardouini", "Harpactea incerta", "Tegenaria hauseri", "Tegenaria pieperi", "Hahnia molossidis", "Palliduphantes epaminondae", "Palliduphantes byzantinus", "Asarum nipponicum var. nankaiense", "Asarum perfectum", "Eligmoderma minuta", "Eligmoderma politum", "Eligmoderma trifasciatum", "Eligmoderma ziczac", "Elongatocontoderus fuscofasciatus", "Elongatohomelix mortoni", "Elongatomerionoeda elegans", "Elongatomerionoeda filipina", "Elongatomerionoeda luzonica", "Elongatomerionoeda venusta", "Elongatopothyne basirufipennis", "Elongatoserixia flavosuturalis", "Elongatosybra flava", "Elydnus amictus", "Elydnus barclayi", "Elydnus rufulus", "Elydnus tatianae", "Elydnus vitalii", "Elytracanthina propinqua", "Elytracanthina pugionata", "Elytrimitatrix undata", "Elytrimitatrix batesi", "Elytrimitatrix bispinosa", "Elytrimitatrix brevicornis", "Elytrimitatrix castanea", "Elytrimitatrix charpentierae", "Elytrimitatrix chrysostigma", "Elytrimitatrix cinnamea", "Elytrimitatrix clavata", "Elytrimitatrix cunninghami", "Elytrimitatrix curoei", "Elytrimitatrix fuscula", "Elytrimitatrix geniculata", "Elytrimitatrix giesberti", "Elytrimitatrix guatemalana", "Elytrimitatrix guisayotea", "Elytrimitatrix hefferni", "Elytrimitatrix hoegei", "Elytrimitatrix hondurenha", "Elytrimitatrix incognita", "Elytrimitatrix irregularis", "Elytrimitatrix lineatopora", "Elytrimitatrix linsleyi", "Elytrimitatrix mexicana", "Elytrimitatrix michelii", "Elytrimitatrix nearnsi", "Elytrimitatrix nigrella", "Elytrimitatrix nogueirai", "Elytrimitatrix pictipes", "Elytrimitatrix pseudosimplex", "Elytrimitatrix pseudovittata", "Elytrimitatrix pubescens", "Elytrimitatrix punctiventris", "Elytrimitatrix sauria", "Elytrimitatrix setosa", "Elytrimitatrix sharonae", "Elytrimitatrix simplex", "Elytrimitatrix spinifemora", "Elytrimitatrix trifasciata", "Elytrimitatrix violacea", "Elytrimitatrix vittata", "Elytroleptus apicalis", "Elytroleptus divisus", "Afrotyphlops liberiensis", "Agave americana var. franzosinii", "Afrotyphlops congestus", "Agave cantala", "Parnassius clodius strohbeeni", "Agave caribaeicola", "Agave cocui", "Agave congesta", "Agave cupreata", "Agave datylio var. vexans", "Megalepthyphantes kronebergi", "Afrotyphlops gierrai", "Phytolacca icosandra var. icosandra", "Agave albopilosa", "Megalepthyphantes kuhitangensis", "Mughiphantes ovtchinnikovi", "Bolyphantes bipartitus", "Agave americana subsp. americana", "Agave virginica", "Agave variegata", "Improphantes pamiricus", "Improphantes potanini", "Agave americana var. expansa", "Tillandsia juncea", "Homoeomma chilensis", "Homoeomma orellanai", "Agave gentryi", "Afrotyphlops rondoensis", "Afrotyphlops lineolatus", "Agave asperrima subsp. asperrima", "Agave scabra", "Afrotyphlops cuneirostris", "Afrotyphlops platyrhynchus", "Agave atrovirens var. atrovirens", "Afrotyphlops steinhausi", "Afrotyphlops usambaricus", "Agave attenuata subsp. attenuata", "Afrotyphlops tanganicanus", "Afrotyphlops schmidti", "Janetschekia monodon", "Allium brussalisii", "Janetschekia necessaria", "Tapinocyba spoliatrix", "Minicia kirghizica", "Agyneta kopetdaghensis", "Agyneta subnivalis", "Agyneta tianschanica", "Afrotyphlops schlegelii", "Bolephtyphantes indexoides", "Bolyphantes severtzovi", "Knorringia sibirica", "Afrotyphlops fornasinii", "Lepthyphantes cruciformis", "Lepthyphantes escapus", "Lepthyphantes hissaricus", "Guyruita cerrado", "Guyruita atlantica", "Guyruita waikoshiemi", "Agave horrida subsp. horrida", "Agave inaequidens", "Agave inaequidens subsp. inaequidens", "Agave isthmensis", "Agave karatto", "Atractus boulengerii", "Agave difformis", "Atractus iridescens", "Synophis bicolor", "Ptychoglossus festae", "Drepanoides anomalus", "Mecynargus asiaticus", "Chrysosplenium fauriei", "Mesasigone mira", "Panamomops pamiricus", "Scotinotylus tianschanicus", "Tibioplus tachygynoides", "Acartauchenius asiaticus", "Agave durangensis", "Acartauchenius monoceros", "Trichopterna grummi", "Agave demeesteriana", "Agave deserti subsp. deserti", "Rhinotyphlops boylei", "Rhinotyphlops lalandei", "Rhinotyphlops schinzi", "Lepthyphantes subtilis", "Rhinotyphlops ataeniatus", "Megalepthyphantes turkestanicus", "Lepthyphantes ultimus", "Rhinotyphlops unitaeniatus", "Piniphantes zonsteini", "Rhinotyphlops leucocephalus", "Stemonyphantes curvipes", "Asthenargus edentulus", "Collinsia tianschanica", "Diplocephalus bifurcatus", "Diplocephalus montanus", "Erigonoplus kirghizicus", "Carcharhinus obsolerus", "Agave gigantensis", "Asperula scutellaris", "Asperula rupestris", "Agave guadalajarana", "Agave gypsophila", "Galium firmum", "Aristaeopsis edwardsiana", "Pandalus platyceros", "Thottea duchartrei", "Thecadactylus solimoensis", "Thottea sivarajanii", "Thottea dalzellii", "Asarum asperum", "Asarum blumei", "Asarum virginicum", "Solanum nitidum", "Harpactea oranensis", "Harpactea ouarsenensis", "Harpactea armenica", "Harpactea deelemanae", "Harpactea golovatchi", "Harpactea nenilini", "Harpactea eskovi", "Harpactea secunda", "Emphytoecia alboliturata", "Emphytoecia camousseighti", "Emphytoecia dimidiata", "Emphytoecia elquiensis", "Emphytoecia lineolata", "Emphytoecia niveopicta", "Emphytoecia suturella", "Emphytoeciosoma daguerrei", "Enaphalodes antonkozlovi", "Enaphalodes archboldi", "Enaphalodes atomarius", "Enaphalodes bingkirki", "Enaphalodes birai", "Enaphalodes boyacanus", "Enaphalodes coronatus", "Enaphalodes cortiphagus", "Enaphalodes cunninghami", "Enaphalodes hispicornis", "Enaphalodes monzoni", "Enaphalodes niveitectus", "Enaphalodes rufulus", "Enaphalodes seminitidus", "Enaphalodes senex", "Enaphalodes taeniatus", "Enaretta acaciarum", "Enaretta aethiopica", "Enaretta brevicauda", "Enaretta brevicornis", "Enaretta castelnaudii", "Enaretta caudata", "Enaretta conifera", "Enaretta montana", "Enaretta paulinoi", "Enaretta somaliensis", "Enaretta varia", "Enchoptera apicalis", "Enchoptera nigricornis", "Encyclops caeruleus", "Encyclops californica", "Encyclops concinna", "Encyclops hubeiensis", "Encyclops luteoscelis", "Encyclops obscurellus", "Encyclops viridipennis", "Endybauna rapicara", "Eneodes hirsuta", "Eneodes viridulus", "Enes alboguttatus", "Enes familiaris", "Enes intinctus", "Enes irritans", "Enes juvencus", "Enes obliquus", "Enes porcellus", "Enes pulicaris", "Enes aruensis", "Enes enganensis", "Enes bakeri", "Enes luzonicus", "Enes marmoratus", "Enes pallidus", "Enes scutellaris", "Enes setiger", "Enes sibuyana", "Enes spinosus", "Engyum aurantium", "Engyum carinatum", "Engyum crassum", "Engyum euchare", "Engyum fasciatum", "Engyum fusiferum", "Engyum howdeni", "Engyum linsleyi", "Engyum ludibriosum", "Engyum martinsi", "Engyum melanodacrys", "Engyum oculare", "Engyum quadrinotatum", "Engyum transversum", "Engyum vicinum", "Engyum virgulatum", "Engyum zonarium", "Enicodes fichtelii", "Enicodes montrouzieri", "Enicodes schreibersii", "Enicoeme grisea", "Enicoeme krelli", "Enispiella grisella", "Enneaphyllus aeneipennis", "Enoplocerus armillatus", "Enoploderes vitticollis", "Enosmaeus cubanus", "Enotes lifuanus", "Enotocleptes denticollis", "Enotocleptes inermicollis", "Enotogenes exiguus", "Enotoschema sericans", "Entelopes amoena", "Entelopes glauca", "Entelopes nigritarsis", "Entelopes nigroflavus", "Entelopes similis", "Entelopes subsimilis", "Entelopes longzhouensis", "Entelopes fuscotarsalis", "Entelopes shelfordi", "Entelopes griseipennis", "Entelopes wallacei", "Entetraommatus christinae", "Entetraommatus imbecillus", "Entetraommatus quercicola", "Entetraommatus trifasciatus", "Enthymius dubius", "Enthymius farinosus", "Enthymius pachydermus", "Entomosterna cruentata", "Entomosterna ruficollis", "Eodalis dentellus", "Eodalis lepidus", "Eodorcadion altaicum", "Eodorcadion chinganicum", "Eodorcadion gansuense", "Eodorcadion glaucopterum", "Eodorcadion kadleci", "Eodorcadion minicarinatum", "Eodorcadion multicarinatum", "Eodorcadion oligocarinatum", "Eodorcadion ptyalopleurum", "Eodorcadion rubrosuturale", "Eodorcadion shanxiense", "Eodorcadion sifanicum", "Eodorcadion sinicum", "Eodorcadion tuvense", "Eodorcadion virgatum", "Eodorcadion argaloides", "Eodorcadion brandtii", "Eodorcadion consentaneum", "Eodorcadion dorcas", "Eodorcadion egregium", "Eodorcadion exaratum", "Eodorcadion gorbunovi", "Eodorcadion heros", "Eodorcadion intermedium", "Eodorcadion jakovlevi", "Eodorcadion kaznakovi", "Eodorcadion licenti", "Eodorcadion novitzkyi", "Eodorcadion oreadis", "Eodorcadion oryx", "Eodorcadion potaninellum", "Eodorcadion potanini", "Eodorcadion pseudornatum", "Eodorcadion savitskyi", "Eodorcadion wenhsini", "Eodorcadion zichyi", "Eohyllisia albolineata", "Eohyllisia allardi", "Eohyllisia luluensis", "Eohyllisia strandi", "Eoporis elegans", "Eoporis bifasciana", "Eoporis differens", "Eoporis mitonoi", "Eoporis pedongensis", "Eoporis simillima", "Eosthenias fasciculosus", "Eosybra bipunctata", "Eotithoes palinii", "Epacroplon armatipes", "Epania abdominalis", "Epania adustata", "Epania albertisi", "Epania amoorae", "Epania arisana", "Epania assamensis", "Epania atra", "Epania atramentaria", "Epania aurocollaris", "Epania australis", "Epania bicoloricornis", "Epania bipartita", "Epania brachelytra", "Epania brevipennis", "Epania calophylli", "Epania cingalensis", "Epania cobaltina", "Epania corusca", "Epania cribricollis", "Epania dilaticornis", "Epania discisa", "Epania discolor", "Epania finitima", "Epania fordi", "Epania fortipes", "Epania fulvonotata", "Epania funeta", "Epania fustis", "Epania gemellata", "Epania ignota", "Epania iriei", "Epania javana", "Epania kasaharai", "Epania kostali", "Epania lacunosa", "Epania lineola", "Epania maculata", "Epania metallescens", "Epania minuta", "Epania mira", "Epania mundali", "Epania pallescens", "Epania parvula", "Epania paulla", "Epania paulloides", "Epania petra", "Epania picipes", "Epania posticalis", "Epania praestans", "Epania pudens", "Epania pudica", "Epania pusio", "Epania quadra", "Epania ruficollis", "Epania rufipes", "Epania rugosulipennis", "Epania sarawackensis", "Epania scapularis", "Epania schwarzeri", "Epania septemtrionalis", "Epania shikokensis", "Epania singaporensis", "Epania skalei", "Epania subchalybeata", "Epania subvirida", "Epania vietnamica", "Epania asperanus", "Epaphra valga", "Epectasis hiekei", "Epectasis juncea", "Epectasis junceoides", "Epectasis mexicana", "Epectasis panamensis", "Epectasis rotundipennis", "Epectasis similis", "Epepeotes ambigenus", "Epepeotes andamanicus", "Epepeotes basigranatus", "Epepeotes birmanus", "Epepeotes ceramensis", "Epepeotes commixtus", "Epepeotes diversus", "Epepeotes elongatus", "Epepeotes gardneri", "Epepeotes himalayanus", "Epepeotes indistinctus", "Epepeotes integripennis", "Epepeotes jeanvoinei", "Epepeotes laosicus", "Epepeotes lateralis", "Epepeotes lugubris", "Epepeotes luscus", "Epepeotes meleagris", "Epepeotes nicobaricus", "Epepeotes nitidus", "Epepeotes pictus", "Epepeotes plorator", "Epepeotes schlegelii", "Epepeotes strandi", "Epepeotes taeniotinus", "Epepeotes timorensis", "Epepeotes uncinatus", "Epepeotes vestigialis", "Epepeotes vittatus", "Ephies abangae", "Ephies alius", "Ephies apicalis", "Ephies coccineus", "Ephies cruentus", "Ephies dilaticornis", "Ephies gahani", "Ephies gracilicornis", "Ephies gressitti", "Ephies hefferni", "Ephies japonicus", "Ephies laosensis", "Ephies nagaii", "Ephies nigrosericeus", "Ephies philippensis", "Ephies schwarzeri", "Ephies sericeus", "Ephies sulcipennis", "Ephies taoi", "Ephies thailandensis", "Ephippiotragus thomasi", "Ephippiotragus wappesi", "Epianthe funesta", "Epianthe viridis", "Epiblapsilon tuberculatum", "Epicasta ocellata", "Epicasta turbida", "Epicedia maculatrix", "Epicedia trimaculata", "Epicedia wrayi", "Epiclytus bicornutus", "Epiclytus hirsutus", "Epiclytus insolitus", "Epiclytus itoi", "Epiclytus veceri", "Epiclytus velaris", "Epopea lignosa", "Epopea orientalis", "Epopea subacuta", "Epropetes amazonica", "Epropetes atlantica", "Epropetes deterrima", "Epropetes elongata", "Epropetes hirsuta", "Epropetes howdenorum", "Epropetes latifascia", "Epropetes metallica", "Epropetes ozodiformis", "Epropetes serrana", "Epropetes tristis", "Epropetes velutina", "Epropetes zonula", "Epuraecha ochraceomaculata", "Eranina amacayacu", "Eranina argentina", "Eranina atatinga", "Eranina cendira", "Eranina ciliata", "Eranina cincticornis", "Eranina costaricensis", "Eranina cretaria", "Eranina curuca", "Eranina diana", "Eranina dispar", "Eranina esquinas", "Eranina flaviventris", "Eranina florula", "Eranina fuliginella", "Eranina fulveola", "Eranina hovorei", "Eranina humeralis", "Eranina icambi", "Eranina leuconoe", "Eranina meyeri", "Eranina moysesi", "Eranina nigrita", "Eranina pallidula", "Eranina pectoralis", "Eranina piriana", "Eranina porongaba", "Eranina pusilla", "Eranina rondonia", "Eranina suavissima", "Eranina tauaira", "Eranina univittata", "Eraninella longiscapus", "Ereis annulicornis", "Ereis anthriboides", "Ereis distincta", "Ereis javanica", "Ereis roseomaculata", "Ereis subfasciata", "Ereis sumatrensis", "Eremon fuscoplagiatum", "Eremon mycerinoides", "Eremophanes annulicornis", "Eremophanoides tanganjicae", "Eremosybra albosignata", "Eremosybra flavolineata", "Eremosybra flavolineatoides", "Erichsonia dentifrons", "Eriocharis devestivus", "Eriocharis lanaris", "Eriocharis richardii", "Erioderus candezei", "Erioderus hirtus", "Erioderus mimicus", "Erioderus pallens", "Eriphosoma barbiellinii", "Eriphosoma bipartitum", "Eriphosoma jacobi", "Eriphosoma marcela", "Eriphosoma mermudes", "Eriphus bahiensis", "Eriphus bisignatus", "Eriphus cardinalis", "Eriphus clarkei", "Eriphus dimidiatus", "Eriphus estebani", "Eriphus flavus", "Eriphus giuglarisi", "Eriphus haematoderus", "Eriphus immaculicollis", "Eriphus lineatocollis", "Eriphus longicollis", "Eriphus mathani", "Eriphus metallicus", "Eriphus mexicanus", "Eriphus petronillae", "Eriphus prolixus", "Eriphus purpuratus", "Eriphus rubellus", "Eriphus rufomaculatus", "Eriphus smaragdinus", "Eriphus variegatus", "Eriphus viridis", "Erlandia inopinata", "Erlandia mexicana", "Eroschema affine", "Eroschema apicipenne", "Eroschema atricolle", "Eroschema poweri", "Erosida delia", "Erosida formosa", "Erosida gratiosa", "Erosida lineola", "Erosida yucatana", "Erphaea pumicosa", "Erphaea stigma", "Erratamelitta eliasi", "Erratamelitta erato", "Eryalus tigrinus", "Eryphus bipunctatus", "Eryphus bivittatus", "Eryphus carinatus", "Eryphus carioca", "Eryphus flavicollis", "Eryphus laetus", "Eryphus marginatus", "Eryphus picticollis", "Eryphus tacuarembo", "Eryphus transversalis", "Erythraenus borneensis", "Erythresthes bowringii", "Epiclytus yokoyamai", "Epidichostates molossus", "Epidichostates strandi", "Epidiscoceps garnieri", "Epilysta flavescens", "Epilysta mucida", "Epimelitta penicillata", "Epimelitta prodigiosa", "Epimelitta rufiventris", "Epimelitta scoparia", "Epimesosa taliana", "Epipedocera abdominalis", "Epipedocera acaciae", "Epipedocera affinis", "Epipedocera asperata", "Epipedocera assamensis", "Epipedocera atra", "Epipedocera atritarsis", "Epipedocera cabigasiana", "Epipedocera chakhata", "Epipedocera cruentata", "Epipedocera effusa", "Epipedocera gracilenta", "Epipedocera guerryi", "Epipedocera hardwickii", "Epipedocera hoffmanni", "Epipedocera laticollis", "Epipedocera leucaspis", "Epipedocera limata", "Epipedocera lugens", "Epipedocera lunata", "Epipedocera mindanaona", "Epipedocera perelegans", "Epipedocera perroudi", "Epipedocera rollei", "Epipedocera rufipennis", "Epipedocera subatra", "Epipedocera subnitida", "Epipedocera subundulata", "Epipedocera vitalisi", "Epipedocera vitiosa", "Epipedocera zona", "Epipoda abeli", "Epipoda vanini", "Epipodocarpus andinus", "Epirochroa acutecostata", "Epirochroa affinis", "Epirochroa albicollis", "Epirochroa cervinocincta", "Epirochroa dujardini", "Epirochroa fairmairei", "Epirochroa fasciolata", "Epirochroa griseovaria", "Epirochroa sparsuta", "Epirochroa vadoni", "Epirochroides hovanus", "Episacus pilosicollis", "Epitophysis substriata", "Eponina breyeri", "Eponina flava", "Eponina lanuginosa", "Eponina metuia", "Eponina nigristernis", "Epopea acuta", "Erythresthes eximius", "Erythresthes sericellus", "Erythresthes shimomurai", "Erythrocalla patrizii", "Erythrochiton jucundum", "Erythrochiton nigrosignatum", "Erythrochiton sellatum", "Erythroclea bimaculata", "Erythroplatys boliviensis", "Erythroplatys cardinalis", "Erythroplatys corallifer", "Erythroplatys rugosus", "Erythroplatys simulator", "Erythropterus amabilis", "Erythropterus boliviensis", "Erythropterus cuissi", "Erythropterus kochi", "Erythropterus urucuri", "Erythrus angustatus", "Erythrus apicalis", "Erythrus apiculatus", "Erythrus ardens", "Erythrus argutus", "Erythrus assimilis", "Erythrus atricollis", "Erythrus atrofuscus", "Erythrus axillaris", "Erythrus biapicatus", "Erythrus bicolor", "Erythrus biimpressus", "Erythrus bimaculatus", "Erythrus blairi", "Erythrus brevidentatus", "Erythrus championi", "Erythrus coccineus", "Erythrus concisus", "Erythrus congruus", "Erythrus crassimargo", "Erythrus crinitoguttatus", "Erythrus deceptor", "Erythrus dentipes", "Erythrus directus", "Erythrus formosanus", "Erythrus fortunei", "Erythrus fruhstorferi", "Erythrus fuscescens", "Erythrus gilvellus", "Erythrus grandis", "Erythrus ignitus", "Erythrus intextus", "Erythrus lacertosus", "Erythrus laosensis", "Erythrus laticornis", "Erythrus ligystropteroides", "Erythrus lineatus", "Erythrus longipennis", "Erythrus magnus", "Erythrus marginiger", "Erythrus montanus", "Erythrus multimaculatus", "Erythrus nayani", "Erythrus nigrospadix", "Erythrus ochreatus", "Erythrus palliatus", "Esthlogenopsis ochreoscutellaris", "Estigmenida albolineata", "Estigmenida robusta", "Estigmenida variabilis", "Estola acricula", "Estola affinis", "Estola albicans", "Estola albocincta", "Estola albomarmorata", "Estola albosetosa", "Estola albosignata", "Estola albosparsa", "Estola albostictica", "Estola albovaria", "Estola alternata", "Estola annulata", "Estola annulicornis", "Estola annulipes", "Estola assimilis", "Estola attenuata", "Estola basiflava", "Estola basimaculata", "Estola basinotata", "Estola benjamini", "Estola boliviana", "Estola brunnea", "Estola brunneovariegata", "Estola brunnescens", "Estola cayennensis", "Estola cerdai", "Estola cinerea", "Estola columbiana", "Estola compacta", "Estola crassepunctata", "Estola cuneata", "Estola daidalea", "Estola densepunctata", "Estola dilloni", "Estola diversemaculata", "Estola flavescens", "Estola flavobasalis", "Estola flavolineata", "Estola flavomarmorata", "Estola flavostictica", "Estola fratercula", "Estola freyi", "Estola fuscomarmorata", "Estola fuscopunctata", "Estola fuscostictica", "Estola griseostictica", "Estola grisescens", "Estola hirsuta", "Estola hirsutella", "Estola hispida", "Estola ignobilis", "Estola imitatrix", "Estola insularis", "Estola kuscheli", "Estola lata", "Estola marmorata", "Estola microphthalma", "Estola minor", "Estola misella", "Estolomimus transversus", "Ethemon basale", "Ethemon basirufum", "Ethemon brevicorne", "Ethemon imbasale", "Ethemon iuba", "Ethemon lepidum", "Ethemon weiseri", "Ethioeme tipuliforme", "Ethiolygrus aarviki", "Ethiolygrus juheli", "Etimasu cosmipes", "Etiosaphanus werneri", "Etorofus pubescens", "Etorofus variicornis", "Etyma curu", "Etyma icima", "Etymosphaerion unicolor", "Eucharassus bicolor", "Eucharassus chemsaki", "Eucharassus dispar", "Eucharassus hovorei", "Eucharassus lingafelteri", "Eucharassus nevermanni", "Eucharassus nigratus", "Eucharassus nisseri", "Eucharassus wappesi", "Eucharitolus bellus", "Eucharitolus depressus", "Eucharitolus dorcadioides", "Eucharitolus geometricus", "Eucharitolus lituratus", "Eucharitolus longus", "Eucharitolus pulcher", "Eucharitolus spilotus", "Eucilmus insignicornis", "Eucomatocera vittata", "Eucrossus villicornis", "Eudaphisia albonotata", "Eudaphisia albonotatipennis", "Eudaphisia longicornis", "Euderces acutipennis", "Euderces andersoni", "Euderces aspericollis", "Euderces auricaudus", "Euderces azureus", "Euderces basimaculatus", "Euderces batesi", "Euderces bellus", "Euderces bicinctus", "Euderces biplagiatus", "Euderces boucardi", "Euderces brailovskyi", "Euderces cleriformis", "Euderces cribellatus", "Euderces cribripennis", "Euderces dilutus", "Dorcadion rosti", "Dorcadion rufoapicipenne", "Dorcadion rufogenuum", "Dorcadion sabanoezueense", "Dorcadion sarkislaense", "Dorcadion saulcyi", "Dorcadion scabricolle", "Dorcadion schultzei", "Dorcadion scrobicolle", "Dorcadion sebenense", "Dorcadion semiargentatum", "Dorcadion semibrunneum", "Dorcadion semilineatum", "Dorcadion semilucens", "Dorcadion seminudum", "Dorcadion semivelutinum", "Aristolochia weddellii subsp. rondoniana", "Dorcadion septemlineatum", "Dorcadion sericatum", "Dorcadion serouensis", "Dorcadion sevliczi", "Dorcadion shestopalovi", "Dorcadion shirvanicum", "Dorcadion shushense", "Dorcadion sinopense", "Dorcadion sinuatevittatum", "Dorcadion sisianense", "Dorcadion skoupyorum", "Dorcadion sodale", "Dorcadion sokolowi", "Dorcadion sonjae", "Dorcadion spectabile", "Dorcadion steineri", "Dorcadion stephaniae", "Dorcadion striolatum", "Dorcadion sturmii", "Dorcadion subatritarse", "Dorcadion subcinctellum", "Dorcadion subdivisum", "Dorcadion subinterruptum", "Dorcadion subsericatum", "Dorcadion sulcipenne", "Dorcadion susheriense", "Apatetica laevicollis", "Dorcadion syriense", "Dorcadion taborskyi", "Dorcadion talyschense", "Dorcadion tauricum", "Dorcadion taygetanum", "Dorcadion tebrisicum", "Dorcadion tekmanense", "Dorcadion theophilei", "Dorcadion thessalicum", "Dorcadion tokatense", "Dorcadion tuerki", "Dorcadion tuleskovi", "Dorcadion turcicum", "Dorcadion turkestanicum", "Dorcadion ullrichi", "Dorcadion urmianum", "Dorcadion ursulaheinzi", "Dorcadion valonense", "Dorcadion variegatum", "Erythrus pinguis", "Erythrus putus", "Erythrus quadrimaculatus", "Erythrus quadrisignatus", "Erythrus rectisuturalis", "Erythrus rhombeus", "Erythrus rothschildi", "Erythrus rotundicollis", "Erythrus rubriceps", "Erythrus sabahanus", "Erythrus serratus", "Erythrus stenideus", "Erythrus sternalis", "Erythrus suturellus", "Erythrus taiwanicus", "Erythrus usitatus", "Erythrus varicolor", "Erythrus viridipennis", "Erythrus wuggenigi", "Esaete rufulus", "Esaguasu brenensis", "Esamirim carinatus", "Esamirim chionides", "Esamirim divisus", "Esamirim fasciatus", "Escalonia carolinae", "Escalonia intricata", "Escalonia loxleyae", "Escalonia surprise", "Esmeralda coerulea", "Esmeralda costulata", "Esmeralda laetifica", "Esmeralda polita", "Esonius panopus", "Esseiachryson minutum", "Essisus dispar", "Essostrutha binotata", "Essostrutha laeta", "Essostruthella nevermanni", "Essostruthella notaticollis", "Esthlogena albisetosa", "Esthlogena albolineata", "Esthlogena amaliae", "Esthlogena brunnescens", "Esthlogena chicacaoensis", "Esthlogena comata", "Esthlogena dissimilis", "Esthlogena foveolata", "Esthlogena glaucipennis", "Esthlogena guatemalena", "Esthlogena lanata", "Esthlogena maculifrons", "Esthlogena mirandilla", "Esthlogena nigrosuturalis", "Esthlogena porosa", "Esthlogena porosoides", "Esthlogena spinipennis", "Esthlogena spinosa", "Esthlogena bella", "Esthlogena obliquata", "Esthlogena proletaria", "Esthlogenopsis atlantica", "Euderces dimidiatipennis", "Euderces disparicrus", "Euderces elvirae", "Euderces grossistriatus", "Euderces guatemalenus", "Euderces guerinii", "Euderces hoegei", "Euderces howdeni", "Euderces laevicauda", "Euderces linsleyi", "Euderces longicollis", "Euderces magnus", "Euderces nelsoni", "Euderces noguerai", "Euderces obliquefasciatus", "Euderces parallelus", "Euderces paraposticus", "Euderces perplexus", "Euderces picipes", "Euderces pini", "Euderces posticus", "Euderces postipallidus", "Euderces propinquus", "Euderces proximus", "Euderces pulcher", "Euderces pusillus", "Euderces reichei", "Euderces reticulatus", "Euderces rubellus", "Euderces sculpticollis", "Euderces spinicornis", "Euderces succinus", "Euderces tibialis", "Euderces turnbowi", "Euderces velutinus", "Euderces venezuelensis", "Euderces waltli", "Euderces wappesi", "Euderces westcotti", "Euderces yucatecus", "Eudesmus diopites", "Eudesmus ferrugineus", "Eudesmus grisescens", "Eudesmus nicaraguensis", "Eudianodes congolensis", "Eudianodes francottei", "Eudianodes hecqi", "Eudianodes jirouxi", "Eudianodes nonfriedi", "Eudianodes swanzyi", "Eudianodes tanzaniensis", "Eudihammus granulatus", "Eudistenia costipennis", "Eudryoctenes africanus", "Eudryoctenes spinipennis", "Eugamandus cayamae", "Eugamandus darlingtoni", "Eugamandus flavipes", "Eugamandus jamaicensis", "Eugamandus oakleyi", "Eugamandus ricarti", "Eugamandus schwarzi", "Eugamandus tuberculatus", "Eugoides coeruleipennis", "Eugoides suturalis", "Eugoides ulrichi", "Eugrapheus curtescapus", "Eugrapheus lineellus", "Eugrapheus longehamatus", "Eugrapheus perroti", "Eugrapheus spinipennis", "Eugrapheus vitticollis", "Eulachnesia boteroi", "Eulachnesia cobaltina", "Eulachnesia humeralis", "Eulachnesia monnei", "Eulachnesia smaragdina", "Eumathes amazonicus", "Eumathes canus", "Eumathes colombicus", "Eumathes cuprascens", "Eumecocera anomala", "Eumecocera argyrosticta", "Eumecocera callosicollis", "Eumecocera gleneoides", "Eumecocera minamii", "Eumecocera unicolor", "Eumichthus oedipus", "Eumimesis affinis", "Eumimesis carbonelli", "Eumimesis decoratus", "Eumimesis germana", "Eumimesis heilipoides", "Eumimesis suturalis", "Eumimesis trilineata", "Eunidia adlbaueri", "Eunidia aethiopica", "Eunidia affinis", "Eunidia albescens", "Eunidia albolineata", "Eunidia albolineatipennis", "Eunidia albonotata", "Eunidia albopicta", "Eunidia albosignata", "Eunidia alboterminata", "Eunidia albovariegata", "Eunidia allardi", "Eunidia alternata", "Eunidia amaniana", "Eunidia andamanica", "Eunidia angolana", "Eunidia annulata", "Eunidia annulicornis", "Eunidia anteflava", "Eunidia apicalis", "Eunidia apicefusca", "Eunidia apicemaculata", "Eunidia argentea", "Eunidia aspersa", "Eunidia atripennis", "Eunidia atripes", "Eunidia aureicollis", "Eunidia auricollis", "Eunidia batesii", "Eunidia bella", "Eunidia bicolor", "Eunidia bifasciata", "Eunidia bifuscoplagiata", "Eunidia bigriseovittata", "Eunidia biplagiata", "Eunidia bituberata", "Eunidia bjornstadi", "Eunidia boafoi", "Eunidia bremeri", "Eunidia breuningae", "Eunidia brunneopunctata", "Eunidia brunneovittata", "Eunidia brunneovittipennis", "Eunidia caffra", "Eunidia camerunica", "Eunidia castanoptera", "Eunidia ceylanica", "Eunidia clathrata", "Eunidia coiffaiti", "Eunidia conradti", "Eunidia cordifera", "Eunidia crassicornis", "Eunidia cruciata", "Eunidia cyanoptera", "Eunidia cylindrica", "Eunidia cylindricollis", "Eunidia deceptrix", "Eunidia decorata", "Eunidia delahayei", "Eunidia densealbosparsa", "Eunidia dilacerata", "Eunidia discobivittata", "Eunidia discomaculata", "Eunidia discounivittata", "Eunidia discovittata", "Eunidia diversimembris", "Eunidia diversipes", "Eunidia divisa", "Eunidia dolosa", "Eunidia dolosoides", "Eunidia duffyana", "Eunidia duffyi", "Eunidia duplicata", "Eunidia elisae", "Eunidia elongata", "Eunidia endroedyi", "Eunidia entwistlei", "Eunidia euzonata", "Eunidia exigua", "Eunidia fallaciosa", "Eunidia fasciata", "Eunidia femoralis", "Eunidia flava", "Eunidia flavicans", "Eunidia flavipes", "Eunidia flavoapicata", "Eunidia flavointerruptovittata", "Eunidia flavomarmorata", "Eunidia flavoornata", "Eunidia flavopicta", "Eunidia mimica", "Eunidia minettii", "Eunidia minima", "Eunidia minor", "Eunidia mirei", "Eunidia mombasae", "Eunidia morettoi", "Eunidia mourgliae", "Eunidia mourgliana", "Eunidia mucorea", "Eunidia muellerae", "Eunidia multialboguttata", "Eunidia multinigromaculata", "Eunidia murphyi", "Eunidia mussardi", "Eunidia nebulosa", "Eunidia nigeriae", "Eunidia nigricans", "Eunidia nigroapicalis", "Eunidia nigroapicaloides", "Eunidia nigrolateralis", "Eunidia nigrosignata", "Eunidia nigroterminata", "Eunidia nigrovittata", "Eunidia nigrovittipennis", "Eunidia obliquealbovittata", "Eunidia obliquealbovittatoides", "Eunidia obliquevittata", "Eunidia obliquevittipennis", "Eunidia obliquevittulipennis", "Eunidia ochraceovittata", "Eunidia ochreomarmorata", "Eunidia ochreopicta", "Eunidia octoplagiata", "Eunidia okahandjae", "Eunidia olivacea", "Eunidia opima", "Eunidia ornata", "Eunidia paramarmorata", "Eunidia pararothkirchi", "Eunidia parasenegalensis", "Eunidia paraspilota", "Eunidia parastrigata", "Eunidia partegriseicornis", "Eunidia partenigroantennalis", "Eunidia partenigrofemoralis", "Eunidia parvula", "Eunidia philippinarum", "Eunidia pilicornis", "Eunidia piperita", "Eunidia plagiata", "Eunidia postfasciata", "Eunidia propinqua", "Eunidia pseudocastanoptera", "Hapalopus serrapelada", "Eunidia pseudosenilis", "Eunidia pseudosocia", "Eunidia pujoli", "Eunidia pulchra", "Eunidia punctulicollis", "Eunidia pygmaea", "Eunidia quadrialbosignata", "Eunidia quadrialbovittata", "Eunidia quadricincta", "Eunidia quadrivittata", "Eunidia quinquemaculata", "Eunidia raffrayi", "Eunidia rondoni", "Eunidia rothkirchi", "Eunidia rufa", "Eunidia rufescens", "Eunidia ruficornis", "Eunidia rufina", "Eunidia rufolineata", "Eunidia rufula", "Eunidia rufulicornis", "Eunidia rufuloides", "Eunidia saucissea", "Eunidia savioi", "Eunidia scorteccii", "Eunidia scotti", "Eunidia semirufa", "Eunidia semirufula", "Eunidia senegalensis", "Eunidia setosa", "Eunidia similis", "Eunidia simplex", "Eunidia simplicior", "Eunidia snizeki", "Eunidia socia", "Eunidia spilota", "Idiops carajas", "Eunidia spilotoides", "Eunidia spinicornis", "Eunidia splendida", "Eunidia stramentosa", "Eunidia stramentosipennis", "Eunidia strigata", "Eunidia subalbicans", "Eunidia subbifasciata", "Eunidia subfasciata", "Eunidia subflavoapicata", "Eunidia subinfirma", "Eunidia subnebulosa", "Eunidia subnigra", "Eunidia subpygmaea", "Eunidia subteralba", "Eunidia subtergrisea", "Eunidia subtessellata", "Eunidia subtimida", "Eunidia subvagepicta", "Eunidia sulphurea", "Eunidia suturealba", "Eunidia taiwanensis", "Eunidia tanzanicola", "Eunidia thomensis", "Eunidia thomseni", "Eunidia timida", "Eunidia transversefasciata", "Eunidia transversevittata", "Eunidia trialbofasciata", "Eunidia tricolor", "Eunidia trifasciata", "Eunidia trifuscopunctata", "Eunidia tripunctata", "Eunidia trivittata", "Eunidia trivitticollis", "Eunidia tubericollis", "Eunidia ugandicola", "Eunidia unicolor", "Eunidia unicoloricornis", "Eunidia unifuscomaculata", "Eunidia vagefasciata", "Eunidia vagefuscomaculata", "Eunidia vageguttata", "Eunidia vagemarmorata", "Eunidia vagepicta", "Eunidia vagevittata", "Eunidia vansomima", "Eunidia vansoni", "Eunidia varicolor", "Eunidia varicoloripennis", "Eunidia varicornis", "Eunidia variegata", "Eunidia varipes", "Eunidia vestigialis", "Eunidia vittata", "Eunidia vitticollis", "Eunidia wittei", "Eunidia xyliae", "Eunidia yemeniensis", "Eunidia ziczac", "Eunidiella pilosa", "Eunidiopsis bicolor", "Euoplia polyspila", "Eupalelius scapulatus", "Eupalessa attenuata", "Eupempelus illuminus", "Eupempelus olivaceus", "Eupempelus rileyorum", "Eupempelus spinithorax", "Eupogoniopsis caudatula", "Eupogoniopsis granulata", "Eupogoniopsis niisatoi", "Eupogoniopsis omeimontis", "Eupogoniopsis sepicola", "Eupogoniopsis tenuicornis", "Eupogonius affinis", "Eupogonius albipilis", "Eupogonius annulicornis", "Eupogonius apicicornis", "Eupogonius arizonensis", "Eunidia flavosignata", "Eunidia flavovittata", "Eunidia forticornis", "Eunidia frescola", "Eunidia fulvescens", "Eunidia fulvida", "Eunidia fusca", "Eunidia fuscoapicalis", "Eunidia fuscoapicipennis", "Eunidia fuscomaculata", "Eunidia fuscomaculatoides", "Eunidia fuscomarmorata", "Eunidia fuscosignata", "Eunidia fuscostictica", "Eunidia fuscovittata", "Eunidia fuscovitticollis", "Eunidia fuscovittithorax", "Eunidia ghanaensis", "Eunidia gracilis", "Eunidia griseitarsis", "Eunidia griseolineata", "Eunidia guttulata", "Eunidia haplotrita", "Eunidia holoflava", "Eunidia holofusca", "Eunidia holonigra", "Eunidia holorufa", "Eunidia hovorkai", "Eunidia idactiformis", "Eunidia indistincta", "Eunidia infirma", "Eunidia infuscata", "Eunidia jeanneli", "Eunidia joveri", "Eunidia kinduensis", "Eunidia kivuana", "Eunidia kivuensis", "Eunidia kristenseni", "Eunidia kumatai", "Eunidia laeticiae", "Eunidia laosensis", "Kiliasia sculpturata", "Eunidia lateralis", "Eunidia lateraloides", "Eunidia laterialba", "Eunidia lerouxi", "Eunidia lindblomi", "Eunidia lineata", "Eunidia lineatoides", "Eunidia lizleri", "Eunidia lomii", "Eunidia lujai", "Eunidia luteovittata", "Eunidia macrophthalma", "Guyruita metallophila", "Eunidia magnoculi", "Eunidia major", "Eunidia marmorea", "Eunidia mediomaculata", "Eunidia mediomaculatoides", "Eunidia mediosignata", "Eunidia mehli", "Eunidia meleagris", "Eunidia microphthalma", "Eupogonius bierigi", "Eupogonius columbianus", "Eupogonius comus", "Eupogonius cryptus", "Eupogonius cyaneus", "Eupogonius dubiosus", "Eupogonius flavocinctus", "Eupogonius flavovittatus", "Eupogonius fulvovestitus", "Eupogonius fuscovittatus", "Eupogonius griseus", "Eupogonius hagmanni", "Eupogonius haitiensis", "Eupogonius infimus", "Eupogonius knabi", "Eupogonius laetus", "Eupogonius lanuginosus", "Eupogonius lineolatus", "Eupogonius longipilis", "Eupogonius maculicornis", "Eupogonius major", "Eupogonius microphthalmus", "Eupogonius nigrinus", "Eupogonius nigritarsis", "Eupogonius pauper", "Eupogonius petulans", "Eupogonius piceus", "Eupogonius pilosulus", "Eupogonius pubescens", "Eupogonius pubicollis", "Eupogonius scutellaris", "Eupogonius stellatus", "Eupogonius strandi", "Eupogonius subarmatus", "Eupogonius subnudus", "Eupogonius subtessellatus", "Eupogonius superbus", "Eupogonius tomentosus", "Eupogonius triangularis", "Eupogonius ursulus", "Eupogonius vandykei", "Eupogonius vittipennis", "Eupogonius wickhami", "Eupogonius yeiuba", "Euporus amabilis", "Euporus bouyeri", "Euporus camiadei", "Euporus dubius", "Euporus ducarmei", "Euporus gracilis", "Euporus illaesicollis", "Euporus itimbirensis", "Euporus katanganus", "Euporus linearis", "Euporus oremansi", "Euporus poriferus", "Euporus pygmaeus", "Euporus similis", "Euporus torquatus", "Euporus nasutus", "Euporus plagiatus", "Euporus kuntzeni", "Euporus abyssinicus", "Euporus amethystinus", "Euporus conradtiellus", "Euporus crucifer", "Euporus cupreifrons", "Euporus ignicollis", "Euporus partitus", "Euporus tenellus", "Eupromera disparilis", "Eupromera gilmouri", "Eupromera pascali", "Eupromera similis", "Eupromera spryana", "Eupromera zonula", "Eupromerella clavator", "Eupromerella fuscicollis", "Eupromerella gallardi", "Eupromerella griseofasciata", "Eupromerella leucogaea", "Eupromerella maculata", "Eupromerella nigroapicalis", "Eupromerella nigroocellata", "Eupromerella orbifera", "Eupromerella picturata", "Eupromerella plaumanni", "Eupromerella propinqua", "Eupromerella pseudopropinqua", "Eupromerella semigrisea", "Eupromerella travassosi", "Eupromerella versicolor", "Eupromus laosensis", "Eupromus nigrovittatus", "Eupromus simeco", "Euracmaeops angusticollis", "Euracmaeops marginatus", "Euracmaeops septentrionis", "Euracmaeops smaragdulus", "Euryarthrum albocinctum", "Euryarthrum apicefasciatum", "Euryarthrum assimile", "Euryarthrum atripenne", "Euryarthrum aurantiacum", "Euryarthrum bifasciatum", "Euryarthrum carinatum", "Euryarthrum dilatipenne", "Euryarthrum egenum", "Euryarthrum elegans", "Euryarthrum gibbulum", "Euryarthrum hastigerum", "Euryarthrum inopinans", "Euryarthrum interruptum", "Euryarthrum kalimantanense", "Euryarthrum nodicolle", "Euryarthrum pubiventre", "Euryarthrum rubati", "Euryarthrum rubricolle", "Euryarthrum takakuwai", "Eurycallinus mirabilis", "Eurycallinus unifasciatus", "Euryclelia cardinalis", "Euryclytosemia nomurai", "Eurycoptosia bodoani", "Euryestola antennalis", "Euryestola caraca", "Eusapia guyanensis", "Eusapia matogrossensis", "Euseboides gorodinskii", "Euseboides liubini", "Euseboides matsudai", "Euseboides motuoensis", "Euseboides periculosus", "Euseboides plagiatoides", "Euseboides plagiatus", "Euseboides punctatissimus", "Euseboides reni", "Euseboides tonkinensis", "Eusphaerium purpureum", "Eustathes celebensis", "Eustathes flava", "Eustathes mindanaonis", "Eustathes semiusta", "Eusthenomus hopei", "Eusthenomus laceyi", "Eusthenomus wallisi", "Eustrangalis aeneipennis", "Eustrangalis anticereducta", "Eustrangalis latericollis", "Eustrangalis masatakai", "Eustrangalis viridipennis", "Eustromula keiferi", "Eustromula validum", "Eusyntheta brevicornis", "Eutaenia alboampliata", "Eutaenia albomaculata", "Eutaenia borneensis", "Eutaenia corbetti", "Eutaenia intermedia", "Eutaenia oberthuri", "Eutaenia tanoni", "Eutaenia trifasciella", "Euteleuta fimbriata", "Euteleuta laticauda", "Euteleuta venezuelensis", "Eutetrapha bicostata", "Eutetrapha chlorotica", "Eutetrapha cinnabarina", "Eutetrapha complexa", "Eutetrapha elegans", "Eutetrapha flavoguttata", "Eutetrapha gui", "Eutetrapha laosensis", "Eutetrapha lini", "Eutetrapha parastigmosa", "Eutetrapha shaanxiana", "Eutetrapha shiqianensis", "Eutetrapha stigmosa", "Eutetrapha tianmushana", "Eutetrapha velutinofasciata", "Euthima araujoi", "Euthima rodens", "Euthima variegata", "Myriopholis cairi", "Euthyastus binotatus", "Eutrichillus biguttatus", "Eutrichillus brevipilus", "Eutrichillus canescens", "Eutrichillus comus", "Eutrichillus neomexicanus", "Eutrichillus pini", "Eutrypanus dorsalis", "Eutrypanus mucoreus", "Eutrypanus signaticornis", "Eutrypanus tessellatus", "Eutrypanus triangulifer", "Evgenius plumatus", "Evgenius puchneri", "Evgenius viridescens", "Evgoa dalmanii", "Evodinus lanhami", "Evodinus monticola", "Exalcidion carenatum", "Exalcidion tetracanthum", "Exalcidion tetramaston", "Exallancyla tuberculicollis", "Exalphus aurivillii", "Exalphus biannulatus", "Exalphus cavifrons", "Exalphus cicatricornis", "Exalphus colasi", "Exalphus confusus", "Exalphus docquini", "Exalphus foveatus", "Exalphus gounellei", "Exalphus guaraniticus", "Plistonax hefferni", "Exalphus leuconotus", "Exalphus lichenophorus", "Exalphus malleri", "Exalphus simplex", "Exalphus spilonotus", "Exalphus vicinus", "Exalphus zellibori", "Examnes curticornis", "Examnes dimorpha", "Examnes granulosus", "Examnes kawakamii", "Examnes longipes", "Examnes lumawigi", "Examnes mindanaonis", "Examnes philippensis", "Examnes ponapensis", "Examnes pubens", "Examnes versutus", "Exarrhenodes flavosticticus", "Exarrhenus egens", "Exepimelitta consobrina", "Exepimelitta lestradei", "Exepimelitta mimica", "Exepimelitta nigerrima", "Exepimelitta windsori", "Eximia colorata", "Eximia suturalis", "Exocentrancylistes villiersi", "Exocentroides flavovarius", "Exocentroides multispinicollis", "Exocentroides unispinicollis", "Euryestola cribrata", "Euryestola freyi", "Euryestola iquira", "Euryestola morotinga", "Euryestola murupe", "Euryestola skillmani", "Eurylemma auricollis", "Eurymerus eburioides", "Eurymesosa affinis", "Eurymesosa albostictica", "Eurymesosa multinigromaculata", "Eurymesosa ventralis", "Eurymesosa ziranzhiyi", "Eurynassa australis", "Euryphagus lundii", "Euryphagus maxillosus", "Euryphagus miniatus", "Euryphagus ustulatus", "Euryphryneta albotriangularis", "Euryplocia salomonum", "Euryplocia striatipennis", "Eurypoda antennata", "Eurypoda nigrita", "Eurypoda parandraeformis", "Euryprosopus clavipes", "Euryptera albosterna", "Euryptera argodi", "Euryptera latipennis", "Euryptera leonina", "Euryptera nigrosuturalis", "Euryptera unilineatocollis", "Euryscelis suturalis", "Eurysops burgeoni", "Eurysops esau", "Eurysops insignis", "Eurysops similis", "Eurysthea antonkozlovi", "Eurysthea barsevskisi", "Eurysthea caesariata", "Eurysthea cribripennis", "Eurysthea hirca", "Eurysthea hirta", "Eurysthea ilinizae", "Eurysthea koepckei", "Eurysthea lacordairei", "Eurysthea latefasciata", "Eurysthea magnifica", "Eurysthea martinsi", "Eurysthea nearnsi", "Eurysthea nicolai", "Eurysthea obliqua", "Eurysthea parva", "Eurysthea punctata", "Eurysthea robertsi", "Eurysthea rotundicollis", "Eurysthea sordida", "Eurysthea squamifera", "Eurysthea subandina", "Eurysthea tatianakozlovae", "Euryxaenapta rondoni", "Euryzeargyra fuscostictica", "Euryzeargyra sumatrensis", "Eusapia amazonica", "Exocentrus insulicola", "Exocentrus interruptefasciatus", "Exocentrus irroratus", "Exocentrus josephi", "Exocentrus kentingensis", "Exocentrus kleebergi", "Exocentrus kucerai", "Exocentrus lachrymosus", "Exocentrus lacteolus", "Exocentrus laosensis", "Exocentrus latiusculus", "Exocentrus latus", "Exocentrus lerouxi", "Exocentrus ligneus", "Exocentrus lineatus", "Exocentrus lituratus", "Exocentrus longipennis", "Exocentrus lusitanus", "Exocentrus macretus", "Exocentrus madecassus", "Exocentrus malickyi", "Exocentrus marui", "Exocentrus massarti", "Exocentrus mehli", "Exocentrus moerens", "Exocentrus montilineatus", "Exocentrus morulus", "Exocentrus murzini", "Exocentrus nakanei", "Exocentrus nanshanensis", "Exocentrus nives", "Hapalopus aymara", "Exocentrus nobuoi", "Exocentrus occidentalis", "Exocentrus ocelliger", "Exocentrus ochreovitticollis", "Exocentrus parasubfasciatus", "Exocentrus parrotiae", "Exocentrus pelidnus", "Exocentrus philippinus", "Exocentrus placitus", "Exocentrus plagiatus", "Exocentrus politus", "Exocentrus procerulus", "Exocentrus pseudandamanensis", "Exocentrus pseudopunctipennis", "Exocentrus raffrayi", "Exocentrus respersus", "Exocentrus roridus", "Exocentrus ruber", "Exocentrus ruficollis", "Exocentrus satoi", "Exocentrus savioi", "Exocentrus scabridus", "Exocentrus spineus", "Exocentrus subbicolor", "Exocentrus subbidentatus", "Exocentrus subglaber", "Exocentrus sublineatus", "Exocentrus subplagiatus", "Exocentrus subsolanus", "Exocentrus subunicolor", "Exocentroides flavipennis", "Exocentrus aculeatus", "Exocentrus aethiopiensis", "Exocentrus albomaculatus", "Exocentrus albomaculicollis", "Exocentrus albomaculipennis", "Exocentrus albovarius", "Exocentrus alni", "Exocentrus anulatus", "Exocentrus aureopilosus", "Exocentrus autumnalis", "Exocentrus badius", "Exocentrus balachowskyi", "Exocentrus bauhiniae", "Exocentrus becvari", "Exocentrus beijingensis", "Exocentrus bellus", "Exocentrus bialbomarmoratus", "Exocentrus bialbovittatus", "Exocentrus blanditus", "Exocentrus brevisetosus", "Exocentrus brunnescens", "Exocentrus businskae", "Exocentrus cavipennis", "Exocentrus civicus", "Exocentrus coronatus", "Exocentrus creber", "Exocentrus dalbergianus", "Exocentrus decellei", "Exocentrus decellianus", "Exocentrus demangei", "Exocentrus diminutus", "Exocentrus downingi", "Exocentrus echimys", "Exocentrus emineus", "Exocentrus enganensis", "Exocentrus erineus", "Exocentrus euchromus", "Exocentrus explanatidens", "Exocentrus fasciolatus", "Exocentrus fastigatus", "Exocentrus ficicola", "Exocentrus freyi", "Epictia goudotii", "Exocentrus fulvobrunneus", "Exocentrus fumosus", "Exocentrus fuscatulus", "Exocentrus galloisi", "Exocentrus gemellatus", "Exocentrus gerdi", "Exocentrus hageni", "Exocentrus hallei", "Exocentrus hastatus", "Exocentrus hayashii", "Exocentrus hewagei", "Exocentrus hupehensis", "Exocentrus imitor", "Exocentrus indicola", "Bonnetina megagyna", "Bonnetina tindoo", "Bonnetina hobbit", "Madagascarophis meridionalis", "Bonnetina flammigera", "Agave nizandensis", "Exocentrus kalshoveni", "Exocentrus latefasciatipennis", "Exocentrus lateriflavus", "Exocentrus leucosticticus", "Exocentrus leucostriatus", "Exocentrus luteus", "Exocentrus maiae", "Exocentrus microspinicollis", "Exocentrus miselloides", "Exocentrus misellus", "Exocentrus multialboguttatus", "Exocentrus multivittatus", "Exocentrus murinus", "Exocentrus nevillei", "Exocentrus niger", "Exocentrus nigrescens", "Exocentrus nigricollis", "Exocentrus nigrofasciatipennis", "Exocentrus nigrofasciatus", "Indotyphlops filiformis", "Exocentrus nonymoides", "Exocentrus orientalis", "Exocentrus pellitus", "Exocentrus philippinensis", "Exocentrus pseudomurinus", "Exocentrus pseudonigricollis", "Exocentrus pseudonitens", "Exocentrus pseudovariepennis", "Exocentrus rondoni", "Exocentrus ruandae", "Exocentrus ruficornis", "Exocentrus rufosuturalis", "Exocentrus rufulescens", "Exocentrus rufus", "Exocentrus semiglaber", "Exocentrus seriatus", "Exocentrus sjoestedti", "Exocentrus sparsutus", "Exocentrus strigosus", "Exocentrus submisellus", "Exocentrus submoerens", "Exocentrus subseriatus", "Exocentrus sumatranus", "Exocentrus sumatrensis", "Exocentrus tamborensis", "Exocentrus tenellus", "Exocentrus triplagiatipennis", "Exocentrus tristis", "Exocentrus undulatofasciatus", "Exocentrus unialbovittatus", "Exocentrus vagemaculatus", "Exocentrus variegatus", "Exocentrus vittatus", "Exocentrus vittulatus", "Exocentrus artocarpi", "Exocentrus centenes", "Exocentrus centenoides", "Exocentrus fortifer", "Exocentrus hispiduloides", "Exocentrus hispidulus", "Exocentrus keyanus", "Exocentrus mindanaoensis", "Exocentrus neopomerianus", "Indotyphlops longissimus", "Exocentrus sudanicus", "Exocentrus sudus", "Exocentrus superstes", "Exocentrus suturalis", "Exocentrus takakuwai", "Exocentrus taniguchii", "Exocentrus tantillus", "Exocentrus tarsalis", "Exocentrus tessellatus", "Exocentrus testudineus", "Exocentrus transversifrons", "Exocentrus tricolor", "Exocentrus trifasciellus", "Exocentrus trinigrovittatus", "Exocentrus tsushimanus", "Exocentrus ulmicola", "Exocentrus undosus", "Exocentrus validus", "Exocentrus variabilis", "Exocentrus vetustus", "Exocentrus vicinalis", "Exocentrus zonatus", "Exocentrus venatoides", "Exocentrus acutispina", "Exocentrus alboscutellaris", "Exocentrus alboseriatipennis", "Exocentrus albosignatus", "Exocentrus albostictipennis", "Exocentrus albostriatus", "Exocentrus albosuturalis", "Exocentrus angusticollis", "Exocentrus apicerufa", "Exocentrus armatus", "Exocentrus basilanus", "Exocentrus basirufus", "Exocentrus bicolor", "Exocentrus bifuscomaculatus", "Exocentrus binaluensis", "Exocentrus birmanus", "Exocentrus bremeri", "Exocentrus callioides", "Exocentrus carissae", "Exocentrus chatterjeei", "Exocentrus ciliatissimus", "Exocentrus clarkeanus", "Exocentrus coeruleus", "Exocentrus constricticollis", "Exocentrus costatus", "Exocentrus cyaneus", "Exocentrus drescheri", "Exocentrus femoralis", "Exocentrus flavipennis", "Exocentrus flavolineatus", "Exocentrus formosofasciolatus", "Exocentrus fuscosignatipennis", "Exocentrus fuscovittatus", "Exocentrus gabonicola", "Exocentrus gambiensis", "Exocentrus gedeensis", "Exocentrus ghanae", "Exocentrus hirtus", "Exocentrus inclusus", "Exocentrus insularis", "Exocentrus javaensis", "Agave maculata", "Letheobia erythraea", "Guyruita isae", "Guyruita giupponii", "Kankuamo marquezi", "Kiliasia superioris", "Cardiopelma mascatum", "Agave maximiliana", "Agave maximiliana var. maximiliana", "Agave maximiliana var. katharinae", "Agave mitis", "Agave ocahui", "Agave subg.", "Agave ornithobroma", "Moraea atropunctata", "Synophis bogerti", "Synophis zamora", "Synophis insulomontanus", "Agave oroensis", "Moraea aristata", "Moraea callista", "Agave pachycentra", "Bonnetina minax", "Homalodonia platycephalus", "Agave montana", "Kakodaimonia lemoulti", "Katanganella allardi", "Katanganella elgonensis", "Katanganella jeanneli", "Katanganella villiersi", "Katanganella waselaensis", "Katanganella densior", "Agave multicolor", "Kenyanella aberdarensis", "Madagascarophis ocellatus", "Bonnetina malinalli", "Bonnetina vittata", "Kolwezia allardi", "Bonnetina hijmenseni", "Bonnetina julesvernei", "Agave multifilifera", "Bonnetina unam", "Agave parryi subsp. parryi", "Agave parryi subsp. neomexicana", "Agave parryi var. huachucensis", "Rubus jamaicensis", "Agave parviflora subsp. parviflora", "Agave petrophila", "Falsoropica clavipes", "Falsoropica grossepunctata", "Falsoropica hawaiana", "Falsoropica lata", "Falsoropica minuta", "Falsoropica orousseti", "Falsoropica sikkimensis", "Falsoropica tonkinensis", "Falsoropicoides laosensis", "Falsorsidis griseofasciatus", "Falsoserixia egens", "Falsoserixia longior", "Falsoserixia rubrithorax", "Falsoserixia unicolor", "Falsoserixia fouqueti", "Falsosophronica fuscobrunnea", "Falsostesilea perforata", "Falsostesilea puncticollis", "Falsoterinaea pakistana", "Falsoterinaea rufipennis", "Falsoterinaeopsis rondoni", "Falsotmesisternus zygoceroides", "Falsotrachystola asidiformis", "Falsotrachystola torquata", "Falsotragiscus holdhausi", "Exocentrus grewiae", "Exocentrus grisescens", "Exocentrus guttulatus", "Exocentrus holonigra", "Exocentrus holorufus", "Exocentrus immaculatus", "Exocentrus ivorensis", "Exocentrus jirouxi", "Exocentrus keiichii", "Exocentrus kusamai", "Exocentrus lateralis", "Exocentrus leucotaeniatus", "Exocentrus leucovittipennis", "Exocentrus mabokensis", "Exocentrus maleci", "Exocentrus malloti", "Exocentrus marginicollis", "Exocentrus miguelensis", "Exocentrus mindoroanus", "Exocentrus mindoroensis", "Exocentrus monticola", "Exocentrus multiguttulatus", "Exocentrus multilineatus", "Exocentrus nigronotatus", "Exocentrus ochreopunctatus", "Exocentrus parassamensis", "Exocentrus parcus", "Exocentrus parinclusus", "Exocentrus parterufipennis", "Exocentrus pilosicornis", "Exocentrus pseudexiguus", "Exocentrus pseudolateralis", "Exocentrus pubescens", "Exocentrus ravillus", "Exocentrus reticulatus", "Exocentrus rhodesianus", "Exocentrus rufoapicalis", "Exocentrus rufoapicefemoralis", "Exocentrus rufobasicornis", "Exocentrus rufohumeralis", "Exocentrus saleyerianus", "Exocentrus santali", "Exocentrus sericeus", "Exocentrus specularis", "Exocentrus spurcatus", "Exocentrus strigosoides", "Exocentrus subgrisescens", "Exocentrus sublateralis", "Exocentrus sublateraloides", "Exocentrus subniger", "Exocentrus sumbawanus", "Exocentrus tectonae", "Exocentrus terminaliae", "Exocentrus theresae", "Exocentrus toekanensis", "Exocentrus tonkineus", "Exocentrus trifasciatus", "Exocentrus vaneyeni", "Exocentrus vidanii", "Exocentrus werneri", "Exocentrus zikaweiensis", "Exocentrus nitens", "Exocentrus basituberculatus", "Exocentrus gilmouri", "Exocentrus similis", "Exocentrus woodlarkianus", "Exoparyphus janenschi", "Exoparyphus macilentus", "Falsacalolepta granulipennis", "Falsacanthocinus brevis", "Falsadjinga postnotata", "Falsagnia obenbergeri", "Falsallophyton gardneri", "Falsamblesthis candicans", "Falsamblesthis gracilis", "Falsamblesthis ibiyara", "Falsamblesthis macilenta", "Falsamblesthis microps", "Falsamblesthis pilula", "Falsamblesthis seriepilosa", "Falsamblesthis taeniata", "Falsamblesthis unguicularis", "Falsamblesthis uniformis", "Falsamblymora tidorensis", "Falsanoplistes antennarius", "Falsanoplistes borneensis", "Falsanoplistes guerryi", "Falsanoplistes takasagoensis", "Falsapomecyna albolineata", "Falsapomecyna mourgliae", "Falsatimura grisescens", "Falsenicodes lineatus", "Falsepilysta albostictica", "Falsepilysta bifasciata", "Falsepilysta guttata", "Falsepilysta laterimaculata", "Falsepilysta ochraceomaculata", "Falsepilysta olivacea", "Falsestoloides mexicana", "Falsestoloides tubericollis", "Falseunidia albosignata", "Falsexocentroides carinipennis", "Falsexocentrus rondoni", "Falshomelix unicolor", "Falsidactus kivuensis", "Falsidactus lateriplagiatus", "Falsidactus parabettoni", "Falsidactus vittatus", "Falsimalmus niger", "Falsischnolea flavoapicalis", "Falsischnolea nigrobasalis", "Falsischnolea pallidipennis", "Falsobiobessa fasciculosa", "Falsocacia nigromaculata", "Falsocleptometopus setiger", "Falsocoedomea rufobrunnea", "Falsocularia annulicornis", "Falsocylindropomus maculosus", "Falsodihammus strandiellus", "Falsohippopsicon albosternale", "Falsohippopsicon brunneum", "Falsohomaemota novaecaledonica", "Falsohyagnis preapicemaculata", "Falsohyllisia debile", "Falsohyllisia kivuense", "Falsohyllisia meridionale", "Falsoibidion bipunctatum", "Falsoibidion encaustum", "Falsoibidion fasciatum", "Falsoibidion fuscipes", "Falsoibidion infidarium", "Falsoibidion punctuosum", "Falsoibidion trimaculatum", "Falsomelanauster strandiellus", "Falsomelanauster sulphureus", "Falsomesosella albofasciata", "Falsomesosella andamanica", "Falsomesosella annamensis", "Falsomesosella basigranulata", "Falsomesosella bhutanensis", "Falsomesosella bifasciata", "Falsomesosella breuningi", "Falsomesosella ceylonica", "Liasis mackloti", "Falsomesosella elongata", "Falsomesosella gardneri", "Falsomesosella gracilior", "Falsomesosella grisella", "Falsomesosella grisescens", "Falsomesosella horishana", "Falsomesosella javanica", "Falsomesosella mediofasciata", "Falsomesosella minor", "Falsomesosella nigronotata", "Falsomesosella nilghirica", "Falsomesosella obliquevittata", "Falsomesosella ochreomarmorata", "Candoia bibroni", "Falsomesosella parvula", "Falsomesosella perakensis", "Falsomesosella picescens", "Falsomesosella robusta", "Falsomesosella rondoni", "Falsomesosella rufovittata", "Falsomesosella sparsa", "Falsomesosella subalba", "Falsomesosella subunicolor", "Falsomesosella theresae", "Falsomesosella tranversefasciata", "Falsomesosella truncatipennis", "Falsomesosella unicolor", "Falsomesosella saigonensis", "Falsometopides fuscomaculatus", "Falsomoechotypa kaszabi", "Falsomoechotypoides excavatipennis", "Falsonyctopais lamottei", "Falsopachydissus foveiscapus", "Falsoparmena malaccensis", "Falsoplocia flavicollis", "Falsoplocia pardina", "Falsoprosoplus luzonicus", "Emphytoecia sutura-alba", "Exocentrus m-fuscus", "Exocentrus m-signatus", "Exocentrus x-ornatus", "Frea jaguaritoides", "Frea johannae", "Frea kinduensis", "Frea laevepunctata", "Frea maculicornis", "Frea marmorata", "Frea marshalli", "Frea mirei", "Frea mniszechii", "Frea nigrohumeralis", "Frea nigrovittata", "Frea nyassana", "Frea pilosa", "Frea proxima", "Frea puncticollis", "Frea senilis", "Frea sparsa", "Frea sparsilis", "Frea strandiella", "Frea taverniersi", "Frea unicolor", "Frea vadoni", "Frea vagemarmorata", "Frea vermiculata", "Frea viossati", "Frea zambesiana", "Frea aedificatoria", "Frea albomarmoratoides", "Frea albovittata", "Frea annulata", "Frea annulicornis", "Frea assimilis", "Frea barbertoni", "Frea bimaculata", "Frea bituberculata", "Frea bituberculipennis", "Frea capensis", "Frea comorensis", "Frea conradti", "Frea flava", "Frea flavolineata", "Frea flavomarmorata", "Frea flavovittata", "Frea fusca", "Frea girardi", "Frea gnathoenioides", "Frea griseomaculata", "Frea interruptelineata", "Frea irrorata", "Frea lata", "Frea latevittata", "Frea lineata", "Frea lundbladi", "Frea mabokensis", "Frea maculata", "Frea occidentalis", "Frea paralbicans", "Frea plurifasciculata", "Frea rosacea", "Frea rufina", "Glenea anteochracea", "Glenea anticepunctata", "Glenea aphrodite", "Glenea apicaloides", "Glenea apicepurpurata", "Glenea arcuata", "Glenea arfakensis", "Glenea argyrostetha", "Glenea arithmetica", "Glenea arouensis", "Glenea artemis", "Glenea aspasia", "Glenea assamana", "Glenea assamensis", "Glenea astarte", "Glenea atriceps", "Glenea atricilla", "Glenea atricornis", "Glenea atripennis", "Glenea atropa", "Glenea aurivillii", "Glenea azurea", "Glenea babiana", "Glenea badurensis", "Glenea bakeriana", "Glenea balabacensis", "Glenea baliana", "Glenea balingiti", "Glenea balteata", "Glenea bangueyensis", "Glenea baramensis", "Glenea basalis", "Glenea basiflavofemorata", "Glenea basilana", "Glenea batoeana", "Glenea beccarii", "Glenea bedoci", "Glenea beesoni", "Glenea belli", "Glenea bellona", "Glenea benguetana", "Glenea bicolor", "Glenea bidiscovittata", "Glenea biflavomaculata", "Glenea bimaculatithorax", "Glenea bimaculicollis", "Glenea bimaculipennis", "Glenea biplagiatipennis", "Glenea bipunctithorax", "Glenea bisbivittata", "Glenea bivittata", "Glenea blandina", "Galileoana opaca", "Galissus azureus", "Galissus cyaneipennis", "Galissus cyanopterus", "Galissus nigriventris", "Galofus decemmaculatus", "Galofus immaculatus", "Galofus quadrimaculatus", "Galofus sexmaculatus", "Gambria bicolor", "Gambria leucozona", "Gambria nigripennis", "Ganosomus elegans", "Garissa bostrychoides", "Garnierius aethiopicus", "Garnierius albostriatulus", "Garnierius maraisi", "Garnierius orientalis", "Garnierius werneri", "Gasponia fascicularis", "Gasponia gaujani", "Gastrophacodes ventricosus", "Gauresthes brevicornis", "Gauresthes elegans", "Gauresthes malayanus", "Gauresthes sumatrensis", "Gauresthes thailandensis", "Gaurotes cyanipennis", "Gaurotes striatopunctatus", "Gaurotes thoracica", "Gaurotina flavimarginata", "Gaurotina labrangica", "Gaurotina nigroantennata", "Gaurotina nitida", "Gaurotina piligera", "Gaurotina pulchra", "Gaurotina superba", "Gaurotinus griveaudi", "Gaurotinus tenuelineatus", "Geloharpya amoena", "Geloharpya burgeoni", "Geloharpya confluens", "Geloharpya divisa", "Geloharpya leucospila", "Geloharpya murrayi", "Geloharpya polyspila", "Geloharpya schmitti", "Geloharpya vittata", "Gelonaetha baia", "Gelonaetha hirta", "Gemylus albipictus", "Gemylus albosticticus", "Gemylus albovittatus", "Gemylus angustifrons", "Gemylus uniformis", "Frea siczac", "Frea similis", "Frea tanganyicae", "Frea tuberculata", "Frea unifasciata", "Frea unifuscovittata", "Frea unipunctata", "Frea virgata", "Frea albolineata", "Frea subcostata", "Frea sublineatoides", "Freadelpha breuningi", "Freadelpha chloroleuca", "Freadelpha cinerea", "Freadelpha coronata", "Freadelpha eremita", "Freadelpha picta", "Freadelpha principalis", "Freadelpha rex", "Frearanova fuscostictica", "Fredlanea aequatoria", "Fredlanea amoena", "Fredlanea birai", "Fredlanea calliste", "Fredlanea colombiana", "Fredlanea consobrina", "Fredlanea cymatilis", "Fredlanea flavipennis", "Fredlanea guaranitica", "Fredlanea hiekei", "Fredlanea hovorei", "Fredlanea kirschi", "Fredlanea maculata", "Fredlanea putiapitanga", "Fredlanea velutina", "Fredlanea vilhena", "Fredlanea virginea", "Fredlanea viridipennis", "Fredlanella cerussata", "Fredlanella diringshofeni", "Fregolia listropteroides", "Freocoroides copei", "Freocorus turgidus", "Freocrossotus maynei", "Freocrossotus meridionalis", "Freocrossotus reticulatus", "Freoexocentrus mirei", "Freopsis leucostictica", "Frondipedia charma", "Furona corniculata", "Furona degenera", "Furona egens", "Gabunsaphanidus glabrum", "Gagarinia aureolata", "Gagarinia borgmeieri", "Gagarinia mniszechii", "Gahanaspia miniacea", "Gahania brunnea", "Gahania karooensis", "Gahania orientalis", "Gahania perissinottoi", "Gahania simmondsi", "Gahania thompsoni", "Falsovelleda congolensis", "Falsovelleda rufescens", "Falsovelleda tanzaniensis", "Falsozeargyra wegneri", "Falsozorilispe linearis", "Falsozorispiella albosignata", "Fasciculacmocera griseovaria", "Fasciculancylistes fasciculatus", "Fasciculapomecyna taborensis", "Faustabryna celebiana", "Faustabryna fausta", "Faustabryna hieroglyphica", "Faustabryna metallica", "Faustabryna mindanaoensis", "Faustabryna multialboguttata", "Fehmii perrieri", "Filipinmulciber breuningi", "Filipinmulciber mindanaoanus", "Filipinmulciber palawanus", "Fisherostylus bruneri", "Fissapoda barbicrus", "Fissapoda manni", "Flabellomorphus longus", "Forficuladeres forficulifera", "Forficuladeres sexualis", "Formicomimus mirabilis", "Formosopyrrhona hozanensis", "Formosopyrrhona longula", "Formosopyrrhona satoi", "Formosopyrrhona semilaeticolor", "Formosopyrrhona wakaharai", "Formosotoxotus auripilosus", "Formosotoxotus gressitti", "Formosotoxotus hisamatsui", "Formosotoxotus malayanus", "Formosotoxotus masatakai", "Formosotoxotus nobuoi", "Formosotoxotus takaoi", "Formosotoxotus uenoi", "Formozotroctes toulgoeti", "Fortuneleptura cameneni", "Fragiliella callidioides", "Francisparna macilenta", "Frankluquetia inexpectata", "Frea albomarmorata", "Frea basalis", "Frea brevicornis", "Frea brunnea", "Frea castaneomaculata", "Frea cincta", "Frea circumscripta", "Frea congoana", "Frea curta", "Frea flavicollis", "Frea flavomaculata", "Frea flavoscapulata", "Frea flavosparsa", "Frea floccifera", "Frea grisescens", "Frea haroldi", "Frea holobrunnea", "Frea humeralis", "Frea humeraloides", "Frea jaguarita", "Glenea blandinella", "Glenea boafoi", "Glenea borneensis", "Glenea bougainvillei", "Glenea bryanti", "Glenea buquetii", "Glenea buruana", "Glenea calypso", "Glenea calypsoides", "Glenea camelina", "Glenea camerunica", "Glenea camilla", "Glenea canidia", "Glenea caninia", "Glenea capriciosa", "Glenea caraga", "Glenea carneipes", "Glenea carreti", "Cotztetlana villadai", "Glenea cassandra", "Glenea centralis", "Glenea centroguttata", "Glenea ceylonica", "Glenea chalybeata", "Glenea changchini", "Glenea chlorospila", "Glenea chrysescens", "Glenea chrysomaculata", "Glenea chrysotincta", "Glenea chujoi", "Glenea cincticornis", "Agave potreriana", "Glenea cinerea", "Glenea cinna", "Glenea circulomaculata", "Glenea citrinopubens", "Glenea clavifera", "Glenea cleome", "Glenea clermonti", "Glenea clymene", "Glenea clytiformis", "Glenea clytoides", "Glenea coelestina", "Glenea coeruleipennis", "Glenea coeruleosignata", "Glenea colenda", "Glenea collaris", "Glenea collarti", "Glenea colobotheoides", "Glenea commissa", "Glenea concinna", "Glenea consanguis", "Glenea conspersa", "Glenea coomani", "Glenea coris", "Glenea corporaali", "Glenea craengiana", "Glenea crucicollis", "Glenea crucifera", "Glenea curtipennis", "Glenea curvilinea", "Glenea cyanipennis", "Glenea cyanura", "Glenea cylindrepomoides", "Gemylus upsilon", "Gemylus wainiloka", "Gennarus ornatus", "Georgeana azurea", "Georgiana xanthomelaena", "Gerania boscii", "Gerdberndia atricolor", "Gerdberndia ferrocyanea", "Gerdberndia nubigena", "Gerdianus gracilus", "Geropa concolor", "Gestriana superba", "Geteuma peraffinis", "Geteuma quadridentata", "Gibbestola flavescens", "Gibbestola griseovaria", "Gibbestoloides compacta", "Gibbocerambyx aureovittatus", "Gibbocerambyx aurovirgatus", "Gibbocerambyx fedorenkoi", "Gibbocerambyx fulvescens", "Gibbocerambyx maculicollis", "Gibbocerambyx purpureus", "Gibbocerambyx unitarius", "Gibbohammus stricticollis", "Gibbomesosella laosica", "Gibbomesosella nodulosa", "Giesberteclipta costipennis", "Giesberteclipta monteverdensis", "Giesbertella mimetica", "Giesbertia rugosa", "Gigantopalimna benetrixae", "Gigantotrichoderes brunnea", "Gigantotrichoderes conicicollis", "Gigantotrichoderes flabellicornis", "Gisostola bahiensis", "Gisostola melancholica", "Gisostola nordestina", "Gisostola quentini", "Glaucotes yuccivorus", "Glenea acutipennis", "Glenea acutoides", "Glenea adelpha", "Glenea aeolis", "Glenea afghana", "Glenea albocingulata", "Glenea albofasciata", "Glenea albofasciolata", "Glenea albolineata", "Glenea albolineosa", "Glenea alboplagiata", "Glenea albopunctata", "Glenea alboscutellaris", "Glenea albosignatipennis", "Glenea albotarsalis", "Glenea algebraica", "Glenea algebraoides", "Glenea aluensis", "Glenea amoena", "Glenea andamanensis", "Glenea angustelineata", "Glenea anna", "Glenea annulicornis", "Glenea cylindricollis", "Glenea dalatensis", "Glenea damalis", "Glenea decemguttata", "Glenea dejeani", "Glenea despecta", "Glenea detrita", "Glenea detritoides", "Glenea diana", "Glenea dido", "Glenea didyma", "Glenea didymoides", "Glenea difficilis", "Glenea dimidiata", "Glenea disa", "Glenea discoantefasciata", "Glenea discofasciata", "Glenea discoidalis", "Glenea discomaculata", "Glenea distinguenda", "Glenea divergevittata", "Glenea diverselineata", "Glenea diversemaculata", "Glenea diversenotata", "Glenea diversimembris", "Glenea dohertyi", "Glenea doriai", "Glenea dorsalis", "Glenea dorsaloides", "Glenea ducalis", "Glenea duodecimplagiata", "Glenea ealensis", "Glenea elegantissima", "Glenea enganensis", "Glenea excubitans", "Glenea exculta", "Glenea extrema", "Glenea fainanensis", "Glenea fasciata", "Glenea fasolii", "Glenea fatalis", "Glenea fissicauda", "Glenea flava", "Glenea flavicollis", "Glenea flavicornis", "Glenea flavimembris", "Glenea flavocincta", "Glenea flavomaculatoides", "Glenea flavosignata", "Glenea flavotincta", "Glenea flavotransversevittata", "Glenea flavovertex", "Glenea flavovittata", "Glenea formosana", "Glenea fortii", "Glenea fruhstorferi", "Glenea fulmeki", "Glenea fulvomaculata", "Glenea funerula", "Glenea fuscipennis", "Glenea gabonica", "Glenea gahani", "Glenea galathea", "Glenea gardneri", "Glenea gedeensis", "Glenea giannii", "Glenea giraffa", "Glenea glabronotata", "Glenea glauca", "Glenea glaucescens", "Glenea glaucoptera", "Glenea glechomoides", "Glenea gratiosa", "Glenea grisea", "Glenea griseifrons", "Glenea griseoguttata", "Glenea griseolineata", "Glenea grisescens", "Glenea hauseri", "Glenea helleri", "Glenea heptagona", "Glenea hieroglyphica", "Glenea holonigripennis", "Glenea humeralis", "Glenea humerointerrupta", "Glenea humeroinvittata", "Glenea hwasiana", "Glenea iligana", "Glenea illuminata", "Glenea indiana", "Glenea infraflava", "Glenea infragrisea", "Glenea inlineata", "Glenea innotatithorax", "Glenea insignis", "Glenea intermixta", "Glenea interrupta", "Glenea iphia", "Glenea iresine", "Glenea iridescens", "Glenea iriei", "Glenea iwasakii", "Glenea jacintha", "Glenea jacobsoni", "Glenea japensis", "Glenea jeanvoinei", "Glenea johani", "Glenea johnstoni", "Glenea joliveti", "Glenea kambaitiensis", "Glenea kanalensis", "Glenea kannegieteri", "Glenea keyana", "Glenea khasiana", "Glenea kinabaluensis", "Glenea kusamai", "Glenea labuanensis", "Glenea lachrymosa", "Glenea lacteomaculata", "Glenea laodice", "Agave pubescens", "Glenea laosensis", "Glenea latelinea", "Glenea lateochreovittata", "Glenea laterinuda", "Glenea latevittata", "Glenea latevittipennis", "Glenea laudata", "Glenea lecta", "Glenea lefebvrii", "Glenea lepida", "Glenea leptis", "Glenea leucomaculata", "Glenea leucosignatipennis", "Glenea leucospila", "Glenea licenti", "Glenea lineata", "Glenea lineatocollis", "Glenea lineatoides", "Glenea linwenhsini", "Glenea loosdregti", "Glenea loriai", "Glenea luctuosa", "Glenea lugubris", "Glenea lunulata", "Glenea lusoria", "Glenea luteicolle", "Glenea luteosignata", "Glenea lycoris", "Glenea magdelainei", "Glenea major", "Glenea malabarica", "Glenea malaisei", "Glenea malasiaca", "Glenea manto", "Glenea masakii", "Glenea matangensis", "Glenea mathematica", "Glenea maunieri", "Glenea medea", "Glenea mediorufa", "Glenea mediotransversevittata", "Glenea melia", "Glenea melissa", "Glenea mentaweiana", "Glenea mephisto", "Glenea merangensis", "Glenea mesoleuca", "Glenea mimoscalaris", "Glenea minerva", "Glenea miniacea", "Glenea mira", "Glenea miroides", "Glenea mitonoana", "Glenea modica", "Glenea modiglianii", "Glenea mona", "Glenea monoides", "Glenea monticola", "Glenea montivaga", "Glenea montrouzieri", "Glenea mouhotii", "Glenea moultoni", "Glenea mucorea", "Glenea multiguttata", "Glenea multiinterrupta", "Glenea mutata", "Glenea myrrhis", "Glenea myrsia", "Exocentrus seriatopunctatus", "Exocentrus dentipes", "Exocentrus misellomimus", "Exocentrus variepennis", "Exocentrus rufinitibialis", "Exocentrus echinulus", "Exocentrus flavohumeralis", "Exocentrus jeanneli", "Exocentrus longipilis", "Exocentrus mirei", "Exocentrus nigroplagiatus", "Exocentrus patrizii", "Exocentrus pogonocheroides", "Exocentrus albizziae", "Exocentrus alboguttatus", "Exocentrus basiruficornis", "Exocentrus binigrofasciatus", "Exocentrus exocentroides", "Exocentrus melli", "Exocentrus nigromaculatus", "Exocentrus octoalbovittatus", "Exocentrus roonwali", "Exocentrus senegalensis", "Exocentrus seriatomaculatus", "Exocentrus sexseriatus", "Exocentrus timorensis", "Exocentrus unicoloripennis", "Exocentrus actinophorae", "Exocentrus albolineatus", "Exocentrus alboscutellatus", "Exocentrus alboseriatus", "Exocentrus albovittatus", "Exocentrus alternans", "Exocentrus andamanensis", "Exocentrus argenteipennis", "Exocentrus asmarensis", "Exocentrus assamensis", "Exocentrus aureomaculatus", "Exocentrus aureovittatus", "Exocentrus biroi", "Exocentrus bloetei", "Exocentrus celebicus", "Exocentrus championi", "Exocentrus chevaugeoni", "Exocentrus clarkei", "Exocentrus collarti", "Exocentrus cristoni", "Exocentrus cudraniae", "Exocentrus dalbergiae", "Exocentrus densefuscosticticus", "Exocentrus diversiceps", "Exocentrus fisheri", "Exocentrus flavicornis", "Exocentrus flemingiae", "Exocentrus fouqueti", "Exocentrus fuscovitticollis", "Exocentrus gardneri", "Exocentrus ghesquierei", "Exocentrus girardi", "Exocentrus granulicollis", "Glenea subaurata", "Glenea subbasalis", "Glenea subclytoides", "Glenea subcoeruleata", "Glenea subcrucifera", "Glenea subelegantissima", "Glenea subgrisea", "Glenea subhuonora", "Glenea submajor", "Glenea submephisto", "Glenea subminiacea", "Glenea subregularis", "Glenea subrouyeri", "Glenea subrubricollis", "Glenea subsaperdiformis", "Glenea subscalaris", "Glenea subsimilis", "Glenea substellata", "Glenea subteraurescens", "Glenea subviridescens", "Glenea suensoni", "Glenea sulawesiana", "Agave salmiana subsp. salmiana", "Glenea sulphurea", "Glenea sulphuroides", "Glenea sumatrana", "Glenea suturalis", "Glenea suturata", "Glenea suturefasciata", "Glenea suturevittata", "Glenea sylvia", "Glenea sylvioides", "Glenea taeniata", "Glenea tatsienlui", "Glenea telmissa", "Glenea tenuilineata", "Glenea thomensis", "Glenea thomsoni", "Glenea timoriensis", "Glenea tolia", "Glenea tonkinea", "Glenea torquatella", "Glenea transversefasciata", "Glenea transversevittipennis", "Glenea triangularis", "Glenea triangulifera", "Glenea trimaculipennis", "Glenea tringaria", "Glenea myrsine", "Glenea nanshanchiana", "Glenea negrosiana", "Glenea neopomeriana", "Glenea neosangirica", "Glenea newmannii", "Glenea nicanor", "Glenea nicobarica", "Glenea nigeriae", "Glenea nigerrima", "Glenea nigriceps", "Glenea nigrifrons", "Glenea nigripennis", "Glenea nigroapicalis", "Glenea nigrorubricollis", "Glenea nigrotibialis", "Glenea niobe", "Glenea nitidicollis", "Glenea niveopectus", "Glenea nobilis", "Glenea novemguttata", "Glenea nudipennis", "Glenea obliqua", "Glenea obliquesignata", "Glenea ochraceolineata", "Glenea ochraceovittata", "Glenea ochreicollis", "Glenea ochreithorax", "Glenea ochreobivittata", "Glenea ochreolineata", "Glenea ochreosuturalis", "Glenea ochreovittata", "Glenea ochreovittipennis", "Glenea octoguttata", "Glenea octomaculata", "Glenea oeme", "Glenea oemeoides", "Glenea olbrechtsi", "Glenea olyra", "Glenea omeiensis", "Glenea ora", "Glenea oreophila", "Glenea orichalcea", "Glenea oriformis", "Glenea ornamentalis", "Glenea ornata", "Glenea ornatoides", "Glenea ossifera", "Glenea padangensis", "Glenea pagana", "Glenea pallidipes", "Glenea papiliomaculata", "Glenea papuensis", "Glenea paracarneipes", "Glenea paradiana", "Glenea parahumerointerrupta", "Glenea paramephisto", "Glenea paramounieri", "Glenea paraornata", "Glenea parartensis", "Glenea parasauteri", "Glenea parasuavis", "Glenea parexculta", "Glenea parteconjunctevittata", "Glenea partefuscipennis", "Glenea pascoei", "Glenea paulina", "Glenea penangensis", "Glenea pendleburyi", "Glenea peregoi", "Glenea peria", "Glenea philippinensis", "Glenea pici", "Glenea pieliana", "Glenea pieti", "Glenea plagiata", "Glenea plagicollis", "Glenea plagifera", "Glenea plagiventris", "Glenea posticata", "Glenea problematica", "Glenea propinqua", "Glenea proserpina", "Glenea proxima", "Glenea proximoides", "Glenea pseudadelia", "Glenea pseudaeolis", "Glenea pseudeclectica", "Glenea pseudinterrupta", "Glenea pseudocamelina", "Glenea pseudocaninia", "Glenea pseudocolobotheoides", "Glenea pseudogiraffa", "Glenea pseudoglaucescens", "Glenea pseudoindiana", "Glenea pseudolaudata", "Glenea pseudoluctuosa", "Glenea pseudomelissa", "Glenea pseudomephisto", "Glenea pseudomyrsine", "Glenea pseudoperia", "Glenea pseudopuella", "Glenea pseudoregularis", "Glenea pseudornatoides", "Glenea pseudoscalaris", "Glenea pseudosuavis", "Glenea pseudoweyersi", "Glenea puella", "Glenea pujoli", "Glenea pulchella", "Glenea pulchra", "Glenea punctata", "Glenea pustulata", "Glenea pygidialis", "Glenea quadrialbovittata", "Glenea quadriguttata", "Glenea quadrimaculata", "Glenea quadriochreomaculata", "Glenea quadriplagiata", "Glenea quatuordecimmaculata", "Glenea quatuordecimpunctata", "Glenea quezonica", "Glenea quinquelineata", "Glenea quinquevittata", "Glenea referens", "Glenea regularis", "Glenea robinsoni", "Glenea rondoni", "Glenea rubra", "Glenea rubriceps", "Glenea rubripennis", "Glenea rubrobasicornis", "Glenea rufa", "Glenea rufescens", "Glenea ruficollis", "Glenea rufifrons", "Glenea rufipes", "Glenea rufobasalis", "Glenea rufobasaloides", "Glenea rufuloantennata", "Glenea saigonensis", "Glenea salomonum", "Glenea salvazai", "Glenea samarensis", "Glenea sanctaemariae", "Glenea sangirensis", "Glenea saperdiformis", "Glenea saperdoides", "Glenea scalaris", "Glenea schwarzeri", "Glenea scripta", "Glenea sedecimmaculata", "Glenea sejuncta", "Glenea selangorensis", "Glenea semiluctuosa", "Glenea sexguttata", "Glenea sexnotata", "Glenea sexplagiata", "Glenea sexvitticollis", "Glenea siamensis", "Glenea signaticollis", "Glenea signatifrons", "Glenea signatipennis", "Glenea sikkimensis", "Glenea silhetana", "Glenea silhetica", "Glenea simalurica", "Glenea siporana", "Glenea sjoestedti", "Glenea smaragdina", "Glenea sobrina", "Glenea sobrinoides", "Glenea socia", "Glenea soembana", "Glenea solokensis", "Glenea sophronia", "Glenea sordida", "Glenea splendidula", "Glenea stella", "Glenea stellatoides", "Glenea stictica", "Glenea strigata", "Glenea suada", "Glenea suavis", "Glenea subabbreviata", "Glenea subadelia", "Glenea subadelpha", "Glenea subalcyone", "Goephanes flavovittipennis", "Goephanes funereus", "Goephanes fuscipennis", "Goephanes fuscipes", "Goephanes fuscovariegatus", "Goephanes griveaudi", "Goephanes humeralis", "Goephanes interruptus", "Goephanes luctuosus", "Goephanes mediovittatus", "Goephanes mediovittipennis", "Goephanes minimus", "Goephanes niviplagiatus", "Goephanes notabilis", "Goephanes obliquepictus", "Goephanes ochreosticticus", "Goephanes olivaceus", "Goephanes pacificus", "Goephanes parteauricollis", "Goephanes pauliani", "Goephanes pictidorsis", "Goephanes pictipennis", "Goephanes pictoides", "Goephanes pictus", "Goephanes ralaisalamai", "Goephanes rufescens", "Goephanes ruficornis", "Goephanes rufoflavus", "Goephanes transversepictus", "Goephanes vadoni", "Goephanes varicolor", "Goephanes viettei", "Goephanes virgulifer", "Goephanes biflavomaculatus", "Goephanes cristipennis", "Goephanes zebrinoides", "Goephanes zebrinus", "Goephanomimus albopunctulatus", "Goephanomimus flavopictus", "Goephanomimus vagepictus", "Goes debilis", "Goes fisheri", "Goes novus", "Goes pulcher", "Goes pulverulentus", "Goes tesselatus", "Glenea vaga", "Glenea vagemaculipennis", "Glenea baia", "Glenea pseudobaja", "Glenea brunnipennis", "Glenea salwattyana", "Glenea anterufipennis", "Glenea citrina", "Glenea cylindrica", "Glenea carinipennis", "Glenea elongatipennis", "Glenea nigroscutellaris", "Glenea rufipennis", "Glenea jirouxi", "Glenea sarasinorum", "Glenea fasciculosa", "Glenea ochreomaculata", "Glenea grandis", "Glenea jordani", "Glenea persimilis", "Glenea lineatopunctata", "Glenea judsoni", "Glenea maculicollis", "Glenea beatrix", "Glenea bisbiguttata", "Glenea corona", "Glenea elegans", "Glenea florensis", "Glenea hasselti", "Glenea juno", "Glenea nivea", "Glenea nympha", "Glenea similis", "Glenea venus", "Glenea voeti", "Glenea menesioides", "Glenea pseudograndis", "Glenea flavicapilla", "Glenea celestis", "Glenea celia", "Glenea porphyrio", "Glenea aterrima", "Glenea itzingeri", "Agave salmiana var. ferox", "Glenea keili", "Glenea ochreoplagiata", "Glenea speciosa", "Glenea tibialis", "Glenea francisi", "Glenea sexpunctata", "Glenea perakensis", "Glenea regina", "Glenea rubricollis", "Glenea bankoi", "Glenea rufopunctata", "Glenea spinosipennis", "Glenea andamanica", "Glenea andrewesi", "Glenea tritoleuca", "Glenea trivittata", "Glenea trivitticollis", "Glenea truncatipennis", "Glenea trunculatipennis", "Glenea unialbonotata", "Glenea univittata", "Glenea univitticollis", "Glenea ustulata", "Glenea vanikorana", "Glenea variabilis", "Glenea varifascia", "Glenea varipennis", "Glenea venenata", "Glenea venusta", "Glenea vietnamana", "Glenea vigintiduomaculata", "Glenea villiersi", "Glenea vingerhoedti", "Glenea violaceomicans", "Glenea virens", "Glenea virgata", "Glenea viridescens", "Glenea viridicuprea", "Glenea viridilucens", "Glenea viridipennis", "Glenea vittifera", "Glenea vittulata", "Glenea voluptuosa", "Glenea waigiouensis", "Glenea wallacei", "Glenea wegneri", "Glenea weigeli", "Glenea wenhsini", "Glenea wiedenfeldi", "Glenea xanthotaenia", "Glenea zalinensis", "Glenea astathiformis", "Glenea superba", "Glenea acuta", "Glenea albovittata", "Glenea cardinalis", "Glenea dimorpha", "Glenea erythrodera", "Glenea extensa", "Glenea langana", "Glenea numerifera", "Glenea subochracea", "Glenea theodosia", "Glenea versuta", "Glenea annuliventris", "Glenea arida", "Glenea biannulata", "Glenea cancellata", "Glenea delkeskampi", "Glenea diversesignata", "Glenea flavorubra", "Glenea lineatithorax", "Glenea meiyingae", "Glenea meridionalis", "Glenea obsoleta", "Glenea pseudovaga", "Glenea scapifera", "Glenea subarida", "Glenea angerona", "Glenea cantor", "Glenea gardneriana", "Glenea grossepunctata", "Glenea homonospila", "Glenea krusemani", "Glenea pseudocantor", "Glenea quadrinotata", "Glenea spilota", "Glenea ochreosignata", "Glenea subgrandis", "Glenea wongi", "Glenea aegoprepiformis", "Glenea lambii", "Glenea paralambi", "Glenea vanikorensis", "Glenea kraatzii", "Glenea lateflavovittata", "Glenea apicalis", "Glenea jeanneli", "Glenea longula", "Glenea morosa", "Glenea submorosa", "Gleneonupserha elongata", "Gleneonupserha vaga", "Gleneonupserha vitticollis", "Glenida cyaneipennis", "Glenida cyaneofasciata", "Glenida dauberi", "Glenida luteago", "Glenida nudiceps", "Glenida puncticollis", "Glenida suffusa", "Glenida sulphurea", "Glomibidion trinidadense", "Glomibidion tumidum", "Glycobius speciosus", "Glyphosoma cariosum", "Glypthaga arena", "Glypthaga monnei", "Glypthaga mucorea", "Glypthaga unicolor", "Glypthaga vicina", "Glyptoscapus letiziae", "Gnaphalodes trachyderoides", "Gnathacmaeops brachypterus", "Gnathoenia albomaculata", "Gnathoenia alboplagiata", "Gnathoenia bialbata", "Gnathoenia tropica", "Gnathoenia venerea", "Gnathoenia zonifera", "Gnatholea biseburata", "Gnatholea eburifera", "Gnatholea faceta", "Gnatholea fryana", "Gnatholea simplex", "Gnatholea stigmatipennis", "Gnatholea subnuda", "Gnatholeophanes octosignatus", "Gnathonyx amplitarsalis", "Gnathonyx heteromandiblaris", "Gnathonyx inermis", "Gnathonyx orientalis", "Gnathonyx piceipennis", "Gnathopraxithea sarryi", "Gnathostrangalia aurivillei", "Gnathostrangalia bilineatithorax", "Gnathostrangalia conspicua", "Gnathostrangalia elliptica", "Gnathostrangalia longiceps", "Gnathostrangalia rufovittata", "Gnathostrangalia simianshana", "Gnoma admirala", "Gnoma affinis", "Gnoma agroides", "Gnoma atomaria", "Gnoma australis", "Gnoma boisduvali", "Gnoma geelvinka", "Gnoma gilmouri", "Gnoma jugalis", "Gnoma longicollis", "Gnoma luzonicum", "Gnoma malasiaca", "Gnoma minor", "Gnoma nicobarica", "Gnoma pulverea", "Gnoma sticticollis", "Gnoma sublaevifrons", "Gnoma suturalis", "Gnoma suturifera", "Gnoma thomsoni", "Gnoma uniformis", "Gnoma vittaticollis", "Gnomibidion flavum", "Gnomidolon bellulum", "Gnomidolon bellum", "Gnomidolon bordoni", "Gnomidolon colasi", "Gnomidolon fraternum", "Gnomidolon friedi", "Gnomidolon fuchsi", "Gnomidolon galileoae", "Gnomidolon gemuseusi", "Gnomidolon ignicolor", "Gnomidolon incisum", "Gnomidolon meridanum", "Gnomidolon musivum", "Gnomidolon opacicolle", "Gnomidolon parallelum", "Gnomidolon picticorne", "Gnomidolon pubicolle", "Gnomidolon sinopium", "Gnomidolon tomentosum", "Gnomidolon ubirajarai", "Gnomidolon wappesi", "Goephanes albolineatipennis", "Goephanes albosignatus", "Goephanes albosticticus", "Goephanes basiflavicornis", "Goephanes bipartitus", "Goephanes comorensis", "Davus pentaloris", "Goephanes continentalis", "Goephanes fasciculatus", "Graciella circulum", "Graciella compacta", "Graciella epipleuralis", "Graciella flavovittata", "Graciella mariettae", "Graciella moea", "Graciella nigromarginata", "Graciella pulchella", "Graciliderolus gracilis", "Graciliderolus parvus", "Gracililamia ecuadorensis", "Gracilinitocris gracilenta", "Gracilinitocris nigrifrons", "Gracilobrium becki", "Gracilosphya albosetosa", "Gracilosphya elongata", "Gracilosphya hebridarum", "Gracilosphya hirtipennis", "Gracilosphya similis", "Gracilosphya trifasciata", "Gracilosphya uniforme", "Gramera amoena", "Graminea annulata", "Graminea hispida", "Graminea inca", "Graminea multicava", "Graminea rubra", "Graminea tomentosa", "Grammicosum flavofasciatum", "Grammoechus atomarius", "Grammoechus bipartitus", "Grammoechus calamophilus", "Grammoechus cribripennis", "Grammoechus javanicus", "Grammoechus leucosticticus", "Grammoechus ochreovariegatus", "Grammoechus polygrammus", "Grammoechus seriatus", "Grammoechus strenuus", "Grammoechus tagax", "Grammoechus albosparsus", "Grammoechus assamensis", "Grammoechus ligatus", "Grammoechus spilotus", "Grammoechus triangulifer", "Grammographus albosignatus", "Grammographus arcuatus", "Grammographus flavicollis", "Grammographus granulicollis", "Grammographus jezoensis", "Grammographus kanoi", "Grammographus notabilis", "Grammographus oblongomaculatus", "Grammographus submaculatus", "Grammographus taiwanensis", "Grammopsis clavigera", "Grammopsis fallax", "Grammopsis parvula", "Grammopsis simoni", "Grammopsoides picta", "Guerryus argyritis", "Guerryus aureopubescens", "Guitelia itzingeri", "Guitelia nigrescens", "Guitelia royi", "Guitelia teocchii", "Guitelia vuilleti", "Gurubira atramentarius", "Gurubira axillaris", "Gurubira erythromos", "Gurubira spectabilis", "Gurubira tristis", "Gurubira violaceomaculatus", "Guttulamia aurigutta", "Gyaritus affinis", "Gyaritus auratus", "Gyaritus aurescens", "Gyaritus bangueyensis", "Gyaritus calcaratus", "Gyaritus cinnamomeus", "Gyaritus fulvopictus", "Gyaritus fuscosignatus", "Gyaritus gahani", "Gyaritus giganteus", "Gyaritus hamatus", "Gyaritus indicus", "Gyaritus javanicus", "Gyaritus lungtauensis", "Gyaritus malaccensis", "Gyaritus quadridentatus", "Gyaritus scapalis", "Gyaritus siamensis", "Gyaritus spinosus", "Gyaritus theae", "Gyaritus varius", "Gymnocerina cratosomoides", "Gymnocerus scabripennis", "Gymnopsyra aspera", "Gymnopsyra bupalpa", "Gymnopsyra chemsaki", "Davus fasciatus", "Gymnopsyra magnipunctata", "Gymnostylus latifrons", "Gymnostylus signatus", "Gyrpanetes cacapira", "Gyrpanetes clarkei", "Gyrpanetes oriba", "Gyrpanetes pukuaba", "Hadimus cartalloides", "Hadroibidion nanum", "Hadroibidion pullum", "Hadroibidion vulgare", "Hadromastix glaber", "Hadromastix ruficrus", "Hadromastix somalicus", "Haenkea atra", "Goes tigrinus", "Goes tumifrons", "Goes variegatus", "Golsinda basicornis", "Golsinda basigranosa", "Golsinda corallina", "Golsinda malaysiaca", "Gonyacantha rubronigra", "Gortonia linsleyi", "Gorybia acuta", "Gorybia adiaphora", "Gorybia alboapex", "Gorybia amazonensis", "Gorybia apatheia", "Gorybia armata", "Gorybia calcitrapa", "Gorybia castanea", "Gorybia chontalensis", "Gorybia echinata", "Gorybia hirsutella", "Gorybia instita", "Gorybia invicta", "Gorybia lissonota", "Gorybia martes", "Gorybia minima", "Gorybia orygma", "Gorybia pallida", "Gorybia palpalis", "Gorybia picturata", "Gorybia pilosa", "Gorybia procera", "Gorybia proxima", "Gorybia pusilla", "Gorybia reclusa", "Gorybia ruficauda", "Gorybia rugosa", "Gorybia semiopaca", "Gorybia senticosa", "Gorybia separata", "Gorybia simplicior", "Gorybia stomias", "Gorybia sulcata", "Gorybia suturella", "Gorybia thoracica", "Gorybia tibialis", "Gorybia umbella", "Gorybia veneficella", "Gorybia zonula", "Gounellea bruchi", "Gounellea capucina", "Gounellea dulcissima", "Gounellea histrio", "Gounelloeme echinoscapus", "Gourbeyrella alexisi", "Gourbeyrella madininae", "Gourbeyrella romanowskii", "Graciella affinis", "Graciella albicans", "Graciella albomaculata", "Graciella brunneomaculata", "Graciella circuloides", "Grammopsoides tenuicornis", "Grammoptera andrei", "Grammoptera angustata", "Grammoptera baudii", "Grammoptera exigua", "Grammoptera fulgidipennis", "Grammoptera grammopteroides", "Grammoptera haematites", "Grammoptera matsudai", "Grammoptera militaris", "Grammoptera molybdica", "Grammoptera nanella", "Grammoptera rhodopus", "Grammoptera ruficeps", "Grammoptera semimetallica", "Grammoptera subargentata", "Grammoptera brezinai", "Grammoptera debilipes", "Grammoptera elongata", "Grammoptera lenis", "Grammoptera paucula", "Grammoptera querula", "Grammoxyla hieroglyphica", "Melampodium longifolium", "Granastyochus elegantissimus", "Granastyochus fulgidus", "Granastyochus intricatus", "Granastyochus nigropunctatus", "Granastyochus picticauda", "Granastyochus trifasciatus", "Grandateralphus lacteus", "Grandateralphus tumidus", "Grandateralphus variegatus", "Granolamia granulifera", "Granopothyne granifrons", "Granopothyne palawana", "Granulenotes granulipennis", "Granulhepomidion granulipenne", "Granulorsidis flavidosignatus", "Graphidessa obliquefasciata", "Graphidessa variegata", "Graphidessa venata", "Graphisurus despectus", "Graphisurus eucharis", "Graphisurus fasciatus", "Graphisurus triangulifer", "Graphisurus vexillaris", "Gressittichroma sammannani", "Gressittichroma tengkuadlini", "Griphapex scutellaris", "Grupiara viridis", "Gryllica curitibana", "Gryllica flavopustulata", "Gryllica picta", "Gryllica prava", "Gryllica pseudopicta", "Gryllica pygmaea", "Grynex lineatus", "Grynex martini", "Grynex spinosus", "Guayuriba bezarki", "Guayuriba dilaticeps", "Guedesia castaneus", "Guedesia gratissima", "Haenkea thoracica", "Haenkea zischkai", "Hainanhammus griseopubens", "Hallothamus decorus", "Halme acantha", "Halme atrocoerulea", "Halme basifusca", "Halme caerulescens", "Halme chatterjeei", "Halme chloromelana", "Halme cinctella", "Halme cleriformis", "Halme distans", "Halme eburneocincta", "Halme formicaria", "Halme grisescens", "Halme longipilis", "Halme masakoae", "Halme pulverosa", "Halme reducta", "Halme rufofemorata", "Halme rufotincta", "Halme viridana", "Halmenida purpurea", "Halmenida viridescens", "Hamatastus conspectus", "Hamatastus excelsus", "Hamatastus fasciatus", "Hamatastus lemniscatus", "Hamatastus simillimus", "Hamaticherus bellator", "Hammatoderus albatus", "Hammatoderus antonkozlovi", "Hammatoderus brunneus", "Hammatoderus colombiensis", "Hammatoderus confusor", "Hammatoderus decorus", "Hammatoderus elatus", "Hammatoderus emanon", "Hammatoderus garciaorum", "Hammatoderus granulosus", "Hammatoderus inermis", "Hammatoderus juliae", "Hammatoderus laceratus", "Hammatoderus lacordairei", "Hammatoderus lingafelteri", "Hammatoderus lunaris", "Hammatoderus maculosus", "Hammatoderus migueli", "Hammatoderus nitidus", "Hammatoderus olivescens", "Hammatoderus ornator", "Hammatoderus pollinosus", "Hammatoderus rubefactus", "Hammatoderus sallei", "Hammatoderus thiodes", "Hammatoderus thoracicus", "Hammatoderus wappesi", "Haplidoeme punctata", "Hayashiella malayana", "Hebecerus albescens", "Hebecerus anisoceroides", "Hebecerus anisocerus", "Hebecerus antennatus", "Hebecerus australis", "Hebecerus basalis", "Hebecerus basicristatus", "Hebecerus cristatus", "Hebecerus crocogaster", "Hebecerus didymus", "Hebecerus fasciculatus", "Hebecerus fuscicornis", "Hebecerus germari", "Hebecerus lineola", "Hebecerus longicornis", "Hebecerus major", "Hebecerus marginicollis", "Hebecerus niphonoides", "Hebecerus ochraceovittata", "Hebecerus paranisocerus", "Hebecerus parantennatus", "Hebecerus paravaricornis", "Hebecerus setosus", "Hebecerus similis", "Hebecerus varicornis", "Hebestola nebulosa", "Hechinoschema spinosa", "Propedicellus vitalisi", "Hecphora latefasciata", "Hecphora testator", "Hecyra marmorata", "Hecyra obscurator", "Hecyra tenebrioides", "Hecyra terrea", "Hecyroides lateriplagiata", "Hecyromorpha plagicollis", "Hedypathes betulinus", "Hedypathes curvatocostatus", "Hedypathes juninensis", "Hedypathes monachus", "Heffernia borneana", "Heffernia filipina", "Heffernia javana", "Helenoglaucytes helenae", "Heliolus brevicornis", "Helminda pilipennis", "Helvina howdenorum", "Helvina lanuginosa", "Helvina strandi", "Helvina uncinata", "Helymaeus adlbaueri", "Helymaeus pedestris", "Helymaeus pretiosus", "Helymaeus signaticollis", "Hapalopus nigriventris", "Polyrhabda atriplicifolia", "Hapalopus coloratus", "Labidilla dentiguttur", "Helymaeus testaceiventris", "Helymaeus togonicus", "Helymaeus tricolor", "Hemadius oenochrous", "Hemesthocera flavilinea", "Hemicladus callipus", "Hemicladus dejeanii", "Hemicladus fasciatus", "Hemicladus thomsonii", "Hemicryllis alboguttata", "Hemierana marginata", "Hemilissa catapotia", "Hemilissa cornuta", "Hemilissa emblema", "Hemilissa fabulosa", "Hemilissa gummosa", "Hemilissa opaca", "Hemilissa quadrispinosa", "Hemilissa rufa", "Hemilissa sulcicollis", "Hemilissa undulaticollis", "Hemilissopsis clenchi", "Hemilissopsis fernandezae", "Hemiloapis mena", "Hemilocrinitus barbatus", "Hemilophus dimidiaticornis", "Hemilophus infuscatus", "Hemilophus leucogramma", "Hemilophus unicolor", "Hephaestioides cyanipennis", "Hephaestion annulatus", "Hephaestion auratum", "Hephaestion bullocki", "Hephaestion chalybeus", "Hephaestion corralensis", "Hephaestion cyanopterus", "Hephaestion flavicornis", "Hephaestion fuscescens", "Hephaestion holomelas", "Hephaestion lariosi", "Hephaestion nigricornis", "Hephaestion ocreatus", "Hephaestion pallidicornis", "Hephaestion tolhuaca", "Hephaestion versicolor", "Hephaestion violaceipennis", "Hephialtes mourei", "Hephialtes ruber", "Hepomidion stygicum", "Herophila fairmairei", "Herophila moreana", "Herophila tristis", "Herophila veluchiana", "Hestimidius humeralis", "Hestimidius ingranulatus", "Hestimidius ochreosignatus", "Hestimoides compactus", "Hestimoides stellatus", "Hestimoides striolatus", "Hestimoides trigeminatus", "Hestimoides ochreovittatus", "Hesycha biguttata", "Hesycha bimaculata", "Agave sobria subsp. sobria", "Agave striata subsp. striata", "Agave stricta", "Hapalopus lesleyae", "Agave subsimplex", "Hapalopus triseriatus", "Agave tecta", "Hapalopus variegatus", "Agave tenuifolia", "Coprosma \u00d7 kirkii", "Craugastor aenigmaticus", "Hesycha clavata", "Hesycha crucifera", "Hesycha fasciata", "Hesycha jataiensis", "Hesycha microphthalma", "Hesycha simplex", "Hesycha tavakiliani", "Hesycha variabilis", "Hesychotypa ableptema", "Hesychotypa aeropa", "Hesychotypa avrillasi", "Hesychotypa bimaculata", "Hesychotypa cedestes", "Hesychotypa colombiana", "Hesychotypa crocea", "Hesychotypa dola", "Hesychotypa fernandezi", "Hesychotypa heraldica", "Hesychotypa lirissa", "Hesychotypa morvanae", "Hesychotypa nyphonoides", "Hesychotypa punctata", "Hesychotypa subfasciata", "Hesychotypa turbida", "Heterachthes aeneolus", "Heterachthes annulicornis", "Heterachthes beatrizae", "Heterachthes bilineatus", "Heterachthes candidus", "Heterachthes castaneus", "Heterachthes concretus", "Heterachthes congener", "Heterachthes delicatus", "Heterachthes designatus", "Heterachthes dimidiatus", "Heterachthes ebenus", "Heterachthes erineus", "Heterachthes exiguus", "Heterachthes figuratus", "Heterachthes flavicornis", "Heterachthes fraterculus", "Heterachthes gratiosus", "Heterachthes gutta", "Heterachthes hildebranti", "Heterachthes howdeni", "Heterachthes hystricosus", "Heterachthes integripennis", "Heterachthes inustus", "Heterachthes laesicollis", "Heterachthes lateralis", "Heterachthes lemniscus", "Heterachthes leucoacnus", "Heterachthes longiscapus", "Heterachthes martinsi", "Heterachthes mediovittatus", "Heterachthes mucuni", "Heterachthes myrrheus", "Heterachthes neocompsoides", "Heterachthes nigrocinctus", "Heterachthes nobilis", "Heterachthes noguerai", "Heterachthes pallidipennis", "Heterachthes paraiba", "Chrysosplenium maximowiczii", "Agave titanota", "Agave univittata", "Agave utahensis subsp. utahensis", "Pseudonemesia tabiskey", "Agave victoriae-reginae subsp. victoriae-reginae", "Coprosma \u00d7 conferta", "Heterachthes pelonioides", "Heterachthes picturatus", "Heterachthes plagiatus", "Heterachthes polingi", "Heterachthes quadrimaculatus", "Heterachthes rafaeli", "Heterachthes rubricolor", "Heterachthes rugosicollis", "Heterachthes sablensis", "Heterachthes sejunctus", "Heterachthes sexguttatus", "Heterachthes signaticollis", "Heterachthes similis", "Heterachthes skillmani", "Heterachthes spilotus", "Heterachthes symbolus", "Heterachthes taquatinga", "Heterachthes tenellus", "Heterachthes texanus", "Heterachthes tysiphonis", "Heterachthes unituberosus", "Heterachthes vauriae", "Heterachthes viticulus", "Heterachthes wappesi", "Heterachthes xenocerus", "Heterachthes zapopana", "Heteraedoeus pallidocinctus", "Heteraneflus castaneus", "Heteresmia spissicornis", "Heteresmia turbata", "Heteroclytomorpha inaequalis", "Heteroclytomorpha punctata", "Heteroclytomorpha quadrinotata", "Heteroclytomorpha sexplagiata", "Heteroclytomorpha singularis", "Heteroclytomorpha sormeoides", "Heterocompsa aquilonia", "Heterocompsa eburata", "Heterocompsa formosa", "Heterocompsa geniculata", "Heterocompsa nigripes", "Heterocompsa seabrai", "Heterocompsa stellae", "Heterocompsa truncaticornis", "Heteroglenea bastiensis", "Heteroglenea dolosa", "Heteroglenea fissilis", "Heteroglenea gemella", "Heteroglenea glechoma", "Heteroglenea mediodiscoprolongata", "Heteroglenea momeitensis", "Heteroglenea nigromaculata", "Heteroglenea vicinalis", "Heteronyssicus aureopilosus", "Heteropalpoides aberrans", "Heteropalpus pretiosus", "Heterophilus dentitibialis", "Heterophilus punctulatus", "Heterophilus scabricollis", "Heterops dimidiatus", "Heterops hispaniolae", "Heterops lanieri", "Heterops loreyi", "Estola nebulosa", "Estola nigrescens", "Estola nigropunctata", "Estola nigrosignata", "Estola nodicollis", "Estola obliquata", "Estola obliquelineata", "Estola obscura", "Estola obscurella", "Estola obscuroides", "Estola orellana", "Estola parvula", "Estola porcula", "Estola retrospinosa", "Estola rogueti", "Estola rufa", "Estola ruficeps", "Estola seriata", "Estola similis", "Estola stramentosa", "Estola strandi", "Estola strandiella", "Estola subannulicornis", "Estola trinidadensis", "Estola truncatella", "Estola unicolor", "Estola varicornis", "Estola variegata", "Estola vittulata", "Estola vulgaris", "Estola wappesi", "Estoloderces luederwaldti", "Estoloderces romerorum", "Estoloides affinis", "Estoloides alboscutellaris", "Estoloides andresi", "Estoloides annulicornis", "Estoloides basigranulata", "Estoloides bellefontainei", "Estoloides chamelae", "Estoloides costaricensis", "Estoloides esthlogenoides", "Estoloides fulvitarsis", "Estoloides galapagoensis", "Estoloides grossepunctata", "Estoloides hiekei", "Estoloides leucosticta", "Estoloides longicornis", "Estoloides medioplagiata", "Estoloides paralboscutellaris", "Estoloides pararufipes", "Estoloides parva", "Estoloides perforata", "Estoloides prolongata", "Estoloides reflexa", "Estoloides rufipes", "Estoloides scabracaulis", "Estoloides sordida", "Estoloides sparsa", "Estoloides strandiella", "Estoloides venezuelensis", "Estolomimus abjunctus", "Estolomimus lichenophorus", "Estolomimus maculatus", "Agave boldinghiana", "Agave cerulata subsp. nelsonii", "Pseudosericocoma pungens", "Agave collina", "Agave nickelsiae", "Agave garciae-mendozae", "Psilotrichopsis curtisii", "Heterops robusta", "Heterosaphanus mimeticus", "Heterotaxalus schwarzeri", "Hexacona armata", "Hexamitodera semivelutina", "Hexamitodera blairi", "Hexarrhopala apicalis", "Hexarrhopala gahani", "Hexarrhopala rufipennis", "Hexoplon annulatum", "Hexoplon bellulum", "Hexoplon cearense", "Hexoplon illuminum", "Hexoplon immaculatum", "Hexoplon rubriceps", "Hexoplon scutellare", "Hiekeia pedunculata", "Hilarolea incensa", "Hilaroleopsis bicarinata", "Hilaroleopsis colorata", "Hilaroleopsis dimidiata", "Hilaroleopsis globicollis", "Hilaroleopsis icuapira", "Hilaroleopsis minor", "Hilaroleopsis nigerrima", "Hilaroleopsis obesa", "Hilaroleopsis pituna", "Hilaroleopsis pluricostata", "Hilaroleopsis theurgus", "Hilaroleopsis vogti", "Hilobothea caracensis", "Hilobothea latevittata", "Hippaphesis punctata", "Hippocephala dimorpha", "Hippocephala guangdongensis", "Hippocephala lineaticollis", "Hippocephala lineolata", "Hippocephala minor", "Hippocephala proxima", "Hippocephala suturalis", "Hippocephala albosuturalis", "Hippocephala argentistriata", "Hippocephala fuscolineata", "Hippocephala fuscostriata", "Hippopsicon attenuatum", "Hippopsicon bambesae", "Hippopsicon confluens", "Hippopsicon cordicolle", "Hippopsicon cribricolle", "Hippopsicon densepunctatum", "Hippopsicon densepuncticolle", "Hippopsicon griseopictum", "Hippopsicon griseovittatum", "Hippopsicon ivorense", "Hippopsicon lacteolum", "Hippopsicon luteolum", "Hippopsicon macrophthalmum", "Hippopsicon montanum", "Hippopsicon ochreomaculatum", "Hippopsicon pleuricum", "Hippopsicon postochreomaculatum", "Hippopsicon puncticolle", "Hippopsicon rotundipenne", "Hippopsicon rugicolle", "Agave horrida subsp. perotensis", "Copiapoa taltalensis", "Sibon lamari", "Agelena inda", "Baccharis \u00d7 septentrionalis", "Hippopsicon rugosicolle", "Hippopsicon rusticum", "Hippopsicon simile", "Hippopsicon victoriae", "Hippopsis acuminata", "Hippopsis albicans", "Hippopsis apicalis", "Hippopsis assimilis", "Hippopsis campaneri", "Hippopsis densepunctata", "Hippopsis femoralis", "Hippopsis fractilinea", "Hippopsis fratercula", "Hippopsis freyi", "Hippopsis gilmouri", "Hippopsis griseola", "Hippopsis insularis", "Hippopsis lemniscata", "Hippopsis lineolatus", "Hippopsis macrophthalma", "Hippopsis meinerti", "Hippopsis minima", "Hippopsis monachica", "Hippopsis mourai", "Hippopsis ocularis", "Hippopsis pallida", "Hippopsis pertusa", "Hippopsis pradieri", "Hippopsis prona", "Hippopsis pubiventris", "Hippopsis quadrivittata", "Hippopsis quinquelineata", "Hippopsis raberi", "Hippopsis rabida", "Hippopsis renodis", "Hippopsis rigidula", "Hippopsis septemlineata", "Hippopsis septemvittata", "Hippopsis truncatella", "Hippopsis tuberculata", "Hirtaeschopalaea albolineata", "Hirtaeschopalaea borneensis", "Hirtaeschopalaea celebensis", "Hirtaeschopalaea dorsana", "Hirtaeschopalaea fasciculata", "Hirtaeschopalaea robusta", "Hirticallia hirsuta", "Hirticlytus apistus", "Hirticlytus comosus", "Hirtobrasilianus matogrossensis", "Hirtobrasilianus seabrai", "Hirtobrasilianus villiersi", "Hisarai seripierriae", "Hispastathes ferruginea", "Hispastathes hispoides", "Hispomorpha horrida", "Hoegea distigma", "Holangus bicolor", "Holangus flavonotatus", "Holangus guerryi", "Holangus ruficollis", "Holangus ruficornis", "Holoaerenica alveolata", "Holoaerenica apleta", "Holoaerenica bistriata", "Holoaerenica multipunctata", "Holoaerenica obtusipennis", "Holoaerenica punctata", "Hologaster borbonicus", "Hologaster impressiusculus", "Hologaster kabateki", "Hologaster mohelianus", "Hololeprus sammichelii", "Hololeprus variolosus", "Holonotus laevithorax", "Holonotus nigroaeneus", "Davus ruficeps", "Holonotus sternalis", "Holopleura marginata", "Davus santos", "Metriopelma breyeri", "Holorusius crocatus", "Holorusius ethiopicus", "Holorusius pediacus", "Holorusius perrieri", "Holosphaga coerulea", "Homaemota basalis", "Homaemota duboulayi", "Homaemota tricolor", "Homaloceraea bicolor", "Homaloceraea bjoernstadi", "Homaloceraea claviger", "Homaloceraea consimilis", "Homaloceraea ditylus", "Homaloceraea glabricollis", "Homaloceraea manicatus", "Homaloceraea rufiventris", "Homaloceraea scabriusculus", "Homalomelas gracilipes", "Homalomelas quadridentatus", "Homalomelas zonatus", "Homelix albofasciata", "Homelix annuligera", "Schizopelma bicarinatum", "Homelix cribratipennis", "Homelix cruciata", "Homelix liturata", "Homelix morini", "Homelix variegata", "Homelix arcuata", "Homelix decussata", "Homelix klingi", "Homelix vittata", "Homoeomyzo katsurai", "Homoeophloeus licheneus", "Homogenes albolineatus", "Homogenes leprieurii", "Homogenes mimus", "Homonoea albopunctata", "Homonoea albosignata", "Homonoea boudanti", "Homonoea flavescens", "Agave aktites", "Masteria lewisi", "Masteria aimeae", "Masteria golovatchi", "Porthidium volcanicum", "Masteria manauara", "Masteria spinosa", "Bauhinia forficata subsp. pruinosa", "Masteria simla", "Striamea gertschi", "Striamea magna", "Siremata valteri", "Siremata juruti", "Siremata lucasae", "Tristagma graminifolium", "Asterothyrium sasae", "Dictyonema huaorani", "Gyalectidium shimanense", "Turris babylonia", "Synalissa fluviatilis", "Monoblastia chibaensis", "Tilia paucicostata subsp. dictyoneura", "Tilia paucicostata subsp. paucicostata", "Tilia paucicostata subsp. yunnanensis", "Troglodiplura lowryi", "Troglothele coeca", "Beschorneria albiflora", "Beschorneria rigida", "Schizanthus parvulus", "Beschorneria yuccoides subsp. yuccoides", "Bulbophyllum uniflorum", "Bulbophyllum pteroglossum", "Agave vizcainoensis", "Masteria caeca", "Masteria pecki", "Agave warelliana", "Masteria hirsuta", "Masteria petrunkevitchi", "Masteria barona", "Abalistes stellatus", "Masteria soucouyant", "Masteria yacambu", "Abalistes macrophthalmus", "Masteria amarumayu", "Masteria mutum", "Masteria aguaruna", "Masteria tayrona", "Masteria sabrinae", "Masteria galipote", "Masteria lucifuga", "Agave \u00d7 pumila", "Agave \u00d7 leopoldii", "Masteria downeyi", "Agelenopsis pennsylvanica", "Agelenopsis potteri", "Agelenopsis utahana", "Agelenopsis emertoni", "Agelenopsis naevia", "Laureliopsis philippiana", "Tilia caroliniana subsp. floridana", "Tilia caroliniana subsp. occidentalis", "Tilia caroliniana subsp. caroliniana", "Hyllisia minor", "Hyllisia multigriseovittata", "Hyllisia multilineata", "Hyllisia niveovittata", "Hyllisia obliquepicta", "Hyllisia occidentalis", "Hyllisia ochreovittata", "Hyllisia ochreovittipennis", "Hyllisia persimilis", "Hyllisia picta", "Hyllisia pseudolineata", "Hyllisia quadricollis", "Hyllisia quadriflavicollis", "Hyllisia quinquelineata", "Hyllisia ruficolor", "Hyllisia rufipes", "Hyllisia saigonensis", "Hyllisia shembaganurensis", "Hyllisia somaliensis", "Hyllisia stenideoides", "Hyllisia strandi", "Hyllisia subvariegata", "Hyllisia sumatrana", "Hyllisia suturalis", "Hyllisia suturaloides", "Hyllisia taihokensis", "Hyllisia tonkinea", "Hyllisia tonkinensis", "Hyllisia triguttata", "Hyllisia trivittata", "Hyllisia truncata", "Hyllisia unicoloricornis", "Hyllisia uniformis", "Hyllisia variegata", "Hyllisia vicina", "Hyllisia vietnamensis", "Hyllisia virgata", "Hyllisia vittipennis", "Hyllisia madecassa", "Geloharpya crux-nigra", "Glenea t-notata", "Glenea w-notata", "Glenea x-nigrum", "Heterachthes v-flavus", "Heterachthes w-notatus", "Heterachthes x-notatus", "Homonoea ornamentalis", "Homonoea pannosa", "Homonoea patrona", "Homonoea praecisa", "Homonoea rotundipennis", "Homonoea samarana", "Homonoea uniformis", "Homonoea longimana", "Hoplideres aquila", "Hoplideres curtipes", "Hoplideres laevipennis", "Hoplideres punctata", "Hoplideres spinipennis", "Hoplidosterus confectus", "Hoplidosterus laevicollis", "Hoplistocerus bonsae", "Hoplistocerus callioides", "Hoplistocerus dichrous", "Hoplistocerus dives", "Hoplistocerus gemmatus", "Hoplistocerus iheringi", "Hoplistocerus lanei", "Hoplistocerus prominulosus", "Hoplistocerus purpureoviridis", "Hoplistocerus refulgens", "Hoplistonychus bondari", "Hoplocerambyx abnormis", "Hoplocerambyx aramis", "Hoplocerambyx nitidus", "Hoplocerambyx severus", "Hoplocleptes humeridens", "Hoplogrammicosum cinnamomeum", "Hoplomeces asper", "Hoplomeces laevicollis", "Hoplomelas albolineellus", "Hoplorana attenuata", "Hoplorana fuscovestita", "Hoplorana mussardi", "Hoplorana parterufa", "Hoplorana quadricristata", "Hoplorana vadoni", "Hoplorana nigroscutata", "Hormathus bicolor", "Hormathus cinctellus", "Hosmaeus bjoernstadi", "Hosmaeus costatus", "Hosmaeus lerui", "Hosmaeus sodwanaensis", "Hospes abercornensis", "Hospes adelpha", "Hospes bouyeri", "Hospes dargei", "Hospes erwanni", "Hospes guineti", "Hospes kaboboensis", "Hospes litomecoides", "Hospes longitarsis", "Hospes maniemaensis", "Hospes ngongensis", "Hospes nitidicollis", "Hospes obscurus", "Hospes schmidti", "Hospes schoutedeni", "Hospes semiigneus", "Cybaeus anaiwaensis", "Cybaeus nishikawai", "Chlorophytum borivilianum", "Cybaeus ashikitaensis", "Cybaeus fuujinensis", "Cybaeus kompiraensis", "Cybaeus inagakii", "Rosifax sabuletorum", "Thrixspermum acuminatissimum subsp. acuminatissimum", "Thrixspermum acuminatissimum subsp. affine", "Thrixspermum calceolus", "Thrixspermum carinatifolium", "Chlorophytum heynei", "Thrixspermum congestum", "Chlorophytum sparsiflorum", "Thrixspermum japonicum", "Thrixspermum platystachys", "Chlorophytum malabaricum", "Corynabutilon viride", "Domeykoa andina", "Thrixspermum trichoglottis", "Chlorophytum filipendulum", "Chlorophytum filipendulum subsp. amaniense", "Cyclosa bulla", "Gynochthodes jasminoides", "Gynochthodes officinalis", "Kieslingia chilensis", "Chlorophytum subpetiolatum", "Chlorophytum subpetiolatum var. subpetiolatum", "Chlorophytum tuberosum", "Hybolasius postfasciatus", "Hybolasius pumilus", "Hybolasius wakefieldi", "Hyborhabdus singularis", "Hybunca nitidicollis", "Hybunca nodicollis", "Hydraschema cribripenne", "Hydraschema fabulosum", "Hydraschema leptostylum", "Hydraschema mirim", "Hydraschema obliquevittatum", "Hydraschema petilum", "Agave shawii subsp. shawii", "Hydraschema verutum", "Hydraschema villiersi", "Hyleoza confusa", "Hyleoza lineata", "Hylettus alboplagiatus", "Hylettus aureopilosus", "Hylettus coenobita", "Hylettus eremita", "Hylettus excelsus", "Hylettus griseofasciatus", "Hylettus hiekei", "Hylettus magnus", "Hylettus nebulosus", "Hylettus paraleucus", "Hylettus ramea", "Hylettus seniculus", "Hylettus spilotus", "Hylettus stigmosus", "Hyllisia abyssinica", "Hyllisia aethiopica", "Hyllisia albifrons", "Hyllisia albocincta", "Hyllisia albolateralis", "Hyllisia albolineata", "Hyllisia albolineatipennis", "Hyllisia albostictica", "Hyllisia angustata", "Hyllisia antennata", "Hyllisia chinensis", "Hyllisia consimilis", "Hyllisia delicata", "Hyllisia densepunctata", "Hyllisia flava", "Hyllisia flavicans", "Hyllisia flavomarmorata", "Hyllisia flavostictica", "Hyllisia flavovittata", "Hyllisia imitans", "Hyllisia indiana", "Hyllisia indica", "Hyllisia insetosa", "Hyllisia javanica", "Hyllisia kenyensis", "Hyllisia koui", "Hyllisia laterialba", "Hyllisia leucosuturata", "Hyllisia lineata", "Hyllisia lineatopicta", "Hyllisia loloa", "Fimbristylis agasthyamalaensis", "Cybaeus uenoi", "Nothobranchius ditte", "Echeandia reflexa", "Furcraea guatemalensis", "Gynochthodes umbellata", "Aquiloeurycea cephalica", "Chlorophytum glaucoides", "Chlorophytum glaucum", "Chlorophytum holstii", "Chlorophytum indicum", "Chlorophytum inornatum", "Parietaria debilis", "Furcraea longaeva", "Furcraea macdougalii", "Furcraea parmentieri", "Chrysosplenium grayanum", "Chrysosplenium album", "Hypogeophis montanus", "Cybaeus basarukini", "Cybaeus bam", "Adenodictyna kudoae", "Coelotes hachijoensis", "Tegecoelotes mizuyamae", "Acantheis nipponicus", "Saltia papposa", "Orontiophyllum ferreri", "Cryptotriton xucaneborum", "Trimeresurus gumprechti", "Escallonia gayana", "Chuquiraga kuschelii", "Urtica trichantha", "Thrixspermum aberrans", "Thrixspermum acuminatissimum", "Macohasa dimorpha", "Solanum pubigerum", "Solanum pyrifolium", "Anomaloglossus blanci", "Myrceugenia colchaguensis", "Anomaloglossus dewynteri", "Anomaloglossus leopardus", "Ceropegia taprobanica", "Brasilotyphlus dubium", "Chlorophytum madagascariense", "Chlorophytum nepalense", "Chlorophytum saundersiae", "Corynabutilon hirsutum", "Chlorophytum sparsiflorum var. sparsiflorum", "Agave parryi var. couesii", "Agave salmiana subsp. crassispina", "Catanduba simoni", "Agave shawii subsp. goldmaniana", "Catanduba flavohirta", "Agave toumeyana subsp. bella", "Agave utahensis subsp. kaibabensis", "Dysdera furcatus", "Agave caymanensis", "Triturus anatolicus", "Cybaeus okumae", "Cybaeus sasayamaensis", "Cybaeus nagaiae", "Cybaeus nagusa", "Thorius tlaxiacus", "Thorius longicaudus", "Thorius pinicola", "Hesperaloe engelmannii", "Hesperaloe malacophylla", "Hesperaloe parviflora subsp. parviflora", "Hesperaloe parviflora subsp. bechtoldii", "Lophilema mbulu", "Lophilema bilobata", "Lophilema nguru", "Lophilema curva", "Lophilema angustipennis", "Lophilema infucata", "Lophilema claudei", "Lophilema polioplaga", "Tonton itabirito", "Tonton queca", "Tonton matodentro", "Tonton sapalo", "Tonton ipiau", "Tonton quiteria", "Tonton emboaba", "Hesperaloe chiangii", "Furcraea stricta", "Rhinatrema gilbertogili", "Rhinatrema uaiuai", "Zodarion apertum", "Zodarion planum", "Zodarion ovatum", "Hastingsia alba", "Cybaeus aakanaensis", "Cybaeus zenifukiensis", "Cybaeus senzokuensis", "Herreria glaziovii", "Cybaeus ryusenensis", "Trachoma speciosum", "Melanophidium khairei", "Gegeneophis tejaswini", "Myrceugenia ovata", "Myrceugenia ovata var. nannophylla", "Myrcianthes coquimbensis", "Gymnotus cuia", "Loxosceles persica", "Smenospongia aurea", "Smenospongia echina", "Paramuricea clavata", "Verongula rigida", "Eudistoma fragum", "Villogorgia rubra", "Macohasa tetraspila", "Chinasa costalis", "Chinasa costalis costalis", "Chinasa costalis bicoloriceps", "Chinasa sapa", "Hosta kiyosumiensis", "Hosta helonioides", "Hyllisiopsis coomani", "Hylorus armatus", "Hypamazso pauli", "Hypargyra cribripennis", "Hypargyra discors", "Hypargyra vitticollis", "Hypatium opulentum", "Hypatium resplendens", "Hypatium splendidum", "Hyperplatys argentina", "Hyperplatys argus", "Hyperplatys aspersa", "Hyperplatys californica", "Hyperplatys cana", "Lophilema phaeocraspis", "Lophilema creatoplaga", "Lophilema fletcheri", "Lophilema chrysargyrea", "Eugoa leucomelaena", "Nazeris maoershanus", "Nazeris rugosus", "Nazeris yuyimingi", "Nazeris biacuminatus", "Nazeris yanzhuqii", "Psellonus planus", "Macohasa cernyi", "Macohasa orientalis", "Haplidoeme schlingeri", "Haplidus glabricollis", "Haplidus laticeps", "Haplidus parvulus", "Haplidus pubescens", "Haplidus testaceus", "Haploeax bituberosa", "Haploeax burgeoni", "Haploeax cinerea", "Haploeax latefasciata", "Haploeax rohdei", "Haploeax triangularis", "Haploparmena angolana", "Haploparmena marmorata", "Haplopsebium kinyanjuii", "Haplopsebium kolibaci", "Haplopsebium laflorentiei", "Haplopsebium lepesmei", "Haplopsebium nigricorne", "Haplopsebium overlaeti", "Haplopsebium villiersi", "Haplorhabdus nymani", "Haplothrix amicator", "Haplothrix andamanicus", "Haplothrix andrewesi", "Haplothrix blairi", "Haplothrix fouqueti", "Haplothrix griseatus", "Haplothrix paramicator", "Haplothrix perakensis", "Haplothrix pulchra", "Haplothrix rivulosus", "Haplothrix simplex", "Haplothrix strandi", "Harimius atripennis", "Harringtonia dalmeidai", "Harringtonia myia", "Haruspex bivittis", "Haruspex brevipes", "Haruspex celatus", "Haruspex daithmus", "Haruspex inscriptus", "Haruspex insulsus", "Haruspex lineolatus", "Haruspex mentitus", "Haruspex modestus", "Haruspex ornatus", "Haruspex pictilis", "Haruspex quadripustulatus", "Haruspex submaculatus", "Hasenpuschia cleroides", "Hastatis auricollis", "Hastatis denticollis", "Hastatis femoralis", "Hastatis simplicis", "Hastertia bougainvillei", "Hathliolophia alboplagiata", "Hawaiiandra puncticeps", "Hayashichroma aureosuturalis", "Hayashichroma chemsaki", "Hayashichroma huedepohli", "Hayashichroma lambi", "Hayashichroma legrandi", "Hayashiechthistatus inexpectus", "Icariotis marginata", "Icariotis minuta", "Icariotis nigrans", "Icariotis politicollis", "Icariotis pruinosa", "Icariotis scapularis", "Icariotis subsulcata", "Icariotis testacea", "Icariotis unicolor", "Icariotis vicina", "Icariotis viettei", "Icaunauna aurantium", "Icelastatis galerucoides", "Ichthyodes biguttula", "Ichthyodes jackmani", "Ichthyodes striata", "Ichthyodes truncata", "Icimauna angaba", "Icimauna aysa", "Icimauna ciliaris", "Icimauna espinozai", "Icimauna pallidipennis", "Icimauna reversa", "Icimauna sarauaia", "Idactus ashanticus", "Idactus bettoni", "Idactus blairi", "Idactus browni", "Idactus burgeoni", "Idactus coquereli", "Idactus cristulatus", "Idactus ellioti", "Idactus flavovittatus", "Idactus hieroglyphicus", "Idactus konso", "Idactus lateralis", "Idactus maculicornis", "Idactus minimus", "Idactus multifasciculatus", "Idactus nigroplagiatus", "Idactus paramaculicornis", "Idactus rusticus", "Idactus spinipennis", "Idactus strandi", "Idactus tridens", "Idactus tuberculatus", "Idephrynus scaber", "Ideratus cyanipennis", "Ideratus virginiae", "Idiocalla ferruginea", "Idiocalla postica", "Idiopidonia pedalis", "Idiopsebium bicolor", "Idiopsebium jadoti", "Idiostrangalia akiyamai", "Idiostrangalia albopreterminalis", "Idiostrangalia angustissima", "Idiostrangalia atrocincta", "Idiostrangalia auricoma", "Idiostrangalia aurosa", "Hyperplatys femoralis", "Hyperplatys griseomaculata", "Hyperplatys maculata", "Hyperplatys montana", "Hyperplatys pacangensis", "Hyperplatys pardalis", "Hyperplatys pusilla", "Hypexilis longipennis", "Hypexilis pallida", "Hyphus apicalis", "Hyphus aurantiacus", "Hyphus lourensi", "Hyphus subvittatus", "Hypocacia biplagiata", "Hypocacia fruhstorferi", "Hypocacia shimomurai", "Hypocacia wenhsini", "Hypocephalus armatus", "Hypocrites ambiguus", "Hypocrites elgonensis", "Hypocrites fulvipes", "Hypocrites juheli", "Hypocrites kraussii", "Hypocrites obtusipennis", "Hypocrites puchneri", "Hypocrites tenuis", "Hypocrites werneri", "Hypoeschrus abyssinicus", "Hypoeschrus acme", "Hypoeschrus aenescens", "Hypoeschrus clermonti", "Hypoeschrus ferreirae", "Hypoeschrus strigosus", "Hypoeschrus ugandensis", "Hypoeschrus dallonii", "Hypogenes octomaculatus", "Hypogenes sexmaculatus", "Hypomares brunneus", "Hypomares robustus", "Hypomares vittatus", "Hypomia mexicana", "Hypostilbus griseus", "Hypselomus cristatus", "Hypsideres curvinucha", "Hypsideroides junodi", "Hypsioma affinis", "Hypsioma albosericea", "Hypsioma barbara", "Hypsioma basalis", "Hypsioma carioca", "Hypsioma constellata", "Hypsioma dejeanii", "Hypsioma gibbera", "Hypsioma grisea", "Hypsioma inornata", "Hypsioma renatoi", "Hypsioma sororcula", "Hypsioma viridis", "Hystatoderes weissi", "Hystatus javanus", "Hystatus werneri", "Hysterarthron collare", "Ialyssus tuberculatus", "Iareonycha ipepuna", "Iarucanga capillacea", "Iarucanga mimica", "Iberodorcadion brannani", "Iberodorcadion castilianum", "Iberodorcadion seoanei", "Iberodorcadion spinolae", "Iberodorcadion amorii", "Iberodorcadion atlantis", "Iberodorcadion chiqui", "Iberodorcadion coelloi", "Iberodorcadion isernii", "Iberodorcadion lorquinii", "Iberodorcadion lusitanicum", "Iberodorcadion marmottani", "Iberodorcadion mimomucidum", "Iberodorcadion mucidum", "Iberodorcadion mus", "Iberodorcadion parmeniforme", "Iberodorcadion suturale", "Iberodorcadion abantense", "Iberodorcadion abulense", "Iberodorcadion aguadoi", "Iberodorcadion albicans", "Iberodorcadion almarzense", "Iberodorcadion aries", "Iberodorcadion becerrae", "Iberodorcadion bolivari", "Iberodorcadion circumcinctum", "Iberodorcadion demandense", "Iberodorcadion ferdinandi", "Iberodorcadion fuentei", "Iberodorcadion ghilianii", "Iberodorcadion graellsii", "Hosta laevigata", "Iberodorcadion grustani", "Iberodorcadion heydenii", "Iberodorcadion korbi", "Iberodorcadion marinae", "Iberodorcadion martinezii", "Iberodorcadion molitor", "Iberodorcadion mosqueruelense", "Iberodorcadion neilense", "Iberodorcadion nudipenne", "Iberodorcadion paulae", "Iberodorcadion perezi", "Iberodorcadion pseudomolitor", "Iberodorcadion segovianum", "Iberodorcadion seguntianum", "Iberodorcadion terolense", "Iberodorcadion uhagonii", "Iberodorcadion vanhoegaerdeni", "Iberodorcadion zarcoi", "Iberodorcadion zenete", "Ibidionidum corbetti", "Ibidionidum jelineki", "Ibidionidum longithoracicum", "Ibidionidum rouyeri", "Ibitiruna araponga", "Ibitiruna fenestrata", "Ibypeba camiri", "Icariotis concolor", "Icariotis fulvicornis", "Icariotis gracilipes", "Icariotis limbipennis", "Idiostrangalia bisbilineata", "Idiostrangalia cerina", "Idiostrangalia contracta", "Idiostrangalia fukienensis", "Idiostrangalia fukiensis", "Idiostrangalia hakonensis", "Idiostrangalia maruokai", "Idiostrangalia nigrobaltea", "Idiostrangalia quadrisignata", "Idiostrangalia rarasanensis", "Idiostrangalia semiviridescens", "Idiostrangalia shimomurai", "Idiostrangalia shirakii", "Idiostrangalia sozanensis", "Idiostrangalia stusaki", "Idiostrangalia tumida", "Idiostrangalia vittatipennis", "Idobrium femoratum", "Idobrium myrmido", "Idobrium sechellarum", "Idobrium voeltzkowi", "Igualda posticalis", "Illaena dawsoni", "Illaena exiguus", "Illaena exilis", "Imantocera arenosa", "Imantocera grisescens", "Imantocera mindanaonis", "Imantocera niasensis", "Imantocera penicillata", "Imantocera plumosa", "Imantocera sumbaensis", "Imantocera sumbawana", "Zadadra monastyrskyi", "Imantocera vicina", "Imbrius acutipennis", "Imbrius allardi", "Imbrius corrugatus", "Imbrius diehli", "Imbrius ephebus", "Imbrius fedorenkoi", "Imbrius klimenkoi", "Imbrius lineatus", "Imbrius similis", "Imbrius simulator", "Imbrius solodovnikovi", "Imbrius uniformis", "Imerinus degener", "Imerinus granuliferus", "Imerinus robustus", "Indapiodes bifasciatus", "Inermaegocidnus elongatus", "Inermestola chiapasensis", "Inermestola densepunctata", "Inermestoloides birai", "Inermestoloides drumonti", "Inermestoloides ecuadorensis", "Inermestoloides praeapicealba", "Inermoleiopus delkeskampi", "Inermoleiopus flavosignatus", "Inermoleiopus fuscosignatus", "Inermoleiopus girardi", "Inermoleiopus roseofasciatus", "Inermoparmena besucheti", "Insuetaspis paradoxa", "Insulochamus annobonae", "Insulochamus nicoletii", "Insulochamus thomensis", "Intricatotrypanius intricatus", "Ioesse putaoensis", "Ioesse rubra", "Ioesse sanguinolenta", "Iphiothe criopsioides", "Iphra epipediforma", "Iphra euderceoides", "Iphra mediofasciata", "Iphra mirogastra", "Iphra moestula", "Iphra splendida", "Iphra tillomorphoides", "Iphra timorensis", "Iphra triangulifera", "Ipochira albomaculipennis", "Ipochira celebensis", "Ipochira enganensis", "Ipochira leitensis", "Ipochira perlata", "Ipochira philippinarum", "Ipochiromima sikkimensis", "Ipochus fasciatus", "Ipochus insularis", "Ipomoria tillides", "Ipothalia bicolor", "Ipothalia bicoloripes", "Ipothalia cambodgensis", "Ipothalia esmeralda", "Ipothalia femorata", "Ipothalia irrasa", "Ipothalia metallica", "Ipothalia micaria", "Ipothalia mixta", "Ipothalia plicicollis", "Ipothalia pyrrha", "Ippitoides uniformis", "Iproca acuminata", "Iproca aoyamaorum", "Iproca flavolineata", "Iproca ishigakiana", "Iproca laosensis", "Iproca pedongensis", "Iquiara tuiuca", "Iquiracetima aspasia", "Iquiracetima brachialis", "Iquiracetima ceruri", "Iquiracetima egeri", "Iquiracetima rana", "Iquiracetima tuberosa", "Zadadra plumbeomicans", "Iranobrium abbreviatum", "Iranobrium brancuccii", "Iranobrium buettikeri", "Iranobrium darwini", "Iranobrium davatchii", "Iranobrium grande", "Ischionodonta lansbergei", "Ischionodonta mexicana", "Ischionodonta paraibensis", "Ischionodonta platensis", "Ischionodonta pustulosa", "Ischionodonta rufomarginata", "Ischionodonta semirubra", "Ischionodonta serratula", "Ischionodonta serripes", "Ischionodonta smaragdina", "Ischionodonta spinicornis", "Ischionodonta torquata", "Ischionodonta versicolor", "Ischionodonta viridinigra", "Ischionorox antiqua", "Ischiosioma albata", "Ischiosioma obliquata", "Ischnauchen costatus", "Ischnia aurescens", "Ischnia okuensis", "Ischnia picta", "Ischnocnemis caerulescens", "Ischnocnemis costipennis", "Ischnocnemis cribellatus", "Ischnocnemis cyaneus", "Ischnocnemis eyai", "Ischnocnemis glabra", "Ischnocnemis luteicollis", "Ischnocnemis minor", "Ischnocnemis sexualis", "Ischnocnemis similis", "Ischnocnemis skillmani", "Ischnocnemis subviridis", "Ischnocnemis virescens", "Ischnodora decolorata", "Ischnodora macra", "Ischnodora munda", "Ischnodora rectangula", "Ischnodora sanci", "Ischnodora sejugata", "Ischnodora separanda", "Ischnodora ugyeni", "Ischnolea bimaculata", "Ischnolea crinita", "Ischnolea flavinota", "Ischnolea flavofemorata", "Ischnolea indistincta", "Ischnolea inexpectata", "Ischnolea longeantennata", "Ischnolea modesta", "Ischnolea oculata", "Ischnolea odettae", "Ischnolea peruana", "Ischnolea piim", "Ischnolea singularis", "Ischnolea spinipennis", "Ischnolea strandi", "Ischnoleomimus excavatus", "Ischnoleomimus foveatus", "Iranobrium schmidi", "Iresioides aeneola", "Iresioides aldabrensis", "Iresioides auricollis", "Iresioides basalis", "Iresioides beaumontii", "Iresioides cyanipennis", "Iresioides ferox", "Iresioides flavovittata", "Iresioides humeralis", "Iresioides lineatopunctata", "Iresioides perrieri", "Iresioides peyrierasi", "Iresioides scapularis", "Ironeus curoei", "Ironeus duplex", "Ironeus mutatus", "Ironeus pulcher", "Irundiaba waorani", "Irundisaua balteata", "Irundisaua forsteri", "Irundisaua heloisae", "Irundisaua moacyri", "Irundisaua ucayalensis", "Ischasia ecclinusae", "Ischasia exigua", "Ischasia feuilleti", "Ischasia indica", "Ischasia linsleyi", "Ischasia mareki", "Ischasia martinsi", "Ischasia nevermanni", "Ischasia nigripes", "Ischasia picticornis", "Ischasia pouteriae", "Ischasia rufina", "Ischasia sabatieri", "Ischasia valida", "Ischasia viridithorax", "Ischasioides berkovae", "Ischasioides crassitarsis", "Ischasioides giesberti", "Ischasioides gounellei", "Ischiocentra clavata", "Ischiocentra diringshofeni", "Ischiocentra disjuncta", "Ischiocentra insulata", "Ischiocentra monteverdensis", "Ischiocentra quadrisignata", "Ischiocentra stockwelli", "Ischioderes bahiensis", "Ischioderes oncideroides", "Ischioloncha columbiana", "Ischioloncha lanei", "Ischioloncha lineata", "Ischioloncha strandiella", "Ischioloncha wollastonii", "Ischionodonta amazona", "Ischionodonta brasiliensis", "Ischionodonta colombiana", "Hosta lancifolia", "Ischionodonta earina", "Ischionodonta iridipennis", "Ischnophygas telephoroides", "Ischnorrhabda macilenta", "Ischnostrangalis antennalis", "Ischnostrangalis apicata", "Ischnostrangalis davidi", "Ischnostrangalis fasciolata", "Ischnostrangalis frugalis", "Ischnostrangalis manipurensis", "Ischnostrangalis rhododendri", "Ischnostrangalis semenowi", "Ischnostrangalis stricticollis", "Ischnostrangalis tibetensis", "Ischnostrangalis wenhsini", "Ischnotes bakewellii", "Ischnotes cylindraceus", "Ischnotes cylindricus", "Isochariesthes arrowi", "Isochariesthes braini", "Isochariesthes breuningi", "Isochariesthes breuningstefi", "Isochariesthes brunneomaculata", "Isochariesthes brunneopunctipennis", "Isochariesthes ciferrii", "Isochariesthes epupaensis", "Isochariesthes euchroma", "Isochariesthes euchromoides", "Isochariesthes flava", "Isochariesthes flavescens", "Isochariesthes flavoguttata", "Isochariesthes francoisi", "Isochariesthes furva", "Isochariesthes fuscocaudata", "Isochariesthes grandaeva", "Isochariesthes lesnei", "Isochariesthes ludibunda", "Isochariesthes moucheti", "Isochariesthes multiguttata", "Isochariesthes picta", "Isochariesthes suturalis", "Isochariesthes transversevitticollis", "Scymbalium rossii", "Isochariesthes tricolor", "Isochariesthes tripunctata", "Isochariesthes ugandicola", "Isochariesthes undulatovittata", "Isomerida albicollis", "Isomerida amicta", "Isomerida apiratinga", "Isomerida cinctiventris", "Isomerida ibitira", "Isomerida invicta", "Isomerida lanifica", "Isomerida lineata", "Isomerida longicornis", "Isomerida paraiba", "Isomerida ruficornis", "Isomerida separata", "Isomerida sergioi", "Isomerida sororcula", "Isomerida tupi", "Isomerida vittata", "Isosaphanodes maynei", "Isosaphanus ferranti", "Jamesia ramirezi", "Jampruca nigricornis", "Jampruca tyligma", "Jamwonus subcostatus", "Janidera biapiculata", "Janidera celebensis", "Janidera insignata", "Janidera plagiata", "Japanocorus caeruleipennis", "Japanomesosa poecila", "Japanostrangalia basiplicata", "Japanostrangalia dentatipennis", "Japanostrangalia yamasakii", "Japonopsimus exocentroides", "Japonopsimus orientalis", "Jeanvoinea annulipes", "Jeanvoinea borneensis", "Jebusaea hammerschmidtii", "Jendekia eduardi", "Jonthodes formosa", "Jonthodina sculptilis", "Jordanoleiopus africanus", "Jordanoleiopus alboscutellaris", "Jordanoleiopus binigromaculipennis", "Jordanoleiopus catops", "Jordanoleiopus fenestrella", "Jordanoleiopus fuscosparsutus", "Jordanoleiopus jadoti", "Jordanoleiopus maynei", "Jordanoleiopus mocquerysi", "Jordanoleiopus pantosi", "Jordanoleiopus hautmanni", "Jordanoleiopus paraphelis", "Jordanoleiopus abyssinicus", "Jordanoleiopus albosuturalis", "Jordanoleiopus antennalis", "Jordanoleiopus benjamini", "Jordanoleiopus bifuscoplagiatus", "Jordanoleiopus brunneicolor", "Jordanoleiopus conradti", "Jordanoleiopus endroedyi", "Jordanoleiopus feai", "Jordanoleiopus femoralis", "Jordanoleiopus flavescens", "Jordanoleiopus flavomaculatus", "Jordanoleiopus flavosignatus", "Jordanoleiopus flavosuturalis", "Hosta longipes var. longipes", "Jordanoleiopus flavovittatus", "Jordanoleiopus fuscomaculatus", "Jordanoleiopus fuscosignatipennis", "Jordanoleiopus fuscosignatus", "Jordanoleiopus gabonicus", "Jordanoleiopus gardneri", "Jordanoleiopus ivorensis", "Jordanoleiopus kivuensis", "Jordanoleiopus leonensis", "Jordanoleiopus machadoi", "Jordanoleiopus mirei", "Jordanoleiopus monoxenus", "Jordanoleiopus multinigromaculatus", "Jordanoleiopus niger", "Jordanoleiopus nimbae", "Jordanoleiopus orientalis", "Jordanoleiopus partesuturalis", "Jordanoleiopus polymitus", "Jordanoleiopus quadriflavomaculatus", "Micrillus badius", "Jordanoleiopus rubrofemoralis", "Jordanoleiopus rufofemoralis", "Jordanoleiopus rufofemoratus", "Jordanoleiopus rufotibialis", "Jordanoleiopus ruwenzorii", "Jordanoleiopus subunicolor", "Jordanoleiopus ugandicola", "Jordanoleiopus unicolor", "Jordanoleiopus villiersi", "Jordanoleiopus zanzibaricus", "Judolia cordifera", "Judolia dentatofasciata", "Judolia gaurotoides", "Judolia impura", "Judolia instabilis", "Judolia montivagans", "Judolia quadrata", "Judolia scapularis", "Judolia sexspilota", "Judolia swainei", "Juiaparus erythropus", "Juiaparus lasiocerus", "Juiaparus mexicanus", "Juiaparus punctulatus", "Juninia annulifera", "Jupoata antonkozlovi", "Jupoata brenesi", "Jupoata costalimai", "Jupoata divaricata", "Jupoata jaechi", "Jupoata peruviana", "Jupoata rufipennis", "Jurua monachina", "Kabatekiella dalihodi", "Kabatekiipsebium yemenensis", "Kabylophytoecia cirteensis", "Kallyntrosternidius bucarensis", "Kalore asanga", "Kalore minima", "Kanekoa aerifera", "Kanekoa lirata", "Kanekoa lucidula", "Kanekoa piligera", "Kaputar cephalotes", "Katarinia belousovi", "Katarinia cephalota", "Katarinia consanguinea", "Katarinia murzini", "Katarinia teledapoides", "Katerina cantharoides", "Katerinaella costaricensis", "Kazuoclytus fukienensis", "Kenyavelleda jirouxi", "Kenyoeme pantherina", "Kerochariesthes fulvoplagiata", "Kerochariesthes holzschuhi", "Kerodiadelia capicola", "Khampaseuthia sisouthami", "Khampaseuthia striatella", "Kipandia chani", "Klugiatragus laticornis", "Knulliana cincta", "Kolonibidion femoratum", "Komiyandra cabigasi", "Komiyandra drumonti", "Komiyandra formosana", "Komiyandra irianjayana", "Komiyandra janus", "Komiyandra javana", "Komiyandra johkii", "Komiyandra koni", "Komiyandra lanyuana", "Komiyandra lombokia", "Komiyandra luzonica", "Hosta longipes var. aequinoctiiantha", "Komiyandra mehli", "Komiyandra menieri", "Komiyandra mindanao", "Komiyandra mindoro", "Komiyandra nayani", "Komiyandra niisatoi", "Komiyandra ohbayashii", "Komiyandra philippinensis", "Komiyandra poggii", "Komiyandra sangihe", "Komiyandra shibatai", "Komiyandra sulawesiana", "Komiyandra uenoi", "Komiyandra vivesi", "Komiyasoma lei", "Kuatinga bicolor", "Kuatuniana subasperata", "Kudekanye suidafrika", "Kuegleria annulicornis", "Kuegleria atricolor", "Kuegleria nigra", "Kunaibidion giesberti", "Kunaibidion panamensis", "Kunbir atriapicalis", "Kunbir atricollis", "Kunbir atripennis", "Kunbir atripes", "Kunbir carinatus", "Kunbir cephalotes", "Kunbir confinis", "Kunbir consobrina", "Kunbir crusator", "Isostenygra monnei", "Isotomus theresae", "Isotrium lutosum", "Isse punctata", "Isthmiade braconides", "Isthmiade buirettei", "Isthmiade cylindrica", "Isthmiade ichneumoniformis", "Isthmiade laevicollis", "Isthmiade macilenta", "Isthmiade mariahelenae", "Isthmiade martinsi", "Isthmiade modesta", "Isthmiade parabraconides", "Isthmiade perpulchra", "Isthmiade planifrons", "Isthmiade rubra", "Isthmiade rugosifrons", "Isthmiade vitripennis", "Isthmiade zamalloae", "Itaclytus justini", "Itaclytus olivaceus", "Itaclytus tumulifer", "Itaituba miniacea", "Itaituba pitanga", "Itajutinga difficilis", "Ites colasi", "Ites plagiatus", "Itheum alboscutellare", "Itheum fuscoantennale", "Itheum lineare", "Itheum villosum", "Itheum vittigerum", "Ithocritus multimaculatus", "Ithocritus ruber", "Itumbiara crinicornis", "Itumbiara cuici", "Itumbiara denudata", "Itumbiara explanata", "Itumbiara fimbriata", "Itumbiara picticollis", "Itumbiara picticornis", "Itumbiara plumosa", "Itumbiara subdilatata", "Itumbiara taigaiba", "Iuaca nigromaculata", "Iuati spinithorax", "Iyanola romei", "Jadotia adlbaueri", "Jamesia bella", "Jamesia duofasciata", "Jamesia ericksoni", "Jamesia fuscofasciata", "Jamesia globifera", "Jamesia lineata", "Jamesia multivittata", "Jamesia papulenta", "Jamesia phileta", "Jamesia pyropina", "Kunbir forticornis", "Kunbir laboissierei", "Kunbir lombokiana", "Kunbir nomurai", "Kunbir pallidipennis", "Kunbir pilosipes", "Kunbir rufoflavidus", "Kunbir salemensis", "Kunbir simplex", "Kunbir telephoroides", "Kunbir testaceus", "Kunbir vartianorum", "Kurandanus maculosus", "Kurarua angularis", "Kurarua angustissima", "Kurarua bicolorata", "Micrillus nepalensis", "Kurarua brevipes", "Kurarua chujoi", "Kurarua concinna", "Kurarua constrictipennis", "Kurarua delicata", "Kurarua elongaticollis", "Kurarua flavidula", "Kurarua imbuta", "Kurarua imitans", "Kurarua laticornis", "Kurarua latipennis", "Kurarua longula", "Kurarua majuscula", "Kurarua minor", "Kurarua nacerdoides", "Kurarua nigrescens", "Kurarua obfuscata", "Kurarua obscura", "Kurarua pallida", "Kurarua pedongensis", "Kurarua pennata", "Kurarua plauta", "Kurarua rhopalophoroides", "Kurarua rubida", "Kurarua ruficeps", "Kurarua shibatai", "Kurarua singhi", "Kurarua unica", "Kurarua vafella", "Kyranycha fraudatrix", "Lachneophysis dohertyi", "Lachneophysis foveolata", "Lachneophysis goetzei", "Lachneophysis rougeoti", "Lachnia subcincta", "Lachnopterus argenteomaculatus", "Lachnopterus atrofrigidus", "Lachnopterus auripennis", "Lacordairina tmesisternoides", "Laedorcari fulvicollis", "Laedorcari pubipennis", "Laedorcari vestitipennis", "Laelida alboochracea", "Laelida antennata", "Lagocheirus araneiformis", "Lagocheirus binumeratus", "Lagocheirus cristulatus", "Lagocheirus delestali", "Lagocheirus foveolatus", "Lagocheirus funestus", "Hosta longipes var. gracillima", "Lagocheirus giesberti", "Lagocheirus integer", "Lagocheirus jamaicensis", "Lagocheirus kathleenae", "Lagocheirus lugubris", "Lagocheirus mecotrochanter", "Lagocheirus obsoletus", "Lagocheirus plantaris", "Micrillus virgatus", "Lagocheirus praecellens", "Lagocheirus procerus", "Lagocheirus rogersi", "Lagocheirus rosaceus", "Lagocheirus simplicicornis", "Lagocheirus unicolor", "Lagocheirus wenzeli", "Lagocheirus xileuco", "Lagriadoliops anichtchenkoi", "Lagrida aenea", "Lagrida nitida", "Lagrida rufa", "Lamacoscylus humilis", "Lamacoscylus usingeri", "Lamia annulicornis", "Lamidorcadion annulipes", "Lamidorcadion laosense", "Lamidorcadion tuberosum", "Lamiessa eumolpoides", "Lamiomimus chinensis", "Lamprobityle azurea", "Lamprobityle fasciata", "Lamprobityle katrinae", "Lamprobityle kristinae", "Lamprobityle marifelipeae", "Lamprobityle rugulata", "Lamprobityle zeltitae", "Lamprosybra fuscipennis", "Lamprosybra obtusipennis", "Lamprosybra sulcata", "Lanephus njumanii", "Languriomiccolamia bicolor", "Laodemonax forticornis", "Laodemonax rufithorax", "Laodemonax schillhammeri", "Laoechinophorus unifasciatus", "Laodora pilosa", "Laokaya vitalisi", "Laoleptura phupanensis", "Laopania spectabilis", "Laosaphrodisium amadori", "Laosaphrodisium crassum", "Laosaphrodisium cyaneum", "Laosaphrodisium optimum", "Laosaphrodisium superbum", "Lepturges maculosus", "Lepturges malkini", "Lepturges mattogrossis", "Lepturges megalops", "Lepturges multilineatus", "Lepturges navicularis", "Lepturges perelegans", "Lepturges peruibensis", "Lepturges peruviensis", "Lepturges pictus", "Lepturges proximus", "Lepturges punctatissimus", "Lepturges regularis", "Lepturges rhytisma", "Lepturges roppai", "Lepturges seabrai", "Lepturges sejunctimacula", "Lepturges serranus", "Lepturges sexvittatus", "Lepturges singularis", "Lepturges soricinus", "Lepturges spitzi", "Lepturges subglaber", "Lepturges symmetricus", "Lepturges umbrosus", "Lepturges unicolor", "Lepturges vigneaulti", "Lepturges virgatus", "Lepturges vogti", "Lepturges yucca", "Lepturges zikani", "Lepturges zonula", "Lepturges barii", "Lepturges comminus", "Lepturges definitus", "Lepturges dorsalis", "Lepturges epagogus", "Lepturges fragillimus", "Lepturges fuchsi", "Lepturges gratiosus", "Lepturges griseostriatus", "Lepturges inscriptus", "Lemula inaequalicollis", "Lemula lata", "Lemula longipennis", "Lemula obscuripennis", "Lemula par", "Lemula pilifera", "Lemula setigera", "Lemula testaceipennis", "Lemula viridipennis", "Lentalius dorsopictus", "Leonaedoeus armatus", "Leonaedoeus concolor", "Leonaedoeus thoracicus", "Leonaedoeus vadoni", "Leontiprionus rudis", "Leprodera elongata", "Leprodera verrucosa", "Lepromoris gibba", "Leptachrous strigipennis", "Leptalia macilenta", "Leptaschema filarium", "Leptenicodes gracilis", "Leptenicodes quadrilineatus", "Leptepania chaiglomi", "Leptepania filiformis", "Leptepania indica", "Leptepania insularis", "Leptepania japonica", "Leptepania lantauensis", "Leptepania longicollis", "Leptepania malayana", "Micrillus kongi", "Leptepania minuta", "Leptepania ryukyuana", "Leptepania sakaii", "Leptepania schuhi", "Leptepania sida", "Leptepania sulcicollis", "Leptochoriolaus opacus", "Leptocometes acutispinis", "Leptocometes barbiscapus", "Leptocometes hispidus", "Leptocometes longilineatus", "Leptocometes luneli", "Leptocometes nubilus", "Leptocometes obscurus", "Leptocometes pallidus", "Leptocometes penicillatus", "Leptocometes spinipennis", "Leptocometes spitzi", "Leptocometes umbrosus", "Leptocometes virescens", "Leptocometes volxemi", "Leptocometes zikani", "Leptocyrtinus nitidus", "Leptoderiana coerulea", "Leptoderiana teocchii", "Leptoeme garnieri", "Leptoeme malawiensis", "Leptostylus aspiciens", "Leptostylus batesi", "Leptostylus bruesi", "Leptostylus calcarius", "Leptostylus candidus", "Leptostylus castaneovirescens", "Leptostylus cineraceus", "Leptostylus corpulentus", "Leptostylus cretatellus", "Leptostylus cristulatus", "Leptostylus dealbatus", "Leptostylus decipiens", "Leptostylus diffusus", "Leptostylus dubitans", "Leptostylus faulkneri", "Leptostylus fernandezi", "Leptostylus fuligineus", "Leptostylus gibbulosus", "Leptostylus gibbus", "Leptostylus gnomus", "Leptostylus heticus", "Leptostylus hilaris", "Leptostylus hispidulus", "Leptostylus illitus", "Leptostylus incertus", "Leptostylus jolyi", "Leptostylus laevicauda", "Leptostylus latifasciatus", "Leptostylus lazulinus", "Leptostylus leucanthes", "Leptostylus leucopygus", "Leptostylus lilliputanus", "Leptostylus lividus", "Leptostylus macrostigma", "Leptostylus melasmus", "Leptostylus metallicus", "Leptostylus neivai", "Leptostylus nigritus", "Leptostylus nordestinus", "Leptostylus notaticollis", "Leptostylus obliquatus", "Leptostylus obrienorum", "Leptostylus obscurellus", "Leptostylus ochropygus", "Leptostylus orbiculus", "Leptostylus ovalis", "Leptostylus palliatus", "Leptostylus paraleucus", "Leptostylus paulus", "Leptostylus perniciosus", "Leptostylus petulans", "Leptostylus phrissominus", "Leptostylus pilula", "Leptostylus plautus", "Leptostylus pleurostictus", "Leptostylus plumeoventris", "Leptostylus pseudocalcarius", "Leptostylus pulcherrimus", "Leptostylus pygialis", "Leptostylus quintalbus", "Leptostylus retrorsus", "Leptostylus sagittatus", "Leptostylus scudderi", "Leptostylus seabrai", "Leptostylus signaticauda", "Leptostylus sleeperi", "Leptostylus soukai", "Leptostylus spermovoratis", "Leptostylus spiculatus", "Leptostylus subfurcatus", "Leptostylus transversus", "Leptostylus triangulifer", "Leptostylus trigonus", "Leptostylus viridescens", "Leptostylus viriditinctus", "Leptostylus xanthopygus", "Leptostylus zonatus", "Leptoxenus bimaculatus", "Leptoxenus ibidiiformis", "Leptoxenus ligneus", "Leptoxenus ornaticollis", "Leptoxenus ramosanus", "Leptrichillus minutus", "Leptura abdominalis", "Leptura ambulatrix", "Leptura anthracina", "Leptura arcifera", "Leptura atrimembris", "Leptura auratopilosa", "Leptura aureolella", "Leptura aurosericans", "Leptura barkamica", "Leptura bocakorum", "Leptura clytoides", "Leptura cordis", "Leptura daliensis", "Leptura formosomontana", "Leptura fruhstorferi", "Leptura gradatula", "Leptura grahamiana", "Leptura guerryi", "Leptura hovorei", "Leptura kerniana", "Leptura kubani", "Leptura lavinia", "Leptura linwenhsini", "Leptura longeattenuata", "Leptura longipennis", "Leptura masegakii", "Leptura naxi", "Leptura nigroguttata", "Leptura obliterata", "Leptura pacifica", "Leptura petrorum", "Leptura plagifera", "Leptura plebeja", "Leptura ponderosissima", "Leptura propinqua", "Leptura rufoannulata", "Leptura rufomaculata", "Leptura semicornis", "Leptura sequoiae", "Leptura spinosula", "Leptura subhamata", "Leptura submarginata", "Leptura taranan", "Chaetopelma lymberakisi", "Leptura tattakana", "Lasiopezus hiekei", "Lasiopezus latefasciatus", "Lasiopezus longimanus", "Lasiopezus marmoratus", "Lasiopezus nigromaculatus", "Lasiopezus sordidus", "Lasiopezus variegator", "Lasiophrys latifrons", "Latabryna arnaudi", "Lateropalus continentalis", "Lateropalus pascoei", "Lathroeus immaculatus", "Lathroeus mysticus", "Lathroeus oreoderoides", "Lathusia ferruginea", "Lathusia parvipilipes", "Laticranium mandibulare", "Micrillus hamatus", "Latisternum burgeoni", "Latisternum macropus", "Latisternum marshalli", "Latisternum pulchrum", "Latisternum romani", "Latisternum simile", "Latisternum strandi", "Lautarus concinnus", "Lebisia vadoni", "Leiophysis dujardini", "Leiopus albivittis", "Leiopus andreae", "Leiopus bedeli", "Leiopus convexus", "Leiopus evgeniyi", "Leiopus floccidus", "Leiopus histrionicus", "Leiopus kharazii", "Leiopus linnei", "Leiopus lisae", "Leiopus masaoi", "Leiopus montanus", "Leiopus pleuriticus", "Leiopus settei", "Leiopus syriacus", "Leiopus wrzecionkoi", "Leiopus campbelli", "Leiopus fallaciosus", "Leiopus flavomaculatus", "Leiopus holzschuhi", "Leiopus multipunctellus", "Leiopus nigrofasciculosus", "Leiopus nigropunctatus", "Leiopus ocellatus", "Leiopus shibatai", "Leiotoma drumonti", "Leiotoma viridescens", "Lembu dieguezi", "Lemula brunneipennis", "Lemula coerulea", "Lemula confusa", "Lemula crucifera", "Lemula cyanipennis", "Lemula densepunctata", "Lemula fracta", "Lemula gorodinskii", "Leptura wickhami", "Leptura yulongshana", "Leptura zonifera", "Leptura alticola", "Leptura gibbosa", "Leptura quadrizona", "Leptura regalis", "Leptura christinae", "Leptura dellabrunai", "Leptura tatsienlua", "Lepturasta russa", "Lepturdrys novemlineata", "Lepturgantes candicans", "Lepturgantes dilectus", "Lepturgantes flavovittatus", "Lepturgantes pacificus", "Lepturgantes septemlineatus", "Lepturgantes seriatus", "Lepturgantes variegatus", "Lepturges abditus", "Lepturges alboscriptus", "Lepturges alvarengai", "Lepturges amabilis", "Lepturges anceps", "Lepturges angulatus", "Lepturges angustatus", "Lepturges attaleae", "Lepturges batesi", "Lepturges beaveri", "Lepturges breviceps", "Lepturges bucki", "Lepturges callinus", "Lepturges canocinctus", "Lepturges castaneus", "Lepturges centralis", "Lepturges charicles", "Lepturges cinereolus", "Lepturges cingillus", "Lepturges circumscripta", "Lepturges citrinus", "Lepturges complanatus", "Lepturges comptus", "Lepturges confluens", "Lepturges curvilinea", "Lepturges dorotheae", "Lepturges elegantulus", "Lepturges elimata", "Lepturges eurynota", "Lepturges fasciculatoides", "Lepturges festivus", "Lepturges figuratus", "Lepturges fischeri", "Lepturges funereus", "Lepturges glaphyra", "Lepturges hahneli", "Lepturges hylaeanus", "Lepturges infilatus", "Lepturges insignis", "Lepturges itu", "Lepturges janus", "Lepturges laeteguttatus", "Lepturges limpidus", "Lepturges linearis", "Lepturges macilentus", "Limernaea premarginata", "Limernaea sahlbergi", "Limernaea suturalis", "Limozota virgata", "Linda annamensis", "Linda annulicornis", "Linda assamensis", "Linda atricornis", "Linda bimaculicollis", "Linda femorata", "Linda fraterna", "Linda gracilicornis", "Linda javaensis", "Linda macilenta", "Linda major", "Linda nigroscutata", "Linda procera", "Linda pyritosa", "Linda rubescens", "Linda semiatra", "Linda semivittata", "Linda signaticornis", "Linda stolata", "Linda subannulicornis", "Linda subatricornis", "Linda tonkinensis", "Linda zayuensis", "Linda apicalis", "Linda fasciculata", "Linda javanica", "Linda testacea", "Lingafelteria giuglarisi", "Lingoria sanguinicollis", "Linopodius acutipennis", "Linopteridius africanus", "Linopteridius annulipes", "Linopteridius brunneus", "Linopteridius fuscipleuris", "Linopteridius hirsutus", "Linopteridius minimus", "Linopteropsis sparsepunctatus", "Linsleychroma monnei", "Linsleyonides albomaculatus", "Linsleyonides chemsaki", "Linsleyonides portoricensis", "Linyra lymphatica", "Liodasys maculatus", "Lioderina linearis", "Liogramma zelandica", "Liosteburia bleuzeni", "Liostola nitida", "Liosynaphaeta balloui", "Lissoeme maculata", "Lissoeme testacea", "Lissonomimus auratopilosus", "Lissonomimus megaderinus", "Lissonoschema fasciatum", "Lissonoschema macrocolum", "Lissonoschema solangeae", "Lissonotus clavicornis", "Lissonotus equestris", "Lissonotus fallax", "Lissonotus flabellicornis", "Lepturges laetus", "Lepturges prolatus", "Lepturges repandus", "Lepturges rotundus", "Lepturges scitulus", "Lepturges scriptus", "Lepturges serenus", "Lepturges tenuis", "Lepturges villiersi", "Lepturges virgulti", "Lepturginus obscurellus", "Lepturginus tigrellus", "Lepturgotrichona bordoni", "Lepturgotrichona cubaecola", "Lepturgotrichona stigmatica", "Lepturomyia matilei", "Lepturonota inconspicua", "Lepturonota lifuana", "Lepturonota loyaltiana", "Lepturonota modesta", "Lepturonota tristis", "Lepturopsis biforis", "Lepturopsis dolorosa", "Lepturovespa aurantipes", "Lepturovespa calceata", "Lepturovespa stricticollis", "Lesbates acromii", "Lesbates axillaris", "Lesbates carissima", "Lesbates caviunas", "Lesbates milleri", "Lesbra graueri", "Lethes humeralis", "Lethes indignus", "Lethes israeli", "Leucographus albovarius", "Leucographus alluaudi", "Leucographus catalai", "Leucographus variegatus", "Leuconitocris chrysostigma", "Leuconitocris leucostigma", "Leuconitocris argyrostigma", "Leuconitocris aurigutticollis", "Leuconitocris delecta", "Leuconitocris kafakumbae", "Leuconitocris senegalensis", "Leuconitocris singularis", "Leuconitocris tanganjyicae", "Leucophoebe albaria", "Leucophoebe kempfi", "Leucophoebe pictilis", "Leuronotus affinis", "Leuronotus spatulatus", "Leus ramuli", "Lianema tenuicornis", "Libanoclytus tommasoi", "Liberedaxia deslauriersi", "Licracantha formicaria", "Limernaea acuta", "Limernaea aurivillii", "Limernaea lineata", "Limernaea ochracea", "Limernaea paraensis", "Limernaea picta", "Lissonotus flavocinctus", "Lissonotus kuaiuba", "Lissonotus nigrofasciatus", "Lissonotus princeps", "Lissonotus rubidus", "Lissonotus rubripes", "Lissonotus rugosus", "Lissonotus scapularis", "Lissonotus simplex", "Lissonotus spadiceus", "Lissonotus unifasciatus", "Lissonotus zellibori", "Lissonotypus brasiliensis", "Lissonotypus tetraspilotus", "Lissozodes basalis", "Listrocerum aeolis", "Listrocerum apiceniger", "Listrocerum aspericorne", "Listrocerum asperipenne", "Listrocerum bicolor", "Listrocerum fuscoapicalis", "Listrocerum joveri", "Listrocerum maynei", "Listrocerum murphyi", "Listrocerum olseni", "Listrocerum psathyroides", "Listrocerum quentini", "Listroptera carbonaria", "Listroptera tenebricosa", "Lithargyrus guadeloupensis", "Lithargyrus melzeri", "Litomeces maculicollis", "Litomeces splendidus", "Litopus aequabilis", "Litopus argentatus", "Litopus auricollis", "Litopus basalis", "Litopus coelestinus", "Litopus drumonti", "Litopus halli", "Litopus kenyensis", "Litopus neavei", "Litopus patricius", "Litopus pseudauricollis", "Litopus reticulatus", "Litopus semiopacus", "Litopus spiniger", "Loboberea pygidialis", "Lochmaeocles alboplagiatus", "Lochmaeocles basalis", "Lochmaeocles batesi", "Lochmaeocles callidryas", "Lochmaeocles confertus", "Lochmaeocles congener", "Lochmaeocles consobrinus", "Lochmaeocles cornuticeps", "Lochmaeocles cretatus", "Lochmaeocles fasciatus", "Lochmaeocles grisescens", "Lochmaeocles hondurensis", "Lochmaeocles laticinctus", "Lochmaeocles leuripennis", "Lochmaeocles marmoratus", "Lochmaeocles nigritarsus", "Lochmaeocles obliquatus", "Lochmaeocles pseudovestitus", "Lochmaeocles pulcher", "Lochmaeocles salvadorensis", "Lochmaeocles sladeni", "Lochmaeocles sparsus", "Lochmaeocles tessellatus", "Lochmaeocles vestitus", "Lochmaeocles zonatus", "Lochmodocerus antennatus", "Logaeus subopacus", "Logisticus angustatus", "Logisticus bicolor", "Logisticus castaneus", "Logisticus fuscopunctatus", "Logisticus iners", "Logisticus inexpunctatus", "Logisticus modestus", "Logisticus obscurus", "Logisticus obtusipennis", "Logisticus platypodus", "Logisticus proboscideus", "Logisticus quentini", "Logisticus rostratus", "Logisticus simplex", "Logisticus spinipennis", "Logisticus ungulatus", "Logisticus unidentatus", "Logisticus villiersi", "Longelinopodius longicollis", "Longilepturges bicolor", "Longilepturges xantholineatus", "Longipalpus bifasciatus", "Longipalpus cagayanus", "Longipalpus carabiformis", "Longipalpus clavipes", "Longipalpus constricticollis", "Longipalpus cordatus", "Longipalpus cottoni", "Longipalpus cylindricollis", "Longipalpus dilatipennis", "Longipalpus dilaw", "Longipalpus flavomaculatus", "Longipalpus guamensis", "Longipalpus gynandropsidis", "Longipalpus luridus", "Longipalpus nagatomii", "Longipalpus neobrittanicus", "Longipalpus nigrofasciatus", "Longipalpus obcordatus", "Longipalpus oblongoguttulus", "Longipalpus palauensis", "Longipalpus quadriguttatus", "Longipalpus rouyeri", "Longipalpus saipanensis", "Longipalpus seminiger", "Longipalpus shigarorogi", "Longipalpus sinuaticollis", "Longipalpus spinipennis", "Longipalpus tahuensis", "Longipalpus visayanus", "Longipalpus wenhsini", "Longipalpus zimmermani", "Leptogenopapus mirabilis", "Hosta \u00d7 tardiva", "Bryobium queenslandicum", "Hosta yingeri", "Euscalpellum bengalense", "Bryobium dischorense", "Eria clausa", "Bryobium eriaeoides", "Lycidola simulatrix", "Lycochoriolaus angustatus", "Lycochoriolaus angustisternis", "Lycochoriolaus ater", "Lycochoriolaus aurifer", "Lycochoriolaus costulatus", "Lycochoriolaus lateralis", "Lycochoriolaus lyciformis", "Lycochoriolaus mimulus", "Lycochoriolaus sericeus", "Lycochoriolaus similis", "Lycochoriolaus xantho", "Lycomimus albocinctus", "Lycomimus ampliatus", "Lycomimus formosus", "Lycomorphoides simulans", "Lycosomus mirabilis", "Lydipta conspersa", "Lydipta humeralis", "Lydipta pumilio", "Lydipta senicula", "Lygesis cylindricolle", "Lygesis mendica", "Lygistopteroides longipennis", "Lygrocharis neivai", "Lygrocharis nigripennis", "Lypsimena fuscata", "Lypsimena nodipennis", "Lypsimena proletaria", "Lypsimena strandiella", "Lypsimena tomentosa", "Macellidiopygus debilis", "Macrambyx suturalis", "Macrocamptus andamanicus", "Macrocamptus virgatus", "Macrochenus assamensis", "Macrochenus atkinsoni", "Macrochenus guerinii", "Macrochenus lacordairei", "Macrochenus melanospilus", "Macrochenus tigrinus", "Macrochenus tonkinensis", "Macrochia texata", "Macrochoriolaus elegans", "Macrocleptes caledonicus", "Macrocleptes tuberculipennis", "Macrodontia antonkozlovi", "Macrodontia batesi", "Macrodontia castroi", "Macrodontia crenata", "Macrodontia dejeanii", "Macrodontia flavipennis", "Macrodontia itayensis", "Macrodontia jolyi", "Macrodontia marechali", "Macrodontia mathani", "Macrodontia zischkai", "Macroeme condyla", "Macroeme cylindrica", "Macroeme plana", "Macroeme priapica", "Macroeme similis", "Macroeme sobrina", "Macroeme vittipennis", "Macrohammus deyrollei", "Macronemus analis", "Macronemus antennator", "Macronemus asperulus", "Macronemus fabricii", "Macronemus filicornis", "Macronemus giuglarisi", "Macronemus mimus", "Macronemus rufescens", "Macronemus waxrasapa", "Macrones acicularis", "Macrones besti", "Macrones brandoni", "Macrones capito", "Macrones debilis", "Macrones exilis", "Macrones purpureipes", "Macrones rufus", "Macrones subclavatus", "Macrophysis luzona", "Macropophora accentifer", "Macropophora lacordairei", "Macropophora worontzowi", "Macropraonetha pterolophioides", "Macroprionus heros", "Macropsebium cotterilli", "Macropsebium wahlbergi", "Macroropica celebensis", "Macrosaspis brevipes", "Macrosaspis camerunensis", "Macrospina caboverdiana", "Macrotoma androyana", "Macrotoma castaneipennis", "Macrotoma coelaspis", "Macrotoma delahayei", "Macrotoma drumonti", "Macrotoma ducarmei", "Macrotoma hassoni", "Macrotoma hayesii", "Macrotoma legalli", "Macrotoma mourgliai", "Macrotoma natala", "Macrotoma palmata", "Macrotoma prionopus", "Macrotoma serripes", "Macrotoma vandeweghei", "Maculileiopus kalshoveni", "Maculileiopus maculipennis", "Madecassometallyra madecassa", "Magaliella punctata", "Magninia tonkinea", "Mahenes demelti", "Mahenes multifasciatus", "Mahenes semifasciata", "Mahenoides pauliani", "Maisi fisheri", "Makromastax mandibularis", "Malacopterus pavidus", "Malacopterus tenellus", "Malacoscylus auricomus", "Specklinia corniculata", "Espeletia hartwegiana subsp. centroandina", "Solanum ruizii", "Bryobium hyacinthoides", "Bryobium irukandjianum", "Bryobium pudicum", "Bryobium rendovaense", "Bryobium retusum", "Agave guttata", "Agave jaliscana", "Leptoeme schawalleri", "Micrillus coloratus", "Leptoeme xantha", "Leptomesosa cephalotes", "Leptomesosa langana", "Leptomesosa minor", "Leptomesosella uniformis", "Leptonota bordoni", "Leptonota comitessa", "Leptonota sepium", "Leptophaula femoralis", "Leptorhabdium illyricum", "Leptorhabdium nitidum", "Leptorhabdium pictum", "Leptosiella hefferni", "Leptosiella niassensis", "Leptosiella obscura", "Leptosiella parallela", "Leptosiella thompsoni", "Leptostrangalia angustolineata", "Leptostrangalia flavitarsis", "Leptostrangalia hosohana", "Leptostrangalia malasiaca", "Leptostrangalia marginipennis", "Leptostrangalia nakamurai", "Leptostrangalia rufimembris", "Leptostrangalia shaanxiana", "Leptostrangalia trisignatipennis", "Leptostylopsis albofasciatus", "Leptostylopsis antillarum", "Leptostylopsis argentatus", "Leptostylopsis atromaculatus", "Leptostylopsis bidentatus", "Leptostylopsis cristatus", "Leptostylopsis duvali", "Leptostylopsis grandis", "Leptostylopsis guanica", "Leptostylopsis gundlachi", "Leptostylopsis incrassatus", "Leptostylopsis jamaicensis", "Leptostylopsis latus", "Leptostylopsis longicornis", "Leptostylopsis luteus", "Leptostylopsis martinicensis", "Leptostylopsis milleri", "Leptostylopsis monin", "Leptostylopsis monticola", "Leptostylopsis ornatus", "Micrillus rougemonti", "Leptostylopsis planidorsus", "Leptostylopsis poirieri", "Leptostylopsis smithi", "Leptostylopsis terraecolor", "Leptostylopsis testaceus", "Leptostylopsis thomasi", "Leptostylopsis yukiyu", "Leptostylus albagniri", "Leptostylus albicinctus", "Leptostylus angulicollis", "Leptostylus arciferus", "Leptostylus armatus", "Leptostylus asperatus", "Lophalia auricomis", "Lophalia cavei", "Lophalia cribricollis", "Lophalia cyanicollis", "Lophalia prolata", "Lophalia quadrivittata", "Lophobothea barclayi", "Lophobothea nearnsi", "Lophobothea reticulata", "Lophopoenopsis albosparsus", "Lophopoenopsis itatiaiensis", "Lophopoenopsis singulare", "Lophopoeum bituberculatum", "Lophopoeum bruchi", "Lophopoeum carinatulum", "Lophopoeum centromaculatum", "Lophopoeum circumflexum", "Lophopoeum forsteri", "Lophopoeum freudei", "Lophopoeum fuliginosum", "Lophopoeum humerosum", "Lophopoeum meridianum", "Lophopoeum monticulum", "Lophopoeum saronotum", "Lophopoeum scopiferum", "Lophopoeum timbouvae", "Lophopogonius crinitus", "Lophoschema guayapa", "Lubosia dembickyi", "Lucasianus levaillantii", "Lulua duprixi", "Lulua squamosa", "Lundgrenosis squamosa", "Luscosmodicum beaveri", "Lustrocomus paraensis", "Luteicenus atromaculatus", "Luteolepturges galbus", "Luzonochroma mindorensis", "Chaetopelma karlamani", "Luzonochroma monticola", "Luzonoparmena habei", "Luzonoparmena sierrana", "Lycaneptia amicta", "Chiropterotriton nubilus", "Chiropterotriton aureus", "Lycaneptia nigrobasalis", "Lychrosimorphus bulbosus", "Lychrosimorphus rotundipennis", "Lychrosimorphus striatellus", "Lychrosimorphus vittatus", "Lycidocerus sanguineus", "Lycidola affinis", "Lycidola batesi", "Lycidola beltii", "Lycidola expansa", "Lycidola felix", "Lycidola flavofasciata", "Lycidola palliata", "Trichopetalum plumosum", "Amolops sinensis", "Amolops yatseni", "Oxytenis peregrina peregrina", "Leptogenoxenus wilsoni", "Rhytidophyllum petiolare", "Lornechusula jansei", "Lornechusula antennata", "Agave coetocapnia subsp. coetocapnia", "Lornechusula camerounensis", "Cistus creticus subsp. creticus", "Asparagus angusticladus", "Asparagus aphyllus subsp. aphyllus", "Laosaphrodisium watsoni", "Laosepilysta flavolineata", "Laosobrium minusculum", "Laosobrium nudipenne", "Laosobrium pauxillum", "Laoterinaea flavovittata", "Lapazina discicollis", "Lapazina fuscipennis", "Laraesima albosignata", "Laraesima asperata", "Laraesima brunneoscutellaris", "Laraesima densepunctata", "Laraesima ecuadorensis", "Laraesima fuliginea", "Laraesima hispida", "Laraesima nitida", "Laraesima ochreoapicalis", "Laraesima pilosa", "Laraesima scutellaris", "Lasiocercis affinis", "Lasiocercis bigibba", "Lasiocercis bigibboides", "Lasiocercis fasciata", "Lasiocercis hovanoides", "Lasiocercis limbolaria", "Lasiocercis nigrofasciata", "Lasiocercis nigrosignata", "Lasiocercis niveosignata", "Lasiocercis ochreomaculata", "Lasiocercis paraperroti", "Lasiocercis parvula", "Lasiocercis perroti", "Lasiocercis postfasciata", "Lasiocercis posticefasciata", "Lasiocercis semiarcuata", "Lasiocercis similis", "Lasiocercis subbigibboides", "Lasiocercis transversefasciata", "Lasiocercis tricoloripennis", "Lasiocercis truncata", "Lasiocercis truncatoides", "Lasiocercis vadoni", "Lasiocercis villiersi", "Lasiocercis viridana", "Lasiocercis albosignata", "Lasiocercis bipenicillata", "Lasiocercis catalai", "Lasiocercis ciliata", "Lasiocercis fuscosignatus", "Lasiocercis madagascariensis", "Lasiocercis nigropunctatus", "Lasiocercis ochreoapicalis", "Lasiocercis ochreopicta", "Lasiocercis pilosa", "Lasiocercis rufotibialis", "Lasiocercis viossati", "Lasiocercis ziczac", "Lasiocercis elegantula", "Lasiocercis medioflava", "Lasiogaster costipennis", "Lasiolepturges similis", "Lasiolepturges zikani", "Lasiopezus affinis", "Lasiopezus brunoi", "Megacyllene melanaspis", "Megacyllene mellyi", "Megacyllene multiguttata", "Megacyllene murina", "Megacyllene neblinosa", "Megacyllene panamensis", "Megacyllene powersi", "Megacyllene proxima", "Megacyllene quinquefasciata", "Megacyllene robusta", "Megacyllene rotundicollis", "Megacyllene rufofemorata", "Megacyllene sahlbergi", "Megacyllene spinifera", "Megacyllene spixi", "Megacyllene tafivallensis", "Megacyllene trifasciata", "Megacyllene unicolor", "Megacyllene unicoloricollis", "Leptostylus x-griseus", "Lophopoeum w-flavum", "Selenops bastet", "Labidoculex fragilis", "Labidoculex antennalis", "Labidoculex validus", "Leleupidiella cryptomydis", "Therinia amphira amphira", "Leiorhopala subglabra", "Therinia lactucina lactucina", "Macrosolen parasiticus", "Malacoscylus cinctulus", "Malacoscylus cirratus", "Malacoscylus elegantulus", "Malacoscylus fasciatus", "Malacoscylus fulveolus", "Malacoscylus gonostigma", "Malacoscylus gratiosus", "Malacoscylus lacordairei", "Malacoscylus lanei", "Malacoscylus nearnsi", "Malacoscylus niger", "Malacoscylus xanthotaenius", "Malagassycarilia armipes", "Malagassycarilia tenuepunctata", "Malayanomolorchus egregius", "Malayanomolorchus fabulosus", "Malayanomolorchus legatus", "Malayanomolorchus serraticornis", "Malayanomolorchus xanthopus", "Malayopsebium coerulea", "Mallaspis scutellaris", "Mallocera amazonica", "Mallocera glauca", "Mallocera ramosa", "Mallocera simplex", "Mallocera spinicollis", "Mallocera umbrosa", "Malloderma kuegleri", "Malloderma pascoei", "Malloderma pulchra", "Mallodon arabicum", "Mallodon baiulus", "Mallodon chevrolatii", "Mallodon columbianum", "Mallodon dasystomum", "Mallodon downesii", "Mallodon linsleyi", "Mallodon spinibarbe", "Mallodon vermiculatum", "Mallodonhoplus nobilis", "Mallodonopsis mexicanus", "Mallonia albosignata", "Mallonia australis", "Mallonia barbicornis", "Mallonia granulata", "Mallonia orientalis", "Mallonia patrizii", "Mallonia pauper", "Mallosia nonnigra", "Mallosia armeniaca", "Mallosia brevipes", "Mallosia costata", "Mallosia gobustanica", "Mallosia herminae", "Mallosia imperatrix", "Mallosia interrupta", "Mallosia mirabilis", "Mallosia tristis", "Mallosia baiocchii", "Mallosia galinae", "Mallosia jakowlewi", "Mallosia tamashaczi", "Mallosoma scutellare", "Asparagus aphyllus subsp. orientalis", "Solanum salicifolium", "Solanum sanchez-vegae", "Asparagus capensis var. capensis", "Trygetus gromovi", "Asparagus plocamoides", "Trygetus jacksoni", "Paracedicus feti", "Zodarion spasskyi", "Latouchia kitabensis", "Zaitunia maracandica", "Mallosoma zonatum", "Malobidion auricome", "Malobidion brunneum", "Malobidion grande", "Malthonea albomaculata", "Malthonea aurescens", "Malthonea cumbica", "Malthonea cuprascens", "Malthonea glaucina", "Malthonea guttata", "Malthonea itaiuba", "Malthonea mimula", "Malthonea minima", "Malthonea obyuna", "Malthonea panthera", "Malthonea phantasma", "Malthonea piraiuba", "Malthonea ruficornis", "Malthonea spinosa", "Malthonea tigrinata", "Malukandra heterostyla", "Malukandra hornabrooki", "Malukandra jayawijayana", "Mannophorus forreri", "Mannophorus laetus", "Mantitheus acuminatus", "Mantitheus murzini", "Mantitheus pekinensis", "Mantitheus taiguensis", "Marauna punctatissima", "Marensis simplex", "Margites aggregatus", "Margites alutaceus", "Margites argenteus", "Margites auratonotatus", "Margites decipiens", "Margites deroliformis", "Margites egenus", "Margites exiguus", "Margites fulvidus", "Margites grisescens", "Margites lajoyei", "Margites luteopubens", "Margites minutulus", "Margites modicus", "Margites mucidus", "Margites mussardi", "Margites pumilus", "Margites rufipennis", "Margites sodalis", "Margites sulcicollis", "Margites sulcifrons", "Margites singularis", "Mariliana bellula", "Mariliana hovorei", "Mariliana niveopicta", "Mariliana ocularis", "Mariliana rupicola", "Mariliana sumpta", "Maripanus quadrimaculatus", "Marmaroglypha densepunctata", "Marmaroglypha fasciata", "Marmaroglypha nicobarica", "Asparagus fallax", "Acanthinozodium crateriferum", "Acanthinozodium sahelense", "Acanthinozodium quercicola", "Asparagus gobicus", "Acanthinozodium tibetsi", "Acanthinozodium ansieae", "Asparagus krebsianus", "Zodarion yemenensis", "Dusmadiores orientalis", "Asparagus lignosus", "Asparagus macowanii", "Dusmadiores katelijnae", "Dusmadiores robanja", "Dusmadiores deserticola", "Asparagus macrorrhizus", "Sophora velutina var. dolichopoda", "Sophora flavescens var. kronei", "Oxytenis modoccidentalis modoccidentalis", "Macrogerodonia bolivianides", "Macrogerodonia borgmeieri", "Macrogerodonia calida", "Macrogerodonia chapareensis", "Macrogerodonia coroicoensis", "Macrogerodonia dohrni", "Macrogerodonia fortunata", "Macrogerodonia foveaventer", "Macrogerodonia glabricollis", "Macrogerodonia godmani", "Macrogerodonia magnicollis", "Macrogerodonia mapiriensis", "Macrogerodonia pollens", "Schoenolirion croceum", "Mauesia acorniculata", "Mauesia bicornis", "Mauesia cornuta", "Mauesia panamensis", "Mauesia simplicis", "Mauesia submetallica", "Maulia picticornis", "Mauritiobrium undulatum", "Mecas albovitticollis", "Mecas ambigena", "Mecas bicallosa", "Mecas cana", "Mecas cineracea", "Mecas cinerea", "Mecas cirrosa", "Mecas confusa", "Mecas femoralis", "Mecas humeralis", "Mecas linsleyi", "Mecas marginella", "Mecas marmorata", "Mecas menthae", "Mecas obereoides", "Mecas pergrata", "Mecas rotundicollis", "Mecas sericeus", "Mecasoma validicornis", "Mecometopus aesopus", "Mecometopus aurantisignatus", "Mecometopus batesii", "Mecometopus bicinctus", "Mecometopus cauaburi", "Mecometopus centurio", "Mecometopus globicollis", "Mecometopus hauseri", "Mecometopus leprieuri", "Mecometopus martinsi", "Mecometopus melanion", "Mecometopus palmatus", "Mecometopus polygenus", "Mecometopus remipes", "Mecometopus riveti", "Mecometopus wallacei", "Mecosarthron buphagus", "Mecosarthron gounellei", "Mecosarthron tritomegas", "Mecosaspis allardi", "Mecosaspis atripennis", "Mecosaspis aureovittata", "Mecosaspis bouyeri", "Mecosaspis coerulea", "Mecosaspis croesus", "Mecosaspis drumonti", "Mecosaspis explanata", "Mecosaspis fuliginosa", "Mecosaspis glabripennis", "Mecosaspis ituriensis", "Mecosaspis kivuensis", "Mecosaspis laeta", "Mecosaspis magnifica", "Mecosaspis rugosa", "Zodarion granulatum", "Dendrobium peguanum", "Solanum stenophyllum", "Solanum storkii", "Leucocoryne coronata", "Zodarion nigrifemur", "Zodarion reticulatum", "Zodarion lutipes", "Asparagus mucronatus", "Dietes bicolor subsp. armeniaca", "Asparagus nesiotes", "Crosnieriella acanthosubcarinae", "Dactylorhiza traunsteineri", "Dactylorhiza traunsteineri subsp. traunsteineri", "Marmaroglypha pubescens", "Marmaroglypha sumatrana", "Marmaroglypha vermiculata", "Marmylaris buckleyi", "Marmylaris truncatipennis", "Marocaulus angulosus", "Marocaulus impressicollis", "Martinsellus signatus", "Martinsia cordigera", "Martinsia scabrosa", "Marupiara castanea", "Masatopes affinis", "Masatopes albosericeus", "Masatopes androyanus", "Masatopes ater", "Masatopes bicolor", "Masatopes catalai", "Masatopes curtus", "Masatopes flavipennis", "Masatopes foveolatus", "Masatopes milloti", "Masatopes minimus", "Masatopes purpureipennis", "Masatopes rufipes", "Masatopes sicardi", "Mascarenobrium luteosparsum", "Massicus atratulus", "Massicus dierli", "Massicus fryi", "Massicus intricatus", "Massicus ivani", "Massicus pascoei", "Massicus philippensis", "Massicus punctulipennis", "Massicus scapulatus", "Massicus subregularis", "Massicus sufficiens", "Massicus suffusus", "Massicus taiwanus", "Massicus theresae", "Massicus trilineatus", "Massicus unicolor", "Massicus valentinae", "Massicus venustus", "Massirachys mariae", "Mastododera fallaciosa", "Mastododera jansoni", "Mastododera lateralis", "Mastododera monticola", "Mastododera nodicollis", "Mastododera rufosericans", "Mastododera tibialis", "Chaetopelma turkesi", "Mastododera transversalis", "Mastododera velutina", "Mastododera vicina", "Mastododera villiersi", "Mattania maculicollis", "Maublancancylistes maublanci", "Maublancancylistes mirei", "Maublancia maublanci", "Maublancia nigricollis", "Maublancia testui", "Mecosaspis severa", "Mecosaspis whytei", "Mecotetartus antennatus", "Mecynippus ciliatus", "Mecynippus pubicornis", "Mecynome aenescens", "Mecynome quadrispinosus", "Mecynopus annulicornis", "Mecynopus cothurnatus", "Mecynopus semivitreus", "Megabasis speculifera", "Megacera praelata", "Megacera vittata", "Megacheuma brevipennis", "Megachoriolaus atripennis", "Megachoriolaus ayalai", "Megachoriolaus bicolor", "Megachoriolaus chemsaki", "Megachoriolaus cruentus", "Megachoriolaus flammatus", "Megachoriolaus ignitus", "Megachoriolaus imitatrix", "Megachoriolaus lineaticollis", "Megachoriolaus nigricollis", "Megachoriolaus patricia", "Megachoriolaus spiniferus", "Megachoriolaus texanus", "Megachoriolaus unicolor", "Megachoriolaus venustus", "Megacoelus didelphis", "Megacoelus gustavi", "Megacoelus hiekei", "Megacyllene abnormis", "Megacyllene anacantha", "Megacyllene andesiana", "Megacyllene angulata", "Megacyllene angulifera", "Megacyllene antennata", "Megacyllene bella", "Megacyllene bonplandi", "Megacyllene boryi", "Megacyllene castanea", "Megacyllene castroi", "Megacyllene chalybeata", "Megacyllene cleroides", "Megacyllene congener", "Megacyllene costaricensis", "Megacyllene decora", "Megacyllene designata", "Megacyllene ebenina", "Megacyllene ellifranziana", "Megacyllene falsa", "Megacyllene florissantensis", "Megacyllene gaucha", "Megacyllene hoffmanni", "Megacyllene horioni", "Megacyllene insignita", "Megacyllene lanei", "Megacyllene latreillei", "Megacyllene lutosa", "Megacyllene magna", "Calicorema capitata", "Ranops caprivi", "Ranops expers", "Palaestina dentifera", "Palaestina expolita", "Palaestina eremica", "Trygetus sexoculatus", "Trygetus riyadhensis", "Dactylorhiza traunsteineri subsp. curvifolia", "Amolops yunkaiensis", "Gracixalus guangdongensis", "Nidirana nankunensis", "Dactylorhiza traunsteineri subsp. irenica", "Dactylorhiza traunsteineri subsp. rhaetica", "Zodarion christae", "Bloomeria crocea", "Bloomeria crocea var. crocea", "Bloomeria crocea var. aurea", "Zodarion samos", "Zodarion frenatum", "Zodarion jansseni", "Zodarion killini", "Zodarion abnorme", "Vanda nana", "Oberonia attenuata", "Oberonia carnosa", "Oberonia complanata", "Molycria smithae", "Dichelostemma \u00d7 venustum", "Triteleia clementina", "Smilax melastomifolia", "Zodarion trianguliferum", "Zodarion pallidum", "Acanthinozodium subclavatum", "Trygetus berlandi", "Acanthinozodium cirrisulcatum", "Acanthinozodium cirrisulcatum cirrisulcatum", "Acanthinozodium cirrisulcatum longispina", "Acanthinozodium spinulosum", "Dysdera bernardi", "Eritrichium nipponicum", "Zaitunia akhanii", "Zaitunia alexandri", "Zaitunia persica", "Zaitunia medica", "Sahastata sabaea", "Zodarion buettikeri", "Zodarion pythium", "Zodarion spinibarbis", "Zodarion ohridense", "Zodarion albipatellare", "Zodarion barbarae", "Zodarion blagoevi", "Zodarion epirense", "Zodarion hauseri", "Zodarion karpathos", "Zodarion kossamos", "Zodarion noordami", "Zodarion van", "Zodarion vankeerorum", "Zodarion zorba", "Zodarion arabelae", "Zodarion arachnaio", "Zodarion evvoia", "Zodarion konradi", "Zodarion messiniense", "Asparagus transvaalensis", "Zodarion thoni", "Asparagus umbellatus subsp. umbellatus", "Dactylorhiza traunsteineri subsp. schurii", "Dactylorhiza traunsteineri subsp. turfosa", "Dactylorhiza traunsteineri subsp. vosagiaca", "Brodiaea californica subsp. californica", "Platanthera oreades", "Costus lasius", "Dietes iridioides subsp. iridioides", "Dietes iridioides subsp. angolensis", "Centaurea formosa", "Brasilomma enigmatica", "Pholidota imbricata", "Triteleia crocea", "Triteleia dudleyi", "Triteleia grandiflora", "Triteleia hendersonii", "Trygetus rectus", "Zodarion simplex", "Dusmadiores doubeni", "Dusmadiores elgonensis", "Dusmadiores laminatus", "Diores similis", "Ranops dippenaarae", "Heradida loricata", "Heradida bicincta", "Heradida extima", "Amolops nyingchiensis", "Senna stipulacea var. anglorum", "Heradida speculigera", "Heradida griffinae", "Heradida xerampelina", "Dietes bicolor subsp. bicolor", "Agrotis helela", "Agrotis kuamauna", "Solanum umbelliferum", "Oberonia equitans", "Oberonia disticha", "Oberonia flavescens", "Oberonia titania", "Prodidomus yorke", "Prodidomus bendee", "Prodidomus seemani", "Prodidomus flavus", "Cryptoerithus harveyi", "Cryptoerithus nopaut", "Cryptoerithus rough", "Cryptoerithus halifax", "Cryptoerithus ninan", "Cryptoerithus annaburroo", "Cryptoerithus melindae", "Brodiaea kinkiensis", "Brodiaea minor", "Brodiaea terrestris", "Prodidomus rufus", "Brodiaea terrestris subsp. terrestris", "Prodidomus woodleigh", "Prodidomus sampeyi", "Prodidomus kimberleyi", "Dichelostemma capitatum subsp. capitatum", "Prodidomus beattyi", "Asparagus simulans", "Zaitunia halepensis", "Asparagus striatus", "Asparagus suaveolens", "Zaitunia schmitzi", "Zaitunia annulipes", "Solanum septemlobum", "Solanum sousae", "Caudalia insularis", "Brodiaea appendiculata", "Brodiaea coronaria subsp. coronaria", "Chileomma ruiles", "Brodiaea elegans subsp. elegans", "Chileomma chilensis", "Brodiaea jolonensis", "Chileomma malleco", "Chileomma campana", "Chileomma franckeri", "Chileomma petorca", "Chileomma rinconada", "Moreno morenoi", "Moreno ramirezi", "Moreno neuquen", "Moreno chacabuco", "Moreno chivato", "Moreno grande", "Prosthechea cochleata", "Cubanops alayoni", "Iresine angustifolia", "Prosthechea cochleata var. cochleata", "Cubanops andersoni", "Prosthechea cochleata var. triandra", "Solanum uncinellum", "Prosthechea guttata", "Cubanops armasi", "Cubanops bimini", "Cubanops granpiedra", "Cubanops juragua", "Cubanops terueli", "Cubanops tortuguilla", "Cubanops vega", "Lebbeus groenlandicus", "Clubiona yaoi", "Clubiona subrama", "Clubiona subyaginumai", "Clubiona subkuu", "Clubiona zhengi", "Clubiona cheni", "Clubiona subquebecana", "Chilongius palmas", "Chilongius molles", "Chilongius frayjorge", "Chilongius eltofo", "Chilongius huasco", "Chileuma paposo", "Chileuma serena", "Chileuma renca", "Hyperolius stictus", "Cryptoerithus occultus", "Cryptoerithus nichtaut", "Cryptoerithus hasenpuschi", "Cryptoerithus quamby", "Cryptoerithus lawlessi", "Medionops blades", "Medionops claudiae", "Medionops murici", "Cryptoerithus griffith", "Cryptoerithus shadabi", "Cryptoerithus stuart", "Cryptoerithus nyetaut", "Cryptoerithus nonaut", "Cryptoerithus halli", "Cryptoerithus quobba", "Triteleia ixioides", "Triteleia ixioides subsp. ixioides", "Megaderus bifasciatus", "Megaderus stigma", "Megalobrimus annulicornis", "Megalobrimus densegranulatus", "Megalobrimus granulipennis", "Megalobrimus ingranulatus", "Megalobrimus lettowvorbecki", "Megalobrimus parvus", "Megalobrimus scutellatus", "Megalodorcadion escherichi", "Megalodorcadion ledereri", "Megalodorcadion walteri", "Megalodorcadion dombilicoides", "Megalodorcadion glabrofasciatum", "Megalodorcadion nudefasciatum", "Megalodorcadion parallelum", "Megalofrea bioculata", "Megalofrea cinerascens", "Megalofrea decorsii", "Megalofrea humeralis", "Megalofrea sparsuticollis", "Megamiros muzoensis", "Meganeflus fulvipennis", "Meganoplium imbelle", "Megapsyrassa atkinsoni", "Megapsyrassa auricomis", "Megapsyrassa chiapaneca", "Megapsyrassa linsleyi", "Megapsyrassa puncticollis", "Megapsyrassa testacea", "Megapsyrassa xestioides", "Megapurpuricenus magnificus", "Megasemum asperum", "Megasticus oberthuerii", "Megobaralipton bicoloripes", "Megobaralipton granuliferum", "Hospes senegalensis", "Hospes superbus", "Hospes ugandensis", "Hospes virens", "Hotarionomus abbreviatus", "Hotarionomus blattoides", "Hotarionomus ilocanus", "Hovatoma bothridera", "Hovatoma impressicollis", "Hovatoma laevis", "Hovatoma perrieri", "Hovorea chica", "Hovorelus adiectus", "Hovorelus splendidus", "Hovorestenia humeralis", "Hovorestenia thalassina", "Hovorodon bituberculatum", "Hovorodon santacruzense", "Hovorodon subcancellatum", "Howea angulata", "Huedepohlia pisciformis", "Huedepohliana masidimanjuni", "Huedepohliana menzelii", "Huedepohliana superba", "Huedepohliana suspecta", "Huequenia araucana", "Huequenia livida", "Hukaruana brachyptera", "Hyagnis apicatus", "Hyagnis basicristatus", "Hyagnis bimaculatus", "Hyagnis brevipes", "Hyagnis chinensis", "Hyagnis fistularius", "Hyagnis fruhstorferi", "Hyagnis gabonicus", "Hyagnis indicus", "Hyagnis insularis", "Hyagnis kashmirensis", "Hyagnis lafabreguei", "Hyagnis meridionalis", "Hyagnis pakistanus", "Hyagnis persimilis", "Hyagnis philippinensis", "Hyagnis spinipes", "Hyagnis stramentosa", "Hyagnis strandiellus", "Hyagnis subtuberculipennis", "Hyagnis sumatrensis", "Hyagnis tuberculipennis", "Hyagnis vagemaculatus", "Hyagnoides striaticollis", "Hybodera debilis", "Hybodera tuberculata", "Hybolasiopsis abnormalis", "Hybolasius castaneus", "Hybolasius cristatellus", "Hybolasius cristus", "Hybolasius dubius", "Hybolasius femoralis", "Hybolasius lanipes", "Hybolasius optatus", "Hybolasius parvus", "Hybolasius picitarsis", "Merionoeda hebes", "Merionoeda hendrai", "Merionoeda indica", "Merionoeda inopinata", "Merionoeda jeanvoinei", "Merionoeda johkii", "Merionoeda karinae", "Merionoeda kinoshitai", "Merionoeda laticornis", "Merionoeda latitarsis", "Merionoeda lombokiana", "Merionoeda makiharai", "Merionoeda marginalis", "Merionoeda mehli", "Merionoeda melampus", "Merionoeda melanocephala", "Merionoeda melanopsis", "Merionoeda melichroos", "Merionoeda micans", "Merionoeda musschenbroekii", "Merionoeda mutata", "Merionoeda neglecta", "Merionoeda nigrella", "Merionoeda nigriceps", "Merionoeda nigricollis", "Merionoeda nigroapicalis", "Merionoeda notabilis", "Malaiseium conosomoides", "Merionoeda ohbayashii", "Merionoeda phoebe", "Merionoeda pilosa", "Merionoeda planicollis", "Merionoeda pubiventris", "Merionoeda puella", "Merionoeda punctatella", "Merionoeda punctifrons", "Merionoeda ruficollis", "Merionoeda rusticula", "Merionoeda scitella", "Merionoeda scutulata", "Merionoeda seminigra", "Merionoeda spadixelytra", "Merionoeda sumatrana", "Merionoeda takakuwai", "Merionoeda taprobanica", "Merionoeda tuberosa", "Merionoeda uraiensis", "Merionoeda vulpecula", "Triteleia ixioides subsp. scabra", "Merionoeda wayani", "Merionoeda atriceps", "Merionoeda baoshana", "Merionoeda coerulea", "Merionoeda curtipennis", "Merionoeda eburata", "Merionoeda hirsuta", "Merionoeda longicollis", "Merionoeda miranda", "Merionoeda splendida", "Merionoeda subulata", "Merionoeda caldwelli", "Merionoeda catoxelytra", "Merionoeda distinctipes", "Merionoeda formosana", "Merionoeda fulvipennis", "Merionoeda merocephala", "Merionoeda pubicollis", "Merionoeda similaris", "Merionoeda tosawai", "Merionoeda unguicularis", "Merionoedina angolensis", "Merionoedina apicalis", "Merionoedopsis aeneiventris", "Merionoedopsis brevipennis", "Merionoedopsis zamalloae", "Merocoremia monnei", "Meroscelisus apicalis", "Meroscelisus opacus", "Meroscelisus servillei", "Meroscelisus thoracicus", "Meroscelisus violaceus", "Meroscelisus zikani", "Meryeurus servillei", "Mesechthistatus binodosus", "Mesechthistatus furciferus", "Mesestola brochieri", "Mesestola guadeloupensis", "Mesocacia duplicaria", "Mesocacia elongata", "Mesocacia multimaculata", "Mesoereis bifasciata", "Mesoereis horiana", "Mesolita albofasciatus", "Mesolita alternata", "Mesolita antennalis", "Mesolita ephippiata", "Mesolita inermis", "Mesolita insularis", "Mesolita interrupta", "Mesolita lineolata", "Mesolita minima", "Mesolita myrmecophila", "Mesolita pascoei", "Mesolita scutellata", "Mesolita transversa", "Mesoplanodes babyrussus", "Mesoprionus abaii", "Mesoprionus angustatus", "Mesoprionus besikanus", "Mesoprionus consimilis", "Mesoprionus lefebvrei", "Mesoprionus persicus", "Mesoprionus petrovitzi", "Mesoprionus tangerianus", "Megobaralipton kalimantanum", "Megobaralipton lansbergei", "Megobaralipton mandibulare", "Megobaralipton mindanaonis", "Megobaralipton suturale", "Megobrium edwardsii", "Megopis edgerleyi", "Megopis hirticollis", "Megopis modesta", "Megopis mutica", "Megopis vinsoni", "Megosmidus tuberculatus", "Meiyingia jinyunensis", "Meiyingia paradoxa", "Melanesiandra birai", "Melanesiandra bougainvillensis", "Melanesiandra solomonensis", "Melanesiandra striatifrons", "Melanopais gemmaria", "Melanopolia brevicornis", "Melanopolia catori", "Melanopolia cincta", "Melanopolia cotytta", "Melanopolia frenata", "Melanopolia freundei", "Melanopolia ligondesi", "Melanopolia longiscapa", "Melanopolia lysida", "Melanopolia ruficornis", "Melanopolia convexa", "Melanopolia gripha", "Melanothrius gearyi", "Melanothrius niger", "Melathemma polita", "Melegena cyanea", "Melegena diversa", "Melegena diversipes", "Melegena emarginata", "Melegena flavipes", "Melegena fulva", "Melegena pubipennis", "Meliochamus fallax", "Meliochamus homoeus", "Meliochamus isochrous", "Meloemorpha aliena", "Meloemorpha anomala", "Melzerella costalimai", "Melzerella huedepohli", "Melzerella inopinata", "Melzerella lutzi", "Melzerella monnei", "Melzerina lacordairei", "Melzerus difficilis", "Mendesina carinithorax", "Menesia akemiae", "Menesia albifrons", "Menesia bicoloricornis", "Menesia bimaculata", "Menesia burmanensis", "Menesia calliope", "Menesia cana", "Menesia clytoides", "Menesia dallieri", "Miccolamia albosetosa", "Miccolamia bicristata", "Miccolamia binodosa", "Miccolamia castaneoverrucosa", "Miccolamia coenosa", "Miccolamia dracuncula", "Miccolamia horridula", "Miccolamia relucens", "Miccolamia rugosula", "Miccolamia savioi", "Miccolamia scintillans", "Miccolamia scortina", "Miccolamia tonsilis", "Miccolamia tuberculipennis", "Miccolamia glabricula", "Miccolamia inspinosa", "Miccolamia kaniei", "Miccolamia takakuwai", "Miccolamia tuberculata", "Miccolamia verrucosa", "Miccolamia yakushimensis", "Miccolamia laosensis", "Miccolamia thailandensis", "Michthisoma heterodoxum", "Micrambyx boulardi", "Micrambyx brevicornis", "Micrambyx ferreroi", "Micrambyx flavomaculatus", "Micrambyx humilis", "Micrambyx lesleyae", "Micrambyx tanzaniensis", "Micrambyx teocchii", "Micrambyx werneri", "Micrambyx yvonnae", "Micrambyx zimbabweensis", "Micraneflus imbellis", "Micranoplium unicolor", "Micratelodesmis minor", "Microarthron komaroffi", "Microcacia albosignata", "Microcacia longiscapa", "Microcanus minor", "Microcapnolymma angustata", "Microcleptes aranea", "Microcleptes variolosus", "Microclytus gazellula", "Microcriodes sikkimensis", "Microcymatura antennalis", "Microcymatura flavipennis", "Microcymatura flavodiscalis", "Triteleia ixioides subsp. anilina", "Mephritus guttatus", "Mephritus meyeri", "Mephritus punctulatus", "Mephritus serius", "Mephritus vescus", "Meridiandra capicola", "Meridiotroctes bicristatus", "Meridiotroctes meridionalis", "Meridiotroctes obliquus", "Meridiotroctes truncatus", "Meriellum proteus", "Meringodes solangeae", "Merionoeda acuta", "Merionoeda acutipennis", "Merionoeda adjecta", "Merionoeda adnata", "Merionoeda aequalis", "Merionoeda africana", "Merionoeda aggregata", "Merionoeda amabilis", "Merionoeda andrewesi", "Merionoeda anulus", "Merionoeda apicicornis", "Merionoeda apicifusca", "Merionoeda argentata", "Merionoeda atricollis", "Merionoeda atricolor", "Merionoeda aurorensis", "Merionoeda australiae", "Merionoeda baliana", "Merionoeda baliosmerion", "Merionoeda barligi", "Merionoeda basalis", "Merionoeda brachyptera", "Merionoeda caelata", "Merionoeda calcarata", "Merionoeda callifera", "Merionoeda cariniger", "Merionoeda childersi", "Merionoeda clara", "Merionoeda clunis", "Merionoeda congolensis", "Merionoeda consonaria", "Merionoeda danilevskyi", "Merionoeda dulcis", "Merionoeda dumosa", "Merionoeda evidens", "Merionoeda falsa", "Merionoeda falsidica", "Merionoeda flavipennis", "Merionoeda flavitarsis", "Merionoeda fulvicollis", "Merionoeda fulvonotata", "Merionoeda fusca", "Merionoeda glabra", "Merionoeda hasta", "Mesoprionus zarudnii", "Mesosa bipunctata", "Mesosa harmandi", "Mesosa japonica", "Mesosa mediofasciata", "Mesosa stictica", "Malaybergius aenictophilus", "Mesosa affinis", "Mesosa anancyloides", "Mesosa andrewsi", "Mesosa angusta", "Mesosa bifasciata", "Mesosa cheni", "Mesosa griseomarmorata", "Mesosa jarzabekae", "Mesosa kanarensis", "Mesosa laosica", "Mesosa latifasciata", "Mesosa mouhoti", "Mesosa nigrofasciaticollis", "Mesosa obscura", "Mesosa obscuricornis", "Mesosa ornata", "Mesosa persimilis", "Mesosa rosa", "Mesosa rupta", "Triteleia ixioides subsp. unifolia", "Mesosa senilis", "Mesosa sikkimensis", "Mesosa sparsenotata", "Mesosa subbifasciata", "Mesosa subrupta", "Mesosa subtenuefasciata", "Mesosa tenuefasciata", "Mesosa tricolor", "Mesosa undata", "Mesosa cribrata", "Mesosa kirisimana", "Mesosa basinodosa", "Mesosa inaequalipennis", "Mesosa nomurai", "Mesosa sinica", "Mesosa atrostigma", "Mesosa bimaculata", "Mesosa binigrovittata", "Mesosa binigrovitticollis", "Mesosa binigrovittipennis", "Mesosa chassoti", "Mesosa enodata", "Mesosa guttigera", "Mesosa hirsuta", "Mesosa hyunchaei", "Mesosa irrorata", "Mesosa medana", "Mesosa medioalbofaciata", "Mesosa pictipes", "Mesosa pieli", "Mesosa setulosa", "Mesosa undulatofasciata", "Mesosa yayeyamai", "Mesosa albidorsalis", "Mesosa albofasciata", "Metalloleptura ochraceovittata", "Metalloleptura ohbayashii", "Metalloleptura prasina", "Metalloleptura rahoarei", "Metalloleptura rufofemorata", "Metalloleptura virescens", "Metallonupserha metallescens", "Metallyra aliberti", "Metallyra nigra", "Metallyra nitidicollis", "Metallyra rufiscapus", "Metallyra rufobrunnea", "Metallyra rufofemorata", "Metallyra rufotibialis", "Metallyra septentrionalis", "Metallyra similis", "Metallyra spinipennis", "Metallyra stenochioides", "Metallyra sulcipennis", "Manikaella bicolor", "Metallyra tuberculata", "Metallyra vicina", "Metallyra wladimirii", "Metalocerus becvari", "Metalocerus lonnbergi", "Metalocerus mocambiensis", "Metalocerus nigricornis", "Metamecyna flavoapicalis", "Metamecyna uniformis", "Metamecynopsis duodecimguttata", "Metamulciber albostriatus", "Metamulciber lineatus", "Metamulciber ochreolineatus", "Metamulciber ziczac", "Metaperiaptodes granulatus", "Metaperiaptodes samarensis", "Metaphrenon impressicolle", "Metaphrenon lucidum", "Metastrangalis albicornis", "Metastrangalis ochraceoventra", "Metastrangalis plavilstshikoviana", "Metastrangalis thibetana", "Metastrangalis uenoi", "Metasulenus unicolor", "Metepilysta enganensis", "Vindullus fugiens", "Metepilysta negrosensis", "Methia acostata", "Methia aestiva", "Methia argentina", "Methia arizonica", "Methia batesi", "Methia bicolor", "Methia bicolorata", "Methia brevis", "Methia carinata", "Methia curvipennis", "Methia debilis", "Methia dentata", "Methia dolichoptera", "Methia dubia", "Methia enigma", "Methia falli", "Methia fischeri", "Methia flavicornis", "Methia flavomera", "Methia jamaicensis", "Methia juniperi", "Methia knulli", "Methia lata", "Methia lineata", "Methia longipennis", "Methia lycoides", "Methia maculosa", "Methia mormona", "Methia necydalea", "Methia occidentalis", "Methia pallidipennis", "Methia picta", "Methia robusta", "Methia subarmata", "Methia subvittata", "Methia taina", "Methia trium", "Methia tubuliventris", "Methia violaceipennis", "Methia vittata", "Methicula dimidiata", "Methioeme brevipennis", "Methioides cicatricosa", "Metipocregyes affinis", "Metipocregyes nodieri", "Metironeus hesperus", "Metironeus hovorei", "Meton granulicollis", "Meton tropicus", "Meton digglesii", "Metopides occipitalis", "Metopides paradoxus", "Metopivaria brunnea", "Metopivaria elongata", "Metopocoilus corumbaensis", "Metopocoilus giganteus", "Metopocoilus longissimum", "Metopocoilus maculicollis", "Metopocoilus picticornis", "Metopocoilus quadrispinosus", "Metopocoilus rojasi", "Metopotylus femoratus", "Metopotylus micans", "Metopotylus ruficornis", "Metoxylamia variegatrix", "Meximia decolorata", "Meximia perfusa", "Miaenia andamanensis", "Miaenia brevicollis", "Miaenia changi", "Miaenia demarzi", "Miaenia doreyi", "Miaenia elongata", "Miaenia irrorata", "Miaenia longicollis", "Miaenia luzonica", "Microcymatura macrophthalma", "Microdebilissa aethiops", "Microdebilissa argentifera", "Microdebilissa atricornis", "Microdebilissa atripennis", "Microdebilissa benguetana", "Microdebilissa bicolor", "Microdebilissa bipartita", "Microdebilissa breviuscula", "Microdebilissa collaris", "Microdebilissa constans", "Microdebilissa distans", "Microdebilissa diversipes", "Microdebilissa furva", "Microdebilissa homalina", "Microdebilissa infirma", "Microdebilissa macrops", "Microdebilissa makiharai", "Microdebilissa minuta", "Microdebilissa nigrica", "Microdebilissa posticina", "Microdebilissa postimeranea", "Microdebilissa robustula", "Microdebilissa simplicicollis", "Microdebilissa subviridis", "Microdebilissa testacea", "Microderolus hefferni", "Microderolus latevittatus", "Microderolus tanzaniensis", "Microdorcadion laosense", "Microdorcadion tuberculatum", "Microdymasius angustatus", "Microdymasius niger", "Microgoes oculatus", "Microhoplomelas ruficornis", "Microibidion exculptum", "Microibidion exiguum", "Microibidion fluminense", "Microibidion kawensis", "Microibidion mimicum", "Microibidion morrisi", "Microibidion muticum", "Microibidion rubicundulum", "Microlamia elongata", "Microlamia norfolkensis", "Microlamia viridis", "Microlenecamptus albonotatus", "Microlenecamptus biocellatus", "Microlenecamptus nakabayashii", "Microlenecamptus obsoletus", "Microlenecamptus sexmaculatus", "Microlenecamptus signatus", "Microlera kanoi", "Microlera yayeyamensis", "Microleroides chinensis", "Microleropsis rufimembris", "Microloa niveopunctata", "Microlophia dentipes", "Microlophia ignava", "Microlophia pellucida", "Micromaeus duvivieri", "Micromaeus hypocritidus", "Micromaeus nanus", "Micromaeus punctatus", "Micromallosia heinzorum", "Micromallosia theresae", "Micromandibularia ruficeps", "Micromandibularia atrimembris", "Micromandibularia rufa", "Micrometopus punctipennis", "Micronoemia albosignata", "Micronoemia bifasciata", "Micronoemia gerlachi", "Micronoemia glauca", "Micropelta rugosicollis", "Microphysis lansbergei", "Microplia agilis", "Microplia nigra", "Microplocia borneensis", "Microplocia puncticollis", "Microplocia sybroides", "Microplocia tonkinensis", "Microplophorus calverti", "Microplophorus magellanicus", "Microplophorus penai", "Micropraonetha carinipennis", "Micropraonetha multituberculata", "Micropsyrassa bimaculata", "Micropsyrassa doyeni", "Micropsyrassa glabrata", "Micropsyrassa meridionalis", "Micropsyrassa minima", "Micropsyrassa nitida", "Micropsyrassa opaca", "Micropsyrassa pilosella", "Micropsyrassa reticulata", "Micropsyrassa stellata", "Microrhodopina flavescens", "Microrhodopis albovittata", "Microrhodopis rufipennis", "Microsomatidia reticulata", "Microtragus arachne", "Microtragus basalis", "Microtragus bicristatus", "Microtragus bifasciatus", "Microtragus browni", "Microtragus cristulatus", "Microtragus gazellae", "Microtragus luctuosus", "Microtragus mormon", "Microtragus multituberculatus", "Microtragus quadrimaculatus", "Microtragus senex", "Microtragus tuberculatus", "Microtragus unicristatus", "Microtragus waterhousei", "Microxylorhiza matsudai", "Micurus affinis", "Micurus asperipennis", "Micurus obliquatus", "Midamiella hecabe", "Midamiella santaremensis", "Migdolus clypeatus", "Migdolus cuyabanus", "Migdolus exul", "Migdolus fryanus", "Migdolus goyanus", "Migdolus morretesi", "Migdolus punctatus", "Migdolus spitzi", "Migdolus thulanus", "Migmocera flavicauda", "Migorybia miranda", "Migsideres bialbomaculata", "Miguelia monnei", "Methnerotherium colossale", "Miguellus monnei", "Millotsaphanidius costatus", "Millotsaphanidius sublaevicollis", "Milothris marmorea", "Miltesthus marginatus", "Mimabryna borneotica", "Mimabryna nicobarica", "Mimacalolepta dunni", "Triteleia lugens", "Mimacanthocinus tonkinensis", "Mimacmocera coerulea", "Mimacronia alboplagiata", "Mimacronia arnaudi", "Mimacronia decimmaculata", "Mimacronia dinagatensis", "Mimacronia regale", "Mimacronia viridimaculata", "Mimacronia viridimaculatoides", "Mimaderpas anteaureus", "Mimadjinga flavovittata", "Mimaelara papuana", "Mimagelasta grisescens", "Mimagnia quadrifasciata", "Mimalblymoroides freudei", "Coffea benghalensis", "Mimalblymoroides heinrichi", "Mimalblymoroides kaszabi", "Mimalblymoroides spinipennis", "Mimamblesthidus orientalis", "Mimanancylus borneensis", "Mimancylistes malaisei", "Mimanhammus enganensis", "Mimapatelarthron albonotatum", "Mimapatelarthron bulbiferum", "Mimapatelarthron javanicum", "Mimapatelarthron laosense", "Mimapomecyna biplagiatipennis", "Mimapomecyna flavostictica", "Mimapriona chassoti", "Mimaspurgus niveoscutellatus", "Mimassinia orientalis", "Mimasyngenes clarkei", "Mimasyngenes fonticulus", "Miaenia marmorea", "Miaenia masbatensis", "Miaenia mindanaonis", "Miaenia minuta", "Miaenia nakanei", "Miaenia papuensis", "Miaenia perversa", "Miaenia quadriplagiata", "Miaenia retrospinosa", "Miaenia rufula", "Miaenia samarensis", "Miaenia subfasciata", "Miaenia suffusa", "Miaenia tonsa", "Miaenia uniformis", "Miaenia variegata", "Miaenia woodlarkiana", "Miaenia latior", "Miaenia latispina", "Miaenia binaluensis", "Miaenia cebuensis", "Miaenia costulata", "Miaenia flavomaculata", "Miaenia grammica", "Miaenia ignara", "Miaenia insularis", "Miaenia jubata", "Miaenia mindoroensis", "Miaenia variabilis", "Miaenia argentipleura", "Miaenia aureopleura", "Miaenia fasciata", "Miaenia sakishimana", "Miaenia vagemarmorata", "Miaenia granulicollis", "Miaenia binhana", "Miaenia ceylanica", "Miaenia gilmouri", "Miaenia hongkongensis", "Maschwitzia ulrichi", "Miaenia indica", "Miaenia inlineata", "Miaenia atollorum", "Miaenia attenuata", "Miaenia boharti", "Miaenia esakii", "Miaenia mariana", "Miaenia palauicola", "Miaenia saltator", "Miaenia subcylindra", "Vindullus guatemalensis", "Miaenia townesi", "Miaenia versicolor", "Miaenia carolinensis", "Miaenia subglabra", "Miaenia neopomeriana", "Miaenia papuana", "Miaenia sibuyanensis", "Miaenia rondoniana", "Miaenia tonkinensis", "Miaenia botelensis", "Miaenia exigua", "Micatocomus isomeroides", "Micatocomus petalacmoides", "Mimasyngenes inlineatus", "Mimasyngenes lineatipennis", "Mimasyngenes piauiensis", "Mimasyngenes quiuira", "Mimasyngenes venezuelensis", "Mimasyngenes ytu", "Mimatimura rufescens", "Mimatimura subferruginea", "Mimatossa flavolineata", "Mimatybe pauliani", "Mimauxa puncticollis", "Mimauxa rufoantennata", "Mimechthistatus yamahoi", "Mimectatina apicefusca", "Mimectatina celebensis", "Mimectatina celebica", "Mimectatina fukudai", "Mimectatina fuscoapicata", "Mimectatina fuscoplagiata", "Mimectatina iriei", "Mimectatina longipennis", "Mimectatina meridiana", "Mimectatina murakamii", "Mimectatina singularis", "Mimectatina truncatipennis", "Mimectatina variegata", "Mimectatosia compacta", "Mimecyroschema tuberculipenne", "Mimenicodes bougieri", "Mimenicodes cylindricus", "Mimenicodes cylindroides", "Mimenicodes fractimacula", "Mimenicodes latreillei", "Mimenicodes obliquatus", "Mimenicodes opacus", "Mimenicodes rugiceps", "Mimenicodes scripticollis", "Mimenicodes subunicolor", "Mimenicodes thomsoni", "Mimenicodes unicolor", "Mimenicodes granulum", "Mimenicodes perroudi", "Mimepaphra borneana", "Mimepilysta compacta", "Mimepuraecha celebensis", "Mimeremon flavovittatum", "Mimeryssamena besucheti", "Mimestola imitatrix", "Mimetaxalus densepunctatus", "Mimetaxalus ochreoapicalis", "Mimeunidia jaguarita", "Mimeuseboides excavatipennis", "Mimexocentroides nitidus", "Mimexocentrus medioalbus", "Mimexocentrus perrieri", "Mimexocentrus seminiveus", "Mimhoplomelas diadelioides", "Mimiculus maculatus", "Mimillaena rufescens", "Mimillaena semiobscura", "Mimimbrius dembickyi", "Mimimbrius geminatus", "Mimimbrius micaceus", "Mimimbrius subargenteus", "Mimipochira fruhstorferi", "Mimiptera fulvella", "Mimischnia ochreosignata", "Mimobatocera laterifusca", "Mimoberea mediovitticollis", "Mimobybe tuberculipennis", "Mimocacia ferruginea", "Mimocagosima humeralis", "Mimocagosima ochreipennis", "Mimocalothyrza bottegi", "Mimocalothyrza speyeri", "Mimocentrura bicristata", "Mimoceroplesis coussementi", "Mimochariergus carbonelli", "Mimochariergus fluminensis", "Mimochariesthes flaveola", "Mimochelidonium sinense", "Mimochelidonium vietnamicum", "Mimochlorisanis violacea", "Mimocoedomea fusca", "Mimocoelosterna flavescens", "Mimocoelosterna hainanensis", "Mimocoptosia luteovittigera", "Mimocornuscoparia chassoti", "Mimocorus quadricristatus", "Mimocratotragus superbus", "Mimocrossotus rhodesianus", "Mimocrossotus ugandicola", "Mimocyrtinoclytus samuelsoni", "Mimodesisa affinis", "Mimodesisa albofasciculata", "Mimodesisa bimaculata", "Mimodiadelia brunnea", "Mimodiaxenes elongata", "Mimodorcadion indicum", "Mimodriopea fuscofasciata", "Mimodystasia mjoebergi", "Mimoeme lycoides", "Mimoeme pseudamerica", "Mimoglenea fuchsi", "Mimogmodera congoensis", "Mimogmodera rufula", "Mimogmodera truncatipennis", "Mimognoma szetschuanensis", "Mimogrynex densepunctatus", "Mimogyaritus fasciatus", "Mimohammus biplagiatus", "Mimohammus flavescens", "Mimohecyra hiekei", "Mimohippopsicon murinum", "Mimohippopsis inaequalis", "Mimohomonoea hebridarum", "Mimohoplorana puncticollis", "Mimohyagnis tuberculatus", "Mimohyllisia tonkinensis", "Mimolagrida rufa", "Mimolagrida rufescens", "Mimolagrida ruficollis", "Mimolaia acaiuba", "Mimolaia annulata", "Mimolaia buckleyi", "Mimolaia calopterona", "Mimolaia cleroides", "Mimolaia diversicornis", "Mimolaia hua", "Mimolaia lata", "Mimolaia peruana", "Mimolaia pichincha", "Mimolaia tachira", "Mimolaia variicornis", "Mimolasiocercis albostictipennis", "Mimoleiopus sumatranus", "Mimoleprodera granulosa", "Mimoleuronotus hiekei", "Mimolochus hoefneri", "Mimolophia brunnea", "Mimolophia ivorensis", "Mimolophioides usambaricus", "Mimomenyllus aruensis", "Mimomenyllus ochreithorax", "Mimommata mollardi", "Mimommata pernauti", "Mimomorpha clytiformis", "Mimomorpha flavopunctata", "Mimomulciber strandiellus", "Mimomusonius viettei", "Mimomyagrus pfanneri", "Mimomyromeus celebensis", "Mimonephelotus flavomarmoratus", "Mimonicarete barbicornis", "Mimoniphona fasciculata", "Mimonneticus guianae", "Mimononyma flavovariegata", "Mimononymoides somaliensis", "Mimoopsis crassepuncta", "Mimoopsis fuscoapicatus", "Mimoopsis insularis", "Mimoopsis postalba", "Mimopezus pujoli", "Mimophaeopate assamensis", "Mimopothyne flavolineata", "Mimoprosoplus convexus", "Mimopsacothea enganensis", "Mimoropica biplagiata", "Mimoropica fascicollis", "Mimoropica papuana", "Mimoropica spinipennis", "Mimoropica sumatrana", "Mimoropica tevorensis", "Mimorsidis andamanicus", "Mimorsidis griseus", "Mimorsidis lemoulti", "Mimorsidis mausoni", "Mimorsidis medanus", "Mimorsidis sarawakensis", "Mimorsidis scutellatus", "Mimorsidis taiwanensis", "Mimorsidis yaeyamensis", "Mimosaimia fruhstorferi", "Mimoscapeuseboides pedongensis", "Mimosciadella fuscosignata", "Mimosciadella subinermicollis", "Mimoserixia rondoni", "Mimostedes affinis", "Mimostedes basilewskyi", "Mimostedes decellei", "Mimothestus atricornis", "Mimotragocephala dujardini", "Mimotriammatus nigrosignatus", "Mimotroea cacioides", "Mimotropidema chrysocephala", "Mimotropidema nigerrima", "Mimotrypanius samoanus", "Mimotrysimia albomaculata", "Mimovelleda humeridens", "Mimovitalisia tuberculata", "Mimovitalisia wittmeri", "Mimoxenolea bicoloricornis", "Mimoxenolea ornata", "Mimoxenolea sikkimensis", "Triteleia montana", "Mimoxylamia gentyi", "Mimozeargyna flavomaculata", "Mimozotale flavolineata", "Mimozotale javanica", "Mimozotale sikkimensis", "Mimozotale tonkinea", "Mimozotale cylindrica", "Mimozotale flavovittata", "Mimozotale longipennis", "Mimozotale minuta", "Mimozotale truncatipennis", "Mimozotale trivittata", "Minibidion argentum", "Minibidion craspedum", "Minibidion minimum", "Minibidion perfectum", "Minibidion tricolor", "Minibidion unifasciatum", "Minipsyrassa bicolor", "Minutius tenuis", "Mionochroma aterrimum", "Mionochroma carmen", "Mionochroma chloe", "Mionochroma decipiens", "Mionochroma electrinum", "Mionochroma elegans", "Mionochroma equestre", "Mionochroma flachi", "Mionochroma guyanensis", "Mionochroma novella", "Mionochroma ocreatum", "Mionochroma pseudovittatum", "Mionochroma rufescens", "Mionochroma rufitarsis", "Mionochroma spinosissimum", "Mionochroma subaurosum", "Mionochroma subnitescens", "Mionochroma tavakiliani", "Mionochroma vittatum", "Mionochroma wilkei", "Mirador ayrii", "Miriclytus miri", "Miriclytus quadrifasciatus", "Miriclytus triangularis", "Miriochrus minimus", "Miroclytus brunneipennis", "Mimostedes fuscosignatus", "Mimostedes fuscus", "Mimostedes mirei", "Mimostedes sudanicus", "Mimostedes trivittipennis", "Mimostedes ugandicola", "Mimostedes vagemaculatus", "Mimostedes birmanus", "Mimostedes meneghettii", "Mimostenellipsis albertisi", "Mimostenellipsis densepunctata", "Mimostenellipsis pilosus", "Mimosthenias simulans", "Mimostrangalia breviceps", "Mimostrangalia brevitarsis", "Mimostrangalia cornix", "Mimostrangalia dulcis", "Mimostrangalia fluvialis", "Mimostrangalia gressitti", "Mimostrangalia indiferens", "Mimostrangalia inlateralis", "Mimostrangalia kappanzanensis", "Mimostrangalia kiangsiensis", "Mimostrangalia kurosawai", "Mimostrangalia kurosonensis", "Mimostrangalia lateripicta", "Mimostrangalia loimailia", "Mimostrangalia longicornis", "Mimosybra affinis", "Mimosybra albovenosa", "Mimosybra annulata", "Mimosybra arnhemensis", "Mimosybra baloghi", "Mimosybra basigranosa", "Mimosybra bimaculata", "Mimosybra biplagiata", "Mimosybra bipunctata", "Mimosybra borneana", "Mimosybra carinipennis", "Mimosybra discreta", "Mimosybra fergussoni", "Mimosybra flavomaculata", "Mimosybra gaindahensis", "Mimosybra gebeensis", "Mimosybra giloloensis", "Mimosybra kaszabi", "Mimosybra laevicollis", "Mimosybra latefasciata", "Mimosybra mediomaculata", "Mimosybra negrosensis", "Mimosybra paraspinipennis", "Mimosybra philippinensis", "Mimosybra salomonum", "Mimosybra samarensis", "Mimosybra schultzei", "Mimosybra similis", "Mimosybra spinipennis", "Mimosybra strandi", "Mimosybra surigaonis", "Mimosybra triguttata", "Mimosybra trimaculata", "Mimotetrorea spinipennis", "Mimothelais fruhstorferi", "Mimothestus annulicornis", "Mispila albopunctulata", "Mispila albosignata", "Mispila annulicornis", "Mispila apicalis", "Mispila assamensis", "Mispila biarcuata", "Mispila celebensis", "Mispila coomani", "Mispila curvifascia", "Mispila curvilinea", "Mispila elongata", "Mispila impuncticollis", "Mispila javanica", "Mispila khamvengae", "Mispila minor", "Mispila nicobarica", "Mispila nigrovittata", "Mispila notaticeps", "Mispila obliquevittata", "Mispila obscura", "Mispila papuana", "Mispila papuensis", "Mispila parallela", "Mispila philippinica", "Mispila plagiata", "Mispila punctifrons", "Mispila samarensis", "Mispila sibuyana", "Mispila signata", "Mispila siporensis", "Mispila subtonkinea", "Mispila taoi", "Mispila tholana", "Mispila tonkinea", "Mispila tonkinensis", "Mispila venosa", "Mispila diluta", "Mispila dotata", "Mispila flavopunctata", "Mispila flexuosa", "Mispila rufula", "Mispila sonthianae", "Mispila pedongensis", "Mispila picta", "Mispilodes albostictica", "Mispilodes albovittata", "Mispilodes andamanica", "Mispilodes borneensis", "Mispilodes griseomarmorata", "Mispilodes grisescens", "Mispilopsis luzonica", "Mnemea javanica", "Mnemea laosensis", "Mnemea phalerata", "Moala crassus", "Vindullus undulatus", "Vindullus gibbosus", "Vindullus angulatus", "Vindullus concavus", "Molorchus cupreoviridis", "Molorchus cyanescens", "Molorchus darjeelingensis", "Molorchus definitus", "Molorchus densepunctatus", "Molorchus dentifer", "Molorchus diasemus", "Molorchus diffinis", "Molorchus eburneus", "Molorchus ellipticus", "Molorchus excisus", "Molorchus externus", "Molorchus felicinus", "Molorchus filitarsis", "Molorchus fraudulentus", "Molorchus frivolus", "Molorchus gilvitarsis", "Molorchus gracilis", "Molorchus grandinotatus", "Molorchus grosseri", "Molorchus hederae", "Molorchus horaki", "Molorchus imprimis", "Molorchus ivorensis", "Molorchus jiuyuehtanus", "Molorchus kiesenwetteri", "Molorchus kitangladi", "Molorchus kiyoyamai", "Molorchus kobotokensis", "Molorchus kojimai", "Molorchus laetus", "Molorchus lampros", "Molorchus lanatus", "Molorchus lectus", "Molorchus leonensis", "Molorchus lishanensis", "Molorchus liukueiensis", "Molorchus longicollis", "Molorchus luculentus", "Molorchus lusakaensis", "Molorchus luzonicus", "Molorchus macellus", "Molorchus malmusii", "Molorchus marginalis", "Molorchus marmottani", "Molorchus mirificus", "Molorchus misellus", "Molorchus modestus", "Molorchus molorchoides", "Molorchus moraveci", "Molorchus morii", "Molorchus nanicus", "Molorchus nigritulus", "Molorchus nitidus", "Molorchus nobilitatus", "Molorchus ovalicollis", "Molorchus perfuga", "Molorchus plagiatus", "Molorchus planicollis", "Molorchus plavilstshikovi", "Molorchus principatus", "Molorchus prolixus", "Molorchus propinquus", "Molorchus pumilio", "Molorchus rufosternalis", "Molorchus rufulipes", "Molorchus rugatus", "Molorchus sabatinellii", "Molorchus saltinii", "Molorchus satoi", "Molorchus scabridus", "Molorchus schmidti", "Molorchus semitaiwanus", "Molorchus serra", "Molorchus shibatai", "Molorchus sikkimanus", "Molorchus starki", "Molorchus sterbai", "Molorchus strangulatus", "Molorchus subglaber", "Molorchus sungkangensis", "Molorchus taiwanus", "Molorchus takeuchii", "Molorchus tantulus", "Molorchus taprobanicus", "Molorchus tarsatus", "Molorchus temporalis", "Molorchus tenuitarsis", "Molorchus terminatus", "Molorchus uenoi", "Molorchus umbellatarus", "Molorchus unanimis", "Molorchus vera", "Molorchus villosipes", "Molorchus viridescens", "Molorchus watani", "Molorchus yui", "Molorchus abieticola", "Molorchus akbesianus", "Molorchus carus", "Molorchus changi", "Molorchus foveolus", "Molorchus ikedai", "Molorchus juglandis", "Molorchus pinivorus", "Molorchus relictus", "Molorchus tjanschanicus", "Molorchus kurosawai", "Molorchus alashanicus", "Molorchus heptapotamica", "Molorchus kucerai", "Molorchus liui", "Molorchus aemulata", "Molorchus chalybeella", "Molorchus hattorii", "Mombasius aeneipes", "Mombasius frontalis", "Mombasius gracilentus", "Momisis aegrota", "Momisis borneana", "Momisis longicornis", "Momisis longzhouensis", "Momisis macrodonta", "Momisis melanura", "Momisis monticola", "Momisis nicobarica", "Momisis pallida", "Momisis singularis", "Momisis submonticola", "Momisis vietnamica", "Momisofalsus clermonti", "Moneilema albopictum", "Moneilema annulatum", "Moneilema appressum", "Moneilema armatum", "Moneilema blapsides", "Moneilema ebeninum", "Moneilema longipes", "Moneilema manni", "Moneilema rugosissimum", "Moneilema semipunctatum", "Moneilema subrugosum", "Moneilema variolare", "Moneilema wickhami", "Monnechroma azurea", "Monnechroma hovorei", "Monnechroma seabrai", "Monnechroma subpulvereum", "Monnechroma tibialis", "Monnecles apollinarii", "Monneella bicolor", "Monneellus rhodopus", "Monneoncideres cristata", "Monnetyra diabolica", "Monneus longiventris", "Monochamus abruptus", "Monochamus affinis", "Monochamus alboapicalis", "Monochamus alternatus", "Monochamus asper", "Monochamus atrocoeruleogriseus", "Monochamus balteatus", "Monochamus basifossulatus", "Monochamus basigranulatus", "Monochamus basilewskyi", "Monochamus bialbomaculatus", "Monochamus bimaculatus", "Monochamus binigricollis", "Monochamus binigromaculatus", "Monochamus blairi", "Monochamus bootangensis", "Monochamus borchmanni", "Monochamus burgeoni", "Monochamus clamator", "Monochamus conradti", "Monochamus convexicollis", "Monochamus dayremi", "Monochamus densepunctatus", "Monochamus dentator", "Monochamus desperatus", "Monochamus fisheri", "Monochamus flavosignatus", "Monochamus flavovittatus", "Monochamus foraminosus", "Monochamus foveatus", "Monochamus foveolatus", "Monochamus gardneri", "Monochamus granulipennis", "Monochamus gravidus", "Monochamus guerryi", "Monochamus itzingeri", "Monochamus jordani", "Monochamus karlitzingeri", "Monochamus kaszabi", "Monochamus kinabaluensis", "Monochamus kivuensis", "Monochamus lamottei", "Monochamus latefasciatus", "Monochamus lepesmei", "Monochamus luteodispersus", "Monochamus marmorator", "Monochamus maruokai", "Monochamus masaoi", "Monochamus mausoni", "Monochamus mbai", "Monochamus mediomaculatus", "Monochamus mexicanus", "Monochamus mutator", "Monochamus nigromaculatus", "Monochamus nigromaculicollis", "Monochamus nigroplagiatus", "Monochamus nigrovittatus", "Monochamus nitens", "Monochamus notatus", "Monochamus obtusus", "Monochamus ochreomarmoratus", "Monochamus ochreopunctatus", "Monochamus ochreosparsus", "Monochamus ochreosticticus", "Monochamus olivaceus", "Monochamus pentagonus", "Monochamus principis", "Monochamus quadriplagiatus", "Monochamus rectus", "Monochamus regularis", "Monochamus rhodesianus", "Monochamus roveroi", "Monochamus rubiginosus", "Monochamus sargi", "Monochamus semicirculus", "Monochamus semigranulatus", "Monochamus serratus", "Monochamus shembaganurensis", "Monochamus similis", "Monochamus sparsutus", "Monochamus subconvexicollis", "Monochamus subcribrosus", "Monochamus subfasciatus", "Monochamus subgranulipennis", "Monochamus subtriangularis", "Monochamus taiheizanensis", "Monochamus talianus", "Monochamus titillator", "Monochamus tonkinensis", "Monochamus transvaaliensis", "Monochamus verticalis", "Monochamus villiersi", "Monochamus triangularis", "Monochamus diores", "Monochamus philomenus", "Monochamus camerunensis", "Monochamus pseudotuberosus", "Trogloneta nojimai", "Trogloneta granulum", "Chamaexeros fimbriata", "Clubiona minima", "Clubiona abbajensis abbajensis", "Vindullus kratochvili", "Moala flavovittatus", "Mocoiasura suturalis", "Moechohecyra arctifera", "Moechohecyra indica", "Moechohecyra sumatrana", "Moechohecyra verrucicollis", "Moechotypa adusta", "Moechotypa alboannulata", "Moechotypa angustifrons", "Moechotypa asiatica", "Moechotypa assamensis", "Moechotypa attenuata", "Moechotypa ceylonica", "Moechotypa coomani", "Moechotypa dalatensis", "Moechotypa delicatula", "Moechotypa formosana", "Moechotypa javana", "Moechotypa jeanvoinei", "Moechotypa marmorea", "Moechotypa nigricollis", "Moechotypa paraformosana", "Moechotypa penangensis", "Moechotypa semenovi", "Moechotypa strandi", "Moechotypa suffusa", "Moechotypa thoracica", "Moechotypa trifasciculata", "Moechotypa tuberculicollis", "Moechotypa umbrosa", "Moechotypa uniformis", "Molitones flavipennis", "Molochrus viridicollis", "Molorchineus oculatus", "Molorchoepania albiventris", "Molorchoepania barbieri", "Molorchoepania brevitarsis", "Molorchoepania coomani", "Molorchoepania mizoguchii", "Molorchoepania opaca", "Molorchoepania simplexa", "Molorchoepania viticola", "Molorchus aceris", "Molorchus aeriferus", "Molorchus aerosus", "Molorchus albofasciatipennis", "Molorchus angularis", "Molorchus approximans", "Molorchus aureomaculatus", "Molorchus baiocchii", "Molorchus bassettii", "Molorchus bimaculatus", "Molorchus cobaltinus", "Molorchus concolor", "Molorchus congruus", "Molorchus contristatus", "Molorchus cordiger", "Clubiona abbajensis karisimbiensis", "Clubiona abbajensis kibonotensis", "Sinomicrurus hatori", "Monochamus reticulatus", "Monochamus variegatus", "Monochamus griseoplagiatus", "Monochamus inexpectatus", "Monochamus irrorator", "Monochamus murinus", "Monochamus ruspator", "Monochamus scabiosus", "Monochamus tropicalis", "Monochamus stuhlmanni", "Monochamus accri", "Monochamus pictor", "Monochamus aparus", "Monochamus melaleuca", "Monochamus lunifer", "Monochamus strandi", "Monochamus adamitus", "Monochamus pheretes", "Monochamus thoas", "Monochamus benito", "Monochamus buquetii", "Monochamus franzae", "Monochamus asiaticus", "Monochamus spectabilis", "Monochamus tridentatus", "Monochamus lineolata", "Monochamus thomsoni", "Monochamus alboscutellaris", "Monochamus laevis", "Monochamus nigrobasimaculatus", "Monochamus omias", "Monochamus vagus", "Monochamus millegranus", "Monochamus kashitu", "Monocladum aegyptiacum", "Monocladum iranicum", "Monodesmus atratus", "Monodesmus callidioides", "Monodesmus inermis", "Monodesmus nothus", "Monoplia spinicorne", "Monoplia tetra", "Monoxenus spinator", "Monoxenus bicristatus", "Monoxenus bispinosus", "Monoxenus gabonicus", "Monoxenus horridus", "Monoxenus lujae", "Monoxenus tridentatus", "Monoxenus aethiopicus", "Monoxenus ardoini", "Monoxenus balteatus", "Monoxenus balteoides", "Monoxenus bicarinatus", "Monoxenus bufoides", "Monoxenus declivus", "Monoxenus elevatus", "Monoxenus elongatus", "Monoxenus flavescens", "Monoxenus fuliginosus", "Monoxenus infraflavescens", "Monoxenus insularis", "Monoxenus kaboboanus", "Monoxenus kenyensis", "Monoxenus maleci", "Monoxenus mambojae", "Monoxenus multispinosus", "Monoxenus multituberculatus", "Monoxenus murphyi", "Monoxenus nigrofasciaticollis", "Monoxenus nigrovitticollis", "Monoxenus nodosoides", "Monoxenus nodosus", "Monoxenus plurituberculatus", "Monoxenus ruandae", "Monoxenus spinosus", "Monoxenus strandi", "Monoxenus teocchii", "Monoxenus turrifer", "Monoxenus unispinosus", "Monoxenus werneri", "Monstropalpus helleri", "Montesia bosqi", "Montesia elegantula", "Montesia fasciolata", "Montesia leucostigma", "Montrouzierina dentata", "Monzonia sanmarcosana", "Moratichroma magnifica", "Mordellistenomimus nanus", "Morettus strangulatus", "Nidirana hainanensis", "Morimidius flavosparsus", "Morimolamia fruhstorferi", "Morimopsidius triangularis", "Morimopsis assamensis", "Morimopsis dalihodi", "Morimopsis dembickyi", "Morimopsis glabripennis", "Morimopsis granulipennis", "Morimopsis hartmanni", "Morimopsis holzschuhi", "Morimopsis lacrymans", "Morimopsis mussardi", "Morimopsis schmidti", "Morimopsis truncatipennis", "Morimopsis unicolor", "Morimospasma granulatum", "Morimospasma nitidituberculatum", "Morimospasma paradoxum", "Morimospasma tuberculatum", "Morimus assamensis", "Morimus gabzdili", "Morimus granulipennis", "Morimus inaequalis", "Morimus indicus", "Morimus lethalis", "Morimus misellus", "Morimus orientalis", "Morimus ovalis", "Morimus plagiatus", "Morimus sexmaculipennis", "Moron distigma", "Mourgliana conspicua", "Mourgliana mollina", "Trogloneta yunnanense", "Neowroughtonilla steghausae", "Newtonidium costaricensis", "Newtonidium magdalenensis", "Newtonidium thomasi", "Arthropodium dyeri", "Trogloneta uncata", "Trogloneta yuensis", "Arthropodium milleflorum", "Dichopogon fimbriatus", "Dichopogon preissii", "Mulciber albosetosus", "Mulciber basimaculatus", "Mulciber linnei", "Mulciber maculosus", "Mulciber plagiatus", "Mulciber pullatus", "Mulciber rosselli", "Mulciber rotundipennis", "Mulciber ruficornis", "Mulciber strandi", "Mulciber undulatoides", "Mundeu maculicollis", "Murosternum latefasciatum", "Murosternum mocquerysi", "Murosternum molitor", "Murosternum paramolitor", "Murosternum pentagonale", "Murosternum pulchellum", "Murupeaca mocoia", "Murupeaca pinimatinga", "Murupi linearis", "Murzinia karatauensis", "Muscidora tricolor", "Musius crassicornis", "Musius flavimembris", "Musius quadrinodosus", "Musonius luctuosus", "Mussardia griseoplagiata", "Mutatocoptops alboapicalis", "Mutatocoptops anancyloides", "Mutatocoptops annulicornis", "Mutatocoptops bituberosa", "Mutatocoptops borneensis", "Mutatocoptops cambodgensis", "Mutatocoptops celebensis", "Mutatocoptops diversa", "Mutatocoptops lumawigi", "Mutatocoptops malaisiana", "Mutatocoptops similis", "Mutatocoptops tonkinea", "Muxbalia monzoni", "Myacopterus rufosericans", "Myagrus alboplagiatus", "Myagrus hynesii", "Myagrus javanicus", "Myagrus strandi", "Myagrus vinosus", "Myagrus yagii", "Mycerinodes puerilis", "Mycerinodes uluguruensis", "Mycerinopsis flavosignata", "Mycerinopsis fulvescens", "Mycerinopsis lacteola", "Mycerinopsis papuana", "Mycerinopsis spinipennis", "Mycerinus brevis", "Mycerinus densepunctatus", "Mycerinus dorcadioides", "Mycerinus punctiventris", "Mycerinus subcostatus", "Mydasta discoidea", "Mydasta principata", "Mygalobas corticina", "Mynonebra diversa", "Mynonebra opaca", "Mynonebra villica", "Mynonoma eunidioides", "Mynonoma integricollis", "Mynoparmena dilatata", "Myonebrides crassepunctata", "Myonebrides flavomaculata", "Myonebrides sexpunctata", "Myopsocometes humeralis", "Myopsocometes pseudohumeralis", "Myoxinus asper", "Myoxinus pictus", "Myoxomorpha alvarengorum", "Myoxomorpha funesta", "Myoxomorpha seabrai", "Myoxomorpha vidua", "Myrmeciocephalus monteithi", "Myrmecoclytus affinis", "Myrmecoclytus mayottei", "Myrmecoclytus natalensis", "Myrmecoclytus orientalis", "Myrmecoclytus pauliani", "Myrmecoclytus raffrayi", "Myrmecoclytus singularis", "Myrmecoclytus vadoni", "Myrmeocorus allodapus", "Myrmeparmena sudrei", "Myrmexocentroides enganensis", "Myromeus fulvonotatus", "Myromeus gilmouri", "Myromeus immaculicollis", "Myromeus luzonicus", "Myromeus stipraisi", "Myromeus subpictus", "Myromexocentrus quadrimaculatus", "Myromexocentrus tibialis", "Myrsellus unicolor", "Myrsinus modestus", "Mystacophorus mystax", "Mysteria cylindripennis", "Mysteria darwini", "Mysteria lacordairei", "Mysteria minuta", "Mysteria seabrai", "Mystrocnemis allardi", "Mystrocnemis analis", "Mystrocnemis apicalis", "Mystrocnemis atricollis", "Mystrocnemis bicolor", "Mystrocnemis flavoapicalis", "Mystrocnemis flavovittata", "Mystrocnemis stictica", "Mystrosa rubiginea", "Mythodes plumosa", "Mythozoum antennatum", "Mythozoum orientalis", "Mythozoum somaliensis", "Hemachatus haemachatus", "Solanum sect.", "Centrogenys vaigiensis", "Tilia mandshurica var. megaphylla", "Eulophia mechowii", "Bolusiella fractiflexa", "Bolusiella iridifolia", "Bolusiella iridifolia subsp. iridifolia", "Bolusiella iridifolia subsp. picea", "Bolusiella talbotii", "Bolusiella zenkeri", "Chamaescilla corymbosa var. corymbosa", "Chamaescilla spiralis", "Solanum valdiviense", "Solanum viscosissimum", "Solanum anisocladum", "Solanum caelicolum", "Solanum rigidum", "Solanum cowiei", "Solanum zoeae", "Trogloneta cantareira", "Trogloneta mourai", "Trogloneta cariacica", "Trogloneta canariensis", "Trogloneta madeirense", "Laxmannia brachyphylla", "Laxmannia gracilis", "Laxmannia grandiflora", "Clubiona acanthocnemis", "Clubiona achilles", "Clubiona acies", "Laxmannia grandiflora subsp. grandiflora", "Laxmannia sessiliflora subsp. sessiliflora", "Clubiona adjacens", "Laxmannia squarrosa", "Erigone personata", "Mermessus bryantae", "Lomandra cylindrica", "Lomandra filiformis subsp. filiformis", "Lomandra gracilis", "Caluera surinamensis", "Caluera vulpina", "Caluera tavaresii", "Lomandra micrantha", "Lomandra multiflora", "Ovophis makazayazaya", "Gomesa colorata", "Clubiona aciformis", "Bulbophyllum lemniscatum", "Clubiona duoconcava", "Clubiona subrostrata", "Clubiona lamina", "Clubiona tengchong", "Clubiona aculeata", "Clubiona abboti", "Clubiona abboti abboti", "Clubiona abboti abbotoides", "Mythozoum ustulatum", "Mythozoum variabile", "Myzomorphus amabilis", "Myzomorphus birai", "Myzomorphus flavipes", "Myzomorphus gounellei", "Myzomorphus herteli", "Myzomorphus poultoni", "Myzomorphus quadripunctatus", "Myzomorphus scutellatus", "Myzomorphus sparsimflabellatus", "Nadezhdiella cantori", "Nadezhdiella fulvopubens", "Nadezhdiella japonica", "Nadezhdiella spadix", "Namiboeme maraisi", "Namibomeces laticornis", "Nanilla delauneyi", "Nanilla globosa", "Nanilla terrestris", "Nanilla tuberculata", "Nannoprionus insignis", "Nanohammus aberrans", "Nanohammus alboplagiatus", "Nanohammus annulicornis", "Nanohammus grangeri", "Nanohammus itzingeri", "Nanohammus myrrhatus", "Nanohammus oshimanus", "Nanohammus rondoni", "Nanohammus rufescens", "Nanohammus sinicus", "Nanohammus subfasciatus", "Nanohammus theresae", "Nanohammus yunnana", "Nanostrangalia abdominalis", "Nanostrangalia atayal", "Nanostrangalia binhana", "Nanostrangalia binodula", "Nanostrangalia breuningi", "Nanostrangalia chujoi", "Nanostrangalia comis", "Nanostrangalia duffyi", "Nanostrangalia emeishana", "Nanostrangalia melanopus", "Nanostrangalia modicata", "Nanostrangalia munita", "Nanostrangalia regularis", "Nanostrangalia semichujoi", "Nanostrangalia sternalis", "Nanostrangalia tenuecornis", "Nanostrangalia torui", "Nanustes fuchsi", "Nastocerus annulicornis", "Nastocerus brevipennis", "Nastocerus longicollis", "Nastocerus maculicornis", "Nastocerus scutatus", "Nastocerus semitibialis", "Nastocerus vacheri", "Nataloma carmonai", "Nataloma orientalis", "Nathriobrium methioides", "Paraporus methneri", "Parastilbus hoebarthi", "Sinomicrurus kelloggi", "Sinomicrurus sauteri", "Calantica affinis", "Dichopogon strictus", "Dichopogon capillipes", "Escaphiella itys", "Escaphiella tayrona", "Siphlophis cervinus", "Escaphiella betin", "Gonocephalus chamaeleontinus", "Nealcidion silvai", "Nealcidion simillimum", "Nealcidion singulare", "Nealcidion socium", "Nealcidion spinosum", "Nealcidion strigilis", "Nealcidion triangulare", "Nealcidion trivittatum", "Nealcidion venosum", "Neaneflus brevispinus", "Neaneflus fuchsii", "Neanthophylax mirificus", "Neanthophylax pubicollis", "Neanthophylax subvittatus", "Neanthophylax tenebrosus", "Necalphus asellus", "Necalphus decoratus", "Neclamia tigrina", "Necydalis acutipennis", "Necydalis alpinicola", "Necydalis annectans", "Necydalis araii", "Necydalis atricornis", "Necydalis barbarae", "Necydalis cavipennis", "Necydalis choui", "Necydalis collaris", "Necydalis diversicollis", "Necydalis esakii", "Necydalis fujianensis", "Necydalis hirayamai", "Necydalis ignotus", "Necydalis inermis", "Necydalis insulicola", "Necydalis katsuraorum", "Necydalis kumei", "Necydalis laevicollis", "Necydalis lateralis", "Necydalis malayanus", "Necydalis marginipennis", "Necydalis mellita", "Necydalis meridionalis", "Necydalis mizunumai", "Necydalis montipanus", "Microdonia occipitalis", "Necydalis moriyai", "Necydalis nanshanensis", "Necydalis niisatoi", "Necydalis rudei", "Necydalis rufiabdominis", "Necydalis sabatinellii", "Necydalis sericella", "Necydalis shinborii", "Necydalis sirexoides", "Necydalis spissicus", "Necydalis strnadi", "Necydalis tamakii", "Necydalis uenoi", "Necydalis wakaharai", "Necydalis xizangia", "Necydalis yakushimensis", "Necydalis itoi", "Necydalis bicolor", "Necydalis formosana", "Necydalis maculipennis", "Necydalis concolor", "Necydalis harmandi", "Necydalis nepalense", "Necydalis oblonga", "Necydalis odai", "Necydalis sachalinensis", "Necydalis solida", "Necydalopsis trizonatus", "Phonotimpus marialuisae", "Necydalosaurus mysticus", "Nedine adversa", "Nedine longipes", "Nedine spaethi", "Nedine sparatis", "Nedine subspinosa", "Nedytisis fuscoapicalis", "Nedytisis obrioides", "Neholopterus antarcticus", "Neholopterus ochraceus", "Neholopterus reedi", "Neholopterus richteri", "Neissa albertisi", "Neissa inconspicua", "Neissa nigrina", "Neissa occidentalis", "Nemaschema baladicum", "Nemaschema chlorizans", "Nemaschema collarti", "Nemaschema flavovittatum", "Nemaschema griseum", "Nemaschema kudrnai", "Nemaschema lamberti", "Nemaschema limbicolle", "Nemaschema lineatum", "Nemaschema macilentum", "Nemaschema modesta", "Nemaschema mulsanti", "Nemaschema nitidulum", "Nemaschema olivaceum", "Nemaschema puberulum", "Nemaschema quadrisulcatum", "Nemaschema sanguinicolle", "Nemaschema viridipes", "Monochamus x-fulvum", "Mycerinodes lettow-vorbecki", "Mimaenictus wilsoni", "Leucocoryne narcissoides", "Mimoplandria ruficollis", "Masoncus conspectus", "Tilia mandshurica var. mandshurica", "Tilia mandshurica var. ovalis", "Masoncus arienus", "Masoncus dux", "Masoncus pogonophilus", "Tilia mandshurica var. toriiana", "Floricomus mulaiki", "Cicurina minorata", "Chrosiothes jocosus", "Alibertia patinoi", "Alibertia sorbilis", "Alibertia venezuelensis", "Alibertia verticillata", "Mysmena biangulata", "Calantica arcuata", "Mesosa albomarmorata", "Mesosa alternata", "Mesosa bifasciatipennis", "Mesosa biplagiata", "Mesosa blairi", "Mesosa fruhstorferi", "Mesosa griseiventris", "Mesosa incongrua", "Mesosa indica", "Mesosa innodosa", "Mesosa kalaoensis", "Mesosa kuntzeni", "Mesosa lata", "Mesosa laterialba", "Mesosa lineata", "Mesosa multinigrosignata", "Mesosa niasica", "Mesosa nigrosignata", "Mesosa pardina", "Mesosa plurinigrosignata", "Mesosa pontianakensis", "Mesosa postfasciata", "Mesosa postmarmorata", "Mesosa quadriplagiata", "Mesosa revoluta", "Mesosa siamensis", "Mesosa subfasciata", "Mesosa sumatrana", "Mesosa vagemarmorata", "Mesosa yunnana", "Mesosaimia mausoni", "Mesosaimia robusta", "Mesosaimia similis", "Mesosaimia wakaharai", "Mesosella kumei", "Mesosella simiola", "Mesotroea cyanipennis", "Metacmaeops vittata", "Metacopa variipennis", "Metacoptops fasciculata", "Metacriodion capixaba", "Metacriodion pictum", "Metadriopea albomaculata", "Metaegosoma annamensis", "Metaegosoma pici", "Metagnoma singularis", "Metagnoma strandi", "Metaleptus angulatus", "Metaleptus batesi", "Metaleptus discoideus", "Metaleptus hondurae", "Metaleptus lecontei", "Metaleptus pyrrhulus", "Metallichroma cupreum", "Metallichroma hajeki", "Metallichroma mangenoti", "Metallichroma miegei", "Metalliglaucytes metallica", "Metalloeme viridescens", "Metallographeus albolineatus", "Metalloleptura basirufipes", "Metalloleptura curticornis", "Metalloleptura gahani", "Lomandra preissii", "Euthycaelus colonica", "Cacumen expansa", "Lomandra suaveolens", "Podozamites taenioides", "Podozamites notabilis", "Podozamites pinnatus", "Schismatothele lineata", "Ulmus androssowii var. subhirsuta", "Schismatothele inflata", "Ulmus androssowii var. androssowii", "Schismatothele modesta", "Jacobaea inops", "Medionops ramirezi", "Medionops tabay", "Filistatoides xichu", "Antilloides abeli", "Antilloides cubitas", "Antilloides haitises", "Antilloides mesoliticus", "Antilloides zozo", "Loxosceles maisi", "Loxosceles mogote", "Solanum deflexum", "Solanum evolvuloides", "Solanum hoffmanseggii", "Phyllopteroides dentata", "Phyllopteroides lanceolata", "Phyllopteroides laevis", "Phyllopteroides serrata", "Euthycaelus guane", "Phyllopteroides expansa", "Euphorbia togakusensis", "Nathrius berlandi", "Nathrius cypericus", "Navomorpha douei", "Navomorpha lineata", "Navomorpha marrisi", "Navomorpha sulcata", "Navosoma luctuosum", "Navosomopsis feisthamelii", "Neacanista harmandi", "Neacanista retrospinosa", "Neacanista tuberculipenne", "Neachryson nudum", "Neachryson orientale", "Nealcidion adjunctum", "Nealcidion albatum", "Nealcidion albolineatum", "Nealcidion alboplagiatum", "Nealcidion antennatum", "Nealcidion armatum", "Nealcidion badium", "Nealcidion batesii", "Nealcidion bicristatum", "Nealcidion bispinum", "Nealcidion brachiale", "Nealcidion bruchi", "Nealcidion cereicola", "Nealcidion costatum", "Nealcidion coxale", "Nealcidion cristulatum", "Nealcidion cuspidatum", "Nealcidion cyllenoide", "Nealcidion decoratum", "Nealcidion elegans", "Nealcidion elongatum", "Nealcidion emeritum", "Nealcidion eulophum", "Nealcidion femoratum", "Nealcidion formosum", "Nealcidion furciferum", "Nealcidion griseum", "Nealcidion humerosum", "Nealcidion hylaeanum", "Nealcidion interrogationis", "Nealcidion laetulum", "Nealcidion latipenne", "Nealcidion latum", "Nealcidion lineatum", "Nealcidion melasmum", "Nealcidion meridanum", "Nealcidion minimum", "Nealcidion murinum", "Nealcidion napoensis", "Nealcidion nebulosum", "Nealcidion oculatum", "Nealcidion omissum", "Nealcidion parallelum", "Nealcidion privatum", "Nealcidion pulchrum", "Nealcidion quinquemaculatum", "Nealcidion scutellatum", "Nealcidion sexguttatum", "Nealcidion sexnotatum", "Schismatothele benedettii", "Ulmus davidiana var. davidiana", "Schismatothele hacaritama", "Schismatothele olsoni", "Schismatothele weinmanni", "Schismatothele kastoni", "Sickius longibulbi", "Otozamites boolensis", "Otozamites incurvatus", "Neoholothele incei", "Neoholothele fasciaaurinigra", "Ginkgoites waarrensis", "Yeaia flexuosa", "Centaurea pseudoleucolepis", "Rienitsia variabilis", "Pachypteris austropapillosa", "Xylopteris difformis", "Thinnfeldia hastata", "Ptilophyllum elongatum", "Ptilophyllum castertonensis", "Ptilophyllum spinosum", "Ptilophyllum cantherifera", "Ptilophyllum fasciatum", "Ctenis coronata", "Ptilophyllum irregulare", "Lappacarpus aristata", "Thysanotus manglesianus", "Thysanotus tuberosus subsp. tuberosus", "Adiantites lindsayoides", "Bucculatrix crataega", "Angraecum linearifolium", "Angraecum umbrosum", "Alena alena", "Solanum lignescens", "Artema bahia", "Artema ghubrat", "Sowerbaea juncea", "Sowerbaea laxiflora", "Solanum manabiense", "Ginkgo australis", "Thysanotus baueri", "Paxillus involutus", "Vexatorella obtusata", "Zorocrates alternatus", "Zorocrates isolatus", "Ulmus glaucescens var. lasiocarpa", "Ulmus glaucescens var. glaucescens", "Micaria vinnula", "Opopaea meditata", "Escaphiella hespera", "Escaphiella nye", "Escaphiella litoris", "Escaphiella iguala", "Escaphiella acapulco", "Escaphiella colima", "Escaphiella catemaco", "Escaphiella tonila", "Escaphiella chiapa", "Escaphiella nayarit", "Escaphiella magna", "Escaphiella olivacea", "Escaphiella viquezi", "Escaphiella schmidti", "Escaphiella gertschi", "Calliophis intestinalis", "Mimetes pauciflorus", "Polystachya obanensis", "Thysanotus dichotomus", "Artema bunkpurugu", "Artema nephilit", "Solanum olympicum", "Thysanotus juncifolius", "Paphiopedilum agusii", "Paphiopedilum anitanum", "Baragwanathia longifolia", "Paphiopedilum dodyanum", "Yarravia subsphaerica", "Dipsas indica", "Escaphiella gigantea", "Escaphiella bolivar", "Escaphiella cidades", "Escaphiella hesperoides", "Escaphiella maculosa", "Escaphiella cachimbo", "Escaphiella aratau", "Escaphiella bahia", "Escaphiella pocone", "Escaphiella blumenau", "Escaphiella morro", "Escaphiella exlineae", "Escaphiella peckorum", "Escaphiella ramirezi", "Escaphiella argentina", "Escaphiella ocoa", "Escaphiella cristobal", "Escaphiella isabela", "Pleurota tricolor", "Pleurota pellicolor", "Pleurota lacteella", "Pleurota moroccoensis", "Pleurota ochreopalpella", "Pleurota atlasensis", "Lomandra nigricans", "Lomandra obliqua", "Vexatorella latebrosa", "Mysmena cornigera", "Theridion submissum", "Agyneta llanoensis", "Eustala brevispina", "Eustala cameronensis", "Nipisa anai", "Nipisa bankirai", "Nipisa bidayuh", "Nipisa kubah", "Nipisa lehi", "Cuitlauzina convallarioides", "Cuitlauzina dubia", "Cuitlauzina pygmaea", "Danio meghalayensis", "Thysanotus virgatus", "Xerolirion divaricata", "Apokayana bako", "Apokayana iban", "Apokayana tahai", "Apokayana kapit", "Apokayana kubah", "Apokayana niah", "Apokayana pueh", "Apokayana seowi", "Pison abductor", "Nipisa deelemanae", "Nipisa semengoh", "Nipisa phasmoides", "Nipisa phyllicola", "Nipisa subphyllicola", "Panjange marilog", "Panjange thomi", "Panjange togutil", "Panjange mirabilis", "Leptopholcus borneensis", "Micromerys daviesae", "Nerudia atacama", "Ninetis minuta", "Yarravia oblonga", "Paphiopedilum lunatum", "Paphiopedilum notatisepalum", "Cubanops luquillo", "Paphiopedilum zulhermanianum", "Nops agnarssoni", "Solanum turneroides", "Ulmus bergmanniana var. lasiophylla", "Nops enae", "Ulmus bergmanniana var. bergmanniana", "Nops ernestoi", "Nops finisfurvus", "Nops hispaniola", "Nops siboney", "Nops jaragua", "Nops navassa", "Nops pallidus", "Nops campeche", "Nops tico", "Nops alexenriquei", "Nops amazonas", "Nops bahia", "Nops ipojuca", "Nops itapetinga", "Nops minas", "Nops pocone", "Apokayana sedgwicki", "Apokayana nigrifrons", "Aspidistra elatior var. elatior", "Panjange lanthana", "Panjange cavicola", "Panjange alba", "Panjange bukidnon", "Panjange camiguin", "Panjange casaroro", "Panjange dinagat", "Panjange hamiguitan", "Panjange isarog", "Panjange malagos", "Calantica darwini", "Metagonia nadleri", "Metagonia bonaldoa", "Metagonia argentinensis", "Metagonia tingo", "Metagonia taruma", "Metagonia samiria", "Metagonia maldonado", "Metagonia beni", "Nemognathomimus angelicae", "Nemognathomimus breviceps", "Nemognathomimus michelbacheri", "Nemognathomimus opacipennis", "Nemognathomimus pallidulus", "Nemognathomimus wappesi", "Nemophas ammiralis", "Nemophas batoceroides", "Nemophas bennigseni", "Nemophas bicinctus", "Nemophas cyanescens", "Nemophas forbesi", "Nemophas grayii", "Nemophas helleri", "Nemophas incensus", "Nemophas nigriceps", "Nemophas ramosi", "Nemophas rosenbergii", "Nemophas subterrubens", "Nemophas sumbaensis", "Nemophas tomentosus", "Nemophas tricolor", "Nemophas trifasciatus", "Nemophas websteri", "Nemophas zonatus", "Nemoplophora subcylindricus", "Nemotragus helvolus", "Nenenia aurulenta", "Nenenia fasciata", "Nenenia thoracica", "Nenenia virgata", "Neoachryson castaneum", "Neoalosterna capitata", "Neoalosterna rubida", "Neoamphion triangulifer", "Neoamphion vittatum", "Neobaryssinus abbreviatus", "Neobaryssinus capixaba", "Neobaryssinus marianae", "Neobaryssinus phalarus", "Neobellamira delicata", "Neobethelium gracilis", "Neobethelium megacephalum", "Neobrachychilus consobrinus", "Neocalamobius clavatus", "Neocallia pubescens", "Neocarolus thomasi", "Neocerambyx bakboensis", "Neocerambyx gigas", "Neocerambyx grandis", "Neocerambyx katarinae", "Neocerambyx luzonicus", "Neocerambyx opulentus", "Neocerambyx paris", "Neocerambyx pellitus", "Neocerambyx pubescens", "Neocerambyx vitalisi", "Neochariesthes subsaperdoides", "Neocherentes dilloniorum", "Neochrysoprasis zajciwi", "Neoclosterus argodi", "Metagonia mariguitarensis", "Neoclosterus bernardii", "Neoclosterus boppei", "Neoclosterus curvipes", "Neoclosterus lemairei", "Neoclosterus lujae", "Neoclosterus mefianti", "Neoclosterus morettoi", "Neoclosterus opacipennis", "Neoclosterus turei", "Neoclytus acteon", "Neoclytus angelicus", "Neoclytus approximatus", "Neoclytus araneiformis", "Neoclytus augusti", "Neoclytus bahamicus", "Neoclytus balteatus", "Neoclytus cacicus", "Neoclytus caprea", "Neoclytus chevrolati", "Neoclytus clavipes", "Neoclytus conjunctus", "Neoclytus curtulus", "Neoclytus englemani", "Neoclytus hoegei", "Neoclytus horridus", "Neoclytus impar", "Neoclytus interruptus", "Neoclytus irroratus", "Neoclytus jibacoense", "Neoclytus magnus", "Neoclytus nubilus", "Neoclytus pallidicornis", "Neoclytus peninsularis", "Neoclytus personatus", "Neoclytus podagricus", "Neoclytus provoanus", "Neoclytus pubicollis", "Neoclytus purus", "Neoclytus pusillus", "Neoclytus resplendens", "Neoclytus rufitarsis", "Neoclytus rufus", "Neoclytus senilis", "Neoclytus smithi", "Neoclytus steelei", "Neoclytus tenuiscriptus", "Neoclytus torquatus", "Neoclytus unicolor", "Neoclytus vanduzeei", "Neoclytus ypsilon", "Neocolobura alboplagiata", "Neocompsa agnosta", "Neocompsa alacris", "Neocompsa albopilosa", "Neocompsa aspasia", "Neocompsa bimaculata", "Neocompsa chemsaki", "Neocompsa chiapensis", "Neocompsa clerochroa", "Neocompsa comula", "Neocompsa cylindricollis", "Neocompsa dysthymia", "Neocompsa eburioides", "Neocompsa exclamationis", "Neocompsa fefeyei", "Neocompsa fulgens", "Neocompsa gaumeri", "Neocompsa giesberti", "Neocompsa glaphyra", "Neocompsa habra", "Neocompsa intricata", "Neocompsa leechi", "Neocompsa lenticula", "Neocompsa limatula", "Neocompsa lineolata", "Neocompsa longipilis", "Neocompsa macroscina", "Neocompsa macrotricha", "Neocompsa magnifica", "Neocompsa mendezi", "Neocompsa mexicana", "Neocompsa micromacula", "Neocompsa muira", "Neocompsa obscura", "Neocompsa ptoma", "Neocompsa puncticollis", "Neocompsa pysma", "Neocompsa quadriplagiata", "Neocompsa ruatana", "Neocompsa santarensis", "Neocompsa schneppi", "Neophrissoma rotundipennis", "Neophrissoma umbrinum", "Neophygopoda nigritarsis", "Neophygopoda tibialis", "Neopibanga brescoviti", "Neopiciella kabyliana", "Neopiciella sicula", "Neoplagionotus andreui", "Neoplagionotus scalaris", "Neoplectrura breedlovei", "Neoplocaederus basalis", "Neoplocaederus basilewskyi", "Neoplocaederus bennigseni", "Neoplocaederus bicolor", "Neoplocaederus bicoloripes", "Neoplocaederus bruncki", "Neoplocaederus caroli", "Neoplocaederus chloropterus", "Neoplocaederus cineraceus", "Neoplocaederus conradti", "Neoplocaederus consocius", "Neoplocaederus cyanipennis", "Neoplocaederus danilevskyi", "Neoplocaederus denticornis", "Neoplocaederus elongatulus", "Neoplocaederus emini", "Neoplocaederus ferrugineus", "Neoplocaederus formosus", "Neoplocaederus francqueni", "Neoplocaederus frenatus", "Neoplocaederus fucatus", "Neoplocaederus gabonicus", "Neoplocaederus glabricollis", "Neoplocaederus grandicornis", "Neoplocaederus granulatus", "Neoplocaederus incertus", "Neoplocaederus iridescens", "Neoplocaederus kolbei", "Neoplocaederus laszlokotani", "Neoplocaederus leichneri", "Neoplocaederus luristanicus", "Neoplocaederus lymphaticus", "Neoplocaederus melancholicus", "Neoplocaederus multipunctatus", "Neoplocaederus nitidicollis", "Neoplocaederus nitidipennis", "Neoplocaederus obesus", "Neoplocaederus opalinus", "Neoplocaederus parallelus", "Neoplocaederus parvulus", "Neoplocaederus pedestris", "Neoplocaederus peelei", "Neoplocaederus pronus", "Neoplocaederus punctipennis", "Neoplocaederus purpuripennis", "Neoplocaederus ruficornis", "Neoplocaederus spinicornis", "Neoplocaederus vadoni", "Neoplocaederus vayssierei", "Neoplocaederus vicinus", "Neoplocaederus viridescens", "Neoplocaederus viridipennis", "Neopoeciloderma lepturoides", "Neopotiatuca brevis", "Nesozineus apharus", "Nesozineus armatus", "Nesozineus ateuchus", "Nesozineus bisignatus", "Nesozineus bucki", "Nesozineus fraterculus", "Nesozineus galapagoensis", "Nesozineus granosus", "Nesozineus griseolus", "Nesozineus griseomaculata", "Nesozineus juninensis", "Nesozineus kawensis", "Nesozineus larrei", "Nesozineus marmoratus", "Nesozineus obscurus", "Nesozineus probolus", "Nesozineus propinquus", "Nesozineus similis", "Nesozineus triviale", "Nesozineus unicolor", "Nesozineus zonatus", "Nethinius acuticollis", "Nethinius alluaudi", "Nethinius ambrinus", "Nethinius amethystinus", "Nethinius amicus", "Nethinius anticipes", "Nethinius atroviridis", "Nethinius ballerioi", "Nethinius berafiensis", "Nethinius bicoloritarsis", "Nethinius capreolus", "Nethinius catalai", "Nethinius coindardii", "Nethinius cribratus", "Nethinius curlettii", "Nethinius cylindricus", "Nethinius dimidiatipes", "Nethinius elegans", "Nethinius elongatus", "Nethinius ernesti", "Nethinius fairmairei", "Nethinius flavipes", "Nethinius fulvescens", "Nethinius fulvipes", "Nethinius giganteus", "Nethinius gracilior", "Nethinius hirsutus", "Nethinius humbloti", "Nethinius laevicollis", "Nethinius laticollis", "Nethinius longipennis", "Nethinius mananarensis", "Nethinius maroantsetrensis", "Nethinius montanus", "Neoptychodes candidus", "Neoptychodes cretatus", "Neoptychodes hondurae", "Neoptychodes trilineatus", "Neoregostoma bettelai", "Neoregostoma coccineum", "Neoregostoma discoideum", "Neoregostoma erythrocallum", "Neoregostoma fasciatum", "Neoregostoma giesberti", "Neoregostoma luridum", "Neoregostoma salazari", "Neoregostoma spinipenne", "Neoregostoma unicolor", "Neorhamnusium melanocephalum", "Neorhamnusium rugosipenne", "Neorhamnusium shaanxiensis", "Neorhamnusium taiwanum", "Neorhamnusium wuchaoi", "Neorygocera fuliginea", "Neosarmydus costipennis", "Neosarmydus malayanus", "Neosciadella brunnipes", "Neosciadella fulgida", "Neosciadella immaculosa", "Neosciadella inflexa", "Neosciadella multivittata", "Neosciadella obliquata", "Neosciadella quadripustulata", "Neosciadella spixi", "Neoserixia longicollis", "Neoserixia pulchra", "Neoserixia schwarzeri", "Neoserixia delicata", "Neosomatidia bipustulata", "Neospondylis mexicanus", "Neostenus morio", "Neostenus saundersii", "Neostenus seramensis", "Neostenus spinipennis", "Neosybra affinis", "Neosybra congoana", "Neosybra costata", "Neosybra costipennis", "Neosybra cribrella", "Neosybra cylindracea", "Neosybra cylindrica", "Neosybra densepunctata", "Neosybra elongatissima", "Neosybra excisa", "Neosybra flavovittata", "Neosybra flavovittipennis", "Neosybra fuscofasciata", "Neosybra fuscosignata", "Neosybra granulipennis", "Neosybra hachijoensis", "Neosybra imitans", "Neosybra kenyensis", "Neosybra mabokensis", "Neosybra mizoguchii", "Neosybra ochreovittata", "Neosybra ropicoides", "Neosybra rotundipennis", "Neosybra ryukyuensis", "Neosybra sinuicosta", "Neotaphos hamaticollis", "Neotaphos rachelis", "Neotaranomis atropurpurea", "Neotaranomis australis", "Neotaranomis sinaloae", "Neothomasella igniventris", "Neotrachystola incerta", "Neotrachystola maculipennis", "Neotrachystola superciliata", "Neouracanthus nigroterminatus", "Neoxantha amicta", "Neoxenicotela mausoni", "Neoxymirus mirabilis", "Neozodes signata", "Nepagyrtes piriana", "Nephalioides nigriventris", "Nephalioides rutilus", "Nephalius cassus", "Nephalius levigatus", "Nephalius spiniger", "Nephelotus alboplagiatus", "Nephelotus aurivillii", "Nephelotus conspersus", "Nephelotus cristipennis", "Nephithea necydaloides", "Nepiodes bowringi", "Nepiodes cinnamomeum", "Nepiodes cognatus", "Nepiodes costipennis", "Nepiodes hefferni", "Nepiodes sulcipennis", "Nepiodes terminalis", "Nericonia albopicta", "Nericonia fuscicornis", "Nericonia glabricollis", "Nericonia halconensis", "Nericonia luzonensis", "Nericonia mindoroensis", "Nericonia nigra", "Nericonia opacella", "Nericonia trifasciata", "Nesanoplium dalensi", "Nesanoplium puberulum", "Neseuterpia couturieri", "Neseuterpia curvipes", "Neseuterpia deknuydti", "Nesiosphaerion caymanensis", "Nesiosphaerion charynae", "Nesiosphaerion insulare", "Nesiosphaerion testaceum", "Nesobrium courtoisi", "Nesodes insularis", "Nesoeme kuscheli", "Nesomomus fasciculosus", "Nesomomus servus", "Nesophanes fulgidum", "Nesopriona castanea", "Nesopsebium apicipenne", "Nesosmodicum gracile", "Nesozineus alphoides", "Nesozineus amazonicus", "Neohebestola parvula", "Neohebestola petrosa", "Neohebestola vitticollis", "Neohecyra graueri", "Neohoplonotus spiniferus", "Neohylus alexandrei", "Neohylus dubius", "Neoibidion comatum", "Neoischnolea papuana", "Neolampedusa obliquator", "Neoleptura alpina", "Neoleptura auripennis", "Neoleptura lecontei", "Neoleptura minutipunctis", "Neoludwigia lixoides", "Neolygrus bicinctus", "Neolygrus trifasciatus", "Neoma corrosa", "Neomallodon arizonicum", "Neomarius gandolphii", "Neomicrus walkeri", "Neomoema cendi", "Neonitocris alzonai", "Neonitocris atra", "Neonitocris bourgeati", "Neonitocris calva", "Neonitocris dubourgeti", "Neonitocris ealensis", "Neonitocris emarginata", "Neonitocris eulitopoides", "Neonitocris flavipes", "Neonitocris gaboniensis", "Neonitocris hiekei", "Neonitocris infrarufa", "Neonitocris leonis", "Neonitocris mangenoti", "Neonitocris modesta", "Neonitocris nigriceps", "Neonitocris nigripes", "Neonitocris orientalis", "Neonitocris plicata", "Neonitocris postscutellaris", "Neonitocris princeps", "Neonitocris regina", "Neonitocris rubricollis", "Neonitocris rubriventris", "Neonitocris rufipes", "Neonitocris servilis", "Neonitocris sibutensis", "Neonitocris spiniscapus", "Neonitocris thoracica", "Neopachystola erinacea", "Neopachystola erinaceus", "Neopachystola fuliginosa", "Neopachystola granulipennis", "Neopachystola mamillata", "Neopalame albida", "Neopalame albomaculata", "Neopalame atromaculata", "Neopalame cretata", "Neopalame deludens", "Neopalame digna", "Neoperiboeum juanitae", "Neoperiboeum villosulum", "Nethinius nanus", "Nethinius nigricornis", "Aspidistra fungilliformis", "Nethinius nigripennis", "Nethinius obscuripes", "Nethinius occidentalis", "Nethinius pallidipes", "Nethinius pauliani", "Nethinius perinetensis", "Nethinius perrieri", "Nethinius perroti", "Nethinius peyrierasi", "Nethinius pilosus", "Nethinius punctatus", "Nethinius quadrinodosus", "Nethinius quentini", "Nethinius robinsoni", "Nethinius rossi", "Nethinius ruficeps", "Nethinius sambiranensis", "Nethinius sanguinicollis", "Nethinius satanas", "Nethinius semirufus", "Nethinius septentrionis", "Nethinius setigerus", "Nethinius seyrigi", "Nethinius sicardi", "Nethinius sogai", "Nethinius tenebrosus", "Nethinius testaceus", "Nethinius vadoni", "Nethinius vicinus", "Nethinius violaceipennis", "Nethinius wintreberti", "Nethinius wittmeri", "Nicarete albovittipennis", "Nicarete brunnipennis", "Nicarete holorufa", "Nicarete similis", "Nicarete cineraria", "Nicarete pallidulus", "Nicarete perrieri", "Nicarete affinis", "Nicarete albostictipennis", "Nicarete coquerelii", "Nicarete impressipennis", "Nicarete submaculosus", "Nicarete vadoni", "Nicarete albolineatus", "Nicarete melanura", "Nicarete villosicornis", "Nicias alurnoides", "Nicomioides larvatus", "Nida andamanica", "Nida championi", "Nida flavovittata", "Nida kala", "Nidella argutula", "Nidella asperana", "Nidella bimaculata", "Nidella coomani", "Nidella fenestrella", "Niphona orientalis", "Niphona ornata", "Niphona ornatoides", "Niphona pannosa", "Niphona parallela", "Niphona paraparallela", "Niphona philippinensis", "Niphona picticornis", "Niphona plagiata", "Niphona plagiatoides", "Niphona plagifera", "Niphona pluricristata", "Niphona princeps", "Niphona proxima", "Niphona rondoni", "Niphona similis", "Niphona stoetzneri", "Niphona stramentosa", "Niphona subgrisea", "Niphona sublutea", "Niphona subobscura", "Niphona sumatrana", "Niphona tibialis", "Niphona variegata", "Niphona vicina", "Niphona yanoi", "Niphona longicornis", "Niphona longzhouensis", "Niphonatossa mussardi", "Niphoparmena acutipennis", "Niphoparmena albopilosa", "Niphoparmena alluaudi", "Niphoparmena bispinosa", "Niphoparmena carayoni", "Niphoparmena carinipennis", "Niphoparmena densepuncticollis", "Niphoparmena dohertyi", "Niphoparmena elgonensis", "Niphoparmena flavoscutellata", "Niphoparmena fossulata", "Niphoparmena fuscomaculata", "Niphoparmena fuscostriata", "Niphoparmena grossepunctata", "Niphoparmena jeanneli", "Niphoparmena kenyensis", "Niphoparmena kivuensis", "Niphoparmena latifrons", "Niphoparmena leleupi", "Niphoparmena lindblomi", "Niphoparmena longespinipennis", "Niphoparmena longicornis", "Niphoparmena meruana", "Niphoparmena mycerinoides", "Niphoparmena obliquefasciata", "Niphoparmena paralatifrons", "Niphoparmena persimilis", "Niphoparmena puncticollis", "Niphoparmena rougemonti", "Niphoparmena rungwensis", "Niphoparmena scotti", "Nidella repanda", "Nidella stanislavi", "Nidella stanleyana", "Nietzscheana plutenkoi", "Nigrolamia borussa", "Nigrolamia farinosa", "Nigrolamia ogowensis", "Niisatoa malaisei", "Niisatochroma celebiana", "Niophis antennata", "Niophis aper", "Niophis brusteli", "Niophis coptorhina", "Niophis neotropica", "Niophis picticornis", "Niophis rufula", "Niphabryna granulosus", "Niphecyra interpres", "Niphecyra papyri", "Niphecyra rufolineata", "Niphecyra uniformis", "Nipholophia chujoi", "Niphona affinis", "Niphona albofasciata", "Niphona albolateralis", "Niphona alboplagiata", "Niphona albosignatipennis", "Niphona andamana", "Niphona andamanica", "Niphona appendiculata", "Niphona appendiculatoides", "Niphona arrogans", "Niphona batesi", "Niphona belligerans", "Niphona borneana", "Niphona borneensis", "Niphona cantonensis", "Niphona celebensis", "Niphona chapaensis", "Niphona chinensis", "Niphona crampeli", "Niphona dessumi", "Niphona excisa", "Niphona falaizei", "Niphona fasciculata", "Niphona furcata", "Niphona fuscatrix", "Niphona gracilior", "Niphona hepaticolor", "Periergopus sculptus", "Niphona hookeri", "Niphona indica", "Niphona lateraliplagiata", "Niphona lateralis", "Niphona longesignata", "Niphona lumawigi", "Niphona lunulata", "Niphona lutea", "Niphona mediofasciata", "Niphona micropuncticollis", "Niphona nigrohumeralis", "Niphona obliquata", "Niphona obscura", "Niphoparmena spinipennis", "Niphoparmena subglabricollis", "Niphoparmena truncatipennis", "Niphoparmena unicolor", "Niphoparmena glabricollis", "Niphoparmena basilewskyi", "Niphoparmena flavescens", "Niphoparmena abyssinica", "Niphoparmena convexa", "Niphoparmena cylindrica", "Niphoparmena densepunctata", "Niphoparmena elongata", "Niphoparmena elongatipennis", "Niphoparmena flavostictica", "Niphoparmena freudei", "Philastilbus opulentus", "Niphoparmena gracilis", "Niphoparmena kenyana", "Niphoparmena marmorata", "Niphoparmena minima", "Niphoparmenoides tanganjicae", "Niphopterolophia geminata", "Niphoropica albipennis", "Niphosoma compactum", "Niphosoma sikkimensis", "Niphotragulus affinis", "Niphotragulus albosignatus", "Niphotragulus batesi", "Niphotragulus delkeskampi", "Niphotragulus leonensis", "Niphotragulus longicollis", "Niphotragulus machadoi", "Niphotragulus occidentalis", "Niphotragulus strandi", "Niphotragulus sublineatus", "Niphotragulus tessmanni", "Niphovelleda gracilis", "Niponostenostola gressitti", "Niponostenostola lineata", "Niponostenostola niponensis", "Niraeus bicolor", "Niraeus samarahanensis", "Niraeus tricolor", "Nisibistum kaisanum", "Nitakeris acutipennis", "Nitakeris adorata", "Nitakeris angustifrons", "Nitakeris argenteovittata", "Nitakeris atriceps", "Nitakeris atricornis", "Nitakeris basilewskyi", "Nitakeris bicoloricornis", "Nitakeris bifasciata", "Nitakeris bimaculata", "Nitakeris buettneri", "Nitakeris calabarica", "Nitakeris congoensis", "Nitakeris dimidiaticornis", "Nitakeris flavipennis", "Nitakeris flavotibialis", "Nitakeris fuscofasciata", "Nitakeris fuscosternalis", "Nitakeris gigantea", "Noemia bidentula", "Noemia brunnea", "Noemia conformis", "Noemia cupreoviridana", "Noemia distincta", "Noemia euconna", "Noemia flavicornis", "Noemia incompta", "Noemia leiothorax", "Noemia luctuosa", "Noemia mindanaoensis", "Noemia mindorana", "Noemia negrosensis", "Noemia opacicollis", "Noemia resplendens", "Noemia rugulicollis", "Noemia semirufa", "Noemia sibuyanensis", "Noemia simplicicollis", "Noemia stevensii", "Noemia submetallica", "Noemia virescens", "Noguerana aliciae", "Noguerana rodriguezae", "Nonochamus biplagiatus", "Nonochamus congoanus", "Nonochamus distigma", "Nonochamus griseofasciatus", "Nonyma apicespinosa", "Nonyma bergeri", "Nonyma congoensis", "Nonyma egregia", "Nonyma glabricollis", "Nonyma glabrifrons", "Nonyma insularis", "Nonyma leleupi", "Nonyma lepesmei", "Nonyma mediofusca", "Nonyma nigeriae", "Nonyma strigata", "Nonyma subinermicollis", "Nonyma uluguruensis", "Nonyma variegata", "Nonyma inermicollis", "Nonyma allardi", "Nonyma grisescens", "Nonyma guineensis", "Nonyma ituruensis", "Nonyma mirei", "Nonyma strandiella", "Nonymodiadelia fuscovaria", "Nonymodiadelia lineatopunctata", "Nortia afghanica", "Nortia carinicollis", "Nortia cavicollis", "Platyastilbus tuberculicollis", "Nortia dembickyi", "Nortia fuscata", "Nortia fuscipes", "Nortia planicollis", "Nosavana phoumii", "Nitakeris gracilior", "Nitakeris guineensis", "Nitakeris hintzi", "Nitakeris imitans", "Nitakeris juvenca", "Nitakeris lualabae", "Nitakeris lucasii", "Nitakeris mabokensis", "Nitakeris microphthalma", "Nitakeris minor", "Nitakeris murphyi", "Nitakeris nigriceps", "Nitakeris nigricollis", "Nitakeris nigricornis", "Nitakeris nigrofasciata", "Nitakeris obereoides", "Nitakeris occidentalis", "Nitakeris parahintzi", "Nitakeris pascoei", "Nitakeris patricia", "Nitakeris plagiata", "Nitakeris pseudolucasi", "Nitakeris pseudonigriceps", "Nitakeris pseudoschultzei", "Nitakeris rufoantennalis", "Nitakeris rufomedioantennalis", "Nitakeris sanguinicollis", "Nitakeris schoutedeni", "Nitakeris schubotzi", "Nitakeris sessensis", "Nitakeris similis", "Nitakeris simpsoni", "Nitakeris subjuvenca", "Nitakeris tibialis", "Nitakeris togoensis", "Nitakeris uniformis", "Nitidobrium zambiensis", "Nobuosciades bioculatus", "Nobuosciades lanatus", "Nobuosciades meridianus", "Nobuosciades clinostigmai", "Nodubothea nodicornis", "Nodubothea zapoteca", "Nocalusa prodigiosa", "Nodulosoma angustum", "Nodulosoma flavidorsis", "Nodulosoma halli", "Nodulosoma helmsi", "Philusina cremastogastris", "Nodulosoma laevinotata", "Nodulosoma laevior", "Nodulosoma laevithorax", "Nodulosoma maculata", "Nodulosoma picticornis", "Nodulosoma pinguis", "Nodulosoma posticalis", "Nodulosoma rufescens", "Nodulosoma spectabilis", "Nodulosoma suffusa", "Nodulosoma testacea", "Noemia apicalis", "Noemia apicicornis", "Noserius borneensis", "Noserius femoralis", "Noserius gardneri", "Noserius ignavus", "Noserius indicus", "Noserius ovatipennis", "Noserius simplex", "Noserius tibialis", "Nothopleurus castaneus", "Nothopleurus lobigenis", "Nothopleurus madericus", "Nothopleurus subsulcatus", "Nothoprodontia boliviana", "Nothopygus bouyeri", "Nothopygus mniszechii", "Nothorhina gardneri", "Notoceresium elongatum", "Notoceresium impressiceps", "Notoceresium laevigatum", "Notoceresium setistriatum", "Notoceresium toxopeusi", "Notomulciber carpentariae", "Notomulciber celebensis", "Notomulciber albosetosus", "Notomulciber basimaculatus", "Notomulciber biguttatus", "Notomulciber bryanti", "Notomulciber decemmaculatus", "Notomulciber enganensis", "Notomulciber flavolineatus", "Notomulciber fuscomarginatus", "Notomulciber gressitti", "Notomulciber javanicus", "Notomulciber notatus", "Notomulciber ochraceomaculatus", "Notomulciber ochrosignatus", "Notomulciber palawanicus", "Notomulciber quadrimaculatus", "Notomulciber quadrisignatus", "Notomulciber sabahanus", "Notomulciber sexlineatus", "Notomulciber sexnotatus", "Notomulciber strandi", "Notomulciber sumatrensis", "Notomulciber travancorensis", "Notomulciber trimaculatus", "Notomulciber variegatus", "Notophysis caffra", "Notophysis cloetensi", "Notophysis folchinii", "Notophysis lucanoides", "Notophysis noellae", "Notophysis stuhlmanni", "Notorhabdium bangzhui", "Notorhabdium immaculatum", "Notorhabdium wenhsini", "Novaeglaucytes albocincta", "Novantinoe agriloides", "Novantinoe bicolor", "Novantinoe birai", "Novantinoe chemsaki", "Novantinoe cotopaxiana", "Novantinoe cribristernis", "Novantinoe cristinae", "Novantinoe darlingtoni", "Novantinoe decora", "Novantinoe denticornis", "Novantinoe equatoriensis", "Novantinoe fulvopicta", "Novantinoe germaini", "Novantinoe guyanensis", "Novantinoe hefferni", "Novantinoe hovorei", "Novantinoe iani", "Novantinoe jolyi", "Novantinoe lezamai", "Novantinoe lingafelteri", "Novantinoe mariahelenae", "Novantinoe mathani", "Novantinoe monnei", "Novantinoe morrisi", "Novantinoe noguerai", "Novantinoe payettei", "Novantinoe pegnai", "Novantinoe peruviensis", "Novantinoe puertoricensis", "Novantinoe rileyi", "Novantinoe rufa", "Novantinoe solisi", "Novantinoe spinosa", "Novantinoe thomasi", "Novantinoe tumidicollis", "Novantinoe unidentata", "Novantinoe wappesi", "Novorondonia antennata", "Novorondonia arcuata", "Novorondonia bisignata", "Novorondonia ropicoides", "Nubosoplatus inbio", "Nupseranodes constantini", "Nupserha acuta", "Nupserha alexandrovi", "Nupserha ambigua", "Nupserha andamanica", "Nupserha annamana", "Nupserha annulata", "Nupserha antennalis", "Nupserha antennata", "Nupserha antinorii", "Nupserha apicata", "Nupserha assamana", "Nupserha aterrima", "Nupserha atriceps", "Nupserha aurodiscalis", "Nupserha basalis", "Nupserha basipilosa", "Nupserha bicolor", "Nupserha bicoloripennis", "Nupserha bidentata", "Nupserha bipunctata", "Nupserha bivittata", "Nupserha brachytrita", "Nupserha brevior", "Nustera lindbergi", "Nyctimenius chiangi", "Nyctimenius mamutensis", "Nyctimenius ochraceovittatus", "Nyctimenius palawanicus", "Nyctimenius sabahensis", "Nyctimenius subsericeus", "Nyctimenius tristis", "Nyctimenius varicornis", "Nyctonympha andersoni", "Nyctonympha annulata", "Nyctonympha annulipes", "Nyctonympha boyacana", "Nyctonympha carcharias", "Nyctonympha costipennis", "Nyctonympha cribrata", "Nyctonympha flavipes", "Nyctonympha genieri", "Nyctonympha howdenarum", "Nyctonympha punctata", "Nyctonympha taeniata", "Nyctopais burgeoni", "Nyctopais jordani", "Nyctopais mysteriosus", "Nyctopais mysticus", "Nyoma albopunctata", "Nyoma costata", "Nyoma duffyi", "Nyoma flavoapicalis", "Nyoma flavovittata", "Nyoma fuscomaculata", "Nyoma fuscosignata", "Nyoma guineensis", "Nyoma kyamburensis", "Nyoma parallela", "Nyoma pusilla", "Nyoma pusilloides", "Nyoma reali", "Nyoma truncatipennis", "Nyphasia fuscipennis", "Nyphasia maculata", "Nyphasia pascoei", "Nyphasia pulchra", "Nyphasia torrida", "Nysina asiatica", "Nysina baibarana", "Nysina fenestrellus", "Nysina gracillima", "Nysina grahami", "Nysina insularis", "Nysina orientalis", "Nysina rubriventris", "Nysina rufescens", "Nysina sauteri", "Nysina subtuberculata", "Nyssicostylus melzeri", "Nyssicostylus overali", "Nyssicostylus paraba", "Nyssicostylus subopacus", "Nupserha parakenyensis", "Nupserha pararufipennis", "Nupserha perforata", "Nupserha perusta", "Nupserha producta", "Nupserha pseudinfantula", "Nupserha pseudoflavinotum", "Nupserha pseudonigriceps", "Nupserha punctata", "Nupserha puncticollis", "Nupserha punctigera", "Nupserha quadricostata", "Nupserha quadrimaculata", "Nupserha quadrioculata", "Nupserha rhodesica", "Nupserha rothkirchi", "Nupserha rotundicollis", "Nupserha ruficolor", "Nupserha rufipennis", "Nupserha rufobasipennis", "Nupserha rufonotaticeps", "Nupserha rufulipennis", "Nupserha schmidi", "Nupserha sericans", "Nupserha sericea", "Nupserha sexpunctata", "Nupserha seychellarum", "Nupserha similis", "Nupserha somalica", "Nupserha spinifera", "Nupserha strigicollis", "Nupserha subabbreviata", "Nupserha subkenyensis", "Nupserha sublenita", "Nupserha subpuncticollis", "Nupserha subternigra", "Nupserha szetschuanica", "Nupserha taliana", "Nupserha tanganjicae", "Nupserha tatsienlui", "Nupserha tessmanni", "Nupserha testaceipes", "Nupserha thibetana", "Nupserha tricolor", "Nupserha trivitticollis", "Nupserha ugandensis", "Nupserha univitticollis", "Nupserha ustulata", "Nupserha vanrooni", "Nupserha variabilis", "Nupserha variicornis", "Nupserha ventralis", "Nupserha vexator", "Nupserha vitticollis", "Nupserha yunnana", "Nupserha yunnanensis", "Nupseroberea atriceps", "Nupseroberea brevior", "Nupseroberea congoensis", "Nupseroberea ealensis", "Nupseroberea rubra", "Nupseroberea splendida", "Nyssodrysternum instabile", "Nyssodrysternum insulorum", "Nyssodrysternum lanceolatum", "Nyssodrysternum laterale", "Nyssodrysternum lepidum", "Nyssodrysternum lineolatum", "Nyssodrysternum multilineatum", "Nyssodrysternum nitidum", "Nyssodrysternum ocellatum", "Nyssodrysternum picticolle", "Nyssodrysternum pictulum", "Nyssodrysternum plaumanni", "Nyssodrysternum poriferum", "Metagonia furcata", "Nyssodrysternum promeces", "Nyssodrysternum propinquum", "Nyssodrysternum proximum", "Nyssodrysternum ptericoptum", "Nyssodrysternum reticulatum", "Nyssodrysternum rodens", "Nyssodrysternum schmithi", "Nyssodrysternum serpentinum", "Nyssodrysternum signiferum", "Nyssodrysternum simulatum", "Nyssodrysternum stillatum", "Nyssodrysternum striatellum", "Nyssodrysternum sulphurescens", "Nyssodrysternum taeniatum", "Nyssodrysternum tucurui", "Nyssodrysternum univittis", "Nyssodrysternum vanini", "Nyssodrysternum variabile", "Nyssodrysternum zonatum", "Obages cameroni", "Obages flavosticticus", "Obages palparis", "Obages tuberculipennis", "Obages tuberculosus", "Oberea abdominalis", "Oberea acuta", "Oberea adumbrata", "Oberea affinis", "Oberea andamana", "Oberea andamanica", "Oberea angolana", "Oberea angolensis", "Oberea anguina", "Oberea angustata", "Oberea annamensis", "Oberea annulicornis", "Oberea anterufa", "Metagonia globulosa", "Oberea apicenigrita", "Oberea artocarpi", "Oberea assamensis", "Oberea aterrima", "Oberea atricilla", "Oberea atricilloides", "Oberea atroantennalis", "Oberea atropunctata", "Oberea auricollis", "Oberea auriventris", "Oberea baliana", "Oberea fuscicollis", "Oberea fuscipennis", "Oberea fusciventris", "Oberea gabunensis", "Oberea gracilis", "Oberea gracillima", "Oberea grossepunctata", "Oberea hebescens", "Oberea herzi", "Oberea heudei", "Oberea heyrovskyi", "Oberea himalayana", "Oberea holatripennoides", "Oberea holonigra", "Oberea humeralis", "Oberea humilis", "Oberea inclusa", "Oberea incompleta", "Oberea infragrisea", "Oberea infranigra", "Oberea infranigrescens", "Oberea infrasericea", "Oberea infratestacea", "Oberea insoluta", "Oberea insperans", "Oberea isigakiana", "Oberea japonica", "Oberea javana", "Oberea javanicola", "Oberea jordani", "Oberea kanarensis", "Oberea kandyana", "Oberea kangeana", "Oberea keyensis", "Oberea komiyai", "Oberea kualabokensis", "Oberea kunbirensis", "Oberea lacana", "Oberea laetifica", "Oberea lama", "Oberea laosensis", "Oberea lateapicalis", "Oberea latericollis", "Oberea laterinigricollis", "Oberea latipenne", "Oberea lepesmiana", "Oberea leucothrix", "Oberea longissima", "Oberea luluensis", "Oberea lutea", "Oberea lyncea", "Oberea macilenta", "Oberea maculicollis", "Oberea manipurensis", "Oberea matangensis", "Oberea medioflavoantennalis", "Oberea mediofusciventris", "Oberea melanocephala", "Oberea melanostoma", "Oberea mentaweiensis", "Oberea meridionalis", "Micropholcus dalei", "Oberea micholitzi", "Oberea mimetica", "Oberea mixta", "Oberea monticola", "Oberea morio", "Oberea morosa", "Oberea mutata", "Oberea myops", "Oberea neavei", "Oberea nefasta", "Oberea neptis", "Oberea neutralis", "Oberea nigerrima", "Oberea nigrescens", "Oberea nigriceps", "Oberea nigripennis", "Oberea nigripes", "Oberea nigroapiciventris", "Oberea nigrobasipennis", "Oberea nigrocincta", "Oberea nigrofemoralis", "Oberea nigrolateralis", "Oberea nigrolineata", "Oberea nigrolineatipennis", "Oberea nigrotibialis", "Oberea notata", "Oberea nyassana", "Oberea ocellata", "Oberea octava", "Oberea oculaticollis", "Oberea ohbayashii", "Oberea okinawana", "Oberea opaca", "Oberea opacipennis", "Oberea ophidiana", "Oberea ornativentris", "Oberea orothi", "Oberea pagana", "Oberea palawanensis", "Oberea pallida", "Oberea pallidula", "Oberea paraneavei", "Oberea pararubetra", "Oberea parteflavoantennalis", "Oberea partenigricollis", "Oberea perspicillata", "Oberea philippinensis", "Oberea phungi", "Oberea pictipes", "Oberea pigra", "Oberea pontianakensis", "Oberea postbrunnea", "Oberea posticata", "Oberea praedita", "Oberea praelonga", "Oberea protensa", "Oberea pruinosa", "Oberea pseudannulicornis", "Oberea pseudobalineae", "Oberea pseudolacana", "Oberea pseudoneavei", "Oberea pseudonigrocincta", "Oberea pseudopascoei", "Oberea pseudopictipes", "Oberea pseudoposticata", "Oberea pseudovaricornis", "Oberea puncticollis", "Oberea punctiventris", "Oberea pupillatoides", "Oberea quadricallosa", "Oberea quianga", "Oberea reductesignata", "Oberea reimschi", "Oberea rhodesica", "Oberea rondoni", "Oberea rotundipennis", "Oberea rubetra", "Oberea rubroantennalis", "Oberea ruficollis", "Oberea ruficornis", "Oberea rufiniventris", "Oberea rufiventris", "Oberea rufoantennalis", "Oberea rufosternalis", "Oberea rufotrigonalis", "Oberea sanghirica", "Oberea sanguinalis", "Oberea sansibarica", "Oberea satoi", "Oberea schaumii", "Oberea scutellaris", "Oberea scutellaroides", "Oberea semifusca", "Oberea semifuscipennis", "Oberea semimaura", "Oberea seminigra", "Oberea semiorbifera", "Oberea semirubra", "Oberea senegalensis", "Oberea sericeiventris", "Oberea shibatai", "Oberea shimomurai", "Oberea shirahatai", "Oberea shirakii", "Oberea silhetica", "Oberea sobosana", "Oberea sobrina", "Oberea strigicollis", "Oberea subabdominalis", "Oberea subbasalis", "Oberea subdiscoidalis", "Oberea subelongatipennis", "Oberea subferruginea", "Oberea subneavei", "Oberea subnigrocincta", "Oberea subsericea", "Oberea subsuturalis", "Oberea subtenuata", "Oberea subteraurea", "Oberea subtrigonifera", "Oberea subvaricornis", "Oberea subviperina", "Oberea sumbana", "Oberea sumbawana", "Oberea sumbawanica", "Oberea sumbawensis", "Oberea sylvia", "Oberea taiwana", "Oberea tatsienlui", "Oberea tenggeriana", "Oberea tenuata", "Oberea toi", "Oberea travancorensis", "Oberea tricolor", "Oberea tricoloricornis", "Oberea trigonalis", "Oberea trilineata", "Oberea tripunctata", "Oberea truncatipennis", "Oberea tsuyukii", "Oberea ulmicola", "Oberea umebayashii", "Oberea unimaculicollis", "Oberea uninotaticollis", "Oberea viperina", "Oberea walkeri", "Oberea wittei", "Oberea yaoshana", "Oberea yasuhikoi", "Oberea yunnana", "Oberea yunnanensis", "Oberea histrionis", "Oberea ressli", "Oberea ruficeps", "Oberea taygetana", "Obereoides cicatricosus", "Obereoides joergenseni", "Obereoides parahybanus", "Obereoides setulosus", "Obereopsis angolana", "Obereopsis angolensis", "Obereopsis angustifrons", "Obereopsis annamensis", "Obereopsis annulicornis", "Obereopsis antenigra", "Obereopsis antenigripennis", "Obereopsis apicalis", "Obereopsis apicaloides", "Obereopsis assamensis", "Obereopsis assimilis", "Obereopsis aterrima", "Obereopsis atriceps", "Obereopsis atricollis", "Obereopsis atrifrons", "Obereopsis atripennis", "Obereopsis atritarsis", "Obereopsis atrodiscalis", "Obereopsis atrosternalis", "Obereopsis aurata", "Obereopsis aureosericea", "Obereopsis aureotomentosa", "Obereopsis auriceps", "Obereopsis basalis", "Oberea balineae", "Oberea bangueyensis", "Oberea batoensis", "Oberea bicallosicollis", "Oberea bicoloricornis", "Oberea bicoloripennis", "Oberea bimaculata", "Oberea bimaculicollis", "Oberea binotaticollis", "Oberea birmanica", "Oberea bisbimaculata", "Oberea bisbipunctata", "Oberea bisbipunctulata", "Oberea bivittata", "Oberea bootangensis", "Oberea breviantennalis", "Oberea brevithorax", "Oberea callosicollis", "Oberea cariniscapus", "Oberea caseyi", "Oberea ceylonica", "Oberea chapaensis", "Oberea cingulata", "Oberea circumscutellaris", "Oberea clara", "Oberea compta", "Oberea conicus", "Oberea consentanea", "Oberea coxalis", "Oberea curialis", "Oberea curticollis", "Oberea curtilineata", "Oberea davaoensis", "Oberea deficiens", "Oberea delongi", "Oberea demissa", "Oberea denominata", "Oberea densepilosa", "Oberea densepunctata", "Oberea densepunctipennis", "Oberea difformis", "Oberea discoidalis", "Oberea distinctipennis", "Oberea diversimembris", "Oberea diversipes", "Oberea elegantula", "Oberea elongaticollis", "Oberea elongatipennis", "Oberea erythrostoma", "Oberea ferruginea", "Oberea flava", "Oberea flavescens", "Oberea flavipennis", "Oberea flavipes", "Oberea flavoantennalis", "Oberea flavoantennata", "Oberea flavoterminata", "Oberea flavotrigonalis", "Oberea florensis", "Oberea floresica", "Oberea formosana", "Oberea formososylvia", "Oberea fulviceps", "Nyssicus contaminatus", "Nyssicus fernandezi", "Nyssicus granulatus", "Nyssicus lobatus", "Nyssicus mendosus", "Nyssicus quadriguttatus", "Nyssicus topographicus", "Nyssocarinus bondari", "Nyssocarinus humeralis", "Nyssocarinus vittatus", "Atrypanius heyrovskyi", "Nyssodectes bispecularis", "Nyssodectes concinna", "Nyssodectes dulcissimus", "Nyssodectes longula", "Nyssodectes roseicollis", "Metagonia unicolor", "Nyssodectes veracruzi", "Nyssodrysilla irrorata", "Nyssodrysilla lineata", "Nyssodrysilla vittata", "Nyssodrysina binoculata", "Nyssodrysina cinerascens", "Nyssodrysina corticalis", "Nyssodrysina exilis", "Nyssodrysina grisella", "Nyssodrysina haldemani", "Nyssodrysina halffteri", "Nyssodrysina infima", "Nyssodrysina leucopyga", "Nyssodrysina lignaria", "Nyssodrysina lineatocollis", "Nyssodrysina maculosa", "Nyssodrysina polyspila", "Nyssodrysina pulchella", "Nyssodrysina scutellata", "Nyssodrysina spreta", "Nyssodrysina stictica", "Nyssodrysina venusta", "Nyssodrysternum amparense", "Nyssodrysternum analogum", "Nyssodrysternum basale", "Nyssodrysternum bolivianum", "Nyssodrysternum borneanum", "Nyssodrysternum capixaba", "Nyssodrysternum caudatum", "Nyssodrysternum colombianum", "Nyssodrysternum conspicillare", "Nyssodrysternum conspicuum", "Nyssodrysternum cotopaxi", "Nyssodrysternum cretatum", "Nyssodrysternum decoratum", "Nyssodrysternum diopticum", "Nyssodrysternum drumonti", "Nyssodrysternum efflictum", "Nyssodrysternum flavoguttatum", "Nyssodrysternum flavolineatum", "Nyssodrysternum freyorum", "Nyssodrysternum fulminans", "Nyssodrysternum gilvolineatum", "Nyssodrysternum gratum", "Nyssodrysternum hovorei", "Nyssodrysternum impensum", "Obereopsis basiflava", "Obereopsis basilewskyi", "Obereopsis basirufipennis", "Obereopsis bechynei", "Obereopsis bhutanensis", "Obereopsis bicolor", "Obereopsis bicoloricornis", "Obereopsis bicolorimembris", "Obereopsis bicoloripes", "Obereopsis bimaculicollis", "Obereopsis binotaticollis", "Obereopsis bipuncticollis", "Obereopsis birmana", "Obereopsis bootangensis", "Obereopsis borchmanni", "Obereopsis brevis", "Obereopsis burmanensis", "Obereopsis camerunensis", "Obereopsis cincticollis", "Obereopsis coimbatorana", "Obereopsis coimbatorensis", "Obereopsis conradti", "Obereopsis curta", "Obereopsis darjeelingensis", "Obereopsis descarpentriesi", "Obereopsis eisentrauti", "Obereopsis elgonensis", "Obereopsis elongatula", "Obereopsis exigua", "Obereopsis feai", "Obereopsis flava", "Obereopsis flaveola", "Obereopsis flavicornis", "Obereopsis flavipes", "Obereopsis flaviventris", "Obereopsis flavodiscalis", "Coffea brassii", "Obereopsis freyi", "Obereopsis fusca", "Obereopsis fuscipes", "Obereopsis fuscosternalis", "Obereopsis gracilicornis", "Obereopsis gracilior", "Obereopsis guineensis", "Obereopsis hartwigi", "Obereopsis holoflavipennis", "Obereopsis holofusca", "Obereopsis holorufa", "Obereopsis indica", "Obereopsis infranigra", "Obereopsis insignis", "Obereopsis insularis", "Obereopsis invitticollis", "Obereopsis javaensis", "Obereopsis javanica", "Obereopsis javanicola", "Obereopsis kankauensis", "Obereopsis laosensis", "Obereopsis laosica", "Obereopsis leptissima", "Obereopsis limbata", "Obereopsis linearis", "Obereopsis lineaticeps", "Obereopsis longicollis", "Obereopsis longicornis", "Obereopsis longipes", "Obereopsis luchti", "Obereopsis luteicornis", "Obereopsis mabokensis", "Obereopsis maculicornis", "Obereopsis maculithorax", "Obereopsis malaisiana", "Obereopsis masaica", "Obereopsis mausoni", "Obereopsis medana", "Obereopsis mediofuscovitticollis", "Obereopsis medionigripennis", "Obereopsis meridionalis", "Obereopsis minima", "Obereopsis minutissima", "Obereopsis mirei", "Obereopsis mjobergi", "Obereopsis modica", "Obereopsis moltonii", "Obereopsis monticola", "Obereopsis nepalensis", "Obereopsis nigriceps", "Obereopsis nigricollis", "Obereopsis nigripes", "Obereopsis nigrivertex", "Obereopsis nigrohumeralis", "Obereopsis nigrolateraloides", "Obereopsis nigronotatipes", "Obereopsis nilghirica", "Obereopsis nimbae", "Obereopsis obliquata", "Obereopsis obscura", "Obereopsis obscuritarsis", "Obereopsis obsoleta", "Obereopsis paraflaveola", "Obereopsis paralaosica", "Obereopsis parasumatrensis", "Obereopsis paratogoensis", "Obereopsis paratricollis", "Obereopsis paravariipes", "Obereopsis parteflavicornis", "Obereopsis partenigriceps", "Obereopsis partenigricollis", "Obereopsis partenigrosternalis", "Obereopsis parvula", "Obereopsis pectoralis", "Obereopsis pedongensis", "Obereopsis perakensis", "Obereopsis pseudoannulicornis", "Obereopsis pseudocapensis", "Obereopsis puncticeps", "Obereopsis pusilla", "Obereopsis quadrinotaticollis", "Obereopsis rotundipennis", "Obereopsis rubriceps", "Obereopsis rufa", "Obereopsis rufescens", "Obereopsis ruficornis", "Obereopsis rufivertex", "Nupserha carinicollis", "Nupserha cauta", "Nupserha cerrutii", "Nupserha ceylonica", "Nupserha clypealis", "Nupserha conradti", "Nupserha convergens", "Nupserha deusta", "Nupserha dubia", "Nupserha elongata", "Nupserha elongatissima", "Nupserha endroedyi", "Nupserha fasciata", "Nupserha flavipes", "Nupserha flavitarsis", "Nupserha flavoapicalis", "Nupserha flavonotum", "Nupserha fricator", "Nupserha fumata", "Nupserha fuscoapicalis", "Nupserha fuscodorsalis", "Nupserha gahani", "Nupserha gestroi", "Nupserha gracilis", "Nupserha grisea", "Nupserha haddeni", "Nupserha hintzi", "Nupserha homeyeri", "Nupserha infantula", "Nupserha infuscata", "Nupserha insignis", "Nupserha kenyensis", "Platyusa sonomae", "Nupserha larifuga", "Nupserha latevitticollis", "Nupserha laticollis", "Nupserha lenita", "Nupserha leroyi", "Nupserha longipennis", "Nupserha madurensis", "Nupserha malabarensis", "Nupserha malaisei", "Nupserha mashona", "Nupserha melanoscelis", "Nupserha minor", "Nupserha monticola", "Nupserha mozambica", "Nupserha multimaculata", "Nupserha nigerrima", "Nupserha nigriceps", "Nupserha nigricollis", "Nupserha nigricornis", "Nupserha nigrohumeralis", "Nupserha nigrolateralis", "Nupserha nigrovittipennis", "Nupserha nitidior", "Nupserha nyanzana", "Nupserha nyassensis", "Nupserha ornaticollis", "Nupserha oxyura", "Aspidistra subrotata", "Nupserha pallidipennis", "Obereopsis rufooccipitalis", "Obereopsis rufosternalis", "Obereopsis sappalensis", "Obereopsis semiflava", "Obereopsis semifuscipennis", "Obereopsis seminigra", "Obereopsis sericea", "Obereopsis sericeipennis", "Obereopsis sericeoides", "Obereopsis shembaganurensis", "Obereopsis shillongensis", "Obereopsis signaticornis", "Obereopsis sikkimensis", "Obereopsis somsavathi", "Obereopsis subannulicornis", "Obereopsis subchapaensis", "Obereopsis subholoflava", "Obereopsis sublinearis", "Obereopsis sublongicollis", "Obereopsis submodica", "Obereopsis subobsoleta", "Obereopsis subteratra", "Obereopsis subternigra", "Obereopsis subterrubra", "Obereopsis subvitticollis", "Obereopsis sumatrensis", "Micropholcus delicatulus", "Obereopsis tanganjicae", "Obereopsis tessmanni", "Obereopsis togoensis", "Obereopsis transversicollis", "Obereopsis trinotaticollis", "Obereopsis trochaini", "Obereopsis truncata", "Obereopsis variantennalis", "Obereopsis varieantennalis", "Obereopsis variipes", "Obereopsis verticenigra", "Obereopsis villiersi", "Obereopsis walshae", "Obereopsis wittei", "Obrida comata", "Obrida fascialis", "Obrioclytus kenyensis", "Obrioclytus rotundooculatus", "Obrium aegrotum", "Obrium akikoae", "Obrium albifasciatum", "Obrium angulosum", "Obrium anmashanum", "Obrium arciferum", "Obrium asperatum", "Obrium balteatum", "Obrium bartolozzii", "Obrium batesi", "Obrium beckeri", "Obrium bifasciatum", "Obrium brevicorne", "Obrium californicum", "Obrium castaneomarginatum", "Obrium cephalotes", "Obrium cicatricosum", "Obrium circumcinctum", "Obrium circunflexum", "Obrium clavijoi", "Obrium clerulum", "Obrium complanatum", "Obrium constricticolle", "Obrium consulare", "Obrium coomani", "Obrium cordicolle", "Obrium coreanum", "Obrium costaricum", "Obrium cribripenne", "Obrium cruciferum", "Obrium dimidiatum", "Obrium discoideum", "Obrium dominicum", "Obrium elongatum", "Obrium facetum", "Obrium filicorne", "Obrium formosanum", "Obrium fractum", "Obrium fumigatum", "Obrium fuscoapicalis", "Obrium giesberti", "Obrium glabrum", "Obrium hainanum", "Obrium hattai", "Obrium helvolum", "Obrium huae", "Obrium invenustum", "Obrium kusamai", "Obrium latecinctum", "Obrium longicolle", "Obrium maculatum", "Obrium madidum", "Obrium mendosum", "Obrium miranda", "Obrium mozinnae", "Obrium multifarium", "Obrium nakanei", "Obrium nitidum", "Obrium obliquum", "Obrium oculatum", "Obrium pallidisignatum", "Obrium peculiare", "Obrium peninsulare", "Obrium piperitum", "Obrium planicolle", "Obrium posticum", "Obrium prosperum", "Obrium quadrifasciatum", "Obrium randiae", "Obrium rubidum", "Obrium rudebecki", "Obrium ruficolle", "Ochyra nana", "Ochyra variabilis", "Ocoa ochromimoides", "Ocroeme aspericollis", "Ocroeme nana", "Ocroeme recki", "Ocroeme tricolor", "Octotapnia ceiaca", "Octotapnia exotica", "Octotapnia mucunaca", "Octotapnia persona", "Ocularia albolineata", "Ocularia albosignata", "Ocularia anterufa", "Ocularia apicalis", "Ocularia ashantica", "Ocularia aurescens", "Ocularia brunnea", "Ocularia cineracea", "Ocularia collarti", "Ocularia decellei", "Ocularia fasciata", "Ocularia flavovittata", "Ocularia grisea", "Ocularia grisescens", "Ocularia insularis", "Ocularia juheli", "Ocularia kaszabi", "Ocularia marmorata", "Ocularia mirei", "Ocularia nigrobasalis", "Ocularia pointeli", "Ocularia protati", "Ocularia quentini", "Ocularia rotundipennis", "Ocularia subashantica", "Ocularia transversefasciata", "Ocularia undulatovittata", "Ocularia vittata", "Ocularia vittipennis", "Ocularia abyssinica", "Ocularia undulatofasciata", "Ocularoleiopus bezarki", "Oculipetilus brunneorufus", "Oculipetilus pulcher", "Oculobrium abbreviatum", "Oculobrium sudrei", "Oculobrium wiesneri", "Oculobrium zimbabweensis", "Oculohammus densepunctatus", "Odontocera albicans", "Odontocera albitarsis", "Odontocera annulicornis", "Odontocera armipes", "Odontocera aurocincta", "Odontocera auropilosa", "Odontocera baeri", "Odontocera barnouini", "Odontocera beneluzi", "Odontocera bettyae", "Odontocera bilobata", "Odontocera bisulcata", "Odontocera buscki", "Odontocera chrysostetha", "Ninetis namibiae", "Odontocera cinctura", "Odontocera clara", "Odontocera colon", "Odontocera compressipes", "Odontocera cylindrica", "Odontocera darlingtoni", "Odontocera dice", "Odontocera dispar", "Odontocera fasciata", "Odontocera furcifera", "Odontocera fuscicornis", "Odontocera galileoae", "Odontocera globicollis", "Odontocera hilaris", "Odontocera hirundipennis", "Odontocera javieri", "Odontocera leucothea", "Odontocera limula", "Odontocera lineatocollis", "Odontocera longipennis", "Odontocera malleri", "Odontocera margaritacea", "Odontocera mellea", "Odontocera meridiana", "Odontocera molorchoides", "Odontocera mthomasi", "Odontocera nigriclavis", "Odontocera nigrovittata", "Odontocera ochracea", "Odontocera ornaticollis", "Odontocera parallela", "Odontocera petiolata", "Odontocera poecilopoda", "Odontocera punctata", "Odontocera quiinaphila", "Odontocera sabatieri", "Odontocera scabricollis", "Odontocera signatipennis", "Odontocera simplex", "Odontocera skelleyi", "Odontocera solangeae", "Odontocera stangei", "Odontocera subtilis", "Odontocera tibialis", "Odontocera tridentifera", "Odontocera triliturata", "Odontocera triplaris", "Odontocera triplehorni", "Odontocera trisignata", "Odontocera tuberculata", "Odontocera tumidicollis", "Odontocera villosa", "Odontocera vittipennis", "Odontocera zeteki", "Odontocera zikani", "Odontochroma martinsi", "Odontochroma niisatoi", "Odontochroma pejchai", "Obrium rufograndum", "Obrium rufulum", "Obrium schwarzeri", "Obrium semidiffusum", "Obrium semiformosanum", "Obrium takahashii", "Obrium tanzaniensis", "Obrium tavakiliani", "Obrium trifasciatum", "Obrium unicolor", "Obrium vicinum", "Obrium xanthum", "Obrium yamasakoi", "Obrium yueyunae", "Obscuropterus melanargyrea", "Ocalemia borneensis", "Ocalemia hayashii", "Ocalemia vigilans", "Oceanomegopis caledonica", "Oceanomegopis kudrnai", "Ochimus grobbelaarae", "Ochimus laetipennis", "Ochraethes brevicornis", "Ochraethes citrinus", "Ochraethes clerinus", "Ochraethes cristoforii", "Ochraethes litura", "Ochraethes nigrescens", "Ochraethes nigritus", "Ochraethes nigropunctatus", "Ochraethes obliquus", "Ochraethes obscuricornis", "Ochraethes octomaculata", "Ochraethes palmeri", "Ochraethes picticornis", "Ochraethes pollinosus", "Ochraethes sommeri", "Ochraethes tomentosus", "Ochraethes tulensis", "Ochraethes umbratilis", "Ochraethes virescens", "Ochraethes viridiventris", "Ochraethes zebratus", "Ochrocesis cyaneoapicalis", "Ochrocesis evanida", "Ochrocesis myga", "Ochrodion gahani", "Ochrodion quadrimaculatum", "Ochrodion sexmaculatum", "Ochrodion tavakiliani", "Ochrodion testaceum", "Ochromima marginicollis", "Ochromima megalopoides", "Ochromima pallipes", "Ochroptera jejuna", "Ochrus chapadense", "Ochrus duplicatus", "Ochrus grammoderus", "Ochrus ornatus", "Ochrus tippmanni", "Ochrus trifasciatus", "Ochyra coarctata", "Pseudoporus furcifer", "Pseudothamiaraea brunnea", "Quarternio whalleyi", "Rhopalybia flavipennis", "Rhoptrodinarda arnoldi", "Galapa baerti", "Salutoporus languidis", "Salutoporus punctatus", "Salutoporus parallelus", "Galapa bella", "Galapa floreana", "Theridiosoma sancristobalensis", "Coffea cochinchinensis", "Syzygium hemisphericum", "Opacibidion rugicolle", "Ophryops aegrotus", "Ophryops fuscicollis", "Ophryops medius", "Ophryops pallidus", "Ophryops pseudofuscicollis", "Ophtalmibidion auba", "Ophtalmoplon nigricorne", "Ophthalmemeopedus macrophthalmus", "Ophthalmocydrus semiorbifer", "Opisognathus forficatus", "Oplatocera aurociliata", "Oplatocera callidioides", "Oplatocera grandis", "Oplatocera perroti", "Oplatocera chujoi", "Oplatocera detersa", "Oplatocera halli", "Oplatocera khasimontana", "Oplatocera maculata", "Oplatocera mandibulata", "Oplatocera mitonoi", "Oplatocera oberthuri", "Oplatocera shibatai", "Oplatocera siamensis", "Oplatocera simulata", "Neocompsa v-flava", "Nericonia x-litterata", "Niphona regis-fernandi", "Ochraethes z-littera", "Ulmus changii var. kunmingensis", "Ulmus changii var. changii", "Gertschiola macrostyla", "Porus ochraceus", "Olenecamptus fukutomii", "Olenecamptus giraffa", "Olenecamptus griseipennis", "Olenecamptus grisescens", "Olenecamptus hebridarum", "Olenecamptus hofmanni", "Olenecamptus indicus", "Kambiwa neotropica", "Olenecamptus kenyensis", "Olenecamptus laosensis", "Olenecamptus lineaticeps", "Olenecamptus lumawigi", "Olenecamptus macari", "Olenecamptus malayensis", "Olenecamptus modestus", "Olenecamptus nigromaculatus", "Olenecamptus nubilus", "Olenecamptus octomaculatus", "Olenecamptus octopustulatus", "Olenecamptus olenus", "Olenecamptus optatus", "Olenecamptus palawanus", "Olenecamptus patrizii", "Olenecamptus pedongensis", "Olenecamptus petini", "Olenecamptus porcellus", "Olenecamptus pseudostrigosus", "Olenecamptus quadriplagiatus", "Olenecamptus quietus", "Olenecamptus rhodesianus", "Olenecamptus riparius", "Olenecamptus rufus", "Olenecamptus sandacanus", "Olenecamptus sarawakensis", "Olenecamptus senegalensis", "Olenecamptus serratus", "Olenecamptus sexplagiatus", "Olenecamptus shanensis", "Olenecamptus siamensis", "Olenecamptus signaticollis", "Olenecamptus similis", "Olenecamptus somalius", "Olenecamptus somereni", "Olenecamptus strigosus", "Olenecamptus subobliteratus", "Olenecamptus superbus", "Olenecamptus tagalus", "Olenecamptus tessellata", "Olenecamptus timorensis", "Olenecamptus triplagiatus", "Olenecamptus vittaticollis", "Olenecamptus zanzibaricus", "Olenosus serrimanus", "Olethrius admiralis", "Olethrius cariosicollis", "Olethrius carolinensis", "Olethrius glaber", "Olethrius laevipennis", "Olethrius macrothorax", "Odontocroton apicalis", "Odontocroton flavicauda", "Odontocroton flavirostris", "Odontocroton melzeri", "Odontocroton monnei", "Odontocroton quinquecallosus", "Odontocroton rufifrons", "Odontocroton sanguinolentus", "Odontocroton septemtuberculatus", "Odontocroton soror", "Odontogracilis cracentis", "Odontogracilis exilis", "Odontogracilis gracilis", "Odontogracilis violaceus", "Odontolamia sellata", "Odontomelitta apicula", "Odontomelitta postimelina", "Odontorhabdus dentipes", "Odontorhabdus flavicornis", "Odontorhabdus rechingeri", "Odontorhabdus teretiscapus", "Odzala bicolorata", "Oeax albosignatus", "Oeax collaris", "Oeax griseus", "Oeax latefasciatus", "Oeax lateralis", "Oeax lichenea", "Oeax marshalli", "Oeax obtusicollis", "Oeax paralateralis", "Oeax petriclaudii", "Oeax pygmaeus", "Oeax rufescens", "Oeax similis", "Oeax subaequalis", "Oeax transversus", "Oeax triangularis", "Oeax tricuspis", "Oeax ugandae", "Oebarina ceresioides", "Oebarina morosa", "Oebarina tristis", "Oectropsis franciscae", "Oectropsis latifrons", "Oectropsis pusillus", "Oedenoderus pupa", "Oedenoderus sphaericollis", "Oedopeza apicale", "Oedopeza costulata", "Oedopeza cryptica", "Oedopeza flavosparsa", "Oedopeza fleutiauxi", "Oedopeza guttigera", "Oedopeza leucostigma", "Oedopeza louisi", "Oedopeza maculatissima", "Oedopeza ocellator", "Oedopeza setigera", "Oedopeza tavakiliani", "Oedopeza umbrosa", "Oedudes alayoi", "Oedudes bifasciatus", "Oedudes callizona", "Oedudes ramsdeni", "Oedudes roberto", "Oedudes scaramuzzai", "Oedudes spectabilis", "Oeme costata", "Oeme rigida", "Oemida gahani", "Oemida lacustris", "Oemida longipennis", "Oemida microphthalma", "Oemodana binotata", "Oemodana quadrinotata", "Oemophanes brunneus", "Oemospila maculipennis", "Ogmodera albovittata", "Ogmodera forticornis", "Ogmodera kenyensis", "Ogmodera lobata", "Ogmodera multialboguttata", "Ogmodera nigrociliata", "Ogmodera sudanica", "Ogmodera sulcata", "Ogmoderidius aethiopicus", "Ogmoderidius flavolineatus", "Ogmoderidius gardneri", "Ogmoderidius nebulosus", "Ogmoderidius posthumeralis", "Ohbayashia fuscoaenea", "Oiceaca carenata", "Oideterus andrarius", "Oideterus birai", "Oideterus buquetii", "Oideterus crenatocerus", "Oideterus dichotomus", "Oideterus elegans", "Oideterus inaequalis", "Oideterus lobicollis", "Oideterus magnificus", "Oideterus pallidus", "Oihus dilloni", "Oihus insignius", "Oihus taeniatus", "Okamira pulchra", "Olemehlia mystica", "Olenecamptus adlbaueri", "Olenecamptus affinis", "Olenecamptus albidus", "Olenecamptus albovittatus", "Olenecamptus anogeissi", "Olenecamptus australis", "Olenecamptus basalis", "Olenecamptus beardsleyi", "Olenecamptus bilobus", "Olenecamptus blairi", "Olenecamptus circulifer", "Olenecamptus compressipes", "Olenecamptus cretaceus", "Olenecamptus detzneri", "Olenecamptus diversemaculatus", "Olenecamptus dominus", "Olenecamptus duodilloni", "Olethrius scabripennis", "Olethrius tyrannus", "Olexandrella bondili", "Olexandrella frederici", "Olexandrella rafaeli", "Olexandrella serotina", "Oligoenoplus albofasciatus", "Oligoenoplus amiculus", "Oligoenoplus borneanus", "Oligoenoplus candidus", "Oligoenoplus chewi", "Oligoenoplus compressicollis", "Oligoenoplus cruciatus", "Oligoenoplus fulgidipennis", "Oligoenoplus gonggashanus", "Oligoenoplus hergovitsi", "Oligoenoplus heteros", "Oligoenoplus hieroglyphicus", "Oligoenoplus jakli", "Oligoenoplus jasarensis", "Oligoenoplus luzonicus", "Oligoenoplus malayanus", "Oligoenoplus marketae", "Oligoenoplus modicus", "Oligoenoplus murinus", "Oligoenoplus olivaceosignatus", "Oligoenoplus petrae", "Oligoenoplus polymitus", "Oligoenoplus quinquecinctus", "Oligoenoplus rosti", "Oligoenoplus variicornis", "Oligoenoplus ventralis", "Oligoenoplus vetulus", "Oligoenoplus viduatus", "Oligoenoplus viridis", "Oligoenoplus zonifer", "Oligosmerus aureovittis", "Oligosmerus digennaroi", "Oligosmerus immaculatus", "Oligosmerus zenckei", "Olivensa cephalotes", "Olivensa megacephala", "Olivensa mimula", "Olmotega cinerascens", "Oloessa bianor", "Oloessa cenea", "Oloessa minuta", "Oloessa poeta", "Ombrosaga boettcheri", "Ombrosaga delkeskampi", "Ombrosaga maculosa", "Ommata andina", "Ommata buddemeyerae", "Ommata elegans", "Ommata hirtipes", "Ommata nigricollis", "Ommata tibialis", "Ommatomenus longipennis", "Ommatomenus megalops", "Ommatomenus quentinvilliersorum", "Ommidion mirim", "Ommidion modestum", "Omocyrius fulvisparsus", "Gertschiola neuquena", "Propinquitas decellei", "Pseudodinusa richteri", "Pseudodrusilla phantastica", "Ibotyporanga naideae", "Pseudofalagonia panamensis", "Pseudopachorhopala jarrigei", "Pseudopachorhopala katangana", "Pseudopachorhopala kenyana", "Pseudopachorhopala musonoiensis", "Pseudopachorhopala abyssinica", "Pseudopachorhopala allardi", "Pseudopachorhopala cantonneti", "Pseudopachorhopala kolweziana", "Pseudopachorhopala leleupi", "Ibotyporanga emekori", "Ibotyporanga diroa", "Ibotyporanga ramosae", "Guaranita goloboffi", "Guaranita yaculica", "Guaranita munda", "Guaranita dobby", "Nesticus salta", "Neocompsa sericans", "Neocompsa serrana", "Neocompsa sinaloana", "Neocompsa spinosa", "Neocompsa squalida", "Neocompsa tenuissima", "Neocompsa textilis", "Neocompsa thelgema", "Neocompsa tuberosa", "Neocompsa tucumana", "Neocompsa turnbowi", "Neocompsa ventricosa", "Neocompsa vogti", "Neocompsa wappesi", "Neocompsa werneri", "Neocorestheta baloghi", "Neocoridolon borgmeieri", "Neocorus diversipennis", "Neocorus ibidionoides", "Neocorus zikani", "Neocrossidius trivittatus", "Neoctoplon brunnipenne", "Neodeilus notula", "Neodiadelia capensis", "Neodiadelia minuta", "Neodihammus pici", "Neodorcadion bilineatum", "Neodorcadion exornatoides", "Neodorcadion exornatum", "Neodorcadion fallax", "Neodorcadion laqueatum", "Neodorcadion orientale", "Neodorcadion pelleti", "Neodorcadion calabricum", "Neodorcadion virleti", "Neoeburia turuna", "Neoeme annulicornis", "Neoeme bouvieri", "Neoeme huedepohli", "Neoeme opaca", "Neoeme pallida", "Neoeme quinquelineata", "Neoepaphra pulchella", "Neoeryssamena mitonoana", "Neoeutrypanus decorus", "Neoeutrypanus dentatus", "Neoeutrypanus generosus", "Neoeutrypanus glaucus", "Neoeutrypanus incertus", "Neoeutrypanus inustus", "Neoeutrypanus llanero", "Neoeutrypanus maculatus", "Neoeutrypanus maya", "Neoeutrypanus mutilatus", "Neoeutrypanus nitidus", "Neoeutrypanus nobilis", "Neoeutrypanus sobrinus", "Neofreocorus novaki", "Neogalissus pelidnos", "Neohebestola apicalis", "Neohebestola brasiliensis", "Neohebestola concolor", "Neohebestola humeralis", "Neohebestola luchopegnai", "Coffea sapinii", "Coffea semsei", "Coffea travancorensis", "Dracaena angustifolia", "Dracaena aubryana", "Natrix astreptophora", "Dracaena aurea", "Coffea ebracteolata", "Rohdea fargesii", "Coffea floresiana", "Coffea fragrans", "Coffea horsfieldiana", "Coffea lebruniana", "Coffea neoleroyi", "Tupistra kressii", "Tupistra nutans", "Tupistra squalida", "Tupistra tupistroides", "Coffea mabesae", "Coffea madurensis", "Dracaena aletriformis", "Coffea melanocarpa", "Coffea merguensis", "Vangueriopsis lanciflora", "Keetia hispida", "Dracaena rockii", "Dracaena serrulata", "Dracaena steudneri", "Dracaena surculosa", "Dracaena surculosa var. surculosa", "Dracaena surculosa var. maculata", "Sansevieria liberica", "Pleurothallis restrepioides", "Sansevieria burdettii", "Dracaena cambodiana", "Dracaena camerooniana", "Dracaena cantleyi", "Dracaena cincta", "Dracaena cochinchinensis", "Enetea apatellata", "Aucana platnicki", "Aucana ramirezi", "Aucana petorca", "Aucana paposo", "Aucana kaala", "Oncideres saga", "Oncideres satyra", "Oncideres schreiteri", "Oncideres scitula", "Oncideres seabrai", "Oncideres senilis", "Oncideres sobrina", "Oncideres stillata", "Oncideres svachai", "Oncideres tavakiliani", "Oncideres travassosi", "Oncideres tuberculata", "Oncideres tuberosa", "Oncideres ulcerosa", "Oncideres vicina", "Oncideres vitiliga", "Oncideres voetii", "Oncideres xavieri", "Oncioderes piauiensis", "Onocephala aulica", "Onocephala chicomendes", "Onocephala diophthalma", "Onocephala lacordairei", "Onocephala lineola", "Onocephala obliquata", "Onocephala rugicollis", "Onocephala suturalis", "Onocephala tepahi", "Onocephala thomsoni", "Onocephala vittipennis", "Ontochariesthes erongoensis", "Ontochariesthes namibianus", "Ontochariesthes unicolor", "Onychocerus aculeicornis", "Onychocerus albitarsis", "Onychocerus ampliatus", "Onychocerus concentricus", "Onychocerus giesberti", "Onychocerus hovorei", "Onychocerus scorpio", "Onychocerus versutus", "Onychoglenea brunnea", "Oopsidius cetus", "Oopsidius pictus", "Oopsis albolineata", "Oopsis bougainvillei", "Oopsis brunneocaudatus", "Oopsis excavata", "Oopsis foudrasi", "Oopsis keiensis", "Oopsis lycia", "Oopsis marshallensis", "Oopsis nutator", "Oopsis oblongipennis", "Oopsis postmaculata", "Oopsis pseudostriatellus", "Oopsis ropicoides", "Oopsis striatellus", "Oopsis uvua", "Oopsis variivestis", "Oopsis velata", "Oopsis zitja", "Sansevieria pinguicula subsp. pinguicula", "Sansevieria raffillii", "Sansevieria roxburghiana", "Sansevieria zeylanica", "Sansevieria senegambica", "Sansevieria subspicata", "Sansevieria suffruticosa", "Tetralophodes bruchi", "Thayeridium darienensis", "Thlibopleurus kristenseni", "Thoracastilbus buehleri", "Thoracastilbus sutteri", "Dracaena laxissima", "Dracaena mannii", "Dracaena ombet subsp. ombet", "Dracaena phrynioides", "Natrix helvetica", "Dracaena concinna", "Dracaena americana", "Dracaena draco subsp. draco", "Dracaena ellenbeckiana", "Sharpidium peruensis", "Sharpidium seeversi", "Sharpidium surinamensis", "Dracaena fernaldii", "Stenocyplanus gotwaldi", "Stenocyplanus tanzaniensis", "Stenopleurus aenictophilus", "Dracaena fontanesiana", "Dracaena elliptica", "Dracaena forbesii", "Dracaena goldieana", "Synthoracastilbus strigellicollis", "Terrecorvonia pyroculata", "Terrecorvonia reidi", "Tetradonella amazoniensis", "Tetradonella belli", "Tetradonella bicolor", "Tetradonella breviapex", "Tetradonella latiapex", "Tetradonella latiarea", "Tetradonella peruensis", "Pholcophora americana", "Pholcophora mexcala", "Pholcophora texana", "Hedeia corymbosa", "Zosterophyllum australianum", "Sporogonites chapmani", "Pholcophora bahama", "Omocyrius jansoni", "Omodylia colorata", "Omophoena kruesleri", "Omophoena taeniata", "Omosarotes ater", "Omosarotes foxi", "Omosarotes nigripennis", "Omosarotes paradoxum", "Omosarotes singularis", "Omotagus lacordairii", "Omotes binotatus", "Omotes cucujides", "Omotes erosicollis", "Omotes punctissima", "Omotes unicolor", "Onalcidion fibrosum", "Onalcidion lingafelteri", "Onalcidion obscurum", "Onalcidion pictulum", "Onalcidion tavakiliani", "Oncideres albipilosa", "Oncideres albistillata", "Oncideres albomaculata", "Oncideres albomarginata", "Oncideres albopicta", "Oncideres alicei", "Oncideres aliciae", "Oncideres amo", "Oncideres amputator", "Oncideres anama", "Oncideres angaturama", "Oncideres apiaba", "Oncideres apicalis", "Oncideres aragua", "Oncideres argentata", "Oncideres aurivillii", "Oncideres barclayi", "Oncideres bella", "Oncideres bezarki", "Oncideres birai", "Oncideres boliviana", "Oncideres bondari", "Oncideres bouchardii", "Oncideres brunapalanzae", "Oncideres bucki", "Oncideres canidia", "Oncideres captiosa", "Oncideres castanea", "Oncideres cervina", "Oncideres chagasi", "Oncideres chevrolatii", "Oncideres cingulata", "Oncideres coites", "Oncideres colombiana", "Oncideres crassicornis", "Oncideres cumdisci", "Oncideres dalmanii", "Oncideres dejeanii", "Oncideres demezi", "Oncideres diana", "Oncideres digna", "Oncideres diringsi", "Oncideres disiuncta", "Sansevieria burmanica", "Sansevieria canaliculata", "Sansevieria concinna", "Sansevieria cylindrica", "Sansevieria dawei", "Sansevieria dooneri", "Sansevieria downsii", "Sansevieria eilensis", "Sansevieria erythraeae", "Calantica eos", "Cyrtopodium aliciae", "Psydrax attenuata", "Canthium coromandelicum", "Sansevieria forskaliana", "Sansevieria francisii", "Platanus mexicana var. interior", "Platanus mexicana var. mexicana", "Sansevieria gracilis", "Sansevieria gracilis var. gracilis", "Pholcophora maria", "Chisosa baja", "Chisosa diluta", "Chisosa caquetio", "Arnapa arfak", "Arnapa manokwari", "Arnapa meja", "Arnapa tolire", "Arnapa tinoor", "Pemona sapo", "Pinocchio barauna", "Beaucarnea goldmanii", "Magana velox", "Beaucarnea hiriartiae", "Chibchea amapa", "Chibchea santosi", "Beaucarnea pliabilis", "Chibchea hamadae", "Arenita fazendinha", "Kairona selva", "Saciperere catuaba", "Beaucarnea stricta", "Ranunculus shanyangensis", "Psilochorus bromelicolus", "Giloloa sofifi", "Beaucarnea hookeri", "Aetana ternate", "Aetana mokwam", "Aetana ondawamei", "Dolichopus kosterini", "Dasylirion berlandieri", "Dasylirion cedrosanum", "Dasylirion gentryi", "Dasylirion glaucophyllum", "Dasylirion serratifolium", "Teranga cibodas", "Teranga kerinci", "Kintaqa schwendingeri", "Kintaqa satun", "Kintaqa fuza", "Kintaqa mueangensis", "Kintaqa buatong", "Cantikus ubin", "Trigonodactylus sharqiyahensis", "Oncideres dorsomaculata", "Oncideres etiolata", "Oncideres fisheri", "Oncideres fulva", "Oncideres fulvoguttata", "Oncideres fulvostillata", "Oncideres gemmata", "Oncideres germarii", "Oncideres gibbosa", "Oncideres glebulenta", "Oncideres guttulata", "Oncideres gutturator", "Oncideres hoffmanni", "Oncideres humeralis", "Oncideres ilaire", "Oncideres impluviata", "Oncideres intermedia", "Oncideres irrorata", "Kambiwa anomala", "Oncideres jatai", "Oncideres jodii", "Oncideres laceyi", "Oncideres limpida", "Oncideres lyside", "Oncideres macra", "Oncideres magnifica", "Oncideres malleri", "Oncideres manauara", "Oncideres maxima", "Oncideres miliaris", "Oncideres miniata", "Oncideres minuta", "Oncideres mirador", "Oncideres modesta", "Oncideres multicincta", "Oncideres nearnsi", "Oncideres nicea", "Oncideres nipheta", "Oncideres nivea", "Oncideres ocellaris", "Oncideres ochreostillata", "Oncideres ocularis", "Oncideres ophthalmalis", "Oncideres pallifasciata", "Oncideres paurosoma", "Oncideres pectoralis", "Oncideres pepotinga", "Oncideres phaetusa", "Oncideres philosipes", "Oncideres pittieri", "Oncideres poecila", "Oncideres poeta", "Oncideres polychroma", "Oncideres pretiosa", "Oncideres pulchella", "Oncideres punctata", "Oncideres pustulata", "Oncideres putator", "Oncideres pyrrothrix", "Oncideres quercus", "Oncideres repandator", "Oncideres rhodosticta", "Oncideres rubra", "Dracaena terniflora", "Dracaena ombet subsp. schizantha", "Sansevieria aethiopica", "Sansevieria arborescens", "Sansevieria bacularis", "Sansevieria bagamoyensis", "Sansevieria ballyi", "Sansevieria braunii", "Trachoma minuta", "Atractaspis engaddensis", "Nolina matapensis", "Nolina micrantha", "Sansevieria longiflora", "Sansevieria masoniana", "Sansevieria metallica", "Sansevieria metallica var. metallica", "Sansevieria nilotica", "Sansevieria parva", "Sansevieria patens", "Sansevieria pearsonii", "Sansevieria pedicellata", "Sansevieria perrotii", "Sansevieria phillipsiae", "Sansevieria pinguicula", "Dasylirion parryanum", "Dasylirion quadrangulatum", "Parka decipiens", "Parka decipiens var. media", "Parka decipiens var. minor", "Automolus exsertus", "Lycopodites readii", "Zosterophyllum myretonianum", "Microphyllopteris minuta", "Hepaticites barwoni", "Hepaticites discoides", "Hepaticites profusus", "Wanniyala agrabopath", "Wanniyala hakgala", "Lycopodites victoriae", "Cladophlebis denticulata var. australis", "Rhizomopteris etheridgei", "Sphenopteris lacerata", "Coniopteris frutiformis", "Tissahamia uludong", "Tissahamia bukittimah", "Tissahamia barisan", "Gangamopteris obliqua", "Taeniopteris daintreei", "Tissahamia ethagala", "Tissahamia maturata", "Tissahamia phui", "Tissahamia ledang", "Tissahamia gombak", "Sahnia laxiphora", "Tissahamia kottawagamaensis", "Tissahamia vescula", "Muruta tambunan", "Muruta bario", "Teranga domingo", "Teranga matutum", "Dasylirion occidentalis", "Nolina arenicola", "Nolina atopocarpa", "Guarianthe hennisiana", "Nolina cespitifera", "Nolina cismontana", "Cantikus khaolek", "Cantikus kuhapimuk", "Cantikus lintang", "Nolina greenei", "Corylus cornuta subsp. cornuta", "Trigonodactylus persicus", "Nolina humilis", "Trigonodactylus arabicus", "Nolina juncea", "Cantikus anaiensis", "Stenodactylus slevini", "Acanthodactylus schmidti", "Acanthodactylus hardyi", "Pseudoceramodactylus khobarensis", "Hyacinthella lineata", "Hyacinthella nervosa", "Hyacinthella pallasiana", "Hyacinthella siirtensis", "Hyacinthella venusta", "Cantikus ballarini", "Cantikus chiangmaiensis", "Cantikus gou", "Cantikus taptaoensis", "Cantikus tharnlodensis", "Cantikus wan", "Cantikus zhuchuandiani", "Nolina nelsonii", "Cantikus cheni", "Cantikus subwan", "Nolina parviflora", "Dracaena parviflora", "Cantikus elongatus", "Nolina erumpens", "Pholcus duan", "Pholcus ping", "Pholcus vietnamensis", "Prospero obtusifolium", "Hyacinthoides reverchonii", "Hyacinthoides \u00d7 massartiana", "Hyacinthus orientalis subsp. orientalis", "Hyacinthus transcaspicus", "Adiantites dispersus", "Aculea bifida", "Alamatus bifarius", "Amanda floribunda", "Hausmannia bulbaformis", "Balmeisporites platydictyos", "Triletes selenacte", "Wanniyala labugama", "Wanniyala orientalis", "Wanniyala upekkha", "Wanniyala ohiya", "Wanniyala viharekele", "Wanniyala mapalena", "Wanniyala mudita", "Belisana minneriya", "Belisana badulla", "Belisana gowindahela", "Pholcus metta", "Pholcus puranappui", "Pholcus uva", "Tissahamia karuna", "Gangamopteris angustifolia", "Tissahamia tanahrata", "Gangamopteris spatulata", "Artema kochi", "Artema doriae", "Artema transcaspica", "Artema magna", "Ramphocaenus sticturus", "Artema dhofar", "Calantica flagellata", "Meraha chiangdao", "Meraha khene", "Meraha kinabalu", "Cantikus erawan", "Cantikus halabala", "Cantikus namou", "Cantikus pakse", "Cantikus pyu", "Cantikus sabah", "Cantikus sudhami", "Cantikus youngae", "Urochroa leucura", "Cantikus exceptus", "Cantikus phami", "Barnardia japonica var. japonica", "Cantikus v-notatus", "Barnardia numidica", "Symphoricarpos guatemalensis", "Meraha shuye", "Fessia gorganica", "Fessia puschkinioides", "Pholcus dongxue", "Hyacinthella acutiloba", "Hyacinthella campanulata", "Hyacinthella glabrescens", "Pholcus bulacanensis", "Hyacinthella lazulina", "Hyacinthella leucophaea subsp. atchleyi", "Hyacinthella leucophaea subsp. leucophaea", "Scilla cilicica", "Anansus atewa", "Psittacula bensoni", "Anansus kamwai", "Leptopholcus gabonicus", "Ninetis faro", "Froelichiella grisea", "Pholcus punu", "Pholcus rawiriae", "Spermophora abibae", "Spermophora awalai", "Leptopholcus kintampo", "Spermophora akwamu", "Spermophora ziama", "Scilla siberica subsp. siberica", "Scilla subnivalis", "Scilla verna subsp. verna", "Scilla verna subsp. ramburii", "Falcileptoneta geumdaensis", "Falcileptoneta geumsanensis", "Falcileptoneta maewhaensis", "Falcileptoneta sunchangensis", "Falcileptoneta tajimiensis", "Falcileptoneta inagakii", "Rhipidomys albujai", "Falcileptoneta simboggulensis", "Pristimantis muranunka", "Chiasmocleis parkeri", "Oroplexia erinacea", "Parsigecko ziaiei", "Oroplexia fortunata fortunata", "Oroplexia fortunata siranga", "Oroplexia erinacea cunicula", "Ophiomorus maranjabensis", "Leptoneta arquata", "Zyras miricauda", "Betula baschkirica", "Eucomis autumnalis subsp. autumnalis", "Eucomis bicolor", "Eucomis montana", "Zyras mombassana", "Eucomis pallidiflora", "Eucomis pallidiflora subsp. pole-evansii", "Zyras jordani", "Zyras orbicollis", "Xesturida laevis", "Amiga arnaca arnaca", "Naja subfulva", "Amiga arnaca adela", "Amiga arnaca indianacristoi", "Scilla lakusicii", "Amiga arnaca sericeella", "Scilla latifolia", "Barsine punicea", "Scilla leepii", "Scilla lilio-hyacinthus", "Scilla madeirensis", "Lachenalia ensifolia subsp. maughanii", "Betula sunanensis", "Lachenalia nardousbergensis", "Betula saksarensis", "Lachenalia nervosa", "Betula wuyiensis", "Lachenalia rosea", "Betula skvortsovii", "Lachenalia zebrina", "Calantica graphica", "Zyras densithorax", "Zyras schoutedeni", "Cyprinus rubrofuscus", "Zyras probatus", "Zyras flavomaculatus", "Zyras insularis", "Phrurolithus bifidus", "Phrurolithus qiqiensis", "Lachenalia ensifolia", "Lachenalia ensifolia subsp. ensifolia", "Lachenalia liliiflora", "Lachenalia longituba", "Acanthodactylus taghitensis", "Barsine punicea punicea", "Barsine punicea kachina", "Barsine punicea rothschildi", "Barsine bachma", "Barsine bachma bachma", "Barsine bachma bolovena", "Barsine sirikitae", "Barsine melanandra", "Daubenya aurea", "Daubenya marginata", "Daubenya zeyheri", "Drimiopsis botryoides", "Drimiopsis botryoides subsp. botryoides", "Drimiopsis maculata", "Sphenopteris travisi", "Brachyphyllum gippslandicum", "Archaeopteris howitti", "Ledebouria ovatifolia", "Ledebouria ovatifolia subsp. ovatifolia", "Cordaites australis", "Phrurolithus shimenensis", "Eucalyptus pluti", "Cinnamomum polymorphoides", "Laurus werribeensis", "Ledebouria zebrina", "Betula calcicola", "Betula chichibuensis", "Bellarinea barklyi", "Betula fargesii", "Massonia bifolia", "Iresine chrysotricha", "Falcileptoneta bifurca", "Falcileptoneta boeunensis", "Falcileptoneta chiakensis", "Falcileptoneta cornuta", "Falcileptoneta digitalis", "Falcileptoneta hansanensis", "Falcileptoneta juwangensis", "Falcileptoneta moakensis", "Falcileptoneta naejangensis", "Falcileptoneta unmunensis", "Falcileptoneta hwanseonensis", "Falcileptoneta secula", "Trilacuna bawan", "Trilacuna datang", "Trilacuna fugong", "Trilacuna gongshan", "Trilacuna longling", "Trilacuna wuhe", "Trilacuna xinping", "Trilacuna alces", "Trilacuna merapi", "Ledebouria edulis", "Ledebouria luteola", "Ledebouria minima", "Riccardia koonwarriensis", "Dendroceros victoriensis", "Hepaticites undulatus", "Isoetes bulbiformis", "Cladophlebis biformis", "Podostrobus elongatus", "Phyllotheca wonthaggiensis", "Gleichenites nanopinnatus", "Sphenopteris warragulensis", "Anansus aowin", "Anansus ewe", "Anansus debakkeri", "Nyikoa limbe", "Spermophorides africana", "Meraha krabi", "Meraha narathiwat", "Fraxinus angustifolia subsp. persica", "Meraha kipungit", "Kelabita lambir", "Kelabita andulau", "Togpelenys gigantea", "Trilacuna bilingua", "Trilacuna clarissa", "Trilacuna werni", "Trilacuna kropfi", "Trichodonia setigera", "Trilacuna diabolica", "Scilla haemorrhoidalis", "Tropiochara overlaeti", "Typhlonusa opacicornis", "Trilacuna bangla", "Vertexprorogatio taprobanes", "Scilla kladnii", "Wasmannina trapezicollis", "Trilacuna hazara", "Trilacuna besucheti", "Trilacuna meghalaya", "Trilacuna loebli", "Betula kweichowensis subsp. fansipanensis", "Dipcadi saxorum", "Betula kweichowensis subsp. kweichowensis", "Dipcadi ursulae", "Zyras quadrituberculatus", "Zyras apterus", "Zyras glaberrimus", "Zyras politus", "Eucomis zambesiaca", "Zyras bicoloriceps", "Lachenalia carnosa", "Lachenalia comptonii", "Betula bomiensis", "Proboscidula loricata", "Betula coriaceifolia", "Betula saviczii", "Betula karagandensis", "Betula potamophila", "Betula falcata", "Betula zinserlingii", "Proboscidula milleri", "Robertus calidus", "Cicurina tianmuensis", "Hahnia tortuosa", "Betula psammophila", "Ariadna calilegua", "Ariadna changellkuk", "Ariadna levii", "Ariadna araucana", "Ariadna maxima", "Cyprinus yilongensis", "Ariadna cephalotes", "Albuca abyssinica", "Albuca albucoides", "Albuca bakeri", "Ariadna mollis", "Betula klokovii", "Betula gynoterminalis", "Ariadna boesenbergi", "Betula gmelinii", "Albuca caudata", "Albuca humilis", "Albuca juncifolia", "Albuca nigritana", "Albuca seineri", "Albuca shawii", "Albuca unifolia", "Dipcadi brevifolium", "Dipcadi erythraeum", "Dipcadi longifolium", "Dipcadi montanum", "Betula kweichowensis", "Menesia discimaculata", "Menesia eclectica", "Menesia fasciolata", "Menesia flavoantennata", "Menesia georgiana", "Menesia gleneoides", "Menesia guttata", "Menesia immaculipennis", "Menesia javanica", "Menesia kalshoveni", "Menesia laosensis", "Menesia latevittata", "Menesia longipes", "Menesia longitarsis", "Menesia makilingi", "Menesia matsudai", "Menesia nigra", "Menesia nigriceps", "Menesia nigricornis", "Menesia niveoguttata", "Menesia ochreicollis", "Menesia octoguttata", "Menesia palliata", "Menesia pulchella", "Menesia sexvittata", "Menesia shelfordi", "Menesia signifera", "Menesia subguttata", "Menesia transversevittata", "Menesia transversonotata", "Menesia vitiphaga", "Menesia vittata", "Menesia walshae", "Menesia livia", "Menesida atricolor", "Menesida bankaensis", "Menesida bicoloripes", "Menesida carinifrons", "Menesida flavipennis", "Menesida fuscicornis", "Menesida fuscipennis", "Menesida marginalis", "Menesida nigripes", "Menesida nigrita", "Menesida planifrons", "Menesida rufula", "Menesida testaceipennis", "Menesida yoshikawai", "Mephritus adelphus", "Mephritus amictus", "Mephritus apicatus", "Mephritus apicepullus", "Mephritus auricolle", "Mephritus blandus", "Mephritus bonasoi", "Mephritus callidioides", "Mephritus citreus", "Mephritus destitutus", "Mephritus eleandroi", "Mephritus estoni", "Mephritus flavipes", "Mephritus genuinus", "Massonia depressa", "Betula honanensis", "Massonia echinata", "Massonia longipes", "Elatocladus mccoyi", "Massonia pustulata", "Massonia pygmaea", "Merwilla lazulina", "Leptophloeum australe", "Ariadna abrilae", "Trilacuna mahanadi", "Trilacuna aenobarbus", "Naja guineensis", "Naja savannula", "Trilacuna hamata", "Trilacuna sinuosa", "Trilacuna hansanensis", "Trilacuna qarzi", "Trilacuna simianshan", "Trilacuna songyuae", "Orchestina infirma", "Hahnia montana", "Hahnia implexa", "Himalayana kathmandu", "Himalayana martensi", "Weissflogia rhopalogaster", "Himalayana castanopsis", "Himalayana andreae", "Himalayana siliwalae", "Himalayana parbat", "Camptoscaphiella glenniei", "Maschwitzia watanabei", "Pleurothallis vorator", "Amiga arnaca", "Wroughtonilla lobopeltae", "Betula \u00d7 avatshensis", "Betula \u00d7 bottnica", "Betula \u00d7 dosmannii", "Betula \u00d7 dugleana", "Betula \u00d7 jackii", "Betula \u00d7 minor", "Ornithogalum reverchonii", "Ornithogalum sintenisii", "Albuca suaveolens", "Albuca virens subsp. virens", "Cherax peknyi", "Ornithogalum pedicellare", "Ornithogalum ponticum", "Metagovea ligiae", "Betula \u00d7 winteri", "Ornithogalum refractum var. refractum", "Cheiracanthium insulanum", "Cheiracanthium itakeum", "Cheiracanthium ligawsolanum", "Cherax mosessalossa", "Cherax alyciae", "Cherax warsamsonicus", "Ornithogalum orthophyllum subsp. orthophyllum", "Phyllophaga barroi", "Ornithogalum orthophyllum subsp. kochii", "Ornithogalum trichophyllum", "Cheiracanthium catindigae", "Ornithogalum wiedemannii", "Ornithogalum woronowii", "Bruguiera exaristata", "Sphingius vivax", "Betula pubescens var. fragrans", "Sphingius zhangi", "Sphingius hainan", "Sphingius gracilis", "Nothosaerva brachiata", "Drimia delagoensis", "Platanthera takedae", "Corinnomma lawrencei", "Platanthera takedae subsp. takedae", "Platanthera takedae subsp. uzenensis", "Drimia elata", "Drimia multifolia", "Drimia sanguinea", "Drimia simensis", "Drimia undata", "Fusifilum physodes", "Corinnomma yulinguana", "Drimia exuviata", "Drimia indica", "Drimia macrantha", "Agyneta mingshengzhui", "Drimia maritima", "Asplenium anceps", "Asplenium anisophyllum", "Aletheiana tenella", "Asplenium aureum", "Nothofagus subg.", "Falco berigora occidentalis", "Phyllophaga guanahacabibensis", "Asplenium trichomanes subsp. densum", "Burmeia leesi", "Nothofagus subg.", "Deuveia banghaasi", "Cteniza sauvagesi", "Endoclita meifenga", "Endoclita kosemponis", "Sarax timorensis", "Epeus edwardsi", "Epeus hawigalboguttatus", "Cosmophasis estrellaensis", "Cosmophasis parangpilota", "Cosmophasis trioipina", "Betula \u00d7 plettkei", "Ornithogalum dictaeum", "Ornithogalum divergens", "Betula \u00d7 zimpelii", "Phintella bunyiae", "Phintella piatensis", "Telamonia masinloc", "Telamonia parangfestiva", "Betula \u00d7 eastwoodiae", "Asplenium hobdyi", "Cyanoramphus saisseti", "Agyneta himalaya", "Asplenium dimorphum", "Polyonyx socialis", "Asplenium divaricatum", "Asplenium dregeanum", "Asplenium foreziense", "Asplenium gastonis", "Asplenium gibberosum", "Cyanoramphus forbesi", "Asplenium incisum", "Erigone jammu", "Tapinocyba emei", "Asplenium jahandiezii", "Exogone sophiae", "Ablemma andriana", "Ablemma contrita", "Ablemma kelinci", "Ablemma pugnax", "Ablemma shimojanai", "Ablemma unicornis", "Tetrablemma magister", "Cybaeus nichikoensis", "Agyneta decora", "Agyneta olivacea", "Asplenium brasiliense", "Betula pubescens var. pumila", "Nothofagus alessandrii", "Asplenium trichomanes subsp. coriaceifolium", "Luzonacera francescoballarini", "Luzonacera lattuensis", "Luzonacera peterjaegeri", "Mimaporia owadai", "Agyneta allosubtilis", "Agyneta aquila", "Agyneta perspicua", "Asplenium contiguum", "Agyneta protrudens", "Agyneta watertoni", "Asplenium cristatum", "Asplenium dissectum", "Asplenium trilobum", "Asplenium cuspidatum", "Agyneta rurestris", "Otoglossum allenianum", "Asplenium dareoides", "Betula \u00d7 hornei", "Ornithogalum filicaule", "Betula \u00d7 sargentii", "Ornithogalum fimbriatum subsp. fimbriatum", "Chalcotropis luceroi", "Simaetha damongpalaya", "Simaetha makinanga", "Podozamites ellipticus", "Clubiona charleneae", "Clubiona gallagheri", "Clubiona pototanensis", "Clubiona kapataganensis", "Clubiona topakea", "Clubiona hugisva", "Clubiona victoriaensis", "Clubiona dikita", "Betula \u00d7 uliginosa", "Sphenopteris iguanensis", "Betula \u00d7 utahensis", "Asplenium goudeyi", "Asplenium \u00d7 alternifolium", "Asplenium \u00d7 alternifolium nothosubsp. alternifolium", "Gamochaeta oligantha", "Agyneta jacksoni", "Agyneta nigripes", "Agyneta maritima", "Agyneta dynica", "Asplenium haurakiense", "Agyneta yukona", "Achaearyopa pnaca", "Albertia australis", "Miagrammopes maigsieus", "Miagrammopes brooksptensis", "Dictyna siniloanensis", "Opopaea batanguena", "Phyllotheca australis", "Emathis astorgasensis", "Emathis makilingensis", "Myrmarachne markaha", "Myrmarachne pinakapalea", "Myrmarachne vulgarisa", "Myrmarachne caliraya", "Myrmarachne onceana", "Myrmarachne pinoysorum", "Ornithogalum chionophilum", "Thyene manipisa", "Vertebraria australis", "Ornithogalum collinum subsp. collinum", "Betula \u00d7 dutillyi", "Betula \u00d7 paramushirensis", "Asplenium lunulatum", "Asplenium zamiifolium", "Tomoglossa decora", "Asplenium macraei", "Asplenium petrarchae subsp. majoricum", "Parvunaria birma", "Asplenium kaulfussii", "Strandella paranglampara", "Arctosa danzhounensis", "Hippasa sinsiloides", "Betula pubescens var. litwinowii", "Sphingius thecatus", "Betula pubescens var. golitsinii", "Sphingius rama", "Sphingius elongatus", "Sphingius spinosus", "Sphingius superbus", "Sphingius bifurcatus", "Sphingius prolixus", "Sphingius scrobiculatus", "Sphingius caniceps", "Torilis stenocarpa", "Sphingius punctatus", "Sphingius gothicus", "Sphingius octomaculatus", "Sphingius penicillus", "Sphingius songi", "Sphingius barkudensis", "Sphingius kambakamensis", "Sphingius longipes", "Sphingius nilgiriensis", "Sphingius paltaensis", "Sphingius scutatus", "Sphingius tristiculus", "Sphingius bilineatus", "Drimia altissima", "Elaver kawitpaaia", "Clubiona bukaea", "Elaver turongdaliriana", "Matidia paranga", "Cheiracanthium daquilium", "Cheiracanthium liplikeum", "Trichoglottis bimae", "Trichoglottis bipenicillata", "Trichoglottis bipunctata", "Asplenium petrarchae", "Asplenium milnei", "Asplenium petrarchae subsp. petrarchae", "Asplenium petrarchae subsp. bivalens", "Asplenium ritoense", "Asplenium musifolium", "Fuscospora alessandrii", "Gavilea longibracteata", "Draconarius acroprocessus", "Cherax boesemani", "Senna pallida var. geminiflora", "Mallinus nitidiventris", "Asplenium myriophyllum", "Troglocoelotes bailongensis", "Lycosa hawigvittata", "Asplenium lepidum", "Pardosa daxiansongi", "Betula subg.", "Pardosa tieshinglii", "Pardosa villarealae", "Pirata catindigae", "Pirata sanya", "Trochosa honggiana", "Speocera rjacksoni", "Opopaea chunglinchaoi", "Sinocoelotes subguangxian", "Sinocoelotes arcuatus", "Brycon alburnus", "Sinocoelotes porus", "Sinocoelotes songi", "Sinocoelotes yunnanensis", "Asplenium phillipsianum", "Asplenium perakense", "Trichoglottis borneensis", "Trichoglottis brachystachya", "Trichoglottis calcarata", "Trichoglottis calochila", "Trichoglottis canhii", "Draconarius digituliscaput", "Brignoliella patmae", "Cyttaria johowii", "Petersonia sanctae-crucis", "Sinocoelotes pseudoguangxian", "Sinocoelotes yanhengmei", "Brycon falcatus", "Troglocoelotes banmenensis", "Troglocoelotes liangensis", "Troglocoelotes nongchiensis", "Asplenium normale", "Troglocoelotes qixianensis", "Troglocoelotes yumiganensis", "Troglocoelotes proximus", "Asplenium paleaceum", "Asplenium parvum", "Troglocoelotes tortus", "Hierococcyx nisicolor", "Troglocoelotes yosiianus", "Oxyopes isangipinus", "Myrmarachne jianfenglin", "Neobrettus heongi", "Phintella paminta", "Pseudicius dapoensis", "Synagelides proszynskii", "Padina ogasawaraensis", "Telamonia shepardi", "Scytodes edwardsi", "Betula sect.", "Betula sect.", "Phyllophaga pauli", "Phyllophaga sabanalamarensis", "Betula subsect.", "Betula subsect.", "Padina reniformis", "Asplenium sarelii", "Asplenium linckii", "Asplenium seelosii", "Asplenium sellowianum", "Asplenium setoi", "Cristidorsa planidorsata", "Japalura major", "Eutropis beddomei", "Ophisops beddomei", "Aloe abyssinica", "Iresine rhizomatosa", "Draconarius altissimus", "Asplenium praemorsum", "Asplenium pringlei", "Asplenium prolongatum", "Aloe alooides", "Aloe amudatensis", "Betula ermanii var. lanata", "Betula ermanii var. ermanii", "Albizia vialeana", "Aloe andongensis", "Aloe angelica", "Aloe arborescens subsp. arborescens", "Aloe arenicola", "Aloe asperifolia", "Aloe babatiensis", "Aloe ballii", "Draconarius calcariformis", "Aloe betsileensis", "Draconarius neixiangensis", "Aloe boiteaui", "Trichoglottis dawsoniana", "Trichoglottis orchidea", "Nuconarius brevipatellatus", "Nuconarius capitulatus", "Nuconarius pseudocapitulatus", "Pseudogomphrena scandens", "Senna pallida var. trichocraspedon", "Dendrobium okinawense", "Aloe bruynsii", "Aloe buhrii", "Aloe bulbillifera", "Aloe burgersfortensis", "Aloe bussei", "Aloe cameronii", "Aloe cannellii", "Gomesa novaesae", "Calantica kampeni", "Aloe carnea", "Aloe chabaudii", "Orumcekia lanna", "Asplenium sagittatum", "Draconarius monticola", "Draconarius montis", "Draconarius phuhin", "Draconarius promontorius", "Draconarius schwendingeri", "Draconarius silva", "Draconarius silvicola", "Draconarius tentus", "Draconarius brunneus", "Evarcha amanzi", "Evarcha villosa", "Buergeria otai", "Draconarius auriculatus", "Schizoneura microphylla", "Draconarius immensus", "Draconarius mupingensis", "Draconarius papillatus", "Asplenium resiliens", "Baiera darleyensis", "Psygmophyllum fergusoni", "Draconarius auriformis", "Raritania victoriae", "Draconarius brachialis", "Draconarius tongi", "Draconarius ovillus", "Microtesta triassica", "Draconarius specialis", "Draconarius spirallus", "Draconarius tubercularis", "Asplenium rutifolium", "Draconarius australis", "Draconarius papai", "Draconarius gyriniformis", "Draconarius trifasciatus", "Draconarius tryblionatus", "Draconarius harduarae", "Aloe confusa", "Corvospongilla siamensis", "Topsentia vaceleti", "Cyclosa zhangmuensis", "Tamgrinia tibetana", "Tamgrinia alveolifera", "Dictyna xizangensis", "Titanoeca gyirongensis", "Draconarius hui", "Draconarius himalayaensis", "Scleromitrion sirayanum", "Draconarius picta", "Draconarius qingzangensis", "Coelotes everesti", "Sitana kalesari", "Sitana gokakensis", "Sitana thondalu", "Betula lenta f. lenta", "Phleum bertolonii", "Steatoda mainlingensis", "Theridion gyirongense", "Coelotes pervicax", "Himalcoelotes gyirongensis", "Betula dahurica var. okuboi", "Betula dahurica var. parvifolia", "Betula dahurica var. dahurica", "Alopecosa nagpag", "Alopecosa ayubaevorum", "Sitana attenboroughii", "Betula pendula subsp. szechuanica", "Seegeriella senghasiana", "Aloe deltoideodonta subsp. deltoideodonta", "Draconarius jiangyongensis", "Aloe decurva", "Cicurina jiangyongensis", "Draconarius joshimath", "Draconarius latellai", "Draconarius linzhiensis", "Gamasomorpha linzhiensis", "Dictyna flavipes", "Dictyna lhasana", "Dictyna linzhiensis", "Dictyna namulinensis", "Dictyna zhangmuensis", "Dictyna nangquianensis", "Aloe deserti", "Betula pendula subsp. mandshurica", "Aloe diolii", "Aloe candelabrum", "Phleum pratense subsp. serotinum", "Alopecosa himalayaensis", "Alopecosa nitidus", "Alopecosa xiningensis", "Alopecosa akkolka", "Alopecosa saurica", "Alopecosa artenarensis", "Alopecosa cedroensis", "Alopecosa fuerteventurensis", "Aloe divaricata", "Alopecosa grancanariensis", "Aloe divaricata subsp. divaricata", "Alopecosa hermiguensis", "Alopecosa aurita", "Aloe dorotheae", "Alopecosa hui", "Aloe dyeri", "Aloe bowiea", "Senna pallida var. foliolosa", "Cicurina eburnata", "Aloe brachystachys", "Aloe branddraaiensis", "Trichoglottis chrysochila", "Aloe brevifolia var. brevifolia", "Trichoglottis collenetteae", "Trichoglottis crociaria", "Trichoglottis cuneilabris", "Trichoglottis cypriana", "Senna pallida var. lemniscata", "Senna pallida var. macdougalliana", "Senna pallida var. delgadoana", "Huangyuania tibetana", "Aloe excelsa", "Phrynobatrachus bibita", "Aloe falcata", "Betula subg.", "Betula sect.", "Charadrahyla sakbah", "Cambarus carinirostris", "Betula sect.", "Leiosaurus jaguaris", "Leiosaurus catamarcensis", "Betula sect.", "Betula utilis subsp. albosinensis", "Betula utilis subsp. jacquemontii", "Enyalius bilineatus", "Sitana schleichi", "Alopecosa azsheganovae", "Alopecosa kungurica", "Alopecosa uiensis", "Alopecosa yamalensis", "Pardosa uiensis", "Betula pendula subsp. pendula", "Alopecosa chagyabensis", "Oecobius przewalskyi", "Aloe elgonica", "Aloe ellenbeckii", "Aloe erinacea", "Aloe chabaudii var. chabaudii", "Aloe chortolirioides", "Aloe chortolirioides var. chortolirioides", "Aloe christianii", "Anemone palmata", "Asplenium scolopendrium subsp. antri-jovis", "Hengconarius dedaensis", "Hengconarius longipalpus", "Hengconarius longpuensis", "Hengconarius incertus", "Hengconarius pseudobrunneus", "Hengconarius exilis", "Hengconarius falcatus", "Hengconarius latusincertus", "Draconarius cangshanensis", "Draconarius cavus", "Draconarius chuandian", "Draconarius cucullatus", "Draconarius dorsiprocessus", "Draconarius jiafu", "Draconarius latisectus", "Draconarius lhasa", "Draconarius lunularis", "Draconarius medogensis", "Draconarius multidentatus", "Betula utilis subsp. occidentalis", "Enyalius bibronii", "Betula utilis subsp. utilis", "Mimosa osmarii", "Enyalius leechii", "Mimosa phyllodinea", "Mimosa maracayuensis", "Pseudophilautus conniffae", "Mimosa multiceps", "Eutropis austini", "Mimosa supravisa", "Eutropis greeri", "Mimosa selloi", "Eutropis madaraszi", "Mimosa subenervis", "Devario udenii", "Devario monticola", "Betula \u00d7 intermedia nothovar. sukatschewii", "Eutropis ashwamedhi", "Taxus cuspidata var. cuspidata", "Eutropis nagarjunensis", "Aletris spicata", "Coelotes icohamatus", "Coelotes suthepicus", "Draconarius strophadatus", "Betula \u00d7 intermedia nothovar. intermedia", "Cnemaspis adii", "Aloe gariepensis", "Aloe glauca", "Aloe glauca var. glauca", "Betula subg.", "Betula sect.", "Pireneitega luniformis", "Betula sect.", "Draconarius triatus", "Notiocoelotes maoganensis", "Notiocoelotes qiongzhongensis", "Aloe harlana", "Thermophis shangrila", "Thermophis zhaoermii", "Aloe humilis", "Aloe ibitiensis", "Aloe inyangensis", "Prochora praticola", "Alloclubionoides meniscatus", "Coelotes modestus", "Aloe greatheadii var. davyana", "Aloe greenii", "Aloe hardyi", "Lycodon liuchengchaoi", "Draconarius subtitanus", "Draconarius terebratus", "Draconarius pumilus", "Draconarius rimatus", "Draconarius rotulus", "Draconarius tamdaoensis", "Draconarius transparens", "Draconarius transversus", "Draconarius volubilis", "Coelotes acerbus", "Coelotes furvus", "Coelotes perbrevis", "Coelotes polyedricus", "Coelotes songae", "Aloe citrea", "Draconarius cochleariformis", "Draconarius lini", "Draconarius parallelus", "Draconarius semicircularis", "Coelotes degeneratus", "Coelotes laohuanglongensis", "Sitana ponticeriana", "Coelotes uncatus", "Draconarius drepanoides", "Draconarius elatus", "Ansonia khaochangensis", "Ophrys kreutzii", "Ansonia pilokensis", "Ansonia phuketensis", "Draconarius lateralis", "Draconarius paralateralis", "Draconarius pseudolateralis", "Draconarius globulatus", "Draconarius orbiculatus", "Draconarius paracidentatus", "Draconarius paralutulentus", "Draconarius pollex", "Draconarius pseudodissitus", "Draconarius retrotubularis", "Draconarius subaspinatus", "Draconarius subdissitus", "Takydromus haughtonianus", "Draconarius subterebratus", "Draconarius tabulatus", "Stoliczkia khasiensis", "Draconarius taihangensis", "Draconarius tianlin", "Draconarius wolongensis", "Draconarius xishuiensis", "Sarada deccanensis", "Draconarius cavernalis", "Draconarius guizhouensis", "Sitana marudhamneydhal", "Sitana visiri", "Sitana spinaecephalus", "Sitana laticeps", "Sarada darwini", "Sarada superba", "Draconarius clavellatus", "Draconarius cucphuongensis", "Draconarius ellipticus", "Draconarius longissimus", "Draconarius magicus", "Draconarius pseudoclavellatus", "Draconarius pseudopumilus", "Draconarius hengshanensis", "Aloe conifera", "Orumcekia jianhuii", "Aloe cooperi", "Aloe cremnophila", "Draconarius indistinctus", "Aloe dawei", "Coelotes introhamatus", "Coelotes capacilimbus", "Coelotes conversus", "Aloe debrana", "Drymosiphon alanyensis", "Agama kirkii", "Alopoglossus copii", "Calotes liolepis", "Cercosaura oshaughnessyi", "Nothofagus rutila", "Aloe hemmingii", "Aloe \u00d7 hexapetala", "Aloe hildebrandtii", "Aloe hazeliana", "Aloe hazeliana var. howmanii", "Olsynium junceum", "Olsynium junceum subsp. depauperatum", "Draconarius manus", "Draconarius nanyuensis", "Coelotes saccatus", "Draconarius ornatus", "Cadea palirostrata", "Draconarius striolatus", "Aloe fievetii", "Dendrochilum tenellum", "Trichoglottis geminata", "Draconarius paralleloides", "Draconarius pinguis", "Coelotes cristiformis", "Coelotes serpentinus", "Urostrophus vautieri", "Platocoelotes fanjingshan", "Tonsilla rostrum", "Leiosaurus bellii", "Draco dussumieri", "Trichoglottis gibbosicalcar", "Draconarius peregrinus", "Bronchocela jubata", "Trichoglottis granulata", "Trichoglottis guibertii", "Betula sect.", "Trichoglottis hastatiloba", "Trichoglottis ionosma", "Trichoglottis maculata", "Trichoglottis magnicallosa", "Trichoglottis mimica", "Trichoglottis mindanaensis", "Aloe lateritia var. lateritia", "Trichoglottis odoratissima", "Mimosa flabellifolia", "Lankascincus greeri", "Pinus mugo subsp. rotundata", "Cnemaspis latha", "Cnemaspis clivicola", "Cnemaspis silvula", "Cnemaspis upendrai", "Cnemaspis phillipsi", "Cnemaspis pava", "Cnemaspis kallima", "Cnemaspis menikay", "Cnemaspis amith", "Cnemaspis nilagirica", "Cnemaspis monticola", "Cnemaspis australis", "Draconarius tiantangensis", "Aloe fimbrialis", "Aloe flexilifolia", "Draconarius suttisani", "Aloe fosteri", "Draconarius promontorioides", "Draconarius streptus", "Draconarius syzygiatus", "Trichoglottis loheriana", "Trichoglottis lorata", "Trichoglottis lowderiana", "Veronica ersin-yucelii", "Draco blanfordii", "Draco guentheri", "Trichoglottis luchuensis", "Trichoglottis luwuensis", "Trichoglottis luzonensis", "Hypericum bilgehan-bilgilii", "Trichoglottis paniculata", "Trichoglottis pantherina", "Aloe lineata var. lineata", "Trichoglottis papuana", "Trichoglottis pauciflora", "Trichoglottis persicina", "Trichoglottis punctata", "Habenaria digitata", "Nepeta wuana", "Zonarina liebmannii", "Cremastra amabilis", "Cremastra aphylla", "Cremastra guizhouensis", "Calliprora leucaenae", "Dactylorhiza saccifera subsp. saccifera", "Lithopolia phahompoki", "Lithopolia tadaokanoi", "Dactylorhiza saccifera subsp. gervasiana", "Gnathospinosa qinlingensis", "Graphium wenlingae", "Trichoglottis javanica", "Trichoglottis jiewhoei", "Trichoglottis kinabaluensis", "Trichoglottis koordersii", "Trichoglottis lanceolaria", "Trichoglottis lasioglossa", "Trichoglottis latisepala", "Trichoglottis ledermannii", "Trichoglottis littoralis", "Trichoglottis lobifera", "Aloe lomatophylloides", "Trichoglottis pusilla", "Aloe lutescens", "Trichoglottis ramosa", "Aloe macra", "Johannesia reticulosa", "Trichoglottis retusa", "Trichoglottis rigida", "Trichoglottis rosea", "Trichoglottis scandens", "Trichoglottis scaphigera", "Leptonetela lophacantha", "Nepeta nepetella subsp. aragonensis", "Leptonetela robustispina", "Leptonetela megaloda", "Aloe maculata subsp. maculata", "Iwogumoa pengi", "Syspira cimitarra", "Syspira jimmyi", "Syspira medialuna", "Syspira agujas", "Syspira analytica", "Syspira eclectica", "Syspira synthetica", "Syspira longipes", "Syspira tigrina", "Syspira pallida", "Coleonyx fasciatus", "Lycaena ratushinskayae", "Coleonyx switaki", "Glabroculus elvira", "Glabroculus elvira elvira", "Glabroculus elvira suadela", "Glabroculus elvira hanusi", "Pseudopostega cyrneochalcopepla", "Monochroa cyrneogonella", "Syncopacma cinctelloides", "Caryocolum dauphini", "Pyrus daralagezi", "Depressaria pseudobadiella", "Novotinea ochripennella", "Dactylorhiza saccifera", "Aloe marlothii subsp. marlothii", "Aloe massawana", "Aloe mawii", "Aloe megalacantha", "Aloe megalacantha subsp. megalacantha", "Aloe melanacantha", "Aloe menyharthii", "Aloe meyeri", "Leptonetela andreeva", "Aloe microstigma subsp. microstigma", "Leptonetela arvanitidisi", "Leptonetela paragamiani", "Leptonetela penevi", "Leptonetela caucasica", "Nepeta bazoftica", "Leptonetela chiosensis", "Cremastra appendiculata", "Cremastra appendiculata var. appendiculata", "Cremastra appendiculata var. variabilis", "Leptonetela biocellata", "Leptonetela latapicalis", "Leptonetela tangi", "Leptonetela notabilis", "Leptonetela nuda", "Asarum kurosawae", "Leptonetela identica", "Trichoglottis simplex", "Aloe millotii", "Aloe morijensis", "Aloe mossurilensis", "Aloe mubendiensis", "Aloe mudenensis", "Trichoglottis sitihasmahae", "Aloe munchii", "Trichoglottis smithii", "Trichoglottis subviolacea", "Trichoglottis tamesisii", "Stenostachys enysii", "Volkensinia prostrata", "Dasumia carpatica", "Dasumia amoena", "Dasumia chyzeri", "Dasumia canestrinii", "Goodyera pendula", "Poecilotheria chaojii", "Veronica subg.", "Solanum reclusum", "Solanum kentrocaule", "Solanum octonum", "Poecilotheria rajaei", "Trichuriella monsoniae", "Solanum pycnotrichum", "Solanum austropiceum", "Solanum iodinum", "Nepeta cyanea subsp. biebersteiniana", "Poecilotheria smithi", "Solanum piceum", "Poecilotheria tigrinawesseli", "Solanum morrisonii", "Solanum elatius", "Poecilotheria ornata", "Poecilotheria striata", "Poecilotheria vittata", "Anthemis arvensis subsp. incrassata", "Veronica subg.", "Nepeta camphorata var. heldreichii", "Nepeta camphorata var. camphorata", "Nepeta apuleji", "Nepeta autraniana", "Nepeta barbara", "Nepeta batalica", "Nepeta glomerulosa subsp. carmanica", "Nepeta glomerulosa subsp. ghorana", "Nepeta glomerulosa subsp. glomerulosa", "Bacillochilus xenostridulans", "Ceratogyrus attonitifer", "Aloe pachygaster", "Leptonetela microdonta", "Aloe parvibracteata", "Aloe peglerae", "Aloe pendens", "Puffinus newelli", "Leptonetela quinquespinata", "Leptonetela sanchahe", "Leptonetela sexdigiti", "Leptonetela shibingensis", "Leptonetela strinatii", "Leptonetela thracia", "Ebenavia boettgeri", "Leptonetela tianxinensis", "Harpactea korgei", "Harpactea mithridatis", "Dasumia mariandyna", "Dasumia gasparoi", "Dasumia sancticedri", "Dasumia nativitatis", "Specklinia dunstervillei", "Poecilotheria fasciata", "Poecilotheria miranda", "Babiana patula", "Veronica sect.", "Laterallus jamaicensis tuerosi", "Antillena rickwesti", "Aloe perrieri", "Veronica sect.", "Trichoglottis tenera", "Aloe petrophila", "Larinia mandlaensis", "Trichoglottis tenuis", "Trichoglottis tinekeae", "Aloe peyrierasii", "Trichoglottis tricostata", "Aloe pictifolia", "Trichoglottis triflora", "Aloe pienaarii", "Trichoglottis uexkuelliana", "Trichoglottis valida", "Aloe pirottae", "Trichoglottis vandiflora", "Iresine cubensis", "Nepeta nervosa var. lutea", "Nepeta nervosa var. nervosa", "Leptonetela flabellaris", "Leptonetela gittenbergeri", "Leptonetela lineata", "Leptonetela mengzongensis", "Leptonetela mita", "Leptonetela parlonga", "Leptonetela pungitia", "Leptonetela rudicula", "Leptonetela sexdentata", "Leptonetela tianxingensis", "Leptonetela yaoi", "Leptonetela zhai", "Leptonetela deltshevi", "Leptonetela gigachela", "Leptonetela hangzhouensis", "Aloe mutabilis", "Leptoneta lingqiensis", "Aloe ngobitensis", "Aloe ngongensis", "Leptonetela kanellisi", "Aloe niebuhriana", "Aloe nyeriensis", "Aloe officinalis", "Aloe ortholopha", "Aloe pluridens", "Trichoglottis ventricularis", "Trichoglottis winkleri", "Trichoglottis winkleri var. winkleri", "Trichoglottis winkleri var. minor", "Trichoglottis zollingeriana", "Veronica sect.", "Nepeta cyanea subsp. cyanea", "Aloe porphyrostachys", "Aloe pratensis", "Aloe pulcherrima", "Brassica rapa subsp. pekinensis", "Aloe purpurea", "Aloe rabaiensis", "Aloe reitzii", "Aloe reynoldsii", "Aloe rhodesiana", "Aloe rigens", "Aloe rivae", "Aloe rupestris", "Aloe schomeri", "Aloe scobinifolia", "Halichondria marianae", "Heligmomerus garoensis", "Idiops madrasensis", "Ischnocolus decoratus", "Plesiophrictus meghalayaensis", "Plesiophrictus mahabaleshwari", "Chilobrachys himalayensis", "Camillina piura", "Camillina arequipa", "Camillina huanta", "Camillina punta", "Camillina isla", "Camillina cruz", "Camillina cordifera", "Camillina elegans", "Camillina desecheonis", "Camillina pedestris", "Camillina relucens", "Camillina pulcher", "Camillina major", "Coloeus monedula monedula", "Camillina marmorata", "Aloiampelos ciliaris var. ciliaris", "Aloiampelos ciliaris var. tidmarshii", "Camillina minuta", "Aloiampelos decumbens", "Camillina chilensis", "Camillina longipes", "Aloiampelos striatula var. striatula", "Smionia lineatipes", "Aloe wildii", "Asemesthes subnubilus", "Asemesthes decoratus", "Asemesthes pallidus", "Aloe \u00d7 caesia", "Asemesthes flavipes", "Asemesthes lineatus", "Asemesthes albovittatus", "Camillina bimini", "Camillina mona", "Camillina cayman", "Camillina nevis", "Camillina jeris", "Camillina puebla", "Aloidendron sabaeum", "Aloidendron tongaense", "Veronica subg.", "Aloe tauri", "Ebenavia robusta", "Ebenavia safari", "Ebenavia tuelinae", "Aloe tewoldei", "Aloe thompsoniae", "Aloe tomentosa", "Enyalius pictus", "Aloe tormentorii", "Aloe tororoana", "Myotis crypticus", "Myotis zenatius", "Amanita ceciliae", "Loxosceles pilosa", "Scytodes schultzei", "Ariadna hottentotta", "Ariadna insularis", "Aloidendron eminens", "Aloidendron ramosissimum", "Dresserus schultzei", "Dresserus rostratus", "Aloe suffulta", "Gandanameno spenceri", "Aloe suprafoliata", "Gandanameno echinata", "Aloe swynnertonii", "Nepeta hispanica subsp. statice", "Nepeta hispanica subsp. hispanica", "Veronica elliptica", "Stilbanthus scandens", "Amanita jacksonii", "Veronica subg.", "Asphodelus albus subsp. albus", "Asphodelus albus subsp. delphinensis", "Asphodelus ayardii", "Camillina pavesii", "Camillina aldabrae", "Camillina biplagia", "Camillina brasiliensis", "Camillina recife", "Camillina pernambuco", "Camillina europaea", "Baikalospongia abyssalis", "Ceratogyrus darlingi", "Idiops striatipes", "Idiops pallidipes", "Stasimopus schultzei", "Stasimopus obscurus", "Aloe spectabilis", "Ancylotrypa namaquensis", "Ancylotrypa schultzei", "Aloe squarrosa", "Ancylotrypa elongata", "Harpactirella spinosa", "Harpactirella lapidaria", "Aloe steudneri", "Pseudauximus annulatus", "Stegodyphus dumicola", "Dresserus namaquensis", "Aloe suarezensis", "Coelogyne multiflora", "Ariadna pulchripes", "Ariadna similis", "Theuma pusilla", "Theuma velox", "Theuma schultzei", "Drassodes sesquidentatus", "Xerophaeus longispina", "Xerophaeus hottentottus", "Xerophaeus ahenus", "Zelotes flavitarsis", "Zelotes pulchripes", "Aloe ukambensis", "Aloe umfoloziensis", "Aloe vacillans", "Aloe vanbalenii", "Aloe vanrooyenii", "Aloe vaotsanda", "Aloe verecunda", "Nepeta juncea subsp. heterotricha", "Nepeta juncea subsp. xylorhiza", "Nepeta juncea subsp. juncea", "Camillina procurva", "Nomisia frenata", "Aloe vryheidensis", "Ibala declani", "Ybyrapora diversipes", "Aloe secundiflora", "Aloe secundiflora var. secundiflora", "Aloe sinkatana", "Ybyrapora sooretama", "Aloe somaliensis", "Coloeus monedula soemmerringii", "Nepeta eriostachya var. rohtangensis", "Nepeta eriostachya var. eriostachya", "Ybyrapora gamba", "Augacephalus ezendami", "Nepeta floccosa subsp. pseudofloccosa", "Nepeta floccosa subsp. floccosa", "Leptonetela chakou", "Leptonetela dao", "Leptonetela liuzhai", "Leptonetela shuilian", "Leptonetela chenjia", "Leptonetela liangfeng", "Leptonetela sanyan", "Leptonetela wangjia", "Leptonetela qiangdao", "Leptonetela langdong", "Leptonetela dashui", "Leptonetela gang", "Leptonetela la", "Habenaria lindleyana", "Leptonetela rudong", "Leptonetela wenzhu", "Leptonetela longli", "Leptonetela panbao", "Leptonetela feilong", "Leptonetela jiahe", "Leptonetela xianren", "Leptonetela tiankeng", "Leptonetela mayang", "Leptonetela gubin", "Leptonetela lujia", "Leptonetela xinhua", "Aloe jacksonii", "Leptonetela kangsa", "Leptonetela wuming", "Leptonetela shanji", "Leptonetela xiaoyan", "Aloe jucunda", "Leptonetela huoyan", "Leptonetela liuguan", "Leptonetela nanmu", "Leptonetela changtu", "Leptonetela lianhua", "Leptonetela niubizi", "Leptonetela longyu", "Leptonetela shicheng", "Leptonetela zakou", "Leptonetela meiwang", "Leptonetela tawo", "Aloe karasbergensis", "Leptonetela erlong", "Leptonetela dabian", "Leptonetela chuan", "Leptonetela lihu", "Leptonetela shuang", "Aloe kedongensis", "Leptonetela encun", "Aloe kouebokkeveldensis", "Camillina chiapa", "Camillina campeche", "Camillina antigua", "Camillina colon", "Camillina balbao", "Camillina gaira", "Camillina cauca", "Camillina nevada", "Camillina merida", "Camillina caldas", "Camillina nova", "Camillina claro", "Camillina oruro", "Camillina calel", "Camillina tarapaca", "Camillina chincha", "Camillina mogollon", "Astroloba spiralis", "Civizelotes tibichaetoforus", "Echemographis distincta", "Drassodes charitonovi", "Drassodes cupa", "Gnaphosa ketmer", "Heser malefactor", "Bulbine alooides", "Bulbine annua", "Heser aradensis", "Heser hierosolymitanus", "Baikalospongia intermedia", "Bulbine cepacea", "Baikalospongia bacillifera", "Solanum sotobosquense", "Asphodelus macrocarpus var. arrondeaui", "Asphodelus ramosus subsp. ramosus", "Lubomirskia incrustans", "Baikalospongia recta", "Baikalospongia martinsoni", "Rezinkovia arbuscula", "Rezinkovia echinata", "Asphodelus refractus", "Psophia viridis viridis", "Asphodelus fistulosus subsp. fistulosus", "Solanum umtuma", "Camillina pecki", "Camillina sandrae", "Camillina rogeri", "Camillina samariensis", "Camillina setosa", "Solanum baretiae", "Asphodelus macrocarpus", "Asphodelus macrocarpus subsp. macrocarpus", "Camillina galapagoensis", "Camillina maun", "Camillina fiana", "Camillina tsima", "Camillina kaibos", "Camillina capensis", "Asphodelus serotinus", "Camillina namibensis", "Asphodeline prolifera", "Camillina kochalkai", "Camillina madrejon", "Camillina cui", "Camillina mahnerti", "Camillina pilar", "Camillina mauryi", "Camillina cordoba", "Camillina galianoae", "Camillina penai", "Camillina isabela", "Camillina shaba", "Setaphis makalali", "Camillina smythiesi", "Heser bernardi", "Swartschewskia papyracea", "Heser bonneti", "Bulbine favosa", "Heser hispanus", "Heser stoevi", "Baikalospongia fungiformis", "Baikalospongia dzhegatajensis", "Camillina taruma", "Tricongius amazonicus", "Zimiromus atrifus", "Zimiromus boistus", "Chrysosplenium ramosum", "Amazoromus cristus", "Astroloba bullulata", "Astroloba corrugata", "Astroloba cremnophila", "Astroloba foliolosa", "Nepeta orphanidea var. parnidea", "Nepeta orphanidea var. orphanidea", "Astroloba herrei", "Camillina ventana", "Canariognapha parwis", "Astroloba rubriflora", "Nepeta sahandica", "Hitobia procula", "Urozelotes patulusus", "Gasteria doreeniae", "Gasteria ellaphieae", "Berinda aegilia", "Cryptodrassus creticus", "Gasteria carinata var. carinata", "Solanum sect.", "Gasteria carinata var. retusa", "Gasteria croucheri subsp. croucheri", "Amazona autumnalis autumnalis", "Gasteria disticha var. disticha", "Turkozelotes mirandus", "Cryptodrassus helvoloides", "Synaphosus shirin", "Nepeta racemosa subsp. crassifolia", "Synaphosus palearcticus", "Synaphosus sauvage", "Synaphosus taukum", "Nepeta racemosa subsp. haussknechtii", "Nepeta racemosa subsp. racemosa", "Pelodiscus variegatus", "Bulbinella latifolia", "Bulbinella cauda-felis", "Bulbinella elegans", "Delphinium subg.", "Malawispongia echinoides", "Spinospongilla polli", "Pachydictyum globosum", "Cortispongilla barroisi", "Ochridaspongia rotunda", "Ochridaspongia interlithonis", "Ohridospongilla stankovici", "Metschnikowia tuberculata", "Makedia tanensis", "Balliviaspongia wirrmanni", "Acanthotylotra alvarengai", "Amazona autumnalis lilacina", "Nepeta subincisa var. salangensis", "Nepeta subincisa var. subincisa", "Solanum crassinervium", "Solanum limoncochaense", "Gasteria nitida var. nitida", "Solanum pacificum", "Ibala bulawayensis", "Ibala hessei", "Ibala kaokoensis", "Ibala lapidaria", "Ibala omuramba", "Ibala quadrativulva", "Eremurus alaicus", "Nepeta podostachys subsp. darwasica", "Nepeta podostachys subsp. paulsenii", "Nepeta podostachys subsp. podostachys", "Senna pallida var. pallida", "Turkozelotes microb", "Eremurus soogdianus", "Turkozelotes mccowani", "Gasteria batesiana", "Gasteria baylissiana", "Gasteria brachyphylla", "Staphisagria requienii subsp. picta", "Synaphosus khashm", "Synaphosus kakamega", "Synaphosus syntheticus", "Synaphosus nanus", "Synaphosus gracillimus", "Synaphosus minimus", "Synaphosus evertsi", "Synaphosus karakumensis", "Synaphosus soyunovi", "Synaphosus yatenga", "Protoparmeliopsis peltata", "Synaphosus turanicus", "Synaphosus neali", "Eremurus stenophyllus subsp. stenophyllus", "Eremurus thiodanthus", "Eremurus \u00d7 albocitrinus", "Gasteria nitida var. armstrongii", "Solanum dalibardiforme", "Solanum evolvulifolium", "Myosotis wumengensis", "Bulbinella nutans subsp. nutans", "Ibala minshullae", "Ibala robinsoni", "Ibala gonono", "Ibala mabalauta", "Ibala okorosave", "Ibala isikela", "Ibala kevini", "Ibala kylae", "Ibala arcus", "Bulbinella rossii", "Ibala bilinearis", "Bulbinella triquetra", "Synaphosus intricatus", "Synaphosus ovtsharenkoi", "Synaphosus shmakovi", "Synaphosus mongolicus", "Synaphosus saidovi", "Synaphosus makhambetensis", "Synaphosus cangshanus", "Synaphosus daweiensis", "Synaphosus dubius", "Synaphosus lehtineni", "Synaphosus jaegeri", "Synaphosus femininis", "Synaphosus raveni", "Synaphosus iunctus", "Synaphosus paludis", "Synaphosus trichopus", "Rhitymna gerdmangel", "Gasteria pillansii", "Gasteria pillansii var. pillansii", "Rhitymna merianae", "Rhitymna flores", "Rhitymna senckenbergi", "Heteropoda afghana", "Heteropoda robusta", "Heteropoda nigriventer", "Heteropoda kuekenthali", "Heteropoda duo", "Heteropoda cece", "Heteropoda maukin", "Heteropoda kusi", "Heteropoda obe", "Lubomirskia fusifera", "Lubomirskia baikalensis", "Zyras carnifex", "Cirsium tatakaense", "Bulbine lagopus", "Lubomirskia abietina", "Swartschewskia irregularis", "Bulbine latifolia", "Bulbine mesembryanthemoides", "Bulbine narcissifolia", "Bulbine semibarbata", "Bulbine triebneri", "Bulbinella angustifolia", "Ovia macritchie", "Ovia alboannulata", "Protoparmeliopsis esfahanensis", "Nepeta ucranica subsp. kopetdaghensis", "Solanum pentaphyllum", "Euhampsonia rubricata", "Dysderocrates kibrisensis", "Solanum phaseoloides", "Gasteria polita", "Harpactea kalavachiana", "Maxillaria avis", "Amanita virosa", "Synegiodes histrionaria", "Synegiodes punicearia", "Synegiodes diffusifascia", "Synegiodes obliquifascia", "Synegiodes sanguinaria", "Haworthia arachnoidea", "Haworthia arachnoidea var. arachnoidea", "Haworthia aristata", "Haworthia bayeri", "Gasteria pulchra", "Solanum trifolium", "Scythris fustivalva", "Gasteria rawlinsonii", "Gasteria tukhelensis", "Delias agostina sushii", "Gasteria vlokii", "Cyclocosmia sublatusicosta", "Cyclocosmia subricketti", "Nepeta ucranica subsp. parviflora", "Nepeta ucranica subsp. schischkinii", "Nepeta ucranica subsp. ucranica", "Ovia procurva", "Pardosa anchoroides", "Pardosa sanmenensis", "Cystoseira micheleae", "Pardosa zhui", "Pardosa dondalei", "Pardosa soccata", "Gonialoe dinteri", "Pardosa strena", "Pardosa strigata", "Pardosa wuyiensis", "Gonialoe sladeniana", "Protoparmeliopsis zareii", "Synegiodes expansus", "Synegiodes elasmlatus", "Mysticellus franki", "Uperodon rohani", "Arthrocaulon meridionale", "Synegiodes brunnearia", "Zyras zavattarii", "Synegiodes hyriaria", "Synegiodes ornata", "Heteropoda analis", "Cryptogramma brunoniana", "Cryptogramma brunoniana subsp. raddeana", "Argyrochosma connectens", "Oeosporangium nitidulum", "Oeosporangium pauperculum", "Oeosporangium stramineum", "Oeosporangium trichophyllum", "Ceratosticha lineata", "Lolibaia jurateae", "Lolibaia triangularis", "Lolibaia polythyris", "Danaus cleophile cleophile", "Olea europaea subsp. guanchica", "Olea cerasiformis", "Danaus cleophile yamayensis", "Olea europaea subsp. laperrinei", "Olea europaea subsp. maroccana", "Nothoscordum hirtellum", "Hilarographa ancilla", "Nothoscordum hirtellum subsp. lorentzii", "Hilarographa auroscripta", "Haworthia angustifolia", "Monomia lucida", "Haworthia angustifolia var. angustifolia", "Elzunia humboldt flavomaculata", "Elzunia humboldt carlosi", "Elzunia humboldt willmotti", "Elzunia humboldt coxeyi", "Elzunia humboldt microguttata", "Nepeta czukavinae", "Adenomera phonotriccus", "Nepeta gumerica", "Nepeta hystrix", "Spongilla cenota", "Sedelnikovaea baicalensis", "Haworthia blackburniae", "Danaus cleophile", "Callistopteris apiifolia", "Olea europaea subsp. cerasiformis", "Crepidomanes bipunctatum", "Olea europaea subsp. cuspidata", "Coniogramme rubicaulis", "Solanum dolichorhachis", "Coniogramme jinggangshanensis", "Coniogramme wilsonii", "Coniogramme affinis", "Coniogramme emeiensis", "Coniogramme falcipinna", "Matta zuiuda", "Matta pititinha", "Matta humhum", "Struthio coppensi", "Matta cambito", "Matta humrrum", "Matta nuusga", "Matta teteia", "Solanum loxophyllum", "Coniogramme ovata", "Coniogramme procera", "Coniogramme robusta", "Coniogramme rosthornii", "Coniogramme sinensis", "Coniogramme suprapilosa", "Coniogramme venusta", "Prophaecasia lindae", "Nepeta italica subsp. troodi", "Nepeta italica subsp. italica", "Feldmannia paradoxa var. donatiae", "Heterogynis zikici", "Nepeta lancefolia", "Nepeta mirei", "Nepeta narynensis", "Nepeta \u00d7 boissieri", "Nepeta \u00d7 campylantha", "Nepeta \u00d7 tmolea", "Stanhopea aliceae", "Nepeta italica subsp. rigidula", "Gilliesia atropurpurea", "Gilliesia cuspidata", "Stanhopea cephalopoda", "Stanhopea chironii", "Streblopotamia streblopa", "Streblopotamia oblita", "Sanguinograptis rubidissecta", "Epichoristodes aequatorialis", "Epichoristodes ivindoensis", "Olea europaea subsp. europaea", "Nothoscordum hirtellum subsp. hirtellum", "Haworthia cooperi var. dielsiana", "Haworthia cooperi var. leightonii", "Chryseobacterium nematophagum", "Cosmetra maia", "Gonocephalus semperi", "Gonocephalus doriae", "Zyras insignis", "Zyras sarawakensis", "Zyras tubericollis", "Gonocephalus liogaster", "Acroclita celaeno", "Chiloschista sweelimii", "Haworthia cymbiformis var. ramosa", "Chiloschista taeniophyllum", "Chiloschista treubii", "Chiloschista viridiflava", "Chiloschista yunnanensis", "Haworthia decipiens", "Haworthia decipiens var. decipiens", "Procambarus acutus", "Cyathura burbancki", "Polyonyx gibbesi", "Haworthia cooperi var. venusta", "Chiloschista guangdongensis", "Gonocephalus klossi", "Chiloschista loheri", "Gonocephalus beyschlagi", "Gonocephalus mjoebergi", "Chiloschista phyllorhiza", "Gonocephalus abbotti", "Chiloschista ramifera", "Haworthia cymbiformis var. cymbiformis", "Chiloschista rodriguezii", "Haworthia cooperi var. pilifera", "Chiloschista exuperei", "Chiloschista fasciata", "Gonocephalus kuhlii", "Haworthia cooperi var. tenera", "Gonocephalus bornensis", "Chiloschista glandulosa", "Haworthia cooperi var. truncata", "Chiloschista godefroyana", "Gonocephalus sophiae", "Prophaecasia gabonana", "Prophaecasia usumbarae", "Dolichohedya fulgens", "Bactra alcyone", "Syntozyga pulchella", "Dasodis falcata", "Amabrana acanthoda", "Amabrana primaria", "Amabrana subseparata", "Amabrana bendelana", "Thylacogaster ornata", "Thylacogaster albistrigulata", "Gnathodracon durantei", "Gnathodracon massaronei", "Gnathodracon merope", "Gnathodracon pavesii", "Haworthia bolusii", "Haworthia bolusii var. bolusii", "Haworthia chloracantha", "Camptrodoxa plectocosma", "Camptrodoxa bisecta", "Camptrodoxa chrysolampra", "Camptrodoxa onychosema", "Camptrodoxa sorindeiae", "Camptrodoxa pusilla", "Camptrodoxa splendens", "Haworthia chloracantha var. denticulifera", "Stylotermes halumicus", "Haworthia chloracantha var. subglauca", "Haworthia cooperi", "Haworthia cooperi var. cooperi", "Haworthia herbacea", "Eugnosta plusiana", "Eugnosta romanovi", "Haworthia herbacea var. herbacea", "Eugnosta selecta", "Eugnosta synaetera", "Haworthia herbacea var. flaccida", "Ajuga ciliata var. ciliata", "Eugnosta ussuriana", "Eugnosta willettana", "Haworthia lockwoodii", "Haworthia maculata", "Havilandoxenus emersoni", "Potentilla anemonifolia", "Haworthia emelyae", "Haworthia emelyae var. emelyae", "Haworthia emelyae var. comptoniana", "Haworthia floribunda", "Eugnosta multifasciana", "Haworthia heidelbergensis", "Eugnosta pamirana", "Eugnosta parreyssiana", "Hodotermophilus gloriosus", "Haworthia magnifica", "Haworthia magnifica var. magnifica", "Clepsis crinis", "Haworthia magnifica var. atrofusca", "Haworthia magnifica var. splendens", "Haworthia maraisii", "Haworthia maraisii var. maraisii", "Malayodracon robinsonii", "Clepsis lutosulana", "Haworthia maraisii var. meiringii", "Limulodilla limulodes", "Longipedisymbia bouceki", "Longipedisymbia bradburni", "Longipedisymbia carlislei", "Longipedoxenus emersoni", "Longipedoxenus shinneri", "Termitonusa sequax", "Termitophagus synterminus", "Termitosymbia nitida", "Nassella duriuscula", "Termitozyras adamsoni", "Termitozyras boliviae", "Termitozyras guianae", "Nassella gibba", "Lucanus liuweii", "Haworthia marumiana", "Termophidoholus formosanus", "Haworthia reticulata", "Haworthia reticulata var. reticulata", "Haworthia cymbiformis var. obtusa", "Haworthia retusa", "Haworthia retusa var. retusa", "Clepsis spirana", "Haworthia mucronata var. habdomadis", "Haworthia mucronata var. inconfluens", "Haworthia mucronata var. morrisiae", "Clepsis miserulana", "Clepsis vitiana", "Clepsis orycta", "Clepsis ecclisis", "Clepsis cremnobates", "Haworthia mucronata var. rycroftiana", "Clepsis gelophodes", "Haworthia mutica", "Haworthia monticola", "Haworthia monticola var. monticola", "Clepsis homophyla", "Haworthia mucronata", "Clepsis peritana", "Haworthia mucronata var. mucronata", "Haworthia retusa var. nigra", "Lamium bakhtiaricum", "Lamium bilgilii", "Lamium cyrneum", "Lamium flexuosum subsp. berengueri", "Silene undulata subsp. undulata", "Lamium flexuosum subsp. flexuosum", "Haworthia rossouwii", "Silene undulata subsp. polyantha", "Haworthia rossouwii var. rossouwii", "Haworthia rossouwii var. calcarea", "Haworthia ryderiana", "Nothofagus subg.", "Clepsis subcostana", "Clepsis retiferana", "Nothofagus subg.", "Clepsis subjunctana", "Coryphophylax subcristatus", "Haworthia nortieri", "Haworthia nortieri var. nortieri", "Haworthia parksiana", "Haworthia pubescens", "Haworthia pygmaea", "Haworthia pygmaea var. pygmaea", "Haworthia pygmaea var. acuminata", "Haworthia pygmaea var. argenteomaculosa", "Clepsis staintoni", "Trimeresurus cantori", "Devario xyrops", "Xanthaptychia orientalis", "Haworthia mirabilis", "Haworthia mirabilis var. mirabilis", "Haworthia mirabilis var. badia", "Haworthia mirabilis var. mundula", "Haworthia mirabilis var. sublineata", "Haworthia mirabilis var. triebneriana", "Haworthia marumiana var. archeri", "Haworthia marumiana var. reddii", "Haworthia marumiana var. batesiana", "Haworthia marumiana var. marumiana", "Solanum medusae", "Ajuga ciliata var. hirta", "Ajuga ciliata var. ovatisepala", "Ajuga ciliata var. villosior", "Katyacantharis zherikhini", "Urtica atrovirens", "Arthopyrenia coppinsii", "Arthopyrenia tuscanensis", "Xanthaptychia aurantiaca", "Haworthiopsis attenuata", "Haworthiopsis attenuata var. attenuata", "Haworthiopsis attenuata var. glabrata", "Ipheion tweedieanum", "Hilarographa hainanica", "Hilarographa baliana", "Hilarographa pahangana", "Hilarographa celebesiana", "Hilarographa perakana", "Gonocephalus interruptus", "Hilarographa meekana", "Hilarographa soleana", "Hilarographa gentinga", "Hilarographa johnibradleyi", "Hilarographa fergussonana", "Hilarographa marangana", "Hilarographa buruana", "Hilarographa bosavina", "Hilarographa sipiroca", "Hilarographa rampayoha", "Hilarographa uthaithani", "Hilarographa tasekia", "Hilarographa temburonga", "Hilarographa muluana", "Hilarographa shehkonga", "Hilarographa gunongana", "Hilarographa renonga", "Hilarographa khaoyai", "Hilarographa uluana", "Hilarographa robinsoni", "Hilarographa calyx", "Zyras tributus", "Hilarographa obinana", "Zyras marshalli", "Hilarographa cladara", "Zyras vandepolli", "Zyras brasiliensis", "Hilarographa dolichosticha", "Zyras overlaeti", "Hilarographa excellens", "Hilarographa brazzaella", "Eccopsis luteicaput", "Eccopsis atrobasalis", "Eccopsis rubiginosa", "Megalota roseoeffusa", "Megalota taygete", "Megalota sterope", "Nepheloploce electra", "Nepheloploce nephelopyrga", "Zyras chadensis", "Zyras meridioafricanus", "Haworthiopsis venosa", "Haworthiopsis viscosa var. viscosa", "Haworthiopsis glauca var. herrei", "Haworthiopsis granulata", "Athamas proszynskii", "Haworthiopsis koelmaniorum", "Haworthiopsis koelmaniorum var. koelmaniorum", "Haworthiopsis limifolia var. limifolia", "Haworthiopsis limifolia var. gigantea", "Haworthiopsis limifolia var. glaucophylla", "Athamas debakkeri", "Nebridia semicana", "Haworthiopsis coarctata var. coarctata", "Haworthiopsis coarctata var. tenuis", "Athamas kochi", "Haworthiopsis fasciata var. fasciata", "Athamas nitidus", "Athamas guineensis", "Athamas tahitiensis", "Haworthiopsis glauca", "Haworthiopsis glauca var. glauca", "Athamas whitmeei", "Titanattus parvus", "Haworthia springbokvlakensis", "Haworthia transiens", "Anasaitis adorabilis", "Anasaitis brunnea", "Anasaitis hebetata", "Anasaitis laxa", "Disperis circumflexa", "Haworthia semiviva", "Disperis circumflexa subsp. circumflexa", "Disperis circumflexa subsp. aemula", "Haworthia sessiliflora", "Xanthaptychia blumii", "Amphidraus mysticetus", "Amphidraus caxiuanan", "Amphidraus pulvinus", "Amphidraus belzonte", "Amphidraus nigrigenu", "Amphidraus simplex", "Amphidraus janauari", "Amphidraus bifidus", "Amphidraus draconicaudatus", "Amphidraus loxodontillus", "Amphidraus santanae", "Amphidraus duckei", "Haworthiopsis limifolia var. ubomboensis", "Haworthiopsis longiana", "Haworthiopsis nigra", "Haworthiopsis nigra var. nigra", "Efate albobicinctus", "Efate fimbriatus", "Efate raptor", "Ergane carinata", "Evarcha reiskindi", "Coniostola cinereocostalis", "Eucosmocydia ipassaensis", "Cydia albimacula", "Cydia americana", "Cydia aphrosema", "Cydia archaeochrysa", "Cydia charops", "Gonocephalus bellii", "Gaboncydia gabonensis", "Bonagmene eburnea", "Unaica plumbea", "Chamelania acaena", "Chamelania celyphana", "Chamelania lutea", "Chamelania quasirufa", "Chamelania belemana", "Chamelania corumbae", "Chamelania xanthophilana", "Gonocephalus megalepis", "Chiloschista extinctoriformis", "Amphidraus colombianus", "Amphidraus guaitipan", "Amphidraus guatavita", "Yakuus iwatai", "Dichaea squarrosa", "Amphidraus mae", "Amphidraus pae", "Amphidraus quimbaya", "Haworthia variegata", "Amphidraus quinini", "Amphidraus sie", "Haworthia variegata var. variegata", "Amphidraus sikuani", "Amphidraus somondoco", "Amphidraus sotairensis", "Amphidraus sua", "Haworthia variegata var. modesta", "Haworthia wittebergensis", "Anttillatus applanatus", "Bythocrotus crypticus", "Bythocrotus cephalotes", "Haworthia truncata", "Corticattus guajataca", "Corticattus latus", "Polychrus gutturosus", "Haworthia truncata var. truncata", "Corythalia broccai", "Corythalia bromelicola", "Polychrus femoralis", "Corythalia coronai", "Corythalia peblique", "Polychrus liogaster", "Haworthia truncata var. maughanii", "Polychrus peruvianus", "Anadia marmorata", "Lygosoma albopunctatum", "Corythalia cincta", "Haworthia turgida", "Haworthia turgida var. turgida", "Haworthia turgida var. longibracteata", "Kniphofia brachystachya", "Kniphofia buchananii", "Kniphofia drepanophylla", "Kniphofia dubia", "Kniphofia ensifolia var. ensifolia", "Haworthiopsis attenuata var. radula", "Haworthiopsis bruynsii", "Xanthaptychia contortuplicata", "Amphidraus tanimuca", "Amphidraus tisquesusa", "Amphidraus tundama", "Amphidraus zaque", "Amphidraus zipa", "Amphidraus argentinensis", "Amphidraus auriga", "Haworthiopsis coarctata", "Anabasis al-rawii", "Tulista pumila", "Tulista pumila var. pumila", "Graphium antiphates alcibiades", "Haworthiopsis pungens", "Haworthiopsis reinwardtii", "Haworthiopsis reinwardtii var. reinwardtii", "Sunipea callistus", "Haworthiopsis reinwardtii f. kaffirdriftensis", "Graphium antiphates antiphonus", "Haworthiopsis reinwardtii f. olivacea", "Haworthiopsis scabra", "Haworthiopsis scabra var. scabra", "Haworthia turgida var. suberecta", "Ajuga taiwanensis", "Popcornella furcata", "Popcornella nigromaculata", "Popcornella spiniformis", "Popcornella yunque", "Truncattus cachotensis", "Truncattus dominicanus", "Truncattus flavus", "Agobardus bahoruco", "Agobardus cordiformis", "Agobardus gramineus", "Agobardus oveido", "Agobardus phylladiphilus", "Truncattus manni", "Truncattus mendicus", "Amphidraus cornipalpis", "Amphidraus boomerang", "Amphidraus sacrificatus", "Amphidraus araripe", "Amphidraus manauara", "Amphidraus shenlong", "Amphidraus draconitupan", "Amphidraus bochica", "Amphidraus chie", "Trachyandra saltii", "Tulista marginata", "Haworthia minor", "Kniphofia triangularis", "Kniphofia triangularis var. triangularis", "Trachyandra filiformis", "Soesilarishius laticlavus", "Soesilarishius trombetas", "Soesilarishius elongatulus", "Dianella longifolia", "Dianella longifolia var. longifolia", "Kniphofia linearifolia", "Kniphofia parviflora", "Soesilarishius chaplini", "Soesilarishius macrochelis", "Soesilarishius tabernarius", "Soesilarishius paxiuba", "Soesilarishius muiratinga", "Soesilarishius excentricus", "Kniphofia pumila", "Soesilarishius cearensis", "Soesilarishius bicrescens", "Soesilarishius flagellator", "Kniphofia sarmentosa", "Kniphofia schimperi", "Kniphofia thomsonii", "Kniphofia thomsonii var. thomsonii", "Corusca acris", "Corusca bawangensis", "Corusca falcata", "Corusca gracilis", "Corusca jianfengensis", "Corusca sanyaensis", "Corusca setifera", "Corusca viriosa", "Corusca wuzhishanensis", "Corusca liaoi", "Sinoinsula curva", "Sinoinsula hebetata", "Sinoinsula limuensis", "Sinoinsula longa", "Solinca aulix", "Hemerocallis middendorffii var. esculenta", "Graphium antiphates naira", "Zeroviella mandschurica", "Dianella revoluta var. revoluta", "Graphium antiphates pompilius", "Dianella sandwicensis", "Kniphofia fibrosa", "Zeroviella papillifera", "Kniphofia galpinii", "Kniphofia goetzei", "Soesiladeepakius aschnae", "Kniphofia ichopensis", "Soesiladeepakius lyra", "Soesiladeepakius retroversus", "Soesiladeepakius gasnieri", "Kniphofia isoetifolia", "Soesiladeepakius biarmatus", "Soesiladeepakius uncinatus", "Soesiladeepakius arthrostylus", "Haworthiopsis scabra var. lateganiae", "Haworthiopsis scabra var. starkiana", "Lapsamita maddisoni", "Caladenia \u00d7 intermedia", "Graphium antiphates balius", "Haworthiopsis sordida", "Haworthiopsis sordida var. sordida", "Elaenia sordida", "Haworthiopsis tessellata", "Haworthiopsis tessellata var. tessellata", "Graphium antiphates ceylonicus", "Trachyandra revoluta", "Onomastus danum", "Bavia suhartoi", "Zeroviella esfahanensis", "Zeroviella ussurica", "Zeroviella domogledensis", "Zeroviella laxa", "Corynotheca micrantha", "Corynotheca micrantha var. micrantha", "Dianella amoena", "Dianella atraxis", "Dianella brevicaulis", "Dianella caerulea var. caerulea", "Breviturma krohi", "Graphium antiphates javanicus", "Ephedra foliata", "Graphium antiphates kalaoensis", "Potentilla amurensis", "Graphium antiphates kangeanus", "Graphium antiphates kurosawai", "Sobasina platnicki", "Stertinius onoi", "Trichotobia gracilis", "Vailimia bakoensis", "Vailimia jianyuae", "Psittacula eques", "Graphium antiphates pulauensis", "Pyrrhura amazonum", "Graphium antiphates rhabdotus", "Caesia micrantha", "Caesia calliantha", "Caesia contorta", "Caesia parviflora", "Caesia parviflora var. parviflora", "Zeroviella coreana", "Zeroviella digitata", "Asprocottus herzensteini", "Stegodyphus tibialis", "Cyrtarachne melanoleuca", "Sanmenia kohi", "Dracaena bicolor", "Rosciszewskia magnificus", "Dracaena bueana", "Dracaena bushii", "Dracaena cerasifera", "Tobiissima rosciszewskii", "Dracaena congoensis", "Dracaena cristula", "Dracaena ovata", "Dracaena phanerophlebia", "Dracaena praetermissa", "Dracaena scabra", "Hemerocallis citrina var. citrina", "Dracaena umbraculifera", "Dracaena viridiflora", "Onomastus jamestaylori", "Onomastus corbetensis", "Onomastus maskeliya", "Calantica kruegeri", "Formicaenictus weissflogi", "Mycalesis mulleri", "Stypandra glauca", "Ipomoea carolina", "Xanthorrhoea brunonis", "Xanthorrhoea drummondii", "Xanthorrhoea fulva", "Xanthorrhoea glauca", "Xanthorrhoea gracilis", "Cytaea semengohi", "Cytaea sepakuensis", "Cytaea trusmadii", "Hensmania turbinata", "Echeclus sokoli", "Euryattus kinabalus", "Euryattus koomeni", "Euryattus pengi", "Euryattus ventralis", "Johnsonia pubescens", "Pancorius petoti", "Poecilorchestes logunovi", "Thelionema caespitosum", "Thelionema grande", "Tricoryne elatior", "Tricoryne anceps", "Cambonila securicula", "Cambonila symphonia", "Tricoryne simplex", "Tricoryne tenella", "Graphium antiphates simpulensis", "Tricoryne platyptera", "Graphium antiphates sinambungensis", "Clubiona unanoa", "Clubiona katioryza", "Clubiona paranghinlalakirta", "Betula \u00d7 vologdensis", "Leclercqia scolopendra", "Dendrobium laterale", "Clubiona venusae", "Clubiona maysangarta", "Clubiona hugispaa", "Clubiona leonilae", "Clubiona zandstrai", "Clubiona parangunikarta", "Clubiona unikarta", "Bulbophyllum lizae", "Nusatidia manipisea", "Dichaea acroblephara", "Dichaea acuminata", "Dichaea alcantarae", "Dichaea alinae", "Dichaea amparoana", "Dichaea anchorifera", "Dichaea anguina", "Dichaea angustifolia", "Dichaea antioquiensis", "Dichaea benzingii", "Dichaea boliviana", "Dichaea brachyphylla", "Dichaea brevicaulis", "Atractaspis branchi", "Xanthorrhoea acanthostachya", "Oreodera aglaia", "Mallinella elongata", "Oreodera albata", "Oreodera albicans", "Oreodera albilatera", "Oreodera aliciae", "Oreodera amabilis", "Oreodera antonkozlovi", "Oreodera basicretata", "Oreodera basipenicillata", "Oreodera basiradiata", "Oreodera beneluzi", "Oreodera bituberculata", "Oreodera boliviana", "Oreodera boucheri", "Oreodera brailovskyi", "Oreodera candida", "Oreodera canotogata", "Oreodera charisoma", "Oreodera chemsaki", "Oreodera cinerea", "Oreodera clarkei", "Oreodera cocoensis", "Oreodera copei", "Oreodera corticina", "Oreodera costaricensis", "Oreodera cretata", "Oreodera cretifera", "Oreodera crinita", "Oreodera curvata", "Oreodera durantoni", "Oreodera exigua", "Oreodera fasciculosa", "Oreodera feuilleti", "Mallinella belladonna", "Oreodera flavopunctata", "Oreodera fluctuosa", "Oreodera forsteri", "Oreodera goudotii", "Oreodera granulifera", "Oreodera granulipennis", "Oreodera graphiptera", "Oreodera griseozonata", "Oreodera hassenteufeli", "Oreodera hoffmanni", "Oreodera hovorei", "Oreodera howdeni", "Oreodera inscripta", "Oreodera jacquieri", "Oreodera kawensis", "Oreodera lanei", "Oreodera larrei", "Oreodera lateralis", "Oreodera leucostigma", "Oreodera lezamai", "Oreodera luteogrisea", "Oreodera macropoda", "Mallinella calicoanensis", "Oreodera mageia", "Oreodera magnifica", "Oreodera magnoi", "Oreodera marinonii", "Oreodera melzeri", "Oreodera mimetica", "Oreodera minima", "Oreodera mocoiatira", "Oreodera modesta", "Oreodera morvanae", "Oreodera neglecta", "Oreodera noguerai", "Oreodera occulta", "Oreodera ohausi", "Oreodera olivaceotincta", "Oreodera olivosimplex", "Oreodera omissa", "Oreodera paulista", "Oreodera podagrica", "Oreodera purpurascens", "Oreodera pustulosa", "Oreodera quinquetuberculata", "Oreodera rhytisma", "Oreodera roppai", "Oreodera rufofasciata", "Oreodera seabrai", "Oreodera semialba", "Oreodera semiporosa", "Oreodera seraisorum", "Oreodera sericata", "Oreodera sexplagiata", "Oreodera sororcula", "Oreodera stictica", "Oreodera tenebrosa", "Oreodera tijuca", "Mallinella linguiformis", "Oreodera trinitensis", "Oreodera tuberculata", "Oreodera tuberosa", "Oreodera turnbowi", "Oreodera undulata", "Oreodera veronicae", "Oreodera verrucosa", "Oreodera vulgata", "Oreodera wappesi", "Oreodera zikani", "Oriaethus longicornis", "Orica albovirgulata", "Oricopis flavolineatus", "Oricopis guttatus", "Oricopis insulana", "Oricopis intercoxalis", "Oricopis maculiventris", "Oricopis mediofasciatus", "Oricopis rufescens", "Oricopis setipennis", "Oricopis umbrosus", "Orinoeme acutipennis", "Orinoeme centurio", "Orinoeme chalybeata", "Orinoeme ciliata", "Orinoeme dunni", "Orinoeme indistincta", "Orinoeme kaszabi", "Orinoeme lineatopunctata", "Mallinella abnormis", "Orinoeme lineigera", "Orinoeme lineigeroides", "Orinoeme loriai", "Orinoeme maculicollis", "Orthosoma brunneum", "Orthostoma abdominale", "Orthostoma chryseis", "Orthostoma vittata", "Orwellion fasciatum", "Orwellion gibbulum", "Orwellion lineatum", "Orwellion occidentalis", "Osmidus guttatus", "Osmopleura chamaeropis", "Osphranteria coerulescens", "Osphranteria lata", "Osphranteria suaveolens", "Osphryon adustus", "Osphryon bispinosus", "Osphryon forbesi", "Osphryon granuliger", "Osphryon hirticollis", "Osphryon pallidipennis", "Osphryon subitanus", "Osphryon sudestus", "Osphryon tridentatus", "Osphryon wauensis", "Osphryon woodlarkensis", "Ossibia angolensis", "Ossibia cyanoptera", "Ossibia fuscata", "Ossibia murina", "Ossibia picata", "Ossibia zambiensis", "Ossonis clytomima", "Ossonis hirsutipes", "Ossonis indica", "Ossonis mentawensis", "Ossonis modiglianii", "Ossonis sumatrensis", "Ostedes albomarmorata", "Ostedes albosparsa", "Ostedes andamanica", "Ostedes binodosa", "Ostedes borneana", "Ostedes brunneovariegata", "Ostedes coomani", "Ostedes densepunctata", "Ostedes dentata", "Ostedes discovitticollis", "Ostedes enganensis", "Ostedes griseoapicalis", "Ostedes griseoapicaloides", "Ostedes harmandi", "Ostedes inermis", "Ostedes laterifusca", "Ostedes macrophthalma", "Ostedes niisatoi", "Ostedes ochreosparsa", "Ostedes pauperata", "Ostedes perakensis", "Ostedes rufipennis", "Ostedes sapporensis", "Ostedes sikkimensis", "Ostedes subfasciata", "Ostedes subochreosparsa", "Ostedes subrufipennis", "Ostedes sumatrana", "Ostedes tonkinea", "Ostedes tuberculata", "Ostedes variegata", "Ostedes yamasakoi", "Ostedes bidentata", "Ostedes assamana", "Ostedes laosensis", "Ostedes ochreomarmorata", "Ostedes ochreopicta", "Ostedes spinipennis", "Otaromia lugubris", "Otenis chalybaea", "Othelais affinis", "Othelais flavovariegata", "Othelais histrio", "Othelais irrorata", "Othelais subtesselata", "Othelais tessellata", "Othelais transversefasciata", "Otheostethus disjunctus", "Otheostethus melanurus", "Othnocerus aethes", "Otroea cinerascens", "Otroea semiflava", "Otroeopsis affinis", "Otroeopsis virescens", "Otteissa sericea", "Oupyrrhidium chinense", "Oupyrrhidium cinnaberinum", "Ovaloparmena capensis", "Oxathres boliviana", "Oxathres decorata", "Oxathres erotyloides", "Oxathres griseostriata", "Oxathres guyanensis", "Oxathres implicata", "Oxathres lewisi", "Oxathres maculosa", "Oxathres muscosa", "Oxathres navicula", "Oxathres ornata", "Oxathres proxima", "Oxathres quadrimaculata", "Oxathres scripta", "Oxathres simillima", "Oxathres sparsa", "Oxathridia roraimae", "Oxilus boulardi", "Oxilus eggeri", "Oxilus elegans", "Oxilus flavicornis", "Oxilus fuliginosus", "Oxilus gazella", "Oxilus koczkai", "Oxilus lomii", "Oxilus manzonii", "Oxilus mozambicus", "Oxilus paolii", "Oxilus terminatus", "Oxilus zambianus", "Oxycauloeme abyssinica", "Xanthorrhoea thorntonii", "Oxycoleus bicolor", "Oxycoleus brasiliensis", "Pachyosa hirtiventris", "Pachyosa itoi", "Pachyosa kojimai", "Pachypeza borealis", "Pachypeza ferruginea", "Pachypeza joda", "Pachypeza marginata", "Pachypeza panamensis", "Pachypeza pennicornis", "Pachypeza phegea", "Pachypeza teres", "Pachypidonia masakoae", "Compsoglossa moultoni", "Pachypidonia rubrida", "Pachypidonia tavakiliani", "Pachysticus adlbaueri", "Pachysticus crassipes", "Pachysticus jenisi", "Pachysticus minutus", "Pachysticus morosus", "Pachysticus nigrofasciatus", "Pachysticus peyrierasi", "Pachyta armata", "Pachyta degener", "Pachyta felix", "Pachyta gorodinskii", "Pachyta mediofasciata", "Pachyta perlata", "Pachytella churkini", "Pachytella mongolica", "Pachyteria basalis", "Pachyteria calumniata", "Pachyteria coomani", "Pachyteria diversipes", "Pachyteria fasciata", "Pachyteria hageni", "Pachyteria jakli", "Pachyteria jeanninae", "Pachyteria loebli", "Pachyteria narai", "Pachyteria nigra", "Pachyteria nocki", "Pachyteria pasteuri", "Pachyteria ruficollis", "Pachyteria rugosicollis", "Pachyteria semiplicata", "Pachyteria semivirescens", "Pachyteria similis", "Pachyteria sumbaensis", "Pachyticon brunneum", "Pachytodes bottcheri", "Paktoxotus pallidus", "Palaeomegopis komiyai", "Palaeomegopis lameerei", "Palaeosmodicum hamiltoni", "Palaeotrachyderes laticornis", "Palaeoxylosteus kucerai", "Palaeoxylosteus kurosawai", "Palaeoxylosteus motuoensis", "Palaeoxylosteus ornamentalis", "Palaeoxylosteus yadongensis", "Palame aeruginosa", "Palame anceps", "Palame crassimana", "Pantonyssus santossilvai", "Paphora miles", "Paphora modesta", "Paphora pulchra", "Paphora robustior", "Papuandra araucariae", "Papuandra gressitti", "Papuandra norfolkensis", "Papuandra oberthueri", "Papuandra queenslandensis", "Papuandra rothschildi", "Papuandra weigeli", "Parabangalaia flavosignata", "Parabatyle sanguiniventris", "Parabiobessa ugandae", "Parabixadus brunneoplagiatus", "Parablabicentrus angustatus", "Parablepisanis feai", "Parablepisanis rufa", "Parabrimus alboscutellatus", "Parabrimidius ovalis", "Parabryna boudanti", "Parabryna polisana", "Parabunothorax rubripennis", "Parabybe subfoveolata", "Paracaciella sumatrana", "Paracallia bonaldoi", "Paracallia giesberti", "Paracalybistum intermedium", "Paracalybistum teocchii", "Paracalybistum villiersi", "Paracanista arachne", "Paracanthosybra vadoni", "Paracartus aureovitticollis", "Paracartus coffini", "Paracartus fasciculosus", "Paracedemon niger", "Paracedemon ruber", "Parachalastinus championi", "Parachalastinus flavescens", "Parachalastinus nigrescens", "Parachalastinus rubrocinctus", "Parachariesthes marshalli", "Parachelidonium trapezemaculatum", "Parachelidonium werneri", "Parachorenta demezi", "Parachydaeopsis laosica", "Parachydaeopsis shaanxiensis", "Paracleonice bivittata", "Paraclodia besucheti", "Paraclytus albiventris", "Paraclytus apicicornis", "Paraclytus assamensis", "Paraclytus emili", "Paraclytus excellens", "Paraclytus excultus", "Paraclytus gongshanus", "Paraclytus helenae", "Paraclytus intermedius", "Paraclytus irenae", "Paraclytus jii", "Paraclytus murzini", "Paraclytus ochrocaudus", "Paraclytus primus", "Orinoeme maxima", "Orinoeme nigripes", "Orinoeme obliquata", "Orinoeme papuana", "Orinoeme parterufotibialis", "Orinoeme proxima", "Orinoeme punctata", "Orinoeme puncticollis", "Orinoeme rosselli", "Orinoeme rotundipennis", "Orinoeme rubricollis", "Orinoeme rufipes", "Orinoeme rufitarsis", "Orinoeme stictica", "Orinoeme sulciceps", "Orinoeme szekessyi", "Orinoeme ternatensis", "Orinoeme tricolor", "Orinoeme unicoloripennis", "Orinoeme websteri", "Orinoeme xanthosticta", "Orion maurus", "Ornistomus bicinctus", "Ornistomus simulatrix", "Ornithia mexicana", "Oroderes bimaculata", "Mallinella filicata", "Oroderes humeralis", "Oroderes krueslerae", "Oroderes leai", "Oroderes mimula", "Oroderes minor", "Oroderes picta", "Oroderes uniformis", "Oroderes variabilis", "Oropyrodes maculicollis", "Oroxenofrea spiculata", "Orphnodula argyrosterna", "Orsidis acutipennis", "Orsidis andamanensis", "Orsidis flavosticticus", "Orsidis privatus", "Orsidis proletarius", "Orsidis singaporensis", "Orthochoriolaus chihuahuae", "Mallinella innovata", "Ortholeptura insignis", "Ortholeptura obscura", "Ortholeptura valida", "Orthomegas cinnamomeus", "Orthomegas folschveilleri", "Orthomegas fragosoi", "Orthomegas frischeiseni", "Orthomegas haxairei", "Orthomegas irroratus", "Orthomegas jaspideus", "Orthomegas marechali", "Orthomegas maryae", "Orthomegas monnei", "Orthomegas pehlkei", "Orthomegas similis", "Orthomegas sylvainae", "Pachydissus aurivillianus", "Pachydissus australasiae", "Pachydissus birmanicus", "Pachydissus boops", "Pachydissus camerunicus", "Pachydissus congolensis", "Pachydissus curvivittatus", "Pachydissus drumonti", "Pachydissus elegans", "Pachydissus evounai", "Pachydissus furcifer", "Pachydissus furvus", "Pachydissus garnieri", "Pachydissus hector", "Pachydissus intermedius", "Pachydissus langsonius", "Pachydissus leonardi", "Pachydissus magnus", "Pachydissus morettoi", "Pachydissus mulsanti", "Pachydissus natalensis", "Pachydissus nubilus", "Pachydissus obsolescens", "Pachydissus papuanus", "Pachydissus parvicollis", "Pachydissus patricius", "Pachydissus philemon", "Pachydissus picipennis", "Pachydissus probatus", "Pachydissus pullus", "Pachydissus regius", "Pachydissus rugosicollis", "Pachydissus samai", "Pachydissus schmutzenhoferi", "Pachydissus schoenigi", "Pachydissus sericus", "Pachydissus subauratus", "Pachydissus sweersensis", "Pachydissus tatei", "Pachydissus thibetanus", "Pachydissus vicarius", "Pachydissus vicinus", "Pachydissus grossepunctatus", "Pachydissus semiplicatus", "Pachylocerus bawangensis", "Pachylocerus corallinus", "Pachylocerus crassicornis", "Pachylocerus nayani", "Pachylocerus parvus", "Pachylocerus pilosus", "Pachylocerus plagiatus", "Pachylocerus sabahanus", "Pachylocerus sulcatus", "Pachylocerus unicolor", "Pachymeces ghesquierei", "Pachymerola mariaeugeniae", "Pachymerola ruficollis", "Pachymerola toledoi", "Pachymerola vitticollis", "Pachymerola wappesi", "Pachyosa atronotata", "Pachyosa cervinopicta", "Pachyosa guanyin", "Palame mimetica", "Palame vitticolle", "Palausybra chibi", "Palausybra vestigialis", "Palimna alorensis", "Palimna andamanica", "Palimna annulata", "Palimna formosana", "Palimna fukiena", "Palimna indica", "Palimna indosinica", "Palimna infausta", "Palimna palimnoides", "Palimna persimilis", "Palimna rondoni", "Palimna subrondoni", "Palimna sumatrana", "Palimna yunnana", "Palimnodes ducalis", "Pallidohecyra pallida", "Palpicrassus inexpectatus", "Panamapoda panamensis", "Pandrosos phtisicus", "Pandrosos proximus", "Panegyrtes apicale", "Panegyrtes basale", "Panegyrtes bifasciatus", "Panegyrtes crinitus", "Panegyrtes davidsoni", "Panegyrtes delicatus", "Panegyrtes fasciatus", "Panegyrtes fraternus", "Panegyrtes lactescens", "Panegyrtes maculatissimus", "Panegyrtes porosus", "Panegyrtes pseudolactescens", "Panegyrtes scutellatus", "Panegyrtes sparsepunctatus", "Panegyrtes striatopunctatus", "Panegyrtes varicornis", "Pannychella callicera", "Pannychina atripennis", "Pantilema angustum", "Pantomallus costipennis", "Pantomallus costulatus", "Pantomallus fuligineus", "Pantomallus martinezi", "Pantomallus morosus", "Pantomallus pallidus", "Pantomallus piruatinga", "Pantomallus proletarius", "Pantomallus reclusus", "Pantomallus rugosus", "Pantomallus sordidus", "Pantomallus tristis", "Pantonyssus bitinctus", "Pantonyssus erichsonii", "Pantonyssus flavipes", "Pantonyssus glabricollis", "Pantonyssus nigriceps", "Pantonyssus obscurus", "Pantonyssus pallidus", "Pantonyssus puncticollis", "Paraclytus raddei", "Paraclytus reitteri", "Paraclytus sapa", "Paraclytus scolopax", "Paraclytus shaanxiensis", "Paraclytus thibetanus", "Paraclytus vietnamicus", "Paraclytus wangi", "Asplenium simplicifrons", "Paraclytus yao", "Paracnemolia schoutedeni", "Paracoedomea strandi", "Paracolobizus adlbaueri", "Paracolobizus bicolor", "Paracolobizus mourgliai", "Paracomeron aurivilliusi", "Paracometes acutipennis", "Paracometes birai", "Paracometes eximius", "Paracometes mathani", "Paracometes micans", "Paracometes raberi", "Paracometes venustus", "Paracompsa flavofasciata", "Paracompsa latifascia", "Paracompsosoma humeralis", "Paracondyloides flavofasciatus", "Paracoptops basalis", "Paracoptops caledonicus", "Paracoptops djampeanus", "Paracoptops isabellae", "Paracoptops papuanus", "Paracoptops toxopoei", "Paracoptops unicolor", "Paracornallis multituberculata", "Paracorrhenes flavomaculata", "Paracorus mirei", "Paracorus praecox", "Paracrinarnoldius adlbaueri", "Paracriodion modestum", "Paracriodion morrisi", "Paracriodion romani", "Paracristenes fergussoni", "Paracristocentrus vadoni", "Paracrossotus multifasciculatus", "Paracyclotaenia strandi", "Paracyriothasastes marmoreus", "Paradandamis fuscovittata", "Paraderpas decellei", "Paradesisa borneensis", "Paradesisa mindanaonis", "Paradesmiphora amazonica", "Paradesmiphora farinosa", "Paradeucalion desertarum", "Paradiadelia bispinosa", "Paradiadelia mediofusca", "Paradiadelia rufotarsalis", "Paradiadelia tigrinata", "Paradiallus albomaculatus", "Paradiallus cabigasi", "Paradiallus flavolineatus", "Paraepepeotes westwoodii", "Paraesylacris bituberosa", "Paraesylacris columbiana", "Paraethecerus sexmaculatus", "Parafrea latevittata", "Parafreoides ghanaensis", "Paragaurotes doris", "Paraglenea atropurpurea", "Paraglenea chapaensis", "Paraglenea jiangfenglingensis", "Paraglenea latefasciata", "Paraglenea soluta", "Paraglenea swinhoei", "Paraglenea transversefasciata", "Paraglenea virides", "Paragnia fulvomaculata", "Paragolsinda fruhstorferi", "Paragolsinda obscura", "Paragolsinda siamensis", "Paragolsinda tonkinensis", "Paragortonia leptoforma", "Asplenium sulcatum", "Paragraciella schoutedeni", "Paragrynex ochreosparsus", "Paraguitelia basilewskyi", "Paraguitelia garambensis", "Paraguitelia pinheyi", "Paraguitelia problematica", "Parahephaestion brasiliensis", "Parahephaestion malleri", "Parahephaestion zikani", "Parahepomidion burgeoni", "Parahepomidion fossulatum", "Parahepomidion granulatum", "Parahepomidion granulipenne", "Parahepomidion hiermeieri", "Parahepomidion macrophthalmum", "Parahepomidion meruanum", "Parahepomidion nitidum", "Paraholopterus nahuelbutensis", "Parahyagnis bifuscoplagiatus", "Parahyagnis ficivorus", "Parahyllisia annamensis", "Parahyllisia hainanensis", "Parahyllisia indica", "Parahyphus cazeresae", "Parahyphus comusioides", "Parakimerus antamponensis", "Paralamiodorcadion schmidi", "Paralatisternum ochreofasciculosum", "Paralcidion bilineatum", "Paraleiopus sumatranus", "Paraleprodera bigemmata", "Paraleprodera bimaculata", "Paraleprodera bisignata", "Paraleprodera carolina", "Paraleprodera cordifera", "Paraleprodera corrugata", "Paraleprodera crucifera", "Paraleprodera diophthalma", "Paraleprodera epicedioides", "Paraleprodera flavoplagiata", "Paradiallus irroratus", "Paradiallus lumawigi", "Paradiallus duaulti", "Paradichostathes angolensis", "Paradichostathes curticornis", "Paradichostathes ghanaensis", "Paradidymocentrus maindroni", "Paradidymocentrus parterufipennis", "Paradiexia pellita", "Paradihammus ceylonicus", "Paradinocephalus collarti", "Paradiscopus maculatus", "Paradiscopus monteverdensis", "Paradjinga marmorata", "Paradocus albithorax", "Paradocus albovittatus", "Paradocus griseovittatus", "Paradocus kenyensis", "Paradocus maculicollis", "Paradocus multifasciculatus", "Paradoliops cabigasi", "Paradoliops humerosa", "Paradriopea birmanica", "Paradriopea definita", "Paradriopea elegans", "Paradriopea fruhstorferi", "Paradriopea griseofasciata", "Paradriopea immunda", "Paradriopea seorsa", "Paradriopea tenuis", "Paradrycothaea jamesi", "Paradrycothaea pilosicornis", "Paradyemus nodicollis", "Paradystus ceylonicus", "Paradystus infrarufus", "Paradystus innotatus", "Paradystus notator", "Paraeclipta bicoloripes", "Paraeclipta cabrujai", "Paraeclipta clementecruzi", "Paraeclipta croceicornis", "Paraeclipta flavipes", "Paraeclipta jejuna", "Paraeclipta kawensis", "Paraeclipta longipennis", "Paraeclipta melgarae", "Paraeclipta moscosoi", "Paraeclipta rectipennis", "Paraeclipta soumourouensis", "Paraeclipta tenuis", "Paraeclipta tomhacketti", "Paraeclipta unicoloripes", "Paraegocidnus feai", "Paraenicodes annulifer", "Paraepepeotes affinis", "Paraepepeotes albomaculatus", "Paraepepeotes breuningi", "Paraepepeotes gigas", "Paraepepeotes guttatus", "Paraepepeotes isabellinoides", "Paraepepeotes marmoratus", "Paraepepeotes szetschuanicus", "Paraepepeotes togatus", "Paraepepeotes websteri", "Oxycoleus carinatipennis", "Oxycoleus clavipes", "Oxycoleus culicinus", "Oxycoleus cyaneus", "Oxycoleus flavipes", "Oxycoleus gahani", "Oxycoleus gratiosus", "Mallinella filifera", "Oxycoleus laetus", "Oxycoleus obscurus", "Oxycoleus piceus", "Oxycoleus ruficollis", "Oxycoleus tristis", "Oxyhammus allardi", "Oxyhammus rubriceps", "Oxyhammus scutellaris", "Oxyhammus zanguebaricus", "Oxylamia bimarmorata", "Oxylamia binigrovitticollis", "Oxylamia biplagiata", "Oxylamia bitriangularis", "Oxylamia chopardi", "Oxylamia derolia", "Oxylamia distincta", "Oxylamia feai", "Oxylamia flavoguttata", "Oxylamia fulvaster", "Oxylamia guillemati", "Oxylamia hastiri", "Oxylamia methneri", "Oxylamia mimotrianguligera", "Oxylamia nimbae", "Oxylamia ochreostictica", "Oxylamia punctifrons", "Oxylamia ruficornis", "Oxylamia subderolia", "Oxylamia vagemarmorata", "Oxylamia tepahius", "Oxylamia trianguligera", "Oxylia duponchelii", "Mallinella advena", "Oxylymma caeruleocincta", "Oxylymma championi", "Oxylymma durantoni", "Oxylymma faurei", "Oxylymma gibbicollis", "Oxylymma lepida", "Oxylymma pallida", "Oxylymma sudrei", "Oxylymma telephorina", "Oxylymma tuberculicollis", "Oxymagis grandis", "Oxymagis grayii", "Oxymagis horni", "Oxymagis uniformis", "Oxymagis vitticollis", "Oxymerus aculeatus", "Oxymerus basalis", "Pyrrhura picta subandina", "Oxymerus bruchi", "Oxymerus chevrolatii", "Oxymerus lineatus", "Xanthorrhoea johnsonii", "Xanthorrhoea latifolia", "Potentilla rosulifera", "Xanthorrhoea macronema", "Xanthorrhoea malacophylla", "Pyrrhura picta eisenmanni", "Xanthorrhoea minor", "Mallinella tuberculata", "Mallinella atromarginata", "Xanthorrhoea quadrangulata", "Mallinella brachiata", "Mallinella platycera", "Mallinella cryptocera", "Mallinella callicera", "Xanthorrhoea resinosa", "Mallinella microcera", "Mallinella rostrata", "Mallinella bidenticulata", "Oplosia nubila", "Mallinella acanthoclada", "Oplosia suvorovi", "Opsamates angustatus", "Opsamates dimidiatus", "Opsamates flabellicornis", "Opsamates flavoapicalis", "Opsamates fuscipennis", "Opsamates fuscoapicalis", "Opsamates grandis", "Opsamates obscurus", "Opsamates pauliani", "Pyrrhura picta caeruleiceps", "Opsamates piceonitens", "Opsamates pustulosus", "Opsamates spinipennis", "Opsibidion albifasciatum", "Opsibidion albinum", "Opsibidion flavocinctum", "Mallinella multicornis", "Opsidota infecta", "Opsies capra", "Opsimus quadrilineatus", "Optomerus bispeculifer", "Optomerus roppai", "Optomerus rufotibialis", "Oraphanes binotatum", "Orcesis affinis", "Orcesis fuscoapicalis", "Orcesis ochreosignata", "Orcesis phauloides", "Orcesis unicolor", "Orcesis variegata", "Oregostoma bipartitum", "Oregostoma nigripes", "Oregostoma nitidiventre", "Oregostoma puniceum", "Oreodera achatina", "Oreodera aerumnosa", "Oreodera aestiva", "Oreodera affinis", "Parandra minuscula", "Parandra monnei", "Parandra separanda", "Parandra solisi", "Parandra thomasi", "Parandra ubirajarai", "Parandra conspicua", "Parandra expectata", "Parandra imitatrix", "Parandra tucumana", "Parandra brachyderes", "Parandra brevicollis", "Parandra colombica", "Parandra guianensis", "Parandra lalannecassouorum", "Parandra longicollis", "Aleochara planiventris", "Parandra santossilvai", "Parandra scaritoides", "Parandra solangeae", "Parandra villei", "Parandraceps turnbowi", "Parandrocephalus drescheri", "Asplenium theciferum", "Parandrocephalus eversor", "Paraneosybra fulvofasciata", "Paranhammus marcipor", "Paranicomia leucoma", "Paranicomia similis", "Paraniophis signatipes", "Paraniphona niphonoides", "Paraniphona rotundipennis", "Paranisopodus amoenus", "Paranisopodus araguaensis", "Paranisopodus genieri", "Paranisopodus granulosus", "Paranisopodus heterotarsus", "Paranisopodus hovorei", "Paranisopodus paradoxus", "Paranisopodus peruanus", "Paranitocris cyanipennis", "Paranitocris luci", "Paranomoderus perroti", "Paranonyma fairmairei", "Paranonyma invittata", "Paranonyma multilineata", "Paranonyma nigrosignata", "Paranonyma perrieri", "Paranoplium gracile", "Paranyssicus conspicillatus", "Paranyssicus quadriguttatus", "Paraocalemia longirostris", "Paraocalemia scita", "Parapantonyssus ipiri", "Parapeba lyciformis", "Parapeleconus latefasciatus", "Parapezus angolensis", "Paraphacodes triangulum", "Paramimistena brevis", "Paramimistena cooptata", "Paramimistena dembickyi", "Paramimistena duplicata", "Paramimistena enterolobii", "Paramimistena gracilicornis", "Paramimistena ikedai", "Paramimistena immaculicollis", "Paramimistena longicollis", "Paramimistena ovicollis", "Paramimistena polyalthiae", "Paramimistena rudis", "Paramimistena subglabra", "Paramimistena tricolor", "Paramimistena validicornis", "Paramimistena watanabei", "Paramispila bispecularis", "Paramispilopsis indica", "Paramoechotypa fasciculata", "Paramombasius pubicollis", "Paramonoxenus tuberculatus", "Paramoron diadematum", "Paramoron singulare", "Paramulciber flavosignatus", "Paramurosternum pictum", "Paramusonius affinis", "Paramusonius peyrierasi", "Paramussardia flavoscutellata", "Paramussardiana quadricostata", "Paramyrmecoclytus similis", "Paramyromeus loriai", "Paranaches simplex", "Paranaleptes giraffa", "Paranaleptes reticulata", "Paranamera excisa", "Paranamera malaccensis", "Paranamera oculata", "Paranandra aletretioides", "Paranandra andamanensis", "Paranandra ceylonica", "Paranandra interrupta", "Paranandra keyensis", "Paranandra laosensis", "Paranandra plicicollis", "Paranandra strandiella", "Paranandra vittula", "Parananilla mexicana", "Paranaspia anaspidoides", "Paranaspia coccinea", "Paranaspia erythromelas", "Paranaspia frainii", "Paranaspia inadai", "Paranaspia rubidata", "Paranaspia ruficollis", "Paranaspia yayeyamensis", "Paranauxesis antennalis", "Parancylistes pictus", "Parandra barclayi", "Parandra brasilica", "Parandra gilloglyi", "Parandra glaberrima", "Parandra glabra", "Parandra humboldti", "Paraphanis rougemonti", "Paraphemone multimaculata", "Paraphilomecyna hiekei", "Paraphloeopsis papuana", "Paraphosphorus bipunctatus", "Paraphosphorus hololeucus", "Paraphrodisium sinense", "Paraphronastes biocellatus", "Paraphryneta allardi", "Paraphryneta guttata", "Paraphryneta rubeta", "Paraphygopoda albitarsis", "Paraphygopoda nappae", "Paraphygopoda viridimicans", "Paraplagiomus namibianus", "Paraplagiomus tragiscoides", "Paraplanodes granulatocostatus", "Paraplanodes simplicicornis", "Parapolyacanthia assimilis", "Parapolyacanthia trifolium", "Parapolytretus rugosus", "Parapomempsoides camerunica", "Paraprobatius bucki", "Paraprotomocerus allardi", "Parapsilotarsus potaninei", "Parapythais melzeri", "Pararhopaloscelides sericeipennis", "Pararondibilis acrosa", "Pararondibilis eluta", "Pararondibilis macularia", "Pararondibilis sikkimensis", "Pararopica brunnea", "Parasalpinia copei", "Parasalpinia kojimai", "Parasalpinia laosensis", "Parasalvazaon apicicorne", "Paraschoenionta shelfordi", "Parasemnus regalis", "Parasemolea boliviana", "Paraserixia borneensis", "Paraserixia flava", "Paraskeletodes gracilis", "Parasmermus tonkinensis", "Parasolymus multiguttatus", "Parasolymus sjoestedti", "Parasophronica albomaculata", "Parasophronica strandiella", "Parasophronicomimus ruber", "Parasophroniella birmanica", "Parasophroniella javanica", "Parasophroniella nigriscapus", "Parasophroniella tonkinensis", "Parasphallenum fulguratum", "Paraspilotragus diversevittatus", "Parastathes basalis", "Parastathes flavicans", "Parastathes moultoni", "Parastathes trusmadianus", "Parastathes apicalis", "Parastenostola brunnipes", "Parastenostola nigroantennata", "Parastesilea alboscutellaris", "Parastesilea grisescens", "Parastesilea latefasciata", "Parastesilea scutellaris", "Parasthenias fulvotomentosus", "Parastizocera procera", "Parastrangalis addenda", "Parastrangalis ambigua", "Parastrangalis andrei", "Parastrangalis ascita", "Parastrangalis aurigena", "Parastrangalis bisbidentata", "Parastrangalis chekianga", "Parastrangalis cognata", "Parastrangalis communis", "Parastrangalis congesta", "Parastrangalis congruens", "Parastrangalis consortaria", "Parastrangalis crebrepunctata", "Parastrangalis dalihodi", "Parastrangalis decepta", "Parastrangalis denticulata", "Parastrangalis diffluata", "Parastrangalis distinguenda", "Parastrangalis emotoi", "Parastrangalis eucera", "Parastrangalis holzschuhi", "Parastrangalis houhensis", "Parastrangalis impressa", "Parastrangalis inarmata", "Parastrangalis insignis", "Parastrangalis interruptevittata", "Parastrangalis intrusa", "Parastrangalis ishigakiensis", "Parastrangalis jaroslavi", "Parastrangalis jucunda", "Parastrangalis lateristriata", "Parastrangalis lesnei", "Parastrangalis lineigera", "Parastrangalis lineigeroides", "Parastrangalis madarici", "Parastrangalis maridae", "Parastrangalis meridionalis", "Parastrangalis mitonoi", "Parastrangalis munda", "Parastrangalis negligens", "Parastrangalis nymphula", "Parastrangalis oberthuri", "Parastrangalis palleago", "Parastrangalis pallescens", "Parastrangalis palpalis", "Parastrangalis parva", "Parastrangalis phantoma", "Parastrangalis potanini", "Parastrangalis protensa", "Mallinella convolutiva", "Parastrangalis puliensis", "Parastrangalis sculptilis", "Parastrangalis shaowuensis", "Parastrangalis shikokensis", "Parastrangalis subapicalis", "Parastrangalis taiwanensis", "Parastrangalis testaceicornis", "Parastrangalis tristicula", "Parastrangalis vicinula", "Pelossus angolanus", "Asplenium thunbergii", "Asplenium auriculatum", "Asplenium trichomanes subsp. trichomanes", "Pelossus apicalis", "Pelossus becki", "Pelossus becvari", "Pelossus clarki", "Pelossus clavipes", "Pelossus costatus", "Pelossus holoniger", "Pelossus kalimantanus", "Pelossus latefemoratus", "Pelossus longicornis", "Pelossus marleyi", "Pelossus maruyamai", "Pelossus obscurus", "Pelossus philippinensis", "Pelossus ruber", "Pelossus rugosiscapus", "Pelossus similis", "Pelossus sudrei", "Pelossus unicolor", "Pelossus wakabayashii", "Pembius antennalis", "Pempsamacra argentata", "Pempsamacra carteri", "Pempsamacra condita", "Pempsamacra dispersa", "Pempsamacra pygmaea", "Pempsamacra tillides", "Pempteurys sericans", "Pemptolasius humeralis", "Penaherreraus batesi", "Penaherreraus bilineatus", "Penaherreraus centrolineatus", "Penaherreraus guianensis", "Penaherreraus pradosiae", "Paravelleda kenyensis", "Paravelleda nyassana", "Paravelleda orientalis", "Paravelleda pulchra", "Paravelleda tanganjicae", "Paraxenolea indica", "Paraxylocrius testaceus", "Paraxylocrius verigai", "Paraxylotoles setipennis", "Parazorilispe crassicornis", "Parazosmotes deceptor", "Parazosmotes scincus", "Parazosne estanleyi", "Parazosne leucospilota", "Parazosne sangirica", "Pardaloberea curvaticeps", "Pareccrisis velutina", "Parecharista decorata", "Parechthistatus chinensis", "Parechthistatus gibber", "Parechthistatus sangzhiensis", "Parectatina signata", "Parectatosia borneensis", "Parectatosia robusta", "Parectatosia valida", "Parecyroschema cristipenne", "Parelaphidion aspersum", "Parelaphidion incertum", "Parelaptus kuenckeli", "Parelaptus turlini", "Parelaptus viossati", "Paremeopedus minimus", "Paremeopedus tiliacei", "Paremeopedus wakensis", "Parentelopes albomaculatus", "Parentelopes kalimantanus", "Pareoporis nigrosignata", "Parepectasoides boliviana", "Parepicedia fimbriata", "Parepilysta granulipennis", "Parepilysta granulosa", "Parepilysta puncticollis", "Parepilysta strandi", "Parepilysta wiedenfeldi", "Parepilysta woodlarkiana", "Parepilysta subfasciata", "Parepilysta basigranosa", "Parepilysta enganensis", "Parepilysta luzonica", "Parepilysta mindoroensis", "Parepilysta ochreoguttata", "Parepilysta papuana", "Parepilysta sedlaceki", "Parepilysta semperi", "Parepilysta striatipennis", "Parepimelitta barriai", "Parepimelitta femoralis", "Parereis javanica", "Pareryssamena fuscosignata", "Paressisus viridipennis", "Parestola hoegei", "Parestola zapotensis", "Paretaxalus mucronatus", "Paretaxalus sandacanus", "Parastrangalis yanoi", "Parastrongylaspis linsleyi", "Parastrongylaspis thomasi", "Parasulenus affinis", "Parasulenus lebisi", "Parasulenus viossati", "Parasulenus vittipennis", "Parasumelis mirei", "Parasybra griseovaria", "Parasybropis gilmouri", "Parateledapus gibbus", "Paratemnopis ambigua", "Paratenthras martinsi", "Paratessaropa brachyptera", "Paratetroplon michelroberti", "Paratheocris haltica", "Paratheocris lunulata", "Paratheocris mimetica", "Paratheocris obliqua", "Paratheocris olivacea", "Paratheocris similis", "Paratheocris viridis", "Mallinella vulpina", "Paratheresina papuana", "Parathetesis convergens", "Parathyastus alboconspersus", "Parathyastus flavoguttatus", "Parathylactus dorsalis", "Parathylactus sumatranus", "Parathylia diversicornis", "Paratiaia hulini", "Paratimia conicola", "Paratimiola rondoni", "Paratlepolemoides spiniscapus", "Paratophysis sericea", "Paratrachysomus huedepohli", "Paratragon jadoti", "Paratragon tragonoides", "Paratrichonius caesius", "Paratritania alternans", "Paratropidema ochreithorax", "Paratrypanius bipunctatus", "Paratrypanius flavovittatus", "Paratrypanius savaiiensis", "Paratybe snizeki", "Mallinella vulparia", "Parauna zikani", "Parauxa alluaudii", "Parauxa nitida", "Parauxa puncticollis", "Parauxa rufoantennata", "Parauxa strandiella", "Parauxa striolata", "Parauxa tenuis", "Parauxesis cicatricosa", "Parauxesis juheli", "Parauxesis machadoi", "Parauxesis werneri", "Paravelleda aberrans", "Paravelleda acuminata", "Paravelleda albofasciata", "Paravelleda bispinosa", "Paravelleda gedeensis", "Paravelleda grisescens", "Paroriaethus multispinis", "Paroricopis latefasciatus", "Parorsidis ceylanica", "Parorsidis delevauxi", "Parorsidis nigrosparsa", "Parorsidis rondoni", "Parorsidis transversevittata", "Parothelais sericans", "Paroxoplus ornaticollis", "Paroxoplus poecilus", "Parozodera chemsaki", "Parozodera farinosa", "Parozodes erythrocephalus", "Parozodes pilosus", "Parunxia scopifera", "Paruraecha sikkimensis", "Paruraecha szetschuanica", "Paruraecha acutipennis", "Paruraecha submarmorata", "Pascoea augustana", "Pascoea bilunata", "Pascoea bimaculata", "Pascoea brunneoalba", "Mallinella cryptomembrana", "Pascoea coeruleogrisea", "Pascoea degenerata", "Pascoea dohrnii", "Pascoea exarata", "Pascoea idae", "Pascoea meeki", "Pascoea mimica", "Pascoea parcemaculata", "Pascoea spinicollis", "Pascoea thoracica", "Pascoea torricelliana", "Pascoea undulata", "Pascoea wareoensis", "Pascoetrephus hefferni", "Pascoetrephus inscitus", "Pascoetrephus klimenkoi", "Pascoetrephus ranongensis", "Pasiphyle mystica", "Pattalinus charis", "Pattalinus cultus", "Pattalinus griseolus", "Pattalinus lineatus", "Pattalinus strigosus", "Pattalinus vittulatus", "Pattalinus mirificus", "Paulianacmaeops decoratus", "Paulianometallyra jacksoni", "Paulianometallyra tanganycae", "Pavieia superba", "Peblephaeus decoloratus", "Peblephaeus ishigakianus", "Peblephaeus lutaoensis", "Peblephaeus nobuoi", "Peblephaeus okinawanus", "Peblephaeus satoi", "Peblephaeus yayeyamai", "Peblephaeus yonagunii", "Parmena unifasciata", "Parmenolamia unifasciata", "Parmenonta albisetosa", "Parmenonta albosticta", "Parmenonta chapadensis", "Parmenonta fulvosticta", "Parmenonta insularis", "Parmenonta laevepunctata", "Parmenonta lenticula", "Parmenonta maculata", "Parmenonta minor", "Parmenonta ovatula", "Parmenonta parallela", "Parmenonta punctigera", "Parmenonta strandiella", "Parmenonta thomasi", "Parmenonta valida", "Parmenonta wickhami", "Parmenosoma griseum", "Parmenosoma villosa", "Parmenospina delatourei", "Parobages strandi", "Parobereopsis bartolozzii", "Parobereopsis nigrosternalis", "Paroeax nasicornis", "Paroeax schoutedeni", "Paroectropsis decoratus", "Paroecus celebensis", "Paroecus charpentierae", "Paroecus rigidus", "Paroeme annulipes", "Paroeme basilewskyi", "Paroeme elongata", "Mallinella apodysocrina", "Paroeme flava", "Paroeme inermis", "Paroeme laticornis", "Paroeme maynei", "Paroeme meridionalis", "Paroeme montana", "Paroeme murphyi", "Paroeme nigripes", "Paroeme orientalis", "Paroeme semifemorata", "Paroeme setosa", "Paroeme similis", "Paroeme verrucifer", "Parolamia rudis", "Parolesthes laosensis", "Paroligopsis aurivilliusi", "Paromelix unicolor", "Parommidion extricatum", "Parommidion inauditum", "Paromoeocerus notabilis", "Paromoeocerus scabricollis", "Paromoeocerus stictonotus", "Paromoeocerus vestitus", "Paroopsis eumilis", "Paroplites aurivillii", "Mallinella mucocrina", "Paroplites australis", "Paroplites edwardsii", "Paroplites inermis", "Paroplites ritsemai", "Pectinocallimus befui", "Mallinella proboscidea", "Pectinocallimus malayanus", "Pectinocallimus sericeus", "Pectinopsebium mourgliai", "Pectoctenus babaulti", "Pectoctenus bryanti", "Pectoctenus scalabrii", "Pedostrangalia afghanistana", "Pedostrangalia imberbis", "Pedostrangalia muneaka", "Pedostrangalia nobilis", "Pedostrangalia quadrimaculata", "Pedostrangalia rubricosa", "Pedostrangalia signifera", "Pedostrangalia tokatensis", "Pedostrangalia tricolorata", "Pedostrangalia ulmi", "Pedostrangalia adaliae", "Pedostrangalia ariadne", "Pedostrangalia emmipoda", "Pedostrangalia kurda", "Pedostrangalia raggii", "Pedostrangalia riccardoi", "Pedostrangalia verticalis", "Pedostrangalia verticenigra", "Peithona prionoides", "Pelargoderus albopunctatus", "Pelargoderus alcanor", "Pelargoderus arouensis", "Pelargoderus assimilis", "Pelargoderus basalis", "Pelargoderus bipunctatus", "Pelargoderus celebensis", "Pelargoderus cincticornis", "Pelargoderus dibbhincksi", "Pelargoderus djampeanus", "Mallinella cuspidatissima", "Pelargoderus flavicornis", "Pelargoderus fulvoirroratus", "Pelargoderus luteosparsus", "Pelargoderus luzonicus", "Pelargoderus malaccensis", "Pelargoderus marginipennis", "Pelargoderus niger", "Pelargoderus papuanus", "Pelargoderus rubropunctatus", "Pelargoderus salomonum", "Pelargoderus semitigrinus", "Pelargoderus sijthoffii", "Pelargoderus siporensis", "Pelargoderus stellatus", "Pelargoderus sumatranus", "Pelargoderus trigonalis", "Pelargoderus vittatus", "Pelargoderus vitticollis", "Pelargoderus waigeuensis", "Pelidnopedilon angustus", "Pelidnopedilon delagoae", "Pelidnopedilon delahayei", "Pelidnopedilon murphyi", "Pelidnopedilon protractum", "Peloconus junodi", "Peloconus teocchii", "Paraleprodera insidiosa", "Paraleprodera itzingeri", "Paraleprodera javanica", "Paraleprodera laosensis", "Paraleprodera malaccensis", "Paraleprodera mesophthalma", "Paraleprodera stephana", "Paraleprodera tonkinensis", "Paraleprodera triangularis", "Paraleprodera vicina", "Paraleptidea femorata", "Paraleptidea longitarsis", "Paraleptidea sanmartini", "Paraleptoeme brunnea", "Paraliostola durantoni", "Paraliostola nigramacula", "Paralissoeme maculipennis", "Paralogisticus drumonti", "Paralogisticus pauliani", "Paralophia quadrinodosa", "Paralychrosimorphus rondoni", "Paralygesis christiani", "Paralygesis demezi", "Paralygesis monteithi", "Paralygesis vulnerata", "Paramacrotoma dimidiaticornis", "Paramacrotoma gardneri", "Paramacrotoma kolbei", "Paramacrotoma scabridorsis", "Paramallosia afghanica", "Paramartinsia quadrimaculata", "Asplenium surrogatum", "Paramblesthidopsis ochreosignata", "Paramblymora affinis", "Paramblymora sarasini", "Paramecyna delkeskampi", "Paramecyna kaszabi", "Paramecyna strandiella", "Paramecyna variegata", "Paramelanauster bimaculatus", "Paramelanauster flavosparsus", "Paramelitta aglaia", "Paramelitta wappesi", "Paramenesia kasugensis", "Paramenesia nigrescens", "Paramenesia subcarinata", "Paramenyllus albolateralis", "Paramesosella affinis", "Paramesosella alboplagiata", "Paramesosella chassoti", "Paramesosella fasciculata", "Paramesosella gigantea", "Paramesosella maxima", "Paramesosella medioalba", "Paramesosella plurifasciculata", "Paramesosella stheniformis", "Paramesosella sthenioides", "Parametopides griseolateralis", "Parametopides niveoscutellatus", "Paramigdolus tetropioides", "Paramimiculus pterolophioides", "Paramimistena assimilata", "Penaherreraus pubicornis", "Penaherreraus sarryi", "Penhammus pauper", "Pentacosmia cacioides", "Pentacosmia conferta", "Pentacosmia scoparia", "Pentacosmia tasmanica", "Pentanodes albofasciatus", "Pentanodes dietzii", "Pentheochaetes apicalis", "Pentheochaetes argentinus", "Pentheochaetes mysticus", "Pentheochaetes trinidadensis", "Pentheochaetes turbidus", "Pentheopraonetha latifrons", "Penthides anilis", "Penthides flavus", "Penthides modestus", "Penthides rufoflavus", "Perarthrus linsleyi", "Perarthrus pallidus", "Perarthrus vittatus", "Periaptodes frater", "Periaptodes lictor", "Periaptodes olivieri", "Periaptodes paratestator", "Periaptodes potemnemoides", "Periaptodes testator", "Peribasis guttata", "Peribasis helenor", "Peribasis larvata", "Peribasis pubicollis", "Periboeum acuminatum", "Periboeum aduncum", "Periboeum atylodes", "Periboeum bolivianum", "Periboeum dilectum", "Periboeum maculatum", "Periboeum metallicum", "Periboeum obscuricorne", "Periboeum ocellatum", "Periboeum paraense", "Periboeum paucispinum", "Periboeum piliferum", "Periboeum pubescens", "Periboeum spinosum", "Periboeum terminatum", "Periboeum umbrosum", "Periboeum vicinum", "Pericasta virescens", "Pericorus piliger", "Pericycos fruhstorferi", "Pericycos philippinensis", "Pericycos princeps", "Pericycos sulawensis", "Pericycos teragramus", "Pericycos varieguttatus", "Periergates badeni", "Periergates chiriquensis", "Periergates rodriguezi", "Perigracilia delicata", "Perigracilia tenuis", "Perilasius brunneus", "Perilasius championi", "Pareunidia griseovittata", "Pareuseboides albomarmoratus", "Pareutaenia arnaudi", "Pareutaenia flavostellata", "Pareutetrapha eximia", "Pareutetrapha magnifica", "Pareutetrapha nigrimaculata", "Pareutetrapha olivacea", "Pareutetrapha simulans", "Pareutetrapha sylvia", "Pareutetrapha weixensis", "Parevander hovorei", "Parevander nietii", "Parevander nobilis", "Parevander unicolor", "Parevander xanthomelas", "Parexarrhenus excellens", "Parexocentrus transversefasciatus", "Parhaplothrix margaretae", "Parhaplothrix strandi", "Parhaplothrix sulphureus", "Parhaplothrix szetschuanicus", "Parhecyra costata", "Parhippopsicon albicans", "Parhippopsicon albosuturale", "Parhippopsicon albovittatum", "Parhippopsicon clarkei", "Parhippopsicon flavicans", "Parhippopsicon truncatipenne", "Parhippopsicon vittipenne", "Parhippopsis columbiana", "Parichthyodes samoana", "Paridactus idactiformis", "Paridactus tarsalis", "Paripochira excavatipennis", "Paripochira griseosignata", "Paripocregyes brunneomaculatus", "Paripocregyes fuscovittatus", "Paripocregyes terminaliae", "Pariproca spinipennis", "Parischasia champenoisi", "Parischasia ligulatipennis", "Parischnolea excavata", "Parischnolea jatai", "Parmena algirica", "Parmena aurora", "Parmena balearica", "Parmena balteus", "Parmena bialookii", "Parmena bicincta", "Parmena breuningi", "Parmena cruciata", "Parmena europaea", "Parmena istanbulensis", "Parmena lukati", "Parmena meregallii", "Parmena mutilloides", "Mallinella axillocrina", "Parmena novaki", "Parmena pubescens", "Parmena slamai", "Parmena solieri", "Parmena striatopunctata", "Parmena subpubescens", "Perimonochamus onorei", "Perissomerus flammeus", "Perissomerus machadoi", "Perissomerus rubrus", "Perissus aemulus", "Perissus albobifasciatus", "Perissus alticollis", "Perissus andreae", "Perissus angusticinctus", "Perissus antennatus", "Perissus aper", "Perissus apicicornis", "Perissus arisanus", "Perissus asperatus", "Perissus atronotatus", "Perissus bauhiniae", "Perissus biluteofasciatus", "Perissus chapaanus", "Perissus cinericius", "Perissus confertus", "Perissus copei", "Perissus crassicollis", "Perissus dalbergiae", "Perissus declaratus", "Perissus delectus", "Perissus delerei", "Perissus demonacoides", "Perissus dilatus", "Perissus dohertii", "Perissus elongatus", "Perissus fairmairei", "Perissus filipes", "Perissus fuliginosus", "Perissus fulvopictus", "Perissus glaucinus", "Perissus globithorax", "Perissus grallarius", "Perissus granulithorax", "Perissus griseofasciatus", "Perissus griseus", "Perissus hooraianus", "Perissus indistinctus", "Perissus intersectus", "Perissus jiuzhaigouensis", "Perissus kankauensis", "Perissus kiangsuensis", "Perissus kimi", "Perissus kiusiuensis", "Perissus laetus", "Perissus latepubens", "Perissus luteofasciatus", "Perissus luteonotatus", "Perissus magdalenae", "Perissus mimicus", "Perissus multifenestratus", "Perissus mutabilis", "Perissus myops", "Perissus nilgiriensis", "Perissus octopunctatus", "Perissus ogasawarensis", "Perissus pacholatkoi", "Perissus parvulus", "Perissus paulonotatus", "Perissus perfluus", "Phacodes montdoensis", "Phacodes mossmanni", "Phacodes obscurus", "Phacodes occidentalis", "Phacodes personatus", "Phacodes singularis", "Phacodes solandri", "Phacodes tenuitarsis", "Phacodes validus", "Phaea acromela", "Phaea andrewsi", "Phaea astatheoides", "Phaea beierli", "Phaea biplagiata", "Phaea brevicornis", "Phaea bryani", "Phaea canescens", "Phaea carnelia", "Phaea chemsaki", "Phaea coccinea", "Phaea copei", "Phaea crocata", "Phaea elegantula", "Phaea erinae", "Phaea eyai", "Phaea flavovittata", "Phaea giesberti", "Phaea haleyae", "Phaea hatsueae", "Phaea hoegei", "Phaea hovorei", "Phaea howdenorum", "Phaea janzeni", "Phaea johni", "Phaea juanitae", "Phaea kaitlinae", "Phaea kellyae", "Phaea lateralis", "Phaea laurieae", "Phaea lawi", "Phaea lingafelteri", "Phaea linsleyi", "Phaea maccartyi", "Phaea mankinsi", "Phaea mariae", "Phaea marthae", "Phaea maryannae", "Phaea maxima", "Phaea miniata", "Phaea mirabilis", "Phaea monostigma", "Phaea nigripennis", "Phaea nigromaculata", "Phaea noguerai", "Phaea paralella", "Phaea phthisica", "Phaea rosea", "Phaea rubella", "Phaea rufiventris", "Phaea saperda", "Phaea scuticollis", "Phaea semirufa", "Phaea sharonae", "Phaea sherylae", "Phaea signaticornis", "Phaea tenuata", "Phaea tricolor", "Phaea turnbowi", "Phaea vitticollis", "Phaea wappesi", "Phaedinus abnormalis", "Phaedinus carbonelli", "Phaedinus corallinus", "Phaedinus flavipes", "Phaedinus hirtipes", "Phaedinus lanio", "Phaedinus margaritae", "Phaedinus martii", "Phaedinus pictus", "Phaedinus rubrus", "Phaedinus schaufussi", "Phaedinus tricolor", "Phalota binocularis", "Phalota collaris", "Phalota obscura", "Phalota rufiventris", "Phalota tenella", "Phalota vittata", "Phanis armicollis", "Phanis tanganjicae", "Phantasis ardoini", "Phantasis avernica", "Phantasis carinata", "Phantasis gigantea", "Phantasis nodulosa", "Phantasis sansibarica", "Phantasis satanica", "Phantasis stupida", "Phantasis tenebricosa", "Phantazoderus frenatus", "Phantissus citatus", "Phantissus variegatus", "Phaolus metallicus", "Pharcidodes divisus", "Pharcidodes nigripennis", "Pharcidodes rubiginosus", "Pharcidodes suturalis", "Pharsalia andoi", "Pharsalia borneensis", "Pharsalia cameronhighlandica", "Pharsalia dunni", "Pharsalia duplicata", "Pharsalia gibbifera", "Pharsalia lentiginosa", "Pharsalia malasiaca", "Pharsalia mandli", "Pharsalia matangensis", "Pharsalia mortalis", "Pharsalia obliquemaculata", "Pharsalia ochreomaculata", "Pharsalia ochreopunctata", "Pharsalia ochreostictica", "Pharsalia patrona", "Pharsalia philippinensis", "Pharsalia proxima", "Pharsalia pulchra", "Pharsalia pulchroides", "Pharsalia saperdoides", "Pharsalia setulosa", "Pharsalia strandi", "Pharsalia supposita", "Pharsalia suturalis", "Pharsalia thibetana", "Pharsalia tonkinensis", "Pharsalia trimaculipennis", "Pharsalia truncatipennis", "Pharsalia variegata", "Pharsalia antennata", "Pharsalia jaccoudi", "Pharsalia subgemmatus", "Pharsalia biplagiata", "Pharsalia clara", "Pharsalia claroides", "Pharsalia granulipennis", "Pharsalia implagiata", "Pharsalia indica", "Pharsalia nicobarica", "Phasganocnema garnieri", "Phasganocnema melanianthe", "Phaula antiqua", "Phaula bullula", "Phaula microsticta", "Phaula thomsonii", "Phelipara affinis", "Phelipara assamana", "Phelipara clarior", "Phelipara confusa", "Phelipara indica", "Phelipara lineata", "Phelipara marmorata", "Phelipara mindanaonis", "Phelipara minor", "Phelipara moringae", "Phelipara nebulosa", "Phelipara pseudomarmorata", "Phelipara radovskyi", "Phelipara sabahensis", "Phelipara saigonensis", "Phelipara submarmorata", "Phelipara subvittata", "Phelipara balteata", "Phelipara flavovittata", "Phelipara laosensis", "Phelocalocera peregrina", "Phelocalocera queketti", "Phelocalocerella albonotata", "Phemonoides ochreosticticus", "Phemonopsis cylindricus", "Phemonopsis grossepunctatus", "Phesates ferrugatus", "Phesates uniformis", "Phesatiodes fuscosignatus", "Phespia cercerina", "Phespia corinna", "Phespia gibbosa", "Phespia simulans", "Philematium astaboricum", "Philematium calcaratum", "Philematium dives", "Philematium festivum", "Hymenasplenium hondoense", "Asplenium insulanum", "Philematium ghesquierei", "Philematium greeffi", "Philematium lamottei", "Philematium legalli", "Philematium longiceps", "Philematium rugosum", "Philematium swahili", "Philematium vinaceum", "Philicus bicolor", "Philicus dialloides", "Philicus discomaculicollis", "Philicus floresicus", "Philicus griseoguttatus", "Philicus ochreoguttatus", "Philicus rotundipennis", "Philicus strandi", "Philicus trifasciatus", "Philicus griseipennis", "Philomeces agouensis", "Philomeces albicrus", "Philomeces gracilipes", "Philomeces integricollis", "Philomeces melasomus", "Philomeces phrosynoides", "Philomeces primoti", "Philomeces rusoscapodus", "Philomeces thomensis", "Philomecyna allardi", "Philomecyna camerunica", "Philomecyna fuscicollis", "Philomecyna kivuensis", "Philomecyna leleupi", "Philomecyna persimilis", "Philomecyna pilosella", "Philomecyna rufoantennalis", "Philomecyna spinosa", "Philomecyna tanganjicae", "Philotoceraeoides albulus", "Philotoceraeoides multilineatus", "Philotoceraeus descarpentriesi", "Philotoceraeus visendus", "Philotokeropsis burlischi", "Philus antennatus", "Philus costatus", "Philus curticollis", "Philus globulicollis", "Philus longipennis", "Philus lumawigi", "Philus neimeng", "Philus ophthalmicus", "Philus pallescens", "Philus rufescens", "Phimosia ebenina", "Phitryonus cyanipennis", "Phitryonus luteicornis", "Phlaeopsis albomaculata", "Perissus persimilis", "Perissus pulcherrimus", "Perissus quadrimaculatus", "Perissus quercus", "Perissus rayus", "Perissus rhabdotus", "Perissus rhaphumoides", "Perissus rubricollis", "Perissus ruficornis", "Perissus scabrosus", "Perissus scutellatus", "Perissus testaceoapicalis", "Perissus thibetanus", "Perissus trabealis", "Perissus tristiculus", "Perissus trizonatus", "Perissus tsutsumii", "Perissus turbidus", "Perissus variesignatus", "Perissus wenroncheni", "Peritapnia fabra", "Peritapnia minima", "Peritapnia nudicornis", "Peritapnia pilosa", "Peritragus apicalis", "Peritragus laetula", "Peritragus nigroapicalis", "Peritragus similis", "Peritrox denticollis", "Peritrox marcelae", "Peritrox nigromaculatus", "Peritrox perbra", "Peritrox vermiculatus", "Pertyia sericea", "Peruanus serricornis", "Petraphuma allegoria", "Petraphuma boreolaosica", "Petraphuma boreovietnamica", "Petraphuma meridiosinica", "Petraphuma meridiovietnamica", "Petraphuma sulphurea", "Petrognatha gigas", "Petromorphus yunnanus", "Peyeremoceras surcoufi", "Phacellocera plumicornis", "Phacellocerina limosa", "Phacellocerina seclusa", "Phacellocerina silvanae", "Phacellus boryi", "Phacellus castaneus", "Phacellus cuvieri", "Phacellus dejeanii", "Phacellus fulguratus", "Phacellus latreillei", "Phacodes bellus", "Phacodes distinctus", "Phacodes elusus", "Phacodes essingtoni", "Phacodes ferrugineus", "Phacodes fuscus", "Phacodes longicollis", "Phacodes marmoratus", "Phacodes mirabilis", "Phacodes modicus", "Asplenium variabile", "Asplenium vieillardii", "Cymbidium suave", "Asplenium wilfordii", "Calantica moskalevi", "Phlaeopsis minuta", "Phlaeopsis olivescens", "Phlaeopsis pubescens", "Phlaeopsis viridescens", "Phloeus brevis", "Phloeus ruber", "Phlyarus basalis", "Phlyarus cristatus", "Phlyarus microspinicollis", "Phlyarus multicarinipennis", "Phlyarus rufoscapus", "Phlyarus basirufipennis", "Phlyarus bulbicollis", "Phlyarus thailandensis", "Phlyarus tubericollis", "Phlyctaenodes auratus", "Phlyctaenodes pustulatus", "Phlyctaenodes pustulosus", "Phlyctaenodes queenslandicus", "Phlyctaenodes sordidus", "Phlyctenosis alluaudi", "Phlyctenosis asperata", "Phlyctenosis bryanti", "Phlyctenosis crassa", "Phlyctenosis danielae", "Phlyctenosis denticornis", "Phlyctenosis fairmairei", "Phlyctenosis gracilicornis", "Phlyctenosis laeta", "Phlyctenosis micros", "Phlyctenosis mirabilis", "Phlyctenosis mourgliai", "Phlyctenosis peyrierasi", "Phlyctenosis prosti", "Phlyctenosis robinsoni", "Phlyctenosis rubra", "Phlyctenosis vicina", "Phoebe bicornis", "Phoebe birai", "Phoebe cava", "Phoebe concinna", "Phoebe cornuta", "Phoebe fryana", "Phoebe goiana", "Phoebe luteola", "Phoebe mafra", "Phoebe magisterbira", "Phoebe mexicana", "Mallinella cuspidata", "Phoebe nivea", "Phoebe ornator", "Phoebe phoebe", "Phoebe spegazzinii", "Phoebe subalbaria", "Phoebe tinga", "Phoebella albomaculata", "Phoebemima aequatoria", "Phoebemima antiqua", "Phoebemima ensifera", "Phoebemima teteia", "Phoebemima theaphia", "Asplenium haenkei", "Asplenium scortechinii", "Asplenium attenuatum", "Asplenium fragrans", "Phoenicus sanguinipennis", "Phoenidnus lissonotoides", "Phoracantha acanthocera", "Phoracantha alternata", "Phoracantha ancoralis", "Phoracantha complicata", "Phoracantha concolor", "Phoracantha cruciata", "Phoracantha elegans", "Phoracantha flavopicta", "Phoracantha frenchi", "Phoracantha freyi", "Phoracantha grallaria", "Phoracantha guttata", "Phoracantha immaculata", "Phoracantha impavida", "Phoracantha laetabilis", "Phoracantha lata", "Phoracantha longipennis", "Phoracantha manifesta", "Phoracantha mastersii", "Phoracantha mitchelli", "Phoracantha montana", "Phoracantha multiformis", "Phoracantha niamata", "Phoracantha northamensis", "Phoracantha odewahnii", "Phoracantha perbella", "Phoracantha phaea", "Phoracantha placenta", "Phoracantha porosa", "Phoracantha princeps", "Phoracantha punctipennis", "Phoracantha recurva", "Phoracantha rugithoracica", "Phoracantha savesi", "Phoracantha solida", "Phoracantha superans", "Phoracantha synonyma", "Phoracantha tricuspis", "Phoracantha tuberalis", "Phoracantha tunicata", "Phosphorus virescens", "Phrissolaus inspersus", "Phrissoma crispum", "Phrissoma reichei", "Phrissoma terrenum", "Phrissoma terricolum", "Phrissomidius guineensis", "Phrissomorimus brunneus", "Phrosyne viridis", "Phryneta asmarensis", "Phryneta atricornis", "Phryneta aurocincta", "Phryneta bulbifera", "Phryneta coeca", "Phryneta conradti", "Phryneta crassa", "Phryneta densepilosa", "Phryneta ellioti", "Phryneta elobeyana", "Phryneta ephippiata", "Phryneta escalerai", "Astelia alpina var. alpina", "Calantica pollicipedoides", "Astelia hemichrysa", "Astelia neocaledonica", "Astelia montana", "Astelia pumila", "Phryneta flavescens", "Phryneta hecphora", "Phryneta histrix", "Phryneta immaculata", "Phryneta leprosa", "Phryneta luctuosa", "Phryneta macularis", "Phryneta marmorea", "Phryneta obesa", "Phryneta obliquata", "Phryneta pallida", "Phryneta pulchra", "Phryneta rufa", "Phryneta semicribrosa", "Phryneta semirasa", "Phryneta spinator", "Phryneta verrucosa", "Phrynetoides minor", "Phrynetoides regius", "Phrynetolamia strandi", "Phrynetopsis fuscicornis", "Phrynetopsis kolbei", "Phrynetopsis loveni", "Phrynetopsis marshalli", "Phrynetopsis thomensis", "Ipomoea cordatotriloba var. torreyana", "Phrynetopsis trituberculata", "Phrynetopsis variegata", "Phrynidius armatus", "Phrynidius asper", "Phrynidius echinoides", "Phrynidius echinus", "Phrynidius inequalis", "Phrynidius salvadorensis", "Phrynidius singularis", "Phrynocris notabilis", "Phrynoeme cucullata", "Phygomelitta triangularis", "Phygopoda agdae", "Phygopoda exilis", "Phygopoda fugax", "Phygopoda fulvitarsis", "Phygopoda ingae", "Phygopoda jacobi", "Phygopoides maxwelli", "Phygopoides pradosiae", "Phygopoides talisiaphila", "Phyllarthrius africanus", "Phyllarthrius unicolor", "Phyllocnema guineensis", "Phyllocnema lygaea", "Phyllocnema petalophora", "Phyllocnema xanthopelma", "Phyllocnema semijanthina", "Phyllocnema jeanneli", "Phyllocnema janthina", "Phyllocnema latipes", "Phyllocnema remipes", "Phyllocnema scotti", "Phyllocnema viridicostata", "Phyllocnema fairmairei", "Phyllocnema kenyensis", "Phyllocnemida manicana", "Phyllomaeus gloriosa", "Phyllomaeus semiopacus", "Phyllotodes obliquefasciatus", "Phymasterna affinis", "Phymasterna annulata", "Phymasterna cyaneoguttata", "Phymasterna gracilis", "Phymasterna lacteoguttata", "Phymasterna maculifrons", "Mallinella kritscheri", "Phymasterna rufocastanea", "Phymatioderus bizonatus", "Phymatodes aeneus", "Phymatodes aereus", "Phymatodes amoenus", "Phymatodes ater", "Phymatodes concolor", "Phymatodes dimidiatus", "Phymatodes fulgidus", "Phymatodes grandaevus", "Phymatodes grandis", "Phymatodes infuscatus", "Phymatodes lengi", "Phymatodes maculicollis", "Phymatodes miocenicus", "Phymatodes nigerrimus", "Phymatodes nigrescens", "Phymatodes obliquus", "Phymatodes rainieri", "Phymatodes shareeae", "Phymatodes tysoni", "Phymatodes varius", "Phymatodes vilitatis", "Phymatodes volans", "Phymatodes vulneratus", "Phymatodes femoralis", "Phymatodes albicinctus", "Phymatodes hauseri", "Phymatodes jiangi", "Phymatodes kozlovi", "Phymatodes magnanii", "Phymatodes murzini", "Phymatodes rufipes", "Phymatodes semenovi", "Phymatodes sinensis", "Phymatodes zemlinae", "Phymatodes abietinus", "Phymatodes ahenus", "Phymatodes gudenzii", "Phymatodes lividus", "Phymatodes puncticollis", "Phymatodes vandae", "Phymatodes wrzecionkoi", "Phymatodes antonini", "Phymatodes ermolenkoi", "Phymatodes eximius", "Phymatodes kasnaki", "Phymatodes maaki", "Phymatodes mizunumai", "Phymatodes quadrimaculatus", "Phymatodes savioi", "Phyodexia atronitida", "Phyodexia carinata", "Phyodexia concinna", "Phyodexia luteonotata", "Physocnemum andreae", "Physocnemum brevilineum", "Physocnemum violaceipenne", "Physopleurus amazonicus", "Physopleurus antonkozlovi", "Physopleurus crassidens", "Physopleurus dohrnii", "Physopleurus erikae", "Physopleurus exiguus", "Physopleurus longiscapus", "Physopleurus maillei", "Physopleurus rugosus", "Physopleurus tritomicros", "Physopleurus ubirajarai", "Physopleurus villardi", "Phytoecia acridula", "Phytoecia aenigmatica", "Phytoecia algerica", "Phytoecia annulicornis", "Phytoecia annulipes", "Phytoecia asiatica", "Phytoecia atripes", "Phytoecia baccueti", "Phytoecia bangi", "Phytoecia bialookii", "Phytoecia bodemeyeri", "Phytoecia brunneicollis", "Phytoecia centaureae", "Phytoecia coeruleipennis", "Phytoecia coeruleomicans", "Phytoecia croceipes", "Phytoecia drurei", "Phytoecia erythrocnema", "Phytoecia flavipes", "Phytoecia gamzeae", "Phytoecia gaubilii", "Phytoecia geniculata", "Phytoecia gougeletii", "Phytoecia griseola", "Phytoecia icterica", "Phytoecia kabateki", "Phytoecia kartalensis", "Phytoecia lahoulensis", "Phytoecia malachitica", "Phytoecia manicata", "Phytoecia marki", "Phytoecia mongolorum", "Phytoecia napolovi", "Phytoecia pubescens", "Phytoecia pustulata", "Phytoecia rabatensis", "Phytoecia rufovittipennis", "Phytoecia rungsi", "Phytoecia shokhini", "Phytoecia sikkimensis", "Phytoecia stenostoloides", "Phytoecia subannularis", "Phytoecia vaulogeri", "Phytoecia viridipes", "Phytoecia vulneris", "Phytoecia behen", "Phytoecia chehirensis", "Phytoecia nausicae", "Phytoecia nepheloides", "Phytoecia aethiopica", "Phytoecia andreaei", "Phytoecia angusta", "Phytoecia anteatra", "Phytoecia anterufa", "Phytoecia apicefuscipennis", "Phytoecia argenteosuturalis", "Phytoecia atricollis", "Phytoecia atrofrontalis", "Phytoecia aurivillii", "Phytoecia basirufipennis", "Phytoecia beuni", "Mallinella clavigera", "Mallinella caperata", "Mallinella cirrifera", "Phytoecia bohemani", "Phytoecia capensis", "Phytoecia cincticollis", "Phytoecia collaris", "Phytoecia damarensis", "Phytoecia densepuncticeps", "Phytoecia disconotaticollis", "Phytoecia erythaca", "Phytoecia exilis", "Phytoecia ferruginea", "Phytoecia fervida", "Phytoecia flavovittata", "Phytoecia fossulata", "Phytoecia freyi", "Phytoecia glabra", "Phytoecia grossepunctata", "Phytoecia holonigra", "Phytoecia hovorkai", "Phytoecia incallosa", "Phytoecia incensa", "Phytoecia incensoides", "Phytoecia indica", "Phytoecia infranigra", "Phytoecia infrapunctata", "Phytoecia insignis", "Phytoecia larvata", "Phytoecia lateralis", "Phytoecia latesuturalis", "Phytoecia leleupi", "Phytoecia lineata", "Phytoecia longicollis", "Phytoecia maculicollis", "Phytoecia metallescens", "Phytoecia neavei", "Phytoecia nigra", "Phytoecia nigroapicaloides", "Phytoecia nigrovittata", "Phytoecia orientis", "Phytoecia ornata", "Phytoecia parteruficollis", "Phytoecia porosa", "Artemisia stechmanniana", "Artemisia arbuscula subsp. longiloba", "Chilobrachys andersoni", "Chilobrachys bicolor", "Chilobrachys fumosus", "Bulbophyllum aquinoi", "Bulbophyllum blaoense", "Bulbophyllum davidii", "Bulbophyllum apetalum", "Bulbophyllum farinulentum", "Bulbophyllum farinulentum subsp. farinulentum", "Bulbophyllum farinulentum subsp. densissimum", "Annandaleum gruvelii", "Plesiochara fusca", "Plesiochara nitida", "Santolina decumbens", "Calantica quinquelatera", "Dolichothele mineirum", "Dolichothele rufoniger", "Ajuga ovalifolia var. ovalifolia", "Ajuga mollis", "Boltonia diffusa", "Bulbophyllum farreri", "Catumiri petropolium", "Catumiri chicaoi", "Catumiri argentinense", "Ajuga zakhoensis", "Ajuga vesiculifera", "Ajuga sinuata", "Ajuga shikotanensis", "Chaetopelma webborum", "Calantica pusilla", "Mallinella robusta", "Mallinella rolini", "Mallinella microleuca", "Artemisia atrata", "Artemisia tanacetifolia", "Mallinella scharffi", "Mallinella thailandica", "Mallinella sundaica", "Mallinella galyaniae", "Mallinella angoonae", "Mallinella jaegeri", "Mallinella reinholdae", "Mallinella onoi", "Mallinella sumatrana", "Mallinella murphyorum", "Phytoecia povolnyi", "Phytoecia pseudocallosa", "Phytoecia pseudofervida", "Phytoecia pseudolatesuturalis", "Phytoecia pseudoneavei", "Phytoecia pseudorientis", "Phytoecia pseudoruficeps", "Phytoecia punctulipennis", "Phytoecia rufa", "Phytoecia ruficollis", "Phytoecia rufulescens", "Phytoecia seminigripennis", "Phytoecia sericea", "Phytoecia subcallosa", "Phytoecia subcoerulata", "Phytoecia subdorsata", "Phytoecia sublateralis", "Phytoecia subrufulescens", "Phytoecia suturaloides", "Phytoecia suturevittata", "Phytoecia tessmanni", "Phytoecia transversicollis", "Phytoecia uniformis", "Phytoecia vittata", "Phytoecia albosuturalis", "Phytoecia approximata", "Phytoecia guilleti", "Phytoecia kukunorensis", "Phytoecia punctipennis", "Phytoecia sareptana", "Phytoecia testaceolimbata", "Phytoecia antoniae", "Phytoecia circumdata", "Phytoecia pilosicollis", "Phytoecia valentinae", "Phytoecia adelpha", "Phytoecia ariannae", "Phytoecia demeltiana", "Phytoecia diademata", "Phytoecia ferrugata", "Phytoecia flavescens", "Phytoecia humeralis", "Phytoecia imperialis", "Phytoecia insignata", "Phytoecia orbicollis", "Phytoecia paulusi", "Phytoecia plasoni", "Phytoecia pontica", "Phytoecia praetextata", "Phytoecia pretiosa", "Phytoecia testaceovittata", "Phytoecia erivanica", "Phytoecia pici", "Phytoecia truncatipennis", "Phytoecia alinae", "Phytoecia lisae", "Phytoecia affinis", "Phytoecia anatolica", "Phytoecia argus", "Phytoecia astarte", "Phytoecia cephalotes", "Phytoecia faldermanni", "Phytoecia griseicornis", "Phytoecia krupitskyi", "Phytoecia kurdistana", "Phytoecia puncticollis", "Phytoecia rubropunctata", "Phytoecia tirellii", "Phytoecia wachanrui", "Phytoecia adusta", "Phytoecia aligamgami", "Phytoecia dantchenkoi", "Phytoecia furkani", "Phytoecia inapicalis", "Phytoecia longicornis", "Phytoecia merkli", "Phytoecia mesopotamica", "Phytoecia pauliraputii", "Phytoecia salvicola", "Phytoecia suvorowi", "Phytoecia waltli", "Phytoecia melanocephala", "Phytoecia aspericollis", "Phytoecia badenkoi", "Phytoecia brevicornis", "Phytoecia bucharica", "Phytoecia chinensis", "Phytoecia irakensis", "Phytoecia prasina", "Phytoecia schurmanni", "Phytoecia transcaspica", "Phytoecia uncinata", "Phytoecia varentzowi", "Phytoecia albovittigera", "Phytoecia bithynensis", "Phytoecia brunnerae", "Phytoecia compacta", "Phytoecia demelti", "Phytoecia ganglbaueri", "Phytoecia gianassoi", "Phytoecia minuta", "Phytoecia schuberti", "Phytoecia tauricola", "Phytoecia urartica", "Phytoecia forticornis", "Phytoecia magnanii", "Phytoecia nigrofemorata", "Phytoecia nivea", "Phytoecia ochraceipennis", "Phytoecia pallidipennis", "Phytoecia remaudierei", "Phytoecia repetekensis", "Phytoecia tatyanae", "Phytoecia tekensis", "Phytoecia tokatensis", "Phytoecia vittipennis", "Phytoecia volkovitshi", "Phytoecia angusterufonotata", "Phytoecia annulata", "Phytoecia breverufonotata", "Phytoecia buglanica", "Phytoecia evae", "Phytoecia ghobarii", "Phytoecia halperini", "Phytoecia konyaensis", "Phytoecia kruszelnickii", "Phytoecia moreana", "Phytoecia samii", "Bulbophyllum fasciatum", "Bulbophyllum fasciculatum", "Bulbophyllum fasciculiferum", "Bulbophyllum fendlerianum", "Ajuga novoguineensis", "Panolis xundian", "Ajuga sciaphila", "Ajuga robusta", "Ajuga saxicola", "Ajuga pygmaea", "Ajuga piskoi", "Ajuga parviflora", "Ajuga pantantha", "Dolichothele diamantinensis", "Ajuga ovalifolia", "Ajuga ovalifolia var. calantha", "Dolichothele dominguense", "Leptinella calcarea", "Leptinella filiformis", "Dolichothele tucuruiense", "Dolichothele auratum", "Erigeron cronquistii", "Ajuga nubigena", "Scoparia carvalhoi", "Ajuga campylanthoides", "Scoparia aequipennalis", "Ajuga campylanthoides subsp. subacaulis", "Scoparia coecimaculalis", "Ajuga campylanthoides subsp. campylanthoides", "Ajuga oblongata", "Erigeron engelmannii", "Dolichothele bolivianum", "Dolichothele exilis", "Cancrinia krasnoborovii", "Dolichothele mottai", "Dolichothele camargorum", "Osmitopsis asteriscoides", "Pyrrhura emma", "Leptogenophilus judithae", "Ocyota dubia", "Paroxysmene strandi", "Phytoecia smatanai", "Phytoecia tigrina", "Phytoecia vagecarinata", "Phytoecia analis", "Phytoecia atripennis", "Phytoecia atrohumeralis", "Phytoecia basilewskyi", "Phytoecia cylindricollis", "Phytoecia fuscolateralis", "Phytoecia haroldii", "Phytoecia nigriventris", "Phytoecia nigrohumeralis", "Phytoecia pseudafricana", "Phytoecia pseudosomereni", "Phytoecia somereni", "Phytoecia sylvatica", "Phytoecia eylandti", "Phytoecia kubani", "Oreodera c-album", "Paramecyna x-signata", "Perissus x-littera", "Koenigia nepalensis", "Asplenium trichomanes subsp. pachyrachis", "Asplenium triphyllum", "Asplenium ulbrichtii", "Ajuga ophrydis", "Holcoglossum subulifolium", "Oryctes nevadensis", "Celmisia laricifolia", "Celmisia lateralis", "Olearia hectori", "Pachystegia minor", "Pachystegia rufa", "Pteronia paniculata", "Chrysocoma valida", "Felicia cymbalariae", "Stenocercus marmoratus", "Ajuga oocephala", "Felicia cymbalariae subsp. cymbalariae", "Felicia bellidioides", "Felicia bellidioides subsp. bellidioides", "Felicia brevifolia", "Sinningia allagophylla", "Sibara mendocina", "Tuberculatus capitatus", "Tuberculatus capitatus capitatus", "Tuberculatus capitatus intermedius", "Tuberculatus higuchii", "Tuberculatus higuchii breviunguis", "Tuberculatus higuchii higuchii", "Tuberculatus paranaracola", "Tuberculatus paranaracola hemitrichus", "Tuberculatus paranaracola paranaracola", "Tuberculatus fangi", "Tuberculatus fuscotuberculatus", "Tuberculatus kashiwae", "Tuberculatus konaracola", "Tuberculatus kunugi", "Tuberculatus nervatus", "Tuberculatus paiki", "Tuberculatus querciformosanus", "Tuberculatus yokoyamai", "Tuberculatus californicus", "Tuberculatus chrysolepidis", "Tuberculatus columbiae", "Tuberculatus kiowanicus", "Tuberculatus maureri", "Tuberculatus pallidus", "Tuberculatus pasaniae", "Tuberculatus passalus", "Tuberculatus quercifolii", "Tuberculatus garciamartelli", "Tuberculatus leptosiphon", "Tuberculatus mexicanus", "Tuberculatus spiculatus", "Tuberculatus spiculatus rebecae", "Tuberculatus spiculatus spiculatus", "Tuberculatus cornutus", "Tuberculatus maculipennis", "Tuberculatus querceus", "Tuberculatus albosiphonatus", "Tuberculatus borealis", "Tuberculatus eggleri", "Massagris mohale", "Belippo attenuata", "Dendryphantes acutus", "Heliophanus furvus", "Heliophanus maluti", "Heliophanus transversus", "Cangoderces globosa", "Mistaria fagei", "Ajuga yesoensis var. yesoensis", "Hesperocolletes douglasi", "Afropectinariella doratophylla", "Afropectinariella gabonensis", "Afropectinariella pungens", "Dracaena glomerata", "Pyrrocoma insecticruris", "Compactopedia compactus", "Tuberculatus etruscus", "Tuberculatus inferus", "Tuberculatus maximus", "Tuberculatus moerickei", "Tuberculatus neglectus", "Tuberculatus pallescens", "Tuberculatus remaudierei", "Dracaena haemanthoides", "Crypturaphis grassii", "Latgerina orizabaensis", "Latgerina orizabaensis mexicanus", "Latgerina orizabaensis orizabaensis", "Monaphis antennata", "Platyaphis fagi", "Dracaena marina", "Gutierrezia gayana", "Dracaena wakaensis", "Dracaena waltersiae", "Lisowicia bojani", "Sinningia elatior", "Myzocallis asclepiadis", "Myzocallis discolor", "Myzocallis tuberculata", "Myzocallis tenochca", "Myzocallis cocciferina", "Felicia nordenstamii", "Myzocallis komareki", "Myzocallis mediterranea", "Myzocallis persica", "Myzocallis taurica", "Felicia oleosa", "Polyarrhena imbricata", "Polyarrhena prostrata", "Polyarrhena prostrata subsp. prostrata", "Lagenophora gracilis", "Lagenophora huegelii", "Lagenophora lanata", "Evarcha mirabilis", "Evarcha striolata", "Lagenophora nudicaulis", "Habrocestum africanum", "Icius nigricaudus", "Lagenophora stipitata", "Massagris natalensis", "Phlegra arborea", "Phlegra certa", "Coracopsis barklyi", "Afraflacilla venustulus", "Solenogyne dominii", "Rhene pinguis", "Chuquiraga aurea", "Heliophanus aethiopicus", "Heliophanus anymphos", "Heliophanus bolensis", "Stenocercus amydrorhytus", "Stenocercus johaberfellneri", "Heliophanus brevis", "Heliophanus charlesi", "Heliophanus kovacsi", "Heliophanus leucopes", "Heliophanus maralal", "Heliophanus megae", "Heliophanus nanus", "Heliophanus papyri", "Heliophanus pistaciae", "Heliophanus proszynskii", "Heliophanus rutrosus", "Heliophanus sororius", "Heliophanus splendidus", "Heliophanus tristis", "Heliophanus xanthopes", "Myrmarachne melanotarsa", "Mexicallis quirosae", "Mexicallis analiliae", "Mexicallis analiliae analiliae", "Mexicallis analiliae caulifer", "Mexicallis analiliae pumilus", "Mexicallis calva", "Mexicallis longicauda", "Zulunigma incognita", "Mexicallis panamensis", "Mexicallis spinifer", "Felicia dregei", "Myzocallis castanicola castanicola", "Sansevieria aubrytiana", "Myzocallis castanicola leclanti", "Myzocallis myricae", "Myzocallis agrifolicola", "Myzocallis castaneae", "Myzocallis castaneoides", "Myzocallis nanae", "Myzocallis tissoti", "Felicia elongata", "Myzocallis pakistanicus", "Myzocallis atropunctata", "Myzocallis bellus", "Myzocallis durangoensis", "Myzocallis elliotti", "Myzocallis ephemerata", "Myzocallis exultans", "Myzocallis frisoni", "Myzocallis granovskyi", "Myzocallis longirostris", "Myzocallis longirostris longirostris", "Myzocallis longirostris tepehuanensis", "Myzocallis longiunguis", "Cyrba lineata", "Myzocallis melanocera", "Myzocallis meridionalis", "Myzocallis multisetis", "Myzocallis neoborealis", "Myzocallis pepperi", "Myzocallis pepperi iturbide", "Myzocallis pepperi pepperi", "Myzocallis spinosa", "Myzocallis walshii", "Felicia josephinae", "Myzocallis cyperis", "Myzocallis glandulosa", "Myzocallis minensis", "Myzocallis occidentalis", "Felicia macrorrhiza", "Myzocallis polychaeta", "Andorracallis pujadei", "Apulicallis trojanae", "Hoplocallis microsetosa", "Hoplocallis microsiphon", "Bianor eximus", "Hoplocallis picta", "Hoplocallis ruperti", "Hoplochaetaphis zachvatkini", "Hoplochaitophorus dicksoni", "Hoplochaitophorus heterotrichus", "Hoplochaitophorus quercicola", "Hoplochaitophorus spiniferus", "Lachnochaitophorus obscurus", "Lachnochaitophorus querceus", "Mexicallis areolata", "Mexicallis brevituberculata", "Klasea radiata", "Klasea radiata subsp. radiata", "Dracaena usambarensis", "Euroleptochromus tuberculatus", "Dracaena nitens", "Notiothops noxiosus", "Dracaena perrottetii", "Kistnerella malayensis", "Hodoxenus sheasbyi", "Levymanus gershomi", "Levymanus ras", "Physalaemus carrizorum", "Corvus macrorhynchos mandschuricus", "Hieracium atratum", "Hieracium atratum subsp. atratum", "Pyankovia roborowskii", "Garganornis ballmanni", "Pyankovia affinis", "Discoxenus latiabdominalis", "Discoxenus cambodiensis", "Discoxenus phourini", "Discoxenus kohkongensis", "Discoxenus hirsutus", "Discoxenus minutus", "Discoxenus lucidus", "Discoxenus kakizoei", "Thevenotia persica", "Emersonilla longipes", "Tugarinovia mongolica", "Hirsitilla hirsutus", "Massagris mirifica", "Archiserratula forrestii", "Massagris separata", "Massagris honesta", "Centaurea derventana", "Dracaena tholloniana", "Macledium zeyheri subsp. zeyheri", "Annandaleum gruvelii quadratum", "Myceliospongia araneosa", "Thymosiopsis cuticulatus", "Caribena versicolor", "Thyenula splendens", "Langelurillus squamiger", "Massagris maculosa", "Microbianor simplex", "Pseudicius procerus", "Thyenula armata", "Thyenula oranjensis", "Heliophanus capensis", "Heliophanus bellus", "Heliophanus portentosus", "Heliophanus mirabilis", "Heliophanus bisulcus", "Heliophanus gloriosus", "Heliophanus insperatus", "Heliophanus demonstrativus", "Heliophanus villosus", "Heliophanus paulus", "Heliophanus fascinatus", "Heliophanus butemboensis", "Hieracium glaucopsis", "Hieracium glaucopsis subsp. glaucopsis", "Anguloscalpellum quadrihamulum", "Hieracium glaucum subsp. glaucum", "Anisaedus stridulans", "Hieracium decipiens", "Hieracium eriophorum", "Hieracium glabratum", "Hieracium glabratum subsp. glabratum", "Anisaedus pellucidas", "Anisaedus rufus", "Anisaedus levii", "Afropectinariella subulata", "Calantica siemensi", "Mistaria nairobii", "Mistaria zorica", "Mistaria nyeupenyeusi", "Solenogyne gunnii", "Thyenula fidelis", "Thyenula magna", "Thyenula alotama", "Thyenula cheliceroides", "Thyenula clarosignata", "Thyenula dentatidens", "Thyenula haddadi", "Thyenula montana", "Thyenula rufa", "Dracaena acutissima", "Neosymydobius acutipilosus", "Thyenula tenebrica", "Neosymydobius agrifoliae", "Neosymydobius ajuscanus", "Neosymydobius albasiphus", "Thyenula virgulata", "Neosymydobius butzei", "Neosymydobius chrysolepis", "Thyenula vulnifica", "Neosymydobius luteus", "Neosymydobius memorialis", "Neosymydobius mimicus", "Neosymydobius neomexicanus", "Neosymydobius paucisetosus", "Neosymydobius peregrinus", "Neosymydobius quercihabitus", "Neosymydobius rumorosensis", "Patchia virginiana", "Serratocallis takahashii", "Siculaphis vittoriensis", "Wanyucallis amblyopappos", "Tuberculatus acuminatus", "Tuberculatus grisipunctatus", "Tuberculatus macrotuberculatus", "Tuberculatus nigrosiphonaceus", "Tuberculatus pappus", "Tuberculatus quercicola", "Yimbulunga foordi", "Tuberculatus indicus", "Tuberculatus japonicus", "Tuberculatus pilosulus", "Tuberculatus radisectuae", "Tuberculatus stigmatus", "Tuberculatus castanocallis", "Tuberculatus cereus", "Tuberculatus ceroerythros", "Tuberculatus kuricola", "Tuberculatus kuricola kuricola", "Tuberculatus kuricola cantonensis", "Tuberculatus margituberculatus", "Tuberculatus pilosus", "Hieracium greenei", "Hieracium grovesii", "Adina cordifolia", "Ancistrorhynchus metteniae", "Heliocarpus nodiflorus", "Pilsbryiscalpellum condensum", "Eugenes spectabilis", "Hieracium glaucinum", "Hieracium glaucinum subsp. glaucinum", "Ajuga macrosperma var. thomsonii", "Hieracium kirghisorum", "Phoneyusa bidentata bidentata", "Phoneyusa bidentata ituriensis", "Phoneyusa giltayi", "Phoneyusa lesserti", "Ajuga pyramidalis subsp. meonantha", "Ajuga pyramidalis subsp. pyramidalis", "Cyriopagopus albostriatus", "Hieracium lachenalii subsp. lachenalii", "Hieracium compositum", "Lampropelma nigerrimum", "Lampropelma nigerrimum nigerrimum", "Tapinauchenius brunneus", "Dracaena adamii", "Dracaena afromontana", "Hieracium laevigatum subsp. laevigatum", "Atheta acromyrmecicola", "Hieracium lachenalii subsp. aurulentum", "Ajuga decumbens var. oblancifolia", "Astelia hastata", "Mallinella concava", "Mallinella apiculata", "Mallinella simillima", "Mallinella allorostrata", "Mallinella leptoclada", "Mallinella dolichobilobata", "Mallinella cordiformis", "Mallinella brachytheca", "Mallinella longipoda", "Mallinella angustata", "Mallinella dolichorhyncha", "Mallinella brachyrhyncha", "Mallinella scapigera", "Mallinella spiralis", "Arctanthemum arcticum subsp. arcticum", "Mallinella angulosa", "Mallinella brunneofusca", "Mallinella allantoides", "Mallinella tricuspida", "Mallinella denticulata", "Mallinella birostrata", "Mallinella amblyrhyncha", "Mallinella acroscopica", "Mallinella angustissima", "Enyalius catenatus", "Liolaemus wiegmannii", "Hieracium alpinum subsp. alpinum", "Liolaemus tenuis", "Hieracium alpinum subsp. halleri", "Liolaemus signifer", "Hieracium amplexicaule", "Liolaemus pictus", "Liolaemus multimaculatus", "Hieracium amplexicaule subsp. amplexicaule", "Liolaemus fitzingerii", "Liolaemus cyanogaster", "Hieracium aquiliforme", "Leiocephalus herminieri", "Hieracium armerioides", "Hieracium armerioides subsp. armerioides", "Rhamdia gabrielae", "Rhamdia eurycephala", "Dracaena borneensis", "Dracaena brachyphylla", "Hieracium lucidum subsp. lucidum", "Dracaena breviflora", "Nauclea latifolia", "Dracaena calocephala", "Pseudoclamoris elenae", "Hieracium lycopifolium", "Hieracium lycopifolium subsp. lycopifolium", "Hieracium lycopifolium subsp. vallisiacum", "Anisaspis camarita", "Paratropis florezi", "Hieracium maculatum", "Paratropis elicioi", "Hieracium maculatum subsp. maculatum", "Phenacorhamdia cabocla", "Viola arcuata", "Viola utahensis", "Ajuga macrosperma var. macrosperma", "Hieracium humile", "Hieracium humile subsp. humile", "Hieracium japonicum", "Hieracium jordanii", "Heterothele affinis", "Hieracium jordanii subsp. jordanii", "Anoploscelus lesserti", "Phoneyusa bidentata", "Hieracium juranum", "Hieracium juranum subsp. juranum", "Parasenecio chokaiensis", "Hieracium nobile subsp. nobile", "Corvus macrorhynchos japonensis", "Dracaena chiniana", "Atheta invicta", "Lepthyphantes rossitsae", "Pseudoclamoris burgessi", "Kobus kob thomasi", "Tapinauchenius polybotes", "Tapinauchenius rasti", "Hieracium laniferum", "Hieracium lautumiarum", "Hieracium levicaule subsp. levicaule", "Ajuga decumbens var. decumbens", "Hieracium longifolium", "Hieracium longifolium subsp. longifolium", "Hieracium picroides subsp. picroides", "Dracaena cubensis", "Hieracium saxatile subsp. saxatile", "Hieracium pluricaule", "Arctosa ningboensis", "Arctosa alluaudi", "Hieracium porrifolium subsp. porrifolium", "Hogna parvagenitalia", "Arctosa simoni", "Hieracium prenanthoides subsp. prenanthoides", "Hieracium jurassicum subsp. pseudalbinum", "Hieracium racemosum subsp. virgaurea", "Ancistrorhynchus clandestinus", "Crocogma isocola", "Ancistrorhynchus crystalensis", "Ancistrorhynchus laxiflorus", "Hieracium sabaudum subsp. sabaudum", "Hogna albemarlensis", "Dracaena conferta", "Hogna galapagoensis", "Hogna espanola", "Hogna jacquesbreli", "Hogna junco", "Corynanthe talbotii", "Corynanthe johimbe", "Hieracium picroides", "Phyxioschema gedrosia", "Ancistrorhynchus tenuicaulis", "Tetralycosa arabanae", "Artoria victoriensis", "Hogna hendrickxi", "Hieracium pictum", "Hieracium pictum subsp. pictum", "Hogna magnosepta", "Hieracium piliferum", "Hieracium piliferum subsp. piliferum", "Hieracium villosum", "Hogna nefasta", "Hogna cinica", "Hieracium pilosum subsp. pilosum", "Hogna trunca", "Achoria inopina", "Hieracium rohlenae", "Ancistrorhynchus capitatus", "Arachnothryx gracilis", "Amaloxestis astringens", "Amaloxestis nepalensis", "Ancistrorhynchus cephalotes", "Amaloxestis callitricha", "Amaloxestis perizeucta", "Arachnothryx rufescens", "Amaloxestis chiloptila", "Hieracium rupestre", "Hieracium megacephalum", "Hieracium mixtum", "Stormtropis colima", "Stormtropis muisca", "Stormtropis paisa", "Stormtropis parvum", "Diaphorocellus biplagiatus", "Hieracium murorum subsp. murorum", "Aloba carolinae", "Hoplosauris morenoi", "Hieracium schmidtii", "Hieracium schmidtii subsp. schmidtii", "Hieracium umbrosum", "Hieracium umbrosum subsp. umbrosum", "Hieracium umbrosum subsp. albinum", "Caledomina noumea", "Pterostichus caoi", "Pterostichus tiankeng", "Pterostichus yuae", "Hieracium umbellatum subsp. umbellatum", "Trechus hyperythros", "Trechus pongensis", "Trechus riberai", "Hieracium sudeticum", "Haliclona indonesiae", "Haliclona amirantensis", "Haliclona hiberniae", "Hieracium tenuiflorum", "Haliclona hajdui", "Hieracium tenuiflorum subsp. tenuiflorum", "Hieracium tomentosum subsp. tomentosum", "Hieracium triangulare", "Ancistrorhynchus ovatus", "Ancistrorhynchus parviflorus", "Ancistrorhynchus paysanii", "Ancistrorhynchus recurvus", "Ancistrorhynchus refractus", "Ancistrorhynchus schumannii", "Ancistrorhynchus serratus", "Ancistrorhynchus straussii", "Micromeria glomerata", "Dracaena curtisii", "Hieracium valdepilosum subsp. valdepilosum", "Hieracium villosum subsp. villosum", "Hieracium wolfianum", "Hispidella hispanica", "Geranium ruizii", "Sebaea solaris", "Trechus odontopeos", "Pilosella arguta", "Sebaea amicorum", "Trechus croceus", "Trechus enedaphos", "Sebaea ovata", "Cosmoplatus polis", "Pilosella caespitosa subsp. caespitosa", "Dracaena cuspidata", "Pilosella bauhinii subsp. magyarica", "Hemilocallia grishami", "Arabela ramirezi", "Dracaena draco subsp. ajgal", "Dracaena finlaysonii", "Dracaena floribunda", "Pilosella horrida", "Pilosella jubata", "Ajuga \u00d7 hybrida", "Ajuga \u00d7 mixta", "Ajuga \u00d7 pseudopyramidalis", "Actaea matsumurae", "Veturius vazdemelloi", "Veturius costaianus", "Veturius brachypterus", "Pilosella longipila", "Qianaphaenops xigouicus", "Veturius caquetaensis", "Ajuga \u00d7 adulterina", "Ajuga \u00d7 bastarda", "Ajuga \u00d7 borbasiana", "Veturius latissimus", "Veturius calimanus", "Veturius sinuatocollis", "Dracaena halapepe", "Homaloxestis rawlinsi", "Lecithocera afrotella", "Lecithocera dysmica", "Lecithocera cyclisca", "Paniculata weberi", "Notioseus cupripennis", "Notioseus acidodes", "Furcalis triodonta", "Furcalis efulenica", "Lacuniola noda", "Hieracium racemosum subsp. racemosum", "Ancistrorhynchus akeassiae", "Ancistrorhynchus brevifolius", "Hieracium schneiderianum", "Hieracium senex", "Hieracium sinoaestivum", "Butleriana minor", "Butleriana fasciata", "Butleriana fumosa", "Butleriana oculata", "Hieracium prenanthoides subsp. strictissimum", "Butleriana phoenix", "Warrenaria onca", "Fueguina celovalva", "Fueguina varians", "Fueguina araucana", "Warrenaria martha", "Pseudosuberites vakai", "Hammatoderus sticticus", "Pilosella paniculata", "Pilosella peleteriana subsp. peleteriana", "Oxymerus luteus", "Oxymerus pallidus", "Oxymerus punctatus", "Mallinella pectinata", "Oxymerus vianai", "Oxymerus virgatus", "Oxyommata collaris", "Oxypeltus quadrispinosus", "Oxyprosopus chloreus", "Oxyprosopus davouldjiani", "Oxyprosopus fulgens", "Oxyprosopus murphyi", "Oxyprosopus neavei", "Oxyprosopus superbus", "Oxyprosopus togoensis", "Oxyprosopus viola", "Ozineus achirae", "Ozineus alienus", "Ozineus angulistigma", "Ozineus annulicornis", "Ozineus argus", "Ozineus arietinus", "Ozineus barbiflavus", "Ozineus bicristatus", "Ozineus caliginosus", "Ozineus cinerascens", "Ozineus cretatus", "Ozineus cribripennis", "Ozineus dimidiatus", "Ozineus doctus", "Ozineus dorsalis", "Ozineus elongatus", "Ozineus griseostigma", "Ozineus guttatus", "Ozineus jubapennis", "Ozineus lateralis", "Ozineus moestus", "Ozineus mysticus", "Ozineus nyssodroides", "Ozineus orbiculus", "Ozineus spinicornis", "Ozineus striatus", "Ozineus strigosus", "Ozineus torquatus", "Ozodera callidioides", "Ozodes flavitarsis", "Ozodes ibidiinus", "Ozodes infuscatus", "Ozodes malthinoides", "Ozodes multituberculatus", "Ozodes nodicollis", "Ozodes sexmaculatus", "Ozodes xanthophasma", "Ozotroctes punctatissimus", "Pacholatkoa dichroa", "Pachycytes coadunata", "Pachycytes sericeovittata", "Pachydissus adlbaueri", "Pachydissus aquilus", "Pachydissus argentatus", "Pachydissus aspericollis", "Taphoxenus elburzenis", "Taphoxenus murzini", "Taphoxenus sahendensis", "Notiothops huaquen", "Notiothops campana", "Notiothops penai", "Hieracium bifidum", "Notiothops llolleo", "Hieracium bocconei", "Hieracium bocconei subsp. bocconei", "Notiothops birabeni", "Hieracium boliviense", "Hieracium cincinnatum", "Hieracium cincinnatum subsp. virosiforme", "Hieracium bupleuroides", "Hieracium bupleuroides subsp. bupleuroides", "Hieracium glaucum", "Hieracium porrifolium", "Hieracium saxatile", "Notiothops maulensis", "Hieracium caesium", "Hieracium caesium subsp. caesium", "Notiothops cekalovici", "Anisaedus gaujoni", "Ajuga lupulina var. major", "Ajuga lupulina var. lupulina", "Cantaberella pacei", "Hemidactylus gujaratensis", "Kupeantha spathulata", "Chionostiba janetscheki", "Dracaena granulata", "Pilosella scouleri", "Pilosella semiglabrata", "Dracaena griffithii", "Dracaena halemanuensis", "Pilosella tristis", "Pilosella venosa", "Dracaena hewittii", "Schlagintweitia huteri", "Dracaena konaensis", "Exacrotona rufoflava", "Gaenima impedita", "Nebria dacatrai dacatrai", "Nebria dacatrai contracta", "Nebria dacatrai exigua", "Launaea arborescens", "Launaea cervicornis", "Launaea fragilis", "Geostibasoma neozealandensis", "Launaea fragilis subsp. fragilis", "Schlagintweitia huteri subsp. huteri", "Nebria composita macra", "Nebria composita composita", "Dracaena hokouensis", "Dracaena hosei", "Dracaena impressivenia", "Dracaena jayniana", "Odontochilus perpusillus", "Launaea lanifera", "Launaea nudicaulis", "Launaea quercifolia", "Franwilsia skottsbergii", "Launaea sarmentosa", "Odontochilus urceolatus", "Dracaena kirkii", "Odontochilus tsukusianus", "Odontochilus seranicus", "Dracaena kupensis", "Odontochilus quadrilobatus", "Agonimia ascendens", "Agonimia sunchonensis", "Agonimia yongsangensis", "Biatora loekoesiana", "Caloplaca ivanpisutii", "Candelinella makarevichiae", "Hyoseris lucida subsp. lucida", "Euromota lucida", "Reichardia picroides", "Leptostiba karijiniensis", "Dracaena longifolia", "Leptostiba minor", "Dracaena maingayi", "Reichardia tingitana subsp. tingitana", "Dracaena mokoko", "Schizochilus zeyheri", "Schizochilus angustifolius", "Schizochilus bulbinella", "Schizochilus calcaratus", "Schizochilus cecilii", "Schizochilus cecilii subsp. cecilii", "Schizochilus cecilii subsp. culveri", "Schizochilus cecilii subsp. transvaalensis", "Schizochilus crenulatus", "Schizochilus flexuosus", "Dracaena novoguineensis", "Dracaena nyangensis", "Arcoscalpellum michelottianum", "Brunfelsia splendida", "Omineus taiwanensis", "Omineus chuangae", "Verbascum duzgunbabadagensis", "Chrysoclista karsholti", "Huriella salyangiana", "Chrysoclista ankaraensis", "Hyperphyscia oxneri", "Dracaena multiflora", "Nebria limbigera limbigera", "Nebria limbigera alaiensis", "Nebria limbigera babaulti", "Nebria nigerrima nigerrima", "Nebria nigerrima testadilatata", "Nebria picicornis picicornis", "Nebria picicornis esfandiari", "Nebria picicornis luteipes", "Nebria picicornis radjabii", "Nebria przewalskii przewalskii", "Nebria przewalskii praetextata", "Nebria pulcherrima pulcherrima", "Nebria pulcherrima surugana", "Nebria xanthacra xanthacra", "Nebria xanthacra morvani", "Nebria taketoi", "Schoenorchis phitamii", "Tropiocolotes hormozganensis", "Hypochaeris albiflora", "Schizochilus gerrardii", "Schizochilus lepidus", "Schizochilus lilacinus", "Schizochilus sulphureus", "Euphorbia hoffmanniana", "Gallowayella awasthiana", "Huriella pohangensis", "Sonchus berteroanus", "Nebria jockischii jockischii", "Nebria jockischii bolivari", "Nebria jockischii hoepfneri", "Nebria jockischii orensis", "Archastes dubitatus", "Archastes giachinoi", "Archastes mingyii", "Reichardia crystallina", "Reichardia gaditana", "Archastes politissimus", "Reichardia gaditana subsp. gaditana", "Archastes similis", "Dracaena lancea", "Dracaena lancifolia", "Archastes simplex", "Nebria obscura", "Nebria persimilis", "Nebria tetungi tetungi", "Nebria tetungi allegroi", "Hydrosmecta vodozi", "Hydrosmecta valdieriana", "Leptostiba bigladifera", "Porroglossum dalstroemii", "Reichardia intermedia", "Reichardia ligulata", "Neorthrius bicrucis", "Neorthrius bimaculatus", "Dracaena porteri", "Nectriopsis physciicola", "Dracaena purpurea", "Senecio genisianus", "Sonchus micranthus", "Liogluta yezoensis", "Liogluta yasudai", "Dracaena reflexa var. bakeri", "Dracaena reflexa var. brevituba", "Tropiocolotes tripolitanus", "Tropiocolotes algericus", "Hypochaeris chillensis", "Tropiocolotes nattereri", "Tropiocolotes nubicus", "Tropiocolotes bisharicus", "Tropiocolotes scorteccii", "Tropiocolotes somalicus", "Leontodon filii", "Pseudosphromenus dayi", "Gaultheria poeppigii", "Hypochaeris megapotamica", "Euphaedra brevis", "Hypochaeris microcephala", "Euphaedra acuta", "Hypochaeris radiata", "Hypochaeris robertia", "Hypochaeris taraxacoides", "Hypochaeris sonchoides", "Sonchus phoeniciformis", "Dracaena reflexa var. condensata", "Dracaena reflexa var. lanceolata", "Dracaena reflexa var. nervosa", "Sonchus splendens", "Dracaena reflexa var. occidentalis", "Dracaena reflexa var. parvifolia", "Dracaena reflexa var. subcapitata", "Dracaena reflexa var. subelliptica", "Dracula exasperata", "Sonchus tenerrimus subsp. tenerrimus", "Sonchus ustulatus subsp. ustulatus", "Hedypnois rhagadioloides", "Hedypnois rhagadioloides subsp. rhagadioloides", "Leontodon saxatilis subsp. saxatilis", "Neorthrius ebenus", "Neorthrius elegantulus", "Neorthrius fortecruris", "Neorthrius fulvus", "Neorthrius fuscomaculosus", "Neorthrius guttatus", "Neorthrius longulus", "Neorthrius majae", "Neorthrius mariannae", "Neorthrius molestus", "Prunella vulgaris subsp. asiatica", "Sonchus laceratus", "Nectriopsis gangwondoensis", "Sonchus maritimus subsp. maritimus", "Prunella vulgaris subsp. estremadurensis", "Neorthrius schnitzeli", "Neorthrius serratus", "Prunella vulgaris subsp. hispida", "Leontodon hyoseroides", "Leontodon hyoseroides subsp. hyoseroides", "Leontodon incanus", "Brachypteryx cruralis", "Leontodon kotschyi", "Leontodon longirostris", "Psoroglaena gangwondoensis", "Leontodon rigens", "Hypochaeris tropicalis", "Mecothrix flaviciliata", "Mecothrix usambara", "Mecothrix denauxi", "Mecothrix mineti", "Mecothrix omphalota", "Mecothrix vidoti", "Leontodon berinii", "Leontodon biscutellifolius", "Leontodon caucasicus", "Leontodon crispus", "Harpactea popovi", "Neorthrius monticola", "Neorthrius aduncus", "Neorthrius aurantiacus", "Neorthrius bipunctatus", "Neorthrius bonasus", "Neorthrius brunnorbis", "Neorthrius buteocoloratus", "Dracaena pachyphylla", "Neorthrius cechovskyi", "Neorthrius centromaculatus", "Neorthrius chiangmaii", "Neorthrius cornutus", "Neorthrius crassopunctatus", "Neorthrius sexmaculatus", "Neorthrius sigmoideus", "Neorthrius tenuistriatus", "Neorthrius tulipae", "Neorthrius unicolor", "Dracaena penangensis", "Neorthrius uniformis", "Parasenecio hayachinensis", "Neorthrius volsella", "Neorthrius zebrinus", "Prunella vulgaris subsp. lanceolata", "Neorthrius angusticollis", "Neorthrius bengalus", "Australoconota neozealandensis", "Dracaena pendula", "Neozealatheta urewerensis", "Amischa neozealandensis", "Melanoxerus suavissimus", "Dracaena petiolata", "Kompsatele neozealandense", "Leptagria neozealandicola", "Pelioptera eruensis", "Acrotona stirlingensis", "Leptostiba tengchongensis", "Porroglossum acrobat", "Porroglossum actrix", "Porroglossum adrianae", "Porroglossum agile", "Porroglossum andreettae", "Picris hispanica", "Polylepis racemosa", "Neochloroglyphica perbella", "Procinnus incanus", "Micrallo macro", "Scorzoneroides autumnalis subsp. autumnalis", "Mecothrix melalopha", "Mecothrix phaeocraspis", "Mecothrix poliophasma", "Mecothrix bittermanni", "Mecothrix brachymorpha", "Mecothrix destituta", "Mecothrix rubicastanea", "Mecothrix toulgoetiana", "Mecothrix undulata", "Mecothrix maputuana", "Dracaena reflexa var. linearifolia", "Nola socotrensis", "Nola socotrensis socotrensis", "Nola socotrensis vansoni", "Leontodon graecus", "Leontodon hirtus", "Leontodon hispidus subsp. hispidus", "Gaultheria myrtilloides", "Assiminea grayana", "Porina ulleungdoensis", "Diospyros foliolosa", "Hypochaeris incana", "Pseudogiria polita", "Hypochaeris laevigata", "Dargeia micheleae", "Dargeia philippi", "Hypochaeris maculata subsp. maculata", "Hypochaeris uniflora", "Hypochaeris tenuifolia", "Tropiocolotes naybandensis", "Tropiocolotes wolfgangboehmei", "Mecothrix adelpha", "Tropiocolotes confusus", "Mecothrix abyssinica", "Mecothrix afroalpina", "Mecothrix balealpina", "Mecothrix calochromata", "Mecothrix iridescens", "Mecothrix lobmayeri", "Mecothrix obliquilinealis", "Alcyonidium parasiticum", "Mecothrix phoenicosa", "Mecothrix aegyptiaca", "Mecothrix aegyptiaca aegyptiaca", "Mecothrix aegyptiaca cana", "Mecothrix guillermeti", "Mecothrix herbuloti", "Parasenecio katoanus", "Alcyonidium hirsutum", "Maculonola apiensis", "Dracaena serrulata subsp. mccoyorum", "Picris asplenioides subsp. asplenioides", "Dracaena serrulata subsp. serrulata", "Dracaena siamica", "Dracaena singapurensis", "Dracaena spicata", "Colasposoma grande", "Betta macrostoma", "Collocalia neglecta", "Agrilus bilyanus", "Agrilus campana", "Agrilus galazopos", "Agrilus plurifrons", "Agrilus undatus", "Lactuca quercina subsp. quercina", "Triscaedecia sarawaki", "Triscaedecia svetlanae", "Triscaedecia suva", "Faronus rica", "Chandleriella yunnanica", "Myosotis asiatica subsp. kolymensis", "Afroceto africana", "Dracaena thwaitesii", "Dracaena timorensis", "Rhizocarpon sunchonense", "Dracaena transvaalensis", "Porroglossum apoloae", "Porroglossum aureum", "Porroglossum condylosepalum", "Porroglossum dactylum", "Porroglossum dejonghei", "Porroglossum dreisei", "Porroglossum echidna", "Porroglossum ecuagenerense", "Porroglossum eduardi", "Tricholoma portentosum", "Malacothrix floccifera", "Malacothrix saxatilis", "Microseris douglasii", "Microseris douglasii subsp. douglasii", "Microseris laciniata subsp. laciniata", "Microseris nigrescens", "Microseris sylvatica", "Microseris lanceolata", "Microseris alpestris", "Microseris cuspidata", "Porroglossum gerritsenianum", "Lactuca viminea subsp. viminea", "Chondrilla ramosissima", "Dracaena yuccifolia", "Porroglossum hirtzii", "Lactuca virosa subsp. virosa", "Ainu basifemoratum", "Ainu linwenxini", "Ainu multicolor", "Ainu fruhstorferi", "Rufoplaca ulleungensis", "Sarcogyne ulleungdoensis", "Eremophila xantholaema", "Eremophila sericea", "Torodora efulenensis", "Dragmatucha hispidula", "Thubdora acutalis", "Thubdora bilobella", "Thubdora aciphalla", "Thubdora ambliodes", "Thubdora cameroona", "Telipogon nervosus", "Micromeria rivas-martinezii", "Myosotis asiatica subsp. asiatica", "Cicerbita macrophylla subsp. macrophylla", "Dracaena trachystachys", "Cicerbita tianschanica", "Skyttea bumyoungsungii", "Thelopsis gangwondoensis", "Topelia loekoesiana", "Microchilo nussi", "Microchilo landryi", "Cryptophagus jaloszynskii", "Phaeophyscia saxatilis", "Janthinobacterium lividum", "Gambrinus spelunca", "Gambrinus mitokii", "Dracaena umbratica", "Araucariocladus hiems", "Araucariocladus amfractus", "Dracaena xiphophylla", "Oligocharina corcyrica", "Porroglossum marniae", "Porroglossum medinae", "Porroglossum meridionale", "Porroglossum merinoi", "Porroglossum miguelangelii", "Porroglossum mordax", "Porroglossum myosurotum", "Porroglossum olivaceum", "Porroglossum oversteegenianum", "Porroglossum panguiensis", "Stephanomeria paniculata", "Gymnephoria spilota", "Stephanomeria virgata subsp. virgata", "Gundelia purpurascens", "Bobina baliica", "Halothamnus somalensis var. papillosus", "Nola melanoscelis", "Nola biangulata", "Nola biangulata biangulata", "Nola biangulata submelanoscelis", "Nola politzari", "Dracaena reflexa var. reflexa", "Meganola argyrolepis", "Meganola argyrolepis argyrolepis", "Meganola argyrolepis drymoetes", "Dracaena reflexa var. salicifolia", "Trophogemma colantonii", "Meganola argyrolepis marleyi", "Pyrenopsis cavernicola", "Meganola lucia", "Meganola infuscata", "Meganola shangaana", "Lotus pyranthus", "Brachypteryx sinensis", "Brachypteryx goodfellowi", "Dracaena rosulata", "Dracaena sarawakensis", "Mimatheta fungicola", "Wittonola latifasciata", "Dracaena serrulata subsp. dhofarica", "Nanola rothschildi", "Maculonola dolokmerangirensis", "Calycoseris parryi", "Gambrinus ogatai", "Calycoseris wrightii", "Paraloconota chang", "Paraloconota concurrens", "Paraloconota cyanescens", "Glyptopleura marginata", "Prionus sontinh", "Lygodesmia grandiflora var. dianthopsis", "Chrysochus auratus", "Parheminodes pulcher", "Paraloconota firmoides", "Paraloconota naddiana", "Paraloconota sexualis", "Paraloconota xinjiangensis", "Paranopleta inhabilis", "Cryptothecia austrocoreana", "Plataraea abruzziana", "Plataraea dubiosa", "Plataraea elegans", "Malacothrix californica", "Porroglossum hoeijeri", "Porroglossum hystrix", "Porroglossum jesupiae", "Porroglossum josei", "Porroglossum lorenae", "Porroglossum lycinum", "Porroglossum tripollex", "Porroglossum uxorium", "Porroglossum zelenkoi", "Cinachyrella anatriaenilla", "Pinckneya pubens", "Distichia muscoides", "Fresnedaella lucius", "Picrosia longifolia", "Porroglossum parsonsii", "Porroglossum peruvianum", "Porroglossum porphyreum", "Porroglossum portillae", "Porroglossum procul", "Porroglossum raoorum", "Porroglossum rodrigoi", "Rafinesquia californica", "Stephanomeria cichoriacea", "Porroglossum sergii", "Porroglossum sijmii", "Stephanomeria diegensis", "Porroglossum sororcula", "Porroglossum taylorianum", "Porroglossum teaguei", "Porroglossum teretilabia", "Porroglossum tokachii", "Stephanomeria exigua subsp. exigua", "Pseudopodospermum brevicaule", "Pseudopodospermum molle", "Pseudopodospermum papposum", "Scorzonera parviflora", "Pseudopodospermum phaeopappum", "Myxillodoryx nicolae", "Ectyonopsis sigmata", "Phorbas reginae", "Scorzonera rosea", "Scorzonera angustifolia", "Myosotis laxa subsp. laxa", "Scorzonera aristata", "Takhtajaniantha austriaca", "Gelasia latifolia", "Scorzonera bungei", "Scorzonera gorovanica", "Mutisia mathewsii", "Celtodoryx ciocalyptoides", "Scorzonera radiata", "Pseudopodospermum troodeum", "Gelasia villosa subsp. villosa", "Takhtajaniantha pusilla", "Isomira farkaci", "Isomira martensi", "Isomira schawalleri", "Isomira zhongdianica", "Deltote turcica", "Loricula unidentata", "Dragomiris orientalis", "Acrolocha pliginskii", "Acrolocha caucasica", "Cyana turlini", "Cyana nyika", "Cyana naumanni", "Tetilla pentatriaena", "Tetilla muricyi", "Tetilla rodriguesi", "Chaeropus yirratji", "Loricaria graveolens", "Tragopogon cazorlanus", "Tragopogon crocifolius subsp. crocifolius", "Holcoglossum tsii", "Calantica spinilatera", "Tragopogon dubius subsp. dubius", "Tragopogon minor", "Tragopogon dubius subsp. major", "Tragopogon orientalis", "Scorzoneroides autumnalis subsp. borealis", "Scorzoneroides helvetica", "Hammada eriantha", "Xanthoria schummii", "Scorzoneroides montana", "Scorzoneroides montana subsp. montana", "Scorzoneroides muelleri", "Scorzoneroides muelleri subsp. muelleri", "Hampsonola elachistomorpha", "Scorzoneroides pseudotaraxaci", "Hampsonola elachistonana", "Scorzoneroides pyrenaica", "Scorzoneroides pyrenaica subsp. pyrenaica", "Siccia imana", "Triscaedecia sulawesi", "Loricula flosmanni", "Loricula gladiotibialis", "Loricula yunnanica", "Loricula subaeneipennis", "Koelpinia deflexa", "Scorzonera purpurea", "Bobina emeiica", "Bobina fikaceki", "Bobina jendeki", "Bobina masumotoi", "Hymenonema laconicum", "Bobina cuspidenta", "Ksukolcula hesperia", "Ksukolcula issoria", "Ksukolcula ochlodes", "Ksukolcula zerynthia", "Myosotis bryonoma", "Myosotis alpestris subsp. mrkvickana", "Myosotis martini", "Lissodendoryx diegoramirezensis", "Lissodendoryx coloanensis", "Lissodendoryx corrugata", "Lissodendoryx ballena", "Castnia amalthaea", "Insigniocastnia bogota", "Victrix akbet", "Rhodostrophia reisseri", "Rhodostrophia stueningi", "Tragopogon pratensis subsp. pratensis", "Tegenaria chiricahuae", "Paranephelius uniflorus", "Acilepis ornata", "Zelleria asiatica", "Acilepis dendigulensis", "Zelleria japonicella", "Zelleria silvicolella", "Blepharosis sirotka", "Drilorhinus klimenkoi", "Thubdora ealaensis", "Athyrium microphyllum", "Deparia conilii", "Deparia jiulungensis", "Deparia jiulungensis var. albosquamata", "Deparia heterophlebia", "Deparia japonica subsp. japonica", "Athyrium filix-femina var. filix-femina", "Phyllonorycter ivani", "Deparia petersenii subsp. petersenii", "Deparia prolifera", "Deparia tomitaroana", "Asymblepharus tragbulense", "Deparia unifurcata", "Diplazium ambiguum", "Tomoglossa floridana", "Diplazium dietrichianum", "Diplazium dilatatum", "Bremeria landia", "Athyrium vidalii", "Jungia weberbaueri", "Diplazium assimile", "Devario devario", "Parectopa pulverella", "Parectopa quadristrigella", "Parectopa rotigera", "Parectopa undosa", "Penica peritheta", "Spanioptila eucnemis", "Spanioptila spinosum", "Spanioptila codicaria", "Spanioptila nemeseta", "Sableta infulata", "Neurostrota cupreella", "Neurostrota gunniella", "Neurostrota pithecolobiella", "Parectopa dactylota", "Parectopa exorycha", "Parectopa heptametra", "Peperomia inaequalifolia", "Parectopa lithocolletina", "Parectopa nesitis", "Nanophyton erinaceum subsp. karataviense", "Nanophyton erinaceum subsp. subulifolium", "Calea peruviana", "Encelia densifolia", "Daphnandra micrantha", "Daphnandra apatela", "Daphnandra johnsonii", "Daphnandra melasmena", "Daphnandra repandula", "Myosotis retrorsa", "Myosotis umbrosa", "Epilobium royleanum", "Prognathodes geminus", "Calantica studeri", "Vientiana patricki", "Semophylax crassiuscula", "Melitaea devyatkini", "Athyrium asplenioides", "Athyrium asplenioides var. angustum", "Strophogastra penicillata", "Diplazium caudatum", "Tolypotheca emese", "Diplazium cordifolium", "Tomoglossa ornatella", "Tomoglossa improvisa", "Tomoglossa arizonica", "Coptolimulus calabyi", "Coptophilus greavesi", "Diplazium griffithii", "Diplazium melanochlamys", "Diplazium queenslandicum", "Nasutiphilus flavus", "Nasutiphilus niger", "Diplazium sandwichianum", "Litoglossa opaca", "Diplazium spectabile", "Deparia lancea", "Diplazium sylvaticum", "Chaeropus ecaudatus occidentalis", "Chaeropus ecaudatus ecaudatus", "Philobrunneus gayi", "Schedotermoecia kaimanensis", "Schedotermoecia papuana", "Myrmedonota termitophila", "Microcerophilus bruneiensis", "Microcerophilus nuttingi", "Microceroxenus alzadae", "Coptotermoecia alutacia", "Diplazium laxifrons", "Coptotermoecia flava", "Coptotermoecia pilosa", "Coptotermoecia robusta", "Coptotermoecia seeversi", "Anchonidium caucasicum", "Diplazium lindbergii", "Stomodes tolutarius", "Diplazium donianum", "Michaelapion sugonyaevi", "Diplazium maximum", "Thubdora ghesquierei", "Thubdora gladiator", "Thubdora kapangaensis", "Thubdora neobarbata", "Thubdora seydeli", "Thubdora barbata", "Torodora amplignathosa", "Torodora lichanosa", "Torodora planusa", "Torodora triloba", "Torodora semnodora", "Lecithocera chloroscia", "Lecithocera dicentropa", "Dichomeris schoutedeniella", "Homaloxestis pancrocopa", "Pentatrachyphloeus andersoni", "Pentatrachyphloeus baumi", "Pentatrachyphloeus brevithorax", "Pentatrachyphloeus bufo", "Pentatrachyphloeus endroedyi", "Pentatrachyphloeus exiguus", "Pentatrachyphloeus frici", "Pentatrachyphloeus grobbelaarae", "Pentatrachyphloeus hanzelkai", "Pentatrachyphloeus holubi", "Chileoptilia yaroella", "Neurobathra curcassi", "Pseudoleptusa fasciata", "Balanophora fungosa", "Balanophora indica", "Demimaea eugenii", "Hainokisaruzo eugenii", "Pomatocalpa undulatum", "Diplazium werckleanum", "Pomatocalpa undulatum subsp. undulatum", "Pomatocalpa undulatum subsp. acuminatum", "Asterella marginata", "Calantica trispinosa", "Asterella venosa", "Mannia fragrans", "Balanops australiana", "Balanops vieillardii", "Balanophora abbreviata", "Jungia pauciflora", "Diplazium paradoxum", "Draco norvillii", "Hainokisaruzo armipes", "Chamaerops humilis var. argentea", "Impatiens cuspidata subsp. cuspidata", "Aquacidia trachona", "Eristicophis macmahoni", "Phylloscopus rotiensis", "Phrynocephalus euptilopus", "Impatiens dichroa", "Givarbela decolorata", "Givarbela drechseli", "Givarbela steinbachi", "Impatiens hochstetteri subsp. hochstetteri", "Impatiens uncinata", "Impatiens tweedieae", "Parendacustes papua", "Parendacustes wasile", "Impatiens stoliczkai", "Impatiens rubrostriata", "Photodotis daedalea", "Photodotis lurida", "Photodotis reclinata", "Hebanthodes peruviana", "Agonopterix anticella", "Epidendrum quitensium", "Zosterops aldabrensis", "Impatiens albopustulosa", "Impatiens alborosea", "Impatiens alborubra", "Impatiens barberi", "Eremias acutirostris", "Impatiens blepharosephala", "Eremias isfahanica", "Eremias kavirensis", "Hainokisaruzo rufus", "Hainokisaruzo femoratus", "Hainokisaruzo pallens", "Hainokisaruzo orlovi", "Hainokisaruzo gressitti", "Hainokisaruzo sergii", "Mecysmoderes simulator", "Mecysmoderes eugenii", "Candida auris", "Agonopterix ivinskisi", "Agonopterix ivinskisi ivinskisi", "Agonopterix ivinskisi daghestanica", "Agonopterix volgensis", "Agonopterix kisojiana kisojiana", "Agonopterix kisojiana diluta", "Agonopterix pullella", "Eremias cholistanica", "Muehlenbeckia andina", "Eremias velox", "Pseudoxypoda colorata", "Impatiens clavigera", "Impatiens kilimanjari subsp. kilimanjari", "Eremias arguta", "Phrynocephalus helioscopus", "Chrysolina poretzkyi", "Otiothops lajeado", "Impatiens oxyanthera", "Afrooreobia fauciumnigromontis", "Fernandezina saira", "Impatiens parviflora subsp. parviflora", "Cerocida ducke", "Echinotheridion lirum", "Impatiens platypetala subsp. platypetala", "Stemmops carius", "Stemmops belavista", "Stemmops salenas", "Stemmops caranavi", "Stemmops orsus", "Philonotis pungens", "Philonotis seriata", "Hellenolacerta graeca", "Philonotis tomentella", "Philonotis vagans", "Laundonia ryukyuensis", "Laundonia flavovirescens", "Wagneriana levii", "Chrysolina poretzkyi poretzkyi", "Chrysolina poretzkyi olschwangi", "Impatiens luteoviridis", "Impatiens mildbraedii", "Impatiens neobarnesii", "Impatiens purpureoviolacea", "Eremias montana", "Eremias suphani", "Apathya yassujica", "Fauriea yonaguniensis", "Bacidina jasonhuri", "Iranolacerta brandtii", "Gyalidea koreana", "Phrynocephalus persicus", "Iranolacerta brandtii esfahanica", "Impatiens kinabaluensis", "Apphiana veris", "Radulphius bicolor", "Radulphius camacan", "Radulphius monticola", "Radulphius bidentatus", "Radulphius petropolis", "Philonotis caespitosa", "Philonotis falcata", "Toenayar novemcarinata", "Heremites septemtaeniatus", "Thymoites cravilus", "Drassodella flava", "Drassodella guttata", "Drassodella lotzi", "Drassodella maculata", "Drassodella montana", "Drassodella tolkieni", "Drassodella transversa", "Drassodella venda", "Impatiens tinctoria subsp. tinctoria", "Drassodella amatola", "Dinarolacerta montenegrina", "Gyalidea poeltii", "Aristolochia rzedowskiana", "Aristolochia manantlanensis", "Gyalidea vezdae", "Aristolochia colimensis", "Aristolochia occidentalis", "Aristolochia emiliae", "Aristolochia luzmariana", "Dinarolacerta mosorensis", "Amriathaea microps", "Iranolacerta zagrosica", "Cryptachaea pydanieli", "Hentziectypus rafaeli", "Pseudostellaria heterantha var. linearifolia", "Termitotelus maculosus", "Cryptachaea taim", "Gyalidea pisutii", "Eremias intermedia", "Eremias quadrifrons", "Cryptachaea dea", "Eremias przewalskii", "Cryptachaea digitus", "Eremias scripta", "Eremias strauchi", "Eremias argus", "Cryptachaea meraukensis", "Aspidoscelis mexicanus", "Rhoptropus afer", "Agama hartmanni", "Meroles cuneirostris", "Cryptachaea ogatai", "Cryptachaea rostra", "Nostoc sphaericum", "Eremias regeli", "Eremias nikolskii", "Eremias pleskei", "Cryptachaea triguttata", "Gelanor hoga", "Gelanor cachimbo", "Chimericorsa nioloensis", "Laundonia persimilis", "Eucosma bimaculatana", "Lygromma volcan", "Lygromma domingo", "Zimiromus rothi", "Zimiromus lawa", "Zimiromus volksberg", "Zimiromus sinop", "Zimiromus beni", "Charoxus fodiens", "Impatiens linearifolia", "Cryptachaea cidae", "Cryptachaea alleluia", "Cryptachaea spectabilis", "Cryptachaea divisor", "Cryptachaea floresta", "Cryptachaea ericae", "Cryptachaea catita", "Cryptachaea propinqua", "Cryptachaea tambopata", "Cryptachaea paquisha", "Cryptachaea benivia", "Cryptachaea lavia", "Impatiens morsei", "Neotermitotelus hartwigi", "Termitotelus schultzei", "Cryptachaea brescoviti", "Cryptachaea bonaldoi", "Cryptachaea lisei", "Cryptachaea dalana", "Heremites auratus", "Cryptachaea maraca", "Pomatocalpa marsupiale", "Pomatocalpa parvum", "Pomatocalpa simalurense", "Pomatocalpa sphaetophorum", "Pomatocalpa spicatum", "Pomatocalpa tonkinense", "Pomatocalpa truncatum", "Cacatua galerita triton", "Echemoides penai", "Begonia capensis", "Echemoides aguilari", "Echemoides tofo", "Echemoides schlingeri", "Echemoides illapel", "Echemoides malleco", "Echemoides gayi", "Echemoides rossi", "Zimiromus canje", "Zimiromus dorado", "Zimiromus nadleri", "Scopoides gertschi", "Zimiromus platnicki", "Barbeuia madagascariensis", "Drassodella aurostriata", "Drassodella baviaans", "Drassodella trilineata", "Drassodella melana", "Anacolia webbii", "Drassodella purcelli", "Drassodella quinquelabecula", "Drassodella vasivulva", "Drassodella salisburyi", "Drassodella septemmaculata", "Drassodella tenebrosa", "Radulphius pintodarochai", "Radulphius lane", "Radulphius barueri", "Radulphius boraceia", "Radulphius caldas", "Radulphius caparao", "Radulphius cambara", "Radulphius latus", "Radulphius singularis", "Radulphius laticeps", "Fenyesia nigra", "Wagneriana bamba", "Wagneriana jacaza", "Wagneriana neblina", "Wagneriana carinata", "Wagneriana grandicornis", "Wagneriana taboga", "Wagneriana taim", "Nesticella murici", "Nesticella ducke", "Echinotheridion urarum", "Phoroncidia moyobamba", "Chrysso calima", "Episinus crysus", "Episinus garisus", "Dalmatolacerta oxycephala", "Zimiromus racamus", "Atlantolacerta andreanskyi", "Zimiromus montenegro", "Cinclodes antarcticus maculirostris", "Parvilacerta fraasii", "Phoenicolacerta troodica", "Premnoplex tatei pariae", "Phoenicolacerta laevis", "Zimiromus sununga", "Zimiromus syenus", "Zimiromus hortenciae", "Zimiromus kleini", "Abditoporella dimorpha", "Wagneriana jelskii", "Wagneriana transitoria", "Dilobidiontura mirabilis", "Ealisbia africana", "Ecitochara fusicornis", "Ecitodaemon vagantium", "Zimiromus recs", "Ecitodonia setigera", "Echemoides chilensis", "Begonia conipila", "Echemoides cekalovici", "Arauchemus graudo", "Arauchemus miudo", "Phoenicolacerta kulzeri", "Wagneriana undecimtuberculata", "Calicorema squarrosa", "Wagneriana maseta", "Pomatocalpa floresanum", "Pomatocalpa fuscum", "Anatololacerta anatolica", "Sericorema remotiflora", "Pomatocalpa grande", "Pomatocalpa incurvum", "Anatololacerta danfordi", "Pomatocalpa kunstleri", "Anatololacerta pelasgiana", "Pomatocalpa leucanthum", "Pomatocalpa linearipetalum", "Pomatocalpa maculosum", "Pomatocalpa maculosum subsp. maculosum", "Pomatocalpa maculosum subsp. andamanicum", "Echemus levyi", "Phoenicolacerta cyanisparsa", "Drassodes bifidus", "Haplodrassus ponomarevi", "Wagneriana roraima", "Ecitophya simulans", "Edricus productus", "Edricus spiniger", "Schriften der", "Ecitosymbia rufa", "Ecitoxenia mirabilis", "Eidmannotherium attarum", "Mechowia redactifolia", "Zimiromus tapirape", "Zimiromus buzios", "Echemoides giganteus", "Echemoides mauryi", "Echemoides argentinus", "Pomatocalpa angustifolium", "Pomatocalpa arachnanthe", "Echemoides balsa", "Pomatocalpa armigerum", "Pomatocalpa bhutanicum", "Pomatocalpa bicolor", "Pomatocalpa decipiens", "Echemoides penicillatus", "Pomatocalpa diffusum", "Mechowia grandiflora", "Wagneriana gavensis", "Wagneriana iguape", "Wagneriana madrejon", "Wagneriana huanca", "Wagneriana alma", "Wagneriana vegas", "Wagneriana acrosomoides", "Spheropistha nigroris", "Chrysso orchis", "Miltonia moreliana", "Parasteatoda lanyuensis", "Parasteatoda quadrimaculata", "Miltonia phymatochila", "Miltonia regnellii", "Spheropistha huangsangensis", "Spheropistha rhomboides", "Spheropistha orbita", "Miltonia russelliana", "Spheropistha xinhua", "Begonia weddeliana", "Pinus arunachalensis", "Pinus georginae", "Bulbophyllum tripudians", "Miltonia \u00d7 bluntii", "Wagneriana janeiro", "Wagneriana cobella", "Wagneriana lechuza", "Wagneriana atuna", "Wagneriana juquia", "Wagneriana carimagua", "Wagneriana uropygialis", "Wagneriana heteracantha", "Geopora schauenbergi", "Wagneriana eupalaestra", "Wagneriana neglecta", "Wagneriana uzaga", "Wagneriana spicata", "Abies balsamea var. phanerolepis", "Unilaprionus unilamellatus", "Cistanthe tovarii", "Hyposinga luzhongxiani", "Larinia duchengcaii", "Leucauge talagangiba", "Wagneriana tayos", "Wagneriana yacuma", "Wagneriana eldorado", "Wagneriana hassleri", "Wagneriana silvae", "Wagneriana pakitza", "Wagneriana turrigera", "Chrosiothes perfidus", "Chrosiothes venturosus", "Chrosiothes diabolicus", "Chrosiothes carajaensis", "Chrosiothes cicuta", "Chrosiothes murici", "Chrosiothes decorus", "Chrosiothes una", "Halobrecthina opaciceps", "Miltonia cuneata", "Chrosiothes fulvus", "Chrosiothes taiwan", "Miltonia flava", "Thamnophilus ruficapillus subfasciatus", "Begonia loranthoides subsp. loranthoides", "Thamnophilus bernardi shumbae", "Begonia varistyle", "Begonia vincentina", "Begonia vitiensis", "Begonia vittariifolia", "Begonia unilateralia", "Chironomus paraalbidus", "Pardosa italica", "Dugesia gonocephala", "Adolfus masavaensis", "Sakesphorus canadensis pulchellus", "Adolfus mathewsensis", "Speocera feminina", "Speocera vilhenai", "Miltonia \u00d7 binotii", "Speocera jacquemarti", "Miltonia \u00d7 cyrtochiloides", "Hylodesina moorei", "Theotima galapagosensis", "Theridion coldeniae", "Miltonia \u00d7 lamarckeana", "Neozimiris pinta", "Trematooecia rotunda", "Cigclisula winstonae", "Cigclisula perforata", "Cigclisula osburni", "Cigclisula fistulosa", "Cigclisula buski", "Cigclisula australis", "Miltonia \u00d7 cogniauxiae", "Colatooecia serrulata", "Caaeteboia amarali", "Otacilia ailan", "Otacilia daweishan", "Otacilia fabiformis", "Otacilia jiandao", "Otacilia nonggang", "Otacilia yinae", "Otacilia biarclata", "Otacilia florifera", "Speocera amber", "Speocera ankalana", "Speocera bachma", "Speocera balikpapan", "Speocera ballarini", "Speocera batang", "Speocera bawangling", "Speocera bontoc", "Speocera bukittinggi", "Speocera trapezialis", "Speocera trusmadi", "Speocera tubularis", "Speocera xiaoxiaoae", "Speocera xuanson", "Speocera zhigangi", "Speocera dayakorum", "Adolfus kibonotensis", "Speocera deharvengi", "Speocera indulgens", "Speocera leclerci", "Speocera parva", "Speocera phangngaensis", "Adolfus jacksoni", "Speocera pongo", "Adolfus africanus", "Speocera ranongensis", "Speocera stellafera", "Adolfus alleni", "Speocera suratthaniensis", "Speocera transleuser", "Speocera troglobia", "Thamnistes anabatinus aequatorialis", "Miltonia \u00d7 leucoglossa", "Neozimiris crinis", "Neozimiris chickeringi", "Neozimiris exuma", "Begonia octopetala subsp. octopetala", "Neozimiris nuda", "Neozimiris levii", "Neozimiris pinzon", "Miltonia \u00d7 peetersiana", "Lygromma kochalkai", "Lygromma huberti", "Lygromma peckorum", "Lygromma valencianum", "Lygromma chamberlini", "Ptilothyris serangota", "Ptilothyris pilosa", "Ptilothyris vokaensis", "Ptilothyris enormisella", "Ptilothyris drepanodes", "Ptilothyris hylodes", "Ptilothyris crassiella", "Ptilothyris leifaarviki", "Ptilothyris subcucullata", "Ptilothyris crossoceros", "Ptilothyris aglaocrossa", "Blastenia catalinae", "Ptilothyris loxocasis", "Ptilothyris neuroplaca", "Ptilothyris nausicaa", "Allomedmassa bifurca", "Allomedmassa crassa", "Allomedmassa matertera", "Medmassa torta", "Orencostoma divulgatum", "Orencostoma semicirculum", "Lista menglaensis", "Lista furcillatusa", "Tecmerium yunnanense", "Tecmerium rectimarginatum", "Letheobia decorosus", "Ptilothyris purpurea", "Ptilothyris porphyrea", "Ptilothyris climacista", "Lygromma quindio", "Lygromma dybasi", "Lygromma gertschi", "Lygromma peruvianum", "Miltonia \u00d7 rosina", "Begonia tacana", "Begonia josephi", "Solanum ajanhuiri", "Solanum curtilobum", "Apathya cappadocica", "Trematooecia verticalis", "Trematooecia ridleyi", "Trematooecia arborescens", "Allomedmassa mae", "Allomedmassa deelemanae", "Paramedmassa day", "Speocera cattien", "Speocera cucphuong", "Speocera cuyapo", "Abies delavayi subsp. fansipanensis", "Abies delavayi var. motuoensis", "Abies delavayi var. nukiangensis", "Speocera dongjing", "Speocera gexuejuni", "Speocera griswoldi", "Speocera heilan", "Speocera huifengi", "Speocera huisun", "Speocera lahrak", "Speocera longyan", "Speocera manhao", "Speocera melinh", "Speocera nuichua", "Speocera payakumbuh", "Speocera suea", "Speocera tabuk", "Myosotis ramosissima subsp. lebelii", "Vhembelacerta rupicola", "Uanauna angaporan", "Immanus papuanus", "Pselaphogenius chloe", "Begonia sunorchis", "Emphylica crassihamata", "Emphylica cruoralis", "Emphylica xanthocrossa", "Klugerella petasus", "Begonia variegata", "Poliocrania exsul maculifer", "Asarum curvistigma", "Tropidosaura montana", "Neorthrius brachialis", "Chelodina oblonga", "Neorthrius carinifrons", "Emydura australis", "Epinecrophylla ornata hoffmannsi", "Sophronia salaganella", "Sophronia illustrella", "Sophronia consanguinella", "Begonia keraudreniae", "Begonia obliquifolia", "Begonia neoharlingii", "Trematooecia gemmea", "Rhynchozoon sexaspinatum", "Stephanollona propinqua", "Reteporellina directa", "Buffonellaria ensifera", "Barbadiopsis trepida", "Gemelliporina hastata", "Stylopoma haywardi", "Metroperiella agassizi", "Hippoporina rutelliformis", "Parasmittina barbadensis", "Parkermavella salebrosa", "Smittoidea reginae", "Exochella tropica", "Begonia loranthoides subsp. rhopalocarpa", "Begonia \u00d7 hybrida", "Trimeresurus yingjiangensis", "Typhlosaurus vermis", "Aethalopteryx atriplaga", "Eulophonotus myrmeleon", "Strigocossus crassa", "Strigocossus otti", "Oreocossus occidentalis", "Paralophonotus auroguttata", "Berberis aridocalida", "Caloptilia aesculi", "Berberis holstii", "Tetragnatha bandapula", "Tetragnatha laochenga", "Tetragnatha pseudonitens", "Tetragnatha zhuzhenrongi", "Chrysso hyoshidai", "Chrysso hejunhuai", "Chrysso yulingu", "Dipoenura bukolana", "Emertonella hainanica", "Steatoda panja", "Wendilgarda panjanensis", "Thomisus magaspangus", "Tmarus shuquianglii", "Tmarus aberrans", "Tmarus albisterni", "Ochyrocera cornuta", "Otiothops amazonicus", "Argiope carvalhoi", "Opas melanoleuca", "Mecynometa melanoleuca", "Opas caudata", "Micrathena pungens", "Cellaria louisorum", "Caberea hassleri", "Labioporella tuberculata", "Antropora hastata", "Retevirgula multipunctata", "Cigclisula tuberculata", "Plesiocleidochasma foliosum", "Fodinella atlantica", "Turbicellepora brasiliensis", "Trematooecia hexagonalis", "Fenestrulina constellata", "Buffonellaria variavicularis", "Plagioecia bugei", "Nevianipora arcuata", "Disporella brasiliana", "Trematooecia aviculifera", "Stylopoma rotundum", "Stylopoma carioca", "Parasmittina loxoides", "Parasmittina simpulata", "Metrarabdotos jani", "Exochella frigidula", "Poricella frigorosa", "Sophronia alaicella", "Sophronia acaudella", "Althepus devraii", "Harmochirus exaggeratus", "Vasignyella ovicellata", "Cosmophasis undulata", "Lomaella lamottei", "Lomaella royi", "Myrmornis torquata stictoptera", "Icius abnormis", "Icius bilobus", "Abies fabri subsp. minensis", "Calanthe aristulifera", "Myosotis kazakhstanica", "Myosotis alpestris subsp. pyrenaeorum", "Willisornis vidua nigrigula", "Myiopagis caniceps parambae", "Myiopagis caniceps cinerea", "Berberis oiwakensis", "Berberis rotundifolia", "Heterodon simus", "Herminium tangianum", "Capyella brevispina", "Metacanthus pertenerum", "Ninox squamipila hantu", "Timandra distorta", "Timandra adunca", "Timandra quadrata", "Timandra accumulata", "Timandra viminea", "Timandra robusta", "Timandra stueningi", "Ninox squamipila squamipila", "Timandra apicirosea", "Timandra dichela", "Timandra synthaca", "Timandra paralias", "Timandra oligoscia", "Myosotis lyallii subsp. elderi", "Timandra griseata", "Myosotis lyallii subsp. lyallii", "Myosotis lyallii var. townsonii", "Sophronia aquilex", "Sophronia ascalis", "Sophronia catharurga", "Sophronia chilonella", "Sophronia curonella", "Sophronia finitimella", "Sophronia gelidella", "Sophronia grandii", "Sophronia humerella", "Sophronia mediatrix", "Sophronia parahumerella", "Sophronia primella", "Sophronia roseicrinella", "Sophronia sagittans", "Sophronia santolinae", "Sophronia semicostella", "Sophronia sicariellus", "Sophronia teretracma", "Neopimus capensis", "Neopimus zulu", "Neopimus tragardhi", "Meganola subseima", "Meganola rongjiangensis", "Meganola wulongensis", "Cyana artemis", "Cyana butyracea", "Cyana kucheri", "Halone hollowayi", "Halone ariadne", "Berberis pallida", "Berberis pinnata subsp. pinnata", "Gymnopus sect.", "Gymnopus sect.", "Gymnopus sect.", "Gymnopus sect.", "Thectonota rufoflava", "Berberis insignis subsp. insignis", "Typhlozyras camusi", "Zyrathetoides basutoensis", "Halone dissimulata", "Halone pillea", "Halone oblimarea", "Halone bifornica", "Halone iuguma", "Halone solitus", "Halone marketae", "Halone viktorai", "Palicanus caudatus", "Trypostega tropicalis", "Puellina octospinata", "Cellaria brasiliensis", "Floridina proterva", "Micropora angustiscapulis", "Myosotis ramosissima subsp. gracillima", "Abies coahuilensis", "Canda alsia", "Discoporella salvadorensis", "Parellisina lunatirostris", "Microceratheta machadoi", "Neocallicerus dammermani", "Berberis congestiflora", "Notatheta anommatis", "Cymbidium eburneum", "Chorizanthe navasiae", "Paragoniusa myrmicae", "Clubiona analis", "Paraleptonia pacei", "Peliopteronia floresana", "Peliopteronia sutteri", "Physetophallia cotopaxicola", "Berberis grevilleana", "Berberis hamiltoniana", "Berberis hieronymi", "Berberis trigona", "Berberis tsarongensis", "Myosotis scorpioides subsp. praecox", "Berberis vulgaris subsp. vulgaris", "Berberis leptoclada", "Berberis tomentosa", "Berberis iberica", "Attonia hirta", "Berberis trifolia", "Gastrodia elatoides", "Paragymnopus sect.", "Paragymnopus sect.", "Dendrobium obchantiae", "Vitrimurella lata", "Holcoglossum sinicum", "Berberis lijiangensis", "Aspidoscelis sexlineatus", "Ophisaurus ventralis", "Abies fargesii var. faxoniana", "Sistrurus miliarius", "Myosotis scorpioides subsp. radicans", "Myosotis scorpioides subsp. scorpioides", "Myosotis ergakensis", "Berberis litoralis", "Rodriguezia brachystachys", "Typhlosaurus lomiae", "Typhlosaurus braini", "Phintelloides versicolor", "Proszynskia diatreta", "Proszynskia anusuae", "Neoscona chrysanthusi", "Neoscona bengalensis", "Neoscona molemensis", "Eriovixia poonaensis", "Neoscona shillongensis", "Miathamia opacicollis", "Microcephalina burgeoni", "Berberis calliantha", "Lucuphilus affinis", "Lucuphilus nitidus", "Lucuphilus subcoriaceus", "Scrobipalpa triangulella", "Macrophthalmodites melanocephalus", "Scrobipalpa punctulata", "Scrobipalpa septentrionalis", "Scrobipalpa zhongweina", "Makrakanthakneme rufa", "Scrobipalpa tripunctella", "Scrobipalpa ningxica", "Scrobipalpa psammophila", "Megonychiusa novaecaledoniae", "Scrobipalpa zhengi", "Scrobipalpa liui", "Scrobipalpa perfecta", "Scrobipalpa suaveolens", "Phintelloides alborea", "Phintelloides brunne", "Phintelloides flavoviri", "Phintelloides flavumi", "Phintelloides orbisa", "Phintelloides jesudasi", "Typhlosaurus caecus", "Typhlosaurus meyeri", "Myosotis imitata", "Govenia polychroma", "Myosotis baicalensis", "Myosotis butorinae", "Berberis gracilipes", "Myosotis refracta subsp. chitralica", "Myosotis refracta subsp. refracta", "Myosotis ramosissima subsp. ruscinonensis", "Myosotis ramosissima subsp. uncata", "Myosotis ramosissima subsp. ramosissima", "Thymus artvinicus", "Thymus guyonii", "Thymus laconicus", "Thymus pallasianus", "Rhopalogastrum claviventre", "Thymus convolutus", "Thymus pectinatus", "Elaenia fallax cherriei", "Thymus subcollinus", "Thymus spathulifolius", "Mionectes olivaceus galbinus", "Epimedium epsteinii", "Tigridia conzattii", "Alnus alnobetula subsp. alnobetula", "Epimedium leptorrhizum", "Epimedium lishihchenii", "Epimedium ogisui", "Tomnashia rosei", "Epimedium pinnatum subsp. pinnatum", "Epimedium platypetalum", "Epimedium zhushanense", "Epimedium sempervirens var. rugosum", "Tigridia meleagris", "Leptopogon superciliaris albidiventer", "Alnus alnobetula subsp. suaveolens", "Alnus alnobetula subsp. fruticosa", "Noblella thiuni", "Psychrophrynella glauca", "Hypericum struthiolifolium", "Tomnashia luteominia", "Gymnospermium albertii", "Gymnospermium altaicum", "Phacellophora camtschatica", "Austrospirachtha mimetes", "Leontice leontopetalum subsp. leontopetalum", "Coatonachthodes ovambolandicus", "Vitrimurella fulgens", "Berytinus clavipes", "Berytinus crassipes", "Berytinus minor", "Berytinus hirticornis", "Australolacerta australis", "Gampsocoris culicinus", "Gampsocoris africanus", "Gampsocoris punctipes", "Myosotis chakassica", "Myosotis czekanowskii", "Myosotis galpinii", "Myosotis graminifolia", "Myosotis graui", "Myosotis jenissejensis", "Myosotis jordanovii", "Hebius lacrima", "Myosotis paucipilosa", "Myosotis \u00d7 bollandica", "Clubiona pashabhaii", "Cheiracanthium nalsaroverense", "Castianeira tinae", "Cheiracanthium abbreviatum", "Cheiracanthium aculeatum", "Cheiracanthium aden", "Cheiracanthium aladanensis", "Cheiracanthium angolensis", "Berberis hispanica", "Cheiracanthium dippenaarae", "Cheiracanthium haroniensis", "Berberis hispanica subsp. hispanica", "Cheiracanthium kenyaensis", "Pujolia teocchii", "Myosotis alpestris subsp. alpestris", "Cheiracanthium kupensis", "Retteneciton elongatus", "Cheiracanthium malkini", "Cheiracanthium maraisi", "Schistacme obtusa", "Cheiracanthium minshullae", "Cheiracanthium russellsmithi", "Cheiracanthium shiluvanensis", "Sipaliopsis meridioafricana", "Myosotis alpestris var. albicans", "Thymus arsenijevii", "Phidolopora labiata", "Lagenicella punctulata", "Torquatella cornuta", "Tubulipora tuba", "Mecynoecia proboscideoides", "Xenoturbella japonica", "Tomnashia ludificans", "Epimedium omeiense", "Epimedium sasakii", "Begonia eliassii", "Holcoglossum amesianum", "Abroteles beaumonti", "Holcoglossum auriculatum", "Holcoglossum calcicola", "Termitophya heyeri", "Holcoglossum flavescens", "Holcoglossum gaoligongense", "Aspidura desilvai", "Cheiracanthium halophilum", "Cheiramiona akermani", "Cheiramiona amarifontis", "Cheiramiona ansiae", "Cheiramiona clavigera", "Cheiramiona collinita", "Cheiramiona ferrumfontis", "Cheiramiona filipes", "Cheiramiona florisbadensis", "Cheiramiona fontanus", "Cheiramiona jocquei", "Cheiramiona kalongensis", "Cheiramiona kentaniensis", "Thymus crenulatus", "Eburniola leucogaster", "Thymus dahuricus", "Fulleroxenus coatoni", "Thymus diminutus", "Thymus jenisseensis", "Thymus minussinensis", "Thymus narymensis", "Thymus ochotensis", "Neoguinella thierryi", "Neoguinella valeriae", "Oideprosoma mirandum", "Carpinus caroliniana subsp. caroliniana", "Carpinus cordata var. cordata", "Cheiracanthium auriculatum", "Cheiracanthium echinulatum", "Myiotriccus ornatus phoenicurus", "Asarum sect.", "Cheiramiona krugerensis", "Hebius yanbianensis", "Cheiramiona lajuma", "Cheiramiona langi", "Cheiramiona lejeunei", "Cheiramiona mlawula", "Cheiramiona muvalensis", "Cheiramiona paradisus", "Cheiramiona regis", "Cheiramiona ruwenzoricola", "Cheiramiona silvicola", "Hebius viperinum", "Cheiramiona simplicitarsis", "Cheiramiona stellenboschiensis", "Scolopostethus affinis", "Scolopostethus decoratus", "Scolopostethus grandis", "Scolopostethus ornandus", "Scolopostethus pictus", "Scolopostethus thomsoni", "Xenogaster inflata", "Xenopelta cornuta", "Cheiracanthium aizwalensis", "Cheiracanthium angulitarse", "Cheiracanthium albidulum", "Ostrya virginiana subsp. virginiana", "Cheiracanthium algarvense", "Termitopula sternalis", "Afrotyphlops chirioi", "Afrotyphlops rouxestevae", "Letheobia logonensis", "Cheiramiona dubia", "Tricheilostoma kongoensis", "Termitopullus sociusculus", "Tumulipcinus nuttingi", "Tumulipcinus watsoni", "Erythrolamprus pseudoreginae", "Afrarchaea haddadi", "Afrarchaea royalensis", "Brookesia tedi", "Afrarchaea woodae", "Afrarchaea godfreyi", "Tomnashia nashii", "Cheiracanthium africanum", "Cheiracanthium debile", "Cheiracanthium denisi", "Eburniogaster termitocola", "Termitonidia lunata", "Nasutitella puncticollis", "Asarum subg.", "Asarum subg.", "Cheiracanthium ambrense", "Cheiracanthium ampijoroa", "Cheiracanthium andranomay", "Cheiracanthium anjozorobe", "Cheiracanthium ashleyi", "Cheiracanthium fisheri", "Carpinus kawakamii var. kawakamii", "Cheiracanthium foulpointense", "Cheiracanthium griswoldi", "Cheiracanthium jocquei", "Cheiracanthium madagascarense", "Cheiracanthium mahajanga", "Carpinus londoniana var. londoniana", "Cheiracanthium ransoni", "Cheiracanthium rothi", "Cheiracanthium torsivum", "Cheiracanthium liapophysium", "Cheiracanthium apia", "Cheiracanthium approximatum", "Cheiracanthium auenati", "Cheiracanthium bantaengi", "Termitoptochus indicus", "Ptocholellus mimus", "Reginamimus milli", "Termitozophilus laetus", "Termituncula gracilipes", "Timeparthenus regius", "Thymus phyllopodus", "Thymus schischkinii", "Thymus sokolovii", "Thymus talijevii", "Thymus talijevii subsp. paucifolius", "Thymus talijevii subsp. talijevii", "Thymus ussuriensis", "Cheiramiona hewitti", "Cheiramiona baviaan", "Cheiramiona boschrandensis", "Cheiramiona debeeri", "Cheiramiona haddadi", "Cheiramiona hlathikulu", "Cheiramiona hogsbackensis", "Cheiramiona ibayaensis", "Cheiramiona jakobsbaaiensis", "Cheiramiona kirkspriggsi", "Cheiramiona kivuensis", "Cheiramiona lamorali", "Cheiramiona lindae", "Cheiramiona malawiensis", "Cheiramiona mkhambathi", "Cheiramiona mohalensis", "Cheiramiona musosaensis", "Spirachtha eurymedusa", "Cheiramiona nyungwensis", "Cheiramiona plaatbosensis", "Cheiramiona qachasneki", "Cheiramiona robinae", "Spirachthodes madecassus", "Cheiramiona saniensis", "Cheiramiona tembensis", "Cheiramiona upperbyensis", "Termitomimus entendveniensis", "Cheiramiona brandbergensis", "Termitoptocinus australiensis", "Cheiracanthium campestre", "Ecitotima miriventris", "Cheiracanthium canariense", "Neivaphilus watkinsi", "Neivaphilus palenquensis", "Cheiracanthium caudatum", "Neobeyeria arizonensis", "Cheiracanthium conspersum", "Philacamatus bosqi", "Cheiracanthium conflexum", "Amphilophium carolinae", "Cheiracanthium crucigerum", "Pulicomorpha coeca", "Termitochara kraatzi", "Cheiracanthium adjacens", "Carpinus orientalis var. orientalis", "Termitocupidus judithae", "Carpinus rankanensis var. rankanensis", "Idioptochus lehmensicki", "Melanoptochus alzadae", "Neotermitogaster colonus", "Rhadinoxenus pretoriusi", "Termella robusta", "Termitella lujae", "Termitellodes lativentris", "Termitoides marginatus", "Termitonasus palpalis", "Termitosyne platygastra", "Termitosynodes williamsi", "Trachopeplus setosus", "Asarum speciosum", "Dibamus manadotuaensis", "Pristimantis mallii", "Hemiphyllodactylus hongkongensis", "Diogma dmitrii", "Catenarina desolata", "Adenocalymma coriaceum", "Fonsechellus bicolor", "Fonsechellus diversicolor", "Mormellus bicolor", "Oecidiophilus mimellus", "Parvidolum microsomatis", "Perlinctus quaesitus", "Termitoiceus anastrephoproctus", "Cheiracanthium annulipes", "Termitopithus crassiusculus", "Asarum sect.", "Affinoptochus exclusus", "Australoptochus phoreticus", "Eutermitoptochus novaehollandiae", "Cheiracanthium antungense", "Lacessiptochus alzadae", "Schoenus quartziticus", "Pseudoraphis spinescens", "Juncus ingens", "Pimelea biflora", "Cheiracanthium excavatum", "Fridericia dispar", "Cheiracanthium exilipes", "Dichocarpum pterigionocaudatum", "Fridericia platyphylla", "Cheiracanthium danieli", "Cheiracanthium elegans", "Cheiracanthium effossum", "Cheiracanthium equestre", "Adenocalymma acutissimum", "Catenarina iomma", "Catenarina vivasiana", "Beyeria vespa", "Crematoxenus aenigma", "Adenocalymma nodosum", "Cheiracanthium shilabira", "Adenocalymma pedunculatum", "Cheiracanthium tanzanense", "Cheiracanthium brevicalcaratum", "Adenocalymma peregrinum", "Cheiracanthium brevidens", "Adenocalymma ternatum", "Adenocalymma validum", "Cryptomimus handlirschi", "Cheiracanthium barbarum", "Diploeciton constrictum", "Ecitosius gracilis", "Ecitosius robustus", "Termitosius pauciseta", "Termitosuga halterica", "Cheiracanthium boendense", "Cheiracanthium falcis", "Cheiracanthium foordi", "Cheiracanthium ghanaense", "Cheiracanthium kabalense", "Cheiracanthium kakamega", "Cheiracanthium kakumense", "Cheiracanthium lukiense", "Cheiracanthium mayombense", "Bignonia neoheterophylla", "Bignonia sciuripabulum", "Bothrops sonene", "Chilobrachys annandalei", "Mayodendron igneum", "Chilobrachys femoralis", "Chilobrachys hardwickei", "Stizophyllum riparium", "Sinomicrurus houi", "Chloraea septentrionalis", "Chloraea subpandurata", "Chloraea tectata", "Chloraea \u00d7 flavovirens", "Platyrinchus mystaceus albogularis", "Scincella nigrofasciata", "Rhadinella xerophila", "Rhadinella tolpanorum", "Anemopaegma grandifolium", "Berghoffia spectabilis", "Dorylogaster longipes", "Cuspidaria pulchra", "Dorylocratus rex", "Chloraea elegans", "Chloraea fiebrigiana", "Uropeltis bhupathyi", "Chloraea fonkii", "Toxicocalamus pumehanae", "Chloraea grandiflora", "Chloraea lamellata", "Chloraea laxiflora", "Chloraea lechleri", "Chloraea major", "Chloraea multilineolata", "Chloraea pavonii", "Euscarthmus meloryphus fulviceps", "Chloraea philippii", "Chloraea phoenicea", "Toxicocalamus buergersi", "Toxicocalamus preussi", "Chloraea praecincta", "Chloraea prodigiosa", "Chloraea reticulata", "Rhynchocyclus olivaceus aequinoctialis", "Chloraea riojana", "Cheiracanthium exquestitum", "Cheiracanthium hypocyrtum", "Lundia cordata", "Cheiracanthium olliforme", "Cheiracanthium submordax", "Cheiracanthium solidum", "Cheiracanthium sphaericum", "Otidiphaps nobilis insularis", "Cheiracanthium fibrosum", "Chilobrachys guangxiensis", "Pangrapta hainanensis", "Chilobrachys huahini", "Phyllarthron bojeranum", "Chilobrachys liboensis", "Rhodocolea telfairiae", "Amphitecna macrophylla", "Chilobrachys brevipes", "Chilobrachys oculatus", "Chilobrachys sericeus", "Chilobrachys thorelli", "Chilobrachys dyscolus", "Chilobrachys flavopilosus", "Maxillaria rufescens", "Chilobrachys paviei", "Cenaspis aenigma", "Otidiphaps nobilis aruensis", "Cnemaspis ajijae", "Cnemaspis limayei", "Cnemaspis amboliensis", "Cnemaspis mahabali", "Cnemaspis maculicollis", "Cnemaspis anamudiensis", "Thymus albicans", "Myiophobus fasciatus crypterythrus", "Shackletonia cryodesertorum", "Myiophobus fasciatus rufescens", "Thymus hartvigii", "Catalpa macrocarpa", "Jacaranda micrantha", "Thrixopelma lagunas", "Myiodynastes maculatus solitarius", "Jacaranda obovata", "Cercosaura anordosquama", "Jacaranda rufa", "Thrixopelma ockerti", "Jacaranda ulei", "Thrixopelma pruriens", "Thrixopelma cyaneolum", "Calamaria andersoni", "Thymus leucospermus", "Pamphobeteus fortis", "Chilobrachys pococki", "Chilobrachys soricinus", "Chilobrachys subarmatus", "Chilobrachys tschankoensis", "Wurfbainia compacta", "Silene palaestina", "Muscisaxicola rufivertex occipitalis", "Chilobrachys stridulans", "Chilobrachys hubei", "Chilobrachys nitelinus", "Chilobrachys khasiensis", "Chilobrachys assamensis", "Chersodromus nigrum", "Chersodromus australis", "Haplocosmia nepalensis", "Jacaranda brasiliana", "Haplocosmia himalayana", "Callianthemum miyabeanum", "Ghatixalus magnus", "Begonia longivillosa", "Ghatixalus asterops", "Knipolegus orenocensis sclateri", "Knipolegus aterrimus heterogyna", "Herpystis densisetosa", "Herpystis medispinata", "Herpystis arcisaccula", "Herpystis orthocera", "Pangrapta nanlingensis", "Pangrapta jianfenglingensis", "Drepanoxenus hirsuta", "Drepanoxenus intermedia", "Drepanoxenus physogastra", "Drepanoxenus quasimodus", "Drepanoxenus regina", "Drepanoxenus rubra", "Thymus hartvigii subsp. macrocalyx", "Thymus hartvigii subsp. hartvigii", "Cnemaspis kottiyoorensis", "Contopus cinereus bogotensis", "Schoenus arenicola", "Begonia camposportoana", "Begonia hubertii", "Begonia huegelii", "Jacaranda cuspidifolia", "Pseudeustenia guineensis", "Dendrobium officinale", "Jacaranda irwinii", "Jacaranda jasminoides", "Ochthoeca fumicolor superciliosa", "Thrixopelma cyaneum", "Phalaenopsis hygrochila", "Jacaranda macrantha", "Wurfbainia aromatica", "Thymus teucrioides", "Thymus bleicherianus", "Thymus funkii", "Thymus longiflorus", "Wurfbainia gracilis", "Wurfbainia longiligularis", "Wurfbainia villosa", "Apostolepis kikoi", "Hemiceras cadmia", "Dichocarpum hakonense", "Ptilinopus purpuratus chrysogaster", "Rosa banksiopsis", "Hemiceras affinis", "Hemiceras alba", "Hemiceras albisignata", "Hemiceras albulana", "Crotalus polisi", "Crotalus thalassoporus", "Hemiceras amanda", "Hapigia venedictoffi", "Marrubium astracanicum subsp. astracanicum", "Antaea fernandezi", "Rosema orvoeni", "Urgedra toddi", "Theorica valuliae", "Fibuloides bacriora", "Fibuloides falcatus", "Orphnaecus dichromatus", "Orphnaecus kwebaburdeos", "Orphnaecus philippinus", "Marrubium astracanicum subsp. macrodon", "Incarvillea zhongdianensis", "Kigelia africana subsp. africana", "Apostolepis adhara", "Thymus lotocephalus", "Thymus villosus", "Anadia buenaventura", "Tetramelas lokenensis", "Tetramelas filsonii", "Catophractes alexandri", "Lemairegisa limonensis", "Hemiceras aena", "Abies fargesii var. sutchuensis", "Hemiceras fabiennae", "Fernandoa adenophylla", "Fernandoa magnifica", "Orphnaecus pellitus", "Phlogiellus atriceps", "Halisarca desqueyrouxae", "Phlogiellus baeri", "Phlogiellus bogadeki", "Halisarca magellanica", "Phlogiellus johnraylazoi", "Phlogiellus moniqueverdezae", "Phlogiellus pelidnus", "Phlogiellus subinermis", "Dendrobium polyanthum", "Halisarca dujardinii", "Halisarca harmelini", "Phlogiellus longipalpus", "Heterophragma quadriloculare", "Hamodes pseudobutleri", "Hamodes hainana", "Incarvillea emodi", "Citharognathus hosei", "Meistera aculeata", "Meistera agastyamalayana", "Alpinia austrosinense", "Meistera newmanii", "Meistera nilgirica", "Meistera sahyadrica", "Wurfbainia vera", "Amphisbaena caetitensis", "Amphisbaena hoogmoedi", "Tetramelas anisomerus", "Pseudodictamnus hirsutus subsp. hirsutus", "Tetramelas cladocarpizus", "Teratoscincus mesriensis", "Hypostomus spiniger", "Hamodes mandarina", "Hamodes butleri", "Hamodes pendleburyi", "Hamodes propitia", "Gloydius rubromaculatus", "Hamodes cochlearifer", "Hamodes simplicia", "Hamodes unilinea", "Pajanelia longifolia", "Hamodes lutea", "Tabebuia hypoleuca", "Tabebuia stenocalyx", "Pseudoclamoris gigas", "Homo luzonensis", "Tabebuia elliptica", "Polylepis pacensis", "Psalmopoeus reduncus", "Stereospermum zenkeri", "Pheifalagria mimus", "Rhigozum trichotomum", "Rhigozum zambesiacum", "Gloydius angusticeps", "Sparattosperma leucanthum", "Tetramelas darbishirei", "Tetramelas fuegiensis", "Caribena laeta", "Ephebopus rufescens", "Termitobiella setipes", "Handroanthus ochraceus subsp. ochraceus", "Dendrobium schettleri", "Phlogiellus xinping", "Selenocosmia xinhuaensis", "Pauldopia ghonta", "Platanthera stenochila", "Platanthera angustilabris", "Phormingochilus everetti", "Phormingochilus pennellhewletti", "Herminium oxysepalum", "Herminium wangianum", "Dendrobium atroviolaceum", "Handroanthus chrysanthus subsp. chrysanthus", "Dicuspidoxenus emersoni", "Dicuspidoxenus javanicus", "Tecoma fulva subsp. fulva", "Tapinauchenius cupreus", "Tecoma stans var. stans", "Tecomanthe hillii", "Scytoglossa delicata", "Termitolara opacella", "Termitolara reichenspergeri", "Cochlospermum fraseri subsp. fraseri", "Halisarca restingaensis", "Handroanthus umbellatus", "Polylepis sericea", "Cochlospermum angolense", "Enedena punctilinea", "Cochlospermum gillivraei subsp. gregorii", "Cochlospermum gillivraei subsp. gillivraei", "Tapinauchenius sanctivincenti", "Cochlospermum planchonii", "Tapinauchenius violaceus", "Cochlospermum regium", "Cochlospermum tetraporum", "Ephebopus uatuman", "Gloydius lijianlii", "Ephebopus foliatus", "Polylepis weberbaueri", "Psalmopoeus ecclesiasticus", "Psalmopoeus emeraldus", "Psalmopoeus plantaris", "Psalmopoeus intermedius", "Guajira cubana", "Himalagria hetzeli", "Leptagria perexilis", "Psalmopoeus langenbucheri", "Stereospermum tetragonum", "Betonica alopecuros", "Betonica scardica", "Betonica orientalis", "Betonica hirsuta", "Betonica nivea", "Betonica bulgarica", "Betonica brantii", "Betonica betoniciflora", "Blechnum arcuatum", "Blechnum auriculatum", "Dicuspidoxenus krishnai", "Dicuspiphilus multiseta", "Dicuspiphilus orientis", "Dicuspiphilus platycollis", "Dlefa syedi", "Dlefa tamanensis", "Fisiphila gombakiensis", "Lefda malayensis", "Pericapritoxenus singaporensis", "Perilefda kedahensis", "Tekalita borneensis", "Tekalita nemorosus", "Termitobaena bryanti", "Tapinauchenius latipes", "Tapinauchenius plumipes", "Tolumnia guibertiana", "Gloydius qinlingensis", "Tolumnia gundlachii", "Tolumnia gauntlettii", "Tolumnia guianensis", "Blechnum hastatum", "Gloydius rickmersi", "Betonica officinalis subsp. haussknechtii", "Marcgravia fosbergiana", "Tolumnia guttata", "Betonica alopecuros subsp. divulsa", "Betonica alopecuros subsp. alopecuros", "Tolumnia haitiensis", "Tolumnia usneoides", "Austroblechnum lanceolatum", "Austroblechnum lechleri", "Austroblechnum lechleri subsp. lechleri", "Austroblechnum leyboldtianum", "Bristowia gandhii", "Austroblechnum lherminieri", "Austroblechnum membranaceum", "Austroblechnum microphyllum", "Hasarius insularis", "Habrocestum albopunctatum", "Habrocestum dubium", "Habrocestum ferrugineum", "Habrocestum inquinatum", "Habrocestum socotrense", "Pellenes striolatus", "Thyene similis", "Tolumnia acunae", "Tolumnia bahamensis", "Tolumnia calochila", "Tolumnia caribensis", "Gloydius liupanensis", "Tolumnia compressicaulis", "Blechnum gracile", "Tolumnia prionochila", "Daboia mauritanica", "Tolumnia quadriloba", "Tolumnia scandens", "Tolumnia sylvestris", "Tolumnia tuerckheimii", "Tolumnia henekenii", "Eryx elegans", "Tolumnia pulchella", "Abies forrestii var. forrestii", "Helicops trivittatus", "Protobothrops elegans", "Tolumnia sasseri", "Tolumnia triquetra", "Hydrophis belcheri", "Tolumnia \u00d7 ann-hadderae", "Hydrophis inornatus", "Habrocestum hantaneensis", "Habrocestum kodigalaensis", "Habrocestum ohiyaensis", "Austroblechnum patersonii", "Austroblechnum patersonii subsp. patersonii", "Carrhotus coronatus", "Aipysurus eydouxii", "Betonica officinalis subsp. officinalis", "Aipysurus laevis", "Chrysilla deelemani", "Tolumnia hawkesiana", "Tolumnia lemoniana", "Tolumnia lucayana", "Hydrophis lapemoides", "Tolumnia \u00d7 domingensis", "Tolumnia \u00d7 floride-phillipsiae", "Austroblechnum penna-marina", "Austroblechnum penna-marina subsp. penna-marina", "Austroblechnum vieillardii", "Blechnopsis orientalis", "Blechnum polypodioides", "Betonica officinalis subsp. skipetarum", "Betonica officinalis subsp. velebitica", "Vansoestia caribensis", "Polylepis reticulata", "Abies forrestii var. ferreana", "Hasarius kulczynskii", "Austroblechnum colensoi", "Austroblechnum divergens", "Hydrophis ocellatus", "Hydrophis jerdonii", "Betonica officinalis var. serotina", "Betonica officinalis var. algeriensis", "Coryanthes senghasiana", "Betonica nivea subsp. abchasica", "Cranfillia vulcanica", "Diploblechnum diversifolium", "Diploblechnum fraseri", "Diploblechnum lenormandii", "Chrysilla guineensis", "Brainea insignis", "Cranfillia fluviatilis", "Deilephila elpenor", "Cranfillia fullagari", "Cranfillia longicauda", "Neoblechnum brasiliense", "Cantabrodytes vivesi", "Dianusa pasadenae", "Oceaniopteris cartilaginea", "Oceaniopteris ciliata", "Oceaniopteris egregia", "Spicantopsis hancockii", "Spicantopsis niponica", "Spicantopsis niponica var. minima", "Phenacephorus cornucervi", "Phenacephorus latifemur", "Phenacephorus nieuwenhuisi", "Phenacephorus sepilokensis", "Struthiopteris spicant var. homophyllum", "Emathis weyersi", "Loxia leucoptera bifasciata", "Epeus alboguttatus", "Epocilla blairei", "Epocilla calcarata", "Icarus filiformis", "Lomaria discolor", "Lomaria inflexa", "Euophrys cooki", "Lomaria nuda", "Telmatoblechnum serrulatum", "Woodwardia orientalis", "Polylepis multijuga", "Woodwardia prolifera", "Woodwardia spinulosa", "Doodia caudata", "Doodia dives", "Doodia kunthiana", "Liopholis whitii", "Pagria grata", "Doodia linearis", "Doodia maxima", "Doodia media", "Cranfillia pilosa", "Lomaridium contiguum", "Euophrys banksi", "Euophrys alticola", "Lomariocycas aurata", "Lomariocycas magellanica", "Lomariocycas palmiformis", "Orsunius electronefelus", "Lomariocycas schomburgkii", "Lomariocycas tabularis", "Anchistea virginica", "Lorinseria areolata", "Architaea triflora", "Bonnetia roraimae", "Yponomeuta ingens", "Oceaniopteris gibba", "Gastrophaena aphaenogastri", "Oceaniopteris vittata", "Hongophila arizonica", "Euophrys acripes", "Sadleria pallida", "Betonica nivea subsp. ossetica", "Sadleria souleyetiana", "Sadleria squarrosa", "Euophrys altera", "Spicantopsis amabilis", "Borya sphaerocephala", "Abies forrestii var. georgei", "Ceratalictus clonia", "Brachythecium cirrosum", "Brachythecium glareosum", "Brachythecium intricatum", "Brachythecium tommasinii", "Tetramelas grimmiae", "Tetramelas inordinatus", "Polylepis hieronymi", "Ptilotus psilorhachis", "Ptilotus xerophilus", "Tetramelas kopuwaianus", "Triphosa silviae", "Triphosa lecerfi", "Tetramelas nelsonii", "Cabera exanthemata", "Cabera exanthemata exanthemata", "Cabera exanthemata insulata", "Lamprocabera candidaria", "Neotobia alberta", "Cirriphyllum crassinervium", "Yponomeuta africanus", "Yponomeuta zambesica", "Yponomeuta morbillosa", "Yponomeuta strigillata", "Yponomeuta fumigata", "Yponomeuta hemileuca", "Yponomeuta sistrophora", "Iberolacerta horvathi", "Yponomeuta capensis", "Yponomeuta africatoa", "Yponomeuta orocola", "Yponomeuta gnophera", "Yponomeuta pseudostrigillatus", "Borya constricta", "Yponomeuta horologa", "Borya nitida", "Borya scirpoidea", "Paradarisa consonaria", "Paradarisa comparataria", "Paradarisa comparataria comparataria", "Paradarisa comparataria kurosawai", "Lycia hirtaria", "Cirriphyllum tommasinii", "Eurhynchiastrum pulchellum", "Eurhynchium angustirete", "Lycia hirtaria hirtaria", "Lycia hirtaria parellelaria", "Betonica nivea subsp. nivea", "Thymus membranaceus", "Biston marginata", "Bonnetia sessilis", "Bonnetia stricta", "Teinoptila ingens", "Yponomeuta puncticornis", "Yponomeuta melanephos", "Yponomeuta staudei", "Yponomeuta nephella", "Yponomeuta ioni", "Yponomeuta griseomacula", "Yponomeuta malagasella", "Yponomeuta nigricola", "Yponomeuta alexi", "Yponomeuta ocypora", "Yponomeuta subplumbella", "Ploiarium elegans", "Yponomeuta superplumbella", "Yponomeuta dhofarensis", "Spiranthes cernua", "Aethionema capitatum", "Abies jaliscana", "Aethionema carneum", "Aethionema coridifolium", "Thymus munbyanus", "Holothuria lineata", "Hilara mroga", "Hilara nadolna", "Biston regalis", "Biston brevipennata", "Biston quercii", "Ashea megacephala", "Eurhynchium pumilum", "Biston falcata", "Brachychara crassa", "Eurhynchium riparioides", "Biston perclara", "Tetramelas subpedicellatus", "Eurhynchium striatum", "Biston thibetaria", "Biston panterinaria", "Aethionema armenum", "Tetramelas allisoniae", "Schoenus compar", "Encephalus rosti", "Cyana neopuer", "Aethionema orbiculatum", "Aethionema retsina", "Noccaea germanii", "Aethionema saxatile", "Biston thoracicaria", "Sulepta kashmirica", "Biston betularia", "Biston robustum", "Trachystegosoma traegardhi", "Dinardopsis solenopsidicola", "Biston contectaria", "Biston bengaliaria", "Biston pustulata", "Biston suppressaria", "Abies forrestii var. smithii", "Eurhynchium murale", "Pristomyrmex elmesi", "Carex pseudofoetida subsp. acrifolia", "Tetramelas austropapillatus", "Aethionema saxatile subsp. saxatile", "Calamotropha yamanakai", "Aethionema virgatum", "Alucita flavofascia", "Chrysoteuchia moriokensis", "Catoptria harutai", "Thumatha ochracea inouei", "Ecpyrrhorrhoe dissimilis", "Microbrachida gilvicornis", "Apamea striata", "Neobrachychara horni", "Anomognathus paradoxus", "Cephaloxynum gestroi", "Blechnum anthracinum", "Triphosa sabaudiata", "Triphosa taochata", "Hydria ravulata", "Polylepis incarum", "Anchusa atlantica", "Anchusa pseudoochroleuca", "Anchusa littorea", "Anchusa sardoa", "Leviea herberti", "Leviea lornae", "Leviea francesae", "Agorioides cherubino", "Agorioides papagena", "Papuamyr omhifosga", "Papuamyr pandora", "Vanda merrillii", "Hypsopygia insolitus", "Spiranthes casei var. casei", "Spiranthes casei var. novaescotiae", "Spiranthes delitescens", "Spiranthes diluvialis", "Cyana yaseminae", "Thymus villosus subsp. lusitanicus", "Thymus villosus subsp. velascoi", "Thymus villosus subsp. villosus", "Barsine dohertyi", "Thymus subsect.", "Telescopus semiannulatus", "Anebolura minimides", "Thymus antoninae", "Aplopalpus perraulti", "Arrostoryta rufigera", "Asthenesita pallens", "Psammophis schokari", "Telescopus dhara", "Uromastyx aegyptia", "Albarrania podbolotskayae", "Nassella barbinodis", "Spilarctia mikeli", "Cephalomalota schedli", "Sesapa strandiana", "Longarista longaria", "Longarista kareli", "Breyeriana cistransandina", "Troposilusa armata", "Ameristoglossa mjobergi", "Breyeriana patagonica", "Cyana smithi", "Maresia grossepunctata", "Equisetum subg.", "Paractocharis fucicola", "Lycopodiella alopecuroides var. integerrima", "Hermosa brevichelicera", "Eumecognathus tasmaniensis", "Siagotanyx rufa", "Epamyktoglossa nigromaculata", "Eudiestota grandis", "Eusipalia brachyptera", "Hoplomicra clavicornis", "Hygronomalota collarti", "Barsine vinhphucensis", "Parabrachida decipiens", "Pseudolycopodiella caroliniana var. mesetarum", "Iberattus semiglabratus", "Lepismachilis eocaenica", "Lycopodiella alopecuroides var. alopecuroides", "Lobularia canariensis", "Spiranthes eatonii", "Lobularia maritima subsp. maritima", "Odontarrhena orbelica", "Odontarrhena obtusifolia", "Odontarrhena metajnae", "Odontarrhena masmenaea", "Myrmarachne biseratensis", "Clypeola jonthlaspi", "Myrmapeni borneensis", "Myrmarachne cornuta", "Plesiomalota nana", "Odontarrhena condensata", "Odontarrhena cilicica", "Odontarrhena chalcidica", "Odontarrhena albiflora", "Abies religiosa subsp. mexicana", "Abies sachalinensis var. gracilis", "Eremobium aegyptium", "Spiranthes brevilabris", "Spiranthes brevilabris var. brevilabris", "Drepanomastax nitida", "Drepanomastax splendida", "Spiranthes brevilabris var. floridana", "Thymus riatarum", "Spiranthes casei", "Thymus saturejoides", "Thymus saturejoides subsp. commutatus", "Thymus saturejoides subsp. pseudomastichina", "Chalcides ebneri", "Thymus saturejoides subsp. saturejoides", "Chalcides thierryi", "Chalcides montanus", "Chalcides guentheri", "Chalcides polylepis", "Chalcides ragazzii", "Chalcides lanzai", "Chalcides levitoni", "Chalcides manueli", "Chalcides pulchellus", "Chalcides mionecton", "Chalcides pentadactylus", "Curubis sipeki", "Alyssum gmelinii", "Paramarteilia canceri", "Meniocus aureus", "Meniocus heterotrichus", "Meniocus huetii", "Meniocus meniocoides", "Odontarrhena virgata", "Odontarrhena turgida", "Odontarrhena troodi", "Odontarrhena trapeziformis", "Odontarrhena tortuosa", "Cuprella antiatlantica", "Cuprella homalocarpa", "Odontarrhena cassia", "Odontarrhena carica", "Odontarrhena callichroa", "Odontarrhena bracteata", "Farsetia aegyptia", "Resetnikia triquetra", "Euophrys bifida", "Euophrys cochlea", "Lembonia burgeoni", "Euophrys elizabethae", "Euophrys falciger", "Euophrys gracilis", "Euophrys griswoldi", "Euophrys limpopo", "Euophrys maseruensis", "Euophrys meridionalis", "Makrosolenia neozealandensis", "Euophrys miranda", "Euophrys recta", "Euophrys subtilis", "Melainacnemisa pauliani", "Pseudolycopodiella caroliniana var. caroliniana", "Microdinarda turneri", "Melitaea ornata nigrogygia", "Vallissiana universitaria", "Abies sachalinensis var. mayriana", "Telescopus rhinopoma", "Aliona alena", "Grallaria quitensis alticola", "Grallaria quitensis atuensis", "Abies sachalinensis var. nemorensis", "Grallaria rufula saltuensis", "Odontarrhena dudleyi", "Pterygostemon spathulatus", "Odontarrhena dubertretii", "Odontarrhena discolor", "Odontarrhena debarensis", "Odontarrhena davisiana", "Myrmarachne gedongensis", "Odontarrhena crenulata", "Myrmarachne pumilio", "Odontarrhena corymbosoidea", "Nerodia paucimaculata", "Odontarrhena corsica", "Odontarrhena constellata", "Nerodia harteri", "Malcolmia chia", "Malcolmia orsiniana", "Malcolmia orsiniana subsp. orsiniana", "Myrmarachne amabilis", "Myrmarachne hashimotoi", "Myrmarachne lagarosoma", "Myrmarachne leptosoma", "Myrmarachne salaputium", "Myrmarachne tintinnabulum", "Belisana menghai", "Belisana xishuangbanna", "Grapholita diehli", "Marcus-kochia arenaria", "Marcus-kochia ramosissima", "Melitaea ornata", "Melitaea ornata ornata", "Marcus-kochia triloba", "Scotopteryx pseudoburgaria", "Maresia nana", "Spiranthes graminea", "Spiranthes infernalis", "Maresia pulchella", "Phlegmariurus linifolius var. linifolius", "Morettia parviflora", "Scotopteryx eversmanni", "Morettia philaeana", "Scotopteryx eversmanni eversmanni", "Scotopteryx eversmanni kajmukae", "Notoceras bicorne", "Lycopodium linifolium var. gracile", "Spiranthes laciniata", "Phlegmariurus linifolius var. jenmanii", "Parolinia glabriuscula", "Spiranthes longilabris", "Parolinia intermedia", "Phlegmariurus linifolius var. planifolius", "Spiranthes magnicamporum", "Parolinia ornata", "Spiranthes nebulorum", "Phlegmariurus linifolius var. tenuifolius", "Spiranthes ochroleuca", "Spiranthes odorata", "Matthiola tricuspidata subsp. tricuspidata", "Matthiola crassifolia", "Zanclotus dioktes", "Spiranthes sunii", "Iteaphila macquarti", "Anthepiscopus ribesii", "Hormopeza obliterata", "Ladakiella klimesii", "Spiranthes pusilla", "Spiranthes romanzoffiana", "Pipreola frontalis squamipectus", "Sympegma elegans", "Cryptopipo holochlora litae", "Spiranthes torta", "Abies sibirica subsp. semenovii", "Arabis alpina subsp. alpina", "Paralaudakia microlepis", "Spiranthes triloba", "Spiranthes tuberosa", "Spiranthes vernalis", "Arabis auriculata", "Potamocarcinus colombiensis", "Alpheus wickstenae", "Cleantioides vonprahli", "Alpheus utriensis", "Neaxius frankeae", "Neopontonides henryvonprahli", "Alpheus agrogon", "Hypolobocera olgaluciae", "Pseudocoutierea stephanieae", "Alpheus luiszapatai", "Automate isabelae", "Spiranthes \u00d7 stellata", "Periclimenaeus mcmichaeli", "Jeekelosoma heptarachne", "Jeekelosoma viginti", "Spiranthes ovalis", "Spiranthes ovalis var. ovalis", "Spiranthes ovalis var. erostellata", "Spiranthes porrifolia", "Spiranthes praecox", "Laudakia melanura melanura", "Phlegmariurus dentatus", "Spiranthes \u00d7 eamesii", "Spiranthes \u00d7 heteroaustralis", "Spiranthes \u00d7 hongkongensis", "Spiranthes \u00d7 intermedia", "Abies veitchii var. sikokiana", "Laudakia melanura", "Tityra cayana braziliensis", "Odontarrhena tavolarae", "Odontarrhena szarabiaca", "Odontarrhena syriaca", "Odontarrhena subspinosa", "Odontarrhena subalpina", "Odontarrhena stipitata", "Odontarrhena smolikana", "Odontarrhena skopjensis", "Odontarrhena singarensis", "Odontarrhena sibirica", "Odontarrhena serpentinicola", "Odontarrhena serpentina", "Odontarrhena samia", "Odontarrhena samarifera", "Odontarrhena robertiana", "Odontarrhena pugiostyla", "Odontarrhena pterocarpa", "Odontarrhena anatolica", "Polylepis flavipila", "Polylepis subtusalbida", "Odontarrhena polyclada", "Odontarrhena pinifolia", "Odontarrhena penjwinensis", "Aurinia sinuata", "Odontarrhena peltarioidea", "Odontarrhena mughlaei", "Myrmatheca alticephalon", "Odontarrhena pateri", "Odontarrhena oxycarpa", "Anchonium billardieri", "Matthiola fragrans", "Ragas unica", "Matthiola fruticulosa subsp. fruticulosa", "Dipsomyia spinifera", "Matthiola montana", "Odontarrhena obovata", "Odontarrhena litvinovii", "Myrmarachne crassembolus", "Odontarrhena libanotica", "Odontarrhena lesbiaca", "Myrmarachne cyrtodens", "Odontarrhena lanigera", "Myrmarachne endoi", "Odontarrhena kurdica", "Odontarrhena kavadarcensis", "Odontarrhena inflata", "Odontarrhena huber-morathii", "Odontarrhena heldreichii", "Odontarrhena haussknechtii", "Galitzkya spathulata", "Odontarrhena haradjianii", "Odontarrhena giosnana", "Odontarrhena gevgelicensis", "Odontarrhena gehamensis", "Abies pindrow var. brevifolia", "Odontarrhena fragillima", "Hormathophylla spinosa", "Odontarrhena floribunda", "Odontarrhena filiformis", "Odontarrhena fedtschenkoana", "Odontarrhena fallacina", "Odontarrhena eriophylla", "Phyllolepidum rupestre", "Belisana champasakensis", "Belisana crystallina", "Belisana gigantea", "Belisana khanensis", "Belisana lancea", "Belisana martensi", "Belisana tadetuensis", "Belisana xiangensis", "Calapnita longa", "Khorata circularis", "Khorata dupla", "Pholcus arcuatilis", "Pholcus sublaksao", "Spermophora falcata", "Khorata xingyi", "Calapnita bario", "Phlegmariurus reflexus var. reflexus", "Calapnita magaseng", "Calapnita bariengi", "Chindongo bellicosus", "Cynotilapia chilundu", "Tropheops kamtambo", "Tropheops biriwira", "Tropheops kumwera", "Maylandia flavicauda", "Maylandia usisyae", "Maylandia koningsi", "Ameerega berohoka", "Calapnita dayak", "Gracillaria syringella", "Calapnita lawangan", "Calapnita bugis", "Calapnita loksado", "Calapnita bohoi", "Calapnita dinagat", "Calapnita mae", "Calapnita nunezae", "Calapnita maragusan", "Phlegmariurus reflexus var. minor", "Calapnita saluang", "Calapnita vermiformis", "Lycopodium reflexum var. rigidum", "Pseudoplacusa rufiventris", "Stenodactylus doriae", "Pristurus rupestris", "Spiranthes sylvatica", "Hormathophylla ligustica", "Platanthera hachijoensis", "Anopsicus modicus", "Anopsicus alteriae", "Anopsicus wileyae", "Anopsicus reddelli", "Anopsicus chiapa", "Anopsicus potrero", "Anopsicus covadonga", "Arabis bryoides", "Arabis caerulea", "Anopsicus ocote", "Anopsicus iviei", "Anopsicus puebla", "Anopsicus mckenziei", "Anopsicus lucidus", "Anopsicus niveus", "Arabis ciliata", "Anopsicus vinnulus", "Odontarrhena diffusa", "Draba cappadocica", "Draba carnosula", "Draba crassifolia", "Draba dedeana", "Odontarrhena pateri subsp. pateri", "Aubrieta \u00d7 hybrida", "Sinopoda longshan", "Carapa akuri", "Draba acaulis", "Draba aizoides subsp. aizoides", "Draba arabisans", "Draba arctica", "Draba aspera", "Draba aurea", "Tachiona deplanata", "Pouteria espinae", "Spiranthes \u00d7 zahlbruckneri", "Arabis kennedyae", "Arabis mcdonaldiana", "Tachychara discipennis", "Arabis nova subsp. nova", "Arabis nova subsp. iberica", "Arabis parvula", "Arabis planisiliqua", "Arabis pubescens", "Pachyramphus viridis griseigularis", "Arabis pumila", "Arabis purpurea", "Lobularia arabica", "Meniocus blepharocarpus", "Meniocus stylaris", "Abies vejarii var. macrocarpa", "Hormathophylla cochleata", "Pachyramphus major uropygialis", "Canaima merida", "Anopsicus placens", "Anopsicus speophilus", "Anopsicus pearsei", "Ophiomorus tridactylus", "Tropidophorus berdmorei", "Plestiodon quadrilineatus", "Sphenomorphus maculatus", "Ophisops jerdonii", "Eutropis macularia", "Anopsicus palenque", "Spiranthes \u00d7 kapnosperia", "Anopsicus jeanea", "Pseudostenusa vestita", "Solenoglossa insigniventris", "Stichostigma dahli", "Spiranthes \u00d7 simpsonii", "Conopophaga aurita snethlageae", "Pouteria euryphylla", "Melanorivulus amambaiensis", "Melanorivulus ivinhemensis", "Melanorivulus interruptus", "Pouteria gigantea", "Ottelia acuminata", "Odontarrhena pateri subsp. prostrata", "Sinopoda abstrusa", "Sinopoda aequalis", "Sinopoda apiculiformis", "Pardosa yadongensis", "Oxyopes gyirongensis", "Heteropoda gyirongensis", "Sinopoda himalayica", "Heteropoda nyalama", "Liodytes alleni", "Sinopoda cochlearia", "Sinopoda globosa", "Sinopoda longiducta", "Pouteria pachycalyx", "Sinopoda guangyuanensis", "Huperzia selago subsp. selago", "Draba densifolia", "Pouteria pallens", "Pouteria polysepala", "Megalagrion adytum", "Megalagrion eudytum", "Megalagrion jugorum", "Megalagrion vagabundum", "Pouteria capacifolia", "Megalagrion orobates", "Megalagrion oresitrophum", "Huperzia selago subsp. adpressum", "Huperzia serrata var. serrata", "Huperzia serrata var. myriophyllifolia", "Lactura nalli", "Draba dubia", "Draba funiculosa", "Lactura pupula", "Draba gilliesii", "Lactura subfervens", "Tahitia longipalpis", "Lactura subfervens subfervens", "Pseudoplandria laeta", "Aleochandria crassicornis", "Brachidamorpha rufescens", "Gonionycha indica", "Draba ladina", "Alyssum bosniacum", "Xylopia sahafariensis", "Anoectochilus elatus", "Gnathopalystes aureolus", "Baltioligota electrica", "Draba norvegica", "Liophaena gracilipes", "Draba ossetica", "Hexanchorus shannoni", "Hexanchorus dimorphus", "Hexanchorus mcdiarmidi", "Hexanchorus virilis", "Draba subnivalis", "Draba tomentosa", "Draba yunnanensis", "Draba zionensis", "Draba doerfleri", "Draba weberi", "Drabella muralis", "Welwitschia mirabilis subsp. mirabilis", "Welwitschia mirabilis subsp. namibiana", "Draba sakuraii", "Draba sauteri", "Draba smithii", "Draba sphaeroides", "Picea aurantiaca", "Draba stellata", "Draba stenoloba", "Boechera cusickii", "Boechera formosa", "Boechera gracilenta", "Thecturella insidiosa", "Lactura subfervens sapeloensis", "Draba grandis", "Lactura atrolinea", "Draba haradjianii", "Thinobiosus salinus", "Tropoleptusa insularum", "Tropoleptusa major", "Typhlomalota glenniei", "Xenobiota bernhaueri", "Draba hispanica", "Draba hispanica subsp. hispanica", "Rhopalosoma hispaniola", "Heliconandria peoechma", "Heliconandria gynochela", "Heliconandria wettersteniana", "Draba hoppeana", "Alyssum amasianum", "Biscutella brevicaulis", "Biscutella didyma subsp. didyma", "Biscutella laevigata subsp. laevigata", "Diphasiastrum complanatum subsp. complanatum", "Biscutella laevigata subsp. austriaca", "Arabis collina", "Arabis olympica", "Arabis ferdinandi-coburgii", "Anopsicus soileauae", "Anopsicus grubbsi", "Anopsicus mirabilis", "Anopsicus tehuanus", "Anopsicus beatus", "Anopsicus malkini", "Anopsicus boneti", "Anopsicus silvanus", "Anopsicus ceiba", "Anopsicus joyoa", "Arabis flagellosa", "Anopsicus definitus", "Anopsicus concinnus", "Anopsicus facetus", "Anopsicus turrialba", "Anopsicus chiriqui", "Anopsicus chickeringi", "Anopsicus panama", "Anopsicus quatoculus", "Timon princeps", "Ophiomorus brevipes", "Acanthodactylus micropholis", "Eremias fasciata", "Eremias persica", "Anopsicus nebulosus", "Anopsicus jarmila", "Anopsicus limpidus", "Anopsicus clarus", "Anopsicus nortoni", "Anopsicus zimmermani", "Anopsicus pecki", "Anopsicus lewisi", "Anopsicus bryantae", "Anopsicus silvai", "Anopsicus cubanus", "Mesalina watsonana", "Canaima arima", "Huperzia suberecta", "Lactura basistriga", "Gentiana laeviuscula", "Hoplandria laevicollis", "Alyssum artwinense", "Leptandria ecitophila", "Leptandria tishechkini", "Leptandria ashei", "Ligulata hansoni", "Afrasura tanzaniae", "Siccia terlineata", "Paroplandria typica", "Caridopus monstruosus", "Uvariopsis korupensis", "Draba jaegeri", "Diphasiastrum complanatum subsp. montellii", "Echis borkini", "Echis khosatzkii", "Heldreichia bupleurifolia subsp. bourgaei", "Heldreichia bupleurifolia subsp. bupleurifolia", "Heldreichia bupleurifolia subsp. polymorpha", "Heldreichia bupleurifolia subsp. rotundifolia", "Boechera constancei", "Sinopoda brevis", "Sinopoda changde", "Sinopoda columnaris", "Sinopoda curva", "Sinopoda dehiscens", "Sinopoda erromena", "Sinopoda improcera", "Sinopoda lata", "Arabis pycnocarpa", "Sinopoda luyui", "Arabis pycnocarpa var. pycnocarpa", "Sinopoda ovata", "Sinopoda pyramidalis", "Sinopoda tumefacta", "Sinopoda yaanensis", "Sinopoda yanlingensis", "Sinopoda afflata", "Sinopoda horizontalis", "Sinopoda liui", "Sinopoda mamillata", "Sinopoda separata", "Arabis serpyllifolia", "Arabis soyeri", "Arabis soyeri subsp. subcoriacea", "Arabis stellulata", "Arabis stenocarpa", "Arabis arabiformis", "Titanoeca asimilis", "Aubrieta columnae", "Bulbophyllum habrotinum", "Alyssum cacuminum", "Odontarrhena tortuosa subsp. cretacea", "Odontarrhena tortuosa subsp. caliacrae", "Liocichla ripponi", "Draba lemmonii", "Benickia athetoides", "Draba longisiliqua", "Draba magellanica", "Barychara filicornis", "Cryptocompsus venustus", "Saphoglossa pictipennis", "Draba monoensis", "Borodinia canadensis", "Borodinia perstellata", "Zygaena occitanica", "Mimosa ernestii", "Boechera pendulina", "Diphasiastrum madeirense", "Biscutella laevigata subsp. kerneri", "Biscutella mediterranea", "Biscutella sempervirens subsp. vicentina", "Rhynchina taibaishana", "Glaucocharis sperlingi", "Glaucocharis nussi", "Lunaria annua subsp. annua", "Diphasiastrum complanatum subsp. hastulatum", "Brassica rapa subsp. dichotoma", "Brassica rapa subsp. nipposinica", "Timea clandestina", "Timea berlincki", "Mimosa furfuracea", "Mimosa elliptica", "Mimosa cubatanensis", "Mimosa paludosa", "Mimosa paraibana", "Retisfera saetifera", "Boechera angustifolia", "Brassica oleracea var. capitata", "Zygaena magiana kumbelica", "Brassica oleracea var. costata", "Zygaena sogdiana tashkentensis", "Zygaena storaiae", "Zygaena storaiae storaiae", "Zygaena storaiae flaugeri", "Zygaena storaiae wazhmakai", "Brassica rapa subsp. rapa", "Brassica rapa subsp. chinensis", "Zygaena pamira shugana", "Mimosa regina", "Mimosa quitensis", "Brassica cretica subsp. cretica", "Mimosa pyrenea", "Mimosa pteridifolia", "Zygaena esseni", "Mimosa lanuginosa", "Mimosa himalayana", "Mimosa cyclophylla", "Brassica cretica subsp. aegaea", "Brassica fruticulosa subsp. fruticulosa", "Brassica napus subsp. napus", "Zygaena exulans exulans", "Zygaena exulans abruzzina", "Mimosa echinocaula", "Zygaena exulans pyrenaica", "Zygaena exulans apfelbecki", "Zygaena exulans subochracea", "Zygaena exulans vanadis", "Kistnerium japonicum", "Mimosa crumenarioides", "Mesoporus rufoflavus", "Zygaena cocandica perplexa", "Ammosperma cinerea", "Mimosa polydidyma", "Mimosa virgula", "Zygaena maroccana lucasi", "Cradoscrupocellaria ellisii", "Coincya monensis subsp. monensis", "Zygaena armena", "Zygaena christa", "Zygaena ecki", "Sobralia callosa", "Trichogypsia alaskensis", "Asthenes huancavelicae usheri", "Zygaena kavrigini", "Zygaena magiana", "Zygaena magiana magiana", "Zygaena magiana pamirescens", "Zygaena magiana elvira", "Zygaena magiana slabyosa", "Zygaena magiana hissariensis", "Brassica nigra subsp. nigra", "Zygaena magiana xanthos", "Brassica oleracea var. oleracea", "Coincya richeri", "Zygaena chirazica chirazica", "Zygaena algira telealgira", "Zygaena algira comitabeatrix", "Zygaena algira ifranica", "Brassica rapa subsp. oleifera", "Dendrobium toppiorum", "Brassica rapa subsp. trilocularis", "Dendrobium toppiorum subsp. toppiorum", "Dendrobium toppiorum subsp. taitayorum", "Acer amoenum", "Brassica repanda subsp. repanda", "Cradoscrupocellaria bertholletii", "Brassica repanda subsp. blancoana", "Zygaena algira germainae", "Zygaena algira kebirica", "Cakile edentula var. edentula", "Cakile lanceolata subsp. lanceolata", "Cakile maritima subsp. maritima", "Handeliodendron bodinieri", "Cakile maritima subsp. baltica", "Cakile maritima subsp. euxina", "Zygaena maroccana gundafica", "Coincya monensis subsp. orophila", "Zygaena ignifera", "Coincya monensis subsp. nevadensis", "Odontarrhena condensata subsp. flexibilis", "Odontarrhena condensata subsp. condensata", "Coincya monensis subsp. cheiranthos", "Microtachyporus imbricatus", "Hexanchorus rostratus", "Microtachyporus linearis", "Draba praealta", "Nematoscelis filipes", "Hexanchorus onorei", "Hexanchorus onorei onorei", "Hexanchorus onorei sagittatus", "Hexanchorus shepardi", "Hesychotypa danilevskyi", "Hesychotypa antonkozlovi", "Megalagrion blackburni", "Lingafelteria pandolfi", "Oncideres antonkozlovi", "Oncideres erwini", "Oncideres johnmarvini", "Megalagrion heterogamias", "Megalagrion molokaiense", "Megalagrion xanthomelas", "Megalagrion williamsoni", "Megalagrion pacificum", "Megalagrion oceanicum", "Megalagrion nigrohamatum", "Megalagrion nesiotes", "Neodecusa formosae", "Thomsonista antonkozlovi", "Paracyptus glaberrimus", "Gorybia martinsi", "Gorybia galileoae", "Gorybia clarkeorum", "Liparocephalus brevipennis", "Draba ramulosa", "Zygaena occitanica occitanica", "Zygaena occitanica albarracinensis", "Zygaena occitanica eulalia", "Zygaena occitanica praematura", "Zygaena carniolica descimonti", "Zygaena carniolica amanda", "Zygaena carniolica siciliana", "Zygaena carniolica modesta", "Zygaena carniolica leonhardi", "Zygaena carniolica virginea", "Zygaena carniolica berolinensis", "Zygaena carniolica cruenta", "Zygaena carniolica iberica", "Zygaena carniolica demavendi", "Zygaena carniolica piatkowskii", "Zygaena carniolica graeca", "Zygaena carniolica kappadokiae", "Zygaena carniolica flaveola", "Zygaena carniolica hedysari", "Zygaena carniolica diniensis", "Zygaena carniolica apennina", "Zygaena carniolica albarracina", "Zygaena carniolica magdalenae", "Zygaena carniolica roccii", "Zygaena carniolica rhaeticola", "Zygaena carniolica moraulti", "Zygaena carniolica amistosa", "Zygaena occitanica azurensis", "Zygaena occitanica tourrettica", "Zygaena occitanica valenciaca", "Mimosa myriophylla", "Zygaena algira oeti", "Limnonectes savan", "Brassica souliei subsp. souliei", "Zygaena excelsa", "Brassica souliei subsp. amplexicaulis", "Zygaena excelsa excelsa", "Zygaena excelsa jeradica", "Zygaena excelsa rosei", "Zygaena fausta fausta", "Zygaena fausta preciosa", "Zygaena fausta suevica", "Zygaena fausta murciensis", "Zygaena fausta agilis", "Zygaena fausta elodia", "Pseudorchis albida subsp. albida", "Pseudorchis albida subsp. tricuspis", "Pseudorchis straminea", "Pouteria subsessilifolia", "Zygaena johannae", "Zygaena escalerai", "Zygaena formosa", "Zygaena formosa formosa", "Zygaena formosa kotzschi", "Zygaena formosa molleti", "Zygaena fraxini", "Zygaena glaoua", "Zygaena hilaris", "Zygaena hilaris hilaris", "Zygaena hilaris chrysophaea", "Zygaena hilaris escorialensis", "Zygaena hilaris galliae", "Zygaena hilaris leonica", "Zygaena hilaris lucifera", "Zygaena hilaris ononidis", "Zygaena hilaris piemontica", "Zygaena marcuna tingitana", "Zygaena marcuna tlemceni", "Zygaena marcuna ahmarica", "Zygaena marcuna numidia", "Lycopodium clavatum subsp. clavatum", "Philoenia brunnea", "Philoenia thisbe", "Schizoplumularia vervoorti", "Schizoplumularia geniculata", "Hypatopa weibaoshana", "Hypatopa huayingshana", "Hypatopa apicirecta", "Hypatopa orthocera", "Hypatopa biprojecta", "Crambe arborea", "Zygaena sedi", "Zygaena sedi sedi", "Zygaena sedi dellabrunai", "Zygaena sedi sliwenensis", "Crambe hispanica subsp. hispanica", "Crambe hispanica subsp. abyssinica", "Zygaena tenhagenova", "Crambe microcarpa", "Didesmus aegyptius", "Walkeriella miraculosa", "Yleuxas claudiae", "Zamia meermanii", "Zamia hamannii", "Malthodes fibulatus", "Pentactella leachmani", "Cradoscrupocellaria osburni", "Cradoscrupocellaria normani", "Cradoscrupocellaria marcusorum", "Cradoscrupocellaria makua", "Cradoscrupocellaria lagaaiji", "Cradoscrupocellaria jamaicensis", "Cradoscrupocellaria insularis", "Cradoscrupocellaria hastingsae", "Cradoscrupocellaria gorgonensis", "Cradoscrupocellaria galapagensis", "Cradoscrupocellaria floridana", "Cradoscrupocellaria calypso", "Cradoscrupocellaria atlantica", "Cradoscrupocellaria odonoghuei", "Cradoscrupocellaria macrorhynchoides", "Cradoscrupocellaria gautieri", "Cradoscrupocellaria arisaigensis", "Cradoscrupocellaria aegyptiana", "Zygaena transpamirica", "Cradoscrupocellaria hirsuta", "Zygaena transpamirica transpamirica", "Zygaena transpamirica omotoi", "Cradoscrupocellaria reptans", "Zygaena truchmena", "Cradoscrupocellaria macrorhyncha", "Zygaena algira algira", "Zygaena algira leucopoda", "Dendrobium pugioniforme", "Dipteronia dyeriana", "Zygaena algira chorista", "Zygaena algira selenion", "Zygaena haberhaueri", "Zygaena haberhaueri haberhaueri", "Zygaena haberhaueri demangei", "Zygaena haberhaueri optima", "Coincya rupestris", "Coincya rupestris subsp. rupestris", "Zygaena viciae stentzii", "Coincya wrightii", "Cordylocarpus muricatus", "Platystele examen-culicum", "Chrysolina bankii", "Zygaena viciae ytenensis", "Zygaena viciae italica", "Zygaena viciae sicula", "Zygaena viciae dacica", "Zygaena viciae rhaetica", "Zygaena viciae silenus", "Zygaena viciae nigrescens", "Zygaena viciae bosniensis", "Zygaena viciae silbernageli", "Zygaena viciae subglocknerica", "Zygaena viciae hulda", "Zygaena viciae argyllensis", "Zygaena viciae nobilis", "Zygaena viciae fernandezi", "Diplotaxis ilorcitana", "Mesosymbion compactus", "Viridigigas ciseskii", "Diplotaxis muralis subsp. muralis", "Diplotaxis tenuifolia subsp. tenuifolia", "Lycopodium clavatum var. aristatum", "Tomopterna branchi", "Acer amoenum var. nambuanum", "Diphasia saharica", "Diphasia leonisae", "Diphasia africana", "Diphasia anaramosae", "Acer palmatum var. amoenum", "Phaeographis fragilissima", "Schizoplumularia elegans", "Lemyra kaikarisi", "Odontarrhena peltarioidea subsp. virgatiformis", "Suaeda pruinosa var. prostrata", "Odontarrhena peltarioidea subsp. peltarioidea", "Gynanisa murphyi", "Plumularia flabellum", "Plumularia insignis", "Plumularia billardi", "Gynanisa maja maja", "Gynanisa maja terrali", "Lobobunaea rosea", "Lobobunaea rosea rosea", "Lobobunaea rosea werneri", "Acer amoenum var. matsumurae", "Lycopodium clavatum subsp. contiguum", "Diplotaxis harra subsp. harra", "Mimodictyon indicola", "Druceiella beckeri", "Druceiella hillmani", "Druceiella mielkei", "Palaeomesoporus electiricus", "Druceiella songoensis", "Paradictyon eidmanni", "Erucaria microcarpa", "Mimanomma spectrum", "Siafumimus alzadae", "Ypsolopha rhinolophi", "Erucastrum nasturtiifolium subsp. nasturtiifolium", "Ophrys \u00d7 vetula", "Ophrys \u00d7 vetula nothosubsp. vetula", "Lycopodium venustulum var. venustulum", "Lycopodium venustulum var. verticale", "Tetilla quirimure", "Rytidocarpus moricandioides", "Ophrys \u00d7 vetula nothosubsp. corriasiana", "Stelletta soteropolitana", "Acanthotetilla rocasensis", "Acanthotetilla walteri", "Paphiopedilum papilio-laoticus", "Taraxacum maculigerum", "Sinapis alba subsp. alba", "Sinapis arvensis subsp. arvensis", "Sinapis pubescens subsp. pubescens", "Brassica fruticulosa subsp. radicata", "Succowia balearica", "Etanna yunnanensis", "Vella spinosa", "Erebia alcmena", "Erebia alcmena alcmena", "Vella mairei", "Dimonomera indica", "Arabidopsis arenosa subsp. arenosa", "Lautaea murphyi", "Arabidopsis halleri", "Arabidopsis halleri subsp. halleri", "Arabidopsis halleri subsp. ovirensis", "Arabidopsis neglecta", "Arabidopsis petraea", "Camelina alyssum subsp. alyssum", "Demerinda termitophila", "Graphis plumbeidisca", "Deremilla liberiensis", "Dorylobactrus schwabi", "Dorylobius sulcicollis", "Dorylocerus fossulatus", "Ecpatia alleni", "Ecpatia cryptodisca", "Ecpatia discophora", "Ecpatia dulgistriga", "Ecpatia elliptica", "Ecpatia grisescens", "Ecpatia lingulata", "Ecpatia longinquua", "Ecpatia melas", "Ecpatia obscura", "Ecpatia ovifera", "Ecpatia pauli", "Ecpatia philippinensis", "Ecpatia sciachroa", "Ecpatia spiculivalva", "Ecpatia susanae", "Ecpatia triangulata", "Halegrapha yakushimensis", "Dorylonilla spinipennis", "Mimetus caudatus", "Mimetus labiatus", "Mimetus echinatus", "Ero canala", "Ero galea", "Mimetus lamellaris", "Mimetus wangi", "Mimetus madecassus", "Ero madagascariensis", "Ero lokobeana", "Ero comorensis", "Brachygnatha diastemata", "Sycon frustulosum", "Grantia kempfi", "Ecitosoma lamellatum", "Nicola tetela", "Leptanillophilus similis", "Mimacamatus mirabilis", "Labidoglobus nevermanni", "Labidosphaerula schmidti", "Mimeciton pulex", "Paramimeciton coeci", "Labidomimus petiolatus", "Mimonilla ecitonis", "Brachypronomaea esakii", "Aldania ilos", "Achromatium oxaliferum", "Aldania ilos ilos", "Aldania ilos sichuanensis", "Amphoriscus pedunculatus", "Austrolycopodium magellanicum", "Halegrapha masoniana", "Fossulopora camerounicus", "Fossulopora congoensis", "Fossulopora orientalis", "Lokomera lucidocollis", "Lokomera striapennis", "Macfieia clavicornis", "Medera absconditus", "Medera grandis", "Medera locustarium", "Muricaria prostrata", "Ponerilla megaponerae", "Redema fulvicollis", "Redema ovaticollis", "Redema villus", "Rhopalinda termitophila", "Nasturtiopsis coronopifolia", "Erebia alcmena leechuanlungi", "Zilla spinosa subsp. spinosa", "Aculops kalimeris", "Aculops padus", "Aculops sepius", "Macrophya latidentata", "Calvadosia lewisi", "Zygophylax kakaiba", "Dorylophila rotundicollis", "Dorylostethus wasmanni", "Radicipes stonei", "Draconula minuta", "Halegrapha paulseniana", "Emerda zairensis", "Radicipes kopelatos", "Chrysogorgia upsilonia", "Chrysogorgia tuberculata", "Moricandia foetida", "Paralicornia hamata", "Licornia prolata", "Moricandia moricandioides", "Moricandia moricandioides subsp. moricandioides", "Rodylopora attenuata", "Rylodophila kekenboschi", "Rylodophila levasseuri", "Pseuderucaria teretifolia", "Mimetus bucerus", "Mimetus lingbaoshanensis", "Mimetus yinae", "Labidopullus appendiculatus", "Raffenaldia primuloides", "Acamatusinella globuliventris", "Ecitomerus impressifrons", "Ecitophanes crassicornis", "Vosmaeropsis complanatispinifera", "Vosmaeropsis recruta", "Sycon bellum", "Sycon avus", "Periacma simaoensis", "Sinapidendron angustifolium", "Sinapidendron frutescens", "Sinapidendron frutescens subsp. frutescens", "Ambodina granulata", "Cardamine asarifolia", "Cardamine breweri", "Thymus teucrioides subsp. alpinus", "Cardamine californica", "Cardamine chenopodiifolia", "Cardamine constancei", "Cardamine flagellifera", "Cardamine geraniifolia", "Cardamine glanduligera", "Cardamine glauca", "Cardamine heptaphylla", "Cardamine alpina", "Cardamine amara subsp. amara", "Cardamine angustata", "Polypea coralli", "Rothium sonorensis", "Afromeotica kamerunensis", "Cardamine kitaibelii", "Cardamine leucantha", "Cardamine macrophylla", "Cardamine oligosperma", "Dendrolycopodium juniperoideum", "Janulum imago", "Janulum princeps", "Cardamine dentata", "Francolinus castaneicollis atrifrons", "Amolops mengdingensis", "Gastrotheca yacuri", "Gastrotheca turnerorum", "Gastrotheca elicioi", "Gastrotheca cuencana", "Cardamine pattersonii", "Diphasium jussiaei", "Cardamine pensylvanica", "Cardamine pentaphyllos", "Cardamine plumierii", "Thymus teucrioides subsp. candilicus", "Thymus teucrioides subsp. teucrioides", "Thymus funkii subsp. burilloi", "Suaeda scabra", "Thymus funkii subsp. sabulicola", "Cardamine purpurea", "Cardamine resedifolia", "Craugastor zunigai", "Craugastor sagui", "Cardamine rotundifolia", "Cardamine silana", "Scutiger tengchongensis", "Cardamine trichocarpa", "Cardamine pachystigma", "Placospongia caribica", "Prosuberites carriebowensis", "Geodia cribrata", "Timea oxyasterina", "Timea diplasterina", "Leptasthenura aegithaloides berlepschi", "Wigginsia curlewensis", "Rhaphidhistia belizensis", "Xestospongia purpurea", "Leptasthenura aegithaloides pallida", "Phorbas aurantiacus", "Myrmekioderma laminatum", "Niphates arenata", "Siphonodictyon occultum", "Aplysina sciophila", "Suaeda nesophila", "Suaeda jacoensis", "Rorippa \u00d7 anceps", "Suaeda khalijefarsica", "Suaeda kocheri", "Rorippa columbiae", "Suaeda multiflora", "Rorippa curvisiliqua", "Suaeda pelagica", "Rorippa cygnorum", "Achyranthes ancistrophora", "Scolionema sanshin", "Pristimantis sneiderni", "Pristimantis calima", "Cardamine umbellata", "Suaeda cochlearifolia", "Cardamine waldsteinii", "Cardamine serbica", "Ledella knudseni", "Scolanthus kopepe", "Scolanthus ena", "Scolanthus isei", "Hanah hanataba", "Hanah hanagasa", "Astrodendrum spinulosum", "Thymus funkii subsp. funkii", "Thymus munbyanus subsp. abylaeus", "Suaeda edulis", "Rorippa palustris subsp. palustris", "Thymus munbyanus subsp. munbyanus", "Craugastor metriosistus", "Thymus munbyanus subsp. ciliatus", "Thrixspermum formosanum", "Thymus munbyanus subsp. coloratus", "Thymus mastichina subsp. donyanae", "Rorippa sylvestris subsp. sylvestris", "Subularia aquatica", "Gonionemus agilis", "Lycopodiastrum casuarinoides", "Antipathozoanthus remengesaui", "Sphenopus exilis", "Heteroconger fugax", "Tuber rufum", "Cochlearia bavarica", "Cochlearia excelsa", "Robiquetia ilocosnortensis", "Robiquetia arsoniana", "Robiquetia bambusara", "Thymus mastichina subsp. mastichina", "Antipathozoanthus cavernus", "Antipathozoanthus obscurus", "Cochlearia officinalis subsp. officinalis", "Cochlearia polonica", "Cochlearia pyrenaica", "Cochlearia pyrenaica subsp. pyrenaica", "Cochlearia tatrae", "Ionopsidium acaule", "Spinulum annotinum subsp. annotinum", "Noccaea fendleri subsp. fendleri", "Noccaea fendleri subsp. californica", "Noccaea fendleri subsp. glauca", "Calanthe masuca", "Spinulum annotinum subsp. alpestre", "Noccaea perfoliata", "Spinulum lioui", "Noccaea caerulescens subsp. caerulescens", "Noccaea goesingensis", "Noccaea minima", "Noccaea praecox", "Chilodera falklandica", "Descurainia lemsii", "Descurainia millefolia", "Descurainia pinnata subsp. pinnata", "Hapalorchis cheirostyloides", "Hapalorchis cymbirostris", "Hapalorchis dominicii", "Hapalorchis lindleyana", "Descurainia tanacetifolia", "Devario acrostomus", "Ctenopeuca heynei", "Ecitodulus crassicornis", "Elaphromniusa metasternalis", "Elaphromniusa amicissima", "Noccaea sylvia", "Noccaea vesicaria", "Gastrorhopalus niger", "Gnypetosoma calocera", "Gnypetosoma farrea", "Zuvanda crenulata", "Menonvillea filifolia", "Liometoxenus newtonarum", "Liometoxenus jacobsoni", "Graphis hunanensis", "Spongilla lacustris", "Descurainia artemisioides", "Melvilloxenus retmes", "Descurainia bourgaeana", "Mimobates capensis", "Descurainia gilva", "Myrmedonella rufa", "Myrmobiota crassicornis", "Descurainia gonzalezii", "Descurainia incisa subsp. incisa", "Clathrina rotunda", "Clathrina clara", "Clathrina hondurensis", "Clathrina sinusarabica", "Clathrina hispanica", "Neozelandusa ruapehumontis", "Hornungia alpina subsp. alpina", "Nordenskjoldella flavitarsis", "Hornungia alpina subsp. auerswaldii", "Hornungia alpina subsp. brevicaulis", "Thymus boissieri", "Hornungia procumbens", "Ocyustiba appalachiana", "Tropidocarpum californicum", "Oligonotus exiguus", "Tropidocarpum gracile", "Thymus algeriensis", "Paramarochara montana", "Paraphyma rufa", "Thymus borysthenicus", "Hapalorchis lineata", "Hapalorchis longirostris", "Hapalorchis neglecta", "Hapalorchis pandurata", "Hapalorchis piesikii", "Hapalorchis pumila", "Hapalorchis stellaris", "Hapalorchis trilobata", "Lama guanicoe guanicoe", "Axinella infundibuliformis", "Ianthella flabelliformis", "Callyspongia aculeata", "Haliclona oculata", "Paraleucilla magna", "Clathrina conifera", "Ernstia tetractina", "Ernstia quadriradiata", "Triglotta pacifica", "Nasa grandiflora", "Aspidobactrus claviger", "Erysimum bicolor", "Erysimum caboverdeanum", "Erysimum capitatum var. capitatum", "Ascandra ascandroides", "Erysimum cheiranthoides subsp. cheiranthoides", "Erysimum concinnum", "Erysimum contractum", "Erysimum duriaei", "Erysimum cazorlense", "Erysimum franciscanum", "Erysimum mutabile", "Prosthechea marciliana", "Noccaea papyracea", "Erysimum carniolicum", "Devario apopyris", "Devario leptos", "Devario laoensis", "Stachys graeca", "Clathrina cylindractina", "Borojevia aspina", "Clathrina aurea", "Borojevia brasiliensis", "Erysimum naxense", "Philornis deceptiva", "Phlegmariurus crassus", "Thymus dolopicus", "Thymus integer", "Thymus mastigophorus", "Pteris assamica", "Arturia africana", "Polyacanthode kochianus", "Polyacanthode kriegi", "Arturia sueziana", "Arturia hirsuta", "Polylobinus brasiliensis", "Pronomaeida pectinis", "Pronomaeida giachinoi", "Prymnorhopala opaca", "Pseudophaena castanea", "Thrixenglyphe neozealandense", "Borojevia cerebrum", "Herminium alaschanicum", "Herminium albomarginatum", "Herminium albosanguineum", "Herminium albovirens", "Erysimum insulare", "Erysimum jugicola", "Erysimum krendlii", "Diploxenus kubotai", "Erysimum marshallii", "Thulinia albolutea", "Braya alpina", "Braya longii", "Braya pilosa", "Erysimum pusillum", "Erysimum pusillum subsp. pusillum", "Losiusa angusticollis", "Erysimum ruscinonense", "Erysimum strictum", "Erysimum suffrutescens", "Erysimum sylvestre subsp. sylvestre", "Strigosella stenopetala", "Strigosella trichocarpa", "Sandbergia perplexa", "Pennellia tricornuta", "Heliophila africana", "Erysimum hungaricum", "Erysimum pseudorhaeticum", "Clathrina insularis", "Clathrina lutea", "Clathrina mutabilis", "Clathrina zelinhae", "Ernstia citrea", "Ernstia multispiculata", "Ernstia rocasensis", "Ernstia sanctipauli", "Ernstia solaris", "Borojevia trispinata", "Borojevia tenuispinata", "Arturia trindadensis", "Thymus parnassicus", "Thymus striatus subsp. acicularis", "Thymus striatus var. ophioliticus", "Thymus striatus subsp. striatus", "Thymus leucotrichus subsp. neiceffii", "Yersinia aleksiciae", "Yersinia hibernica", "Yersinia rohdei", "Hesperis sylvestris", "Yersinia nurmii", "Yersinia pekkanenii", "Yersinia ruckeri", "Yersinia similis", "Yersinia mollaretii", "Yersinia bercovieri", "Yersinia aldovae", "Yersinia massiliensis", "Renanthera cornuta", "Renanthera dentata", "Aeminium ludgeri", "Thymus persicus", "Thymus plasonii", "Thymus spinulosus", "Iberis saxatilis subsp. saxatilis", "Thymus baeticus", "Thymus carnosus", "Thymus hyemalis", "Thymus hyemalis subsp. millefloris", "Thymus hyemalis subsp. hyemalis", "Actinokentia divaricata", "Sieruela hirta", "Melidiscus gigantea", "Andinocleome lechleri", "Thymus loscosii", "Cleomella lutea", "Cleomella oxystyloides", "Hetaeria youngsayei", "Archontophoenix maxima", "Archontophoenix myolensis", "Archontophoenix purpurea", "Chambeyronia lepidota", "Chambeyronia macrocarpa", "Kentiopsis oliviformis", "Heliophila amplexicaulis", "Strigosella intermedia", "Sivadasania josephiana", "Heliophila pinnata", "Borojevia croatica", "Ascandra spalatensis", "Leucandra falakra", "Leucandra spinifera", "Paraleucilla dalmatica", "Sycon ancora", "Stellaria fenzlii", "Leucetta foliata", "Leucetta purpurea", "Pericharax crypta", "Pericharax vallii", "Clathrina angraensis", "Leucandra serrata", "Paraleucilla perlucida", "Heliophila juncea", "Heliophila linearis", "Heliophila linearis var. linearis", "Heliophila linearis var. reticulata", "Heliophila rigidiuscula", "Hesperis inodora", "Clathrina fjordica", "Clathrina antofagastensis", "Clathrina ramosa", "Leucettusa nuda", "Sycon huinayense", "Sycettusa chilensis", "Thymus orospedanus", "Thymus willdenowii", "Thymus zygis subsp. gracilis", "Thymus zygis subsp. sylvestris", "Thymus zygis subsp. zygis", "Dypsis carlsmithii", "Thymus richardii", "Thymus richardii subsp. ebusitanus", "Ilex colchica subsp. imerethica", "Ilex colchica subsp. colchica", "Balaka longirostris", "Ptychosperma caryotoides", "Alfocalea montana", "Betocalea pacifica", "Arivela viscosa", "Linospadix minor", "Linospadix monostachyos", "Chinecousya procera", "Nephromopsis ciliaris", "Thymus leucotrichus subsp. leucotrichus", "Thymus leucotrichus var. creticus", "Thymus camphoratus", "Leuclathrina asconoides", "Soleneiscus olynthus", "Ascandra biscayae", "Leuclathrina translucida", "Bamona gracilis", "Bamona brevicornis", "Bamona concolor", "Bamona marginata", "Bamona minuta", "Bamona parallela", "Bamona plebeia", "Thymus capitellatus", "Phalaenopsis subparishii", "Polyachyrus cinereus", "Cyrtodactylus tahuna", "Nephromopsis gilva", "Vagitanus terminalis", "Calyptrocalyx elegans", "Calyptrocalyx hollrungii", "Calyptrocalyx polyphyllus", "Thymus serpylloides", "Basselinia eriostachys", "Basselinia pancheri", "Thymus serpylloides subsp. gadorensis", "Burretiokentia hapala", "Thymus serpylloides subsp. serpylloides", "Burretiokentia vieillardii", "Thymus dreatensis", "Thymus origanoides", "Cyphophoenix alba", "Cyphophoenix elegans", "Cyphophoenix nucele", "Lepidorrhachis mooreana", "Carpoxylon macrospermum", "Neoveitchia storckii", "Satakentia liukiuensis", "Cyphokentia cerifera", "Bulbophyllum zambalense", "Arisaema sachalinense", "Hydriastele costata", "Hydriastele microcarpa", "Hydriastele pinangoides", "Jumellea comorensis", "Pseudapimela afghanica", "Pseudapimela klapperichi", "Dypsis leptocheilos", "Prasophyllum basalticum", "Stenoglottis woodii", "Calyptrocalyx albertisianus", "Prasophyllum albovirens", "Tarenaya parviflora", "Sieruela rutidosperma", "Prasophyllum argillaceum", "Pinus pinaster subsp. escarena", "Prasophyllum brevisepalum", "Sieruela rubella", "Prasophyllum copelandii", "Prasophyllum graniticola", "Prasophyllum holzingeri", "Prasophyllum pictum", "Pinus pinaster subsp. renoui", "Prasophyllum pilligaense", "Pinus pinaster subsp. pinaster", "Veitchia subdisticha", "Veitchia vitiensis", "Veitchia winin", "Bentinckia condapanna", "Gnathusa eva", "Longipeltina bakeri", "Platystele calantha", "Megocalea lemieuxi", "Melanalia tabida", "Linospadix palmerianus", "Metocalea lindgreni", "Platystele caudatisepala", "Acanthophoenix crinita", "Acanthophoenix rousselii", "Platystele hirtzii", "Platystele pyriformis", "Polystachya bipoda", "Platystele consobrina", "Platystele enervis", "Platystele microscopica", "Platystele scopulifera", "Clinispira insolita", "Solanum emulans", "Hamza ciliaris", "Iguanura melinauensis", "Isatis glauca subsp. glauca", "Kernera saxatilis", "Kernera saxatilis subsp. saxatilis", "Petrocallis pyrenaica", "Ambulobdella shandikovi", "Lepidium auriculatum", "Iris kamelinii", "Iris lokiae", "Odocoileus virginianus couesi", "Odocoileus virginianus virginianus", "Lepidium cartilagineum", "Lepidium davisii", "Neothetalia smetanai", "Coracina nesiotis", "Neothetalia canadiana", "Coelogyne integerrima", "Epidendrum zosterifolium", "Ptychosperma nicolai", "Epistephium hernandii", "Ptychosperma salomonense", "Ptychosperma lauterbachii", "Veitchia pachyclada", "Veitchia spiralis", "Solanum macrotonum", "Lepidium eastwoodiae", "Lepidium foliosum", "Lepidium glastifolium", "Lepidium hirtum subsp. hirtum", "Lepidium lasiocarpum subsp. lasiocarpum", "Lepidium latipes", "Stelletta parva", "Jaspis albescens", "Odocoileus virginianus acapulcensis", "Hydriastele flabellata", "Clathrina smaragda", "Bidderia bicolora", "Clathrina delicata", "Borojevia crystallina", "Ernstia adunca", "Oscarella filipoi", "Oscarella zoranja", "Nephromopsis microphyllica", "Iguanura wallichiana", "Iguanura wallichiana var. wallichiana", "Iguanura wallichiana var. major", "Phloeophila nummularia", "Phloeophila alphonsiana", "Nilssonia gangetica", "Grantilla quadriradiata", "Sycettusa glabra", "Sycettusa hastifera", "Leucandrilla intermedia", "Paraleucilla crosslandi", "Kebira uteoides", "Nilssonia hurum", "Nilssonia leithii", "Euryspongia lactea", "Geodia micropunctata", "Clinostigma samoense", "Clinostigma harlandii", "Memecylon cerasiforme", "Soleneiscus pedicellatus", "Clathrina peruana", "Clathrina nuroensis", "Clathrina aphrodita", "Arturia spirallata", "Picea retroflexa", "Dictyosperma album var. album", "Bulbophyllum gimagaanense", "Bulbophyllum marivelense", "Bulbophyllum stellatum", "Heterospathe elata var. elata", "Pentanota meuseli", "Hymeniacidon zosterae", "Clathria horrida", "Clathria arbuscula", "Lissodendoryx cratera", "Mycale dendyi", "Mycale erythraeana", "Mycale euplectellioides", "Mycale fistulifera", "Mycale suezza", "Rhabdastrella sterrastraea", "Lepidium tiehmii", "Lepidium virginicum subsp. virginicum", "Lepidium rahmeri", "Megacarpaea gigantea", "Megacarpaea polyandra", "Blennodia canescens", "Drabastrum alpestre", "Menkea sphaerocarpa", "Pachycladon latisiliqua", "Parmaturus angelae", "Achlys japonica", "Nephromopsis ulophylloides", "Pseudocyusa kashmirica", "Lepidium muelleriferdinandi", "Pseudomeotica colorata", "Suberea praetensa", "Lepidium nanum", "Lepidium navasii", "Byssogene amboinensis", "Byssogene wilsoniae", "Byssogene wilsonii", "Lepidium ostleri", "Lepidium papilliferum", "Lepidium phlebopetalum", "Pachymitus cardaminoides", "Stenopetalum anfractum", "Stenopetalum decipiens", "Leiurus hebraeus", "Stenopetalum lineare", "Stenopetalum nutans", "Haliclona bubastes", "Haliclona tabernacula", "Haliclona spinosella", "Xenomma planifrons", "Stenopetalum velutinum", "Solanum pruinosum", "Oreotrochilus cyanolaemus", "Arturia vansoesti", "Clathrina curacaoensis", "Clathrina globulosa", "Leucilla antillana", "Leucilla micropilosa", "Leucandra caribea", "Leucandrilla quadriradiata", "Grantessa tumida", "Sycon conulosum", "Sycon magnapicale", "Lepidium banksii", "Lepidium bipinnatifidum", "Cyrtodactylus chamba", "Sarcoptes scabiei", "Tilia tuan subsp. oblongifolia", "Tilia tuan subsp. tristis", "Aulacogastrata punctiventris", "Neowittmeria bhutanica", "Heterotaxus bihastatus", "Oxypodinus anxius", "Dithyrea californica", "Acanthostigma atrobarbum", "Acanthostigma perpusillum", "Lyrocarpa coulteri", "Amphinectria erubescens", "Physaria alpina", "Physaria arctica", "Lepidium pseudotasmanicum", "Acanthostigmella brevispina", "Acanthostigmella genuflexa", "Acanthostigmella hypocrellae", "Acanthostigmella orthoseta", "Acanthostigmella pallida", "Acanthostigmella pellucida", "Acanthostigmella thaxteri", "Acarella costaricensis", "Acarella inaequalis", "Acarella pernambucensis", "Allonecte lagerheimii", "Myrmekioderma niveum", "Acanthostigma affine", "Acanthostigma alni", "Chelonaplysilla erecta", "Dysidea aedificanda", "Echinoclathria digitiformis", "Cinachyrella ibis", "Callyspongia incrustans", "Phakellia palmata", "Hymeniacidon calcifera", "Physaria lepidota subsp. lepidota", "Physaria ludoviciana", "Physaria multiceps", "Physaria newberryi subsp. newberryi", "Physaria parvula", "Physaria pruinosa", "Physaria rectipes", "Physaria reediana", "Polypsecadium llatasii", "Aenigmachanna gollum", "Neanotis montholonii", "Neanotis monosperma", "Stanleya pinnata var. pinnata", "Streptanthus maculatus", "Thelypodiopsis divaricata", "Mussaenda villosa", "Neanotis boerhaavioides", "Physaria tenella", "Physaria thamnophila", "Physaria tumulosa", "Hintonella mexicana", "Smelowskia americana", "Neanotis calycina", "Paratetilla bacca", "Neanotis carnosa", "Haliclona ramusculoides", "Hyrtios erectus", "Turdus murinus", "Thelypodium howellii subsp. howellii", "Thelypodium integrifolium", "Thelypodium integrifolium subsp. integrifolium", "Ocreatus peruanus", "Peltaria alliacea", "Peltaria turkmena", "Neanotis oxyphylla", "Neanotis wightiana", "Solms-laubachia flabellata", "Psychotria crassipetala", "Neanotis hirsuta", "Physaria condensata", "Physaria congesta", "Physaria didymocarpa subsp. didymocarpa", "Physaria douglasii", "Physaria douglasii subsp. douglasii", "Physaria filiformis", "Physaria globosa", "Takhtajaniella globosa", "Physaria gordonii", "Physaria kingii", "Physaria kingii subsp. kingii", "Streptanthus glandulosus subsp. secundus", "Streptanthus hesperidis", "Streptanthus heterophyllus", "Streptanthus inflatus", "Streptanthus lasiophyllus", "Streptanthus longirostris", "Streptanthus longisiliquus", "Leucetta villosa", "Soleneiscus radovani", "Clathrina luteoculcitella", "Clathrina helveola", "Lamellodysidea herbacea", "Neanotis decipiens", "Hymedesmia rowi", "Neanotis formosana", "Neanotis gracilis", "Leucandrilla lanceolata", "Paraleucilla princeps", "Leucilla oblata", "Sycon verum", "Sycon lendenfeldi", "Leucetta insignis", "Ascaltis vitraea", "Peliusa labiata", "Jatropha macrantha", "Smelowskia borealis", "Nephromopsis orbata", "Smelowskia calycina", "Paradoxenusa ailveatrii", "Macropodium pterospermum", "Macropodium nivale", "Bulbophyllum kubahense", "Stevenia alyssoides", "Stevenia cheiranthoides", "Neanotis hondae", "Neanotis indica", "Neanotis ingrata", "Amphinectria portoricensis", "Vosmaeropsis macera", "Clathrina procumbens", "Trichocentrum helicanthum", "Hesperidanthus jaegeri", "Neanotis ritchiei", "Neanotis urophylla", "Fourraea alpina", "Boswellia occulta", "Ayensua uaipanensis", "Nephromopsis chlorophylla", "Neanotis nummularia", "Streptanthus amplexicaulis", "Streptanthus anceps", "Streptanthus carinatus subsp. carinatus", "Streptanthus cordatus subsp. cordatus", "Streptanthus cordatus var. cordatus", "Streptanthus coulteri", "Streptanthus crassicaulis", "Epidendrum pseudoschumannianum", "Streptanthus diversifolius", "Philotermes pilosus", "Philotermes pensylvanicus", "Philotermes fuchsii", "Pseudophilotermes bruchi", "Streptanthus glandulosus subsp. glandulosus", "Clathrina parva", "Clathrina wistariensis", "Clathrina heronensis", "Arturia adusta", "Phyllodinarda kohli", "Phyllodinarda xenocephala", "Streptanthus pilosus", "Streptanthus tortuosus", "Streptanthus vernalis", "Euvira nigra", "Euvira minuta", "Placukorna ipsa", "Streptanthus hyacinthoides", "Mummenhoffia alliacea", "Trichoniscoides marinae", "Masdevallia bonplandii", "Aechmea alegrensis", "Aechmea alopecurus", "Aechmea angustifolia", "Aechmea aquilega", "Aechmea aquilega var. aquilega", "Aechmea araneosa", "Aechmea azurea", "Aechmea biflora", "Aechmea blanchetiana", "Aechmea bracteata", "Brocchinia micrantha", "Neanotis richardiana", "Brocchinia tatei", "Psychotria evrardiana", "Psychotria megistantha", "Acanthostachys pitcairnioides", "Psychotria bagshawei", "Psychotria fractinervata", "Acanthostachys strobilacea", "Psychotria orophila", "Psychotria pseudoplatyphylla", "Boswellia rivae", "Psychotria lauracea", "Neanotis longiflora", "Aechmea correia-araujoi", "Aechmea cylindrata", "Aechmea dactylina", "Neanotis kwangtungensis", "Aechmea dealbata", "Aechmea distichantha", "Aechmea distichantha var. distichantha", "Masdevallia ventricularia", "Mediocalcar pygmaeum", "Aechmea emmerichiae", "Aechmea farinosa", "Aechmea calyculata", "Aechmea gamosepala", "Aechmea castelnavii", "Aechmea caudata", "Aechmea chantinii var. chantinii", "Aechmea coelestis", "Aechmea coelestis var. coelestis", "Aechmea comata", "Bryaxis montivagus", "Clathrina chrysea", "Leucascus neocaledonicus", "Sycettusa tenuis", "Vosmaeropsis hozawai", "Leucascandra caveolata", "Aechmea fendleri", "Aechmea paniculigera", "Aechmea filicaulis", "Aechmea flavorosea", "Macropodus baviensis", "Macropodus lineatus", "Neanotis rheedei", "Macropodus oligolepis", "Macropodus phongnhaensis", "Neanotis prainiana", "Neanotis trimera", "Potentilla toyamensis", "Aechmea fosteriana", "Aechmea fosteriana subsp. fosteriana", "Psychotria palustris", "Psychotria kahuziensis", "Psychotria walikalensis", "Psychotria louisii", "Psychotria dermatophylla", "Psychotria grumilea", "Psychotria cyathicalyx", "Psychotria leonardiana", "Psychotria parvistipulata", "Psychotria podocarpa", "Dendrobium monophyllum", "Acanthosaura murphyi", "Pterostichus svetlanae", "Aechmea longifolia", "Pterostichus macer macer", "Pterostichus macer anachoretus", "Aechmea lueddemanniana", "Aechmea maculata", "Masdevallia dorisiae", "Masdevallia draconis", "Aechmea napoensis", "Aechmea nidularioides", "Aechmea nudicaulis var. nudicaulis", "Probles longisetosus", "Aechmea orlandiana", "Aechmea ornata", "Aechmea pabstii", "Masdevallia echo", "Masdevallia eumeces", "Masdevallia excelsior", "Masdevallia fosterae", "Masdevallia frilehmannii", "Masdevallia guerrieroi", "Masdevallia guttulata", "Petracola angustisoma", "Aechmea tessmannii", "Aechmea tillandsioides", "Aechmea tocantina", "Aechmea tomentosa", "Ananas comosus var. bracteatus", "Masdevallia helgae", "Masdevallia inamoena", "Aechmea manzanaresiana", "Aechmea marauensis", "Aechmea mariae-reginae", "Levantina thospitis", "Aechmea mexicana", "Aechmea miniata", "Aechmea mollis", "Aechmea mulfordii", "Aechmea nallyi", "Ananas comosus var. comosus", "Athaumasta tarbagata", "Athaumasta kuchinichi", "Trichoniscoides enoli", "Listrada sulbaiana", "Meharia turatii", "Eustra cariniceps", "Eustra posteroguttata", "Eustra dalatensis", "Eustra nageli nageli", "Eustra nageli subglabra", "Eustra parallela", "Eustra matanga matanga", "Eustra matanga darlingtoni", "Eustra matanga negrosensis", "Aechmea kuntzeana", "Pterostichus mariamae", "Aechmea leptantha", "Aechmea pectinata", "Aechmea pedicellata", "Aechmea penduliflora", "Aechmea phanerophlebia", "Trilepida pastusa", "Aechmea pimenti-velosoi", "Epictia hobartsmithi", "Atractus heyeri", "Masdevallia jarae", "Masdevallia kuhniorum", "Sphenomorphus yersini", "Aechmea kentii", "Leptotes pyrczi", "Leptolalax rowleyae", "Parafimbrios lao", "Deltoplastis acutangulata", "Deltoplastis anatoliana", "Deltoplastis multidentalis", "Deltoplastis aculeata", "Deltoplastis similihoristis", "Deltoplastis spatuliunca", "Deltoplastis ovidiscalis", "Deltoplastis horistis", "Athaumasta dzhungarica", "Athaumasta kurchuma", "Athaumasta arida", "Athaumasta etugen", "Pareas atayal", "Galium verum subsp. verum", "Rubus pubescens", "Hemidactylus hemchandrai", "Hemidactylus yajurvedi", "Gekko aaronbaueri", "Gekko bonkowskii", "Neanotis nummulariformis", "Masdevallia pastinata", "Masdevallia patchicutzae", "Neanotis lancifolia", "Masdevallia phoebe", "Masdevallia phoenix", "Aechmea setigera", "Masdevallia plynophora", "Masdevallia portillae", "Masdevallia posadae", "Phymaturus tromen", "Phymaturus cacivioi", "Aechmea smithiorum", "Aechmea smithiorum var. smithiorum", "Ananas comosus var. microstachys", "Masdevallia priscillana", "Canthon machadoi", "Ananas comosus var. erectifolius", "Masdevallia proboscoidea", "Ananas macrodontes", "Masdevallia prolixa", "Masdevallia prosartema", "Masdevallia pyxis", "Tympanocryptis diabolicus", "Tympanocryptis fortescuensis", "Tympanocryptis pseudopsephos", "Masdevallia navicularis", "Aechmea retusa", "Sphenomorphus senja", "Aechmea rubens", "Aechmea rubrolilacina", "Masdevallia norae", "Sylvicanthon enkerlini", "Microgecko chabaharensis", "Aechmea serrata", "Psychotria rotensis", "Aechmea servitensis", "Masdevallia obscurans", "Masdevallia odontopetala", "Neanotis thwaitesiana", "Masdevallia omorenoi", "Masdevallia oreas", "Ophryacus smaragdinus", "Masdevallia oscitans", "Papuinthus minutus", "Austrointhus marcidi", "Cristidorsa otai", "Pseudoperinthus malayanus", "Pseudoperinthus yapsiei", "Aenictoxenus chapmani", "Anommatoxenus clypeatus", "Bromelia balansae", "Bromelia hieronymi", "Bromelia humilis", "Bromelia interior", "Masdevallia lata", "Aprasia wicherina", "Masdevallia lenae", "Masdevallia lintricula", "Masdevallia listroglossa", "Masdevallia loui", "Masdevallia luziaemariae", "Masdevallia manningii", "Masdevallia martineae", "Masdevallia martiniana", "Aechmea pineliana", "Masdevallia mascarata", "Masdevallia mayaycu", "Aechmea politii", "Masdevallia melanoxantha", "Anilios insperatus", "Aechmea polyantha", "Delma hebesa", "Masdevallia menatoi", "Aechmea pubescens", "Masdevallia monogona", "Masdevallia munae", "Aechmea purpureorosea", "Liolaemus lonquimayensis", "Anilios fossor", "Boaedon radfordi", "Pseudotrapelus chlodnickii", "Phrynocephalus sakoi", "Billbergia brasiliensis", "Billbergia leptopoda", "Billbergia macrocalyx", "Cyrtodactylus ranongensis", "Oligodon arenarius", "Liolaemus yalguaraz", "Leptotes durrelli", "Liolaemus zabalai", "Liolaemus scorialis", "Oxynoemacheilus arsanius", "Oxynoemacheilus muefiti", "Diploderma vela", "Billbergia horrida", "Riolama inopinata", "Varanus nesterovi", "Liolaemus omorfi", "Billbergia macrolepis", "Gynacantha vargasi", "Billbergia rosea", "Billbergia \u00d7 windii", "Pentacomia paranigrimarginata", "Bromelia alsodes", "Bromelia alta", "Bradysia chenjinae", "Alosa immaculata", "Bradysia minorlobus", "Anadara kagoshimensis", "Stylopalpus rufus", "Neocrassocoris pingbianensis", "Neocrassocoris longzhouensis", "Velarifictorus landrevus", "Diploderma dymondi", "Anolis elcopeensis", "Austrointhus gayi", "Austrointhus graveolus", "Japalura kumaonensis", "Diploderma varcoae", "Malayinthus emersoni", "Anolis peruensis", "Papuinthus longipalpis", "Imantodes guane", "Phalotris normanscotti", "Callulops argus", "Mataris grouvellei", "Callulops bicolor", "Callulops stellatus", "Callulops taxispilotus", "Pareas vindumi", "Agelas oroides", "Araeococcus flagellifolius", "Araeococcus parviflorus", "Billbergia alfonsi-joannis", "Billbergia amoena", "Cyrtodactylus semicinctus", "Cyrtodactylus psarops", "Billbergia distachia", "Billbergia buchholtzii", "Gekko boehmei", "Gekko sengchanthavongi", "Cyrtodactylus soudthichaki", "Cyrtodactylus otai", "Bronchocela rayaensis", "Bronchocela shenlong", "Cnemaspis mahsuriae", "Hemiphyllodactylus bintik", "Blaesodactylus microtuberculatus", "Sylvicanthon genieri", "Sylvicanthon aequinoctialis", "Sylvicanthon proseni", "Aechmea triticina", "Sylvicanthon seag", "Aechmea victoriana", "Sylvicanthon edmondsi", "Sylvicanthon attenboroughi", "Aechmea warasii", "Aechmea woronowii", "Aechmea zebrina", "Sylvicanthon monnei", "Sylvicanthon mayri", "Masdevallia receptrix", "Masdevallia recurvata", "Androlepis skinneri", "Masdevallia discoidea", "Masdevallia revoluta", "Probles alejandroi", "Probles belokobylskii", "Probles clypeola", "Probles contrerasi", "Probles lunai", "Probles xalapana", "Probles zacapoaxtlana", "Probles juanitae", "Probles megasoma", "Probles miquihuana", "Probles picus", "Probles spectabilis", "Probles chernetsovi", "Kinyongia mulyai", "Callulops neuhaussi", "Rhampholeon hattinghi", "Hemiphyllodactylus changningensis", "Kinyongia msuyae", "Delibius longicornis", "Masdevallia richardsoniana", "Dorylotyphlus wasmanni", "Masdevallia rojohnii", "Doryloxenus cornutus", "Eupygostenus escherichi", "Bromelia laciniosa", "Orochernes ganziensis", "Bromelia sylvicola", "Bromelia unaensis", "Atanygnathus poussereaui", "Deinacanthon urbaniana", "Masdevallia rolandorum", "Masdevallia royi", "Xiphydria albopicta", "Xiphydria eborata", "Rhyacoschistura larreci", "Rhyacoschistura suber", "Schistura sigillata", "Schistura amplizona", "Schistura aramis", "Schistura athos", "Schistura bairdi", "Schistura bolavenensis", "Schistura clatrata", "Schistura coruscans", "Schistura crabro", "Schistura defectiva", "Schistura ephelis", "Schistura finis", "Schistura fusinotata", "Schistura globiceps", "Hohenbergia stellata", "Hohenbergiopsis guatemalensis", "Hoplocryptanthus glaziovii", "Disteganthus gracieae", "Eduandrea selloana", "Leptopetalum strigulosum", "Fascicularia bicolor", "Fascicularia bicolor subsp. bicolor", "Fernseea itatiaiae", "Forzzaea warasii", "Murraya kwangsiensis", "Lymania alvimii", "Neoregelia ampullacea", "Neoregelia angustibracteolata", "Neoregelia atroviridifolia", "Neoregelia bahiana", "Neoregelia carcharodon", "Clathrina sceptrum", "Clathrina philippina", "Corynoneura schleei", "Drabescus hainanensis", "Spongiopsyllus atypicus", "Entomopsyllus stocki", "Parmulodes verrucosus", "Greigia vulcanica", "Greigia pearcei", "Hohenbergia castellanosii", "Hohenbergia catingae", "Hohenbergia correia-arauji", "Hohenbergia edmundoi", "Hohenbergia augusta", "Hohenbergia lanata", "Hohenbergia littoralis", "Olceclostera eburnea", "Apatelodes moinieri", "Apatelodes pusilla", "Neoregelia pascoaliana", "Neoregelia pendula", "Neoregelia compacta", "Cyrtodactylus mombergi", "Neoregelia concentrica", "Neoregelia coriacea", "Anaphes triapitsyni", "Mandera sanguinea", "Schistura imitator", "Canistrum aurantiacum", "Schistura implicata", "Schistura irregularis", "Schistura khamtanhi", "Schistura kloetzliae", "Schistura latidens", "Schistura leukensis", "Canistrum montanum", "Schistura macrocephalus", "Schistura melarancia", "Schistura nomi", "Schistura novemradiata", "Schistura personata", "Schistura pertica", "Schistura pervagata", "Schistura porthos", "Schistura procera", "Schistura quaesita", "Canistrum seidelianum", "Schistura quasimodo", "Schistura rikiki", "Schistura russa", "Schistura sertata", "Canistrum superbum", "Schistura tenura", "Schistura tizardi", "Schistura xhatensis", "Sectoria heterognathos", "Mimocete balaena", "Cryptanthus bahianus", "Neopygostenus flavus", "Vanmanenia crassicauda", "Vanmanenia serrilineata", "Pegestenus nigeriensis", "Pegestenus soudanicus", "Pogostenus mirabilis", "Pogostenus morio", "Prodeliodes corrugatus", "Prodeliodes glabrus", "Pseudomystus bomboides", "Pseudolydorus linsenmairi", "Cryptanthus bromelioides", "Pygoplanus subterraneus", "Chaudhuria fusipinnis", "Cryptanthus coriaceus", "Cryptanthus correia-araujoi", "Meridaphes venezolanus", "Phlogacanthus grandis", "Solanum plastisexum", "Forzzaea leopoldo-horstii", "Rokautskyia microglazioui", "Cryptanthus pickelii", "Cryptanthus praetextus", "Cryptanthus warren-loosei", "Clathrina cribrata", "Ernstia septentrionalis", "Ernstia cordata", "Ernstia gracilis", "Clathrina dictyoides", "Clathrina flexilis", "Pygostenus microcerus", "Sympolemon anommatis", "Typhlopolemon grandii", "Typhloponemys hypogaea", "Dothiorella pyrenophora", "Xenidus retractus", "Parasahlbergius liberiae", "Sahlbergius mirabilis", "Dinardilla liometopi", "Sceptobius dispar", "Perumicrus peruanus", "Bicarinulodes meridensis", "Cryptanthus fosterianus", "Skatitoxenus coatoni", "Geodia arabica", "Almoria championi", "Corynoneura carriana", "Cryptanthus incrassatus", "Corynoneura carriana carriana", "Corynoneura carriana kadalinka", "Otiorhynchus baraudi", "Masdevallia sanctae-fidei", "Masdevallia sanguinea", "Masdevallia schlimii", "Masdevallia schudelii", "Masdevallia scitula", "Masdevallia scobina", "Masdevallia serendipita", "Masdevallia sprucei", "Masdevallia stenorhynchos", "Masdevallia stirpis", "Masdevallia synthesis", "Masdevallia telloi", "Masdevallia theleura", "Masdevallia thienii", "Masdevallia trechsliniana", "Masdevallia tsubotae", "Masdevallia virens", "Masdevallia vomeris", "Masdevallia weberbaueri", "Masdevallia whiteana", "Masdevallia xylina", "Masdevallia zumbae", "Masdevallia zumbuehlerae", "Anaphes kailashchandrai", "Anaphes comosipennis", "Anaphes australia", "Anaphes galtoni", "Anaphes linnaei", "Anaphes nitens", "Anaphes inexpectatus", "Anaphes tasmaniae", "Haplothrips aliceae", "Atrichozancla cosymbota", "Atrichozancla phaeocrossis", "Atrichozancla gymnopalpa", "Neoregelia rubrovittata", "Neoregelia sanguinea", "Neoregelia correia-araujoi", "Eridachtha crossogramma", "Frisilia compsostoma", "Neoregelia cruenta", "Gnypetalia indica", "Neoregelia cyanea", "Lecithocera binotata", "Neoregelia farinosa", "Lecithocera flavipalpis", "Neoregelia fluminensis", "Neoregelia johannis", "Neoregelia kautskyi", "Neoregelia macrosepala", "Neoregelia mcwilliamsii", "Neoregelia magdalenae", "Neoregelia mucugensis", "Neoregelia olens", "Neoregelia wurdackii", "Lecithocera ideologa", "Lecithocera lucernata", "Lecithocera myopa", "Lecithocera minyodes", "Plagiocrossa picrodora", "Dragmatucha proaula", "Idiopteryx bivia", "Idiopteryx discopuncta", "Idiopteryx jansei", "Idiopteryx obliquella", "Protolychnis maculata", "Protolychnis marginata", "Protolychnis natalensis", "Nidularium microps", "Nidularium procerum", "Nidularium purpureum", "Nidularium rutilans", "Torodora ochrometra", "Trachylepis raymondlaurenti", "Heteragrion demarmelsi", "Trachylepis affinis", "Hirtodrosophila minshanensis", "Hirtodrosophila lambda", "Hirtodrosophila zhangae", "Hirtodrosophila zouae", "Hirtodrosophila nigrispina", "Neoregelia eleutheropetala", "Acherontides serrasapoensis", "Nidularium atalaiaense", "Nidularium amazonicum", "Nidularium billbergioides", "Filchneria songi", "Neolara centralis", "Trachylepis chimbana", "Trachylepis bocagii", "Campylocentrum serranum", "Ochagavia carnea", "Ochagavia elegans", "Ochagavia litoralis", "Sincoraea burle-marxii", "Quwitilla blattoserica", "Ronnbergia drakeana", "Ronnbergia fraseri", "Ronnbergia involucrata", "Ronnbergia morreniana", "Ronnbergia veitchii", "Quwitilla peruviana", "Ronnbergia weberbaueri", "Ronnbergia wuelfinghoffii", "Caucaea olivacea", "Quwitilla bellatrix", "Orthophytum harleyi", "Sincoraea heleniceae", "Orthophytum horridum", "Orthophytum maracasense", "Orthophytum sucrei", "Orthophytum vagans", "Abstoma purpureum", "Portea alatisepala", "Portea grandiflora", "Portea petropolitana", "Portea fosteriana", "Dysidea fragilis", "Quesnelia arvensis", "Nisaetus pinskeri", "Quesnelia edmundoi", "Tetragnypeta nitida", "Sinonatrix annularis", "Sinonatrix aequifasciata", "Hechtia argentea", "Oedignatha adhartali", "Hechtia caerulea", "Hechtia capituligera", "Hechtia carlsoniae", "Hechtia caudata", "Hechtia epigyna", "Hechtia galeottii", "Hechtia guatemalensis", "Populus mexicana", "Nerodia floridana", "Quesnelia humilis", "Quesnelia lateralis", "Gonyleptellus angeloi", "Quesnelia seideliana", "Quesnelia testudo", "Quesnelia koltesii", "Dichorisandra leucophthalmos", "Rokautskyia whitmanii", "Ronnbergia aciculosa", "Ronnbergia allenii", "Hechtia hernandez-sandovalii", "Hechtia laxissima", "Hechtia lundelliorum", "Hechtia lyman-smithii", "Hechtia marnier-lapostollei", "Hechtia montana", "Hechtia mooreana", "Hechtia sphaeroblasta", "Hechtia stenopetala", "Hechtia tillandsioides", "Populus mexicana subsp. dimorpha", "Populus mexicana subsp. mexicana", "Coracias affinis", "Morganella mexicana", "Sinonatrix yapingi", "Archaeoteleia astropulvis", "Acutocapillitium torrendii", "Connellia augustae", "Connellia quelchii", "Lindmania navioides", "Navia caulescens", "Deuterocohnia brevispicata", "Deuterocohnia glandulosa", "Austrosalomona destructor", "Austrosalomona poecila", "Salomona nori", "Paragnypeta rivularis", "Biemna lutea", "Paratachyusa luzonica", "Aechmea mcvaughii", "Hamigera cleistochela", "Pseudognypeta picta", "Aechmea tuitensis", "Sinonatrix yunnanensis", "Canistrum cyathiforme", "Clidicus qiuae", "Clidicus yingjiangus", "Nidularium campos-portoi", "Teliusa alutacea", "Sinonatrix percarinata", "Dyckia maritima", "Dyckia marnier-lapostollei", "Dyckia microcalyx var. microcalyx", "Dyckia milagrensis", "Cornucistela anichtchenkoi", "Polemon fulvicollis", "Dyckia niederleinii", "Tylototriton kachinorum", "Liurana vallecula", "Lycodon gibsonae", "Cnemaspis ingerorum", "Kudakrumia mirabilis", "Polemon bocourti", "Retiboletus nigerrimus", "Dyckia choristaminea", "Dyckia distachya", "Dyckia ferox", "Dyckia encholirioides", "Dyckia encholirioides var. encholirioides", "Dyckia goehringii", "Dyckia hebdingii", "Dyckia leptostachya", "Dyckia maracasensis", "Deuterocohnia haumanii", "Deuterocohnia longipetala", "Deuterocohnia lorentziana", "Deuterocohnia lotteae", "Deuterocohnia meziana", "Deuterocohnia meziana subsp. meziana", "Deuterocohnia recurvipetala", "Deuterocohnia scapigera", "Deuterocohnia schreiteri", "Dyckia braunii", "Coniophloeus squalidus", "Coniophloeus alternans", "Coniophloeus oberprieleri", "Coniophloeus obrieni", "Coniophloeus robustus", "Polemon ater", "Afromuelleria awelani", "Afromuelleria baobab", "Afromuelleria limpopo", "Afromuelleria venda", "Kudakrumia rangnekari", "Polemon acanthias", "Styringomyia aterrima", "Styringomyia baroalba", "Styringomyia collessi", "Styringomyia coronata", "Styringomyia danbulla", "Styringomyia edwardsorum", "Styringomyia flagro", "Styringomyia kimberley", "Styringomyia naso", "Styringomyia remex", "Styringomyia rose", "Styringomyia williamsi", "Ozeoura billeang", "Ozeoura bonelya", "Ozeoura lottheggi", "Ozeoura narahdarn", "Ozeoura dingo", "Andronymus magma", "Andronymus fenestra", "Pitcairnia angustifolia", "Dyckia odorata", "Dyckia platyphylla", "Dyckia pseudococcinea", "Dyckia reitzii", "Dyckia remotiflora var. remotiflora", "Dyckia richardii", "Dyckia tobatiensis", "Dyckia trichostachya", "Dyckia tuberosa", "Dyckia velascana", "Encholirium horridum", "Encholirium irwinii", "Encholirium pierre-braunii", "Taikona ikedai", "Encholirium reflexum", "Fosterella albicans", "Fosterella micrantha", "Channa brunnea", "Fosterella petiolata", "Fosterella robertreadii", "Termitodiscus heimi", "Termitogerrus burgeoni", "Fosterella rusbyi", "Fosterella spectabilis", "Fosterella vasquezii", "Fosterella villosula", "Fosterella weberbaueri", "Fosterella weddelliana", "Tenebriochernes concavus", "Tenebriochernes mohani", "Tenebriochernes pilosus", "Pitcairnia arcuata", "Batoctenus kawmontis", "Batoctenus kociani", "Pitcairnia bakeri", "Bhatia longiradiata", "Sarsinella karasikensis", "Megapogon schiaparellii", "Achramorpha ingolfi", "Achramorpha antarctica", "Penia mantillerii", "Penia sucinea", "Coptophysa obesa", "Coptophysella pulposa", "Coptotermocola clavicornis", "Coptoxenus thornileyi", "Japanophilus hojoi", "Polemon gabonensis", "Myriopholis occipitalis", "Sinopoda licenti", "Pitcairnia brachysperma", "Sinopoda minschana", "Pitcairnia breedlovei", "Pitcairnia brittoniana", "Ampedus altiusculus", "Pitcairnia bromeliifolia", "Lacon caeruleus", "Pitcairnia bromeliifolia var. bromeliifolia", "Termitobra perinthoides", "Pitcairnia brongniartiana", "Blapticoxenus brunneus", "Pitcairnia bulbosa", "Pitcairnia calderonii", "Pitcairnia caricifolia", "Pitcairnia caricifolia var. caricifolia", "Pitcairnia carnososepala", "Pitcairnia clarkii", "Centris aenea", "Pitcairnia corallina var. corallina", "Pitcairnia dendroidea", "Pitcairnia devansayana", "Lerista alia", "Lerista parameles", "Pitcairnia echinata", "Pitcairnia elvirae", "Amphisbaena mebengokre", "Pitcairnia ferrell-ingramiae", "Pitcairnia flammea", "Pitcairnia flammea var. flammea", "Pitcairnia grafii", "Pitcairnia guaritermae", "Pitcairnia heydlauffii", "Bachia whitei", "Bachia beebei", "Pitcairnia imbricata", "Cnemaspis agarwali", "Cnemaspis nilgala", "Indotyphlops loveridgei", "Pitcairnia jimenezii", "Pitcairnia ringens", "Pitcairnia rubronigriflora", "Pitcairnia sanguinea", "Pitcairnia sceptrigera", "Centris rupestris", "Populus luziarum", "Grzegorzekia kerri", "Grzegorzekia quercus", "Pitcairnia smithiorum", "Pitcairnia spicata", "Pitcairnia staminea", "Pitcairnia stenophylla", "Pitcairnia sulphurea", "Strophurus congoo", "Pitcairnia trianae", "Pitcairnia lanuginosa", "Pitcairnia lignosa", "Pitcairnia loki-schmidtiae", "Pitcairnia macranthera", "Pitcairnia macrobotrys", "Centris danunciae", "Pitcairnia megasepala", "Termitohospes miricorniger", "Pitcairnia olivaestevae", "Termitohospes guianae", "Termitohospes panamensis", "Centris bitaeniata", "Termitosocius microps", "Termitosodalis barticae", "Centris dorsata", "Pitcairnia paniculata", "Pitcairnia piepenbringii", "Alzada pulcherrima", "Centris machadoi", "Pitcairnia poortmanii", "Pitcairnia prolifera", "Catalina elegans", "Pitcairnia rectiflora", "Eutermitophila fletcheri", "Gralloperinthus sandsi", "Lauella vitiensis", "Macrognathellus crassicornis", "Pitcairnia recurvata", "Paralauella manni", "Pitcairnia reflexiflora", "Grantia hirsuta", "Sycon munitum", "Guzmania lingulata var. lingulata", "Guzmania lingulata var. cardinalis", "Guzmania nicaraguensis", "Guzmania osyana", "Guzmania pennellii", "Cyrtochilum halteratum", "Tillandsia chlorophylla", "Tillandsia circinnatioides", "Tillandsia compacta", "Nannusa longicornis", "Termitocomes wasmanni", "Termitonannus schmalzi", "Termitonilla luteola", "Coatonipulex coatoni", "Coatonipulex angolae", "Pitcairnia yaupi-bajaensis", "Alcantarea brasiliana", "Alcantarea extensa", "Alcantarea geniculata", "Alcantarea heloisae", "Alcantarea imperialis", "Alcantarea nahoumii", "Alcantarea odorata", "Alcantarea regina", "Alcantarea vinicolor", "Catopsis morreniana", "Catopsis sessiliflora", "Achramorpha glacialis", "Achramorpha grandinis", "Achramorpha nivalis", "Megapogon villosus", "Megapogon raripilus", "Megapogon pollicaris", "Megapogon crispatus", "Dermatreton hodgsoni", "Dermatreton scotti", "Breitfussia chartacea", "Leucandra brumalis", "Leucandra frigida", "Leucosolenia discoveryi", "Leucosolenia minchini", "Pitcairnia ulei", "Pitcairnia utcubambensis", "Pitcairnia villetaensis", "Pitcairnia wendlandii", "Oedura bella", "Oedura fimbria", "Persicaria sect.", "Perinthodes africanus", "Perinthus dudleyanus", "Physoperinthus coatoni", "Physoperinthus josensi", "Poduroides bovingi", "Termitocola cylindricornis", "Termitonicus mahout", "Termitopelta fulgens", "Chaetonannus fragilicornis", "Eunannodes reconditi", "Macrotrichurus brasiliensis", "Macrotrichurus notabilis", "Nannellus anoplotermitis", "Phytomyza varronivora", "Tillandsia capillaris", "Tillandsia caput-medusae", "Tillandsia carminea", "Tillandsia caulescens", "Cyrtochilum aureum", "Tillandsia chartacea", "Tillandsia chiapensis", "Cyrtochilum flexuosum", "Diduga flavifinis", "Lemeltonia dodsonii", "Tillandsia duratii var. duratii", "Racinaea dyeriana", "Tillandsia edithae", "Tillandsia eizii", "Tillandsia erici", "Tillandsia excelsa", "Tillandsia extensa", "Guzmania remyi", "Rotundocoris stenonotum", "Guzmania roseiflora", "Rotundocoris obliquonotum", "Guzmania rubrolutea", "Wallisia lindeniana", "Guzmania sanguinea", "Guzmania sanguinea var. sanguinea", "Cyrtochilum revolutum", "Pachyphloea magnoliae", "Guzmania sprucei", "Guzmania squarrosa", "Guzmania gloriosa", "Guzmania graminifolia", "Guzmania jaramilloi", "Populus primaveralepensis", "Oligosoma salmo", "Oligosoma albornense", "Oligosoma auroraensis", "Nemoptera bipennis", "Sycantha longstaffi", "Leucetta gelatinosa", "Jenkina hiberna", "Leucascus leptoraphis", "Sycon australe", "Sycon antarcticum", "Eretmocera letabensis", "Eretmocera lyneborgi", "Racinaea fraseri", "Eretmocera malelanesis", "Racinaea parviflora", "Eretmocera meyi", "Racinaea parviflora var. parviflora", "Eretmocera tiwiensis", "Eretmocera jemenensis", "Eretmocera jemensis", "Racinaea tetrantha", "Racinaea multiflora", "Tillandsia abdita", "Tillandsia acuminata", "Tillandsia albertiana", "Tillandsia albida", "Tillandsia araujei", "Tillandsia arequitae", "Tillandsia argentea", "Tillandsia balbisiana", "Tillandsia bartramii", "Guzmania subcorymbosa", "Guzmania teuscheri", "Guzmania undulatobracteata", "Pepsis grossa", "Guzmania weberbaueri", "Guzmania wittmackii", "Guzmania xanthobractea", "Soleneiscus irregularis", "Sycettusa simplex", "Sycettusa zanzibaris", "Leucandrilla wasinensis", "Valeriana rigida", "Valeriana henrici", "Mustilizans zolotuhini", "Eretmocera yingjiangensis", "Eretmocera octopunctata", "Eretmocera artemisiae", "Eretmocera impactella", "Eretmocera agassizi", "Eretmocera katangensis", "Eretmocera kochi", "Racinaea crispa", "Lutheria splendens", "Megapogon crucifer", "Thaloe maricao", "Thaloe leboulet", "Thaloe ebano", "Thaloe remotus", "Thaloe tricuspis", "Thaloe ennery", "Bromelina oliola", "Bromelina kochalkai", "Bromelina zuniala", "Tillandsia biflora", "Tillandsia brachycaulos", "Glomeropitcairnia erectiflora", "Glomeropitcairnia penduliflora", "Guzmania alliodora", "Guzmania angustifolia", "Hyadina breva", "Guzmania angustifolia var. angustifolia", "Parahyadina angusta", "Parahyadina atra", "Parahyadina bifurcata", "Parahyadina bulla", "Parahyadina debilis", "Parahyadina edmistoni", "Guzmania bismarckii", "Parahyadina hennigi", "Parahyadina irwini", "Guzmania blassii", "Parahyadina latistylis", "Guzmania butcheri", "Guzmania calamifolia", "Guzmania caricifolia", "Guzmania coriostachya", "Guzmania desautelsii", "Guzmania diffusa", "Guzmania dissitiflora", "Guzmania eduardii", "Guzmania farciminiformis", "Guzmania fuerstenbergiana", "Devario coxi", "Bucculatrix yingjingensis", "Bucculatrix liubaensis", "Tillandsia concolor", "Tillandsia copanensis", "Diduga hanoiensis", "Tillandsia cossonii", "Diduga bayartogtokhi", "Diduga quinquicornuta", "Diduga nigridentata", "Tillandsia cryptopoda", "Diduga alternota", "Tillandsia delicata", "Diduga haematomiformis", "Diduga mininota", "Diduga ambigua", "Tillandsia didisticha", "Sericorema sericea", "Pleurota variocolor", "Pleurota azrouensis", "Pleurota ternaria", "Sericocomopsis hildebrandtii", "Glaucomastix itabaianensis", "Sericocomopsis pallida", "Sericocoma avolans", "Ameivula apipensis", "Physomilitaris angolae", "Tillandsia brealitoensis", "Macrotermophila machadoi", "Cornuroncus chavchavadzei", "Macrotoxenus goliath", "Tillandsia brenneri", "Tillandsia brevior", "Neotermitotecna rossii", "Paratermitopulex alzadae", "Paratermitopulex darlingtonae", "Tillandsia bryoides", "Paratermitopulex hightowerae", "Paratermitopulex kenyensis", "Gyronotus dracomontanus", "Tillandsia buchlohii", "Zosterops anderssoni", "Drosera uniflora", "Tillandsia butzii", "Paratermitopulex kymrae", "Paratermitopulex malawiensis", "Gyronotus ovalis", "Gyronotus kearneyorum", "Tillandsia calothyrsus", "Ophiomyia falcifera", "Cnemaspis adangrawi", "Cnemaspis tarutaoensis", "Hydnocarpus annamensis", "Vitacinis luziae", "Hydnocarpus venenatus", "Hydnocarpus macrocarpus", "Hydnocarpus heterophyllus", "Pupalia micrantha", "Sericocoma heterochiton", "Pupalia grandiflora", "Halophila stipulacea", "Lagocephalus sceleratus", "Loripes orbiculatus", "Melinna palmata", "Protermitobia kirbyi", "Guthriea capensis", "Protermitobia comes", "Termitolinus natalensis", "Termitonda liberiae", "Termitonda tachyporoides", "Termitopaedia kohli", "Rawsonia lucida", "Termitopulex grandicornis", "Buchnerodendron speciosum", "Caloncoba glauca", "Carpotroche platyptera", "Kuhlmanniodendron macrocarpum", "Microhyla fanjingshanensis", "Sericocoma capensis", "Lindackeria paludosa", "Mertensia maritima subsp. asiatica", "Chelonocytherois omutai", "Actinopus coboi", "Actinopus fernandezi", "Actinopus simoi", "Actinopus uruguayense", "Trichadenia zeylanica", "Pupalia robecchii", "Xylotheca tettensis", "Nealcidion antonkozlovi", "Onalcidion antonkozlovi", "Psilotrichum amplum", "Leptocometes antonkozlovi", "Psilotrichum aphyllum", "Pseudosparna triangulata", "Tropidozineus martinsi", "Berzelia abrotanoides", "Berzelia squarrosa", "Berzelia albiflora", "Berzelia arachnoidea", "Disa aconitoides subsp. aconitoides", "Disa aconitoides subsp. concinna", "Disa aconitoides subsp. goetzeana", "Termitotropha oneili", "Termitotecna braunsi", "Pseudotermitoecia kakaduensis", "Termitana perrieri", "Disa aurata", "Trematodon suberectus", "Audouinia capitata", "Glenea besucheti", "Disa aconitoides", "Bryum barnesii", "Bryum bicolor", "Bryum atropurpureum", "Bryum pachytheca", "Guasuctenus longipes", "Guasuctenus vittatissimus", "Bryum eatonii", "Bryum gemmiferum", "Bryum gilliesii", "Bryum kerguelense", "Bryum laevigatum", "Disa aemula", "Disa aequiloba", "Berzelia rubra", "Disa albomagentea", "Berzelia dregeana", "Staavia glutinosa", "Staavia radiata", "Anomobryum concinnatum", "Brachymenium exile", "Termitusa sjoestedti", "Thoracotusa alzadae", "Thoracotusa carrissoensis", "Thoracotusa kymrae", "Psilotrichum elliotii", "Homogryllacris gladiata", "Homogryllacris rufovaria", "Homogryllacris obtusitubera", "Bryum clavatum", "Homogryllacris stabilis", "Homogryllacris armigera", "Disa atricapilla", "Disa atrorubens", "Disa alinae", "Disa alticola", "Disa amoena", "Psilotrichum fallax", "Disa andringitrana", "Disa aperta", "Disa arida", "Psilotrichum gloveri", "Homogryllacris anelytra", "Homogryllacris ascenda", "Disa aristata", "Homogryllacris yunnana", "Homogryllacris brevispina", "Microhyla darevskii", "Microhyla arboricola", "Microhyla minuta", "Microhyla pulchella", "Microhyla pineticola", "Paraeurybata taeniata", "Heterocerus fenestratus", "Psilotrichum axilliflorum", "Psilotrichum cyathuloides", "Ateuchus colossus", "Termitoecia fabulosa", "Termitospectrum thoracicum", "Bryum moravicum", "Epipterygium obovatum", "Homogryllacris artinii", "Homogryllacris buyssoniana", "Homogryllacris kurseonga", "Homogryllacris maindroni", "Larnaca eugenii", "Leptostomum macrocarpum", "Oiclus tipunch", "Rhodobryum giganteum", "Tillandsia fasciculata var. fasciculata", "Mielichhoferia elongata", "Plagiobryum zieri", "Congopsenius bouilloni", "Cretotrichopsenius burmiticus", "Ptychostomum pendulum", "Hamitopsenius caudatus", "Mastopsenius australis", "Megaxenistusa rhinotermitis", "Aphelochaeta abyssalis", "Papuapsenius magnus", "Parrhinopsenius kemneri", "Euscorpiops zhangshuyuani", "Megachactops kurripako", "Oiclus ardens", "Oiclus cousteaui", "Tillandsia grao-mogolensis", "Disa baurii", "Disa begleyi", "Tillandsia guatemalensis", "Tillandsia guelzii", "Tillandsia guerreroensis", "Racinaea hamaleana", "Grimmia novae-zeelandiae", "Termitona congoensis", "Termitopsenius limulus", "Capnia bilobata", "Zographetus rienki", "Tillandsia flabellata", "Tillandsia fuchsii", "Disa barbata", "Xenistusa cavernosa", "Zographetus pangi", "Zographetus hainanensis", "Tillandsia andreana", "Schizelythron papuanum", "Schedolimulus elongatus", "Schedolimulus latus", "Tillandsia fusiformis", "Schedolimulus seclusi", "Schedolimulus planus", "Schedolimulus minutus", "Tillandsia heteromorpha", "Tillandsia heterophylla", "Stictotettix cleyerae", "Tillandsia hondurensis", "Nodynus nitidus", "Stictotettix morishimai", "Tillandsia humilis", "Tillandsia imperialis", "Cephennomicrus yunnanicus", "Tillandsia incarnata", "Cephennomicrus andreasi", "Tillandsia intermedia", "Protodasycerus aenigmaticus", "Tillandsia ionantha", "Tillandsia ionantha var. ionantha", "Tillandsia fasciculata var. densispica", "Tillandsia ferreyrae", "Sathytes borneoensis", "Sathytes liuyei", "Sathytes larifuga", "Sathytes shihongliangi", "Tillandsia filifolia", "Paranisopodus antonkozlovi", "Paranisopodus acutus", "Psilotrichum gnaphalobryum", "Tropanisopodus antonkozlovi", "Rhinotermopsenius saltatorius", "Psilotrichum gracilipes", "Psilotrichum lanatum", "Schizelythron javanicum", "Seeversia emersoni", "Seeversia sarawakensis", "Tillandsia rudolfii", "Tillandsia ixioides", "Tillandsia ixioides var. ixioides", "Tillandsia jucunda", "Propejanice lagamarensis", "Tillandsia kalmbacheri", "Tillandsia karwinskyana", "Alzadaesthetus chilensis", "Tillandsia klausii", "Macrophyes pacoti", "Tillandsia kolbii", "Tillandsia krukoffiana", "Tillandsia lajensis", "Tillandsia landbeckii", "Parrhinopsenius brevipilosus", "Parrhinopsenius longipilosus", "Parrhinopsenius hirsutus", "Parrhinopsenius parvus", "Trilobitideus mirabilis", "Tillandsia geminiflora", "Disa basutorum", "Tillandsia glabrior", "Tillandsia globosa var. globosa", "Notomicrus meizon", "Notomicrus teramnus", "Racinaea flexuosa", "Pseudalcantarea grandis", "Nordenskioldia glacialis", "Tillandsia lotteae", "Tillandsia lymanii", "Tillandsia macdougallii", "Tillandsia macrochlamys", "Tillandsia maculata", "Tillandsia magnusiana", "Microhyla gadjahmadai", "Longgenacris maculacarina", "Holothuria surinamensis", "Holothuria imitans", "Tillandsia mallemontii", "Tillandsia matudae", "Racinaea pulchella", "Microhyla kodial", "Holothuria occidentalis", "Nothophryne baylissi", "Nothophryne inagoensis", "Nothophryne ribauensis", "Nothophryne unilurio", "Ceratolepis hamata", "Holothuria insignis", "Tillandsia leucolepis", "Austroesthetus passerculus", "Austroesthetus gippsensis", "Austroesthetus punctatus", "Tillandsia limbata", "Chilioesthetus lorenae", "Chilioesthetus marcelae", "Mesoaesthetus wilsoni", "Nothoesthetus coiffaiti", "Nothoesthetus montanus", "Nothoesthetus obesus", "Nothoesthetus scitulus", "Tasmanosthetus okei", "Macrophyes jundiai", "Macrophyes manati", "Euaesthetotyphlus almajensis", "Macroturellus pulcher", "Holothuria cubana", "Macrophyes silvae", "Macrophyes attenuata", "Macrophyes elongata", "Euthyonidiella occidentalis", "Tillandsia loliacea", "Holothuria notabilis", "Fruhstorferiola tonkinensis", "Tillandsia novakii", "Tillandsia oaxacana", "Cerconychia brunnea", "Cerconychia livida", "Cerconychia sinensis", "Tillandsia oblivata", "Tillandsia oerstediana", "Tillandsia paleacea", "Tillandsia paraensis", "Cerconychia trilobata", "Tillandsia pastensis", "Drapetis abrollensis", "Tillandsia recurvifolia", "Tillandsia reichenbachii", "Tillandsia remota", "Tillandsia reuteri", "Racinaea riocreuxii", "Tillandsia rodrigueziana", "Tillandsia roland-gosselinii", "Tillandsia rothii", "Vanda tricolor", "Vanda tricolor var. tricolor", "Vanda tricolor var. suavis", "Tillandsia utriculata subsp. utriculata", "Tillandsia verapazana", "Tillandsia vicentina", "Tillandsia virescens", "Pseudalcantarea viridiflora", "Scybalocanthon arnaudi", "Scybalocanthon batesi", "Scybalocanthon chamorroi", "Racinaea tenuispica", "Tillandsia teres", "Tillandsia tovarensis", "Tillandsia tricolor", "Scybalocanthon federicoescobari", "Scybalocanthon haroldi", "Tillandsia trigalensis", "Tillandsia turneri", "Tillandsia turneri var. turneri", "Tillandsia ultima", "Tillandsia circinnata", "Tillandsia peiranoi", "Tillandsia plagiotropica", "Tillandsia plumosa", "Tillandsia pohliana", "Tillandsia pomacochae", "Caecidotea camaxtli", "Tillandsia prodigiosa", "Tillandsia propagulifera", "Cyrtodactylus pinlaungensis", "Tillandsia pseudomicans", "Tillandsia punctulata", "Tillandsia racinae", "Tillandsia rauhii", "Tillandsia rauschii", "Colomastix marielle", "Colomastix tubulosa", "Vriesea bituminosa", "Vriesea bleheri", "Criotettix longispinus", "Criotettix undatifemurus", "Vriesea corcovadensis", "Vriesea elata", "Vriesea erythrodactylon", "Vriesea fosteriana", "Xalpirta peckorum", "Xalpirta stellaris", "Vriesea arpocalyx", "Vriesea atra", "Tillandsia barclayana", "Blastodesmia nitida", "Colomastix iemanja", "Halocosa cereipes", "Lutheria glutinosa", "Vriesea guttata", "Halocosa hatanensis", "Halocosa jartica", "Barypalpus shibatai", "Barypalpus holzschuhi", "Barypalpus chinensis", "Mytilaster lineatus", "Tillandsia seleriana", "Tillandsia setacea", "Ophidiaster ophidianus", "Palinurus elephas", "Tillandsia sigmoidea", "Tillandsia somnians", "Tillandsia sphaerocephala", "Pinna nobilis", "Tillandsia straminea", "Scybalocanthon acrianus", "Scybalocanthon adisi", "Tillandsia streptophylla", "Tillandsia sueae", "Tillandsia suescana", "Tillandsia tectorum", "Tillandsia tenuifolia var. tenuifolia", "Tillandsia werdermannii", "Grandiphyllum auricula", "Tillandsia xiphioides", "Cipuropsis capituligera", "Vriesea altodaserrae", "Xalpirta arnetti", "Werauhia gigantea", "Xalpirta elsa", "Xalpirta guerini", "Vriesea amethystina", "Pristimantis andinogigas", "Platypelis ando", "Anodonthyla eximia", "Rhombophryne proportionalis", "Mini ature", "Mini scule", "Mini mum", "Tyrannomastax hova", "Tyrannomastax excelsus", "Fenderia capizzii", "Stictocranius puncticeps", "Vriesea malzinei", "Grandiphyllum ilhagrandense", "Psilotrichum schimperi", "Grandiphyllum micranthum", "Grandiphyllum pohlianum", "Grandiphyllum schunkeanum", "Barypalpus ruficornis", "Malthodes gedanicus", "Psilotrichum laxiflorum", "Psilotrichum leptostachys", "Psilotrichum madagascariense", "Psilotrichum majus", "Sphaerechinus granularis", "Psilotrichum malaccense", "Vriesea heliconioides", "Grandiphyllum edwallii", "Torquigener flavimaculosus", "Grandiphyllum hians", "Branchinecta brushi", "Vietnamocasia dauae", "Vriesea maxoniana", "Vriesea nanuzae", "Goudaea ospinae", "Vriesea oxapampae", "Vriesea pabstii", "Vriesea philippocoburgi", "Ulva rigida", "Upogebia pusilla", "Cionus alauda", "Vriesea platynema var. platynema", "Vriesea procera", "Vriesea procera var. procera", "Vriesea pseudoligantha", "Vriesea racinae", "Vriesea roethii", "Vriesea rubra", "Pseudacteon trapeziformis", "Vriesea scalaris", "Vriesea schwackeana", "Psilotrichum scleranthum", "Phyllotrella hainanensis", "Phyllotrella transversa", "Phyllotrella fumingi", "Phyllotrella planidorsalis", "Pandiaka angustifolia", "Rhynchostegiella teneriffae", "Cosmophasis trobriand", "Orthostigma enduwaense", "Pandiaka confusa", "Burmannia biflora", "Pandiaka elegantissima", "Burmannia capitata", "Lysimachia maritima var. obtusifolia", "Burmannia championii", "Burmannia coelestis", "Orthostigma glabrifaciale", "Clematis acerifolia", "Xalpirta mauryi", "Ololaelaps tasmanicus", "Ololaelaps obovata", "Ololaelaps elongatus", "Pandiaka carsonii", "Tiputinia foetida", "Beiselia mexicana", "Boswellia dalzielii", "Lecanorchis javanica", "Leochilus oncidioides", "Zvenella aequalis", "Zvenella scalpratus", "Zvenella decussatus", "Zvenella yunnana", "Zvenella modesta", "Oxyrrhynchium schleicheri", "Eurhynchium striatulum", "Vriesea sucrei", "Vriesea tequendamae", "Vriesea triangularis", "Zizkaea tuerckheimii", "Vriesea vagans", "Vriesea wawrana", "Xuanwua motuoensis", "Psilotrichum sericeum", "Psilotrichum stenanthum", "Psilotrichum suffruticosum", "Psilotrichum virgatum", "Psilotrichum vollesenii", "Psilotrichum tomentosum", "Psilotrichum yunnanense", "Pleuropterantha thulinii", "Pleuropterantha undulatifolia", "Homalothecium philippeanum", "Neottia furusei", "Zvenella chopardi", "Zvenella malayana", "Pleuropetalum pleiogynum", "Zvenella taynguyena", "Pleuropetalum sprucei", "Juroglypholoma talbragarense", "Gymnosiphon longistylus", "Afrothismia pachyantha", "Pandiaka porphyrargyrea", "Oxygyne triandra", "Pandiaka richardsiae", "Pandiaka trichinioides", "Thismia rodwayi", "Thismia neptunis", "Thismia ophiuris", "Pandiaka ramulosa", "Thismia americana", "Thismia kobensis", "Orthostigma ketambeense", "Burmannia dasyantha", "Orthostigma multicarinatum", "Burmannia flava", "Burmannia hexaptera", "Burmannia itoana", "Burmannia longifolia", "Burmannia wallichii", "Campylosiphon purpurascens", "Campylosiphon congestus", "Amazophrynella bilinguis", "Dictyostega orobanchoides", "Brachygaster gussakovskiji", "Bursera graveolens subsp. graveolens", "Bursera tomentosa", "Mesothymbris perkinsi", "Oreophryne nicolasi", "Cophixalus hannahae", "Cophixalus cateae", "Pandiaka involucrata", "Sichuanortia zhouchaoi", "Holothuria kubaryi", "Holothuria samoana", "Holothuria excellens", "Holothuria modesta", "Holothuria mexicana", "Holothuria signata", "Pandiaka lanuginosa", "Gymnosiphon bekensis", "Juroglypholoma antiquum", "Pandiaka metallorum", "Gymnosiphon divaricatus", "Mesotyphlus rivularis", "Canarium asperum subsp. asperum", "Commiphora glaucescens", "Commiphora harveyi", "Commiphora kua", "Nemopterella africana", "Boswellia elongata", "Sciuro-hypnum flotowianum", "Sciuro-hypnum glaciale", "Sciuro-hypnum plumosum", "Sciuro-hypnum reflexum", "Sciuro-hypnum starkei", "Pandiaka welwitschii", "Canarium australasicum", "Plethodon pauleyi", "Nyssanthes diffusa", "Cladolabes schmeltzii", "Nyssanthes erecta", "Canarium hirsutum subsp. hirsutum", "Commiphora grandifolia", "Labidodemas pertinax", "Labidodemas rugosum", "Labidodemas maccullochi", "Cladolabes limaconotus", "Commiphora berryi", "Lockhartia imbricata", "Agaue longiseta", "Halacarellus agauiformis", "Halacarellus aleuticus", "Halacarellus schefferi", "Halacarellus balticus", "Halacarellus subterraneus", "Garuga floribunda", "Pachylobus edulis", "Protium heptaphyllum subsp. heptaphyllum", "Protium obtusifolium", "Protium ovatum", "Protium copal", "Copidognathus ushakovi", "Commiphora simplicifolia", "Commiphora virgata", "Halacarus mollis", "Parasoldanellonyx baicalensis", "Commiphora wildii", "Commiphora zanzibarica", "Rhombognathides spinipes", "Rhombognathus terminalis", "Dacryodes rostrata", "Nemopterella cedrus", "Bursera epinnata", "Nemopterella kabas", "Bursera hindsiana", "Siccanda arenaria", "Lynchius megacephalus", "Lynchius oblitus", "Lynchius tabaconas", "Actinocucumis typica", "Pandiaka rubrolutea", "Silene arsuzensis", "Barilochia brunneovirens", "Barilochia longivalvula", "Buxus megistophylla", "Onopordum nezaketianum", "Spes schinella", "Phyrella tenera", "Promalactis apicidigitata", "Leptosynapta albicans", "Afrocucumis ovulum", "Neothyone gibber", "Holothuria fuscocinerea", "Labidodemas pseudosemperianum", "Labidodemas quadripartitum", "Labidodemas spineum", "Bradyagaue caraensis", "Bradyagaue orientalis", "Agauopsis robusta", "Commiphora namaensis", "Commiphora oblanceolata", "Copidognathus derjugini", "Copidognathus elongatus", "Copidognathus gracilipalpis", "Copidognathus gurjanovae", "Commiphora saxicola", "Copidognathus lamelliger", "Copidognathus pulchellus", "Cafrotyphlus leleupi", "Cainotyphlus pacificum", "Cainotyphlus walkeri", "Chiliotyphlus aculeensis", "Chiliotyphlus pacificum", "Marcelliopsis welwitschii", "Acharagma roseanum subsp. galeanense", "Rhodacarus inexpectatus", "Metarhombognathus armatus", "Metarhombognathus mollis", "Metarhombognathus nudus", "Hondaella brachytheciella", "Holothuria pyxis", "Holothuria languens", "Holothuria strigosa", "Holothuria inhabilis", "Holothuria princeps", "Holothuria lubrica", "Holothuria glaberrima", "Holothuria grisea", "Holothuria pulla", "Holothuria rigida", "Holothuria kefersteinii", "Actinopyga obesa", "Actinopyga varians", "Apostichopus japonicus", "Actinopyga agassizii", "Ariocarpus furfuraceus", "Polyplectana kefersteinii", "Apionichthys rosai", "Marcelliopsis denudata", "Marcelliopsis splendens", "Eupentacta quinquesemita", "Egeotyphlus thracicus", "Holothuria pardalis", "Holothuria pervicax", "Holothuria verrucosa", "Holothuria parvula", "Venezillotyphlus pecki", "Byblis lamellata", "Rhombognathides seahami", "Isostichopus fuscus", "Parathyone suspecta", "Oestergrenia incerta", "Protankyra bankensis", "Protankyra assymmetrica", "Sigmodota contorta", "Rhombognathides pascens", "Plesiocolochirus ignavus", "Trachythyone parva", "Rhombognathides mucronatus", "Eupentacta exigua", "Trachythyone improvisa", "Plesiocolochirus australis", "Cucumaria fallax", "Cucumaria tenuis", "Rhombognathides trionyx", "Labidodemas semperianum", "Drosophila karakasa", "Cercodemas anceps", "Cladolabes perspicillum", "Piptochaetium fuscum", "Promalactis campanulata", "Promalactis tibetica", "Promalactis subquadrata", "Promalactis auremacularis", "Promalactis biprocessa", "Promalactis curvitaeniata", "Promalactis lvovskyi", "Rhombognathides brevipes", "Promalactis bicornea", "Promalactis spiniflagellata", "Rhombognathides merrimani", "Rhombognathides trionyx merrimani", "Rhombognathides trionyx trionyx", "Haptanthus hazlettii", "Sitotrogoides acanthopis", "Thraulus thiagarajani", "Thraulus femoratus", "Calceolaria angustiflora", "Calceolaria arachnoidea", "Calceolaria arachnoidea subsp. arachnoidea", "Portotyphlus ramiroi", "Sekotyphlus alberti", "Copidognathus acutus", "Copidognathus bairdi", "Apotyphlus relictus", "Banatotyphlus racovitzai", "Lockhartia acuta", "Caribaeohypnum polypterum", "Lockhartia amoena", "Copidognathus tectiporus", "Lockhartia bennettii", "Arhodeoporus arenarius", "Buxus bodinieri", "Buxus henryi", "Ancyloneura annulicornis", "Ancyloneura brevisetosa", "Ancyloneura frontalis", "Ancyloneura fuscipennis", "Buxus macowanii", "Ancyloneura nigripes", "Ancyloneura varipes", "Sarcococca orientalis", "Promalactis grandilobata", "Promalactis arciformis", "Promalactis cribrata", "Promalactis bornensis", "Promalactis oliviformis", "Promalactis faithyella", "Promalactis ungula", "Promalactis dispar", "Promalactis duocaulis", "Promalactis ceratiscus", "Promalactis flavidius", "Promalactis latifasciata", "Promalactis mecodigita", "Promalactis petasumella", "Diphyscium fulvifolium", "Diphyscium longifolium", "Protium spruceanum", "Tetragastris balsamifera", "Phyllophorus holothurioides", "Nelsia angolensis", "Nelsia tropidogyna", "Nelsia quadrangula", "Psammonsella nobskae", "Newtonius placidus", "Dendrobium purpureum subsp. purpureum", "Calceolaria georgiana", "Dendrobium purpureum subsp. candidulum", "Calceolaria glandulosa", "Calceolaria glandulosa subsp. glandulosa", "Calceolaria dichotoma", "Calceolaria dichotoma subsp. dichotoma", "Calceolaria hypericina", "Eostichopus arnesoni", "Lagrezia humbertii", "Lagrezia linearifolia", "Lagrezia paniculata", "Lagrezia perrieri", "Lagrezia suessenguthii", "Lagrezia boivinii", "Lagrezia micrantha", "Lagrezia minutiflora", "Lagrezia oligomeroides", "Calceolaria brunellifolia", "Lecosia oppositifolia", "Lecosia formicarum", "Lagrezia madagascariensis", "Heliothrips longisensibilis", "Sinopoda hamata", "Sinopoda wangi", "Lagrezia ambrensis", "Thelenota ananas", "Holothuria fuscopunctata", "Actinopyga lecanora", "Langona bethae", "Langelurillus minutus", "Langona zimbabwensis", "Calceolaria purpurea", "Calceolaria rubiginosa", "Calceolaria salicifolia subsp. salicifolia", "Calceolaria tenella", "Calceolaria teucrioides", "Calceolaria thyrsiflora", "Calceolaria tomentosa", "Calceolaria irazuensis", "Cenopis unicolorana", "Calceolaria lamiifolia", "Calceolaria lanigera", "Calceolaria mexicana subsp. mexicana", "Calceolaria morisii", "Calceolaria myriophylla", "Calceolaria pinnata", "Calceolaria pinnata subsp. pinnata", "Calceolaria pinifolia", "Pentamera paraibanensis", "Nidirana yaoica", "Pinus luzmariae", "Pseudicius sengwaensis", "Stenaelurillus ignobilis", "Lobesia arzilae", "Willibaldiana culatrae", "Lagrezia comorensis", "Gehyra paranana", "Gehyra pseudopunctata", "Gehyra granulum", "Calceolaria buchtieniana", "Gehyra pluraporosa", "Calceolaria cana", "Lagrezia decaryana", "Calceolaria corymbosa subsp. corymbosa", "Calceolaria dentata", "Gehyra nana", "Calceolaria dentata subsp. dentata", "Calceolaria filicaulis", "Calceolaria filicaulis subsp. filicaulis", "Dendrobium purpureum", "Calceolaria fothergillii", "Calceolaria virgata", "Jovellana punctata", "Ptychozoon tokehos", "Ptychozoon kabkaebin", "Ptychozoon cicakterbang", "Mammea siamensis", "Chiridota laevis", "Callicore cyclops", "Panorpodes fasciata", "Panorpodes gilva", "Panorpodes dimorpha", "Panorpodes kosatsugoensis", "Panorpodes miyamotoi", "Panorpodes pulchra", "Panorpodes pennyi", "Panorpodes brevicaudata", "Panorpodes brachypoda", "Panorpodes paradoxa", "Cyrtodactylus ywanganensis", "Cyrtodactylus meersi", "Hemiphyllodactylus uga", "Hemiphyllodactylus ywanganensis", "Tylototriton ngarsuensis", "Ptychozoon popaense", "Calophyllum caledonicum", "Hermbstaedtia exellii", "Hermbstaedtia rogersii", "Hermbstaedtia fleckii", "Pelochrista opleri", "Pelochrista polingana", "Pelochrista rufula", "Pelochrista wagneri", "Halacarus frontiporus", "Cirrhilabrus wakanda", "Pinus jaliscana", "Pinus pringlei", "Cymus africanus", "Cymus angustatus", "Cymus aurescens", "Cymus claviculus", "Cymus melanocephalus", "Cymus glandicolor", "Peltula brasiliensis", "Tytthoscincus keciktuek", "Tytthoscincus monticolus", "Lygosoma kinabatanganensis", "Lygosoma peninsulare", "Panorpodes subtropica", "Ophthalmognathus tenorioae", "Mesua stylosa", "Speleognathopsis galli", "Poeciloneuron indicum", "Astrotischeria colombiana", "Astrotischeria ochrimaculosa", "Calophyllum tacamahaca", "Calophyllum mooni", "Hermbstaedtia glauca", "Hermbstaedtia gregoryi", "Caraipa costata", "Caraipa densifolia", "Hermbstaedtia nigrescens", "Caraipa densifolia subsp. densifolia", "Caraipa grandifolia", "Caraipa grandifolia subsp. grandifolia", "Hermbstaedtia schaeferi", "Haploclathra paniculata", "Hermbstaedtia spathulifolia", "Kielmeyera coriacea", "Kielmeyera corymbosa", "Deeringia arborescens", "Deeringia densiflora", "Astrotischeria trilobata", "Deeringia humbertiana", "Astrotischeria amazonica", "Astrotischeria maya", "Deeringia madagascariensis", "Astrotischeria selvica", "Deeringia perrieriana", "Astrotischeria casila", "Astrotischeria onae", "Astrotischeria furcata", "Raphanus sativus", "Deeringia mirabilis", "Kielmeyera speciosa", "Oreinotyphlus castrii", "Oreinotyphlus minutus", "Paramacrotyphlus valdiviensis", "Paramacrotyphlus septentrionalis", "Prototyphlus gigas", "Kielmeyera variabilis", "Telotyphlus tuolumnensis", "Telotyphlus sonomensis", "Xenotyphlus taylorensis", "Kielmeyera variabilis subsp. variabilis", "Chionotyphlus alaskensis", "Opheodesoma serpentina", "Adenophora pereskiifolia", "Adenophora stricta subsp. stricta", "Adenophora takedae", "Kielmeyera elata", "Kielmeyera lathrophyton", "Ophthalmognathus dogieli", "Heliconius sapho chocoensis", "Heliconius hecalesia longarena", "Tytthoscincus martae", "Kielmeyera neglecta", "Tytthoscincus kakikecil", "Tytthoscincus jaripendek", "Kielmeyera neriifolia", "Tytthoscincus textus", "Peltula cataractae", "Digera muricata subsp. trinervis", "Digera muricata var. macroptera", "Digera muricata var. patentipilosa", "Euapta lappa", "Kielmeyera petiolaris", "Kielmeyera pumila", "Kielmeyera rosea", "Kielmeyera rubriflora", "Ptychozoon horsfieldii", "Neopanorpa arcuata", "Neopanorpa normpennyi", "Panorpa auripennis", "Panorpa rosemaria", "Cyrtodactylus sadanensis", "Cyrtodactylus linnoensis", "Cyrtodactylus yathepyanensis", "Cyrtodactylus welpyanensis", "Deeringia tetragyna", "Dasysphaera alternifolia", "Astrotischeria plagifera", "Astrotischeria ambrosiaeella", "Astrotischeria occidentalis", "Astrotischeria astericola", "Pinus herrerae", "Pinus vallartensis", "Cyathula biflora", "Cyathula braunii", "Pinus praetermissa", "Pyrisitia venusta", "Boydaia quiscali", "Pinus ravii", "Pinus lawsonii", "Dasysphaera hyposericea", "Ralliboydaia porphyriollis", "Dasysphaera robecchii", "Astrotischeria gregaria", "Astrotischeria marginata", "Astrotischeria pallidipennella", "Dasysphaera tomentosa", "Amata sperbius", "Amata leopoldi", "Amata tamsi", "Raphanus sativus var. caudatus", "Kozloviella viazmenskyi", "Hermbstaedtia argenteiformis", "Cyrtodactylus sinyineensis", "Cyrtodactylus dammathetensis", "Cyrtodactylus sanpelensis", "Cyrtodactylus pharbaungensis", "Cyrtodactylus sadansinensis", "Cyrtodactylus shwetaungorum", "Cyrtodactylus linnwayensis", "Cyrtodactylus pyinyaungensis", "Heterotyphlus helferi", "Heterotyphlus vicinus", "Hermbstaedtia angolensis", "Homeotyphlus maritimus", "Macrotyphlus sexualis", "Macrotyphlus decorus", "Mayatyphlus carltoni", "Hermbstaedtia capitata", "Cyrtodactylus bayinnyiensis", "Cyrtodactylus chaunghanakwaensis", "Cyrtodactylus naungkayaingensis", "Neotyphlus californicus", "Hermbstaedtia scabra", "Cenopis vabroui", "Hermbstaedtia caffra", "Pelochrista arizonae", "Calophyllum bracteatum", "Pelochrista artesiana", "Pelochrista aurantiaca", "Pelochrista chiricahuae", "Pelochrista comancheana", "Pelochrista erema", "Pelochrista flava", "Pelochrista fremonti", "Pelochrista kimballi", "Pelochrista murina", "Pelochrista olivacea", "Cyana quadripartia quadripartia", "Cyana quadripartia vieta", "Nastanthus agglomeratus", "Calotes zolaiking", "Adenophora stricta subsp. aurita", "Adenophora morrisonensis", "Adenophora morrisonensis subsp. morrisonensis", "Adenophora morrisonensis subsp. uehatae", "Cinetomorpha simplex", "Asyneuma virgatum subsp. amplexicaule", "Lobelia winifrediae", "Muscicapa tyrrhenica", "Tropicagama temporalis", "Lophognathus gilberti", "Gowidon longirostris", "Cyrtodactylus myaleiktaung", "Cyrtodactylus aunglini", "Pfitzneriella antonkozlovi", "Pfitzneriella olafi", "Pfitzneriella rawlinsi", "Pfitzneriella titarenkoi", "Pfitzneriella yuliyakovalevae", "Cyrtodactylus sangi", "Dugdaleiella monticola", "Opisthotropis voquyi", "Cyana bianca", "Cyana indosinica", "Cyana malayana", "Boopis anthemoides", "Arrhenopeplus quatordecimcarinatus", "Gerrhonotus mccoyi", "Cyana quadripartia", "Calycera crassifolia", "Cyathula cylindrica", "Emodensia nigra", "Campanula bellidifolia subsp. bellidifolia", "Copidognathus loricatus", "Campanula bohemica", "Campanula bohemica subsp. bohemica", "Encephalus angusticollis", "Artochia productifrons", "Cyathula ceylanica", "Camioleum loripes", "Cyathula coriacea", "Campanula arvatica subsp. arvatica", "Altaiodromicus schilenkovi", "Anthobioides pubescens", "Agelosus auricomus", "Apecholinus imitator", "Apecholinus canifer", "Micromitrium vazhanicum", "Platambus binliui", "Isobactrus setosus", "Lophognathus horneri", "Gamocarpha ventosa", "Pinus veitchii", "Carlia crypta", "Lampropholis elliotensis", "Lampropholis bellendenkerensis", "Lampropholis similis", "Lepidophyma inagoi", "Lepidophyma chicoasensis", "Lepidophyma tarascae", "Calotes paulus", "Calotes minor", "Cinetomorpha punctata", "Cinetomorpha rinconada", "Cinetomorpha santamaria", "Cinetomorpha similis", "Cinetomorpha itabaiana", "Cinetomorpha orellana", "Cinetomorpha pocona", "Cinetomorpha quillota", "Cinetomorpha waorani", "Campanula andrewsii subsp. andrewsii", "Cinetomorpha angela", "Cinetomorpha nesophila", "Cinetomorpha patquiana", "Cinetomorpha platensis", "Cinetomorpha floridana", "Cinetomorpha puberula", "Anicius dolius", "Anicius chiapanecus", "Salix lasiandra", "Hygrodromicus obesus", "Pinus dalatensis var. anemophila", "Pinus dalatensis var. bidoupensis", "Campanula glomerata subsp. glomerata", "Nyssanthes impervia", "Nyssanthes longistyla", "Afrotyphlus leleupi", "Eotyphlus olivieri", "Eotyphlus renouardi", "Canarium madagascariense", "Neocentema alternifolia", "Cladolabes kirara", "Pinus \u00d7 rhaetica", "Pinus \u00d7 cerambycifera", "Pinus \u00d7 densithunbergii", "Pinus \u00d7 hakkodensis", "Ophiomorus kardesi", "Ophiomorus punctatissimus", "Thyonidium drummondii", "Pinus parviflora var. pentaphylla", "Phlomis lanata", "Campanula hofmannii", "Phyllodactylus kropotkini", "Phyllodactylus benedettii", "Halacarellus floridearum", "Tarrocanus capra", "Tarrocanus jaffnaensis", "Acrotmarus gummosus", "Campanula fenestrellata subsp. fenestrellata", "Campanula fenestrellata subsp. istriaca", "Amyciaea albomaculata", "Amyciaea forticeps", "Amyciaea hesperia", "Amyciaea orientalis", "Campanula fragilis subsp. fragilis", "Campanula garganica subsp. garganica", "Nidirana leishanensis", "Campanula dasyantha subsp. dasyantha", "Campanula dasyantha subsp. chamissonis", "Philhydrodema longelytratum", "Phlaeopterus fusconiger", "Phyllodrepoidea crenata", "Cyathula divulsa", "Copidognathus oculatus", "Salix lasiandra var. lasiandra", "Oedura argentea", "Pinus \u00d7 attenuradiata", "Microedus austinianus", "Omalorphanus aenigma", "Orobanus simulator", "Tachinus janetschekianus", "Biswamoyopterus gaoligongensis", "Paratrichodromeus sukranensis", "Scopula ascensionis", "Campanula collina subsp. collina", "Parastasia qiului", "Otacilia acerosa", "Otacilia lata", "Otacilia palmata", "Otacilia rulinensis", "Otacilia xingdoushanensis", "Copidognathus fabricii", "Atheta vegrandis", "Campanula baumgartenii subsp. baumgartenii", "Atheta prolixa", "Campanula bellidifolia subsp. besenginica", "Pinus parviflora var. parviflora", "Campanula bohemica subsp. gelida", "Cyathula erinacea", "Cyathula fernando-poensis", "Cyathula humbertiana", "Cyathula madagascariensis", "Cyathula natalensis", "Cyathula obtusifolia", "Cyathula orthacantha", "Liphanthus barbatus", "Liphanthus brevicornis", "Liphanthus chillanensis", "Liphanthus nigriceps", "Cinetomorpha sedata", "Cinetomorpha silvestris", "Cinetomorpha vianai", "Berenice arguta", "Cinetomorpha central", "Cinetomorpha chicote", "Cinetomorpha lavras", "Cinetomorpha lorenzo", "Cinetomorpha sternalis", "Kalissus nitidus", "Cinetomorpha baja", "Cinetomorpha bandolera", "Cinetomorpha laguna", "Cinetomorpha longisetosa", "Cinetomorpha loreto", "Cinetomorpha nayarit", "Protopeplus cretaceus", "Cinetomorpha sur", "Cinetomorpha zero", "Cinetomorpha adaga", "Cinetomorpha atlantica", "Cinetomorpha boraceia", "Cinetomorpha campana", "Cinetomorpha concepcion", "Cinetomorpha iguazu", "Cinetomorpha pauferro", "Cinetomorpha peluda", "Cinetomorpha pinheiral", "Campanula alliariifolia subsp. alliariifolia", "Giulianium campbelli", "Campanula mollis subsp. mollis", "Campanula moravica subsp. moravica", "Pinus dalatensis var. procera", "Sinanthobium daohugouense", "Geodia areolata", "Tanyrhinus singularis", "Trigonodemus striatus", "Cyathula mollis", "Centaurea triumfettii subsp. lugdunensis", "Cyathula lanceolata", "Pseudalsophis thomasi", "Pseudalsophis hephaestus", "Pseudalsophis darwini", "Dendrobium cuspidatum", "Centaurea zaferii", "Campanula patula subsp. patula", "Sabulopteryx botanica", "Chamissoa acuminata", "Chamissoa maximiliani", "Holothuria martensii", "Pseudocnus dubiosus", "Parathyone surinamensis", "Protankyra pseudodigitata", "Havelockia versicolor", "Chilicola araucana", "Chilicola aenigma", "Campanula persicifolia subsp. persicifolia", "Chilicola catamarcense", "Chilicola aisenensis", "Uenohadesina styx", "Chilicola colliguay", "Chilicola pangue", "Phlaeopterus longipennis", "Chilicola venticola", "Campanula matritensis", "Xenicopoda helenae", "Prosthechea boothiana", "Centemopsis conferta", "Sabulopteryx inquinata", "Neusticurus surinamensis", "Campanula punctata subsp. punctata", "Centemopsis fastigiata", "Sabulopteryx limosella", "Bohadschia vitiensis", "Thyone papuensis", "Ohshimella ehrenbergii", "Chilicola andina", "Chilicola patagonica", "Centemopsis longipedunculata", "Centemopsis sordida", "Centemopsis polygonoides", "Campanula sarmatica subsp. sarmatica", "Anapta gracilis", "Opheodesoma glabra", "Opheodesoma grisea", "Campanula rapunculus subsp. rapunculus", "Protankyra similis", "Oestergrenia dubia", "Herpetogramma dilatatipes", "Aphis aurantii", "Aphis citricidus", "Aphis minutissima", "Centema subfusca", "Brachyunguis cinanchiacuti", "Chilicola cooperi", "Chilicola mistica", "Centaurea sakariyaensis", "Chilicola pedunculata", "Chilicola venezuelana", "Chilicola wygodzinskyi", "Chilicola xanthognatha", "Chilicola xanthostoma", "Centemopsis biflora", "Chilicola yali", "Chilicola paramo", "Centemopsis gracilenta", "Macrovipera schweizeri", "Centemopsis kirkii", "Anicius cielito", "Anicius faunus", "Anicius grisae", "Anicius maddisoni", "Hemiphyllodactylus flaviventris", "Hemiphyllodactylus khlonglanensis", "Neophonus bruchi", "Herbiphantes acutalis", "Labullinyphia furcata", "Gehyra unguiculata", "Gehyra incognita", "Gehyra ocellata", "Gehyra crypta", "Gehyra capensis", "Labullinyphia tersa", "Protolisthaerus jurassicus", "Agamura kermanensis", "Malenchus gilanensis", "Alopoglossus meloi", "Campanula armena", "Centemopsis micrantha", "Campanula saxatilis subsp. saxatilis", "Herpetogramma biconvexa", "Herpetogramma longispina", "Herpetogramma brachyacantha", "Campanula saxifraga subsp. saxifraga", "Centemopsis trinervis", "Aphis oenotherae", "Herpetogramma bipunctalis", "Herpetogramma cynaralis", "Centema angolensis", "Liphanthus inornatus", "Cyathula perrieriana", "Cyathula pobeguinii", "Liphanthus atratus", "Liphanthus penai", "Liphanthus bicellularis", "Liphanthus andinus", "Liphanthus rozeni", "Liphanthus spiniventris", "Liphanthus unifasciatus", "Liphanthus leucostomus", "Liphanthus pilifrons", "Liphanthus tarsalis", "Liphanthus micheneri", "Liphanthus moldenkei", "Liphanthus tofensis", "Liphanthus alicahue", "Liphanthus anacanthus", "Liphanthus australis", "Liphanthus cerdai", "Campanula latifolia subsp. latifolia", "Liphanthus coquimbensis", "Cyathula polycephala", "Liphanthus nitidus", "Liphanthus incasicus", "Liphanthus friesellus", "Cryptachaea pilar", "Melanelixia ahtii", "Phlogophora butvili", "Campanula sibirica subsp. sibirica", "Epitomapta simentalae", "Epiceraticelus fluvialis", "Campanula spatulata subsp. spatulata", "Brachyunguis harmalae", "Brachyunguis tamaricis", "Brachyunguis tetrapteralis", "Braggia deserticola", "Braggia eriogoni", "Braggia urovaneta", "Hemidactylus varadgirii", "Ephedraphis ephedrae", "Hemidactylus vijayraghavani", "Hemidactylus whitakeri", "Hemidactylus sahgali", "Campanula speciosa subsp. speciosa", "Epiceraticelus mandyae", "Phidippus octopunctatus", "Salix lasiandra var. caudata", "Chilicola obesifrons", "Chilicola unicarinata", "Chilicola chubutense", "Chilicola nanula", "Sinopyrophorus schimmeli", "Chilicola granulosa", "Chilicola biguttata", "Chilicola tricarinata", "Chilicola tricarinatoides", "Chilicola clavillo", "Chilicola denisii", "Chilicola liliana", "Chilicola tregualemu", "Chilicola setosicornis", "Centaurea isaurica", "Chilicola colombiana", "Centemopsis glomerata", "Macrovipera razii", "Centemopsis filiformis", "Centemopsis graminea", "Synaptula recta", "Synaptula reticulata", "Synaptula indivisa", "Polyplectana nigra", "Aphis asclepiadis", "Aphis clerodendri", "Aphis coronillae", "Aphis cytisorum", "Aphis farinosa", "Aphis frangulae", "Aphis lantanae", "Aphis nasturtii", "Montanelia occultipanniformis", "Montanelia saximontana", "Montanelia secwepemc", "Asthenodipsas tropidonotus", "Melanohalea clairi", "Boreaphilus henningianus", "Caloboreaphilus hammondi", "Gnathoryphium mandibulare", "Campanula tridentata subsp. tridentata", "Echemus kaltsasi", "Leptopilos memorialis", "Minosiella apolakia", "Campanula thyrsoides subsp. thyrsoides", "Melanohalea austroamericana", "Melanohalea beringiana", "Asthenodipsas laevis", "Asthenodipsas malaccanus", "Asthenodipsas stuebingi", "Asthenodipsas jamilinaisi", "Phaeocedus vankeeri", "Turkozelotes attavirus", "Polystachya maculata", "Phyllophorus cebuensis", "Phaeocedus hebraeus", "Thyone villosa", "Thyone pedata", "Chamaecyparis obtusa var. formosana", "Centaurea mersinensis", "Chiridota rigida", "Celosia anthelminthica", "Phidippus georgii", "Triaenodes simoni", "Platylepas mediterranea", "Lissothuria imbricata", "Melanelixia epilosa", "Verrucaria juglandis", "Melanelixia hawksworthii", "Melanelixia robertsoniorum", "Campanula stevenii subsp. stevenii", "Campanula stevenii subsp. altaica", "Campanula stevenii subsp. beauverdiana", "Campanula stevenii subsp. turczaninovii", "Celosia bakeri", "Campanula stricta var. libanotica", "Drassodes mylonasi", "Campanula tatrae", "Campanula tatrae subsp. tatrae", "Aplopeltura boa", "Melanohalea columbiana", "Melanohalea davidii", "Melanohalea tahltan", "Dipsadoboa montisilva", "Celosia benguellensis", "Celosia brevispicata", "Pardosa fulvipes", "Codonopsis gracilis", "Favratia zoysii", "Githopsis diffusa", "Githopsis diffusa subsp. diffusa", "Githopsis pulchella", "Githopsis puchella subsp. pulchella", "Cheirostylis flabellata", "Ophthalmoniphetodes musalensis", "Ophthalmoniphetodes rhilensis", "Ophthalmoniphetodes uhligi", "Edraianthus parnassicus", "Planeboreaphilus coriaceoides", "Edraianthus pumilio", "Pseudohaida rothi", "Edraianthus serbicus", "Subhaida rainieri", "Edraianthus serpyllifolius", "Edraianthus tenuifolius", "Liphanthus longicornis", "Liphanthus phasganoventris", "Liphanthus toroi", "Cyathula triuncinata", "Liphanthus quadrifasciatus", "Liphanthus jenamro", "Cyathula triuncinella", "Liphanthus sapos", "Liphanthus domeykoi", "Liphanthus discolor", "Chionothrix somalensis", "Chionothrix latifolia", "Liphanthus centralis", "Liphanthus molavi", "Liphanthus abotorabi", "Liphanthus cochabambensis", "Liphanthus fritzi", "Liphanthus amblayensis", "Liphanthus ancashensis", "Liphanthus yrigoyeni", "Liphanthus tregualemsnsis", "Liphanthus sparsipunctus", "Liphanthus aliavenus", "Charpentiera australis", "Charpentiera tomentosa", "Xenochilicola mamigna", "Xenochilicola haroldotoroi", "Xenochilicola diminuta", "Habenaria intermedia", "Neusticurus arekuna", "Neusticurus rudis", "Ephedraphis gobica", "Eudectus giraudi", "Protaphis middletonii", "Qiongocera luoxuan", "Relictocera wugen", "Haida keeni", "Relictocera sigen", "Relictocera qianzi", "Relictocera mus", "Murathus montanus", "Niphetodes redtenbacheri", "Occiephelinus vandykei", "Ophthalmoniphetodes longicornis", "Ophthalmoniphetodes behnei", "Ophthalmoniphetodes doeblerae", "Ophthalmoniphetodes gracilis", "Ophthalmoniphetodes heidemariae", "Ophthalmoniphetodes ilievi", "Ophthalmoniphetodes macrocephalus", "Ortholexis melichroptera", "Ortholexis drucei", "Ortholexis holocausta", "Codonopsis pilosula subsp. pilosula", "Codonopsis rotundifolia", "Ortholexis hollandi", "Codonopsis subscaposa", "Celosia expansifila", "Celosia fadenorum", "Chamunda chamunda", "Codonopsis ussuriensis", "Ninox spilonotus", "Barca bicolor", "Altaioniphetodes ryvkini", "Oxytrechus chioriae", "Oxytrechus cayambeensis", "Eurhamphus fasciculatus", "Eurhamphus pancinii", "Neosphecia cecidogena", "Anthobiomimus unicolor", "Aprica patula", "Anthobiomimus differens", "Jasione montana subsp. montana", "Salix abscondita", "Hanabusaya asiatica", "Brachygnathellus loebli", "Heterochaenia ensifolia", "Jasione crispa subsp. crispa", "Melittina nigra", "Acruliopsis watanabei", "Jasione foliosa subsp. foliosa", "Acruliopsis ussuriensis", "Premelittia rufescens", "Neosphecia combusta", "Jasione laevis subsp. laevis", "Celosia nervosa", "Celosia patentiloba", "Apostictopterus fuliginosus", "Coryphiodes deubeli", "Apostictopterus fuliginosus fuliginosus", "Apostictopterus fuliginosus jiangxiensis", "Coryphiomorphus dieckmanni", "Coryphiopsis indica", "Coryphium angusticolle", "Celosia polystachia", "Synanthedon auritinctaoidis", "Paranthrenella helvola", "Celosia richardsiae", "Zhezhoulinyphia caperata", "Zhezhoulinyphia denticulata", "Zhezhoulinyphia yadongensis", "Celosia bonnivairii", "Celosia chenopodiifolia", "Celosia chiapensis", "Celosia corymbifera", "Cyclocodon lancifolius", "Phyteuma cordatum", "Phyteuma globulariifolium", "Philoscotus coreanus", "Basitrodes leptothorax", "Pyrpotyra capixaba", "Phyteuma ovatum subsp. ovatum", "Muehlbergella oweriana", "Omalonomus relictus", "Musschia aurea", "Musschia wollastonii", "Nesocodon mauritianus", "Peracarpa carnosa", "Phyteuma betonicifolium", "Phyteuma betonicifolium subsp. betonicifolium", "Phyteuma confusum", "Phyteuma hemisphaericum", "Phyteuma humile", "Phyteuma ovatum", "Tmesiphorus costatus", "Tmesiphorus crassicornis", "Tmesiphorus princeps", "Tmesiphorus kinomurai", "Tmesiphorus okinawensis", "Tmesiphorus andrewesi", "Tmesiphorus championi", "Tmesiphorus nitens", "Tmesiphorus iyeri", "Duocalcar geminum", "Leaskia acidotiformis", "Nipponophloeostiba verrucifera", "Noumalia adustum", "Phyteuma tetramerum", "Ommata albitarsis", "Phyteuma \u00d7 adulterinum", "Lomatia hirsuta", "Phyteuma hedraianthifolium", "Pyrpotyra paradisiaca", "Pyrpotyra paraensis", "Pyrpotyra pytinga", "Pyrpotyra albitarsis", "Phyteuma persicifolium", "Phyteuma scheuchzeri", "Phyteuma scheuchzeri subsp. scheuchzeri", "Phyteuma scorzonerifolium", "Phyteuma sieberi", "Cladolella virgo", "Parathyonidium incertum", "Prosopaspis gibbicollis", "Prosopaspis puncticeps", "Craterocapsa tarsodes", "Prismatocarpus nitidus", "Roella amplexicaulis", "Roella ciliata", "Isobactrus ponticus", "Theilera guthriei", "Draconarius wugeshanensis", "Triodanis perfoliata subsp. perfoliata", "Wahlenbergia albomarginata subsp. albomarginata", "Celosia elegantissima", "Wahlenbergia angustifolia", "Draconarius wrasei", "Celosia floribunda", "Draconarius venustus", "Draconarius verrucifer", "Draconarius dialeptus", "Coelotes koshikiensis", "Michaelophorus salensis", "Oidaematophorus androsensis", "Hellinsia bahamensis", "Hellinsia lucayana", "Clarkiella discoveryi", "Dactylorhiza incarnata nothosubsp. versicolor", "Eraina chelifera", "Draconarius baibaensis", "Draconarius budanlaensis", "Draconarius yigongensis", "Draconarius yingbinensis", "Draconarius yichengensis", "Wahlenbergia capensis", "Loganellia einari", "Wahlenbergia capillaris", "Wahlenbergia congesta", "Wahlenbergia congesta subsp. congesta", "Wahlenbergia depressa", "Bulbophyllum thiurum", "Cucusquama wesafrica", "Wahlenbergia fernandeziana", "Wahlenbergia gracilenta", "Cyphia digitata", "Cyphia volubilis", "Cyphocarpus rigescens", "Hesperocodon hederaceus", "Wahlenbergia insulae-howei", "Wahlenbergia krebsii", "Wahlenbergia krebsii subsp. krebsii", "Celosia persicaria", "Psolidium helenae", "Psolidium wongae", "Wahlenbergia linifolia", "Wahlenbergia littoricola", "Wahlenbergia lobelioides", "Wahlenbergia lobelioides subsp. lobelioides", "Celosia polygonoides", "Wahlenbergia luteola", "Celosia pseudovirgata", "Argiope cameloides", "Cyclosa senticauda", "Centropogon ferrugineus", "Centropogon grandidentatus", "Burmeistera minutiflora", "Celosia virgata", "Burmeistera smaragdi", "Centropogon coccineus", "Centropogon comosus", "Dactylorhiza incarnata subsp. lobelii", "Wahlenbergia saxicola", "Dactylorhiza incarnata subsp. pulchella", "Wahlenbergia stricta", "Wahlenbergia stricta subsp. stricta", "Sarbanissa pseudassimilis", "Wahlenbergia tuberosa", "Wahlenbergia tumidifructa", "Wahlenbergia vernicosa", "Wahlenbergia violacea", "Dactylorhiza incarnata nothosubsp. krylovii", "Trichocentrum albococcineum", "Trichocentrum aguirrei", "Trichocentrum allenii", "Celosia taitoensis", "Celosia vanderystii", "Burmeistera cyclostigmata", "Burmeistera glabrata", "Psolidium schnabelae", "Psolidium pawsoni", "Psolidium normani", "Psolidium emilyae", "Psolidium mccallumae", "Psolidium marshae", "Psolidium laperousazi", "Psolidium karenae", "Psolidium hutchingsae", "Psolidium berentsae", "Celosia globosa", "Draconarius davidi", "Draconarius denisi", "Celosia grandifolia", "Draconarius huizhunesis", "Celosia hastata", "Tydaeolus globifer", "Tydaeolus tenuiclaviger", "Celosia humbertiana", "Draconarius magniceps", "Celosia loandensis", "Draconarius potanini", "Potentilla niponica", "Thelodus admirabilis", "Draconarius tibetensis", "Phlebolepis ornata", "Celosia monosperma", "Celosia moquinii", "Alloclubionoides mandzhuricus", "Celosia nitida", "Celosia orcuttii", "Tydaeolus sphaeroclaviger", "Celosia palmeri", "Dactylorhiza incarnata subsp. ochroleuca", "Celosia pandurata", "Nostolepis alta", "Plebs astridae", "Wahlenbergia pygmaea", "Plebs tricentrus", "Zeolymma brachypterum", "Wahlenbergia queenslandica", "Dactylorhiza incarnata subsp. cungsii", "Dactylorhiza incarnata subsp. gemmana", "Wahlenbergia rivularis", "Anicula inferna", "Dactylorhiza incarnata subsp. jugicrucis", "Wahlenbergia ramosa", "Archodromus comptus", "Archodromus brachypterus", "Wahlenbergia roxburghii", "Microtydeus constans", "Dendrophryniscus jureia", "Dendrophryniscus izecksohni", "Dendrophryniscus haddadi", "Dendrophryniscus davori", "Dendrophryniscus imitator", "Dendrophryniscus lauroi", "Lophosteus connexus", "Alloclubionoides napolovi", "Alloclubionoides paiki", "Hadimopanella collaris", "Ectemnius lapidarius", "Alloclubionoides solea", "Tetradelus trigonuroides", "Ulommia antennata", "Wahlenbergia annularis", "Kaimenella reticulata", "Wahlenbergia campanuloides", "Wahlenbergia matthewsii", "Wahlenbergia procumbens", "Plebs sachalinensis", "Celosia pulchella", "Celosia schweinfurthiana", "Psolidium complanatum", "Psolidium boholensis", "Plebs oculosus", "Usambaromyia nigrala", "Plebs baotianmanensis", "Acanthosaura phongdienensis", "Celosia staticodes", "Geodia nodastrella", "Celosia stuhlmanniana", "Centropogon gutierrezii", "Hydrillodes morosa", "Hydrillodes lentalis", "Hydrillodes hemusalis", "Centropogon solanifolius", "Allobates nunciatus", "Centropogon talamancensis", "Centropogon tessmannii", "Cyanea fissa", "Stathmopoda pedella", "Shamosaurus scutatus", "Clermontia tuberculata", "Devario salmonata", "Atomaria longicornis", "Atomaria abietina", "Atomaria affinis", "Atomaria alpina", "Cyanea arborea", "Stelis rostratissima", "Daspletosaurus torosus", "Meloidogyne fallax", "Paralititan stromeri", "Nephromopsis coralligera", "Nephromopsis fendleri", "Cyanea aspleniifolia", "Cyanea duvalliorum", "Cyanea elliptica", "Tanaecia clathrata", "Devario gibber", "Dendrobium bensoniae", "Laocypris hispida", "Amaranthus anderssonii", "Cyanea pilosa subsp. pilosa", "Euthalia merta apicalis", "Tanaecia aruna apsarasa", "Cyanea pohaku", "Porrhodromus communis", "Prodaia inflata", "Cyanea profuga", "Cyanea hardyi", "Amaranthus acanthobracteatus", "Targalla palliatrix", "Targalla infida", "Cyanea horrida", "Amaranthus \u00d7 adulterinus", "Targalla sugii", "Cyanea kahiliensis", "Targalla sobocellata", "Targalla pantarcha", "Cyanea magnicalyx", "Cyanea pilosa", "Pieris extensa yunnansia", "Cyanea superba subsp. superba", "Euthalia adonia sapitana", "Cyanea tritomantha", "Euthalia monina bipunctata", "Cynitia cocytina", "Cynitia cocytina cocytina", "Euthalia monina candidatus", "Tanaecia pelea dohertyi", "Tanaecia pelea subiensis", "Lobelia archboldiana", "Chandata aglaja", "Daiodromus umbrosus", "Clermontia micrantha", "Eophyllodrepa propinqua", "Chandata partita", "Globoides oculatus", "Globoides microps", "Chandata bella", "Clermontia parviflora", "Megalymma gigantea", "Megalymma rohdendorfi", "Mesodeliphrum rufulum", "Morsum abdominale", "Segisaurus halli", "Clermontia samuelii subsp. samuelii", "Nosphistica fermata", "Brachytrachelopan mesai", "Hydrillodes moloalis", "Microgecko varaviensis", "Centropogon \u00d7 lucyanus", "Simplicia xanthoma", "Paratelmatobius segallai", "Pristimantis ferwerdai", "Bosea cannabina", "Clermontia arborescens subsp. arborescens", "Chandata bidentata", "Clermontia arborescens subsp. waihiae", "Chandata rothei", "Clermontia fauriei", "Chandata c-nigrum", "Clermontia grandiflora", "Clermontia grandiflora subsp. grandiflora", "Chandata tridentata", "Chandata taiwana", "Ouret congesta", "Ouret leucura", "Isotoma scapigera", "Lexias aeetes satellita", "Legenere valdiviana", "Lithotoma axillaris", "Tanaecia pelea picta", "Isotoma pusilla", "Lexias pardalis ritsemae", "Psychonotis melane melane", "Psychonotis melane astra", "Ouret sanguinolenta", "Lobelia columnaris", "Lobelia coronopifolia", "Cistanthe frigida", "Holotrochus scapularis", "Holotrochus aberrans", "Heterosorius vadoni", "Heterosorius clementi", "Holotrochodes collaris", "Holotrochomorphus straeleni", "Holotrochomorphus proximus", "Holotrochomorphus lusingensis", "Holotrochomorphus germanus", "Tanaecia pelea marnii", "Ptilotus uncinellus", "Lexias aeetes butongensis", "Tanaecia clathrata siluvanus", "Lobelia amoena", "Lobelia stricta", "Heterocylindropsis kahuziensis", "Heterocylindropsis luberensis", "Tanaecia pelea pelea", "Tanaecia pelea lutala", "Heterocylindropsis dentata", "Heterocylindropsis tanzaniae", "Heterocylindropsis mahunkai", "Lobelia andrewsii", "Edapholotrochus pauliani", "Tanaecia palguna", "Fagelia andohariana", "Fagelia cylindra", "Fagelia descarpentriesi", "Fagelia latipes", "Fagelia marositryana", "Fagelia microcephala", "Fagelia minuscula", "Fagelia soror", "Fagelia vicina", "Tanaecia pelea", "Gnatholotrochus striolipennis", "Isotoma fluviatilis subsp. fluviatilis", "Tanaecia aruna pardalis", "Isotoma hypocrateriformis", "Heterotoma lobelioides subsp. lobelioides", "Tanaecia mulsus", "Allogonus ventralis", "Tanaecia coelebs", "Tanaecia amisa", "Anancosorius klimschi", "Andringitrana pauliani", "Tanaecia elone", "Tanaecia godartii", "Tanaecia lepidea", "Tanaecia munda", "Baculopsis jacobsoni", "Tanaecia munda manata", "Bothrys personatus", "Tanaecia munda waterstradti", "Cylindrops congoensis", "Cylindrops itombwensis", "Cylindrops kivuensis", "Cylindrops kivuensis collarti", "Cylindrops straeleni", "Tanaecia orphne", "Tanaecia jahnu", "Neosorius fallax", "Neosorius fauvelianus", "Neosorius gracilis", "Neosorius hoyoensis", "Neosorius humicola", "Phyllonorycter populifoliella", "Buitinga qingyuani", "Buitinga wamitii", "Smeringopus voi", "Buitinga ensifera", "Buitinga globosa", "Tanaecia clathrata clathrata", "Euthalia alpheda dammermani", "Delissea kauaiensis", "Delissea subcordata subsp. subcordata", "Cynitia cocytina ambalika", "Euthalia mahadeva eeckei", "Protostaphylinus mirus", "Pseudolesteua insinuans", "Sinolispinodes torosus", "Downingia concolor subsp. concolor", "Lexias immaculata", "Euthalia monina indras", "Tanaecia trigerta", "Tanaecia trigerta trigerta", "Tanaecia trigerta interrupta", "Heterotoma lobelioides", "Lobelia boninensis", "Tanaecia pelea vordermani", "Paraerva microphylla", "Paraerva revoluta", "Lobelia bridgesii", "Ouret triangularifolia", "Ouret coriacea", "Ouret humbertii", "Ouret glabrata", "Dactylorhiza \u00d7 kerneri nothosubsp. kerneri", "Lobelia kraussii", "Lobelia laxa", "Lobelia laxiflora subsp. laxiflora", "Cincinnatia integra", "Lobelia flaccida", "Lobelia flaccida subsp. flaccida", "Lobelia flexuosa", "Lobelia flexuosa subsp. flexuosa", "Lobelia galpinii", "Lobelia gattingeri", "Adelpha irmina", "Lobelia glandulosa", "Liptena lualaba nyanzae", "Lobelia gloria-montis", "Lobelia gloria-montis subsp. gloria-montis", "Lobelia grayana", "Lobelia gregoriana", "Lobelia gregoriana subsp. gregoriana", "Eudarcia gwangneungensis", "Lobelia heterophylla", "Lobelia heterophylla subsp. heterophylla", "Abies pinsapo subsp. pinsapo", "Lobelia deckenii subsp. deckenii", "Lobelia dentata", "Lobelia divaricata", "Lobelia elongata", "Neorhabdopsis lutzi", "Neorhabdopsis brasiliensis", "Neorhabdopsis panamae", "Neorhabdopsis pecki", "Neosorius angolanus", "Neosorius biambwensis", "Neosorius chirindanus", "Eudarcia longiphalla", "Eudarcia cornea", "Lobelia holstii", "Ideonella sakaiensis", "Limonium dagmarae", "Lobelia hypoleuca", "Dactylorhiza \u00d7 kerneri", "Lobelia irasuensis", "Lobelia loochooensis", "Dactylorhiza \u00d7 kerneri nothosubsp. ampolai", "Dactylorhiza \u00d7 kerneri nothosubsp. lillsundica", "Dactylorhiza \u00d7 kerneri nothosubsp. variablis", "Pristimantis kuri", "Pristimantis allpapuyu", "Pristimantis caniari", "Pristimantis pichincha", "Pulsatilla tongkangensis", "Lobelia polyphylla", "Pristimantis antisuyu", "Lobelia pratioides", "Pristimantis erythroinguinis", "Aconitum septentrionale", "Pristimantis pulchridormientes", "Pristimantis yantzaza", "Ischnocnema feioi", "Ischnocnema garciai", "Lobelia rhynchopetalum", "Lobelia scaevolifolia", "Neosorius incertus", "Neosorius ituriensis", "Neosorius kaleheanus", "Neosorius katanganus", "Neosorius kivuanus", "Neosorius leleupi", "Neosorius minimus", "Neosorius montishoyoanus", "Neosorius mutakatoensis", "Neosorius nyakasibaensis", "Neosorius pusillus", "Neosorius rugosicollis", "Neosorius saegeri", "Neosorius schoutedeni", "Neosorius sculptus", "Neosorius simillimus", "Neosorius straeleni", "Neosorius sulcicollis", "Neosorius uelensis", "Neosorius upembanus", "Neosorius wittei", "Lobelia excelsa", "Alnus lusitanica", "Brachyta petriccionei", "Nepeta azadkouhensis", "Anisoneura aluco", "Lobelia stenophylla", "Anisoneura sphingoides", "Alnus rohlenae", "Anisoneura zeuzeroides", "Anisoneura papuana", "Eudarcia jaworskii", "Eudarcia alanyacola", "Eudarcia holtzi", "Lathrobium guizhouensis", "Lathrobium zhangi", "Lathrobium guatemalense", "Lathrobium gallienii", "Lathrobium multipunctum", "Cistanthe tweedyi", "Habenaria linearifolia", "Polioptila albiventris", "Polioptila attenboroughi", "Grimalditeuthis bonplandi", "Polioptila facilis", "Lobelia nuttallii", "Pristimantis pinchaque", "Pristimantis sacharuna", "Lobelia oligophylla", "Lobelia paludosa", "Pristimantis marcoreyersi", "Lobelia physaloides", "Pristimantis punzan", "Pristimantis puruscafeum", "Lobelia pinifolia", "Pristimantis atillo", "Pristimantis chomskyi", "Pristimantis gloria", "Pristimantis jimenezi", "Pristimantis lutzae", "Pristimantis multicolor", "Pristimantis hampatusami", "Pristimantis teslai", "Pristimantis torresi", "Pristimantis totoroi", "Pristimantis verrucolatus", "Megastigmus hoffmeyeri", "Pristimantis nangaritza", "Exetastes holomelaenus", "Lobelia membranacea", "Lobelia mildbraedii", "Gelochelidon macrotarsa", "Salix kungmuensis", "Dactylorhiza atlantica", "Organopoda carnearia", "Organopoda acutula", "Organopoda deltaformis", "Organopoda megiste", "Organopoda annulifera", "Organopoda atrisparsaria", "Organopoda brevipalpis", "Thaiderces shuzi", "Trachelas pusillus", "Siphocampylus imbricatus", "Uroctea hashemitorum", "Apostenus humilis", "Apostenus ochraceus", "Siphocampylus lucidus", "Siphocampylus lycioides", "Siphocampylus microstoma", "Siphocampylus scandens", "Tarchia kielanae", "Pimoa reniformis", "Pimoa trifurcata", "Pimoa graphitica", "Pimoa delphinica", "Pimoa lihengae", "Pimoa thaleri", "Lobelia vanreenensis", "Lobelia villosa", "Lobelia xalapensis", "Pimoa wanglangensis", "Scopoides wanglangensis", "Draconarius latiprocessus", "Draconarius wui", "Nepalocylindrops deharvengi", "Bannana songxiaobini", "Oeophronistus australicus", "Clubiona theoblicki", "Oligotyphlopsis nevesi", "Oryssomma schwarzi", "Monopsis debilis", "Monopsis debilis var. debilis", "Monopsis stellarioides", "Monopsis unidentata", "Monopsis unidentata subsp. unidentata", "Lanarkia lanceolata", "Palmerella debilis", "Palmerella debilis subsp. debilis", "Porterella carnosula", "Pistius wulingensis", "Pimoa anatolica", "Pimoa cthulhu", "Pimoa edenticulata", "Pimoa gandhii", "Pimoa indiscreta", "Pimoa laurae", "Pimoa mephitis", "Pimoa mono", "Pimoa nematoides", "Pimoa petita", "Pimoa sinuosa", "Pimoa rupicola", "Pimoa breuili", "Pimoa vera", "Pimoa hespera", "Pimoa jellisoni", "Pimoa haden", "Pimoa crispa", "Pimoa altioculata", "Pimoa breviata", "Pimoa curvata", "Pimoa clavata", "Idiocnemius cheesmani", "Indosorius bhutanicus", "Indosorius gynandromorphus", "Kistneria grassei", "Levasseuria minima", "Levasseuria amplipennis", "Levasseuria crassa", "Levasseuria italavianensis", "Levasseuria monticola", "Levasseuria moramangana", "Levasseuria perinetensis", "Levasseuria robinsoni", "Levasseuria sogai", "Levasseuria zahamena", "Lusitanopsis douroensis", "Abies pinsapo subsp. marocana", "Madegassosorius keiseri", "Mimogonia europaea", "Mimogonoderus longipennis", "Mimogonoderus angolensis", "Mimogonoderus ineditus", "Mimogonoderus microphthalmus", "Mimotrochus columbinus", "Mimotrochus pecki", "Abraliopsis morisii", "Siphocampylus aureus", "Siphocampylus giganteus", "Cybaeodes alicatai", "Cybaeodes carusoi", "Cybaeodes sardus", "Cybaeodes marinae", "Cybaeodes mallorcensis", "Cybaeodes magnus", "Cybaeodes indalo", "Cybaeodes dosaguas", "Cybaeodes madidus", "Cybaeodes liocraninus", "Phymatidium mellobarretoi", "Phymatidium vogelii", "Phymatidium microphyllum", "Phymatidium microphyllum var. microphyllum", "Phymatidium microphyllum var. herteri", "Lobarina scrobiculata", "Sesieutes minor", "Cinnamosma fragrans", "Laudetia dominicana", "Siamspinops formosensis", "Ozarkodina hemensis", "Nostolepis linleyensis", "Sphingius delakharae", "Nunavutia fasciata", "Shielia parca", "Shielia gibba", "Paralogania readbayensis", "Overia adraini", "Trimerolepis serratus", "Trimerolepis gemellus", "Thelodus inauditus", "Kannathalepis milleri", "Vilkitskilepis valentinae", "Thaiderces peterjaegeri", "Thaiderces ganlan", "Thaiderces ngalauindahensis", "Thaiderces yangcong", "Thaiderces zuichun", "Thaiderces miantiao", "Thaiderces jiazi", "Thaiderces tuoyuan", "Thaiderces fengniao", "Thaiderces haima", "Thaiderces chujiao", "Thaiderces thamphadaengensis", "Thaiderces thamprikensis", "Thaiderces rimbu", "Thaiderces djojosudharmoi", "Lobelia telekii", "Flexicrurum qishi", "Flexicrurum wuzhishanense", "Flexicrurum yangjiao", "Pimoa binchuanensis", "Pimoa xinjianensis", "Lobelia tenuior subsp. tenuior", "Lobelia trigonocaulis", "Sesieutes longyangensis", "Sesieutes lucens", "Sesieutes minuatus", "Sesieutes abruptus", "Sesieutes bifidus", "Sesieutes apiculatus", "Sesieutes aberrans", "Sesieutes borneensis", "Sesieutes scrobiculatus", "Sesieutes nitens", "Sesieutes bulbosus", "Sesieutes emancipatus", "Phymatidium aquinoi", "Amaranthus bengalensis", "Phymatidium delicatulum", "Phymatidium delicatulum var. delicatulum", "Phymatidium delicatulum var. curvisepalum", "Phymatidium geiselii", "Phymatidium limae", "Jarava ichu var. pungens", "Carpinus firmifolia", "Loganellia sulcata", "Loganellia prolata", "Loganellia exilis", "Illoganellia colossea", "Phillipsilepis cornuta", "Phillipsilepis crassa", "Phillipsilepis pusilla", "Nikolivia auriculata", "Cteniogaster toxarchus", "Cteniogaster hexomma", "Cteniogaster conviva", "Cteniogaster sangarawe", "Cteniogaster lampropus", "Cteniogaster taxorchis", "Cteniogaster nana", "Cybaeodes testaceus", "Cybaeodes molara", "Sclerotheca raiateensis", "Sclerotheca viridiflora", "Cybaeodes avolensis", "Celtis lindheimeri", "Celtis mildbraedii", "Phrurolithus singulus", "Scotinella redempta", "Scotinella brittoni", "Scotinella deleta", "Scotinella divesta", "Celtis laevigata var. reticulata", "Celtis australis subsp. australis", "Makdiops montigenus", "Celtis australis subsp. caucasica", "Makdiops nilgirensis", "Makdiops agumbensis", "Selenipedium buenaventurae", "Selenipedium dodsonii", "Selenipedium olgae", "Carpinus fangiana", "Siamspinops spinosissimus", "Siamspinops spinosus", "Siamspinops allospinosus", "Siamspinops spinescens", "Jacaena lunulata", "Jacaena distincta", "Osoriocanthus bernhaueri", "Osoriocanthus leleupi", "Osoriocanthus nitidus", "Osoriopsis crassicornis", "Osoriopsis ituriensis", "Osoriopsis rugegensis", "Osoriopsis scabriventris", "Osoriopsis urundiensis", "Jacaena mihun", "Trematolobelia macrostachys", "Jacaena erawan", "Jacaena schwendingeri", "Jacaena thakek", "Jacaena zhui", "Phymatidium falcifolium", "Elektorornis chenguangi", "Jacaena punctata", "Jacaena angoonae", "Jacaena peculiaris", "Tarchia gigantea", "Phymatidium hysteranthum", "Jacaena tengchongensis", "Nemacladus capillaris", "Paratus longlingensis", "Nemacladus rigidus", "Nemacladus twisselmannii", "Gironniera subaequalis", "Humulopsis scandens", "Karaops yurlburr", "Karaops feedtime", "Karaops forteyi", "Karaops yindjibarndi", "Karaops jaburrara", "Karaops ngarluma", "Karaops nyangumarta", "Karaops nyamal", "Karaops baniyima", "Karaops yumbu", "Cannabis sativa subsp. sativa", "Garcorops madagascar", "Garcorops jocquei", "Garcorops paulyi", "Amaranthus bouchonii", "Agyneta dentifera", "Agyneta gracilipes", "Agyneta mollis", "Symphytognatha tacaca", "Symphytognatha fouldsi", "Carpinus insularis", "Symphytognatha picta", "Symphytognatha imbulunga", "Arborilispinus longulus", "Arborilispinus mirabilis", "Symphytognatha orghidani", "Apophyllum anomalum", "Espeson moratus", "Lispinodes explicandus", "Lispinomimus atavus", "Symphytognatha ulur", "Pseudespeson rossii", "Agyneta pogonophora", "Hippotion adelinae", "Celtis timorensis", "Ogulnius laranka", "Paleosorius cambayensis", "Ogulnius paku", "Chthonos kuyllur", "Celtis toka", "Eulibia albizziae", "Celtis conferta", "Celtis conferta subsp. amblyphylla", "Naatlo mayzana", "Laudetia insularis", "Laudetia portoricensis", "Chattertonodus cometoides", "Yamaneta kehen", "Yamaneta paquini", "Borboropactus jiangyong", "Karaops umiida", "Karaops nyiyaparli", "Karaops kariyarra", "Tyto almae", "Lepidocolaptes affinis neglectus", "Becklespinax altispinax", "Agyneta serrata", "Agyneta lophophor", "Agyneta girardi", "Agyneta amersaxatilis", "Agyneta ordinaria", "Agyneta flibuscrocus", "Agyneta manni", "Scotinotylus allocotus", "Clubiona kularensis", "Poeciloneta yanensis", "Odontocarya macarenae", "Anibontes mimus", "Pancorius nagaland", "Solanum polyacanthos", "Agyneta hedini", "Agyneta platnicki", "Agyneta ledfordi", "Agyneta bronx", "Agyneta paquini", "Cadaba aphylla", "Cadaba farinosa subsp. farinosa", "Cadaba trifoliata", "Theridiosoma ankas", "Theridiosoma esmeraldas", "Theridiosoma kullki", "Theridiosoma sacha", "Theridiosoma latebricola", "Hospitalibia thailandica", "Theridiosoma nebulosum", "Theridiosoma blaisei", "Anapistula equatoriana", "Symphytognatha cabezota", "Mesallotrochus longiantennatus", "Neolispinus crucifer", "Symphytognatha carstica", "Scotinella divinula", "Scotinella sculleni", "Phrurolithus absurdus", "Phrurolithus aemulatus", "Phrurolithus apacheus", "Phrurolithus banksi", "Phrurolithus catalinius", "Phrurolithus concisus", "Phrurolithus connectus", "Phrurolithus schwarzi", "Neoanagraphis pearcei", "Lauricius hooki", "Osoriosetus hanagarthi", "Ouloglene barberi", "Phrurolithus involutus", "Phrurolithus squamacus", "Coscinida conica", "Robertus peregrinus", "Phrurolithus lasiolepis", "Phrurolithus longus", "Phrurolithus subannulus", "Phrurolithus taoyuan", "Phrurolithus validus", "Phrurolithus subnigerus", "Phrurolithus splendidus", "Paratrochodes microphtalmus", "Rhabdopsis africana", "Rhabdopsis leleupi", "Saegerius garambanus", "Saegerius kivuensis", "Saegerius microps", "Tavakilianidia anophtalma", "Tetrosorius anosyensis", "Thoracogonus caecus", "Thoracogonus peyrierasi", "Epeus triangulopalpis", "Piranthus planolancis", "Boscia angustifolia", "Boscia foetida", "Boscia foetida subsp. foetida", "Boscia foetida subsp. rehmanniana", "Boscia mossambicensis", "Boscia oleoides", "Odontocarya petiolaris", "Capparis divaricata", "Capparis fascicularis", "Scirites pectinatus", "Capparis floribunda", "Scirites finitimus", "Capparis grandis", "Capparis lasiantha", "Capparis loranthifolia", "Thoracoprius vulneratus", "Tumboecus nitidus", "Typhlholotrochus curtipennis", "Typhlobledius cylindricus", "Typhloiulopsis rudiana", "Typhloiulopsis leucadiae", "Witelsus spiniventris", "Herminia anamioshima", "Herminia yuksam", "Herminia borneo", "Herminia terminalis", "Herminia decipiens", "Solanum ruvu", "Solanum sect.", "Geothlypis chiriquensis", "Geothlypis auricularis", "Geothlypis velata", "Myiothlypis roraimae", "Agyneta angulata", "Agyneta longipes", "Agyneta sheffordiana", "Capparis arborea", "Agyneta delphina", "Agyneta semipallida", "Capparis brevispina", "Agyneta leucophora", "Agyneta minorata", "Capparis canescens", "Agyneta okefenokee", "Capparis cleghornii", "Capparis roxburghii", "Agyneta floridana", "Agyneta issaqueena", "Agyneta decorata", "Agyneta brevipes", "Agyneta evadens", "Agyneta unimaculata", "Agyneta spicula", "Agyneta grandcanyon", "Agyneta chiricahua", "Canna \u00d7 ehemannii", "Mesotrochus paradoxus", "Pardirocephalus cordobensis", "Pardirocephalus loretoensis", "Agyneta regina", "Pselaphomimus amphiphilus", "Quadricephalus obstrusus", "Agyneta barrowsi", "Rhopalopherus gestroi", "Agyneta crista", "Agyneta tuberculata", "Agyneta catalina", "Tetrapleurus indicus", "Agyneta micaria", "Thoracophorus minutissimus", "Agyneta fabra", "Acorigone acoreensis", "Acorigone zebraneus", "Capparis micracantha subsp. micracantha", "Blestia sarcocuon", "Tapinotorquis yamaskensis", "Calochortus barbatus", "Capparis moonii", "Cameroneta longiradix", "Araeoncus etinde", "Araeoncus obtusus", "Bursellia cameroonensis", "Agyneta simplex", "Agyneta uta", "Agyneta fillmorana", "Agyneta darrelli", "Synaenictus foveicauda", "Agyneta emertoni", "Lispinuncus pulcher", "Agyneta bucklei", "Agyneta erinacea", "Agyneta crawfordi", "Agyneta vinki", "Lispinus amaniensis", "Agyneta panthera", "Agyneta miniata", "Agyneta fratrella", "Agyneta danielbelangeri", "Agyneta pistrix", "Agyneta picta", "Agyneta flax", "Agyneta barfoot", "Agyneta sandia", "Agyneta parva", "Dirocephalus myrmecophilus", "Scythropochroa magistrata", "Scythropochroa exposita", "Scythropochroa robusta", "Crateva unilocularis", "Cynophalla flexuosa", "Drassodes interpolator", "Drassodes involutus", "Capparis spinosa subsp. spinosa", "Capparis umbonata", "Azerithonica sagartia", "Tegenaria alamto", "Cynophalla hastata", "Euadenia eminens", "Epidapus gracilipes", "Quercus myrsinifolia", "Epidapus nanus", "Solanum cyathophorum", "Solanum adenobasis", "Quercus carmenensis", "Epidapus aciculatus", "Tegenaria arsacia", "Tegenaria daylamanica", "Amaranthus brandegeei", "Tegenaria eros", "Tegenaria guseinovi", "Tegenaria lenkoranica", "Amaranthus \u00d7 budensis", "Amaranthus cacciatoi", "Amaranthus capensis", "Ceratinopsis fako", "Limoneta graminicola", "Limoneta sirimoni", "Lepthyphantes buensis", "Lepthyphantes silvamontanus", "Neriene obtusoides", "Capparis nobilis", "Capparis rheedei", "Coreodrassus interlisus", "Capparis rotundifolia", "Drassodes dispulsus", "Thoracophorus nitidus", "Drassodes infletus", "Pseudoaerumnosa quadriquetra", "Amaranthus chihuahuensis", "Pseudoaerumnosa saginata", "Pseudoaerumnosa tenuidens", "Pseudoaerumnosa tkoci", "Amaranthus clementii", "Amaranthus cochleitepalus", "Pseudozygoneura hexacantha", "Pseudozygoneura brachyacantha", "Pseudozygoneura bifida", "Pseudozygoneura triacantha", "Pseudozygoneura robustispina", "Amaranthus congestus", "Pseudozygoneura quadridentata", "Toccolosida nigraregina", "Mohrigia infernosa", "Mohrigia retarda", "Mohrigia cirricoxalis", "Mohrigia rusticana", "Mohrigia composivera", "Mohrigia structura", "Crateva formosensis", "Chaetosciara camara", "Chaetosciara taiwanensis", "Chaetosciara desidera", "Leptoxis praerosa", "Amaranthus caturus", "Pseudoaerumnosa inviolata", "Cladostemon kirkii", "Pseudoaerumnosa acinacea", "Pseudoaerumnosa ampliata", "Pseudoaerumnosa annae", "Pseudoaerumnosa awanensis", "Pseudoaerumnosa banari", "Pseudoaerumnosa clavidactyla", "Pseudoaerumnosa clivicola", "Pseudoaerumnosa collicola", "Pseudoaerumnosa consuota", "Colicodendron bahianum", "Pseudoaerumnosa cryptoloba", "Pseudoaerumnosa curvifalx", "Pseudoaerumnosa eminula", "Pseudoaerumnosa exacuta", "Pseudoaerumnosa filispicata", "Pseudoaerumnosa formosa", "Pseudoaerumnosa fragilis", "Pseudoaerumnosa impensa", "Amaranthus celosioides", "Amaranthus centralis", "Pseudoaerumnosa junciseta", "Pseudoaerumnosa obovata", "Pseudoaerumnosa pilicaudata", "Epidapus angulatus", "Epidapus formosus", "Epidapus triquetrus", "Epidapus excelsus", "Solanum zumbense", "Quercus john-tuckeri", "Solanum anomalostemon", "Solanum chamaeacanthum", "Quercus pungens", "Quercus asymmetrica", "Solanum dendroicum", "Quercus nivea", "Ocaria faurei", "Quadrella ferruginea subsp. ferruginea", "Strymon auyana", "Quercus laurina", "Pholcus mixiaoqii", "Tegenaria shirin", "Tegenaria rahnamayi", "Tapinocyba montivaga", "Tapinocyba altimontana", "Maerua juncea subsp. crustata", "Maerua oblongifolia", "Maerua racemulosa", "Acalypta platycheila", "Acalypta nigrina", "Quercus yongchuniana", "Kalama tricornis", "Quercus deserticola", "Quercus aucheri", "Quercus flocculenta", "Solanum maestrense", "Pseudosasa hindsii", "Steriphoma paradoxum", "Steriphoma paradoxum subsp. paradoxum", "Solanum moense", "Thilachium africanum", "Keilbachia adstrictatula", "Scatopsciara brevicolla", "Scatopsciara dubiosa", "Scatopsciara validovenosa", "Meleonoma foliiformis", "Meleonoma projecta", "Maerua angolensis", "Maerua angolensis subsp. angolensis", "Maerua caffra", "Maerua juncea", "Acalypta brunnea", "Acalypta carinata", "Acalypta gracilis", "Acalypta marginata", "Acalypta musci", "Acalypta parvula", "Maerua juncea subsp. juncea", "Solanum orthacanthum", "Thilachium panduriforme", "Maerua decumbens", "Tapinocyba cameroni", "Lonicera conjugialis", "Catoplatus fabricii", "Catoplatus carthusianus", "Mesabolivar charrua", "Mesabolivar uruguayensis", "Campylosteira verna", "Zabelia biflora", "Zabelia corymbosa", "Zabelia dielsii", "Zabelia triflora", "Zabelia umbellata", "Zabelia tyaihyoni", "Lonicera humilis", "Quercus elevaticostata", "Robiquetia callosa", "Amaranthus emarginatus", "Solanum pachyneuroides", "Solanum pachyneurum", "Solanum punctulatum", "Solanum schulzianum", "Solanum selleanum", "Notoparmelia subtestacea", "Quercus acerifolia", "Lonicera caucasica subsp. caucasica", "Amaranthus cuspidifolius", "Lonicera caucasica subsp. orientalis", "Gardnerianus insolitus", "Mesoxytelus parvus", "Mesoxytelus mandibularis", "Morda mora", "Pliosyntomium schmidti", "Amaranthus dinteri", "Mesabolivar tandilicus", "Onocolus ankeri", "Protodeleaster glaber", "Sidymella excavata", "Turgaphloeus pubescens", "Sidymella furcillata", "Quercus costaricensis", "Galeatus affinis", "Argyrophorus idealis", "Galeatus maculatus", "Galeatus spinifrons", "Argyrophorus rubrostriata", "Dictyla convergens", "Dictyla echii", "Dictyla lupuli", "Dictyla humuli", "Dictyla nassata", "Lasiacantha capucina", "Physatocheila costata", "Physatocheila dumetorum", "Physatocheila smreczynskii", "Strymon cryptodes", "Maerua schinzii", "Lamprospilus ayawi", "Quercus salicifolia", "Epimixia nigriceps", "Epimixia nigripes", "Diabelia serrata", "Diabelia spathulata", "Parada popla", "Parada torta", "Diabelia tetrasepala", "Catonetria caeca", "Caucasopisthes procurvus", "Cautinella minuta", "Ceratocyba umbilicaris", "Cherserigone gracilipes", "Copium brevicorne", "Copium horvathi", "Abelia uniflora", "Copium japonicum", "Copium magnicorne", "Copium teucrii", "Stephanopoides simoni", "Cysteochila stricta", "Cysteochila vota", "Lonicera alpigena var. glehnii", "Stephanopoides cognata", "Oryphantes aliquantulus", "Sisicus volutasilex", "Tapinocyba anceps", "Tapinocyba discedens", "Tapinocyba emertoni", "Micaria gertschi", "Emblyna zaba", "Tapinocyba gamma", "Lonicera caerulea subsp. caerulea", "Lonicera caerulea subsp. edulis", "Quercus saravanensis", "Tapinocyba algirica", "Tapinocyba affinis", "Tapinocyba affinis affinis", "Ritchiea capparoides", "Tapinocyba affinis orientalis", "Tapinocyba affinis pyrenaea", "Quercus castanea", "Tapinocyba ventosa", "Tapinocyba latia", "Tapinocyba lucana", "Acartauchenius minor", "Gynoxys caracensis", "Sarcotoxicum salicifolium", "Erigonoplus simplex", "Solanum gundlachii", "Lonicera modesta", "Quercus robusta", "Quercus liboensis", "Mesocoprophilus clavatus", "Epicadinus biocellatus", "Epicadinus trispinosus", "Sinoxytelus breviventer", "Sinoxytelus euglypheus", "Sinoxytelus longisetosus", "Epicadinus spinipes", "Platydeleaster bimaculatus", "Oxypius peckorum", "Epicadinus villosus", "Lonicera fragrantissima subsp. fragrantissima", "Sidymella kolpogaster", "Sidymella longispina", "Carvalhotingis rustica", "Zabelia buddleioides", "Sidymella lucida", "Sidymella marmorata", "Copium adumbratum", "Copium bernardi", "Lonicera nummulariifolia subsp. nummulariifolia", "Lonicera periclymenum subsp. periclymenum", "Apollophanes erectus", "Apollophanes aztecanus", "Lonicera pileata var. yunnanensis", "Lonicera graebneri", "Coprophilus pennifer", "Isaloides echinatus", "Coprotrichus kameii", "Lonicera harae", "Epicadus caudatus", "Epicadus tuberculatus", "Lonicera hirsuta", "Lonicera villosa", "Elasmotropis testacea", "Dolichoxenus newtoni", "Apollophanes gaucho", "Ecitoclimax tarsalis", "Jerozenia comata", "Apollophanes fitzroyi", "Apollophanes lonesomegeorgei", "Mecaphesa reddelli", "Tmarus galapagosensis", "Apollophanes caribaeus", "Apollophanes crispus", "Crassodemus foraminosus", "Mimopaederus insularis", "Prajna tianmiaoae", "Sartallus signatus", "Sciotrogus opacus", "Quercus opaca", "Apollophanes longipes", "Apollophanes indistinctus", "Apollophanes bangalores", "Apollophanes punctatus", "Pleurothallis eumecocaulon", "Quercus fulva", "Mesostaphylinus laiyangensis", "Monnina subserrata", "Lonicera steveniana", "Quercus gravesii", "Amaranthus neei", "Amaranthus pedersenianus", "Amaranthus persimilis", "Thymelaea hirsuta", "Thymelaea tartonraira", "Amaranthus peruvianus", "Ancylosis larissae", "Quercus ignaciensis", "Geodia arripiens", "Ancylosis substratella", "Bolbophites aspericeps", "Bolbophites pustulosus", "Weigela fujisanensis", "Quercus tarahumara", "Lonicera myrtilloides", "Oxyopes amoenus", "Lonicera tatarinowii", "Oxyopes attenuatus", "Oxyopes elegans", "Amaranthus furcatus", "Oxyopes godeffroyi", "Oxyopes gratus", "Oxyopes molarius", "Lonicera tschonoskii", "Oxyopes punctatus", "Oxyopes quadrifasciatus", "Oxyopes rubicundus", "Oxyopes variabilis", "Missulena harewoodi", "Bipoonops baobap", "Bipoonops lansa", "Bipoonops pilan", "Amaranthus lombardoi", "Desis bobmarleyi", "Symphoricarpos albus var. laevigatus", "Desis vorax", "Quercus kotschyana", "Charinus kakum", "Amaranthus looseri", "Ariadna clavata", "Ariadna tangara", "Solanum tetramerum", "Solanum woodburyi", "Solanum urens", "Solanum acropterum", "Sophialepis ancorata", "Niarchos cotopaxi", "Niarchos barragani", "Niarchos keili", "Niarchos baehrae", "Niarchos tapiai", "Niarchos elicioi", "Niarchos wygodzinskyi", "Niarchos florezi", "Cheirostylis clibborndyeri", "Cheirostylis takeoi", "Cephalantheropsis obcordata", "Brownleea parviflora", "Quercus arbutifolia", "Julia exquisita", "Glacialepis corpulenta", "Canonia costulata", "Sticta dendroides", "Quercus hui", "Artoria weiweii", "Artoria alta", "Scaphios yanayacu", "Wellingtonella gagnieri", "Scaphios napo", "Scaphios cayambe", "Scaphios wagra", "Scaphios jatun", "Scaphios orellana", "Scaphios puyo", "Scaphios planada", "Niarchos normani", "Gastrocopta armifera", "Amaranthus minimus", "Cynorkis unguiculata", "Cynorkis hyacinthina", "Amaranthus mitchellii", "Solanum conocarpum", "Solanum havanense", "Pterotricha arabica", "Pterotricha esyunini", "Pterotricha nadolnyi", "Pterotricha stevensi", "Artoria barringtonensis", "Artoria beaury", "Artoria belfordensis", "Anisophyllea penninervata", "Triosteum angustifolium", "Triosteum aurantiacum", "Artoria bondi", "Artoria booderee", "Artoria comleroi", "Artoria corowa", "Artoria equipalus", "Artoria extraordinaria", "Artoria grahammilledgei", "Artoria helensmithae", "Artoria kanangra", "Artoria kerewong", "Artoria maroota", "Artoria mungo", "Artoria munmorah", "Artoria myallensis", "Artoria slatyeri", "Artoria strepera", "Artoria terania", "Artoria wilkiei", "Artoria albopilata", "Artoria gloriosa", "Amaranthus \u00d7 monteluccii", "Artoria amoena", "Artoria hebridisiana", "Artoria impedita", "Ponsoonops sanvito", "Ponsoonops tacana", "Ponsoonops duenas", "Amaranthus induratus", "Ponsoonops bilzae", "Ponsoonops hamus", "Ponsoonops samadam", "Ponsoonops frio", "Ponsoonops pansedro", "Ponsoonops lucha", "Ponsoonops mirante", "Ponsoonops boquete", "Ponsoonops lerida", "Ponsoonops panto", "Ponsoonops vuena", "Ponsoonops bollo", "Ponsoonops fanselix", "Gentianella thyrsoidea", "Amaranthus kloosianus", "Ponsoonops salimsa", "Ponsoonops yumuri", "Ponsoonops lavega", "Amaranthus lepturus", "Ponsoonops viejo", "Ponsoonops coiba", "Ponsoonops micans", "Cynorkis inermis", "Bipoonops pucuna", "Bipoonops tsachila", "Scaphidysderina chirin", "Scaphidysderina lubanako", "Scaphidysderina tsaran", "Reductoonops berun", "Ochyrocera tinocoi", "Ochyrocera garayae", "Ochyrocera itatinga", "Quercus vaseyana", "Ochyrocera varys", "Cheirostylis octodactyla", "Ochyrocera atlachnacha", "Amaranthus praetermissus", "Weigela middendorfiana", "Ochyrocera laracna", "Quercus yiwuensis", "Ochyrocera aragogue", "Ochyrocera misspider", "Ochyrocera charlotte", "Ochyrocera ungoliant", "Ochyrocera bicolor", "Ochyrocera coffeeicola", "Ochyrocera corozalensis", "Ochyrocera minima", "Cheirostylis chinensis", "Ochyrocera subparamera", "Ochyrocera brumadinho", "Amaranthus \u00d7 pyxidatus", "Ochyrocera ibitipoca", "Cheirostylis liukiuensis", "Cheirostylis tortilacinia", "Ochyrocera caeruleoamethystina", "Cephalaria flava subsp. flava", "Ochyrocera juquila", "Ochyrocera chiapas", "Amaranthus rhombeus", "Niarchos scutatus", "Niarchos ramirezi", "Niarchos bonaldoi", "Niarchos vegai", "Niarchos santosi", "Niarchos michaliki", "Niarchos ligiae", "Amaranthus grandiflorus", "Frigorilepis caldwelli", "Niarchos loja", "Niarchos foreroi", "Niarchos palenque", "Niarchos facundoi", "Niarchos grismadoi", "Niarchos matiasi", "Amaranthus hunzikeri", "Niarchos rheimsae", "Amaranthus schinzianus", "Ochyrocera diablo", "Amaranthus sclerantoides", "Ochyrocera fagei", "Ochyrocera formosa", "Eriovixia kachugaonensis", "Solanum elvasioides", "Bindahara phocides fumatus", "Crassicrus stoicum", "Solanum humboldtianum", "Solanum sagittantherum", "Solanum canoasense", "Aphonopelma crinirufum", "Solanum compressum", "Solanum pseudodaphnopsis", "Pseudomogrus dumosus", "Solanum naucinum", "Solanum sumacaspi", "Lycaena phlaeas gonpaensis", "Omothymus fuchsi", "Dipsacus pinnatifidus", "Omothymus rafni", "Omothymus schioedtei", "Amaranthus \u00d7 soproniensis", "Amaranthus sparganiocephalus", "Omothymus violaceopes", "Phormingochilus arboricola", "Phormingochilus tigrinus", "Lampropelma carpenteri", "Amaranthus squamulatus", "Acanthoscurria borealis", "Solanum argentinum", "Sticta aongstroemii", "Solanum delicatulum", "Solanum chalmersii", "Solanum monanthemon", "Solanum pabstii", "Solanum evonymoides", "Ochyrocera jarocha", "Ochyrocera pojoj", "Ochyrocera cachote", "Acanthoscurria chacoana", "Acanthoscurria convexa", "Acanthoscurria cordubensis", "Rimulanax aethiopica", "Acanthoscurria gomesiana", "Acanthoscurria paulensis", "Acanthoscurria proxima", "Acanthoscurria rhodothele", "Pamphobeteus petersi", "Lomelosia crenata", "Lomelosia crenata subsp. crenata", "Grammostola actaeon", "Cebrennus sumer", "Sahastata infuscata", "Cephalaria squamiflora subsp. squamiflora", "Cephalaria zeyheriana", "Filistata albens", "Diasimognathus crassicornis", "Ecitobium zikani", "Dipsacus asper", "Dipsacus comosus", "Ecitonides tuberculosus", "Sticta menziesii", "Filistata lubinae", "Filistata wunderlichi", "Canariphantes barrientosi", "Neostenotarsus guianensis", "Ecitotropis carinata", "Labidophites cariniceps", "Reversopelma petersi", "Grammostola pulchripes", "Acanthocalyx nepalensis", "Acanthocalyx nepalensis subsp. nepalensis", "Acrolophia cochlearis", "Acrolophia lamellata", "Lasiotydaeus tyroglyphinus", "Grammostola quirogai", "Lomelosia simplex subsp. simplex", "Bayana labordai", "Chaco castanea", "Chaco costai", "Chaco ansilta", "Leleupirinia aenigmatica", "Mimophites bouvieri", "Mimophites laticeps", "Synecitonides phasma", "Typhloleleupius doryloides", "Chaco obscura", "Tydeus ovatus", "Tydeus curtus", "Pterocephalus brevis", "Homaloxestis arcuatus", "Homaloxestis lactizonalis", "Furcalis hemigastra", "Pterocephalus depressus", "Homaloxestis subpallida", "Pterocephalus dumetorus", "Stilicastenus fasciatus", "Falcileptoneta baegunsanensis", "Falcileptoneta odaesanensis", "Falcileptoneta umyeonsanensis", "Falcileptoneta yebongsanensis", "Malena rugosa", "Falcileptoneta yongdamgulensis", "Ophryomedon crenatus", "Pseudastenus barretoi", "Ronetus ortinolus", "Iwogumoa taoyuandong", "Santiagonius gomezi", "Termitosaurus insinuatus", "Zonaster optatus", "Pterocephalus perennis", "Iwogumoa xieae", "Pterocephalus perennis subsp. perennis", "Attaxenus horridus", "Acrolophia micrantha", "Pterocephalus porphyranthus", "Mago brimodes", "Matinta apophysis", "Trimpleylepis concatenata", "Trimpleylepis juncta", "Ramsaasalepis porosa", "Kalanaspis delectabilis", "Vanda vietnamica", "Calanthe \u00d7 dominyi", "Solanum sect.", "Solanum sect.", "Pterocephalus virens", "Domene vulcanica", "Cyana dohertyi dohertyi", "Domene alticola", "Cyana dohertyi mertsana", "Cyana lada", "Cyana titovi", "Tropizodium peregrinum", "Tropizodium molokai", "Tropizodium trispinosum", "Prodidomus singulus", "Pseudanapis aloha", "Melanotydaeus humeralis", "Pseudanapis wilsoni", "Brachycorythis ovata", "Anapisona kartabo", "Anapisona platnicki", "Anapisona hamigera", "Corycium ingeanum", "Anapis mexicana", "Quercus yonganensis", "Anapis amazonas", "Tripectenopus caecus", "Corycium alticola", "Acer cappadocicum subsp. sinicum", "Solanum sect.", "Cleisocentron merrillianum", "Scabiosa lucida subsp. lucida", "Anapis hetschki", "Anapis saladito", "Anapis keyserlingi", "Acer cappadocicum subsp. divergens", "Anapis anchicaya", "Anapis atuncela", "Anapis guasca", "Anapis caluga", "Promenetus exacuous", "Talpa stankovici montenegrina", "Anapis monteverde", "Talpa stankovici stankovici", "Anapis felidia", "Anapis digua", "Lasiotydaeus krantzi", "Brachycorythis ovata subsp. ovata", "Brachycorythis ovata subsp. schweinfurthii", "Brachycorythis ovata subsp. welwitschii", "Pseudanapis benoiti", "Pseudanapis domingo", "Anapisona kethleyi", "Anapisona ashmolei", "Anapisona pecki", "Anapisona bordeaux", "Anapisona schuhi", "Anapisona aragua", "Anapisona simoni", "Anapisona furtiva", "Anapisona bolivari", "Notobium australicum", "Brachycorythis pubescens", "Anapisona guerrai", "Paederopsis myrmecophila", "Paulianidia brunnea", "Paulianidia densipennis", "Anapis nevada", "Paulianidia descarpentriesi", "Paulianidia vicina", "Brachycorythis wightii", "Platybrathium panamense", "Pseudanapis serica", "Pseudanapis schauenbergi", "Teutoniella plaumanni", "Teutoniella cekalovici", "Achenopsis inaequalis", "Achenopsis aequalis", "Argoderus panamensis", "Argoderus hylaeus", "Monoblemma unicum", "Disa spathulata", "Scaphiella barroana", "Scaphiella williamsi", "Disa spathulata subsp. spathulata", "Oonopinus centralis", "Uthina maya", "Uthina hylobatea", "Uthina mimpi", "Uthina huahinensis", "Quercus sapotifolia", "Uthina huifengi", "Microtydeus subtilis", "Microtydeus fenilis", "Microtydeus rectangulus", "Microtydeus similis", "Pseudalmenus barringtonensis", "Fedia graciliflora", "Fedia graciliflora subsp. graciliflora", "Patrinia villosa subsp. villosa", "Disa spathulata subsp. tripartita", "Modisimus dilutus", "Deroderus vestitus", "Deroderus latipes", "Deroderus punctipennis", "Ecitocleptis socia", "Ecitomedon bruchi", "Eusclerus rugifrons", "Eusclerus sordidus", "Exomedon andrewesi", "Disa versicolor", "Suillus luteus", "Eriovixia bannaensis", "Disa tripetaloides", "Araneus khingan", "Disa pillansii", "Quercus pacifica", "Quercus kinabaluensis", "Vanilla somae", "Quercus morii", "Quercus elmeri", "Quercus purulhana", "Lomelosia sphaciotica subsp. sphaciotica", "Lomelosia sphaciotica subsp. decalvans", "Anapis calima", "Anapis circinata", "Anapis choroni", "Anapis heredia", "Quercus brevicalyx", "Anapis meta", "Anapis chiriboga", "Anapis castilla", "Anapis minutissima", "Quercus motuoensis", "Quercus saltillensis", "Anapis anabelleae", "Anapis carmencita", "Anapis churu", "Anapis mariebertheae", "Anapis naranja", "Anapis nawchi", "Anapis shina", "Quercus viminea", "Forsteriola proloba", "Forsteriola rugosa", "Crozetulus rotundus", "Metanapis plutella", "Pseudanapis plumbea", "Metanapis mahnerti", "Crozetulus rhodesiensis", "Crozetulus scutatus", "Pleurocera canaliculata", "Cephalantheropsis longipes", "Hieracium robustum", "Buddleja speciosissima", "Quercus jonesii", "Lomelosia albocincta", "Euoplos ballidu", "Scabiosa japonica", "Patrinia gibbosa", "Patrinia heterophylla", "Calisto gundlachi", "Calisto siguanensis", "Calisto disjunctus", "Calisto sharkeyae", "Calisto lastrai", "Patrinia triloba", "Euoplos cornishi", "Euoplos kalbarri", "Euoplos mcmillani", "Euoplos saplan", "Lomelosia palaestina", "Euoplos bairnsdale", "Euoplos victoriensis", "Euoplos crenatus", "Euoplos goomboorian", "Euoplos thynnearum", "Euoplos turrificus", "Gourvesia insularis", "Scabiosa turolensis subsp. turolensis", "Disa comosa", "Quercus gomeziana", "Sixalix farinosa", "Sixalix cartenniana", "Disperis capensis", "Ochyrocera hamadryas", "Disperis capensis var. capensis", "Speocera molesta", "Speocera irritans", "Disperis capensis var. brevicaudata", "Disa woodii", "Disperis villosa", "Uthina javaensis", "Uthina muangensis", "Uthina potharamensis", "Uthina saiyokensis", "Uthina sarikaensis", "Uthina sulawesiensis", "Uthina wongpromi", "Uthina yunchuni", "Uthina zhigangi", "Centranthus lecoqii", "Uthina ratchaburi", "Uthina luzonica", "Labrocharis obsoleta", "Labrocharis fulvescens", "Labrocharis imitatrix", "Chorizopes casictones", "Centranthus trinervis", "Acidon sugii", "Clubiona gongi", "Valeriana alliariifolia var. tiliifolia", "Clubiona auberginosa", "Clubiona leptosa", "Clubiona tongdaoensis", "Valeriana bractescens", "Clubiona angulata", "Valeriana capitata subsp. capitata", "Valeriana saxatilis", "Clubiona wunderlichi", "Valeriana carnosa", "Clubiona pseudosaxatilis", "Valeriana macrocera", "Valeriana macrorhiza", "Valeriana occidentalis", "Valeriana apula", "Clubiona gongshan", "Clubiona lucida", "Clubiona grucollaris", "Clubiona alexeevi", "Clubiona hyrcanica", "Clubiona golovatchi", "Clubiona pseudosimilis", "Valeriana asarifolia", "Clubiona quebecana", "Valeriana celtica subsp. celtica", "Clubiona rybini", "Valeriana ciliosa", "Clubiona saurica", "Valeriana ciliosa subsp. ciliosa", "Valeriana columbiana", "Valeriana congesta subsp. congesta", "Clubiona bashkirica", "Quercus pubescens subsp. subpyrenaica", "Eulophia hians", "Iberesia valdemoriana", "Valeriana microphylla", "Valeriana elongata", "Valeriana excelsa", "Valeriana saliunca", "Tropidia somae", "Petrosedum amplexicaule", "Petrosedum orientale", "Petrosedum montanum", "Valeriana paniculata", "Rhipidoglossum caffrum", "Eulophia hians var. hians", "Valeriana pratensis", "Eulophia hians var. inaequalis", "Eulophia hians var. nutans", "Holmesina cryptae", "Valerianella discoidea", "Geodia cooksoni", "Valerianella leiocarpa", "Citronella gongonha", "Valeriana aequiloba", "Valeriana himalayana", "Valeriana fragilis", "Valeriana pycnantha", "Valerianella chenopodiifolia", "Valerianella coronata", "Eulophia ovalis var. bainesii", "Quercus pubescens subsp. crispata", "Holmesina rondoniensis", "Maurea simulans", "Valerianella nuttallii", "Vasconcellea heilbornii", "Medomonista perplexa", "Medomonista vexans", "Valerianella locusta subsp. locusta", "Collabium formosanum", "Collabium chinense", "Eulophia ovalis", "Eulophia ovalis var. ovalis", "Valeriana simplicifolia", "Valeriana spicata", "Valeriana triphylla", "Valeriana uliginosa", "Petrosedum albescens", "Eulophia tuberculata", "Petrosedum monteferraticum", "Petrosedum ochroleucum", "Malaisomedon osellai", "Malayanomedon chibai", "Petrosedum pruinatum", "Valerianella radiata", "Valerianella rimosa", "Valerianella szovitsiana", "Valerianella umbilicata", "Valerianella uncinata", "Valerianella ozarkana", "Valerianella palmeri", "Habenaria nyikana", "Habenaria nyikana subsp. nyikana", "Habenaria nyikana subsp. pubipetala", "Petrosedum subulatum", "Petrosedum sediforme", "Caryocar brasiliense subsp. brasiliense", "Caryocar edule", "Caryocar glabrum subsp. glabrum", "Cerastium alpinum subsp. alpinum", "Cerastium pauciflorum", "Myrmecomedon bruchi", "Neomedon princeps", "Neomedon puncticeps", "Neomedon densus", "Neomedon flohri", "Neomedon mexicanus", "Trichocentrum \u00d7 marvraganii", "Cerastium diffusum subsp. diffusum", "Evoplosoma virgo", "Evoplosoma scorpio", "Cerastium fontanum subsp. fontanum", "Nemesia berlandi", "Neomedon mollis", "Neomedon nigricans", "Neomedon rufipennis", "Neomedon sallaei", "Cerastium alpinum subsp. lanatum", "Cerastium banaticum subsp. banaticum", "Cerastium beeringianum subsp. beeringianum", "Thinocharis pygmaea", "Tipularia odorata", "Xenomedon formicaria", "Cerastium decalvans subsp. decalvans", "Quercus pubescens subsp. pubescens", "Cerastium brachypetalum subsp. brachypetalum", "Cerastium carinthiacum subsp. carinthiacum", "Cerastium subtriflorum", "Cerastium purpurascens subsp. purpurascens", "Neopronematus iranensis", "Nemesia apenninica", "Nemesia hastensis", "Nemesia pedemontana", "Nemesia bacelarae", "Nemesia ungoliant", "Cerastium glutinosum", "Ipomoea batatas var. margarita", "Nesomedon brunnescens", "Nesomedon oahuensis", "Nesomedon quadratus", "Ophioomma rufa", "Parascopaeus nitidus", "Perierpon hewitti", "Iberesia machadoi", "Scioporus apicipennis", "Scioporus breviceps", "Scioporus chontalenus", "Scioporus fulvescens", "Scioporus latifrons", "Scioporus parvidens", "Scioporus sellatus", "Scioporus signatus", "Stilocharis longula", "Iberesia castillana", "Suniotrichus capillaris", "Suniotrichus puncticollis", "Suniotrichus sordidus", "Floriaster maya", "Astronebris tatafilius", "Midgardia xandaros", "Drachmaster bullisi", "Pteraster acicula", "Doraster constellatus", "Cerastium arvense subsp. glandulosum", "Cerastium tenoreanum", "Cerastium lineare", "Nemesia bristowei", "Nemesia randa", "Nemesia santeugenia", "Nemesia seldeni", "Nemesia santeulalia", "Nemesia ibiza", "Ampheraster alaminos", "Solaster notophrynus", "Tamaria halperni", "Tamaria passiflora", "Pythonaster pacificus", "Cerastium moesiacum", "Cerastium nutans", "Cerastium nutans subsp. nutans", "Cerastium pedunculatum", "Vietnagone rugulosa", "Vietnagone silvatica", "Diplocephaloides uncatus", "Cerastium utriense", "Oia breviprocessia", "Cerastium vagans", "Oia sororia", "Cerastium vagans var. ciliatum", "Oia kathmandu", "Cerastium velutinum", "Cerastium viride", "Cerastium zhiguliense", "Hubertella orientalis", "Hubertella thankurensis", "Holosteum umbellatum subsp. umbellatum", "Hubertella montana", "Stellaria arvalis", "Stellaria borealis subsp. borealis", "Tydeus foliorum", "Pholcus turcicus", "Dendrochilum dempoense", "Erigone nepalensis", "Asthenargus thaleri", "Gongylidiellum kathmanduense", "Gongylidiellum nepalense", "Saloca khumbuensis", "Saloca gorapaniensis", "Berardius minimus", "Columbina picui picui", "Columbina picui strepitans", "Pseudocarorita thaleri", "Edbakerella bifurcatus", "Calanthea pulcherrima", "Calanthea stenosepala", "Caphexandra heydeana", "Stellaria cuspidata subsp. cuspidata", "Stellaria bungeana var. bungeana", "Stellaria diversiflora", "Stellaria flaccida", "Tydeus socius", "Palliduphantes cadiziensis", "Palliduphantes labilis", "Palliduphantes corsicos", "Microbotryum arcticum", "Improphantes huberti", "Stellaria gracilenta", "Hypomma brevitibiale", "Stellaria holostea subsp. holostea", "Hartmaniella sierrae", "Alioranus pastoralis", "Agyneta pseudorurestris", "Palliduphantes malickyi", "Stellaria calycantha subsp. calycantha", "Jerzego corticicola", "Jerzego alboguttatus", "Gastrocopta rupicola", "Jerzego bipartitus", "Jerzego sunillimaye", "Heterolinyphia tarakotensis", "Heterolinyphia secunda", "Martensinus micronetiformis", "Martensinus annulatus", "Paragongylidiellum caliginosum", "Linyphia nepalensis", "Agyneta pseudofuscipalpis", "Agyneta yulungiensis", "Agyneta bueko", "Agyneta jiriensis", "Agyneta muriensis", "Porrhomma marphaense", "Hilaira dapaensis", "Stellaria littoralis", "Scutpelecopsis wunderlichi", "Scutpelecopsis krausi", "Stellaria longipes subsp. longipes", "Scutpelecopsis loricata", "Savignia harmsi", "Tapinocyba abetoneensis", "Stellaria apetala", "Agyneta insulana", "Preslianthus detonsus", "Preslianthus panamensis", "Preslianthus pittieri", "Neocapparis quina", "Neocapparis pachaca", "Hymenaster regalis", "Tamaria stria", "Otacilia fansipan", "Stellaria nemorum", "Agyneta saaristoi", "Agyneta mesasiatica", "Agyneta alpica", "Stellaria nipponica", "Stellaria nitens", "Stellaria obtusa", "Epigyphantes epigynatus", "Dicranocephalus agilis", "Vagiphantes vaginatus", "Gypsophila gypsophiloides", "Dianthus arenarius subsp. arenarius", "Dianthus arenarius subsp. bohemicus", "Dianthus broteri", "Dianthus caespitosus subsp. caespitosus", "Dicranocephalus albipes", "Dicranocephalus medius", "Capparicordis crotonoides", "Capparicordis tweediana", "Capparicordis yunckeri", "Sachaliphantes sachalinensis", "Incestophantes cymbialis", "Stellaria pungens", "Ipa pepticus", "Stellaria roughii", "Stellaria ruscifolia", "Stellaria soongorica", "Acanthophyllum squarrosum", "Mesocapparis lineata", "Monilicarpa brasiliana", "Monilicarpa tenuisiliqua", "Hispaniolanthus dolichopodus", "Mughiphantes marusiki", "Flagelliphantes flagellifer", "Lepthyphantes hirsutus", "Lepthyphantes nenilini", "Mughiphantes aculifer", "Anguliphantes maritimus", "Anguliphantes ussuricus", "Incestophantes camtchadalicus", "Tenuiphantes ateripes", "Epibellowia enormita", "Dianthus pontederae", "Himalaphantes grandiculus", "Tydeus tiliarium", "Himalaphantes magnus", "Himalaphantes martensi", "Pelomyxa palustris", "Oryphantes cognatus", "Epibellowia pacifica", "Amaranthus tucsonensis", "Amaranthus tunetanus", "Dianthus carthusianorum subsp. latifolius", "Dianthus carthusianorum subsp. carthusianorum", "Platanthera australis", "Capparidastrum frondosum", "Fagus multinervis", "Amaranthus urceolatus", "Dianthus charidemi", "Tydeus salicis", "Platanthera albomarginata", "Amaranthus venulosus", "Platanthera amabilis", "Platanthera anatina", "Platanthera angustata", "Platanthera angustata var. angustata", "Tenuiphantes aduncus", "Platanthera angustata var. singgalangensis", "Platanthera aquilonis", "Aliptina acheronae", "Platanthera bakeriana", "Platanthera bhutanica", "Dianthus hyssopifolius subsp. gallicus", "Platanthera blephariglottis", "Platanthera blephariglottis var. blephariglottis", "Platanthera blephariglottis var. conspicua", "Platanthera blumei", "Dianthus giganteus subsp. giganteus", "Platanthera boninensis", "Stenonartonia polybioides", "Platanthera borneensis", "Platanthera brevicalcarata", "Dianthus glacialis subsp. glacialis", "Platanthera brevicalcarata subsp. brevicalcarata", "Platanthera brevicalcarata subsp. yakumontana", "Dianthus gracilis subsp. gracilis", "Platanthera brevifolia", "Platanthera calderoniae", "Cynophalla amplissima", "Calauta martini", "Altha melanopsis", "Altha pura", "Altha purina", "Alipta crenistria", "Cyana foya", "Dianthus furcatus subsp. lereschii", "Dianthus furcatus subsp. furcatus", "Cyana nambi", "Chrysocicada franceaustralae", "Dianthus haematocalyx subsp. pindicola", "Dianthus haematocalyx subsp. haematocalyx", "Pictila occidentalis", "Dianthus juniperinus subsp. bauhinorum", "Tydeus striatellus", "Dianthus balbisii subsp. knappii", "Quercus resinosa", "Quercus sadleriana", "Muscari pamiryigidii", "Muscari fatmacereniae", "Muscari tauricum", "Zouga fornicata", "Proseila capitata", "Steriphoma peruvianum", "Steriphoma urbanii", "Fritillaria asumaniae", "Dianthus seguieri subsp. seguieri", "Tydeus mori", "Dianthus serratifolius subsp. serratifolius", "Holcophora inderskella", "Holcophora obtusipalpis", "Dianthus repens subsp. repens", "Dianthus rupicola subsp. rupicola", "Holcophora pruinosella", "Holcophora statices", "Cosmopterix feminella", "Calyptrophora japonica", "Calyptrophora trilepis", "Dianthus lusitanus subsp. lusitanus", "Dianthus mooiensis subsp. mooiensis", "Dianthus myrtinervius subsp. myrtinervius", "Dianthus nitidus subsp. nitidus", "Dianthus orientalis subsp. orientalis", "Cephalaria anamurensis", "Steriphoma paradoxum subsp. macranthum", "Dianthus strictus subsp. strictus", "Dianthus monspessulanus subsp. monspessulanus", "Cynophalla declinata", "Cynophalla didymobotrys", "Cynophalla ecuadorica", "Dianthus seguieri subsp. glaber", "Cynophalla guayaquilensis", "Cynophalla heterophylla", "Cynophalla linearis", "Dianthus sylvestris subsp. sylvestris", "Dianthus burdurensis", "Nigella koyuncui", "Capparidastrum bonifazianum", "Capparidastrum coimbranum", "Capparidastrum cuatrecasasianum", "Morisonia oblongifolia", "Zatrephes laguerrei", "Colicodendron yco", "Dianthus petraeus subsp. petraeus", "Delias clathrata parsonsi", "Dianthus petraeus subsp. orbelicus", "Dianthus pinifolius subsp. pinifolius", "Dianthus plumarius subsp. plumarius", "Dianthus plumarius subsp. praecox", "Dianthus plumarius subsp. regis-stephani", "Darantasia apicata", "Polygala turcica", "Melanitta stejnegeri", "Colicodendron martianum", "Viola barhalensis", "Dianthus praecox", "Cynophalla mattogrossensis", "Cynophalla polyantha", "Cynophalla retusa", "Cynophalla sclerophylla", "Cynophalla sessilis", "Cynophalla tarapotensis", "Acrapex minima", "Cynophalla verrucosa", "Acrapex mondogeneta", "Acrapex mubale", "Halammohydra schulzei", "Acrapex robe", "Acrapex rubona", "Bryoria araucana", "Cnephasia razowskii", "Dianthus collinus subsp. glabriusculus", "Dianthus crinitus subsp. crinitus", "Neadeloides nubilus", "Dianthus fruticosus subsp. fruticosus", "Dianthus furcatus subsp. gyspergerae", "Cyana lowa", "Uroderma bilobatum trinitatum", "Dianthus moesiacus subsp. moesiacus", "Platanthera chorisiana var. chorisiana", "Platanthera chorisiana var. elata", "Uroderma bilobatum thomasi", "Platanthera ciliaris", "Capparidastrum discolor", "Capparidastrum grandiflorum", "Capparidastrum huberi", "Capparidastrum humile", "Capparidastrum megalospermum", "Fritillaria ozdemir-elmasii", "Darantasia caerulescens", "Darantasia xenodora", "Darantasia cyanifera", "Darantasia cyanoxantha", "Darantasia punctata", "Darantasia ecxanthia", "Dianthus diffusus", "Darantasia apicipuncta", "Darantasia pateta", "Darantasia nigripuncta", "Darantasia tigris", "Darantasia arfakensis", "Dianthus pungens subsp. pungens", "Darantasia nigrifimbria", "Darantasia flavapicata", "Darantasia emarginata", "Darantasia tenebris", "Dianthus pyrenaicus subsp. pyrenaicus", "Dichrorampha carpatalpina", "Platanthera finetiana", "Swiftia casta", "Centromerus serbicus", "Petrorhagia saxifraga subsp. saxifraga", "Saponaria caespitosa", "Saponaria cypria", "Centromerus andrei", "Bryoria irwinii", "Hellinsia novalima", "Lobaria hengduanensis", "Apopyllus malleco", "Apopyllus huanuco", "Apopyllus now", "Apopyllus ivieorum", "Gypsophila capillaris", "Gypsophila capillaris subsp. capillaris", "Apopyllus silvestrii", "Platanthera devolii", "Planorbula armigera", "Platanthera dulongensis", "Platanthera elegans", "Platanthera elegans subsp. elegans", "Platanthera elegans subsp. decurtata", "Pacifigorgia engelmanni", "Platanthera elliptica", "Leptogorgia clavata", "Platanthera elmeri", "Eugorgia aurantiaca", "Platanthera ephemerantha", "Platanthera epiphytica", "Neodrassex cachimbo", "Neodrassex ibirapuita", "Quadrella domingensis subsp. domingensis", "Neodrassex nordeste", "Platanthera colemanii", "Platanthera concinna", "Platanthera contigua", "Molestia molestus", "Platanthera convallariifolia", "Platanthera cooperi", "Birgerius microps", "Apopyllus suavis", "Apopyllus gandarela", "Amaranthus vulgatissimus", "Apopyllus aeolicus", "Gypsophila juzepczukii", "Apopyllus centralis", "Apopyllus atlanticus", "Haloclava producta", "Helicohedyle dikiki", "Neodrassex aureus", "Neodrassex iguatemi", "Cypsiurus gracilis", "Platanthera gonggana", "Platanthera guangdongensis", "Platanthera halconensis", "Platanthera handel-mazzettii", "Platanthera hologlottis", "Platanthera hondoensis", "Platanthera iinumae", "Platanthera japonica", "Dysdera insulana", "Dysdera levipes", "Dysdera paucispinosa", "Dysdera rugichelis", "Dysdera yguanirae", "Platanthera formosana", "Platanthera fujianensis", "Platanthera fuscescens", "Spilosoma clasnaumanni", "Polyphena chongzuoensis", "Nosphistica abunda", "Nosphistica apiculata", "Nosphistica subrectangula", "Nosphistica elliptica", "Nosphistica fusoidea", "Nosphistica grandiunca", "Nosphistica albimaculata", "Uroderma bakeri", "Ochyrotica bonitae", "Paraplatyptilia camacan", "Platanthera carnosilabris", "Platanthera chapmanii", "Paramuricea tenuis", "Platanthera chorisiana", "Tumicla elephantina", "Tumicla mbeghai", "Digitaria jubata", "Heliosperma alpestre", "Heliosperma pusillum", "Heliosperma pusillum subsp. pusillum", "Achyropsis laniceps", "Lissochlora klausi", "Achyropsis leptostachya", "Cidariplura nanling", "Cidariplura luding", "Cidariplura hbun", "Colicodendron scabridum", "Colicodendron valerabellum", "Centromerus balazuci", "Centromerus andriescui", "Centromerus anoculus", "Dysdera portisancti", "Pholcus dentatus", "Pholcus silvai", "Hogna nonannulata", "Oecobius linguiformis", "Oecobius selvagensis", "Ariadna canariensis", "Lobaria irrugulosa", "Salticus alegranzaensis", "Lobaria latilobulata", "Dysdera andamanae", "Dysdera arabisenen", "Dysdera iguanensis", "Platanthera longifolia", "Telopathes magnus", "Silene arenarioides", "Tyrannomolpus rex", "Achyranthes fasciculata", "Biancaea millettii", "Capparidastrum macrophyllum", "Capparidastrum mollicellum", "Capparidastrum osmanthum", "Capparidastrum petiolare", "Capparidastrum quiriguense", "Capparidastrum solum", "Capparidastrum sprucei", "Capparidastrum tafallanum", "Silene conica subsp. conica", "Achyranthes mangarevica", "Achyranthes marchionica", "Platanthera deflexilabella", "Holminaria sibirica", "Platanthera densa", "Holminaria pallida", "Platanthera densa subsp. densa", "Gypsophila struthium subsp. struthium", "Lycodon pictus", "Holminaria prolata", "Platanthera densa subsp. orientalis", "Achyranthes shahii", "Electrophorus varii", "Electrophorus voltai", "Capparidastrum tuxtlense", "Geranium baurianum", "Geranium bellum", "Geranium berteroanum", "Silene barrattei", "Silene baschkirorum", "Geranium bicknellii", "Geranium bockii", "Geranium brycei", "Geranium caeruleatum", "Barsine thagyamin", "Barsine hreblayi", "Barsine siberuta", "Petrocoptis grandiflora", "Petrocoptis pyrenaica", "Petrocoptis pyrenaica subsp. pyrenaica", "Geranium azorelloides", "Barsine cruciata", "Platanthera klossii", "Platanthera klossii var. klossii", "Platanthera klossii var. longicalcarata", "Geranium albicans", "Geranium albiflorum", "Geranium alpicola", "Geranium amatolicum", "Promalactis curviprocessa", "Geranium andicola", "Promalactis digitiuncata", "Platanthera komarovii", "Silene caroliniana", "Silene caroliniana subsp. caroliniana", "Eupithecia sergiana", "Silene colorata subsp. colorata", "Silene exaltata", "Silene rubella", "Silene sericea", "Buttenheimia dietzi", "Euscopaeus crassitarsis", "Euscopaeus gracilicornis", "Micranops brunneus", "Orus punctatus", "Silene cretacea", "Scopaeomerus chiriquensis", "Scopaeomerus guatemalenus", "Achyranthes ogatai", "Scopaeomerus obscurus", "Scopaeomerus palmatus", "Silene diclinis", "Achyranthes rotundifolia", "Silene dioica subsp. dioica", "Silene elisabethae", "Silene vallesia", "Muricea echinata", "Silene exscapa", "Silene fabaria subsp. domokina", "Silene fabaria subsp. fabaria", "Silene fabarioides", "Silene flavescens", "Promalactis equisaccula", "Platanthera kwangsiensis", "Geranium andringitrense", "Geranium antisanae", "Geranium angustipetalum", "Geranium antrorsum", "Promalactis circimacularis", "Silene acutifolia", "Geranium arabicum", "Promalactis foliuncata", "Promalactis spinivalvaris", "Geranium ardjunense", "Promalactis tenuiclavata", "Geranium asiaticum", "Geranium atlanticum", "Geranium ayacuchense", "Geranium ayavacense", "Platanthera leptocaulon", "Geranium balgooyi", "Geranium baschkyzylsaicum", "Platanthera leptopetala", "Platanthera linearifolia", "Platanthera longibracteata", "Platanthera longicalcarata", "Achyranthes diandra", "Heliosperma pusillum subsp. monachorum", "Tumicla admiranda", "Tumicla smithi", "Eupithecia nemrutica", "Achyropsis avicularis", "Achyropsis filifolia", "Achyropsis gracilis", "Petrocoptis crassifolia", "Achyropsis fruticulosa", "Megasis kocaki", "Platanthera kinabaluensis", "Petrocoptis glaucifolia", "Acrostilicus hospes", "Eustilicus crassidens", "Eustilicus dubius", "Eustilicus godmani", "Eustilicus gracilis", "Eustilicus mexicanus", "Eustilicus orbifer", "Achyranthes talbotii", "Platanthera mandarinorum", "Platanthera maximowicziana", "Platanthera mearnsii", "Platanthera miniangustata", "Platanthera minutiflora", "Platanthera muelleri", "Betta gladiator", "Geranium caespitosum", "Geranium californicum", "Peltigera neodegenii", "Achyranthes velutina", "Lathrorugilus starkei", "Platanthera nanlingensis", "Megastilicus formicarius", "Platanthera nantousylvatica", "Platanthera neglecta", "Silene flavescens subsp. flavescens", "Silene frivaldszkyana", "Silene fruticosa", "Silene fruticosa subsp. fruticosa", "Silene fuscata", "Peltigera islandica", "Silene legionensis", "Silene bernardina subsp. bernardina", "Silene berthelotiana", "Eupithecia gypsophilata", "Silene bupleuroides subsp. bupleuroides", "Eupithecia alexandriana", "Silene cambessedesii", "Eupithecia karenae", "Silene campanulata subsp. campanulata", "Geranium crenatifolium", "Charaxes staudingeri", "Geranium cruceroense", "Calanthe arcuata", "Calanthe arcuata subsp. arcuata", "Calanthe arcuata subsp. caudatilabella", "Polistes nimpha", "Silene involucrata subsp. involucrata", "Silene patula", "Silene littorea", "Geranium campanulatum", "Silene nicaeensis", "Geranium campii", "Geranium canescens", "Platanthera nematocaulon", "Geranium charucanum", "Geranium chilloense", "Geranium christensenianum", "Geranium clarkei", "Geranium comarapense", "Silene grayi", "Geranium contortum", "Geranium core-core", "Platanthera nubigena", "Geranium costaricense", "Charaxes everetti", "Calantica villosa", "Geranium crassipes", "Orophila cecidas", "Orophila diotima", "Silene hicesiae", "Silene hifacensis", "Silene hookeri", "Silene hookeri subsp. hookeri", "Silene hookeri subsp. bolanderi", "Pupa affinis", "Silene invisa", "Rasa litanga", "Macropsis infuscata", "Macropsis gravesteini", "Silene jailensis", "Silene keiskei", "Miltochrista rubricans", "Silene kingii", "Miltochrista szetschwanica", "Miltochrista aquila", "Miltochrista discisigna", "Miltochrista weidenhofferi", "Miltochrista unipuncta", "Miltochrista carnea", "Miltochrista modesta", "Silene laciniata subsp. laciniata", "Silene laciniata subsp. californica", "Orophila campaspe", "Silene laevigata", "Orophila cardases", "Platanthera obtusata", "Platanthera okuboi", "Platanthera oligantha", "Platanthera orbicularis", "Platanthera oreophila", "Platanthera ovatilabris", "Silene mariana", "Silene mellifera", "Terminalia calamansanay", "Terminalia alata", "Dichomeris fuscusitis", "Glyptosceloides dentatus", "Silene lemmonii", "Silene linicola", "Xerosiphon angustiflorus", "Xerosiphon aphyllus", "Silene littorea subsp. littorea", "Silene villosa", "Silene longipetala", "Tessellota cancellata", "Silene macrodonta", "Silene multiflora", "Silene muscipula subsp. muscipula", "Corynephage omega", "Silene nemoralis", "Lexias dirtea boisduvalii", "Quaternella confusa", "Quaternella ephedroides", "Appendicula reflexa", "Silene obtusifolia", "Silene occidentalis", "Quaternella glabratoides", "Sinopieris dubernardi lixianensis", "Tidestromia carnosa", "Tidestromia eliassoniana", "Euochin atrata", "Tidestromia gemmata", "Chinattus undulatus", "Tidestromia rhizomatosa", "Tidestromia tenella", "Tidestromia valdesiana", "Tidestromia suffruticosa", "Silene nutans subsp. nutans", "Platanthera roseotincta", "Geranium lainzii", "Geranium lignosum", "Geranium multiceps", "Geranium pilgerianum", "Geranium santanderiense", "Geranium sebosum", "Geranium stoloniferum", "Geranium subnudicaule", "Geranium velutinum", "Geranium kotschyi", "Geranium linearilobum", "Geranium persicum", "Geranium tuberaria", "Geranium yunnanense", "Geranium yoshinoi", "Geranium koreanum", "Senecio carhuanishoensis", "Appendicula reflexa var. reflexa", "Pseudoplantago friesii", "Maratus aurantius", "Pseudoplantago bisteriliflora", "Maratus cinereus", "Maratus lentus", "Maratus neptunus", "Appendicula reflexa var. cycloglossa", "Saratus hesperus", "Appendicula reflexa var. kotoensis", "Uroballus carlei", "Appendicula aberrans", "Andrias sligoi", "Maratus boranup", "Maratus flavus", "Maratus tortus", "Maratus unicup", "Maratus cuspis", "Maratus icarus", "Maratus sylvestris", "Maratus albus", "Maratus australis", "Maratus bubo", "Maratus lobatus", "Maratus tessellatus", "Maratus vespa", "Maratus vultus", "Jotus remus", "Maratus fimbriatus", "Silene oregana", "Silene otites subsp. otites", "Dibelonetes melzeri", "Dibelophacis horni", "Stilicopsis paradoxa", "Stiliphacis occipitalis", "Saitis virgatus", "Silene perlmanii", "Stilosaurus rulomus", "Stilosaurus coronalis", "Stilosaurus lineatus", "Silene petersonii", "Saitis mutans", "Silene ramosissima", "Silene reinwardtii", "Geodia conchilega", "Maratus madelineae", "Maratus hortorum", "Maratus proszynskii", "Suniocharis modesta", "Suniocharis fragilis", "Suniocharis nigrescens", "Suniosaurus cuadriceps", "Suniophacis concolor", "Suniophacis hubbardi", "Lepidisis simplex", "Takydromus sauteri", "Takydromus kuehnei", "Takydromus formosanus", "Takydromus hani", "Takydromus madaensis", "Takydromus luyeanus", "Takydromus viridipunctatus", "Takydromus hsuehshanensis", "Takydromus intermedius", "Takydromus khasiensis", "Takydromus sikkimensis", "Takydromus wolteri", "Takydromus sylvaticus", "Candalides geminus geminus", "Parmelia sulymae", "Candalides geminus gagadju", "Platanthera sachalinensis", "Platanthera saprophytica", "Platanthera shriveri", "Platanthera sikkimensis", "Platanthera sonoharae", "Platanthera pachycaulon", "Platanthera pachyglossa", "Platanthera pallida", "Platanthera papuana", "Plumarella aurea", "Platanthera peichatieniana", "Maratus cristatus", "Platanthera pollostantha", "Maratus electricus", "Maratus gemmifer", "Platanthera purpurascens", "Maratus melindae melindae", "Maratus melindae corus", "Maratus trigonus", "Platanthera replicata", "Maratus nimbus", "Maratus sapphirus", "Maratus jactatus", "Maratus sceletus", "Silene ovata", "Maratus elephans", "Speyeria hesperis", "Silene parishii", "Parmelia imbricaria", "Maratus personatus", "Silene parnassica", "Silene parnassica subsp. parnassica", "Silene parnassica subsp. hayekiana", "Maratus clupeatus", "Dibelonetes apterus", "Dibelonetes schmidti", "Dibelonetes vulcanus", "Silene parryi", "Silene sachalinensis", "Pfaffia gnaphaloides", "Platanthera whangshanensis", "Silene samojedorum", "Platanthera yadongensis", "Silene thymifolia", "Silene sargentii", "Platanthera yosemitensis", "Platanthera zijinensis", "Platanthera zothecina", "Geranium stapfianum", "Geranium jaekelae", "Geranium nepalense", "Stenisis humilis", "Silene saxifraga", "Silene saxifraga subsp. saxifraga", "Pfaffia townsendii", "Silene schafta", "Platanthera stapfii", "Phyllocnistis ourea", "Platanthera stenantha", "Phyllocnistis phoebus", "Platanthera stenoglossa", "Phyllocnistis selene", "Platanthera superantha", "Cephalochetus indicus", "Cephalochetus elegans", "Chetocephalus maritimus", "Platanthera taiwanensis", "Cryptafrum costatum", "Cryptafrum hoyoense", "Cryptafrum occidentale", "Platanthera tescamnis", "Cryptofagiella wauthyi", "Silene rotundifolia", "Platanthera undulata", "Silene rubella subsp. rubella", "Platanthera uniformis", "Platanthera urceolata", "Maratus montanus", "Silene verecunda", "Platanthera \u00d7 andrewsii", "Lambulosia aurantiaca", "Silene tomentosa", "Lambulosia arabuensis", "Lambulosia gemmata", "Silene tunetana", "Helicodiscus parallelus", "Anacochylidia maderana", "Silene sedoides subsp. runemarkii", "Trechona excursora", "Trechona cotia", "Trechona uniformis", "Silene sorensenis", "Trechona diamantina", "Silene stockenii", "Silene struthioloides", "Euoplos grandis", "Silene succulenta", "Silene succulenta subsp. succulenta", "Silene tamaranae", "Caloptilia guacanivora", "Silene scouleri subsp. scouleri", "Silene secundiflora subsp. secundiflora", "Silene sedoides subsp. sedoides", "Silene sennenii", "Pfaffia tuberosa", "Euoplos festivus", "Platanthera \u00d7 canbyi", "Pfaffia acutifolia", "Takydromus yunkaiensis", "Sticta arachnofuliginosa", "Pfaffia aphylla", "Maratus leo", "Pfaffia argyrea", "Maratus literatus", "Sticta arbuscula", "Maratus maritimus", "Geranium platyanthum", "Geranium madrense", "Geranium matucanense", "Geranium pylzowianum", "Geranium killipii", "Geranium pseudofarreri", "Geranium hayatanum", "Geranium deltoideum", "Geranium yaanense", "Geranium nyassense", "Geranium maximowiczii", "Geranium dregei", "Muricea laxa", "Muricea squarrosa", "Pfaffia cipoana", "Pfaffia rupestris", "Euoplos inornatus", "Silene waldsteinii", "Pedersenia completa", "Silene dubia", "Platanthera \u00d7 channellii", "Platanthera \u00d7 correllii", "Platanthera \u00d7 enigma", "Platanthera \u00d7 hybrida", "Pfaffia aurata", "Xiphorhynchus ocellatus beauperthuysii", "Platanthera \u00d7 apalachicola", "Euochin albopalpalis", "Euochin bulbus", "Platanthera \u00d7 beckneri", "Euochin poloi", "Xiphorhynchus erythropygius aequatorialis", "Platanthera \u00d7 bicolor", "Primnoella polita", "Corrigiola litoralis subsp. litoralis", "Corrigiola telephiifolia", "Telephium imperati", "Telephium imperati subsp. imperati", "Gymnocarpos decandrus", "Herniaria alpina", "Sticta isidiokunthii", "Pionites leucogaster leucogaster", "Pionites leucogaster xanthomeria", "Timon kurdistanicus", "Pionites melanocephalus melanocephalus", "Pionites melanocephalus pallidus", "Sticta maculofuliginosa", "Protodontopteryx ruthae", "Sticta microcyphellata", "Radicipes pleurocristatus", "Sticta papillata", "Sticta rhizinata", "Euoplos ornatus", "Sticta rubropruinosa", "Euoplos similaris", "Euoplos variabilis", "Sticta silverstonei", "Euoplos spinnipes", "Sticta tunjensis", "Herniaria ciliolata", "Herniaria ciliolata subsp. ciliolata", "Herniaria cinerea", "Herniaria cinerea subsp. cinerea", "Herniaria fontanesii", "Herniaria fontanesii subsp. fontanesii", "Herniaria fruticosa", "Pfaffia denudata", "Pfaffia dunaliana", "Herniaria glabra subsp. glabra", "Pfaffia elata", "Pfaffia fruticulosa", "Herniaria mauritanica", "Pfaffia glabrata", "Paronychia ahartii", "Pfaffia gleasonii", "Paronychia arabica subsp. arabica", "Pfaffia helichrysoides", "Pfaffia hirtula", "Pfaffia jubata", "Arenaria aggregata subsp. aggregata", "Arenaria tetraquetra", "Pfaffia patiensis", "Pfaffia tayronensis", "Arenaria ciliata subsp. ciliata", "Pfaffia siqueiriana", "Pfaffia velutina", "Arenaria conimbricensis subsp. conimbricensis", "Arenaria deflexa subsp. deflexa", "Platanthera \u00d7 hollandiae", "Arenaria erinacea subsp. erinacea", "Teira dugesii", "Platanthera \u00d7 inouei", "Arenaria grandiflora subsp. grandiflora", "Platanthera \u00d7 lueri", "Platanthera \u00d7 mixta", "Platanthera \u00d7 ophryotipuloides", "Platanthera \u00d7 osceola", "Platanthera \u00d7 reznicekii", "Platanthera \u00d7 vossii", "Arenaria provincialis", "Tmesiphantes hypogeus", "Arenaria pungens subsp. pungens", "Arenaria purpurascens", "Shivparvatia rhodantha", "Arenaria montana subsp. montana", "Arenaria ciliata subsp. multicaulis", "Tmesiphantes nubilus", "Tmesiphantes amadoi", "Arenaria norvegica subsp. norvegica", "Tmesiphantes caymmii", "Tmesiphantes bethaniae", "Tmesiphantes riopretano", "Tmesiphantes perp", "Arenaria polytrichoides", "Tmesiphantes mirim", "Arenaria polytrichoides var. densissima", "Arenaria tetraquetra subsp. murcica", "Arenaria serpens", "Sticta viviana", "Moehringia bavarica", "Moehringia sedoides", "Noumea serpens", "Pfaffia minarum", "Pfaffia ninae", "Pfaffia rotundifolia", "Timon tangitanus", "Timon pater", "Timon nevadensis", "Pfaffia sarcophylla", "Barychelus badius", "Ammonius papulus", "Atrophothele socotrana", "Pfaffia sericantha", "Sticta atroandensis", "Sticta brevior", "Tropidosaura cottrelli", "Tropidosaura essexi", "Tropidosaura gularis", "Paronychia aretioides", "Sticta lumbschiana", "Barycheloides rouxi", "Pfaffia tuberculosa", "Pfaffia miraflorensis", "Moehringia pendula", "Moehringia villosa", "Diplostephium sagasteguii", "Gentianella weberbaueri", "Actinostella bradleyi", "Knautia carinthiaca", "Knautia calycina", "Knautia basaltica", "Afroscotonomus mulengensis", "Dolicaon lathrobioides", "Eremogone kingii var. glabrescens", "Knautia godetii", "Knautia pancicii", "Knautia \u00d7 norica", "Laavsnartius inexpectatus", "Moehringia ciliata", "Moehringia glaucovirens", "Moehringia umbrosa", "Knautia visianii", "Knautia velebitica", "Knautia travnicensis", "Knautia transalpina", "Moehringia muscosa", "Moehringia pichleri", "Knautia tatarica", "Candidella imbricata", "Sticta macrocyphellata", "Sticta parahumboldtii", "Sticta pseudohumboldtii", "Liolaemus chehuachekenk", "Arenaria lanuginosa subsp. lanuginosa", "Arenaria leptoclados subsp. leptoclados", "Calanthe arisanensis", "Calanthe davidii", "Dicax arculus", "Dicax cephalotes", "Dicax rubripennis", "Macrodicax potens", "Eremogone congesta var. charlestonensis", "Knautia foreziensis", "Suniopsis singularis", "Knautia fleischmannii", "Knautia dalmatica", "Acaratopus edenus", "Knautia subscaposa", "Knautia subcanescens", "Knautia sarajevensis", "Knautia rupicola", "Coelastrea tenuis", "Knautia ressmannii", "Knautia persicina", "Knautia pectinata", "Knautia numantina", "Knautia mollis", "Knautia lucana", "Knautia legionensis", "Knautia kitaibelii", "Knautia illyrica", "Knautia gussonei", "Ellisella funiculina", "Sticta hirsutofuliginosa", "Sticta jaguirreana", "Sticta macrofuliginosa", "Sticta minutula", "Paronychia fastigiata", "Paronychia kapela", "Paronychia kapela subsp. kapela", "Paronychia kapela subsp. serpyllifolia", "Paronychia polygonifolia", "Paronychia rechingeri", "Paronychia rugelii", "Paronychia sessiliflora", "Paronychia chilensis", "Paronychia chilensis subsp. chilensis", "Paronychia coquimbensis", "Sticta phyllidiofuliginosa", "Sticta plumbeociliata", "Arenaria suffruticosa", "Paronychia canariensis", "Paronychia capitata", "Sudanus wagneri", "Paronychia capitata subsp. capitata", "Allopaederus mirandus", "Diplopaederus sutteri", "Eupaederus buehleri", "Paronychia cephalotes", "Paronychia cephalotes subsp. cephalotes", "Knautia mauritanica", "Oncopaederus brachypterus", "Knautia \u00d7 alleizettei", "Abirus fortunei", "Leptogorgia ampla", "Knautia \u00d7 chassagnei", "Knautia \u00d7 cousturieri", "Knautia \u00d7 dobrogensis", "Knautia \u00d7 intercedens", "Knautia \u00d7 lamottei", "Knautia \u00d7 oecsemensis", "Sticta globulifuliginosa", "Knautia \u00d7 sambucifolia", "Knautia \u00d7 sennenii", "Knautia \u00d7 sequanica", "Paronychia chlorothyrsa", "Knautia \u00d7 spectabilis", "Knautia \u00d7 ujhelyii", "Chrysogorgia multiflora", "Knautia trachytica", "Paronychia chlorothyrsa subsp. chlorothyrsa", "Knautia arvernensis subsp. arvernensis", "Paronychia echinulata", "Paronychia echinulata subsp. echinulata", "Abirus elongatus", "Abirus laticornis", "Abirus xishuangensis", "Drymaria cordata subsp. cordata", "Drymaria cordata var. pacifica", "Ortegia hispanica", "Austromegabalanus carrioli", "Cryptomirea bertiae", "Formicocephalus uranoscopus", "Himalobium apterum", "Homaeotarsus bakerianus", "Cyornis pelingensis", "Matropium basilewskyanum", "Matropium celisianum", "Matropium kahuziense", "Matropium nitidulum", "Matropium rufipenne", "Matropium rugulipenne", "Cyornis sumatrensis", "Cyornis whitei", "Arenaria tetraquetra subsp. tetraquetra", "Scillaelepas brasiliensis", "Paronychia brasiliana", "Knautia slovaca", "Knautia caroli-rechingeri", "Knautia clementii", "Plathypodema australe", "Platydolicaon arachnites", "Pseudobolitocharina pacifica", "Pedioplanis gaerdesi", "Ophisops occidentalis", "Ophisops microlepis", "Pseuderemias striatus", "Sticta arbusculotomentosa", "Scotticus abyssinicus", "Serrolabis lualabensis", "Sticta gallowayana", "Paronychia canadensis", "Schoenus pictus", "Polycarpaea latifolia", "Polycarpaea longiflora", "Polycarpaea repens", "Polycarpaea repens subsp. repens", "Psammodromus microdactylus", "Philochortus neumanni", "Philochortus zolii", "Psammodromus edwardsianus", "Erythropitta palliceps", "Polycarpaea robbairea", "Polycarpaea robbairea subsp. robbairea", "Polycarpaea tenuis", "Saussurea sugimurae", "Polycarpon tetraphyllum subsp. tetraphyllum", "Deinodryinus bimaculatus", "Bulbophyllum albociliatum var. albociliatum", "Elfdaliana profundimontana", "Philochortus rudolfensis", "Polycarpon succulentum", "Pycnophyllum bryoides", "Scopulophila rixfordii", "Stipulicida setacea", "Bufonia tenuifolia", "Bufonia paniculata", "Xanthonia angulata", "Xanthonia furcata", "Xanthonia intermedia", "Xanthonia monticola", "Xanthonia serrata", "Xanthonia striata", "Xanthonia dentata", "Xanthonia pilosa", "Solanum graniticola", "Solanum exarmatum", "Omanosaura cyanura", "Omanosaura jayakari", "Mesalina adramitana", "Tmesiphantes aridai", "Mesalina pasteuri", "Mesalina olivieri", "Evarcha dena", "Mesalina simoni", "Solanum praetermissum", "Meroles knoxii", "Pachomius lehmanni", "Alternanthera canescens", "Bufonia mauritanica", "Pedersenia argentata", "Maratus occasus", "Artines panama", "Sabulina verna", "Sabulina verna subsp. verna", "Colobanthus acicularis", "Colobanthus kerguelensis", "Maratus aquilus", "Maratus combustus", "Xanthonia vagans", "Maratus felinus", "Maratus sagittus", "Drypis spinosa", "Drypis spinosa subsp. spinosa", "Eupoa prima", "Evarcha bulbosa", "Latastia cherchii", "Xanthonia villosula", "Latastia ornata", "Latastia siebenrocki", "Solanum junctum", "Pedersenia cardenasii", "Podarcis erhardii", "Podarcis cretensis", "Podarcis lilfordi", "Podarcis milensis", "Podarcis raffonei", "Podarcis gaigeae", "Pedersenia costaricensis", "Podarcis melisellensis", "Podarcis siculus", "Xanthonia decemnotata", "Podarcis tauricus", "Minuartia bosniaca", "Facchinia cherlerioides", "Artines solange", "Facchinia cherlerioides subsp. cherlerioides", "Artines delfos", "Artines litoralis", "Artines liege", "Artines bamba", "Artines angelica", "Artines cofus", "Artines donia", "Minuartia corcontica", "Artines aepitus", "Sabulina douglasii", "Sabulina elegans", "Plega mixteca", "Plega sonorae", "Plega spinosa", "Plega stangei", "Minuartia hirsuta subsp. hirsuta", "Coccus giliomeei", "Sabulina tenuifolia subsp. tenuifolia", "Darevskia clarkorum", "Darevskia rostombekovi", "Darevskia dahli", "Darevskia alpina", "Darevskia unisexualis", "Darevskia uzzelli", "Darevskia mixta", "Darevskia bithynica", "Darevskia valentini", "Darevskia raddei", "Darevskia derjugini", "Darevskia saxicola", "Darevskia portschinskii", "Darevskia lindholmi", "Lacerta trilineata", "Lacerta strigata", "Lacerta pamphylica", "Sabulina glaucina", "Iresine latifolia", "Pedersenia pulverulenta", "Acanthodactylus gongrorhynchatus", "Acanthodactylus felicis", "Acanthodactylus opheodurus", "Acanthodactylus haasi", "Agaricus subg.", "Acanthodactylus boueti", "Pedersenia weberbaueri", "Pedersenia volubilis", "Acanthodactylus blanci", "Acanthodactylus spinicauda", "Acanthodactylus tilburyi", "Acanthodactylus senegalensis", "Agnetina donans", "Acanthodactylus schreiberi", "Acanthodactylus grandis", "Podarcis peloponnesiacus", "Xanthonia stevensi", "Gastropholis prasina", "Eremias stummeri", "Eremias vermiculata", "Mcneillia graminifolia subsp. graminifolia", "Eremias grammica", "Eremias multiocellata", "Solanum adoxum", "Eremias szczerbaki", "Eremias kokshaaliensis", "Eremias nigrocellata", "Xanthonia marquai", "Eremias lineolata", "Xanthonia picturata", "Xanthonia parva", "Xanthonia hirsuta", "Xanthonia nitida", "Xanthonia texana", "Eremias aria", "Xanthonia querci", "Solanum capitaneum", "Eremias andersoni", "Eremias afghanistanica", "Pedersenia hassleriana", "Algyroides moreoticus", "Algyroides fitzingeri", "Archaeolacerta bedriagae", "Flacillula incognita", "Hasarius orientalis", "Pedersenia macrophylla", "Sabulina fontinalis", "Sabulina austriaca", "Sabulina tenuifolia subsp. vaillantiana", "Calanthe graciliflora", "Agaricus sect.", "Sabulina juniperina", "Sabulina juniperina subsp. juniperina", "Sabulina kryloviana", "Calanthe lyroglossa", "Calanthe lyroglossa var. lyroglossa", "Acanthodactylus arabicus", "Saussurea hosoiana", "Acanthodactylus blanfordii", "Acanthodactylus longipes", "Acanthodactylus pardalis", "Acanthodactylus robustus", "Acanthodactylus orientalis", "Acanthodactylus aureus", "Lithophila muscoides", "Acanthodactylus bedriagai", "Acanthodactylus dumerilii", "Acanthodactylus yemenicus", "Acanthodactylus ahmaddisii", "Acanthodactylus savignyi", "Acanthodactylus maculatus", "Acanthodactylus tristrami", "Acanthodactylus cantoris", "Dermatophagoides pteronyssinus", "Acanthodactylus guineensis", "Acanthodactylus aegyptius", "Poromera fordii", "Acantholaelaps strategus", "Gaeolaelaps cubaensis", "Minuartia glomerata subsp. glomerata", "Hebius sangzhiensis", "Calanthe lyroglossa var. actinomorpha", "Calanthe lyroglossa var. longibracteata", "Calanthe griffithii", "Minuartia montana", "Minuartia montana subsp. montana", "Minuartia mutabilis", "Minuartia mutabilis subsp. mutabilis", "Swolnpes darwini", "Swolnpes morganensis", "Calanthe angustifolia", "Sagina decumbens", "Calanthe aquamarina", "Calanthe arfakana", "Calanthe aruank", "Sagina decumbens subsp. decumbens", "Calanthe aurantiaca", "Sabulina rossii", "Minuartia mucronata", "Minuartia mucronata subsp. mucronata", "Minuartia recurva subsp. bulgarica", "Minuartia setacea", "Teyl vancouveri", "Minuartia setacea subsp. setacea", "Agaricus sect.", "Sticta fuscotomentosa", "Sticta subfilicinella", "Teyl luculentus", "Eremogone picta", "Agaricus subg.", "Sabulina pusilla", "Agaricus sect.", "Minuartia recurva subsp. recurva", "Stachys kurdica subsp. kurdica", "Sabulina stolonifera", "Teyloides bakeri", "Stachys kurdica subsp. asterocalyx", "Sabulina thymifolia", "Stachys agraria", "Calanthe abbreviata", "Calanthe aceras", "Stachys eremicola", "Sabulina viscosa", "Calanthe alba", "Stachys melissifolia", "Calanthe albolutea", "Calanthe alleizettei", "Calanthe alpina", "Calanthe alta", "Stachys candida", "Stachys canescens", "Stachys chrysantha", "Calanthe aureiflora", "Hesperonatalius maxwelli", "Knautia serpentinicola", "Hesperonatalius harrietae", "Hesperonatalius langlandsi", "Sagina glabra", "Kwonkan wonganensis", "Lithophila subscaposa", "Mcneillia stellata", "Lithophila radicata", "Agaricus subg.", "Teyl damsonoides", "Teyl harveyi", "Teyl walkeri", "Teyl yeni", "Sabulina nuttallii", "Teyl heuretes", "Stachys cretica subsp. smyrnaea", "Stachys cretica subsp. trapezuntica", "Stachys euboica", "Cherleria capillacea", "Cherleria laricifolia", "Cherleria laricifolia subsp. laricifolia", "Cherleria obtusiloba", "Cherleria sedoides", "Aname mellosa", "Aname aragog", "Sagina saginoides subsp. saginoides", "Aname ellenae", "Aname marae", "Moca austrasinensis", "Agaricus subg.", "Stachys cretica subsp. lesbiaca", "Kwonkan goongarriensis", "Stachys annua subsp. annua", "Kwonkan anatolion", "Kwonkan eboracum", "Kwonkan moriartii", "Kwonkan silvestris", "Stachys inflata subsp. caucasica", "Stachys inflata subsp. inflata", "Colquhounia elegans", "Colquhounia elegans var. elegans", "Colquhounia elegans var. tenuiflora", "Stachys alpina subsp. dinarica", "Campanula saxifraga subsp. aucheri", "Hebius nicobariense", "Hebius celebicum", "Hebanthe occidentalis", "Pleorotus braueri", "Honckenya peploides subsp. peploides", "Knautia shepardii", "Saurodactylus brosseti", "Saurodactylus fasciatus", "Calanthe balansae", "Calanthe baliensis", "Calanthe beamanii", "Calanthe beleensis", "Calanthe bicalcarata", "Namea capricornia", "Namea brisbanensis", "Namea bunya", "Namea calcaria", "Namea callemonda", "Namea cucurbita", "Namea dahmsi", "Namea dicalcaria", "Namea excavans", "Namea jimna", "Namea nebulosa", "Namea olympus", "Namea salanitri", "Namea saundersi", "Namea flavomaculata", "Aname kirrama", "Sagina nodosa subsp. nodosa", "Agaricus sect.", "Sagina procumbens subsp. procumbens", "Mononeuria patula", "Calanthe biloba", "Mononeuria uniflora", "Saurodactylus elmoudenii", "Saurodactylus slimanii", "Saurodactylus harrisii", "Saurodactylus splendidus", "Pseudocherleria imbricata", "Knautia velutina", "Hebanthe pulverulenta", "Achalinus ater", "Achalinus rufescens", "Achalinus niger", "Achalinus hainanus", "Thomasettia seychellana", "Hebanthe spicata", "Achalinus jinggangensis", "Scleranthus uniflorus", "Scleranthus verticillatus", "Guilleminea chacoensis", "Guilleminea fragilis", "Guilleminea hirsuta", "Calanthe camptoceras", "Calanthe cardioglossa", "Calanthe carrii", "Spergula arvensis subsp. arvensis", "Stipax triangulifer", "Hebanthe reticulata", "Thelcticopis cuneisignata", "Stachys goulimyi", "Thelcticopis folia", "Argiope dang", "Pseudopoda wang", "Olios muang", "Psammocora stellata", "Calanthe bingtaoi", "Calanthe bivalvis", "Calanthe brassii", "Calanthe brevicornu", "Calanthe burkei", "Psychotria balfouriana", "Agaricus sect.", "Stachys iva", "Olios tikaderi", "Pseudopoda straminiosa", "Pseudomassariosphaeria bromicola", "Scleranthus intermedius", "Scleranthus brockiei", "Scleranthus perennis subsp. perennis", "Hebius miyajimae", "Hebius metusium", "Neostasina macleayi", "Neostasina saetosa", "Hebanthe grandiflora", "Hebius sarawacense", "Neostasina bicolor", "Hebius modestum", "Hebius pryeri", "Hebius sauteri", "Hebius octolineatum", "Hebius craspedogaster", "Hebius flavifrons", "Hebius petersii", "Hebius sanguineum", "Hebius monticola", "Hebius popei", "Hebius inas", "Hebius boulengeri", "Hebius deschauenseei", "Hebius optatum", "Hebius parallelum", "Hebius sarasinorum", "Hebius johannis", "Hebius khasiense", "Herpetoreas pealii", "Blanus mettetali", "Bipes tridactylus", "Bipes canaliculatus", "Bipes biporus", "Cadea blanoides", "Paederus vastus", "Trogonophis wiegmanni", "Pachycalamus brevis", "Agamodon compressus", "Agamodon arabicus", "Agamodon anguliceps", "Pareas nuchalis", "Pareas stanleyi", "Pareas hamptoni", "Prionoderita nixa", "Cypripedium \u00d7 fred-mulleri", "Bolanthus ortegioides", "Cyathophylla viscosa", "Spergularia media subsp. media", "Guilleminea gracilis", "Spergularia rupicola", "Aname barrema", "Aname blackdownensis", "Araeocerus niger", "Aname camara", "Xenodermus javanicus", "Aname carina", "Fimbrios klossi", "Aname collinsorum", "Aname humptydoo", "Aname inimica", "Aname longitheca", "Aname robertsorum", "Aname tigrina", "Aname warialda", "Aname atra", "Aname distincta", "Aname diversicolor", "Aname pallida", "Spergularia canadensis", "Extraordinarius andrematosi", "Extraordinarius brucedickinsoni", "Extraordinarius klausmeinei", "Extraordinarius rickalleni", "Diminutella cortina", "Neostasina amalie", "Neostasina baoruco", "Neostasina bermudezi", "Neostasina bryantae", "Neostasina cachote", "Neostasina croix", "Neostasina elverde", "Neostasina granpiedra", "Neostasina guanaboa", "Neostasina gunboat", "Neostasina iberia", "Neostasina jamaicana", "Neostasina liguanea", "Neostasina lucea", "Neostasina mammee", "Neostasina maroon", "Hebius atemporale", "Neostasina montegordo", "Hebius annamensis", "Hebius chapaensis", "Hebius clerki", "Hebius bitaeniatum", "Neostasina oualie", "Hebius venningi", "Herpetoreas xenura", "Neostasina siempreverde", "Neostasina taino", "Neostasina turquino", "Hebius groundwateri", "Neostasina virginensis", "Hebius taronense", "Neostasina antiguensis", "Hebius andreae", "Hebius beddomei", "Hebius frenatum", "Hebius kerinciense", "Neostasina lucasi", "Spergularia segetalis", "Spergula villosa", "Silene bungei", "Pareas macularius", "Pareas komaii", "Thysanomeros ulateae", "Saussurea andoana", "Galopinus parallelus", "Xylophis stenorhynchus", "Xylophis perroteti", "Spergularia canadensis subsp. canadensis", "Leleupauchmetes africanus", "Spergularia echinosperma", "Spergularia echinosperma subsp. echinosperma", "Pareas carinatus", "Pareas boulengeri", "Spergularia fimbriata", "Paracalantica ikedai", "Pseudomassariosphaeria grandispora", "Spergularia macrotheca", "Conothele giganticus", "Conothele khunthokhanbi", "Pareas chinensis", "Pareas margaritophorus", "Pareas formosensis", "Pareas monticola", "Conothele vali", "Pinonepalus cassagnaui", "Diplothele gravelyi", "Diplothele tenebrosus", "Pinostygus galapagoensis", "Chrysso angula", "Miolithocharis lithographica", "Charhyphus brevicollis", "Dytoscotes pacificus", "Micryletta aishani", "Thrigmopoeus truculentus", "Sason rameshwaram", "Damarchilus nigricus", "Damarchilus rufus", "Ecbletus simplex", "Medmassa christae", "Iridogorgia pourtalesii", "Eopiestus groehni", "Eupiestus sculpticollis", "Paleosiagonium adaequatum", "Paleosiagonium brevelytrum", "Guilleminea elongata", "Allocasuarina lehmanniana subsp. lehmanniana", "Propiestus archaicus", "Paracalantica newmani", "Gossypianthus brittonii", "Allocasuarina muelleriana subsp. muelleriana", "Diploderma brevipes", "Gossypianthus lanuginosus", "Humua takeuchii", "Allocasuarina rigida subsp. rigida", "Thysanomeros jacobyi", "Flammeascoma bambusae", "Conothele linzhi", "Conothele jinggangshan", "Conothele baisha", "Allocasuarina acutivalvis subsp. acutivalvis", "Conothele baoting", "Levasseurius katanganus", "Knautia godetii subsp. lebrunii", "Knautia godetii subsp. godetii", "Allocasuarina diminuta subsp. diminuta", "Conothele varvarti", "Dianthus fruticosus subsp. occidentalis", "Dianthus fruticosus subsp. amorginus", "Dianthus fruticosus subsp. rhodius", "Dianthus fruticosus subsp. karavius", "Dianthus fruticosus subsp. carpathus", "Dianthus fruticosus subsp. sitiacus", "Paracalantica rossi", "Dianthus fruticosus subsp. creticus", "Cryocolaspis crinita", "Dianthus juniperinus subsp. juniperinus", "Prionodera adiastola", "Prionodera arimanes", "Prionodera dichroma", "Prionodera esmeralda", "Prionodera furcada", "Prionodera gaiophanes", "Prionodera nila", "Jansonius aeneus", "Elaeodendron melanocarpum", "Froelichia paraguayensis", "Elaeodendron schinoides", "Euonymus alatus subsp. alatus", "Philodryas chamissonis", "Philodryas simonsii", "Philodryas tachymenoides", "Cautinia brevicornis", "Casuarina collina", "Protactus erichsonii", "Casuarina cunninghamiana subsp. cunninghamiana", "Casuarina equisetifolia subsp. equisetifolia", "Flammeascoma lignicola", "Knautia subscaposa subsp. saetabensis", "Philodryas trilineata", "Epictia albipuncta", "Pristidactylus scapulatus", "Gymnostoma chamaecyparis", "Greys conciliator", "Protrichonyx rafifrons", "Gymnostoma poissonianum", "Amauropus lobipes", "Arnicratea grahamii", "Brexia madagascariensis subsp. madagascariensis", "Canotia holacantha", "Cassine burkeana", "Knautia dinarica subsp. silana", "Knautia dinarica subsp. dinarica", "Euonymus carnosus", "Linum acuticarpum", "Linum adustum", "Linum aethiopicum", "Linum allredii", "Linum amurense", "Linum appressum", "Linum bahamense", "Linum basarabicum", "Linum berlandieri", "Froelichia procera", "Linum betsiliense", "Linum brachypetalum", "Linum brevifolium", "Linum brevistylum", "Linum burkartii", "Linum caespitosum", "Linum carneum", "Linum carnosulum", "Froelichia sericea", "Agave neocernua", "Diplolaemus bibronii", "Diplolaemus leopardinus", "Diplolaemus sexcinctus", "Anisolepis grilli", "Anisolepis longicauda", "Enyalius iheringii", "Enyalius perditus", "Enyalius boulengeri", "Enyalius brasiliensis", "Urostrophus gallardoi", "Froelichia tomentosa", "Froelichia interrupta", "Froelichia juncea", "Elaeodendron albens", "Froelichia latifolia", "Froelichia nudicaulis", "Elaeodendron balae", "Zopherobatrus tianmingyii", "Lembosia xyliae", "Pristidactylus torquatus", "Pisiscalpellum withersi", "Serendib muadai", "Serendib suthepica", "Serendib volans", "Diplodia crataegicola", "Diplodia galiicola", "Myrmecium carvalhoi", "Diplodia mutila", "Myrmecium urucu", "Myrmecium malleum", "Myrmecium machetero", "Myrmecium ferro", "Myrmecium chikish", "Cassine peragua subsp. peragua", "Myrmecium pakpaka", "Myrmecium oompaloompa", "Myrmecium otti", "Ventridens ligera", "Cucurbitaria ephedricola", "Euonymus occidentalis subsp. occidentalis", "Calanthe chloroleuca", "Calanthe chrysoglossoides", "Calanthe clavata", "Agaricus sect.", "Blutaparon wrightii", "Agaricus subsect.", "Agaricus subsect.", "Dianthus juniperinus subsp. pulviniformis", "Dianthus juniperinus subsp. heldreichii", "Dianthus juniperinus subsp. idaeus", "Dianthus juniperinus subsp. kavusicus", "Dianthus juniperinus subsp. aciphyllus", "Vetuproteinus cretaceus", "Protopselaphus watrousi", "Protopselaphus burckhardti", "Protopselaphus crowsoni", "Protopselaphus frogneri", "Protopselaphus grandis", "Protopselaphus loebli", "Protopselaphus poringensis", "Protopselaphus taylori", "Ascocylindrica marina", "Ceroncinus setosus", "Linum emirnense", "Linum erigeroides", "Linum euboeum", "Linum filiforme", "Linum flagellare", "Caryospora aquatica", "Linum floridanum", "Linum flos-carmini", "Linum gaditanum", "Linum goulimyi", "Linum gracile", "Fossiger assmuthi", "Articerodites ellipticus", "Commatocerus elegantulus", "Froelichia xanti", "Euonymus cochinchinensis", "Euonymus cornutus", "Euonymus crenulatus", "Froelichia texana", "Calanthe caulescens", "Calanthe caulodes", "Calanthe zollingeri", "Calanthe ceciliae", "Linum carratracense", "Linum chaborasicum", "Linum compactum", "Linum comptonii", "Linum cratericola", "Linum cremnophilum", "Liolaemus pseudoanomalus", "Linum cruciatum", "Linum cubense", "Linum doerfleri", "Linum elongatum", "Myrmecium bolivari", "Myrmecium luepa", "Myrmecium erici", "Myrmecium amphora", "Myrmecium carajas", "Celastrus hypoleucus", "Froelichia arizonica", "Myrmecium tanguro", "Myrmecium recettii", "Myrmecium souzai", "Myrmecium catuxy", "Myrmecium lomanhungae", "Myrmecium cizauskasi", "Myrmecium oliveirai", "Myrmecium tikuna", "Myrmecium deladanta", "Myrmecium diasi", "Celastrus paniculatus subsp. paniculatus", "Myrmecium raveni", "Myrmecium indicattii", "Myrmecium yamamotoi", "Myrmecium nogueirai", "Froelichia chacoensis", "Crash bandicoot", "Oonops viridans", "Froelichia humboldtiana", "Gomphrena lanata", "Denhamia celastroides", "Denhamia oleaster", "Margaritifera auricularia", "Pyrgus cinarae", "Pristidactylus fasciatus", "Pristidactylus achalensis", "Pristidactylus araucanus", "Pristidactylus casuhatiensis", "Pristidactylus alvaroi", "Pristidactylus valeriae", "Pristidactylus volcanensis", "Pristidactylus nigroiugulus", "Diplolaemus darwinii", "Eupsinoides glabrellus", "Hetereuplectus retrorsus", "Mehuinia inexpectata", "Monyx spiculatus", "Philodryas varia", "Nugator stricticollis", "Blutaparon portulacoides var. commersonii", "Philodryas agassizii", "Didymocarpus anningensis", "Cantabroplectus pas", "Lotus spectabilis", "Linum guatemalense", "Linum gyaricum", "Linum gypsogenium", "Linum harlingii", "Linum hellenicum", "Linum heterostylum", "Saussurea pulchella", "Neodidymella thailandica", "Gymnosporia szyszylowiczii subsp. szyszylowiczii", "Gymnosporia elliptica", "Iresine discolor", "Iresine domingensis", "Euonymus spraguei", "Euonymus sachalinensis var. tricarpus", "Iresine ajuscana", "Saussurea nakagawae", "Euonymus vagans", "Euonymus vagans subsp. vagans", "Iresine alternifolia", "Iresine arbuscula", "Thymus longidentatus", "Iresine arrecta", "Iresine borschii", "Iresine cassiniiformis", "Gymnosporia lucida", "Calanthe clavicalcar", "Iresine flavescens", "Gymnosporia polyacantha", "Gymnosporia polyacantha subsp. polyacantha", "Calanthe claytonii", "Gymnosporia polyacantha subsp. vacciniifolia", "Iresine flavopilosa", "Gymnosporia montana", "Allogona profunda", "Lydenburgia abbottii", "Pseudohalonectria lignicola", "Gymnosporia cassinoides", "Iresine hebanthoides", "Denhamia cunninghamii", "Denhamia disperma", "Gymnosporia nemorosa", "Linum imbricatum", "Linum intercursum", "Linum iranicum", "Linum jimenezii", "Linum keniense", "Linum khorassanicum", "Linum kingii", "Linum kurdicum", "Linum lasiocarpum", "Linum leucanthum", "Linum longipes", "Linum lundellii", "Linum macraei", "Linum macrocarpum", "Linum macrorhizum", "Blutaparon rigidum", "Linum marianorum", "Linum marojejyense", "Agaricus sect.", "Viola cheeseana", "Philodryas olfersii", "Philodryas livida", "Philodryas arnaldoi", "Philodryas erlandi", "Agaricus sect.", "Philodryas patagoniensis", "Philodryas nattereri", "Philodryas mattogrossensis", "Philodryas cordata", "Scabritiopsis caeca", "Philodryas aestiva", "Agaricus subg.", "Calanthe celebica", "Calanthe chevalieri", "Goodyera fumata", "Mortonia utahensis", "Goodyera rubicunda", "Gymnosporia puberula", "Gymnosporia pyria", "Thripophaga amacurensis", "Iresine heterophylla", "Iresine interrupta", "Iresine jaliscana", "Calanthe daymanensis", "Calanthe delavayi", "Calanthe devogelii", "Calanthe dulongensis", "Calanthe duyana", "Hedraianthera porphyropetala", "Callisaurus draconoides", "Kokoona zeylanica", "Ladislavella elodes", "Linum mcvaughii", "Linum mexicanum", "Linum modestum", "Linum mysorense", "Lauridia tetragona", "Mystroxylon aethiopicum", "Loganellia matura", "Shielia multispinata", "Mystroxylon aethiopicum subsp. aethiopicum", "Agaricus sect.", "Cleland loftyensis", "Paralogania klubovi", "Agaricus sect.", "Paralogania consimilis", "Agaricus sect.", "Paralogania menneri", "Paralogania wilsoni", "Paralogania kachanovi", "Paralogania kaarmisensis", "Paralogania tarranti", "Paxistima myrsinites subsp. myrsinites", "Agaricus sect.", "Agaricus sect.", "Calanthe coiloglossa", "Calanthe conspicua", "Calanthe coodei", "Calanthe cootesii", "Calanthe cremeoviridis", "Calanthe crenulata", "Agaricus sect.", "Iresine hartmanii", "Calanthe crispifolia", "Calanthe cruciata", "Calanthe crumenata", "Calanthe crystallina", "Calanthe curvatoascendens", "Calanthe davaensis", "Gymnosporia tenuispina", "Gymnosporia thompsonii", "Gymnosporia wightiana", "Pleurostylia opposita", "Pleurostylia pachyphloea", "Pterocelastrus echinatus", "Pterocelastrus tricuspidatus", "Robsonodendron maritimum", "Linum ramosissimum", "Linum rupestre", "Linum rzedowskii", "Linum salsoloides", "Linum scabrellum", "Linum schiedeanum", "Anoectochilus formosanus", "Agaricus sect.", "Chrysomma sinense hypoleucum", "Agaricus sect.", "Lepidophyma occulor", "Lepidophyma dontomasi", "Lepidophyma radula", "Lepidophyma lineri", "Lepidophyma mayae", "Lepidophyma reticulatum", "Lepidophyma sylvaticum", "Agaricus sect.", "Lepidophyma gaigeae", "Chrysomma altirostre scindicum", "Lepidophyma micropholis", "Lepidophyma pajapanensis", "Lepidophyma smithii", "Lepidophyma tuxtlae", "Lepidophyma lowei", "Phyllodactylus delcampoi", "Sparassis subalpina", "Paralogania perensae", "Thelodus visvaldi", "Thelodus matukhini", "Thelodus calvus", "Plenckia populnea", "Agaricus sect.", "Iresine laurifolia", "Loganellia unispinata", "Nethertonodus prodigialis", "Nethertonodus laadjalaensis", "Lophosteus canadensis", "Lophosteus ohesaarensis", "Lophosteus uralensis", "Iresine leptoclada", "Cricosaura typica", "Calanthe ecallosa", "Monteverdia buxifolia", "Calanthe ecarinata", "Xantusia bolsonae", "Xantusia extorris", "Calanthe emeishanica", "Xantusia vigilis", "Linum nelsonii", "Linum numidicum", "Calanthe epiphytica", "Linum ockendonii", "Monteverdia macrocarpa", "Calanthe fargesii", "Xantusia henshawi", "Linum olgae", "Xantusia riversiana", "Xantusia arizonae", "Linum orizabae", "Xantusia sanchezi", "Xantusia gracilis", "Linum pallasianum", "Xantusia bezyi", "Linum phitosianum", "Linum polygaloides", "Calanthe finisterrae", "Linum pratense", "Linum pringlei", "Linum prostratum", "Linum pungens", "Linum quadrifolium", "Siphonodon australis", "Tetradactylus breyeri", "Tetradactylus udzungwensis", "Tetradactylus africanus", "Tetradactylus eastwoodae", "Tetradactylus ellenbergeri", "Gerrhosaurus skoogi", "Gerrhosaurus typicus", "Gerrhosaurus auritus", "Gerrhosaurus bulsi", "Linum scoparium", "Gerrhosaurus multilineatus", "Gerrhosaurus nigrolineatus", "Ventridens gularis", "Linum silpii", "Linum smithii", "Linum stocksianum", "Agaricus sect.", "Iresine diffusa f. lindenii", "Agaricus subg.", "Agaricus sect.", "Agaricus sect.", "Linum subbiflorum", "Linum tenellum", "Linum thesioides", "Linum thunbergii", "Linum toxicum", "Linum turcomanicum", "Graphis mikuraensis", "Crotaphytus insularis", "Linum ucranicum", "Linum uninerve", "Linum velutinum", "Linum vernale", "Rhabdodiscus inalbescens", "Linum villarianum", "Linum villosum", "Linum violascens", "Crossopetalum ilicifolium", "Linum volkensii", "Aucklandea fusca", "Linum westii", "Chandlerea donaldi", "Nunnea johni", "Nunnea kuscheli", "Loeseneriella africana", "Sauromalus varius", "Sauromalus hispidus", "Sauromalus klauberi", "Pristimera paniculata", "Monteverdia robusta", "Lilium concolor var. concolor", "Lilium concolor var. megalanthum", "Lilium concolor var. partheneion", "Lilium humboldtii subsp. humboldtii", "Leschenea richardi", "Brounea yoonhoi", "Brounea sunjaei", "Brounea mangamukaensis", "Brounea daehyuni", "Crossopetalum uragoga", "Brounea seongmoi", "Brounea mijeongae", "Brounea sungryongi", "Brounea chorui", "Brounea seungili", "Brounea setiventris", "Brounea tenuis", "Agaricus sect.", "Cuervea kappleriana", "Tricerma phyllanthoides", "Agaricus sect.", "Gymnosporia acuminata", "Laticauda crockeri", "Laticauda schistorhynchus", "Hydromorphus dunni", "Rhadinella posadasi", "Sauromalus slevini", "Nannoscincus slevini", "Masticophis slevini", "Trimetopon slevini", "Sceloporus slevini", "Amphisbaena slevini", "Hypsiglena slevini", "Petrosaurus slevini", "Pseudalsophis slevini", "Emoia slevini", "Pseudoexeirarthra colorata", "Pseudoexeirarthra puncticollis", "Pseudoexeirarthra sungmini", "Pseudoexeirarthra kwangguki", "Pseudoexeirarthra youngboki", "Pseudoexeirarthra seiwoongi", "Pseudoexeirarthra parkeri", "Pseudoexeirarthra hlavaci", "Pseudoexeirarthra nomurai", "Loeseneriella bourdillonii", "Barybryaxis lata", "Loeseneriella pauciflora", "Prionostemma aspera", "Petrosaurus mearnsi", "Petrosaurus repens", "Pristimera arnottiana", "Pristimera longipetiolata", "Paria virginiae", "Paria opacicollis", "Paria thoracica", "Paria sellata", "Paria canella", "Paria arizonensis", "Paria aterrima", "Linum hirsutum subsp. bozdaghense", "Gastrodonta interna", "Schoenus pseudoloreus", "Hydrophis atriceps", "Dendrobium compressum", "Dendrobium klabatense", "Cuora picturata", "Rhabdophis rudis", "Paria frosti", "Paria barnesi", "Paria quadriguttata", "Paria blatchleyi", "Paria sexnotata", "Paria quadrinotata", "Paria fragariae", "Paria scutellaris", "Eupsenius glaber", "Caligocara carinifera", "Comatopselaphus opacicollis", "Pselaptus belfragei", "Taprobanea spathulata", "Agaricus sect.", "Pristiloma chersinella", "Linum ayliniae", "Ctenosaura quinquecarinata", "Ctenosaura nolascensis", "Ctenosaura macrolopha", "Ctenosaura palearis", "Ctenosaura clarki", "Ctenosaura conspicuosa", "Ctenosaura flavidorsalis", "Morunasaurus groi", "Morunasaurus peruvianus", "Enyalioides cofanorum", "Iresine nigra", "Iresine orientalis", "Iresine palmeri", "Enyalioides heterolepis", "Enyalioides oshaughnessyi", "Gambelia copeii", "Gambelia sila", "Iresine pedicellata", "Salacia oblongifolia", "Salacia aurantiaca", "Iresine pringlei", "Salacia chinensis", "Salacia fruticosa", "Tulipa zonneveldii", "Iresine rotundifolia", "Salacia rehmannii", "Iresine rzedowskii", "Salacia reticulata", "Salacia floribunda", "Pyrostria commersonii", "Stackhousia monogyna", "Uropeltis bicatenata", "Scincella modesta", "Rhabdophis himalayanus", "Ovophis monticola", "Podocoryna pruvoti", "Stackhousia intermedia", "Stackhousia muricata", "Stackhousia nuda", "Stackhousia spathulata", "Stackhousia viminea", "Chasiempis ibidis", "Stackhousia clementii", "Tontelea mauritioides", "Tontelea passiflora", "Scincella assata", "Celosia longifolia", "Scincella incerta", "Odontoschisma denudatum", "Calanthe geelvinkensis", "Calanthe gibbsiae", "Calanthe goodenoughiana", "Calanthe graciliscapa", "Kaestlea beddomii", "Kaestlea travancorica", "Kaestlea bilineata", "Psammomoya choretroides", "Calanthe fissa", "Calanthe flava", "Stackhousia umbellata", "Iresine schaffneri", "Iresine sousae", "Syzygospora tumefaciens", "Ovophis tonkinensis", "Ovophis convictus", "Ovophis zayuensis", "Scincella apraefrontalis", "Scincella devorator", "Scincella darevskii", "Scincella formosensis", "Scincella monticola", "Lygosoma isodactylum", "Scincella potanini", "Scincella victoriana", "Membranobalanus porphyrophilus", "Alternanthera adscendens", "Alternanthera albida", "Alternanthera albosquarrosa", "Alternanthera altacruzensis", "Clytorhynchus sanctaecrucis", "Boreotethys arctopteryx", "Boreotethys grimaldii", "Alternanthera aquatica", "Ascarina polystachya", "Chrysobalanus icaco subsp. icaco", "Amphiesmoides ornaticeps", "Anoplohydrus aemulans", "Smilium acutum", "Alternanthera arequipensis", "Ascarina rubricaulis", "Alternanthera areschougii", "Chloranthus elatior", "Cretobythus excavatus", "Chloranthus fortunei", "Chloranthus holostegius", "Alternanthera austrotrinidadis", "Alternanthera axillaris", "Alternanthera bahiensis", "Calanthe habbemensis", "Grguria lolae", "Leptobythus palaui", "Aulacobythus carinatipennis", "Aulacobythus loebli", "Rhabdophis akraios", "Sarcandra glabra subsp. glabra", "Calanthe judithiae", "Sarcandra chloranthoides", "Calanthe jusnerii", "Alternanthera calcicola", "Atuna racemosa subsp. racemosa", "Alternanthera cana", "Atuna indica", "Hirtella glandulosa", "Alternanthera crassifolia", "Hirtella gracilipes", "Hirtella hebeclada", "Hirtella hoehnei", "Hirtella racemosa", "Hirtella racemosa var. racemosa", "Alternanthera decurrens", "Alternanthera dendrotricha", "Mechanicus chlamydophorus", "Hedyosmum orientale", "Calanthe johorensis", "Hedyosmum racemosum", "Acrocomus cribratus", "Hedyosmum cumbalense", "Cuora cyclornata cyclornata", "Nedarassus punctatus", "Simplicorfa grovei", "Machadous punctatus", "Aulacobythus banalipes", "Calanthe flava var. flava", "Calanthe flava var. rubra", "Bhesa indica", "Calanthe floresana", "Calanthe forbesii", "Calanthe tenuis", "Calanthe fragrans", "Bhesa ceylanica", "Calanthe fugongensis", "Biokovobythus radici", "Scincella gemmingeri", "Scincella cherriei", "Scincella barbouri", "Scincella rupicola", "Scincella lateralis", "Scincella ochracea", "Scincella silvicola", "Scincella melanosticta", "Scincella doriae", "Scincella punctatolineata", "Scincella rara", "Iresine stricta", "Iresine valdesii", "Kaestlea laterimaculata", "Kaestlea palnica", "Lygosoma lineata", "Lygosoma vosmaeri", "Lygosoma popae", "Lygosoma tabonorum", "Lygosoma corpulentum", "Lygosoma lineolatum", "Lygosoma haroldyoungi", "Lygosoma frontoparietale", "Lygosoma angeli", "Lygosoma singha", "Lygosoma pruthi", "Lygosoma goaensis", "Lygosoma bampfyldei", "Lygosoma anguinum", "Lygosoma herberti", "Lygosoma koratense", "Lygosoma guentheri", "Lygosoma siamensis", "Lygosoma schneideri", "Lygosoma opisthorhodum", "Haackgreerius miopus", "Lamprolepis leucosticta", "Lamprolepis nieuwenhuisi", "Lamprolepis vyneri", "Desserobdella picta", "Rhabdophis subminiatus", "Rhabdophis chrysargos", "Rhabdophis auriculatus", "Velebythus turkalji", "Rhabdophis swinhonis", "Rhabdophis callistus", "Rhabdophis chrysargoides", "Rhabdophis conspicillatus", "Rhabdophis ceylonensis", "Rhabdophis nigrocinctus", "Rhabdophis murudensis", "Rhabdophis leonardi", "Rhabdophis angeli", "Rhabdophis callichroma", "Rhabdophis nuchalis", "Rhabdophis lineatus", "Rhabdophis adleri", "Rhabdophis flaviceps", "Rhabdophis rhodomelas", "Rhabdophis plumbicolor", "Berlaraxis coomani", "Berlaraxis punctata", "Rhabdophis pentasupralabialis", "Calanthe halconensis", "Calanthe hancockii", "Tenguobythus decoratus", "Tenguobythus nasalis", "Tenguobythus pentagonus", "Tenguobythus rhinoceros", "Tenguobythus yama", "Calanthe hattorii", "Calanthe henryi", "Calanthe herbacea", "Saussurea x iwateyamensis", "Calanthe hirsuta", "Calanthe hololeuca", "Calanthe hoshii", "Calanthe hyacinthina", "Calanthe imthurnii", "Calanthe inflata", "Calanthe insularis", "Aulacorhynchus whitelianus", "Paratapinophis praemaxillaris", "Breguetiella miserezi", "Bythinoderes grabowskyi", "Alternanthera cinerella", "Cephalaxis championi", "Craspedopterus ghesquierei", "Alternanthera collina", "Delamarea laticeps", "Alternanthera congesta", "Ectoparyphidius globosus", "Ectoparyphodes incisifrons", "Saxochelys gilberti", "Thiocapsa roseopersicina", "Alternanthera flavicoma", "Alternanthera flavida", "Ectoparyphus pauliani", "Alternanthera cordobensis", "Elaphobythus leleupi", "Euharmophola carinata", "Gnesion rufulum", "Goniomellus vrijdaghi", "Alternanthera coriacea", "Harmomima grandiceps", "Harmomima impressicollis", "Alternanthera corymbiformis", "Harmophola clavata", "Hypoparyphantus bucculentus", "Loebliobythus fimbriaticollis", "Alternanthera costaricensis", "Dactyladenia cinerea", "Linum esterhuysenae", "Hirtella ciliata", "Tainochus imperator", "Liodytes pygaea", "Licania humilis", "Licania littoralis", "Calanthe kaniensis", "Calanthe kemulensis", "Calanthe keshabii", "Somatochlora borisi", "Calanthe kinabaluensis", "Trachischium tenuiceps", "Trachischium guentheri", "Trachischium monticola", "Trachischium laeve", "Licania nitida", "Alternanthera flava", "Alternanthera gracilis", "Calanthe labrosa", "Calanthe lacerata", "Calanthe lambii", "Calanthe lamellosa", "Diopatra amboinensis", "Parinari leontopitheci", "Valda frontalis", "Lysidice ninetta", "Onuphis eremita", "Maranthes polyandra", "Moquilea tomentosa", "Moquilea salzmannii", "Parastemon urophyllus", "Alternanthera filifolia", "Opisthotropis maxwelli", "Opisthotropis lateralis", "Opisthotropis latouchii", "Opisthotropis andersonii", "Xenochrophis trianguligerus", "Xenochrophis cerasogaster", "Xenochrophis maculatus", "Xenochrophis bellulus", "Parinari capensis", "Parinari capensis subsp. capensis", "Bidoupia phongii", "Bidoupia khangii", "Smilium boninense", "Thiopedia rosea", "Calanthe lancilabris", "Linum jimenezii subsp. willkommii", "Calanthe lechangensis", "Calanthe leonidii", "Calanthe leucosceptrum", "Linum jimenezii subsp. jimenezii", "Lagisca floccosa", "Helianthemum canum subsp. canum", "Helianthemum apenninum subsp. croceum", "Helianthemum ellipticum", "Alternanthera helleri", "Helianthemum hirtum", "Helianthemum hirtum subsp. hirtum", "Helianthemum juliae", "Alternanthera elongata", "Crocus keltepensis", "Hydrophis torquatus", "Hydrophis stricticollis", "Hydrophis melanosoma", "Hydrophis cantoris", "Smilium aries", "Desserobdella phalera", "Licania sclerophylla", "Mimoplectus orientalis", "Oxygastrobythus loebli", "Paryphantellus latipennis", "Paryphopterus brevicollis", "Phthartomicrus externus", "Platycerobythus lamellifer", "Pseudoterus crassicornis", "Adelophis copei", "Adelophis foxi", "Potamogeton alpinus", "Potamogeton friesii", "Rossites rossii", "Atretium yunnanensis", "Potamogeton obtusifolius", "Potamogeton rutilus", "Iguanognathus werneri", "Potamogeton praelongus", "Salpictomelus pachys", "Herpetoreas platyceps", "Stuckenia vaginata", "Pygoxyon scydmaeniforme", "Speleobama vana", "Hydrablabes periops", "Hydrablabes praefrontalis", "Hydraethiops melanogaster", "Opisthotropis guangxiensis", "Apistogramma eremnopyge", "Opisthotropis daovantieni", "Opisthotropis balteata", "Opisthotropis tamdaoensis", "Helianthemum alypoides", "Alternanthera grandis", "Helianthemum apenninum subsp. apenninum", "Helianthemum caput-felis", "Crocanthemum carolinianum", "Glycera dibranchiata", "Bansartiella gabriellae", "Bansartiella endroedyi", "Helianthemum canum subsp. ciscaucasicum", "Ceophyllus monilis", "Opisthotropis atra", "Helianthemum almeriense", "Opisthotropis rugosa", "Opisthotropis typica", "Opisthotropis kuatunensis", "Opisthotropis spenceri", "Alternanthera galapagensis", "Tmesiphoroides cariniger", "Xenotmesiphorus messoris", "Cymbalizon tyroides", "Dantiscanus costalis", "Deuterotyrus redivivus", "Pammiges spectrum", "Alternanthera geniculata", "Opisthotropis maculosa", "Opisthotropis jacobi", "Opisthotropis cheni", "Calanthe leuseri", "Calanthe ligo", "Calanthe limprichtii", "Calanthe longgangensis", "Calanthe longibracteata", "Calanthe longifolia", "Cinnamomum cambodianum", "Chalcoplectus depressus", "Collacerothorax sculpticeps", "Decumarellus sarbui", "Helianthemum ledifolium subsp. ledifolium", "Franziotus hirsutus", "Helianthemum lini", "Helianthemum lunulatum", "Enoplobranchus sanguineus", "Fumana ericifolia", "Alternanthera micrantha", "Tetraglyptinus longifrons", "Tolga curticornis", "Woldenka barroensis", "Biotus formicarius", "Ctenistodes claviger", "Ctenistodites pachycerus", "Halimium atriplicifolium", "Hynneophorus franzi", "Laphidioderomimus madecassus", "Parastectenis spinosus", "Stectenidius latitarsis", "Acmoeonotus motschoulskyi", "Halimium calycinum", "Mestogastridius punctaticeps", "Halimium halimifolium", "Pachygastrodes minimipennis", "Pachygastrodirius descarpentriesi", "Pachygastrodirius globulicollis", "Halimium halimifolium subsp. halimifolium", "Margaris imperialis", "Halimium lasianthum subsp. lasianthum", "Halimium ocymoides", "Halimium umbellatum subsp. umbellatum", "Hydraethiops laevis", "Limnophis bangweolicus", "Limnophis bicolor", "Isanophis boonsongi", "Oeselia mosaica", "Karksilepis parva", "Karksiodus mirus", "Rhadinacanthus deltosquamosus", "Hirtella santosii", "Ginkgolepis tenericostatus", "Alternanthera dominii", "Hirtella zanzibarica", "Hirtella zanzibarica subsp. zanzibarica", "Archegonaspis bashkirica", "Alternanthera echinocephala", "Cyathaspis alexanderi", "Tolypelepis bedovensis", "Atychodea simoniana", "Atychodea raffrayi", "Atychodea singularis", "Cylindrarctus americanus", "Hyugatychus teizonagatomoi", "Hyugatychus formosanus", "Hyugatychus tokunoshimensis", "Lucifotychus impellus", "Lucifotychus newelli", "Ouachitychus parvoculus", "Rhabdops olivaceus", "Liodytes rigida", "Thiocapsa bogorovii", "Helianthemum asperum", "Helianthemum asperum subsp. asperum", "Hudsonia montana", "Cerambyciscapha dohertyi", "Diatelium wallacei", "Euscaphidium tuberosum", "Ascaphium sulcipenne", "Ascaphium tibiale", "Lechea maritima", "Lechea racemulosa", "Lechea stricta", "Tydeus cumini", "Calanthe metoensis", "Calanthe micrantha", "Bovista sect.", "Calanthe microglossa", "Calanthe millikenii", "Calanthe millotae", "Calanthe mindorensis", "Calanthe moluccensis", "Tuberaria guttata subsp. guttata", "Calanthe monophylla", "Persescaphium pari", "Calanthe musa-amanii", "Scaphium castanipes", "Virginia valeriae elegans", "Virginia valeriae valeriae", "Helianthemum apenninum subsp. urrielense", "Schoenus megacarpus", "Calanthe mannii", "Clinopodium arkansanum", "Helianthemum violaceum subsp. violaceum", "Calanthe maquilingensis", "Calanthe maxii", "Calanthe mcgregorii", "Drymosiphon grandiflorus", "Helianthemum polygonoides", "Helianthemum tholiforme", "Plateosaurus gracilis", "Zalobius spinicollis", "Storeria victa", "Hyalospinifera spinosa", "Seniaulus scaphioides", "Cyparium palliatum", "Helianthemum pergamaceum", "Helianthemum pergamaceum subsp. pergamaceum", "Helianthemum polyanthum", "Paradiopatra fragosa", "Helianthemum sanguineum", "Linum harperi", "Helianthemum lippii", "Alternanthera hirtula", "Helianthemum squamatum", "Helianthemum stipulatum", "Helianthemum strickeri", "Helianthemum syriacum", "Australonuphis teres", "Fowlea punctulatus", "Fowlea tytleri", "Fowlea flavipunctatus", "Fowlea asperrimus", "Fowlea sanctijohannis", "Fowlea melanzostus", "Fowlea piscator", "Fowlea schnurrenbergeri", "Tyrogatunus zeteki", "Americonuphis reesei", "Tyropsidius mochae", "Regina grahamii", "Bovista subg.", "Notodasus dexterae", "Bovista subg.", "Vadoniotus filipalpis", "Asemobius caelatus", "Linum extraaxillare", "Helianthemum marifolium", "Helianthemum marifolium subsp. marifolium", "Marellus aegyptiacus", "Neotyropsis chomei", "Neotyropsis differens", "Pseudotyropsis pseudopalpalis", "Subulipalpus spinicoxis", "Termitotyrus palpalis", "Tyrinasius orcinus", "Tyrinasius saluki", "Thiodictyon elegans", "Helianthemum nummularium subsp. nummularium", "Helianthemum nummularium subsp. grandiflorum", "Helianthemum nummularium subsp. obscurum", "Helianthemum nummularium var. pyrenaicum", "Helianthemum nummularium subsp. tomentosum", "Helianthemum obtusifolium", "Australonuphis parateres", "Uta stansburiana", "Brachynoposoma punctatum", "Brachynoposoma major", "Collartium irregulare", "Curtoscaphosoma nigrum", "Irianscapha dimorpha", "Graptemys pearlensis", "Parapronematus cameliae", "Parapronematus murshidabadensis", "Tydeus wallachi", "Tydeus ornementalicus", "Graptemys sabinensis", "Tydeus gossabaensis", "Nerodia clarkii", "Nerodia cyclopion", "Nerodia rhombifer", "Nerodia taxispilota", "Cirratulus grandis", "Cistenides gouldii", "Cleome dendroidea", "Cistenides granulata", "Phrynosoma modestum", "Phrynosoma asio", "Phrynosoma taurus", "Phrynosoma solare", "Phrynosoma blainvillii", "Phrynosoma mcallii", "Phrynosoma goodei", "Phrynosoma ditmarsi", "Phrynosoma cerroense", "Phrynosoma braconnieri", "Heterodon platirhinos", "Aspidoscelis tigris", "Plestiodon skiltonianus", "Cleome foliosa", "Mordelloscaphium testaceimembre", "Nesoscapha hughscotti", "Cleome guaranitica", "Cleome iberica", "Paratoxidium pollicis", "Pseudobironium subovatum", "Scaphicoma flavovittata", "Cleome moritziana", "Crossopoma bathyrhaphe", "Alternanthera inaccessa", "Alternanthera ingramiana", "Alternanthera januarensis", "Alternanthera kurtzii", "Alternanthera laguroides", "Caldiserica/Cryosericota group", "Afroscaphium palpale", "Afroscaphium striatulum", "Alexidia rogenhoferi", "Amalocera picta", "Amaloceromorpha rufa", "Nothria conchylega", "Baeoceridium depressipes", "Bovista sect.", "Bertiscapha compacta", "Bertiscapha burlischi", "Bertiscapha striata", "Bovista ser.", "Tuberaria lipopetala", "Bovista ser.", "Bovista ser.", "Brachytydeus strictus", "Cleome amblyocarpa", "Paralorryia fodderi", "Linum czernjajevii", "Cleome arabica", "Parapronematus ferox", "Graptemys kerneri", "Sclerolinon digynum", "Cyclotus amabilis", "Aspidoscelis marmoratus", "Solanum fecundum", "Solanum lapidosum", "Solanum lucani", "Solanum medicagineum", "Solanum rhaphiotes", "Solanum wilkinsii", "Solanum aridicola", "Solanum callosum", "Solanum emmottii", "Solanum lithophilum", "Erythraella bicuspidata", "Caldisericum exile", "Alternanthera lupulina", "Corynandra chelidonii", "Corynandra felina", "Alternanthera macbridei", "Blastobasis albidella", "Blastobasis ampla", "Blastobasis anachasta", "Tydeus bohemiensis", "Blastobasis anthoptera", "Histriobdella homari", "Blastobasis aphanes", "Blastobasis aphilodes", "Blastobasis argillacea", "Alternanthera littoralis", "Solanum chillagoense", "Blastobasis athymopa", "Blastobasis atlantella", "Solanum prolatum", "Blastobasis atmosema", "Blastobasis atmozona", "Blastobasis bilineatella", "Blastobasis candidata", "Alternanthera longipes", "Blastobasis centralasiae", "Blastobasis phycidella", "Calanthe nankunensis", "Calanthe nicolae", "Calanthe nivalis", "Calanthe obreniformis", "Crossopoma enganoense", "Calanthe odora", "Calanthe okinawensis", "Calanthe oreadum", "Termitoscaphium kistneri", "Vituratella eichelbaumi", "Bulbophyllum reptans", "Xotidium uniforme", "Zinda teres", "Zinda abdita", "Alternanthera lanceolata", "Caldisericum exile", "Cleome violacea", "Shachemys baibolatica", "Schistomitra joelmineti", "Schistomitra funeralis", "Cryptodiodon corticaroides", "Electroscydmaenus pterostichoides", "Hetereuthia elegans", "Heuretus coriaceus", "Caldisericum sp.", "Cleomella obtusifolia", "Pseudopoda physematosa", "Microlynx franzbesucheti", "Pseudopoda semilunata", "Palaeomastigus helmi", "Palaeothia tenuitarsis", "Cleomella platycarpa", "Scydmaenoides nigrescens", "Semnodioceras halticaeforme", "Cleomella plocasperma", "Cleomella serrulata", "Hobsonia florida", "Coalisina angustifolia", "Haplosyllis cephalata", "Coalisina angustifolia subsp. angustifolia", "Blastobasis spinisetosa", "Blastobasis adamskii", "Uta palmeri", "Blastobasis divulgata", "Uta squamata", "Uta tumidarostra", "Blastobasis aciformis", "Uta lowei", "Blastobasis edentula", "Uta encantadae", "Uta nolascensis", "Blastobasis hamata", "Blastobasis aequivoca", "Alternanthera malmeana", "Gynandropsis gynandra", "Kersia carnosa", "Kersia suffruticosa", "Cleomella arborea", "Physostemon lanceolatus", "Physostemon lanceolatus subsp. lanceolatus", "Physostemon rotundifolium", "Physostemon tenuifolium", "Calanthe pulchra", "Podandrogyne brachycarpa", "Podandrogyne decipiens", "Polanisia dodecandra subsp. dodecandra", "Uroctea multiprocessa", "Uroctea yunlingensis", "Teuloma setiniformis", "Teuloma nebulosa", "Alternanthera martii", "Teuloma divisa", "Teuloma montanebula", "Leitoscoloplos drakei", "Alternanthera markgrafii", "Bovista ser.", "Bovista sect.", "Teuloma oblitterans", "Bovista ser.", "Teuloma microoblitterans", "Bovista ser.", "Bovista ser.", "Teuloma neooblitterans", "Teuloma falsinebulosa", "Solanum phoxocarpum", "Solanum malindiense", "Neopronematus kamalii", "Aspidoscelis gularis", "Calanthe seranica", "Calanthe siargaoensis", "Calanthe simplex", "Calanthe sinica", "Calanthe solomonensis", "Calanthe spathoglottoides", "Schlechterina mitostemmatoides", "Schlechterosciadium gracillimum", "Zelus renardii", "Calanthe stella", "Calanthe succedanea", "Arachnis labrosa", "Alternanthera multicaulis", "Alternanthera meyeriana", "Calanthe taenioides", "Calanthe tahitensis", "Alternanthera microphylla", "Calanthe taibaishanensis", "Dolgoma steineri", "Calanthe takeuchii", "Dolgoma locus", "Alternanthera minutiflora", "Arachnis labrosa var. labrosa", "Arachnis labrosa var. zhaoi", "Leitoscoloplos fragilis", "Leitoscoloplos acutus", "Neopronematus lundqvisti", "Leitoscoloplos robustus", "Tydeus darekiwani", "Holbrookia propinqua", "Holbrookia maculata", "Holbrookia lacerata", "Holbrookia elegans", "Holbrookia subcaudalis", "Holbrookia approximans", "Ameiva praesignis", "Ameiva fuliginosa", "Plestiodon obsoletus", "Urosaurus ornatus", "Leptogium acadiense", "Leptogium compactum", "Leptogium cookii", "Bovista sect.", "Leitoscoloplos abranchiatus", "Bovista ser.", "Calanthe rhodochila", "Adocus bostobensis", "Calanthe otuhanica", "Bovista sect.", "Calanthe ovalifolia", "Calanthe ovata", "Calanthe parvilabris", "Calanthe pauciverrucosa", "Calanthe pavairiensis", "Clubiona cochlearis", "Calanthe perrottetii", "Clubiona tiane", "Calanthe petelotiana", "Cephazteca xilitla", "Clubiona tongi", "Cephazteca chiapasana", "Cephazteca matagalpana", "Cephazteca media", "Cephazteca testacea", "Clubiona yueya", "Calanthe poiformis", "Clubiona zhanggureni", "Clubiona bicornis", "Calanthe polyantha", "Clubiona subasrevida", "Clubiona jiandan", "Miltochrista nigrococcinea", "Clethra mexicana", "Clethra suaveolens", "Calanthe unifolia", "Elgaria kingii", "Elgaria cedrosensis", "Elgaria paucicarinata", "Isoctenus guadalupei", "Argentina anserina subsp. anserina", "Alternanthera paniculata", "Calanthe velutina", "Calanthe ventilabrum", "Calanthe versteegii", "Calanthe villosa", "Calanthe wenshanensis", "Calanthe whistleri", "Calanthe whiteana", "Calanthe womersleyi", "Calanthe pullei", "Calanthe punctata", "Clubiona didentata", "Clubiona circulata", "Calanthe reflexilabris", "Clubiona filoramula", "Calanthe rigida", "Clubiona heteroducta", "Clubiona tortuosa", "Clubiona transversa", "Calanthe rosea", "Solanum unispinum", "Calanthe rubra", "Calanthe ruttenii", "Promalactis bigeminata", "Promalactis derecta", "Promalactis pectinacea", "Promalactis pileata", "Promalactis scalpelliformis", "Promalactis ventericoncava", "Promalactis venteriprocessa", "Solanum savannarum", "Iolina nana", "Calanthe saccata", "Dolgoma rectoides rectoides", "Solanum pisinnum", "Calanthe sacculata", "Dolgoma rectoides arunachala", "Solanum orgadophilum", "Calanthe salaccensis", "Calanthe sandsii", "Calanthe scaposa", "Naudea taurica", "Calanthe secunda", "Dolgoma xanthoma", "Solanum polhillii", "Garcinia imbertii", "Viola denizliensis", "Polanisia erosa", "Polanisia erosa subsp. erosa", "Polanisia dodecandra subsp. trachysperma", "Alternanthera nesiotes", "Alternanthera nodifera", "Cephennococcus crassus", "Cephennococcus kenyirensis", "Cephennococcus kuchingensis", "Cephennococcus minutissimus", "Alternanthera obovata", "Rorida polytricha", "Parapronematus citri", "Parapronematus formosanus", "Teulisna impara", "Teulisna submontana", "Sieruela maculata", "Teulisna karena", "Teulisna mithunoides", "Urosaurus auriculatus", "Sieruela monophylla", "Urosaurus nigricaudus", "Urosaurus clarionensis", "Urosaurus bicarinatus", "Urosaurus gadovi", "Rosetea rosetella", "Urosaurus lahtelai", "Sieruela oxyphylla", "Alternanthera puberula", "Calanthe \u00d7 subhamata", "Calanthe \u00d7 varians", "Alternanthera pulchella", "Cyclotus boxalli", "Clusia brittonii", "Clusia burchellii", "Clusia criuva", "Clusia criuva subsp. criuva", "Clusia croatii", "Clusia fructiangusta", "Clusia gardneri", "Sibbaldia purpurea var. purpurea", "Sibbaldia purpurea var. macropetala", "Leptogium exaratum", "Alternanthera pumila", "Clusia octopetala", "Clusia orthoneura", "Cephennodes atuin", "Clusia weddelliana", "Eutheimorphus paradoxus", "Aquatica hydrophila", "Aquatica leii", "Tovomita choisyana", "Tovomita mangle", "Arawakia weddelliana", "Akonesis privoatus", "Akonesis strictus", "Akonesis ridens", "Sceloporus formosus", "Sceloporus horridus", "Sceloporus variabilis", "Rosetea corfuella", "Tarenaya hassleriana", "Pronematus sextoni", "Calanthe torricellensis", "Calanthe transiens", "Tarenaya spinosa", "Calanthe trifida", "Rosetea sara", "Pronematus bachewingi", "Calanthe trulliformis", "Pronematus curtitarsus", "Pronematus fleschneri", "Pronematus mcgregori", "Pronematus neoelongatus", "Calanthe truncata", "Pronematus davisi", "Pronematus biminiensis", "Pronematus curtipilus", "Pronematus elongatus", "Cleomella refracta", "Calanthe truncicola", "Pronematus rimandoi", "Calanthe tsoongiana", "Calanthe tsoongiana var. tsoongiana", "Calanthe tsoongiana var. guizhouensis", "Liphyra brassolis brassolis", "Calanthe uncata", "Paranudina xizangensis", "Calanthe woodii", "Calanthe wuxiensis", "Calanthe yaoshanensis", "Calanthe yueana", "Calanthe yuksomnensis", "Elgaria kingii nobilis", "Berkeleyia abyssala", "Berkeleyia hadala", "Berkeleyia heroae", "Berkeleyia weddellia", "Berkeleyia profunda", "Sceloporus clarkii", "Sceloporus poinsettii", "Leptogium antarcticum", "Uma inornata", "Uma scoparia", "Uma notata", "Geodia distincta", "Gnaphosa kankhalae", "Agroeca annulipes", "Agroeca maghrebensis", "Agraecina hodna", "Apostenus maroccanus", "Apostenus algericus", "Climacium japonicum", "Calanthe \u00d7 albolilacina", "Calanthe \u00d7 hsinchuensis", "Cyclotus birostris", "Alternanthera praelonga", "Calanthe \u00d7 porphyrea", "Calanthe \u00d7 sibuyanense", "Alternanthera pennelliana", "Cyclotus amboinensis", "Khorata dawei", "Khorata libo", "Khorata luoping", "Khorata matang", "Khorata qian", "Alternanthera peruviana", "Khorata suwei", "Khorata wenshan", "Khorata yangchun", "Cyclotus bemarahae", "Mallinella bicanaliculata", "Cyclotus batchianensis", "Mallinella calautica", "Mallinella laxa", "Mallinella obliqua", "Agroeca batangensis", "Agroeca lata", "Agroeca mainlingensis", "Agroeca nigra", "Agroeca tumida", "Uma cowlesi", "Uma exsul", "Uma paraphygas", "Alternanthera piptantha", "Sauteria alpina", "Alternanthera porrigens", "Leptogium tectum", "Agroeca bonghwaensis", "Agroeca gangotrae", "Marpissa pauariensis", "Misumenoides naginae", "Clusia hilariana", "Clusia hilariana subsp. hilariana", "Brassavola pitengoensis", "Placobdella parasitica", "Geodia canaliculata", "Agama sankaranica", "Agama insularis", "Agama gracilimembris", "Agama boueti", "Agama persimilis", "Crotaphytus collaris melanomaculatus", "Crotaphytus reticulatus", "Crotaphytus dickersonae", "Crotaphytus grismeri", "Crotaphytus bicinctores", "Crotaphytus vestigium", "Crotaphytus nebrius", "Laemanctus serratus", "Laemanctus waltersi", "Corytophanes percarinatus", "Corytophanes hernandesii", "Colaspedusa verrucosa", "Pseudolepis squamosa", "Dactylorhiza cordigera", "Chlorophyllum sect.", "Chlorophyllum sect.", "Chlorophyllum sect.", "Chlorophyllum sect.", "Chlorophyllum sect.", "Chlorophyllum sect.", "Madascincus polleni", "Grandidierina rubrocaudata", "Grandidierina fierinensis", "Madascincus igneocaudatus", "Madascincus mouroundavae", "Paroedura androyensis", "Pygomeles braconnieri", "Lygodactylus tolampyae", "Madatyphlops arenarius", "Madascincus ankodabensis", "Madascincus macrolepis", "Madascincus melanopleura", "Madascincus stumpffi", "Marcepania elongata", "Marcepania minutissima", "Marcepania semengohensis", "Marcepania seramaensis", "Calamaria dominici", "Marcepania tuberculata", "Garcinia caloneura", "Parvuspina tawaghatensis", "Solanum pronum", "Solanum sulphureum", "Solanum succosum", "Liphyra brassolis abbreviata", "Liphyra brassolis bougainvilleanus", "Lasiotydaeus volaticus", "Tyndareus eloquens", "Tyndareus rostratus", "Dactylorhiza cordigera subsp. cordigera", "Dactylorhiza cordigera subsp. bosniaca", "Dactylorhiza cordigera subsp. pindica", "Dactylorhiza cordigera var. rhodopeia", "Echium hypertropicum", "Lahejia cinerascens", "Wurmbea recurva", "Solariola vitalei", "Solariola pesarinii", "Solariola benellii", "Solariola bucolorum", "Gastrochilus japonicus", "Dactylorhiza baumanniana", "Paracaryum leventshikii", "Lophioderus arcifer", "Garcinia penangiana", "Garcinia preussii", "Mexiconnus mexicanus", "Garcinia pseudoguttifera", "Garcinia sessilis", "Meganola foviferoides", "Garcinia talbotii", "Liphyra brassolis lugens", "Agkistrodon bilineatus", "Liphyra brassolis major", "Chalarodon madagascariensis", "Oplurus cuvieri", "Oplurus grandidieri", "Oplurus fierinensis", "Oplurus saxicola", "Spiraculum travancoricum", "Pedicularis munzurdaghensis", "Centaurea kirmacii", "Centaurea uysalii", "Cirsium sieboldii", "Napoconnus kubienai", "Neuraphomorphus adustus", "Euconnus heterocera", "Euconnus enonensis", "Endroedymolpus taurinus", "Leptogium paramense", "Endroedymolpus smaragdinus", "Endroedymolpus peringueyi", "Wurmbea biglandulosa", "Microraphes pygmaeus", "Alphaea alfreda", "Montrouziera sphaeroidea", "Neobotyodes crocopteralis", "Moronobea coccinea", "Mimoscydmus brasiliensis", "Caldubotys caldusalis", "Lineacoelotes lifengyuanae", "Lineacoelotes tiantaiensis", "Lineacoelotes zhongbaensis", "Lineacoelotes ziboensis", "Napochomorphus extraneus", "Saiphos equalis", "Liphyra brassolis melania", "Liphyra brassolis niepelti", "Liphyra brassolis robusta", "Xylophis captaini", "Diastole exposita", "Spiraculum putaoensis", "Solenanthus watieri", "Solenanthus turkestanicus", "Solenanthus tubiflorus", "Solenanthus strictissimus", "Solenanthus plantaginifolius", "Spinosciacharis acheron", "Spinosciacharis clydensis", "Cyana hsui", "Spinosciacharis sassy", "Burchardia monantha", "Stenichnoconnus huijbregtsensis", "Burchardia multiflora", "Stenichnodes saheliensis", "Blastobasis magna", "Solenanthus micranthus", "Solenanthus kokanicus", "Solenanthus karateginus", "Solenanthus hirsutus", "Solenanthus eriocalycinus", "Solenanthus dubius", "Solenanthus bakhtiaricus", "Solenanthus atlanticus", "Solenanthus albiflorus", "Solenanthus abayi", "Garcinia travancorica", "Garcinia vrieseana", "Meganola praefica", "Garcinia warrenii", "Meganola nigroradiata", "Meganola perfusca", "Meganola arcygramma", "Garcinia gummi-gutta var. conicarpa", "Meganola psammoxantha", "Garcinia elliptica", "Meganola steniphona", "Meganola stadiensis", "Garcinia merguensis", "Meganola gigas", "Garcinia lanessanii", "Meganola parki", "Onosma erzincanica", "Garcinia mannii", "Garcinia minahassensis", "Crocus hatayensis", "Crocus tuna-ekimii", "Crocus heilbronniorum", "Crocus youngiorum", "Brachycepsis fuchsi", "Cenomaniola carinata", "Cenomaniola macrophthalma", "Euconnomorphus pilosissimus", "Heteroscydmus yapacariensis", "Hyperstenichnus vendeanus", "Leascydmus armstrongi", "Allorhogas clidemiae", "Allorhogas granivorus", "Allorhogas mineiro", "Allorhogas vulgaris", "Allorhogas brevithorax", "Allorhogas pallidus", "Spalax arenarius", "Allorhogas psychotria", "Allorhogas punctatus", "Allorhogas tico", "Nanophthalmus megaloderoides", "Praphennium carinatum", "Trichokrater ekkentros", "Trurlia insana", "Achalinus juliani", "Achalinus timi", "Achalinus emilyae", "Opisthotropis haihaensis", "Hoehneella gehrtiana", "Hoehneella heloisae", "Paraneseuthia peckorum", "Wurmbea capensis", "Protandroconnus peruensis", "Psepharobius elongatus", "Pseudoraphes huallagae", "Pseudoraphes minor", "Wurmbea dioica", "Rutaraphes shikokuensis", "Schuelkelia unicornis", "Wurmbea dioica subsp. dioica", "Wurmbea elongata", "Wurmbea inusta", "Wurmbea marginata", "Liphyra brassolis salomonis", "Wurmbea punctata", "Helina longipila", "Holcoglossum linearifolium", "Gastrochilus intermedius", "Linum squamulosum", "Oreolais pulcher", "Holcoglossum singchianum", "Alternanthera regelii", "Oreolais ruwenzorii", "Cerapanorpa liupanshana", "Cerapanorpa protrudens", "Cerapanorpa sinuata", "Stictane rectilinea", "Alternanthera ramosissima", "Stictane umbrata", "Blastobasis ponticella", "Hypatopa ibericella", "Pseudohypatopa beljaevi", "Apalis flavida viridiceps", "Kuafu borealis", "Colchicum \u00d7 byzantinum", "Alternanthera pycnantha", "Stenichnoteras montanum", "Stenichnus fossifrons", "Stenichnus cecconii", "Stictane heppneri", "Stictane transversana", "Leptoscydmus cavifrons", "Stictane bipunctulata", "Stictane kualabohi", "Stictane elegans", "Stictane gemina", "Eudesis aglena", "Stictane fractilinea", "Stictane obliquilinea", "Holcoglossum quasipinifolium", "Holcoglossum rupestre", "Holcoglossum pumilum", "Iphimoides suturalis", "Iphimoides celebensis", "Parasenecio tschonoskii", "Apalis flavigularis", "Alternanthera rufa", "Alternanthera rugulosa", "Anacampsis karmeliella", "Stomopteryx tesserapunctella", "Alternanthera scandens", "Solanum indivisum", "Agaricus fuscovelatus", "Wurmbea spicata", "Scydmaenozila inexpectata", "Wurmbea spicata var. spicata", "Scydmaenozila mallacootana", "Wurmbea stricta", "Wurmbea tenella", "Scydmobisetia vetutissima", "Wurmbea tenuis", "Wurmbea tenuis subsp. goetzei", "Scydmobisetia loebli", "Stictane imorod", "Scydmobisetia mengjiae", "Wurmbea variabilis", "Burchardia bairdiae", "Burchardia congesta", "Argyresthia magna", "Argyresthia mariana", "Parasenecio hosoianus", "Sistrurus tergeminus", "Tropidolaemus huttoni", "Tropidolaemus subannulatus", "Tropidolaemus philippensis", "Ophryacus sphenophrys", "Argyresthia melitaula", "Argyresthia perezi", "Argyresthia praecocella", "Disporum sessile var. sessile", "Disporum longistylum", "Disporum megalanthum", "Gastrochilus sumatranus", "Mentha alaica", "Gastrochilus raraensis", "Mentha darvasica", "Mentha royleana", "Mentha \u00d7 wirtgeniana", "Gastrochilus prionophyllus", "Colchicum szovitsii subsp. szovitsii", "Gastrochilus pseudodistichus", "Gastrochilus kadooriei", "Crocus adami", "Gastrochilus fuscopunctatus", "Crocus armeniensis", "Gastrochilus matsudae", "Sthenelais gracilis", "Gastrochilus distichus", "Crocus sipyleus", "Alternanthera stellata", "Saccoina monterosatoi", "Gloriosa modesta", "Ornithoglossum vulgare", "Alternanthera suessenguthii", "Parasyrisca szinetari", "Parasyrisca platnicki", "Nesolechia falcispora", "Alternanthera tetramera", "Camptorrhiza strumosa", "Parasyrisca arrabonica", "Nesolechia oxyspora var. fusca", "Alternanthera truxillensis", "Alternanthera tubulosa", "Colchicum capense", "Alternanthera vestita", "Colchicum bulbocodium subsp. ciliolatum", "Colchicum bulbocodium subsp. capense", "Claparedepelogenia inclusa", "Parasyrisca polchaninovae", "Anoplopisione minuta", "Solanum paposanum", "Nesolechia oxyspora", "Solanum herbabona", "Nesolechia doerfeltii", "Alternanthera snodgrassii", "Colchicum striatum", "Gomphrena arborescens", "Iphigenia oliveri", "Iphigenia stellata", "Cranioleuca marcapatae weskei", "Entephrilema murinum", "Entephrilema continentalis", "Entephrilema aemulum", "Entephrilema anceps", "Trichobranchus drewi", "Arnebia bhattacharyyae", "Arnebia tubata", "Holcoglossum himalaicum", "Combretum formosum", "Sibynophis geminatus", "Nicolea lazowasemi", "Holcoglossum kimballianum", "Holcoglossum lingulatum", "Holcoglossum nujiangense", "Holcoglossum omeiense", "Holcoglossum phongii", "Colchicum eucomoides", "Alternanthera villosa", "Parasyrisca golyakovi", "Colchicum europaeum", "Colchicum gramineum", "Parasenecio nantaicus", "Parasyrisca kosachevi", "Parasyrisca tronovorum", "Parasyrisca sulaki", "Parasyrisca volynkini", "Pritha pallida", "Colchicum melanthioides", "Colchicum palaestinum", "Aelurillus thailandicus", "Gomphrena boliviana", "Combretum apiculatum subsp. apiculatum", "Combretum glutinosum", "Gomphrena brachystylis", "Coiffaitia minor", "Combretum collinum subsp. collinum", "Gomphrena caespitosa", "Combretum grandidieri", "Reckitydeus heterounguis", "Myrmapana panamensis", "Combretum edwardsii", "Adelpha messana", "Adelpha messana messana", "Adelpha messana delphicola", "Adelpha messana seminivea", "Lialis burtonis", "Lialis jicari", "Psychocampa ursa", "Psychocampa antonkozlovi", "Psychocampa yuliyakovalevae", "Psychocampa concolor", "Optimandes eugenia", "Optimandes eugenia transversa", "Optimandes eugenia eugenia", "Optimandes mocha", "Paradelma orientalis", "Sabellaria vulgaris", "Alternanthera spinosa", "Holcoglossum semiteretifolium", "Holcoglossum wangii", "Holcoglossum weixiense", "Moltkia gypsacea", "Salvia rosmarinus", "Dendrobium formosum", "Combretum hereroense subsp. hereroense", "Solanum edmonstonei", "Solanum absconditum", "Solanum eitenii", "Solanum megaspermum", "Solanum urubambaense", "Entephrilema angulatum", "Metaphire posthuma", "Entephrilema brevilamina", "Entephrilema camdeboo", "Entephrilema cedrusmontanum", "Entephrilema clarki", "Entephrilema dicksoni", "Entephrilema endroedyi", "Entephrilema eremita", "Proszynskiana aeluriforma", "Gomphrena basilanata", "Macaroeris asiatica", "Gomphrena oligocephala", "Gomphrena bicolor", "Plexippoides arkit", "Salticus aiderensis", "Salticus turkmenicus", "Myrmanu mahasoa", "Myrmanu nubilis", "Paurotyndareus persicus", "Tyndareus zaheri", "Combretum lanceolatum", "Combretum latifolium", "Gehyra electrum", "Neoprotoparmelia corallifera", "Colinatys alayoi", "Neoprotoparmelia orientalis", "Iphimoides fabianae", "Gomphrena cladotrichoides", "Combretum mkuzense", "Neocoiffaitia anosyana", "Prosolierius crassicornis", "Prosolierius mixticornis", "Prosolierius tenuicornis", "Combretum mossambicense", "Zhurbenkoa epicladonia", "Desfontainia fulgens", "Entephrilema fallax", "Entephrilema fauces", "Entephrilema frigens", "Entephrilema imitator", "Entephrilema immundum", "Entephrilema inornatum", "Entephrilema kamiense", "Entephrilema krooni", "Entephrilema litorale", "Entephrilema longipenne", "Entephrilema maritimum", "Entephrilema marlowense", "Titanoeca deltshevi", "Aphonopelma bacadehuachi", "Entephrilema musculus", "Entephrilema namaquense", "Entephrilema namibiense", "Combretum aculeatum", "Entephrilema nigricans", "Entephrilema pallens", "Entephrilema paravansoni", "Entephrilema parile", "Entephrilema promontorii", "Entephrilema rattus", "Entephrilema soricinum", "Entephrilema staudei", "Combretum acutum", "Entephrilema swanepoeli", "Entephrilema triumvirale", "Entephrilema vansoni", "Entephrilema virgatum", "Combretum albidum", "Entephrilema vittatum", "Gomphrena affinis", "Aelurillus westi", "Gomphrena agrestis", "Proszynskiana izadii", "Proszynskiana logunovi", "Proszynskiana deserticola", "Proszynskiana iranica", "Proszynskiana starobogatovi", "Proszynskiana zonshteini", "Gomphrena arida", "Gomphrena atrorubra", "Gastrochilus acinacifolius", "Gastrochilus acutifolius", "Ereynetes polymitus", "Gastrochilus affinis", "Gastrochilus alatus", "Gastrochilus arunachalensis", "Terminalia phillyreifolia", "Terminalia australis", "Gastrochilus bellinus", "Gastrochilus brevifimbriatus", "Arenicola cristata", "Combretum razianum", "Sibynophis chinensis", "Sibynophis bistrigatus", "Sibynophis bivittatus", "Sibynophis collaris", "Sibynophis melanocephalus", "Sibynophis triangularis", "Sibynophis sagittarius", "Sibynophis subpunctatus", "Gomphrena breviflora", "Gomphrena conica", "Gehyra australis", "Combretum subumbellatum", "Combretum woodii", "Gehyra brevipalmata", "Gastrochilus carnosus", "Gastrochilus ciliaris", "Terminalia bentzoe", "Terminalia bentzoe subsp. bentzoe", "Gastrochilus corymbosus", "Gastrochilus deminutus", "Terminalia mollis", "Sternotherus palaeodorus", "Terminalia glabrescens", "Sternotherus bonevalleyensis", "Chelydropsis decheni", "Chelydropsis murchisoni", "Neoprotoparmelia brasilisidiata", "Terminalia cherrieri", "Cretoquedius oculatus", "Liphistius buran", "Neoprotoparmelia amerisidiata", "Neoprotoparmelia australisidiata", "Coomania tonkinensis", "Gehyra angusticaudata", "Gehyra lacerata", "Gehyra fehlmanni", "Gehyra punctata", "Gehyra interstitialis", "Caecolinus endogaeus", "Conocarpus lancifolius", "Terminalia amazonica", "Prasinohaema semoni", "Lygisaurus laevis", "Combretum oxygonium", "Bembicidiodes inaequicollis", "Combretum oxystachyum", "Gomphrena claussenii", "Cretoprosopus problematicus", "Combretum padoides", "Gomphrena colosacana", "Combretum punctatum", "Combretum quadrangulare", "Gomphrena conferta", "Gomphrena cardenasii", "Combretum malabaricum", "Gomphrena centrota", "Gomphrena chrestoides", "Terminalia kuhlmannii", "Tornatellinops variabilis", "Gomphrena cunninghamii", "Terminalia neotaliala", "Gomphrena debilis", "Gomphrena decipiens", "Trachemys medemi", "Gomphrena demissa", "Terminalia melanocarpa", "Gastrochilus dulongjiangensis", "Alternanthera serpens", "Aproaerema languidella", "Aproaerema telaviviella", "Aproaerema africanella", "Aproaerema alfalfella", "Alternanthera serpyllifolia", "Aproaerema simplexella", "Terminalia microcarpa subsp. microcarpa", "Gastrochilus fargesii", "Valdiviodes ashworthi", "Gastrochilus flabelliformis", "Rudakius afghanicus", "Gastrochilus formosanus", "Acylophorus leechi", "Rudakius spasskyi", "Gehyra marginata", "Gehyra vorax", "Gehyra insulensis", "Gehyra papuana", "Gehyra dubia", "Laostaphylinus nigritellus", "Laostaphylinus fuscus", "Liphistius indra", "Megolisthaerus chinensis", "Paleothius gracilis", "Saussurea franchetii", "Arrowinus phaenomenalis", "Paleowinus ambiguus", "Paleowinus rex", "Paleowinus chinensis", "Paleowinus fossilis", "Paleowinus mirabilis", "Descarpentriesiellus mirandus", "Descarpentriesiellus cylindricus", "Descarpentriesiellus forticornis", "Descarpentriesiellus frater", "Descarpentriesiellus strictulus", "Descarpentriesiellus vicinus", "Terminalia crenulata", "Durothorax creticus", "Kinosternon arizonense", "Paradiatrechus niger", "Terminalia eriostachya", "Rientis parviceps", "Kinosternon steindachneri", "Terminalia fagifolia", "Strouhalium gracilicorne", "Termitoquedius iheringi", "Liphistius hpruso", "Terminalia januarensis", "Liphistius pinlaung", "Gomphrena connata", "Gomphrena cucullata", "Amblyopinus ielskii", "Chilamblyopinus piceus", "Ctenandropus nigriceps", "Edrabius philippianus", "Moltkia suffruticosa subsp. bigazziana", "Neoprotoparmelia capensis", "Moltkia suffruticosa subsp. suffruticosa", "Natalignathus olgae", "Terminalia oblongata subsp. oblongata", "Terminalia canescens", "Terminalia diptera", "Terminalia pendula", "Buglossoides czernjajevii", "Benoinyssus tuberculatus", "Buglossoides glandulosa", "Gehyra catenata", "Hydrornis irena", "Archarenicola rhaetica", "Hydrornis schwaneri", "Terminalia porphyrocarpa", "Buglossoides minima", "Arenicolides ecaudata", "Cyclodomorphus michaeli", "Egernia mcpheei", "Lumnitzera littorea", "Terminalia grandis", "Terminalia tetraphylla", "Terminalia subspathulata", "Gehyra lazelli", "Terminalia coriacea", "Terminalia trichopoda", "Acanthophis hawkei", "Amphibolurus burnsi", "Rhynchoedura ormsbyi", "Saproscincus rosei", "Cacophis churchilli", "Pogona henrylawsoni", "Terminalia hadleyana", "Terminalia buceras", "Terminalia myrtifolia", "Terminalia engleri", "Dendrobium pseudolamellatum", "Bellatorias obiri", "Bellatorias major", "Neoprotoparmelia crassa", "Neoprotoparmelia paulii", "Phaedis sabahensis", "Phaedis blanki", "Phaedis punctipudendus", "Phaedis cyaneonotatus", "Phaedis kalimantanus", "Amischotolype barbarossa", "Phaedis mantillerii", "Phaedis bremeri", "Amischotolype mollissima", "Amischotolype monosperma", "Amischotolype griffithii", "Gastrochilus garhwalensis", "Coleotrype natalensis", "Dendrobium nudum", "Gastrochilus linearifolius", "Gastrochilus gongshanensis", "Gastrochilus guangtungensis", "Gastrochilus hainanensis", "Cyanotis villosa", "Gastrochilus hoi", "Cyanotis fasciculata", "Gastrochilus inconspicuus", "Gastrochilus linii", "Gastrochilus malipoensis", "Cyanotis foecunda", "Cartonema philydroides", "Parasenecio kamtschaticus", "Triceratella drummondii", "Phaedis splendens", "Phaedis makiharai", "Rhyparida faitsilongi", "Rhyparida spiridonovi", "Camptodiplosis auriculariae", "Tricliona episternalis", "Tricliona trimaculata", "Tricliona suratthanica", "Tricliona trangica", "Tricliona tonkinensis", "Cleoporus aedilis", "Cleoporus quadripustulatus", "Tricliona ferruginea", "Tricliona bakeri", "Tricliona sandakana", "Tricliona philippina", "Coniomma hospes", "Branchiomaldane vincenti", "Japonactaeon punctostriatus", "Japonactaeon pusillus", "Bassozetus zenkevitchi", "Japonactaeon sieboldii", "Cyanotis lanata", "Cyanotis arachnoidea", "Cyanotis somaliensis", "Cyanotis speciosa", "Cyanotis speciosa subsp. speciosa", "Mongoligenula altilabdominis", "Mongoligenula gracilis", "Cyanotis tuberosa", "Svatactesis johanidesi", "Gastrochilus somae", "Diastoleus costalenis", "Diastoleus collaris", "Cyanotis beddomei", "Fraxinus purpusii var. vellerea", "Branchiomaldane simplex", "Scoletoma tenuis", "Gastrochilus matsuran", "Gastrochilus minutiflorus", "Gastrochilus nanchuanensis", "Gastrochilus nanus", "Gastrochilus obliquus", "Gastrochilus obliquus var. obliquus", "Gastrochilus obliquus var. suavis", "Rhinoclemmys annulata", "Colasposoma socotranum", "Colasposoma grande grande", "Colasposoma grande insulare", "Colasposoma distinguendum", "Colasposoma villosum", "Rhinoclemmys areolata", "Diastoleus girardi", "Cochliostema odoratissimum", "Cochliostema velutinum", "Diastoleus bicarinatus", "Socotraphanes krali", "Socotraphanes dementor", "Dichorisandra mosaica", "Neoprotoparmelia plurisporibadia", "Neoprotoparmelia siamisidiata", "Rhinoclemmys diademata", "Rhinoclemmys funerea", "Neoprotoparmelia capitata", "Nicolea simplex", "Japonactaeon longissimus", "Japonactaeon nipponensis", "Coptotriche parvisacculata", "Coptotriche carmencita", "Helleborus multifidus subsp. multifidus", "Egernia striolata", "Egernia richardi", "Egernia rugosa", "Egernia saxatilis", "Egernia pilbarensis", "Egernia depressa", "Dichorisandra villosula", "Egernia hosmeri", "Egernia formosa", "Egernia douglasi", "Egernia epsisolus", "Egernia cygnitos", "Egernia eos", "Neoprotoparmelia isidiata", "Gastrochilus \u00d7 hsuehshanensis", "Spiraculum oakesi", "Spiraculum nevilli", "Sequoia jeholensis", "Marengo zebra", "Marengo batheryensis", "Palisota hirsuta", "Amichrotus apicipennis", "Singatrichona longipes", "Palisota mannii", "Palisota mannii subsp. mannii", "Anisolinus picticornis", "Palisota pynaertii", "Palisota schweinfurthii", "Siderasis zorzanellii", "Corticeus panax", "Corticeus ruthmuellerae", "Corticeus steineri", "Gastrochilus platycalcaratus", "Gastrochilus puncticulatus", "Gastrochilus rantabunensis", "Corticeus fallax", "Corticeus triplehorni", "Corticeus excisus", "Myonophloeus tuberculatus", "Gastrochilus rutilans", "Gastrochilus saccatus", "Gastrochilus sessanicus", "Gastrochilus setosus", "Amphinemura albicauda", "Amphinemura dingoidea", "Gastrochilus simplicilabius", "Tydeus parabolicus", "Gastrochilus patinatus", "Corticeus accumbens", "Corticeus dasyceps", "Corticeus forsteri", "Corticeus ceramensis", "Corticeus strenuus", "Corticeus nigriculus", "Corticeus solomonensis", "Corticeus skalei", "Corticeus sodalis", "Corticeus contortus", "Corticeus weigeli", "Corticeus conspicuus", "Gastrochilus pechei", "Geogenanthus poeppigii", "Geogenanthus rhizanthus", "Corticeus beatulus", "Tydeus aurantii", "Gomphrena discolor", "Gomphrena duriuscula", "Phoroncidia wrightae", "Phoroncidia vatoharanana", "Gomphrena eichleri", "Phoroncidia roseleviorum", "Phoroncidia ambatolahy", "Gomphrena elegans", "Centropyxiella elegans", "Orostachys malacophylla var. iwarenge", "Gomphrena mendocina", "Dichorisandra oxypetala", "Lissolepis luctuosa", "Lissolepis coventryi", "Liopholis slateri", "Liopholis personata", "Helleborus dumetorum subsp. dumetorum", "Liopholis modesta", "Liopholis margaretae", "Helleborus dumetorum subsp. illyricus", "Liopholis striata", "Dichorisandra penduliflora", "Liopholis pulchra", "Fraxinus greggii var. nummularis", "Enanea shuneii", "Liopholis inornata", "Dichorisandra picta", "Liopholis kintorei", "Liopholis multiscutata", "Taiwanomenimus nakasatoi", "Liopholis montana", "Liopholis guthega", "Dichorisandra reginae", "Helleborus foetidus subsp. foetidus", "Fraxinus greggii var. greggii", "Corticeus turcicus", "Egernia kingii", "Egernia napoleonis", "Egernia stokesii", "Helleborus lividus subsp. lividus", "Pagria pseudograta", "Pseudocalotes brevipes", "Pagria signata", "Pseudocalotes flavigula", "Pseudocalotes kingdonwardi", "Zosterops silvanus", "Lophocalotes ludekingi", "Hypsicalotes kinabaluensis", "Indomarengo chavarapater", "Pagria concolor", "Palisota ambigua", "Marengo sachintendulkar", "Cleoporus laevifrons", "Palisota barteri", "Cleoporus aenescens", "Cleoporus recticollis", "Palisota bracteosa", "Basilepta pallidicolor", "Callisia gentlei var. elegans", "Tekellina yoshidai", "Gomphrena fuscipellita", "Callisia ornata", "Calleida luzonensis", "Gomphrena gardneri", "Calleida piligera", "Calleida yunnanensis", "Callisia rosea", "Callisia graminea", "Tradescantia cerinthoides", "Zekelita orientis", "Ernstilla lacunosa", "Zekelita crassisquamata", "Rhinoclemmys rubida", "Zekelita taruensis", "Zekelita canariensis", "Zekelita poliopera", "Zekelita albiscripta", "Calotes emma", "Calotes maria", "Calotes nigrilabris", "Calotes liocephalus", "Calotes jerdoni", "Calotes grandisquamis", "Calotes medogensis", "Calotes ceylonensis", "Calotes bhutanensis", "Calotes nigriplicatus", "Zekelita tinctalis", "Calotes chincollium", "Calotes htunwini", "Calotes irawadi", "Calotes desilvai", "Calotes mystaceus", "Zosterops kikuyuensis", "Gastrochilus sinensis", "Gastrochilus sonamii", "Gastrochilus sororius", "Gastrochilus subpapillosus", "Gastrochilus sutepensis", "Gastrochilus tianbaoensis", "Gastrochilus toramanus", "Gastrochilus xuanenensis", "Gastrochilus yunnanensis", "Rhinoclemmys nasuta", "Eremias brenchleyi", "Eremias buechneri", "Eremias yarkandensis", "Eremias kopetdaghica", "Neoprotoparmelia multifera", "Neoprotoparmelia pulchra", "Zekelita gaedei", "Zekelita antiqualis", "Zekelita equalisella", "Zekelita satoi", "Zekelita stefanieae", "Watsonidia fulgida", "Collaria elegans", "Ptyctolaemus collicristatus", "Ptyctolaemus gularis", "Gomphrena ferruginea", "Tribolonotus schmidti", "Tribolonotus blanchardi", "Tribolonotus annectens", "Tribolonotus brongersmai", "Tribolonotus ponceleti", "Tribolonotus pseudoponceleti", "Tribolonotus novaeguineae", "Calleida fukiensis", "Gomphrena filaginoides", "Calleida cochinchinae", "Stedocys amamiensis", "Meotipa ultapani", "Salea gularis", "Gomphrena equisetiformis", "Bronchocela celebensis", "Draco haematopogon", "Draco maculatus", "Draco ornatus", "Gomphrena eriophylla", "Psammophilus dorsalis", "Pseudocalotes tympanistriga", "Psammophilus blanfordanus", "Centrochelys atlantica", "Gomphrena graminea", "Gerbilliscus afra", "Gerbilliscus boehmi", "Gibasis oaxacana", "Gerbilliscus brantsii", "Gerbilliscus guineae", "Gerbilliscus kempi", "Gerbilliscus leucogaster", "Gerbilliscus nigricaudus", "Gerbilliscus phillipsi", "Gerbilliscus robustus", "Gerbilliscus validus", "Gerbilliscus setzeri", "Gerbilliscus vallinus", "Gerbilliscus tytonis", "Gerbilliscus paeba", "Incestophantes crucifer", "Cribraria elegans", "Tekellina crica", "Tekellina guaiba", "Tekellina minor", "Tinantia erecta", "Tekellina bella", "Tekellina pretiosa", "Tekellina archboldi", "Tinantia pringlei", "Tekellina sadamotoi", "Gomphrena floribunda", "Halisarca cerebrum", "Halisarca ferreus", "Astrotischeria dondavisi", "Astrotischeria bacchariphaga", "Astrotischeria guatemalica", "Astrotischeria sanjosei", "Astrotischeria truncata", "Zekelita abbreviata", "Zekelita endomaura", "Zekelita heteroleuca", "Zekelita kiellandi", "Zekelita lehmanni", "Zekelita lehmanni lehmanni", "Zekelita lehmanni magnificaria", "Zekelita loedli", "Zekelita nilotica", "Zekelita phaeosomata", "Zekelita rufibrunnea", "Zekelita saldaitis", "Zekelita subcanescens", "Zekelita varii", "Zekelita coniodes", "Zekelita coniodes coniodes", "Zekelita coniodes subcanescens", "Cyclodomorphus maximus", "Cyclodomorphus branchialis", "Clada barclayi", "Cyclodomorphus celatus", "Cyclodomorphus venustus", "Cyclodomorphus praealtus", "Cyclodomorphus melanops", "Cyclodomorphus gerrardii", "Zekelita sagittalis", "Oxyloma deprimidum", "Oxyloma nuttallianum", "Plestiodon lynxe", "Plestiodon laticeps", "Plestiodon capito", "Plestiodon callicephalus", "Plestiodon brevirostris", "Spiraculum nagaense", "Oxyloma sarsii", "Oxyloma chasmodes", "Oxyloma connollyi", "Oxyloma sillimani", "Oxyloma decampii", "Oxyloma missoula", "Callisia serrulata", "Gomphrena grazielae", "Tradescantia brevifolia", "Gomphrena guaranitica", "Tradescantia crassifolia var. crassifolia", "Helleborus viridis subsp. viridis", "Vallichlora rara", "Vallichlora selva", "Gomphrena haageana", "Spatholirion ornatum", "Brachytydeus crassidigitosus", "Tricliona fasciata", "Brachytydeus cruciferus", "Gastrochilus deltoglossus", "Gomphrena diffusa", "Tricliona armata", "Spatholirion calcicola", "Clada rindrai", "Clada obesa", "Clada njakai", "Clada mamyi", "Clada madagascarensis", "Clada lalae", "Clada fasciata", "Clada dimbyi", "Streptolirion volubile", "Streptolirion volubile subsp. volubile", "Tricliona raapi", "Brachytydeus danutae", "Tricliona bengalensis", "Tricliona quinquemaculata", "Brachytydeus devexus", "Rhyparida sulcipennis", "Gastrochilus changjiangensis", "Rhyparida sulcatipennis", "Sequoia maguanensis", "Gastrochilus zhenyuanensis", "Fraxinus stenolepis", "Tedania elegans", "Ctenolepisma subterraneum", "Parmelinella schimperiana", "Leucosyris riparia", "Felicia ovata", "Vireo chivi chivi", "Bryobium atrorubens", "Bryobium bicristatum", "Bryobium diaphanum", "Bryobium tridens", "Bryobium ventricosum", "Bryobium cordiferum", "Bryobium cordiferum subsp. cordiferum", "Rourea minor", "Oxyloma michaudi", "Gomphrena hatschbachiana", "Oxyloma verrilli", "Gomphrena hermogenesii", "Oxyloma tlalpamense", "Oxyloma pinteri", "Microdillus peeli", "Desmodilliscus braueri", "Oxyloma retusum", "Oxyloma hirasei", "Oxyloma salleanum", "Gomphrena hillii", "Halisarca metabola", "Branchiomaldane labradorensis", "Halisarca melana", "Tradescantia occidentalis var. occidentalis", "Pseudocophotis sumatrana", "Cophotis ceylanica", "Tradescantia ozarkana", "Aphaniotis fusca", "Phoxophrys nigrilabris", "Draco cyanopterus", "Draco beccarii", "Gomphrena lacinulata", "Plestiodon chinensis", "Plestiodon anthracinus", "Tradescantia zebrina var. zebrina", "Plestiodon septentrionalis", "Plestiodon tetragrammus", "Plestiodon tunganus", "Plestiodon reynoldsi", "Tradescantia \u00d7 andersoniana", "Haslundiella iranica", "Hermierella boyaca", "Bryobium cordiferum subsp. borneense", "Testudo pecorinii", "Conocephalum japonicum", "Lobellina yinae", "Connarus erianthus", "Sparganopseustis gnosta", "Vachellia tortuosa", "Connarus lambertii", "Platynota arrecta", "Connarus monocarpus", "Platynota richersi", "Connarus monocarpus subsp. monocarpus", "Sparganothina thiodyta", "Connarus panamensis", "Connarus paniculatus", "Sycacantha camarata", "Sycacantha decursiva", "Sycacantha typicusivalva", "Sycacantha diserta", "Tradescantia gracillima", "Phaecasiophora obtundana", "Oxyloma elegans", "Oxyloma peoriense", "Gomphrena haenkeana", "Oxyloma subeffusum", "Paradoxecia kishidai", "Oxyloma minimum", "Paradoxecia polyzona", "Paradoxecia beibengensis", "Callisia procumbens", "Eucyclodes insolita", "Oxyloma ajanica", "Oxyloma primaevum", "Oxyloma affine", "Oxyloma barberi", "Oxyloma drnisanum", "Oxyloma kintlanum", "Eucyclodes hiyasata", "Gomphrena holosericea", "Chlorochromodes tumona", "Tradescantia poelliae", "Chloristola murzini", "Chloristola setosa", "Chlorissa archipelago", "Gomphrena humifusa", "Jodis tornopunctata", "Jodis berde", "Jodis argentea", "Gomphrena humilis", "Jodis altitudinis", "Jodis sibuyana", "Centrochelys burchardi", "Jodis mystica", "Maxates persona", "Phylloxiphia mpassa", "Gomphrena incana", "Gomphrena involucrata", "Tradescantia subaspera var. subaspera", "Gephyromantis mafy", "Gomphrena kanisii", "Sufetula anania", "Bryobium kawengicum", "Bryobium lancifolium", "Sarbanissa assimilis", "Pseudoconnarus macrophyllus", "Sarbanissa speciosa", "Bryobium lanuginosum", "Bryobium leavittii", "Bryobium montanum", "Plestiodon multivirgatus", "Plestiodon popei", "Plestiodon dugesii", "Taophila mandjeliae", "Oxyloma stelliferum", "Oxyloma patentissimum", "Oxyloma dunkeri", "Oxyloma effusum", "Crella elegans", "Marpesia pantequiana", "Huberonympha neildi", "Stevenaria divergens", "Branchiomaldane maryae", "Stevenaria yutajensis", "Stevenaria nakaharai", "Paramorbia hermosa", "Hesperosoma malaisei", "Rourea cuspidata", "Bryobium moultonii", "Agrisius fangchenglaia", "Agrisius epidela", "Bryobium puguahaanense", "Geodia berryi", "Rourea doniana", "Bryobium pullum", "Bryobium punctatum", "Bryobium rhizophoreti", "Bryobium rubiferum", "Myracrodruon balansae", "Rourea induta", "Bryobium senile", "Bryobium subclausum", "Rourea mimosoides", "Arthrosaura versteegii", "Dopasia buettikoferi", "Sphenomorphus buettikoferi", "Tytthoscincus hallieri", "Tropidophorus micropus", "Tropidophorus iniquus", "Trimeresurus hageni", "Phyllodactylus martini", "Gonatodes antillensis", "Eremiascincus emigrans", "Aphaniotis acutirostris", "Bronchocela cristatella", "Bronchocela hayeki", "Bronchocela smaragdina", "Bronchocela danieli", "Ceratophora aspera", "Ceratophora tennentii", "Ceratophora erdeleni", "Ceratophora karu", "Tentamen atrivirgulatum", "Complicitus nigrigularis", "Longistrebula argalata", "Tectosquamae furvalata", "Tectosquamae poguei", "Tectosquamae solisae", "Hesperoschema malaisei", "Draco cristatellus", "Phalaenopsis cacharensis", "Acavus grevillei", "Phalaenopsis yingjiangensis", "Phalaenopsis tsii", "Helicophanta amphibulima", "Helicophanta gargantua", "Draco cornutus", "Draco bimaculatus", "Draco reticulatus", "Draco taeniopterus", "Draco quadrasi", "Helicophanta magnifica", "Helicophanta geayi", "Helicophanta petiti", "Phalaenopsis ubonensis", "Psilotarsus brachypterus pubiventris", "Helicophanta socii", "Draco mindanensis", "Draco jareckii", "Draco obscurus", "Draco melanopogon", "Draco maximus", "Draco caerulhians", "Draco biaro", "Draco fimbriatus", "Draco quinquefasciatus", "Draco palawanensis", "Boechera cobrensis", "Helicophanta gloriosa", "Helicophanta souverbiana", "Harpesaurus modiglianii", "Harpesaurus borneensis", "Connarus suberosus", "Connarus wightii", "Sparganothina alta", "Sparganothina anopla", "Gomphrena lanigera", "Sparganothina cristata", "Sparganothina cultrata", "Connarus conchocarpus", "Sparganothina irregularis", "Connarus conchocarpus subsp. conchocarpus", "Sparganothina lutea", "Sparganothina nana", "Sparganothina neoamoebaea", "Sparganothina pollicis", "Sparganothina setosa", "Sparganothina spinulosa", "Sparganothina tena", "Sparganothina ternaria", "Sparganothina trispinosa", "Sparganothina veracruzana", "Sparganothina volcanica", "Sparganothina xanthista", "Sparganothina amoebaea", "Ellipanthus unifoliolatus", "Grapholita chytranthusi", "Grapholita taocosma", "Aphaniotis ornata", "Arthrosaura kockii", "Anomochilus weberi", "Drasteria cailino", "Ampelita alluaudi", "Drasteria cailino cailino", "Drasteria cailino obscura", "Drasteria cailino baigacumensis", "Drasteria cailino medialba", "Misantlius carinulatus", "Misantlius discedens", "Misantlius optatus", "Pammegus flavipes", "Chrysosplenium kamtschaticum", "Philomyceta caeruleipennis", "Codosiga botrytis", "Tarmia monastica", "Stylodonta studeriana", "Stylodonta unidentata", "Odonellia hirtiflora", "Tarmia greeneyi", "Ampelita akoratsara", "Calystegia collina", "Calystegia collina subsp. collina", "Calystegia collina subsp. venusta", "Calystegia collina subsp. oxyphylla", "Calystegia hederacea var. hederacea", "Calystegia macrostegia", "Amage asiaticus", "Xylotrechus alakolensis", "Lemonia peilei klapperichi", "Lemonia peilei talhouki", "Otocryptis nigristigma", "Helicophanta betsileoensis", "Harpesaurus ensicauda", "Harpesaurus beccarii", "Helicophanta goudotiana", "Mantheyus phuwuanensis", "Helicophanta vesicalis", "Helicophanta guestieriana", "Helicophanta bicingulata", "Helicophanta echinophora", "Helicophanta ibaraoensis", "Helicophanta farafanga", "Pebasiconcha immanis", "Japalura andersoniana", "Japalura sagittifera", "Cnemaspis andersonii", "Eurystyla ambatoensis", "Eurystyla cerina", "Eurystyla griffithsi", "Eurystyla julii", "Pseudocalotes andamanensis", "Eurystyla viridis", "Pseudocalotes austeniana", "Pseudocalotes kakhienensis", "Pseudocalotes sumatrana", "Pseudocalotes poilani", "Pseudocalotes microlepis", "Pseudocalotes larutensis", "Phoxophrys tuberculata", "Phoxophrys spiniceps", "Phoxophrys cephalum", "Phoxophrys borneensis", "Thaumatorhynchus brooksi", "Calystegia occidentalis subsp. occidentalis", "Calystegia peirsonii", "Cladospongia alaskensis", "Cladospongia elegans", "Megalochelys atlas", "Megalochelys cautleyi", "Diploderma chapaense", "Diploderma hamptoni", "Diploderma splendidum", "Diploderma makii", "Parmelinella mutata", "Ampelita ambanianae", "Ampelita amplaperta", "Calliaster elegans", "Ampelita analamerae", "Ampelita andriamamonjyi", "Caenorhabditis avicola", "Calystegia sepium subsp. americana", "Acantholipes afar", "Acantholipes aurea", "Parisanopus castaneipennis", "Acantholipes circumdata", "Fraxinus purpusii var. purpusii", "Sedolinus quediosimilis", "Sedolinus trinidadus", "Calystegia macrostegia subsp. macrostegia", "Calystegia malacophylla", "Calystegia malacophylla subsp. malacophylla", "Calystegia malacophylla subsp. pedicellata", "Atopocentrum mirabile", "Diploderma luei", "Diploderma zhaoermii", "Diploderma yunnanense", "Diploderma micangshanense", "Diploderma batangense", "Cyanonephron elegans", "Cyanonephron styloides", "Dolabella auricularia", "Dolabella californica", "Dolabella guayaquilensis", "Notarchus indicus", "Notarchus punctatus", "Succinea acuminata", "Succinea aegyptiaca", "Succinea africana", "Succinea alluaudi", "Emesis aurimna", "Emesis condigna", "Convolvulus sagittatus", "Ampelita anjanaharibei", "Ampelita anosiana", "Ampelita atropos", "Parmelinella nimandairana", "Ampelita bathiei", "Ampelita battistinii", "Ptilosarcus undulatus", "Parmelinella salacinifera", "Convolvulus lanuginosus", "Calystegia binghamiae", "Convolvulus boissieri", "Convolvulus boissieri subsp. boissieri", "Convolvulus canariensis", "Stanhopea fonsecae", "Stanhopea grossii", "Stanhopea javieri", "Acantholipes germainae", "Acantholipes namacensis", "Calystegia spithamaea subsp. spithamaea", "Acantholipes plumbeonitens", "Calystegia subacaulis", "Calystegia subacaulis subsp. subacaulis", "Acantholipes regularis", "Acantholipes semiaurea", "Acantholipes trajecta", "Acantholipes transiens", "Acantholipes trimeni", "Oreocnide frutescens", "Chrysosplenium echinus", "Ampelita vanoci", "Ampelita vesconis", "Ampelita watersi", "Convolvulus capensis", "Ampelita xystera", "Ampelita zonata", "Convolvulus clementii", "Ampelita stephani", "Ampelita stilpna", "Ampelita stumpfii", "Convolvulus boissieri subsp. compactus", "Ampelita suarezensis", "Convolvulus caput-medusae", "Convolvulus persicus", "Ampelita subatropos", "Convolvulus dorycnium subsp. dorycnium", "Ampelita subsepulcralis", "Ampelita sylvatica", "Stanhopea macrocornata", "Stanhopea oscarrodrigoi", "Stanhopea rubroatrata", "Stanhopea rubromaculata", "Stanhopea saintexuperyi", "Stanhopea szlachetkoana", "Stanhopea victoriana", "Stanhopea xanthoviridea", "Ampelita beanka", "Ampelita bizonalis", "Ampelita caderyi", "Ampelita caduca", "Danaus petilia", "Centrobolus elegans", "Callogorgia kinoshitai", "Punctelia nashii", "Poecilochroa albomaculata", "Gomphrena leptoclada", "Gomphrena platandra", "Gomphrena leptophylla", "Convolvulus lopezsocasii", "Poecilochroa alcala", "Gomphrena leucocephala", "Phlogiellus bundokalbo", "Convolvulus massonii", "Rhianodes atratus", "Parmotrema herrei", "Evolvulus arizonicus", "Ebala micalii", "Ebala nitidissima", "Ebala pagodula", "Solanum sect.", "Gomphrena mollis", "Solanum comarapanum", "Solanum saturatum", "Ebala communis", "Solanum scuticum", "Solanum whalenii", "Ebala gradata", "Gomphrena matogrossensis", "Neolucia hobartensis albolineata", "Megalovalvata baicalensis", "Megalovalvata demersa", "Megalovalvata kozhovi", "Megalovalvata lauta", "Megalovalvata parvula", "Megalovalvata piligera", "Convolvulus tricolor subsp. tricolor", "Stephanopis monulfi", "Convolvulus virgatus", "Hedana bonneti", "Gomphrena meyeniana", "Convolvulus waitaha", "Convolvulus demissus", "Ampelita parva", "Ampelita perampla", "Momenia longichela", "Tydeus momeni", "Ampelita lamothei", "Ampelita lancula", "Ampelita lindae", "Ampelita ludovici", "Ampelita lurdoni", "Ampelita madagascariensis", "Ampelita madecassina", "Ampelita marojeziana", "Ampelita culminans", "Ampelita crinieri", "Anoglypta launcestonensis", "Brazieresta larreyi", "Misumena maputiyana", "Misumena tapyasuka", "Convolvulus siculus", "Convolvulus siculus subsp. siculus", "Pygmipanda atomata", "Convolvulus dorycnium subsp. subhirsutus", "Gomphrena mandonii", "Misumena alpha", "Misumena beta", "Pygmipanda kershawi", "Ebrechtella concinna", "Tmarus homanni", "Gomphrena marginata", "Biwakovalvata biwaensis", "Borysthenia biformis", "Borysthenia intermedia", "Borysthenia juxi", "Borysthenia mankeanaformis", "Hydrosaurus pustulatus", "Gomphrena martiana", "Borysthenia pronaticina", "Hydrosaurus weberi", "Ampelita unicolor", "Convolvulus fruticulosus", "Convolvulus fruticulosus subsp. fruticulosus", "Matinta acutidens", "Ampelita percyana", "Convolvulus humilis", "Ampelita petiti", "Monilesaurus ellioti", "Monilesaurus rouxii", "Convolvulus hystrix", "Matinta jurutiensis", "Monilesaurus montanus", "Monilesaurus acanthocephalus", "Matinta delicata", "Matinta balbina", "Matinta similis", "Matinta longidens", "Hyllus maskaranus", "Medmassa kltina", "Micaria siniloana", "Zelotes capiliae", "Poecilochroa dayamibrookiana", "Convolvulus meonanthus", "Castianeira quadritaeniata", "Poecilochroa parangunifascigera", "Drassodes ellenae", "Systaria leoi", "Scotophaeus cecileae", "Convolvulus ocellatus", "Borboropactus cinerascens", "Convolvulus oleifolius var. oleifolius", "Cupa kalawitana", "Tharrhalea mariae", "Convolvulus remotus", "Convolvulus sabatius subsp. sabatius", "Stiphropus sangayus", "Loxobates kawilus", "Tydeus caryae", "Loxobates masapangensis", "Tmarus dostinikus", "Monaeses habamatinikus", "Brachytydeus fabae", "Tydeus longisetosus", "Ampelita pfeifferi", "Ampelita pilosa", "Ampelita ranomafanae", "Ampelita raxworthyi", "Ampelita robillardi", "Ampelita sepulcralis", "Ampelita soulaiana", "Gomphrena macrocephala", "Ampelita masoalae", "Ampelita milloti", "Ampelita namerokoensis", "Ampelita neoglobulus", "Ampelita omphalodes", "Ampelita owengriffithsi", "Micromisumenops xiushanensis", "Angaeus canalis", "Callobius claustrarius", "Gomphrena microcephala", "Amaurobius similis", "Goeldia obscura", "Gomphrena mizqueensis", "Convolvulus siculus subsp. elongatus", "Solanum sect.", "Solanum complectens", "Convolvulus oleifolius var. angustifolius", "Convolvulus oleifolius var. pumilus", "Bonamia media", "Bonamia media var. media", "Convolvulus argyrothamnos", "Solanum clandestinum", "Solanum pedemontanum", "Caryodes dufresnii", "Hedleyella falconeri", "Hedleyella maconelli", "Pandofella whitei", "Parasogata binaria", "Parasogata furca", "Pedinogyra allani", "Pedinogyra cania", "Pedinogyra effossa", "Turbatrix aceti", "Cheleutochroa elegans", "Clonophycus elegans", "Runcinia insecta", "Pedinogyra hayii", "Pedinogyra kalpowar", "Pedinogyra kroombit", "Pedinogyra nanna", "Thomisus italongus", "Pedinogyra rotabilis", "Thomisus iswadus", "Pedinogyra terrycarlessi", "Thomisus ilocanus", "Pedinogyra ultra", "Taypaliito iorebotco", "Camaricus florae", "Camaricus parisukatus", "Coryphidium elegans", "Henriksenia hilaris", "Gomphrena magentitepala", "Stichocotyle nephropis", "Cercaria elegans", "Evolvulus ericifolius", "Ebala pointeli", "Evolvulus ericifolius var. ericifolius", "Ebala scintillans", "Ebala striatula", "Evolvulus glomeratus", "Evolvulus glomeratus subsp. glomeratus", "Ebala torquata", "Ebala trigonostoma", "Ebala vestalis", "Ebala virginea", "Pseudomegalovalvata tenagobia", "Pseudomegalovalvata bathybia", "Pseudomegalovalvata laethmophila", "Pseudomegalovalvata profundicola", "Chloropterus versicolor", "Cuscuta epithymum subsp. epithymum", "Oberonia caulescens", "Seddera capensis", "Seddera suffruticosa", "Polyommatus dorylas", "Stylisma pickeringii var. pickeringii", "Wilsonia humilis", "Provalvata helicelloides", "Provalvata sabaudiensis", "Xenoskenea pellucida", "Xenoskenea buccinata", "Ampelita calida", "Polyommatus damon", "Ampelita calypso", "Ampelita capuroni", "Callyspongia elegans", "Callyspongia serpentina", "Ampelita decaryi", "Ampelita denisi", "Ampelita dingeoni", "Tjaernoeia boucheti", "Tjaernoeia exquisita", "Tjaernoeia michaeli", "Tjaernoeia unisulcata", "Dactylia elegans", "Gomphrena moquinii", "Haliclona elegans", "Evolvulus gnaphaloides", "Maxacteon sagamiensis", "Maxacteon kawamurai", "Evolvulus latifolius", "Haliclona cinerea", "Gomphrena paranensis", "Evolvulus prostratus", "Gastrochilus sect.", "Evolvulus rotundifolius", "Evolvulus sericeus", "Gomphrena parviceps", "Gastrochilus sect.", "Gastrochilus sect.", "Gomphrena perennis", "Holcoglossum nagalandense", "Myelochroa crenulata", "Evolvulus glomeratus f. echioides", "Acampe praemorsa var. praemorsa", "Cuscuta approximata subsp. approximata", "Solanum allophyllum", "Cuscuta cephalanthi", "Solanum tergosericeum", "Tuberolabium elobe", "Cuscuta chilensis", "Tuberolabium erosulum", "Solanum sejunctum", "Acampe praemorsa var. longepedunculata", "Cuscuta chinensis var. chinensis", "Gomphrena nigricans", "Evolvulus nummularius", "Gomphrena occulta", "Aeolidiella albopunctata", "Aeolidiella rubra", "Gomphrena oroyana", "Succinea alpestris", "Succinea archeyi", "Succinea baumanni", "Succinea campestris", "Succinea cochinchinensis", "Succinea cordovana", "Gomphrena pallida", "Indoplanorbis exustus", "Gomphrena paraguayensis", "Stephanopis altifrons", "Stephanopis angulata", "Stephanopis arenata", "Stephanopis armata", "Cuscuta europaea var. europaea", "Trachoma brevirhachis", "Ampelita globulus", "Ampelita grandidieri", "Ampelita granulosa", "Carteriospongia foliascens", "Ampelita duvalii", "Ampelita fulgurata", "Ampelita funebris", "Ampelita hova", "Ampelita ivohibei", "Ampelita josephinae", "Tuberolabium escritorii", "Tuberolabium odoratissimum", "Tuberolabium pendulum", "Solanum perlongistylum", "Tuberolabium quisumbingii", "Solanum catilliflorum", "Tuberolabium woodii", "Phyllastrephus albigula", "Tydeus cavernarus", "Tydeus dignus", "Tydeus diversus", "Trachoma guamense", "Stephanopis ahenea", "Stephanopis bella", "Stephanopis colatinae", "Erissus sanctaeleopoldinae", "Gomphrena phaeotricha", "Gomphrena pilosa", "Onocolus infelix", "Synema nigrianum", "Cuscuta gronovii var. gronovii", "Gomphrena platycephala", "Titidius dubitatus", "Tmarus espiritosantensis", "Tmarus rarus", "Cuscuta howelliana", "Cuscuta japonica var. japonica", "Tmarus baptistai", "Ampelita futura", "Ampelita galactostoma", "Clavator griffithsjonesi", "Cuscuta monogyna subsp. monogyna", "Tydeus electus", "Trachoma phillipsii", "Cuscuta pacifica var. pacifica", "Tydeus inclutus", "Tydeus kabutarahangensis", "Clavator obtusatus", "Brachytydeus navidi", "Brachytydeus vianensis", "Tydeus lindquisti", "Cayetunya breesi", "Cayetunya consanguinea", "Cayetunya clarki", "Cayetunya colombiana", "Cayetunya tifferae", "Stephanopis barbipes", "Stephanopis bicornis", "Cuscuta glomerata", "Stephanopis cambridgei", "Stephanopis carcinoides", "Stephanopis corticalis", "Stephanopis erinacea", "Ampelita katsaensis", "Ampelita lachesis", "Stephanopis fissifrons", "Ampelita lamarei", "Stephanopis flagellata", "Stephanopis lata", "Stephanopis longimana", "Stephanopis nana", "Stephanopis nigra", "Stephanopis palliolata", "Stephanopis rufiventris", "Stephanopis similis", "Stephanopis spiralis", "Stephanopis squalida", "Ampelita gaudens", "Tmarus atypicus", "Tmarus borgmeyeri", "Tmarus caxambuensis", "Tmarus incognitus", "Ampelita consanguinea", "Tmarus metropolitanus", "Tmarus minensis", "Tmarus perditus", "Tmarus polyandrus", "Tmarus primitivus", "Tmarus pugnax", "Gomphrena pohlii", "Ampelita chlorozona", "Ampelita clotho", "Ampelita covani", "Gomphrena potosiana", "Vanda coerulescens", "Clavator anteclavator", "Clavator bathiei", "Gomphrena pringlei", "Gomphrena prostrata", "Trachoma celebicum", "Clavator clavator", "Clavator dingeoni", "Clavator eximius", "Clavator grandidieri", "Cribrospongia elegans", "Cuscuta palaestina", "Cuscuta planiflora var. planiflora", "Brypoctia greifensteini", "Brypoctia eqaqo", "Brypoctia kurupi", "Brypoctia itzamna", "Brypoctia monai", "Cuscuta polygonorum", "Cuscuta reflexa var. reflexa", "Cuscuta sandwichiana", "Cuscuta ceanothi", "Cuscuta suksdorfii", "Varma tridens", "Varma serrata", "Varma obliqua", "Varma fervens", "Varma distanti", "Varma bimaculata", "Varma gibbosa", "Polyommatus ripartii paralcestis", "Polyommatus ripartii kosarevi", "Polyommatus ripartii tengritaghicus", "Hydra vulgaris", "Polyommatus ripartii pelopi", "Caulospongia elegans", "Craniella elegans", "Cuscuta acuta", "Cuscuta gymnocarpa", "Delgadobius amazonensis", "Calycobolus africanus", "Ecitophytes coniceps", "Leiolepis triploida", "Leiolepis peguensis", "Leiolepis guttata", "Leiolepis reevesii", "Leiolepis guentherpetersi", "Leiolepis boehmei", "Leiolepis rubritaeniata", "Brypoctia ramosa", "Dichondra argentea", "Corbitella elegans", "Eutropis trivittata", "Draco abbreviatus", "Altidelos bellendenker", "Acryptolaria elegans", "Dichondra sericea", "Falkia repens", "Porana volubilis", "Rhodorhipha fulminans", "Rhodorhipha subflammans", "Rhodorhipha flammans", "Rhodorhipha perflammans", "Rhodorhipha ignea", "Rhodorhipha vivia", "Leucotaenius adami", "Leucotaenius bathei", "Leucotaenius crassilabris", "Leucotaenius favannii", "Leucotaenius heimburgi", "Leucotaenius laevis", "Leucotaenius procteri", "Tulbaghinia isomerioides", "Ipomoea bahiensis", "Segestria mirshamsii", "Brypoctia aeetes", "Brypoctia itys", "Brypoctia ramuscula", "Brypoctia desdemona", "Gomphrena pulvinata", "Bufoniceps laungwalaensis", "Melanosphecia paolo", "Stephanopoides brasiliana", "Stephanopoides sexmaculata", "Gomphrena pumila", "Gabriopalpus ecitolycoides", "Plebejus chrisreai", "Plebejus idas shadzgat", "Hasumius validus", "Plebejus anikini", "Hesperomimus abdominalis", "Plebejus germani", "Hesperopalpus venustus", "Plebejus anikini anikini", "Plebejus anikini azhbogdo", "Erebia przhevalskii", "Erebia chastilovi", "Hesperus perfoliatus", "Rhodorhipha mathildae", "Rhodorhipha gurupi", "Rhodorhipha yanomami", "Argyreia elliptica", "Rhodorhipha andensis", "Rhodorhipha amazonensis", "Peucoglyphus corporaali", "Rhodorhipha esperans", "Phileciton badariottii", "Argyreia leschenaultii", "Regobarrosia colletii", "Phaeosia delvaleei", "Zygaenoprocris duskei", "Goazrea lao", "Clavator masoalae", "Clavator moreleti", "Erebia chastilovi chastilovi", "Erebia chastilovi nomada", "Clavator praecox", "Hyponephele lycaon dmitrievae", "Hyponephele lycaon kerzhneri", "Clavator watersi", "Leptopeltoides ecuatoriensis", "Leptopeltoides napoensis", "Leptopeltoides chingazensis", "Leptopeltoides columbiensis", "Dichondra brevifolia", "Leucitus argyreus", "Dichondra donelliana", "Mysolius aurichalceus", "Dichondra microcalyx", "Nasoona sulawesi", "Ipomoea bolusiana", "Racata brevis", "Racata sumatera", "Racata laxa", "Ipomoea bracteata var. bracteata", "Beckerella marginata", "Beckerella andensis", "Chrysartona antenor", "Chrysartona dangvani", "Argyreia nitida", "Hyposidra delmasi", "Ectropis pectinatissima", "Craspedosis eclipsoides", "Ectropis trisinuata", "Argyreia involucrata", "Philonthus tenellicornis", "Racata grata", "Salix sect.", "Salix sect.", "Alleloplasis darwinii", "Alleloplasis vespula", "Bambomada flava", "Stelis cypripedioides", "Segestria sbordonii", "Ipomoea bathycolpos", "Harpactea coccifera", "Harpactea corinthia", "Harpactea cressa", "Harpactea heliconia", "Ipomoea biflora", "Harpactea catholica", "Theridion carpathium", "Theridion corcyraeum", "Theridion adrianopoli", "Theridion cinereum", "Malthonica paraschiae", "Tegenaria ariadnae", "Tegenaria labyrinthi", "Zodarion emarginatum", "Conosmilia elegans", "Erycibe aenea", "Erycibe paniculata", "Neoleucitus rugosus", "Ophionthus serpentinus", "Rhodorhipha gagarini", "Humbertia madagascariensis", "Paederallus fragilis", "Paederomimus difformiceps", "Paederomimus distans", "Paederomimus insolitus", "Rhodorhipha pulcherrima", "Paederomimus maculipes", "Paederomimus mandibularis", "Paederomimus mexicanus", "Paederomimus mimeticus", "Paederomimus nigrinus", "Paederomimus nigripennis", "Paederomimus nobilis", "Paederomimus ornatellus", "Paederomimus pectoralis", "Paederomimus perforatus", "Paederomimus punctipennis", "Paederomimus salvini", "Rhodorhipha flammula", "Aphymolis similis", "Sternotoxus flavicornis", "Taxiplagus abnormalis", "Trachyphilonthus malaisei", "Tropiopterius purpuripennis", "Xenobius rotundiceps", "Tegenaria zamanii", "Ipomoea aquatica var. aquatica", "Ipomoea argyreia", "Eublepharis hardwickii", "Eublepharis fuscus", "Eublepharis angramainyu", "Hemitheconyx taylori", "Holodactylus africanus", "Holodactylus cornii", "Goniurosaurus lichtenfelderi", "Goniurosaurus hainanensis", "Quedenfeldtia moerens", "Danuvius guggenmosi", "Chorisastrea elegans", "Asterina martinbarriosi", "Asterina vicentae", "Monticola sharpei erythronotus", "Cycloseris curvata", "Centromerus petrovi", "Latouchia stridulans", "Quedenfeldtia trachyblepharus", "Tydeus oophorus", "Tydeus praeditus", "Tydeus plumosus", "Tydeus rafalskii", "Austris raffelis", "Tydeus acutus", "Metaxyonycha amasia", "Metaxyonycha hirtipennis", "Gedanotropis sontagae", "Metaxyonycha salvini", "Metaxyonycha limbata", "Patollo aestiorum", "Patollo natangorum", "Buca asymmetrospinata", "Buca simplex", "Prionodera costata", "Prionodera geniculata", "Buca truncoptera", "Prionodera kirschi", "Prionodera merana", "Prionodera peruviana", "Metaxyonycha chloroptera", "Metaxyonycha ocanana", "Colpophyllia elegans", "Calamophylliopsis elegans", "Gonocarpus micranthus", "Caesalpinia paipai", "Astripomoea hyoscyamoides", "Astripomoea hyoscyamoides var. hyoscyamoides", "Philonthus peripateticus", "Philonthus rugulipennis", "Platyschema javana", "Prianophthalmus hulstaerti", "Proxenobius borgmeieri", "Pseudocraspedomerus alutaceus", "Pseudomoeocerus malayanus", "Pterygolaetus williamsi", "Zygosaccharomyces bailii virus Z", "Scelotrichus elegans", "Shaverdolena leigongshana", "Shaverdolena kantonensis", "Sphaeriolinus georgii", "Oodoptera guianensis", "Phaeomolis acailandia", "Hypercompe bahiaensis", "Curvularia thermal tolerance virus", "Hypercompe tirolensis", "Euchloe ausonides ogilvia", "Euphydryas italica", "Irepacma luangi", "Caesalpinia yucatanensis subsp. yucatanensis", "Isoetes \u00d7 robusta", "Caesalpinia ebano", "Coenotes paukstadtorum", "Agonopterix vietnamella", "Ipomoea emetica", "Ipomoea furcyensis", "Palliduphantes curvus", "Palliduphantes corfuensis", "Salix sect.", "Pseudomicrommata mokranica", "Pristurus celerrimus", "Pristurus popovi", "Sharpbelly cultervirus", "Pristurus minimus", "Xilang striavirus", "Huangjiao thamnovirus", "Avian metaavulavirus 20", "Synodus paramyxovirus", "Salem salemvirus", "Mossman narmovirus", "Myodes narmovirus", "Nariva narmovirus", "Tupaia narmovirus", "Beilong jeilongvirus", "Jun jeilongvirus", "Lophuromys jeilongvirus 1", "Lophuromys jeilongvirus 2", "Myodes jeilongvirus", "Laurel Lake laulavirus", "Mothra mobuvirus", "Mukawa phlebovirus", "Pidgey pidchovirus", "Shrimp wenrivirus", "Dipteran wubeivirus", "Fly wubeivirus", "Bean necrotic mosaic orthotospovirus", "Calla lily chlorotic spot orthotospovirus", "Capsicum chlorosis orthotospovirus", "Chrysanthemum stem necrosis orthotospovirus", "Melon yellow spot orthotospovirus", "Melon severe mosaic orthotospovirus", "Soybean vein necrosis orthotospovirus", "Citrus coguvirus", "Comophyllia elegans", "Gomphrena pusilla", "Gomphrena radiata", "Anthocharis bieti qiani", "Isoetes dubsii", "Gomphrena regeliana", "Isoetes santacruzensis", "Agonopterix xeranthemella", "Isoetes laurentiana", "Gomphrena riedelii", "Chrysogorgia desbonni", "Solanum dunalianum", "Wehrliola inexpectata", "Isoetes shangrilaensis", "Biancaea godefroyana", "Caesalpinia globulorum", "Gomphrena scapigera", "Ipomoea coptica subsp. coptica", "Gomphrena schlechtendaliana", "Ipomoea cordatotriloba var. cordatotriloba", "Hemithiscia cordax", "Gomphrena sellowiana", "Hemithiscia devota", "Hemithiscia taeniatifrons", "Paraphilatis camerunensis", "Tarentola albertschwartzi", "Parathiscia conjugata", "Tailam jeilongvirus", "Cynoglossus paramyxovirus", "Hoplichthys paramyxovirus", "Scoliodon paramyxovirus", "Xingshan alphanemrhavirus", "Xinzhou alphanemrhavirus", "Caligus caligrhavirus", "Lepeophtheirus caligrhavirus", "Salmonlouse caligrhavirus", "Citrus chlorotic spot dichorhavirus", "Citrus leprosis N dichorhavirus", "Clerodendrum chlorotic spot dichorhavirus", "Pseudogonatodes lunulatus", "Pseudogonatodes barbouri", "Vaprio ledantevirus", "Pseudogonatodes furvus", "Gonatodes falconensis", "Hairy antennavirus", "Striated antennavirus", "Gonatodes seigliei", "Gonatodes alexandermendesi", "Gonatodes petersi", "Gonatodes atricucullaris", "Gonatodes caudiscutatus", "Gonatodes ocellatus", "Gonatodes ceciliae", "Draco formosus", "Draco walkeri", "Batfish actinovirus", "Goosefish actinovirus", "Spikefish actinovirus", "Draco sumatranus", "Draco timoriensis", "Draco spilonotus", "Hagfish agnathovirus", "Draco rhytisma", "Draco boschmai", "Tigray orthohantavirus", "Draco indochinensis", "Gecko reptillovirus", "Draco modiglianii", "Leptomonas shilevirus", "Latouchia schwendingeri", "Latouchia huberi", "Hermonassa kalamantra", "Hermonassa moorei", "Hermonassa tathabaya", "Hermonassa ayubia", "Hermonassa chersotidia", "Hermonassa oxyspila", "Hermonassa shizukoae", "Isoetes tuckermanii subsp. tuckermanii", "Aino orthobunyavirus", "Anadyr orthobunyavirus", "Anhembi orthobunyavirus", "Batai orthobunyavirus", "Bellavista orthobunyavirus", "Birao orthobunyavirus", "Bozo orthobunyavirus", "Buttonwillow orthobunyavirus", "Cache Valley orthobunyavirus", "Cachoeira Porteira orthobunyavirus", "Cat Que orthobunyavirus", "Enseada orthobunyavirus", "Faceys Paddock orthobunyavirus", "Isoetes tuckermanii subsp. acadiensis", "Fort Sherman orthobunyavirus", "Iaco orthobunyavirus", "Ilesha orthobunyavirus", "Ingwavuma orthobunyavirus", "Jamestown Canyon orthobunyavirus", "Jatobal orthobunyavirus", "Keystone orthobunyavirus", "La Crosse orthobunyavirus", "Tydeus domesticus", "Gomphrena riparia", "Gomphrena rosula", "Gomphrena rudis", "Pseudoniphargus gevi", "Pseudoniphargus morenoi", "Depressaria bayindirensis", "Cymindis distercicus", "Ipomoea campestris", "Gomphrena rupestris", "Ipomoea cholulensis", "Ipomoea gracilisepala", "Codonosmilia elegans", "Gomphrena serturneroides", "Gomphrena sordida", "Gomphrena spissa", "Danepteryx adiuncta", "Danepteryx artemisiae", "Danepteryx barbarae", "Danepteryx lurida", "Danepteryx manca", "Danepteryx robusta", "Parathiscia truncatella", "Tarentola mindiae", "Pseudothiscia concavifrons", "Tarentola rudis", "Tarentola gigas", "Tarentola parvicarinata", "Tarentola neglecta", "Bolitropis imperator", "Tarentola darwini", "Bolitropis irwini", "Tarentola boehmei", "Tarentola caboverdiana", "Tarentola deserti", "Bolitropis montanus", "Bolitropis olsufievi", "Melitaea tangigharuensis tangigharuensis", "Bolitropis strobilus", "Melitaea tangigharuensis nambi", "Ipomoea crassipes", "Ipomoea crassipes var. crassipes", "Leanyer orthobunyavirus", "Lumbo orthobunyavirus", "Macaua orthobunyavirus", "Maguari orthobunyavirus", "Melao orthobunyavirus", "Mermet orthobunyavirus", "Caesalpinia angulata", "Peaton orthobunyavirus", "Potosi orthobunyavirus", "Sabo orthobunyavirus", "San Angelo orthobunyavirus", "Sango orthobunyavirus", "Serra do Navio orthobunyavirus", "Snowshoe hare orthobunyavirus", "Sororoca orthobunyavirus", "Tahnya orthobunyavirus", "Tataguine orthobunyavirus", "Tensaw orthobunyavirus", "Trivittatus orthobunyavirus", "Utinga orthobunyavirus", "Witwatersrand orthobunyavirus", "Insect shangavirus", "Pacui pacuvirus", "Rio Preto da Eva pacuvirus", "Tapirape pacuvirus", "Sanxia sawastrivirus", "Insect wuhivirus", "Culex orthophasmavirus", "Ganda orthophasmavirus", "Odonate orthophasmavirus", "Qingling orthophasmavirus", "Seattle orthophasmavirus", "Guertu banyangvirus", "Heartland banyangvirus", "Dipteran beidivirus", "Horsefly horwuvirus", "Dipteran hudivirus", "Lepidopteran hudovirus", "Huangpi kabutovirus", "Kabuto mountain kabutovirus", "Dictyobia atra", "Dictyobia combinata", "Dictyobia semivitrea", "Dictyobia varia", "Dictyonia obscura", "Dictyonissus griphus", "Dictyonissus nigropilosus", "Dictyssa areolata", "Dictyssa beameri", "Dictyssa clathrata", "Dictyssa doeringae", "Dictyssa fenestrata", "Dictyssa fusca", "Dictyssa leonilae", "Glabroculus cyane", "Lepidoblepharis colombianus", "Lepidoblepharis microlepis", "Lepidoblepharis xanthostigma", "Bolitropis synavei", "Lepidoblepharis peraccae", "Lepidoblepharis intermedius", "Lepidoblepharis sanctaemartae", "Lepidoblepharis ruthveni", "Busas dissolutus", "Lepidoblepharis buchwaldi", "Cisticola marginatus", "Lepidoblepharis heyerorum", "Lepidoblepharis miyatai", "Lepidoblepharis duolepis", "Lepidoblepharis williamsi", "Conna guttifera", "Connelicita backyensis", "Connelicita haiphongensis", "Connelicita lungchowensis", "Zygaena magiana kohistana", "Gomphrena uruguayensis", "Zygaena magiana alaica", "Ipomoea involucrata var. involucrata", "Gomphrena vaga", "Zygaena rubricollis afghanica", "Zygaena rubricollis arachosica", "Zygaena rubricollis shahkuhica", "Zygaena rubricollis fredi", "Zygaena rubricollis taftanica", "Zygaena rubricollis bashgulica", "Pseudorientis shinobuae", "Gomphrena virgata", "Dictyssa maculosa", "Dictyssa marginepunctata", "Dictyssa mira", "Dictyssa monroviana", "Dictyssa mutata", "Holocystis elegans", "Trigonopterus abnormis", "Trigonopterus adspersus", "Trigonopterus ambangensis", "Trigonopterus ampanensis", "Trigonopterus analis", "Trigonopterus arachnobas", "Trigonopterus armipes", "Trigonopterus artemis", "Trigonopterus asterix", "Trigonopterus barbipes", "Trigonopterus bonthainensis", "Trigonopterus carinirostris", "Trigonopterus castaneipennis", "Trigonopterus celebensis", "Trigonopterus cirripes", "Trigonopterus collaris", "Trigonopterus costatulus", "Trigonopterus curvipes", "Polyommatus orphicus orphicus", "Streimanniella michelagoensis", "Acrodus acutus", "Cardiaphyllum elegans", "Gomphrena vitellina", "Solanum mentiens", "Solanum shirleyanum", "Dictyssa quadravitrea", "Dictyssa schuhi", "Dictyssa transversa", "Dictyssonia beameri", "Cleistes rosea", "Cleistes libonii", "Cleistes grandiflora", "Elica latipennis", "Trigonopterus klabatensis", "Trigonopterus kolakensis", "Trigonopterus kotamobagensis", "Trigonopterus laevigatus", "Trigonopterus lampros", "Trigonopterus latipennis", "Trigonopterus lompobattangensis", "Gomphrena stellata", "Trigonopterus luwukensis", "Trigonopterus mahawuensis", "Trigonopterus manadensis", "Trigonopterus mangkutanensis", "Trigonopterus matalibaruensis", "Trigonopterus mesai", "Trigonopterus minahassae", "Trigonopterus moatensis", "Trigonopterus modoindingensis", "Trigonopterus nanus", "Trigonopterus nitidulus", "Trigonopterus obelix", "Trigonopterus ovalipunctatus", "Gomphrena tenella", "Trigonopterus ovatulus", "Trigonopterus pagaranganensis", "Trigonopterus triradiatus", "Solanum ultimum", "Solanum densevestitum", "Teratoscincus keyserlingii", "Teratoscincus bedriagai", "Teratoscincus przewalskii", "Solanum gympiense", "Eana guajaresana", "Solanum defensum", "Zygaena favonia elissae", "Coeloria elegans", "Gomphrena triceps", "Gomphrena trollii", "Acanthosaura tongbiguanensis", "Solanum corifolium", "Anania shanxiensis", "Gomphrena umbellata", "Zygaena magiana alaudina", "Trigonopterus tenuipes", "Trigonopterus tomohonensis", "Trigonopterus toraja", "Trigonopterus vicinus", "Trigonopterus viduus", "Trigonopterus volcanorum", "Trigonopterus wangiwangiensis", "Trigonopterus watsoni", "Trigonopterus yoda", "Solanum viridifolium", "Solanum hapalum", "Trigonopterus atuf", "Solanum johnsonianum", "Trigonopterus kumbang", "Trigonopterus laratensis", "Trigonopterus porg", "Solanum innoxium", "Trigonopterus selaruensis", "Trigonopterus tanimbarensis", "Ipomoea involucrata", "Carinthiaphyllum elegans", "Ipomoea linosepala", "Ipomoea linosepala subsp. alpina", "Ipomoea linosepala subsp. linosepala", "Indogaetulia rubiocellata", "Indogaetulia nigrovenosa", "Johannesburgia rossi", "Caliapora elegans", "Trigonopterus crenulatus", "Trigonopterus cricki", "Trigonopterus darwini", "Trigonopterus ejaculatorius", "Ipomoea hastigera", "Trigonopterus fuscipes", "Trigonopterus gracilipes", "Trigonopterus heberti", "Trigonopterus hirsutus", "Trigonopterus humilis", "Heterocephalacria sinensis", "Trigonopterus hypocrita", "Dictyssa obliqua", "Phaeotremella lacus", "Trigonopterus idefix", "Trigonopterus impressicollis", "Solicoccozyma aquatica", "Dictyssa ovata", "Trigonopterus incendium", "Trigonopterus incognitus", "Trigonopterus indigenus", "Trigonopterus inhonestus", "Gomphrena splendida", "Trigonopterus invalidus", "Trigonopterus jasminae", "Trachoma gamma", "Trachoma latriniformis", "Trachoma papuanum", "Trachoma rumphii", "Trachoma sarcochiloides", "Trachoma sinapicolor", "Trachoma stellatum", "Ipomoea oenotherae", "Ipomoea oenotherae var. oenotherae", "Ipomoea oenotheroides", "Epidendrum sanderi", "Cleistes abdita", "Trachoma binchinae", "Bidderia amitsba", "Heptathela kojima", "Ascoleucetta compressa", "Ascoleucetta ventricosa", "Trachoma candida", "Trachoma coarctatum", "Leucascus simplex", "Leucascus clavatus", "Leucascus albus", "Leucascus flavus", "Foudia aldabrana", "Nurunderia chrysopoides", "Coenites elegans", "Marchantiana occidentalis", "Selamorpha variegata", "Tritophania patruelis", "Cristalinaia vitoria", "Daplasa nivisala", "Daplasa melanoma", "Raesaeneniana maulensis", "Trigonopterus palopensis", "Trigonopterus paracollaris", "Trigonopterus pauper", "Trigonopterus pendolensis", "Trigonopterus posoensis", "Trigonopterus prismae", "Trigonopterus procurtus", "Gomphrena tomentosa", "Trigonopterus pseudallotopus", "Trigonopterus pseudanalis", "Trigonopterus pseudovatulus", "Trigonopterus pseudovalipunctatus", "Trigonopterus pseudofulvicornis", "Trigonopterus pseudomanadensis", "Trigonopterus pseudosimulans", "Trigonopterus pumilus", "Ipomoea hochstetteri", "Trigonopterus rantepao", "Trigonopterus reticulatus", "Trigonopterus rhombiformis", "Trigonopterus rotundatus", "Trigonopterus rotundulus", "Trigonopterus rudis", "Ipomoea holubii", "Trigonopterus rufipes", "Trigonopterus sampunensis", "Trigonopterus sampuragensis", "Trigonopterus satyrus", "Trigonopterus scabripes", "Trigonopterus scaphiformis", "Trigonopterus scitulus", "Trigonopterus selayarensis", "Trigonopterus serripes", "Trigonopterus seticnemis", "Trigonopterus silvicola", "Trigonopterus squalidulus", "Trigonopterus sulawesiensis", "Trigonopterus suturatus", "Trigonopterus tatorensis", "Ascaltis grisea", "Ascaltis wilsoni", "Ascaltis pelliculata", "Ascaltis depressa", "Ascaltis gardineri", "Ascaltis cavata", "Ascaltis reticulum", "Ascaltis poterium", "Ascaltis agassizii", "Ascaltis lamarcki", "Ascaltis panis", "Ascaltis angusta", "Ascaltis abyssus", "Leucascus protogenes", "Leucascus schleyeri", "Leucascus roseus", "Ipomoea ommanneyi", "Catenipora elegans", "Meyenaster gelatinosus", "Xenagama batillifera", "Xenagama taylori", "Xenagama zonura", "Pseudotrapelus neumanni", "Agama rueppelli", "Agama spinosa", "Ipomoea pauciflora subsp. pauciflora", "Solanum dryanderense", "Solanum parvifolium", "Solanum latens", "Callogorgia elegans", "Lecanora orlovii", "Chrysogorgia elegans", "Hypsotropa vazquezi", "Porpidia ulleungdoensis", "Agama bocourti", "Leptasterias polaris", "Ipomoea robertsiana", "Ipomoea lineolata", "Ipomoea rubriflora", "Quelaestrygon puetzi", "Eilithyia insularis", "Queskallion tangi", "Queskallion seronatum", "Queskallion schuelkei", "Queskallion montanum", "Ipomoea procumbens", "Velleiopsis marginiventris", "Pinus nigra subsp. nigra var. caramanica", "Ipomoea walpersiana", "Ipomoea wightii", "Ipomoea wightii var. wightii", "Guillaumius shibatai", "Guillaumius rougemonti", "Coelogyne zurowetzii", "Agama boulengeri", "Ipomoea sepacuitensis", "Agama bottegi", "Agama doriae", "Agama robecchii", "Agama mossambica", "Adeloneivaia boisduvalii", "Adeloneivaia catharina", "Adeloneivaia bellardi", "Adeloneivaia catoxantha", "Adeloneivaia fallax", "Adeloneivaia irrorata", "Adeloneivaia isara", "Adeloneivaia minuta", "Adeloneivaia pelias", "Adeloneivaia schubarti", "Agama montana", "Bafutella mirei", "Boothia bansengi", "Boothia caroli", "Boothia harrissoni", "Boothia torreyi", "Collocypus gularis", "Eucibdelus gracilis", "Eucibdelus orientalis", "Euristus globus", "Nelmanwaslus ornatus", "Ipomoea transvaalensis", "Ipomoea transvaalensis subsp. transvaalensis", "Paraphytolinus sumatrensis", "Philetaerius elegans", "Archaea incertae sedis", "Cavernularia elegans", "Ceratomyxa elegans", "Salix sect.", "Comptonia elegans", "Diversispora peloponnesiaca", "Stictocardia tiliifolia subsp. tiliifolia", "Taeniopsetta radula", "Thinopinus pictus", "Ipomoea intrapilosa", "Leucetta chagosensis", "Ristella beddomii", "Ristella guentheri", "Ristella rurkii", "Ristella travancorica", "Tytthoscincus parvus", "Tytthoscincus cophias", "Tytthoscincus butleri", "Asymblepharus ladacensis", "Agama turuensis", "Agama kaimosae", "Agama impalearis", "Agama etoshae", "Agama sylvana", "Agama paragama", "Agama weidholzi", "Paralaudakia stoliczkana", "Paralaudakia bochariensis", "Paralaudakia erythrogaster", "Paralaudakia lehmanni", "Paralaudakia himalayana", "Paralaudakia badakhshana", "Laudakia nuristanica", "Laudakia agrorensis", "Laudakia dayana", "Laudakia nupta", "Laudakia pakistanica", "Phrynocephalus raddei", "Phrynocephalus frontalis", "Phrynocephalus przewalskii", "Phrynocephalus theobaldi", "Phrynocephalus strauchi", "Phrynocephalus rossikowi", "Phrynocephalus ornatus", "Phrynocephalus luteoguttatus", "Phrynocephalus maculatus", "Phrynocephalus forsythii", "Phrynocephalus arabicus", "Ipomoea squamisepala", "Atractus favae", "Tropidophis maculatus", "Tropidophis pardalis", "Urotheca dumerilli", "Urotheca multilineata", "Urotheca lateristriga", "Urotheca pachyura", "Urotheca fulviceps", "Urotheca guentheri", "Urotheca myersi", "Trachyboa gularis", "Trachyboa boulengeri", "Ungaliophis continentalis", "Ungaliophis panamensis", "Nematocida parisii", "Biota incertae sedis", "Pterodectes rutilus", "Menoedius andrewesi", "Phrynocephalus axillaris", "Phrynocephalus clarkorum", "Phrynocephalus erythrurus", "Phrynocephalus scutellatus", "Phrynocephalus reticulatus", "Phrynocephalus roborowskii", "Phrynocephalus interscapularis", "Phrynocephalus golubewii", "Ipomoea squamosa var. squamosa", "Ipomoea tenuifolia", "Perumegabalanus calziai", "Polyommatus timfristos", "Ipomoea ternifolia var. ternifolia", "Leiocephalus cubensis", "Anolis lineatopus", "Anolis porcatus", "Polyommatus pseudorjabovi", "Leptasterias polaris katherinae", "Camonea vitifolia", "Camonea kingii", "Arturia alcatraziensis", "Scincella sikimmensis", "Pennilabium angraecum", "Pennilabium lohokii", "Distimake aegyptius", "Jacquemontia sandwicensis", "Cleisocentron malipoense", "Distimake tomentosus", "Hemiergis peronii", "Lerista bougainvillii", "Lerista elegans", "Lerista gerrardii", "Lerista microtis", "Lipinia pulchella", "Scincella reevesii", "Tropidophorus brookei", "Sphenomorphus indicus", "Sphenomorphus fasciatus", "Eremiascincus richardsonii", "Ctenotus inornatus", "Ctenotus essingtonii", "Ctenotus australis", "Jacquemontia abutiloides", "Jacquemontia evolvuloides", "Chariaster elegans", "Leucetta sulcata", "Salix argyrophegga", "Tipularia discolor", "Glaucomaria carpinea", "Jacquemontia bracteosa", "Jacquemontia cayensis", "Jacquemontia curtisii", "Jacquemontia holosericea", "Phytolinus lewisii", "Paradirphia parapeggyae parapeggyae", "Platydracus girardi", "Platydracus lecordieri", "Rhynchocheilus pectoralis", "Glaucomaria bicincta", "Saniderus ruficollis", "Saniderus laevicollis", "Sphaerobulbus bisinuatus", "Sphaerobulbus brezinai", "Sphaerobulbus murzini", "Sphaerobulbus yulongmontis", "Sphaerobulbus yunnanus", "Jacquemontia paniculata", "Wasmannellus tristis", "Jacquemontia paniculata var. paniculata", "Actenicerus alternatus", "Carvalhoa appendiculata", "Carvalhoa micella", "Polyommatus aroaniensis", "Polyommatus nephohiptamenos", "Jacquemontia robertsoniana", "Gnaphosa lugubris", "Gnaphosa badia", "Glaucomaria leptyrodes", "Distimake cielensis", "Pseudoinsalebria iberica", "Aglossa mayrae", "Dicranostyles scandens", "Calceolispongia elegans", "Decalobanthus peltatus", "Distimake tuberosus", "Hewittia malabarica", "Antabhoga gardineri", "Polyommatus humedasae", "Xenostegia tridentata subsp. tridentata", "Leptasterias polaris acervata", "Acrocera orbicula", "Distimake quinquefolius", "Ute insulagemmae", "Andoharano decaryi", "Coeranoscincus reticulatus", "Lerista fragilis", "Lerista punctatovittata", "Lipinia infralineolata", "Lipinia subvittata", "Sphenomorphus nigrolabris", "Tropidophorus grayi", "Tropidophorus microlepis", "Andoharano monodi", "Cornus capitata subsp. angustata", "Solanum mitchellianum", "Solanum semiarmatum", "Paraxenopygus tremolerasi", "Cornus capitata subsp. capitata", "Diambon remanei", "Alangium villosum", "Cyphocarpa trichinioides", "Hesticus pictus", "Hesticus rufimanus", "Phymaturus palluma", "Glaucomaria lojkaeana", "Hesticus sanguinifrons", "Cidaris elegans", "Atocion scythicinum", "Leiocephalus schreibersii", "Cornus kousa var. kousa", "Cornus macrophylla var. macrophylla", "Coriaria ruscifolia subsp. microphylla", "Dipoena crescenta", "Dipoena lirata", "Cyphocarpa cruciata", "Alangium ebenaceum", "Alangium ebenaceum var. ebenaceum", "Ketambea nigripectoris", "Cyphocarpa resedoides", "Dissoctenioides heyerae", "Cornus darvasica", "Neolycaena enkhnasani", "Solanum dysprosium", "Inkewana fuscoirroratus", "Sakina boulardi", "Solanum inaequilaterum", "Solanum coracinum", "Planochelas brevis", "Cleisocentron pallens", "Planochelas haddadi", "Planochelas jocquei", "Planochelas neethlingi", "Clathrina rodriguesensis", "Clathrina maremeccae", "Clathrina repens", "Cicerocrinus elegans", "Distimake dissectus var. dissectus", "Solanum dissectum", "Solanum lythrocarpum", "Campylorhynchus humilis", "Campylorhynchus capistratus", "Polyommatus iphigenia nonacriensis", "Coelopleurus elegans", "Studeria elegans", "Parasteatoda aequipeiformis", "Coriaria angustissima", "Distimake palmeri", "Parbatthorax unicornis", "Coriaria ruscifolia subsp. ruscifolia", "Cyphocarpa angustifolia", "Carbonea invadens", "Histocidaris elegans", "Chelis cantabrica", "Andoharano simoni", "Andoharano zonsteini", "Andoharano grandidieri", "Borojevia voigti", "Borojevia tubulata", "Borojevia pirella", "Andoharano lehtineni", "Borojevia paracerebrum", "Andoharano woodae", "Arturia compacta", "Andoharano rollardae", "Andoharano griswoldi", "Andoharano milloti", "Andoharano ramirezi", "Cleisocentron abasii", "Andoharano ansieae", "Cleisocentron gokusingii", "Cleisocentron kinabaluense", "Cleisocentron klossii", "Phymaturus spurcus", "Phymaturus patagonicus", "Phymaturus mallimaccii", "Phymaturus bibronii", "Phymaturus nevadoi", "Phymaturus payuniae", "Phymaturus somuncurensis", "Phymaturus zapalensis", "Salix \u00d7 amoena", "Phymaturus indistinctus", "Decalobanthus mammosus", "Decalobanthus pacificus", "Decalobanthus boisianus", "Cornus asperifolia", "Leucandra pilula", "Leucandra mozambiquensis", "Grantessa woerheidei", "Distimake flagellaris", "Sycettusa hirsutissima", "Vosmaeropsis glebula", "Paraleucilla erpenbecki", "Kebira tetractinifera", "Cyrtosia javanica", "Salix aeruginosa", "Salix alatavica", "Salix arctophila", "Salix argyrocarpa", "Salix argyrotrichocarpa", "Salix arrigonii", "Opopaea andranomay", "Salix athabascensis", "Opopaea andringitra", "Salix atopantha", "Salix austrotibetica", "Salix \u00d7 altobracensis", "Clarkometra elegans", "Distimake kentrocaulos", "Dissoctenioides demnatensis", "Dissoctenioides agamentaga", "Cornus sessilis", "Dissoctenioides pyrenaella", "Dissoctenioides mauretanica", "Acrisius arctus", "Cornus \u00d7 rutgersensis", "Acrisius fasciatus", "Incurvaria pirinella", "Acrisius gibbipennis", "Spiniphallellus eberti", "Spiniphallellus naumanni", "Crocidosema nitsugai", "Acrisius inornatus", "Acrisius muscarius", "Theridion bernardi", "Lampronia aenigma", "Plutella angulivalva", "Tinagma magnostiumella", "Denisia lutea", "Forsskaolea tenacissima", "Crepidium metallicum", "Crassula atropurpurea var. anomala", "Crassula atropurpurea var. muirii", "Crassula ausensis", "Crassula ausensis subsp. ausensis", "Crassula ausensis subsp. giessii", "Crassula ausensis subsp. titanopsis", "Crassula barbata", "Crassula barbata subsp. barbata", "Crassula biplanata", "Aragualna plenalinea", "Wittinia cremor", "Wittinia zebra", "Apatema baixerasi", "Apatema junnilaineni", "Apatema lerauti", "Crassula brevifolia subsp. brevifolia", "Crassula capensis", "Crassula capitella subsp. capitella", "Crassula dejecta", "Axestemys quinni", "Salix ballii", "Salix commutata", "Elachista rosselloensis", "Aroga corsa", "Metzneria fulva", "Corsia cordata", "Rumex obovatus", "Corsia lamellata", "Terataki caterinoi", "Triacrus dilatus", "Tricholinus pehlkei", "Corynocarpus rupestris", "Burmacicada protera", "Cambraster cannati", "Salix baileyi", "Salix balansae", "Costus amazonicus", "Costus macranthus", "Cystodytes elegans", "Costus osae", "Fonsecacicada mineira", "Costus phyllocephalus", "Infurcitinea paratrifasciella", "Elachista karsticola", "Costus pictus", "Pterolonche douxi", "Costus productus", "Coccidiphila camai", "Scrobipalpa mercantourica", "Miocenoprasia grasseti", "Pammene obscurana", "Costus spectabilis", "Cydia illutana", "Costus spiralis", "Penestoglossa gallica", "Thayeralinus fieldi", "Thayeralinus giganteus", "Thayeralinus glandulifer", "Crassula ciliata", "Thayeralinus longelytratus", "Crassula columella", "Vanda aurantiaca", "Vanda aurantiaca subsp. aurantiaca", "Vanda aurantiaca subsp. philippinensis", "Apostolepis intermedia", "Willeya diffractella", "Rachesa vikhuanucensis", "Rachesa dianae", "Uncifera thailandica", "Hellenia globosa", "Uncifera verrucosa", "Danepteryx sequoiae", "Direconta gnesia", "Direconta barrasiana", "Direconta recondita", "Direconta curitibana", "Direconta lentigrana", "Tapeinochilos recurvatus", "Agonopterix ongudaica", "Axestemys infernalis", "Crassula acinaciformis", "Costus chartaceus", "Costus comosus", "Costus glaucus", "Phymaturus camilae", "Davispia bearcreekensis", "Camuracicada aichhorni", "Costus erythrocoryne", "Neofriseria hitadoella", "Costus erythrophyllus", "Chiridota elegans", "Chrysoesthia hispanica", "Costus gabonensis", "Nematopogon caliginella", "Costus giganteus", "Costus laevis", "Costus lateriflorus", "Dominicicada youngi", "Costus lucanusianus", "Feoichnus challa", "Metzneria expositoi", "Phereoeca lodli", "Zackfalinus abothros", "Zackfalinus agrammos", "Zackfalinus alturas", "Zackfalinus andersoni", "Zackfalinus antennatus", "Zackfalinus bierigi", "Zackfalinus brzoskai", "Zackfalinus carinatus", "Zackfalinus erythrocephalos", "Zackfalinus hardestae", "Zackfalinus kitrinos", "Zackfalinus kokkinos", "Zackfalinus lamperos", "Zackfalinus leptophallos", "Zackfalinus limonus", "Zackfalinus napus", "Zackfalinus stenocephalos", "Zackfalinus surinamus", "Zackfalinus tricolor", "Zackfalinus ziegleri", "Zyzypyge calycina", "Crassula alpestris", "Crassula alpestris subsp. alpestris", "Forsskaolea candida", "Clavelina elegans", "Forsskaolea griersonii", "Forsskaolea hereroensis", "Forsskaolea procridifolia", "Allotrichus arenarius", "Archaites australis", "Archaites tamborinensis", "Phymaturus dorsimaculatus", "Phymaturus tenebrosus", "Crinolinus intonsus", "Dactylaptatus insularis", "Dibothroglyptus sutteri", "Forsskaolea viridis", "Willeya diffractella var. flavicans", "Crassula corallina subsp. corallina", "Habrolinus tahoensis", "Crassula cultrata", "Botryllus elegans", "Crassula expansa subsp. fragilis", "Crassula fallax", "Crassula fascicularis", "Crassula fusca", "Macropodanthus philippinensis", "Kizylkumemys khoratensis", "Liolaemus boulengeri", "Liolaemus rothi", "Crassula dichotoma", "Salix eastwoodiae", "Salix farriae", "Salix fedtschenkoi", "Crassula elegans", "Salix karelinii", "Crassula elegans subsp. elegans", "Crassula ericoides", "Crassula ericoides subsp. ericoides", "Crassula exilis", "Crassula exilis subsp. exilis", "Crassula exilis subsp. picturata", "Crassula exilis subsp. schmidtii", "Crassula expansa", "Phymaturus aguanegra", "Phymaturus williamsi", "Crassula expansa subsp. expansa", "Salix pycnostachya", "Crassula peduncularis", "Crassula peculiaris", "Macropodanthus teysmannii", "Crassula moschata", "Crassula multicava subsp. multicava", "Macropodanthus cootesii", "Demansia torquata", "Demansia olivacea", "Demansia reticulata", "Demansia angusticeps", "Demansia papuensis", "Schoenorchis tatonii", "Costus villosissimus", "Leiocephalus psammodromus", "Leiocephalus eremitus", "Leiocephalus loxogrammus", "Leiocephalus cuneus", "Costus guanaiensis", "Leiocephalus rhutidira", "Leiocephalus stictigaster", "Leiocephalus endomychus", "Leiocephalus inaguae", "Leiocephalus lunatus", "Leiocephalus punctatus", "Leiocephalus vinculum", "Leiocephalus pratensis", "Leiocephalus greenwayi", "Leiocephalus onaneyi", "Leiocephalus semilineatus", "Dimerocostus strobilaceus", "Metzneria campicolella", "Leiocephalus barahonensis", "Leiocephalus altavelensis", "Dimerocostus strobilaceus subsp. strobilaceus", "Uncifera dalatensis", "Psammophis elegans", "Psammophis leithii", "Psammophis longifrons", "Psammophis indochinensis", "Uncifera lancifolia", "Uncifera obtusifolia", "Rachesa svetlanae", "Crassula macowaniana", "Salix sect.", "Crassula mesembryanthemoides", "Crassula mesembryanthemoides subsp. mesembryanthemoides", "Crassula mollis", "Crassula montana", "Crassula montana subsp. quadrangularis", "Liolaemus dorbignyi", "Liolaemus ornatus", "Crassula pellucida", "Crassula pellucida subsp. pellucida", "Crassula pellucida subsp. brachypetala", "Crassula peploides", "Crassula plegmatoides", "Cacatua goffini", "Spathoglottis hardingiana", "Salix baladehensis", "Salix issatissensis", "Culmicrinus elegans", "Salix denticulata", "Willeya iwatsukii", "Crassula garibina", "Crassula glomerata", "Leptomicrus teredo", "Alcyonidium verrilli", "Crassula humbertii", "Crassula lactea", "Microleptus vadoni", "Salix kaptarae", "Willeya japonica", "Crassula lanceolata", "Crassula lanceolata subsp. lanceolata", "Platydromus erosus", "Queenslandina oculata", "Queenslandina rubida", "Queenslandina nigra", "Queenslandina tropicalis", "Scytalinus serpentinus", "Stenolinus macrothrichus", "Crassula globularioides", "Crassula globularioides subsp. globularioides", "Salix firouzkuhensis", "Narcissus jonquilla subsp. jonquilla", "Narcissus jonquilla subsp. cerrolazae", "Narcissus leonensis", "Acrothinium gaschkevitchii", "Salix lacus-tari", "Eratocrinus elegans", "Salix \u00d7 sakaii", "Cyclophora serveti", "Crassula streyi", "Crassula susannae", "Crassula swaziensis", "Pleraplysilla reticulata", "Crassula tecta", "Crassula tetragona subsp. tetragona", "Crassula tetragona subsp. acutifolia", "Crassula tetragona subsp. lignescens", "Phymaturus curivilcun", "Macropodanthus alatus", "Crassula rogersii", "Macropodanthus berkeleyi", "Crassula rubricaulis", "Crassula sarcocaulis", "Crassula sarcocaulis subsp. sarcocaulis", "Macropodanthus nayanianum", "Culeolus elegans", "Macropodanthus rimauensis", "Crassula sarmentosa", "Macropodanthus sabahensis", "Crassula tetragona subsp. robusta", "Amilaps mayana", "Lapsias estebanensis", "Lapsias ciliatus", "Lapsias cyrboides", "Lapsias tovarensis", "Habronattus aestus", "Willeya australis", "Habronattus chamela", "Habronattus empyrus", "Habronattus luminosus", "Habronattus roberti", "Crassula capitella subsp. thyrsiflora", "Crassula vaginata", "Crassula vaginata subsp. vaginata", "Loxosceles malintzi", "Crassula sieberiana", "Crassula sieberiana subsp. sieberiana", "Crassula spathulata", "Crassula cordata", "Curtognathus elegans", "Willeya tetraspora", "Phymaturus desuetus", "Droguetia leptostachys", "Cotyledon campanulata", "Cotyledon eliseae", "Thrandina bellavista", "Crassula volkensii", "Didymodoxa capensis", "Crassula volkensii subsp. volkensii", "Crassula colorata", "Limenitis doerriesi tongi", "Zenon armifer", "Crassula subacaulis", "Crassula subacaulis subsp. erosula", "Australina pusilla", "Adromischus caryophyllaceus", "Adromischus schuldtianus subsp. schuldtianus", "Droguetia debilis", "Droguetia gaudichaudiana", "Adromischus subdistichus", "Lethe langsongyuni", "Adromischus triflorus", "Droguetia hildebrandtii", "Adromischus trigynus", "Adromischus filicaulis subsp. marlothii", "Droguetia humbertii", "Phidippus putnami", "Adromischus marianiae var. immaculatus", "Cotyledon adscendens", "Papuaneon tualapa", "Adromischus cooperi", "Rhyacophila bakurianica", "Vanda aurea", "Zychaspis siemiradzkii", "Vanda barnesii", "Vanda bensonii", "Salix yumenensis", "Atriplex sukhorukovii", "Amphicontus minutus", "Australina flaccida", "Salix yanbianica", "Crocidura umbra", "Willeya laevigata", "Pellenes peninsularis", "Pellenes canadensis", "Habronattus arcalorus", "Habronattus gilaensis", "Leiocephalus etheridgei", "Leiocephalus partitus", "Sibianor anansii", "Marchena minuta", "Eris militaris", "Willeya fusca", "Lapsias lorax", "Lapsias canandea", "Ussuriana michaelis fugongensis", "Lapsias guamani", "Thrandina cosanga", "Willeya malayensis", "Chomatodus elegans", "Vulcanella aberrans", "Adromischus filicaulis", "Adromischus filicaulis subsp. filicaulis", "Adromischus hemisphaericus", "Adromischus humilis", "Adromischus leucophyllus", "Adromischus liebenbergii", "Adromischus maculatus", "Ctenacanthus elegans", "Adromischus marianiae", "Adromischus phillipsiae", "Droguetia ambigua", "Asarum savatieri", "Adromischus roanianus", "Adromischus schuldtianus", "Barsine nigralba", "Barsine fasciata", "Delphacodes aculeata", "Triplophysa stoliczkai", "Barsine kuatunensis", "Barsine takamukui", "Macropodanthus membranifer", "Barsine persephone", "Barsine asotoida", "Barsine specialis", "Polyommatus damonides damonides", "Polyommatus shirkuhensis", "Polyommatus escheri", "Willeyia bisulcata", "Willeya pallidipora", "Droguetia iners", "Cladoselache elegans", "Willeya malayensis var. vegetior", "Droguetia iners subsp. urticoides", "Phymaturus darwini", "Phymaturus alicahuense", "Dendrobium funiforme", "Willeya microlepis", "Droguetia iners subsp. pedunculata", "Droguetia iners subsp. burchellii", "Beltia angustomarginata", "Phymaturus ceii", "Phymaturus manuelae", "Cotyledon pendens", "Cotyledon tomentosa", "Beltia chiriquensis", "Cotyledon velutina", "Beltia placidula", "Cotyledon woodii", "Cotyledon woodii subsp. woodii", "Phymaturus verdugo", "Naiadita obtusa", "Naiadita petiolata", "Ceratodus elegans", "Glaucomaria subcarpinea", "Rhabdoderma elegans", "Nemacanthus elegans", "Ampliphax grandis", "Willeya protrudens", "Calliclinus geniguttatus", "Cybiosarda elegans", "Lepidelphax pistiae", "Crenicichla reticulata", "Barsine parameia", "Willeya rimosa", "Acanthodendrilla levii", "Nematolebias whitei", "Barsine salamandra", "Electron platyrhynchum platyrhynchum", "Beltia awapita", "Beltia confusa", "Beltia gorgona", "Beltia herreri", "Beltia ledesmae", "Beltia napoensis", "Beltia osa", "Phymaturus calcogaster", "Phymaturus antofagastensis", "Beltia weyrauchi", "Cotyledon xanthantha", "Beltia nicaraguensis", "Barsine insolita", "Barsine maculifasciata", "Polyommatus australorossicus", "Cladodus elegans", "Polyommatus damonides", "Kalanchoe arborescens", "Phymaturus roigorum", "Salix olgae", "Polyommatus arasbarani neglectus", "Polyommatus arasbarani arasbarani", "Raiamas brachyrhabdotos", "Phyllodactylus lepidopygus", "Calamotropha sperlingi", "Oxyrhopus fitzingeri", "Oxyrhopus melanogenys", "Microlophus thoracicus", "Microlophus tigris", "Microlophus quadrivittatus", "Erythrolamprus taeniurus", "Epictia tesselata", "Aipysurus fuscus", "Porcataraneus cruciatus", "Porcataraneus bengalensis", "Porcataraneus nanshanensis", "Atropoides nummifer", "Kalanchoe germanae", "Stenocercus ornatus", "Kalanchoe subg.", "Phalaenopsis difformis var. kinabaluensis", "Salix vinogradovii", "Salix niedzwieckii", "Kalanchoe robusta", "Orchestina moaba", "Orchestina obscura", "Kalanchoe luciae subsp. montana", "Stereochilus hirtus", "Orchestina quasimodo", "Orchestina kamehameha", "Salix lamashanensis", "Amphiomya notabilis", "Salix ledebouriana", "Kalanchoe elizae", "Phorbas bardajii", "Biemna rhabdostyla", "Rhamnosa uniformoides", "Rhamnosa bifurcivalva", "Clathria tortuosa", "Paradesmanthus macphersoni", "Steindachnerina elegans", "Naarda straminea", "Torodora rhaphisodes", "Torodora mindoroensis", "Torodora samarensis", "Coproptilia glebicolorella", "Kalanchoe farinacea", "Ctenoblepharys adspersa", "Evonima shajiamaensis", "Evonima ronkaygabori", "Evonima lancangensis", "Evonima mandschuriana", "Stenocercus formosus", "Stenocercus modestus", "Stenocercus crassicaudatus", "Pseudalsophis elegans", "Placosoma cordylinum", "Glaucomaria sulphurea", "Ischnothyreus tergemintus", "Kalanchoe lobata", "Orchestina colubrina", "Orchestina zhiwui", "Kalanchoe luciae subsp. luciae", "Orchestina pavesiiformis", "Orchestina dentifera", "Orchestina utahana", "Kalanchoe jongmansii", "Kalanchoe jongmansii subsp. jongmansii", "Chlorostilbon elegans", "Pardosa bidentata", "Pardosa flata", "Pardosa lagenaria", "Pardosa latibasa", "Pardosa multidontata", "Pardosa unciferodies", "Raiamas marqueti", "Kalanchoe rubella", "Kalanchoe scapigera", "Trisetum subalpestre", "Eocenostenus fossilis", "Festenus robustus", "Festenus gracilis", "Georissus trifossulatus", "Acampe hulae", "Tylecodon buchholzianus", "Tylecodon cacalioides", "Tylecodon decipiens", "Tylecodon ellaphieae", "Tylecodon hirtifolius", "Beltia rugosa", "Beltia sanchezae", "Beltia talaga", "Beltia tilarana", "Beltia tisingalita", "Beltia tsachila", "Beltia vacilona", "Cistothorus platensis elegans", "Taeniophallus occipitalis", "Euophrys longyangensis", "Euophrys robusta", "Laufeia longapophysis", "Theridion longiducta", "Theridion longioembolia", "Theridion subplaumanni", "Theridion tengchongensis", "Pronoides applanatus", "Pronoides fusinus", "Charadrius alexandrinus alexandrinus", "Acampe ochracea", "Phymaturus vociferator", "Pronoides guoi", "Pronoides trapezius", "Phintella longapophysis", "Phintella longlingensis", "Phintella suavisoides", "Phintella tengchongensis", "Phintella yinae", "Phymaturus punae", "Laccobius motuoensis", "Kalanchoe spathulata var. garambiensis", "Abscondus regularis", "Abscondus similis", "Cuneocharis elongata", "Hesterniasca obesa", "Mesotachinus major", "Mesotachinus medius", "Mesotachinus minor", "Tylecodon suffultus", "Monocarpus sphaerocarpus", "Tylecodon torulosus", "Tylecodon viridiflorus", "Tylecodon wallichii subsp. wallichii", "Amphioncus platydiscus", "Amphipholizona delicata", "Oliarus kulickae", "Tylecodon leucothrix", "Tylecodon nolteei", "Tylecodon petrophilus", "Tylecodon pygmaeus", "Tylecodon racemosus", "Tylecodon reticulatus", "Tylecodon reticulatus subsp. reticulatus", "Oliarus walkeri", "Tylecodon rubrovenosus", "Tylecodon schaeferianus", "Tylecodon singularis", "Tylecodon striatus", "Riella subg.", "Riella subg.", "Aeonium saundersii", "Aeonium sedifolium", "Aeonium smithii", "Leptorhynchos elegans", "Ctenochasma elegans", "Mesotachyporus puer", "Kalanchoe tetraphylla", "Tylecodon albiflorus", "Heracula discivitta", "Tachyporoides villosus", "Undiatina pilosa", "Tylecodon bayeri", "Tylecodon bleckiae", "Tylecodon boddleyae", "Hemidactylus flaviviridis", "Tylecodon bruynsii", "Pristurus flavipunctatus", "Aeonium urbicum subsp. urbicum", "Aeonium valverdense", "Austroriella salta", "Aeonium \u00d7 mascaense", "Acampe carinata", "Amphistigma minuta", "Acampe cephalotes", "Aeonium lindleyi subsp. lindleyi", "Amphiura chiajei", "Acampe joiceyana", "Aeonium nobile", "Aeonium percarneum", "Salix michelsonii", "Salix gracilior", "Salix donggouxianica", "Salix kochiana", "Shuvosaurus inexpectatus", "Salix blakii", "Rodolia iceryae", "Aeonium canariense subsp. canariense", "Polyommatus erzindjanensis", "Liolaemus halonastes", "Liolaemus cazianiae", "Nepaliodes variolosa", "Peitawopsis monticola", "Aeonium leucoblepharum", "Aeonium lindleyi", "Cercyon bellus", "Cercyon biltoni", "Cercyon apiciflavus", "Polyommatus lycius", "Halpemorpha eminens", "Aeonium diplocyclum", "Aeonium dodrantale", "Derops longicornis", "Halpemorpha albipectus", "Praethoressa varia", "Derops hainanus", "Praethoressa horishana", "Derops yunnanus", "Aeonium glandulosum", "Halpemorpha hyrtacus", "Halpemorpha ueharai", "Lacvietina cuprina", "Lacvietina aurora", "Lacvietina copiosa", "Lacvietina paricosta", "Megarthropsis decorata", "Aeonium goochiae", "Aeonium hierrense", "Cremnophila nutans", "Dudleya abramsii subsp. abramsii", "Dudleya abramsii subsp. setchellii", "Dudleya abramsii subsp. murina", "Dudleya abramsii subsp. parva", "Dudleya acuminata", "Dudleya anomala", "Dudleya anthonyi", "Dudleya blochmaniae subsp. blochmaniae", "Cooperia elegans", "Dudleya cymosa subsp. cymosa", "Dudleya cymosa subsp. ovatifolia", "Cercyon noctuabundus", "Cercyon hebaueri", "Cercyon olibrus", "Monanthes anagensis", "Cercyon rotundulus", "Monanthes laxiflora", "Cercyon saluki", "Monanthes muralis", "Monanthes pallens", "Polyommatus guezelmavi", "Cricosaurus elegans", "Cuvierichelys iberica", "Cercyon retius", "Cercyon primoricus", "Aichryson laxum subsp. laxum", "Aichryson pachycaulon subsp. pachycaulon", "Allegrettia pavani orobiensis", "Viola anitae", "Viola beati", "Dudleya caespitosa", "Dudleya candelabrum", "Dudleya candida", "Simulium spiroi", "Echeveria acutifolia", "Echeveria alata", "Echeveria australis", "Lysandra hispana", "Echeveria canaliculata", "Simulium chaurense", "Simulium chiharuae", "Simulium littopyga", "Simulium littosodalis", "Simulium littosocius", "Simulium curriei", "Simulium nebulosum", "Simulium notoense", "Polyommatus buzulmavi", "Simulium oligocenicum", "Simulium polessicum", "Simulium rivi", "Simulium rivuli", "Simulium sedecimfistulata", "Simulium turneri", "Dudleya saxosa subsp. saxosa", "Cercyon alinae", "Cercyon kabaki", "Simulium rhodesiense", "Cercyon marinus", "Simulium shoae", "Simulium voltae", "Dudleya virens", "Simulium furvum", "Simulium phurueaense", "Simulium saeungae", "Simulium shanense", "Dudleya virens subsp. virens", "Dudleya ingens", "Cainotherium laticurvatum", "Dudleya lanceolata", "Echinochalina isochelifera", "Dudleya palmeri", "Dudleya pulverulenta subsp. pulverulenta", "Dudleya pulverulenta subsp. arizonica", "Simulium buisseti", "Simulium konkourense", "Simulium leonense", "Simulium machadoi", "Simulium mengense", "Simulium pandanophilum", "Simulium rasyani", "Simulium thyolense", "Simulium vilhenai", "Simulium beiwanense", "Simulium lerbiferum", "Simulium liupanshanense", "Simulium longitarse", "Simulium mellah", "Simulium nigrostriatum", "Simulium petricolum", "Simulium pilosum", "Simulium rubzovianum", "Kumatoeides costata", "Simulium manense", "Simulium spinulicorne", "Monanthes polyphylla", "Monanthes polyphylla subsp. polyphylla", "Cercyon placidus", "Cercyon aequalis", "Cercyon rubicundus", "Cercyon vagus", "Chaetostoma thomsoni", "Cercyon shinanensis", "Cercyon sundukovi", "Cercyon hanseni", "Cercyon berlovi", "Spirodela sichuanensis", "Pseudophleum gibbum", "Simulium annulus", "Puschkinia kurdistanica", "Simulium canonicolum", "Simulium quadratum", "Simulium rothfelsi", "Salix cardiophylla subsp. urbaniana", "Salix cardiophylla subsp. cardiophylla", "Simulium almae", "Simulium languidum", "Simulium trisphaerae", "Prosimulium fulvipes", "Simulium zagros", "Simulium courtneyi", "Choilodon elegans", "Simulium pahangense", "Dudleya viscida", "Simulium anduzei", "Simulium covagarciai", "Simulium hechti", "Simulium horacioi", "Cercyon lineolatus", "Simulium iriartei", "Simulium marquezi", "Simulium puigi", "Simulium putre", "Dudleya greenei", "Simulium ruizi", "Simulium sandyi", "Simulium tescorum", "Simulium wygoi", "Dudleya rubens", "Cercyon ovillus", "Puschkinia peshmenii", "Cercyon quisquilius", "Simulium guiyangense", "Simulium makunbei", "Simulium quattuorfile", "Cercyon laminatus", "Simulium buettikeri", "Simulium dunhuangense", "Simulium eurybrachium", "Simulium lurestanicum", "Simulium pindiense", "Simulium pinnatum", "Simulium qingxilingense", "Simulium quadrifila", "Simulium wushiense", "Simulium xingyiense", "Simulium zhangyense", "Polyommatus mediator mediator", "Polyommatus mediator habievi", "Cercyon inquinatus", "Dudleya gnoma", "Simulium mataverense", "Simulium pichoni", "Simulium raivavaense", "Simulium rivierei", "Simulium sechani", "Simulium teruamanga", "Simulium atyophilum", "Simulium ethiopiense", "Simulium goinyi", "Simulium ovazzae", "Simulium yemenense", "Simulium cuasiexiguum", "Simulium gonzalezi", "Simulium llutense", "Polyommatus damone irinae", "Simulium afronuri", "Simulium dukei", "Simulium kumboense", "Simulium rickenbachi", "Simulium zairense", "Polyommatus damone bogdoolensis", "Simulium encisoi", "Echeveria paniculata", "Echeveria paniculata var. maculata", "Echeveria peacockii", "Echeveria pilosa", "Echeveria pinetorum", "Electroadicella kuenowi", "Simulium capillatum", "Simulium cauveryense", "Simulium charlesi", "Simulium chaudinhense", "Simulium chayamaritae", "Simulium cheongi", "Simulium chiangdaoense", "Echeveria halbingeri var. sanchez-mejoradae", "Simulium chiangraiense", "Simulium chongqingense", "Simulium chuzargangense", "Simulium chumpornense", "Simulium confertum", "Simulium curtatum", "Simulium datfaense", "Simulium dachaisense", "Anarsioses aberrans", "Simulium tribulatum", "Micropechis ikaheca", "Liolaemus chiliensis", "Emoia cyanura", "Emoia cyanogaster", "Simulium joanae", "Simulium knidirii", "Simulium lamachi", "Lipinia noctua", "Narcissus miniatus", "Gloydius caraganus", "Gloydius caucasicus", "Gloydius brevicaudus", "Psoralea forbesiae", "Polyommatus eriwanensis", "Simulium adleri", "Simulium angulistylum", "Simulium asakoae", "Simulium atuganense", "Simulium auratum", "Plocamiancora walvisensis", "Echeveria derenbergii", "Araragi panda sichuanensis", "Salix sessilifolia", "Manticora tyrannus", "Manticora hrdyi", "Echeveria fulgens", "Manticora gruti irritator", "Manticora mygaloides thabazimbiensis", "Manticora holubi cunenensis", "Simulium brivetruncum", "Manticora skrabali glabrata", "Simulium brinchangense", "Manticora skrabali skrabali", "Phymaturus aguedae", "Simulium decuplum", "Simulium dentistylum", "Simulium dhangi", "Simulium doisaketense", "Simulium dudgeoni", "Simulium duolongum", "Pachnephorus pilosus", "Parheminodes mouhoti", "Parheminodes conspectus", "Parheminodes massiei", "Narcissus papyraceus subsp. polyanthos", "Cedusa panamensis", "Lipinia vulcania", "Salix thurberi", "Lipinia semperi", "Lipinia quadrivittata", "Lipinia nitens", "Lipinia macrotympana", "Lipinia relicta", "Lipinia vittigera", "Lipinia surda", "Lipinia pulchra", "Lipinia nototaenia", "Lipinia longiceps", "Cedusa woodsholensis", "Narcissus tazetta subsp. aureus", "Echeveria globulosa", "Simulium burtoni", "Simulium baisasae", "Simulium bakalalanense", "Simulium bannaense", "Simulium barioense", "Simulium bhutanense", "Simulium breviflagellum", "Echeveria cante", "Vappolotes ganlongensis", "Vappolotes jianpingensis", "Echeveria chihuahuaensis", "Salix columbiana", "Ussuriana fani wangi", "Echeveria colorata", "Echeveria crenulata", "Salix interior", "Echeveria dactylifera", "Latrodectus umbukwane", "Platycorynus languei", "Ditrigona tenuiata", "Amphilectus lesliei", "Echeveria purpusorum", "Echeveria quitensis", "Simulium eshimai", "Simulium fanjingshanense", "Tetracus nanus", "Simulium fukudae", "Simulium fulgidum", "Simulium fuscidorsum", "Simulium gombakense", "Simulium miaolingense", "Echeveria shaviana", "Echeveria skinneri", "Austrotachinus fuscipes", "Eutaphroptinus natalensis", "Echeveria spectabilis", "Echeveria stolonifera", "Syntomium metasternale", "Syntomium sororium", "Deleaster tarsalis", "Quedius crus", "Anchocerus brevipennis", "Hilloxya elongatus", "Hilara elongata", "Hilara flavipalpis", "Hilara grandis", "Hilara kangae", "Hilara laohegouana", "Hilara pingwuana", "Hilara striata", "Hilara subapicalis", "Hilara tenuis", "Hilara xanthodes", "Echeveria humilis", "Specklinia picta", "Polyommatus eriwanensis eriwanensis", "Polyommatus eriwanensis interjectus", "Simulium lamdongense", "Simulium langkawiense", "Erotis expansa", "Simulium laosense", "Erotis punctalosa", "Simulium laoshanstum", "Simulium lemborense", "Simulium leparense", "Simulium kottoorense", "Simulium longitruncum", "Neopterocomma populivorum", "Sinophora tongmaiensis", "Hecalus rufofascianus", "Hecalus erectus", "Hecalus muzaffarabadensis", "Hecalus snipus", "Hecalus veracious", "Aspiciliella intermutans", "Simulium longlanhense", "Simulium maeklangense", "Simulium makartschenkovi", "Simulium maleewongae", "Simulium meadowi", "Simulium mengi", "Simulium merapiense", "Simulium metatarsale", "Echeveria longissima", "Echeveria longissima subsp. longissima", "Echeveria lutea", "Echeveria maxonii", "Echeveria minima", "Parabolitobius yezoensis", "Hilara acutiprojecta", "Hilara apiciacutata", "Hilara brevicercus", "Echeveria montana", "Hilara curvicercus", "Hilara diebuensis", "Hilara dingae", "Hilara gansuensis", "Hilara lazikouensis", "Hilara quadrisetosa", "Echeveria moranii", "Hilara zhouae", "Echeveria nuda", "Pachyphytum viride", "Pachyphytum werdermannii", "Oliarus zaonensis", "Clematis sect.", "Pistorinia hispanica", "Picea abies var. acuminata", "Neurogymnurus cayluxi", "Picea abies var. abies", "Callograptus elegans", "Convoluta elegans", "Haliclona submonilifera", "Chronogaster elegans", "Korgella nimbicola", "Craspedonema elegans", "Echeveria tamaulipana", "Echeveria tolimanensis", "Echeveria turgida", "Simulium guangxiense", "Simulium guizhouense", "Simulium hainanense", "Simulium heteropara", "Simulium hiroyukii", "Simulium hmongense", "Simulium hongthaii", "Simulium huaikaeoense", "Simulium huangi", "Simulium huguangense", "Simulium hunanense", "Ditrigona triangularia", "Echeveria rubromarginata", "Ditrigona uniuncusa", "Ditrigona regularis", "Simulium isanense", "Simulium izuae", "Simulium jianfengense", "Simulium jinbianense", "Simulium jiulianshanense", "Simulium kalimantanense", "Ditrigona titana", "Echeveria semivestita", "Echeveria sessiliflora", "Ditrigona sciara", "Ditrigona typhodes", "Ditrigona pomenaria", "Ditrigona polyobotaria", "Erotis apicobtusa", "Erotis yinggelingensis", "Erotis mediconcava", "Simulium katangladense", "Simulium kangi", "Simulium kelabitense", "Simulium kerei", "Simulium khaokhoense", "Simulium kuvangkadilokae", "Erotis phosphora", "Rosularia sempervivum subsp. persica", "Rosularia sempervivum subsp. sempervivum", "Sedella pumila", "Expachyrhynchus palawanensis", "Simulium udomi", "Simulium unii", "Simulium vinhphucense", "Simulium whartoni", "Simulium wuyishanense", "Simulium xiangxiense", "Simulium xizangense", "Simulium yunnanense", "Simulium zayuense", "Pachyrhynchus sibuyanensis", "Graptopetalum filiferum", "Clematis elisabethae-carolae", "Graptopetalum fruticosum", "Synixais mindoroensis", "Simulium angkaense", "Simulium arpiense", "Simulium birzhankolum", "Simulium danijari", "Aspiciliella portosantana", "Pseudodoliops elegans", "Simulium dattai", "Simulium euryplatamus", "Simulium hailuogouense", "Simulium heishuiense", "Rosularia platyphylla", "Simulium rarum", "Camallanus lacustris", "Simulium repentinum", "Simulium rhopaloides", "Carcilia philippinensis", "Simulium rutengense", "Simulium samarense", "Simulium sanchayense", "Simulium sazalyi", "Metarhynchites kaldeci", "Simulium sextuplum", "Simulium sheilae", "Simulium sherwoodi", "Simulium simianshanensis", "Simulium sofiani", "Simulium sumbaense", "Simulium sunapii", "Sparedrus archaicus", "Simulium syuhaiense", "Simulium tahanense", "Simulium taitungense", "Simulium tamdaoense", "Simulium tanahrataense", "Simulium thituyenae", "Simulium takaokai", "Simulium tashikulganense", "Clematis tunisiatica", "Simulium thuathienense", "Simulium trangense", "Simulium trirugosum", "Echeveria walpoleana", "Pentagonica cechovskyi", "Cucullanus elegans", "Echeveria \u00d7 gilva", "Callimetopus havai", "Callimetopus lazarevi", "Simulium monglaense", "Simulium myanmarense", "Simulium ngaoense", "Simulium novemarticulatum", "Simulium okinawense", "Simulium otsukai", "Simulium paiense", "Simulium paukatense", "Simulium paserense", "Simulium parahiyangum", "Simulium panagudiense", "Simulium pamiangense", "Simulium peteri", "Simulium penis", "Simulium phulocense", "Simulium pingxiangense", "Simulium piroonae", "Simulium quezonense", "Simulium quychauense", "Simulium rangatense", "Metapocyrtus mansaka", "Mimocyptus globulus", "Trachelismus kuscheli", "Asiodonus sikhotealinensis", "Sedum album subsp. album", "Sedum allantoides", "Nosodendron costaricanum", "Pirsonia guinardiae", "Crocus lydius", "Pirsonia verrucosa", "Pirsonia formosa", "Pirsonia eucampiae", "Pirsonia diadema", "Cyclostrongylus elegans", "Symphyocladiella bartlingiana", "Theridion nigroannulatum", "Polyommatus cornelia", "Plumachaetas belae", "Plumachaetas loriensis", "Plumachaetas mamuensis", "Plumachaetas wanangensis", "Sedum aetnense subsp. aetnense", "Equescollum birai", "Gnomidolon franciscoi", "Cloacina elegans", "Nosodendron venezuelanum", "Nosodendron brasilianum", "Homocloeus popovi", "Omolabus sokolovi", "Arostropsis perkovskyi", "Sedum annuum subsp. annuum", "Groehnius electrum", "Auletobius siberutensis", "Mesocordylus dominicus", "Dryophthoroides mindanaoensis", "Sedum alpestre subsp. alpestre", "Polyommatus eckweileri", "Carpinus tibetana", "Sedum balfourii", "Derelomus miocaenicus", "Anthonomus clarki", "Amphisbaena dubia", "Compsus poinari", "Sedum bourgaei", "Peucedanum terebinthaceum", "Amphisbaena manni", "Amphisbaena stejnegeri", "Amphisbaena mitchelli", "Amphisbaena innocens", "Sedum caducum", "Sedum caeruleum", "Polyommatus urmiaensis", "Lipinia rouxi", "Lipinia miangensis", "Lipinia venemai", "Lipinia cheesmanae", "Amphisbaena xera", "Amphisbaena hyporissor", "Amphisbaena carlgansi", "Amphisbaena kingii", "Amphisbaena caudalis", "Cyartonema elegans", "Crassolabium elegans", "Lenophyllum texanum", "Pachyphytum bracteosum", "Pachyphytum coeruleum", "Pachyphytum fittkaui", "Nannophiura lagani", "Pachyphytum glutinicaule", "Pachyphytum kimnachii", "Pachyphytum longifolium", "Specklinia pertenuis", "Muscari sabihapinariae", "Tachinus longicornis", "Cynisca leonina", "Cynisca muelleri", "Cynisca nigeriensis", "Cynisca kigomensis", "Cynisca gansi", "Cynisca rouxae", "Cynisca haugi", "Ancylocranium barkeri", "Ancylocranium ionidesi", "Ancylocranium somalicum", "Chilenchus elegans", "Sedum sedoides", "Amphisbaena bilabialata", "Sedum hintonii", "Nannotrigona schultzei", "Nannotrigona chapadana", "Sedum hirsutum subsp. hirsutum", "Nannotrigona melanocera", "Sedum nanum", "Sedum hultenii", "Nannotrigona mellaria", "Sedum humifusum", "Lebetus guilleti", "Sedum compactum", "Sedum confusum", "Pachyrhynchus m\u00f6llendorffi m\u00f6llendorffi", "Sedum craigii", "Pachyrhynchus m\u00f6llendorffi marinduquanus", "Sedum cyprium", "Sedum dendroideum subsp. dendroideum", "Hydrotaea multichaeta", "Hydrotaea maquensis", "Metacosma bispinalis", "Scythropiodes multicornutus", "Scythropiodes longicornis", "Scythropiodes bispinus", "Scythropiodes siculiformis", "Scythropiodes dentirotatus", "Scythropiodes grandimacularis", "Scythropiodes foliiformis", "Pseudodoliops elegans apoensis", "Simulium jiajinshanense", "Simulium kobayashii", "Simulium laoleense", "Simulium luliangense", "Simulium moxiense", "Simulium nanense", "Simulium nigrofilum", "Muehlenbeckia hastulata var. hastulata", "Simulium peskovi", "Simulium phahompokense", "Simulium polyprominulum", "Simulium quattuordecimfilum", "Simulium schizostylum", "Simulium separatum", "Simulium sheveligiense", "Simulium taishanense", "Simulium taktsangense", "Simulium tibetense", "Simulium wulaofengense", "Simulium xinzhouense", "Simulium yuntaiense", "Carex myosuroides", "Aspiciliella cupreoglauca", "Simulium albivirgulatum", "Graptopetalum pachyphyllum", "Simulium colasbelcouri", "Simulium crosskeyi", "Simulium eouzani", "Simulium futaense", "Simulium pentaceros", "Amphisbaena bolivica", "Amphisbaena caeca", "Amphisbaena heathi", "Amphisbaena munoai", "Amphisbaena polygrammica", "Amphisbaena steindachneri", "Amphisbaena cegei", "Amphisbaena myersi", "Amphisbaena neglecta", "Amphisbaena hiata", "Amphisbaena cuiabana", "Amphisbaena cubana", "Amphisbaena rozei", "Amphisbaena occidentalis", "Amphisbaena absaberi", "Amphisbaena pericensis", "Amphisbaena bakeri", "Amphisbaena townsendi", "Amphisbaena saxosa", "Amphisbaena anomala", "Caputoraptor elegans", "Sedum farinosum", "Calyssopora volcano", "Calyssopora vasiformis", "Calyssopora clarionensis", "Poeciloxestia elegans", "Buliminella curta", "Ixchela abernathyi", "Ixchela pecki", "Ixchela placida", "Ixchela simoni", "Galanthus bursanus", "Nitidotachinus capillosus", "Nitidotachinus brunneus", "Nitidotachinus xiangi", "Nitidotachinus anhuiensis", "Nitidotachinus bini", "Olophrinus striatus", "Pachyrhynchus m\u00f6llendorffi", "Palaeosepedophilus succinicus", "Procileoporus burmiticus", "Protachinus minor", "Symmixus sikkimensis", "Tachinoplesius turneri", "Tachinoporus basalis", "Tachinoproporus ferrugineus", "Muscari savranii", "Ourapteryx ebuleata", "Ourapteryx ebuleata ebuleata", "Ourapteryx ebuleata deliquescens", "Ourapteryx ebuleata szechuana", "Ourapteryx amphidoxa", "Doronicum carpetanum subsp. diazii", "Doronicum carpetanum subsp. kuepferi", "Doronicum carpetanum subsp. pubescens", "Sculptocoris guangxiensis", "Doronicum carpetanum subsp. carpetanum", "Dundonannus yanshanensis", "Pachyplagia montana", "Hantu kapit", "Hantu niah", "Saccocamera ampulla", "Alyonushka filia", "Gobiusculus flavescens", "Unkanodes albifascia", "Porrorhachis galbina", "Porrorhachis macrosepala", "Sedum kimnachii", "Catasetum kraenzlinianum", "Catasetum hoehnei", "Sedum grisebachii", "Eclecticus chungii", "Hesperis blakelockii", "Hesperis borbasii", "Ixchela mixe", "Ixchela huberi", "Ixchela juarezi", "Ixchela grix", "Ixchela taxco", "Ixchela franckei", "Ixchela tzotzil", "Ixchela santibanezi", "Ixchela huasteca", "Ixchela viquezi", "Sedum formosanum", "Sedum frutescens", "Sedum furfuraceum", "Sedum glaucophyllum", "Sedum goldmanii", "Sideritis vuralii", "Sedum griseum", "Sedum guadalajaranum", "Sedum guatemalense", "Sideritis caesarea", "Scorpaena regina", "Geodia depressa", "Hermesia aurata", "Sedum yildizianum", "Hemierianthus mbongueensis", "Hebecnema anthracinella", "Myrmecium bifascitum", "Myrmecium bonaerense", "Myrmecium camponotoides", "Myrmecium dacetoniforme", "Myrmecium fuscum", "Myrmecium latreillei", "Myrmecium monacanthum", "Myrmecium reticulatum", "Myrmecium rufum", "Myrmecium trifasciatum", "Myrmecium viehmeyeri", "Nannotrigona gaboi", "Nannotrigona occidentalis", "Nannotrigona pilosa", "Nannotrigona camargoi", "Sedum hernandezii", "Nannotrigona dutrae", "Pentocladia australiensis", "Sedum longipes", "Sedum longipes subsp. longipes", "Simulium clathrinum", "Sedum lucidum", "Sedum lydium", "Simulium nicholsoni", "Thiotricha biformis", "Thiotricha angustella", "Thiotricha venustalis", "Thiotricha chujaensis", "Thiotricha elaeocarpiella", "Thiotricha flavitermina", "Simulium tefulaense", "Simulium torresianum", "Sedum oaxacanum", "Catasetum aculeatum", "Almita portalia", "Almita texana", "Amselia heringi", "Amselia leucozonellus", "Catasetum adremedium", "Hesperis hirsutissima", "Hesperis hyrcana", "Hesperis isatidea", "Hesperis kotschyi", "Hesperis luristanica", "Hesperis microcalyx", "Hesperis nivalis", "Hesperis pisidica", "Hesperis robusta", "Hesperis straussii", "Hesperis syriaca", "Hesperis thyrsoidea", "Hesperis tosyaensis", "Colias misti", "Colias misti misti", "Colias misti ccota", "Panaspis tsavoensis", "Ophthalmoblysis cinerea", "Simulium aberrans", "Ophthalmoblysis ibarrai", "Panaspis tristaoi", "Simulium akopi", "Simulium alidae", "Coronopora truncata", "Lamellisphecia minwangi", "Panaspis namibiana", "Sedum mexicanum", "Panaspis thomensis", "Sedum microcarpum", "Sedum moranense subsp. moranense", "Sedum morrisonense", "Panaspis massaiensis", "Pachysphaera pelagica", "Prasinocladus lubricus", "Prasinocladus indicus", "Polyommatus eros molleti", "Catasetum alatum", "Colias flaveola harai", "Catasetum albuquerquei", "Catasetum arietinum", "Catasetum ariquemense", "Hesperis odorata", "Hesperis novakii", "Sedum chauveaudi", "Incertae sedis", "Pappostipa speciosa", "Amphisbaena tragorrhectes", "Amphisbaena miringoera", "Amphisbaena kraoh", "Amphisbaena ignatiana", "Amphisbaena lumbricalis", "Amphisbaena hastata", "Amphisbaena frontalis", "Amphisbaena talisiae", "Amphisbaena sanctaeritae", "Amphisbaena hogei", "Amphisbaena crisae", "Amphisbaena anaemariae", "Amphisbaena arenaria", "Amphisbaena bahiana", "Amphisbaena bedai", "Anyuta anastema", "Rallocytus ridiculus", "Scherffelia dubia", "Scherffelia phacus", "Scherffelia angulata", "Sedum oreganum", "Sedum oreganum subsp. oreganum", "Sedum japonicum", "Sedum japonicum subsp. oryzifolium", "Sedum japonicum subsp. japonicum", "Simulium arminii", "Simulium armoricanum", "Simulium artum", "Simulium aspericorne", "Sedum oxypetalum", "Simulium babai", "Simulium bachmaense", "Simulium bavaricum", "Simulium berchtesgadense", "Simulium bertrandi", "Simulium borbonense", "Simulium brunhesi", "Dirphiopsis pulchrimeridensis", "Dirphiopsis pulchriboyacensis", "Paradirphia winbrechlini", "Sedum obtusatum subsp. paradisum", "Sedum perezdelarosae", "Compsibidion tuberculatum", "Sedum polytrichoides", "Sedum polytrichoides subsp. polytrichoides", "Neocompsa monnei", "Gnomibidion contiguum", "Hexoplon umbrinum", "Mylothris citius", "Buliminella elegantissima var. limbosa", "Buliminella elegantissima var. tenuis", "Biermannia quinquecallosa", "Sedum potosinum", "Ophiosphaera insignis", "Biermannia bimaculata", "Sedum praealtum", "Biermannia arunachalensis", "Leptosiaphos aloysiisabaudiae", "Scherffelia bichlora", "Leptosiaphos pauliani", "Leptosiaphos meleagris", "Scherffelia cornuta", "Scherffelia deformis", "Scherffelia incisa", "Scherffelia pelagica", "Sedum pulchellum", "Sedum retusum", "Tetraselmis cordiformis", "Sedum rhodocarpum", "Polyommatus ciloicus alamuticus", "Harpaphe haydeniana", "Pyxine flavicans", "Isodictya chichatouzae", "Tetraselmis gracilis", "Tetraselmis helgolandica", "Tetraselmis suecica", "Tetraselmis hazenii", "Tetraselmis inconspicua", "Tetraselmis levis", "Tetraselmis maculata", "Tetraselmis striata", "Meira crassicornis", "Tetraselmis micropapillata", "Meira crassicornis crassicornis", "Meira crassicornis coironensis", "Meira sedilloti", "Tetraselmis subcordiformis", "Meira sedilloti sedilloti", "Geodia auroristella", "Hesperis hedgei", "Cerodirphia candidoides", "Orthotomus chloronotus", "Cyrtonus elegans", "Cerodirphia chinchana", "Cerodirphia riekerti", "Cerodirphia luyana", "Cerodirphia zalkindi", "Cerodirphia harriconcepciona", "Cerodirphia harrisoides", "Cerodirphia giustii", "Cerodirphia motcaucensis", "Prophaecasia roseofimbria", "Sedum papillicaulum", "Meira sedilloti chobauti", "Tetraselmis tetrathele", "Meira rolandi", "Meira ronani", "Tetraselmis verrucosa", "Meira lavagnei", "Meira lavagnei lavagnei", "Meira lavagnei lata", "Meira lavagnei komezai", "Trichoafricanus morettoi", "Sedum smallii", "Tetraselmis arnoldii", "Pyxine hengduanensis", "Pyxine yunnanensis", "Melitaea acentria", "Polyommatus kuronjerus", "Crosita elegans", "Calospeira elegans", "Consobrinomia elegans", "Pyxine pustulata", "Tetraselmis alacris", "Tetraselmis chui", "Tetraselmis apiculata", "Pyxine punensis", "Pyxine yercaudensis", "Tetraselmis contracta", "Callispa elegans", "Sedum somenii", "Tetraselmis ascus", "Sedum spathulifolium subsp. spathulifolium", "Tetraselmis astigmatica", "Tetraselmis bilobata", "Leptosiaphos blochmanni", "Leptosiaphos rhodurus", "Sedum spathulifolium subsp. pruinosum", "Lioscincus steindachneri", "Sedum stenopetalum subsp. stenopetalum", "Tetraselmis bolosiana", "Tetraselmis fontiana", "Sedum torulosum", "Sedum treleasei", "Paracrocnida persica", "Cupulospongia elegans", "Tetraselmis wettsteinii", "Paracrocnida sinensis", "Sedum variicolor", "Tetraselmis convolutae", "Adoretus rainoni", "Adoretus deschampsi", "Tetraselmis elliptica", "Tetraselmis impellucida", "Tetraselmis marina", "Tetraselmis mediterranea", "Pericordus goergeni", "Tetraselmis viridis", "Tetraselmis desikacharyi", "Alyonushka hystricosa", "Alyonushka echinata", "Modisimus pana", "Eucorydia aenea", "Modisimus ixobel", "Coryssocnemis tigra", "Ixchela azteca", "Ixchela jalisco", "Ixchela mendozai", "Ixchela purepecha", "Ixchela tlayuda", "Ixchela furcula", "Metagonia lancetilla", "Metagonia asintal", "Metagonia blanda", "Metagonia belize", "Sedum eastwoodiae", "Sedum ebracteatum subsp. ebracteatum", "Sedum eriocarpum", "Enhydria monzoni", "Pyrops priscilliae", "Scamandra marcellae", "Tetraselmis indica", "Tetraselmis limnetis", "Sedum tetractinum", "Panaspis togoensis", "Panaspis wahlbergi", "Panaspis breviceps", "Panaspis helleri", "Panaspis megalurus", "Panaspis tancredi", "Callidemum elegans", "Buliminella elegantissima", "Haliclona jorii", "Sedum lancerottense", "Sedum laxum", "Sedum laxum subsp. laxum", "Sedum liebmannianum", "Ostreococcus mediterraneus", "Carex aboriginum", "Mantoniella squamata", "Mantoniella antarctica", "Carex acicularis", "Lesticus nepalensis nepalensis", "Micromonas pusilla", "Lesticus nepalensis macilentus", "Periga kaechi", "Periga sumacensis", "Calligrapha californica", "Periga agrio", "Periga gachala", "Periga santandensis", "Periga altocauca", "Sedum obtusatum var. obtusatum", "Periga tatama", "Periga mincensis", "Periga guaca", "Periga antkozlovi", "Periga angpapallacta", "Periga angpanguana", "Micromonas bravo", "Polydictya tanjiewhoei", "Polydictya triumphalis", "Micromonas polaris", "Micromonas commoda", "Oliarus zimbabwei", "Aerides magnifica", "Polyommatus darius", "Sedum actinocarpum", "Biermannia calcarata", "Paramphichondrius tetradontus", "Anathallis abbreviata", "Tropidoscincus aubrianus", "Tropidoscincus variabilis", "Sigaloseps deplanchei", "Caledoniscincus austrocaledonicus", "Phoboscincus garnieri", "Marmorosphax tricolor", "Carex sanguinea", "Mamiella gilva", "Polyommatus thersites", "Bathycoccus prasinos", "Carex bermudiana", "Acritoscincus duperreyi", "Acritoscincus trilineatus", "Acritoscincus platynotus", "Carex caryophyllea var. caryophyllea", "Pyxine dactyloschmidtii", "Pyxine boonpragobiana", "Pyxine pseudokeralensis", "Pyxine subcoralligera", "Syzygium claviflorum", "Deckersamphiura inusitata", "Ostreococcus tauri", "Polydictya bantimurung", "Polydictya basirubra", "Polydictya pelengana", "Polydictya crassa", "Polydictya katsurakoae", "Polydictya thanatos", "Dolichomastix nummulifera", "Dolichomastix eurylepidea", "Dolichomastix lepidota", "Carex argyrolepis", "Polydictya barclayi", "Dolichomastix tenuilepis", "Polydictya jakli", "Carex albicans var. albicans", "Crustomastix didyma", "Crustomastix stigmatica", "Monomastix opisthostigma", "Monomastix ophistostigmata", "Polydictya draysapensis", "Monomastix astigmata", "Monomastix minuta", "Monomastix pyrenigera", "Monomastix pernana", "Anticomonas coccinea", "Argillamonas brasiliana", "Polydictya khmera", "Polydictya laotiana", "Polydictya nami", "Fluitomonas elliptica", "Pyxine jolyana", "Polydictya nigrifrons", "Fluitomonas centralis", "Polydictya thompsoni", "Fluitomonas hiemale", "Fluitomonas minuta", "Fluitomonas ovata", "Polydictya affinis", "Aerides crassifolia", "Arbutus madrensis", "Polydictya robusta", "Aerides emericii", "Polydictya rufifrons", "Sennia commutata", "Polydictya sumatrana", "Polydictya illuminata", "Aerides falcata", "Sporobolus arcuatus", "Sennia marina", "Termitoplus grandis", "Aerides multiflora", "Hesperis cilicica", "Nudamphiura carvalhoi", "Aerides inflexa", "Aerides krabiensis", "Aerides leeana", "Carex aquatilis var. aquatilis", "Sporobolus alopecuroides", "Aerides macmorlandii", "Sporobolus niliacus", "Aerides maculosa", "Sporobolus \u00d7 townsendii", "Aerides migueldavidii", "Sporobolus alterniflorus", "Arbutus occidentalis", "Arbutus tessellata", "Sporobolus coarctatus", "Cichlocolaptes leucophrus holti", "Sporobolus cynosuroides", "Sporobolus foliosus", "Sporobolus arenicola", "Urolitus nigeriensis", "Sporobolus rigidus", "Sporobolus rigidus var. rigidus", "Carex appressa var. appressa", "Sporobolus rigidus var. magnus", "Vatesus latitans", "Carex appressa var. virgata", "Xanthamphiura hauteriviensis", "Aerides huttonii", "Sporobolus aculeatus", "Fluitomonas pyrenoidea", "Polydictya basalis", "Polydictya johannae", "Hiemalomonas oculata", "Hiemalomonas astigmata", "Polydictya kuntzi", "Polydictya pantherina", "Polydictya tricolor", "Polydictya uniformis", "Polydictya chantrainei", "Polydictya chewi", "Polydictya drumonti", "Polydictya grootaerti", "Polydictya vietnamica", "Polydictya duffelsi", "Prototractomonas rotundata", "Prototractomonas ovalis", "Pseudopedinomonas hiemalis", "Polydictya lombokana", "Arbutus bicolor", "Polydictya negrito", "Sinamonas stagnalis", "Aerides augustiana", "Polydictya ornata", "Sporobolus spartinae", "Carex nigra subsp. transcaucasica", "Sporobolus maritimus", "Sporobolus hookerianus", "Acrocnida brachiata", "Discote scutifer", "Carex atlantica subsp. atlantica", "Carex atrata subsp. atrata", "Callistola elegans", "Acrocnida semisquamata", "Peltigera shennongjiana", "Abolescus glabratus", "Kovalevia onokhoica", "Trigunda lata", "Carex arenicola", "Carex atrofusca subsp. atrofusca", "Nephroselmis olivacea", "Nephroselmis anterostigmatica", "Nephroselmis astigmatica", "Sporobolus montevidensis", "Nephroselmis clavistella", "Sporobolus pumilus", "Nephroselmis excentrica", "Sporobolus michauxianus", "Nephroselmis spinosa", "Nephroselmis viridis", "Nephroselmis discoidea", "Stenoponia dabashanensis", "Dianthus strictus subsp. multipunctatus", "Dianthus strictus subsp. sublaevis", "Dianthus strictus subsp. troodi", "Ametastegia carpini", "Aerides orthocentra", "Aerides quinquevulnera", "Carex banksii var. banksii", "Carex bigelowii subsp. bigelowii", "Myochloris collorhynchus", "Aerides rosea", "Myochloris stigmosus", "Aerides rubescens", "Aerides savageana", "Carex breviscapa", "Microphyllium pusillulum", "Microphyllium haskelli", "Carex brownii subsp. brownii", "Pseudomicrophyllium faulkneri", "Coptocycla elegans", "Ophiopsila aranea", "Ophiopsila bispinosa", "Dianthus strictus subsp. velutinus", "Veraphis mutsuensis", "Veraphis aomoriensis", "Veraphis loebli", "Veraphis sakaii", "Veraphis hisamatsui", "Veraphis horiana", "Aerides roebelenii", "Aerides shibatiana", "Pycnococcus provasolii", "Chaetabraeus aberlenci", "Chaetabraeus secqi", "Chaetabraeus antoinettae", "Chaetabraeus mpumalangaensis", "Pycnococcus guillardii", "Eupholus pansingorum", "Aerides sukauensis", "Aerides thibautiana", "Crassosphaera concinna", "Aerides timorana", "Aerides \u00d7 jansonii", "Pseudoscourfieldia marina", "Phyllium bioculatum", "Carex brevicollis", "Phyllium suzukii", "Lobothallia brachyloba", "Carex breviculmis var. breviculmis", "Nephroselmis fissa", "Nephroselmis minuta", "Aculus bambusae", "Calepitrimerus sabinae", "Nephroselmis pyriformis", "Phyllocoptes acanthopanacis", "Dianous rufidulus", "Nephroselmis rotunda", "Neochauliodes orientalis", "Dianous coeruleovestitus", "Dianous coeruleotinctus", "Dianous luteostigmaticus", "Dianous rugosipennis", "Dianous banghaasi", "Dianous dubiosus", "Arctoparmelia collatolica", "Dianous zhejiangensis", "Scopaeus lescuyeri", "Raspailia bouryesnaultae", "Ophiopsila guineensis", "Ophiopsila platispina", "Amphoraemonas scherffelii", "Ophiopsila abscissa", "Gyromitus disomatus", "Gyromitus cordiformis", "Ophiopsila annulosa", "Phyllium antonkozlovi", "Phyllium bourquei", "Phyllium geryon", "Carex brunnea subsp. brunnea", "Carex brunnescens subsp. brunnescens", "Biermannia canhii", "Lobothallia epiadelpha", "Hesperis dvorakii", "Hesperis schischkinii", "Taeniolobus giachinoi", "Taeniolobus onorei", "Cnidoscolus basiacanthus", "Pseudadimonia hirtipes", "Pseudadimonia punctipennis", "Pseudadimonia femoralis", "Lobothallia zogtii", "Pseudadimonia parafemoralis", "Pseudadimonia dilatata", "Pseudadimonia pararugosa", "Carex canescens subsp. canescens", "Carex capillacea subsp. capillacea", "Lasioglossum pseudospinodorsum", "Lasioglossum yunnanense", "Phaonia dianierras", "Carex capillaris subsp. capillaris", "Prophaecasia punctigera", "Prophaecasia superba", "Prophaecasia prodiga", "Ophiopsila brevisquama", "Ophiopsila dilatata", "Tenthredo zonula", "Ophiopsila multispina", "Ophiopsila glabra", "Ophiopsila picturata", "Ophiopsila timida", "Aristida benthamii", "Aristida caput-medusae", "Aristida fendleriana", "Carex decurtata", "Korschikoffia collata", "Korschikoffia guttula", "Russula heterophylla", "Ophiopsila californica", "Polyblepharides singularis", "Terminalia duckei", "Polyblepharides amylifera", "Ophiopsila caribea", "Printziella biflagellata", "Stephanoptera fabreae", "Stephanoptera gracilis", "Ophiopsila fulva", "Sycamina nigrescens", "Pterosperma rotondum", "Pterosperma citriforme", "Pterosperma eurypteron", "Pterosperma inornatum", "Pterosperma porosum", "Pterosperma moebii", "Stelletta hajdui", "Pterosperma dictyon", "Pterosperma vanhoeffenii", "Pterosperma undulatum", "Pterosperma polygonum", "Pterosperma cristatum", "Pterosperma joergensenii", "Pterosperma cuboides", "Pterosperma marginatum", "Notocomplana ferruginea", "Pterosperma parallelum", "Notocomplana japonica", "Angulomonas triquetra", "Angulomonas stagnalis", "Coccopterum labyrinthus", "Aristida glauca", "Aristida gracilipes", "Ophiopsila hartmeyeri", "Aristida holathera", "Aristida holathera var. holathera", "Aristida stipoides", "Ophiopsila maculata", "Aristida hygrometrica", "Cymbomonas tetramitiformis", "Cymbomonas adriatica", "Danio kerri", "Notoplana qeshmensis", "Notoplana atomata", "Prophaecasia postuma", "Aristida acuta", "Erythrus westwoodii", "Erythrus vietnamicus", "Cybaeus harrietae", "Cymbomonas klebsii", "Cybaeus cascadius", "Aristida inaequiglumis", "Halosphaera viridis", "Cybaeus conservans", "Aristida latifolia", "Halosphaera minor", "Halosphaera russellii", "Halosphaera parkeae", "Kuzminia incerta", "Pocillomonas flosaquae", "Ophiopsila multipapillata", "Prasinochloris sessilis", "Aristida leptopoda", "Aristida longiseta", "Aristida obscura", "Protoaceromonas spinosa", "Protoaceromonas rugosa", "Cybaeus adenes", "Cybaeus amicus", "Cybaeus auburn", "Pterosperma hemisphaericum", "Cybaeus pearcei", "Cybaeus schusteri", "Cybaeus torosus", "Pterosperma nationalis", "Cybaeus reducens", "Cuscuta rausii", "Aristida gibbosa", "Cossus romantsovi", "Protochroomonas granulata", "Pyramimonas tetrarhynchus", "Pleroma aotea", "Pleroma turbinatum", "Basilepta subcostata", "Danio kyathit", "Ophiopsila novaezealandiae", "Basilepta viridipennis", "Ophiopsila pantherina", "Ophiopsila paucispina", "Metaxyonycha elegans", "Hesperis sect.", "Pyramimonas adriaticus", "Pyramimonas impressa", "Pyramimonas aurea", "Umbilicaria freyi", "Colaspoides elegans", "Pyramimonas aurita", "Aristida perniciosa", "Cneorane elegans", "Pyramimonas cyclotreta", "Aristida personata", "Pyramimonas cyrtoptera", "Cybaeus constrictus", "Pyramimonas dichotoma", "Pyramimonas igloolikensis", "Aristida polyclados", "Pyramimonas quadrifolia", "Cybaeus eutypus", "Aristida pruinosa", "Pyramimonas tychotreta", "Cybaeus morosus", "Cybaeus multnoma", "Cybaeus paralypropriapus", "Aristida ramosa", "Aristida rufescens", "Pyramimonas australis", "Aristida setifolia", "Danio roseus", "Ophiopsila seminuda", "Anisomeridium yoshimurae", "Lecanora andoi", "Sempervivum globiferum subsp. globiferum", "Pyramimonas delicatula", "Sempervivum globiferum subsp. arenarium", "Sempervivum globiferum subsp. hirtum", "Pyramimonas vacuolata", "Cleisostoma striatum", "Gongronella zunyiensis", "Cleisostoma aspersum", "Pyramimonas cirolanae", "Pyramimonas virginica", "Pyramimonas cordata", "Pyramimonas nephroidea", "Pyramimonas gelidicola", "Calymmanthera filiformis", "Calymmanthera major", "Sempervivum ciliosum subsp. ciliosum", "Clathria namibiensis", "Pyramimonas diskoicola", "Pyramimonas disomata", "Pyramimonas grossii", "Ophiopsila polysticta", "Ophiopsila riisei", "Anastromvos aldersladei", "Anastromvos catherinae", "Petrosedum amplexicaule subsp. amplexicaule", "Petrosedum ochroleucum subsp. ochroleucum", "Pyramimonas chlorina", "Pyramimonas formosa", "Pyramimonas melkonianii", "Pyramimonas mucifera", "Pyramimonas robusta", "Chrysoperla hainanica", "Chrysoperla longicaudata", "Chrysoperla sola", "Hylotelephium maximum", "Hylotelephium pluricaule", "Lecanora megalocheila", "Penaincisalia alina", "Parasesarma capensis", "Neoschrammeniella antarctica", "Neosiphonia motukawanui", "Neopelta pulvinus", "Neoaulaxinia persicum", "Lecanora mikuraensis", "Neoaulaxinia zingiberadix", "Microscleroderma novaezelandiae", "Aciculites manawatawhi", "Verruca alabamensis", "Pyramimonas obovata", "Pyramimonas octociliata", "Tithaeus odysseus", "Verruca gailgoedertae", "Aristida vagans", "Aristida warburgii", "Callipelta ornata", "Corallistes thomasi", "Hesperis scabrida", "Haasus naasane", "Hesperis pycnotricha", "Umbilicaria subpolyphylla", "Xasmasoma acuminatus", "Xasmasoma agana", "Xasmasoma carrollae", "Xasmasoma celiae", "Xasmasoma chamelaucieaphila", "Xasmasoma mareeba", "Xasmasoma mimae", "Xasmasoma mungallala", "Xasmasoma nillinghoo", "Xasmasoma schuhi", "Xasmasoma silveirae", "Xasmasoma woodstocki", "Hylotelephium sordidum", "Hylotelephium telephium subsp. telephium", "Neomyrtlemiris picta", "Aristida strigosa", "Aristida superpendens", "Myrtlemiris kararensis", "Myrtlemiris lochada", "Ophiopsila polyacantha", "Hesperis ciscaucasica", "Myrtlemiris agnew", "Myrtlemiris astartephila", "Myrtlemiris meanarra", "Myrtlemiris newmanensis", "Myrtlemiris rubrocuneatus", "Myrtlemiris russulatus", "Myrtlemiris silveirae", "Drupadia theda vanica", "Hesperis pseudocinerea", "Myrtlemiris tesselatus", "Myrtlemiris yalgoo", "Temnaspis elegans", "Aristida utilis", "Pyramimonas spinifera", "Ophiarachnella similis", "Ophiarachnella africana", "Tasmanites marshalliae", "Ophiophragmus acutispina", "Tasmanites vindhyanensis", "Calymmanthera montana", "Amphioplus cincta", "Calymmanthera tenuis", "Trichloridella paradoxa", "Calymmanthera paniculata", "Hylotelephium erythrostictum", "Thrombus ornatus", "Hesperis sect.", "Corynomalus elegans", "Chrysoperla bellatula", "Wulfila conchamonile", "Wulfila xilitlensis", "Wulfila luisi", "Ctenophthalmus lui", "Pyramimonas olivacea", "Aciculites sulcus", "Leiodermatium colini", "Leiodermatium dampieri", "Pyramimonas octopus", "Pyramimonas parkeae", "Barsine fangchenglaiae", "Pyramimonas pseudoparkeae", "Barsine pretiosa", "Verruca sorrellae", "Macellina baishuijiang", "Veraphis japonica", "Amphichroum feldmanni", "Bambusaspis shenzhenensis", "Wulfila unguis", "Wulfila phantasma", "Hylotelephium ussuriense", "Praon baodingense", "Praon brachycerum", "Orostachys chanetii", "Aischrocrania brevimedia", "Pyramimonas inconstans", "Chondria elegans", "Carlia beccarii", "Carlia luctuosa", "Carlia rhomboidalis", "Carlia schmeltzii", "Cryptoblepharus rutilus", "Emoia callisticta", "Morethia taeniopleura", "Morethia adelaidensis", "Lacertaspis reichenowi", "Epibator nigrofasciolatus", "Pyramimonas longicauda", "Nannoscincus gracilis", "Nannoscincus mariei", "Winbrechlinia parbrechlini", "Neosiphonia superstes", "Winbrechlinia sinjaevi", "Pyramimonas mantoniae", "Winbrechlinia grissinjaevi", "Pyramimonas mitra", "Pyramimonas propulsa", "Pyramimonas minima", "Pyramimonas semiglobosa", "Awhiowhio osheai", "Awhiowhio unda", "Awhiowhio sepulchrum", "Pyramimonas moestrupii", "Pyramimonas nansenii", "Ophiopsila squamifera", "Ophiopsila vittata", "Lecanora gongensiana", "Hesperis sect.", "Hesperis sect.", "Orostachys malacophylla subsp. malacophylla", "Ctenophthalmus breviprojiciens yongjiaensis", "Ctenophthalmus peregrinus", "Orostachys spinosa", "Orostachys iwarenge", "Amphichroum longilobatum", "Amphichroum squamosum", "Neamphius huxleyi", "Amphipholis bananensis", "Vachellia nilotica subsp. cupressiformis", "Amphioplus occidentalis", "Amphipholis nudipora", "Dienerella elegans", "Rhodiola himalensis subsp. himalensis", "Rhodiola himalensis subsp. bouvieri", "Rhodiola humilis", "Metaverruca euganea", "Vachellia anegadensis", "Erysimum absconditum", "Rhodiola integrifolia subsp. integrifolia", "Gamasodes marmotae", "Acanthoplistus testaceus", "Catillaria gerroana", "Fellhanera robusta", "Menegazzia fortuita", "Ramboldia curvispora", "Acanthoplistus nigritibia", "Chorthippus tianshanensis", "Hesperis pendula subsp. brachytricha", "Sarcogyne maritima", "Scinax sateremawe", "Cymbachus elegans", "Carlia munda", "Carlia rostralis", "Carlia vivax", "Lygisaurus foliorum", "Emoia caeruleocauda", "Emoia pallidiceps", "Saproscincus spectabilis", "Phoboscincus bocourti", "Sphinx morio heilongjiangensis", "Senegalia schweinfurthii", "Geodia pleiades", "Geodia japonica", "Geodia eosaster", "Hesperis sect.", "Vachellia sieberiana", "Ctenophthalmus lushuiensis", "Ctenophthalmus breviprojiciens", "Ctenophthalmus breviprojiciens breviprojiciens", "Ctenophthalmus taiwanus", "Ctenophthalmus taiwanus taiwanus", "Ctenophthalmus taiwanus zhejiangensis", "Chorthippus tibetanus", "Rhodiola quadrifida", "Rhodiola saxifragoides", "Asteriscus graveolens subsp. graveolens", "Rhodiola tibetica", "Chorthippus aktaci", "Rhodiola chrysanthemifolia", "Rhodiola chrysanthemifolia subsp. chrysanthemifolia", "Myrmecopora algarum", "Chorthippus daixianensis", "Astropecten huepferi", "Chorthippus intermedius", "Chorthippus pilipes", "Parabolitobius sinensis", "Verruca veneta", "Astropecten liberiensis", "Chorthippus uvarovi", "Chorthippus jishishanensis", "Rhodiola angusta", "Rhodiola bupleuroides", "Senegalia albizioides", "Asteriscus daltonii subsp. daltonii", "Asteriscus daltonii subsp. vogelii", "Rhodiola dumulosa", "Rhodiola fastigiata", "Rhodiola heterodonta", "Amphichroum angustilobatum", "Amphichroum assingi", "Amphichroum maculatum", "Amphichroum propinquum", "Amphichroum rotundatum", "Amphichroum schuelkei", "Chorthippus taiyuanensis", "Chorthippus hengshanensis", "Amphichroum subaequale", "Amphichroum subelongatum", "Chorthippus latisulcus", "Amphichroum tibetanum", "Sarcogyne canberrensis", "Mariosousa acatlensis", "Sarcogyne tholifera", "Chorthippus hebeiensis", "Chorthippus changtunensis", "Chorthippus aroliumulus", "Chorthippus conicaudatus", "Chorthippus foveatus", "Chorthippus latilifoveatus", "Chorthippus neipopennis", "Chorthippus occidentalis", "Chorthippus unicubitus", "Hesperis pendula subsp. goerzii", "Hesperis pendula subsp. campicarpa", "Phedimus sichotensis", "Erysimum acrotonum", "Erysimum adcumbens", "Erysimum afghanicum", "Erysimum aksaricum", "Erysimum alaicum", "Erysimum amurense", "Erysimum anceps", "Erysimum apenninum", "Erysimum arbuscula", "Erysimum asperulum", "Erysimum aureum", "Erysimum aurigeranum", "Erysimum babadagense", "Costatoverruca seguenzai", "Erysimum babataghi", "Sarcogyne endopetrophila", "Vulcanella gracilis", "Poecillastra incrustans", "Eumerus badkhyziensis", "Asteriscus graveolens subsp. odorus", "Sarcogyne gibberella", "Astropecten mamillatus", "Astropecten michaelseni", "Rhodiola yunnanensis subsp. yunnanensis", "Teredorus vicinus", "Eucalosphaera elegans", "Erysimum badghisi", "Erysimum baicalense", "Erysimum bastetanum", "Erysimum belvederense", "Erysimum boissieri", "Erysimum bonannianum", "Erysimum boreale", "Erysimum caespitosum", "Erysimum brevistylum", "Erysimum brulloi", "Erysimum callicarpum", "Erysimum caspicum", "Erysimum calycinum", "Hygrogeus chinensis", "Heterota onorum", "Heterota arenaria", "Chorthippus taishanensis", "Rhodiola pachyclados", "Rhodiola primuloides", "Rhodiola primuloides subsp. primuloides", "Rhodiola purpureoviridis", "Rhodiola purpureoviridis subsp. purpureoviridis", "Afroeurydemus atricollis", "Achilia cornuta", "Achilia spinifer", "Achilia pullastra", "Achilia cribratifrons", "Achilia pugila", "Umbilicus heylandianus", "Umbilicus horizontalis var. intermedius", "Rhodiola ishidae", "Heterota sunjaei", "Chevrolatia iberica", "Paraneseuthia luzonica", "Paraneseuthia kaibesariana", "Paraneseuthia tanimbariana", "Paraneseuthia morobensis", "Rhodiola hobsonii", "Rhodiola imbricata", "Afroeurydemus annulipes", "Afroeurydemus apicicornis", "Megalastrum spectabile var. spectabile", "Sinocrassula indica", "Megalastrum spectabile var. philippianum", "Sinocrassula yunnanensis", "Tethyopsis calcifera", "Crossosoma bigelovii", "Afroeurydemus atricolor", "Glossopetalon spinescens var. spinescens", "Lamellomorpha strongylata", "Crassula saxifraga", "Pachastrella incrustata", "Timea alba", "Timea aurantiaca", "Polymastia hirsuta", "Suberites australiensis", "Stelletta arenaria", "Stelletta lithodes", "Stelletta conulosa", "Erylus niger", "Tetilla australis", "Glossopetalon spinescens var. aridum", "Cryphaea heteromalla", "Lamellomorpha australis", "Poecillastra ducitriaena", "Poecillastra macquariensis", "Dactylocladus stenostachys", "Afroeurydemus bipunctatus", "Leiodermatium paniceus", "Priscoverruca prisca", "Achilia angulifrons", "Achilia caneloi", "Lissophiothrix delicata", "Achilia simpsoni", "Cephalopentandra ecirrhosa", "Chariessa elegans", "Macrophiothrix longipeda", "Ophiocnemis marmorata", "Arachnis sulingi", "Lycaena alciphron", "Arachnis annamensis", "Arachnis bella", "Verruca jagti", "Afroeurydemus brunneopunctatus", "Afroeurydemus cribricollis", "Afroeurydemus diversepunctatus", "Clerus elegans", "Carphurus elegans", "Carpophilus jahari", "Neophisis malaysiana", "Coccinia trilobata", "Pseudoteratura subtilissima", "Arachnis bouffordii", "Arachnis calcarata", "Ophiogymna elegans", "Arachnis cathcartii", "Xiphidiopsis jambi", "Erysimum evinense", "Erysimum exaltatum", "Erysimum ferganicum", "Aerides sect.", "Erysimum fitzii", "Aerides sect.", "Erysimum forrestii", "Erysimum friedrichii", "Dendrobium floresianum", "Aerides sect.", "Erysimum frigidum", "Erysimum froehneri", "Erysimum funiculosum", "Erysimum gabrielianiae", "Erysimum geisleri", "Erysimum gelidum", "Erysimum ghaznicum", "Erysimum ghiesbreghtii", "Coccinia adoensis var. aurantiaca", "Coccinia hirtella", "Coccinia megarrhiza", "Priscoverruca elongata", "Achilia reitteri", "Brachyamytta rapidoaestima rapidoaestima", "Brachyamytta rapidoaestima speculifera", "Brachyamytta mcculloughae", "Brachyamytta maculipes", "Brachyamytta bombomensis", "Strongylodesma aliwaliensis", "Adapantus excavatus", "Arachnis limax", "Arachnis longisepala", "Arachnis siamensis", "Arachnis senapatiana", "Borneratura modesta", "Borneratura sinuata", "Borneratura lobata", "Ctenolepis garcini", "Achilia monstrata", "Kamerula korupi", "Kamerula kameruni", "Parakamerula irisovi", "Cucumis argenteus", "Achilia puncticeps", "Brachyamytta rapidoaestima", "Arachnis \u00d7 maingayi", "Erysimum gladiiferum", "Erysimum goniocaulon", "Erysimum griffithianum", "Erysimum gorbeanum", "Erysimum griffithii", "Erysimum gypsaceum", "Erysimum hajastanicum", "Erysimum handel-mazzettii", "Chrysis mediata", "Tetilla coronida", "Erysimum dagestanicum", "Erysimum damirliense", "Erysimum deflexum", "Chrysis antiochicola", "Tetilla ridleyi", "Chrysis maineensis", "Chrysis declivifrontis", "Chrysis eurekana", "Chrysis dispar", "Chrysis angustanalis", "Erysimum drenowskii", "Erysimum eginense", "Erysimum ehrendorferi", "Erysimum elbrusense", "Erysimum erosum", "Erysimum etnense", "Erysimum etruscum", "Sphaerodactylus parvus", "Sphaerodactylus macrolepis", "Cymbodinium elegans", "Erysimum candicum", "Erysimum canum", "Erysimum carium", "Erysimum caucasicum", "Erysimum coarctatum", "Erysimum collinum", "Erysimum comatum", "Erysimum crassistylum", "Erysimum croaticum", "Erysimum croceum", "Erysimum cyaneum", "Erysimum czernjajevii", "Chrysis belokobylskiji", "Chrysis gurkoi", "Chrysis chalybeia", "Chrysis milkoi", "Chrysis hyalinopyga", "Chrysis vittoriorosai", "Chrysis improba", "Chrysis niehuisie", "Chrysis balthasari", "Chrysis borealis", "Chrysis extraordinaria", "Diplocyclos palmatus subsp. palmatus", "Proamytta insularis", "Proamytta brevipennis", "Proamytta straminea", "Amyttopsis palmulicerca", "Amyttopsis bakowskii", "Amyttopsis forcipata", "Amyttopsis vinculata", "Amyttopsis podicealata", "Geodia globus", "Amyttosa insectivora", "Geodia corticostylifera", "Catalabus elegans", "Cucurbitella asperata", "Aphlugiolopsis punctipennis", "Zehneria odorata", "Zehneria japonica", "Callizonus elegans", "Zehneria scabra subsp. scabra", "Xiphidiopsis padangi", "Xiphidiopsis sabahi", "Xiphidiopsis trusmadi", "Arachnis clarkei", "Pseudoteratura bella", "Leptoteratura pulchra", "Tsitsikamma favus", "Arachnis grandisepala", "Arachnis hookeriana", "Tsitsikamma pedunculata", "Tsitsikamma scurra", "Strongylodesma tsitsikammaensis", "Leptoteratura uniformis", "Strongylodesma algoaensis", "Leptoteratura raoani", "Leptoteratura gialai", "Leptoteratura cemande", "Latrunculia microacanthoxea", "Latrunculia lunaviridis", "Cyclacanthia bellae", "Eleotris amblyopsis", "Alloteratura longa", "Alloteratura media", "Alloteratura curta", "Alloteratura carinata", "Vimba melanops", "Breviratura brevis", "Odonturisca grigoriji", "Odonturisca epiproctalis", "Erysimum leptostylum", "Erysimum ligusticum", "Erysimum lilacinum", "Erysimum linariifolium", "Erysimum macilentum", "Erysimum macropetalum", "Xizicus bispinus", "Xizicus furcutus", "Xizicus streptocercus", "Xizicus falcatus", "Xizicus taiwanensis", "Decma brachyptera", "Xizicus spinocercus", "Nigrimacula xizangensis", "Nigrimacula binotata", "Nigrimacula paraquadrinotata", "Dendrosicyos socotrana", "Adenoncos celebica", "Adenoncos elongata", "Adenoncos macrantha", "Geodia vaubani", "Faxelepas bruennichi", "Adenoncos major", "Gurania lobata", "Latrunclava imago", "Bomba endeavourensis", "Latrunculia hamanni", "Latrunculia lincfreesei", "Sinocyrtaspis huangshanensis", "Sinocyrtaspis lushanensis", "Sinocyrtaspis truncata", "Latrunculia oparinae", "Praepodes elegans", "Ophiopsammium semperi", "Nigrimacula quadrinotata", "Nigrimacula sichuanensis", "Nigrimacula beybienkoi", "Trochomeria macrocarpa subsp. macrocarpa", "Allogrigoriora carinata", "Alloteratura kuehnelti", "Grigoriora tassirii", "Tamdaora curvicerca", "Erysimum macrospermum", "Erysimum maderense", "Erysimum majellense", "Erysimum maremmanum", "Erysimum marschallianum", "Erysimum mediohispanicum", "Erysimum melicentae", "Erysimum merxmuelleri", "Erysimum meyerianum", "Sinocyrtaspis angustisulca", "Sinocyrtaspis brachycerca", "Sinocyrtaspis spina", "Ceratosanthes hilariana", "Sinocyrtaspis hengshanensis", "Sinocyrtaspis cardia", "Erysimum welcevii", "Erysimum wilczekianum", "Erysimum erolii", "Tessaria absinthioides", "Bulbophyllum longissimum", "Rhammatophyllum gaudanense", "Pselaphodes ampliatus", "Pselaphodes bagmatius", "Pselaphodes bilobatus", "Pselaphodes corniger", "Vanda bicolor", "Bryonia cretica subsp. cretica", "Alloxiphidiopsis irregularis", "Xiphidiopsis beybienkoi", "Ophiophthirius actinometrae", "Xiphidiopsis amnicola", "Xiphidiopsis microstyla", "Xiphidiopsis expressa", "Xizicus furcicercus", "Maeviella cochlearia", "Xizicus changi", "Achilia cunniceps", "Achilia baburra", "Achilia adorabilis", "Achilia nipponobythoides", "Achilia trulla", "Danio quagga", "Achilia zaurda", "Proverruca dentifer", "Xizicus fallax", "Xizicus quadrifascipes", "Xizicus tibeticus", "Yunnanilus cruciatus", "Pedupycnolepas articulata", "Adenoncos virens", "Adenoncos buruensis", "Cyclacanthia cloverlyae", "Cyclacanthia mzimayiensis", "Strongylodesma nigra", "Strongylodesma novaecaledoniae", "Strongylodesma tongaensis", "Strongylodesma purpurea", "Clanoptilus elegans", "Ophiolophus novarae", "Adenoncos papuana", "Erysimum hezarense", "Erysimum hirschfeldioides", "Erysimum horizontale", "Erysimum inense", "Erysimum insubricum", "Erysimum iraqense", "Erysimum ischnostylum", "Erysimum kamelinii", "Erysimum kazachstanicum", "Erysimum kerbabaevii", "Erysimum koelzii", "Erysimum korabense", "Erysimum kotuchovii", "Erysimum krynkense", "Erysimum kuemmerlei", "Erysimum kurdicum", "Erysimum kykkoticum", "Sarcogyne magnispora", "Sarcogyne parviascifera", "Cerobates elegans", "Ophiomaza cacaotica", "Erysimum laxiflorum", "Xizicus curvus", "Erysimum lazistanicum", "Erysimum ledebourii", "Kedrostis capensis", "Hyponephele perplexa", "Amyttosa mutillata", "Amyttosa brevipennis", "Amyttosa nimbana", "Abaxinicephora excellens", "Teratura pulchella", "Teratura paracincta", "Teratura subtilis", "Sinoxizicus breviatus", "Sinoxizicus carinatus", "Youngiverruca ruegenensis", "Ceutorhynchus elegans", "Erysimum tuteliae subsp. tuteliae", "Psiguria triphylla", "Gurania subumbellata", "Adenoncos nasonioides", "Gurania makoyana", "Gurania malacophylla", "Adenoncos parviflora", "Gurania reticulata", "Adenoncos quadrangularis", "Adenoncos saccata", "Adenoncos suborbicularis", "Graphosoma italicum", "Adenoncos sumatrana", "Bomba tricincta", "Strongylodesma areolata", "Ophiopteron elegans", "Hyponephele naubidensis", "Sinothaumaspis damingshanicus", "Xizicus curvicercus", "Gerrardanthus grandiflorus", "Graphosoma interruptum", "Biermannia jainiana", "Devario quangbinhensis", "Erysimum michaelis", "Erysimum mongolicum", "Erysimum montis-argentarii", "Erysimum montosicola", "Erysimum moranii", "Erysimum nabievii", "Erysimum nasturtioides", "Erysimum nuristanicum", "Erysimum oleifolium", "Erysimum osseticum", "Erysimum pachycarpum", "Erysimum parnassi", "Erysimum pectinatum", "Erysimum perenne", "Erysimum pignattii", "Erysimum pirinicum", "Erysimum polatschekii", "Erysimum portugalense", "Erysimum pseudoatticum", "Erysimum pseudocuspidatum", "Erysimum pycnophyllum", "Erysimum quadrangulum", "Erysimum raineri", "Erysimum rhodium", "Erysimum riphaeanum", "Erysimum robustum", "Erysimum rondae", "Erysimum roseum", "Erysimum salangense", "Erysimum samarkandicum", "Erysimum schlagintweitianum", "Erysimum seipkae", "Erysimum siliculosum", "Erysimum spetae", "Erysimum substrigosum", "Erysimum talijevii", "Erysimum teppneri", "Erysimum ucranicum", "Erysimum vassilczenkoi", "Erysimum violascens", "Erysimum vitekii", "Erysimum vitellinum", "Erysimum wardii", "Doicholobosa nigrovittata", "Biermannia flava", "Pselaphodes lianghongbini", "Allocyrtopsis ornata", "Allocyrtopsis parva", "Labomimus consimilis", "Allocyrtopsis platycerca", "Allocyrtopsis tibetana", "Neocyrtopsis fallax", "Neocyrtopsis unicolor", "Xiphidiopsis jinxiuensis", "Adenoncos triangularis", "Adenoncos triloba", "Adenoncos uniflora", "Pselaphodes fansipanensis", "Adenoncos vesiculosa", "Neocyrtopsis shimianensis", "Doicholobosa acuta", "Doicholobosa complanatis", "Doicholobosa rotundata", "Ophiothrix rathbuni", "Paracilacris lateralis", "Oxneriaria dendroplaca", "Cucurbita melopepo", "Cucurbita melopepo subsp. texana", "Xiphidiola adunca", "Xiphidiola lobulata", "Euthiconus nopporoensis", "Xiphidiola dja", "Cucurbita melopepo subsp. melopepo", "Xiphidiola quadrimaculata", "Deceptor bidoupensis", "Erebia euryale", "Neocyrtopsis yachowensis", "Ophiothela mirabilis", "Oxneriaria mashiginensis", "Pselaphodes coxatus", "Pselaphodes khandbarius", "Pselaphodes loebli", "Scolopes moseleyi", "Pselaphodes procerus", "Pselaphodes psomus", "Pselaphodes robustus", "Pselaphodes rotundatus", "Pselaphodes sagephorus", "Pselaphodes smetanai", "Pselaphodes symmetricus", "Pselaphodes tmesisternus", "Proamytta spinifera", "Cucumis prophetarum subsp. prophetarum", "Proamytta eburnea", "Proamytta simillima", "Cucumis sativus var. sativus", "Proamytta kamerunensis", "Proamytta reducta", "Proamytta simplicoides", "Proamytta sincera", "Cucumis callosus", "Biermannia longicheila", "Typhlacontias punctatissimus", "Afrophisis mazumbaiensis", "Sepsina copei", "Biermannia sarcanthoides", "Apteroscirtus cristatus", "Apteroscirtus planidorsatus", "Lygodactylus gutturalis", "Hemidactylus longicephalus", "Gelotopoia amabilis", "Afroagraecia pwania", "Afroagraecia shimbaensis", "Conotrachelus elegans", "Afroanthracites discolor", "Afroagraecia uluguruensis", "Afroanthracites viridis", "Afroanthracites jagoi", "Aerotegmina megaloptera", "Biermannia sigaldii", "Cymatomerella pardopunctata", "Bogoria merrillii", "Latrunculia oxydiscorhabda", "Latrunculia fiordensis", "Latrunculia triverticillata", "Latrunculia millerae", "Latrunculia kaikoura", "Latrunculia wellingtonensis", "Latrunculia procumbens", "Bogoria papuana", "Latrunculia duckworthi", "Latrunculia kaakaariki", "Bogoria taeniorhiza", "Bogoria raciborskii", "Xiphidiola quadrimaculata quadrimaculata", "Araneibatrus phuphaphet", "Xiphidiola quadrimaculata immaculata", "Xiphidiola emarginata", "Xiphidiola minuta", "Anthoxanthum nipponicum", "Paracilacris latiexcisa", "Trichophorum alpinum", "Trichophorum cespitosum", "Coniatus splendidulus", "Eriophorum latifolium", "Eriophorum gracile", "Dinizia jueirana-facao", "Afrophisis parva", "Afrophisis leptopennis", "Afrophisis tanzanica", "Lendatus bolivianus", "Lendatus philothalpiformis", "Aleochara bugnioni", "Aleochara lustrica", "Naskreckia farrelli", "Naskreckia marakelensis", "Ophiotrichoides lymani", "Paracilacris mordax", "Paracilacris periclitatus", "Amblyodipsas polylepis", "Hemirhagerrhis viperina", "Psammophylax ocellatus", "Trachylepis binotata", "Trachylepis bayonii", "Bitis heraldica", "Atractaspis dahomeyensis", "Ophiochytra epigrus", "Ophiochytra tenuis", "Cymatomera viridimaculata", "Momordica boivinii", "Lendatus platys", "Phlugidia obtusicercus", "Phlugidia planicercus", "Afrophisis flagellata", "Peripus brunkei", "Afrophisis pseudoflagellata", "Afrophisis kisarawe", "Peripus didontus", "Peripus madrededios", "Jacobaea cannabifolia", "Peripus monodontus", "Senecio dubitabilis", "Ophiomonas bathybia", "Chaetonychia cymosa", "Oxneriaria haeyrenii", "Pseudamaurops hristovskii", "Pseudamaurops tymficus", "Pseudamaurops albanicus", "Alsomitra macrocarpa", "Pseudamaurops muellerianus", "Biermannia laciniata", "Aerotegmina vociferator", "Aerotegmina taitensis", "Aerotegmina shengenae", "Aerotegmina kilimandjarica", "Momordica subangulata subsp. subangulata", "Nubimystrix consuelo", "Nubimystrix amarui", "Lambia antarctica", "Ecuaneduba gambitaensis", "Ecuaneduba inzaensis", "Brachypeza archytas", "Oxneriaria nikrapensis", "Apodanthera smilacifolia", "Ophiotoma coriacea", "Ophiocopa spatula", "Brachypeza indusiata", "Ophialcaea nuttingi", "Vanda foetida", "Brachypeza koeteiensis", "Oxneriaria permutata", "Brachytydeus echinulatus", "Ophiopristis ensifera", "Brachypeza laotica", "Brachypeza minimipes", "Brachytydeus electrus", "Schizopepon bryoniifolius", "Erebia euryale euryale", "Brachytydeus dorothyae", "Brachypeza pallida", "Pseudoderbesia arbuscula", "Cyclanthera brachybotrys", "Thrixspermum remotiflorum", "Erebia euryale euryaloides", "Ophiomitra ornata", "Ophiocamax austera", "Ophiochondrus gracilis", "Afroeurydemus fortesculptus", "Ophiomyxa brevicauda", "Acanthoraculus milagro", "Brachypeza semiteretifolia", "Conocephalomima barameda", "Asteronyx lymani", "Asteroschema nuttingii", "Astrogomphus rudis", "Trioza centranthi", "Geodia ewok", "Geodia harpago", "Ruilesia hermani", "Pudahuelia luisi", "Phaleria psammatea", "Luffa saccata", "Afroeurydemus holasi", "Jaffrezocodium bipennatum", "Ibervillea macdougalii", "Chaetosiphon moniliformis", "Afroeurydemus nigrosignatus", "Menatorhis elegans", "Listroscelis sooretama", "Listroscelis cohni", "Listroscelis fusca", "Listroscelis monnei", "Listroscelis itatiaia", "Oxneriaria rivulicola", "Carliella mandibularis", "Isocarliella musica", "Scrobipalpomima manuscriptus", "Scrobipalpomima phalluspinosus", "Ophiohelus pellucidus", "Ophiohelus umbella", "Ophiohelus densispinus", "Ophiomyces frutectosus", "Ophiomyces mirabilis", "Ophiura acervata", "Ophiura falcifera", "Tydeus granosus", "Geodia kermadecensis", "Geodia campbellensis", "Geodia chathamensis", "Cryptorhynchus elegans", "Geodia copiosa", "Hamayulus rufomaculatus", "Cerberodon portokalipes", "Listroscelis angustifrons", "Hodgsonia heteroclita subsp. heteroclita", "Listroscelis magnomaculata", "Sicyos anunu", "Amphiura semiermis", "Sicyos erostratus", "Sicyos laciniatus", "Habenaria quinqueseta", "Tydeus roseus", "Fevillea anomalosperma", "Brachypeza simondiana", "Geodia leosimi", "Ophioleuce depressum", "Ophiomusium eburneum", "Ophiomitra valida", "Geodia margarita", "Ophiotreta sertata", "Ophiochondrus convolutus", "Calthropella simplex", "Holcus annuus subsp. setiglumis", "Geodia lindgreni", "Erylus topsenti", "Calthropella durissima", "Calthropella inopinata", "Calthropella geodioides", "Calthropella pathologica", "Calthropella stelligera", "Calthropella lithistina", "Calthropella enigmatica", "Calthropella recondita", "Calthropella novaezealandiae", "Scelotes poensis", "Proscelotes eggeli", "Proscelotes arnoldi", "Proscelotes aenea", "Danio muongthanhensis", "Geodia praelonga", "Ophiactis plana", "Ophiactis loricata", "Geodia sadiemillsae", "Trichosanthes cucumerina subsp. cucumerina", "Trichosanthes pilosa", "Ectinogonia aymara", "Ectinogonia cyaniventris", "Ectinogonia pulverea", "Tydeus granulatus", "Neoxestus quadrimaculatus", "Neoxestus cauquenes", "Neoxestus lucile", "Neoxestus nahuelbuta", "Neoxestus nonguen", "Ranunculus hakkodensis", "Amphiodia pulchella", "Trichosanthes napoensis", "Trichosanthes pedata", "Africariola longicauda", "Trichosanthes tricuspidata subsp. tricuspidata", "Trichosanthes tubiflora", "Trichosanthes cochinchinensis", "Geodia tenera", "Tydeus sarekensis", "Amphiura grandisquama", "Neoxestus norma", "Brachypeza stenoglottis", "Brachypeza unguiculata", "Altiapa decolor", "Vanda \u00d7 confusa", "Lorryia mammillaris", "Vanda lilacina", "Carpelimus koreanus", "Porongurup angulatus", "Porongurup clarkei", "Porongurup tenuis", "Trichosanthes integrifolia", "Geodia sagitta", "Tydeus setosulus", "Geodia vadi", "Ovonotus abreuae", "Ovonotus incisus", "Afroagraecia muagurai", "Pseudorhynchus hastifer", "Pseudorhynchus pungens", "Lanista africana", "Hippeastrum lunaris", "Lanista annulicornis", "Microstoma aggregatum", "Altiapa colorata", "Ruspolia differens", "Amphilimna olivacea", "Phalaenopsis pulcherrima var. regnieriana", "Melothria sphaerocarpa", "Phalaenopsis kapuasensis", "Altiapa pandora", "Phalaenopsis \u00d7 lotubela", "Ampelosicyos bosseri", "Tydeus pellucidus", "Oeneis glacialis", "Ereynetes berlesei", "Aistopetalum viticoides", "Aistopetalum multiflorum", "Anodopetalum biglandulosum", "Bauera microphylla", "Gorongosa carri", "Cleopus elegans", "Abacella pertusa", "Appeninocodium convolvens", "Ackama paniculosa", "Ackama rosifolia", "Botryella spinosa", "Ophiothamnus vicarius", "Ruspolia ampla", "Phalaenopsis pulcherrima var. pulcherrima", "Ophiocreas lumbricus", "Gelatinipulvinella astraeicola", "Altiapa andreasi", "Astracme mucronata", "Astrogomphus vallatus", "Phalaenopsis pulcherrima var. apiculata", "Phalaenopsis pulcherrima var. marmorata", "Gerrardanthus macrorhizus", "Loeblitoides separatus", "Siolmatra brasiliensis", "Altiapa aborigena", "Xerosicyos perrieri", "Pangusyndicus excavatus", "Centrinaspis elegans", "Kedrostis courtallensis", "Benincasa fistulosa", "Altiapa goliathina", "Thladiantha villosula", "Ackama australiensis", "Calotydeus celeripes", "Davidsonia jerseyana", "Parapyrrhicia guytonae", "Davidsonia johnsonii", "Platypthima antapa", "Leucandra aspera", "Horatosphaga serrifera", "Debrona cervina", "Sycon raphanus", "Sycon setosum", "Altiapa pedaloidina", "Sycon humboldti", "Hyattella hancocki", "Tydemania expeditionis", "Metadrosus bellus", "Callyspongia californica", "Botryodesmis exocarpa", "Graphosoma melanoxanthum", "Callipsygma wilsonis", "Hedstroemia moldavica", "Codia montana", "Johnsonicodium stratiforme", "Codia incrassata", "Neoanchicodium catenoides", "Tethysicodium wrayi", "Gyalidea izuensis", "Enyaliopsis iaculator", "Anarytropteris fallax", "Anarytropteris chirinda", "Peringueyella macrocephala", "Dubusia taeniata carrikeri", "Clonia wahlbergi", "Dichotomosiphon tuberosus", "Urocotyledon wolterstorffi", "Ptyodactylus togoensis", "Gyalidea oosumiensis", "Lygodactylus conraui", "Buhoma vauerocegae", "Hemidactylus matschiei", "Clonia zernyi", "Cymatomerella spilophora", "Arzecla straboris", "Arzecla straelena", "Eulioptera mutembai", "Eulioptera carrolli", "Platypthima leucomelas", "Eulioptera excavata", "Flabellia petiolata", "Eurycorypha stalmansi", "Eurycorypha parkeri", "Gillbeea papuana", "Karrabina benthamiana", "Plangia multimaculata", "Karrabina biagiana", "Poropsis subunalis", "Plangia satiscaerulea", "Pullea mollis", "Weinmannia tinctoria", "Dianous pengi", "Weinmannia fraxinea", "Altiapa klossi", "Geodia williami", "Platypthima dispar", "Geissois hirsuta", "Geissois imthurnii", "Platyprthima dispar dispar", "Geissois racemosa", "Platypthima dispar dispar", "Platypthima dispar huonis", "Vesselowskya venusta", "Weinmannia marquesana", "Weinmannia marquesana var. angustifolia", "Weinmannia mauritiana", "Buellia yoshimurae", "Chiloneus elegans", "Prada rothschildi", "Prada papua", "Prada maria", "Spiraeanthemum katakata", "Nereodictyon imitans", "Spiraeanthemum samoense", "Spiraeanthemum vitiense", "Vesselowskya rubifolia", "Redtenbachus viridipennis", "Sylvainhugiella cesairei", "Coptorhynchus elegans", "Micrantereus lequeuxi", "Trypetheliopsis yoshimurae", "Eurylobus elegans", "Micrantereus mantillerii", "Brachypeza zamboangensis", "Morgenia modulata", "Graphosoma alkani", "Morgenia rubricornis", "Platypthima homochroa euptychioides", "Rhipiliella verticillata", "Morgenia spathulifera", "Platypthima homochroa satisbona", "Platypthima placiva", "Cylindromyia intermedia", "Pangusyndicus longirostris", "Platypthima ornata ornata", "Desmochloris halophila", "Trachyzulpha bhutanica", "Geodromicus amplissimus", "Trachyzulpha siamica", "Geodromicus spadiceus", "Trachyzulpha fruhstorferi", "Dendrobium stricticalcarum", "Ablepharus lindbergi", "Pyrrhopyge amyclas", "Dianous tonkinensis", "Dianous shan", "Dianous cyaneovirens", "Dianous viridicupreus", "Mazosia bruguierae", "Dianous limitaneus", "Dianous viriditinctus", "Catastygnus elegans", "Mazosia japonica", "Oncosoma setulosus", "Lamanonia cuneata", "Lamanonia ternata", "Morgenia angustipinnata", "Morgenia plurimaculata", "Morgenia lehmannorum", "Morgenia hamuligera", "Pancheria elegans", "Platypthima homochroa", "Platypthima homochroa homochroa", "Morgenia melica", "Pseudopenicillus aegaeicus", "Geodromicus crassipalpis", "Trachyzulpha fruhstorferi fruhstorferi", "Trachyzulpha fruhstorferi borneo", "Trachyzulpha fruhstorferi varia", "Platypthima ornata septentrionalis", "Euconnus eremitides", "Euconnus laticlava", "Meoneura thaica", "Leptogium kiyosumiense", "Euconnus sabahanus", "Paederus zhangmuensis", "Pseudoweinmannia lachnocarpa", "Pullea stutzeri", "Schizomeria ovata", "Tachinus asperius", "Tachinus biangulatus", "Tachinus bimorphus", "Tachinus breviculus", "Tachinus chengzhifeii", "Tachinus granosus", "Tachinus maculosus", "Tachinus meniscus", "Tachinus qian", "Tachinus songxiaobini", "Tachinus yunnanensis", "Tachinus beckeri", "Tachinus grandicollis", "Oncosoma kochi", "Oncosoma muellerae", "Oncosoma gebieni", "Oncosoma legalli", "Pastria albimedia", "Phaethornis bourcieri major", "Compsus elegans", "Bagous elegans", "Oncosoma ertli", "Oncosoma jubae", "Oncosoma claudegirardi", "Oncosoma merkli", "Oncosoma multicostatum", "Oncosoma ferreri", "Tachinus naomii", "Tachinus nigriceps", "Ectinogonia carrascoi", "Ectinogonia isamarae", "Ectinogonia roitmani", "Erysimum candicum subsp. candicum", "Erysimum candicum subsp. carpathum", "Eurya glabra", "Placospongia intermedia", "Anophiura planissima", "Anophiura simplex", "Amphiodia minuta", "Psychostrophia melanargia", "Ectinogonia vidali", "Ectinogonia pusilla", "Coptodryas elegans", "Chamaeanthus brachystachys", "Chamaeanthus wenzelii", "Tachinus laosensis", "Psychostrophia picaria", "Psychostrophia endoi", "Chamaecyparis obtusa var. obtusa", "Renia acclamalis", "Papuacedrus papuana subsp. papuana", "Callicore eunomia ferrerorum", "Euthalia iva", "Euthalia iva iva", "Euthalia iva buensis", "Cnesinus elegans", "Graphosoma consimile", "Promalactis uniclavata", "Promalactis senispina", "Promalactis crassa", "Promalactis retusa", "Hesperolyra guajavifoliae", "Psychostrophia micronymphidiaria", "Psychostrophia nymphidiaria", "Spongiochrysis hawaiiensis", "Acer yinkunii", "Abyssura brevibrachia", "Erysimum cheiri subsp. cheiri", "Prosopocoilus fulgens", "Erysimum cheiri subsp. inexpectans", "Taeniophyllum palawense", "Erysimum senoneri subsp. senoneri", "Erysimum senoneri subsp. amorginum", "Erysimum senoneri subsp. icaricum", "Placospongia santodomingoae", "Placospongia melobesioides", "Okellya curvata", "Ophiarachnella petersi", "Taeniophyllum acsmithii", "Cosmoderes elegans", "Bryobesia johannae", "Crypturgus abbreviatus", "Chloropteris leprieurii", "Cryphalus acaciae", "Chalybura buffonii intermedia", "Dactylipalpus africanus", "Tachinus pseudobirmanus", "Tachinus sugayai", "Tachinus yushanensis", "Dactylipalpus parricida", "Lurbica zinkwasii", "Strombophorus elongatus", "Strombophorus laevis", "Strombophorus latus", "Strombophorus minor", "Horatosphaga laticerca", "Horatosphaga scalata", "Peronura wottae", "Tenerasphaga mpwapwae", "Kefalia omorfa", "Kefalia grafika", "Kefalia laeta", "Melidia adfinia", "Sentia communa", "Cymatomerella morula", "Eurycorypha annexata", "Immanus desectus", "Placospongia decorticans", "Placospongia ruetzleri", "Xyleborus biconicus", "Leucandra bulbosa", "Cirsium coahuilense", "Ophiomastus secundus", "Placospongia mixta", "Placospongia carinata", "Placospongia anthosigma", "Placospongia cristata", "Geodia kuekenthali", "Danio annulosus", "Hapalogenius africanus", "Juniperus arizonica", "Juniperus ashei var. ashei", "Juniperus barbadensis var. barbadensis", "Tachinus tangliangi", "Foveomicrus indicus", "Indomicrus chera", "Tachinus ohbayashii", "Pycnomerus raivavae", "Chaetocladiella microscopica", "Juniperus chinensis var. chinensis", "Chaetonella goetzei", "Cylindromyia brassicaria", "Geodia tylastra", "Cylindromyia euchenor", "Cylindromyia pilipes", "Zophodiodes leucocostella", "Amaurobius caucasicus", "Amaurobius hercegovinensis", "Chloropsis media", "Tachinus bilobus", "Tachinus centralis", "Andrena elegans", "Tachinus curvipennis", "Tachinus lobutulus", "Cladogonium ogishimae", "Cladostroma setschwanense", "Kobrona sebana", "Kobrona zadma", "Taeniophyllum acuminatum", "Taeniophyllum alatum", "Taeniophyllum amplebracteatum", "Taeniophyllum brachyceras", "Taeniophyllum bryoides", "Taeniophyllum carinatum", "Taeniophyllum ceratostylis", "Taeniophyllum chaetophorum", "Taeniophyllum clavicalcaratum", "Taeniophyllum clementsii", "Ophiurochaeta mixta", "Clidicus minilankanus", "Alsophila camerooniana", "Smetanabatrus loebli", "Alsophila camerooniana var. aethiopica", "Alsophila dealbata", "Alsophila erinacea", "Polionemobius yunnanus", "Alsophila firma", "Alsophila khasyana", "Taeniophyllum collinum", "Taeniophyllum erosulum", "Taeniophyllum finisterrae", "Taeniophyllum flaccidum", "Taeniophyllum govidjoae", "Taeniophyllum iboetii", "Taeniophyllum javanicum", "Taeniophyllum lamii", "Acer albopurpurascens", "Taeniophyllum laxum", "Taeniophyllum leeuwenii", "Taeniophyllum longicaule", "Taeniophyllum luteum", "Acer poliophyllum", "Taeniophyllum minusculum", "Taeniophyllum mirum-labellum", "Kobrona lexa", "Kobrona sota", "Discodermia discifurca", "Discodermia panoplia", "Discodermia ornata", "Synurella odessana", "Otidognathus elegans", "Ophiolipus agassizii", "Cephalostenus elegans", "Pycnomerus rairua", "Pycnomerus taralewisae", "Pycnomerus mahanatoa", "Pycnomerus vavitu", "Graphosoma stali", "Acanthurus bariene", "Gemmiphora compacta", "Pseudocladophora conchopheria", "Ophiuroconis miliaria", "Acer oblongum var. oblongum", "Acer paihengii", "Acer laevigatum var. salweenense", "Acer laevigatum var. laevigatum", "Coenochroa ablutella", "Alsophila andersonii", "Sabera aruana", "Cyathea brachyphylla", "Leiodermatium marginatum", "Leiodermatium crassiusculum", "Ophiozonella tessellata", "Taeniophyllum samoense", "Alsophila spinulosa", "Taeniophyllum steenisii", "Taeniophyllum sulawesiense", "Taeniophyllum taenioides", "Taeniophyllum terrestre", "Taeniophyllum triangulipetalum", "Taeniophyllum pusillum", "Cyathea armata", "Alsophila australis", "Alsophila australis subsp. australis", "Alsophila baileyana", "Neosiphonia schmidti", "Scleritoderma flabelliforme", "Siphonidium capitatum", "Alsophila borbonica", "Cetonia aurata pisana", "Pseudocladophora horii", "Apjohnia laetevirens", "Ancyrosoma leucogrammes", "Apjohnia scoparia", "Telemiades belli", "Taeniophyllum multiflorum", "Taeniophyllum muriculatum", "Taeniophyllum musciforme", "Taeniophyllum neotorricellense", "Taeniophyllum occultans", "Taeniophyllum oreophilum", "Alsophila plagiostegia", "Taeniophyllum papillosum", "Taeniophyllum platyrhachis", "Taeniophyllum podochiloides", "Taeniophyllum pterophorum", "Taeniophyllum rhombeum", "Taeniophyllum rudolfii", "Telemiades fides", "Phlomis floccosa", "Boergesenia forbesii", "Telemiades brazus", "Alsophila capensis", "Alsophila capensis subsp. capensis", "Taeniophyllum carnosiflorum", "Taeniophyllum cochleare", "Anatolipora carbonica", "Taeniophyllum coiloglossum", "Taeniophyllum concavum", "Anfractuosoporella uphaensis", "Anisoporella occidentalis", "Alsophila latebrosa", "Alsophila leichhardtiana", "Alsophila lepifera", "Alsophila dregei", "Amphioplus tumidus", "Carpelimus pulchrus", "Carpelimus fereus", "Amphioplus cuneatus", "Alsophila glaucifolia", "Amphiura lunaris", "Ophiostigma abnorme", "Gamelioides machadoi", "Cyathea howeana", "Copaxa andchinchao", "Copaxa medejunensis", "Taeniophyllum album", "Taeniophyllum asperatum", "Taeniophyllum aureum", "Taeniophyllum brachypus", "Taeniophyllum brunnescens", "Taeniophyllum cardiophorum", "Taeniophyllum phaeanthum", "Taeniophyllum physodes", "Taeniophyllum proboscideum", "Taeniophyllum pubicarpum", "Taeniophyllum quadratum", "Taeniophyllum quaquaversum", "Taeniophyllum robustum", "Taeniophyllum stenosepalum", "Taeniophyllum subtrilobum", "Taeniophyllum trichopus", "Taeniophyllum trilobum", "Taeniophyllum xerophilum", "Taeniophyllum amboinense", "Taeniophyllum biocellatum", "Cyathea caracasana", "Alsophila colensoi", "Ernodesmis verticillata", "Alsophila crinita", "Ophiomidas dubius", "Lepidodactylus sacrolineatus", "Telemiades atlantiope", "Petrosiphon adhaerens", "Telemiades lamasi", "Telemiades quammeni", "Telemiades dawkinsi", "Telemiades warreni", "Telemiades mielkei", "Telemiades esmeraldas", "Alsophila cunninghamii", "Lepidodactylus labialis", "Telemiades moa", "Lepidodactylus moestus", "Lepidodactylus novaeguineae", "Lepidodactylus orientalis", "Lepidodactylus mitchelli", "Lepidodactylus aignanus", "Lepidodactylus dialeukos", "Lepidodactylus zweifeli", "Lepidodactylus kwasnickae", "Lepidodactylus oligoporus", "Lepidodactylus vanuatuensis", "Macrelmis rodrigoi", "Lepidodactylus tepukapili", "Hoplothrips bellingeni", "Hoplothrips giganteus", "Hoplothrips lamingtoni", "Hoplothrips lihongae", "Hoplothrips lowdeni", "Hoplothrips nelsoni", "Hoplothrips oakeyi", "Hoplothrips reedi", "Hoplothrips tarsus", "Hoplothrips woodsi", "Hoplothrips wrightae", "Cyathea divergens", "Cyathea dombeyi", "Lepidodactylus woodfordi", "Lepidodactylus gardineri", "Telemiades pseudotrenda", "Alsophila deckenii", "Telemiades amazonica", "Lepidodactylus pulcher", "Lepidodactylus pumilus", "Lepidodactylus planicaudus", "Telemiades cryptus", "Lepidodactylus listeri", "Lepidodactylus lombocensis", "Telemiades pallidus", "Lepidodactylus oortii", "Telemiades austini", "Cyathea delgadii", "Telemiades squanda", "Telemiades trenda", "Telemiades vansa", "Lepidodactylus intermedius", "Telemiades contra", "Lepidodactylus manni", "Lepidodactylus yami", "Lepidodactylus ranauensis", "Lepidodactylus balioburius", "Lepidodactylus shebae", "Lepidodactylus euaensis", "Valoniopsis pachynema", "Lepidodactylus flaviocularis", "Lepidodactylus browni", "Lepidodactylus magnus", "Lepidodactylus mutahi", "Alsophila ferdinandii", "Phlomis \u00d7 alanyensis", "Orientochile elegans", "Alsophila manniana", "Cyathea microdonta", "Batophora oerstedii", "Alsophila podophylla", "Zelomorpha angelsolisi", "Carpelimus kwazulensis", "Cyathea pungens", "Taeniophyllum conoceras", "Taeniophyllum cucullatum", "Taeniophyllum cycloglossum", "Taeniophyllum cylindrocentrum", "Taeniophyllum dischorense", "Taeniophyllum exotrachys", "Taeniophyllum ferox", "Taeniophyllum foliatum", "Taeniophyllum fragrans", "Taeniophyllum hygrophilum", "Taeniophyllum iboense", "Taeniophyllum jadunae", "Taeniophyllum kaniense", "Taeniophyllum kenejianum", "Taeniophyllum lamprorhizum", "Taeniophyllum latipetalum", "Taeniophyllum leptorrhizum", "Taeniophyllum leucanthum", "Taeniophyllum macranthum", "Taeniophyllum macrorhynchum", "Taeniophyllum macrotaenium", "Taeniophyllum malianum", "Taeniophyllum mangiferae", "Taeniophyllum muricatum", "Taeniophyllum nephrophorum", "Taeniophyllum oblongum", "Taeniophyllum orbiculare", "Taeniophyllum orthorhynchum", "Taeniophyllum ovale", "Taeniophyllum pachyacris", "Taeniophyllum pallidum", "Taeniophyllum pectiniferum", "Synbranchus marmoratus", "Characella agassizi", "Trouessartia niltavae", "Ophiacantha aspera", "Taeniophyllum affine", "Taeniophyllum aggregatum", "Chaetocneme helirius", "Taeniophyllum alwisii", "Lasthenia kunthii", "Beresella erecta", "Chinianella ellenbergeri", "Chloroclados australasicus", "Sphaeropteris brunei", "Carpelimus notumus", "Carpelimus vilisus", "Carpelimus plenus", "Carpelimus notatus", "Sphaeropteris excelsa", "Carpelimus nothus", "Sphaeropteris horrida", "Sphaeropteris parksiae", "Sphaeropteris quindiuensis", "Sphaeropteris robusta", "Sphaeropteris tomentosa", "Sphaeropteris tomentosissima", "Connexia fragilis", "Sphaeropteris truncata", "Sphaeropteris vaupelii", "Cymopolia barbata", "Cymopolia vanbosseae", "Schoenus filiculmis", "Cycas annaikalensis", "Clavapora claviformis", "Iniocyphus iheringi", "Cordylomera annulicornis annulicornis", "Clavaporella caliciformis", "Cordylomera annulicornis werneri", "Atheta minuta", "Protobothrops mucrosquamatus", "Lycodon futsingensis", "Lycodon meridionalis", "Coniporella claviformis", "Sphaeropteris intermedia", "Sphaeropteris ledermannii", "Sphaeropteris medullaris", "Schoenus auritus", "Heteronotia binoei", "Chaetocneme antipodes", "Chaetocneme antipodes antipodes", "Sabera madrella", "Geodia cylindrica", "Acer komarovii", "Ophiacantha echinulata", "Ophiacantha scutata", "Ophiurothamnus exigua", "Ophiocamax hystrix", "Sigsbeia murrhina", "Asteroschema arenosum", "Asteroschema intectum", "Allocyclops nudus", "Allocyclops pilosus", "Allocyclops sakitii", "Allocyclops spinifer", "Cycas indica", "Cycas media subsp. media", "Thinodromus lenisus", "Thinodromus forsteri", "Dicrurus menagei", "Cycas nayagarhensis", "Cycas orixensis", "Synechodes coniophora", "Macrodorcas elegans", "Clepsis consimilana", "Lucanus maculifemoratus maculifemoratus", "Clepsis eatoniana", "Thinodromus darlingtoni", "Thinodromus ferrugineus", "Thinodromus subdenticulatus", "Thinodromus hermani", "Cycas zambalensis", "Asplundia alata", "Asplundia dussii", "Geodia exigua", "Asplundia insignis", "Taeniophyllum calcaratum", "Taeniophyllum calceolus", "Asplundia utilis", "Taeniophyllum calyptrochilum", "Carludovica drudei", "Carludovica rotundifolia", "Afroeurydemus nodieri", "Afroeurydemus pallidicolor", "Afroeurydemus parvomaculatus", "Afroeurydemus semicostatus", "Afroeurydemus signatus", "Afroeurydemus selmani", "Afroeurydemus testaceicornis", "Cardiophorus elegans", "Evodianthus funifer subsp. funifer", "Goniurosaurus yingdeensis", "Ludovia integrifolia", "Ludovia lancifolia", "Sphaeradenia laucheana", "Sphaeradenia laucheana subsp. laucheana", "Stelestylis surinamensis", "Annulastrella ornata", "Triptolemma cladosum", "Stelletta moseleyi", "Ecionemia nigra", "Pachymatisma normani", "Erylus lendenfeldi", "Erylus carteri", "Geodia carteri", "Oriens augustula", "Thinodromus phloeoporinus", "Dicrurus lophorinus", "Taeniophyllum andamanicum", "Taeniophyllum annuliferum", "Taeniophyllum antennatum", "Taeniophyllum apiculatum", "Taeniophyllum arachnites", "Taeniophyllum arunachalense", "Taeniophyllum aurantiacum", "Taeniophyllum bakhuizenii", "Taeniophyllum bicostulatum", "Acrolocha amabilis", "Taeniophyllum biloculare", "Onotoa amphiastra", "Taeniophyllum borneense", "Onotoa claudelevii", "Taeniophyllum bracteatum", "Urocotyledon palmata", "Urocotyledon inexpectata", "Taeniophyllum breviscapum", "Urocotyledon weileri", "Cyrtodactylus fumosus", "Paroedura bastardi", "Matoatoa brevipes", "Lygodactylus verticillatus", "Hemidactylus tropidolepis", "Hemidactylus craspedotus", "Bulbostylis capillaris subsp. capillaris", "Bulbostylis ciliatifolia", "Bulbostylis ciliatifolia subsp. ciliatifolia", "Zelomorpha bobandersoni", "Zelomorpha danjohnsoni", "Zelomorpha donwindsori", "Zelomorpha johnchemsaki", "Zelomorpha kellyanneae", "Alsophila rebeccae", "Zelomorpha larrykirkendalli", "Zelomorpha effugia", "Carpelimus cachariensis", "Carpelimus finelypunctus", "Zelomorpha mariyavladmirovnae", "Carpelimus hoaensis", "Carpelimus keraliensis", "Zelomorpha myricagaleae", "Carpelimus khasiensis", "Zelomorpha mikeiviei", "Carpelimus madrasiensis", "Carpelimus mustangiensis", "Zelomorpha noahjaneae", "Zelomorpha paulgoldsteini", "Zelomorpha terryerwini", "Zelomorpha willsflowersi", "Alsophila sinuata", "Hemichoma donwhiteheadi", "Hemichoma frankhovorei", "Hemichoma johnkingsolveri", "Alsophila smithii", "Tropopterus mintagnei", "Cyathea whitmeei", "Tropopterus peckorum", "Tropopterus robustus", "Tropopterus canaliculus", "Tropopterus trisinuatus", "Tropopterus minimucro", "Tropopterus fieldianus", "Tropopterus duponchelii", "Bulbostylis hispidula subsp. hispidula", "Genotella pfenderae", "Bulbostylis neglecta", "Schoenus graminifolius", "Cardiorhinus elegans", "Geodia hilgendorfi var. granosa", "Amphibolis antarctica", "Syringodium isoetifolium", "Thalassodendron ciliatum", "Geodia hilgendorfi var. hilgendorfi", "Cynomorium coccineum subsp. coccineum", "Ophiolepis rugosa", "Goniurosaurus huuliensis", "Clepsis striolana", "Willardia caicosensis", "Clepsis trivia", "Clepsis acclivana", "Clepsis severana", "Clepsis semiana", "Ennodius caeruleus", "Ennodius murrayi", "Ennodius orientalis", "Thitarodes shambalaensis", "Phyllonorycter caraganella", "Timandra recompta", "Chandleriella termitophila", "Chorigyne ensiformis", "Oriens alfurus", "Dicranopygium microcephalum", "Dicranopygium yacu-sisa", "Amphiura kuekenthali", "Geodia hilgendorfi", "Ophiurochaeta littoralis", "Evodianthus funifer", "Euteutloporella triasina", "Bulbostylis barbata subsp. barbata", "Favoporella annulata", "Kinosternon hirtipes hirtipes", "Bulbostylis capillaris", "Testudo graeca zarudnyi", "Goniurosaurus bawanglingensis", "Dvinella comata", "Geodia obscura", "Endoina stellata", "Eoclypeina embergeri", "Eogoniolina johnsonii", "Cymodocea nodosa", "Cymodocea rotundata", "Mimene celiaba", "Mimene saribana", "Mimene verda", "Mimene wara", "Mimene ozada", "Salcedia unifoveata", "Lepomis peltastes", "Salcedia faillei", "Ocybadistes zelda", "Salcedia matsumotoi", "Salcedia procera", "Salcedia baroensis", "Salcedia utetea", "Salcedia lukulua", "Salcedia robusta", "Salcedia tuberculata", "Halodule uninervis", "Telicota argeus", "Telicota argeus argeus", "Fimbristylis dichotoma subsp. dichotoma", "Schoenus prophyllus", "Bachmanniomyces australis", "Enyalioides touzeti", "Bulbostylis paradoxa", "Goniolinopsis hexagona", "Gyroporella vesiculifera", "Halicoryne wrightii", "Fimbristylis argentea", "Imperiella iranica", "Ophiacantha vagans", "Apalis thoracica drakensbergensis", "Apalis thoracica arnoldi", "Apalis thoracica capensis", "Apalis thoracica lebomboensis", "Apalis thoracica claudei", "Apalis thoracica flaviventris", "Apalis thoracica rhodesiae", "Apalis thoracica spelonkensis", "Apalis thoracica venusta", "Cardiosyne elegans", "Bachmanniomyces carniolicus", "Acer ginnala", "Fimbristylis ferruginea subsp. ferruginea", "Apalis thoracica griseiceps", "Apalis thoracica pareensis", "Apalis thoracica whitei", "Apalis thoracica grisopyga", "Apalis thoracica murina", "Apalis thoracica quarta", "Apalis thoracica uluguru", "Apalis thoracica youngi", "Apalis thoracica thoracica", "Apalis argentea argentea", "Fimbristylis cinnamometorum", "Apalis argentea eidos", "Telicota colon", "Telicota angiana", "Telicota angiana angiana", "Telicota angiana mamba", "Fimbristylis cymosa subsp. umbellatocapitata", "Fimbristylis cymosa subsp. cymosa", "Kochanskyella tulipa", "Kungurella ornementata", "Fimbristylis lawiana", "Likanella spinosa", "Fimbristylis littoralis var. littoralis", "Fimbristylis ovata", "Permopora keenae", "Apalis flavida renata", "Placklesia multipora", "Micropterus floridanus", "Micropterus henshalli", "Salopekiella velebitana", "Apalis flavida florisuga", "Monocrepidius elegans", "Dendrobium speciosum var. capricornicum", "Dendrobium speciosum var. carnarvonense", "Carex cespitosa var. cespitosa", "Carex fascicularis", "Dendrobium speciosum var. curvicaule", "Dendrobium speciosum var. grandiflorum", "Dendrobium speciosum var. hillii", "Nebria sagittata", "Fimbristylis sericea", "Nebria iidesana", "Nebria furcata", "Nebria pisciformis", "Nebria kuragadakensis", "Nebria dichotoma", "Nebria chugokuensis", "Nebria uenoi", "Neoteutloporella triasina", "Nebria niohozana", "Macroporella dinarica", "Apalis flavida flavida", "Ollaria cava", "Telicota argeus zara", "Apalis flavida pugnax", "Pentaporella rhaetica", "Apalis flavida tenerrima", "Samarella setosa", "Shigaporella exortiva", "Apalis flavida flavocincta", "Spinaporella andalusica", "Apalis flavida golzi", "Gekko verreauxi", "Thailandoporella phlongphrabensis", "Apalis flavida lucidigula", "Apalis flavida neglecta", "Unjaeella ovata", "Mizzia velebitana", "Psiloderces heise", "Psiloderces gawanaensis", "Psiloderces bontocensis", "Psiloderces cuyapoensis", "Psiloderces xichang", "Psiloderces cattienensis", "Psiloderces pingguo", "Psiloderces palopoensis", "Psiloderces penajamensis", "Psiloderces grohotensis", "Psiloderces bangkiraiensis", "Psiloderces bolang", "Psiloderces wangou", "Psiloderces malinoensis", "Fimbristylis puberula var. puberula", "Nanjinoporella pagoda", "Fimbristylis quinquangularis subsp. quinquangularis", "Apalis personata marungensis", "Bachmanniomyces muscigenae", "Uragiella suptatriasica", "Gekko taibaiensis", "Uragiellopsis brezikii", "Uraloporella variabilis", "Paradaemonia sinjaevi", "Gamelioides peggyae", "Xainzanella sinensis", "Zaporella cantabriensis", "Gekko albofasciolatus", "Pseudodirphia menander", "Gekko grossmanni", "Gekko chinensis", "Fimbristylis spadicea", "Dendrobium speciosum var. pedunculatum", "Telicota aroa", "Telicota laruta", "Carex chinensis var. chinensis", "Telicota lettina", "Telicota torsa", "Meriones tamariscinus", "Meriones hurrianae", "Meriones persicus", "Meriones rex", "Telicota augias", "Carex dacica", "Juniperus communis var. charlottensis", "Gekko subpalmatus", "Gekko swinhonis", "Pseudodirphia menander menander", "Pseudodirphia menander santander", "Lygodactylus angularis", "Lygodactylus miops", "Paroedura sanctijohannis", "Nactus multicarinatus", "Fimbristylis squarrosa", "Cyrtodactylus deccanensis", "Fimbristylis squarrosa var. squarrosa", "Cyrtodactylus triedrus", "Ophiomaza moerens", "Fimbristylis stauntonii", "Telicota eurotas", "Telicota eurotas eurotas", "Macrophiothrix speciosa", "Cephennomicrus cordithorax", "Dravidogecko anamallensis", "Fimbristylis tristachya var. subbispicata", "Hemidactylus mercatorius", "Telicota eurotas eurychlora", "Hemidactylus richardsonii", "Carex caucasica", "Carex caucasica subsp. caucasica", "Pachydactylus maculatus", "Phelsuma grandis", "Pseudodirphia imperialoides", "Dendrobium speciosum", "Telicota eurotas laconia", "Dendrobium speciosum var. speciosum", "Telicota doba", "Nactus pelagicus", "Nactus eboracensis", "Dendrobium speciosum var. blackdownense", "Telicota sadrella", "Telicota bulwa", "Telicota brandti", "Telicota mimena", "Dendrobium speciosum var. boreale", "Udara davenporti", "Mycalesis giamana", "Schoenus ligulatus", "Compsoctenus elegans", "Bachmanniomyces punctum", "Ctenicera elegans", "Ophiothrix diligens", "Sthenocephalus indicus", "Pseudodirphia meisteri", "Pseudodirphia nicchinchao", "Pseudodirphia parmedide", "Pseudodirphia ecandides", "Telicota gervasa", "Telicota ixion", "Telicota kaimana", "Telicota kezia", "Telicota kezia kezia", "Telicota kezia lenna", "Carex darwinii subsp. darwinii", "Macrolepiota sect.", "Collinsiellopsis expansa", "Trimeresurus cardamomensis", "Carex dianae var. dianae", "Carex fulva", "Friedaea torrenticola", "Lochmium piluliferum", "Trimeresurus arunachalensis", "Acrosternum heegeri", "Carex debilis var. debilis", "Protoderma viride", "Ophioplax reducta", "Telicota ohara ohara", "Pachydactylus werneri", "Pachydactylus scutatus", "Pachydactylus oculatus", "Pachydactylus latirostris", "Pachydactylus bicolor", "Pachydactylus austeni", "Lygodactylus stevensoni", "Lygodactylus lawrencei", "Lygodactylus bradfieldi", "Phrynocephalus ananjevae", "Schoenus exilis", "Carex curvula subsp. curvula", "Pseudocharacium acuminatum", "Bufotes balearica", "Stenodactylus affinis", "Stenodactylus grandiceps", "Stenodactylus stenurus", "Bufotes brongersmai", "Stenodactylus mauritanicus", "Stenodactylus pulcher", "Stenodactylus yemenensis", "Stenodactylus leptocosymbotes", "Bufotes pseudoraddei", "Rhoptropus barnardi", "Rhoptropus biporosus", "Rhoptropus taeniostictus", "Neodangemannia microcystis", "Rhoptropus boultoni", "Melica schuetzeana", "Pseudodirphia parmoronacola", "Pseudodirphia parfuscatoides", "Pseudodirphia romanovi", "Pseudodirphia sangayana", "Pseudodirphia sumacosangana", "Pseudodirphia inputumayana", "Pseudodirphia inhuilana", "Pseudodirphia kaechi", "Pseudodirphia palmarensis", "Pseudodirphia ventanita", "Carex crinita var. crinita", "Pseudodirphia bucaramangana", "Pseudodirphia cesar", "Pseudodirphia parafrickei", "Pseudodirphia varioides", "Pseudodirphia menander reducta", "Nanorana zhaoermii", "Rhizothallus islandicus", "Sporocladus fragilis", "Carex deflexa var. deflexa", "Macrolepiota sect.", "Carex demissa subsp. demissa", "Phelsuma sundbergi", "Coccothrix chlorolobata", "Phelsuma pronki", "Phelsuma mutabilis", "Phelsuma gigas", "Phelsuma berghofi", "Carex digitalis var. digitalis", "Chlorojackia pachyclados", "Phelsuma hielscheri", "Phelsuma rosagularis", "Telicota anisodesma", "Telicota brachydesma", "Bufotes oblonga", "Bufotes surda", "Meriones arimalius", "Meriones zarudnyi", "Meriones vinogradovi", "Ignatius tetrasporus", "Meriones dahli", "Meriones libycus", "Meriones crassus", "Meriones sacramenti", "Meriones shawi", "Atriplex turcica", "Herotilapia multispinosa", "Cephennomicrus cornutus", "Cephennomicrus minor", "Cephennomicrus perexiguus", "Cephennomicrus politus", "Kraftionema allantoideum", "Cephennomicrus typicus", "Pomphopsilla crenata", "Telicota ohara jix", "Schoenus submarginalis", "Carex dispalata subsp. dispalata", "Carex misera", "Allium majus", "Pseudodirphia concava", "Phorbas benguelensis", "Pseudodirphia bireyarumala", "Chalmasia antillana", "Pseudodirphia birechinchao", "Carex complanata subsp. complanata", "Pseudodirphia cochabambola", "Pseudodirphia oxapampola", "Pseudodirphia orellacola", "Pseudodirphia sucumbioscola", "Pseudodirphia muyocola", "Pseudodirphia bonitala", "Pseudodirphia gachacola", "Pseudodirphia yarumacola", "Pseudodirphia sumacola", "Pseudodirphia parvosumacola", "Pseudodirphia yanayacola", "Ioanella lusitanica", "Pseudodirphia sangaycola", "Pseudodirphia rufozamorcola", "Pseudodirphia cajamarcola", "Pseudodirphia moronacola", "Carex distans subsp. distans", "Cyrtodactylus lenggongensis", "Dianthus atschurensis", "Dianthus benearnensis", "Dianthus borbonicus", "Dianthus busambrae", "Dianthus candicus", "Dianthus chouardii", "Dianthus dobrogensis", "Collinsiella tuberculata", "Cyrtodactylus takouensis", "Phelsuma ravenala", "Eugomontia sacculata", "Cyrtodactylus huynhi", "Lefevrea rufa", "Phelsuma madagascariensis madagascariensis", "Phelsuma madagascariensis boehmei", "Taterillus congicus", "Taterillus emini", "Taterillus gracilis", "Taterillus harringtoni", "Taterillus lacustris", "Telicota melanion", "Telicota melanion melanion", "Taterillus pygargus", "Telicota melanion godiva", "Telicota ohara", "Schoenus bolusii", "Hemidactylus yerburii", "Hemidactylus persicus", "Phelsuma dorsivittata", "Phelsuma guimbeaui", "Phelsuma kochi", "Phelsuma pusilla", "Phelsuma seippi", "Phelsuma parva", "Phelsuma pasteuri", "Phelsuma breviceps", "Phelsuma comorensis", "Cordylocera elegans", "Xyrodromeus africanus", "Carex engelmannii", "Telicota ancilla", "Telicota ancilla ancilla", "Philomyceta affinis", "Philomyceta schawalleri", "Hesperosoma rufomarginatum", "Hesperosoma guizhouense", "Hesperosoma nigricolle", "Microeurydemus airensis", "Amphiura correcta", "Amphiura praefecta", "Amphiura princeps", "Amphioplus basilicus", "Amphioplus textilis", "Diaphera cumingiana", "Diaphera prima", "Planophila laetevirens", "Pseudendocloniopsis botryoides", "Tetraciella adhaerens", "Philomyceta asperipennis", "Philomyceta biwenxuani", "Philomyceta spoerrii", "Philomyceta kleebergi", "Philothalpus pecki", "Buxus bartlettii", "Buxus benguellensis", "Buxus bissei", "Buxus braimbridgeorum", "Buxus brevipes", "Buxus calcarea", "Dougaloplus libera", "Carex doenitzii subsp. doenitzii", "Carex dolichostachya", "Bachmanniomyces varius", "Philomyceta taungmae", "Carex dolichostachya subsp. dolichostachya", "Hesperoschema schoenmanni", "Campanula phitosiana", "Dendrobium brevicaule", "Bisnius zhuk", "Dendrobium brevicaule subsp. brevicaule", "Melindea virescens", "Telicota ohara formosana", "Telicota ohara vedanga", "Cyrtodactylus kunyai", "Cyrtodactylus hidupselamanya", "Telicota ohara jactus", "Telicota ohara jania", "Telicota ohara iona", "Chloroplana terricola", "Fernandinella alpina", "Geodia reniformis", "Geodia reniformis var. robusta", "Telicota ohara rahula", "Hedysarum turcicum", "Carex dissitiflora subsp. dissitiflora", "Diploglossus microlepis", "Diploglossus fasciatus", "Delma fraseri", "Ctenophorus maculatus", "Phelsuma masohoala", "Bisnius schillhammeri", "Dendrobium brevicaule subsp. calcarium", "Bisnius karkarensis", "Carex duvaliana", "Dendrobium brevicaule subsp. pentagonum", "Dianthus edetanus", "Carex ebenea", "Dianthus elbrusensis", "Dianthus elongatus", "Dianthus ernesti-mayeri", "Dianthus fallax", "Dianthus foliosus", "Dianthus gabrielianae", "Dianthus galicicae", "Dianthus genargenteus", "Dianthus glutinosus", "Dianthus glutinosus var. gokceadaensis", "Dianthus goekayi", "Dianthus halisdemirii", "Dianthus ichnusae", "Dianthus insularis", "Dianthus integer", "Dianthus integerrimus", "Dianthus jablanicensis", "Ophiacantha deruens", "Dianthus \u00d7 jaczonis", "Dianthus japigicus", "Dianthus jugoslavicus", "Buxus hildebrandtii", "Buxus capuronii", "Buxus cipolinica", "Buxus cochinchinensis", "Buxus cordata", "Crocus \u00d7 asturicus", "Carex breviculmis var. fibrillosa", "Buxus cubana", "Buxus ekmanii", "Carex filifolia var. filifolia", "Buxus excisa", "Buxus foliosa", "Buxus glomerata", "Buxus gonoclada", "Buxus hainanensis", "Buxus hebecarpa", "Carex flacca subsp. flacca", "Buxus humbertii", "Buxus ichagensis", "Buxus imbricata", "Buxus itremoensis", "Punctelia dictyoidea", "Carex elata subsp. elata", "Chalcogenia elegans", "Clema elegans", "Buxus acuminata", "Buxus acunae", "Buxus acutata", "Buxus aneura", "Buxus arborea", "Buxus australis", "Buxus austroyunnanensis", "Buxus bahamensis", "Bisnius microphthalmus", "Bisnius iranicus", "Galium kamtschaticum", "Galium kamtschaticum var. acutifolium", "Buxus baracoensis", "Philothalpus brasiliensis", "Buxus jaucoensis", "Dianthus khamiesbergensis", "Dianthus klokovii", "Ophiothrix nociva", "Dianthus koreanus", "Dianthus legionensis", "Rhacophorus indonesiensis", "Dianthus \u00d7 lorberi", "Asteroschema vicinum", "Dianthus \u00d7 lucae", "Ophiocreas japonicus", "Dianthus pamiroalaicus", "Dianthus roseoluteus", "Crocus boissieri", "Crocus cappadocicus", "Crocus damascenus", "Crocus duncanii", "Crocus filis-maculatis", "Crocus geghartii", "Crocus hakkariensis", "Crocus harveyi", "Crocus haussknechtii", "Ophiomora elegans", "Crocus ilgazensis", "Crocus inghamii", "Crocus istanbulensis", "Crocus puringii", "Crocus mazziaricus", "Crocus mouradi", "Crocus randjeloviciorum", "Crocus ruksansii", "Crocus sanandajensis", "Crocus sarichinarensis", "Crocus seisumsiana", "Crocus tauricus", "Crocus turcicus", "Crocus variegatus", "Crocus xantholaimos", "Crocus zagrosensis", "Crocus zanjanensis", "Crocus zubovii", "Crocus terzioghlui", "Carex echinata subsp. echinata", "Phelsuma hoeschi", "Phelsuma kely", "Phelsuma malamakibo", "Phelsuma gouldi", "Nesolechia cetrariicola", "Dianthus aristatus", "Dianthus algetanus", "Dianthus anticarius", "Dianthus aticii", "Dianthus woroschilovii", "Dianthus zangezuricus", "Dianthus vodnensis", "Dianthus varankii", "Dianthus tunicoides", "Dianthus takhtajanii", "Dianthus strictiformis", "Dianthus stribrnyi", "Dianthus stepanovae", "Dianthus somanus", "Dianthus skopjensis", "Dianthus siculus", "Dianthus serpentinus", "Dianthus seisuimontanus", "Dianthus schemachensis", "Dianthus sardous", "Dianthus sancarii", "Dianthus sajanensis", "Dianthus saetabensis", "Dianthus sachalinensis", "Dianthus prilepensis", "Dianthus pusillus", "Dianthus pavlovii", "Dianthus pallidiflorus", "Dianthus oliastrae", "Dianthus ohridanus", "Dianthus noeanus", "Dianthus nanshanicus", "Dianthus multiflorus", "Dianthus multiceps", "Dianthus mainensis", "Dianthus macroflorus", "Dianthus macranthus", "Dianthus macedonicus", "Carex distachya subsp. distachya", "Buxus yunquensis", "Stenistoderus ibadan", "Stenistoderus abnormis", "Agoreina tanzanica", "Neoxantholinus camerunensis", "Alexteescolotes teesi", "Nudobius lomaensis", "Nudobius capitatus", "Nudobius occasus", "Alexteescolotes rhacophorus", "Cliveevattcolotes steveteesi", "Ptychozoon cliveevatti", "Ptychozoon sumatraensis", "Ptychozoon malayensis", "Ptychozoon johorensis", "Ptychozoon engannoensis", "Ptychozoon sulawesiensis", "Ptychozoon borneoensis", "Ptychozoon wallaceaensis", "Dendrobium calcaratum subsp. calcaratum", "Dendrobium calcaratum subsp. papillatum", "Boiga irregularis halmaheraensis", "Boiga irregularis roddai", "Leptacinus riza", "Boiga irregularis buruensis", "Gyrohypnus aethiopicus", "Boiga irregularis sudestensis", "Boiga irregularis solomonensis", "Gyrohypnus oromianus", "Boiga irregularis newbritainensis", "Notolinopsis aethiopicus", "Notolinopsis dodolanus", "Balchis oromiana", "Balchis hartmanni", "Chiloschista pulchella", "Acanthophis lancasteri", "Ctenelmis elegans", "Chiloschista gelephuense", "Acanthophis barnetti", "Chroniochilus ecalcaratus", "Buxus vaccinioides", "Buxus triptera", "Chroniochilus minimus", "Telicota elsa", "Telicota solva", "Telicota fenia", "Buxus subcolumnaris", "Buxus shaferi", "Buxus serpentinicola", "Sinalliaria limprichtiana", "Buxus sclerophylla", "Buxus rupicola", "Buxus wrightii", "Buxus rolfei", "Buxus rivularis", "Buxus rheedioides", "Buxus revoluta", "Punctelia helenae", "Galium trifloriforme", "Carex glareosa subsp. glareosa", "Dendrobium aloifolium", "Geodia variospiculosa", "Filoprotococcus enteromorphoides", "Chroniochilus virescens", "Telicota linna", "Telicota linna bactra", "Ochthephilum elegans", "Ophiura caledonica", "Chandleria elegans", "Carex foliosissima", "Carex foliosissima var. foliosissima", "Acanthophis crotalusei", "Acanthophis cummingi", "Acanthophis laevis", "Acanthophis lancasteri lancasteri", "Carex forsteri", "Acanthophis lancasteri bottomi", "Acanthophis praelongus", "Acanthophis rugosus", "Acanthophis wellsi", "Acanthophis woolfi", "Acanthophis pyrrhus", "Meleonoma plicata", "Meleonoma scalprata", "Meleonoma taeniata", "Meleonoma japonica", "Carex haematostoma", "Meleonoma flavilineata", "Meleonoma flavifasciana", "Salomonelaps par par", "Salomonelaps par choiseulensis", "Salomonelaps par ngelaensis", "Salomonelaps par shortlandensis", "Salomonelaps woodfordi", "Salomonelaps melanurus", "Salomonelaps desburkei", "Loveridgelaps sloppi", "Loveridgelaps josephburkei", "Loveridgelaps yeomansi", "Loveridgelaps fiacummingae", "Carex duriuscula subsp. duriuscula", "Xenodermus oxyi", "Xenodermus crottyi", "Xenodermus sloppi", "Carex geminata", "Carex polystachya", "Fereachalinus meiguensis", "Telicota bambusae", "Tropidechis jessejacksoni", "Telicota bambusae bambusae", "Teliocta ancilla horisha", "Candoia hoserae", "Candoia simonmcgoldricki", "Candoia carinata", "Candoia carinata carinata", "Candoia carinata tepedeleni", "Candoia paulsoni", "Candoia paulsoni paulsoni", "Telicota besta", "Candoia paulsoni vindumi", "Carex gentilis var. gentilis", "Telicota besta besta", "Punctelia roystoneae", "Telicota besta bina", "Chroniochilus thrixspermoides", "Buxus retusa", "Buxus rabenantoandroi", "Phaedis medvedevi", "Phaedis propinquus", "Phaedis hatayamai", "Phaedis marginipennis", "Phaedis azureus", "Phaedis viridistriatus", "Buxus pulchella", "Buxus pubiramea", "Carex hashimotoi", "Phaedis pretiosus", "Percina tanasi", "Dendronema confervaceum", "Ceramaster trispinosus", "Serranus tortugarum", "Phaedis superbus", "Telicota paceka", "Telicota paceka mesoptis", "Telicota paceka paceka", "Centrophthalmus elegans", "Asterina gracilispina", "Candoia paulsoni tasmai", "Calliaster acanthodes", "Candoia paulsoni mcdowelli", "Candoia paulsoni rosadoi", "Candoia paulsoni sadlieri", "Candoia superciliosa", "Candoia superciliosa superciliosa", "Candoia superciliosa crombiei", "Denisonia gedyei", "Carex gracilenta", "Carex grallatoria var. grallatoria", "Carex granularis", "Telicota linna bina", "Telicota linna linna", "Sarcinofilum mucosum", "Tupiella speciosa", "Vischerioclonium submersum", "Telicota besta bodra", "Dendrobium diodon", "Dendrobium diodon subsp. diodon", "Dendrobium diodon subsp. kodayarensis", "Geodia variospiculosa var. aapta", "Cneorum pulverulentum", "Cleisostoma rostratum", "Anseropoda habracantha", "Geodia variospiculosa clavigera", "Parvulastra dyscrita", "Strongylium sulcielytrum", "Strongylium chiangdaoense", "Strongylium doipuiense", "Strongylium doisuthepense", "Strongylium fangense", "Strongylium hideoi", "Strongylium hirasawai", "Strongylium lanathai", "Phaedis purpureostriatus", "Phaedis rubripes", "Phaedis schultheissi", "Phaedis obtusidens", "Phaedis yokoii", "Phaedis nanus", "Phaedis signatus", "Heterothrichopsis viridis", "Buxus obovata", "Trechus glebi", "Hormidiopsis crenulata", "Trechus rhombus", "Hormidiospora verrucosa", "Bioramix medvedevi", "Microsporopsis binzii", "Donaciolagria medvedevi", "Donaciolagria anthracina", "Ophiura anoidea", "Carex hondoensis", "Mecysmoderes vladimiri", "Mecysmoderes sergii", "Strongylium maleengthai", "Pearsoniella variabilis", "Protomonostroma undulatum", "Psephonema aenigmaticum", "Acmaeodera dembickyi", "Acmaeodera arcuanota", "Psephotaxus lamellosus", "Carex hitchcockiana", "Pseudoschizomeris caudata", "Myrmecophila thomsoniana var. thomsoniana", "Ctenocladus circinnatus", "Buxus leivae", "Buxus latistyla", "Buxus lancifolia", "Buxus laevigata", "Myrmecophila thomsoniana var. minor", "Geodia variospiculosa micraster", "Telicota subha", "Amydetes praeusta", "Telicota ternatensis", "Desimia elegans", "Caenopedina capensis", "Aslia spyridophora", "Myrmecophila \u00d7 rechingeriana", "Nalassus svaneticus", "Nalassus adzharicus", "Carex jamesonii var. jamesonii", "Carex japonica", "Carex kaloides", "Dymasius medvedevi", "Dymasius lubosi", "Telicota paceka affinis", "Telicota paceka cadmus", "Laena oblonga", "Laena medvedevi", "Geodia variospiculosa intermedia", "Telicota paceka halma", "Metocinus szujeckii", "Carex heleonastes subsp. heleonastes", "Metocinus angustus", "Metocinus ibadan", "Metocinus ugandensis", "Strongylium medvedevi", "Metocinus capitatus", "Metocinus uzungwa", "Strongylium dorsocupreum", "Strongylium yasuhikoi", "Strongylium schenklingi", "Carex heteroneura var. heteroneura", "Carex heteroneura var. epapillosa", "Carex parviflora", "Monachocrinus coelus", "Carex lambertiana", "Carex lanceolata var. lanceolata", "Carex lasiocarpa var. lasiocarpa", "Carex laxiculmis subsp. laxiculmis", "Percursaria percursa", "Carex laxiflora var. laxiflora", "Pseudoneochloris marina", "Geodia carcinophila", "Toleria aritai", "Phaedis raffrayi", "Buxus pubifolia", "Didymothrix tibetica", "Buxus pubescens", "Phaedis polychromus", "Buxus pseudaneura", "Phaedis picticollis", "Romanichthys valsanicola", "Buxus portoricensis", "Phaedis approximans", "Phaedis femoralis", "Buxus pilosula", "Phaedis coeruleovirens", "Buxus papillosa", "Phaedis convexus", "Buxus pachyphylla", "Phaedis elegans", "Phaedis kaniei", "Geminellopsis fragilis", "Phaedis kaszabi", "Buxus olivacea", "Phaedis kraatzi", "Phaedis merkli", "Buxus obtusifolia", "Gloeotilopsis planctonica", "Phaedis notaticollis", "Phaedis notatipennis", "Phaedis obscuripennis", "Gyoerffyella tatarica", "Phaedis pubigasterus", "Pseudothrix borealis", "Myrmecophila christinae", "Myrmecophila christinae var. christinae", "Myrmecophila christinae var. ibarrae", "Morimotodes magnificus", "Ulotrichopsis cylindrica", "Morimotodes striatus", "Morimotodes ilyai", "Morimotodes politus", "Morimotodes igori", "Morimotodes medvedevi", "Telicota sadra", "Chondraster elattosis", "Buxus nyasica", "Myrmecophila exaltata", "Buxus natalensis", "Spongioplastidium proliferum", "Carex humilis var. humilis", "Nalassus kadleci", "Nalassus kataevi", "Odocnemis denisi", "Echinaster reticulatus", "Eustenomacidius glebi", "Eustenomacidius turcmenicus", "Kornmannia leptoderma", "Carex lepidocarpa subsp. lepidocarpa", "Odocnemis anatolica", "Buxus myrica", "Myrmecophila galeottiana", "Buxus muelleriana", "Buxus moratii", "Buxus monticola", "Buxus moctezumae", "Buxus moana", "Buxus mexicana", "Myrmecophila grandiflora", "Buxus marginalis", "Buxus malayana", "Buxus madagascarica", "Myrmecophila humboldtii", "Buxus macrophylla", "Buxus macrocarpa", "Myrmecophila wendlandii", "Cladaster macrobrachius", "Buxus loheri", "Myrmecophila thomsoniana", "Buxus lisowskii", "Buxus linearifolia", "Ruthnielsenia tenuis", "Enosis ester", "Erythroxylum novogranatense var. truxillense", "Rhorus carinifer", "Neostichopus grammatus", "Lithotrichon pulchrum", "Carex inopinata", "Foochounus medvedevi", "Carex inops subsp. inops", "Carex inops subsp. heliophila", "Hymenaster lamprus", "Nalassus olgae", "Neostromatella monostromatica", "Nalassus magyari", "Carex ischnostachya", "Otiorhynchus shtepaneki", "Nalassus kartvelius", "Tellamia contorta", "Nalassus colchicus", "Nalassus colchicus colchicus", "Nalassus colchicus madlenae", "Nalassus dissonus", "Nalassus lutshniki", "Nalassus romashovi", "Nalassus kalashiana", "Myrmecophila \u00d7 laguna-guerrerae", "Pachycorynus monteithi", "Nalassus kaszabi", "Pachycorynus flavus", "Nalassus abkhasicus", "Nalassus zakatalensis", "Nalassus ludmilae", "Nalassus arcanus", "Myrmecophila \u00d7 parkinsoniana", "Gunarus gayirbegi", "Gunarus korkutelensis", "Blastophysa rhizopus", "Symbiochlorum hainanensis", "Idahelops alpagutae", "Hypotrachyna subg.", "Foranotum perforatum", "Otiorhynchus demavendus", "Otiorhynchus binaludus", "Telicota vinta", "Cleisostoma aikoae", "Telicota augias augias", "Buxus sirindhorniana", "Cleisostoma appendiculatum", "Buxus nipensis", "Lophaster quadrispinus", "Acanthiops griffithsi", "Erythroxylum coca var. ipadu", "Punctelia osorioi", "Punctelia tomentosula", "Mediaster aequalis", "Mediaster capensis", "Ceroglossus buqueti lepidus", "Hypotrachyna tuskiformis", "Hypermerina meisteri", "Automerina auguajira", "Prohylesia yungana", "Carex lachenalii subsp. lachenalii", "Rhorus chippenhamii", "Rhorus clypeator", "Pseudopringsheimia confluens", "Rhorus emarginatus", "Rhorus gallicus", "Hierodula transcaucasica", "Crocus flavus subsp. atticus", "Rhorus horstmanni", "Rhorus melanocerus", "Rhorus savernakei", "Syncoryne reinkei", "Rhorus xanthocerus", "Acanthiops cooperi", "Geomantis larvoides", "Trichothyra irregularis", "Cleisostoma simondii", "Cleisostoma simondii var. simondii", "Cleisostoma simondii var. guangdongense", "Odocnemis perarmata", "Carex leptalea subsp. leptalea", "Carex leptalea subsp. harperi", "Rimator pasquieri", "Telicota augias argilus", "Telicota augias arula", "Telicota augias bunga", "Telicota augias florina", "Telicota augias krefftii", "Telicota augias pythias", "Hypotrachyna subg.", "Calosoma elegans", "Carex lessoniana", "Odocnemis malgorzatae", "Odocnemis svetlanae", "Carolibrandtia ciliaticola", "Cleisostoma arietinum", "Cleisostoma aristatum", "Cleisostoma quinquefidum", "Liparis liparis", "Endelus kabakovi", "Endelus barbarae", "Cleisostoma paniculatum", "Creteus cyrina", "Odocnemis subtuberculigera subtuberculigera", "Odocnemis subtuberculigera thracica", "Odocnemis nasreddini", "Carex longerostrata subsp. longerostrata", "Teloganopsis orbicularis", "Teloganopsis setosa", "Buxus mollicula", "Nalassus kazachstanicus", "Acanthosphaera zachariasii", "Perissasterias polyacantha", "Numenius hudsonicus", "Cleisostoma filiforme", "Endelus lopatini", "Endelus karagyanae", "Sphenoptera gillmani", "Simulium bumthangense", "Simulium cherraense", "Simulium chiangklangense", "Simulium chodakovi", "Simulium chomthongense", "Simulium chubarevae", "Sphenoptera basalis", "Achmonia laosiana", "Metolinus perakensis", "Metolinus sibayak", "Notoparmelia kerguelensis", "Carabus jankowskii obtusipennis", "Notoparmelia lindsayana", "Chloroparva pannonica", "Notolinopsis furtivus", "Notolinopsis nqutu", "Aphanisticus lumareti", "Aphanisticus dembickyi", "Aphanisticus kolibaci", "Endelus pseudoperroti", "Endelus eduardi", "Aphanisticus hajeki", "Psolus imperfectus", "Notolinopsis zululandicus", "Coronacoccus hengyangensis", "Cylindrocelis cylindrica", "Spatagobrissus mirabilis", "Dicellula geminata", "Sphenoptera margaritae", "Rhorus binotatus", "Toleria colochelyna", "Toleria aegerides", "Carex macloviana var. macloviana", "Toleria sinensis", "Toleria abiaeformis", "Lambiella furvella", "Cleisostoma sect.", "Ceratanisus costipennis", "Ceratanisus keskini", "Ceratanisus purcharti", "Galium trachyspermum", "Ceratanisus tristis", "Euboeus tentyrioides", "Euboeus parvostriatus", "Rhorus angulatus", "Rhorus austriator", "Carex magellanica subsp. irrigua", "Carex makinoensis", "Carex maorica", "Xyleborus monographus", "Ceriagrion cerinorubellum", "Carabus scheidleri scheidleri", "Erymus tujuh", "Atopolinus tanahrata", "Atopolinus nigellus", "Galium trifidum subsp. columbianum", "Endelus indicus", "Atopolinus spinosus", "Atopolinus speciosus", "Endelus khnzoriani", "Indomorphus humeralis", "Endelus lao", "Liotesba laosiana", "Megalinus brancuccii", "Mitomorphus boreri", "Paratesba monstrifica", "Endelus sausai", "Thyreocephalus brevis", "Thyreocephalus laosianus", "Endelus dembickyi", "Odocnemis svetlanae svetlanae", "Odocnemis svetlanae beydagensis", "Odocnemis erseni", "Carex liparocarpos subsp. liparocarpos", "Odocnemis molecularica", "Odocnemis amanosica", "Odocnemis cordiformis", "Odocnemis kakunini", "Odocnemis evestigata", "Odocnemis torosica", "Odocnemis torosica torosica", "Odocnemis torosica subangulata", "Carex litorosa", "Rimator albostriatus", "Odocnemis inornata", "Ophiacantha nerthepsila", "Odocnemis shokhini", "Odocnemis altimontana", "Odocnemis hakkariensis", "Odocnemis aegaeica", "Odocnemis euritopica", "Ophionereis australis", "Odocnemis seducta", "Odocnemis allardi", "Odocnemis dichroa", "Odocnemis merkli", "Ophiomitrella corynephora", "Odocnemis subtuberculigera", "Cleisostoma sagittatum", "Ceratanisus labriquei", "Lambiella subpsephota", "Ceratanisus audiberti", "Eleusis andina", "Eleusis ecuadoriensis", "Eleusis fauveli", "Eleusis genieri", "Eleusis humilis", "Cleisostoma sect.", "Cupitha purreea", "Cleisostoma beccarii", "Cleisostoma belophorum", "Cleisostoma bicrure", "Cleisostoma bilamellatum", "Cleisostoma birmanicum", "Cleisostoma brachystachys", "Cleisostoma buruense", "Cleisostoma callosilobum", "Cleisostoma capricorne", "Cleisostoma chapaense", "Cleisostoma complicatum", "Cleisostoma crassissimum", "Freesia laxa subsp. laxa", "Freesia laxa subsp. azurea", "Eetion elia", "Schoenus crassiculmis", "Lambiella arenosa", "Lambiella caeca", "Ophiozonella contigua", "Ceratanisus talyshensis", "Ceratanisus transcaucasicus", "Ceratanisus khnzoriani", "Hegewaldia parvula", "Cleisostoma brevilabium", "Cleisostoma chantaburiense", "Cleisostoma clemensiae", "Cleisostoma duplicilobum", "Cleisostoma flexum", "Helicosporidium parasiticum", "Carex magellanica subsp. magellanica", "Cleisostoma halophilum", "Cleisostoma holttumii", "Cleisostoma inflatum", "Lambiella fuscosora", "Endelus collinus", "Endelus pacholatkoi", "Endelus smaragdinus", "Copaxa sevetlana", "Deliphrosoma kopdagense", "Copaxa dariensis", "Dinothenarus coiffaiti", "Piscolithax tedfordi", "Collyris elegans", "Eleusis fauveliana", "Eleusis rufipennis", "Eleusis adusta", "Eleusis boliviana", "Eleusis castanea", "Eleusis frater", "Eleusis hondurana", "Eleusis insignis", "Eleusis panamaensis", "Eleusis mazureki", "Eleusis dybasi", "Eleusis chiriquensis", "Lambiella andreaeicola", "Ceratanisus selimi", "Anoxia maljuzhenkoi", "Carex mertensii var. mertensii", "Leptochlorella corticola", "Carex metallica", "Marasphaerium gattermannii", "Marinichlorella kaistiae", "Dicloster acuatus", "Sphenoptera atomarioides", "Sphenoptera capigena", "Sphenoptera helena", "Sphenoptera kimberleyensis", "Sphenoptera nectariphila", "Sphenoptera perpusilla", "Sphenoptera semiusta", "Sphenoptera steineili", "Sphenoptera stichai", "Sphenoptera maderi", "Sphenoptera monstrosa", "Simulium bwambanum", "Simulium carthusiense", "Simulium caudisclerum", "Carex lachenalii subsp. parkeri", "Simulium chejuense", "Sphenoptera jubana", "Sphenoptera sansibarica", "Sphenoptera deudoroides", "Sphenoptera sebakwensis", "Sphenoptera arrowi", "Sphenoptera promontorii", "Sphenoptera zambesiensis", "Carex matsumurae", "Cleisostoma sect.", "Ophiozonella alba", "Hindakia tetrachotoma", "Cleisostoma javanicum", "Kalenjinia gelatinosa", "Cleisostoma gjellerupii", "Carex michauxiana subsp. michauxiana", "Carex michauxiana subsp. asiatica", "Marvania geminata", "Masaia oloidia", "Gonialaena groehni", "Cleisostoma odoratum", "Gymnophiura mollis", "Cleisostoma odoratum subsp. odoratum", "Cleisostoma odoratum subsp. sabahense", "Carex morrowii var. morrowii", "Micractinium pusillum", "Fresna nyassae", "Ophiura plana", "Eleusis bicolor", "Carex nigra subsp. nigra", "Carex muehlenbergii var. muehlenbergii", "Carex muricata subsp. muricata", "Crataegus altaica", "Pumiliosphaera acidophila", "Eleusis elongata", "Fresna carlo", "Chlaenius sumbavaensis", "Fresna cojo", "Carex norvegica subsp. norvegica", "Entomogonus doguanatolicus", "Carex mitrata var. mitrata", "Cleisostoma koeteiense", "Meyerella planktonica", "Cleisostoma krabiense", "Cleisostoma lendyanum", "Cleisostoma linearilobatum", "Cleisostoma litoreum", "Carex miyabei var. miyabei", "Cleisostoma montanum", "Cleisostoma muticum", "Ophiernus seminudus", "Cleisostoma nieuwenhuisii", "Eogenes alcides", "Chodatellopsis elliptica", "Chondrosphaera lapponica", "Galium paradoxum", "Galium paradoxum subsp. franchetianum", "Eogenes lesliei", "Coenolamellus botryoideus", "Fresna netopha", "Crataegus ambigua subsp. ambigua", "Cleisostoma suffusum", "Cleisostoma sumbavense", "Cleisostoma tenuirachis", "Cleisostoma lecongkietii", "Cleisostoma equestre", "Cleisostoma discolor", "Cleisostoma dorsisacculatum", "Pseudochloris wilhelmii", "Pagyda recticlavata", "Pagyda parallelivalva", "Cleisostoma sect.", "Cleisostoma sect.", "Cleisostoma pinifolium", "Cleisostoma pityophyllum", "Cleisostoma porrigens", "Cleisostoma posthumii", "Cleisostoma racemiferum", "Cleisostoma rolfeanum", "Cleisostoma rostellatum", "Cleisostoma samarindae", "Cleisostoma scortechinii", "Cleisostoma phitamii", "Cleisostoma sororium", "Cleisostoma striolatum", "Cleisostoma strongyloides", "Crataegus alabamensis", "Dascillus xuhaoi", "Dascillus yulongensis", "Copelatus posticatus", "Blosyrus marshalli", "Blosyrus thompsoni", "Euenkrates elegans", "Brachypeplus rugisternus", "Brachypeplus pallidus", "Pseudosiderocelopsis antarctica", "Crataegus alleghaniensis", "Amphiophiura abcisa", "Amphiophiura obtecta", "Carex nemurensis", "Chlaenius wuduensis", "Chlaenius sikkimensis", "Chlaenius maleci", "Excentrosphaera viridis", "Crataegus ambigua subsp. transcaspica", "Callistoides melanopus", "Callistoides melanopus melanopus", "Callistoides melanopus hajeki", "Hilara elegans", "Amphimenes beichatiensis", "Amphimenes carinacaulis", "Bellavalentis kuzugamii", "Fresna jacquelinae", "Anthocharis gruneri zamanii", "Fulda coroller", "Amphimenes absensacidus", "Cleisostoma sect.", "Carex nova", "Cleisostoma sect.", "Cleisostoma sect.", "Cleisostoma firmulum", "Cleisostoma fuerstenbergianum", "Dactylococcus infusionum", "Densicystis glomerata", "Microcosmodes elegans", "Microcosmodes barkeri", "Nanochlorum eucaryotum", "Coptoclavella elegans", "Parainoa subconcolor", "Parascudderia positiva", "Parascudderia astylata", "Parascudderia negativa", "Parascudderia secula", "Palmellochaete tenerrima", "Parascudderia secula secula", "Parascudderia secula santacruzi", "Parascudderia setrina", "Parascudderia strigilis", "Eleusis nigerrima", "Caroliniella rosea", "Eleusis nigrita", "Eleusis breviceps", "Caroliniella pichincha", "Championica poeciloptera", "Eleusis scita", "Amphiophiura superba", "Diacanthodis cristulata", "Sphenoptera peninsulae", "Sphenoptera svatopluki", "Endelus sumatrensis", "Planktochlorella nurekis", "Endelus ornatipennis", "Changnienia malipoensis", "Cloniophorus edentulus", "Fulda australis", "Catascopus asaharti", "Geodia erinacea", "Catascopus viridiorchis", "Eleusis struyvei", "Ophiura scutellata", "Matinta chickeringi", "Baeocera atricollis", "Ophiura nana", "Cleisostoma sect.", "Cleisostoma sect.", "Cleisostoma teretifolium", "Cleisostoma williamsonii", "Carex pamirensis subsp. dichroa", "Carex paniculata subsp. paniculata", "Cleisostoma subulatum", "Cleisostoma subulifolium", "Thalasseus albididorsalis", "Gloeocystopsis limneticus", "Gloeotaenium loitlesbergereanum", "Makinoella tosaensis", "Carex ochrosaccus", "Micracantha minutissima", "Mycacanthococcus cellaris", "Mycotetraedron cellare", "Carex orbicularis subsp. orbicularis", "Ophioplinthus divisa", "Carex pamirensis", "Lomelosia brachiata", "Crataegus azarolus var. senobaaensis", "Strymon dubileah", "Crataegus azarolus var. minuta", "Elongatocystis ecballocystiformis", "Ettliella tetraspora", "Euchlorocystis subsalina", "Fulda bernieri", "Cleisostoma fissicors", "Cleisostoma flavescens", "Cleisostoma iloconense", "Cleisostoma isuaravanum", "Cleisostoma kerrii", "Cleisostoma lohii", "Cleisostoma longioperculatum", "Cleisostoma nangongense", "Cleisostoma pacificum", "Asthenodipsas borneensis", "Fotterella tetrachlorelloides", "Eleusis fenestrata", "Eleusis peruviana", "Eleusis rufula", "Austroypthima petersi", "Crataegus grossidentata", "Pericalus gibbosus", "Crataegus coriifolia", "Pericalus elegans", "Carex pediformis var. pediformis", "Gloxidium rotatoriae", "Heliangelus regalis johnsoni", "Jaagichlorella geometrica", "Juranyiella javorkae", "Keriochlamys styriaca", "Kirchneriellosaccus lunatus", "Crataegus yaltirikii", "Crataegus rhipidophylla var. kutahyaensis", "Crataegus rhipidophylla var. browicziana", "Oocystidium ovale", "Oocystis naegelii", "Oocystopsis granulata", "Pilidiocystis endophytica", "Carex gaudichaudiana", "Carex phyllocephala", "Plakina arletensis", "Cleisostoma tricallosum", "Baeocera karenovicsi", "Baeocera proclinata", "Baeocera repleta", "Carex petitiana subsp. petitiana", "Cleisostoma uraiense", "Carex pilulifera subsp. pilulifera", "Gonatodes machelae", "Carex pisiformis", "Carex pisiformis var. pisiformis", "Aspiculophora madinina", "Dymasius grossescapus", "Dymasius ochraceovittatus", "Schoenus limosus", "Plakina doudou", "Plakina dilopha", "Plakina australis", "Plakina elisa", "Plakina versatilis", "Plakina brachylopha", "Plakina tetralopha", "Plakina reducta", "Plakina topsenti", "Plakina bowerbanki", "Cleisostoma melanorachis", "Cleisostoma tricornutum", "Croniades pieria", "Cleisostoma menghaiense", "Crataegus azarolus var. aronia", "Geodia mesotriaena", "Carex rostrata var. rostrata", "Tydeus tetranemus", "Carex remota subsp. remota", "Dactylorhiza praetermissa", "Plakina pacifica", "Plakina microlobata", "Plakina fragilis", "Plakina jamaicensis", "Sestosoma villosum", "Carex pseudofoetida subsp. afghanica", "Carex randalpina", "Thelesphaera alpina", "Trirachys achilles", "Carex rara subsp. rara", "Trigonidiella galea", "Trirachys ampliatus", "Galium verum subsp. asiaticum", "Toxidium fasciatum", "Crataegus azarolus var. dentata", "Crataegus azarolus var. chlorocarpa", "Thaumoctopus mimicus", "Carex ornithopoda subsp. ornithopoda", "Crataegus azarolus var. sharania", "Nephrocytium agardhianum", "Baeocera cekalovici", "Carex oxyandra", "Carex oxyandra var. oxyandra", "Baeocera danieli", "Baeocera chilensis", "Baeocera darwini", "Baeocera germaini", "Baeocera jarmilae", "Oocystaenium elegans", "Carex oxylepis var. oxylepis", "Carex pachygyna", "Carex reuteriana subsp. reuteriana", "Carex rhizina subsp. rhizina", "Pseudaeolesthes aureopilosa", "Pseudaeolesthes chrysothrix", "Baeocera variicolorata", "Baeocera villaricensis", "Baeocera adusta", "Spaniophagus hoffeinsae", "Plakina corticolopha", "Baeocera brunnea", "Cleisostoma longipaniculatum", "Cleisostoma loratum", "Massicus regius", "Cleisostoma macrostachyum", "Cleisostoma masiusii", "Cleisostoma medogense", "Cleisostoma platystele", "Cleisostoma rugosulum", "Cleisostoma saccatum", "Cleisostoma schneideri", "Cleisostoma stimulatrix", "Cleisostoma suaveolens", "Scaphisoma shavrini", "Cytherea elegans", "Xoanodera wongi", "Carex pseudocyperus var. pseudocyperus", "Baeocera fujiana", "Carex pseudofoetida subsp. pseudofoetida", "Scaphisoma acclinum", "Scaphisoma aciculatum", "Trirachys acanthophorus", "Scaphisoma avitum", "Scaphisoma bisinuosum", "Scaphisoma corneum", "Scaphisoma detestabile", "Carex pudica", "Carex rupestris subsp. rupestris", "Severe acute respiratory syndrome-related coronavirus 2", "Carex sartwellii var. sartwellii", "Toxidium hubbacki", "Tritoxidium egregium", "Diartiger fossulatus", "Diartiger fossulatus tadauchii", "Diartiger toshioi", "Carcinocephalus szujeckii", "Rhododendron calophytum subsp. jinfuense", "Chrysotoxum elegans", "Amazonothops aslaki", "Bulbophyllum griffithii", "Pericalus acutidens", "Pericalus ornatus ornatus", "Pericalus ornatus formosanus", "Planctonemopsis distans", "Pericalus obtusipennis", "Planktosphaerella terrestris", "Pericalus obscuratus", "Cerdistus elegans", "Pseudochlorococcum typicum", "Pseudochlorococcum polymorphum", "Ophiosphalma glabrum", "Rayssiella hemisphaerica", "Baeocera nonguensis", "Baeocera stewarti", "Baeocera valdiviana", "Dracula lemurella", "Dendrobium lichenastrum", "Scaphisoma diqingtibetanum", "Scaphisoma fikaceki", "Scaphisoma hainanense", "Scaphisoma jirihajeki", "Scaphisoma kubani", "Scaphisoma lectum", "Scaphisoma liangtangi", "Scaphisoma morator", "Scaphisoma nigripenne", "Scaphisoma nushanense", "Scaphisoma providum", "Scaphisoma proximum", "Scaphisoma pseudasper", "Scaphisoma regulare", "Scaphisoma rufopiceum", "Scaphisoma ruzickai", "Scaphisoma schuelkei", "Scaphisoma subapicale", "Scaphisoma tetratomum", "Scaphisoma tricuspidatum", "Scaphisoma tumidum", "Scaphisoma uncinatum", "Scaphisoma weigeli", "Scaphisoma wrasei", "Scaphisoma ziweii", "Carex punctata var. punctata", "Selenoderma malmeana", "Corticium candelabrum", "Corticium quadripartitum", "Corticium simplex", "Corticium niger", "Corticium diamantense", "Corticium vaceleti", "Geodia gallica", "Crataegus zarrei", "Geodia lophotriaena", "Crataegus quaesita", "Crataegus resima", "Trirachys atkinsoni", "Trirachys basicornis", "Trirachys externus", "Trirachys holosericeus", "Trirachys inexpectatus", "Trirachys indicolus", "Trirachys indutus", "Trirachys inhirsutus", "Trirachys orientalis", "Trirachys perplexus", "Trirachys sartus", "Orthonevra elegans", "Trirachys sinensis", "Trirachys sphaericothorax", "Trirachys textor", "Carex reuteriana", "Ophiosphalma diomedeae", "Carex sendaica var. sendaica", "Ophiosphalma variabile", "Ophiactis profundi", "Amphiura serpentina", "Elbella adonis", "Placinolopha bedoti", "Elbella scylla", "Placinolopha spinosa", "Placinolopha acantholopha", "Placinolopha moncharmonti", "Placinolopha sarai", "Placinolopha europae", "Dendrobium toressae", "Carex scabrifolia", "Carex scaposa var. scaposa", "Carex scirpoidea var. scirpoidea", "Dactylorhiza praetermissa var. junialis", "Schoenus purpurascens", "Schoenus calceolus", "Carex shimidzensis", "Plakinastrella trunculifera", "Plakinastrella oxeata", "Dactylorhiza praetermissa subsp. praetermissa", "Plakina atka", "Plakina tanaga", "Plakina weinbergi", "Plakina tetralophoides", "Plakina endoumensis", "Plakina crypta", "Plakina jani", "Plakina corticioides", "Plakina paradilopha", "Plakina muricyae", "Plakina bioxea", "Plakina kanaky", "Plakina coerulea", "Plakina finispinata", "Plakina strongylata", "Plakina anisoactina", "Plakina anomala", "Plakina hellenica", "Plakina nathaliae", "Plakina cyanorosea", "Plakina cabofriensis", "Dactylorhiza praetermissa subsp. osiliensis", "Crataegus \u00d7 atrorubens", "Dactylorhiza praetermissa subsp. schoenophila", "Cyanopyge sangaris", "Corticium bargibanti", "Corticium acanthastrum", "Plakinastrella clathrata", "Plakinastrella ceylonica", "Plakinastrella minor", "Plakinastrella copiosa", "Plakinastrella mixta", "Plakinastrella onkodes", "Plakinastrella polysclera", "Plakinastrella mammillaris", "Plakinastrella microspiculifera", "Acrothinium cupricolle", "Acrothinium cyaneum", "Andosia reitteri", "Crataegus petrodavisii", "Chalcosyrphus elegans", "Actinopus clavero", "Carex siderosticta var. siderosticta", "Actinopus reycali", "Actinopus septemtrionalis", "Actinopus argenteus", "Actinopus ariasi", "Actinopus casuhati", "Carex simpliciuscula", "Carex simpliciuscula subsp. simpliciuscula", "Carex spicata subsp. spicata", "Callomyia elegans", "Actinopus cordobensis", "Actinopus coylei", "Actinopus gerschiapelliarum", "Actinopus indiamuerta", "Lotus gebelia subsp. gebelia", "Actinopus magnus", "Actinopus palmar", "Lotus gebelia subsp. libanoticus", "Actinopus pampa", "Actinopus patagonia", "Lotus gebelia subsp. trdatii", "Actinopus puelche", "Goloboffia vellardi", "Carex stenophylla subsp. stenophylla", "Ocnus cruciformis", "Ankistrodesmopsis gabretae-silvae", "Amphiura gymnogastra", "Carex stenostachys", "Holothuria dakarensis", "Holothuria lentiginosa", "Selenodictyon brasiliense", "Actinopus ramirezi", "Actinopus szumikae", "Actinopus taragui", "Actinopus balcarce", "Actinopus excavatus", "Actinopus goloboffi", "Actinopus longipalpis", "Missulena faulderi", "Missulena langlandsi", "Gonatodes chucuri", "Phlaeopterus rufimarginatus", "Phlaeopterus ruzickai", "Calathotarsus pihuychen", "Phlaeopterus septemmaculatus", "Phlaeopterus hromadkai", "Amphichondrius granulatus", "Carpelimus bengalensis", "Dougaloplus gastracanthus", "Carpelimus bicolor", "Dougaloplus notacanthus", "Carpelimus calcuttanus", "Carpelimus chatterjeei", "Carex oederi", "Carex oederi var. oederi", "Polulichloris henanensis", "Carex styloflexa", "Brachytydeus quasistigmaeus", "Plakortis erythraena", "Elbella blanda", "Plakortis simplex", "Plakortis nigra", "Brachytydeus incertus", "Cherbocnus cabindaensis", "Stereoderma congoana", "Mysteriochloris nanningensis", "Carex stipata var. stipata", "Elbella azeta", "Elbella azeta azeta", "Elbella azeta giffordi", "Hoploscopa albipuncta", "Amphiura polyacantha", "Amphiura seminuda", "Elbella biscuspis", "Amphiura brevipes", "Amphiura gymnopora", "Hoploscopa matheae", "Carex wahuensis subsp. wahuensis", "Carex wahuensis subsp. robusta", "Carex xerophila", "Deconychura longicauda typica", "Deconychura longicauda pallida", "Hoploscopa mallyi", "Hoploscopa gracilis", "Hoploscopa agtuuganonensis", "Hoploscopa boleta", "Hoploscopa pseudometacrossa", "Hoploscopa jubata", "Carex vaginata var. vaginata", "Caulodendron dichotomococcoides", "Carpelimus kathmanduensis", "Carex tribuloides var. tribuloides", "Raphidonema nivale", "Crataegus pseudoheterophylla subsp. pseudoheterophylla", "Raphidonemopsis sessilis", "Carex trisperma var. trisperma", "Crataegus isfajramensis", "Crataegus zagrica", "Hoploscopa nauticorum", "Carex tristachya var. tristachya", "Hoploscopa anacantha", "Hoploscopa kelama", "Heliotropium esfahanicum", "Carex tumidula", "Ekerewekia churiensis", "Genolevuria pseudoamylolytica", "Hoploscopa titika", "Pseudochlorella pyrenoidosa", "Hoploscopa pangrangoensis", "Hoploscopa isarogensis", "Hoploscopa ypsilon", "Hoploscopa danaoensis", "Elbella mariae", "Elbella mariae mariae", "Hoploscopa ignitamaculae", "Hoploscopa albomaculata", "Prasiococcus calcarius", "Crataegus aurantia", "Hoploscopa sumatrensis", "Carex uda", "Oligoryzomys delticola", "Amphiura diomedeae", "Oligoryzomys eliurus", "Oligoryzomys fulvescens", "Oligoryzomys vegetus", "Amphiura assimilis", "Oligoryzomys victus", "Prasiolopsis ramosa", "Carex umbrosa subsp. umbrosa", "Prasionella wendyae", "Crotalus ornatus", "Rosenvingiellopsis constricta", "Crotalus vegrandis", "Crotalus willardi", "Crotalus transversus", "Crotalus totonacus", "Crotalus tzabcan", "Charina umbratica", "Epictia tenella", "Epictia subcrotilla", "Epictia columbi", "Bifidobacterium asteroides", "Elbella etna", "Lithotrya dorsalis", "Elbella hegesippe", "Sittasomus griseicapillus griseus", "Crataegus monogyna var. odemisii", "Conioscinella elegans", "Crataegus pseudoheterophylla subsp. turcomanica", "Hoploscopa sepanggi", "Hoploscopa cynodonta", "Hoploscopa parvimacula", "Hoploscopa kinabaluensis", "Hoploscopa niveofascia", "Hoploscopa gombongi", "Hoploscopa tonsepi", "Hoploscopa marijoweissae", "Plakortis lita", "Plakortis zyggompha", "Plakortis kenyensis", "Plakortis copiosa", "Plakortis hooperi", "Plakortis fromontae", "Plakortis communis", "Plakortis bergquistae", "Plakortis angulospiculatus", "Plakortis japonica", "Plakortis halichondrioides", "Plakortis galapagensis", "Plakortis microrhabdifera", "Plakortis insularis", "Plakortis quasiamphiaster", "Plakortis myrae", "Plakortis edwardsi", "Plakortis dariae", "Plakortis clarionensis", "Plakortis albicans", "Plakortis badabaluensis", "Carex supina var. supina", "Elbella dulcinea", "Carex pyrenaica subsp. pyrenaica", "Elbella mariae molinai", "Carex sinclairii", "Epictia undecimstriata", "Epictia peruviana", "Epictia rufidorsa", "Epictia rubrolineata", "Epictia alfredschmidti", "Epictia diaplocia", "Epictia munoai", "Epictia teaguei", "Epictia tricolor", "Epictia melanurus", "Epictia magnamaculata", "Epictia striatula", "Epictia australis", "Epictia collaris", "Epictia ater", "Epictia vellardi", "Epictia signata", "Epictia borapeliotes", "Epictia clinorostris", "Epacrophis boulengeri", "Epacrophis drewesi", "Epacrophis reticulatus", "Myriopholis blanfordi", "Myriopholis burii", "Myriopholis natatrix", "Myriopholis rouxestevae", "Myriopholis boueti", "Myriopholis narirostris", "Myriopholis algeriensis", "Myriopholis albiventer", "Rhinoleptus koniagui", "Tricheilostoma bicolor", "Tricheilostoma greenwelli", "Tricheilostoma sundewalli", "Trilepida nicefori", "Trilepida dugandi", "Trilepida joshuai", "Trilepida koppesi", "Trilepida salgueiroi", "Trilepida brasiliensis", "Trilepida brevissima", "Trilepida anthracina", "Trilepida guayaquilensis", "Tetracheilostoma bilineatum", "Tetracheilostoma breuili", "Epictia amazonica", "Tropidophis pilsbryi", "Tropidophis nigriventris", "Rhadinaea gaigeae", "Rhadinaea hesperia", "Atractus clarki", "Rhadinaea sargenti", "Rhadinella hempsteadae", "Crataegus buckleyi", "Rhadinella montecristi", "Rhadinella pilonaorum", "Rhadinella schistosa", "Rhadinella serperaster", "Rhadinella pegosalyta", "Rhadinella rogerromani", "Tantilla bairdi", "Geophis carinosus", "Mitophis pyrites", "Myrmecia globosa", "Psilorhinus morio vociferus", "Carex glacialis", "Colaptes rubiginosus yucatanensis", "Melanerpes santacruzi dubius", "Saltator atriceps raptor", "Paracymoriza platon", "Cirrhochrista milada", "Carex debilior", "Trebouxia arboricola", "Trochisciopsis tetraspora", "Cynaeda gigantea", "Crataegus brittonii", "Vulcanochloris canariensis", "Cynaeda gigantea gigantea", "Cynaeda gigantea cobaini", "Watanabea reniformis", "Cynaeda forsteri", "Cynaeda forsteri forsteri", "Cynaeda forsteri komarovi", "Carpelimus uhligi", "Mitophis asbolepis", "Mitophis calypso", "Mitophis leptepileptus", "Amphiura papillata", "Carpelimus communius", "Carpelimus raptius", "Carpelimus taitungensis", "Dictyochloropsis splendida", "Lobosphaera tirolensis", "Crataegus johnstonii", "Massjukichlorella epiphytica", "Mendaxinus ambreensis", "Carex krausei", "Mendaxinus seychelliensis", "Mendaxinus cardamoniensis", "Mendaxinus kalutaraensis", "Thryothorus ludovicianus albinucha", "Pseudautomeris marxi", "Carex cheesemanniana", "Carex erebus", "Carex potens", "Carex hamlinii", "Hepatica acutiloba", "Carex aucklandica", "Carex banksiana", "Hepatica americana", "Carex astricta", "Carex corynoidea", "Pinobius acutus", "Pinobius rossii", "Pinobius forcipifer", "Oxycheila alenatiki", "Donda hunana", "Elbella intersecta losca", "Omaliopsis feldmanni", "Carex uncinioides", "Carex deasyi", "Carex perplexa", "Meroleuca sochensis", "Carex purpurata", "Meroleuca marmolana", "Meroleuca guamaniana", "Carex horizontalis", "Carex zotovii", "Autumnella lusatica", "Autumnella corcontica", "Lagenocarpus rigidus", "Lagenocarpus rigidus subsp. rigidus", "Lusitania henriquesii", "Mycetophagus yunnanus", "Rhadinaea laureata", "Rhadinaea pulveriventris", "Rhadinaea quinquelineata", "Rhadinaea fulvivittis", "Rhadinaea flavilata", "Rhadinaea calligaster", "Rhadinaea taeniata", "Rhadinaea forbesi", "Rhadinaea montana", "Rhadinaea macdougalli", "Rhadinaea myersi", "Rhadinaea bogertorum", "Rhadinaea cuneata", "Rhadinaea marcellae", "Sceloporus shannonorum", "Dactylosphaerium sociale", "Dimorphococcopsis fritschii", "Anthrenus fugong", "Agelopsis belousovi", "Agelopsis caeruleus", "Agelopsis konstantinovi", "Agelopsis metallicus", "Agelopsis spinipes", "Agelopsis tibetanus", "Agelopsis malaisei", "Agelopsis traxlerorum", "Cyperus alternifolius subsp. alternifolius", "Pseudolathra armigera", "Pseudolathra aviformis", "Anolis latifrons", "Crataegus dzhairensis", "Carpelimus chopardi", "Ophiacantha pacifica", "Crataegus knorringiana", "Ophiacantha inconspicua", "Ophiacantha spinifera", "Dactylothece braunii", "Rena bressoni", "Rena unguirostris", "Menimus belousovi", "Menimus yunnanus", "Rena dissecta", "Rena maxima", "Rena myopica", "Rena dulcis", "Menimus kabaki", "Diogenes rotundus", "Rena boettgeri", "Rena segrega", "Rena dugesii", "Crataegus okennonii", "Elbella intersecta", "Elbella intersecta intersecta", "Agelopsis aeneoviridis", "Dispora crucigenioides", "Crataegus phippsii", "Geodia mesotriaenella", "Marumba saishiuana", "Chloropyrula uraliensis", "Marumba saishiuana saishiuana", "Marumba saishiuana formosana", "Cyperus acuminatus", "Marumba cristata bukaiana", "Cyperus conicus", "Cyperus corymbosus", "Lopinga catena", "Hepatica henryi", "Hepatica \u00d7 media", "Cyperus bulbosus", "Cyperus jeminicus", "Carex idaea", "Cyperus capitatus", "Cyperus sieberianus", "Hepatica nobilis var. japonica", "Cyperus assimilis", "Cyperus betchei", "Protesilaus exiguus", "Hepatica falconeri", "Ophiotoma paucispina", "Ophiomitra granifera", "Cirrhinus molitorella", "Ophiomitra partita", "Hepatica maxima", "Cyperus bipartitus", "Lopinga microcatena", "Lopinga stax", "Myllaena graeca", "Myllaena mutabilis", "Crucigenia quadrata", "Marumba cristata titan", "Tropidophis melanurus", "Tropidophis battersbyi", "Tropidophis caymanensis", "Tropidophis feicki", "Tropidophis haetianus", "Edaphochlorella mirabilis", "Tropidophis bucculentus", "Tropidophis canus", "Tropidophis paucisquamis", "Tropidophis wrighti", "Tropidophis taczanowskyi", "Eremochloris sphaerica", "Ophiacantha hirta", "Kalinella bambusicola", "Koliellopsis inundata", "Carex subviridis", "Crataegus okanaganensis", "Crataegus okanaganensis var. longispina", "Carex edura", "Carex subtilis", "Carex megalepis", "Carex lectissima", "Pseudautomeris chiquitensis", "Pseudautomeris pomacochasensis", "Pseudautomeris ubalensis", "Homoeopteryx limabambana", "Homoeopteryx mendozana", "Homoeopteryx antkozlovi", "Gamelioides sochensis", "Gamelioides vanschaycki", "Crataegus okanaganensis var. wellsii", "Ophiacantha moniliformis", "Ophiacantha costata", "Ophiacantha contigua", "Crataegus castlegarensis", "Crataegus enderbyensis", "Crataegus orbicularis", "Carex erythrovaginata", "Automeris marxi", "Carex longifructus", "Meroleuca cabreroides", "Meroleuca fabiani", "Tropidophis jamaicensis", "Simalia kinghorni", "Python brongersmai", "Lunachloris lukesovae", "Marumba echephron", "Xenophidion acanthognathus", "Marumba fenzelii", "Xenophidion schaeferi", "Marumba fenzelii fenzelii", "Marumba fenzelii connectens", "Viridiella fridericiana", "Polyura schreiber tisamenus", "Xerochlorella olmiae", "Xylochloris irregularis", "Hepatica nobilis var. nobilis", "Neoclanis pseudobasalis", "Cyperus cephalotes", "Aspidoscelis communis", "Aspidoscelis costatus", "Aspidoscelis lineattissimus", "Aspidoscelis scalaris", "Aspidoscelis angusticeps", "Rhacodactylus trachycephalus", "Xenodon werneri", "Xenodon neuwiedii", "Xenodon guentheri", "Dismorphia hyposticta hyposticta", "Dismorphia hyposticta intercisa", "Hyposcada dujardini", "Hyposcada dujardini dujardini", "Hyposcada dujardini mocoa", "Hyposcada illinissa varia", "Tithorea harmonia lapidosa", "Anaphosia majori", "Cyperus elegans subsp. elegans", "Xenocalamus transvaalensis", "Xenocalamus michelli", "Homoroselaps dorsalis", "Caerulea coeligena coeligena", "Amblyodipsas ventrimaculata", "Cyperus dubius", "Astrodia plana", "Amblyodipsas microphthalma", "Amblyodipsas dimidiata", "Amblyodipsas concolor", "Cyperus dubius var. dubius", "Asteroschema sublaeve", "Gorgonocephalus diomedeae", "Aparallactus modestus", "Aparallactus jacksonii", "Macrelaps microlepidotus", "Crataegus longipes", "Caerulea guizhouensis", "Crataegus oreophila", "Caerulea coelestis dubernardi", "Chloropsina elegans", "Crataegus gattingeri", "Ophiomyxa brevirima", "Orphnebius hamatus", "Orphnebius fortesetosus", "Phocides pigmalion pigmalion", "Phocides pigmalion bicolor", "Epargyreus spanna", "Prasinococcus capsulatus", "Ophiurothamnus laevis", "Pseudoxenodon macrops", "Cyperus diffusus", "Pseudoxenodon inornatus", "Pseudoxenodon baramensis", "Ophiothrix galapagensis", "Pseudoxenodon stejnegeri", "Pseudoxenodon karlschmidti", "Pseudoxenodon bambusicola", "Cyperus diffusus var. diffusus", "Aparallactus capensis", "Aparallactus guentheri", "Aparallactus niger", "Aparallactus werneri", "Aparallactus turneri", "Aparallactus nigriceps", "Aparallactus lunulatus", "Aparallactus lineatus", "Polemon collaris", "Polemon notatus", "Xenocalamus mechowii", "Hypoptophis wilsonii", "Poecilopholis cameronensis", "Brachyophis revoili", "Chilorhinophis gerardi", "Polemon christyi", "Polemon gracilis", "Polemon graueri", "Polemon griseiceps", "Chilorhinophis butleri", "Xenocalamus bicolor", "Cyclocorus lineatus", "Chersodromus liebmanni", "Atractaspis irregularis", "Amblyodipsas unicolor", "Apostolepis assimilis", "Sinopieris dubernardi aljinensis", "Picocystis salinarum", "Oxypoda caucasica", "Oxypoda derecta", "Myrmoecia urartu", "Myersophis alpestris", "Lybius leucocephalus leucocephalus", "Oxyrhabdium modestum", "Pella discolor", "Lybius leucocephalus leucogaster", "Pella feldmanni", "Parnassius phoebus halasicus", "Orphnebius cachemiricus", "Cyperus elatus", "Cyperus dives", "Myllaena cretica", "Cyperus dactylotes", "Myllaena caucasica", "Myllaena infuscata", "Myllaena ambulans", "Lopinga shaana", "Geostiba reducta", "Geostiba defecta", "Crataegus atrovirens", "Coenonympha arcania arcania", "Geostiba breviflagellata", "Coenonympha arcania clautans", "Crataegus sakranensis", "Cyperus diandrus", "Geostiba nigrohortensia", "Palmoclathrus stipitatus", "Phocides pigmalion", "Metexilisia citrago", "Cyperus vaginatus", "Rhene menglunensis", "Siler zhangae", "Siler bielawskii", "Siler hanoicus", "Siler lewaense", "Cyperus gilesii", "Siler ruber", "Plagiopholis delacouri", "Plagiopholis blakewayi", "Plagiopholis styani", "Plagiopholis nuchalis", "Ophiomyxa panamensis", "Sigsbeia lineata", "Astrodia excavata", "Grayia tholloni", "Grayia caesar", "Grayia ornata", "Grayia smithii", "Simophis rhinostoma", "Geostiba deliqua", "Sonora aemula", "Sonora michoacanensis", "Geostiba marmotae", "Sonora semiannulata", "Geostiba manca", "Crataegus pallasii", "Spalerosophis diadema", "Spalerosophis arenarius", "Spalerosophis dolichospilus", "Spalerosophis microlepis", "Spalerosophis atriceps", "Symphimus leucostomus", "Notocousya quadriceps", "Rhamnophis aethiopissa", "Rhamnophis batesii", "Rhinobothryum bovallii", "Rhinobothryum lentiginosum", "Neoclanis schreieri", "Neoclanis hackeri", "Xenelaphis ellipsifer", "Xenelaphis hexagonotus", "Neoclanis murzini", "Orphnebius taurus", "Caerulea coelestis chengmaica", "Orphnebius morulus", "Orphnebius globifer", "Crataegus ravida", "Caerulea coelestis sora", "Orphnebius elevatus", "Orphnebius moruliflavus", "Keratodegnathus cornutus", "Cytaea tongi", "Cyperus exaltatus var. exaltatus", "Amaurodera schmidti", "Crataegus reverchonii", "Amaurodera brevipennis", "Dexippus pengi", "Amaurodera atra", "Dexippus taiwanensis", "Cyperus flaccidus", "Gelotia liuae", "Irura lvshilinensis", "Cyperus lucidus", "Astilodes mariae", "Hemibungarus mcclungi", "Hemibungarus gemianulis", "Elapsoidea nigra", "Elapsoidea guentherii", "Urogelides daviesae", "Elapsoidea semiannulata", "Elapsoidea laticincta", "Elapsoidea loveridgei", "Elapsoidea sundevallii", "Elapsoidea trapei", "Elapsoidea boulengeri", "Tauala australiensis", "Tauala elongata", "Cyperus hypochlorus", "Cyperus hypochlorus var. hypochlorus", "Tauala athertonensis", "Tauala bilobatus", "Tauala zborowskii", "Tauala ottoi", "Tauala palumaensis", "Tauala setosus", "Sitticus taiwanensis", "Malacoptila striata minor", "Cyperus alternifolius subsp. flabelliformis", "Helpis colemani", "Jacksonoides queenslandicus", "Jacksonoides subtilis", "Jacksonoides eileenae", "Jacksonoides nubilis", "Jacksonoides distinctus", "Jacksonoides simplexipalpis", "Jacksonoides kochi", "Chloroparvula pacifica", "Chloroparvula japonica", "Chloropicon sieburthii", "Chloropicon laureae", "Chloropicon mariensis", "Chloropicon maureeniae", "Chloropicon primus", "Chloropicon roscoffensis", "Atractaspis andersonii", "Atractaspis watsoni", "Atractaspis leucomelas", "Atractaspis fallax", "Atractaspis congica", "Atractaspis reticulata", "Atractaspis micropholis", "Atractaspis microlepidota", "Atractaspis aterrima", "Atractaspis bibronii", "Atractaspis boulengeri", "Atractaspis scorteccii", "Atractaspis duerdeni", "Drusilla bispinosa", "Atractaspis phillipsi", "Atractaspis corpulenta", "Atractaspis magrettii", "Drusilla shavrini", "Atractaspis engdahli", "Drusilla penicillata", "Symphlebia perflua", "Drusilla spiniventris", "Drusilla breviuter", "Palmophyllum crassum", "Symphlebia rubridorsata", "Pheidologitonetes biplicatus", "Palmophyllum umbracola", "Crataegus angulata", "Symphlebia punctata", "Verdigellas fimbriata", "Verdigellas peltata", "Crataegus abjecta", "Zyras conlectus", "Crataegus academiae", "Crataegus acanea", "Verdigellas nektongammea", "Crataegus accincta", "Crataegus acerba", "Zyras hetzeli", "Verdigellas discoidea", "Zyras reductus", "Zyras shavrini", "Cyperus grayi", "Microhyle leopardella", "Microhyle macularia", "Microhyle viettei", "Microhyle fadella", "Micrurus circinalis", "Micrurus diastema", "Cecidocharella elegans", "Micrurus mipartitus", "Micrurus frontalis", "Viola flos-evae var. flossdorfii", "Ctenanthe burle-marxii", "Crataegus opima", "Cyperus longus subsp. longus", "Jacksonoides jacksoni", "Cyperus ovatus", "Jacksonoides voyteki", "Jacksonoides cameronae", "Jacksonoides lucynae", "Jacksonoides blaszaki", "Jacksonoides dziabaszewskii", "Jacksonoides venustus", "Lysimachia mauritiana", "Jacksonoides deelemanae", "Jacksonoides atypicus", "Sondra nepenthicola", "Sondra bulburin", "Sondra excepta", "Cyperus laevigatus subsp. laevigatus", "Cyperus phleoides", "Cyperus lupulinus", "Ophioscolex glacialis", "Cyperus lupulinus subsp. lupulinus", "Crataegus aquacervensis", "Ophioscolex disacanthus", "Cyperus lupulinus subsp. macilentus", "Crataegus cupressocollina", "Cyperus malaccensis subsp. malaccensis", "Marsupiomonas pelliculata", "Sondra variabilis", "Sondra bifurcata", "Sondra convoluta", "Sondra littoralis", "Walterinnesia morgani", "Sondra finlayensis", "Bungarus walli", "Sondra raveni", "Sondra damocles", "Sondra tristicula", "Calliophis bilineata", "Calliophis bivirgatus", "Calliophis gracilis", "Calliophis melanurus", "Calliophis maculiceps", "Calliophis philippina", "Sondra samambrayi", "Calliophis nigrescens", "Calliophis suluensis", "Sondra bickeli", "Sondra brindlei", "Pseudohaje nigra", "Sondra aurea", "Neoclanis tsumeb", "Neoclanis weningeri", "Neoclanis oberprieleri", "Oxypoda praecox", "Neoclanis hogani", "Neoclanis giustii", "Neoclanis dargei", "Neoclanis oatesorum", "Oxypoda fusina", "Neoclanis iringaensis", "Neoclanis morogoroensis", "Neoclanis usambaraensis", "Oxypoda nova", "Neoclanis nicolae", "Neoclanis haendeli", "Neoclanis kleineri", "Thrasops jacksonii", "Neoclanis kingstoni", "Thrasops flavigularis", "Neoclanis melichari", "Thrasops occidentalis", "Thrasops schmidti", "Oxypoda kuehnelti", "Neoclanis michali", "Neoclanis ukambaniensis", "Oxypoda rectacia", "Trimorphodon vilkinsonii", "Trimorphodon tau", "Neoclanis politzari", "Trimorphodon lambda", "Trimorphodon quadruplex", "Neoclanis witti", "Trimorphodon paucimaculatus", "Neoclanis kuchleri", "Trimorphodon biscutatus", "Neoclanis namanga", "Neoclanis pseudopolitzari", "Telescopus beetzi", "Neoclanis raymurphyi", "Telescopus nigriceps", "Telescopus obtusus", "Neoclanis virgo", "Telescopus pulcher", "Telescopus tessellatus", "Telescopus variegatus", "Sinopieris dubernardi pomiensis", "Sinopieris dubernardi dubernardi", "Prasinoderma coloniale", "Sinopieris dubernardi kozlovi", "Rhamphiophis oxyrhynchus", "Cestrotus elegans", "Cyperus malaccensis subsp. monophyllus", "Mallinella pseudokunmingensis", "Cyperus nipponicus", "Cyperus ochraceus", "Cyperus odoratus subsp. odoratus", "Cyperus hillebrandii", "Prasinoderma singularis", "Lycophidion semicinctum", "Lycodonomorphus inornatus", "Hormonotus modestus", "Pseudoboodon lemniscatus", "Montaspis gilvomaculata", "Bothrophthalmus brunneus", "Chamaelycus fasciatus", "Dendrolycus elapoides", "Gonionotophis grantii", "Bothrolycus ater", "Lycodonomorphus laevissimus", "Lycophidion acutirostre", "Lycodonomorphus bicolor", "Chamaelycus christyi", "Lamprophis fiskii", "Lycophidion meleagre", "Lycodonomorphus whytii", "Lamprophis fuscus", "Lycodonomorphus leleupi", "Lycodonomorphus subtaeniatus", "Inyoka swazicus", "Lycodonomorphus rufulus", "Lycodonomorphus mlanjensis", "Lycodonomorphus obscuriventris", "Lycophidion hellmichi", "Lycophidion depressirostre", "Chamaelycus parkeri", "Gonionotophis klingi", "Lamprophis abyssinicus", "Gonionotophis brussauxi", "Lamprophis geometricus", "Lamprophis guttatus", "Lycophidion capense", "Lycophidion albomaculatum", "Lycophidion ornatum", "Bothrophthalmus lineatus", "Lycophidion nigromaculatum", "Ochrota bicoloria", "Ochrota septentrionalis", "Ochrota dissimilis", "Ochrota convergens", "Ochrota arida", "Ochrota nigrolimbata", "Saprinus gilviqueti", "Grallipeza elegans", "Mimegralla elegans", "Crataegus aprica", "Saprinus stussineri", "Cytaea levii", "Plocoscelus podagricus", "Tauala alveolatus", "Tauala splendidus", "Tauala lepidus", "Tauala daviesae", "Tauala minutus", "Cyperus houghtonii", "Rugilus dilutipes", "Mallinella octosignata", "Lycophidion semiannule", "Lycophidion uzungwense", "Lycophidion laterale", "Mimosa ursina", "Lycophidion multimaculatum", "Gracililima nyassae", "Pseudoboodon sandfordorum", "Pseudoboodon boehmei", "Zonia zonia zonia", "Mehelya egbensis", "Mehelya poensis", "Mehelya laurenti", "Mehelya stenophthalmus", "Mehelya gabouensis", "Creonpyge creon", "Limaformosa capensis", "Limaformosa chanleri", "Limaformosa crossi", "Limaformosa guirali", "Limaformosa savorgnani", "Limaformosa vernayi", "Boaedon lineatus", "Boaedon olivaceus", "Boaedon capensis", "Boaedon maculatus", "Boaedon virgatus", "Boaedon upembae", "Psammophis lineatus", "Psammophis punctulatus", "Psammophis biseriatus", "Psammophis tanganicus", "Psammophis pulcher", "Psammophis lineolatus", "Psammophis praeornatus", "Malpolon moilensis", "Dipsina multimaculata", "Hemirhagerrhis hildebrandtii", "Hemirhagerrhis kelleri", "Hemirhagerrhis nototaenia", "Psammophylax tritaeniatus", "Psammophylax multisquamis", "Psammophylax variabilis", "Rhamphiophis rostratus", "Rhamphiophis rubropunctatus", "Pythonodipsas carinata", "Ditypophis vivax", "Micropisthodon ochraceus", "Micrurus narduccii", "Micrurus obscurus", "Micrurus bocourti", "Micrurus ancoralis", "Micrurus putumayensis", "Micrurus spurrelli", "Micrurus steindachneri", "Homalopoma africanum", "Micrurus collaris", "Micrurus renjifoi", "Cyperus michelianus", "Cyperus michelianus subsp. michelianus", "Cyperus michelianus subsp. pygmaeus", "Micrurus latifasciatus", "Micrurus mosquitensis", "Micrurus alleni", "Micrurus mertensi", "Micrurus clarki", "Resultomonas moestrupii", "Chlorochytridion tuberculatum", "Dioriticamonas biplastida", "Cyperus phleoides var. phleoides", "Cyperus polystachyos", "Rugilus angustatus", "Cienfuegosia digitata", "Cyperus polystachyos subsp. polystachyos", "Cyperus papyrus subsp. papyrus", "Mallinella hilaris", "Mallinella decorata", "Mallinella immaculata", "Brachytydeus fernando", "Brachytydeus matador", "Mallinella langping", "Scourfieldia complanata", "Mallinella selecta", "Pedinomonas minor", "Cyperus rubicundus", "Asteroporpa pulchra", "Pedinomonas major", "Pedinomonas rotunda", "Pedinomonas epiphytica", "Pedinomonas minutissima", "Pedinomonas natantes", "Pedinomonas noctilucae", "Salvia lachnaiocloda", "Chamaemyia elegans", "Buxus cochinchinensis var. holttumiana", "Buxus sinica var. intermedia", "Buxus wrightii subsp. leonii", "Scourfieldia conica", "Scourfieldia cordiformis", "Scourfieldia ovata", "Scourfieldia quadrata", "Salvia tuerckheimii", "Salvia subaequalis", "Micrurus peruvianus", "Micrurus nattereri", "Micrurus averyi", "Micrurus filiformis", "Micrurus diutius", "Micrurus bernadi", "Micrurus scutiventris", "Micrurus ephippifer", "Micrurus surinamensis", "Micrurus limbatus", "Micrurus sangilensis", "Micrurus pacaraimae", "Micrurus multiscutatus", "Micrurus albicinctus", "Micrurus stewarti", "Micrurus oligoanellatus", "Micrurus tener", "Micrurus hippocrepis", "Micrurus laticollaris", "Micrurus proximans", "Micrurus paraensis", "Micrurus camilae", "Micrurus serranus", "Histopona breviemboli", "Alnus betulifolia", "Cyperus virens", "Cyperus virens var. virens", "Cyperus lancastriensis", "Pseudotrachypus ancistrodes", "Oideterus farallonensis", "Lycoplateros mimicus", "Lycoplateros diversipes", "Lycoplateros delclaroi", "Ophiolebes pachyphylax", "Pedinomonas salina", "Pedinomonas symbiotica", "Pedinomonas tenuis", "Pedinomonas tenuissima", "Acer pictum subsp. mono", "Pedinomonas upsilon", "Scourfieldia caeca", "Buxus microphylla var. riparia", "Scourfieldia chlorolateralis", "Cyperus rupestris", "Isolepis pottsii", "Amerila alexandrae", "Amerila rubondoi", "Folioceros appendiculatus", "Gesneria brachysepala", "Uronema confervicola", "Aphanochaete repens", "Isolepis aucklandica", "Isolepis carinata", "Hylotribus humeralis", "Hylotribus nanico", "Cyperus ohwii", "Cyperus okavangensis", "Mallinella adonis", "Cyperus orthostachyus", "Mallinella elegans", "Cyperus orthostachyus var. orthostachyus", "Mallinella maruyamai", "Mallinella gombakensis", "Cyperus pacificus", "Mallinella tumidifemoris", "Cyperus paniceus", "Malayozodarion hoiseni", "Mallinella superba", "Mallinella punctata", "Cyperus pannonicus", "Schizomeris leibleinii", "Amysoria galagala", "Rugilus longiparameris", "Rugilus prodoni", "Calliandra angustifolia", "Cyperus schweinitzii", "Cyperus serotinus var. serotinus", "Lycoplateros brasiliensis", "Lycoplateros septentrionalis", "Lycoplateros alvarengai", "Lycoplateros kaapora", "Lycoplateros eliasi", "Lycoplateros mulleri", "Lycoplateros constantini", "Lycoplateros nungara", "Lycoplateros bartolozzii", "Lycoplateros flavescens", "Chyliza elegans", "Monteremita asymetricum", "Isolepis fluitans var. fluitans", "Isolepis hystrix", "Hylotribus queirozi", "Chaetonema irregulare", "Micropoa leptochaete", "Thamniochaete huberi", "Pyrrhopyge charybdis", "Arthrochaete penetrans", "Pyrrhopyge charybdis charybdis", "Ophiacantha curima", "Crepidium alagense", "Isolepis cernua var. cernua", "Isolepis levynsiana", "Isolepis marginata", "Cyperus grammicus", "Chaetopeltis orbicularis", "Otheostethus impostor", "Floydiella terrestris", "Koshicola spirodelophila", "Cyperus sesquiflorus", "Boophis boppa", "Cyperus sesquiflorus subsp. sesquiflorus", "Salvia sect.", "Cyperus subfuscus", "Cyperus surinamensis var. surinamensis", "Cyperus tetraphyllus", "Motilon hirsutumidus", "Oideterus tibiaprocerus", "Oideterus latithorax", "Cyperus alternifolius subsp. textilis", "Oideterus nigrum", "Cyperus unifolius", "Cyperus vestitus", "Isolepis congrua", "Pyrrhopyge charybdis semita", "Pyrrhopyge decipiens", "Pyrrhopyge hadassa", "Pyrrhopyge hadassa hadassa", "Vipera transcaucasiana", "Pseudocerastes fieldi", "Montatheris hindii", "Bembecia pallasi", "Cyperus volckmannii", "Dicranochaete reniformis", "Barranca multiflagellata", "Akamboja minimum", "Akamboja cleidae", "Akamboja monteirorum", "Akamboja tenebrae", "Akamboja caparaoensis", "Cyperus mindorensis", "Leiocephalus jamaicensis", "Uracentron flaviceps", "Pyrrhopyge infantilis", "Pyrrhopyge infantilis infantilis", "Pyrrhopyge infantilis agala", "Heterotetramelus thomsoni", "Cyperus brevifolius var. brevifolius", "Melissotydeus bipunctata", "Cyperus erectus", "Cyperus erectus var. erectus", "Isolepis producta", "Isolepis reticularis", "Isolepis oldfieldiana", "Copelatus babyrousa", "Ophiacantha lasia", "Copelatus brendelli", "Copelatus vancli", "Copelatus doriae", "Microbathyphantes celebes", "Anthomyia obscuripennis", "Alnus alnobetula subsp. crispa", "Acanoides hengshanensis", "Cyperus brevifolioides", "Epidendrum arachnoglossum", "Rhabderemia meirimensis", "Mycale rubra", "Microbathyphantes aokii", "Mycale alagoana", "Epidendrum rondoniense", "Ophiomastix macroplaca", "Epidendrum zipaquiranum", "Pyrrhopyge hadassa hanga", "Pyrrhopyge hadassa halma", "Pyrrhopyge hadassa henna", "Pyrrhopyge hadassa pseudohadassa", "Pyrrhopyge haemon", "Copelatus masculinus", "Boaedon perisilvestris", "Boaedon longilineatus", "Boaedon littoralis", "Boaedon subflavus", "Boaedon paralineatus", "Buhoma depressiceps", "Buhoma procterae", "Conops elegans", "Cyperus alatus", "Cyperus alatus subsp. alatus", "Cyperus alatus subsp. albus", "Sciacharis maipotonensis", "Agyneta paraprosecta", "Mughiphantes edentulus", "Sclerurus mexicanus pullus", "Caespitella pascheri", "Cyperus sesquiflorus subsp. cylindricus", "Australophantes laetesiformis", "Cedercreutziella savoniensis", "Chaetomnion pyriferum", "Chaetonemopsis pseudobulbochaete", "Maorineta tibialis", "Maorineta sulcata", "Maorineta tumida", "Maorineta mollis", "Maorineta minor", "Maorineta gentilis", "Maorineta acerba", "Donax peruvianus", "Maorineta ambigua", "Maorineta sulawesi", "Cyperus hortensis", "Cyperus obtusatus", "Nesioneta lepida", "Nesioneta pacificana", "Nesioneta elegans", "Nesioneta similis", "Nesioneta arabica", "Pyriglena maura", "Alnus alnobetula subsp. sinuata", "Lerista lineata", "Liolaemus kingii", "Liolaemus gracilis", "Liolaemus bibronii", "Liolaemus darwinii", "Choreoclonium procumbens", "Crenacantha orientalis", "Diaphragma radiosum", "Didymosporangium repens", "Microlophus albemarlensis", "Chlorotylium cataractarum", "Microlophus delanonis", "Microlophus duncanensis", "Microlophus indefatigabilis", "Microlophus jacobii", "Microlophus barringtonensis", "Microlophus habelii", "Neonesiotes remiformis", "Microlophus stolzmanni", "Microlophus pacificus", "Neonesiotes hamatus", "Microlophus atacamensis", "Centromerus truki", "Microlophus theresioides", "Microlophus tarapacensis", "Microlophus yanezi", "Microlophus occipitalis", "Microbathyphantes palmarius", "Microlophus bivittatus", "Microlophus peruvianus", "Microlophus heterolepis", "Microlophus grayii", "Microlophus koepckeorum", "Microlophus theresiae", "Agyneta punctata", "Rugilus reuteri", "Centromerus turcicus", "Rugilus asperrimus", "Cyperus leptocarpus", "Cyperus neotropicalis", "Troglohyphantes gladius", "Sintula cretaensis", "Sintula cristatus", "Cyperus subsquarrosus", "Pyrrhopyge kelita", "Pyrrhopyge martena", "Microbathyphantes spedani", "Microbathyphantes tateyamaensis", "Pyrrhopyge melanomerus", "Pyrrhopyge melanomerus melanomerus", "Cyperus aristulatus", "Walckenaeria abantensis", "Pyrrhopyge melanomerus patma", "Pyriglena similis", "Sardinidion perplexum", "Erigonoplus inspinosus", "Erigonoplus setosus", "Entodictyon schilleri", "Gongylidiellum orduense", "Mecopisthes nasutus", "Epibolium dermaticola", "Tapinocyba korgei", "Typhochrestus chiosensis", "Typhochrestus epidaurensis", "Gloeoplax weberi", "Cyperus flavidus", "Hormotila mucigena", "Ireksokonia formosa", "Iwanoffia terrestris", "Jaagiella alpicola", "Cyperus niger", "Typhochrestus bogarti", "Ophiacantha mesembria", "Denisonia maculata", "Scincella macrotis", "Sphaerodactylus copei", "Trimeresurus labialis", "Ophiomorus persicus", "Dipsas vagus", "Echinanthera amoena", "Dipsas incerta", "Xenodon pulcher", "Xenodon histricus", "Xenodon nattereri", "Leptosiropsis torulosa", "Scirpoides holoschoenus subsp. holoschoenus", "Coenosia elegans", "Cuterebra rufiventris", "Walckenaeria christae", "Walckenaeria cretaensis", "Walckenaeria claviloba", "Walckenaeria hamus", "Walckenaeria cyprusensis", "Cyperus elegantulus", "Obrium mimicum", "Obrium trilobatum", "Cyperus flavescens", "Herposteiron confervicola", "Cyperus flavescens subsp. flavescens", "Klebahniella elegans", "Kymatotrichon armatum", "Asaroticus solskyi", "Ithocritus similis", "Amnesteophis melanauchen", "Adelphicos quadrivirgatum", "Asaroticus ogloblini", "Apostolepis dimidiata", "Atractus multicinctus", "Atractus occipitoalbus", "Atractus peruvianus", "Atractus zebrinus", "Diaphorolepis wagneri", "Dulichium arundinaceum var. arundinaceum", "Oxychilus colliourensis", "Eleocharis acicularis var. acicularis", "Eleocharis acutangula subsp. acutangula", "Eleocharis albida", "Cleisostoma hainanense", "Eleocharis flavescens var. olivacea", "Lepanthes telipogoniflora", "Eleocharis gracilis", "Eleocharis interstincta", "Lochmiopsis siberica", "Rugilus gryps", "Xenodon semicinctus", "Xenodon dorbignyi", "Myxonemopsis crassimembranacea", "Xenodon matogrossensis", "Scopaeus ovicollis", "Stigeoclonium tenue", "Cephalaria armeniaca", "Cephalaria armerioides", "Cephalaria attenuata", "Cephalaria balkharica", "Cephalaria boetica", "Cephalaria bojnordensis", "Cephalaria brevipaleacea", "Cephalaria calcarea", "Apiocera elegans", "Cephalaria cedrorum", "Nayalia terrestris", "Cephalaria chaldoranensis", "Cephalaria cilodaghensis", "Cephalaria nachiczevanica", "Cephalaria natalensis", "Cephalaria oblongifolia", "Cephalaria petiolata", "Cephalaria pungens", "Cephalaria qeydarensis", "Cephalaria retrosetosa", "Cephalaria rigida", "Blysmus compressus subsp. compressus", "Cephalaria sublanata", "Cephalaria tenella", "Cephalaria tenuiloba", "Cephalaria torbatejamensis", "Blysmus rufus", "Cephalaria transcaucasica", "Cephalaria velutina", "Cephalaria wilmsiana", "Cephalaria adiyamanensis", "Cephalaria kutahyaensis", "Muscari nazimiyense", "Eleocharis caduca", "Eleocharis cellulosa", "Eleocharis compressa", "Eleocharis compressa var. compressa", "Oedichirus pauli", "Oedichirus puicus", "Oedichirus russipennis", "Eleocharis cylindrostachys", "Eleocharis decumbens", "Sporades theryi", "Sporades modestior", "Eleocharis elongata", "Verbascum \u00d7 abandense", "Verbascum abyadicum", "Tliltocatl albopilosum", "Tliltocatl epicureanum", "Cephalaria coriacea", "Cephalaria dagestanica", "Cephalaria decurrens", "Cephalaria demirizii", "Micrillus rossianus", "Cephalaria dichaetophora", "Micrillus variceps", "Micrillus bispinosus", "Periplegmatium ceramii", "Cephalaria fanourii", "Cephalaria foliosa", "Pilinella californica", "Cephalaria galpiniana", "Pleurangium amphibium", "Cephalaria galpiniana subsp. simplicior", "Cephalaria galpiniana subsp. galpiniana", "Cephalaria glaberrima", "Cephalaria goetzei", "Cephalaria golestanica", "Chrysopasta elegans", "Cephalaria humilis", "Cephalaria integerrima", "Cephalaria integrifolia", "Cephalaria juncea", "Cephalaria katangensis", "Cephalaria kesruanica", "Crypsinus angustatus", "Cephalaria kleinii", "Cephalaria linearifolia", "Cephalaria mauritanica", "Cephalaria microdonta", "Pseudochaete crassiseta", "Coenura elegans", "Asianopis wangi", "Asianopis wuchaoi", "Asianopis zhuanghaoyuni", "Asianopis konplong", "Asianopis celebensis", "Asianopis dumogae", "Asianopis liukuensis", "Skvortzoviothrix terrestris", "Eleocharis engelmannii", "Tumulofilum terrestre", "Cleisostoma unisetum", "Quedius morulus", "Quedius limans", "Alevonota hepatica", "Eleocharis equisetoides", "Eleocharis erythropoda", "Cecidomyia elegans", "Pyrrhopyge phidias garata", "Eleocharis fallax", "Cecidomyia concinna", "Eleocharis flavescens", "Pyrrhopyge phidias hyperici", "Pyrrhopyge phidias latifasciata", "Eleocharis flavescens var. flavescens", "Eleocharis bella", "Eleocharis bifida", "Lithotrya nicobarica", "Sporades jaechi", "Crataegus karadaghensis", "Crataegus keepii", "Crataegus kingstonensis", "Crataegus knieskerniana", "Crataegus korolkowii", "Crataegus kurdistanica", "Cryptomeigenia elegans", "Crataegus laciniata", "Crataegus lacrimata", "Chrysopilus elegans", "Crataegus lanata", "Crataegus lancei", "Crataegus lassa", "Eleocharis microcarpa var. microcarpa", "Eleocharis microcarpa var. filiculmis", "Eleocharis minuta", "Eleocharis multicaulis", "Eleocharis ochrostachys", "Neischnocolus pijaos", "Neischnocolus yupanquii", "Neischnocolus obscurus", "Aenigmarachne sinapophysis", "Eleocharis pellucida var. pellucida", "Pyrrhopyge pelota", "Zoddaea viridis", "Zygomitus reticulatus", "Eleocharis palustris subsp. palustris", "Chinecallicerus discrepans", "Eleocharis wichurae", "Actinoscirpus grossus var. grossus", "Elbella iphinous", "Euparyphus elegans", "Sporocladopsis erythraea", "Streptochlora moniliformis", "Thamniolum elegans", "Trichodiscus elegans", "Ganthela yundingensis", "Qiongthela baishensis", "Quedius iridicolor", "Quedius invreae", "Quedius cruentus", "Quedius transcaucasicus", "Ryuthela henoko", "Ryuthela kisenbaru", "Ryuthela motobu", "Ryuthela nago", "Ryuthela shimojanai", "Ryuthela unten", "Bolboschoenus maritimus subsp. paludosus", "Bolboschoenus novae-angliae", "Ctenophora elegans", "Verbascum asiricum", "Verbascum chaudharyanum", "Verbascum hema-figranum", "Verbascum medinecum", "Verbascum sheilae", "Verbascum shiqricum", "Verbascum tabukum", "Cricotopus elegans", "Eleocharis keigheryi", "Neischnocolus amazonica", "Neischnocolus armihuariensis", "Eleocharis mamillata", "Neischnocolus caxiuana", "Neischnocolus weinmanni", "Eleocharis melanocarpa", "Eleocharis microcarpa", "Neischnocolus panamanus", "Neischnocolus valentinae", "Theraphosa stirmi", "Theraphosa apophysis", "Eurycnemus crassipes", "Lyrognathus crotalus", "Pyrrhopyge phidias leucoloma", "Eleocharis ovata", "Pyrrhopyge phidias rusca", "Lyrognathus achilles", "Lyrognathus fuscus", "Verbascum misirdalianum", "Ophiophrura imperfecta", "Ophiocormus notabilis", "Verbascum \u00d7 edirnense", "Grammostola vachoni", "Eleocharis exigua", "Eleocharis robbinsii", "Selenocosmia hirtipes", "Amphiura goniodes", "Amphiura leptotata", "Amphiura microsoma", "Eleocharis sellowiana var. sellowiana", "Amphiura poecila", "Eleocharis setifolia", "Eleocharis setifolia subsp. setifolia", "Amphiura septemspinosa", "Amphiura syntaracha", "Eleocharis sphacelata", "Lyrognathus lessunda", "Lyrognathus robustus", "Eleocharis pachycarpa", "Cardiastethus elegans", "Pyrrhopyge phidias zenodorus", "Pleurothallis baudoensis", "Alevonota egregia", "Pyrrhopyge papius", "Pyrrhopyge papius papius", "Lyrognathus saltator", "Pyrrhopyge papius pasca", "Alevonota calliceroides", "Eleocharis pallens", "Alevonota hetzeli", "Uvulifera verrucariae", "Lyrognathus giannisposatoi", "Coranus elegans", "Dendrocolaptes sanctithomae punctipectus", "Bolboschoenus caldwellii", "Characiosiphon rivularis", "Lobocharacium coloradoense", "Bolboschoenus maritimus subsp. maritimus", "Pyrrhopyge telassina", "Selenocosmia sutherlandi", "Actinochloris sphaerica", "Pyrrhopyge telassina telassina", "Pyrrhopyge telassina tagra", "Pyrrhopyge telassina shiva", "Eleocharis plana", "Ophiacantha metallacta", "Corythucha elegans", "Closterocoris elegans", "Eleocharis tenuis var. tenuis", "Eleocharis torticulmis", "Ophiocentrus inaequalis", "Eleocharis tricostata", "Epilachna lucianae", "Corixa elegans", "Epilachna matei", "Aulacomonas submarina", "Pseudostephanoptera propeller", "Triptera salina", "Fuirena pubescens", "Fuirena pubescens var. pubescens", "Verbascum shahsavarensis", "Chlainomonas ovalis", "Schoenoplectiella erecta", "Schoenoplectiella erecta subsp. erecta", "Schoenoplectiella hotarui", "Schoenoplectiella juncoides", "Sigalegalephrynus harveyi", "Sarcohyla hapsa", "Bolboschoenus planiculmis", "Derula delagrangei", "Brachiomonas submarina", "Verbascum albidiflorum", "Verbascum alceoides", "Cleisostomopsis filiformis", "Verbascum akdarense", "Euspondylus monsfumus", "Anadia ocellata", "Anadia vittata", "Anadia pamplonensis", "Anadia pulchella", "Anadia rhombifera", "Anadia steyeri", "Anadia petersi", "Elbella lamprus", "Elbella lamprus lamprus", "Verbascum akhalkalakiense", "Bachia lineata", "Bachia intermedia", "Myzomela prawiradilagae", "Cephaloplatus elegans", "Sigalegalephrynus burnitelongensis", "Sigalegalephrynus gayoluesensis", "Pyrrhopyge phylleia", "Pyrrhopyge phylleia phylleia", "Pyrrhopyge phylleia delos", "Metapolytoma bacteriferum", "Eleocharis tuberculosa", "Physocytium confervicola", "Chinecallicerus formidabilis", "Chinecallicerus glabriventris", "Chinecallicerus reuteri", "Chinecallicerus feldmanni", "Eleocharis uniglumis subsp. uniglumis", "Schoenoplectus lacustris subsp. lacustris", "Bachia peruana", "Bachia talpa", "Commius elegans", "Corbierea vulgaris", "Psammodynastes pictus", "Amphipholis pentacantha", "Amphioplus asterictus", "Amphioplus cyrtacanthus", "Schoenoplectus etuberculatus", "Schoenoplectus heterochaetus", "Ophiophragmus brachyactis", "Schoenoplectiella mucronata", "Amphiura octacantha", "Verbascum mughlaeum", "Verbascum kurdistanicum", "Verbascum gimgimense", "Schoenoplectiella supina", "Schoenoplectiella wallichii", "Schoenoplectiella hallii", "Chlorotriangulum minutum", "Chloroceras corniferum", "Cleisostomopsis eberhardtii", "Cleisostomopsis elytrigera", "Verbascum ambigens", "Cleisostomopsis roseus", "Blepharhymenus euchromus", "Severe acute respiratory syndrome coronavirus", "Verbascum aqranse", "Costatochloris quadricostata", "Schoenoplectus subterminalis", "Verbascum arbelense", "Verbascum arbusculum", "Melanotus desgodinsi", "Cylindromonas fontinalis", "Melanotus arunachalensis", "Schoenoplectus torreyi", "Melanotus dolakhaensis", "Oltmannsiella lineata", "Schoenoplectus litoralis subsp. litoralis", "Cyptocephala elegans", "Prometopa cedrici", "Antatelson claudei", "Lithobius longibasitarsus", "Lithobius datongensis", "Verbascum antilibanoticum", "Amphioplus parviclypeus", "Ophiactis hemiteles", "Coptosoma elegans", "Derula flavoguttata", "Schoenoplectus pungens var. pungens", "Liasis olivaceus", "Rhynchospora exaltata", "Rhynchospora fascicularis", "Rhynchospora fascicularis subsp. fascicularis", "Rhynchospora filiformis", "Echidnoglossa constricta", "Cercinthus elegans", "Melanotus kantnerorum", "Heterochlamydomonas inaequalis", "Melanotus svandai", "Melanotus kolleri", "Priopus lumawigi", "Priopus subcostatus", "Priopus tibetanus", "Hirtusochloris ellipsoidea", "Rhynchospora capillacea", "Echidnoglossa glabrata", "Rhynchospora globularis var. globularis", "Rhynchospora torreyana", "Carvalhodrymus elegans", "Rhynchospora gracilenta", "Rhynchospora grayi", "Macropodanthus clausus", "Verbascum delphicum subsp. cervi", "Verbascum delphicum subsp. delphicum", "Lithotrya rhodiopus", "Sartidia perrieri", "Cymus elegans", "Hybocoris brachypterus", "Stipagrostis ciliata var. ciliata", "Parapolytoma satura", "Hyalobrachion omphalotus", "Derula longipennis", "Rhynchospora capitellata", "Lobomonas francei", "Uromacer frenatus", "Verbascum assurense", "Uromacer catesbyi", "Uromacer oxyrhynchus", "Microglena monadina", "Limonius sapphirus", "Limonius onyx", "Peterfiella alata", "Philothalpus anapodos", "Philothalpus boreios", "Stipagrostis sabulicola", "Stipagrostis uniplumis var. uniplumis", "Ophiactis luteomaculata", "Arundo formosana subsp. formosana", "Belisana mengla", "Belisana menglun", "Arundo micrantha", "Belisana mengyang", "Smithsonimonas abbotii", "Belisana dian", "Belisana gupian", "Belisana chenjini", "Verbascum auriculatum", "Belisana xtbg", "Belisana yangxiaodongi", "Verbascum delphicum", "Spirogonium chlorogonioides", "Chilotrogus matejiceki", "Chilotrogus schoolmeestersi", "Polytoma uvella", "Verbascum assurense var. singaricum", "Verbascum assurense var. assurense", "Amphipogon turbinatus", "Pseudofurcilla lobosa", "Amphipogon debilis", "Verbascum aucheri", "Amphipogon caricinus", "Melanotus dabaensis", "Melanotus davidiana", "Melanotus fabbrii", "Melanotus habaensis", "Melanotus interprovincialis", "Melanotus janatai", "Melanotus jingkei", "Melanotus plutenkoi", "Melanotus shaanxianus", "Diplostauron angulosum", "Melanotus toi", "Melanotus wujiashanensis", "Melanotus angelinii", "Melanotus cambodiensis", "Melanotus caoxiaolani", "Melanotus csorbai", "Melanotus duvali", "Melanotus emarginatus", "Melanotus haucki", "Gigantochloris permaxima", "Gloeomonas ovalis", "Melanotus henscheli", "Melanotus mizhilensis", "Melanotus mucronatus", "Melanotus paveli", "Melanotus pejchai", "Echiniscus succineus", "Ophiactis quadrispina", "Rhynchospora harveyi", "Rhynchospora harveyi var. harveyi", "Neobisium pyrenaicum", "Rhynchospora macra", "Rhynchospora macrostachya", "Ophiothrix brachyactis", "Malleochloris sessilis", "Rhynchospora mixta", "Stylosphaeridiella crucigeniae", "Ophiothrix dyscrita", "Rhynchospora nitens", "Calyptoproctus elegans", "Verbascum barbeyi", "Taurotettix elegans", "Leprosoma inconspicuum", "Qiongthela bawang", "Qiongthela jianfeng", "Qiongthela yini", "Qiongthela wuzhi", "Verbascum aydogdui", "Verbascum baldaccii", "Opisthotropis hungtai", "Tussetia polytomoides", "Verbascum ballii", "Tomodon dorsatus", "Tomodon ocellatus", "Tretanorhinus variabilis", "Dipsas variegata", "Atractus crassicaudatus", "Falsoibidion shennongjiaensis", "Qiongthela baoting", "Qiongthela qiongzhong", "Qiongthela sanya", "Qiongthela yinggezui", "Perochirus scutellatus", "Perochirus guentheri", "Metadonus fernandoi", "Rhynchospora rugosa subsp. brownii", "Schoenus pauciflorus", "Tetracladus mirabilis", "Rhynchospora rugosa subsp. rugosa", "Phalotris cuyanus", "Cladium mariscus subsp. mariscus", "Dimorphorchis beccarii var. beccarii", "Cladium mariscus subsp. intermedium", "Dimorphorchis beccarii var. imthurnii", "Rhynchospora ruiziana", "Echidnoglossa meschniggi", "Stachys annua var. lycaonica", "Echidnoglossa scheerpeltzi", "Botryokoryne simplex", "Echidnoglossa paulinoi", "Rhynchospora scirpoides", "Rhodochytrium spilanthidis", "Rhynchospora wightiana", "Athroocystis ellipsoidea", "Echidnoglossa maghrebica", "Echidnoglossa russa", "Rhynchospora tenuifolia", "Echidnoglossa corsica", "Carpha schoenoides", "Caustis flexuosa", "Asceua adunca", "Mallinella renaria", "Caustis dioica", "Asceua quadrimaculata", "Caustis pentandra", "Asceua anding", "Caustis recurvata", "Dimorphorchis beccarii", "Tinocallis platani", "Qiongthela australis", "Qiongthela nui", "Leucanella janeira", "Leprosoma inaequale", "Rhynchospora oligantha", "Rhynchospora pallida", "Rhynchospora perplexa", "Macrophiothrix hybrida", "Rhynchospora rariflora", "Hydrodynastes gigas", "Phimophis guerini", "Phalotris tricolor", "Geophis semidoliatus", "Phalotris lemniscatus", "Phalotris bilineatus", "Rhynchospora recognita", "Leprosoma olcesii", "Rhynchospora rugosa", "Cladium mariscus subsp. jamaicense", "Cladium mariscus subsp. californicum", "Gunayan rhacia", "Conophis lineatus", "Cinara elegans", "Cacopsylla elegans", "Colposcenia elegans", "Evandra aristata", "Gahnia aspera", "Gahnia aspera subsp. aspera", "Asceua bifurca", "Asceua curva", "Asceua longji", "Gahnia microstachya", "Gahnia sieberiana", "Gunayan rubricollis", "Enoplognatha angkora", "Octonoba sanyanensis", "Octonoba xihua", "Storenomorpha hongfuchui", "Mallinella chengjiaani", "Gahnia tristis", "Dimorphorchis breviscapa", "Syntomenus laoticus", "Dimorphorchis lyonii", "Mallinella martensi", "Dimorphorchis rohaniana", "Chlorococcum infusionum", "Dimorphorchis rossii", "Dimorphorchis tenomensis", "Chlorohippotes tenax", "Gymnoschoenus sphaerocephalus", "Severe acute respiratory syndrome-like coronavirus", "Gymnoschoenus anceps", "Storena nepalensis", "Storena erratica", "Asceua trimaculata", "Gahnia australis", "Asceua daoxian", "Gahnia beecheyi", "Echidnoglossa miranda", "Dolomedes chevronus", "Echidnoglossa breiti", "Gahnia clarkey", "Dolomedes petalinus", "Dolomedes zhangjiajiensis", "Gahnia erythrocarpa", "Echidnoglossa ventricosa", "Gahnia filum", "Cicurina nervifera", "Echidnoglossa hirthei", "Asceua cingulata", "Asceua dispar", "Gahnia grandis", "Mallinella exornata", "Machaerina scirpoidea", "Mallinella suavis", "Machaerina sinclairii", "Mallinella bigemina", "Mallinella microtheca", "Machaerina tenax", "Asarum savatieri subsp. pseudosavatieri", "Machaerina teretifolia", "Apostolepis borellii", "Atractus werneri", "Clelia plumbea", "Verbascum birandianum", "Helicops carinicaudus", "Echinanthera undulata", "Verbascum blancheanum", "Diaphorolepis laevis", "Geophis ruthveni", "Atractus resplendens", "Centris elegans", "Machaerina acuta", "Machaerina angustifolia", "Mallinella melanognatha", "Kortomenus koreanus", "Mallinella oculobella", "Colusa eximia", "Lepidosperma chinense", "Colusa brendeli", "Lepidosperma filiforme", "Lepidosperma gladiatum", "Lepidosperma laterale", "Lepidosperma longitudinale", "Lepidosperma tetraquetrum", "Lepidosperma urophorum", "Lepidosperma viscidum", "Lepidosperma squamatum", "Lepidosperma effusum", "Lepidosperma elatius", "Machaerina arthrophylla", "Machaerina articulata", "Mallinella ampliata", "Machaerina iridifolia", "Mallinella insolita", "Mallinella peculiaris", "Mallinella flabellata", "Mallinella comitata", "Machaerina juncea", "Mallinella flagelliformis", "Mallinella flabelliformis", "Machaerina mariscoides", "Mallinella fronto", "Machaerina rubiginosa", "Lepidosperma globosum", "Verbascum battandieri", "Verbascum benthamianum", "Verbascum betonicifolium", "Verbascum biebersteinii", "Gunayan timaeus", "Oxyrhopus doliatus", "Oxyrhopus trigeminus", "Oxyrhopus rhombifer", "Oxyrhopus clathratus", "Oxyrhopus occipitalis", "Oxyrhopus erdisii", "Oxyrhopus leucomelas", "Oxyrhopus marcapatae", "Oxyrhopus formosus", "Oxyrhopus vanidicus", "Oxyrhopus guibei", "Paraphimophis rusticus", "Mussurana bicolor", "Gahnia melanocarpa", "Storenomorpha abramovi", "Echidnoglossa betzi", "Echidnoglossa artior", "Echidnoglossa formosana", "Asceua maculosa", "Mallinella hoangliena", "Mallinella ngoclinha", "Axilococcus clingmanii", "Mallinella khanhoa", "Dimorphorchis celebica", "Mallinella phansipana", "Mallinella consona", "Mallinella alticola", "Dimorphorchis graciliscapa", "Syntomenus chinensis", "Schoenus apogon", "Schoenus apogon var. apogon", "Schoenus brevifolius", "Schoenus calcatus", "Schoenus ericetorum", "Jemadia hospita hephaestos", "Bulbophyllum unitubum", "Ithome tamarugensis", "Bulbophyllum japonicum", "Neobisium geronense", "Machaerina insularis", "Machaerina tetragona", "Mesomelaena tetragona", "Mallinella nilgherina", "Mallinella glomerata", "Mallinella montana", "Mallinella stenotheca", "Mallinella silva", "Mallinella capitulata", "Mallinella shuqiangi", "Morelotia gahniiformis", "Mallinella uncinata", "Mallinella erratica", "Schoenus nanus", "Schoenus nitens", "Schoenus nitens var. nitens", "Schoenus variicellae", "Emergococcus lucens", "Emergosphaera superficialis", "Tropidodipsas annulifera", "Geophis petersii", "Geophis sallaei", "Geophis championi", "Geophis godmani", "Geophis isthmicus", "Enuliophis sclateri", "Pachydactylus rangei", "Thyreus elegans", "Athroisma laciniatum", "Chimantaea mirabilis", "Cladostigma dioicum", "Delarbrea collina", "Duidaea pinifolia", "Duidaea rubriceps", "Duidaea tatei", "Leprosoma reticulatum", "Hyaloseris rubicunda", "Leprosoma stali", "Poritia plateni plateni", "Poritia plateni simoni", "Schoenus imberbis", "Schoenus melanostachys", "Schoenus sparteus", "Fasciculochloris boldii", "Schoenus villosus", "Ferricystis mucicola", "Schoenus albovaginatus", "Schoenus bracteosus", "Anapisa schultzei", "Schoenus comparoides", "Schoenus rhynchosporoides", "Kentrosphaeropsis variabilis", "Lautosphaeria monsfumosa", "Nautococcus pyriformis", "Neglectellopsis skujae", "Neohalochloris marina", "Jemadia hospita imitator", "Leprosoma tuberculatum", "Papilio natewa", "Leprosoma tenuimarginatum", "Octogoniella sphagnicola", "Oophila amblystomatis", "Caio remus", "Jemadia brevipennis", "Phaseolaria obliqua", "Pseudoplanophila sphagnothermalis", "Pseudospongiococcum protococcoides", "Schoenus antarcticus", "Pseudotrochiscia areolata", "Tetrablemma alterum", "Jemadia hewitsonii", "Jemadia hewitsonii hewitsonii", "Tetraria bromoides", "Mallinella nepalensis", "Mallinella vittata", "Atractus bocki", "Atractus melanogaster", "Atractus obtusirostris", "Mallinella oscari", "Atractus paraguayensis", "Atractus reticulatus", "Heliconilla irrorata", "Atractus bocourti", "Atractus erythromelas", "Atractus melas", "Atractus modestus", "Atractus vittatus", "Atractus vertebralis", "Atractus duboisi", "Atractus ventrimaculatus", "Heliconilla thaleri", "Heliconilla cochleata", "Morelotia affinis", "Arrhyton dolichura", "Heliconilla oblonga", "Heliconilla globularis", "Heliconilla furcata", "Heliconilla aculeata", "Heliconilla crassa", "Heliconilla mesopetala", "Workmania botuliformis", "Workmania juvenca", "Oreobolus pectinatus", "Colusa illecta", "Colusa morigera", "Ptilothrix deusta", "Jemadia hospita", "Jemadia hospita hospita", "Eriophorum angustifolium subsp. angustifolium", "Geodia micraster", "Noccaea atila-ocakii", "Conothele gressitti", "Schoenus vaginatus", "Jemadia fallax", "Jemadia fallax fallax", "Platyprosopus latitarsalis", "Jemadia fallax fida", "Platyprosopus rossii", "Schoenus pedicellatus", "Platyprosopus maximus", "Jemadia fallax fiska", "Tetrablemma tatacoa", "Tetrablemma mochima", "Geostiba simplicicollis", "Geostiba kakhetiana", "Axinyssa djiferi", "Tetrablemma benoiti", "Tetraria ligulata", "Axinyssa ambrosia", "Axinyssa yumae", "Schoenus triticoides", "Axinyssa tenax", "Jemadia fallax solaris", "Minuartia dichotoma", "Nothapodytes montana", "Skujaster asteriferus", "Mariblemma pandani", "Pentastemonodiscus monochlamydeus", "Polemanniopsis marlothii", "Jemadia gnetus", "Ulotrichella fenestrata", "Valkanoviella vaucheriae", "Ophiothrix liodisca", "Macrophiothrix rhabdota", "Proislandiana pallida", "Proislandiana beroni", "Archedontia agnesae", "Ukamenia babeana", "Tetraria capillaris", "Termitodiellus hainanensis", "Tetraria thermalis", "Entophysa charae", "Vilpianus galii", "Microlinyphia johnsoni", "Colletes elegans", "Calliscirpus criniger", "Pachydactylus barnardi", "Microlinyphia mandibulata", "Cerceris elegans", "Geostiba frischi", "Geostiba prominens", "Geostiba dentata", "Pseudalsophis dorsalis", "Pseudalsophis occidentalis", "Pseudalsophis steindachneri", "Eriophorum virginicum", "Eriophorum viridicarinatum", "Eriophorum brachyantherum", "Alsophis antillensis", "Lithotrya valentiana", "Apostolepis dorbignyi", "Pachydactylus boehmei", "Cercophis auratus", "Dipsas mikanii", "Dipsas pavonina", "Tachymenis chilensis", "Helicops leopardinus", "Alsophis manselli", "Atractus carrioni", "Dipsas trinitatis", "Eriophorum chamissonis", "Ninia hudsoni", "Alsophis danforthi", "Ialtris haetianus", "Ialtris parishi", "Jemadia pseudognetus", "Microlinyphia mandibulata punctata", "Stereochilus erinaceus", "Tetraria capillacea", "Jemadia pater", "Arrhyton taeniatum", "Atractus elaps", "Atractus maculatus", "Ialtris dorsalis", "Lygophis anomalus", "Taeniophallus affinis", "Tropidodipsas fasciata", "Thamnodynastes strigatus", "Geophis bicolor", "Pseudalsophis biserialis", "Jemadia menechmus", "Jemadia menechmus menechmus", "Jemadia menechmus desousai", "Pachydactylus affinis", "Pachydactylus acuminatus", "Jarava subaristata", "Axinyssa terpnis", "Axinyssa oinops", "Axinyssa topsenti", "Axinyssa cavernosa", "Pachydactylus amoenus", "Pachydactylus atorquatus", "Chrysopophthorus hungaricus", "Verbascum ibrahim-belenlii", "Frontinellina locketi", "Oreobolopsis clementis", "Stereochilus dalatensis", "Axinyssa aurantiaca", "Axinyssa variabilis", "Axinyssa tuscara", "Stereochilus laxus", "Axinyssa digitata", "Microlinyphia cylindriformis", "Axinyssa tenuispiculata", "Axinyssa diversicolor", "Axinyssa gravieri", "Axinyssa tethyoides", "Axinyssa aculeata", "Axinyssa isabela", "Stereochilus ringens", "Axinyssa radiata", "Axinyssa papillosa", "Axinyssa michaelis", "Axinyssa bergquistae", "Axinyssa papuensis", "Ophiomastix corallicola", "Borodinella polytetras", "Microlinyphia simoni", "Microlinyphia sterilis", "Lophornis verreauxii", "Medusochloris phiale", "Papenfussiomonas cordata", "Phyllocardium complanatum", "Platella mirabilis", "Cirrhilabrus briangreenei", "Apyrrothrix arizonae", "Polytomella agilis", "Meotica filiformis", "Polysphaera composita", "Possonia sestonica", "Pseudotetracystis terrestris", "Sarcinochlamys stigmatica", "Symbiococcum hydrae", "Tachymenis peruviana", "Tachymenis affinis", "Tachymenis attenuata", "Tachymenis tarmensis", "Tachymenis elongata", "Onosma macrorhiza", "Onosma maculata", "Apiochloris obliqua", "Onosma maracandica", "Microlinyphia dana", "Jemadia scomber", "Calaphidius elegans", "Helicops modestus", "Helicops polylepis", "Microlinyphia impigra", "Tantalophis discolor", "Microlinyphia aethiopica", "Jemadia sosia", "Tretanorhinus mocquardi", "Geophis dugesii", "Ninia pavimentata", "Microlinyphia delesserti", "Dipsas viguieri", "Tretanorhinus taeniatus", "Apostolepis pymi", "Microlinyphia zhejiangensis", "Geodia ovis", "Pachydactylus capensis", "Eriophorum tenellum", "Geodia micropora", "Noccaea birolmutlui", "Achillea kirschneri", "Aethionema sancakense", "Comorella spectabilis", "Aethionema adiyamanense", "Allium donmezii", "Savignia kartalensis", "Erigone convalescens", "Oedothorax legrandi", "Allium sultaniae-ismailii", "Agyneta flandroyae", "Agyneta alboguttata", "Agyneta tincta", "Allium yamadagense", "Stereochilus brevirachis", "Solicoccozyma gelidoterrea", "Lepthyphantes louettei", "Axinyssa valida", "Axinyssa gracilis", "Neriene kartala", "Axinyssa mertoni", "Axinyssa aplysinoides", "Axinyssa paradoxa", "Meotica exilis", "Meotica exillima", "Silvamonas lobata", "Coelinidea elegans", "Scirpus mitsukurianus", "Spermatozopsis exsultans", "Ardaris eximia", "Ulochloris oscillans", "Ardaris hantra", "Chalypyge chalybea", "Chalypyge chalybea chalybea", "Chalypyge chalybea chloris", "Chalypyge zereda", "Chalypyge zereda zereda", "Palmodactylon simplex", "Speocera debundschaensis", "Hypnomonas tuberculata", "Kremastochloris conus", "Nautococcopsis constricta", "Onosma bilabiata", "Onosma demavendica", "Onosma kurdica", "Chlamydocystis indica", "Onosma ghahremanii", "Gonium pectorale", "Scirpus atrocinctus", "Chalypyge zereda hygieia", "Scirpus ternatanus", "Chalypyge zereda insana", "Strongylacidon sansibarense", "Onosma pavlovae", "Onosma levinii", "Onosma pseudoeuboica", "Onosma latifolia", "Onosma leucocarpa", "Spheciospongia florida", "Rusalka fusiformis", "Bathyphantes floralis", "Neriene oxycera", "Nesioneta ellipsoidalis", "Stephanosphaera pluvialis", "Scirpus wichurae var. wichurae", "Speocera caeca", "Dendrocystis raoi", "Speocera crassibulba", "Heleococcus mucicola", "Scirpus \u00d7 peckii", "Scirpus hattorianus", "Speocera capra", "Onosma lhokaensis", "Haliclona bawiana", "Axinella weltnerii", "Tethya globostellata", "Fasciospongia operculum", "Tedania vulcani", "Onosma anatolica", "Onosma afghanica", "Onosma albicaulis", "Campyloneurus elegans", "Oplistochilus pallidus", "Oplistochilus subcarinatus", "Oplistochilus contestor", "Chloranomala palmelloides", "Trichophorum cespitosum subsp. cespitosum", "Dendrodictyon indicum", "Ecballocystella planctonica", "Becquerelia cymosa", "Tropidodipsas philippii", "Tropidodipsas zweifeli", "Trimetopon barbouri", "Trimetopon simile", "Trimetopon viquezi", "Trimetopon pliolepis", "Trimetopon gracile", "Ecballodictyon planctonicum", "Scleria bulbifera", "Dipsas copei", "Leptodeira rhombifera", "Leptodeira bakeri", "Scleria lithosperma var. lithosperma", "Parabolbocoris signoreti", "Ecionemia acervus", "Chondrilla mixta", "Amphiophiura metabula", "Cinachyrella arabica", "Onosma borragoidina", "Lendenfeldia plicata", "Morelia spilota spilota", "Gyoerffyana humicola", "Dundocera angolana", "Cyperus pedunculatus", "Melanopyge maculosa", "Speocera decui", "Chorizandra cymbaria", "Chorizandra sphaerocephala", "Onosma angustiloba", "Chalypyge zereda zepha", "Onosma austriaca", "Theotima lawrencei", "Theotima kivuensis", "Scleria levis", "Scleria parvula", "Theotima mirabilis", "Theotima moxicensis", "Theotima jeanneli", "Scleria secans", "Gloeodendron ramosa", "Scleria testacea", "Scleria triglomerata", "Laibin mobatvirus", "Nova mobatvirus", "Quezon mobatvirus", "Coleochloa setifera", "Imjin thottimvirus", "Coleochloa setifera subsp. setifera", "Coleochloa abyssinica", "Thottopalayam thottimvirus", "Microdracoides squamosa", "Machaerina muelleri", "Dundocera fagei", "Cyperus hyalinus", "Dundocera gabelensis", "Alosa caspia", "Scleria verticillata", "Penares orthotriaena", "Echinodictyum marleyi", "Callyspongia dendyi", "Dysidea chalinoides", "Lissodendoryx pygmaea", "Spheciospongia excentrica", "Rhabderemia spirophora", "Clathria cullingworthi", "Clathria irregularis", "Clathria juncea", "Amphiophiura oedignatha", "Ferak feravirus", "Jonaspyge jonas", "Jonaspyge aesculapus", "Melanopyge cossea", "Elbella viriditas", "Allium cepa amalgavirus 1", "Allium cepa amalgavirus 2", "Spinach amalgavirus 1", "Zoostera marina amalgavirus 1", "Zoostera marina amalgavirus 2", "Campylorhamphus procurvoides gyldenstolpei", "Apimela sabulicola", "Tectusa killinica", "Chaetomium globosum", "Hypolytrum longifolium", "Hypolytrum longifolium subsp. rubescens", "Hypolytrum longifolium subsp. longifolium", "Hypolytrum schraderianum", "Mimardaris sela", "Mimardaris sela sela", "Mapania amplivaginata", "Mimardaris sela aequatorea", "Isoctenus corymbus", "Mapania cuspidata", "Mapania cuspidata var. cuspidata", "Melanopyge erythrosticta", "Phimophis vittatus", "Imantodes inornatus", "Apostolepis nigroterminata", "Dipsas andiana", "Dipsas elegans", "Vosmaeria levigata", "Laminospongia subtilis", "Sarcomella medusa", "Uritaia halichondroides", "Melanopyge hoffmanni", "Cryptax orygmi", "Polycyrtus vierecki", "Falco bulgaricus", "Sternodontus obtusus", "Huaiyangshan banyangvirus", "Scleria mackaviensis", "Longquan loanvirus", "Scleria terrestris", "Sternodontus ampliatus", "Scleria terrestris var. terrestris", "Inoderma lamellosum", "Jonchet jonvirus", "Oncosaccus tetrasporoides", "Insect inshuvirus", "Rhizaxinella gracilis", "Cliona topsenti", "Palmellosphaericum planctonicum", "Henneguya zschokkei", "Jaspis johnstonii", "Stelligera nux", "Cliothosa hancocki", "Cangoderces christae", "Cangoderces milani", "Seychellia jeremyi", "Onosma cardiostegium", "Apiococcus consociatus", "Onosma baldshuanica", "Strongylacidon bermuda", "Strongylacidon kaneohe", "Strongylacidon meganese", "Strongylacidon zukerani", "Strongylacidon mollissimum", "Strongylacidon griseum", "Onosma barsczewskii", "Strongylacidon inaequale", "Strongylacidon plicatum", "Strongylacidon platei", "Strongylacidon stelliderma", "Strongylacidon stelligerum", "Strongylacidon intermedium", "Strongylacidon fasciculatum", "Strongylacidon poriticola", "Strongylacidon rubrum", "Strongylacidon viride", "Strongylacidon conulosum", "Asterococcus superbus", "Onosma burmanica", "Putonia torrida", "Strongylacidon chelospinatum", "Strongylacidon oxychaetum", "Strongylacidon solangeae", "Campodorus elegans", "Scleria muehlenbergii", "Scleria reticularis", "Onosma brevipilosa", "Chalypyge zereda rufinucha", "Scleria pauciflora var. pauciflora", "Onosma anisocalyx", "Onosma atrocyanea", "Meotica pallens", "Meotica filaria", "Onosma aucheriana", "Chalypyge zereda rufipectus", "Phormictopus meloderma", "Phormictopus platus", "Phormictopus atrichomatus", "Microceris variicolor", "Phormictopus auratus", "Meotica normandi", "Meotica arasensis", "Meotica caucasica", "Hypolytrum bullatum", "Isoctenus coxalis", "Meotica subnigra", "Meotica truncata", "Meotica hamata", "Hypolytrum nemorum", "Hypolytrum nemorum subsp. nemorum", "Rabovirus D", "Rafivirus A", "Rafivirus B", "Rosavirus B", "Rosavirus C", "Tottorivirus A", "Leptodeira frenata", "Adelphicos visoninum", "Leptodeira rubricata", "Alsophis sibonius", "Apostolepis lineata", "Bryaxis pangeonicus", "Typhlotectusa frischi", "Leptotyphlopsis shavshetica", "Proteinus cavatus", "Proteinus planicollis", "Fageicera cubana", "Fageicera nasuta", "Fageicera loma", "Melanopyge mulleri", "Fageicera matarredondensis", "Trichopelma cubanum", "Citharacanthus alayoni", "Seewis orthohantavirus", "Citharacanthus cyaneus", "Cyrtopholis regibbosa", "Metardaris cosinga", "Metadaris cosinga cosinga", "Cyrtopholis ramsi", "Meotica moczarskii", "Metadaris cosinga catana", "Metadaris cosinga cedra", "Metadaris cosinga circe", "Meotica wunderlei", "Meotica ochsi", "Phormictopus cubensis", "Meotica smetanai", "Meotica hispanica", "Phormictopus cautus", "Pithovirus massiliensis", "Meotica andujari", "Geophis anocularis", "Crisantophis nevermanni", "Atractus sanctaemartae", "Saphenophis antioquiensis", "Distichophyllum freycinetii", "Distichophyllum pulchellum", "Distichophyllum rotundifolium", "Elbella viriditas viriditas", "Distichophyllum fasciculatum", "Pseudoboa haasi", "Atractus lehmanni", "Psomophis genimaculatus", "Atractus emmeli", "Alsophis sanctonum", "Adelphicos nigrilatum", "Stegophiura macrarthra", "Sarcanthopsis hansemannii", "Mapania deistelii", "Sarcophyton crassifolium", "Sarcophyton pachyphyllum", "Sarcophyton taiwanianum", "Magliophis stahli", "Taeniophallus bilineatus", "Dipsas alternans", "Adelphicos sargii", "Emmochliophis miops", "Dipsas vermiculata", "Dipsas ventrimaculatus", "Dipsas schunkii", "Dipsas sanctijoannis", "Dipsas pratti", "Dipsas palmeri", "Dipsas latifrontalis", "Dipsas gracilis", "Dipsas ellipsifera", "Dipsas praeornata", "Dipsas temporalis", "Dipsas maxillaris", "Davallia fejeensis", "Davallia heterophylla", "Davallia hymenophylloides", "Davallia multidentata", "Ischnosoma convergens", "Ischnosoma parallelum", "Drusilla bucina", "Drusilla holoserica", "Zyras rasilis", "Zyras nigrorufus", "Apimela procera", "Cyrtotyphlus samothracicus", "Metrotyphlus samothracicus", "Cephennium samothracicum", "Jericarnavirus B", "Sanfarnavirus 1", "Sanfarnavirus 2", "Sanfarnavirus 3", "Scydmoraphes samothracicus", "Tychobythinus assingi", "Bryaxis samothracicus", "Britarnavirus 1", "Phormictopus cochleasvorax", "Phormictopus fritzschei", "Britarnavirus 4", "Phormictopus jonai", "Sarcanthopsis quaifei", "Sarcanthopsis warocqueana", "Sarcanthopsis woodfordii", "Adelphicos newmanorum", "Adelphicos latifasciatum", "Daphniphyllum longeracemosum", "Cytinus hypocistis subsp. hypocistis", "Palmarnavirus 128", "Palmarnavirus 473", "Cytinus ruber", "Britarnavirus 2", "Britarnavirus 3", "Chaetarnavirus 2", "Chaetenuissarnavirus II", "Cytinus sanguineus", "Jericarnavirus A", "Palmarnavirus 156", "Ditaxodon taeniatus", "Ailurivirus A", "Conophis vittatus", "Livupivirus A", "Coniophanes dromiciformis", "Leptodeira punctata", "Coniophanes melanocephalus", "Malagasivirus A", "Malagasivirus B", "Mischivirus D", "Passerivirus B", "Poecivirus A", "Tugana cudina", "Rabovirus B", "Rabovirus C", "Davallia pyxidata", "Elbella patrobas evansi", "Elbella patrobas mexicana", "Jania crassa", "Dactylocalyx subglobosus", "Dactylocalyx pumiceus", "Rubia jesoensis", "Primicimex cavernis", "Ophiosphalma monoplax", "Cratocentrus ruficornis", "Elbella lustra", "Onosma kittaniae", "Davallia bullata", "Acrapex alemura", "Acrapex barnsi", "Dipsas cisticeps", "Dipsas peruana", "Dipsas vagrans", "Dipsas nicholsi", "Dipsas catesbyi", "Dipsas turgida", "Dipsas oreas", "Dipsas articulata", "Dipsas neuwiedi", "Dipsas tenuissima", "Dipsas gaigeae", "Dipsas bucephala", "Dipsas williamsi", "Dipsas baliomelas", "Dipsas chaparensis", "Dipsas lavillai", "Dipsas pakaraima", "Dipsas oneilli", "Dipsas oligozonata", "Dipsas jamespetersi", "Dusona elegans", "Nemeritis elegans", "Mapania palustris", "Mapania palustris var. palustris", "Phormictopus bistriatus", "Mapania sylvatica subsp. sylvatica", "Ischnosoma acre", "Ischnosoma cuspidatum", "Proteinus reflexicollis", "Proteinus atomarius", "Parabolitobius meskheticus", "Bolitobius insignis", "Xantholinus meskheticus", "Rhachidelus brazili", "Eutrachelophis steinbachi", "Achrophyllum dentatum", "Geophis nigroalbus", "Farancia erytrogramma", "Xantholinus variabilis", "Echinanthera cyanopleura", "Taeniophallus nicagus", "Taeniophallus persimilis", "Taeniophallus brevirostris", "Elbella patrobas", "Elbella patrobas patrobas", "Elbella patrobas melanina", "Davallia chaerophylloides", "Davallia pentaphylla", "Davallia pubescens", "Elbella patrobas amazonica", "Elbella patrobas tingo", "Davallia sessilifolia", "Davallia solida", "Jania pedunculata", "Oscarella pearsei", "Acrapex capelongo", "Acrapex congoensis", "Acrapex elgona", "Acrapex elisabethiana", "Acrapex eucantha", "Tricleocarpa fastigiata", "Chrysolampus elegans", "Elbella luteizona", "Elbella madeira", "Davallia denticulata", "Tricleocarpa australiensis", "Elbella merops", "Elbella miodesmiata", "Selenocosmia compta", "Selenocosmia deliana", "Othius rasus", "Selenocosmia strubelli", "Selenocosmia subvulpina", "Othius transsilvanicus", "Othius latus", "Othius latus gansuensis", "Othius hetzeli", "Othius brunkei", "Othius procerus", "Othius devians", "Nonea edgeworthii", "Nonea hypoleia", "Nonea iranica", "Dennstaedtia bipinnata", "Megistacantha horridum", "Megistacantha sanghaensis", "Acrapex grandis", "Acrapex igominyi", "Acrapex inexpectata", "Acrapex ketoma", "Acrapex lilomwi", "Acrapex mafinga", "Acrapex makete", "Acrapex marungu", "Acrapex mazoe", "Mimoniades ocyalus", "Hypolepis resistens", "Hemiphyllodactylus aurantiacus", "Hemiphyllodactylus harterti", "Hemiphyllodactylus larutensis", "Hemiphyllodactylus yunnanensis", "Hemiphyllodactylus margarethae", "Hypolepis rugosula subsp. rugosula", "Ptenopus kochi", "Ptenopus carpi", "Ptenopus garrulus", "Heteronotia spelea", "Heteronotia planiceps", "Hypolepis sparsisora", "Microlepia setosa", "Scopoides gyirongensis", "Scopoides xizangensis", "Sergiolus mainlingensis", "Dicaeum virescens", "Clubiona altissimus", "Clubiona linzhiensis", "Oscarella nicolae", "Oscarella bergenensis", "Elbella viriditas chia", "Calandrella dukhunensis", "Elbella viriditas boliviana", "Elbella intersecta peter", "Elbella intersecta strova", "Calandrella eremica", "Elbella intersecta paraensis", "Elbella intersecta rufitegula", "Elbella lamprus albociliata", "Iphiteon panicea", "Orthobula qinghaiensis", "Sternodontus similis", "Orthobula tibenensis", "Cleptes semicyaneus", "Nonea turcomanica", "Nonea setosa", "Panaspis mocamedensis", "Nonea ovczinnikovii", "Nonea longiflora", "Nonea minutiflora", "Ixchela panchovillai", "Ixchela zapatai", "Khorata nani", "Khorata yuhaoi", "Ossinissa justoi", "Leptusa shavshetica", "Smeringopina armata", "Acrapex mataphaea", "Acrapex mlanje", "Acrapex muchinga", "Acrapex mystica", "Acrapex ngorongoro", "Acrapex obscura", "Acrapex roseola", "Acrapex roseonigra", "Dennstaedtia zeylanica", "Acrapex ruiru", "Acrapex sogai", "Acrapex spoliata", "Dennstaedtia wilfordii", "Nonea kandaharensis", "Acrapex undulata", "Nonea macropoda", "Acrapex wittei", "Dennstaedtia globulifera", "Mimoniades baroni", "Pardosa flavipes", "Pardosa qingzangensis", "Pardosa silvarum", "Sternodontus binodulus", "Xizangia linzhiensis", "Hypolepis muelleri", "Trachelas alticola", "Hypolepis rugosula subsp. villoso-viscida", "Gnaphosa namulinensis", "Lathrobium cooteri", "Sarcoglyphis mirabilis", "Lathrobium austere", "Campylorhamphus procurvoides probatus", "Lathrobium tsukubanum", "Campylorhamphus procurvoides multostriatus", "Zilla crownia", "Zilla globosa", "Hypolepis bogotensis", "Hypolepis elegans", "Polynema howardii", "Zilla qinghaiensis", "Zilla diodia", "Gamasomorpha barbifera", "Chrysis elegans", "Micaria albofasciata", "Micaria xiningensis", "Dicaeum dayakorum", "Micaria yushuensis", "Microlepia marginata", "Dicaeum schistaceiceps", "Microlepia nepalensis", "Dicaeum minullum", "Hemidactylus parvimaculatus", "Hemidactylus puccionii", "Hemidactylus newtoni", "Hemidactylus tasmani", "Hemidactylus platycephalus", "Hemidactylus scabriceps", "Hemidactylus palaichthus", "Hemidactylus stejnegeri", "Hemidactylus pseudomuriceus", "Hemidactylus minutus", "Hemidactylus kamdemtohami", "Hemidactylus albofasciatus", "Hemidactylus acanthopholis", "Hemidactylus angulatus", "Hemidactylus ansorgii", "Hemidactylus aquilonius", "Hemidactylus imbricatus", "Hemidactylus alfarraji", "Hemidactylus asirensis", "Hemidactylus paivae", "Hemidactylus nzingae", "Hemidactylus fragilis", "Hemidactylus montanus", "Hemidactylus murrayi", "Hemidactylus chikhaldaraensis", "Hemidactylus kolliensis", "Hemidactylus sankariensis", "Hemidactylus paaragowli", "Hemidactylus siva", "Ophiomusa oligoplaca", "Nothoceros vincentianus", "Nonea daghestanica", "Onosma montana", "Onosma moussavi", "Onosma nydeggeri", "Chloronephris pigra", "Neoleprosoma argentinensis", "Onosma trachycarpa", "Onosma tridentina", "Onosma urumensis", "Onosma zagrica", "Onosma yamagatae", "Onosma xiangchengensis", "Onosma vaudensis", "Onosma sindjarensis", "Onosma striata", "Onosma staminea", "Onosma qandilica", "Onosma pabotii", "Onosma demirizii", "Hyaliella polytomoides", "Hyalocardium printzii", "Apyrrothrix araxes", "Phidippus audax", "Monachosorum subdigitatum", "Lathrobium converrens", "Lathrobium aperiens", "Lathrobium toonicum", "Lathrobium bigladiosum", "Monachosorum henryi", "Hydrosaurus celebensis", "Hydrosaurus microlophus", "Dennstaedtia samoensis", "Davallia trichomanoides", "Davallia tyermannii", "Geophis mutitorques", "Geophis brachycephalus", "Elbella patroclus", "Elbella patroclus patroclus", "Imantodes tenuissimus", "Ninia psephota", "Imantodes lentiferus", "Elbella patroclus acala", "Elbella rondonia", "Elbella theseus", "Ninia atrata", "Ninia maculata", "Hemidactylus albopunctatus", "Hemidactylus barodanus", "Hemidactylus citernii", "Hemidactylus isolepis", "Hemidactylus jubensis", "Hemidactylus macropholis", "Hemidactylus ophiolepis", "Hemidactylus ruspolii", "Hemidactylus sinaitus", "Hemidactylus smithi", "Hemidactylus curlei", "Hemidactylus somalicus", "Hemidactylus karenorum", "Hemidactylus reticulatus", "Hemidactylus robustus", "Hemidactylus giganteus", "Hemidactylus gracilis", "Hemidactylus homoeolepis", "Hemidactylus muriceus", "Hemidactylus squamulatus", "Hemidactylus dracaenacolus", "Hemidactylus lemurinus", "Hemidactylus mabouia", "Hemidactylus treutleri", "Hemidactylus mindiae", "Othius zolotarevi", "Othius jadwigae", "Smeringopina africana", "Helicops pastazae", "Othius ushakovi", "Helicops infrataeniatus", "Smeringopina beninensis", "Helicops scalaris", "Helicops hagmanni", "Othius serratus", "Smeringopina camerunensis", "Helicops petersi", "Smeringopina simplex", "Helicops tapajonicus", "Othius derectus", "Othius unculatus", "Othius svaneticus", "Othius fastigatus", "Smeringopina pulchra", "Helicops gomesi", "Helicops danieli", "Apostolepis niceforoi", "Apostolepis polylepis", "Apostolepis tenuis", "Dendrobium spectabile", "Blotiella confusa", "Atractus loveridgei", "Atractus nicefori", "Selenocosmia aruana", "Atractus lasallei", "Atractus nigriventris", "Blotiella glabra", "Atractus oculotemporalis", "Atractus pamplonensis", "Atractus punctiventris", "Atractus serranus", "Atractus trihedrurus", "Atractus trivittatus", "Blotiella natalensis", "Sagellula xizangensis", "Pteridium aquilinum subsp. aquilinum", "Philodromus aliensis", "Philodromus gyirongensis", "Philodromus lhasana", "Philodromus arizonensis", "Cyphus elegans", "Pteridium arachnoideum subsp. arachnoideum", "Ibla cumingi", "Pteridium latiusculum subsp. latiusculum", "Pteridium latiusculum subsp. japonicum", "Mimoniades montana", "Ophiozonoida picta", "Tholagmus acutangulus", "Tholagmus chobauti", "Tholagmus enkidu", "Pseudoechthistatus rogusus", "Nonea bakuensis", "Nonea cyanocalix", "Cryptocheilus elegans", "Camponotus elegans", "Vesperus aragonicus", "Bohadschia atra", "Ceratophyus amdoensis", "Tholagmus strigatus", "Dicksonia karsteniana", "Actenoides bougainvillei excelsus", "Lobrathium gallienii", "Lobrathium moreanum", "Discospermum parvifolium", "Discospermum quocensis", "Larutia trifasciata", "Larutia larutensis", "Larutia miodactyla", "Catomus kabakovi", "Ceropales elegans", "Dichapetalum gelonioides", "Dichapetalum gelonioides subsp. gelonioides", "Dichapetalum toxicarium", "Tholagmus breviceps", "Hydaticus hauthi", "Larutia sumatrensis", "Cyrtodactylus agamensis", "Carlia leucotaenia", "Elapoidis sumatrana", "Hydaticus panguana", "Elapoidis fusca", "Phytoecia kazaryani", "Phytoecia kashanica", "Nautocapsa neustophila", "Vesperus barredai", "Discospermum coffeoides", "Mimoniades nurscia", "Dryadorchis barbellata", "Pholistoma racemosum", "Tricardia watsonii", "Hesperochiron californicus", "Hesperochiron campanulatus", "Hesperochiron pumilus", "Mimoniades nurscia nurscia", "Dryadorchis dasystele", "Nemophila hoplandensis", "Nemophila kirtleyi", "Nemophila phacelioides", "Nemophila sayersensis", "Acanthodactylus lacrymae", "Acanthodactylus montanus", "Coccomonas orbicularis", "Delphinomonas hemisphaerica", "Geodia oxyastra", "Mimoniades nurscia amans", "Mimoniades nurscia malis", "Vesperus gomezi", "Vesperus jertensis", "Vesperus joanivivesi", "Sordellina punctata", "Vesperus luridus", "Synophis lasallei", "Synophis calamitus", "Synophis plectovertebralis", "Vesperus macropterus", "Vesperus nigellus", "Vesperus sanzi", "Vesperus serranoi", "Corydalis jigmei", "Corydalis jingyuanensis", "Corydalis jiulongensis", "Ploeotila ramosa", "Carlia bicarinata", "Carlia quinquecarinata", "Carlia sexdentata", "Carlia longipes", "Vesperus bolivari", "Vesperus brevicollis", "Schizodictyon catenatum", "Sibon dunni", "Vesperus conicicollis", "Sibon miskitus", "Vesperus conicicollis conicicollis", "Sibon annulatus", "Vesperus conicicollis hispalensis", "Sibon dimidiatus", "Sibon argus", "Vesperus creticus", "Vesperus flaveolus", "Siphlophis leucocephalus", "Siphlophis longicaudatus", "Vesperus fuentei", "Siphlophis worontzowi", "Dicranoloma dicarpum", "Dicranoloma menziesii", "Exomis deqinensis", "Exomis huangi", "Exomis pubescens", "Exomis pubipennis", "Exomis tanae", "Exomis viridis", "Exomis peplopteroides", "Dicranum dispersum", "Pseudolathra quadricollis", "Phytosus balticus", "Corydalis gamosepala", "Corydalis gaoxinfeniae", "Oedichirus rubronotatus", "Corydalis gigantea", "Dicranum flexicaule", "Thopeutica wiesneri", "Dicranum robustum", "Coelogyne viscosa", "Dicranum spirophyllum", "Dicranum tenuifolium", "Clathrina sororcula", "Clathrina purpurea", "Clathrina beckingae", "Uromastyx dispar", "Uromastyx ornata", "Mimoniades versicolor", "Dryocalamus chithrasekarai", "Corydalis falconeri", "Corydalis fangshanensis", "Corydalis fargesii", "Corydalis feddeana", "Corydalis fedtschenkoana", "Corydalis filisecta", "Corydalis flabellata", "Corydalis flaccida", "Dicranella staphylina", "Ventocoris falcatus", "Arturia canariensis", "Arturia darwinii", "Clathrina arabica", "Brattegardia nanseni", "Corydalis ellipticarpa", "Corydalis enantiophylla", "Corydalis esquirolii", "Corydalis eugeniae", "Corydalis dajingensis", "Corydalis dasyptera", "Corydalis davidii", "Corydalis degensis", "Corydalis delavayi", "Corydalis delicatula", "Corydalis delphinioides", "Corydalis densispica", "Thopeutica petertaylori", "Corydalis diffusa", "Corydalis dolichocentra", "Corydalis dongchuanensis", "Corydalis dorjii", "Corydalis drakeana", "Corydalis dubia", "Corydalis duclouxii", "Corydalis dulongjiangensis", "Corydalis geraniifolia", "Corydalis giraldii", "Corydalis glaucescens", "Corydalis glaucissima", "Corydalis glycyphyllos", "Corydalis gorinensis", "Corydalis gorodkovii", "Corydalis gortschakovii", "Corydalis gotlandica", "Corydalis gouldii", "Dorymyrmex elegans", "Corydalis gracilis", "Corydalis gracillima", "Corydalis grandicalyx", "Corydalis grandiflora", "Corydalis griffithii", "Corydalis grubovii", "Corydalis gymnopoda", "Corydalis krasnovii", "Corydalis kuruchuensis", "Tshingisella robusta", "Corydalis qilianshanica", "Saphenophis atahuallpae", "Corydalis qinghaiensis", "Saphenophis boursieri", "Corydalis quantmeyeriana", "Corydalis quinquefoliolata", "Saphenophis sneiderni", "Corydalis imbricata", "Saphenophis tristriatus", "Chorisodontium aciphyllum", "Corydalis impatiens", "Corydalis incisa", "Marsupella funckii", "Corydalis inconspicua", "Corydalis inopinata", "Corydalis iochanensis", "Corydalis ischnosiphon", "Corydalis ecristata", "Corydalis edulis", "Corydalis elegans", "Dicnemon calycinum", "Arnoldiamonas bispinosa", "Cephalomonas granulata", "Chlamydoblepharis brunnea", "Exomis oblongum", "Mimoniades versicolor versicolor", "Clathrina fakaravae", "Clathrina huahineae", "Ernstia variabilis", "Leucascus digitiformis", "Leucandra tahuatae", "Corydalis foetida", "Corydalis foliaceobracteata", "Corydalis franchetiana", "Clathrina stipitata", "Clathrina pulcherrima", "Clathrina ceylonensis", "Clathrina cancellata", "Clathrina macleayi", "Clathrina pedunculata", "Clathrina multiformis", "Clathrina mutsu", "Clathrina laminoclathrata", "Clathrina osculum", "Clathrina arnesenae", "Clathrina jorunnae", "Clathrina pellucida", "Clathrina camura", "Clathrina tendali", "Ernstia sagamiana", "Ernstia laxa", "Ernstia minoricensis", "Arturia dubia", "Arturia tenuipilosa", "Arturia tubuloreticulosa", "Ernstia chrysops", "Ernstia indonesiae", "Ernstia klautauae", "Ernstia naturalis", "Saccolabium longicaule", "Anamixilla singaporensis", "Ascandra crewsi", "Ascandra kakaban", "Sycetta vinitincta", "Pericharax orientalis", "Grantessa borojevici", "Grantessa tenhoveni", "Mysarbia sejanus", "Corydalis erdelii subsp. nariniana", "Dendrelaphis vogeli", "Geophis laticollaris", "Sceloporus cryptus", "Sceloporus subpictus", "Chiron massaicus", "Chiron bartolozzii", "Chiron oddurensis", "Heterothops dissimilis", "Stichoglossa graeca", "Carabus canaliculatus biraensis", "Amischa cretica", "Carabus gaschkewitschi brinevellus", "Atheta digitalis", "Paraleucobryum sauteri", "Hydrosmecta insularum", "Geostiba inexsecta", "Cousya candica", "Carabus dongchuanicus dongchuanicus", "Carabus dongchuanicus luojicusoides", "Oxypoda bimontium", "Platyneuron praealtum", "Carabus shun pseudocantonensis", "Carabus tarbagataicus tarbagataicus", "Carabus tarbagataicus altaicola", "Oxypoda retunsa", "Mysarbia sejanus sejanus", "Typhlocyptus creticus", "Geomitopsis cretica", "Portulacaria fruticulosa", "Portulacaria namaquensis", "Portulacaria pygmaea", "Chalcolampra fuscipes", "Chalcolampra limbata", "Chalcolampra marginata", "Chalcolampra media", "Corydalis uniflora", "Chalcolampra morosa", "Chalcolampra nigricollis", "Bodo saltans virus", "Chalcolampra picticornis", "Pseudozeuzera biatra", "Chalcolampra praestans", "Eburgemellus geminatus", "Chalcolampra robusta", "Corydalis juncea", "Corydalis uranoscopa", "Corydalis fimbrillifera", "Vesperus strepens", "Corydalis ussuriensis", "Corydalis uvaria", "Corydalis zadoiensis", "Corydalis zhongdianensis", "Corydalis yaoi", "Corydalis yargongensis", "Vesperus xatarti", "Corydalis yui", "Corydalis yunnanensis", "Corydalis watanabei", "Corydalis weigoldii", "Corydalis wilfordii", "Corydalis wuzhengyiana", "Corydalis vaginans", "Corydalis verna", "Corydalis virginea", "Corydalis vivipara", "Corydalis nana", "Singaporandia macrophylla", "Corydalis nanwutaishanensis", "Corydalis nematopoda", "Corydalis nemoralis", "Corydalis nigroapiculata", "Corydalis nubicola", "Corydalis racemosa", "Corydalis radicans", "Tydeus justicia", "Corydalis regia", "Corydalis retingensis", "Corydalis rheinbabeniana", "Corydalis rorida", "Corydalis rostellata", "Corydalis rupestris", "Tholagmus flavolineatus", "Corydalis rupifraga", "Corydalis kailiensis", "Corydalis kashgarica", "Corydalis kiautschouensis", "Corydalis kingdonis", "Cecalyphum spurium", "Corydalis kingii", "Corydalis kiukiangensis", "Corydalis kokiana", "Tshingisella bella", "Carabus jingliae", "Ventocoris frater", "Ventocoris armeniacus", "Dyscolus variolosus", "Dyscolus anichtchenkoi", "Dyscolus arenasi", "Dyscolus martinezae", "Dyscolus acuminatum", "Cyrestis camillus elegans", "Carabus taliensis zhongdianicus", "Carabus nosei nosei", "Carabus nosei taronensis", "Dillenia bracteata", "Dillenia excelsa", "Gastrochilus yunlongensis", "Hydrodynastes bicinctus", "Ialtris agyrtes", "Imantodes phantasma", "Manolepis putnami", "Boloria improba improbula", "Blommersia transmarina", "Pterotopteryx formosana", "Davilla elliptica", "Davilla flexuosa", "Davilla kunthii", "Ceresium rusticum", "Ceresium solidum", "Ceresium balkei", "Ceresium huedepohli", "Ceresium sibuyanum", "Ceresium ikuoyokoii", "Ceresium atricolle", "Ceresium gibbicolle", "Ceresium coloratum", "Ceresium cylindrithorax", "Carabus caoyutangicus caoyutangicus", "Carabus caoyutangicus jiangsuensis", "Carabus bousquetellus bousquetellus", "Carabus bousquetellus luchunicus", "Biatora furfuracella", "Carabus handelmazzettii handelmazzettii", "Carabus handelmazzettii virginalis", "Davilla sessilifolia", "Geophis dubius", "Geophis hoffmanni", "Geophis rostralis", "Geophis sieboldi", "Geophis immaculatus", "Geophis dunni", "Geophis cancellatus", "Geophis russatus", "Geophis laticinctus", "Geophis duellmani", "Geophis blanchardi", "Tupanvirus deep ocean", "Tupanvirus soda lake", "Dryadella kautskyi", "Geophis tarascae", "Hibbertia juncea", "Chalcolampra subsulcata", "Chalcolampra tarsalis", "Corydalis gypsophila", "Corydalis gyrophylla", "Acrotrema agastyamalayanum", "Corydalis farreri", "Corydalis emanueli", "Corydalis filicina", "Acrotrema lyratum", "Corydalis filiformis", "Corydalis filistipes", "Corydalis fimbripetala", "Corydalis fukuharae", "Corydalis kedarensis", "Acrotrema uniflorum", "Corydalis duthiei", "Corydalis dautica", "Corydalis darwasica", "Corydalis densiflora", "Geophis maculiferus", "Geophis zeledoni", "Geophis latifrontalis", "Geophis nigrocinctus", "Geophis incomptus", "Maurodus cinctiger", "Maurodus impressus", "Maurodus maculatus", "Maurodus ornatus", "Maurodus plagiatus", "Allotyphlus foedatus", "Kenotyphlus virgatus", "Cretotyphlus hamatus", "Cretotyphlus idanus", "Cretotyphlus chanianus", "Pseudobium creticum", "Mysarbia sejanus erythrostigma", "Gabrius candicus", "Cephennium arcuatum", "Cephennium thripticum", "Cephennium selinonum", "Cephennium meybohmi", "Cephennium idanum", "Cephennium sinuosum", "Cephennium fortespinosum", "Cephennium hamulatum", "Cephennium curvatum", "Cephennium selenanum", "Cephennium latius", "Cephennium chanianum", "Mysarbia sejanus stolli", "Cicindela colasiana", "Cicindela campestris perdita", "Cicindela desertorum desertorum", "Cicindela desertorum ledouxi", "Scydmoraphes ziegleri", "Cicindela georgiensis", "Euconnus zakrius", "Stenichnus brachati", "Stenichnus orientalis", "Stenichnus aegialioides", "Leptomastax cretica", "Leptomastax thriptica", "Cicindela georgiensis georgiensis", "Afropselaphus doernfeldae", "Cicindela georgiensis perdita", "Afropselaphus assingi", "Dillenia turbinata", "Dyscolus mucronatum", "Dyscolus acuminatum acuminatum", "Dyscolus acuminatum negrei", "Doliocarpus dentatus subsp. dentatus", "Doliocarpus brevipedicellatus", "Actinobolus suskyi", "Neoclitopa murphyi", "Clitopa rojkoffi", "Plesiocamenta murphyi", "Carabus guangxicus guangxicus", "Carabus guangxicus hongjianicus", "Afropselaphus diktianus", "Afropselaphus thripticus", "Cicindela herbacea herbacea", "Cicindela herbacea perreaui", "Amauronyx paganettii", "Cicindela herbacea colasi", "Amauronyx chanianus", "Amauronyx occidens", "Amauronyx askifouicus", "Bryaxis meybohmianus", "Bythinus creticus", "Euplectus assingi", "Faronus meybohmi", "Faronus lefkamontium", "Faronus albimontium", "Tychus chanianus", "Cicindela talychensis talychensis", "Sepedophilus creticus", "Cicindela talychensis mofidii", "Caccomolpus laticollis", "Mysoria ambigua", "Caccomolpus pretiosus", "Omalium kociani", "Dialycera minuta", "Proteinus baculatus", "Bryaxis armeniacus", "Chalcolampra crassa", "Bryaxis meghruicus", "Mycetoporus silvaticus", "Cicindela javeti", "Cicindela javeti javeti", "Decarya madagascariensis", "Aleochara fugax", "Cicindela javeti thughurica", "Saccolabium pusillum", "Atheta meghruica", "Bellatheta khustupica", "Calodera alticola", "Tachyusa unguis", "Cicindela javeti azari", "Saccolabium rantii", "Saccolabium sigmoideum", "Nanomela tiniheke", "Unicorn sikus", "Polistes carnifex", "Hibbertia coriacea", "Zeaphilon marskeae", "Hibbertia coriacea subsp. coriacea", "Zeaphilon mirandum", "Grosourdya appendiculata", "Grosourdya bicornuta", "Carabus itzingeri itzingeri", "Carabus itzingeri choguy", "Carabus itzingeri tanakai", "Carabus itzingeri rugulosior", "Carabus hengduanicola hengduanicola", "Carabus hengduanicola crassedorsum", "Carabus ludmilae ludmilae", "Carabus ludmilae zayuensis", "Anotylus hamatoides", "Platystethus cephalotes", "Euconnus lalvarensis", "Euconnus longilaminatus", "Acomis macra", "Centipeda racemosa", "Amblyraja robertsi", "Geophis talamancae", "Geophis nephodrymus", "Geophis damiani", "Ibla quadrivalvis", "Geophis betaniensis", "Geophis bellus", "Geophis tectus", "Geophis juarezi", "Geophis juliai", "Capparis ornans", "Dryadorchis huliorum", "Dryadorchis minor", "Ascia monuste", "Dillenia alata", "Dillenia aurea", "Dryadorchis singularis", "Saara hardwickii", "Saara asmussi", "Saara loricata", "Uromastyx benti", "Uromastyx acanthinura", "Uromastyx thomasi", "Uromastyx macfadyeni", "Uromastyx ocellata", "Uromastyx nigriventris", "Uromastyx alfredschmidti", "Uromastyx shobraki", "Uromastyx yemenensis", "Uromastyx occidentalis", "Biatora leucosoralis", "Biatora subrufata", "Cyrestis camillus", "Henricia eschrichti", "Hibbertia crispula", "Hibbertia dealbata", "Hibbertia diamesogenos", "Hibbertia empetrifolia", "Hibbertia empetrifolia subsp. empetrifolia", "Ophidiaster hemprichi", "Groenlandia densa", "Hippuris lanceolata", "Ventocoris achivus", "Elatine triandra", "Ventocoris balassogloi", "Ventocoris advena", "Zannichellia palustris subsp. major", "Giesberteclipta morrisoni", "Ventocoris horvathi", "Ventocoris nigellae", "Capparis nummularia", "Pyramidococcus indicus", "Tingitanella pasqualinii", "Capparis lanceolaris", "Wislouchiella planctonica", "Pleurastrum insigne", "Protosiphon botryoides", "Liparis sootenzanensis", "Silene \u00d7 hampeana", "Opopaea antoniae", "Calophyllum costatum", "Planctococcus sphaerocystiformis", "Carabus gressittianus gressittianus", "Carabus gressittianus bambousicola", "Carabus gressittianus tiangongicus", "Maurodus arcus", "Carabus maeander maeander", "Carabus maeander evenkiensis", "Maurodus lepidus", "Maurodus nunni", "Euconnus tavushus", "Euconnus karabakhus", "Hibbertia acicularis", "Neuraphes gomarantsus", "Neuraphes syunikus", "Astenus rufopacus", "Heterothops laeticolor", "Heterothops microtophilus", "Hibbertia aspera", "Bulbophyllum romyi", "Hibbertia bracteata", "Maurodus occiduus", "Hibbertia calycina", "Maurodus owenensis", "Hibbertia cistiflora", "Maurodus supernus", "Hibbertia cistiflora subsp. cistiflora", "Corydalis kovakensis", "Planochloris pyrenoidifera", "Corydalis kushiroensis", "Topaczevskiella nautococcoides", "Dictyastrum mirabile", "Pectodictyon cubicum", "Chlorcorona bohemica", "Thamnodynastes rutilus", "Thamnodynastes yavi", "Lecidella parasema", "Schoenus compactus", "Ventocoris trigonus", "Ventocoris rusticus", "Pascherina tetras", "Ventocoris bulbifer", "Dysmorphococcus variabilis", "Fortiella brunnea", "Fortiellopsis madraspatensis", "Granulochloris seriata", "Scythropopsis intricata", "Scythropopsis granitica", "Hemitoma maeandrocystis", "Anelaphus rotundus", "Apeba danielvlasaki", "Giesberteclipta unicolor", "Iyengariomonas loligo", "Melomonas hemispherica", "Euderces hefferni", "Ceratinella playa", "Corydalis drepanantha", "Corydalis devendrae", "Corydalis pachycentra", "Corydalis pachypoda", "Corydalis paczoskii", "Corydalis paeoniifolia", "Erigone denticulata", "Corydalis pakistanica", "Heterothops praevius", "Corydalis pallida", "Corydalis pallidiflora", "Spongiosarcinopsis terrestris", "Corydalis panda", "Corydalis paniculigera", "Rabigus abauriae", "Corydalis papillosa", "Corydalis parviflora", "Corydalis nudicaulis", "Corydalis ohii", "Corydalis rarissima", "Anthobium abantense", "Urnella terrestris", "Corydalis khasiana", "Raciborskiella salina", "Uromastyx dispar maliensis", "Hibbertia microphylla", "Uromastyx dispar hodhensis", "Scincella capitanea", "Scincella schmidti", "Scincella caudaequinae", "Abiromorphus anceyi", "Leptosiaphos fuhni", "Leptosiaphos ianthinoxantha", "Leptosiaphos dewittei", "Leptosiaphos kilimensis", "Leptosiaphos vigintiserierum", "Leptosiaphos hylophilus", "Leptosiaphos koutoui", "Cophoscincopus simulans", "Cophoscincopus greeri", "Tarentola bischoffi", "Ventocoris ceriferus", "Ventocoris cribrosus", "Ventocoris fischeri", "Hibbertia obtusifolia", "Opopaea ephemera", "Opopaea fishriver", "Dropephylla ioptera", "Aspidoscelis parvisocius", "Aspidoscelis neomexicanus", "Uromastyx dispar flavifasciata", "Uromastyx ornata philbyi", "Uromastyx dispar dispar", "Uromastyx ornata ornata", "Hibbertia hermanniifolia", "Hibbertia hibbertioides", "Hibbertia hypericoides subsp. hypericoides", "Hibbertia lineata", "Grosourdya bigibba", "Chlorangiochaete epiphytica", "Chlorokremys scutella", "Fottiella quadricellularis", "Hibbertia longifolia", "Octosporiella coloradoensis", "Spondylomorum quaternarium", "Basichlamys sacculifera", "Tetrabaena socialis", "Opopaea jonesae", "Opopaea leica", "Opopaea olivernashi", "Opopaea rogerkitchingi", "Opopaea sown", "Opopaea speighti", "Opopaea yukii", "Opopaea fiji", "Certonardoa semiregularis", "Opopaea hawaii", "Opopaea palau", "Opopaea amieu", "Opopaea bicolor", "Opopaea vohibazaha", "Tetracera alnifolia subsp. alnifolia", "Grosourdya callifera", "Grosourdya ciliata", "Corydalis oreocoma", "Corydalis ornata", "Corydalis orthopoda", "Corydalis oxalidifolia", "Tetracera boomii", "Corydalis oxypetala", "Corydalis ruksansii", "Corydalis zeravschanica", "Corydalis zetterlundii", "Tetracera nordtiana", "Corydalis vyschinii", "Corydalis vittae", "Corydalis violacea", "Tetracera sarmentosa subsp. sarmentosa", "Corydalis verticillaris", "Corydalis uncinatella", "Corydalis uncinata", "Corydalis udokanica", "Corydalis laelia", "Hibbertia acerosa", "Hibbertia avonensis", "Hibbertia commutata", "Hibbertia gracilipes", "Hibbertia mylnei", "Hibbertia subvaginata", "Grosourdya decipiens", "Dioscorea glabra", "Dioscorea hirtiflora", "Dioscorea hirtiflora subsp. hirtiflora", "Asphodelus bakeri", "Asphodelus bento-rainhae", "Asphodelus bento-rainhae subsp. bento-rainhae", "Asphodelus bento-rainhae subsp. salmanticus", "Dioscorea cayenensis subsp. cayenensis", "Circobotys elegans", "Corydalis lagochila", "Corydalis lasiocarpa", "Corydalis lathyroides", "Corydalis lathyrophylla", "Corydalis latiflora", "Corydalis latilepidota", "Corydalis latiloba", "Corydalis laucheana", "Corydalis laxiflora", "Corydalis ledebouriana", "Corydalis leptantha", "Tetraspora gelatinosa", "Opopaea makadara", "Opopaea ngangao", "Opopaea ngulia", "Opopaea sheldrick", "Hibbertia truncata", "Opopaea wundanyi", "Opopaea kanpetlet", "Hibbertia vestita", "Opopaea zhigangi", "Opopaea ankarafantsika", "Opopaea ankarana", "Conradimonas minusculus", "Opopaea antsalova", "Opopaea antsiranana", "Corydalis hamata", "Corydalis hannae", "Corydalis harry-smithii", "Corydalis hebephylla", "Corydalis hegangensis", "Corydalis helodes", "Corydalis hemidicentra", "Corydalis hemsleyana", "Corydalis hendersonii", "Corydalis hepaticifolia", "Corydalis heracleifolia", "Corydalis heterocentra", "Corydalis heterodonta", "Corydalis heteropetala", "Corydalis heterophylla", "Corydalis heterothylax", "Corydalis hindukushensis", "Corydalis homopetala", "Opopaea gracillima", "Opopaea harmsi", "Opopaea johannae", "Hibbertia rostellata", "Opopaea julianneae", "Hibbertia selkii", "Opopaea marangaroo", "Hibbertia sericea", "Opopaea millstream", "Hibbertia serrata", "Opopaea nadineae", "Opopaea pallida", "Hibbertia stellaris", "Opopaea pannawonica", "Opopaea pilbara", "Opopaea rixi", "Opopaea robusta", "Opopaea rugosa", "Opopaea subtilis", "Opopaea triangularis", "Opopaea wheelarra", "Opopaea whim", "Hibbertia stricta", "Hibbertia stricta subsp. stricta", "Neoferdina kuhli", "Geodia californica", "Dioscorea japonica subsp. japonica", "Microhyla letovirus 1", "Nactus cheverti", "Nactus vankampeni", "Nactus coindemirensis", "Narudasia festiva", "Cerasus cyclamina", "Dioscorea pedicellata", "Corydalis hongbashanensis", "Corydalis kusnetzovii", "Corydalis hookeri", "Corydalis hsiaowutaishanensis", "Corydalis hualongshanensis", "Corydalis huangshanensis", "Corydalis humicola", "Corydalis humilis", "Gymnomonas nepalensis", "Corydalis humosa", "Corydalis oligantha", "Corydalis oligosperma", "Hamakko caudatus", "Corydalis omeiana", "Corydalis onobrychis", "Corydalis ophiocarpa", "Opopaea bemaraha", "Opopaea bemarivo", "Tabris heimii", "Opopaea berenty", "Opopaea betioky", "Opopaea foulpointe", "Opopaea itampolo", "Opopaea kirindy", "Hemiflagellochloris kazakhstanica", "Hibbertia aurea", "Opopaea mahafaly", "Opopaea manderano", "Puffinus myrtae", "Hibbertia diffusa", "Ventocoris halophilus", "Hibbertia leptopus", "Opopaea manongarivo", "Proteinus longicornis", "Micropeplus marietti", "Parabolitobius ponticus", "Opopaea maroantsetra", "Opopaea namoroka", "Anchietea ferrucciae", "Opopaea sandranantitra", "Tachyporus assingi", "Opopaea torotorofotsy", "Opopaea tsimbazaza", "Opopaea tsimembo", "Opopaea tsingy", "Erythrolamprus bizona", "Erythrolamprus guentheri", "Schumacheria angustifolia", "Schoenus crassus", "Aulacophora xavieri", "Opopaea tsinjoriaky", "Asphodelus gracilis", "Asphodelus lusitanicus var. lusitanicus", "Asphodelus lusitanicus var. ovoideus", "Neoibla atlantica", "Hemidactylus benguellensis", "Asphodelus macrocarpus subsp. rubescens", "Asphodelus roseus", "Asphodelus viscidulus", "Culcita novaeguineae", "Casphalia elegans", "Lasiochira wuzhishanensis", "Lasiochira jianfengensis", "Lasiochira jiulongshana", "Lasiochira pallidiptera", "Lasiochira taiwanensis", "Lasiochira rosataenia", "Lasiochira flavaterminata", "Lasiochira camaropa", "Lasiochira xanthacma", "Pella erratica", "Acriotes saprocarpodes", "Astenus sultanicus", "Aechmioides unigutella", "Atheta scabens", "Ashinaga eophthalma", "Incestophantes altaicus", "Dioscorea preussii subsp. preussii", "Dioscorea preussii subsp. hylophila", "Tenuiphantes suborientalis", "Cousya microdotoides", "Bolyphantes distichoides", "Mughiphantes sobrioides", "Dioscorea pyrenaica", "Mughiphantes logunovi", "Dioscorea quartiniana", "Opopaea burwelli", "Opopaea calcaris", "Tetrasporidium javanicum", "Uromastyx aegyptia aegyptia", "Uromastyx aegyptia leptieni", "Uromastyx aegyptia microlepis", "Crocus chrysanthus subsp. multifolius", "Opopaea goloboffi", "Opopaea monteithi", "Crocus chrysanthus subsp. punctatus", "Opopaea ndoua", "Opopaea platnicki", "Opopaea raveni", "Opopaea striata", "Opopaea touho", "Opopaea tuberculata", "Opopaea acuminata", "Opopaea addsae", "Opopaea bushblitz", "Opopaea gerstmeieri", "Opopaea lebretoni", "Opopaea linea", "Opopaea magna", "Opopaea margaretehoffmannae", "Opopaea martini", "Opopaea michaeli", "Opopaea milledgei", "Opopaea nitens", "Opopaea ottoi", "Opopaea plana", "Opopaea simplex", "Anthobium metallicum", "Anthobium melanocephalum", "Hibbertia furfuracea", "Anthobium hamatum", "Opopaea sturt", "Opopaea suelewisae", "Opopaea sylvestrella", "Opopaea tenuis", "Coryphiodes anatolicus", "Opopaea ursulae", "Hibbertia glaberrima", "Opopaea yorki", "Hibbertia grossulariifolia", "Cacozelia elegans", "Opopaea flabellata", "Opopaea auriforma", "Opopaea macula", "Opopaea rigidula", "Opopaea semilunata", "Opopaea zhengi", "Opopaea foveolata", "Asphodelus ramosus subsp. distalis", "Opopaea alje", "Opopaea botswana", "Opopaea gabon", "Opopaea gaborone", "Opopaea concolor", "Asphodelus albus subsp. carpetanus", "Dioscorea brachybotrya", "Asphodelus albus subsp. occidentalis", "Ventocoris tataricus", "Corydalis leptocarpa", "Corydalis leptophylla", "Corydalis leucanthema", "Corydalis lhasaensis", "Corydalis lhorongensis", "Corydalis liana", "Corydalis lidenii", "Corydalis linarioides", "Corydalis lineariloba", "Corydalis linearis", "Corydalis linjiangensis", "Corydalis linstowiana", "Corydalis livida", "Corydalis longibracteata", "Corydalis longicalcarata", "Corydalis longicornu", "Corydalis longipes", "Corydalis longistyla", "Corydalis longkiensis", "Corydalis lophophora", "Corydalis lopinensis", "Corydalis lowndesii", "Corydalis ludlowii", "Corydalis lupinoides", "Corydalis luquanensis", "Lundiella indica", "Calodera aethiops", "Schoenus riparius", "Ventocoris putoni", "Maurachelia roubali", "Ventocoris productus", "Myrmoecia perezii", "Mastigosphaera gobii", "Hibbertia pedunculata", "Opopaea gilliesi", "Opopaea johardingae", "Hibbertia persquamata", "Opopaea preecei", "Phacomyxa sphagnophila", "Opopaea wongalara", "Hibbertia persquamata subsp. persquamata", "Opopaea ameyi", "Opopaea brisbanensis", "Opopaea broadwater", "Opopaea carnarvon", "Opopaea carteri", "Placosphaera opaca", "Opopaea chrisconwayi", "Opopaea douglasi", "Hibbertia prostrata", "Opopaea lambkinae", "Opopaea leichhardti", "Opopaea mcleani", "Opopaea proserpine", "Opopaea stanisici", "Opopaea ulrichi", "Opopaea millbrook", "Opopaea mundy", "Opopaea stevensi", "Opopaea aculeata", "Opopaea aurantiaca", "Opopaea billroth", "Polychaetochloris aggregatus", "Cyphostemma mendesii", "Opopaea callani", "Opopaea cowra", "Opopaea durranti", "Opopaea exoculata", "Opopaea flava", "Opopaea fragilis", "Hibbertia quadricolor", "Opopaea framenaui", "Opopaea gracilis", "Corydalis mucronipetala", "Corydalis muliensis", "Corydalis multiflora", "Corydalis murgabica", "Corydalis myriophylla", "Dioscorea sincorensis", "Dioscorea spicata", "Mycetoporus laticeps", "Dioscorea stegelmanniana", "Corydalis pulchella", "Obscuriphantes pseudoobscurus", "Dioscorea tomentosa", "Mycetoporus praetextoides", "Sepedophilus transcaucasicus", "Sepedophilus bidenticulatus", "Sepedophilus ponticus", "Sepedophilus rufulus", "Sepedophilus constans", "Sepedophilus transcaspicus", "Sepedophilus decurtatus", "Sepedophilus marshami", "Gaidropsarus vulgaris", "Agyneta pseudosaxatilis", "Packardia elegans", "Lepthyphantes tes", "Scotinotylus altaicus", "Walckenaeria katanda", "Alopecosa osa", "Pardosa oksalai", "Drassodes katunensis", "Pellenes logunovi", "Hahnia sibirica", "Dioscorea chouardii", "Mycetoporus praetextus", "Dioscorea belophylla", "Mycetoporus rondaensis", "Mycetoporus phaedrus", "Dioscorea hastifolia", "Mycetoporus monticoloides", "Tachinus alienus", "Tchatkalophantes tchatkalensis", "Tchatkalophantes rupeus", "Tachinus marginellus", "Tchatkalophantes kungei", "Tchatkalophantes karatau", "Saltuarius cornutus", "Nephrurus asper", "Nephrurus levis", "Nephrurus wheeleri", "Nephrurus vertebralis", "Nephrurus laevissimus", "Phyllurus caudiannulatus", "Saltuarius salebrosus", "Schoenus galpinii", "Quedius skoupyi", "Dioscorea quinquelobata", "Dioscorea cayenensis subsp. rotundata", "Corydalis rubrisepala", "Quedius fagelianus", "Corydalis maackii", "Corydalis macrocalyx", "Corydalis macrocentra", "Corydalis madida", "Corydalis magadanica", "Corydalis magni", "Corydalis mairei", "Corydalis malkensis", "Corydalis maracandica", "Corydalis mayae", "Corydalis mediterranea", "Corydalis megacalyx", "Corydalis megalosperma", "Corydalis meifolia", "Corydalis melanochlora", "Corydalis meyori", "Corydalis microflora", "Corydalis microphylla", "Corydalis microsperma", "Corydalis milarepa", "Corydalis minutiflora", "Corydalis moupinensis", "Corydalis mucronata", "Corydalis mucronifera", "Pleodorina californica", "Stephanoon askenasii", "Roemeria carica", "Neischnus oxypygus", "Trichopus zeylanicus", "Tchatkalophantes tarabaevi", "Tchatkalophantes mongolicus", "Anisoptera scaphula", "Tchatkalophantes baltistan", "Tchatkalophantes bonneti", "Patiria pectinifera", "Anisoptera thurifera", "Anisoptera thurifera subsp. thurifera", "Tchatkalophantes huangyuanensis", "Tchatkalophantes hyperauritus", "Anisoptera marginata", "Tenuiphantes ancatus", "Carduelis carduelis parva", "Cotylelobium scabriusculum", "Teratoscincus microlepis", "Teratoscincus scincus", "Teratoscincus roborowskii", "Indophantes halonatus", "Teratoscincus rustamowi", "Erigone sinensis", "Oedothorax mongolensis", "Tachinus marginellus angelinii", "Tachinus laticollis", "Pentaceraster affinis", "Silometopoides tibialis", "Pelecopsis dorniana", "Erigonella stubbei", "Arcuphantes dubiosus", "Pentaceraster tuberculatus", "Helsdingenia hebesoides", "Pseudogonatodes guianensis", "Pristurus crucifer", "Pristurus somalicus", "Helsdingenia ceylonica", "Sphaerodactylus clenchi", "Dipterocarpus tempehes", "Volvulina steinii", "Yamagishiella unicocca", "Dipterocarpus hispidus", "Chloropteridella tetragona", "Chlororhabdion diogenes", "Costria elegans", "Cryodactylon glaciale", "Corydalis amarnathiana", "Corydalis ampelos", "Corydalis amphipogon", "Corydalis amplisepala", "Corydalis anaginova", "Corydalis ananke", "Corydalis anethifolia", "Corydalis angusta", "Corydalis anthocrene", "Corydalis anthriscifolia", "Corydalis appendiculata", "Corydalis aquilegioides", "Corydalis arctica", "Corydalis arcuata", "Corydalis atuntsuensis", "Corydalis aurantiaca", "Corydalis auricilla", "Corydalis auriculata", "Geodia robusta", "Perrottetia lanceolata", "Saltuarius wyberba", "Phyllurus gulbaru", "Phyllurus kabikabi", "Phyllurus nepthys", "Phyllurus isis", "Phyllurus amnicola", "Orraya occultus", "Pletholax gracilis", "Bosquetlepas contigua", "Catalebeda elegans", "Colaspoides kelantana", "Colaspoides ciliaticornis", "Pristurus phillipsii", "Helsdingenia extensa", "Helsdingenia hebes", "Dipterocarpus retusus var. macrocarpus", "Antrohyphantes balcanicus", "Ventocoris philalyssum", "Dryobalanops sumatrensis", "Desmatractum plicatum", "Ventocoris oschanini", "Echinosphaerella limnetica", "Ventocoris obtusus", "Ventocoris oblongus", "Corydalis caucasica subsp. caucasica", "Callista elegans", "Ventocoris obesus", "Ventocoris modestus", "Antrohyphantes rhodopensis", "Edaphochlamys debaryana", "Sphaerodactylus darlingtoni", "Sphaerodactylus lazelli", "Sphaerodactylus randi", "Sphaerodactylus savagei", "Sphaerodactylus underwoodi", "Sphaerodactylus levinsi", "Sphaerodactylus argivus", "Sphaerodactylus corticola", "Sphaerodactylus cochranae", "Sphaerodactylus ramsdeni", "Sphaerodactylus ruibali", "Sphaerodactylus storeyae", "Sphaerodactylus townsendi", "Sphaerodactylus oliveri", "Sphaerodactylus nicholsi", "Sphaerodactylus klauberi", "Sphaerodactylus gaigeae", "Sphaerodactylus beattyi", "Sphaerodactylus parkeri", "Sphaerodactylus roosevelti", "Sphaerodactylus samanensis", "Sphaerodactylus sabanus", "Sphaerodactylus caicosensis", "Sphaerodactylus mariguanae", "Sphaerodactylus shrevei", "Sphaerodactylus kirbyi", "Sphaerodactylus notatus", "Sphaerodactylus zygaena", "Sphaerodactylus rhabdotus", "Sphaerodactylus ocoae", "Sphaerodactylus leucaster", "Sphaerodactylus callocricus", "Echinops sect.", "Sphaerodactylus altavelensis", "Sphaerodactylus inaguae", "Sphaerodactylus armstrongi", "Sphaerodactylus homolepis", "Sphaerodactylus goniorhynchus", "Roemeria hybrida subsp. dodecandra", "Roemeria hybrida subsp. hybrida", "Corydalis bibracteolata", "Corydalis baekunnensis", "Corydalis balansae", "Corydalis balsamiflora", "Corydalis barbisepala", "Corydalis benecincta", "Corydalis biflora", "Corydalis bijiangensis", "Corydalis bimaculata", "Corydalis birmanica", "Corydalis blanda", "Corydalis bombylina", "Corydalis bonghwaensis", "Corydalis borii", "Corydalis bosbutooensis", "Corydalis brachyceras", "Corydalis bracteata", "Corydalis brevipedicellata", "Corydalis brevipedunculata", "Corydalis brevirostrata", "Corydalis brunneovaginata", "Corydalis bucharica", "Corydalis bulbifera", "Corydalis bulbilligera", "Corydalis bulleyana", "Corydalis bungeana", "Corydalis buschii", "Corydalis aconitiflora", "Corydalis acropteryx", "Corydalis acuminata", "Corydalis adiantifolia", "Corydalis adoxifolia", "Corydalis adunca", "Corydalis aeaeae", "Corydalis aeditua", "Corydalis afghanica", "Corydalis ainae", "Corydalis aitchisonii", "Corydalis alaschanica", "Corydalis alexeenkoana", "Ctenophorus ornatus", "Ctenophorus cristatus", "Ctenophorus isolepis", "Ctenophorus adelaidensis", "Ctenophorus pictus", "Hopea brevipetiolaris", "Tydeus brevistylus", "Ctenophorus caudicinctus", "Ctenophorus gibba", "Ctenophorus clayi", "Ctenophorus femoralis", "Ctenophorus fordi", "Ctenophorus salinarum", "Ctenophorus yinnietharra", "Ctenophorus vadnappa", "Ctenophorus fionni", "Ctenophorus tjantjalka", "Ctenophorus maculosus", "Ctenophorus mckenziei", "Ctenophorus parviceps", "Ctenophorus slateri", "Ctenophorus infans", "Alychna chulumani", "Ctenophorus butlerorum", "Corydalis calliantha", "Corydalis calycina", "Corydalis calycosa", "Corydalis campulicarpa", "Corydalis capillipes", "Corydalis capitata", "Corydalis caput-medusae", "Corydalis carinata", "Corydalis cashmeriana", "Corydalis casimiriana", "Corydalis cataractarum", "Corydalis caudata", "Corydalis cavei", "Corydalis chamdoensis", "Corydalis changuensis", "Corydalis cheilosticta", "Corydalis cheirifolia", "Corydalis chihuahuana", "Corydalis chingii", "Corydalis chionophila", "Corydalis chrysosphaera", "Corydalis clarkei", "Corydalis clavibracteata", "Corydalis conspersa", "Corydalis clematis", "Corydalis cofouensis", "Corydalis corymbosa", "Corydalis crassifolia", "Corydalis crassipedicellata", "Corydalis crispa", "Corydalis crista-galli", "Corydalis cristata", "Corydalis crithmifolia", "Corydalis cryptogama", "Corydalis crystallina", "Corydalis curvicalcarata", "Corydalis curviflora", "Corydalis cytisiflora", "Dipterocarpus baudii", "Dipterocarpus bourdillonii", "Euryopis levii", "Aquilonastra cepheus", "Dactylopisthes diphyus", "Dipterocarpus caudatus subsp. caudatus", "Sphaerodactylus glaucus", "Sphaerodactylus pacificus", "Sphaerodactylus rosaurae", "Sphaerodactylus molei", "Sphaerodactylus heliconiae", "Sphaerodactylus richardsonii", "Sphaerodactylus nigropunctatus", "Sphaerodactylus torrei", "Sphaerodactylus difficilis", "Sphaerodactylus vincenti", "Sphaerodactylus scapularis", "Sphaerodactylus monensis", "Sphaerodactylus sputator", "Sphaerodactylus sommeri", "Sphaerodactylus graptolaemus", "Sphaerodactylus williamsi", "Sphaerodactylus omoglaux", "Sphaerodactylus phyzacinus", "Sphaerodactylus elasmorhynchus", "Sphaerodactylus semasiops", "Sphaerodactylus streptophorus", "Sphaerodactylus nycteropus", "Sphaerodactylus cryphius", "Sphaerodactylus schuberti", "Sphaerodactylus plummeri", "Sphaerodactylus ladae", "Sphaerodactylus epiurus", "Sphaerodactylus cricoderus", "Sphaerodactylus schwartzi", "Sphaerodactylus pimienta", "Sphaerodactylus perissodactylius", "Sphaerodactylus richardi", "Sphaerodactylus siboney", "Sphaerodactylus dimorphicus", "Sphaerodactylus lineolatus", "Sphaerodactylus fantasticus", "Sphaerodactylus thompsoni", "Sphaerodactylus asterulus", "Sphaerodactylus armasi", "Sphaerodactylus docimus", "Sphaerodactylus celicara", "Sphaerodactylus bromeliarum", "Sphaerodactylus elegantulus", "Sphaerodactylus scaber", "Sphaerodactylus intermedius", "Sphaerodactylus elegans", "Sphaerodactylus dunni", "Sphaerodactylus becki", "Aoria humeralis", "Sphaerodactylus exsul", "Sphaerodactylus dacnicolor", "Bosquetlepas darwiniana", "Chrysosplenium macrostemon", "Chrysosplenium macrostemon var. atrandrum", "Chrysosplenium macrostemon var. shiobarense", "Rhacopus sahlbergi", "Siamites langkatensis", "Siamites thantonus", "Siamites sumatrensis", "Siamites sabahensis", "Grapholita thermopsidis", "Tydeus subalpinus", "Tydeus svalbardensis", "Tydeus totensis", "Paratolmerus kleebergi", "Hapalochloris nozakii", "Hopea parviflora", "Olivensa sonzognii", "Tetraflagellochloris mauritanica", "Oreaster clavatus", "Allomallodon bolivianus", "Pentaceraster regulus", "Tosia magnifica", "Schoenus aureus", "Corydalis pseudofargesii", "Corydalis pseudofilisecta", "Corydalis pseudofluminicola", "Corydalis pseudohemsleyana", "Corydalis pseudoincisa", "Corydalis pseudojuncea", "Corydalis pseudolongipes", "Corydalis pseudomairei", "Corydalis pseudomicrantha", "Corydalis pseudomicrophylla", "Corydalis pseudomucronata", "Corydalis pseudorupestris", "Corydalis pseudosibirica", "Corydalis pseudostricta", "Corydalis pseudotongolensis", "Corydalis pseudoweigoldii", "Corydalis pterygopetala", "Corydalis pubicaula", "Corydalis pumila", "Corydalis punicea", "Corydalis pycnopus", "Corydalis pygmaea", "Chelosania brunnea", "Alychna mirnae", "Cryptagama aurita", "Alychna darienensis", "Chrysolampra splendens", "Alychna degener", "Chrysolampra medvedevi", "Alychna exclamationis", "Arnaldolinus bordonii", "Octavius tesinskyi", "Ctenophorus chapmani", "Ctenophorus graafi", "Ctenophorus rubens", "Alychna argenteus", "Ctenophorus scutulatus", "Ctenophorus rufescens", "Corydalis taliensis", "Corydalis talpina", "Corydalis tangutica", "Corydalis tarkiensis", "Corydalis teberdensis", "Corydalis temolana", "Corydalis temulifolia", "Corydalis tenerrima", "Corydalis tenuipes", "Corydalis ternatifolia", "Corydalis terracina", "Corydalis thasia", "Corydalis thyrsiflora", "Corydalis tianshanica", "Corydalis tianzhuensis", "Corydalis tibetica", "Corydalis tibetoalpina", "Corydalis tibeto-oppositifolia", "Corydalis tongolensis", "Corydalis trachycarpa", "Corydalis transalaica", "Corydalis trifoliolata", "Corydalis trilobipetala", "Corydalis trisecta", "Corydalis triternatifolia", "Corydalis tsangensis", "Corydalis tsayulensis", "Alychna victa", "Ctenophorus mirrityana", "Corydalis saccata", "Corydalis sajanensis", "Corydalis saltatoria", "Corydalis sangardanica", "Corydalis sarcolepis", "Corydalis saxicola", "Corydalis scaberula", "Corydalis schanginii", "Corydalis schelesnowiana", "Corydalis schistostigma", "Corydalis schusteriana", "Corydalis schweriniana", "Corydalis seisumsiana", "Corydalis semenowii", "Corydalis sewerzowii", "Corydalis shakyae", "Corydalis sheareri", "Corydalis shennongensis", "Phoma herbarum", "Neoechinorhynchus rutili", "Stemonoporus cordifolius", "Stemonoporus gardneri", "Upuna borneensis", "Trixagus atticus", "Vateria copallifera", "Vateriopsis seychellarum", "Nyetnops guarani", "Stenochinus carinatus vietnamicus", "Stenochinus globulicollis", "Crepidocnema yantarica", "Bradymerus kabakovi", "Bradymerus bifurcatus", "Platydema pentaphylloides", "Pseudoprostratum indicum", "Menimus pocsi", "Shorea wangtianshuea", "Boromorphus saudicus", "Astropecten granulatus", "Indenicmosoma paicum", "Aoriopsis eocenicus", "Indenicmosoma magnum", "Brachytydeus boicus", "Falsonannocerus topali", "Rankinia diemensis", "Brachytydeus commutabilis", "Acolaspoides longipes", "Shorea ovalis subsp. ovalis", "Brachytydeus mutabilis", "Brachytydeus olivaceus", "Stenochinus carinatus", "Nazeris lushanensis", "Nazeris cuscutus", "Nazeris baoxingensis", "Nazeris megalocephalus", "Nazeris fulongensis", "Nazeris tarandoides", "Peltaster placenta", "Enicmosoma amatolensis", "Enicmosoma capensis", "Enicmosoma danieli", "Enicmosoma hararensis", "Enicmosoma peteri", "Enicmosoma proteacola", "Brachytydeus thori", "Brachytydeus tiliae", "Kalanchoe boranae", "Enicmosoma ruthae", "Enicmosoma sebastiani", "Enicmosoma swartbergensis", "Shorea ovalis", "Enicmosoma cantaloubei", "Ogmaster capella", "Enicmosoma cantaloubei cantaloubei", "Brachytydeus alni", "Enicmosoma cantaloubei guineensis", "Astropecten brasiliensis", "Bulbochaete setigera", "Oedocladium protonema", "Corydalis shensiana", "Corydalis sherriffii", "Corydalis sibirica", "Alychna venta", "Corydalis sigmantha", "Corydalis sigmoides", "Corydalis sikkimensis", "Corydalis simplex", "Corydalis smithiana", "Corydalis sochivkoi", "Corydalis sophronitis", "Corydalis spathulata", "Corydalis speciosa", "Corydalis spicata", "Corydalis staintonii", "Corydalis stenantha", "Corydalis stenophylla", "Corydalis stipulata", "Corydalis stolonifera", "Corydalis stracheyi", "Corydalis straminea", "Corydalis straminoides", "Corydalis striatocarpa", "Corydalis stricta", "Corydalis subjenisseensis", "Alychna zenus", "Corydalis subverticillata", "Corydalis susannae", "Corydalis suzhiyunii", "Corydalis pauciflora", "Corydalis peltata", "Corydalis persica", "Corydalis petrodoxa", "Corydalis petrophila", "Corydalis petroselinifolia", "Corydalis philippi", "Corydalis pingwuensis", "Corydalis pinnata", "Corydalis pinnatibracteata", "Corydalis podlechii", "Corydalis polygalina", "Corydalis polyphylla", "Corydalis popovii", "Corydalis porphyrantha", "Corydalis portenieri", "Corydalis potaninii", "Corydalis praecipitorum", "Corydalis prattii", "Corydalis procera", "Corydalis pseudimpatiens", "Corydalis pseudoadoxa", "Corydalis pseudoadunca", "Corydalis pseudoalpestris", "Corydalis pseudoamplisepala", "Corydalis pseudobalfouriana", "Corydalis pseudobarbisepala", "Corydalis pseudocristata", "Corydalis pseudodensispica", "Corydalis pseudodrakeana", "Podarcis guadarramae guadarramae", "Podarcis guadarramae lusitanicus", "Ditrichum gracile", "Trichocircus antennatus", "Trichocircus decoris", "Trichocircus miser", "Ditrichum plumbicola", "Trichocircus mexicanus", "Protandroconnus akeratophorus", "Rovnoleptochromus balticus", "Nopsma armandoi", "Nopsma florencia", "Nopsma juchuy", "Fumaria barnolae subsp. algerica", "Fumaria barnolae subsp. barnolae", "Stemonoporus acuminatus", "Tydeus womersleyi", "Stemonoporus affinis", "Tympanocryptis intima", "Tympanocryptis uniformis", "Tympanocryptis gigas", "Tympanocryptis pinguicolla", "Tympanocryptis cephalus", "Tympanocryptis lineata", "Tympanocryptis houstoni", "Pogona nullarbor", "Pogona mitchelli", "Pogona microlepidota", "Pogona minor", "Schoenus cuspidatus", "Anidania luctuosa", "Acrothinium gaschkevitchii gaschkevitchii", "Acrothinium gaschkevitchii matsuii", "Acrothinium gaschkevitchii shirakii", "Acrothinium gaschkevitchii tokaraense", "Acrothinium gaschkevitchii okinawense", "Sclerococcum urceolatum", "Abrothallus lobariae", "Medionops cesari", "Medionops simla", "Cacyparis elegans", "Abrothallus psoromatis", "Diporiphora reginae", "Diporiphora bilineata", "Diporiphora bennettii", "Diporiphora albilabris", "Diporiphora superba", "Diporiphora lalliae", "Diporiphora convergens", "Diporiphora magna", "Diporiphora margaretae", "Diporiphora sobria", "Diporiphora pindan", "Diporiphora valens", "Diporiphora winneckei", "Diporiphora jugularis", "Floricola ulema", "Nops blandus", "Vatica obscura", "Vatica pauciflora", "Vatica lanceifolia", "Nops coccineus", "Cretoprocirrus trichotos", "Fumaria judaica subsp. amarysia", "Fumaria judaica subsp. insignis", "Fumaria judaica subsp. judaica", "Fumaria macrocarpa subsp. cyrenaica", "Fumaria macrocarpa subsp. macrocarpa", "Fumaria macrosepala subsp. macrocarpa", "Fumaria macrosepala subsp. macrosepala", "Fumaria macrosepala subsp. megasepala", "Fumaria macrosepala subsp. obscura", "Fumaria mairei subsp. saxicola", "Fumaria mairei subsp. mairei", "Fumaria muralis subsp. boraei", "Aoria bicoloripes", "Fumaria muralis subsp. muralis", "Aoria scutellaris", "Fumaria ouezzanensis subsp. ramosa", "Fumaria petteri subsp. calcarata", "Fumaria petteri subsp. petteri", "Aoria bowringi", "Nephelaphyllum gracile", "Nephelaphyllum laciniatum", "Nephelaphyllum maliauense", "Grosourdya emarginata", "Nephelaphyllum mindorense", "Nephelaphyllum tenuiflorum", "Nephelaphyllum thaovyae", "Nephelaphyllum trapoides", "Nephelaphyllum verruculosum", "Fumaria mairei", "Fumaria maurorum", "Fumaria melillaica", "Fumaria microstachys", "Fumaria mirabilis", "Fumaria montana", "Fumaria munbyi", "Fumaria normanii", "Fumaria occidentalis", "Fumaria ouezzanensis", "Fumaria petteri", "Fumaria platycarpa", "Fumaria pugsleyana", "Fumaria reuteri", "Fumaria rifana", "Fumaria rostellata", "Fumaria rupestris", "Fumaria schleicheri", "Fumaria segetalis", "Fumaria sepium", "Fumaria skottsbergii", "Nephelaphyllum pulchrum", "Nephelaphyllum pulchrum var. pulchrum", "Nephelaphyllum pulchrum var. sikkimensis", "Podarcis liolepis", "Podarcis guadarramae", "Arthonia polydactylonis", "Aoria annulipes", "Aoria nigripes", "Aoria atra", "Pleuridium acuminatum", "Pleuridium mexicanum", "Nephelaphyllum aureum", "Nephelaphyllum beccarii", "Nephelaphyllum cordifolium", "Tainia cordifolia", "Nephelaphyllum flabellatum", "Bosquetlepas gracilis", "Vatica rassak", "Cubanops ludovicorum", "Mysoria amra", "Nopsma enriquei", "Corydalis \u00d7 budensis", "Corydalis \u00d7 hausmannii", "Corydalis \u00d7 hybrida", "Corydalis \u00d7 neumannii", "Corydalis \u00d7 vorobievii", "Fumaria abyssinica", "Fumaria agraria", "Fumaria ajmasiana", "Fumaria atlantica", "Fumaria ballii", "Fumaria barnolae", "Fumaria berberica", "Fumaria bicolor", "Fumaria bracteosa", "Fumaria capitata", "Fumaria coccinea", "Fumaria daghestanica", "Fumaria dubia", "Fumaria erostrata", "Fumaria faurei", "Fumaria flabellata", "Fumaria gaillardotii", "Fumaria judaica", "Fumaria kralikii", "Fumaria macrocarpa", "Fumaria macrosepala", "Drosera admirabilis", "Drosera affinis", "Drosera alba", "Drosera aliciae", "Megarthrus chujiao", "Drosera allantostigma", "Drosera andersoniana", "Hypochrysa elegans", "Drosera androsacea", "Leptobium angoranum", "Drosera burmanni", "Drosera callistos", "Baltognathus aenigmaticus", "Drosera chrysolepis", "Tydeus duanei", "Drosera cistiflora", "Batraxis liyunchuni", "Nipponobythus alienoceps", "Zopherobatrus lusciosus", "Amauropepla denticulata", "Taklamakania lepetzi", "Lachnogya skopini", "Drosera banksii", "Drosera bicolor", "Fumaria \u00d7 albertii", "Fumaria \u00d7 burnatii", "Sarcocapnos baetica", "Sarcocapnos crassifolia", "Sarcocapnos pulcherrima", "Brachytydeus sigthori", "Spirographa aggregata", "Labomimus dadongmontis", "Labomimus dilaticeps", "Labomimus sugayai", "Chrysopidia elegans", "Cretoquedius infractus", "Drosera aberrans", "Crocus hermoneus subsp. hermoneus", "Crocus hermoneus subsp. palaestinus", "Aoria rufotestacea", "Chrysosplenium japonicum", "Bosquetlepas subplena", "Pachydactylus caraculicus", "Caliris elegans", "Fumaria rupestris subsp. bifrons", "Fumaria rupestris subsp. calycina", "Fumaria rupestris subsp. micranthifolia", "Fumaria rupestris subsp. pulchra", "Fumaria rupestris subsp. rupestris", "Fumaria schleicheri subsp. microcarpa", "Fumaria schleicheri subsp. schleicheri", "Fumaria sepium subsp. rugosa", "Fumaria sepium subsp. sepium", "Calofulcinia elegans", "Bosquetlepas valida", "Thinodromus diancangensis", "Parosphromenus deissneri", "Sarcocapnos enneaphylla subsp. saetabensis", "Drosera cuneifolia", "Drosera darwinensis", "Drosera derbyensis", "Sarcocapnos enneaphylla subsp. enneaphylla", "Fumaria \u00d7 franchetii", "Drosera binata", "Fumaria \u00d7 gagrica", "Fumaria \u00d7 hanryi", "Fumaria \u00d7 painteri", "Drosera brevifolia", "Fumaria officinalis subsp. cilicica", "Drosera broomensis", "Ceraeochrysa elegans", "Drosera bulbigena", "Fumaria officinalis subsp. wirtgenii", "Fumaria officinalis subsp. officinalis", "Drosera bulbosa", "Spirographa giselae", "Lorryia balocki", "Otiorhynchus danilewskii", "Otiorhynchus glazunovi", "Phacus elegans", "Drosera glanduligera", "Drosera graminifolia", "Otiorhynchus lukarevskayae", "Otiorhynchus karakalensis", "Triophtydeus sampsoni", "Drosera citrina", "Drosera closterostigma", "Luidia maculata", "Luidia senegalensis", "Drosera collinsiae", "Coracanthella geophila", "Drosera communis", "Paralorryia eriophyes", "Eulepton burkei", "Bat Hp-betacoronavirus Zhejiang2013", "Tulipa subg.", "Hemiergis gracilipes", "Spirographa ascaridiella", "Hypnoidus consobrinus", "Drosera dichrosepala", "Drosera dielsiana", "Drosera dilatatopetiolaris", "Drosera echinoblastus", "Aquilegia microphylla", "Aquilegia montsicciana", "Aquilegia nakaoi", "Aquilegia nevadensis", "Aquilegia ochotensis", "Aquilegia \u00d7 oenipontana", "Aquilegia orthantha", "Aquilegia paui", "Aquilegia pycnotricha", "Aquilegia reuteri", "Aquilegia schottii", "Aquilegia sternbergii", "Aquilegia subscaposa", "Aquilegia amaliae", "Aquilegia aragonensis", "Aquilegia atwoodii", "Drosera kaieteurensis", "Drosera felix", "Drosera kenneallyi", "Drosera lanata", "Yersinia intermedia", "Yersinia wautersii", "Yersinia frederiksenii", "Yersinia kristensenii", "Yersinia canariae", "Drosera lasiantha", "Drosera leucoblasta", "Tulipa orithyioides", "Neoprotereunetes lapidarius", "Neoprotereunetes maudae", "Tulipa regelii", "Bosquetlepas zeidleri", "Aquilegia fosteri", "Aquilegia japonica", "Aquilegia vicaria", "Aquilegia vitalii", "Tulipa saxatilis", "Aquilegia karatavica", "Aquilegia kozakii", "Aquilegia kubanica", "Aquilegia lutescens", "Aquilegia hirsutissima", "Aquilegia hispanica", "Aquilegia huteri", "Aquilegia gaertneri", "Aquilegia ganboldii", "Aquilegia garnieriana", "Aquilegia gegica", "Aquilegia glauca", "Aquilegia guarensis", "Aquilegia elata", "Aquilegia desolaticola", "Aquilegia dichroa", "Aquilegia dioica", "Aquilegia discolor", "Aquilegia cazorlensis", "Aquilegia confusa", "Aquilegia \u00d7 cottia", "Aquilegia cymosa", "Aquilegia tianschanica", "Aquilegia turczaninowii", "Aquilegia tuvinica", "Aquilegia macrocentra", "Aquilegia magellensis", "Tulipa sylvestris subsp. primulina", "Ophioderma cinereum", "Drosera curvipes", "Drosera macrantha", "Tulipa jacquesii", "Drosera macrophylla", "Drosera madagascariensis", "Creoleon elegans", "Quedius kvashei", "Drosera eneabba", "Drosera enodes", "Drosera erythrorhiza", "Eolophorus hoffeinsorum", "Thinodromus gentlus", "Hemiquedius europaeus", "Drosera falconeri", "Thinodromus smetanai", "Bolitogyrus fragmentus", "Drosera filiformis var. filiformis", "Laevisaurus robustus", "Laevisaurus gracilis", "Melanophara dentata", "Drosera gibsonii", "Scydmaenus minor", "Otiorhynchus podlussanyi", "Otiorhynchus capitatus", "Chiroderma vizottoi", "Tulipa cinnabarina subsp. cinnabarina", "Tulipa cinnabarina subsp. toprakii", "Corydalis adiantifolia var. heterocarpa", "Corydalis adiantifolia var. adiantifolia", "Otiorhynchus venarum", "Hemigrammus tocantinsi", "Tulipa humilis var. aucheriana", "Tulipa humilis var. humilis", "Tulipa humilis var. kurdica", "Tulipa humilis var. pulchella", "Tulipa humilis var. violacea", "Tulipa kolbintsevii", "Aquilegia baltistanica", "Aquilegia blecicii", "Spondylus crassisquama", "Lonchophylla peracchii", "Ophioderma africanum", "Ophioderma hybridum", "Ophioderma zibrowii", "Drosera hilaris", "Drosera huegelii", "Drosera huegelii var. huegelii", "Drosera hyperostigma", "Ophioderma longicaudum", "Drosera indica", "Drosera helodes", "Otiorhynchus khurshedi", "Otiorhynchus olegi", "Drosera heterophylla", "Otiorhynchus saraevi", "Otiorhynchus atamuradovi", "Quedius biprominulus", "Quedius paululus", "Sarcocapnos crassifolia subsp. crassifolia", "Quedius japonicus", "Quedius kashmirensis", "Quedius minor", "Otiorhynchus jelineki", "Otiorhynchus iranensis", "Myscelus amystis amystis", "Myscelus amystis distinctus", "Drosera leucostigma", "Haullevillea denticulata", "Gambiana asper", "Quedius balticus", "Cordulecerus elegans", "Drosera linearis", "Quedius levicollis", "Calanthe discolor var. coreana", "Quedius meridiocarpathicus", "Mont1 virus", "Quedius molochinus", "Quedius subunicolor", "Quedius abdominalis", "Quedius amplissimus", "Quedius brevicornis", "Quedius brevis", "Ophioderma guineense", "Quedius citelli", "Quedius edmundi", "Quedius fasciculatus", "Quedius longicornis", "Myscelus amystis epigona", "Quedius lundbergi", "Drosera magnifica", "Quedius maurus", "Drosera mannii", "Otiorhynchus lutosus", "Parosphromenus alfredi", "Parosphromenus opallios", "Parosphromenus pahuensis", "Parosphromenus quindecim", "Parosphromenus rubrimontis", "Tulipa heteropetala", "Tulipa sinkiangensis", "Tulipa uniflora", "Leiolopisma mauritiana", "Leiolopisma fasciolare", "Leiolopisma ceciliae", "Leiolopisma alazon", "Drosera graniticola", "Hemiergis initialis", "Hemiergis decresiensis", "Hemiergis millewae", "Hemiergis talbingoensis", "Drosera graomogolensis", "Drosera grievei", "Drosera hamiltonii", "Chiroderma gorgasi", "Tulipa harazensis", "Drosera hartmeyerorum", "Omaliopsis amplimaculata", "Omaliopsis bimaculata", "Omaliopsis schmidti", "Prorops impotens", "Prorops sparsa", "Omaliopsis himalayica", "Omaliopsis musaphila", "Otiorhynchus konstantini", "Otiorhynchus khorasanus", "Otiorhynchus muratovi", "Otiorhynchus kopetdagicus", "Otiorhynchus shakhensis", "Otiorhynchus ghilarovi", "Otiorhynchus christophi", "Quedius fusus", "Otiorhynchus schmonli", "Sarcocapnos crassifolia subsp. atlantis", "Sarcocapnos crassifolia subsp. simplicifolia", "Arachniodes simplicior", "Trigonotoma digitata", "Trigonotoma constricta", "Arachniodes cornucervi", "Tropidoscincus boreus", "Simiscincus aurantiacus", "Drosera menziesii", "Drosera meristocaulis", "Drosera microphylla", "Drosera miniata", "Drosera montana", "Drosera natalensis", "Drosera neocaledonica", "Promalactis clavivalvata", "Promalactis abasiloba", "Promalactis trusmadiensis", "Promalactis albipectinalis", "Quedius microps", "Promalactis flavidilineata", "Promalactis grandaedeaga", "Myscelus amystis hages", "Promalactis latignatha", "Quedius nigrocaeruleus", "Promalactis malipoensis", "Promalactis voluta", "Myscelus amystis muttra", "Cryptocatantops debilis", "Drosera platypoda", "Drosera platystigma", "Bairdia gaelleae", "Drosera porrecta", "Drosera prolifera", "Drosera pulchella", "Drosera pycnoblasta", "Quedius lateralis", "Drosera ramellosa", "Quedius lucidulus", "Drosera rechingeri", "Quedius maurorufus", "Quedius nigriceps", "Melanotus platiai", "Grosourdya incurvicalcar", "Grosourdya leytensis", "Drosera petiolaris", "Grosourdya lobata", "Grosourdya milneri", "Grosourdya mindanaensis", "Nalassus convexus", "Ophioderma anitae", "Ophioderma wahlbergii", "Neomorphuncus eugramma", "Chorthippus albomarginatus", "Chorthippus albomarginatus albomarginatus", "Drosera \u00d7 obovata", "Ardoiniellus montanus", "Enicmosoma freyi", "Scotinophara midsayapensis", "Spirographa galligena", "Thinobius endroedyi", "Nannoscincus garrulus", "Arotis derasa", "Thinobius iridiventris", "Arotis derasa derasa", "Drosera stenopetala", "Boreophilia eremita", "Boreophilia islandica", "Boreophilia fusca", "Drosera stolonifera", "Drosera stricticaulis", "Drosera tentaculata", "Drosera tokaiensis", "Phaenops formaneki", "Drosera tokaiensis subsp. tokaiensis", "Deporaus terminassianae", "Arotis sirene", "Cryptoblepharus novocaledonicus", "Caledoniscincus festivus", "Caledoniscincus atropunctatus", "Arotis bryna", "Quedius angaricus", "Quedius boopoides", "Quedius brachypterus", "Quedius centrasiaticus", "Calephorus compressicornis", "Drosera paradoxa", "Drosera patens", "Quedius cincticollis", "Arthrobrachus flavomarginatus", "Quedius fellmani", "Drosera pauciflora", "Arthrobrachus solervicensi", "Quedius fumatus", "Drosera pedicellaris", "Arthrobrachus rufitarsis", "Quedius gemellus", "Grosourdya fasciculata", "Grosourdya pulvinifera", "Grosourdya quinquelobata", "Arachniodes tripinnata", "Arachniodes cavaleriei", "Astenus sivasicus", "Astenus pelinae", "Parolesthes vietnamica", "Parolesthes magdalenae", "Parolesthes macroculus", "Drosera roraimae", "Quedius nitipennis", "Melanotus khnzoriani", "Drosera roseana", "Melanotus richterae", "Melanotus gedeoni", "Quedius persimilis", "Quedius picipes", "Drosera rupicola", "Quedius riparius", "Melanotus raziae", "Drosera sargentii", "Lacon nadaii", "Quedius semiobscurus", "Drosera schizandra", "Quedius sublimbatus", "Drosera scorpioides", "Drosera sessilifolia", "Drosera slackii", "Trirachys laosensis", "Bolbitis appendiculata", "Scotinophara kalinga", "Scotinophara maguindanaoana", "Bolbitis auriculata", "Menetia concinna", "Drosera trichocaulis", "Ctenotus coggeri", "Drosera trinervia", "Drosera tubaestylis", "Grosourdya minutiflora", "Grosourdya minutissima", "Drosera venusta", "Grosourdya multistrata", "Drosera villosa", "Grosourdya muscosa", "Drosera whittakeri", "Drosera zonaria", "Grosourdya myosurus", "Grosourdya nitida", "Ophioderma besnardi", "Sigaloseps ruficauda", "Chortoicetes terminifera", "Ctenitis distans", "Atheta gelida", "Atheta munsteri", "Boreophilia neoinsecuta", "Boreophilia beringi", "Ophioderma bonaudoae", "Tridensius brunneus", "Elmas gorky", "Sibylloconnus sibyllensis", "Protandroconnus fimbriatulus", "Amimoscydmus johnsoni", "Venezolanoconnus asserculatus", "Scotinophara agusanortica", "Galerucella anserina", "Scotinophara alegria", "Scotinophara arkwata", "Scotinophara ilonga", "Scotinophara kabangkalanensis", "Ctenitis vilis", "Dryopteris setosa", "Avena coerulea", "Cyclodium meniscioides", "Avena cyanella", "Promalactis simingshana", "Promalactis costispinata", "Promalactis trimaculata", "Quedius scitus", "Promalactis yongjiana", "Quedius sofiri", "Myscelus amystis mysus", "Quedius tenellus", "Oncozygidea flavitarsis", "Quedius tetrapunctatus", "Drosera nidiformis", "Nazeris mahuanggouensis", "Drosera nitidula", "Nazeris zhouhaishengi", "Nazeris wuluozhenensis", "Drosera occidentalis", "Drosera omissa", "Cyphocerastis elegans", "Drosera ordensis", "Drosera oreopodion", "Drosera paleacea", "Drosera pallida", "Arthrobrachus forsteri", "Arthrobrachus longipilis", "Parosphromenus sumatranus", "Arthrobrachus antonioi", "Arthrobrachus armandoi", "Ulosa digitata", "Ulosa jullieni", "Arthrobrachus eloisae", "Lacertoides pardalis", "Parosphromenus parvulus", "Parosphromenus filamentosus", "Graciliscincus shonae", "Geoscincus haraldmeieri", "Quedius vexans", "Quedius xanthopus", "Nannoscincus greeri", "Nannoscincus rankini", "Caledoniscincus orestes", "Aquilegia moorcroftiana var. afghanica", "Aquilegia moorcroftiana var. moorcroftiana", "Grosourdya reflexicalcar", "Grosourdya tripercus", "Grosourdya urunensis", "Grosourdya vietnamica", "Sigaloseps balios", "Sigaloseps conditus", "Grosourdya zollingeri", "Bolbitis rhizophylla", "Bolbitis asplenifolia", "Sigaloseps pisinnus", "Sigaloseps ferrugicauda", "Bolbitis quoyana", "Marmorosphax kaala", "Marmorosphax taom", "Marmorosphax boulinda", "Marmorosphax montana", "Ctenitis latifrons", "Chaetabraeus delajouxi", "Chaetabraeus lejeunei", "Bergrothia barbakadzei", "Prosoglypta alesenkae", "Ctenitis ampla", "Eupholus marielaurae", "Ctenitis subglandulosa", "Avena microplicata", "Euphyes arpa", "Bolbitis lonchophora", "Scymbalopsis persica", "Scymbalopsis kirghizica", "Parastrangalis vietnamica", "Scotinophara mlanga", "Craniocystis bipes", "Cyrtomium hemionitis", "Cregya abacula", "Dryopteris aemula subsp. aemula", "Cyclodium heterodon var. abbreviatum", "Polyedriopsis spinulosa", "Scotinophara sorsogonensis", "Scotinophara tantanganica", "Scotinophara trifurcata", "Scotinophara zamboanga", "Bracteacoccus aggregatus", "Gyrophaena aryanamensis", "Aquilegia hebeica", "Actidesmium hookeri", "Cyrtomium fortunei", "Cylindroeme vietnamica", "Characiella rukwae", "Characiellopsis anophelesi", "Characiochloris anophelesi", "Cyrtomium laetevirens", "Cyrtomium yamamotoi", "Scotinophara molavica", "Aquilegia yangii", "Nocalusa santossilvai", "Pharao desertorum", "Scotinophara pirurotonga", "Cyclodium heterodon", "Scotinophara pseudoserrata", "Scotinophara putikanica", "Desis jiaxiangi", "Desis japonica", "Urophysa henryi", "Urophysa rockii", "Boreophilia hyperborea", "Boreophilia nearctica", "Boreophilia ovalis", "Boreophilia nomensis", "Boreophilia venti", "Boreophilia subplana", "Boreophilia caseyi", "Boreophilia vega", "Hygroamblystegium varium", "Stenoloba herbacea", "Stenoloba pontezi", "Arachniodes davalliaeformis", "Arachniodes carvifolia", "Scotinophara landangica", "Dryopteris atrata", "Dryopteris blanfordii", "Dryopteris blanfordii subsp. blanfordii", "Dryopteris borreri", "Maratus azureus", "Maratus constellatus", "Aipysurus duboisii", "Dryopteris affinis subsp. affinis", "Caryanda modesta", "Dryopteris ardechensis", "Parygrus erichsoni", "Parygrus angustatus", "Dryopteris championii", "Bogoria beccarii", "Parosphromenus nagyi", "Bogoria carinata", "Bogoria gracile", "Caryanda neoelegans", "Termitozophilus belleae", "Termitozophilus mirandus", "Drosera spatulata", "Poemnites katalinbodorae", "Agriotes szekelykalmani", "Agriotes danieli", "Dichromorpha elegans", "Drosera spatulata var. spatulata", "Agriotes laszlopappi", "Agriotes silvanensis", "Agriotes rahmei", "Drosera spilos", "Agriotes podlussanyi", "Chrysosplenium album var. stamineum", "Drosera spiralis", "Chrysosplenium album var. flavum", "Chrysosplenium album var. nachiense", "Drosera stelliflora", "Caledoniscincus haplorhinus", "Pittonotus iranicus", "Mulsanteus istvani", "Ampedus ottomerkli", "Ophioderma appressum", "Nannoscincus fuscus", "Quedius suramensis", "Denticollis suzannae", "Athous fodorjenoi", "Nannoscincus koniambo", "Athous slavonicus", "Quedius vulneratus", "Chrysosplenium pilosum", "Athous jakupicicola", "Chrysosplenium pilosum var. sphaerospermum", "Athous podlussanyi", "Athous abkhazianus", "Quedius dilatatus", "Athous hercegovinensis", "Athous ilniczkyi", "Quedius fulvipennis", "Athous korsosi", "Athous evae", "Melanotus kangwonensis", "Deinopteroloma hamatum", "Deinopteroloma songi", "Deinopteroloma spinigerum", "Deinopteroloma tricuspidatum", "Aquilegia ballii", "Parygrus maya", "Parygrus guarani", "Parygrus lengua", "Dryopteris filix-mas subsp. filix-mas", "Eupines conspicua", "Eupines costata", "Eupines decens", "Eupines acceptus", "Parygrus elateroides", "Eupines bisulcifrons", "Eupines allocera", "Aquilegia aradanica", "Eupines anisarthra", "Parygrus parallelus", "Eupines clemens", "Dryopteris decipiens", "Eupinolus calcaratus", "Dryopteris dickinsii", "Phaeoscincus ouinensis", "Gyrophaena hochhuthi", "Ophioplocus imbricatus", "Gyrophaena obsoleta", "Phaeoscincus taomensis", "Gyrophaena pseudonana", "Neoprotereunetes boerneri", "Maratus amabilis", "Aquilegia apuana", "Anthobiomorphus rougemonti", "Anthobiomorphus makranczyi", "Coprophilus marginalis", "Parygrus quechua", "Parygrus zamuco", "Aquilegia synakensis", "Aquilegia sicula", "Aquilegia nikolicii", "Nesioeme apicalis", "Callyspongia johannesthielei", "Maratus inaquosus", "Maratus laurenae", "Maratus noggerup", "Maratus suae", "Maratus volpei", "Dryopteris cambrensis", "Dryopteris cambrensis subsp. cambrensis", "Neoprotereunetes crozeti", "Maratus kiwirrkurra", "Maratus licunxini", "Maratus julianneae", "Maratus michaelorum", "Maratus eliasi", "Maratus ottoi", "Neoprotereunetes minutus", "Ophiolepis cincta", "Amphiura sundevalli", "Maratus furvus", "Neoprotereunetes paulinae", "Maratus kochi", "Barilius barila", "Phasmasaurus tillieri", "Barilius barna", "Raiamas bola", "Hara hara", "Chagunius chagunio", "Ophioderma brevicaudum", "Caesoris novaecaledoniae", "Ophioderma delsatei", "Phasmasaurus maruia", "Xylophis mosaicus", "Chitaura elegans", "Dryopteris formosana", "Eustenomacidius luridus", "Dryopteris intermedia subsp. intermedia", "Anisocampium cuspidatum", "Rhyparida lineolata", "Ophiocoma erinaceus", "Dryopteris koidzumiana", "Rhyparida weiseana", "Dryopteris lacera", "Euphyes bimacula illinois", "Rhyparida katrinae", "Rhyparida margrafi", "Rhyparida diversicornis", "Manjarivolo randrianirinai", "Rhyparida fervidus", "Rhyparida plebejus", "Rhyparida leyteana", "Rhyparida nigripes", "Scotinophara acutangula", "Dryopteris ludoviciana", "Scotinophara depressa", "Macrelmis froehlichi", "Macrelmis nessimiani", "Euconnus ussuriensis", "Dryopteris nigropaleacea", "Bogoria laxus", "Dryopteris clintoniana", "Bogoria matutina", "Parosphromenus allani", "Lioscincus vivae", "Nannoscincus manautei", "Bogoria moorei", "Bogoria nambana", "Tydeus tobhari", "Caledoniscincus aquilonius", "Bogoria ramuana", "Caledoniscincus terma", "Caledoniscincus renevieri", "Caledoniscincus auratus", "Bogoria robertsii", "Caledoniscincus chazeaui", "Caledoniscincus cryptos", "Megarthrus wayqecha", "Macrelmis bispo", "Rhyparida ceramensis", "Rhyparida sparsepunctata", "Aquilegia xinjiangensis", "Aquilegia saxifraga", "Eupines sylvicola", "Eupinogitus sulcipennis", "Moumouvirus goulette", "Monve virus", "Ochan virus", "Gastrobothrus sharpi", "Catomus indubitatus", "Catomus noctivagus", "Physobryaxis inflatus", "Euphyes bimacula arbogasti", "Eupines simplex", "Paulianister aloalo", "Dryopteris guanchica", "Dryopteris hirtipes", "Aquilegia cossoniana", "Pheropsophus taclobanensis", "Lesticus uliweberi", "Dryopteris hondoensis", "Lesticus samaricus", "Aquilegia daingolica", "Hypolepida braes", "Aquilegia kansuensis", "Aquilegia kamelinii", "Aquilegia marcelliana", "Aquilegia ophiolithica", "Eupines sternalis", "Eupines crassicornides", "Eupines deformis", "Eupines dispar", "Eupines forficulida", "Eupines diversides", "Eupines fraudulenta", "Eupines glabrata", "Eupines foveatissima", "Eupines halli", "Emydocephalus szczerbaki", "Emydocephalus annulatus", "Pseudastenus plaumanni", "Pseudastenus ribeirocostae", "Emydocephalus orarius", "Euphyes bimacula", "Pseudastenus ferrugineus", "Euphyes bimacula bimacula", "Pseudastenus latus", "Pseudastenus oculatus", "Pseudastenus amazonicus", "Pseudastenus schubarti", "Marthea tetras", "Chromochloris zofingiensis", "Cylindrocapsopsis indica", "Fusola viridis", "Eupines mundula", "Eupines micans", "Eupines monstrosa", "Eupines munroi", "Dryopteris fuscoatra", "Eupines nasuta", "Eupines nemoralis", "Dryopteris fuscoatra var. lamoureuxii", "Eupines nesobia", "Lemurinius sicardi", "Eupines paganus", "Eupines platyarthra", "Eupholus antonkozlovi", "Eupines piciceps", "Gastrobothrus platynotus", "Eupines sanguinea", "Eupines rhyssarthra", "Dryopteris glabra", "Eupines rudicornis", "Eupines setifera", "Aquilegia barykinae", "Monotes kerstingii", "Bracteamorpha trainorii", "Astropecten polyacanthus", "Aspidestrophus morio", "Nops quito", "Aspidestrophus lineola", "Astropecten scoparius", "Astropecten hemprichi", "Ormosolenia alpina", "Cubanops darlingtoni", "Chrysodema cyanicollis", "Dictyochloris fragrans", "Scotinophara subalpina", "Dictyococcus varians", "Stenus stigmatias", "Stenus bivulneratus", "Stenus abdominalis", "Stenus flavidulus", "Stenus flavidulus paederinus", "Coptoborus ochromactonus", "Agrostophyllum philippinense", "Agrostophyllum elongatum", "Dryopteris raiateensis", "Dryopteris rubiginosa", "Deuterocharacium polyplastidicum", "Euconnus nakahamai", "Dryopteris oligodonta", "Scotinophara longicornis", "Scotinophara yaoundea", "Euconnus matsuae", "Parosphromenus anjunganensis", "Euconnus rudimentalis", "Parosphromenus ornaticauda", "Parosphromenus linkei", "Parosphromenus bintan", "Chrysodema cupriventis", "Scotinophara mixta", "Eupines hectori", "Eupines grata", "Eupines impar", "Eupines illustris", "Gastrobothrus ignotus", "Eupines impressifrons", "Eupines lewisi", "Aquilegia holmgrenii", "Eupines longiceps", "Aquilegia iulia", "Aquilegia lucensis", "Aquilegia meridionalis", "Aquilegia grubovii", "Liparis nemoralis", "Aquilegia coerulea var. coerulea", "Austrelmis catamarcensis", "Austrelmis tafi", "Austrelmis talampayensis", "Dryopteris pallida subsp. raddeana", "Austrelmis robustus", "Austrelmis patagonicus", "Acanthamoeba polyphaga lentillevirus", "Cyrtodactylus taungwineensis", "Cyrtodactylus dattkyaikensis", "Copaifera paupera", "Saproscincus tetradactylus", "Saproscincus basiliscus", "Saproscincus challengeri", "Saproscincus czechurai", "Saproscincus oriarus", "Saproscincus hannahae", "Saproscincus lewisi", "Erythroxylum citrifolium", "Rhyparida dentipes", "Rhyparida formosama", "Rhyparida kotoensis", "Chelodina kurrichalpongo", "Chlorizeina unicolor", "Chlorizeina unicolor unicolor", "Scotinophara affinis", "Scotinophara inermis", "Dryopteris leucorhachis", "Dryopteris ludens", "Quetarsius neu", "Dryopteris polylepis", "Indoquedius arcus", "Aquilegia coerulea var. alpina", "Dryopteris pseudofilix-mas", "Aquilegia coerulea var. pinetorum", "Dryopteris pulvinulifera", "Aquilegia coerulea var. ochroleuca", "Neoelmis argentinensis", "Dryopteris pallida", "Austrelmis argentinensis", "Dryopteris pallida subsp. pallida", "Stenus piliferus", "Clinopodium brevifolium", "Stenus frater", "Stenus wutongshanus", "Quedius miwai", "Euastropsis richteri", "Quedius shiow", "Vachellia campeachiana", "Neoelmis guarani", "Dryopteris pacifica", "Quedius perng", "Quedius chang", "Quedius rou", "Quwatanabius flavicornis", "Dryopteris sacrosancta", "Dryopteris sandwicensis", "Fimbristylis latinucifera", "Aoria antennata", "Aoria cyanea", "Aoria gracilicornis", "Aoria nigripennis", "Aoria nepalica", "Aoria thibetana", "Dryopteris sordidipes", "Dryopteris sparsa", "Dryopteris sparsa subsp. sparsa", "Dryopteris sublacera", "Acylophorus furcatus", "Dryopteris tokyoensis", "Scotinophara westwoodi", "Lacunastrum gracillimum", "Dermestops ahngeri", "Caspiana armata", "Colaspina saportae", "Damasus albicans", "Parheminodes collaris", "Dryopteris scottii", "Monactinus simplex", "Parapediastrum biradiatum", "Scotinophara calligera", "Dryopteris wallichiana subsp. wallichiana", "Scotinophara lutheri", "Pseudopediastrum boryanum", "Scotinophara sicula", "Philothalpus fabiolae", "Otacilia annula", "Otacilia antica", "Otacilia cangshan", "Otacilia celata", "Ophiomastix wendtii", "Otacilia clavata", "Otacilia coreana", "Scotinophara allanae", "Ophiocoma schoenleinii", "Sphaerastrum pictum", "Apteropeoedes elegans", "Scotinophara bispinosa", "Breviturma dentata", "Stauridium tetras", "Arachniodes webbiana", "Arachniodes webbiana subsp. webbiana", "Otacilia fausta", "Dryopteris xanthomelas", "Dryopteris \u00d7 australis", "Priscaplectus carinatus", "Priscaplectus grandiceps", "Segestria shtoppelae", "Epibator greeri", "Segestria nekhaevae", "Geodromicus balticus", "Segestria fengi", "Segestria turkestanica", "Dryopteris \u00d7 boottii", "Rhabdocaulon coccineum", "Pteroglossa macrantha", "Rhabdocaulon denudatum", "Rhabdocaulon erythrostachys", "Rhabdocaulon gracile", "Rhabdocaulon lavanduloides", "Rhabdocaulon stenodontum", "Pteroglossa magnifica", "Elaphoglossum paleaceum", "Rhabdocaulon strictum", "Scotinophara ceylonica", "Metagonia debrasi", "Pteroglossa rhombipetala", "Scotinophara ochracea", "Pycnanthemum clinopodioides", "Philydrodes houkibou", "Echinosphaeridium nordstedtii", "Elaphoglossum crassifolium", "Olophrinus setiventris", "Olophrinus nepalensis", "Golenkinia radiata", "Olophrinus qian", "Olophrinus suzukii", "Elaphoglossum fauriei", "Elaphoglossum huacsaro", "Proablepharus reginae", "Proablepharus tenuis", "Nemaconia longipetala", "Nemaconia pellita", "Ceuthophilus elegans", "Fimbristylis latiglumifera", "Fimbristylis multinervia", "Dryopteris \u00d7 triploidea", "Pteroglossa acalcarata", "Pteroglossa claudiae", "Pteroglossa euphlebia", "Dryopteris burnatii", "Euphyes cornelius", "Euphyes cornelius cornelius", "Pteroglossa glazioviana", "Dryopteris bodinieri", "Tetraedroides spetsbergensis", "Tulipa banuensis", "Pholcus jingnan", "Pholcus longlin", "Nemaconia graminifolia", "Micropholcus agadir", "Micropholcus crato", "Micropholcus piracuruca", "Micropholcus ubajara", "Dryopteris \u00d7 euxinensis", "Nemaconia dressleriana", "Nemaconia glomerata", "Dryopteris \u00d7 pittsfordensis", "Dryopteris namegatae", "Pteroglossa hilariana", "Dryopteris pycnopteroides", "Dryopteris stanley-walkeri", "Dryopteris \u00d7 separabilis", "Acantorna tahoma", "Carinascincus greeni", "Carinascincus palfreymani", "Carinascincus coventryi", "Carinascincus ocellatus", "Breviturma pica", "Neochloris aquatica", "Omalium rugatum", "Poloidion didymos", "Oedichirus alnewtoni", "Hyptis radicans", "Celerrimus duffeyi", "Pteroglossa lurida", "Cteniza genevieveae", "Pteroglossa luteola", "Saccocalyx saturejoides", "Satureja pilosa", "Elaphoglossum bellermannianum", "Satureja rumelica", "Micropholcus pataxo", "Satureja sahendica", "Satureja salzmannii", "Micropholcus evaluna", "Satureja spinosa", "Satureja subspicata", "Elaphoglossum blumeanum", "Elaphoglossum petiolatum", "Thymbra thymbrifolia", "Satureja visianii", "Satureja wiedemanniana", "Satureja \u00d7 delpozoi", "Micropholcus piaui", "Satureja \u00d7 exspectata", "Satureja \u00d7 orjenii", "Botryosphaerella sudetica", "Micropholcus jacominae", "Micropholcus jamaica", "Euconnus agiraffa", "Euconnus oaxacanus", "Euconnus bicarinatus", "Euconnus cordobanus", "Democrinus cabiochi", "Cherbonniericrinus cherbonnieri", "Crucigloea crassiseta", "Eutetramorus globosus", "Garhundacystis spadensis", "Pteroglossa jatataensis", "Pteroglossa sztolcmaniana", "Philydrodes tridentatus", "Philydrodes michaeli", "Philydrodes reticulatus", "Philydrodes tibetanus", "Coenobotrys gloeobotrydiformis", "Philydrodes wrasei", "Elaphoglossum potosianum", "Pycnanthemum nudum", "Procirrus lewisii", "Elaphoglossum rupestre", "Poliomintha conjunctrix", "Poliomintha dendritica", "Poliomintha glabrescens", "Poliomintha longiflora", "Poliomintha maderensis", "Poliomintha marifolia", "Pogogyne floribunda", "Pogogyne serpylloides", "Pogogyne tenuiflora", "Pogogyne zizyphoroides", "Ziziphora aragonensis", "Ziziphora brantii", "Ziziphora galinae", "Ziziphora interrupta", "Ziziphora pamiroalaica", "Ziziphora pedicellata", "Ziziphora persica", "Ziziphora puschkinii", "Ziziphora raddei", "Ziziphora suffruticosa", "Ziziphora vichodceviana", "Ziziphora woronowii", "Zataria multiflora", "Stachydeoma graveolens", "Satureja adamovicii", "Satureja aintabensis", "Satureja amani", "Satureja atropatana", "Scotinophara coarctata", "Satureja avromanica", "Satureja bachtiarica", "Satureja boissieri", "Satureja bzybica", "Satureja coerulea", "Satureja edmondii", "Satureja fukarekii", "Satureja hellenica", "Eusphalerum kanti", "Paraphloeostiba morosa", "Phyllodrepa daedali", "Phyllodrepa icari", "Micropholcus baoruco", "Micropholcus hispaniola", "Micropholcus toma", "Olophrinus malaisei", "Olophrinus lantschangensis", "Satureja horvatii", "Satureja \u00d7 caroli-paui", "Elaphoglossum aemulum", "Satureja icarica", "Satureja innota", "Coptaspis elegans", "Olophrinus parastriatus", "Satureja intermedia", "Satureja intricata", "Satureja isophylla", "Clinopodium kallaricum", "Micropholcus brazlandia", "Satureja kermanshahensis", "Satureja khuzistanica", "Elaphoglossum alatum", "Satureja kitaibelii", "Thymbra linearifolia", "Satureja macrantha", "Satureja metastasiantha", "Mychonastes ruminatus", "Elaphoglossum angustissimum", "Thymbra nabateorum", "Satureja pallaryi", "Satureja parnassica", "Helcystogramma militis", "Helcystogramma falsa", "Drymosiphon betulifolius", "Drymosiphon davisii", "Drymosiphon hakkaricus", "Drymosiphon pamphylicus", "Drymosiphon piperelloides", "Drymosiphon tauricola", "Xenillus similis", "Elaphoglossum samoense", "Lasiobelba sakhalinensis", "Nannoscincus humectus", "Nannoscincus hanchisteus", "Nannoscincus exos", "Ophioderma brevispinum", "Pseudemoia pagenstecheri", "Pseudemoia baudini", "Pseudemoia spenceri", "Pseudemoia cryodroma", "Pseudemoia rawlinsoni", "Morethia butleri", "Morethia obscura", "Morethia ruficauda", "Morethia storri", "Menetia surda", "Menetia maini", "Menetia greyii", "Menetia alanae", "Pygmaeascincus timlowi", "Pygmaeascincus sadlieri", "Pygmaeascincus koshlandae", "Anepischetosia maccoyi", "Scotinophara scobinae", "Lastreopsis poecilophlebia", "Consolida arenaria", "Origanum \u00d7 malyeri", "Xantholinus bulgaricus", "Ophioderma devaneyi", "Lastreopsis decomposita", "Gloeocystis vesiculosa", "Elaphoglossum tenuiculum", "Korshikoviobispora ettlii", "Euconnus maya", "Elaphoglossum tovarense", "Campanulotes elegans", "Euconnus cavifrons", "Elaphoglossum vestitum", "Euconnus giraffa", "Elaphoglossum wawrae", "Palmellosphaerium planktonicum", "Elaphoglossum yoshinagae", "Lastreopsis nephrodioides", "Ophioderma ensiferum", "Lastreopsis silvestris", "Dendrobium linawianum", "Tulipa botschantzevae", "Umbilicus albido-opacus", "Tulipa boettgeri", "Tulipa talassica", "Ophioderma divae", "Ophioderma elaps", "Sedum eriocarpum subsp. caricum", "Carlia babarensis", "Carlia diguliensis", "Sunius tronqueti", "Sunius sardus", "Democrinus globularis", "Sunius algiricus", "Scotinophara malayensis", "Rhizocrinus lofotensis", "Rhizocrinus minimus", "Democrinus poculum", "Cebuella niveiventris", "Jujiroa inexpectata", "Sphaeroneocystis apyrenoidosa", "Tomaculum catenatum", "Rotundella rotunda", "Carlia amax", "Sunius khnzoriani", "Carlia gracilis", "Carlia rufilatus", "Sunius microphthalmus", "Origanum syriacum subsp. bevanii", "Sunius brevipennis", "Origanum syriacum subsp. sinaicum", "Origanum syriacum subsp. syriacum", "Scotinophara horvathi", "Sunius brevipennis canariensis", "Sunius fernandezi", "Sunius ovaliceps", "Asterarcys quadricellularis", "Cyanocypus leukos", "Palmodictyon viride", "Protolychnis petiliella", "Protolychnis bastini", "Sunius orgeli", "Sunius cercii", "Schizochloris diplococca", "Protolychnis chlorotoma", "Sunius balkarensis", "Elaphoglossum juruense", "Protolychnis trigonias", "Sunius tauricus", "Sideritis gulendamii", "Sideritis akmanii", "Sphaerochloris asymmetrica", "Sphaerococcomyxa olivacea", "Phyllanthus sieboldianus", "Epibator insularis", "Astrocladium cerastioides", "Phyllanthus velutinus", "Mickelia scandens", "Phyllanthus eriocarpus", "Monardella villosa subsp. subserrata", "Monardella villosa subsp. obispoensis", "Monardella villosa subsp. villosa", "Monardella angustifolia", "Monardella eplingii", "Monardella nana", "Monardella nana subsp. arida", "Monardella nana subsp. leptosiphon", "Monardella nana subsp. nana", "Monardella nana subsp. tenuiflora", "Monardella palmeri", "Monardella pringlei", "Dryopteris peranemiformis", "Monardella purpurea", "Monardella purpurea subsp. neglecta", "Monardella purpurea subsp. purpurea", "Scotinophara cineara", "Lomagramma polyphylla", "Sasajiscymnus nigritus", "Stamnodes fergusoni", "Origanum \u00d7 sevcaniae", "Obtegomeria caerulescens", "Monardella arizonica", "Monardella australis", "Monardella australis subsp. occidentalis", "Monardella australis subsp. jokerstii", "Monardella australis subsp. gabrielensis", "Monardella australis subsp. cinerea", "Monardella australis subsp. australis", "Monardella beneolens", "Monardella boydii", "Monardella breweri", "Monardella breweri subsp. microcephala", "Monardella breweri subsp. lanceolata", "Monardella breweri subsp. glandulifera", "Monardella breweri subsp. breweri", "Monardella candicans", "Monardella eremicola", "Monardella exilis", "Monardella follettii", "Monardella hypoleuca", "Monardella hypoleuca subsp. hypoleuca", "Monardella hypoleuca subsp. intermedia", "Monardella hypoleuca subsp. lanata", "Monardella lagunensis", "Monardella leucocephala", "Monardella linoides subsp. anemonoides", "Monardella linoides subsp. erecta", "Monardella linoides subsp. linoides", "Monardella linoides subsp. oblonga", "Monardella linoides subsp. sierrae", "Monardella linoides subsp. stricta", "Monardella macrantha", "Monardella macrantha subsp. hallii", "Monardella macrantha subsp. macrantha", "Monardella mojavensis", "Monardella kruckebergii", "Myolepas scanica", "Xantholinus maykopensis", "Gregariella chenui", "Monardella walwaamaxsia", "Monardella perplexans", "Xantholinus fageli", "Monardella parviflora", "Minthostachys acris", "Minthostachys acutifolia", "Minthostachys andina", "Tellidora cristata", "Conus delessertii", "Chodatodesmus mucronulatus", "Stenus praedator", "Megalastrum villosum", "Monardella odoratissima subsp. discolor", "Monardella odoratissima subsp. glauca", "Monardella odoratissima subsp. pallida", "Monardella odoratissima subsp. odoratissima", "Monardella robinsonii", "Monardella saxicola", "Monardella sinuata", "Monardella sinuata subsp. gerryi", "Monardella sinuata subsp. nigrescens", "Monardella sinuata subsp. sinuata", "Monardella siskiyouensis", "Monardella stebbinsii", "Monardella stoneana", "Monardella thymifolia", "Compsocus elegans", "Monardella undulata", "Monardella undulata subsp. arguelloensis", "Monardella undulata subsp. crispa", "Monardella undulata subsp. undulata", "Monardella venosa", "Monardella viminea", "Monardella viridis", "Monardella \u00d7 subglabra", "Kuniesaurus albiauris", "Mytilopsis sallei", "Closteriococcus virnheimensis", "Scotinophara cornuta", "Coelastrella striolata", "Scotinophara scottii", "Egernia roomi", "Bolbitis curupirae", "Stenus trifurcatus", "Stenus cuneatus", "Cyclopogon lindleyanus", "Coelastropsis costata", "Minthostachys diffusa", "Minthostachys dimorpha", "Minthostachys elongata", "Minthostachys fusca", "Minthostachys glabrescens", "Minthostachys latifolia", "Minthostachys mollis var. hybrida", "Minthostachys mollis var. mandoniana", "Minthostachys mollis var. mollis", "Minthostachys ovata", "Minthostachys rubra", "Minthostachys salicifolia", "Minthostachys septentrionalis", "Minthostachys setosa", "Minthostachys spicata", "Minthostachys verticillata", "Micromeria acropolitana", "Tulipa butkovii", "Olfersia cervina", "Olfersia alata", "Tychus meggiolaroi", "Stenus keman", "Parapolystichum acuminatum", "Micropeplus pengweii", "Stenus toshiharui", "Stenus otohime", "Parapolystichum effusum", "Stenus kaguyahime", "Parapolystichum effusum subsp. effusum", "Ophioderma dentatum", "Rissoa guerinii", "Rissoa lilacina", "Arthrobotrya wilkesiana", "Septifer cumingii", "Ocinebrellus inornatus", "Micromeria herpyllomorpha", "Wallacella guianensis", "Ophiocomella valenciae", "Ophiomastix pictum", "Gymelloxes juliusboosi", "Pselaphaulax caeruleus", "Pselaphaulax dracophyllum", "Micromeria herpyllomorpha subsp. palmensis", "Micromeria herpyllomorpha subsp. herpyllomorpha", "Micromeria hierrensis", "Phanerophlebia nobilis", "Iris furcata", "Phanerophlebia juglandifolia", "Micromeria canariensis subsp. meridialis", "Micromeria canariensis subsp. canariensis", "Micromeria carpatha", "Micromeria chionistrae", "Micromeria conferta", "Thyrsopsocus elegans", "Scotinophara curvispina", "Micromeria croatica", "Scotinophara madagascariensis", "Micromeria cymuligera", "Philonthus kailiensis", "Micromeria debilis", "Scotinophara longispina", "Micromeria densiflora", "Micromeria douglasii", "Philonthus lewisius", "Micromeria elliptica", "Quedius robustus", "Micromeria ericifolia", "Scotinophara fibulata", "Baltostigus substriatus", "Micromeria flagellaris", "Micromeria fontanesii", "Caledonicrinus vaubani", "Micromeria gomerensis", "Micromeria guichardii", "Micromeria hedgei", "Sphenopsis ochracea", "Comasiella arcuata", "Cyclinella tenuis", "Antillipecten antillarum", "Carlia aramia", "Carlia mysi", "Carlia tutela", "Stenus oshimaensis", "Parapolystichum microsorum", "Clidicus forceps", "Parapolystichum microsorum subsp. microsorum", "Clidicus interfector", "Clidicus kalis", "Clidicus occisor", "Clidicus shavrini", "Parapolystichum rufescens", "Stenus asyura", "Stenus basara", "Palaeopsylla aysenurae", "Stenus santira", "Stenus bicara", "Stenus kazami", "Stenus oni", "Palaeopsylla beaucournui", "Valenzuela elegans", "Ctenophthalmus beyzanurae", "Ctenophthalmus kefelioglui", "Ctenophthalmus teres anatolicus", "Monachocrinus sexradiatus", "Micromeria arganietorum", "Micromeria benthamii", "Micromeria biflora", "Micromeria brivesii", "Micromeria browiczii", "Micromeria canariensis", "Polystichum andersonii", "Polystichum australiense", "Pselaphaulax flavus", "Polystichum bonseyi", "Pselaphaulax traversi", "Pselaphopluteum motumaha", "Tulipa carinata", "Scotinophara parva", "Scotinophara lamottei", "Lacvietina nabanhensis", "Scotinophara montana", "Micromeria tragothymus", "Micromeria unguentaria", "Micromeria weilleri", "Gontscharovia popovii", "Discolocrinus thieli", "Glechon ciliata", "Discolocrinus iselini", "Glechon discolor", "Glechon elliptica", "Glechon hoehneana", "Glechon marifolia", "Glechon thymoides", "Carlia dogare", "Carlia spinauris", "Carlia nigrauris", "Carlia sukur", "Cretapsyche elegans", "Ophioderma guttatum", "Scotinophara inermiceps", "Scotinophara latiuscula", "Scotinophara sororcula", "Mathania hughesi", "Tulipa dubia", "Lacvietina lii", "Tulipa faribae", "Polystichum californicum", "Tulipa ferganica", "Polystichum chilense", "Abdosetae hainan", "Abdosetae ornata", "Micromeria \u00d7 angosturae", "Polystichum craspedosorum", "Micromeria \u00d7 ayamosnae", "Micromeria \u00d7 benthamineolens", "Abdosetae digitata", "Lygisaurus malleolus", "Lygisaurus abscondita", "Polystichum luctuosum", "Scotinophara limosa", "Luzea graeca", "Paederus mesopotamicus", "Euthraulus elegans", "Marcepania princesa", "Bystropogon plumosus", "Bystropogon wildpretii", "Derops yaeyamanus", "Polystichum deltodon", "Polystichum diaphanum", "Paraneseuthia zanetae", "Polystichum drepanum", "Polystichum dudleyi", "Polystichum haleakalense", "Eledonoprius incoronatus", "Polystichum hancockii", "Iris alberti", "Carlia eothen", "Carlia jarnoldae", "Carlia storri", "Micromeria hispida", "Micromeria hochreutineri", "Carlia pulla", "Micromeria imbricata", "Micromeria inodora", "Micromeria kerneri", "Micromeria lachnophylla", "Micromeria lanata", "Micromeria leucantha", "Micromeria longipedunculata", "Micromeria macrosiphon", "Micromeria madagascariensis", "Micromeria maderensis", "Micromeria mahanensis", "Micromeria marginata", "Micromeria microphylla", "Micromeria monantha", "Micromeria pedro-luisii", "Micromeria peltieri", "Micromeria persica", "Micromeria pineolens", "Micromeria pseudocroatica", "Micromeria serbaliana", "Micromeria sphaciotica", "Micromeria sphaerophylla", "Clinopodium suborbiculare", "Cingocrinus radicatus", "Tulipa hissarica", "Polystichum hillebrandii", "Diduga luteogibbosa", "Diduga allodubatolovi", "Diduga scalprata", "Diduga hainanensis", "Tachinus motuoensis", "Sathytes communis", "Polystichum lachenense", "Sathytes fenghuang", "Sathytes jinggang", "Tulipa hoogiana", "Sathytes obliquus", "Sathytes similis", "Astenus thoracicus", "Bystropogon \u00d7 beltraniae", "Danubia ansa", "Polystichum lemmonii", "Thermistis annamensis", "Crucigeniopsis divergens", "Tulipa iliensis", "Campterophlebia elegans", "Bystropogon \u00d7 schmitzii", "Robiquetia vietnamensis subsp. vietnamensis", "Robiquetia vietnamensis subsp. bathra", "Robiquetia vietnamensis subsp. intermedia", "Robiquetia vietnamensis subsp. minima", "Dimorphococcus lunatus", "Tulipa intermedia", "Acanthoprasium frutescens", "Satyrium nepalense", "Acanthoprasium integrifolium", "Micromeria \u00d7 bourlieri", "Abdosetae falcata", "Abdosetae hamata", "Micromeria \u00d7 broussonetii", "Micromeria \u00d7 confusa", "Tulipa foliosa", "Micromeria \u00d7 garajonayii", "Micromeria \u00d7 hybrida", "Bosselaerius hyrcanicus", "Micromeria \u00d7 intermedia", "Micromeria \u00d7 meteorica", "Micromeria \u00d7 nogalesii", "Bosselaerius tajikistani", "Micromeria \u00d7 perez-pazii", "Micromeria \u00d7 preauxii", "Bosselaerius daoxianensis", "Micromeria \u00d7 tagananensis", "Micromeria \u00d7 tolomensis", "Phrurolithus azarkinae", "Micromeria \u00d7 wildpretii", "Bystropogon canariensis", "Bystropogon maderensis", "Bystropogon odoratissimus", "Satyrium nepalense var. ciliatum", "Teratophyllum aculeatum", "Dumortiera hirsuta", "Polystichum guadalupense", "Scopaeus efesi", "Teapeulia banhadana", "Teapeulia sepulturae", "Scopaeus gracilis", "Teapeulia albicota", "Teapeulia minima", "Stenus picipes", "Teapeulia chlidonias", "Stenus turbulentus", "Teapeulia unisignata", "Scotinophara lurida", "Gabrius latro", "Thypsaenia psaenythia", "Scotinophara luzonica", "Bystropogon punctatus", "Polystichum neozelandicum subsp. neozelandicum", "Proathorybia meyi", "Bystropogon \u00d7 serrulatus", "Bystropogon origanifolius var. canariae", "Proathorybia zonalis", "Bystropogon origanifolius var. ferrensis", "Bystropogon origanifolius var. palmensis", "Bystropogon origanifolius var. origanifolius", "Polystichum scopulinum", "Clinopodium albanicum", "Clinopodium abchasicum", "Clinopodium austro-osseticum", "Clinopodium banaoense", "Clinopodium barbatum", "Clinopodium breviflorum", "Clinopodium caucasicum", "Clinopodium cuifengense", "Clinopodium elegans", "Clinopodium gilanicum", "Clinopodium heterotrichum", "Clinopodium italicum", "Clinopodium javanicum", "Clinopodium krupkinae", "Clinopodium kurachense", "Clinopodium lanceolatum", "Clinopodium menitskyi", "Clinopodium pilosum", "Clinopodium raimondoi", "Clinopodium rankiniae", "Corymbus deprinsi", "Corymbus malmoius", "Corymbus hirtitibia", "Corymbus kenyaensis", "Corymbus hallicis", "Ophioderma januarii", "Corymbus nigrizosterus", "Corymbus crossogramma", "Satyrium nepalense var. nepalense", "Cephennomicrus selangorensis", "Cephennococcus penangensis", "Trurlia nova", "Harrisoniascincus zia", "Scotinophara nigra", "Comanthus parvicirrus", "Scythris spiniferella", "Scythris rowecki", "Scotinophara obscura", "Bulonga milleri", "Pseudobulonga trilineata", "Microspingus torquatus pectoralis", "Diospyros atrata", "Achyrospermum aethiopicum", "Achyrospermum seychellarum", "Achyrospermum laterale", "Achyrospermum wallichianum", "Diospyros bipindensis", "Diospyros bourdillonii", "Profidia nitida", "Dixonius lao", "Clinopodium soczavae", "Clinopodium shaofengkouensis", "Clinopodium sirnakense", "Polystichum tetragonum", "Scotinophara minor", "Alytana bifurcalis", "Lordithon aitai", "Lordithon arcuatus", "Lordithon bicolor", "Lordithon daimio", "Lordithon japonicus", "Schaefferia elegans", "Lordithon principalis", "Lordithon semirufus", "Lordithon thoracicus", "Cephennomicrus matangensis", "Tulipa intermedia var. intermedia", "Tulipa intermedia var. korolkowioides", "Thermistis hainanensis", "Thermistis kaiyuni", "Thermistis cheni", "Ophioderma hauchecorni", "Thermistis conjunctesignata", "Thermistis taiwanensis", "Sagittranstilla oios", "Ophioderma holmesii", "Tulipa ivasczenkoae", "Chlorolestes elegans", "Polystichum lepidocaulon", "Liburnascincus coensis", "Liburnascincus mundivensis", "Liburnascincus scirtetis", "Lygisaurus zuma", "Lygisaurus aeratus", "Lygisaurus curtus", "Lygisaurus macfarlani", "Lygisaurus novaeguineae", "Ivoelepas ambigua", "Lygisaurus rimula", "Lygisaurus tanneri", "Lygisaurus sesbrauna", "Lygisaurus rococo", "Lygisaurus parrhasius", "Lauterborniella elegantissima", "Diospyros chamaethamnus", "Diospyros chloroxylon", "Tinagma asignatum", "Achyrospermum densiflorum", "Achyrospermum erythobotrys", "Scotinophara sumatrensis", "Diospyros dendo", "Crypsiptya spinosa", "Scotinophara tibialis", "Diospyros dichrophylla", "Achyrospermum fruticosum", "Achyrospermum micranthum", "Achyrospermum mildbraedii", "Microscydmus okinawanus", "Microscydmus oharaensis", "Microscydmus nishimeanus", "Microscydmus kochiensis", "Microscydmus elytratus", "Flechtneria rotunda", "Microscydmus tibialis", "Aholcocerus arorai", "Microscydmus yusuharanus", "Microscydmus omogonus", "Polystichum whiteleggii", "Gilbertsmithia grandis", "Labomimus flammicornis", "Hariotina reticulata", "Polystichum \u00d7 luerssenii", "Ivoelepas broggi", "Polystichum plicatum", "Stachytarpheta fruticosa", "Diospyros mabacea", "Heteralepas gettysburgensis", "Ivoelepas ischnia", "Diospyros foliosa", "Robiquetia intricata", "Ophioderma pallidum", "Robiquetia micramphora", "Satyrium aciculare", "Diospyros exsculpta", "Diospyros ferrea", "Wanniyala badulla", "Wanniyala batatota", "Robiquetia dutertei", "Diospyros melanoxylon var. melanoxylon", "Scotinophara denticollis", "Phanogenia typica", "Achyrospermum africanum", "Achyrospermum axillare", "Komarekia appendiculata", "Achyrospermum carvalhoi", "Scotinophara scutellata", "Achyrospermum carvalhoi var. grandibracteatum", "Achyrospermum carvalhoi var. carvalhoi", "Scotinophara serrata", "Achyrospermum ciliatum", "Hylodesmus singaporensis", "Propeacrobasis notarioi", "Diospyros candolleana", "Scotinophara tarsalis", "Achyrospermum cryptanthum", "Diospyros castanea", "Achyrospermum dasytrichum", "Scenedesmus obtusus", "Robiquetia odobenus", "Robiquetia orlovii", "Diospyros gaultheriifolia", "Robiquetia ormerodii", "Diospyros geminata", "Calocalanus elegans", "Diospyros greenwayi", "Mysmenopsis cube", "Diospyros humilis", "Robiquetia schizogenia", "Centropages elegans", "Eugnosta amharana", "Achyrospermum oblongifolium", "Procrica sinuata", "Metamesia flava", "Clepsis paragongyla", "Epichoristodes fekensae", "Thiopeia chokeana", "Thiodia africana", "Megaherpystis wofwasha", "Neodesmus danubialis", "Megaherpystis valvalobata", "Cosmetra triangularis", "Protancylis secundus", "Thylacandra delimana", "Gyrophaena affinifera", "Dracontogena bradiana", "Thaumatotibia parimitans", "Thaumatotibia machakelana", "Diospyros egrettarum", "Tulipa kosovarica", "Achyrospermum parviflorum", "Achyrospermum purpureum", "Achyrospermum scandens", "Pediludiella daitoensis", "Thubdora afropyralidis", "Achyrospermum schimperi", "Thubdora fruticosa", "Thubdora kibalensis", "Thubdora klenodes", "Thubdora latidiscalis", "Thubdora mirinae", "Achyrospermum schlechteri", "Thubdora nemorosa", "Achyrospermum tisserantii", "Achyrospermum urens", "Gyrophaena fontanedai", "Gyrophaena marjakata", "Gyrophaena velada", "Phanerota paradissimilis", "Plaumanniola cayennensis", "Lamium \u00d7 schroeteri", "Diospyros revaughanii", "Diospyros rhombifolia", "Diospyros rotundifolia", "Diospyros saldanhae", "Diospyros sandwicensis", "Congestheriella elegans", "Plesiodipsas perijanensis", "Psomophis joberti", "Ajugoides humilis", "Oxera sulfurea", "Thubdora retusivalva", "Thubdora umbratilis", "Thubdora wooriana", "Mannerheimia hartmanni", "Thubdora corystos", "Thubdora narusia", "Thubdora trigonoides", "Thubdora villosiphalla", "Thubdora brachysema", "Thubdora crocophracta", "Thubdora nemophorella", "Satyrium acuminatum", "Satyrium aberrans", "Ophiarachnella infernalis", "Mysmenopsis guayaca", "Mysmenopsis otokiki", "Mysmenopsis choco", "Mysmenopsis awa", "Mysmenopsis lasrocas", "Tulipa luanica", "Robiquetia tibetica", "Robiquetia roycimatui", "Diospyros kupensis", "Tulipa lemmersii", "Diospyros lasiocalyx", "Mysmenopsis schlingeri", "Sideritis clandestina subsp. clandestina", "Sideritis clandestina subsp. cyllenea", "Tulipa persica", "Diospyros sericea", "Diospyros boiviniana", "Mysmenopsis furtiva", "Tulipa platystemon", "Eucyclops elegans", "Diospyros squarrosa", "Sideritis amagroi", "Faiditus rossi", "Faiditus fulvus", "Tulipa serbica", "Tulipa sosnowskyi", "Ophioderma panamense", "Coddingtonia huifengi", "Coddingtonia erhuan", "Coddingtonia lizu", "Coddingtonia discobulbus", "Caligus curtus", "Westella botryoides", "Diospyros winitii", "Diospyros esmereg", "Westellopsis linearis", "Chthonopes cavernicola", "Chthonopes jaegeri", "Collocheres elegans", "Ophioderma pentacanthum", "Faiditus cochleaformus", "Faiditus sullana", "Faiditus atopus", "Faiditus proboscifer", "Georgeantha hexandra", "Faiditus arthuri", "Faiditus gertschi", "Eusphalerum minutum", "Dynoides elegans", "Olophrum piceum", "Euclea crispa", "Sideritis cilicica", "Euclea crispa subsp. crispa", "Faiditus bryantae", "Tulipa scardica", "Yadavaea indica", "Ivoelepas nielseni", "Faiditus amates", "Tulipa scharipovii", "Faiditus davisi", "Faiditus cordillera", "Anthobium monticola", "Anthobium rugosum", "Anthobium sociale", "Fariometra explicata", "Diospyros subrhomboidea", "Diospyros sylvatica", "Prasinohaema virens", "Prasinohaema prehensicauda", "Prasinohaema parkeri", "Prasinohaema flavipes", "Diospyros vaccinioides", "Diospyros villosa", "Anthobium alticola", "Coddingtonia anaktakun", "Tulipa subquinquefolia", "Euclea natalensis", "Euclea natalensis subsp. natalensis", "Euclea undulata", "Ivoelepas rectibasis", "Lacertaspis rohdei", "Lacertaspis lepesmei", "Lacertaspis gemmiventris", "Lacertaspis chriswildi", "Austroablepharus kinghorni", "Austroablepharus naranjicaudus", "Andrometra psyche", "Stenichnus collaris", "Stenichnus scutellaris", "Faiditus globosus", "Faiditus jamaicensis", "Cymothoa elegans", "Faiditus cubensis", "Faiditus exiguus", "Faiditus plaumanni", "Elaeagnus loureiroi", "Ophioderma peruanum", "Elaeagnus montana", "Planktosphaeria gelatinosa", "Schizochlamys gelatinosa", "Schroederia setigera", "Elaeagnus oldhamii", "Elaeagnus angustifolia subsp. angustifolia", "Omalium rivulare", "Faiditus altus", "Phloeonomus pusillus", "Phloeostiba lapponica", "Phloeostiba plana", "Elaeagnus gonyanthes", "Phyllodrepa floralis", "Faiditus amplifrons", "Phyllodrepa nigra", "Euplectus kirbii", "Brachygluta fossulata", "Faiditus acuminatus", "Tyrus mucronatus", "Bryaxis puncticollis", "Faiditus woytkowskii", "Bibloporus minutus", "Faiditus americanus", "Scydmaenus hellwigii", "Euconnus maklinii", "Neuraphes elongatulus", "Cephennium majus", "Stenichnus bicolor", "Elaeagnus tonkinensis", "Steatoda retorta", "Euryopis talaveraensis", "Ivoelepas withersi", "Lesteva bucharica", "Lesteva distincta", "Lesteva miyabi", "Amurothyris costulata", "Storthecoris nigriceps", "Anthobium besucheti", "Anthobium capitale", "Anthobium confucii", "Anthobium cuccodoroi", "Mysmenopsis monticola", "Anthobium denticulatum", "Tetradesmus wisconsinensis", "Mysmenopsis tengellacompa", "Anthobium laozii", "Anthobium latissimum", "Anthobium liliputense", "Lamprolepis smaragdina acutirostre", "Anthobium splendidulum", "Tiliqua gigas keyensis", "Tetrallantos lagerheimii", "Anthobium flaveolum", "Anthobium fusculum", "Anthobium altivagans", "Anthobium cavicrus", "Ophioplus tuberculosus", "Ophioderma phoenium", "Ophioderma propinquum", "Faiditus leonensis", "Choniognathus elegans", "Sideritis incana subsp. tunetana", "Faiditus alticeps", "Sideritis libanotica subsp. kurdica", "Psilocybe yungensis", "Psilocybe baeocystis", "Psilocybe strictipes", "Psilocybe muliercula", "Psilocybe collybioides", "Stenus absconditor", "Euryopis promo", "Euryopis elenae", "Euryopis estebani", "Chlorolobion obtusum", "Echinotheridion levii", "Hippophae rhamnoides subsp. rhamnoides", "Sideritis incana subsp. altiatlantica", "Echinotheridion cartum", "Echinotheridion andresito", "Curvastrum pantanale", "Messastrum gracile", "Faiditus caudatus", "Callianassa elegans", "Storthecoris longispinosus", "Elaeocarpus acronodia", "Elaeocarpus acronodia subsp. acronodia", "Faiditus cancellatus", "Lesteva nipponica", "Mannerheimia yasudai", "Archaeoboreaphilus miyamorii", "Eudectus rufulus", "Acrolocha miyamorii", "Phloeonomus orientalis", "Eusphalerum hidakanum", "Dianous pseudaerator", "Storthecoris aligarhensis", "Storthecoris obtusiceps", "Aceratium ferrugineum", "Faiditus maculosus", "Aceratium megalospermum", "Faiditus taeter", "Lesteva miyamorii", "Lesteva nova", "Lesteva plagiata", "Faiditus ululans", "Aristotelia australasica", "Liophilydrodes puncticollis", "Faiditus affinis", "Spicantopsis niponica var. niponica", "Faiditus striatus", "Faiditus mariae", "Elaeocarpus ganitrus", "Elaeocarpus persicifolius", "Faiditus morretensis", "Struthiopteris castanea", "Macropodanthus brevidentatus", "Faiditus caronae", "Faiditus nataliae", "Elaeocarpus bifidus", "Liophilydrodes pullus", "Liophilydrodes troglophilus", "Faiditus gapensis", "Mannerheimia japonica", "Faiditus spinosus", "Boreaphilus lewisianus", "Aristotelia peduncularis", "Faiditus sicki", "Dropephylla caucasica", "Omalium littorale", "Philorinum simplex", "Acidota daisetsuzana", "Sideritis incana subsp. atlantica", "Mysmenopsis junin", "Mysmenopsis pululahua", "Mysmenopsis lloa", "Mysmenopsis angamarca", "Mysmenopsis hunachi", "Anthobium consanguineum", "Mysmenopsis alvaroi", "Mysmenopsis corazon", "Mysmenopsis tungurahua", "Anthobium jaegeri", "Mysmenopsis baerti", "Mysmenopsis guanza", "Mysmenopsis tepuy", "Anthobium crassum", "Mysmenopsis shushufindi", "Mysmenopsis salazarae", "Mysmenopsis bartolozzii", "Diospyros natalensis subsp. natalensis", "Mysmenopsis amazonica", "Anthobium crenulatulum", "Anthobium explanatum", "Mysmenopsis atahualpa", "Anthobium farkaci", "Anthobium deplanatum", "Anthobium gaoligongshanense", "Anthobium transversale", "Mysmenopsis viracocha", "Mysmenopsis pachacutec", "Mysmenopsis yupanqui", "Anthobium reflexum", "Mysmenopsis capac", "Diospyros oocarpa", "Diospyros paniculata", "Mysmenopsis huascar", "Schmidledesmus elegans", "Faiditus analiae", "Faiditus iguazuensis", "Faiditus laraensis", "Struthiopteris fallax", "Elaeocarpus bojeri", "Faiditus duckensis", "Faiditus cristinae", "Faiditus chicaensis", "Faiditus yutoensis", "Faiditus yacuiensis", "Faiditus vadoensis", "Elaeocarpus costatus", "Struthiopteris spicant var. pradae", "Faiditus solidao", "Dipoena mendoza", "Dianous vietnamensis", "Faiditus darlingtoni", "Dianous rougemontianus", "Elaeocarpus acuminatus", "Faiditus godmani", "Faiditus quasiobtusus", "Dianous brevicornis", "Elaeocarpus amoenus", "Sideritis incana subsp. matris-filiae", "Faiditus dracus", "Faiditus chickeringi", "Faiditus subdolus", "Faiditus peruensis", "Faiditus subflavus", "Sideritis incana subsp. incana", "Faiditus convolutus", "Mysmenopsis cienaga", "Diospyros pentamera", "Schroederiella africana", "Mysmenopsis otonga", "Mysmenopsis onorei", "Diospyros pubescens", "Mysmenopsis fernandoi", "Mysmenopsis chiquita", "Cyclopinodes elegans", "Diospyros pubescens var. pubescens", "Tulipa ostrowskiana", "Anthobium kashmiricum", "Anthobium crenulatum", "Boleometra clio", "Struthiopteris spicant var. spicant", "Warczewiczella palatina", "Elaeocarpus hygrophilus", "Warczewiczella amazonica", "Elaeocarpus eumundi", "Ophioderma radiatum", "Elaeocarpus ferrugineus", "Elaeocarpus ferrugineus subsp. ferrugineus", "Augustaburiania vatagini", "Elaeocarpus floribundus", "Protanystropheus antiquus", "Psilocybe pintonii", "Psilocybe furtadoana", "Psilocybe subyungensis", "Psilocybe wrightii", "Psilocybe fimicola", "Psilocybe horakii", "Psilocybe moelleri", "Lampropholis adonis", "Lampropholis coggeri", "Lampropholis colossus", "Lampropholis couperi", "Lampropholis robertsi", "Lampropholis amicula", "Lampropholis caligula", "Lampropholis mirabilis", "Lampropholis elongata", "Geomyersia coggeri", "Geomyersia glabra", "Eugongylus albofasciolatus", "Eugongylus mentovarius", "Eugongylus unilineatus", "Eugongylus rufescens", "Eugongylus sulaensis", "Eroticoscincus graciloides", "Rhodopaea angelovi", "Rhodopaea heinzi", "Clytiopsis argentoratensis", "Cuapetes elegans", "Elaeocarpus glaber", "Elaeocarpus holopetalus", "Euconnus bachmamontanus", "Mocyta jani", "Mocyta vivida", "Ophioderma rubicundum", "Elaeocarpus longifolius", "Elaeocarpus macrophyllus", "Elaeocarpus munroii", "Ophioderma sodipallaresi", "Ophioderma spectabile", "Ophioderma squamosissimum", "Dinocephalosaurus orientalis", "Sideritis libanotica subsp. linearis", "Calliaxina elegans", "Sciacharis brevipes", "Sideritis libanotica subsp. microchlamys", "Sciacharis alacris", "Cryptoblepharus ater", "Cryptoblepharus bitaeniatus", "Cryptoblepharus cognatus", "Cryptoblepharus africanus", "Lobulia elegans", "Discoconchoecia elegans", "Histopona fioni", "Elaeocarpus sedentarius", "Heterotetramelus montistamborinensis", "Heterotetramelus baloghianus", "Heterotetramelus caledonicus", "Elaeocarpus sylvestris", "Warczewiczella guianensis", "Elaeocarpus storckii", "Warczewiczella ionoleuca", "Warczewiczella lipscombiae", "Warczewiczella lobata", "Histopona palaeolithica", "Elaeocarpus submonoceras", "Elaeocarpus submonoceras subsp. oxypyren", "Warczewiczella marginata", "Histopona italica", "Warczewiczella timbiensis", "Vanilla abundiflora", "Ophioderma teres", "Sideritis syriaca subsp. nusairiensis", "Sideritis syriaca subsp. syriaca", "Vanilla acuminata", "Vanilla acuta", "Vanilla africana", "Sideritis romana subsp. numidica", "Sideritis romana subsp. purpurea", "Sideritis romana subsp. romana", "Sloanea australis", "Sideritis montana subsp. montana", "Histopona kurkai", "Sloanea australis subsp. australis", "Sloanea garckeana", "Curanahuel aconcagua", "Sloanea grandiflora", "Eutheia pakistanica", "Lathrobium newtoni", "Sloanea guianensis", "Corydalis lineariloba var. papilligera", "Lathrobium bodemeyeri", "Sloanea guianensis subsp. guianensis", "Acordulecera grisselli", "Acordulecera whittelli", "Acordulecera algodones", "Acordulecera kimseyi", "Acordulecera sonoita", "Sideritis ochroleuca", "Sideritis ibrahimii", "Sideritis ozturkii", "Sideritis sipylea", "Sideritis lycia", "Vanilla andamanica", "Tetratheca glandulosa", "Vanilla angustipetala", "Vanilla annamica", "Leptopus cordifolius", "Tetratheca hirsuta", "Vanilla appendiculata", "Tetratheca hirsuta subsp. hirsuta", "Vanilla arcuata", "Tetratheca hispidissima", "Notoleptopus decaisnei", "Scotticus erithaci", "Jarrigeus devroeyi", "Elaeocarpus obtusus", "Tulipa systola", "Elaeocarpus obtusus subsp. obtusus", "Elaeocarpus petiolatus", "Elatine rubella", "Ophiosphalma armigerum", "Elatine chilensis", "Acordulecera dorsalis", "Histopona leonardoi", "Histopona egonpretneri", "Histopona isolata", "Histopona hauseri", "Histopona thaleri", "Heterotetramelus cochereaui", "Heterotetramelus hauensis", "Elaeocarpus tuberculatus", "Heterotetramelus hyenghenensis", "Heterotetramelus koghiensis", "Heterotetramelus tonnieri", "Elaeocarpus variabilis", "Histopona myops", "Elaeocarpus venustus", "Elaeocarpus williamsianus", "Elaeocarpus joga", "Histopona tranteevi", "Histopona vignai", "Sideritis montana subsp. remota", "Histopona strinatii", "Lathrobium brignolii", "Ophioderma tonganum", "Corydalis lineariloba var. lineariloba", "Lathrobium paphlagonicum", "Lathrobium uncinatum", "Levelepas roeperi", "Leptobium izmiricum", "Leptobium keskini", "Ophioderma vansyoci", "Tulipa ulophylla", "Ophioderma variegatum", "Eukoenenia igrejinha", "Sloanea hirsuta", "Ophiosphalma armatum", "Vanilla aspericaulis", "Sideritis ajpetriana", "Sideritis albiflora", "Sideritis antiatlantica", "Tetratheca juncea", "Tetratheca pilosa", "Tetratheca pilosa subsp. pilosa", "Tetratheca shiressii", "Tetratheca thymifolia", "Tetratheca virgata", "Tetratheca aphylla", "Tetratheca bauerifolia", "Tetratheca neglecta", "Raibliania calligarisi", "Notiosorex harrisi", "Palaeostigus bifoveolatus", "Sideritis nervosa", "Scaphisoma taiwanum", "Sideritis canariensis", "Sideritis bilgeriana", "Sideritis ibanezii", "Dendrobium lituiflorum", "Sideritis bubanii", "Guillecrinus reunionensis", "Sideritis dianica", "Elatine hungarica", "Cantuaria dendyi", "Planktococcomyxa lacustris", "Vanilla bahiana", "Vanilla barbellata", "Vanilla barrereana", "Cantuaria reducta", "Cantuaria sinclairi", "Cryptoblepharus australis", "Cryptoblepharus caudatus", "Cryptoblepharus pulcher", "Cryptoblepharus ahli", "Cryptoblepharus schlegelianus", "Heterotetramelus maipotonensis", "Cryptoblepharus renschi", "Cryptoblepharus novohebridicus", "Cryptoblepharus novaeguineae", "Cryptoblepharus litoralis", "Cryptoblepharus egeriae", "Cryptoblepharus metallicus", "Cryptoblepharus gloriosus", "Cryptoblepharus keiensis", "Cryptoblepharus plagiocephalus", "Cryptoblepharus leschenault", "Cryptoblepharus balinensis", "Cryptoblepharus cursor", "Cryptoblepharus ruber", "Cryptoblepharus fuhni", "Cryptoblepharus aldabrae", "Cryptoblepharus buchananii", "Cryptoblepharus burdeni", "Cryptoblepharus eximius", "Cryptoblepharus voeltzkowi", "Cryptoblepharus quinquetaeniatus", "Cryptoblepharus virgatus", "Cryptoblepharus megastictus", "Cryptoblepharus poecilopleurus", "Elaeocarpus pierrei", "Ophiothrix trindadensis", "Histopona petrovi", "Sideritis romana subsp. curvidens", "Heterotetramelus carteri", "Heterotetramelus eucalypti", "Heterotetramelus thompsoni", "Chaunoplectella megapora", "Chaunoplectella cavernosa", "Cantuaria kakahuensis", "Cantuaria cognatus", "Cantuaria myersi", "Hyalascus sagamiensis", "Aulosaccus schulzei", "Cantuaria wanganuiensis", "Semperella stomata", "Regadrella okinoseana", "Walteria leuckarti", "Sloanea hirsuta subsp. hirsuta", "Dianous hubeiensis", "Cypridina elegans", "Dianous flavoculatus", "Dianous siamensis", "Eukoenenia jequitinhonha", "Eukoenenia cavatica", "Dianous hainanensis", "Dianous strabo", "Vityazicrinus petrachenkoi", "Sloanea javanica", "Nazeris zhifeii", "Sloanea sigun", "Sloanea massonii", "Vanilla albida", "Sloanea tuerckheimii", "Sloanea woollsii", "Levelepas subtuberculata", "Sloanea langii", "Eukoenenia maquinensis", "Ophiosphalma archaster", "Eukoenenia spelunca", "Tetratheca ericifolia", "Cystomatochilina elegans", "Elaphoglossum parvisquamatum", "Bergia ammannioides", "Bergia suffruticosa", "Nazeris tangi", "Nazeris motuensis", "Eukoenenia navi", "Eukoenenia eywa", "Eukoenenia neytiri", "Bergia trimera", "Eukoenenia ankaratrensis", "Candona elegans", "Pseudolathra pauliani", "Bergia henshallii", "Pseudolathra keiseri", "Pseudolathra hamoni", "Pseudolathra gomyi", "Pseudolathra janaki", "Amidobia talpa", "Paraneseuthia ishigakiana", "Paraneseuthia ehimensis", "Gaius villosus", "Gaius aurora", "Gaius austini", "Gaius cooperi", "Gaius hueyi", "Gaius humphreysi", "Gaius mainae", "Gaius tealei", "Elatine brachysperma", "Septocrinus disjunctus", "Elatine californica", "Elatine gratioloides", "Zeuctocrinus gisleni", "Paraneseuthia holzneri", "Zeuctocrinus spiculifer", "Chlamydotheca elegans", "Proeudesicrinus lifouensis", "Kayesia parva", "Cantuaria insulana", "Cantuaria stephenensis", "Cantuaria pilama", "Cantuaria napua", "Cantuaria assimilis", "Cantuaria dunedinensis", "Cantuaria depressa", "Phlaeopterus obsoletus", "Scyphidium longispinum", "Guillecrinus neocaledonicus", "Cantuaria medialis", "Sideritis viridifolia", "Sideritis villosa", "Sideritis velayosiana", "Sideritis tugiensis", "Sideritis guyoniana", "Sideritis italica", "Cypricercus elegans", "Sideritis jahandiezii", "Sideritis germanicopolitana subsp. viridis", "Encalypta streptocarpa", "Phlaeopterus cavicollis", "Unamis kootenayensis", "Unamis stacesmithi", "Sideritis germanicopolitana subsp. germanicopolitana", "Sideritis reverchonii", "Sideritis spinulosa", "Tumidella tumida", "Cousya nigrata", "Cantuaria collensis", "Cantuaria marplesi", "Cousya defecta", "Cousya longitarsis", "Cantuaria stewarti", "Cantuaria gilliesi", "Sideritis galatica", "Sideritis dubia", "Cantuaria kakanuiensis", "Sideritis cypria", "Cantuaria parrotti", "Sideritis cirujanoi", "Cantuaria apica", "Cantuaria borealis", "Cantuaria orepukiensis", "Cantuaria minor", "Cantuaria sylvatica", "Cantuaria isolata", "Cantuaria catlinensis", "Cantuaria abdita", "Cantuaria allani", "Cantuaria delli", "Migas cantuarius", "Sideritis mezgouti", "Cyathidium pourtalesi", "Holopus rangii", "Holopus spileccense", "Caledothele elegans", "Stanwellia tuna", "Stanwellia taranga", "Stanwellia media", "Stanwellia puna", "Stanwellia hollowayi", "Stanwellia houhora", "Vanilla cucullata", "Vanilla decaryana", "Vanilla decesareae", "Cellaria oraneae", "Striascalpellum martini", "Iguana melanoderma", "Cantuaria lomasi", "Phlaeopterus kavanaughi", "Cantuaria vellosa", "Cantuaria grandis", "Phlaeopterus bakerensis", "Sideritis hispida", "Cantuaria maxima", "Phlaeopterus smetanai", "Cantuaria aperta", "Podohedriella falcata", "Phlaeopterus occidentalis", "Phlaeopterus olympicus", "Cantuaria magna", "Sideritis germanicopolitana", "Phlaeopterus hatchi", "Cantuaria prina", "Phlaeopterus elongatus", "Cantuaria johnsi", "Cantuaria secunda", "Phlaeopterus filicornis", "Cantuaria toddae", "Pseudoquadrigula lagoensis", "Phlaeopterus castaneus", "Phlaeopterus castaneus cascadiensis", "Cousya bimaculata", "Stanwellia kaituna", "Vanilla calyculata", "Entodon plicatus", "Ophiacantha trachybactra", "Phytorus dilatatus", "Cousya bicolor", "Vanilla capixaba", "Phytorus cyclopterus", "Cousya crocea", "Cousya dimorpha", "Vanilla chalotii", "Cousya kelecsenyi", "Cousya sufflata", "Cousya deminuta", "Anheteromeyenia argyrosperma", "Anheteromeyenia ornata", "Ephedra altissima var. altissima", "Anheteromeyenia cheguevarai", "Anheteromeyenia vitrea", "Kayesia ifanensis", "Phytorellus latus", "Vanilla cobanensis", "Vanilla columbiana", "Vanilla corinnae", "Ephedra aphylla", "Vanilla costaricensis", "Vanilla coursii", "Vanilla crenulata", "Phytorellus gibbosus", "Vanilla cribbiana", "Vanilla cristagalli", "Vanilla dietschiana", "Dangeardinella saltatrix", "Tulipa undulatifolia var. undulatifolia", "Huperzia archboldiana", "Kwonkan currycomboides", "Angraecum germinyanum", "Silene shehbazii", "Cretochirus newtoni", "Kwonkan linnaei", "Priochirus thayerae", "Kwonkan turrigera", "Alwiunia excentrica", "Aleochara repetita", "Ephedra altissima var. tibestica", "Hexathele hochstetteri", "Cousya ajmonis", "Cousya fauveli", "Hexathele huttoni", "Hexathele exemplar", "Oxypoda picta", "Oxypoda pellax", "Ocyusa apicalis", "Oxypoda heydeni", "Hexathele petriei", "Axilosphaera vegetata", "Heterotetracystis akinetos", "Porrhothele moana", "Ephedra fragilis subsp. fragilis", "Cousya densepunctata", "Chlorangiogloea consociata", "Cousya struyvei", "Cousya acris", "Cousya araxis", "Cytherideis elegans", "Cantuaria huttoni", "Anheteromeyenia diamantina", "Swarchewskiella rotans", "Kayesia basilewskyi", "Callistocythere elegans", "Ophiacantha kokusai", "Vanilla bertoniensis", "Ophiacantha rhachophora", "Vanilla claviculata", "Vanilla bicolor", "Phytorus antennalis", "Vanilla borneensis", "Cousya schuelkei", "Phytorus laysi", "Cousya pauli", "Vanilla bradei", "Stanwellia hapua", "Ephedra breana", "Hexathele kohua", "Kayesia setiger", "Hexathele para", "Hexathele wiltoni", "Hexathele pukea", "Hexathele putuna", "Hexathele cavernicola", "Hexathele huka", "Hexathele waita", "Hexathele taumara", "Ephedra dahurica", "Hexathele maitaia", "Hexathele otira", "Ephedra distachya subsp. distachya", "Hexathele nigra", "Hexathele ramsayi", "Hexathele waipa", "Cousya dissoluta", "Hexathele rupicola", "Cousya praecox", "Porrhothele blanda", "Sideritis stachydioides", "Sideritis pauli", "Sideritis bourgeana", "Sideritis argyrea", "Sebastes viviparus", "Cethegus elegans", "Sideritis armeniaca", "Heterotetracystis intermedia", "Sideritis cystosiphon", "Ophiacantha abyssa", "Alvikia littoralis", "Tectusa ferdinandicoburgi", "Ophiacantha diplasia", "Tectusa pirinica", "Stanwellia occidentalis", "Stanwellia inornata", "Stanwellia pexa", "Stanwellia nebulosa", "Capsulococcus crateriformis", "Fonsechellus fragilis", "Chlorovitta mutabilis", "Fonsechellus fontesi", "Stanwellia hoggi", "Fonsechellus heterosetosus", "Kundelungua leleupi", "Oecidiophilus cleidecostae", "Oncosclera atrata", "Trochospongilla tenuissima", "Kundelungua meridionalis", "Stanwellia minor", "Crassikamaena foraminosa", "Acer iranicum", "Cousinia azmarensis", "Filistatinella crassipalpis", "Filistatinella domestica", "Ambodiriana pimelioides", "Ambohitsitondrona paradoxa", "Ambohitsitondrona micheli", "Ambohitsitondrona tenuepunctata", "Anchieta argooides", "Andrahomana exepipleurica", "Androyinus alluaudi", "Aristonoda periculosa", "Corvospongilla caunteri", "Aristonoda pereirai", "Corvospongilla lemuriensis", "Corvospongilla mesopotamica", "Corvospongilla victoriae", "Corvospongilla scabrispiculis", "Corvospongilla ultima", "Corvospongilla lapidosa", "Corvospongilla burmanica", "Corvospongilla zambesiana", "Corvospongilla novaeterrae", "Corvospongilla loricata", "Vanilla denshikoira", "Corvospongilla micramphidiscoides", "Corvospongilla sodenia", "Corvospongilla thysi", "Filistatinella hermosa", "Umborotula bogorensis", "Psilocybe antioquensis", "Psilocybe heliconiae", "Psilocybe subacutipilea", "Conocrinus thorenti", "Cesonia elegans", "Filistatinella howdyall", "Filistatinella kahloae", "Filistatinella pistrix", "Filistatinella spatulata", "Filistatinella tohono", "Arbanitis andrewsi", "Rhaphiolepis bengalensis", "Rhaphiolepis cavaleriei", "Corvospongilla becki", "Corvospongilla boehmi", "Corvospongilla bhavnagarensis", "Vanilla diabolica", "Corvospongilla seckti", "Vanilla dilloniana", "Vanilla dressleri", "Vanilla dubia", "Pagurus fraserorum", "Vanilla dungsii", "Vanilla edwallii", "Eriobotrya capitata", "Eunapius calcuttanus", "Eunapius geminus", "Rhaphiolepis angustissima", "Titanolepas spinifer", "Psilocybe guatapensis", "Rhaphiolepis balgooyi", "Filistatinella palaciosi", "Geodia sollasi", "Filistatinella chilindrina", "Siamites sarawakensis", "Dendrobium metrium", "Sideritis brevibracteata", "Sideritis endressii", "Ephedra torreyana subsp. torreyana", "Ophiacantha abyssicola", "Ibatia ganglinosa", "Ophiacantha acanthinotata", "Ophiacantha aculeata", "Ophiacantha enopla", "Ephedra tweedieana", "Ophiacantha granulifera", "Ophiacantha crassidens", "Gnypeta koreana", "Arbanitis cliffi", "Arbanitis melancholicus", "Arbanitis trangae", "Arbanitis wayorum", "Arbanitis rodi", "Sideritis boissieriana", "Arbanitis lynabra", "Arbanitis gracilis", "Sideritis atrinervia", "Radiospongilla streptasteriformis", "Radiospongilla amazonensis", "Vanilla giulianettii", "Radiospongilla inesi", "Sideritis arguta", "Arbanitis villosus", "Vanilla grandifolia", "Vanilla griffithii", "Heterorotula contraversa", "Heterorotula fistula", "Arbanitis monteithi", "Arbanitis longipes", "Radiospongilla sansibarica", "Radiospongilla cerebellata", "Radiospongilla cinerea", "Scinax tsachila", "Radiospongilla crateriformis", "Arbanitis beni", "Sideritis soluta", "Silometopus elegans", "Sideritis ortonedae", "Stysiellus dentatus", "Sideritis arborescens", "Arbanitis beaury", "Arbanitis robertcollinsi", "Arbanitis bithongabel", "Arbanitis echo", "Heterorotula capewelli", "Heterorotula nigra", "Carpelimus paripalitans", "Heterorotula multiformis", "Heterorotula multidentata", "Vanilla espondae", "Vanilla esquipulensis", "Radiospongilla philippinensis", "Radiospongilla hemephydatia", "Radiospongilla indica", "Vanilla fimbriata", "Hortipes gigapophysalis", "Radiospongilla sendai", "Vanilla francoisii", "Oxyporus tuantianius", "Radiospongilla hozawai", "Radiospongilla cantonensis", "Radiospongilla multispinifera", "Vanilla gardneri", "Radiospongilla hispidula", "Radiospongilla synoica", "Pachyrotula raceki", "Titanolepas tuberculatum", "Oncosclera diahoti", "Anisognathus igniventris lunulatus", "Sideritis barbellata", "Sideritis bolleana", "Sideritis brevicaulis", "Sideritis brevidens", "Sideritis calduchii", "Sideritis carbonellii", "Anisognathus somptuosus flavinucha", "Equisetum \u00d7 schaffneri", "Vanilla helleri", "Equisetum \u00d7 trachyodon", "Vanilla heterolopha", "Racekiela ryderii", "Arbanitis maculosus", "Rogmocrypta elegans", "Storenosoma bifidum", "Storenosoma bondi", "Storenosoma forsteri", "Storenosoma grayi", "Storenosoma grossum", "Storenosoma picadilly", "Sideritis carolipauana", "Storenosoma smithae", "Storenosoma tasmaniensis", "Storenosoma victoria", "Sideritis catillaris", "Storenosoma altum", "Sideritis chamaedryfolia", "Sideritis condensata", "Sideritis congesta", "Sideritis cossoniana", "Oztira kroombit", "Labomimus corpulentus", "Labomimus dilatatus", "Maddisonia richardsoni", "Maddisonia whytei", "Maddisonia berbekai", "Phiale elegans", "Allopodops mississippiensis", "Equisetum telmateia subsp. telmateia", "Labomimus dulongensis", "Equisetum variegatum subsp. variegatum", "Labomimus howaichuni", "Labomimus jinfomontis", "Storenosoma supernum", "Hyalococcus dermatocarponis", "Storenosoma terraneum", "Adelophryne michelin", "Ophiacantha adiaphora", "Ophiacantha atopostoma", "Ophiacantha bathybia", "Storenosoma hoggi", "Ophiacantha enneactis", "Hydrurites paradoxus", "Ophiacantha eurypoma", "Ophiacantha lepidota", "Ophiacantha lophobrachia", "Ophiacantha macrarthra", "Ophiacantha omoplata", "Ophiacantha prionota", "Ophiarachnella septemspinosa", "Ophiarachnella gorgonia", "Pottsiela aspinosa", "Pottsiela inarmata", "Oztira summa", "Oztira aquilonaria", "Trimeresurus salazar", "Oztira affinis", "Labomimus assingi", "Labomimus chouwenii", "Dubusia taeniata stictocephala", "Vanilla hostmannii", "Racekiela pictouensis", "Heteromeyenia tentasperma", "Spongilla wagneri", "Diotascalpellum scaniensis", "Wabua major", "Pristimantis tiktik", "Wabua hypipamee", "Arctostaphylos gabilanensis", "Scydmoraphes yunnanensis", "Arctostaphylos glandulosa subsp. glandulosa", "Drulia brownii", "Lesteva concava", "Lesteva elongata", "Arctostaphylos glandulosa subsp. crassifolia", "Lesteva obesa", "Drulia batesii", "Lesteva alesi", "Arctostaphylos glandulosa subsp. zacaensis", "Lesteva cooteri", "Lesteva dabashanensis", "Lesteva elegantula", "Eunapius carteri", "Labomimus longnan", "Labomimus maolan", "Labomimus medogensis", "Labomimus minshanus", "Lepanthes mucronata", "Labomimus niger", "Labomimus qiujianyuae", "Labomimus wuchaoi", "Labomimus yue", "Labomimus torticornis", "Equisetum \u00d7 litorale", "Raorchestes rezakhani", "Vanilla guatemalensis", "Vanilla guianensis", "Ophionereis commutabilis", "Equisetum \u00d7 moorei", "Vanilla hallei", "Vanilla hamata", "Vanilla hartii", "Vanilla havilandii", "Lesteva fikaceki", "Heteromeyenia baileyi", "Metania reticulata", "Lesteva huabeiensis", "Arctostaphylos glandulosa subsp. cushingiana", "Teeatta driesseni", "Teeatta magna", "Cranichis muscosa", "Teeatta platnicki", "Lesteva ochra", "Lesteva pulcherrima", "Kababina formartine", "Kababina aquilonia", "Xysticus elegans", "Tetradonia lizonae", "Tetradonia laselvensis", "Arctostaphylos crustacea", "Arctostaphylos crustacea subsp. crustacea", "Arctostaphylos crustacea subsp. crinita", "Arctostaphylos crustacea subsp. subcordata", "Lorryia parvireticuli", "Carbinea longiscapa", "Carbinea breviscapa", "Carbinea wunderlichi", "Carbinea robertsi", "Pseudanapis gertschi", "Pseudanapis hoeferi", "Pseudanapis namkhan", "Pseudanapis parocula", "Opadometa fastigata", "Acalle recurvata", "Corvomeyenia everetti", "Corvomeyenia carolinensis", "Conocrinus cahuzaci", "Mesochernes elegans", "Tomistoma taiwanicus", "Emmenomma joshuabelli", "Arctostaphylos hookeri subsp. hookeri", "Emmenomma oculatum", "Arctostaphylos hookeri subsp. franciscana", "Arctostaphylos hookeri subsp. montana", "Cranichis sylvatica", "Lorryia amazonensis", "Lorryia virga", "Lorryia meliponarum", "Lorryia fortistriata", "Drulia cristata", "Drulia geayi", "Metania pottsi", "Trimeresurus andersonii", "Coryanthes thivii", "Corvomeyenia thumi", "Emmenomma obscurum", "Arctostaphylos manzanita subsp. manzanita", "Dosilia radiospiculata", "Arctostaphylos manzanita subsp. elegans", "Dosilia palmeri", "Dosilia brouni", "Arctostaphylos manzanita subsp. laevigata", "Dosilia plumosa", "Dosilia pydanieli", "Arctostaphylos manzanita subsp. roofii", "Arctostaphylos manzanita subsp. wieslanderi", "Vanilla kempteriana", "Vanilla kinabaluensis", "Vanilla labellopapillata", "Vanilla leprieurii", "Arctobius agelenoides", "Capitulum caelatum", "Euvondrea floretta", "Arctostaphylos nummularia subsp. nummularia", "Arctostaphylos nummularia subsp. mendocinoensis", "Arctostaphylos viscida subsp. viscida", "Philonthus nitidus", "Arctostaphylos viscida subsp. mariposa", "Arctostaphylos \u00d7 repens", "Ophiopleura borealis", "Arctostaphylos pringlei subsp. drupacea", "Ophiogona doederleini", "Chloremys sessilis", "Ovillaria catenata", "Pseudostichococcus monallantoides", "Wabua kirrama", "Wabua seaview", "Wabua elliot", "Wabua eungella", "Wabua crediton", "Wabua aberdeen", "Wabua cleveland", "Wabua paluma", "Wabua halifax", "Ophiacantha alternata", "Arctostaphylos bakeri subsp. bakeri", "Labomimus heterocerus", "Arctostaphylos canescens subsp. canescens", "Labomimus foveolatus", "Arctostaphylos canescens subsp. sonomensis", "Malarina monteithi", "Amphiura elandiformis", "Malarina masseyensis", "Malarina collina", "Notothecta effecta", "Malarina cardwell", "Notothecta watanabei", "Ophiacantha antarctica", "Kababina alta", "Kababina inferna", "Bledius hyalinus", "Kababina isley", "Kababina yungaburra", "Kababina covacevichae", "Kababina superna", "Kababina colemani", "Cryptocheiridium elegans", "Gynotroches axillaris", "Calocheiridius elegans", "Lesteva rufopunctata", "Lesteva submaculata", "Vanilla inodora", "Psilocybe pleurocystidiosa", "Lesteva mollis", "Vanilla insignis", "Lesteva nivalis", "Vanilla javieri", "Lesteva flavopunctata", "Vanilla kaniensis", "Lesteva davidiana", "Lesteva aureomontis", "Lesteva yunnanicola", "Vanilla karen-christianae", "Christella normalis", "Spathoglottis micronesiaca", "Enkianthus sikokianus", "Wiltona filicicola", "Tulipa undulatifolia var. micheliana", "Echinoderes pterus", "Actinastrum hantzschii", "Chlorochrysa calliparaea fulgentissima", "Actinastrum aciculare", "Vanilla madagascariensis", "Vanilla marowynensis", "Vanilla martinezii", "Vanilla methonica", "Vanilla montana", "Vanilla nigerica", "Vanilla norashikiniana", "Vanilla marmoreisense", "Oncosclera asiatica", "Capitulum mitella", "Comarostaphylis arbutoides", "Actinastrum bacillare", "Actinastrum guttula", "Comarostaphylis arbutoides subsp. arbutoides", "Actinastrum fluviatile", "Comarostaphylis discolor subsp. discolor", "Actinastrum gracillimum", "Comarostaphylis diversifolia subsp. diversifolia", "Actinastrum indicum", "Toxopsoides erici", "Comarostaphylis polifolia", "Toxopsoides kathleenae", "Toxopsoides macleayi", "Comarostaphylis polifolia subsp. polifolia", "Arctostaphylos ohloneana", "Rauenia bonariensis darwinii", "Christella papilio", "Diplazium fuenzalidae", "Pulsatilla tatewakii", "Lepthercus dregei", "Feracrinus aculeatus", "Lepthercus rattrayi", "Hyocrinus bethellianus", "Lepthercus confusus", "Belyaevicrinus latipinnulus", "Carinostoma elegans", "Actinastrum mixtum", "Actinastrum raphidioides", "Caelopygus elegans", "Actinastrum subcornutum", "Actinastrum tetaniforme", "Cassiope fastigiata subsp. fastigiata", "Cassiope lycopodioides subsp. lycopodioides", "Apatococcus lobatus", "Apatococcus constipatus", "Apatococcus fuscideae", "Spathoglottis carolinensis", "Vanilla odorata", "Auxenochlorella symbiontica", "Vanilla organensis", "Vanilla oroana", "Parathelypteris noveboracensis", "Apatococcus minor", "Apatococcus perspicuus", "Apodococcus characioides", "Apodococcus guanensis", "Cereatta elegans", "Peckhamia argentinensis", "Marisora falconensis", "Marisora unimarginata", "Admestina archboldi", "Astrophiura caroleae", "Marisora brachypoda", "Jolyella indica", "Lepthercus filmeri", "Lepthercus kwazuluensis", "Lepthercus lawrencei", "Lepthercus mandelai", "Lepthercus dippenaarae", "Lepthercus engelbrechti", "Lepthercus haddadi", "Lepthercus sofiae", "Arctostaphylos parryana subsp. parryana", "Sphaerobotrys fluviatilis", "Ophiogona laevigata", "Arctostaphylos patula subsp. patula", "Arctostaphylos peninsularis subsp. peninsularis", "Arctostaphylos pringlei subsp. pringlei", "Pneumatopteris truncata", "Archeria eriocarpa", "Goniopteris verecunda", "Goniopteris yaucoensis", "Cherokeesia armata", "Fluda princeps", "Fluda goianiae", "Fluda opica", "Arctostaphylos purissima subsp. purissima", "Smithsoniella earleae", "Sphaerosiphon solitarius", "Uvella virescens", "Arctostaphylos stanfordiana subsp. stanfordiana", "Psilocybe angustipleurocystidiata", "Arctostaphylos tomentosa subsp. tomentosa", "Arctostaphylos tomentosa subsp. bracteosa", "Arctostaphylos mewukka subsp. truei", "Arctostaphylos uva-ursi subsp. uva-ursi", "Thaumastocephalus slavkoi", "Thaumastocephalus troglavi", "Thaumastocephalus dahnae", "Proctonemesia multicaudata", "Proctonemesia secunda", "Marisora syntoma", "Marisora urtica", "Marisora aquilonaria", "Marisora lineola", "Fluda elata", "Descanso ventrosus", "Descanso sobrius", "Compsoscorpius elegans", "Tantulum elegans", "Amaurochrous brevitylus", "Salticus canariensis", "Andersonia aristata", "Salticus gomerensis", "Andersonia brevifolia", "Andersonia coerulea", "Salticus noordami", "Salticus iteacus", "Andersonia heterophylla", "Andersonia involucrata", "Salticus dzhungaricus", "Andersonia lehmanniana", "Amaurochrous vanduzeei", "Andersonia lehmanniana subsp. lehmanniana", "Marisora alliacea", "Marisora pergravis", "Admestina tibialis", "Psilocybe clavata", "Admestina wheeleri", "Neapodops floridanus", "Amarsipus carlsbergi", "Amaurochrous cinctipes", "Centruroides elegans", "Auxenochlorella protothecoides", "Attidops youngi", "Attidops cinctipes", "Cassiope redowskii", "Auxenochlorella pyrenoidosa", "Attidops nickersoni", "Attidops cutleri", "Simprulla argentina", "Cassiope tetragona subsp. tetragona", "Thaumastocephalus bilandzijae", "Thaumastocephalus kirini", "Thaumastocephalus marsici", "Thaumastocephalus rujnicensis", "Amaurochrous magnus", "Amaurochrous ovalis", "Andersonia parvifolia", "Salticus ressli", "Heliophanus haymozi", "Heliophanus sinaicus", "Heliophanus fuerteventurae", "Cosmelia rubra", "Salticus karakumensis", "Sprengelia sprengelioides", "Epacris breviflora", "Pellenes sytchevskayae", "Astrocladus goodingi", "Astrocladus socotrana", "Persiophis fahimii", "Astrocyclus somaliensis", "Epacris calvertiana", "Epacris gunnii", "Amaurochrous dubius", "Epacris diosmifolia", "Vanilla ovata", "Vanilla palembanica", "Vanilla palmarum", "Vanilla paludosa", "Rupicola sprengelioides", "Vanilla paulista", "Vanilla penicillata", "Woollsia pungens", "Vanilla perrieri", "Vanilla phaeantha", "Astrocladus euryale", "Hymeraphia stellifera", "Dielsiodoxa propullulans", "Hymedesmia zetlandica", "Cubanohydracarus elegans", "Pinelema curcici", "Pinelema huobaensis", "Pinelema xiushuiensis", "Pinelema yaosaensis", "Dracophyllum arboreum", "Dracophyllum scoparium", "Pinelema cheni", "Pinelema cordata", "Dracophyllum latifolium", "Pinelema huoyan", "Pinelema liangxi", "Dracophyllum longifolium", "Vanilla ovalis", "Alinea lanceolata", "Alinea luciae", "Tulipa uzbekistanica", "Tulipa vvedenskyi", "Sterrastrolepis brasiliensis", "Epacris pauciflora", "Astrocladus africanus", "Astrocladus hirtus", "Epacris microphylla", "Thaumastocephalus folliculipalpus", "Klagesiana amazoniensis", "Stenichnodes error", "Epacris purpurascens", "Astrocladus coniferus", "Spilarctia procedra procedra", "Spilarctia procedra oudomsayensis", "Psilocybe jacobsii", "Epacris reclinata", "Epacris rhombifolia", "Epacris lanuginosa", "Capitulum sklenari", "Epacris marginata", "Epacris serpyllifolia", "Epacris heteronema", "Epacris myrtifolia", "Richea gunnii", "Chlorella stigmatophora", "Chlorella umbelloidea", "Richea procera", "Richea sprengelioides", "Richea victoriana", "Sphenotoma gracilis", "Vanilla ruiziana", "Vanilla sanjappae", "Acrothamnus colensoi", "Acrothamnus spathaceus", "Vanilla sarapiquensis", "Vanilla savannarum", "Vanilla schwackeana", "Vanilla seranica", "Vanilla seretii", "Acrothamnus suaveolens", "Vanilla siamensis", "Pinelema zhenzhuang", "Chlorella variegata", "Chlorella botryoides", "Dracophyllum minimum", "Chlorella chlorelloides", "Dracophyllum oceanicum", "Chlorella colonialis", "Chlorella elongata", "Dracophyllum ramosum", "Chlorella lewinii", "Chlorella pituita", "Astrocladus dofleini", "Chlorella pulchelloides", "Chlorella rotunda", "Acmarhachis elegans", "Chlorella singularis", "Astrocladus exiguus", "Chlorella volutis", "Leucandra algoaensis", "Halicnemia patera", "Chlorella conglomerata", "Dracophyllum sayeri", "Eryx jayakari", "Eryx muelleri", "Eryx johnii", "Eryx somalicus", "Eryx tataricus", "Chlorella heliozoae", "Eryx whitakeri", "Eryx conicus", "Chlorella miniata", "Chlorella nocturna", "Psilocybe subcubensis", "Chlorella photophila", "Chlorella sorokiniana", "Chlorella vannielii", "Chlorella variabilis", "Calabaria reinhardtii", "Chlorella oocystoides", "Chlorella pachyderma", "Titanostrombus galeatus", "Chlorella peruviana", "Chlorella rugosa", "Ezishnola cretacea", "Penicillidmus maquilingensis", "Ezishnola inopinata", "Chlorella salina", "Penicillidmus lagunensis", "Catena viridis", "Catena de-toniana", "Pinelema lizhuang", "Chlorella vulgaris", "Pinelema strentarsi", "Pinelema wangshang", "Pinelema wenyang", "Chlorella acuminata", "Pinelema yunchuni", "Pinelema zhewang", "Chlorella antarctica", "Chlorella faginea", "Pinelema cunfengensis", "Pinelema podiensis", "Chlorella bacteroidea", "Pinelema qingfengensis", "Chlorella infusionum", "Dracophyllum milliganii", "Pinelema damtaoensis", "Pinelema nuocnutensis", "Pinelema laensis", "Pinelema pacchanensis", "Pinelema spirulata", "Pinelema xiezi", "Rabomia subaurata", "Bailiaspis elegans", "Rabomia obscurior", "Astroloma serratifolium", "Astroloma stomarrhena", "Morabia politzari", "Morabia brunnea", "Astroloma xerophyllum", "Pseudeuophrys rhodiensis", "Brachyloma daphnoides subsp. daphnoides", "Brachyloma ciliatum", "Dendrobium wilsonii", "Evarcha insularis", "Closteriopsis longissima", "Zodarion montesacrense", "Zodarion pantaleonii", "Zodarion pseudonigriceps", "Neoshirakia japonica", "Zodarion valentii", "Agyneta inermis", "Brachyloma preissii", "Vanilla sotoarenasii", "Salticus lucasi", "Psilocybe subanellariiformis", "Carrhotus andhra", "Vanilla sprucei", "Carrhotus assam", "Vanilla sumatrana", "Carrhotus silanthi", "Orbamia obliqua", "Orbamia obliqua obliqua", "Acrotriche serrulata", "Orbamia obliqua parva", "Astroloma ciliatum", "Notopodops omani", "Oncozygia clavicornis", "Astroloma conostephioides", "Astroloma foliosum", "Astrocladus ludwigi", "Oligodon rostralis", "Astroloma glaucescens", "Orbamia ocellata", "Astroloma humifusum", "Astroloma pallidum", "Orbamia abiyi", "Orbamia emanai", "Orbamia emanai emanai", "Orbamia emanai lenzi", "Astroloma macrocalyx", "Orbamia pauperata", "Orbamia balensis", "Penicillidmus luzonicus", "Ezishnola carcassoni", "Dracophyllum uniflorum", "Costonia elegans", "Clavomicrus orousseti", "Dracophyllum verticillatum", "Dracophyllum fitzgeraldii", "Vanilla platyphylla", "Cretobrachygluta laurasiensis", "Vanilla poitaei", "Richea continentis", "Vanilla polylepis", "Afrikanetz smithi", "Afrikanetz maputo", "Vanilla ramificans", "Vanilla rebecae", "Richea pandanifolia", "Richea pandanifolia subsp. pandanifolia", "Vanilla ribeiroi", "Vanilla roscheri", "Sesapa sanguinea", "Phitosia crocifolia", "Closteriopsis acicularis", "Taimyraphes microscopicus", "Belippo eburnensis", "Closteriopsis drepaniformis", "Closteriopsis scolia", "Compactochlorella kochii", "Compactochlorella dohrmannii", "Coronastrum aestivale", "Coronastrum lunatum", "Coronastrum chodatii", "Vanilla trigonocarpa", "Coronastrum ellipsoideum", "Vanilla utteridgei", "Oedothorax unciger", "Oedothorax sohra", "Vanilla vellozoi", "Dictyosphaerium ehrenbergianum", "Civizelotes aituar", "Conostephium minus", "Conostephium pendulum", "Conostephium magnum", "Paederus natmataungensis", "Gabrius victoriae", "Acrotriche affinis", "Acrotriche aggregata", "Oreolalax longmenmontis", "Megophrys xianjuensis", "Tydeus argutus", "Nidirana yeae", "Nidirana xiangica", "Nidirana mangveni", "Nidirana guangdongensis", "Critonia breedlovei", "Coronocephalus elegans", "Acrotriche divaricata", "Orbamia octomaculata", "Acrotriche prostrata", "Orbamia marginata", "Orbamia renimacula", "Orbamia clarissima", "Acrotriche rigida", "Orbamia clarior", "Dictyosphaerium terrestre", "Leptecophylla robusta", "Gnaphosa azerbaidzhanica", "Leptecophylla tameiameiae", "Eryx sistanensis", "Astrocladus tonganus", "Rhynchogyna luisifolia", "Rhynchogyna fallax", "Cormocephalus westwoodi", "Aenigmaphes papuanus", "Leucopogon amplexicaulis", "Leucopogon conostephioides", "Leucopogon cordatus", "Leucopogon crassiflorus", "Vanilla wariensis", "Gabrius sagittifer", "Vanilla wightii", "Anchocerus apterus", "Vanilla yanesha", "Conostephium preissii", "Algon semiaeneus", "Vanilla yersiniana", "Algon angelikae", "Paederus hiekei", "Paederus schillhammeri", "Vanilla zanzibarica", "Paederus goellnerae", "Dictyosphaerium granulatum", "Cyathodes straminea", "Dictyosphaerium lacustre", "Ankersquilla pardus", "Dictyosphaerium libertatis", "Dictyosphaerium planctonicum", "Dictyosphaerium regulare", "Dictyosphaerium reniforme", "Dictyosphaerium simplex", "Leptecophylla juniperina subsp. juniperina", "Dictyosphaerium subsolitarium", "Rhynchostylis cymifera", "Emoia sorex", "Emoia kuekenthali", "Pachymatisma johnstonia", "Leucandra fistulosa", "Raspaciona aculeata", "Epizoanthus papillosus", "Suberites carnosus", "Suberites virgultosus", "Suberites ficus", "Haliclona simulans", "Myxilla incrustans", "Leucopogon dielsianus", "Sciacharis deplanatus", "Leucopogon ericoides", "Oxyopes nenilini", "Zelotes eugenei", "Ophiosphalma atlanticum", "Dendrobium cariniferum", "Leucopogon esquamatus", "Ophiosphalma cancellatum", "Leucopogon gibbosus", "Leucandra ananas", "Leucosolenia complicata", "Parapiophila flavipes", "Brassia arcuigera", "Emoia boettgeri", "Emoia battersbyi", "Emoia jakati", "Emoia loyaltiensis", "Emoia tropidolepis", "Emoia tetrataenia", "Emoia nativitatis", "Emoia mivarti", "Emoia klossi", "Emoia nigromarginata", "Emoia obscura", "Pithecia vanzolinii", "Desmacidon fruticosum", "Raspailia hispida", "Pithecia napensis", "Spongia hispida", "Protopselaphus thayerae", "Geostiba ahirensis", "Leucosolenia botryoides", "Geostiba sandiklica", "Isodictya palmata", "Psilocybe tuxtlensis", "Clathria prolifera", "Stelligera stuposa", "Geostiba karakusensis", "Aglaophenia pluma", "Shrekin graviolae", "Aglaophenia cupressina", "Antho dichotoma", "Phakellia ventilabrum", "Aglaophenia whiteleggei", "Calisto chrysaoros chrysaoros", "Philothalpus fervidus", "Calisto chrysaoros galii", "Philothalpus asymmetros", "Philothalpus bilobus", "Philothalpus juanecoi", "Leucopogon flavescens", "Leucopogon fletcheri", "Leucopogon fletcheri subsp. fletcheri", "Bungulla bertmaini", "Bungulla riparia", "Emoia aenea", "Emoia aurulenta", "Emoia physicina", "Emoia guttata", "Emoia arnoensis", "Emoia lawesi", "Emoia ponapea", "Emoia reimschisseli", "Emoia kordoana", "Emoia similis", "Emoia taumakoensis", "Emoia sanfordi", "Emoia rufilabialis", "Emoia nigra", "Emoia flavigularis", "Emoia laobaoense", "Emoia aneityumensis", "Emoia parkeri", "Emoia kitcheneri", "Emoia mokosariniveikau", "Psilocybe naematoliformis", "Psilocybe wassoniorum", "Titanostrombus goliath", "Ophiosphalma elii", "Ophiosphalma familiare", "Brassia brachypus", "Montitega dealbata", "Ophiosphalma impotens", "Phragmolites elegans", "Ophiosphalma jolliense", "Styphelia longifolia", "Styphelia perileuca", "Dendrilla membranosa", "Spongia agaricina", "Clathria frondosa", "Dysidea tupha", "Hyattella cavernosa", "Metellina barreti", "Neriene baywanga", "Podops annulicornis", "Bryanthus musciformis", "Manzuma botswana", "Ledothamnus sessiliflorus", "Manzuma jocquei", "Manzuma kenyaensis", "Hyattella pertusa", "Axinella verrucosa", "Axinella cannabina", "Phyllospongia lamellosa", "Hyattella sinuosa", "Halichondria panicea", "Halichondria papillaris", "Amphimedon rubens", "Phakellia crateriformis", "Haliclona cervicornis", "Aplysina fulva", "Aplysina fistularis", "Ianthella basta", "Sarcotragus fasciculatus", "Coryne pusilla", "Coelatura gabonensis", "Huntiglennia williamsi", "Podops calligerus", "Monotoca glauca", "Chalcothraupis ruficervix fulvicervix", "Brassia andina", "Brassia andreettae", "Brassia angusta", "Brassia angustilabia", "Brassia aurorae", "Brassia bennettiorum", "Brassia bidens", "Brassia bowmani", "Suberites suberia", "Chalinula limbata", "Polymastia penicillus", "Phorbas plumosus", "Pithecia milleri", "Hymeniacidon perlevis", "Raspailia ramosa", "Pithecia inusta", "Pithecia hirsuta", "Emoia submetallica", "Emoia tongana", "Emoia impar", "Emoia longicauda", "Emoia veracunda", "Emoia popei", "Emoia loveridgei", "Emoia maxima", "Emoia oribata", "Pithecia chrysocephala", "Emoia bogerti", "Emoia maculata", "Emoia schmidti", "Emoia bismarckensis", "Hymeniacidon luxurians", "Nycticebus menagensis", "Myxilla rosacea", "Mycale contarenii", "Emoia brongersmai", "Emoia coggeri", "Emoia erronan", "Emoia digul", "Emoia cyclops", "Emoia irianensis", "Emoia isolata", "Emoia jamur", "Emoia montana", "Emoia paniai", "Emoia pseudocyanura", "Nycticebus borneanus", "Emoia rennellensis", "Emoia pseudopallidiceps", "Nycticebus bancanus", "Emoia trossula", "Emoia campbelli", "Halichondria suberosa", "Ircinia solida", "Iotrochota membranacea", "Axinella damicornis", "Phyllospongia alcicornis", "Petrosia clavata", "Goniops chrysocoma", "Psilocybe caerulescens", "Psilocybe latispora", "Sideritis subatlantica", "Manzuma petroae", "Manzuma tanzanica", "Ledothamnus guyanensis", "Manzuma nigritibiis", "Manzuma lymphus", "Corema album", "Psilocybe zapotecorum", "Psilocybe mexicana", "Psilocybe cordispora", "Psilocybe kumaenorum", "Psilocybe singeriana", "Ophiosphalma corticosum", "Lissanthe rubicunda", "Ophiosphalma dyscritum", "Sycon ciliatum", "Baiami glenelgi", "Baiami loftyensis", "Lissanthe sapida", "Baiami torbayensis", "Baiami montana", "Baiami stirlingi", "Ophiosphalma elegans", "Baiami brockmani", "Tartarus mullamullangensis", "Lissanthe strigosa subsp. subulata", "Lissanthe strigosa subsp. strigosa", "Janusia muiri", "Epimecinus alkirna", "Epinephelus septemfasciatus", "Clytia delicatula", "Tartarus nurinensis", "Tartarus murdochensis", "Pillara karuah", "Leucopogon plumuliflorus", "Pillara macleayensis", "Pillara coolahensis", "Pillara griswoldi", "Leucopogon polymorphus", "Leucopogon pulchellus", "Leucopogon setiger", "Leucopogon sprengelioides", "Therlinya kiah", "Therlinya foveolata", "Leucopogon tamminensis", "Therlinya bellinger", "Therlinya horsemanae", "Leucopogon virgatus", "Propithecus coronatus", "Leucopogon oldfieldii", "Propithecus candidus", "Leucopogon oliganthus", "Hoolock tianxing", "Hylobates tianxing", "Leucopogon squarrosus", "Leucopogon squarrosus subsp. squarrosus", "Leucopogon tenuicaulis", "Therlinya wiangaree", "Therlinya ballata", "Therlinya vexillum", "Therlinya lambkinae", "Therlinya angusta", "Therlinya monteithi", "Tonicia chilensis", "Therlinya nasuta", "Podops retowskii", "Corambis jacknicholsoni", "Corambis logunovi", "Corambis pantherae", "Podops inunctus", "Corambis foeldvarii", "Corambis insignipes", "Styphelia viridis subsp. viridis", "Trochocarpa laurina", "Meta hamata", "Meta longlingensis", "Meta tangi", "Meta yani", "Trochocarpa montana", "Meta yinae", "Neoscona dhumani", "Couranga kioloa", "Leucopogon glaucifolius", "Couranga diehappy", "Jamberoo johnnoblei", "Leucopogon juniperinus", "Jamberoo boydensis", "Jamberoo actensis", "Jamberoo australis", "Karriella treenensis", "Leucopogon microphyllus", "Karriella walpolensis", "Leucopogon microphyllus var. pilibundus", "Elleguna major", "Leucopogon neurophyllus", "Elleguna minor", "Asmea akrikensis", "Leptecophylla juniperina subsp. oxycedrus", "Asmea hayllari", "Asmea capella", "Asmea mullerensis", "Leucopogon pendulus", "Borrala dorrigo", "Borrala yabbra", "Borrala longipalpis", "Borrala webbi", "Tartarus thampannensis", "Clytia delicatula var. amakusana", "Barahna booloumba", "Barahna brooyar", "Barahna yeppoon", "Barahna taroom", "Barahna scoria", "Barahna toonumbar", "Barahna myall", "Clytia discoida", "Barahna glenelg", "Chiton elegans", "Microcebus margotmarshae", "Philothalpus rufus", "Microcebus macarthurii", "Philothalpus rugosus", "Sideritis flaviflora", "Melichrus urceolatus", "Quwatanabius chiaw", "Corasoides angusi", "Corasoides cowanae", "Corasoides motumae", "Corasoides mouldsi", "Corasoides nebula", "Corasoides nimbus", "Scydmaenus linqibini", "Corasoides occidentalis", "Monotoca elliptica", "Corasoides stellaris", "Corasoides terania", "Monotoca scoparia", "Brassia brevis", "Brassia brunnea", "Vietomartyria wuyunjiena", "Vietomartyria maoershana", "Brassia caudata", "Poltys jujorum", "Brassia cauliformis", "Poltys milledgei", "Poltys timmeh", "Brassia chloroleuca", "Poltys grayi", "Poltys noblei", "Cucullaea elegans", "Empetrum nigrum subsp. nigrum", "Empetrum nigrum subsp. asiaticum", "Ophiosphalma laqueatum", "Ophiosphalma spinulosum", "Ophiosphalma spinigerum", "Ophiosphalma serratum", "Ophiosphalma regulare", "Ophiosphalma properum", "Ophiosphalma nitidum", "Empetrum rubrum", "Tapirus antiquus", "Tapirus priscus", "Pachymatisma areolata", "Pachymatisma bifida", "Pachymatisma monaena", "Pachymatisma nodosa", "Erica coccinea", "Clathria coralloides", "Bungulla ajana", "Bungulla aplini", "Bungulla banksia", "Bungulla bella", "Bungulla bidgemia", "Bungulla biota", "Bungulla bringo", "Bungulla burbidgei", "Bungulla dipsodes", "Bungulla disrupta", "Bungulla ferraria", "Bungulla fusca", "Bungulla gibba", "Bungulla hamelinensis", "Bungulla harrisonae", "Bungulla hillyerae", "Bungulla inermis", "Bungulla iota", "Bungulla keigheryi", "Bungulla keirani", "Bungulla kendricki", "Bungulla laevigata", "Bungulla mackenziei", "Bungulla oraria", "Bungulla parva", "Bungulla quobba", "Bungulla sampeyae", "Bungulla weld", "Bungulla westi", "Bungulla yeni", "Hydaticus satoi", "Craspedochiton elegans", "Leucopogon glabellus", "Erica abietina subsp. abietina", "Erica abietina subsp. atrorosea", "Erica formosa", "Halisarca tesselata", "Halisarca ascidiarum", "Halisarca australiensis", "Halisarca laxus", "Halisarca rubitingens", "Halisarca sacra", "Halisarca metschnikovi", "Halisarca pachyderma", "Spongilla mucronata", "Spongilla helvetica", "Spongilla arctica", "Spongilla sarasinorum", "Spongilla permixta", "Spongilla stankovici", "Spongilla shikaribensis", "Spongilla prespensis", "Spongilla chaohuensis", "Spongilla jiujiangensis", "Pyrgoma spurtruncata", "Ircinia strobilina", "Chelus orinocensis", "Didymogenes soliella", "Didymogenes sphaerica", "Erica alopecurus", "Bryothinusa japonica", "Endolithella mcmurdoensis", "Bryothinusa koreana", "Bryothinusa gangjinensis", "Follicularia paradoxalis", "Euconnus arganoi", "Erica ampullacea", "Cymbiapophysa velox", "Euconnus camerunensis", "Follicularia botryoides", "Cymbiapophysa yimana", "Follicularia ettlii", "Follicularia komarekii", "Sinophilus yukoae", "Follicularia starrii", "Follicularia texensis", "Erica andevalensis", "Erica arborescens", "Erica aristata", "Geminella interrupta", "Sideritis vulcanica", "Geminella amphigranulata", "Corhiza bellicosa", "Corhiza pannosa", "Corhiza scotiae", "Erica abietina subsp. diabolis", "Erica acuta", "Psalmopoeus copanensis", "Psalmopoeus sandersoni", "Erica aggregata", "Psalmopoeus petenensis", "Didymogenes palatina", "Didymogenes anomala", "Didymogenes granulata", "Psalmopoeus maya", "Geminella turfosa", "Spinosatibiapalpus spinulopalpus", "Geminella crenulatocollis", "Erica azorica", "Geminella ellipsoidea", "Spinosatibiapalpus trinitatis", "Geminella longispira", "Spinosatibiapalpus tansleyi", "Geminella minor", "Miaschistopus tetricus", "Geminella mutabilis", "Geminella ordinata", "Geminella smithii", "Geminella spirochroma", "Billardia novaezealandiae", "Alpaida imperatrix", "Alpaida imperialis", "Alpaida marista", "Erica banksia subsp. purpurea", "Erica cristiflora var. blanda", "Timmia parva", "Psilocybe smithiana", "Spongia corrugata", "Spongia gorgonocephalus", "Spongia mokohinau", "Spongia manipulatus", "Spongia decooki", "Stilpnia cyanoptera whitelyi", "Spongia peddemorsi", "Spongia smaragdus", "Ophiomusa alta", "Ophiomusa alecto", "Ophiomusa africana", "Podops dilatatus", "Podops tangirus", "Erica cameronii", "Golenkiniopsis gujaratensis", "Golenkiniopsis longispina", "Golenkiniopsis solitaria", "Golenkiniopsis varians", "Erica capensis", "Heynigia dictyosphaerioides", "Heynigia riparia", "Keratococcus bicaudatus", "Erica chamissonis", "Erica chloroloma", "Alpaida mendensis", "Podops buccatus", "Geminella subtilissima", "Podops rectidens", "Geminella verrucosa", "Spongia gracilis", "Psilocybe scatigena", "Jacaena jinxini", "Gloeotila caldaria", "Diochus cleidecostae", "Diochus astutus", "Ischnocolus vanandelae", "Erica bauera", "Erica bauera subsp. bauera", "Ischnocolus jickelii", "Ischnocolus ignoratus", "Erica blandfordia", "Gloeotila cateniformis", "Gloeotila mucosa", "Erica blenna", "Ischnocolus hancocki", "Gloeotila pallida", "Erica bolusiae", "Ischnocolus rubropilosus", "Ischnocolus tomentosus", "Gloeotila protogenita", "Erica bruniades", "Erica capitata", "Erica villosa", "Ischnocolus valentinus", "Gloeotila capensis", "Gloeotila curta", "Gloeotila pulchra", "Erica caffra", "Gloeotila fennica", "Erica caffrorum", "Erica calycina", "Sideritis pumila", "Erica banksia", "Erica banksia subsp. banksia", "Erica chrysocodon", "Keratococcus dispar", "Tliltocatl kahlenbergi", "Pseudoxyporus melanocephalus", "Tliltocatl sabulosum", "Tliltocatl schroederi", "Cubitostrea elegans", "Tliltocatl vagans", "Keratococcus dissociatus", "Tliltocatl verdezi", "Numinbah insperatus", "Stichoplastoris elusinus", "Stichoplastoris obelix", "Psilocybe rhomboidospora", "Keratococcus mucicola", "Microdesmia arborea", "Spongia catarinensis", "Spongia corallina", "Spongia purpurea", "Liopeltis tiomanica", "Pollicipes striatum", "Stilpnia cayana flava", "Keratococcus suecicus", "Keratococcus rhaphidioides", "Stichoplastoris stylipus", "Zodarion izmirense", "Marvania coccoides", "Crenatula picta", "Atheta gangwonensis", "Erica coccinea subsp. coccinea", "Erica plukenetii", "Microcebus ganzhorni", "Microcebus boraha", "Ophiomusa acufera", "Crenella elegans", "Nemophora alba", "Nemophora decoratella", "Nemophora bruneiella", "Erica ampullacea var. obbata", "Dahira sichuanica", "Podops curvidens", "Homaloxestis longicornuta", "Homaloxestis trapezialis", "Homaloxestis rotundisigna", "Alpaida venger", "Gloeotila longicellularis", "Gloeotila monospora", "Gloeotila sestonica", "Gloeotila subtilis", "Pselaphotumulus aorerei", "Pselaphotumulus dubius", "Pselaphotumulus unus", "Pselaphotumulus cavelli", "Pselaphotumulus oviceps", "Pselaphotumulus urquharti", "Gloeotila scopulina", "Gloeotila subconstricta", "Golenkiniopsis chlorelloides", "Sahydroaraneus hirsti", "Sahydroaraneus raja", "Sahydroaraneus collinus", "Erica curvirostris", "Erica cyathiformis", "Erica laevis", "Erica odorata", "Sahydroaraneus sebastiani", "Erica cylindrica", "Neoheterophrictus chimminiensis", "Thyellisca lamellosa", "Erica daphniflora", "Habrocestum longispinum", "Micractinium appendiculatum", "Curubis tetrica", "Erica colorans", "Microcebus arnholdi", "Erica conspicua", "Erica conspicua subsp. conspicua", "Erica cordata", "Cyrtarachne avimerdaria", "Cyrtarachne schmidi", "Cyrtarachne sundari", "Cyrtarachne promilai", "Cyrtarachne bengalensis", "Cyrtarachne gravelyi", "Pollicipes vansyoci", "Cyrtarachne biswamoyi", "Cyrtarachne biswajiti", "Microdesmia rigida", "Brassia ecuadorensis", "Brassia escobariana", "Mimivirus sp. styx", "Brassia euodes", "Mimivirus sp.", "Brassia farinifera", "Brassia filomenoi", "Ruehssia fusca", "Brassia forgetiana", "Brassia garayana", "Brassia gireoudiana", "Ophiomusa anisacantha", "Erica eugenea", "Stilpnia cucullata versicolor", "Erica fascicularis", "Erica fastigiata", "Aglaia cucullata", "Neoheterophrictus crurofulvus", "Neoheterophrictus sahyadri", "Neoheterophrictus uttarakannada", "Heterophrictus raveni", "Heterophrictus aareyensis", "Neoheterophrictus smithi", "Psilocybe uruguayensis", "Psilocybe caeruleoannulata", "Neoheterophrictus amboli", "Erica corifolia", "Erica articularis", "Erica cristiflora", "Erica melanthera", "Erica cubica", "Erica ardens", "Otus senegalensis feae", "Erica embothriifolia", "Ophiomusa anaelisae", "Erica ericoides", "Brassia cochlearis", "Thiratoscirtus alveolus", "Thiratoscirtus bipaniculus", "Brassia cochleata", "Thiratoscirtus gambari", "Thiratoscirtus harpago", "Brassia cyrtopetala", "Thiratoscirtus mirabilis", "Thiratoscirtus monstrum", "Thiratoscirtus obudu", "Brassia diphylla", "Thiratoscirtus vilis", "Thiratoscirtus yorubanus", "Brassia dresslerorum", "Hyllus qishuoi", "Pellenes tharinae", "Phlegra karoo", "Phlegra tenella", "Erica densifolia", "Cypricardinia elegans", "Erica denticulata", "Protulophila gestroi", "Ajaraneola mastigophora", "Erica discolor", "Brancus occidentalis", "Vanda christensoniana", "Erica drakensbergensis", "Micractinium elongatum", "Evarcha grandis", "Evarcha idanrensis", "Micractinium inermum", "Habrocestum personatum", "Hyllus remotus", "Icius olokomei", "Langelurillus quadrimaculatus", "Micractinium parvisetum", "Micractinium parvum", "Menemerus nigeriensis", "Erica edelinia", "Neaetha maxima", "Micractinium quadrisetum", "Erica elimensis", "Erica ferrea", "Hippospongia communis", "Spongia lacinulosa", "Tremella fuciformis", "Spongia tubulifera", "Hyllus diardi", "Erica filipendula", "Erica filipendula subsp. filipendula", "Erica fimbriata", "Erica flaccida", "Tetragnatha megalocera", "Tetragnatha renatoi", "Tetragnatha chiyokoae", "Ophiomusa aspera", "Erica foliacea", "Pteronema darwinii", "Erica foliacea subsp. foliacea", "Ophiomusa australe", "Tetragnatha chauliodus", "Micractinium bornhemiense", "Habrocestum nalvasha", "Micractinium belenophorum", "Brancus signatus", "Heliophanus minor", "Micractinium conductrix", "Crollius verschuereni", "Kakameganula holmi", "Crollius sudanus", "Micractinium conococcoides", "Micractinium strigoniense", "Pellenes obvolutus", "Phintella kaptega", "Crollius conspersus", "Plexippus fibulatus", "Micractinium crassisetum", "Micractinium extremum", "Ragatinus maddisoni", "Thiratoscirtus elgonensis", "Thiratoscirtus minimus", "Micractinium depressum", "Evarcha acuta", "Habrocestum namibicum", "Heliophanus montanus", "Erica demissa", "Konradus leehermani", "Severinina bergrothi", "Erica galioides", "Sideritis cretica", "Erica georgica", "Agelosus raptor", "Notolinopsis zuluensis", "Notolinopsis parceoculatus", "Notolinopsis langebergensis", "Dinothenarus pallipes", "Dinothenarus similis", "Dinothenarus capito", "Dinothenarus holzschuhi", "Erica glomiflora", "Erica glutinosa", "Tetragnatha cheni", "Tetragnatha gui", "Cypricardia elegans", "Callyspongia bullata", "Eriovixia patulisus", "Psilocybe hoogshagenii", "Callyspongia bilamellata", "Callyspongia asparagus", "Callyspongia aspericornis", "Asyncoryne ryniensis", "Erica heliophila", "Antho frondifera", "Erica hibbertia", "Clathria juniperina", "Callyspongia lacera", "Thyreocephalus lumawigi", "Achmonia davaoensis", "Promolotra shankhaung", "Promolotra hponkanrazi", "Erica hirtiflora", "Erica pubescens", "Pachycorynus kanakyanus", "Erica hispidula", "Cyclosa parangtarugoa", "Taonura colus", "Cyclosa saismarka", "Cyclosa baakea", "Singa hilira", "Medhiama hartmanni", "Larinia parangmata", "Ircinia filamentosa", "Ulosa elongata", "Neoscona dostinikea", "Niphates digitalis", "Neoscona yptinika", "Ptilocaulis echidnaeus", "Neoscona usbonga", "Phyllospongia cyathina", "Neoscona oriemindoroana", "Dactylia crispata", "Neopetrosia carbonaria", "Echinodictyum carlinoides", "Ircinia campana", "Taonura byssoides", "Clathria abietina", "Clathria cactiformis", "Mycale flammula", "Eriovixia palawanensis", "Echinochalina barba", "Eriovixia mahabaeus", "Erica spectabilis", "Erica grandiflora subsp. perfoliosa", "Spongia stellifera", "Tetragnatha desaguni", "Macrocheles kekensis", "Tetragnatha llavaca", "Tetragnatha okumae", "Tetragnatha iwahigensis", "Erica grata", "Phonognatha guanga", "Erica gysbertii", "Erica haematocodon", "Mesida realensis", "Mesida matinika", "Leucauge parangscipinia", "Leucauge mahabascapea", "Erica haematosiphon", "Leucauge bontoc", "Erica halicacaba", "Gasteracantha janopol", "Gasteracantha parangdiadesmia", "Hyattella intestinalis", "Gea zaragosa", "Phakellia carduus", "Argiope sapoa", "Phakellia labellum", "Fasciospongia costifera", "Cyrtarachne tuladepilachna", "Cyrtophora parangexanthematica", "Cyrtophora koronadalensis", "Dinothenarus dehradunensis", "Cyclosa ipilea", "Cyclosa banawensis", "Cyclosa parangmulmeinensis", "Cyclosa otsomarka", "Rhaphiolepis williamtelliana", "Cyclosa dosbukolea", "Pachycorynus taprobanaensis", "Zeteotomus monteithi", "Erica imbricata", "Erica pyramidalis", "Erica sparsa", "Erica incarnata", "Molotra molotra", "Molotra ninae", "Molotra katarinae", "Callyspongia muricina", "Caulospongia pennatula", "Caulospongia perfoliata", "Dendronema stylodendron", "Eleutheria dichotoma", "Dileptus anser", "Erica irbyana", "Erica irregularis", "Erica jasminiflora", "Erica junonia", "Carpelimus moluccanensis", "Carpelimus ibelensis", "Carpelimus irianensis", "Carpelimus jayapurensis", "Molotra suzannae", "Molotra tsingy", "Erica inflata", "Molotra milloti", "Tulipa narcissicum", "Micractinium valkanovii", "Erica infundibuliformis", "Aplysina lacunosa", "Echinoclathria leporina", "Gelliodes licheniformis", "Scalarispongia linteiformis", "Sobralia granitica", "Erica insolitanthera", "Taonura pala", "Epidendrum chioneum", "Echinodictyum nervosum", "Sarcotragus myrobalanus", "Epidendrum \u00d7 gransabanense", "Echinodictyum mesenterinum", "Tedania macrodactyla", "Ruehssia macrophylla", "Psilocybe schultesii", "Psilocybe armandii", "Thorecta typhinus", "Callyspongia plicifera", "Callyspongia plancella", "Clathria vulpina", "Ulosa scariola", "Endectyon xerampelinum", "Cribrochalina vasculum", "Fasciospongia turgida", "Ectyoplasia tabula", "Dactylia syphonoides", "Higginsia strigilata", "Clathria rubispina", "Clathria sartaginula", "Clathria raphanus", "Fasciospongia rimosa", "Ircinia selaginea", "Dysidea septosa", "Ptilocaulis spiculifer", "Halichondria semitubulosa", "Clathria placenta", "Mycale pluriloba", "Sideritis cretica subsp. spicata", "Erica labialis", "Carpelimus filous", "Carpelimus longifilous", "Carpelimus tanbaranensis", "Carpelimus solumus", "Erica lachneifolia", "Erica lanuginosa", "Xysticus palawanicus", "Stenus hayashii", "Diaea carangali", "Diaea tadtadtinika", "Synema batarasa", "Erica leucantha", "Erica leucanthera", "Lysiteles umalii", "Lysiteles sorsogonensis", "Stenus incommodus", "Lysiteles suwertikos", "Lysiteles boteus", "Stenus davidhulli", "Lysiteles magkalapitus", "Misumenops morrisi", "Stenus inbecillus", "Stenus bishamon", "Philodromus kianganensis", "Stenus carura", "Stenus trispinosus", "Erica lusitanica subsp. lusitanica", "Stenus unicuspidatus", "Erica mucronata", "Nihonhimea brookesiana", "Erica nevillei", "Erica oakesiorum", "Erica oatesii", "Landoppo misamisoriensis", "Erica oblongiflora", "Erica lutea", "Erica mackaiana subsp. mackaiana", "Thanatus parangvulgaris", "Heteropoda cyperusiria", "Erica macowanii", "Heteropoda garciai", "Olios paalongus", "Olios mahabangkawitus", "Olios perezi", "Thelcticopis huyoplata", "Thelcticopis kianganensis", "Thelcticopis simplerta", "Thelcticopis kaparanganensis", "Mimetus marjorieae", "Ero salittana", "Peucetia myanmarensis", "Oxyopes bikakaeus", "Oxyopes tiengianensis", "Oxyopes matiensis", "Oxyopes aspirasi", "Oxyopes pingasus", "Oxyopes delmonteensis", "Hahnia tuybaana", "Neoantistea kaisaisa", "Pisaura putiana", "Pisaura parangbusta", "Spongia cookii", "Spongia hospes", "Ruehssia clausa", "Erica melastoma", "Erica melastoma subsp. melastoma", "Ruehssia hilariana", "Spongia mollissima", "Spongia zimocca", "Spongia nitens", "Spongia virgultosa", "Gehyra xenopus", "Gehyra purpurascens", "Gehyra montium", "Gehyra pilbara", "Gehyra leopoldi", "Spongia lobosa", "Spongia arabica", "Spongia obliqua", "Spongia coelosia", "Spongia barbara", "Spongia lamella", "Pluteus eos", "Micractinium singularis", "Stenus clio", "Micractinium variabile", "Stenus komonoensis", "Stenus anfractus", "Mucidosphaerium palustre", "Mucidosphaerium planctonicum", "Mucidosphaerium pulchellum", "Coleosoma matinikum", "Mucidosphaerium sphagnale", "Erica margaritacea", "Ophiomusa binghami", "Muriella terrestris", "Muriella australis", "Spongia bailyi", "Spongia conifera", "Spongia osculata", "Spongia osculosa", "Spongia perforata", "Spongia excavata", "Spongia fistulosa", "Spongia spinosa", "Spongia reticulata", "Erica massonii", "Ophiomusa biporica", "Erica mauritanica", "Erica multumbellifera", "Erica regerminans", "Ophiomusa breve", "Elleanthus fractiflexus", "Elleanthus albiflorus", "Gehyra borroloola", "Gehyra minuta", "Gehyra pamela", "Gehyra occidentalis", "Gehyra robusta", "Elleanthus amethystinus", "Elleanthus hymenophorus", "Spongia tectoria", "Spongia obscura", "Spongia solitaria", "Spongia nicholsoni", "Spongia mollicula", "Spongia mexicana", "Spongia lignea", "Spongia graminea", "Elleanthus capitatus", "Arctosa tanakai", "Trochosa alviolai", "Trochosa canapii", "Pardosa irriensis", "Pardosa patapatensis", "Pardosa apostoli", "Pardosa caliraya", "Pardosa warayensis", "Pardosa santamaria", "Pardosa mabinii", "Pardosa pahalanga", "Hogna rizali", "Hogna bonifacioi", "Phoroncidia bukolana", "Chrysso anei", "Micractinium simplicissimum", "Chrysso tiboli", "Chrysso isumbo", "Stenus brendelli", "Coleosoma caliothripsum", "Coleosoma pseudoblandum", "Stenus ruricolaris", "Coleosoma pabilogum", "Erica verticillata", "Pluteus atrofibrillosus", "Pluteus elaphinus", "Pluteus hibbettii", "Pluteus kovalenkoi", "Spongia ceylonensis", "Spongia tenuiramosa", "Spongia cerebralis", "Spongia magellanica", "Spongia sweeti", "Spongia distans", "Spongia pilosa", "Spongia suriganensis", "Spongia illawarra", "Spongia adjimensis", "Spongia oceanica", "Spongia matamata", "Spongia tampa", "Spongia sterea", "Spongia australis", "Spongia bibulus", "Spongia brunnea", "Spongia violacea", "Spongia anclotea", "Spongia raoi", "Spongia fuscoides", "Spongia lesleighae", "Tangara vassorii atrocoerulea", "Charadrius obscurus aquilonius", "Dosinia concentrica", "Erica mollis", "Perenethis kawangisa", "Stenus masaakii", "Stenus usitatus", "Stenus pediculifer", "Stenus cinanomontis", "Stenus incurvatus", "Stenus nyorai", "Stenus kisomontanus", "Neisseria lactamica", "Stenus scissilis", "Callionymus maculatus", "Stenus kasumi", "Hygropoda bottrelli", "Ruehssia rubrofusca", "Stenus yatsugatakensis", "Hygropoda balingkinitanus", "Stenus sawadaiellus", "Venonia micans", "Stenus uncinatus", "Stenus inaequatus", "Stenus houou", "Stenus yasuhikoiellus", "Stenus kumoma", "Stenus izanagi", "Stegopa globosa", "Pirata luzonensis", "Hemiphyllodactylus ganoklonis", "Pirata blabakensis", "Hemiphyllodactylus titiwangsaensis", "Schizocosa cotabatoana", "Luperosaurus browni", "Luperosaurus brooksii", "Luperosaurus macgregori", "Luperosaurus palawanensis", "Siphonochalina lyrata", "Clathria virgultosa", "Stegopa magdalenae", "Tulipa auliekolica", "Tulipa turgaica", "Podohedra georgei", "Podohedra saltans", "Podohedra tropica", "Blythia reticulata", "Gehyra koira", "Gehyra kimberleyi", "Gehyra membranacruralis", "Prototheca zopfii", "Gehyra serraticauda", "Prototheca wickerhamii", "Prototheca viscosa", "Erica plumosa", "Maxillaria aurea", "Ephydatia facunda", "Ephydatia fortis", "Ephydatia subtilis", "Ephydatia muelleri", "Ephydatia syriaca", "Ephydatia robusta", "Ephydatia meyeni", "Ephydatia japonica", "Ephydatia millsii", "Ephydatia caatingae", "Erica glabella", "Prototheca bovis", "Erica glabella subsp. glabella", "Prototheca cerasi", "Glenognatha dentata", "Pachygnatha ochongipina", "Erica pellucida", "Erica peltata", "Philodromus marusiki", "Rhysodromus lanchowensis", "Theridion melanoplax", "Haplodrassus deserticola", "Thanatus pygmaeus", "Macaroeris albosignata", "Spongia alpheushyatti", "Spongia alpheusi", "Spongia hyatti", "Spongia solidahyatti", "Spongia lamarcki", "Spongia jeanbaptistei", "Muriella magna", "Erica placentiflora", "Nannochloris bacillaris", "Erica planifolia", "Nannochloris normandinae", "Parachlorella beijerinckii", "Parachlorella kessleri", "Podohedra longipes", "Podohedra bicaudata", "Podohedra distincta", "Erica platycodon", "Erica platycodon subsp. platycodon", "Erica plena", "Erica plukenetii subsp. plukenetii", "Ophiomusa fallax", "Ophiomusa facunda", "Ophiomusa faceta", "Ophiomusa constricta", "Ophiomusa canaliculata", "Erica recurvata", "Prototheca crieana", "Prototheca miyajii", "Euprosthenopsis vuattouxi", "Euprosthenopsis vachoni", "Euprosthenopsis rothschildi", "Weda parvulus", "Euprosthenopsis lamorali", "Euprosthenopsis armata", "Theridion bitakum", "Theridion necijaensis", "Theridion kambalum", "Theridion ischagosum", "Theridion otsospotum", "Theridion punongpalayum", "Theridion lumabani", "Dipoena tuldokguhitanea", "Steatoda ngipina", "Enoplognatha philippinensis", "Enoplognatha kalaykayina", "Erica ovina", "Enoplognatha tuybaana", "Enoplognatha yelpantrapensis", "Enoplognatha cariasoi", "Enoplognatha malapahabanda", "Enoplognatha pulatuberculata", "Erica paniculata", "Enoplognatha maysanga", "Enoplognatha apaya", "Erica parviflora", "Bathyphantes tagalogensis", "Erigone malvari", "Erica paucifolia", "Erica paucifolia subsp. paucifolia", "Pluteus leucoborealis", "Pluteus methvenii", "Pluteus sepiicolor", "Pluteus shikae", "Castianeira hongkong", "Pluteus orestes", "Pluteus oreibatus", "Thanatus hongkong", "Lysiteles hongkong", "Ebrechtella hongkong", "Ebrechtella xinjie", "Ebrechtella juwangensis", "Thanatus jabalpurensis", "Erica perspicua subsp. perspicua", "Erica nivalis", "Erica petiolaris", "Uloborus jabalpurensis", "Thanatus ketani", "Sosticus jabalpurensis", "Lycosa shaktae", "Erica pillansii subsp. pillansii", "Muriella decolor", "Centrocardita aculeata", "Cladocoryne floccosa", "Conakrya wolffi", "Prototheca cookei", "Prototheca pringsheimii", "Prototheca xanthoriae", "Eucamptopus coronatus", "Prototheca blaschkeae", "Erica pyxidiflora", "Prototheca ciferrii", "Erica quadrisulcata", "Elseya caelatus", "Elseya orestiad", "Anarthrophyllum macrophyllum", "Archipirata tataricus", "Bradystichus calligaster", "Bradystichus crispatus", "Bradystichus aoupinie", "Bradystichus panie", "Bradystichus tandji", "Erica carduifolia", "Weda stylata", "Weda grossa", "Weda tumidifrons", "Euprosthenopsis pulchella", "Lygodactylus arnoulti", "Lygodactylus inexpectatus", "Lygodactylus montanus", "Lygodactylus gravis", "Lygodactylus guibei", "Lygodactylus ornatus", "Lygodactylus klemmeri", "Lygodactylus scorteccii", "Lygodactylus blanci", "Lygodactylus bonsi", "Euprosthenops australis", "Lygodactylus grandisonae", "Lygodactylus rarus", "Lygodactylus expectatus", "Lygodactylus laterimaculatus", "Lygodactylus madagascariensis", "Lygodactylus insularis", "Lygodactylus heterurus", "Lygodactylus waterbergensis", "Bolyphantes subtiliseta", "Lygodactylus nigropunctatus", "Lygodactylus incognitus", "Lygodactylus montiscaeruli", "Lygodactylus graniticolus", "Lygodactylus tuberosus", "Megalepthyphantes lydiae", "Lygodactylus williamsi", "Lygodactylus somalicus", "Lygodactylus mombasicus", "Lygodactylus manni", "Lygodactylus bernardi", "Lygodactylus chobiensis", "Lygodactylus methueni", "Lygodactylus scheffleri", "Lygodactylus grotei", "Lygodactylus bivittis", "Lygodactylus pictus", "Erica regia subsp. regia", "Prototheca salmonis", "Lygodactylus decaryi", "Lygodactylus conradti", "Panaeolus acuminatus", "Sitochroa urmiensis", "Pachydactylus vansoni", "Pachydactylus kobosensis", "Pachydactylus macrolepis", "Pachydactylus robertsi", "Pachydactylus labialis", "Sitochroa palealis", "Pachydactylus weberi", "Pachydactylus serval", "Sitochroa malekalis", "Brassia glumaceoides", "Erica sessiliflora", "Brassia horichii", "Prototheca segbwema", "Alloclita canariensis", "Erica similis", "Erica sociorum", "Prototheca stagnorum", "Brassia huebneri", "Brassia iguapoana", "Erica sparrmannii", "Microgecko depressus", "Microgecko helenae", "Microgecko persicus", "Microgecko latifi", "Nanorrhynchus crassinervis", "Exilisia ngai", "Exilisia smithi", "Exilisia andriai", "Exilisia bilineata", "Exilisia falcata", "Hase lagomorphicus", "Exilisia flavicapilla", "Hase talpamorphicus", "Exilisia lichenaria", "Exilisia ocularis", "Exilisia fletcheri", "Exilisia leighi", "Thoria natalensis", "Exilisia gablerinus", "Prototheca trispora", "Erica tetragona", "Thoria gioharana", "Siderocelis minor", "Eorhopalosoma gorgyra", "Exilisia bipuncta", "Exilisia flavicincta", "Exilisia marmorea", "Exilisia parvula", "Exilisia placida", "Exilisia mnigrum", "Exilisia pluripunctata", "Erica thimifolia", "Erica urna-viridis", "Erica uysii", "Neglectella rotula", "Orthosia habeleri", "Neglectella solitaria", "Scalarispongia aqabaensis", "Amphikrikos minutissimus", "Thoria neavei", "Amphimedon dinae", "Amphimedon jalae", "Amphimedon hamadai", "Tetragnatha amoena", "Tetragnatha eumorpha", "Tetragnatha oreobia", "Erica ventricosa", "Exilisia punctata", "Erica thomae", "Exilisia subfusca", "Erica tragulifera", "Siderocelis oblonga", "Siderocelis kolkwitzii", "Alloclita subitariella", "Siderocelis colonialis", "Siderocelis fluviatilis", "Siderocelis sphaerica", "Thoria guineensis", "Siderocelis estheriana", "Siderocelis granulata", "Erica turgida", "Eorhopalosoma lohrmanni", "Siderocelis ornata", "Neglectella eremosphaerophila", "Neglectella peisonis", "Tetragnatha priamus", "Erica verecunda", "Tetragnatha gressittorum", "Tetragnatha insularis", "Tetragnatha nana", "Tetragnatha monticola", "Tetragnatha signata", "Tetragnatha hirashimai", "Tetragnatha insulicola", "Amphikrikos buderi", "Amphikrikos nanus", "Amphikrikos hexacosta", "Tetragnatha angolaensis", "Amphikrikos heynigii", "Tetragnatha kukuiki", "Erica grandiflora subsp. grandiflora", "Exilisia olivascens", "Exilisia perlucida", "Exilisia butleri", "Exilisia costimacula", "Erica spumosa", "Prototheca ulmea", "Exilisia mabillei", "Erica squarrosa", "Exilisia nebulosa", "Exilisia obliterata", "Erica subdivaricata", "Exilisia pseudomarmorea", "Exilisia pseudoplacida", "Exilisia rufescens", "Exilisia viettei", "Erica tegulifolia", "Exilisia bijuga", "Erica tenella", "Exilisia bijuga bijuga", "Fissuricella filamenta", "Exilisia bijuga diegoi", "Erica tenuis", "Gordonia fruticosa", "Erica filamentosa", "Erica tumida", "Stenasellus tashanicus", "Erica \u00d7 douglasiae", "Erica macowanii subsp. lanceolata", "Pollicipes pollicipes", "Neodon linzhiensis", "Neodon nepalensis", "Sideritis cretica subsp. cretica", "Lygodactylus fischeri", "Lygodactylus keniensis", "Stenus hijiri", "Lygodactylus ocellatus", "Lygodactylus viscatus", "Lygodactylus angolensis", "Lygodactylus depressus", "Stenus maruyamai", "Lygodactylus klugei", "Lygodactylus wetzeli", "Erica retorta", "Lygodactylus soutpansbergensis", "Stenus oisami", "Erica reunionensis", "Stenus biwa", "Erica rubens", "Lemyra persephone", "Stenus araiorum", "Ophiomusa granosa", "Stenus jurojin", "Ophiomusa incerta", "Ophiomusa kimblae", "Ophiomusa leptobrachia", "Erica savilea", "Ophiomusa ligata", "Erica tristis", "Erica scabriuscula", "Stenus tsukubamontis", "Catenocystis cohaerens", "Tetragnatha kikokiko", "Catenocystis gerulata", "Stenus ellipsoides", "Tetragnatha anuenue", "Tetragnatha kukuhaa", "Cerasterias irregularis", "Tetragnatha obscura", "Cerasterias staurastroides", "Erica \u00d7 burnettii", "Lagerheimia circumfilata", "Chodatella maxima", "Chodatella pilosa", "Mystacidium pusillum", "Erica albens", "Erica physodes", "Fimbria soverbii", "Erica empetrina", "Thoria sjostedti", "Droopiella capsulata", "Tetragnatha dearmata", "Ecballocystis pulvinata", "Ecballocystis courtallensis", "Ecballocystis fritschii", "Atherix variegata", "Tetragnatha elongata elongata", "Tetragnatha elongata debilis", "Tetragnatha elongata principalis", "Euphysa aurata", "Ecballocystis fluitans", "Tetragnatha elongata undulata", "Sideritis cuatrecasasii", "Sideritis dasygnaphala", "Neodon medogensis", "Neodon nyalamensis", "Sideritis dendrochahorra", "Microsyagrus bingeri", "Microsyagrus discoidalis", "Sideritis dichotoma", "Microsyagrus favareli", "Microsyagrus immaculatus", "Microsyagrus gabonicus", "Microsyagrus madoni", "Sideritis discolor", "Microsyagrus punctaticollis", "Microsyagrus raffrayi", "Microsyagrus recticollis", "Microsyagrus testaceonotatus", "Microsyagrus trinotatus", "Sarsia tubulosa", "Euphysa tentaculata", "Chodatella playfairii", "Chodatella striolata", "Erica shannonii", "Cryocystis brevispina", "Cryocystis granulosa", "Cryocystis japonica", "Tetragnatha boninensis", "Dactylococcus sabulosus", "Didymocystis inermis", "Didymocystis comasii", "Droopiella spaerckii", "Droopiella limnetica", "Hybomitra kaurii", "Thoria zuwanica", "Tetragnatha versicolor", "Ecballocystis ramosa", "Bejaria imthurnii", "Ecballocystis simplex", "Ecballocystis japonica", "Ecballocystis willeana", "Ecballocystis hubeiensis", "Ecballocystis iyengarii", "Ecballocystopsis indica", "Ecballocystopsis desikacharyi", "Stenus protuberans", "Tangara velia cyanomelas", "Stenus fulvivestis", "Brassia koehlerorum", "Bagheera motagua", "Bagheera laselva", "Brassia lanceana", "Brassia lehmannii", "Stenus hakonensis", "Brassia macrostachya", "Carpinus gigabracteatus", "Anagrina nigritibialis", "Glochiococcus aciculiferus", "Brassia pascoensis", "Sideritis fruticulosa subsp. ferreriana", "Brassia peruviana", "Rhododendron anwheiense", "Ecballocystopsis dichotoma", "Ecballocystopsis himalayensis", "Ecballocystopsis minuta", "Tetragnatha viridis", "Tetragnatha trituberculata", "Hybocodon prolifer", "Tetragnatha eurychasma", "Tetragnatha acuta", "Tetragnatha filiciphilia", "Tetragnatha stelarobusta", "Tetragnatha paludicola", "Sideritis eriocephala", "Tetragnatha gongshan", "Sideritis erythrantha", "Tetragnatha yinae", "Sideritis erythrantha subsp. cedretorum", "Sideritis erythrantha subsp. erythrantha", "Tetragnatha limu", "Tetragnatha lena", "Tetragnatha palikea", "Tetragnatha uluhe", "Bagheera prosper", "Zygophylax profunda", "Capsa elegans", "Centaurea akroteriensis", "Sideritis euboea", "Ciba calzada", "Ciba seibo", "Ecdysichlamys obliqua", "Sideritis euxina", "Charinus jibaossu", "Ecdysichlamys alpina", "Ecdysichlamys periphytica", "Habrocestum liptoni", "Ecdysichlamys minuta", "Echinocoleum elegans", "Echinocoleum flocculosum", "Stenaelurillus ilesai", "Echinocoleum polymammilatum", "Fimbria buvignieri", "Eremosphaera viridis", "Eremosphaera eremosphaeria", "Oswaldella antarctica", "Franceia aranea", "Rhododendron adenosum", "Rhododendron adinophyllum", "Staphylococcus lugdunensis", "Franceia javanica", "Franceia amphitricha", "Tangara arthus aurulenta", "Franceia droescheri", "Franceia echidna", "Kalmia hirsuta", "Ophiomusa longispina", "Ophiomusa luetkeni", "Ophiomusa lunare", "Ophiomusa lymani", "Ophiomusa micropora", "Ophiomusa miranda", "Ophiomusa moniliforme", "Ophiomusa morio", "Ophiomusa muta", "Tulipa \u00d7 tschimganica", "Brassia mendozae", "Brassia minutiflora", "Brassia neglecta", "Brassia ocanensis", "Brassia panamensis", "Brassia thyrsodes", "Brassia transamazonica", "Kalmia ericoides", "Proahaetulla antiqua", "Panaeolus papilionaceus", "Panaeolus fimiputris", "Panaeolus campanulatus", "Abietinella operculata", "Eremosphaera minor", "Eremosphaera gigas", "Eremosphaera oocystoides", "Sideritis ferrensis", "Odontonia rufopunctata", "Odontonia seychellensis", "Odontonia bagginsi", "Tamigalesus munnaricus", "Odontonia plurellicola", "Tamigalesus fabus", "Odontonia simplicipes", "Sideritis fruticulosa", "Eremosphaera tanganyikae", "Agraecina salsicola", "Tangara parzudakii lunigera", "Eremosphaera yanshanensis", "Rhododendron adenopodum", "Sideritis fruticulosa subsp. cavanillesii", "Franceia ovalis", "Oxyopes annularis", "Oxyopes arcuatus", "Oxyopes balteiformis", "Franceia armata", "Franceia elongata", "Franceia tenuispina", "Franceia polychaeta", "Oswaldella bifurca", "Eremias roborowskii", "Franceia oblonga", "Eremias fahimii", "Thoria nimbensis", "Thoria major", "Thoria gillonae", "Franceia radians", "Rhododendron araiophyllum subsp. araiophyllum", "Allium adiyamanense", "Rhododendron arboreum subsp. arboreum", "Pachydactylus tsodiloensis", "Pachydactylus tigrinus", "Rhododendron argipeplum", "Gypsophila pseudopallida", "Gypsophila yusufeliensis", "Obelistes curtipennis", "Obelistes flavus", "Berlandina asbenica", "Philodromus immaculatus", "Myrmarachne consobrina", "Rhododendron aureum subsp. aureum", "Heliophanus cassinicola", "Afraflacilla scenica", "Bulbophyllum klabatense", "Bulbophyllum klabatense subsp. klabatense", "Bulbophyllum klabatense subsp. sulawesii", "Gloeotaenium minus", "Granulocystis verrucosa", "Rhododendron bakeri", "Granulocystis chlamydomonadoides", "Granulocystis exuviata", "Steatoda minima", "Granulocystis helenae", "Tetragnatha nubica", "Granulocystis echinulata", "Tetragnatha oculata", "Granulocystis ruzickae", "Stenus nogohakusanus", "Stenus yukawai", "Pararaneus spectator", "Granulocystopsis decorata", "Jaagichlorella hainangensis", "Setaphis mollis", "Acanthophyllum sedifolium", "Setaphis fuscipes", "Stenus triprotrudens", "Stenus protrudens", "Stenus dubitativus", "Stenus autumnalis", "Stenus unzenmontis", "Stenus inimitabilis", "Stenus siphonifer", "Rhododendron brachyanthum subsp. brachyanthum", "Obelistes nigrovittatus", "Obelistes bryanti", "Obelistes pallidicolor", "Obelistes subelongatus", "Obelistes villiersi", "Schizotricha unifurcata", "Schizotricha multifurcata", "Schizotricha crassa", "Schizotricha falcata", "Schizotricha heteromera", "Schizotricha jaederholmi", "Schizotricha southgeorgiae", "Schizotricha trinematotheca", "Schizotricha vervoorti", "Schizotricha anderssoni", "Rhododendron argyrophyllum subsp. argyrophyllum", "Megamyrmaekion vulpinum", "Rhododendron argyrophyllum subsp. nankingense", "Rhododendron asterochnoum", "Zelotes haplodrassoides", "Zelotes fagei", "Rhododendron augustinii subsp. augustinii", "Setaphis villiersi", "Stenus alesi", "Granulocystopsis calyptrata", "Granulocystopsis reticulata", "Stenus daikoku", "Granulocystopsis coronata", "Stenus praeclarus", "Gypsophila osmangaziensis", "Stenus hannia", "Stenus naturalis", "Granulocystopsis elegans", "Stenus zdenae", "Granulocystopsis subcoronata", "Stenus bunraku", "Gypsophila munzurensis", "Stenus haginoi", "Goniurosaurus kwanghua", "Hemichloris polyspora", "Jaagichlorella africana", "Jaagichlorella sphaerica", "Oxyopes fallax", "Jaagichlorella luteoviridis", "Setaphis carmeli", "Brassia suavissima", "Rhododendron breviperulatum", "Brassia whewellii", "Brassia wyllisiana", "Bolanthus aziz-sancarii", "Bolanthus turcicus", "Bolanthus sandrasicus", "Bolanthus confertifolius", "Jaagichlorella roystonensis", "Zelotes xerophilus", "Zelotes eremus", "Zelotes galuni", "Zelotes meronensis", "Zelotes bashaneus", "Mico rondoni", "Zelotes laetus", "Rhododendron brachycarpum subsp. brachycarpum", "Mico munduruku", "Brassia villosa", "Brassia wageneri", "Brassia pozoi", "Brassia pumila", "Brassia rhizomatosa", "Brassia rolandoi", "Brassia signata", "Rhopaloeides odorabile", "Bolanthus filicaulis", "Silene caramanica", "Plumalecium plumularioides", "Halecium scutum", "Stenus serratus", "Stenus sadoensis", "Stenus subserratus", "Stenus takane", "Stenus unicoloratus", "Stenus tohokuensis", "Stenus campaniformis", "Stenus naomii", "Stenus tuberascens", "Stenus acerrimus", "Rhododendron campylocarpum subsp. campylocarpum", "Stenus cucumeroides", "Zelotes parascrutatus", "Zelotes zin", "Zelotes shaked", "Zelotes tenuis", "Stenus unagi", "Zelotes tragicus", "Diphasiastrum angustiramosum", "Stenus fugu", "Rhododendron colemanii", "Scotophaeus peninsularis", "Megamyrmaekion caudatum", "Rhododendron cyanocarpum", "Cephalodella elegans", "Grantia vosmaeri", "Grantia fistulata", "Grantia extusarticulata", "Rhododendron cinnabarinum subsp. cinnabarinum", "Rhododendron discolor", "Dendrobium hasseltii", "Rhododendron eastmanii", "Dendrobium angulatum", "Dendrobium barbatum", "Cattleya cruziana", "Cattleya guaicuhyensis", "Rhododendron coeloneurum", "Cattleya adelinae", "Cattleya aracuaiensis", "Cattleya aromatica", "Glaphyromorphus clandestinus", "Glaphyromorphus mjobergi", "Glaphyromorphus cracens", "Glaphyromorphus fuscicaudis", "Glaphyromorphus darwiniensis", "Glaphyromorphus nigricaudis", "Glaphyromorphus pumilus", "Glaphyromorphus punctulatus", "Panaeolina foenisecii", "Leptopilos tenerrimus", "Odontodrassus mundulus", "Odontodrassus aravaensis", "Berinda amabilis", "Berinda ensigera", "Rhododendron decorum subsp. decorum", "Rhododendron decorum subsp. diaprepes", "Berinda cypria", "Berinda hakani", "Berinda idae", "Rhododendron delavayi", "Corbula elegantula", "Zelotes bokerensis", "Biwia tama", "Civizelotes caucasius", "Civizelotes solstitialis", "Ophiomusa relicta", "Ophiomusa rosacea", "Ophiomusa rugosa", "Ophiomusa scalare", "Ophiomusa simplex", "Ophiomusa stellata", "Ophiomusa testudo", "Ophiomusa tripassalota", "Ophiomusa trychna", "Ophiomusa ultima", "Ophiomusa valdiviae", "Ophiomusa valida", "Ophiomusa zela", "Heser nilicola", "Stenus ukon", "Stenus kyushuensis", "Heser infumatus", "Stenus tanuki", "Stenus hypovelox", "Stenus sawadai", "Elaeosticta alaica", "Cryptodrassus helvolus", "Stenus kishimotoi", "Zelotes metellus", "Stenus yokozekii", "Stenus tateoi", "Stenus ohishii", "Stenus fusciceps", "Stenus indubius", "Stenus kiyosumiensis", "Charinus bichuetteae", "Charinus bonaldoi", "Charinus brescoviti", "Charinus carajas", "Charinus ferreus", "Charinus guto", "Charinus orientalis", "Charinus ricardoi", "Dacnis egregia", "Rhododendron championae", "Stenus punctifer", "Stenus tokunis", "Stenus amamiensis", "Cheiracanthium gracile", "Cheiracanthium gratum", "Cheiracanthium himalayense", "Ophiacantha cosmica", "Ophiacantha cuspidata", "Ophiomitrella granulosa", "Mesophellia arenaria", "Belenois sudanensis", "Ophiacantha imago", "Ophiacantha levispina", "Rhododendron floribundum", "Epidendrum schistochilum", "Ptyodactylus ragazzii", "Ptyodactylus puiseuxi", "Ptyodactylus guttatus", "Ptyodactylus homolepis", "Alcedo euryzona peninsulae", "Almafuerte peripampasica", "Almafuerte remota", "Almafuerte kuru", "Almafuerte goloboffi", "Almafuerte facon", "Almafuerte vigorosa", "Almafuerte giaii", "Rhododendron denudatum", "Aracus captator", "Rhododendron dichroanthum subsp. dichroanthum", "Asiabadus asiaticus", "Pyracantha fortuneana", "Rhododendron dilatatum subsp. dilatatum", "Ophrys bombyliflora var. parviflora", "Wallaconchis ater", "Wallaconchis melanesiensis", "Wallaconchis sinanui", "Wallaconchis uncinus", "Pleurothallis octavioi", "Rhododendron hypoglaucum", "Rhododendron excellens", "Rhododendron faberi", "Rhododendron faberi subsp. faberi", "Australoechemus oecobiophilus", "Australoechemus celer", "Rhododendron falconeri subsp. falconeri", "Cheiracanthium festae", "Cheiracanthium floresense", "Cheiracanthium jorgeense", "Cheiracanthium fujianense", "Thoria iadmon", "Cheiracanthium fulvotestaceum", "Cheiracanthium furax", "Cheiracanthium gobi", "Alopecosa hoevelsi", "Cattleya haroldoi", "Cattleya havenithii", "Cattleya lourdesiana", "Cattleya neocardimii", "Cattleya neozaslawskii", "Cattleya novyi", "Rhododendron erosum", "Cattleya tereticaulis", "Grantia tuberosa", "Grantia transgrediens", "Grantia primitiva", "Grantia foliacea", "Grantia monstruosa", "Grantia mirabilis", "Grantia infrequens", "Grantia socialis", "Ophiacantha cornuta", "Phryna hamzaoglui", "Jurinea efeae", "Acantholimon ibrahimii", "Petrorhagia zoharyana", "Petrorhagia wheeler-hainesii", "Petrorhagia sarbaghiae", "Petrorhagia rupestris", "Petrorhagia rhiphaea", "Petrorhagia phthiotica", "Carpelimus politus", "Carpelimus politus politus", "Carpelimus politus tenerepunctus", "Petrorhagia kennedyae", "Stenus nyoirin", "Stenus aboblitus", "Petrorhagia illyrica", "Stenus bifoveolatus", "Nullarbora acanthoxea", "Lycopodina rastrichela", "Lycopodina parvula", "Suta suta", "Suta punctata", "Suta ordensis", "Suta fasciata", "Suta monachus", "Suta dwyeri", "Suta nigriceps", "Suta spectabilis", "Suta gouldii", "Suta flagellum", "Suta gaikhorstorum", "Stenus yamabusi", "Stenus nachiensis", "Stenus uedai", "Vachellia abyssinica", "Stenus cirriformis", "Epidendrum aura-usecheae", "Vachellia acuifera", "Stenus angusticulus", "Dicharax abdoui", "Stenus yashiro", "Stenus domburi", "Rhododendron forrestii subsp. forrestii", "Yuelushannus alatus", "Yuelushannus barbatus", "Bulbophyllum setaceum", "Rhododendron \u00d7 fuchsii", "Rhododendron fuyuanense", "Cymbidium hartinahianum", "Rhododendron glanduliferum", "Phyxelida nebulosa", "Phyxelida tanganensis", "Rhododendron jasminiflorum subsp. jasminiflorum", "Pongolania pongola", "Pongolania chrysionaria", "Rhododendron javanicum subsp. javanicum", "Rahavavy fanivelona", "Rahavavy malagasyana", "Rahavavy ida", "Themacrys ukhahlamba", "Themacrys silvicola", "Rhododendron keleticum", "Themacrys monticola", "Themacrys cavernicola", "Rhododendron lamrialianum subsp. lamrialianum", "Ophiacantha longidens", "Ophiacantha nodosa", "Ophiacantha rosea", "Ophiacantha sentosa", "Ophiacantha serrata", "Evoplosoma nizinskiae", "Sibogaster bathyheuretor", "Conirostrum cinereum fraseri", "Miltoniopsis bismarckii", "Sibogaster nieseni", "Epidendrum becerrae", "Callidina elegans", "Rhododendron kesangiae", "Themacrys irrorata", "Vidole sothoana", "Vidole helicigyna", "Daedalea dickinsii", "Vidole lyra", "Vidole capensis", "Vidole schreineri", "Uma thurmanae", "Vytfutia bedel", "Vytfutia pallens", "Carpelimus cyprensis", "Calceostoma elegans", "Moffartsia condamini", "Menemerus pallescens", "Cudonia circinans", "Cyrtochilum cordatum", "Rhododendron stenophyllum", "Rhododendron maoerense", "Rhododendron mekongense", "Rhododendron mekongense var. melinanthum", "Stenus sakaii", "Stenus rasilis", "Phyxelida bifoveata", "Stenus sugiei", "Phyxelida makapanensis", "Stenus caesariatus", "Stenus kanzeon", "Phyxelida mirabilis", "Stenus sawadaianus", "Stenus vernicosus", "Penicillium bilaiae", "Rhododendron hongkongense", "Rhododendron horlickianum", "Wallaconchis achleitneri", "Rhododendron hunnewellianum", "Rhododendron hunnewellianum subsp. hunnewellianum", "Ophrys bombyliflora var. bombyliflora", "Erica walkeria", "Wallaconchis comendadori", "Erica walkeria var. praestans", "Malaika delicatula", "Namaquarachne angulata", "Namaquarachne thaumatula", "Namaquarachne khoikhoiana", "Namaquarachne tropata", "Namaquarachne hottentotta", "Phyxelida abyssinica", "Gongronella eborensis", "Phyxelida kipia", "Trichaptum brastagii", "Phyxelida sindanoa", "Phyxelida carcharata", "Phyxelida pingoana", "Phyxelida anatolica", "Phyxelida jabalina", "Phyxelida irwini", "Thoria rotundata", "Thoria odzaliensis", "Witherscalpellum aptiensis", "Rhododendron hemsleyanum", "Phyxelida umlima", "Phyxelida crassibursa", "Phyxelida eurygyna", "Phyxelida apwania", "Rhododendron japonicum", "Choanocotyle elegans", "Rhododendron moulmeinense", "Nepalicius koreanus", "Rhododendron mucronulatum subsp. mucronulatum", "Rhododendron mucronulatum var. ciliatum", "Rhynchelmis limosella", "Rhododendron menziesii subsp. menziesii", "Oliarus wazae", "Haliclona xenomorpha", "Cudonia helvelloides", "Cicerina elegans", "Biemna variantia", "Iophon hyndmani", "Thenea muricata", "Tethya ingalli", "Erylus listeri", "Rhinophis philippinus", "Rhinophis travancoricus", "Rhinophis oxyrhynchus", "Rhinophis fergusonianus", "Rhinophis drummondhayi", "Rhinophis porrectus", "Rhinophis sanguineus", "Rhinophis homolepis", "Rhinophis blythii", "Rhinophis punctatus", "Rhinophis tricoloratus", "Rhinophis dorsimaculatus", "Rhinophis lineatus", "Rhinophis zigzag", "Rhinophis phillipsi", "Rhinophis melanogaster", "Savarna satun", "Savarna thungsong", "Savarna kaeo", "Savarna thaleban", "Savarna tesselata", "Melanophidium bilineatum", "Melanophidium punctatum", "Melanophidium wynaudense", "Platyplectrurus madurensis", "Platyplectrurus trilineatus", "Plectrurus aureus", "Plectrurus guentheri", "Pseudoplectrurus canaricus", "Plectrurus perroteti", "Rhododendron maculiferum", "Cudonia japonica", "Rhinophis melanoleucus", "Ophiotreta stimulea", "Moffartsia delhaizei", "Amanita lignitincta", "Acanthoscurria sacsayhuaman", "Sideritis gomeraea", "Sideritis gossypina", "Sideritis \u00d7 alcarazii", "Paralomis debodeorum", "Sideritis grandiflora", "Chaetonotus elegans", "Amanita neocinctipes", "Opilia amentacea", "Ophlitaspongia papilla", "Amanita flavopantherina", "Leucandra pumila", "Amanita griseopantherina", "Rhododendron rarilepidotum", "Acanthoscurria maga", "Acanthoscurria musculosa", "Sideritis glacialis", "Sideritis lotsyi", "Acanthoscurria minor", "Acanthoscurria natalensis", "Sideritis ilicifolia", "Rhinophis erangaviraji", "Rhododendron liliiflorum", "Burrus spicatus", "Petrorhagia grandiflora", "Rhododendron longesquamatum", "Petrorhagia ochroleuca", "Rhododendron longipes", "Savarna miser", "Savarna bannang", "Savarna chiangmai", "Savarna huahin", "Rhododendron nivale subsp. nivale", "Rhododendron ochraceum", "Rhododendron orbiculare subsp. orbiculare", "Rhododendron menziesii subsp. glabellum", "Petrorhagia fasciculata", "Phakellia hooperi", "Stelletta eduardoi", "Corallistes isabela", "Lissodendoryx albemarlensis", "Heliophanus redimitus", "Heliophanus peckhami", "Euconnus retinax", "Bulbophyllum sasakii", "Euconnus traegardhides", "Amanita brunneofuliginea", "Euconnus zoiaides", "Euconnus oaxacanides", "Bulbophyllum scabratum", "Scydmaenus jacquelineides", "Heliophanus flavipes", "Amanita incarnatifolia", "Euconnus globatus", "Heliophanus deserticola", "Vertigo kushiroensis", "Lucanus cenwanglaoshanus", "Halicnemia wagini", "Lucanus fiedleri", "Dendrobium herbaceum", "Rhododendron nitidulum", "Halicnemia verticillata", "Halicnemia salomonensis", "Halicnemia papillosa", "Halicnemia gallica", "Halicnemia geniculata", "Halicnemia arcuata", "Halicnemia caledoniensis", "Halicnemia diazae", "Rhododendron nivale subsp. boreale", "Eupines coalita", "Eupines complector", "Eupines dugdalei", "Petrorhagia thessala", "Rhododendron piercei", "Rhododendron pleistanthum", "Haliclona cnidata", "Rhododendron polylepis", "Ikakogi ispacue", "Mantidactylus petakorona", "Mantidactylus atsimo", "Rhododendron principis", "Heliophanus claviger", "Euconnus brevipennides", "Heliophanus eucharis", "Euconnus creber", "Heliophanus marshalli", "Rhododendron oreodoxa var. fargesii", "Euconnus palpator", "Euconnus curtus", "Euconnus trigonicus", "Euconnus gonitricus", "Euconnus busillis", "Euconnus comatus", "Euconnus boopis", "Euconnus temporalis", "Heliophanus edentulus", "Euconnus zoiai", "Euconnus septemdecim", "Rhododendron orthocladum", "Euconnus porrectus", "Euconnus inanis", "Euconnus stormsriveri", "Heliophanus undecimmaculatus", "Megalopinus puthzi", "Megalopinus lemur", "Rhododendron pachysanthum", "Megalopinus heissi", "Neoantrodiella gypsea", "Rhododendron glischrum subsp. glischrum", "Rhododendron glischrum subsp. rude", "Rhododendron goodenoughii", "Kulalania antiqua", "Lamaika distincta", "Rhododendron haematodes subsp. haematodes", "Rhododendron haematodes subsp. chaetomallum", "Rhododendron hanceanum", "Rhododendron hancockii", "Neolithodes agassizii", "Rhododendron ripense", "Rhododendron ririei", "Neolithodes grimaldii", "Amanita olivaceofusca", "Amanita orienticrocea", "Amanita pallidozonata", "Amanita retenta", "Amanita shennongjiana", "Amanita tenuifulva", "Cyriocosmus foliatus", "Cyriocosmus paredesi", "Neolithodes asperrimus", "Spinularia spinularia", "Acentropelma gutzkei", "Psilocybe castaneicolor", "Psilocybe vialis", "Aphonopelma nayaritum", "Rhododendron spiciferum", "Rhododendron stamineum", "Rhododendron stenopetalum", "Rhododendron stenophyllum subsp. stenophyllum", "Aphonopelma pallidum", "Aphonopelma platnicki", "Aphonopelma prosoicum", "Aphonopelma ruedanum", "Aphonopelma serratum", "Rhododendron sikangense", "Rhododendron sikayotaizanense", "Rhododendron simiarum subsp. simiarum", "Rhododendron sinofalconeri", "Sepidiocoris noualhieri", "Sepidiocoris dispar", "Tahitocoris cheesmanae", "Aphonopelma mooreae", "Conochitina elegans", "Todiramphus gertrudae", "Rhododendron parryae", "Rhododendron pendulum", "Rhododendron pentandrum", "Ophiacanthella troscheli", "Rhododendron pentaphyllum var. nikoense", "Pseudostomum klostermanni", "Heliophanus congolensis", "Heliophanus trepidus", "Heliophanus debilis", "Heliophanus patellaris", "Heliophanus hastatus", "Heliophanus imperator", "Heliophanus kenyaensis", "Heliophanus validus", "Heliophanus kilimanjaroensis", "Penares apicospinatus", "Penares scabiosus", "Dercitus reptans", "Heliophanus lesserti", "Oceanapia microtoxa", "Heliophanus lawrencei", "Spongosorites smithae", "Tethya sarai", "Heliophanus falcatus", "Heliophanus improcerus", "Miobdelus humilis", "Quasillina translucida", "Polymastia villosa", "Sigmosceptrella hospitalis", "Helicogloea jozefii", "Rhododendron vialii", "Citharacanthus longipes", "Cyrtopholis agilis", "Cyrtopholis anacanta", "Cyrtopholis plumosa", "Cymbidium canaliculatum", "Rhododendron thomsonii subsp. thomsonii", "Rhododendron tomentosum subsp. tomentosum", "Aphonopelma sclerothrix", "Aphonopelma xanthochromum", "Rhododendron trichanthum", "Laubuka ruhuna", "Rhododendron triflorum subsp. triflorum", "Ophiotypa simplex", "Rhododendron uvariifolium", "Geodia stellata", "Psilocybe wassonii", "Geodia cumulus", "Sideritis huber-morathii", "Sideritis kuegleriana", "Sideritis lurida", "Panaspis annettesabinae", "Salix \u00d7 longissima", "Sideritis lacaitae", "Sideritis lasiantha", "Geodia lacunata", "Stelletta pulvinata", "Cinachyrella cavernosa", "Tethya asbestella", "Clavopelma tamaulipeca", "Rhododendron tatsienense", "Aphonopelma truncatum", "Rhododendron taxifolium", "Agelas sceptrum", "Protosuberites epiphytum", "Homaxinella ensifera", "Phoriospongia papillosa", "Antho opuntioides", "Oceanapia putridosa", "Aphonopelma latens", "Xestospongia testudinaria", "Rhododendron thayerianum", "Spheciospongia vesparium", "Neopetrosia cylindrica", "Cervicornia cuspidifera", "Thorectandra boletus", "Polymastia boletiformis", "Geodia cidaris", "Eupines gigas", "Eupines graceae", "Eupines hoarei", "Eupines huizhenae", "Eupines insolita", "Eupines mayae", "Eupines minuta", "Eupines novem", "Eupines obtusa", "Eupines ovalis", "Eupines pannicula", "Eupines petila", "Eupines protibialis", "Eupines waikaremoana", "Eupines whirinaki", "Eupines undecim", "Rhododendron scabrifolium", "Rhododendron scabrum subsp. scabrum", "Rhododendron scopulorum", "Ceruchus yingqii", "Ceruchus ganyanae", "Rhododendron selense subsp. selense", "Ceruchus motuoensis", "Rhododendron semnoides", "Asiafroneta pallida", "Asiafroneta atrata", "Russula tsokae", "Lepidorhombus whiffiagonis", "Landouria intha", "Cretiscalpellum bronni", "Pinus pseudostrobus var. apulcensis", "Pinus pseudostrobus f. protuberans", "Pinus pseudostrobus var. pseudostrobus", "Rhododendron watsonii", "Cyrtopholis major", "Cyrtopholis unispina", "Sideritis laxispicata", "Cyrtopholis gibbosa", "Sideritis leptoclada", "Rhododendron wumingense", "Cyrtopholis ischnoculiformis", "Rhododendron cinnabarinum subsp. xanthocodon", "Sideritis macrostachyos", "Cyrtopholis obsoleta", "Sideritis maireana", "Cyrtopholis respina", "Rhododendron xanthostephanum", "Cyrtopholis annectans", "Cyrtopholis bartholomaei", "Cyrtopholis bonhotei", "Tornosia insularis", "Cyrtopholis bryantae", "Rhododendron poukhanense", "Heliophanus innominatus", "Chondrilla verrucosa", "Scalarispongia incognita", "Heliophanus gladiator", "Raspailia galapagensis", "Heliophanus conspicuus", "Heliophanus ramosus", "Cinachyrella desqueyrouxae", "Cinachyrella globulosa", "Heliophanus ibericus", "Heliophanus agricola", "Dinothenarus choui", "Heliophanus verus", "Naddia taiwanensis", "Heliophanus abditus", "Ontholestes oculatus", "Platydracus juang", "Heliophanus acutissimus", "Heliophanus canariensis", "Thoracostrongylus formosanus", "Thoracostrongylus miyakei", "Heliophanus iranus", "Heliophanus malus", "Heliophanus aberdarensis", "Heliophanus africanus", "Heliophanus alienus", "Heliophanus chikangawanus", "Heliophanus deformis", "Heliophanus difficilis", "Heliophanus horrifer", "Heliophanus nobilis", "Heliophanus pauper", "Heliophanus uvirensis", "Troglomyces twitteri", "Psilocybe panaeoliformis", "Petrorhagia cyrenaica", "Protopselaphus newtoni", "Heliophanus activus", "Heliophanus agricoloides", "Eupines brevis", "Petrorhagia arabica", "Eupines caesta", "Eupines carinata", "Rhododendron platypodum", "Tornosia brevispina", "Carbasea elegans", "Rhododendron yunnanense subsp. yunnanense", "Tulasnella valentini", "Kinku turumanya", "Pinelema adunca", "Pinelema bella", "Pinelema breviseta", "Geodia geodina", "Russula kangchenjungae", "Cnemaspis lineatubercularis", "Lobulia sabini", "Megalachne masafuerana", "Phyllosticta kankeii", "Bhawania goodei", "Pinelema circularis", "Pinelema claviformis", "Pinelema dengi", "Pinelema grandidens", "Pinelema oculata", "Eccoptolonthus terezae", "Cyana nusa", "Monotropsis odorata", "Pleuricospora fimbriolata", "Lobulia lobulus", "Terebellides stroemii", "Neolithodes diomedeae", "Sarcinodes hainana", "Lophocampa desotoi", "Lophocampa occidentalis", "Lophocampa perezgelaberti", "Lophocampa sharki", "Philonthus zosterops", "Lophocampa flavoabdominalis", "Echemella occulta", "Elachistocleis araios", "Pterotricha auris", "Pterotricha arzhantsevi", "Elachistocleis haroi", "Pterotricha kovblyuki", "Pterotricha montana", "Pterotricha pseudoparasyriaca", "Rhododendron stolleanum", "Chimaphila menziesii", "Philonthus crecopsis", "Theridion odisha", "Nihonhimea indica", "Chimaphila umbellata subsp. umbellata", "Philonthus camelus", "Corotoca melantho", "Siamlema changhai", "Siamlema suea", "Sundalema bonjol", "Sundalema khaorakkiat", "Sundalema acicularis", "Sundalema anguina", "Telemofila fabata", "Telemofila malaysiaensis", "Zhuanlema peteri", "Guhua kakamegaensis", "Apneumonella taitatavetaensis", "Thrixopelma aymara", "Neolithodes capensis", "Pluteus americanus", "Grammostola borelli", "Neolithodes vinogradovi", "Pluteus rangifer", "Remijia ferruginea", "Grammostola diminuta", "Grammostola chalcothrix", "Grammostola inermis", "Sphaerobulbus smetanai", "Scytodes magna", "Dendrobium kauldorumii", "Tylototriton pasmansi", "Tylototriton sparreboomi", "Tylototriton pasmansi obsti", "Tylototriton pasmansi pasmansi", "Tylototriton panhai", "Tylototriton uyenoi", "Tylototriton ziegleri", "Nesolechia diversispora", "Tylototriton shanorum", "Tylototriton himalayanus", "Paralomis arae", "Cryptolithodes typicus", "Craniella cranium", "Cryptolithodes expansus", "Cryptolithodes sitchensis", "Trichotria pocillum", "Nesolechia thallicola", "Philonthus terathopius", "Sideritis marmorea", "Neolithodes nipponensis", "Chalinula qatari", "Suberites luna", "Sphaerobulbus guangxiensis", "Sphaerobulbus ningliei", "Carpelimus olgae", "Philonthus acervulus", "Neolithodes duhameli", "Hemitomes congestum", "Corotoca phylo", "Calonola theresiae", "Corotoca araujoi", "Phlomoides hamosa", "Corotoca fontesi", "Odonestis bolotovi", "Corotoca pseudomelantho", "Corotoca hitchensi", "Cavifronexus guyanae", "Cavifronexus papaveroi", "Pyrola americana", "Pyrola asarifolia subsp. asarifolia", "Megarthrus cavianae", "Jamides abdul mantalingensis", "Jamides abdul pagaiensis", "Eurycletodes paraephippiger", "Eubotryoides grayana", "Hasarina contortospinosa", "Heliophanus potanini", "Euconnus moramangides", "Euconnus multispinosulus", "Euconnus perinetides", "Euconnus perrierides", "Euconnus vadonides", "Euconnus andringitrides", "Ampulex dissector", "Euconnus antongilanides", "Euconnus paulianides", "Iophon koltuni", "Petrorhagia dianthoides", "Artemisina lundbecki", "Petrorhagia graminea", "Suberites cebriones", "Petrorhagia glumacea", "Rhododendron multiflorum", "Amanita atrofusca", "Tylototriton anguliceps", "Microgecko tanishpaensis", "Battalus spinipes", "Battalus adamparsonsi", "Battalus byrneae", "Battalus diadens", "Battalus wallum", "Battalus baehrae", "Craniops elegans", "Battalus bidgemia", "Battalus boolathana", "Battalus helenstarkae", "Battalus microspinosus", "Battalus rugosus", "Battalus zuytdorp", "Battalus semiflavus", "Rhododendron rushforthii", "Sideritis marianica", "Odiliacletodes secundus", "Gaultheria fragrantissima subsp. fragrantissima", "Odiliacletodes gracilis", "Gaultheria bracteata", "Gaultheria colensoi", "Gaultheria crassa", "Neoprotoparmelia purpurea", "Pristimantis moa", "Pristimantis pluvian", "Pristimantis pictus", "Pristimantis giorgii", "Napoconnus canaimanus", "Napoconnus conulus", "Napoconnus janauari", "Euconnus fulgurans", "Neoprotoparmelia nigra", "Sciara scitula", "Sciara brevifurca", "Sciara diversa", "Sciara minutela", "Sciara atratula", "Sciara luculenta", "Sciara fumipennis", "Sciara unica", "Sciara winnertzi", "Sciara montivaga", "Sciara ornatula", "Sciara amabilis", "Sciara lucidipennis", "Sciara nubicula", "Sciara spectabilis", "Sciara ignobilis", "Sciara infrequens", "Sciara notata", "Neoprotoparmelia paramultifera", "Sciara pictipes", "Neoprotoparmelia pseudomultifera", "Barsaurea phaeoxanthia", "Barsaurea diehli", "Barsaurea ketiga", "Gaultheria antarctica", "Pyrola norvegica", "Uretiana vicunensis", "Uretiana infans", "Dogniniya sterila", "Dogniniya beatrix", "Dogniniya lemoulti", "Dogniniya huanuco", "Qhichwaruna pennata", "Wiraqucha huberti", "Wiraqucha equadorica", "Oxyporus jiangi", "Oxyporus wenchuanus", "Thonyocossus brasiliensis", "Hastam gracilis", "Agdistis cambriana", "Agdistis marionae", "Scytodes tapacura", "Scytodes itabaiana", "Scytodes saaristoi", "Scytodes tapuia", "Scytodes sincora", "Scytodes una", "Scytodes guapiassu", "Rhododendron papillatum", "Scytodes adisi", "Scytodes mangabeiras", "Scytodes marlieria", "Scytodes maromba", "Scytodes caratinga", "Scytodes domhelvecio", "Scytodes bonito", "Scytodes tyaia", "Scytodes nambiobyrassu", "Scytodes vassununga", "Scytodes jurubatuba", "Scytodes bocaina", "Scytodes genebra", "Scytodes itapecerica", "Scytodes antonina", "Scytodes brignolii", "Scytodes chopim", "Scytodes pintodarochai", "Scytodes ytu", "Scytodes tabuleiro", "Scytodes maquine", "Scytodes chapeco", "Scytodes imbituba", "Scytodes ilhota", "Scytodes turvo", "Scytodes aethiopica", "Scytodes clavata", "Diores bouilloni", "Tepuia venusta", "Salvia acuminata", "Planeustomus pancici", "Pityophthorus carniolicus", "Agarista buxifolia", "Martillepas decoratus", "Agarista eucalyptoides", "Diaptomus biseratus", "Acrodicrania setosicauda", "Acrodicrania fasciata", "Acrodicrania atricauda", "Ateleia spadicithorax", "Gaultheria racemulosa", "Trizygya flavipes", "Trichonta vegeta", "Trichonta illaetabilis", "Mycetophila propria", "Cyanonemertes elegans", "Exechia pullicauda", "Exechia pictiventris", "Exechia fumosa", "Exechia abbreviata", "Dictyaulus kexueae", "Leucosolenia qingdaoensis", "Neoprotoparmelia camptotheca", "Papuascincus phaeodes", "Papuascincus stanleyanus", "Papuascincus morokanus", "Papuascincus buergersi", "Lipinia albodorsalis", "Sphenomorphus schultzei", "Sphenomorphus neuhaussi", "Lipinia inexpectata", "Lipinia leptosoma", "Lipinia rabori", "Lipinia zamboangensis", "Aplidium conicum", "Chenopodium \u00d7 dadakovae", "Astrothelium longisporum", "Agarista salicifolia", "Agarista subrotunda", "Agarista virgata", "Argentosine proleuca", "Craibiodendron yunnanense", "Lyonia fruticosa", "Aphelidium collabens", "Lyonia truncata", "Lyonia truncata subsp. truncata", "Jamides minor minor", "Jamides minor", "Neoprotoparmelia rogersii", "Jamides minor dinawus", "Jamides minor umbriel", "Jamides minor poliaemus", "Neoprotoparmelia rubrofusca", "Gaultheria lanigera", "Gaultheria macrostigma", "Neoprotoparmelia saxicola", "Lipinia septentrionalis", "Lipinia occidentalis", "Lipinia sekayuensis", "Clathrina rubra", "Leucosolenia arachnoides", "Leucosolenia cervicornis", "Leucosolenia corallorrhiza", "Leucosolenia eustephana", "Cavendishia callista", "Ophiopteris antipodum", "Myxidium gadi", "Sphaeromyxa gasterostei", "Dendrobium aphyllum", "Amphoriscus synapta", "Amphoriscus urna", "Ceratomyxa herouardi", "Ceratomyxa coris", "Ceratomyxa maenae", "Neoprotoparmelia sexdecimspora", "Trichonympha serbica", "Suberites domuncula", "Simkinion convexum", "Simkinion corniculum", "Simkinion schomannae", "Simkinion tepaki", "Gaultheria parvula", "Oxyporus parvus", "Gaultheria pumila", "Stenichnodes cordicollis", "Palaeugoa secunda", "Stenichnodes spinosus", "Stenichnodes bouakensis", "Gaultheria pumila var. crassifolia", "Tegenaria lazarovi", "Alucita bakweri", "Alucita jana", "Alucita bakingili", "Alucita tatjana", "Alucita zuza", "Alucita deja", "Alucita bokwango", "Lasioptera mastersi", "Lasioptera vastatrix", "Lasioptera aurata", "Lasioptera nodosae", "Lasioptera miscella", "Lasioptera corusca", "Lasioptera helvipes", "Campylomyza perpallida", "Campylomyza aeratipennis", "Campylomyza persimilis", "Campylomyza crocea", "Campylomyza subtilis", "Campylomyza vicina", "Campylomyza impexa", "Campylomyza pellax", "Campylomyza sydneyensis", "Campylomyza amplipennis", "Sciara macleayi", "Sciara sedula", "Sciara sororia", "Sciara finitima", "Sciara aemula", "Sciara luctifica", "Sciara froggatti", "Sciara frequens", "Sciara dolosa", "Sciara festina", "Sciara pernitida", "Sciara familiaris", "Sciara festiva", "Sciara maesta", "Sciara aquila", "Sciara audax", "Sciara vecors", "Sciara erratica", "Sciara approximata", "Sciara evanescens", "Aradellus nigerrimus", "Coptocatus oblongulus", "Agapetes incurvata", "Ambrysus mormon", "Argentina pacifica", "Limnocoris nigropunctatus", "Heleocoris grandis", "Agapetes obovata", "Heleocoris nebulosus", "Agapetes variegata", "Macrocoris nigropunctatus", "Macrocoris laticollis", "Ranatra brevicollis", "Astrothelium aeneoides", "Astrothelium curvatum", "Astrothelium globosum", "Macrothele alyrata", "Astrothelium graphicum", "Stenophthalmicus horvathi", "Ambrysus horvathi", "Ambrysus colombicus", "Leucosolenia hispidissima", "Macrocera delicata", "Macrocera decorosa", "Macrocera mastersi", "Leucosolenia horrida", "Heteropterna macleayi", "Leucetta floridana", "Leucetta microraphis", "Leucetta primigenia", "Leucetta sagittata", "Leucetta trigona", "Sycetta perforata", "Sycetta sagittifera", "Sycettusa stauridia", "Grantessa ramosa", "Leucandra bleeki", "Leucandra pandora", "Leucandra intermedia", "Leucandra crustacea", "Leucandra caminus", "Leucandra crambessa", "Sycon lunulatum", "Paraleucilla saccharata", "Leucettusa corticata", "Pseudoplatyura dux", "Leucettaga loculifera", "Paraleucilla cucumis", "Amphoriscus testiparus", "Sycon dunstervillia", "Trichogypsia incrustans", "Kuarrhaphis cretacea", "Antriadophila petulans", "Antriadophila electilis", "Antriadophila nubipennis", "Antriadophila nigra", "Amphoriscus oviparus", "Amphoriscus cylindrus", "Ascandra densa", "Gaultheria nubicola", "Cnemoscopus rubrirostris chrysogaster", "Cavendishia complectens", "Catenicella elegans", "Cavendishia complectens subsp. complectens", "Cavendishia fortunensis", "Cavendishia grandifolia", "Macrothele cangshanensis", "Cavendishia nobilis", "Macrothele jinlin", "Latrunculia novaecaledoniae", "Cavendishia quereme", "Latrunculia austini", "Lemyra spinisinferma", "Latrunculia velera", "Lemyra tawaghatensis", "Lemyra wokhaensis", "Macotasa tortricula", "Gaylussacia brasiliensis", "Latrunculia tetraverticillata", "Characodoma elegans", "Gaylussacia incana", "Clubiona bilobata", "Limnocoris distanti", "Laccocoris dissidens", "Clubiona denticulata", "Heleocoris bengalensis", "Clubiona pila", "Clubiona pseudocordata", "Heleocoris vicinus", "Clubiona hexadentata", "Aphelocheirus denticeps", "Ambrysus circumcinctus", "Nasua narica nelsoni", "Clubiona tridentata", "Cambalida deorsa", "Cambalida tuma", "Cambalida flavipes", "Geocoris nebulosus", "Geocoris stellatus", "Geocoris maindroni", "Geocoris moderatus", "Geocoris atricolor", "Geocoris howardi", "Geocoris duzeei", "Ninyas distanti", "Geocoris junodi", "Geocoris hirsutus", "Telmatotrephes breddini", "Laccotrephes elongatus", "Ophiopteris papillosa", "Hydrocyrius nanus", "Megarthrus chiapas", "Eupterote elisavetae", "Uretiana tucumana", "Ambrysus ochraceus", "Ambrysus peruvianus", "Tarisa flavescens", "Macrothele abrupta", "Astrothelium macrostomum", "Macrothele triangularis", "Macrothele incisa", "Suberites dandelenae", "Lathrothele grabensis", "Astrothelium megeustomum", "Lathrothele cavernicola", "Lathrothele catamita", "Anthopterus wardii", "Lathrothele jezequeli", "Astrothelium pictum", "Astrothelium rubrocrystallinum", "Astrothelium simplex", "Cavendishia allenii", "Macrothele taiwanensis", "Astrothelium sinuosum", "Macrothele holsti", "Cavendishia axillaris", "Astrothelium tetrasporum", "Macrothele bannaensis", "Miltochrista pseudoarcuata", "Miltochrista pseudoseriata", "Miltochrista undunoides", "Nishada pseudochilomorpha", "Olepa nigerclavatus", "Pseudobarsine bombdilensis", "Pseudobarsine nainitalensis", "Stigmatophora palliduspalmata", "Macleania ericae", "Macleania pentaptera", "Teulisna tenebrosus", "Macleania insignis", "Ranatra brevicauda", "Ranatra stali", "Ranatra signoreti", "Ranatra robusta", "Polymeridium endoflavens", "Polymeridium longiflavens", "Trypethelium luteolucidum", "Macrothele digitata", "Macrothele jingzhao", "Tarisa aeliodes", "Escharina elegans", "Ceratostema oellgaardii", "Macrothele drolshageni", "Viridothelium leptoseptatum", "Ceratostema rauhii", "Macrothele guizhouensis", "Macrothele hunanica", "Sanguisorba riparia", "Macrothele yunnanica", "Macrothele menglunensis", "Macrothele monocirculata", "Dimorphanthera velutina", "Dimorphanthera velutina subsp. velutina", "Macrothele multispine", "Macrothele raveni", "Macrothele yani", "Latrunculia rugosa", "Latrunculia sceptrellifera", "Empetrum atropurpureum", "Empetrum eamesii", "Latrunculia copihuensis", "Latrunculia verenae", "Latrunculia yepayek", "Latrunculia ciruela", "Gaylussacia montana", "Tethya melinka", "Haliclona caduca", "Oceanapia guaiteca", "Oceanapia spinisphaera", "Clathria mytilifila", "Neopodospongia tupecomareni", "Suberites cranium", "Myxilla araucana", "Gaylussacia pseudogaultheria", "Curicta borellii", "Ranatra dispar", "Cercotmetus compositus", "Witherscalpellum matrioni", "Niarius haglundi", "Sceptrella biannulata", "Sceptrella insignis", "Sceptrella regalis", "Tsitsikamma michaeli", "Tsitsikamma nguni", "Tarisa setulosa", "Lethocerus camposi", "Aucasaurus garridoi", "Gaylussacia pulchra", "Rajasaurus narmadensis", "Majungasaurus crenatissimus", "Gaylussacia nana", "Microlithosia champhaiensis", "Miltochrista cornutochrista", "Miltochrista falcihumilis", "Miltochrista neocuneifera", "Miltochrista neoseriata", "Miltochrista paraarcuata", "Gonocalyx concolor", "Miltochrista paraseriata", "Viridothelium virens", "Stenaelurillus metallicus", "Ophiurothamnus clausa", "Latrunculia citharistae", "Latrunculia purpurea", "Latrunculia spinispiraefera", "Latrunculia triloba", "Latrunculia cratera", "Latrunculia basalis", "Latrunculia biformis", "Latrunculia crenulata", "Latrunculia palmata", "Latrunculia multirotalis", "Tropizodium kalami", "Latrunculia ikematsui", "Tropizodium viridurbium", "Adites paraimpilia", "Martillepas auriculum", "Latrunculia bocagei", "Latrunculia brevis", "Adites pseudohilaris", "Agrisius albafuliginosus", "Latrunculia algoaensis", "Latrunculia gotzi", "Aemene spotoptera", "Agrisius neofuliginosus", "Arctelene neouncodes", "Psammisia hookeriana", "Ophiurothamnus eleaumei", "Ophiurothamnus excavatus", "Satyria carnosiflora", "Saletara cycinna", "Callidium asaemoides", "Tarisa hispanica", "Vaccinium cereum", "Viridothelium vonkonratii", "Cliona tumula", "Carpelimus maliensis", "Carpelimus neuterus", "Carpelimus xenosus", "Carpelimus dundoensis", "Carpelimus impicus", "Saletara cycinna corinna", "Saletara cycinna cycinna", "Saletara cycinna chryselectra", "Sphyrospermum buxifolium", "Bathydorus laniger", "Docosaccus maculatus", "Viridothelium inspersum", "Viridothelium kinabaluense", "Viridothelium solomonense", "Arctelene patnitopensis", "Latrunculia kerwathi", "Barsine atypicobarsine", "Barsine cacharensis", "Barsine cuneorotatus", "Barsine deviculensis", "Latrunculia janeirensis", "Barsine pseudoorientalis", "Sphaeromacrops yunnanensis", "Barsine rufumdefecta", "Barsine cornutodefecta", "Brunia pseudoantica", "Byrsia neoaurantiaca", "Tarisa camelus", "Cernyia neocretacea", "Creatonotos nigergangis", "Eugoa bispinuata", "Katha spinoapex", "Tychobythinus inopinatus", "Lemyra bucseki", "Tychobythinus villasmundi", "Daimio tethys moori", "Lemyra cernyi", "Lemyra collarlis", "Lemyra coorgensis", "Lemyra latauncus", "Lemyra magnaproteus", "Gaylussacia bigeloviana", "Lemyra orhanti", "Lemyra pseudobimaculata", "Lemyra pseudoburmanica", "Lemyra pseudocollarlis", "Latrunculia apicalis", "Lemyra pseudoneurica", "Lemyra saputarensis", "Sanguisorba durui", "Macleania smithiana", "Wittia freinai", "Wittia kailashi", "Wittia neokailashi", "Zadadra jatingensis", "Sanguisorba sirnakia", "Carpelimus aceus", "Sanguisorba azovtsevii", "Anaxibia folia", "Paratus perus", "Sanguisorba menendezii", "Wadicosa ghatica", "Wadicosa jocquei", "Wadicosa cognata", "Wadicosa russellsmithi", "Wadicosa benadira", "Wadicosa oncka", "Cliona thomasi", "Sumakuru felca", "Coscinopleura elegans", "Lyssomanes perafani", "Oeonistis vithurensis", "Cliona viridis", "Sporophila corvina ophthalmica", "Jaegerscalpellum elegans", "Vaccinium crassifolium subsp. crassifolium", "Ophiosemnotes brevispina", "Cliona celata", "Leuconia nivea", "Saletara liberia", "Megalodicopia hians", "Pugettia dalli", "Viridothelium cinereoglaucescens", "Cliona grandis", "Cupuladria elegans", "Sanguisorba applanata var. villosa", "Sanguisorba applanata var. sanguisorba", "Thibaudia costaricensis", "Thibaudia inflata", "Meotipa sahyadri", "Thibaudia litensis", "Protamaurops mavrovi", "Meotipa picturata", "Tarisa elevata", "Tarisa spinifer", "Meotipa multuma", "Protamaurops winneguthi", "Meotipa makiling", "Protamaurops serbicus", "Viridothelium ustulatum", "Paramaurops montenegrinus", "Demosthenesia buxifolia", "Thibaudia diphylla", "Stenus anthracinus", "Stenus puthzorum", "Stenus kobensis", "Stenus macies", "Tarisa dimidiatipes", "Tarisa leprosa", "Stenus yamato", "Stenus katoi", "Carpelimus pseudovagus", "Carpelimus niponensis", "Cretiscalpellum mutterlosei", "Carpelimus suavis", "Carpelimus foveolatus", "Carpelimus foveolatus foveolatus", "Carpelimus foveolatus turanus", "Carpelimus fujiensis", "Viridothelium tricolor", "Carpelimus boops", "Carpelimus boops boops", "Carpelimus boops rondaensis", "Stenus sauteri", "Stenus nishikawai", "Sanguisorba \u00d7 takahashihideoi", "Stenus sakura", "Stenus giushin", "Agrimonia nipponica var. nipponica", "Vaccinium hirtum var. koreanum", "Agrimonia pilosa var. succapitata", "Theretra shendurneensis", "Stenus zaishin", "Barilius arunachalensis", "Agrimonia eupatoria subsp. major", "Stenus kirin", "Aremonia agrimonoides subsp. pouzarii", "Aremonia agrimonoides subsp. agrimonoides", "Leucosidea sericea", "Lyssomanes wiwa", "Sanguisorba japonensis", "Langelurillus lacteus", "Langelurillus onyx", "Synagelides munnar", "Protamaurops bulgaricus", "Ophiurothamnus discycla", "Protamaurops bicarinatus", "Synagelides haoyai", "Synagelides kochang", "Synagelides larisae", "Pellegrinia grandiflora", "Sanguisorba \u00d7 poroshirensis", "Protamaurops dentatithorax", "Ariadna vansda", "Ariadna molur", "Protamaurops macedonicus", "Ariadna chhotae", "Sanguisorba \u00d7 kishinamii", "Protamaurops macrophthalmus", "Psammisia aberrans", "Tylorida flava", "Atelidea nona", "Psammisia guianensis", "Carpelimus danangensis", "Carpelimus novus", "Brypoctia punctifer", "Agrimonia aitchisonii", "Agrimonia bracteata", "Agrimonia gorovoii", "Agrimonia zeylanica", "Agrimonia \u00d7 nipponopilosa", "Cinctipora elegans", "Agrimonia nipponica var. occidentalis", "Stenus disterminus", "Stenus takedai", "Vaccinium delavayi subsp. delavayi", "Tarisa igdirensis", "Stenus laborator", "Stenus expugnator", "Prosoponoides youyiensis", "Stenus kokie", "Pareuchaetes pseudoinsulata", "Bencomia brachystachya", "Stenus serratimarginatus", "Bencomia exstipulata", "Stenus zimmermanni", "Bencomia sphaerocarpa", "Cliffortia acanthophylla", "Cliffortia acockii", "Cliffortia aculeata", "Cliffortia acutifolia", "Cliffortia alata", "Cliffortia amplexistipula", "Cliffortia anthospermoides", "Cliffortia apiculata", "Cliffortia arborea", "Cliffortia arcuata", "Cliffortia atrata", "Saletara panda", "Neoduma valvata", "Cliona patera", "Cliona kempi", "Cliona argus", "Cliona chilensis", "Cliona orientalis", "Cliona infrafoliata", "Saletara liberia aurifolia", "Mozena obesa", "Piezogaster obscuratus", "Piezogaster ashmeadi", "Nerthra lobata", "Nerthra lata", "Eriocaulon africanum", "Cliona vallartense", "Cliona papillae", "Cliona microstrongylata", "Microhyla laterite", "Eriocaulon cinereum", "Stenus yasutoshii", "Stenus takashii", "Vaccinium uliginosum subsp. uliginosum", "Hermippus globosus", "Hermippus inflexus", "Stenus puberulus", "Hermippus gavi", "Stenus nomurai", "Stenus varicosus", "Vaccinium vitis-idaea subsp. vitis-idaea", "Eriocaulon compressum", "Eriocaulon compressum var. compressum", "Jaegerscalpellum comptum", "Eriocaulon decangulare var. decangulare", "Cliona spissaspira", "Cliona reticulata", "Cliona caledoniae", "Cliona minuscula", "Cliona pocillopora", "Eriocaulon epedunculatum", "Paepalanthus alsinoides", "Paepalanthus chiquitensis", "Paepalanthus convexus", "Paepalanthus hilairei", "Paepalanthus myocephalus", "Paepalanthus myocephalus var. myocephalus", "Paepalanthus planifolius", "Paepalanthus planifolius var. planifolius", "Acaena sericea", "Stenus pubescens fraternus", "Acaena sarmentosa", "Acaena saccaticupula", "Stenus shogun", "Megalopinus jambar", "Acaena \u00d7 anserovina", "Stenus lanceolatus", "Stenus ochiba", "Stenus satushin", "Stenus nipponomontanus", "Stenus wasamatanus", "Stenus corrugatus", "Oxyopes sataricus", "Cliona acephala", "Viridothelium indutum", "Callerebia dibangensis", "Acaena echinata var. retrosumpilosa", "Stenus hagai", "Stenus intumescens", "Ypthima coorgensis", "Stenus displicatus", "Ypthima tripuraensis", "Vaccinium myrtillus subsp. myrtillus", "Stenus toukin", "Oxyopes gorumaraensis", "Hamataliwa ovata", "Acaena antarctica", "Acaena alpina", "Acaena agnipila", "Acaena boliviana", "Acaena caesiiglauca", "Acaena caespitosa", "Acaena confertissima", "Acaena cylindristachya", "Hamataliwa reticulata", "Acaena emittens", "Acaena fissistipula", "Acaena fuscescens", "Stenus houomontis", "Stenus ubusuna", "Acaena glabra", "Acaena hirsutula", "Acaena inermis", "Acaena integerrima", "Acaena juvenca", "Acaena latebrosa", "Acaena leptacantha", "Acaena longiscapa", "Stenus ohbayashii", "Acaena macrocephala", "Acaena masafuerana", "Acaena minor", "Acaena montana", "Stenus curvaticellus", "Stenus finitor", "Acaena patagonica", "Acaena profundeincisa", "Acaena pumila", "Acaena poeppigiana", "Stenus pubescens", "Acaena trifida", "Acaena torilicarpa", "Acaena tenera", "Acaena subincisa", "Acaena stricta", "Acaena stangii", "Acaena splendens", "Eriocaulon heleocharioides", "Gibbaranea indiana", "Eriocaulon heterolepis", "Eriocaulon madayiparense", "Conothele taiwanensis", "Eriocaulon nudicuspe", "Eriocaulon robustobrownianum", "Saletara liberia chrysea", "Eriocaulon scariosum", "Cliona peponaca", "Cliona laticavicola", "Cliona delitrix", "Cliona aprica", "Cliona californiana", "Cliona dioryssa", "Cliona aethiopicus", "Cliona dissimilis", "Cliona undulata", "Cliona parenzani", "Cliona varians", "Cliona valentis", "Cliona raromicrosclera", "Viridothelium megaspermum", "Atypus baotingensis", "Atypus jianfengensis", "Crisia elegans", "Saletara liberia engania", "Eriocaulon setaceum", "Maindronia bashagardensis", "Eriocaulon sharmae", "Heligmomerus maximus", "Eriocaulon stellulatum", "Eriocaulon taquetii", "Oxyopes fabae", "Oxyopes linearis", "Miagrammopes apostrophus", "Eriocaulon texense", "Eriocaulon tuberiferum", "Eriocaulon ubonense", "Eriocaulon ubonense subsp. ubonense", "Syngonanthus nitens", "Duninia darvishi", "Duninia grodnitskyi", "Erythropalum scandens", "Heisteria acuminata", "Eriocaulon volkensii", "Ophiosemnotes pachybactra", "Ophiosemnotes paucispina", "Ophiosemnotes tylota", "Eriocaulon xeranthemum", "Thoosa calpulli", "Thoosa mismalolli", "Spheciospongia ruetzleri", "Spheciospongia incrustans", "Eriocaulon kiusianum", "Stenus veselovae", "Stenus sibiricus", "Eriocaulon miquelianum", "Eriocaulon miquelianum var. miquelianum", "Jaegerscalpellum politum", "Cliothosa investigatoris", "Cliothosa quadrata", "Cliothosa aurivillii", "Pliotrema kajae", "Pliotrema annae", "Clionaopsis platei", "Tethytimea carmelita", "Nerthra ampliata", "Nerthra mixta", "Nerthra grandis", "Nerthra elongata", "Ranatra compressicollis", "Coptosoma putonii", "Cliona vermifera", "Ambrysus obscuratus", "Cliona lobata", "Cliona radiata", "Cliona insidiosa", "Cliona millepunctata", "Pelocoris subflavus", "Pelocoris nitidus", "Pelocoris magister", "Laccotrephes oculatus", "Laccotrephes calcaratus", "Laccotrephes armatus", "Cliona annulifera", "Cliona burtoni", "Cliona janitrix", "Cliona johannae", "Cliona ecaudis", "Cliona thoosina", "Cliona michelini", "Cliona lesueuri", "Cliona jullieni", "Cliona euryphylle", "Cliona amplicavata", "Cliona flavifodina", "Cliona paucispina", "Cliona rhodensis", "Cliona ensifera", "Cliona mucronata", "Cliona subulata", "Cliona caribbaea", "Cliona diversityla", "Cliona raphida", "Cliona tinctoria", "Coffea boinensis", "Cliona caesia", "Cliona johnstoni", "Cliona labiata", "Cliona carteri", "Cliona schmidtii", "Cliona macgeachii", "Cliona barbadensis", "Cliona lisa", "Stenus mikado", "Stenus pudefactus", "Hermippus loricatus", "Hermippus schoutedeni", "Hermippus septemguttatus", "Hermippus cruciatus", "Stenus miyama", "Hermippus arjuna", "Hermippus tenebrosus", "Hermippus minutus", "Hermippus arcus", "Stenus tomitaorum", "Stenus finalis", "Neoaloa pseudoflavimargo", "Stenus strobilus", "Cyana bhatejai", "Lysinema ciliatum", "Lysinema pentapetalum", "Lysinema conspicuum", "Himalmartensus ausobskyi", "Himalmartensus martensi", "Himalmartensus nepalensis", "Himalmartensus mussooriensis", "Stenus aestivus", "Stenus latitarsis", "Stenus depressus", "Himalmartensus nandadevi", "Stenus ancyleus", "Heisteria acuminata subsp. acuminata", "Heisteria perianthomega", "Hersilia albinota", "Heisteria silvianii", "Hersilia caudata", "Heisteria spruceana", "Holothuria poli", "Hersilia sigillata", "Hersilia albicomis", "Hersilia baforti", "Hersilia clarki", "Hersilia occidentalis", "Tethytimea tylota", "Erythroxylum martii", "Erythroxylum mikanii", "Erythroxylum sideroxyloides", "Erythroxylum moonii", "Erythroxylum mucronatum", "Erythroxylum nobile", "Erythroxylum pictum", "Pedupycnolepas pulcher", "Coniophanes andresensis", "Coniophanes taeniatus", "Coniophanes joanae", "Coniophanes longinquus", "Coniophanes taylori", "Coniophanes meridanus", "Colletotrichum grevilleae", "Cattleya \u00d7 albanensis", "Cadiz hardyi", "Glyptopora elegans", "Alternacantha dilionessa", "Cattleya \u00d7 amoena", "Stenus benefactor", "Stenus concinnus", "Stenus oliverbetzi", "Cliona desimoni", "Stenus hirtellus", "Stenus oblitus", "Stenus bohemicus", "Cliona albimarginata", "Stenus aquilonalis", "Cliona favus", "Cliona liangae", "Cliona utricularis", "Stenus mercator", "Stenus sedatus", "Cliona nodulosa", "Stenus weisei", "Cliothosa dichotoma", "Spiroxya acus", "Stenus kiesenwetteri", "Ophiosemnotes diaphora", "Cliona adriatica", "Cliona tenuis", "Araneus varpunen", "Stenus velox", "Stenus hanami", "Saletara liberia balina", "Cliffortia baccans", "Cliffortia bolusii", "Cliffortia brevifolia", "Cliona medinae", "Cliona tropicalis", "Thoosa purpurea", "Cliothosa tylostrongylata", "Clausotrypa elegans", "Acalypha chibomboa", "Brezinacantha tolis", "Hyalobagrus flavus", "Parapercis binivirgata", "Cattleya \u00d7 binotii", "Hersilia alluaudi", "Erythroxylum emarginatum", "Hersilia vanmoli", "Erythroxylum hypericifolium", "Stenus bicolon", "Cyrtopora elegans", "Stenus coronatus", "Erythroxylum kapplerianum", "Hersilia pungwensis", "Stenus coronatus zipanguensis", "Hersilia sericea", "Stenus recurvatus", "Stenus kamezawai", "Stenus mysticus", "Stenus mystiformis", "Erythroxylum macrophyllum", "Tethya bitylastra", "Timea kamasary", "Hersilia mainae", "Tamopsis weiri", "Tamopsis jongi", "Tamopsis petricola", "Hersilia mimbi", "Eremosyne pectinata", "Tamopsis riverinae", "Tamopsis facialis", "Tamopsis piankai", "Tethya deformis", "Tethya papillosa", "Tethya nux", "Melopyrrha nigra taylori", "Cattleya \u00d7 adrienne", "Escallonia alpina", "Alternacantha occulta", "Alternacantha arges", "Hersilia aldabrensis", "Hersilia eloetsensis", "Hersilia moheliensis", "Hersilia taita", "Hersilia bubi", "Hersilia caronae", "Hersilia furcata", "Hersilia igiti", "Hersilia mboszi", "Hersilia mowomogbe", "Hersilia sagitta", "Hersilia selempoi", "Hersilia tamatavensis", "Hersilia scrupulosa", "Erythroxylum australe", "Hersilia insulana", "Hersilia vinsonii", "Erythroxylum deciduum", "Loxigilla barbadensis", "Tethya maza", "Tethya seychellensis", "Tethya irisae", "Novomicrothelia pandanicola", "Conlarium thailandense", "Alternacantha schwermannorum", "Cystodictya elegans", "Escallonia pendula", "Cattleya \u00d7 britoi", "Phallus ultraduplicatus", "Callocladia elegans", "Gyraulus takhteevi", "Peucetia phantasma", "Aricoris emeryi", "Acalypha peduncularis", "Leucapamea srnkai", "Solenopsis duboscqui", "Acalypha punctata", "Escallonia rubra var. macrantha", "Escallonia florida", "Tamopsis harveyi", "Tamopsis gibbosa", "Tamopsis mainae", "Forgesia racemosa", "Melanoleuca leucopoda", "Melanoleuca porphyropoda", "Tamopsis gracilis", "Tamopsis longbottomi", "Polyosma cunninghamii", "Hersilia montana", "Hersilia taiwanensis", "Dragmatucha kabarolensis", "Dragmatucha galbinea", "Spiroxya macroxeata", "Stertinius fanjingensis", "Spiroxya corallophila", "Cicinnus litoralis", "Tethya strongylata", "Tethya ornata", "Tethya simi", "Tethya topsenti", "Jumellea ibityana", "Stenus omogoensis", "Stenus sharpi", "Claoxylon australe", "Claoxylon anomalum", "Claoxylon sandwicense", "Dendrobium finisterrae", "Claoxylon tenerifolium", "Claoxylon velutinum", "Cattleya \u00d7 cipoensis", "Cattleya \u00d7 cristinae", "Hersilia setifrons", "Erythroxylum squamatum", "Hersilia hildebrandti", "Hersilia incompta", "Hersilia madagascariensis", "Erythroxylum suberosum", "Cliffortia browniana", "Tarisa leprosissima", "Cliffortia burchellii", "Erythroxylum tortuosum", "Cliffortia cymbifolia", "Hersilia arborea", "Cliffortia curvifolia", "Cliffortia cuneata", "Cliffortia cruciata", "Conlarium dupliciascosporum", "Cliffortia cristata", "Cliffortia crenulata", "Hersilia albomaculata", "Cliffortia crenata", "Hersilia striata", "Hersilia martensi", "Hersilia vicina", "Hersilia kinabaluensis", "Hersilia deelemanae", "Hersilia simplicipalpis", "Hersilia nepalensis", "Hersilia feai", "Hersilia nentwigi", "Hersilia baliensis", "Hersilia mjoebergi", "Hersilia clypealis", "Hersilia flagellifera", "Speirogorgia robertbollandi", "Hersilia madang", "Hersilia novaeguineae", "Cliffortia crassinervis", "Cliffortia conifera", "Cliffortia concinna", "Cliffortia complanata", "Cliffortia cervicornu", "Cliffortia burgersii", "Macaranga harveyana", "Macaranga hispida", "Macaranga peltata", "Macaranga rhizinoides", "Macaranga spinosa", "Javagone maribaya", "Javanaria gracilipes", "Tropizodium inayatullahi", "Tropizodium murphyorum", "Tropizodium siam", "Tropizodium poonaensis", "Macaranga bancana", "Pseudobaeospora lilacina", "Tropizodium serraferum", "Macaranga capensis", "Phintelloides manipur", "Macaranga denticulata", "Macaranga trichocarpa", "Mallotus aureopunctatus", "Mallotus claoxyloides", "Cattleya \u00d7 ericoi", "Geospiza septentrionalis", "Cattleya \u00d7 espirito-santensis", "Geospiza acutirostris", "Acalypha apodanthes", "Pholcus viveki", "Langona davidi", "Acalypha nemorum", "Adriana quadripartita", "Indopadilla darjeeling", "Stenus guttalis", "Tropizodium bengalensis", "Cattleya \u00d7 carassana", "Cattleya \u00d7 cattleyioides", "Erythrococca columnaris", "Cattleya \u00d7 cypheri", "Dermacantha seeweni", "Cattleya \u00d7 dasilvae", "Cattleya \u00d7 delicata", "Rhagovelia springerae", "Rhagovelia danpolhemi", "Cattleya \u00d7 dolteana", "Tethya stolonifera", "Tethya mortoni", "Tethya bullae", "Tethya popae", "Tethya pellis", "Tethya coccinea", "Tethya sollasi", "Dragmatucha saltualis", "Dragmatucha vittatella", "Dragmatucha goniotes", "Tethya californiana", "Tethya actinia", "Tethya taboga", "Tethya laevis", "Tethya fissurata", "Tethya gigantea", "Tethya multistella", "Tethya aurantium", "Tethya diploderma", "Tethya globum", "Tethya japonica", "Tethya viridis", "Tethya parvistella", "Tethya multifida", "Tethya stellagrandis", "Tethya peracuta", "Tethya robusta", "Tethya norvegica", "Tethya monstrosa", "Tethya magna", "Tarisa pallescens", "Dragmatucha cochliana", "Dragmatucha pedalis", "Delectona ciconiae", "Dragmatucha ghanaensis", "Dragmatucha crinifrutalis", "Dragmatucha dizostera", "Dragmatucha kakumensis", "Leucocalocybe mongolica", "Holoxea excavans", "Agyneta fuscipalpa", "Agyneta subtilis", "Mallotus paniculatus", "Mallotus paniculatus var. paniculatus", "Nothosaurus winkelhorsti", "Croton punctatus", "Cliffortia carinata", "Cliffortia castanea", "Cliffortia ceresana", "Cliffortia densa", "Tarisa osmanica", "Cliffortia dentata", "Hersilia impressifrons", "Hersilia sundaica", "Hersilia facialis", "Promurricia depressa", "Murricia cornuta", "Murricia crinifera", "Murricia triangularis", "Neotama variata", "Neotama longimana", "Neotama punctigera", "Neotama rothorum", "Tamopsis wau", "Hersilia asiatica", "Hersilia australiensis", "Hersilia bifurcata", "Hersilia wellswebberae", "Hersilia longbottomi", "Hersilia tenuifurcata", "Tamopsis hirsti", "Tamopsis minor", "Tamopsis kimberleyana", "Tamopsis warialdae", "Hersilia jajat", "Hersilia lelabah", "Hersilia kerekot", "Tamopsis floreni", "Sporogonites exuberans", "Hersilia longivulva", "Murricia trapezodica", "Cattleya \u00d7 gerhard-santosii", "Afrohybanthus enneaspermus", "Mallotus polycarpus", "Agyneta affinis", "Mallotus resinosus", "Agyneta affinisoides", "Mallotus rhamnifolius", "Araniella plicata", "Macaranga heynei", "Larinioides ixobolus", "Macaranga hosei", "Stenus asperipennis", "Stenus luteofasciatus", "Stenus ruginosivestis", "Stenus bodhisattva", "Macaranga hypoleuca", "Dendrobium shixingense", "Stenus altitudinis", "Stenus manjusri", "Stenus maitreya", "Stenus mara", "Stenus nagarjuna", "Stenus kasyapa", "Macaranga involucrata", "Macaranga involucrata var. involucrata", "Macaranga involucrata var. mallotoides", "Macaranga pruinosa", "Javanyphia gede", "Parameioneta javaensis", "Cleiothyridina elegans", "Erigone brevipes", "Gongylidiellum linguiformis", "Macaranga aleuritoides", "Tethya meloni", "Araniella alpica", "Araniella inconspicua", "Araniella jilinensis", "Araniella maderiana", "Calyptorhynchus banksii graptogyne", "Stenus onerosus", "Ornithogalum naxense", "Araniella mithra", "Araniella villanii", "Ephippiger ephippiger", "Araniella nigromaculata", "Neoscona isatis", "Macaranga griffithiana", "Cattleya \u00d7 feldmanniana", "Mallotus discolor", "Ranunculus nipponicus", "Geospiza propinqua", "Scelotes sexlineatus", "Scelotes mirus", "Scelotes mossambicus", "Scelotes caffer", "Scelotes arenicolus", "Scelotes anguineus", "Scelotes guentheri", "Scelotes bidigittatus", "Scelotes kasneri", "Scelotes limpopoensis", "Scelotes capensis", "Scelotes inornatus", "Scelotes uluguruensis", "Scelotes montispectus", "Tethya fastigata", "Tethya amplexa", "Tethya communis", "Homonoia retusa", "Tethya socius", "Tethya paroxeata", "Tethya ovum", "Tethya mexicana", "Tethya ensis", "Calocybe aurantiaca", "Calocybe convexa", "Calocybe decolorata", "Storena indica", "Storena gujaratensis", "Avellanita bustillosii", "Agyneta propria", "Pombalia linearifolia", "Pombalia parviflora", "Pinelema spina", "Pinelema bifida", "Pinelema conglobare", "Pinelema pedati", "Pinelema spinafemora", "Pinelema spirae", "Pinelema tortutheca", "Pomarea mira", "Rhododendron ledoides", "Pinelema biyunensis", "Pinelema cucurbitina", "Pinelema mikrosphaira", "Pinelema renalis", "Pinelema yashanensis", "Pinelema zonaria", "Pinelema cucphongensis", "Pinelema exiloculata", "Pinelema daguaiwan", "Pinelema shiba", "Pinelema tham", "Pinelema vesiculata", "Pinelema dongbei", "Pinelema feilong", "Mekonglema bailang", "Mekonglema kaorao", "Mekonglema walayaku", "Hypoderma bovis", "Mekonglema yan", "Mekonglema xinpingi", "Cattleya \u00d7 heitoriana", "Cattleya \u00d7 isaacii", "Mercurialis elliptica", "Coua berthae", "Mercurialis leiocarpa", "Pigea floribunda", "Agyneta frigida", "Stenus michael", "Stenus perfidus", "Stenus pinguedineus", "Cattleya \u00d7 gottoana", "Pombalia attenuata", "Stenus oculivestis", "Stenus nubicola", "Stenus emeimontis", "Stenus ruggierii", "Stenus riccii", "Epidendrum tziscaoense", "Stenus falcipes", "Stenus falculifer", "Stenus guillaumeianus", "Stenus kleebergianus", "Stenus lunulifer", "Stenus luteolunulatus", "Stenus peregrinor", "Stenus vexativus", "Stenus montithronus", "Stenus altithronus", "Stenus trigaulti", "Stenus duplicatus", "Pseudosclerococcum golindoi", "Mallotus tiliifolia", "Thamnophis saurita sackenii", "Thamnophis saurita saurita", "Adelia vaseyi", "Leucocroton havanensis", "Abalistes filamentosus", "Abbottina binhi", "Agaricus dulcidulus", "Pseudobactrodesmium aquaticum", "Pseudobactrodesmium chiangmaiensis", "Thamnophis unilabialis", "Pseudobactrodesmium longisporum", "Alchornea sidifolia", "Baronia brevicornis brevicornis", "Baronia brevicornis rufodiscalis", "Caucasorhynchia elegans", "Agyneta ignorata", "Agyneta montana", "Agyneta silvae", "Agyneta propinqua", "Agyneta oculata", "Agyneta brevis", "Agyneta lauta", "Agyneta fusca", "Agyneta castanea", "Agyneta albomaculata", "Agyneta arida", "Alchornea glandulosa", "Agyneta bermudensis", "Alchornea glandulosa subsp. glandulosa", "Agyneta ripariensis", "Agyneta levii", "Agyneta uzbekistanica", "Agyneta albinotata", "Agyneta mediocris", "Dermacantha pattyana", "Agyneta montivaga", "Agyneta luctuosa", "Agyneta atra", "Dermacantha leonorae", "Agyneta prima", "Agyneta proxima", "Dermacantha carli", "Agyneta collina", "Agyneta mendosa", "Agyneta cincta", "Agyneta disjuncta", "Agyneta straminicola", "Agyneta discolor", "Agyneta opaca", "Ophisaurus ceroni", "Ophisaurus mimicus", "Ophisaurus incomptus", "Ophisaurus compressus", "Camarotoechia elegans", "Thysanorea nonramosa", "Agrostistachys borneensis", "Mallotus ficifolius", "Stenus asvaghosa", "Stenus asanga", "Stenus kshatriya", "Stenus ananda", "Stenus amitabha", "Stenus gopi", "Stenus evexifrons", "Stenus elevatifrons", "Stenus bullifrons", "Mallotus macrostachyus", "Stenus brunnescens", "Stenus kleebergiellus", "Stenus fuscivestitus", "Stenus conspiratus", "Stenus forniciventris", "Phlegra abhinandanvarthamani", "Stenus fornicativentris", "Stenus fuscisplendens", "Mallotus mollissimus", "Stenus fuscitogatus", "Stenus fuscativestis", "Stenus infuscatus", "Stenus infuscivestis", "Euophrys friedmani", "Lachesana dyachkovi", "Agyneta arietans", "Agyneta birulai", "Agyneta dactylis", "Agyneta decurvis", "Agyneta unicornis", "Agyneta birulaioides", "Alchornea ilicifolia", "Agyneta serratula", "Agyneta boninensis", "Alchornea glandulosa subsp. iricurana", "Alchornea laxiflora", "Alchornea sicca", "Alchornea trewioides", "Stenus peregrinator", "Stenus achyuta", "Stenus adhiratha", "Stenus agneya", "Stenus agni", "Stenus agnivesha", "Stenus ahi", "Stenus aila", "Stenus aindri", "Stenus airavata", "Stenus aja", "Stenus ajamila", "Stenus ajita", "Stenus akrura", "Stenus aksha", "Stenus akuli", "Mallotus tetracoccus", "Stenus amaresvara", "Stenus ambarisha", "Stenus amshumat", "Stenus anaranya", "Stenus andhaka", "Stenus angada", "Stenus angirasas", "Stenus animisha", "Stenus antaka", "Stenus anu", "Stenus anushara", "Stenus anuvinda", "Stenus apasmara", "Stenus apava", "Stenus arbuda", "Stenus ardra", "Stenus arjuna", "Dracula hirtzii", "Stenus aruna", "Stenus arvan", "Stenus aryaman", "Stenus ashmaka", "Stenus astika", "Stenus asura", "Stenus atharvan", "Stenus atri", "Stenus auttami", "Stenus avatara", "Stenus bahu", "Cylindroconidiis aquaticus", "Dianous moritai", "Thibaudia biflora", "Dianous yoshidai", "Pandava aruni", "Dianous amamiensis", "Dianous iwakisanus", "Dianous japonicus", "Carpelimus blinsteini", "Dianous shibatai", "Carpelimus ensius", "Carpelimus troglodytes", "Sanguisorba \u00d7 pseudo-officinalis", "Tarisa gibbosa", "Tarisa ciliaris", "Sanguisorba intermedia", "Agyneta breviceps", "Agyneta trifurcata", "Agyneta brusnewi", "Agyneta canariensis", "Agyneta conigera", "Stenus schallvonbelli", "Stenus marcopoloi", "Agyneta curvata", "Agyneta depigmentata", "Bocquillonia castaneifolia", "Agyneta equestris", "Allsortsia maculata", "Cattleya \u00d7 itabapoanaensis", "Dorymolpus elizabethae", "Tarisa subspinosa subspinosa", "Chiropetalum canescens", "Tarisa subspinosa marismortui", "Hydeomyces desertipleosporoides", "Chiropetalum tricuspidatum", "Carpelimus coiffaiti", "Ditaxis argothamnoides", "Carpelimus traegardhi", "Ditaxis lanceolata", "Carpelimus euphratensis", "Carpelimus hilfi", "Carpelimus rivus", "Carpelimus scheerpeltzi", "Carpelimus tatvanensis", "Carpelimus hoopensis", "Carpelimus nitus", "Ditaxis serrata", "Ochyrotica omelkoi", "Howellella elegans", "Rhinolophus xinanzhongguoensis", "Elasmopus yucalpeten", "Tarisa salsae", "Monotaxis grandiflora", "Monotaxis grandiflora var. grandiflora", "Garcinia leptophylla", "Amperea xiphoclada", "Amperea xiphoclada var. xiphoclada", "Annulatascus thailandensis", "Amperea protensa", "Amperea simulans", "Alchorneopsis portoricensis", "Pseudodactylaria camporesiana", "Agyneta exigua", "Cyclothyris elegans", "Cliffortia denticulata", "Rothilena griswoldi", "Rothilena cochimi", "Rothilena pilar", "Rothilena golondrina", "Rothilena sudcaliforniensis", "Rothilena naranjensis", "Chrozophora rottleri", "Acrocephalus longirostris", "Diaphorocellus isalo", "Canalisporium dehongense", "Diaphorocellus jocquei", "Persiscape caspica", "Persiscape ecbatana", "Persiscape nassirkhanii", "Persiscape zagrosensis", "Persiscape caucasica", "Carpelimus lindrothi", "Carpelimus lindrothi lindrothi", "Carpelimus lindrothi kamtchaticus", "Carpelimus fiorii", "Carpelimus corfuensis", "Carpelimus peloponnensis", "Carpelimus schneideri", "Argythamnia tinctoria", "Carpelimus schneideri schneideri", "Carpelimus schneideri zergei", "Carpelimus elongatulus elongatulus", "Carpelimus elongatulus ussuriensis", "Tarisa somalica", "Spathoglottis kimballiana", "Tarisa subspinosa", "Spathoglottis kimballiana var. kimballiana", "Spathoglottis kimballiana var. angustifolia", "Spathoglottis kimballiana var. antiquensis", "Dermocoma faberi", "Dermocoma longwyensis", "Chiropetalum berteroanum", "Dermocoma numbergerorum", "Dermocoma potti", "Chiropetalum berteroanum var. berteroanum", "Dermocoma simonschneideri", "Bhutaniella haenggii", "Talaromyces omanensis", "Cladosporium omanense", "Bia alienata", "Dalechampia affinis", "Cubanothyris elegans", "Dalechampia capensis", "Dalechampia caperonioides", "Dalechampia coriacea", "Cladosporium aristolochiae", "Dalechampia dioscoreifolia", "Stigmatophora cernyi", "Platypelis laetus", "Acrocordiella occulta", "Carpelimus elegantus", "Acrocordiella omanensis", "Carpelimus socotrensis", "Carpelimus sofomarensis", "Carpelimus turneri", "Carpelimus victoriensis", "Viola violacea var. makinoi", "Doryxylon spinosum", "Carpelimus schawalleri", "Carpelimus carbonigrus", "Carpelimus limbicus", "Carpelimus makranczyi", "Carpelimus prudeki", "Sumbaviopsis albicans", "Carpelimus schuelkei", "Carpelimus excoquitus", "Graphium chironides clanis", "Carpelimus pseudosimplex", "Carpelimus pseudonepalicus", "Tarisa virescens", "Liaromorpha bispinosa", "Graphium chironides malayanum", "Dermocoma biformis", "Liaromorpha buonluoiensis", "Cattleya \u00d7 jetibaensis", "Liaromorpha aspinosa", "Liaromorpha nitida", "Cattleya \u00d7 kerchoveana", "Cattleya \u00d7 lambari", "Ghoria nanlingica nanlingica", "Ghoria nanlingica dytiko", "Psorosa desaturata", "Psorosa pseudoelbursella", "Dalechampia scandens var. cordofana", "Dalechampia schippii", "Dalechampia tiliifolia", "Dybowskyia reticulata", "Carpelimus haraldi", "Rubus pseudoacer", "Empusa pennata", "Cattleya \u00d7 lilacina", "Tragia urticifolia", "Fulda rhadama", "Heteropsis croatii", "Rhynchospiza dabbenei", "Blumeodendron kurzii", "Blumeodendron tokbrai", "Carpelimus capitous", "Carpelimus cederholmi", "Carpelimus cuccodoroi", "Carpelimus embuensis", "Carpelimus fugax", "Carpelimus kumasiensis", "Carpelimus kunenensis", "Carpelimus peezi", "Carpelimus pronus", "Carpelimus pseudocorticinus", "Carpelimus scaevus", "Carpelimus snizeki", "Carpelimus suhovi", "Graphium chironides chironides", "Carpelimus globicollis", "Adenochlaena zeylanica", "Vanda testacea", "Carpelimus globicollis globicollis", "Epiprinus mallotiformis", "Carpelimus globicollis grandicollis", "Carpelimus nacreus", "Carpelimus philippinensis", "Carpelimus denigratus", "Stigmatophora ranruna", "Dalechampia linearis", "Cladosporium edgeworthiae", "Dalechampia peckoltiana", "Miltochrista artocarpi", "Dalechampia scandens var. scandens", "Dalechampia scandens var. natalensisa", "Miltochrista roseogrisea", "Dalechampia scandens var. natalensis", "Ghoria dammay", "Ghoria longivesica", "Ghoria mubupa", "Ghoria synnefo", "Glycydendron amazonicum", "Striatodecospora bambusae", "Omphalea celata", "Thinodromus pamirensis", "Thinodromus daxueus", "Tetrorchidium rubrivenium", "Thinodromus sundukowi", "Thinodromus puetzi", "Thinodromus schuelkei", "Thinodromus brevicornis", "Thinodromus bernhaueri", "Thinodromus behnei", "Thinodromus kurbatovi", "Thinodromus crassus", "Microlepas diademae", "Longipedicellata aptrootii", "Geodia basilea", "Douvillinella elegans", "Ptilotus davisii", "Codiaeum variegatum var. variegatum", "Croton incanus", "Cliffortia exilifolia", "Cliffortia esterhuyseniae", "Paracarpalimus abnormalis", "Cliffortia eriocephalina", "Cliffortia ericifolia", "Paracarpalimus aethiopicus", "Tragia durbanensis", "Cliffortia erectisepala", "Cliffortia drepanoides", "Tragia cordata", "Cliffortia dregeana", "Cliffortia dracomontana", "Thinodromus haplous", "Cattleya \u00d7 laurae", "Cliffortia dodecandra", "Cliffortia dispar", "Cliffortia discolor", "Thinodromus dasys", "Cliffortia dichotoma", "Thinodromus facilis", "Carpaliaceus thoracicus", "Cattleya \u00d7 leeana", "Thinodromus ripicola", "Thinodromus latus", "Thinodromus idemus", "Thinodromus leviterus", "Thinodromus asperopunctus", "Thinodromus flavofinesus", "Thinodromus breviterus", "Anthostomella kapitiae", "Thinodromus tenebrius", "Anthostomella manawatua", "Anthostomella okatina", "Anthostomella palmaria", "Anthostomella rhaphidophylli", "Appendixia closterium", "Pseudalophus marginatus", "Pseudalophus brevirostris", "Corallocytostroma oryzae", "Carpelimus postremus", "Carpelimus snookus", "Carpelimus cataractus", "Carpelimus flavomustachus", "Carpelimus holosericus", "Carpelimus magnicollis", "Carpelimus pseudosilvestris", "Carpelimus craterus", "Carpelimus galileensis", "Carpelimus prosorensis", "Carpelimus assingi", "Carpelimus terribilus", "Carpelimus magnus", "Carpelimus rougemonti", "Dracula marsupialis", "Ramularia cercidis", "Ramularia syringae", "Thinodromus ryvkini", "Thinodromus kopetdagus", "Baloghia inophylla", "Baloghia marmorata", "Arthrobotrys longiphorus", "Blachia andamanica", "Blachia denudata", "Blachia jatrophifolia", "Blachia umbellata", "Chonetes speciosus", "Campanula uyemurae", "Pseudalophus scylloides", "Pseudalophus angulatus", "Pseudalophus korolevi", "Pseudalophus muliensis", "Pseudalophus muliensis muliensis", "Pseudalophus muliensis meridionalis", "Cyclocephala rogerpauli", "Cyrtogonone argentea", "Mepleres bifasciatus", "Verbascum chiovendae", "Garcia parviflora", "Austrocallisoma jerryi", "Baliospermum solanifolium", "Dermocoma subtilirugosa", "Liparis vexillifera", "Liparis cordiformis", "Coelodonta thibetana", "Coelodonta tologoijensis", "Fulda gatiana", "Plicochonetes elegans", "Cryptogamocoris cornutus", "Neocazira confragosa", "Dimorphocalyx australiensis", "Thunberga nossibeensis", "Thunberga malagassa", "Dimorphocalyx glabellus", "Thunberga septifer", "Haptocallisoma woolgoolga", "Thunberga greta", "Mycalesis horsfieldi", "Paramathes evdomo", "Mycalesis horsfieldi horsfieldi", "Argyresthia atlanticella", "Argyresthia brumella", "Lethe gianchi", "Chilotherium samium", "Lethe houjiangae", "Croton aequatoris", "Croton arboreus", "Croton argyrodaphne", "Pseudalophus tibetanus", "Croton astianus", "Pseudalophus scylla", "Cophixalus rajampatensis", "Pseudalophus kozlovi", "Cophixalus salawatiensis", "Fontainea australis", "Fontainea oraria", "Fontainea rostrata", "Fontainea venosa", "Myrmecotypus tahyinandu", "Ostodes paniculata var. paniculata", "Pausandra morisiana", "Dermocoma toarcensis", "Cattleya \u00d7 montisaliancae", "Ophialcaea tuberculosa", "Microlepas echinotrichae", "Mycalesis fuscum", "Lethe gelduba", "Lethe gelduba gelduba", "Lethe gelduba nuolaensis", "Carex delacosta", "Dimorphocalyx glabellus var. glabellus", "Dimorphocalyx malayanus", "Synagelides hortonensis", "Dimorphocalyx muricatus", "Synagelides lakmalii", "Synagelides rosalindae", "Synagelides orlandoi", "Dimorphocalyx trichocarpus", "Cattleya \u00d7 macguiganii", "Arthrobotrys microscaphoides", "Dimorphocalyx moluccensis", "Cattleya \u00d7 marciae", "Cattleya \u00d7 mendonciana", "Synagelides jinggangshanensis", "Cattleya \u00d7 mingaensis", "Synagelides tangi", "Synagelides yinae", "Mycalesis janardana", "Pareas menglaensis", "Pareas mengziensis", "Gymnosporia addat", "Prosadenoporus agricola", "Cattleya \u00d7 neoreginae", "Cattleya \u00d7 nesyana", "Cattleya \u00d7 occhioniana", "Cattleya \u00d7 odiloniana", "Cancelloceras elegans", "Cattleya \u00d7 porphyritis", "Croton coriaceus", "Paracallisoma zivianii", "Croton corylifolius", "Dolichosomastis archadia", "Brachycerocoris camelus", "Brachycerocoris afer", "Apatetris acrocola", "Brachycerocoris congoanus", "Drosophila aethostoma", "Croton fishlockii", "Croton floccosus", "Croton gibsonianus", "Croton glandulosus var. glandulosus", "Uloborus albescens", "Cercospora cannae", "Vaejovis islaserrano", "Ophientrema scolopendrica", "Croton cuneatus", "Ophientrema euphylactea", "Myrmecotypus iguazu", "Latouchia vinhiensis", "Latouchia pavlovi", "Croton chilensis", "Cymatoceras elegans", "Siganus canaliculatus", "Cattleya \u00d7 mucugensis", "Cattleya \u00d7 neocalimaniana", "Cattleya \u00d7 neocalimaniorum", "Eupholus bhaskarai", "Croton klotzschianus", "Croton linearis", "Croton lundianus", "Croton scouleri", "Croton scouleri var. scouleri", "Croton sellowii", "Brachycerocoris patrizii", "Sybota abdominalis", "Uloborus ater", "Croton hibiscifolius", "Uloborus aureus", "Uloborus barbipes", "Ceccaisculitoides elegans", "Uloborus biconicus", "Croton insularis", "Cercospora stachyuricola", "Cercospora styracicola", "Uloborus cellarius", "Octonoba longshanensis", "Philoponella cymbiformis", "Philoponella wuyiensis", "Croton tetradenius", "Croton muricatus", "Sympodiomycopsis yantaiensis", "Songthela jianganensis", "Uloborus albofasciatus", "Croton gratissimus var. gratissimus", "Uloborus albolineatus", "Sybota rana", "Sybota atlantica", "Cercospora patriniae", "Croton guatemalensis", "Croton hancei", "Cercospora pegani", "Croton hancei var. hancei", "Sybota compagnuccii", "Turdus xanthorhynchus", "Croton heliotropiifolius", "Sybota osornis", "Sybota mendozae", "Songthela goulouensis", "Songthela huangyang", "Songthela xiangnan", "Croton solanaceus", "Croton stelluliferus", "Croton sylvaticus", "Cymbidium haematodes", "Cattleya \u00d7 raganii", "Amegilla acraensis", "Bloeteocoris inflexigena", "Bloeteocoris meridianus", "Thamnophis atratus atratus", "Thamnophis atratus hydrophilus", "Thamnophis atratus zaxanthus", "Croton mubango", "Croton mutisianus", "Croton persimilis", "Croton pottsii var. pottsii", "Croton pullei", "Paranicsara biserrata", "Croton malabaricus", "Dermocoma wrighti", "Hypsiglena catalinae", "Notasteron carnarvon", "Eolaxoporus hagdorni", "Plestiodon multilineatus", "Notasteron lawlessi", "Ramphotyphlops becki", "Hypsiglena unaocularus", "Opegrapha ramisorediata", "Opegrapha reactiva", "Rugilepas pearsei", "Brachycerocoris dromedarius", "Croton micans", "Pseudalophus rudigeri", "Pseudalophus paratibetanus", "Pseudalophus asyae", "Pseudalophus furcatus", "Pseudalophus boleslavi", "Pseudalophus borisi", "Pseudalophus zherikhini", "Pseudalophus belousovi", "Pseudalophus kabaki", "Pseudalophus kandingianus", "Pseudalophus frontalis", "Croton campestris", "Pseudalophus tuberculatus", "Pseudalophus rufimanus", "Pseudalophus bajtenovi", "Pseudalophus reitteri", "Pseudalophus ballioni", "Croton cascarilloides", "Pseudalophus ballioni ballioni", "Pseudalophus ballioni guttatus", "Pseudalophus fausti", "Pseudalophus przewalskii", "Passalora zanthoxyli", "Pseudalophus suvorovi", "Ophiocanops felli", "Suregada aequorea", "Cattleya \u00d7 rigbyana", "Jatropha campestris", "Songthela wosanensis", "Jatropha macrocarpa", "Jatropha macrophylla", "Bolbocoris obscuricornis", "Jatropha mahafalensis", "Jatropha dhofarica", "Songthela sapana", "Latouchia bachmaensis", "Argiope vietnamensis", "Jatropha dioica var. dioica", "Ctenus saci", "Jatropha ellenbeckii", "Songthela shei", "Fissidens guangdongensis", "Jatropha excisa var. excisa", "Jatropha glandulifera", "Jatropha gossypiifolia var. gossypiifolia", "Jatropha spicata", "Jatropha spinosa", "Jatropha subaequiloba", "Jatropha variegata", "Tetracona multispina", "Jatropha variifolia", "Crioceratites elegans", "Songthela pluma", "Jatropha chamelensis", "Jatropha cinerea", "Songthela pyriformis", "Songthela shuyuan", "Vinathela nenglianggu", "Trichophallus gracilis", "Songthela ciliensis", "Songthela bristowei", "Jatropha malacophylla", "Jatropha mcvaughii", "Songthela xianningensis", "Sinothela luotianensis", "Songthela yunnanensis", "Vinathela abca", "Vinathela cucphuongensis", "Jatropha mollissima", "Stenus leibnizi", "Stenus emeicola", "Stenus janus", "Stenus duhaldei", "Stenus kircheri", "Jatropha podagricai", "Stenus luojishanus", "Stenus voltairei", "Stenus xilinganus", "Monhystera vietnamica", "Stenus habanus", "Jatropha scaposa", "Brevitobrilus larae", "Stenus intersitus", "Trechus acutangulus", "Ophiocanops multispina", "Eolaxoporus binitorulosus", "Cattleya \u00d7 ruschii", "Cattleya \u00d7 sancheziana", "Nacaduba cladara", "Nacaduba glenis", "Neorossia caroli", "Songthela mangshan", "Croton verreauxii", "Croton zeylanicus", "Neorossia leptodons", "Paraceratites elegans", "Croton sonderianus", "Croton lawianus", "Paracroton integrifolius", "Melita choshigawaensis", "Acianthera sudae", "Eolaxoporus imminens", "Lycaena candens", "Cattleya \u00d7 schroederiana", "Cattleya \u00d7 schunkii", "Cattleya \u00d7 sgarbii", "Metschnikowia henanensis", "Metschnikowia baotianmanensis", "Eleganticeras elegans", "Cnidoscolus aconitifolius subsp. aconitifolius", "Manihot fruticulosa", "Ophiochondrus armatus", "Manihot carthagenensis subsp. glaziovii", "Cattleya \u00d7 verelii", "Cattleya \u00d7 victoriacarolinae", "Clinopodium syriacum", "Lycaena candens candens", "Bolbocoris variolosus", "Thamnophis validus isabellae", "Thamnophis validus thamnophisoides", "Thamnophis validus validus", "Barsine arunachalensis", "Thamnophis cyrtopsis ocellatus", "Thamnophis cyrtopsis collaris", "Thamnophis cyrtopsis cyrtopsis", "Barsine ampullalis", "Stenus jizushanus", "Stenus pordenonei", "Stenus baiyushanus", "Stenus jinfoshanus", "Manihot anomala subsp. anomala", "Stenus tripartitus", "Manihot carthagenensis subsp. carthagenensis", "Manihot cecropiifolia", "Manihot crotalariiformis", "Manihot divergens", "Cnidoscolus angustidens subsp. angustidens", "Pimoa cona", "Bolbocoris inaequalis", "Cnidoscolus hamosus", "Pimoa duiba", "Pimoa lemenba", "Cnidoscolus kunthianus", "Pimoa mainling", "Pimoa nyingchi", "Pimoa rongxar", "Pimoa samyai", "Pimoa yadong", "Cnidoscolus souzae", "Chromidina elegans", "Cnidoscolus vitifolius", "Bolbocoris parmatus", "Bolbocoris saileri", "Thelcticopis dahanensis", "Thelcticopis unciformis", "Cheiracanthium daofeng", "Cheiracanthium duanbi", "Cheiracanthium gou", "Cheiracanthium wuquan", "Sinocanthium shuangqiu", "Barsine kirata", "Bolbocoris parvus", "Bolbocoris rufus", "Thamnophis sirtalis lowei", "Thamnophis sirtalis annectens", "Thamnophis sirtalis fitchi", "Thamnophis sirtalis similis", "Thamnophis sirtalis concinnus", "Thamnophis sirtalis parietalis", "Thamnophis sirtalis tetrataenia", "Thamnophis sirtalis semifasciatus", "Thamnophis sirtalis pallidulus", "Thamnophis sirtalis infernalis", "Thamnophis sirtalis dorsalis", "Thamnophis sirtalis pickeringii", "Thamnophis saurita nitae", "Thamnophis saurita septentrionalis", "Chelidonura elegans", "Manihot gracilis", "Manihot gracilis subsp. gracilis", "Manihot longepetiolata", "Manihot orbicularis", "Manihot palmata", "Manihot peltata", "Chantalia conandae", "Manihot pentaphylla subsp. pentaphylla", "Manihot purpureocostata", "Manihot sagittatopartita", "Manihot salicifolia", "Manihot tomentosa", "Manihot tripartita subsp. tripartita", "Namundra griffinae", "Namundra brandberg", "Vindula dejone huyghei", "Namundra kleynjansi", "Namundra leechi", "Eleleis crinita", "Hevea guianensis var. guianensis", "Austrodomus oxoniensis", "Austrodomus scaber", "Austrodomus gamsberg", "Austrodomus zuluensis", "Stenus tricornis", "Beyeria apiculata", "Beyeria lechenaultii", "Vailimia ajmerensis", "Vailimia jharbari", "Beyeria viscosa", "Cattleya \u00d7 zaslawskii", "Gazia samroiyodensis", "Ricinocarpos linearifolius", "Ricinocarpos velutinus", "Thamnophis elegans vagrans", "Thamnophis elegans terrestris", "Thamnophis elegans hueyi", "Thamnophis elegans elegans", "Oenothera acutissima", "Cattleya hatae", "Bertya gummifera", "Bertya opponens", "Bertya recurvata", "Europacantha paciphila", "Cattleya \u00d7 wetmorei", "Pseudophilotes vicrama", "Adinobotrys atropurpureus", "Pseudophilotes barbagiae", "Cattleya \u00d7 wyattiana", "Oedicerina ingolfi", "Ophiochondrus crassispinus", "Epibrachylepas newmani", "Wisteria sinensis var. villosa", "Wisteria sinensis var. sinensis", "Cryptantha marticorenae", "Cryptantha marioricardiana", "Wisteriopsis japonica", "Nanhaia speciosa", "Globularia bisnagarica", "Vailimia longitibia", "Aeromachus matudai", "Ricinodendron heudelotii subsp. heudelotii", "Givotia moluccana", "Erynnis montanus", "Erynnis montanus montanus", "Trigonostemon diplopetalus", "Erynnis montanus neomontanus", "Trigonostemon villosus", "Trigonostemon villosus var. villosus", "Ochlodes siva", "Ochlodes siva siva", "Ochlodes bouddha", "Ochlodes bouddha bouddha", "Euphorbia anacampseros var. anacampseros", "Centaurea kartschiana", "Euphorbia angulata", "Centaurea fabregatii", "Centaurea yemensis", "Dendryphantes alanicus", "Stenus liangi", "Stenus pholcipes", "Stenus oculitogatus", "Stenus tuberifrons", "Persiscape levyi", "Persiscape gideoni", "Hemignathus affinis", "Ochlodes bouddha yuchingkina", "Euphorbia adenochlora", "Aeromachus bandaishanus", "Calyptopsis kadleci", "Calyptopsis merkli", "Calyptopsis lata", "Stenus tricorniger", "Stenus verbiesti", "Stenus jiajinmontis", "Calyptopsis sistanica", "Calyptopsis elbursica", "Calyptopsis monstruosa", "Calyptopsis zarudnyi", "Calyptopsis kermanica", "Calyptopsis clypeata", "Calyptopsis bazmanica", "Calyptopsis emarginata", "Calyptopsis schach", "Calyptopsis rosti", "Calyptopsis theodoridesi", "Calyptopsis gigas", "Calyptopsis harpaloides", "Calyptopsis incerta", "Stenus watanabeianus", "Stenus extumidifrons", "Stenus exstantifrons", "Stenus exstructifrons", "Stenus cameriventris", "Stenus diancangshanus", "Stenus jinfomontium", "Euphorbia armourii", "Euphorbia atoto", "Wisteria frutescens subsp. frutescens", "Euphorbia atrococca", "Polycheria josephensis", "Wisteria frutescens subsp. macrostachya", "Macarorchestia pavesiae", "Globularia fuxeensis", "Globularia incanescens", "Euphorbia australis var. australis", "Globularia spinosa", "Globularia nudicaulis", "Globularia majoricensis", "Euphorbia azorica", "Cylindrella elegans", "Euphorbia balsamifera subsp. balsamifera", "Globularia amygdalifolia", "Globularia arabica", "Geromura teckliformis", "Geromura touertensis", "Ophiochondrus granulatus", "Symmachia atlantica", "Sonora mutabilis", "Loxops wolstenholmei", "Eleleis limpopo", "Eleleis okavango", "Eleleis etosha", "Niphargus luchoffmanni", "Niphargus tonywhitteni", "Eleleis himba", "Eleleis leleupi", "Eleleis haddadi", "Eleleis luderitz", "Eleleis solitaria", "Purcelliana cederbergensis", "Salvia acerifolia", "Salvia adenophora", "Salvia adiantifolia", "Salvia adoxoides", "Purcelliana kamaseb", "Salvia aequidens", "Salvia aequidistans", "Salvia aerea", "Salvia alborosea", "Salvia alamosana", "Salvia alata", "Salvia alexeenkoi", "Salvia albicaulis", "Salvia albiflora", "Salvia ali-askaryi", "Salvia aliciae", "Purcelliana khabus", "Salvia altissima", "Purcelliana problematica", "Salvia alvajaca", "Salvia amethystina", "Salvia amissa", "Salvia anastomosans", "Plutonodomus kungwensis", "Kituba mayombensis", "Kituba langalanga", "Kikongo ruwenzori", "Kikongo rutshuru", "Kikongo buta", "Yoruba ibadanus", "Yoruba toubensis", "Polyommatus aereus", "Polyommatus afghanica", "Polyommatus ahmadi", "Polyommatus atys", "Polyommatus avinovi", "Polyommatus baltazardi", "Polyommatus baytopi", "Polyommatus belovi", "Polyommatus bilucha", "Polyommatus cilicius", "Polyommatus dagmara", "Polyommatus anticarmon", "Polyommatus aloisi", "Polyommatus bollandi", "Polyommatus dama", "Polyommatus deebi", "Polyommatus dizinensis", "Polyommatus drunela", "Austrocallerya australis", "Polyommatus ernesti", "Polyommatus florenciae", "Polyommatus forresti", "Polyommatus glaucias", "Polyommatus feminidoides", "Polyommatus hamadanensis", "Polyommatus hopfferi", "Polyommatus huberti", "Polyommatus iphicarmon", "Polyommatus iphidamon", "Polyommatus iphigenides", "Austrocallerya megasperma", "Polyommatus isauricoides", "Polyommatus karacetinae", "Polyommatus kendevani", "Polyommatus khorasanensis", "Polyommatus larseni", "Polyommatus luna", "Wisteriopsis reticulata", "Polyommatus maraschi", "Polyommatus marcida", "Polyommatus masulensis", "Polyommatus melanius", "Polyommatus menalcas", "Polyommatus merhaba", "Polyommatus mithridates", "Polyommatus muetingi", "Polyommatus musa", "Calyptopsis incerta incerta", "Calyptopsis incerta amaratica", "Calyptopsis amaroides", "Calyptopsis pulchella", "Calyptopsis sulcimargo", "Calyptopsis caucasica", "Stenus chapingshanus", "Stenus chatterjeei", "Stenus qionglaishanus", "Stenus pullivestis", "Stenus montecorvinoi", "Stenus goesi", "Calyptopsis deplanata", "Stenus toshioi", "Euphorbia alluaudii subsp. alluaudii", "Stenus vicinicola", "Stenus interjectus", "Stenus carinulifrons", "Stenus minshanus", "Euphorbia alpina", "Wisteria sinensis var. brevidentata", "Calyptopsis fausti", "Calyptopsis punctiventris", "Iberodes linifolia", "Pseudopodospermum hispanicum", "Crotalus tlaloci", "Stenus conturbator", "Stenus crypticus", "Stenus endodentatus", "Stenus harpaginiventris", "Stenus hauki", "Stenus lubodei", "Stenus luteotaeniatus", "Stenus rugosicollis", "Stenus sakaianus", "Stenus separabilis", "Hemignathus hanapepe", "Stenus bullatifrons", "Stenus rufonitens", "Stenus excretifrons", "Stenus expressifrons", "Meleonoma segregacantha", "Meleonoma fornicalis", "Stenus tuberatifrons", "Stenus exsertifrons", "Ammatho delineatia", "Crotalus molossus molossus", "Crotalus molossus nigrescens", "Crotalus molossus oaxacus", "Stenus extuberatifrons", "Stenus convexiventris", "Euphorbia apurimacensis", "Crotalus estebanensis", "Gorbiscape gorbachevi", "Gorbiscape agelenoides", "Asiascape parthica", "Harmilla hawkeri", "Persilena sengleti", "Oedicerina loerzae", "Oedicerina vaderi", "Cheiracanthium ruandana", "Stenus signatipennis", "Stenus aeneovestitus", "Stenus mada", "Stenus mahabali", "Stenus mahadevi", "Stenus mahasena", "Stenus maruts", "Stenus marutta", "Stenus matanga", "Stenus mena", "Stenus mudgala", "Stenus pathibaranus", "Stenus sherpa", "Crotalus campbelli", "Symmachia uirassu", "Symmachia meyi", "Globularia ascanii", "Mendaxinus complanatus", "Globularia davisiana", "Globularia dumulosa", "Euphorbia bicompacta", "Globularia hedgei", "Mendaxinus dualus", "Mendaxinus felus", "Mendaxinus grabowskyi", "Mendaxinus nondescriptus", "Mendaxinus termitus", "Rana jiulingensis", "Euphorbia biconvexa", "Euphorbia biselegans", "Thyreocephalus alveolatus", "Thyreocephalus litoreus", "Thyreocephalus oculeus", "Eachamia karkar", "Mitomorphus okapaensis", "Mitomorphus abenhao", "Mitomorphus australis", "Mitomorphus baloghi", "Plestiodon egregius", "Plestiodon colimensis", "Plestiodon copei", "Euphorbia sect.", "Euphorbia sect.", "Euphorbia subsect.", "Euphorbia subsect.", "Euphorbia subsect.", "Stenothoe bartholomea", "Stenula pugilla", "Euphorbia bupleuroides", "Euphorbia burmanni", "Cymbidium lowianum", "Globularia linifolia", "Oahutanais makalii", "Agriades ellisi", "Globularia liouvillei", "Agriades errans", "Euphorbia bongensis", "Agriades forsteri", "Agriades artenita", "Agriades orbona", "Agriades pharis", "Aricia bassoni", "Aricia chinensis", "Aricia hyacinthus", "Aricia isaurica", "Aricia montensis", "Globularia meridionalis", "Aricia nicias", "Aricia teberdina", "Aricia torulensis", "Aricia vandarbani", "Globularia nainii", "Cyaniris semiargus amurensis", "Cyaniris semiargus maroccana", "Chrysolina relucens", "Eldoradina sylphis", "Eumedonia kogistana", "Eumedonia persephatta", "Globularia neapolitana", "Icaricia acmon", "Icaricia cotundra", "Icaricia lupini", "Icaricia neurona", "Icaricia saepiolus", "Nabokovia cuzquenha", "Neolysandra coelestina", "Neolysandra corona", "Neolysandra ellisoni", "Neolysandra fatima", "Neolysandra fereiduna", "Pamiria chrysopis", "Pamiria galathea", "Pamiria issa", "Pamiria margo", "Pamiria metallica", "Pamiria omphisa", "Pamiria selma", "Patricius felicis", "Patricius lucifera", "Patricius lucifugus", "Patricius lucina", "Patricius sagona", "Patricius themis", "Patricius younghusbandi", "Sanguinotrema wightii", "Limatium pagodula", "Limatium aureum", "Loxops ochraceus", "Globularia sintenisii", "Agathylla lamellosa", "Euphorbia carniolica", "Euphorbia subsect.", "Euphorbia sect.", "Euphorbia sect.", "Euphorbia sect.", "Euphorbia sect.", "Euphorbia sect.", "Euphorbia sect.", "Euphorbia sect.", "Euphorbia sect.", "Euphorbia sect.", "Euphorbia sect.", "Euphorbia sect.", "Euphorbia subsect.", "Alopia glorifica elegantissima", "Euphorbia subsect.", "Euphorbia sect.", "Euphorbia sect.", "Euphorbia sect.", "Euphorbia sect.", "Stenus alticolens", "Stenus fraudator", "Stenus jiudingmontis", "Stenus zhongheshanus", "Stenus brevidens", "Stenus minmontium", "Euphorbia sect.", "Stenus daxueshanus", "Euphorbia sect.", "Stenus shaluishanus", "Stenus huanglonggouensis", "Euphorbia sect.", "Stenus maojiagouensis", "Stenus zheduoshanus", "Euphorbia subsect.", "Stenus wahuishanus", "Tantilla oaxacae", "Tantilla cascadae", "Tantilla wilcoxi", "Tantilla yaquia", "Stenus lianhuamontis", "Tantilla shawi", "Euphorbia bussei var. kibwezensis", "Euphorbia bussei var. bussei", "Columbinia elegans", "Polyommatus nivescens", "Aspidoscelis inornatus", "Polyommatus nuksani", "Aspidoscelis labialis", "Polyommatus poseidon", "Aspidoscelis martyris", "Dienia shuicae", "Polyommatus poseidonides", "Polyommatus pseuderos", "Polyommatus rjabovianus", "Polyommatus sennanensis", "Polyommatus sertavulensis", "Polyommatus sorkhensis", "Polyommatus stempfferi", "Polyommatus stigmatifera", "Polyommatus tankeri", "Polyommatus tenhageni", "Polyommatus theresiae", "Ophiochondrus punctatus", "Polyommatus vaspurakani", "Polyommatus wiskotti", "Polyommatus zapvadi", "Polyommatus barmifiruze", "Polyommatus biton", "Polyommatus elena", "Polyommatus evansi", "Polyommatus forsteri", "Polyommatus igisizilim", "Ophiochondrus semirotundus", "Polyommatus khoshyeilaqi", "Polyommatus nadira", "Polyommatus pseudoxerxes", "Ophiochondrus stelliger", "Crossoglossa blephariglottis", "Agkistrodon taylori", "Agkistrodon howardgloydi", "Agkistrodon conanti", "Agkistrodon russeolus", "Parabrachylepas ifoensis", "Salvadora grahamiae", "Salvadora bairdi", "Salvadora deserticola", "Salvadora hexalepis", "Salvadora lemniscata", "Salvadora intermedia", "Salvadora mexicana", "Euphorbia ceroderma", "Euphorbia chamaesyce", "Euphorbia characias subsp. characias", "Viola langsdorffii subsp. sachalinensis", "Inexpectacantha ritae", "Rhinocheilus etheridgei", "Rhinocheilus antonii", "Rena iversoni", "Geodia thomsonii", "Ninia celata", "Ninia espinali", "Ninia franciscoi", "Tantilla coronata", "Tantilla gracilis", "Jujiroa ana", "Tantilla coronadoi", "Euphorbia celastroides", "Xylocopa dejeanii", "Xylocopa californica", "Inexpectacantha weisi", "Xylocopa cyanea", "Xylocopa pallidiscopa", "Xylocopa tenuata", "Xylocopa abbreviata", "Metopa rubrovittata", "Stenothoe miersi", "Calogoniodiscus elegans", "Geodia australis", "Euphorbia clementei", "Euphorbia clementei subsp. clementei", "Sisyra nigra", "Tipula maxima", "Globularia orientalis", "Sparganium gramineum", "Lathyrus japonicus subsp. maritimus", "Euphorbia punctata", "Paraleptophlebia submarginata", "Potamanthus luteus", "Siphlonurus lacustris", "Nemoura cinerea", "Isoperla grammatica", "Euphorbia corallioides", "Crocus asymmetricus", "Sparganium erectum subsp. microcarpum", "Ophiohamus nanus", "Scapania undulata", "Chiloscyphus polyanthus", "Chara braunii", "Nitella flexilis", "Euphorbia subsect.", "Asteristion alboannuliforme", "Euphorbia sect.", "Tingotingo porotiti", "Stenus absconsor", "Euphorbia cumulicola", "Stenus abarcens", "Tingotingo pouaru", "Tingotingo tokorera", "Euphorbia cuneata subsp. cuneata", "Tingotingo aho", "Asteristion alboolivaceum", "Nitella mucronata", "Nitellopsis obtusa", "Chiloscyphus pallescens", "Amblystegium riparium", "Euphorbia deccanensis", "Euphorbia deccanensis var. deccanensis", "Culicoides obsoletus", "Sialis lutaria", "Sialis fuliginosa", "Chrysops caecutiens", "Chrysops relictus", "Centroptilum luteolum", "Silvius gigantulus", "Cloeon dipterum", "Procloeon bifidum", "Caenis horaria", "Brachycercus harrisella", "Ephemera vulgata", "Ephemera lineata", "Eremias kakari", "Serratella ignita", "Perlodes microcephalus", "Coenocharopa elegans", "Perlodes dispar", "Stenula solsbergi", "Ophiochondrus variospinus", "Megaphragma mymaripenne", "Inexpectacantha acrobatica", "Taeniopteryx nebulosa", "Inexpectacantha lunaris", "Limnoporus rufoscutellatus", "Mesovelia furcata", "Euphorbia cotinifolia subsp. cotinifolia", "Euphorbia crenulata", "Stenophylax permistus", "Euphorbia subsect.", "Euphorbia sect.", "Potamophylax latipennis", "Chaoborus crystallinus", "Euphorbia sect.", "Chironomus plumosus", "Euphorbia sect.", "Euphorbia sect.", "Euphorbia sect.", "Euphorbia sect.", "Acentria ephemerella", "Euphorbia sect.", "Parapoynx stratiotata", "Cataclysta lemnata", "Euphorbia subsect.", "Cnemaspis avasabinae", "Anabolia nervosa", "Glyphotaelius pellucidus", "Nemotaulius punctatolineatus", "Sparganium glomeratum", "Heptagenia sulphurea", "Leptophlebia marginata", "Euphorbia commutata", "Leptophlebia vespertina", "Habrophlebia fusca", "Euphorbia concanensis", "Stenus gonggalingensis", "Stenus gaoershishanus", "Stenus carinipectus", "Stenus scabrivestis", "Euphorbia convolvuloides", "Stenus aeneotogatus", "Plestiodon inexpectatus", "Plestiodon ochoterenae", "Plestiodon indubitus", "Plestiodon parviauriculatus", "Plestiodon parvulus", "Plestiodon tamdaoensis", "Plestiodon gilberti", "Plestiodon lagunensis", "Plestiodon sumichrasti", "Plestiodon coreensis", "Mitomorphus cribriceps", "Plestiodon liui", "Mitomorphus cupreolus", "Mitomorphus fauveli", "Mitomorphus indicus", "Mitomorphus nigroaeneus", "Mitomorphus punctulatus", "Euphorbia bisellenbeckii", "Euphorbia biumbellata", "Eumeces blythianus", "Eumeces cholistanensis", "Eumeces indothalensis", "Geodia pergamentacea", "Stenus farkacianus", "Stenus altivivens", "Geodia placenta", "Euphorbia bivonae", "Euphorbia bivonae subsp. bivonae", "Euphorbia blodgettii", "Mitomorphus sattelbergenis", "Mitomorphus shibatai", "Mitomorphus wilhelmensis", "Euphorbia bombensis", "Tantilla oolitica", "Tantilla relicta", "Tantilla hobartsmithi", "Stenus libanicus", "Tantilla striata", "Tantilla rubra", "Tantilla calamarina", "Tantilla capistrata", "Tantilla ruficeps", "Tantilla cucullata", "Tantilla deppei", "Tantilla cuniculator", "Tantilla flavilineata", "Tantilla briggsi", "Tantilla tritaeniata", "Tantilla triseriata", "Tantilla slavensi", "Tantilla moesta", "Tantilla alticola", "Tantilla nigra", "Tantilla schistosa", "Tantilla taeniata", "Tantilla psittaca", "Tantilla tayrae", "Tantilla petersi", "Tantilla miyatai", "Tantilla hendersoni", "Tantilla albiceps", "Tantilla trilineata", "Tantilla brevicauda", "Tantilla semicincta", "Tantilla olympia", "Tantilla berguidoi", "Tantilla robusta", "Euthystira brachyptera", "Stenobothrus lineatus", "Bryodemella tuberculata", "Euphorbia esula subsp. esula", "Euphorbia racemosa", "Aquarius najas", "Euphorbia cristata", "Plea minutissima", "Nebrioporus depressus", "Euphorbia ser.", "Euphorbia ser.", "Euphorbia ser.", "Euphorbia ser.", "Abantiades kayi", "Abantiades zonatriticum", "Abantiades hutchinsoni", "Abantiades centralia", "Ammatho tairadiata", "Ammatho trangchim", "Oulimnius tuberculatus", "Ammatho sublucana", "Orectochilus villosus", "Phryganea grandis", "Phryganea bipunctata", "Miltochrista konta", "Miltochrista adelfika", "Miltochrista stenovalva", "Miltochrista lavides", "Orthonychia elegans", "Agrypnia pagetana", "Hanshessia trochitophila", "Ecnomus tenellus", "Limnephilus flavicornis", "Helobdella stagnalis", "Erpobdella octoculata", "Potamothrix hammoniensis", "Tubifex tubifex", "Glossiphonia complanata", "Hemiclepsis marginata", "Valvata piscinalis", "Bithynia leachii", "Anisus vorticulus", "Gyraulus albus", "Unio tumidus", "Anodonta cygnea", "Sphaerium corneum", "Gammarus pulex", "Euphorbia echinulata", "Gmelinoides fasciatus", "Corophium volutator", "Euphorbia commersonii", "Onychogomphus uncatus", "Asteristion leucophthalmum", "Euphorbia ephedroides subsp. ephedroides", "Euphorbia ephedromorpha", "Libellula fulva", "Euphorbia fragifera", "Euphorbia erinacea", "Costentalina elegans", "Myrmeleotettix maculatus", "Felimare picta", "Euphorbia dimorphocaulon", "Dreissena polymorpha", "Pisidium amnicum", "Myopias conicara", "Cylindrolobus compressus", "Anarchaea robusta", "Euphorbia denisii", "Dendrocoelum lacteum", "Euphorbia denticulata", "Cura foremanii", "Flavarchaea anzac", "Flavarchaea badja", "Ophiohamus georgemartini", "Flavarchaea barmah", "Flavarchaea lofty", "Flavarchaea stirlingensis", "Flavarchaea hickmani", "Flavarchaea lulu", "Otomesostoma auditivum", "Stenus oculivestitus", "Stenus oculativestis", "Stenus pandora", "Stenus occultus", "Microstomum lineare", "Diphyllobothrium latum", "Stenus liangtangi", "Planaria torva", "Stylodrilus heringianus", "Euphorbia eichleri", "Conophis morai", "Sibon linearis", "Abraximorpha davidii", "Asteristion cupulare", "Kiwa tyleri", "Viviparus viviparus", "Gyraulus laevis", "Physa fontinalis", "Asteristion erumpens", "Unio pictorum", "Unio crassus", "Ceriagrion tenellum", "Gomphus pulchellus", "Aeridostachya robusta", "Euphorbia exigua subsp. exigua", "Kakothrips pisivorus", "Menopon gallinae", "Hylesinus varius", "Coenagrion johanssoni", "Euphorbia falcata subsp. falcata", "Chiloscyllium indicum", "Oeciacus hirundinis", "Lygus rugulipennis", "Lygocoris pabulinus", "Hydrometra gracilenta", "Aphelocheirus aestivalis", "Tibicen plebejus", "Aphrophora alni", "Pemphigus spyrothecae", "Parthenolecanium corni", "Limothrips cerealium", "Stenus vijaya", "Stenus nepalensis", "Hugonia sect.", "Hugonia sect.", "Paraceto spiralis", "Paraceto orientalis", "Tetrix undulata", "Conocephalus dorsalis", "Tettigonia cantans", "Metrioptera brachyptera", "Roeseliana roeselii", "Pholidoptera griseoaptera", "Saga pedo", "Tachycines asynamorus", "Ectobius sylvestris", "Aradus cinnamomeus", "Euspira elegans", "Geocoris grylloides", "Phymata crassipes", "Piesma quadratum", "Crocus harpkeae", "Stenus nigritus", "Princaxelia jamiesoni", "Stenus pinguevestis", "Stenus haraldi", "Stenus nodulicollis", "Stenus perabsurdus", "Stenus pilipenis", "Smithophis atemporalis", "Smithophis bicolor", "Smithophis linearis", "Nanarchaea binnaburra", "Nanarchaea bryophila", "Asteristion australianum", "Stenus wangchuki", "Stenus yangdonae", "Stenus grandiosus", "Brachyelytrum japonicum", "Gordius aquaticus", "Prostoma puteale", "Stenus pervexabilis", "Caloria elegans", "Keratella cochlearis", "Cristatella mucedo", "Kellicottia longispina", "Euphorbia depauperata", "Trichocerca cylindrica", "Hediste diversicolor", "Euphorbia depauperata var. depauperata", "Whakamoke orongorongo", "Euphorbia degeneri", "Whakamoke tarakina", "Whakamoke guacamole", "Hydra circumcincta", "Whakamoke hunahuna", "Hydra viridissima", "Stenus abditivus", "Whakamoke paoka", "Hydra oligactis", "Whakamoke heru", "Stenus abductus", "Whakamoke rakiura", "Stenus abbreviator", "Bothromesostoma essenii", "Stenus abditus", "Stenus abactor", "Bothrioplana semperi", "Stenus abjugans", "Stenus absimilis", "Stenus abnormis", "Stenus oculipennis", "Mesostoma tetragonum", "Anarchaea corticola", "Anarchaea falcata", "Stenus maculipennis", "Euphorbia denisiana var. ankarensis", "Anarchaea raveni", "Fasciola punctata", "Clavariadelphus pistillaris", "Euphorbia fischeriana", "Pycnoporus cinnabarinus", "Euphorbia flavicoma", "Euphorbia flavicoma subsp. flavicoma", "Onygena corvina", "Morchella elata", "Limnaecia phragmitella", "Hypercallia citrinalis", "Hypatopa binotella", "Telechrysis tripuncta", "Ophiolebes mortenseni", "Orophia ferrugella", "Pleurota bicostella", "Carcina quercana", "Brachylepas guascoi", "Leucoagaricus leucothites", "Cortinarius caperatus", "Euphorbia famatamboay subsp. famatamboay", "Melanophyllum haematospermum", "Mycena galericulata", "Strobilurus tenacellus", "Clitocybe ditopa", "Tricholoma album", "Lycoperdon pratense", "Bovista nigrescens", "Geastrum triplex", "Euphorbia arenaria", "Barbitistes constrictus", "Bicolorana bicolor", "Phaneroptera falcata", "Tetrix tenuicornis", "Bohemanella frigida", "Stenobothrus stigmaticus", "Chorthippus pullus", "Chorthippus mollis", "Chorthippus dorsatus", "Pseudochorthippus montanus", "Pseudochorthippus parallelus", "Pinalia moluccana", "Cosmopterix lienigiella", "Trechispora mollusca", "Thelephora palmata", "Hymenochaete rubiginosa", "Hydnoporia tabacina", "Schizopora paradoxa", "Xylodon flaviporus", "Hydnellum aurantiacum", "Hydnellum ferrugineum", "Xanthoporia radiata", "Inocutis rheades", "Phellinus conchatus", "Phellinus pomaceus", "Fomitiporia robusta", "Fuscoporia ferruginosa", "Trametes hirsuta", "Euphorbia boiteaui var. spirosticha", "Trametes gibbosa", "Trametes suaveolens", "Asterophora parasitica", "Rigidoporus sanguinolentus", "Physisporinus vitreus", "Orussus abietinus", "Cephus pygmeus", "Cephus spinipes", "Arge ustulata", "Cimbex femoratus", "Trichiosoma tibiale", "Tenthredo pini", "Rhogogaster viridis", "Nematus ribesii", "Diplolepis rosae", "Euphorbia falcata subsp. macrostegia", "Euphorbia falcata var. galilaea", "Helicobolomyces cinnabarinula", "Euphorbia gasparrinii", "Andricus fecundatrix", "Euphorbia glareosa", "Polyporus varius", "Ishidacantha fuersichi", "Ishidacantha hirokoae", "Bovista plumbea", "Xylocopa mirabilis", "Rhodocollybia butyracea", "Hygrophorus eburneus", "Bovicola bovis", "Xylocopa sonorina", "Linognathus vituli", "Haematopinus suis", "Hystrichopsylla talpae", "Tipula paludosa", "Ishidacantha trispinosa", "Culiseta annulata", "Aedes punctor", "Anopheles plumbeus", "Euphorbia exigua subsp. merinoi", "Bibio marci", "Xylocopa bombylans", "Xylocopa aeratus", "Tipula hortulana", "Rhagio scolopaceus", "Tabanus autumnalis", "Biorhiza pallida", "Cotesia glomerata", "Methocha ichneumonides", "Mutilla europaea", "Euphorbia glauca", "Philanthus triangulum", "Euphorbia famatamboay subsp. itampolensis", "Ammophila sabulosa", "Attacobius lavape", "Bembix rostrata", "Dolichovespula saxonica", "Dolichovespula norwegica", "Dasypoda altercator", "Attacobius attarum", "Eucera longicornis", "Nicrophorus humator", "Ampedus cinnaberinus", "Attacobius nigripes", "Austrophaea zebra", "Cheilotomona elegans", "Haematopota pluvialis", "Asilus crabroniformis", "Euphorbia gaditana", "Laphria flava", "Euleia heraclei", "Rhagoletis cerasi", "Psila hennigi", "Oscinella frit", "Xylocopa varipuncta", "Hippobosca equina", "Crataerina hirundinis", "Crataerina pallida", "Tachina grossa", "Cynomya mortuorum", "Gasterophilus intestinalis", "Allora doleschallii", "Allora doleschallii cristobalensis", "Pantherophis alleghaniensis", "Allora doleschallii doleschallii", "Pantherophis ramspotti", "Pamphilus sylvaticus", "Xyela julii", "Xiphydria prolongata", "Cerithiopsida elegans", "Xiphydria camelus", "Urocerus gigas", "Euphorbia florida", "Otidea leporina", "Apalis fuscigularis", "Clithon elegans", "Euphorbia fontqueriana", "Attacobius lauricae", "Attacobius carimbo", "Attacobius thalitae", "Attacobius demiguise", "Attacobius tremembe", "Attacobius luederwaldti", "Attacobius verhaaghi", "Taphrina betulina", "Taphrina pruni", "Verpa bohemica", "Gyromitra gigas", "Sarcosphaera coronaria", "Euphorbia godana", "Euphorbia gossypina subsp. gossypina", "Cerithium elegans", "Micropholcomma bryophilum", "Bittium lacteum", "Athous haemorrhoidalis", "Micropholcomma caeligenum", "Malthinus flaveolus", "Pyrochroa serraticornis", "Donacia vulgaris", "Chrysolina cerealis", "Chrysolina geminata", "Gastrophysa viridula", "Galerucella lineola", "Luperus longicornis", "Phyllotreta nigripes", "Phyllobius pomaceus", "Sowerbyella radiculata", "Caloscypha fulgens", "Pseudoplectania nigrella", "Tuber aestivum", "Microglossum viride", "Spathularia flavida", "Dumontinia tuberosa", "Bulgaria inquinans", "Colpoma quercinum", "Hypocreopsis lichenoides", "Neonectria fuckeliana", "Jackrogersella cohaerens", "Chondrostereum purpureum", "Xylobolus frustulatus", "Phellodon niger", "Auriscalpium vulgare", "Hericium coralloides", "Ceriporia reticulata", "Resupinatus poriaeformis", "Abortiporus biennis", "Polyporus lipsiensis", "Clavulinopsis corniculata", "Cantharellula umbonata", "Hygrophoropsis aurantiaca", "Attacobius uiriri", "Attacobius blakei", "Attacobius tucurui", "Attacobius lamellatus", "Attacobius carranca", "Attacobius kitae", "Helvella atra", "Helvella ephippium", "Helvella macropus", "Tremella encephala", "Phaeotremella foliacea", "Stereum hirsutum", "Stereum rugosum", "Stereum subtomentosum", "Micropholcomma longissimum", "Micropholcomma mirum", "Micropholcomma parmatum", "Micropholcomma turbans", "Xylocopa fabriciana", "Puan chechehet", "Puan nair", "Xylocopa friesiana", "Euphorbia graminea var. graminea", "Allora doleschallii albertisi", "Tricellina gertschi", "Stenus ernstjuengeri", "Stenus keralaensis", "Liparus coronatus", "Stenus nitidulus", "Stenus incorrectus", "Curculio villosus", "Pityogenes bidentatus", "Tomicus minor", "Heterocerus flexuosus", "Sprattus sprattus balticus", "Salmo trutta trutta", "Lumpenus lampretaeformis", "Ophiolebes asaphes", "Euphorbia griseola subsp. griseola", "Hyperoplus lanceolatus", "Taurulus bubalis", "Xylocopa micans", "Ophiolebes bacata", "Anser fabalis fabalis", "Anser serrirostris rossicus", "Euphorbia hadramautica", "Galium japonicum", "Broussonetia integrifolia", "Carpelimus troglodytes troglodytes", "Carpelimus troglodytes tauricus", "Coprophilus pseudopiceus", "Agelas repens", "Agelas sventres", "Stenus setiventris", "Anotylus khachikovi", "Stenus subsimilis", "Stenus vegetus", "Euphorbia heterochroma", "Euphorbia heterochroma subsp. heterochroma", "Euphorbia heterodoxa", "Euphorbia heterophylla var. heterophylla", "Agelas tubulata", "Agelas sansibarica", "Agelas wiedenmayeri", "Agelas schmidtii", "Coprophilus qinlingensis", "Euphorbia hedyotoides", "Coprophilus formosanus", "Euphorbia helioscopia subsp. helioscopia", "Stenus lingulatipenis", "Bulbophyllum woelfliae", "Stenus pendleburyi", "Euphorbia heptagona", "Bulbophyllum smitinandii", "Stenus quatei", "Euphorbia heteropodum", "Globularia stygia", "Euphorbia heteropodum var. heteropodum", "Euphorbia heterospina", "Eidothea zoexylocarya", "Euphorbia hierosolymitana var. hierosolymitana", "Apodasmia brownii", "Schoenocaulon dubium", "Syzygium caryophyllatum", "Elenchus koebelei", "Chlorothrix kornmannii", "Euphorbia helioscopia subsp. hiemalis", "Ophiolebes brachygnatha", "Arotis derasa tuba", "Elymnias agondas", "Agelas rudis", "Agelas novaecaledoniae", "Agelas robusta", "Agelas semiglaber", "Xylocopa sicheli", "Craspedopoma elegans", "Euphorbia guentheri", "Brachylepas thieli", "Cyclophorus elegans", "Phalacrocorax carbo carbo", "Accipiter gentilis buteoides", "Buteo buteo buteo", "Buteo buteo vulpinus", "Charadrius hiaticula hiaticula", "Charadrius hiaticula tundrae", "Calidris alpina alpina", "Calidris alpina schinzii", "Larus canus canus", "Larus canus heinei", "Cecropis daurica rufula", "Anthus hodgsoni yunnanensis", "Anthus petrosus littoralis", "Saxicola maurus variegatus", "Phylloscopus trochiloides viridanus", "Phylloscopus collybita abietinus", "Phylloscopus collybita tristis", "Ficedula hypoleuca hypoleuca", "Aegithalos caudatus caudatus", "Aegithalos caudatus europaeus", "Sitta europaea asiatica", "Nucifraga caryocatactes caryocatactes", "Allora doleschallii gazaka", "Nucifraga caryocatactes macrorhynchos", "Allora doleschallii viridicans", "Corvus corone corone", "Allora doleschallii luna", "Acanthis flammea flammea", "Allora doleschallii solon", "Emberiza citrinella citrinella", "Emberiza citrinella erythrogenys", "Allora major", "Allora major major", "Allora major lectra", "Allora major talesia", "Allora major zita", "Brachylepas hantonensis", "Xylocopa micheneri", "Lichenothelia umbrophila", "Euphorbia iharanae", "Euphorbia illirica", "Euphorbia hofstaetteri", "Euphorbia horombensis", "Euphorbia horwoodii", "Euphorbia humistrata", "Manda tanaitica", "Euphorbia cuspidata", "Lichenothelia arida", "Euphorbia \u00d7 inconstantia", "Euphorbia inculta", "Euphorbia inermis", "Stenus flexuosus", "Stenus inductorius", "Stenus kurseonginus", "Stenus loebli", "Stenus pictus", "Orumcekia gemata", "Euphorbia kamerunica", "Ceratrichia flava", "Euphorbia kamponii", "Euphorbia keithii", "Euphorbia kirkii", "Euphorbia knobelii", "Orumcekia sigillata", "Lichenothelia ilamensis", "Lichenothelia iranica", "Euphorbia lacei", "Constantia elegans", "Euphorbia lactiflua", "Euphorbia laikipiensis", "Robusticoelotes subpichoni", "Euphorbia larica", "Ageleradix sichuanensis", "Euphorbia lateriflora", "Ageleradix schwendingeri", "Ageleradix sternseptum", "Ageleradix zhishengi", "Ageleradix otiforma", "Ageleradix cymbiforma", "Euphorbia latifolia", "Euphorbia leontopoda", "Euphorbia leucophylla", "Allagelena bifida", "Euphorbia lignosa", "Euphorbia limpopoana", "Euphorbia lomelii", "Euphorbia longetuberculosa", "Otiorhynchus echinopterus", "Otiorhynchus rhizophilus", "Otiorhynchus agilis", "Otiorhynchus brevipilosus", "Otiorhynchus implicatus", "Otiorhynchus sculptipterus", "Otiorhynchus flavosetosus", "Otiorhynchus nigrosetosus", "Otiorhynchus lacunosus", "Otiorhynchus adopertus", "Otiorhynchus corpusculus", "Tonsilla jinggangensis", "Tonsilla subyanlingensis", "Tonsilla defossa", "Tonsilla distalis", "Ankola fan", "Tonsilla mopanensis", "Euphorbia invenusta", "Euphorbia invenusta var. angusta", "Tonsilla makros", "Euphorbia invenusta var. invenusta", "Tonsilla yanlingensis", "Cochlostoma elegans", "Euphorbia knuthii", "Euphorbia kondoi", "Euphorbia labatii", "Ceratrichia flava flava", "Ceratrichia flava fernanda", "Juracantha hottingeri", "Ceratrichia fako", "Ceratrichia hollandi", "Ceratrichia lewisi", "Xylocopa pubescens", "Xylocopa caffra", "Xylocopa gabonica", "Aurivittia aurivittata vimana", "Celaenorrhinus anchialus", "Celaenorrhinus similis", "Nolana dianae", "Nolana onoana", "Amauropsis islandica", "Myzomela irianawidodoae", "Pseudopaludicola hyleaustralis", "Aurivittia aurivittata aurivittata", "Euphorbia matabelensis", "Euphorbia melitensis", "Aurivittia aurivittata mahaca", "Pseudopaludicola coracoralinae", "Pseudopaludicola matuta", "Pseudopaludicola jazmynmcdonaldae", "Ochetoctena tomasi", "Aurivittia aurivittata simalurensis", "Ophiolebes comatulina", "Pseudopaludicola restinga", "Lichenostigma iranicum", "Tegecoelotes chikunii", "Tegecoelotes hibaensis", "Lichenostigma verrucosum", "Tegecoelotes dysodentatus", "Celestus fowleri", "Celestus haetianus", "Celestus darlingtoni", "Celestus duquesneyi", "Celestus curtissi", "Diploglossus montanus", "Tegecoelotes echigonis", "Celestus microblepharis", "Tegecoelotes otomo", "Celestus orobius", "Celestus occiduus", "Celestus hylaius", "Celestus barbouri", "Celestus crusculus", "Tegecoelotes yogoensis", "Celestus badius", "Celestus cyanochloris", "Celestus agasepsoides", "Tegecoelotes tateyamaensis", "Celestus macrotus", "Tegecoelotes religiosus", "Celestus hewardi", "Celestus marcanoi", "Celestus sepsoides", "Celestus rozellae", "Judiceratops tigris", "Coloborhynchus fluviferox", "Euphorbia maritae", "Stenus pulchrior", "Stenus pulchrivestis", "Stenus pustulatus", "Stenus puthzianus", "Stenus scheerpeltzianus", "Ceratrichia nothus", "Ceratrichis nothus nothus", "Heterophrynus origamii", "Euphorbia marsabitensis", "Heterophrynus awa", "Utivarachna subfabaria", "Utivarachna tangi", "Diploglossus atitlanensis", "Tegecoelotes kumadai", "Coelotes isensis", "Diploglossus garridoi", "Diploglossus bivittatus", "Diploglossus delasagra", "Diploglossus lessonae", "Diploglossus monotropis", "Diploglossus montisilvestris", "Diploglossus nigropunctatus", "Diploglossus scansorius", "Allagelena scopulata", "Xylocopa myops", "Euphorbia lugardiae", "Coelotes adnexus", "Coelotes biprocessis", "Euphorbia lukoseana", "Coelotes chishuiensis", "Clandestinotrema carbonera", "Coelotes fanjingensis", "Euphorbia lydenburgensis", "Coelotes fujian", "Krohcoma mira", "Krohcoma ampla", "Ceratrichia brunnea ialemia", "Charadrius hiaticula psammodromus", "Iwogumoa dalianensis", "Iwogumoa filamentacea", "Tegecoelotes eurydentatus", "Tamgrinia palpator", "Pomatias elegans", "Tamgrinia rectangularis", "Tamgrinia semiserrata", "Euphorbia mangelsdorffii", "Euphorbia margalidiana", "Coelotes improprius", "Euphorbia mafingensis", "Coelotes indentatus", "Euphorbia magnicapsula", "Euphorbia magnicapsula var. magnicapsula", "Coelotes ledongensis", "Coelotes poricus", "Euphorbia magnicapsula var. lacertosa", "Coelotes sinuolatus", "Coelotes tenutubilaris", "Coelotes undulatus", "Euphorbia magnifica", "Euphorbia mahabobokensis", "Euphorbia mainty", "Euphorbia major", "Euphorbia makallensis", "Ceratrichia brunnea", "Ceratrichia brunnea brunnea", "Euphorbia malevola", "Lissodesmus nivalis", "Agnoea digitiella", "Vietnamodes unicispina", "Vietnamodes adelinae", "Vietnamodes dogueti", "Stenus schuhi", "Stenus succinifer", "Stenus voluptabilis", "Stenus angustipennis", "Stenus katangladmontis", "Stenus pangantihoni", "Stenus ceramicola", "Stenus hainanicola", "Stenus siberutensis", "Stenus infuscus", "Stenus tronqueti", "Stenus barbarus", "Stenus cephalo", "Stenus dentellus", "Arbudoides chuongi", "Heteropan analis", "Pseudopaludicola florencei", "Euphorbia misera", "Zithina littoralis", "Zithina pallidalis", "Euphorbia missurica", "Galium gracilens", "Stenus arisanus", "Stenus contaminatus", "Stenus coruscus", "Stenus gardneri", "Celaenorrhinus asmara", "Celaenorrhinus asmara asmara", "Stenus gracilescens", "Stenus hirtheianus", "Euphorbia mitriformis", "Stenus martensianus", "Euphorbia mlanjeana", "Euphorbia monteiroi", "Euphorbia monteiroi subsp. monteiroi", "Conglomeratusclera coerulea", "Streptocarpus sect.", "Tecticornia enodis", "Streptocarpus sect.", "Ctenoptilum vasava", "Antirrhinum tortuosum", "Conglomeratusclera robusta", "Chaetoceros elegans", "Euphorbia nicaeensis subsp. nicaeensis", "Lophosema reducta", "Aurivittia aurivittata", "Stenus electrinotatus", "Stenus innobilitatus", "Stenus kurbatovi", "Stenus masurianus", "Stenus meyi", "Stenus pugnax", "Stenus tubiventris", "Stenus coruscatus", "Stenus diversiventris", "Stenus immsi", "Stenus iniquus", "Stenus mongkuti", "Stenus kovaci", "Stenus subguttalis", "Stenus subiniquus", "Stenus variipennis", "Aurivittia vietnamicus", "Hypocometa maritesae", "Dystypoptila pilosaria", "Malmographina plicosa", "Tympanota maganda", "Tympanota lola", "Tympanota splendens", "Sauris maaksaya", "Aurivittia cameroni", "Euphorbia memoralis", "Euphorbia mercurialina", "Amanita hemibapha", "Euphorbia meridionalis", "Stenus bicolon posticus", "Stenus biplagiatus", "Euphorbia micromera", "Stenus brachati", "Stenus brancuccii", "Stenus chakratianus", "Stenus commaculatus", "Stenus diversus", "Stenus lopchuensis", "Stenus luteonotatus", "Stenus obliquemaculatus", "Stenus patuhamontis", "Stenus peraffinis", "Stenus thoracicus", "Stenus stigmaticus", "Stenus aeneopullus", "Stenus angustitarsis", "Euphorbia millotii", "Maculaia danhi", "Euphorbia minuta", "Euphorbia ocellata subsp. rattanii", "Toulgoetigia schmeltzi", "Ctenoptilum vasava chinensis", "Astrochapsa graphidioides", "Streptocarpus sect.", "Euphorbia officinarum subsp. officinarum", "Viuria herophile", "Colias tyche", "Colias tyche antonkozlovi", "Cyana pseudojavanica", "Cocconeis elegans", "Theretra makhrovi", "Euphorbia parciramulosa", "Alucita tropeki", "Alucita safi", "Parategastes pholpunthini", "Stenus opilionipes", "Stenus pilicornis", "Stenus emancipatus", "Stenus svenhedini", "Amphinomia sulphurea", "Acanthostylotella cornuta", "Celaenorrhinus asmara palajava", "Euphorbia nana", "Stenaesthetus sunioides", "Stenaesthetus scaber", "Stenaesthetus scabratus", "Stenaesthetus conflictatus", "Stenaesthetus perroti", "Euphorbia natalensis", "Stenaesthetus deharvengi", "Stenaesthetus odiosus", "Celaenorrhinus astrigera", "Stenaesthetus naso", "Stenaesthetus nitidicollis", "Calyciphora korbi", "Aethalopteryx spurrelli", "Euphorbia parviceps", "Aethalopteryx schoorli", "Teuloma bajawica", "Euphorbia parvula", "Texacephale langstoni", "Euphorbia patula", "Euphorbia patula subsp. patula", "Euphorbia pekinensis subsp. pekinensis", "Amazonotrema nigrum", "Perula asopialis", "Euphorbia nivulia", "Perula apicalis", "Euphorbia norfolkiana", "Perula ambahonalis", "Perula ankaratralis", "Perula ankasokalis", "Euphorbia notoptera", "Euphorbia nyassae", "Euphorbia oaxacana", "Titanoceratops ouranos", "Hesperonychus elizabethae", "Euphorbia oblongata var. oblongata", "Polyphylla ragusae aliquoi", "Ctenoptilum vasava vasava", "Ctenoptilum multiguttata", "Euphorbia ocellata subsp. ocellata", "Euphorbia neoarborescens", "Stenaesthetus frontalis", "Stenaesthetus quadrisulcatus", "Euphorbia neobosseri", "Euphorbia neococcinea", "Diloxia belohalis", "Euphorbia neocrispa", "Streptocarpus sect.", "Diloxia rosalinde", "Antirrhinum microphyllum", "Euphorbia neohumbertii", "Antirrhinum pertegasii", "Euphorbia neoparviflora", "Euphorbia neopedunculata", "Antirrhinum pulverulentum", "Euphorbia neoreflexa", "Euphorbia neorubella", "Streptocarpus goetzeanus", "Euphorbia neostolonifera", "Antirrhinum controversum", "Euphorbia pentagona", "Antirrhinum rothmaleri", "Streptocarpus inconspicuus", "Euphorbia nevadensis", "Euphorbia alluaudii subsp. oncoclada", "Viuria lista", "Stenaesthetus hastipenis", "Euphorbia opuntioides", "Stenaesthetus nitidifrons", "Euphorbia origanoides", "Euphorbia orthoclada", "Benthomodiolus lignocola", "Euphorbia pachypodioides", "Benthomodiolus erebus", "Euphorbia paniculata", "Euphorbia paniculata subsp. paniculata", "Benthomodiolus abyssicola", "Benthomodiolus geikotsucola", "Streptocarpus lineatus", "Streptocarpus sect.", "Streptocarpus sect.", "Streptocarpus sect.", "Euphorbia peplus var. peplus", "Euphorbia perangusta", "Euphorbia perrieri", "Stenaesthetus angulatipenis", "Mecysmoderes constricticollis", "Stenaesthetus rimosicollis", "Mecysmoderes intermedius", "Stenaesthetus persimilis", "Stenaesthetus schuelkei", "Stenaesthetus gaoligongmontium", "Stenaesthetus smetanai", "Stenaesthetus hastifer", "Euphorbia persistentifolia", "Caecum trachea", "Euphorbia multifolia", "Euphorbia munizii", "Antirrhinum australe", "Antirrhinum grosii", "Albertonykus borealis", "Stenus ninii", "Antirrhinum martenii", "Stenus pallidipes", "Stenus perfidiosus", "Stenus virgula", "Stenus emasmontis", "Stenus glabrescens", "Stenus sordidulipes", "Stenus stellionator", "Stenus calcariventris", "Stenus habropus", "Stenus tridentipenis", "Stenus unguliventris", "Stenus scopulus", "Stenus vorticipennis", "Celaenorrhinus asmara consertus", "Stenus grandimatrix", "Stenus lunatus", "Mecysmoderes davidi", "Mecysmoderes singaporensis", "Euphorbia pillansii", "Ceutorhynchus balciunasi", "Ceutorhynchus falli", "Microdaccus bushehricus", "Euphorbia pithyusa", "Euphorbia pithyusa subsp. pithyusa", "Panoquina corrupta", "Mecysmoderes sarukhanovi", "Chenanisaurus barbaricus", "Euphorbia platycephala", "Mecysmoderes gressitti", "Vanda dearei", "Mecysmoderes muratovi", "Megahypurus oroszi", "Glikmanellus louisae", "Mecysmoderes yunnanensis", "Myriotrema aggregans", "Xylocopa zonata", "Xylocopa rufa", "Xylocopa olivieri", "Sphenomorphus consobrinus", "Sphenomorphus undulatus", "Streptocarpus sect.", "Streptocarpus sect.", "Streptocarpus sect.", "Streptocarpus sect.", "Caementabunda simplex", "Pinalia ovata", "Sphaerodactylus elegans elegans", "Lilium ukeyuri", "Sphaerodactylus elegans punctatissimus", "Euphorbia phillipsioides", "Euphorbia phosphorea", "Mecysmoderes thompsoni", "Mecysmoderes vicarius", "Mecysmoderes helenae", "Mecysmoderes longicollis", "Mecysmoderes pascoei", "Mecysmoderes giganteus", "Mecysmoderes maai", "Mecysmoderes oroszi", "Galium tokyoense", "Euphorbia platyphyllos subsp. platyphyllos", "Cyphohypurus suppantschitschi", "Siamohypurus samuelsoni", "Siamohypurus attilai", "Leucodecton anamalaiense", "Glikmanellus rosti", "Glikmanellus baloghi", "Euphorbia plumerioides", "Glikmanellus obrieni", "Climacosphenia elegans", "Pseudechis porphyriacus", "Pseudechis guttatus", "Pseudechis colletti", "Pseudechis australis", "Pseudechis butleri", "Euphorbia potentilloides", "Nsungwepithecus gunnelli", "Lapidaster caeloscopus", "Lapidaster coreytaylori", "Lapidaster etteri", "Callianthemum kirigishiense", "Ansonia kyaiktiyoensis", "Aegithalos sharpei", "Aipysurus foliosquama", "Aipysurus apraefrontalis", "Aipysurus pooleorum", "Aipysurus tenuis", "Aegithalos caudatus rosaceus", "Liasis fuscus", "Lapidaster fasciatus", "Ophiolebes humilis", "Ammatho inexpectata", "Ammatho gesar", "Stenaesthetus puetzi", "Stenaesthetus kurbatovi", "Euphorbia polycnemoides", "Stenaesthetus formosanus", "Stenaesthetus thai", "Stenaesthetus loebli", "Stenaesthetus siamensis", "Stenaesthetus brevisulcatus", "Euphorbia polygona", "Tibetyrus formicarius", "Euphorbia polygona var. anoplia", "Euphorbia polygona var. horrida", "Pseudechis papuanus", "Euphorbia polygonifolia", "Euphorbia portulacoides", "Euphorbia portulacoides subsp. portulacoides", "Stenaesthetus indicus", "Mecysmoderes filirostris", "Geodia arma", "Euphorbia personata", "Euphorbia pervilleana", "Mecysmoderes steineri", "Euphorbia pervittata", "Calpodes ethlius", "Panoquina chapada", "Panoquina trix", "Rhus allophyloides", "Rhus amherstensis", "Rhus andrieuxii", "Rhus arsenei", "Rhus ashei", "Rhus bahamensis", "Rhus barclayi", "Rhus caudata", "Rhus chondroloma", "Rhus ciliolata", "Rhus dhuna", "Rhus duckerae", "Rhus galeottii", "Rhus hypoleuca", "Rhus lenticellosa", "Rhus jaliscana", "Rhus lamprocarpa", "Rhus linguata", "Rhus muelleri", "Rhus nelsonii", "Rhus oaxacana", "Rhus pachyrrhachis", "Rhus \u00d7 pulvinata", "Rhus rubifolia", "Rhus taishanensis", "Rhus tamaulipana", "Rhus teniana", "Rhus tepetate", "Rhus terebinthifolia", "Rhus vestita", "Rhus wilsonii", "Chaetoceros elegans", "Euphorbia petiolaris", "Euphorbia petraea", "Euphorbia petricola", "Ammatho cao", "Ammatho dubatolovi", "Ammatho eos", "Euphorbia pubentissima", "Ammatho euryphaessa", "Ammatho kishidai", "Ammatho mene", "Ammatho mesomene", "Ammatho ivanovamariae", "Ammatho nemea", "Ammatho pandeia", "Ammatho selene", "Ammatho syntypicoida", "Ammatho visaya", "Ammatho speideli", "Oxeoschistus tauropolis tauropolis", "Leucodecton album", "Geranium alonsoi", "Euphorbia pulvinata", "Geranium arboreum", "Mecistorhabdia haematoessa", "Ammatho shingwa", "Euphorbia procumbens", "Euphorbia prona", "Ammatho midzhan", "Ammatho garo", "Euphorbia psammophila", "Euphorbia pseudoburuana", "Euphorbia pseudocactus", "Euphorbia pseudoglobosa", "Euphorbia pseudolaevis", "Ammatho complicata", "Tetrapodophis amplectus", "Euphorbia pseudomollis", "Euphorbia pseudoracemosa", "Euphorbia pseudosikkimensis", "Ammatho salakia", "Ammatho convexa", "Ammatho amaculata", "Leucodecton coppinsii", "Ammatho amoenissima", "Euphorbia restituta", "Euphorbia restricta", "Euphorbia retrospina", "Euphorbia rhizophora", "Euphorbia rhombifolia", "Pluridens calabaria", "Anisochoria quadrifenestrata", "Corallodiscus lanuginosus", "Corallodiscus kingianus", "Corallodiscus grandis", "Anisochoria minorella minorella", "Anisochoria minorella verda", "Euphorbia rowlandii", "Euphorbia rubrispinosa", "Calamagrostis eminens", "Anisochoria pedaliodina", "Anisochoria pedaliodina pedaliodina", "Anisochoria pedaliodina polysticta", "Euphorbia sakarahaensis", "Anisochoria pedaliodina extincta", "Euphorbia salicifolia", "Anisochoria sublimbata", "Euphorbia samburuensis", "Euphorbia sarawschanica", "Euphorbia sarcodes", "Euphorbia saxatilis", "Euphorbia scheffleri", "Machairasaurus leptonychus", "Leucoma virginea", "Euploea alcathoe monilifera", "Euphorbia schizoloba", "Geranium arnottianum", "Mecistorhabdia burgessi", "Mecistorhabdia sulaki", "Euphorbia pyrifolia", "Paraphloeostiba subopaca", "Acanthoglossa testaceipennis", "Sunesta dorsolineata", "Leucodecton bisporum", "Euphorbia quadrangularis", "Euphorbia quadrilatera", "Euphorbia quadrispina", "Anaxas obliqua", "Anaxas isidro", "Euphorbia ramipressa", "Sitta europaea hondoensis", "Euphorbia razafindratsirae", "Lapidaster hystricarboris", "Anaxas petius", "Lapidaster lukenederi", "Lapidaster mastodon", "Lapidaster mathcore", "Lapidaster varuna", "Lapidaster wolfii", "Henckelia pumila", "Henckelia urticifolia", "Deinostigma tamiana", "Artonia artona", "Argemma argyrosticta", "Argemma argyrosticta argyrosticta", "Argemma argyrosticta enta", "Argemma aurea", "Argemma bonga", "Argemma maesseni", "Hypsilurus spinosus", "Sitta europaea amurensis", "Argemma mabirensis", "Avestia avesta", "Sitta europaea formosana", "Tydeus brachypalpus", "Tydeus dyfrigi", "Tydeus leorae", "Tydeus marinus", "Geranium caffrum", "Geranium rosthornii", "Geranium canopurpureum", "Geranium seemannii", "Geranium cataractarum", "Geranium reptans", "Geranium diffusum", "Geranium chaparense", "Caeoma elegans", "Philonthus rotundicollis", "Euphorbia seguieriana subsp. seguieriana", "Zodarion imroz", "Nemacerota paizhenensis", "Anisochoria subpicta", "Bralus albida", "Bralus albida albida", "Oxeoschistus tauropolis mitsuko", "Oxeoschistus hilara hilara", "Oxeoschistus hilara lempira", "Euphorbia ritchiei", "Euphorbia ritchiei subsp. marsabitensis", "Euphorbia rivae", "Eucosma delphinoides", "Uromyces elegans", "Eucosma delphinus", "Eucosma sublapidana", "Eucosma baggetti", "Rhinophis gunasekarai", "Galium kinuta", "Pelochrista excerptionana", "Pelochrista aspidana", "Pelochrista nandana", "Utilia hualpensis", "Anisochoria bacchus", "Seryda kaira", "Stylura lamonti", "Aenetus simonseni", "Aenetus maiasinus", "Aenetus trigonogrammus", "Aenetus albadamanteum", "Euphorbia robivelonae", "Aenetus moorei", "Euphorbia rossiana", "Aenetus bilineatus", "Euphorbia rossii", "Anisochoria minorella", "Aenetus sibelae", "Euphorbia rothiana", "Buteo jamaicensis harlani", "Ichthyovenator laosensis", "Euphorbia schlechtendalii", "Euphorbia schlechtendalii var. schlechtendalii", "Charichirus chinensis", "Euphorbia schoenlandii", "Euphorbia schubei", "Scopaeus velutinus", "Archaeocoleus namosii", "Monocrypta indica", "Ochthephilum ocypoides", "Euphorbia sebsebei", "Bledius rugosicollis", "Tolmerinus ruficollis", "Tolmerinus auronotatus", "Philonthus gemellus", "Philonthus indubius", "Euphorbia segetalis var. segetalis", "Philonthus beesoni", "Cetoconcha elegans", "Liparis halconensis", "Achilia chilotides", "Belisana guilin", "Euphorbia setiloba", "Belisana maoer", "Belisana naling", "Belisana xiyuan", "Belisana xuanguan", "Belisana yuexiu", "Euphorbia spectabilis", "Euphorbia spinea", "Euphorbia spinosa subsp. spinosa", "Abemus olivaceus", "Platydracus maculipennis", "Gabrius turcmenus", "Lordithon distinctus", "Fraus extremapodus", "Thamiaraea kotgarhensis", "Zyras armifrons", "Zyras siwalikensis", "Tribasodites sugayai", "Euphorbia sekukuniensis", "Adenogasteria leguminivora", "Euphorbia semivillosa", "Alboculus zhejiangensis", "Achilia grandiceps", "Achilia delamarei", "Otacilia acutangula", "Euphorbia semperflorens", "Goeppertia elegans", "Achilia jeanneli", "Euphorbia septentrionalis", "Otacilia bijiashanica", "Otacilia longtanica", "Otacilia ovoidea", "Otacilia shenshanica", "Otacilia subovoidea", "Euphorbia serendipita", "Otacilia xiaoxiica", "Asopsebius tadzhicorum", "Euphorbia serpillifolia", "Euphorbia serpillifolia subsp. serpillifolia", "Euphorbia tenuispinosa", "Canesia meridensis", "Canesia leada", "Canesia lilloi", "Abyssalia foliformis", "Ophiolebes retecta", "Alburnus chalcoides", "Dolichognatha lonarensis", "Euphorbia stygiana", "Euphorbia subapoda", "Euphorbia submamillaris", "Euphorbia subscandens", "Euphorbia succulenta", "Euphorbia sudanica", "Dolichognatha junlitjri", "Euphorbia sultan-hassei", "Euphorbia huttoniae", "Euphorbia systyla", "Euphorbia tanaensis", "Euphorbia taruensis", "Coeligena orina", "Euphorbia tenax", "Leptorhynchos gaddisi", "Eurostopodus exul", "Euphorbia spinulosa", "Euphorbia stapelioides", "Anisochoria superior", "Anisochoria vianna", "Eurostopodus nigripennis", "Brownus browni", "Gynacantha usambarica", "Gynacantha villosa", "Gynacantha membranalis", "Clidicus mawarensis", "Geodromicus magnus", "Euphorbia silenifolia", "Philtronoma cbdora", "Euphorbia similiramea", "Tinaegeria carlosalvaradoi", "Euphorbia sipolisii", "Tinaegeria romanmacayai", "Achilia franzi", "Achilia elguetai", "Achilia denticornis", "Percnarcha claudiadoblesae", "Euphorbia skottsbergii var. skottsbergii", "Achilia valdiviensis", "Achilia bicornis", "Euphorbia socotrana", "Porcellanola sikkima", "Euphorbia sparsiflora", "Euphorbia tetragona", "Euphyes vestris", "Euphyes leptosema", "Euphyes peneia", "Euphyes subferrugineus", "Euphyes vestris harbisoni", "Euphyes vestris kiowah", "Euphyes vestris metacomet", "Euphyes vestris vestris", "Geodromicus namucuoicus", "Geodromicus shii", "Geodromicus subquadratus", "Geodromicus paramerus", "Epsteinius translucidus", "Canesia canescens", "Canesia canescens canescens", "Euphorbia stellispina", "Euphorbia stenoclada subsp. stenoclada", "Euphorbia stevenii", "Canesia canescens pallida", "Euphorbia stictospora", "Canesia callipetes", "Dolichognatha bannaensis", "Euphorbia stracheyi", "Dendrobium dianiae", "Euphorbia striata", "Euphorbia transvaalensis", "Ophiolebes sagamiensis", "Pontoporeia femorata", "Dendrobium tiongii", "Placoeme wappesi", "Geranium clemensiae", "Euphorbia tuberosa", "Euphorbia tubiglans", "Euphorbia tuckeyana", "Euphorbia umbellata", "Euphorbia \u00d7 martini", "Euphorbia \u00d7 pasteurii", "Euphorbia erythroclada", "Agyllia agylla", "Agyllia asterodia", "Crotalus lorenzoensis", "Phytophthora infestans", "Lon azin", "Euphorbia tommasiniana", "Abyssalia sphaerica", "Moanammina semicircularis", "Psammina tenuis", "Euphorbia torrei", "Lon hobomok", "Carcharodus alceae", "Euphorbia ouachitana", "Bistriopelma peyoi", "Euphorbia umbelliformis", "Oenides vulpina", "Euphorbia undulatifolia", "Naganishia floricola", "Euphorbia unispina", "Dolomedes mendigoetmopasi", "Naganishia indica", "Euphorbia vajravelui", "Naganishia nivalis", "Naganishia qatarensis", "Geranium crenophilum", "Dolomedes alexandri", "Euphorbia valdevillosocarpa", "Dolomedes albicomus", "Dolomedes instabilis", "Dolomedes vicque", "Putonia asiatica", "Dolomedes briangreenei", "Dolomedes venmani", "Dolichognatha kampa", "Colliguaja odorifera", "Lipsocus bannaicus", "Colasposoma sellatum", "Dendrobium gratiosissimum", "Muschampia poggei", "Muschampia tessellum", "Muschampia lavatherae", "Bistriopelma kiwicha", "Amphisphaeria qujingensis", "Bistriopelma lamasi", "Bistriopelma matuskai", "Bistriopelma titicaca", "Euphorbia lasiocarpa", "Aguapanela arvi", "Euphorbia mesembryanthemifolia", "Euphorbia olowaluana", "Dolichognatha mapia", "Dolichognatha erwini", "Dolichognatha pinheirai", "Dolichognatha maturaca", "Dolichognatha ducke", "Euphorbia vallaris", "Euphorbia vandermerwei", "Neoscona albertoi", "Neoscona aldinei", "Neoscona ampoyae", "Neoscona facundoi", "Neoscona lipana", "Tetragnatha heongi", "Masteria urdujae", "Hippasa holmerae", "Myrmarachne corpuzrarosae", "Crotalus morulus", "Crotalus angelensis", "Euphorbia veneris", "Euphorbia vermiculata", "Orthrus calilungae", "Sophora wightii subsp. bhutanica", "Oreina genei", "Euphorbia punctulata", "Euphorbia amplexicaulis", "Calycopeplus paucifolius", "Neoguillauminia cleopatra", "Kochiana brunnipes", "Eucallisoma glandulosa", "Merycopotamus thachangensis", "Longilyra johnlonghorni", "Stichoplastoris angustatus", "Stichoplastoris schusterae", "Stichoplastoris longistylus", "Stichoplastoris asterix", "Stichoplastoris denticulatus", "Geranium dahuricum", "Muschampia floccifera", "Crotalus ravus", "Lon zabulon", "Paracallisoma alberti", "Turbonilla elegans", "Euphorbia viguieri var. ankarafantsiensis", "Euphorbia viguieri var. capuroniana", "Euphorbia viguieri var. tsimbazazae", "Euphorbia viguieri var. viguieri", "Fallaxlepas nervosa", "Euphorbia virosa subsp. virosa", "Euphorbia wallichii", "Euphorbia waringiae", "Tetragnatha rimandoi", "Bavia gabrieli", "Euphorbia wheeleri", "Neobrettus nangalisagus", "Euphorbia wildii", "Euphorbia xylacantha", "Euphorbia yattana", "Euphorbia zoutpansbergensis", "Aschemonella monile", "Ophiolebes scorteus", "Coolus bushi", "Euphorbia \u00d7 gibelliana", "Geranium delavayi", "Geranium digitatum", "Geranium discolor", "Geranium donianum", "Geranium drakensbergense", "Geranium durangense", "Geranium ecuadoriense", "Geranium editum", "Geranium exallum", "Magnacarina cancer", "Geranium exellii", "Magnacarina primaverensis", "Magnacarina moderata", "Homalanthus giganteus", "Amphisphaeria yunnanensis", "Magnacarina aldana", "Megaperlodes tiunovi", "Cyclosternum palomeranum", "Thrips moundi", "Spialia phlomidis", "Eurylophella korneyevi", "Munduruku bicoloratum", "Homalanthus stillingifolius", "Mygalarachne brevipes", "Geranium fallax", "Geranium farreri", "Carystina aurifer", "Homalanthus novoguineensis", "Geranium flanaganii", "Ophiolebes tuberosus", "Geranium foreroi", "Geranium franchetii", "Sericopelma panamense", "Leadagmara gracilispina", "Sericopelma rubronitens", "Lonicericola fuyuanensis", "Sericopelma fallax", "Carystina lysiteles", "Toccolosida ganeshgudiensis", "Gymnanthes gaudichaudii", "Gymnanthes lucida", "Toccolosida productalis", "Gymnanthes glabrata", "Carystina pieris", "Nychiodes mauretanica", "Nychiodes waltheri", "Baikuris maximus", "Hemileuca maia", "Excoecaria dallachyana", "Excoecaria kawakamii", "Excoecaria oppositifolia var. oppositifolia", "Sandinista lanceolatum", "Geranium frigidurbis", "Excoecaria oppositifolia var. crenulata", "Geranium gentryi", "Geranium goldmanii", "Geranium grandistipulatum", "Duroca duroca", "Geranium hanaense", "Excoecaria simii", "Geranium harveyi", "Geranium hernandesii", "Geranium rupicola", "Falconeria insignis", "Microstachys daphnoides", "Spialia sertorius", "Microstachys hispida", "Coleophora hirtella", "Coleophora deinosella", "Microstachys bidentata", "Coleophora intorta", "Coleophora leptella", "Ernsta colotes", "Asuridia nigrubra", "Ernsta delagoae", "Spialia galba", "Microstachys corniculata", "Manfredura curvata", "Ophiacantha jaegeri", "Heliopetes americanus", "Heliopetes ericetorum", "Coleophora stenoptera", "Coleophora swaziella", "Coleophora armata", "Coleophora suavis", "Coleophora venusta", "Diarsia huilini", "Microstachys marginata", "Uracanthus bicoloratus", "Microstachys serrulata", "Geranium wilhelminae", "Geranium lambertii", "Mabea occidentalis", "Maprounea guianensis", "Oxypogon cyanolaemus", "Chirgus limbata", "Jagtscalpellum africanum", "Hemileuca maia maia", "Hemileuca maia sandra", "Hemileuca maia warreni", "Hemileuca maia orleans", "Geranium hillebrandii", "Hemileuca maia menyanthevora", "Geranium hintonii", "Geranium humboldtii", "Subsecolepas holtwilsoni", "Hippomane spinosa", "Geranium hyperacrion", "Mabea fistulifera", "Euchloe olympia olympia", "Geranium hystricinum", "Euchloe olympia wagneri", "Euchloe olympia huron", "Euchloe olympia rosa", "Geranium incanum", "Geranium jahnii", "Geranium kashmirianum", "Geranium kauaiense", "Geranium kilimandscharicum", "Geranium kishtvariense", "Geranium krameri", "Mabea fistulifera subsp. fistulifera", "Geranium knuthii", "Antillostenochrus eremita", "Sapium sceleratum", "Cerba martini", "Troglocubazomus inexpectatus", "Coelogyne lycastoides", "Sclerocroton integerrimus", "Liaoningnema multinodum", "Geranium meridense", "Geranium mexicanum", "Geranium mlanjense", "Stictane miniursa", "Geranium monanthum", "Geranium monticola", "Geranium multiflorum", "Sapium allenii", "Geranium multipartitum", "Geranium multisectum", "Geranium napuligerum", "Geranium natalense", "Geranium neglectum", "Geranium niuginiense", "Stictane berliosi", "Stictane pseudofuscus", "Sebastiania brasiliensis", "Lobotractus valeriana", "Amerila rosenfeldae", "Paraona wallaceana", "Oxypogon stuebelii", "Leptocneria vinarskii", "Geranium lasiocaulon", "Geranium latilobum", "Geranium latum", "Geranium laxicaule", "Geranium lechleri", "Geranium lentum", "Geranium leptodactylon", "Geranium leucanthum", "Geranium lilacinum", "Geranium limae", "Geranium loxense", "Geranium macbridei", "Geranium maculatum", "Geranium magellanicum", "Geranium magniflorum", "Geranium maniculatum", "Cyana carmina carmina", "Cyana carmina malacca", "Oxypogon lindenii", "Cyana abrupta", "Barsine phaeodonta", "Barsine joshii", "Barsine meyi", "Barsine mophi", "Barsine arrigera", "Estigena wallacei", "Eudiaphora turensis nozimdjoni", "Eudiaphora tienshanensis", "Eudiaphora turensis turensis", "Sebastiania klotzschiana", "Esperarge eversmanni", "Microthyriacites fimbriatus", "Esperarge eversmanni eversmanni", "Microthyriacites grandis", "Esperarge eversmanni unicolor", "Senefeldera verticillata", "Microthyriacites plicatus", "Geodromicus philydroides", "Microthyriacites fuxinensis", "Geodromicus sinuatocollis", "Esperarge cashmirensis", "Esperarge climene", "Chitta chittara", "Evarcha alba", "Chiothion georgina", "Ponerorchis chidori", "Crotalus pyrrhus", "Crenda crenda", "Evarcha annae", "Evarcha hoyi", "Evarcha amabilis", "Euphronia hirtelloides", "Pungalina waldockae", "Pungalina albobarbata", "Pungalina semiatra", "Pungalina plurilineata", "Geranium nivale", "Geranium niveum", "Apricia bracteata", "Apricia longipalpis", "Capeyorkia vulpecula", "Evarcha aegyptiaca", "Esperarge roxelana", "Kirinia epimenides", "Ocychinus motuoensis", "Ocychinus smetanai", "Ocychinus huanghaoi", "Omalium cinnamomeum", "Eugoa dubatolovi", "Eugoa sinxayi", "Stillingia linearifolia", "Tachyporus hypnorum", "Eugoa hainanensis", "Stillingia lineata", "Stillingia lineata subsp. lineata", "Stillingia spinulosa", "Epimeria acanthochelon", "Eurythenes plasticus", "Barraina anfracta", "Ananeon howardensis", "Frewena maculata", "Neon australis", "Neon taylori", "Pungalina weiri", "Pungalina semiferruginea", "Crotalus stephensi", "Ophiacantha steffenschneideri", "Ophiacantha reginae", "Ophiolebes vestitus", "Ophiolebes vivipara", "Geranium nuristanicum", "Geranium oaxacanum", "Geranium obtusisepalum", "Geranium oreganum", "Geranium ornithopodioides", "Geranium ornithopodum", "Ugandaltica wagneri", "Adamastoraltica humicola", "Xylobium variegatum", "Epimeria anguloce", "Eburneana scharffi", "Geranium yesoense", "Cenostigma gaumeri", "Geranium yemense", "Geranium xinjiangense", "Geranium wislizeni", "Geranium whartonianum", "Eburneana wandae", "Daron seron", "Daron seron seron", "Geranium planum", "Geranium platyrenifolium", "Geranium pogonanthum", "Geranium potentillifolium", "Geranium potosinum", "Quedius masuzoi", "Quedius nishikawai", "Quedius adilus", "Orphnebius lilizheni", "Daron seron sexton", "Clytius clytius", "Havaika jamiesoni", "Acrulia assingi", "Acrulia inflata", "Epimeria colemani", "Acrulia akbesiana", "Dialycera aspera", "Odontochilus nakaianus", "Delonix pumila", "Ophiolimna antarctica", "Camponotus senex", "Jagtscalpellum filosum", "Odontochilus acalcaratus", "Dotta stellata", "Crotalus mictlantecuhtli", "Crotalus ehecatl", "Gleditsia japonica var. delavayi", "Meroleuca ristolima", "Meroleuca campanario", "Epimeria corbariae", "Saturnia melichari", "Festivia festiva", "Festivia adamantinus", "Festivia caerulans", "Festivia grippa", "Festivia cronion", "Epimeria cyrano", "Bipolaris alocasiae", "Bipolaris obovoidea", "Bipolaris poae-pratensis", "Phyllium oyae", "Phyllium saltonae", "Chiron elegans", "Hoffmannseggia trifoliata", "Pantolasius kerincii", "Haza hazarma", "Trogodendron bartolozzii", "Hoffmannseggia oxycarpa subsp. arida", "Vachellia villaregalis", "Ophiolimna bairdi", "Ophiocamax dorotheae", "Odontochilus asraoa", "Dotta callicles", "Geranium pringlei", "Geranium procurrens", "Geranium pseudosibiricum", "Geranium raimondii", "Gamelia abboyacensis", "Gamelia rudloffiana", "Gamelia tingomariana", "Gamelia napoloretensis", "Gamelia siriae", "Gamelia occecuatoriana", "Gamelia ristolima", "Erythrophleum lasianthum", "Gamelia tatama", "Gamelia guamaniana", "Gamelia moronensis", "Gamelia negromorona", "Gamelia sumacensis", "Geranium pulchrum", "Geranium rectum", "Gamelia cabrera", "Geranium refractum", "Gamelia santboyacensis", "Gamelia cundboyacensis", "Dubia dubia", "Geranium reinii", "Gamelia tatamica", "Geranium renifolium", "Gamelia caucensis", "Geranium shensianum", "Gamelia yarumala", "Gamelia lacelia", "Gamelia windbrechlini", "Gamelia milagrensis", "Gamelia paryarumala", "Gamelia peggyae", "Gamelia chinchao", "Gamelia antkozlovi", "Gamelia lamilagrosa", "Gamelia marquezae", "Exometoeca nycteris", "Meroleuca cabrera", "Meroleuca marquezae", "Meroleuca pinzonica", "Meroleuca machadoi", "Meroleuca fassvicente", "Meroleuca soata", "Festivia jinna", "Fidius fido", "Fidius ochraceus", "Geranium rhomboidale", "Geranium richardsonii", "Geranium rivulare", "Dialycera distincticornis", "Acruliopsis denticollis", "Acruliopsis tumidula", "Geranium robustum", "Geranium rubifolium", "Geranium ruprechtii", "Hyperchiria peggyae", "Hyperchiria ocotensis", "Hyperchiria mexoccidentalis", "Hyperchiria chiapeten", "Hyperchiria cochacuta", "Hyperchiria cuscacuta", "Hyperchiria paracuta", "Hyperchiria winbrechlini", "Hyperchiria camacisa", "Hyperchiria sancatrisa", "Hyperchiria bolisaltisa", "Hyperchiria chiquitisa", "Hyperchiria altoparanisa", "Hyperchiria mesonesi", "Corra coryna", "Eburneana magna", "Corra coryna coryna", "Corra coryna conka", "Ocypus curtipennis", "Campsiandra comosa subsp. comosa", "Corra coryna catargyra", "Ocypus sericeicollis", "Campsiandra comosa subsp. laurifolia", "Geranium paludosum", "Geranium pamiricum", "Corra coryna argentus", "Geranium papuanum", "Geranium paramicola", "Geranium parodii", "Geranium pavonianum", "Geranium peloponesiacum", "Geranium peruvianum", "Geranium pinetophilum", "Hultholia mimosoides", "Galium kikumugura", "Arnetta mercara", "Hyperchiria nausimetensis", "Peltophorum dasyrhachis var. tonkinensis", "Pachyelasma tessmannii", "Stenoptilia natalensis", "Centromerus tongiorgii", "Centromerus hanseni", "Centromerus gatoi", "Ophiolimna kucerai", "Ophiolimna lisae", "Ophiolimna malagasica", "Ophiolimna tiamatia", "Cryptodrassus mahabalei", "Cryptodrassus platnicki", "Mezoneuron benthamianum", "Ophiolimna diastata", "Guyanostreptus octosulcatus", "Quisqueya ekmanii", "Quisqueya holdridgei", "Quisqueya karstii", "Quisqueya rosea", "Jagtscalpellum spinosum", "Epimeria havermansiana", "Mora oleifera", "Ophiolimna opercularis", "Hemimenia atlantica", "Cerodirphia mota", "Crotalus cerberus", "Humicola guizhouensis", "Epimeria leukhoplites", "Humicola terrestris", "Cryptodrassus ratnagiriensis", "Cryptodrassus khajuriai", "Hirpida peggyae", "Hirpida gauhuilana", "Hirpida gaurisaraldana", "Hirpida santboyacana", "Hirpida yarumala", "Hirpida tatama", "Hirpida kaechi", "Hirpida vanschaycki", "Hirpida chanchamayensis", "Hirpida oxapampana", "Hirpida bongarana", "Hirpida manuana", "Hirpida winbrechlini", "Libidibia paraguariensis", "Astragalus bartinensis", "Cypoides celebensis", "Eulophia obtusa", "Kentroleuca vanschaycki", "Kentroleuca sinjaevi", "Kentroleuca griseoalbata", "Kentroleuca brunneategulata", "Carcharodus alceae gooraisa", "Parnassius charltonius platon", "Apamea sphagnicola", "Hirpida cochoba", "Erythrostemon exostemma", "Hirpida nigrocochabambana", "Hirpida satipensis", "Hirpida pomapascensis", "Humicola fuscoatra", "Cenostigma pluviosum", "Cenostigma pluviosum var. peltophoroides", "Cenostigma pyramidale", "Hirpida gideoni", "Hirpida alfamayensis", "Hirpida levocarpishiana", "Hirpida levomaranensis", "Nychiodes eberti", "Nychiodes convergata", "Nychiodes mirzayansi", "Apamea ramonae", "Apamea sphagnicola sphagnicola", "Apamea sphagnicola centralazorensis", "Carcharodus alceae insolatrix", "Ophiolimna perfida", "Carcharodus alceae alceae", "Hirpsinjaevia viksinjaevi", "Cypa lacdurongana", "Ormiscodes vanschaycki", "Hirpida altojunensis", "Citheronioides lamata", "Tachigali setifera", "Citheronioides lamata lamexicana", "Carcharodus alceae swinhoei", "Carcharodus tripolina", "Carcharodus alceae wissmanni", "Chrysochus chinensis", "Agkistrodon laticinctus", "Crotalus helleri", "Crotalus lutosus", "Crotalus concolor", "Adeloneivaia jametensis", "Adeloneivaia jacolombiana", "Adeloneivaia antkozlovi", "Adeloneivaia mexicensis", "Adeloneivaia peten", "Zeutus zeutus", "Automeris brunoi", "Tachigali subvelutina", "Chrysochus goniostoma", "Copaxa wittiana", "Incisus incisus", "Holcoceroides landeri", "Incisus fasciatus", "Carminda surpresa", "Caissa yunnana", "Incisus angulata", "Huebneriella rosanti", "Caeneressa akha", "Turanana kotaleshawa", "Phthius punctatus", "Callophrys rubi martinae", "Geranium weddellii", "Callophrys danchenkoi danchenkoi", "Callophrys danchenkoi dena", "Gyrogra subnotata", "Melanographia flexilineata", "Manoba melanocholica", "Manoba grisealis", "Hampsonola ceciliae", "Sphingoquedius meto", "Cyathus gansuensis", "Xenonola limbata", "Hoodus pelopidas", "Grallaria alvarezi", "Grallaria gravesi", "Hoodus jason", "Grallaria centralis", "Grallaria oneilli", "Grallaria ayacuchensis", "Grallaria sinaensis", "Epimeria loerzae", "Hoodus simplex", "Hoodus argonautarum", "Nola angustipennis", "Nola kanshireiensis", "Nola marginata", "Spininola kendricki", "Porphyrogenes calathana", "Hapalaraea alutacea", "Hapalaraea armeniaca", "Hapalaraea pygmaea", "Hapalaraea settei", "Pseudodialycera striatipennis", "Hoodus cristata", "Grallaria rufula spatiator", "Grallaria rufula cajamarcae", "Hoodus exstincta", "Grallaria rufula obscura", "Grallaria rufula occabambae", "Grallaria rufula cochabambae", "Grallaria saturata", "Kolekanos plumicaudus", "Geranium wakkerstroomianum", "Geranium viscosissimum", "Geranium versicolor", "Geranium venturianum", "Geranium vagans", "Geranium ussuriense", "Geranium trolliifolium", "Geranium unguiculatum", "Geranium tripartitum", "Geranium tovarii", "Geranium texanum", "Geranium terminale", "Geranium tenue", "Emmelus purpurascens", "Myscelus pardalina pardalina", "Atmetochilus songsangchotei", "Myscelus pardalina guarea", "Atmetochilus koponeni", "Atmetochilus lehtineni", "Atmetochilus sumatranus", "Artena uncinata", "Stephonyx sigmacrus", "Civifractura serendipia", "Hyarotis adrastus", "Christinus alexandri", "Cecropterus acanthopoda", "Cecropterus zarex", "Cyathus luxiensis", "Cecropterus bathyllus", "Cecropterus pylades", "Cecropterus albociliatus", "Epimeria macrodonta", "Galium pseudoasprellum", "Spicauda procne", "Cyathus jiayuguanensis", "Periphoba maranona", "Nematanthus crassifolius", "Hyarotis iadera", "Periphoba siriae", "Hyarotis adrastus adrastus", "Periphoba sangabana", "Periphoba silkae", "Periphoba trincheras", "Periphoba nigra", "Micrillus electrus", "Scymbalium phaethoni", "Meroleuca decaensi", "Meroleuca mossi", "Napeogenes inachia grazielae", "Pterodroma deserta", "Calospila ignotaterra", "Epimeria pandora", "Epimeria cleo", "Lycenchelys kolthoffi", "Periplacis perisama", "Chrysothemis melittifolia", "Cyathus lijiangensis", "Cyathus renweii", "Hyarotis adrastus praba", "Amblopusa vancouverensis", "Matoatoa spannringi", "Amblopusa brevipes", "Hyarotis adrastus armax", "Hapsomela minor", "Hapsomela tibialis", "Morpho menelaus chantalae", "Sebrus kovtunovichi", "Labomimus srilankensis", "Hyarotis microstictum", "Phtheochroa accurata", "Phtheochroa suleimana", "Hyarotis microstictum microstictum", "Tofieldia furusei", "Eucosma paulorosea", "Protoconnus fenestratus", "Protoconnus brachati", "Protoconnus carabobonus", "Eucosma fulvana fulvana", "Eucosma fulvana suncretana", "Hyarotis microstictum coorga", "Robiquetia luongii", "Geranium tablasense", "Sostrata bifasciata", "Geranium swatense", "Geranium suzukii", "Geranium subglabrum", "Galerga hyposticta", "Jagtscalpellum striatum", "Hepsidera lignea", "Alelimma pallidifusca", "Acacia bifaria", "Bertula hadenalis", "Ophiogaleus constrictus", "Paramblopusa eoa", "Tekliades ramanatek", "Scydmobisetia dentipes", "Periphoba panguana", "Clito clito", "Periphoba cearaiana", "Periphoba vanschaycki", "Periphoba marcapata", "Periphoba cesar", "Clito mnemon", "Periphoba guajira", "Periphoba pacayana", "Periphoba huaticocha", "Periphoba cando", "Periphoba junopascensis", "Periphoba shankensis", "Periphoba carbajal", "Periphoba yuyapichi", "Periphoba claudinodelimai", "Urbanus segnestami", "Urbanus ehakernae", "Urbanus bernikerni", "Telegonus talus", "Cyathus lanatus", "Telegonus fulgerator", "Telegonus cellus", "Geranium stuebelii", "Geranium stramineum", "Geranium sparsiflorum", "Geranium soratae", "Geranium sophiae", "Autochton oryx", "Autochton itylus", "Geranium solitarium", "Citheronia arteagana", "Autochton potrillo", "Citheronia kaechi", "Citheronia caucensis", "Koruthaialos rubecula", "Geranium sinense", "Koruthaialos rubecula rubecula", "Koruthaialos rubecula rubina", "Koruthaialos rubecula balina", "Globosusa borneana", "Geranium simense", "Geranium siamense", "Geranium shikokianum", "Geranium sericeum", "Ophiogaleus danicus", "Geranium scullyi", "Geranium schultzei", "Ophiogaleus dorecki", "Geranium schrenkianum", "Geranium schlechteri", "Ophiogaleus stans", "Geranium schiedeanum", "Ophiolimna placentigera", "Geranium sagasteguii", "Geranium soboliferum", "Geranium smithianum", "Citheronia winbrechlini", "Citheronia vanschaycki", "Geranium skottsbergii", "Acacia bancroftiorum", "Citheronia witti", "Citheronia hambahiana", "Citheronia phocarabobensis", "Citheronia phoandensis", "Citheronia phochocoensis", "Citheronia phomaranhensis", "Citheronia phocaterina", "Citheronia phobahiana", "Citheronia phoaustralis", "Citheronia yucatana", "Citheronia laguajira", "Citheronia lindana", "Citheronia laocandensis", "Citheronia anikae", "Citheronia reyana", "Spathilepia clonius", "Citheronia phoamambayana", "Shorea agami subsp. diminuta", "Shorea agami subsp. agami", "Homoeosoma oxyargentella", "Acacia caesaneura", "Catasetum \u00d7 faustoi", "Catasetum longifolium", "Catasetum saccatum", "Acacia bromilowiana", "Astraptes janeira", "Narcosius narcosius", "Jacaena aspera", "Jacaena bannaensis", "Jacaena luteolus", "Jacaena menglaensis", "Acacia burrana", "Hypoleucis tripunctata", "Hypoleucis tripunctata tripunctata", "Hypoleucis tripunctata draga", "Hypoleucis tripunctata truda", "Hypoleucis ophiusa", "Hypoleuca ophiusa ophiusa", "Hypoleuca ophiusa ophir", "Hypoleucis sophia", "Acacia calligera", "Probles barycnemiformis", "Probles diaparsiformis", "Probles proshchalykini", "Probles protoversuta", "Koruthaialos rubecula hector", "Koruthaialos rubecula luzonensis", "Koruthaialos rubecula namata", "Koruthaialos rubecula niasicus", "Anatoma golikovi", "Thinodromus coronatus", "Thinodromus makarovi", "Thinodromus shavrini", "Koruthaialos butleri", "Koruthaialos sindu", "Koruthaialos sindu sindu", "Anatoma crispata", "Acacia burrowsiana", "Muschampia baeticus", "Koruthaialos focula", "Ophioleviathan watsoni", "Koruthaialos focula focula", "Idia substigmata", "Hydrillodes gravatalis", "Hydrillodes plicaloides", "Havaika arnedoi", "Koruthaialos rubecula atra", "Koruthaialos rubecula ponta", "Havaika beattyi", "Havaika berlandi", "Havaika berryorum", "Havaika ciliata", "Koruthaialos rubecula cachara", "Bryostigma muscigenum", "Koruthaialos rubecula palawites", "Silvorchis vietnamica", "Mesocletodes brevisetosus", "Ophiojagtus acklesi", "Ophiojagtus irimurai", "Koruthaialos focula frena", "Koruthaialos focula kerala", "Koruthaialos rubecula haraka", "Koruthaialos sindu monda", "Koruthaialos sindu tanda", "Koruthaialos sindu rudra", "Mesocletodes simplex", "Mesocletodes unisetosus", "Caloplaca orloviana", "Epimeria pyrodrakon", "Acacia bracteolata", "Ophiojagtus alternatus", "Equilabium laxiflorum", "Cymbidium faberi", "Ladda bos", "Ladda caenides", "Coleus alpinus", "Coleus unguentarius", "Iambrix salsala", "Iambrix salsala salsala", "Iambrix salsala luteipalpis", "Iambrix stellifer", "Otomys barbouri", "Otomys lacustris", "Otomys burtoni", "Catocyclotis marmoreus", "Coleus argentatus", "Catocyclotis leucarpis", "Catocyclotis densemaculata", "Catocyclotis zerna", "Fauriea mandshuriaensis", "Catocyclotis glauca", "Fauriea trassii", "Hovala pardalina", "Lissia lissa", "Xanthonymus xanthioides", "Ikaeria serusiauxii", "Pisutiella conversa", "Ladda calima", "Otomys occidentalis", "Otomys dartmouthi", "Otomys denti", "Otomys jacksoni", "Otomys orestes", "Otomys tropicalis", "Otomys laminatus", "Otomys uzungwensis", "Otomys irroratus", "Otomys anchietae", "Otomys cuanzensis", "Otomys angoniensis", "Otomys typus", "Otomys saundersiae", "Otomys maximus", "Otomys dollmani", "Otomys auratus", "Otomys karoensis", "Epargyreus tmolis", "Chioides albofasciatus", "Zabuella argiella", "Catocyclotis wiltoni", "Catocyclotis malca", "Catocyclotis sejuncta", "Epimeria robertiana", "Catocyclotis curulis", "Ilma irvina", "Coleus strobilifer", "Gunnarella aymardii", "Plateros bantaengensis", "Plateros curticauda", "Plateros gorochovi", "Plateros latimojongensis", "Mylon lassia", "Plateros pallidimarginatus", "Plateros pangoensis", "Plateros rimbaensis", "Plateros rubiginosus", "Plateros uluwayensis", "Plateros unisuturalis", "Plateros wartabonensis", "Plateros xanthellus", "Plateros xenos", "Zabuella paucipuncta", "Zabuella tinea", "Coleus kirkii", "Coleus livingstonei", "Aguna camagura", "Aguna asander", "Codatractus alcaeus", "Codatractus imalena", "Zestusa staudingeri", "Otomys willani", "Cephise cephise", "Eufroggattia tuberculata", "Ectomis otriades", "Allium asirense", "Allium anatolicum", "Allium enginii", "Leptalina unicolor", "Tainia dunnii", "Tarsozeuzera prashkevitchi", "Tainia dunnii var. dunnii", "Tainia dunnii var. caterva", "Livida assecla", "Epimeria similis", "Gunnarella begaudii", "Ophiojagtus argoviensis", "Coleus stenostachys", "Lathrobium hibagon", "Oaphantes pallidulus", "Oaphantes cryophilus", "Deroploopsis curvicornis", "Oaphantes prometheus", "Deroploopsis bidentatus", "Deroploopsis brevicornutus", "Deroploopsis recticornis", "Deroploopsis trispinosus", "Lepella lepeletieri", "Pholcus hamuchal", "Pholcus kalam", "Tainia scapigera", "Dandinus crassus", "Miltochrista obliquilinea", "Miltochrista dentinebula", "Peridaedala melanantha", "Peridaedala hierograpta", "Acacia curvifolia", "Scytalopus androstictus", "Scytalopus intermedius", "Lotongus calathus parthenope", "Lotongus calathus taprobanus", "Epimeria atalanta", "Ectomis asine", "Colyttus yiwui", "Dendroicius hotaruae", "Euophrys xuyei", "Ladda carnis", "Ladda carnis carnis", "Ladda carnis sondra", "Halista batillosa", "Polygonus leo leo", "Polygonus leo hagar", "Polygonus leo arizonensis", "Polygonus leo histrio", "Oileides vulpinus", "Atheta godini", "Atheta copleyi", "Atheta wheelerae", "Foliabitus weihangi", "Boreostiba pseudolaticollis", "Atheta winchesteri", "Foliabitus scutigera", "Calodera bennetti", "Dinaraea inexpectata", "Geostiba horwoodae", "Gnypeta baranowskii", "Leptusomorpha claudiae", "Liogluta scudderi", "Neothetalia robergei", "Atheta charlottae", "Atheta terrivaga", "Stictalia kranabetteri", "Megaeupoa yanfengi", "Nigorella mengla", "Onomastus chenae", "Synagelides platnicki", "Deroploa parva", "Irura mandarina", "Livida grandis", "Andelis guineanus", "Andelis kai", "Andelis minutissima", "Andelis tinalum", "Epimeria vaderi", "Astenus latifrons", "Cephalochetus rufus", "Sunesta setigera", "Palaminus formosae", "Spilosoma renateae", "Lotongus calathus", "Lambula orbonella", "Lambula cuprea", "Lambula biplagiata", "Lambula buergersi", "Lambula flavipuncta", "Lambula arfakensis", "Lambula flavibasis", "Lambula nigrescens", "Lambula sibilensis", "Cilea limbifera", "Coproporus evanescens", "Sepedophilus armatus", "Anotylus lewisius", "Lambula longiductus", "Lambula marginata", "Lambula costiplaga", "Lambula tristis", "Lambula albicentra", "Lambula vanrossemi", "Lambula pallescens", "Lambula fuscibasis", "Lotongus calathus calathus", "Oeonosia lorentz", "Scytalopus krabbei", "Cyana habbema", "Cyana albimarginalis", "Cyana gracilis", "Cyana molbakon", "Cyana zwieri", "Cyana melanoplagia melanoplagia", "Cyana melanoplagia extrema", "Scytalopus frankeae", "Lotongus calathus balta", "Scytalopus whitneyi", "Dendrobium auriculatum", "Ectomis metallescens", "Telemiades corbulo", "Telemiades avitus", "Telemiades xantho", "Telemiades insulsus", "Telemiades nicomedes", "Telemiades laogonus", "Pisutiella congrediens", "Coleus prostratus", "Coleus australis", "Lendemeriella reptans", "Coleus maculosus", "Zela onara", "Zela onara onara", "Coleus maculosus subsp. maculosus", "Zela elioti", "Coleus cylindraceus", "Zela excellens", "Plectranthus bipinnatus", "Coleus forsteri", "Epimeria angelikae", "Striascalpellum barringtonensis", "Nerula fibrena", "Nerula tuba", "Marela tamyroides", "Oechydrus chersis", "Typhedanus umber", "Cogia caicus", "Zela zeus zeus", "Testrica antica", "Testrica haedula", "Zela zeus major", "Zela zeus optimus", "Zela zero", "Osphryon delahayei", "Osphryon elina", "Zela zero zero", "Ophrys sphegodes subsp. catalcana", "Ophrys sphegodes subsp. helenae", "Zela zenon", "Zela cowani", "Mireana tawitawiensis", "Lecithocera wolframmeyi", "Lecithocera bipunctata", "Torodora platiella", "Chrysonasma occidentis", "Rhamma eleonorae", "Lotongus calathus zalates", "Coleus barbatus", "Glenognatha paullula", "Glenognatha ganeshi", "Tylorida marmorea", "Numilia subquadrata", "Zela zeus", "Acacia citriodora", "Phymatocoris strumosus", "Acacia cockertoniana", "Sceloporus acanthinus", "Sceloporus smaragdinus", "Sceloporus squamosus", "Sceloporus dugesii", "Sceloporus melanorhinus", "Sceloporus cupreus", "Sceloporus lunae", "Zela steineri", "Austroagalloides brunnea", "Austroagalloides karoondae", "Austroagalloides rosea", "Austroagalloides grisea", "Austroagalloides maculata", "Austroagalloides moorei", "Austroagalloides obliquus", "Austroagalloides wrighti", "Epimeria macronyx", "Coleus maculosus subsp. edulis", "Zela onara solex", "Lycodon carinatus", "Leucyssa spongilla", "Trichogypsia villosa", "Sceloporus orcutti", "Sceloporus merriami", "Zela smaragdinus", "Striascalpellum bromleyi", "Acacia effusifolia", "Malaza carmides", "Malaza empyreus", "Malaza fastuosus", "Platycolaspis australis", "Lendemeriella borealis", "Acacia fuscaneura", "Dichomeris fascialobella", "Lychnuchus celsus", "Lychnuchus brasta", "Alloraphes opticus", "Alloraphes cayennensis", "Alloraphes iyonolanus", "Alloraphes ecuadoranus", "Ptocasius montiformis", "Eupiestus temporalis", "Ptocasius vittatus", "Ptocasius yunnanensis", "Balocerus triozus", "Balocerus bimaculatus", "Balocerus orodemnias", "Lycas godart", "Lycas godart godart", "Lycas godart boisduvalii", "Limodorum abortivum var. viride", "Ophiomalleus beneficarum", "Ophiomalleus stevenwilsoni", "Agetinella minuta", "Abantiades cephalocorvus", "Abantiades tembyi", "Macrothele undata", "Macrothele arcuata", "Macrothele sanheensis", "Helcystogramma bicuneum", "Willema angolana", "Willema angolana angolana", "Willema angolana cooksoni", "Sabinacantha archetypa", "Reitneracantha dissidens", "Bromheadia alticola", "Willema carsoni", "Metisella congdoni", "Acacia exudans", "Epimeria cyphorachis", "Horaeomorphus verus", "Leascydmus simplicicornis", "Scydmaenozila macrosticta", "Scydmaenozila latipennis", "Spinosciacharis puncticeps", "Balocerus rozeni", "Epimeria gargantua", "Lurida lurida", "Epimeria georgiana", "Striascalpellum elegans", "Epimeria heldi", "Balocerus orientalis", "Balocerus chinensis", "Balocerus careebus", "Lycas argentea", "Balocerus brooksi", "Balocerus lintus", "Balocerus longicornus", "Ophiosternle crinitum", "Ophiacantha aenigmatica", "Lycodon cathaya", "Dichomeris polygona", "Dichomeris quadrifurca", "Dichomeris sexafurca", "Dichomeris summata", "Helcystogramma imagitrijunctum", "Metisella aegipan", "Metisella midas", "Metisella midas midas", "Metisella midas malda", "Metisella malgacha", "Metisella metis", "Metisella metis metis", "Metisella metis paris", "Enoplognatha fuyangensis", "Metisella alticola", "Willema formosus", "Willema formosus formosus", "Vachellia horrida", "Willema formosus linda", "Willema formosus nyanza", "Willema formosus mittoni", "Niphon spinosus", "Pinalia bractescens", "Callostylis pulchella", "Ophiotreta dendrophyllicola", "Physconia labrata", "Syndicus birmanicus", "Syndicus chiangmaianus", "Syndicus puncticollis", "Syndicus difficilis", "Syndicus saketianus", "Syndicus malandae", "Sagina stridii", "Syndicus kingii", "Syndicus leai", "Syndicus leai ranongianus", "Syndicus sumatrensis", "Dichomeris flavimaculata", "Dichomeris infundibularis", "Dichomeris lancea", "Dichomeris longivalvata", "Dichomeris marginalis", "Dichomeris myriaodontosa", "Dichomeris ochriella", "Dichomeris quadratella", "Dichomeris sclerospinula", "Dichomeris spinosella", "Dichomeris unilobata", "Helcystogramma albimacularis", "Dichomeris crambaleas", "Dichomeris ferruginosa", "Dichomeris malacodes", "Dichomeris meridionalis", "Dichomeris orientis", "Dichomeris parallelosa", "Acacia karina", "Ophiotoma charlottae", "Ophiotoma incredibilis", "Ophiotoma vadosa", "Regioscalpellum darwini", "Lycodon hypsirhinoides", "Sideroxylon canariense", "Ophiotreta hedone", "Ophiotreta stefaniae", "Ophiologimus rugosus", "Ophiotreta striata", "Regioscalpellum gigas", "Oncidium manuelariasii", "Lycodon ophiophagus", "Lycodon ruhstrati abditus", "Procloeon monilistylus", "Acacia latior", "Helcystogramma epicentra", "Helcystogramma hibisci", "Helcystogramma imagibicuneum", "Helcystogramma flavifuscum", "Helcystogramma brevinodium", "Helcystogramma albilepidotum", "Helcystogramma angustum", "Helcystogramma flavistictum", "Helcystogramma furvimaculare", "Helcystogramma rectangulum", "Metisella decipiens", "Metisella decipiens decipiens", "Helcystogramma perelegans", "Helcystogramma arotraeum", "Metisella decipiens abscissa", "Ophiologimus aiodipius", "Ophiologimus martynovi", "Helcystogramma lutatella", "Helcystogramma hassenzanensis", "Helcystogramma trijunctum", "Chalioides perspicua", "Chalioides translucida", "Amatissa sentaniensis", "Amatissa papuana", "Hyalinaria nigrobasis", "Eumeta fenestrella", "Callostylis rigida", "Epimeria scabrosa", "Peridaedala alboareana", "Peridaedala badasa", "Peridaedala barikuna", "Acacia leprosa var. graveolens", "Acacia leprosa var. uninervia", "Peridaedala alalata", "Peridaedala pseudthylacophora", "Peridaedala retaki", "Peridaedala dauloa", "Peridaedala sabahana", "Peridaedala hijauana", "Peridaedala infinitana", "Peridaedala kinabaluana", "Peridaedala sublineana", "Peridaedala carriedo", "Peridaedala latusa", "Peridaedala russea", "Peridaedala janbatana", "Peridaedala hitama", "Peridaedala hitabatana", "Peridaedala crockerana", "Carajas paraua", "Peridaedala axiliara", "Peridaedala hamofascia", "Phaeographis pleiospora", "Wittoecia brehmi", "Epimeria truncata", "Oreocharis shweliensis", "Oreocharis muscicola", "Lepra huangshanensis", "Bellosichnus tripartitus", "Caquetaia kraussii", "Cochylimorpha punctiferana", "Isoteinon lamprospilus", "Isoteinon lamprospilus lamprospilus", "Isoteinon lamprospilus formosanus", "Nasutonops chapeu", "Regioscalpellum kennedyi", "Paraivongius ivoirensis", "Paraivongius obscuripes", "Eumeta meraukensis", "Lycodon sealei", "Eumeta timorensis", "Lycodon anamallensis", "Pseudoclania incana", "Pseudoclania fragilis", "Pseudoclania obiensis", "Pseudoclania bacanensis", "Acanthopsyche corusca", "Lycodon banksi", "Lycodon namdongensis", "Acanthopsyche perlucida", "Acanthopsyche wandammensis", "Acanthopsyche simulata", "Peridaedala sinuata", "Peridaedala beryllina", "Peridaedala beryllgrapta", "Peridaedala duffelsi", "Peridaedala alboviritana", "Peridaedala caerula", "Peridaedala malayata", "Peridaedala pagona", "Acacia leeuweniana", "Peridaedala pseudoviritana", "Peridaedala viritana", "Peridaedala albonigricana", "Metisella kambove", "Metisella kakamega", "Metisella orientalis", "Regioscalpellum moluccanum", "Epimeria inermis", "Lepra alticola", "Lepra bambusetorum", "Acacia mucronata subsp. longifolia", "Acacia mucronata subsp. mucronata", "Lepra colorata", "Acacia mulganeura", "Epimeria linseae", "Willema perexcellens", "Willema perexcellens perexcellens", "Willema perexcellens marunga", "Metisella quadrisignatus", "Metisella quadrisignatus quadrisignatus", "Metisella quadrisignatus nanda", "Ophiacantha angolensis", "Metisella syrinx", "Metisella trisignatus", "Metisella trisignatus trisignatus", "Metisella trisignatus tanga", "Willema kumbona", "Xylocopa bomboides", "Brachymeles apus", "Brachymeles tridactylus", "Brachymeles taylori", "Xylocopa rufipes", "Brachymeles talinis", "Brachymeles samarensis", "Brachymeles cebuensis", "Brachymeles mindorensis", "Brachymeles boholensis", "Brachymeles orientalis", "Brachymeles hilong", "Brachymeles minimus", "Brachymeles bicolor", "Brachymeles gracilis", "Brachymeles schadenbergi", "Metisella medea", "Metisella medea medea", "Metisella medea nyika", "Metisella meninx", "Hermanellopsis arsia", "Willema willemi", "Ezosciadium capense", "Hermanellopsis incertans", "Chalcidoseps thwaitesi", "Miridiba quasisinensis", "Miridiba axanensis", "Miridiba enigmatica", "Lepra composita", "Willema tsadicus", "Nodastrella asconemaoida", "Nodastrella nodastrella", "Lepra hengduanensis", "Lepra laceromarginata", "Miraja varians", "Bulbophyllum hamelinii", "Codonorhiza corymbosa", "Thamnodynastes longicaudus", "Pholidobolus samek", "Thamnodynastes almae", "Lepra lijiangensis", "Epimeria quasimodo", "Lepra setschwanica", "Lepra submultipuncta", "Jeffocoris grossi", "Testrica bubala", "Testrica mimica", "Acacia penninervis var. penninervis", "Acacia pentadenia subsp. pentadenia", "Miraja howa", "Propetestrica angulata", "Propetestrica trimaculata", "Gespanna amelieae", "Ectatosticta wukong", "Ectatosticta xuanzang", "Retroculus xinguensis", "Fluctus bannaensis", "Fluctus tengchongensis", "Epimeria robusta", "Cynoglossum karamojense", "Gekko thakhekensis", "Cynoglossum krasniqii", "Cynoglossum lowryanum", "Cynoglossum macrocalycinum", "Cynoglossum macrolimbe", "Cynoglossum magellense", "Cynoglossum maghrebicum", "Cynoglossum meeboldii", "Cynoglossum monophlebium", "Cynoglossum natolicum", "Cynoglossum nebrodense", "Cynoglossum nova-guineese", "Cynoglossum obtusicalyx", "Cynoglossum papuanum", "Cynoglossum pustulatum", "Cynoglossum rochelia", "Ophiacantha anomala", "Cynoglossum sabirense", "Cynoglossum semnanicum", "Cynoglossum seravshanicum", "Cynoglossum spelaeum", "Cynoglossum sphacioticum", "Cynoglossum stewartii", "Cynoglossum timorense", "Cynoglossum torvum", "Cynoglossum trinervium", "Cynoglossum trollii", "Cynoglossum tsaratananense", "Cynoglossum ukaguruense", "Cynoglossum viridiflorum", "Cynoglossum wildii", "Cynoglossum yemenense", "Agave rovelliana", "Cyanaeorchis arundinae", "Hemiphyllodactylus engganoensis", "Lepra leucopsara", "Regioscalpellum regium", "Epimeria rubrieques", "Epimeria xesta", "Encyclia granitica", "Miraja hova", "Arenosetella lanceorostrata", "Ochrolechia submarginata", "Miraja ismael", "Miraja paroechus", "Lepra sphaerophora", "Moltena fiara", "Dendrochilum latifolium", "Dendrochilum latifolium var. latifolium", "Dendrochilum latifolium var. macranthum", "Epimeria rimicarinata", "Pholidobolus condor", "Pholidobolus dolichoderes", "Pholidobolus fascinatus", "Miraja flora", "Regioscalpellum maximum", "Miraja ochracea", "Stenus apomontis", "Stenus arunachalensis", "Stenus laciniferus", "Stenus longetaeniatus", "Thamnodynastes duida", "Calliophis salitan", "Monza cretacea", "Monza cretacea cretacea", "Thamnodynastes corocoroensis", "Thamnodynastes marahuaquensis", "Thamnodynastes ramonriveroi", "Thamnodynastes paraguanae", "Thamnodynastes dixoni", "Thamnodynastes ceibae", "Thamnodynastes lanei", "Thamnodynastes sertanejo", "Lepra subcomposita", "Lepra variolina", "Protestrica montana", "Protestrica rudis", "Protestrica stali", "Protestrica subpunctata", "Zelotes aerosus", "Zelotes arnoldii", "Zelotes turanicus", "Odina decoratus", "Antho bremecae", "Antho sarasiri", "Arachnanthus lilith", "Acacia robeorum", "Boloria alaskensis nikolajewski", "Boloria alaskensis sedykhi", "Boloria alaskensis halli", "Eobanus typicus", "Cyptocoris lundii", "Cyptocoris wahlbergi", "Boloria eunomia laddi", "Monza cretacea candia", "Monza cretacea crola", "Monza cretacea crona", "Thamnodynastes chaquensis", "Neomillspaughia hondurensis", "Centrostigma clavatum", "Yelenka hastiferella", "Centrostigma papillosum", "Epitonium scalare", "Yelenka gengisella", "Yelenka calciferella", "Yelenka calciferella calciferella", "Yelenka calciferella uyghurica", "Netrobalane canopus", "Acacia sibirica", "Alepisaurus ferox", "Acacia simplex", "Cynoglossum australe var. drummondii", "Cynoglossum australe var. australe", "Epimeria walkeri", "Insulanema longispiculum", "Aloa cardinalis danau", "Aloa cardinalis cardinalis", "Cynoglossum aequinoctiale", "Cynoglossum alpestre", "Miraja sida", "Miraja sylvia", "Cynoglossum alpinum", "Cynoglossum alticola", "Cynoglossum amplifolium", "Cynoglossum asperrimum", "Cynoglossum australe", "Cynoglossum austroafricanum", "Cynoglossum baeticum", "Cynoglossum barbaricinum", "Cynoglossum birkinshawii", "Cynoglossum bottae", "Cynoglossum brandii", "Cynoglossum castaneum", "Cynoglossum celebicum", "Cynoglossum cernuum", "Cynoglossum cheranganiense", "Cynoglossum clandestinum", "Cynoglossum densefoliatum", "Cynoglossum divaricatum", "Cynoglossum gansuense", "Cynoglossum glabellum", "Cynoglossum hanangense", "Cynoglossum hellwigii", "Cynoglossum hispidum", "Cynoglossum inyangense", "Cynoglossum javanicum", "Cynoglossum kandavanense", "Acacia uncifolia", "Odina hieroglyphica ortina", "Epimeria intermedia", "Regioscalpellum sanchezae", "Gretna bugoma", "Gretna lacida", "Gretna carmen", "Gretna carmen carmen", "Gretna carmen capra", "Sphenomorphus phuquocensis", "Gretna waga", "Sphenomorphus praesignis", "Sphenomorphus stellatus", "Sphenomorphus annamiticus", "Carnoya filipjevi", "Liebigia barbata", "Panca satyr", "Panca puri", "Panca xavante", "Panca paulo", "Panca tobiasi", "Venericardia iheringi", "Panca trogon", "Panca subpunctuli", "Panca steinhauseri", "Panca acroleuca", "Panca mictra", "Panca mirnae", "Carnoya philippinensis", "Gretna zaremba", "Gretna zaremba zaremba", "Gretna zaremba jacksoni", "Pertusaria alpinoides", "Pertusaria corallina var. minor", "Mopala orma", "Sphenomorphus jobiensis", "Sphenomorphus latifasciatus", "Sphenomorphus minutus", "Sphenomorphus meyeri", "Sphenomorphus zimmeri", "Sphenomorphus vanheurni", "Pertusaria ferruginea", "Epimeria acanthurus", "Cynoglossum \u00d7 austriacum", "Pertusaria laeviganda", "Cynoglossum \u00d7 legionense", "Cynoglossum \u00d7 modorense", "Lamellibrachia columna", "Odina hieroglyphica", "Odina hieroglyphica hierolglyphica", "Virgiscalpellum clathratum", "Bracon agathis", "Acanthosaura liui", "Monza cretacea punctata", "Thamnodynastes gambotensis", "Althenia cylindrocarpa", "Acacia rostriformis", "Monza alberti", "Gretna cylinda", "Gretna balenge", "Gretna balenge balenge", "Gretna balenge zowa", "Epimeria anodon", "Epimeria cinderella", "Hemiphyllodactylus ngwelwini", "Hemiphyllodactylus zwegabinensis", "Hemiphyllodactylus kyaiktiyoensis", "Hemiphyllodactylus pinlaungensis", "Ypsolopha admirandella", "Eidophasia assmanni", "Caryocolum procurvella", "Caryocolum atrum", "Antho gymnazusa", "Antho arbuscula", "Antho lambei", "Antho hallezi", "Antho anisotyla", "Antho karykina", "Antho karyoka", "Antho manaarensis", "Antho erecta", "Antho novizelanica", "Sphenomorphus scotophilus", "Sphenomorphus shelfordi", "Sphenomorphus aignanus", "Sphenomorphus alfredi", "Sphenomorphus annectens", "Sphenomorphus anomalopus", "Sphenomorphus loriae", "Sphenomorphus nigrolineatus", "Sphenomorphus tropidonotus", "Sphenomorphus sarasinorum", "Sphenomorphus granulatus", "Sphenomorphus louisiadensis", "Sphenomorphus pratti", "Sphenomorphus rufus", "Sphenomorphus solomonis", "Sphenomorphus wollastoni", "Sphenomorphus oligolepis", "Sphenomorphus mimikanus", "Sphenomorphus modiglianii", "Sphenomorphus forbesi", "Sphenomorphus acutus", "Sphenomorphus scutatus", "Sphenomorphus variegatus", "Sphenomorphus tenuiculus", "Sphenomorphus striolatus", "Sphenomorphus simus", "Sphenomorphus muelleri", "Euphorbia melanohydrata", "Odina chrysomeloena", "Actaea grimaldii", "Actaea spinosissima", "Odina hieroglyphica cuneiformis", "Sphenomorphus tersus", "Sphenomorphus tritaeniatus", "Sphenomorphus tridigitus", "Sphenomorphus nigriventris", "Sphenomorphus longicaudatus", "Odina hieroglyphica ortygia", "Calamodontophis paucidens", "Calamodontophis ronaldoi", "Oligophlebia minor", "Sphenomorphus taylori", "Sphenomorphus bignelli", "Sphenomorphus cranei", "Sphenomorphus schlegeli", "Mielkeus diana", "Mielkeus diana diana", "Mielkeus diana felix", "Mielkeus klugi", "Sphenomorphus transversus", "Sphenomorphus leptofasciatus", "Sphenomorphus cinereus", "Sphenomorphus brunneus", "Sphenomorphus fragosus", "Sphenomorphus tanneri", "Sphenomorphus anotus", "Sphenomorphus microtympanus", "Lophocnema mackeyi", "Gyrinodon quassus", "Micrecia capillaria", "Micrecia kuukuyau", "Micrecia hawkei", "Pertusaria jogyeensis", "Micrecia methyalina", "Oligophlebia insurgia", "Mielkeus tertianus", "Oligophlebia micra", "Sphenomorphus rarus", "Adercosaurus vixadnexus", "Arthrosaura montigena", "Sphenomorphus puncticentralis", "Mielkeus lucretius", "Nervia nerva", "Nervia nerva nerva", "Nervia nerva paola", "Nervia chaca", "Epimeria amoenitas", "Epimeria callista", "Aegerosphecia mysolica", "Acacia webbii", "Nervia heathi", "Nervia michaeli", "Aegerosphecia fulviventris", "Aegerosphecia rufea", "Sphecodoptera hiltoni", "Nervia mohozutza", "Nervia monostichus", "Sphecodoptera hiltoni hiltoni", "Nervia nancy", "Sphecodoptera hiltoni hibernia", "Nervia pinheyi", "Sphecodoptera cupreifascia", "Nervia protensa", "Lamellisphecia sanguinea", "Teinotarsina rubripes", "Melanosphecia dohertyi", "Melanosphecia atra", "Melittia doddi", "Melittia erythrina", "Osphantes ogowena", "Osphantes ogowena ogowena", "Melittia xanthodes", "Osphantes ogowena lulua", "Melittia flanneryi", "Melittia pyroptella", "Melittia chalybescens", "Melittia tigripes", "Pteroteinon laufella", "Acacia woodmaniorum", "Pteroteinon iricolor", "Pteroteinon laterculus", "Hypochilus bernardino", "Pteroteinon pruna", "Pteroteinon pruna pruna", "Hypochilus jemez", "Pteroteinon pruna reali", "Epimeria grandirostris", "Rhabdomantis galatia", "Rhabdomantis sosia", "Netrocoryne repanda", "Pertusaria radiata", "Epimeria debroyeri", "Nervia ekouyi", "Sphenomorphus tetradactylus", "Sphenomorphus cryptotis", "Sphenomorphus fuscolineatus", "Sphenomorphus papuae", "Sphenomorphus orientalis", "Sphenomorphus celebensis", "Sphenomorphus malaisei", "Sphenomorphus malayanus", "Sphenomorphus mimicus", "Sphenomorphus grandisonae", "Sphenomorphus lineopunctulatus", "Sphenomorphus fragilis", "Sphenomorphus derroyae", "Sphenomorphus incognitus", "Sphenomorphus darlingtoni", "Sphenomorphus helenae", "Sphenomorphus cameronicus", "Sphenomorphus bacboensis", "Sphenomorphus necopinatus", "Lepra leucosorodes", "Brachylicoa lui", "Pertusaria leucosora var. violascens", "Aparatermes thornatus", "Acacia walkeri", "Senegalia chundra", "Senegalia erubescens", "Epiparbattia multispinalis", "Senegalia ferruginea", "Senegalia galpinii", "Senegalia gilliesii", "Senegalia gourmaensis", "Merizocera baoshan", "Senegalia greggii", "Epimeria kharieis", "Epimeria oxicarinata", "Epimeria pulchra", "Acrochordus dehmi", "Oerane microthyrus neaera", "Lepra albopunctata", "Lepra alterimosa", "Tetracentron hopkinsii", "Hypochilus pococki", "Hypochilus coylei", "Hypochilus sheari", "Hypochilus kastoni", "Lepra tibetensis", "Hypochilus bonneti", "Hypochilus gertschi", "Hypochilus petrunkevitchi", "Raveniola sinani", "Raveniola birecikensis", "Oerane microthyrus", "Oerane microthyrus microthyrus", "Raveniola nana", "Raveniola anadolu", "Raveniola turcica", "Senegalia ataxacantha", "Raveniola marusiki", "Senegalia berlandieri", "Niviventer sacer", "Clubiona subyangmingensis", "Senegalia caesia", "Senegalia caffra", "Hypochilus thorelli", "Mariosousa heterophylla", "Netrocoryne repanda repanda", "Netrocoryne repanda expansa", "Trilacuna changzi", "Trilacuna hponkanrazi", "Trilacuna triseta", "Gymnophaps stalkeri", "Trilacuna zhigangi", "Trilacuna cuneata", "Netrocoryne thaddeus", "Zoropsis longensis", "Hypsibius vaskelae", "Raveniola beelzebub", "Sphenomorphus kinabaluensis", "Sphenomorphus maculicollus", "Sphenomorphus maindroni", "Sphenomorphus murudensis", "Raveniola adjarica", "Nosphistia zonara", "Lepra acroscyphoides", "Parasenegalia visco", "Raveniola dunini", "Leucinodella leucostola", "Leucinodella banthaensis", "Nokona kungkay", "Nokona bipora", "Nokona cyanopis", "Nokona hyalochrysa", "Lepra amaroides", "Archaeosesia milleri", "Senegalia hereroensis", "Merizocera betong", "Merizocera colombo", "Merizocera galle", "Merizocera hponkanrazi", "Merizocera kachin", "Merizocera kandy", "Merizocera mandai", "Merizocera krabi", "Merizocera kurunegala", "Merizocera lincang", "Merizocera mainling", "Senegalia intsia", "Senegalia kekapur", "Senegalia laeta", "Tropidophorus baviensis", "Tropidophorus beccarii", "Tropidophorus partelloi", "Senegalia nigrescens", "Achelura yunnanensis", "Achelura bani", "Achelura maymyoana", "Achelura sanguifasciata", "Tropidophorus davaoensis", "Tropidophorus mocquardii", "Parosmodes morantii", "Parosmodes morantii morantii", "Parosmodes morantii axis", "Parosmodes lentiginosa", "Parosmodes onza", "Merizocera nyingchi", "Merizocera peraderiya", "Merizocera phuket", "Merizocera putao", "Merizocera ranong", "Merizocera ratnapura", "Merizocera salawa", "Merizocera tak", "Merizocera tanintharyi", "Merizocera tengchong", "Merizocera thenna", "Merizocera uva", "Merizocera wenshan", "Merizocera wui", "Merizocera yala", "Merizocera yuxi", "Virgiscalpellum laevis", "Pares pares", "Pares maritza", "Lepra andersoniae", "Tropidophorus guangxiensis", "Sphenomorphus diwata", "Sphenomorphus haasi", "Sphenomorphus cyanolaemus", "Sphenomorphus taiwanensis", "Artena eccentrica", "Orses cynisca", "Senegalia macrostachya", "Tropidophorus robinsoni", "Tropidophorus thai", "Tropidophorus laotus", "Tropidophorus hainanus", "Senegalia martiusiana", "Orses itea", "Lepra amnicola", "Spaniocentra naingi", "Spaniocentra parvula", "Senegalia modesta", "Tropidophorus sinicus", "Tropidophorus perplexus", "Tropidophorus assamensis", "Senegalia praecox", "Senegalia pteridifolia", "Senegalia rugata", "Perus coecatus", "Hypephyra speciosa", "Perus cordillerae", "Perus menuda", "Perus minor", "Lepra asiana", "Senegalia occidentalis", "Senegalia olivensana", "Senegalia pennata", "Senegalia polyphylla", "Lepra aspergilla", "Senegalia polyacantha", "Senegalia polyacantha subsp. campylacantha", "Vachellia allenii", "Vachellia aroma", "Vachellia bidwillii", "Plastingia flavescens", "Plastingis aurantiaca aurantiaca", "Senegalia torta", "Colias edwardsii", "Senegalia welwitschii", "Caponina papamanga", "Colias edwardsii edwardsii", "Colias edwardsii astraea", "Tarsonops coronilla", "Virgiscalpellum marysensis", "Perus minor minor", "Pseudosacada flexuosa", "Perus minor manx", "Perus mossi", "Nasutonops sincora", "Nasutonops xaxado", "Tisentnops mineiro", "Colias fieldii", "Tisentnops onix", "Pemara pugnans", "Colias fieldii fieldii", "Colias fieldii chinensis", "Taintnops paposo", "Senegalia tenuifolia", "Nyetnops buruti", "Nyetnops lachonta", "Nyetnops naylienae", "Virgiscalpellum mhrilensis", "Tropidophorus baconi", "Colias christina sacajawea", "Colias edwardsii altiplano", "Oeneis alberta", "Oeneis alberta alberta", "Oeneis alberta ojibwe", "Vachellia choriophylla", "Oeneis calais altacordillera", "Euphydryas bernadetta", "Euphydryas bernadetta bernadetta", "Euphydryas bernadetta wenatchee", "Euphydryas anicia wecoeut", "Catagela atricostalis", "Ambulyx ochracea ochracea", "Ambulyx ochracea kyora", "Timandromorpha tibetana", "Vachellia collinsii", "Pyroneura aurantiaca", "Pyroneura aurantiaca aurantiaca", "Pyroneura aurantiaca aura", "Pyroneura aurantiaca montivaga", "Tropidophorus latiscutatus", "Tropidophorus matsuii", "Tropidophorus murphyi", "Tropidophorus noggei", "Polygonia faunus", "Veronica alaskensis", "Poladryas minuta", "Poladryas minuta minuta", "Poladryas minuta simador", "Chlosyne acastus", "Chlosyne acastus acastus", "Chlosyne acastus arkanyon", "Polygonia satyrus", "Polygonia satyrus satyrus", "Polygonia satyrus transcanada", "Polygonia oreas", "Polygonia oreas oreas", "Polygonia oreas satellow", "Scincella tsinlingensis", "Scincella przewalskii", "Scincella rufocaudata", "Scincella forbesorum", "Scincella huanrenensis", "Plastingia mangola", "Eloyella antioquiensis", "Echinorhyncha litensis", "Tsuga mertensiana subsp. grandicona", "Propertius phineus", "Aequorea vitrina", "Calypso bulbosa nothovar. kostiukiae", "Epimeria adeliae", "Epimeria geodesiae", "Virgiscalpellum multilineatum", "Isopachys anguinoides", "Isopachys roulei", "Isopachys gyldenstolpei", "Eirinicaris antonioi", "Echinosepala aspasicensis", "Plastingia naga", "Plastingia pellonia", "Plastingia telesinus", "Cretiscalpellum glabrum", "Dendrochilum stenochilum", "Plastingia tessellata", "Plastingia tessellata tessellata", "Plastingia tessellata tessa", "Erythrodes latifolia", "Ploetzia amygdalis", "Cretiscalpellum hardeni", "Eriopsis biloba", "Coelogyne longifolia", "Epimeria extensa", "Epimeria monodon", "Leptoseps poilani", "Leptoseps osellai", "Alexandrella chione", "Nangura spinosa", "Notoscincus ornatus", "Notoscincus butleri", "Fojia bumui", "Ophioscincus cooloolensis", "Ophioscincus ophioscincus", "Ophioscincus truncatus", "Pinoyscincus jagori", "Pinoyscincus abdictus", "Paralaophontodes anjae", "Paralaophontodes armatus", "Lacerta citrovittata", "Lacerta diplochondrodes", "Dendrobium spurium", "Exoasota pursatensis", "Boa imperator", "Boa nebulosa", "Epimeria iota", "Epimeria teres", "Plastingia vibernia", "Epimeria urvillei", "Epimeria puncticulata", "Virgiscalpellum rugosum", "Propertius propertius", "Epimeria annabellae", "Mascagnia lucida", "Sacada sikkima", "Sacada constrictalis", "Sacada discinota", "Sacada unilinealis", "Sacada inordinata", "Sacada dzonguensis", "Sacada umtasorensis", "Sacada pallescens", "Sacada decora", "Epicrocis datianensis", "Epicrocis maculata", "Epicrocis flabelloformis", "Virgiscalpellum sussexiense", "Eupoecilia curvifasciata", "Odontochilus buruensis", "Eupoecilia koreana", "Megacraspedus cottiensis", "Vachellia haematoxylon", "Aemene takahashii", "Nezara soror", "Ectropis cryptomeriae", "Nezara yunnana", "Vachellia constricta", "Vachellia cornigera", "Razowskiina fortunearia", "Razowskiina eurydice", "Argyrotaenia hemixia", "Argyrotaenia levidensa", "Vachellia cucuyo", "Vachellia davyi", "Aoria carinata", "Aoria costata", "Nezara similis", "Scopula tsushimana", "Ambulyx sericeipennis pirika", "Vachellia eburnea", "Vachellia nebrownii", "Nezara mendax", "Bebryce bocki", "Vachellia latispina", "Vachellia leucophloea", "Vachellia luederitzii", "Vachellia hebeclada", "Vachellia jacquemontii", "Elachista madridensis", "Elachista occidentella", "Vachellia karroo", "Vachellia kosiensis", "Nezara capicola", "Vachellia exuvialis", "Prosopalpus duplex", "Hepialiscus htayaungi", "Vachellia gerrardii", "Nezara immaculata", "Vachellia grandicornuta", "Acosmeryx akanshi", "Vachellia gummifera", "Bebryce asteria", "Lomelosia alpestris", "Cretiscalpellum imbricatum", "Virgiscalpellum truncatum", "Nezara robusta", "Vachellia oerfota", "Elachista minusculella", "Elachista blancella", "Elachista clintoni", "Elachista luqueti", "Elachista catalunella", "Basilepta cribricollis", "Elachista cuencaensis", "Vachellia nilotica subsp. indica", "Elachista vivesi", "Elachista vanderwolfi", "Vachellia nilotica subsp. subalata", "Vachellia nilotica subsp. tomentosa", "Vachellia tomentosa", "Copaeodes aurantiaca", "Cretiscalpellum longissimum", "Crassispira meunieri", "Copaeodes castanea", "Elachista casascoensis", "Elachista gielisi", "Elachista amparoae", "Elachista varensis", "Elachista gerdmaritella", "Elachista contisella", "Vachellia oviedoensis", "Elachista lerauti", "Vachellia planifrons", "Nezara naspira", "Metallolophia taleensis", "Vachellia suberosa", "Vachellia vernicosa", "Marumba gaschkewitschii gressitti", "Zographetus doxus", "Zographetus durga", "Cotachena brunnealis", "Cotachena taiwanalis", "Vachellia rorudiana", "Lomaspilis mitsuii", "Lomelosia aucheri", "Vachellia seyal", "Lomelosia austroaltaica", "Lomelosia brachycarpa", "Lomelosia camelorum", "Alcis anmashanensis", "Lomelosia candollei", "Lomelosia cyprica", "Lomelosia deserticola", "Harutalcis fumigata", "Vachellia sutherlandii", "Liparis longiracemosa", "Bebryce brunnea", "Marumba gaschkewitschii complacens", "Zographetus abima", "Marumba gaschkewitschii carstanjeni", "Marumba diehli", "Virgiscalpellum vendeensis", "Copaeodes eoa", "Cretiscalpellum macrum", "Micropacha zojka zojka", "Micropacha zojka bao", "Vachellia rehmanniana", "Vachellia xanthophloea", "Vachellia edgeworthii", "Cassia marksiana", "Zographetus kutu", "Zographetus ogygia", "Zographetus ogygia ogygia", "Cretiscalpellum naidini", "Cassia javanica subsp. renigera", "Herdonia titan", "Herdonia quadrilinea", "Nezara niamensis", "Herdonia notabilis", "Herdonia incrassata", "Bebryce boninensis", "Stathmopoda atrifusca", "Stathmopoda cellifaria", "Stathmopoda cornuta", "Stathmopoda digitiprocessa", "Stathmopoda dolichantha", "Stathmopoda falsistimulata", "Stathmopoda guangxiensis", "Stathmopoda ingena", "Stathmopoda liberata", "Stathmopoda purpurata", "Stathmopoda serrifasciaria", "Stathmopoda similatridorsalis", "Stathmopoda spinicornuta", "Panilla costipunctata", "Chamaecrista glandulosa var. swartzii", "Helonoma bifida", "Helonoma chiropterae", "Helonoma peruviana", "Chondrodactylus laevigatus", "Elasmodactylus tuberculosus", "Elasmodactylus tetensis", "Chamaecrista desvauxii var. latistipula", "Lomelosia epirota", "Chondrodactylus pulitzerae", "Lomelosia esfandiarii", "Chamaecrista desvauxii var. graminea", "Panilla minor", "Panilla dispila", "Panilla mila", "Chamaecrista fagonioides var. macrocalyx", "Cassia eremophila", "Herdonia burmana", "Herdonia scintillans", "Herdonia ochracea", "Herdonia striolata", "Herdonia erectilinea", "Herdonia subpulchella", "Herdonia concordia", "Herdonia fumosa", "Bebryce cactus", "Herdonia amabilis", "Herdonia terminalis", "Herdonia albipennis", "Bebryce cinerea", "Herdonia gigantea gigantea", "Herdonia gigantea vietnamensis", "Herdonia albiguttata", "Herdonia pallescens", "Picrostomastis curiosa", "Chamaecrista apoucouita", "Bebryce cofferi", "Helonoma americana", "Chamaecrista concinna", "Jesogammarus bousfieldi", "Pachydactylus oshaughnessyi", "Pachydactylus fasciatus", "Jesogammarus uchiyamaryui", "Pachydactylus purcelli", "Pachydactylus rugosus", "Pachydactylus mariquensis", "Pachydactylus namaquensis", "Pachydactylus scherzi", "Pachydactylus punctatus", "Pachydactylus formosus", "Pachydactylus gaiasensis", "Pachydactylus sansteynae", "Pachydactylus oreophilus", "Pachydactylus haackei", "Pachydactylus kladaroderma", "Pachydactylus waterbergensis", "Pachydactylus parascutatus", "Lomelosia divaricata", "Chamaecrista lineata", "Milionia carsteni carsteni", "Milionia carsteni translucida", "Chamaecrista lundii", "Chamaecrista machaeriifolia", "Lomelosia flavida", "Lomelosia leucactis", "Lomelosia macrochaete", "Vachellia reficiens", "Spinirta jinyunshanensis", "Spinirta forcipata", "Spinirta sparsula", "Vachellia rigidula", "Spinirta aurita", "Spinirta aviforma", "Spinirta quadrata", "Spinirta leigongshanensis", "Spinirta qizimeiensis", "Spinirta rugosa", "Vachellia robusta", "Spinirta qiaoliaoensis", "Meleonoma catenata", "Meleonoma dilativalva", "Meleonoma dorsibacilliformis", "Meleonoma longiprocessa", "Meleonoma parvissima", "Meleonoma tenuiuncata", "Meleonoma tianmushana", "Meleonoma triacantha", "Meleonoma ventrospinosa", "Meleonoma anisodonta", "Meleonoma lanceolata", "Meleonoma longaedeaga", "Meleonoma lunulata", "Meleonoma papillata", "Meleonoma rugulosa", "Cretiscalpellum obtusum", "Pachydactylus montanus", "Pachydactylus vanzyli", "Pachydactylus wahlbergii", "Collinslepas aitlaminensis", "Lomelosia oberti-manettii", "Lomelosia porphyroneura", "Lomelosia poecilocarpa", "Lomelosia pulsatilloides", "Lomelosia rhodantha", "Lomelosia rhodopensis", "Lomelosia roberti", "Lomelosia schimperiana", "Lomelosia speciosa", "Lomelosia ulugbekii", "Chamaecrista nomame", "Chamaecrista rotundata", "Lomelosia transcaspica", "Horvatia andicola", "Chamaecrista ursina", "Chamaecrista symonii", "Philomontanus sarii", "Philomontanus baloutchi", "Spiranthes incurva", "Isma protoclea", "Isma protoclea protoclea", "Philomontanus mahmoudi", "Lomelosia flavida f. enigmatica", "Isma protoclea bicolor", "Isma protoclea obscura", "Isma protoclea purpurascens", "Isma protoclea vulsina", "Lomelosia crenata subsp. breviscapa", "Lomelosia crenata subsp. dallaportae", "Bebryce crucifera", "Bebryce densa", "Bebryce grandicalyx", "Bebryce grandis", "Bebryce harpy", "Bebryce hicksoni", "Bebryce indica", "Bebryce inermis", "Bebryce mollis", "Bebryce otsuchiensis", "Bebryce parastellata", "Bebryce philippii", "Bebryce rigida", "Bebryce rotunda", "Bebryce satsumaensis", "Bebryce sirene", "Bebryce studeri", "Bebryce sulfurea", "Nezara orbiculata", "Bebryce tenuis", "Bebryce thomsoni", "Discogorgia acanthoides", "Lomelosia crenata subsp. pseudisetensis", "Noronhia olearia", "Pachydactylus geitje", "Chamaecrista basifolia", "Cretiscalpellum paucistriatum", "Trichopteryx fui", "Pennithera fuliginosa", "Pseudobaptria corydalaria", "Cytospora leucostoma", "Senna alexandrina var. alexandrina", "Pachyballus caelestis", "Pachyballus miniscutulus", "Pachyballus mombasensis", "Pachyballus ornatus", "Senna angustisiliqua", "Senna angustisiliqua var. angustisiliqua", "Lomelosia pulsatilloides subsp. pulsatilloides", "Senna arnottiana", "Senna artemisioides subsp. alicia", "Senna artemisioides subsp. artemisioides", "Senna artemisioides subsp. coriacea", "Senna artemisioides subsp. filifolia", "Collinslepas robustus", "Senna bacillaris var. bacillaris", "Hylophila mollis", "Pachyballus castaneus", "Pachyballus flavipes", "Pachyballus gambeyi", "Senna artemisioides subsp. helmsii", "Senna artemisioides subsp. oligophylla", "Lomelosia pulsatilloides subsp. macropoda", "Senna artemisioides subsp. petiolaris", "Senna artemisioides subsp. quadrifolia", "Senna artemisioides subsp. sturtii", "Lomelosia simplex subsp. dentata", "Isma bononia", "Isma bononia bononia", "Senna chapmanii", "Isma iapis", "Isma iapis iapis", "Isma iapis vulso", "Cretiscalpellum semiporcatum", "Albidella nymphaeifolia", "Pseudobaptria corydalaria corydalaria", "Pseudobaptria corydalaria japonica", "Senna cumingii var. cumingii", "Senna dariensis", "Senna georgica", "Senna georgica var. georgica", "Hylophila cheangii", "Pachyballus transversus", "Pachyballus variegatus", "Hylophila lanceolata", "Senna bicapsularis var. bicapsularis", "Hylophila nipponica", "Peplometus congoensis", "Peplometus nimba", "Hylophila rubra", "Peplometus biscutellatus", "Senna birostris var. birostris", "Peplometus chlorophthalmus", "Peplometus oyo", "Isma binotatus", "Senna brongniartii", "Asalebria rascala", "Asalebria alida", "Asalebria tutulla", "Ocrisiodes sesamella", "Ocrisiodes antiopa", "Asalebria florella", "Asalebria florella florella", "Asalebria florella chiclanensis", "Asalebria florella joesti", "Asalebria florella syriella", "Asalebria florella vartianae", "Asalebria exaspersata", "Solanum japonense", "Asalebria vernalis", "Callicarpa dolichophylla", "Afroplitis krooni", "Afroplitis kibwezi", "Senna ligustrina", "Afroplitis neglecta", "Jejewoodia jiewhoei", "Afroplitis tanzaniae", "Afroplitis kuehnei", "Afroplitis otti", "Afroplitis schwarzi", "Isma bononia bipunctata", "Parasitaxus usta", "Tropidia nagamasui", "Cuspidaria elegans", "Gymnancyla subgilvella", "Parnassius hunza", "Solanum megacarpum", "Parnassius hunza hunza", "Parnassius hunza stradomskyi", "Parnassius hunza abramovi", "Parnassius hunza eva", "Parnassius hunza tytlerrianus", "Capsulia tianmushana", "Isma bononia idyalis", "Collinslepas tunisiensis", "Senna hirsuta var. hirsuta", "Senna hirsuta var. puberula", "Senna italica subsp. italica", "Isma bononoides", "Ixyophora viridisepala", "Ixyophora advena", "Ixyophora aurantiaca", "Ixyophora carinata", "Ixyophora fosterae", "Ixyophora luerorum", "Cyno mordicans", "Cretiscalpellum sharapovi", "Isma cronus", "Pseudopus ahnikoviensis", "Pseudopus pannonicus", "Pseudopus laurillardi", "Zyzyxia lundellii", "Parkiana matutinalis", "Parkiana andasibensis", "Senna macranthera var. macranthera", "Senna macranthera var. striata", "Senna macrophylla", "Senna macrophylla var. gigantifolia", "Senna macrophylla var. macrophylla", "Senna meridionalis", "Senna montana", "Coleophora fasciella", "Isma dawna", "Torodora decaryella", "Torodora hiarakella", "Torodora kambanella", "Ajubus viridis", "Isma feralia fenestrata", "Pseudopus confertus", "Lasia nigritarsis", "Isma feralia lenya", "Asthena koreana", "Senna multijuga subsp. multijuga", "Parkiana adelella", "Parkiana janineae", "Parkiana rabenoroi", "Parkiana radamella", "Torodora ankasokella", "Torodora bariella", "Isma feralia", "Isma feralia feralia", "Isma guttulifera", "Isma guttulifera gutuliffera", "Isma guttulifera kuala", "Isma hislopi", "Isma miosticta", "Senna barronfieldii", "Isma umbrosa umbrosa", "Isma umbrosa", "Isma umbrosa ferox", "Melittia tabanus", "Melittia tao", "Ceratocorema woodstocki", "Senna rizzinii", "Isma dawna bonota", "Senna rugosa", "Isma dawna minuscla", "Allocybaeina littlewalteri", "Isma umbrosa contracta", "Bechyneia spinosa", "Senna pendula var. pendula", "Senna pendula var. glabrata", "Senna pentagonia", "Senna phlebadenia", "Endocarpon verrucosum", "Senna polyphylla var. polyphylla", "Senna quinquangulata var. quinquangulata", "Lemurella culicifera", "Nabangana koreana", "Senna silvestris subsp. silvestris", "Isma dawna dawna", "Pseudopus apodus thracius", "Zexmenia serrata", "Pseudopus apodus apodus", "Cretiscalpellum subcarinatum", "Nectonema agile", "Bebryce nuttingi", "Phyllanthopsis phyllanthoides", "Pseudokerana fulgur", "Senna spectabilis var. spectabilis", "Senna splendida var. splendida", "Senna stipulacea var. stipulacea", "Senna sulfurea", "Senna surattensis subsp. surattensis", "Calanthe himalaicum", "Calanthe kermodei", "Calanthe nguyenthinhii", "Virgilepas aboudaensis", "Pseudocopaeodes eunus", "Pseudocopaeodes eunus eunus", "Adenolobus pechuelii", "Protelbella alburna", "Protelbella alburna alburna", "Protelbella alburna brasiliensis", "Pseudocroniades machaon", "Pseudocroniades machaon machaon", "Pseudocroniades machaon seabrai", "Dopasia ludovici", "Dopasia harti", "Dopasia gracilis", "Dopasia wegneri", "Dopasia hainanensis", "Dopasia sokolovi", "Bauhinia bowkeri", "Paraivongius curtus", "Paraivongius disconotatus", "Paraivongius diversipennis", "Frisilia chandrai", "Frisilia yangbaei", "Paraivongius gabonicus", "Pseudocopaeodes eunus chromis", "Kuhlhasseltia javanica", "Kuhlhasseltia gilesii", "Kuhlhasseltia integra", "Cretiscalpellum unguis", "Atheris hetfieldi", "Dahlgrenodendron natalense", "Asplenium creticum", "Noteochordodes desantisi", "Noteochordodes saltae", "Noteochordodes talensis", "Hyalosaurus koellikeri", "Noteochordodes cymatium", "Noteochordodes achosmosus", "Pionites leucogaster xanthurus", "Pseudochordodes dugesi", "Pyrrhopygopsis socrates socrates", "Aa achalensis", "Aa lorentzii", "Aa schickendanzii", "Pyrrhopygopsis socrates crates", "Cretiscalpellum vallum", "Colasposoma crenulatum", "Pyrrhopygopsis socrates orasus", "Virgilepas peaki", "Virgilepas hancocki", "Sinojassus brevispinatus", "Paraivongius bicolorimembris", "Paraivongius bicoloripes", "Heth juli", "Heth vietnamensis", "Heth tonkinensis", "Heth taybaci", "Heth taynguyeni", "Senna acuruensis", "Senna holwayana var. holwayana", "Pyrrhopygopsis quispica", "Ophisaurus attenuatus longicaudus", "Bauhinia ramosissima", "Ophisaurus attenuatus attenuatus", "Bauhinia rufa", "Geodia carolae", "Bauhinia subrotundifolia", "Novalena attenuata", "Pyrrhopygopsis agaricon", "Pyrrhopygopsis agaricon agaricon", "Novalena bipartita", "Novalena bipunctata", "Pyrrhopygopsis agaricon nanta", "Novalena calavera", "Aa argyrolepis", "Aa aurantiaca", "Colasposoma argentatum", "Bauhinia tarapotensis", "Colasposoma badium", "Colasposoma coracinum", "Colasposoma tenebrosum", "Colasposoma austerum", "Colasposoma unicostatum", "Paraivongius geniculatus", "Pyrrhopygopsis socrates", "Paraivongius inapicalis", "Bauhinia corifolia", "Novalena ajusco", "Paraivongius limbatus", "Novalena alamo", "Paraivongius minimus", "Novalena alvarezi", "Paraivongius rufometallicus", "Novalena atzimbo", "Novalena bosencheve", "Paraivongius theresae", "Bauhinia curvula", "Paraivongius varicolor", "Paraivongius viridecinctus", "Paraivongius viridicollis", "Paraivongius viridipes", "Paraivongius testaceipes", "Pathius pici", "Phascus chopardi", "Phascus instriatus", "Sarum monardi", "Lemurella pallidiflora", "Lemurella papillosa", "Timentes camerunensis", "Lemurella virescens", "Bauhinia dipetala", "Colasposoma purcharti", "Colasposoma hajeki", "Colasposoma atrocyaneum", "Colasposoma brevepilosum", "Cretiscalpellum venustum", "Colasposoma brevepilosum brevepilosum", "Colasposoma brevepilosum maritimum", "Colasposoma brevepilosum orientale", "Aa calceata", "Aa colombiana", "Chordodes mobensis", "Chordodes queenslandi", "Heth imias", "Heth baracoa", "Chordodes brevipilus", "Chordodes jandae", "Chordodes jelkae", "Cercis cyclophylla", "Chordodes parabipilus", "Novalena costata", "Novalena intermedia", "Chordodes gariazzi", "Chordodes heinzei", "Novalena laticava", "Novalena paricutin", "Novalena perote", "Novalena plata", "Bauhinia mollis", "Novalena poncei", "Novalena popoca", "Novalena prieta", "Novalena puebla", "Novalena punta", "Novalena rothi", "Novalena saltoensis", "Novalena sinaloa", "Novalena tacana", "Novalena triunfo", "Novalena valdezi", "Novalena victoria", "Novalena volcanes", "Novalena annamae", "Bauhinia petiolata", "Novalena chamberlini", "Novalena cieneguilla", "Novalena cintalapa", "Prioniturus mindorensis", "Novalena clara", "Novalena comaltepec", "Novalena creel", "Novalena dentata", "Novalena divisadero", "Novalena durango", "Novalena franckei", "Novalena garnica", "Novalena gibarrai", "Novalena irazu", "Novalena iviei", "Novalena ixtlan", "Novalena jiquilpan", "Novalena leonensis", "Novalena mexiquensis", "Novalena oaxaca", "Pagosvenator candelariensis", "Pseudochordodes manteri", "Heth costata", "Heth xaniophora", "Heth sutherlandi", "Heth zeuglocantha", "Spinochordodes skrjabini", "Tutunema tutu", "Chordodes ferox", "Chordodes congolensis", "Chordodes madagascariensis", "Chordodes sandoensis", "Chordodes schoutedeni", "Chordodes capensis", "Chordodes clavatus", "Chordodes digitatus", "Chordodes tuberculatus", "Chordodes albibarbatus", "Chordodes kenyaensis", "Chordodes colchis", "Chordodes anthophorus", "Rhynchophora humbertii", "Pyrrhopygopsis romula tenebricosa", "Ralis coyana", "Ralis concolor", "Aa denticulata", "Hypericum taihezanense", "Wollastonia populifolia", "Phanera aureifolia", "Chordodes lasuboni", "Bauhinia forficata subsp. forficata", "Heth ortonwilliamsi", "Ceratina macondiana", "Acanthacis austera", "Acanthacis scabra", "Cherax depressus", "Watersipora subtorquata", "Pyrrhopygopsis romula lugubris", "Begonia beijnenii", "Griffonia physocarpa", "Lysiphyllum strychnifolium", "Heth baudini", "Chordodes koreensis", "Heth impalutiensis", "Phanera coccinea", "Chordodes combiareolatus", "Novalena lutzi", "Cheniella corymbosa", "Novalena orizaba", "Novalena shlomitae", "Chordodes kolensis", "Chordodes muelleri", "Novalena simplex", "Gigasiphon dolichocalyx", "Chordodes ruandensis", "Novalena bola", "Gigasiphon macrosiphon", "Novalena mayae", "Novalena padillai", "Butorides striata javanica", "Novalena zootaxa", "Chordodes africanus", "Pyrrhopygopsis romula", "Pyrrhopygopsis romula romula", "Chordodes hawkeri", "Elgaria kingii kingii", "Elgaria kingii ferruginea", "Atalasis sagroides", "Showajidaia sagamiensis", "Cheniella glauca", "Sagra femorata", "Phanera integrifolia subsp. cumingiana", "Pirdana hyela", "Pirdana hyela hyela", "Physocyclus xerophilus", "Sagra humeralis", "Proverruca anglica", "Sagra jansoni", "Sagra moghanii", "Sagra mouhoti", "Sagra odontopus", "Stereochilus arunachalensis", "Watersipora cucullata", "Elgaria velazquezi", "Aechmea abbreviata", "Aechmea amicorum", "Aechmea ampla", "Aechmea andersonii", "Odontella rapoporti", "Piliostigma foveolatum", "Borgesminthurinus andinus", "Piliostigma racemosum", "Oudemansia chenorum", "Phanera japonica", "Physocyclus bicornis", "Physocyclus reddelli", "Physocyclus merus", "Physocyclus pedregosus", "Physocyclus modestus", "Physocyclus validus", "Physocyclus lautus", "Phanera similis", "Phanera sirindhorniae", "Arcuatoscalpellum arcuatum", "Phyllozetes aldretei", "Sagra carbunculus", "Sagra fulgida", "Piliostigma rufescens", "Acheroxenylla lipsae", "Pyrrhura amazonum snethlageae", "Pseudachorudina navarretei", "Furculanurida bistribus", "Psolos fuligo", "Bibasis sena senata", "Palmanura mirabilis mirabilis", "Palmanura mirabilis longa", "Spuriopimpinella koreana", "Bibasis sena uniformis", "Schnella guianensis var. guianensis", "Schnella maximiliani", "Schnella outimouta", "Aechmea aculeatosepala", "Aechmea aenigmatica", "Aechmea aguadocensis", "Sagra bicolor", "Sagra coeruleata", "Sagra congoana", "Sagra diversepunctata", "Aechmea alba", "Sagra ferox", "Sagra minor", "Sagra senegalensis", "Sagra tristis", "Sagra violacea", "Schnella carvalhoi", "Hylaeanura emiliae", "Cosberella mendozarum", "Anthotium humile", "Pseudocrangonyx gudariensis", "Denisiella rhizophorae", "Denisiella betschi", "Denisiella caatingae", "Tylosema angolense", "Ochradiscus ochradeni", "Orobdella brachyepididymis", "Orobdella nakahamai", "Orobdella okanoi", "Orobdella yamaneae", "Watersipora subatra", "Burara vasutana", "Perichares philetes", "Prionesthis fraternus", "Prionesthis funerarius", "Prionesthis obscurithorax", "Perichares furcata", "Prionesthis transactor", "Palmanura sernaius", "Palmanura goyai", "Palmanura hieronimus", "Palmanura quetzalae", "Palmanura klompeni", "Palmanura moralesi", "Palmanura contrerasi", "Palmanura axelretanai", "Palmanura guilleni", "Bibasis sena palawana", "Palmanura matildae", "Palmanura lindquisti", "Palmanura schusteri", "Palmanura lacandona", "Palmanura curta", "Arcuatoscalpellum trilineatum", "Palmanura pascuali", "Palmanura wilsoni", "Palmanura normae", "Palmanura colotlipa", "Palmanura mirabilis", "Intsia bijuga var. bijuga", "Sensillanura santizaragozai", "Sensillanura austriaca", "Anthonotha lamprophylla", "Xenylla uniseta", "Friesea jugoslavica", "Burara etelka", "Burara etelka etelka", "Albidella acanthocarpa", "Onychiurus acuitlapanensis", "Burara oedipodea edipodea", "Brachystegia tamarindoides", "Belba clavasensilla", "Arrhopalites gnaspinius", "Arrhopalites amorimi", "Arrhopalites lawrencei", "Arrhopalites vazquezae", "Arrhopalites hennigius", "Arrhopalites wallacei", "Arrhopalites christianseni", "Pecteilis korigadensis", "Brownea coccinea subsp. capitella", "Watersipora mawatarii", "Watersipora souleorum", "Aa erosa", "Aa fiebrigii", "Trichoribates tepetlensis", "Trichoribates ocotlicus", "Brownea leucantha", "Beatogordius chinensis", "Browneopsis ucayalina", "Gordionus bageli", "Ceratophysella najtae", "Burara oedipodea excellens", "Albidella glandulosa", "Albidella oligococca", "Pumilinura gneiweri", "Burara etelka imperialis", "Schoettella janiae", "Brachystomella barrerai", "Brachystomella minimucronatus", "Gerrhonotus infernalis", "Gerrhonotus farri", "Gerrhonotus parvus", "Gerrhonotus ophiurus", "Gerrhonotus lugoi", "Brachystomella taxcoana", "Eoverruca aubensis", "Brachystomella gabrielae", "Brachystomella montebella", "Brachystomella zapatai", "Rapoportella margaritae", "Rapoportella sigwalti", "Americanura najtae", "Gordionus barbatus", "Crudia bantamensis", "Gordionus turkensis", "Crudia spicata", "Crudia blancoi", "Acherontiella colotlipana", "Gordius undulatus", "Crudia zeylanica", "Gordius terminosetosus", "Gordius spiridonovi", "Trogolaphysa ecuatorica", "Aa lehmannii", "Trogolaphysa hondurasensis", "Trogolaphysa marimutti", "Aa leucantha", "Trogolaphysa relicta", "Aa macra", "Aa maderoi", "Aa mandonii", "Aa matthewsii", "Cynometra beddomei", "Uscia mexicana", "Cynometra iripa", "Nepalomyia dilaticosta", "Nepalomyia hesperia", "Cynometra malaccensis", "Nepalomyia nigricornis", "Nepalomyia sombrea", "Cynometra phaselocarpa", "Dactylorhiza \u00d7 mixta", "Eoverruca symmetrica", "Cynometra travancorica", "Burara amara", "Watersipora arcuata", "Gordius balticus", "Gordius longissimus", "Typhlogastrura veracruzana", "Burara oedipodea ataphus", "Acherontiella mac", "Trogolaphysa oztotlica", "Burara oedipodea belesis", "Burara oedipodea paltra", "Trogolaphysa xtolokensis", "Trogolaphysa toroi", "Trogolaphysa yoshiia", "Trogolaphysa haitica", "Trogolaphysa variabilis", "Trogolaphysa nacionalica", "Aa hieronymi", "Trogolaphysa jamaicana", "Diotascalpellum angustatum", "Alstroemeria achirae", "Alstroemeria albescens", "Alstroemeria altoparadisea", "Alstroemeria amabilis", "Buzella mellanaformis", "Alstroemeria amazonica", "Didelotia korupensis", "Soestia zonaria", "Terwasipora complanata", "Burara aphrodite", "Burara gomata gomata", "Burara gomata kanara", "Salvia nubicola", "Burara gomata lalita", "Ecuadendron acosta-solisianum", "Gilbertiodendron brachystegioides", "Willowsia mexicana", "Heterostemon ellipticus", "Humboldtia brunonis", "Humboldtia brunonis var. brunonis", "Humboldtia decurrens", "Humboldtia unijuga", "Annea afzelii", "Hymenostegia bakeriana", "Berlinia brazzavillensis", "Burara harisa niasana", "Burara harisa grandis", "Burara harisa pala", "Plagiosiphon longituba", "Actinocheita filicina", "Talbotiella korupensis", "Burara gomata lara", "Bletia adenocarpa", "Haromyia iviei", "Hymenostegia brachyura", "Hymenostegia floribunda", "Hymenostegia viridiflora", "Burara gomata lorquini", "Burara gomata radiosa", "Lebruniodendron leptanthum", "Imparipes tocatlphilus", "Aa microtidis", "Aa riobambae", "Ixobrychus dubius", "Burara harisa", "Burara harisa harisa", "Aa rosei", "Scapheremaeus volcanicus", "Macrolobium taxifolium", "Macrolobium bifolium", "Veleroa veleronis", "Aa sphaeroglossa", "Micklethwaitia carvalhoi", "Amoana kienastii", "Amoana latipetala", "Burara harisa consobrina", "Oddoniodendron micranthum", "Amphipterygium amplifolium", "Pedesta hyrie merea", "Pedesta hyrie hyrie", "Pedesta jinoae", "Paragordionus ibericus", "Sovia wenhaoi", "Deuterosminthurus delatorrei", "Deuterosminthurus maassius", "Friesea judithae", "Friesea tepetlana", "Friesea macuillimitl", "Friesea josei", "Afrius flavirostrum", "Friesea filli", "Friesea jaliscoensis", "Ludens ludens", "Ludens levina", "Atalopedes lina", "Morvina morvus", "Atalopedes campestris", "Atalopedes campestris campestris", "Atalopedes campestris huron", "Ozolaimus linstowi", "Lucida lucia", "Barrolla barroni", "Scapheremaeus chaac", "Scapheremaeus mahunkaius", "Scapheremaeus grahamius", "Scapheremaeus morulisensillatus", "Scapheremaeus magdalenae", "Scapheremaeus schatzi", "Talbotiella velutina", "Scapheremaeus baloghius", "Hessebius luculentus", "Scapheremaeus tillandsiophilus", "Scapheremaeus nogueraius", "Scapheremaeus hectorperezius", "Tetraberlinia korupensis", "Scapheremaeus fungisetosus", "Scapheremaeus eugenius", "Scapheremaeus simplex", "Scapheremaeus alvarezius", "Scapheremaeus anteriorugosus", "Neosuctobelba madegassica", "Pilobatella brevipila", "Pergalumna bicristata", "Pergalumna infinita", "Troyus turneri", "Petersenaspis deani", "Petersenaspis capillata", "Acisanthera hedyotoidea", "Cherax preissii", "Diotascalpellum campus", "Aphelandra variegata", "Burara striata", "Barleria gibsonii", "Dicliptera peruviana", "Justicia thunbergioides", "Gordionus scaber", "Gordius albopunctatus", "Paragordionus dispar", "Gordionus strigatus", "Gordionus lunatus", "Gordionus thuringensis", "Gordionus sulcatus", "Gordionus meissneri", "Amphipterygium glaucum", "Stachorutes maya", "Troglobius coprophagus", "Fukuiraptor kitadaniensis", "Sternaspis andamanensis", "Sternaspis thorsoni", "Arrhopalites papaveroi", "Blepharis lineariifolia", "Blepharis spinescens", "Lon melane", "Phlogacanthus guttatus", "Lon taxiles", "Muschampia orientalis", "Muschampia stauderi", "Muschampia dravira", "Dicliptera sexangularis", "Pseuderanthemum albiflorum", "Mauretanaspis longichaeta", "Caulleryaspis villamari", "Caulleryaspis nuda", "Caulleryaspis laevis", "Caulleryaspis gudmundssoni", "Caulleryaspis fauchaldi", "Petersenaspis salazari", "Petersenaspis palpallatoci", "Petersenaspis harrisae", "Isotomodes carioca", "Xenyllodes unguidentatus", "Anisantherina hispidula", "Stenandrium pinetorum", "Stenandrium barbatum", "Burara jaina", "Burara jaina jaina", "Cosmianthemum brookeae", "Burara jaina velva", "Dicliptera spicata", "Justicia hygrophiloides", "Dicliptera francodavilae", "Superodontella tlaloci", "Amphipterygium molle", "Burara jaina astigmata", "Paraphelidium tribonematis", "Amphipterygium simplicifolium", "Burara jaina fergusonii", "Loasa pallida", "Paraphelidium letcheri", "Burara jaina formosana", "Burara jaina margana", "Burara owstoni", "Holothrix cernua", "Acanthus arboreus", "Pirdana hyela major", "Abrahamia thouvenotii", "Ruellia tubiflora", "Abrahamia sericea", "Abrahamia nitida", "Strobilanthes sabiniana", "Abrahamia revoluta", "Abrahamia sambiranensis", "Abrahamia suarezensis", "Abrahamia turkii", "Abrahamia buxifolia", "Abrahamia deflexa", "Abrahamia ditimena", "Abrahamia humbertii", "Abrahamia ibityensis", "Abrahamia lecomtei", "Abrahamia louvelii", "Abrahamia viguieri", "Stachia xicoana", "Achipteria mayariana", "Dicliptera martinicensis", "Burnsius albescens", "Burnsius oileus", "Eulophia ensata", "Pirdana hyela rudolphii", "Abrahamia antongilensis", "Abrahamia betamponensis", "Abrahamia capuronii", "Abrahamia darainensis", "Abrahamia delphinensis", "Glaucidium sylvaticum", "Abrahamia ellipticarpa", "Abrahamia elongata", "Abrahamia itremoensis", "Abrahamia lenticellata", "Abrahamia littoralis", "Abrahamia lokobensis", "Abrahamia longipetiolata", "Abrahamia minutifolia", "Abrahamia patrickii", "Abrahamia phillipsonii", "Pseuderanthemum maculatum", "Scepastopyga semiflava", "Pirdana distanti", "Pirdana distanti distanti", "Whitfieldia lateritia", "Cylindrophis slowinskii", "Bulbophyllum scaberulum", "Mackaya atroviridis", "Aphelidium arduennense", "Elaphurus formosanus", "Gegenes nostrodamus", "Pirdana distanti pavona", "Pirdana distanti spenda", "Afrogegenes hottentota", "Afrogegenes ocra", "Porphyrophora hamelii", "Pirdana fusca", "Pseudoborbo bevani", "Abrahamia latifolia", "Zenonoida eltola", "Zenonoida discreta", "Ozolaimus megatyphlon", "Zinaida nascens", "Zinaida fukia fukia", "Polytremis lubricans", "Pirdana ismene", "Acrobolbus sumatranus", "Acrobolbus ochrophyllus", "Abrahamia pauciflora", "Acrobolbus knightii", "Abrahamia oblongifolia", "Abrahamia grandidieri", "Larsenia holtzi", "Borbo borbonica", "Tonkinosoma tiani", "Satyrium coriifolium", "Acrobolbus flavicans", "Saurauia elegans", "Neoscirula flechtmanni", "Neoscirula queirozi", "Gordius robustus", "Goebelobryum unguiculatum", "Typhlogastrura elsarzolae", "Saccogynidium vasculosum", "Allospondias lakonensis", "Trogolaphysa belizeana", "Acrobolbus pseudosaccatus", "Neoscirula aliciae", "Acrobolbus viridis", "Friesea mucumontana", "Friesea lobulata", "Friesea sensillata", "Fuscozetes cuauhtemoctzini", "Pseudopirdana albicornis", "Neoscirula oliveirai", "Neoscirula baloghi", "Neoscirula hoffmannae", "Neoscirula theroni", "Neoscirula natalensis", "Gordionus linourgos", "Gordionus diligens", "Priacanthus liui", "Anacardium amapaense", "Anacardium brasiliense", "Phylloribatula xanthoparmeliae", "Rigga ira", "Rigga oeagrus", "Anacampseros crinita", "Rigga paramus", "Rigga sapala", "Trhypochthonius tepoztecus", "Archegozetes veracruzensis", "Archegozetes chamelensis", "Nothrus jaliscoensis", "Nothrus magnus", "Delosperma brunnthaleri", "Baoris oceia", "Allospondias laxiflora", "Iton semamora", "Iton watsonii", "Zenonia zeno", "Pelopidas thrax", "Parnara amalia", "Schwantesia ruedebuschii", "Anacardium caracolii", "Crinum venosum", "Aphelidium deformans", "Acherontides bullocki", "Acherontides pappogeomysae", "Schizoretepora calveti", "Mesembryanthemum digitatum", "Eriopsis amazonica", "Eriopsis rutidobulbon", "Eriopsis sceptrum", "Satyrium pumilum", "Malaconothrus calcehtokensis", "Satyrium longicauda", "Antimima evoluta", "Malaconothrus granulosus", "Malaconothrus chajulensis", "Satyrium longicauda var. longicauda", "Allonothrus tuxtlasensis", "Satyrium longicauda var. jacottetianum", "Braunsia apiculata", "Anacampseros retusa subsp. retusa", "Schizoretepora solanderia", "Schizoretepora dentata", "Schizoretepora aviculifera", "Tabasconura tapijulapana", "Honduranura centraliamericana", "Pudicitia pholus", "Ceratophysella moroni", "Nahuanura ce", "Americanura unguimitl", "Americanura castillorum", "Nahuanura ome", "Nahuanura yei", "Nahuanura trioculata", "Rigga auristriga", "Rigga hesia", "Japanocorus coeruleipennis", "Anacardium curatellifolium", "Schizoretepora hassi", "Denisiella colombiana", "Grahamia bracteata", "Sarbia xanthippe", "Sarbia xanthippe xanthippe", "Sarbia xanthippe spixii", "Trichoscypha acuminata", "Sarbia antias", "Ozolaimus ctenosauri", "Anacardium fruticosum", "Balazsella ilhabellae", "Balazsella mexicana", "Annona acuminata", "Annona cascarilloides", "Annona crassivenia", "Eremella matildebellae", "Micreremus rafaelius", "Denisiella maesorum", "Denisiella diomedesi", "Denisiella nayarita", "Pseudosarbia phoenicola", "Pseudosarbia flavofasciata", "Aizoanthemum galenioides", "Acherontides juxtlahuacaensis", "Gunniopsis intermedia", "Hypozetes stellifer", "Marsypopetalum modestum", "Megazetes lineatus", "Sarbia catomelaena", "Alsodeiopsis chippii", "Goniothalamus uvarioides", "Goniothalamus monospermus", "Troglospinotheca refsgaardiorum", "Artabotrys monteiroae", "Metaphorura riozoi", "Mesaphorura matilei", "Mischogyne elliotiana", "Ramicandelaber longisporus", "Alsodeiopsis poggei", "Bocagea viridis", "Afrius kolleri", "Mosannona pacifica", "Klarobelia megalocarpa", "Alsodeiopsis rowlandii", "Stenoglottis macloughlinii", "Goniurosaurus gezhi", "Alsodeiopsis chippii subsp. rubra", "Alsodeiopsis chippii subsp. villosa", "Alsodeiopsis mannii", "Onychiurus lagunensis", "Annona sclerophylla", "Onychiurus lotius", "Onychiurus trilobatus", "Protaphorura hoguei", "Tullbergia bassolsae", "Goniothalamus calvicarpus", "Tullbergia aliciae", "Tullbergia javieri", "Goniothalamus griffithii", "Habenaria dives", "Goniothalamus malayanus", "Scapheremaeus hungarorum", "Myconymphaea yatsukahoi", "Mycoemilia scoparia", "Sarbia curitiba", "Sarbia damippe", "Acaroceras interiunctus", "Goniothalamus ridleyi", "Sarbia oneka", "Acaroceras taurus", "Sarbia soza", "Goniothalamus scortechinii", "Goniothalamus tenuifolius", "Pseudachorutes lishanensis", "Schizoretepora pungens", "Anisopoda bupleuroides", "Pseudachorutes jianxiucheni", "Pseudachorutes wandae", "Agraphorura xuae", "Pronura gaucheri", "Pronura paraguayana", "Satarupa valentini", "Anginon difforme", "Anginon fruticosum", "Satarupa gopala", "Trimalaconothrus pitentzin", "Sarbia pertyi", "Trimalaconothrus almagrensis", "Trimalaconothrus canopeus", "Trimalaconothrus eichhornicus", "Trimalaconothrus lisosetosus", "Trimalaconothrus magnisetosus", "Schizoretepora imperati", "Philibertia campanulata", "Huernia longituba", "Prathapanius fortis", "Blakealtica fusca", "Satarupa zulla", "Alsodeiopsis schumannii", "Taiwanoshaira chujoi", "Taiwanoshaira taipingshanensis", "Taiwanoshaira tsoui", "Friesea stevenchowni", "Ramicandelaber brevisporus", "Friesea capensis", "Furculanurida guatemalensis", "Furculanurida septemoculata", "Taraxacum desertorum", "Diotascalpellum conradi", "Ramicandelaber fabisporus", "Alsodeiopsis staudtii", "Schizoretepora serratimargo", "Schizoretepora robusta", "Arum euxinum", "Arum gratum", "Arum hainesii", "Cyanella hyacinthoides", "Satarupa zulla zulla", "Arum jacquemontii", "Anaxeton asperum", "Satarupa zulla ouvrardi", "Arum megobrebi", "Cyanella alba", "Arum orientale subsp. longispathum", "Anaxeton hirsutum", "Arum rupicola", "Satarupa splendens", "Cyanella alba subsp. alba", "Anaxeton laeve", "Arum rupicola var. rupicola", "Arum rupicola var. virescens", "Saturapa gopala gopala", "Arum sintenisii", "Arum \u00d7 sooi", "Theopea bicoloroides", "Aa trilobulata", "Aa weddelliana", "Pseudotheopea aeneipennis", "Gesta gesta", "Gesta propertius", "Vitronura quartadecima", "Sapindus chrysotrichus", "Sapindus delavayi", "Hydrocotyle grossularioides", "Sapindus drummondii", "Sapindus lippoldii", "Sapindus tomentosus", "Hydrocotyle capitata", "Sminthurinus imperialis", "Hydrocotyle acutiloba", "Hydrocotyle bonplandii", "Folsomides californicus", "Dactylis glomerata subsp. lobata", "Isotogastrura mucrospatulata", "Baccharis caprariifolia", "Populus cathayana var. latifolia", "Populus cathayana var. pedicellata", "Calpodes salius", "Populus cathayana var. cathayana", "Saturapa gopala malaya", "Anisopappus chinensis", "Anisopappus chinensis subsp. chinensis", "Satarupa majasra", "Artemisia molinieri", "Lidbeckia lobata", "Alsodeiopsis zenkeri", "Arachnis seramensis", "Oreostemma alpigenum var. andersonii", "Anaxeton brevipes", "Pallenis cuspidata", "Pallenis cuspidata subsp. cuspidata", "Pallenis cuspidata subsp. canescens", "Ozolaimus cirratus", "Ozolaimus monhystera", "Neja marginata", "Hylaeanura mendoncae", "Mexicaphorura guerrerensis", "Erynnis marloyi", "Baccharis arbutifolia", "Baccharis macrantha", "Baccharis macrantha subsp. macrantha", "Hydrocotyle filipes", "Pampusana canifrons", "Pampusana erythroptera", "Folsomides yucatanicus", "Folsomides socorrensis", "Pampusana beccarii", "Folsomides chichinautzini", "Pampusana beccarii beccarii", "Pampusana ferruginea", "Pampusana hoedtii", "Pampusana jobiensis", "Pampusana kubaryi", "Pampusana rubescens", "Pampusana salamonis", "Pampusana sanctaecrucis", "Arum italicum subsp. albispathum", "Arum italicum subsp. canariense", "Arum italicum subsp. neglectum", "Johannesteijsmannia perakensis", "Pampusana stairi", "Morulina nucifera", "Pampusana xanthonura", "Schizoretepora elongata", "Paraclaravis geoffroyi", "Paraclaravis mondetoura", "Pseudotheopea azurea", "Anaxeton ellipticum", "Pseudotheopea boreri", "Pseudotheopea gressitti", "Pseudotheopea hsingtzungi", "Pseudotheopea kimotoi", "Habenaria amplifolia", "Pseudotheopea leehsuehae", "Pseudotheopea smaragdina", "Pseudotheopea sufangae", "Pseudotheopea nigrita", "Pseudotheopea similis", "Borneotheopea jakli", "Borneotheopea kalimantanensis", "Seseria sesame", "Seseria affinis kirmana", "Bidens rubicundula", "Vanderwaltozyma yarrowii", "Austrodecus bamberi", "Diotascalpellum curvatum", "Altensteinia cundinamarcae", "Walleria nutans", "Seseria affinis niasica", "Acanthogorgia hirsuta", "Seseria affinis javanensis", "Anthogorgia divaricata", "Bellucia mespiloides", "Shorea curtisii subsp. curtisii", "Shorea curtisii subsp. grandis", "Aralia excelsa", "Aralia tibetana", "Aralia soratensis", "Bolivaridia revillagigedo", "Bolivaridia chamelana", "Hydrocotyle hirsuta var. leptostachys", "Vitronura setaebarbulata", "Cancrocaeca xenomorpha", "Seseria dohertyi", "Seseria dohertyi dohertyi", "Seseria dohertyi scona", "Seseria dohertyi salex", "Seseria sambara", "Seseria sambara sambara", "Seseria sambara indosinica", "Diotascalpellum diota", "Casimirella ampla", "Aciphylla anomala", "Aciphylla crenulata", "Aciphylla crosby-smithii", "Vanderwaltozyma meishanica", "Decarthrocera viberti", "Vanderwaltozyma huisunica", "Vanderwaltozyma molinica", "Aciphylla dissecta", "Comaclinium montanum", "Neolamarckia macrophylla", "Blennosperma chilense", "Dioscore vilu", "Dioscore kirke", "Halysidota witti", "Halysidota leda guadulpensis", "Syntrichopappus fremontii", "Spinaethorax spinotricosus", "Aciphylla divisa", "Spinaethorax tonoius", "Paralobella breviseta", "Blennosperma nanum var. nanum", "Pergalumna hypergranulosa", "Blennosperma nanum var. robustum", "Pergalumna obsidiana", "Pergalumna dactylaris", "Isotogastrura praiana", "Seseria formosana", "Calicotis cuspidata", "Calicotis dilatata", "Calicotis uncinata", "Seseria strigata", "Artemisia monosperma", "Neonerita dorsipuncta", "Calcigorgia lukini", "Neonerita martinezi", "Calcigorgia herba", "Neonerita bernardoespinozai", "Apiconoma opposita", "Seseria affinis", "Seseria affinis affinis", "Artemisia inculta", "Apiconoma witti", "Apiconoma mojui", "Glaucostola indagata", "Vanderwaltozyma polyspora", "Scolymus hispanicus subsp. hispanicus", "Scolymus hispanicus subsp. occidentalis", "Sebastonyma dolopia", "Arlesminthurus franzkafkai", "Scolymus \u00d7 castaneus", "Pilogalumna rosauraruizae", "Trichogalumna mexicana", "Sebastonyma pudens", "Varelasminthurus potiguarus", "Vanderwaltozyma verrucispora", "Carphephorus odoratissimus", "Aethiopella pilarandresae", "Vanderwaltozyma tropicalis", "Lagenophora hirsuta", "Australonura limnophila", "Sebastonyma suthepiana", "Australonura friasica", "Calcigorgia gigantea", "Calcigorgia gracilis", "Calcigorgia pacifica", "Aciphylla takahea", "Nassauvia pygmaea", "Senecio speciosus", "Suastus everyx", "Suastus everyx everyx", "Americanura belicensis", "Americanura densi", "Paraxenylla mahahualana", "Microgastrura nanacatlica", "Microgastrura sofiae", "Friesea laszloi", "Nassauvia pygmaea var. intermedia", "Ceratophysella rogerarlei", "Pulicaria hildebrandtii", "Ceratophysella nataliae", "Suastus minuta aditia", "Pancratium arabicum", "Chiroderma scopaeum", "Pancratium bhramarambae", "Pancratium telanganense", "Choreutinula americana", "Choreutinula yinae", "Paranura colombiana", "Stimula swinhoei", "Stimula swinhoei swinhoei", "Stimula swinhoei disca", "Saxifraga consanguinea", "Suastus gremius", "Suastus gremius gremius", "Suastus gremius chilon", "Suastus gremius subgrisea", "Aciphylla flexuosa", "Diotascalpellum fossula", "Aciphylla horrida", "Macrobrachium nobilii", "Aciphylla inermis", "Aciphylla kirkii", "Aciphylla latibracteata", "Theopea bicolor", "Sturmius panamensis", "Theopea mouhoti", "Suastus migreus", "Acaroceras oaxacanus", "Adelocaryum coelestinum", "Adelocaryum lambertianum", "Pseudotheopea aureoviridis", "Pseudotheopea cheni", "Pseudotheopea collaris", "Pseudotheopea irregularis", "Pseudotheopea kanmiyai", "Pancratium biflorum", "Pancratium centrale", "Pancratium donaldii", "Pancratium landesii", "Pancratium nairii", "Pancratium parvicoronatum", "Suastus minuta", "Suastus minuta minuta", "Pancratium sanctae-mariae", "Aciphylla monroi", "Protozetes clavatus", "Schalleria mexicana", "Palmanura saham", "Yuukianura aphoruroides", "Lohmannia maya", "Paleonura borincana", "Suastus minuta aditus", "Scapheremaeus dirzoius", "Suastus minuta scopas", "Quercus garryana var. garryana", "Quercus garryana var. fruticosa", "Quercus garryana var. semota", "Aciphylla verticillata", "Aciphylla lecomtei", "Sternaspis maureri", "Sternaspis uschakovi", "Sternaspis williamsae", "Aciphylla stannensis", "Aciphylla leighii", "Backusella australiensis", "Aciphylla lyallii", "Backusella dispersa", "Backusella luteola", "Backusella mclennaniae", "Backusella morwellensis", "Kalyptrazetes lupitae", "Backusella parvicylindrica", "Backusella tarrabulga", "Backusella psychrophila", "Backusella macrospora", "Backusella liffmaniae", "Backusella westeae", "Adelocaryum malabaricum", "Johnstonella inaequata", "Chaetocneme antipodes biaka", "Ascidieria grandis", "Pseudotheopea coerulea", "Afrius yolofus", "Sernatropiella pinzonae", "Sernatropiella malkini", "Pergalumna ekaterinae", "Suastus minuta bipunctus", "Amazophrynella gardai", "Willemia panamaensis", "Suastus minuta compactus", "Friesea incognita", "Aciphylla spedenii", "Cyathus wutaishanensis", "Cryptantha crassisepala var. crassisepala", "Suastus minuta flemingi", "Tiacellia tiacellia", "Pseudachorutes nica", "Andersonglossum boreale", "Sminthurinus harryius", "Arundina graminifolia subsp. caespitosa", "Alcaeorrhynchus grandis", "Tachycampa bolivarpieltaini", "Tachycampa clemenciae", "Tachycampa carlosjuarezi", "Cryptantha glomeriflora", "Chaetocneme beata", "Chaetocneme denitza", "Aciphylla multisecta", "Cordyceps taishanensis", "Chaetocneme porphyropis", "Pseudosinella luenganensis", "Pseudosinella jordanai", "Chaetocneme lunula", "Cryptantha gracilis", "Niphargus fontanus", "Alcaeorrhynchus phymatophorus", "Aciphylla polita", "Americanura janssensi", "Cryptantha kelseyana", "Americanura sardinasensis", "Americanura iztac", "Americanura castagnorum", "Americanura basseti", "Proisotoma turikana", "Proisotoma santosorum", "Chaetocneme sombra", "Chaetocneme tenuis", "Chaetocneme editus", "Cryptantha nevadensis", "Brachioppiella incisa", "Graptoppia alzueti", "Chaetocneme kumpiana", "Cryptantha phacelioides", "Diotascalpellum gracile", "Chaetocnema morea", "Chaetocneme naevifera", "Paranura tapatia", "Kenyura nicaraguensis", "Eryxia serratotibialis", "Suastus everyx albescens", "Friesea buyuni", "Sternaspis annenkovae", "Cyathus tianshanensis", "Cyathus sichuanensis", "Cyathus guandishanensis", "Cyathus yunnanensis", "Cryptantha utahensis", "Willemia psammophila", "Acronema sichuanense", "Cryptopygus axayacatl", "Isotogastrura atuberculata", "Friesea palafoxaliciae", "Friesea marianoius", "Chaetocneme callixenus", "Chaetocneme callixenus callixenus", "Chaetocneme callixenus stringa", "Persicaria hastatosagittata", "Chaetocneme caristus", "Darwinella pronzatoi", "Darwinella warreni", "Darwinella simplex", "Darwinella intermedia", "Darwinella gardineri", "Darwinella duplex", "Darwinella dalmatica", "Darwinella australiensis", "Darwinella corneostellata", "Darwinella rosacea", "Darwinella viscosa", "Darwinella oxeata", "Darwinella tango", "Darwinella muelleri", "Paepalanthus beyrichianus", "Chaetocneme critomedia", "Chaetocneme sphinteriphera", "Cyathus discostipitatus", "Cyathus taiyuanensis", "Cyathus hirtulus", "Acronema alpinum", "Acronema gracile", "Rhizaxinella uniseta", "Rhizaxinella biseta", "Speleonura kenchristianseni", "Paleonura petebellingeri", "Morulina stevehopkini", "Acronema xizangense", "Adelinia grande", "Sternaspis thalassemoides", "Aspidogyne querceticola", "Rhizaxinella strongylata", "Chaetocneme trifenestrata", "Sternaspis affinis", "Auxopus kamerunensis", "Chaetocneme tenuis tenuis", "Aciphylla pinnatifida", "Chaetocneme tenuis hibernia", "Chaetocneme triton", "Aciphylla simplex", "Aciphylla trifoliolata", "Aciphylla scott-thomsonii", "Cyathus annulatus", "Aciphylla traillii", "Cyathus neimonggolensis", "Aciphylla simplicifolia", "Gongylus trachelophyllus", "Friesea hoffmannorum", "Troglopedetes oztotlicus", "Udaspes folus", "Pseudotheopea geiseri", "Pseudotheopea hainanensis", "Udaspes stellata", "Bothriospermum zeylanicum", "Tiana niger", "Eugorgia mutabilis", "Bothriospermum chinense", "Pholisora catullus", "Pholisora mejicanus", "Eugorgia beebei", "Rhizanthella johnstonii", "Pumilinura hidalgoi", "Americanura mexicana", "Americanura prima", "Americanura interrogator", "Americanura macgregori", "Americanura imitator", "Cyathus africanus", "Americanura sotanophila", "Americanura setafoliacea", "Americanura guatemalteca", "Hysterobaeckea behrii", "Acronema astrantiifolium", "Scamandra sanguiflua", "Lindelofia anchusoides", "Scamandra voisinae", "Prolepta celebensis", "Viola lilliputana", "Greeneocharis circumscissa", "Cladurus alterniferus", "Greeneocharis similis", "Acronema graminifolium", "Acronema yadongense", "Cyathus olla", "Gongylus pauperatus", "Acronema chienii", "Hariola claryi", "Campanula spatulata subsp. filicaulis", "Campanula spatulata subsp. spruneriana", "Epinephelus polylepis", "Nesocaryum stylosum", "Udranomia sallydaleyae", "Udranomia tomdaleyi", "Theopea longicollis", "Theopea louwerensi", "Theopea lunduensis", "Theopea flavipalpis", "Diotascalpellum indicum", "Dasynotus daubenmirei", "Eremocarya micrantha", "Acronema chienii var. dissectum", "Oreocarya suffruticosa", "Sternaspis africana", "Sternaspis costata", "Sternaspis fossor", "Sternaspis islandica", "Acherontiella kowalskiorum", "Furculanurida grandcolasorum", "Udranomia spitzi", "Stachorutes dallaii", "Pseudotheopea laosensis", "Strigocossus takanoi", "Pseudotheopea sauteri", "Strigocossus sanbenai", "Pseudotheopea sekerkai", "Andersonglossum virginianum", "Theopea chungi", "Theopea impressa", "Nihon krameri", "Sternaspis maior", "Sternaspis princeps", "Sternaspis rietschi", "Paleonura cassagnaui", "Sternaspis scutata", "Sternaspis spinosa", "Galleria similis", "Beloglottis costaricensis", "Benthami nigrescens subsp. nigrescens", "Benthami nigrescens subsp. borbonica", "Benthami nigrescens subsp. decaryana", "Benthami nigrescens subsp. humblotiana", "Benthami nigrescens subsp. secundiflora", "Memoremea scorpioides", "Oreocarya barnebyi", "Hymerhabdia contracta", "Hymerhabdia kobluki", "Acronema chinense", "Collomia larsenii", "Cyathus boninensis", "Acronema chinense var. humile", "Acronema commutatum", "Oreocarya propria", "Unkana flava", "Unkana mytheca", "Unkana mytheca mytheca", "Unkana mytheca kala", "Pectocarya linearis", "Benzingia hirtzii", "Scleria boivinii", "Unkana ambasa ambasa", "Unkana ambasa attina", "Unkana ambasa batara", "Biermannia burmanica", "Unkana ambasa mindanaensis", "Unkana ambasa tranga", "Naineris uncinata", "Plagiobothrys acanthocarpus", "Paratischeria fasciata", "Paratischeria ferruginea", "Plagiobothrys canescens", "Caudomyces japonicus", "Acronema forrestii", "Plagiobothrys plurisepalus", "Rhizaxinella arborescens", "Rhizaxinella cervicornis", "Rhizaxinella elevata", "Rhizaxinella clavata", "Rhizaxinella incrassata", "Rhizaxinella australiensis", "Rhizaxinella radiata", "Rhizaxinella schaudinni", "Unkana ambasa", "Rhizaxinella burtoni", "Rhizaxinella nuda", "Rhizaxinella dichotoma", "Rhizaxinella clava", "Rhizaxinella gadus", "Rhizaxinella pyrifera", "Rhizaxinella durissima", "Rhizaxinella elongata", "Rhizaxinella ramulosa", "Rhizaxinella spiralis", "Rhizaxinella shikmonae", "Scopalina cribrosa", "Biemna typica", "Biemna erecta", "Biemna aurantiaca", "Axinella coronata", "Axinella cylindrica", "Hymerhabdia imperfecta", "Hymerhabdia typica", "Hymerhabdia oxytrunca", "Hymerhabdia topsenti", "Hymerhabdia reichi", "Hymerhabdia pori", "Hymerhabdia oxeata", "Hymerhabdia intermedia", "Pectocarya pusilla", "Pectocarya setosa", "Scopalina ruetzleri", "Scopalina hispida", "Scopalina australiensis", "Scopalina rubra", "Scopalina azurea", "Scopalina blanensis", "Scopalina canariensis", "Scopalina ceutensis", "Scopalina bunkeri", "Scopalina erubescens", "Scopalina hapalia", "Scopalina agoga", "Scopalina lophyropoda", "Scopalina incrustans", "Cyathus badius", "Cyathus batistae", "Leitoscoloplos cliffordi", "Leitoscoloplos gordaensis", "Leitoscoloplos lunulus", "Diotascalpellum jacksonense", "Leitoscoloplos sahlingi", "Leitoscoloplos williamsae", "Berkeleyia lelievrei", "Oreocarya suffruticosa var. arenicola", "Califia calida", "Oreocarya suffruticosa var. pustulosa", "Amyotea hamata", "Amyotea reciproca", "Plagiobothrys scouleri var. cusickii", "Plagiobothrys scouleri var. hispidulus", "Plagiobothrys tenellus", "Vidius vidius", "Amyotea erythromela", "Suillus kunmingensis", "Brachinepticula elongata", "Vidius nappa", "Brachinepticula plurilobata", "Acalyptris amazonensis", "Amyotea frontalis", "Biemna omanensis", "Biemna seychellensis", "Biemna saucia", "Biemna microstrongyla", "Rubroboletus sinicus", "Stigmella singularia", "Plagiobothrys chorisianus var. hickmanii", "Stigmella lata", "Stigmella boehmeriphaga", "Saponaria jagelii", "Stigmella auripurpurata", "Stigmella lillipuctica", "Plagiobothrys jonesii", "Plagiobothrys leptocladus", "Echiochilon fruticosum", "Echiochilon longiflorum", "Biemna thomasi", "Ectoedemia morae", "Diotascalpellum rubrum", "Vidius tinta", "Rhodoprasina melichari", "Vidius laska", "Vidius nostra", "Vidius nostra nostra", "Paracaryum rugulosum", "Phylo nudus", "Vidius nostra roraimae", "Amyotea micans", "Amyotea glaucolimbata", "Eritrichium aretioides", "Eritrichium canum", "Eritrichium pauciflorum", "Oreocarya glomerata", "Biemna bihamigera", "Biemna ciocalyptoides", "Biemna tubulata", "Biemna novaezealandiae", "Biemna chilensis", "Stigmella foreroi", "Biemna thielei", "Biemna liposigma", "Biemna megastyla", "Biemna caribea", "Biemna partenopea", "Biemna tenuisigma", "Ozadelpha nigella", "Ozadelpha guajavae", "Biemna plicata", "Biemna dautzenbergi", "Biemna peracuta", "Biemna fortis", "Biemna fistulosa", "Biemna trirhaphis", "Biemna victoriana", "Biemna truncata", "Ozadelpha ovata", "Biemna megalosigma", "Biemna macrorhaphis", "Biemna microxa", "Stigmella circinata", "Stigmella rubiphagiella", "Boletus atratus", "Biemna microstyla", "Biemna mnioeis", "Biemna rhadia", "Biemna liposphaera", "Biemna ehrenbergi", "Biemna fragilis", "Biemna anisotoxa", "Biemna polyphylla", "Biemna pedonculata", "Biemna granulosigmata", "Biemna gellioides", "Biemna laboutei", "Biemna flabellata", "Biemna rhabderemioides", "Biemna rufescens", "Biemna tetraphis", "Biemna cribaria", "Biemna chujaensis", "Biemna jeolmyongensis", "Biemna hongdoensis", "Biemna trisigmata", "Biemna strongylota", "Biemna rhabdotylostylota", "Orbiniella tumida", "Timea bioxyasterina", "Haliclona lernerae", "Eritrichium nanum", "Stelletta ruetzleri", "Stachorutes escobarae", "Bipinnula biplumata", "Scoloplos californiensis", "Bipinnula fimbriata", "Bipinnula gibertii", "Scoloplos sparsaciculus", "Bletilla guizhouensis", "Leodamas bathyalis", "Vidius catarinae", "Rhodachlya westii", "Vidius xanthus", "Vidius perigenes", "Biemna spinomicroxea", "Boletus reticuloceps", "Biemna microacanthosigma", "Ulosa longimycalostylifera", "Isotomodes alexius", "Troglobius brasiliensis", "Americanura medellini", "Americanura izabalana", "Pseudachorutes deserticus", "Acherontides eleonorae", "Paleonura pescadorius", "Paleonura colimana", "Hackelia californica", "Hackelia cinerea", "Hackelia cronquistii", "Eritrichium howardii", "Plagiobothrys kingii", "Schoettella andina", "Packera paupercula var. pseudotomentosa", "Orbiniella eugeneruffi", "Orbiniella grasslei", "Orbiniella longilobata", "Orbiniella abyssalis", "Orbiniella rugosa", "Calyptraea chinensis", "Hackelia micrantha", "Hackelia mundula", "Acronema handelii", "Acronema nervosum", "Acronema schneideri", "Acronema evolutum", "Euxoa hollemani", "Hackelia velutina", "Hackelia ursina", "Amyotea maliki", "Daldinia korfii", "Hackelia nervosa", "Hackelia ophiobia", "Hackelia sharsmithii", "Hackelia uncinata", "Nagma albofasciatum", "Acronema hookeri", "Acronema brevipedicellatum", "Aplysilla arctica", "Aplysilla polyraphis", "Aplysilla sulfurea", "Aplysilla pallida", "Aplysilla lendenfeldi", "Aplysilla lacunosa", "Aplysilla rosea", "Aplysilla glacialis", "Aplysilla longispina", "Asperula abbreviata", "Heligmomerus wii", "Idiops bonny", "Apteralcidion contractum", "Pandemicus varius", "Esquarre recta", "Idiops reshma", "Idiops sally", "Idiops vankhede", "Kretzschmaria clavus", "Kretzschmaria deusta", "Hylaeanura nohbecana", "Kretzschmaria sigmoidirima", "Scapheremaeus tonatiuh", "Ocreatus addae", "Arcoppia mexicana", "Masdevallia fragrans", "Masdevallia tonduzii", "Desmaulus extinctorium", "Habranthus gracilifolius", "Amphimedon ochracea", "Echinoclathria gibbosa", "Echinoclathria robusta", "Clathria granulata", "Ircinia atrovirens", "Ircinia ramosa", "Ircinia echinata", "Digitothyrea subdivergens", "Circinaria maculata", "Dysidea cinerea", "Acarnus wolffgangi", "Arenosclera arabica", "Negombata magnifica", "Higginsia pumila", "Echinodictyum flabelliforme", "Axinella quercifolia", "Callyspongia calyx", "Callyspongia maculata", "Pseudoceratina arabica", "Mycale setosa", "Callyspongia crassa", "Callyspongia clavata", "Callyspongia vasseli", "Callyspongia reticulata", "Niphates furcata", "Callyspongia densa", "Berniniella borhidii", "Rhodogorgon flagellifera", "Protosticta monticola", "Pararamusella disjuncta", "Xestospongia ridleyi", "Oceanapia elastica", "Isotogastrura ahuizotli", "Parasphaerasclera grayi", "Isotogastrura veracruzana", "Parasphaerasclera morifera", "Parasphaerasclera nezdoliyi", "Parasphaerasclera rotifera", "Parasphaerasclera valdiviae", "Epidamaeus mitlsensillus", "Parasphaerasclera zanahoria", "Sphaerasclera flammicerebra", "Xenyllodes mohuitli", "Damiria simplex", "Discodermia stylifera", "Stelletta siemensi", "Dietersminthurus enkerlinius", "Circinaria ochraceoalba", "Songhaica adoracionae", "Acaroceras galapagoensis", "Amyotea malabarica", "Parasphaerasclera albiflora", "Parasphaerasclera aurea", "Diotascalpellum subquadratum", "Pseudoceratina durissima", "Pseudoceratina purpurea", "Pseudoceratina verrucosa", "Acronema refugicola", "Myosotis spatulata", "Idiops pirassununguensis", "Idiops camelus", "Circinaria schafeevii", "Myrmekioderma tuberculatum", "Higginsia arborea", "Cinachyrella eurystoma", "Cinachyrella schulzei", "Palmanura primigenia", "Cinachyrella trochiformis", "Pione mussae", "Pila ampullacea", "Spheciospongia mastoidea", "Suberites clavatus", "Tedania assabensis", "Halichondria glabrata", "Halichondria minuta", "Terpios lendenfeldi", "Terpios viridis", "Dragmacidon coccineum", "Phykodes minor", "Phykodes nigeriana", "Phykodes penitis", "Phykodes punctata", "Phykodes radiata", "Phykodes substriata", "Phykodes taonopa", "Phykodes tortricina", "Embolemus ruddii", "Acronema bryophilum", "Acronema cryptosciadeum", "Acronema ioniostyles", "Acronema mukherjeeanum", "Acronema phaeosciadeum", "Anasida tenebrio", "Acronema pneumatophobium", "Eumenes coarctatus", "Parosphromenus barbarae", "Phycella maulensis", "Maxillaria humilis", "Idiops kazibius", "Idiops kaperonis", "Idiops curvicalcar", "Idiops straeleni", "Idiops lusingius", "Idiops munois", "Idiops kanonganus", "Anasida funebris", "Zephyranthes elwesii", "Idiops germaini", "Idiops wittei", "Idiops fageli", "Idiops upembensis", "Alkanna corcyrensis", "Vernia dares", "Acronema dyssimetriradiata", "Anasida orientalis", "Anasida schoutedeni", "Neohesperilla croceus", "Neohesperilla senta", "Neohesperilla xanthomera", "Mesosemia pakaraima", "Neohesperilla xiphiphora", "Phykodes celebica", "Phykodes chalcocrossa", "Phykodes chionardis", "Phykodes interstincta", "Phykodes maculata", "Cupressus tortulosa", "Cupressus fallax", "Acronema johrianum", "Acronema pilosum", "Acronema rivale", "Llanomolpus flavidus", "Zenocolaspis inconstans", "Eucorethra underwoodi", "Alkanna noneiformis", "Synemon kimberleyensis", "Vareuptychia similis", "Acronema paniculatum", "Acronema muscicola", "Vareuptychia themis", "Vanima labe", "Vanima lesbia", "Vanima palladia", "Diotascalpellum toulmini", "Vernia verna", "Hyrtios proteus", "Hyrtios violaceus", "Lepra barbatica", "Megisto cleophes", "Lepra borealis", "Talaus beccarii", "Talaus nanus", "Talaus oblitus", "Talaus opportunus", "Talaus triangulifer", "Talaus samchi", "Cyprogenia stegaria", "Caecoonops cubitermitis", "Caecoonops apicotermitis", "Echium amoenum", "Termitoonops bouilloni", "Termitoonops faini", "Termitoonops spinosissimus", "Termitoonops furculitermitis", "Termitoonops apicarquieri", "Echium rubrum", "Eilica chickeringi", "Echium decaisnei subsp. purpuriense", "Xanthodisca vibius", "Herreria salsaparilha", "Albuca barbata", "Albuca fastigiata", "Hyrtios cavernosus", "Protosticta rufostigma", "Protosticta mortoni", "Wallengrenia premnas", "Drimia fragrans", "Eilica trilineata", "Eilica uniformis", "Eilica rufithorax", "Eilica bicolor", "Eilica cincta", "Eilica albopunctata", "Ornithogalum juncifolium", "Aspiduriella streichani", "Betta lehi", "Brownleea coerulea", "Buchtienia boliviensis", "Lomandra rigida", "Eilica fusca", "Melusinaster alissawhitegluzae", "Eilica rotunda", "Eilica contacta", "Eilica serrata", "Eilica modesta", "Melusinaster arcusinimicus", "Hyrtios arenosus", "Hyrtios sororia", "Hyrtios reticulatus", "Hyrtios pulcher", "Hyrtios communis", "Hyrtios collectrix", "Hyrtios vinciguerrae", "Hyrtios spinifer", "Hyrtios altus", "Hyrtios caracasensis", "Hyrtios elegans", "Hyrtios digitatus", "Diotascalpellum withersi", "Xanthoneura corissa", "Xanthoneura corissa corissa", "Aspiduriella scutellata", "Orthogonocrinus apertus", "Acronema minus", "Pilostyles aethiopica", "Austrolebias queguay", "Bellis pusilla", "Echium horridum", "Vertica verticalis", "Echium humile subsp. pycnanthum", "Hypotrachyna subg.", "Tristiropsis acutangula", "Acronema tenerum", "Nymphidium scurrilis", "Nymphidium nealces", "Nymphidium omois", "Nymphidium callaghani", "Nymphidium ariari", "Nymphidium lenocinium", "Xanthoneura corissa indrasana", "Polygonatum oppositifolium", "Polygonatum oppositifolium var. oppositifolium", "Hypotrachyna subg.", "Xanthoneura corissa patmapana", "Xanthonymus astrape", "Thysanotus tenuis", "Thysanotus triandrus", "Andrallus spinidens", "Zetka zeteki", "Nymphidium pseudominuta", "Nymphidium azanoides", "Nymphidium azanoides azanoides", "Nymphidium azanoides amazonensis", "Acronema crassifolium", "Nymphidium fulminans", "Vertica verticalis verticalis", "Nymphidium fulminans fulminans", "Nymphidium fulminans sardinata", "Echium angustifolium subsp. angustifolium", "Nymphidium guyanensis", "Nymphidium olinda", "Charcotia dempseyae", "Ancalagon minor", "Charcotia selayarensis", "Charcotia tangaroa", "Charcotia warreen", "Nymphidium mantus", "Nymphidium manicorensis", "Nymphidium minuta", "Nymphidium baeotia", "Nymphidium robiginosum", "Nymphidium aurum", "Dysidea anceps", "Dysidea cana", "Dysidea dubia", "Dysidea enormis", "Dysidea ligneana", "Dysidea spinosa", "Dysidea avara", "Dysidea incrustans", "Dysidea pallescens", "Dysidea villosa", "Dysidea laxa", "Dysidea marshalli", "Dysidea navicularis", "Dysidea ramsayi", "Dysidea spiculifera", "Dysidea sagum", "Dysidea gumminea", "Dysidea implexa", "Dysidea ramoglomerata", "Dysidea horrens", "Zophopetes dysmephila", "Dysidea tuapokere", "Dysidea teawanui", "Dysidea digitata", "Dysidea crassa", "Dysidea incrustata", "Dysidea spiculivora", "Dysidea dakini", "Dysidea hirciniformis", "Dysidea chilensis", "Dysidea clathrata", "Dysidea dendyi", "Dysidea tenuifibra", "Dysidea oculata", "Dysidea janiae", "Dysidea fasciculata", "Dysidea arenaria", "Dysidea cristagalli", "Dysidea frondosa", "Dysidea granulosa", "Populus yunnanensis var. yunnanensis", "Populus yunnanensis var. pedicellata", "Callostylis carnosissima", "Titanophycus saundersii", "Stenocercus lache", "Stenocercus canastra", "Dysidea amblia", "Dysidea geomunensis", "Dysidea corallina", "Dysidea glavea", "Zophopetes quaternata", "Dysidea mureungensis", "Graviscalpellum chapmani", "Bulbophyllum tripetalum", "Zographetus ogygioides", "Stenogrammitis myosuroides", "Populus yunnanensis var. microphylla", "Echium vulcanorum", "Charcotia obesa", "Dysidea variabilis", "Dysidea perfistulata", "Dysidea robusta", "Dysidea violata", "Dysidea reformensis", "Dysidea cachui", "Dysidea uriae", "Dysidea lehnerti", "Glandora oleifolia", "Dysidea ramosa", "Glandora prostrata", "Lithospermum distichum", "Apateticus marginiventris", "Zographetus ogygia andamana", "Dysidea nigrescens", "Dysidea minna", "Dysidea conica", "Dysidea dokdoensis", "Dysidea nivea", "Zophopetes nobilior", "Dysidea hydra", "Dysidea hirsuta", "Dysidea sabulum", "Silene crassifolia", "Charcotia amundseni", "Echium rauwolfii", "Zophopetes cerymica", "Zophopetes ganda", "Zophopetes haifa", "Echium triste", "Dysidea kenkriegeri", "Dysidea etheria", "Apateticus lineolatus", "Lithodora zahnii", "Silene crassifolia subsp. primuliflora", "Lithospermum californicum", "Lithodora hispidula subsp. cyrenaica", "Lithospermum virginianum", "Lobostemon belliformis", "Lobostemon capitatus", "Graviscalpellum complanatum", "Lobostemon fruticosus", "Nymphidium chimborazium", "Nymphidium haematostictum", "Lithospermum parviflorum", "Nymphidium acherois", "Lithospermum scabrum", "Moltkiopsis ciliata", "Harrysmithia franchetii", "Onosma echioides subsp. dalmatica", "Harrysmithia heterophylla", "Nymphidium ninias", "Nymphidium medusa", "Lithospermum latifolium", "Nymphidium medusa medusa", "Caenoplana decolorata", "Lithospermum molle", "Nymphidium medusa semiramis", "Zographetus rama", "Nymphidium leucosia", "Nymphidium cachrus", "Lithospermum occidentale", "Lithospermum mirabile", "Madhuca diplostemon", "Gowardia zebrina", "Ligusticum afghanicum", "Nymphidium balbinus", "Nymphidium onaeum", "Nymphidium lisimon", "Ligusticum irramosum", "Apoecilus bracteatus", "Nymphidium velatum", "Lobostemon glaucophyllus", "Zographetus satwa", "Zographetus pallens", "Lobostemon marlothii", "Lobostemon montanus", "Lobostemon argenteus", "Nymphidium plinthobaphis", "Nymphidium carmentis", "Acada biseriata", "Asteronyx longifissus", "Asteronyx luzonicus", "Asteronyx loveni", "Asteronyx niger", "Acada annulifer", "Nymphidium caricae trinidadi", "Colymbetes aemulus", "Caluera napoensis", "Viola tovarii", "Calyptrochilum aurantiacum", "Calyptrochilum christyanum", "Stenocercus praeornatus", "Stenocercus orientalis", "Stenocercus ochoai", "Stenocercus nubicola", "Stenocercus ivitus", "Stenocercus empetrus", "Stenocercus apurimacus", "Stenocercus chlorostictus", "Stenocercus huancabambae", "Stenocercus eunetopsis", "Stenocercus percultus", "Stenocercus imitator", "Stenocercus stigmosus", "Stenocercus latebrosus", "Stenocercus limitaris", "Stenocercus prionotus", "Stenocercus humeralis", "Stenocercus iridescens", "Stenocercus angulifer", "Stenocercus boettgeri", "Stenocercus melanopygus", "Stenocercus chrysopygus", "Stenocercus cupreus", "Stenocercus varius", "Stenocercus variabilis", "Stenocercus torquatus", "Stenocercus simonsii", "Stenocercus rhodomelas", "Stenocercus scapularis", "Stenocercus guentheri", "Stenocercus haenschi", "Stenocercus azureus", "Stenocercus erythrogaster", "Stenocercus doellojuradoi", "Stenocercus carrioni", "Stenocercus angel", "Stenocercus chota", "Stenocercus frittsi", "Stenocercus puyango", "Stenocercus sinesaccus", "Stenocercus santander", "Stenocercus nigromaculatus", "Stenocercus pectinatus", "Stenocercus roseiventris", "Stenocercus ornatissimus", "Stenocercus bolivarensis", "Calyptrochilum emarginatum", "Mooreana trichoneura", "Mooreana trichoneura trichoneura", "Populus lasiocarpa var. longiamenta", "Populus lasiocarpa var. lasiocarpa", "Asteronyx reticulata", "Ligusticum albanicum", "Asteronyx simplex", "Theopea guoi", "Asteronyx spinulosa", "Theopea lui", "Theopea sabahensis", "Ligusticum calderi", "Theopea elegantula", "Theopea fairmairei", "Apoecilus invarius", "Paramoltkia doerfleri", "Podonosma orientalis", "Theopea kedenburgi", "Graviscalpellum crassiforme", "Cordia eriostigma", "Cordia exaltata", "Cordia glabrata", "Campanulorchis globifera", "Campanulorchis longipes", "Campanulorchis pulverulenta", "Cordia caffra", "Astrodia abyssicola", "Parvospila lucianus", "Parvospila lucetia", "Cordia nodosa", "Parvospila emylius", "Parvospila asteria", "Cordia quercifolia", "Cordia restingae", "Caucaea radiata", "Cayratia mollissima", "Plica lumaria", "Plica pansticta", "Parasenecio amagiensis", "Cordia crenata", "Polychrysia iuno", "Strongyleria hirsutipetala", "Strongyleria leiophylla", "Strongyleria pannea", "Strongyleria pellipes", "Theopea houjayi", "Chevreuxiopsis franki", "Annulata annulifera", "Echium angustifolium subsp. elongatum", "Echium angustifolium subsp. expansum", "Echium angustifolium subsp. tunetanum", "Joyeuxella toxoides", "Echium angustifolium subsp. sericeum", "Thenpea penthea", "Trophosphaera planorbulinae", "Plica medemi", "Plica rayi", "Plica kathleenae", "Plica caribeana", "Cordia acutifolia", "Cordia glazioviana", "Orthogonocrinus cantabrigensis", "Mooreana trichoneura multipunctatus", "Cervus nippon sintikuensis", "Cordia magnoliifolia", "Cordia oncocalyx", "Capanemia micromera", "Parvospila cilissa", "Nekemias arborea", "Nekemias cantoniensis", "Nekemias megalophylla", "Nekemias chaffanjonii", "Asterostegus sabineae", "Ampelopsis glandulosa var. brevipedunculata", "Asterostegus tuberculatus", "Cordia monoica subsp. subpubescens", "Periplacis felsina", "Periplacis laobotas", "Periplacis apotheta", "Echium anchusoides", "Varronia bullata", "Ainsliaea dissecta", "Varronia cylindrostachya", "Varronia grandiflora", "Varronia rupicola", "Lillithaster lamentatiofelium", "Ehretia alba", "Ehretia amoena", "Hemiphaga chathamensis", "Astrodia tenuispina", "Varronia glandulosa", "Ophioschiza monacantha", "Varronia bullata subsp. humilis", "Bourreria huanita", "Bourreria havanensis", "Bourreria tomentosa", "Ehretia macrophylla", "Bourreria petiolaris", "Echium canum", "Echium clandestinum", "Lycoperdon compactum", "Echium albicans subsp. albicans", "Echium albicans subsp. fruticescens", "Periplacis coruscans", "Ehretia resinosa", "Periplacis menander", "Periplacis nitida", "Echium creticum subsp. sauvagei", "Periplacis splendida", "Periplacis pretus", "Mooreana trichoneura trichoneuroides", "Periplacis homerus", "Bourreria virgata", "Ranunculus damascenus", "Mooreana trichoneura nava", "Mooreana trichoneura nivosa", "Theopea pulchella", "Caularthron bicornutum", "Theopea tsoui", "Theopea yuae", "Pseudotheopea costata", "Mooreana trichoneura pralaya", "Graviscalpellum dunni", "Tiquilia nesiotica", "Euploca filiformis", "Euploca salicoides", "Cephalantheropsis dolichopoda", "Cephalantheropsis halconensis", "Ovabunda andamanensis", "Apoecilus cynicus", "Tiquilia greggii", "Tiquilia hispidissima", "Solenophora fagi", "Ranunculus acutidentiformis", "Ranunculus acutimammus", "Ranunculus acutipartitus", "Ranunculus acutiserratus", "Ranunculus acutissimus", "Ranunculus acutiusculus", "Vertebroscalpellum brevecarinatum", "Ranunculus acutulans", "Asteromorpha capensis", "Ranunculus abortificus", "Ranunculus abstrusus", "Ranunculus acarpellophorus", "Ranunculus accedens", "Ranunculus acetosellifolius", "Ranunculus acidotus", "Ranunculus acinaciformis", "Ranunculus acrifoliiformis", "Ranunculus acrifolius", "Ranunculus acrophilus", "Ranunculus acuistylus", "Ranunculus acutidens", "Rhodometra rosea", "Cephalantheropsis laciniata", "Casilda hemirosea", "Asteromorpha koehleri", "Yanguna spatiosa", "Yanguna spatiosa spatiosa", "Macrocoma niedobovae", "Synegia fernandezi", "Rhynchodinium paradoxum", "Echium flavum subsp. saetabense", "Quasibodo laughtoni", "Hellinsia bidzilya", "Coleophora oreiosella", "Gonodontis ivani", "Xylinophylla hollowayi", "Vadimas zolotuhini", "Vadimas radogast", "Pseudolivendula candace", "Echium decaisnei subsp. decaisnei", "Diduga sphaeracephalus", "Pima tristriata", "Ripidomyxa australiensis", "Echium flavum subsp. flavum", "Rinchenia mongoliensis", "Coleophora andina", "Coleophora aconcaguae", "Coleophora rasmusseni", "Coleophora peruana", "Heliotropium elongatum", "Pterokrohnia arabica", "Heliotropium floridum", "Pseudoturbanella stylifera", "Heliotropium arboreum", "Pseudosynaleurodicus mayoi", "Heliotropium crispum", "Macrocoma latifrons", "Livistona tahanensis", "Saribus brevifolius", "Tetracme recurvata", "Ranunculus alajensis", "Macrocoma obscuripes", "Macrocoma oromiana", "Macrocoma pelikani", "Macrocoma splendens", "Macrocoma splendidula", "Canaria gomeriana", "Cochylidia flavifasciatus", "Cochylidia hallasanensis", "Acanthothamnus aphyllus", "Proctormonas characola", "Proamphiuma cretacea", "Eugnosta lankinae", "Periplacis aldasi", "Periplacis cicuta", "Mooreana princeps", "Ehretia rigida subsp. nervifolia", "Ehretia saligna", "Ehretia saligna var. membranifolia", "Periplacis clotho", "Periplacis hebrus", "Periplacis thalassicus", "Ranunculus abbaianus", "Xispia quadrata", "Halgania cyanea", "Ranunculus abchasicus", "Ranunculus abditus", "Pseudolivendula byzeres", "Ranunculus aberdaricus", "Ranunculus abnormis", "Xispia satyrus", "Halgania erecta", "Abraximorpha davidii davidii", "Halgania andromedifolia", "Abraximorpha davidii elfina", "Halgania solanacea", "Abraximorpha davidii esta", "Abraximorpha davidii ermasis", "Graviscalpellum euglyphum", "Macrocoma bezdeki", "Macrocoma hulai", "Fenestracrinus oculifer", "Yanguna spatiosa aspilos", "Ranunculus adoxifolius", "Ranunculus adunans", "Ranunculus aduncus", "Ranunculus aemulans", "Ranunculus aequalis", "Geodia lebwohli", "Ranunculus aequidens", "Ranunculus aequilaterus", "Ranunculus aesontinus", "Ranunculus afzelii", "Ranunculus agynophorus", "Ranunculus akkemensis", "Heliotropium asperrimum", "Macrocoma divisa", "Macrocoma dubia", "Heliotropium calcareum", "Yanguna spatiosa mabillei", "Heliotropium ciliatum", "Streptoloma desertorum", "Physcosporidium dalyelliae", "Metacrisia courregesi", "Echium pabotii", "Euploca procumbens", "Foikeulia razowskii", "Echium humile subsp. humile", "Echium humile subsp. caespitosum", "Echium humile subsp. nanum", "Yanguna cometes", "Strophedra paraspinifera", "Yanguna cometes cometes", "Yanguna tetricus", "Tamayorkis porphyrea", "Tamayorkis ehrenbergii", "Colaspidea oblonga", "Tamayorkis hintonii", "Tamayorkis wendtii", "Amplusuncus cantus", "Amplusuncus andes", "Heliotropium messerschmidioides", "Echium khuzistanicum", "Ranunculus albertii", "Macrocoma splendidula splendidula", "Heliotropium nicotianifolium", "Yanguna cosyra", "Tenoia floresi", "Macrocoma splendidula franzi", "Macrocoma splendidula palmaensis", "Euploca polyphylla", "Yanguna erebus", "Lobothallia farinosa", "Allocassine laurifolia", "Platysulcus tardus", "Piridium sociabile", "Natria mauritius", "Pseudosynaleurodicus nigrimarginatus", "Euploca ovalifolia", "Euploca greggii", "Protoentospora ptychoderae", "Canaria palmariana", "Euploca strigosa", "Pseudolivendula hemileuca", "Heliotropium submolle", "Pseudolivendula simplaris", "Ahrenholzia pimpilata", "Geodia nilslindgreni", "Ranunculus albertsonii", "Yanguna thelersa", "Ranunculus alcicornis", "Ranunculus almquistii", "Echium modestum", "Colaspidea graeca", "Colaspidea proxima", "Colaspidea grossa", "Colaspidea metallica", "Echium sabulicola subsp. rifeum", "Euploca tenella", "Polistes carnifex boliviensis", "Heliotropium transalpinum", "Heliotropium ventricosum", "Tricyrtis hirta var. masamunei", "Tricyrtis hirta var. saxicola", "Tricyrtis hirta var. hirta", "Heliotropium bacciferum", "Marrubium hierapolitanum", "Metacrisia courregesi courregesi", "Metacrisia courregesi mutabilis", "Metacrisia eckstromi", "Heliotropium steudneri", "Proeulia uniformata", "Strophedra nigrifusca", "Polypseudopodius bacterioides", "Strophedra laticolla", "Strophedra tricornuta", "Strophedra dicastica", "Strophedra homotorna", "Strophedra graphologa", "Yanguna cometes angeli", "Strophedra magna", "Doina arriagadai", "Pleurodasys helgolandicus", "Muna alexander", "Yanguna cometes cometides", "Heliotropium lineare", "Heliotropium longistylum", "Yanguna cometes staudingeri", "Loprada sotoi", "Heliotropium marifolium", "Apatophyllum macgillivrayi", "Echium tenue", "Apatophyllum olsenii", "Apatophyllum teretifolium", "Samuelsonia dunali", "Heliotropium heteranthum", "Euploca pulvina", "Pauperojapyx iban", "Tournefortia bojeri", "Pauperojapyx kajan", "Hutanjapyx simpan", "Eresus adaleari", "Tournefortia subsessilis", "Charaxes cynthia kinduana", "Charaxes cynthia parvicaudatus", "Charaxes cynthia sabulosus", "Tournefortia villosa", "Tournefortia bicolor", "Anthodon decussatum", "Anthodon panamensis", "Codon royenii", "Pavloviamonas fruticola", "Echium spurium", "Ceratandra atrata", "Discocrinus catastomus", "Echium stenosiphon subsp. stenosiphon", "Echium stenosiphon subsp. glabrescens", "Ranunculus alnetorum", "Echium stenosiphon subsp. lindbergii", "Ranunculus alpigenus", "Ranunculus alsaticus", "Ranunculus alsophilus", "Ranunculus altaicus", "Ranunculus alticaulis", "Ranunculus altilobus", "Apatophyllum constablei", "Apatophyllum flavovirens", "Echium strictum subsp. strictum", "Echium strictum subsp. exasperatum", "Echium strictum subsp. gomerae", "Echium suffruticosum", "Temnora leflaoi", "Tournefortia gardneri", "Tournefortia gnaphalodes", "Tournefortia heyneana", "Panegyra albipenetrata", "Heliotropium verdcourtii", "Panegyra flavimarginata", "Gnathodracon apollo", "Gnathodracon phaetusa", "Gnathodracon nyx", "Icelita plumbea", "Myriopus psilostachya", "Anthodon selloanum", "Draperia systyla", "Chamaegastrodia inverta", "Chamaegastrodia vaginata", "Echium \u00d7 bond-spraguei", "Geodia boesraugi", "Echium \u00d7 bramwellii", "Echium \u00d7 scilloniense", "Echium \u00d7 lemsii", "Tournefortia pubescens", "Eucosmocydia larseni", "Fulcrifera bicolorana", "Grapholita percutiens", "Grapholita curva", "Myriopus rubicundus", "Torodora canalis", "Torodora digitalis", "Torodora cordisigna", "Heliotropium sarmentosum", "Torodora multispinata", "Torodora metasaris", "Allium corsicum", "Tournefortia sibirica", "Sternitta mondulkiriensis", "Schausiana maishei", "Schausiana phalerus", "Schausiana pharus", "Schausiana chalciope", "Empalactis curvatilis", "Empalactis backanensis", "Empalactis scolosetes", "Bagdadia globulibasis", "Nokona vietnamica", "Nokona cucphuongae", "Zeiraphera coreana", "Myriopus candidulus", "Echium triste subsp. triste", "Ranunculus amoenifrons", "Hydrophyllum fendleri", "Hydrophyllum macrophyllum", "Phacelia bipinnatifida", "Apodostigma pallens", "Philornis vespidicola", "Geodia splendida", "Eucrypta chrysanthemifolia", "Eucrypta chrysanthemifolia var. bipinnatifida", "Eucrypta micrantha", "Ranunculus altitorus", "Ranunculus amabilis", "Ranunculus amaurophanes", "Ranunculus amblyodon", "Ranunculus amblyolobus", "Ranunculus ambranus", "Ranunculus ameres", "Ranunculus amerophylloides", "Ranunculus amerophyllus", "Ranunculus amgensis", "Ranunculus amoeniflorus", "Echium petiolatum", "Lecithocera atriptera", "Echium rosulatum subsp. rosulatum", "Echium rosulatum subsp. davaei", "Meleonoma apicicurvata", "Meleonoma linearis", "Meleonoma rostellata", "Meleonoma magnidentata", "Meleonoma bicuspidata", "Meleonoma latiunca", "Meleonoma pectinalis", "Meleonoma hainanensis", "Meleonoma ornithorrhyncha", "Meleonoma parilis", "Meleonoma quadritaeniata", "Meleonoma bidentata", "Meleonoma apicirectangula", "Meleonoma conica", "Meleonoma puncticulata", "Meleonoma robustispina", "Perexiflasca tayloriana", "Clubiona caohai", "Clubiona dakong", "Clubiona yanzhii", "Pseudolivendula wia", "Discocrinus africanus", "Tournefortia foetidissima", "Echium triste subsp. nivariense", "Echium trygorrhizum", "Paradinemula polonica", "Dinica claviformis", "Dinica apicipuncta", "Dinica bulbella", "Phaegoptera touroulti", "Phaegoptera doroshkini", "Echium velutinum", "Echium velutinum subsp. velutinum", "Echium velutinum subsp. versicolor", "Echium velutinum subsp. vilmorinianum", "Colias hyale sevana", "Oenothera \u00d7 ligerica", "Chlorodrepana secunda", "Cretiscalpellum robaszynskii", "Scyramathia carpenteri", "Bulbophyllum parviflorum", "Bulbophyllum pseudohydra", "Echium \u00d7 lidii", "Echium \u00d7 taibiquense", "Saussurea sinuatoides", "Saussurea esthonica", "Ranunculus altior", "Ranunculus altitatrensis", "Celaenorrhinus proxima", "Celaenorrhinus proxima proxima", "Celaenorrhinus proxima maesseni", "Phacelia breweri", "Hyalyris lactea", "Hyalyris lactea lactea", "Hyalyris lactea granatina", "Hyalyris lactea crocata", "Arnicratea cambodiana", "Hyalyris antea", "Hyalyris antea antea", "Discocrinus wrighti", "Cazeresia montana", "Saussurea katoana", "Lecanora parmelinoides", "Lycopodium diaphanum", "Scyramathia hertwigi", "Apodostigma pallens var. buchholzii", "Lycopodium hygrophilum", "Lycopodium papuanum", "Lycopodium pullei", "Apodostigma pallens var. dummeri", "Basileura osornoensis", "Phacelia anelsonii", "Phacelia bolanderi", "Heliodines galapagoensis", "Phacelia bombycina", "Tagiades japetus atticus", "Phacelia calthifolia", "Tagiades japetus avienus", "Tagiades japetus balana", "Tagiades japetus bandanus", "Leucosyke puya", "Phacelia ciliata", "Tagiades japetus brasidas", "Tagiades japetus ravina", "Phacelia cookei", "Tagiades japetus enganicus", "Phacelia covillei", "Tagiades japetus prasnaja", "Tagiades japetus navus", "Phacelia cryptantha", "Tagiades japetus kazana", "Phacelia dalesiana", "Dematochroma howensis", "Tagiades japetus carnica", "Phacelia demissa", "Tagiades japetus nankowra", "Dematochroma norfolkiana", "Dematochroma shuteae", "Dematochroma panieensis", "Cupressus gansuensis", "Scyramathia tenuipes", "Dumbea paulaudi", "Dumbea striata", "Dumbea gigas", "Scyramathia umbonata", "Phacelia divaricata", "Samuelsonia melas", "Samuelsonia fusca", "Samuelsonia rubiacearum", "Samuelsonia histrio", "Tagiades japetus mathias", "Tagiades japetus ravi", "Asteromorpha rousseaui", "Samuelsonia pilosa", "Samuelsonia bicolor", "Tagiades japetus helferi", "Samuelsonia pardalis", "Samuelsonia turgida", "Samuelsonia fauveli", "Tagiades japetus hovia", "Tagiades japetus inconspicua", "Arnicratea ferruginea", "Bequaertia mucronata", "Acacia browniana var. obscura", "Dalla amatlanensis", "Achyrocline ramosissima", "Phacelia glandulifera", "Tagiades lavata", "Alonsoa linearis", "Zelotaea grosnyi", "Zelotaea spectra", "Tagiades trebellius", "Geniostoma cyrtandrae", "Tagiades trebellius trebellius", "Geniostoma helleri", "Geniostoma lydgatei", "Geniostoma pumilum", "Spiranthes arcisepala", "Spiranthes igniorchis", "Hyposcada zarepha", "Hyposcada attilodes", "Hyposcada schausi", "Hyposcada taliata", "Hyposcada virginiana", "Hyposcada virginiana virginiana", "Vachellia sphaerocephala", "Tagiades trebellius neira", "Brassiantha hedraiantheroides", "Phacelia hydrophylloides", "Tagiades trebellius martinus", "Tagiades trebellius mitra", "Baccharis buxifolia", "Brassiantha pentamera", "Cruentotrema lirelliforme", "Cruentotrema puniceum", "Ranunculus anemonifolius", "Ranunculus ancorifolius", "Ranunculus amurensis", "Phacelia ivesiana", "Phacelia lemmonii", "Phacelia leptosepala", "Zelotaea eidothea", "Diminutiva glaucina", "Cyana pauliani", "Ranunculus amoenoviridis", "Ranunculus amplidens", "Ranunculus amplisinus", "Ranunculus amplus", "Spiranthes niklasii", "Chaubardia heteroclita", "Chaubardia klugii", "Chaubardia surinamensis", "Tagiades trebellius canonicus", "Tagiades trebellius kina", "Phacelia grandiflora", "Tagiades trebellius moti", "Tagiades trebellius sheba", "Tagiades trebellius vella", "Tagiades trebellius lola", "Phacelia greenei", "Tagiades trebellius sem", "Campylostemon angolensis", "Cynometra browneoides", "Cynometra lenticellata", "Dolecta akhmatovae", "Phacelia incana", "Tagiades japetus janetta", "Tagiades japetus obscurata", "Tagiades japetus obscurus", "Betta cracens", "Zelotaea cindra", "Phacelia exilis", "Tagiades japetus tenimberanus", "Phacelia fimbriata", "Phacelia floribunda", "Montrouzierella nana", "Montrouzierella tuberculata", "Phacelia franklinii", "Tagiades japetus titus", "Montrouzierella flava", "Zelotaea costalis", "Montrouzierella brinoni", "Phacelia fremontii", "Tagiades japetus xarea", "Phacelia monoensis", "Phacelia platycarpa", "Tagiades gana silvia", "Phacelia pringlei", "Phacelia procera", "Phacelia pulchella", "Phacelia purpusii", "Tagiades gana alica", "Styracocrinus peracutus", "Phacelia quickii", "Chaubardiella tigrina", "Chaubardiella pubescens", "Asteromorpha tenax", "Chauliodon deflexicalcaratum", "Argyraspila maeonoides maeonoides", "Argyraspila maeonoides maeon", "Pangio bhujia", "Tagiades gana", "Klinzigedia sultankutensis", "Pangio agma", "Erigeron uniflorus subsp. uniflorus", "Tagiades gana gana", "Tethya hibernica", "Chauliodus pammelas", "Phacelia minutissima", "Phacelia nashiana", "Phacelia neglecta", "Phacelia pachyphylla", "Solanum subg.", "Phacelia palmeri", "Argyraspila maeonoides", "Brexia marioniae", "Pachyscalpellum heltzeli", "Tethya uljinensis", "Tethya songakensis", "Argyraspila antonii", "Argyraspila urichi", "Brexiella cymosa", "Brexiella ilicifolia", "Dolecta amanosa", "Dolecta aroa", "Tagiades gana meetana", "Tagiades gana narba", "Tagiades gana sangarava", "Usazoros hubbardi", "Latinozoros barberi", "Tagiades parra", "Tagiades parra parra", "Tagiades parra gala", "Tagiades parra naxos", "Polistes carnifex carnifex", "Tagiades parra niasana", "Polistes carnifex rufipennis", "Microstoma microstoma", "Sympterichthys unipennis", "Tagiades calligana", "Ranunculus anandrophyllus", "Brexia alaticarpa", "Ranunculus anandrus", "Ranunculus anemonophyllus", "Ranunculus angularis", "Ranunculus angulatus", "Ranunculus angustatus", "Ranunculus angustidens", "Ranunculus angustifidus", "Ranunculus angustilobulus", "Ranunculus angustior", "Tagiades gana athos", "Brexia australis", "Tagiades gana elegans", "Tagiades gana jainas", "Tagiades gana semperi", "Tagiades cohaerens", "Tagiades cohaerens cohaerens", "Tagiades cohaerens cinda", "Tagiades cohaerens cynthia", "Saraca dives", "Ranunculus angustipetalus", "Ranunculus angustiscutatus", "Dolecta juturna", "Dolecta bulgakovi", "Dolecta chekhovi", "Cynometra schefferi", "Dolecta dostoevskyi", "Dolecta esenini", "Dolecta gertseni", "Dolecta gogoli", "Dolecta karamzini", "Dolecta lermontovi", "Dolecta nekrasovi", "Dolecta ostrovskyi", "Dolecta pushkini", "Dolecta rubtsovi", "Dolecta saltykovishchedrini", "Dolecta stanyukovichi", "Dolecta tolstoyi", "Dolecta turgenevi", "Oncobrya decepta", "Campylostemon mitophorus", "Peucela olivalis", "Campylostemon bequaertii", "Tagiades litigiosa", "Tagiades litigiosa litigiosa", "Campylostemon danckelmannianus", "Campylostemon laurentii", "Campylostemon lindequistianus", "Campylostemon warneckeanus", "Dolecta scariosa", "Dolecta egipan", "Canotia wendtii", "Peucela acutativalva", "Peucela baishanzuensis", "Peucela nigra", "Coeliades lucagus", "Megalotyla brevichaeta", "Vincetoxicum tsaii", "Tethya wilhelma", "Jersicoccus kurthi", "Tagiades flesus", "Ranunculus angustitorus", "Dolecta macrochir", "Ranunculus angustus", "Dolecta morosa", "Ranunculus anisodon", "Ranunculus anisophyllus", "Ranunculus antygodon", "Ranunculus antygophyllus", "Ranunculus apenninus", "Succinoomorphus warchalowskii", "Ranunculus apertiformis", "Tagiades insularis", "Tagiades insularis insularis", "Archelamprosomius balticus", "Archelamprosomius kirejtshuki", "Asteroschema ajax", "Damzenius anitae", "Ranunculus apertisinus", "Tethya minuta", "Tethya gracilis", "Tethya dendyi", "Tethya expansa", "Tethya burtoni", "Tethya acuta", "Tethya flexuosa", "Tethya gunni", "Tethya hooperi", "Tethya pulitzeri", "Tethya tasmaniae", "Tethya stellodermis", "Baccharis caespitosa", "Baccharis uniflora", "Asteroschema bidwillae", "Parablechnum loxense", "Tagiades litigiosa andamanica", "Tagiades litigiosa ceylonica", "Tagiades litigiosa ultra", "Ranunculus apertus", "Tagiades menaka", "Ranunculus apheles", "Tagiades menaka menaka", "Ranunculus apiculatus", "Dialium bipindense", "Tethya rubra", "Tethya brasiliana", "Tethya cyanae", "Tethya ignis", "Tethya beatrizae", "Tethya nicoleae", "Tethya parvula", "Tethya samaaii", "Tethya solangeae", "Tethya boeroi", "Tethya densa", "Tethya microstella", "Tethya orphei", "Tethya pulchra", "Tethya tenuisclera", "Tethya novaecaledoniae", "Tethya levii", "Tethya andamanensis", "Tethya compacta", "Arnellia fennica", "Tethya varians", "Tethya omanensis", "Tethya irregularis", "Tethya comorensis", "Tethya citrina", "Tethya bergquistae", "Hoffmaneuma exiguum", "Dialium ovoideum", "Hesperaletes borineyi", "Hesperaletes walshi", "Styracocrinus rimafera", "Tagiades menaka manis", "Tagiades menaka mantra", "Tagiades menaka tanda", "Asteroschema brachiatum", "Ranunculus appropinquans", "Ranunculus arachnoideus", "Ranunculus archangelicus", "Ranunculus arctophilus", "Ranunculus arcuiformans", "Ranunculus argillicola", "Ranunculus argoviensis", "Ranunculus ariodon", "Ranunculus armingfordensis", "Ranunculus arschantynicus", "Tagiades nestus", "Tagiades nestus nestus", "Tagiades nestus juncta", "Tagiades nestus brunta", "Tagiades nestus biakana", "Metura falcata", "Metura aristocosma", "Metura phyllosacca", "Labichea lanceolata subsp. lanceolata", "Tagiades nestus mefora", "Tagiades nestus pentaja", "Celastrus aculeatus", "Celastrus australis", "Caaeteboia gaeli", "Celastrus caseariifolius", "Celastrus cuneatus", "Eurypon gracile", "Arma custos", "Martiodendron mediterraneum", "Tagiades nestus gilolensis", "Pholidoptera pustulipes", "Phthorarcha haberhaueri", "Goodyera hachijoensis", "Phacelia ramosissima", "Phacelia ranunculacea", "Dendrobium serratilabium", "Phacelia rotundifolia", "Phacelia secunda", "Phthorarcha ishkovi", "Phthorarcha primigena", "Phthorarcha chaoticaria", "Cyana detoulgoeti", "Gordymonas vitalis", "Golovatchia magda", "Neadeloides acridentata", "Ranunculus arvidii", "Ranunculus arwidssonii", "Tumicla bongorum", "Tumicla globosa", "Ranunculus asplundii", "Tumicla latipunctata", "Vincetoxicum stauropolitanum", "Phacelia serrata", "Phacelia stellaris", "Phacelia scopulina", "Phacelia scopulina var. submutica", "Phacelia vallis-mortae", "Styracocrinus thomasae", "Phacelia brachyantha", "Bomarea dulcis", "Tumicla minima", "Ranunculus asterodes", "Tumicla pallida", "Tumicla parvipunctata", "Ranunculus asymmetrus", "Tumicla whitensis", "Tumicla falcata", "Ranunculus atlanticus", "Ranunculus atriviolascens", "Ranunculus atrovirens", "Ranunculus attenuans", "Ranunculus attenuilobus", "Ranunculus attingens", "Ranunculus aucheri", "Ranunculus aurasiacus", "Ranunculus aureopetalus", "Tagiades toba", "Ranunculus auricomiformis", "Globidiellum multifidum", "Ranunculus aurosulus", "Tagiades toba toba", "Ranunculus austrokarelicus", "Tagiades toba nana", "Storckiella pancheri", "Pheraeus guandu", "Phacelia racemosa", "Australaena hystricina", "Australaena zimmermani", "Tagiades samborana rana", "Numbakulla pii", "Aetoxylon sympetalum", "Tagiades sambavana", "Tagiades waterstradti", "Tagiades waterstradti waterstradti", "Tagiades waterstradti talanga", "Roraimaea coccinea", "Romanzoffia californica", "Romanzoffia unalaschkensis", "Jobinia formosa", "Jobinia tarmensis", "Phacelia curvipes", "Phacelia davidsonii", "Phacelia douglasii var. petrophila", "Macrophyes sanzi", "Phacelia egena", "Macrophyes ceratii", "Mesilla vittiventris", "Phacelia mutabilis", "Mesilla anyphaenoides", "Phacelia pedicellata", "Tagiades samborana", "Tagiades samborana samborana", "Chelonopsis longipes", "Croton samarensis", "Croton rheophyticus", "Croton pleytei", "Croton pilophorus", "Croton phaenodon", "Croton womersleyi", "Pinus armandii var. armandii", "Pinus armandii var. mastersiana", "Pinus armandii var. dabeshanensis", "Croton vogelianus", "Croton vidalii", "Asteroschema clavigerum", "Croton stockeri", "Croton singularis", "Asteroschema edmondsoni", "Croton sepalinus", "Croton santisukii", "Buckupiella imperatriz", "Hatitia yhuaia", "Hatitia canchaque", "Iguarima pichincha", "Croton magneticus", "Phapitreron brunneiceps", "Nama demissa", "Ilocomba marta", "Ilocomba perija", "Isigonia camacan", "Italaman santamaria", "Croton muriculatus", "Croton morotaeus", "Croton montis-silam", "Nama sandwicensis", "Chiloglottis bifaria", "Chiloglottis curviclavia", "Tetilla radiata", "Tethyastra oxyaster", "Paroedura homalorhina", "Paroedura gracilis", "Paroedura picta", "Paroedura oviceps", "Paroedura stumpffi", "Lycodon deccanensis", "Nama jamaicensis", "Calantica saskatchewanensis", "Nama lobbii", "Nama stevensii", "Nama pusilla", "Lachesiodendron viridiflorum", "Rochefortia spinosa", "Croton longissimus", "Croton leptanthus", "Ashinkailepas indica", "Croton kerrii", "Hemileccinum indecorum", "Afroboletus sequestratus", "Dalea bicolor var. argyrea", "Paroedura spelaea", "Paroedura kloki", "Paroedura fasciata", "Paroedura neglecta", "Jessica osoriana", "Mellicta distans", "Emesis planeca", "Dalea coerulea", "Jessica rafaeli", "Jessica sergipana", "Apoplanesia paniculata", "Jessica puava", "Jessica renneri", "Jessica itatiaia", "Foliamonas triquetra", "Jessica eden", "Jessica pachecoi", "Brazilozoros brasiliensis", "Brazilozoros weidneri", "Brazilozoros huxleyi", "Zenonoida eltola eltola", "Endemosarca hypsalyxis", "Galumna sandormahunkai", "Endemosarca ubatubensis", "Endemosarca anomala", "Pergalumna janosbaloghi", "Fimbrora calsubia", "Zenonoida eltola corbeti", "Zenonoida eltola tappana", "Dalea pinnata", "Cestrum tomentosum", "Spermozoros sinensis", "Spermozoros weiweii", "Zorotypus asymmetristernum", "Paroedura karstophila", "Zinaida caerulescens", "Paroedura maingoka", "Paroedura tanjaka", "Paroedura vahiny", "Paroedura vazimba", "Paroedura masobe", "Paroedura lohatsara", "Endomonas spermophila", "Endobiella bambekii", "Tomentella africana", "Scapulizoros novobritannicus", "Cordezoros zimmermani", "Perscheloribates paracuriosus", "Elleipsisoma thomsoni", "Perscheloribates parakontumensis", "Asteroschema elongatum", "Asteroschema fastosum", "Ectobiella plateaui", "Chondrorhyncha chocoensis", "Chondrorhyncha inedita", "Chondrorhyncha macronyx", "Chondrorhyncha rosea", "Chondrorhyncha suarezii", "Chondrorhyncha velastiguii", "Paroedura ibityensis", "Dalea feayi", "Arma ferruginea", "Paroedura hordiesi", "Spermozoros asymmetricus", "Spermozoros huangi", "Spermozoros impolitus", "Dichomeris pauliani", "Dichomeris paulianella", "Spermozoros medoensis", "Austrocarabodes madagascarensis", "Ecphymacris lofaoshana", "Dalea scariosa", "Dalea searlsiae", "Dalea tenuifolia", "Echinococcidium notomasti", "Paroedura guibeae", "Zera zera", "Zera zera zera", "Pilobatella mikoi", "Pilobatella kovaci", "Diplophysalis stagnalis", "Zera zera difficilis", "Perxylobates hakkai", "Agama knobeli", "Cyrtophora pedicellata", "Palatinella cyrtophora", "Zera belti", "Angulogalumna grishinae", "Tetradimorpha radiata", "Microcometes paludosa", "Chlamydophrys stercorea", "Gymnophrys cometa", "Sinistermonas sinistrorsus", "Zera hyacinthinus gellius", "Zera hyacinthinus servius", "Chrysowaernella hieroglyphica", "Anarta insolita", "Anarta insolita insolita", "Zera hyacinthinus", "Schizocladia ischiensis", "Zera hyacinthinus hyacinthinus", "Anarta insolita umay", "Abies vejarii var. vejarii", "Abies delavayi subsp. delavayi", "Zera nolckeni", "Bossiaea carinalis", "Zera phila", "Zera phila phila", "Zera phila hosta", "Amorphochlora amoebiformis", "Zera tetrastigma", "Zera tetrastigma tetrastigma", "Zera tetrastigma erisichthon", "Allas diplophysa", "Anarta insolita uigurica", "Mallotus actinoneurus", "Bossiaea disticha", "Elwesia tarka", "Elwesia tarka tarka", "Mallotus darbyshirei", "Bossiaea stephensonii", "Entomophaga ptychopterae", "Bossiaea walkeri", "Diplodasys platydasyoides", "Mallotus coudercii", "Muelleranthus stipularis", "Dendropodola transitionalis", "Cristalloidophora dodecaceriae", "Coptacridia dorsalis", "Brongniartia riesebergii", "Mallotus didymochryseus", "Mallotus eximius", "Mallotus garrettii", "Abies pindrow var. pindrow", "Abies religiosa subsp. religiosa", "Parablechnum loxense var. loxense", "Parablechnum loxense var. stenophyllum", "Platylobium montanum", "Lerista frosti", "Cyanoptyche gloeocystis", "Miltochrista bachma", "Thamoma vetusta", "Cytamoeba bacterifera", "Elwesia tarka sericea", "Mallotus attenuatus", "Mallotus calocarpus", "Elwesia vuquangconi", "Bossiaea obcordata", "Elwesia parallela", "Elwesia parallela parallela", "Elwesia parallela hermanni", "Abies fabri subsp. fabri", "Elwesia macrophthalma", "Elwesia diplostigma", "Elwesia diplostigma diplostigma", "Elwesia diplostigma vasarhelyii", "Mallotus cambodianus", "Ascosphaera subglobosa", "Abies fargesii var. fargesii", "Bossiaea rhombifolia", "Mallotus chromocarpus", "Bossiaea rupicola", "Mallotus concinnus", "Bossiaea scolopendria", "Mallotus havilandii", "Mallotus hymenophyllus", "Brachyotum naudinii", "Brachyotum figueroae", "Ascosphaera apis", "Hovea acanthoclada", "Clypeolum atroareolatum", "Mallotus insularum", "Hovea lanceolata", "Chongxidotea annandalei", "Otacilia dianchiensis", "Hovea rosmarinifolia", "Otacilia hamata", "Parascepsis solox", "Parascepsis ockendeni", "Parascepsis lantingi", "Parascepsis ingenium", "Parascepsis ignobilis", "Hovea longipes", "Denisonia devisi", "Chalarodora azurea", "Glaucocystopsis africana", "Strobilomonas cyaneus", "Peliaina cyanea", "Glaucocystis nostochinearum", "Cyanophora paradoxa", "Cephalodasys maximus", "Schultesianthus leucanthus", "Bohpa maculata", "Hovea montana", "Calibrachoa pubescens", "Otacilia bizhouica", "Hovea pannosa", "Otacilia gougunao", "Otacilia nanhuashanica", "Otacilia subfabiformis", "Otacilia wugongshanica", "Otacilia yusishanica", "Otacilia zaoshiica", "Otacilia ziyaoshanica", "Nierembergia linariifolia", "Acanthus greuterianus", "Otacilia fanjingshan", "Otacilia zhouyun", "Disa cornuta", "Sampantaea amentiflora", "Bertarellia leptodactyli", "Thinicola incana", "Ranunculus udicola", "Ranunculus uncostigma", "Ranunculus undosus", "Ranunculus unguis-cati", "Ranunculus unipetalus", "Ranunculus urbicola", "Ranunculus uryuensis", "Ranunculus ustulatus", "Ranunculus uttaranchalensis", "Ranunculus uxoris", "Ranunculus urjalensis", "Epimyodex soricis", "Sorex trowbridgii trowbridgii", "Iochroma arborescens", "Chondroscaphe flaveola", "Trimeresurus gracilis", "Dentella repens var. serpyllifolia", "Dentella concinna", "Maasia sumatrana", "Nototriche pinnata", "Utivarachna bucculenta", "Aspalathus pedunculata", "Ranunculus fenzlii", "Eriolarynx lorentzii", "Eriolarynx fasciculata", "Ranunculus vanensis", "Utivarachna lata", "Aspalathus burchelliana", "Surugathyris surugaensis", "Utivarachna gui", "Calceolaria incarum", "Calceolaria linearis", "Frieleia halli", "Balliamonas brasiliana", "Balliamonas riobonito", "Balliamonas spiralis", "Otacilia zongxu", "Sorex trowbridgii montereyensis", "Aphelidiopsis epithemiae", "Clubiona yangmingensis", "Utivarachna taiwanica", "Amylophagus algarum", "Sorex trowbridgii humboldtensis", "Sorex trowbridgii destructioni", "Sorex trowbridgii mariposae", "Utivarachna rama", "Urochordeuma bumpusi", "Vassobia breviflora", "Capila jayadeva", "Ranunculus trichocarpus", "Capila lidderdali", "Trozelia grandiflora", "Haplothismia exannulata", "Capila phanaeus phanaeus", "Amblynetes bottegoi", "Ranunculus bayerae", "Ranunculus bekesensis", "Ranunculus bellicrenatus", "Utivarachna kinabaluensis", "Ranunculus belliflorus", "Ranunculus bellulus", "Ranunculus bellus", "Utivarachna chamaeleon", "Ranunculus beregensis", "Ranunculus bergeri", "Utivarachna ichneumon", "Ranunculus berggrenii", "Ranunculus bernatskyanus", "Ranunculus biclaterae", "Utivarachna phyllicola", "Capila hainana mackwoodi", "Rockinghamia angustifolia", "Argyrophis koshunensis", "Capila phanaeus falta", "Crotalaria aegyptiaca", "Capila phanaeus ferrea", "Capila phanaeus fiducia", "Capila phanaeus fulva", "Capila phanaeus flora", "Capila phanaeus quagga", "Capila phanaeus lalita", "Borneodendron aenigmaticum", "Cleidiocarpon cavaleriei", "Ranunculus quadrivaginatus", "Ranunculus quinatus", "Cleidiocarpon laurinum", "Ranunculus badachschanicus", "Ranunculus baguetii", "Ranunculus baidarae", "Ranunculus balangshanicus", "Ranunculus balatonensis", "Ranunculus baldensis", "Ranunculus balikunensis", "Ranunculus balkharicus", "Hylandia dockrillii", "Ranunculus bamianicus", "Ranunculus bangii", "Ranunculus banguoensis", "Ranunculus bariscianus", "Ranunculus basilobatus", "Ranunculus basiotrichus", "Ranunculus basitruncatus", "Ranunculus bathyodon", "Ranunculus batrachioides", "Didymoplexis pallens", "Rockinghamia brevipes", "Ranunculus braun-blanquetii", "Ranunculus brevidens", "Ranunculus brevifidus", "Ranunculus breviscapus", "Ranunculus brevistylus", "Trachelas bicolor", "Ranunculus brewisiae", "Ranunculus breyninus", "Ranunculus brotherusii", "Ranunculus brunnescens", "Ranunculus brunnescentoides", "Ranunculus buchoniae", "Ranunculus budaianus", "Ranunculus budensis", "Ranunculus buekkensis", "Ranunculus quinquangularis", "Ranunculus vuolijokiensis", "Ranunculus vvedenskyi", "Ranunculus vytegrensis", "Ranunculus xinningensis", "Ranunculus yanshanensis", "Crotalaria confusa", "Argyrophis bothriorhynchus", "Argyrophis siamensis", "Argyrophis klemmeri", "Argyrophis trangensis", "Argyrophis muelleri", "Argyrophis diardii", "Argyrophis hypsobothrius", "Argyrophis oatesii", "Argyrophis giadinhensis", "Argyrophis roxaneae", "Crotalaria fysonii", "Munidopsis spinifrons", "Ranunculus bicolor", "Ranunculus bidens", "Ranunculus biformis", "Utivarachna dusun", "Ranunculus bikramii", "Utivarachna rubra", "Ranunculus binatus", "Ranunculus blandus", "Ranunculus boecheri", "Ranunculus boldtii", "Ranunculus borbasianus", "Ranunculus borchers-kolbiae", "Ranunculus boreigenus", "Ranunculus boreoapenninus", "Ranunculus botschantzevii", "Ranunculus bottnicus", "Ranunculus bovioi", "Ranunculus brabantianus", "Trachelas brachialis", "Ranunculus brachygonophorus", "Ranunculus brachyphyllarius", "Trachelas gigapophysis", "Ranunculus brachyschides", "Ranunculus brassii", "Trachelas gaoligongensis", "Trachelas shilinensis", "Liquidambar cambodiana", "Trachelas borinquensis", "Liquidambar caudata", "Trachelas bravidus", "Trachelas cadulus", "Capila zennara", "Ranunculus cacuminis", "Ranunculus cadmicus", "Ranunculus caespitans", "Ranunculus caespitosulus", "Ranunculus cajanderi", "Ranunculus calandrinioides", "Ranunculus caliginosus", "Ranunculus callimorphoides", "Ranunculus callimorphus", "Ranunculus calliodon", "Ranunculus jacquemontii", "Ranunculus callianthus", "Myricanthe discolor", "Ranunculus yaoanus", "Ranunculus yatsugatakensis", "Ranunculus yechengensis", "Ranunculus yunnanensis", "Epimyodex talpae", "Ranunculus zaghei", "Ranunculus zapalowiczii", "Epimyodex microti", "Ranunculus zaplatys", "Ranunculus zenjanensis", "Epimyodex crocidurae", "Ranunculus zhouquensis", "Ranunculus zhungdianensis", "Ranunculus zinselianus", "Ranunculus zmudae", "Ranunculus wallichianus", "Ranunculus walo-kochii", "Ranunculus waltersii", "Ranunculus wangianus", "Ranunculus waziristanicus", "Crotalaria cuspidata", "Ranunculus weddellii", "Ranunculus wendelboi", "Ranunculus wettsteinii", "Ranunculus weyleri", "Ranunculus wraberi", "Ranunculus wrayensis", "Ranunculus wutaishanicus", "Litholepas klausrechi", "Euplectella sanctipauli", "Bolosoma perezi", "Advhena magnifica", "Kairothamnus phyllanthoides", "Begonia caramoanensis", "Begonia truncatifolia", "Begonia cabanillasii", "Oxyrrhynchium pringlei", "Dendrochilum ignisiflorum", "Crotalaria graminicola", "Crotalaria heyneana", "Haemadipsa interrupta", "Crotalaria hirsuta", "Crotalaria leprieurii", "Shimodaia pterygiota", "Furcifer voeltzkowi", "Brachistus stramoniifolius", "Crotalaria longipes", "Trachelas mulcetus", "Trachelas ecudobus", "Trachelas jamaicensis", "Liquidambar chinensis", "Trachelas huachucanus", "Trachelas submissus", "Trachelas hassleri", "Trachelas mexicanus", "Trachelas mombachensis", "Liquidambar chingii", "Trachelas crassus", "Astrophiura markbeneckei", "Astrosombra rammsteinensis", "Deutzia hookeriana", "Arnhemia cryptantha", "Dilochia deleoniae", "Taractrocera anisomorpha", "Crotalaria obtecta", "Crotalaria montana", "Crotalaria naragutensis", "Scincella badenensis", "Scincella baraensis", "Chaetostachydium versteegii", "Sarsamphiascus hawaiiensis", "Lebenharticrinus canaliculatus", "Corybas autumnalis", "Corybas hatchii", "Coendou speratus", "Styracaster yapensis", "Astrolirus patricki", "Eirenis rafsanjanicus", "Hetaeria oblongifolia", "Perryus severnensis", "Torulisquama lini", "Pharta tangi", "Tricholathys ovtchinnikovi", "Paracedicus kasatkini", "Ajmonia rajaeii", "Devade naderii", "Liquidambar siamensis", "Schiffornis turdina amazonum", "Gaberella costata", "Liquidambar multinervis", "Deinopis gubatmakiling", "Deinopis labangan", "Deinopis luzonensis", "Liquidambar obovata", "Phaneropora galatheae", "Liquidambar poilanei", "Phagodinium tridentatum", "Neosteinernema longicurvicauda", "Callipelis deserticola", "Zora huseynovi", "Diaea osmanii", "Corybas hypogaeus", "Corybas papillosus", "Oecobius ilamensis", "Oecobius ferdowsii", "Crotalaria pseudotenuirama", "Ramila sunderbanensis", "Miroblatta petrophila", "Miroblatta baai", "Automeris vomona vomona", "Automeris vomona pichichensis", "Arma maculata", "Amanita umbrinolutea", "Lebenharticrinus incisurus", "Isodon effusus", "Isodon trichocarpus", "Ancistrocladus abbreviatus", "Ancistrocladus pachyrrhachis", "Goniothalamus velutinus", "Arma insperata", "Crotalaria smithiana", "Auletta krautteri", "Dragmacidon kishinense", "Arma koreana", "Lebenharticrinus incisurus compressus", "Weinmannia aphanoneura", "Dirphiopsis flora orientalis", "Dirphiopsis flora flora", "Ranunculus kajanensis", "Ranunculus kemensis", "Ranunculus kevoensis", "Ranunculus kitinensis", "Crotalaria socotrana", "Ranunculus kittilensis", "Ranunculus klingstedtii", "Leiocanthus lageria", "Neopetrosia cristata", "Neopetrosia dendrocrevacea", "Neopetrosia sigmafera", "Neopetrosia proxima", "Arma tubercula", "Paradirphia oblita oblita", "Paradirphia oblita latipunctata", "Listia bainesii", "Cristaphyes dordaidelosensis", "Pseuduvaria calliura", "Cristaphyes glaurung", "Cristaphyes scatha", "Pycnophyes ancalagon", "Arma velata", "Lotononis galpinii", "Arsenura arcaei arcaei", "Arsenura arcaei aurantiaca", "Pheles atricolor", "Pheles atricolor atricolor", "Pheles atricolor malmanoury", "Leobordea platycarpa", "Telesonix jamesii", "Xylophanes letiranti", "Australojalla versicolor", "Lebenharticrinus quinvigintensis", "Velamysta pupilla", "Baeotis barce corentyna", "Spiralizoros philippinensis", "Spiralizoros hainanensis", "Centrozoros gurneyi", "Ithomia praeithomia", "Perilla citriodora", "Baeotis euprepes", "Baeotis euprepes euprepes", "Baeotis euprepes orthotaenia", "Baeotis euprepes obscurior", "Baeotis prima", "Baeotis prima prima", "Baeotis prima nigricans", "Spiralizoros cervicornis", "Spiralizoros magnicaudelli", "Lotononis sericophylla", "Baeotis barce", "Spiralizoros silvestrii", "Baeotis barce barce", "Spiralizoros buxtoni", "Spiralizoros caudelli", "Spiralizoros ceylonicus", "Velamysta pupilla pupilla", "Velamysta pupilla greeneyi", "Adesmia balsamica", "Gallopsis perita", "Adesmia confusa", "Tanaella quintanai", "Abyssorhynchia craneana", "Hispanirhynchia cornea", "Manithyris rossi", "Notodasus celebensis", "Notodasus chinensis", "Parasphenarina cavernicola", "Agapetes aborensis", "Agapetes adenobotrys", "Begonia makuruyot", "Indolestes pulcherrimus", "Agapetes affinis", "Blachia ducalis", "Adesmia denticulata", "Adesmia echinus", "Clausidium rodriguesi", "Adesmia littoralis", "Adesmia parvifolia", "Argyraspila pirene", "Adesmia pinifolia", "Argyraspila caecina", "Argyraspila napoensis", "Argyraspila boyi", "Adesmia tenella var. misera", "Argyraspila gyges", "Argyraspila cayapona", "Chaetoceros decipiens", "Pelagodiscus atlanticus", "Argyraspila zeanger", "Argyraspila cuprea", "Coptacrella martini", "Squalus shiraii", "Argyraspila thara", "Adesmia bedwellii", "Adesmia gracilis", "Argyraspila alma", "Argyraspila rhesa", "Argyraspila tavakiliani", "Joiceya fannia", "Joiceya satyroides", "Hypophylla lasthenes lasthenes", "Hypophylla lasthenes idae", "Brontocoris tabidus", "Adesmia hemisphaerica", "Adesmia longipes", "Myanmarops gatiosus", "Adesmia montana", "Adesmia subterranea", "Americobdella valdiviana", "Adesmia mucronata", "Chrysoglossum ornatum", "Lebenharticrinus ultimus", "Hemidasys agaso", "Margaritabruchus cherylae", "Chondroscaphe atrilinguis", "Chondroscaphe bicolor", "Chondroscaphe eburnea", "Chondroscaphe merana", "Chondroscaphe plicata", "Chondroscaphe dabeibaensis", "Chondroscaphe embreei", "Chondroscaphe escobariana", "Chondroscaphe gentryi", "Chondroscaphe venezuelana", "Chondroscaphe yamilethae", "Electrocaryedon poinari", "Adesmia argentea", "Costera cyclophylla", "Diduga simianshana", "Diduga chebalinga", "Diduga chewi", "Diduga hollowayi", "Victrix surala", "Tribolium acutiflorum", "Andira marauensis", "Andira vermifuga", "Ranunculus pycnodon", "Chrysoglossum assamicum", "Chrysoglossum ensigerum", "Chrysoglossum reticulatum", "Lacerta media ciliciensis", "Asuridia huaphanha", "Taracterocera ina ina", "Lacerta media isaurica", "Lacerta media media", "Taracterocera ina iola", "Lacerta media israelica", "Miltochrista tenera", "Miltochrista vidlickai", "Miltochrista khammouanea", "Miltochrista rolleri", "Miltochrista parvulus", "Miltochrista parallelinaformis", "Miltochrista explanata", "Miltochrista flavorosea", "Miltochrista unica", "Micranthes purpurascens", "Micranthes laciniata", "Athaumasta alaarcha", "Bryophila ovchi", "Stenoloba sapa", "Agrotis myanmara", "Schrankia griffon", "Hadena yadviga", "Psalistops colombianus", "Psalistops melanopygius", "Hapalopus gasci", "Goniurosaurus varius", "Trichopelma nitidum", "Ranunculus degenii", "Glyptelasma carinatum", "Ranunculus laurilaensis", "Anophiura banzarei", "Nasa poissoniana", "Anthophiura axiologa", "Taractrocera dolon", "Taractrocera dolon dolon", "Adenogramma teretifolia", "Ranunculus neapolitanus", "Ranunculus evolutus", "Dalbergia assamica", "Trichopelma coenobita", "Trichopelma steini", "Trichopelma affine", "Ranunculus effingens", "Trichopelma maculatum", "Ptilinopus fischeri meridionalis", "Himalobrya nepaliria", "Himalobrya nilgiria", "Bryophila istaravshana", "Eugoa hergovitsi", "Eugoa laosana", "Diduga khounngeuna", "Lacerta media wolterstorffi", "Nudaria nimbusa", "Nudaria mako", "Nudaria brunnea", "Chamaita cheni", "Schistophleps velinis", "Cyclosiella flava", "Taractrocera ina", "Andira galeottiana", "Cupressus austrotibetica subsp. austrotibetica", "Cupressus austrotibetica subsp. tongmaiensis", "Taractrocera ardonia", "Taracterocera ardonia ardonia", "Lebenharticrinus zitti", "Hyalonema heideri", "Hyalonema aculeatum", "Hyalonema cebuense", "Tabachnickia polybasalia", "Acrosanthes microphylla", "Adenogramma asparagoides", "Ranunculus eumorphus", "Ranunculus exiguifrons", "Trichopelma banksia", "Clathrochone clathroclada", "Hyalonema brevancora", "Taractrocera dolon diomedes", "Caulophacus weddelli", "Ranunculus emersus", "Ranunculus euthygrammus", "Ranunculus egens", "Ranunculus elegantifrons", "Ranunculus elenevskyi", "Ranunculus ellipes", "Dalbergia crispa", "Zenocolaspis subtropica", "Taractrocera flavoides", "Dictyaulus romani", "Dictyaulus starmeri", "Taractrocera ilia", "Taracterocera ilia ilia", "Pentameris aurea", "Bathylepta pacifica", "Perlophiura profundissima", "Ophioplinthus madseni", "Euglyphocrinus euglypheus", "Pentameris malouinensis", "Syneta albida", "Syneta carinata", "Syneta extorris", "Syneta ferruginea", "Pentaphlebia mangana", "Dalbergia glabra", "Trichopelma zebra", "Syneta hamata", "Trichopelma insulanum", "Syneta pilosa", "Syneta seriata", "Syneta simplex", "Brontocoris nigrolimbatus", "Caulophacus variens", "Eurete lamellina", "Tretopleura styloformis", "Farrea microclavula", "Lophocalyx moscalevia", "Poliopogon maitai", "Semperella alba", "Pheronema megaglobosum", "Graviscalpellum grantmackiei", "Syneta brevitibialis", "Ranunculus dolosus", "Ranunculus erectus", "Ranunculus eversii", "Thricolema anomala", "Ranunculus expansus", "Pentameris ampla", "Ranunculus eurycolpus", "Ranunculus eriorrhizus", "Ranunculus elymaiticus", "Ranunculus eastwoodianus", "Ranunculus elisae", "Adenogramma congesta", "Adenogramma littoralis", "Myloplus tumukumak", "Myloplus lucienae", "Myloplus zorroi", "Taracterocera ardonia sumatrensis", "Lacerta diplochondrodes cariensis", "Lacerta diplochondrodes galatiensis", "Lacerta diplochondrodes diplochondrodes", "Lacerta diplochondrodes dobrogica", "Taractrocera danna", "Chapmannia gracilis", "Cranocarpus mezii", "Terebellides hutchingsae", "Ranunculus czimganicus", "Taracterocera ilia beta", "Ranunculus kuepferi", "Ranunculus hebecarpus", "Euglyphocrinus cristagalli", "Ranunculus hybridus", "Ranunculus fallax", "Ranunculus demissus", "Ranunculus cassubicifolius", "Taractrocera papyria", "Taracterocera papyria papyria", "Ranunculus carinthiacus", "Ranunculus leptomeris", "Ranunculus multisectus", "Ranunculus tuberosus", "Ranunculus parnassifolius", "Ranunculus pollinensis", "Ranunculus \u00d7 polyanthemoides", "Ranunculus pyrenaeus", "Ranunculus reuterianus", "Ranunculus serbicus", "Ranunculus thora", "Ranunculus velutinus", "Ranunculus tripartitus", "Ranunculus trilobus", "Ranunculus thasius", "Ranunculus ternatus", "Trichopelma platnicki", "Euthycaelus astutus", "Atlantisella lorraineae", "Schismatothele opifex", "Fieldingia valentini", "Neodiplothele flavicoma", "Dalbergia ovata", "Holothele maddeni", "Dalbergia rostrata", "Trichopelma fulvum", "Dalbergia laxiflora", "Trichopelma laselva", "Trichopelma venadense", "Taracterocera papyria agraulia", "Spongiactis japonica", "Trichopelma hispaniolensis", "Trichopelma huffi", "Trichopelma gabrieli", "Trichopelma tostoi", "Trichopelma goloboffi", "Trichopelma juventud", "Chaetoceros laevisporus", "Trichopelma laurae", "Trichopelma bimini", "Trichopelma loui", "Dalbergia rubiginosa", "Chysis addita", "Chysis archilae", "Chysis chironii", "Chysis guimaraensis", "Dalbergia tonkinensis", "Dalbergia boniana", "Taracterocera archias archias", "Ranunculus peduncularis", "Chysis limminghei", "Ranunculus polyanthemos", "Chysis violacea", "Taracterocera archias bavius", "Ranunculus macauleyi", "Ranunculus macounii", "Ranunculus micranthus", "Ranunculus munzurensis", "Euglyphocrinus jacobsae", "Betta raja", "Catherinum busselli", "Diphysa carthagenensis", "Cyrtogrammomma monticola", "Cyrtogrammomma raveni", "Diphysa punctata", "Deuveia panda", "Argyrotaenia ceramica", "Argyrotaenia ceramica ceramica", "Argyrotaenia ceramica granpiedrae", "Hyelaphus annamiticus", "Discolobium junceum", "Aizoanthemum membrum-connectens", "Chaetoceros mannaii", "Machaerium nyctitans", "Archidendropsis fournieri", "Haploops kaimmalkai", "Ranunculus ollissiponensis", "Ranunculus ololeucos", "Kotschya africana", "Aizoon schellenbergii", "Taracterocera archias kisaga", "Taracterocera archias quinta", "Oculicattus boliviana", "Oculicattus brehmi", "Oculicattus inca", "Oculicattus raizae", "Oculicattus schmidti", "Oculicattus uturunku", "Oculicattus renifera", "Harpactea gunselorum", "Humularia bifoliolata", "Byblisoides bellansantiniae", "Haploops dauvini", "Archidendropsis fulgens", "Myanmarorchestia victoria", "Pseudosparna mantis", "Gammarus chuanhui", "Gamasomorpha comosa", "Gamasomorpha virgulata", "Ischnothyreus zhoujiayan", "Kachinia mahmolae", "Kachinia putao", "Orchestina aureola", "Orchestina clavulata", "Orchestina truncatula", "Orchestina tubulata", "Orchestina yinggezui", "Prethopalpus hainanensis", "Vientianea peterjaegeri", "Xestaspis rostrata", "Machaerium amplum", "Machaerium aristulatum", "Machaerium condensatum", "Cicadoforma ocelotus", "Cicadoforma vau-nigrum", "Scyphidium jamatai", "Anonyx abei", "Anonyx omorii", "Anonyx exilipes", "Cicadomorphus chicharra", "Cicadomorphus chuya", "Cicadomorphus falkasiska", "Cicadomorphus lilianae", "Gaujonia arbosi", "Gaujonia bichu", "Gaujonia chiqyaq", "Gaujonia kanakusika", "Gaujonia sourakovi", "Gaujoptera amsa", "Millerana arbosioides", "Millerana austini", "Millerana cajas", "Millerana cundinamarquensis", "Millerana matthewsae", "Millerana tigrina", "Atlantia caboverdiana", "Sinogammarus chuanhui", "Euglyphocrinus pyramidalis", "Gammarus denticulatus", "Gammarus stagnarius", "Gammarus elevatus", "Gammarus qiani", "Grandidierella chaohuensis", "Gammarus sichuanensis", "Gammarus riparius", "Gammarus emeiensis", "Gammarus craspedotrichus", "Pseudocrangonyx cavernarius", "Gammarus electrus", "Gammarus decorosus", "Gammarus glabratus", "Platorchestia bousfieldi", "Floresorchestia hanoiensis", "Gammarus curvativus", "Gammarus ninglangensis", "Gammarus platvoeti", "Gammarus montanus", "Gammarus takesensis", "Gammarus brevipodus", "Gammarus frigidus", "Gammarus jaspidus", "Gammarus sinuolatus", "Gammarus shenmuensis", "Gammarus murarius", "Gammarus martensi", "Gammarus translucidus", "Nissolia latisiliqua", "Nissolia nigricans", "Nissolia platycarpa", "Nissolia tomentosa", "Larus michahellis atlantis", "Exsuperantia levii", "Leiodermatium tuba", "Siphonidium elongatus", "Neoschrammeniella inaequalis", "Neoschrammeniella piserai", "Neoschrammeniella pomponiae", "Sodalia sodalis", "Pseudopathocerus humboldti", "Pseudopilema hoppingi", "Sodalia argyrospila", "Pyrodes nitidus", "Lavareda decraemerae", "Lavareda iramscotti", "Leptolaimus dififtinus", "Sodalia coler", "Hyposcada illinissa napoensis", "Crassignatha baihua", "Crassignatha bangbie", "Crassignatha changyan", "Crassignatha dongnai", "Ranunculus cupreus", "Crassignatha gucheng", "Crassignatha mengla", "Crassignatha nantou", "Crassignatha nasalis", "Crassignatha rostriformis", "Crassignatha shunani", "Crassignatha si", "Crassignatha thamphra", "Crassignatha xichou", "Euglyphocrinus truncatus", "Crassignatha bicorniventris", "Ranunculus colonorum", "Crassignatha quadriventris", "Crassignatha shiluensis", "Nissolia acutifolia", "Nissolia blanchetiana", "Macandrewia robusta", "Macandrewia minima", "Macandrewia schusterae", "Nissolia klugii", "Jesogammarus hebeiensis", "Jesogammarus fontanus", "Gammarus stalagmiticus", "Gammarus pexus", "Gammarus madidus", "Gammarus comosus", "Eurypodogammarus helobius", "Gammarus preciosus", "Gammarus illustris", "Gammarus clarus", "Gammarus hypolithicus", "Gammarus parvioculus", "Macrobrachium elegantum", "Gammarus citatus", "Gammarus echinatus", "Gammarus egregius", "Gammarus eliquatus", "Gammarus hirtellus", "Gammarus margcomosus", "Gammarus rivalis", "Gammarus silendus", "Gammarus tranquillus", "Gammarus incoercitus", "Gammarus benignus", "Gammarus monticellus", "Gammarus pisinnus", "Victoriopisa multiartus", "Pseudocrangonyx elegantulus", "Gammarus simplex", "Gammarus glaber", "Myanmarorchestia peterjaegeri", "Myanmarorchestia seabri", "Gammarus troglomorphus", "Gammarus parvioculatus", "Tadzocrangonyx alaicus", "Bogidiella pingxiangensis", "Sarothrogammarus yiiruae", "Annanogammarus debilis", "Pentameris ecklonii", "Taracterocera archias samadha", "Ithomia lagusa", "Ithomia lagusa lagusa", "Ithomia lagusa adelinda", "Chaetoceros pauciramosus", "Ithomia lagusa linda", "Ithomia lagusa theuda", "Uropeltis rajendrani", "Ithomia lagusa rachelii", "Boiga flaviviridis", "Ithomia avella", "Ithomia avella avella", "Ithomia avella salazari", "Ithomia jucunda", "Discodermia ramifera", "Ithomia jucunda jucunda", "Ithomia jucunda lamasi", "Ithomia terra", "Ithomia terra terra", "Actodus treichi", "Ithomia terra jasinskii", "Discodermia verrucosa", "Discodermia arbor", "Discodermia kellyae", "Napeogenes cranto browni", "Hyposcada schausi schausi", "Hyposcada schausi lactea", "Trachypithecus popa", "Nissolia weberbaueri", "Ahaetulla travancorica", "Ahaetulla borealis", "Ahaetulla farnsworthi", "Ahaetulla malabarica", "Ahaetulla sahyadrensis", "Archidendropsis fournieri var. auriculata", "Archidendropsis glandulosa", "Archidendropsis granulosa", "Ahaetulla laudankia", "Leclercera mianqiu", "Leclercera thamsangensis", "Leclercera yandou", "Leclercera thamkaewensis", "Leclercera xiangbabang", "Sodalia petiti", "Sodalia spangla", "Rhadinomaeus rufipes", "Hyalyris antea amarilla", "Hyalyris antea achuar", "Hyalyris yasunina", "Napeogenes garwoodae", "Oleria bifurcata", "Oleria chimaera", "Episcada pichita", "Pteronymia cuneata", "Cischweinfia colombiana", "Pteronymia mariannae", "Pteronymia mariannae mariannae", "Cyrtodactylus celatus", "Felderophiura vanderhami", "Claderia viridiflora", "Archidendropsis paivana", "Archidendropsis paivana subsp. balansae", "Archidendropsis paivana subsp. tenuispica", "Stegonotus ayamaru", "Archidendropsis sepikensis", "Archidendropsis spicata", "Archidendropsis streptocarpa", "Archidendropsis xanthoxylon", "Leclercera jianzuiyu", "Leclercera yamaensis", "Leclercera banensis", "Leclercera dumuzhou", "Leclercera suwanensis", "Leclercera maochong", "Leclercera shanzi", "Leclercera duandai", "Leclercera hponensis", "Leclercera lizi", "Leclercera xiaodai", "Leclercera yanjing", "Leclercera ekteenensis", "Leclercera zhamensis", "Leclercera sanjiao", "Leclercera selasihensis", "Leclercera paiensis", "Leclercera yuanzhui", "Leclercera zanggaensis", "Leclercera aniensis", "Leclercera renqinensis", "Leclercera shergylaensis", "Leclercera pulongensis", "Leclercera tudao", "Leclercera duibaensis", "Leclercera jiazhongensis", "Archidendropsis lentiscifolia", "Archidendropsis macradenia", "Ormocarpum verrucosum", "Archidendropsis oblonga", "Platymiscium albertinae", "Platymiscium calyptratum", "Platymiscium curuense", "Platymiscium darienense", "Chaetoceros lorenzianus complex", "Pteronymia luisa", "Velamysta desmondi", "Hypomenitis candida", "Rhodocharis anacoloides", "Rhopalizarius mildbraedi", "Hypomenitis jamesiana", "Arrhenes dschilus", "Arrhenes dschilus dschilus", "Cleistesiopsis bifaria", "Similonedine brunniofasciata", "Cleistesiopsis oricamporum", "Smithia hirsuta", "Smithia salsuginea", "Catherinum abyssicola", "Dorithia phillipsae", "Saporaea femoralis", "Arrhenes marnas affinis", "Scapanopygus cinereus", "Arrhenes marnas jopas", "Arrhenes tranquilla", "Smeathmannia pubescens", "Pteronymia mariannae chisinche", "Cischweinfia dasyandra", "Bulbostethus chrysopterus", "Cischweinfia donrafae", "Poliopogon amadou", "Cischweinfia jarae", "Poliopogon mendocino", "Euplectella suberea", "Cischweinfia nana", "Euplectella aspergillum", "Euplectella cucumer", "Euplectella jovis", "Euplectella simplex", "Euplectella aspera", "Euplectella nobilis", "Euplectella curvistellata", "Euplectella imperialis", "Euplectella marshalli", "Euplectella plumosum", "Cischweinfia parva", "Bolosoma biocalum", "Bolosoma charcoti", "Bolosoma cyanae", "Bolosoma meridionale", "Bolosoma musorstomum", "Bolosoma volsmarum", "Bolosoma paradictyum", "Ahaetulla isabellina", "Succinispa stainesi", "Cischweinfia platychila", "Cischweinfia popowiana", "Cischweinfia pygmaea", "Cischweinfia rostrata", "Leucothoe vaderotti", "Centrozoros cramptoni", "Oxossia calyptrocarpa", "Euglyphocrinus worthensis", "Allobates tapajos", "Arrhenes germana", "Cuproxena altimana", "Cuproxena casonana", "Cuproxena obscura", "Cuproxena monumenta", "Cuproxena amistada", "Arrhenes marnas", "Arrhenes marnas marnas", "Pterocarpus tinctorius", "Costatolepas buckeridgei", "Ranunculus lateriflorus", "Ranunculus rumelicus", "Argyrotaenia flavoreticulana", "Cephrenes augiades", "Cephrenes augiades augiades", "Cephrenes augiades arua", "Cephrenes augiades burua", "Cephrenes augiades tara", "Cephrenes augiades bruno", "Cephrenes augiades meeki", "Cephrenes augiades websteri", "Cephrenes augiades tenimbra", "Cephrenes augiades tugela", "Ranunculus dissectus subsp. aragazii", "Cephrenes augiades sperthias", "Ranunculus pachycarpus", "Ranunculus pachyphyton", "Ranunculus rufosepalus", "Ranunculus guelzowiensis", "Ranunculus helenae", "Hyalascus anisoactinus", "Hyalascus pinulohexactinus", "Crateromorpha haliprum", "Centaurea akmanii", "Cephrenes acalle", "Cephrenes acalle acalle", "Alkanna sumbulii", "Centaurea pindicola", "Cephrenes acalle kliana", "Hedysarum duruae", "Achillea aleppica subsp. altinozlui", "Arrhenes dschilus decor", "Goniurosaurus gollum", "Bulbostethus transversalis", "Placopegma plumicomum", "Regadrella heterotelliformis", "Regadrella rhizophora", "Heterotella pacifica", "Dictyocalyx lifousantalis", "Corbitella discasterosa", "Sympagella clavipinula", "Polystachya rosea", "Hyalostylus monomicrosclerus", "Rhytidodera bowringii", "Pseudanhammus keili", "Leucopsacus distantus", "Allobates velocicantus", "Arrhenes dschilus iris", "Ranunculus dissectus subsp. napellifolius", "Cephrenes carna", "Ranunculus ingae-taniae", "Cephrenes carna carna", "Prescottia glazioviana", "Cephrenes augiana", "Cephrenes augusta", "Coelogyne longirachis", "Paeonia archibaldii", "Vatairea lundellii", "Ranunculus poluninii", "Vatairea macrocarpa", "Goodyera umbrosa", "Centrozoros snyderi", "Centrozoros hamiltoni", "Ranunculus dactylophylloides", "Ranunculus dactylophyllus", "Ranunculus daedalus", "Centrozoros manni", "Ranunculus dalechanensis", "Ranunculus dalensis", "Ranunculus danubius", "Ranunculus dayiensis", "Ranunculus decandrus", "Ranunculus decorifactus", "Ranunculus decorus", "Ranunculus decrescens", "Ranunculus decurvus", "Ranunculus defectiflorus", "Ranunculus defectus", "Ranunculus deformis", "Centrozoros mexicanus", "Ranunculus deleniens", "Ranunculus delvosallei", "Ranunculus demarsinii", "Ranunculus deminuens", "Ranunculus densiciliatus", "Ranunculus densipilus", "Ranunculus deripovae", "Ranunculus dertropodius", "Ranunculus dialeptus", "Ranunculus dielsianus", "Ranunculus diffusus", "Ranunculus digitatifolius", "Ranunculus dilatatus", "Ranunculus dimidiatus", "Ranunculus diminutus", "Ranunculus dingjieensis", "Ranunculus diodon", "Ranunculus dispar", "Ranunculus dissectifolius", "Ranunculus dysandrus", "Ranunculus dissidens", "Ranunculus dissimilifolius", "Ranunculus distans", "Ranunculus distendens", "Ranunculus djuloeensis", "Ranunculus doerrii", "Ranunculus dolichodontus", "Ranunculus domingensis", "Ranunculus dongrergensis", "Ranunculus donianus", "Ranunculus dregei", "Ranunculus duciformis", "Ranunculus ducis", "Ranunculus duoxionglashanicus", "Ranunculus dyris", "Ranunculus dysanthus", "Centrozoros neotropicus", "Kobrona kobros", "Kobrona kobros kobros", "Alysicarpus naikianus", "Sphallenopsis pilosovittata", "Senegalia megaladena", "Kobrona kobros issla", "Armeria scabra", "Brassica elongata subsp. duralii", "Leptasterias tatei", "Cephrenes acalle chrysozona", "Zornia villosa", "Zornia floribunda", "Persicaria odorata subsp. conspicua", "Cephrenes acalle kayapu", "Cephrenes acalle niasica", "Cephrenes acalle nicobarica", "Trichocentrum \u00d7 haematochilum", "Euphorbia yildirimlii", "Cephrenes acalle oceanica", "Genista kepenensis", "Hedysarum hasanyildirimii", "Trichocentrum lanceanum", "Thymus ekimii", "Gonopterodendron arboreum", "Gonopterodendron sarmientoi", "Albizia attopeuensis", "Albizia attopeuensis var. laui", "Senegalia andamanica", "Henricia djakonovi", "Solitudes dushengi", "Dysdera dushengi", "Plator cyclicus", "Plator dazhonghua", "Plator hanyikani", "Plator kamurai", "Plator qiului", "Sceliscelis marshi", "Scelidocteus taitave", "Hybosida machondogo", "Phintella banna", "Charippus yinae", "Chinattus inflatus", "Indomarengo yui", "Phintella mii", "Simaetha menglun", "Simaetha pengi", "Falcileptoneta shuanglong", "Jingneta caoxian", "Jingneta jingdong", "Longileptoneta gutan", "Longileptoneta huangshan", "Longileptoneta shenxian", "Longileptoneta yeren", "Longileptoneta zhuxian", "Belisana medog", "Belisana muruo", "Belisana xigaze", "Belisana zham", "Tibetima char", "Trilacuna longtankou", "Pilosarachne ju", "Ranunculus fagerstroemii", "Bifidocoelotes tsoi", "Ischnothyreus hponkanrazi", "Ischnothyreus jianglangi", "Ischnothyreus meukyawwa", "Ischnothyreus putao", "Ranunculus fallacifolius", "Ischnothyreus qiuxing", "Ischnothyreus taunggyi", "Bifidocoelotes zhigangi", "Ranunculus fallacillus", "Ranunculus feripes", "Ranunculus festivus", "Ranunculus firmicaulis", "Ranunculus firmulus", "Ranunculus fissifolius", "Ranunculus flabelliformis", "Centaurea sennikoviana", "Zornia flemmingioides", "Stegonotus heterurus", "Ophiocrossota multispina", "Carpelimus papuensis", "Carpelimus peregrinus", "Carpelimus planicollis", "Carpelimus sadiyanus", "Kobrona pansa", "Kobrona pansa pansa", "Kobrona pansa panta", "Carpelimus chagosanus", "Kobrona eva", "Alysicarpus sanjappae", "Kobrona tabella", "Anoectochilus yatesiae", "Alysicarpus schomburgkii", "Actinote keithbrowni", "Dendrobium lowii", "Trichocentrum luridum", "Glaucium secmenii", "Bromus musadoghanii", "Polygala guneri", "Cephrenes shortlandica", "Senegalia borneensis", "Galium dincii", "Hippolyte chacei", "Hippolyte nanhaiensis", "Cephrenes moseleyi", "Monorhaphis chuni", "Semperella spicifera", "Semperella cucumis", "Platylistrum platessa", "Pheronema raphanus", "Compsocalyx gibberosa", "Neoeolasma rodriguesensis", "Cephrenes trichopepla", "Kobrona denva", "Kobrona edina", "Kobrona vanda", "Kobrona idea", "Kobrona croma", "Catherinum agulhense", "Sinoderces luohanensis", "Sinoderces xueae", "Sinoderces taichi", "Sinoderces wenshanensis", "Sinoderces aiensis", "Sinoderces khanensis", "Sinoderces phathaoensis", "Sinoderces kieoensis", "Sinoderces saraburiensis", "Sinoderces dewaroopensis", "Clubiona zhangyongjingi", "Platythomisus xiandao", "Tretopleura weijicus", "Vachellia siamensis", "Senegalia kostermansii", "Senegalia garrettii", "Coelotes brevis", "Canthecona discolor", "Coelotes colosseus", "Coelotes jianfenglingensis", "Coelotes processus", "Coelotes vestigialis", "Flexicoelotes huyunensis", "Flexicoelotes jiaohanyanensis", "Flexicoelotes jinlongyanensis", "Thaiderces thamphrikensis", "Flexicoelotes pingzhaiensis", "Chinophrys taiwanensis", "Flexicoelotes xingwangensis", "Chinophrys wuae", "Epeus guangxi", "Inermocoelotes halanensis", "Euochin subwanyan", "Inermocoelotes paramicrolepidus", "Orumcekia pseudogemata", "Myrmarachne schenkeli", "Papiliocoelotes guanyinensis", "Neon wangi", "Papiliocoelotes guitangensis", "Papiliocoelotes jiepingensis", "Papiliocoelotes meiyuensis", "Orientattus bicuspidatus", "Papiliocoelotes yezhouensis", "Plexippoides digitatus", "Pireneitega huashanensis", "Pireneitega lushuiensis", "Pireneitega xiyankouensis", "Ptocasius bulbosus", "Sinodraconarius cawarongensis", "Sinodraconarius muruoensis", "Sinodraconarius sangjiuensis", "Sinoinsula minuta", "Sinodraconarius yui", "Spiricoelotes anshiensis", "Spiricoelotes chufengensis", "Sinoinsula nigricula", "Sinoinsula ramosa", "Spiricoelotes nansheensis", "Sinoinsula scutata", "Spiricoelotes taipingensis", "Spiricoelotes xianheensis", "Spiricoelotes xiongxinensis", "Sinoinsula squamata", "Alysicarpus parviflorus", "Sulenopsis chrysovittata", "Praepedaliodes granulata", "Sphallenum tuberosum", "Uncinatera plicata", "Sphingacestes thomasi", "Spiniphilus spinicornis", "Haimormus shimojiensis", "Spinohybolasius spinicollis", "Steinheilia mandibularis", "Stenobrium angusticeps", "Stegonotus muelleri", "Stegonotus cucullatus", "Carpelimus indicus indicus", "Stegonotus florensis", "Stegonotus borneensis", "Carpelimus indicus wamenensis", "Stegonotus guentheri", "Geodia senegalensis", "Jumellea confusa", "Stegonotus reticulatus", "Stegonotus poechi", "Stegonotus parvus", "Sternangustum brunneum", "Trichocentrum jonesianum", "Stolidodere gahani", "Bouffordia dichotoma", "Dadagulella browni semulikiensis", "Cantheconidea variabilis", "Teratoleptura mirabilis", "Leptodesmia microphylla", "Praepedaliodes duartei", "Sumatrochroma testaceipenne", "Praepedaliodes amussis", "Praepedaliodes exul", "Praepedaliodes landryi", "Praepedaliodes francinii", "Praepedaliodes pawlaki", "Praepedaliodes zaccae", "Praepedaliodes sequeirae", "Rhachotropis saskia", "Monopis jussii", "Sypilus orbignyi", "Tapinolachnus lacordairei", "Ladda decca", "Mondeguina atlanticella", "Mondeguina mediterranella", "Catatinagma agenjoi", "Desmodium campyloclados", "Ahaetulla oxyrhyncha", "Dryadaula koreana", "Taygayba venezuelensis", "Teocchius cruciatus", "Teorotrium brevipenne", "Buchanania sessifolia", "Teraschema menalcas", "Dadagulella delgada", "Altiverruca capsa", "Dadagulella radius", "Luciobarbus yahyaouii", "Dadagulella radius radius", "Caridina nyuyeni", "Caridina caobangensis", "Dadagulella radius calva", "Caridina demenica", "Senegalia merrillii", "Senegalia palawanensis", "Senegalia sulitii", "Caridina hubeiensis", "Heliconius hermathena curua", "Heliconius hermathena vereatta", "Heliconius hermathena sheppardi", "Heliconius hermathena duckei", "Sanicula orthacantha", "Storeyandra frenchi", "Praepedaliodes phanias", "Thyrsia lateralis", "Adenanthera malayana", "Timbaraba dispar", "Elegia occultalis", "Cantheconidea acuta", "Dahlica banatica", "Dahlica nanosella", "Sinoinsula tumida", "Sinoinsula uncinata", "Laoponia pseudosaetosa", "Bannaella sinuata", "Tauala elongatus", "Bannaella tibialis", "Wanlessia denticulata", "Sudesna digitata", "Alistra annulata", "Alistra hamata", "Alistra hippocampa", "Hahnia rimaformis", "Zebraplatys bulbus", "Hahnia saccata", "Hahnia senaria", "Stedocys gaolingensis", "Hahnia submaginii", "Stedocys huangniuensis", "Scotospilus longus", "Stedocys ludiyanensis", "Cataleptoneta detriticola", "Stedocys matuoensis", "Stedocys pulianensis", "Stedocys shilinensis", "Jingneta cornea", "Stedocys xiangzhouensis", "Stedocys xianrenensis", "Jingneta exilocula", "Jingneta foliiformis", "Stedocys zhaoi", "Jingneta setulifera", "Jingneta wangae", "Rhyssoleptoneta latitarsa", "Agyneta falcata", "Agyneta palustris", "Araeoncus hyalinus", "Araeoncus longispineus", "Bifurcia ramosa", "Callosa baiseensis", "Callosa ciliata", "Centromerus trilobus", "Diplocephalus parentalis", "Drapetisca bicruris", "Erigomicronus longembolus", "Floronia hunanensis", "Floronia jiuhuensis", "Frontinella hubeiensis", "Frontinella zhui", "Gnathonarium biconcavum", "Singaporemma banxiaoense", "Gongylidioides acmodontus", "Singaporemma bifurcatum", "Gongylidioides angustus", "Singaporemma wulongense", "Gongylidioides kouqianensis", "Tetrablemma kepense", "Hylyphantes spirellus", "Tetrablemma menglaense", "Tetrablemma sokense", "Tetrablemma ziyaoense", "Moebelia rectangula", "Molestia molesta", "Nematogmus longior", "Molione lemboda", "Dadagulella ecclesiola", "Dadagulella cresswelli", "Dadagulella minareta", "Dadagulella cuspidata", "Dadagulella pembensis", "Dadagulella nictitans", "Dadagulella frontierarum", "Dadagulella delta", "Dadagulella selene", "Dadagulella meredithae", "Dadagulella rondoensis", "Dadagulella conoidea", "Dadagulella minuscula", "Dadagulella minuscula minuscula", "Dadagulella minuscula mahorana", "Dadagulella browni", "Dadagulella browni browni", "Dadagulella browni mafiensis", "Kobrona rasta", "Desmodiopsis camplyocaulon", "Stegonotus lividus", "Kobrona infralutea", "Kobrona mirza", "Kobrona vasna", "Trichocentrum stacyi", "Spodoptera ornithogalli", "Trichocentrum pulchrum", "Streptopelia bitorquata dusumieri", "Senegalia megaladena indochinensis", "Kobrona wama", "Kobrona wama wama", "Kobrona wama rudha", "Ranunculus vjatkensis", "Ranunculus minor", "Ladda connexa", "Ladda crithote", "Ladda cuadrada", "Ischnothyreus zhigangi", "Nematogmus membranifer", "Neriene zhui", "Platyspira tanasevitchi", "Savignia rostellatra", "Sinopimoa bicolor", "Theridiosoma plumarium", "Theridiosoma triumphale", "Angaeus rhombus", "Angaeus zhengi", "Chanea voluta", "Pycnaxis lamellaris", "Pycnaxis tumida", "Microdipoena menglunensis", "Tmarus byssinus", "Microdipoena pseudojobi", "Microdipoena yinae", "Tmarus hastatus", "Mosu dayan", "Tmarus spicatus", "Mosu tanjia", "Tmarus undatus", "Mysmena baoxingensis", "Philoponella alata", "Mysmena lulanga", "Mysmena tamdaoensis", "Mysmena wawuensis", "Speleoticus globosus", "Speleoticus yinchangminae", "Orchestina zhengi", "Hamataliwa foveata", "Hamataliwa manca", "Hamataliwa menglunensis", "Hamataliwa oculata", "Hamataliwa pedicula", "Hamataliwa pentagona", "Hamataliwa pilulifera", "Hamataliwa submanca", "Oxyopes complicatus", "Oxyopes submirabilis", "Pholcus lexuancanhi", "Sinodorcadion punctulatum", "Pholcus ningan", "Pholcus sakaew", "Pholcus umphang", "Pholcus yongshun", "Pholcus yuxi", "Leclercera nagarjunensis", "Leclercera niuqu", "Leclercera sidai", "Leclercera undulata", "Leclercera zhaoi", "Sinopachys mandarinus", "Trimeroderus raffrayi", "Trinophylum cribratum", "Pyralis perversalis", "Cantheconidea humeralis", "Adaina jobimi", "Leucanopsis navarroi", "\u067e\u06c1\u0644\u0627 \u0635\u0641\u06c1", "Theophilea cylindricollis", "Catoptria samnitica", "Thephantes clavatus", "Phtheochroa carpatiana", "Desmodium glabellum", "Adenanthera kostermansii", "Pero lopezi", "Dahlica juliella", "Cantheconidea cyanacantha", "Dahlica thomanni", "Dahlica weidlichi", "Pyralis cardinalis", "Pyralis sagarrai", "Pyralis kacheticalis", "Desmodium hookerianum", "Cantheconidea gaugleri", "Altiverruca fusione", "Hesperilla ornata", "Hesperilla ornata ornata", "Brachytydeus elinguis", "Hesperilla ornata monotherm", "Adenanthera malayana subsp. andersonii", "Adenanthera marina", "Trichomaeus congoensis", "Protobothrops sieversorum", "Protobothrops kaulbacki", "Gibbosaverruca nitida", "Gulella ndiwenyiensis", "Burrowsia cataractae", "Albizia burmanica", "Leucanopsis pagana", "Leucanopsis ninae", "Desmodium platycarpum", "Ukamenia thailandica", "Protobothrops kelomohy", "Hesperilla malindeva", "Vietetropis viridis", "Vittatocrites lizleri", "Hesperilla chrysotricha lunawanna", "Hesperilla chrysotricha naua", "Catherinum alascensis", "Peinaleopolynoe santacatalina", "Coccineorchis cernua", "Hesperilla chrysotricha plebeia", "Protobothrops himalayanus", "Wernerius caroli", "Hesperilla picta", "Xalitla azteca", "Xanthonicias prostrata", "Hesperilla chrysotricha", "Xaurus depsarius", "Hesperilla chrysotricha chrysotricha", "Pereionotus tinggiensis", "Ohashi et al., 2018a", "Hesperilla chrysotricha cyclospila", "Hesperilla chrysotricha leucosia", "Graphita griphe", "Hesperilla crypsargyra", "Hesperilla crypsargyra crypsargyra", "Anas platyrhynchos conboschas", "Hesperilla crypsargyra hopsoni", "Brachytydeus furcatus", "Brachytydeus vineus", "Brachytydeus leonorae", "Brachytydeus falsus", "Cantheconidea javana", "Desmodium urarioides", "Euptychia atlantica", "Peinaleopolynoe elvisi", "Protobothrops jerdonii", "Alysicarpus racemosus", "Peinaleopolynoe orphanae", "Lophophanes cristatus scoticus", "Peinaleopolynoe goffrediae", "Trachelas crewsae", "Peinaleopolynoe mineoi", "Gibbosaverruca youngi", "Berlandiella zabele", "Bumba rondonia", "Bumba mineiros", "Desmodium luteolum", "Bumba cuiaba", "Bumba tapajos", "Ohwia luteola", "Bumba humilis", "Xoanotrephus v-signatus", "Cyclosternum pulcherrimaklaasi", "Grona ferruginea", "Grona hirta", "Grona jucunda", "Zaeeroides luzonica", "Berlandina mesopotamica", "Zamodes obscurus", "Euryopis papula", "Zarina semicyanea", "Coelia guatemalensis", "Coelia macrostachya", "Toxicocalamus grandis", "Hylodesmum glutinosum", "Toxicocalamus mintoni", "Hylodesmum podocarpum", "Toxicocalamus pachysomus", "Mecopus nidulans", "Toxicocalamus stanleyanus", "Heterochroa petraea", "Platnickopoda normani", "Platnickopoda saccata", "Chalcovietnamicus naga", "Chalcovietnamicus vietnamensis", "Chalcovietnamicus tengchongensis", "Chalcovietnamicus zhui", "Euochin luzonica", "Euochin kororensis", "Euochin wanyan", "Toxicocalamus preussi angusticinctus", "Toxicocalamus preussi preussi", "Coelia triptera", "Coelia bella", "Celaenorrhinus flavocincta", "Coelia densiflora", "Hylodesmum nudiflorum", "Salvia personata", "Zambiphanes bjoernstadi", "Zamioeme murphyi", "Pseudocoladenia dea", "Protobothrops xiangchengensis", "Oxytes brachypoda", "Toxicocalamus loriae", "Pedleya acanthoclada", "Phyllodium longipes", "Ponthieva fertilis", "Cristallinaverruca ankylosa", "Ranunculus tuvinicus", "Pleurolobus salicifolius", "Newmaniverruca multitabulatus", "Zathecus graphites", "Pseudarthria confertiflora", "Pseudarthria fagifolia", "Pullenia gunnii", "Pseudocoladenia dea dea", "Cirsium yezoense", "Pseudodiaptomus siamensis", "Brachytydeus epimekes", "Zambiana usambaricus", "Brachytydeus frekei", "Salvia subg.", "Salvia amplicalyx", "Ranunculus schmakovii", "Ranunculus kurdicus", "Ranunculus nankotaizanus", "Collabium nebulosum", "Catherinum albatrossianum", "Cirsium aidzuense", "Cirsium borealinipponense", "Cirsium dipsacolepis", "Physciella poeltii", "Cirsium inundatum", "Cirsium \u00d7 okamotoi", "Uraria cordifolia", "Zipoetopsis unicolor", "Zonotylus interruptus", "Cazira bergrothi", "Zorilispiella rufipennis", "Zosmotes plumula", "Zosne cincticornis", "Cazira kirkaldyi", "Zulphis subfasciata", "Pseudocoladenia dan eacus", "Ranunculus podocarpus", "Ranunculus platyodon", "Pseudocoladenia dea decora", "Pseudocoladenia dan dhyana", "Musanga leo-errerae", "Jakeocrinus ellisensis", "Costatoverruca baxteri", "Cazira horvathi", "Zeargyrodes fasciatus", "Calospila parthaon pelarge", "Uraria oblonga", "Calospila furvolinea", "Calliona delia", "Phortus creticus", "Pseudocoladenia dan fabia", "Sanguinea alcmaeon", "Sanguinea cleomedes", "Pseudocoladenia dan fatih", "Sanguinea heliodora", "Zulphisoma wintreberti", "Sanguinea luceres", "Sanguinea cruentata", "Sanguinea cruentata cruentata", "Sanguinea cruentata cumulata", "Campylotropis macrostyla", "Sphyrapus meknes", "Dendragama schneideri", "Pristimantis sinschi", "Bathseba ferruginosa", "Ranunculus peyronii", "Zygoferus pubescens", "Campylotropis polyantha", "Pseudocoladenia dan fulvescens", "Symphyotrichum estesii", "Pseudocoladenia dan sumatrana", "Pseudocoladenia fatua", "Pseudocoladenia festa", "Pseudocoladenia pinsbukana", "Ranunculus pimpinellifolius", "Ranunculus prasinulus", "Ranunculus pawlowskii", "Ranunculus pumilio", "Ranunculus pseudohirculus", "Sphyrapus caribensis", "Blommersia nataliae", "Protobothrops cornutus", "Cristallinaverruca jonesae", "Begonia elnidoensis", "Brachytydeus fibrus", "Begonia panchtharensis", "Microemathis bulalacao", "Paraeuophrys sumatrana", "Paraeuophrys bryophila", "Begonia silletensis subsp. mengyangensis", "Thaiattus krabi", "Tisaniba dik", "Tisaniba mulu", "Tisaniba selan", "Tisanibainepta bijibijan", "Tisanibainepta kubah", "Tisanibainepta selasi", "Protobothrops trungkhanhensis", "Dendrobium friedericksianum", "Buzyges rolla", "Xenicotelopsis violacea", "Xenocallia punctatissima", "Cazira fruhstorferi", "Xenocrasoides soukai", "Burca concolor", "Burca concolor concolor", "Burca concolor atrata", "Toxicocalamus mattisoni", "Nebalia tagiri", "Magnolia guangdongensis", "Sanguinea cruentata helice", "Cazira montandoni", "Cazira reuteri", "Catagrammina hedonisma", "Catagrammina tapaja", "Catagrammina tapaja tapaja", "Catagrammina tapaja augea", "Catagrammina tapaja eumaea", "Yemenobrium velutinum", "Yementallyrama nasheri", "Setabis disparilis notios", "Yimnashaniana jianfenglingensis", "Setabis gelasine", "Setabis butleri", "Vandewegheia pesarinii", "Lathyrus blepharicarpos", "Vandykea tuberculata", "Sanrobertia gypsophila", "Choaspes benjaminii flavens", "Varieras variabile", "Velleda murina", "Velledomimus gardneri", "Velledopsis kenyensis", "Veloroides flavescens", "Aristolochia austrochinensis", "Aristolochia foveolata", "Cazira concinna", "Aristolochia chlamydophylla", "Heratemita alboplagiata", "Aristolochia tuberosa", "Heratemita chrysozona", "Xynenon bondii", "Lathyrus leptophyllus", "Choaspes benjaminii", "Choaspes benjaminii benjaminii", "Aristolochia tubiflora", "Aristolochia gentilis", "Choaspes benjaminii japonica", "Hipposideros kunzi", "Iona nigrovittata", "Xystroceroides burgeoni", "Taralea nudipes", "Xenostylus sublineatus", "Aristolochia delavayi", "Euchresta formosana", "Xoes egeria", "Umbyquyra gurleyi", "Xylergatoides asper", "Cazira chiroptera", "Uroballus nazirwanii", "Xyloeconites proavus", "Uroballus koponeni", "Xylomimus baculus", "Uroballus henicurus", "Uroballus octovittatus", "Xylosybra fasciculosa", "Uroballus peckhami", "Aristolochia fujianensis", "Lathyrus amphicarpos", "Yorkeica marmorea", "Apostictopterus fuliginosus curiosa", "Boophis nauticus", "Cytospora chrysosperma", "Xanthoeme signaticornis", "Tisaniba inusitata", "Tisaniba loebli", "Buzyges idothea", "Tisaniba rimbo", "Tisaniba tioman", "Tisaniba berau", "Tisaniba ligoforma", "Tisaniba mayang", "Tisaniba nitida", "Tisaniba schwendingeri", "Tisanibainepta pahang", "Tisanibainepta palawan", "Tisanibainepta silvatica", "Coelotes kunigamiensis", "Callobius breviprocessus", "Xanthopiodus angulicollis", "Buzyges benito", "Villiersicus fulvus", "Villiersocerus aureosuturalis", "Viossatus castaneus", "Vittatopothyne flavovittata", "Isotrema thwaitesii", "Ligurra aheneola", "Isotrema jianfenglingense", "Ligurra latidens", "Isotrema hainanense", "Mantius armipotens", "Mantius difficilis", "Mantius russatus", "Mantius frontosus", "Isotrema hainanense subsp. yingjiangense", "Phyaces comosus", "Poecilorchestes decoratus", "Isotrema cathcartii", "Isotrema faviogonzalezii", "Dipteryx charapilla", "Striatiguttula nypae", "Striatiguttula phoenicis", "Aoria nucea", "Trachypithecus melamera", "Longicorpus striataspora", "Ranunculus prionodes", "Trachypithecus mauritius", "Cazira breddini", "Isotrema mirabile", "Cazira thibetensis", "Aristolochia polymorpha", "Aristolochia impresinervis", "Boagrius pumilus", "Boagrius simoni", "Scelidocteus incisus", "Pseudomicrocentria uncata", "Ummeliata jambi", "Isotrema tongbiguanense", "Isotrema forrestianum", "Isotrema ovatifolium", "Isotrema cucurbitoides", "Isotrema utriforme", "Isotrema wuanum", "Irura bicolor", "Wahn zonulitis", "Irura bidenticulata", "Irura pengi", "Catherinum anglicum", "Irura hamatapophysis", "Irura longiochelicera", "Irura montiformis", "Irura zhangae", "Irura yinae", "Irura pulchra", "Irura pygaea", "Irura trigonapophysis", "Irura yueluensis", "Irura yunnanensis", "Choaspes benjaminii formosana", "Irura uniprocessa", "Vadonitoxotus mirabilis", "Choaspes benjaminii pallida", "Valenus inornatus", "Liparis javanica", "Lathyrus bauhini", "Lathyrus gmelinii", "Danhatchia copelandii", "Danhatchia novaehollandiae", "Dendrobium arcuatum", "Rostratoverruca darwini", "Unaporanga lanceolata", "Unaporanga cincta", "Coelogyne compressicaulis", "Callogorgia galapagensis", "Plocoglottis javanica", "Cazira emeia", "Ligurra moniensis", "Veloropsis rufoflava", "Vesperella pallida", "Ligurra opelli", "Argyrotaenia browni", "Vesperoctenus flohri", "Argyrotaenia cryptica", "Argyrotaenia paradisei", "Argyrotaenia razowskiana", "Argyrotaenia cryptica cryptica", "Argyrotaenia cryptica praeteritana", "Clepsis davisi", "Clepsis deroni", "Clepsis jamesstewarti", "Clepsis peroniae", "Claduncaria rawlinsana", "Claduncaria praedictana", "Claduncaria taino", "Mictopsichia nyhllinda", "Lathyrus brachypterus", "Mictocommosis lesleyae", "Vilchesia valenciai", "Aristolochia zhongdianensis", "Porius decempunctatus", "Phascolosoma varians", "Udamina leprieurii", "Porius papuanus", "Ulochaetes leoninus", "Simaetha almadenensis", "Simaetha atypica", "Simaetha broomei", "Simaetha colemani", "Simaetha knowlesi", "Simaetha papuana", "Unachlorus viridis", "Antillesoma mexicanum", "Coladenia indrani uposatha", "Crepidium taurinum", "Sturnira giannae", "Aoria lushuiensis", "Aoria montana", "Cazira flava", "Simaetha thoracica", "Brachytydeus gerei", "Simaetha tenuidens", "Isotrema petelotii", "Simaetha robustior", "Isotrema fulvicomum", "Simaetha paetula", "Isotrema longlinense", "Brachytydeus hughesae", "Simaetha tenuior", "Isotrema transsectum", "Isotrema melanocephalum", "Simaetha cingulata", "Simaetha laminata", "Simaetha reducta", "Brachytydeus grandiinsignius", "Brachytydeus lenus", "Lathyrus lanszwertii var. lanszwertii", "Lathyrus arizonicus", "Lathyrus latifolius subsp. latifolius", "Brachytydeus livshitzi", "Passiena bayi", "Passiena torbjoerni", "Passiena spinicrus", "Hiroshia shennongjiaensis", "Lathyrus nissolia subsp. nissolia", "Ammatho wuchunshengi", "Palaeugoa moa", "Isotrema kunmingense", "Palaeugoa camerunensis", "Isotrema austroszechuanicum", "Badamia atrox flava", "Unatara atinga", "Undulatodoliops undulatofasciata", "Sturnira adrianae adrianae", "Sturnira adrianae caripana", "Brachytydeus inconstans", "Isotrema bambusifolium", "Simaetha deelemanae", "Isotrema involutum", "Simaetha gongi", "Brachytydeus incrustatus", "Isotrema heterophyllum", "Simaetha furiosa", "Isotrema cucurbitifolium", "Brachytydeus innubus", "Philaeus daoxianensis", "Bathippus digitalis", "Bathippus pahang", "Bathippus rectus", "Epeus furcatus", "Pancorius kohi", "Juniperus sabina var. mongolensis", "Juniperus sabina var. dauurica", "Symphyotrichum rhiannon", "Juniperus sabina var. sabina", "Duhaldea revoluta", "Duhaldea rubricaulis", "Duhaldea simonsii", "Duhaldea wissmanniana", "Lathyrus nevadensis subsp. nevadensis", "Brachytydeus unguis", "Lathyrus niger subsp. niger", "Isotrema obliquum", "Isotrema gongchengense", "Isotrema howii", "Brachytydeus minutus", "Isotrema huanjiangense", "Isotrema caulialatum", "Isotrema sinoburmanicum", "Badamia atrox atrox", "Isotrema championii", "Billardiera drummondii", "Macrostylis metallicola", "Phyllocnistis furcata", "Maxillaria aciantha", "Malaxis brachystachys", "Lathyrus multiceps", "Passiena albipalpis", "Passiena auberti", "Cyana barbora", "Brachytydeus manitobensis", "Brachytydeus mantiniensis", "Brachytydeus martini", "Brachytydeus longiusculus", "Badamia atrox", "Isotrema shimadae", "Brachytydeus maturus", "Isotrema yujungianum", "Taiwanajinga albofasciata", "Duhaldea cappa", "Duhaldea cuspidata", "Duhaldea eupatorioides", "Duhaldea forrestii", "Dendrobium crabro", "Duhaldea griffithii", "Duhaldea latifolia", "Duhaldea nervosa", "Duhaldea pterocaula", "Dendrobium fytchianum", "Badamia exclamationis", "Vanda xichangensis", "Tambusoides multifasciculatus", "Tamenes sarda", "Lathyrus palustris subsp. palustris", "Tangavelleda tanzanicola", "Cymbidium tortisepalum", "Narella ambigua", "Tanyochraethes tildeni", "Tanzaniphanes parallelus", "Cymbidium tortisepalum var. tortisepalum", "Cymbidium tortisepalum var. longibracteatum", "Taraxacum texelense", "Choaspes hemixanthus cora", "Choaspes hemixanthus mona", "Brachytydeus insignius", "Brachytydeus reticuloinsignius", "Choaspes hemixanthus furcata", "Aoria pallidipennis", "Uraechoides vivesi", "Aoria laosica", "Aoria cuprea", "Aoria heinzi", "Urasomus elongatissimus", "Aoria marginipennis", "Aoria panfilovi", "Aoria nigromarginata", "Urorcites cribripennis", "Aoria vietnamica", "Brachytydeus ivoensis", "Aoria martensi", "Aoria fulva", "Aoria brancuccii", "Callozostron carlottae", "Utra nitida", "Brachytydeus jaculus", "Brachytydeus kattai", "Tabatinga x-littera", "Taelosilla lateralis", "Tagalog lumawigi", "Isotrema faucimaculatum", "Brachytydeus nudus", "Isotrema kwangsiense", "Isotrema mulunense", "Badamia atrox collenettei", "Isotrema griffithii", "Isotrema yunnanense", "Isotrema pseudocaulialatum", "Isotrema weixiense", "Talupes occidentalis", "Vanda dives", "Paedophryne titan", "Vanda insularum", "Vanda richardsiana", "Tambusa marleyi", "Vanda rubra", "Campyloneurum atrosquamatum", "Eurypteryx dianae", "Hibana talmina", "Hibana labonita", "Phycocalidia islae", "Phycocalidia lunae", "Phycocalidia pseudolobata", "Hemieuryale pustulata", "Gerrhopilus ater", "Gerrhopilus ater ater", "Laberlia illapai", "Laberlia apusorum", "Gerrhopilus ater suturalis", "Laberlia bellaria", "Habenaria bractescens", "Habenaria gourlieana", "Lathyrus transsylvanicus", "Epicratinus amazonicus", "Epicratinus pugionifer", "Epicratinus takutu", "Epicratinus petropolitanus", "Epicratinus mauru", "Lathyrus vestitus subsp. vestitus", "Litoria eschata", "Quinquelaophonte enormis", "Baoris farri scopulifera", "Dicliptera acuminata", "Costatocrinus mortimorei", "Atomyria sarafschanica", "Metaverruca recta", "Chloropterus persicus", "Chloropterus mateui", "Aulexis nigricollis", "Cazira frivaldskyi", "Isotrema pilosistylum", "Lathyrus pauciflorus", "Lathyrus pauciflorus var. pauciflorus", "Lathyrus polymorphus subsp. polymorphus", "Palaeugoa smithi", "Palaeugoa megala", "Palaeugoa takanoi", "Palaeugoa asafis", "Palaeugoa aristophanousi", "Palaeugoa ngoko", "Palaeugoa peregrina", "Lathyrus rigidus", "Huangilene kepica", "Huangilene odontotilepida", "Huangilene kutzscheri", "Huangilene pseudolutara", "Stenichneumon culpator", "Aulexis minuta", "Aulexis unispinosa", "Aulexis sinensis", "Aulexis chengana", "Aulexis hochii", "Plumarella abietina", "Inula japonica var. ramosa", "Eotydeus mirabilis", "Badamia atrox subflava", "Cophixalus nexipus", "Juniperus sabina var. arenaria", "Juniperus sabina var. balkanensis", "Calyptrophora agassizii", "Calyptrophora reedi", "Costatocrinus brydonei", "Aphilenia interrupta", "Aphilenia ornata", "Aphilenia parvula", "Aphilenia unicolor", "Aphilenia gobica", "Aphilenia astakhovi", "Aphilenia lopatini", "Aphilenia mujunkumica", "Liparis bootanensis", "Aulexis wallacei", "Aulexis varians", "Aulexis elongata", "Aulexis flavopilosa", "Aulexis humilis", "Aulexis luzonica", "Aulexis puberula", "Aulexis pusilla", "Dictyonema yunnanum", "Aulexis pallida", "Aulexis tibialis", "Aulexis languei", "Aulexis philippinensis", "Aulexis sumatrana", "Aulexis longicornis", "Aulexis assamensis", "Aulexis nigripennis", "Buellia chujana", "Cazira inerma", "Lathyrus torreyi", "Paracalyptrophora enigma", "Isotrema neolongifolium", "Isotrema ledongense", "Isotrema scytophyllum", "Neoporphyra meridionalis", "Isotrema versicolor", "Huangilene alikangiae", "Huangilene alikangiae alikangiae", "Isoetes afloramientorum", "Isotrema austroyunnanense", "Huangilene alikangiae intermedia", "Huangilene apoklinousa", "Eukoenenia audax", "Apsidophora bala", "Apsidophora chandrapatyae", "Isotrema molle", "Roelofa narga", "Roelofa maera", "Roelofa olivia", "Roelofa maricia", "Roelofa hegewischi", "Roelofa monzoni", "Ammatho sinocontinentalis", "Ammatho mangae", "Epicratinus zelda", "Epicratinus omegarugal", "Epicratinus pikachu", "Epicratinus vader", "Epicratinus anakin", "Epicratinus ehonda", "Epicratinus pegasus", "Epicratinus stitch", "Lathyrus vestitus subsp. alefeldii", "Epicratinus dookan", "Epicratinus zangief", "Epicratinus perfidus", "Isotrema hyperxanthum", "Isotrema dabieshanense", "Colima colima", "Colima manzanillo", "Brachytydeus montrealensis", "Setabis serica serica", "Setabis serica extensa", "Setabis brunneus", "Phasia aurigera", "Vicia stenophylla", "Cazira membrania", "Justicia sericea", "Chrysogorgia scintillans", "Chrysogorgia midas", "Chrysogorgia laevorsa", "Taphos aterrimus", "Tapuruia felisbertoi", "Isidella tenuis", "Taricanus truquii", "Taurolema bellatrix", "Taurotagiella camillae", "Brachytydeus wainsteini", "Andricus kollari", "Brachytydeus volgini", "Porphyra longissima", "Perognathus parvus bullatus", "Porphyra luchea", "Porphyra malvanensis", "Isotrema saccatum", "Tenedos cufodontii", "Kronosaurus queenslandicus", "Dasineura urticae", "Tenedos eduardoi", "Tenedos lautus", "Ishania aztek", "Hypotrachyna corallifera", "Ishania centrocavata", "Ishania chicanna", "Ishania chichimek", "Ishania firma", "Hypotrachyna longicilia", "Ishania gertschi", "Ishania guerrero", "Ishania huastek", "Vicia benghalensis subsp. benghalensis", "Ishania ivieorum", "Hypotrachyna puerensis", "Hypotrachyna yunnana", "Tenedos trilobatus", "Tenedos ufoides", "Tenedos ultimus", "Neopyropia submarina", "Tenedos venezolanus", "Tenedos barronus", "Tenedos certus", "Aulexis gracilicornis", "Aulexis brevicornis", "Aulexis atripennis", "Aulexis bicolor", "Aulexis bicoloripes", "Pyropia novae-angliae", "Lasioptera rubi", "Brachytydeus obnoxius", "Pyropia variabilis", "Aulexis carinata", "Inula japonica var. japonica", "Brachytydeus opiferus", "Inula japonica var. ovata", "Pyropia vittata", "Tydeus halophilus", "Tydeus maximus", "Vicia variegata", "Pseudorca yuanliensis", "Entemnotrochus panchangwui", "Cazira sichuana", "Sparianthis beebei", "Sparianthis boraris", "Sparianthis caracarai", "Sparianthis chickeringi", "Tenthras obliteratus", "Aulexis abbreviata", "Aulexis brevidentata", "Aulexis unicolor", "Aulexis ventralis", "Aulexis obscura", "Aulexis gracilicornis", "Aulexis shaowuensis", "Aulexis cinnamomi", "Aulexis minor", "Parastenella pomponiae", "Aulexis nigripennis", "Aulexis buonloicus", "Aulexis medvedevi", "Aulexis vietnamicus", "Opeltiella rubrisoli", "Candelariella subsquamulosa", "Aulexis sichuanensis", "Aulexis jiangkouensis", "Aulexis tuberculata", "Aulexis nepalensis", "Aulexis brevipilosa", "Aulexis semiobscurus", "Aulexis erythrodera", "Cosmocercella samorekensis", "Afrodon ivani", "Orientatractis hamabatrachos", "Cylindromyia bicolor", "Rondonia batrachogena", "Asturodes fimbriauralis", "Pentanema bifrons", "Prolagus crusafonti", "Sparianthis crulsi", "Sparianthis granadensis", "Teocchiana pallida", "Sparianthis humaita", "Sparianthis juazeiro", "Sparianthis juruti", "Sparianthis megalopalpa", "Sparianthis picta", "Sparianthis ravida", "Callipta oberthuri", "Vicia hassei", "Tydeus viburni", "Teosophronica minettii", "Sparianthis accentuata", "Cazira schwarzi", "Falcaustra papuensis", "Applinocrinus cretaceus", "Trichoglossus moluccanus", "Anisopappus stuhlmannii", "Pulicaria sericea", "Piloselloides cordata", "Piloselloides hirsuta", "Balaenoptera taiwanica", "Tetraglenes insignis", "Teispes insularis", "Constantia cipoensis", "Constantia australis", "Constantia cristinae", "Constantia gutfreundiana", "Constantia microscopica", "Teledapus dorcadioides", "Hemieuryale parva", "Telocera wollastoni", "Temnolamia flavosignata", "Temnoscelis waddeli", "Pentanema verbascifolium", "Pentanema aschersonianum", "Pentanema asperum", "Cheilanthes pruinata", "Callipta fausti", "Gypsoplaca alpina", "Brachytydeus obliquus", "Vicia ludoviciana subsp. ludoviciana", "Cyana rejecta rejecta", "Cyana rejecta viettei", "Tetrarpages lansbergei", "Vicia lutea subsp. lutea", "Cyana yao", "Cyana occidentalis", "Cyana cornutissima", "Tetropiopsis numidica", "Leucobrephos middendorffi", "Asturodes bioalfae", "Asturodes encisoensis", "Vicia sativa subsp. sativa", "Colonanthes korytkowski", "Aplectana novaeguineae", "Antedon duebenii", "Maxvachonia ingens", "Vicia peregrina subsp. peregrina", "Cynanchum tsaratananense", "Zeylanurotrema sphenomorphi", "Tetanola polita", "Meteterakis crombiei", "Tetartanus cribricollis", "Physalopteroides milnensis", "Tethlimmena aliena", "Tethystola obliqua", "Adenobrechmos greeri", "Idaea aversata", "Astrogymnotes catasticta", "Raillietnema nanus", "Kronosaurus boyacensis", "Prolagus ibericus", "Prolagus michauxi", "Cosmocerca oroensis", "Strongyluris dracocola", "Megalobatrachonema papuensis", "Paraplesiohedruris ranae", "Monactinocephalus paniculatus", "Isotrema meionanthum", "Cazira insignis", "Isotrema liangshanense", "Isotrema thibeticum", "Tenedos andes", "Isotrema feddei", "Isotrema salweenense", "Tenedos asteronoides", "Tenedos banos", "Tenedos brescoviti", "Tenedos capote", "Tenedos convexus", "Tenedos equatorialis", "Tenedos estari", "Tenedos fartilis", "Tenedos figaro", "Cazira internexa", "Tenedos grandis", "Tenedos hoeferi", "Tenedos honduras", "Tenedos inca", "Tenedos inflatus", "Tenedos infrarmatus", "Tenedos juninus", "Tenedos ligulatus", "Tenedos microlaminatus", "Tenedos parinca", "Tenedos peckorum", "Tenedos persulcatus", "Tenedos procreator", "Tenedos quadrangulatus", "Persicaria debilis", "Tenedos quinquangulatus", "Tenedos reygeli", "Tenedos serrulatus", "Tenedos sumaco", "Megalaria yunnanensis", "Inula gombczewskyi", "Glyphidocera chamela", "Glyphidocera unam", "Glyphidocera jalisco", "Glyphidocera occidentalis", "Inula stewartii", "Eudorcas tilonura", "Tetroreopsis ciliata", "Thaigena obscurella", "Tephronia theophilaria", "Thaumasesthes penicillus", "Vicia monantha subsp. monantha", "Spauligodon papuensis", "Brachytydeus nuncius", "Bulboctenus kayapo", "Thaumasus gigas", "Bulboctenus itunaitata", "Bulboctenus munduruku", "Brachytydeus opimus", "Cazira similis", "Aristotelia barriosi", "Agnippe tarakanovi", "Chionodes sariguaensis", "Entomelas moraveci", "Pseudopostega denticulata", "Pseudopostega latisaccula", "Pseudopostega attenuata", "Pseudopostega conicula", "Xylaria polymorpha", "Pseudopostega triangularis", "Heliophanus feltoni", "Falcaustra batrachiensis", "Pseudabbreviata novaeguineaensis", "Pentanema caspicum", "Pentanema sabuletorum", "Pentanema confertiflorum", "Iphiona grantioides", "Pentanema langeanum", "Nannoglottis hookeri", "Pentanema maletii", "Pentanema mariae", "Inula taiwanensis", "Inula subfloccosa", "Asturodes junkoshimurae", "Inula glareosa", "Inula candida subsp. decalvans", "Rokroknema novaebritanniae", "Coelogyne sanderae", "Pentanema inuloides", "Applinocrinus russelli", "Sinorachis baihu", "Saurokoilophilia kinsellai", "Proteocephalus papuensis", "Corymborkis corymbis", "Decaphora cubana", "Terpnissa listropterina", "Bindahara phocides simonei", "Cynips longiventris", "Gammarus liuruiyui", "Decaphora pestai", "Decaphora variabilis", "Decaphora planada", "Uaiuara dianae", "Uaiuara jirau", "Uaiuara ope", "Uaiuara palenque", "Uaiuara quyguaba", "Uaiuara amazonica", "Uaiuara barroana", "Gekkotaenia novaeguineaensis", "Cosmocerca zugi", "Tesapeus disjunctus", "Neuroterus quercusbaccarum", "Tessarecphora arachnoides", "Lepidodactylus pollostos", "Emoia beryllion", "Euchonoides moeone", "Astrogymnotes oharai", "Varanus bennetti", "Vicia villosa subsp. villosa", "Sauracanthorhynchus sphenomorphicola", "Cosmocerca tyleri", "Anemonastrum elongatum", "Secamone elliotii", "Cynanchum angavokeliense", "Bellevalia turcica", "Sapajus cay", "Sapajus nigritus cucullatus", "Spauligodon zweifeli", "Amesia atrobrunnea", "Xylaria hypoxylon", "Amesia cymbiformis", "Vicia dennesiana", "Amblysomus corriae corriae", "Pseudopostega diskusi", "Pseudopostega truncata", "Pseudopostega monstruosa", "Sphaerodoridium songkhlaense", "Pseudopostega spatulata", "Geminofilum thailandica", "Secamone dolichorhachys", "Brachytydeus paravarsoviensis", "Brachytydeus penicillatus", "Cazira ulcerata", "Brachytydeus polygonatus", "Cazira vegeta", "Astrogymnotes hamishia", "Parathelandros allisoni", "Vicia vicioides", "Pseudopostega apotoma", "Pharyngodon novaeguineae", "Skrjabinodon sheai", "Skrjabinodon derooijae", "Astrogymnotes irimurai", "Astrogymnotes thomasinae", "Moaciria moraveci", "Bellevalia sasonii", "Bellevalia bayburtensis", "Cazira yunnanica", "Astragalus anisacanthus", "Thecladoris tylonotoides", "Thelgetra latipennis", "Cazira verrucosa", "Themistonoe cacica", "Heliophanus konradthaleri", "Heliophanus xerxesi", "Plexippus iranus", "Theocris saga", "Sarcomphalus saeri", "Salticus insperatus", "Sarcomphalus mexicanus", "Thereselia modesta", "Pseudomogrus zaraensis", "Cecyrina platyrhinoides", "Theresina punctata", "Masdevallia estradae", "Masdevallia hieroglyphica", "Brachytydeus obstinatus", "Brachytydeus magnanus", "Masdevallia striatella", "Masdevallia strobelii", "Astragalus aleppicus", "Applinocrinus texanus", "Masdevallia ampullacea", "Cyrtodactylus atremus", "Chondrolepis leggei", "Stegonotus batjanensis", "Secamone thouarsii", "Camptocarpus semihastatus", "Stegonotus australis", "Adelogorgia adusta", "Sagittacrinus torpedo", "Adelogorgia phyllosclera", "Allium nathaliae", "Thermonotus nigripes", "Thita glauca", "Thoris eburifera", "Thouvenotiana ichneumona", "Helicogermslita celastri", "Thrangalia diaboliella", "Thyada barbicornis", "Thylactomimus albolateralis", "Thylactus angularis", "Stegonotus modestus", "Afrotrichona mahnerti", "Tigranella mirabilis", "Agyneta spinifera", "Actinozonella texturata", "Leptothele chang", "Astragalus bethlehemiticus", "Astragalus sect.", "Chondrolepis similis", "Chondrolepis obscurior", "Chondrolepis nero", "Calamaria lautensis", "Nephroma tomentellum", "Vicia tenuifolia subsp. tenuifolia", "Neopostega dondavisi", "Thuchomyces lichenoides", "Pseudopostega cucullata", "Pseudopostega bogotensis", "Caligus chinglonglini", "Pseudopostega spinosa", "Pseudopostega bifida", "Caligus kajii", "Pseudopostega serrata", "Bindahara phocides phocas", "Mikiola fagi", "Pseudopostega ferruginea", "Pseudopostega floridensis", "Pseudopostega lateriplicata", "Pseudopostega uncinata", "Inula koelzii", "Inula sericophylla", "Inula haussmannii", "Inula rhizocephaloides", "Pseudopostega microacris", "Pseudopostega fumida", "Pseudopostega gracilis", "Pseudopostega tucumanae", "Inula rhizocephaliformis", "Inula candida subsp. limonella", "Crassula alata", "Gecarcoidea natalis", "Crassula alata subsp. pharnaceoides", "Gecarcoidea lalandii", "Chondrolepis telisignata", "Discoplax longipes", "Cardisoma carnifex", "Gigarachne bian", "Vansonima littoralis", "Vansonima littoralis littoralis", "Vansonima littoralis abyssinica", "Chondrolepis niveicornis", "Malayathele ulu", "Malayathele cameronensis", "Malayathele maculosa", "Malayathele kanching", "Brachytydeus oryx", "Emeryus argulus", "Tillomimus bicinctus", "Brachytydeus piniferus", "Emeryus argulus argulus", "Emeryus argulus magnum", "Astragalus atratus var. inseptus", "Chondrolepis cynthia", "Lorryia tuttii", "Brachytydeus placitus", "Brachytydeus recki", "Columellia oblonga subsp. sericea", "Columellia oblonga subsp. serrata", "Columellia lucida", "Columellia obovata", "Torneutopsis translucidus", "Touroultia lordi", "Columellia subsessilis", "Columellia weberbaueri", "Karakumosa alticeps", "Karakumosa medica", "Trachelophora curvicollis", "Trachyderomorpha notabilis", "Vansonima littoralis madagassialis", "Vansonima ruhija", "Laetonima smithi", "Laetonima camerunica", "Tumicla usa", "Cecyrina flata", "Cecyrina rubra", "Tumicla chuquelae", "Tumicla pringlei", "Tumicla mutinondo", "Tumicla turlini", "Tumicla fisheri", "Holothuria viridiaurantia", "Astragalus baionensis", "Patoptoformis poltavskyi", "Leptoneta monodactyla", "Trachystohamus subelongatus", "Trachystola granulata", "Brachytydeus pongolanus", "Tragiscomoides minettii", "Thamnea depressa", "Brachytydeus relhaniae", "Thamnea gracilis", "Thamnea hirtella", "Gazella marica", "Gazella erlangeri", "Brachytydeus praefatus", "Frumenta davidi", "Frumenta dianeae", "Astragalus orthocarpus", "Brunia africana", "Promalactis coloristigmosa", "Trichoglottis corazoniae", "Stegonotus iridis", "Stegonotus derooijae", "Stegonotus admiraltiensis", "Stegonotus melanolabiatus", "Stegonotus caligocephalus", "Ophioholcus sexradiata", "Amphichthys cryptocentrus", "Thamnea massoniana", "Thamnea thesioides", "Thamnea matroosbergensis", "Tinea suswaensis", "Phereoeca coprophaga", "Stegonotus dorsalis", "Monopis truncata", "Tragostoma imperator", "Tragostomoides pretiosus", "Transipochira sikkimensis", "Transvaalobrium sudrei", "Trenetica lacrymans", "Elachista passerini", "Elachista agelensis", "Elachista baldizzonei", "Baoris penicillata brenda", "Stegonotus sutteri", "Quercus dinghuensis", "Baoris penicillata uniclor", "Brachytydeus scabrisetus", "Brachytydeus scopus", "Brusa saxicola", "Thamnea ustulata", "Thamnea teres", "Thamnea uniflora", "Staavia brownii", "Staavia capitella", "Staavia dodii", "Staavia phylicoides", "Staavia pinifolia", "Staavia staavioides", "Staavia trichotoma", "Staavia verticillata", "Staavia zeyheri", "Linconia alopecuroidea", "Linconia cuspidata", "Brachytydeus sagus", "Linconia ericoides", "Karakumosa repetek", "Stegonotus keyensis", "Tomentophanes vestitus", "Karakumosa shmatkoi", "Karakumosa tashkumyr", "Karakumosa turanica", "Karakumosa zyuzini", "Adelogorgia hannibalis", "Adelogorgia osculabunda", "Tomobrachyta nigroplagiata", "Tomohammus strandi", "Adelogorgia telones", "Tomolamia irrorata", "Tomopterchasia sullivanorum", "Tomopteropsis cerdai", "Tomrogersia acanthofemorata", "Torneucerus armatus", "Torneutes pallidipennis", "Eucolaspis kotatou", "Stegonotus diehli", "Amesia nigricolor", "Leptonetela trispinosa", "Astragalus beckwithii var. purpureus", "Leptonetela unispinosa", "Brachytydeus pinnigerus", "Junonia stemosa", "Junonia pacoma", "Junonia neildi", "Junonia neildi neildi", "Junonia neildi varia", "Timabiara bahiensis", "Mimozaena virescens virescens", "Mimozaena virescens chrysomela", "Tlepolemoides vadoni", "Tlepolemus puerulus", "Karakumosa badkhyzica", "Karakumosa gromovi", "Stegonotus aruensis", "Caltoris brunnea", "Caltoris brunnea brunnea", "Trichodemodes nigrosparsa", "Caltoris brunnea caere", "Trichodiadelia compacta", "Trichodiboma clytoides", "Trichodocus rufus", "Cryptochilus acuminatus", "Cryptochilus siamensis", "Brunia callunoides", "Tricheops ephippiger", "Trichepectasis rufescens", "Trichestola guatemalana", "Trichhoplomelas semirugosus", "Trichipochira aruensis", "Elachista passerini passerini", "Elachista passerini flaviella", "Elachista passerini decorella", "Stomopteryx spathulella", "Caltoris boisduvalii boisduvalii", "Caltoris boisduvalii hilda", "Trichocoscinesthes szetschuanica", "Caltoris bromus yanuka", "Promalactis cruciata", "Trichacanthocinus rondoni", "Promalactis lateridentalis", "Promalactis latispinata", "Promalactis lonchodes", "Promalactis magnispina", "Promalactis plicata", "Trichadjinga batchianensis", "Promalactis bomiensis", "Promalactis fasciserrata", "Trichagnia fuscomaculata", "Promalactis brevipalpa", "Promalactis libona", "Promalactis medilargissima", "Promalactis ramivalvata", "Trichalcidion penicillum", "Promalactis aculeiformis", "Promalactis apicitrinagula", "Promalactis curvispinosa", "Promalactis medimacularis", "Promalactis serraticostalis", "Trichalphus pilosus", "Trichamechana marmorata", "Astragalus caucasicus", "Trichartelida funebris", "Brunia angulata", "Trichauxa fusca", "Tricheczemotes dystasioides", "Trichellipsis fuscosignatus", "Brunia barnardii", "Trichemeopedus holzschuhi", "Brunia bullata", "Cryptochilus strictus", "Brachytydeus solaris", "Brunia dregeana", "Brunia esterhuyseniae", "Brunia monogyna", "Brunia monostyla", "Brunia myrtoides", "Brunia oblongifolia", "Brunia palustris", "Brunia pentandra", "Brunia pillansii", "Brunia powrieae", "Brunia purpurea", "Pentanema \u00d7 adriaticum", "Brunia schlechteri", "Brunia thomae", "Brunia trigyna", "Brunia tulbaghensis", "Brunia variabilis", "Brunia compacta", "Brunia latebracteata", "Brunia sphaerocephala", "Brunia cordata", "Brunia fragarioides", "Brunia macrocephala", "Brunia laevis", "Brunia microphylla", "Brunia neglecta", "Brunia sacculata", "Brunia squalida", "Brunia villosa", "Sinojackia huangmeiensis", "Brunia virgata", "Berzelia alopecuroides", "Berzelia burchellii", "Berzelia cordifolia", "Berzelia ecklonii", "Berzelia incurva", "Berzelia stokoei", "Audouinia esterhuyseniae", "Hopea hainanensis", "Acer catalpifolium", "Trichodorcadion gardneri", "Trichoeax somaliensis", "Trichognoma chinensis", "Trichohammus granulosus", "Trichohestima setifera", "Trichohoplorana dureli", "Brachytydeus sororculus", "Curvie emesia", "Emesis poeas", "Brachytydeus stellatus", "Astragalus christianus", "Emesis furor", "Treron affinis", "Brachytydeus subularis", "Emesis russula", "Trichohyllisia strandi", "Tosana niwae", "Neoboydaia colymbiformi", "Caltoris kumara elongata", "Caltoris kumara lanka", "Cuitlauzina cariasii", "Picea maximowiczii var. senanensis", "Picea maximowiczii var. maximowiczii", "Xylaria carpophila", "Trichomesia newmani", "Treron griveaudi", "Xylaria magnoliae", "Brachytydeus tridactylus", "Trichomonochamus basilewskyi", "Trichonemophas chassoti", "Trichoniphona albomarmorata", "Caltoris chimdroa", "Trichonitocris tibialis", "Treron phayrei", "Barsine wangi", "Xylaria tentaculata", "Rhaphiostylis ferruginea var. villosa", "Cyanaeorchis minor", "Rhaphiostylis fusca", "Etheostoma faulkneri", "Gymnochthebius seminole", "Cyclopogon ovalifolius", "Rhaphiostylis minima", "Rhaphiostylis ovatifolia", "Emesis mandana", "Tricholamia plagiata", "Lorryia pseudoplacita", "Emesis satema", "Tricholeiopus vittipennis", "Caltoris cahira carina", "Tricholinopteridius villosus", "Tricholophia ceylonica", "Trichomauesia touroulti", "Treron aromaticus", "Emesis temesa", "Emesis angularis", "Emesis cypria", "Treron axillaris", "Emesis cypria cypria", "Emesis cypria cilix", "Brachytydeus subularoides", "Xylaria longipes", "Caltoris tenuis", "Brachytydeus tragelaphus", "Trichomelanauster albomaculatus", "Treron chloropterus", "Orygocera anderesi", "Lactuca anatolica", "Chaetozone elakata", "Orygocera albanix", "Astragalus densus", "Platea bullata", "Ornithogalum gulnariense", "Caltoris philippina", "Caltoris philippina philippina", "Rhaphiostylis parvifolia", "Rhaphiostylis poggei", "Rhaphiostylis preussii", "Rhaphiostylis subsessilifolia", "Poraqueiba guianensis", "Astragalus creticus", "Verbascum seydisehirense", "Oxytropis montana", "Orygocera ambavaella", "Hypericum alacamdaglariense", "Orygocera befasyella", "Orygocera perinetella", "Orygocera rusertella", "Audouinia hispida", "Audouinia laevis", "Audouinia laxa", "Rhaphiostylis cordifolia", "Brachytydeus trilobus", "Rhaphiostylis elegans", "Brachytydeus unigenus", "Tydeus octomaculatus", "Brachytydeus varsoviensis", "Epimecia tekes", "Smacigastes pumila", "Xylaria cubensis", "Meganola smithi", "Xylaria anisopleura", "Xylaria grammica", "Rhaphiostylis ferruginea", "Cycnoches cooperi subsp. villenae", "Ornithogalum atticum", "Albuca autumnula", "Trichoparmenonta hoegei", "Cycnoches loddigesii", "Ornithogalum baeticum", "Cymbidiella flabellata", "Ornithogalum baurii", "Halichoerus grypus atlantica", "Metaverruca reunioni", "Borbo borbonica borbonica", "Paeonia sandrae", "Platea latifolia", "Ornithogalum bungei", "Ornithogalum campanulatum", "Platea malayana", "Callipta borealis", "Callipta iranica", "Ornithogalum capillaris", "Stenobermuda warooga", "Tenupedunculus serrulatus", "Trichopterolophia andamanica", "Pseudozeuzera caminhai", "Trichorondonia hybolasioides", "Trichorsidis hiekei", "Streptocephalus shinsawbuae", "Bulbophyllum physometrum", "Borbo binga", "Trigonarthron cinnabarinum", "Tristachycera viridis", "Ornithogalum constrictum", "Tritomacrus testaceus", "Caltoris philippina subfenestrata", "Caltoris sirius fusca", "Ophioplocus bispinosus", "Caltoris sirius kalparia", "Ornithogalum abyssinicum", "Ornithogalum adseptentrionesvergentulum", "Ornithogalum aetfatense", "Ornithogalum alatepense", "Ophioplocus declinans", "Ornithogalum amblyocarpum", "Albuca amoena", "Caltoris tulsi jolanda", "Ornithogalum amphibolum", "Ornithogalum anguinum", "Astragalus distortus var. engelmannii", "Ornithogalum annae-ameliae", "Cycnoches cooperi subsp. cooperi", "Ornithogalum apiculatum", "Ornithogalum arianum", "Cycnoches cooperi subsp. ayacuchoensis", "Cymbidiella falcigera", "Albuca obtusa", "Cymbidiella pardalina", "Ornithogalum benguellense", "Ornithogalum bicornutum", "Ornithogalum boissieri", "Platea excelsa", "Ophioplocus esmarki", "Ornithogalum bourgaeanum", "Ornithogalum brevipedicellatum", "Platea kachinensis", "Trichophyllarthrius nigroapicalis", "Ophioplocus giganteus", "Trichopothyne strandiella", "Ophioplocus hancocki", "Ornithogalum britteniae", "Metteniusa tessmanniana", "Ophioderma hendleri", "Tropocalymma dimidiata", "Truncatipochira ternatensis", "Trypanidiellus decoratus", "Platea parvifolia", "Platea sclerophylla", "Andinia vieira-pereziana", "Andinia dielsii", "Symphyotrichum drummondii var. texanum", "Ceuroma mucorea", "Pima karatauensis", "Trichoserixia rondoni", "Trichosophroniella rotschildi", "Psychonoctua cracens", "Trichostenidea rufopunctata", "Psychonoctua ravida", "Psychonoctua diiorioi", "Trichostenideus vittatus", "Trichostixis orientalis", "Paeonia wendelboi", "Astragalus geminiflorus", "Aberrasine shiou", "Astragalus geniculatus", "Ottoschulzia cubensis", "Ottoschulzia domingensis", "Platylesches ayresii ayresii", "Ophioplocus huttoni", "Paeonia subsect.", "Paeonia subsect.", "Astragalus granatensis", "Trichotithonus conspectus", "Scopula villumi", "Trichotroea semiflava", "Tridrepana yazakii", "Trichovelleda rufula", "Agnoea revillai", "Pisolithus arhizus", "Borbo borbonica zelleri", "Symmoca requenai", "Ornithogalum cernuum", "Symmoca redondoi", "Megacraspedus carolustertius", "Borbo borbonica morella", "Ornithogalum ciliiferum", "Ornithogalum concinnum", "Metteniusa nucifera", "Astragalus gomboeformis", "Witteulisna paraxena", "Astragalus graecus", "Tropidoprion gibbosus", "Astragalus grahamianus", "Tropimerus cyaneus", "Tropimerus hovorei", "Tropimetopa simulator", "Astragalus kentrophyta subsp. ungulatus", "Emmotum affine", "Emmotum glabrum", "Emmotum nitens", "Emmotum orbiculatum", "Astragalus ibrahimianus", "Tucanti plumicornis", "Tucumaniella brevipes", "Tumiditarsus cicatricornis", "Turcmenigena warenzowi", "Turnaia opaca", "Tya stellata", "Ottoschulzia pallida", "Oecopetalum greenmanii", "Oecopetalum mexicanum", "Metteniusa cogolloi", "Metteniusa cundinamarcensis", "Metteniusa huilensis", "Ovipennis lisu", "Ovipennis fansipana", "Roepkiella jakli", "Roepkiella korshunovi", "Metteniusa santanderensis", "Metteniusa edulis", "Parabitecta secunda", "Parabitecta flava", "Ophrys sicula", "Urophora quadrifasciata", "Tylcus hartwegii", "Emmotum acuminatum", "Goodyera tesselata", "Astragalus johannis-howellii", "Astragalus kentrophyta subsp. elatus", "Astragalus kentrophyta var. tegetarius", "Tympanopalpus dorsalis", "Typhocesis macleayi", "Astragalus lentiginosus var. borreganus", "Astragalus lentiginosus var. fremontii", "Typodryas callichromoides", "Astragalus lentiginosus var. iodanthus", "Astragalus lentiginosus var. palans", "Astragalus lentiginosus var. salinus", "Herpsilochmus frater", "Tsutsuia elegans", "Metteniusa tessmanniana var. fragrantissima", "Tuberculancylistes ratovosoni", "Tuberculetaxalus mindanaonis", "Tuberculipochira wittmeri", "Tuberculipochira similis", "Tuberculosodus transversefasciatus", "Tuberculosybra tuberculata", "Tuberodiadelia tubericollis", "Tuberolamia andicola", "Tuberorachidion lanei", "Emmotum yapacanum", "Emmotum fulvum", "Emmotum floribundum", "Emmotum conjunctum", "Emmotum celiae", "Emmotum fagifolium", "Emmotum harleyi", "Emmotum amazonicum", "Dendrobangia boliviana", "Astragalus kohrudicus", "Tylonotus bimaculatus", "Dendrobangia multinervia", "Tyloxoles boholicus", "Astragalus leiosemius", "Saphanidus viridescens", "Saphanodes lujae", "Astragalus sect.", "Sarathropezus conicipennis", "Pelargonium principissae", "Ophioplocus incipiens", "Calatola microcarpa", "Calatola uxpanapensis", "Calatola costaricensis", "Calatola laevigata", "Calatola pastazana", "Quercivir dohrni", "Quercivir gounellei", "Astragalus laxmannii subsp. laxmannii", "Saepiseuthes chilensis", "Salvazaon metallicum", "Saperdoglenea gleneoides", "Astragalus sect.", "Armeria muelleri", "Ornithogalum puberulum", "Ornithogalum adanense", "Bambalocra intwala", "Agraecina agadirensis", "Steatoda ifricola", "Philodromus musteri", "Leiognathus brevirostris", "Liza carinata", "Nesipelma insulare", "Apodytes thouvenotii", "Nesipelma medium", "Callionymus curvicornis", "Astragalus mardinensis", "Astragalus massalskyi", "Helgicirrha angelicae", "Takifugu obscurus", "Alepes melanoptera", "Eutima marajoara", "Muscari muglaense", "Philodromus splendens", "Pellenes florii", "Peniticus microreticulatus", "Astragalus sect.", "Vasconcellea badilloi", "Astragalus sect.", "Apodytes abbottii", "Apodytes geldenhuysii", "Apodytes bebile", "Vasconcellea chachapoyensis", "Vasconcellea pentalobis", "Vasconcellea peruviensis", "Vasconcellea carvalhoae", "Apodytes brachystylis", "Apodytes clusiifolia", "Apodytes grandifolia", "Pseudocyphellaria pubescens", "Stenothyra divalis", "Urothoe grimaldii", "Zosterops simplex", "Cyanoderma ruficeps", "Barsine bigamica", "Barsine tongi", "Soulamea cardioptera", "Zamarada latilimbata", "Soulamea trifoliata", "Lepus granatensis solisi", "Zamarada anacantha", "Soulamea cycloptera", "Zamarada mesotaenia", "Sarothrogastra edulis", "Savang vatthanai", "Zamarada chrysothyra", "Halophila beccarii", "Zamarada secutaria", "Scapacartus ferreirai", "Atlantiphoxus wajapi", "Sardinella zunasi", "Sphyraena jello", "Trochosa urbana", "Trochosa dentichelis", "Osteomugil cunnesius", "Trochosa ruricoloides", "Ornithogalum convallarioides", "Trochosa meruensis", "Ornithogalum corsicum", "Oeneis elwesi", "Ornithogalum corticatum", "Hydranetes tropisternus", "Astragalus sect.", "Sarifer flavirameus", "Fenneropenaeus penicillatus", "Tiganophyton karasense", "Eunice indica", "Laothoe caucao", "Idunella curvidactyla", "Laothoe selene", "Sarillus pygmaeus", "Leonnates persicus", "Chondrochelia dubia", "Sarothrocera lowii", "Ornithogalum pruinosum", "Hastigerinella digitata", "Musculus nana", "Nectoneanthes oxypoda", "Ornithogalum rupestre", "Oxydromus berrisfordi", "Ornithogalum leeupoortense", "Astragalus nebrodensis", "Penelope bridgesi", "Roveacrinus alatus", "Astragalus sect.", "Ornithogalum graecum", "Ornithogalum yildirimlii", "Styloceras brokawii", "Astragalus sect.", "Astragalus sect.", "Metaverruca norfolkensis", "Astragalus sect.", "Styloceras columnare", "Styloceras kunthianum", "Acteocina eumicra", "Natatolana japonensis", "Monocorophium uenoi", "Sabellaria ishikawai", "Salmacis sphaeroides", "Sigambra hanaokai", "Styloceras laurifolium", "Styloceras penninervium", "Astragalus nuttallianus var. imperfectus", "Myonera atlasiana", "Astragalus purpurascens", "Zamarada erugatoides", "Soulamea dagostinii", "Soulamea moratii", "Scapastathes violaceipennis", "Pericrocotus speciosus", "Soulamea pelletieri", "Scapeuseboides bicolor", "Soulamea rigaultii", "Scapexocentrus spiniscapus", "Astragalus mollissimus var. thompsoniae", "Astragalus mollissimus var. mogollonicus", "Mnioes huk", "Astragalus plumbeus", "Scapochariesthes nigroapicipennis", "Scapodasys flavoapicalis", "Dusungwua dichromella", "Scapogoephanes pusillus", "Dusungwua karenkolla", "Scaposodus rufulus", "Dusungwua paradichromella", "Dusungwua pseudodichromella", "Scaposophroniella flavomarmorata", "Dusungwua quadrangula", "Soulamea fraxinifolia", "Scapozygocera quadriplagiata", "Scapozygoceropsis albertisi", "Monolepta bacboensis", "Dendrobium lindleyi", "Ornithogalum dolichopharynx", "Ornithogalum dregeanum", "Monolepta daklaka", "Ornithogalum esterhuyseniae", "Phalaenopsis boulbetii", "Ornithogalum exaratum", "Simarouba versicolor", "Runcina brenkoae", "Scariates basipennis", "Medinilla ultramaficola", "Sceleocantha glabricollis", "Schiacallia tristis", "Schizax senex", "Mnioes kinsa", "Mnioes tawa", "Mnioes soqta", "Mnioes qanchis", "Mnioes pusaq", "Mnioes poncei", "Mnioes pisqa", "Mnioes iskay", "Mnioes attenboroughi", "Schizodontus latus", "Schizodontus angustus", "Sinopieris rothschildi", "Schoenionta vespiventris", "Sinopieris rothschildi rothschildi", "Sinopieris rothschildi songi", "Sinopieris chumbiensis", "Astragalus limnocharis var. montii", "Sisymbrium aculeolatum", "Aphanopetalum clematideum", "Homalolepis cedron", "Dryopetalon auriculatum", "Ophioplocus marginata", "Triolena vasquezii", "Triolena rojasiae", "Miconia palcazuana", "Miconia yanachagaensis", "Meriania rubriflora", "Nothospondias staudtii", "Macrocentrum andinum", "Astragalus sect.", "Perriera madagascariensis", "Perriera orientalis", "Runcina lusitanica", "Astragalus packardiae", "Runcina marcosi", "Astragalus palenae", "Astragalus paposanus", "Astragalus paradoxus", "Sisymbrium afghanicum", "Onoba goyoi", "Toxicocalamus goodenoughensis", "Ornithogalum decus-montium", "Ornithogalum deltoideum", "Ornithogalum diphyllum", "Roveacrinus bifidus", "Soulamea muelleri", "Soulamea pancheri", "Soulamea tomentosa", "Soulamea terminalioides", "Gallinago magellanica", "Ornithogalum kilicii", "Ornithogalum yesilyurtense", "Ornithogalum nitidum", "Ornithogalum plurifolium", "Ornithogalum sancakense", "Astragalus eriocarpus", "Astragalus newberryi var. castoreus", "Astragalus nummularius", "Ornithogalum craibii", "Gnathia bermudensis", "Ornithogalum creticum", "Cymbidium lowianum var. kalawense", "Sisymbrium assoanum", "Adromischus bicolor", "Neoacasta liui", "Adromischus coleorum", "Achyrocline latifolia", "Galeruca jucunda", "Actinodaphne borneensis", "Ophioplocus japonicus", "Ophioplocus januarii", "Aphelandra apecoi", "Aphelandra rugosa", "Astragalus pelliger", "Roveacrinus carinatus", "Sisymbrium lipskyi", "Aphanopetalum resinosum", "Cymbidium lowianum var. lowianum", "Tropidonophis statisticus", "Sisymbrium nepalense", "Cymbidium lowianum var. ailaoense", "Adromischus alstonii", "Astragalus thracicus subsp. thracicus", "Astragalus sect.", "Dendrobium discolor", "Dendrobium discolor subsp. discolor", "Astragalus fragiformis", "Dendrobium discolor subsp. incurvata", "Astragalus sect.", "Dendrobium discolor var. broomfieldii", "Dendrobium discolor var. fimbrilabium", "Idiops joida", "Idiops mettupalayam", "Idiops oriya", "Dendrobium discolor var. fuscum", "Luskhan itilensis", "Ptilella inflata", "Ptilella grandis", "Ptilella bellissima", "Ptilella grayi", "Hylodesmum oldhamii", "Sisymbrium crassifolium", "Sisymbrium fugax", "Sisymbrium pinnatisectum", "Astragalus thracicus", "Kiwaia palaearctica", "Astragalus sect.", "Kiwaia kostjuki", "Kiwaia ramulata", "Meyoarabiella naumanni", "Meyoarabiella vansoni", "Synemon crocea", "Synemon anthracia", "Synemon semaphora", "Synemon petrophila", "Synemon angustiptera", "Synemon cacumina", "Synemon victoriae", "Synemon sophia", "Synemon parthenoides", "Kiwaia centrica", "Kiwaia nyingchiensis", "Kiwaia mengdana", "Kiwaia septentrionala", "Kiwaia montana", "Kiwaia medogia", "Kiwaia yadongensis", "Kiwaia povolnyi", "Metschnikowia colchici", "Actinodaphne lanata", "Cermatulus nasalis rufusensis", "Prothemenops irineae", "Prothemenops khirikhan", "Prothemenops phanthurat", "Astragalus pinetorum", "Prothemenops siamensis", "Gastrochilus pearcei", "Idiops pylorus", "Swainsona katjarra", "Idiops medini", "Boydaia willmanni", "Astragalus procerus", "Actinodaphne sesquipedalis", "Boydaia morenoi", "Boydaia rosickyi", "Actinodaphne sesquipedalis subsp. glabra", "Astragalus sect.", "Ophiozonella antarctica", "Cynorkis fastigiata", "Actinodaphne sikkimensis", "Astragalus sect.", "Actinodaphne celebica", "Astragalus sect.", "Astragalus oltensis", "Actinodaphne gracilis", "Cynorkis fastigiata var. fastigiata", "Cynorkis fastigiata var. ambatensis", "Actinodaphne glauca var. subtriplinervis", "Actinodaphne glomerata", "Wandogarida canalicula", "Blaviodes approximans", "Astragalus purshii var. glareosus", "Ophiozonella antillarum", "Astragalus purshii var. tinctus", "Blaviodes phaeocraspis", "Astragalus purshii var. ophiogenes", "Blaviodes arfakensis", "Danis helga", "Astragalus brachycalyx subsp. brachycalyx", "Cynorkis fastigiata var. triphylla", "Astragalus brachycalyx subsp. eriostylus", "Erophaca baetica subsp. baetica", "Erophaca baetica subsp. orientalis", "Actinodaphne javanica", "Actinodaphne macroptera", "Actinodaphne scleroptera", "Actinodaphne concolor", "Actinodaphne cinerea", "Actinodaphne microphylla", "Actinodaphne concinna", "Actinodaphne glauca", "Astragalus pulsiferae var. suksdorfii", "Astragalus pulsiferae var. coronensis", "Astragalus remotispicatus", "Astragalus sect.", "Actinodaphne procera", "Procambarus virginalis", "Astragalus sect.", "Blaviodes laniata", "Coboydaia nigra icteri", "Blaviodes hampsoni", "Blaviodes albogrisea", "Blaviodes raanyae", "Blaviodes schoutenae", "Blaviodes virginea", "Blaviodes heringi", "Actinodaphne molochina", "Boydaia pheucticola", "Miltochrista jarawa", "Miltochrista lutara", "Microschismus yakovlevi", "Boydaia cyanerpes hylocichla", "Microschismus alida", "Sisymbrium leucocladum", "Astragalus rattanii var. jepsonianus", "Anomalocaris briggsi", "Anomalocaris lineata", "Anomalocaris pennsylvanica", "Anomalocaris saron", "Anomalocaris kunmingensis", "Anomalocaris magnabasis", "Cirripectes matatakaro", "Hippocampus nalu", "Aenigmachanna mahabali", "Actinodaphne bourneae", "Actinodaphne tadulingamii", "Actinodaphne lawsonii", "Actinodaphne brassii", "Actinodaphne caesia", "Astragalus sect.", "Astragalus sect.", "Actinodaphne engleriana", "Actinodaphne latifolia", "Actinodaphne ledermannii", "Actinodaphne nitida", "Actinodaphne novoguineensis", "Actinodaphne obtusa", "Actinodaphne pulchra", "Actinodaphne tomentosa", "Actinodaphne campanulata", "Actinodaphne leiophylla", "Actinodaphne malaccensis", "Actinodaphne pisifera", "Actinodaphne candolleana", "Actinodaphne cochinchinensis", "Actinodaphne hookeri", "Psilocybe acutipilea", "Psilocybe andina", "Psilocybe brasiliensis", "Psilocybe columbiana", "Psilocybe dumontii", "Psilocybe farinacea", "Ornithogalum insulare", "Schajovskoia albomaculata", "Astragalus saharae", "Astragalus sarcocolla", "Actinodaphne moluccana", "Psilocybe singeri", "Psilocybe uxpanapensis", "Psilocybe weldenii", "Melittia rutilipes", "Cyanosesia tuzovi", "Astragalus schelichowii", "Astragalus sect.", "Actinodaphne salicina", "Syspira alayoni", "Teniorhinus watsoni", "Syspira barbacoa", "Calliope tschebaiewi", "Syspira armasi", "Syspira bryantae", "Syspira monticola", "Ricasolia amplissima", "Boydaia saxicolae", "Boydaia faini", "Odontozona edyli", "Syrrhopeus agelastoides", "Teniorhinus harona", "Chilobrachys jonitriantisvansickleae", "Jotus karllagerfeldi", "Jotus albimanus", "Jotus auripes", "Teniorhinus ignita", "Jotus braccatus", "Jotus debilis", "Jotus fortiniae", "Jotus frosti", "Jotus insulanus", "Jotus maculivertex", "Jotus minutus", "Jotus moonensis", "Jotus newtoni", "Jotus ravus", "Goleba jocquei", "Actinodaphne corymbosa", "Actinodaphne furfuracea", "Acasta lappa", "Astragalus sect.", "Actinodaphne glabra", "Philanglaus ornatus", "Philanglaus xylodopoecila", "Astragalus robbinsii var. minor", "Actinodaphne mollis", "Astragalus robbinsii var. jesupii", "Danis mamberano", "Alucita romieuxi", "Alucita katanga", "Astragalus rupifragus", "Vanda flabellata", "Ophiozonella astarte", "Ophiozonella bispinosa", "Ophiozonella casta", "Ophiozonella cavernalis", "Ophiozonella clypeata", "Ophiozonella confusa", "Ophiozonella depressa", "Ophiozonella eloy", "Ophiozonella falklandica", "Ophiozonella granulifera", "Ophiozonella hexactis", "Ophiozonella insularia", "Ophiozonella longispina", "Ophiozonella marmorea", "Ophiozonella media", "Gunnarella brigittae", "Adenomera glauciae", "Actinodaphne pruinosa", "Actinodaphne speciosa", "Astragalus strictifolius", "Actinodaphne sphaerocarpa", "Cyanosesia hypochalcia", "Cyanosesia leleji", "Astragalus spinosus", "Cyanosesia panorpaeformis", "Cyanosesia vietnamica", "Astragalus sect.", "Nokona onoderai", "Actinodaphne crassa", "Astragalus cusickii", "Ornithogalum rosulatum", "Actinodaphne obovata", "Actinodaphne pauciflora", "Actinodaphne pubescens", "Actinodaphne quercina", "Astragalus siculus", "Actinodaphne rufescens", "Cyanosesia cyanolampra", "Actinodaphne rumphii", "Hymenorchis glomeroides", "Astragalus terracianoi", "Hypothenemus margaritae", "Gunnarella florenciae", "Astragalus sect.", "Gunnarella neocaledonica", "Protapatophysis hindukushensis", "Ornithogalum hyrcanum", "Astragalus sect.", "Ornithogalum mater-familias", "Ornithogalum tropicale", "Dymasius borneoensis", "Ornithogalum zebrinellum", "Ornithogalum khuzestanicum", "Paralimna bocki", "Scathophaga incompleta", "Astragalus sect.", "Bacanius kirejtshuki", "Astragalus physodes subsp. physodes", "Astragalus sect.", "Ornithogalum geniculatum", "Ornithogalum gorenflotii", "Actinodaphne cupularis", "Actinodaphne fragilis", "Astragalus sect.", "Psilocybe longinqua", "Psilocybe peruviana", "Psilocybe pteridophytorum", "Psilocybe squarrosipes", "Astragalus sect.", "Ornithogalum xanthochlorum", "Ornithogalum visianicum", "Ornithogalum verae", "Ornithogalum ulixis", "Actinodaphne myriantha", "Ornithogalum umbratile", "Calliclytus wappesi", "Calliclytus elegans", "Dorcadion semibrunneum semibrunneum", "Dorcadion semibrunneum vlasenkoi", "Dorcadion semibrunneum mediocreimpressum", "Cataleptoneta aydintopcui", "Actinodaphne philippinensis", "Actinodaphne pilosa", "Exiliphotis petila", "Actinodaphne omeiensis", "Latigammaropsis careocavata", "Astragalus vallaris", "Actinodaphne perlucida", "Actinodaphne setchuenensis", "Actinodaphne henryi", "Actinodaphne johorensis", "Actinodaphne montana", "Hippocampus alatus", "Hippocampus angustus", "Hippocampus barbouri", "Actinodaphne oleifolia", "Hippocampus biocellatus", "Hippocampus borboniensis", "Astragalus alpinus subsp. alpinus", "Hippocampus breviceps", "Hippocampus camelopardalis", "Hippocampus capensis", "Hippocampus casscsio", "Hippocampus colemani", "Hippocampus comes", "Hymenorchis brassii", "Hippocampus debelius", "Hippocampus fisheri", "Hippocampus fuscus", "Hippocampus grandiceps", "Hippocampus hendriki", "Hippocampus histrix", "Hippocampus jayakari", "Hymenorchis caulina", "Astragalus alpinus subsp. brunetianus", "Hymenorchis foliosa", "Actinodaphne ridleyi", "Actinodaphne diversifolia", "Astragalus belangeri", "Astragalus sect.", "Actinodaphne dolichophylla", "Astragalus tolmaczevii", "Hymenorchis kaniensis", "Hymenorchis nannodes", "Astragalus nummularius subsp. nummularius", "Ophiozonella molesta", "Acasta milkae", "Hymenorchis saccata", "Ophiozonella nivea", "Astragalus nummularius subsp. trichopterus", "Vanda hindsii", "Metachroma adustum", "Ophiozonella novaecaledoniae", "Actinodaphne samarensis", "Ornithogalum thunbergii", "Actinodaphne tayabensis", "Ornithogalum thermophilum", "Ornithogalum fimbrimarginatum", "Ornithogalum falcatum", "Actinodaphne elegans", "Actinodaphne moonii", "Actinodaphne stenophylla", "Metachroma anaemicum", "Ornithogalum fischerianum", "Actinodaphne ellipticibacca", "Actinodaphne kinabaluensis", "Actinodaphne longipes", "Actinodaphne perglabra", "Metachroma angusticolle", "Actinodaphne ferruginea", "Metachroma angustulum", "Actinodaphne forrestii", "Actinodaphne fuliginosa", "Actinodaphne glaucina", "Astragalus idaeus", "Actinodaphne lecomtei", "Actinodaphne magniflora", "Metachroma bridwelli", "Metachroma californicum", "Astragalus wolgensis", "Ornithogalum tanquanum", "Ornithogalum synadelphicum", "Ornithogalum subcoriaceum", "Ornithogalum sphaerolobum", "Ornithogalum spetae", "Astragalus vesicarius subsp. vesicarius", "Ornithogalum sanandajense", "Hymenorchis serrata", "Astragalus vesicarius subsp. carniolicus", "Astragalus vesicarius subsp. pastellianus", "Psilocybe allenii", "Astragalus varius subsp. varius", "Astragalus varius subsp. eupatoricus", "Acalitus notolius", "Eichlinia grandis", "Eichlinia khmer", "Ophiozonella projecta", "Ophiozonella sincera", "Ophiozonella stellamaris", "Taeniophyllum maximum", "Actinodaphne pedunculata", "Actinodaphne percoriacea", "Actinodaphne quinqueflora", "Actinodaphne robusta", "Actinodaphne semengohensis", "Taeniophyllum complanatum", "Litsea sessilifructa", "Disa cylindrica", "Actinodaphne multiflora", "Actinodaphne nicobarica", "Ophiozonella polyplax", "Actinodaphne notabilis", "Speleognathus australis", "Maranta cristata", "Goeppertia concinna", "Eichlinia faulkneri", "Eichlinia gilberti", "Eichlinia gloriosa", "Aconitum pterocaule", "Goeppertia splendida", "Dinopithecus ingens", "Agama africana", "Acalitus tanisetus", "Ophiozonella subtilis", "Leucheria suaveolens", "Ophiozonella thomasi", "Conocybe affinis", "Psilocybe araucana", "Callinectes diacanthus", "Callinectes gladiator", "Callinectes alabamensis", "Callinectes declivis", "Callinectes jamaicensis", "Callinectes marginatus", "Actinodaphne lanceolata", "Hymenorchis papuana", "Actinodaphne leiantha", "Dendropoma petraeum", "Actinodaphne macgregorii", "Metachroma carolinense", "Metachroma clarkei", "Actinodaphne macrophylla", "Actinodaphne menghaiensis", "Biserrula pelecinus", "Symphytum carpaticum", "Eichlinia calabaza", "Carmichaelia appressa", "Eichlinia cucurbitae", "Carmichaelia astonii", "Ophiozonella oedilepis", "Carmichaelia corrugata", "Ophiozonella platydisca", "Carmichaelia curta", "Eichlinia eichlini", "Tantillita lintoni", "Tantillita brevissima", "Tantillita canula", "Hydrochoerus isthmius", "Photis bronca", "Astragalus lentiginosus var. wilsonii", "Astragalus missouriensis var. humistratus", "Photis longicaudata", "Photis longicarpus", "Hymenorchis serrulata", "Photis posterolobus", "Podoceropsis insinuomanus", "Podoceropsis pseudoclavapes", "Hymenorchis vanoverberghii", "Actinodaphne solomonensis", "Actinodaphne trichocarpa", "Actinodaphne gullavara", "Actinodaphne hypoleucophylla", "Actinodaphne mushaensis", "Actinodaphne koshepangii", "Actinodaphne kostermansii", "Actinodaphne kostermansii var. glabrescens", "Actinodaphne kweichowensis", "Actinodaphne obscurinervia", "Actinodaphne paotingensis", "Callinectes affinis", "Callinectes amnicola", "Ophiozonella stellata", "Litsea densiflora", "Callinectes bellicosus", "Callinectes bocourti", "Actinodaphne tsaii", "Ophiozonella stoehrae", "Tropidia angulosa", "Cypholoron convexum", "Cypholoron frigidum", "Haploniscus astraphes", "Alloxylon brachycarpum", "Alloxylon wickhamii", "Speleorodens michigensis", "Speleorodens clethrionomys", "Athertonia diversifolia", "Tropidia nipponica var. nipponica", "Actinodaphne shendurunii", "Tropidia nipponica var. hachijoensis", "Clinanthus fabianae", "Clinanthus thiagoi", "Paramongaia milagroantha", "Actinodaphne soepadmoi", "Actinodaphne spathulifolia", "Actinodaphne sulcata", "Actinodaphne sulcata var. longipetiolata", "Actinodaphne venosa", "Metachroma coronadense", "Lasiorhachis hildebrandtii", "Lasiorhachis perrieri", "Lasiorhachis viguieri", "Speleomys galliardi", "Tripidium bengalense", "Psilocybe flammuliformis", "Psilocybe mesospora", "Psilocybe praetervisa", "Psilocybe peladae", "Psilocybe valdiviensis", "Domrownetes exul", "Sadies fulgida", "Sadies gibbosa", "Sadies seychellensis", "Sadies trifasciata", "Sadies castanea", "Aulax cancellata", "Afromarengo coriacea", "Afromarengo ghanaensis", "Afromarengo lyrifera", "Afromarengo ugandensis", "Iniquispongia iranica", "Polyendostoma irregularis", "Polyendostoma regularis", "Preperonidella tabasensis", "Tripidium arundinaceum", "Aulax umbellata", "Cyanea konahuanuiensis", "Petrobiona massiliana", "Tulearinia stylifera", "Petrostroma schulzei", "Monoplectroninia hispida", "Minchinella lamellosa", "Minchinella kirkpatricki", "Plectroninia deansi", "Plectroninia hindei", "Plectroninia lepidophora", "Plectroninia microstyla", "Plectroninia tetractinosa", "Plectroninia vasseuri", "Plectroninia minima", "Plectroninia pulchella", "Plectroninia radiata", "Plectroninia tecta", "Plectroninia novaecaledoniense", "Plectroninia norvegica", "Plectroninia celtica", "Tripidium ravennae", "Endostoma stellata", "Ophiozonoida innominata", "Eudea maxima", "Aulax pallasia", "Austromuellera valida", "Limnobiophyllum pedunculatum", "Carmichaelia muritai", "Beauprea asplenioides", "Beauprea filipes", "Beauprea balansae", "Beauprea gracilis", "Beauprea pancheri", "Beauprea spathulifolia", "Beauprea comptonii", "Abyssarya acus", "Carmichaelia juncea", "Tripidium kanashiroi", "Tripidium procerum", "Tripidium strictum", "Bathyedithia retierei", "Bathyeliasona mariaae", "Lawrencarus eweri", "Bathyfauvelia glacigena", "Platnick shablyai", "Platnick sanglok", "Platnick astana", "Psilocybe marthae", "Conocybe diemii", "Cyrtochilum ramosissimum", "Colaspidea globosa", "Carnarvonia araliifolia var. montana", "Catalepidia heyana", "Bathymoorea lucasi", "Bruunilla nealae", "Davidlivingstonia boisduvalii", "Davidlivingstonia staudi", "Davidlivingstonia prozorovi", "Davidlivingstonia lenzi", "Cenarrhenes nitida", "Beauprea congesta", "Cyrtochiloides ochmatochila", "Cyrtochiloides panduriformis", "Cyrtochiloides riopalenqueana", "Aethalopteryx strohlei", "Agdistis paki", "Beauprea crassifolia", "Lepidoleucon inflatum", "Lamontia zona", "Leucopsila stilifera", "Leuconia ochotensis", "Leuconia usa", "Leuconia alaskensis", "Leuconia joubini", "Leuconia gladiator", "Beauprea montana", "Leuconia dura", "Leuconia johnstoni", "Albumares brunsae", "Andiva ivantsovi", "Demotina bowringii", "Symphytum \u00d7 ferrariense", "Symphytum \u00d7 mosquense", "Conospermum elongatum", "Nu aakhu", "Photodotis imperfecta", "Conospermum boreale subsp. ascendens", "Conospermum brownii", "Pericharax peziza", "Pericharax pyriformis", "Pericharax canaliculata", "Pericharax carteri", "Pericharax heteroraphis", "Inoderma byssaceum", "Bombus tibeticus", "Dressleria dilecta", "Conospermum canaliculatum", "Conospermum canaliculatum subsp. apiculatum", "Conospermum cinereum", "Conospermum microflorum", "Demotina rugicollis", "Salvia yangii", "Demotina murina", "Salvia balaustina", "Salvia dabieshanensis", "Demotina bivittata", "Salvia caaguazuensis", "Demotina grisea", "Salvia neovidensis", "Demotina wallacei", "Salvia wagneriana", "Salvia betulifolia", "Salvia gonzalezii", "Salvia pichinchensis", "Salvia namaensis", "Salvia karabachensis", "Salvia cylindriflora", "Salvia palmeri", "Salvia itatiaiensis", "Salvia umbratica", "Salvia komarovii", "Salvia funckii", "Salvia kiaometiensis", "Salvia kudrjaschevii", "Salvia tysonii", "Salvia lobbii", "Bombus qilianensis", "Stenaelurillus marusiki", "Evarcha darinurica", "Mexcala farsensis", "Phlegra theseusi", "Saitis ariadneae", "Sahastata wesolowskae", "Sahastata bosmansi", "Sahastata wunderlichi", "Ophiozonoida leucus", "Cybaeota wesolowskae", "Phrurolithus lindemanni", "Ophiozonoida obscura", "Polaruschakov lamellae", "Polaruschakov limaae", "Polaruschakov omnesae", "Conospermum galeatum", "Yodanoe desbruyeresi", "Ranops robinae", "Ranops tharinae", "Ranops wandae", "Stenaelurillus indicus", "Stenaelurillus tettu", "Stenaelurillus wandae", "Stenaelurillus lesserti", "Conospermum hookeri", "Hodor anduril", "Colaspidea algarvensis", "Hodor hodor", "Colaspidea juengeri", "Conospermum acerosum", "Achramorpha diomediae", "Achramorpha truncata", "Macellicephala clarionensis", "Conospermum acerosum subsp. hirsutum", "Macellicephala parvafauces", "Paraleucilla proteus", "Conospermum brachyphyllum", "Conospermum densiflorum", "Macellicephaloides moustachu", "Paraleucilla tarazonai", "Leucilla mancoraensis", "Paraleucilla sphaerica", "Leucetta potiguar", "Leucetta antarctica", "Leucetta pyriformis", "Leucetta solida", "Leucetta prolifera", "Conospermum densiflorum subsp. unicephalatum", "Leucetta homoraphis", "Leucetta avocado", "Leucetta imberbis", "Leucetta weddelliana", "Leucetta delicata", "Leucetta giribeti", "Colaspidea ovulum", "Colaspidea inflata", "Colaspidea incerta", "Colaspidea dogueti", "Conospermum undulatum", "Colaspidea pallidipes", "Colaspidea maura", "Colaspidea confinis", "Colaspidea maghrebina", "Conospermum amoenum", "Conospermum amoenum subsp. cuneatum", "Conospermum boreale", "Apha floralis", "Apha zephyrus", "Apha witti", "Apha chloralis", "Apha kantonensis", "Photodotis crockeri", "Photodotis decolorata", "Photodotis aliena", "Beauprea neglecta", "Colaspis suilla", "Beauprea montis-fontium", "Symphytum davisii subsp. cycladense", "Symphytum davisii subsp. davisii", "Colaspis costipennis", "Colaspis ansa", "Beauprea penariensis", "Colaspis skelleyi", "Colaspis thomasi", "Beaupreopsis paniculata", "Buckinghamia ferruginiflora", "Cardwellia sublimis", "Atomyria kermanshahica", "Chloropterus inornatus", "Carnarvonia araliifolia", "Bathyfauvelia ignigena", "Schoenocephalium teretifolium", "Ophiozonoida parva", "Salvia qimenensis", "Salvia quercetorum", "Salvia yunnanensis", "Salvia yukoyukparum", "Salvia xalapensis", "Salvia ayavazensis", "Salvia hamulus", "Salvia japonica", "Salvia bungei", "Salvia balansae", "Salvia fusca", "Salvia macellaria", "Salvia innoxia", "Salvia taraxacifolia", "Salvia dolomitica", "Salvia jacalana", "Salvia quitensis", "Salvia hayatae", "Salvia espirito-santensis", "Salvia jessicae", "Salvia moranii", "Salvia evadens", "Salvia brevipes", "Salvia guadalajarensis", "Salvia jamzadii", "Salvia evansiana", "Salvia cynica", "Salvia fairuziana", "Salvia leriifolia", "Salvia korolkovii", "Salvia cuatrecasana", "Salvia grandis", "Salvia kamelinii", "Salvia karelinii", "Demotina pauperata", "Salvia fugax", "Salvia ballotiflora", "Salvia californica", "Salvia elenevskyi", "Salvia sophrona", "Salvia mirzayanii", "Salvia chiapensis", "Salvia hajastana", "Demotina jansoni", "Demotina parvula", "Salvia pubescens", "Salvia circinnata", "Demotina rufopicea", "Salvia agnes", "Salvia oaxacana", "Demotina ornata", "Salvia ecbatanensis", "Salvia plumosa", "Salvia peninsularis", "Salvia eizi-matudae", "Salvia galloana", "Salvia zacualpanensis", "Salvia rosmarinoides", "Salvia ecuadorensis", "Salvia valentina", "Salvia oblongifolia", "Salvia duripes", "Salvia heterotricha", "Salvia breviconnectivata", "Salvia durantiflora", "Salvia castanea", "Salvia kuznetzovii", "Salvia cardenasii", "Salvia ernesti-vargasii", "Salvia kiangsiensis", "Salvia omeiana", "Salvia haenkei", "Salvia arabica", "Salvia karwinskii", "Salvia falcata", "Salvia keerlii", "Trichomanes trigonum var. trigonum", "Senorius smetanai", "Sepaicutea fisheri", "Conospermum quadripetalum", "Serixiomenesia flavosignata", "Serixiomimus flavus", "Serixiophytoecia vitticollis", "Sesiosa subfasciata", "Colutea paulsenii", "Conospermum sigmoideum", "Conospermum spectabile", "Salvia rusbyi", "Salvia serranoae", "Diphya spinifera", "Salvia stachydifolia", "Cyclacanthia rethahofmeyri", "Salvia sucrensis", "Nesiota elliptica", "Salvia tafallae", "Conquistator mucronatus", "Salvia \u00d7 westerae", "Colutea arborescens subsp. hispanica", "Aeonium lindleyi subsp. viscatum", "Seabriella fasciata", "Cryptantha chispae", "Myrcianthes ferreyrae", "Psilocybe sierrae", "Demotina fasciculata", "Demotina fasciata", "Demotina decorata", "Demotina modesta", "Speleorodens strandtmanni", "Speleognathopsis sciuri", "Paraspeleognathopsis graphiuri", "Speleomys neotropicalis", "Colpothyreus flavolineatus", "Comperocoris roehneri", "Diphya foordi", "Conospermum paniculatum", "Diphya leroyorum", "Diphya vanderwaltae", "Diphya wesolowskae", "Diphya simoni", "Chesneya mongolica", "Sciadosoma umbrosum", "Salvia subbipinnata", "Salvia vvedenskii", "Salvia scrophulariifolia", "Glycyrrhiza acanthocarpa", "Alenatea acusisetus", "Speleorodens cricetidarum", "Setodocus albopunctatus", "Coryzorhaphis leucocephala", "Setohyllisia setosa", "Conospermum caeruleum subsp. debile", "Coryzorhaphis cruciata", "Simplexeburia divisa", "Psilocybe sclerotifera", "Ascute uteoides", "Sycantha tenella", "Coryzorhaphis superba", "Coryzorhaphis dollingi", "Coryzorhaphis egeri", "Astragalus sect.", "Sinochroma sinense", "Sinoclytus emarginatus", "Sinomimovelleda dentihumeralis", "Sinopidonia splendida", "Sitiorica tenuipes", "Sibapipunga beckeri", "Speleorodens derricki", "Silgonda rugipes", "Salvia akiensis", "Sycyssa huxleyi", "Similocorus negrosensis", "Paralelapia nipponica", "Lelapia australis", "Lelapia antiqua", "Grantiopsis cylindrica", "Grantiopsis fruticosa", "Grantiopsis heroni", "Coryzorhaphis carneolus", "Turkozelotes noname", "Simocrysa discolor", "Sciocyrtinus elongatus", "Diphya taiwanica", "Diphya macrophthalma", "Scolecobrotus westwoodii", "Scolochilus maculatus", "Scopadus ciliatus", "Salvia iuliana", "Salvia haitiensis", "Salvia durangensis", "Salvia fuscomanicata", "Salvia zamoranensis", "Salvia zaragozana", "Salvia jacobi", "Salvia jaimehintoniana", "Salvia itaguassuensis", "Salvia gypsophila", "Salvia filicifolia", "Salvia fruticetorum", "Salvia exilis", "Scythroleus picticornis", "Salvia eichleriana", "Seabraellus gracilis", "Salvia daiguii", "Salvia emaciata", "Salvia eplingiana", "Salvia eremophila", "Salvia eremostachya", "Salvia eriocalyx", "Seabraia sanguinicollis", "Salvia erythropoda", "Salvia amplifrons", "Salvia graciliramulosa", "Salvia macrophylla", "Salvia ophiocephala", "Diphya rugosa", "Salvia orbignaei", "Salvia raymondii", "Diphya limbata", "Salvia retinervia", "Glycyrrhiza flavescens", "Glycyrrhiza foetida", "Setoparmena mussardi", "Setoropica laosensis", "Silometopus nitidithorax", "Setovelleda tanganjicae", "Silometopus graecus", "Glycyrrhiza foetidissima", "Salvia herbanica", "Phaeographina polymorpha", "Parabomis elsae", "Parabomis megae", "Parabomis pilosa", "Parabomis wandae", "Sodopsis curvifascia", "Solaia antonellae", "Soluta gramineoides", "Salvia jamaicensis", "Salvia jaminiana", "Lessertia frutescens subsp. frutescens", "Tsitsikamma amatholensis", "Tsitsikamma madiba", "Tsitsikamma beukesi", "Conospermum unilaterale", "Conospermum wycherleyi", "Conospermum wycherleyi subsp. glabrum", "Conospermum burgessiorum", "Psyrassa garciai", "Psyrassa belangeri", "Phyllium brossardi", "Demotina bipunctata", "Conospermum caeruleum", "Conospermum caeruleum subsp. contortum", "Salvia \u00d7 adulterina", "Salvia teddii", "Salvia ariana", "Salvia compressa", "Salvia maymanica", "Salvia pterocalyx", "Hemithecium endofuscum", "Salvia rechingeri", "Salvia rhytidea", "Salvia tetrodonta", "Salvia nubilorum", "Salvia novoleontis", "Salvia klokovii", "Cyrtosia lindleyana", "Salvia koyamae", "Cyrtosia nana", "Psilocybe argentina", "Psilocybe fuegiana", "Psilocybe lazoi", "Psilocybe omiumsanctorum", "Conospermum caeruleum subsp. marginatum", "Conospermum caeruleum subsp. spathulatum", "Boana nigra", "Boana ventrimaculata", "Boana appendiculata", "Boana steinbachi", "Salvia pugana", "Salvia guevarae", "Salvia garedjii", "Salvia gariepensis", "Astragalus sect.", "Salvia gattefossei", "Salvia gavilanensis", "Salvia geminata", "Salvia glabra", "Salvia glabrata", "Salvia glabrescens", "Salvia glabricaulis", "Salvia glandulifera", "Salvia glechomifolia", "Salvia glumacea", "Sobarus poggei", "Salvia goldmanii", "Salvia golneviana", "Salvia gontscharowii", "Salvia gracilipes", "Salvia granatensis", "Salvia granitica", "Salvia gravida", "Salvia greatae", "Salvia grewiifolia", "Salvia grisea", "Salvia griseifolia", "Ophiozonoida brevipes", "Salvia grossheimii", "Salvia guacana", "Salvia nanchuanensis", "Salvia nazalena", "Cyrtosia falconeri", "Salvia nemoralis", "Salvia nervata", "Salvia nervosa", "Salvia nilotica", "Cyrtosia integra", "Salvia nitida", "Salvia nubigena", "Quironia johnsoni", "Salvia jaramilloi", "Solymus pictor", "Somatidiopsis biroi", "Lessertia perennans var. perennans", "Salvia xanthophylla", "Salvia xanthotricha", "Salvia xeropapillosa", "Salvia xolocotzii", "Salvia wardii", "Salvia warszewicziana", "Salvia weberbaueri", "Salvia wendelboi", "Somatolita neavei", "Salvia whitefoordiae", "Salvia willeana", "Salvia wixarika", "Salvia jordanii", "Salvia jorgehintoniana", "Salvia uliginosa", "Salvia umbraticola", "Somatovelleda camerunica", "Salvia umbratilis", "Salvia uncinata", "Salvia unguella", "Salvia erythrostephana", "Salvia erythrostoma", "Salvia expansa", "Salvia exserta", "Salvia ibugana", "Salvia igualensis", "Salvia incumbens", "Salvia incurvata", "Salvia indigocephala", "Salvia infuscata", "Salvia inornata", "Salvia insignis", "Salvia integrifolia", "Salvia interrupta", "Salvia intonsa", "Sphaerion cyanipenne", "Sphaerionillum quadrisignatum", "Sphalloeme costipennis", "Helicometra boseli", "Sphallonycha roseicollis", "Roveacrinus communis", "Bathyferdina aireyae", "Neoboydaia philomachi eroliae", "Bathyferdina caelator", "Sphigmothorax bicinctus", "Spiloprionus sericeomaculatus", "Spilotragoides griseomaculatus", "Salvia obtorta", "Salvia densiflora", "Spinaristobia rondoni", "Salvia filifolia", "Salvia filipes", "Spinegesina hiekei", "Malva transcaucasica", "Fromia labeosa", "Cystorchis variegata", "Sigsbeia conifera", "Soridopsis biapicata", "Conospermum capitatum subsp. velutinum", "Conospermum coerulescens", "Conospermum coerulescens subsp. adpressum", "Sormidomorpha unicolor", "Sotira flexuosa", "Soupha nouvongi", "Souvanna phoumai", "Oedothorax esyunini", "Cyclosa alayoni", "Cyclosa andinas", "Cyclosa berlandi", "Cyclosa cajamarca", "Cyclosa camargoi", "Cyclosa coylei", "Cyclosa curiraba", "Coprinopsis hypsizyga", "Cyclosa dianasilvae", "Cyclosa donking", "Sparna lycoides", "Cyclosa durango", "Cyclosa espumoso", "Spathoptera albilatera", "Spathopygus eburioides", "Dinorhynchus dybowskyi", "Dinorhynchus opulentus", "Salvia iodantha", "Salvia iodochroa", "Salvia iodophylla", "Salvia ionocalyx", "Salvia isensis", "Salvia isochroma", "Damarius splendidulus", "Sophron inornatum", "Salvia radula", "Parabomis levanderi", "Parabomis martini", "Salvia dasyantha", "Sophronicoides forchhammeri", "Salvia decora", "Salvia decumbens", "Salvia fruticulosa", "Salvia unicostata", "Sophronicomimus densepunctatus", "Salvia decurrens", "Salvia univerticillata", "Salvia uribei", "Salvia urmiensis", "Salvia urolepis", "Salvia urticifolia", "Salvia uruapana", "Diphya qianica", "Sophronisca grisea", "Salvia vargasii", "Salvia vargas-llosae", "Salvia vaseyi", "Salvia vasta", "Salvia vitifolia", "Diphya tanasevitchi", "Salvia vazquezii", "Salvia veneris", "Salvia venturana", "Salvia venulosa", "Salvia verecunda", "Salvia vergeduzica", "Salvia veronicifolia", "Salvia vestita", "Salvia villosa", "Salvia viscida", "Conospermum capitatum", "Sorelia ferruginea", "Conospermum capitatum subsp. glabratum", "Helicometra fasciata", "Oxytropis hippolyti", "Spinovelleda excavata", "Cystorchis aberrans", "Spinozorilispe fusca", "Spinozotroctes seraisorum", "Spinozotroctes thouvenoti", "Oxytropis fetida", "Discocera bergrothi", "Spinoplon inusitatum", "Spinoplon bicolor", "Salvia omerocalyx", "Salvia omissa", "Spinopraonetha fuscomaculata", "Salvia handelii", "Salvia bupleuroides", "Salvia opertiflora", "Salvia oreopola", "Spinopterolophia pterolophioides", "Salvia oresbia", "Salvia oligantha", "Salvia orthostachys", "Salvia oligophylla", "Salvia ombrophila", "Salvia ovalifolia", "Salvia ozolotepecensis", "Spinosodus spinicollis", "Salvia herbacea", "Salvia hapalophylla", "Salvia harleyana", "Spinosomatidia obesa", "Oxytropis globiflora", "Salvia hasankeyfensis", "Spinosophronica fusca", "Spinosophroniella rufa", "Salvia hatschbachii", "Salvia firma", "Salvia flaccida", "Salvia flaccidifolia", "Salvia flava", "Conospermum coerulescens subsp. dorrienii", "Conospermum croniniae", "Conospermum distichum", "Conospermum eatoniae", "Notosacantha bertounesquei", "Pseudocometes harrisoni", "Viracocha limogesi", "Tropidion birai", "Recchia nearnis", "Susuacanga boteroi", "Golofa limogesi", "Discocera cayennensis", "Spinenicodes oceanicus", "Spineugrapheus vieui", "Spineuteleuta celebensis", "Spinexocentrus spinipennis", "Spiniphra shibatai", "Spinipochira excavata", "Spinipocregyes nigrescens", "Oxytropis borealis var. borealis", "Salvia dentata", "Salvia deserti", "Cyclosa haiti", "Salvia diamantina", "Salvia dianthera", "Salvia dichlamys", "Salvia digitaloides", "Spinoblesthis acuta", "Cystorchis aphylla", "Oxytropis japonica", "Oxytropis japonica var. japonica", "Cystorchis javanica", "Oxytropis kobukensis", "Spodotaenia basicornis", "Niphanda fusca shijima", "Daiotyla crassa", "Daiotyla xanthina", "Cyclosa conigera", "Salvia ramamoorthyana", "Salvia trichostephana", "Salvia tubulosa", "Salvia tricuspidata", "Salvia tricuspis", "Cyclosa rubronigra", "Salvia trifilis", "Salvia turcomanica", "Salvia turdi", "Salvia turneri", "Cyclosa fililineata", "Salvia tuxtlensis", "Deiregyne diaphana", "Salvia ramirezii", "Salvia ramosa", "Salvia raveniana", "Salvia regnelliana", "Salvia reitzii", "Salvia remota", "Salvia repens", "Salvia reuteriana", "Salvia revoluta", "Salvia trijuga", "Salvia tubifera", "Salvia reptans", "Salvia disermas", "Salvia dolichantha", "Cyclosa huila", "Salvia dorisiana", "Salvia disjuncta", "Salvia dorystaechas", "Cyclosa imias", "Oxytropis campestris subsp. campestris", "Salvia drobovii", "Spinocentruropsis papuanus", "Salvia drusica", "Salvia dryophila", "Salvia dugesiana", "Salvia flocculosa", "Salvia fluviatilis", "Salvia fominii", "Salvia formosa", "Salvia forreri", "Spinochariesthes albomaculata", "Cyclosa inca", "Cyclosa jalapa", "Spinodiadelia spinipennis", "Cyclosa jose", "Cyclosa libertad", "Spinogoephanes vieui", "Cyclosa machadinho", "Oxytropis dinarica", "Spinogramma ochreovittata", "Cyclosa mavaca", "Salvia foveolata", "Salvia fragarioides", "Oxytropis dinarica subsp. dinarica", "Cyclosa mocoa", "Cyclosa monteverde", "Salvia obtusata", "Cyclosa morretes", "Cyclosa nevada", "Cyclosa ojeda", "Spinoleiopus rondoni", "Salvia obumbrata", "Cyclosa olivenca", "Salvia occidua", "Salvia occultiflora", "Salvia ochrantha", "Salvia ocimifolia", "Salvia odam", "Spinomyrmecoclytus albofasciatus", "Cyclosa oseret", "Salvia heerii", "Spinosophronisca fusca", "Oxytropis halleri subsp. halleri", "Salvia helianthemifolia", "Salvia hermesiana", "Salvia herrerae", "Salvia heterochroa", "Salvia heterofolia", "Salvia hidalgensis", "Salvia hilarii", "Salvia hillcoatiae", "Oxytropis helvetica", "Salvia himmelbaurii", "Salvia hintonii", "Salvia hirsuta", "Salvia hirta", "Salvia hirtella", "Salvia holwayi", "Salvia honania", "Salvia hotteana", "Spinospasma hynesi", "Salvia humboldtiana", "Salvia hunzikeri", "Salvia hupehensis", "Salvia hylocharis", "Salvia hypochionaea", "Salvia hypoleuca", "Salvia lachnaioclada", "Cyclosa pantanal", "Salvia lachnocalyx", "Salvia lachnostachys", "Salvia lachnostoma", "Salvia laevis", "Salvia lagochila", "Salvia lamiifolia", "Cyclosa pedropalo", "Salvia langlassei", "Discocera coccinea", "Salvia languidula", "Salvia lanicalyx", "Cyclosa picchu", "Salvia lanicaulis", "Salvia lankongensis", "Salvia lapazana", "Cyclosa pichilinque", "Salvia lasiantha", "Salvia lasiocephala", "Salvia lavanduloides", "Salvia laxispicata", "Salvia leninae", "Cyclosa santafe", "Discocera contempta", "Salvia lenta", "Crassula brachystachya", "Stenomesosa flavomaculata", "Crassula calcarea", "Stenomiaenia longelineata", "Boana jaguariaivensis", "Crassula campestris", "Crassula capensis var. albertiniae", "Manipuria dohertyi", "Manipuria yuae", "Stenoparmena crinita", "Stenopausa elongatissima", "Crassula closiana", "Cyclosa bihamata", "Laelia \u00d7 tlaxiacoensis", "Cyclosa bianchoria", "Cyclosa nigra", "Dendrochilum saccolabium", "Crassula compacta", "Munida diritas", "Crassula congesta", "Crassula congesta subsp. laticephala", "Grona griffithiana", "Salvia rhodostephana", "Salvia rhyacophila", "Salvia richardsonii", "Salvia rivularis", "Salvia robertoana", "Salvia rogersiana", "Salvia roscida", "Amphichondrius laevis", "Salvia rosei", "Salvia rostellata", "Conospermum ellipticum", "Salvia rubescens", "Salvia rubifolia", "Salvia rubrifaux", "Salvia rubriflora", "Salvia rubropunctata", "Crassula alba var. parvisepala", "Salvia rufula", "Salvia runcinata", "Salvia rupicola", "Salvia rypara", "Salvia rzedowskii", "Salvia synodonta", "Salvia summa", "Salvia substolonifera", "Crassula alcicornis", "Conospermum ephedroides", "Neoboydaia philomachi thalasseus", "Squamosaperdopsis squamosa", "Stathmodera lineata", "Ophthalmognathus schoutedeni", "Salvia leonia", "Salvia leptostachys", "Salvia leucochlamys", "Cyclosa serena", "Salvia leucodermis", "Salvia liguliloba", "Salvia lilacinocoerulea", "Salvia lineata", "Salvia lipskyi", "Salvia littae", "Cyclosa tamanaco", "Salvia longibracteolata", "Salvia longistyla", "Salvia lophanthoides", "Salvia loxensis", "Salvia lozanii", "Cyclosa teresa", "Salvia luteistriata", "Salvia lutescens", "Salvia tebesana", "Salvia tehuacana", "Salvia tenella", "Salvia tenorioi", "Salvia tenuiflora", "Salvia tepicensis", "Salvia teresae", "Salvia tetramerioides", "Cyclosa turvo", "Salvia textitlana", "Salvia thermarum", "Salvia thomasiana", "Salvia thormannii", "Salvia thymoides", "Salvia thyrsiflora", "Salvia tianschanica", "Cyclosa vicente", "Salvia tingitana", "Salvia toaensis", "Salvia tolimensis", "Salvia tonalensis", "Salvia tonaticensis", "Cyclosa vieirae", "Salvia topiensis", "Salvia tortuensis", "Salvia tortuosa", "Salvia townsendii", "Salvia trachyphylla", "Salvia transhimalaica", "Salvia transsylvanica", "Salvia trautvetteri", "Salvia triangularis", "Salvia trichocalycina", "Cyclosa bituberculata", "Cyclosa elongata", "Cyclosa tropica", "Cyclosa yaginumai", "Salvia trichopes", "Salvia meera", "Salvia meiliensis", "Salvia mekongensis", "Salvia melaleuca", "Crassula atropurpurea var. watermeyeri", "Salvia melissiflora", "Salvia mentiens", "Stenideopsis madagascariensis", "Salvia merjamie", "Salvia mexiae", "Salvia microdictya", "Salvia minarum", "Salvia misella", "Salvia modica", "Salvia mohavensis", "Salvia monantha", "Salvia monclovensis", "Salvia moniliformis", "Salvia montecristina", "Salvia mornicola", "Salvia mouretii", "Salvia muelleri", "Salvia muirii", "Salvia munzii", "Salvia muratae", "Salvia muscarioides", "Salvia compacta", "Salvia altimitrata", "Salvia cana", "Stenobia pradieri", "Salvia cabonii", "Salvia cabulica", "Salvia cacomensis", "Stenocentrura albomaculata", "Stenochariergus dorianae", "Stenochariergus hollyae", "Salvia calaminthifolia", "Salvia calcicola", "Salvia calderoniae", "Salvia calolophos", "Salvia camarifolia", "Salvia campicola", "Salvia camporum", "Salvia campylodonta", "Salvia candicans", "Crassula alstonii", "Steata tatei", "Stegenagapanthia albovittata", "Stegenodes ruber", "Crassula alticola", "Stegenus dactylon", "Crassula ammophila", "Cyclosa formosana", "Cyclosa argentata", "Cyclosa shinoharai", "Crassula ankaratrensis", "Cyclosa koi", "Crassula anso-lerouxiae", "Conospermum ericifolium", "Crassula aphylla", "Allium nerimaniae", "Salvia macilenta", "Salvia macrocalyx", "Salvia macrostachya", "Salvia madrigalii", "Salvia mairei", "Stenauxa exigua", "Salvia majdae", "Salvia malvifolia", "Salvia manantlanensis", "Crassula atropurpurea var. cultriformis", "Salvia manaurica", "Salvia marci", "Dorycoris pavoninus", "Salvia margaritae", "Salvia mattogrossensis", "Crassula atropurpurea var. purcellii", "Salvia maximowicziana", "Salvia mayorii", "Salvia mazatlanensis", "Salvia mcvaughii", "Salvia medusa", "Deiregyne cochleata", "Ophiocnida californica", "Deiregyne densiflora", "Deiregyne falcata", "Deiregyne flavoferruginea", "Conospermum filifolium", "Conospermum filifolium subsp. australe", "Marrubium amasiense", "Oxytropis monticola", "Salvia canescens", "Salvia carbonoi", "Salvia cardiophylla", "Salvia carnea", "Salvia carranzae", "Salvia carreyesii", "Salvia carrilloi", "Salvia cataractarum", "Salvia caudata", "Salvia cavaleriei", "Salvia cedrosensis", "Salvia cerinopruinosa", "Boana caiapo", "Allographa anguilliradians", "Crassula aurusbergensis", "Crassula badspoortensis", "Boana icamiaba", "Cyclosa damingensis", "Cyclosa gulinensis", "Stenocidnus flavicans", "Stenocidnus flavosignatus", "Stenocoptoeme zamioides", "Cyclosa gossypiata", "Crassula basaltica", "Stenocoptoides ciliatus", "Cyclosa purnai", "Cyclosa zhui", "Henricia fragilis", "Henricia margarethae", "Ealda minax", "Allographa uruguayensis", "Cyclosa woyangchuan", "Crassula bergioides", "Sanicula lamelligera", "Sanicula maritima", "Sanicula oviformis", "Sanicula pengshuiensis", "Sanicula petagnioides", "Sanicula rubriflora", "Sanicula rugulosa", "Sanicula sandwicensis", "Sanicula saxatilis", "Sanicula serrata", "Sanicula tienmuensis", "Sanicula tuberculata", "Neoscona xishanensis", "Oxytropis sericea var. sericea", "Neoscona achine", "Salvia strobilifera", "Neoscona yadongensis", "Salvia styphelos", "Salvia subglabra", "Salvia subhastata", "Salvia submutica", "Salvia subobscura", "Salvia subpalmatinervis", "Phoenicopteriella womersleyi", "Agrocybe allocystis", "Ecitocobius comissator", "Oxytropis sect.", "Lucernacrinus woodi", "Oxytropis sect.", "Oxytropis sect.", "Oxytropis sect.", "Oxytropis sect.", "Ophiomitrella floorae", "Oxytropis sect.", "Oxytropis sect.", "Oxytropis sect.", "Oxytropis sect.", "Oxytropis sect.", "Aurivillialepas mascarensis", "Oxytropis sect.", "Salvia scoparia", "Oxytropis sect.", "Salvia scytinophylla", "Salvia secunda", "Salvia seemannii", "Salvia selleana", "Salvia sellowiana", "Salvia semiscaposa", "Salvia seravschanica", "Oxytropis sect.", "Salvia serboana", "Oxytropis sect.", "Salvia subpatens", "Salvia serpyllifolia", "Salvia sessilifolia", "Oxytropis sect.", "Salvia setulosa", "Salvia shahkuhmahalei", "Oxytropis subg.", "Salvia shannonii", "Salvia sharifii", "Salvia sharpii", "Paleomolpus hirtus", "Salvia sigchosica", "Stenophloeus ocularis", "Stenophryneta variegata", "Oxytropis megalantha", "Salvia sikkimensis", "Salvia silvarum", "Salvia similis", "Salvia sinica", "Coelogyne brunnea", "Salvia sirenis", "Salvia smithii", "Marrubium alyssoides", "Salvia somalensis", "Salvia sonchifolia", "Marrubium alysson", "Deiregyne alinae", "Salvia sonklarii", "Salvia sordida", "Salvia spathacea", "Salvia speciosa", "Salvia speirematoides", "Salvia sphacelifolia", "Salvia sphacelioides", "Salvia sprucei", "Salvia stachyoides", "Salvia stibalii", "Deiregyne callifera", "Salvia stolonifera", "Salvia striata", "Salvia strobilanthoides", "Amphioplus philohelminthius", "Deiregyne chartacea", "Ophiacantha phragma", "Salvia cruckshanksii", "Crassula cymbiformis", "Salvia cryptoclada", "Salvia cryptodonta", "Salvia cualensis", "Salvia cubensis", "Salvia curta", "Salvia curticalyx", "Crassula cymosa", "Salvia curviflora", "Salvia cyanantha", "Salvia cyanicalyx", "Salvia cyanocephala", "Salvia cyanotropha", "Salvia saccardiana", "Salvia saccifera", "Salvia sacculus", "Salvia sahendica", "Salvia salicifolia", "Salvia sanctae-luciae", "Salvia santanae", "Salvia santolinifolia", "Salvia sapinea", "Salvia sarmentosa", "Cyclosa cucurbitoria", "Salvia saxicola", "Salvia scabra", "Salvia scabrata", "Salvia scabrida", "Salvia scandens", "Salvia scapiformis", "Salvia scaposa", "Salvia schimperi", "Cyrtophora guangxiensis", "Salvia schizocalyx", "Salvia schizochila", "Cyrtophora hainanensis", "Salvia schlechteri", "Salvia schmalbausenii", "Salvia sciaphila", "Cyrtophora lacunaris", "Salvia sclareoides", "Salvia sclareopsis", "Hypsosinga alboria", "Neogea yunnanensis", "Crassula cooperi", "Amphiodia sculptilis", "Salvia cerradicola", "Salvia chalarothyrsa", "Salvia chamelaeagnea", "Salvia chanryoenica", "Salvia chapadensis", "Salvia chapalensis", "Salvia chapmanii", "Salvia chazaroana", "Salvia chicamochae", "Salvia chienii", "Salvia chinensis", "Salvia chionopeplica", "Salvia chionophylla", "Salvia chloroleuca", "Salvia chorassanica", "Salvia chudaei", "Salvia clarendonensis", "Salvia chunganensis", "Salvia clarkcowanii", "Salvia clausa", "Salvia clinopodioides", "Salvia coahuilensis", "Salvia cocuyana", "Salvia codazziana", "Salvia cognata", "Salvia colonica", "Salvia comayaguana", "Salvia compsostachys", "Salvia concolor", "Crassula corallina subsp. macrorrhiza", "Salvia confertiflora", "Salvia confertispicata", "Salvia congestiflora", "Salvia connivens", "Salvia consobrina", "Salvia corazonica", "Salvia cordata", "Salvia corrugata", "Salvia costaricensis", "Salvia costata", "Salvia coulteri", "Salvia crucis", "Amphiophiura irregularis", "Amphiophiura paucisquama", "Crassula cremnophila", "Crassula crenulata", "Marrubium cylleneum", "Marrubium duabense", "Marrubium echinatum", "Marrubium eriocephalum", "Marrubium fontianum", "Marrubium friwaldskyanum", "Marrubium glechomifolium", "Lipschitzia divaricata", "Marrubium globosum", "Marrubium globosum subsp. globosum", "Marrubium globosum subsp. libanoticum", "Marrubium globosum subsp. micranthum", "Marrubium heterocladum", "Marrubium heterodon", "Ramaliella tortuosissima", "Marrubium \u00d7 bastetanum", "Salvia subrubens", "Salvia subscandens", "Cyclosa hexatuberculata", "Cyclosa simoni", "Salvia pachypoda", "Salvia palealis", "Gasteracantha aciculata", "Salvia palifolia", "Gasteracantha acutispina", "Salvia pallida", "Oxytropis tenuis", "Gasteracantha audouini", "Salvia pamplonitana", "Gasteracantha aureola", "Oxytropis todomoshiriensis", "Oxytropis triflora", "Ophionereis amphilogus", "Ophiolepis plateia", "Ophiomisidium leurum", "Ophiomyces multispinus", "Ophionereis annulata", "Ophionereis perplexa", "Marrubium cuneatum", "Marrubium procerum", "Marrubium \u00d7 paniculatum", "Marrubium rotundifolium", "Marrubium thessalum", "Marrubium trachyticum", "Marrubium vanense", "Marrubium vulcanicum", "Phobetron pithecium", "Marrubium velutinum", "Oxytropis borealis var. viscida", "Ophrys scolopax subsp. isaura", "Gelasia pisidica", "Marrubium werneri", "Ophrys scolopax subsp. phrygia", "Marrubium yildirimlii", "Gelasia pygmaea", "Marrubium lanatum", "Gelasia longiana", "Marrubium \u00d7 montenegrinum", "Marrubium \u00d7 virescens", "Marrubium aschersonii", "Marrubium atlanticum", "Marrubium ayardii", "Marrubium bourgaei", "Marrubium bourgaei subsp. bourgaei", "Marrubium bourgaei subsp. caricum", "Marrubium cephalanthum", "Marrubium cephalanthum subsp. cephalanthum", "Marrubium cephalanthum subsp. montanum", "Salvia blepharophylla", "Marrubium cordatum", "Marrubium crassidens", "Oxytropis pilosa subsp. pilosa", "Marrubium crassidens var. crassidens", "Marrubium crassidens var. brevidens", "Neoscona polyspinipes", "Eriovixia hainanensis", "Sanicula astrantiifolia", "Eriovixia menglunensis", "Sanicula bipinnata", "Sanicula caerulescens", "Sanicula elongata", "Eriovixia yunnanensis", "Sanicula giraldii", "Oxytropis prenja", "Sanicula giraldii var. ovicalycina", "Neoscona jinghongensis", "Sanicula giraldii var. giraldii", "Sanicula hacquetioides", "Sanicula kauaiensis", "Neoscona menghaiensis", "Neoscona kunmingensis", "Oxytropis pseudoleptophysa", "Salvia pannosa", "Salvia paohsingensis", "Salvia paposana", "Conospermum flexuosum", "Salvia paraguariensis", "Salvia paramicola", "Salvia paramiltiorrhiza", "Salvia parciflora", "Salvia parryi", "Salvia parvifolia", "Salvia patriciae", "Salvia pygmaea", "Salvia pusilla", "Salvia praeterita", "Salvia bullulata", "Salvia pseudorosmarinus", "Salvia purpusii", "Salvia pauciflora", "Salvia paulwalleri", "Salvia paupercula", "Salvia pavonii", "Salvia penduliflora", "Salvia pennellii", "Salvia peratica", "Salvia perblanda", "Salvia peregrina", "Salvia pericona", "Salvia perlonga", "Salvia perlucida", "Salvia perplicata", "Salvia perrieri", "Salvia persepolitana", "Salvia persicifolia", "Salvia petrophila", "Marrubium \u00d7 humbertii", "Marrubium incanum", "Hersilia okinawaensis", "Hersilia yaeyamaensis", "Gelasia ulrichii", "Gelasia sericea", "Acheilognathus elongatoides", "Acheilognathus fasciodorsalis", "Acheilognathus imfasciodorsalis", "Acrochordonichthys falcifer", "Acrochordonichthys guttatus", "Acrochordonichthys mahakamensis", "Acrochordonichthys septentrionalis", "Acrochordonichthys strigosus", "Gelasia rigida", "Acrossocheilus baolacensis", "Acrossocheilus macrophthalmus", "Acrossocheilus yalyensis", "Gelasia eriophora", "Aspidoparia jaya", "Aspidoparia ukhrulensis", "Ophrys scolopax subsp. philippei", "Marrubium litardierei", "Agrocybe lazoi", "Agrocybe procera", "Marrubium lutescens", "Marrubium multibracteatum", "Marrubium multibracteatum subsp. multibracteatum", "Marrubium multibracteatum subsp. ayachicum", "Marrubium parviflorum subsp. parviflorum", "Marrubium parviflorum subsp. oligodon", "Helicometra rakusai", "Marrubium pestalozzae", "Stesilea prolata", "Salvia plurispicata", "Salvia pobedimovae", "Salvia podadena", "Salvia pogonochila", "Salvia polystachia", "Salvia porphyrocalyx", "Salvia potaninii", "Salvia praestans", "Salvia prasiifolia", "Salvia prattii", "Salvia prilipkoana", "Salvia primuliformis", "Salvia pringlei", "Salvia prionitis", "Salvia procurrens", "Salvia propinqua", "Salvia prostrata", "Salvia protracta", "Salvia pruinosa", "Hersilia yunnanensis", "Salvia prunelloides", "Stethoperma batesi", "Salvia prunifolia", "Salvia pseudoincisa", "Salvia pseudojaminiana", "Salvia pseudomisella", "Salvia pseudopallida", "Salvia psilantha", "Salvia psilostachya", "Salvia bazmanica", "Conospermum flexuosum subsp. laevigatum", "Anchusella cretica", "Hessicrinus filigree", "Anchusella variegata", "Croton alabamensis var. texensis", "Demotina thoracica", "Demotina lewisi", "Demotina ceylonensis", "Graphis rongklaensis", "Demotina sumatrana", "Demotina andrewesi", "Demotina minuta", "Demotina atra", "Demotina inhirsuta", "Demotina inaequalis", "Demotina piceonotata", "Demotina multinotata", "Conospermum caeruleum subsp. oblanceolatum", "Stibara tetraspilota", "Stictosomus semicostatus", "Takhtajaniantha tau-saghyz", "Pseudopodospermum incisum", "Demotina sapensis", "Demotina rufonotata", "Pseudopodospermum hissaricum", "Colaspoides femoralis", "Colaspoides pseudofemoralis", "Swainsona behriana", "Swainsona burkei", "Vanda limbata", "Parascela filimonovi", "Parascela tuberosa", "Parascela rugipennis", "Conospermum floribundum", "Moluccella bucharica", "Salvia baldshuanica", "Salvia baimaensis", "Eocanthecona mitis", "Hersilia talebii", "Eocanthecona plebeja", "Salvia bariensis", "Salvia beckeri", "Salvia benthamiana", "Salvia bifidocalyx", "Salvia biserrata", "Salvia blancoana", "Salvia boegei", "Salvia bogotensis", "Salvia booleana", "Salvia brachyloba", "Salvia brachyloma", "Salvia brachyodon", "Salvia brachyodonta", "Salvia brachyphylla", "Salvia brandegeei", "Salvia breviflora", "Salvia brevilabra", "Salvia bucharica", "Salvia buchii", "Salvia axilliflora", "Salvia austromelissodora", "Salvia aurita", "Salvia atrorubra", "Salvia atropurpurea", "Moluccella fedtschenkoana", "Moluccella olgae", "Conospermum huegelii", "Moluccella otostegioides", "Moluccella sogdiana", "Conospermum leianthum", "Conospermum leianthum subsp. orientale", "Sternaspis sendalli", "Phyllium shurei", "Nanophyllium australianum", "Phyllium rubrum", "Gigantotrichoderes cummingi", "Birandra antonkozlovi", "Phyllium regina", "Phyllium gardabagusi", "Phyllium nisus", "Styloxus lucanus", "Subinermexocentrus allardi", "Sulcommata durantoni", "Sulenus humeralis", "Sulpitus lilla", "Ophrys sphegodes subsp. aesculapii", "Streblorrhiza speciosa", "Allographa vestita", "Percnon pascuensis", "Eocanthecona formosa", "Stenoxotus ochreoruber", "Ophiophragmus disacanthus", "Ophiophragmus lonchophorus", "Ophiophragmus ophiactoides", "Ophiophragmus papillatus", "Hersilia serrata", "Ophiophragmus stellatus", "Sigsbeia laevis", "Sternoharpya stictica", "Sternorsidis brunnea", "Scorzonera yildirimlii", "Salvia purepecha", "Salvia punicans", "Hersilia thailandica", "Salvia punctata", "Salvia pteroura", "Salvia pexa", "Salvia peyronii", "Salvia pineticola", "Salvia phaenostemma", "Salvia piasezkii", "Salvia pinguifolia", "Hersilia wraniki", "Salvia platycheila", "Salvia platyphylla", "Salvia plectranthoides", "Phyllium lelantos", "Nanophyllium miyashitai", "Nanophyllium daphne", "Eupholus bacobugisi", "Phyllium tobeloense", "Phyllium tobeloense bhaskarai", "Allographa adpressa", "Conospermum mitchellii", "Demotina postica", "Demotina pustulosa", "Demotina tuberosa", "Demotina gansuica", "Demotina thei", "Tibetima gyirongensis", "Clubiona huaban", "Conospermum longifolium subsp. angustifolium", "Ophrys sphegodes subsp. araneola", "Conospermum sphacelatum", "Demotina major", "Conospermum stoechadis", "Conospermum stoechadis subsp. sclerophyllum", "Swainsona affinis", "Conospermum longifolium subsp. mediale", "Zantheres gracillimus", "Swainsona monticola", "Stiphilus quadripunctatus", "Swainsona purpurea", "Swainsona stenodonta", "Eocanthecona binotata", "Swainsona villosa", "Eocanthecona ornatula", "Eocanthecona parva", "Eocanthecona robusta", "Eocanthecona thomsoni", "Conospermum multispicatum", "Conospermum nervosum", "Streptolabis hispoides", "Striatacanthocinus borneensis", "Striatanaesthetis lineatipennis", "Striatorsidis striatipennis", "Salvia atropaenulata", "Salvia atrocyanea", "Salvia atrocalyx", "Salvia assurgens", "Salvia albiterrarum", "Salvia angustiarum", "Salvia apparicii", "Salvia andreji", "Salvia anguicoma", "Agrocybe viscosa", "Agaricus nebularum", "Salvia angulata", "Salvia appendiculata", "Salvia arduinervis", "Helicometra nasae", "Salvia arenaria", "Salvia areolata", "Salvia areysiana", "Salvia aridicola", "Bastanius kermanensis", "Salvia articulata", "Salvia arthrocoma", "Salvia aspera", "Salvia asperata", "Bastanius foordi", "Eocanthecona rufescens", "Salvia \u00d7 atroviolacea", "Salvia \u00d7 auriculata", "Hersilia pectinata", "Salvia \u00d7 bernardina", "Hersilia xieae", "Salvia \u00d7 tunica-mariae", "Salvia \u00d7 telekiana", "Salvia \u00d7 bichigeanii", "Salvia \u00d7 cadevallii", "Salvia \u00d7 cernavodae", "Salvia \u00d7 jamensis", "Stheniopygus medioalbus", "Salvia \u00d7 hybrida", "Boana gracilis", "Gelasia sandrasica", "Griseidraconarius iriei", "Griseidraconarius akakinaensis", "Aetius bicuspidatus", "Chinattus prabodhi", "Aeolocoelotes unicatus", "Nesticus akiyoshiensis", "Nesticus akiyoshiensis akiyoshiensis", "Nesticus akiyoshiensis ofuku", "Aeolocoelotes bifurcatus", "Aeolocoelotes mohrii", "Aeolocoelotes sanoi", "Aeolocoelotes saikaiensis", "Aeolocoelotes unzenensis", "Fothergilla milleri", "Superagnia fuchsi", "Susuanycha susua", "Megalasma striatum", "Swaziphanes bimaculatus", "Argyrolobium robustum", "Sybrocentrura obscura", "Sybrodoius tippmanni", "Coronaster marchenus", "Demotina sasakawai", "Leptychaster stellatus", "Fothergilla parvifolia", "Demotina aurosquama", "Demotina incostata", "Marah micrantha", "Strioderes peruanus", "Striomecyna bimaculicollis", "Striononyma unicolor", "Conocybe fuscimarginata", "Stromatiodes brunneus", "Aponetius ogatai", "Salvia \u00d7 kerneri", "Aponetius watarii", "Helicometra equilata", "Salvia \u00d7 lavandulacea", "Salvia \u00d7 mendizabalii", "Salvia \u00d7 nariniensis", "Aponetius flexuosus", "Salvia \u00d7 rociana", "Salvia \u00d7 rosuae", "Salvia \u00d7 sakuensis", "Salvia \u00d7 simonkaiana", "Salvia \u00d7 spiraeifolia", "Aponetius gladius", "Aponetius ryukyuensis", "Stultutragus mataybaphilus", "Stultutragus crotonaphilus", "Stychoides strandiellus", "Filistata balouchi", "Stychoparmena spinipennis", "Levymanus dezfulensis", "Scytodes kumonga", "Araneus reizan", "Styloleptoides morazzanii", "Allographa acharii", "Salvia \u00d7 karamanensis", "Eocanthecona japonicola", "Salvia \u00d7 doganii", "Anarthrophyllum cumingii", "Stertinius ryukyuensis", "Anarthrophyllum desideratum", "Oculicosa supermirabilis", "Eocanthecona kyushuensis", "Eocanthecona shikokuensis", "Salvia huastecana", "Conospermum patens", "Conospermum petiolare", "Hessicrinus scalaensis", "Conospermum polycephalum", "Conospermum scaposum", "Demotina elegans", "Demotina decoratella", "Demotina alni", "Demotina montana", "Eocanthecona eburnea", "Oncorhynchus keta", "Adenocarpus hispanicus", "Adenocarpus telonensis", "Agorius hyodoi", "Salvia \u00d7 sylvestris", "Allorchestoides rosea", "Ophrys sphegodes subsp. atrata", "Cytisus spinescens", "Basilosaurus cetoides", "Basilosaurus isis", "Lacunicambarus dalyae", "Faxelepas paronai", "Yoania amagiensis", "Darlingia darlingiana", "Eryxia annobioides", "Eryxia gracilipes", "Enneaoria yunnanensis", "Sybrohyagnis fuscomaculata", "Genista humifusa", "Sybropis frontalis", "Trachelopachys camarapi", "Sybropraonetha minuta", "Cytisus elongatus", "Sychnomerus hirticornis", "Cytisus emeriflorus", "Sychnomerus barbiger", "Darlingia ferruginea", "Sydonia apomecynoides", "Syllitosimilis aberrans", "Kawazoeozephyrus mushaellus paolongkoui", "Cytisus fontanesii", "Sympergoides nasutus", "Synelasma bufo", "Theridiosoma dissimulatum", "Theridiosoma paludicolum", "Theridiosoma fulvum", "Theridiosoma alboannulatum", "Muschampia gigas", "Apopyllus kanguery", "Liparis nutans", "Demotina collaris", "Demotina costata", "Demotina regularis", "Demotina silvatica", "Demotina vietnamica", "Demotina weisei", "Demotina minutella", "Demotina medvedevi", "Demotina medvedeviana", "Speleognathopsis charadricola", "Cytisus borysthenicus", "Demotina imasakai", "Demotina serriventris", "Demotina squamosa", "Demotina vernalis", "Demotina albomaculata", "Demotina bicoloriceps", "Demotina flavicornis", "Cheiraster californicus", "Phataria mionactis", "Tamaria obstipa", "Conospermum tenuifolium", "Conospermum teretifolium", "Conospermum toddii", "Conospermum triplinervium", "Aeolocoelotes personatus", "Curticoelotes hiradoensis", "Curticoelotes hamamurai", "Curticoelotes kintaroi", "Curticoelotes oxyacanthus", "Curticoelotes sawadai", "Curticoelotes taurus", "Griseidraconarius decolor", "Cytisus aeolicus", "Raharizonina nigrina", "Ranova pictipes", "Zingiber molle", "Ranqueles mus", "Retilla indigens", "Rhachicolus cristatus", "Rhadia pusio", "Salvia dorrii subsp. dorrii", "Rhaphipteroides apicalis", "Salvia dorrii subsp. mearnsii", "Salvia dorrii var. clokeyi", "Salvia dorrii var. pilosa", "Jingneta maculosa", "Jingneta tunxiensis", "Chelydropsis apellanizi", "Chelydropsis kusnetzovi", "Salvia dorrii var. incana", "Salvia dorrii var. dorrii", "Xenurolebias izecksohni", "Diastella thymelaeoides subsp. meridiana", "Brucerolis nowra", "Muschampia antonia gigantea", "Diastella buekii", "Bokermannohyla sapiranga", "Diastella divaricata", "Diastella divaricata subsp. montana", "Diastella fraterna", "Filippovia knipovitchi", "Diastella myrtifolia", "Diastella parilis", "Parheminodes hageni", "Parheminodes nilgiriensis", "Leiopython meridionalis", "Cytisus proliferus", "Cytisus pseudoprocumbens", "Cytisus purpureus", "Evarcha armeniaca", "Tetrataenium wallichii", "Muschampia tessellum tessellum", "Lepina aureovillosa", "Apolepis aspera", "Apolepis philippina", "Lepina atra", "Lepina balyi", "Nyctophilopython oenpelliensis", "Lepina pectoralis", "Diastella proteoides", "Diastella thymelaeoides", "Diastella humifusa", "Lerista aericeps", "Heterotrichus balyi", "Heterotrichus hirsutus", "Hyperaxis yaosanica", "Xenodens calminechari", "Burmattus sinicus", "Carrhotus harringtoni", "Evarcha madagascariensis", "Evarcha petrae", "Dilobeia tenuinervis", "Muschampia tessellum cribrelloides", "Muschampia tessellum dilutior", "Salvia phlyctidea", "Muschampia tessellum nigricans", "Muschampia tersa", "Lepina inconspicua", "Muschampia tessellum protheon", "Salvia alatipetiolata", "Valenciolenda fadaforesta", "Ammotrypanella keenani", "Ammotrypanella kersteni", "Genista hirsuta", "Dilobeia thouarsii", "Hyperaxis buonloica", "Boana xerophylla", "Pareas kaduri", "Costatoverruca macropluteum", "Hyperaxis sellata", "Salvia spinosa subsp. maroccana", "Salvia spinosa subsp. spinosa", "Ophiuroconis monolepis", "Ophiuroconis bispinosa", "Hyperaxis nigra", "Ophiuroconis pulverulenta", "Hyperaxis nigrescens", "Hyperaxis dentifemur", "Hyperaxis nigrita", "Hyperaxis harmandi", "Hyperaxis longipilosa", "Hyperaxis sonlanga", "Hyperaxis maculata", "Hyperaxis phanrangi", "Hyperaxis feae", "Hyperaxis pallidipes", "Dichilus gracilis", "Chinattus sinensis", "Chinattus szechwanensis", "Eocanthecona latipes", "Muschampia staudingeri pseudoproteus", "Habrocestum hongkongiense", "Ophelina curli", "Hasarius kweilinensis", "Ophelina ganae", "Ophelina juhazi", "Ampelisca romigi", "Iranattus rectangularis", "Eocanthecona populusi", "Iranattus principalis", "Ecphymaspis idahoensis", "Stelis anolis", "Parathelodus liaokuoensis", "Parathelodus wangi", "Ophelina martinezarbizui", "Ophelina meyerae", "Ophelina nunnallyi", "Virola michelii", "Dendrophylax megarhizus", "Bonnierella californica", "Allographa albotecta", "Phintella coonooriensis", "Hakea actites", "Phintella mussooriensis", "Bathymedon kassites", "Phintella nilgirica", "Ophiogeron edentulus", "Eocanthecona neotibialis", "Eocanthecona tibialis", "Afraflacilla kraussi", "Eocanthecona vollenhoveni", "Myriophyllum quitense", "Genista aristata", "Boana poaju", "Boana curupi", "Boana tepuiana", "Gonatodes superciliaris", "Pristimantis sarisarinama", "Hakea aculeata", "Hyperaxis scutellata", "Hyperaxis albostriata", "Hyperaxis balyi", "Frankenia adpressa", "Mormotomyia hirsuta", "Echinospartum barnadesii", "Echinospartum boissieri", "Echinospartum horridum", "Echinospartum ibericum", "Echinospartum ibericum subsp. algibicum", "Anthyllis hystrix", "Muschampia alta", "Genista sect.", "Eulepethus nanhaiensis", "Mycale citrina", "Mycale carmigropila", "Mycale prognatha", "Allographa altamirensis", "Hyperaxis pallidicornis", "Pachylasma traceyi", "Glypsus luridus", "Genista legionensis", "Genista haensleri", "Muschampia leuzeae", "Mayaca longipes", "Kylicanthe arcuata", "Kylicanthe bueae", "Kylicanthe cornuata", "Kylicanthe liae", "Kylicanthe perezverae", "Kylicanthe quintasii", "Kylicanthe rohrii", "Scutellaria bambusetorum", "Scutellaria bartlettii", "Scutellaria benthamiana", "Scutellaria blepharophylla", "Oligobregma tani", "Scutellaria bolanderi", "Garnotia emodi", "Scutellaria botbaevae", "Oligobregma whaleyi", "Euthyrhynchus floridanus", "Pleurospermum decurrens", "Solidago decurrens", "Scutellaria botschantzevii", "Scutellaria brachyspica", "Liocranoeca vjosensis", "Sudharmia beroni", "Sudharmia pongorum", "Costatoverruca tredecima", "Friarius alluaudi", "Travisia zieglerae", "Genista microphylla", "Sudharmia tridenticula", "Genista osmarensis", "Genista patens", "Glypsus conspicuus", "Mayaca kunthii", "Coxophoxus hidalgo", "Genista polyanthos", "Nemesia elata", "Nemesia fourcadei", "Nemesia glabriuscula", "Nemesia williamsonii", "Longileptoneta buyongsan", "Longileptoneta byeonsanbando", "Longileptoneta jirisan", "Falcileptoneta dolsan", "Falcileptoneta naejangsan", "Eocanthecona concinna", "Eocanthecona furcellata", "Genista carinalis", "Genista micrantha", "Genista cilentina", "Genista cinerascens", "Allium abbasii", "Genista cupanii", "Bruzelia ascua", "Byblis bathyalis", "Byblis tannerensis", "Scutellaria adenostegia", "Scutellaria adenotricha", "Scutellaria adsurgens", "Scutellaria agrestis", "Scutellaria alabamensis", "Scutellaria albituba", "Scutellaria alborosea", "Scutellaria ocellata", "Scutellaria alta", "Scutellaria altaica", "Scutellaria altamaha", "Scutellaria amabilis", "Scutellaria amicorum", "Genista fasselata", "Scutellaria andamanica", "Scutellaria andrachnoides", "Scutellaria androssovii", "Scutellaria angrenica", "Scutellaria anhweiensis", "Scutellaria anitae", "Scutellaria anomala", "Scutellaria antirrhinoides", "Scutellaria arabica", "Scutellaria aramberrana", "Scutellaria arenicola", "Scutellaria arguta", "Scutellaria ariana", "Scutellaria asperiflora", "Scutellaria assamica", "Scutellaria atrocyanea", "Scutellaria attenuifolia", "Scutellaria aurantiaca", "Scutellaria aurata", "Scutellaria aurea", "Mayaca baumii", "Scutellaria axilliflora", "Oligobregma brasierae", "Scutellaria baldshuanica", "Anyphaenoides sialha", "Genista sericea", "Acanthopale aethiogermanica", "Anyphaenoides octodentata", "Anyphaenoides placens", "Glypsus carinulatus", "Nemesia aurantia", "Nemesia suaveolens", "Glypsus abdominalis", "Elaeagnus sarmentosa", "Anyphaenoides sierraensis", "Anyphaenoides katiae", "Anyphaenoides cocos", "Parathelodus xitunensis", "Anyphaenoides brescoviti", "Psarkosteus mediocris", "Anyphaenoides pluridentata", "Anyphaenoides volcan", "Hyperaxis distincta", "Polyommatus dagestanica", "Aliersaurus ronchii", "Coxophoxus coxalis", "Scutellaria bucharica", "Scutellaria bushii", "Scutellaria calcarata", "Scutellaria cardiophylla", "Scutellaria carmenensis", "Scutellaria caryopteroides", "Scutellaria catharinae", "Scutellaria caudifolia", "Scutellaria chaematochlora", "Scutellaria chamaedrifolia", "Scutellaria chekiangensis", "Scutellaria chenopodiifolia", "Scutellaria chevalieri", "Scutellaria chiangii", "Scutellaria chihshuiensis", "Scutellaria chimenensis", "Scutellaria chodshakasiani", "Scutellaria chungtienensis", "Acerentulus bulgaricus", "Scutellaria coccinea", "Scutellaria cochinchinensis", "Scutellaria colpodea", "Euonymus vaganoides", "Scutellaria comosa", "Scutellaria cordifrons", "Scutellaria cristata", "Scutellaria cyanocheila", "Scutellaria cylindriflora", "Scutellaria darvasica", "Polyommatus damone fabiani", "Nemesia fleckii", "Dichaea bryophila", "Nemesia fruticans", "Dichaea buchtienii", "Nemesia karasbergensis", "Dichaea cachacoensis", "Nemesia violiflora", "Nemesia melissifolia", "Nemesia arenifera", "Hyperaxis duvivieri", "Hyperaxis fulvohirsuta", "Hyperaxis variegata", "Mayaca sellowiana", "Anyphaenoides xiboreninho", "Glypsus bouvieri", "Glypsus kuhlgatzi", "Anyphaenoides samiria", "Anyphaenoides coddingtoni", "Faxonius roberti", "Faxonius wagneri", "Anyphaenoides irusa", "Dichaea calyculata", "Nemesia acornis", "Nemesia acuminata", "Nemesia affinis", "Nemesia albiflora", "Nemesia anfracta", "Nemesia anisocarpa", "Nemesia azurea", "Nemesia barbata", "Nemesia bicornis", "Nemesia bodkinii", "Nemesia brevicalcarata", "Nemesia calcarata", "Nemesia cheiranthus", "Nemesia chrysolopha", "Nemesia cynanchifolia", "Nemesia deflexa", "Nemesia zimbabwensis", "Dichaea bonplandiana", "Nemesia diffusa", "Nemesia euryceras", "Ancylometes riparius", "Nemesia petiolina", "Nemesia picta", "Ancylometes terrenus", "Nemesia pinnata", "Nemesia platysepala", "Protacarus crani", "Nemesia psammophila", "Nemesia pubescens", "Nemesia pulchella", "Nemesia rupicola", "Nemesia saccata", "Nemesia silvatica", "Nemesia umbonata", "Nemesia viscosa", "Nemesia caerulea", "Mycale gravelyi", "Mycale orientalis", "Ustyurtia zygophyllivora", "Ustyurtia charynica", "Blighia welwitschii", "Psilocybe hoogshagenii var. convexa", "Nemesia hemiptera", "Nemesia glaucescens", "Nemesia gracilis", "Nemesia grandiflora", "Nemesia hanoverica", "Nemesia ionantha", "Nemesia karroensis", "Nemesia lanceolata", "Nemesia leipoldtii", "Nemesia ligulata", "Nemesia lilacina", "Nemesia linearis", "Palaeotydeus devonicus", "Paraprotacarus hirsti", "Coleus forskohlii", "Glypsus erubescens", "Glypsus fuscispinus", "Anyphaenoides locksae", "Mycale amiri", "Nemesia lucida", "Nemesia macrocarpa", "Bulbophyllum purpureofuscum", "Nemesia macroceras", "Nemesia maxii", "Nemesia micrantha", "Nemesia monomotapensis", "Ancylometes japura", "Nemesia pageae", "Ancylometes jau", "Bulbophyllum repens", "Nemesia pallida", "Ancylometes pantanal", "Nemesia parviflora", "Dichaea cornuta", "Genista versicolor", "Genista versicolor subsp. pumila", "Acanthopale decempedalis", "Hasora caeruleostriata", "Hyperaxis ariyani", "Hyperaxis tanongchiti", "Genista demarcoi", "Genista madoniensis", "Mycale grandoides", "Mycale asigmata", "Mycale sundaminorensis", "Mycale mascarenensis", "Genista longipes", "Scrophularia sulaimanica", "Mycale sibogae", "Mycale sceptroides", "Mycale seychellensis", "Angelosaurus dolani", "Hasora celaenus", "Lupinus ornatus", "Lupinus argenteus var. palmeri", "Carapoia paraguaensis", "Lupinus arizonicus subsp. arizonicus", "Stenosfemuraia parva", "Lupinus leptophyllus", "Mesabolivar pseudoblechroscelis", "Chibchea thunbergae", "Chibchea danilae", "Hasora discolor eira", "Hippomedon tenax", "Hasora discolor splendida", "Hasora discolor mastusia", "Lepidepecreella charno", "Hasora khoda", "Lupinus arboreus var. arboreus", "Mycale fungiaphila", "Mycale monomicrosclera", "Mycale tenuichela", "Mycale tubiporicola", "Mycale tydemani", "Hasora leucospila", "Hasora leucospila leucospila", "Hasora leucospila spila", "Hasora badra", "Hasora badra badra", "Hasora badra lanka", "Acanthopale breviceps", "Hyperaxis dubia", "Hasora borneensis", "Hasora borneensis borneensis", "Hyperaxis foveolata", "Hyperaxis grisea", "Hyperaxis malabarica", "Hasora borneensis luza", "Hyperaxis mandarensis", "Dichaea caquetana", "Hyperaxis penicillata", "Acanthopale confertiflora", "Dichaea chasei", "Dichaea chiquindensis", "Dichaea ciliolata", "Hasora buina", "Hyperaxis quadraticollis", "Dichaea cogniauxiana", "Lahejia schimperi", "Lahejia minuta", "Adocus kokaku", "Lahejia jacobsoni", "Strobilanthes tetrasperma", "Lahejia aenea", "Geodia libera", "Scrophularia iranica", "Scrophularia papyracea", "Geodia littoralis", "Lupinus arcticus subsp. arcticus", "Lupinus arcticus subsp. subalpinus", "Lupinus argenteus subsp. argenteus", "Angelosaurus greeni", "Angelosaurus romeri", "Arisierpeton simplex", "Callibrachion gaudryi", "Eugorgia wilkiei", "Leptogorgia waltonae", "Glypsus nigripes", "Genista spachiana", "Patrera fulvastra", "Patrera rubra", "Patrera auricoma", "Patrera anchicaya", "Patrera barbacoas", "Patrera borjai", "Patrera danielae", "Patrera dimar", "Patrera perafani", "Patrera platnicki", "Patrera quillacinga", "Patrera ramirezi", "Xim trenzado", "Anopsicus ana", "Blancoa piacoa", "Blancoa guacharo", "Hasora chromus bilunata", "Boconita sayona", "Boconita yacambu", "Canaima perlonga", "Hasora chromus inermis", "Canaima loca", "Canaima zerpa", "Canaima avila", "Canaima guaquira", "Canaima guaraque", "Hasora danda", "Hasora discolor", "Hasora discolor discolor", "Harpiniopsis petulans", "Acanthopale humblotii", "Hasora khoda burgeri", "Acanthopale perrieri", "Acanthopale ramiflora", "Hasora khoda coulteri", "Acanthopale macrocarpa", "Hasora khoda dampierensis", "Lupinus arbustus subsp. arbustus", "Acanthopale madagascariensis", "Hasora khoda plexa", "Hasora khoda khoda", "Trachytedania ferrolensis", "Tedania galapagensis", "Myxilla dracula", "Myxilla asymmetrica", "Iophon tubiforme", "Iophon timidum", "Iophon chilense", "Lahejia lefevrei", "Lahejia fulvipes", "Lahejia turkestanica", "Lahejia tibialis", "Chibchea tunebo", "Chibchea aberrans", "Lupinus bicolor subsp. bicolor", "Chibchea araona", "Chibchea uru", "Chibchea silvae", "Chibchea malkini", "Crataegus marshallii", "Chibchea mapuche", "Chibchea picunche", "Lupinus breweri var. breweri", "Chibchea elqui", "Chibchea mateo", "Chibchea abiseo", "Chibchea ika", "Chibchea valle", "Chibchea mayna", "Chibchea merida", "Chibchea salta", "Lupinus burkei", "Lupinus burkei subsp. burkei", "Coryssocnemis tarsocurvipes", "Ruellia malasica", "Lupinus cervinus", "Proteleia sollasi", "Cistanthe grandiflora", "Hasora mixta fenestrata", "Hasora mixta simplicissima", "Conocybe xylophila", "Conocybe tetraspora", "Pogonia subalpina", "Strobilanthes labordei", "Fidia atra", "Kizylkumemys schultzi", "Allaeochelys crassesculpta", "Chrysanthemum foliaceum", "Dischistocalyx grandifolius", "Acanthopsis adamanticola", "Mecolaesthus cachapa", "Patrera bonaldoi", "Patrera boteroi", "Patrera carvalhoi", "Patrera florezi", "Patrera perijaensis", "Patrera quimbaya", "Patrera sampedroi", "Acanthopale laxiflora", "Glypsus sparsus", "Glypsus truculentus", "Patrera yukpa", "Glypsus vigil", "Patrera wiwa", "Patrera sutu", "Patrera chucurui", "Patrera dawkinsi", "Hemallia signitenens", "Scrophularia lucidaifolia", "Acanthopale pubescens", "Scrophularia kollakii", "Acanthopale cuneifolia", "Scrophularia denaensis", "Lupinus albicaulis var. albicaulis", "Litsea taronensis", "Apseudomorpha brasiliensis", "Habenaria marginata", "Melphidippa amorita", "Lupinus concinnus subsp. concinnus", "Mesometopa neglecta", "Tedania battershilli", "Tedania purpurescens", "Tedania spinostylota", "Mesometopa neglecta roya", "Patrera dentata", "Lupinus albifrons var. albifrons", "Patrera dracula", "Patrera kuryi", "Dendrobium forrestii", "Patrera longitibialis", "Hasora chromus", "Hasora chromus chromus", "Patrera armata", "Katissa kurusiki", "Liparis assamica", "Otochilus porrectus", "Katissa puyu", "Katissa tamya", "Katissa yaya", "Katissa guyasamini", "Tedania ecuadoriensis", "Shuyushka wachi", "Shuyushka moscai", "Shuyushka achachay", "Patrera philipi", "Patrera shida", "Patrera witsu", "Patrera hatunkiru", "Patrera suni", "Hasora proxissima siva", "Collybia peladae", "Hasora takwa", "Tedania massa", "Tedania infundibuliformis", "Hasora quadripunctata", "Hasora quadripunctata quadripunctata", "Acanthopsis carduifolia", "Lyrodus mersinensis", "Acanthopsis disperma", "Hasora quadripunctata celebica", "Hasora quadripunctata gnaeus", "Tedania cristagalli", "Tedania turbinata", "Tedania armata", "Tedania corticata", "Tedania laminariae", "Chrysanthemum shimotomaii", "Lupinus excubitus var. excubitus", "Anopsicus bispinosus", "Alectra avensis", "Anopsicus bolivari", "Anopsicus elliotti", "Hasora myra", "Hasora myra myra", "Pareas xuelinensis", "Hasora myra funebris", "Escherichia virus KWBSE43-6", "Klebsiella virus KpS110", "Anopsicus evansi", "Anopsicus exiguus", "Anopsicus gruta", "Klebsiella virus May", "Klebsiella virus Menlow", "Hasora proxissima", "Gladiolus aladagensis", "Mecolaesthus lechosa", "Mecolaesthus arepa", "Mecolaesthus pusillus", "Iophon proximum", "Mecolaesthus alegria", "Spongionella regularis", "Mecolaesthus graphorn", "Callyspongia coppingeri", "Dragmacidon egregium", "Clathria polita", "Hymeniacidon calva", "Callyspongia pergamentacea", "Mycale magellanica", "Xinjiangchelys chowi", "Xinjiangchelys jingyanensis", "Hasora khoda tantra", "Lupinus clarkei", "Didymoplexiella ornata", "Didymoplexiella borneensis", "Didymoplexiella cinnabarina", "Didymoplexiella forcipata", "Didymoplexiella kinabaluensis", "Didymoplexiella siamensis", "Didymoplexiella trichechus", "Pseudozeuxo fischeri", "Hasora lavella", "Digitalis ikarica", "Digitalis lanata subsp. lanata", "Gynochthodes lacunosa", "Coryssocnemis guacharo", "Hasora khoda haslia", "Galapa spiniphila", "Ibotyporanga bariro", "Hasora khoda linda", "Hasora khoda mavis", "Tedania folium", "Hasora khoda minsona", "Passiflora apetala", "Trachytedania spinata", "Siphonochalina fortis", "Tedania tenuicapitata", "Sycettusa pelagica", "Vosmaeropsis sericata", "Leucandra crassior", "Litoporus curimagua", "Litoporus aerius", "Mecolaesthus chicha", "Mecolaesthus parchita", "Mecolaesthus piedras", "Mecolaesthus longipes", "Mecolaesthus bienmesabe", "Mecolaesthus trampa", "Hemitedania anonyma", "Hemitedania ramosa", "Strongylamma wilsoni", "Strongylamma carteri", "Hasora proxissima proxissima", "Strongylamma baki", "Strongylamma nigra", "Strongylamma arenosa", "Trachytedania biraphidora", "Trachytedania microrhaphidophora", "Trachytedania echinata", "Trachytedania patagonica", "Lupinus formosus var. formosus", "Lupinus gracilentus", "Hasora proxissima siamica", "Diglyphosa latifolia", "Lupinus gredensis", "Lupinus versicolor", "Arinosaster patriciae", "Lupinus guadalupensis", "Lupinus guascensis", "Diglyphosa celebica", "Acinetobacter virus Acibel007", "Diglyphosa elmeri", "Anopsicus quietus", "Anopsicus tico", "Acantholimon riyatguelii", "Anopsicus banksi", "Lupinus leucophyllus subsp. leucophyllus", "Sempervivum tunaekimii", "Acanthopsis glabra", "Acanthopsis glandulopalmata", "Acanthopsis glauca", "Acantholimon capitatum", "Acantholimon capitatum subsp. capitatum", "Acantholimon capitatum subsp. sivasicum", "Hypericum malatyanum subsp. nurhakense", "Hypericum malatyanum subsp. malatyanum", "Onobrychis silvanensis", "Tedania commixta", "Tedania murdochi", "Tedania chevreuxi", "Rheum telianum", "Tedania bispinata", "Tedania inermis", "Tedania dirhaphis", "Tedania polytyla", "Tedania brevispiculata", "Carapoia voltavelha", "Tedania coralliophila", "Tedania reticulata", "Tedania maeandrica", "Carapoia macacu", "Tedania flexistrongyla", "Tedania brondstedi", "Carapoia divisa", "Tedania diversirhaphidiophora", "Mecolaesthus guasacaca", "Mecolaesthus yerbatero", "Mecolaesthus fallax", "Mecolaesthus limon", "Lupinus velutinus", "Metagonia latigo", "Metagonia guianesa", "Metagonia guttata", "Lupinus costaricensis", "Modisimus repens", "Lupinus croceus", "Lupinus dalesiae", "Pisaboa fombonai", "Pisaboa lionzae", "Metopa samsiluna", "Pisaboa retracta", "Lupinus densiflorus var. densiflorus", "Priscula bolivari", "Priscula acarite", "Priscula paila", "Stenosfemuraia exigua", "Stenosfemuraia cumbre", "Monoculodes perditus", "Lupinus duranii", "Oediceropsis elsula", "Acanthopsis dispermoides", "Hasora moestissima", "Hasora moestissima moestissima", "Hasora moestissima unica", "Tedania charcoti", "Tedania oxeata", "Tedania phacellina", "Tedania gracilis", "Tedania vanhoeffeni", "Tedania gurjanovae", "Tedania lanceta", "Tedania triraphis", "Tedania mucosa", "Tedania tantula", "Tedania aurantiaca", "Tedania wellsae", "Fidia gracilicornis", "Tedania sarai", "Hasora schoenherr", "Hasora schoenherr schoenherr", "Hasora schoenherr gaspa", "Hasora schoenherr chuza", "Acanthopsis dregeana", "Fidia fulva", "Fidia lewisi", "Fidia kanaraensis", "Fidia indica", "Acanthopsis dregeana subsp. longispina", "Digitalis \u00d7 coutinhoi", "Acanthopsis erosa", "Acantholimon acerosum", "Acantholimon acerosum subsp. brachystachyum", "Anopsicus mitchelli", "Anopsicus troglodyta", "Anopsicus davisi", "Anopsicus zeteki", "Acantholimon davisii", "Anopsicus debora", "Lupinus aridus", "Anopsicus hanakash", "Acantholimon gemicianum", "Anopsicus pulcher", "Lupinus latifolius subsp. latifolius", "Loxosceles tolantongo", "Afrofittonia silvestris", "Ambongia perrieri", "Ancistranthus harpochiloides", "Carapoia abdita", "Tedania ignis", "Carapoia saltinho", "Tedania fibrosa", "Carapoia septentrionalis", "Tedania tepitootehenuaensis", "Tedania strongyla", "Tedania urgorrii", "Tedania pilarriosae", "Tedania strongylostyla", "Tedania brasiliensis", "Carapoia ubatuba", "Tedania baeri", "Tedania bowerbanki", "Carapoia brescoviti", "Carapoia una", "Tedania rhoi", "Tedania sasuensis", "Carapoia crasto", "Tedania songakensis", "Carapoia rheimsae", "Tedania klausi", "Tedania kagalaskai", "Tedania livida", "Tedania fulvum", "Tedania tropicalis", "Blighia unijugata", "Hasora schoenherr cridatta", "Hasora subcaelestis", "Lupinus longifolius", "Lupinus perennis var. perennis", "Metagonia triocular", "Lupinus polyphyllus subsp. polyphyllus", "Leptolobus eburneatus", "Lupinus pusillus var. pusillus", "Stenosfemuraia pilosa", "Stenosfemuraia cuadrata", "Leptolobus insignis", "Mesabolivar spinosus", "Mesabolivar anseriformis", "Leptolobus karschi", "Mesabolivar aurantiacus", "Hasora thridas", "Hasora thridas thridas", "Acanthopsis ludoviciana", "Acanthopsis nitida", "Fidia albida", "Fidia subregularis", "Fidia rufa", "Fidia submaculata", "Fidia impressa", "Fidia bisquamosa", "Heteroscelis bimaculata", "Heteroscelis lepida", "Heteroscelis robusta", "Heteroscelis servillei", "Lupinus somaliensis", "Hoploxys coeruleus", "Lupinus magnificus", "Carapoia fowleri", "Lupinus magnificus var. hesperius", "Carapoia ocaina", "Lupinus meionanthus", "Carapoia genitalis", "Crossopriza nigrescens", "Schisturella cocula", "Protoparmeliopsis degelii", "Hasora vitta", "Hasora vitta vitta", "Hasora vitta manda", "Pseudonesimus zopa", "Crossopriza soudanensis", "Crossopriza maculipes", "Crossopriza semicaudata", "Hasora vitta sula", "Thrombasia tracalero", "Hasora vitta indica", "Litoporus dimona", "Tosilus arroyo", "Lupinus sellulus", "Lupinus sellulus subsp. sellulus", "Augiades crinisus", "Porpax extinctoria", "Porpax braccata", "Aphelochaeta antelonga", "Aphelochaeta aubreyi", "Aphelochaeta bimaculata", "Achyrocalyx decaryi", "Augiades epimethea", "Augiades epimethea epimethea", "Campanula amasia", "Achyrocalyx gossypinus", "Achyrocalyx pungens", "Achyrocalyx vicinus", "Augiades epimethea bicolor", "Tedania placentaeformis", "Carapoia nairae", "Tedania connectens", "Hedysarum nallihanse", "Tedania panis", "Carapoia capixaba", "Tedania rudis", "Carapoia mirim", "Carapoia patafina", "Tedania anhelans", "Carapoia pau", "Carapoia gracilis", "Tedania verrucosa", "Carapoia zumbii", "Tedania suctoria", "Tedania conica", "Carapoia dandarae", "Tedania sansibarensis", "Tedania fragilis", "Hedysarum ketenoglui", "Carapoia marceloi", "Tedania obscurata", "Carapoia viridis", "Tedania toxicalis", "Tedania oligostyla", "Tedania pacifica", "Carapoia jiboia", "Tedania rubicunda", "Carapoia carvalhoi", "Tedania palola", "Tedania levigotylota", "Tedania scotiae", "Tedania stylonychaeta", "Tedania tubulifera", "Carapoia carybei", "Carapoia alagoas", "Litoporus saul", "Tryphosella index", "Litoporus secoya", "Litoporus lopez", "Hasora vitta proximata", "Litoporus uncatus", "Litoporus yucumo", "Litoporus pakitza", "Hasora vitta simillima", "Litoporus manu", "Litoporus iguassuensis", "Jalla subcalcarata", "Litoporus agricola", "Hasora zoma", "Hasora wilcocksi", "Lupinus nanus subsp. nanus", "Oberonia costeriana", "Lupinus nootkatensis var. nootkatensis", "Carapoia levii", "Lupinus gussoneanus", "Carapoia lutea", "Oediceroides morose", "Coryssocnemis aripo", "Acanthopsis scullyi", "Coryssocnemis guatopo", "Coryssocnemis monagas", "Pardaliscoides fictotelson", "Coryssocnemis simla", "Acanthopsis spathularis", "Coryssocnemis faceta", "Protomedeia prudens", "Coryssocnemis clara", "Coryssocnemis iviei", "Coryssocnemis viridescens", "Coryssocnemis occulta", "Coryssocnemis discolor", "Coryssocnemis lepidoptera", "Coryssocnemis callaica", "Hasora thridas chalybeata", "Hasora umbrina", "Crossopriza johncloudsleyi", "Leptopholcus dioscoridis", "Pehrforsskalia conopyga", "Lupinus sericatus", "Lupinus sericeus subsp. sericeus", "Lupinus sparsiflorus subsp. sparsiflorus", "Leptolobus murrayi", "Nihonella chika", "Leptolobus martini", "Leptolobus zanzibaricus", "Lupinus subvexus", "Hepialodes follicula", "Lupinus subvexus var. subvexus", "Paranthrenella cinnamoma", "Paranthrenella mushana", "Drephalys helixus", "Lupinus succulentus var. succulentus", "Anapistula choojaiae", "Crassignatha seeliam", "Crassignatha seedam", "Nesoxenica leprea", "Nesoxenica leprea leprea", "Cladocroce fibrosa", "Cladocroce spathiformis", "Cladocroce osculosa", "Cladocroce gaussiana", "Cladocroce ventilabrum", "Cladocroce spatula", "Cladocroce parenchyma", "Cladocroce aculeata", "Cladocroce tubulosa", "Cladocroce guyanensis", "Cladocroce incurvata", "Cladocroce toxifera", "Cladocroce kiska", "Cladocroce attu", "Cladocroce infundibulum", "Cladocroce burapha", "Cladocroce caelum", "Nesoxenica leprea elia", "Sinopoda xieae", "Heteropoda hupingensis", "Lupinus leptocarpus", "Anemone keiskeana", "Hasora taminatus", "Hasora taminatus taminatus", "Oberonia padangensis", "Hasora taminatus andama", "Speleorodens ruandae", "Hasora taminatus amboinensis", "Hasora taminatus attenuata", "Hasora taminatus bhavara", "Hasora taminatus dipama", "Carapoia munduruku", "Chondrostoma oxyrhynchum", "Carapoia tapajos", "Carapoia tenuis", "Carapoia kaxinawa", "Carapoia rubra", "Carapoia utinga", "Carapoia pulchra", "Carapoia suassunai", "Carapoia exigua", "Carapoia djavani", "Carapoia agilis", "Carapoia maculata", "Carapoia bispina", "Acanthopsis hoffmannseggiana", "Carapoia cambridgei", "Acanthopsis horrida", "Acanthopsis insueta", "Campanula mugeana", "Hasora taminatus milona", "Hasora taminatus malayana", "Campanula demirsoyi", "Hasora taminatus padma", "Hasora taminatus vairacana", "Ferula pisidica", "Halichondria colossea", "Haliclona microtoxa", "Haliclona tenuiderma", "Zariaspes mys", "Lupinus sabinianus", "Lupinus minimus", "Lupinus barkeri", "Acanthopsis tetragona", "Acanthopsis tetragona subsp. pedunculata", "Acanthopsis tuba", "Acanthopsis villosa", "Oberonia ensiformis", "Antipodia chaostola", "Phlogiellus quanyui", "Coussapoa latifolia", "Coussapoa angustifolia", "Sinopoda hongruii", "Sinopoda jiangzhou", "Sinopoda saiyok", "Sinopoda yanjin", "Sinopoda yanzi", "Allotrochosina huangi", "Allotrochosina limu", "Arctosa hainan", "Arctosa tangguoi", "Zoica hainan", "Fidia bicoloripes", "Fidia basalis", "Fidia multidentata", "Campanula leblebicii", "Tecoma cochabambensis", "Campanula baskilensis", "Jalla subdilatata", "Jalloides opulentus", "Jalloides rubricosus", "Mecolaesthus mucuy", "Mecolaesthus azulita", "Mecolaesthus peckorum", "Mecolaesthus tabay", "Mecolaesthus cornutus", "Mecolaesthus yawaperi", "Mecolaesthus putumayo", "Mecolaesthus arima", "Mecolaesthus hoti", "Mecolaesthus taino", "Mecolaesthus cordiformis", "Mecolaesthus discrepantis", "Mecolaesthus grandis", "Mecolaesthus multidenticulatus", "Mecolaesthus puntiagudus", "Lupinus obtusilobus", "Mecolaesthus tuberculosus", "Lupinus oreganus", "Lupinus oreganus var. oreganus", "Mecolaesthus niquitanus", "Lupinus padre-crowleyi", "Macrorhaphis acuta", "Drephalys alcmon", "Astrotischeria papilloma", "Astrotischeria scutifera", "Astrotischeria basilobata", "Paratischeria robinsoni", "Paratischeria tubifex", "Paratischeria belizensis", "Macrorhaphis wollastoni", "Macrorhaphis dallasi", "Macrorhaphis leprosa", "Aphelochaeta brandtae", "Aphelochaeta cincinnata", "Aphelochaeta dearborni", "Aphelochaeta hormosa", "Pogoniopsis nidus-avis", "Lupinus tracyi", "Pogoniopsis schenkii", "Porpax albiflora", "Porpax angustifolia", "Porpax articulata", "Porpax atrorubra", "Porpax bulbophylloides", "Porpax christopheri", "Porpax compacta", "Aphelochaeta longisetosa", "Porpax compacta subsp. compacta", "Porpax compacta subsp. iringana", "Porpax compacta subsp. purpurata", "Porpax conica", "Porpax cupuligera", "Porpax dickasonii", "Porpax elaidium", "Porpax exilis", "Porpax heiligenthalii", "Porpax kalkhof-roseae", "Porpax williamsonii", "Lecanora appalachensis", "Minuartia alpuensis", "Dianthus hamzaoglui", "Polystichum asiae-minoris", "Andrographis affinis", "Lupinus uncialis", "Porpax karikouyensis", "Porpax lacei", "Porpax lasiorhiza", "Porpax leedalii", "Porpax macrantha", "Porpax macrantha subsp. macrantha", "Porpax macrantha subsp. lejolyana", "Porpax microchilos", "Porpax moniliformis", "Porpax muscicola", "Leucettusa tubulosa", "Leucettusa lancifera", "Porpax nana", "Rossella ijimai", "Symplectella rowi", "Oryctomorphus bimaculatus", "Pseudopostega texana", "Pseudopostega curtarama", "Pseudopostega crassifurcata", "Pseudopostega turquinoensis", "Lupinus westianus var. aridorum", "Lupinus holosericeus", "Tischeria caucasica", "Lupinus ehrenbergii", "Lupinus ehrenbergii var. ehrenbergii", "Dishkeya bifurcata", "Lupinus arvensis", "Dishkeya gouaniae", "Dishkeya gothica", "Thapsia villosa var. villosa", "Thapsia villosa var. dissecta", "Dendoricella rhopalum", "Dendoricella obesichela", "Dendoricella flabelliformis", "Dendoricella abyssi", "Mycale thaumatochela", "Thapsia garganica subsp. messanensis", "Thapsia pelagica", "Iophon frigidum", "Forcepia thielei", "Thymelicus acteon orana", "Thymelicus acteon heydeni", "Sohmaea gracillima", "Stauracanthus boivinii", "Porpax nyassana", "Porpax oligantha", "Porpax peperomioides", "Porpax peperomioides subsp. peperomioides", "Porpax peperomioides subsp. thomensis", "Porpax pusilla", "Porpax sikkimensis", "Argyrochosma delicatula", "Argyrochosma lumholtzii", "Argyrochosma peninsularis", "Lupinus malacophyllus", "Copaeodes jean favor", "Pseudopostega beckeri", "Pseudopostega bicornuta", "Pseudopostega suffuscula", "Pseudopostega longifurcata", "Pseudopostega constricta", "Pseudopostega brachybasis", "Copaeodes minima", "Porpax fibuliformis", "Porpax gigantea", "Porpax grandiflora", "Porpax jerdoniana", "Porpax lanii", "Porpax laosensis", "Porpax parishii", "Porpax scaposa", "Porpax seidenfadenii", "Porpax thaithongiae", "Porpax ustulata", "Porpax verrucosa", "Oarisma poweshiek", "Aphelochaeta spectabilis", "Caulleriella antarctica", "Caulleriella ecuadoriana", "Leplaea cedrata", "Caulleriella eltaninae", "Leplaea thompsonii", "Adiantopsis alata", "Ferula anatolica", "Ferula lycia", "Ferula parva", "Ferula drudeana", "Ferula haussknechtii", "Aleuritopteris farinosa", "Dilomilis bissei", "Dilomilis elata", "Dilomilis oligophylla", "Dilomilis scirpoidea", "Thymelicus sylvestris sylvestris", "Thymelicus sylvestris iberica", "Argyrochosma nivea", "Thymelicus sylvestris obscura", "Argyrochosma flava", "Thymelicus sylvestris syriaca", "Argyrochosma tenera", "Fidia perelegans", "Fidia picea", "Fidia sinensis", "Fidia sulcatifrons", "Fidia shirozui", "Fidia brancuccii", "Fidia phoebicola", "Barleria carruthersiana", "Ulex borgiae", "Ulex canescens", "Ulex europaeus subsp. europaeus", "Lupinus montanus subsp. montanus", "Pseudopostega acrodicra", "Pseudopostega caulifurcata", "Lupinus paniculatus var. paniculatus", "Lupinus polycarpus", "Pseudopostega resimafurcata", "Pseudopostega bidorsalis", "Pseudopostega divaricata", "Pseudopostega contigua", "Megophrys baishanzuensis", "Pseudopostega latifurcata", "Pseudopostega latifurcata latifurcata", "Pseudopostega latifurcata apodina", "Pseudopostega latiapicula", "Coboydaia crassipes", "Porpax spirodela", "Porpax summerhayesiana", "Porpax viridis", "Zariaspes mythecus", "Porpax borneensis", "Porpax capuccinorum", "Copaeodes jean", "Pseudopostega ecuadoriana", "Porpax elwesii", "Copaeodes jean jean", "Thymelicus hyrax", "Dimerandra rimbachii", "Thymelicus sylvatica", "Thymelicus sylvatica sylvatica", "Thymelicus sylvatica astigmata", "Dimerandra buenaventurae", "Dimerandra carnosiflora", "Dimerandra elegans", "Fidia vittata", "Caulleriella magnaoculata", "Fidia regalis", "Caulleriella suroestense", "Crepis incana", "Photinus lineella", "Photinus marginella", "Oarisma boeta", "Oarisma edwardsii", "Paches era", "Fidia itoi", "Fidia japonica", "Fidia kiiensis", "Paches loxus", "Liosina paradoxa", "Paches loxus loxus", "Liosina arenosa", "Liosina granularis", "Liosina blastifera", "Kalbreyeriella cabrerae", "Leptosastra constellata", "Paches loxus gloriosus", "Adreus stylifer", "Adreus micraster", "Adreus fascicularis", "Adreus axifer", "Adreus australiensis", "Axos cliftoni", "Axos flabelliformis", "Kalbreyeriella gigas", "Hemiasterella typus", "Hemiasterella affinis", "Hemiasterella intermedia", "Hemiasterella digitata", "Hemiasterella elongata", "Hemiasterella complicata", "Hemiasterella vasiformis", "Hemiasterella callocyathus", "Hemiasterella ajax", "Ferula amanicola", "Ferula halophila", "Thymelicus alaica", "Astrolepis sinuata", "Agrisius nigripunctata", "Polyozosia albescens", "Agrisius orhanti", "Baja brandegeei", "Agrisius leloii", "Thymelicus hamza novissima", "Ulex cantabricus", "Zodarion agricola", "Aspidotis californica", "Caulleriella fimbriata", "Caulleriella fucata", "Acanthoctenus dumicola", "Aspidotis carlotta-halliae", "Caulleriella kacyae", "Acanthoctenus plebejus", "Ulex parviflorus", "Acanthoctenus kollari", "Ulex parviflorus subsp. parviflorus", "Acanthoctenus virginea", "Aspidotis densa", "Acanthoctenus remotus", "Stellitethya incrustans", "Plakortis pulvillus", "Spheciospongia ndabazithe", "Theonella timmi", "Euryspongia coerulea", "Ircinia livida", "Phakellia rubra", "Iotrochota sinki", "Chondropsis isimangaliso", "Callyspongia fadwae", "Clathria multiformis", "Clathria ramsayiensis", "Polyozosia poliophaea", "Thymelicus acteon", "Thymelicus acteon acteon", "Thymelicus acteon christi", "Thymelicus hamza", "Thymelicus hamza hamza", "Acanthoctenus alux", "Acanthoctenus chickeringi", "Acanthoctenus lamarrei", "Aspidotis meifolia", "Acanthoctenus manauara", "Acanthoctenus torotoro", "Acanthoctenus maculatus", "Ferula coskunii", "Acanthoctenus obauratus", "Murexia xenochromus", "Acanthoctenus rubrotaeniatus", "Astrolepis cochisensis subsp. cochisensis", "Ferula mervynii", "Astrolepis cochisensis subsp. arizonica", "Astrolepis cochisensis subsp. chihuahuensis", "Iza nubecula", "Dimerandra emarginata", "Dimerandra stenopetala", "Fidia striata", "Fidia carinata", "Dimerandra tarapotana", "Fidia mausonica", "Fidia irregularis", "Thymelicus sylvatica occidentalis", "Fidia vietnamica", "Thymelicus sylvatica tenebrosa", "Fidia laeta", "Fidia medvedevi", "Thymelicus sylvatica nervulata", "Thymelicus nova", "Thymelicus stigma", "Macrocoma eriophora", "Alhagi maurorum subsp. maurorum", "Cabardites limbata", "Cabardites pica", "Pseudopostega concava", "Pseudopostega brevifurcata", "Pseudopostega brevivalva", "Pseudopostega colognatha", "Pseudopostega obtusa", "Pseudopostega galapagosae", "Rivasgodaya nervosa", "Pseudopostega dorsalis", "Pseudopostega dorsalis dorsalis", "Pseudopostega dorsalis fasciata", "Pseudopostega parakempella", "Pseudopostega longipedicella", "Pseudopostega lobata", "Pseudopostega clavata", "Pseudopostega sublobata", "Pseudopostega duplicata", "Pseudopostega didyma", "Pseudopostega tenuifurcata", "Pseudopostega sectila", "Pseudopostega paraplicatella", "Pseudopostega plicatella", "Pseudopostega breviapicula", "Pseudopostega mignonae", "Pseudopostega subtila", "Pseudopostega acuminata", "Pseudopostega tanygnatha", "Sohmaea diffusa", "Kearfottia japonica", "Cabardites maculata", "Ferula huber-morathii", "Ferula longipedunculata", "Ferula tenuissima", "Acalypha abingdonii", "Tigasis zalates", "Cabardites phifa", "Cabardites auco", "Cabardites guanyin", "Cabardites tiendung", "Cabardites varanagara", "Chaetocirratulus epitocus", "Bistorta tenuicaulis", "Bistorta tenuicaulis var. chionophile", "Bommeria ehrenbergiana", "Tigasis arita", "Bommeria elegans", "Oligosoma kahurangi", "Tigasis serra", "Bommeria hispida", "Bommeria pedata", "Bommeria subpaleacea", "Cacospongia carduelis", "Stelletta dorsigera", "Aaptos aaptos", "Amphoriscus chrysalis", "Penares helleri", "Dictyonella pelligera", "Antho involvens", "Haliclona grossa", "Clathria frondiculata", "Ircinia oros", "Oligosoma hoparatea", "Acalypha acapulcensis", "Mesabolivar amadoi", "Mesabolivar murici", "Cheilanthes micropteris", "Mycale syrinx", "Mycale massa", "Ircinia variabilis", "Ircinia dendroides", "Hymedesmia veneta", "Haliclona aquaeductus", "Haliclona alba", "Haliclona cratera", "Haliclona fibulata", "Amorphinopsis filigrana", "Pione hancocki", "Crambe crambe", "Erylus mamillaris", "Erylus discophorus", "Diplastrella bistellata", "Stelletta boglicii", "Stelletta grubii", "Sarcotragus foetidus", "Sarcotragus spinosulus", "Raspailia viminalis", "Crella rubiginosa", "Chaetocirratulus andersenensis", "Chaetocirratulus abyssalis", "Entheus matho dius", "Cheiloplecton rigidum var. lanceolatum", "Entheus matho latifascius", "Hedysarum angrenicum", "Hedysarum boreale subsp. boreale", "Chaetocirratulus furvus", "Chaetocirratulus neogracilis", "Ebenus zekiyeae", "Haimbachia spartina", "Agama boensis", "Agama mucosoensis", "Eoreuma insuastii", "Entheus lemna", "Platelicrinus campaniensis", "Cheiloplecton rigidum", "Entheus matho aequatorius", "Cheiloplecton rigidum var. rigidum", "Ferula glauca", "Phlogiellus daweiensis", "Phlogiellus raveni", "Mesabolivar acrensis", "Mesabolivar maraba", "Mesabolivar amazonicus", "Mesabolivar jamari", "Mesabolivar tapajos", "Mesabolivar macushi", "Mesabolivar tabatinga", "Mesabolivar baianus", "Mesabolivar similis", "Mesabolivar camacan", "Mesabolivar buraquinho", "Mesabolivar bico", "Mesabolivar mimoso", "Dictyonella obtusa", "Acanthella acuta", "Mesabolivar madalena", "Axinella polypoides", "Cacospongia mollior", "Mesabolivar inmanis", "Caminus vulcani", "Chondrilla nucula", "Clathria compressa", "Mesabolivar claricae", "Ancorina cerebrum", "Fasciospongia cavernosa", "Mesabolivar pallens", "Scalarispongia scalaris", "Mesabolivar kaingang", "Hamigera hamigera", "Mycale tunicata", "Chaetocirratulus pinguis", "Gaga marginata", "Chaetozone australosetosa", "Chaetozone biannulata", "Gaga angustifolia", "Gaga apiacea", "Chaetozone bransfieldensis", "Chaetozone castanea", "Macrocoma bertiae", "Petrosia ficiformis", "Calyx nicaeensis", "Cantellius septimus", "Limonia triocellata", "Mesabolivar serrapelada", "Mesabolivar amanaye", "Mesabolivar guaycolec", "Mesabolivar chapeco", "Mesabolivar yucuma", "Mesabolivar catarinensis", "Mesabolivar bicuspis", "Mesabolivar itajai", "Mesabolivar niteroi", "Mesabolivar saci", "Mesabolivar constrictus", "Mesabolivar sepitus", "Mesabolivar turvo", "Mesabolivar borgesi", "Corethrodendron multijugum", "Bracon eurysulcatus", "Bracon longwangshanensis", "Hyalothyrus infernalis infa", "Hyalothyrus leucomelas", "Chaetozone corona", "Crepis pulmonariifolia", "Crepis leontodontoides", "Crepis pterothecoides", "Chaetozone cristata", "Crepis libanotica", "Crepis libyca", "Crepis lignea", "Crepis lomonosovae", "Crepis lybica", "Chaetozone curvata", "Crepis lyrata", "Crepis marschallii", "Artemisina arcigera", "Notholaena candida var. candida", "Xestospongia muta", "Craniella polyura", "Vulcanella horrida", "Characella connectens", "Plocamione clopetaria", "Petrosia cretacea", "Siphonodictyon densum", "Oceanapia oleracea", "Oceanapia carotta", "Notholaena candida var. copelandii", "Vazella pourtalesii", "Siphonidium ramosum", "Topsentia profunditatis", "Endectyon tenax", "Ptilocaulis aulopora", "Endectyon hamatum", "Oceanapia ascidia", "Haliclona pons", "Haliclona hebes", "Haliclona fortior", "Tetilla sigmophora", "Stelletta individua", "Stelletta fibrosa", "Notholaena trichomanoides", "Halichondria genitrix", "Halichondria solidior", "Siphonodictyon terebrans", "Halichondria turritella", "Acanthella mastophora", "Ceratopsion rugosum", "Callyspongia rubiginosa", "Callyspongia subtilis", "Chondrosia collectrix", "Chalinula finitima", "Haliclona folium", "Amphilectus ovulum", "Clathria rectangulosa", "Micromus tasmaniae", "Asbestopluma gracilior", "Neophrissospongia nolitangere", "Macandrewia clavatella", "Crella papillosa", "Oceanapia peltata", "Halichondria sitiens", "Claviscopulia facunda", "Coelosphaera tunicata", "Mycale diaphana", "Mycale titubans", "Mycale immitis", "Mycale renieroides", "Typhlomys huangshanensis", "Macrocoma dimorpha", "Macrocoma spinipes", "Hedysarum turczaninovii", "Hedysarum vicioides subsp. vicioides", "Hedysarum boveanum subsp. boveanum", "Hedysarum caucasicum", "Hedysarum cretaceum", "Hedysarum grandiflorum subsp. grandiflorum", "Plesiocoelus vanachterbergi", "Hedysarum hedysaroides subsp. hedysaroides", "Pneumagathis erythrogastra", "Hedysarum hedysaroides subsp. boutignyanum", "Therophilus penteadodiasae", "Therophilus bobwhartoni", "Therophilus donaldquickei", "Therophilus gracewoodae", "Therophilus maetoi", "Therophilus montywoodi", "Crepis gossweileri", "Crepis darvazica", "Crepis guioliana", "Zamicrodus josefernandezi", "Crepis aculeata", "Crepis aitchisonii", "Crepis albescens", "Chaetozone gesae", "Crepis papposissima", "Lytoneuron lomariaceum", "Crepis turcomanica", "Crepis turcica", "Crepis novoana", "Crepis noronhaea", "Crepis pantocsekii", "Crepis monrealensis", "Crepis phoenix", "Crepis microtaraxaconoides", "Crepis merxmuelleri", "Crepis monticola", "Sympagella nux", "Crepis napifera", "Suberites heros", "Crepis pleurocarpa", "Suberites distortus", "Crepis porrifolia", "Radiella sol", "Crepis nigrescens", "Phakellia folium", "Pachastrella abyssi", "Hyalothyrus mimicus", "Leiodermatium lynceus", "Lanuginella pupa", "Auletta sycinularia", "Corallistes elegantior", "Corallistes microtuberculatus", "Crepis nigricans", "Corallistes typus", "Desmacella vicina", "Desmacella vagabunda", "Desmacella pumilio", "Desmacella annexa", "Craniella tethyoides", "Craniella lens", "Craniella insidiosa", "Crepis muhlisii", "Malegia letourneuxi", "Malegia striatula", "Malegia obscurella", "Crepis urundica", "Crepis xylorrhiza", "Crepis willemetioides", "Crepis viscidula", "Limonia annulata", "Aerophilus paulmarshi", "Crepis tybakiensis", "Mesocoelus davidsmithi", "Hieracium tatewakii", "Crepis tenerrima", "Neothlipsis bobkulai", "Crepis tingitana", "Crepis triasii", "Crepis quercifolia", "Crepis juvenalis", "Crepis karakuschensis", "Crepis kashmirica", "Crepis khorassanica", "Crepis koelzii", "Crepis kurdica", "Crepis dianthoseris", "Crepis macedonica", "Crepis oporinoides", "Crepis insignis", "Crepis trichocephala", "Crepis trichosticta", "Crepis tungusica", "Crepis gaubae", "Crepis gmelinii", "Crepis ramosissima", "Crepis rigescens", "Crepis dachhigamensis", "Crepis achyrophoroides", "Crepis bakeri", "Zelomorpha sarahmeierottoae", "Crepis alfredii", "Crepis amplexifolia", "Crepis apula", "Crepis arcuata", "Crepis arenaria", "Crepis asadbarensis", "Crepis aspromontana", "Crepis atheniensis", "Crepis athoa", "Crepis atribarba", "Crepis auriculifolia", "Crepis salzmannii", "Crepis schachtii", "Crepis robertioides", "Crepis schultzii", "Crepis baldaccii", "Crepis senecioides", "Hieracium korshinskyi", "Crepis sodiroi", "Crepis sonchifolia", "Crepis sprengelii", "Hieracium crepidispermum", "Crepis straussii", "Crepis subscaposa", "Crepis suffreniana", "Crepis calycina", "Crepis carbonaria", "Crepis caucasica", "Crepis chloroclada", "Crepis chrysantha", "Crepis ciliata", "Crepis claryi", "Crepis gymnopus", "Crepis czerepanovii", "Crepis clausonis", "Crepis connexa", "Crepis coreana", "Crepis crocea", "Crepis cytherea", "Crepis demavendi", "Bracon tihisiaboshartae", "Digonogastra montylloydi", "Digonogastra montywoodi", "Digonogastra motohasegawai", "Digonogastra natwheelwrighti", "Digonogastra nickgrishini", "Adelius adrianguadamuzi", "Crepis bermejana", "Phanus vitreus", "Crepis desertorum", "Crepis newii", "Hyalothyrus neda", "Ormopteris gleichenioides", "Pleroma torquilla", "Leucandra egedii", "Myriopteris marsupianthes", "Hyalothyrus neleus", "Chaetozone homosetosa", "Chaetozone reticulata", "Chaetozone shackletoni", "Hyalothyrus neleus neleus", "Hyalothyrus neleus pemphigargyrea", "Chaetozone spinosa", "Tharyx coloris", "Macrocoma fortidens", "Tharyx moniliformis", "Tharyx tierralobos", "Timea innocens", "Polymastia uberrima", "Tentorium semisuberites", "Tharyx obtusus", "Crepis divaricata", "Crepis elbrusensis", "Crepis balliana", "Crepis bellidifolia", "Hyalothyrus nitocris", "Crepis bertiscea", "Youngia heterophylla", "Crepis bodinieri", "Crepis elongata", "Crepis elymaitica", "Crepis erythia", "Crepis faureliana", "Crepis filiformis", "Crepis heldreichiana", "Crepis heterotricha", "Crepis himalaica", "Crepis hokkaidoensis", "Crepis hookeriana", "Crepis lacera", "Crepis lampsanoides", "Crepis pusilla", "Unkanodes malamjabbensis", "Bracon indistinctus", "Bracon leptotes", "Hemionitis palmata", "Bracon longistriatus", "Bracon megaventris", "Bracon brevicarinatus", "Bracon coarctatus", "Bracon curculiovorus", "Bracon flavitestaceus", "Bracon quadratus", "Hyalothyrus infernalis", "Hyalothyrus infernalis infernalis", "Hemiocnus insolens", "Onobrychis humilis subsp. humilis", "Topsentia lacazei", "Antho morisca", "Dercitus plicatus", "Clathria arcifera", "Phorbas armatus", "Lissodendoryx caduca", "Sarcotragus pipetta", "Crella pulvinar", "Onobrychis crista-galli subsp. crista-galli", "Dercitus exostoticus", "Penares candidatus", "Suberites syringella", "Halichondria brunnea", "Haliclona inflata", "Haliclona informis", "Ocnus rowei", "Tarsoctenus papias", "Sulla coronaria", "Sulla spinosissima", "Anosteira manchuriana", "Anosteira maomingensis", "Onobrychis pyrenaica", "Phanus obscurior prestoni", "Phanus obscurior obscurior", "Onobrychis venosa", "Tarsoctenus praecia", "Indohormius keralaensis", "Phanus ecitonorum", "Phanus confusis", "Crepis meifenggensis", "Crepis semnanensis", "Phanus albiapicalis", "Suberites hystrix", "Suberites spongiosus", "Tetilla euplocamos", "Axinella salicina", "Chalinula renieroides", "Phanus grandis", "Chondrosia plebeja", "Pachastrella monilifera", "Pachychalina rustica", "Spirastrella cunctatrix", "Siphonochalina coriacea", "Hymeniacidon rugosa", "Phanus rilma", "Phorbas mercator", "Sycon quadrangulatum", "Stelletta simplicissima", "Characella tripodaria", "Hemiasterella bouilloni", "Hemiasterella magna", "Hemiasterella strongylophora", "Hemiasterella topsenti", "Hemiasterella aristoteliana", "Merdigera obscura", "Merdigera invisa", "Aphelochaeta magellanica", "Aphelochaeta palmeri", "Anthotethya fromontae", "Laxotethya dampierensis", "Oxytethya mirabilis", "Burtonitethya gemmiformis", "Tethycometes sibogae", "Xenospongia patelliformis", "Nucleotethya bifida", "Columnitis anomala", "Tectitethya keyensis", "Tectitethya macrostella", "Tectitethya raphyroides", "Tectitethya topsenti", "Tectitethya crypta", "Columnitis squamata", "Stellitethya repens", "Stellitethya extensa", "Stellitethya murrayi", "Halicometes stonei", "Halicometes thyris", "Halicometes pediculata", "Halicometes hooperi", "Halicometes stellata", "Halicometes minuta", "Halicometes koreana", "Halicometes elongata", "Stellitethya ingens", "Tethycometes radicosa", "Zebrina detrita", "Ferula divaricata", "Oarisma garita", "Oarisma garita garita", "Ferula caspica", "Ferula szowitziana", "Oarisma garita calega", "Oarisma nanus", "Tarsoctenus praecia praecia", "Tarsoctenus praecia luna", "Tarsoctenus praecia plutia", "Trachasina crucifera", "Tarsoctenus praecia rufibasis", "Siphonochalina asterigena", "Habenaria malintana", "Hymedesmia filans", "Penares euastrum", "Stryphnus mucronatus", "Typhlomys chapensis", "Platelicrinus longispinus", "Typhlomys daloushanensis", "Phanus marshalli", "Onobrychis gracilis subsp. gracilis", "Onobrychis humilis", "Phanus australis", "Phanus obscurior", "Tarsoctenus corytus", "Anosteira mongoliensis", "Tarsoctenus corytus corytus", "Tarsoctenus corytus corba", "Anthemis ekicii", "Tarsoctenus corytus gaudialis", "Rangaeris longicaudata", "Echinocucumis hispida", "Acanthella pulcherrima", "Acanthella tenuispiculata", "Acanthella calyx", "Acanthella aculeata", "Acanthella vulgata", "Acanthella insignis", "Acanthella simplex", "Acanthella cavernosa", "Crepis palaestina subsp. babcockii", "Acanthella multiformis", "Acanthella annulata", "Acanthella costata", "Acanthella megaspicula", "Duvalia caespitosa", "Duvalia caespitosa var. caespitosa", "Duvalia corderoyi", "Duvalia elegans", "Duvalia modesta", "Duvalia parviflora", "Duvalia vestita", "Hedysarum vicioides subsp. japonicum", "Zacremnops brianbrowni", "Bracon alejandromarini", "Bracon alejandromasisi", "Bracon alexamasisae", "Bracon andresmarini", "Bracon andrewwalshi", "Bracon anniapicadoae", "Bracon anniemoriceae", "Bracon barryhammeli", "Bracon bernardoespinozai", "Bracon carlossanabriai", "Bracon chanchini", "Bracon christophervallei", "Bracon erasmocoronadoi", "Bracon eugeniephillipsae", "Bracon federicomatarritai", "Bracon frankjoycei", "Bracon gerardovegai", "Bracon germanvegai", "Bracon isidrochaconi", "Bracon jimlewisi", "Bracon josejaramilloi", "Bracon juanjoseoviedoi", "Bracon juliodiazi", "Bracon luzmariaromeroae", "Bracon manuelzumbadoi", "Bracon marialuisariasae", "Bracon mariamartachavarriae", "Bracon mariorivasi", "Bracon melissaespinozae", "Bracon nelsonzamorai", "Bracon nicklaphami", "Bracon ninamasisae", "Bracon oliverwalshi", "Bracon paulamarinae", "Bracon rafamoralesi", "Bracon robertofernandezi", "Bracon rogerblancoi", "Bracon ronaldzunigai", "Bracon sigifredomarini", "Bracon wilberthbrizuelai", "Crepis arenaria subsp. arenaria", "Stelletta pumex", "Axinella cinnamomea", "Telegonus alardus latia", "Oeosporangium persicum", "Telegonus alector alector", "Telegonus alector hopfferi", "Regasilus aiapaec", "Meleonoma artivalva", "Telegonus anaphus anaphus", "Telegonus alardus", "Telegonus alardus alardus", "Telegonus alardus aquila", "Meleonoma pappillisetosa", "Chondrosia chucalla", "Chondrosia corticata", "Chondrosia debilis", "Chondrosia ramsayi", "Chondrosia reniformis", "Chondrosia rugosa", "Chondrosia reticulata", "Chondrosia tenochca", "Suberites massa", "Oeosporangium \u00d7 tolocense", "Regasilus uscovilca", "Oeosporangium \u00d7 teneriffae", "Oeosporangium \u00d7 marchettianum", "Lamellibrachia donwalshi", "Systeloglossum costaricense", "Oeosporangium \u00d7 prototinaei", "Auxopus madagascariensis", "Gastrodia madagascariensis", "Telegonus chiriquensis", "Acanthella klethra", "Acanthella hispida", "Acanthella minuta", "Acanthella styloida", "Acanthella oviforma", "Acanthella flabellata", "Acanthella erecta", "Acanthella ligulata", "Acanthella gorgonoides", "Acanthella dendyi", "Acanthella cubensis", "Acanthella xutha", "Acanthella ramosa", "Acanthella vaceleti", "Acanthella flagelliformis", "Acanthella branchia", "Acanthella ramus", "Oeosporangium acrosticum", "Oeosporangium coriaceum", "Crassula decidua", "Oeosporangium guanchicum", "Acanthella danerii", "Acanthella stanleei", "Oeosporangium hispanicum", "Duvalia angustiloba", "Dictyonella funicularis", "Dictyonella arenosa", "Dictyonella alonsoi", "Dictyonella foliaformis", "Dictyonella chlorophyllacea", "Dictyonella incisa", "Orientattus hongkong", "Telegonus anaphus anausis", "Savignium crenatum", "Oeosporangium pulchellum", "Oeosporangium tinaei", "Cheilanthes squamosa", "Telegonus anaphus aniza", "Telegonus anaphus anoma", "Telegonus anaphus annetta", "Indigofera adesmiifolia", "Indigofera alternans var. alternans", "Indigofera ammobia", "Chondrilla grandistellata", "Chondrilla australiensis", "Chondrilla sacciformis", "Chondrilla secunda", "Chondrilla jinensis", "Chondrilla acanthastra", "Chondrilla euastra", "Chondrilla montanusa", "Chondrilla pacifica", "Chondrilla kilakaria", "Chondrilla oxyastera", "Chondrilla caribensis", "Chondrilla linnaei", "Maxillaria erikae", "Maxillaria obtusa", "Indigofera ammoxylon", "Dictyonella marsilii", "Dictyonella madeirensis", "Dictyonella hirta", "Dictyonella conglomerata", "Oeosporangium hancockii", "Turnagra tanagra", "Indigofera geminata", "Leptodrepana erasmocoronadoi", "Leptodrepana felipechavarriai", "Solanum retrorsum", "Leptodrepana freddyquesadai", "Leptodrepana gilbertfuentesi", "Leptodrepana manuelriosi", "Telegonus naxos", "Telegonus xagua", "Telegonus xagua xagua", "Telegonus xagua harveyi", "Trevathana niuea", "Telegonus chiriquensis chiriquensis", "Dinklageella liberica", "Telegonus chiriquensis erana", "Telegonus chiriquensis meretrix", "Telegonus chiriquensis oenander", "Crepis palaestina subsp. palaestina", "Stellacrinus hughesae", "Anthemis abrotanifolia f. ligulata", "Oeosporangium delicatulum", "Oeosporangium fragile", "Oeosporangium insigne", "Oeosporangium mairei", "Oeosporangium patulum", "Oeosporangium smithii", "Oeosporangium yunnanense", "Chelonus juanmatai", "Chelonus junkoshimurae", "Chelonus kateperezae", "Chelonus luciariosae", "Chelonus luzmariaromeroae", "Chelonus manuelpereirai", "Chelonus manuelzumbadoi", "Chelonus marianopereirai", "Indigofera colutea var. colutea", "Chelonus pachytellus", "Chelonus mesotellus", "Chelonus minytellus", "Telegonus creteus creteus", "Paragymnopteris marantae", "Telegonus creteus crana", "Telegonus creteus crilla", "Telegonus creteus cyprus", "Paragymnopteris marantae subsp. marantae", "Thermiphione rapanui", "Paroplitis horticola", "Epipogium kentingense", "Telegonus creteus siges", "Epipogium meridianum", "Oeosporangium \u00d7 kochianum", "Oeosporangium \u00d7 kurdicum", "Chelonus jimlewisi", "Chelonus jimmilleri", "Chelonus jimwhitfieldi", "Chelonus johanvalerioi", "Chelonus johnburnsi", "Chelonus johnnoyesi", "Chelonus jorgebaltodanoi", "Chelonus jorgehernandezi", "Chelonus josealfredohernandezi", "Chelonus josefernandeztrianai", "Chelonus josehernandezcortesi", "Chelonus josemanuelperezi", "Chelonus josephinerodriguezae", "Oeosporangium \u00d7 malacitense", "Indigofera australis subsp. australis", "Indigofera basedowii", "Indigofera blaiseae", "Indigofera bracteolata", "Indigofera brevifilamenta", "Indigofera brevifilamenta subsp. brevifilamenta", "Bison bonasus bonasus", "Indigofera campestris", "Chelonus alejandrozaldivari", "Indigofera campestris var. campestris", "Chelonus gustavogutierrezi", "Bison bonasus caucasicus", "Chelonus gustavoinduni", "Chelonus harryramirezi", "Chelonus hartmanguidoi", "Oeosporangium \u00d7 ibericum", "Bison bonasus hungarorum", "Chelonus hazelcambroneroae", "Chelonus iangauldi", "Chelonus isidrochaconi", "Chelonus janecheverriae", "Oeosporangium \u00d7 insulare", "Chelonus jeffmilleri", "Chelonus jennyphillipsae", "Chelonus jeremydewaardi", "Chelonus jessiehillae", "Chelonus jesusugaldei", "Cercicladia australis", "Pellaea calomelanos var. calomelanos", "Pellaea calomelanos var. swynnertonii", "Pellaea glabella subsp. glabella", "Metalimnobia caudifusca", "Indigofera incarnata", "Dinklageella villiersii", "Cheilanthes viridis var. glauca", "Cheilanthes viridis var. viridis", "Clematis clarkeana", "Cheilanthes viridis var. macrophylla", "Phanerotoma menieri", "Palaeocharmon basalis", "Pinus nigra subsp. dalmatica", "Telegonus azul", "Vetosmylus tentus", "Telegonus brevicauda", "Vetosmylus maculosus", "Telegonus catemacoensis", "Koltunicladia flabelliformis", "Telegonus chalco", "Regasilus apu", "Telegonus christyi", "Odontosphaeropyx flavifasciatus", "Diplomeris hirsuta", "Diplomeris josephii", "Dinklageella minor", "Telegonus fulgor", "Dinklageella scandens", "Stellacrinus hughesae cristatus", "Stellacrinus pannosus", "Pellaea ternifolia subsp. ternifolia", "Adenophyllum porophyllum", "Indigofera dosua var. dosua", "Pachyarmatherium tenebris", "Diplomeris pulchella", "Paroplitis kakhetiensis", "Habenaria rariflora", "Telegonus apastus", "Notholaena marantae subsp. subcordata", "Paragymnopteris sargentii", "Ormopteris crenata", "Lycopodina coralseaensis", "Telegonus apastus apastus", "Telegonus apastus pusa", "Lycopodina versatilis", "Lycopodina lycopodium", "Lycopodina robusta", "Lycopodina gracilis", "Lycopodina infundibulum", "Lycopodina cupressiformis", "Lycopodina minuta", "Lycopodina occidentalis", "Lycopodina lebedi", "Lycopodina globularis", "Lycopodina hadalis", "Lycopodina bilamellata", "Lycopodina callithrix", "Lycopodina calyx", "Lycopodina comata", "Lycopodina hydra", "Chelonus stevearonsoni", "Chelonus stevestroudi", "Chelonus sujeevanratnasinghami", "Chelonus sureshnaiki", "Chelonus torbjornekremi", "Chelonus yeimycedenoae", "Chelonus spinigaster", "Paroplitis vietnamensis", "Indigofera dalzelliana", "Chelonus caeruleus", "Chelonus lithocolletiscus", "Indigofera deightonii", "Chelonus minutissimus", "Chelonus missai", "Telegonus cretatus cretatus", "Caminus awashimensis", "Caminus albus", "Caminus sphaeroconia", "Caminus strongyla", "Caminus chinensis", "Caminus jejuensis", "Telegonus cretatus adoba", "Chelonus chailini", "Regasilus supay", "Chelonus maribellealvarezae", "Chelonus markmetzi", "Chelonus markshawi", "Chelonus martajimenezae", "Indigofera conjugata", "Chelonus mayrabonillae", "Chelonus meganmiltonae", "Chelonus melaniamunozae", "Chelonus michaelstroudi", "Indigofera conjugata var. conjugata", "Chelonus michellevanderbankae", "Chelonus mingfangi", "Chelonus minorcarmonai", "Chelonus monikaspringerae", "Chelonus moniquegilbertae", "Chelonus motohasegawai", "Chelonus nataliaivanovae", "Chelonus nelsonzamorai", "Chelonus normwoodleyi", "Chelonus osvaldoespinozai", "Chelonus pamelacastilloae", "Chelonus paulgoldsteini", "Chelonus paulhansoni", "Chelonus paulheberti", "Chelonus petronariosae", "Chelonus ramyamanjunathae", "Chelonus randallgarciai", "Chelonus rebeccakittelae", "Chelonus robertoespinozai", "Chelonus robertofernandezi", "Chelonus rocioecheverriae", "Chelonus rodrigogamezi", "Chelonus ronaldzunigai", "Chelonus rosibelelizondoae", "Chelonus rostermoragai", "Chelonus ruthfrancoae", "Chelonus scottmilleri", "Chelonus scottshawi", "Chelonus sergioriosi", "Chelonus sigifredomarini", "Regasilus inti", "Dendrobium trankimianum", "Phanerotoma almasolisae", "Phanerotoma alvaroherrerai", "Phanerotoma anacordobae", "Phanerotoma anamariamongeae", "Phanerotoma andydeansi", "Phanerotoma angelagonzalezae", "Phanerotoma angelsolisi", "Phanerotoma barryhammeli", "Indigofera hendecaphylla var. hendecaphylla", "Phanerotoma bernardoespinozai", "Phanerotoma calixtomoragai", "Phanerotoma carolinacanoae", "Phanerotoma christerhanssoni", "Phanerotoma christhompsoni", "Phanerotoma davesmithi", "Phanerotoma davidduthiei", "Phanerotoma dirksteinkei", "Phanerotoma donquickei", "Phanerotoma duniagarciae", "Phanerotoma duvalierbricenoi", "Phanerotoma eddysanchezi", "Phanerotoma eldarayae", "Phanerotoma eliethcantillanoae", "Phanerotoma jenopappi", "Phanerotoma carobivora", "Metalimnobia bicolor", "Indigofera jucunda", "Leptochelonus bicolor", "Dentigaster barbarella", "Dentigaster walteri", "Dentigaster tenuiventris", "Indigofera leprieurii", "Indigofera leptocarpa", "Pellaea glabella subsp. missouriensis", "Pseudophanerotoma thapsina", "Indigofera leptoclada", "Pellaea glabella subsp. occidentalis", "Pellaea glabella subsp. simplex", "Adenophyllum porophyllum var. radiatum", "Pellaea ternifolia subsp. arizonica", "Pellaea ternifolia subsp. brandegeei", "Adenophyllum wrightii", "Pellaea angolensis", "Pellaea gastonyi", "Pellaea lyngholmii", "Pellaea myrtillifolia", "Aldama linearis", "Pellaea notabilis", "Abyssocladia annae", "Pellaea oaxacana", "Abyssocladia escheri", "Abyssocladia gliscofila", "Pellaea prolifera", "Pellaea ribae", "Pellaea rufa", "Pellaea schippersii", "Pellaea striata", "Pellaea timorensis", "Pellaea tomentosa", "Pellaea tripinnata", "Pellaea villosa", "Pellaea wrightiana", "Abyssocladia polycephalus", "Asbestopluma caribica", "Pellaea \u00d7 glaciogena", "Pellaea ambigua", "Gonolobus grandiflorus", "Colasposoma langeri", "Colasposoma suturale", "Colasposoma collare", "Pathius daccordii", "Lefevrea fabianae", "Colasposoma crenulatum crenulatum", "Colasposoma crenulatum karibaense", "Macrocoma brunnipes", "Ascogaster abdominalis", "Aguna cirrus", "Aguna claxon", "Aguna clina", "Cultellacrinus gladius", "Lycopodina rhabdostylophora", "Lycopodina pediculifera", "Indigofera monophylla", "Indigofera nigritana", "Cybaeus aspenicolens", "Cybaeus blasbes", "Cybaeus coylei", "Cybaeus fraxineus", "Cybaeus thermydrinos", "Nola senmuzhaensis", "Lycopodina subtilis", "Trachypteris drakeana", "Trachypteris gilliana", "Trachypteris induta", "Lycopodina novangliae", "Lycopodina tendali", "Trachypteris pinnata", "Aguna albistria", "Aguna albistria albistria", "Lycopodina ruijsi", "Aguna albistria leucogramma", "Regasilus chicamac", "Aguna asander asander", "Austroascogaster gloriousensis", "Austroascogaster mellosa", "Cirsium welwitschii", "Austroascogaster nigripropodea", "Austroascogaster varia", "Phanaustrotoma alba", "Phanaustrotoma pallida", "Phanerotoma australiensis", "Phanerotoma leeuwinensis", "Phanerotoma decticauda", "Phanerotoma filicornis", "Phanerotoma tricolorata", "Phanerotoma melanura", "Phanerotoma mellina", "Phanerotoma behriae", "Pentagramma triangularis subsp. triangularis", "Pentagramma triangularis subsp. semipallida", "Pentagramma glanduloviscida", "Pentagramma maxonii", "Pentagramma rebmanii", "Wushenia nana", "Pentagramma viscosa", "Wushenia australiensis", "Marmessulus brasiliensis", "Pseudophanerotoma paranaensis", "Pellaea mucronata subsp. mucronata", "Pellaea mucronata subsp. californica", "Stenoptilia socoromaensis", "Indigofera macrocalyx", "Indigofera marmorata", "Urbanus tucuti", "Urbanus megalurus", "Macaria kruegeri", "Bryostigma apotheciorum", "Lycopodina brochidodroma", "Lycopodina cassida", "Lycopodina helios", "Lycopodina nikitawimandi", "Euchelipluma claudochela", "Asbestopluma maxisigma", "Indigofera paniculata subsp. paniculata", "Thubdora onsemiro", "Arisaema limbatum", "Thubdora elgozmanyi", "Ptilothyris galbiplatella", "Oxyopes fujianicus", "Himatanthus attenuatus", "Oxyopes forcipiformis", "Oxyopes sertatoides", "Chrysso oxycera", "Aguna coeloides", "Aguna latifascia", "Hypoxylon fragiforme", "Aguna latimacula", "Regasilus huiracocha", "Cultellacrinus labyrinthus", "Crepis willdenowii subsp. willdenowii", "Crepis armena subsp. armena", "Crepis armena subsp. longibracteata", "Crepis sancta subsp. obovata", "Lycopodina vaceleti", "Aguna asander haitensis", "Aguna asander jasper", "Octopus aculeatus", "Diuris blakneyae", "Diuris brockmanii", "Diuris leopardina", "Diuris inundata", "Aguna aurunce", "Aguna aurunce aurunce", "Diuris \u00d7 sulfurella", "Aguna aurunce hypozonius", "Smaragdina muehlei", "Eulophia bicallosa", "Aguna megaeles", "Aguna megaeles megaeles", "Aguna megaeles malia", "Adiantum sulphureum", "Indigofera psammophila", "Regasilus illapa", "Aguna metophis", "Aguna penicillata", "Dendrobium comatum", "Aguna spicata", "Indigofera secundiflora var. secundiflora", "Aguna longicauda", "Aguna panama", "Aguna spatulata", "Lycopodina drakensis", "Casea broilii", "Aguna similis", "Aguna mesodentata", "Aguna squamalba", "Aguna parva", "Aguna ganna", "Aguna nicolayi", "Lycopodina microstrongyla", "Meotipa vesiculosa", "Ebrechtella forcipata", "Tmarus longqicus", "Indigofera pedunculata", "Stigmella mentholica", "Stigmella aromatica", "Stigmella odora", "Stigmella tomentosella", "Oxyopes hasta", "Indigofera prieureana", "Entomoscelis adonidis adonidis", "Entomoscelis adonidis caucasica", "Entomoscelis adonidis goliath", "Entomoscelis berytensis", "Entomoscelis cornea", "Indigofera spicata var. spicata", "Indigofera stenosepala", "Oxyopes striagatus", "Oxyopes tenellus", "Oxyopes jianfeng", "Oxyopes foliiformis", "Indigofera tinctoria var. tinctoria", "Asbestopluma bitrichela", "Asbestopluma magnifica", "Asbestopluma delicata", "Chondrocladia schlatteri", "Chondrocladia latrunculioides", "Octopus balboai", "Aguna venezuelae", "Lycopodina hystrix", "Aguna coelus", "Guitarra davidconryi", "Abyssocladia oxyasters", "Nullarbora heptaxia", "Abyssosdiskos pentaeiros", "Aguna glaphyrus", "Hamataliwa labialis", "Indigofera trifoliata subsp. trifoliata", "Hamataliwa aurita", "Hamataliwa cordata", "Hamataliwa sanmenensis", "Marmessulus nigricornis", "Indigofera trita var. trita", "Indigofera stachyodes", "Codatractus aminias", "Indigofera angustifolia var. angustifolia", "Codatractus apulia", "Tragelaphus sylvaticus", "Codatractus carlos", "Lophura erythrophthalma pyronota", "Abyssocladia kanaconi", "Abyssocladia microstrongylata", "Abyssocladia mucronata", "Acmispon dendroideus var. dendroideus", "Lobocla contractus", "Acmispon glaber var. glaber", "Lobocla germanus", "Acmispon decumbens", "Acmispon decumbens var. decumbens", "Cryptogramma brunoniana subsp. brunoniana", "Cryptogramma bithynica", "Roveacrinus spinosus", "Martinina inexpectata", "Martinina prima", "Uloborus krishnae", "Theridion manjithar", "Anthyllis cytisoides subsp. cytisoides", "Anthyllis hermanniae subsp. hermanniae", "Lobocla disparalis", "Indigofera heterotricha subsp. heterotricha", "Domingoa nodosa", "Domingoa \u00d7 susiana", "Lobocla liliana liliana", "Lobocla liliana ignatius", "Anoectochilus brevilabris", "Draconanthes aberrans", "Draconanthes bufonis", "Phylloxylon xiphoclada", "Coniogramme robusta var. robusta", "Coniogramme robusta var. rependula", "Lobocla aborica", "Coniogramme robusta var. splendens", "Rhynchotropis poggei", "Pleuromucrum articulatum", "Coniogramme africana", "Coniogramme bashanensis", "Pleuromucrum gorgonense", "Coniogramme denticulatoserrata", "Picris angustifolia subsp. merxmuelleri", "Centaurea xaveri", "Codatractus rowena", "Codatractus rowena rowena", "Codatractus rowena arguta", "Codatractus cyledis", "Abyssocladia koltuni", "Abyssocladia symmetrica", "Abyssocladia desmophora", "Abyssocladia flagrum", "Oxyopes mirabilis", "Diatrype disciformis", "Oxyopes falcatus", "Codatractus melon", "Hamadruas sikkimensis", "Codatractus yucatanus", "Indigofera hamulosa", "Coniogramme fauriei", "Coniogramme gracilis", "Coniogramme madagascariensis", "Acmispon argophyllus var. argophyllus", "Coniogramme pilosa", "Acmispon argophyllus var. niveus", "Acmispon argophyllus var. argenteus", "Acmispon grandiflorus var. grandiflorus", "Labocla aborica aborica", "Labocla aborica tonka", "Labocla aborica zesta", "Abyssocladia antarctica", "Domingoa haematochila", "Domingoa purpurea", "Codatractus arizonensis", "Bathytentacular moniqueae", "Picris junnanensis", "Codatractus bryaxis", "Nullarbora investigator", "Domingoa gemma", "Axoniderma poritea", "Axoniderma australis", "Tesseropora canariana", "Chondrocladia freycinetensis", "Chondrocladia callistemonex", "Chondrocladia zygainadentonis", "Abyssocladia leverhulmei", "Abyssocladia fryerae", "Abyssocladia kellyae", "Abyssocladia marianensis", "Abyssocladia stegosaurensis", "Abyssocladia villosa", "Chondrocladia coronata", "Asbestopluma rhaphidiophora", "Asbestopluma gemmae", "Entomoscelis deserticola", "Entomoscelis pilula", "Pardosa shyamae", "Mecosoma mensor", "Menonvillea scapigera", "Menonvillea scapigera subsp. longipes", "Menonvillea cuneata", "Dracula felix", "Dracula inaequalis", "Entomoscelis dorsalis bashkiriae", "Entomoscelis dorsalis hammarstroemi", "Anthyllis vulneraria subsp. pulchella", "Lobotractus cyda", "Lobotractus uvydixa", "Dracula janetiae", "Entomoscelis dorsalis iranica", "Dracula mantissa", "Entomoscelis dorsalis turkestana", "Dracula mopsus", "Entomoscelis erythrocnema", "Dracula nycterina", "Entomoscelis rumex", "Entomoscelis melanostoma", "Dracula ophioceps", "Dracula venosa", "Dracula vespertilio", "Entomoscelis pulla", "Entomoscelis nigriventris", "Altica caerulea", "Tripleurospermum fissurale var. radiata", "Tripleurospermum fissurale var. fissurale", "Dorycnopsis abyssinica", "Peucetia viridis", "Hippocrepis balearica", "Peucetia flava", "Peucetia macroglossa", "Asbestopluma jamescooki", "Asbestopluma laminachela", "Asbestopluma pseudoisochela", "Asbestopluma ramuscula", "Asbestopluma unguiferata", "Chondrocladia rogersi", "Caulophacus leonieae", "Euchelipluma pristina", "Euchelipluma arbuscula", "Euchelipluma congeri", "Euchelipluma elongata", "Chondrocladia occulta", "Mycale jasoniae", "Stelodoryx oxeata", "Monanchora laminachela", "Echinoclathria vasa", "Megaciella anisochela", "Roveacrinus solisoccasum", "Cladorhiza scanlonae", "Chondrocladia saffronae", "Asbestopluma keraia", "Asbestopluma sarsensis", "Amphiophiura rowetti", "Asbestopluma belgicae", "Asbestopluma bihamatifera", "Asbestopluma wolffi", "Asbestopluma obae", "Asbestopluma flabellum", "Asbestopluma ramosa", "Asbestopluma furcata", "Asbestopluma biserialis", "Asbestopluma quadriserialis", "Asbestopluma pennatula", "Ophiolebella biscutifera", "Nullarbora segonzaci", "Nullarbora septemdentalis", "Nullarbora microchela", "Nullarbora fristedtii", "Nullarbora grimaldii", "Nullarbora linearis", "Nullarbora rectangularis", "Nullarbora penniformis", "Nullarbora pteron", "Isatis gymnocarpa", "Daldinia eschscholtzii", "Pardosa rhenockensis", "Selenia dissecta", "Oxyopes ratnae", "Oxyopes subhadrae", "Oxyopes sakuntalae", "Oxyopes sunandae", "Oxyopes sitae", "Peucetia latikae", "Ricotia lunaria", "Peucetia akwadaensis", "Lerema ancillaris liris", "Peucetia rubrolineata", "Montrouzierellus borneensis", "Peucetia longipalpis", "Cryptogramma cascadensis", "Argyrodes ambalikae", "Argyrodes gazedes", "Argyrodes gazingensis", "Argyrodes projeles", "Achaearanea budana", "Achaearanea durgae", "Linyphia urbasae", "Linyphia sikkimensis", "Anthyllis lemanniana", "Anthyllis lotoides", "Orsinome vethi", "Lepthyphantes bhudbari", "Cryptogramma fumariifolia", "Lepthyphantes lingsoka", "Lepthyphantes rudrai", "Cryptogramma gorovii", "Mecosoma coquerelii", "Cyrtophora bidenta", "Poltys bhabanii", "Singa chota", "Leucauge pondae", "Thomisus rishus", "Mecosoma florida", "Abyssocladia boletiphora", "Abyssocladia corniculiphora", "Abyssocladia hemiradiata", "Epidius armatus", "Xysticus sikkimus", "Pistius kalimpus", "Agelena barunae", "Hahnia mridulae", "Pisaura gitae", "Hygropoda sikkimus", "Peucetia harishankarensis", "Peucetia gauntleta", "Acrostichum speciosum", "Peucetia cayapa", "Dracula alcithoe", "Dracula gorgona", "Idmon obliquans obliquans", "Idmon obliquans yamanta", "Cladorhiza nicoleae", "Axoniderma hubbsi", "Axoniderma mexicana", "Axoniderma kensmithi", "Dracula polyphemus", "Ophiomastus meridionalis", "Dracula radiosa", "Hippocrepis cyclocarpa", "Dracula robledorum", "Dracula roezlii", "Dracula sergioi", "Dracula severa", "Dracula sibundoyensis", "Dracula tubeana", "Dracula ubangina", "Dracula wallisii", "Dracula woolwardiae", "Lerodea eufala concepcionis", "Roveacrinus falcifer", "Hippocrepis emerus subsp. emerus", "Oxyopes taiwanensis", "Hippocrepis valentina", "Aleiodes achingae", "Aleiodes aciculodeum", "Aleiodes adorabelleae", "Axoniderma similis", "Axoniderma mirabile", "Axoniderma longipinna", "Axoniderma corona", "Lerema accius", "Lerema accius accius", "Altica aenea", "Cytisopsis pseudocytisus", "Lerema accius lochius", "Asbestopluma stylivarians", "Ceratopteris thalictroides subsp. thalictroides", "Lerema ancillaris", "Ceratopteris thalictroides subsp. gaudichaudii", "Lerema ancillaris ancillaris", "Asbestopluma formosa", "Asbestopluma agglutinans", "Ceratopteris cornuta", "Ceratopteris oblongiloba", "Vargasiella colombiana", "Ceratopteris shingii", "Roveacrinus gladius", "Altica birmanensis", "Peucetia ashae", "Peucetia jabalpurensis", "Cladorhiza corallophila", "Acrostichum danaeifolium", "Cladorhiza kenchingtonae", "Peucetia biharensis", "Asbestopluma ruetzleri", "Peucetia rajani", "Peucetia ketani", "Peucetia yogeshi", "Cladorhiza abyssicola", "Cladorhiza iniquidentata", "Cladorhiza tenuisigma", "Peucetia choprai", "Cladorhiza oxeata", "Cladorhiza gelida", "Cladorhiza thomsoni", "Cladorhiza flosabyssi", "Cladorhiza arctica", "Cladorhiza bathycrinoides", "Cladorhiza mani", "Cladorhiza corticocancellata", "Cladorhiza ephyrula", "Cladorhiza schistochela", "Peucetia punjabensis", "Cladorhiza nematophora", "Cladorhiza depressa", "Cladorhiza pentacrinus", "Cladorhiza inversa", "Cladorhiza moruliformis", "Cladorhiza tridentata", "Cladorhiza methanophila", "Peucetia pawani", "Peucetia viveki", "Oxyopes pawani", "Oxyopes ashae", "Oxyopes chittrae", "Oxyopes pandae", "Oxyopes assamensis", "Oxyopes biharensis", "Oxyopes gujaratensis", "Oxyopes bharatae", "Oxyopes sushilae", "Oxyopes rukminiae", "Oxyopes kamalae", "Oxyopes kusumae", "Oxyopes naliniae", "Lerema lineosa", "Lerema lumina", "Dracula lafleurii", "Lerodea eufala", "Lerodea eufala eufala", "Dracula ligiae", "Dracula nosferatu", "Dracula pileus", "Graeconiscus gevi", "Lerodea erythrostictus", "Lerodea gracia", "Chondrocladia tasmaniensis", "Chondrocladia stipitata", "Chondrocladia clavata", "Chondrocladia crinita", "Chondrocladia albatrossi", "Chondrocladia burtoni", "Chondrocladia asigmata", "Chondrocladia dichotoma", "Chondrocladia gracilis", "Chondrocladia multichela", "Chondrocladia scolionema", "Chondrocladia virgata", "Chondrocladia pulvinata", "Chondrocladia yatsui", "Chondrocladia verticillata", "Chondrocladia guiteli", "Sutrea ferruginis", "Sutrea splendida", "Indopadilla redunca", "Indopadilla redynis", "Indopadilla sabivia", "Indopadilla vimedaba", "Lotus corniculatus subsp. corniculatus", "Indopadilla insularis", "Indopadilla kahariana", "Indopadilla nesinor", "Adiantopsis aurea", "Adiantopsis hickeyi", "Adiantopsis scalariformis", "Anthyllis circinnata", "Adiantopsis cheilanthoides", "Epipactis tallosii", "Epipactis tallosii subsp. tallosii", "Adiantopsis chlorophylla", "Parphorus decora", "Epipactis tallosii subsp. zaupolensis", "Adiantopsis crinoidea", "Parphorus storax", "Parphorus storax storax", "Gaga arizonica", "Hemionitis levyi", "Lytoneuron acutilobum", "Aleuritopteris bicolor", "Mildella fallax", "Myriopteris aemula", "Notholaena affinis", "Oeosporangium belangeri", "Ormopteris cymbiformis", "Paragymnopteris bipinnata", "Parphorus storax sorra", "Adiantopsis dactylifera", "Parphorus felta", "Parphorus oca", "Adiantopsis ternata", "Parphorus prosper", "Parphorus granta", "Adiantopsis timida", "Zymaus angustus", "Adiantopsis trifurcata", "Adiantopsis dichotoma", "Callyspongia pedroi", "Callyspongia alcoladoi", "Adiantopsis flexuosa", "Adiantopsis lindigii", "Adiantopsis luetzelburgii", "Dracula \u00d7 anicula", "Adiantopsis monticola", "Lotus glaucus subsp. glaucus", "Adiantopsis senae", "Viridina viridis", "Viridina subviridis", "Drepanocrinus wardorum", "Adiantopsis \u00d7 australopedata", "Viridina viridenex", "Aleuritopteris agetae", "Argyrochosma chilensis", "Aleuritopteris albofusca", "Astrolepis crassifolia", "Zalomes conspicua", "Aleuritopteris albomarginata", "Parphorus pseudecorus", "Peba verames", "Bilobella braunerae", "Adiantopsis occulta", "Adiantopsis orbignyana", "Zymaus binodosus", "Zymaus inconspicuus", "Adiantopsis recurvata", "Adiantopsis tweediana", "Adiantopsis parvisegmenta", "Theodorovia karakuschensis", "Adiantopsis pentagona", "Adiantopsis reesii", "Adiantopsis rupicola", "Adiantopsis vincentii", "Adiantopsis perfasciculata", "Adiantopsis propinqua", "Altica corrusca", "Altica cyanea", "Altica gravida", "Phygasia albicornis", "Aleiodes agagg", "Aleiodes alboluteus", "Aleiodes anguaae", "Aleiodes angulodeum", "Aleiodes antescutum", "Aleiodes apiconigrus", "Aleiodes archicolorus", "Aleiodes areelucki", "Aleiodes ascrobi", "Lerodea arabus", "Aleiodes asperum", "Aleiodes atuin", "Calisto disjunctus disjunctus", "Calisto disjunctus hersheyi", "Lerodea casta", "Ajaraneola pajakwandy", "Nimbarus nimbus", "Lerodea emba", "Indopadilla suhartoi", "Indopadilla sonsorol", "Acmispon dendroideus var. veatchii", "Indopadilla thorelli", "Indopadilla annamita", "Stagetillus irri", "Stagetillus banda", "Stagetillus opaciceps", "Asyneuma ekimianum subsp. beritense", "Padillothorax badut", "Padillothorax mulu", "Padillothorax casteti", "Penicula bryanti", "Tricrista advena", "Tricrista advena advena", "Adiantopsis regularis", "Tricrista advena jon", "Tricrista roppai", "Adiantopsis seemannii", "Tricrista crista", "Tricrista cristina", "Bruna bruna", "Tricrista cristatus", "Aleuritopteris dealbata", "Argyrochosma dealbata", "Aleuritopteris dubia", "Astrolepis deltoidea", "Aleuritopteris duclouxii", "Aleuritopteris duthiei", "Aleuritopteris ebenipes", "Callimormus alsimo", "Callimormus interpunctata", "Cheilanthes angustifrondosa", "Callimormus radiola", "Callimormus radiola radiola", "Pellaea angulosa", "Corpuscularia appressa", "Maripanthus draconis", "Maripanthus jubatus", "Maripanthus reinholdae", "Piranthus api", "Piranthus bakau", "Piranthus kohi", "Piranthus mandai", "Aquilonastra limboonkengi", "Nungia epigynalis", "Acmispon tomentosus", "Acmispon tomentosus var. tomentosus", "Quadrivisio laleyei", "Asyneuma pakistanicum", "Bianor narmadaensis", "Bianor pashanensis", "Campanula rotata", "Campanula microphylloidea", "Campanula trojanensis", "Bianor paulyi", "Callimormus radiola elegans", "Callimormus radiola janna", "Anthocephala berlepschi", "Callimormus radiola pusillus", "Callimormus rivera", "Dracula spectrum", "Aleuritopteris formosana", "Callimormus saturnus", "Callimormus simplicius", "Doryopteris angustata", "Amazops amazops", "Vehilius celeus", "Vehilius celeus celeus", "Gaga chaerophylla", "Hemionitis pinnatifida", "Vehilius celeus vetus", "Lytoneuron bradei", "Vehilius barrosi", "Vehilius celeus ochraceus", "Aleuritopteris gongshanensis", "Aleuritopteris grevilleoides", "Myriopteris alabamensis", "Notholaena aliena", "Oeosporangium chinense", "Ormopteris pinnata", "Paragymnopteris delavayi", "Pellaea boivinii", "Pellaea boivinii var. boivinii", "Anosteira ornata", "Pellaea boivinii var. tripinnata", "Vettius fantasos", "Pellaea cordifolia", "Aleuritopteris rouxii", "Montrouzierellus inermis", "Montrouzierellus laetus", "Lotus sessilifolius var. sessilifolius", "Aleuritopteris rufa", "Lotus tenellus", "Aleuritopteris scioana", "Microbianor deltshevi", "Microbianor madagascarensis", "Aleuritopteris bullosa", "Eupoa hainanensis", "Eupoa maculata", "Eupoa yunnanensis", "Psenuc originalis", "Aleuritopteris chrysophylla", "Jacobaea trapezuntina", "Langerra oculina", "Langerra longicymbia", "Gedea sinensis", "Pancorius hainanensis", "Inglorius mediocris", "Stenaelurillus minutus", "Callimormus juventus", "Rhombophryne ellae", "Lechia squamata", "Tetramicra malpighiarum", "Brookesia nana", "Myriopteris allosuroides", "Sycandra utriculus", "Notholaena aschenborniana", "Oeosporangium chusanum", "Malesherbia campanulata", "Ormopteris riedelii", "Paragymnopteris vestita", "Aleuritopteris grisea", "Aleuritopteris krameri", "Lechia minuta", "Montrouzierellus falleni", "Orcevia eucola", "Orcevia keyserlingi", "Orcevia perakensis", "Orcevia proszynskii", "Gedea tibialis", "Gedea daoxianensis", "Vehilius clavicula", "Gedea fungiformis", "Vehilius gorta", "Gedea okinawaensis", "Gedea typica", "Lytoneuron crenulans", "Aleuritopteris subargentea", "Aleuritopteris subdimorpha", "Erythrolamprus poecilogyrus", "Vettius marcus aurelius", "Episinus variacorneus", "Erythrolamprus melanotus", "Vettius mitsuko", "Montrouzierellus lefebvrei", "Vettius diversa lyrcea", "Vettius diversa maeon", "Gedea unguiformis", "Vehilius inca", "Heliophanus baicalensis", "Philotheca difformis", "Philotheca salsolifolia", "Gedea zabkai", "Aleuritopteris leptolepis", "Vehilius lugubris", "Argyrochosma formosa", "Philotheca myoporoides", "Aleuritopteris mexicana", "Philotheca obovalis", "Philotheca pungens", "Koenigia hedbergii", "Vehilius stictomenes", "Vehilius stictomenes stictomenes", "Vehilius stictomenes illudens", "Vehilius stictomenes madra", "Phoroncidia septemaculeata", "Astrolepis integerrima", "Vehilius vetula", "Aleuritopteris niphobola", "Cocalus lacinia", "Venas evans", "Aleuritopteris papuana", "Aleuritopteris parishii", "Aleuritopteris pentagona", "Cheilanthes arequipensis", "Aleuritopteris pseudoargentea", "Venas caerulans", "Doryopteris apparicioi", "Gaga complanata", "Lotus pedunculatus subsp. pedunculatus", "Dracula gastrophora", "Hemionitis rufa", "Vettius arva", "Dracula hawleyi", "Lytoneuron columbinum", "Vettius crispa", "Vettius drova", "Dracula amaliae", "Vettius onaca", "Vettius diana", "Vettius diana diana", "Dracula aphrodes", "Vettius diana felix", "Aleuritopteris pygmaea", "Dracula bellerophon", "Aleuritopteris rosulata", "Vettius diversa", "Vettius diversa diversa", "Vettius diversa donga", "Vettius diversa drona", "Ornithopus sativus subsp. sativus", "Epidius parvati", "Argyrochosma incana", "Aleuritopteris siamensis", "Epidius coloratus", "Epidius elongatus", "Epidius floreni", "Epidius longimanus", "Epidius mahavira", "Suffasia keralaensis", "Astrolepis laevis", "Aleuritopteris sichouensis", "Aleuritopteris speciosa", "Suffasia ala", "Vettius fuldai", "Eureiandra balfourii", "Suffasia attidiya", "Aleuritopteris \u00d7 godavariensis", "Cheilanthes bergiana", "Aleuritopteris \u00d7 hamiltonii", "Doryopteris collina", "Gaga decomposita", "Hemionitis umbrosa", "Lytoneuron feei", "Aleuritopteris \u00d7 khasiana", "Aleuritopteris \u00d7 nepalensis", "Myriopteris chipinquensis", "Notholaena aureolina", "Suffasia mahasumana", "Vettius jabesa", "Suffasia kanchenjunga", "Suffasia martensi", "Vettius lafrenaye", "Vettius lafrenaye lafrenaye", "Suffasia tumegaster", "Vettius lafrenaye pica", "Aleuritopteris squamosa", "Tedania rappi", "Vettius lucretius", "Aleuritopteris stenochlamys", "Doryopteris campos-portoi", "Vettius marcus", "Vettius marcus marcus", "Gaga cuneata", "Hemionitis tomentosa", "Securigera globosa", "Siccasura transtillata", "Siccasura morettoi", "Siccasura spatulata", "Siccasura numida", "Meriola arcifera", "Morys lyde", "Heterothecium dicrophallum", "Morys yahua", "Erythrolamprus rochai", "Morys subviridis", "Pompographa philosopha", "Argiope chloreides", "Morys subgrisea", "Morys subgrisea subgrisea", "Argiope perforata", "Morys subgrisea prada", "Mucia zygia", "Dracula fuligifera", "Dracula fuliginosa", "Dracula gorgonella", "Mucia gulala", "Dracula hirsuta", "Dracula houtteana", "Vettius monacha", "Vettius phyllus", "Vettius phyllus phyllus", "Vettius phyllus pura", "Alyxia tisserantii", "Vettius phyllus prona", "Vettius phyllus yunga", "Dracula dalstroemii", "Erythrolamprus subocularis", "Myriopteris aurea", "Dracula gigas", "Erythrolamprus oligolepis", "Erythrolamprus viridis", "Erythrolamprus jaegeri", "Vettius richardi", "Dracula lehmanniana", "Erythrolamprus pygmaeus", "Notholaena aurantiaca", "Erythrolamprus mimus", "Dracula levii", "Erythrolamprus juliae", "Dracula orientalis", "Oeosporangium elegans", "Dracula ortiziana", "Dracula pholeodytes", "Aleuritopteris tamburii", "Aleuritopteris tamburii var. tamburii", "Dracula trinympharum", "Mucia scitula", "Montrouzierellus minor", "Montrouzierellus purpurascens", "Montrouzierellus turneri", "Argiope halmaherensis", "Securigera elegans", "Siccasura kongo", "Siccasura sosta", "Siccasura hollandi", "Morys valerius", "Morys valerius valerius", "Morys valerius valda", "Belisana bubeng", "Morys sinta", "Belisana xiaolongha", "Morys compta", "Morys compta compta", "Pompographa concaviella", "Pompographa barathrona", "Morys compta micythus", "Phlyctaenopora bitorquis", "Phlyctaenopora primitiva", "Morys geisa", "Morys geisa geisa", "Phlyctaenopora bocagei", "Phlyctaenopora halichondrioides", "Heterothecium globatum", "Schiedeella crenulata", "Exophiala xenobiotica", "Meriola cetiformis", "Aleuritopteris tamburii var. viridis", "Dracula verticulosa", "Dracula vlad-tepes", "Notholaena borealisinensis", "Vettius tertianus", "Dracula anthracina", "Dracula astuta", "Dracula brangeri", "Dracula carcinopsis", "Vettius triangularis", "Dracula circe", "Dracula citrina", "Dracula dalessandroi", "Dracula decussata", "Dracula diabola", "Vettius umbrata", "Dracula diana", "Molla molla", "Dracula erythrochaete", "Dracula fafnir", "Monca telata", "Monca telata telata", "Erythrolamprus frenatus", "Erythrolamprus macrosomus", "Erythrolamprus vitti", "Erythrolamprus ceii", "Monca telata penda", "Erythrolamprus janaleeae", "Erythrolamprus andinus", "Erythrolamprus ocellatus", "Erythrolamprus sagittifer", "Erythrolamprus taeniogaster", "Erythrolamprus semiaureus", "Erythrolamprus torrenicola", "Erythrolamprus mossoroensis", "Pellaea doniana", "Erythrolamprus dorsocorallinus", "Aleuritopteris veitchii", "Monca telata crispinus", "Monca branca", "Aleuritopteris welwitschii", "Aleuritopteris wollenweberi", "Aleuritopteris yalungensis", "Argyrochosma jonesii", "Aleuritopteris \u00d7 confundans", "Monca jera", "Astrolepis obscura", "Monca ornata", "Aleuritopteris \u00d7 fraser-jenkinsii", "Aleuritopteris \u00d7 gardneri", "Drepanocrinus geinitzi", "Meriola quilicura", "Meriola puyehue", "Meriola teresita", "Meriola rahue", "Meriola mauryi", "Meriola ramirezi", "Meriola goloboffi", "Exophiala salmonis", "Meriola californica", "Onophas columbaria", "Mysoria barcastus", "Onophas columbaria columbaria", "Onophas columbaria distigma", "Onophas columbaria flossites", "Dracula incognita", "Dracula lindstroemii", "Dracula minax", "Dracula morleyi", "Dracula navarroorum", "Dracula octavioi", "Dracula papillosa", "Dracula posadarum", "Dracula presbys", "Dracula psittacina", "Dracula psyche", "Dracula pusilla", "Dracula ripleyana", "Dracula syndactyla", "Dracula velutina", "Dracula venefica", "Dracula vinacea", "Dracula \u00d7 radiosyndactyla", "Mucia immaculatus", "Meriola davidi", "Meriola decepta", "Meriola fasciata", "Meriola foraminosa", "Meriola lineolata", "Meriola longitarsis", "Meriola macrocephala", "Meriola peras", "Meriola setosa", "Meriola virgata", "Onophas chlorocephala", "Bellulia tenebrosa", "Bellulia clara", "Bellulia jiaxuanae", "Bellulia jiayiae", "Meriola avalosi", "Meriola balcarce", "Meriola nague", "Lotus requienii", "Tripodion tetraphyllum subsp. tetraphyllum", "Naevolus orius", "Naevolus orius orius", "Naevolus orius naevus", "Meriola gallina", "Meriola penai", "Meriola tablas", "Meriola manuel", "Pellaea dura", "Pellaea dura var. dura", "Pellaea dura var. holstii", "Pellaea dura var. latipinna", "Pellaea dura var. schweinfurthii", "Aleuritopteris \u00d7 pangteyii", "Aleuritopteris \u00d7 unicolor", "Aleuritopteris \u00d7 vermae", "Aleuritopteris \u00d7 wallichiana", "Dracula erythrocodon", "Dracula berthae", "Argyrochosma limitanea", "Argyrochosma limitanea subsp. limitanea", "Dracula dens-canis", "Argyrochosma limitanea subsp. mexicana", "Dracula rojasii", "Bellulia fuscis", "Onophas watsoni", "Bellulia diannana", "Erythrolamprus poecilogyrus schotti", "Pamba pamba", "Tangguoa laibin", "Tangguoa tongguling", "Rhopalovalva chidorinoki", "Oeosporangium kuhnii", "Exophiala aquamarina", "Doryopteris concolor", "Gaga decurrens", "Hemionitis \u00d7 smithii", "Lytoneuron itatiaiense", "Cheilanthes bolborrhiza", "Cheilanthes bonapartei", "Myriopteris cinnamomea", "Notholaena brachycaulis", "Oeosporangium subvillosum", "Cheilanthes botswanae", "Cheilanthes brownii", "Stapelia hirsuta var. hirsuta", "Dracula gerhardii", "Dracula immunda", "Orbea lutea subsp. lutea", "Dracula kareniae", "Dracula leonum", "Orbea lutea subsp. vaga", "Doryopteris conformis", "Gaga germanotta", "Orbea verrucosa", "Pellaea glauca", "Cheilanthes buchananii", "Cheilanthes buchtienii", "Cheilanthes capensis", "Cheilanthes caudata", "Exophiala cancerae", "Ucides cordatus", "Dichagyris musichuana", "Dichagyris ochrocosta", "Dichagyris antevolans", "Dichagyris triangularis", "Dichagyris triangularis triangularis", "Cheilanthes ceterachoides", "Dracula maduroi", "Dracula marieae", "Cheilanthes contigua", "Dracula marinii", "Cheilanthes contracta", "Papias tristissimus", "Dracula adrianae", "Dracula agnosia", "Dracula antonii", "Dracula barrowii", "Dracula callithrix", "Dracula carlueri", "Lepinia taitensis", "Dracula christineana", "Dichagyris triangularis sinangularis", "Dichagyris lasciva", "Dichagyris lasciva lasciva", "Dichagyris lasciva pamirpsychra", "Temnora fumosa seychellensis", "Tetragnatha maka", "Tetragnatha albida", "Tetragnatha kea", "Pseudocheirus peregrinus peregrinus", "Tactusa motuoensis", "Papias dictys", "Isoglossa dichotoma", "Justicia kuestera", "Papias phaeomelas", "Papias quigua", "Lytoneuron microphyllum", "Dracula saulii", "Stapelia engleriana", "Myriopteris clevelandii", "Apteronotus ellisi", "Stapelia flavopurpurea", "Dracula sijmii", "Notholaena brachypus", "Dracula smaug", "Stapelia gettliffei", "Paracarystus menestries", "Paracarystus menestries menestries", "Dracula villegasii", "Oeosporangium thwaitesii", "Petalomera granulata", "Pleistacantha kannu", "Stapelia hirsuta var. gariepensis", "Stapelia hirsuta var. tsomoensis", "Stapelia kwebensis", "Stapelia olivacea", "Phanes aletes", "Stapelia paniculata subsp. paniculata", "Phanes espa", "Dracula schudelii", "Dracula \u00d7 pinasensis", "Erythrolamprus poecilogyrus poecilogyrus", "Erythrolamprus poecilogyrus caesius", "Erythrolamprus poecilogyrus sublineatus", "Dracula chiroptera", "Papias subcostulata", "Dracula senex-furens", "Jasminum didymum", "Dracula terborchii", "Dracula tobarii", "Dracula trigonopetala", "Argyrochosma microphylla", "Papias cascatona", "Dracula tsubotae", "Astrolepis windhamii", "Dracula veleziana", "Dracula vierlingii", "Argyrochosma pallens", "Argyrochosma palmeri", "Argyrochosma pilifera", "Cheilanthes boivinii", "Dracula deniseana", "Dracula fernandezii", "Dracula inexperata", "Dracula mendozae", "Dracula soennemarkii", "Argyrochosma stuebeliana", "Epigodromia acutidens", "Orbea albocastanea", "Phanes monastica", "Lygromma anops", "Phanes rezia", "Tridentea jucunda", "Epigodromia nodosa", "Stapelia \u00d7 glabriflora", "Pheraeus odilia", "Pheraeus odilia odilia", "Pheraeus odilia epidius", "Eilica marchantaria", "Pellaea intermedia", "Paracarystus menestries koza", "Paracarystus menestries rona", "Boletus aurantioruber", "Hemileccinum subglabripes", "Retiboletus ornatipes", "Boletinus asiaticus", "Harrya chromipes", "Boletinus spectabilis", "Larix decidua var. carpatica", "Larix decidua var. polonica", "Stapelia grandiflora var. grandiflora", "Apteroyinga andrewsi", "Stapelia schinzii", "Phanes abaris", "Spinoctenus ginae", "Stapelia similis", "Masteria angienae", "Lygromma nicolae", "Epigodromia granulata", "Phanes almoda", "Larix decidua var. decidua", "Stapelia hirsuta var. vetula", "Stapelia acuminata", "Cheilanthes deboeri", "Stapelia asterias", "Cheilanthes deltoidea", "Cheilanthes deltoidea subsp. deltoidea", "Cheilanthes deltoidea subsp. silicicola", "Dracula nigritella", "Cheilanthes depauperata", "Cheilanthes dinteri", "Paracarystus hypargyra", "Dracula olmosii", "Stapelia clavicorona", "Citrus \u00d7 insitorum", "Paracarystus evansi", "Dracula pubescens", "Stapelia divaricata", "Holocnemus aurouxi", "Micropholcus tegulifer", "Rhipsalis campos-portoana", "Troglohyphantes roberti", "Troglohyphantes roberti roberti", "Rhipsalis cereoides", "Troglohyphantes roberti dalmatensis", "Cogia hippalus hiska", "Troglohyphantes albopictus", "Cogia hippalus", "Cogia hippalus hippalus", "Macrocoma crassipes", "Macrocoma heydeni", "Macrocoma leprieuri", "Macrocoma carbonaria", "Macrocoma seriesericans", "Rhipsalis pilocarpa", "Cantharidus turneri", "Katreus johnstonii", "Dematioscypha dematiicola", "Hymenoscyphus fraxineus", "Macrocoma indica", "Macrocoma lefevrei", "Pheraeus perpulcher", "Pheraeus rumba", "Pheraeus rumba rumba", "Pheraeus rumba kofan", "Pheraeus unia", "Muscari inundatum", "Drepanocrinus sessilis", "Cheilanthes dolomiticola", "Cheilanthes eckloniana", "Cheilanthes erythraea", "Cheilanthes fractifera", "Cheilanthes fragillima", "Cheilanthes glutinosa", "Cheilanthes hieronymi", "Cheilanthes hastata", "Cheilanthes hirta", "Exophiala equina", "Tricongius beltraoe", "Tricongius ybyguara", "Tricongius ribaslangei", "Chondrocladia arenifera", "Chondrocladia magna", "Chondrocladia antarctica", "Chondrocladia koltuni", "Chondrocladia lampadiglobus", "Stegonotus aplini", "Chondrocladia amphactis", "Chondrocladia concrescens", "Chondrocladia grandis", "Bavia nessagyna", "Indopadilla bamilin", "Indopadilla kodagura", "Lerodea dysaules", "Lerodea similea", "Chondrocladia fatimae", "Chondrocladia nani", "Lerodea williamsi", "Lerodea xenos", "Adiantopsis asplenioides", "Troglohyphantes comottii", "Cogia hippalus hester", "Troglohyphantes caligatus", "Troglohyphantes regalini", "Troglohyphantes cavadinii", "Troglohyphantes sciakyi", "Cogia hippalus peninsularis", "Rhipsalis crispata", "Liocranoeca spasskyi", "Rhipsalis goebeliana", "Cheiracanthium kazachstanicum", "Zelotes pseudogallicus", "Thanatus jaikensis", "Apodrassodes guatemalensis", "Iriartella setigera", "Apodrassodes araucanius", "Apodrassodes mercedes", "Apodrassodes quilpuensis", "Apodrassodes trancas", "Apodrassodes pucon", "Osmoxylon miquelii", "Toxoniella tharaka", "Apodrassodes taim", "Apodrassodes chula", "Toxoniella waruii", "Toxoniella nyeri", "Trilacuna difeng", "Trilacuna wenfeng", "Apodrassodes mono", "Apodrassodes yogeshi", "Haplodrassus aenus", "Plebejus alizadehorum", "Joanna boxi", "Joanna joanna", "Macrocoma cylindrica", "Cogia abdul", "Leucothoe eltoni", "Cogia azila", "Macrocoma setosa", "Cogia calchas", "Macrocoma rubripes", "Haplodrassus alexeevi", "Cogia cerradicola", "Macrocoma chrysites", "Cogia elaites", "Macrocoma aeneonigra", "Justicia diversifolia", "Cogia grandis", "Paepalanthus alsinoides subsp. minimus", "Lygromma gasnieri", "Lygromma taruma", "Pheraeus odilia argus", "Carpiradialis pueblensis", "Carpiradialis tamaulipensis", "Laspionchis boucheti", "Lygromma tuxtla", "Aeranthes caudata", "Lygromma wygodzinskyi", "Pheraeus argynnis", "Stapelia uncinata", "Pheraeus fastus", "Pheraeus honta", "Laspionchis bourkei", "Laspionchis bourkei bourkei", "Laspionchis bourkei lateriensis", "Laspionchis bourkei matangensis", "Hoya australis subsp. sana", "Muscari erzincanicum", "Pheraeus jaruensis", "Pheraeus maria", "Cardamine angulata", "Thanatus saraevi", "Zelotes dagestanus", "Rhipsalis juengeri", "Talanites alexeevi", "Talanites thorelli", "Titanoeca caspia", "Cogia outis", "Cogia punctilia", "Drepanocrinus westphalicus", "Rhipsalis neves-armondii", "Cogia troilus", "Pleurothallis ruscifolia", "Typhedanus mala", "Potamanaxas flavofasciata", "Potamanaxas flavofasciata flavofasciata", "Potamanaxas flavofasciata pantra", "Potamanaxas effusa", "Potamanaxas effusa effusa", "Potamanaxas effusa confusa", "Indochinamon khinpyae", "Potamanaxas hirta", "Potamanaxas hirta hirta", "Potamanaxus hirta paphos", "Potamanaxas laoma", "Potamanaxas laoma laoma", "Drepanocrinus marocensis", "Aulacophora abdominalis", "Godroniopsis quernea", "Cryptocephalus rufipes", "Godroniopsis peckii", "Tympanis saligna", "Tympanis abietina", "Batesiella crinita", "Birupes simoroxigorum", "Acanthoscurria urens", "Pseudoschizopelma macropus", "Lepismium warmingianum", "Tanea hollmanni", "Xerotyphlops socotranus", "Xerotyphlops wilsoni", "Xerotyphlops etheridgei", "Sundatyphlops polygrammicus", "Cyclotyphlops deharvengi", "Charidia lucaria", "Charidia lucaria lucaria", "Charidia lucaria mayo", "Charidia lucaria pilea", "Charidia lucaria pocus", "Annandaliella ernakulamensis", "Annandaliella pectinifera", "Charidia empolaeus", "Anoploscelus celeripes", "Jumellea lignosa", "Potamanaxas thestia", "Potamanaxas thestia thestia", "Potamanaxas thestia cranda", "Jumellea lignosa subsp. lignosa", "Potamanaxas unifasciata", "Sostrata nordica", "Sostrata pusilla", "Sostrata pusilla pusilla", "Sostrata pusilla pulsa", "Oechalia bryani", "Oechalia ferruginea", "Bradybaena linjun", "Sinochloritis lii", "Potamanaxas laoma cosna", "Adenocalymma flavum", "Potamanaxas laoma trex", "Bistriopelma fabianae", "Potamanaxas laoma trigga", "Salangathelphusa peractio", "Potamanaxas laoma fumida", "Potamanaxas laoma violacea", "Tympanis tsugae", "Potamanaxas latrea", "Potamanaxas latrea latrea", "Prymnotomis cecidicola", "Neischnocolus iquitos", "Potamanaxas latrea caliadne", "Potamanaxas latrea tusca", "Potamanaxas latrea tyndarus", "Catumiri parvum", "Abies balsamea var. balsamea", "Ceratogyrus hillyardi", "Oechalia grisea", "Potamanaxas melicertes", "Potamanaxas paralus", "Casea halselli", "Casea nicholsi", "Caseoides sanangelensis", "Potamanaxas thoria", "Oechalia pacifica", "Centaurea pseudoaxillaris", "Dahlstedtia muehlbergiana", "Maladera subrugata", "Maladera fencli", "Maladera opaciventris", "Maladera robustula", "Maladera wipfleri", "Maladera rufopaca", "Maladera fangchengensis", "Maladera hsui", "Maladera eshanensis", "Potamanaxas xantholeuce", "Austrosteenisia blackii", "Behaimia cubensis", "Jumellea lignosa subsp. acutissima", "Jumellea lignosa subsp. latilabia", "Sostrata bifasciata bifasciata", "Mesobaena rhachicephala", "Cephaloascus fragrans", "Aspergillus mandshuricus", "Tympanis acericola", "Oechalia patruelis", "Oechalia acuta", "Craibia zimmermannii", "Dysdera zonsteini", "Cyana fossi", "Mundulea sericea subsp. sericea", "Philenoptera laxiflora", "Platysepalum violaceum", "Pongamia pinnata var. pinnata", "Aulacophora indica", "Aulacophora mbabaram", "Aulacophora relicta", "Aulacophora wallacii", "Aulacophora wilsoni", "Kunstleria keralensis", "Leptoderris hypargyrea", "Antarctotetilla leptoderma", "Cyrtodactylus zhenkangensis", "Aulacophora analis", "Derris brevipes", "Loxiorhiza cervinalis", "Derris canarensis", "Derris elliptica", "Derris heyneana", "Derris oligosperma", "Eugorgia ljubenkovia", "Sostrata bifasciata adamas", "Sostrata bifasciata leucorrhoa", "Drepanocrinus communis", "Cyphura pallidata", "Tympanis magnoliae", "Anastrus neaeris", "Anastrus neaeris neaeris", "Anastrus neaeris narva", "Aulacophora bicolor", "Zeuxine madagascariensis", "Polystachya heckeliana", "Tympanis malicola", "Anastrus peruvianus", "Polystachya aurantiaca", "Oeceoclades quadriloba", "Oeceoclades petiolata", "Cyphura aruensis", "Cyphura swinhoei", "Cyphura numforensis", "Cyphura semiobsoleta", "Cyphura semiobsoleta semiobsoleta", "Camptopleura oaxaca", "Cyphura semiobsoleta reducta", "Cyphura multistrigata", "Camptopleura termon", "Cyphura trifasciata", "Caeruleuptychia francisca", "Muellera campestris", "Maladera chenzhouana", "Maladera shaowuensis", "Maladera seleuciniensis", "Maladera villiersi", "Theagenes aegides", "Abies chensiensis var. chensiensis", "Rallus aequatorialis", "Abies chensiensis var. ernestii", "Abies chensiensis var. salouenensis", "Theagenes albiplaga", "Theagenes dichrous", "Brachypterum robustum", "Timochares trifasciata", "Timochares trifasciata trifasciata", "Timochares trifasciata sanda", "Abies chensiensis var. yulongxueshanensis", "Timochares runia", "Timochares ruptifasciata", "Aulacophora barrogae", "Aulacophora cornuta", "Millettia mossambicensis", "Camptopleura theramenes", "Camptopleura auxo", "Camptopleura impressus", "Myotis nimbaensis", "Balaenoptera ricei", "Naultinus flavirictus", "Cyrtodactylus chungi", "Acanthochaetetes huauclillensis", "Millettia pulchra var. pulchra", "Cyphura costalis", "Cyphura bifasciata", "Cyphura pieridaria", "Camptopleura janthinus", "Cyphura marcoi", "Millettia warneckei var. warneckei", "Cyphura maxima", "Millettia xylocarpa", "Anastrus tolimus", "Oeceoclades perrieri", "Anastrus tolimus tolimus", "Oeceoclades calcarata", "Glyphiulus subbedosae", "Oeceoclades boinensis", "Glyphiulus semicostulifer", "Oeceoclades ambongensis", "Aulacophora frontalis", "Anastrus tolimus robigus", "Aulacophora kotoensis", "Anastrus ulpianus", "Aulacophora lewisii", "Tephrosia villosa subsp. villosa", "Pyrrhopyge amyclas amyclas", "Pyrrhopyge amyclas denticulata", "Leptobrachella bijie", "Leptobrachella purpuraventra", "Leptobrachella chishuiensis", "Leptobrachella suiyangensis", "Collophorina rubra", "Macrocoma henoni", "Tephrosia brachyodon var. brachyodon", "Tephrosia elongata var. elongata", "Tephrosia flammea", "Tephrosia leptoclada", "Dichagyris sichuana", "Tephrosia linearis var. linearis", "Megacraspedus laseni", "Alopias palatasi", "Chiothion asychis", "Chiothion asychis asychis", "Chiothion asychis autander", "Chiothion asychis grenada", "Tephrosia macropoda var. macropoda", "Miconia subhirsuta", "Tephrosia rosea var. rosea", "Cycloglypha polax", "Tephrosia stuartii", "Baskervilla assurgens", "Abyssocladia vaceleti", "Pardosa fletcheri", "Pardosa kupupa", "Daldinia concentrica", "Entomoscelis dorsalis", "Lobocla proximus", "Entomoscelis dorsalis dorsalis", "Anthyllis polycephala", "Anthyllis tejedensis", "Anthyllis vulneraria subsp. vulneraria", "Muellera monilis", "Glyphodes eudoxia", "Aulacophora palliata", "Acutotyphlops infralabialis", "Acutotyphlops subocularis", "Acutotyphlops kunuaensis", "Acutotyphlops solomonis", "Malayotyphlops collaris", "Malayotyphlops ruficaudus", "Malayotyphlops hypogius", "Malayotyphlops castanotus", "Malayotyphlops kraalii", "Malayotyphlops koekkoeki", "Hyalobathra variabilis", "Aulacophora tibialis", "Chrysosplenium album var. totsukawaense", "Acanthochaetetes seunesi", "Acanthochaetetes horiguchi", "Acanthochaetetes japonica", "Chiomara mithrax", "Acanthochaetetes wellsi", "Aulacophora apicipes", "Tephrosia capensis var. capensis", "Tephrosia mysteriosa", "Collophorina germanica", "Collophorina neorubra", "Callipta fausti fausti", "Callipta fausti turcomana", "Callipta fausti badghyza", "Callipta fausti balchana", "Callipta fausti murgabica", "Callipta fausti palvanica", "Collophorina aceris", "Maladera weni", "Maladera hajeki", "Maladera guomenshanensis", "Maladera enigma", "Maladera dahongshanica", "Maladera xingkei", "Cephaloascus albidus", "Maladera shiniushanensis", "Maladera anhuiensis", "Maladera riberai", "Anastrus obscurus", "Anastrus obscurus obscurus", "Lonchocarpus retifer", "Maladera guangdongana", "Maladera juntongi", "Maladera yibini", "Maladera wuliangshanensis", "Lonchocarpus oliganthus", "Maladera businskyorum", "Tympanis amelanchieris", "Cyrtodactylus arunachalensis", "Tympanis diospyri", "Abies hickelii var. macrocarpa", "Tympanis forsythiae", "Echelatus sempiternus simplicior", "Tympanis hansbroughiana", "Abies hickelii var. hickelii", "Anastrus chaqua", "Tympanis hydrangeae", "Anastrus meliboea", "Anastrus meliboea meliboea", "Anastrus meliboea bactra", "Daviesia alata", "Daviesia angulata", "Paroedura rennerae", "Arboricolonus simplex", "Megacraspedus dejectella", "Aulacophora nigripennis", "Aulacophora opacipennis", "Millettia bussei", "Drepanocrinus striatulus", "Aotus gracillima", "Aotus procumbens", "Megacraspedus gredosensis", "Megacraspedus bidentatus", "Megacraspedus fuscus", "Megacraspedus trineae", "Megacraspedus skoui", "Megacraspedus spinophallus", "Megacraspedus occidentellus", "Megacraspedus granadensis", "Megacraspedus heckfordi", "Megacraspedus tenuiuncus", "Pinus brutia var. pendulifolia", "Chorizema rhombeum", "Pinus brutia var. pityusa", "Chorizema genistoides", "Pinus sylvestris var. elicinii", "Pallidophorina paarla", "Mirapecten moluccensis", "Amphisbaena elbakyanae", "Pyrrhopyge aziza araethyrea", "Pyrrhopyge aziza arbor", "Pyrrhopyge aziza lexos", "Pyrrhopyge aziza troja", "Pyrrhopyge aziza attis", "Pyrrhopyge aziza subnubilus", "Helicoprion bessonowi", "Helicoprion davisii", "Helicoprion ergasaminon", "Helicoprion karpinskii", "Helicoprion mexicanus", "Phrynoglossus myanhessei", "Geodia orthomesotriaena", "Megacraspedus albella", "Pyrrhopyge proculus cardus", "Pyrrhopyge proculus cintra", "Pyrrhopyge proculus hyleus", "Pyrrhopyge proculus draudti", "Hymenoscyphus ginkgonis", "Dillwynia acerosa", "Gastrolobium epacridioides", "Parelbella ahira extrema", "Gastrolobium glabratum", "Gastrolobium hookeri", "Helicoprion svalis", "Agassizodus variabilis", "Chorizema nanum", "Plakinastrella nicoleae", "Plakinastrella osculifera", "Plakinastrella pseudolopha", "Plakortis ruetzleri", "Campyloprion annectans", "Campyloprion ivanovi", "Hunanohelicoprion xiandongensis", "Parahelicoprion mariosuarezi", "Daviesia croniniana", "Megacraspedus devorator", "Daviesia divaricata", "Megacraspedus brachypteris", "Megacraspedus barcodiellus", "Megacraspedus sumpichi", "Megacraspedus tabelli", "Megacraspedus gallicus", "Megacraspedus ribbeella", "Megacraspedus libycus", "Daviesia physodes", "Megacraspedus numidellus", "Daviesia triflora", "Daviesia wyattiana", "Arachnopeziza estonica", "Gastrolobium coriaceum", "Gastrolobium formosum", "Gastrolobium involutum", "Gastrolobium minus", "Gastrolobium rigidum", "Chrysosplenium macrostemon var. calicitrapa", "Tephrosia mossiensis", "Chiomara gundlachi", "Megacraspedus bengtssoni", "Megacraspedus monolorellus", "Collophorina africana", "Oechalia similis", "Megacraspedus junnilaineni", "Megacraspedus similellus", "Megacraspedus golestanicus", "Megacraspedus tokari", "Diospyros cayennensis", "Euphorbia paulianii", "Chiothion basigutta", "Chiothion khalili", "Leptobrachella jinshaensis", "Capturomyces funiculosus", "Capturomyces luteus", "Collophorina badensis", "Leptobrachella aspera", "Leptobrachella dorsospina", "Leptobrachella bashaensis", "Cycloglypha thrasibulus", "Cycloglypha thrasibulus thrasibulus", "Cycloglypha thrasibulus flinta", "Coryphantha cornifera", "Ranunculus aydogdui", "Kallistoskypha incarnata", "Benzingia reichenbachiana", "Benzingia thienii", "Spilostethus saxatilis", "Pyrrhopyge thericles fola", "Pyrrhopyge thericles grinda", "Pyrrhopyge thericles ronda", "Pyrrhopyge thericles ponicia", "Creonpyge creon creon", "Oxybelis inkaterra", "Oxybelis koehleri", "Oxybelis rutherfordi", "Benzingia caudata", "Pyrrhopyge telassa croceimargo", "Benzingia cornuta", "Benzingia estradae", "Benzingia hajekii", "Benzingia jarae", "Dillwynia elegans", "Pyrrhopyge telassa phaeax", "Benzingia palorae", "Pyrrhopyge telassa silex", "Gastrolobium spectabile", "Gastrolobium cyanophyllum", "Pinus brutia var. brutia", "Megacraspedus podolicus", "Megacraspedus kazakhstanicus", "Megacraspedus knudlarseni", "Gastrolobium retusum", "Megacraspedus majorella", "Megacraspedus latiuncus", "Megacraspedus tenuignathos", "Megacraspedus glaberipalpus", "Megacraspedus nupponeni", "Creonpyge creon lilliana", "Gastrolobium dilatatum", "Parelbella macleannani", "Bifrenaria calcarata", "Gastrolobium lehmannii", "Bifrenaria charlesworthii", "Gastrolobium reticulatum", "Bifrenaria clavigera", "Parelbella peruana", "Bifrenaria grandis", "Bifrenaria longicornis", "Bifrenaria mellicolor", "Bifrenaria racemosa", "Bifrenaria silvana", "Pinus dalatensis var. dalatensis", "Bifrenaria stefanae", "Cheiraster richardsoni", "Ophiotreta larissae", "Gompholobium ecostatum", "Bifrenaria steyermarkii", "Bifrenaria tetragona", "Gompholobium glabratum", "Gompholobium grandiflorum", "Bifrenaria tyrianthina", "Oxybelis potosiensis", "Bifrenaria venezuelana", "Oxybelis vittatus", "Parelbella polyzona", "Coryphantha elephantidens subsp. bumamma", "Coryphantha clavata", "Coryphantha compacta", "Nagiella tristalis", "Stigmella incaica", "Oxybelis acuminatus", "Bifrenaria verboonenii", "Oxybelis microphthalmus", "Bifrenaria vitellina", "Gastrolobium alternifolium", "Creonpyge creon taylori", "Capobula capensis", "Capobula montana", "Capobula neethlingi", "Capobula ukhahlamba", "Capobula infima", "Parelbella ahira", "Parelbella ahira ahira", "Coryphantha poselgeriana", "Coryphantha potosiana", "Coryphantha pseudoechinus", "Bifrenaria wittigii", "Coryphantha pycnacantha", "Coryphantha recurvata", "Ostrya virginiana subsp. guatemalensis", "Spicauda ambiguus", "Gompholobium cyaninum", "Paraspeleognathopsis exaeta", "Vespina meridiana", "Coryphantha delaetiana", "Vespina sichuana", "Coryphantha delicata", "Coryphantha difficilis", "Coryphantha durangensis", "Coryphantha echinoidea", "Coryphantha erecta", "Zaranga koreana", "Coryphantha pallida", "Orchestina saltitans", "Orchestina auburndalensis", "Proteides mercurius angasi", "Proteides mercurius grenadensis", "Orchestina nahuatl", "Orchestina chaparrita", "Orchestina guatemala", "Sarcoprion edax", "Shaktauites seywi", "Sinohelicoprion changhsingensis", "Coryphantha pallida subsp. calipensis", "Escobaria cubensis", "Triophtydeus hirsutus", "Triophtydeus hanseni", "Triophtydeus mundus", "Triophtydeus ineditus", "Escobaria emskoetteriana", "Bletia amabilis", "Pectinopitys ferruginoides", "Pectinopitys ladei", "Escobaria hesteri", "Falcatifolium taxoides", "Escobaria laredoi", "Bletia antillana", "Escobaria sneedii subsp. orcuttii", "Ferocactus diguetii", "Ferocactus echidne", "Ferocactus fordii", "Orchestina retiro", "Orchestina divisor", "Orchestina juruti", "Escobaria tuberculosa", "Orchestina platnicki", "Coryphantha retusa", "Proteides mercurius jamaicensis", "Proteides mercurius pedro", "Coryphantha salinensis", "Bathylasma chilense", "Bipinnula montana", "Coryphantha sulcata", "Proteides mercurius sanantonio", "Coryphantha tripugionacantha", "Proteides maysi", "Coryphantha vogtherriana", "Podocarpus laetus", "Macrocoma sarvadensis", "Evergestis kopetdagensis", "Rhipsalis russellii", "Rhipsalis sulcata", "Phonotimpus padillai", "Phonotimpus schulzefenai", "Hatiora cylindrica", "Coryphantha georgii", "Frisilia basistricta", "Frisilia motuoensis", "Coryphantha glassii", "Frisilia trisigna", "Coryphantha hintoniorum", "Abrostola wanglangensis", "Coryphantha jalpanensis", "Coryphantha kracikii", "Denisiphantes denisi", "Coryphantha neglecta", "Speleognathus bovis", "Denisiphantes arcuatus", "Coryphantha nickelsiae", "Coryphantha octacantha", "Orchestina iemanja", "Orchestina bonaldoi", "Orchestina rapaz", "Orchestina itapety", "Bletia candida", "Bletia coccinea", "Bletia punctata", "Escobaria missouriensis subsp. asperispina", "Escobaria missouriensis", "Pretydeus ecuadorensis", "Pretydeus reticulatus", "Pretydeus rugosus", "Drepanocrinus communis dubrisiensis", "Ectomis albovenae", "Chrysosplenium pseudopilosum", "Chrysosplenium pseudopilosum var. divaricatistylosum", "Orchestina caxiuana", "Orchestina para", "Orchestina taruma", "Octopus bimaculoides", "Ovealmbornia reginae", "Cumarinia odorata", "Neopronematus rapidus", "Neopronematus neglectus", "Orchestina laselva", "Orchestina griswoldi", "Orchestina chiriqui", "Orchestina labarquei", "Orchestina pan", "Orchestina campana", "Orchestina filandia", "Orchestina zingara", "Orchestina arboleda", "Orchestina cali", "Orchestina venezuela", "Orchestina aragua", "Orchestina bolivar", "Orchestina maracay", "Orchestina ranchogrande", "Orchestina neblina", "Orchestina kairi", "Orchestina galapagos", "Orchestina fernandina", "Orchestina erwini", "Dufourea volkmarwirthii", "Orchestina catarina", "Orchestina leon", "Orchestina saudade", "Orchestina sarava", "Orchestina moyuchi", "Ectomis auginus", "Ectomis bahiana", "Aoria bowringi bowringi", "Miconia xalapensis", "Aoria bowringi larvata", "Megacraspedus neli", "Hyperaxis buonloica buonloica", "Megacraspedus faunierensis", "Hyperaxis buonloica darlaki", "Tephrosia pumila var. pumila", "Zalomes illimanensis", "Zalomes merida", "Aleuritopteris anceps", "Chondrocladia levii", "Zalomes wanda", "Chondrocladia vaceleti", "Chondrocladia nicolae", "Chondrocladia robertballardi", "Aleuritopteris argentea", "Aleuritopteris argentea var. argentea", "Aleuritopteris argentea var. obscura", "Cheilanthes adiantoides", "Aleuritopteris belensis", "Doryopteris adornata", "Ectomis cuminaensis", "Ferocactus gracilis subsp. gatesii", "Confusaforma prima", "Ectomis epicincea", "Cheilanthes hirta var. brevipilosa", "Bulbophyllum melanoglossum", "Lophophora diffusa", "Lophophora fricii", "Ectomis hirtius", "Sinohelicoprion macrodontus", "Edbakerella petua", "Helicampodus qomolangma", "Triophtydeus flatus", "Triophtydeus immanis", "Bipinnula plumosa", "Toxoprion lecontei", "Bipinnula polysyka", "Bipinnula taltalensis", "Triophtydeus celticus", "Bipinnula volkmannii", "Pectinopitys ferruginea", "Triophtydeus fastidius", "Triophtydeus minutus", "Triophtydeus fragarius", "Triophtydeus globiferus", "Triophtydeus robustus", "Orchestina ecuatorensis", "Spicauda cindra", "Orchestina sotoi", "Orchestina magna", "Spicauda tanna", "Orchestina shuar", "Orchestina golem", "Orchestina waorani", "Orchestina tzantza", "Orchestina predator", "Orchestina goblin", "Orchestina yanayacu", "Orchestina otonga", "Orchestina santodomingo", "Orchestina quijos", "Orchestina mayo", "Orchestina cajamarca", "Orchestina atocongo", "Orchestina mancocapac", "Orchestina silvae", "Orchestina madrededios", "Orchestina pakitza", "Orchestina losamigos", "Orchestina cristinae", "Orchestina coari", "Orchestina moura", "Orchestina valquiria", "Orchestina aproeste", "Epithelantha greggii", "Spicauda teleus", "Spicauda zagorus", "Trioceros wolfgangboehmei", "Ectomis perniciosus", "Aspidistra nikolaii", "Andina citrinoides", "Aridoplaca peltata", "Cinnabaria boliviana", "Viola \u00d7 awagatakensis", "Bulbophyllum venulosum", "Ectomis caunus", "Ectomis ceculus", "Ferocactus gracilis subsp. coloratus", "Ectomis eudoxus", "Ferocactus lindsayi", "Ectomis maizae", "Viola volcanica var. volcanica", "Viola volcanica var. chillanensis", "Chaetodon auripes", "Chaetodon unimaculatus", "Viola calcicola", "Orchestina grismadoi", "Orchestina pandeazucar", "Orchestina caleta", "Buccinum macleani", "Orchestina ebriola", "Mammillaria barbata", "Orchestina flagella", "Orchestina hammamali", "Orchestina lahj", "Orchestina mirabilis", "Mammillaria beneckei", "Viola nanlingensis", "Dendrobium trichostomum", "Telemiades vespasius", "Orchestina thoracica", "Orchestina storozhenkoi", "Perigune jordanaria", "Perigune jordanaria jordanaria", "Perigune jordanaria anatolica", "Telemiades penidas", "Aituaria iranica", "Mammillaria densispina", "Mammillaria dioica", "Mammillaria discolor", "Telemiades centrites", "Telemiades centrites centrites", "Telemiades gallius", "Bulbophyllum omerandrum", "Telemiades litanicus", "Viola chamissoniana subsp. tracheliifolia", "Telemiades chrysorrhoea", "Viola chamissoniana subsp. robusta", "Viola chamissoniana subsp. chamissoniana", "Telemiades delalande", "Orchestina furcillata", "Orchestina maureen", "Mammillaria bocensis", "Orchestina nadleri", "Mammillaria boelderliana", "Orchestina sechellorum", "Orchestina sedotmikha", "Mammillaria boolii", "Orchestina sinensis", "Mammillaria brandegeei", "Orchestina topcui", "Mammillaria carnea", "Mammillaria carretii", "Mammillaria schwarzii", "Mammillaria columbiana", "Ectomis minvanes", "Orchestina algerica", "Orchestina setosa", "Orchestina arabica", "Orchestina pilifera", "Orchestina paupercula", "Orchestina cachai", "Orchestina codalmasi", "Ectomis octomaculata", "Orchestina comaina", "Ectomis orpheus", "Ectomis orphne", "Ectomis perna", "Ectomis pervivax", "Hemitaurichthys polylepis", "Platax boersii", "Sebastes thompsoni", "Sargocentron ittodai", "Pterois lunulata", "Polygonus leo pallida", "Mammillaria dixanthocentron", "Suniana lascivia", "Suniana lascivia lascivia", "Mammillaria duoformis", "Ferocactus robustus", "Ferocactus santa-maria", "Ferocactus townsendianus", "Orchestina totoralillo", "Orchestina pizarroi", "Orchestina molles", "Orchestina granizo", "Orchestina quenies", "Orchestina curico", "Orchestina nahuelbuta", "Orchestina jaiba", "Orchestina osorno", "Orchestina ucumar", "Orchestina andianavarroi", "Orchestina luispi", "Orchestina apiculata", "Orchestina bialata", "Orchestina multipunctata", "Eulonchus halli", "Eulonchus marginatus", "Sucova sucova", "Bletia concolor", "Eulonchus sapphirinus", "Eulonchus smaragdinus", "Mammillaria crucigera", "Eulonchus tristis", "Mammillaria decipiens", "Oechalia hirtipes", "Mammillaria eriacantha", "Mammillaria formosa", "Mammillaria formosa subsp. chionocephala", "Mammillaria formosa subsp. microthele", "Ecurobius parthicus", "Mammillaria albicans subsp. fraileana", "Hahnia deiocesi", "Deltshevia taftanensis", "Stemonyphantes verkana", "Euryopis schwendingeri", "Mammillaria gasseriana", "Suniana lascivia lasus", "Mammillaria glassii", "Orchestina truncata", "Orchestina vainuia", "Toxoniella taitensis", "Toxoniella rogoae", "Phyllodactylus galapagensis", "Phyllodactylus maresi", "Phyllodactylus leei", "Phyllodactylus gilberti", "Phyllodactylus darwini", "Phyllodactylus duncanensis", "Phyllodactylus barringtonensis", "Phyllodactylus baurii", "Mammillaria grusonii", "Phyllodactylus andysabini", "Notholaena brevistipes", "Coelosis wayuorum", "Cheilanthes tirajanae", "Melittomma pilzi", "Pellaea leucomelas", "Colaphellus sophiae", "Bletia ensifolia", "Cheilanthes inaequalis", "Cheilanthes incarum", "Cheilanthes incisa", "Cheilanthes induta", "Anisyntoides argenteoornatus", "Cheilanthes involuta", "Cheilanthes involuta var. involuta", "Cheilanthes involuta var. obscura", "Phyllodactylus simpsoni", "Mammillaria guerreronis", "Cortestina thaleri", "Gamasomorpha austera", "Gamasomorpha mornensis", "Suniana lascivia neocles", "Suniana lascivia pola", "Suniana lascivia tenuis", "Suniana subfasciata", "Suniana lascivia larrakia", "Anisynta dominula dominula", "Cheilanthes juergensii", "Cheilanthes kunzei", "Cheilanthes laciniata", "Doryopteris crispatula", "Gaga hintoniorum", "Lytoneuron paradoxum", "Poecilocrinus dispandus", "Myriopteris covillei", "Notholaena bryopoda", "Cheilanthes velutina", "Pellaea longipilosa", "Oechalia suehiroae", "Oechalia swezeyi", "Suniana sunias", "Suniana sunias sunias", "Suniana sunias bella", "Cheilanthes hirta f. laxa", "Cheilanthes hirta f. waterbergensis", "Suniana sunias isabella", "Cheilanthes hirta var. hirta", "Cheilanthes hirta var. hyaloglandulosa", "Cheilanthes hirta var. inferacampestris", "Cheilanthes hirta var. nemorosa", "Cheilanthes hirta var. watermeyeri", "Suniana sunias nihana", "Doryopteris cordifolia", "Gaga harrisii", "Lytoneuron ornithopus", "Myriopteris cooperae", "Hypericum fauriei", "Mammillaria huitzilopochtli", "Hypericum tubulosum", "Antipodia atralba", "Antipodia atralba atralba", "Philodoria keahii", "Philodoria funkae", "Philodoria keaensis", "Philodoria platyphylliella", "Philodoria opuhe", "Micaria cyrnea", "Mammillaria halei", "Mammillaria hernandezii", "Phyllodactylus sommeri", "Phyllodactylus hispaniolae", "Gundelia cilicica", "Gundelia komagenensis", "Gundelia anatolica", "Mammillaria kraehenbuehlii", "Gundelia colemerikensis", "Mammillaria laui", "Pardosa sibiniformis", "Pardosa mordagica", "Alopecosa curtohirta", "Alopecosa hingganica", "Oechalia virescens", "Oechalia sinuata", "Parornix sinensis", "Parornix yuliella", "Parornix incerta", "Anisynta dominula drachmophora", "Anisynta dominula pria", "Gundelia siirtica", "Philodoria napaliensis", "Oechalia kaonohi", "Philodoria lama", "Oechalia virgula", "Philodoria haelaauensis", "Philodoria alakaiensis", "Gundelia asperrima", "Philodoria limahuliensis", "Philodoria knudseniiella", "Philodoria hesperomanniella", "Philodoria obamaorum", "Hypericum walteri", "Mammillaria insularis", "Micaria bosmansi", "Bletia florida", "Bletia gracilis", "Bletia greenmaniana", "Gundelia vitekii", "Bletia greenwoodiana", "Bletia lilacina", "Poecilocrinus dispandus elongatus", "Bletia macristhmochila", "Bletia meridana", "Bletia mixtecana", "Bletia neglecta", "Bletia nelsonii", "Bletia netzeri", "Bletia parkinsonii", "Phyllodactylus wirshingi", "Ozyptila khasi", "Aquisextana irenaei", "Gundelia armeniaca", "Mammillaria magnifica", "Mammillaria johnstonii", "Mammillaria mainiae", "Mitsukurina lineata", "Mitsukurina maslinensis", "Chlamydoselachus brancheri", "Chlamydoselachus fiedleri", "Bletia riparia", "Bletia roezlii", "Antipodia atralba anaces", "Bletia stenophylla", "Mammillaria multihamata", "Bletia tenuifolia", "Mammillaria mathildae", "Favosites abnormis", "Favosites adaverensis", "Favosites afghanicus", "Gundelia microcephala", "Favosites antiquus", "Favosites bowerbanki", "Favosites burkhanensis", "Favosites desolatus", "Favosites exilis", "Favosites fallax", "Favosites favosiformis", "Favosites favosus", "Favosites fusiforme", "Favosites goldfussi", "Favosites gothlandicus", "Favosites hisingeri", "Favosites ingens", "Favosites intricatus", "Favosites issensis", "Favosites jaaniensis", "Gundelia aragatsi", "Favosites kalevi", "Mammillaria mazatlanensis", "Mammillaria melaleuca", "Betta pallida", "Alkanna bracteosa", "Alkanna calliensis", "Alkanna chrysanthiana", "Alkanna frigida", "Alkanna galilaea", "Alkanna graeca", "Alkanna prasinophylla", "Alkanna maleolens", "Alkanna jordanovii", "Alkanna methanaea", "Alkanna leiocarpa", "Alkanna pelia", "Alkanna leptophylla", "Alkanna pindicola", "Alkanna pulmonaria", "Cheiracanthium saraswatii", "Agelena gautami", "Cheilanthes madagascariensis", "Thomisus sikkimensis", "Cheilanthes marlothii", "Mammillaria mercadensis", "Doryopteris cyclophylla", "Massuria sreepanchamii", "Misumena mridulai", "Gaga hirsuta", "Bletia urbana", "Phyllodactylus rutteni", "Phyllodactylus magister", "Phyllodactylus julieni", "Phyllodactylus inaequalis", "Bletia villae", "Phyllodactylus gerrhopygus", "Phyllodactylus tuberculosus", "Bletia warfordiana", "Phyllodactylus microphyllus", "Phyllodactylus muralis", "Phyllodactylus palmeus", "Phyllodactylus bordai", "Phyllodactylus homolepidurus", "Phyllodactylus lanei", "Phyllodactylus dixoni", "Bletia \u00d7 ekmanii", "Bletia \u00d7 similis", "Bletia \u00d7 tamayoana", "Agropyron deweyi", "Antipodia dactyliota", "Zelotes helanshan", "Micaria alxa", "Liopropoma incandescens", "Gnaphosa tumd", "Thanatus wuchuanensis", "Thanatus damingus", "Thanatus dahurianus", "Xysticus minutus", "Synema decoratum", "Tibellus elongatus", "Thanatus dhakuricus", "Thomisus bulani", "Thomisus dhakuriensis", "Thomisus projectus", "Gundelia tehranica", "Ozyptila manii", "Xysticus kamakhyai", "Mammillaria meyranii", "Lytoneuron poseidonii", "Antipodia dactyliota anaces", "Xysticus shillongensis", "Mammillaria microhelia", "Lysiteles brunettii", "Myriopteris cucullans", "Antipodia dactyliota anapus", "Bomis bengalensis", "Mammillaria moelleriana", "Philodromus assamensis", "Philodromus decoratus", "Antipodia dactyliota nila", "Notholaena californica", "Philodromus domesticus", "Notholaena californica subsp. californica", "Philodromus shillongensis", "Notholaena californica subsp. leucophylla", "Cotylorhynchus romeri", "Felicena dirpha", "Felicena dirpha dirpha", "Felicena dirpha albicilla", "Mammillaria pennispinosa", "Mammillaria perbella", "Felicena dirpha nota", "Felicena dora", "Cotylorhynchus bransoni", "Cotylorhynchus hancocki", "Brachionidium parvifolium", "Aulospongus similiaustralis", "Aulospongus mandela", "Aulospongus trirhabdostylus", "Astragalus bahcesarayensis", "Rhabdosciadium hizanense", "Allium gabardaghense", "Allium hoshabicum", "Cirsium semzinanicum", "Cota anatolica", "Iris koyuncui", "Iris zagrica subsp. hakkariensis", "Noccaea aghrica", "Prospero cudidaghense", "Saxifraga hakkariensis", "Mammillaria multidigitata", "Mammillaria napina", "Mammillaria neopalmeri", "Betta nuluhon", "Bungarus persicus", "Mammillaria petrophila", "Cnemaspis rajgadensis", "Pellaea muelleri", "Tibellus chaturshingi", "Tibellus poonaensis", "Tibellus katrajghatus", "Scotophaeus domesticus", "Rhynchocyon chrysopygus chrysopygus", "Rhynchocyon chrysopygus mandelai", "Sitana sushili", "Gundelia aragatsi subsp. steineri", "Gundelia aragatsi subsp. aragatsi", "Sitana fusca", "Gundelia armata", "Sitana sivalensis", "Sitana dharwarensis", "Croitana croites", "Scilla hakkariensis", "Croitana croites croites", "Mammillaria muehlenpfordtii", "Noccaea sempervivum", "Mammillaria phitauiana", "Mammillaria picta", "Mammillaria polyedra", "Mammillaria polythele", "Pardosa aquatilis", "Philodromus petrobius", "Philodromus bicornutus", "Allocosa caboverdensis", "Oxyopes crassus", "Pardosa altitudis", "Pardosa amacuzacensis", "Pardosa pseudolaevitarsis", "Croitana croites pindar", "Poecilocrinus molestus", "Scilla werneri", "Scilla welwitschii", "Scilla voethorum", "Scilla villosa", "Scilla verdickii", "Scilla uyuiensis", "Scilla textilis", "Scilla tayloriana", "Scilla sodalicia", "Scilla simiarum", "Prospero seisumsianum", "Scilla schweinfurthii", "Scilla reuteri", "Scilla pneumonanthe", "Scilla platyphylla", "Scilla petersii", "Scilla paui", "Scilla oubangluensis", "Scilla nivalis", "Scilla morrisii", "Scilla messeniaca", "Scilla mesopotamica", "Scilla merinoi", "Scilla melaina", "Scilla lucis", "Scilla libanotica", "Scilla ledienii", "Scilla kurdistanica", "Scilla katendensis", "Scilla jaegeri", "Scilla ingridiae", "Scilla huanica", "Marinarozelotes huberti", "Marinarozelotes malkini", "Mammillaria nunezii", "Marinarozelotes stubbsi", "Mammillaria orcuttii", "Marinarozelotes adriaticus", "Marinarozelotes baiyuensis", "Marinarozelotes ansimensis", "Bungarus suzhenae", "Pardosa atronigra", "Pardosa haupti", "Pardosa hohxilensis", "Poecilocrinus signatus", "Pardosa luctinosa", "Pantelodes satellitia", "Pardosa azerifalcata", "Ophiopogon corifolius", "Ophiopogon marmoratus", "Caseopsis agilis", "Mammillaria rekoi subsp. leptacantha", "Alkanna sandwithii", "Alkanna sartoriana", "Alkanna scardica", "Antipodia dactyliota dactyliota", "Alkanna shattuckia", "Alkanna stojanovii", "Alkanna stribrnyi", "Alkanna strigosa", "Alkanna \u00d7 intercedens", "Poecilocrinus dispandus explicatus", "Cheilanthes lasiophylla", "Cheilanthes leachii", "Cheilanthes leonardii", "Amblyrhynchus cristatus venustissimus", "Cheilanthes leucopoda", "Amblyrhynchus cristatus cristatus", "Cheilanthes lonchophylla", "Cheilanthes lozanoi", "Amblyrhynchus cristatus nanus", "Cheilanthes lozanoi var. lozanoi", "Cheilanthes lozanoi var. seemannii", "Amblyrhynchus cristatus hassi", "Amblyrhynchus cristatus mertensi", "Amblyrhynchus cristatus sielmanni", "Amblyrhynchus cristatus hayampi", "Amblyrhynchus cristatus jeffreysi", "Amblyrhynchus cristatus godzilla", "Amblyrhynchus cristatus trillmichi", "Amblyrhynchus cristatus wikelskii", "Macrocoma delagrangei", "Macrocoma millingeni", "Pardosa baxianensis", "Pardosa subanchoroides", "Pardosa baraan", "Mammillaria pottsii", "Mammillaria rekoi", "Scilla hildebrandtii", "Scilla gracillima", "Scilla gabunensis", "Scilla flaccidula", "Scilla engleri", "Scilla dualaensis", "Scilla dimartinoi", "Scilla cydonia", "Scilla congesta", "Scilla ciliata", "Scilla chlorantha", "Scilla bussei", "Scilla buekkensis", "Scilla berthelotii", "Scilla benguellensis", "Scilla begoniifolia", "Scilla arenaria", "Scilla antunesii", "Scilla andria", "Scilla albanica", "Scilla africana", "Scilla achtenii", "Aulospongus cerebella", "Aulospongus gardineri", "Aulospongus involutus", "Aulospongus spinosus", "Aulospongus tubulatus", "Aulospongus villosus", "Aulospongus monticularis", "Aulospongus flabellum", "Neolepas marisindica", "Scilla albinerve", "Scilla arsusiana", "Aulospongus aurantiacus", "Aulospongus californianus", "Dispar compacta", "Aulospongus phakelloides", "Aulospongus novaecaledoniensis", "Aulospongus samariensis", "Polyipnus aquavitus", "Geodia composita", "Euproctis fulvatus", "Mammillaria pondii", "Mammillaria pondii subsp. maritima", "Pardosa alii", "Mammillaria pondii subsp. setispina", "Pardosa algoides", "Pardosa aquila", "Pardosa ibex", "Pardosa dagestana", "Bungarus wanghaotingi", "Pardosa incerta", "Aubrieta alshehbazii", "Astragalus ihsancalisii", "Hessicrinus thoracifer", "Hipposideroptes kimuenzae", "Hipposideroptes saccopteryx", "Speleochir brasiliensis", "Alopecosa sokhondoensis", "Alopecosa zyuzini", "Pyrus acutiserrata", "Pyrus asiae-mediae", "Mammillaria roseoalba", "Pardosa fuscula", "Pardosa beringiana", "Pardosa moesta", "Pardosa cubana", "Winteroxylon oleiferum", "Pyrus bourgaeana", "Angraecum acutipetalum", "Angraecum acutipetalum var. acutipetalum", "Angraecum acutipetalum var. analabeensis", "Angraecum acutipetalum var. ankeranae", "Mammillaria sphacelata subsp. viperina", "Auxopus letouzeyi", "Auxopus macranthus", "Neophyllobius electrus", "Pyrus chosrovica", "Pyrus ciancioi", "Pyrus cordifolia", "Pyrus demetrii", "Pyrus fedorovii", "Pyrus ferganensis", "Pyrus gergeriana", "Pyrus grossheimii", "Pyrus hajastana", "Pyrus hopeiensis", "Acantheurypon pilosella", "Acantheurypon spinispinosum", "Trachostylea semota", "Tydeus pygiacus", "Brachytydeus ferratus", "Brachytydeus phoebe", "Angraecum arachnites", "Angraecum brachyrhopalon", "Pronematulus alimuchamedovi", "Pronematulus arecana", "Pronematulus perpulchus", "Pronematulus brachytarsus", "Pronematulus vandykei", "Pronematulus lagunovi", "Pyrus browiczii", "Pyrus cajon", "Brachytydeus scarrosus", "Paralorryia affabra", "Pronematus dibilis", "Pronematus perpusillus", "Epigonus indicus", "Triophtydeus obvius", "Mammillaria saboae subsp. haudeana", "Brachytydeus recidivus", "Tydeus colocasia", "Tydeus laudatus", "Tydeus oleosus", "Tydeus quantillus", "Tydeus tifinus", "Brachytydeus curtus", "Mammillaria schumannii", "Torodora helvinotula", "Torodora spathiana", "Torodora alterniella", "Torodora triquetrella", "Torodora cupriella", "Mammillaria sempervivi", "Torodora cameronella", "Pyrus hyrcana", "Pyrus jacquemontiana", "Pyrus ketzkhovelii", "Pyrus magyarica", "Pyrus mazanderanica", "Pyrus mecsekensis", "Pyrus megrica", "Pyrus neoserrulata", "Pyrus raddeana", "Pyrus tadshikistanica", "Pyrus takhtadzhianii", "Pyrus tamamschianae", "Pyrus terpoi", "Pyrus theodorovii", "Pyrus tuskaulensis", "Pyrus elaeagrifolia subsp. kotschyana", "Torodora hildebrandtella", "Torodora masoalella", "Angraecum chaetopodum", "Torodora mocquerysella", "Mammillaria vetula", "Mammillaria voburnensis", "Agroeca istia", "Mammillaria wagneriana", "Mammillaria weingartiana", "Gastrodia molloyi", "Angraecum distichum", "Neolloydia matehualensis", "Nemapogon peslieri", "Mammillaria surculosa", "Adenomera guarayo", "Adenomera nana", "Mammillaria tayloriorum", "Angraecum dendrobiopsis", "Mammillaria wiesingeri", "Prochoreutis constellata", "Mammillaria winterae", "Mammillaria xaltianguensis", "Mammillaria zephyranthoides", "Stigmella thibaulti", "Trifurcula lastuvkaorum", "Trifurcula guercheae", "Elachista bidentata", "Oplomus annotatus", "Duospina europaea", "Sattleria taurandi", "Pyrus sosnovskyi", "Pyrus \u00d7 sinkiangensis", "Lamprolia klinesmithi", "Pyrus nutans", "Alcainea eklundiae", "Todziaphyllum elongatum", "Halesia mosbruggeri", "Mecsekispermum gordonioides", "Oplomus catena", "Drosophila differens", "Hesperilla crypsigramma", "Pyrus vsevolodovii", "Torodora lecithocerella", "Adenomera gridipappi", "Adenomera tapajonica", "Torodora perrierella", "Adenomera inopinata", "Adenomera aurantiaca", "Torodora randimella", "Adenomera amicorum", "Adenomera kayapo", "Minooa longisacca", "Daplasa medoga", "Hypothenemus subsulcatus", "Hypothenemus wilsoni", "Lithocarpus pachyphyllus", "Coltricia perennis", "Mammillaria sinistrohamata", "Mammillaria sonorensis", "Celypha paludicolella", "Brownleea galpinii", "Brownleea galpinii subsp. galpinii", "Brownleea galpinii subsp. major", "Brownleea graminicola", "Brownleea macroceras", "Brownleea maculata", "Brownleea mulanjiensis", "Brownleea recurvata", "Lochmaea crataegi", "Eremocossus foedus", "Sclerocactus mariposensis", "Costatocrinus elegans", "Angraecum rhynchoglossum", "Lochmaea lesagei", "Lochmaea smetanai", "Lochmaea tsoui", "Lochmaea cheni", "Lochmaea jungchani", "Angraecum sororium", "Angraecum andringitranum", "Angraecum aviceps", "Angraecum bemarivoense", "Angraecum breve", "Angraecum corynoceras", "Angraecum curvicalcar", "Angraecum curvicaule", "Angraecum dryadum", "Angraecum imerinense", "Angraecum litorale", "Angraecum microcharis", "Angraecum pauciramosum", "Angraecum penzigianum", "Gallerucida lutea", "Gallerucida sauteri", "Gallerucida shirozui", "Gallerucida thoracica", "Lecidea soyaensis", "Stenocactus ochoterenianus", "Stenocactus phyllacanthus", "Gallerucida flavipennis", "Hesperilla furva", "Gallerucida singularis", "Vulcanolepas fijiensis", "Gallerucida haroldi", "Gallerucida gebieni", "Boniodendron parviflorum", "Geosesarma mirum", "Hypnoonops lejeunei", "Socotroonops socotra", "Silhouettella usgutra", "Stenocactus coptonogonus", "Zyngoonops clandestinus", "Antoonops corbulo", "Antoonops bouaflensis", "Antoonops iita", "Antoonops nebula", "Antoonops kamieli", "Antoonops sarae", "Claviramus kyushuensis", "Zyngoonops moffetti", "Stenocactus vaupelianus", "Nokona palawana", "Melittia callosoma", "Pyrus calleryana var. fauriei", "Shafferiella macarangae", "Shafferiella pallida", "Shafferiella hamifera", "Lycium mascarenense", "Ophiomorus blanfordi", "Ophiomorus nuchalis", "Ophiomorus latastii", "Ophiomorus chernovi", "Ophiomorus raithmai", "Ophiomorus streeti", "Myrmecicultor chihuahuensis", "Oplomus cruentus", "Oplomus dichrous", "Oplomus ebulinus", "Oplomus festivus", "Oplomus marginalis", "Toloonops chiapa", "Toloonops jacala", "Toloonops veracruz", "Toloonops belmo", "Toloonops verapaz", "Toloonops tolucanus", "Toloonops chickeringi", "Emboonops tuxtlas", "Cercis zhangpuensis", "Leguminocarpum olmensis", "Neopapilionia indica", "Ormosia cyclocarpa", "Palaeocarya indica", "Hesperilla donnysa", "Angraecum pergracile", "Angraecum protensum", "Angraecum rhizomaniacum", "Angraecum sacculatum", "Angraecum sambiranoense", "Angraecum sedifolium", "Angraecum setipes", "Angraecum tamarindicola", "Angraecum verecundum", "Angraecum vesiculatum", "Angraecum vesiculiferum", "Angraecum zaratananae", "Xerospermum noronhianum", "Chrysosplenium suzukaense", "Emboonops tamaz", "Emboonops catrin", "Emboonops nejapa", "Emboonops calco", "Emboonops palenque", "Emboonops bonampak", "Emboonops arriaga", "Emboonops hermosa", "Emboonops mckenziei", "Guatemoonops purulha", "Guatemoonops rhino", "Guatemoonops jaba", "Guatemoonops chilasco", "Guatemoonops augustin", "Guatemoonops zacapa", "Neochya tsoui", "Buchtienia rosea", "Thelocactus macdowellii", "Tsouchya mediofasciata", "Thelocactus rinconensis", "Thelocactus tulensis", "Chinochya sublata", "Hesperilla sexguttata", "Hesperilla sexguttata sexguttata", "Chinochya unifasciata", "Arrojadoa eriocaulis", "Arrojadoa multiflora", "Isachne burchellii", "Isachne soderstromii", "Ocellochloa gardneri", "Ocellochloa soderstromii", "Pyrus/All taxa list", "Cotoneaster nagaensis", "Pyrus falerna", "Idaea alyssumata alyssumata", "Idaea alyssumata selenensis", "Syncopacma wormiella", "Pieris erutae wangchucki", "Epinotia kasloana", "Rhizocarpon vulcani", "Costatocrinus erismus", "Pyrus calleryana var. integrifolia", "Pyrus calleryana var. lanceata", "Pyrus calleryana var. calleryana", "Neochya chengi", "Neochya hirashimai", "Buchtienia ecuadorensis", "Thelocactus leucacanthus", "Paecilomyces maximus", "Neochya nitidissima", "Buchtienia nitida", "Turbinicarpus \u00d7 roseiflorus", "Lycosa gravelyi", "Lycosa japhlongensis", "Tetralonia berlandi", "Lycosa picta", "Heterocypris sarakhamensis", "Laoennea carychioides", "Goodyera macrophylla", "Pyrus ghahremanii", "Pyrus giffanica", "Pyrus longipedicellata", "Pyrus \u00d7 jordanovii", "Dercetina azumai", "Dercetina barclayi", "Dercetina chinensis", "Dercetina itoi", "Dercetina shirozui", "Pyrus \u00d7 vavilovii", "Rhaponticum exaltatum", "Cybaeus reticulatus", "Pyrus voronovii", "Pyrus syriaca var. microphylla", "Gekko petricolus", "Gekko scabridus", "Gekko similignum", "Cybaeus scopulatus", "Cybaeus shoshoneus", "Amauris nossima", "Amauris nossima nossima", "Amauris nossima mrima", "Cereus hildmannianus subsp. uruguayanus", "Hesperilla idothea", "Hesperilla idothea idothea", "Hesperilla idothea clara", "Hesperilla mastersi", "Hesperilla mastersi mastersi", "Hesperilla mastersi marakupa", "Dercetina taiwana", "Dercetina unifasciata", "Philodinavus aussiensis", "Oreolalax sterlingae", "Aspergillus saitoi", "Aspergillus saitoi var. kagoshimaensis", "Aspergillus luchuensis", "Arisaema sugimotoi", "Turbinicarpus saueri subsp. knuthianus", "Acheta marioni", "Turbinicarpus schmiedickeanus subsp. flaviflorus", "Cubilia cubili", "Prunus zinggii", "Prunus yunnanensis", "Prunus wurdackii", "Prunus debilis", "Prunus accumulans", "Prunus aitchisonii", "Urtica perconfusa", "Kataphraktosaurus ungerhamiltoni", "Ornithoptera goliath naturalis", "Afrikanetz kruegeri", "Hesperilla flavescens", "Adina vastanenesis", "Passiflora appalachiana", "Craigia lincangensis", "Tilia asiatica", "Uloborus rufus", "Theridion musivivoides", "Theridion luteitarse", "Coleosoma africanum", "Hesperilla flavescens flavescens", "Hippasa charamaensis", "Evippa mandlaensis", "Evippa jabalpurensis", "Pardosa kalpiensis", "Pardosa balaghatensis", "Pardosa bargaonensis", "Pardosa orcchaensis", "Pardosa bastarensis", "Pardosa tappaensis", "Ocyale kalpiensis", "Arctosa tappaensis", "Hesperilla flavescens flavia", "Turbinicarpus graminispinus", "Lycosa macrophthalma", "Kadenicarpus horripilus", "Cereus pierre-braunianus", "Amauris ellioti", "Amauris echeria", "Phthonoloba membriensis", "Sauris tulagiensis", "Brabira rodolphi", "Pyrus syriaca var. pseudosyriaca", "Coleocephalocereus braunii", "Coleocephalocereus buxbaumianus", "Nokona semidiaphana", "Coleocephalocereus buxbaumianus subsp. flavisetus", "Coleocephalocereus goebelianus", "Coleocephalocereus pluricostatus", "Genusa hollowayi", "Coleocephalocereus purpurea", "Acasis vaulogeri", "Tristeirometa styphla", "Tritomegas delagrangei", "Tritomegas micans", "Tritomegas theryi", "Scoliokona baliensis", "Scoliokona stroehlei", "Aspergillus perniciosus", "Saccharomyces awamori", "Vulcanolepas verenae", "Cipocereus bradei", "Cipocereus crassisepalus", "Cipocereus pusilliflorus", "Hemiphyllodactylus zugi", "Nesogordonia papaverifera", "Nesogordonia bernieri", "Nesogordonia humbertii", "Nesogordonia normandii", "Nesogordonia perpulchra", "Turbinicarpus schmiedickeanus subsp. macrochele", "Turbinicarpus schmiedickeanus subsp. rioverdensis", "Sinoennea angustistoma", "Sinoennea otostoma", "Turbinicarpus saueri subsp. nelissae", "Sinoennea infantilis", "Sinoennea variabilis", "Sinoennea ljudmilena", "Sinoennea panhai", "Sinoennea sutchariti", "Platygobiopsis hadiatyae", "Arrojadoa dinae", "Arrojadoa marylaniae", "Cybaeus daisen", "Cybaeus mimasaka", "Cybaeus momotaro", "Cybaeus tajimaensis", "Cybaeus shinkaii", "Cybaeus takasawaensis", "Cybaeus waynei", "Cybaeus sanbruno", "Cybaeus penedentatus", "Cybaeus vulpinus", "Cybaeus chauliodous", "Cybaeus somesbar", "Cybaeus gidneyi", "Cybaeus kokuraensis", "Cybaeus yufuin", "Cybaeus vignai", "Cybaeus rothi", "Cybaeus charlesi", "Cybaeus solanum", "Cybaeus bulbosus", "Cybaeus giganteus", "Pyrus eldarica", "Cybaeus patritus", "Dendrobium parcum", "Cybaeus okumurai", "Alchemilla subglobosa", "Cybaeus kumadori", "Cybaeus yakushimensis", "Cybaeus kodama", "Cybaeus amamiensis", "Cybaeus aikana", "Cybaeus tokunoshimensis", "Cybaeus hikidai", "Hewitsoniella migonitis", "Tritomegas rotundipennis", "Masirana kusunoensis", "Cybaeus takachihoensis", "Cybaeus bitchuensis", "Gekko adleri", "Gekko palmatus", "Gekko romblon", "Gekko gigante", "Gekko athymus", "Gekko auriverrucosus", "Gekko liboensis", "Helictophanes flava", "Cyphophanes khitchakutensis", "Melocactus andinus", "Melocactus azureus", "Luxiaria phalarota", "Luxiaria mitorrhaphes", "Luxiaria acutaria", "Luxiaria amasa", "Luxiaria emphatica", "Luxiaria tephrosaria", "Luxiaria phyllosaria", "Calletaera obliquata", "Acerbas anthea", "Acerbas anthea anthea", "Prunus brunnescens", "Prunus buxifolia", "Prunus cathayana", "Prunus caudata", "Prunus chamissoana", "Prunus changyangensis", "Prunus chiapensis", "Prunus choreiana", "Prunus chorossanica", "Prunus clementis", "Prunus compacta", "Prunus conadenia", "Prunus cortapico", "Prunus costata", "Prunus crassifolia", "Prunus crataegifolia", "Prunus zhengheensis", "Prunus darvasica", "Prunus detrita", "Prunus discadenia", "Prunus discoidea", "Prunus discolor", "Prunus dolichadenia", "Prunus dolichobotrys", "Prunus dolichophylla", "Calletaera consimilaria", "Calletaera subexpressa", "Calletaera postvittata", "Calletaera basipuncta", "Calletaera obvia", "Melocactus bahiensis", "Calletaera acuticornuta", "Calletaera rotundicornuta", "Calletaera dentata", "Calletaera trigonoprocessus", "Melocactus bellavistensis", "Alleurythoe tenuichaeta", "Melocactus braunii", "Prunus albicaulis", "Prunus amplifolia", "Prunus annularis", "Prunus antioquensis", "Prunus aquifolioides", "Prunus austrosinensis", "Prunus axitliana", "Melocactus concinnus", "Prunus balansae", "Prunus barbata", "Prunus beccarii", "Prunus brachybotrya", "Prunus brachypetala", "Prunus brachystachya", "Prunus brasiliensis", "Prunus brassii", "Prunus brittoniana", "Prunus browiczii", "Melocactus \u00d7 albicephalus", "Melocactus neryi", "Melocactus pachyacanthus", "Melocactus salvadorensis", "Melocactus schatzlii", "Melocactus sergipensis", "Melocactus smithii", "Melocactus zehntneri", "Prunus douglasii", "Prunus elaeagnifolia", "Prunus erythrocarpa", "Prunus erythroxylon", "Prunus erzincanica", "Prunus falcata", "Prunus zabulica", "Prunus nutantiflora", "Leplaea adenopunctata", "Leplaea cauliflora", "Melocactus ernestii", "Melocactus estevesii", "Hyalella puna", "Melocactus inconcinnus", "Hypogastrura ellisi", "Arctiocossus stroehlei", "Meplitumen aluna", "Theridion ariel", "Theridion caliban", "Theridion ceres", "Melocactus lanssensianus", "Theridion ferdinand", "Theridion juno", "Theridion miranda", "Theridion prospero", "Theridion sycorax", "Melocactus levitestatus", "Melocactus violaceus subsp. ritteri", "Melocactus curvispinus subsp. caesius", "Melocactus ernestii subsp. longicarpus", "Hypogastrura herrerosvelai", "Pseudonannolene canastra", "Ummidia neilgaimani", "Jagera javanica", "Prunus tuberculata", "Prunus macradenia", "Prunus tadzhikistanica", "Prunus taplejungnica", "Prunus tartarea", "Prunus tetradenia", "Prunus topkegolensis", "Prunus trichantha", "Prunus ramonensis", "Prunus samydoides", "Prunus gyirongensis", "Prunus glabrifolia", "Prunus wattii", "Prunus glauca", "Prunus glauciphylla", "Prunus guatemalensis", "Prunus laxinervis", "Prunus gongshanensis", "Aberrasine dingjiai", "Acerbas anthea javanica", "Acerbas anthea pista", "Pseudodebis nakamurai", "Pseudodebis pieti", "Acerbas anthea luzona", "Prunus ferruginea", "Prunus fordiana", "Prunus fragrans", "Prunus fujianensis", "Prunus kaengkrachanensis", "Acerbas selta", "Prunus gazelle-peninsulae", "Prunus nairica", "Prunus yazdiana", "Prunus yaoiana", "Prunus xianjuxing", "Prunus xingshanensis", "Prunus ulei", "Prunus wendelboi", "Prunus oblonga", "Prunus pabotii", "Prunus kinabaluensis", "Prunus jajarkotensis", "Prunus mugus", "Prunus javanica", "Prunus kurdistanica", "Prunus koelzii", "Prunus jugata", "Myotis escalerai", "Dendrobium barbatulum", "Acerbas duris", "Micranthocereus estevesii", "Acerbas duris duris", "Micranthocereus hofackerianus", "Micranthocereus aureispinus", "Paullinia bipinnata", "Micranthocereus purpureus", "Dendrobium prostratum", "Prunus ulmifolia", "Prunus incisoserrata", "Prunus integrifolia", "Prunus lamponga", "Prunus urartu", "Prunus urotaenia", "Prunus urumiensis", "Prunus vaniotii", "Prunus veitchii", "Prunus velutina", "Prunus verrucosa", "Prunus versteeghii", "Prunus ocellata", "Prunus tortuosa", "Prunus turfosa", "Prunus walkeri", "Prunus wallaceana", "Prunus tucumanensis", "Prunus lancilimba", "Prunus gentryi", "Orchis \u00d7 penzigiana nothosubsp. navarrensis", "Prunus georgica", "Prunus ghahremanii", "Acerbas azona", "Micranthocereus streckeri", "Micranthocereus violaciflorus", "Acerbas duris dorka", "Catasetum pileatum", "Acerbas latefascia", "Stenotrachelus aeneus", "Nothotsuga sinogaia", "Cyme multidentata", "Cyme pyrostrota", "Cyme xantherythra", "Cyme aroa", "Victrix bioculalis", "Victrix tripuncta", "Pilosocereus brasiliensis", "Pilosocereus catingicola", "Prunus ledebouriana", "Prunus leiocarpa", "Prunus griffithii", "Prunus leucophylla", "Prunus schlechteri", "Prunus ligustrina", "Prunus schneideriana", "Prunus sclerophylla", "Prunus spicata", "Prunus shikokuensis", "Prunus singalilaensis", "Prunus spartioides", "Prunus stellipila", "Pilosocereus catingicola subsp. salvadorensis", "Cyme asuroides", "Oplomus mundus", "Cyme basitesselata", "Cyme citrinopuncta", "Cyme coccineotermen", "Cyme feminina", "Cyme insularis", "Cyme miltochristaemorpha", "Cyme miltochristina", "Pilosocereus aureispinus", "Pilosocereus azulensis", "Cyme pyrrhauloides", "Cyme quadrifasciata", "Cyme crocota", "Agathoxylon mendezii", "Cyme haemachroa", "Cyme metascota", "Prunus stipulata", "Prunus strobilifera", "Prunus subcoriacea", "Rhizopus arrhizus", "Victrix noloides", "Stenoloba mediana", "Stenoloba fuscobrunnea", "Pilosocereus densiareolatus", "Pilosocereus diersianus", "Pilosocereus flexibilispinus", "Aubrieta ekimii", "Aubrieta albanica", "Aubrieta intermedia", "Tritomegas sexmaculatus", "Tylostega longicornuta", "Tylostega vittiformis", "Pierrebraunia eddie-estevesii", "Pilosocereus albisummus", "Pilosocereus arrabidae", "Moorasura gloriosa", "Moorasura inflexa", "Moorasura victoria", "Moorasura kanchenjunga", "Moorasura dejeani", "Moorasura thagyamin", "Cyme anaemica", "Cyme analogus", "Cupania glabra", "Eucteniza caprica", "Aubrieta schweinfurthiana", "Aubrieta columnae subsp. bulgarica", "Vanda coerulea", "Aubrieta columnae subsp. pirinica", "Epidendrum porphyreum", "Disa sagittalis", "Costatocrinus laevis", "Aubrieta/All taxa list", "Heliophila diffusa", "Megalomys luciae", "Megalomys audreyae", "Megalomys curazensis", "Pilosocereus floccosus", "Pilosocereus fulvilanatus", "Pilosocereus glaucochrous", "Abantiades rubrus", "Abantiades penneshawensis", "Ancistroides longicornis", "Epsteinius luoi", "Pilosocereus zahrae", "Aphendala mina", "Striogyia acuta", "Melicoccus oliviformis", "Ancistroides armatus", "Ancistroides armatus armatus", "Disperis paludosa", "Costatocrinus rostratus", "Campylocentrum alvesii", "Acerbas suttoni", "Pennatomys nivalis", "Becklesia franconica", "Iratinia australis", "Nilssoniopteris jogiana", "Nilssoniopteris shanxiensis", "Pseudotorellia irkutensis", "Ethmia argomicta", "Ethmia atriflorella", "Pilosocereus gaumeri", "Ethmia befasiella", "Ethmia ballistis", "Ethmia bradleyi", "Pilosocereus purpusii", "Ethmia cirrhosoma", "Ethmia ditreta", "Ethmia glabra", "Ethmia hemicosma", "Ethmia taxiacta", "Ancylosis igdirensis", "Ovis ammon jubata", "Ramitia kufrana", "Pilosocereus machrisii", "Ovis canadensis sierrae", "Eumedonia eumedon namus", "Ethmia ampanella", "Megalomys camerhogne", "Vanda \u00d7 amoena", "Ethmia andranella", "Ethmia baronella", "Ethmia linosella", "Ethmia novoryella", "Ethmia sotsaella", "Pinus leptokrempfii", "Ethmia vulcanica", "Podocarpus yunnanensis", "Syntozyga apicispinata", "Syntozyga similispirographa", "Lafontaineana alexandrae", "Lafontaineana imama", "Lafontaineana puma", "Lafontaineana thuta", "Lafontaineana marmorifera", "Panthea hondurensis", "Panthea taina", "Amphibolurus centralis", "Chorizopes jianfengensis", "Chorizopes liae", "Chorizopes yinae", "Gymnocalycium berchtii", "Coelotes osamui", "Coelotes cornutus", "Coelotes exilis", "Coelotes ibukiensis", "Coelotes lamellatus", "Coelotes iyoensis", "Gymnocalycium bodenbenderianum", "Ancistroides armatus niasana", "Rotaria megarostris", "Oncholaimus dyvae", "Cymbidium \u00d7 nishiuchianum", "Pleurotrocha fontanetoi", "Adineta fontanetoi", "Archaphanostoma fontaneti", "Ancistroides gemmifer", "Cymbidium kanran", "Brachytydeus latiusculus", "Costatocrinus rostratus cylindricus", "Brachytydeus flammus", "Arabis gegamica", "Arabis cretica", "Mischarytera lautereriana", "Cirsium ayasii", "Cirsium aristatum", "Gymnocalycium amerhauseri", "Gymnocalycium andreae", "Stadtmannia oppositifolia", "Kabuyea hostifolia", "Andricus quercusramuli", "Palaeoloxodon xylophagou", "Cycnoches farnsworthianum", "Arabis verdieri", "Arabis tianschanica", "Browningia candelaris", "Arabis beirana", "Arabis bijuga", "Arabis colchica", "Arabis conringioides", "Arabis tanakana", "Arabis paniculata", "Arabis subflava", "Arabis stelleri", "Arabis serrata", "Arabis sachokiana", "Brachionus manjavacas", "Abrochtha meselsoni", "Abrochtha kingi", "Abrochtha sonneborni", "Lecane insulaconae", "Arabis rosea", "Arabis pterosperma", "Arabis ottonis-schulzii", "Arabis doberanica", "Arabis doumetii", "Arabis nemorensis", "Arabis nuristanica", "Arabis nordmanniana", "Arabis farinacea", "Arabis cypria", "Arabis elgonensis", "Arabis erubescens", "Arabis josiae", "Arabis juressi", "Arabis kaynakiae", "Palaeoloxodon lomolinoi", "Pimoa anning", "Browningia chlorocarpa", "Pimoa bomi", "Arabis margaritae", "Arabis nepetifolia", "Draconarius lingdang", "Draconarius substrophadatus", "Orumcekia cipingensis", "Tonsilla shuikouensis", "Coelotes albimontanus", "Hypocoelotes tumidivulva", "Coelotes tominagai", "Coelotes ogatai", "Coelotes zaoensis", "Coelotes kagaensis", "Axinella egregia", "Mesophleps kruegeri", "Istrianis inquilinus", "Istrianis epacria", "Gymnocalycium gibbosum", "Gymnocalycium erinaceum", "Hydrotaea maculipennis", "Costatocrinus rostratus angustus", "Axinella nayaritensis", "Ocrepeira klamt", "Phasmarhabditis zhejiangensis", "Gymnocalycium anisitsii subsp. damsii", "Coelotes tochigiensis", "Coelotes doii", "Coelotes enasanus", "Coelotes minobusanus", "Coelotes suruga", "Coelotes minoensis", "Coelotes robustior", "Coelotes hikonensis", "Coelotes hiruzenensis", "Coelotes dormans", "Coelotes aritai", "Coelotes notoensis", "Coelotes gifuensis", "Coelotes katsurai", "Coelotes hiurai", "Coelotes tojoi", "Coelotes takanawaensis", "Coelotes hataensis", "Coelotes ikiensis", "Coelotes yahagiensis", "Coelotes nagaraensis", "Coelotes nazuna", "Plakortis mesophotica", "Hemiasterella verae", "Axinella venusta", "Costatocrinus rostratus latus", "Axinella shoemakeri", "Axinella waltonsmithi", "Axinella anamesa", "Axinella polycapella", "Axinella solenoeides", "Axinella alba", "Axinella australiensis", "Axinella brondstedi", "Axinella richardsoni", "Axinella antarctica", "Axinella blanca", "Axinella hispida", "Axinella arctica", "Axinella aruensis", "Axinella setosa", "Axinella trichophora", "Axinella villosa", "Axinella pilifera", "Axinella crassa", "Axinella meloniformis", "Axinella torquata", "Axinella natalensis", "Axinella globula", "Gymnocalycium anisitsii", "Axinella corrugata", "Gymnocalycium capillense", "Gymnocalycium castellanosii", "Achillea \u00d7 abscondita", "Achillea \u00d7 albinea", "Achillea \u00d7 bichigeani", "Achillea \u00d7 borzae", "Achillea \u00d7 bronchalensis", "Achillea \u00d7 buiana", "Achillea \u00d7 claudio-politana", "Achillea \u00d7 conrathii", "Achillea \u00d7 correvoniana", "Achillea \u00d7 coziana", "Achillea \u00d7 dobrogensis", "Achillea \u00d7 dragomanii", "Achillea \u00d7 dumasiana", "Achillea \u00d7 graja", "Achillea \u00d7 hausmanniana", "Achillea \u00d7 huber-morathii", "Achillea \u00d7 illiczevskyi", "Achillea \u00d7 incognita", "Ancistroides nigrita nigrita", "Ematheudes chryselephantinella", "Saksenaea vasiformis", "Gymnocalycium mostii", "Ummidia gingoteague", "Micranthocereus albicephalus", "Ummidia rongodwini", "Ummidia okefenokee", "Ummidia richmond", "Ummidia macarthuri", "Argenna alxa", "Ochetarcha miraculosa", "Achillea jenisseensis", "Batrachedra filicicola", "Gymnocalycium bruchii", "Harmologa amplexana", "Harmologa arenicolor", "Harmologa columella", "Harmologa petrias", "Achillea baldaccii", "Candida keroseneae", "Axinella crinita", "Axinella copiosa", "Axinella incrustans", "Axinella tenuis", "Axinella vellerea", "Axinella vasonuda", "Axinella perlucida", "Axinella guiteli", "Axinella flustra", "Axinella lesueuri", "Axinella manus", "Axinella halichondrioides", "Axinella bubarinoides", "Axinella ceylonensis", "Axinella lamellata", "Axinella elegans", "Axinella tenuidigitata", "Axinella arborescens", "Axinella profunda", "Axinella clathrata", "Axinella kirki", "Axinella labyrinthica", "Axinella symbiotica", "Ancistroides gemmifer dorna", "Gymnocalycium leptanthum", "Ancistroides gemmifer dombya", "Hypsotropa aenigmatica", "Hypsotropa roseostrigella", "Ancistroides nigrita", "Gymnocalycium monvillei", "Hypsotropa ifranensis", "Glaucytes interrupta", "Maxillaria dillonii", "Gymnocalycium neuhuberi", "Maxillaria huebschii", "Gymnocalycium nigriareolatum", "Hypsotropa britomartis", "Polycycnis silvana", "Weberella verrucosa", "Weberella bursa", "Weberella namibiensis", "Axinella convexa", "Axinella amorpha", "Axinella cylindratus", "Axinella babici", "Axinella bidderi", "Axinella massalis", "Axinella ventilabrum", "Axinella dragmaxioides", "Axinella flabelloreticulata", "Axinella vaceleti", "Axinella vermiculata", "Axinella minor", "Axinella pyramidata", "Axinella lifouensis", "Axinella plumosa", "Axinella loribellae", "Axinella sinoxea", "Axinella estacioi", "Axinella digitiformis", "Axinella parva", "Axinella mahonensis", "Axinella dissimilis", "Axinella meandroides", "Axinella pomponiae", "Axinella columna", "Achillea cunoraea", "Axinella cornua", "Axinella pseudominuta", "Axinella proliferans", "Achillea bucharica", "Axinella minuta", "Achillea kamelinii", "Axinella macrostyla", "Achillea kuprijanovii", "Achillea sedelmeyeriana", "Fufius albovittatus", "Achillea trevidiciana", "Achillea vandasii", "Axinella acanthelloides", "Axinella donnani", "Axinella centrotylota", "Pimoa cawarong", "Pimoa daman", "Pimoa danba", "Pimoa deqen", "Pimoa dongjiu", "Browningia hertlingiana", "Pimoa guiqing", "Pimoa gyaca", "Pimoa gyara", "Pimoa gyirong", "Pimoa heishui", "Pimoa jinchuan", "Pimoa khaptad", "Pimoa koshi", "Rhizopus americanus", "Pimoa lhatog", "Pimoa mechi", "Browningia amstutziae", "Pimoa miandam", "Pimoa miero", "Pimoa mude", "Pimoa muli", "Browningia pilleifera", "Pimoa naran", "Pimoa ninglang", "Pimoa nyalam", "Pimoa phaplu", "Pimoa putou", "Pimoa rara", "Pimoa sangri", "Pimoa shigatse", "Pimoa tengchong", "Pimoa xiahe", "Pimoa yejiei", "Pimoa yele", "Pimoa zayu", "Pimoa zhigangi", "Dichoropetalum alanyensis", "Saluria furvella", "Saluria leucopleurella", "Polyocha flagrantella", "Polyocha heracleella", "Polyocha luteocuprella", "Cheilanthes nitida", "Polyochodes squalidella", "Maliarpha separatella", "Cheilanthes nudiuscula", "Myrmekioderma dendyi", "Myrmekioderma spelaeum", "Myrmekioderma pacificum", "Myrmekioderma rea", "Myrmekioderma granulatum", "Myrmekioderma gyroderma", "Myrmekioderma intrastrongyla", "Myrmekioderma indemaresi", "Jaspis sinuoxea", "Myrmekioderma guajajara", "Myrmekioderma tenax", "Gymnocalycium paediophylum", "Cheilanthes multifida", "Cheilanthes multifida subsp. multifida", "Cheilanthes multifida subsp. lacerata", "Peoria nigricostalis", "Cheilanthes namaquensis", "Peoria legrandi", "Cheilanthes nielsii", "Teleiopsis sharporum", "Gymnocalycium gibbosum subsp. borthii", "Locheutis elliptica", "Gymnocalycium glaucum", "Locheutis pingxiangensis", "Locheutis similempolaea", "Gymnocalycium glaucum subsp. ferrarii", "Locheutis spinellosa", "Locheutis tianmushana", "Locheutis empolaea", "Locheutis iridias", "Spiophanes hakaiensis", "Ariadna phantasma", "Ancistroides gemmifer gemmifer", "Epidendrum macrum", "Microscleroderma mexica", "Amphibleptula aaktun", "Saksenaea dorisiae", "Synagoga mira", "Penicillium diatomitis", "Gymnocalycium schroederianum", "Acanthomyrmex malikuli", "Acanthomyrmex mizunoi", "Ancistroides othonias", "Odontanthias fuscipinnis", "Gymnocalycium taningaense", "Gymnocalycium uebelmannianum", "Emmalocera deprinsorum", "Emmalocera incarnatella", "Cryptozophera madegassalis", "Xylia sophrosyne", "Amphibleptula madrepora", "Microscleroderma hirsutum", "Microscleroderma herdmani", "Microscleroderma chonelleides", "Microscleroderma spirophora", "Microscleroderma stoneae", "Microscleroderma lamina", "Cantheleamima nygiella", "Cantheleamima excisa", "Achillea \u00d7 tzvelevii", "Pseudodavara haemaphoralis", "Gymnocalycium ragonesei", "Pseudodavara chrysomallos", "Gymnocalycium reductum", "Gymnocalycium reductum subsp. leeanum", "Gymnocalycium robustum", "Balinskyia monstrosa", "Balinskyia apidis", "Cathyalia pulchrotinctella", "Cheilanthes parviloba", "Cheilanthes pentagona", "Saborma vicina", "Cheilanthes obducta", "Cheilanthes pantanalensis", "Ancistroides nigrita diocles", "Doryopteris davidsei", "Gaga membranacea", "Lytoneuron quinquelobatum", "Myriopteris fimbriata", "Notholaena cantangensis", "Pellaea pectiniformis", "Eoophyla tenuisa", "Eoophyla minisigna", "Eoophyla ciliensis", "Eoophyla fusca", "Eoophyla clarusa", "Eoophyla minita", "Eoophyla leiokellula", "Ummidia colemanae", "Ummidia rosillos", "Ummidia mercedesburnsae", "Ummidia paulacushingae", "Ummidia waunekaae", "Ummidia gertschi", "Ummidia timcotai", "Ummidia gabrieli", "Ummidia pesiou", "Ummidia rodeo", "Ummidia huascazaloya", "Ummidia anaya", "Ummidia cuicatec", "Ummidia brandicarlileae", "Ummidia riverai", "Ummidia frankellerae", "Ummidia hondurena", "Ummidia yojoa", "Ummidia matagalpa", "Ummidia carlosviquezi", "Ummidia varablanca", "Ummidia quepoa", "Ummidia cerrohoya", "Ummidia quijichacaca", "Ummidia tibacuy", "Ummidia neblina", "Ummidia tunapuna", "Ummidia audouini", "Ovis vignei", "Selagiaforma sandrangatoella", "Asalebria vercambrensis", "Angiostrongylus schmidti", "Gongylonema archboldi", "Laodamia cristinae", "Laodamia quilicii", "Phycita demidovi", "Penicillium soosanum", "Thylacoptila paurosema", "Ancistroides nigrita maura", "Cheilanthes pumilio", "Cheilanthes quadripinnata", "Cheilanthes peruviana", "Cheilanthes pilosa", "Campylocentrum benelliae", "Campylocentrum brevifolium", "Paucibranchia cinari", "Cheilanthes poeppigiana", "Marphysa chirigota", "Doryopteris decipiens", "Gaga monstraparva", "Marphysa gaditana", "Lytoneuron rosenstockii", "Chinatichampsus wilsonorum", "Nyctegretis cullinanensis", "Cricosaurus rauhuti", "Ecbletodes ethiopella", "Mussidia melanoneura", "Mussidia semipectinella", "Nigrograna mackinnonii", "Campylocentrum antioquiense", "Cheilanthes perlanata", "Cheilanthes perrieri", "Cheilanthes praetermissa", "Cheilanthes prenticei", "Myriopteris gracilis", "Notholaena cubensis", "Marphysa aegypti", "Pellaea pteroides", "Heth konoplevi", "Heth initiensis", "Arackar licanantay", "Crambus duospineus", "Anthophila variabilis", "Infurcitinea mayri", "Eudarcia albocapitata", "Eudarcia lakoniacola", "Naxa galae", "Achillea \u00d7 jaborneggii", "Achillea \u00d7 jauchiana", "Anthracocystis abscondita", "Petersianthus quadrialatus", "Macrocypraea mammoth", "Loxanthocereus acanthurus", "Cyathea nervosa", "Cyathea amabilis", "Pseudopus apodus levantinus", "Xylophis deepaki", "Homunculus patagonicus", "Cyathea cnemidaria", "Tsaraphycis oreadella", "Tsaraphycis philippella", "Tsaraphycis philippella philippella", "Tsaraphycis philippella napaeella", "Tsaraphycis viettei", "Angustalius philippiellus", "Megasis signatella", "Nonphycita lineata", "Nonphycita balinskyi", "Nyctegretis inclinella", "Nyctegretis malgassicola", "Ancistroides nigrita fumatus", "Delectona madreporica", "Delectona higgini", "Delectona alboransis", "Alectona microspiculata", "Alectona sorrentini", "Alectona sarai", "Alectona millari", "Alectona wallichii", "Alectona primitiva", "Alectona mesatlantica", "Alectona jamaicensis", "Alectona verticillata", "Alectona triradiata", "Parapachrophylla michelleae", "Tanopicobia trachyphoni", "Fueguina magallanica", "Achillea aucheri subsp. aucheri", "Achillea aucheri subsp. glabra", "Achillea barrelieri subsp. elegans", "Achillea barrelieri subsp. mucronulata", "Anthracocystis destruens", "Achillea ageratifolia subsp. serbica", "Arrayanaria arenosa", "Arrayanaria duofasciata", "Lagynopteryx botulata", "Llampidken moesta", "Dzharatitanis kingi", "Cheilanthes rufopunctata", "Cheilanthes sarmientoi", "Cheilanthes scariosa", "Cheilanthes volcanensis", "Cheilanthes robusta", "Cheilanthes schimperi", "Llukalkan aliocranianus", "Cheilanthes similis", "Ninjatitan zapatai", "Cheilanthes skinneri", "Bacanius gorskii", "Doryopteris kirkii", "Doryopteris leitei", "Doryopteris lonchophora", "Doryopteris lorentzii", "Thoosa tortonesei", "Thoosa mollis", "Doryopteris majestosa", "Cyathea horrida", "Cyathea karsteniana", "Cyathea glandulifera", "Capanemia adelaidae", "Achaeta multisacculata", "Arhacia imitata", "Fridericia floriformis", "Copitarsia euryonix", "Thoosa amphiasterina", "Thoosa circumflexa", "Thoosa fischeri", "Thoosa letellieri", "Protopedaliodes arekuna", "Thoosa radiata", "Thoosa armata", "Thoosa bulbosa", "Thoosa cactoides", "Thoosa socialis", "Thoosa laeviaster", "Loxanthocereus acanthurus subsp. pullatus", "Zodarion bozdagensis", "Zodarion siirtensis", "Fernandezina grismadoi", "Fernandezina andersoni", "Fernandezina eduardoi", "Otiothops besotes", "Otiothops chicaque", "Otiothops doctorstrange", "Otiothops vaupes", "Gamelia bennetti", "Cyathea mutica", "Capanemia brachycion", "Cyathea chocoensis", "Capanemia carinata", "Doryopteris nobilis", "Doryopteris patula", "Doryopteris pedata", "Doryopteris pentagona", "Doryopteris raddiana", "Achillea getica", "Doryopteris rediviva", "Achillea sahandica", "Achillea santolinoides", "Achillea schauloi", "Achillea stojanoffii", "Cheilanthes subcordata", "Campylocentrum calostachyum", "Doryopteris decora", "Gaga pellaeopsis", "Campylocentrum carvalhoi", "Lytoneuron rufum", "Campylocentrum escobariae", "Campylocentrum fernandezii", "Myriopteris gracilima", "Campylocentrum guarinae", "Nothobranchius elucens", "Notholaena ekmanii", "Campylocentrum insulare", "Pellaea regnelliana", "Cyathea alatissima", "Achillea aleppica subsp. densa", "Euphaedra dana", "Campylocentrum itatiaiae", "Campylocentrum labiakii", "Campylocentrum lutheri", "Aporia chunhaoi", "Campylocentrum misas-urretae", "Campylocentrum paludosum", "Campylocentrum peruvianum", "Campylocentrum schlechterianum", "Cheilanthes \u00d7 gryphus", "Anthracocystis abramoviana", "Doryopteris takeuchii", "Doryopteris \u00d7 subdecipiens", "Cyathea cruciata", "Capanemia superflua", "Cyathea singularis", "Doryopteris stierii", "Doryopteris surinamensis", "Doryopteris triphylla", "Cyathea spectabilis", "Doryopteris varians", "Doryopteris \u00d7 excisa", "Cyathea roraimensis", "Doryopteris \u00d7 hybrida", "Doryopteris \u00d7 intermedia", "Doryopteris \u00d7 procera", "Cyathea liebmannii", "Doryopteris \u00d7 scalaris", "Cyathea ewanii", "Cyathea andicola", "Doryopteris jequitinhonhensis", "Cyathea subincisa", "Doryopteris trilobata", "Cleistocactus laniceps", "Borzicactus longiserpens", "Cleistocactus luribayensis", "Cleistocactus micropetalus", "Cleistocactus morawetzianus", "Achillea \u00d7 wagneri", "Achillea \u00d7 tymphaea", "Achillea \u00d7 travignolensis", "Achillea \u00d7 trautmannii", "Achillea \u00d7 thessalica", "Achillea \u00d7 subtaurica", "Achillea \u00d7 submicrantha", "Achillea \u00d7 siegfriedii", "Achillea \u00d7 serbani", "Achillea \u00d7 schroeteri", "Cleistocactus parviflorus", "Juncorrhiza aschersoniana", "Doryopteris sagittifolia", "Juncorrhiza casparyana", "Thoosa midwayi", "Juncorrhiza maritima", "Juncorrhiza oxycarpi", "Macrophya nigrotrochanterata", "Cyathea bella", "Cyathea choricarpa", "Alosimus brevicornis", "Cyathea cocleana", "Nibilia machala", "Capanemia gehrtii", "Capanemia paranaensis", "Capanemia pygmaea", "Collodes anartius", "Cyathea consimilis", "Doryopteris humbertii", "Doryopteris madagascariensis", "Doryopteris kitchingii", "Doryopteris latiloba", "Doryopteris pedatoides", "Doryopteris pilosa", "Gaga purpusii", "Atractus atlas", "Anthracocystis anadelphiae", "Goniozus omanensis", "Wongia garrettii", "Piaranthus decipiens", "Wongia griffinii", "Atractus surucucu", "Reuterista instabilis", "Bardala labarda", "Theridion mehlum", "Nanume naneum", "Theridion palanum", "Discocactus fariae-peresii", "Phialocephala dimorphospora", "Theridion nagorum", "Sympetalandra densiflora", "Theridion cloxum", "Anelosimus decaryi", "Asprothrips atermaculosus", "Caularthron kraenzlinianum", "Epidendrum mancum", "Onobrychis mehmetchiquii", "Atractus hoogmoedi", "Jejewoodia crockerensis", "Brasilimeria assu", "Sympetalandra borneensis", "Sympetalandra unijuga", "Neanotis rhombicarpa", "Frankenia hispidula", "Johnsonita ianusca", "Johnsonita oxalida", "Diploderma polygonatum miyakense", "Johnsonita subcunicula", "Metagryne bicolumnata", "Johnsonita turquisca", "Johnsonita zubkova", "Indoseges malkangiri", "Indoseges sushildutta", "Indoseges chilika", "Indoseges narayani", "Indoseges satkosia", "Atractus marthae", "Coelogyne velutina", "Capanemia theresae", "Teratozephyrus yaolihuoi", "Hyptiotes xinlongensis", "Borzicactus sepium subsp. ventimigliae", "Psylla frodobagginsi", "Lytoneuron subsimplex", "Lytoneuron tijucanum", "Pellaea reynoldsii", "Odontanthias wassi", "Atractus thalesdelemai", "Atractus altagratiae", "Gempylus serpens", "Achillea oxyloba subsp. schurii", "Apterola kuenckeli", "Cleistocactus strausii", "Cleistocactus tominensis", "Belisana bachma", "Belisana cucphuong", "Belisana jaegeri", "Belisana kachin", "Belisana putao", "Belisana tarang", "Tsaratanana colorella colorella", "Tsaratanana colorella unicolorella", "Espostoa lanata subsp. lanianuligera", "Jakuarte martinalis", "Hypsipyla albipartalis", "Hypsipyla ereboneura", "Hypsipyla robusta", "Acrobasis cattella", "Acrobasis hastella", "Acrobasis ioeidella", "Acrobasis pyrrhella", "Acrobasis pseudomalazella", "Phialocephala amethystea", "Polyocha sanguinariella", "Xiphoscelis braunsi", "Xiphoscelis namibica", "Cryptoblabes bistriga", "Discocactus zehntneri subsp. petr-halfarii", "Cryptoblabes gnidiella", "Etiella ragonoti", "Rhynocoris punctiventris", "Sphedanolestes annulatus", "Etiella dorsipunctella", "Tsaraphycis mimeticella", "Nyctegretis malgassicola malgassicola", "Nyctegretis malgassicola insularis", "Mussidia fiorii", "Mussidia nigrivenella", "Mussidia pectinicornella", "Mussidia physostigmatis", "Laodamia affinis", "Laodamia dubia", "Laodamia glaucocephalis", "Asclerobia alexandrae", "Asclerobia tchahabarella", "Nycterotis poecila", "Discocactus boliviensis", "Nycterotis dognini", "Nycterotis lineata", "Nycterotis noelia", "Nycterotis chaconi", "Nycterotis balcazari", "Liphistius pyinoolwin", "Ochyrocera ritxoco", "Ochyrocera ritxoo", "Cryptocorypha enghoffi", "Camellocossus politzari", "Camellocossus manat", "Camellocossus sokoto", "Caucaea phalaenopsis", "Caucaea tripterygia", "Acrobasis malgachiella", "Bestiolina sarae", "Andronymus fenestrella", "Galium saxatile var. saxatile", "Gasteracantha sanguinolenta insulicola", "Gasteracantha sanguinolenta andrefanae", "Gasteracantha sanguinolenta bigoti", "Gasteracantha sanguinolenta mangrovae", "Calligrapha californica californica", "Calligrapha californica coreopsivora", "Caucaea alticola", "Gasteracantha sanguinolenta legendrei", "Gasteracantha sanguinolenta emeriti", "Caucaea andigena", "Caucaea caucana", "Euryopis helcra", "Caucaea dodsoniana", "Caucaea duquei", "Caucaea pichinchae", "Dipoena hasra", "Caucaea pseudoandigena", "Dipoena pristea", "Caucaea hernandezii", "Andronymus caesar", "Andronymus caesar caesar", "Phycosoma menustya", "Caucaea kunthiana", "Caucaea macrotyle", "Caularthron amazonicum", "Caularthron bilamellatum", "Argyrodes chionus", "Rhomphaea barycephala", "Sympetalandra hildebrandii", "Sympetalandra schmutzii", "Tetragnatha demissa", "Barryichthys algicola", "Tetragnatha maralba", "Barryichthys hutchinsi", "Cyclosa quavansea", "Larinia dasia", "Prasonica anarillea", "Prasonicella cavipalpis", "Prasonicella marsa", "Neoscona quincasea", "Neoscona angulatula", "Holocneminus samanggi", "Khorata kep", "Khorata musee", "Pholcus bat", "Pholcus phnombak", "Phialocephala bamuru", "Atractus apophis", "Atractus atratus", "Atractus chthonius", "Haageocereus \u00d7 comosus", "Turraeanthus longipes", "Turraeanthus mannii", "Epicrocis pulcherrissimella", "Epicrocis strictella", "Caecianiropsis goseongensis", "Habenaria roxburghii", "Synagoga arabesque", "Anemone pavoniana", "Anemone lutienensis", "Anemone milinensis", "Anemone motuoensis", "Morosaphycita morosalis", "Anemone nutantiflora", "Anemone ochotensis", "Anemone okennonii", "Anemone orthocarpa", "Anemone pendulisepala", "Anemone petiolulosa", "Anemone poilanei", "Anemone raui", "Anemone robusta", "Anemone robustostylosa", "Anemone scabriuscula", "Uncinus helios", "Anemone seravschanica", "Anemone somaliensis", "Anemone xingyiensis", "Uncinus serrata", "Anemone sumatrana", "Anemone taipaiensis", "Anemone tamarae", "Anemone thomsonii", "Anemone tibetica", "Anemone triternata", "Anemone truncata", "Syringia pectinatella", "Anemone tschernaewii", "Anemone \u00d7 gokayamensis", "Anemone \u00d7 brecklei", "Anemone \u00d7 korzchinskyi", "Anemonoides altaica", "Atractus orcesi", "Trymalium odoratissimum", "Ceratandra harveyana", "Ceratandra bicolor", "Acrobasis ramosella", "Espostoa mirabilis", "Acrobasis viridella", "Espostoa senilis", "Acrobasis xanthogramma", "Phylebria paulianella", "Facheiroa cephaliomelana", "Epischnia achatinella", "Epischnia anerasticella", "Epischnia polyphemella", "Epischnia plumbella", "Facheiroa cephaliomelana subsp. estevesii", "Facheiroa squamosa", "Achillea \u00d7 schneideri", "Achillea \u00d7 ruscinonensis", "Achillea \u00d7 rozaliae", "Achillea \u00d7 roseoalba", "Achillea \u00d7 rompelii", "Achillea \u00d7 prodanii", "Achillea \u00d7 romanica", "Achillea \u00d7 reichardtiana", "Achillea \u00d7 nyaradyana", "Achillea \u00d7 laggeri", "Achillea \u00d7 mihaliki", "Achillea \u00d7 javorkae", "Aberrasine pangsau", "Achillea \u00d7 kummerleana", "Achillea \u00d7 kerneri", "Achillea \u00d7 joannis", "Borzicactus icosagonus subsp. roseiflorus", "Aegyptonycteris knightae", "Johnsonita carpia", "Johnsonita iacinta", "Laodamia grisella", "Laodamia homotypa", "Laodamia horrens", "Laodamia hortensis", "Laodamia ignicephalis", "Laodamia inermis", "Laodamia injucunda", "Laodamia karkloofensis", "Andronymus caesar philander", "Andronymus evander", "Badis pallidus", "Badis rhabdotus", "Espostoa hylaea", "Jejewoodia jongirii", "Laodamia nigerrima", "Morosaphycita c-album", "Morosaphycita dibursella", "Morosaphycita orthosiella", "Anemone afghanica", "Anemone alaschanica", "Anemone angustiloba", "Anemone baissunensis", "Anemone banketovii", "Anemone brachystema", "Anemone bucharica", "Anemone cathayensis", "Anemone filisecta", "Anemone flexuosissima", "Anemone fulingensis", "Anemone fuscopurpurea", "Anemone glazioviana", "Anemone hemsleyi", "Anemone hokouensis", "Morosaphycita dubia", "Anemone howellii", "Anemone imperialis", "Anemone koraiensis", "Anemone lacerata", "Anemone laceratoincisa", "Morosaphycita interniplagella", "Anemone liangshanica", "Pulsatilla integrifolia", "Pulsatilla millefolium", "Pulsatilla nuttalliana", "Pulsatilla usensis", "Pulsatilla orientali-sibirica", "Pulsatilla reverdattoi", "Pulsatilla rubra", "Pulsatilla sachalinensis", "Pulsatilla scherfelii", "Pulsatilla sukaczewii", "Pulsatilla zimmermannii", "Atractus caete", "Atractus francoi", "Arisaema aprile", "Pulsatilla grandis subsp. grandis", "Pulsatilla grandis subsp. gotlandica", "Tsaratanana attavella", "Tsaratanana colorella", "Kokoona ochracea", "Atractus andinus", "Atractus sanguineus", "Atractus biseriatus", "Atractus indistinctus", "Atractus manizalesensis", "Atractus variegatus", "Atractus guentheri", "Atractus paucidens", "Atractus fuliginosus", "Atractus microrhynchus", "Atractus mariselae", "Atractus occidentalis", "Atractus gaigeae", "Atractus vertebrolineatus", "Atractus roulei", "Atractus ecuadorensis", "Atractus ayeush", "Atractus savagei", "Pulsatilla \u00d7 bolzanensis", "Pulsatilla \u00d7 celakovskyana", "Pulsatilla \u00d7 emiliana", "Pulsatilla \u00d7 gayeri", "Anemonoides amurensis", "Anemonoides caerulea", "Anemonoides davidii", "Anemonoides yezoensis", "Anemonoides debilis", "Anemonoides uralensis", "Anemonoides delavayi", "Anemonoides exigua", "Anemonoides umbrosa", "Namanereis canariarum", "Anemonoides udensis", "Namanereis llanetensis", "Anemonoides quinquefolia", "Anemonoides grayi", "Anemonoides raddeana", "Anemonoides griffithii", "Anemonoides jenisseensis", "Anemonoides nikoensis", "Anemonoides juzepczukii", "Anemonoides lancifolia", "Anemonoides minima", "Malgachinsula viettei", "Anemonoides reflexa", "Anemonoides sciaphila", "Anemonoides stolonifera", "Malgachinsula perpropinquella", "Malgachinsula maisongrossalis", "Malgachinsula tsarafidyella", "Malgachinsula delplanquei", "Malgachinsula mascarinicolella", "Macrophycis alluaudella", "Macrophycis ambrella", "Macrophycis malazella", "Macrophycis andapella", "Macrophycis caliginella", "Pulsatilla herba-somnii", "Pulsatilla \u00d7 girodii", "Pulsatilla \u00d7 hackelii", "Pulsatilla \u00d7 knappii", "Pulsatilla \u00d7 weberi", "Pulsatilla \u00d7 wilczekii", "Pulsatilla \u00d7 yanbianensis", "Haageocereus versicolor", "Ischnothyreus cristiformis", "Ischnothyreus mangun", "Ischnothyreus mengyang", "Ischnothyreus qidaoban", "Ischnothyreus sijiae", "Ferrierelus bernardi", "Platypygus ibericus", "Platypygus yellibelii", "Pseudosyria caligraphella", "Locustopsites gigantea", "Ctenomeristis mammatella", "Ctenomeristis nonnella", "Oligonila defectuosa", "Oligonila foersteri", "Arisaema kuratae", "Parapimpla rhenana", "Praenotochilus parallelus", "Atractus avernus", "Procoelambus macrocephalus", "Atractus aboiporu", "Atractus trefauti", "Atractus dapsilis", "Knodus nuptialis", "Ceratandra globosa", "Ceratandra grandiflora", "Ceratandra venosa", "Macrocoma himalayensis", "Macrocoma korbi", "Macrocoma substriata", "Aglossa wolloensis", "Aglossa aethiopialis", "Aglossa mirei", "Goateria distrigalis", "Zitha ambahonalis", "Zitha bekilyalis", "Zitha benazalis", "Thiallela celadontis", "Thiallela sulciflagella", "Arciera meridiana", "Ceratostylis graminea", "Atractus potschi", "Atractus turikensis", "Atractus pantostictus", "Fritillaria lusitanica subsp. lusitanica", "Fritillaria lusitanica subsp. stenophylla", "Xenodacnis parina petersi", "Atractus charitoae", "Atractus darienensis", "Atractus depressiocellus", "Atractus hostilitractus", "Atractus imperfectus", "Atractus franciscopaivai", "Atractus heliobelluomini", "Atractus dunni", "Saxifraga afghanica", "Atractus emigdioi", "Atractus badius", "Saxifraga coarctata", "Saxifraga subamplexicaulis", "Gamasomorpha seximpressa", "Gamasomorpha taprobanica", "Zitha capalis", "Zitha concoloralis", "Zitha decaryalis", "Zitha imerinalis", "Zitha meloui", "Zitha montanalis", "Zitha mourzinalis", "Zitha palpalis", "Zitha ranomafanalis", "Zitha subambahonalis", "Zitha subnigralis", "Zitha tanaalis", "Zitha tananarivalis", "Brachiolodes dividivalvella", "Chondrostoma smyrnae", "Thylacoptila paurosema paurosema", "Thylacoptila paurosema guillermeti", "Lallemantia baldshuanica", "Ischnothyreus xiaolongha", "Eriovixia ganae", "Eriovixia liuhongi", "Eriovixia tangi", "Eriovixia wangchengi", "Eriovixia yaoi", "Eriovixia yinae", "Eriovixia pengi", "Eriovixia zhengi", "Eriovixia cavaleriei", "Eriovixia enshiensis", "Eriovixia excelsa", "Eriovixia gryffindori", "Loryma athiensis", "Atractus stygius", "Caipirasuchus attenboroughi", "Kilimandjaria alluaudi", "Kilimandjaria nairobiensis", "Kilimandjaria ornata", "Macrocoma rufotibialis", "Macrocoma marquardti", "Macrocoma bolivari", "Lachesana kavirensis", "Lachesana perseus", "Pax ellipita", "Pax leila", "Acanthinozodium atrisa", "Acanthinozodium niusha", "Acanthinozodium ovtchinnikovi", "Acanthinozodium parysatis", "Acanthinozodium sorani", "Acanthinozodium armita", "Acanthinozodium diara", "Acanthinozodium dorsa", "Acanthinozodium elburzicum", "Acanthinozodium kiana", "Acanthinozodium masa", "Arisaema undulatifolium", "Acanthinozodium parmida", "Acanthinozodium zavattarii", "Falcileptoneta anocellata", "Arnoldichthys spilopterus", "Alopecosa gachangensis", "Robertus subtilis", "Cladothela unmunensis", "Myriopteris intertexta", "Longileptoneta gachangensis", "Longileptoneta gayaensis", "Longileptoneta jangseongensis", "Longileptoneta weolakensis", "Chaubardiella dalessandroi", "Chaubardiella delcastilloi", "Chaubardiella hirtzii", "Longileptoneta huanglongensis", "Chaubardiella pacuarensis", "Chaubardiella serrulata", "Chaubardiella subquadrata", "Myriopteris jamaicensis", "Macrocoma setosa setosa", "Macrocoma setosa mesatlantica", "Macrocoma leprieuri leprieuri", "Macrocoma leprieuri majuscula", "Coronistomus impossibilis", "Macrocoma indica indica", "Macrocoma indica afghana", "Macrocoma rubripes rubripes", "Macrocoma rubripes turkmena", "Macrocoma henoni henoni", "Macrocoma henoni occidentalis", "Macrocoma henoni babylonica", "Macrocoma bolivari bolivari", "Macrocoma bolivari antiatlantis", "Bryocyclops jayabhumi", "Macrocoma brunnea", "Tapinocyba parva", "Tapinocyba subula", "Walckenaeria supercilia", "Agyneta furcula", "Arcuphantes chiakensis", "Arcuphantes chilboensis", "Arcuphantes longiconvolutus", "Arcuphantes namweonensis", "Arcuphantes pennatoides", "Arcuphantes pyeongchangensis", "Collis flavus", "Collis pusillus", "Collis silvaticus", "Doenitzius minutus", "Nippononeta bituberculata", "Phrurolithus pennatoides", "Clubiona parva", "Pholcus jindongensis", "Pholcus piagolensis", "Pholcus pyeongchangensis", "Cybaeus auriculatus", "Cybaeus parvus", "Haplodrassus miryangensis", "Longileptoneta songniensis", "Masirana bonghwaensis", "Masirana flabelli", "Masirana ilweolensis", "Aethionema alanyae", "Andronymus gander", "Masirana changlini", "Andronymus helles", "Andronymus hero", "Hieracium chrysanthemum", "Andronymus marina", "Myriopteris lendigera", "Andronymus marcus", "Myriopteris lindheimeri", "Myriopteris longipila", "Myriopteris longipila subsp. longipila", "Myriopteris longipila subsp. brevipila", "Myriopteris maxoniana", "Myriopteris mexicana", "Macrocoma mateui", "Macrocoma peyerimhoffi", "Macrocoma saharica", "Hieracium degeroeense", "Macrocoma bipartita", "Macrocoma dakkai", "Macrocoma haiensis", "Diogenes heteropsammicola", "Opopaea media", "Trygetus susianus", "Trygetus nitidissimus", "Streptopelia decaocto xanthocycla", "Cybaeus consocius", "Cybaeus hesper", "Cybaeus hummeli", "Cybaeus opulentus", "Cybaeus pan", "Cybaeus simplex", "Cybaeus ubicki", "Cybaeus geumensis", "Cybaeus ilweolensis", "Cybaeus jiriensis", "Cybaeus jogyensis", "Cybaeus odaensis", "Cybaeus seorakensis", "Cybaeus songniensis", "Pholcus chuncheonensis", "Pholcus pajuensis", "Pholcus pocheonensis", "Pholcus unaksanensis", "Pholcus uiseongensis", "Pholcus seorakensis", "Octonoba bicornuta", "Cnephalocotes ferrugineus", "Diplocephaloides falcatus", "Chrysogorgia binata", "Chrysogorgia ramificans", "Ctenophysis chilensis", "Pelecopsis bigibba", "Pelecopsis brunea", "Pelecopsis montana"]);

known_firsts = set(["Condylopodium", "Leptocereus", "Perenethis", "Dryocoetini", "Vagaceratops", "Stenopterotia", "Wisteriopsis", "Michaelapion", "Polygonaceae", "Hodgesiella", "Nuculanida", "Deleaster", "Sporadanthus", "Singilina", "Atysa", "Ouleus", "Limacieae", "Eocenostenus", "Hermaniinae", "Osteochilotrema", "Boothia", "Trigonostemon", "Ouagapia", "Amathina", "Peredibacter", "Dekkera", "Megalohelcon", "Curtohibolites", "Bradypodidae", "Auranticordis", "Nitriliruptoria", "Mastigitae", "Chaoa", "Colaspinella", "Sieblosiidae", "Ptelidium", "Pangus", "Nematotanais", "Linyphia", "Tralia", "Amira", "Halorubrum", "Crambomorphus", "Tonnoiromyia", "Indoweckelia", "Porotrichum", "Chrysogorgiidae", "Miniscardia", "Macfieia", "Calibrachoa", "Agrumenia", "Oxyporinae", "Xenota", "Ichthyomys", "Exserohilum", "Altana", "Onotoa", "Mayariochloa", "Hypoctoninae", "Metaplagia", "Hoplochelus", "Plantactinospora", "Rhizomyiina", "Whiteleggiidae", "Psyttalia", "Bintoniellidae", "Eumimesis", "Haplosporida", "Pycnocheiridiinae", "Chanda", "Neoaxine", "Palaeoleptochromus", "Macfadyena", "Glaucytes", "Alionematichthys", "Pyankovia", "Austrochilidae", "Semelidae", "Theonellidae", "Vadicella", "Symphytum", "Proparagryllacridinae", "Trigonocoryphini", "Frailea", "Carditida", "Funifera", "Aspitates", "Phykodes", "Tomicodon", "Branchipus", "Melanomyinae", "Mastophora", "Serratosagitta", "Sarcotheca", "Diapriini", "Millotoca", "Acidostomatidae", "Anthogonium", "Membracini", "Cocoharpinia", "Hydrotaea", "Loeseneriella", "Aralioideae", "Dimeropygidae", "Gyronycha", "Masonella", "Cousinia", "Toromelissa", "Ochrotrichiini", "Sakalianus", "Isostenosmylus", "Lewisia", "Dumasia", "Siolicaris", "Nectogalinia", "Phormiini", "Mesechites", "Diartiger", "Arcifrons", "Pandalidae", "Cryptolobata", "Heterillina", "Flabelliforma", "Leptocuma", "Phlegopsis", "Mictosomatidae", "Pseudocremastus", "Pycnoctena", "Tatlockia", "Kania", "Coccidencyrtus", "Fuhrmannacanthus", "Meeboldia", "Probethylinae", "Mametia", "Caribarctia", "Bhutanotrechus", "MZUNAP", "Iphiana", "Patruliidae", "Brianmyia", "Apterygodon", "Atopatelurinae", "Megacolabus", "Cryptella", "Planorbulinidae", "Hyssia", "Dividoviricota", "Leptobotia", "Yininemertes", "Stagonospora", "Typhlatya", "Bernaeinae", "Acanthoneta", "Systolocranius", "Achorovermis", "Elaphoglossum", "Elassystremma", "Heteromigas", "Ryukulygus", "Pseudospiridentopsis", "Candonocypris", "Parablastus", "Niphidium", "Tylonotus", "Esagonatopus", "Charontidae", "Lasiopelta", "Sphenophyllaceae", "Lienella", "Spartobacteria", "Vitsika", "Palaeotextularioidea", "Cryptomycocolacaceae", "Turritopsis", "Stomatium", "Orodesma", "Pollia", "Porphyrogenes", "Anthotethya", "Vitimotauliidae", "Spinoleioposopus", "Heteropogon", "Limnonectes", "Nordella", "Taintnops", "Tetrasquilla", "Molinaea", "Trogonophidae", "Hexalaspididae", "Scolichthyini", "Branneriidae", "Tricyphoniscus", "Tupua", "Acheroniotes", "Herpodiscus", "Indicator", "Homalocalyx", "Axopruninae", "Agramma", "Bradoponera", "Tristachycera", "Schizocladiales", "Thalassobaculum", "Cromeria", "Apostrophoides", "Heimbrinae", "Piezorina", "Pahoroides", "Hygrochara", "Passalurini", "Lagriadoliops", "Toenayar", "Agoraea", "Reichenowia", "Campodea", "Upogebiophilus", "Idioceromimus", "Limeulia", "Bankia", "Batesiella", "Pediciidae", "Ammonastes", "Phyllostominae", "Imbrasia", "Paracrossidius", "Chaetogastra", "Longitarsus", "Namacodon", "Pithecopus", "Tarsiiformes", "Spatulodinium", "Unigenes", "Sileneae", "Cinchoneae", "Spionidae", "Anoncia", "Knersvlaktia", "Oolithotus", "Australopalpus", "Nevadiidae", "Stigmella", "Nodophthalmidiinae", "Bursatella", "Zannichellia", "Anthocerotales", "Sciuroleskea", "Protolucaninae", "Barbaceniopsis", "Pseudorgyia", "Zeuzeropecten", "Caldimicrobium", "Corelloides", "Priapulus", "Fortiseode", "Allodicrania", "Pentapharsodinium", "Acrolophitini", "Hoenapamea", "Portacosa", "Mylestoma", "Ceratotheca", "Ianussiusa", "Podoglyphus", "Adeonidae", "Dasodis", "Placospermeae", "Pseudochalaraspidum", "Chitonaster", "Trachelius", "Xenosciomyza", "Antelientomon", "Sphinctobelus", "Thaumastochelidae", "Ebriales", "Aethomys", "Saltugilia", "Neowadotes", "Mesochaete", "Coelostylinidae", "Entomophthora", "Feniseca", "Sarda", "Pachyura", "Ovulinata", "Termitobra", "Daubentoniidae", "Bucaea", "Littledalea", "Nessaea", "Micrepimera", "Malamoeba", "Sundaroa", "Euura", "Notoclinops", "Vanniusoides", "Capsinae", "Fissiphalliidae", "Egidyella", "Odilla", "Dorcoeax", "Proharpinia", "Xanthodromia", "Dextritubus", "Apodesmia", "Homaloxestis", "Sciaena", "Siphonodon", "Callistola", "Ulugombakia", "Atomaria", "Neoplatypedia", "Anasimus", "Rutpela", "Mecognathidae", "Blaszakia", "Xestiodion", "Milacidae", "Anoxybacter", "Lantanopsis", "Sinocymbachus", "Rhytus", "Tubeufia", "Malaisemyia", "Erchanella", "Liparopsis", "Gadilidae", "Amphigerontiinae", "Cannosphaeridae", "Anomalophlebia", "Taccocua", "Parvocythere", "Oenoe", "Falculiferidae", "Hickmanella", "Ekmanothyone", "Casco", "Iridotaenia", "Echthromorpha", "Neomalota", "Notojapyx", "Scardia", "Crescentieae", "Cillenus", "Jollas", "Diestrammena", "Austrapoda", "Microloma", "Neopygostenus", "Facelininae", "Argasoidea", "Sagana", "Barremites", "Zannini", "Phybytharsis", "Mobula", "Thalassema", "Dendrogastridae", "Colocongridae", "Macroptychia", "Lichinodiaceae", "Protodasyommia", "Thyene", "Alternatipathes", "Scomber", "Cyanopsitta", "Capnolymma", "Onosandridus", "Santolininae", "Eucosmogastra", "Vahlkampfiidae", "Lepisosteoidea", "Paraccacladium", "Barrolla", "Pseudomastogloia", "Bispironympha", "Abyssochrysoidea", "Phoxocephalopsidae", "Bechynella", "Eulimnogammarinae", "Agaue", "Githopsis", "Micromesomma", "Eretmocera", "Apatini", "Latematium", "Ringiculoidea", "Degeneriaceae", "Panaramecia", "Friesea", "Oxyglychus", "Leucoptochus", "Zalithia", "Ichnanthus", "Elythinae", "Fulgorinae", "Vincetoxicum", "Eucalathis", "Trypetidini", "Renodaeus", "Cantharolethrus", "Polyarrhena", "Moreinae", "Hellea", "Eunidiopsis", "Carpophilinae", "Microhedyloidea", "Tricheczemotes", "Chikila", "Hydropsychidae", "Coprobacter", "Minooa", "Tetrastichinae", "Pogonortalis", "Trichosia", "Leptanillophilina", "IMNRF-UT", "Platyneuron", "Podotenus", "Eurosia", "Olisthaerinae", "Baculum", "Veyretella", "Lonsdaleiidae", "Femoracoelotes", "Aclyvolvinae", "Palliolum", "Elegistis", "Derorhynchidae", "Cryptichthys", "Ombro", "Viburnaphis", "Pterostichini", "Hypoderatoidea", "Sternochetus", "Prodiamesa", "Pedaliotis", "Chrysodinopsis", "Crumia", "Afrorubrini", "Aphaenostemmini", "Acompsogma", "Palaeogyrininae", "Macroderus", "Allodessus", "Muelleroecia", "Pseudoechria", "Ophiocanops", "Macrosemyra", "Biswarea", "Nanorrhynchus", "Moaciria", "Tibicen", "Limopsoidea", "Staphylococcus", "Gutierrezia", "Enielkenie", "Biechelerella", "Melathemma", "Nymphophilinae", "Battina", "Trogophloeus", "Glomulina", "Heterodoassansia", "Ectomis", "Hyphantria", "Eldarca", "Pseudoroseobacter", "Plectophanes", "Euchrepomis", "Meloe", "Clypeodytes", "Tectipleura", "Sarcolobus", "Mizaldus", "Pirata", "Angulobaloghia", "Priocyphopsis", "Aluta", "Nyssaceae", "Clonophycus", "Sulcommata", "Proiphys", "Ketmeniidae", "Melanostoma", "Oxyops", "Darwininitium", "Islandiella", "Brephos", "Gimnomerini", "Hemicycliostyla", "Palmeiromyces", "Callianassoidea", "Altosquilla", "Xenelaphis", "Tarachidia", "Tradescantiinae", "Atakterges", "Onslowiales", "Malacotheria", "Campnosperma", "Dipteris", "Dieuches", "Torbenia", "Cucullothorax", "Minuphloeus", "Megupsilon", "Trachyscorpia", "Trichiidae", "Saccamminidinae", "Eledoninae", "Phyllorachis", "Putzeysius", "Sacleuxia", "Silhouettanus", "Lindnerica", "Taralea", "Aenigmodes", "Ophionthus", "Polyrhabdoplana", "Trinucleoidea", "Nurenus", "Begonia", "Tribasodes", "Sethodiscus", "Micronectidae", "Pinnipedia", "Neogirdharia", "Pratylenchus", "Stigmatomma", "Swaminathania", "Euphoresia", "Ophiothricidae", "Heckmeyeria", "Leviapseudes", "Borborophorini", "Rhizophydium", "Epimacha", "Cyclaulax", "Aneboconcha", "Steyermarkiella", "Polytrichaphis", "Rotundella", "Rhipidothamnion", "Madagascareicheia", "Trichosporonales", "Cyrtocorinae", "Eutropistina", "Omphalocarpum", "Bencomia", "Mesorbitolina", "Ledoyerella", "Rhynohalicella", "Microcrambus", "Yeosuana", "Archimetrioxena", "Microphyllum", "Acanthocollaritrema", "Otys", "Arnoldus", "Epacrophis", "Polyacanthisca", "Taxandria", "Aapticheilichthys", "Arpophyllum", "Maoripria", "Crassodemus", "Periatrum", "Paraturbinidae", "Gymnognathini", "Holothuroidea", "Ferganopterinae", "Omorgus", "Dicaxina", "Carohamilia", "Oryssomma", "Physcidia", "Herpesviridae", "Treubiidae", "Hexanauplia", "Archemyiomma", "Chiromyscus", "MBML", "Mecistorhabdia", "Charlesdowniea", "Sinofranchetieae", "Hydrochorea", "Phaeothamniaceae", "Geothermobacterium", "Trichogoniinae", "Millerieae", "Phygasia", "Delognatha", "Enchelyidae", "Euroscaptor", "Docynia", "Nikiliberis", "Kieslingia", "Gondwanotrichidae", "Neopnyxia", "Uintatherium", "Parametopides", "Ronetus", "Zospeum", "Nigropuncta", "Helonoma", "Pleospora", "Machilitrombium", "Saadanius", "Cephaloncheres", "Symperga", "Succineidae", "Rhabditis", "Tychini", "Micronychapis", "Congocepheus", "Choerocampina", "Axelboeckia", "Thermonectus", "Synnoma", "Muyocopronales", "Aemnestus", "Pentodontoschema", "Xanthodiscus", "Baku", "Haplohyphes", "Cheirochelini", "Melitoma", "Protocheirodon", "Deroptilinus", "Sylviparus", "Calleremites", "Iambrix", "Cocciscia", "Polychaetochloris", "Lycastinae", "Margattea", "Polybothrus", "Aphrastura", "Donaconethis", "Neoloberolus", "Ethemaia", "Holoprizus", "Exoplectrini", "Osmundaria", "Zoomastigina", "Enhydra", "Polysentoridae", "Melanoplusia", "Cardabiodontidae", "Mongolobuprestis", "Scotodytes", "Lestrigonus", "Glomospiranella", "Hottonia", "Keroplatinae", "Idioiblinae", "Haplosindris", "Rhagonycha", "Durbos", "Winklerites", "Leptodactylodon", "Apodasmia", "Undabracon", "Mesosphaerum", "Notiothops", "Oopeltinae", "Congoprinsia", "Neesenbeckia", "Dionconotus", "Celidota", "Phryganellina", "Goliathus", "Aleuron", "Chlaenandra", "Vaunthompsonia", "Melphisubchela", "Cylindromorphus", "Eurycnemus", "Phoraspis", "Paraphyonus", "Tubulariella", "Renia", "Boreiohydrias", "Ibala", "Actinotaenium", "Pilosoma", "Hovatipula", "Cirrisalarias", "Lontalius", "MCZ", "Porlieria", "Apodocephala", "Codonosmilia", "Festuca", "Arianalepis", "Prasiolaceae", "Eritrichieae", "Deielia", "Laccodrosophila", "Pezizomycetes", "Licnodamaeidae", "Hadrognathus", "Catoxophylla", "Anaerolineae", "Sciapus", "Chrysacanthia", "Chauhanocotyle", "Wellnhoferia", "Tekalita", "Echinosphaeridium", "Carpoglossum", "Chiridopsis", "Laternariini", "Eucynodontia", "Pardalotus", "Centurio", "Apionacaridae", "Saporaea", "Cyclophaea", "Calpini", "Hypopterygium", "Euryomyrtus", "Helicogloea", "Serratobicon", "Sinarella", "Clambinae", "Tanyproctini", "Sichuanotrechus", "Schizaea", "Smilestethus", "Desulfurellaceae", "Schizammina", "Eritrichium", "Lithinus", "Pseudotaxidae", "Areyonga", "Emelinus", "Glabellula", "Acadagnostus", "Freylinia", "Phagodinida", "Tarlina", "Eriphosoma", "Stygotorrenticola", "Mesothuriidae", "Ascoceratidae", "Nematocarcinus", "Stenochroma", "Mapusaurus", "Dicra", "Amirthalingamia", "Mimostedes", "Carinodula", "Antimelatoma", "Hydrotetrix", "Becklesia", "Macrargus", "Actinolepidoidei", "Pelecanoides", "Allathelges", "Melasinae", "Halocynthiibacter", "Triparma", "Mindanaoa", "Sericini", "Anchastus", "Hydnangiaceae", "Leiradira", "Archaeotriton", "Ophichthinae", "Luculia", "Crenidens", "Candidella", "Hoffmaneuma", "Cymoriza", "Chromodoridinae", "Pachycephalosauria", "Jugosocythereis", "Neotaxilana", "Onisocryptus", "Palaeoplatycarya", "Phycochini", "Hulteniella", "Dendrosida", "Cyrtusamorpha", "Textulariopsidae", "Paraphyllina", "Strepsichordaia", "Vermileonidae", "Angonyx", "Trisporusa", "Microphallinae", "Mongoligenula", "Badimiella", "Brevaxina", "Catara", "Macristis", "Apaustis", "Thaxteria", "Ctenicellus", "Toxidium", "Pozonia", "Ithutomus", "Paracryphiales", "Figulus", "Athymoris", "Astrogymnotes", "Kennetus", "Maupasellidae", "Fagniezia", "Blarinella", "Trechimorphus", "Dipsacales", "Pseudeurostus", "Mutoviidae", "Panina", "Calyptratae", "Tingitanella", "Niphandini", "Tecovasuchus", "Spathacanthus", "Hedotettix", "Cephaloziellaceae", "Neopectinimura", "Proschoenobius", "Elassomatidae", "Hyrtanellini", "Cepheuptychia", "Auxesis", "Ceratozona", "Hypocyphtini", "Costemilophus", "Rhopalimorpha", "Stomatosuchidae", "Glanapteryx", "Paraxiphidium", "Kekveus", "Oncopoduridae", "Paroopsis", "Zooxanthella", "Lingoria", "Androcalva", "Cryptaulax", "Australsecodes", "Pseudobacteriovorax", "Burasaieae", "Geotrupacarus", "Macropus", "Parhypates", "Ceriops", "Aphanilopterus", "Vietsoma", "Xyletininae", "Lachnogyina", "Phloeocharis", "Scelidotheriidae", "Callome", "Dubiella", "Conradsia", "Hemiphileurus", "Rosaria", "Iophon", "Photinia", "Anthocoptini", "Krithe", "Urotini", "Odontolabini", "Monotrichomonas", "Chania", "Cocalodes", "Blastodesmia", "Pseudolytocestus", "Paratrypauchen", "Staehelina", "Eocuma", "Manouria", "Ornithorhynchus", "Par", "Georgeantha", "Tridentopsis", "Lepidosauria", "Simona", "Protaminobacter", "Leggogovia", "Cretapsychops", "Zenometridae", "Yavanna", "Paltostomatini", "Pseudodevescovina", "Rhodopoidea", "Cleonymus", "Exeirarthra", "Tanakaea", "Mastigamoebidae", "Geopora", "Batea", "Mauropterix", "Parandrini", "Coelorinchus", "Brachyrrhipis", "Leucocytozoon", "Basidiobolomyceta", "Pronocera", "Ellipsolithus", "Parrhinopsenius", "Neptunitalea", "Socarnoides", "Cymatocylis", "Afrochilis", "Tenuisentidae", "Cerozodus", "Limnobacter", "Catenulida", "Cheilocapsus", "Picralima", "Crepidorhopalon", "Erythropini", "Kungia", "Tachinoporus", "Protroctopsocidae", "Trepsitypa", "Bosistoa", "Pontodryas", "Hablitzieae", "Chrysidoidea", "Dichomeridinae", "Distigmopsis", "Indotrichius", "Phulia", "Ceratesa", "Solenopharyngidae", "Platyarthrini", "Dorithia", "Pierrebraunia", "Adopaeoides", "Monortha", "Pachytroctes", "Phylloxera", "Craspedolobium", "Ventalepis", "Chalinolobus", "Asellariomycetes", "Buergeriinae", "Pnephorusa", "Stenopodidae", "Heteropneustes", "Anchietea", "Biasterigerina", "Amalthea", "Ancyloxypha", "Eduardiella", "Papuana", "Neopolycystus", "Floromyces", "Anystidae", "Marronus", "Gloiocallis", "Semnostola", "Microtheliopsis", "Tabellariales", "Berchemia", "Halostachys", "Grammicomyia", "MHNM", "Fagacarinae", "Saratus", "Hyphelithia", "Stenostomidae", "Thallochrysis", "Arbanitinae", "Indophantes", "Lamiaceae", "Chromidotilapia", "Neonauclea", "Indagrypon", "Chrysarachnion", "Troglocobitis", "Monobothrioides", "Spiniglans", "Stiltia", "Channoidei", "Dolichopteridae", "Nitocris", "Rhyssemorphus", "Hermenias", "Bellaria", "Octogomphini", "Thryssatrema", "Nicias", "Mimoplectus", "Cephazteca", "Hyrtanommatium", "Lipotriches", "Hypotagea", "Leptosomus", "Unaspis", "Oscura", "Apimela", "Igualda", "Heterochthoniidae", "Bardunovia", "Spiripockia", "Alaskaplana", "Omobranchus", "Tiarabothrium", "Jogocerus", "Ioplaca", "Hoploparia", "Spirophycus", "Trichosporonaceae", "Orthotrichus", "Trachynotina", "Bathylychnops", "Phymaraphiniidae", "Caliphaea", "Tayamaia", "Arugisa", "Togepsyllinae", "Sinanxyela", "Brachiopoda", "Horridohypnum", "Siagonium", "Aaroniella", "Mearnsiana", "Laminamichaelia", "Gammiella", "Craticulineus", "Oliverella", "Puhuruhuru", "Kamera", "Erebini", "Asymmetrina", "Parasenegalia", "Ticinellinae", "Eogammarus", "Baeometra", "Trischistomatoidea", "Merocorini", "Abolescus", "Terrestricythere", "Apocleinae", "Clavochytridium", "Pachypasa", "Patchiella", "Eremocinetus", "Copromyza", "Insuetophrynus", "Banahaona", "Sinanapis", "Trichotokara", "Diplodiscus", "Pelamis", "Drusillota", "Sisymbrieae", "Clavoporidae", "Hiraea", "Cloacininae", "Scagelothamnieae", "Leiognathinae", "Minyocerus", "Fursenkoininae", "Monocentridae", "Probarbus", "Binophorus", "Oreortyx", "Glypta", "Excelsotarsonemus", "Martyr", "Interochromis", "Cardopatium", "Myliobatis", "Micromelerpetontidae", "Pedunculinae", "Megatheriina", "Camptomorpha", "Meniscus", "Goniochernetinae", "Tydeinae", "Korecnomios", "Neotrichocoleaceae", "Thalassiodianthus", "Philipotabanus", "Tetranychidae", "Paratomaria", "Parareptilia", "Scudderocoris", "Notoligotominae", "Siagonyx", "Anopsibaena", "Praocis", "Huolimaviricetes", "Hypochrus", "Tremellina", "Termitozyras", "Praobdellidae", "Betasyrphus", "Metanepsiini", "Omphalocyclinae", "Bonneviella", "Anisosperma", "Barthelona", "Riquetophycus", "Odocoileus", "Clerocarbus", "Bernathonomus", "Juiaparus", "Tafforeus", "Apiastrum", "Pyloctostylus", "Corynebacteriales", "Mirandea", "Fustigeromimus", "Sagotylus", "Lichnia", "Alocandrena", "Notharinia", "Leptosophista", "Sigillictystis", "Bembropoidei", "Ecnomiomorpha", "Ooperipatellus", "Entopyla", "Leucotelium", "Aethalida", "Gelechioidea", "Exiliboa", "Metrosideros", "Apporasa", "Trochodendron", "Coptostethus", "Eremicamura", "Scapulizoros", "Liupanshaniidae", "Kamptopleustes", "Sinapis", "Sphodrosomus", "Bathybalanus", "Mesocoelopodinae", "Larinostelis", "Myriniaceae", "Samaecicada", "Ravenala", "Adelungiina", "Ilemodes", "Puntioplites", "Phytoseiulini", "Spiculonana", "Tetrachaeta", "Pseudogalium", "Theoconus", "Flabellariopsis", "Telmessus", "Urgineeae", "Cypripedioideae", "Fodinoidea", "Jesmurraya", "Ludioschema", "Lembosinaceae", "Mirimiri", "Methylobacterium", "Prothymina", "Elatotrypes", "Smilisca", "Notopora", "Zadadra", "Phyllodes", "Halopeltis", "Mimodictyon", "Germalna", "Cryptafrum", "Dilacreon", "Mucoromyceta", "Phlogius", "Rotalinoides", "Astrephomene", "Acruroperla", "Testudotaenia", "Boltonimecia", "Medeterella", "Paracentrotus", "Callochitonidae", "Anomiopsyllini", "Tanyproctus", "Hypolophinae", "Dianomictis", "Dodonaeaeae", "Euprotomicroides", "Quechua", "Aenigmina", "Braula", "Hospitalitermes", "Burijites", "Nosymna", "Nyssicus", "Pharyngia", "Euraphiinae", "Glandiceps", "Merianieae", "Geotomini", "Ametallon", "Xestipyge", "Athanas", "Catapagurus", "Hedlandella", "Nectoneanthes", "Boganiinae", "Ceritaxa", "Antarctiola", "Cuisenerita", "Stifftioideae", "Desmodiinae", "Graviscalpellum", "Sonerila", "Compsothamnieae", "Opsebius", "Dalatomon", "Neotemnorrhynchus", "Amphiporeia", "Atractidochium", "Eremazus", "Plesiops", "Tetraphormis", "Pachycarus", "Lamellitettigodes", "Haplogeotrupes", "Amputoearinus", "Xanthium", "Chaetognatha", "Lygocoris", "Odopoia", "Territricha", "Orthorhynchus", "Halimunella", "Nipponosaurus", "Acervoschwagerina", "Trachyleberidinae", "Glossopteridales", "Aquila", "Acanthocephalini", "Clarias", "Pseudachorutella", "Myoxocephalus", "Cymenopterus", "Heteroxyidae", "Noteolethaeus", "Invenusta", "Psilotales", "Pereirabolbus", "Isosticta", "Xenuromys", "Polyplacapros", "Trichromis", "Hexadactilia", "Terateleotris", "Bolotheta", "Gigasjapyginae", "Anthaxiini", "Ochyroceratinae", "Orchamoplatus", "Otodus", "Microcerberus", "Hemitaeniochromis", "Elasmognatha", "Cyathodophyllum", "Xystonella", "Tubulidentata", "Anthobiomimus", "Xenogynidia", "Anarchias", "Syntelia", "Metaperipatus", "Protoavidae", "Artamella", "Rankinia", "Tiaris", "Congiopodidae", "Gonzalosia", "Geissanthus", "Atarnes", "Myrmecopella", "Medionops", "Hydropeplus", "Furnariinae", "Apopterygion", "Tricarpelema", "Metardaris", "Microdorcadion", "Ivalomyia", "Follicucullidae", "Spiloloma", "Talisia", "Rhabditida", "Goniactinida", "Hansreia", "Hayaster", "Gymnobodes", "Pycnonotus", "Amolops", "Austroroccella", "Ossoides", "Neoexetastes", "Caenognosis", "Microtane", "Metriini", "Lophopagurus", "Atopomychus", "Allosturmia", "Amphipsocina", "Metastelmatinae", "Van-royena", "Plecoptera", "Myiozetetes", "Stenomesson", "Pachyclymenia", "Atelozomyia", "Episomini", "Anomalographis", "Eirmocephala", "Bornetella", "Calleida", "Spiculogloeales", "Craterosaurus", "Disyringa", "Cattarini", "Pyrodes", "Heteroaridarum", "Trichomonoides", "Vallea", "Ronabea", "Clytosemia", "Abaciscus", "Brachymeria", "Terricula", "Xenopeltidae", "Haplognathiidae", "Eopsyche", "Crossleyia", "Canariletia", "Parawenhoekia", "Apionichthys", "Nesoleontini", "Premnas", "Pampus", "Symphorematoideae", "Oopyxis", "Ecliptophanes", "Dasycerinae", "Oryzoborus", "Bolbohamatum", "Quetzogonium", "Amarygmus", "Yusufia", "Acanthornis", "Isolobodontinae", "Vahadenia", "Lithochromis", "Phanerochaetaceae", "Prospelaeobates", "Neoantrodiella", "Hypelictis", "Neobradyidae", "Ischnomesus", "Struthiola", "Hybomatocoris", "Heterotremata", "Kodamaea", "Chlamydophrys", "Aztecaster", "Keraia", "Lucayarina", "Girardinini", "Chinianaster", "Mesontoplatys", "Mimicoclytrinina", "Schunkea", "Paracaroides", "Exomiocarpon", "Grammonema", "Pseudowanganella", "Wenzhouxiangella", "Lesleigha", "Isomoralla", "Larochea", "Eurymycter", "Pamphalea", "Plantibacter", "Osteocarpum", "Graydidascalus", "Squalodon", "Monachoptilas", "Tumidocarcinus", "Glatziellidae", "Chthamalinae", "Kerremansella", "Parvodeceptor", "Cearacesaina", "Laniatores", "Schoenocephalium", "Microdiscula", "Fimbriasacculus", "Stiphidiinae", "Conorbina", "Phorodon", "Grifolaceae", "Raphirus", "Fabales", "Platychasma", "Occylotrachelus", "Hemistasia", "Diplura", "Chaetonella", "Sabalia", "Aesiotyche", "Bonplandia", "Pullenoides", "Hennigophora", "Hyalocystis", "Belemia", "Pleioluma", "Taphozous", "Archidium", "Fuscheria", "Anaeroplasmatales", "Bronchotibia", "Lithophotina", "Robustocephalus", "Agelista", "Pan-Testudines", "Canthium", "Mexianthus", "Pavoraja", "Butyricimonas", "Cyphanthera", "Tessmanniacanthus", "Epigloea", "Lophosema", "Myllaenini", "Aplousobranchia", "Bulbothrix", "Pygsuia", "Parapherusa", "Eucharitolus", "Megarthrus", "Theocolax", "Neocoenorhinidius", "Starkeya", "Geropa", "Remaneicaris", "Oxytes", "Kazacharthra", "Neohelcon", "Phallocaecilius", "Paraborolinus", "Etesinalda", "Diphyus", "Dioecocestidae", "Atlantistylis", "Microlasma", "Akkermansiaceae", "Fibrobacter", "Pachyzethopsus", "Laubertia", "Ephydatia", "Ancistrotropis", "Breynia", "Priscinachidae", "Acrospongium", "Cyathocalyx", "Grammatus", "Oenocarpus", "Hoplosebastes", "Agrimoniinae", "Monotes", "Parameotica", "Collema", "Polycnemeae", "Multoribulidae", "Anoplogaster", "Sillago", "Paradoxurus", "Ephyriades", "Odontothrips", "Orbitolinopsis", "Alsidium", "Falsoplatydema", "Priscomilitaris", "Pentathemis", "Trachyota", "Helicoductus", "Matonaviridae", "Euryblema", "Carrigobius", "Synothele", "Prioriphorinae", "Osmorhiza", "Angucephala", "Hormaphis", "Teukrus", "Coronadena", "Heibergella", "Rhyacionia", "Anambrophyes", "Pristimantis", "Crocomela", "Dinemula", "Akanthinoknemusa", "Coxiellaceae", "Pseudophragmina", "Cauletella", "Ceratobregma", "Richardsidryinus", "Varatra", "Phacophallus", "Kochogaster", "Pamphantinae", "Auleutes", "Lauxaniinae", "Compsophorus", "Neurigona", "Aphelopinae", "Scleranthus", "Schlechteranthus", "Hippoperidae", "Gryllavidae", "Stachybotryaceae", "Procryphocricos", "Perittia", "Dryadoideae", "Actinochrysia", "Physaridae", "Fusulinidae", "Cyanea", "Areniconulus", "Capsiempis", "Stenygrocercus", "Afranthidium", "Neoaulaxinia", "Endotera", "Gauchodaeus", "Monotaxis", "Macropogon", "Gasterophilinae", "Corixidae", "Lehtinenia", "Amoebophrya", "Scleria", "Floridosentis", "Neuroserica", "Paropsis", "Collodictyonidae", "Alicyclobacillus", "Propreocoris", "Sternotrigon", "Methanomassiliicoccales", "Turinia", "Farancia", "Dactylothece", "Rubicundus", "Notolecidea", "Wallodinium", "Yungavolucris", "Dokdonella", "Circaeeae", "Cratotragus", "Traegaardhia", "Greeneeae", "Kueichowiidae", "Ischnodemus", "Hysma", "Tabukicypris", "Kalligramma", "Malus", "Cacoplistini", "Admontia", "Pseudopotamis", "Halobacteriovorax", "Allotrella", "Woodwardiastes", "Siskiwitia", "Parmarion", "Nyctiellus", "Anitamaria", "Nymphomyiidae", "Metapherna", "Ellobioidea", "Arvibacter", "Anarbudas", "Conocassis", "Cuneomiris", "Calvadosia", "Okanagana", "Omichlospora", "Pseudocallulops", "Okadaiidae", "Striamoeba", "Pteroptyx", "Troctes", "Caribothyrus", "Coscinopleura", "Syncephalis", "Heliactin", "Xenillidae", "Watsonieae", "Ligeriinae", "Pavopsammia", "Anomalodermus", "Iphiplateia", "Leuronotus", "Coatesia", "Distoechurus", "Darwinellidae", "Taenioderini", "Lobothallia", "Glyphaea", "Phalangosoma", "Amblyodipsas", "Cleora", "Majoxiphalus", "Anuraeopsis", "Calliades", "Pseudopyrochroa", "Macroptilium", "Colasidia", "Microparra", "Gyroidella", "Metacamopia", "Archidela", "Umbraculidae", "Centroscymnus", "Lagenodifflugia", "Taiwanina", "Albertisia", "Zullobalanus", "Heterococcus", "Chonocephalus", "Bugulidae", "Meladroma", "Proterops", "Liaochelys", "Graphina", "Parochmastis", "Salmo", "Leptomyxida", "Laevagonum", "Tribonema", "Gyrocotylidea", "Clathromonas", "Adapidae", "Ternstroemieae", "Scoliaxoneae", "Odontocymbiolini", "Rhopias", "Limnocentropus", "Maxillariinae", "Blastopirellula", "Pereskiopsis", "Dasynini", "Selocomis", "Jurapseudidae", "Amblychia", "Caristius", "Kukufeldia", "Chlamydinae", "Spiculaea", "Parapachygone", "Lophelia", "Paranteon", "Jivarini", "Ammoxenus", "Blossfeldieae", "Pioninae", "Zaclys", "Microstomidae", "Oxyscelio", "Nedoceratops", "Discordichthyidae", "Dimorphacanthella", "Plagulibasis", "Falsoguttulininae", "Liocolpodes", "Messoria", "Paradina", "Polyplectron", "Duvalia", "Selineae", "Haggettia", "Leiopython", "Calyria", "Madaceratops", "Bullopora", "Rohana", "Latrunculiidae", "Heteromastacini", "Eulatocestus", "Tawitawiinae", "Balantidiidae", "Sphaerobacterineae", "Dactylolabidinae", "Baenothrips", "Ebenus", "Dorynotini", "Cristallinaverruca", "Carduifolia", "Chionopsychinae", "Tridynamia", "Alcolapia", "Phycella", "Bolbelasmus", "Androlepis", "Haptoria", "Sabatia", "Pyramidulidae", "Proterebia", "Indobathynella", "Podoscirtinae", "Trichoterga", "Odontobracon", "Synoeca", "Leguminocythereididae", "Kytorhinus", "Megacarpaea", "Filistatoidea", "Cyclodium", "Canindea", "Neilsoniinae", "Ommatides", "Fentonia", "Ornithodes", "Ellisella", "Pseudolcyphides", "Ceylonthelphusa", "Paratriasina", "Erythrodontium", "Vidua", "Miliolida", "Belarima", "Matanzia", "Hemiasterina", "Virga", "Orientalicesa", "Rectarcturus", "Horabagrus", "Fusiturris", "Thephantes", "Sinhalestes", "Phyllodroma", "Lawsonia", "Spatangus", "Kalchbrenneriella", "Utaperla", "Antarctotachinus", "Titanostrombus", "Chrymotiviricetes", "Rhodelinda", "Cidaria", "Paramacera", "Viverrinae", "Trichopeltariidae", "Tachinidae", "Wiesnerellaceae", "Euparkerella", "Cretacallis", "Comatopselaphus", "Diptilomiopus", "Scieroptera", "Brachyspirales", "Calcicola", "Trachelochaeta", "Dasycarea", "Neophyllaphidinae", "Priscibrumus", "Paurodontidae", "Dilophotes", "Cathayanthe", "Procapra", "Cataxiini", "Carphodactylidae", "Carangoides", "Lacazinella", "Hopliina", "Paramaenas", "Callosamia", "Euadenia", "Ataxiodinium", "Sphallomorpha", "Xestophrys", "Podokesaurus", "Eperetmus", "Massartica", "Verrucadithella", "Amoebophilaceae", "Cardiococcini", "Ophiosteira", "Leucopholiota", "Dogania", "Malagidris", "Galatheoidea", "Epelidosphaeridia", "Vallonia", "Falcatpsalta", "Stromatocarpus", "Nasutiphilus", "Nerine", "Dorogostaiskia", "Estenorhinus", "Meliceae", "Coptopsyllidae", "Chytridiomycota", "Septemineophora", "Thaumastus", "Halichondriidae", "Thaiscelis", "Zitella", "Plocamiales", "Platycoelus", "Fibromermis", "Dinomys", "Mastigina", "Marsupiogaster", "Massirachys", "Anoplotrupes", "Hodgesia", "Parabodilus", "Staluptus", "Syntomeida", "Hamelella", "Epitoxis", "Titanophora", "Dicyrtaspis", "Exeiratus", "Calcarisporiellaceae", "Desulfurellales", "MZUA", "Jassopsis", "Santisukia", "Epimicta", "Nesomyinae", "Buccinidae", "Cnecidophora", "Nemourinae", "Belliinae", "Latris", "Argathona", "Perforissidae", "Hirtella", "Paracentropyge", "Karaburunia", "Astropecten", "Zanchismeopsidea", "Caloglycyphana", "Batrisobryaxis", "Apatesonites", "Gonaphodioides", "Cloeotis", "Volutodermatinae", "Gracilosphya", "Seniaulus", "Simodontus", "Antrobythus", "Podomachla", "Tinodes", "Bulbophyllum", "Archontophoenicinae", "Lacunicambarus", "Liuraninae", "Laserpitium", "Oceanisphaera", "Utania", "Barbutodes", "Protocypus", "Hernandiaceae", "Polymastigina", "Phytolinus", "Megaskamma", "Orsodacninae", "Ganthela", "Acroleucus", "Touroulia", "Callodirphia", "Prochrysochloris", "Liturgusidae", "Pseudichneutes", "Nannophya", "Anepius", "Halojulellaceae", "Heterocyphon", "Thaleichthys", "Boleopsidae", "Algophagus", "Sundapyrochroa", "Gymnothamnion", "Alasjapyx", "Brachiaria", "Desmodontinae", "Cyrema", "Conopodium", "Conilorpheus", "Paropsurus", "Bradysia", "Dendoricella", "Madiinae", "Odontotrema", "Sciurillinae", "Muhlenbergia", "Dendrodrilus", "Scarodytes", "Pneumolaelaps", "Callicolaspis", "Stereodytis", "Eosigmoilina", "Atractonema", "Paracardiophorus", "Peristedionelia", "Cretochodaeus", "Verneuilinidae", "Pinarocorys", "Prolobus", "Psammettidae", "Musaspongia", "Usnea", "Nostoc", "Osangularielloides", "Teramnon", "Glochidotheca", "Mucoa", "Ussurohelcon", "Tropidiina", "Tesuquea", "Gripopterygoidea", "Parasenecio", "Disteniinae", "Telephinidae", "Nassulidae", "Tymoviridae", "Poecilafroneta", "Titaena", "Smittia", "Ektaphelenchidae", "Caneorhinus", "Trachyglutosipalia", "Chlamydopteryx", "Chikusichloa", "Sairadelphys", "Colwelliaceae", "Pacholenus", "Haloactinospora", "Carpathotriton", "Drepatelodes", "Melanopsidae", "Zacheila", "Testudines", "Aletretiopsis", "Scythroleus", "Tetrachytrium", "Sylea", "Lutheria", "Ixioliriaceae", "Parandrexis", "Anacampsinae", "Peckardia", "Glochidion", "Chaenactis", "Karyoblastea", "Leptodirina", "Kraengia", "Caledoamblymora", "Psilocarphus", "Diplomystes", "Deeveyoecia", "Allosidastrum", "Laelaptoseius", "Pericymini", "Procampodeidae", "Fabianiinae", "Hypositta", "Cystobranchus", "Niphates", "Coriocella", "Scyloxes", "Ruellia", "Aurecocrypta", "Palaeochara", "Trombidioidea", "Micrabaciidae", "Sloanoglymmius", "Oecidiophilus", "Rondeletia", "Planitrochidae", "Ophiopsila", "Meconematini", "Phoxorgia", "Dugesia", "Montaphe", "Stachylinoides", "Antechinus", "Rhabdopsora", "Oneillornis", "Funariaceae", "Duckeanthidium", "Asajirus", "Eniochobothrium", "Myioparus", "Eucinetus", "Gnathanacanthidae", "Phrynichidae", "Eutrichocampa", "Illusionella", "Bicarinibracon", "Agnathodysteria", "Praealticus", "Neomorphuncus", "Spatangoida", "Pergamasus", "Jejudonia", "Tantillulum", "Modicisalibacter", "Gonialoe", "Heteronyssicus", "Stictonettinae", "Condylura", "Asajirella", "Streptanthella", "Carnimonas", "Sphaerozetes", "Corallomycetella", "Didelphis", "Psidopala", "Dermacentor", "Saccurosa", "Foxidonta", "Pseudergolis", "Stygolepta", "Momoniidae", "Tissanginae", "Huara", "Haplorhini", "Cambalida", "Nothofagus", "Somatipion", "Ammacosola", "Hydrosmectomorpha", "Bathmocercus", "Asiocoleoidea", "Cystoporida", "Chalaroderma", "Cristodesisa", "Longicaudus", "Hemieutreptia", "Setoglaris", "Erymanthus", "Porcostoma", "Fluvinerita", "Cypridopsinae", "Hedinobius", "Ladamarekiidae", "Eutretini", "Diphalangium", "Plectrogonatopoides", "Analoma", "Psiloxylon", "Coloradisaurus", "Diambon", "Mesosetum", "Aliaclitopa", "Spirotextulariinae", "Stelmagonum", "Stenosfemuraia", "Archisenia", "Austmusia", "Apertile", "Pionini", "Lobammina", "Pontederiaceae", "Pappochroma", "Sylviornithidae", "Aphiura", "Tanystetha", "Ctenophorinae", "Cyphaspides", "Pogonoscorpius", "Micropedeticus", "Coelatura", "Rogadinae", "Targaremini", "Pseudoheptaulacus", "Micropholis", "Pseudochoutagus", "Mimocopelates", "Harpostomus", "Elachistidae", "Aglaostigma", "Calicosama", "Ruschia", "Standfussrhyacia", "Neocrophius", "Broinsonia", "Diptychophora", "Microsilphinae", "Aglymbus", "Thaumasocerus", "Lecantotrogus", "Balthasaria", "Cassythaphaga", "Hyperini", "Aphrocallistes", "Exophthalmus", "Duvaliomimus", "Pycnococcaceae", "Sastracella", "Marcepania", "Rutoceratina", "Ctenorhabdotus", "Glacialoca", "Kalchbergiana", "Eoendothyra", "Coremecis", "Sulfurivirga", "Schwiebea", "Dorylogastrini", "Agathactis", "Aulacus", "Ataxophragmiina", "Volucribacter", "Plagiomimicus", "Xylocalyx", "Theora", "Rhynchonelliformea", "Eggerthellales", "Hecalini", "Ahnfeltiales", "Prenda", "Sciadocera", "Bebius", "Psammolagynis", "Serovaina", "Callistachys", "Homalogastra", "Neoeriocheir", "Sangabasis", "Chryseida", "Acanthochiasmatidae", "Dyschirius", "Bosniella", "Paralychnophora", "Anthospermeae", "Luchoelmis", "Durgulina", "Syndesus", "Sphecodemyia", "Astrogordius", "Hong", "Scoliosia", "Philoglossa", "Ctenuchidia", "Hervia", "Shuaria", "Stochomys", "Mesagrion", "Cladomniopsis", "Takayus", "Rosifax", "Chrysocrambus", "Pseudaristus", "Neophysobates", "Sphenochloris", "Calodesma", "Paralampridius", "Peronosporidae", "Syndinea", "Eviulisomatini", "Dyrosauridae", "Baylisascaris", "Opitzius", "Physophoridae", "Chiranthodendron", "Protomyctophum", "Microstoma", "Hydrosera", "Telurus", "Eutartessus", "Revtraviricetes", "Caldisericum", "Paratrechina", "Diaphana", "Negarnaviricota", "Ayriclytus", "Diploblechnum", "Eumetriochroa", "Eryngium", "Murzinoria", "Geonoma", "Ptiloneuropsis", "Rhyacichthyidae", "Microascus", "Euxanthis", "Ecitogaster", "Hemisorghum", "Maracanthus", "Prosperocoleus", "Atherix", "Ephedroxena", "Dasylamprops", "Ctenolucius", "Sylvacoleodes", "Cynodictis", "Coeloneurum", "Cotylorhynchus", "Pseudosyncrypta", "Lydipta", "Abyssaranea", "Sarifer", "Aretaon", "Crossotonotinae", "Dixioria", "Scaptiodes", "Stenomicrinae", "Nyssopsora", "Tarphiota", "Nepogomphus", "Porochloris", "Pterygometopidae", "Litholepas", "Vidius", "Cimicicapsus", "Amphiagrion", "Brunnichieae", "Oxycnemis", "Semiophonus", "Serolis", "Nectridea", "Morococcus", "Fasciolariidae", "Pseudaphelia", "Salibacter", "Pentacladus", "Remionea", "Veillonella", "Compsonema", "Abyssobrotula", "Tonna", "Callinectes", "Neopilinidae", "Hypomartyria", "Andeepia", "Asterarcys", "Temperatibacteraceae", "Pous", "Argentinosaurus", "Dodecolopoda", "Jonas", "Atemninae", "Tarsagonum", "Trichomauesia", "Neboissomina", "Laccognathus", "Haemospororida", "Roproniidae", "Trichognathus", "Rhumbleriella", "Forquilla", "Uncinatera", "Dorcatomiella", "Pachyballus", "Blighiopsis", "Acanthorrhynchium", "Anticollix", "Clinostigma", "Metallichneumon", "Pholadinae", "Nemanthus", "Brachycraspedusa", "Chrysesthes", "Rouxiella", "Ottosonderia", "Nilomantis", "Apibacter", "Polycelis", "Ogcocephalus", "Muehlenbeckia", "Aetalion", "Alphonsea", "Ponturostyla", "Thalassiophysaceae", "Disphragisella", "Araucariomycetineae", "Hoplomys", "Climatiiformes", "Galerucella", "Dientamoeba", "Nanopsocetae", "Granufilaceae", "Eotriceratops", "Magua", "Asteronyx", "Brenthis", "Neaveia", "Paraprogynotaenia", "Ultracoelostoma", "Parasphaerion", "Galeocerdo", "Wandin", "Annandaleum", "Mitophyllus", "Dolichohedya", "Luisogalathea", "Nemichthyoidei", "Anomophaenus", "Heterorrhiniola", "Trigonothops", "Cesacomora", "Enterococcaceae", "Paropsisterna", "Parabolbapium", "Dynoides", "Anoplonyx", "Neomnematium", "Lepoarctus", "Xyloecocoris", "Phragmatoecioides", "Ophiolophus", "Alleurythoe", "Plagiopus", "Lohmanniidae", "Notentulus", "Thymbra", "Tyrogetus", "Parasybropis", "Anchomenus", "Anerastia", "Monachulina", "Stephanoscyphus", "Aedeomyia", "Actinomyces", "Crocothemis", "Duostominina", "Aorchoides", "Thrinax", "Fogedia", "Platysulcus", "Gandaritis", "Subacuminiseta", "Dicamptodon", "Haemodoraceae", "Achillidia", "Linderniella", "Protognathinus", "Bothriocephalus", "Enoploteuthidae", "Rhipidoherpiidae", "Anaspis", "Australotarsius", "Cymocoris", "Myodocopida", "Ischnoscelicoris", "Sitiphus", "Australospilus", "Lampronycteris", "Pravistylus", "Thampramon", "Canthocamptidae", "Campylaimus", "Janseana", "Capurodendron", "Cneoglossidae", "Mesolestes", "Indicovalipora", "Aglaothamnion", "Nasocoris", "Synona", "Pleomassariaceae", "Bullata", "Arachnospila", "Hermesinum", "Tikhinella", "Haliplanella", "Desikacharyella", "Achromobacter", "Genostoma", "Takamatsuia", "Ilytheinae", "Xanthocosmia", "Spintharinae", "Pediculochelidae", "Dictyogenus", "Natronoanaerobium", "Neoserixia", "Oreoscopus", "Tiphobiini", "Roccellographa", "Harpaglossus", "Chaka", "Horologiphora", "Afrochroa", "Georgiacetinae", "Xevioso", "Rhomboconnus", "Roproniinae", "Autranella", "Dendroprionomys", "Neosynedra", "Zamolxis", "Listriodon", "Auriglobus", "Prodentalina", "Sympholis", "Arctostiba", "Lepichelus", "Mythenteles", "Pacal", "Bubastoides", "Opisthocentra", "Pumilus", "Turrilitoidea", "Ceratophyllidae", "Teratosphaeria", "Gamochaeta", "Riekertia", "Antipathes", "Thliboptera", "Bixorestes", "Frondovaginulina", "Ouachitychus", "Diplodasyinae", "Sericomyia", "Xenuraega", "Bochrus", "Rhinodinium", "Crypthecodinium", "Kerteszmyia", "Mironia", "Ropalomera", "Xenolejeunea", "Trematochromis", "Dendrobias", "Kubousa", "Scholleropsis", "Rugilus", "Tetracanthognathus", "Cornuspirinae", "Buteo", "Panurginus", "Balellidae", "Bryogomphus", "Moanasaurus", "Synaptomys", "Phyllidiopsis", "Heteronotia", "Pseudostriatella", "Xenocnema", "Micrarchus", "Diademodontidae", "Anopterus", "Reseda", "Epipolops", "Hylebates", "Leptoscydmini", "Sphindidae", "Miridae", "Caraphia", "Tryssogobius", "Cicadoprosbolini", "Atropisoma", "Neocrinulaceae", "Allotalanta", "Hirtomydrus", "UVC", "Hystrichopsyllidae", "Amastigia", "Vermiculithina", "Dermatobotrys", "Prolinoborus", "Moronidae", "Stinga", "Iolaus", "Squamulinidae", "Kungalariidae", "Neonola", "Pseudokamosia", "Antedonoidea", "Mitraspis", "Telamocornu", "Mitotagenia", "Crenulostomina", "Amphigerontia", "Labiidae", "Ubychia", "Euthesaura", "Hidryta", "Beringomyia", "Matratinea", "Melita", "Arakaevella", "Diatrype", "Grandoculidae", "Harpactorinae", "Do", "Ferrierelus", "Panopoda", "Mecynozethus", "Namanereis", "Catacampa", "Thermopallium", "Acisanthera", "Congothemis", "Encyrtidae", "Chlorellales", "Coryza", "Erythrodermis", "Didia", "Melanosmicra", "Nacaduba", "Paradirphia", "Isturgia", "Stenophylloides", "Anbarrhacus", "Tephritis", "Sphaerotritoma", "Telochurus", "Erpetoichthys", "Ctenidiosomus", "Eutylistus", "Gilbertiodendron", "Dexorinae", "Dictyopyxis", "Sauroposeidon", "Minicorona", "Agrianome", "Morimotanthribus", "Tiddles", "Hypocryphalus", "Microcorophium", "Spathocranus", "Russatus", "Tichocarpaceae", "Hirsutodiscus", "Cilicitis", "Guyanymphula", "Amphineurus", "Dymascus", "Novacaesareala", "Kolleria", "Landisaphis", "Indoleptipsius", "Danaphryne", "Tetrasticta", "Dasyrhamphis", "Gasterosteidae", "Nemapteryx", "Heterocercus", "Cryptoplites", "Bergrothomyia", "Flustrellidra", "Cariniana", "Prostomatea", "Pareiasauridae", "Ampelodesmeae", "Metorchiinae", "Muscicapidae", "Solitariopagurus", "Aphileta", "Buliminoides", "Allopseudaxine", "Microtityus", "Obolidae", "Sporochnema", "Flacourtieae", "Ficoidea", "Buginetta", "Eoenantiornis", "Anthracocentrus", "Agapophytus", "Apterygota", "Desulfotomaculum", "Walesius", "Erethizontinae", "Callicera", "Claroideoglomus", "Aztecarpalus", "Kudoidae", "Horstia", "Hercotheca", "Mesometopa", "Nephroselmidales", "Spondylus", "Geodromus", "Titanosiphon", "Antomicron", "Elytropappus", "Epipsestis", "Giraffimyiella", "Pyramicocephalus", "Aikinetocystidae", "Camptonectinae", "Sundabroma", "Pseudoastrosphaeriellaceae", "Liberonautes", "Uleomyces", "Acicularia", "Epinephelinae", "Tinearupa", "Notorhabdium", "Aquificaceae", "Apostibes", "Agnostoidea", "Berggrenia", "Ornithodiplostomum", "Kappamyces", "Rhinocricus", "Ramboldiaceae", "Boerlagella", "Grusonia", "Apochima", "Decadiomus", "Pontoniphargus", "Kaieteurosaurus", "Leptomitaceae", "Xenalluaudia", "Rhaphidorrhynchium", "Phenacoleachia", "Eretmosaurus", "Dichotomococcus", "Pseudeuplectus", "Symmetrocapulidae", "Hanusia", "Rhaphium", "Abrotanellinae", "Embothriinae", "Mamenchisaurus", "Anyphaeninae", "Micromegistus", "Hormosinoides", "Giloloa", "Acartiidae", "Philinopsis", "Plathypodema", "Alinotingis", "Diplochaetus", "Acanthaspidiidae", "Peripatopsis", "Epilasius", "Platyonitis", "Playstoechotes", "Ironomyia", "Lepisosteiformes", "Phiaris", "Cordyligaster", "Dunalliellales", "Amphibolinae", "Chthonogenes", "Neotrichiorhyssemus", "Tigrinestola", "Phoebemima", "Tachycnemis", "Genostomatidae", "Xoser", "Helpis", "Evania", "Cymbomonas", "Pomadasys", "Touroultia", "Panagaeini", "Leptarctia", "Lapton", "Zangentulus", "Gnorimopsar", "Discoplastis", "Spirobolidae", "Yanornis", "Tafaliscinae", "Neoparacardicola", "Platybrathium", "Biphyllidae", "Polymerurus", "Lassenia", "Caudoviricetes", "Hypocryptadius", "Stenopsylla", "Dielsiothamnus", "Forda", "Poecilosclerida", "Hoperius", "Betylobraconinae", "Tropisternus", "Doberes", "Diadectes", "Cleptocaccobius", "Tetanostola", "Cibacapsa", "Sphaerocetum", "Hedydipna", "Platyscelis", "Anepipleuronia", "Antillia", "Gymnamoebia", "Thorius", "Allecula", "Falkia", "Capilloventer", "Ischnosiphon", "Pseudoleuretra", "Mystroptera", "Rygmodini", "Escovopsis", "Scyphoceratidae", "Bassaricyon", "Calopogonium", "Pseudiastata", "Streptothamnus", "Circular", "Siculocosta", "Austrorhyphus", "Syrmatia", "Patersonioideae", "Tristania", "Gehlenia", "Kewa", "Hylophilodes", "Archiacasta", "Anomalochela", "Pseudohenschiella", "Heterodendraceae", "Fimbriimonadales", "Valeriana", "Aeptini", "Histriophoca", "Hapalogastridae", "Estipulaceus", "Cardopatiinae", "Sekotyphlus", "Protoeuthia", "Amastus", "Parachleuastochoerus", "Acratia", "Crypsithyrodes", "Centropagidae", "Bugacia", "Prostemmidea", "Schoenus", "Senorius", "Thurniaceae", "Deltohyboma", "Teropalpus", "Cyclolinidae", "Harutaea", "Stachyops", "Chloropsis", "Trichocoleus", "Archaeoscinidae", "Zapodinae", "Lilium", "Rougetius", "Blemus", "Scyphostachys", "Cyamichona", "Hypoglosseae", "Austranillus", "Multitubulatina", "Hentschelia", "Capartogramma", "Heliosestrum", "Sciacharoides", "Maskaheros", "Adamasini", "Myricaceae", "Pan-Pleurodira", "Australimoosella", "Burbidgea", "Serpulidicolidae", "Canterburaturus", "Trestonia", "Anchomenidius", "Zegara", "Desulfofustis", "Podabrocephalus", "Derelomina", "Anaphorinia", "Evinus", "Dibrachionostylus", "Loricula", "Chiliphileurus", "Asticopyrgodesmus", "Neoglassoceras", "Gassicurtia", "Ordrupia", "Erythrocles", "Lygaeospilus", "Alasia", "Leptochlorella", "Binneyidae", "Probathylepas", "Tristellateia", "Xylobiini", "Australotydaeus", "Styloctenium", "Cubadeutella", "Chuniellidae", "Apospasta", "Passalopalpidae", "Cladodoides", "Acanthicomus", "Echinophallus", "Ctereacoris", "Aseminae", "Afroepacra", "Tylidae", "Noumalia", "Cinclidae", "Planochelas", "Thalassiophysales", "Cipuropsis", "Textulariella", "Dilycochtha", "Anchisauria", "Pilopogon", "Encephalartinae", "Megatheriini", "Macropliopsis", "Amarygmimus", "Sphaeropauropus", "Micromandibularia", "Isichthys", "Afrotarsius", "Blabomma", "Lautosphaeria", "Latodrepanus", "Commelinaceae", "Urelytrum", "Paracolomerus", "Adota", "Chrysophyceae", "Plagiobothrys", "Sagenista", "Pseudotorymus", "Neosiluroides", "Litostylodes", "Kituba", "Osteulcus", "Rikiosatoa", "Musaspongiidae", "Anisagrion", "Arbutoideae", "Ultratenuipalpus", "Darlingtonica", "Anauxesida", "Plumaroides", "Rhabdomesina", "Andesamerus", "Cydnotomus", "Astroscleridae", "Diaphanidus", "Locustopsidae", "Isoxya", "Filifascigera", "Semasia", "SALA", "Naduna", "Isotima", "Thalassomya", "Liaoxiornithidae", "Praesiricidae", "Hydrocynus", "Acidobacteriaceae", "Hieris", "Ophiocten", "Pseudagrionoptera", "Coyolesia", "Stenoma", "Compsoglossa", "Axonchium", "Schraderia", "Breddiniolini", "Sphenariini", "Meconemus", "Homoserinimonas", "Stayneria", "Eocencnemus", "Noasauridae", "Paralemanea", "Loebliozethus", "Laminalloptes", "Leptomesosella", "Sesleriinae", "Kathistaceae", "Arimacoris", "Hidina", "Ilumomonas", "Cochlearius", "Paleomelitta", "Ancylomenes", "Berlaraxis", "Djalmabatista", "Rosensteiniidae", "Potosia", "Austroacacidiplosis", "Lethosesthes", "Grypocephalus", "Amphikrikos", "Zhejiangopterus", "Benthemia", "Syntectodes", "Eudigonidae", "Nematochrysopsis", "Amboinophela", "Coleothrix", "Hemiandrus", "Haplopsebium", "Guinotia", "Eueupithecia", "Liagoropsidaceae", "Amapamiris", "Megadontomys", "Westiella", "Mychodea", "Syrdenites", "Bertula", "Hippobosca", "Brontotheriidae", "Loxomespilon", "Ortaliinae", "Novapus", "Volvox", "Jerzego", "Biterolfa", "Pereiraidium", "Humbertieae", "Acomys", "Breviscutheissia", "Splachnales", "Protomorpha", "Dexiogyia", "Pseudolepiota", "Pseudoparrellinae", "Gnetum", "Hungaiidae", "Aramides", "Otostomus", "Gigantomonas", "Stigmatophthalmus", "Dichrosoma", "Scorzoneroides", "Zentrygon", "Adenomera", "Mictlana", "Setocoris", "Remizidae", "Thysanarthria", "Neurachne", "Amaryllidoideae", "Arizona", "Cuninidae", "Monocharis", "Mimauxa", "Actinostemma", "Stegopterus", "Eucryphycus", "Traccatichthys", "Plateilema", "Pseudodoryctes", "Nisax", "Omphalopappus", "Ocularoleiopus", "Petauroidea", "Monobrachiidae", "Callidulinae", "Pearsonomys", "Uroderma", "Dyscheiloceras", "Dussartcyclops", "Neraudia", "Isepeolus", "Hiboka", "Homopus", "Pemanoa", "Pantilius", "Hercitis", "Oniella", "Plakarthriidae", "Ceromidae", "Pseudotextulariella", "Ramobia", "Thalassocalycida", "Hainanaella", "Lomechusina", "Ceratalictus", "Repapa", "Wurmiella", "Sinotrechiama", "Actophylla", "Asanoa", "Aulofolliculina", "Synallaxini", "Mycerinodes", "Diporeia", "Dolichorhininae", "Hepatozoidae", "Pectoctenus", "Festulolium", "Julietiella", "Ugloderes", "Tapas", "Gyrodonta", "Seabracoris", "Gelonaetha", "Elasmus", "Hygraula", "LBRC", "Kerplectus", "Herrickia", "Hilarimorphidae", "Zacoleinae", "Lokia", "Schumannianthus", "Sculptolobus", "Athrotaxites", "Acteoninoidea", "Adriogloia", "Aphneope", "Daseochaeta", "Ephyrodes", "Epermeniola", "Neocallimastigales", "Melanochromis", "Cosmiomorpha", "Urechis", "Nodastrella", "Spicospina", "Naviculaceae", "Sigmoscyllium", "Pseudobradyina", "Fimbriiglobus", "Paraphaenops", "Neogebicula", "Myopitini", "Cordiamaurops", "Sahlbergianus", "Tesia", "Desulfosalsimonas", "Amyella", "Meroscalpellum", "Plesiocerini", "Eusirogenes", "Cribrospiroloculina", "Paraeuophrys", "Liadopsyllidae", "Okia", "Boletopsis", "Rhizophoreae", "Tupuxuara", "Suctobelbella", "Oncosterna", "Solinviviridae", "Diastyloides", "Serikendusa", "Paradistigma", "Parasphaerosyllis", "Gyrocoeliinae", "Papuapsaltria", "Nouelia", "Dicoelia", "Tettigarctini", "Belonolaimidae", "Aderidae", "Synaphe", "Platythomisus", "Paracephaelis", "Paromalostomum", "Mucomassariaceae", "Rhegmoza", "Conopyge", "Neoibidion", "Huttonaeinae", "Cossura", "Hapithina", "Tozeuma", "Lepilemur", "Grossera", "Seira", "Holmania", "Antilopsocus", "Markhamia", "Duthiella", "Hoplophthiracarus", "Calycophorae", "Odontura", "Meteorideini", "Fissodopsis", "Lestignathina", "Carcharias", "Stagmomantinae", "Afissula", "Pyrobolella", "Ascalaphini", "Flammoconchinae", "Colchicaceae", "Trematoda", "Enteropneusta", "Pentacolossendeis", "Eoenantiornithiformes", "Osmanthedon", "Echiniscus", "Selenidera", "Aspatha", "Rivulus", "Paranaemia", "Mirothrips", "Platystomos", "Stradnerlithus", "Cerba", "Simarus", "Mesochorella", "Eryngiopus", "Lindmania", "Leptohymenium", "Rhodognaphalon", "Goniocidaris", "Platycarpheae", "Tandanus", "Terebellides", "Eudalaca", "Lernecella", "Neolucanus", "Raucalius", "Triculini", "Mikania", "Panaphantina", "Trigonocera", "Megacydnus", "Alzadaesthetini", "Limnobatodinae", "Gekkomorpha", "Lycidocerus", "Dierla", "Moolapheonoides", "Chilecomadiinae", "Talitrus", "Cladispa", "Aproceros", "Kangerosithyris", "Dermestinae", "Woronichinia", "Esalquinus", "Leucobrephos", "Scaraboides", "Cryptobiina", "Sesapa", "Furcalis", "Storthosphaera", "Daturella", "Diaphorocellus", "Leptoderma", "Xinjiangchelyoidea", "Elasmias", "Clavopelma", "Pterobryellaceae", "Spirocyclistus", "Laotrichia", "Hedinomorpha", "Saliciphaga", "Oxydendreae", "Apseudes", "Afraflacilla", "Mictosoma", "Pardalaspis", "Obuloides", "Gongylolepis", "Limonioideae", "Lordiphosa", "Nemadina", "Trigonoplectus", "Restiopria", "Saligranta", "Megaspilates", "Bystrowianidae", "Yemmatropis", "Anapisona", "Pleurota", "Andinarampha", "Lusiuxta", "Chambeyronia", "Gonostegia", "Agnus", "Euteliinae", "Liberiblattinidae", "Tremachoridae", "Papillibacter", "Aulana", "Dolichocercus", "Cerasicoccus", "Ramicandelaberaceae", "Huananaspis", "Luca", "Pomelia", "Prosthoporus", "Litoricola", "Acidimicrobiia", "Kiitricha", "Halostylodinium", "Scytosiphonaceae", "Paraepora", "Streptocaulon", "Ephydridae", "Polyctenium", "Ardissoneaceae", "Umbiliceae", "Allosoricini", "Lamprocheilina", "Validallium", "Pseudokerremansia", "Velodona", "Cylicobathra", "Paquirea", "Crisius", "Angelabella", "Anodonthobius", "Sinobacterium", "Geothermobacter", "Elongatoserixia", "Grandilota", "Dologale", "Plicobothrium", "Mibora", "Ornithoctonus", "Charitodoron", "Pelmatocerandra", "Squaliomicrus", "Abrotoxyela", "Carinodulinka", "Hylicelloidea", "Planipona", "Ectyphoscelus", "Diplocephaloides", "Squamulina", "Antestrigini", "Kuwania", "Mniusa", "Hakaharpalus", "Schizodon", "Rhabdoderma", "Perriera", "Spelyngochthonius", "Pseudowebbinella", "Festucalex", "Hayashikeia", "Helicostegina", "Eurychone", "Perischelia", "Microlophia", "Gadomus", "Brasiliellinae", "Hesperotyphlus", "Parapallene", "Lelehua", "Perileptus", "Polysolenia", "Billingsellidina", "Coxoplectoptera", "Dictyopyxidia", "Leptochitonidae", "Yaginumena", "Dippenaaria", "Minutocellulus", "Melaphe", "Tagulini", "Crocynia", "Pseudostaffella", "Spaniolinus", "Phalcini", "Loxoconchidae", "Stenichnaphes", "Arbusculina", "Rhodochaetaceae", "Dapsilitas", "Brachyattalus", "Sclerodistomoididae", "Acanthothamnus", "Alcmena", "Escarpamenta", "Typhlonesiotes", "Eudromia", "Chlamydomonadopsis", "Taoniscus", "Neorrhyncha", "Cryptocala", "Tetramoriini", "Anoplogynus", "Phiomorpha", "Codoneae", "Zavana", "Chonetidina", "Sajanella", "Hilarempis", "Plicosepalus", "Galaria", "Threlkeldia", "Filophryxus", "Pedobacter", "Neaneflus", "Aniliidae", "Centromus", "Loeflingia", "Hisonotus", "Adinobotrys", "Cyathopus", "Ganaspidium", "Polyphemus", "Haladaptatus", "Passeridae", "Perieodrilus", "Barbaroscia", "Hamrabatis", "Maisi", "Spalangiinae", "Eupodidae", "Pliosauroidea", "Pemptoporus", "Alpioniscus", "Siralus", "Argulus", "Alloascoidea", "Mantasoa", "Costasphaera", "Kahawaia", "Stemona", "Hipoepa", "Prolacertiformes", "Caulochytrium", "Cossonini", "Atlantoxypoda", "Archaesphaerinae", "Onychoglenea", "Amneidus", "Loranthaceae", "Apororhynchus", "Cymus", "Catapterix", "Exogemmida", "Johannesbaptistia", "Uenoites", "Vitrinidae", "Tetrapturus", "Corrugatocephalum", "Caligodorus", "Isoclavus", "Acyrthosiphon", "Niadina", "Hagleromyces", "Steinernema", "Danuviella", "Pleomorphobacterium", "Pycnoflatsor", "Crithioninidae", "Dickeya", "Rhinorex", "Pseudechiniscus", "Habreuresis", "Metacoptops", "Apocedria", "Zestusa", "Africoseius", "Eriandra", "Paralomys", "Brassia", "Ozarcus", "Othnocerus", "Neodermata", "Stiborus", "Paranaches", "Lipotrapeza", "Lycopsis", "Anisopygus", "Herteliana", "Tainisopidae", "Hyblaeidae", "Neomantis", "Shikhanitidae", "Micropholcomma", "Sinocalosoma", "Dichogamini", "Pararondibilis", "Nothoprocta", "Spicantopsis", "Colax", "Sinaphodius", "Cudoniaceae", "Cicatripraonetha", "Eriomoeszia", "Pteromyini", "Psectrotarsia", "Acrobleps", "Cheyletiini", "Heynigia", "Medophron", "Utra", "Leehermania", "Leptathanas", "Calodisculus", "Spermophilopsis", "Eubria", "Caradrinina", "Phoeniconaias", "Chromocryptus", "Anisoscapus", "Ammospirata", "Bourbonia", "Endogenida", "Pyrgotis", "Rykanoryctes", "Clothodinae", "Biconcava", "Pyrophacus", "Stylochoposthia", "Balachowskyna", "Cyanistes", "Catagela", "Placospermum", "Evides", "Briareum", "Salinibacteraceae", "Threticus", "Maratecoara", "Lophotettiginae", "Batriscenellus", "Scopesis", "Quillaja", "Eubuliminella", "Scolodontoidea", "Capsa", "Tholoniidae", "Acrotaeniostola", "Amycus", "Appunia", "Parazorilispe", "Epistominita", "Trikentrion", "Baicalobdella", "Mesovagus", "Trachytidae", "Pulleniella", "Halomycetaceae", "Oligarthrum", "Aldorfia", "Stenaxis", "Ctenostoma", "Alluviobolus", "Perca", "Hymenocladiopsis", "Costatomezium", "Gnorimoschemini", "Microzestis", "Aktinothele", "Bamarooka", "Dilleria", "Psychrolutes", "Azorastia", "Chrysitricheae", "Opisthotropis", "Oxyprora", "Aegoidus", "Ampedus", "Thysanophoridae", "Ianthopsis", "Hypoeschrus", "Mesotardigrada", "Notaticus", "Cotton", "Nyctibatrachidae", "Heterolepidoderma", "Naviauxella", "Stachyocnemus", "Anthemus", "Rhynchomeles", "Maiacetus", "Papuadocus", "Phyllotelini", "Licnostrategus", "Langapseudes", "Rigidsociaria", "Radiosphaera", "Cribropullenia", "Leptognathiella", "Propilsbrya", "Elytroleptus", "Lucio", "Moraceae", "Epicoma", "Yimbulunga", "Acaridida", "Tynommatidae", "Sagenotortula", "Tritella", "Amphitretidae", "Grahamomyia", "Paramigas", "Damasonium", "Gyrostemon", "Tanseimaruana", "Diopsittaca", "Brullea", "Myxus", "Acangaobitermes", "Eremogoneae", "Scopalina", "Brotulotaeniinae", "Agraulidae", "Speocolpodes", "Bolivinitoidea", "Argissa", "Metron", "Posantias", "Macrambyx", "Eunotela", "Caularisia", "Rhombocystis", "Monosigidae", "Hypsotropa", "Nossa", "Amphipterygium", "Pedipedinae", "Androscydmus", "Spinegesina", "Achaera", "Eunotia", "Cophomantella", "Treubariaceae", "Atherinella", "Chondropomatinae", "Microcarbo", "Neostaffella", "Polyozosia", "Cheirolepididae", "Metabothriocephalus", "Desmithamnium", "Lituiherpia", "Inermestoloides", "Klinodiscus", "Brevicoryne", "Gibberifera", "Necyria", "Pachydiadema", "Neocorus", "Pussylineidae", "Rifargirella", "Lasaeidae", "Lavia", "Volutini", "Mesomyzostoma", "Nyssonini", "Euthorinae", "Cymbalopora", "Fallaciella", "Alpinieae", "Crocinobacterium", "INALI", "Ypirangathemis", "Neolevansa", "Pararhexoacrodictys", "Allionia", "Cnemidocarpa", "Zoica", "Phthirocorisella", "Cissidium", "Euodia", "Oropetium", "Autotela", "Fusarchaiasinae", "Drepasiagonusa", "Lithopolia", "Pleuranthodium", "Orbitina", "Paratachycines", "Kryzhanovskiella", "Karumia", "Elampini", "Birgerius", "Omocnemus", "Sphenarina", "Aphotaenius", "Pseudaphidius", "Chinattus", "Heteroscymnoides", "Deperetellidae", "Barypeithes", "Sulcostocythere", "Babras", "Cryptozophera", "Spongoclonieae", "Gobionellinae", "Sphaeromides", "Paraterelliina", "Remosa", "Antivulgarinae", "Macrones", "Leesi", "Margaritifera", "Phractura", "Xerophyta", "Rhytidanthera", "Vulpicida", "Haematopodidae", "Neoephydra", "Cyclasterope", "Asmenophylax", "Drabescus", "Horadandia", "Enoplocotyle", "Artediellichthys", "Aprosictus", "Palpopleura", "Microthespis", "Forsterella", "Tetrapora", "Helicopha", "Philoros", "Exochochromis", "Narayania", "Ampullamonas", "Ochrosphaera", "Lysithea", "Ebertarctia", "Prescottia", "Sirrhas", "Neosalica", "Flabellidium", "Miostylopyga", "Thoreauomyces", "Assamioidea", "Marsupulina", "Heterocalycina", "Ethusinae", "Estimata", "Orchideae", "Rhizochrysidopsis", "Hyrtios", "Synaptantha", "Helietta", "Physoderes", "Ericeae", "Amauropelta", "Cyrtostylis", "Xiphinema", "Plioreocepta", "Aulacopus", "Leptotogea", "Cetomimiformes", "Nototanaidae", "Iolaini", "Oreiallagma", "Hespenedrini", "Marthula", "Eucurriea", "Paramoron", "Tyrrheniella", "Galipea", "Clinanthus", "Paraphortica", "Eugenysini", "Metarbela", "Orycteropodidae", "Sinopotamon", "Neosaproecius", "Metadioxys", "Stolonophora", "Triassamoeba", "Spirofilopsis", "Heptatoma", "Pinirampus", "Acentroscelus", "Regenopolipus", "Entodiscus", "Lepidostromatales", "Epischura", "Acaciothrips", "Chloroflexia", "Hexamita", "Cythereinae", "Pseudosinopla", "Histriculus", "Atacama", "Anomaluridae", "Stacota", "Daphnella", "Grammopsis", "Popeus", "Chukchia", "Oodinkosa", "Globopsocus", "Chalcotropis", "Allencotyla", "Luidiaster", "Morulodini", "Euander", "Acroneuriini", "Phacellothrix", "Balionebris", "Ptenidium", "Lepidoteuthidae", "Pseudocheirinae", "Cepaea", "Homona", "Demtrius", "Vassobia", "Yunquea", "Elmisaurinae", "Insectivora", "Cladura", "Disparocypha", "Rivasia", "Hisarai", "Rhipsalis", "Sclerochiton", "Mocsarya", "Diastatotropis", "Casuariidae", "Phyllosiphonales", "Patellammina", "Cyocyphax", "Chillagoe", "Osoriella", "Sinskolutella", "Iliamna", "Rhinacanthus", "Nigersaurus", "Paramecus", "Oculatella", "Hypodontiaceae", "Allopseudopisthogyne", "Cavilucina", "Lyria", "Stenobrimus", "Notholca", "Himalmartensus", "Myriochila", "Chlainomonas", "Thysanocrepis", "Latana", "Psephothetemusa", "Tovarocoris", "Holjapyx", "Luciosoma", "Wyushinamia", "Heteropedia", "Bedotia", "Allobodilus", "Archaeoglobaceae", "Punctodensus", "Carventinae", "Caruso", "Onychoteuthidae", "Eumorphocerus", "Ciccaba", "Asymplecta", "Cerithiopsis", "Leschenius", "Novascuta", "Schouwia", "Saurolophinae", "Caesetius", "Passalora", "Lacteoscythis", "Geinula", "Hippiscini", "Sminthopsini", "Amasha", "Microhadrestia", "Aristaenetoides", "Paranephelium", "Xanthinae", "Parantennuloidea", "Hemigrammocharax", "Angelocabrerus", "Cathayornis", "Saussurea", "Andesimyia", "Pseudopleuropus", "Podoxymys", "Torneumatini", "Teratomyza", "Hexagonoporus", "Ceratomansa", "Cornuroncus", "Arhuaco", "Tycherobius", "Podocoryna", "Hebetoechiidae", "Cymodusa", "Lechytia", "Acantholichen", "Rhynchocyrtus", "Otteiini", "Xypetana", "Allomonas", "Lispinuncus", "Zachria", "Bicosoeca", "Microorbis", "Sorelia", "Calophanoides", "Muzoa", "Myctophiformes", "Ophtalmibidion", "Camapterus", "Muscinae", "Electraglaia", "Pachymelus", "Protelminius", "Sphragidium", "Teratozephyrus", "Hemictenata", "Lamellothyrea", "Cayetunya", "Erophylla", "Turanoclytus", "Amida", "Nesophila", "Pycnoderiella", "Adoxia", "Proutianini", "Fimbriimonas", "Gaius", "Parandraceps", "Cyclinella", "Securigera", "Inuleae", "Cremnomymar", "Halofolliculina", "Vacronini", "Wuacanthus", "Stilocharis", "Firmiana", "Tiborella", "Ladenbergia", "Vania", "Lemurophoenicinae", "Clausidae", "DSM", "Megaentalina", "Geballusa", "Propylea", "UNT", "Scottotympana", "Oxyomoides", "Stachyptilidae", "Diptacus", "Romanogobio", "Dimelaena", "Kerivoula", "Monomorium", "Codonella", "Sylphella", "Drepanididae", "Psittrichobius", "Chilodus", "Pterygocalyx", "Diprociphilus", "Sundanellidae", "Syrrheonema", "Psotilnus", "Coccinellini", "Rugonectria", "Musotiminae", "Carisseae", "Neocomatella", "Caldcluvia", "Xantho", "Lepidaphis", "Pseudocymus", "Agrilodia", "Neohypnella", "Endoclita", "Gymnophaps", "Belminus", "Herdoniini", "Prioneris", "Pseudoscypha", "Akimerus", "Hellinsia", "Hestinalis", "Anomalon", "Oxylakis", "Hyaenodontinae", "Nearctaphis", "Trachoecidae", "Chloeria", "Bathycoccaceae", "Podabrus", "Prepona", "Aliihoeflea", "Baryphymula", "Neoschwagerinidae", "Barrosellini", "Kaikoja", "Bawitius", "Rhytimorpha", "Torodinium", "Syntrophomonas", "Spilogale", "Amphientomoidea", "Paradrymus", "Temnadenia", "Meoticaops", "Enedena", "Anopulvinaria", "Yurigocimex", "Binarcifer", "Petroselinum", "Clypeocaenini", "Neotanaidomorpha", "Leguini", "Travisia", "Graptolithina", "Hoploscopa", "Ophioscolecidae", "Remaudiereana", "Prosynactus", "Geomitopsis", "Aglae", "Paludibacter", "Thryonomyidae", "Stylidocleome", "Myrmeciocephalus", "Breviscutaneurus", "Philepitta", "Goniothecium", "Desulfitibacter", "Dolbogene", "Isporisini", "Nertinini", "Ceratoppiella", "Finschia", "Grewieae", "Arcticiflavibacter", "Squamopappus", "Krugeria", "Proecini", "Neospiroloculina", "Dogoia", "Tamaricihabitans", "Goniopneustes", "Pachnephoptrus", "Balanda", "Paratelphusa", "Cladius", "Skleroptera", "Lubbockiidae", "Coelopencyrtus", "Falsochrobactrum", "Oyarzuna", "Pteronarcyidae", "Greta", "Straussiella", "Vitoideae", "Stenaspis", "Pamphilioidea", "Parapleurocrypta", "Eriachaenium", "Jolyna", "Nototremates", "Etainia", "Mystus", "Tatera", "Pytheus", "Stellicomitidae", "Medon", "Onchidoridoidea", "Phoeniciloricus", "Hydrocyphon", "Lestinoidea", "Bandelia", "Indutolaelaps", "Isoptericola", "Anommatoptera", "Synchytrium", "Analophus", "Cicadmalleuini", "Buprestini", "Eubriinae", "Cyclophoridae", "Plectocryptus", "Rauserina", "Molinieae", "Fucistia", "Oreoglanis", "Balkariidae", "Terpnacarus", "Uloola", "Ministeriida", "Tarucus", "Solaropsinae", "Cercaria", "Didymeles", "Nodosarchaediscus", "Uvaroviella", "Hapsifera", "Uromacerina", "Mesodontini", "Solomona", "Schwagerininae", "Lacconectus", "Juditha", "Chalicostroma", "Leptomesosa", "Paraeurybata", "Darantoides", "Giraffidae", "Debia", "Ummeliata", "Enhypnon", "Hyperstenichnus", "Phintelloides", "Daustinia", "Limnofila", "Phycoflabellina", "Emberiza", "Rosenia", "Dicranopteris", "Jefea", "Halisotoma", "Sarcoglanidinae", "Sweetocoris", "Botryosphaerella", "Bellium", "Spinosophroniella", "Craniella", "Ophiocymbium", "Arrhenodina", "Cutaneotrichosporon", "Siphonophoroides", "Macrodontiini", "Borisiclymenia", "Pachyticon", "Archaeodemus", "Otocinclus", "Imeroherpiidae", "Bornebuschia", "Erythrospermum", "Leucosporidiaceae", "Tessellota", "Crocotania", "Myrtella", "Dorididae", "Microhoweina", "Cyclocarpa", "Carruthersia", "Megalotocepheus", "Pegolettia", "Arionoidei", "Didymocistus", "Cheiramiona", "Pappobolus", "Plochionus", "Halimocnemis", "Helleborinae", "Cordagalma", "Chromohalobacter", "Mimogonus", "Charinides", "Trachygamasus", "Turrispiroides", "Confervea", "Afroprinus", "Indomicrus", "Brachycereus", "Trypanoplasma", "Stegocephalina", "Protocharon", "Persianthrombium", "Simachus", "Vavia", "Cylindromonium", "Chanos", "Osmundea", "Netzelia", "Ophionephthys", "Moriaphila", "Orthoteliinae", "Gyptis", "Acestrocephalus", "Cyphagogus", "Schizothorax", "Archocyrtus", "Odontoedon", "Psithyrus", "Metepeira", "Dikwa", "Wopfingites", "Thuramminopsis", "Sphaerioeme", "Euriphellus", "Nannocandona", "Agapetinae", "Pharetrophora", "Horkelia", "Aulacocyclus", "Pyrginae", "Helminthoglyptinae", "Ziphiinae", "Nesphostylis", "Ophiopteris", "Austrocladius", "Apogonidae", "Reussella", "Falsocleptometopus", "Pseudoperma", "Slanimals", "Tasmanitachoides", "Neosynaptops", "Davidsea", "Edriobittacus", "Dromica", "Odontites", "Morseinae", "Tricoliinae", "Catamblyrhynchus", "Oleandraceae", "Repantavirinae", "Deckerellina", "Desmaulus", "Planticonsortium", "Schizogyniidae", "Deinococcales", "Megacelaenopsidae", "Calobracon", "Silvacola", "Leptoporolithon", "Parasycorax", "Stadtmannia", "Pachyarmatheriidae", "Pseudoudoteaceae", "Poaphila", "Humptulipsia", "Benjaminia", "Pancratium", "Sakmarites", "Zelandobates", "Macarthuria", "Carboxylicivirga", "Thiomargarita", "Gastropoda", "Jonesiaceae", "Economidichthys", "Otalini", "Pyractonema", "Neonesiotes", "Astatumen", "Coalisina", "Mongolocampinae", "Megachilinae", "Hirsutonuphis", "Giraffokeryx", "Tipula", "Cyclops", "Falklandella", "Rogmocrypta", "Indopadilla", "Pseudomyllaena", "Dromicimyobia", "Puliciphora", "Akanthophoreidae", "Epiphragma", "Argoravinia", "Satondella", "Enterobacteriaceae", "Desmatippus", "Leptosemiina", "Folsomotoma", "Silicotubidae", "Ophthalmotilapia", "Paramegistoidea", "Hippophae", "Banchus", "Aphredoderidae", "Khotontaphis", "Guestia", "Aeginetia", "Menthinae", "Parahancornia", "Stereosandra", "Strobilidiidae", "Yabeina", "Lepidocyrtus", "Surijokocixiidae", "Lanarkia", "Caloscypha", "Bonziinae", "Rangomaramidae", "Saturniini", "Pseudachloa", "Riekoperla", "Nadinella", "Entoniscus", "Barygnathella", "Neocherentes", "Ecougella", "Cairina", "Cyphogastra", "Nauclea", "Genistellospora", "Cyphicerini", "Trogloneta", "Gymnoscelis", "Idiovulpecula", "Orbivestus", "Phocitremoides", "Dictenidia", "Stilbopteryx", "Elytrobaeus", "Ligularia", "Sialoherpia", "Paradoxididae", "Telobella", "Giubicolanta", "Matigramma", "Dicentrarchus", "Scaphiophryninae", "Pasteuriaceae", "Spifemodes", "Aquilargilla", "Piestus", "Myosomatoides", "Cryptocapnos", "Aphroceras", "Bryomanginia", "Mormolycina", "Haloclava", "Aggregicoccus", "Notagogus", "Pycnomerodes", "Tenrecomorpha", "Abathescalpellum", "Synecitonides", "Leiporaphes", "Echinoporidae", "Ophiozonoida", "Eboda", "Hemadara", "Anavilhanatrema", "Aucklandella", "Ptyctolaemus", "Leptomias", "Hassallia", "Heteromurini", "Pleurata", "Koalliella", "Licneremaeoidea", "Rhynchaglaea", "Maorigoeldia", "Petropedetes", "Ptyochromis", "Platichthys", "Ruthvenia", "Nematosphaeropsis", "Chrysopelea", "Fluvicolini", "Eigenmannia", "Orygmatobothrium", "Nealotus", "Athanopsis", "Solariellidae", "Varnia", "Newtonius", "Arcturididae", "Oedicerina", "Neosamytha", "Phymatodes", "Ciconiidae", "Archanara", "Notoaeschna", "Acestridium", "Ptilorrhoa", "Ussuriana", "Neoxychirota", "Laubierinidae", "Synercticinae", "Tityus", "Neorhytidelasma", "Panisaspis", "Cirrorhynchus", "Amphibulima", "Sanazarius", "Spurilla", "Reticulocephalis", "Tetrapusinae", "Boscia", "Exocentrus", "Neacratus", "Paramilina", "Myrmecaphodius", "Mimomyrmecia", "Muritaia", "Conescharellinoidea", "Psamminidae", "Brotulinae", "Halionyx", "Booranus", "Gallitellia", "Athyrium", "Leuconostocaceae", "Glypholomatinae", "Psephenidae", "Calycosoma", "Strombophorus", "Taricanus", "Lophognathellinae", "Nolini", "Notoconopinae", "Hypoxidaceae", "Paranaleptes", "Phaethornis", "Blumeodendrinae", "Amantichitinum", "Malgassophlebia", "Crepidonellus", "Annulocibicidinae", "Arhopala", "Disanthus", "Acosmerycoides", "Corisphaera", "Burmannia", "Caecum", "Tafaliscini", "Belemnoteuthina", "Postgaardi", "Wugigarra", "Greeniella", "Penicillifera", "Ageiton", "Octogonotes", "Baerbonaia", "Aprosdoketusa", "Kinundastethus", "Dacrymyces", "Eolepas", "Ascidianibacter", "Euetheola", "Reductoniscus", "Hemiarius", "Ceratolycus", "Actinus", "Conicospirillinoides", "Chinchillula", "Rhynchitina", "Incisus", "Sierraclava", "Acyclania", "Torymoides", "Conchoeciinae", "Glaucocharis", "Acetanaerobacterium", "Undoneurini", "Aeliopotes", "Phareodontinae", "Epermenia", "Galathocrypta", "Rindgeopoya", "Epiophlebia", "Placobdelloides", "Orthonevra", "Loxicephalinae", "Kempella", "Plectonema", "Peristactis", "Allanhancockia", "Adeopapposaurus", "Phrynosoma", "Anthocerotaceae", "Neolysandra", "Poretzkia", "Lepidion", "Ophiostoma", "Paradorydiini", "Arriguttia", "Endodothiora", "Galerita", "Spiromastigotes", "Platypona", "Dactylochelifer", "Stroinolepis", "Leptopelios", "Trichaptum", "Sphenosyntexis", "Mytiloidea", "Pseudomarivita", "Ecchlorolestes", "Guaranisaria", "Ephemerum", "Sigmoidala", "Cinachyra", "Leptorhabdium", "Endroedyantus", "Plagiotheciopsis", "Psilocymbium", "Bintoniellinae", "Eteinopla", "Premnornis", "Glenosema", "Sorostomasphaera", "Aganais", "Gaudiella", "Cipactlichthys", "Methylacidiphilum", "Pandionacarinae", "Liriodendron", "Apatochernes", "Trionychoidea", "Leucochloron", "Spirorchiidae", "Spea", "Echidnocymbium", "Ceratinops", "Vermileonoidea", "Nephrochlamys", "Ovipalpus", "Chelapsalta", "Dissochondrus", "Neohalohygia", "Mesolobites", "Temnelytra", "Rhamphorhynchinae", "Munda", "Pelecystola", "Notiocoelotes", "Diploxyini", "Hallella", "Clusiota", "Nodosaria", "Furcotanilla", "Theama", "Hoplapoderus", "Nemuaron", "Paraglomus", "Bembidiini", "Microparsus", "Hoplochaetina", "Pristurus", "Galactomyces", "Dolichomiris", "Rhyscotidae", "Palaeophanes", "Hicksbeachia", "Gressitticoris", "Diffusilina", "Parajauravia", "Afrotormus", "Mimetasterida", "Mitrops", "Metalycaea", "Sura", "Parbatthorax", "Acalodegma", "Psilogobius", "Entodiscidae", "Regnellidium", "Heriaecini", "Butleria", "Amphiallagma", "Archoleptonetinae", "Pijpersia", "Acrophonus", "Euryphoridae", "Palmon", "Vagitanus", "Tympallopatrum", "Lophiotremataceae", "Pseudotorinia", "Tarsosteninae", "Perissodactyla", "Macrotarsomys", "Chelisochidae", "Craugastorinae", "Vandiermenia", "Polycentropus", "Kathetostoma", "Joliffieae", "Austroserphinae", "Cneoridium", "Culleopharynx", "Mantonipatus", "Ischnovalgus", "Haplidia", "Brathinus", "Androctonus", "Eachamia", "Tersicoccus", "Cushmanidea", "Climatius", "Sternidius", "Proetoidea", "Agaristinae", "Silvaninae", "Cearacesa", "Gymnostomiella", "Euptilocladia", "Saitini", "Witwateromyces", "Climacodium", "Meru", "Charisius", "Clonophis", "Haplodina", "Hydrochidae", "Macrocheles", "Susaninae", "Parkerola", "Bimichaelia", "Goliathini", "Hexaplex", "Lentimicrobiaceae", "Pamea", "Almonia", "Actinodinium", "Tanysphyrini", "Trichypena", "Pseudobscura", "Chthiononetes", "Plectopylinae", "Aschiza", "Praeornithurae", "Neomphalida", "Trachyphloeus", "Pandeleteius", "Triopha", "Xenodota", "Hypotiini", "Spialia", "Sessiliospora", "Patis", "Termitosyne", "Sepiadarium", "Armitermes", "Zeugites", "Coptomma", "Chamaelops", "Pleolophus", "Aoplocnemis", "Mendozamiris", "Holothuriophilus", "Stiphrosoma", "Notocladonia", "Acanthopleuribacterales", "Serinus", "Genustes", "Hypodaphnis", "Ellobiophyceae", "Methydrus", "Boiruna", "Bunoderus", "Theatrochora", "Polpochila", "Bifidoprionus", "Archaeoglobales", "Celyphus", "Thermomonas", "Rolstoniellus", "Betrequia", "Eubelidae", "Africasiinae", "Prorima", "Hachettea", "Conophyminae", "Anopleta", "Bragasellus", "Lichniopsoides", "Maublancia", "Laurenciella", "Nsungwepithecus", "Pseudowedekindellina", "Austrarcturella", "Phrynolemnia", "Paradrepanophoridae", "Mycotyphaceae", "Alical", "Styphelieae", "Philodinavidae", "Bahalana", "Notarchus", "Eocader", "Omethidae", "Imaizumila", "Borneophrys", "Pelargopsis", "Luzonoptinus", "Cystisoma", "Manochlamys", "Choniognathus", "Hylettus", "Coombea", "Tabebuia", "Britha", "Feadillo", "Deuterotinea", "Neelipleona", "Loxostemma", "Psychrogeton", "Phacellocerina", "Labicotes", "Brachyspira", "Minlagerrontidae", "Zosteropidae", "Catanomistis", "Rhipidistia", "Navajodactylus", "Xylographus", "Astroclon", "Oxybasis", "Calohypsibius", "Possaniella", "Pachybatenus", "Fellozyma", "Parachariesthes", "Toxops", "Pajaroellobacter", "Relictocera", "Eomecon", "Kistneria", "Conocyemidae", "Hadrianus", "Jarmilaia", "Anisacanthus", "Drymopsalta", "Lipomera", "Diacrisia", "Dadoychus", "Palmellaceae", "Pseudodidymocystis", "Paleomelittidae", "Megaloblastenia", "Prasinococcus", "Cimberidini", "Euchoreutinae", "Micrixys", "Ascute", "Solenosoma", "Gonia", "Carnosauria", "Sosticus", "Takecallis", "Uzakia", "Peritasis", "Vellumnus", "Trogoniella", "Typhlocybini", "Loureedia", "Orchesticus", "Paravetta", "Melampoides", "Indosinia", "Caliciaceae", "Sagoscena", "Helleboreae", "Classiculomycetes", "Spelaeodytes", "Lobariaceae", "Caaporacandona", "Aderkomyces", "Dimorphozethus", "Ophioderma", "Anguliphantes", "Baiami", "Larinotus", "Cyrtocrinina", "Cymindoides", "Antarches", "Luzuriaga", "Neolabradoria", "Echinoderma", "Pitardella", "Kurogia", "Haplosciadium", "Stibadocerella", "Urolophidae", "Picobirnaviridae", "Semionis", "Garjainia", "Typhloditha", "Dryandra", "Londokia", "Glabellulinae", "Aporophila", "Anonidium", "Scolecithrichidae", "Ottoa", "Pylaiellaceae", "Oedipodini", "Sabaudiella", "Chorthippini", "Damnamenia", "Atlanterythrops", "Eodiscidae", "Centrarchus", "Crocydococcus", "Oiticicastnia", "Garthambrus", "Meselcaninae", "Asymmathetes", "Elegantozoum", "Cunningtonia", "Cimicomanes", "Lysiphyllum", "Mesocrambus", "Ellabella", "Howellella", "Psoini", "Phallotorynus", "Scolotosus", "Acarichthys", "Eotuberitina", "Ijimaiella", "Hawksworthiana", "Puposyrnola", "Calyptospora", "Echthrogonatopus", "Haematopus", "Galaxauraceae", "Xenomorphia", "Mangifera", "Ectonocryptops", "Provespa", "Epistictina", "Hemerophis", "Parthenembia", "Paracymoriza", "Paucidentomys", "Tanzanapseudidae", "Merotricha", "Doliornis", "Paratomapoderus", "Sininae", "Biconnecta", "Beringitaenia", "Leptodontium", "Dilophotriche", "Cinnerethica", "Madondo", "Oxychirota", "Micronoctuinae", "Damaeus", "Stenopterix", "Solenofilomorpha", "Loxiorhiza", "Celotes", "Emballonurinae", "Aclerda", "Cycladophora", "Uleastrum", "Galianora", "Plexippina", "Dinoderus", "Grafisia", "Asaia", "Ostracolethe", "Helicia", "Clenora", "Alveopora", "Vischeria", "Trachycaris", "Caryophyllaceae", "Dineutus", "Acrojana", "Trichogenia", "Choleropsis", "Darlingtonia", "Sirex", "Cosmosatyrus", "Copeina", "Propionibacteriaceae", "Myroconger", "Passadena", "Sagrinae", "Cyphaspis", "Mahathala", "Heliocotyle", "Hypocalyptus", "Globonautinae", "Proteroschiza", "Clasmatocolea", "Likoma", "Pseudasthena", "Tropanisopodus", "Acaraptera", "Selenocephalina", "Microcara", "Podhomala", "Divana", "Gulyaevia", "Stannoma", "Pyrrophyta", "Scythropochroa", "Neoheteromita", "Eupleuria", "Archiheterodonta", "Hippomelanina", "Cornirostra", "Photis", "Dacnomys", "Rhipidoherpia", "Carreraia", "Probstia", "Apsiphortica", "Tribonyx", "Syrphophilus", "Antillogidiella", "Hyalinobatrachinae", "Apterogyninae", "Pisistrata", "Hymenenopsis", "Alysseae", "Pentanopsis", "Thismia", "Goniastes", "Cosmiomma", "Gietellinae", "Mortierellomycetes", "Astroplegma", "Epipodocarpus", "Sacosperma", "Alveolitidae", "Loboscelidiinae", "Cymbiapophysa", "Hibernaspidoidei", "Paraporta", "Yamaguticotyla", "Saccosoma", "Prionopedinus", "Uroleptoides", "Orientophila", "Neoarctia", "Agasicles", "Pseudovolutella", "Eunotiophycidae", "Hyocephalus", "Apostolepis", "Stirpulina", "Ornatanomalina", "Dentiscutata", "Corophiidae", "Adetomyrma", "Hoplitis", "Watanabea", "Pleurothallopsis", "Tricondyloides", "Sphecodopsis", "Pseudadelphoscolex", "Sensiava", "Cyanostegia", "Saccoblastiaceae", "Laetmogonidae", "Eporina", "Agunaix", "Mosasauridae", "Favia", "Protohelorus", "Anoplocnemis", "Rhamphobrachium", "Tripylidae", "NMNHI", "Sinogentiana", "Myocoptinae", "Xenoleini", "Echinorhynchus", "Permosynidae", "Chalcoplonyx", "Schuettiella", "Eocnides", "Desantisiana", "Tugali", "Neococytius", "Anaerosolibacter", "Cedecea", "Manduca", "Frenguelliidae", "Ungulinidae", "Tretomphalus", "Sporichthyaceae", "Ingrisma", "Geyserius", "Cephalopharynx", "Episomus", "Acaronychus", "Hemidiscosa", "Ministeria", "Neoclypeodytes", "Tolidopalpus", "Geniatosoma", "Endolimacidae", "Acineta", "Cretoprocirrus", "Epicauta", "Exosporiella", "Lumbricoplasmataceae", "Neocamiarus", "Mordelloscaphium", "Triaenophoridae", "Spinocentruropsis", "Perithamnieae", "Prosynopeas", "Guembelitrioides", "Nialaphodius", "Lepidobolus", "Sphaeronum", "Protohaplolepis", "Adhavara", "Euhadrini", "Pterygosoma", "Catapyrenium", "Gnorimus", "Taurolema", "Zamieae", "Telemofila", "Regiatidae", "Eucymophorus", "Gymnelia", "Holcorobeini", "Pseudobangia", "Lumpenidae", "Argyrodes", "Chonothea", "Cryptopygus", "Empia", "Syneches", "Hygrocybe", "Pherolepis", "Dendrocephalus", "Paraconophymatini", "Didymosphaeriaceae", "Enantiosarax", "Luxtoneremaeus", "Ektaphelenchoides", "Euryxanthops", "Gelatoporiaceae", "Paropsia", "Sibirocosa", "Neopotiatuca", "Aulopocella", "Lachnota", "Australphilus", "Emeiconularia", "Monocrepidium", "Anthidiellum", "Oenonidae", "Paracolpodes", "Craspedostauros", "Leilinae", "Shaanxiana", "Celiptera", "Hydrochasma", "Heikeianus", "Geothermomicrobium", "Lebiasina", "Phyllomonas", "Glaesoconnus", "Astrorhiza", "Elocryptus", "Pardalosus", "Nanniscus", "Homalorhagida", "Gomphoides", "Ptychodactiidae", "Scelidosaurus", "Matsubarichthyinae", "Amonardia", "Eustrongylosoma", "Microeledone", "Sorindeia", "Hydraenidini", "Mimagoniates", "Mesoxiphium", "Pisiscalpellum", "Fagacarus", "Nickcaves", "Symperasmus", "Phylladiorhynchus", "Columbinae", "Verrucariales", "Crassula", "Helanthium", "Hydropogon", "Hormosinidae", "Menidiini", "Pezoporus", "Placobdella", "Eoleptestheria", "Thysanophyllum", "Sandroidae", "Tortula", "Phanacis", "Ceratitella", "Perucania", "Corrigotubella", "Rosettozymales", "Cratoplastis", "Chordeumatida", "Spathognathodontidae", "Disorygma", "Iranobrium", "Eidophasia", "Hygrophoraceae", "Landsburgia", "Palaeomastodontidae", "Dilophus", "Assilina", "Aulacoscelidinae", "Hyalarcta", "Heterotactis", "Englerocharis", "Ivanauskiella", "Isopogon", "Hexapylocapsa", "Cheirodontinae", "Ptychococcus", "Struthio", "Paepalanthus", "Odontartemoninae", "Holcorpidae", "Metopides", "Sporocarpon", "Spizocorys", "Saphanodes", "Anoiapithecus", "Baeomycetales", "Dermacantha", "Scapozygoceropsis", "Smicripidae", "Chaetodactyla", "Cillibidae", "Ecnomus", "Adetus", "Ligamenvirales", "Eminaria", "Ectatosia", "Paranoplium", "Leucopholis", "Chlorangiochaete", "Stemonaceae", "Paora", "Zuphioides", "Angulonotus", "Rhinoprenes", "Hoplocerambyx", "Rhabdonia", "Torilis", "Cryphioxena", "Simsia", "Miogypsinidae", "Chaetospania", "Commelineae", "Gonocephalum", "Marinogammarus", "Syracosphaera", "Xiphophaga", "Aneorhachis", "Saliocleta", "Calilena", "Himerometridae", "Hermania", "Forsteriana", "Neoniphargus", "Lemonia", "Carpoglyphidae", "Obriminae", "Falsacanthocinus", "Rhinogobio", "Lamprocapsidea", "Aglo\u00eb", "Plesiothele", "Byturus", "Lomathamnion", "Neazoniidae", "Sporidesmiales", "Polymerodon", "Neouracanthus", "Dinosperma", "Rivina", "Histeridae", "Stichopilidium", "Selagia", "Dumontinia", "Cacupira", "Olsufievotabanus", "Andeabatis", "Gladiopsis", "Batoctenus", "Acanthoibidion", "Mycetagroicus", "Akatorea", "Calmella", "Ugni", "Horithyatira", "Margalefia", "Elinostola", "Grammopyga", "Brachyleptura", "Tuberculatus", "Koreoniscus", "Conicofrontia", "Eumantispa", "Pternozyga", "Asurgylla", "Inflatobolivinella", "Amaurobioidini", "Agalmatiina", "Arsenurinae", "Parabapta", "Katharininae", "Temnotropidae", "Miliammina", "Bathromelas", "Agestrata", "Lachnaces", "Currylimacina", "Aclerogamasus", "Rhopaea", "Kahlerina", "Orientopsaltriina", "Chenistonia", "Pseudorhizobium", "Lancisporomyces", "Carterothamnus", "Radulina", "Asiaceratops", "Cariamidae", "Uschakoviella", "Mameliella", "Pikea", "Candalides", "Urococcus", "Santalales", "Gyalectales", "Dianesiini", "Martensinus", "Neobrettus", "Tarichium", "Polycentridae", "Protopedaliodes", "Callia", "Stenoeurilla", "Johnsonina", "Vallisia", "Trisegmentatus", "Titanichthys", "Geositta", "Conopias", "Mesacanthidae", "Maranthes", "Achradina", "Schizogyne", "Louriciinae", "Hesperoschema", "Passer", "Psychomyia", "Lucyna", "Maajappia", "Microcheilinella", "Lollipocladia", "Cresera", "Ceratobulimininae", "Calliblepharis", "Rhinoleucophenga", "Rafetus", "Notiomystis", "Stanieria", "Pusillimonas", "Septatournayella", "Orthopelma", "Ectias", "Compsothraupis", "Callideriphus", "Mesolamprops", "Trebouxiaceae", "Schmiedeknechtia", "Rhynchodemus", "Notoreas", "Bumba", "Parvulatopsidae", "Callothlaspi", "Uniclavinae", "Adrium", "Desulfoluna", "Maruinini", "Nesomyrmex", "Thermosbaenacea", "Nemopterinae", "Caliphis", "Abathomphalinae", "Panacagrimonas", "Cyclophorellus", "Dziriblatta", "Trichartelida", "Ochlesis", "Dolichorhabditis", "Opopaea", "Maudheimiidae", "Clypeodromus", "Thryorchilus", "Cettiidae", "Heliconiini", "Ataktopauropus", "Antherophagus", "Albimonas", "Tridactylinae", "Leptepyris", "Chittius", "Parastilbus", "Parahalice", "Termitocharina", "Austrosmittium", "Eobythus", "Calamoceratidae", "Chionoloma", "Althaesia", "Zamicrodus", "Miocorinae", "Lytopsenella", "Dewevrea", "Cretiscalpellidae", "Amblyscelio", "Capilloventridae", "Phaenanthoecium", "Ceratospyris", "Incaichthys", "Scalopidia", "Terranatos", "Choanofila", "Tipulodes", "Hymenolepididae", "Leptochroptila", "Raphitreus", "Hamophthirius", "Glaucytini", "Koralionastetaceae", "Leptodiscaceae", "Heterocoelia", "Gamasodes", "Titanoptera", "Praereticulinella", "Moolabalia", "Claroteidae", "Sclerolophus", "Micromischodus", "Yania", "Mamestra", "Dangeardinellaceae", "Paracercops", "Dispatha", "Smicridea", "Discinaceae", "Janolidae", "Muscidora", "Acanthostichini", "Ankistrodesmus", "Fontimonas", "Schizomus", "Pterophilus", "Phyllostoma", "Asterolampraceae", "Hylesiopsis", "Dandenong", "Dilepitoides", "Austronibea", "Paramyxa", "Ypthimina", "Istiophoridae", "Macuxitermes", "Philippicarcinus", "Megalestes", "Neokeronopsis", "Cruciloculina", "Psinidiini", "Dendrophthoinae", "Kiwilichidae", "Neoploca", "Trichotroea", "Mannokeraiini", "Hunzikeria", "Camilla", "Lyrocoris", "Heterogomphus", "Sandoricum", "Scoliciosporum", "Cymodoce", "Pseudobolivinidae", "Rhytismataceae", "Syndixa", "Anarytropteris", "Zephyranthes", "Sulfurirhabdus", "Gasterocome", "Acanthoponera", "Tridontium", "Astrostephane", "Pseudicyema", "Cosberella", "Anisaspoides", "Bayerotrochus", "Alaurina", "Archaeoditomotarsus", "Extraordinarius", "Strangalomorpha", "Madotrogus", "Xavantinisca", "Nudamphiura", "Gloeotaenium", "Apistidae", "Microascaceae", "Hydrolinum", "Korynetinae", "Nemapalpus", "Neolaparopsis", "Chondrilla", "Gregbrownia", "Pseudomeira", "Rhyncaphytoptus", "Phocarctos", "Longiprostatum", "Euperipatoides", "Vaginulinidae", "Tuldarus", "Caucasininae", "Nudifila", "Merismopedia", "Pholadomyoida", "Leptocentrini", "Endochytriaceae", "Engraulis", "Abscondita", "Porandra", "Acantholabus", "Zapatella", "Rosapha", "Anisia", "Batemannia", "Pentanchidae", "Chrysomya", "Macleayania", "Isogomphodon", "Trimyemidae", "Aplysiidae", "Eusthenia", "Iranaphias", "Helciferus", "Succiseae", "Sericopelma", "Myuriaceae", "Lentilitoribacter", "Alalcomenaeus", "Mimaegialia", "Cylleninae", "Lamyropappus", "Codomonas", "Microspingus", "Pluviapamea", "Ludovia", "Orthopyxis", "Tipnus", "Spirotricha", "Stemonoporus", "Stilostomelloides", "Ammatucha", "Brachysiderus", "Rhymbocarpus", "Oothecoides", "Assulina", "Saelania", "Quasilituotuba", "Dalmoplectus", "Nectaropetalum", "Abditomys", "Xenodonta", "Cadoderus", "Synergistaceae", "Similipedia", "Arietellidae", "Umwani", "Pallidogramme", "Cathetocephalidea", "Calcarsynotaxus", "Hypnoidini", "Neon", "Laciniomyia", "Cozadanus", "Endocladiaceae", "Leiophysis", "Tyranniphilopterus", "Aaptosyax", "Broeckinella", "Dicranopselaphus", "Eremotylus", "Acanthogilioideae", "Alloconophron", "Vinatini", "Deloplotela", "Asteriognatha", "Amphisbetema", "Vellicolla", "Theriini", "Scolopendrinae", "Zira", "Gonatium", "Orsima", "Pythiopsis", "Apocynaceae", "Caudata", "Proterochersidae", "Pseudocryptobium", "Proteomyxidea", "Cladochytriales", "Nipponocyphoninae", "Irakia", "Kenyoreicheia", "Europs", "Paramorpha", "Leiosoma", "Gressittichroma", "Zhijinites", "Ancornallis", "Danacea", "Gunasekara", "Osteorachis", "Lieinix", "Parachrostiinae", "Wockia", "Cidaris", "Nihon", "Dicysta", "Delonicicolales", "Hintonosia", "Xenoconger", "Aon", "Petemathis", "Prosogonotrematinae", "Omphacomeria", "Ithystenus", "Rostratusaphis", "Kaniska", "Oscarinus", "Axiopoena", "Telosma", "Eremobittacus", "Trigonogenioptinus", "Urozethidius", "Zygophylacidae", "Phaeogromida", "Neotropacarus", "Freyini", "Loxopus", "Compsopogonales", "Ictinaetus", "Hyobontus", "Schizochilus", "Elephantini", "Gavialiceps", "Peloridora", "Troglosphaeropsocus", "Ammodillus", "Polytomella", "Indiochaitophorus", "Rhabdolithis", "Decaphora", "Trichanthemis", "Pseudopohlia", "Nicholsina", "Sinipercidae", "Rhachisphora", "Sophronicoides", "Piscicolinae", "Desmatochelacera", "Cyclorhagae", "Habronestes", "Astatotilapia", "Synanceia", "Balviinae", "Metastenasellus", "Neaira", "Cophinopoda", "Pilostyles", "Markiana", "Cephalochlamydidae", "Scharffia", "Halichrysis", "Trachybryum", "Skyttella", "Phaloesia", "Megacolypisalia", "Myrmekiaphila", "Phthitia", "Limoneta", "Coniolepiota", "Porthesaroa", "Matagaia", "Cryodraco", "Euthore", "Metamulciber", "Heterostichus", "Chelemys", "Hemigymnus", "Scelimenini", "Sterigmostemum", "Evasterias", "Asymoplectodes", "Arcellinida", "Tchagra", "Caenoculis", "Purgatoriidae", "Megacephalomana", "Nomius", "Liebusellinae", "Ombrosaga", "Topalia", "Dacoderinae", "Giesberteclipta", "Pontogammarus", "Noideattella", "Euthiconus", "Conosphaeridium", "Temnodera", "Libanostiba", "Melithaea", "Liangcoris", "Lezininae", "Rhagopteryx", "Hastigerinidae", "Stictopisthus", "Adelgoidea", "Demequinaceae", "Paroectropsis", "Estigena", "Usazoros", "Calcarisporiellales", "Heterophana", "Gomyia", "Natalus", "Nothembius", "Phytocoeteopsis", "Pentaphylacaceae", "Chrysista", "Lepidosaphes", "Pheropsophina", "Tmesipteris", "Thermogutta", "Prophalonia", "Sphallotrichus", "Ovobopyrus", "Cangoderces", "Victoriellidae", "Termitodiscini", "Retropinnidae", "Heterocyphelium", "Sabelliphilidae", "Nuxia", "Delphota", "Sphagnopsida", "Nes", "Hypermerina", "Zenicomus", "Distichalius", "Blatticida", "Geomitrinae", "Psitticimex", "Aurila", "Choristocarpaceae", "Liosomadoras", "Kawasphenodon", "Dilong", "Tropicaprella", "Maorimetridae", "Feroculus", "Lacistorhynchidae", "Ascomycota", "Antopedaliodes", "Ischiodon", "Diphyidae", "Syncrossus", "Crocinitomix", "Hapalopeza", "Chironemus", "Copaeodes", "Benoitesmus", "Histiovalva", "Iraponia", "Ecdeiocolea", "Biuncaria", "Praemunita", "Actinoneis", "Eutrioza", "Martoceras", "Lomaella", "Halicryptidae", "Allotanaupodoidea", "Poriini", "Tineiforma", "Bucquetia", "Mucor", "Sphaerolichida", "Earlandinita", "Sphenomerides", "Afroserphus", "Ecphantina", "Anoplistes", "Acrometopia", "Amphiaspidida", "Eulinderina", "Catoptronotum", "Pythium", "Elvira", "Hondaella", "Planoendothyra", "Dentagrilus", "Beckmannia", "Typhulochaeta", "Molo", "Alloeotomus", "Planops", "Stollia", "PMS", "Ortholepis", "Allardiana", "Greeneocharis", "Ircila", "Thalassothamnidae", "Halobatinae", "Psettodes", "Kiggelaria", "Actinotalea", "Hesperolabops", "Faronidius", "Scaphidiini", "Pestarella", "Pycnanthemum", "Swan", "Eenymeenymyzostoma", "Corallococcus", "Acorethra", "Faboideae", "Macrochirichthys", "Pseudacrobasis", "Bergamina", "Hyridella", "Crystallias", "Teichonopsis", "Filippia", "Arachnocampa", "Nipponia", "Seeverseciton", "Eleotroidei", "Chunga", "Chenopodium", "Chiasmognathus", "Coturnix", "Ghelna", "Zeacalles", "Microstomatinae", "Turritis", "Xosablatta", "Scomberomorus", "Borditartessus", "Clupeocephala", "Protoxerus", "Larocheidae", "Derbesia", "Ramicrusta", "Physoderina", "Pleosporineae", "Vesalea", "Agrianthus", "Yanornithiformes", "Antarctoperlinae", "Bajsaphis", "Neomysorex", "Helaletidae", "Hemioniscus", "Corematura", "Cretaconiopteryx", "Sericocomopsis", "Gyrandra", "Atherigona", "Lagarosoma", "Omegaturus", "Paulianacmaeops", "Cluzobra", "Protohepialus", "Racopilaceae", "Psychropotes", "Nakazawaea", "Rhinomirella", "Manihoteae", "Claurouxia", "Nausithoidae", "Rhabdoviridae", "Thyreophagini", "Aphantocephala", "Tritophania", "Physocnemum", "Buelliastrum", "Omphalodes", "Sicista", "Penthicodes", "Syndipnus", "Orcuttiinae", "Heterocephalacria", "Taenionema", "Stiliphacis", "Thaleropis", "Zealandicesa", "Methylosoma", "Arrup", "Rugocythereis", "Aemona", "Proclytus", "Synaphea", "Agrilinus", "Elixia", "Lullula", "Muriicola", "Pareuptychia", "Merodonoides", "Dochmonota", "Bathysciotina", "Aphelenchoidinae", "Aciditerrimonas", "Pseudoweinmannia", "Prochelator", "Meropachyinae", "Cactos", "Hypomenitis", "Brachyta", "Schizonycha", "Tetragondacnus", "Pachycrepoideus", "Huiyingogramma", "Pectinoidea", "Platanistida", "Prionychina", "Euphiliops", "Ergobibamus", "Gutwinskiella", "Tuberastyochus", "Ilicurinae", "Dicheloschema", "Levasseuria", "Eoleiognathus", "Moganopterus", "Digitocrista", "Merodini", "Deinococcus", "Akamasia", "Leptammina", "Pterothamnus", "Eurygeniinae", "Urinympha", "Cryptanusia", "Nortia", "Macrotristriini", "Melanospermum", "Cryptomonadida", "Goodenia", "Agacalles", "Cafioquedus", "Gryllomiminae", "Chiloporterinae", "Dendrosenecio", "Trirammatus", "Ackama", "Amyssonotum", "Catacercus", "Termitonannus", "Rotiramulus", "Byctiscus", "Pericharini", "Ferosagitta", "Hebanthodes", "Barbulifer", "Coccocypselum", "Isotheini", "Carajas", "Hordelymus", "Gerdberndia", "Leucochrysum", "Microlympia", "Iridosornis", "Fangfangia", "Brachystephanus", "Acanthometron", "Centrophasma", "Athyrtis", "Mexacanthus", "Phylloscirpus", "Gyaritini", "Leptotyphlus", "Brachyporini", "Tamanawas", "Pseudozethinus", "Bogoriellaceae", "Pinalitopsis", "Lishizhenia", "Paraorygmatobothrium", "Poecilonota", "Absoloniella", "Dehalococcoidales", "Unilacryma", "Luprina", "Poaka", "Sebidae", "Ingolfiella", "Asterodiscididae", "Heterogromia", "Habropetalum", "Libanobythus", "Ceratobuliminoidea", "Drosophyllaceae", "Sieminskia", "Eranchiellus", "Notiomaso", "Rhinocoeta", "Savang", "Beardius", "Cissites", "Ephebe", "Platarctia", "Tordyliopsis", "Sisalia", "Metamesia", "Acrocyrta", "Polykrikaceae", "Ecliminae", "Francolinus", "Blestia", "Metagerontia", "Diachaeta", "Heylaertsia", "Meliboeus", "Gracillarioidea", "Japyginae", "Acarobythites", "Phyllodicolidae", "Nitrospinae/Tectomicrobia", "Ophiogramma", "Melanelia", "Torquella", "Ceratuncus", "Nemadotropis", "Allotrichotriura", "Kubwa", "Miliolechinidae", "Tinamidae", "Tinoliodes", "Gerroidea", "Blefuscudia", "Calvetiidae", "Platecarpus", "Dicranota", "Uvaroviini", "Eunotiales", "Pituriaspis", "Hypolophodon", "Hyposmocoma", "Metrodia", "Buprestis", "Laphyragogini", "Syllinae", "Microeca", "Bathysauropsis", "Viridiella", "Udenoceroides", "Crenuchidae", "Paracarniella", "Yakirra", "Espegrendia", "Primipentatomidae", "Passiflora", "Anisocara", "Lobochlamys", "Phyllangium", "Gordonieae", "Curelius", "Diplycosia", "Mageeibacillus", "Naatlo", "Paracistela", "Metoecis", "Seabrookia", "Hygronomalota", "Caulastraea", "Promachocrinus", "Tepidopleustes", "Vertica", "Heterohyrax", "Ghilaroviella", "Phanias", "Microepicausta", "Bomba", "Bathyleptochelia", "Rafflesia", "Dialium", "Eusthenes", "Aethroidea", "Declotila", "Thelacantha", "Rosmarinus", "Enthora", "Chrysonephos", "Trichoprosopon", "Baiocis", "Limulopteryx", "Aphyllurini", "Stromateus", "Arpedium", "Crozetia", "Prototroctinae", "Stenichnodes", "Betairidovirinae", "Eucyrtiidae", "Dipteronia", "Grammoplites", "Coccodiscinae", "Caridonax", "Tripterygium", "Gracilaclopus", "Curubis", "Notogaeanemertes", "Mixigenus", "Crassostreinae", "Bunaeini", "Orthopsyllus", "Hadrotes", "Cirrigregarina", "Piocoris", "Ogmaster", "Anantrum", "Scrupocaberea", "Macroprionus", "Pseudorotalia", "Dracontogena", "Petrotoga", "Phragmolites", "Oreamnos", "Adactylidium", "Harmacloninae", "Pseudodryinus", "Mesanophrys", "Cercocarpus", "Semionellus", "Latisageceras", "Spanochelus", "Gammaroporeiidae", "Ulaikoilia", "Dwesasilvasedis", "Ilyophis", "Esuridea", "Dibaeis", "Metagynella", "Chelidoptera", "Ischnopsyllini", "Endomychidae", "Liosomaphis", "Sineugraphe", "Natrialba", "Megastigmus", "Turnicidae", "Lyonia", "Heraclia", "Xenotoplana", "Bacaniini", "Lonchophyllini", "Proterozoa", "Eucoelinidea", "Wetmorea", "Ugyopini", "Bathybirubius", "Diskeria", "Dichophyiini", "Scolytinae", "Tweedia", "Urodacus", "Alatiliparis", "Halosiphon", "Bulgarocerberus", "Disteniazteca", "Kerdabania", "Lycochloa", "Osslimus", "Limacella", "Dimerodontium", "Oxytenanthera", "Semiplotus", "Cleptopsebium", "Eukalyptorhynchia", "Tricholathysinae", "Robustopenetretus", "Widagdous", "Ascalenia", "Teloschistaceae", "Thelodontidae", "Sarcosperma", "Dipentodontaceae", "Lobodiscus", "Bryobartramiaceae", "Cookella", "Unduloribatoidea", "Nidalia", "Stygothrombidioidea", "Hadesarchaea", "Auchenorrhyncha", "Coelurotricha", "Ceratocapsidea", "Medeotrogus", "Podohedriella", "Kikihia", "Jongiana", "Gigarthrus", "Pseudothoracocotyla", "Anorthoa", "Pogonistes", "Deltokeras", "Pseudarctia", "Cassidulina", "Sphaeriusidae", "Pronothobranchius", "Proboscineis", "Incafulvius", "Iridisoma", "Secamone", "Perdix", "Melolontha", "Furcacaudiformes", "Peiratinae", "Lorkovitschia", "Arrhamphus", "Candimboididae", "Agathoxylon", "Dolichoxenus", "Vates", "Davatchiaphis", "Plynops", "Eoquickia", "Radialiplicata", "Cyrtacanthacris", "Beroe", "Ceratocaderini", "Marthella", "Scaphiophis", "Oxychloris", "Zyrphelis", "Apharinodes", "Sindosium", "Neotermitosocius", "Nothochodaeus", "Cephalotyphlini", "Eraina", "Zorka", "Pseudodiastylis", "Cumare", "Elvisurinae", "Lepanthopsis", "Catillicephalidae", "Neohipparchini", "Nidirana", "Macropiratidae", "Jadammininae", "Grammatophyllum", "Brunehaldia", "Mucilago", "Coprothassa", "Aithaloderma", "Tonnwardsia", "Lithophylacidae", "Austrolithon", "Cubiculosporaceae", "Higena", "Neotrombidiidae", "ECON", "Amphionides", "Rilipertus", "Dictyotangia", "Pentodina", "Tanyoprymnus", "Sciadium", "Anamimnesis", "Amerodectes", "Paxillosida", "Mastododera", "Cylindropuntieae", "Quinquecapsularia", "Splachnobryum", "Clarkenia", "Heterochaetula", "Cacomantis", "Phainantha", "Carpocanarium", "Lolium", "Exoristinae", "Tetrinus", "Poecilostictus", "Sophiothrips", "Bembidion", "Psellonus", "Ancistrorhynchus", "Chionotyphlus", "Discosporangiales", "Stomphastis", "Cyclolabellus", "Abacetodes", "Dolichopteryx", "Oxynoemacheilus", "Strigopteroides", "Phaffomyces", "Tetraliidae", "Epilobieae", "Protomolgula", "Millettia", "Wulongoblemus", "Clionaopsis", "Halerpestes", "Seryda", "Nomoneura", "Caerois", "Cuneus", "Nitidobrium", "Pycnidiophora", "Stenatherina", "Antivaleria", "Piesarthrius", "Ericaceae", "Riodina", "Protorhizochrysidis", "Drypis", "Macroplectus", "Aparisthmium", "Pinellia", "Phryganogryllacris", "Termitogerrus", "Spencerozyma", "Hylocomium", "Ophrella", "Neocallotillus", "Catoptes", "Psophus", "Sennia", "Piroplasmorida", "Scenocharops", "Microtypus", "Manis", "Portia", "Catutoichthys", "Celisia", "Ramphocelus", "Miscanthus", "Discocera", "Logunovium", "Kolbeellus", "Marinirhabdus", "Asterophora", "Octotropideae", "Sandersellini", "Iomys", "Australachalcus", "Trilobita", "Clavelina", "Pardisynopia", "Pseudoprotella", "Baeodromia", "Areolatae", "Zygophlyctidales", "Dictyoneura", "Palaeacaroides", "Xenocerogria", "Truncodiscoaster", "Dalminella", "Pterocladiophila", "Pandion", "Aphalara", "Apophylon", "Agnostopelma", "Anexamita", "Dryxini", "Praephilotes", "Soemmeringia", "Falsogaudryinella", "Olpidiales", "Selenomonadaceae", "Mathewsia", "Hulseinae", "Austroleucon", "Cryptobia", "Desudaboides", "Scaphites", "Tolypelepis", "Methanomicrobiaceae", "Ochthornis", "Calos", "Puertasaurus", "Phytoecia", "Lepidium", "Aizoon", "Sebastiania", "Miolyta", "Platycoelia", "Wainwrightilabrus", "Somethus", "Pecaroecidae", "Minagrion", "Drotops", "Boehmantis", "Heterodoxia", "Philaethria", "Cycloleberis", "Cochlostoma", "Acanthinomerini", "Trochamminina", "Altererythrobacter", "Caprimulgidae", "Toxopsiella", "Sphaerolaimidae", "Rhypasma", "Smithiomyces", "Lepidapedon", "Verneuilinella", "Nanaloricus", "Epilysta", "Heterostegina", "Contarinia", "Amerobelbidae", "Jungermannia", "Vastarena", "Pseudohyophila", "Dendrodorididae", "Siphoninoidea", "Eleothreptus", "Psychini", "Petalostylis", "Hadrosauridae", "Prusiana", "Rhabdoena", "Methanocalculaceae", "Tomopteridae", "Dolichestola", "Crocoideae", "Eurytheca", "Odontonema", "Conosea", "Corydiidae", "Gmelinoides", "Batis", "Pennisetia", "Dalibarda", "Iphixibia", "Montanococcus", "Protura", "Krivena", "Noguerornis", "Plectasymus", "Quadrivalvula", "Eustrangalis", "Nicolaea", "Digitalideae", "Eudianthe", "Stylopyga", "Muraenesox", "Longicoris", "Ballosporum", "Haemulopsis", "Schaueria", "Lanopini", "Platynopus", "Zuluacarus", "Bdellovibrionaceae", "Burrus", "Pseudocalopadia", "Endybauna", "Dalotia", "Lavinifia", "Dibothroglyptus", "Xystocheir", "Bessoglossa", "Furvibacter", "Nototrechus", "Mycterus", "Orientospilus", "Cyrtonella", "Odontiinae", "Cytaea", "Nannorrhops", "Marmaroxylon", "Melanophthalma", "Tholerostola", "Liposcelidinae", "Trachykele", "Deeringothamnus", "Sena", "Amyosoma", "Thiohalomonas", "Oltmannsiella", "Amphithectus", "Tricholita", "Oncaglossum", "Torquaoplus", "Anethum", "Disparia", "Thelocactus", "Nylonala", "Talaini", "Porellineae", "Cuprina", "Commicarpus", "Italaphaenops", "Silpha", "Leidybatis", "Novemtestis", "Ptilophorus", "Micropeza", "Bucculatricidae", "Atractomorpha", "Bambuscopus", "Ciposia", "Bulldolonia", "Astraspida", "Holoblemmus", "Baicalinini", "Spinactinospora", "Velindopsis", "Platyprthima", "Plesiadapidae", "Koencypris", "Siphonorhis", "Pretoriana", "Xarnutini", "Oceanococcus", "Nishihygia", "Kilimandjaria", "Aulacocypus", "Sagittala", "Lehte", "Cyrtoclymeniidae", "Characidium", "Syngnatharia", "Diplagnostinae", "Neoscopelidae", "Mutovia", "Rubeae", "Hypseochloa", "Malthinus", "Gereniini", "Palaeoscardiites", "Tisamenus", "Pachylembia", "Didelotia", "Oreopasites", "Thoracosphaera", "Chilomycterus", "Solisorex", "Roccellographaceae", "Chrysocerca", "Izinkalidae", "Cryomorpha", "Oregocerata", "Megadromus", "Paratriacanthodes", "Orudiza", "Plecoglossus", "Elphidioides", "Platytyphlops", "Franwilsia", "Feracrinus", "Blainvillea", "Myzolecaniinae", "Schizochlamydella", "Cestrus", "Syngnathinae", "Novillidius", "Eleganticeras", "Troidina", "Ammobium", "Moldenhawera", "Phoremia", "Hultholia", "Paromelix", "Wendlandia", "Pectenia", "Helcioniscus", "Phlebotominae", "Mastodontosaurus", "Flectobacillus", "Cissuvora", "Sladeniaceae", "Salvia", "Cyalithoides", "Dolichomia", "Spirochaetaceae", "Schusteriella", "Clessinia", "Pontodytes", "Patella", "Coccidulini", "Biphragmosagittidae", "Acanthochloris", "Mussaendopsis", "Sehnemobryum", "Basitrodes", "Setarchidae", "Ochromolopis", "Parkermavella", "Bagnisiella", "Priasilpha", "Uropsittacolichus", "Thiogranum", "Alveolata", "Avenzoariidae", "Hallicoccus", "Lithonecrus", "Eoatria", "Alloiodoris", "Parastenostola", "Apomempsis", "Chubutisaurus", "Aeginella", "Kurosawaia", "Detracia", "Stylogaster", "Warramungini", "Chileogovea", "Ceratoporella", "Ischnorhynchinae", "Piperoideae", "Etienneus", "Himalaea", "Ommatinae", "Japanoplana", "Ocotea", "Amphibulimidae", "Crosbya", "Nephepeltia", "Flexibacteraceae", "Allothereua", "Tritomaria", "Cryptomya", "Sesamothamnus", "Brisinga", "Kodinskaspis", "Maorinus", "Callochiton", "Coprosma", "Tholospira", "Fulvetta", "Wortheniellidae", "Ctenotillus", "Mimofulviella", "Paramonaxine", "Pseudonemesia", "Monkaspididae", "Shuocychropsis", "Pentelia", "Oestropa", "Crosby", "Sanguibacteroides", "Subovatomyzus", "Sphyrapoides", "Anaerythrops", "Pityophagus", "Peribatodes", "Pseudophanerotoma", "Helminthopsidella", "Sycaonia", "Daccordiusa", "Minervarya", "Sableta", "Nembrothinae", "Rhopus", "Aestipascuomyces", "Pyrophorus", "Parakinetica", "Bolteria", "Nanhermannioidea", "Kitrinoviricota", "Morosphaeriaceae", "Chlamydocardia", "Ophiclinops", "Anthobiomorphus", "Bradleyana", "Dendrocincla", "Dactylopsyllinae", "Oligarcha", "Endolandrevus", "Eophoxocephalopsis", "Veles", "Bacotoma", "Cisticolidae", "Vulgatibacteraceae", "Pseudodifflugiidae", "Platymystax", "Schizochelus", "Boocerini", "Coricuma", "Anacantha", "Abedinium", "Glyptogrus", "Paramycodrosophila", "Punctoduvalius", "Manorina", "Mya", "Atropacarus", "Dichantheliinae", "Oedichira", "Laccospadix", "Nudaciraxine", "Metagoniolithon", "Corythoecidae", "Robshelfordia", "Ballistura", "Achladaeus", "Rhizofabronia", "Toxoptera", "Hippobroma", "Ptilomyia", "Scapnetes", "Aoraia", "Biostraticola", "Rudaeicoccus", "Paraplacodontidae", "Paraehlersia", "Carabomorphus", "Yogmelina", "Minutophoma", "Sugimotoa", "Pterocyrtus", "Hemipilia", "Kurentzovia", "Calendula", "Tethinosoma", "Lysicyclia", "Neoxantha", "Boreoperlidium", "Clinopodes", "Perthiidae", "Anobiini", "Parmeliopsis", "Beauchampia", "Apoterus", "Arctaphaenops", "Emblema", "Gliridae", "Graptartia", "Anchariidae", "Polypea", "Centrarchidae", "Anthribini", "Cretosapyginae", "Anisochrominae", "Englerulaceae", "Scotonomus", "Diasemopsis", "Phaffia", "Hilara", "Bagginidae", "Betta", "Microcentrini", "Litura", "Pachynus", "Holodactylus", "Lophira", "Rhinaspis", "Vandasina", "Micronoctuini", "Scotobleps", "Rhoptromeris", "Honckenya", "Pseudosporidae", "Osteocephalus", "Frangula", "Zonitidae", "Leptomachilis", "Platygonus", "Procampylaspis", "Dioncophyllum", "Pachrodema", "Ptilinopus", "Aphrocallistidae", "Chelonohelcon", "Cyclojoenia", "Gerra", "Microburmyia", "Lomatogonium", "Raphidophyceae", "Polygonateae", "Hemilomecopterus", "Herrerasauridae", "Thelocaecilius", "Noctitrella", "Astrida", "Mitragomphus", "Stylosphaera", "Bicosoecia", "Florissantoraphidia", "Volvulella", "Sporobolomyces", "Murexsul", "Primolius", "Poppiusia", "Trabisomorphus", "Merrilliodendron", "Tlayuamichin", "Tibicinina", "Xenopelta", "Simaethina", "Eurygryllodina", "Genyochromis", "Swirskiaphis", "Acanista", "Ochromonadaceae", "Numicia", "Prionogastrini", "Furcata", "Blattisociinae", "Clematoclethra", "Michaelophorus", "Lozania", "Pedionomus", "Akkaia", "Blairolepis", "Chernyshinella", "Nacophorini", "Bathybelos", "Ariophantinae", "Globochthonius", "Chelipodini", "Midamiella", "Pomax", "Amphiscolops", "Asterocyclina", "Lycurgus", "Tomocoris", "Pleurobranchus", "Mourecoris", "Torresiropa", "Pascoea", "Conjunctia", "Isochorista", "Dilonchus", "Pseudinca", "Seyrighoplites", "Angiocader", "Morimonellini", "Phalloptychus", "Sentiropsis", "Brenneria", "Maoristylus", "Hallodapini", "Sebastes", "Cylindrocolaniella", "Riftia", "Amalocalyx", "Thermutopsis", "Thompsodon", "Magadania", "Tristira", "Whitfieldiellus", "Feluva", "Selkirkiomorpha", "Xenocalliphora", "Mesoendothyrinae", "Elymandra", "Paratikhinella", "Lycia", "Supramontana", "Epityches", "Heterocinus", "Sarocladiaceae", "Parastathes", "Saccharomycodaceae", "Allaorops", "Polyacanthocephala", "Thuidium", "Lyosphaera", "Metasecodes", "Hexostomatidae", "Tolonus", "Sphenopsis", "Oreophylax", "Bufotes", "Donzelotauropus", "Anomalops", "Hemiasterellidae", "Paracallisoma", "Lysania", "Goniopecten", "Pratjetella", "Persiculinae", "Cryptosepalum", "Squalicorax", "Neomarius", "Pentastirini", "Kordiimonadaceae", "Barbatospora", "Seleneuplectus", "Cleippides", "Macquartiini", "Saduria", "Mesostigmata", "Azibiidae", "Tylopilus", "Torvosaurus", "Parasyrrhizus", "Bofilliella", "Ridsdalea", "Stylodipus", "Bouvetiella", "Chilina", "Schmidtnielsenia", "Dario", "Anagyrodes", "Lampropunctus", "Acanthobrama", "Spengelidae", "Acanthopus", "Nematalosa", "Libytheana", "Daucinae", "Glenobotrydion", "Aucuba", "Mitthyridium", "Cystocoleus", "Gonioplectrus", "Sacopsocus", "Diadelioides", "Assimineinae", "Austrodytes", "Saururaceae", "Pseudanisentomon", "Barbacenia", "Cirridae", "Bruchaphodius", "Iberesia", "Metapachylus", "Dossinia", "Miogypsinita", "Agelasidae", "Acrosomoides", "Ischnopoderona", "Ctenochauliodes", "Arecopais", "Phaedimus", "Aploneura", "Myurella", "Hypnea", "Radlkoferotoma", "Helioflagellidae", "Archeorhinotermitidae", "Pediacus", "Tetratoma", "Ostheldera", "Capsosira", "Tegoprionus", "Barleeiidae", "Queubus", "Leptocyon", "Neoperilampus", "Lubomirskia", "Janusaurus", "Macrothea", "Boethus", "Cateriidae", "Taeniopsetta", "Clausocalanidae", "Coryphiomorphus", "Kotschya", "Parahygrobiidae", "Loxodocus", "Noteococcus", "Tamayoinae", "Platycerodes", "Neoacylophorus", "Hariotina", "Pappea", "Glypturus", "Psiathovalva", "Oxyropsis", "Arachnocampinae", "Ninetis", "Ellipsopyxis", "Benzaitenia", "Deyrollius", "Paratuposa", "Pseudozimmeriana", "Goneplacoidea", "Peverilia", "Bairdoppilata", "Xanioascus", "Oxytheca", "Notaulites", "Acrothericles", "Agriolimacinae", "Icuria", "Chthonasellus", "Jablonskia", "Asra", "Phryna", "Balliella", "Megistophylla", "Colpodida", "Gallibacterium", "Aeptencyrtus", "Diapoma", "Caulimoviridae", "Henestarinae", "Tetrapleurus", "Microfulvius", "Paracoryphella", "Trichothaumalea", "Exiliniscus", "Xanthocephalus", "Entomopoxvirinae", "Anthomalachius", "Commersonia", "Bombyx", "Palaeocursornis", "Labicolidae", "Eunerineidae", "Orthognathotermes", "Lepidozetes", "Salomonina", "Loewia", "Cryptarrhena", "Proliferophorum", "Hopliancistrus", "Weberocereus", "Namamantis", "Livonectus", "Hilarographa", "Sternotomis", "Dendronephthya", "Dasycercus", "Endolimax", "Mazia", "Lagidium", "Xenoloma", "Humbertella", "Kirkomyces", "Doliodus", "Dirini", "Argnidae", "Temognatha", "Eudemis", "Belonochilus", "Cryptoicus", "Haemobaphus", "Peroryctinae", "Sudamerlycaste", "Brachypterainae", "Allomyces", "Arquagrilus", "Arini", "Pollicipes", "Cheritrella", "Tineina", "Lachnarius", "Intybia", "Desmocerus", "Austronepa", "Mesamphiagrion", "Carmentina", "Phaenicocleus", "Graptocleptes", "Aneuraptera", "Guayuriba", "Parasahlbergius", "Galatheammina", "Avitortorinae", "Tydeidae", "Heribaudia", "Woeseia", "Aenictocoris", "Daedalonotum", "Heteroteucha", "Neocoptodera", "Trigonospermum", "Wheelerophlyctis", "Doloresa", "Belonastrum", "Metadena", "Acanthophoenix", "Schuchertinia", "Dianyuea", "Coelosis", "Monticellius", "Melanophilini", "Tyrasotaenia", "Haemoproteidae", "Eucapsis", "Epidaus", "Rhabdalestes", "Margaritaria", "Ophryocotyloides", "Dorcasta", "Clinoporus", "Goniatitida", "Otidiphaps", "Raveniola", "Colponemidae", "Anemadini", "Porculus", "Ascobius", "Haddonia", "Lentisphaerae", "Chinensis", "Zophosini", "Todirostrinae", "Rougemontia", "Ichthyomenia", "Salinarimonas", "Cercopithifilaria", "Tridentea", "Acaroceras", "Dactylomyia", "Eucneminae", "Cassigerinellidae", "Tepidibacter", "Paranagonus", "Alloioscarabaeus", "Vanikoridae", "Sporanaerobacter", "Scenedesmus", "Hyporhamphus", "Hesperocolletes", "Echinaster", "Edietziana", "Amabiliidae", "Genuchus", "Rhinocylapoides", "Ceramonematoidea", "Pentalitus", "Closteridium", "Streptocionella", "Afolabina", "Mentaxya", "Cissococcinae", "Lanocira", "Lampona", "Cyrenella", "Diplokeleba", "Titaenini", "Diapsida", "Tibellus", "Pseudocetonurus", "Wilmottia", "Alticini", "Diaptomoidea", "Archaeaspididae", "Alhamitrombium", "Siraitia", "Potamophylax", "Paramiana", "Euglenamorpha", "Leavenworthia", "Alvernaviridae", "Thalassemydidae", "Agastictus", "Mariosousa", "Astrosombra", "Andiperlodes", "Tanycythere", "Pseudopataecus", "Metriopelma", "Latotutulioplitis", "Pezizaceae", "Dendrobium", "Eresinopsides", "Cuculliini", "Endocarpon", "Pusa", "Heterobasidion", "Heteronymphon", "Hyale", "Tshurtshurnella", "Mohrigia", "Velainellidae", "Asianellus", "Idahotyphlus", "Proctophanes", "Rufoplaca", "Asprothrips", "Ileostylinae", "Mayazomus", "Nesosteles", "Xyletinus", "Foroniphargus", "Diodercarus", "Sarcopteryx", "Kartinikus", "Dejanirini", "Baculifera", "Stenopogoninae", "Chelicopia", "Meristacraceae", "Anomalochilus", "Hepialiscus", "Jurathauma", "Chromolepis", "Clavenicodes", "Microchthonius", "Leucospora", "Cranioleuca", "Protopterna", "Antonellini", "Amphizoidae", "Acanthanectes", "Lipogramma", "Palophaginae", "Euparagonus", "Diplomorium", "Neoteneriffiola", "Limnognathiidae", "Georgeiella", "Paravulvulina", "Nowrarcturus", "Minorissa", "Yoshiyasua", "Prokoenenia", "Dives", "Hirudicryptus", "Tseboneae", "Bicrouania", "Leptospira", "Lancetinae", "Atelestidae", "Caseolus", "Textricellini", "Asterigerinata", "Eupatoriopsis", "Harmaclona", "Bojothyridinae", "Phaseolus", "Laccophilus", "Extatosoma", "Eurhexius", "Pachygone", "Pachymeces", "Giachinoana", "Kuphomunna", "Aphanipathes", "Zygometridae", "Metrothorax", "Blattodea", "Eutocus", "Polyzosteriini", "Pondoidium", "Microthambema", "Tuborecta", "Oreopanax", "Praetaberina", "Collartisa", "Achroomyces", "Australomimetus", "Pauperella", "Antrolana", "Spissitydeus", "Botryococcaceae", "Terralonus", "Therizinosaurus", "Troctulus", "Isandria", "Osteomeles", "Ortegocactus", "Chinagrotis", "Ailuretta", "Dictyoteae", "Parampharete", "Flaviramulus", "Araneum", "Parastramentum", "Keayodendron", "Atrocalopteryx", "Chilongius", "Dermasterias", "Bambusa", "Pristiapogon", "Retinometra", "Mnemiopsis", "Maorichelys", "Pratinas", "Gloeotrichiaceae", "Brachycaudus", "Rondeletiidae", "Ailanthus", "Spartaeus", "Cerathopsyche", "Udranomia", "Sinoseius", "Salticoidea", "Perthida", "Sericothrips", "Favosipora", "Rhodinocichlidae", "Barylypa", "Ataxocerithium", "Cerapteryx", "Acaryophrya", "Hemiarthrum", "Lutreolina", "Acutihumerus", "Hasenpuschia", "Rayssiella", "Physignathus", "Aethiessa", "Gregarina", "Steinina", "Circinans", "Protaxini", "Epiplectus", "Anubiadeae", "Cladoconnus", "Microlamia", "Cleberia", "MCN-UNSa", "Arma", "Pseudophilothrips", "Oedematopus", "Nacerdini", "Kamaiurana", "Platysternidae", "Myriospora", "Phaeopholina", "Oonotus", "Paranepanthia", "Ornithostoma", "Ampullataria", "Microplus", "Kuscheliotes", "Gamia", "Dialeptopus", "Waldmanichthys", "Psittacantheae", "Leptorhynchos", "Phymasterna", "Diapheromeridae", "Sulfuricellaceae", "Carminodoris", "Lathiponus", "Dasydytidae", "Florianella", "Humidophila", "Pterasthenia", "Poloidion", "Glyciolebia", "Phloeomyzinae", "Hystrichopsyllinae", "Crunomys", "Carbinea", "Beipiaosiricinae", "Spryginia", "Vesperinae", "Lichnomesopsyche", "Oregonasellus", "Eurychorda", "Moffartsia", "Ilma", "Pseudopyxilla", "Achorella", "Tremembellina", "Steromapedaliodes", "Tersina", "Schimittia", "Corynesporasca", "Lepidophorellinae", "Marylinka", "Variisporina", "Pseudostylochus", "Baryconus", "Allelomyia", "Idisiini", "Sinotrisus", "Ollicola", "Protogastrostyla", "Parafroneta", "Attacobius", "Pomphorhynchidae", "Shumarditoidea", "Trachelismus", "Gallionellales", "Pteridocalyx", "Pleurospermeae", "Ctenotrypauchen", "Ambatini", "Barbutella", "Rhyparochromus", "Conicercembia", "Eriogyna", "Dercitus", "Dollfusilepis", "Sycoryctinae", "Desinae", "Rapdalus", "Tomolus", "Sphingoaurantiacus", "Sibitrema", "Spirobolida", "Glaphyria", "Korthalsella", "Opiselleipon", "Koniaphassa", "Camaeninae", "Lindingaspis", "Gymnodiscus", "Caprimulgus", "Rostropria", "Lycopodiella", "Polycoccaceae", "Anisembiini", "Bitis", "Atrocenta", "Bolitobius", "Conosimus", "Abrardia", "Huayangosauridae", "Oharamyia", "Phylliroidae", "Coimedon", "Ryoichitakahashia", "Melghiribacillus", "Eurymiris", "Holoponerus", "Tricholoma", "Notostylops", "Intusatrium", "Gardenieae", "Paracaprella", "Aphonodelus", "Helcococcus", "Cryosophileae", "Synaloconota", "Rhamphosporaceae", "Batricrator", "Decemunciger", "Retortamonadidae", "Erenna", "Nolana", "Phoradendron", "Masoreina", "Eustra", "Armorhydridae", "Tylos", "Etheostomatinae", "Mesostenus", "Sulawesifulvius", "Macronychiinae", "Picrophloeus", "Paraphanolophus", "Pisara", "Chromochokwea", "Melissomorpha", "Chilostomellina", "Lophonectes", "Apphianus", "Pseudofurcilla", "Allocricetulus", "Abrotanella", "Neoanalthes", "Herpetocypris", "Urosaurus", "Physophoropterella", "Rockfordina", "Delesseriaceae", "Conotrachelus", "Hoplochaetaphis", "Oiceoptoma", "Lucanidae", "Macvaughiella", "Globuloviridae", "Zenkevitchiola", "Protomacratria", "Notoplusia", "Triodoclytus", "Schistophleps", "Barbeuia", "Acanthoscyphus", "Pterospondylus", "Hynobius", "Cyrba", "Archaediscinae", "Eutarsopolipus", "Epistomariidae", "Heterosavia", "Bactromyces", "Merianthera", "Artedidraco", "Maorichernes", "Coptochromus", "Prethopalpus", "Machozetus", "Archopistomum", "Parartemiidae", "Portibacter", "Hypochroma", "Oxidae", "Actizetina", "Lilliputocoris", "Rabiana", "Paragyliauchen", "Dirioxa", "Parisotoma", "Meziomorphum", "Notobitopsis", "Jengalpheops", "Alkekengi", "Omphalomargarites", "Mordwilkoja", "Tlalocohyla", "Diadora", "Metarthrodes", "Perierpon", "Glyptograpsidae", "Pupillinae", "Bequaertia", "Eudorellopsis", "Anthocoenosia", "Gladiopappus", "Parastylonychia", "Euderus", "Gattendorfiinae", "Staufferia", "Aulax", "Teratolepis", "Tympanistalna", "Majimun", "Dendrophylliina", "Macarangela", "Trachyleberididae", "Amorphosternina", "Helicolenus", "Pelobacter", "Mariniflexile", "Ommatauxesis", "Ideratus", "Alsophylax", "Psyra", "Aclopini", "Megagymnostreptus", "Akalaphycus", "Xiphiagrion", "Leptoconopinae", "Eudiana", "Psalidopus", "Euthyasinae", "Fulviella", "Rhysopleura", "Pseudogulbenkiania", "Stypocaulaceae", "Bathyphysa", "Stypopodium", "Pronolagus", "Thrypticomyia", "Calandra", "Herpyllus", "Dardanus", "Granariinae", "Weissflogia", "Ungulatellidae", "Camptocercus", "Ascumnella", "Tolegnaro", "Crocodylocapillaria", "Phyllarthrius", "Stelligera", "Brachyomus", "Protartessus", "Pycnodontidae", "Parapedobacter", "Nothotrichocera", "Autoplusiina", "Anicetus", "Soricinae", "Natronomonas", "Caeciliusini", "Metopoides", "DBULPGC", "Schistophragma", "Astrabe", "Acanthinozodium", "Disonycha", "Euryte", "Cordaitales", "Diversidoris", "Tetroplon", "Pseudocladochonus", "Atlantodinium", "Argentinosyne", "Halixodes", "Attaphilinae", "Syringammina", "Soromonichthys", "Neolepolepis", "Ancoratheca", "Hovorigenium", "Euryxaenapta", "Neobaculentulus", "Pandaloidea", "Brachycerocorini", "Thrincopygini", "Alpheidae", "Tomares", "Bolbites", "Calaphidius", "Hippotis", "Camerunopholis", "Aerea", "Acanthoraculus", "Baconia", "Albidella", "Ammoanita", "Catharia", "Vescornis", "Pycnocomeae", "Ibidorhyncha", "Loxocarpus", "Odonthalia", "Cheirostylis", "Tropidodipsas", "Cathyalia", "Ceramica", "Limibacter", "Hyperdevescovina", "Mikronegeriineae", "Nannenini", "Sphenophyllum", "Douvilleiceras", "Orosagrotis", "Chrysymenia", "Fistulobalanus", "Craspedolcus", "Salinella", "Fijipyrgini", "Hypocrisias", "Floralibracon", "Oudeboschia", "Hermetothecium", "Paralaoma", "Carpophyllum", "Eggerellinae", "Pseudoceratina", "Heliimonas", "Lepidocupania", "Pninaella", "Lygistopteroides", "Serichonus", "Gurgesiella", "Vermichiton", "Sphenocondor", "Anisophyllea", "Pollicotrombium", "Mohouidae", "Daimachus", "Lemaireia", "Podochlus", "Enicocephalinae", "Eurhamphaeidae", "Lagerstroemia", "Phucobius", "Ommatiinae", "Polyphrix", "Nummulopyrgo", "Wunderlichioideae", "Dicrocoeliidae", "Apedalmus", "Xylopteris", "Arthropleuridea", "Musophaginae", "Zelandopsocinae", "Ocyurus", "Ecbletus", "Centrarchiformes", "Amphicyrtinae", "Austrophilibertiella", "Spiridens", "Kiwimiris", "Hapalomantis", "Brucea", "Neopetalia", "Macyniini", "Hypatopa", "Enodognathus", "Anguis", "Savigniorrhipis", "Ponapea", "Cryptodiodon", "Hovenia", "Thyridectis", "Mermithinae", "Styloteleia", "Podolestes", "Bikinia", "Barbulanympha", "Tropidopolini", "Kliellidae", "Meharia", "Aphelotoma", "Alveolicupes", "Kiama", "Corallus", "Rodriguesophis", "Ceratophora", "Faramea", "Dendrogramma", "Diploclisia", "Bicorniferidae", "Hydrobia", "Baltognathina", "Rivetinula", "Placochrysis", "Delpinophytum", "Gudelia", "Seticornuta", "Stenotanais", "Olmiana", "Cryptogonium", "Gonobelus", "Phomatosporaceae", "Cysticapnos", "Gagatophorus", "Oryctocephalidae", "Hydromyloidea", "Baladaeus", "Viduidae", "Shannonomyia", "Blepharomastix", "Pachydota", "Arachnoides", "GIB", "Thyretarctia", "Nausicotus", "Castanedia", "Meiocheta", "Pseudoheriades", "Diictodontidae", "Bistonina", "Megalaria", "Typhlocerus", "Epiwocklumeria", "Singeria", "Stephanotis", "Ypsilothuriidae", "Alex", "Liacarus", "Microzetia", "Socratea", "Oconnoriidae", "Angulochrysis", "Pachyprotaetia", "Phigys", "Lourtella", "Scabritiopsis", "Austrotipula", "Rectomillerella", "Chilopoda", "Cuvierina", "Mesocharis", "Crotonella", "Dendrocacalia", "Termitophya", "Brevantennia", "Stenothyra", "Stipitochloris", "Pseudoscaphirhynchus", "Pimeliaphilus", "Promayetia", "Phaeodactylibacter", "Protosilvius", "Tararua", "Phthiarella", "Cyclagelosphaera", "Fermentimonas", "Euops", "Aurantieae", "Epichorius", "Upuna", "Automoliini", "Windbalea", "Galoxestis", "Herpyllobiidae", "MHNCI", "Mycozetes", "Agnotozoa", "Galactophora", "Karacaoglania", "Eriaxis", "Eorhopalosoma", "Melongenidae", "Psychidea", "Phragmatobia", "Tymmophorus", "Lachnophorini", "Catharomnion", "Kelloggia", "Andrewsarchus", "Climacoptera", "Macrodascillus", "Hedingia", "Andinia", "Pseudoilbia", "Stachyridopsis", "Perisporiopsidaceae", "Aphataspididae", "Gonionotophis", "Kophobelemnidae", "Avisaurus", "Alloproteinus", "Megateloides", "Canirallus", "Valantia", "Hemiparvocythere", "Oocephala", "Bulaceros", "Maera", "Notabax", "Molippa", "Ascarophisnema", "Eudyptula", "Theletrinae", "Bellia", "Talitridae", "Cleruchus", "Anoplognathina", "Revonda", "Pyloniidae", "Psilacrum", "Paulsenella", "Nanocetorhinus", "Siphonochalina", "Thaumasus", "Resentoviricetes", "Lingularia", "Glareolidae", "Deinopteroloma", "Dentaliida", "Remaneica", "Arotes", "Anisostichus", "Aceropyga", "Sunviridae", "Zeacarpa", "Bathylagus", "Itagonia", "Australymexylon", "Heteropterna", "Gasteruption", "Korotnevella", "Paikiniana", "Petromyzontiformes", "Drapetisca", "Nycteridopsyllini", "Lenopachus", "Pseudoreichelina", "Choristopsyllini", "Lirellodisca", "Dasychaeta", "Orthocerus", "Oranobius", "Stenotarsinae", "Melanthera", "Gurelca", "Eoseira", "Amphitrias", "Osteoglossoidei", "Dictyophragmus", "Collyrodes", "Mytilopsis", "ARC", "Mandanapis", "Theratina", "Brachypteronia", "Stigmatophora", "Moringuidae", "Alcae", "Aprositornis", "Algoriella", "Eurychiloides", "Epicriidae", "Porella", "Obtusicauda", "Deiphobella", "Ptychodesthes", "Gynaecoserica", "Elektorornis", "Janiridae", "Mabelaplana", "Embolostoma", "Willea", "Cephalocattarus", "Syneurycopinae", "Oestrupia", "Paulowniaceae", "Trachyloma", "Pachygastropisalia", "Dicranomyia", "Podistera", "Amphigymnas", "Hagenulopsis", "Coeranoscincus", "Hydrocryphaea", "Clastocnemis", "Brodiaeoideae", "Crex", "Trypauchen", "Griffineae", "Qianzhousaurus", "Acentronichthys", "Palaeeudyptes", "Phaenocoma", "Hyloconis", "Errhomeninae", "Aphrastobracon", "Gomphales", "Nyctimeniini", "Phyllogloea", "Plagiotropis", "Compsophorini", "Nothopsis", "Deileptenia", "Issina", "Tergomya", "Cephaloschiza", "Oncorhynchus", "Carthaea", "Lixomorphus", "Myzostomidae", "Amphiaspidoidei", "Arctelene", "Beclardia", "Mesalges", "Paramichailocoris", "Hierobotana", "Allobroma", "Sibiretta", "Hygropora", "Baharuia", "Hybunca", "Laevipeneroplis", "Catalpa", "Tauroceras", "Parasynonychus", "Euscorpius", "Ulomorpha", "Chrysocale", "Echeneibothrium", "Scaliolidae", "Cinctipora", "Scolopendrellopsis", "Hulua", "Haemulon", "Laccosperma", "Tachyporoides", "Pseudofulvimonas", "Austragrilus", "Ammogloborotalia", "Chloroplana", "Nothobrya", "Guiaphaenops", "Uragiella", "Pseudorhabdosynochus", "Aplysioidea", "Pycnostachys", "Yanovalgus", "Grossicis", "Spaniopappus", "Cribropulvinaria", "Nesocryphina", "Pneuminion", "Neocoelidiinae", "Spiropsammiinae", "Ophthalmidium", "Jakoba", "Proscina", "Nemanthura", "Bipodorhabdus", "Scottnema", "Paraphrixothrix", "Insulasaurus", "Leiolepis", "Staurophlebia", "Lemidia", "Megazosterops", "Walesobius", "Lacrimorpha", "Phalangioidea", "Cordatella", "Myrmexocentroides", "Philotarsetae", "Batistiaceae", "Oryphantes", "Emesidini", "Sangariola", "Atlantoraja", "Paraphalaenopsis", "Waldsteinia", "Pachastrella", "Olastrida", "Pescatoria", "Chionocestus", "Lucasia", "Calcitornella", "Sclerogastraceae", "Rhopalomerus", "Nannocampus", "Theronia", "Bathylepta", "Sinella", "Pachygluta", "Planolinellus", "Sarcoglyphis", "Oxycera", "Phobetus", "Indusiella", "Dinocephalus", "Enosis", "Edwardsiella", "Cosmopterigidae", "Mastodonsauridae", "Coptomiina", "Tremissus", "Probopyrione", "Losaria", "Anabantidae", "Stephanomiidae", "Paratrachelas", "Myrmelachistini", "Epinephelus", "Sericolophus", "Xanthophorus", "Tefflus", "Macropraonetha", "Bellavalentis", "Leptoscydmus", "Miliinae", "Botryllophilidae", "Pelodytes", "Caloscirtae", "Polyonychus", "Cychramptodini", "Aeolostreptis", "Carineta", "Arrenuridae", "Pseudodictyococcus", "Syllimnophora", "Fellodistominae", "Strotarchus", "Lophospiridae", "Isodrapetis", "Ungeria", "Vomerogobius", "Garra", "Eriphus", "Haplolabida", "Annulopatellinoidea", "Stenotarsiini", "Riggia", "Leptaleus", "Boldella", "Semnodema", "Dactylipalpus", "Bulgaria", "Solenanthus", "Clinolabus", "Diomea", "Cobanocytheridae", "Robinieae", "Lepidopygopsis", "Aphataspis", "Onukia", "Rhynchothoracidae", "Chalaenosoma", "Epialtidae", "Caloranaerobacter", "Elatostemateae", "Munnozia", "Cybaeina", "Therasiinae", "Erinocarpus", "Eubrachythoraci", "Platemys", "Uchidastygacarus", "Circoporidae", "Conostoma", "Rodneya", "Aorista", "Proratinae", "Cyclevertex", "Dendrocoptes", "Bassia", "Rhachodesmidae", "Tribrachididae", "Stolotermitinae", "Hexanodes", "Cyperochloa", "Basarukinia", "Asterotrochammina", "Oxyrhachini", "Leucophanes", "Austroniscus", "Orophia", "Tetrachyron", "Raychaudhuriaphis", "Paradossenus", "Oreasiobia", "Phiditiinae", "Valisia", "Pentagonica", "Psalidia", "Anonyx", "Taboga", "Mixodigmatidae", "Rhachisaurus", "Pseudobalistes", "Nucara", "Aroma", "Diptychophorini", "Diaphragma", "Strongylochirus", "Protaedia", "Calasesia", "Trinophylum", "Acamptopsis", "Kararhynchini", "Proctonotidae", "Bathytyphlops", "Lafoensia", "Galeritini", "Woolastookia", "Parachilalictus", "Scioriedeli", "Seimatosporium", "Brachylepas", "Trenetica", "Porannulus", "Sphaerochrysella", "Enanthyperythra", "Funkiella", "Halocnemum", "Philodana", "Chrisothea", "Microgecko", "Eouvigerina", "Golubeviales", "Buliminellita", "Eleutherozoa", "Anapistula", "Rhytidothynnus", "Trematocranus", "Xanthodermus", "Loxodida", "Cyrtodesmidae", "Phoxichilidium", "Phellodendron", "Knerialepis", "Ophiothamnidae", "Mikeius", "Arivela", "Zadadrina", "Cornuprocerus", "Tinagma", "Chlorolestes", "Leucocoryninae", "Speiredonia", "Synaphobranchoidei", "Hemiscopis", "Craterostigma", "Hypnodontopsis", "Withania", "Cappaeini", "Soesiladeepakius", "Semenovia", "Chloropediaceae", "Sharqencyrtus", "Gentianales", "Apsilocera", "Mamiellales", "Bonagota", "Epibryon", "Plethodidae", "Micromenia", "Zignisis", "Endomycetaceae", "Thermagrion", "Nesoscaptor", "Dyakioidea", "Nusuttodinium", "Melapsyche", "Grona", "Eumichthus", "Opecoelininae", "Phrudopamera", "Polynemicola", "Tmesiphorites", "Rhipidogammarus", "Meriania", "Alucita", "Minouxia", "Naso", "Pseudanaphes", "Notomicrinae", "Rakovicius", "Micrometopion", "Afroplectidius", "Ademosynidae", "Mitrata", "Goniaceritae", "Cnuella", "Cucochodaeus", "Discinellaceae", "Vaneeckia", "Pothea", "Haliastur", "Sandersonia", "Fennellomyces", "Parastylostomum", "Physalaemus", "Zollernia", "Garulynia", "Desertia", "Gibbobystra", "Crossotocerini", "Acidocerinae", "Chilecryptus", "Chthonos", "Thalassodendron", "Proagapete", "Orthogeomys", "Afromydas", "Bathyspadella", "Haploporinae", "Cibicididae", "Achatinini", "Paraquadrulidae", "Pentatrichomonas", "Arctoa", "Nothocladus", "Eriopis", "Amazonsaurus", "Chloropteryx", "Cimolomys", "Leiodidae", "Diuranthera", "Matara", "Trichomma", "Eulagos", "Nitidicryptum", "Amisammus", "Tracheluchus", "Aprostomis", "Paulbronnimannia", "Abrothrix", "Sutterella", "Quercuagrilus", "Bexiocoris", "Alysiinae", "Inocellia", "Persephonella", "Calonectris", "Rhizorhapis", "Maorothiini", "Polycope", "Kupeornis", "Plesiodema", "Danthonieae", "Parahaustorius", "Smodicini", "Oaxacaniinae", "Leaniricolidae", "Argyrotelaenus", "Dissoptera", "Viklundocoris", "Anisoplaca", "Nematobothriinae", "Myostenostomum", "Metavargula", "Metrioxena", "Chorisoneura", "Coelociontidae", "Netrocoryne", "Chorizoporidae", "Parmenosoma", "Acryptolaria", "Penola", "Hampala", "Stegenodes", "Brachybaculites", "Callophrys", "Hydraena", "Eriocactus", "Cretosyntexis", "Trichodemodes", "Megalaimidae", "Anchusa", "Veronica", "Poinae", "Ceratoppiidae", "Stauranthera", "Thelyphoninae", "Tritopsyllini", "Sectophilonthus", "Blackburnibelus", "Daiotyla", "Peridictyon", "Psilogramma", "Myripnois", "Eupomatiaceae", "Fusohericia", "Alabagrus", "Vallissiana", "Tenuipalpoides", "Cyberlindnera", "Stauroteuthidae", "Yamadazyma", "Deloyala", "Rhopalizarius", "Novibipalium", "Novotettix", "Pelagococcus", "Petrobium", "Holocentrimorphaceae", "Tranzscheliella", "Galegeae", "Tynanthus", "Baeolidia", "Leptomonas", "Telphusa", "Rafamastix", "Zygocera", "Cytophagia", "Phyllacanthina", "Baileychromis", "Crossothamnus", "Alouattinae", "Tephritidae", "Marsupulinoides", "Sinocanthium", "Notidanoides", "Topaldios", "Pherhombus", "Hypolytrum", "Ammodiscoides", "Acanthiza", "Erebinae", "Dilopolipus", "Trachypogon", "Monanthotaxis", "Hemerobioidea", "Philetairus", "Groentvedia", "Paranursallia", "Alfredella", "Endoceratidae", "Cyrtotyphlus", "Tikvahiella", "Atractanthula", "Coloradia", "Pterygostemon", "Dactylosporaceae", "Hoffmaneumatidae", "Tetralaucopora", "Paranadara", "Mollisiaceae", "Dityloechusa", "Thereitis", "Tamigalesus", "Chilotherium", "Thylakomonas", "Peregrina", "Paralititan", "Petersius", "Cirphulina", "Asythosia", "Densiphyllum", "Nietonafriella", "Aporobopyrus", "Anhedobia", "Ledracorrhis", "Melligomphus", "Entophysalidoideae", "Zygentoma", "Angolotingis", "Taenioides", "Brachymis", "Nannochloropsis", "Fernaldella", "Pseudocedrela", "Eutrichosomella", "Miturga", "Pasteurella", "Redivivoides", "Weissia", "Dystaenia", "Throbalium", "Trinorchestia", "Frankmuelleria", "Dijigiella", "Stephodinium", "Tubaphe", "Iguazucoris", "Tsitana", "Melocalamus", "Cannosphaeropsis", "Deania", "Isotheca", "Otagonia", "Triclinum", "Indialaeus", "Acanthognathus", "Nerodia", "Corallistes", "Ephelota", "Exilisciurus", "Laticoleus", "Icarus", "Atrometoides", "Macrostylis", "Amitus", "Trichopeltis", "Nostimochelone", "Trimastigamoeba", "Sclerocecis", "Aulanota", "Phaneroserphus", "Ceratospora", "Lysiloma", "Chrysolaena", "Allotria", "Heterozonias", "Nepaliseta", "Symphysia", "Trigonocidaridae", "Pterospermum", "Nabirecoris", "Anocalea", "Speea", "Paraxantholinus", "Bathysquillidae", "Sisyrophora", "Tigremiris", "Prodontria", "Cecharismena", "Traginopinae", "Cimberis", "Denitratisoma", "Orosius", "Blastocladiomycetes", "Aremonia", "Carnidae", "Punjentorhopalus", "Galloisiana", "Mesosemia", "Traquairaspididae", "Acollesis", "Schwetschkeopsis", "Psidium", "Reticulomyxa", "Jacquemontia", "Pachorhopalopsis", "Eleebichneumon", "Hatschbachiella", "Histioteuthidae", "Dictyosporium", "Phymatura", "Besuchetiella", "Boophone", "Progonocimicidae", "Eriopeltis", "Rhagoba", "Perimylopidae", "Chlamydia/Chlamydophila", "Paranthuridae", "Naucoridae", "Saging", "Chiloscyphus", "Gnomini", "Sthenurinae", "Banffia", "Diguetidae", "Afdera", "Derbyana", "Eurythyrea", "Endeavouria", "Opistocyclus", "Lycosidae", "Pseudarthria", "Neobunaeopsis", "Neodiogmites", "Agaricostilbaceae", "Hyas", "Chilini", "Gammaphytoptus", "Archiculicoides", "Minialula", "Omoeacalles", "Coptosoma", "Hoplosmia", "Hemiptarsenus", "Spartochloa", "Smilax", "Coitocaecum", "Pinnotheroidea", "Philodinavus", "Gastropus", "Picumninae", "Lutra", "Chorisops", "Propappus", "Eremothera", "Neosappaphis", "Stegazopteryx", "Melonanchora", "Meximalva", "Polycopetta", "Necrophylus", "Euceroptres", "Urstylis", "Mesenchytraeus", "Xylicini", "Scapomegas", "Jadunia", "Eoglaucomys", "Protelphidium", "Orthion", "Geinitzinidae", "Alkanna", "Pilea", "Diomini", "Centrostachys", "Japanagromyza", "Edella", "Nanuza", "Macroraffrayia", "Elaphrornis", "Mynogleninae", "Stenostiridae", "Pseudemydura", "Dodecosini", "Rathouisiidae", "Chamus", "Heteraedoeus", "Linderniaceae", "Diplogelasinospora", "Coccorchestini", "Vaccinieae", "Notacma", "Metaxyaceae", "Genonota", "Evalea", "Tapajos", "Prionolopha", "Pseudorbitellinae", "Hemisphaerammininae", "Proboscis", "Metaparia", "Mongolianina", "Newnesioidea", "Pterorhopalus", "Vadonaxiini", "Pollimyrus", "Anisopeplus", "Rhamphocoris", "Apenes", "Holozonia", "Erichsoniina", "Turraeanthus", "Termitodonia", "Clodia", "Tshingisella", "Kaltanicupes", "Rhodoplanes", "Hemiflagellochloris", "Paracerura", "Rhododictyon", "Chlorophysema", "Ptychobarbus", "Acestrorhynchinae", "Fistulidia", "Dangeardinella", "Carpomys", "Dioctophyma", "Dalensocoris", "Cloiselia", "Neonosemoidiidae", "Acrapex", "Milichiidae", "Platyschismatinae", "Neosiphonia", "Simplocarina", "Peraglyphis", "Phacocerus", "Promecothecini", "Naegeliella", "Lepetopsidae", "Skrjabinia", "Nesameletidae", "Neomorphus", "Microneta", "Polygyrinae", "Raphidozoum", "Leptaulacini", "Sphaerocylichna", "Hesperantha", "Macrodelphus", "Dexippus", "Elautobius", "Aspithra", "Titobustillobalanus", "Evodianthus", "Tainiterma", "Alcanivoracaceae", "Iosactiidae", "Roepnarainius", "Belgica", "Enghoffosoma", "Coendou", "Pachyneuroidea", "Aphelia", "Desmatosuchus", "Myosotidium", "Raorchestes", "Toropuku", "Prasiolopsis", "Bathyodontoidea", "Hypoceras", "Tarachodinae", "Aptostichus", "Aphatum", "Akanthomyces", "Caespitotheca", "Sintania", "Hypthyris", "Ptychophis", "Ammosigmoilinella", "Spongiivirga", "Arhinini", "Cyema", "Lophus", "Heteroplea", "Prodorylaiminae", "Sarmientoia", "Grimpoteuthis", "Nerioidea", "Trisegmentatidae", "Aulacigastridae", "Heteropalpus", "Trachyglutus", "Epelidochiton", "Paracyriothasastes", "Mosu", "Afromelanichneumon", "Euthyonidiella", "Fustigerinus", "Incatrechus", "Iracilda", "Kermadecia", "Cupes", "Ochanostachys", "Melanoneura", "Teuloma", "Rhizosoleniales", "Huitaca", "Anostomoidea", "Ordovicina", "Oreocharis", "Tropiduchinae", "Microfustigerinus", "Balbura", "Hainosaurus", "Palacantholithus", "Paradoxecia", "Yoldiella", "Rachoviscus", "Benthamiella", "Hyaliella", "Megatrematini", "Ireksokonia", "Coptotermocola", "Mycetophaginae", "Dictyosoma", "Microdipnus", "Cephaloziella", "Semibarbula", "Psammococconeis", "Apodinidae", "Eoclathrus", "Phasianinae", "Cyrtidula", "Belophora", "Drymusidae", "Dipartiella", "Paramythia", "Dystomorphus", "Golofa", "Latimbini", "Timoides", "Lumaria", "Caspicola", "Diphlebia", "Euryphlegon", "Talegallipeurus", "Paurocoris", "Solenopsis", "Polychalca", "Socalchemmis", "Semiendothyra", "Papaveronia", "Prodoxus", "Eosphagnum", "Apharina", "Emmericiinae", "Euvondrea", "Ulotrichopus", "Stolidobranchia", "Thaumastocera", "Dolichothrombium", "Andrewesia", "Thriambeutes", "Opistholebetinae", "Recurvatus", "Hypermeinertellus", "Coenaletes", "Spanioplon", "Choriactis", "Epitonioidea", "Docophoroides", "Scopaeoma", "Parelasmopus", "Tomopisthes", "Bellerophinidae", "Heterozetidae", "Astroscara", "Neowardula", "Caenocrepis", "Calloporina", "Tetragonoschema", "Oopsidius", "Methylacidiphilaceae", "Cifuna", "Biribellus", "Latescutella", "Epitrichius", "Holocneminus", "Catocyclotis", "Mycenastrum", "Chamundinae", "Nahuanura", "Leipoldtia", "Jubellidae", "Plakolana", "Lorita", "Leioheterodon", "Cryptomedasina", "Macrochelinae", "Paramicrolaimidae", "Erotis", "Brevianthaceae", "Paramonotus", "Tunchiornis", "Heteranthemis", "Celerrimus", "Amblystegiaceae", "Frankluquetia", "Corethrovalva", "Omorius", "Trichobaptria", "Pellacalyx", "Bourrellia", "Pseudohermenias", "Heteronotini", "Pseudophasma", "Rorida", "Natypleurina", "Amietia", "Empoasca", "Pheladenia", "Xinjiangchelys", "Levantinella", "Massospondylidae", "Cymbiodyta", "Methanothermus", "Anningasaura", "Hypsurus", "Lautosporaceae", "Erratamelitta", "Nococryptus", "Endothamna", "Dohertyorsidis", "Notocampa", "Schumanniophyton", "Darienheros", "Grynocharina", "Mesomys", "Basserolidae", "Demeijerella", "Acanthochrysis", "Yaberinella", "Sindechites", "Geoesthia", "Dipentium", "Troglokhammouanus", "Reutealis", "Comaserica", "Lobocolpodes", "Actinostella", "Bhaskaria", "Antennulosignum", "Antistrophe", "Cinetochilidae", "Crambinae", "Luculieae", "Hypsilurus", "Metandania", "Bebbia", "Plocamocera", "Heterochrominae", "Trichantherinae", "Platypleurini", "Trigonoporus", "Rosales", "Brachycerini", "Aculochetus", "Mimacrotona", "Metacrangonyx", "Carpilius", "Nepytis", "Campynema", "Olenothus", "Parablastomonas", "Nanictosaurus", "Sphaericini", "Oxytrigona", "Upis", "Malaconothridae", "Archodontes", "Telonemea", "Neblinichthys", "Enneaphyllus", "Fregolia", "Nitrospinaceae", "Nanobubon", "Sicyopus", "Durckheimia", "Microrhopias", "Petrocosmea", "Appalachioria", "Cercidocerus", "Quadrimorphinella", "Ilyobates", "Anacolus", "Dejanira", "Stenocrates", "Textrix", "Coptoglossus", "Hemiaspidius", "Noodtiella", "Cryptopeltaster", "Trachelophora", "Taiwanobryum", "Audycoptidae", "Datisca", "Cryptofilida", "Longrita", "Parathlibops", "Axiokersos", "Bonisa", "Heterosentis", "Rhynchanthus", "Graminaseius", "Pseudopisthogynopsis", "Unenlagia", "Amazonsprattus", "Callopatiria", "Symmachara", "Leucobacter", "Australobus", "Spathiporidae", "Peltostigma", "Uleiella", "Phyllobates", "Mitrephora", "Arabicnemis", "Pacourina", "Protista", "Aschistophleps", "Delesserieae", "Cancrocaeca", "Lynxacarus", "Pohlia", "Plumbago", "Narrabeen", "Montiparus", "Iotroata", "Polyconus", "Gondysia", "Satan", "Anaxas", "Melursus", "Bolitocharina", "Hexelasma", "Azuragrion", "Trismelasmos", "Psammosiphonella", "Parameria", "Stomatorhinus", "Socotroniscus", "Yunnanosaurus", "Napogina", "Neochen", "Leuconostoc", "Neoxantholinus", "Megastraea", "Streptochaeta", "Klebang", "Golbachia", "Paracypris", "Annaichthys", "Pteroselinum", "Parabembras", "Alesiella", "Sporodophoron", "Leidesia", "Kadosactidae", "Forsterygion", "Rhyacia", "Achiridota", "Aricanus", "Microcope", "Metholcus", "Etimasu", "Tachys", "Eridiphas", "Ctenophryne", "Dicerogastra", "Arhythmacanthinae", "Photurinae", "Eucepsis", "Anthaxioides", "Adenanthera", "Cladocolea", "Herderia", "Eriosemopsis", "Eurypoda", "Gnathisotoma", "Machaerota", "Christinea", "Lampriminae", "Herpetogramma", "Sterrocladia", "Paraplotina", "Xanthophenax", "Ennothus", "Hemidictya", "Cotingacola", "Diaphorocoris", "Cytospora", "Leucetta", "Maxillipiidae", "Cytinae", "Cryptocercidae", "Protonyctia", "Prosadiya", "Raphidocelis", "Adelomorpha", "Acacia", "Undinula", "Biropalostoma", "Anochetus", "Aphelusa", "Pseudobemlos", "Stegophorella", "Leptolegnia", "Macroglycyphana", "Schoenolaena", "Cerylollodes", "Henrikus", "Capitijubatus", "Oligothrix", "Heterocongrinae", "Xenodesimia", "Buccochromis", "Gelastocephalini", "Scaptocnemis", "Cipriscola", "Clinostominae", "Condylocarpon", "Godzilliognomus", "Sclerococcales", "Mochokiella", "Glebinae", "Ericrocis", "Maynipeplinae", "Gwenia", "Tommotiida", "Sarcocheilichthys", "Palaeolituonella", "Boerneoecetes", "Gongylophis", "Guilandina", "Ophiodromini", "Nippononebria", "Socotracris", "Thelodontiformes", "Epicladia", "Microlugenocoris", "Paragambrus", "Lepicerinus", "Leucoptera", "Enarotadius", "Sceptonia", "Vagatotrombium", "Cyptophania", "Terapontidae", "Leptothele", "Hemicyonidae", "Cladophorales", "Olyras", "Pseudaphronella", "Nonionella", "Coturnicops", "Gopherus", "Palpares", "Myrmecopsis", "Cardenioidae", "Membraniporidae", "Ptycholaemus", "Monosporus", "Rhabdosciadium", "Dictyonissus", "Glandulocephalus", "Chumma", "Diliolophus", "Reissa", "Oaxacla", "Aristaeopsis", "Acis", "Sciophyllum", "Storeyandra", "Allocreadiidae", "Eupropacris", "Carilia", "Cerberodon", "Peiropemydidae", "Vozzhennikovia", "Chitinivibrionales", "Corytoplectus", "Centromedon", "Mesoasellus", "Prosymnidae", "Dominickus", "Deccanolestes", "Lacazea", "Protodeleaster", "Tetrastylidium", "Pseudopisthogyne", "Dermatinoides", "Pseudoheptascelio", "Prosopis", "Poicephalus", "Nitophylloideae", "Eoaphidius", "Megastigminae", "Xenarthronyssus", "Matundua", "Agathisanthemum", "Gallotia", "Frankiales", "Neoeme", "Antoniinae", "Amphipyrinae", "Siphoninoidinae", "Miriclytus", "Nibilia", "Denops", "Archeuptychia", "Rafinesquia", "Chilocorus", "Anthemobothrium", "Megaselia", "Naevolus", "Lutrogale", "Cerrena", "Neurocolpus", "Leptinopterus", "Phlogophilus", "Corinna", "Marmosops", "Amnestinae", "Siccotrella", "Polydontinae", "Selachina", "Paragyliaucheninae", "Blacophanes", "Heliosaturnalis", "Lithopilium", "Premohemiaegina", "Dilompinae", "Archigetes", "Chalcangium", "Cyphobasidium", "Aepytus", "Procretevania", "Kloedenellocopida", "Themidacaeae", "Caecomyces", "Saphobiamorpha", "Alestes", "Thysanopyga", "Nasolamia", "Lampruna", "Pomaria", "Exiliseptum", "Heteroptychodus", "Himantandraceae", "Lepidobatrachus", "Wondeclia", "Merolides", "Eulima", "Tilodon", "Imagocnus", "Sphaerulina", "Tamijia", "Spathobdella", "Stenopronorites", "Propeamussiidae", "Leucanthemum", "Euphydryas", "Parachelidonium", "Cicerocrinus", "Cirrodrilus", "Stagmatoptera", "Bellamyclus", "Dystasia", "Plocoglottis", "Thonyocossus", "Pseudochrysogorgia", "Gongylosoma", "Daldinia", "Polygrammodes", "Saccorhizinae", "Actinoscirpus", "Dryodora", "Hengconarius", "Trochinae", "Concavinae", "Erysipelatoclostridium", "Esmasura", "Lutrochidae", "Haloplasma", "Alynda", "Afradapis", "Fouqueidae", "Phaeomegaceros", "Paralonchurus", "Desulfatitalea", "Nannosciurus", "Kleidocerys", "Choriplax", "Hystrichonychini", "Cristidorsa", "Brachyiulus", "Stomaphidini", "Physeter", "Haliana", "Gyalophylax", "Scleroplegma", "Mesocela", "Prasinoderma", "Psomophus", "Alopochen", "Chondria", "Dromochorus", "Tryella", "Pronephrium", "Naiaditaceae", "Lampadioteuthinae", "Amyema", "Neofusulinella", "Qataria", "Exaphodius", "Halomicroarcula", "Helcanthica", "Heterocarpus", "Fenyesia", "Scyphanthus", "Pseudochactas", "Polybothris", "Doridoxa", "Lavareda", "Cryptoxilos", "Jonathania", "Certonardoa", "Paradeloparius", "Phthinolophus", "Abrodictyum", "Neolepidothrix", "Lepyrotica", "Atelopus", "Sibirasellus", "Saphocallus", "Eugeniella", "Hypocoelotes", "Thisbe", "Neohepialiscus", "Bipersona", "Cretorectolobus", "Kuldscha", "Thylacopsis", "Chilostomellidae", "Xanthopygus", "Neoathripsodes", "Tammsia", "Tryssaturopsis", "Cambalopsis", "Omaniidae", "Curuapira", "Dissotrocha", "Ceratopogonini", "Campsocraspedon", "NMNS", "Berthelinella", "Henrica", "Brixidiini", "Conspica", "Sethoconus", "Mobulinae", "Idioglossa", "Phaisurellops", "Lychnuchus", "Australodesmus", "Acrotretida", "Quadricephalus", "Depressotrella", "Anaerospora", "Amerispheca", "Crypticus", "Elytrantheae", "Orthopagini", "Afrovenator", "Sirioba", "Tsunogaipagurus", "Filchneria", "Plastobelyta", "Dendrocnide", "Pseudoscops", "Miocupes", "Octolasion", "Australanusia", "Leiotulus", "Arctesthes", "Anama", "Ditropopsis", "Monaphis", "Apteranopsis", "Luzea", "Mnemomyia", "Heterotanainae", "Arigomphus", "Canthyloscelidinae", "Nesomalium", "Progynotaeniidae", "Mecistostethus", "Tetraperone", "Cordylinae", "Venezillo", "Archilina", "Vincenzellus", "Bhidea", "Helminotrogia", "Eutrichosiphum", "Gymnapogon", "Microxistyla", "Hyphus", "Lagarostrobos", "Protopeneroplis", "Strongylogaster", "Sphaeroma", "Semirhytus", "Dasypodaini", "Bhagirathimyces", "Trissevania", "Pachydinium", "Lutianicola", "Thulinius", "Eilifdahlia", "Prokinetoplastina", "Xuriella", "Ebolowanius", "Heatherellidae", "Australoechemus", "Trioleneae", "Phloeodictyidae", "Hastigerina", "Europacantha", "Mitocybe", "Prionocera", "Parodiolyra", "Archonoia", "Ochromonas", "Bominae", "Lophotidae", "Holopleurini", "Banksieaeidites", "Eriopinae", "Neocoloneura", "Tenuibacillus", "Isotedolera", "Payera", "Archonias", "Hyposinga", "Glaphyserica", "Microleptus", "Atenizoides", "Oxycephalotettix", "Palauidae", "Corogammaropsis", "Hippolais", "Akiyoshiella", "Cordilurini", "Petyllis", "Drymonaxus", "Parapycnota", "Antillostenochrus", "Leptonoma", "Lunulariales", "Haemopinae", "Quadrigyridae", "Paraplectrone", "Scorpiodinipora", "Tomentgaurotes", "Richmondia", "Iguanodontia", "Paralitogaster", "Vulcanoctopus", "Podonosma", "Kryptolebias", "Placopsis", "Amphekes", "Hemydacnini", "Leptopharynx", "Cladostroma", "Ologamasinae", "Spelaiorrhina", "Microlithosia", "Latidens", "Temnodontosaurus", "Curculionichthys", "Arbacia", "Platytylus", "Miolispoides", "Neoskrjabinolepis", "Cistanthe", "Oniscidae", "Cretamyzidae", "Tibioscarites", "Sedimentibacter", "Cypridinini", "Lithopleurota", "Semirhynchia", "Terastia", "Plesiopleurodon", "Magnapaulia", "Oligopisalia", "Prostebbingia", "Gastroptychus", "Nitratireductor", "Burhinidae", "Endogenia", "Palaeopsocus", "Pseudachorudina", "Polytrichophora", "Bathybatini", "Basidiopycnis", "Glanidium", "Obdurodon", "Pseudostegopterus", "Pholoicolidae", "Polyptychodon", "Fezia", "Triglopsis", "Decaryochloa", "Calciosolenia", "Muelleriopsis", "Veigaioidea", "Cremersia", "Palaeoendogone", "Ophiodromus", "Lagopezus", "Milichia", "Menodora", "Jikradia", "Isosaphanodes", "Acanthoplini", "Urotryphon", "Kokoppia", "Thaumatodinium", "Eteona", "Cavoliniidae", "Dalcera", "Erythrorchis", "Angoonopteryx", "Dutto", "Myosoricinae", "Schmidtiana", "Chrysosphaerales", "Amnicolidae", "Scaptochirus", "Chiastosella", "Acanthovalgus", "Hagsatera", "Jaera", "Polycarpa", "Labidoherpia", "Walkerioidea", "Wocklumeriidae", "Cartorhynchites", "Mecopomorphus", "Cynoglossus", "Dinarobina", "Ijimaia", "Probursata", "Psenobolus", "Chresmoda", "Amphianax", "Sequoioideae", "Varthemia", "Petrospongiaceae", "Terminalichus", "Sephina", "Montfortista", "Squamophis", "Styphlotrematidae", "Gnomoniopsis", "Marrella", "Lobonyx", "Podomonas", "Hegneria", "Amaryllis", "Rhomboidia", "Abelsporidae", "Ceriporia", "Keuphyliidae", "Nyctocyrmata", "Haloa", "Thibaudylla", "Asiahesperornis", "Sialocara", "Neoradamopsis", "Pheggomisetes", "Palmellosphaericum", "Tobiissima", "Mangeliinae", "Pilinia", "Pleurocarpaea", "Ferania", "Haplothyrus", "Thekopsora", "Moskgha", "Qinglongites", "Cerorhinca", "Limnocharinae", "Kramerellidae", "Cathartacarus", "Alburnus", "Calanana", "Ulopini", "Stenentoma", "Speleochir", "Parvodinium", "Algibacter", "Pagosvenator", "Unduloribatidae", "Systenita", "Fidius", "Berardius", "Chalcophorella", "Polyclinidae", "Asclepiadeae", "Sapphirinidae", "Rainacalles", "Rosiroia", "Ranfurlya", "Hippocephala", "Johnjagtia", "Pampa", "Myrrhinitis", "Alabama", "Amaracarpus", "Discotettix", "Psammorygma", "Balneatrix", "Embreea", "Umboniinae", "Leucosalpa", "Aoupinieta", "Symplectrodia", "Peddiea", "Gargarius", "Pichia", "Rhytidocystidae", "Baccharoides", "Prionopsis", "Erebophasma", "Pendulothecium", "Dicax", "Lycosphingia", "Platyepipedia", "Hemiurosoma", "Urogymnus", "Richterago", "Pyrosomatidae", "Meyathorybia", "Bartheletiaceae", "Spirogonium", "Cormocephalus", "Pyroteuthidae", "Parvospeonomus", "Lacertoides", "Cloacaridae", "Histiobalantium", "Atheroides", "Seetzenioideae", "Archaeopteris", "Anisyntoides", "Trichogloeopsis", "Aetholopus", "Harpacticella", "Praenotochilus", "Agelanthus", "Xenocaligonellididae", "Cretoquedius", "Spodotaenia", "Cirrhitops", "Episcardia", "Mesodentalina", "Andreadoxa", "Paratractosomus", "Zulemita", "Mojoceratops", "Nepalumpia", "Clytoceyx", "Martynoviidae", "Psammoperca", "Bolinia", "Stigmidium", "Chilophrya", "Guaduella", "Caatinganthus", "Indolinus", "Volkelius", "Turnix", "Neoodes", "Apseudellidae", "Kivulopa", "Anisarthrus", "Promusophaga", "Degonetini", "Eutetrarhynchoidea", "Ulvellaceae", "Saprosma", "Borneoxenia", "Myzomonadea", "Stenocodon", "Coutoubeinae", "Zygopetalum", "Sandona", "Orthostichidium", "Arsoa", "Mota", "Xiphotheca", "Psiadiella", "Schimperobryum", "Klewariini", "Neozephlebia", "Eospalax", "Afromastacini", "Dongnaiobodes", "Hectaphelia", "Colibri", "Bruna", "Monocerichthys", "Minyriolus", "Lepidopsocidae", "Thigmophryidae", "Ctesibius", "Paracnemodus", "Cycloponympha", "Obania", "Odontocera", "Euryproctini", "Maurus", "Apoamphisiella", "Dyscophus", "Cervus", "Glugea", "Corynespora", "Lissoclymenia", "Agatholobus", "STUM", "Raphicerus", "Anaquedius", "Ionoscopidae", "Anatinomma", "Urfacus", "Apioceridae", "Enarmoniini", "Abstrusomyzus", "Palaeomegopis", "Malaybergius", "Atlantostiba", "Davidsia", "Eosymtes", "Coniophanes", "Craspedacusta", "Poecile", "Arthrorhaphidaceae", "Ceirinae", "Nyssa", "Ridleyandra", "Thalassophryne", "Schippia", "Hypolaena", "Myoxomorpha", "Lasiochara", "Upogebione", "Geoglossomycetes", "Trimiina", "Pygolopha", "Hemiramphidae", "Ctenocallis", "Stegophryxus", "Sayella", "Lusterala", "Macrotomia", "Raphithericleini", "Pseudoalteromonadaceae", "Elodes", "Ampelodesmos", "Bucklandiella", "Bradycellus", "Golfingiiformes", "Felimida", "Neoglaziovia", "Lophopyxidaceae", "Nowakowskia", "Oligophylla", "Epimecinus", "Calephorini", "Georissidae", "Aulospermum", "Kombuisia", "Acrocephalitidae", "Chlorophanus", "Longilinea", "Aslia", "Smerina", "Dulichiella", "Odontocarya", "Elongatopothyne", "Ammoglanis", "Hirudapamea", "Involvina", "Cerelasma", "Cheyletoidea", "Saldoidini", "Salma", "Sinanarchusa", "Cyrtinae", "Polyboroidinae", "Parasilaus", "Gaziella", "Arjuna", "Agalinis", "Leporinus", "Gloxinella", "Karucia", "Trichosporeae", "Doeringiella", "Otohydridae", "Coryphocerina", "Frederiksenia", "Cnismatocentrum", "Calidifontibacter", "Haplophryne", "Eariadinae", "Bunolistriodon", "Charis", "Rhexinexus", "Balera", "Raninoidea", "Neosmaris", "Zulubuprestis", "Paramesturus", "Potamolepis", "Glauconema", "Titanophycus", "Limulus", "Marattiaceae", "Thermopetrobacter", "Lamingtonacarus", "Weraroa", "Acraginae", "Brachinina", "Sichuanortia", "Shikamainosorex", "Colubridae", "Prunasis", "Epiplatinae", "Ctenocompa", "Eremophlepsiina", "Cyclolinoidea", "Microptysmatidae", "Ampullariidae", "BNHS", "Dromoceryx", "Tenebrionini", "Allioideae", "Kallymenia", "Phractolaemus", "Olyrinae", "Acanthobunocephalus", "Adcylapocoris", "Chlopsis", "Brachylicoa", "Darwinhydrus", "Euthima", "Opegrapha", "Lopholatilus", "Sinoarabis", "Stenodryas", "Carinaulus", "Steyermarkina", "Emurena", "Alloclemensia", "Selysiothemis", "Hylobia", "Crioprosopus", "Erythropinae", "Ebaeides", "Cylindrarctus", "Abscondus", "Xinjiangchelyidae", "Sterculioideae", "Denarycotyle", "Dipsadinae", "Ophisurus", "Metecia", "Echinodiaceae", "Cermatobius", "Danosoma", "Orthogonikleithridae", "Sidneya", "Euphorbiinae", "Imparidentia", "Nothrolohmanniinae", "Chremylina", "Amphilochidea", "Paradiscopus", "Necropsobacter", "Gypsochares", "Neochromaphis", "Ceratolichus", "Freitascapillaria", "Tococa", "Lachnophoroides", "Neopedaliodes", "Megaulacobothrus", "Ebaliinae", "Iotrochotidae", "Cervidae", "Xylographellina", "Amphorophora", "Bothitrematidae", "Praesiderolites", "Candonopsini", "Lauritzenia", "Trispinaria", "Smynthurodes", "Tetramastigamoeba", "Mimechthistatus", "Gloeotilopsis", "Onisimus", "Rhabdoweisiaceae", "Erythrellus", "Rhopalochlaenius", "Drepanopodus", "Noerrevangia", "Macroceratogoniini", "Mormonilloida", "Australeeus", "Caryodes", "Scolypopa", "Notopteridae", "Sphaerosepalaceae", "Zeuzerilia", "Pyrrhocoris", "Leabelus", "Tropicotingis", "Pyxidiophorales", "Bythocrates", "Molidae", "Rhopalotria", "Leptodrassus", "Orconectes", "Allolobophoridella", "Cryptogramma", "Falklandoperla", "Cyanidiales", "Xestonotus", "Melocanninae", "Styracocrininae", "Isorineloricaria", "Najnidae", "Amathillina", "Holopleustes", "Euscaphis", "Monachozela", "Azurina", "Dicrobiotus", "Bovinae", "Zerogone", "The", "Coccophaginae", "Archastropecten", "Arvicanthis", "Halammohydridae", "Taxaceae", "Pentaceros", "Zappa", "Eucorethrina", "Madrepora", "Falsotubinellidae", "Peromyiini", "Sycopsis", "Xanthomelon", "Agouticarpa", "Pseudoditrichum", "Erioconopa", "Totoia", "Dexosarcophaga", "Thoracochromis", "Raillietnema", "Zearchaea", "Xyletinini", "Apriona", "Neoptychocarpus", "Semiviride", "Baeocera", "Pseudopharaphodius", "Xylopodia", "Styloptocuma", "Urostylida", "Campestigma", "Raphidioptera", "Alexiloga", "Termitoderus", "Avulavirinae", "Stomorhina", "Micippion", "Actioneis", "Neotraginops", "Neobisioidea", "Episinus", "Eiseniella", "Lyginia", "Caayguara", "Tyridiomyces", "Catodryobiolus", "Coniochaetales", "Nanotrombium", "Eriocharis", "Chrysochroini", "Pycnopsammina", "Sinophilus", "Hyaenodontidae", "Coppinsia", "Conopoidea", "Scintillocoris", "Uddenitidae", "Rhinotus", "Pahasapasaurus", "Tetropina", "Grelliidae", "Anaxarchus", "Austrodromia", "Asmea", "Boradia", "Marinitoga", "Digynopora", "Leucosidea", "Anacolini", "Etelea", "Thysdariopsis", "Tetrarhanis", "Membrilopus", "Propygocirrus", "Tropidema", "Microcaecilia", "Tricyrtis", "Chelidoperca", "Pycnobracon", "Anictosphaera", "Cumminsina", "Camopia", "Eolasmatinae", "Parundella", "Taragama", "Noonops", "Beronodesmus", "Eburiola", "Anicula", "Ratardidae", "Tamba", "Tetragonopterinae", "Centrobotrys", "Holcolemma", "Terasota", "Stylosiphonia", "Phyllodinarda", "Neotylenchidae", "Kappaphycus", "Caudosporidae", "Baptini", "Psychophasma", "Menispermeae", "Cystomyces", "Bryantheae", "Maeneceras", "Cryptolithodes", "Annelamphistoma", "Dubia", "Abadiellidae", "Apaturinae", "Oripodidae", "Demoulinia", "Byrsonima", "Khalimospirifer", "Adinimonas", "Agonicina", "Leptobalanus", "Gnatheulia", "Ametastegia", "Leptosilliaceae", "Piptophyllum", "Plehniidae", "Belidae", "Pontomyia", "Xostylus", "Taldycupes", "Styphlomerus", "Churia", "Baissomyia", "Coelodendrum", "Alloeomorphus", "Monotoplana", "Lemaneaceae", "Malmeeae", "Symphorus", "Cryocystis", "Baolia", "Micromyini", "Parapalpares", "Hydatinidae", "Dinophysoidia", "Musurgus", "Thiphonilus", "Weddellia", "Gnamptodontinae", "Allopteridae", "Pangullia", "Eridacnis", "Orthopteroseius", "Rodrigamini", "Cymaclymeniidae", "Bonnierilla", "Discorinopsis", "Arbor", "Marginulininae", "Hystrichopsyllini", "Nedine", "Hemipecten", "Litonotidae", "Brachybyrrhulus", "Neoeutegaeus", "Tourneuxia", "Eucarteria", "Multitesticulata", "Oxyteninae", "Villalobosothignus", "Cirrosporium", "Caspicolidae", "Parandaniexis", "Prosynsynella", "Oriundogutta", "Scolioneis", "Urochloa", "Labidophites", "Gulsonia", "Syntexyela", "Hamptophryne", "Alicellidae", "Byrsopini", "Merulaxis", "Palaeohalidrys", "Photorhabdus", "Lyconus", "Bananellodes", "Malveae", "Phragmophora", "Temochloa", "Elaphrosaurus", "Lari", "Cephaloascaceae", "Gyriosomus", "Atacamatitan", "Anomalopteryginae", "Argaplana", "Pseudoagnara", "Asterocampa", "Amblops", "Victivallales", "Ceriporiopsis", "Brachininae", "Microsiphona", "Leucothyris", "Gaeticinae", "LZATM", "Clathrobaculus", "Hemimacronyx", "Amphekepubis", "Architectonicidae", "Paravargula", "Hapigia", "Vermipsylloidea", "Rectoeponidinae", "Neorhinoleucophenga", "Desulfatirhabdium", "Pycnocaris", "Gagea", "Paramyxine", "Panarthropoda", "Digitothyrea", "Ptychella", "Croceicoccus", "Neocomatellini", "Nehalennia", "Uvularieae", "Hygrodicranum", "Donda", "Trichomastix", "Shizuyaozephyrus", "Bengaliini", "Meloemorpha", "Gabophlias", "Afrobeata", "Uta", "Cladocroce", "Poecopa", "Meriphina", "Drepanogynis", "Excavodes", "Pentatrachyphloeus", "Falsohomaemota", "Microjoenia", "Leaus", "Lichtheimia", "Coleophorinae", "Anthidianum", "Cellulophaga", "Thaumodon", "Hydrophis", "Crossosperma", "Sapromyza", "Verrucaditha", "Fleischmanniopsis", "Topsentia", "Flavivirga", "Nocloina", "Philydrodes", "Alucitoidea", "Navia", "Pachystroma", "Notiophilini", "Centorisoma", "Circinaria", "Scymnus", "Stoermeria", "Ponticella", "Orotaygetis", "Slateropus", "Spondianthus", "Stockwellia", "Behaimia", "Adafroptilum", "Constancea", "Bistinda", "Minititan", "Minutomon", "Neodioxeuta", "Oreumenes", "Baryceros", "Oscillochloris", "Artiotonus", "Hemirrhagus", "Ichneutes", "Dasypharkis", "Geotrupoides", "Azoarcus", "Odontasteridae", "Parergodrilidae", "Variacma", "Hypocreomycetidae", "Pontaster", "Arrhyton", "Kidugua", "Heterocharacinae", "Hypoptopoma", "Luperomorpha", "Naphiellus", "Sericus", "Wuria", "Brachyelytreae", "Troilus", "Schlegelia", "Mormoopidae", "Dorella", "Centrolepidosporium", "Ionoscopiformes", "Pachycephalosaurus", "Sarcoramphus", "Stenodus", "Pentecamenta", "Cottoidea", "Chlorogloeopsidaceae", "Prosagola", "Sigmurethra", "Hydrictis", "Stresemannia", "Afrodermus", "Gsollbergella", "Mitsuokella", "Yangia", "Xenobesuchetia", "Nemesiidae", "Gracilariopsis", "Elbella", "Agriopocoris", "Zhizhongheella", "Darvasites", "Brazeulia", "Capnuchosphaera", "Camelimonas", "Ranilia", "Byttnerioideae", "Arthrostenini", "Hanslia", "Paraamblyptilia", "Emplesis", "Picconiella", "Nullabora", "Lophozozymus", "Tartessella", "Theisoa", "Dianajonesia", "Maiasaurini", "Rhuda", "Tanaidacea", "Microcoleoideae", "Spiraeeae", "Callistoprionus", "Fasciolaria", "Amedea", "Epithelion", "Nubeculinita", "Spiraxinae", "Characodoma", "Broscinae", "Rhysopus", "Hamishnola", "Crateromorpha", "Braunsia", "Pavlovecina", "Anadromidae", "Psittaculobius", "Cyclopia", "Gonepteryx", "Myiornis", "Cephenniini", "Dolocerus", "Notata", "Cyrtocaryidae", "Ilarochara", "Acanthosaura", "Platypleura", "Cimaria", "Cephalocerodes", "Zeiraphera", "Odontognophos", "Parapotamon", "Pseudopachydema", "Ollaria", "Diplodiella", "Strandius", "Agonoleptus", "Potamarcha", "Scobura", "Neolongitergus", "Fuentes", "Phyllidiella", "Diplopauropodidae", "Reedella", "Halanaerobacter", "Leiopleura", "Callityrinthia", "Parabradycellus", "Hyalosynedra", "Cerylon", "Metaceradocoides", "Micropodabrus", "Cyrtothyrea", "Bolitoglossa", "Etielloides", "Ladigesocypris", "Solenostomataceae", "Phyciodina", "Chinobius", "Torresina", "Baikaloperla", "Proteacidites", "Acostatrichia", "Hartmannina", "Labidilla", "Eupleridae", "Dinoxantholinus", "Nelsonia", "Kassina", "Pseudoryctina", "Heteronychini", "Allidiostomatinae", "Trachelissa", "Glycera", "Mystriophis", "Acanthogammaridae", "Amygdalops", "Australcephus", "Onychocerus", "Pompilidae", "Formotosenina", "Neomariania", "Allothyone", "Conochitinidae", "Toronaeus", "Phaneromycetaceae", "Tapheocarpa", "Amphiorycteropus", "Cribrihammus", "Melastoma", "Phrudoplaga", "Brachydina", "Nodocarpaea", "Gliocladiopsis", "Toxotes", "Mesochrysopidae", "Omegandra", "Hepialus", "Antoonops", "Succinispira", "Herophydrus", "Schizolaena", "Polenecia", "Didea", "Lesothosaurus", "Striamea", "Antirhea", "Megaceradocus", "Brasilonema", "Xanthogaleruca", "Phoenicus", "Petalichthyida", "Caldicellulosiruptor", "Curoba", "Ptychodiscus", "Gnathostoma", "Agathia", "Calcarisporiaceae", "Latrobea", "Ruttnera", "Haplobothriidae", "Caridohabitans", "Lebanococcidae", "Ponerilla", "Macroocula", "Amphitomariidae", "Stilbodiscus", "Coninae", "Pandionacarus", "Lamtopyxidae", "Epidromia", "Scrobipalpoides", "Cortispongilla", "Siansivirga", "Primnoidae", "Tosaiidae", "Ceriscoides", "Sisko", "Pallimnarchus", "Platycrinacea", "Nitrosopumilales", "Arcticidae", "Brasiliomyces", "Methanocorpusculum", "Paromius", "Acrobolbia", "Kumbadjena", "Canellales", "Marianella", "Effractapis", "Turania", "Tetragona", "Delamarea", "Xenopneusta", "Arenaeocoris", "Yleuxas", "Buchanosteoidea", "Boletoglyphus", "Juvenichiton", "Kinabaluchloa", "Chylnus", "Flax", "Hyladelphinae", "Celebijoppa", "Chifengiinae", "Bopyrina", "Vampyriscus", "Cyclopicinidae", "Chordarium", "Provancherides", "Myloplus", "Disca", "Saprolegniaceae", "Cathartosilvanus", "Matralona", "Echinocythereis", "Deutonura", "Aulaxus", "Gramera", "Medhiama", "Heterojassus", "Ecitobium", "Oxychilidae", "Cruregens", "Rothilena", "Madagaschara", "Ammodendron", "Restella", "Nehemitropia", "Pelangia", "Exapion", "Parapirnodidae", "Ocosingo", "Rachiplusia", "Chenella", "Meringopus", "Mauria", "Metarhynchites", "Corythaeolinae", "Evansiella", "Quassiremus", "Glenniea", "Ascocylindrica", "Xenogorgia", "Solenoxiphus", "Cymbasoma", "Mimabryna", "Myrmothera", "Omophoita", "Acantharctia", "Musgravea", "Longisiphoniella", "Neocallitropsis", "Argyrocorys", "Liquia", "Neuraphanax", "Ancyttalia", "Eutaphroptinus", "Pholcomma", "Democrates", "Neorites", "Lestidae", "Gamasellinae", "Mimadelphus", "Icius", "Crinodessus", "Formicomini", "Mycterothrix", "Campyloxeninae", "Astronium", "Margo", "Alloteropsis", "Notorynchus", "Trichocintractia", "Sphaeroderma", "Macrohectopidae", "Bicolumnus", "Ecballocystella", "Driloniinae", "Sporades", "Parisomorphus", "Barcheria", "Canaima", "Echemus", "Congophiopsis", "Meschia", "Alvarezsauroidea", "Ekmanifilum", "Berwaldia", "Namibiana", "Florideophyceae", "Rhodaniridogorgia", "Dendrotiidae", "Antha", "Riekefella", "Chrysamoebaceae", "Balticammina", "Acanthocephalus", "Micropruina", "Clavemeopodus", "Spasskyellina", "Eusphecia", "Domanikoceras", "Otholobium", "Disconorbis", "Scytellum", "Showajidaiidae", "Archimerismus", "Muricoidea", "Cricetomyinae", "Neopterygii", "Mimeoclysia", "Plocaria", "Linosiphon", "Emerda", "Moapsocus", "Nikomiklukha", "Mimodynerus", "Ottotettix", "Haplidus", "Actinodactylellidae", "Platylepadinae", "Reicheia", "Joadis", "Selenidioides", "Euphorus", "Pisaboa", "Gregarinasina", "Parema", "Externanillus", "Coleiconus", "Makrosolenia", "Gnosonesimidae", "Novibacillus", "Apatetica", "Microphasmatidae", "Tersilochus", "Chileistomus", "Palparellus", "Chrysomeris", "Megomphicidae", "Euchroeina", "Synbranchus", "Knightiella", "Munieria", "Permagrionoidea", "Holothele", "Dictyocaryum", "Pseudostifftia", "Lydenburgia", "Aeletes", "Mynoparmena", "Ectreposebastes", "Heterotrichia", "Aegerina", "Enoplometopoidea", "Porcelia", "Coenosiini", "Collaea", "Dermatopelte", "Hoplitendemis", "Nargomorphus", "Paramphichondrius", "Simaba", "Oxycoryninae", "Myxococcus", "Congrogadinae", "Dahmsopottekina", "Mediusella", "Tautukua", "Spumaretrovirinae", "Penrithochilus", "Antioquita", "Howellellinae", "Zyratheta", "Ektyphonotus", "Sagrinella", "Tomeplasus", "Mesodeliphrum", "Neometadena", "Faxilla", "Pterocella", "Pisione", "Hypanthedon", "Pseudepierus", "Stegonotus", "Gomphonchoporus", "Proxylocoris", "Oreas", "Pseudomyrmedon", "Tuberculipochira", "Zygotoplana", "Neobuxbaumia", "Aepophilidae", "Cosmisomopsis", "Boletobiinae", "Mesosporaceae", "Rotundabaloghiidae", "Eupholini", "Kerianthera", "Spodiornis", "Thylactomimus", "Cynodontidae", "Laudonia", "Paracolochirus", "Titaea", "Fuscosporellales", "Morchella", "Sansara", "Blastolepas", "Pharoscymnus", "Ornithuromorpha", "Johnsoniini", "Plumatellida", "Paranaja", "Embelia", "Rhodoscirpus", "Podotenoides", "Nyctitheriidae", "Scalpellinae", "Megalorchis", "Sinowilsonia", "Ingoma", "Teratofulvius", "Centrodontini", "Titanis", "Macroporus", "Aphyseteres", "Paccius", "Pluscula", "Gavelinella", "Brittonoma", "Arcania", "Chathamiidae", "Allopodocotyle", "Pseudopauesia", "Ibypeba", "Philetes", "Hyalopoda", "Capnethinius", "Veigaiidae", "Amiantastis", "Miracoides", "Amblopusa", "Picobiinae", "Actina", "Byrsodepsus", "Exostoma", "Megaethesius", "Marginaridae", "Gahnia", "Stenorhyacia", "Herringtonia", "Mesoporos", "Monhysteroidea", "Vossicartini", "Desulfovirga", "Geocorinae", "Stenocnemus", "Pseudomurraytrematidae", "Zuphiini", "Hypoplesia", "Lagomeryx", "Cantacaderini", "Allosquilla", "Stereaceae", "Macromidia", "Archaeopteropodinae", "Cleomenini", "Eurybata", "Radiimancus", "Naiadinium", "Catophractes", "Eooxylides", "Scalaxidae", "Ditomyiidae", "Canscorinae", "Esaguasu", "Kiotinini", "Wombeyanus", "Pantylus", "Yaminuechelys", "Ignelater", "Toxotomimus", "Pelargonium", "Mygalobas", "Piesma", "Linothele", "Jasmineae", "Haplotaxina", "Miosorites", "Ammocharis", "Endoptychum", "Lophiiformes", "Ancognatha", "Genetta", "Leggadina", "Mesosigmoilina", "Alainites", "Paranophrys", "Stentofolliculina", "Raspailiinae", "Dictyostega", "Arenitalea", "Palaemoninae", "Pseudostenophylacinae", "Medusagynoideae", "Caldisericales", "Dicymbe", "Quwatanabius", "Ramichloridium", "Bairdiacypris", "Dicranoweisia", "Pactola", "Carilephia", "Palisota", "Saccopsidae", "Perinthodes", "Garwoodia", "Aphidoidea", "Peltastinae", "Cylindryllioides", "MHNLS", "Paroecanthina", "Polyspilotini", "Ophiolebella", "Enteromyxa", "Angustopila", "Latilumbus", "Hydrozetidae", "Crupina", "Spinigina", "Sirdenus", "Phragmidiaceae", "Otoptera", "Dawa", "Sarmienta", "Anomalomyia", "Tepoztlana", "Uragiellopsis", "Calliodis", "Petromica", "Epitheronia", "Dirivultidae", "Simorhynchotus", "Peridea", "Spinomantis", "Rhyssalinae", "Odontorhopala", "Pararrhopalia", "Neothyone", "Hieronymiella", "Melzerella", "Cupidopsis", "Chlorocystini", "Mactridae", "Blaps", "Oedipina", "Afroplectodes", "Eleoselinus", "Chrysididae", "Spirogregarina", "Chaperiidae", "Hirtigaleruca", "Neohaustorius", "Osakia", "Borralinae", "Cranopygia", "Novantinoe", "Nobilinus", "Vilchura", "Barrowia", "Algochytrops", "Onoseris", "Tambaroter", "Queenslanapis", "Achaetothorax", "Bolbodimyia", "Limonieae", "Texoreddellia", "Chaetopiezusa", "Sichotenella", "Austwickia", "Mattosmonas", "Megapnosaurus", "Tyriozela", "Tenthredininae", "Fallanobium", "Hypodacnella", "Declivitata", "Afropectinariella", "Necromanis", "Varecia", "Pseudenneboeus", "Epelatus", "Bonamia", "Xanthodirphia", "Siphonapertinae", "Prosotas", "Notocephalus", "Stylochaeton", "Mexigaster", "Rhynchocyclus", "Smyrnieae", "Przewalskia", "Pyrrhobryum", "Brassicales", "Magnocoleidae", "Siphonolaimoidea", "Hilliardiella", "Grandateralphus", "Neopimus", "Eucallisoma", "Digonogastra", "Hylaeus", "Iralunelus", "Psorus", "Eoporis", "Amphicaeciliinae", "Diphamorphos", "Heliomaster", "Marsupenaeus", "Liposchema", "Southbyaceae", "Mesocypris", "Gobibatyr", "Doridunculus", "Hasariini", "Pezizales", "Ecsenius", "Oscillibacter", "Testudinata", "Fuireneae", "Haloroundia", "Endocotylinae", "Doradamphistoma", "Euchalcia", "Smittinoidea", "Amazobenna", "Atrophycus", "Lagenanectes", "Septabrunsiininae", "Saccharothrixopsis", "Gymnochila", "Perillus", "Megaviricetes", "Rhodolirium", "Spinturnicidae", "Chaetedus", "Eydelusa", "Hylota", "Platyclymenia", "Syllectra", "Otidognathus", "Uloborus", "Amphianthidae", "Symbolophora", "Guggenheimella", "Byraxis", "Nehypochthoniidae", "Gnorimoschema", "Calliparus", "Odontocroton", "Jindexiangus", "Phagocata", "Aggericorona", "Parahiranetis", "Australodaphnia", "Neoma", "Anomphalidae", "Platax", "Phylacteophaginae", "Petchorina", "Lepidocharontidae", "Nanos", "Calophaena", "Metophiurida", "Opodiphthera", "Quotidiaplectus", "Capillasterini", "Protogyrodactylus", "Nanofilidae", "Pseudobraunia", "Nephridiophagales", "Dorataspididae", "Capis", "Oaphantes", "Lasiosiphon", "Cartodere", "Cerobasis", "Reynaudia", "Copris", "Cephalothricidae", "Xenothekella", "Plagiophrys", "Ptilonorhynchidae", "Protobotellina", "Paraisoannulus", "Eucampia", "Lophopterys", "Langona", "Neocopytus", "Erinnyis", "Microcioninae", "Pilalla", "Potosa", "Epiblema", "Mauna", "Morenia", "Remyidae", "Austropolaria", "Notiochelidon", "Rayieria", "Dendroalsia", "Neopimpla", "Suniopsis", "Moureia", "Ectropotheciopsis", "Autolethrus", "Mecicobothriidae", "Craspedosis", "Sabalinae", "Shortia", "Phitosia", "Hymenolaena", "Jabouilleia", "Cortinariaceae", "Apomempsoides", "Blothrophyllum", "Leptochidium", "Diastellopalpus", "Eoptychopterina", "Chyzerioidea", "Naviculales", "Neoapenesia", "Phytonemus", "Stenostachys", "Trigonostominae", "Ceratozamieae", "Trigrammia", "Harpaloxenus", "Angylocalyx", "Corcovadocola", "Neotelphusa", "Bonus", "Heterogryllina", "Medmetrioxenoidesini", "Scelolophia", "Keyella", "Astrodaucus", "Cnemostyla", "Isomecocnemis", "Palaeogyrinus", "Spiraulax", "Euspilapteryx", "Moreneis", "Ptycholoma", "Tschestnovia", "Caprimulgiformes", "Nanuqsaurus", "Clausilioidei", "Oolininae", "Langsonia", "Demetriola", "Calixolepis", "Hexamitocera", "Mesestola", "Loxocorone", "Odontaster", "Euprox", "Allospondias", "Sargassaceae", "Kriegeriaceae", "Chalcosoma", "Vachellia", "Xeniaria", "Calydiscoides", "Archotoplana", "Catoscopium", "Bathyclupea", "Echinodiscus", "Subrasaca", "Striganoviella", "Aolina", "Dicnemon", "Craterocapsa", "Neocambrisomatinae", "Osculonirmus", "Tetragonocephalon", "Acrobyla", "Handlirschiina", "Deltepilissus", "Poecilomiris", "Desmodium", "Rolueckia", "Eriodictyon", "Auxicerus", "Pachystigmus", "Nerium", "Cosmopleurus", "Eubacteriaceae", "Protozetes", "Palaeocystodinium", "Hologaster", "Janthura", "Bagotum", "Antinephele", "Callidora", "Neopetaliidae", "Leviclymenia", "Cymbaeremaeoidea", "Caenocholax", "Sceloglaux", "Protomicrocotylidae", "Theopeina", "Huttoniidae", "Sphaeridiinae", "Oenomaus", "Oppenheimeria", "Pseudocaeciliidae", "Scutocoxifera", "Karakanocoleus", "Esuris", "Stygonyx", "Pseudoneaveia", "Jacchinus", "Ichthyovenator", "Parastenichnaphes", "Anisepyris", "Niltava", "Stylodinium", "Odontocheila", "Sehima", "Haplochorema", "Trichogoniopsis", "Orchesella", "Octodon", "Volatus", "Gnomidolon", "Roupalinae", "Paragnetina", "Monodella", "Mesomelaena", "Hemileucon", "Lissocaulus", "Chaerodini", "Eulampra", "Hylaeanura", "Stiripasterida", "Aetobatidae", "Emersonia", "Elliptochloris", "Titaniloricus", "Coutarea", "Holomitriopsis", "Strobliellini", "Pyroglyphoidea", "Nomamyrmex", "Permoraphidiidae", "Aulacanthidae", "Deserticossus", "Postciliodesmatophora", "Villa", "Rhynchodipteridae", "Paradoxoglanis", "Tiliqua", "Diploselmis", "Nesite", "Asteron", "Myricaria", "Propejanice", "Cloacina", "Indoacylophorus", "Acrodicrania", "Dactylopsila", "Dactyloptena", "Wandaphorura", "Tinthia", "Ubristes", "Gibbiinae", "Levyella", "Cochliopidae", "Orcuttieae", "Hemidactylium", "Enoplia", "Martialis", "Stauropinae", "Xanthoceras", "Carcinosomatidae", "Bisboeckelera", "Gastrodia", "Dendrogonopus", "Ridleia", "Diplostamenides", "Lissonota", "Archaeochionelasmus", "Halticotoma", "Chasmosaurus", "Odontomachus", "Tuberaria", "Koenigiinae", "Mendizabalia", "Salticoida", "Phalacraea", "Pseudogluconobacter", "Lestremiinae", "Gymnarrheneae", "Clausiidae", "Pseudomallada", "Lowrya", "Lithophilini", "Canella", "Coscinophragmatoidea", "Leptotambinia", "Omiostola", "Espeletia", "Pimoa", "Cissampelideae", "Protastacidae", "Bubarida", "Clauzadeana", "Allocosinae", "Hirpicium", "Castoridae", "Araripesuchus", "Paramastix", "Oroetes", "Moorasura", "Sphenopidae", "Promanus", "Isocorypha", "Favusella", "Carayonia", "Australagolius", "Nanostreptus", "Pyrotini", "Desicasta", "Holmelgonia", "Mayaca", "Hypsignathus", "Hyposarotis", "Emoia", "Entomopteryx", "Trilepideae", "Vandamia", "Pingasa", "Venas", "Muderongia", "Durbadnus", "Archaeospongoprunum", "Artabrus", "Sporadanthoideae", "Axiopoeniella", "Nannosquillidae", "Brachypoda", "Neogobius", "Ornidia", "Thalassomyxa", "Debrona", "Polymorphidae", "Gebicula", "Meridiandra", "Chyliza", "Macrocystis", "Trogoninirmus", "Fridericia", "Terebrataliidae", "Seriphidium", "Gekko", "Sepedomicra", "Raoulostraca", "Mepraia", "Balticoroma", "Hofsteniidae", "Campometra", "Melodineae", "Oxypora", "Varuninae", "Rosalia", "Hirundapus", "Pterocyclos", "Dinoseris", "Mesembrina", "Metrernis", "Thiobacillus", "Telmapsalta", "Argoctenus", "Jiwarli", "Methylorhabdus", "Pseudopachybrachius", "Pyrrhulina", "Plethodontinae", "Gastromyzon", "Odontobdella", "Gilarovella", "Guatterieae", "Triassoaphididae", "Chordodidae", "Caenoscelini", "Ekboarmia", "Danielocandona", "Tinognathus", "Parahypopta", "Amphylaeus", "Lycophytina", "Ascorhynchoidea", "Acria", "Anaretella", "Neuraphes", "Loxoneuroides", "Paramapania", "Hyborrhinus", "Polycotylidae", "Goweria", "Allocyclosa", "Mimimitoceras", "Bachmannocena", "Kotumsaridae", "Tamotus", "Hystrichosphaeropsis", "Usingeriessa", "Eugraphosia", "Epiparbattia", "Halseyia", "Parectropis", "Hyloniscus", "Pararhizobium", "Baphetidae", "Oncotympana", "Slonopotamus", "Hesperornithinae", "Eubleekeria", "Crisiidae", "Amblyrhynchus", "Stosiciinae", "Glyptostrobus", "Mideopsellinae", "Phymosomatidae", "Pelecotoma", "Humbertiodendron", "Cryptantha", "Afromorgus", "Lichenagraecia", "Manerogeneia", "Geritola", "Eastwoodia", "Sphaeroidinella", "Distomatida", "Amietophrynus", "Planipapillus", "Oligophreata", "Scotlandella", "Podocalyx", "Helicopontosphaera", "Oxyanthus", "Preussia", "Leptocysta", "Enida", "Lessardiaceae", "Dorytomus", "Arbacioida", "Putaoa", "Rhodoglossum", "Dudusiini", "Antemna", "Adelpherupa", "Zinniinae", "Athrixia", "Oxygoneae", "Mycetoporini", "Myrmarachnina", "Tethorchestia", "Idelinellidae", "Solaia", "Macohasa", "Umboniibacter", "Thylacicleidus", "Amblystegium", "Ephesiopsis", "Massaliatrema", "Pharnaciini", "Chondroptera", "Neobothynus", "Guianodendron", "Euplotidae", "Macfarlandia", "Alulacris", "Mimoblepia", "Platyxanthidae", "Rehmannia", "Markia", "Manicarieae", "Gramminopleurus", "Polyaster", "Stschapoviaceae", "Coeloconulus", "Paramormyrops", "Osmanius", "Chaodalis", "Gonorhynchus", "Spirobacillus", "Metroperiella", "Ophiodermatina", "Cuterebrinae", "Hemicrambe", "Anerincleistus", "Haplophragmellinae", "Electrocotyle", "Griphognathus", "Erynnis", "Stigmaphronidae", "Spirostomatinae", "Planetes", "Euryleptides", "Xyletomerus", "Catostominae", "Hoplandria", "Rhamphicarpa", "Mnesarchaea", "Curinus", "Homotrioza", "Ebutius", "Euplectina", "Pseudoparamoeba", "Mimotroea", "Eomarssonella", "Teinocheylini", "Hydnobioides", "Zygobothriinae", "Ophiotoma", "Aethus", "Ephippiochthonius", "Eoparargyractis", "Dimorphopterus", "Phalacrosoma", "Chrysocharis", "Leptopus", "Microstomatidae", "Neognathophausia", "Trichodonia", "Parabrizalininae", "Bonipogonius", "Apexacuta", "Astetholida", "Podopterotegaeidae", "Idiocnemius", "Castronia", "Steinekella", "Phanerochila", "Pahamunaya", "Alianta", "Sciadocerinae", "Besnoitia", "Dilatops", "Parastethynium", "Tetraclitinae", "Scotinella", "Bathybates", "Siamastogenius", "Longirostrum", "Pukupuku", "Eremazidae", "Pelichnibothrium", "Herona", "Leipaspis", "Trismegistia", "Koordersiella", "Boreogadus", "Echinothamnion", "Cytinus", "Agneziidae", "Byblisoides", "Camuropiscidae", "Callipharixenos", "Cichlidocestus", "Peba", "Bradypodidium", "Spirirestis", "Spargaloma", "Aplastodiscus", "Seychellovelia", "Chelictinia", "Micrathena", "Poltyini", "Tubeufiaceae", "Rugiloricus", "Cotoneaster", "Prepseudatrichia", "Afrospilarctia", "Tonkinosoma", "Philonotion", "Altomarus", "Imleria", "Metriomantis", "Arthurdendyus", "Craterolophus", "Perpheres", "Ctenochromis", "Thyrididae", "Neodiscocotyle", "Kaliella", "Paracathartes", "Anomolepis", "Picatoma", "Anteoninae", "Eremothecium", "Suttonella", "Xyloryctidae", "Mancocumatinae", "Opisthorchiidae", "Nothogenia", "Chlamys", "Demopsestis", "Lubosiella", "Clastobryella", "Salinibacter", "Metakatianna", "Hatteria", "Atoconeura", "Mormoops", "Methylocella", "Cynips", "Parasemnus", "Chilodonella", "Sernatropiella", "Eulophiidae", "Hyladelphys", "Paraphlugiolopsis", "Atubaridae", "Salvatoria", "Eccedoxa", "Micranthocereus", "Ophthalmoniphetodes", "Haplogonatopus", "Pseudotrachydium", "Platycnemis", "Aphanethrix", "Leptosia", "Bathystegocephalus", "Arabapolonia", "Elaphella", "Cachonodinium", "Liacaridae", "Minimaphaenops", "Diocleroides", "Anomalocornis", "Maculisudis", "Lirabus", "Microsporaceae", "Diaclaspus", "Resultomonas", "Trichocereus", "Parvirostrum", "Pycnaspis", "Transita", "Anomognathus", "Halotydeus", "Laphriomyia", "Neogastropoda", "Daktylethra", "Orsillinae", "Mysteriochloris", "Selenepherini", "Scalidophora", "Heterischnus", "Hexocycnidolon", "Ascometra", "Hexabdella", "Cissococcini", "Alsataspididae", "Hyociini", "Benthesicymidae", "Phylloniscus", "Bostrychiocolax", "Belonesox", "Oreothyrsus", "Nostacheoceratinae", "Eliomosa", "Odontella", "Pastazania", "Podocotylinae", "Anthothela", "Opheodesoma", "Epitettix", "Rotaliida", "Knoxia", "Etheliaceae", "Proagomyia", "Anadenidae", "Unio", "Toxocarinae", "Turgaphloeus", "Mulcticola", "Aposeris", "Fuscoderma", "Micropecten", "Frontinellina", "Microlympiidae", "Triplachne", "Chaetium", "Stephanostema", "Rogersonanthus", "Polyneuropsis", "Dreptes", "Olencira", "Elmoboriidae", "Weedingia", "Velocipedidae", "Striuntius", "Spirocyclina", "Heteroxenicus", "Walterinnesia", "Thelopsis", "Hygronemobius", "Stenoscelidea", "Coleonema", "Aramidopsis", "Eeyorius", "Indobatis", "Gracila", "Ozarkodina", "Poriskina", "Mycetopodidae", "Stenarella", "Herpetosiphonales", "Zygnematophyceae", "Allomacrus", "Termitococcinae", "Bathytanaissus", "Marioutini", "Eulampis", "Pycnosarcini", "Distigmesikya", "Anauxesis", "Mamillocylichna", "Orthocindela", "Acaricoris", "Paracharactis", "Allomedmassa", "Shiinoidae", "Molineria", "Megacephalina", "Didangia", "Drepanidolepis", "Desmopterini", "Euchresteae", "Gelechia", "Pseudoprotacarus", "Afroxyidris", "Pleurocopidae", "Racemobambos", "Otobius", "Rhododrilus", "Sperguleae", "Phoxocephalidae", "Elzunia", "Amarodytes", "Echinolittorina", "Rhopalessa", "Eorhynchus", "Batelusia", "Aethaloessa", "Sensiphorura", "Pseudinae", "Apios", "Mycetophilinae", "Anaetius", "Pleurodiscus", "Incomptodessus", "Paraeriocheir", "Aegyptonycteris", "Praepilosocereus", "Laterostomella", "Tyndarini", "Trombiculidae", "Erebiola", "Ricola", "Progymnoplea", "Euryphymus", "Edosa", "Platycladus", "Ricciocarpos", "Sheina", "Pachycephalidae", "Anomotariella", "Vernoniinae", "Stenula", "Invictokoala", "Pterodontia", "Parahypsos", "Aorella", "Noctilionoidea", "Hypostenus", "Tickalerus", "Sadleria", "Hyblaea", "Citharistes", "Cephalophyes", "Hoehnea", "Coleitidae", "Dactylococcopsis", "Synegia", "Neovespicula", "Portlockiellidae", "Amblypelta", "Phalanger", "Sphenoclea", "Pardosinae", "Parafissurininae", "Radamopsis", "Proartacris", "Torleya", "Stereocaryum", "Corambidae", "Tituboea", "Protopristus", "Cyclopoida", "Acrothamnus", "Sipaliopsis", "Novakiella", "Galleriini", "Cetoniina", "Houshenzinus", "Permutotetraviridae", "Birnara", "Chloroclysta", "Aeodes", "Erythrocolon", "Scapacartus", "Loriinae", "Potamonautes", "Murrindisyllis", "Bransonelliformes", "Xiaotingia", "Manostachya", "Labroides", "Antroherponina", "Deilus", "Didymochlaena", "Fosbergia", "Lexcenium", "Onya", "Tapena", "Boerlagea", "Jovellana", "Glenurini", "Weiselina", "Pleuronectidae", "Cesiribacter", "Hermeuptychia", "Megaphloeus", "Ondatra", "Protapion", "Microhedyle", "Palicarcinus", "Polypremum", "Hydrornis", "Dirphia", "Anaporrhutinae", "Kerochariesthes", "Luciella", "Idiostiba", "Certallum", "Stylulus", "Paleopsylloidini", "Winteraceae", "Lepadichthys", "Litholomia", "Kaltanocoleus", "Bessobates", "Tomasellia", "Lachesiodendron", "Cygnus", "Neurotheca", "Helenolepis", "Lichnofugia", "Vernonella", "Emmepus", "Peranema", "Probolomyrmex", "Chalcosia", "Platyembiinae", "Cataspilota", "Drepanini", "Phacopteron", "Apela", "Mesocacia", "Cynomastix", "Episimus", "Aphantochroa", "Meiopriapulidae", "Cretoserica", "Limeum", "Negria", "Nornalup", "Xestobiini", "Microderolus", "Bolbe", "Baryonyx", "Caprodon", "Protocetinae", "Eucameruna", "Pterochaeta", "Spirochaetia", "Senecioninae", "Aonychusini", "Guaporeptus", "Bogga", "Gibbohammus", "Brassica", "Gladiostena", "Spelaeolla", "Chilocorinae", "Ophioparma", "Periholosticha", "Ourapteryx", "Acrocordiella", "Cuculliinae", "Tiaobeinia", "Thiofaba", "Odocnemis", "Dispio", "Aphyonus", "Sumampattus", "Gyrodontichneumon", "Daedalma", "Augrabies", "Lecania", "Catadermaptera", "Cradoscrupocellaria", "Eokochia", "Geomicrobium", "Polypodochrysis", "Verhaaghiella", "Opiolastes", "Caulopatera", "Barybas", "Postporinae", "Syngamoneura", "Aslauga", "Curini", "Rhaphidophora", "Alavona", "Eriopeltinae", "Silphopolipus", "Tropimenelytron", "Coesulina", "Hypobythiidae", "Dermaptera", "Rhyothemistini", "Ricula", "Callodistomidae", "Fortiella", "Tmarus", "Halozetes", "Ceratrichis", "Margaretamys", "Retortamonas", "Brancoceratidae", "Eucharitidae", "Tachycampa", "Danthonia", "Hildebrandtiella", "Lithinina", "Agaocnemis", "Endodiniaceae", "Opilioacaridae", "Distoseptisporaceae", "Ancylolomiini", "Suchonica", "Tetraulax", "Stenolebias", "Platymetopus", "Illawarra", "Bellonella", "Killigrewia", "Cionophorus", "Trichostomopsis", "Reticulopalmula", "Pericycos", "Bruunilla", "Joceliana", "Ussurites", "Omalaspis", "Axia", "Schistostephium", "Birthamula", "Ocrasa", "Boletochaete", "Heteropediaceae", "Sclerophyton", "Jamoytiidae", "Jonesiella", "Phacopsylla", "Benthana", "Oscarella", "Nemoedia", "Cephaloleia", "Lepiota", "Formosaphis", "Deuterodon", "Tectarchus", "Myrmecosticta", "Oculinidae", "Laosaphaenops", "Pteraspidiformes", "Dryas", "Phytolaccoideae", "Macolor", "Sunocarabus", "Codiocarpus", "Rissosyrnola", "Jozefus", "Woodia", "Saccharomycopsis", "Koltunicladia", "Gazella", "Equinoxiodus", "Diplospora", "Zorion", "Camissecla", "Tamaliinae", "Maltebrunia", "Apioperdon", "Evistias", "Daggodora", "Neoanthura", "Rhizosiphon", "Cnephidia", "Paleothoron", "Paranaspia", "Artotrogidae", "Stygarctidae", "Herotyda", "Methanobrevibacter", "Triloculina", "Sterculicoccus", "Pterioidea", "Septemtriocetus", "Scelorchilus", "Periphoba", "Acidon", "Psithyristriina", "Anoectochilus", "Gressittocoris", "Omphaloacteonella", "Jacana", "Drephalys", "Aetokthonos", "GMUG", "Croatotrechus", "Tisaniba", "Dermapteridae", "Stenomordellaria", "Mstinia", "Teropha", "Phalina", "Paragabara", "Harpathaumas", "Minagenia", "Soortiaceae", "Himantornis", "Orthos", "Lygosoma", "Sphoeroides", "Anthracophorides", "Colobopterus", "Neclamia", "Bolbitius", "Physalia", "Neonescicroa", "Hulemacanthus", "Monstera", "Cacostomus", "Peotoxus", "Omestes", "Pentaceropsis", "Nezarini", "Darjilingia", "Raulinoa", "Miobantia", "Heterotardigrada", "Scutastigmaeus", "Cetobacterium", "Copibryophila", "Kishidaria", "Anthuroidea", "Sidasodes", "Paracoryphellidae", "Periegini", "Cribrihabitans", "Acinula", "Valeseguya", "Entolingulina", "Acrocoelum", "Uristes", "Holographis", "Juttadinteria", "Antrocentrum", "Tetraleucus", "Carpochena", "Ivritaenia", "Umbala", "Harpagozoon", "Eucnecosum", "Caribboecetes", "Eopolydiexodina", "Streblomastix", "Rhodocallis", "Peritelus", "Leptogenys", "Hypsicorypha", "Abrachmia", "Brunotartessus", "Eutrichostygna", "Simra", "Cystomatochilina", "Apataniini", "Pachyrhynchus", "Echinorhynchidae", "Nodilittorina", "Paralophia", "Pelagonemertidae", "Acrospiriferidae", "Montemaria", "Lithoaphis", "Laris", "Anoplodermatini", "Cepheidae", "Hemitheodosia", "Semicalamidia", "Ampelocera", "Praomys", "Sticholotidini", "Niptera", "Leptomeria", "Globivalvulina", "Trawetsia", "Gouanieae", "Arandaspis", "Psilopsocus", "Podophrya", "Pistoria", "Acanthocheira", "Amydetinae", "Paederieae", "Homalota", "Rhyncolus", "Taraperla", "Bennigsenium", "Thecidellininae", "Gagitodes", "Raja", "Notiokasis", "Neoceratodus", "Huosoma", "Catenulispora", "Oophaga", "Colomastigidira", "Phragmocarpidium", "Myiotheretes", "Amphicteis", "Hormotilaceae", "Argudini", "Vitimopsyche", "Phylloblastia", "Ectemnius", "Streptodajus", "Dorycoris", "Haploporidae", "Psarkosteus", "Melampsalta", "Bradophilidae", "Phreatomelita", "Labidostommatidae", "Leithiinae", "Ravenelula", "Anexodus", "Hansenochrus", "Vitrinobrachium", "Paraleptophlebia", "Fusigonalia", "Tokiokaispadellidae", "Orbulites", "Sauvagesieae", "Linstowiinae", "Owadaglaea", "Bombylodes", "Funiculinidae", "Hybosa", "Lithonida", "Phyllolepis", "Cristosydonia", "Bullacta", "Acidoxanthina", "Cirrothaumatia", "Echinospongilla", "Pelliaceae", "Schatzmayrina", "Aphonoidina", "Metachorischizus", "Variostomatidae", "Bristowia", "Dactylothyrea", "Macraulacinae", "Plagiomonas", "Tricnidactis", "Pseudocalleida", "Epibryaceae", "Ceratovacuna", "Melampitta", "Eriophyllum", "Physandra", "Nothoprodontia", "Phyllocaecilius", "Thiospira", "Parozodes", "Sybroplocia", "Corymbiglomus", "Novilla", "Crossopriza", "Docolamia", "Pavieasia", "Virgilia", "Lueddemannia", "Pseudotyphlops", "Harpagomantis", "Trabulsiella", "Xylotribus", "Gynochthodes", "Calliobothriidae", "Komarovieae", "Callocladia", "Lobogammarus", "Pseudoplectania", "Taxicerini", "Nikolivia", "Hafenrefferia", "Diadorhombus", "Odontobatrachidae", "Australaphodius", "Eucompsa", "Desulfomicrobium", "Spirostylidae", "Epamyktoglossa", "Selenochilus", "Branchiopodataenia", "Mesosciophilidae", "Stigmatochirus", "Adstantes", "Dystaxiini", "Brochoneura", "Crespinina", "Melanhyphus", "Mystacinobiidae", "Pseudatrichia", "Edgaria", "Antoinella", "Mycelis", "Ammostigmus", "Porterandia", "Thermobacillus", "Sarrothripini", "Diadesmis", "Neoscorpionina", "Cerocranus", "Sabrinellidae", "Nesoenas", "Aliicoccus", "Dicrotingis", "Strophariaceae", "Mollisia", "Mimetinae", "Rhotanini", "Afroeme", "Sphecodora", "Lekythoporidae", "Nepoidea", "Heteractis", "Paradeudorix", "Gobicar", "Sporogonites", "Alepisauroidei", "Gyrineum", "Paleosorius", "Roylea", "Euprophantis", "Illepidopsocus", "Hypsideroides", "Haplocyclops", "Pseudodrymus", "Elodophthalmidae", "Remototrachyna", "Carlomonnius", "Brancuporus", "Platysiphonia", "Marispirillum", "Maulia", "Praxillinicolidae", "Calappidae", "Craspedoplax", "Psectrocoris", "Aparallactinae", "Tripectenopus", "Schiedea", "Prymnesiaceae", "Simandoa", "Evemonia", "Sarcathria", "Capitocrassus", "Grillotiinae", "Pilosarachnidae", "Dillandia", "Salicornioideae", "Selenocosmia", "Spiroplectamminoidea", "Pseudonanus", "Chesias", "Fevillea", "Hypurini", "Disphragis", "Katmeteugoa", "Alstonieae", "Siamaphodius", "Sternidocinus", "Teratonympha", "Gallicolumba", "Parachevreuxiella", "Pogotrichum", "Dorcianus", "Diphleps", "Symsagittifera", "Acronioglenea", "Hediste", "Chordodasiopsis", "Atelesia", "Pastillocenicus", "Calliostoma", "Memagreta", "Sinodrepanus", "Monocladia", "Xanthotaenia", "Dimetia", "Gnamptonychia", "Caldanaerocella", "Pentatres", "Meyrickella", "Kerzhnercryptes", "Paragunnellichthys", "Dagmarella", "Julodella", "Acrobrachys", "Cheiloprion", "Lanx", "Psygmatella", "Kenkia", "Melanesius", "Eulasia", "Allophyini", "Protosphagnaceae", "Lebeda", "Dichanthium", "Hybristodryinus", "Sierramyia", "Kirchneriellosaccus", "Neopolycesta", "Spongiocaris", "Phreatichthys", "Pseudergolini", "Notobranchaeidae", "Aetiopedes", "Mughiphantes", "Lindmanioideae", "Onitini", "Eutrichomastix", "Paromalini", "Lepidodelta", "Tropignorimus", "Macphersonia", "Dioscoreophyllum", "Bjoernstadia", "Monocoila", "Eublepharoidea", "Loeselieae", "Womersleya", "Goniodorididae", "Seabria", "Brachycerophytum", "Arachnitis", "Erigleninae", "Plethodon", "Narapheonoides", "Pharmacoptis", "Akaimia", "Dithella", "Trisuloides", "Patagobia", "Smicroplectrus", "Cerebrum", "Pittosporopsis", "Myxozyma", "Herpystis", "Oxyceros", "Hebecliniinae", "Sharkeyella", "Myxodoryx", "Protoaceromonas", "Microcoleaceae", "Discorboidea", "Capnophylla", "Neomeesia", "Sarcoglottis", "Aerorchestes", "Douvilleiceratidae", "Polididus", "Chaudhuria", "Inermonephtys", "Heterocampa", "Psuchocephalus", "Micropezidae", "Eudrepanulatrix", "Mallosoma", "Agrostopoa", "Caprelloidea", "Brachagenius", "Clathrotropis", "Minuspio", "Pseudorca", "Monalysidium", "Vespa", "Vellaena", "Priacanthidae", "Arthrodermataceae", "Myiotriccus", "Margonia", "Homothyrea", "Scytopsocopsis", "Peregrinacarus", "Harosa", "Lepidocyclinidae", "Candeina", "Angionychus", "Stauriida", "Heisonyx", "Pinnalongus", "Breviterebra", "Tertiariopsis", "Oedenoderus", "Ametroglossus", "Lethaeograndellus", "Massiea", "Semilimax", "Tuzetiidae", "Bacillariophycidae", "Gephyramoebidae", "Teloschistineae", "Neozethopsus", "Maschalostachys", "Hathrometra", "Chiodecton", "Clavarctus", "Metapsylla", "Tumidella", "Cyrtonopini", "Rhamphochromis", "Athertonium", "Glypholoma", "Australorhynchus", "Malacodea", "Rasopone", "Tetragonoderus", "Schimmelmanniaceae", "Aztekium", "Foetterleia", "Chiangshunania", "Anisogammaridae", "Pseudoallencotyla", "Pseudocercops", "Paracrocnida", "Hexacanalis", "Ferulinae", "Xipholena", "Paramugil", "Dracomyxa", "Chelysida", "Cystidicolidae", "Ordosiidae", "Ectinogonia", "Rhysotininae", "Lycosoidea", "Limnolyngbya", "Dorycephalini", "Nesoperla", "Hydromedusa", "Craterocyphus", "Shinocksiceras", "Sepiolida", "Apophisandra", "Microligea", "Harrisonini", "Actinosphaeria", "Boletaceae", "Chaoborinae", "Titanoderma", "Lypusa", "Eremogammarus", "Epicadus", "Cacops", "Scaphotettix", "Aleuroplatus", "Dasypyrum", "Haloleptolyngbya", "Apygophora", "Anhelkocephalon", "Siphoninella", "Alkalitalea", "Micrococcidae", "Veigaia", "Patricia", "Enantiophylla", "Mouchetia", "Salpinga", "Protolarimus", "Periergates", "Epeorus", "Orthopsylloides", "Zinapolys", "Thaumatococcus", "Acupeina", "Bembiciopsis", "Oncocerida", "Miramarassa", "Halocoryza", "Negastriinae", "Archerieae", "Artiopoda", "Wanella", "Formicaenictus", "Kuwanimyia", "Schreineria", "Aerophiliodes", "Hullettia", "Deroderus", "Toloonops", "Antarctilamnidae", "Schizelythron", "Isicabu", "Cranoides", "Cyclaxyridae", "Hydrotherosaurus", "Herreraichthys", "Amphonyx", "Gnetopsida", "Miomesamia", "Neodiachipteryx", "Wagimo", "Kilomotoia", "Vireonidae", "Caveastomella", "Thailandoporella", "Anisitsidartia", "Neoacizzia", "Homogenes", "Mexaphaenops", "Spinaethorax", "Psammocephalus", "Transversotremata", "Anthidioma", "Nycticeius", "Malacosoma", "Mevanidea", "Abedus", "Armaueriidae", "Ozoliarus", "Corapipo", "Mimomantis", "Agdistis", "Saccharothrix", "Earophila", "Triunia", "Podogymnura", "Dactylanthus", "Cebrella", "Mongoloraphidia", "Pterosauromorpha", "Dorcatominae", "Chileniini", "Nitrosopumilaceae", "Metistete", "Hominoidea", "Hexachaetus", "Itannia", "Parorchites", "Ligulariopsis", "Psychopsiella", "Menoedius", "Microprotopus", "Mimcochylis", "Agandecca", "Ammosiphonia", "Empocryptus", "Litorisediminivivens", "Ixeridium", "Kriegeriella", "Paramongoma", "Leucocytozoidae", "Sloanella", "Stempellinella", "Grapholitha", "Audifia", "Figulini", "Lenomyrmex", "Epipsilia", "Botrylloides", "Nycticeinops", "Gesneriinae", "Bendekia", "Conorboides", "Barra", "Deltaproteobacteria", "Micromalthus", "Miridoides", "Saepiseuthes", "Uca", "Libellulinae", "Albaniola", "Atomariini", "Sinophysis", "Metamicrocotyla", "Homalodiscus", "Balocerini", "Myopsalta", "Bellibos", "Ctenactis", "Acroloxoidea", "Pristotis", "Cortinicara", "Hymetrochota", "Acarapis", "Drepanicerus", "Douepea", "Mimonilla", "Gyratricinae", "Mecolaesthus", "Tachinomorphus", "Fusacarus", "Melanerythrus", "Dystactinae", "Acanthophiobolus", "Pleciodictyidea", "Entomoplasmatales", "Hexolobodon", "Paracylindromorphus", "Erionota", "Eoderocerataceae", "Gilbertolus", "Mimanancylus", "Dietzia", "Asterocladales", "Orobrassolis", "Triplasiella", "Cerberilla", "Anartomorpha", "Coraebina", "Brachycoeliidae", "Darisa", "Assurger", "Pseudoleptogium", "Draconematidae", "Steropinae", "Anthobolus", "Tachygyia", "Congrogadus", "Protomelittomma", "Stenostomum", "Micrandreae", "Procletodema", "Ericeroides", "Rafalus", "Marrus", "Peristediidae", "Libycosaurus", "Melindea", "Terramyces", "Cremnorrhini", "Polytini", "Brachypodium", "Hylephila", "Mecocnemis", "Paratanaupodinae", "Ceratosticha", "Vittaria", "Megasemum", "Calliopiurus", "Agaricaceae", "Planchonia", "Praesolenobia", "Mischogyne", "Lophogastrida", "Anchonastus", "Unaiuba", "Philander", "Microstromatales", "Artemiidae", "Conglophragmium", "Scutellosaurus", "Hadjina", "Xenopirostris", "Hydrodamalis", "Actihema", "Ianius", "Pseudophloecharis", "Exix", "Proteorhodophytina", "Geraniaceae", "Haplognathia", "Masatierrum", "Nemausus", "Calospilos", "Crepidophorus", "Brassiophoenix", "Eyelavera", "Zuzalpheus", "Paracraurococcus", "Asterococcus", "Eremapis", "Atlantochrysa", "Toxicoscordion", "Neostictodora", "Stagmatophora", "Trachystola", "Oliotius", "Risbecocoris", "Jimgerdemannia", "Neospondylis", "Dicrossus", "Munjua", "Polythoridae", "MABIK", "Karrerotextularia", "Lariniophora", "Cryptopleurum", "Vernonia", "Raphitomidae", "Pasteurellales", "Batyrhinius", "Sphaerotermia", "Pleocola", "Homochrominae", "Propagurus", "Aliciidae", "Pseudactium", "Epirhabdoides", "Indadesha", "Ditrigona", "Neolovricia", "Myxinia", "Batucypretta", "Xenomartiniidae", "Staurosigma", "Elga", "Lelya", "Ceruana", "Ancistrotus", "Hovorelus", "Malapterurus", "Neoceratopsia", "Gelis", "Helicoblepharum", "Neopsocopsis", "Vascoceratinae", "Amphibalaninae", "Sordariomycetes", "Ectatommini", "Trypanosomatida", "Kazeruniina", "Ichthyobacteriaceae", "Binuclearia", "Bullavirinae", "Keratococcus", "Boursinidrina", "Echinodictyum", "Stichococcus", "Exonthophagus", "Carnobacterium", "Filifactor", "Polyzonieae", "Adetoneura", "Nautonia", "Myopias", "Hadramphus", "Malagassini", "Arjona", "Anamorphinae", "Floridonus", "Bembicinae", "Xanthostigma", "Australorhipis", "Paramaxates", "Rheum", "Chodopsycha", "Parastrephia", "Ignavibacteria", "Orectolobicestus", "Arctocebus", "Duparquetia", "Symmetrodes", "Trollius", "Pinanga", "Dicoxiseta", "Actinostemmatinae", "Harttia", "Diaugia", "Lesbates", "Macaduma", "Mammilloydia", "Actenicerus", "Paracyclotosaurus", "Erythroclonium", "Punctinae", "Orthotydeus", "Oltmannsiellopsidaceae", "Maxitara", "Tripylocelis", "Sminthurinus", "Malabica", "Bradypallene", "Mexigonus", "Cymbothyrium", "Rhinodipterus", "Spilopimpla", "Lagostomus", "Pseudocentrum", "Anisacate", "Coriarachne", "Kyromyrma", "Anisadenia", "Hackelia", "Brachystomellidae", "Drepanura", "Vartiania", "Milliotrombidiini", "Carayonemidae", "Lepetodriloidea", "Viverra", "Crepidula", "Uralaphorura", "Alectryon", "Stegastes", "Boreus", "Sibara", "Ochninae", "Cyanobacterium", "Hybopsocus", "Scelophysa", "Popenellidae", "Meruana", "Scrobicaria", "Ascidiacea", "Pomoriella", "Gerrhosauridae", "Rhenothyra", "Hexacona", "Phallorthus", "Stipeae", "Paramenesia", "Andyrossia", "Rhabdocalyptus", "Calymmatium", "Ophiopus", "Parasphenarina", "Euhelopididae", "Stenobelus", "Hypostromatia", "Listropsoralgidae", "Parachma", "Atergatopsis", "Clausirion", "Cryptagama", "Hoburgilepis", "Rutilaria", "Griseosphinx", "Peteinosaurus", "Haplobothrium", "Arthrosaura", "Barbosella", "Mesogenesia", "Proreus", "Obtegomeria", "Uruguaya", "Sequoiadendron", "Patellitergum", "Grammica", "Acroceratitis", "Dasiphora", "Anthela", "Pycnoptilus", "Helicolepidina", "Piabina", "Ambavia", "Mimulopsinae", "Cassiinae", "Misetes", "Palaeocarya", "Siapaea", "Eburostola", "Zelotomys", "Heterostomella", "Ortalotrypetini", "Catharus", "Posophotis", "Kaprosuchus", "Lakshmia", "Amplirhagada", "Plagiacanthidae", "Eukoenenia", "Icmadophila", "Phaenoplana", "Capnuchosphaeridae", "Phacops", "Oreochloa", "Aextoxicon", "Leucomele", "Tagiadini", "Leucolepas", "Discotenes", "Cerapeplus", "Pseuduncifera", "Neuquensaurus", "Nanorhopaea", "Rhenothyridinae", "Chaetosopus", "Semitextulariinae", "Nemognathomimus", "Murmaniidae", "Cephennarium", "Athylia", "Xiphosomella", "Doowella", "Kaemis", "Reimericotyle", "Actinomadura", "Fumarieae", "Pseudomphalus", "Spironucleus", "Hydrangeoideae", "Thermoarcturidae", "Erymneus", "Typostola", "Bara", "Fontigentinae", "Xynaea", "Figitinae", "Wenzelia", "Idiomacromerus", "Sphingnotus", "Arlesminthurus", "Paracryphia", "Inaequalina", "Herpolirion", "Tingotingo", "Balacra", "Mediopyxis", "Arthropeina", "Thinnfeldia", "Kenyura", "Psaironeura", "Ischnocerini", "Eviphidoidea", "Cristisse", "Parachloritis", "Cymbastela", "Clavulariinae", "Caridea", "Spurostigmatidae", "Planoarchaediscus", "Paratrigonoides", "Tricharia", "Keayodendrinae", "Tolmerinus", "Tarsonemus", "Denticucullus", "Characella", "Megachasmidae", "Pseudoglyphea", "Sphaeruterina", "Spaniocercoides", "Lelapiella", "Migadopidius", "Kisutam", "Microcobitis", "Rhaphiodon", "Tetraonchoididae", "Peristedion", "Ithyporina", "Parahucho", "Benanthis", "Parachlamydia", "Alophia", "Dutkevichites", "Trigonopsidaceae", "Enaria", "Sydowia", "Coptophyllum", "Ablabys", "Thaumatomonas", "Menoceras", "Deleasterini", "Listrophoroides", "Pseudocypus", "Daillea", "Conocephalaceae", "Orthoporus", "Sibumbellinae", "Nyxetes", "Sphenostemon", "Ranavalodes", "Polydesmida", "Stephodiplosis", "Lepidozikania", "Phakopsora", "Phoxomylus", "Isoplastus", "Coniceps", "Silmalepis", "Lepidoptera", "Malacocera", "Trichosetodes", "Xenoloba", "Archigenes", "Corythionella", "Chelydroidea", "Divaricobothrium", "Hypochrysa", "Monacanthidae", "Acalyptops", "Danaka", "Reimersia", "Microlophus", "Peggioga", "Palaeomastigus", "Elicilacunosus", "Udonomeiga", "Anomalomeuta", "Scutistriga", "Striarcinae", "Trichaulax", "Genethila", "Loepa", "Pleroneurini", "Asterophysus", "Hamadruas", "Fromia", "Thaptomys", "Holopus", "Fairchildimyia", "Brenskeiella", "Braxyda", "Othniinae", "Jonviridae", "Eariadini", "Cranchiinae", "Quatiella", "Canthariella", "Yinshanieae", "Arhopalus", "Protorculidae", "Cacophrissus", "Tadzhikistania", "Connodontus", "Jajpurattus", "Gotocotyla", "Caledonapion", "Raillietina", "Trichohammus", "Hippasteria", "Waireia", "Muelleria", "Salinithrix", "Pseudodindymus", "Equisetales", "Mesua", "Cheylostigmaeus", "Biserovus", "Neaguitinae", "Triplarideae", "GPMM", "Xenodasys", "Eupatoriinae", "Sulcosticta", "Electrognostus", "Zethopsoides", "Heteroaulax", "Gryllinae", "Paradoxiella", "Berchemiella", "Zygaenidae", "Chalcophora", "Ctenoplectra", "Mitrobryum", "Armatoscydmaenus", "Jaegerina", "Cincoriola", "Hymenaphorurini", "Arachnomysini", "Eurycletodes", "Alotanypus", "Naitingis", "Leptaulus", "Phiditiidae", "Leptodemus", "Lacosoma", "Guitelia", "Ilyarachninae", "Pseudodoliolininae", "Lestoniella", "Hyperlopha", "Pteroclidiformes", "Phacopida", "Protoscelidinae", "Anarhynchus", "Ichthyornithiformes", "Oxymormyrus", "Graphium", "Sacodes", "Meubelia", "Deiopea", "Axinota", "Calothecinae", "Mactrinae", "Dichomitus", "Prasmodon", "Scleroprocta", "Parascelidae", "Triceraspyris", "Barbronia", "Desulfurobacteriales", "Enyaliinae", "Diaphania", "Mimallonoidea", "Harperalpheus", "Mentha", "Maricoleus", "Tenuitellinae", "Sororarchibracon", "Tympanis", "Cribrochalina", "Gutzia", "Tortoplectellidae", "Colyphus", "Psocetae", "Anarrhotus", "Hofstenioplesia", "Ipidia", "Stigmalychus", "Taphrotopium", "Stefanoffia", "Brachyunguis", "Ochotonidae", "Uromunna", "Oreostruthus", "Mathamelita", "Empidoidea", "Coereba", "Plectambonitoidea", "Anabazenops", "Productoidea", "Rhynchogromia", "Caecoparvus", "Abisarina", "Eucraera", "Arachnophaga", "Homalaena", "Pachycispia", "Euplectes", "Amoenacaridae", "Agapophytinae", "Hofstenia", "Hyadesia", "Himalayacetus", "Melanosiphon", "Cornales", "Perianthomega", "Phlyctorhiza", "Paramyxea", "Sommieria", "Leimacomys", "Dotyophycus", "Tritonidoxa", "Taczanowskia", "Myrmecobiidae", "Cicindelinae", "Chrysidini", "Sinodolichos", "Bythopirellula", "Punctileptops", "Xestospongia", "Euomma", "Chlamydaxine", "Congomantis", "Hemilia", "Pontifex", "Eudaemoneura", "Sarbia", "Badensia", "Pseudorhodoferax", "Zuloagocardamum", "Dasyboarmia", "Acuminiseta", "Dryomys", "Morelia", "Zeyheria", "Sphaerotheca", "Physocalyx", "Piptatheropsis", "Eccritotarsus", "Spinolidia", "Celebichneumon", "Arabidopsis", "Eucyrtonotus", "Tanypleuridae", "Chloantheae", "Kudoacanthus", "Propalticus", "Milliotrombidium", "Macrosoma", "Parmenini", "Homoscleromorpha", "Ekimia", "Tuberculosa", "Microdomatinae", "Ectopistes", "Leiosporocerotaceae", "Crawforda", "Amphictene", "Chrysocapsa", "Eugeaphinis", "Psilochlorops", "Ankistrodinium", "Pholeoaphodius", "Psoloptera", "Agastoroxenia", "Rhinochloris", "Plerogyra", "Steropanus", "Plutographa", "Heteroperdita", "Aylacini", "Wysotzkia", "Electron", "Pyrenochaeta", "Gruidae", "Sheniinae", "Colastinus", "Acanthaphodius", "Cicadatrini", "Bigenerinoides", "Collostroma", "Swedmarkia", "Seydelites", "Berndgerdia", "Testudinaceae", "Tetraminouxia", "Scartella", "Meimuna", "Eupleurus", "Dianthoveus", "Artigisa", "Irenita", "Rhysodina", "Sclerodermataceae", "Mecistocephalus", "Cosmovalgus", "Letestudoxa", "Balssia", "Spilogenes", "Machaonia", "Paracatenula", "Leptocotis", "Sanguibacter", "Cyatheales", "Opsariichthys", "Hydatocapnia", "Tiliaphis", "Chalcomitra", "Haplotrematoidea", "Megatheriinae", "Osmoxylon", "Haploglenius", "Tegulidae", "Diphyllarium", "Notolibellula", "Neolimnocythere", "Gaumiella", "Pleistophoridae", "Cichlidae", "Theeae", "Cowania", "Madecorphnus", "Aplocheilichthyinae", "Martynopsis", "Longimicrobia", "Todothyas", "Trechodina", "Cardamine", "Dicaelodontus", "Diphysciales", "Sagartiidae", "Jataiella", "Polythora", "Temnalges", "Bennettiodendron", "Camaenidae", "Iberis", "Scopula", "Mala", "Gravenhorstiini", "Paracapperia", "Tanyloncha", "Hersilia", "Doshia", "Pseudodendromonas", "Micularia", "Ranellidae", "Cladhymenia", "Pseudeburia", "Cybosia", "Vicinopone", "Psammobiidae", "Galagalgidae", "Imbatodinium", "Pseudoapseudomorpha", "Herbinix", "Nebelidae", "Rhytidopomatinae", "Hospitalibia", "Pseudocalyx", "Chironius", "Nyassachromis", "Paracleodoxus", "Flabellolycinella", "Rostronympha", "Parabaryssinus", "Mesochorus", "Naufraga", "Coronatella", "Naticarius", "Asteroschema", "Xyleborini", "Travancoriana", "Haddadus", "Parapetalium", "Paradaemonia", "Timdalia", "Osburnea", "Agmina", "Synandrospadix", "Goniocheniini", "Atractodes", "Micrerethista", "Trachytetra", "Cercodemas", "Cinclosomatidae", "Plectronocerida", "Bythograeidae", "Bledionotus", "Ramsayornis", "Cryptoschesis", "Catopuma", "Manacus", "Elmis", "Tasmaniosoma", "Parahepialiscus", "Dinenympha", "Epedanidae", "Haemopsalta", "Xenomachadoella", "Wigginsia", "Niborskiana", "Ectaetia", "Pseudorthosia", "Scaptodera", "Taeniurops", "Praeacanthocircus", "Langitanainae", "Fusi", "Dartevellopora", "Dumosus", "Eriesthis", "Florinda", "Teunia", "Interatheriidae", "Praeaulacus", "Porcelliidae", "Steinheilia", "Trachelipodidae", "Lyromonadea", "Hemimelaena", "Filholiidae", "Boesenbergia", "Microthorax", "Halictidae", "Trachelyopterus", "Centronycteris", "Janjucetidae", "Amphimas", "Ignisphaera", "Phoronopsis", "Aeschylia", "Caponea", "Eucetonia", "Epideigmatidae", "Westindia", "Secatophus", "Valeriemaya", "Apotomoderes", "Cycloprorodes", "Spongophyllidae", "Thamneus", "Xestota", "Gynotyphlus", "Kompsodonota", "Hadrophyllia", "Diphya", "Gourlayia", "Nothopegia", "Dormaalocyon", "Runella", "Anchistrocephalus", "Achnanthales", "Krameriellinae", "Paliureae", "Brustiarius", "Tupeia", "Oxycilla", "Pulicidae", "Styloleptus", "Figorella", "Archidiales", "Fangarctia", "Nonionoidea", "Titanoboa", "Mustelidae", "Aptychopsis", "Allopisothrips", "Cotylopus", "Glanodes", "Boraginales", "Retinia", "Poecilochirus", "Pterocolinae", "Lipothrix", "Ivanovellidae", "Marcius", "Brachylophosaurus", "Miyagia", "Belloppia", "Entonema", "Sigalion", "Pseudolestinae", "Notosimus", "Eremelloidea", "Spadicoides", "Manonychus", "Scolodontina", "Buelliella", "Puntigrus", "Ectianoculus", "Adelogorgia", "Cebudonus", "Ortholaba", "Streptochlora", "Limnophyes", "Orbiniella", "Pantonyssus", "Sticholotis", "Muscari", "Ankonetta", "Phanaeus", "Spinotectarchus", "Meridaphes", "Discohelicidae", "Asellaria", "Eukoebelea", "Adenerita", "Neo-uvaria", "Harrisomyia", "Stenidius", "Tossea", "Iviva", "Chlorangiopsidaceae", "Paulownia", "Pupa", "Amphichaeta", "Philomyceta", "Chioninia", "Bruchiaceae", "Cinchona", "Cyclopyge", "Hessemydas", "Markalius", "Atriasterinae", "Parammoplanus", "Elaphocera", "Octosporiella", "Diaprepesilia", "Mendosoma", "Andreaeopsida", "Strotihypera", "Neotama", "Hydrotrechus", "Memantis", "Pretiliini", "Anaplectus", "Serrolecanium", "Sanchytrium", "Trichosophroniella", "Dysmathes", "Prochetodon", "Jakuarte", "Sterictiphorinae", "Golunda", "Kepkatrombicula", "Troglocubazomus", "Mesodiniidae", "Trimeroderus", "Pterocetus", "Cecidophyinae", "Campogramma", "Adiniops", "Halogranum", "Corydalinae", "Afrotheora", "Palaestina", "Nungara", "Coptoclavella", "Patellinirmus", "Mesopsocus", "Dinematichthyini", "Echinophryne", "Microlophichthys", "Nerada", "Arcturides", "Iriarteeae", "Calligonum", "Lophophanes", "Incawockia", "Gregorella", "Metapioplasta", "Amphiblemma", "Truncatella", "Nodaria", "Longiantrum", "Plesiosiro", "Anthribidae", "Avelia", "Bunodophoron", "Cherublemma", "Stomasphaera", "Khasia", "Vesselowskya", "Zeadolopus", "Scombrolabracidae", "Blackbolbus", "Scymnotingis", "Vadensea", "Speagonum", "Shimomuraia", "Tranzscheliaceae", "Nematalycus", "Spirotrichonympha", "Horaismopterinae", "Lellingeria", "Scydmaenichnus", "Aulacochilus", "Chara", "Caryodendreae", "Eutrichomyias", "Aegialiinae", "Paraphidnia", "Hylaeargia", "Stereospermum", "Platyrhinini", "Centrolabrus", "Arnaudius", "Wesmaelia", "Cycloramphus", "Formosempria", "Tretanorhinus", "Astrorhizina", "Soyedina", "Cyclodontina", "Acaenitini", "Agapa", "Achelata", "Nitellopsis", "Vadoniotus", "Earlandammina", "Bolivicactus", "Eremippus", "Trichosphaerium", "Uropelia", "Holcorpa", "Mammantavirinae", "Erythmelus", "Zhaoermia", "Pareuplectops", "Tava", "Thestylus", "Lahmiales", "Vestigipoda", "Limenitidinae", "Winogradskyella", "Ctenothrissiformes", "Protaphidius", "Athalassotoga", "Noctuoidea", "Americaphis", "Bathylana", "Marginopora", "Enemion", "Tettodrilus", "Scolytini", "Loxostomoides", "Brotogeris", "Spasskofuhrmina", "Chlorophorus", "Opanara", "Pentagonicitae", "Niphargus", "Pindis", "Eresiomera", "Scleropauropus", "Pitangus", "Asolanus", "Mesothyatira", "Penia", "Paraoerskovia", "Choreotrichia", "Pyrenophora", "Pachyotominae", "Oxynaspididae", "Brama", "Spicara", "Milanion", "Pacourininae", "Octolabeidae", "Leukochrysis", "Artemisina", "Reyemia", "Protarchaeopteryx", "Plurifenestra", "Aniseia", "Sisoroidei", "Allotrichosiphum", "Pseudoficimia", "Dodecahema", "Phestilla", "Oileidini", "Achatocarpaceae", "Cicia", "Platyrinchidae", "Tamgrinia", "Actinorhabdospora", "Volutilithinae", "Acanthogorgia", "Lepturini", "Proischnura", "Pediastrum", "Sphagneticola", "Rhadinematidae", "Struthisca", "Cacicus", "Vulda", "Droserotoma", "Laphystiini", "Haemogregarinidae", "Blaesiina", "Suakokoia", "Orbitolinidae", "Platerodini", "Venericardia", "Pascoetrephus", "Trachypoma", "Ilvini", "Archisagittoidea", "Mnioes", "Lucinoma", "Enoploderes", "Aeroglyphidae", "Microtrullius", "Moneta", "Mallecoa", "Thalassopappus", "Cryptocoris", "Basilobelbidae", "Ellobiopsida", "Wasabia", "Oestokerkus", "Physegastrella", "Neocoiffaitia", "Crowellatax", "Brachiaster", "Ozarkodinida", "Metapseudes", "Spirochrysis", "Penetrantiina", "Liriospyris", "Dettopsomyia", "Pakicetus", "Bazzania", "Chlorocala", "Endasys", "Spinestis", "Mellitiosporium", "Aspidonotini", "Phyllorhinichthys", "Palustrella", "Thysonotis", "Grandipatulidae", "Hirundinidae", "Planaeschna", "Cassiculosphaeridia", "Drepanochloris", "Mallecomigas", "Macropternella", "Caecitellus", "Promecoderus", "Melyridae", "Dendropsophus", "Horstrissea", "Neocharini", "Tapura", "Tillinae", "Bellendena", "Hippodamia", "Trittame", "Procypris", "Atelecyclus", "Xylobanellus", "Chaetovalgus", "Diplomys", "Larainae", "Pseudogaudryinidae", "Melapedalion", "Dennstaedtiaceae", "Pterygophora", "Sypharochiton", "Myopopisalia", "Astrocasia", "Trisinus", "Voloshinoides", "Lapillicoccus", "Hesperonatalius", "Trachylepidinae", "Cryptaulacinae", "Athelges", "Nemopalpus", "Samolethrius", "Dongodytes", "Biremis", "Fidelia", "Sternaphis", "Arytera", "Corizus", "Praeanthropus", "Rhodocyrtus", "Congoxeninae", "Catalabus", "Sadlerianinae", "Parvipalpus", "Metacanites", "Whytockia", "Smicrornis", "Sensonator", "Muricea", "Sternodea", "Copticostola", "Oxygastrobythus", "Globicornis", "Farqua", "Aulostomus", "Storenomorphinae", "Kallosphaeridium", "Oryzomyini", "Elvertia", "Sirenocyamus", "Acrosymphytonema", "Cordicollis", "Aspidoglossa", "Austrobryonia", "Syringia", "Astictopterini", "Tadorna", "Kinseyella", "Devolana", "Scotorepens", "Philippinella", "Polycirrhus", "Ecitocala", "Zygophlyctidaceae", "Micromesus", "Dedyini", "CHUFC", "Metendothenia", "Cyphotelus", "Otites", "Diplosara", "Phyllodactylus", "Rhigioglossa", "Baskervilla", "Chlaeminus", "Enaliornis", "Mischoderus", "Gracilinanus", "Domodon", "Ancystroglossus", "Trechisibus", "Caccothryptus", "Atrademus", "Siphocampium", "Tyrannulus", "Cryphula", "Tachytatus", "Cyphokentia", "Penthesilenula", "Hydrozoanthidae", "Hopkinsobates", "Sinuspiridae", "Apochrysa", "Monofreyana", "Variostoma", "Bryonora", "Velebitodromus", "Bulininae", "Agarum", "Plagiostomum", "Pedinoida", "Actinopolysporales", "Poecilotriccus", "Lygodesmia", "Rhabdocorinae", "Tachosa", "Austroriella", "Aepykorys", "Canscorinella", "Imantodes", "Therontydeus", "Eriocottis", "Hysteroscene", "Pericallis", "Jason", "Macrosolen", "Aeropteryx", "Uncopaederus", "Hermas", "Diplastrella", "Adiantopsis", "Paripochira", "Cylindrotoma", "Nubsella", "Coeliades", "Constantia", "Anaxyela", "Metaxymorpha", "Robustichthys", "Ranqueles", "Jordanofulvius", "Carterella", "Salentinella", "Acanthodoris", "Gargarini", "Meteoriopsis", "Miracanthops", "Catopsilia", "Porribius", "Biseriella", "Heterolepis", "Tsauria", "Camiarini", "Basselinia", "Triaenonychini", "Zanchius", "Acritarcha", "Pedonculocaprella", "Enteucha", "Peucobius", "Euscyrtinae", "Tropidischiinae", "Fromea", "Phaseolinae", "Dracovenator", "Prasinococcales", "Gemmobacter", "Dymerinx", "Colomia", "Pterigynandrum", "Panaropsis", "Calocolobopterus", "Sphenodontidae", "Andriasa", "Sic", "Tetraommatus", "Struthiopteris", "Callichthyidae", "Delilia", "Striomecyna", "Tabulospongida", "Anthracocaris", "Palaeotrigonium", "Onychothemistinae", "Pygidianops", "Mesapamea", "Atropideres", "Rhaphidura", "Mirabilamorbus", "Sinornithosaurus", "Ellobiinae", "Obazoa", "Rhynchosauridae", "Coryphoblennius", "Blepharocysta", "Phaenosperma", "Acrotylaceae", "Leptocircini", "Amannus", "Tribrachidium", "Multilamina", "Anisopteromalus", "Nelsonoplium", "Atrichopsis", "Prionoglarididae", "Antenoron", "Morphopoliana", "Dilleniaceae", "Anphira", "Hauttecoeuriini", "Tamborinus", "Dagama", "Michaelcallianassa", "Globosulus", "Paruterinidae", "Samburupithecus", "Phosphorus", "Allophyragraphorus", "Parabelbella", "Cupedia", "Cytheroidea", "Chikilidae", "Semenoviana", "Mecynoscaris", "Luxtonia", "Anthracocystis", "Coptonotini", "Ptilomerella", "Chilacis", "Pinguicula", "Neoptinus", "Piptanthus", "Succisella", "Glaucocystopsis", "Salinarchaeum", "Dorcadospyris", "Plerurinae", "Keratochlaena", "Bryopsocidae", "Patagiatella", "Acrolophia", "Austrophasmatini", "Linguatornoceras", "Juranyiella", "Purpureostemon", "Limibacillus", "Pareumerus", "Lepitacnus", "Notographus", "Rhynchoppia", "Hemilophus", "Jascopini", "Fissuroderes", "Corynophlaea", "Orinhippini", "Rivulariella", "Granulosicoccus", "Schizocarphus", "Astomum", "Draymonia", "Chishuiella", "Orimarga", "Watobius", "Fageapseudes", "Procileoporus", "Tonnacypris", "Paulbronnimanninae", "Miathamia", "Halomarina", "Protieae", "Atlantasellus", "Locustogammarus", "Cyclocyrtonella", "Diaphractanthus", "Guibourtia", "Scaposerixia", "Pseudethmia", "Sybropraonetha", "Veratrum", "Lepturus", "Hista", "Pareatoidea", "Procyrtosia", "Macrocerca", "Darevskia", "Phyllotocidiini", "Rhynchocyoninae", "Gymnostemon", "Coraciiformes", "Nostochopsis", "Carectocultus", "Aublysodon", "Apoglossum", "Crossata", "Ceratocanthus", "Baeoura", "Subbelba", "Helianthella", "Anomotoma", "Abyssogammarus", "Peridermium", "Villiersocerus", "Cocconeidaceae", "Chelonariidae", "Clavigralloides", "Kanikehia", "Pelagomonadales", "Acidiphilium", "Precinara", "Pharyngodytes", "Nebalia", "Lonchaeidae", "Hampsonellus", "Coddingtonia", "Pseudoceros", "Dallaiphasma", "Syntropini", "Dyscophinae", "Mitrastethus", "Calosima", "Hypomelaena", "Thermochoria", "Triophtydeus", "Haplopacha", "Bryochoerus", "Agetinella", "Proteiniborus", "Tripartita", "Trissemus", "Rhabdodontium", "Methylobacteriaceae", "Typhlogena", "Spatulapica", "Telotylenchidae", "Afrobaenus", "Prionapterus", "Opacographa", "Macluritoidea", "Osmitopsis", "Heterolinus", "Asprocottus", "Caprorhinus", "Thalassophorus", "Pharmacis", "Anaronotum", "Calyptobates", "Haldea", "Aruma", "Micrus", "Burtinus", "Ancyronini", "Exitomelita", "Anomocaridae", "Gymneleotris", "Powichthys", "Scoriodyta", "Vireo", "Kustaria", "Trama", "Racekiela", "Rhodophoneus", "Cordylosaurus", "Lysiphlebia", "Neoquintius", "Achyrocline", "Morvina", "Austroconophron", "Pleuricospora", "Adelacerithiinae", "Platyberyx", "Bezzia", "Lingula", "Curiosimusca", "Pimephales", "Ranapoaca", "Lauella", "Amphilimnobia", "Narnaviridae", "Enhydrina", "Chaulionyx", "Epigonomiris", "Chariesterus", "Tumidagena", "Bottegoa", "Microdymasius", "Triparticalcar", "Cinctiporidae", "Aurometopa", "Epipedopora", "Cymaria", "Lepidostomatinae", "Meliplebeia", "Malayozodarion", "Piqueria", "Paravaejovini", "Odontotremataceae", "Angophora", "Paramallosia", "Chelonibia", "Stepta", "Pinheya", "Tholospyris", "Astilodes", "Gobiocichlini", "Seborgia", "Methylococcales", "Squalidae", "Mystacinidae", "Anachastis", "Metapolymorphina", "Hollenbergia", "Handeliobryum", "Plyapomus", "Beauchampiella", "Lycorininae", "MBUCV", "Hygrophorineae", "Aristaeomorpha", "Stereocladon", "Isocyamus", "Lembu", "Euneornis", "Holocentrinae", "Tersoakus", "Atelecyclidae", "Canthodimorpha", "Siphonidiidae", "Heteropsoridae", "Malagasyprinus", "Varidentella", "Multipeniatidae", "Hesperozygis", "Stigonema", "Haplochernes", "Timalia", "Cavernosa", "Peltodonia", "Trichhoplomelas", "Belemclepsis", "Psednurini", "Ozarkia", "Melanopsichium", "Herpetotherinae", "Bagaceratops", "Conoparia", "Anoplocephaloides", "Gloeoskene", "Bouchetmella", "Podaena", "Atriaster", "Saccomyces", "Baleini", "Bregmaceros", "Stasimopus", "Aemodipsus", "Aubehydrini", "Palmorchestia", "Hestiasula", "Leptogidium", "Strebloides", "Megalorhina", "Morrillia", "Buceronirmus", "Leucochesias", "Anabaenopsis", "Rawsonia", "Crossandra", "Melpomene", "Paravoca", "Ophioleviathan", "Naticopsis", "Trachyodontium", "Rhabdopectella", "Kowarzia", "Aplosonyx", "Catenariinae", "Pachypygidia", "Agerinia", "Haplogleniini", "Kuwanina", "Teratanytoma", "Thurstonella", "Polydiexodininae", "Bryoperdon", "Symbiopsocus", "Placoptila", "Muellera", "Gallowaiina", "Holostei", "Psephodontidae", "Mochlus", "Spathiphylleae", "Neololeba", "Melanodaedala", "Loxandrus", "Cellvibrionaceae", "Helostomatidae", "Penaoola", "Glenoglossa", "Saciperere", "Aldingia", "Hymenosomatidae", "Qaisracetus", "Siphusauctum", "Aphaeninae", "Limicolariini", "Myrmecozela", "Amalopteryx", "Neosclerus", "Tetraena", "Stenaleyrodes", "Yumikoi", "Bothroprosopa", "Prothemus", "Tiwaripotamon", "Actenoncus", "Duckeodendroideae", "Xyroscelis", "Lichtheimiaceae", "Anthessius", "Tamamushia", "EBRG", "Chytridiomycotina", "Gouiniinae", "Dichistius", "Mantohelea", "Saphophagus", "Peregrinia", "Hypseocharis", "Triancyra", "Coptaspis", "Makrostrotidae", "Astronympha", "Minoninae", "Pleurostomum", "Eobanus", "Scotobiini", "Hapalomantinae", "Megakhosaridae", "Fota", "Plectocomiinae", "Aristostomias", "Maripanthus", "Dryophilodes", "Aplastinae", "Lichenomphalia", "Tumidaegus", "Punomys", "Adriopea", "Pachysticus", "Phyllotis", "Genoplesium", "Bogidomma", "Lamponova", "Scabrethia", "Eupteryx", "Craspedochiton", "Eusaurischia", "Eubroncus", "Nematanthus", "Iocheirata", "Melolonthinae", "Eolachesillinae", "Spinogramma", "Tinobregmini", "Camptomorphoides", "Aplasta", "Phileremini", "Hunkeleria", "Rectoclymenia", "Restio", "Inflatopyga", "Myomorpha", "Phaulothamnus", "Parambia", "Maclurolyra", "Crenichthys", "Tunon", "Pistorinia", "Thiohalobacter", "Uronyctus", "Cephalocyclus", "Hollandichthys", "Julbernardia", "Desisopsis", "Truncatellinidae", "Lygaeopharus", "Basilosauridae", "Thyreophagus", "Scheffersomyces", "Casinycteris", "Zonophora", "Tuscarilla", "Saprolegniales", "Troglochthonius", "Eriosocia", "Ligniera", "Laosanthus", "Stictocyclaceae", "Automeropsis", "Ardistomopsis", "Trichechus", "Capila", "Haplophragmina", "Chileotrecha", "Egeirotrioza", "Alvimiantha", "Aethilla", "Anathyrsotis", "Chalarothyrsus", "Calotropis", "Lestodryinus", "Echydna", "Aritranis", "MLS", "Presbyornithidae", "Alevonota", "Paradiscocephalus", "Cyclura", "Eoviscaccia", "Callophilharmostes", "Smirnovipinidae", "Mesamia", "Perarthrus", "Coleorrhyncha", "Ephelidium", "Seraphsidae", "Yunnanozoon", "Gomphotheca", "Agardhinula", "Pomatorhinus", "Psarocolius", "Machaeropterus", "Cheliomyrmecini", "Nomoneuroides", "Therizinosauridae", "Meyerella", "Acantoluzarida", "Eudoxochiton", "Conicera", "Psettodidae", "Mehuinia", "Acanthodasys", "Aganippini", "Chroicopterinae", "Calyptrocalyx", "Derolophodes", "Chorispora", "Nagatomyia", "Dimerometopus", "Liosteburia", "Arhytodini", "Gorgoniidae", "Omoides", "Genusaurus", "Peucaea", "Anthopharynginae", "Hemiodontidae", "Pyrgilauda", "Fulvimonas", "Obrussa", "Acetitomaculum", "Peltoschema", "Zeroviella", "Pseudojanira", "Conularia", "Kuriporus", "Rhinepera", "Eupogodon", "Pseudohalopeltis", "Gecinulus", "Tytthoberis", "Allorchestes", "Aepeomys", "Curiini", "Eremiascincus", "Gomberellidae", "Sommeria", "Jenneria", "Megalancistrus", "Clinidium", "Mycodrosophila", "Eurhynchinae", "Telmatotrephes", "Folifer", "Salda", "Mytilina", "Melanocoryphus", "Strogulomorphina", "Stenocarpidium", "Ectopiocerus", "Peripleura", "Aspiduriella", "Kiwialginae", "Sunira", "Diaphoroserica", "Marmarinae", "Mesoneura", "Bulbophyllinae", "Megatrioza", "Achnopogon", "Celaenopsidae", "Crepidium", "Nerisyrenia", "Prodioxys", "Avesnella", "Diatomys", "Diploechiniscus", "Articeronomus", "Xynias", "Sneathiellales", "Thermocladium", "Lafresnaya", "Kaschgaria", "Digenobothrium", "Polyorthoptera", "Rhigus", "Xylanche", "Intitectonica", "Aspidostomatidae", "Nananthea", "Brevitalitrus", "Juncigenaceae", "Laphidioderomimus", "Arctotanais", "Eratoidae", "Atriotaenia", "Paralafystius", "Pandaceae", "Decapauropus", "Cleptometopus", "Juaristiella", "Potheae", "Scolopa", "Ontsira", "Parasitinae", "Ruckesona", "Epichrysomalla", "Opsius", "Scarrittia", "Paranesaulax", "Kambiwa", "Transvaaliana", "Heilipodus", "Lestagella", "Euphrosyne", "Perissomerus", "Acanthostega", "Umidena", "Cyathobasis", "Ceratida", "Helixotionella", "Megapodiidae", "Xiangella", "Allomerus", "Vijaya", "Engrauliphila", "Diplopsalis", "Epicallia", "Placklesia", "Phylloxylon", "Anatanaini", "Neotima", "Leoniruggieria", "Eriothrix", "Cyprois", "Paranepa", "Atopobium", "Dolichoris", "Cyrtonelliones", "Raphanorhyncha", "Oxydoras", "Leptobelini", "Selenogyrus", "Elaphoidella", "Cephea", "Rogersus", "Cladidium", "Synaxidae", "Eospongosaturninus", "Paraetmopterus", "Leptoclinium", "Crossyne", "Mnemiidae", "Kickxellomycotina", "Oaxacarus", "Guembelitriella", "Stenomacrus", "Aelia", "Praethalassiosiropsis", "Goniaster", "Pantachordodes", "Miojapyx", "Holosomata", "Elpidus", "Cypridinoidea", "Helicocephalidaceae", "Adenocystaceae", "Paroniella", "Holopleura", "Oplismenus", "Austrohyaloma", "Kusumia", "Mesasigone", "Enoggera", "Arhopalini", "Neocuris", "Hypophlaeini", "Leptopetalum", "Lagerpetidae", "Sphadasmini", "Agriopis", "Semiaphis", "Apatusa", "Leptotrichia", "Gordejeviella", "Stephopoma", "Afroarabiella", "Basiliscus", "Blastocatellia", "Prohierodula", "Pareiorhaphis", "Synthoracodonia", "Tjalfiella", "Jacaranda", "Forcipata", "Eurychasmidium", "Marocaulus", "Bryonia", "Labilibacter", "Glaucopsaltria", "Notarctia", "Umma", "Mesozoanthus", "Mecardonia", "Heloderma", "Schoenocaulon", "Stenodictyon", "Vladimirellus", "Tristramella", "Trifolium", "Chloropseidae", "Ceratopogoninae", "Bathyoncus", "Prauserella", "Calocedrus", "Conocoxinae", "Chorigyne", "Cyrtogonatopus", "Phanulithus", "Rhynchium", "Leptenicodes", "Koumpiodontosuchus", "Phoebella", "Schusterius", "Xenoreoderus", "Nayalia", "Truebella", "Sarcomenia", "Lachnocnema", "Paramesosella", "Pleurospermum", "Acanthocarpus", "Hamma", "Pion", "Gotra", "Decidia", "Vexillifera", "Apyrrothrixina", "Platidia", "Agroeca", "Coleopteromyces", "Cystiplanidae", "Harpetida", "Minthostachys", "Polyrhizon", "Lawrenciella", "Amorphonostoc", "Neritinae", "Amphilinidea", "Bergenia", "Gymnopentzia", "Hancea", "Haematorrhytus", "Laoblemus", "Corcyrogobius", "Ischnobathra", "Koleolepadidae", "Pantodinus", "Wielandiinae", "Horatomina", "Arnomobula", "Chelobasis", "Labrossyta", "Pterochilus", "Alsophila", "Asterales", "Doyleanthus", "Eothenomys", "Pseudesymus", "Spizixos", "Drilorhinus", "Moschops", "Actinelius", "Chorismagrion", "Gnophaela", "Granufilum", "Ophidocladeae", "Deucalion", "Tambourissa", "Nurus", "Rhombolaparus", "Pseudobotrialepis", "Metapronorites", "Hopliderini", "Eremaeozetidae", "Glorita", "Haimormus", "Oreonectes", "Remelana", "Acanthokara", "Platyhedyloidea", "Tritracheoniscus", "Acanthocasuarina", "Aethiopina", "Desmognathus", "Metopsia", "Alexornithiformes", "Cryptotriton", "Antiaropsis", "Neoamphorophora", "Solenostomus", "Luta", "Sericorema", "Latinozoros", "Captorhinida", "Istrisia", "Stenometohardya", "Ozothrips", "Peltarion", "Hiceteria", "Calycibidion", "Auloplacidae", "Aspellinae", "Karolia", "Nototorchus", "Trichomia", "Physoglenes", "Adhaerentiinae", "Anatolopsyche", "Pallidohecyra", "Corthylini", "Anhinga", "Fernandezina", "Pirothyris", "Scotodipnus", "Scriptoplusia", "Phoenicopteriformes", "Brassiceae", "Tricentrum", "Ctenolepisma", "Fegimanra", "Chlamydopleon", "Cochlicopoidea", "Prorhinotermitinae", "Protoceratidae", "Masonophycaceae", "Tectocepheus", "Thalassophryninae", "Sormida", "Hunga", "Excitobates", "Paraligaria", "Buffhamia", "Tanaissus", "Selloa", "Bunopithecus", "Neritininae", "Adamastoraltica", "Parabrulleia", "Cordyloporus", "Chaetauchenium", "Hyalopeploides", "Arremon", "Diplangidae", "Gyalideopsis", "Typhloleleupius", "Promongoma", "Aegidae", "Cephalaria", "Pocsiella", "Chronogastridae", "Carinae", "Parascon", "Thysanocarpus", "Malagaethes", "Anguilla", "Papyriaspididae", "Alytarchia", "Lateristachys", "Copodus", "Euliphyra", "Phantazoderus", "Roveacrininae", "Capnodiales", "Cyrtodontida", "Paracallisomopsis", "Paranarsia", "Forficulina", "Megacoelum", "Thargelia", "Opitutus", "Lamprojoppa", "Strobilocera", "Atmetocranium", "Thysanotus", "Neocabreria", "Dipsosphecia", "Braithwaitea", "Aylikusa", "Normantha", "Pseudohydrosme", "Robertozyma", "Chromatocurvus", "Andorracallis", "Morphini", "Tetrahymena", "Ptychomitriaceae", "Quadrencyrtus", "Castrosion", "Sphaeramiini", "Actantavirinae", "Auerbachia", "Isoproba", "Silvestrellatinae", "Agaricomycetidae", "Banacuniculus", "Anaclastoctedon", "Caloperdix", "Yarnikada", "Psammoparalia", "Platylabus", "Platystethus", "Acaulospora", "Euxiphidiopsis", "Amphimedon", "Euorodalus", "Raharizonina", "Pseudocamenta", "Aeolodermus", "Clistobothrium", "Chrysometa", "Clathrozoon", "Temnorrhynchus", "Acanthogryllacris", "Ancistrini", "Borealophlyctidaceae", "Pieleus", "Neospintharus", "Napeogenina", "Adelphomyia", "Aphanodactylidae", "Exobasidiomycetes", "Demimaeini", "Lactobacillales", "Microtrichia", "Gelidium", "Aztecencyrtus", "Zuniga", "Pseudoschlumbergerina", "Dactyliosolen", "Bilinea", "Naudarensia", "Haementeriinae", "Gloxiniinae", "Phacodiscidae", "Dryopomorphus", "Rapua", "Stibara", "Isodermus", "Megaoryzomys", "Diomorphocestus", "Craspedocarpus", "Arborophila", "Persicarieae", "Ochrodion", "Pseudocarnus", "Cteroclymenia", "Stilbe", "Singularitanais", "Pseudonascus", "Imeri", "Paridea", "Trichococcus", "Malgachinsula", "Lepidorhynchus", "Scorodophloeus", "Salopekiella", "Coelopidae", "Echeterospilus", "Cryptonemia", "Boreonymphon", "Cyphagogini", "Telotyphlus", "Phyllophaga", "Caliscelis", "Trichoncus", "Physocephalata", "Nereoginkgo", "Brachoria", "Sigmella", "Ancylosis", "Tetrapion", "Eumerophilus", "Oxypius", "Myrmecisporidium", "Euterpinidae", "Genkalia", "Dipnotuberculus", "Phaeovibrio", "Eubolbitini", "Ischnochiton", "Poulsenia", "Rivibacter", "Atractaspidinae", "Rhacophorinae", "Notila", "Salmoperla", "Pseudastilbus", "Tetradimorpha", "Australiscutum", "Centromochlus", "Satyria", "Cecilioides", "Clausidium", "Euphoria", "Octotapnia", "Austrachelas", "Orphilinae", "Iatitaia", "Tristicha", "Opomyzidae", "Phyllolobium", "Spatulifimbria", "Pleuroziales", "Holocanthon", "Turbonitella", "Sinogaleaspidae", "Bunduica", "Akidomorychus", "Aiphanes", "Dugongidae", "Nordlanderia", "Ocyton", "Paradidactylia", "Rypticus", "Regiatoidea", "Mellinini", "Zelicodes", "Pteromys", "Nemia", "Carmelinus", "Euastacus", "Appendicula", "Valserina", "Polycheria", "Thurstonelloidea", "Persoonioideae", "Tikizetidae", "Anagotis", "Distichogorgia", "Neopipo", "Giachinusa", "Blasiales", "Holloceratognathus", "Atomophora", "Uronychiidae", "Prolixibacter", "Clypeolontha", "Cloresmus", "Plagiobryum", "Aethrikos", "Scraptiidae", "Nematocida", "Trichothyriaceae", "Nostocaceae", "Luxemburgieae", "Paralivatiella", "Joenopsis", "Caenosynteles", "Dinobothrium", "Inocybaceae", "Parapactye", "Variraptor", "Myonotus", "Leptosiphonium", "Globia", "Palicidae", "Platycnemidinae", "Batrachoidiformes", "Clitambonitidae", "Brosmophycini", "Dinesidae", "Trilasma", "Protogynanisa", "Chubutemys", "Brachyceropsini", "Ophryodendridae", "Pileotrichius", "Pleurodira", "Shepheardella", "Sesia", "Crocosmia", "Litocosmia", "Sophronica", "Crytea", "Archicupes", "Franciscideres", "Ptilocerembia", "Pinelema", "Chimaera", "Yangida", "Atlantochelys", "Bolborhachium", "Trogodina", "Yavnella", "Tomnashia", "Kerowagia", "Lycoteuthinae", "Leiostegia", "Nephrodiscus", "Tiburica", "Hypania", "Mimosa", "Cnipsarcha", "Neochlamisus", "Larcasinae", "Gylippidae", "Mexiweckelia", "Oeme", "Delevea", "Aprusia", "Laetmatophilus", "Cephalomalota", "Rafnia", "Amblyosporida", "Stictocranius", "Diura", "Mimulicalyx", "Bouchetispira", "Loeblichiidae", "Haematractidium", "Chiliotrichum", "Mesopatrum", "Ophiopyrgidae", "Ancylinae", "Gunnellichthys", "Praecalcigonellum", "Vanonus", "Diprotodontia", "Chrysophlegma", "Heteropsilopus", "Rhionaeaschna", "Harpidium", "Paralaesthia", "Archaeplastida", "Schoengastia", "Semiini", "Arctosomma", "Paramyllaena", "Bolbonectes", "Fischeria", "Endolithella", "Psilosticha", "Listroscelidinae", "Pyrulina", "Plagiaulacida", "Acmaeidae", "Aegyriana", "Stenomitos", "Achilina", "Epiwubana", "Adrasteia", "Leptosiphonia", "Tipulidae", "Geomantis", "Tristachya", "Conditor", "Pterocotes", "Aquimarina", "Callaeas", "Leptorhyparus", "Scythrodes", "Scythobrya", "Technomyrmex", "Proneoproxius", "Rhopaliceschatus", "Phytodinedria", "Symbioribates", "Berthelina", "Natronococcus", "Stiphidiidae", "Cloacininea", "Neokirramyces", "Pronous", "Axyracrus", "Balfourodendron", "Hexarthridae", "Antarcticimonas", "Peltinodes", "Lejolisia", "Tyrannophryne", "Potaninum", "Phacelocarpaceae", "Anachipteria", "Droguetia", "Euzebyaceae", "Ctenellidae", "Nesotragus", "Psychodinae", "Zopherini", "Trapavirae", "Ithaechma", "Alpichola", "Dechloromarinus", "Argeia", "Diplognathoides", "Eurynysius", "Anonymidae", "Neozimiris", "Galeus", "Arthrophytum", "Hydrocolus", "Circoviridae", "Pipturus", "Coralliophaga", "Hammada", "Salfacarus", "Hikosanoagonum", "Paranovelsis", "Bothriembryontinae", "Inaequifurcata", "Afrochoerodon", "Tympanella", "Melanorhinus", "Sphairogullmia", "Coranus", "Plesiocystis", "Cliarthrinus", "Ephymata", "Heliconandria", "Cleptotrigona", "Isodendrion", "Sillaphyton", "Angotia", "Itombworites", "Gobipteryx", "Zele", "Neprotembia", "Gonimocolax", "Nunavutia", "Eufroggattisca", "Neopronorites", "Callyntra", "Pseudouroctonus", "Egaulacobothrus", "Nioniinae", "Neptis", "Enteropogon", "Ixonotus", "Paragynoxys", "Siphogaudryina", "Electralbertidae", "Eulophini", "Heterhydrus", "Kuscheloniscus", "Choanoflagellida", "Wetmorella", "Abacoclytus", "Spasskogammarus", "Schistosomatidae", "Xenolobus", "Kritosaurus", "Mussidia", "Tarsolarkus", "Afroaltica", "Cryptoclididae", "Gelanesaurus", "Cupeyalia", "Petrovitzia", "Psychomyiidae", "Psammokalliapseudes", "Chrysobalanus", "Rimostrombidium", "Stenogephyra", "Eriochona", "Detonula", "Rapona", "Prolipiniella", "Cyclopharynx", "Dolichesia", "Wooleya", "Tarsophilus", "Singhalopotosia", "Euphoriina", "Langaha", "Hystrichophora", "Angulochterus", "Tosanoides", "Crozetulus", "Acanthocornis", "Aliidiomarina", "Halosia", "Teneriffa", "Pharopsis", "Dendrophryidae", "Aulacotoma", "Thoropa", "Marela", "Menopon", "Maro", "Zonilia", "Aneurops", "Sornayina", "Nobuea", "Rhizobium", "Tongorchestia", "Myarda", "Dichocoenia", "Sesiina", "Scythrididae", "Taphoxomimus", "Lepetopsoidea", "Kiliasia", "Keraymonia", "Wisteria", "Acampsis", "Dayia", "Sia", "Psammophilus", "Guizhousomatidae", "Ambelania", "Nemacaulis", "Kyra", "Trigonotis", "Latimeriidae", "Novonigidius", "Amphitethya", "Barythericleinae", "Inoviridae", "Moron", "Illa", "Colydiini", "Rutstroemiaceae", "Bertranini", "Bathyctenidae", "Spongitalea", "Hyphodiscaceae", "Ectocarpales", "Loxonia", "Conniella", "Atrichophyllodes", "Euparops", "Achrosis", "Chalceus", "Menispermum", "Halteriidae", "Ignambia", "Gymnonychus", "Paratrabisus", "Mastophoropsis", "Simonellini", "Megosmidus", "Japygoidea", "Phyllodonta", "Orthonama", "Bartzschiceras", "Premnobius", "Senga", "Termitaphididae", "Agromyza", "Leprosa", "Arcterigone", "Scaphopoda", "Nuryctes", "Purlisa", "Archaeobalaninae", "Magadacerina", "Idiogenes", "Ancistroteuthis", "Thermesiini", "Fabaeformiscandona", "Eusarima", "Catoferia", "Quasitydeus", "Amphiglossa", "Trichosurus", "Pricecoris", "Elsholtzia", "Dentothalmonia", "Borissovia", "Athroisminae", "Vandeleumatidae", "Malmaemichungiini", "Pachypasoides", "Phaleria", "Rhopospina", "Phyllarachne", "Orvasca", "Lamprocyclas", "Filomicrobium", "Holectypoida", "Pseudouvigerina", "Psychonoctua", "Nesites", "Euthyrisellidae", "Cycloglypha", "Acrosymphytaceae", "Squaliolus", "Traganum", "Gocevia", "Callirhipidae", "Afrokona", "Coelosphaera", "Tridentinae", "Bralus", "Xizicus", "Lophostreptus", "Chelus", "Divandu", "Hesus", "Philortyx", "Sharategiinae", "Proterythropsis", "Caenides", "Tamilnaduibacter", "Coelopleurus", "Lachnocnemini", "Lateromyxa", "Proalides", "Neptunidraco", "Leptotroctes", "Melanochyla", "Parathericleini", "Eskimolepas", "Exorista", "Ochyra", "Marocolana", "Terpnostola", "Aquilegia", "Jacquiniella", "Batristites", "Leptomalaisia", "Characidae", "Holocraspedon", "Polygalaceae", "Pachyphoenix", "Balitora", "Scaphytopius", "Dendrothripinae", "Plesiocapsus", "Metacoronympha", "Karaisella", "Gephyria", "Chanodichthys", "Fibromonadaceae", "Cyprichromis", "Placopsilinella", "Feia", "Termitidae", "Pachnessa", "Catajapyx", "Entoplocamia", "Sinobacteraceae", "Balazucellus", "Pomacanthidae", "Picramnia", "Megophthalmidia", "Cymbopleura", "Tetraopidion", "Stenichneumon", "Aeternus", "Stenotabanus", "Cyphocaris", "Lymantini", "Popa", "Mionarthrus", "Tubbia", "Chionopsyche", "Alomia", "Zygacanthida", "Trichodorus", "Cleidopus", "Medmassa", "Sternorrhyncha", "Polyochodes", "Cerasphorus", "Kickxellomycetes", "Sohnhygia", "Pyemotes", "Salticini", "Scaeosopha", "Planorotalites", "Acostemmini", "Armoracia", "Euchomenellini", "Macrohammus", "Monca", "Pelossini", "Trematocara", "Engomegoma", "Maoripsocus", "Novothymbris", "Thomsonieae", "Polyocha", "Pseudomorphini", "Autalia", "Caloderma", "Augochlorini", "Nannoscincus", "Leucopternis", "Licmophorales", "Phloiophilus", "Pseudoparacalanus", "Paramphibotettix", "Metadistichophyllum", "Ammoplanina", "Rutelisca", "Fredericellidae", "Salamandra", "Cyrtarachnini", "Stephanotheca", "Alophonotus", "Disporella", "Phalangopsidae", "Smirnovidaphnia", "Schizorhina", "Anzomyia", "Picrostigeus", "Monophrys", "Nihonogomphus", "Ktedonobacteria", "Apistus", "Tersec", "Cybistrini", "Stenocoptoides", "Speirops", "Coerebidae", "Lomalatachelys", "Microtrochalus", "Hectaeus", "Austrogoniodes", "Neuratelia", "Holapogon", "Tegolophus", "Triraphis", "Petersenia", "Dixiphia", "Penoperculoides", "Hydrodessus", "Pyranthrene", "Caryodaphnopsis", "Pseudopfiesteria", "Pentadiplandra", "Caridina", "Macrocnemis", "Filipinmulciber", "Augerella", "Patagonaspididae", "Genitalatinae", "Lissonanchus", "Adaina", "Thalassobius", "Tanzania", "Apochela", "Bremeria", "Metaphidius", "Omatia", "Podicipediformes", "Viettesia", "Scutellonema", "Manta", "Staurophora", "Fruhstorferiola", "Sphaerothecium", "Diatrypina", "Chamaelimnas", "Stilbocoris", "Alsophis", "Tessaromma", "Zealochus", "Duoporus", "Capniomyces", "Filobacillus", "Syrittoxylota", "Plagiophorus", "Plagiostirini", "Molema", "Karana", "Tergestiella", "Himeropteryx", "Accacladium", "Bursaustium", "Grosshygia", "Platystictoidea", "Gemmatimonas", "Ceratoglanis", "Golema", "Calathiscus", "Holothyrus", "Rauiella", "Zeuxo", "Protoleptusa", "Caiman", "Lepralielloidea", "Capingens", "Parachordodidae", "Pseudomedon", "Eikenella", "Alatinidae", "Oligacanthorhynchidae", "Acontiinae", "Anatis", "Pneumoviridae", "Axiopolina", "Lipkea", "Dilaridae", "Camuracicada", "Anablepinae", "Ancyralginae", "Spilosomina", "Sarcomphalus", "Megalochlamys", "Tetrarrhena", "Anadevidia", "Acylohsellus", "Resachus", "Proteiniphilum", "Apteraliplus", "NHM-TU", "Exelissinae", "Asphaltinella", "Polypodiaceae", "Amaurocorinae", "Chasarocuma", "Acastoidea", "Parahelcon", "Marasmodes", "Leptocybe", "Acinetobacter", "Zunongwangia", "Aquipuribacter", "Morimopsis", "Trichocircus", "Pseudochromidae", "Eusthenomus", "Bocathrips", "Machaerirhynchus", "Myrrhinium", "Bellamira", "Chionophasma", "Hemicervinia", "Turturicola", "Penthoraceae", "Arthragrostis", "Agalmatidae", "Paratriakis", "Risiophlebia", "Oppiidae", "Acaricomes", "Cyrtocrinida", "Raninidae", "Macrosphyra", "Euryrhynchus", "Spiculogloea", "Promecheilidae", "Silentvalleya", "Aulacodillo", "Megadenia", "Gourbia", "Anisosepalum", "Pseudobarbella", "Boesemania", "Pseudadercotryma", "Passandridae", "Neoplokioides", "Pronomaeida", "Metopelloides", "Diaphananthe", "Myrmecorhynchus", "Asymmelba", "Mesenochroa", "Hirtaprosbole", "Radiicephalidae", "Mouralia", "Kaloplocamus", "Selva", "IBISS", "Microdajidae", "Tylecodon", "Sarcinochrysophyceae", "Chlorallanthus", "Siambathynella", "Hydrelliinae", "Callotillus", "Lucernacrinus", "Chaetogaedia", "Ammandra", "Ammocibicoides", "Gnathosyne", "Pomatodinium", "Blepephaeus", "Chlaenogramma", "Homarus", "Oreanthes", "Cercophora", "Atelestus", "Oligocoris", "Raphignathoidea", "Boloceroididae", "Murzinarctia", "Riekophion", "Klutiana", "Limonia", "Theriotricha", "Pseudoclathrozoon", "Servaea", "Vermilacinia", "Crucidenticula", "Hydrolycus", "Oxytropidoceras", "Cubacubaninae", "Pterogobius", "Muxbalia", "Hyperbathoides", "Hispanomydas", "Celosia", "Karaunguriidae", "Corocosma", "Aspidoniscus", "Paraspongicola", "Eurycoleus", "Broomeiaceae", "Devia", "Thermomicrobium", "Becquerelia", "Trogloianiropsis", "Haedanini", "Sahlingia", "Alluaudiopsis", "Coleopterocoris", "Dromaeosauridae", "Bifidocoelotes", "Phytobia", "Astracme", "Caprimulginae", "Bathylagoides", "Lorma", "Sundalema", "Aegialia", "Preperonidella", "Rhabdotosperma", "Lubaria", "Muscoherzogia", "Sphaeronematidae", "Liagorothamnion", "Thecesternini", "Psolidium", "Austrochiloidea", "Heterocerini", "Taimyraphes", "Amplitarus", "Haplocheirini", "Rana", "Megamoera", "Sericoderini", "Helicometra", "Byrrhidae", "Belemnitidae", "Govenia", "Gollumudes", "Echinodorus", "Lucanini", "Oreastreptus", "Xerocladia", "Metacrolobus", "Oniscus", "Deltamys", "Coscinodiscaceae", "Exydrus", "Gorytina", "Rhynchactis", "Komokiidae", "Megalomys", "Gnaphosa", "Lumkuiidae", "Habrosanthus", "Streptochaeteae", "Nasutiphilina", "Topomyia", "Aphidencyrtoides", "Pescolinus", "Metabolomonas", "Solenogastres", "Intsia", "Guiyu", "Pseudaoria", "Endocochlus", "Agriotypinae", "Silvestriellus", "Pertyoideae", "Stenomys", "Aphanta", "Ganymedidae", "Galomecalpa", "Cuscuta", "Ophidocladus", "Xenocanthon", "Inusitatomysini", "Caldisalinibacter", "Bobina", "Pseudowortheniellidae", "Ixias", "Eurycea", "Termopsinae", "Acanthochitona", "Witheringia", "Cacosterninae", "Methanohalophilus", "Sigmoihauerina", "Nasutitella", "Xiphoidellus", "Abdastartus", "Thaumetopoea", "Notoptenidium", "Ratardinae", "Ammosperma", "Dyssochroma", "Paglhoplasymma", "Haslea", "Rhaphococcus", "Melanotaenia", "Demerina", "Phyllopertha", "Meseres", "Dimidiographa", "Cucurbitoideae", "Meroda", "Hyalobole", "Spissatella", "Elcarmenia", "Endodesmidium", "Abdra", "Lampetrinae", "Bockiella", "Ahrenholzia", "Nuncia", "Parolinia", "Endoblastidium", "Microzoanthidae", "Calomela", "Acicnemis", "Urigersonus", "Meinerteuma", "Rhabdatomis", "Spatularia", "Helichrysum", "Tetraodontiformes", "Paruwrobates", "Falsostesilea", "Junceella", "Pugettia", "Astilboides", "Rheocles", "Pseudooceanicola", "Panacelinae", "Kinnecaris", "Dichopygina", "Ophrestiinae", "Tingentera", "Caloderina", "Fustigerodes", "Widdringtonia", "Tetraplodon", "Sphaeria", "Qinglongopterus", "Breznakia", "Bivibranchia", "Parapolycentropus", "Laminariaceae", "Methylophaga", "Reisingeria", "Sennaia", "Pentapalpus", "Gollum", "Lusitanopsis", "Progrillotia", "Granastyochus", "Trippa", "Borborothis", "Podasconidae", "Neoniphargidae", "Tropiduridae", "Benbowia", "Paulita", "Ditrichomonas", "Elliptorhina", "Gadariae", "Neuontobotrys", "Bimastos", "Triassojassus", "Oncopera", "Histoplasma", "Macrodanuria", "Leptognathiopsis", "Odondebuenia", "Nordenstamia", "Isotrema", "Megoleria", "Salinellidae", "Brahmaeidae", "Scopanta", "Armentulus", "Crateroscelis", "Anatoecus", "Praeantarctia", "Compsocnemina", "Stenaptula", "Macrotrichaphis", "Bothriochloa", "Athrotaxivora", "Penaea", "Iphiaulax", "Glossosomatidae", "Caffrommatissus", "Trachysphenia", "Ptiloteae", "Cornuanola", "Petchia", "Pediopsoides", "Pallaimorphina", "Gyrogra", "Lamplocrystallopteron", "Gasparobythus", "Antarctopria", "Neogalissus", "Blennospora", "Stenopterygiidae", "Tricispora", "Monocondylia", "Marthiella", "Spiculogloeomycetes", "Cordillera", "Picrodendreae", "Perameae", "Afrolixa", "Austrocephaloides", "Bellendenoideae", "Aeropedellus", "Galerudolphia", "Oscillospiraceae", "Carterinida", "Pomponia", "Panacanthus", "Hoolock", "Saundersiella", "Paratylenchus", "Falsoropicoides", "Pselaphitae", "Meridiolembos", "Neoplecostomus", "Holopediidae", "Calamocoris", "Leucargyra", "Pycnarrhena", "Pseudopygmephorus", "Hydrosmecta", "Deramas", "Aristoleuctra", "Laotriton", "Oceanella", "Lusius", "Notobium", "Giganthorhynchidae", "Miltonia", "Cometes", "Okhotigone", "Ocabaraja", "Pongo", "Saycia", "Radiathamnieae", "Canariphantes", "Nannopsittaca", "Hyboma", "Khoina", "Batkoa", "Vasconcellea", "Tartessus", "Seeversiella", "Metadrinomyia", "Chrosioderma", "Cremastus", "Siphocampylus", "Rhexoza", "Victorovita", "Falsepilysta", "Chremylini", "Hargisia", "Macrothecini", "Tetraplatia", "Eupherusa", "Bernieria", "Nephtys", "Chlorops", "Vaepellis", "Geotrigona", "Chorisepalum", "Archilithobius", "Hydnangium", "Lohmanniella", "Ralliboydaia", "Entelognathus", "Pterycombus", "Brachyceridae", "Cydnus", "Omphalocylus", "Isertieae", "Forcepimenia", "Parandrexidae", "Nameriophyes", "Proeliator", "Wanlessia", "Dichrogaster", "Gymnoganascus", "Julodinae", "Heteramoeba", "Parotoplana", "Horkeliella", "Entrichella", "Costifrons", "Pedisinops", "Diceratostelinae", "Amanita", "Sancassania", "Epicecidophyes", "Plectochorus", "Heterhybos", "Hessicrinus", "Hybodontoidea", "Auzakia", "Stenocereus", "Dillwynia", "Phyllothalliineae", "Ancistrocheiridae", "Claveupodes", "Ahmadiago", "Scytinopogon", "Westonoceratidae", "Monogenea", "Rectodictyoconus", "Timaeta", "Anapausis", "Atopodontus", "Pseudurentius", "Beaumontella", "Punctulariaceae", "Phegornis", "Heinemannomyces", "Bothriocynips", "Bathylagichthys", "Protoplanellinae", "Editum", "Pseudophasmatinae", "Scearctia", "Vatesini", "Trachichthyiformes", "Ophiactis", "Moeritherium", "Gabonius", "Hellerenius", "Cyphonanthus", "Octoblepharum", "Egolia", "Campanulariidae", "Adrianitaceae", "Gnathopogon", "Aenictocleptis", "Proceratium", "Limnaecia", "Ischnoplax", "Ulesta", "Evimantius", "Scotia", "Metopiosa", "Pyrotherium", "Ischnopteris", "Fritziana", "Haplorhus", "Aganipus", "Authomaema", "Koompassia", "Psaphidinae", "Filifera", "Chimabachinae", "Pella", "Verhuellioideae", "Reticulocaulis", "Tollmannia", "Eadmuna", "Neonephrites", "Benthimermithida", "Euoplozoidae", "Cryptopsaras", "Bryantinus", "Parajulinae", "Distrionella", "Scirpophaga", "Eschatarchia", "Solisphaera", "Aptea", "Australopericoma", "Theropithecus", "Hymenophyllum", "Paraphorodon", "Amoreuxia", "Stylostomum", "Troctopsoculus", "Succinea", "Pterogoniella", "Parasogata", "Platychora", "Madreallecula", "Eurygnathohippus", "Garjajewia", "Dechloromonas", "Dister", "Ovillaria", "Dolichoderinae", "Oleandra", "Psepheninae", "Myorycteropus", "Amazoromus", "Eremomidas", "Ceroplastinae", "Cynoglosseae", "Chloricala", "Marinococcus", "Peltigeroideae", "Vampyromorphina", "Proteocephalinae", "Epiphrixus", "Dexaminoculus", "Amorphomyces", "Colon", "Vietotrechus", "Neomuscina", "Cataphractinus", "Soriella", "Saccharophagus", "Patellovalvulina", "Paraducetia", "Eosentomata", "Zenodorini", "Toronobia", "Tooloom", "Brachygnathus", "Leptagrion", "Monteremita", "Tetrasida", "Desmidiaceae", "Tyranniphyllodes", "Drepanaporus", "Erimetopus", "Tropiduchidae", "Paratriophtydeus", "Sapindaceae", "Suphisellus", "Gazza", "Cyclophyllidea", "Cyrtanthus", "Termitosaurus", "Achmonia", "Labiostoma", "Aleisanthiopsis", "Telocoris", "Dimorphandra", "Mochlocera", "Annulopatellinidae", "Synchytriaceae", "Acauloides", "Tragiscoschema", "Howdenia", "Mycoglaena", "Schizocarpum", "Paederognathus", "Clytoctantes", "Eoraptor", "Ademon", "Actinopteri", "Archipimima", "Neodiatoma", "Rabdotodrusilla", "Seleucidis", "Stereodon", "Carbonella", "Kuritus", "Molongum", "Trivellona", "Hadeleboea", "Thysanocephalum", "Magnetospirillum", "Parthenium", "Proctonotoidea", "Arcuavena", "Paragastrisus", "Tetanola", "Afroeubria", "Joenoides", "Euryglottis", "Stagira", "Nototropis", "Cyclotrachelus", "Parvinemoura", "Harpagochromis", "Cretagaster", "Cherserigone", "Pseudotrypocopris", "Ceiupaba", "Biarritzina", "Dendrogale", "Baguoidea", "Chamaesaracha", "Leptixys", "Kimoda", "Celidomphax", "Doryxylinae", "Gymnophalloidea", "Epipristis", "Amblychaeturichthys", "Orthomorphini", "Hydrichthella", "Turcmeniella", "Archegocepheus", "Tubulinosematidae", "Renardia", "Serengetilagus", "Tanytarsini", "Kadriayina", "Thysdariina", "Conopalpus", "Amoeboaphelidium", "Tanyochoreta", "Tuberculatocharacini", "Goodyera", "Hymenorchis", "Dendrolimus", "Syzetonellus", "Hypozetes", "Barbatia", "Cyrtonops", "Leptotrygon", "Hippomenella", "Phaethontidae", "Acerentulus", "Hymenanthera", "Hemicrepidius", "Neocheylus", "Hypocomatidium", "Boeomimetes", "Jeanvoinea", "Hemityphis", "Chlamydoselachidae", "Erythropeltales", "Acacimenus", "Obrium", "Phytomia", "Nymphoidea", "Corytophanidae", "Pleuromeiaceae", "Pentoxylales", "Microcapillata", "Nesoscopa", "Pseudourostylidae", "Lasiosomus", "Vandewegheia", "Philochthus", "Megathecla", "Hewittia", "Kondakovia", "Arctopoa", "Phacopsis", "Lunulitoidea", "Chrysophora", "Wairarapaia", "Atalophlebiinae", "Neocapparis", "Petalifera", "Trochamminoidae", "Feraxinia", "Calentinella", "Dimeria", "Macropoda", "Pheifalagria", "Blabephorus", "Spelaeorhynchidae", "Metriocnemus", "Prochloron", "Alluaudomyia", "Falcomonas", "Lycomorphodes", "Eupterotidae", "Philetaerius", "Neonuncia", "Rhamnapoderus", "Chelisochella", "Stegobium", "Stizorhina", "Ameridae", "Pseudostictodiscus", "Copaxa", "Najtentulus", "Liomyrmecini", "Sigmodontinae", "Crinifemur", "Simaethini", "Heppneralis", "Mimofulvius", "Rhinochimaera", "Yaverlandia", "Amathimysis", "Bak", "Ceramida", "Brachytrupinae", "Pronematulus", "Xenoglena", "Maritrema", "Doratulina", "Scaptocoris", "Pterocephalidieae", "Micromerys", "Pogogyne", "Howea", "Anthicini", "Fraxininae", "Damanocephala", "Pyrocystales", "Magnetospira", "Disparoplana", "Cophoscincopus", "Dilochia", "Alconeura", "Limnocnida", "Peritromidae", "Tepuibasis", "Peliostomum", "Afrodrepanus", "Siphonocladaceae", "Pararotatoria", "Bursella", "Spirulinales", "Allogymnopleurus", "Khalaimia", "Tulumellidae", "Planarioidea", "Ecitonini", "Isopachys", "Tiomomus", "Synacalles", "Cymbuliidae", "Cheilo", "Curtoscirtes", "Paroniticellus", "Doriprismatica", "Spiralia", "Homalodonia", "Afrodasypoda", "Platyglyphus", "Nilzamonas", "Lomanoxia", "Polyprionidae", "Hapithini", "Xylophanes", "Guacamaya", "Himalotrechodes", "Blepharidophyllaceae", "Monanthes", "Aspidogastrioidea", "Paratoacris", "Mictini", "Halacaroidea", "Fuelleborniellinae", "Leptanobium", "Atelecrinidae", "Wocklumeria", "Ouroborus", "Digulia", "Demostis", "Cimolodontidae", "Phialoascus", "Garudinia", "Phytia", "Chistikovia", "Eutrix", "Neckia", "Bonnemaisonia", "Sternothyrus", "Closteriopsis", "Clypeola", "Pycnoraceae", "Megaconus", "Protocepheus", "Styraconyx", "Polycestella", "Isodemis", "Sterromonas", "Seirococcus", "Charaxinae", "Rhadinophanes", "Poilanedora", "Rhamphichthyidae", "Catapodium", "Chimerothalassius", "Sinobathynella", "Gordiidae", "Microphotina", "Turbottoplectron", "Marionella", "Brachynetes", "Zygonychinae", "Trichechidae", "Elanoides", "Pyloderma", "Paralcidion", "Sabal", "Hyalonthophagus", "Discoderes", "Sympodophylleae", "Thalassematinae", "Falcunculus", "Mabuyidae", "Pseudocroesia", "Parabopyrus", "Synagelinae", "Mirbelia", "Microtypinae", "Epinema", "Diadesmola", "Cingocrinus", "Cacaohelea", "Crassoribatula", "Ortharbela", "Dytiscus", "Mormogystia", "Scoloptini", "Becquartinina", "Ecpetala", "Phylloscyrtus", "Namibogenius", "Cladastomum", "Pujadella", "Psammatodendron", "Diclidurus", "Tepakia", "Gaviidae", "Baridobius", "Brocchia", "Periamphispora", "Neocondeellum", "Millettiana", "Euomphaloceratinae", "Pedaridium", "Ratufinae", "Silberlingiella", "Unikopelates", "Liabaris", "Isoplastinus", "Rhumblerella", "Pedistylis", "Aphanaula", "Patriziella", "Phyllofulvius", "Henricia", "Schistochlamys", "Mimema", "Thanikaimonia", "Arachnactidae", "Micropygia", "Poyntonophrynus", "Coelia", "Tripodanthus", "Musius", "Brachygluta", "Heterocampinae", "Dhrumella", "Polskiammina", "Anacanthobatidae", "Desulfuribacillus", "Calobrium", "Oocystaceae", "Leptomyrmecini", "Pamirocesa", "Calicnemis", "Prometrioxena", "Scepomycter", "Koellikerina", "Arcturidae", "Geissaspis", "Chorasus", "Actinomonads", "Tubotuberella", "Apagomera", "Oeonia", "Eschscholtzia", "Hoyaclava", "Lichenohendersonia", "Filos", "Groenlabus", "Longacerus", "Dravidosaurus", "Schwenckia", "Lema", "Yongeichthys", "Oryctanthus", "Perimachetus", "Cicadulini", "Anomobryum", "Acanthoniscus", "Microphorella", "Eublaberus", "Araucaniotes", "Mycteini", "Hoplocentra", "Embolyntha", "Nageia", "Hemisarcoptes", "Coccobius", "Parandrinae", "Ethuliopsis", "Rhizothallus", "Collinsia", "Leucotina", "Titanethes", "Camirus", "Neurolestes", "Teluroides", "Sinosenina", "Bleekeria", "Aenictozyras", "Leptomyxoidea", "Xanthosa", "Phialediscus", "Poiocerinae", "Baeriopsis", "Ptinosoma", "Kiwa", "Hofkeruva", "Eremobatidae", "Philodanidae", "Micropolycope", "Aclitus", "Monocrepidiini", "Megalographa", "Sisyroxena", "Trichonychina", "Leucoagaricus", "Rhodellaceae", "Rastellus", "Paleira", "Austrasilida", "Euproctis", "Neofelis", "Mausoleopsis", "Theodor", "Cothurnocystidae", "Targarema", "Kuzicus", "Mocuellus", "Noordodes", "Memana", "Ameronothrus", "Timelaea", "Archipraon", "Diplacodes", "Kerrieae", "Oxylapia", "Metapiini", "Diestecostoma", "Martiguesia", "Riadhia", "Echinocereinae", "Quasieulia", "Ionopezia", "Helicodiscidae", "Acangassu", "Neokochia", "Leucomeris", "Pseudosamanea", "Cryptoniscus", "Valvulinidae", "Tethysaurinae", "Phyllorhynchus", "Hoplomelas", "Blyxa", "Trepomonas", "Dinocephaloides", "Atractaspis", "Ophiactidae", "Macellomenia", "Nannopterix", "Empheropsocus", "Enguterothrix", "Cylindrecamptus", "Pochota", "Leptotarsus", "Jethsura", "Orithostella", "Thlaspida", "Echthistatodes", "Dendrobatorana", "Indovia", "Fauvelinus", "Rusavskia", "Aoraki", "Macrobrachium", "Enteromonadida", "Atopsyche", "Litargus", "Macroropica", "Bolivinellina", "Mesotachyporus", "Scaiomelus", "Hemictenius", "Porochilus", "Neophilaenus", "Gempylodini", "Bletilla", "Archivea", "Clarkeinda", "Phaeomyiidae", "Polygyroidea", "Serenoichthys", "Afrotheria", "Ogyrides", "Asclerobia", "Sargassum", "Missulena", "Endochernella", "Oedudes", "Zenenata", "Psammis", "Origmatogona", "Teichosporaceae", "Lindackerieae", "Neostenini", "Saudithrix", "Paramelitta", "Echiniscoides", "Sinozyras", "Bulleyia", "Funariidae", "Latomelba", "Comocladia", "Sirobasidiaceae", "Spalax", "Rhodobacterales", "Parasulenus", "Semilimacella", "Paracylophorus", "Saxidromus", "Tinospora", "Nematostella", "Paradoxenusa", "Paracicadetta", "Archiserratula", "Litoporus", "Arctophila", "Paraliogluta", "Sucra", "Pseudococcidae", "Cymbirhynchus", "Gastroscyphus", "Hyalocylix", "Acanthoprotaetia", "Aphaenopsis", "Diopederma", "Flabellum", "Viossatus", "Stenaphorurinae", "Cyclocodon", "Oncobryidae", "Theages", "Argyroxiphium", "Altinote", "Baeothele", "Japonoconger", "Coleura", "Berytoniscidae", "Oscinellinae", "Anapleus", "Sympycnodes", "Gonacanthella", "Microgastrura", "Gnathopleura", "Peptococcus", "Encyrtoscelio", "Bunnyini", "Mullidae", "Virilia", "Pentoxylaceae", "Sinosciapus", "Dipetalogaster", "Petrognathini", "Psorosticha", "Pinus", "Aulatornoceras", "Macrogynoplax", "Tritarsidae", "Ascoparia", "Osidryas", "Priscillina", "Mahua", "Rostania", "Poliocitellus", "Sulcusuchus", "Octomicrus", "Ramsaasalepis", "Strongylocentrotidae", "Leptognathia", "Calymenoidea", "Plioplatecarpus", "Myrmedobia", "Sundasalanx", "Butleriana", "Sochchora", "Synocheta", "Archisciada", "Sisyrococcus", "Eurylana", "Damaeidae", "Exodictyon", "Pygmaelidia", "Exarrhenus", "Homalophis", "Hesperonychus", "Toxotarca", "Caeciliusetae", "Renova", "Amphibiothecum", "Margaris", "Psyllocarpus", "Phanoxyla", "Thripomorpha", "Mogera", "Microcystaceae", "Datnospirifer", "Desertoplusia", "Teremitra", "Bagroides", "Anisentomon", "Paracapillaria", "Coptoeme", "Isostenygra", "Blasticotomidae", "Sarcosphaera", "Biscirus", "Takwa", "Blapstinina", "Paraburkholderia", "Ohirathous", "Poa", "Taeniaptera", "Calcifibrospongia", "Chaetospira", "Neomictis", "Ceratinopsis", "Mychodeophyllum", "Micromonolepis", "Micropezinae", "Pachycaulos", "Edelia", "Pteroidichthys", "Chasmoclupea", "Aeschnidiidae", "Pickworthiidae", "Uropsilinae", "Hubbardiidae", "Cyathodium", "Acedanthidium", "Racemobambosinae", "Athertoniini", "Osoriocanthus", "Molinernobius", "Phyllops", "Asphondyliina", "Apalimnodes", "Glomeromycotina", "Strongylogastrini", "Adiheterothripidae", "Cardicola", "Cyabarda", "Leptomelanosoma", "Corvoidea", "Synxenidae", "Cladonota", "Nesodiscus", "Auradilus", "Sphenella", "Micraris", "Clitoriinae", "Pachycalamus", "Capsigerini", "Ptiloxena", "Meridialaris", "Piimuna", "Metadieuches", "Cougourdellidae", "Brachygyna", "Sysinas", "Maratus", "Gelria", "Prebaetodes", "Platismatia", "Kitasatospora", "Poliodes", "Parafodina", "Aulacogastrata", "Amblysterna", "Utriculidium", "Hanstrassia", "Meliwillea", "Diplacus", "Leptoecia", "Aillutticus", "Perbella", "Brachyhelus", "Cyathocrinina", "Catapionus", "Bennini", "Mendozella", "Trichopria", "Rhincodon", "Oceanobacterium", "Panka", "Pseudoudotea", "Parodiodoxa", "Lauterbachia", "Paidiscura", "Litharchaeocystis", "Leptodontidiaceae", "Sclerocroton", "Radia", "Phialina", "Rhizaria", "Echymiperinae", "Wakaleo", "Proboloides", "Mallochiola", "Arachnurini", "Rhinactinidia", "Erylus", "Aleurodamaeidae", "Adelomyllos", "Hasanobochrus", "Dytoscotes", "Caulerpaceae", "Hesperalbizia", "Myrmosini", "Campylaephora", "Hydrophyllum", "Bulasconotus", "Duvaliopsis", "Tetramelaceae", "Allopeba", "Monza", "Colophospermum", "Balneolaceae", "Megametrioxenoidesini", "Sarcophaga", "Dischistodus", "Tarphiomimus", "Thalassinidae", "Melissodes", "Umanella", "Birkeniidae", "Cycloloba", "Boissonneaua", "Elachisinidae", "Velhoania", "Emblingiaceae", "Caesalpinieae", "Allophanopsis", "Zygophlyctis", "Epigomphus", "Hypselobarbus", "Echinophyllia", "Sternotropa", "Machaerites", "Letis", "Barbetia", "Actidiographium", "Protocucurbitella", "Ophelia", "Dorippinae", "Nesogastrinae", "Catenes", "Macrophya", "Crossopalpus", "Pteroxygonum", "Aegyptosaurus", "Pleonosporium", "Chaetocerotanae", "Afrellia", "Giniphargus", "Hydrodromidae", "Callibrachion", "Phreatoicidea", "Habia", "Acrostiba", "Chlamydodon", "Brachyurodesmus", "Chiliadenus", "Pammeces", "Reteporellina", "Prosintis", "Xerophrynus", "Parategonotus", "Gayophytum", "Vinicia", "Allonychella", "Sternechini", "Kentrosphaeropsis", "Dictyonotus", "Anstenoptilia", "Merehanini", "Pteroceltis", "Corioxenidae", "Meandrina", "Atractiellomycetes", "Remingtonicetidae", "Aploactisoma", "Zieria", "Necopinatidae", "Peplidium", "Sphaeromatoidea", "Hypodiscus", "Pelmatops", "Semicephalops", "Eustigmataceae", "Cosmocercoides", "Discotrichidae", "Heliosciurus", "Nipponaphis", "Megokkos", "Platycercus", "Pseudorthonychiidae", "Mystacocaridida", "Acodontaster", "Nipponophyllum", "Dasyophthalma", "Nullarbora", "Crithagra", "Neoschubertella", "Adotela", "Rectostipulina", "Neoplagionotus", "Parathiodina", "Diddensiella", "Hiroshia", "Allostichaster", "Kennelia", "Pteralloptes", "Asthenochirus", "Katangiella", "Afrohercostomus", "Bellucia", "Emesis", "Trypethelium", "Eremothamneae", "Chaetocoelopa", "Caldilinea", "Lepidonotopodinae", "Aphoebantini", "Doesus", "Mothon", "Apogonichthys", "Lernaeenicus", "Sunocavia", "Calliopsida", "Coniesta", "Quasipirhidius", "Chaetopteridae", "Veadda", "Ambiortiformes", "Eusynthemis", "Eudactylinidae", "Fabroniaceae", "Hieroglyphus", "Podochrysis", "Rombochlora", "Neolygus", "Rhagastis", "Somrania", "Euclystis", "Parlatoriini", "Apomecynoides", "Arnicinae", "Praedinocoris", "Schiffornis", "Clavigeroniscus", "Dalailama", "Lacertoidea", "Hypnodinium", "Linariopsis", "Vermiophis", "Roseiarcaceae", "Tsengiella", "Trimiodytes", "Fannia", "Crangonyx", "Melanosphecia", "Eremoplia", "Monandropterini", "Dalmomelba", "Brickellia", "Petillia", "Kaiparathininae", "Skoeda", "Rhinoseius", "Balbillini", "Centrodera", "Planepisalia", "Bedosia", "Acontiophoridae", "Termitospectrum", "Rodentia", "Eunotinae", "Heliolus", "Lathraeocarpa", "Syropetrova", "Andronymus", "Lyprocorrhe", "Crotaphytus", "Onoremia", "Oxymachaeris", "Neomysis", "Polleniidae", "Ctenucha", "Chrysocephalum", "Amblysominae", "Dicronychus", "Myriogramme", "Thysanocardia", "Everistia", "Polycopiella", "Goniasteridae", "Angiostomatidae", "Metasia", "Pachypeltopsis", "Smectonia", "Pacuarescarus", "Euvaldiviana", "Polyctesini", "Pseudelephantopus", "Helicoprion", "Metylophorus", "Microtribodes", "Arctocephalus", "Coua", "Hobartiidae", "Zanonia", "Filifolium", "Micropholcommatini", "Physea", "Callitettix", "Oegopsina", "Ellisia", "Palauella", "Porana", "Burnsiellus", "Maccevethus", "Neodangemannia", "Pycnoclavellidae", "Paulbroadya", "Dracaena", "Arletta", "Fuernrohria", "Stylobiblium", "Plesiogammarus", "Bathymetrinae", "Otocarpus", "Mastoneis", "Diplophidae", "Verneuilinulla", "Peronomerus", "Almita", "Notoconchidium", "Ventridens", "Ceryx", "Pseudowintera", "Sherbornina", "Tethyastra", "Carpodectes", "Sabactus", "Lopidium", "Barrengarry", "Promegistidae", "Zavodovskina", "Lornechusula", "Hunkeleriella", "Heyneckia", "Gynaephila", "Calcivertella", "Otidea", "Scortechiniaceae", "Helotrephidae", "Leymus", "Euryophion", "Phlebocarya", "Pseudopirdana", "Scaturiginichthys", "Leontocaris", "Megalopalpus", "Paraconger", "Minasteron", "Phytodinium", "Dictyochloropsis", "Nodosariinae", "Sphaeropyle", "Aranimermis", "Potamocarcinini", "Boltonidris", "Abramis", "Lacibacterium", "Niphonatossa", "Adnetoscyllium", "Paradrypetes", "Anupama", "Alidopsis", "Arachnoscelidina", "Leptostelma", "Sophonia", "Austrochilus", "Hatterianema", "Steorrosia", "Lupulella", "Blepharidina", "Pseudomastacinae", "Oberthueria", "Mesocapparis", "Microdispidae", "Mimetodon", "Ostracoberycidae", "Schausiana", "Sinomicrobium", "Protobionta", "Purcelliana", "Pahangone", "Tritomini", "Folicarina", "Myocara", "Allokutzneria", "Tubaphis", "Leptureae", "Timeliopsis", "Petrosedum", "Fortuneleptura", "Radiola", "Centosphaera", "Uroleptus", "Asterolepidoidei", "Acanthogonatus", "Choneteuthis", "Campsidium", "Amboherpia", "Labordia", "Caconemobius", "Cyclorbitopsella", "Drepanosiphum", "Acrochordonus", "Camentoserica", "Dammermaniellops", "Lolibaia", "Scytopetaloideae", "Stylina", "Phaneroctena", "Pythiinae", "Ptyonoprogne", "Microstilba", "Limothrips", "Lophurolepis", "Pseudomops", "Asteridea", "Eriolarynx", "Hassar", "Scopuridae", "Pennisetum", "Cryptomannus", "Zoosphaerium", "Ophiohelus", "Xeniades", "Problerhinus", "Oxycomanthus", "Gymnophrydium", "Odontalgini", "Haussknechtia", "Cuicirama", "Kilimatyphlus", "Spiculidendron", "Viguierella", "Platycelyphium", "Kurnubia", "Heinemannia", "Glastus", "Chlorolychnis", "Hydrolutos", "Perophoridae", "Pareuthychaeta", "Monstrillidae", "Argyrocytisus", "Macropathus", "Aculops", "Echinaria", "Tingoidea", "Galagidae", "Cimolodonta", "Aglajidae", "Scopelodes", "Systolosoma", "Rhabdus", "Carneodon", "Bicoronella", "Stamnoderus", "Enigmatochromis", "Brassolina", "Emblingia", "Questo", "Liobagrus", "Metadorodocia", "Diplostomoidea", "Flahaultia", "Acanthomimini", "Sueviota", "Poupartiopsis", "Neogaerrhinum", "Hypodematiaceae", "Cyclodomorphus", "Kosakonia", "Artheneidea", "Behningia", "Hepatica", "Smetanaetha", "Amarina", "Danuriini", "Opisthoporus", "Hainardia", "Polysiphotrocha", "Mononeuria", "Bocconia", "Aulacomonas", "Heteromalota", "Rhodonessa", "Makraleptochelia", "Azpeitia", "Americorophium", "Pseudacteon", "Pseudophilanthus", "Rubidimonas", "Analges", "Panamamyia", "Poritiini", "Monile", "Corticibacterium", "Vinpeius", "Loxopholis", "Pogonosternum", "Chimarra", "Psephenotettix", "Mythodini", "Woodlarkia", "Typhlomyrmecini", "Sphecodoptera", "Eubrychius", "Metzgeriaceae", "Haplobothynus", "Scaphidiodontidae", "Formica", "Platycoryphium", "Scleropodiopsis", "Microjanira", "Apiformyia", "Dinomorphini", "Suruga", "Haemeschariaceae", "Aproidini", "Eitenia", "Ulidia", "Thelomma", "Ptyas", "Hemilauria", "Schlesneria", "Cherbezatina", "Lamnidae", "Catharopeza", "Acucapito", "Neelidae", "Omoadiphas", "Ustilaginomycotina", "Sarcoptilus", "Limnogramma", "Edaphus", "Dolopichthys", "Desulfobacter", "Dictyonia", "Pezomantis", "Acontosceles", "Ertzia", "Ophiochiton", "Amblycera", "Muraenosaurus", "Coecoscopaeus", "Molpadiidae", "Sheldonia", "Hamulotettix", "Macruronus", "Baliochila", "Solibacillus", "Costalimada", "Neopinophilus", "Parvocaulis", "Pithanus", "Wandonia", "Elachistinae", "Parapsyche", "Tomrogersia", "Apodinae", "Lacuninae", "Leptotrombidium", "Tuerckheimia", "Taylorella", "Cruoriopsis", "Perissocoeleum", "Decumarellus", "Orthoraphini", "Butomopsis", "Zoanthus", "Acanthiophilus", "Crouanioideae", "Asklepia", "Diaphlebia", "Idomacromiinae", "Psalodon", "Plesiosironidae", "Schnusimyia", "Raffrayola", "Anoterostemma", "Kyska", "Wandelia", "Christisonia", "Philotoceraeoides", "Lophothericleini", "Angerona", "Planocera", "Burrowsia", "Caloribacterium", "Gorgoderoidea", "Arionidae", "Notopholia", "Rhabdorrhynchus", "Seringia", "Fabiana", "Elaticarina", "Brouniana", "Dichromochlamys", "Elapoidis", "Guillemcia", "Camporesiomyces", "Ottochloa", "Elytraria", "Taeniogalumna", "Podosilis", "Sundacarpus", "Liberatia", "Cladopathidae", "Himalapyrochroa", "Pteridoiulus", "Sophrorhinini", "Teloschistes", "Porotachys", "Chrysopilus", "Pahanghella", "Adepimelitta", "Telodeinopus", "Ascothoracidae", "Pterygida", "Liponeura", "Hottea", "Medicasta", "Recurvoidatus", "Timema", "Perilla", "Capillaroglyphus", "Euchalinus", "Nephrangis", "Olbia", "Neoplagiaulacidae", "Monilicarpa", "Oecanthinae", "Bondroitia", "Neoconocephalus", "Cypereae", "Rhinebothrium", "Ophiogeron", "Aquanothrus", "Protonarthrini", "Steganogaster", "Speleotettix", "Spongomonadea", "Erichthodes", "Lissodoryctes", "Salacca", "Avenula", "Spongillidae", "Kenyatopadema", "Neolyrium", "Mascarenobrium", "Lahejia", "Megerlia", "CMFRI", "Phaeocystidibacter", "Nepheliphila", "Phainopepla", "Anaulales", "Anatragoides", "Symphyocarpus", "Gudabina", "Cephalocystis", "Megischini", "Kampimodromina", "Biliphyta", "Notogomphus", "Neohecyra", "Babia", "Milla", "Acanoides", "Barsaurea", "Parisididae", "Cyrtostrombidium", "Canavalia", "Plateremaeidae", "Apelleia", "Hypnelus", "Pseudotriphyllus", "Anascina", "Raymondionymini", "Systropus", "Coleataenia", "Lamna", "Argyrophora", "Epitrichosma", "Nehdenites", "Shanitinae", "Pydna", "Sisicus", "Acanthopyge", "Plesianthidium", "Culisetini", "Strogylocephala", "Leiopus", "Tauala", "Hoplistocerus", "Grallolichus", "Pirramurra", "Schwenckfeldina", "Cribellopsis", "Celsumaria", "Edrudia", "Zimbabobrium", "Pseudostrombidium", "Lasippa", "Cyanodictyon", "Pseudonannochorista", "Acrodectes", "Prismatolaimidae", "Perola", "Aedophron", "Doriopsilla", "Oxycoryphe", "Alotartessella", "Permosyne", "Carpoxylon", "Lineus", "Elasmodeminae", "Rytinotus", "Ctilopsis", "Xanthosarus", "Lophophaeninae", "Philanthaxia", "Penardia", "Pinnotherion", "Planiseptinae", "Aestuariicella", "Sengenia", "Syodon", "Archimantini", "Macroxyelinae", "Leucania", "Choerophryne", "Euavialae", "Exxus", "Hallicis", "Aloephagus", "Proshiellinae", "Megalostoma", "Panicinae", "Juramaia", "Lobulomycetales", "Pseudoschizomeris", "Pleistacantha", "Medleromyia", "Ceratopogonidae", "Kallistoskyphaceae", "Carldrakeanini", "Tinnea", "Zuphiina", "Sitticus", "Similaria", "Chordariaceae", "Parachilia", "Vouarana", "Spiroclypeus", "Bryopsidales", "Neoeulia", "Dasyatis", "Arossia", "Lepidolaenaceae", "Aspidogastrea", "Pempheris", "Ampulicidae", "Conocardoidea", "Cisseps", "Erigone", "Coreitarsonemus", "Mastigoteuthis", "Bythinellidae", "Caracodesmus", "Metarminoidea", "Entione", "Barwontius", "Paraivongius", "Tieghemiomyces", "Kaisia", "Colonophora", "Acanthochondria", "Halomonhystera", "Syrphus", "Rhodothalassiaceae", "Boulengeromyrus", "Eurydonia", "Phaconotus", "Mimocentrura", "Psalmopoeinae", "Megalanura", "Dibunostoma", "Indanthura", "Exodeconus", "Uenobrium", "Cuitlauzina", "Cornugammarus", "Rhodoprasina", "Micropotamogale", "Heterexis", "Saccamminoides", "Mackerrasia", "Gokushovirinae", "Pliopithecinae", "Prohemistomulum", "Dinococcus", "Neotyphloceratini", "Prionobrachiini", "Medusetta", "Solpugista", "Kogotus", "Cibicidoides", "Phthonerodes", "Cichoriinae", "Halgerda", "Triassphaeroma", "Dichelobacter", "Gauromydas", "Chalepa", "Pterostegieae", "Chininae", "Harveya", "Dalopius", "Piskurozyma", "Scolembiinae", "Maeridae", "Ophionotus", "Syntropinae", "Hydralmosaurus", "Isopodidus", "Neodinaraea", "Puschkinia", "Propeacrobasis", "Carpitalpa", "Arnicastrum", "Siamohypurus", "Isabelidinium", "Aetheomorpha", "Atelognathus", "Subtakecallis", "Astrocharis", "Cnemiornis", "Tanystethus", "Dichaetomyia", "Chilodochona", "Calaphidina", "Granosolarium", "Euclemensia", "Candidae", "Stichopera", "Geoemydidae", "Chaceon", "Samythella", "Isophya", "Sternitta", "Jeotgalibacillus", "Algrizea", "Graphidostreptus", "Pseudoramonia", "Tetraodontidae", "\u00d7Triticosecale", "Spermophagus", "Otiothops", "Irenaneura", "Piper", "Allothoracaphis", "Sphecomorpha", "Bazaria", "Callopsis", "Paracupes", "Cystoviridae", "Eristalini", "Radamira", "Hainanius", "Pteridopodinae", "Stenocyclina", "Areoligeraceae", "Pycnomerus", "Pterobrycon", "Trigonobalanus", "Coryneaceae", "Peronea", "Pappia", "Acasanga", "Pan", "Polyctesis", "Ancyronyx", "Zethopsiola", "Hyalonematidae", "Scutispongus", "Stachyolobus", "Thunnus", "Ceratina", "Barbatodon", "Eudectoides", "Nopsides", "Proshizonotus", "Myosciurus", "Guayaquilia", "Pycnogonida", "Platygnathina", "Boltonia", "Aenigmaphes", "Artia", "Anticomonas", "Oxycatantops", "Tetractenion", "Lejeunia", "Piperaceae", "Tanaecia", "Paraepiseptum", "Thaiderces", "Spinileberis", "Elaphomycetaceae", "Chonecambala", "Penelopides", "Acanthocyclops", "Eurema", "Procorticacarus", "Toxothrix", "Michthisoma", "Kalanaspis", "Charitopus", "Lysiosquilloidea", "Neognamptodon", "Ptiliinae", "Trixago", "Pamphilus", "Crouanieae", "Dendrocryphaea", "Cercyon", "Macrocossus", "Shafferiessa", "Haplodinium", "Nyctiprogne", "Manto", "Maasia", "Defretinella", "Ophiopsilina", "Baeotus", "Nonionammina", "Cyanospira", "Brachydiastylis", "Acrocinini", "Metopiasina", "Corellamysis", "Anepsiini", "Horouta", "Pseudanthoecia", "Cimoidea", "Cuniculiplasmataceae", "Mesochara", "Hydroptila", "Cryptothelinae", "Aulophyseterinae", "Callichilella", "Melissotarsus", "Graphiaceae", "Dussartstenocaris", "Stilipalpina", "Actaletidae", "Thrombus", "Antonina", "Madia", "Haplocosmia", "Ophiomalleus", "Metisinae", "Bdellasimilis", "Stenagrion", "Syndyomita", "Actiastes", "Costacaridae", "Aquaphilus", "Sutilizonidae", "Compressoscalpellum", "Paracinetidae", "Oviparosiphidae", "Knightonia", "Nesocordulia", "Schoenophilus", "Stetholiodes", "Coddia", "Turbinoliidae", "Nicsmirnovius", "Scepastopyga", "Callohispini", "Huriini", "Endomyaria", "Opistognathus", "Pepsini", "Centroscyllium", "Gattonia", "Acunaeanthus", "Wangacteon", "Quatacanthella", "Epipedonana", "Rallitaenia", "Bantiades", "Zygnemomyces", "Laudetia", "Enydra", "Polyzoniida", "Parahippus", "Rhodocytophaga", "Zealandmeria", "Bickeliolus", "Proeidosa", "Pleurophora", "Xenus", "Tetragonidiales", "Psiadia", "Pseudochironitis", "Comasterini", "Arachnoobius", "Lophomilia", "Glaucoma", "Erichius", "Arctodium", "Galeidinium", "Pseudogorgiidae", "Geovibrio", "Dissochaeta", "Encyclops", "Crossocarpus", "Dougaloplus", "Chaetolimon", "Hedypnois", "Vicmusiidae", "Tremandra", "Philipota", "Podagrica", "Myrothamnus", "Pseudogrammina", "Rheumapterini", "Micromphalidae", "Dimorphida", "Gloeophyllales", "Sudesna", "Acalyptini", "Panamius", "Rhynchomys", "Protokeelia", "Calonitophyllum", "Sisteronia", "Rhyposophrya", "Polytoma", "Crassuncus", "Rhampholyssa", "Andenostreptus", "Haeselyusa", "Corymbioideae", "Glyptopleura", "Involvulus", "Parapsettus", "Plesiothalassius", "Psyche", "Stegomyia", "Thuramminoides", "Auchenancylis", "Saccharomycetales", "Loftusia", "Lagopoecus", "Catophaga", "Macrurocampa", "Schuelea", "Bibloplectopsis", "Phlyctaenodini", "Malukandra", "Eriolaena", "Worthenia", "Thaparea", "Batillariidae", "Someira", "Poecilostomatoida", "Paxtonia", "Cephalorhizum", "Billingsellida", "Anaplasmataceae", "Agoraula", "Fijocrypta", "Apomatus", "Heteropolygonatum", "Hemicladus", "Diloponis", "Endospiroplectammininae", "Relicanthidae", "Percopsaria", "Archaeatropos", "Maradana", "Oligostraca", "Anomologinae", "Taxopodida", "Strombosia", "Siphononematoideae", "Kamptobaatar", "Synemonini", "Combretocarpus", "Oedaspidini", "Paraperithous", "Archaeosepta", "Burckella", "Sandaloeca", "Deltomerus", "Ambohima", "Synagrops", "Stenichnoconnus", "Arixenia", "Tetracheilostoma", "Parabelminus", "Bresedium", "Halicmetus", "Cocherellus", "Brachyplatystoma", "Gephyrostegidae", "Hydrogonium", "Bembradium", "Sepiola", "Lepisosteoidei", "Chaetachme", "Gammaroidea", "Damaeoidea", "Halotthiaceae", "Achyrocalyx", "Aletes", "Juanulloa", "Neotorularia", "Diplonychus", "Drymyomma", "Cephalomerus", "Aristaenetus", "Calycobothrium", "Adoketoxenus", "Praeheliostaurus", "Choilodon", "Hapithus", "Baeodromus", "Dipnorhynchoidei", "Ancalochloris", "Paralebedella", "Urechinidae", "Dorycnopa", "Vipio", "Cyanidiophyceae", "Laguncularieae", "Cretaclopus", "Teuscheria", "Gracilariophila", "Trapeziderus", "Zalmoxoidea", "Smirnowia", "Amargasaurus", "Polyptychus", "Idana", "Pseudorhipidionina", "Coronympha", "Microthylax", "Spathularia", "Xylomimus", "Xanthocastnia", "Neomezia", "Rhachotropis", "Acantholespesia", "Prinia", "Gobius", "Lanka", "Peritricha", "Glomericirrinae", "Chrysastridium", "Monachella", "Parepigynum", "Erinaceinae", "Aulura", "Borneophysis", "Eubatrisus", "Paralycus", "Leskeodontopsis", "Scalpellum", "Ulyana", "Keratinibaculum", "Erythrobasidiaceae", "Troglodytidae", "Chujaibacter", "Oxyrrhis", "Oilinyphia", "Ulvaria", "Blepharis", "Sibianor", "Anillotarsus", "Kintusamo", "Cunonia", "Tethydidae", "Churavera", "Stalachtina", "Chanea", "Bathynanus", "Tephritinae", "Stutzia", "Paskentana", "Phycisphaerae", "Masarinae", "Adenophorea", "Argogorytina", "Tauroscypson", "Carmotetraviridae", "Pictetiella", "Leucophaeus", "Lontra", "Cyrtodactylus", "Hypocreaceae", "Vermistella", "Aleurochiton", "Megeuptychia", "Polytrias", "Truncatellinae", "Liodopria", "Lisowicia", "Rhynchokarlingiidae", "Naultinus", "Exagistus", "Podognatha", "Passifloroideae", "Herreanthus", "Picophagaceae", "Triphasia", "Gymnophryidae", "Parocneria", "Pelospora", "Badiaga", "Cocytia", "Tumebacillus", "Centrantyx", "Metachuckia", "Acarinae", "Paratyphlus", "Pseudocalamobius", "Trirachys", "Leptozancla", "Baetiscoidea", "Aglaomorpha", "Chrysochir", "Nephrocytium", "Stangerioideae", "Quivisianthe", "Pituriaspida", "Syntomostola", "Zahlbrucknerella", "Erethizon", "Ranalisma", "Haplotropiidini", "Longicorpus", "Ridolfia", "Tapinotorquis", "Chlorarachniida", "Strosia", "Atherion", "Fijiella", "Mezilaurus", "Rectiostoma", "Acrophyllum", "Monadofilosa", "Bathelium", "Omalaxinae", "Anthocephaliidae", "Pseudopronematulus", "Freycinetia", "Zaeera", "Cantabroplectus", "Toxares", "Dithyrostegia", "Scyphozoa", "Keratoisidinae", "Baicalarctia", "Svenssonia", "Protoschizomidae", "Episomellus", "Cterissa", "Microspio", "Hadronectoroidei", "BSMP", "Phylo", "Vulcanoia", "Epacteriscidae", "Protanystis", "Epimetopus", "Goneplacidae", "Plowmanianthus", "Hesperolyra", "Itatini", "Beckwithia", "Palpigradi", "Semiorbis", "Calocoris", "Pragsoconulus", "Parthenice", "Heteroziinae", "Soymida", "Protogoniomorpha", "Xantholinini", "Villini", "Nessorhamphus", "Protermitobia", "Eumecacis", "Prionomyrmecini", "Graptoloidea", "Scaphischema", "Hedosyne", "Steatoda", "Marococandona", "Polytelis", "Mycedium", "Thorectes", "Pseudodoliolina", "Sulpitus", "Hornius", "Ludia", "Paraderma", "Anostracina", "Pseudoeryx", "Petrus", "Arctornis", "Graciliderolus", "Gonaphodiellus", "Batrachophthalmum", "Hora", "Mesosini", "Aspidolea", "Thelephoraceae", "Circomphalus", "Neoardelio", "Sicana", "Stenichnus", "Notodromadidae", "Adelopsis", "Marasmarcha", "Lonchiphora", "Cocotropus", "Meristoderes", "Schizachyrium", "Pedostrangalia", "Proterochampsidae", "Anzacladius", "Paracompsosoma", "Aphrodoctopus", "Veturius", "Kotlanolepis", "Prometheus", "Notholirion", "Oniticellus", "Agapeta", "Platoma", "Ctenopelma", "Pseudobacillus", "Microstrobos", "Raynerius", "Rugascuta", "Forsskaolea", "Vetudasycerus", "Deinacrida", "Parmenopsis", "Beraba", "Purumitra", "Schwagerinidae", "Fuscoporia", "Trechaleidae", "Convallaria", "Oxymetopon", "Paramulia", "Phoxocephalopsis", "Pseudomonacanthus", "Siphulopsis", "Urticaceae", "Lacanobia", "Mescirtes", "Thaumasiolepis", "Lentomonas", "Psychrosinus", "Minuria", "Moczariella", "Microsmaris", "Alheitini", "Marsyas", "Cyclosticta", "Pulvinulaceae", "Diglenes", "Susperatus", "Liberiictis", "Electrapis", "Pamphantini", "Subulitoidea", "Apseudella", "Klebsormidium", "Trinoparvini", "Bendiella", "Nothosauridae", "Tafana", "Pseudonychocamptus", "Glycobius", "Pseudolivendula", "Chiorchis", "Leptoglossis", "Ytu", "Roseimaritima", "Prosaurolophus", "Phaenoctavius", "Akialoa", "Pilbarus", "Stenoscelideini", "Neosericania", "Hydrophorus", "Calamostachys", "Betsimisaraka", "Linzia", "Colaspina", "Austrotyla", "Gayennini", "Monontos", "Adeloidea", "Pseudomyledaphus", "Phorusrhacinae", "Mordellistena", "Calliandropsis", "Lagnea", "Palaeomunida", "Dasongius", "Ramovsia", "Kaptsheranga", "Onychiurus", "Bolboceroides", "Potamonemertes", "Marmachius", "Phalacronothus", "Wirenia", "Nasturtium", "Discerota", "Oculicattus", "Eurygnathus", "Relinda", "Mitricephalini", "Archaeorhizomycetales", "Psychoda", "Psydrini", "Apseudinae", "Wagneriunia", "Tiparraria", "Parapyrrhicia", "Anomosetidae", "Caryota", "Picomicrolycus", "Cercamia", "Fedikovella", "Rhabdomantis", "Oncosperma", "Dinetinae", "Barychelus", "Strabonus", "Lophonotacaridae", "Quedius", "Proacrisis", "Golovatchia", "Geranomyces", "Eudesme", "Torhusa", "Isana", "Cephalocteinae", "Solaster", "Textulariidae", "Ewartiothamnus", "Trachoecus", "Bouryiscala", "Brolgus", "Hypothyce", "Spinoleiopus", "Alycini", "Homoiorthotydeus", "Chrysocelis", "Volutoidea", "Plexippoides", "Herpetotheres", "Boletus", "Squalogadus", "Euchlora", "Agalenatea", "Sigmamiliolinella", "Donesia", "Burnaia", "Areotetes", "Miotopus", "Chlorornis", "Kolibacia", "Hermanniellidae", "Aptrootia", "Navicula", "Sachokiella", "Pamirina", "Biatas", "Pseudolaelia", "Alticuma", "Audulla", "Sinoteneriffia", "Psettarium", "Oxylia", "Tagiades", "Canastra", "Tropidechis", "Rhipidodendron", "Luciogobius", "Nitrospinae", "Cymophora", "Bolivacla", "Metaneckera", "Neocarventus", "Haeterius", "Goniusa", "Clunio", "Bifascia", "Eichinaphis", "Chaetolepadinae", "Lisposoma", "Peltopes", "Lorditomaeus", "Lipomerinx", "Apicoporus", "Megalotremis", "Syncomistes", "Borassus", "Rachunia", "Paradryinus", "Leleuporites", "Foveopotosia", "Tyson", "Pombalia", "Mychodeophyllaceae", "Glaucostolella", "Chromobacteriaceae", "Carbasea", "Ferreiraellidae", "Zorotypinae", "Eremiolirion", "Paragarjajewia", "Tovomitopsis", "Spergularia", "Vasinae", "Bennettitales", "Burhinacarinae", "Fulgorariinae", "Allolobophora", "Alloeochaete", "Cyclophorales", "Pseudopulicidae", "Discorbitina", "Sampsonius", "Peltellinae", "Ancudana", "Talimuella", "Trichoctosporea", "Ithomiini", "Actinellipsoidion", "Paracarphalea", "Exarata", "Arcypterini", "Bibionidae", "Razafimandimbisonia", "Isodromus", "Pachystoma", "Miomantini", "Electropsocinae", "Fasciola", "Gryptaulacus", "Ceratomyidae", "Hiekeia", "Appendicularia", "Scirrhia", "Dildotaenia", "Carmelus", "Linum", "Eurycope", "Asymmetricospora", "Asterorotalia", "Estaingiidae", "Cardiorhinina", "Jonesia", "Iconisma", "Peripatopsidae", "Platygastroidea", "Vitakrisaurus", "Trichocoptodera", "Indoniscus", "Sceliotrachelinae", "Neophoninae", "Petraeovitex", "Protazteca", "Pseudohadenina", "Brownimeciinae", "Albana", "Jarandersonia", "Clypeostoma", "Stenodorylaimus", "Angustanillus", "Pisulia", "Anticlea", "Nomascus", "Platypezoidea", "Staurodermatidae", "Bathysquilloidea", "Solegnathus", "Blackburneus", "Lyceia", "Zombia", "Phaselini", "Polonites", "Teijsmanniodendron", "Serikodonota", "Agatyrus", "Belenus", "Trichohestima", "Parahauerina", "Laevisaurus", "Neopetrosia", "Liopropoma", "Liusus", "Hylochares", "Aquadulcaris", "Palparini", "Callinsara", "Pseudoclita", "Goesella", "Cambaroididae", "Nevillea", "Spiraculum", "Charinotes", "Rajomorphii", "Sambucus", "Diaspis", "Castniinae", "Achaeopsis", "Caprellida", "Eremomastax", "Callidula", "Anodonitinae", "Doto", "Jassopsaltriini", "Onorelucanus", "Calopodinae", "Picrodendron", "Pseudocaligrua", "Alphadryinus", "Cyllopodini", "Vaucheriopsis", "Zamites", "Latibulocrinis", "Cadiouclanis", "Brasura", "Munidion", "Glomotrocholina", "Gymnosperma", "Tupinambis", "Orothalassodes", "Meuschenia", "Equoidea", "Sephalini", "Vaughanites", "Boulaya", "Laparhetes", "Coryphaspiza", "Poikilacanthus", "Neobodonida", "Falsodihammus", "Metleucauge", "Charonoscaphidia", "Hemiexarnis", "Tybalmia", "Didissandra", "Pseudopolyptychus", "Thermoflavifilum", "Fallicambarus", "Epinettyra", "Cystofilobasidium", "Darantasiella", "Brimeura", "Dyclona", "Strophogastra", "Rhagologidae", "Otiocerinae", "Othiini", "Ochrodia", "Pteroplistini", "Agriotini", "Allapoderus", "Espadaea", "Aleurocanthus", "Megalodacne", "Kidoa", "Phyllotymolinidae", "Ectyoplasia", "Carychiella", "Risobini", "Felderophiura", "Batriscenites", "Micronycteris", "Lophyohylinae", "Euctenia", "Howellia", "Pseudosphex", "Closteriaceae", "Hedbergellinae", "Gasterophilus", "Cryptospora", "Paraclytus", "Castanoclobos", "Koranna", "Pilammina", "Rozea", "Tangaroellus", "Paramylomonas", "Pauliella", "Allopezus", "Endostauron", "Asterionellopsis", "Herrerasaurus", "Odoribacteraceae", "Ithycerus", "Arthrodamaeus", "Lasiestra", "Exoncotis", "Arragonia", "Oxyagrion", "Periophthalmus", "Dendrosporobacter", "Pascopyrum", "Oocamenta", "Paraves", "Sciadocephala", "Brainea", "Arthrostemma", "Epimecellus", "Tartessops", "Cratenemertidae", "Chirosiini", "Carathea", "Provannidae", "Exoneuridia", "Noordinae", "Pseudoneuroterus", "Leiosellina", "Balanopaceae", "Ophiuroidea", "Mustelus", "Holodontidae", "Speranskiinae", "Cholnokyella", "Oeconesus", "Palmulasaurus", "Spermothamnieae", "Orthotomus", "Plantagineae", "Monomastigaceae", "Deinococci", "Malimbus", "Diplacanthiformes", "Acrobasis", "Phyllanoa", "Trimeresurus", "Streptohalobacillus", "Stragulotingis", "Salassia", "Perninae", "Homalogoniella", "Futabasaurus", "Bumetopia", "Lepidogma", "Panaphidini", "Pleuroloma", "Togeciphus", "Reophacellidae", "Microcorys", "Atta", "Calyptraeotheres", "Caridopus", "Simosyrphus", "Warmingia", "Argillophora", "Cunnawarra", "Bergbambos", "Hexachaetoniella", "Perlamantis", "Hypolytreae", "Badezorus", "Pseudopolymorphinoides", "Rhynchopelates", "Magia", "Orobittacus", "Heliographa", "Austroraptus", "IHN", "Callidema", "Canarana", "Age", "Giganotosaurus", "Clibadium", "Strophatrypa", "Eusceliotes", "Anomiinae", "Vanicela", "Casimira", "Algicola", "Ruelliinae", "Meruliaceae", "Cantacader", "Adxenetus", "Gypsophila", "Xyloctonini", "Caldanaerovirga", "Australophyra", "Capitellidae", "Mindarinae", "Stomodes", "Nanomonadea", "Turris", "Trinovantidinium", "Datnioididae", "Saletara", "Oreogenoplia", "Remella", "Monopyle", "Sordes", "Vulcanithermus", "Schizocephala", "Abrota", "Hydrusa", "Pareucompsa", "Danubiella", "Bryodina", "Nambouria", "Sycettidae", "Lijudmilinius", "Aporini", "Parodochilus", "Evippe", "Pandemonium", "Amerilochus", "Gyge", "Netamelita", "Stephanoceros", "Cladonotinae", "Antipodromia", "Pygmaeosomatidae", "Galegeeska", "Squamidium", "Anacrapion", "Proarctacarus", "Neaetha", "Alphesiboea", "Robinsonocoris", "Alloaepytus", "Ochridaphe", "Gomphidictinus", "Lasiacis", "Aquamicrobium", "Bertolonieae", "Silvestricampa", "Decapterus", "Sphyroncotaenia", "Osoriopsis", "Brachycercus", "Myadestes", "Acidobacteria", "Paraceradocus", "Pseudomma", "Hygranillus", "Novemcella", "Walvisteuthidae", "Heikertingeria", "Stevensius", "Ulogastra", "Benjaminiella", "Gonocerini", "Psammodiscus", "Gymnoconia", "Acyrtops", "Pringleella", "Ceratocyrtis", "Calyptrogyne", "Alloderma", "Chrysomonadineae", "Involutinidae", "Tamilla", "Globodera", "Sicyeae", "Pronematus", "Homalia", "Robertinina", "Rozites", "Acanthodis", "Bombini", "Dinaritoidea", "Dimorphococcus", "Afrocostosa", "Pterochloroides", "Coenobotrys", "Catelliglobosispora", "Plasmodium", "Kerriidae", "Phedina", "Parandes", "Xenoanthostomella", "Clionaida", "Clymene", "Astrocnida", "Neuradopsis", "Nemasomatidae", "Oxycrocodylus", "Afrodiplozoon", "Oecleini", "Paradichthyinae", "Celebesia", "Euryakaina", "Phylus", "Thyrocopa", "Laingia", "Calycicoccus", "Dilyta", "Multicilia", "Artystone", "Choristenes", "Graffizoon", "Vostox", "Pseudopamera", "Peltomonas", "Microbatrisodes", "Pickeringia", "Decarydendron", "Amphilimnidae", "Pseudoperinthini", "Gobduntaulepis", "Monostromataceae", "Desulfopila", "Crepis", "Lukousaurus", "Macadamieae", "Infurcitinea", "Camptocosa", "Diadumenidae", "Asthenotricha", "Polysphaeria", "Temparena", "Reldia", "Callipodida", "Conocephaloides", "Scardiites", "Pseudotectococcus", "Krameraxus", "Agonoscelidini", "Tarsalia", "Nuculoidea", "Laccophilinae", "Diplodoma", "Euseboides", "Mistshenkoana", "Nichollssaura", "Protoperidinioideae", "Amerostenus", "Glossocalyx", "Pachytullbergiidae", "Connagnostus", "Apotoforma", "Poliothripa", "Postendothyra", "Natronorubrum", "Rhopalocnemis", "Eurypatagidae", "Myozona", "Amphipsylla", "Lugdunum", "Neospastus", "Euzosteria", "Callomyia", "Panspoeus", "Iriatherina", "Chilicola", "Khorata", "Lepidepecreella", "Calamonastides", "Dermatiscum", "Rhizophydiales", "Plocamioninae", "Antedoninae", "Cephalosorus", "Setasomus", "Acanthophasma", "Solpugyla", "Ctenothrips", "Schizocolea", "Sarcobataceae", "Birasoherpia", "Epitheca", "Asterohyptis", "Pterokrohniidae", "Kualatahan", "Xoanotrephus", "Cabasa", "Xylococcidae", "Aethozoidae", "Orthoserica", "Koponenia", "Torymoidini", "Hebetoceratidae", "Nothochelone", "Anomogyna", "Heterosquilla", "Ragytodina", "Luzarina", "Criconematina", "Conoglobigerina", "Guapimirinus", "Cyanothrichaceae", "Lathusia", "Thenaria", "Hemisphaerocoris", "Arabis", "Alucitidae", "Prionium", "Miroclytus", "Jubini", "Truittella", "Hyarotis", "Cleonyminae", "Epimedium", "Tournayella", "Tomichiidae", "Epalxotyphlus", "Eupines", "Iambia", "Paphiopedilum", "Austrogynacantha", "Aiptasiomorpha", "Planolinoides", "Chaureopa", "Valleriola", "Perilefda", "Dasyonchocotyle", "Thrypticus", "Myristica", "Lepidodiscus", "Bolbodera", "Parastichtis", "Rhodospirillaceae", "Pachytricha", "Dulinius", "Atlantidae", "Chartoloma", "Listeria", "Amerila", "Thurnia", "Laxmannia", "Capepsebium", "Calloriaceae", "Stizina", "Termitogastrina", "Redonda", "Gigantometopus", "Cathaya", "Liobracon", "Montescardia", "Urgonina", "Irineochytrium", "Lissimas", "Grasidius", "Hamodes", "Chloremys", "Antithamnieae", "Prototrichapiini", "Octostigma", "Cirrilaspeyresia", "Raffrayidius", "Batnamyces", "Prorocentrales", "Capassoichthys", "Scytodoidea", "Pittidae", "Siamoglaris", "Haydenoxylon", "Piampatara", "Gobiosoma", "Azima", "Piasus", "Calochrominae", "Melastictis", "Nanopera", "Cemocotyle", "Tymbarcha", "Caccomolpus", "Nitrosomonas", "Neurotrichus", "Joiceya", "Dolichomacrostominae", "Mycterothrips", "Andrena", "Natonodosa", "Tigrisomyia", "Lathrobiini", "Dichroocoris", "Humbugodiscus", "Lathrocordulia", "Sporopodium", "Quercymegapodiidae", "Syrorisa", "Gollandia", "Minona", "Archaeoglobigerina", "Miolebidia", "Steereobryon", "Bouvieromyiini", "Brachypauropus", "Bolbosoma", "Acrocanitidae", "Andreninae", "Wuaniidae", "Haplodontium", "Bothriocephalidae", "Ditiola", "Horciasoides", "Dipsocoroidea", "Costiferinae", "Incala", "Trochonematoidea", "Antanartia", "Acanthechiniscus", "Polygoniochloris", "Ocypodoidea", "Hypergerus", "Himantaurus", "Cratoferonia", "Bhagwantolita", "Parachrysostomum", "Ptilodus", "Neoxeniades", "Quasipetalichthyidae", "Gyronotus", "Trepocarpus", "Celestica", "Kenodactylus", "Tiomanaptera", "Allox", "Panolis", "Pinnatella", "Paspalinae", "Phalocroma", "Kneuckeria", "Spongiochrysis", "Asina", "Limnognathia", "Penaeidae", "Vonkleinsmidoides", "Bathycuma", "Corticiales", "Deflorita", "Pergaphaga", "Megaspilus", "Burhinus", "Camptosauridae", "Pteronarcyoidea", "Rauisuchidae", "Puan", "Orthonychiidae", "Podolinella", "Didymonyx", "Anodendron", "Philiopsis", "Scutelloidea", "Saichania", "Anatololacerta", "Cymbachini", "Pentagonina", "Paralastor", "Oxyopsis", "Apteranillus", "Macrobathra", "Ponderellidae", "Dabreras", "Dasypodainae", "Haematopinidae", "Gleichenites", "Euheterodonta", "Platygloea", "Pseudosmerinthus", "Cryptomyrmex", "Primagistemus", "Ascosphaera", "Cyrtauchenioidea", "Trienamoeba", "Pallaviciniineae", "Chonala", "Lincolnia", "Platnick", "Dognina", "Brasilaphis", "Menenotus", "Electrolux", "Nolaclusilis", "Thinocharis", "Glomerogloea", "Chrysocicada", "Tychobythinus", "Shepherdia", "Albuginaceae", "Barbara", "Chrysanthemoides", "Stilbopterygini", "Opomydas", "Xanthosiphonia", "Mosaicina", "Triacetelus", "Cicindelites", "Trechnotheria", "Hecalina", "Papaveraceae", "Lamprocephalus", "Ploceidae", "Jaffrezocodium", "Oconoperla", "Protoceratiaceae", "Bathypolypodinae", "Nesomartis", "Oedibasis", "Poricalyptra", "Catadacus", "Zoroasteridae", "Adhaesozetes", "Paratrytone", "Rehia", "Chondrostoma", "Sinopalpus", "Meijeriella", "Melanoides", "Chelonogastra", "Gyropyga", "Wedoquella", "Scorpis", "Balcattia", "Hyperoplus", "Terratosyringophilus", "Palaeotextulariidae", "Nocardiopsis", "Dendropupidae", "Gambusia", "Mysmenella", "Indosialis", "Mesodinium", "Seguenziidae", "Adenoclineae", "Baranisobas", "Linan", "Xylocopinae", "Armatoplana", "Gallio", "Exoryza", "Bascantis", "Hedysareae", "Fisherana", "Chorizopes", "Leptogonum", "Leeoideae", "Neotropospeonella", "Mimexocentrus", "Glyptholaspis", "Anacanthobatis", "Shindeobothriidae", "Jaegerscalpellum", "Japonolirion", "Diploeida", "Omichlis", "Cladiopsocidae", "Pterygotoidea", "Involvohauerina", "Hypochiloidea", "Costayella", "Indometopis", "Anoplopisione", "Triptychosipalia", "Millisia", "Haigiopagurus", "Cheirogammarus", "Valenfriesia", "Alicenula", "Kanetisa", "Leucomalthe", "Sperchonopsis", "Platypyginae", "Aglaonema", "Obesumbacterium", "Embidopsocopsis", "Hoplonympha", "Chilimalopsis", "Loveridgelaps", "Philositus", "Paputrombidium", "Craniolaria", "Heterodera", "Nelidus", "Scyrotis", "Chasmacephala", "Eupyrgota", "Lethedon", "Cyperaceae", "Vaepellinae", "Archinola", "Ilseopsis", "Julella", "Oronomis", "Nimiothoron", "Poduridae", "Cerithideopsis", "Protoselene", "Muniria", "Englemania", "Anagotus", "Bredoella", "Spigelieae", "Euscorpiops", "Sanidophyllum", "Blastesthia", "Porphyrochroa", "Dunckerocampus", "Amblyaclastus", "Paramucophrya", "Murchisonella", "Broughtonia", "Atheliales", "Cheilosa", "Cryptocochylis", "Glenodiniaceae", "Asciodema", "Crescentia", "Acanthorhynchus", "Miaenia", "Amphientometae", "Lacunicula", "Tamasini", "Pentalagus", "Hydrophylloideae", "Gnorimidia", "Trachelostenidae", "Hedyselmis", "Nemobiopsini", "Chattonella", "Pisonieae", "Coeini", "Kundakimuka", "Crocinae", "Weischatiella", "Spalangia", "Hormosinina", "Lastreopsis", "Thecamoeba", "Lagosinia", "Takakia", "Eupatellinella", "Throscidium", "Zygoctenia", "Dysnocryptus", "Caldisericia", "Berthelinopsis", "Nipponolejeunea", "Swiftia", "Tinocalloides", "Dasymaschalon", "Pseudodorcus", "Euchoristea", "Thliboclivina", "Saurosphargidae", "Plagiotrochus", "Ponomarenkoa", "Saperdirhynchus", "Cambessedesia", "Neillia", "Cladobradus", "Quadcuspibothrium", "Tegonotini", "Diploglossa", "Pterostemon", "Cuniculotinus", "Hydromastodon", "Lepidodasys", "Anoscopus", "Hydrachnidae", "Stathmonotus", "Sphindociinae", "Musconiscus", "Astatopteryx", "Scaptesyle", "Burchardia", "Phycisphaera", "Lastia", "Thaigena", "Dilipa", "Pasimachini", "Tarascosaurus", "Paramussardiana", "Carbonea", "Rotaliatina", "Acheilognathinae", "Ochropsoraceae", "Calditerricola", "Tiarocera", "Stenophlegyas", "Macrochaete", "Rutiliini", "Argyrolacia", "Symbiochlorum", "Russulaceae", "Hughia", "Lepturopsis", "Aristotelesia", "Aethusa", "Dipetalonema", "Ahamulina", "Halarsenatibacter", "Falcatelodes", "Scomberomorocotyle", "Heliornithidae", "Ambystomatidae", "Notioprogonia", "Lavoisiera", "Cothrix", "Hirudobdella", "Brachyotum", "Hovea", "Hymetta", "Diplocentrum", "Holopedium", "Tabernaemontana", "Rubricoccaceae", "Cercobarcon", "Neobracea", "Euterpnosia", "Saposhnikovia", "Agaporina", "Duplella", "Apteroscirtus", "Domingoa", "Conilepia", "Protogryllidae", "Leptoderis", "Pseudurgis", "Acanthopale", "Octopyle", "Cantabricanites", "Zecicindela", "Rhinium", "Habrotrocha", "Papuanecta", "Antilope", "Adulis", "Pseudalophus", "Neottia", "Ceradocus", "HTC", "Coniophloeus", "Vietteogorgopis", "Christopheria", "Centrostigma", "Ledereragrotis", "Lidopus", "Napocheima", "Nanomela", "Micropholcommatinae", "Indiaphis", "Pavonitina", "Drupeus", "Epipaschiinae", "Chomatomediocris", "Brahmaea", "Aspidytes", "Podargiphilus", "Protochrysidis", "Lapillincola", "Gerrya", "Heteromyzoidea", "Alycaeus", "Kaputar", "Breyeriana", "Rhagionidae", "Parudenus", "Sardaphaenops", "Coptocephala", "Geochus", "Neocrossidius", "Ouloglene", "Siniperca", "Claopodium", "Phylloscelis", "Acremoniella", "Porphyrella", "Gracilodes", "Sagittalarva", "Terminator", "Spiroplectina", "Oodinidae", "Leptorophidae", "Dolicholobium", "Elfdaliana", "Chromophyta", "Irbisia", "Archegosaurus", "Eligmodontus", "Caloria", "Ornithia", "Myrmoplasta", "Mahafalyanus", "Coracias", "Paratanytarsus", "Cecidomyiini", "Pseudopraon", "Trigonochlamydinae", "Cyclantherinae", "Setantops", "Xerocnephasia", "Conchaspididae", "Acidimicrobiales", "Tortricodes", "Phialodes", "Euchroaria", "Selenochlamydinae", "Botryosphaeria", "Arenophryne", "Euenkrates", "Polystachyinae", "Spasskyterina", "Homalomorpha", "Rhinocyllini", "Callizygaeninae", "Peumocryptus", "Cryptolinyphia", "Dictyopharidae", "Xenotrochalus", "Lurymare", "Paleocader", "Cyathea", "Kingius", "Anaerobium", "Pentatomidae", "Arna", "Alpinophragmium", "Conexibacter", "Kushneria", "Mickelia", "Hymenomonas", "Chrysidalis", "Simognathus", "Diaporthosporellaceae", "Proselena", "Hydriomenini", "Cambonilla", "Bannatettix", "Pedrococcus", "Anerastiini", "Venanus", "Eurhodope", "Nubigidiella", "Radotruncana", "Leucastereae", "Eriophyton", "Nesopsar", "Eupariini", "Trachypteris", "Striatanaesthetis", "Chrotopterus", "Mesolimacinae", "Desulfococcus", "Falsistrellus", "Propliopithecus", "Porogynia", "Strahlaxiidae", "Polesinesuchus", "Trematophragmoides", "Paraxestia", "Palaeosiphonini", "Chalcidoidea", "Gomphaeschnini", "Catatinagma", "Vitoriacoris", "Motuotrichius", "Megisba", "Sinobathyscia", "Bizionia", "Protoxyporus", "Necydalopsis", "Okadaella", "Dicyphanisca", "Agyrtodini", "Pyxidinopsis", "Parakanthophoreus", "Cinacanthus", "Drabella", "Lycaeopsidae", "Limodorinae", "Volsellituba", "Elasipodida", "Metrarabdotosidae", "Natgeosocus", "Smithiella", "Patagopterygiformes", "Erythrotrichia", "Vogelepis", "Sphaerosiphon", "Naohideales", "Diallus", "Charioserica", "Tarapiampa", "Hypsiprymnodon", "Chilecar", "Arecophaga", "Gaujonia", "Moreauiidae", "Disopora", "Graphipterus", "Mutusca", "Plesiosoricidae", "Zhonglupuceras", "Hadrosaurus", "Aminicella", "Foliactiniscus", "Elateropsis", "Brachysternus", "Murzinia", "Symphyonemopsis", "Sporotetras", "Salarias", "Suessioidia", "Teskeyellus", "Ochrogaster", "Tashiroea", "Centemopsis", "Diopatra", "Metaphya", "Bryelmis", "Cebuella", "Tetrax", "Coryptilum", "Garyus", "Boehlkenchelys", "Zilkaria", "Trachichthys", "Shanus", "Arachotia", "Salinoctomys", "Dieckmanniellus", "Erikus", "Misophrioida", "Metacapnodium", "Platyischnopus", "Onuxodon", "Anophelini", "Pseudocratopus", "Ceiba", "Paraleptusa", "Hemiglobus", "Nesocryptias", "Gloniales", "Berendinellidae", "Lepidolutzia", "Cyrtolites", "Urnulinella", "Tuckermanella", "Phreodrilus", "Caementabunda", "Pedicia", "Lilianocoris", "Jarrigeus", "Mitosporidium", "Cyrtophora", "Enantia", "Clethra", "Warnowia", "Wosnessenskia", "Fonticulaceae", "Grantia", "Llukalkan", "Rhizodontidae", "Teramulus", "Struthiomimus", "Valeriemayaeae", "Zaleops", "Slimonia", "Mazaeras", "Productida", "Litobothriidae", "Wercklea", "Panorpida", "Sphiggurus", "Microchromis", "Cercopeus", "Batyle", "Stenoderus", "Playaensis", "Afrospathius", "Marsdenia", "Banksiessa", "Microrasbora", "Tshekardoperlidae", "Udzungwomyiini", "Trichonychini", "Callipogonini", "Derxomyces", "Dubouzetia", "Paraerva", "Lichniops", "Dacelo", "Peloptoribula", "Neyralla", "Nectonemertidae", "Belaria", "Panopsis", "Xerochlamys", "Admirencyrtus", "Pentocladia", "Mniobia", "Cyclopicina", "Asketanthera", "Hadimopanellidae", "Paratrichosoma", "Ferrieria", "Testulosiphon", "Pseudocrenilabrus", "Gestroiella", "Cletocamptus", "Paracyproidea", "Syndemis", "Fistularia", "Guyanobius", "Clavilispinus", "Pandofella", "Trypha", "Petalozethopsis", "Cryptobias", "Hiletus", "Xenaroswellianini", "Planktotalea", "Chroesthes", "Picronarycia", "Simoselaps", "Byrsinus", "Euopsis", "Solitanea", "Thripoctenus", "Pipidae", "Peramphithoe", "Cleopatrinae", "Barchaboilus", "Misceomarginatus", "Parabunda", "Vampyrellidium", "Caryophylliinae", "Atheris", "Paramphimonhystrella", "Allorchestoides", "Neogastrini", "Alismaticarpum", "Metoxylamia", "Lasiocampinae", "Actinopoda", "Prosoproctus", "Rhinofulvius", "Dolichothele", "Aizoanthemum", "Heterixalus", "Henrardia", "Norrlinia", "Stenobrium", "Byrsopteryx", "Paraphrynus", "Tillus", "Riella", "Schizachne", "Tsaraphycis", "Micropathus", "Archimonotresis", "Palmoclathrus", "Hexatheca", "Thermosulfurimonas", "Bellapiscis", "Pseudoauricularia", "Blennius", "Urostemon", "Gobiapalone", "Eosladenia", "Bianor", "Halmatettix", "Schlegelella", "Aporocera", "Parahyagnis", "Guianella", "Meliolaceae", "Vetosmylus", "Prionacanthinae", "Lepechinellidae", "Eosentomidae", "Agelaioides", "Celosieae", "Chiropsoides", "Squillalbunea", "Streptosporangium", "Telatynellinae", "Philotelma", "Mystacidini", "Pedilinae", "Corecaulus", "Appendiculariidae", "Aelosomus", "Phoracantha", "Ptinomorphus", "Pehuencoris", "Paracnemolia", "Zancudomyces", "Ramivena", "Didymus", "Amigdoscalpellinae", "Doliomalus", "Papilloma", "Cycloderus", "Uirassubrillia", "Cyriodera", "Asteropseidae", "Kanahia", "Cristatotanais", "Diplopelta", "Dorcoceras", "Matsumuraeses", "Cucurbitinus", "Parentia", "Vossius", "Gyrochus", "Domingomiris", "Bedotiidae", "Rossithidium", "Antroposthiidae", "Amioides", "Maculileiopus", "Neosuris", "Neomicrocotyle", "Enterococcus", "Chirodiscoides", "Embiidae", "Daniellia", "Wururoo", "Phyllachne", "Streothrips", "Spiraphiline", "Yurebilloidea", "Desulforhopalus", "Thioflavicoccus", "Gnaptorina", "Tcholmanvissiinae", "Newhousia", "Similodora", "Krauseola", "Aenigmatias", "Maurechidna", "Elasmogaster", "Draconisella", "Leptomys", "Python", "Fideliinae", "Xenistusa", "Cantharomorphus", "Rhopalophorini", "Rhamphichthys", "Syringoplana", "Hirudinariinae", "Egesina", "Epiphilina", "Anisogaster", "Diabolidium", "Townsendia", "Crinopseudoa", "Afrosorius", "Scyliorhinotheca", "Philatis", "Rhinocheilus", "Neoabrolophus", "Belemnocerca", "Tibiagomphus", "Anthophorula", "Kirinia", "Hypochilidae", "Hexangulolithus", "Trigonostomidae", "Tekellatus", "Acalophaena", "Xerus", "Anidania", "Lophophysema", "Brentidae", "Actinulida", "Batriscenodes", "Oreodytes", "Naibioidea", "Gerochella", "Lascobitoma", "Barbiellinia", "Lichmera", "Eurysops", "Protochlorotettix", "Anostraca", "Lasimorpha", "Stenosis", "Paramphiascella", "Ammodiscina", "Cocoonihabitaceae", "Celastrales", "Falcigammaropsis", "Hypaeus", "Campichoeta", "Diplotoxa", "BSPG", "Pseudotocama", "Araeomorpha", "Lithotryidae", "Armeniola", "Noccidium", "Pallidochromis", "Australophantes", "Miamiensis", "Clianthus", "Colposternini", "Formivibrio", "Leucobasis", "Rhabdamminidae", "Zalophia", "Calicorema", "Palystinae", "Zomaria", "Rathinda", "Geijera", "Piptospatha", "Holozodinus", "Neocteniza", "Pammenemima", "Scolenaspididae", "Parnara", "Kalyla", "Fluxiderma", "Acidicaldus", "Polemograptis", "Primierus", "Teuvoahtiana", "Ruffosius", "Anamignusa", "Lissohypnus", "Calceostomatidae", "Ceratistes", "Himantopus", "Elnoretta", "Peridiniales", "Oncocephala", "Fossombroniineae", "Brachiones", "Elaphrotites", "Villogorgia", "Modesciadium", "Acanthopleura", "Charistephane", "Setophaga", "Gecarcinucidae", "Pseudaspinilimosina", "Pygovalgus", "Chlorocryptus", "Cribrothalammina", "Thorellina", "Raxybis", "Kathetopodion", "Dejongia", "Calamorhabdium", "Rapuzziana", "Amblochilus", "Rehaibacterium", "CES", "Aplodontiinae", "Microtylostylifer", "Coronatae", "Chiropsalmidae", "Nedyopodini", "Peruphasma", "Protancylis", "Yvescambefortius", "Singularia", "Loxococcus", "Haglerozyma", "Krugerostreptus", "Pharyngodon", "Hadria", "Onychorhynchus", "Orsolobus", "Synspilus", "Arabideae", "Porela", "Bdellovibrio", "Nemastylis", "Carterica", "Maatidesmus", "Aleuritideae", "Prostheceraeus", "Amphinemurinae", "Rhinepeolus", "Eriochilus", "Plotopteridae", "Pinnatiphycus", "Alluaudina", "Proeccyliopterus", "Micropoecilia", "Neopamera", "Paranurus", "Gephyromantis", "Synagelina", "Chodatella", "Biamosa", "Trachyspermum", "Daixites", "Indiacypridinae", "Printziella", "Adonides", "Belonoglanis", "Erythrosquilloidea", "Triepeolus", "Triimitoceras", "Eomerope", "Anechuromyia", "Neophocaena", "Centipeda", "Fortishybosorus", "Trachydonia", "Mopsini", "Pseudoceraphron", "Palaeoelachista", "Hindakochloris", "Anelasmatidae", "Diachromus", "Eremazini", "Afghanocroce", "Paragathotanais", "Crambis", "Acreana", "Antidorcas", "Protanguilla", "Meandrinidae", "Nereia", "Bubiscus", "Rectala", "Cortiella", "Ascinae", "Biciliopsis", "Attapseniini", "Heliotaurus", "Arenosiphon", "Kiwitachys", "Slimoniidae", "Bulinus", "Anarsiini", "Bythonia", "Ebboa", "Pseudogloborotalia", "La", "Cherbulois", "Gymnolaemata", "Halanaerobiaceae", "Atopomacer", "Aulacopilum", "Diminutella", "Chakia", "Haplomesus", "Zonotriche", "Lodeviidae", "Tetraplosphaeriaceae", "Bambusiphila", "Upupidae", "Oxygnathopsis", "Rhombopisalia", "Enigmomorphini", "Haploniscidae", "Orphnus", "Odontoglossum", "Rhynocoris", "Calliphysalis", "Nestor", "Succineoidea", "Heliosperma", "Cooksoniella", "Geoscapheus", "Salpingoeca", "Sonkulitrema", "Bethylus", "Xenotrichula", "Climacospheniaceae", "Desulfonema", "Gyadroma", "Parvovirinae", "Pioprosopus", "Hermatobatidae", "Drymus", "Chartergellus", "Neochthebius", "Leithaodon", "Afrodromius", "Paramachaerium", "Cimmeritodes", "Tambitnotia", "Plinthus", "Piezodorini", "Aerobryopsis", "Renaudarctidae", "Sandrabatis", "Colocnema", "Aethina", "Discocephalina", "Mimobius", "Kotlassiidae", "Protosiphonaceae", "Schwarzia", "Encedonia", "Haroldia", "Sericoderus", "Electrapatidae", "Bolitophila", "Metacryptoseius", "Kerkis", "Microcladia", "Solenocyclini", "Bifidobacterium", "Malawiella", "Oriverutoides", "Paulianoptinus", "Davidlivingstonia", "Astrolirus", "Liometoxenus", "Penicilaria", "Pythonides", "Borneacanthus", "Balbianiales", "Termitusa", "Luyatrechus", "Pokomandya", "Ceratophyllum", "Rivellia", "Leptorycteropus", "Ceraphronidae", "Mesostigma", "Pantana", "Dogdospirifer", "Schizopelma", "Ranikothalia", "Gymnographa", "Anoecia", "Thermosediminibacter", "Sinustrombus", "Cucumerunio", "Kubitzkia", "Scotocesonia", "Cyanolimnas", "Styracotechyinae", "Brizinae", "Spathebothriidae", "Arachniopsis", "Toctoc", "Imantonia", "Marinagarivorans", "Acidoxanthopius", "Brachystegia", "Microcorsini", "Breviclavatoscydmaenus", "Schedoneolithus", "Taxillus", "Axinotarsus", "Batribolbus", "Plicatobothrium", "Pseudochremylus", "Megamiros", "Depastridae", "Kiwitrechus", "Iberodes", "Acanthixus", "Lepidothenea", "Pyxinia", "Orsodacne", "Oplostomus", "Neopotamia", "Peritrechus", "Marmota", "Protoneura", "Tuta", "Homophymia", "Mesophlebion", "Acanthocotylidae", "Catalanodytes", "Aillyidae", "Aminobacterium", "Phyllarthron", "Hyalocaulus", "Cymatiidae", "Hispoleptini", "Strophedra", "Paramaurops", "Anoeca", "Uslonia", "Petromus", "Argeremazus", "Coriomeris", "Atomyria", "Plagiostenopterina", "Phylliocephala", "English", "Phloeosinini", "Termitusodes", "Prophilopota", "Asperugo", "Cricula", "Neolucia", "Paulaudalna", "Pseudoscleropodium", "Arthrura", "Festivia", "Harpalini", "Ceratosoma", "Gnatholea", "Crypturgini", "Hypoprasis", "Leiocephalidae", "Cabralea", "Bipaliinae", "Katja", "Boreochlus", "Lisotrigona", "Alocodera", "Scilla", "Epischnomyia", "Lithodora", "Asaphomorpha", "Plagiodinium", "Macrolepiota", "Prosechoglossa", "Tragidion", "Ancestrimorpha", "Paguma", "Eutichurinae", "Pentaphylla", "Cissatsuma", "Pliopagurus", "Doohwaniella", "Bidiscus", "Phlyctidocarpa", "Thecofilosea", "Hormathia", "Canarina", "Buccinum", "Stilbanthus", "Austrolithurgus", "Pharyngomonadea", "Diapensiaceae", "Spinulata", "Aphaenops", "Parapontoporia", "Cleotomiris", "Diascopoea", "Falconiformes", "Cheiracanthus", "Antarctobius", "Dolerothera", "Anchovicola", "Eumunida", "Mithymnini", "Metacrangon", "Anacanthoroides", "Spalacopsis", "Macroretrus", "Tylosaurinae", "Fageicera", "Uberabatitan", "Tenuipalpoidini", "Anactinotrichida", "Tenuibiotus", "Tanymastix", "Molpadiodemidae", "Meliochamus", "Hydrocarboniphaga", "Portuninae", "Pogoneleotris", "Afromelecta", "Zeasampa", "Dichromopsyche", "Pachyceramyia", "Polyarista", "Poupiniidae", "Tupaiataenia", "Cornuta", "Claviderma", "Ptychochscaceae", "Diexiini", "Mielkeus", "Galidiinae", "Epicheiloneurus", "Spiromastigaceae", "Trieces", "Brachypteracias", "Cernuellini", "Ute", "Gaussicuma", "Cymodoceaceae", "Xanthokarrooa", "Martinella", "Muraenichthys", "Mauricicoris", "Difuntites", "Scincoidea", "Gynocardia", "Veliferoidei", "Ambotingis", "Noumea", "Leptolarthra", "Sanguirana", "Campoplegini", "Furipteridae", "Polypogon", "Triclistus", "Ironina", "Amorphosternoides", "Vitrinula", "Podisus", "Deuterocohnia", "Dolichognatha", "Tetraonycini", "Erythrites", "Amphipsocini", "Zygogloea", "Entomophthoraceae", "Ulomini", "Yamadaellaceae", "Subulella", "Iranocichla", "Spelungula", "Actinocerida", "Parathuramminoidea", "Ahnfeltiaceae", "Jennidayus", "Oxobacter", "Araucaria", "Nicoletiella", "Placothelium", "Kovaleviolina", "Shaerqia", "Sparisoma", "Mechercharimyces", "Paraplotosus", "Austrointhus", "Lamellidea", "Punargentus", "Glomodiscus", "Barybrotes", "Neolacunisoma", "Gorgonia", "Pseudoxanthobacter", "Chelonopsis", "Leiochirus", "Cerylonidae", "Vibilia", "Alepidomus", "Chamaepus", "Hyaloraphidium", "Aganosma", "Glossocheilus", "Dicroglossinae", "Cresporhaphis", "Archiloinae", "Eugnathina", "Amatiguakius", "Eueides", "Fainalges", "Astrocyclus", "Amygdaloideae", "Elaphanthera", "Neomedon", "Cochlodina", "Bryochenea", "Xystrota", "Pararhodia", "Calophaenoidea", "Microperittia", "Ceromitia", "Frigidibacter", "Stephanoberyciformes", "Pseudodacryodes", "Stenoniscidae", "Parnassiana", "Psoroma", "Ctenacanthidae", "Satyanarayanotrema", "Loricatarsa", "Lowiaceae", "Cartomothrips", "Aneogmena", "Zeaflorilus", "Mytilida", "Peridiopsora", "Pipilo", "Archipsocetae", "Chirodropidae", "Dinamoebaceae", "Myliaceae", "Catulliini", "Macruropyxis", "Atocion", "Pseudobombax", "Pontarachna", "Merliida", "Jeffreya", "Anthenoides", "Euclymeninae", "Imerinaea", "Alydinae", "Paradacerla", "Aurinia", "Climacostomum", "Centroctena", "Arianula", "Grylliscini", "Montchadskyellidea", "Dicraspeda", "Promanodes", "Lasiogaster", "Ophiopsiloidea", "Paramelitidae", "Hecalusina", "Myrmecozelotes", "Macrodictyum", "Filistata", "Ligusticum", "Psiloceras", "Exorbaetta", "Parorsidis", "Baryzancla", "Neotetracus", "Allioniellopsis", "Caloptychia", "Tetilla", "Pseudohomaloptera", "Tissierellaceae", "Euonymus", "Ismene", "Varicoxa", "Dermatophagoidinae", "Centrohelidia", "Iagotrematidae", "Acanthonycha", "Albicoccidae", "Goniotropis", "Analamyctes", "Syncrasis", "Gelechiidae", "Hermbstaedtia", "Corylopsis", "Glaucosciadium", "Chalcoparia", "Prietella", "Certhioidea", "Platygraphopsis", "Hypsilara", "Pleurochloridaceae", "Diutina", "Usingerella", "Parahistomonas", "Conyzicola", "Daramus", "Chaetosomatidae", "Acroplectis", "Perityle", "Sellnickochthonius", "Neoleptoneta", "Jugimurammina", "Reteporella", "Leeuweniella", "Ctenoplectrina", "Classicula", "Janirellidae", "Myersophis", "Porrhodites", "Halammovortex", "Pontoscolex", "Microrphnebius", "Dasychela", "Xanthorhoe", "Tesarius", "Caloscyphaceae", "Lophojoppa", "Trichanarta", "Pernoceras", "Parafleckium", "Plesiopelma", "Philaccolus", "Turnagra", "Afrorhysipolis", "Chopardentella", "Colocasia", "Oulobophora", "Peiropemys", "Araucnephia", "Venturiales", "Tudivasum", "Thyrsostachys", "Dermatolepis", "Petaloptilina", "Epirochroides", "Heteranthoecia", "Caradjaina", "Echinochila", "Euryproctus", "Inotrechus", "Schistonchus", "Victorhensenoides", "Xenasmataceae", "Hydrochus", "Gattendorfia", "Botanophila", "Cladogynia", "Gonoessa", "Elphidium", "Benthimermithidae", "Semirosalina", "Hosea", "Actinostemmateae", "Flabellaria", "Lisaniidae", "Reinwardtipicus", "Schizodactylidea", "Hydrodictyon", "Cintractiellaceae", "Palmellosphaerium", "Balaena", "Hypnales", "Turbo", "Khadia", "Tomarus", "Fordonia", "Sympycninae", "Stylotydeus", "Saaristattus", "Cebrio", "Eudulophasia", "Hevizibacter", "Ornixolinae", "Tomopterna", "Spinacanthus", "Metopiasoides", "Protogygia", "Eurydactylodes", "Chaetodermella", "Parasassafras", "Asiophlugis", "Dnopherulaini", "Bironiola", "Eysarcorini", "Uromonia", "Bathyporania", "Kimberleytrachia", "Microthrixaceae", "Conognatha", "Urohaustoriidae", "Rhynchocheilus", "Rhodomantis", "Lathromene", "Burumoseria", "Malibaricythere", "Phytoactinopolyspora", "Manoao", "Archearadinae", "Morunasaurus", "Papilionini", "Teratomyzidae", "Ariteus", "Chono", "Paramisophria", "Gilliesia", "Volvocisporium", "Proserpinidae", "Sardoniscus", "Epitomus", "Diachasmimorpha", "Brasileirinidae", "Coenopoeus", "Weymerana", "Ampharetinae", "Megaloptera", "Neosomatidia", "Parexoletuncus", "Mosasaurus", "Harpididae", "Quadrichloris", "Nepomorpha", "Ichtyurini", "Apiosporina", "Iridopteryx", "Leplaea", "Etlastenasellus", "Westellopsis", "Sirystes", "Torix", "Mechowia", "Alzadaesthetus", "Trichogonatopus", "Leptodoryctes", "Paralembidae", "Anevrina", "Asteromyrtus", "Neochiastozygus", "Pseudochoffatella", "Ignatiales", "Kersia", "Ghesquierella", "Commoneria", "Thermosynechococcus", "Pseudopirsonia", "Pararhipidius", "Catanduba", "Chevrolatia", "Rinaca", "Aplocera", "Bibundia", "Lactistes", "Cyprinodontidae", "Liaoxiornithiformes", "Istiodactylus", "Phyllobothriidae", "Rubrivivax", "Deflandrius", "Proctorenyxa", "Profundalia", "Potomotyphlus", "Certallini", "Phthiadema", "Raclitia", "Maripanus", "Meoticina", "Sphedamnocarpus", "Pygopodidae", "Larcopyle", "Pseudogiria", "Neoperla", "Physocephala", "Aprosoesta", "Mitrocereus", "Hamotidius", "Blosyrus", "Gyrodiscus", "Psammosphaerinae", "Polypodiidea", "Necator", "Foranotum", "Faustius", "Gomphrenoideae", "Diaspidiotus", "Centetostoma", "Xesturida", "Ammomanopsis", "Akelbaster", "Poortmannia", "Typhlogammaridae", "Obesaxiphyda", "Photococcus", "Lateolabracidae", "Hispanoclavininae", "Lysiterminae", "Anisota", "Caenurgina", "Eucamptodon", "Protodryininae", "Nomopyle", "Diachasma", "Diplothrix", "Plesioneuron", "Oromus", "Aneurillus", "Bubulcus", "Phliantoidea", "Prosthiostomidae", "Oractis", "Doliocarpus", "Arthropteridaceae", "Metadorcus", "Claea", "Coptoborus", "Geigeria", "Marymus", "Nannoturba", "Itaxia", "Anophococcus", "Fomitiporia", "Crangonyctidae", "Parapinnanema", "Oryguncus", "Cheritra", "Tylexocladus", "Rhaptonema", "Schmidingerella", "Scoliodiscus", "Dissoptila", "Deltophora", "Parotoplanella", "Neopelatopini", "Phrurotimpus", "Thalassomyces", "Aenigmachannidae", "Carpococcyx", "Rhachimantis", "Anaperidae", "Plectinae", "Priscula", "Pentaprion", "Quaesitosaurus", "Crateva", "Chlorortha", "Toddostomella", "Chilozela", "Bursariomorphida", "Entimus", "Ionolyce", "Acetothermus", "Philtronoma", "Oligatheta", "Kirgisella", "Hungarobelbidae", "Amorphoscelididae", "Epocilla", "Neomedetera", "Xanthotis", "Proiectus", "Sinotagini", "Hemicerocoris", "Eleoscytalopus", "Euscopus", "Cryptoceloidea", "Aulotortus", "Buteogallus", "Saurolophini", "Parajulini", "Mnoonema", "Diplothyrus", "Rauia", "Fibulobasidium", "Megamiris", "Dogolion", "Uroglena", "Gelasine", "Meganeura", "Pacificagrion", "Neolepetopsidae", "Aidomyia", "Borboryctis", "Uenasellus", "Eotyphlus", "Arzamini", "Acragas", "Corades", "Maoripsocopsis", "Coraciidae", "Twarntaturus", "Dodiopsis", "Diapria", "Haymanella", "Bretschneidera", "Eurytheneidae", "Jainosaurus", "Desmostachys", "Peyssonneliaceae", "Sinentomidae", "Combretum", "Proprioseiulus", "Garugeae", "Rhopalosilpha", "Myllokunmingidae", "Callipia", "Chelilimosina", "Ricciaceae", "Episimoides", "Togaritensha", "Hammondantus", "Tarachodidae", "Pseudotriquetrorhabdulus", "Wollastonia", "Rhyparida", "Machilinus", "Leucospermum", "Tytroca", "Hasinamelissa", "Furnishites", "Aaptos", "Aligia", "Pseudomazocraeoides", "Erotelis", "Phanes", "Phymatidium", "Vampyrum", "Prisciba", "Dictyotaceae", "Mesaiokeratidae", "Porcinolus", "Stenophryneta", "Rhanidopsis", "Yphthimoides", "Philudoria", "Dioriste", "Thurmondella", "Liareinae", "Scalpelloniscus", "NIO", "Dictyothyrium", "Oides", "Platyodon", "Kolkwitziella", "Upeneichthys", "Karakumosa", "Civrieuxia", "Camafroneta", "Pseudelcanidae", "Spathidium", "Tabatinga", "Methylococcus", "Corydalidae", "Chironex", "Hepialoidea", "Distichanthes", "Niobiidae", "Aphia", "Peribunyaviridae", "Cheilocapsidea", "Chlorochroa", "Xylita", "Cirroteuthidae", "Metanotalia", "Tiracerus", "Oxypetalum", "Syndicus", "Trepobatini", "Astrophorina", "Sinalliaria", "Paramesocena", "Burmagomphus", "Plectrotarsidae", "Naboandelini", "Salpingidae", "Euchiton", "Chondrolepis", "Gymnoscalpellum", "Tawa", "Pseudoophonus", "Pedicrista", "Malagasydipnus", "Comatuloidea", "Macropneustes", "Mesoscytina", "Podeleboea", "Zygimus", "Oxyfidonia", "Ovieda", "Lacustriella", "Diahogna", "Microthoraciidae", "Maerella", "Pseudobrenthorrhinus", "Politodorcadion", "Hydrangeaceae", "Asidini", "Dubatolova", "Trichodesma", "Parapolynemus", "Vilma", "Zabidius", "Rhinoneura", "Aliciella", "Ectoedemia", "Thaumastella", "Epholcis", "Marmornectes", "Aenictonia", "Parviterribacter", "Livyatan", "Chirembia", "Armadoskrjabinia", "Ninella", "Entamoeba", "Phaulomyrma", "Nesipelma", "Acanthurus", "Bettongia", "Coulterophytum", "Atopogestidae", "Oxudercidae", "Concavus", "Opostega", "Cladostephus", "Novella", "Achorostoma", "Aganisia", "Epacriini", "Stenolophina", "Culmicrinus", "Spermacoceae", "Enoidea", "Placentulininae", "Walterparria", "Cucumibacter", "Perymeniopsis", "Violaceomycetaceae", "Gastrotheus", "Rosenbergiella", "Farquharia", "Tinophodella", "Aschiphasmodes", "Neagolius", "Chrysopidia", "Staminodeina", "Taleporia", "Lasinus", "Selachohemecus", "Asiomira", "Garberia", "Sonatini", "Leptopholcus", "Eremochilus", "Pleurosigma", "Afrocoelichneumon", "Cyathobodo", "Russula", "Aphiliops", "Pseudoporrhomma", "Diaplochelus", "Kirbynia", "Dinofelis", "Saltusaphidinae", "Pseudotetra\u00ebdron", "Diporiphora", "Limacia", "Furnarioidea", "Manotes", "Kennethia", "Fotsiforia", "Planadota", "Cymatogonia", "Plantae", "Chileosilpha", "Parapisalia", "Spinotournayella", "Batrisopsis", "Sphenocephalus", "Tretobasis", "Riculorampha", "Chetia", "Protocetidae", "Hydromedusinae", "Acorotricha", "Idiopinae", "Stenopialea", "Arbaciidae", "Strobilocapsus", "Kempfidris", "Lepus", "Montaspis", "Corymbostomum", "Archaeopterygiformes", "Psephoboragus", "Psophiidae", "Hydnosella", "Lyssomaninae", "Benitochromis", "Pernina", "Klattia", "Ululodini", "Irlbachia", "SUVA", "Byrrhopsis", "Metteniusales", "Eusapia", "Eudamina", "Phycotettix", "Eobarbourula", "Nesolecithus", "Philesturnus", "Leucostele", "Dinopsyllinae", "Eutrombidiidae", "Grapsus", "Rallus", "Lineacoelotes", "Auricotes", "Endosiphonia", "Ceratocorema", "Triglidae", "Scoletoma", "Ianthellidae", "Indoschulzia", "Batrisochaetus", "Pselaphotumulus", "Syncoryne", "Xanthocryptus", "Psychrodromus", "Alena", "Callithamnioideae", "Netoxena", "Garciadelia", "Paradoxodacna", "Falkovitshella", "Cardiochilinae", "Strepsigonia", "Neralsia", "Arthropoda", "Syphonota", "Rokebia", "Rimalina", "Colini", "Cystobasidium", "Schwarzula", "Cyardium", "Palmellopsidaceae", "Barlowodus", "Lithonannus", "Macowaniella", "Venezoliceras", "Ephippiandra", "Unatara", "Chalcostigma", "Airora", "Probainognathia", "Caneosphaera", "Tetracera", "Mochokinae", "Syngenoherpiidae", "Tanganyikatrema", "Napomyza", "Problacmaea", "Halicalyptra", "Allorrhina", "Allotyphlus", "Helorinae", "Euthyplatystoma", "Chrysochroinae", "Haliotrema", "Zeascalpellum", "Semipallium", "Xenaploactis", "Clavigralla", "Aposphragisma", "Seabraellus", "Phaenops", "Nyctinomops", "Lopidea", "Callaspidia", "Psamathocrita", "Saltopodidae", "Macronemus", "Protophormia", "Axiogynodiastylis", "Dictyosphaerium", "Lajonquierea", "Indigofereae", "Trichodocerini", "Arthromelus", "Acantholycosa", "Echinopsocinae", "Cyphostemma", "Mesocoelopus", "Pentametrocrinus", "Broscodera", "Arebius", "Malaisius", "Aphilia", "Bowmanasellus", "Nectoteuthis", "Mecynargus", "Selachii", "Patoptoformis", "Asolenia", "Mazocraeoides", "Strangulonema", "Gastrosaccus", "Elliptoleus", "Hemesthocera", "Bathytanais", "Guadalcanaria", "Cephennodes", "Pseudopachydissus", "Hoppeia", "Palaeoneda", "Mwasumbia", "Lutrinae", "Allobatinae", "Nemonyx", "Paradyemus", "Titanobochica", "Schizognorisma", "Hesperocharis", "Amphibromus", "Typhlochoromus", "Diapheridae", "Lenosoma", "Trichomonadea", "Hyponephele", "Falsovelleda", "Akephorus", "Ilyocryptidae", "Oligosphaera", "Cuneimelita", "Nanorchestes", "Hantkenina", "Urocolius", "Idiogomphoides", "Ochicanthon", "Chirostirca", "Thiohalospira", "Gleichenella", "Termitozophilus", "Polistroma", "Onalcidion", "Masoreus", "Arborichthonius", "Everticyclammina", "Dipterocypselinae", "Gastrodiscus", "Lerwa", "Erephognathus", "Rhizinaceae", "Ophthalmapseudes", "Barcella", "Nothopygus", "Assiculoidinae", "Choniomyzon", "Vatairea", "Lagomorpha", "Megadermatidae", "Mirapecten", "Marbla", "Paratrea", "Nikitinella", "Benickia", "Bathysmatophorinae", "Trichotosia", "Taheitia", "Aplopsis", "Palaeoichneumoninae", "Ekemblemaria", "Hattena", "Egglestonichthys", "Helminthora", "Beloniscidae", "Cerasophila", "Zygopa", "Diophryopsis", "Prasinalia", "Eugauria", "Talupes", "Ancula", "Calopsocus", "Diaglyptella", "Amphichroum", "Philinoglossidae", "Pseudobistoninae", "Archaeoneura", "Kamuraninae", "Janassidae", "Oxycercichthys", "Taiwanoserica", "Nasoonaria", "Sinuessa", "Roseovarius", "Ochlerini", "Tokoprymno", "Marrellomorpha", "Pseudocerataulus", "Harposcelis", "Kurosawaxia", "Gertschosa", "Cynegetini", "Trachydomia", "Leifsonia", "Arabibarbus", "Halomicrobium", "Petrorossia", "Laterorchites", "Neosorius", "Piesacus", "Tanaopsis", "Rutaraphes", "Troyus", "Archachatina", "Lathomicrus", "Spyridioideae", "Stangeriaceae", "Gaurotinus", "Anabasis", "Leptoamphisiella", "Plurisperma", "Auchmis", "Pyxidizethus", "Amorphosomina", "Parasciton", "Catapaecilma", "Oxystomatini", "Isacanthodes", "Pseudochromadora", "Mycobacteriaceae", "Colobostematini", "Microcheila", "Alyssum", "Histiomena", "Dundonannus", "Stylosphaeridium", "Panesthiinae", "Polypsecta", "Rupicapra", "Afrotibicina", "Brarina", "Pseudodissochaeta", "Struthiopterolichus", "CORBIDI", "Bubocorophium", "Probathylepadidae", "Diplocotes", "Chrysomesia", "Phytobaenus", "Balneolaeota", "Massariosphaeria", "Ankyropetalum", "Sinopidonia", "Pleurocapsa", "Flobertia", "Cynomya", "Chonostomum", "Rickettsieae", "Hanleyidae", "Malacochersus", "Euhampsonia", "Johnnealella", "Epicnaphus", "Microtabanus", "Hordeeae", "Eugeneodontiformes", "Bunderanthura", "Eurotiomycetes", "Stichius", "Libanius", "Palaeosilpha", "Laevicaulis", "Caenoprosopis", "Niphoparmena", "Acharax", "Mecomastyx", "Acanthicus", "Athyridida", "Apostictopterus", "Chersomorpha", "Lithotorus", "Cylindromorphoides", "Pseudacanthus", "Paraceto", "Apaidia", "Carduinae", "Mesocheira", "Alexa", "Plectomorphus", "Oreocnemis", "Megaspira", "Sidima", "Aetapcus", "Souvanna", "Falsagglutinella", "Cladomorphinae", "Kulbastavia", "Methanomassiliicoccaceae", "Pseudolygocoris", "Hydrocoryne", "Pogonoschema", "Montfortella", "Chryseomicrobium", "Chelorhinella", "Geoplanoidea", "Cymbidieae", "Semiaquilegia", "Paracottus", "Haemactis", "Somotrichina", "Xidazoon", "Peltotrupes", "Ulasia", "Palaeacarus", "Kessleria", "Halospina", "Neocyttus", "Mastalobothrium", "Geraldocossus", "Lepidocephalus", "Cotteinae", "Ratarda", "Scarabaeoidea", "Zeidorinae", "Leporella", "Papillogobius", "Huertasiella", "Etrumeus", "Barnadesia", "Teredini", "Siphonocladophyceae", "Pygiopsyllidae", "Kollikodon", "Anaciaeschna", "Tylothallia", "Lumbricillus", "Raffrayiini", "Bartholina", "Petroglossum", "Cancelloceras", "Lowryanthinae", "Carpocapsa", "Limacodidae", "Stenchaetothrips", "Mileewa", "Monapia", "Basidiomycota", "Euphorbia", "Pseudoglycaspsis", "Pyropia", "Paraedentostomina", "Xylonaceae", "Phyllotocidium", "Myonebrides", "Aidoneus", "Odontochytrium", "Sedina", "Paravalvulininae", "Ctenisophanes", "Psilotopsida", "Adenissina", "Pseudomassariosphaeria", "Alproma", "Cystiscidae", "Pseudochattonella", "Phyllomyzinae", "Mimotettix", "Miyamotoa", "Strepsicrates", "Asprogammarus", "Forsythia", "Hapsimachogonia", "Cylindropyxis", "Metathoracaphis", "Trogoderma", "Durbania", "Andreolepis", "Rhabdosella", "Cofana", "Prasium", "Miruantennus", "Lepidoglyphus", "Saetotricha", "Cubanina", "Lophopogon", "Exampithoe", "Dermestocyphon", "Rimacollus", "Pareas", "Parviparma", "Olpidiopsidales", "Tytocha", "Alophophion", "Sundamys", "Cardioidea", "Pellorneidae", "Cabelodopsis", "Nanodea", "Apatemon", "Pneophyllum", "Dendroceros", "Milvago", "Tenua", "Zimbabuephylla", "Panathura", "Fahejbarna", "Heterothamnion", "Bommeria", "Mimochariesthes", "Wittstrotia", "Beta", "Augilini", "Apogeshna", "Brachyglutina", "Cyphia", "Paradileptus", "Crepidodera", "Amphidasys", "Convivina", "Discodiscus", "Protonaupactus", "Rhytidophloeina", "Neusticurus", "Alstoniamitus", "Hypocephalus", "Goedetrechus", "Pimelopus", "Dermoglyphidae", "Antarctophthirus", "LE", "Amolita", "Alliatininae", "Exocoelactis", "Pedospumella", "Neofusulina", "Alleynea", "Paraphotis", "Astrophocaudia", "Bouvardia", "Bosara", "Benhamiini", "Cyclochlamys", "Uria", "Cadphises", "Peristichia", "Malimanaspis", "Sycomacophila", "Rhynchostylis", "Neresheimeria", "Capirona", "Parazygiella", "Jamesianthus", "Blepharistemma", "Melanocorypha", "Rhodocyclaceae", "Chamorchis", "Koskinotextularia", "Spheniscinae", "Angulomycetaceae", "Odontolochus", "Dimophora", "Crispiphantes", "Paracondyloides", "Dinamoebida", "Natalignathus", "Cosmopterx", "Dendrolagus", "Madarococcus", "Metachroma", "Canadoris", "Oxyinae", "Jakobidea", "Euryodendron", "Barrosellus", "Austropsallus", "Didunculinae", "Biblomimus", "Irazona", "Tatumella", "Dycoderus", "Anopistoscena", "Ousipalia", "Liabinae", "Lamiomimus", "Hyplathrinus", "Scepsis", "Darantasia", "Brephilydia", "Mergellus", "Hyattoceras", "Dailodontus", "Aulopus", "Holotheres", "Opisthostrombidium", "Cearagryllinae", "Strongylidium", "Tantulidae", "Entalina", "Thinobiini", "Xestoleberis", "Echinochasmidae", "Sophophora", "Zaluzianskya", "Neostapfiella", "Tenuitartessus", "Gulouidae", "Mataris", "Kontikia", "Parexophthalmus", "Plusiocampa", "Cauquenia", "Amphisa", "Frutillaria", "Megaceraea", "Cryptocisus", "Biaphelopinae", "Elaphomyces", "Chorista", "Cyphopleon", "Lissonotus", "Boekhoutia", "Drepanilla", "Afrikanetz", "Bothrioplanida", "Bistriopelma", "Calicnemia", "Ambrostoma", "Hypagophytum", "Yogetor", "Lebeckia", "Knysna", "Voeltzkowia", "Coleomethia", "Osteostraci", "Rhabditophora", "Trypetinae", "Coelanthum", "Xenyllodes", "Australenneboeus", "Flexivaleria", "Macasinia", "Alopecosa", "Aurivittia", "Paulianometallyra", "Hypoderma", "Marinimicrobium", "Iridosma", "Radfordia", "Euamblypygi", "Neolimnus", "Sphaerionotus", "Scamboneura", "Chlerogella", "Heterospathius", "Centranthera", "Ischnocoridea", "Gracilanillus", "Chlorizeinini", "Seliberia", "Muohuysia", "Riodinini", "Osteolepiformes", "Neurateles", "Guaranimiris", "Astreptonema", "Cretacimermis", "Scandarma", "Ophiopteridae", "Nemacepheus", "Gyropaigne", "Lemnoideae", "Metatropis", "Adiaphorostreptidae", "Brachyphylla", "Myrtoideae", "Flexitibia", "Oxneriaria", "Arietitidae", "Laocoetis", "Halidrys", "Spilonema", "Prionoceratidae", "Dixa", "Discyphus", "Isabel", "Monodromia", "Harutalcis", "Pseudothaumaspis", "Pascherella", "Lithothrix", "Stylotrichium", "Megagonatopus", "Fulica", "Maevia", "Borboropora", "Ellobiida", "Caenocrypticini", "Orbales", "Pclasvirinae", "Chilibathynella", "Petrosaurus", "Fittingia", "Discocelides", "Xizangia", "Xenostega", "Nionia", "Formicoxenus", "Sierraphytoptini", "Eustephia", "Rhodnius", "Rainiera", "Lateropora", "Neoamblyopone", "Tetraglyptus", "Labiobaetis", "Linshcosteus", "Wutuella", "Panabachia", "Africophilus", "Thymariodes", "Rhynchoserica", "Hopliphora", "Ophiopsidae", "Hemerocoetes", "Trogloclivina", "Medusafissurella", "Phaloriini", "Xylia", "Acucera", "Heterelaphinis", "Chamaedoreeae", "Catapieseini", "Microphlebia", "Nasutopedia", "Typhlosorius", "Siliconodosarina", "Carpiliidae", "Adelowalkeria", "Cartonema", "Hemicythere", "Mamillisphaeria", "Calyptomerinae", "Evaniopisalia", "Sphaeroschwagerina", "Aleuropleurocelus", "Idiopterus", "Pseudedomia", "Schlechterosciadium", "Blaberops", "Pterographium", "Parancylolomia", "Cancellina", "Scleromitrion", "Euherdmania", "Mayerella", "Poranthereae", "Chlamydiales", "Masteriinae", "Palmococcus", "Dampfomyia", "Gammamphistoma", "Rizalthus", "Bolyeria", "Paurotarsus", "Cajetini", "Sybroopsis", "Cytheridae", "Scarabatermes", "Stenocoris", "Sathrochthoniella", "Taiwanophodes", "Umerata", "Amcortarsonemus", "Batrachedra", "Anadyomene", "Ischaliinae", "Hydatothrips", "Dicheirinia", "Kremastochrysis", "Proceropharynx", "Paramacrobiotus", "Synopeas", "Veleroninoides", "Gymnocypris", "Phelaus", "Funneliformis", "Phaeobacterium", "Chlorophanes", "Tribonematales", "Basananthe", "Tropidotrechus", "Queenslandicesa", "Tibicina", "Acronia", "Demanietta", "Impatiens", "Lingulininae", "Phenacovolva", "Beamerana", "Tasgius", "Discorhabdella", "Idioplana", "Allotingis", "Embiotocidae", "Manganesepta", "Bellamyus", "Plotinini", "Samanea", "Eoplethodidae", "Megalacanthus", "Peachia", "Isoseculiflustra", "Rellimocoris", "Saurerpetontidae", "Albertwoodemys", "Coleochloa", "Polyonchobothrium", "Toxoproctis", "Polydispyrenia", "Jime", "Fauxulidae", "Nitakeris", "Falsexocentrus", "Dayao", "Plectiscidea", "Plagiochasma", "Deanolis", "Continenticola", "Monotalla", "Caulastrocecis", "Trigonopyxis", "Chnaunanthus", "Omiini", "Chlorodrepanis", "Eurodachtha", "Sesquiluna", "Laccodytes", "Poachelas", "Neotyphula", "Hemitruljalia", "Anguimorpha", "Cilioeme", "Afronychus", "Prosopistoma", "Gyna", "Llagunoa", "Pyrgocorypha", "Diablodontus", "Allonocardiopsis", "Castellanethes", "Gratshevbelus", "Meximia", "Globigerinatella", "Neorchestia", "Macronychia", "Teneposita", "Asiodonus", "Annoneae", "Peodes", "Apoboleini", "Psilothrix", "Gymnoderma", "Titanosuchidae", "Dianthus", "Cycnotrachelus", "Glossamia", "Spongiococcum", "Phyllobrotica", "Capnodes", "Schistomerini", "Palaeostigus", "Oosagitta", "Petrovia", "Ranunculoideae", "Balanomorpha", "Aulosaccus", "Ledouxnebria", "Praemachiloides", "Homonota", "Nesotemora", "Phymanthidae", "Grobya", "Austracus", "Alethinophidia", "Cebrenistella", "Antarchaea", "Ballocephala", "Codites", "Pachypellina", "Fatoua", "Umbilicus", "Stenophylla", "Brachychiton", "Notiophanes", "Conchopterella", "Tetradelus", "Speluncarius", "Sphaericus", "Metaxycheir", "Mildana", "Neosuctobelba", "Clinantheae", "Straneoites", "Thysanoteuthis", "Fryerius", "Palaeophileurus", "Cariamiformes", "Ceranisinae", "Craspedopleura", "Karatavia", "Lomatium", "Salvertia", "Diorchiraillietina", "Lindbergia", "Carrodorus", "Tamonea", "Euhaplorchis", "Aspidolithus", "Maullinia", "Polycanthagynini", "Drusilla", "Parideae", "Ambelaniinae", "Coliiformes", "Gainia", "Otoba", "Aprognathodon", "Mida", "Prenocephale", "Scoliopterygini", "Barea", "Parthenothrips", "Neotarsolarcus", "Lophanthus", "Discelium", "Aploparaksis", "Lagenophrys", "Elaphandra", "Psittacidae", "Eupatorium", "Myodes", "Stenochrus", "Oryctoantiquus", "Theratromyxa", "Calandrinia", "Nipponolebia", "Nesoromys", "Stenoscelodes", "Araespor", "Condylostomatidae", "Swaziphanes", "Evoxymetopon", "Pavonia", "Atriolum", "Liangia", "Periphyllophora", "Pseudoxyops", "Australiteuthis", "Joinvilleaceae", "Azeta", "Drepanoleptusa", "Caloplacoideae", "Borrala", "Sudamerica", "Grewia", "Basiprionota", "Peronura", "Biemna", "Cateremna", "Corollithion", "Elitheya", "Sumaterana", "Callimachus", "Curimagua", "Duvalius", "Diasemia", "Euphrasia", "Pyxidiella", "Basiliogeus", "Champiocolax", "Ochropsora", "Eestilepididae", "Anascoptes", "Diplomesodon", "Austrisaturnalinae", "Corticibacter", "Masteria", "Rhizidiocystis", "Podonephelium", "Hemicyclammininae", "Bristowiella", "Parapetrobius", "Napaeosciomyza", "Razanus", "Spirobolellus", "Chorisporeae", "Torenia", "Termitoscydmaenus", "Neomaja", "Stenoeme", "Elaeagnaceae", "Poliopogon", "Hemisphragia", "Carukia", "Heliozela", "Asaccharobacter", "Plectanocotyle", "Sporodochiolichen", "Gypsina", "Melieae", "Alliopsis", "Yinshania", "Chariea", "Antrozous", "Planctomycetes", "Tibiodrepanus", "Paraphiliopsis", "Dendronina", "Calotomus", "Pseudorobillarda", "Limnarchia", "Teredinibacter", "Lessingia", "Vizimbum", "Alexania", "Parastenocaris", "Monotomidae", "Makarasphaera", "Otagia", "Parabactra", "Degeliella", "Selliera", "Trepacmes", "Trilobitideus", "Panthea", "Arenomydas", "Laoreicheia", "Thylacospermum", "Granitohyoidea", "Capitonidae", "Calitys", "Calycidium", "Anisotheca", "Protocoleoptera", "Mystropetalon", "Philotermitini", "Nycteliini", "Laurales", "Paterinata", "Centrarchops", "Dictyoceras", "Anachalcoplacis", "Tyrannochromis", "Podocarpomyces", "Anisochromis", "Glaphyrocysta", "Luperini", "Acanthodavacarus", "Paramorphochelus", "Coniocybomycetes", "Eurypetalum", "Lepidus", "Pseudoberwaldia", "Capsulana", "Limacoidei", "Diplotriaenoidea", "Abryna", "Mecopini", "Aoruroides", "Formicomiris", "Coeloria", "Dactylomys", "Moniliformidae", "Ankylosaurinae", "Hemirhagerrhis", "Cynomacrurus", "Uronyssidae", "Pseudohegesidemus", "Oedipodinae", "Petrolisthes", "Hadrognathini", "Jdaidites", "Dimerocerataceae", "Eumorpha", "Uralbia", "Periconiaceae", "Cornumutila", "Paeonodes", "Orthonychidae", "Amplectellopsis", "Pseudophilotes", "Titanoceratops", "Ryojius", "Indiacypris", "Afromevesia", "Axestoleus", "Corticattus", "Coniperipsocus", "Bruchinae", "Myxochlamys", "Onoreusa", "Stenoloba", "Laelia", "Spudaeus", "Megaegira", "Janzophion", "Klubovella", "Madecassia", "Caccoplectinus", "Podoviridae", "Deilanthe", "Dendrerpetontidae", "Nothosaurus", "Hemicystodinium", "Chonosaurus", "Mystromys", "Lipschitzia", "Batrischema", "Cipopeoria", "Pseudoheteronyx", "Trichoglossina", "Lopholiodes", "Andalgalomys", "Pseudoperinthus", "Asteranthe", "Eupodoidea", "Nannocystineae", "Fissurellidea", "Embidopsocinae", "Ammophila", "Ridesa", "Paleosepharia", "Adenocephalus", "Creagrutus", "Tachyxysta", "Cytoditidae", "Anabathmis", "Cryptochiroidea", "Gnorimimelus", "Diplopseustoides", "Tetralonioidella", "Triso", "Livingstonia", "Seranambia", "Catantopinae", "Burchardieae", "Opisodasys", "Minibi", "Secallia", "Synprosphymini", "Triunfosaurus", "Anchialella", "Palthis", "Akschindlium", "Navira", "Chaetopodella", "Onychocepon", "Pleuropterantha", "Specklinia", "Thermosporothrix", "Spongiobothrium", "Adelotus", "Maricaulis", "Ophiomoeris", "Boragineae", "Aspidoras", "Encrinuridae", "Pseudacarapini", "Bopyrosa", "Hyalellopsis", "Trematochampsidae", "Adeana", "Helictochloa", "Lordopini", "Pouzolzia", "Ripacubana", "Eupelix", "Ascidiimonas", "Heterotilapiini", "Parabothriocephalus", "Mayetiini", "Murathus", "Wemersoniellidae", "Neopseustidae", "Matrona", "Nothosporadoceras", "Exeristes", "Diphylleida", "Podosphenia", "Neothesiastes", "Drepanulatrix", "Drepanoneura", "Coniotrogus", "Neopamphantus", "Chasmatoniscus", "Malaraeus", "Orbocotyle", "Lasiorhynchus", "Pelistega", "Lenticulina", "Machadoia", "Sineudonia", "Birkenia", "Muyocopronaceae", "Nuritamburia", "Hemigellius", "Notioscopus", "Codoglossa", "Vietnascincus", "Procloeon", "Colacopsis", "Attemsiella", "Holophagae", "Protonychophora", "Ypsilothuria", "Canoptila", "Astanchus", "Cryptosyringida", "Nietzscheana", "Pseudomaraces", "Ballhygia", "Otiorhynchini", "Plagiospora", "Sinopora", "Globuliphorinae", "Mohacolora", "Arotromima", "Apectinaria", "Entophilus", "Vitreorana", "Conobregma", "Macrosaldula", "Methylosulfonomonas", "Plectanium", "CMK", "Paraplectus", "Macellibacteroides", "Zotovia", "Emicocarpus", "Neopsoromopsis", "Stauroteuthis", "Cleptosoma", "Mucrosomia", "Mesocapromys", "Lobulomyces", "Lindeniinae", "Potamobatrachus", "Lasiommata", "TACK", "Achyropappus", "Mesostoa", "Welderella", "Willaertia", "Lasiopetaleae", "Dinarobia", "Sannantha", "Desulforhabdus", "Ischyroceros", "Triaenophora", "Plesiotypus", "Gyralina", "Ectropotheciella", "Lanceolidae", "Collodaria", "Geniotrigona", "Ceratodoryctes", "Nesogenes", "Volumnus", "Calcinus", "Neobittacus", "Neostaphius", "Bison", "Acroceridae", "Sphenodiscidae", "Pterodictyon", "Hominina", "Corocalyptra", "Pleurodiscina", "Hirsitilla", "Dictyterina", "Xenoperdix", "Hellenius", "Wurmbea", "Aretzina", "Kuatunia", "Mazosia", "Cymbosema", "Pluralibacter", "Deckersamphiura", "Otamendiella", "Zophodia", "Hemiopinae", "Tropidocephalini", "Mesovelioidea", "Rhodareas", "Bulbinella", "Fortunatius", "Disparoneurinae", "Macroprotodon", "Nhoabe", "Asteiinae", "Chlidonophora", "Misantlius", "Artinga", "Geodipsas", "Nothognathini", "Arctacaridae", "Diomedacarinae", "Odontarrhena", "Lihuelistata", "Heterochernes", "Telespiza", "Protonaegleria", "Suessia", "Neochlamydia", "Basistichus", "Pothoideae", "Cryptopygoplus", "Yetipolia", "Argiocnemis", "Eugongylus", "Plagiozopelma", "Erastria", "Bolotettix", "Ozourina", "Roeslerstammiidae", "Hymenodontopsis", "Phenrica", "Eurymorion", "Ippitoides", "Taiwansaissetia", "Spiroplasmataceae", "Alexornithidae", "Parasimuliinae", "Cladodus", "Laedorcari", "Rhimphoctona", "Acaridae", "Colle", "Anchiblarinella", "Illadopsis", "Chloantha", "Kathemacanthus", "Etronia", "Proteleia", "Pseudawerintzewia", "Afrocoscinia", "Lufengpithecus", "Yrocalanus", "Natipusillaceae", "Aplodontiidae", "Linargius", "Eremotheciaceae", "Erinus", "Leptynoptera", "Inaloa", "Protoplophoroidea", "Parathelohania", "Crinocraspeda", "Litini", "Hesudra", "Monoditanais", "Microligia", "Caenomorphidae", "Astacidae", "Bruniopsis", "Ghabrivirales", "Bulotartessus", "Valsariales", "Yinoceras", "Dothideaceae", "Botryodesmis", "Tadumia", "Odontophrynus", "Crassostrea", "Charmosylichus", "Aeverrillioidea", "Mortoniceras", "Neocrepidolithus", "Broscus", "Dictyomenia", "Notanthura", "Semilabeo", "Afroropus", "Paratyndaris", "Neorhodesiella", "Echeneis", "Pelvetia", "Reinwardtiodendron", "Oabius", "Hyperiopsis", "Cottus", "Teeatta", "Tridacna", "Actinoprosopa", "Operculodinium", "Neoachryson", "Pseudocamelina", "Psaphidini", "Anomophysis", "Dactyladenia", "Remus", "Calopterini", "Amphithrix", "Miresa", "Typhloglomeris", "Omphalotrochidae", "Protoliupanshania", "Promesomachilis", "Cherrocrius", "Styphlolepis", "Acylophorina", "Cryptobasidiaceae", "Pleuraphodius", "Hadrosomus", "Paracynictis", "Orussobaius", "Tuicoris", "Atropanthe", "Falconius", "Syntrophus", "Cimidae", "Chrysochloa", "Stictomantis", "Lepidothamnus", "Ascerodes", "Isoetes", "Greenidea", "Evaniscus", "Plagiocrossa", "Leptosialis", "Arcoidea", "Craseonycteris", "Xestocoris", "Cnetha", "Ligonipedina", "Leviathaniidae", "Methanocalculus", "Candelabrum", "Robeschia", "Cratocryptus", "Ludiinae", "Phallodrilinae", "Dougiola", "Auzeinae", "Bathyphelliidae", "Deuteromera", "Hoplocarida", "Hymenopodinae", "Gillmeisterium", "Calcarina", "Chaetura", "Ophiomitrella", "Gloxinia", "Lathiceridae", "Micromyzus", "Antarctophorus", "Cribellopora", "Haplozoonidae", "Sansarea", "Lagenantha", "Cyatholaimidae", "Tibiocoris", "Callocardia", "Kalcerrytus", "Staphylococcaceae", "Cotiheresiarches", "Kiambura", "Chasmatopterus", "Epopea", "Pinocharis", "Platylampona", "Pikroprion", "Henschiella", "Pachynomidae", "Segestria", "Panterpe", "GUMF", "Wailamyctes", "Nigidius", "Acanthophorus", "Pendromidae", "Amblyopinodes", "Boliniaceae", "Naucorinae", "Lingelsheimia", "Elongatohomelix", "Basilicus", "Archaeoteleia", "Mordaciidae", "Dendryphantini", "Babakotia", "Conchylis", "Globotruncanellinae", "Eizia", "Ensliniella", "Momorangia", "Wolframmeyia", "Curtognathus", "Erannis", "Allips", "Epelysidris", "Amphibamidae", "Barbutiidae", "Chionidae", "Neopsittacus", "Xanthoria", "Irkana", "Asteroxylaceae", "Neonidulus", "Collemopsidiales", "Paracineta", "Thymebatis", "Benthamina", "Coleostephus", "Emphytoeciosoma", "Colletidae", "Robiquetia", "Psychodomorpha", "Bagrus", "Problematode", "Sebakue", "Strigeidida", "Sphaerogypsina", "Saundersella", "Porostreptus", "Trypanorhyncha", "Theileriidae", "Asterostigma", "Platyrhinoidis", "Escarabaeus", "Beaniidae", "Eomaia", "Diplopaederus", "Yoshidaia", "Multicalyx", "Priscomasaris", "Gordonaster", "Seeleyosaurus", "Hellmayrea", "Minypatrobus", "Typhlusida", "Centroleninae", "Leptolycini", "Chersodromia", "Frenulinidae", "Microfalculidae", "Cephalothecace", "Timbaraba", "Ophialcaea", "Elysioreiga", "Eucordylea", "Codonobotrys", "Sittidae", "Macratriomima", "Macherocerini", "Sinochloritis", "Dicella", "Leptodictyum", "Homoeoschiza", "Ammodiscoidea", "Craterolophidae", "Bipolaris", "Paradoxosomatidae", "Dorsum", "Myrmecotonus", "Phialocephala", "Triaulacias", "Biammothea", "Mariniluteicoccus", "Eriophonus", "Metapallasea", "Agnezia", "Mazoe", "Archiclaviger", "Dasyhormus", "Orthonematidae", "Toxophora", "Oligaphorurini", "Pyroneura", "Omaliini", "Subaspinoceras", "Leiodota", "Cingula", "Furnariphilus", "Indosylvirana", "Acanthosiphodera", "Trachyrhamphus", "Dicherotropis", "Deuteramoeba", "Corynotus", "Hippocastaneae", "Ennodius", "Autostichinae", "Philotarsinae", "Leptochelia", "Sinolispinodes", "Acrotaphus", "Babesiosoma", "Methocha", "Zerene", "Trachychloron", "Symphyllophyton", "Zoogonidae", "Epiphanidae", "Lanatospora", "Erosa", "Cicablabus", "Discorbis", "Chamaesciadium", "Polythore", "Pedetontinus", "Pseudobatrisus", "Notopygus", "Hydrobacter", "Podochilus", "Orgilonia", "Catantostomatidae", "Whippomorpha", "Sclethrus", "Stylophora", "Phymatosorus", "Dalea", "Mesotritia", "Scorpiurium", "Chromatiaceae", "Intritenda", "Callionymus", "Ophropyx", "Jerbeia", "Crecopsis", "Rhytidoidea", "Lymanopoda", "Ezoplana", "Bryocoropsis", "Cacsius", "Acrossotidae", "Holopodidae", "Bulia", "Portulaca", "Ichtyoselmis", "Prioriphora", "Hoffeinsoria", "Ideoblothrus", "Monstropalpus", "Myxoderma", "Cyclosa", "Baltimartyria", "Psophiicola", "Ovivora", "Psammosynedra", "Thiothrix", "Ophiuche", "Neospades", "Abyssochrysos", "Candelinella", "Theprisa", "Acontiini", "Neopilio", "Acrodonta", "Rolla", "Argyrodiaptomus", "Archonychophora", "Aubignyna", "Cladotominae", "Alysiasta", "Crassikamaena", "Himanthalia", "Felicena", "Myza", "Sethenira", "Aneurodellus", "Maechidiini", "Mielkeanthidium", "Leodia", "Caviomonas", "Legionellaceae", "Thoracocarpus", "Michelopagurus", "Bouchea", "Alaena", "Spelaeobatina", "Gelidiocolax", "Desmogomphus", "Epipopolini", "Stelis", "Lutevanaphididae", "Sennius", "Drassodes", "Hyperodes", "Resigella", "Encolia", "Paramesopsocidae", "Phrynocephalus", "Chinaola", "Oxyphyllum", "Philasterides", "Bistomiacystis", "Arachnitus", "Orthoceratium", "Irinula", "Pterygiella", "Dumoga", "Cucumaricolidae", "Heptanthura", "Resinacaridae", "Advenella", "Eremogryllodes", "Leucinodella", "Androyinus", "Hyssopus", "Polyedriopsis", "Lepidonectes", "Furcatergalia", "Dipsacus", "Colymbosaurus", "Illinigina", "Diplomeris", "Macrogalidia", "Rostratula", "Chandraniscus", "Andini", "Maulini", "Rhinodromus", "Paulianoscirtus", "Mantelliceras", "Naudea", "Metaverruca", "Belemgena", "Lichenochora", "Platydascillus", "Hestia", "Stenoscelis", "Apopyros", "Protelater", "Dakotadon", "Agonita", "Jacobsenia", "Glyphiolobinae", "Pseudapiconoma", "Heterosternuta", "Aglossorrhyncha", "Strongylopsis", "Glyptopetalum", "Neostatherotis", "Spathicrioceras", "Elaeodendron", "Cryptobiaceae", "Austrophilopterus", "Calymperaceae", "Radula", "Polyacanthorhynchidae", "Pteridospermatophyta", "Scardamia", "Peridiscus", "Grandjeanellina", "Araneini", "Semidesertobia", "Albulatrematinae", "Ameliella", "Orthomoia", "Coelotilapiini", "Homosteiodea", "Ctenipocoris", "Synechodus", "Batrisophyma", "Idolothrips", "Mimetridium", "Paraphaeosphaeria", "Scenedesmaceae", "Anisantherina", "Udeterus", "Austracantha", "Longodus", "Placothuriidae", "Pukakia", "Myrmecosaurus", "Uropedalium", "Italodytes", "Sagda", "Placynthium", "Asmeringa", "Cornuticlava", "Hapsocysta", "Reicheiodes", "Euclidiodes", "Niphon", "Textulariida", "Ellochotis", "Rostellariidae", "Alticus", "Pararhyssemus", "Gyrothyris", "Parmulariales", "Alisterus", "Hyperiidea", "Teracotona", "Calostreptus", "Eobracon", "Oberthuroplia", "Thermogemmatisporaceae", "Notocyrtoides", "Centsymplia", "Zanclus", "Paradusa", "Chlorida", "Bridelia", "Polychaos", "Tethya", "Myrmekiocellio", "Deois", "Drinker", "Asterosiga", "Myxophora", "Kimia", "Diamphipnopsis", "Iconostigma", "Palaeosetidae", "Sericopus", "Dichapetalum", "Biancolinidae", "Peavinenemertes", "Iodosphaeriaceae", "Scyphonychium", "Sebrus", "Phoratopidea", "Calescharidae", "Discotrema", "Mylantria", "Ticinolepis", "Lophodinium", "Eucarterus", "Polystephina", "Cranaphis", "Sumatroscirpus", "Neophyllobius", "Herpocladiella", "Stylasteridae", "Alloplitis", "Orygocera", "Peruusa", "Minucella", "Portunicepon", "Triopasites", "Huka", "Microspongium", "Scapteriscinae", "Reticulophragmoides", "Hemidictyini", "Holops", "Cleistes", "Agyrtria", "Disematostoma", "Trichobatrachus", "Hilbigneris", "Ectothiorhodospiraceae", "Rhigospira", "Ophiolycus", "Hamakko", "Extensimonas", "Lepidodactylus", "Calamoclostes", "Gallesia", "Eudicronychinae", "Zygiella", "Coelinius", "Novopsocus", "Austrobrickellia", "Uromanis", "Blastocatella", "Sesarmoides", "Barrojuba", "Marpissa", "Utinomiidae", "Catalectis", "Gareila", "Neunkanodes", "Echinophora", "Pseudocladophoraceae", "Eowedekindellina", "Eurypygidae", "Cleisomeria", "Patagonicola", "Stylonychinae", "Pegylis", "Aphelaspididae", "Oresbius", "Maimetshidae", "Pselaphaninae", "Macrotrigonophorus", "Ubis", "Pambdelurion", "Homadaula", "Ideobisium", "Deltorhinum", "Triloculinella", "Derispia", "Trapella", "Aureicoccus", "Ctenophthalminae", "Aphantolana", "Chaetonema", "Strombosoma", "Galene", "Ganguelia", "Aliscarabaeus", "Ecitophanes", "Oriflammella", "Torymus", "Hermesia", "Physcia", "Homoeostrichus", "Tarbosaurus", "Asopinae", "Zeacrinitidae", "Campsiandra", "Phygadeuontini", "Leucocraspedini", "Florenciellales", "Bryobiota", "Ampelocissus", "Eulachnesia", "Bohartina", "Setoparmena", "Apoderigerina", "Megacoeloides", "Compsocus", "Nolellidae", "Abactochromis", "Mecideini", "Ceropegia", "Allochaetophoridae", "Molurina", "Prexaspini", "Salazaria", "Jubaeopsis", "Orleanesia", "Ceratophyllomorpha", "Paenetrogodes", "Cremosperma", "Coccolithophorales", "Pileopsis", "Thecanephria", "Barycheloides", "Eucanthus", "Aviceda", "Alisedimentitalea", "Guaramiris", "Ionescuellum", "Labrospira", "Colpodontosaurus", "Xenograpsus", "Zancleopsis", "Achtherampla", "Thaumatocypris", "Sarcoptes", "Euphysora", "Criblamydia", "Circanota", "Inflatana", "Tropogastrosipalia", "Acuclavella", "Niphaea", "Hylodesina", "Mimizuku", "Paratyinae", "Macroschisma", "Spartidium", "Cypsiurus", "Callithia", "Ypypuera", "Glossobothrium", "Falsoterinaeopsis", "Ogmoderidius", "Choanotaenia", "Idiocnemidinae", "Cerviniella", "Polyphena", "Tomentaurum", "Amphiachyris", "Scolopendrelloides", "Thueringoedischiidae", "Oxyolena", "Centrolene", "Pseudeuchromius", "Eocanites", "Thranitica", "Jeotgalibaca", "Oehserchestes", "Aeromonadales", "Laenini", "Thyrsopteris", "Stichosiphonaceae", "Temnopleuridea", "Roimontis", "Lasiodiscidae", "Koreozospeum", "Hemphillia", "Pseudocladochoninae", "Vervoortihelcon", "Callospermophilus", "Metathelypteris", "Tropheryma", "Lasionemopoda", "Alyssoides", "Tremellaceae", "Amnonella", "Amphiuma", "Helicodonta", "Lamtostylides", "Adlargidea", "Neochloridaceae", "Indocetonia", "Metanapis", "Phaeodactylum", "Cervaphidini", "Taeniorhachis", "Thestius", "Olisthodiscus", "Cyrtocris", "Cixidia", "Meganoton", "Achaearanea", "Amphichaetodon", "Ophiomaza", "Xyroscelini", "Planipeza", "Metaxyonycha", "Joaquima", "Kiitoksia", "Levasseurius", "Archicladosoma", "Charipinae", "Haloragis", "Leonnates", "Separatoppia", "Coccocarpia", "Perodicticus", "Humularia", "Euborellia", "Percnidae", "Megastylidinae", "Genlisea", "Thilmanus", "Eurocrypha", "Puertrechus", "Astroglymma", "Phryganopteryx", "Calcarichelys", "Geochloa", "Thaumatomyrmex", "Mesocupoides", "Ageneiella", "Gurburra", "Jaekelopterus", "Saridoscelinae", "Ctenopseustis", "Anisorbione", "Nigrofomitaceae", "Notoleptopus", "Clidophleps", "Caladenia", "Hiroshiinoueana", "Pentaspadon", "Crepidophyllum", "Hallucigenia", "Cyphononyx", "Uroconger", "Harmophorus", "Neocoleroa", "Paraleptoeme", "Heterosilvius", "Eschatogonia", "Psammosphaeridae", "Urocentridae", "Australotadorna", "Falsohyagnis", "Bactra", "Cephalaspidida", "Sephora", "Stichtoptychus", "Eulacophyllum", "Hexasaturnalinae", "Brasilaccoderus", "Chamaecereus", "Eulepida", "Nacoleia", "Cuneolininae", "Degallieridium", "Megascelis", "Varieras", "Ophryodendron", "Cyclochila", "Quadricalcarifera", "Mecinonota", "Eucremastus", "Willibaldiana", "Exoplisis", "Robinsondipterus", "Mesevania", "Acanthodrilidae", "Lophyrocera", "Encolapta", "Antennariidae", "Branchipodidae", "Giganturoidei", "Aspidiophora", "Atopopus", "Cynotilapia", "Huinaylepis", "Sorochytrium", "Neogloeosporidina", "Pterocacteae", "Proboscites", "Herozoum", "Cabamofa", "Godana", "Helicopsychidae", "Orchesia", "Potamocarcinus", "Arthroplea", "Exothecinae", "Jaegeriinae", "Tubidermodinium", "Loganieae", "Albanogammarus", "Cyclopecten", "Anatheta", "Lepidieae", "Narapidae", "Bryconamericus", "Petilipinnis", "Anosia", "Psammophax", "Mesoechinophallus", "Zoanthidae", "Pseudosolenia", "Helicinae", "Anthenantia", "Pertusariales", "Lapanthus", "Ormetica", "Aplestoglossa", "Stauroneis", "Helina", "Acanthosicyos", "Acanthormius", "Piroplasmida", "Kentrodiscus", "Spirotontonia", "Khetania", "Crosbyia", "Acanthopterus", "Ascuta", "Anomalophylla", "Aphragmus", "Harpesaurus", "Eohaustorius", "Hologerrhum", "Chamelania", "Pelotomaculum", "Otomantis", "Haplaner", "Yuopisthonema", "Charmosyna", "Stanini", "Heleanna", "Coreopsideae", "Closterini", "Ithomiina", "Rhynchomitra", "Coronella", "Doloria", "Saudia", "Lysipomia", "Ocypode", "Palaeoxys", "Myrmeconycha", "Megalorrhina", "Pseudovespicula", "Balionycterini", "Lophocoris", "Anilina", "Onychomyrmex", "Holoterpna", "Chlamydia", "Cryptopharynx", "Mesoplanodes", "Aethianoplis", "Rylandsia", "Silurus", "Leocottus", "Bonnetiaceae", "Ortachne", "Pinulasma", "Akaisphecia", "Aureoumbra", "Tournayelloidea", "Eurypyga", "Platygrapha", "Coniatus", "Furcroya", "Karubacoris", "Capnosema", "Dactylosphaerium", "Baumannella", "Agallissus", "Epipocinae", "Haplocladium", "Amsacta", "Xylella", "Sinonychus", "Leptocryptoides", "Microctomicrus", "Jianyunia", "Pseudovermis", "Agnostina", "Lophiomus", "Howelliella", "Nicarete", "Rhinolophinae", "Inermosyllis", "Empicoris", "Bocchinae", "Hensonia", "Barbourinella", "Chondropsidae", "Hesperoyucca", "Deleornis", "Proterodesma", "Gomalia", "Sabacarus", "Anamonorchiinae", "Wegea", "Holospiridae", "Aclopinae", "Rudbeckiinae", "Napothera", "Kijanebalola", "Cicadellites", "Ceratocoryaceae", "Mylabrini", "Dicranocarpus", "Tarsomegamerus", "Asporus", "Halystina", "Flindersia", "Ourisia", "Drymarchon", "Knightiola", "Vexaphorura", "Lenkunya", "Sinohippus", "Schistocarpha", "Enallopsammia", "Temnaspis", "Malgasacaridae", "Etiini", "Notocistela", "Paralpenus", "Chitinophagales", "Xenospadicoidaceae", "Andoniopsis", "Trigoniastrum", "Dendrocopos", "Satyanarayana", "Triomma", "Alburninae", "Heterographa", "Cytisopsis", "Niphecyra", "Tornatellidinae", "Trogloraptor", "Diodontidae", "Cacatuopyginae", "Puer", "Archisotoma", "Eutrichillus", "Stenoxotus", "Hyorrhynchini", "Badimia", "Onchidella", "Bouyerus", "Megacarpaeeae", "Tiedjeia", "Diapetimorpha", "Apagorea", "Karreriidae", "Applinocrinus", "Cosmianthemum", "Phycodurus", "Saprodinium", "Trigonozyras", "Pseudobersama", "Xenocephalus", "Batrinanda", "Choreocolax", "Afrorheithrus", "Beebea", "Drepanomonas", "Thuchomyces", "Artisornis", "Dicercina", "Isopeda", "Apterobiroina", "Komiyandra", "Rudisiricius", "Colomastigoidea", "Conoplectus", "Plesiosauroidea", "Euzopherodes", "Micrecia", "Colemania", "Zellerinella", "Menoidiomonas", "Anisolepisma", "Tasmanocyphon", "Trichocerota", "Porpacithemis", "Bisigna", "Prostalomus", "Stemmocryptidae", "Hypomyrina", "Pisa", "Trachythecium", "Leiosporocerotales", "Yukara", "Rhinopalpa", "Choanostomelia", "Yanachagana", "Rotastruma", "Asthenargoides", "Reboulia", "Amphipsyllini", "Glauconycteris", "Nothoscordum", "Portlandia", "Gnaphosoidea", "Startes", "Kogmania", "Semisalsinae", "Bonnetella", "Wittsteinia", "Madeovelia", "Conakrya", "Shansia", "Ornithischia", "Cosmochthonius", "Selitrichodes", "Drymophloeus", "Dissomphalus", "Chameranthemum", "Inulinae", "Plesiocochylis", "Verneuilinoides", "Kotejafulvius", "Tethysbaena", "Myiophobus", "Ctenanthe", "Pachnistis", "Neoscortechinia", "Ventilabrella", "Ophiodermatoidea", "Cranaidae", "Praedictyorbitolina", "Apalochrini", "Propseudione", "Bolbozoe", "Lobotidae", "Yinotheria", "Cryptotaenia", "Neoentobdella", "Amelichloa", "Eucereon", "Trachyderina", "Astraspidiformes", "Arachnopusiidae", "Aglyptodactylus", "Actinophryidae", "Hormosiraceae", "Oxyrhachis", "Enneameron", "Tafalisca", "Emphytoecia", "Tracheoides", "Kentrophoros", "Asterinopsis", "Wunderlichieae", "Xenolophium", "Emeia", "Ruhnkecestus", "Phelister", "Oppeliidae", "Coloephora", "Rhizochloris", "Gouleta", "Stangepelma", "Ananarsia", "Symphitoneuria", "Codon", "Acetabulastoma", "Rudilemboides", "Mixolimosina", "Katoporida", "Tulista", "Actinodiscus", "Dixidae", "Lemodinus", "Paraspicera", "Witteulisna", "Trichiusa", "Pseudohaetera", "Macrosphenus", "Caluromysiops", "Lauria", "Dipterosiphonieae", "Badumna", "Rhodymenia", "Salix", "Trypanoselachoida", "Stephanucha", "Kistimonas", "Furcatartessus", "Myrmechusa", "Labena", "Amphidorini", "Gnathanodon", "Oeonosia", "Arcytophyllum", "Ceractinomorpha", "Brana", "Mallomys", "Basileuterus", "Dascyllus", "Minyscapheus", "Choephora", "Ceriagrion", "Gemmocoris", "Glossodonota", "Georgecraigius", "Eetion", "Mixotrephes", "Cryptocarenus", "Siphomutabilus", "Ochetomyrmex", "Testudinoidea", "Kanieae", "Ptilodactylidae", "Cephaloidophoridae", "Zygothuria", "Saphenista", "Tanakaius", "Loveninema", "Crithionininae", "Afrosolen", "Sinocalliergon", "Veniaminia", "Cydros", "Liodoryctes", "Anaerosphaera", "Gomphus", "Aprosdoketophis", "Allomorphini", "Candidosia", "Wenzhouxiangellaceae", "Metschnikowiaceae", "Holosphaga", "Scythinus", "Myrtonectria", "Chileporter", "Yoshitomia", "Eirenidae", "Dysaphis", "Scyphidium", "Protelencholax", "Pyrgopsella", "Stegnogramma", "Cainosternum", "Pachyphasma", "Chaetodermina", "Polymixiipterygii", "Indolagus", "Oxus", "Meiopriapulus", "Pseudonocardiaceae", "Pseudoneureclipsis", "Sigmuncus", "Betamphistoma", "Ceratopteris", "Cryptonura", "Hemiceras", "Meteoriella", "Rhopobota", "Vendotaenia", "Grammopelta", "Dimorphodon", "Orthromicta", "Echelus", "Pseudorana", "Odontolaingia", "Orthoderina", "Epikopais", "Lunaceps", "Thunberga", "Flexanthera", "Calophlebia", "Brunsvigia", "Cantua", "Acerocephala", "Tetrataxidae", "Isomira", "Dasyproctidae", "Charinoidea", "Gredgaria", "Tanaupodoidea", "Hovorestenia", "Vallentinia", "Cassianaxidae", "Microbiotheria", "Dolichonyx", "Magapiidae", "Halimornis", "Caenohalictus", "Maroantsetra", "Monticelliinae", "Asterodon", "Cryptoramorphini", "Tyrannosaurinae", "Igdamanosaurus", "Rhabdammininae", "Thermoleophilaceae", "Dimorphoschelus", "Bisubcosta", "Dooliba", "Heteromastix", "Acteocina", "Byallius", "Corycus", "Reitlingerina", "Filgueirasia", "Hypocaryophyllaeus", "Eremopterix", "Bredia", "Sorberacea", "Plationus", "Stylopandalus", "Derxia", "Demba", "Gallorommatidae", "Milesina", "Tanyscelis", "Unnithanaxine", "Narcotica", "Symphorosus", "Protereismatidae", "Macrobelus", "Adenostomocoris", "Tambja", "Heringita", "Paraptila", "Hiodon", "Pseudoneptunea", "Alsopsyche", "Peranemaceae", "Hadromastacidae", "Lygaeinae", "Brachyistius", "Euryptychini", "Megamerini", "Cryptopapillaria", "Osirini", "Gorytvesica", "Lautarus", "Niparaya", "Apogromia", "Withius", "Vema", "Ahiromaimetsha", "Potamocoridae", "Ecitodonia", "Actaeomorpha", "Calpanthula", "Micralymma", "Xenepyris", "Frantisekia", "Neidosphena", "Birupes", "Tarsius", "Triphoreae", "Nesiothrix", "Hadrosauroidea", "Haplochromini", "Dacus", "Allonitis", "Cyrtocymura", "Cercomonadidae", "Bohaskaia", "Hyriinae", "Stenocara", "Aphelidiaceae", "Neoliodoidea", "Bakerdania", "Copidapha", "Plectroniella", "Krasskella", "Siphlonuroidea", "Pegasidae", "Palaeolithocyclia", "Dingana", "Cecidopus", "Huedepohlia", "Bruxanelia", "Paraleptognathia", "Pseudoleucon", "Thyrsopsocus", "Sania", "Malarina", "Cardiobacterium", "Xerosomatinae", "Kaszabia", "Kuphocheira", "Hypophorellidae", "Cruoria", "Laophontodes", "Docostoma", "Nodobaculariella", "Sabactiopus", "Spinatropos", "Polytaenia", "Camptischium", "Schlumbergera", "Batistinula", "Neostasina", "Methanoregulaceae", "Miscophini", "Crioceratitidae", "Deinopa", "Trachypepla", "Cladoselachiformes", "Cyatocotyle", "Choeradoplana", "Corylophus", "Myrmecomiris", "Glaucoammina", "Nesioeme", "Fusicornia", "Monolepta", "Stylopalpus", "Laberlia", "Trichodocus", "Hardametopa", "Caecosagitta", "Apteodinium", "Paradactylodon", "Bolbocaffer", "Pycnothea", "Fulvoclysia", "Uroactinidae", "Dolichothyreus", "Monneellus", "Parunxia", "Wallametopa", "Coronulinae", "Actinophyridae", "Nylanderia", "Papovaviricetes", "Ellisellidae", "Bathymicrops", "Lyperosterochara", "Crypthecodiniaceae", "Hergottella", "Macroprotus", "Prothylacinidae", "Gasteropelecidae", "Tanymastigidae", "Pentilina", "Amblystomus", "Hydnum", "Limata", "Lurida", "Amherstieae", "Arupaia", "Yaralidae", "Bromeliaceae", "Macginitiella", "Pseudoplatiella", "Leona", "Gralliclava", "Soricini", "Harpochloa", "Allocota", "Sphingobium", "Eudicronychus", "Jomonlithus", "Cirrina", "Pterobothriidae", "Archimacrostomum", "Phyllocomus", "Quadrisegmentum", "Arearia", "Zygopini", "Albertonykus", "Volvariella", "Chiastophyllum", "Herdonoides", "Protonotaria", "Deyeuxia", "Hesperentomidae", "Raytheres", "Oedera", "Demophoo", "Chlorococcum", "Polydectinae", "Amblyopinus", "Amaroria", "Lukinia", "Cotylea", "Cartetolana", "Paussomorphus", "Sinopla", "Abzaria", "Heterophryxus", "Rorqualus", "Louisettitinae", "Hastina", "Diplodia", "Dentifibula", "Ellipsocephalus", "Argyroderma", "Elysia", "Thaumastocephalini", "Salviniaceae", "Pseudognaptodon", "Plectopyloidea", "Toxisarcon", "Apagomerina", "Stibadocerina", "Albapomecyna", "Pagamea", "Cajanus", "Cosmozosteria", "Championella", "Ureaplasma", "Galendromimini", "Concinnalepas", "Malleoceps", "Bakini", "Pseudocopera", "Pedomicrobium", "Corethrellidae", "Pseudogordiorhynchus", "Halkyardia", "Fromentella", "Afarsia", "Peblephaeus", "Bullamitus", "Dicrochile", "Isochonidae", "Nerthra", "Mielichhoferia", "Aschistocoris", "Polyrhabda", "Loxomphalia", "Phallostethus", "Orbitoididae", "Dasyleistes", "Pterandra", "Madapelmus", "Samaris", "Calocheiridius", "Pirellula", "Typhlocoela", "Lanceoporidae", "Haematommataceae", "Subaeschna", "Galleria", "Sepiidae", "Aspergillus", "Rhombodera", "Halichoerus", "Tillomorpha", "Aidoia", "Pseudosimochromis", "Costasigma", "Thamnophiini", "Brassavola", "Agabetini", "Nanina", "Torynopus", "Criotettix", "Bothriembryon", "Lophopinae", "Hygropoda", "Monosolenia", "Oxydothidaceae", "Bakuellidae", "Wilkinsonellus", "Diachlorus", "Desmatochelys", "Haemulidae", "Ladissa", "Psyllipsocidae", "Lasthenia", "Sclerophrys", "Congosorex", "Aeromachus", "Bembina", "Stomatanthes", "Pyrops", "Brassicibacter", "Apiophorinae", "Ptilocodiidae", "Rauserella", "Dysteriida", "Clausoecia", "Paramecolabini", "Articerodes", "Nadata", "Halysidota", "Archireptantia", "Liorhyssus", "Tremolecia", "Doridoidea", "Homalogammarus", "Flatoidinae", "Otacustesis", "Helotiales", "Paragonostomum", "Quiinoideae", "Tetraktis", "Pingalla", "Serritermes", "Carpilioidea", "Notophysis", "Correa", "Monoecocestus", "Acordulecera", "Indogidiella", "Calliderma", "Monochoria", "Amnosia", "Causus", "Canthidium", "Propionispora", "Pteroptrix", "Schizochoerus", "Chimeromyiidae", "Asida", "Cribromiliolinella", "Arthrochaete", "Tectodamaeus", "Bucorvidae", "Mansoniella", "Mandjina", "Eudaroniidae", "Ornithocheirus", "Corophium", "Pyrrharctia", "Thyrsostoma", "Clethrogyna", "Megaloastia", "Indomalayia", "Ampedini", "Eustictus", "Xenocys", "Heliades", "Triptilion", "Linurgus", "Sideroxylon", "Desemzia", "Hypacanthohoplites", "Aerides", "Thermofilaceae", "Ommatogaster", "Oxyptilus", "Haniffia", "Schizamoeba", "Acanthostyles", "Dorisiella", "Mycalidae", "Ilyocoris", "Soleniscidae", "Schizopyga", "Chileolobus", "Sceptobiini", "Pedicellina", "Arhaconotus", "Brentus", "Matsumursine", "Cortaderia", "Antygomonas", "Meridiungulata", "Pseudochorisodontium", "Linuche", "Persilena", "Diaperasticus", "Pristoceuthophilini", "Choanephora", "Cheilosoideae", "Saegerius", "Epistomentini", "Dorsipes", "Parapholidoptera", "Epirobiidae", "Melanotaeniaceae", "Niassodon", "Dargeclanis", "Pilodeudorix", "Planiloricaria", "Symbiodiniaceae", "Calligoneae", "Renouxia", "Pterocerota", "Hanabusaya", "Eulithomyrmex", "Sponsor", "Prosthetops", "Tabaroa", "Monocotylidea", "Petroschmidtia", "Hermaeidae", "Lasia", "Cedrorum", "Atrochidae", "Cherax", "Dracorex", "Chlaenius", "Moreidae", "Lepidomysidae", "Clypeoaphis", "Termitoptochus", "Geum", "Endoxyla", "Euthyphasis", "Cathayosporangium", "Cambarincola", "Koukoulia", "Melanoxylum", "Leucantheminae", "Callosides", "Pseudobacteriovoracaceae", "Alloscardovia", "Tyrannoseira", "Eustegia", "Formicarius", "Pegomastax", "Psittaboydaia", "Liparocephalus", "Baecacanthus", "Cottocomephorus", "Ua", "Phaenochilus", "Doliche", "Ischnomyia", "Thaioodes", "Kolpophis", "Bruneiaptera", "Manokia", "Dendrides", "Sympetrinae", "Lutzomyia", "Atetrapachylasma", "Rebentischia", "Penarchigetes", "Oreopsar", "Barkudia", "Hoplopheonoides", "Histeroidea", "Ginkgoaceae", "Laser", "Naohidea", "Apharus", "Prosciara", "Mohavea", "Chelipoda", "Lophobates", "Tethepomima", "Chinatichampsus", "Brachyclados", "Cilunculus", "Denekia", "Archaeperidinium", "Oncocephalini", "Cretaenne", "Forschiinae", "Glyptogidiella", "Cochliogonus", "Monganella", "Parapagurus", "Mimarachnidae", "Sebastiano-schaueria", "Sphingomorpha", "Macrohydnobius", "Leucothyreus", "Harringia", "Endostemon", "Synansphecia", "Naccariaceae", "Sauvageaugloia", "Zoogenetes", "Primorskyibacter", "Fossoniscus", "Tiporus", "Phyllolepidae", "Planogyra", "Cribrolinoididae", "Pirimela", "Bibionomorpha", "Coryphella", "Acmaeoderoides", "Paracanthosybra", "Takapsalta", "Rovnoleptochromus", "Pedupycnolepas", "Lomorupithecus", "Labriphimedia", "Avetheropoda", "Neodactylariaceae", "Desertoleria", "Electrapate", "Heterovalgus", "Setacera", "Melizoderes", "Siphotextularia", "Tyrictata", "Diretmidae", "Catagoniopsis", "Xylanthribus", "Ammopalmula", "Scraptogetus", "Metamasius", "Laculus", "Workmania", "Planifilum", "Cassidulinoides", "Archaeotinodes", "Lygaenocoris", "Singapora", "Acossus", "Rhinomactrum", "Oestlundia", "VAL", "Megatherium", "Grapsoidea", "Gypsoplaca", "Clitambonitidina", "Triptognathops", "Fulgorini", "Zetekella", "Nervilieae", "Kibalus", "Perforatellini", "Arthromachus", "Tanymecosticta", "Omphalospora", "Cephalophonus", "Coloana", "Antennommata", "Dicyrtomina", "Belippa", "Coenogoniaceae", "Micropacteridae", "Pseudocatapyrgodesmus", "Cyathophorum", "Ochetoxena", "Diaphanopterodea", "Progynotaenia", "Xerosomatini", "Columbinia", "Spaniblennius", "Oxytelus", "Neoscopelus", "Minibidion", "Laubierinia", "Idiozetes", "Metamayetia", "Helophorus", "Banhadoa", "Picorphinus", "Camaricus", "Cardiaspina", "Platyphanes", "Cryptosylvicola", "Agrosoma", "Rugoconites", "Itzaea", "Fortiea", "Metanarsia", "Hydropotes", "Intereuodynerus", "Parasitiae", "Isometopsallops", "Heterogloeaceae", "Nastiinae", "Xystonia", "Galantheae", "Portaratrum", "Uzelothripidae", "Numidicola", "Coulaceae", "Hylambates", "Selenops", "Attila", "Erigenieae", "Magnococcus", "Cephalosdrophus", "Tegobomolochidae", "Alocodesmus", "Microchelonus", "Clavicoris", "Santanmantis", "Myiotabanus", "Poecilonotini", "Glesirhanis", "Hydropsyche", "Phocibidion", "Odontodrassus", "Physarum", "Carinogammarus", "Callidrepana", "Inkaliabum", "Appendiseta", "Poraniopsis", "Acanthophis", "Bulbocyrtium", "Pyrgomorphini", "Phaganthus", "Carinispora", "Zeuxoides", "Ankova", "Creusia", "Tubulogenerininae", "Lamellodysidea", "Epropetes", "Scutellomonas", "Antennoeme", "Hanceola", "Gunungia", "Thymelicus", "Falsoserixia", "Helcomeria", "Pergalumna", "Salduncula", "Granuliferelloides", "Steroidobacter", "Stylokyrtus", "Capniella", "Parablechnum", "Gemmaspora", "Phyaces", "Krylovirinae", "Farragininae", "Thalassemys", "Perlini", "Norwoodiidae", "Sybrinus", "Mesopangonius", "Pseudoguembelina", "Lepas", "Condylidium", "Cratericus", "Oceanitalea", "Hildenbrandiaceae", "Congdonia", "Indomegoura", "Gnathampharete", "Haemomaster", "Otoglossum", "Honigbergiella", "Carinocarcinoididae", "Martellidendron", "Pseudandriasa", "Natronovirga", "Ancylonotus", "Getes", "Pedum", "Kriboetrema", "Punctapinella", "Varipes", "Psilolomia", "Heteralepadidae", "Arossella", "Cavitatus", "Fionoidea", "Ophthalmolampini", "Gelanoglanis", "Lobarzewskya", "Pontiolaelaps", "Paulianilus", "Atlasaurus", "Miracinae", "Hekista", "Parapolycrates", "Trichophyllarthrius", "Pompostolella", "Cryptophion", "Synandrodaphne", "Balaustiinae", "Mochokidae", "Umagillidae", "Auchenipteridae", "Halalkalibacillus", "Protomedeiinae", "Leptacis", "Bosselaerius", "Botryon", "Limnorhyphus", "Cenangiaceae", "Selenia", "Ecnomognathus", "Zenoria", "Cymathaere", "Flechtneria", "Apatornithidae", "Rhodobaenus", "Mesamphisopidae", "Dipterida", "Gruberia", "Lopezoterenia", "Sphenoneis", "Paranerita", "Chronogaster", "Anacyptus", "Nanoviridae", "Cashia", "Aphilanthopini", "Compterosmittia", "Bathyergoididae", "Oncosclera", "Lispinus", "Liztor", "Lamproconiaceae", "Karongasaurus", "Trachelomonas", "Spondylurus", "Plectogasterini", "Pygmeopolia", "Ggomapsalta", "Shikokuobius", "Ecbolium", "Isabelia", "Salutoporus", "Bamberus", "Dupuya", "Fulcinini", "Egadroma", "Mankyua", "Arixyleborus", "Heteroteneriffia", "Angustiphlebia", "Sympetalandra", "Nereidicola", "Torula", "Pachyrhinosaurus", "Metapogonia", "Parhedyloidea", "Eriplatys", "Aspleniaceae", "Guerryus", "Mesadenus", "Pseudopolyides", "Atrypanius", "Archaeocyatha", "Rhabdopholis", "Anoncopeucus", "Tissierellia", "Blepharodinae", "Hypsicalotes", "Thrix", "Lipsana", "Marinarozelotes", "Tanaostigma", "Auletobius", "Globoturborotalita", "Orthocerida", "Nesolechia", "Stoliczka", "Hesycha", "Oedipodium", "Jamesdicksonia", "Haplomyrmemonia", "Memorocyphon", "Gabronthus", "Acanthocnemidae", "Corythoichthys", "Actophilornis", "Glenodinium", "Reissantia", "Bracodoryctes", "Calochrysa", "Acrosymphytales", "Compactochlorella", "Blenniiformes", "Niphadonyx", "Recilia", "Elmomorphus", "Newnhamia", "Chalilovella", "Ptilininae", "Marma", "Chondrocephalus", "Ogdoconta", "Echria", "Halydictyon", "Lioholus", "Andrometra", "Cytherocopina", "Cabirus", "Fottiella", "Volutellidae", "Aulacophora", "Megalotriton", "Amoeboidea", "Adinetidae", "Tiphysa", "Microzargus", "Limnoperdon", "Heimiella", "Sarrameanales", "Camiarinae", "Myocastor", "Phyllariella", "Sphingopyxis", "Acanthodoras", "Adelonetria", "Felimare", "Trachelinella", "Secuicollactidae", "Lotostomoides", "Thyreopterus", "Nonion", "Simuliini", "Captorhinidae", "Amphiliinae", "Thalassoceratoidea", "Textularia", "Pseudopilema", "Arabencyrtus", "Antodice", "Culcitium", "Nausibius", "Cyclidolon", "Wenyonia", "Echinoproboscilepis", "Amphilina", "Brachyserphus", "Pachypoessa", "Othonninae", "Sphaericosoma", "Ahercostomus", "Caeoma", "Conothele", "Iphigenellidae", "Scottomyzontidae", "Volgacuma", "Ammassolinea", "Venusichthyidae", "Ponapagonum", "Acochlidiimorpha", "Stigmatomyces", "Rhinocyllus", "Sphingacestes", "Mcateella", "Amalopis", "Psamminopelta", "Hyrcanus", "Hemiceratoides", "Nasoecia", "Pseudoclypeina", "Trichotolinum", "Sciophilinae", "Zaratha", "Blastopetrova", "Navanax", "Malacosporea", "Pseudoplanoglobulina", "Myinae", "Mecynostomidae", "Stanwellia", "Psittophagus", "Rhynchosauria", "Spiraloconulus", "Parvotettix", "Thymichthys", "Monoplectroninia", "Olenoidea", "Incestophantes", "Anechurinae", "Bradiopsylla", "Pyrotheriidae", "Neopterygida", "Tarsopolipus", "Probainognathidae", "Gromochytriales", "Minthea", "Deborrea", "Reticulosida", "Parapriacanthus", "Collinsella", "Globomycetaceae", "Cymatoceras", "Eochroa", "Gangesiinae", "Songanella", "Quinquecapsulariidae", "Globotruncaninae", "Exaudita", "Loftusioidea", "Elaphrobates", "Disholcaspis", "Bethylopsis", "Ligulatium", "Cylindrobulla", "Dinas", "Pselaphodes", "Scottellia", "Didymosporangium", "Batrachotrematidae", "Myopsyche", "Pseudoparlatoria", "Anastomopsocus", "Malacosominae", "Microedus", "Hylodesmus", "Branchiobdellidae", "Pialea", "Antestrix", "Lebadea", "Asphinctanilloides", "Taxidea", "Haploa", "Gaurena", "Munididae", "Achatinella", "Enkopicephalus", "Amarenomyces", "Acanthomegabunus", "Pirottaea", "Horiomyzon", "Trabisoides", "Archiloa", "Croizatia", "Indoquediina", "Plectocomia", "Stenoperlinae", "Atelecrinus", "Lobohalacarus", "Halothiobacillaceae", "Saccharataceae", "Zillimata", "Haplopharyngidae", "Protohermes", "Strephonema", "Levringia", "Clypeasterinae", "Cryptarchinae", "Impatientinum", "Pseudopontiinae", "Vemacumella", "Sphaeroidinellopsis", "Fontinalaceae", "Tylototriton", "Xyleborinus", "Blumeria", "Melittis", "Maretiidae", "Apenina", "Alveosphaera", "Elegantometallyra", "Aconopterus", "Addyme", "Alloscolytroproctus", "Ophiocara", "Promyllantor", "Mimiculus", "Bolostromoides", "Merocanites", "Nitokra", "Haplobothriidea", "Termitosymbia", "Pyrosomida", "Tapinellaceae", "Eolasiodiscus", "Fasciculancylistes", "Eremophea", "Vietnura", "Medisorina", "Potamonautinae", "Gemmata", "Neodavisia", "Ratchasimasaurus", "Idiogrammatini", "Cephimallota", "Xhoaphryx", "Iridaea", "Paratetramitus", "Coriantipus", "Insulanema", "Oxyneis", "Leukapsis", "Oopholis", "Heliochrysis", "Scytasis", "Dendropoma", "Odontopacha", "Himatanthus", "Pygaerinae", "Pterusa", "Synthetonychia", "Hadromastax", "Trochamminopsis", "Copturomorpha", "Notheme", "Sasajiella", "Rabienus", "Amberofulvius", "Protrichomonas", "Eupsilobiinae", "Myrocheini", "Domenechus", "Parcella", "Zaprora", "Foulehaio", "Lithopteridae", "Sivanesania", "Brachythele", "Gerrhopilidae", "Decagonocarpus", "Rhinobatinae", "Lomera", "Myersalna", "Brachyllus", "Nudipleura", "Silurocypridina", "Tabanomorpha", "Boulengerella", "Eupages", "Phyllogonia", "Eovolutinidae", "Sundacypha", "Marvinbryantia", "Babjeviella", "Europini", "Auster", "Megaphrynium", "Erythroneda", "Sumangala", "Urdidae", "Ectothiorhodospira", "Erimiris", "Mississippinidae", "Xiphocolaptes", "Hagapteryx", "Birgorima", "Himerta", "Chloracidobacterium", "Pterostegia", "Tettavinae", "Aeminiaceae", "Prymnesiophyta", "Sekaliporus", "Lophornis", "Gelechiini", "Xenastenoglossa", "Crassilingua", "Axinopalpis", "Dolichopus", "Neobellamira", "Kirchenpaueria", "Dacinae", "Austrolestes", "Kerberellus", "Phara", "Ancinus", "Eusamythella", "Baeomycetaceae", "Beriqua", "Iciligorgia", "Lamyristis", "Epistominoidinae", "Pinacocerus", "Pleurotricha", "Teleosteomorpha", "Hydrocanthus", "Thiacidinae", "Myidae", "Philoserica", "Anchista", "Blastocystida", "Scolymia", "Gigantoletria", "Alpinacris", "Pseudotorynorrhina", "Veloroides", "Austrolycopodium", "Trameinae", "Maraniona", "Artedidraconidae", "Caryophylliina", "Pseudoglomospira", "Cricetinae", "Redingeria", "Repetiodiospilus", "Kryptoperidinium", "Diabathrariini", "Bromiades", "Blaenocoris", "Adisura", "Melanoptila", "Clastobryum", "Heterophanina", "Cladotrichidae", "Osangularia", "Parasorites", "Cheimarrichthys", "Tripterotyphinae", "Trichopelma", "Valdivelater", "Eolepidopterix", "Stictocyclus", "Erythroneurini", "Saltiseiidae", "Sphaeromapseudidae", "Berndtia", "Lygocorias", "Leucobryum", "Cornukaempferia", "Dexithea", "Lophogobius", "Nitidochapsa", "Misellina", "Humiriaceae", "Ceratocoma", "Acochlidiidae", "Tetraspora", "Epigynopteryx", "Eudontomyzon", "Pseudacanthocircus", "Hippoidea", "Parorthomus", "Idiocysta", "Valenciidae", "Oligodraninae", "Lepidunca", "Encya", "Leguminocarpum", "Conilites", "Enhydria", "Epimenia", "Strandtmannia", "Stachydeoma", "Migsideres", "Coscodaca", "Neomochtherini", "Malenella", "Metaplasmopasilia", "Dactylopteroidei", "Holmophyllum", "Pseudorhicnoessa", "Trochospirillina", "UANL", "Mycterophalus", "Canuschiza", "Paraleptomenes", "Astollia", "Megastomella", "Pyrenaria", "Gaphara", "Caloramphus", "Scirpodendron", "Termitoglobus", "Ecpyrrhorrhoe", "Iziphya", "Heterotrochalus", "Pseudobryopsis", "Electropodagrion", "SAMA", "Umbilithecium", "Epilichen", "Meniscoessus", "Philonome", "Gastrellarius", "Chrysochamela", "Sempervivum", "Bopyriscus", "Malleodendron", "Victorellidae", "Patelloidea", "Hypsantyx", "Euplectellidae", "Neoclanis", "Cligenes", "Karksilepis", "Mimeryssamena", "Austrolittorina", "Phaeopholus", "Acidithiobacillia", "Macrobiotidae", "Pimplinae", "Canda", "Helicoprionidae", "Vannoortia", "Ctenoscelis", "Cyclostremiscus", "Witherscalpellum", "Lamproceps", "Australiformis", "Bryocoris", "Mysticotalitrus", "Caerosternus", "Aquifex", "Plesioscotosia", "Scaphiopodidae", "Melicertidae", "Dactylobiotus", "Collocalidectes", "Tanychorinae", "Pharyngomonas", "Eriotheca", "Parobages", "Pseudooctadecabacter", "Perezia", "Plataea", "Dreissena", "Gynaecotylinae", "Ampelozizyphus", "Pteriidae", "Tuctoria", "Calodiscus", "Nyanzapithecus", "Damatula", "Cathariotrema", "Hippocratea", "Sarcotachinellina", "Microsage", "Pheroliodidae", "Eoeustochus", "Stygobromus", "Orotrechus", "Sechellalna", "Megamelanosoma", "Eustochus", "Maackia", "Helluarchus", "Amblypomacentrus", "Protoperidinaceae", "Ophiocolea", "Pseudamaurops", "Mycetocylapus", "Hetrodini", "Taxodium", "Idiostrangalia", "Gerania", "Barasa", "Taraxacum", "Paraxylotoles", "Puck", "Cephalalna", "Vilernae", "Glandulacla", "Pityusina", "Amissidens", "Layia", "Tropheops", "Cutosea", "Allactoneurini", "Micrargeria", "Deuterotyrus", "Naskreckia", "Riancia", "Sphenidatoma", "Scopelocheirus", "Thermotogales", "Lipotoidea", "Salzmannia", "Beckhoplia", "Triplochrysa", "Cladonia", "Hamataliwa", "Mascarena", "Rhabdodiscus", "Liophilydrodes", "Passosiella", "Benoistellini", "Hemistenus", "Isonychiidae", "Neoteleostei", "Gonocercinae", "Ceriselma", "Aidanosagitta", "Aptinina", "Hemifentonia", "Helicosteginopsis", "Bogidiella", "Elrathia", "Younginiformes", "Phyllostauridae", "Aromobatidae", "Storrsia", "Hexeretmis", "Paratropididae", "Exoneura", "Corylus", "Forcipella", "Lissopterus", "Boveella", "Sciophyritides", "Comorocyana", "Microtmethis", "Polyotidium", "Cryphiotechna", "Cynipini", "Achlya", "Spathophora", "Odontodactylidae", "Marpissinae", "Vijayinae", "Sinibacillus", "Calliostomatinae", "Pareodinia", "Flacourtia", "Cyclosomina", "Vepris", "Neolemonniera", "Carphalea", "Magistrauia", "Bracteacoccaceae", "Tylaucheniina", "Chlorothraupis", "Ofaiston", "Poekilogammarus", "Yandangornis", "Weverisphaera", "Apeiba", "Stachydeae", "Paragalathea", "Eeonisis", "Microdolichostyrax", "Cornucistela", "Leadagmara", "Galvezia", "Pseudodrephalys", "Caestocorbulinae", "Homolodromioidea", "Baltazaria", "Agelenidae", "Mithras", "Polymorphum", "Frullaniaceae", "Paratopula", "Digita", "Cristacirrhitus", "Aspitha", "Lycidocoris", "Sceptobius", "Neophytobius", "Entalininae", "Rhadinorhynchinae", "Hyperthaema", "Mesoclistus", "Pseudomoina", "Apodasyini", "Zelandanura", "Engellestes", "Axanthosomella", "Trichorondonia", "Dionycha", "Haemaphysalinae", "Mimoseae", "Neomeristis", "Delomerista", "Basiliolinae", "Troglodiplura", "Chengxianites", "Shyri", "Meteoria", "Myzocallidina", "Korovodes", "Nephrospyris", "Aratitiyopea", "Sporocadaceae", "Lepithrix", "Euclinia", "Cyclococcolithella", "Epelyx", "Enthymius", "Harpidiaceae", "Hades", "Pseudosigmoilina", "Cleidiocarpon", "Notochelys", "Croninia", "Cristidiscoidea", "Tesserodoniella", "Microplophorus", "Wickerhamia", "Amphimorphina", "Archiboehmeria", "Schisthemisia", "Protohelorinae", "Daltonia", "Rogicka", "Pleuromastix", "Nepotula", "Ardonea", "Orthidae", "Ledumahadi", "Megalyroidea", "Accinctapubes", "Neaxius", "Afromethia", "Obscura", "Paracladophialophoraceae", "Xamerpillus", "Rhexiola", "Platysvastra", "Canthigaster", "Amphinidium", "Stagonopleura", "Pseudocordulia", "Pachymerola", "Thalpomys", "Systenus", "Platygeniops", "Anoplini", "Murrayidae", "Booralana", "Scherffelia", "Stenoclymenia", "Pseudattulus", "Pedipartia", "Dundocera", "Actinor", "Nepiomorpha", "Primisanguis", "Prolobodes", "Leptogenophilus", "Andiva", "Pinheirodontidae", "Heremites", "Emiliella", "Pentaphylaceae", "Meridianelia", "Grifola", "Plethodontohyla", "Scotinoecus", "Nelionidia", "Bistrisyne", "Allodahliinae", "Kyhosia", "Ampelopsideae", "Anisolabidinae", "Borgesminthurinus", "Typophorus", "Geotrichum", "Notemigonus", "Semnopithecus", "Comnatopus", "Neptunoceratidae", "Hoplophyllum", "Bobbodus", "Striocadulus", "Atemtanais", "Aphanisticina", "Araeomolis", "Aparasphenodon", "Mapondera", "Nuttalliella", "Platysimus", "Scleromymar", "Productidina", "Eucarazzia", "Euphoriopsis", "Antidorcasia", "Semiclivina", "Sorangium", "Dadobia", "Venezillotyphlus", "Camptacra", "Patrobini", "Zeloasperisporiaceae", "Proavga", "Trapeziinae", "Pleurozium", "Hyugatychus", "Alilaea", "Sarcandra", "Coprococcus", "Smilirhexia", "Ecdemus", "Indoquedius", "Maxanapis", "Paulacarellus", "Leptolucania", "Mitrocomidae", "Polyadenum", "Sphedanus", "Yammacoona", "Descoleia", "Neobassia", "Lachmetha", "Ciconissus", "Hemithripidae", "Oryctolagus", "Xenorhipis", "Caryosporaceae", "Spatoglossum", "Maevius", "Heterodiomus", "Cryptostylis", "Rhytidoidei", "Modicogryllus", "Eviulisoma", "Dorogammarus", "Melbournopterus", "Theronicus", "Paracarnus", "Brachylabis", "Accoella", "Pentacosmia", "Viteae", "Beipiaosaurus", "Laccosternus", "Asterochloris", "Nepalopaederus", "Alydidae", "Ptygura", "Parahyidae", "Oulenzia", "Gyponyx", "Chondrostylis", "Zaglossus", "Tates", "Natta", "Perxylobates", "Turdoides", "Neurotmeta", "Inversispina", "Gaffneylania", "Caulleryetta", "Hexurella", "Asthenopholis", "Puiggaria", "Prepopsoides", "Cataglyphoides", "Gyrodinium", "Microcosmodes", "Leuconola", "Acemeigenia", "Arcteranthis", "Acytota", "Fujientomidae", "Nodoconnus", "Labedera", "Ceratotrocha", "Arachosinella", "Metaiulus", "Piptadeniopsis", "Anthocerotophyta", "Ganarus", "Calliotropis", "Acophila", "Centronella", "Garreta", "Raiamas", "Chiloxionotus", "Hesperotingis", "Ebriophycidae", "Erebidae", "Humerobatidae", "Lingulosigmomorphina", "Monstrilloida", "Thermomucor", "Oedicodia", "Allowissadula", "Pachyphytum", "Calyptocephalella", "Stephobruzelia", "Menimus", "Chaetornis", "Eucalyptra", "Phaenonotum", "Cucusquama", "Kiberbius", "Lepidodermella", "Balanogonia", "Cephalaspidea", "Phylinae", "Lomanoxoides", "Cryptobranchus", "Leuctra", "Capricornia", "Aonidiella", "Punctobolivinella", "Stilesia", "Geostachys", "Nitidotachinus", "Cyathaspidinae", "Ahaetuliinae", "Diacanthostylus", "Dryptitae", "Strigula", "Rhizochloridales", "Robinia", "Mimotetrorea", "Parecbasis", "Mopanveldophis", "Prorostaurus", "Nesolotis", "Elaphe", "Echidgnathia", "Sphingicampa", "Hemiphyllum", "Aniselytron", "Ocrisiodes", "Wuhua", "Cystoopsis", "Parapodium", "Meridatibius", "Diaphoromyces", "Orpinomyces", "Tritania", "Thrixspermum", "Desmothoracida", "Pelsartia", "Telochilina", "Anoplaspis", "Euryobeidia", "Litochila", "Acrocomus", "Mordacia", "Eupterotini", "Anomochloeae", "Camarillasaurus", "Colona", "Gammaherpesvirinae", "Arthromygale", "Laurenciocolax", "Pseudoleptognathia", "Synarthonia", "Syntomini", "Gnophomyia", "Bucini", "Coccidulinae", "Nicostratus", "Egnatiinae", "Pyronemataceae", "Quiabentia", "Paracalyx", "Parauxa", "Watshamiella", "Olesicampe", "Cyanoloxia", "Metabakuella", "Socotrabolbus", "Tonza", "Lanteriella", "Strauchbufo", "Augosoma", "Lispe", "Hymenancora", "Longicaputermes", "Natribaculum", "Parvuspina", "Chthonocephalus", "Secusio", "Enochrus", "Allogona", "Pseudoclappia", "Cuvierichelys", "Kribia", "Drepanocanthoides", "Decorospora", "Articerus", "Trechinites", "Caloboreaphilus", "Uittienia", "Capsosiphonaceae", "Gamanthus", "Koloonella", "Boselaphus", "Eremolestes", "Tellina", "Pseudotagia", "Kradibia", "Periloculina", "Eccrisis", "Gomphocythere", "Megacoptoclava", "Oraniopsis", "Termitonannina", "Daphnasa", "Polytocus", "Xeromelissiti", "Euurobraconini", "Microdesmidae", "Opistoplatyini", "Zatania", "Acrocladium", "Alcichthys", "Claviger", "Tapecomys", "Neozoarcinae", "Wicklowiaceae", "Orica", "Kuehneola", "Scoparipes", "Plerochila", "Diplothamnion", "Cryptosomatulini", "Notolytocestus", "Xyletobius", "Xenopoecilus", "Neopinnaspis", "Ammotragus", "Aquaspirillum", "Elaeophora", "Hilarianus", "Echinocyamus", "Bresslauilla", "Trachelostyla", "Genasauria", "Ellisodrilus", "Balioxena", "Austropeucedanum", "Marchantiana", "Cryptothecia", "Zygoballus", "Andropadus", "Hopliteccopsis", "Yoshiobodes", "Wiwaxia", "Metaphrixus", "Blepharicera", "Andretydaeolus", "Teloganopsis", "Lasioserica", "Oropterus", "Desmodillus", "Peruiniinae", "Valdiviglypta", "Lagenidium", "Odontorrhynchus", "Eburiaca", "Odontoxyomus", "Endosamara", "Pyralidae", "Milesacanthus", "Thermoactinomycetaceae", "Spiromonadaceae", "Hemiargus", "Bothriocrata", "Wedekindellina", "Diplarche", "Nostocophycideae", "Netrobalane", "Hasteola", "Sarcopera", "Zephyra", "Conaconidae", "Elginia", "Parobereopsis", "Megamblyopinus", "Pseudothurammina", "Putorieae", "Streptoloma", "Dicranemataceae", "Spineuteleuta", "Mussaenda", "Neolobophorinae", "Savalia", "Eutaeniichthys", "Diphyodactylus", "Psammodaphodius", "Trichaphodioides", "Pachypsolidae", "Pseudochrysops", "Laplatasaurus", "Andrographideae", "Octoknemaceae", "Globorhagada", "Allopeplus", "Trichospilus", "Neocrex", "Esengoides", "Chlorovibrissea", "Jonthodes", "Cestum", "Tamiasciurus", "Elephantida", "Cletodidae", "Monognathidae", "Sthenarosaurus", "Psychroteuthidae", "Apodiptacus", "Palaeothia", "Euhyponomeutoides", "Micromelalopha", "Sarada", "Pseudargynnis", "UNS", "Rupertininae", "Dasypolia", "Sanys", "ZUFRJ", "Faltalini", "Conioscyphaceae", "Neritodryas", "Euracmaeops", "Rhipidomys", "Steirastoma", "Derelomus", "Psila", "Balistica", "Hemiboeckella", "Yeatesia", "Carcinophora", "Agrilina", "Tetrachaete", "Rhizomyiini", "Dyocibicides", "Migdolus", "Entognatha", "Parapezus", "Neotaphos", "Aves", "Liophloeothrips", "Cerambycini", "Allogalumna", "Bruzeliopsis", "Kaolishaniidae", "Teleiopsis", "Eobraconus", "Pyrgoma", "Pergidae", "Sceloporus", "Entoliidae", "Caltoris", "Burmannieae", "Solatisonax", "Lotus", "Crossandrella", "Biotus", "Humerus", "Megalomya", "Langea", "Zygethobiini", "Sporocladopsis", "Valvatoidea", "Coleocephalus", "Eupolymorphina", "Dodonaea", "Capeyorkia", "Hartertula", "Phalarotortrix", "Lenothrix", "Allopolymorphina", "Ceritellidae", "Rhacocarpaceae", "Chalcovietnamicus", "Roucheria", "Alstonia", "Petrospongium", "Ruelliopsis", "Ramuliseta", "Hispidicarpomycetaceae", "Muschleria", "Dorstenieae", "Pycnoplinthus", "Obolcola", "Pera", "Echinoidea", "Brasilobates", "Bonneviellidae", "Platycyamus", "Rebellatricidae", "Protellopsis", "Blastammina", "Gnetaceae", "Bersama", "Paracollyria", "Oxypodina", "Thyroscyphidae", "Idiolychnus", "Cenodocus", "Galliformes", "Leucosporidium", "Gammarellidae", "Cordimus", "Ctenistodes", "Pseudosolanderiidae", "Astomiopsis", "Liostola", "Paranesoneus", "Typhlodrominae", "Camelocerambyx", "Ichthyodinium", "Zeuxapta", "Hexasepalum", "Corynotheca", "Ignotogregatidae", "Binna", "Pnyxiopalpus", "Zenkerella", "Queraltina", "Ilargus", "Polystictus", "Ornithacris", "Cazierus", "Eremosaprinus", "Pedioxestis", "Neohegira", "Stomatochone", "Epipogiinae", "Rectomassilina", "Acmaeoderimorpha", "Pseudomelanconium", "Okoubaka", "Csiromedusidae", "Dichoneura", "Ocybola", "Arenopontiidae", "Aquamycetaceae", "Rhodogorgonaceae", "Tripolium", "Barilium", "Tripterococcus", "Faujasininae", "Craniiformea", "Porolepididae", "Porithea", "Chamalycaeus", "Haptocarpum", "Tettigomyia", "Pseuderytus", "Guillaumius", "Acrocera", "Lychnis", "Sphingomicrobium", "Bechyneia", "Synichotritiidae", "Gompholobium", "Theophila", "Siphoderina", "Bijaurana", "Oxypoda", "Cryptogonimidae", "Physenaceae", "Brachydontium", "Dolichoderus", "Bisaltes", "Jantaritambia", "Onthophagus", "Paliger", "Arthrostylidiinae", "Tomopaguropsis", "Scydmomicrus", "Elapinae", "Odontoderes", "Trixis", "Perigomphus", "Slooffia", "Ectobiidae", "Eutetrarhynchidae", "Chenopodiastrum", "Praestheceraeus", "Metacrias", "Mnesarete", "Malacorhynchus", "Kamendakini", "Ojoceratops", "Eudioxys", "Gavarilla", "Winitia", "Eunannodes", "Mesernobiinae", "Compoceration", "Ionotus", "Galicisoma", "Trianoptiles", "Bellis", "Batzella", "Ocnus", "Antipodosis", "Aspidobyctiscus", "Dimargaritales", "Oropezella", "Eryphus", "Antillusini", "Dasytrichini", "Maniolina", "Xeloma", "Arachnidioidea", "Phryganeidae", "Isoceras", "Belicania", "Albidovulum", "Mabira", "Somateria", "Rotylenchulinae", "Dictyococcaceae", "Antimima", "Parasopia", "Asaphesinae", "Microbacterium", "Anomalina", "Adelphophylus", "Fraunhofera", "Hazslinszkya", "Siphovalvulina", "Hypoptinae", "Isometopinae", "Carphacis", "Thermoflexales", "Setodius", "Astephanus", "Carpocoris", "Pseudomycalesis", "Hypargyra", "Sinocellaria", "Oplophoroidea", "Planorbulinella", "Salmea", "Kimuromyces", "Bambusiphaga", "Comaroma", "Catadelphus", "Pseudojuloides", "Tilgidopsis", "Cryptomyrus", "Griposia", "Trailliaedoxa", "Dacnochilus", "Squamellaria", "Hakonechloa", "Megajoppa", "Pygmarrhopalites", "Chalepini", "Foenatopodini", "Sladenia", "Trichoformosomyia", "Aponurus", "Quaternella", "Angulofenestrellithus", "Triloculatum", "Undopterix", "Sarcodum", "Heterocerinae", "Sagenidiopsis", "Urolais", "Gynodiastylis", "Aa", "Eurylomata", "Neofurius", "Pannaria", "Chelodininae", "Microtrombicula", "Adelphamoeba", "Apiotrichum", "Lithostrotia", "Penardogromia", "Scaphularia", "Amphibleptula", "Evermannichthys", "Polyzonia", "Foonchewieae", "Completoriaceae", "Camissonia", "Cyanolicimex", "Billburttia", "Keesingia", "Tolypothrix", "Tomogonopus", "Eucharis", "Amblyraja", "Auca", "Chermes", "Omphalotus", "Cancellaria", "Xestula", "Sundasciurus", "Mamulichthys", "Sabellovoluta", "Neodihammus", "Dendromyza", "Pedius", "Isodontia", "Medostilicus", "Cryptosaccini", "Guareeae", "Socotrellini", "Trichogenes", "Heliaster", "Glassella", "Mauritiinae", "Bradyleberis", "Elaphopsocoides", "Psilopilum", "Idioptera", "Adajinoperus", "Tricholophia", "Hygrotus", "Pseudocrangonyctidae", "Boschniakia", "Tomotilus", "Cophotis", "Pseudingolfiella", "Epiplateinae", "Calphurnioides", "Palmophyllum", "Odontiomorpha", "Colossendeidae", "Lycocercidae", "Falklandellidae", "Getta", "Antheraeopsis", "Faustiellus", "Virescentia", "Molorchoepania", "Striopulsellum", "Eurychilella", "Tubuaiini", "Galeojanolus", "Zenionidae", "Archophiathinidae", "Didemnum", "Raphistomatidae", "Batucyprettinae", "Corlissina", "Dynopsylla", "Verneuilinoidea", "Carayonites", "Tuarega", "Spinosomatidia", "Brachyscleroma", "Mantophasmatinae", "Austrotrombella", "Distoleon", "Oxytelini", "Metaviridae", "Metadavainea", "Glossophaginae", "Manitherionyssidae", "Maurylepis", "Berdura", "Archidice", "Aeolidia", "Spondylidini", "Mecaphesa", "Chiloglanis", "Iniistius", "Osteolaemus", "Simmondsia", "Afrophoca", "Coccoderma", "Cleptinae", "Amiskwia", "Ringiculidae", "Pseudoborniales", "Pseudaega", "Karalla", "Larrpana", "Euperissus", "Mashunoides", "Orthosiini", "Neoloxotaenia", "Sanitubius", "Nurocyon", "Microplana", "Anomopera", "Microsiphum", "Ceratobia", "Spinacia", "Kikiki", "Flosculosphaera", "Bothrocara", "Archichrysotus", "Dichilus", "Pegohylemya", "Leptolamia", "Nipponobuprestis", "Plasmodiophorida", "Pilogalumna", "Xantharia", "Callicythere", "Cruciolithus", "Xenotrichomyia", "Timbuka", "Deremius", "Aucasaurus", "Astianthus", "Alburnoides", "Micropora", "Strangalia", "Solostamenides", "Pelosina", "Pachydesmus", "Berberomeloe", "Lucignolo", "Rhynchina", "Trigonopeplus", "Pereirapis", "Hislopiidae", "Colpoides", "Caltheae", "Metopleura", "Caledoniophasma", "Lymantriini", "Cyphobrembana", "Rheobates", "Sepimesos", "Abrepagoge", "Chrysochlorosia", "Terricirra", "Goneokarellini", "Cladodeptus", "Suffomyia", "Proxima", "Cucullanus", "Platycleidini", "Thayeridium", "Burksoma", "Gigantosciapus", "Nepalofranziella", "Vellereophyton", "Malacoangelia", "Scaptelytra", "Adelophycus", "Polacanthoderes", "Aldonaiidae", "Chloroidium", "Leucostegane", "Aestuariimicrobium", "Qiyangiricania", "Umbonulomorpha", "Allotropa", "Plectusodes", "Echinotriton", "Pygmaeorchis", "Podaxis", "Onslowiaceae", "Purpuricenus", "Paramesorhizobium", "Stenomisella", "Graderia", "Alethaxius", "Solandreae", "Curimatopsis", "Notophryxus", "Dares", "Mooreonuphis", "Sinictinogomphus", "Heromorphus", "Minicia", "Paralimnophora", "Perilitus", "Luehdorfiini", "Sloanoglymmiina", "Parantirrhoea", "Machlolophus", "Afrogryllacris", "Xanthopiodus", "Stenorrhina", "Dioxyomus", "Olpidiopsidaceae", "Minyaspis", "Prisogastrinae", "Sashatherina", "Ophthalmognathus", "Cuneopalpus", "Metacylididae", "Pseudopentameris", "Scherffeliomyces", "Porcellanopagurus", "Mutellina", "Chrysotoxum", "Nurhachius", "Ocinara", "Tristichopterus", "Kantohia", "Zeuxidiplosis", "Cinetidomyxa", "Hureae", "Ascogaster", "Schultzidia", "Trigonochlamydidae", "Callichilia", "Euplectellinae", "Holistophallus", "Blaena", "Crephalia", "Arturia", "Holocephalocotyle", "Amphicyllis", "Ilbia", "Acervulinoidea", "Pristidae", "Montonepa", "Lindelofia", "Xeris", "Ancorella", "Halohasta", "Otomesostoma", "Bullaserpens", "Triodontolepis", "Erylinae", "Dendronotidae", "Myzotarsa", "Pectinoacasta", "Stictolinus", "Geonomateae", "Caeconannus", "Toshitamia", "Celetes", "Momotus", "Adnotholopus", "Anomioserica", "Diplocotyle", "Aspiscellaria", "Acanthotingis", "Basilewskyozethus", "Contralissa", "Galatheidae", "Silphidae", "Hydrobiosini", "Crocidurinae", "Apodera", "Elasmoscelini", "Aindrahamia", "Frontoniina", "Galega", "Weitschatopsis", "Anthrenini", "Rhynchocorys", "Wecomedon", "Typhlocoelidae", "Odontojoppa", "Phaner", "Libkindia", "Pasquianornis", "Decaryia", "Aquarius", "Psiloptera", "Sudreana", "Wedekindella", "Cychrini", "Stangeleon", "Cancer", "Osmia", "Glaphyrosomatini", "Allolepis", "Pareiasauria", "Mehracotyle", "Rhyssemina", "Diploicia", "Norvellina", "Palisada", "Stauropus", "Erinaceidae", "Homoliogenys", "Saharolana", "Nonagria", "Cordulephyinae", "Lamellibrachia", "Perronella", "Ctenaspididae", "Chilamblyopinus", "Arizelana", "Cristigera", "Cosmiotes", "Codariocalyx", "Calcaridorylaimus", "Colga", "Dinocaridida", "Zeteotomus", "Spongodiscus", "Hevaheva", "Enkoilogeneia", "Palaeosaniwa", "Cartea", "Pentaphyllus", "Vityazoecia", "Australembia", "Cyclolobium", "Rotheca", "Lionneta", "Banchopsis", "Nostocales", "Yamangalea", "Sisupala", "Oligolophinae", "Erectocolliuris", "Ptenochirus", "Coccotydeus", "Jansonia", "Ptilopsaltis", "Loxostomum", "Microraphes", "Lophoprora", "Mastigocrinidae", "Miris", "Dromas", "Neosyagrius", "Elymiotis", "Limbarda", "Marchantia", "Brachycormus", "Myagrum", "Nolanomelissini", "Episemura", "Vellosiella", "Trichamoeba", "Dasmophora", "Cyllamyces", "Isonema", "Arenovidalina", "Petalanobium", "Pachypsolus", "Manchurochelys", "Breonadia", "Eusiridae", "Xantolis", "Dipnorhynchidae", "Treptoplatypus", "Hyracotherium", "Amphicyon", "Paratrimmatostroma", "Phytodietini", "Simpsonotus", "Erysimeae", "Disa", "Pterosthetops", "Auchenoplax", "Renonus", "Chalaronema", "Euphyllophytina", "Cirsosia", "Paraponerinae", "Melanophloea", "Gnypetomorpha", "Dracophyllum", "Chaetolopha", "Leptomitus", "Heterotolyposporium", "Jouvea", "Cnemathraupis", "Eucalantica", "Pseudosporopsis", "Pernerina", "Hygromiini", "Ipsimodes", "Targioniaceae", "Eberlanzia", "Neolamprologus", "Concavellinae", "Golovatchiidae", "Anomalacanthimyia", "Eulohmannioidea", "Namibornis", "Nigetia", "Sparianthis", "Monotropa", "Careoradula", "Leptopsyllini", "Smitinandia", "Postglatziella", "Philadelphus", "Tetralophodon", "Scythropesthes", "Placidichthys", "Eleutherine", "Potyviridae", "Biston", "Balaeniceps", "Hamus", "Fusiella", "Scopitrombium", "Thylacosterninae", "Rhodochaetales", "Altinerininae", "Tetraciella", "Peschetius", "Armatocereus", "Euchilichthys", "Setidium", "Neocorestheta", "Spelaeomene", "Mixtapamea", "Xylognathus", "Epinephelides", "Katoporodidae", "Neopygmephoridae", "Phragmorchis", "Phyllonorycter", "Lonchomyrmex", "Dinoponera", "Dinobryaceae", "Peterozyma", "Ctenella", "Travancoria", "Mesorhagini", "Plectrogeniidae", "Psammetes", "Metaphyta", "Palmella", "Phylloxeroidea", "Trypanosyllis", "Xylacanthus", "Pterolobium", "Druryia", "Episactidae", "Crenadactylus", "Campechia", "Covelliana", "Eodalis", "Macranobium", "Teractrocera", "Psocomesites", "Actinocyathus", "Spadentalina", "Scalanago", "Gondwanamycetaceae", "Compsoctena", "Psoromaria", "Axiarcha", "Epicaulis", "Cardiaderus", "Nematalycidae", "Bangalaia", "Kyzilkumemys", "Juinacoris", "Pachydiscidae", "Dolicaon", "Shapna", "Dactylococcus", "Guaiacum", "Eucinostomus", "Trypoxylon", "Carnevalellinae", "Symmela", "Phycosecis", "Eurostopodinae", "Centeterichneumon", "Phlyctenactis", "Arackar", "Ptychoderes", "Sagoplecta", "Athripsodes", "Septochytrium", "Trypoxylus", "Bashania", "Cyrestini", "Prophlias", "Paragolsinda", "Desisella", "Triticelloidea", "Xystriphyllum", "Petalocrinidae", "Helenatropos", "Stenophylax", "Prinsepia", "Impagidinium", "Pleurothyrium", "Grovea", "Aphorme", "Dichodontium", "Abiromorphus", "Naxipenetretus", "Dicoelandropora", "Percosoma", "Stenopisthes", "Dorsispina", "Euhyparpax", "Scytomonas", "Cleoporus", "Vaginicolidae", "Cochranellini", "Philora", "Allopogonia", "Plicostoma", "Pantorhytes", "Liardetia", "Piazorhinini", "Spiloprionus", "Dysdercus", "Abacidus", "Hemisteptia", "Meekospiridae", "Chlidophyllon", "Bellacartwrightia", "Frumentella", "Lupanthus", "Carpoapseudes", "Chrysopotosia", "Zeascheloribates", "Dimidistriata", "Hawaiia", "Rhamphini", "Abietinella", "Capoeta", "Clavigeritae", "Atissa", "Evynnis", "Leptocottus", "Mingrelloniscus", "Aulacoderus", "Cabellaturus", "Labioporella", "Sphenophryidae", "Machaya", "Polycrater", "Pollex", "Dermatochrysis", "Plecanium", "Callimastigloia", "Protorhyphidae", "Tanglangia", "Gressittana", "Neodoxa", "Amphisbatini", "Falsotrachystola", "Suctotegeus", "Theobromateae", "Alcima", "Cryptocentrus", "Orphanodendron", "Rhodymeniocolax", "Amphorogyne", "Euhesma", "Geoemydinae", "Archeutheia", "Philanglaus", "Erythrotriorchis", "Blattisociidae", "Palaeococcus", "Unciolidae", "Nervellius", "Beijingusa", "Chilocorini", "Jensenobotrya", "Dicranophoroides", "Graphoderus", "Scincus", "Schendylidae", "Emodensia", "Hyalocardium", "Eucinetidae", "Xystriduridae", "Monomachus", "Laninoniscus", "Hybosidella", "Borokiae", "Eupodium", "Klugiatragus", "Pectobacterium", "Megabiston", "Anthomastinae", "Dotillidae", "Rineloricaria", "Antennosus", "Tenggerimyces", "Traversodontidae", "Cerithiimorpha", "Gobitrichinotus", "Symbolanthus", "Striarina", "Dicellurata", "Phycosecidae", "Laxotethya", "Drusa", "Leptodinium", "Thalassana", "Pterygolepididae", "Pectapalochrus", "Pleurochloris", "Abdosetae", "Capesia", "Russiana", "Schizidium", "Gonocnemis", "Actaeus", "Corbisema", "Culcasieae", "Joubiniteuthidae", "Chelisochinae", "Gorceixia", "Paranaichthys", "Psilolechia", "Neptunides", "Pseudomantis", "Paralenaeus", "Chapalmalania", "Anomalini", "Froeschnerocader", "Paronychophora", "Cribrogloborotalia", "Astrebla", "Temnorhynchus", "Chirixalus", "Mediocalcar", "Rostromyrmex", "Nanoneis", "Eustilicus", "Discolocrinus", "Gogana", "Kindbergia", "Malayanota", "Tritoma", "Dickieia", "Asotana", "Stephanopoides", "Sphaerorrhiza", "Grammomys", "Genotropis", "Euristhmus", "Heminotus", "Solimonas", "Chathamia", "Diores", "Clinostomum", "Brontomerus", "Ciinae", "Leptoceratops", "Toxophyllus", "Abrachybaris", "Arctopora", "Diomus", "Rhectogonia", "Creugas", "Darwallia", "Hytrosaviridae", "Lethaeus", "Acanthopsoides", "Alectona", "Kaliniinae", "Caenonetria", "Neobelba", "Vulcanodontidae", "Iljinia", "Prionocerataceae", "Pholus", "Moerisia", "Cosmosporella", "Dactylostylis", "Aleocharina", "Cryptochironomus", "Solms-laubachia", "Adriamonas", "Reithrodon", "Anisotremus", "Coprostygnus", "Lisubatrus", "Platythelphusa", "Strigulioides", "Darachosia", "Agelosus", "Tympanuchus", "Ceroplastini", "Gentianella", "Silonota", "Ecdysichlamys", "Zoysieae", "Pachnocybales", "Hemioniscidae", "Pentheopraonetha", "Hispomorpha", "Scydosella", "Keratophora", "Cladoriellales", "Metagnostidae", "Sulcanidae", "Berberis", "Anomostomus", "Hagenowina", "Microcotyle", "Xyroptila", "Koilokoryphepisalia", "Taphrina", "Ceratodictyon", "Pinguiococcus", "Anthoparactis", "Sinopyrophorus", "Polygenis", "Euprosthenops", "Carcina", "Skelleyanus", "Blochia", "Chamaebatiaria", "Ditomotarsinae", "Commation", "Pezocoris", "Paracalanidae", "Acontophiops", "Pterodrilus", "Thylacomyidae", "Bocagella", "Decataphanini", "Helminthope", "Goniorrhina", "Cardiopteridaceae", "Mogrus", "Pelonaia", "Rhexinia", "Avelis", "Gryonini", "Agonorites", "Paleas", "Oreo", "Psammagrostis", "Heliodiscidae", "Aongstroemiopsis", "Episindris", "Albumares", "Vitrina", "Acysta", "Oniscoidea", "Syringocolax", "Hikangiini", "Tortricidae", "Paltorhynchus", "Bayana", "Proceropycnis", "Bromuniola", "Cairnsichthys", "Sciota", "Pachydonia", "Janinae", "Saiphos", "Tephrodornithidae", "Arboa", "Enoplotarsus", "Sierolomorphidae", "Hormosina", "Hyperstoma", "Dentaneura", "Malaconema", "Cleland", "Adenissus", "Adioristidius", "Rhinopoma", "Neozygitomycetes", "Scariphaeus", "Acanthocobitis", "Atamisquea", "Globoreticulina", "Rudarius", "Pompholyx", "Lizerius", "Antipathozoanthus", "Providencia", "Lionychus", "Atractylodes", "Mesocinetidae", "Monhystrella", "Charopa", "Glaciihabitans", "Pinzona", "Katocalliope", "Eidmannotherium", "Triconodonta", "Diderma", "Umushamyces", "Aulopa", "Pipinnipons", "Oniromyiinae", "Parens", "Acontiophorus", "Pachylister", "Hemicamenta", "Zygostelma", "Veroniceae", "Poeltiaria", "Notonesius", "Diplotaxini", "Sexava", "Kinosternidae", "Pangasius", "Scyllinini", "Anorthodisca", "Hapalemur", "Assadecma", "Catanthera", "Gonolobinae", "Diaprepocorinae", "Mirinae", "Rhynchonellata", "Cossoninae", "Gnathmocerodes", "Habrosyne", "Ulyanisca", "Shizhenia", "Parothius", "Cymatosirella", "Dentalinopsis", "Ksukolcula", "Portunoidea", "Dasyurotaenia", "Roseivirga", "Ibornia", "Ryticaryum", "Eoproscopia", "Mogannia", "Barychara", "Cacatuinae", "Emboliocoris", "Mniotilta", "Paraphysornis", "Pugnacoidea", "Dilar", "Paragebicula", "Ebriaceae", "Eustigmatos", "Enneapogon", "Eucodoniidae", "Elephantorrhiza", "Donatia", "Gibberula", "Pseudoprospero", "Aegolius", "Epacteriscoidea", "Pepemkay", "Ovacephala", "Granofilosea", "Homoanarta", "Kawiella", "Congochila", "Aiolochroa", "Aphidini", "Trigonala", "Mymaridae", "Kuscheloides", "Auloconus", "Radinosiphon", "Oirata", "Oncerini", "Calochromus", "Chrysococcaceae", "Conoxillus", "Pullocader", "Nyctycia", "Tyrannasorus", "Teloscalpellum", "Anadasynus", "Lachlathetes", "Aboetheta", "Abrsiidae", "Meringodes", "Liocranium", "Cryptaulacidae", "Mastigoproctus", "Homebiina", "Stenailurus", "Chilemutilla", "Otohimella", "Nicolletia", "Lispoides", "Stachomys", "Austropetaliinae", "Plumalexius", "Systellorrhina", "Lepturichthys", "Ceratocorythaceae", "Podolampas", "Dyticogidiella", "Dapsildiastema", "Rasutoria", "Anthodiscus", "Iiella", "Calicogorgia", "Cerebrina", "Carlopeltis", "Lepidoclema", "Afrocesa", "Argiope", "Plocamiocolax", "Geholaspis", "Heteroglobus", "Psilostomidae", "Cladocera", "Propalaus", "Bulini", "Hebediscidae", "Acamptodaphne", "Mimodiadelia", "Phenacolimax", "Macessoga", "Nolaclusiliidae", "Clytosaurus", "Coccinia", "Diplodon", "Enthylacus", "Aspidon", "Electrostrymon", "Hemigaleus", "Atoporhis", "Allocebus", "Parathelypteris", "Hydatina", "Pyxilla", "Tetrapterocarpon", "Herzogianthaceae", "Scaphoxium", "Johannella", "Graus", "Jaffrea", "Entorrhizaceae", "Chacocassis", "Evanioidea", "Midoria", "Spirospermum", "Cooktownia", "Argostemma", "Smaug", "Hymenura", "Micropacter", "Dysschema", "Crespinella", "Suricata", "Namaquanthus", "Apotrabisus", "Tsoala", "Cearadactylus", "Foadia", "Cryptochrysis", "Chiloguembelina", "Myatis", "Achlaenella", "Isorropodon", "Scarthyla", "Chironocesa", "Megalomma", "Euctenopsia", "Calasellus", "Carnivora", "Xenotriphleba", "Cosmoconus", "Ripipteryx", "Scintillademus", "Argentina", "Atyidae", "Asidoptera", "Antigenes", "Theretra", "Ischnothelinae", "Alima", "Ramalinaceae", "Styginidae", "Thelastomatoidea", "Jiangshanosaurus", "Camacolaimus", "Psiloxyloideae", "Macustus", "Tachygerris", "Blatta", "Lampropelma", "Arrhenechthites", "Amphichrysis", "Inermestola", "Anchylopera", "Schoyenia", "Climax", "Metrotyphlus", "Oaxacotyle", "Nanacarus", "Eugamandus", "Netociomima", "Tarphonomus", "Tropimerus", "Eutriacanthus", "Tokiophilus", "Tiamidema", "Epiceratodus", "Caesalpinia", "Pandita", "Ingerophrynus", "Ophthalmolebias", "Isotomoidea", "Pseudodryas", "Sypnini", "Rhescyntis", "Propionicicella", "Furcasterigmium", "Hypancistrus", "Puya", "Mitsukurina", "Zhyraornithidae", "Barbatosporomycetes", "Sisoridae", "Cycnidolon", "Potamodrilidae", "Steudnera", "Heterochaenia", "Pseudoscoliini", "Protroctopsocus", "Cyttus", "Balgetia", "Cochylidia", "Compsobata", "Rotundabaloghiinae", "Sphaerophoria", "Echeminae", "Leptophloeum", "Bergamoniscus", "Mangrovibacter", "Kudekanye", "Hennedya", "Epimydia", "Archaesphaerodiniopsis", "Cavonus", "Deltoptila", "Echinarachniidae", "Eutricha", "Tasiocera", "Phreatogammaridae", "Antipodia", "Heterocheila", "Cystorchis", "Eremochaetidae", "Ammosaurus", "Hystrignathidae", "Aeolotrocha", "Pandorina", "Geckolepis", "Victoriopisa", "Decorana", "Castianeirinae", "Indopeniculus", "Khaosokia", "Mutuuraia", "Hebanthe", "Trichiini", "Argina", "Chrysoxys", "Banffella", "Cabobanthus", "Cercoceropsis", "Coscineutini", "Pseudoclymenia", "Kawanectes", "Hollermayera", "Mitrella", "Somoplatus", "Juanobius", "Pseudocercospora", "Afrodotina", "Hazeus", "Hylocelis", "Euscaphidium", "Protochromys", "Cosmochthonioidea", "Zemiophora", "Davacarus", "Neognopharmia", "Suratia", "Hyagnoides", "Parapygmephorus", "Fimbribambusa", "Hyadaphis", "Habroneuron", "Mesophaenocora", "Wandogarida", "Greenisca", "Iriatartessus", "Rutaceae", "Upupicola", "Huttonia", "Warrenaria", "Babesia", "Perlorita", "Acsalina", "Turneriola", "Styracaster", "Hemiscylliidae", "Bainoceratops", "Pycnopanelus", "Caddoidea", "Dalpada", "Loricarioidei", "Glyphonotus", "Ecbathyriontidae", "Astrorhizida", "Koernerella", "Muscidae", "Pachymerocerus", "Dorippidae", "Toxospathius", "Glomalveolina", "Histiobalantiidae", "Isthmocoris", "Cynomys", "Cerrophidion", "Edbakerellidae", "Eruga", "Metamecynopsis", "Tethyidae", "Apterocyclus", "Huberodendron", "Cossinia", "Colpognathus", "Historis", "Oscadytes", "Setiarcha", "Mummius", "Duthiea", "Ozothamnus", "Cyrtodiridius", "Megaloptilla", "Tengchiena", "Cryptodendrum", "Maurodus", "Tianzhenosaurus", "Torrubiella", "Systropha", "Capra", "Bakerolimon", "Zygophyxia", "Cyphanthidium", "Centrarctia", "Atrilinea", "Busas", "Passovini", "Atlantolacerta", "Pseudomorphacridini", "Podolotus", "Cryophis", "Eulepidina", "Microzethinus", "Anopisthocrania", "Parascombrops", "Cypa", "Naringi", "Parathelphusa", "Microxysma", "Pycnorhachis", "Mariaglaja", "Chaetobromus", "Meredithblackwellia", "Sieboldius", "Loramycetaceae", "Obithome", "Pulicaria", "Serpulidae", "Schroederichthys", "Asclerini", "Perssonia", "Aegosomatini", "Dupontiella", "Eteoryctis", "Ankylocythere", "Psammisia", "Aleurodamaeus", "Kraussinoidea", "Nesochoris", "Cantheschenia", "Araneabaxis", "Holoarctia", "Globorotalites", "Opisthorchioidea", "Holosporella", "Micromonosporales", "Scutelleridae", "Tinogullmia", "Thecabius", "Berberidoideae", "Idiopyga", "Plectiastes", "Agaocephalini", "Kenyacus", "Mydrosoma", "Anemozara", "Schistogyna", "Cimolesta", "Aulocalycidae", "Protozelleriella", "Casarea", "Diplochlamys", "Facheiroa", "Macrobiotophthora", "Schaudinnia", "Calisiinae", "Blanioonops", "Polemoniaceae", "Ctenopoda", "Maiasaura", "Dichroa", "Cryptodoryctes", "Sofota", "Natanellidae", "Maoricicada", "Ademula", "Phyllomaeus", "Ramlibacter", "Aetherobacter", "Mindini", "Araucanophylus", "Hyparpax", "Amblyoponiphilus", "Cyclocephalini", "Egletes", "Lepisosteus", "Trochosiropsis", "Neaplax", "Euryphene", "Pseudorhysipolis", "Iodictyum", "Gowidon", "Achilinae", "Proneca", "Oryzomys", "Discocephalus", "Nonveilleria", "Allocephalus", "Metaphrynella", "Afzelieae", "Morpho", "Enenteridae", "Ampithoidae", "Otagoa", "Dunnieae", "Purpuroideidae", "Iochroma", "Rhadinodonta", "Gibbobruchus", "Myrmeciza", "Heterochlamydomonas", "Lymania", "Pachytomella", "Annulastrella", "Xenopygia", "Neothyridae", "Helferia", "Piprites", "Sacciolepis", "Syedra", "Promanawa", "Cyrenia", "Callopistes", "Blysmopeltis", "Robertsella", "Neocazira", "Carabus", "Pachysomoides", "Allothymoites", "Xenochrophis", "Distemonanthus", "Physopleurus", "Platylobium", "Cucujiformia", "Conualeviidae", "Meemannia", "Ancistragrostis", "Nanosylvanella", "Cardepia", "Harpinoderes", "Apanthuropsis", "Cyrtotrochalus", "Troctopsocopsis", "Galeopsis", "Beesonula", "Lamachus", "Rhinesomus", "Cadlina", "Alloeorhynchus", "Phylloicus", "Plectomediocris", "Xybaris", "Chrysoscota", "Crotalinae", "Acinopterus", "Neonothopanus", "Sarothrocrepis", "Haloferax", "Harmostica", "Smithsoniella", "Meniscomyces", "Vasicekia", "Chereuta", "Chibiraga", "Halysioncum", "Kathroperla", "Scourfieldia", "Clausophyidae", "Cymbellales", "Cantabroniscus", "Kryptops", "Tytthophysa", "Saintpauliopsis", "Millotauropus", "Nanosesarma", "Flagellamonas", "Mallodrya", "Choerodon", "Lepraria", "Idiotipula", "Lambula", "Melanagromyza", "Callomyiinae", "Ourocnemis", "Sphyracephala", "Thorselliaceae", "Sporobacter", "Lachnocorynus", "Prenanthella", "Lytoneuron", "Ovicola", "Bellioidea", "Rozajella", "Colurieae", "Herpothallon", "Niphadolepis", "Rousettus", "Allactaginae", "Syracosphaerales", "Agaritha", "Archeoviparosiphum", "Pectocarya", "Mocinnodaphne", "Bunonematoidea", "Cyclolobidae", "Oreopaederus", "Neoheptaulacus", "Buathra", "Pseudoligostigma", "Holostichides", "Pseudectatomma", "Boromys", "Falsopalmula", "Haplochromis", "Phyllophorella", "Kostermanthus", "Uristidae", "Myosoma", "Epiphyas", "Tepidisphaeraceae", "Apataidae", "Mesoschubertella", "Colonellus", "Perypiramis", "Mauriesiinae", "Emydocephalus", "Hypsilophodon", "Anomalodesmata", "Archaulacus", "Viminaria", "Batrachospermales", "Xenochromis", "Cheiloneurus", "Agylla", "Kerrichia", "Cyclidiellus", "Buergeria", "Hylaeinae", "Melanosuchus", "Normanina", "Strophiinae", "Crenoicus", "Quasicichla", "Phyllobium", "Pterosperma", "Miltogramma", "Abacion", "Phantasini", "Cayabeus", "Amauria", "Notohagla", "Pteruthius", "Parectroma", "Myscelia", "Staphyliniformia", "Pseudomicrostroma", "Discoclymeniinae", "Chvalaea", "Christinus", "Stuhlmannium", "Persicobacter", "Heterobostrychus", "Hofkerina", "Diasporidion", "Polytrichaceae", "Peristicta", "Rhizoclonium", "Apotrachelotractus", "Pharyngodonidae", "Mastigoteuthidae", "Pallidionicus", "Hamaxas", "Nemoleontini", "Origma", "Anabremia", "Diploperla", "Enneophyllus", "Cellaria", "Beckocoris", "Floridina", "Onygenales", "Torpediniformes", "Neula", "Languriini", "Umbraculum", "Polymorphobacter", "Crouania", "Coccidiodictyon", "Neoprociphilus", "Bilia", "Chalybea", "Truncocolumellacae", "Arthrhoplophora", "Paramunna", "Troodontidae", "Chauliomorpha", "Chroaptomus", "Protonephrocerus", "Terocelion", "Gymnospermium", "Macrotrichomonas", "Megalonycta", "Epiocheirata", "Ogdeniella", "Lutriwita", "Megagidiella", "Austroniphargidae", "Laemanctus", "Tylorida", "Mumia", "Prorhynchus", "Cnizocoris", "Incisaxine", "Apiognomonia", "Utinga", "Amphisbaena", "Knemidokoptes", "Paraphotina", "Crosbylonia", "Tocoyena", "Orbitolinella", "Boleopsis", "Geisha", "Lebetus", "Rhodochlora", "Neurogalesus", "Cryptodermatini", "Apoplanesia", "Dimetra", "Metopoplax", "Chilelabus", "Toxosira", "Phycocus", "Lithostege", "Synemosyninae", "Dendrophilinae", "Parapholiinae", "Mastema", "Perlodini", "Tropichelura", "Pachycare", "Propalosoma", "Ctenoplectus", "Spongionella", "Limonius", "Kuschelochilis", "Auplopus", "Polygyridae", "Blaberinae", "Crossognathiformes", "Rothmaleria", "Antarctotetilla", "Bathyhedylidae", "Xoklengana", "Calyptra", "Astetholea", "Kaestneriella", "Myxopyrum", "Rhadinoscolops", "Magadina", "Apini", "Subcoccinella", "Genusa", "Selenopemphix", "Amphiacanthidae", "Proplatycnemis", "Cyphosperma", "Kolymospirifer", "Platyurosternarchus", "Natricinae", "Cytogonidium", "Tentaculamonas", "Bursadella", "Syncoeliinae", "Falsonyctopais", "Myrmecophilinae", "Pseudidiogenes", "Liabeae", "Oertlispongus", "Planctomicrobium", "Speleomantes", "Lelliottia", "Archithosia", "Pomphopsilla", "Enterobacillus", "Doleserpetontidae", "Microbregma", "Paracryptocanthon", "Lophocharis", "Kyphosidae", "Kalenjinia", "Pyrosomatinae", "Scaphoideini", "Radiopalma", "Humerana", "Dinotoperlinae", "Lepidiota", "Actinema", "Myripristis", "Nanorrhinum", "Mediothele", "Pteryx", "Tuberitinidae", "Centipedinae", "Sauricotyle", "Rhabdopsis", "Spilopastes", "Euryschiza", "Edmundsella", "Pseudogonatodes", "Oomyces", "Parmena", "Scapanes", "Scypha", "Pachypodium", "Krasilnikovozyma", "Astropyga", "Moala", "Aidophus", "Recurvaster", "Trichopagis", "Parapronorites", "Macromiinae", "Perlopseidae", "Tomoderinae", "Ixodina", "Carvalhofulvius", "Lepidobotrys", "Formosiepyris", "Kivua", "Polytrichopsida", "Cordillerita", "Flavina", "Planitornoceras", "Choerotricha", "Thoracopteridae", "Comibaenini", "Xeronema", "Limusaurus", "Eutornopsis", "Myochrous", "Meteoriaceae", "Mulsanteus", "Megalaspis", "Tiacellia", "Dolophilodes", "Gavialidium", "Giaura", "Paradoxipus", "Naticopsinae", "Paralleucosma", "Nestrius", "Diorus", "Microdonacia", "Trichostomum", "Neohalochloris", "Analipus", "Atheropterus", "Satureja", "Hylastes", "Mallinella", "Icelita", "Alfredus", "Uncia", "Nouria", "Brachystemma", "Austrocoenagrion", "Persoonia", "Rhodosciadium", "Compsoctenus", "Prospherini", "Endoiastinae", "Anomopterellinae", "Signigobius", "Endocomia", "Clematocrinus", "Niptus", "Molitones", "Cephalothecales", "Hexaminius", "Pseudosmodingium", "Bazzanioideae", "Metacheyletiini", "Astrobola", "Anaerobranca", "Mesembiini", "Discoprosthididae", "Gastridium", "Nineta", "Amylax", "Rahavavy", "Ancillariidae", "Sanionia", "Primuloideae", "Jeannelius", "Pembius", "Geralius", "Sinigarra", "Ingogius", "Tachyblastonidae", "Echinostrephus", "Philistina", "Merrilliobryum", "Artaxa", "Chaerocampa", "Stenocysta", "Euplectitae", "Myriactula", "Torquatoides", "Meiolaniidae", "Ochetorhynchus", "Strepsimaninae", "Paramytha", "Plutonium", "Lepydnus", "Sporichthya", "Pseudotatia", "Bradynotae", "Malachiinae", "Axinellidae", "Arachnopezizaceae", "Clivinini", "Pulaeini", "Epidexipteryx", "Podocalyceae", "Palaeoptera", "Elelea", "Cordioideae", "Cruriopsis", "Choristocarpus", "Ramphasticola", "Rimoneis", "Huriella", "Prochaetosoma", "Ecitoglossa", "Kampochloa", "Angursa", "Streptotheca", "Allogromiida", "Crucihimalayeae", "Ritaumius", "Eosybra", "Leptolobium", "Epacternis", "Matanzioides", "Guaranita", "Coelacanthidae", "Involutinida", "Diptilomiopinae", "Parahelpis", "Zingiberaceae", "Solenopsidini", "Parandrya", "Euornithopoda", "Sicarius", "Parachelonia", "Tephraeoserica", "Aselgeia", "Telemiades", "Serenichthys", "Neoparrya", "Cremnothamnus", "Mnasilus", "Aureimonas", "Gampsocorinae", "Agrypon", "Anodonthyla", "Aristolochioideae", "Katablepharidophyceae", "Iduna", "Fernelia", "Jablonskieae", "Melchus", "Lyophyllaceae", "Brachiolodes", "Amphipeltis", "Hyblaeoidea", "Scinoidea", "Callipodidae", "Anthracosauria", "Allotanaupodidae", "Limnoplana", "Distathma", "Hyalotrochus", "Anabropsis", "Dicellandra", "Nostolachma", "Peltoperlidae", "Chinemys", "Dendromus", "Astenognathus", "Pestalotiopsis", "Miqueliopuntia", "Isoptena", "Aedispora", "Afrocylindromorphus", "Vittaliana", "Metapenaeus", "Phoenicophorium", "Cladoniaceae", "Triodontoderes", "Hydropsychinae", "Clematostigma", "Mixochlorus", "Meedo", "Eurycercinae", "Labidostommatoidea", "Gnathostenetroides", "Erythronaema", "Apterapomecyna", "Oxurina", "Archiargiolestes", "Augastes", "Stilipedidae", "Oligonicinae", "Spirularia", "Paradiplogynium", "Pseudotrapelus", "Dicranobia", "Lametasaurus", "Nautilus", "Carcinarctia", "Dufouriellus", "Eolagena", "Leptoptyx", "Chroogloeocystis", "Acavidae", "Cephalothamnium", "Viphyus", "Eudesmus", "Antidesma", "Mouriri", "Giraldiella", "Sybota", "Hydrastidoideae", "Pedinini", "Oxyloma", "Jubanyella", "Ceropalinae", "Trachyderes", "Olisthaena", "Acidoproctus", "Ogilbichthys", "Elytrimitatrix", "Tenuicoris", "Tamnoserica", "Rimisia", "Zeuximyia", "Obisiphaga", "Natica", "Cerynea", "Netoche", "Exypnus", "Paroplitis", "Mesotus", "Aphrophila", "Brachyrothus", "Scomberesocidae", "Kleptothule", "Pseudonoseris", "Mesturidae", "Visnea", "Cruoriella", "Physma", "Orthotrochilia", "Pseudancistropterus", "Rufeccopsis", "Acanthohoplites", "Kurablattina", "Phricodia", "Citharexylum", "Stellulathyas", "Trimorphomyces", "Serrulellini", "Myoviridae", "Kubaryiellus", "Dymecodon", "Metalectra", "Liotryphon", "Sessilida", "Feldmanniidae", "Mussardia", "Octomeria", "Luzonoparmena", "Pseudoacontias", "Herpetoichthys", "Cheiroseius", "Physa", "Lateroligia", "Raoultella", "Collemataceae", "Antrigoulia", "Perophthalma", "Systole", "Merostomata", "Tilia", "Minanapis", "Harpullia", "Adelosina", "Touranella", "Ardenticatenia", "Phyllachorella", "Forstrarchaea", "Helicobasidiaceae", "Colocleora", "Athaumastus", "Cochlosoma", "Rhyopsocoides", "Loiseaubryum", "Sinamphiascus", "Oncozygidea", "Jixiangornis", "Homalopterula", "Brassolini", "Reconditella", "Pseudoheterochelus", "Conochitina", "Stratiomyomorpha", "Abloxurina", "Parma", "Stolephorus", "Pantolambda", "Eurycallinus", "Lepidemathis", "Bothremydidae", "Ectocarpidium", "Leptichnini", "Anchitherium", "Cacocharis", "Utiidae", "Labeobarbus", "Amphiacantha", "Potameia", "Sinoinsula", "Melittommopsis", "Platycoryne", "Emelianthe", "Renodesta", "Phalonia", "Atrichopogon", "Jullienella", "Halobaculum", "Heliobodo", "Cheirimedon", "Xerorchideae", "Leptophatnus", "Caldilineales", "Rhacheosaurini", "Pseudampharete", "Monopterus", "Emmenomma", "Eilica", "Leiotrocha", "Triceratorhynchus", "Septobasidium", "Odontosciara", "Gibbosella", "Sparicotyle", "Oryctomorphina", "Paracomeron", "Carlisis", "Sternopygidae", "Sympherobius", "Ancistromus", "Subterenochiton", "Scelidosauridae", "Eminium", "Leptomantispa", "Harnochina", "Klikiinae", "Antennaria", "Mchenga", "Ophidiocephalus", "Galaxiinae", "Andinosaura", "Nothobachia", "Mysmena", "Meligethinae", "Stereum", "Sanluizia", "Orthonematoidea", "Megastygarctides", "Didymopsora", "Caenorhabditis", "Procellademus", "Renicimberis", "Mancoa", "Brachynillus", "Atripatus", "Anamixilla", "Idiographis", "Dicranocentrus", "Draconectes", "Baxyris", "Modiolastrum", "Coilochilus", "Quichuana", "Loboparadisea", "Amblytenes", "Oophorini", "Bradyrhizobium", "Afrolimosina", "Platypeplus", "Latispeculum", "Periphyllopsis", "Omotimellus", "Pachyfolliculina", "Pygoplites", "Capraria", "Formicoxenini", "Sesioctonus", "Axelella", "Xystroceroides", "Niponiella", "Baisalinidae", "Maculobates", "Stemonuraceae", "Lepturalia", "Peraxilla", "Chrysomyinae", "Solter", "Parageotrupes", "Epilithonimonas", "Zopfiaceae", "Petalura", "Helicocranchia", "Lamprolonchaea", "Himantopterus", "Mimotrechus", "Xanthopygina", "Apocreadiata", "Psilini", "Nipponentomon", "Systellantha", "Cafrotyphlus", "Pterobryidium", "Priogymnanthus", "Niphonix", "Orbeanthus", "Asterivora", "Pseudoscourfieldiales", "Xerinae", "Capenicola", "Chondraster", "Stenopleustes", "Diphtheroglyphus", "Xanthocorynus", "Cheneya", "Phoenicanthus", "Pseudanatona", "Platysteiridae", "Penthalodes", "Alexandrella", "Lymeonina", "Dichotrachelini", "Rhetus", "Hymenocardiinae", "Schiffermuelleria", "Usiini", "Pyralestes", "Amphinomia", "Ereunetes", "Newtonusa", "Glaphyronyx", "Glossarion", "Ophiopsammium", "Schoenerupa", "Aronia", "Zamioculcadoideae", "Christineconcha", "Fenghuangor", "Rhadinopsyllini", "Heliscus", "Scutosaurus", "Atarba", "Harpactira", "Protorhyssalinae", "Petrobiini", "Adoneis", "Ancistrosporella", "Trichoteleia", "Ophiophragmus", "Psychropotidae", "Stenomesius", "Luedemannella", "Callisthenes", "Kungurella", "Randallichthys", "Heloriserphus", "Glena", "Cyornis", "Ptox", "Cangazomus", "Archaeochitosa", "Adencythere", "Amphisternus", "Ipanemidae", "Cephalobellus", "Apidioplana", "Dibrachichthys", "Mythicomycetaceae", "Liphistiinae", "Ponsoonops", "Ovulactaeon", "Kiwaia", "Pseudomantalania", "Pammicrophallus", "Agastachys", "Pitheciinae", "Chtamalota", "Collessia", "Cavosteliidae", "Liarea", "Cantharellus", "Aberratiodontuiformes", "Teraphis", "Metallactus", "Tenthredinidae", "Euryplacidae", "Cribrohantkenina", "Nanodiodes", "Rytus", "Desulfoarculaceae", "Isonychia", "Hymenasplenium", "Afroscaphium", "Neocladorchis", "Udara", "Colobostema", "Eurypholidae", "Dixus", "Balistes", "Anapsectra", "Smiliogastrini", "Coscinodontella", "Huayna", "Pseudocarpidium", "Squalidus", "Lacurbsinae", "Tyrophagus", "Betamorpha", "Afghanella", "Barnadesieae", "Schmidtiphaea", "Amabiliviricetes", "Dryobotodes", "Lueckelia", "Catalauniscus", "Tewoella", "Arthmius", "Moraviella", "Anamaria", "Alysson", "Asaphobelis", "Lamingtoniidae", "Aethiopocassis", "Eburilla", "Syntrophococcus", "Chaerophyllum", "Tonicella", "Catillariaceae", "Phasmomimoidea", "Gnoristini", "Spinaphis", "Eupycnus", "Georgiana", "Longeumolpus", "Pseudoleptonema", "Cataetyx", "Chrysozana", "Camptothlipsis", "Janthecla", "Tagalog", "Acraeini", "Eupelates", "Aphelacarus", "Chloroda", "Ningxiaplatysomus", "Paratrachichthys", "Genipa", "Allendia", "Paxillostium", "Akashiwo", "Desertispora", "Narvalina", "Calycanthaceae", "Trypanidius", "Rapoportella", "Euglenea", "Cretamyzus", "Anaulodes", "Stephanopyxidaceae", "Austrosaginae", "Pseudepapterus", "Patamadaga", "Jagiello", "Tapajosellidae", "Leleupidiella", "Fushunobracon", "Colinatys", "Neotomys", "Bakawan", "Caralinda", "Hiletinae", "Munella", "Javablaste", "Houttuynia", "Pseudotocepheus", "Lethrini", "Anidiocerus", "Ocaria", "Hitobia", "Phamisus", "Anguina", "Scotocryptini", "Hedeoma", "Epicaris", "Ocnerodes", "Theroscopus", "Myxopyreae", "Mixibius", "Ryxabis", "Siphonina", "Gotoblemus", "Taeniopteris", "Kornyushetta", "Crypsiphona", "Lumbriclymeninae", "Catapleura", "Arbelodes", "Anakelisia", "Chrysopogonini", "Dicrostonyx", "Dephomys", "Coptacrella", "Colymbomorphini", "Phengodini", "Afrotrogla", "Procalyptis", "Auloplax", "Grandjeana", "Hokkaidoconchidae", "Millerettidae", "Rhizonium", "Paxillaceae", "Nocticolidae", "Timandromorpha", "Ortezia", "Nordmaniana", "Horvathiniinae", "Nebrorabus", "Cohaesibacter", "Umbelligerus", "Rozellopsidales", "Beesia", "Samidae", "Beresella", "Odontobutidae", "Gonotrephes", "Anchylomera", "Vieraella", "Chalybs", "Trinacromerum", "Poecilocampini", "Schiedeella", "Paratrochammina", "Planctosphaera", "Hexamedon", "Peltolepis", "Alkmaria", "Waikalasma", "Biporonterina", "Mydeus", "Speidelia", "Barranca", "Columnitis", "Ptochophyle", "Duguetieae", "Conopomorphina", "Hexachlamys", "Anguloscalpellum", "Halolactibacillus", "Linodendron", "Nuculida", "Pterobryopsis", "Ogmocerus", "Peneroplis", "Obriini", "Schoenlandella", "Bryceella", "Passiena", "Dermatophyllum", "Micromyces", "Actinopus", "Taxiphyllopsis", "Marilia", "Scaptodrosophila", "Planopulvinulina", "Boccharis", "Eriachneae", "Telsimia", "Neocorvicoana", "Asterophlyctaceae", "Hymenocardia", "Manihot", "Amylibacter", "Calopsocinae", "Galerida", "Herpetomonas", "Zantedeschieae", "Maoraxiini", "Diapterus", "Cacumen", "Epiponini", "Rhopalothylacidae", "Phyllostemonodaphne", "Chrysommata", "Zeugnomyia", "Tepakiphasma", "Akkesiphycaceae", "Ileodictyon", "Allophatnus", "Scopulifer", "Achradocera", "Hammaptera", "Rifarginae", "Hyptiotes", "Amytornis", "Cyclosira", "Vitakridrinda", "Amphichthys", "Stegosatyrus", "Simplicibracon", "Xiaitettix", "Polymorphinoidea", "Chrysopasta", "Parabogidiella", "Acentrogobius", "Helotrephes", "Amelinus", "Austrognathia", "Tomistoma", "Pibocella", "Drepanophoringiidae", "Paucidentulidae", "Quebradnotia", "Thiotaurens", "Saxifragispermum", "Calyptrolithina", "Semirostrum", "Philozoon", "Loxopamea", "Goldbachia", "Zyginella", "Ptilonorhynchus", "Octomeles", "Panchlorinae", "Triloculinellus", "Acanthocollum", "Dairellidae", "Stomiini", "Pseudopulex", "Salviinae", "Zygoglypta", "Pseudoechthistatus", "Dolania", "Phoenicircus", "Zonia", "Epipomponia", "Hybalicidae", "Platydromus", "Naibiinae", "Dolichacantha", "Advhena", "Chrysodidymus", "Scincidae", "Blephilia", "Berylmys", "Amazula", "Macrotrema", "Sinclairiinae", "Nanohammus", "Eudiagogini", "Halosphaerales", "Llythea", "Quambalaria", "Rasnitsynitilla", "Agnosiusa", "Coprotachinus", "Synechocera", "Argyractoides", "Oxyuroidea", "Elatine", "Pyropini", "Compsoteles", "Odontoneura", "Perrottetia", "Chortoglyphus", "Crash", "Coullia", "Pseudolaryngodus", "Catarrhini", "Haplomacrobiotus", "Compsosoma", "Spelaeoniscus", "Botryocarpa", "Rabaulichthys", "Halacarsantia", "Neurigoninae", "Orcus", "Confluentibacter", "Plemyristis", "Ptinellodes", "Deoterthridae", "Gausapia", "Philoscaptus", "Macrochaetus", "Phalarina", "Capnodula", "Lampromitra", "Spongiibacterium", "Aplopalpus", "Polyxenidae", "Craspedotis", "Pollexfenia", "Libotonius", "Thulinella", "Zehntnerobolus", "Orrorin", "Neoplerochila", "Monilesaurus", "Desis", "Aglodes", "Palaeagapetus", "Dunaliellaceae", "Malayinthus", "Dichaea", "Epilissus", "Kyphosus", "Tanyrhynchini", "Hamirostra", "Rhachistia", "Homo", "Cupa", "Robynsiophyton", "Cajaninae", "Mesolenticulina", "Rimellopsis", "Pseudonematophila", "Xylobotryum", "Eusceptis", "Arthopyrenia", "Namophila", "Micropolycesta", "Strymon", "Pseudometacylis", "Araneinae", "Linnavuorista", "Heterotarsini", "Pholcommatinae", "Corticarina", "Megalogryllus", "Proustia", "Pontogeneiidae", "Cavitas", "Monandroptera", "Parasarus", "CBC", "Adenophora", "Xantheranthemum", "Kaisupeea", "Kalanchoideae", "Cycloneritida", "Microcolona", "Xeronemataceae", "Icacinicaryites", "Wobo", "Coutaportla", "Reticana", "Lavanonia", "Orthoamphisiella", "Melanargia", "Paederina", "Banisteriopsis", "Asterophoma", "Koremalepis", "Corallobolus", "Iviraiva", "Tenthras", "Denivia", "Genuotermes", "Wadithamnus", "Neocoenyra", "Nematogobius", "Mimoxypoda", "Australothele", "Cassida", "Aquacidia", "Wehrliola", "Parallela", "Dendrouterina", "Daldorfiidae", "Cheilochromis", "Lophontosia", "Melancium", "Nematobrycon", "Cyamon", "Djokoiskandarus", "Neofreocorus", "Coptodon", "Encyonopis", "Amyrmex", "Domaldona", "Cylindrorchis", "Platynini", "Cribrohemisphaeroides", "Stomatostemma", "Hartmaniellidae", "Nematoplinae", "Cholini", "Centrotus", "Acanthotyphlus", "Lactucinae", "Aplagiognathus", "Priodontes", "Echinosphaeria", "Schmidneila", "Proterini", "Ceylonspathius", "Nymphalinae", "Philactinoposthia", "Wulfenia", "Tyrus", "Urorcites", "Cataxipha", "Turretia", "Nebridia", "Byturidae", "Madeoveliinae", "Mafia", "Pterinopelma", "Harmochirina", "Undella", "Sericostachys", "Pleurocapsales", "Tectonoideae", "Leptopharsa", "Lunulariaceae", "Stenarches", "Microcycadinae", "Nemophila", "Pseudoctomeris", "Biacetabulum", "Sarocalamus", "Metaniidae", "Cuphonotus", "Incratella", "Microarthron", "Anaplopus", "Neadysgonia", "Rhogepeolus", "Metania", "Thalassocninae", "Cyrtopilus", "Rhamophorus", "Siberiaspidoidei", "Zaphantinae", "Thectophila", "Holasteron", "Brodskius", "Robynsia", "Cyrnoniscus", "Aristobatina", "Microthlaspi", "Thereuonema", "Gonatopodinae", "Westella", "Liogluta", "Clangula", "Hemibungarus", "Stevensia", "Cristalinaia", "Maoripsocini", "Lobelioideae", "Pseudocoris", "Dokhtouroffia", "Microcephala", "Cochlicopa", "Coronistomus", "Calliope", "Conium", "Chacella", "Mogibacterium", "Hypsilophodontidae", "Ammodramus", "Arthrosolaenomeris", "Cryptogrammoideae", "Tricholabus", "Austrolimnophila", "Quadrotydeus", "Largeyeus", "Hadimus", "Stenopamera", "Glossomastix", "Centrocerocolax", "Laufeiini", "Kulgaphoxus", "Orobdellidae", "Nearctitychus", "Aulotingis", "Metaphileurus", "Oenectra", "Dudia", "Mariauxiella", "Nephograptis", "Celyphidae", "Tarsonemoidea", "Haplogaster", "Calyptocephalellidae", "Bruchini", "Girodella", "Pseudois", "Emphreus", "Parafimbrios", "Philodamia", "Hydroporinae", "Polyzosteriinae", "Abbottina", "Etruscodytes", "Browallieae", "Curupira", "Heteroepipsocus", "Platytinospora", "Camitocomus", "Hafniasphaera", "Dryophiops", "Gonambonitidae", "Prozercon", "Nicatoridae", "Dercetidae", "Sphinx", "Zeamordella", "Bryopsidaceae", "Bombycopsis", "Shirleyrhynchus", "Phonygammus", "Ctenocalini", "Hypsolophus", "Uroskinnera", "Bathypogonini", "Trabisinus", "Lucullia", "Maculabatis", "Dolophrades", "Chiropetalum", "Protobehningia", "Antilligobius", "Pareuryaptus", "Javanyphia", "Phyllobius", "Pongeia", "Rosetea", "Cleomia", "Calyptoglossa", "Miturgopelma", "Borneochara", "Claoxylopsis", "Terthrothrips", "Allenopithecus", "Tornoceratinae", "Ferugliotherium", "Prorhinotermes", "Polyedriella", "Baranowskiobius", "Heterorhina", "Acatinga", "Microsalomona", "Raunoloma", "Paracassidulina", "Omanodinium", "Elongatomerionoeda", "Ratzeburgiinae", "Parascaptor", "Evips", "Magsaviricetes", "Parauncinula", "Neogyroidina", "Palatka", "Ectrephes", "Chalicotherium", "Culiseta", "Stenotyphlus", "Barnaviridae", "Lumicella", "Balanomis", "Champsochromis", "Filobacteriaceae", "Alouatta", "Isolobodon", "Enicodini", "Stilophora", "Gastrocotyloides", "Kewaceae", "Sekeetamys", "Tecomanthe", "Ectyphinae", "Oxyothespis", "Paralasa", "Englerophytum", "Elasmatininae", "Synagoga", "Liotingis", "Dacne", "Peringueyella", "Armandochrysopa", "Namatetris", "Nassauvieae", "Miraciidae", "Hasstilesiidae", "Oocystales", "Endoscrinium", "Archaeoceti", "Hiverus", "Risdonius", "Parinesa", "Pachyornis", "Micracosmeryx", "Plesiopalacephala", "Stittocapsus", "Megadontognathus", "Aenictolixa", "Myriangiales", "Abisara", "Strophedromorpha", "Fabriciana", "Egibacteraceae", "Pityopus", "Cyathaspidida", "Pampasatyrus", "Stiriinae", "Corybas", "Dendya", "Toromys", "Septentrionia", "Rimokoroga", "Archaeobehningia", "Nematistius", "Athous", "Afrocampsini", "Clemira", "Arundinae", "Neopauesia", "Cyclocypris", "Chrysolepidomonas", "Piramuranoides", "Iranoceras", "Urocaridella", "Lotella", "Zoridae", "Janseodes", "Jauella", "Ceuthomantis", "Lacertaspis", "Alectriinae", "Gryphus", "Astomaea", "Davidraena", "Selenicereus", "Iodicarpa", "Mixtoconidium", "Massisteriidae", "Abiskoa", "Phloestiba", "Pupillaea", "Bombacoccus", "Balkana", "Edgar", "Hypaurotis", "Turritideae", "Pachyskelotes", "Andebius", "Paratilapia", "Monilaria", "Pelecynotum", "Nelabrichthys", "Anomotarus", "Rimapenaeus", "Tetrascapha", "Diplotriaenidae", "Agrilochilus", "Lepidophorum", "Crassagena", "Eschmeyer", "Versicorpus", "Chrysomonada", "Paracyclotaenia", "Micrymenus", "Lipinellina", "Pseudolorryia", "Paractaenum", "Bucerotiformes", "Kielanodon", "Euphractus", "Tshorkuphlebiinae", "Hieraaetus", "Kuna", "Paradoxica", "Apameina", "Linoderus", "Siculaphis", "Brasilibathynellocaris", "Brasiliosoma", "Beltranosia", "Pseudonagoda", "Desmodorinae", "Pseudopfenderininae", "Sarasinia", "Acetohalobium", "Parambrostoma", "Crotalomorpha", "Allolinus", "Bacuris", "Austrinoecia", "Haematoloecha", "Reinwardtiini", "Garumnella", "Anzacia", "Paramoerella", "Zetomotrichoidea", "Apate", "Neoblattella", "Rostrogammarus", "Cyrtogonatopoides", "Hemithecium", "Eskovina", "Evidaturus", "Chaerilus", "Eulia", "Pogonarthria", "Embletoniidae", "Collinsiella", "Akebia", "Phyllergates", "Oontomyces", "Agrotis", "Paramictis", "Pedunculata", "Paradunbarula", "Duganella", "Parahelops", "Notopteris", "Marthamycetaceae", "Siafumimus", "Nedyus", "Amanitaceae", "Jerozenia", "Cladodonta", "Microbryocoris", "Aspidacantha", "Evanos", "Terasakiella", "Brotia", "Lathamus", "Philactis", "Amphicontus", "Erythrosquillidae", "Porphyrobaphe", "Caspipina", "Coelodela", "Psyllidomyces", "Diplopseustis", "Polynemula", "Turbinella", "Ancylandrena", "Aquiloniella", "Neomaso", "Atriofolliculina", "Lissomini", "Berismyia", "Fursenkoinoidea", "Dipsas", "Plectris", "Styela", "Sciaphobus", "Propithecus", "Dasybregma", "Tapisciaceae", "Iheringichthys", "Intracotyle", "Dollingocoris", "Buticulotrema", "Cymbiini", "Ammodorcas", "Oblada", "Antonietta", "Heterocalyx", "Chlorisanis", "Cryptolobatidae", "Palaeophrynops", "Arremonops", "Trichastoma", "Quasimellana", "Portulacaria", "Nosferatu", "Hottingerita", "Propleroma", "Paralinstowia", "Oreochromis", "Polygonanthus", "Silvicultrix", "Machomyrma", "Endothyranopsinae", "Orubesa", "Pisidae", "Arachis", "Pseudovadonia", "Floricaudus", "Bolaspididae", "Apalosellia", "Amamanganops", "Corallinapetra", "Tricholaser", "Chaetacis", "Phoniocercus", "Microcavia", "Chalinus", "Dactylortyx", "Lathonura", "Cubrasa", "Completoria", "Psilocurus", "Alexidia", "Hibanobambusa", "Bavayia", "Thalassiosiraceae", "Frankeniaceae", "Stillabothrium", "Jeffersonia", "Floscularia", "Paragordius", "Troglotrematidae", "Desmotes", "Aayemenaytcheia", "Holanthias", "Pseudambicocerus", "Plexippus", "Hapalidiaceae", "Cryptocentroides", "Opsies", "Megacraspedus", "Cheloninae", "Megaloxantha", "Gama", "Cadra", "Thrigmopoeinae", "Antipolistes", "Gammaracanthidae", "Albia", "Kentrothamnus", "Endobiella", "Macropteranthes", "Coptideae", "Anthura", "Lesueuria", "Scleropteroides", "Mimulosia", "Vellaria", "Parapatrobus", "Lama", "Dictysarcidae", "Luia", "Kiloniellaceae", "Akalyptoischion", "Pachydema", "Lecaniococcus", "Laodiceidae", "Kyopoda", "Protosticta", "Rosiroiini", "Thaipsocus", "Harpagoherpia", "Oreocome", "Kuelvarosiplusia", "Paraprocirrus", "Grammonus", "Stictodrya", "Microcheilini", "Johnstonella", "Nepalorthogonius", "Crassosphaera", "Diphyllidea", "Nematocera", "Hindoloides", "Exophthalmida", "Dytiscini", "Procerovum", "Ammianus", "Cochleostreptus", "Grypocentrus", "Thysanichthys", "Murina", "Dacrymycetaceae", "Trichodectidae", "Nyssiodes", "Notoxini", "Pachypleurosauria", "Dogninades", "Dulichius", "Marteilia", "Orybina", "Trechistus", "Sphecozone", "Digrammia", "Christensenellaceae", "Ajmonia", "Sculdidae", "Polyosma", "Thyris", "Craspedotella", "Achyrolimonia", "Praepronophila", "Strigiphilus", "Amphiporus", "Euschizomerus", "Kineosporia", "Tropiderini", "Bythinoplectoides", "Limnocorinae", "Palpator", "Mecognatha", "Thinophilus", "Paravijaya", "Miridiba", "Mertensophryne", "Ancylentomus", "Agoreina", "Cryptostemma", "Stenostygninae", "Entoria", "Laminariales", "Novzelorryia", "Cylicospirura", "Cryptarius", "Stephanius", "Seseria", "Kannathalepididae", "Haliartus", "Eucradini", "Groteini", "Arnemelassa", "Zapfellidae", "Notodryas", "Ditomocladia", "Brachydiplacinae", "Procas", "Barythixis", "Xenogenus", "Trichodiboma", "Solangella", "Scarabaeini", "Phaeophilaceae", "Drepanogigantidae", "Eurytion", "Peyerimhoffina", "Azenini", "Ammatomus", "Hypodontolaimus", "Notiophilus", "Empidinae", "Pseudolambrus", "Kretzschmaria", "Zographetus", "Valvifera", "Hyalochlamys", "Triportheidae", "Eretini", "Tetraroge", "Zizania", "Tokidaea", "Dedya", "Gayomyia", "Kurtia", "Xanthogramma", "Gerreidae", "Campovassouria", "Euryophiurida", "Microzogus", "Afrolittorina", "Pseudotrichonympha", "Bellwoodilabrus", "Protoceratopsidae", "Pleuroncodes", "Moestrupia", "Reteporidae", "Ocnogyna", "Paridiagonum", "Petromorphus", "Solenopsora", "Vespertilioniformes", "Jampruca", "Selenomonas", "Eulidia", "Cuspidariidae", "Dologenitus", "Brugia", "Pseudolepis", "Trentepohliales", "Carpopenaeidae", "Dichondrosipalia", "Sporocladus", "Paramonas", "Gorgonopsia", "Crossaster", "Tilapiini", "Pleuraphis", "Subleuconycta", "Anisoschizus", "Hyleoides", "Costasensora", "Gigaspermaceae", "Stephenseniellus", "Vasum", "Hydroecia", "Pedipes", "Platygnathia", "Sertularioidea", "Floydiella", "Metaruncina", "Elixusa", "Hyunsoonleella", "Doleroserica", "Elliptio", "Heterophyidae", "Ammodiscidae", "Pseudoacroleucoides", "Microlunatus", "Chloanthes", "Microtea", "Korthalsia", "Cebysa", "Tylosaurus", "Apotriophtydeus", "Stigmatijanus", "Sphyriidae", "Tentilenticulina", "Viviparinae", "Ruteloryctes", "Didymobothrium", "Trimeria", "Heydenius", "Tranosema", "Gymnostomata", "Carinavalva", "Antequerinae", "Lebessphaera", "Haustoriidira", "Nemastomatidae", "Heterotaxalus", "Priscoverrucinae", "Zairebiantes", "Didymoplexiopsis", "Caryatis", "Margelana", "Spiza", "Tachininae", "Rhyopsocus", "Kartidris", "Axestemys", "Stephanogorgia", "Muellerina", "Neodermaphis", "Nitrophila", "Clepsigenes", "Orochernes", "Solenopleuridae", "Migneauxia", "Arthoniaceae", "Lumbriculida", "Ucla", "Acrotaenia", "Cyclopites", "Nasobranchitrematinae", "Hoplophryninae", "Catostylus", "Uleiota", "Dudgeonea", "Promecheilus", "Spinophallus", "Halosaccion", "Trichopsis", "Konarus", "Balanotaeniidae", "Defluviimonas", "Paradesmus", "Asconema", "Ammodesmidae", "Philopterus", "Phiditia", "Velutinodorcus", "Atemnidae", "Heteromormyrus", "Hamagina", "Hapigiini", "Rubrius", "Nematophylla", "Griffithsieae", "Dendrohyrax", "Planorbulina", "Candelariella", "Brychius", "Muschampia", "Phainogullmia", "Chucallis", "Colliniidae", "Synaptops", "Triplogyna", "Goniodidae", "Adidyma", "Holcocerini", "Allogonini", "Isodiscus", "Coraebosoma", "Iphra", "Rogojiella", "Nesokaliella", "Hypomecis", "Xiphotheata", "Agriomorpha", "Ganoderma", "Kume", "Alosternida", "Oreophryne", "Borchseniococcus", "Dolopsidea", "Akentrogonida", "Palaeocteniza", "Ischyrocerini", "Anomiopus", "Pedinotus", "Tichodromidae", "Baronniesia", "Aulonogyrus", "Didymaea", "Callicista", "Philohydor", "Mystacocarida", "Chelonistele", "Mixogolofa", "Lobatula", "Ponceammina", "Amage", "Polycnemum", "Synbranchidae", "Plakortis", "Plesiocolochirus", "Achnanthes", "Yamatofulvius", "Leitneria", "Dicranosterna", "Augustea", "Sowerbaea", "Dizerina", "Oweniidae", "Myrmecaelurini", "Kashmirobia", "Lepthercus", "Aberratiodontuidae", "Perthiola", "Ootheca", "Amphigenes", "Faujasina", "Apatophysis", "Rhopalotenes", "Tropidocoleus", "Schroederiaceae", "Bucynthia", "Hamotocellus", "Phytomyxea", "Cyrtaulon", "Paraechinophallus", "Tricrania", "Pachyseius", "Dennstaedtia", "Centradenia", "Adelopthalmus", "Victoriellinae", "Haplocarpha", "Mycogloea", "Electropsocus", "Microhaplolepis", "Telluria", "Paduniellinae", "Loncovilius", "Malvina", "Astrotricha", "Yubariceras", "Anthalona", "Parasalentinella", "Catapsilothrix", "Capyella", "Erwiniaceae", "Cyclopsocus", "Proparagryllacrididae", "Pallaviciniaceae", "Elaphodus", "Anodontodora", "Idiopteryx", "Luzonotrechus", "Bonellia", "Lemmatophoridae", "Labulla", "Trachelyopterichthys", "Toxocampinae", "Oxycheilopsis", "Asterolampra", "Eriosyce", "Kidokuga", "Callistochiton", "Zerotulidae", "Acreophthiria", "Orcovita", "Allomachilis", "Exoprosopini", "Lusonectes", "Pseudanidorus", "Leptopogon", "Goyenia", "Podagrion", "Neotrops", "Xylomyidae", "Ecprepia", "Vetuproteinus", "Fusispermum", "Lenopharynx", "Paediovalgus", "Epophthalmia", "Xylosciara", "Katamysis", "Cossodes", "Graphistylis", "Bulbochaete", "Testacelloides", "Entalinidae", "Paropomalini", "Methioidina", "Monospilus", "Petenaeaceae", "Apteroessa", "Procantonnetia", "Pseudotetracha", "Carpothamnion", "Phyllaphidinae", "Amamiichthys", "Protoisochrysidis", "Metasequoia", "Transaevum", "Monodellidae", "Discomegistus", "Neogergithoides", "Nurudea", "Pictila", "Thermocrinis", "Plectofrondicularia", "Aaages", "Vetaforma", "Falconini", "Pygmephorus", "Okapia", "Tainonia", "Metadonus", "Myocastoridae", "Dromiciocoptes", "Nearcthomia", "Crossodactylodes", "Baculini", "Paracorneolabium", "Salirhabdus", "Telagrion", "Gymnosophistis", "Ochridaspongia", "Edhemia", "Brachycentridae", "Holtermannia", "Chlamydotheca", "Rangitata", "Thoracobius", "Cautleya", "Emadiellus", "Lycopodiophyta", "Aveairfoila", "Conoclinium", "Sagaminopteron", "Myozonaria", "Gea", "Anonychiella", "Physciaceae", "Hypercalymnia", "Macrocamptus", "Microprotopodidae", "Mastigocoleus", "Forsteropsalis", "Zeanecrophilus", "Libanoeuaesthetus", "Abasanistus", "Dicerocaryum", "Mullinia", "Ambomucor", "Macrostomorpha", "Ourebia", "Pithecops", "Dromiacea", "Hydrometridae", "Gymnoscyphus", "Colutea", "Bartramella", "Hainina", "Palleronia", "Hadrosteidae", "Glyptoglossa", "Cacostola", "Galerella", "Turpinia", "Discocyrtanus", "Collocheres", "Plesionida", "Cybdelis", "Agaeini", "Aethiopulopa", "Hygrobatoidea", "Paraheteropia", "Eriobotrya", "Dialyceras", "Cyprinotinae", "Petalochilini", "Octomicrites", "Filosini", "Boreioconus", "Nicuesa", "Exanthemachrysis", "Papaver", "Pupilloidei", "Pseudotolithus", "Tevenvirinae", "Brachyopini", "Procladiini", "Semnocarpa", "Darwinocoris", "Oryzorictes", "Prytanes", "Nezzazatoidea", "Edwardsia", "Protostictinae", "Clidomys", "Pseudofabularia", "Limnoposthia", "Filicisparsa", "Psychotria", "Chrysamma", "Enetea", "Caffrogobius", "Eupsinoides", "Paraletharchus", "Mosaiculia", "Attidops", "Neidium", "Baeognatha", "Pseudocolynthaea", "Pseudastur", "Azoritoma", "Thalassomedon", "Galidia", "Aromobates", "Zyzzya", "Dinobryon", "Larinia", "Craseonycteridae", "Resupinus", "Lamponega", "Antistea", "Contiger", "Frondiculinita", "Nothocyphon", "Norfolkia", "Hedqvistina", "Filarioidea", "Delesseria", "Costaclymenia", "Sphenorchidium", "Brachynoposoma", "Ceodes", "Percopsis", "Iungentitanais", "Afrogyrorbis", "Elasmolomus", "Holcophloeus", "Argentosine", "Aquastella", "Wiseorhabdus", "Lynceus", "Hylotelephium", "Radiatus", "Cretomelolonthini", "Atrichocera", "Bittium", "Rutilariaceae", "Oxyserica", "Sundarion", "Cribrilinoidea", "Amesiella", "Lithopsaestis", "Punctoidea", "Eosphaerophoria", "Phlebolobium", "Malayoscelis", "Cittarium", "Chonotricha", "Debutina", "Xylococcus", "Zelandalbia", "Bolitotherus", "Mentophilus", "Phryssonotus", "Carinomyrmosa", "Mirotelenomus", "Choniolaimus", "Cephaloidophora", "Bailiaspis", "Diapheromerinae", "Apacrochaeta", "Anelpistina", "Cyrbini", "Dulcimanna", "Protophthiracarus", "Globiceps", "Colomychus", "Somatidiopsis", "Diplonemida", "Dothideomycetes", "Desmatodon", "Geoscincus", "Spisula", "Allocyclosia", "Niphargopsis", "Cacyreus", "Euopius", "Mimopydna", "Coleps", "Corallovexiidae", "Parvospila", "Kaempferia", "Avellinia", "Loefflerella", "Hypotrigona", "Beridella", "Silvinichthys", "Exoporia", "Maurica", "Microstachys", "Centaureinae", "Anchieta", "Pambolini", "Calogoniodiscus", "Onychionyx", "Acrocirrus", "Automerella", "Pajnisoodes", "Subulininae", "Oramiella", "Chalcolecta", "Falsatimura", "Inachus", "Phycomyces", "Gelinaria", "Fealina", "Vosmaeropsis", "Anastoechus", "Orthoperus", "Heteropsis", "Tarunius", "Nippontonia", "Lepidogalaxiiformes", "Agnitosternum", "Eudinostigma", "Neocamptotelus", "Zarodella", "Rhachitomi", "Pronocephaloidea", "Gwurra", "Trioceros", "Antiopella", "Cleistopholis", "Linguaserra", "Bunyaeus", "Bamboosiella", "Pachyluncaria", "Leoheo", "Neuburgia", "Protoplotina", "Anthrencya", "Beringia", "Neosciadella", "Limacocarenus", "Gaeolaelaps", "Aenetus", "Xystodesmidae", "Abocciputa", "Octonoradiolus", "Diadozygus", "Blepharoneurinae", "Lowoceratidae", "Planisepta", "Alaria", "Soleneiscus", "Kaiya", "Pararivetina", "Megaladapis", "Neogurelca", "Mecicobothrioidea", "Panacra", "Uperotus", "Lecanochiton", "Najas", "Neothailandina", "Ellinaphididae", "Synuchidius", "Pseudomurilentithecium", "Corvitorotroglus", "Mesoaciditogaceae", "Tetraphidaceae", "Trichasterina", "Zygostephanos", "Latirus", "Aphanomerus", "Issikiomartyria", "Falsoguttulina", "Pseudophilonthus", "Ichneumon", "Santessonia", "Sympleurotis", "Murchisonelloidea", "Caroxylon", "Plagiotrypes", "Synaptula", "Thompsonulidae", "Pseudelasmopus", "Strigidae", "Grumichellini", "Arthrocladiaceae", "Oxysternon", "Sarbena", "Scheloribates", "Nododelphinulidae", "Notodiaphanidae", "Ezona", "Macronyssinae", "Analcocerus", "Cantorchilus", "Mumulaelaps", "Scaphiella", "Riedelinius", "Tenrhynea", "Tropidophiidae", "Apororhynchida", "Macrothamnium", "Acalvolia", "Pachynematus", "Ichneumenoptera", "Forsebia", "Trissodon", "Streptofusia", "Arthula", "Stenachaenium", "Siphonides", "Coccoderus", "Riftiida", "Botrydiopsidaceae", "Lophanthera", "Diaphanogryllacris", "Calocephalus", "Lyttini", "Atkinsoniella", "Multipseudechiniscus", "Suboreon", "Amapacylapus", "Macronicophilidae", "Aphonus", "Paratopus", "Clavariachaete", "Abpamphantus", "Dysmerus", "Enchoria", "Hexoplon", "Nikiforovellidae", "Pyxicephalidae", "Frontilabrus", "Yoda", "Perometrinae", "Itasina", "Helluonini", "Sphaeradenia", "Acutelinopteridius", "Solenopagurus", "Psammotermitinae", "Ozodes", "Austrosciapus", "Schaereria", "Menkea", "Sarcophagidae", "Thelephora", "Belaphopsocus", "Leptolalax", "Sabroskyella", "Gymnetron", "Celithemis", "Hyperidion", "Meganomiinae", "Stenocliarthrus", "Ormocerus", "Kjellbergiodendron", "Turnerina", "Aulonocara", "Acromegalomma", "Brachynematella", "Anteagloniaceae", "Anamirta", "Cladogonium", "Comodica", "Heterolophus", "Eucymbolus", "Hexacreusiinae", "Nicolea", "Djupedalia", "Repositories/Wikidata", "Apalolepididae", "Sipunculidea", "Dendrobatidae", "Rhabditina", "Gastroleccinum", "Bopyrinella", "Isosphaeraceae", "Ctedoctematidae", "Acallocrates", "Macotasa", "Cacia", "Nisitrini", "Avrainvillea", "Metamynoglenes", "Olyridae", "Lepidapion", "Hesperomyces", "Brithopodidae", "Proeudesicrinus", "Stupenda", "Stelechopus", "Erthesina", "Chrysotheka", "Echiochilon", "Peritragus", "Meroleucoides", "Careya", "Neolimulodes", "Nilssonia", "Dirophanes", "Fitzroya", "Bowkeria", "Haplosphaera", "Allantomyces", "Cosmiophaena", "Mimallonidae", "Machairaspis", "Anisomys", "Mezenoedischiinae", "Psilopa", "Stylocordylidae", "Nigrojassus", "Phytomonadina", "Thecosomata", "Neoporteriinae", "Dikraneura", "Fasciculapomecyna", "Amphispiza", "Axiothella", "Coptodera", "Sipmania", "Zoarces", "Naupliella", "Lenodora", "Longimicrobiales", "Lamingtonium", "Centrothele", "Araucaricoccus", "Pratanurida", "Podomyrma", "Falsacalolepta", "Garcinieae", "Orchis", "Hemichaeta", "Rhamphogyne", "Pseudoligia", "Paranebalia", "Sundadanio", "Pseudostachyum", "Hevelius", "Cyanocharax", "Nesopolynema", "Liaoxiornis", "Polyplicarium", "Gastroammina", "Baliphoxus", "Cirrhitoidea", "Upolampes", "Fissodus", "Allorhinocoris", "Istriloculina", "Helicogermslita", "Pleurotrocha", "Zealandortalis", "Trichostetha", "Usiinae", "Zebrasoma", "Melophorus", "Gymnostomum", "Carnegiea", "Joinvillea", "Densovirinae", "Odontochitina", "Telanthophora", "Chamaeranthemum", "Dimargaris", "Hemiorchis", "Orbellis", "Heterojapyx", "Coryssopodini", "Vitusella", "Izatha", "Delosina", "Verrucomicrobium", "Lype", "Cystobasidiopsis", "Stygogidiella", "Cigaritis", "Smicrolius", "Austromacrostomum", "Thylamys", "Corallimorphus", "Regadrella", "Parmeliella", "Cantaloubeia", "Trichogeninae", "Zizaniopsis", "Psittrichadini", "Atenizus", "Amyellidae", "Miliolina", "Eophliantidae", "Diazosma", "Ornithostaphylos", "Pseudohedya", "Asphalia", "Claudinerobius", "Parapiesma", "Stilicopsis", "Dieffluvium", "Crumenaria", "Erratodiomus", "Elongatocontoderus", "Basigonia", "Davisianinae", "Pachnocybaceae", "Abyssobela", "Scapholeberis", "Rhaphoneidales", "Acanthochitonidae", "Ischyrodon", "Vohitra", "Polydrusus", "Hedinia", "Clivia", "Junaphaenops", "Hemiphractus", "Pyrinioides", "Caraipa", "Homalotina", "Decaphyllus", "Thysanocroce", "Euryarthron", "Oedina", "Cerastium", "Diopsina", "Belliena", "Pentodontini", "Cymbaria", "Gluconacetobacter", "Tubeufiales", "Hilaria", "Holzneria", "Scrophularieae", "Zeugmatolepadinae", "Sehirus", "Spinoplon", "Asymmetrasca", "Perissandria", "Meandroloculininae", "Fulcinia", "Anaerofustis", "Uredinopsis", "Scenopinus", "Spinosauridae", "Praogolofa", "Orintia", "Nesotomostethus", "Kurbatoviella", "Leucocryptos", "Crocosphaera", "Aragocylapus", "Limnas", "Stethomezium", "Iberodorcadion", "Schistotaenia", "Cyclopinae", "Barucynips", "Kipandia", "Scelopisalia", "Dypterygia", "Stenembia", "Dielasmatoidea", "Arcesis", "Neostygarctus", "Philoxenella", "Oxydesmidae", "Metacriodion", "Rhizocaulus", "Blidingia", "Dentilepisosteus", "Pericasta", "Coeliopsis", "Ceratricula", "Barytatocephalus", "Zygnematales", "Aprica", "Oxyzethus", "Conisania", "Hypsonothrus", "Rhodostethia", "Xystriogidiella", "Roellia", "Desmosomatinae", "Tritegeus", "Rhodophysemopsis", "Apanteles", "Sertitympanum", "Eulamprotes", "Polyneurini", "Eosphaeria", "Nonacotyle", "Silphotelini", "Archiphormididae", "Palerontobia", "Ficalbiini", "Scutisorex", "Chaetomyzus", "Allomonilicaecum", "Parasetodes", "Cladethosoma", "Pyramidellidae", "Thyellisca", "Liliaceae", "Cyphellophoraceae", "Aureophycaceae", "Trichopoda", "Aphrodes", "Peripoda", "Leptopsyllinae", "Orinosciara", "Cyrtandra", "Notopogon", "Acantopsis", "Syngrapha", "Chaetomiris", "Benthochromini", "Hastingsiidae", "Saladelos", "Wolfius", "Enchodontidae", "Anacroneuria", "Hendelia", "Vanrija", "Ctenophysis", "Xenikoon", "Goesia", "Melanothamnus", "Pudu", "Gazerini", "Avdeevia", "Eupalopsellidae", "Heathimenia", "Evolestes", "Idioctis", "Parabahita", "Eudiscoderma", "Phymatocoris", "Heteropyxideae", "Calliphoridae", "Cetiocyon", "Semisulcospiridae", "Laurembergia", "Americabrya", "Schizocladiophyceae", "Touzalinia", "Limoniastrum", "Odontogracilis", "Miespa", "Halcampella", "Dipcadi", "Zarina", "Zacladus", "Polycalymma", "Alveospongia", "Gatesclarkeana", "Elateriformia", "Sepidiina", "Paleopanax", "Pomatiopsidae", "Heterocaprella", "Neojaera", "Indianastra", "Eurycoelum", "Zonorhynchus", "Aciculacarus", "Rybinskiella", "Pseudoleptaxinae", "Aponogeton", "Celina", "Cyrtonyx", "Axonopsinae", "Caladeniinae", "Trianguloscalpellum", "Udzungwomyia", "Calyptosporium", "Mydidae", "Protanguillidae", "Potamotrygon", "Uraloporella", "Chirolaelaps", "Bryna", "Neocoridolon", "Afroptera", "Orientocolastes", "Atmetoclothodinae", "Glossophaga", "Palaeoplatypygus", "Veslema", "Cryptostigma", "Serrolabis", "Ropalopus", "Denticollina", "Tjederia", "Lodoicea", "Hexelasmatinae", "Pluteineae", "Odina", "Asanis", "Anasyntexis", "Duncanovelia", "Apothetodes", "Trogus", "Glyphipterigidae", "Choristima", "Perucharidius", "Schizonella", "Triaplidae", "Abavopsis", "Hydromyzini", "Askenasyella", "Pyramidellinae", "Chirosiomima", "Odontestra", "Paleognathus", "Podocystis", "Buglossoides", "Kerygmachela", "Neoplatymops", "Paratornoceratinae", "Tascininae", "Clytomyias", "Gilruthia", "Locustellidae", "Calosphaeriaceae", "Admesturius", "Pteronymia", "Proctorenyxidae", "Urgorri", "Colanielloidea", "Sholicola", "Parathelandros", "Chilomys", "Scillaelepas", "Flavicella", "Platyrrhinus", "Orienicydnus", "Nipponocyphon", "Diplozoon", "Thambotricha", "Andreaeobryum", "Deirochelys", "Menneraspididae", "Crabbea", "Muricohedbergella", "Cuculincola", "Diplopoda", "Eterusia", "Virectaria", "Nigrolamia", "Cryptochorina", "Brachythecium", "Neoteuthidae", "Labiinae", "Labiobulura", "Protemblemaria", "Endogemmataceae", "Ryugadous", "Laticraniini", "Drusus", "Leucosoleniidae", "Wanneria", "Doratoxyleae", "Sinomonas", "Ophiocomella", "Pinnidae", "Pleopis", "Actinocephalidae", "Panchaetothripinae", "Amphiglossus", "Diastictus", "Cryptolacerta", "Wetherbeella", "Eupatoriastrum", "Lycomormium", "Ladronellum", "Chlanidote", "Sinorachis", "Pinnasa", "Apneumonella", "Kongsrudia", "Anadrymadusa", "Andreaeobryopsida", "Emblemaria", "Alainopaguroides", "Axonolaimus", "Messoracaridae", "Scythiolina", "Dizygocrinus", "Nematoplanidae", "Geminiviridae", "Epidius", "Ablemothrips", "Polylepis", "Aipocerataceae", "Cyclustera", "Loricifera", "Dipoenura", "Ignatius", "Eucalyptus", "Nanicella", "Ctenodennyus", "Attonia", "Tretodictyum", "Apoaphelopinae", "Smithiogaster", "Perepsilonema", "Megarthria", "Prorops", "Clytrini", "Quadricilia", "Diaprepes", "Hadrocnemis", "Eleutherodactylinae", "Chaos", "Platysympus", "Stomaphis", "Graphis", "Hedythyrsus", "Caledonimeria", "Lawalreea", "Aspilocoryphus", "Pseudohemihyalea", "UIS", "Pliomeridae", "Lepidopilidium", "Roupaleae", "Craspedonotus", "Methlini", "Strepsinoma", "Sanguinea", "Jeholopterus", "Torgos", "Eosolenobia", "Dinoptera", "Oligotrophini", "Eleiodoxa", "Mastersiella", "Stathmopolitis", "Snyderidia", "Pannota", "Odontoglaja", "Mambarilla", "Cinommata", "Schnabelia", "Masikia", "Corynocystis", "Cryptodifflugia", "Sachaliphantes", "Talivalia", "Pseudosomera", "Spirula", "Cratyna", "Leptobarbula", "Sciophyrella", "Goebeliella", "Hepzygina", "Euglenozoa", "Scytaliopsis", "Pseudoclavellaria", "Lappodiamesa", "Dinardilla", "Tetrathamnion", "Phymosomatoida", "Paralipsis", "Thyrsacanthus", "Stigmatodactylus", "Placosaurus", "Cephalaralia", "Disynaphia", "Anomospermeae", "Pelmatolapiini", "Solenosphaera", "Ehretia", "Extollodes", "Acamptini", "Dermeanthrenina", "Neohabronyx", "Syringantha", "Agacinosia", "Petalodontidae", "Eyprepocnemis", "Raphidiella", "Austroplaca", "Platyobria", "Coccoideaceae", "Costifera", "Thericlesiellini", "Neoscutops", "Latotachinus", "Stenaesthetus", "Eohypsibiidae", "Atrosalarias", "Ulochloris", "Amygdaleae", "Portunites", "Tetrapterys", "Pelagocystis", "Hibrildes", "Anisonyches", "Gilia", "Luciopimelodus", "Brachyrhamdia", "Ambulocetidae", "Eterosonycha", "Athallia", "Maronella", "Eoheterorrhina", "Thespidium", "Marteiliida", "Gastrimargus", "Toya", "Araeolepia", "Leptosoma", "Moeris", "Phaius", "Laxiareola", "Proteuphaedra", "Arnoldidae", "Nita", "Proeulia", "Corythornis", "Evergestis", "Acrosorium", "Tamias", "Caryotrophidae", "Pseudokeronopsinae", "Rosaster", "Pavillardinium", "Aulacoseira", "Megalobatrachonema", "Dactylogyrus", "Pseudosericocoma", "Leonerasaurus", "Earinus", "Hypoctenes", "Cyclospermum", "Phleum", "Paepalanthoideae", "Lipoptena", "Cystoclonium", "Nesotriccus", "Chloridops", "Entomosatopini", "Tropidopolinae", "Habropoda", "Arthrotardigrada", "Leptocardia", "Eulophinae", "Habenaria", "Spinochordodidae", "Pan-Cryptodira", "Siluroidei", "Scolecocampinae", "Epistranus", "Tympanogaster", "Caeciliusinae", "Clavigerodina", "Jurochauliodes", "Mesotyphlus", "Leptoceraea", "Litoribacter", "Paludominae", "Heunggongvirae", "Nobloedischia", "Kankelibranchinae", "Plagiostomella", "Gentiana", "Achaius", "Cheilotrichia", "Pleurophascaceae", "Timochares", "Bocula", "Stilpnogyne", "Neocibdelus", "Paronychia", "Dasyus", "Luxiaria", "Hypacostemmini", "Charitodoronidae", "Sapindales", "Returneria", "Ethmia", "Tubostreptus", "Lepocinclis", "Hillieae", "Herthania", "Pandorites", "Diplodasys", "Cnissostages", "Helminthoglypta", "Nematoplus", "Rhogostoma", "Coronodiscus", "Hyalopteroides", "Aphrodisium", "Cunninghamia", "Coracopsis", "Tydides", "Mokuoloe", "Teretosporea", "Pallaresiella", "Bricoptis", "Ottoicus", "Georgefischeria", "Sinopolycentropus", "Iranotrichia", "Anidolyta", "Protomiselia", "Lecanophryidae", "Axiniphyllum", "Acrulogonia", "Gyrinocheilidae", "Characiellopsis", "Promecochila", "Fabibacter", "Eicochrysops", "Tetraonchidae", "Necora", "Mesotrichoca", "Nummofallotia", "Trichobranchus", "Trogossitini", "Allofustis", "Lissamphibia", "Evgoa", "Adoxopisalia", "Spilapteridae", "Filitanais", "Nectriopsis", "Colubrina", "Acanthodesmiacea", "Proactenis", "Centriscinae", "Racodiscula", "Margaretania", "Itycirrhitus", "Gyaclavator", "Euglandulina", "Scopaeopsis", "Cymatophorima", "Delpuentesyne", "Phyrella", "Heterobothrioides", "Trachyneis", "Melanocinclis", "Angulomicrobium", "Trichocolletes", "Sycorax", "Andromedeae", "Onobrychis", "Prochelidella", "Cornulella", "Amilenus", "Palaeoaxinidium", "Mifsudia", "Evanochrysa", "Isometopidea", "Selkirkiidae", "Neocerambyx", "Gergithus", "Piprinae", "Goniocolletes", "Crocodylus", "Acerastes", "Euploca", "Relluna", "Euomella", "Polionemobius", "Chasmocephalon", "Orphilus", "Jodis", "Chamarea", "Austrocolomia", "Akko", "Anotopterus", "Idris", "Blaesodactylus", "Ministeriidae", "Selenochlamys", "Danepteryx", "Cryphaea", "Rhynchotermes", "Ectyonopsis", "Physocypria", "Tephromelataceae", "Pseudoctenistes", "Hotumatua", "Neomolgus", "Hickmawia", "Arnapa", "Icerya", "Hesiolyrinae", "Aplidium", "Chrysopophagus", "Integripelta", "Paranybeliniidae", "Seeversia", "Asiceratinops", "Buglossidium", "Paranauxesis", "Amaltheidae", "Ichthyenterobacterium", "Termitodiscus", "Spelaeophryidae", "Mecogonopodium", "Taita", "Damaniana", "Doryctes", "Aureoglaucytes", "Leptostylopsis", "Neoseiulus", "Erymophyllum", "Brachmiini", "Lemminia", "Neckeropsis", "Angraecopsis", "Pseudapocryptes", "Lindenbergieae", "Pseudocallopistus", "Epimolis", "Stilpnochlora", "Neochila", "Geocerthia", "Scutoribates", "Hinasuri", "Southcottella", "Apopestes", "Melonavicula", "Thelodon", "Benincasinae", "Cremnochorites", "Mesitornis", "Stenophragma", "Urbanodendron", "Dimorphocoma", "Insulamyia", "Heterorhabditidae", "Siolmatra", "Strophanthus", "Thalassaphorurini", "Helsdingenia", "Choriplacina", "Zeltnera", "Paractocharis", "Aulotandra", "Aceratium", "Pervillaea", "Kisegira", "Nephilinae", "Kamptoclymenia", "Xenoturbella", "Clelea", "Leurocorynus", "Euryalonia", "Chuhsiungichthys", "Orontium", "Sloetia", "Guettardeae", "Acuminodeutopus", "Brya", "Enkebergoceras", "Lepiorsillus", "Anabarhynchus", "Entelodontidae", "Paratrogoderma", "Discomorphellidae", "Trimosinidae", "Paragaudryinella", "Aidiopsis", "Microthyriaceae", "Mecyna", "Ampleris", "Tripora", "Shoshonea", "Eremomus", "Platydascillinae", "Opsitomini", "Metatheria", "Canariana", "Thelypteris", "Charonoscapha", "Barbifrontia", "Hoherius", "Glischrocolla", "Craspeduchus", "Climacoporus", "Neomussaenda", "Floccularia", "Behningiellidae", "Ambuchanania", "Heterolabus", "Alloprocris", "Euceratomycetaceae", "Psychosaura", "Palmula", "Trechus", "Mesoaciditoga", "Leucochloris", "Brasiloschubartia", "Myiocapsus", "Pentaglottis", "Tetillidae", "Starobogatovella", "Cryptococcus", "Phloeocharinae", "Ortalia", "Cockerelliella", "Zabrotes", "Ecitocobius", "Plemyria", "Cranaodes", "Euryotomys", "Myrmapeni", "Pseudotetracystis", "Laominae", "Amycinae", "Salticus", "Troticus", "Gymnopithys", "Pentanchinae", "Stroggylocephalus", "Pseudodavara", "Macrophycis", "Chablisea", "Pycnobraconoides", "Paria", "Tiquadra", "Adrama", "Acrostictella", "Pseudictator", "Sticholonche", "Ancistrostylis", "Rhynchanthera", "Usta", "Leucorrhinia", "Chaetomium", "Eriphrixus", "Schizochytrium", "Pseudaristeus", "Hydroscaphidae", "Allodaposia", "Eumichthini", "Acrostatheusis", "Colosteidae", "Pteramerus", "Taringa", "Parathurammininae", "Dysderina", "Dasyclonium", "Macrocheira", "Sudarikovina", "Rallidens", "Phyllocoptini", "Stenocarpidiopsis", "Avaria", "Prosocheyla", "Naumovozyma", "Leptohyphes", "Balladyna", "Ilyobacter", "Pessonella", "Articerodites", "Ceratocryptina", "Archiaphyosemion", "Spiriamphorellinae", "Rhodoplana", "Asterolepis", "Elbelia", "Melaphis", "Ithomiola", "Dangeardia", "Illicinae", "Nesiotomina", "Luheria", "Pentaspongodiscus", "Hypsoblennius", "Diaporthostomataceae", "Steremnia", "Systephania", "Pseudarcturella", "Philotis", "Sylvicapra", "Aperileptus", "Notocampsis", "Neosilia", "Dallina", "Acanthogryllus", "Paratritirachium", "Cochliopalpus", "Saitonia", "Opuntiella", "Trithecanthera", "Paraxenetus", "Piloceratidae", "Paussinae", "Gymnophthalminae", "Leptomydas", "Lauriomycetaceae", "Neoarchaesphaera", "Cheiridopsis", "Euplotopsis", "Limoniopsis", "Archemyobia", "Ceratoppia", "Delphinus", "Gomphotheriidae", "Hologymnosus", "Schizostauron", "Sisymbrium", "Singafrotypa", "Micholaeminae", "Mastigocladus", "Emiliana", "Pterodectes", "Foikeulia", "Archaeospora", "Mongolitubulus", "Traumoecia", "Parasymmetrione", "Sarangesa", "Chantia", "Kallstroemia", "Pamiria", "Biddulphiopsis", "Eurycleidus", "Enuliophis", "Embrikiola", "Nunoidium", "Sidemia", "Elaphrinae", "Ploiariolini", "Kingdonia", "Brodiaea", "Cnematoplatys", "Neomycobates", "Plocamione", "Callumbonella", "Paraphaenogaster", "Symplocastrum", "Geleia", "Dasya", "Chamaeleoninae", "Cylindrosybra", "Sphacelariales", "Stenopsocus", "Chlorodryinus", "Otomops", "Pseudosida", "Acanthocollidae", "Catenarius", "Palpicrassus", "Isospora", "Dere", "Hyocomium", "Batueta", "Atomosiini", "Cyclosternum", "Reverchonia", "Pucciniosira", "Erythrobacteraceae", "Lysaster", "Kliopsyllus", "Palicourea", "Diploglossus", "Tanychela", "Pseudopatiria", "Billbergia", "Follicrinus", "Gontscharovia", "Chaetarthriini", "Benthastelena", "Petalocnemis", "Otophorus", "Microgoura", "Yandangithiformes", "Mesoreda", "Bachelotiaceae", "Sedimenticola", "Cateniporinae", "Nannodiplax", "Arcuatoscalpellum", "Estrianna", "Axiologarthra", "Paracatops", "Entomophallopisalia", "Galacticoidea", "Coinquendina", "Ariphanarthra", "Perlinctus", "Salinirepens", "Schaeferocoris", "Chaetodromia", "Ambracyptus", "Coelodoniella", "Hymenomonadaceae", "Melanopolia", "Bero", "Penaincisalia", "Grimalditeuthis", "Tricladia", "Mullinoides", "Sphaerobolaceae", "Wachendorfia", "Wigglesworthia", "Esakiozephyrus", "Paractenopsyllus", "Acidoxantha", "Granopothyne", "Tyloptera", "Rhiothra", "Epidendrum", "Pelomyiinae", "Pseudocopaeodes", "Pterozetes", "Parataygetis", "Thysochromis", "Ozotomerini", "Anamalaia", "Selenastraceae", "Psix", "Dolichoenterinae", "Kageronia", "Pseudorbitolina", "Metasphaerolaimus", "Morella", "Polaromonas", "Homalothecium", "Schimmelmannia", "Macracanthorhynchus", "Vilkitskilepis", "Hydrogastrum", "Aturidae", "Juncus", "Picrophilaceae", "Porochrysis", "Methistemistiba", "Pseudotyropsis", "Hyssura", "Matapa", "Bonnierellinae", "Trichopilia", "Ghatiana", "Cardiomera", "Compositus", "Zenis", "Limnista", "Chororapithecus", "Misopates", "Fottea", "Bolboceratinae", "Gymnodia", "Samus", "Callistosporiaceae", "Sadayoshia", "Teslepis", "Micrapoderiger", "Yamaguchiella", "Drakonochorista", "Neohyphus", "Loeblibatrus", "Pegasus", "Apoxyptilus", "Rhomboplites", "Brandtia", "Eurycephalitinae", "Eupseudosoma", "Flowersia", "Rhodothermaceae", "Protorhagae", "Liistonotus", "Richardsonius", "Camchaya", "Melodorum", "Amarygmini", "Heligmonellidae", "Angka", "Arrectoalatus", "Philomastiginae", "Caunaca", "Orthilia", "Euodiella", "Aulacodes", "Geminellopsis", "Crotalarieae", "Kalmiopsis", "Sycoecinae", "Dearcla", "Allopaederus", "Pseudohauerina", "Archeria", "Anticura", "Cymothoe", "Agaotingis", "Ovatocupes", "Spilobasis", "Neobivagina", "Galactosomum", "Paleopfenderina", "Gigantonomiales", "Draculo", "PVC", "Spizellomycetales", "Vhembelacerta", "Isaeoidea", "Chaeturini", "Acordulecerinae", "Cryptomycocolacomycetes", "Mimetanthe", "Monterella", "Adelanthaceae", "Pictilabrus", "Monomatapa", "Swartzieae", "Tetrapogon", "Chlamydephorinae", "Sentia", "Neyraudia", "Phascolophyllaphycus", "Hyalobrachion", "Haematopotina", "Philanthinae", "Gulaphallus", "Actinocrocuta", "Saegerosia", "Otolelus", "Planiemen", "Thysanoidma", "Belonophora", "Pseudopfenderina", "Caracaricola", "Rhodomeleae", "Chrysendeton", "Nodulosphaeria", "Megapronorites", "Hymenobelba", "Labyrinthochitinia", "Vandykea", "Volaticotheriidae", "Balistapus", "Idiodonus", "Neogutierrezia", "Rhizomonas", "Botellus", "Eubleptoptera", "Morokia", "Certima", "Nonlygus", "Gagnebina", "Botryarrhena", "Stemodiopsis", "Melamphaes", "Neoaclini", "Dumontiaceae", "Aequifurcata", "Symphyonema", "Archaeobdella", "Elsinoe", "Alfredosilvestris", "Ngalki", "Cacatolichus", "Bathydoridoidei", "Eunotogramma", "Vanartinskia", "Pele", "Chiloestiba", "Cestoplanoida", "Isomita", "Lepidoperca", "Clymeniaceae", "Xerasia", "Somoplatodes", "Arundina", "Aphelopsia", "Pseudestoloides", "Bergenstammia", "Semielacher", "Delia", "Allotricha", "Manampoka", "Mesocyclops", "Euglossopteryx", "Duquepsamminiidae", "Chaconia", "Eurypterygia", "Bythocythere", "Rhaphitropis", "Phrealcia", "Nopromaea", "Diascorhynchidae", "Saurosphargis", "Diabaticus", "Dermateaceae", "Halolaelapidae", "Smyrniopsis", "Swintonia", "Physospermopsis", "Pygopus", "Labidiosticta", "Sahitisuchus", "Adhaerentia", "Apocroce", "Gyrogyne", "Reinboldiella", "Pachycytes", "Pseudoperonia", "Idoceras", "Rhynchomonas", "Paraletes", "Gadiformes", "Pometon", "Plesiopterys", "Ypsolophinae", "Tubuliporina", "Nanophthalmus", "Acronema", "Pluridens", "Pseudaspididae", "Gigantovulpecula", "Abroscopus", "Themeliotis", "Dadayiinae", "Macarorchestia", "Hemicrepidiina", "Galapalaophonte", "Trypherus", "Omiodes", "Toxoides", "Odontopsocus", "Genyonemus", "Ferganolyda", "Sciscionella", "Cholevinae", "Ezrana", "Lepidaploa", "Lioglyptoxenus", "Malacocephalus", "Garcorops", "Stephanandra", "Ceratozamia", "Haplosoma", "Togarma", "Kalliapseudinae", "Taeniostigmatina", "Sicardiana", "Neomida", "Cristispira", "Merophysiinae", "Gromochytrium", "Metalocerus", "Paragrandidierella", "Caphora", "Pseudovannuccia", "Curarea", "Rictaxis", "Rhyssinae", "Yemmalysus", "Coelociontoidea", "Cosmasterias", "Centrolenini", "Harpagobaetis", "Richardsaphis", "Scytalinidae", "Ceroplastes", "Lamproglandifera", "Hurleytrematinae", "Panchaetes", "Riechia", "Allorhynchidae", "Platysphyrus", "Tropicoritus", "Pseudobaisalina", "Megophrys", "Xylostenus", "Rhizoplagiodontia", "Cyclolabus", "Quisqueyaaphis", "Fimbriaria", "Pisuviricota", "Barbonia", "Anelasmopus", "Seinonella", "Myriolecis", "Xylopertha", "Dichroplini", "Celsiella", "Nemestrinidae", "Bergidea", "Astrosyne", "Schlumbergerella", "Anillinus", "Leptomedusae", "Anoditica", "Psalis", "Chlamydophorella", "Rhinoglena", "Glaucopsyche", "Bathysciola", "Pentodontina", "Nothostele", "Promenetus", "Ragytodes", "Dalophis", "Drakonochoristinae", "Pseudotriloculina", "Labiostrombus", "GH", "Pseudocladophora", "Aulonocneminae", "Zataria", "Plectrurus", "Bryonieae", "Ascaridoidea", "Thermolithobacteraceae", "Xyronotidae", "Papistylus", "Ptiliodina", "Mannophorus", "Eimeria", "Anoplocephala", "Toxoscelina", "Reidus", "Myrmedoniina", "Neoris", "Nannfeldtia", "Hadrestia", "Sugia", "Capsicophysalis", "Dendrocerotaceae", "Phrurolithinae", "Placorhombus", "Ceratozetidae", "Homalocarpus", "Turanella", "Mantoididae", "Theroniana", "Annapolis", "Anadistichona", "Philippiamra", "Neuroperla", "Magnetococcus", "Keroplatus", "Sphecacarus", "Corthylomantis", "Pleistacanthoides", "Balara", "Sabera", "Victorinini", "Coptopteryx", "Rytidolepis", "Tetrahymenida", "Iodanthus", "Perbullina", "Heterocuma", "Leocephaluncus", "Geminofilum", "Paulschulzia", "Notacanthiformes", "Xenurobrycon", "Paramonochamia", "Lepilemuridae", "Coluber", "Agassiziella", "Msuata", "Entephria", "Parasitengona", "Mstiniella", "Robinsichthys", "Athripsodini", "Asphaeropsocites", "Celantia", "Aubrieta/All", "Chilarboreus", "Toonavora", "Taygayba", "Aegisthidae", "Syntonus", "Amaranthoideae", "Vehilius", "Alomaina", "Heracleum", "Zoelucasa", "Idiataphe", "Modicella", "Anosibella", "Orumcekia", "Schradera", "Lomentaria", "Cimmerites", "Morganella", "Oyedaea", "Crossotus", "Cyanomethia", "Pallas", "Lehmannia", "Alexarasnia", "Glaucoclystis", "Hastatis", "Callistoplacidae", "Pycnophyidae", "Myelastridae", "Tismomorpha", "Sphaeromyxina", "Cubitalia", "Jensenia", "Paradactylidium", "Archaeocoleus", "Neugeborina", "Binarea", "Cyclidia", "Opilionomyces", "Scanisaurus", "Ectenosaurus", "Moultonia", "Manuelia", "Isoparorchiidae", "Anttillatus", "Minidonta", "Antillodesmus", "Catacolpodes", "Miacis", "Compsobraconoides", "Mariblemma", "Saccocirridae", "Perientomum", "Lachnophorus", "Tropihypnus", "Parianinae", "Ichthyodectiformes", "Nitrospina", "Basidiobolomycotina", "Pseudosporidesmiaceae", "Eupalea", "Staphylea", "Phaffomycetaceae", "Saccharibacillus", "Parapyrenochaetaceae", "Howellidae", "Gibbaria", "Monttea", "Avga", "Didelphimorphia", "Abablemma", "Uvigerinidae", "Mimocyptus", "Trictenotomidae", "Kalipharynx", "Asprenas", "Fimbria", "Stenovaria", "Semiphoracantha", "Pygoctenucha", "Orthoceras", "Confluentimicrobium", "Diplogasteridae", "Dehalococcoidia", "Microstigmata", "Clynotis", "Morisonia", "Carnotaurus", "Centenaria", "Itarinae", "Kompsomymar", "Prepusa", "Rilaena", "Bibbya", "Nanodacna", "Striascalpellum", "Cisthenina", "Falsomoechotypa", "Pseudotanais", "Psammohydra", "Teredinae", "Boholia", "Stomacarus", "Diederichia", "Gymnema", "Lafuentea", "Parrina", "Ferruginibacter", "Polonoceras", "Neuradaceae", "Torricelliaceae", "Desmiostoma", "Araeovalva", "Pterinopsyllidae", "Mullus", "Cambaridae", "Probatostola", "Acanthomyops", "Kallitambinia", "Amplexidiscus", "Lundgrenosis", "Clathrocanium", "Heberdenia", "Bahiaxenos", "Kosmotoga", "Pacaella", "Antillosorius", "Machadous", "Putoidae", "Gnathothlibus", "Stemagoris", "Pseudodryophilus", "Cratosoma", "Halicreatidae", "Hepialyxodes", "Gliscolithus", "Miturginae", "Alliocera", "Adomerus", "Aethammobates", "Biecheleriopsis", "Pseudochoffatellinae", "Faujasia", "Taeniatherum", "Macronini", "Gyrohypnus", "Spilolichus", "Iranattus", "Polycopsis", "Melaeninae", "Lamprolepis", "Austrophaea", "Cheilinus", "Leylaiya", "Xyroa", "Aphanisticini", "Caenagnathidae", "Athis", "Archeopantocsekia", "Desmacrides", "Diaeretellus", "Roridulaceae", "Batrachuperus", "Cascadia", "Cylindroptinus", "Cimicifugeae", "Micralsopsis", "Stizophyllum", "Austroparmelina", "Burmitembiinae", "Calothysanis", "Nolina", "Millidium", "Parequula", "Aspiciliella", "Anaedus", "Colpomenia", "Anthocomus", "Locustini", "Megalomacha", "Chiloschiza", "Platyrhina", "Mycterodus", "Pascahinnites", "Episkilepta", "Ijdranella", "Glipostena", "Eumashona", "Archoophora", "Atrocrates", "Chaunanthus", "Pseudodiphasium", "Atopophrynus", "Paratanaidae", "Areae", "Byttneria", "Ophiomitra", "Ornithocephalinae", "Lipocystis", "Creon", "Zoodes", "Cylindroleberididae", "Calamariidae", "Dinichthyloidea", "Thambematidae", "Alepista", "Mononeda", "Dithinozerconidae", "Allenius", "Rifargia", "Myxinidae", "Anemonoides", "Loxodes", "Evechinus", "Platyderides", "Stipilepas", "Arcoppia", "Thalassodes", "Tachysoniscus", "Detoulgoetia", "Umtiza", "Calycanthus", "Catolesia", "Ethemon", "Vietcolastes", "Leptophallidae", "Micropsectra", "Transgonatopus", "Aspidioides", "Unionicola", "Blastobotrys", "Coeloclonium", "Thedachloa", "Flectacineta", "Xenospongia", "Termitelia", "Ahlbergia", "Tunicata", "Thecturota", "Rhynchonellida", "Razowskina", "Pachytrabisus", "Tetragonicipitidae", "Cerconychia", "Willemia", "Neohendersoniaceae", "Sauroleishmania", "Lathriobates", "Ocypetes", "Anictangium", "Dacryopinax", "Listriolobus", "Parasubrasaca", "Uropodoidea", "Heterotyphlopasilia", "Solibacterales", "Eriosynaphe", "Mosiera", "Pseudothuria", "Staurolemma", "Monoophorum", "Griswoldia", "Squalonchocotyle", "Trigomphus", "Liliales", "Ananeon", "Coomania", "Peltasta", "Anthocephalum", "Bogidielamphopus", "Sucinopsyche", "Phanaustrotoma", "Austropheonoides", "Argyrtini", "Callipsygma", "Pylopulmonata", "Scrobipalpuloides", "Saundersia", "Cobunus", "Solenogenys", "Platycapsus", "Maniraptora", "Mexicananus", "Panoploea", "Hippobromus", "Watara", "Atrazonotus", "Charidotis", "Ahliesaurus", "Acacesia", "Silinae", "Eremobius", "Jansenella", "Helicampodus", "Hyoseridinae", "Metavermilia", "Phalonidia", "Labium", "Reginamimus", "Centonema", "Oceanitinae", "Climacteridae", "Euptychoides", "Deipyrodes", "Pradeshia", "Pteroxygoneae", "Paracentris", "Kuetzingia", "Pilinurgus", "Permothemistidae", "Mesocoprophilus", "Lepidoxenetus", "Spinodiadelia", "Vietomartyria", "Stenanthium", "Centroxena", "Antipodoecia", "Sivadasania", "Echinichonidae", "Diomphalus", "Trachyphloeina", "Caloperga", "Panesthipolipus", "Feaellidae", "Carollia", "Sebacinaceae", "Charhyphus", "Ctenidium", "Drymaplaneta", "Eumetopus", "Sphaerocera", "Felisacoris", "Niedenzuella", "Syrrhaptoecus", "Holodiscus", "Neomevaniomorpha", "Tewara", "Xerospermum", "Chactopsis", "Microcephaloides", "Notoscolex", "Schultzella", "Hyperphrixus", "Helvetoglobotruncana", "Meganeflus", "Phyteuma", "Salpida", "Stenoterommata", "Colonomyia", "Mymarilla", "Iriartella", "Paulianellus", "Lepidelphax", "Friarius", "Gemina", "Fordini", "Deiphobe", "Protopsyllidiidae", "Chelostes", "Rubanostreptus", "Noduliceps", "Decodes", "Duncanius", "Osiris", "Chiastozygus", "Agelaea", "Oligotropha", "Nipponobius", "Iphiseiodes", "Corrigioleae", "Coelogynopora", "Micropholidae", "Soloe", "Anteros", "CZUT", "Atopobacter", "Collagonum", "Tengellidae", "Polinices", "Thuriostoma", "Zelogramma", "Platycarphella", "Chandramara", "Cervoglenea", "Euroschizogynium", "Viuria", "Hirudo", "Syringodermataceae", "Codonocephalinae", "Kyphosinae", "Gallieniella", "Phyllospongiinae", "Cestroideae", "Batrisocenus", "Baetodes", "Chaetophractus", "Pholidoscelis", "Tetraphidopsis", "Karpenkolepis", "Arapaima", "Sensillonychiurus", "Eustomias", "Elenkiniana", "Astrothorax", "Chromochloridaceae", "Hennediella", "Paraxizicus", "Macroleptura", "Alcyonohippolyte", "Badkhyzembia", "Kiitrichidae", "Unciola", "Rhipiliopsis", "Geissolepis", "Androchirus", "Crooktacalles", "Neoceratium", "Liogenys", "Eusclerus", "Prosplocamis", "Tripidium", "Fusilaspis", "Phloiocopus", "Sepvirinae", "Emelieana", "Inioidea", "Aptilosia", "Phalangodoidea", "Phlepsiini", "Haptotrichion", "Gliactis", "Laemocharis", "Bathycrininae", "Negativicoccus", "Sphyrotheca", "Ampittia", "Photinella", "Secoviridae", "Platelicrinus", "Elasmostethus", "Austrocallisoma", "Ibatia", "Bryconacidnus", "Pheopolykrikos", "Lichas", "Tachysbembix", "Odobenocetops", "Inovicellata", "Anoplodesmus", "Phapitreron", "Glyptopimpla", "Coelurosauria", "Baltia", "Keroeididae", "Arthrostylis", "Massartia", "Tatargina", "Pseudopantilius", "Paradryope", "Julostylis", "Mantoniella", "Consobrinomia", "Allodiscocotylidae", "Escornebovina", "Andinobates", "Piabucus", "Aethomyctus", "Alectoria", "Hemimetopius", "Novistrombidium", "Lobarina", "Adoxotoma", "Paryphantellus", "Arhynchobatini", "Merismodes", "Neoscaphus", "Megaspiridae", "Questidae", "Robphildollfusiinae", "Cyphoceratops", "Aximogastroma", "Mongoloxyinae", "Shiuyinghua", "Mitrantia", "Tylenchida", "Dilatatoplia", "Tricorythidae", "Paramelita", "Sagalassa", "Paraproboscifer", "Oxycheilinus", "Natarsiini", "Lomelosieae", "Anepsiocoris", "Austroallagma", "Caduciella", "Agrimonia", "Rorringtoniidae", "Depanthus", "Calyptraea", "Rhipiduridae", "Flacopimpla", "Cadlinidae", "Coenobia", "Hypochlorosis", "Desmodieae", "Platyscapa", "Daspletosaurus", "Preepiphallus", "Brijax", "Femsjonia", "Ochrotomys", "Robergea", "Sphacelodermaceae", "Blepharidattini", "Chromalveolata", "Schizoporelloidea", "Newmaniana", "Isopyrum", "Pseudoeconesus", "Brachistosternus", "Xenococcaceae", "Orientomiris", "Peripontius", "Paramegalonychus", "Vanderentiellus", "Terwasipora", "Ramellogammarus", "Acerella", "Nallachiinae", "Tisserantiella", "Cycloramphinae", "Aniseieae", "Velutininae", "Clypeothrips", "Mezzettia", "Bryaxinella", "Leptohyptis", "Itaphlebia", "Sphenosipalia", "Stenakrinae", "Megymeninae", "Torrepsocus", "Chroniosuchus", "Buchtienia", "Pseudogyroneuron", "Telema", "Phalgea", "Geissorhiza", "Sardopoiretia", "Plociopterus", "Euphronia", "Tamalia", "Biseriammininae", "Rhagades", "Platanistoidea", "Cyrtophyllum", "Siedleckiidae", "Diadegma", "Limonium", "Albertinella", "Catoeme", "Chimonobambusa", "Eyprepocnemidinae", "Saileriola", "Cymatosirales", "Calectasia", "Elytrurini", "Fellomyces", "Bergolix", "Oxypetalinae", "Ectypia", "Semnocera", "Aerodramus", "Kishinouyeidae", "Amphinectomys", "Huffmanela", "Piptocarphinae", "Climacocylis", "Dinusa", "Dichotella", "Burbungini", "Euzerconidae", "Pterothamnion", "Priacanthiformes", "Samarusidae", "Tribrachium", "Krigia", "Orostygia", "Mezium", "Salinicola", "Gonyaulacysta", "Jaydia", "Herdonia", "Hymenochaetaceae", "Fahraeusia", "Farsia", "Microgyniina", "Austropleustes", "Vitrollula", "Watlingia", "Meganophthalmus", "Beornidae", "Ettliella", "Polyphlyctis", "Primicimex", "Neoephemeridae", "Triscaedecia", "Gellertia", "Dimissalna", "Kingiodendron", "Hydronaphis", "Duboisvalia", "Hiroseia", "Pachysolen", "EPN", "Lestoros", "Gheegerus", "Catacombas", "Eulichadidae", "Sipalinus", "Hypotrichidium", "Pidorus", "Lembos", "Phylliroe", "Synechococcaceae", "Eurys", "Paralovricia", "Zigrasimeciini", "Sapphoa", "Zonantes", "Anticrates", "Gypothamnium", "Prototritella", "Flabellulidae", "Misumenops", "Mimogonellus", "Disceliaceae", "Tritrichomonas", "Hemitilapia", "Ceratopodini", "Smyrna", "Selenotoca", "Listrodromus", "Timonius", "Lichida", "Visiana", "Colydiopeltis", "Thyretes", "Nukusa", "Syphaciini", "Hemidictyum", "Macrothyraspinae", "Geminibasidiales", "Luteibacter", "Serapias", "Wynneophycuseae", "Trachystylis", "Cylindrobrotus", "Micrixalus", "Occiephelinus", "Skierkaceae", "Uroptychodes", "Siphonoecetini", "Sewa", "Megalopta", "Valvulammina", "Barychirus", "Nellosana", "Grus", "Dermoptera", "Macrodentipes", "Hovatlas", "Alexera", "Indibacter", "Chelatococcus", "Pseudamphilochidae", "Rondaniella", "Petrocyphon", "Luispenaia", "Coboldus", "Anthocyrtium", "Confuciusornithidae", "Protopone", "Vanwykia", "Bembidiacaridae", "Dalmanellidae", "Mystacobia", "Gerreiformes", "Abelocephala", "Alienatinae", "Hirundinicola", "Anastomopteryx", "Dibrachia", "Nepheronia", "Limnohelina", "Thyreoxenus", "Borneodrymus", "Valdiscytina", "Toxicodendron", "Cnestrum", "Monactinocephalus", "Siphonodictyon", "Operculariidae", "Capabatus", "Spiniphora", "Rhinochenus", "Semisyndicus", "Nelsonophryne", "Doumeinae", "Polytrichinae", "Neorickettsia", "Elixjohnia", "Zamagiria", "Dicentrus", "Platygobiopsis", "Methioides", "Dunbaria", "Cycloclymenia", "Parasegetibacter", "Stygiophyes", "Trisignina", "Pseudorodentolepis", "Eucorites", "Trachichthyoidei", "Swammerdamella", "Euphaniini", "Pilinurgina", "Austromerope", "Synthodesmus", "Coganomyia", "Pristigasteridae", "Mola", "Zhiltzovaia", "Pompographa", "Alophopimpla", "Eoseristalis", "Callistephus", "Katytermus", "Lampranthus", "Thaumoctopus", "Tumulipcinus", "Subsilicea", "Orchymontia", "Gigantactis", "Heleocoris", "Apterocaulus", "Staegeriella", "Titidius", "Sarcoscyphaceae", "Cloniocerus", "Ochodaeidae", "Scythiloculina", "Ectopius", "Clymeniidae", "Glebala", "Pseudodiscocotyla", "Morphaneflus", "Coeliopsidinae", "Chlorophytina", "Selenemys", "Ceratobatrachidae", "Rhagomicrus", "Sellaclymenia", "Cenangium", "Actinophaenia", "Polymona", "Massularia", "Siphotextulariinae", "Desulfofaba", "Plastingia", "Indophyes", "Anthotroche", "Streetsia", "Riolama", "Labicymbium", "Bathyteuthidae", "Victrix", "Dichromodes", "Brachionidium", "Myocron", "Orontiophyllum", "Nigrograna", "Minyadidae", "Heradida", "Pseudostibaropus", "Papustyla", "Belovalva", "Guineaxonopsis", "Hydronoplus", "Bermudagidiella", "Notocitellus", "Heterotrichum", "Ramsayella", "Sphaerochaeta", "Scolioneidaceae", "Micrometopus", "Archidendron", "Psathyrotopsis", "Clypeophysalosporaceae", "Loricariidae", "Baituganella", "Tripyloidoidea", "Pyramispongiidae", "Neosprucea", "Zygaenobia", "Waynea", "Oligosoma", "Heptageniidae", "Asaphidion", "Mimecitini", "Thaumatomyrmecini", "Mastogonia", "Mossman", "Evacanthus", "Praepodes", "Catacantha", "Tetrasphaera", "Chironomoidea", "Microdontinae", "Goerinae", "Amoriinae", "Neopanax", "Cyclonephelium", "Pseudolacazina", "Cretargentina", "Obscuriphantes", "Onchobothrium", "Neiraga", "Pione", "Novalesia", "Damaeolidae", "Adelostigma", "Truncatoflabellum", "Acharagma", "Stizopygora", "Colpodidae", "Pomacentrus", "Bakerella", "Diastomatidae", "Parentella", "Mimozaena", "Stratiomydas", "Bonnaspis", "Geminibasidium", "Zelotocoris", "Parapammene", "Pherusellidae", "Terracoccus", "Altmanella", "Nggelianina", "Littorinoidea", "Cycloctenidae", "Pearsonia", "Loranthacydia", "Trachinocephalus", "Eriopsidinae", "Linea", "Acaudinum", "Iberideae", "Calothyrza", "Neoricinulei", "Idoteidae", "Centracanthidae", "Hawkeswoodcephennodes", "Poecilochaetus", "Emathini", "Pseudohynobius", "Gaurotina", "Lepetidae", "Trochochlamys", "Pseudohercitis", "Lophostemon", "Nandocestus", "Aglaodina", "Mannophryne", "Duboisialestes", "Cylindralithus", "Nothobranchiidae", "Proteocephalidae", "Mimacraeina", "Zographus", "Microgastra", "Nesopauropus", "Hyphochytrea", "Altipolia", "Chiasmopes", "Philonesiini", "Soldanella", "Radulaceae", "Dindicodes", "Ophiopteron", "Jezekia", "Endomyzostoma", "Pedinomonadales", "Costus", "Lamprocabera", "Scasiba", "Habrosia", "Micruropus", "Cribrosphaeroides", "Protocolliuris", "Lycophantis", "Anakasia", "Plaumanniola", "Vitellibacter", "Dorcadion", "Armadilloidea", "Zaevius", "Stenodrepanum", "Ectopsocus", "Stigmaeus", "Xylopolia", "Omalium", "Microhydrula", "Acrocordia", "Pomachilina", "Macrosila", "Nuetzelopsis", "Xuanwua", "Lasioceros", "Eucarida", "Arnocrinum", "Prodoridunculus", "Gilliesiinae", "Bdellouroidea", "Spelaeornis", "Commidendrum", "Eugregarinorida", "Calomicrus", "Botryoconis", "Arthriticus", "Paraungulaspis", "Geotrochopsis", "Dasydemella", "Chlorogloeopsis", "Spio", "Guttulinopsis", "Herbiphantes", "Lateropalus", "Tallyrama", "Marcgravia", "Hyalocoris", "Pleocoma", "Tholurna", "Adelius", "Cearacesaini", "Oliveriana", "Poliobrya", "Podostrobus", "Abyssosaurus", "Triplana", "Tyttocharax", "Xenodacnis", "Pyralinae", "Megalopinus", "Phymaspermum", "Sonia", "Gonyaulacoideae", "Brachybasidiaceae", "Oxymerus", "Ornipholidotos", "Thermoanaerobacter", "Kozlovites", "Mimocratotragus", "Saniella", "Diplopterygium", "Heterodinium", "Microheliella", "Yakutiana", "Protoscinis", "Odettea", "Dipteryx", "Pogonotropha", "Archegonaspis", "Stetsonia", "Conoidasida", "Enes", "Chlorospingus", "Excentrochloris", "Cytosporaceae", "Hadrocerus", "Chilasa", "Paridris", "Diorygopyx", "Acangassuini", "Palfuria", "Uspachus", "Caphyra", "Stromatanobium", "Sphallambyx", "Reinwardtia", "Heteroscytus", "Libiocoris", "Anticla", "Chrozophorinae", "Marplena", "Lueckingia", "Synapsidomorpha", "Ruschianthus", "Belousoviella", "Leptocharis", "Potorolepis", "Anaplectidae", "Heptamelini", "Scolitantides", "Eucephalacrina", "Scharyiidae", "Chaetocladiella", "Djombangia", "Obaichthyidae", "Gladocephaloideus", "Elpistostegidae", "Aurimastris", "Blennothallia", "Pachycormiformes", "Huaceae", "Cynoponticus", "Automerina", "Holomastigotes", "Rubioideae", "Venturiella", "Marinula", "Lepidoserica", "Alainodaeus", "Ammospiza", "Triplonchida", "Euchirus", "Stenobracon", "Israelaphis", "Alypia", "Villebrunaster", "Mandingoa", "Acervulinidae", "Eriocraniidae", "Apophysius", "Protodorylaimus", "Cerasus", "Pharneuptychia", "Mesadenocoris", "Lascelina", "Kakamodes", "Triacanus", "Venturiaceae", "Amphicestonia", "Selenodipnus", "Trachycentra", "Parapalystes", "Labyrinthorhiza", "Sulcana", "Gallopsis", "Donneria", "Anurida", "Prolanceola", "Eschmeyeridae", "Hylotorus", "Granulicatella", "Cullen", "Antistathmoptera", "Taphoxenus", "Aeschnophlebia", "Spilanthes", "Sarcoexcipula", "Esperia", "Koebelia", "Laurus", "Pseudocheylidae", "Fryxelliella", "Deporaus", "Liotesba", "Cecropterus", "Acolastus", "Sturtgrovea", "Rubrivirga", "Cyta", "Oligotrema", "Caballeria", "Macrotartessus", "Bonaspeiini", "Laingiidae", "Drepanophorellidae", "Dipodarctus", "Hypopomidae", "Helosciomyzidae", "Nanocthulhu", "Tutaibo", "Spiniderolus", "Uralinellidae", "Gracililima", "Spadella", "Atthis", "Atopocottus", "Niesslia", "Bordatius", "Epallage", "Cerberiopsis", "Callicerus", "Arbomia", "Voromonas", "Myconini", "Eugoides", "Spatuncusella", "Mesophyletinae", "Neuraphoconnus", "Hymenogadus", "Otitesellinae", "Protoavis", "Guntia", "Girardinichthys", "Hypocomagalma", "Trichomyiinae", "Pseudaligia", "Pterophyllini", "Siphonininae", "Symphionematoideae", "Neovalgus", "Miniscula", "Bakteniidae", "Pseudokanakia", "Tepidimonas", "Vidamodes", "Coleoptera", "Microlycus", "Codakia", "Litostomatea", "Paraphemone", "Goniolinopsis", "Yebonia", "Longispora", "Bathyblennius", "Miralia", "Acromacer", "Phenacoccinae", "Caenispirillum", "Neorhacodinae", "Centrocardita", "Trigonisca", "Hemiemblemaria", "Kretania", "Pachyelasma", "Ambitropus", "Gilletinini", "Sagenoarium", "Chenxiella", "Linuchidae", "Dargeochaeta", "Nesogordonia", "Psilotris", "Arateina", "Pseudochlorothecium", "Ameroseiella", "Esthiopterum", "Canteria", "Lypeticus", "Corynomorpha", "Bertramia", "Tsingya", "Toca", "Tragocephalini", "Shoushida", "Favositidae", "Anthelidae", "Takashimella", "Blastosporium", "Oocystaenium", "Hebdomophruda", "Androstephium", "Parapimela", "Spongiactis", "Asioreicheia", "Codonacanthus", "Annikaella", "Anophthalmoonops", "Epipsocus", "Mimonthophagus", "Nygmatius", "Parhaplothrix", "Urastomidae", "Palatogobius", "Nihonotrypaea", "Mummuciidae", "Neocyproidea", "Acrolepiopsis", "Isochaetes", "Pelmatosphaera", "Triaenobunini", "Scopiastella", "Legeriosimilis", "Pholcus", "Leucotaenius", "Eucryptocaris", "Listronotus", "Tetrabalanus", "Opertorbitolites", "Scalariella", "Cymbionotini", "Nudariina", "Anaerolineales", "Agaraceae", "Parapiromis", "Drosophilinae", "Archaeotychia", "Brevaphrodella", "Murchisonioidea", "Batesbeltia", "Brachygaster", "Chelicorophium", "Biina", "Cercyodes", "Tiffaniella", "Microscolex", "Lasiantheae", "Craspedorrynchus", "Serropalpini", "Anatella", "Alveobothrium", "Protrelleta", "Vulcanisphaera", "Succinatimonas", "Pseudodictamnus", "Dictyotopsis", "Atlantia", "Epaphroditinae", "Cercopithecidae", "Brachypterum", "Franciscodendron", "Lycambes", "Lagrida", "Protostomia", "Eglerocoris", "Croatania", "Dioxya", "Nambashag", "Paralicornia", "Endectyon", "Mabulatrichus", "Fragilidinium", "Ledrini", "Peridrome", "Pseudouroplectes", "Norrbomia", "Clidicus", "Vespina", "Omocrates", "Hyphomicrobium", "Pechuel-loeschea", "Periproctoides", "Blastodacna", "Chirotenon", "Colpurini", "Meripilus", "Aspidoderidae", "Anaphleps", "Gymnonereis", "Semperininae", "Micromaldane", "Nautocapsa", "Rhyssini", "Nonioninae", "Otionellidae", "Stipomoles", "Balitoropsis", "Aphrastochthonius", "Thalassochernes", "Pseudoglutamicibacter", "Ophiocordyceps", "Fossilicallis", "Epilasia", "Semipsammina", "Oudemansidium", "Tinamiformes", "Lanatosphaera", "Cotyabanycha", "Polevansia", "Gonatherus", "Tharyx", "Pachytrechodes", "Prosinodendron", "Olibrus", "Muna", "Mistaria", "Scyphiphoreae", "Apalus", "Trebania", "Rotaliammininae", "Argyarctia", "Crinodes", "Psyllipsocus", "Podoscyphaceae", "Tyranneutes", "Aureliania", "Intricatotrypanius", "Siphoninoides", "Ellipteroides", "Tetheella", "Dasysiphonia", "Hypselonotini", "Lophopus", "Megachilini", "Diplovertebrontidae", "Cerius", "Nops", "Plica", "Idiasta", "Anameriania", "Ovoidinium", "Batasio", "Orthidus", "Aciculidae", "Allotopini", "Psilostrophe", "Sadiria", "Noorda", "Bellactis", "Masillosteus", "Macroeme", "Parinariopsis", "Hofferia", "Merunympha", "Vaughanininae", "Gloeocapsa", "Goliathina", "Godroniaceae", "Ptychanthus", "Dersagrena", "Pyrgophora", "Tricladiaceae", "Aporia", "Heliocauta", "Irura", "Molipteryx", "Phareae", "Gephyramoeba", "Physoperinthus", "Cavasteron", "Taraxis", "Cacuminostreptus", "Pyrgospongia", "Xyalaspis", "Anisopleura", "Mummenhoffia", "Encrateola", "Dinocryptus", "Hemidiaptomus", "Discocelis", "Myrmeparmena", "Stockigidiella", "Paracentropogon", "Yungia", "Fasciculus", "Parapsyllipsocus", "Oricola", "Parachlorella", "Pristilomatidae", "Odacidae", "Braderochus", "Hendecameros", "Astrophiura", "Pontodromia", "Alangium", "Rubribacterium", "Autodectis", "Borzia", "Lypsimena", "Perleidiformes", "Haematopinus", "Kendrickia", "Nocardioides", "Hylocryptus", "Macrophyllum", "Melientha", "Minicosta", "Deciplatus", "Tylopaedia", "Planococcus", "Stenamoeba", "Caelopyginae", "Mimodes", "Paraseverinia", "Uenanthracus", "Ammosphaeroidinidae", "Bowenia", "Raphiocarpus", "Abyssogammarinae", "Apinotropis", "Lepthoplosternum", "Helastia", "Dampfiellidae", "Chuchullba", "Arvicola", "Nesofregetta", "Longipedisymbia", "Pareboda", "Cystoderma", "Dicranoderes", "Houdinia", "Svenkoeltzia", "Vadonia", "Malaconotus", "Hybothecus", "Echinidea", "Ertela", "Ricordea", "Aphela", "Vanenga", "Allosathes", "Amelibaea", "Xarifiidae", "Methanolinea", "Acaremys", "Boothiaspis", "Globobulimina", "Polychaeta", "Cerallini", "Scaphobaeocera", "Deeringia", "Ichthyophaga", "Lophopoeum", "Crassaminicella", "Asaphococcus", "Ancyromonas", "Thectochlora", "Podperaea", "Laephotis", "Mecysmoderini", "Purpureofilum", "Lomapterina", "Tepidisphaera", "Fereydounia", "Leptodonia", "Sordariaceae", "Bursaphelenchus", "Buzyges", "Randallophorus", "Orisaltata", "Nilgerides", "Ptilocaulis", "Colubrariidae", "Xeroderinae", "Palaeoperissomma", "Rhodophaea", "Petunia", "Megochterus", "Merismogloea", "Abacomorphus", "Myliobatiformes", "Rhopalosolen", "Anomalepididae", "Gomphocymbella", "Aulacocystis", "Telmatogeton", "Bathypolypus", "Coleocoris", "Piezoscelis", "Cantabrodytes", "Ascidiogyne", "Pseudopallene", "Neoerythromma", "Perloplusia", "Derlethina", "Trichoderes", "Neocoenorrhinus", "Liophaena", "Protodasycerus", "Newtoniellinae", "Podops", "Tessmannianthus", "Iberovaranus", "Costertonia", "Paracallia", "Actinolophus", "Allotheca", "Opalinopsis", "Otocolobus", "Ommatolampae", "Toramini", "Thysanphalonia", "Percnarcha", "Rexia", "Sapheopipo", "Zealoctenus", "Auriporia", "Didymellopsis", "Pachygnathus", "Calonecrinae", "Dunaxeus", "Salsugineaceae", "Parectatina", "Pennahia", "Iza", "Chernetidae", "Hemizoster", "Crypsinus", "Pareuchaetes", "Gonzalezinus", "Walkothignus", "Gelidiophycus", "Pyrroglaux", "Leuconotis", "Manolepis", "Bathycotylidae", "Ascutotheca", "Scyllarocuma", "Gobiocichla", "Fittkauimyia", "Lathrapanteles", "Goniosaurus", "Austrocynipidae", "Troglopedetes", "Calyptotricha", "Linyra", "Maquira", "Rudra", "Aspidoglossum", "Insimuloissacaris", "Beryciformes", "Mezorhizoglyphus", "Margaritiferidae", "Raphidiidae", "Cissia", "Arculanus", "Omanocoris", "Dicentra", "Rhizolekane", "Phlyctochytrium", "Microchorista", "Reoviridae", "Brownleea", "Procladius", "Parasecodella", "Acipenseridae", "Rhizomastix", "Mimosybra", "Phantissus", "Coccolithales", "Bolyeriidae", "Clavifer", "Fosterovenator", "Ovula", "Couroupita", "Coeloplanidae", "Coiffaitarctia", "Croesia", "Freudeia", "Spirolocammina", "Chinoneides", "Excremis", "Pseudoeupodes", "Paragryllus", "Eppertia", "Polybia", "Truncacteocina", "Laballidae", "Chaunangium", "Hystricuridae", "Miichthys", "Empedomorpha", "Pseudorapinae", "Coenophlebia", "Aurotalis", "Stemonocoleus", "Atractosteus", "Lecithasterinae", "Phyllothalliaceae", "Acronacantha", "Puffia", "Enneaoria", "Palaeozygopleuridae", "Acunniana", "Cubophis", "Hypselecara", "Diazonidae", "Xystophora", "Sciophilini", "Paramyxoviridae", "Apoplophora", "Cosetacus", "Mylon", "Plumbaginoideae", "Neoacanthocephaloidinae", "Paracucujini", "Salibacterium", "Lamprocranum", "Cornulariidae", "Multiramificans", "Phalacrotophora", "Plectopylidae", "Hasumius", "Cibdelia", "Axicolumella", "Idaecamenta", "Opluridae", "Mugilinae", "Heteromicrocotyloides", "Anisorrhina", "Tetramelasma", "Platanistidae", "Corvula", "Ectopleura", "Eucossonus", "Straelensia", "Spirocerca", "Ardistomis", "Cheiroplatina", "Tarpela", "Chibchea", "Anopina", "Cudonigera", "Anthrenops", "Paskentanidae", "Paracepon", "Hydria", "Medocostes", "Cleistocarpida", "Alisocysta", "Pithecanthropus", "Ceratognathus", "Chroococcidiopsis", "Tsinilla", "Platypezidae", "Ophiopogoneae", "Polemochartus", "Bambalocra", "Lysinimonas", "Opiconsiva", "Discoderus", "Mexipedium", "Thalaina", "Speleogobius", "Neoteutloporella", "Qingaphodius", "Rhizocarpaceae", "Reesa", "Pelates", "Erlacda", "Morebilus", "Agonidae", "Physaria", "Arhaphuroides", "Thrangalia", "Abauba", "Metabraxas", "Laophontisochra", "Celebothemis", "Doryanthaceae", "Perapion", "Lindsayomyrteae", "Pseudoprosopis", "Stephenoscia", "Earobia", "Heilogonemertes", "Clathrinida", "Occultammina", "Basiana", "Tateidae", "Sooretama", "Leptosphaeriaceae", "Telonemida", "Neochoristella", "Tubificoides", "Macraspis", "Euryplatea", "Dehalobacterium", "Idiocampa", "Lecanidae", "Serranus", "Eremisca", "Ahmadia", "Eucotylidae", "Neoserica", "Lomisoidea", "Sicus", "Myrtus", "Anomalempis", "Arrhenotoides", "Guaduelleae", "Chevaliericrusta", "Hygia", "Parascudderia", "Ochetophila", "Danae", "Megalosporaceae", "Tarophagus", "Probopyrinella", "Toledopizia", "Stenocypha", "Uromyrtus", "Cheilodactylidae", "Meruia", "Stemonitidae", "Haplojana", "Caularthron", "Muraeninae", "Maoridrilus", "Cryptotrichosporon", "Xintania", "Flavisolibacter", "Dalminiastes", "Platybothrium", "Crotophaga", "Pseudapistosia", "Lateolabrax", "Nesotanais", "Acanthanops", "Metabemisia", "Amniataba", "Thermoflexia", "Ancylochetus", "Phatnomini", "Moronanita", "Austroplatypus", "Palaeomiliolina", "Paraponera", "Pomacanthus", "Goethalsia", "Sporolactobacillus", "Koelreuteria", "Ptoseulia", "Mimobybe", "Syntomaula", "Claverythraeus", "Radiomyces", "NMB", "Tanzaniophasmatinae", "Xantholinus", "Meteoridea", "Saruma", "Patagioenas", "Crossotocera", "Meuniera", "Edaphaspis", "Cribratinidae", "Saprosites", "Eutetras", "Macrohyliota", "Enicosanthum", "Microgmocerus", "Spengelomenia", "Pontobopyrus", "Ora", "Aeolosomus", "Ragonotia", "Prolygaeus", "Ischnocampa", "Anemonopsis", "Vaucheria", "Lepidocottus", "Moriomorphini", "Eupisteria", "Neohalosacciocolax", "Octozethodes", "Ropronia", "Loxodonta", "Dysamblys", "Heteroeuxoa", "Quijotidae", "Pseudomazocraes", "Hemiphlebia", "Persicaria", "Phialacanthus", "Lefroyella", "Afrocymbella", "Steccherinaceae", "Onychalginae", "Devaz", "Drepanidotaenia", "Voromonadida", "Cycloneuroterus", "Busyconini", "Draconizercon", "Gloediniales", "Bathyllia", "Sobralia", "Kamptnerius", "Afroproterothrix", "Reticulophragmium", "Charippus", "Straneostichus", "Ateleute", "Paspalidium", "Oligobrachiidae", "Phaseliformidae", "Protepeolini", "Chrismofulvea", "Balanion", "Arillastrum", "Synandwakia", "Protovallupus", "Yamadaella", "Dermanyssiae", "Ceratophyus", "Melanoblossidae", "Ballus", "Amorosiaceae", "Megillina", "Brachioxena", "Neopentamerus", "Paraloconota", "Tecia", "Krasilnikovia", "Acanthaceae", "Addisoniidae", "Thamnolecania", "Blauneria", "Metabacterium", "Cypselurus", "Mastixioidiocarpum", "Korupia", "Campylospermum", "Bathyferdina", "Toxoniella", "Rheumatobates", "Naja", "Texania", "Leskeella", "Celtis", "Nesocypselas", "Zomariana", "Sciomyzinae", "Leucocodon", "Trigonophora", "Alomenarcha", "Pleurogenidae", "Bathysmatophorus", "Tetronarce", "Colotoini", "Trispeleognathus", "Hymenolaimus", "Coprophilus", "Chrysilla", "Oddoniodendron", "Xyridacma", "Novoclaviger", "Heffernia", "Epistephium", "Perittopinae", "Asternolaelaps", "Kotuites", "Pseudotychus", "Magnolia", "Pseudobagarius", "Hyposidra", "Euphysetta", "Eupyrgidae", "Austrostipa", "Johnrandallia", "Enchelis", "Mischoblastia", "Ramelbida", "Patritius", "Panaeolus", "Leptoglaninae", "Chromoptiliina", "Tribelaceae", "Cyphaleini", "Salegentibacter", "Dongbeiaphis", "Cervopsocus", "Elassochiton", "Derancistrachroma", "Chrysosphaera", "Serpenticobitidae", "Adelieae", "Dipodium", "Gubernatrix", "Leucaster", "Georgenia", "Tropiduchus", "Acanthodidae", "Speonomites", "Elachuridae", "Penthus", "Cephalodina", "Lobotiformes", "Leslibetaeus", "Diurodrilus", "Acharia", "Elliptoideus", "Aridarum", "Paedembiamorpha", "Aliattalus", "Rammeola", "Sphingidae", "Pringleophaga", "Pergagrapta", "Paractora", "Melangyna", "Stramentum", "Pityocona", "Pseudotheopea", "Synegiodes", "Limidae", "Phthinostoma", "Nothochrysinae", "Gonerilia", "Torrenticola", "Euthecta", "Sphyrias", "Meteoromyrtus", "Eleutheroschizon", "Powellana", "Exsuperantia", "Pyrocephalus", "Scotinocerides", "Cleptoria", "Nangra", "Petradoria", "Omphalotis", "Alebra", "Deprea", "Nigriblephara", "Semiardistomis", "Serrifornax", "Thysanometrinae", "Abax", "Tekkeina", "Salaciola", "Uredinella", "Emergomyces", "Mecopoda", "Schizanthus", "Idioneura", "Amasenus", "Cornuloculina", "Anthicodes", "Cteniloricaria", "Miscellanea", "Pseudactenodes", "Lacaena", "Melanococca", "Actinocyathula", "Paxylommatinae", "Xenothyris", "Anaproutia", "Hymeniacidon", "Legnotus", "Afrotrichloris", "Taiwanhormius", "Isopisthus", "Metamicrocotylinae", "Recurvidris", "Chloroparvula", "Epicriopsis", "Callianthemum", "Eumacaria", "Mothonica", "Stusakia", "Tremarctos", "Dawestrema", "Kenkiidae", "Holostichidae", "Dunedinia", "Vombatiformes", "Endroedyolus", "Oenomaea", "Phlugis", "Speleketorinae", "Paradoxenusini", "Terebellida", "Trilacuna", "Opacifrons", "Arctiinae", "Storckiella", "Tacca", "Coscinida", "Foadiini", "Cuneatinae", "Euchloe", "Zapriothrica", "Eka", "Marivivens", "Balticomaraphis", "Neocentema", "Balloniscidae", "Hauerininae", "Chronoxenus", "Allodynerus", "Coata", "Gonicolletes", "Bombyliinae", "Bathseba", "Bahianofusus", "Vaunthompsoniinae", "Warendja", "Bolanosa", "Nata", "Cariboplitis", "Mexicaphorura", "Dulichia", "Aoshakuna", "Phycusinae", "Discogypsina", "Neasellus", "Tremophora", "Neomelanconiellaceae", "Clypeolina", "Artedia", "Hemitheini", "Ariomma", "Dabra", "Syrbatidius", "Pateribelba", "Tryonocryptus", "Bracteodes", "Eratigena", "Tetralophodes", "Gymnanthera", "Saopaulista", "Leptacoenites", "Orbitolinina", "Mullederia", "Apangea", "Tsautettix", "Dublinia", "Dutkevitchia", "Psammodesmus", "Elaphopsocus", "Abeliophyllum", "Chrysolophus", "Anemopaegma", "Antithetusa", "Parataiwanaptera", "Ancystropodium", "Chloroperlini", "Tanganyikacypridopsis", "Codium", "Clinitrachus", "Pinacodera", "Paraceratitinae", "Crenidium", "Gymnostachys", "Megapomponiina", "Entelegynae", "Agapanthinus", "Trechitae", "Melanthalia", "Typhlotricholigioides", "Poeae", "Anomocopeus", "Linoglossa", "Caccobiomorphus", "Fossombroniaceae", "Achnantheiopsis", "Macronychus", "Bauldia", "Nepiodes", "Roquezia", "Mimopaederus", "Triclonella", "Cyclomenia", "Centrothelinae", "Gloiodictyon", "Polemonioideae", "Crenicara", "Gryne", "Carinoclytus", "Moreotyphlus", "Lutzia", "Colorhamphus", "Cryptophilus", "Exodon", "Fridericianellidae", "Octostigmatidae", "Cyclotubicoalitus", "Engyotingis", "Kizylkumemys", "Stenucha", "Cossidopsyche", "Periergopus", "Ulkenomyces", "Brachypteraciidae", "Makia", "Oxylidini", "Mesernobius", "Ametacyna", "Syntomus", "Cathetocephalus", "Arnoldichthys", "Cybalomia", "Tangata", "Varioonops", "Dischidodactylus", "Surattha", "Asteronychidae", "Agrimonieae", "Sathodrilus", "Chroniosuchia", "Stenoplectus", "Baloskion", "Pleuromucrum", "Pyxidicerina", "Neoproclitus", "Satoracotis", "Augyliini", "Pentapeltis", "Lasiopteridi", "Orosphaeridae", "Megalymma", "Cupriscobina", "Eudyptes", "Phormictopus", "Nanarsine", "Teratoptera", "Exeliopsis", "Selenocheir", "Ocypus", "Teniolophora", "Glaphyrosiphon", "Eranthemum", "Doxophyrtis", "Tlacuatzin", "Scyllini", "Ooencyrtus", "Pholioxenus", "Protatlanta", "Myelois", "Libellulosoma", "Allomorphina", "Bairdiella", "Rovenosa", "Brachymeniopsis", "Lycaenopsis", "Oehserchestidae", "Pseudoscabioseae", "Bodonaceae", "Scelembiidae", "Notocomplanidae", "Automate", "Melonites", "Orthocladiini", "Auriculora", "Psephurus", "Mashimaro", "Menkenina", "Camptotoma", "Anomalohimalaya", "Valgoides", "Archanthemis", "Marblepsis", "Afrogecko", "Perinthus", "Vermiculariinae", "Epibolus", "Galeola", "Monochrysis", "Trisulcus", "Phaeochorellaceae", "Drosophilidae", "Epilachna", "Cnesteboda", "Oligocladella", "Scopodes", "Periplegmatium", "Mesochytriomycetes", "Petalocotyle", "Athamini", "Ceglusa", "Miocora", "Affinoptochus", "Cydosiinae", "Dorymetaecus", "Helicobasidium", "Ononis", "Hilariinae", "Vietetropis", "Geoxus", "Lophuromys", "Paragonatopus", "Paradoxiphis", "Brandinia", "Pyrgulinae", "Striatorsidis", "Acheroxenylla", "Anemarrhena", "Dicraeus", "Plegadiphilus", "Costaconvexa", "Kibisidytes", "Megalopsalis", "Homoeolachesilla", "Rhizonympha", "Palimna", "Hyaloptila", "Matsumuraja", "Limnophilomyia", "Acanthopteroctetes", "Demoglena", "Brevizacla", "Euryattus", "Cechides", "Noviini", "Papuaneon", "Technitella", "Malpaisomys", "Aneuma", "Aphelandra", "Stichotrema", "Phaenicophaeus", "Rytidosperma", "Ragactaeon", "Therea", "Hypagathia", "Cribrohammus", "Loxebala", "Clausinella", "Setoapiospora", "Anulitubus", "Eutaxia", "Cordia", "Apobaetis", "Limnoscelidae", "Actinomycetospora", "Spinetaxalus", "Hecistopsilus", "Hylocomiaceae", "Musaceae", "Onciderini", "Concavocephalus", "Neobotyodes", "Kapitia", "Limnofilidae", "Xanthocnemis", "Pedicellarum", "Chlerogelloides", "Alexanderina", "Colfax", "Trematosphaeria", "Namacus", "Lisianthiinae", "Cylapopsallops", "Ecitomerus", "Saranthe", "Axoprunum", "Trichotropis", "Charminus", "Azemiops", "Ditrichopsis", "Hyperthoron", "Galeichthys", "Anomoeoneidaceae", "Acanthocinus", "Pezophaps", "Autochton", "Deinopsis", "Angelica", "Pseudobias", "Psammophaga", "Ulugurubythus", "Rhabdiopoeidae", "Pachypsaltria", "Hasemania", "Dicropterus", "Profimbriaria", "Oedenopiforma", "Spinopraonetha", "Bebearia", "Archaeoattacus", "Rhinatrematidae", "Ongleya", "Plutoniinae", "Diplospinifer", "Zelotypia", "Siganus", "Glandulina", "Placentophora", "Doderiidae", "Ichthybotus", "Rotosphaeridia", "Cyrestinae", "Coscinedes", "Bathyphotis", "Atypidae", "Daphoenositta", "Thermoplasmatales", "Euryepiskiosa", "Bafutella", "Reduvius", "Eylaoidea", "Pipa", "Diplopterinae", "Diabroticina", "Anelassorhynchus", "Eolepinotus", "Trachydium", "Orientocreadiidae", "Duplipetala", "Melolonthites", "Wuerhosaurus", "Torrealbaia", "Uradiophora", "Mutimo", "Caliaporinae", "Sternopsyllini", "Philodytes", "Ceratobuliminoides", "Delphinomonas", "Rowlandius", "Pritchardia", "Sornayites", "Kritscherysia", "Xestobium", "Marinibaculum", "Brachymenium", "Rotoitidae", "Acsala", "Leucotabanus", "Paleospinosus", "Cryptochilus", "Oceanicella", "Polycoryne", "Amblypsilopus", "Thelenellales", "Platymera", "Amoeboradix", "Thyroptera", "Brontoliota", "Lasiochira", "Camptorhynchus", "Microporatria", "Lapsias", "Gowardia", "Diphtherophorina", "Bryophilocapsus", "Vicosamyces", "Dolichosauridae", "Onesimoides", "Myrmecocystus", "Enicocephalini", "Cladocyclus", "Janetschekilis", "Drymosiphon", "Favosites", "Petalomonadida", "Loxocemidae", "Aspidagnostinae", "Temnopis", "Lapsana", "Apuliadercetis", "Trachodini", "Trachymyrmex", "Magadanichthys", "Hemistigma", "Platyola", "Fritillariidae", "Scriptaphyosemion", "Tetrapleurodon", "Coleanthus", "Rhabdonemataceae", "Araniella", "Palistreptus", "Haplomitriopsida", "Pachycolpuroides", "Dosinia", "Hypanthidioides", "Bassarodes", "Pectinocallimus", "Maplurius", "Ammobaculinus", "Metopeuraphis", "Mnematidium", "Plagodis", "Lobopaederus", "Perochirus", "Cichla", "Chaetonotida", "Termitopaediini", "Musapsocidae", "Thyas", "Microdaccus", "Sukunahikonini", "Sphinga", "Rhinotyphlops", "Forsterocoris", "Metatygini", "Archoxynaspis", "Pierolapithecus", "Encyocrates", "Euryhaliotrema", "Belidus", "Archaeoptilomera", "Camacho", "Senegalimassilia", "Odnarda", "Declivodes", "Notiopambolus", "Aegilia", "Limpopoacris", "Hynobiidae", "Ecnomidae", "Meridion", "Euciliata", "Furculomyces", "Besdolus", "Algiachroa", "Scallopostoma", "Camachoaglaja", "Bothrocophias", "Espejoa", "Latrunclava", "Tangfeifania", "Cristoberea", "Coptosapelta", "Caryophyllidea", "Sediminihabitans", "Cryptopipo", "Gonatidae", "Hyalodiscus", "Oreasteridae", "Montchadskyellidae", "Nasusina", "Baeoanusia", "Streptommion", "Mesophragis", "Thamester", "Gnathostomariidae", "Imeroherpia", "Calamoceratinae", "Helleriella", "Colpochilodes", "Megistoplia", "Occultibambusaceae", "Argentochiloides", "Torvicia", "Cymbidium", "Chenolea", "Metavelifer", "Neuroseopsis", "Anatolobrium", "Elephantulus", "Eucyclotropis", "Celenna", "Tubiformopius", "Tachypeza", "Celloniella", "Scortizus", "Austrisaturnalis", "Lampris", "Centropyxidae", "Deione", "Horologionina", "Sediminispirochaeta", "Actinomycetales", "Allocotylophora", "Blandfordiaceae", "Acutitornus", "Sphenophorini", "Bitabulata", "Soritoidea", "Actinoporus", "Paraseila", "Limtongozyma", "Laubertiinae", "Hemilutjanidae", "Rachana", "Acoelocalyx", "Gelo", "Tornodoxa", "Ianusanta", "Kumothales", "Gilletianus", "Pyrgomatini", "Diaulinopsis", "Zalasiinae", "Bergmiris", "Polyceratocarpus", "Thelypodieae", "Fusarchaias", "Zopyrion", "Cabogidiella", "Xenommamycterus", "Archidendropsis", "Maluina", "Endecamera", "Carcinactis", "Diapheromerini", "Apristus", "Stibiobacter", "Paracladella", "Byrsia", "Heydenia", "Cicadini", "Aporecolpa", "Cryptoleptodon", "Pentila", "Elaeidobius", "Pacuvia", "Mesopteryx", "Orgyia", "Psittacellinae", "Scinax", "Pseudonymidae", "Hyemoschus", "Teluncus", "Dyakana", "Psammocora", "Enchiridium", "Rugosospora", "Aphanoblastella", "Jalinoides", "Mortensenia", "Aplanulata", "Daxia", "Catostomus", "Notobitiella", "Amhyadesia", "Ueckermannia", "Lebbea", "Haplomitriaceae", "Spilomicrus", "Conorbidae", "Nyssodrysilla", "Paralogisticus", "Marivagia", "Tripteria", "Niphta", "Apoclima", "Parmacellillinae", "Typoma", "Karlodinium", "Libonectes", "Seminemacheilus", "Neocypetes", "Chassalia", "Cteipolia", "Taphropiestes", "Pseudomeritastis", "Marcipa", "Rohacekia", "Xiphosura", "Adamsochrysa", "Proterodiplostomidae", "Tsujius", "Metioche", "Ampereae", "Luisia", "Pokennips", "Sarcinatrix", "Furvaphis", "Potamogale", "Rallicola", "Solenofilomorphidae", "Leachiella", "Transvaalobrium", "Nephelochloa", "Olorus", "Fodinibius", "Agulla", "Endrosa", "Guadalca", "Tyrannochthonius", "Oncometeorus", "Symphyonemataceae", "Pistorhinus", "Diniatys", "Hipposideridae", "Trichoniscoidea", "Vipiomorpha", "Biraibidion", "Syrnola", "Atoposmia", "Secale", "Varifula", "Makararaja", "Thioalbus", "Pyramidelloidea", "Gymnorhinus", "Aquasubmersaceae", "Codonosigidae", "Ixieae", "Cephaleuros", "Euscenarium", "Dermocoma", "Crocodilurus", "Chuniella", "Philothermopsis", "Cystofilobasidiaceae", "Velazquezia", "Onawea", "Indoseges", "Psittacobrosus", "Alebrasca", "Psilorhinus", "Agelasticus", "Phymatapoderus", "Monosis", "Taubocicadellina", "Callirhoe", "Adelastes", "Sminthurididae", "Geraldus", "Eoneureclipsis", "Rhodophiala", "Aposphaerion", "Halanthium", "Alavasoma", "Madagascaria", "Aulacoseiraceae", "Trondia", "Labyrinthininae", "Eugeropteridae", "Retrozetes", "Chroicocephalus", "Charophyta", "Amblyomma", "Franzorella", "Aceriini", "Oligobrycon", "Cerapachys", "Pterotracheoidea", "Hoehnemonas", "Aneumastus", "Hatumia", "Astronotus", "Vanua", "Berberidaceae", "Paracolax", "Gerronema", "Amphritea", "Murellinae", "Trachyspiridae", "Medlicottiaceae", "Halysitidae", "Reginaterreuma", "Pseudozoysia", "Cuapetes", "Melanotis", "Paraendothyra", "Amuletta", "Glyphidrilus", "Epichirostenotes", "Alsobia", "Dalmomima", "Phragmidiella", "Langerra", "Haddoniidae", "Brotherella", "Chroocacus", "Megadictyna", "Thylakogaster", "Adraga", "Protandroconnus", "Archinamibia", "Athalia", "Aoteapsyche", "Stethacanthus", "Escobaria", "Entomosigma", "Hellwigiella", "Malacostraca", "Terrazoanthus", "Hanceolinae", "Coprolithina", "Hyalonysius", "Eunotini", "Microcausta", "Tetropiopsis", "Lasiophorus", "Lentimonas", "Wuelkerella", "Halofilum", "Tjurunga", "Agglutinella", "Pisocrinida", "Sisurcana", "Byblis", "Orilesa", "Pseudathrips", "Pseudochelidae", "Hyalella", "Lissodus", "Pirskenius", "Jolyella", "Gastrodoroidea", "Chalcocopris", "Istrianis", "Diglyphosa", "Trichothyse", "Decataphanes", "Balazsella", "Mediocris", "Stelliferinae", "Protoglossus", "Neorina", "Parechthistatus", "Nephrophyllidium", "Athienemanniidae", "Calyptranthera", "Praestorrsella", "Estadiini", "Melanozosteria", "Baichila", "Chaetocneme", "Abditodentrix", "Xenometra", "Camptopteroides", "Eulepidotini", "Diastata", "Thysanoptyx", "Schisandra", "Acallestes", "Lepidomenia", "Limnichthys", "Ophiophagus", "Pseudoolina", "Enchisthenes", "Gomesa", "Pipanacoctomys", "Gressittella", "Lyctus", "Paracycloneura", "Baloghjkaszabiidae", "Ansiea", "Agrosphaera", "Paramoechotypa", "Dendrocharini", "Hoploscaphites", "Pascoebelus", "Plagiolepis", "Brachycoleus", "Stenodyneriellus", "Loricaseius", "Rhopaloceras", "Superpendicythere", "Dialectica", "Cercyroidea", "Prasocuris", "Leptostales", "Gramenca", "Duperrea", "Xenotriccus", "Ceratopemphigus", "Cloeon", "Ariophanta", "Manerebia", "Pyramidopidae", "Coolus", "Marimicrobium", "Persescaphium", "This", "Hystricidae", "Saulostomus", "Sinolygaeus", "Cucurbitaria", "Pantinonemertes", "Pseudoryssus", "Diplothemiobius", "Pygoxyon", "Murdochia", "Acheta", "Moquinieae", "Ruflorinia", "Richteria", "Carenscoilia", "Poraniomorpha", "Nemosia", "Scorpaena", "Aspidomorphus", "Amphileptus", "Oiovelia", "Biomyxa", "Oreostemma", "Adelomomphinae", "Prochoreutis", "Platycis", "Kachinocoris", "Torgea", "Omiltemia", "Zaporella", "Zhuana", "Sinoclytus", "Cadiscus", "Trithuria", "Agromyzidae", "Netanyacra", "Sapphirina", "Pelzia", "Disembolus", "Microlepia", "Coccidomyiina", "Paramida", "Peltinodini", "Tirisporellales", "Nototriphyllus", "Cryptonome", "Crepicephalidae", "Ondetia", "Machilelloides", "Graphiurus", "Calathura", "Salpianthus", "Strandella", "Naobranchiidae", "Pseudoproto", "Lauderia", "Pericolpa", "Stylophorum", "Chaetosphaeriaceae", "Mauisaurus", "Lecithocera", "Sagmatiini", "Forficula", "Pauline", "Gamasina", "Sinolestes", "Maxomys", "Pachytroctinae", "Jeannenotia", "Trichothecium", "Cannorhiza", "Dicellarius", "Cariama", "Amphoecini", "Saccharoscaptus", "Holophygdon", "Leeuwenhoekiella", "Amphistethus", "Tubanguiella", "Tachyusopoda", "Megalampris", "Corylophinae", "Amphitremoida", "Crettaros", "Afrochlus", "Protozethopsus", "Monocheta", "Matinangarches", "Lysianassidae", "Pterodactylidae", "Thoracaphis", "Isidodendron", "Busycotypini", "Anacharoides", "Ruania", "Ramondinae", "Plagiogrammaceae", "Salangathelphusa", "Anechura", "Parahigginsia", "Anas", "Clinocera", "Idiodes", "Pseudoazya", "Pinkfloydia", "Anisomerinus", "Walchiidae", "Pardaliscoides", "Asyndetus", "Madizinae", "Hexadella", "Praecymatosira", "Bransonella", "Euphorea", "Trigynaea", "Dysonia", "Megastylulus", "Koghicola", "Bipunctiphorus", "Mimipochira", "Cheronia", "Gibraltarensis", "Trielacher", "Paucibranchia", "Superciliaspis", "Hyalotheles", "Pseudomasoreus", "Ladda", "Denticeria", "Acerbia", "Humicola", "Bramidae", "Volcanalia", "Iliinae", "Eunymphicus", "Zacoleus", "Puttea", "Anartomima", "Sublamarckella", "Kayesiina", "Methyloglobulus", "Camptostemon", "Gastrorhopalus", "Antipodeus", "Acidia", "Lamprospilus", "Orius", "Rhabdeucoela", "Brachycolus", "Ruaniaceae", "Drepanocanthus", "Lusurini", "Ferorhinella", "Xanthorcus", "Corokia", "Timora", "Solinalepis", "Lelapia", "Vidrioceratidae", "Perimonochamus", "Naucoria", "Muiriantha", "Geloiodina", "Acrocyusa", "Philoleptusa", "Paratophysis", "Leonurus", "Ulata", "Coelocaryon", "Neokleidocerys", "Trophogemma", "Inustiatus", "Decetia", "Dasyatoidea", "Pachorhopalina", "Straminergon", "Agolius", "Microsynodontis", "Kassinula", "Brachydoxa", "Austrostenichnus", "Xylomya", "Sericochroa", "Kuryella", "Micralarctia", "Bombax", "Gastrogomphus", "Hapalothyma", "Casearia", "Hugonia", "Pselaphaulax", "Hexabathynella", "Paratanais", "Psilopogon", "Linoproductoidea", "Pierremus", "Phasganocnema", "Ducetiini", "Antoculeora", "Scapheutina", "Marmenuera", "Paurotyndareus", "Compsognathus", "Curvastrum", "Cotaena", "Mironovella", "Halimochirurgus", "Cordatijuxta", "Cearanthes", "Aphidomyces", "Sporobolinae", "Antofagapraocis", "Ecclinusa", "Anansia", "Gertrudiella", "Coryneliaceae", "Steganacarus", "Restioneae", "Zobellia", "Aneilema", "Holcopasites", "Idiomarina", "Lonchothrix", "Coscinorima", "Athaumaspis", "Microbothriidae", "Anusia", "Madura", "Trachelophorini", "Nevacolima", "Panax", "Maurotarion", "Alloispermum", "Proceraea", "Chloothamnus", "Itoplectis", "Desmocapsa", "Synaphris", "Mascarenhasia", "Encephalartos", "Amabrana", "Laricobiinae", "Browallia", "Macrhybopsis", "Puccorchidium", "Jiella", "Cantha", "Pedionomidae", "Heliozelidae", "Micraphorura", "Caledonica", "Cheilea", "Gironniera", "Thymelicina", "Paracrangonyctidae", "Aspidoconcha", "Cranocarpus", "Aiceona", "Chthonius", "Liosphex", "Sauvagesinella", "Hartliella", "Oscillaria", "Brunetorhynchus", "Netechmodes", "Cebus", "Philanthus", "Cabarda", "Carolowilhelmina", "Hoplizomenus", "Cubilia", "Deltocephalus", "Endophloeus", "Busoniomimus", "Llanquihuea", "Heterocyclina", "Tectariaceae", "Notiopsocus", "Collodes", "Leptostibina", "Sinoaplastinus", "Loeblioryloninae", "Adenodelphis", "Caldalkalibacillus", "Yimella", "Chilopselaphus", "Sclerothyone", "Poliolais", "Globorosalina", "Uroctea", "Saccinobaculus", "Noctua", "Macrobiotoidea", "Cinnabaria", "Neodontobutis", "Leucactinia", "Holothuriidae", "Synammia", "Halomonadaceae", "Dactylacanthis", "Spiroterma", "Tuberibacillus", "Afrophilodana", "Nigeriruggieria", "Deltonotus", "Pauciconfibula", "Autenriethia", "Charentiidae", "Tryphon", "Stygomomoniinae", "Xiphirhynchus", "Paraplesiops", "Anthrenoides", "Volucella", "Psammophiidae", "Crenea", "Cryptobacterium", "Orionis", "Marsipiophora", "Grandopronotalia", "Simplorbitolina", "Kangvarella", "Tmesiphorinus", "Williamsiaceae", "Flourensia", "Nannostomus", "Nallachius", "Vairocanamiris", "Parachaos", "Aulopiformes", "Zenonoida", "Connarus", "Opisidae", "Rudigaudryina", "Entomophaga", "Calofigites", "Microperoryctes", "Eritettigini", "Lachneratus", "Subtiloriini", "Cossus", "Melampus", "Rhaphigaster", "Brenthorrhinoides", "Enneamerus", "Dinomachellus", "Pteronyssoides", "Rhodanthemum", "Almaeninae", "Pedetropodidae", "Calognathina", "Pacisporaceae", "Stenygra", "Xeranobium", "Allocyclops", "Griseosilvius", "Sivacrypticus", "Gonioctena", "Hemiprocne", "Pontomyxa", "Bornargiolestes", "Ankaratrotrox", "Protaetia", "Togniniaceae", "Lumbricus", "Macrochelodina", "Dolichocarpus", "Pthirus", "Andrioplecta", "Brachiosaurus", "Misturaphis", "Scapanoclypeus", "Xenodochus", "Paraspidosiphon", "Uropsalis", "Sericostomatoidea", "Colpopterini", "Teratocephalida", "Asisia", "Rhizonema", "Zopher", "Compsapoderus", "Ammolabrus", "Asthenolabus", "Blennocampini", "Dillmania", "Triphoroidea", "Keratosphaera", "Patagonophorus", "Asterinaceae", "Neasterocoris", "Neohemsleya", "Triodonyx", "Luteimicrobium", "Sinodytes", "Aphagia", "Eriocottinae", "Danthoniopsis", "Diplomoceratidae", "Allosaurus", "Hornibrookina", "Pseudophilopterus", "Cacotemnus", "Patreus", "Haenianthus", "Nectomys", "Aoa", "Paranacoleia", "Peithona", "Loftusiidae", "Torvochrimnus", "Subulitidae", "Porphyriops", "Paradanielssenia", "Leuciacria", "Condrotheca", "Liburnascincus", "Palaeacanthocephala", "Galea", "Yinitidae", "Comaldessus", "Astrammina", "Orthostoma", "Barentsiidae", "Adroctenes", "Seladia", "Cyclolachesillinae", "Machaerophrys", "Planorbata", "Cryptomonadaceae", "Xyliphius", "Clitemnestra", "Eurycorynophorus", "Wombalana", "Strepsiduridae", "Aextoxicaceae", "Rinawa", "Lucicutiidae", "Vagiphantes", "Bicidium", "Nepaloscydmaenus", "Antirrhininae", "Anthericopsis", "Epimartyria", "Ungernia", "Juxtarctia", "Dyscia", "Sauropodomorpha", "Birsteiniolla", "Badenella", "Roccellinastrum", "Mycteromyiini", "Hiperleptodema", "Australanobium", "Amaioua", "Radlkofera", "Marmosini", "Erythraeinae", "Auriculinella", "Tetragonilla", "Afrotingis", "Tubiporidae", "Cavioidea", "Dyfrolomycetales", "Mediophrixus", "Oncosiphon", "Tahulalepis", "Zachrysiidae", "Pleuroclymenia", "Accacladocoelium", "Cotylegaleatidae", "Fashengocaecilius", "Lichnoptera", "Crinellus", "Hericia", "Phreatodytinae", "Chrysopuchini", "Nyctantonina", "Epicerastes", "Geplafuvirales", "Mesoniscus", "Hyacinthinae", "Tetratheca", "Craspedorrhynchus", "Actibacterium", "Romeriaceae", "Euptychiina", "Liota", "Scombridae", "Brevulacus", "Murilamprops", "Jaerella", "Ennomini", "Tovariaceae", "Eumathes", "Guttulinae", "Tineinae", "Syblia", "Boehmerieae", "Nothrolohmannia", "Angraecum", "Sinuarbullina", "Lamprolia", "Guillermo", "Katableps", "Ophiologimus", "Aristiopsis", "Perichares", "Solenidae", "Ornithoptera", "Boreogalba", "Schwenckioideae", "Rectoelphidiella", "Xiphopoeini", "Melittina", "Gastreochrea", "Metaceratodus", "Paraliparis", "Campylaspides", "Xenotyphlopidae", "Annina", "Stenogiffardia", "Pseudotrypanosoma", "Pseudarbudas", "Sphenomonas", "Trichosteresis", "Amphithasus", "Leptobatopsis", "Austromegabalanini", "Triadocupedinae", "Erdelyia", "Millereolidia", "Roselliniomyces", "Lamponusa", "Perotrochus", "Tantillita", "Nomimocerus", "Chaetodellus", "Gomphosphaeriaceae", "Thyreodonini", "Pharyngomonada", "Octonodula", "Hoplitalysia", "Stomatochaeta", "Alloesia", "Monophyllites", "Palicinae", "Paracrostoma", "Lophosaurus", "Tingitanius", "Erythrobasidium", "Aktubinskia", "Chriodes", "Apterodemidea", "Sphaerochloris", "Xanthophycomonas", "Tralichia", "Oxyrhabdium", "Ramorinoa", "Cerchysiella", "Radicitus", "Cumagloia", "Lichinomycetes", "Ophiosphaerella", "Rhinoscepsis", "Entionella", "Peteliacma", "Neviusia", "Sangicoccus", "Microporella", "Cephalopterinae", "Ligia", "Yssichromis", "Kuzminia", "Coenomantis", "Toulicia", "Phaegopterina", "Pretydeinae", "Chondropodus", "Methylacidimicrobium", "Osteostraciformes", "Diabrotica", "Xestaspis", "Toxocara", "Anisocerus", "Calosiphonia", "Haplovejdovskya", "Zoraptera", "Ceropsora", "Carcharodontosauria", "Neoceratitis", "Schinus", "Melidiscus", "Demodioides", "Sabulopteryx", "Pseudobrownanthus", "Scythris", "Zelenkaesalus", "Promanota", "Ctenocheirodon", "Pseudeminia", "Stictolissonota", "Glyphepomis", "Ditrysia", "Dairoidea", "Phycolepidozia", "Coralliophila", "Rharodesmus", "Placodontoidea", "Acanthodromia", "Notobatrachus", "Acrocyrtidus", "Orussoidea", "Dichasianthus", "Bathyzetes", "Crellastrina", "Kenyalepis", "Insthoviricetes", "Thecoscyphus", "Mechanitis", "Thermoscelis", "Aeoloplides", "Magniezia", "Conscitalypena", "Acidnus", "Aequorivita", "Cheilacanthus", "Coenyra", "Rugosana", "Polyploca", "Litoria", "Thoon", "Cyprididae", "Rhopalizida", "Torreyochloinae", "Leptocheirus", "Neolamya", "Aethiothemis", "Palaeocarpinus", "Anthomyiinae", "Austerocardiochiles", "Medranoa", "Mesotrichosiphum", "Nigrotipula", "Cuchumatanea", "Paramussardia", "Hypsotingis", "Neogeophilidae", "Mythicomyiinae", "Acanthalona", "Zangherella", "Ophidiaria", "Euastropsis", "Strabopidae", "Callicercops", "Dendrometrina", "Bonnanius", "Travassosinia", "Tungari", "Horama", "Macromphaliini", "Tangaroa", "Trigonoscelis", "Paratrephes", "Pagurapseudes", "Septatorina", "Sundasalangidae", "Fallaxlepas", "Neyraia", "Homolodromiidae", "Schizax", "Taungia", "Andwakia", "Cryptopora", "Gnathogolofa", "Hoplistoderini", "Winbrechlinia", "Cosmotoma", "Gonium", "Lopadiaceae", "Messemvriella", "Redunca", "Geitoneura", "Tasmanogobius", "Naididae", "Palmartona", "Dryadodaphne", "Mangalcoris", "Nannodota", "Garnierius", "Parapandemis", "Caenophidia", "Peragallia", "Euancala", "Clavariadelphaceae", "Setosellidae", "Saissetia", "Glyptoscapus", "Dolichos", "HLMD", "Nassula", "Metasulenus", "Lavantrina", "Aconaemys", "Sidublemus", "Lendemeriella", "Legatus", "Udea", "Milaneziamonas", "Parosus", "Septomelanconiella", "Eana", "Gurvanhelorus", "Arthrochilus", "Xenopipo", "Catacore", "Syrphoctonus", "Truphia", "Rhaphidogloea", "Paraegocidnus", "Amazohoughia", "Macrostemum", "Phaestus", "Inversocotyle", "Fecampia", "Petralycini", "Thermoflexus", "Tanyptera", "Olene", "Anarthrioideae", "Pseudoraphis", "Hughmillerioidea", "Ypthima", "Cionus", "Caffrocysta", "Basigona", "Rhynchocephala", "Protocerapterus", "Netuschiliina", "Johngarthia", "Afrodontomyia", "Heteroleptomydas", "Libinia", "Marsupialia", "Pelomyia", "Celotheliaceae", "Platygloeales", "Brachyglene", "Diplotropis", "Plebulina", "Macfarlaniella", "Ipochus", "Saperdoglenea", "Acrobolbus", "Abertella", "Altrichthys", "Atherinops", "Veprius", "Salpingothurammina", "Medera", "Dasylirion", "Urceoliporidae", "Acanthophila", "Selachochthonius", "Centrorhynchidae", "Feretia", "Thiriotia", "Passerilepis", "Drewiana", "Eupiestus", "Antennactis", "Stichianthus", "Prohemistomum", "Jenmania", "Bostrichini", "Escallonia", "Byssocorticiaceae", "Aplodontia", "Callaviinae", "Statherotis", "Peltocoxa", "Melasmothrix", "Grammositus", "Nemosiinae", "Orontioideae", "Pyramidobacter", "Lophosiphonieae", "Psilocladina", "Fryeellaceae", "Dentatherinidae", "Celonites", "Lecanorchinae", "Blattodeaphaginae", "Virgulopsoides", "Ophiomyxidae", "Bifax", "Charadriinae", "Ecballium", "Diaperis", "Haloxylon", "Yungasocereus", "Bunburia", "Phradonoma", "Eudema", "Deinotheriidae", "Typhlobythus", "Chuansicallis", "Mesotanais", "Cottesloe", "Goosia", "Juglanconidaceae", "Brachypterona", "Lepidopyga", "Helicostoidae", "Indanthidium", "Heterogamus", "Halocypridinae", "Oxyuranus", "Exonomasis", "Falseunidia", "Disepalum", "Oneirophanta", "Boreantrops", "Pereskioideae", "Coquereliini", "Obliquilingulina", "Proparadilepis", "Stoneobryum", "Glaziellaceae", "Kurtidae", "Cyne", "Fleutimelasa", "Terentiini", "Trevor", "Cetola", "Cretogeotrupini", "Unescoceratops", "Diaphorographis", "Hyalarctia", "Stygocyathura", "Anthinora", "Hexanchus", "Lacrymasphaera", "Dalitera", "Lythraceae", "Chionactis", "Mclasvirinae", "Agaocephala", "Storeatula", "Iranolacerta", "Philusina", "Eulachnini", "Isognomostoma", "Terelliini", "Laidlawia", "Afer", "Dekeyzeria", "Subscrancia", "Macroglossum", "Moneilemini", "Physena", "Hieromantis", "Caledothele", "Chamaemespilus", "Ovatomyzus", "Colobopteroides", "Pyroraptor", "Chimaerolepis", "Lloydia", "Cesonia", "Hephialtes", "Noetinae", "Paragiopagurus", "Blepharicerini", "Protopannaria", "Lemurella", "Buntonia", "Prioniturus", "Amphironchus", "Baryopsis", "Salweenia", "Leveillea", "Geothrix", "Elapognathus", "Denticipitidae", "Stysiofulvius", "Cynthiacetus", "Tescalsia", "Timocratica", "Botryochora", "Mnestiidae", "Metalimnobia", "Zoropsis", "Caligella", "Sarcothalia", "Batopedina", "Gonyleptes", "Ancharius", "Choraginae", "Xeniamia", "Segesta", "Leucophytia", "Graamocetus", "Alaothyris", "Compsistis", "Anungitiomycetaceae", "Breonia", "Moellerella", "Buckinghamia", "Australopacifica", "Notiomimetini", "Dinolestes", "Sanfilippia", "Liladownsia", "Luzonobasis", "Paradriopea", "Projapygidae", "Allopulvinaria", "Homosetia", "Ufeus", "Lantzodes", "Axinella", "Neorautanenia", "Chiapadytes", "Tanaopsidae", "Chlorobia", "Uribea", "Pseudococcomyxa", "Colymbotethidae", "Bangiomorpha", "Anisogomphus", "Strongylopterus", "Tettigonioidea", "Gekkotaenia", "Proterogomphidae", "Amplisiphonia", "Habronematidae", "Lycostomus", "Neorubra", "Benthosuchidae", "Uroballus", "Paracimmerites", "Motacilla", "Dolichocolpodes", "Hemanthias", "Abyssocladia", "Stenorynchoacrum", "Atriplex", "Protohelius", "Turrillia", "Wollomombi", "Theliopsychinae", "Listrocerum", "Blastophyllis", "Cristaphyes", "Sommaia", "Actinoleberis", "Xenisthmidae", "Psilodontria", "Sarcoptoidea", "Catullia", "Scatogenus", "Diastictis", "Allothele", "Montrouzierella", "Clubionidae", "Scodionygini", "Haliea", "Syzetoninus", "Phasianella", "Apseudidae", "Daemonosaurus", "Neoastelia", "Perryenidae", "Neritopsinae", "Notochthamalinae", "Rhabdoptera", "Heterolagynion", "Irrasinus", "Proshkinia", "Monachaini", "Blenniidae", "Cyclestherida", "Pseudotramea", "Kiisortoqia", "Archemitra", "Peltandreae", "Aeglocryptus", "Laoterinaea", "Entransia", "Thelastoma", "Elektra", "Rhynchophryidae", "Holcocerus", "Orthotrichaceae", "Hapalips", "Rectocornuspira", "Heissia", "Euschemon", "Theodorites", "Psoroptinae", "Diplomeri", "Ghikaea", "Brachypronomaea", "Eriophyoidea", "Symphytognatha", "Berninelsonius", "Tropidia", "Sididae", "Platyhydnobius", "Gomphocerini", "Protorhyssalus", "Aquisalibacillus", "Lithochela", "Bryowijkia", "Twinforksella", "Procystiphora", "Strabotes", "Mendozachelys", "Elbamycella", "Maclurochloa", "Bolyphantes", "Notanthidium", "Thysanorea", "Laenagenius", "Thysanosoma", "Discogorgia", "Mesembryanthemum", "Prostacheoceras", "Pseudogeniates", "Mesogyna", "Hyperaeschrella", "Chrysobatrachus", "Parornichinae", "Aglaonice", "Helvetiavirae", "Eudimorphodon", "Termatodiscus", "Laminosioptidae", "Oxypappus", "Ceroxylon", "Pithauria", "Nialus", "Poeltidea", "Hemarina", "Amyelois", "Luciellidae", "Heterosphaeridium", "Chitinispirillia", "Praelateriidae", "Parulidae", "Trichosanthes", "Cantharospyris", "Zeadalmodes", "Hirstionyssidae", "Eucoenogenes", "Dahurochorista", "Lapara", "Trogium", "Vascoceratidae", "Agistemus", "Boschitestella", "Barynotus", "Karanisia", "Chironeura", "Mantellisaurus", "Shinkaiya", "Nubeculopsis", "Boa", "Mackaya", "Dumortiera", "Gerontini", "Synhalcurias", "Haliangium", "Urosporidium", "Hormonotus", "Cherentes", "Melanocypha", "Orthocephalus", "Jupiaba", "Hapalogymnes", "Protophallaceae", "Opisthoprora", "Methioeme", "Apterosperma", "Drilophaga", "Euryscytophora", "Platyophryidae", "Vishnuloka", "Kolwezia", "Anomologa", "Stratiomyinae", "Josa", "Ischnochlorops", "Micropodisma", "Lampadaria", "Changium", "Otostegia", "Cochlorhinini", "Rigidocortex", "Stichocibicidinae", "Metrocoris", "Neoacrenhydrosoma", "Negombata", "Neothais", "Freytagolidia", "Pseudocymophorus", "Congoglanis", "Zilus", "Chloridoideae", "Metapterini", "Sphaeralcea", "Notocactinae", "Lacinius", "Strombiola", "Agitata", "Monococcus", "Sporolactobacillaceae", "Murphydoris", "Archiasterella", "Perdicula", "Annettella", "Aphyonidae", "Heterothyone", "Planaturus", "Cypridinodes", "Nakadaella", "Dicoides", "Gypsoplacaceae", "Misagria", "Cercartetus", "Waitomophylax", "Allomelita", "Spongospora", "Lenomyrmecini", "Viseina", "Tomigerus", "Cuspitegula", "Asclepiadinae", "Neodevriesiaceae", "Histopona", "Margarellinae", "Hedraites", "Epimicodema", "Alloeoderes", "Megaspilinae", "Zophodiodes", "Phaeophyscia", "Tubariella", "Lobobunaea", "Thermomicrobiaceae", "Ulearum", "Afromenotes", "Novokatianna", "Allencyrtus", "Eubordeta", "Araucophlebia", "Chodatellopsis", "Apocynoideae", "Laufeia", "Chilenomyia", "Dyscritothamninae", "Zornia", "Oxypteron", "Zoolrecordia", "Deltaspis", "Cecidomyiidi", "Acaeniotyle", "Ennomos", "Agitococcus", "Metopella", "Andamia", "Kerona", "Heterocheylus", "Oreonympha", "Koenigia", "Sanango", "Hemiurinae", "Kareya", "Platyias", "Veitchia", "Hevea", "Eolycosa", "Parapetalotricha", "Ascodipteron", "Forbesichthys", "Webervanbossea", "Johnsprentia", "Atractotrematidae", "Ocalemia", "Gymnasio", "Auratiopycnidiella", "Botrydiaceae", "Atelostomata", "Dolichodasys", "Stichelia", "Asheidium", "Antrosagittifera", "Phaeoappendicosporaceae", "Tristix", "Pseudelaenia", "Rubrobacteraceae", "Cosmopelma", "Monodopsidaceae", "Acanthotritus", "Artemita", "Buckollia", "Duffyoemida", "Platycercini", "Stegomyrmex", "Eurydonota", "Ostryocarpus", "Acanthaleyrodes", "Chilotilapia", "Atlantasellidae", "Dictyochrysa", "Indosquillidae", "Charideinae", "Thylacandra", "Poxviridae", "Hexascytina", "Himeroconcha", "Rhachomyces", "Santiria", "Empedocles", "Stakelama", "Asteriscium", "Rhizoecidae", "Acrocercops", "Isothecium", "Neoplynes", "Notothlaspi", "Pupalia", "Spongophyllum", "Sarcotoxicum", "Enterobius", "Phlogacanthus", "Lophogonus", "Ustyurtiidae", "Eriopisella", "Platypezina", "Campanile", "Calcivertellinae", "Simiscincus", "Ctenoptilum", "Ctenoberta", "Oxyuridomorpha", "Sphagnales", "Copridaspidus", "Leptaxini", "Austrorossia", "Galeropsis", "Microsania", "Vulgichneumon", "Wuchereria", "Rhodospirillales", "Nodosininae", "Neonerita", "Kuafu", "Tyrannopsis", "Chironectes", "Monoleuca", "Pachyneuridae", "Oborocoleidae", "Triammatus", "Gluta", "Loheria", "Afropone", "Dicanica", "Pseudoerythrocladia", "Laguncularia", "Allochotes", "Trichemeopedus", "Euriphene", "Actenochroma", "Gorsachius", "Caulobacter", "Philaeus", "Rajoidea", "Mayrornis", "Pityopsis", "Tubinellinae", "Apaeleticus", "Pseudoconlarium", "Scaropsia", "Paraphacodes", "Didonica", "Afurcagobius", "Australocyon", "Lepidocyclininae", "Droogmansia", "Cyathus", "Aloencyrtus", "Liocuna", "Epigrapsus", "Mukdeniamonas", "Megapodius", "Hylaeogena", "Paranarychia", "Malpighiales", "Triphaena", "Pacindonus", "Haplidoeme", "Desulfurococcaceae", "Dimeroceras", "Myrmornithinae", "Dictyochloris", "Colpotrochia", "Alachnothorax", "Plagioporinae", "Cisseicoraebus", "Aragonella", "Prochola", "Lepicerus", "Omox", "Apiconoma", "Bivalgus", "Emelianthinae", "Drummondia", "Quintiniaceae", "Bathyaploactininae", "Notiomystidae", "Chitinimonas", "Sargus", "Australurus", "Monteithostolini", "Papuacocelus", "Austromuellera", "Eestilepis", "Hololeprus", "Paroeax", "Pavieia", "Junoniini", "Geosporobacter", "Melanoplinae", "Ardenticatena", "Mahnertozetes", "Corcorides", "Sycamina", "Leptometra", "Loxotrochis", "Makarora", "Triannulata", "Kevanemobius", "Daphniphyllum", "Chloromonadina", "Proditomus", "Rhabdeurypon", "Leptolebias", "Musbrnoia", "Chloroperla", "Acanthomunna", "Transancistrus", "Asymphorodes", "Mimathyma", "Liodocistela", "Physula", "Anaglyptini", "Mambarona", "Barberiella", "Trysimia", "Ictinogomphus", "Patellifolia", "Erionella", "Phrissomorimus", "Diphucephala", "Primula", "Centrosema", "Lichenodraculus", "Fidalgomonas", "Ornithoboea", "Ariagona", "Soortia", "Dinopercidae", "Cornechiniscus", "Scleraxonia", "Juglans", "Mawsonema", "Stenolemus", "Synanthedon", "Circaeaster", "Ambisporaceae", "Olax", "Oberthuerellinae", "Xanthodasythyreus", "Reticulotaenia", "Burmeia", "Labedella", "Leptomastax", "Cassinia", "Hepeviridae", "Africadesha", "Monotrichobdella", "Henicocnemis", "Toxochelys", "Doratura", "Exila", "Enoplosus", "Crotophaginae", "Pentiliini", "Solibacteraceae", "Euhiracia", "Arhabdosia", "Xenita", "Armadillagraecia", "Tropiduchini", "Ammannia", "Neoericydeus", "Borgarenia", "Chroicoptera", "Parathyridariella", "Bittacomorphinae", "Calotriton", "Medasina", "Agathymus", "Colletoecemateae", "Cymonomidae", "Barapasaurus", "Phreatoicidae", "Quadrivisio", "Intrapredatorus", "Callibia", "Heteropriacanthus", "Nonionidae", "Sorhagenia", "Fimbriidae", "Diplocirrus", "Potosiomima", "Thorsonia", "Launaea", "Pteromalidae", "Clitenella", "Austroclima", "Aphrodini", "Orontobia", "Aphandra", "Dactylis", "Subularia", "Termidonia", "Chondrulini", "Pfenderina", "Bilabria", "Juncorrhiza", "Serpentovirales", "Genypterus", "Crenuchus", "Lynchellidae", "Phyllotrella", "Lemuriformes", "Liosarcophaga", "Pseudarcicella", "Armodoris", "Pleusirus", "Gelidatrema", "Jugogammarus", "Euprotaetia", "Lingulamoeba", "Sideractiidae", "Tigrioides", "Eurystyla", "Phortus", "Paoligenini", "Sinobracon", "Microxylobiini", "Oregonichthys", "Legendrena", "Eridachtha", "Pleustes", "Corethrodendron", "Pseudiglyphus", "Actinodinea", "Chroodiscus", "Nabepselaphus", "Clestobothrium", "Crocidiinae", "Trichacoides", "Padilla", "Batocnema", "Iamiaceae", "Protelura", "Subergorgia", "Lawrencerosus", "Eogynodiastylis", "Mirobaeus", "Trichopothyne", "Azelinini", "Holophryidae", "Marcania", "Cerylonid", "Mammutida", "Uranocoris", "Lagena", "Antiplotanais", "Deherainia", "Halodule", "Eurydice", "Lobanilia", "Phylloneta", "Sinocharinae", "Chiapaheros", "Dysphaniini", "Sciatherellus", "Ussara", "Pagurisaea", "Gigartina", "Stylinodontidae", "Dorbignyolus", "Victorelloidea", "Hecyroides", "Neokarlingia", "Metanephrops", "Elipsocidae", "Opisthodontia", "Anasillus", "Planchonella", "Elapotinus", "Phyllolohmannia", "Novobrachylepis", "Touwiodendron", "Virgularia", "Polyplacidae", "Doru", "Cretorabaeus", "Coleotichus", "Pyramidoptera", "Damiria", "Hyperaspis", "Thaumatophyllum", "Schoutedeniella", "Luteocirrhus", "Desfontainesia", "Exochorhynchites", "Simaroubaceae", "Mesothen", "Nagoricanella", "Trisopsis", "Porricondylini", "Vorapourouma", "Anigsteinia", "Hiekesia", "Xenodice", "Neomusotima", "Xyeleciini", "Podalonia", "Araphonotos", "Hyperthermus", "Ceratognathini", "Conorboidoidea", "Bartholomea", "Dorcadiopsis", "Yorknia", "Helenanomalon", "Microprosthema", "Totta", "Cembalea", "Papuechites", "Gulou", "Algia", "Badister", "Nucleocytoviricota", "Bothriocroton", "Thomintarra", "Eleodimerus", "Gobekko", "Emaga", "Cryptomeigenia", "Aphanosoma", "Physcomitrium", "Typophorini", "Outeniqua", "Neohylus", "Cushmaniella", "Thorea", "Basispora", "Camptosaurus", "Neurocordulia", "Latimbus", "Leptogenonia", "Japonolycodes", "Spectronissa", "Orthoseira", "Pseudothrix", "Pseudoberkleasmiaceae", "Joppa", "Stuoraxidae", "Baisarabaeus", "Rotadiscus", "Acanthoprocta", "Bomarion", "Unicohormaphis", "Bythonesiotes", "Trachicephalus", "Cossutia", "Wardamanocoris", "Meluchamixia", "Ironeus", "Echinocactus", "Vimba", "Brachypanorpa", "Kalyptorhynchia", "Amphelarctia", "Handlirschia", "Arachnocorallium", "Anomalopsychidae", "Burara", "Rhynonirmus", "Halophytophthora", "Ptychoceratodus", "Archaias", "Vaughanina", "Episyron", "Psegmatopterus", "Pseudotydeus", "Darwinulocopina", "Phrynetolamia", "Mitrastemon", "Enema", "Notocoxelus", "Endeixis", "Phrynosomatinae", "Ramitia", "Sphaerularia", "Incrustatus", "Trachydini", "Calicasphaera", "Apsectrotanypus", "Medeolariales", "Cladarctia", "Bruceopsis", "Iocoris", "Brachysira", "Nevrorthus", "Melphidippella", "Orcularia", "Teleocichla", "Friesella", "Anonaspermum", "Paratrechus", "Neolimnomyia", "Cochylini", "Tipimegus", "Deretaphrini", "Palirhoeus", "Zoegea", "Tontonia", "Aplocheiloidei", "Linaria", "Destinoides", "Verophasmatodea", "Paratrypanius", "Endohyalina", "Eulimulodes", "Haloquadratum", "Chlorogenia", "Truncatomeria", "Sediminivirga", "Terraphagus", "Cnodocentron", "Hypostomus", "Anatolidion", "Notodascillus", "Fluvicolinae", "Fothergilla", "Nemozara", "Leptrichillus", "Henicophaps", "Nannometoicoceras", "Allophrys", "Gymnophycus", "Eadya", "Letholycus", "Corynebacterium", "Heterosphaeriaceae", "Myxillodoryx", "Mephitis", "Platylimnobia", "Tentablabus", "Bembidium", "Paractium", "Thamnoldenlandia", "Osorius", "Lyrellales", "Phocoena", "Laphriini", "Cerianthus", "Barysomus", "Discosporangiaceae", "Echinopogon", "Achanarellidae", "Thricolema", "Lechorodius", "Pleurosigmataceae", "Rhogasella", "Theligonum", "Chactidae", "Pseudopoecilia", "Phytomyza", "Craspedus", "Tasmanillus", "Parydrini", "Podovalgus", "Cnemargulus", "Theneidae", "Pararamusella", "Palaega", "Cyrtus", "Macropophila", "Scrapter", "Leptognathina", "Prochydoridae", "Microcalicha", "Lansium", "Lanceoppia", "Projoppa", "Dicodia", "Vulcanocalliacinae", "Galbellinae", "Apogon", "Pseudafroneta", "Paralampadena", "Sardina", "Zaeeroides", "Pronoidae", "Fuegiphoxus", "Leptapha", "Archeoboldoria", "Mayiellidae", "Ceratempis", "Guadana", "Ceratostomataceae", "Monostoma", "Chamaeza", "Hastigerinopsis", "Ravenna", "Cymaenes", "Antillanthus", "Huberopappus", "Myleustrema", "Hylonycta", "Vihualpenia", "Alierasaurus", "Seguenziini", "Aztecalecanium", "Arctocypris", "Pseudothelphusoidea", "Gnaphalostoma", "Gazia", "Pleurodasys", "Basasteron", "Arnaldoa", "Proansomys", "Gomphonemopsis", "Dysdera", "Bombycomorpha", "Atyoidea", "Cressdnaviricota", "Bubo", "Viridictyna", "Elytrophallinae", "Omotes", "Canscora", "Saccocamera", "Physokermincola", "Ymerana", "Jumnos", "Trichocephalus", "Cribrostomoides", "Trilophidia", "Xenospora", "Punctozotroctes", "Bothriomolus", "Gymnocephalus", "Ugoa", "Halicryptomorpha", "Camptoscapus", "Strelnikovia", "Mirounga", "Cornuphallus", "Caryodendron", "Affeldococcus", "Nepalinus", "Melanotaenioidei", "Thalia", "Rhyacodrilus", "Limulina", "Cybaeodes", "Teratocapsus", "Aegocidnexocentrus", "Anisogammarus", "Paramanota", "Psilodera", "Hiroa", "Nothocolus", "Paramombasius", "Zygethobius", "Stenolepis", "Taibaiella", "Melanorosaurus", "Acanthonotozomella", "Dorcaschematini", "Rostanga", "Halisarcidae", "Trochocercus", "Charadronota", "Tetramorium", "Stegocephaloidea", "Mixtecalia", "Haemopidae", "Gnephosis", "Glyphothecium", "Podotricha", "Porrhodromus", "Ferinestrix", "Choeromorpha", "Zirosaris", "Odontoxenus", "Haramonas", "Argiloborus", "Pediculariini", "Microdinarda", "Psammosilene", "Petasosella", "Neophysopella", "Elaptoides", "Dactylosaccus", "Araripogon", "Eulithis", "Micrococca", "Chremylomorpha", "Acipenseriformes", "Decazyx", "Cyphococcini", "Stereocerus", "Dasytropis", "Picroxena", "Viroids", "Anneckella", "Gromphadorhina", "Owra", "Afroquediina", "Bobgunnia", "Scholzia", "Scapanulus", "Micurus", "Graffillidae", "Bruinsmia", "Thermoleophilia", "Colpodella", "Anacypta", "Cicuiara", "Caeculidae", "Pheraeus", "Anaerosalibacter", "Dorstenia", "Eniochobothriidae", "Chinianella", "Bengalus", "Echthronomas", "Lepidosperma", "Ctenoceratoda", "Charicera", "Earlandia", "Palaeobruchidius", "Neocytherideis", "Ancistrotilla", "Physconelloides", "Warrea", "Carcinocephalus", "Jianchangopterus", "Chapmanina", "Asceua", "Oreodicastes", "Allarescon", "Artchawakomius", "Calamactinia", "Paratanus", "Malleochloris", "Forchhammeria", "Agauopsis", "Methyloacida", "Iphionopsis", "Opilioacarus", "Heteropterygini", "Podactinelius", "Tornoceratidae", "Leuckartiara", "Dubatoloviana", "Colomastigida", "Iosactinidae", "Kormilevia", "Spermophora", "Lacantuniidae", "Trachagathis", "Zeiariae", "Zenoteratus", "Coscinodon", "Gladius", "Sutonocrea", "Laterohiatus", "Fumonelix", "Bacteridiella", "Acanthaegilopsis", "Spinirta", "Meiodiscus", "Ptilonyssus", "Nicephellus", "Halarchon", "Aristaveninae", "Epilohmanniidae", "Leidya", "Microsphecodes", "Epiara", "Sechellophryne", "Uracentron", "Himantothallus", "Halesia", "Austrofromia", "Cambaracanthus", "Pyuridae", "Litoribaculum", "Cyclolepis", "Forbesiceratidae", "Panstenoninae", "Thamnocephalus", "Drymoanthus", "Spananthe", "Mitella", "Proauriculastra", "Pseudoiasvia", "Pseudozygopleuroidea", "Epalzeorhynchos", "Pannuceus", "Amyciaeini", "Ergasilidae", "Calliduloidea", "Rienitsia", "Austroboletus", "Prionocara", "Scleropterini", "Glomerella", "Claosaurus", "Diplatia", "Thanasimus", "Hymenolobium", "Extremypena", "Typhloscopaeus", "Chlorangiogloea", "Euglenoida", "Saheloryx", "Amphicarpum", "Tectocepheidae", "Archaealveolina", "Habronema", "Rocasaurus", "Erythroglossum", "Lacedo", "Anaxagorea", "Saccammina", "Stenolaemata", "Palombiella", "Dextellia", "Pseudotiron", "Calocybe", "Rhytidiella", "Mengeaphis", "Nonomuraea", "Calochortus", "Scutus", "Rostrobagatus", "Phanus", "Lipastrotethya", "Tsaiorchis", "Chileranthemum", "Hemileuca", "Taeniorrhiza", "Lankesterina", "Gyrocochlea", "Oxygonia", "Meryta", "Formicinae", "Coiffaitia", "Araeostoma", "Azelus", "Phellinaceae", "Gecarcinucus", "Chlorobotrys", "Nannoplecostomus", "Dasyblemma", "Oligactis", "Antennella", "Hypoxis", "Apophthisis", "Tryphosinae", "Guarania", "Macrochlamys", "Promachus", "Parajaminaea", "Coloborhynchus", "Lampanyctophilus", "Stegosyne", "Galgula", "Ripersiella", "Eoeponidella", "Austromyrtus", "Eucryptusa", "Chondrostegoides", "Macroretroides", "Pogonodaptus", "Stenopsychodinae", "Proatriplex", "Callianthe", "Moroteuthis", "Erebomorpha", "Lobochilotes", "Diceroprocta", "Boreallodape", "Ophiochasma", "Toxeus", "Athoracophoridae", "Saramel", "Horagini", "Rickettsia", "Achalinus", "Spinosantia", "Boudinotodes", "Juxtephria", "Otothyrinae", "Osculotes", "Alepas", "Eurybrachidae", "Microdalyellia", "Afroguatteria", "Bamona", "Brenania", "Orthasterias", "Stegocephalidae", "Periphoeba", "Asadipus", "Neischnus", "Sphenoma", "Acianthus", "Solaropsidae", "Chloraster", "Osgoodomys", "Dasyangea", "Dicasteris", "Mimodorcadion", "Chromerida", "Cleidochasmatidae", "Algirosphaera", "Metisella", "Onoclea", "Flabellula", "Leucon", "Synaphobranchidae", "Aphantochilinae", "Achillini", "Schizothecium", "Ceratiocaridina", "Caystrini", "Otidoecus", "Anaerorhabdus", "Caridae", "Lysapsus", "Caucasalia", "Sacciuterina", "Warioniinae", "Protinodes", "Beronia", "Rhiganthura", "Coleus", "Ichthyocampus", "Valvaribifidum", "Bischofieae", "Chryseolinea", "Dexia", "Kailasius", "Caryedon", "Oeselia", "Sinurothoe", "Homostinea", "Myobarbum", "Orientilimnesia", "Rifargira", "Roboastra", "Synostemon", "Aldrovanda", "Haliplectoidea", "Criniferinae", "Epunda", "Pyralini", "Caledopsyche", "Ophiomusina", "Cyclaspis", "Litopterna", "Floresorchestia", "Minasmiris", "Pseudoplanocera", "Heliciinae", "Arachnothryx", "Pimenta", "Thersamonolycaena", "Amphimela", "Linguacicada", "Ambitus", "Leptoxyleborus", "Sanguinicola", "Musapsocoides", "Chileoptilia", "Amicus", "Amiinae", "Cathariostachys", "Sinopeltis", "Aphelidiopsis", "Typhleotris", "Languria", "Testaceafilosia", "Copaifera", "Anolis", "Paranemachilus", "Alkalinema", "Syllitosimilis", "Machairodus", "Johnlongia", "Ktedonobacterales", "Pierinae", "Echdysia", "Charmontia", "Anitys", "Omicrini", "Paradinida", "Graecobolanthus", "Bullisichthys", "Polycheira", "Wiedemannia", "Rhoikoneis", "Cariua", "Sperchontidae", "Perisphincter", "Reducturus", "Marmottania", "Sphaeronemoura", "Orientamaurops", "Sachtlebenia", "Parexarnis", "Austrocrangonyx", "Xanthomarina", "Brachytarsomys", "Trachyphilina", "Australostolus", "Hedlundia", "Zosterius", "Aplanocalenia", "Xenomussardia", "Mellivora", "Woodwardia", "Lipinella", "Babka", "Ritonia", "Zinia", "Leiocephalus", "Asiacaris", "Amborotragus", "Ancala", "Characiella", "Spinariina", "Heliodinidae", "Sasaokaea", "Hermanniella", "Anacyclus", "Salacia", "Douvilleiceratinae", "Neoclytus", "Oreocomopsis", "Parahelicoprion", "Oman", "Miyagiella", "Pyroglyphidae", "Parastrachiidae", "Zygosepalum", "Phitycolax", "Xenodon", "Neoplanorbini", "Monodiexodina", "Hydrophilina", "Callipielus", "Trochilidae", "Simous", "Trachelophyllidae", "Joeropsididae", "Marchalinidae", "Glochiococcus", "Halurina", "Cyanobium", "Sabellariidae", "Ploesoma", "Metalliglaucytes", "Haywardozoonoidea", "Tomoxia", "Blindia", "Throscoptiloides", "Apochimini", "Stiriina", "Stenia", "Parathyginus", "Pertusaria", "Cyclopygidae", "Choctellidae", "Montana", "Ateleopus", "Eugregarinida", "Tiliacea", "Sparganopseustis", "Cavichiana", "Paravulpeculella", "Homostoma", "Nesosmodicum", "Leptocylindrus", "Eofusulina", "Iniocyphina", "Mamilloecia", "Pitthea", "Anthostomella", "Pseucyon", "Seyrigichneumon", "Cruziohyla", "Sphictostethus", "Juraheterophlebia", "Cociella", "Zetaproteobacteria", "Xenophilus", "Troglophilus", "Rhabdothamnopsis", "Batesia", "Kiwialges", "Hunkelepis", "Gnetales", "Itara", "Aciachne", "Forelius", "Dendrophilus", "Radamides", "Vetulicolidae", "Nafonus", "Anametopochaeta", "Chaetomellaceae", "Angustibracon", "Scaptorus", "Rhyacoschistura", "Gibasoides", "Trinorfolkia", "Parahelle", "Caecijaera", "Stenopterus", "Deguernea", "Parabambusa", "Priveae", "Dalmataphaenops", "Myrrhinidae", "Saitobryum", "Rhynchostele", "Homalieae", "Leptobyrsa", "Cyptocephala", "Phthanotrochidae", "Caucasaphaenops", "Athrotaxis", "Jaekelaopterus", "Tharybidae", "Uropetala", "Parahyparrhenia", "Microtripus", "Eponididae", "Acanthonotozomopsis", "Neohelluo", "Rhapsodica", "Anatolipora", "Halocyprida", "Ctenosciaena", "Acroglochin", "Callitroideae", "Notiosciadium", "Logaeus", "Semelaspidus", "Montanapis", "Carinophilharmostes", "Cambrothyra", "Altagrotis", "Sloaneana", "Axiogastia", "Cypridinae", "Acanthodoryctes", "Thoracotusa", "Horneridae", "Magnaporthaceae", "Empusinae", "Beroniscus", "Emypsara", "Capnodis", "Filetia", "Embidopsocus", "Concornis", "Dimerus", "Palaeophyllitidae", "Robbauerales", "Phlogicylindriaceae", "Odontotermes", "Ozognathus", "Doerpfeldieae", "Gongylidiellum", "Eucatopini", "Phytalmiini", "Eligminae", "Aetholagynodes", "Fumariola", "Ophthalmitis", "Thymopides", "Mespalerus", "Lassalleianum", "Monoplistes", "Pariah", "Exopholis", "Cicadinae", "Vernevania", "Absonifibula", "Thoreaceae", "Humboldtianinae", "Bangiaceae", "Ambavioideae", "Karoophasma", "Geckonia", "Neodryinus", "Ibervillea", "Oncometopia", "Thalassocnus", "Duranta", "Spathicopis", "Bordasia", "Allodaposuchidae", "Glyphinaphis", "Trogonophis", "Thabina", "Leptocerinae", "Acidovorax", "Cottinella", "Pratylenchoides", "Atanygnathus", "Acroceronia", "Polycheloma", "Garantellinae", "Diacranthera", "Tylodinidae", "Echinopla", "Electroisops", "Trihaloragis", "Paradesisa", "Conotrochamminidae", "Lucinoidea", "Strepuntalna", "Iteaceae", "Morimotoa", "Protobothrops", "Coleroa", "Gomontiaceae", "Ctenidae", "Bifiduncus", "Eumecichthys", "Cedicoides", "Seohaeicola", "Masonhalea", "Pollenia", "Amphizygus", "Miotemna", "Aoroidea", "Magnirostris", "Cyathaspididae", "Potamolepidae", "Enkentrophaena", "Dictyoneis", "Episcapha", "Hermanellina", "Pulsatilla", "Striga", "Nebulene", "Rhathymini", "Aeminium", "Neurobathra", "Lanugo", "Peptoclostridium", "Nyctibatrachus", "Apozethopsus", "Friedmanniella", "Macandrewella", "Lindra", "Hoplaster", "Sophoreae", "Sylvisorex", "Diooeae", "Prionocypris", "Compsocryptus", "Adinomonas", "Sawamuraia", "Pachycysta", "Mehravermis", "Maja", "Scelotrichia", "Noctuini", "Collozoum", "Dendrochaetus", "Phaenostictus", "Eigia", "Adlardia", "Suzukia", "Archipelagoplana", "Corispermoideae", "Robertonella", "Myolepadidae", "Torynorrhina", "Olpidiomyceta", "Archiscydmaenus", "Dacnusites", "Opisthadeninae", "Thalassocalyce", "Sphaerodictyaceae", "Desulfoconvexum", "Micrasepalum", "Longicella", "Convextrocerus", "Chersotis", "Eudaemonia", "Lewisiellinae", "Tauraco", "Skyttea", "Quasipenetretus", "Necrosyrtes", "Zavreliina", "Lepyrodiclis", "Ipepo", "Pleonomini", "Meunierini", "Hydrocenoidea", "Beltheca", "Rhytisternus", "Iguanura", "Latiscopidae", "Panoquina", "Trichosalpinx", "Phacellocera", "Thalamoporelloidea", "Balbaridae", "Parastromateus", "Paroplandria", "Avernes", "Brooklawnia", "Dendragapus", "Protogrypa", "Cervera", "Macromphalus", "Valtissius", "Mangarinus", "Chereas", "Streimannia", "Nodophthalmidium", "Kubilaya", "Semaeostomeae", "Priapella", "Pelicaspongiidae", "Euagrus", "Euplynes", "Lucuphilus", "Diogma", "Euryhelmis", "Planapamea", "Acuponana", "Icmadophilaceae", "Colymbetinae", "Glypharthrus", "Tachypleus", "Otacanthus", "Epiprineae", "Coryphaenoides", "Pittoniotis", "Plocamiaceae", "Hypogastrura", "Carlquistia", "Allommatus", "Neohyparpalus", "Ferulopsis", "Rhodinia", "Pictilini", "Cryptorites", "Striatovertex", "Tetratermini", "Cleradini", "Allanagrus", "Micrommatus", "Austrocalea", "Psittoecus", "Opalomyxa", "Stuartina", "Pleocomidae", "Stegnospermataceae", "Ramecia", "Heliopsalta", "Abyssotherma", "Chrysaperda", "Phelodinium", "Sphagomyia", "Hennobrimus", "Zymaus", "Agathidium", "Notictis", "Malephora", "Isonidae", "Crystallospora", "Leucettusa", "Pseudoparrellidae", "Lansbergia", "Megavirales", "Disiphonia", "Phloeozeteus", "Asteroarchaediscinae", "Thalassiosirales", "Centrogenyidae", "Assessor", "Spiropsammia", "Helostomatis", "Protentomidae", "Porobelba", "Labenini", "Paranephrites", "Eustigmaeus", "Kertomichthys", "Psectraxylia", "Masona", "Phyllosiphon", "Pseudoolenoides", "Chondrichthyes", "Pettalus", "Phanolinopsis", "Nothronychus", "Tracyllaceae", "Tetracilia", "Indomelothria", "Lophodiniales", "Clasis", "Plesiotrygon", "Lestremiini", "Menoponidae", "Cystobacter", "Sinocallipodidae", "Domitia", "Hexalectris", "Thymalini", "Bredocaris", "Natronoarchaeum", "Pterocladia", "Macrotera", "Casiphia", "Cobososia", "Cneoroideae", "Sphenorhina", "Nandidae", "Kantipuria", "Ectatosticta", "Cryptobatrachidae", "Eocarida", "Thienemannimyia", "Systasea", "Wittenagama", "Houzhenzia", "Helicigona", "Photosella", "Pteronisculus", "Obrieniolus", "Temnocephala", "Pannus", "Erinaceialtica", "Canibacter", "Shivajiella", "Monodontidae", "Pterocarya", "Hystrichonyssidae", "Maula", "Acideres", "Falsomesosella", "Teclaiidae", "Strombulidens", "Proparachaetopsis", "Rhaptophasma", "Aulosphaeridae", "Garganoclupeidae", "Bevocastria", "Sanderella", "Selimia", "Abrytasites", "Malawinophylla", "Paraquadrula", "Panesthia", "Hydrogamasellus", "Chlorokybus", "Liophryne", "Archicebidae", "Colacium", "Qadria", "Canuelloida", "Pseudoroegneria", "Lariophagus", "Machaeracanthus", "Heteronychia", "Scopaeina", "Macrocilix", "Phloeonomodes", "Boreostolus", "Xyrophoreus", "Thermoplasmata", "Comparettia", "Toxotidae", "Reithrodontomyini", "Iaquira", "Pilodermataceae", "Termiticola", "Hanguana", "Archeomyotes", "Mastacina", "Salinicoccus", "Seuratiaceae", "Mesonauta", "Troglocladius", "Dasypodidae", "Metadevescovina", "Tachytrechus", "Stenoperlidium", "Dardarina", "Didymogonyx", "Fennahiella", "Cecidomyiidae", "Lanatopyga", "Callidosoma", "Epharmottomena", "Actenodini", "Pachypsyllinae", "Camelobaetidius", "Catenotaeniinae", "Scipionospora", "Zacynthus", "Polyblepharides", "Malvana", "Araucanomiris", "Goldmanella", "Medinilla", "Atrax", "Trichohyllisia", "Luzoniella", "Hoplatria", "Pachyrhizus", "Poratria", "Triplasia", "Coptorhynchus", "Parealda", "Nipponaphidini", "Oricymba", "Cloesia", "Plectromerus", "Planospirodiscus", "Dichopelmus", "Megaelosia", "Amblyrhiza", "Paraliales", "Conlephasma", "Pannellaina", "Koordersiochloa", "Warnantella", "Synxenoidea", "Iraqia", "Chlorokremys", "Phyllantheae", "Limnophilinae", "Proteinini", "Tyloperla", "Atrinia", "Asteristion", "Nyctagineae", "Glissandra", "Triplasis", "Excorallana", "Campanula", "Anzina", "Cervicoris", "Vulcanophilus", "Anatinae", "Poliolimnas", "Ischnodora", "Dactyleurys", "Verticordioidea", "Chiococceae", "Baltichaitophorus", "Mantini", "Bathyopsurus", "Phormidesmis", "Tunavirinae", "Tolumonas", "Sinotites", "Phaecadophora", "Teratocephalidae", "Rostratulidae", "Mythicomyiidae", "Kizakimonas", "Facitrichophora", "Oscularia", "Oligotrichea", "Pararctonoella", "Pterolichoidea", "Cardiophorinae", "Valeseguyidae", "Oreopteris", "Ophiothauma", "Loudetia", "Nesameletus", "Ecitonia", "Cyphophoenix", "Archocamenta", "Polygonifera", "Labrifer", "Kalathomyrmex", "Pseudobironiella", "Uaru", "Hadrorhyparus", "Actenoides", "Forficuloecus", "Parancala", "Aprosdocetos", "Nankinella", "Zanobatidae", "Extriplex", "Marshalljohnstonia", "Pavlova", "Paratybe", "Pachycnemoides", "Globulospinella", "Chthonomonadales", "Glandulinoides", "Ptychomya", "Neriidae", "Voltzia", "Terapon", "Epicrionops", "Abrohadeocoleodes", "Townesia", "Nelcynda", "Vitrimurellidae", "Schizoglyphidae", "Xoridinae", "Mesophlebiidae", "Botrucnidiferidae", "Flammeovirga", "Lysakia", "Sentusidinium", "Lygurella", "Coraia", "Bicava", "Dasychiroides", "Planispectrum", "Powellinia", "Vladilepis", "Isoodon", "Platorchestia", "Physetophallia", "Conderini", "Anastaticeae", "Tineolamima", "Chalkopyxis", "Helicops", "KUHE", "Archaeoglobi", "Heterogorgia", "Bulliinae", "Miltogramminae", "Bryantia", "Dolichostyrax", "Nannizziopsiaceae", "Clypeorhagus", "Pravifusus", "Paramphisiella", "Cinetata", "Chacoa", "Biscutelleae", "Prestonellinae", "Corydoras", "Diogenidae", "Mixtura", "Cosmognathia", "Pidonia", "Paracharontidae", "Oyochrysa", "Dactylonotum", "Arangina", "Lepechinellopsis", "Foxiides", "Mycale", "Doryctoproctus", "Catenulisporales", "Biotodoma", "Macraulacini", "Callicarpa", "Velezia", "Ussurdacnusa", "Hypotacha", "Sporadotrema", "Chinecallicerus", "Septentrioniidae", "Lissosculpta", "Selidosema", "Leptomithrax", "Characiopsidaceae", "Microbulbifer", "Paraisanthus", "Dasybasis", "Parasarcophagina", "Protoclaviger", "Acugamasus", "Trimezieae", "Micromedasina", "Crepidotus", "Verrucariaceae", "Cephalodiscus", "Actidium", "Cavoportunus", "Psammostiba", "Dothidotthiaceae", "Comoliopsis", "Satyriinae", "Onychognathiidae", "Numididae", "Phaegoptera", "Penichroa", "Moyencharia", "Nepaloptila", "Calcariidae", "Troglomyces", "Apoda", "Cucumis", "Bryopesanser", "Psammaecius", "Phytelepheae", "Ventichthys", "Diplosphaerina", "Tontoniidae", "Calociasma", "Phaeoconchida", "Catabacter", "Acanthiella", "Stenetrioidea", "Acrobates", "Melanoseris", "Crassicorophium", "Amansia", "Baeopterus", "Maliattha", "Quedenfeldtia", "Anocoela", "Monimia", "Canarivitrina", "Baylisiella", "Eurypauropodidae", "Hypopachus", "Chriodorus", "Linotaeniidae", "Hemigordiopsidae", "Parapenaeon", "Atlantisella", "Cantharocnemis", "Lophyrotoma", "Parabrachytes", "Microscydmus", "Arethusa", "Hippocastanoideae", "Embothrieae", "Pardaliscoidea", "Copepoda", "Onychogomphinae", "Flavizona", "Berkeleyaceae", "Trichotomoxia", "Ephelictis", "Aelurotaenia", "Ragadia", "Protentomobryidae", "Loxagrotis", "Brenckleina", "Parametriocnemus", "Amomyrtus", "Aspidiscidae", "Allophylina", "Dicoma", "Zephyrus", "Papio", "Erythrinus", "Lioscincus", "Sophrops", "Bavariicoccus", "Neomachilellus", "Blackburnia", "Jaegeria", "Sciarosoma", "Catabotrydaceae", "Allocolaspis", "Santiagonius", "Heterojanus", "Cycloes", "Colatooeciidae", "Bidessodes", "Hylyphantes", "Heliura", "Jaluiticola", "Acroloxus", "Vannellida", "Physemothrips", "Dendrophthora", "Excavata", "Baseodiscidae", "Alberteae", "Limnoraphis", "Lophiodontidae", "Bryconidae", "Picnochile", "Priopus", "Henricksonia", "Anisopisalia", "Orthopichonia", "Macarisieae", "Carvalhoana", "Pariambus", "Tanzanapseudes", "Hornstedtia", "Ametroproctus", "Echinoporina", "Xylosalsola", "Hylobittacus", "Cafeteria", "Aphodobius", "Myxinikela", "Gibbsiella", "Bathymacrostomum", "Sinocimmerites", "Kermodon", "Lauxanioidea", "Pseudocanthon", "Lyelliceratidae", "Collyridini", "Solocisquama", "Orobanchaceae", "Acytolepis", "Microsternarchus", "Steganomima", "Ctenophorus", "Linstowia", "Anigozanthos", "Clada", "Stephonyx", "Liebstadiidae", "Tulearinia", "Dalma", "Ceratandra", "Praetorblissus", "Paraxenylla", "Heterotrichinae", "Protithona", "Projoenia", "Heterotyphlus", "Mengeidae", "Zanzopsis", "Clardea", "Coelogorgiidae", "Astomella", "Mirina", "Chromeurytominae", "Raggeana", "Thryothorus", "Zanclistius", "Ptilocrinus", "Sawadalepis", "Stolonifera", "Aeolidioidea", "Urstylidae", "Rhynchophrya", "Histurodes", "Diplaxine", "Paracladura", "Lorius", "Ktedonobacter", "Cottobara", "Aciphylla", "Neolimonia", "Eubazus", "Pseudatemelia", "Pseudospinaria", "Eoprodromites", "Novosphingobium", "Haploplana", "Cnopina", "Perizomini", "Minanga", "Phlebozemia", "Nestotus", "Pseudosermyle", "Chloroleucon", "Eleleis", "Ameiva", "Talinopsis", "Tuberaphis", "Larnaca", "Menesia", "Gemmatirosa", "Psorothamnus", "Aristaria", "Bathelia", "Hauya", "Ikedidae", "Percilia", "Germainia", "Hygronoma", "Nesocysta", "Camarotoechia", "Crossopsora", "Caliscelini", "Draconyx", "Babyloniidae", "Shirozuella", "Dendrophleps", "Ptychoderidae", "Euacanthella", "Chambriella", "Pseudobambusa", "Horaella", "Antichiropus", "Acalopus", "Sertularella", "Clavagnostinae", "Onosandrus", "Silerini", "Prionocerus", "Orochares", "Dytiscinae", "Scopulophila", "Neurum", "Scabina", "Ibexocoris", "Doliodactyla", "Phaeopyxis", "Enantiomorphina", "Rauhia", "Magaliella", "Lithidiidae", "Coleoscytidae", "Cetoniinae", "Vanheurckella", "Tropicoparapamphantus", "Kaliapsis", "Bhutanitis", "Pseudostichococcus", "Gibberichthys", "Cyanomastix", "Sordariales", "Cryptofusus", "Nudaria", "Mathildidae", "Imperceptus", "Thyriopsis", "Phalespoides", "Mblokoa", "Umbosporadoceras", "Kizylkumavis", "Mariniradius", "Hamaticherus", "Macrodon", "Meandroloculina", "Arctopityaceae", "Hollowayana", "Marrubium", "Dermapterida", "Agaricia", "Thaumaleorhabdium", "Diploperlini", "Hylaeini", "Haematobacter", "Odontotrypes", "Faronites", "Clonuncaria", "Leptocarpoideae", "Brachycara", "Salinomys", "Coreopsis", "Cryptomastax", "Ruteroides", "Nikolaevia", "Dolabritor", "Sydonia", "Hexarthra", "Sagephora", "Drosanthemum", "Acrotrichinae", "Platypelochares", "Aschistodesmus", "Matteria", "Agnia", "Bythinoderes", "Hemigrammocypris", "Gallieniellidae", "Pipizini", "Wellheimia", "Kamettia", "Spiridentopsis", "Pericome", "Endophragmiella", "Marrubieae", "Davmata", "Prodyscherus", "Dubininia", "Neurochaetidae", "Arichanna", "Sisymbriopsis", "Parafrondicularia", "Coccolithus", "Schewiakowia", "Liaoxientulus", "Diaeretus", "Stenosmia", "Oceanospirillaceae", "Deckerella", "Boucomontiellus", "Oractiidae", "Ethmalosa", "Pinguiophycidae", "Oisocerini", "Cannula", "Sundatrigona", "Ophiomyces", "Tetraedroides", "Anisonychina", "Dolbina", "Icteranthidium", "Bubaridae", "Stygeonectes", "Notaspidea", "Paradoxapseudes", "Anaissini", "Argenna", "Baissoptera", "Euranoxia", "Hippoporidra", "Tabanini", "Sulcodimorphoceras", "Bayabusua", "Hedypathes", "Acruspex", "Apospironympha", "Paracometes", "Australiodes", "Tuiharpalus", "Boridia", "Psyllinae", "Stellifer", "Antalaurinus", "Lemeltonia", "Sitarini", "Musoda", "Phoenicurus", "Euconchoecia", "Bostrycapulus", "Castelnauphylla", "Hyperomyzus", "Strombosiaceae", "Wangella", "Apterotoxitiadella", "Brigantiaeaceae", "Archotermopsidae", "Prigenia", "Stromatocystitidae", "Marchena", "Perilimicron", "Tellidora", "Laurida", "Nyphaeba", "Cyrtosphaera", "Aldrichiomyza", "Belomitridae", "Ansibaris", "Bathytrechus", "Wislouchiella", "Malasiella", "Austrorhysus", "Euthrix", "Australamphilina", "Carayonhygia", "Fusulus", "Leptothyrea", "Proctocaecum", "Ericolophium", "Pseudomegalonychus", "Tumucania", "Thoracophelia", "Tikaderia", "Maresia", "Pagodroma", "Imashpania", "Liotrichius", "Blaesia", "Fromundiellus", "Dacrymycetales", "Dasyptilon", "Prosomphax", "Semiognatha", "Eupelycosauria", "Coptidium", "Thekammina", "Amblytylus", "Acrocerinae", "Pseudotetraclipeoides", "Amembranaster", "Syngonium", "Vittaplusia", "Caracanthinae", "Carinitermus", "Mithrax", "Rhodospingus", "Oligosphaeridium", "Palaeomymar", "Muraenolepitrema", "Monotocheirodon", "Homoeomeria", "Prolaphystiopsis", "Pnigalio", "Binucleariaceae", "Striatacanthocinus", "Monoxenus", "Lebidema", "Cubaia", "Plusiotis", "Ahernia", "Chydoridae", "Cracticotaenia", "Aristioidea", "Pandeidae", "Aeginoides", "Sukelus", "Eugonosia", "Kualisompus", "Gossweilerodendron", "Anomopisalia", "Psilalcis", "Habrophlebiodes", "Bdelloida", "Amurilla", "Entodictyon", "Sulcatylus", "Noguerana", "Biceratopsinae", "Microstilifer", "Lachninae", "Pterygolaetus", "Meneessia", "Abeoforma", "Gloeodiniaceae", "Pseudoamuria", "Alyssontini", "Pseudoxantholinus", "Scyphacidae", "Acrocarpia", "Stentorceps", "Monoctonia", "Minicaraboacarus", "Pennatomys", "Licmophoraceae", "Lasiognathus", "Pseudemathis", "Stegnocella", "Sperchon", "Sivana", "Cimberidinae", "Sinopterus", "Zodariidae", "Chorotingis", "Dendrocygninae", "Wadella", "Tepidiphilus", "Neobuodias", "Cetopirus", "Thelyphonida", "Buzella", "Cuyojanira", "Rambea", "Plectreuridae", "Chrysophyllum", "Petaliini", "Xenopoclinus", "Assyriella", "Limnogeton", "Exoschizonidae", "Hoangus", "Patulibacter", "Agdistocoris", "Tuamotuichthys", "Phyllurus", "Phalangopsini", "Tropidophlebia", "Doleromyrma", "Bacillales", "Palaeophotina", "Howeanum", "Theognete", "Pentacomia", "Insulcus", "Mantis", "Cryptocodon", "Hyadesiidae", "Tessmannella", "Tremataspis", "Favulina", "Otostephanos", "Nyctibicola", "Paloue", "Tritini", "Phrynixus", "Ophiosmilax", "Nothophila", "Perissomma", "Cymbilaimus", "Phonopleurus", "Somatodes", "Lobaegis", "Protoloberus", "Burgessia", "Plectus", "Baggatellinae", "Sporidesmiaceae", "Dendragonum", "Cylindropectus", "Limneriini", "Dendrosotinus", "Adinandra", "Stentor", "Bochianitidae", "Leptodorosididae", "Euoticus", "Philygria", "Cephaloplectinae", "Collyria", "Eliea", "Cisseina", "Cyathura", "Staurothele", "Agelastica", "Gentianaceae", "Gastrocyathus", "Strobilotoma", "Tylopsini", "Oglasa", "Schuerrera", "Melisoderina", "Rhizochromulinales", "Trymodera", "Uloborinae", "Choranthias", "Propolybothrus", "Coccinae", "Pseudodicrania", "Thayeralinus", "Epidamaeus", "Dallithyris", "Crotonioidea", "Thallochrysidaceae", "Mordellochroa", "Strotus", "Luzaridella", "Biecheleria", "Sparbarini", "Micromalthidae", "Leuropeltis", "Eatoniellidae", "Jaegerinopsis", "Pseudoryctes", "Leophyllites", "Priscella", "Cryptoniscidae", "Azygiinae", "Pyragraphorus", "Coccinellidae", "Graphyllium", "Xiphocentroninae", "Paragryllinae", "Escontria", "Platyarthrus", "Alphomelon", "Lachnolaimus", "Phyxelididae", "Rhododendron", "Idiococcobius", "Rhodocista", "Oxymagis", "Pseudotriakidae", "Abyssamina", "Nesocymus", "Gnatholepis", "Mareya", "Argyripa", "Yeaia", "Eophliantis", "Dorylaimida", "Agamura", "Dermabacteraceae", "Neorthopleurinae", "Perinereis", "Platygyriella", "Aframonius", "Heterophasia", "Saccharomycopsidaceae", "Bolivinopsis", "Dioecotaeniidae", "Phyllomenia", "Chrysolasia", "Pyrophacaceae", "Proaeginina", "Triplogyniidae", "Tirynthia", "Corrachia", "Crystallolithus", "Joyeuxella", "Eulathrobium", "Pachychalina", "Homoiopteridae", "Pseudacanthicus", "Ornithodoros", "Fijibracon", "Rhodopentas", "Pycnocornuta", "Acidinus", "Astasiella", "Chydaekata", "Ameriphoderes", "Serpentiplana", "Naera", "Bryaxis", "Thermosbaena", "Sulcatogibbium", "Santessoniella", "Antichiropodini", "Aivalykus", "Styllaria", "Patrocloides", "Blysmus", "Americorchestia", "Microcalicium", "Pseudopelagicola", "Lophaster", "Entomopsyllus", "Cochylina", "Fistulariidae", "Tripathiana", "Pajanelia", "Neotrevathana", "Bufonidae", "Chirocephalus", "Actinodictyon", "Diloa", "Vini", "Prosolpuga", "Anemophilus", "Rhyncholaelia", "Themisto", "Owengriffithsius", "Imeria", "Glorandaniotes", "Cinchonopsis", "Mimatheta", "Spongoverruca", "Nototriche", "Episcepsis", "Tsebona", "Channomuraena", "Oria", "Ptychodus", "Suniana", "Ozophora", "Melledobythus", "Hanzawaia", "Pectinichelus", "Acrisione", "Dotha", "Lagonomegopidae", "Nemotha", "Onymacris", "Diheteropogon", "Martensopoda", "Baronia", "Caenopamera", "Carterodon", "Photocryptus", "Gonoderina", "Paracaecilius", "Cladochytriomycetes", "Blotiella", "Macrohilaceae", "Altaia", "Haloceras", "Flindersiella", "Pantherophis", "Thermodiscus", "Dinocoroebus", "Metachaetodermatidae", "Uvigerina", "Pycnopeziza", "Pacificellini", "Myzocytiopsidales", "Declana", "Isosillago", "Bradybaenina", "Schreiteria", "Penichrotes", "Rhodopteriana", "Ipomoria", "Malagascoderes", "Amphidiscophora", "Adesmoides", "Asthenargellus", "Nenenia", "Sphaerias", "Arrianus", "Callodonia", "Ajania", "Lafystiidae", "Eodorcadion", "Cyclaxyra", "Stygnidae", "Thrincopyge", "Sterigmatosporidium", "Eomyops", "Chelidae", "Amyzon", "Fragilariophycidae", "Lachnospermum", "Congrosoma", "Phymasperminae", "Cincinnatia", "Umoonasaurus", "Tsaratanana", "Freadelpha", "Philophyllum", "Conophoralia", "Hydrolagus", "Aphrissa", "Peruanocoris", "Eugoa", "Sinqasapatermes", "Spinozetidae", "Kadsura", "Peloridium", "Domitius", "Pectinorex", "Methylosarcina", "Mileewini", "Girardinia", "Diplopharyngotrema", "Hisponinae", "Proplagiopyxis", "Buforaniina", "Catucaba", "Scyllarinae", "Agrilini", "Hoheria", "Neobythites", "Rotundomastix", "Diclidanthera", "Agelasida", "Eucheira", "Rayellus", "Megarhetus", "Anthemideae", "Hypogyrista", "Uteodon", "Brachyplatyphylloides", "Parevania", "Encephalographa", "Mexitrichia", "Macrotrachela", "Xenocassis", "Perplexiramosus", "Paradoxia", "Chasmanthium", "Dodecatheon", "Stapeliinae", "Chionothrix", "Diabainella", "Planctostoma", "Ommexechinae", "Spheneria", "Longchuanacris", "Barunius", "Megistocera", "Padogobius", "Bursellopsis", "Nesohoplia", "Chilocarpus", "Notoplana", "Bactridinae", "Heterocentrotus", "Mathildellidae", "Australotarma", "Nothonotus", "Kumaressa", "Choricotyle", "Sinpunctiptilia", "Spiriferida", "Carvalhocapsus", "Gnamptopelta", "Gongromyia", "Saadanioidea", "Ozraptor", "Neommatissus", "Setolebia", "Ketapangia", "Grapsion", "Tshekardocoleus", "Atopatelura", "Eccoptolonthus", "Xinbinia", "Metreletus", "Spinocharinus", "Potalieae", "Gambria", "Jocquella", "Epithemis", "Ishamella", "Telmatocola", "Scorpiopinae", "Livida", "Machilinae", "Metacerithiidae", "Ochlochaete", "Sphacelariaceae", "Nectariniidae", "Holotrochodes", "Mugilomorphae", "Notomabuya", "Serawaia", "Apocorophium", "Polistes", "Helmitheros", "Neophylidorea", "Paracannopilus", "Emertonella", "Heterophycus", "Paraulopidae", "Eristicophis", "Paradasycera", "Callimorphina", "Balclutha", "Inpabasis", "Alitocoris", "Mummucina", "Cossulinus", "Arquatrovirinae", "Guerramontesia", "Sarcostigma", "Ricoseiina", "Xiphiopsylla", "Claudea", "Viviparoidea", "Alicorhagiidae", "Asterotrichion", "Leptophysoderes", "Hydrurus", "Colonammina", "Carabodes", "Brissidae", "Marileus", "Trichostixis", "Vitaceae", "Tharpyna", "Pseudopachylaelaps", "Synophryostreptus", "Fontejus", "Gnathaphanus", "Peloridiidae", "Pseudocymopterus", "Tatia", "Prochremylus", "Pisodonophis", "Pabits", "Pseudodrepanocanthus", "Hebestola", "Terestrombus", "Crocanthes", "Progonochaetus", "Pachymeridiidae", "Silometopus", "Defluviitalea", "Oppiellinae", "Notopentorchis", "Dinopsocus", "Protopselaphus", "Ozawainellidae", "Diastaltica", "Africorchestia", "Indoreonectes", "Lacusa", "Ellimmichthyiformes", "Pseudochitinopoma", "Tetrataenium", "Herpetineuron", "Drepanoides", "Acidibacillus", "Mesonoterus", "Litocranius", "Auriculoceryx", "Sakhalotettix", "Pseudophaloe", "Microallomyces", "Sorbaria", "Melanthiini", "Sappinia", "Procris", "Gonomyopsis", "Acmopyle", "Endomia", "Lobulacla", "Gericlavodes", "Conqueria", "Anoecida", "Ancyloneura", "Hephaestia", "Zikanyrops", "Heterakoidea", "Loxura", "Stephanophorus", "Polypipapiliotrematinae", "Icelus", "Atropha", "Tagaloscelimena", "Geobalanus", "Opiliones", "Perisomena", "Achatia", "Bomaribidion", "Chosroes", "Acuera", "Sterkiella", "Freixialina", "Perlevilobus", "Acantholyda", "Tephrocacteae", "Pseudohoratiini", "Baratha", "Allothrissopidae", "Megamorion", "Hellerius", "Ditula", "Paradoxaphis", "Rodrigama", "Apopontonia", "Stephanocyclos", "Musculus", "Chapianus", "Taudactylus", "Picocystophyceae", "Maschwitzia", "Paristhmius", "Oedemeridae", "Phorusrhacidae", "Eudarmistus", "Syrichthoschema", "Tetrataxiella", "Thalassiophysa", "Helocordulia", "Collatia", "Parnipinae", "Urgleptes", "Acanthixalus", "Paroxysmene", "Amara", "Sphingobacteriales", "Austrodontura", "Huiacola", "Micrelaphinis", "Dactylocalyx", "Palaeotydeus", "Hentziectypus", "Melaleucococcus", "Mesogramma", "Lestodelphys", "Pachydiplax", "Neozygitales", "Asynaptini", "Hypnoonops", "Desulfurobacteriaceae", "Carmelocoris", "Heptapsogaster", "Fuchsiella", "Acavus", "Ebboidae", "Melioribacteraceae", "Pendulomonas", "Agonochaetia", "Phareas", "Omphalocirridae", "Lepidocordia", "Liceida", "Caledonotrichia", "Dictyopharinae", "Sexanymphon", "Plagiosauria", "Cossidae", "Nandoidei", "Myriotrichia", "Miftengris", "Corennys", "Ragabrachydota", "Gyrocarpus", "Trachycladidae", "Mandarina", "Neofragilaria", "Petrodermataceae", "Microdilochrosis", "Caryoteae", "Setopus", "Canthonini", "Nannoniscus", "Isoaulactinia", "Zavarzinella", "Hemimastix", "Rhadinosomus", "Idioiblidae", "Carminator", "Neocalosoter", "Phacodiniida", "Neocarpenteria", "Brachyolenecamptus", "Heteroporidae", "Phylloboletellus", "Armadillo", "Aphantopus", "Anisocrella", "Cochabamba", "Pucciniastrum", "Ozicrypta", "Columnea", "Stigonemataceae", "Embiotoca", "Sanjuansaurus", "Sphaeramminidae", "Popoviana", "Galbula", "Zonyptilus", "Auladera", "Barymochtha", "Orizabus", "Enypnias", "Munroidendron", "Neolepidapedon", "Megathyridae", "Centronodinae", "Tropicini", "Pipritidae", "Lingafelterellus", "Alcedininae", "Glonium", "Ebalia", "Acheliderma", "Liptenina", "Mediostigmaeus", "Newportiinae", "Dendroleontinae", "Hylobius", "Asteliaceae", "Duostomina", "Mathildoidea", "Caryophyllaeides", "Eirenis", "Leptobrama", "Coussareeae", "Acilepidopsis", "Zagymnus", "Lophocaterinae", "Phyllodocida", "Catalimonadaceae", "Priscansermarinidae", "Traganopsis", "Platycola", "Triplocania", "Ancyridris", "Ramaculus", "Dugdalea", "Saccharibacter", "Pteroplectus", "Paramphilochoides", "Belluloporoidea", "Ceraphronoidea", "Heroina", "Pnigomenus", "Glabrella", "Plagiolemma", "Cruckshanksia", "Phanerotomina", "Hofmeisteriinae", "Helluapterus", "Schminkepinellidae", "Marinitalea", "Gnamptonyx", "Sinopanax", "Bolosoma", "Caribotroides", "Gastrocirrhus", "Heterogastridiaceae", "Pelusios", "Cisanthribini", "Scotoscymnus", "Ophiorrhabda", "Nuctenea", "Parateneriffia", "Momordiceae", "Monotomini", "Distichirhops", "Pelecorhynchidae", "Zavodkovskininae", "Fischerella", "Monochirus", "Botryocephalina", "Aleeta", "Parasicanites", "Melliniella", "Megacrex", "Dipsina", "Laminononion", "Rhiostoma", "Phalangopsis", "Dipyle", "Ledebouria", "Haplozoon", "Platylepadidae", "Eugralla", "Lopus", "Nesospingus", "Bordoniola", "Leucosoleniida", "Trichoplusia", "Faberia", "Eudromus", "Macheiramphus", "Notendecous", "Rimulina", "Uenohadesina", "Insculptarenula", "Virgulibracon", "Allotanaupodus", "Rubukona", "Dissophora", "Veronicelloidea", "Mollugo", "Blepharismidae", "Synthetodontium", "Calamiana", "Monomorphina", "Catarhinus", "Argopatagus", "Neuraphomimus", "Bufonus", "Lawrencerosini", "Hemitaurichthys", "Locustana", "Kataria", "Megastictus", "Cryptophonus", "Baillonia", "Malvanaioides", "Morikawia", "Endeiolepis", "Haplostethini", "Anotheca", "Cephrenes", "Heliochonidae", "Syrrhoe", "Hoplias", "Natrialbaceae", "Cosmioperla", "Pelagibius", "Gulella", "Synacra", "Ampotis", "Pterogmus", "Stereothalia", "Mantidactylus", "Amazonotrema", "Metcalfiella", "Musanga", "Neohouzeaua", "Leucocythere", "Mangoldia", "Calliphylla", "Hemerodromiinae", "Ceratus", "Atachia", "Pomatoschistus", "Zippelia", "Celeus", "Rhizogonianae", "Elaphropoda", "Lucifotychus", "Benneviaspidida", "Hartigiinae", "Hymenoclea", "Eriphioidea", "Homostegia", "Teosophronica", "Arca", "Orbitolininae", "Blacometeorus", "Oberhauserella", "Cotysomerida", "Metacaprella", "Gloeospermum", "Neelysia", "Hydrablabes", "Trichocaecilius", "Gastrodontoidea", "Octophellia", "Pseudobulweria", "Laurophyllus", "Anabas", "Thomassetiini", "Calyptodera", "Homalogonia", "Dhahrania", "Dysoxylum", "Caenoura", "Nathorstianaceae", "Cardioptera", "Periballia", "Parozodera", "Chrysoculter", "Virola", "Haplostiche", "Boganium", "Mychota", "Halymeniaceae", "Fedalmia", "Doricleana", "Thanomahia", "Stichorchis", "Panchlora", "Lepidotrichilia", "Aetheolirion", "Reticulammina", "Cornuspiramia", "Hemimyzon", "Euryptila", "Parastenocarididae", "Orosthetus", "Pentatomomorpha", "Apyre", "Salpingoides", "Paratrechiotes", "Haplosporiidae", "Cenopis", "Bessopora", "Agaricales", "Puelieae", "Fimoscolex", "Glaucoamminidae", "Gloeoplax", "Goudaea", "Alloclita", "Caroniinae", "Leleuporella", "Trictenotoma", "Staffellidae", "Lophoraninella", "Mimocaryedon", "Styloniscoidea", "Cucujomyces", "Synavea", "Aiolocaria", "Notoecia", "NMMB", "Aulacoschiza", "Allonychiurus", "Ornithomimidae", "Mimeresia", "Ganophyllum", "Mycocalicium", "Jansonius", "Jurapseudes", "Sagittariidae", "Anadolua", "Axysta", "Vitjazema", "Nasobatidae", "Macropinna", "Ophionereis", "Argyriini", "Dinopodiella", "Alusites", "Otteana", "Yunnanocarabus", "Barrancaceae", "Adenosciadium", "Ochrodota", "Celaenorrhinini", "Docimodus", "Catlaphila", "Claytonia", "Eocteniza", "Glossinidae", "Aethiopodillo", "Ardaris", "Idarnes", "Kentrophyllum", "Thysdariella", "Radiodiscus", "Angulomyces", "Cryptomimus", "Listerellidae", "Zonocypris", "Bathyaulacini", "Aetalionini", "Galapagoplana", "Nitospinosa", "Thermopsis", "Ecnomonychus", "Rexapex", "Hesperilla", "Pseudeubothrioides", "Rosbeeva", "Labidomimus", "Xenoserica", "Urocyon", "Typhlobatrisus", "Tectosquamae", "Broscosoma", "Leucocalocybe", "Exiliscelidinae", "Halteriphorus", "Polygordiidae", "Eurypogon", "Zippelioideae", "Stromatoporida", "Protelytroptera", "Ledella", "Haloclavidae", "Hygrobatidae", "Paralusanda", "Callomelittinae", "Trichothyrium", "Rossiana", "Platevindex", "Adelotypa", "Enterostomula", "Cadiera", "Anticleina", "Boneia", "Erythropalum", "Melinaea", "Megasoleninae", "Cirsotrema", "Cerocepheus", "Embolemidae", "Amazonspinther", "Placogenys", "Onukigallia", "Anabolia", "Flohria", "Satyrina", "Frontodendroidopsis", "Rodatus", "Litogamasus", "Eocapnia", "Anepiini", "Donus", "Methanomethylovorans", "Chorenta", "Curimopsis", "Hayhurstia", "Aciculites", "Parapantomorus", "Camarotini", "Eobia", "Fusiturridae", "Ischnomelissa", "Hemiphlebiidae", "Ceratitidini", "Microcoelia", "Talliella", "Aglyptinus", "Anaelia", "Myriostachya", "Ateuchetus", "Serenaspis", "Clynis", "Ayapana", "Mersa", "Quinchamalium", "Sphyrapodidae", "Melanodytes", "Chevalia", "Neosapinnius", "Ruyschia", "Sybaguasu", "Trisidos", "Melanotelus", "Tarsaster", "Xenacanthiformes", "Brocchinioideae", "Corcovado", "Laundonia", "Potamotrygonocotyle", "Pseudeurystylus", "Hesperolaburnum", "Tanypteryx", "Pseudoprocirrus", "Botschantzevia", "Zalieutes", "Uleobryum", "Hadrobelus", "Nyctosaurus", "Polyalthiopsis", "Schnella", "Titanotheka", "Afrolongichneumon", "Sorosichthys", "Flavopunctelia", "Narelloides", "Dactylolabis", "Mirza", "Tamdaotettix", "Anoxybacillus", "Tenagomysis", "Campbellobates", "Herbertiinae", "Tartesa", "Sperchopsis", "Cymatophora", "Triassoaphidoidea", "Spigelia", "Chamoidea", "Geobius", "Raciborskiellaceae", "Pteris", "Diaemus", "Callipechis", "Centropodia", "Cylapocoroides", "Devitzia", "Paroreomyza", "Smiliinae", "Hopia", "Tetracanthella", "Grotiusella", "Tinadysderina", "Embryocola", "Bythinella", "Eonaphis", "Aethridae", "Lobiancopora", "Dubioniscus", "Paeonia", "Fenestrida", "Mezenalicula", "Barilochia", "Aspidimerus", "Umezakia", "Apanisagrion", "Reichardia", "Lysianassida", "Diplopeltoididae", "Agnosthaetus", "Centrozoros", "Machuellidae", "Fernandezia", "Brounopsis", "Dysgonia", "Narosoideus", "Acricoactinidae", "Schizaeaceae", "Stomosis", "Enchodontoidea", "Satonius", "Retrovarium", "Ascohnissimplex", "Papusus", "Niptodes", "Aphaenostemmus", "Eucamptodontopsis", "Pricia", "Thalictrum", "Onychophora", "Dacnonypha", "Micromidia", "Ceratozetes", "Phytophthora", "Hoplojana", "Platyschkuhria", "Polydota", "Somuncuria", "Atydina", "Rhizotexis", "Protocymatocylis", "Holocentriformes", "Reissekia", "Sophrosyne", "Anacaenini", "Kiitrichida", "Gyoerffyana", "Pudeoniscidae", "Anobiopsis", "Oreuryalea", "Pithecheir", "Xenomerus", "Methylocapsa", "Phyletobius", "Phaenicophilidae", "Rhabdocarpais", "Acritotilpha", "Pseudomiltemia", "Paramollugo", "Parameropaederus", "Austroypthima", "Aporcelaiminae", "Asteroarchaediscus", "Pseudacerus", "Mallocera", "Gunneraceae", "Tornatellaea", "Barnanola", "Agrotini", "Fidicinina", "Ionemobius", "Tarlmounia", "Ellopostoma", "Ceylanosybra", "Barbuccidae", "Steyermarkia", "Xyalophora", "Stridulacla", "Adoryphorus", "Tangiini", "Falklandius", "Mimohammus", "Tonkinacridina", "Nerthopini", "Patarini", "Antodilanea", "Chloroclonium", "Rouxia", "Navigiolum", "Liodaptus", "Stenopsyche", "Psachonethes", "Acrotrichium", "Hemiarrhena", "Petalocotylinae", "Woodsia", "Platynina", "Colpothyreus", "Agamidae", "Scotinosphaera", "Blabioides", "Leuronectes", "Archizygoptera", "Monoporelloidea", "Echinoplaca", "Phalaris", "Nanarchaea", "Chrysochaete", "Moneuptychia", "Hystriphlias", "Eumaniraptora", "Devyatkinia", "Anopedias", "Neocyrtotyphlus", "Gampsorhynchus", "Evolutononion", "Pseudothilmanus", "Perilampidae", "Erythroneura", "Chlorodendrophyceae", "Boreodromia", "Xyladictyochaetaceae", "Paracyphocaris", "Seidlitzella", "Cnemoplites", "Tristanieae", "Chomelia", "IUSHM", "Liosaccus", "Obscurior", "Spiroloculina", "Clema", "Zaglyptogastra", "Tausonia", "Petiolaphis", "Octotestiinae", "Hetereuthia", "Tiaropsidae", "Schinziophyton", "Erythranthe", "Epacrocerini", "Odontacarus", "Morturneria", "Nanofila", "Ebulum", "Karwinskia", "Tetragonoporus", "Dasyleptidae", "Palmoxylon", "Malingichthys", "Roseococcus", "Triophtydeinae", "Petterus", "Armophorea", "Stachyotis", "Natalicolinae", "Semantis", "Ceratocephala", "Telanthropus", "Albicoccus", "Chaetiliidae", "Danaea", "Microglossa", "Cheirurina", "Tyromorphus", "Stiphrornis", "Diaphoromerus", "Mesovallupus", "Verekia", "Aspinoides", "Quammenis", "Thioalkalispira", "Leuretra", "Pseudostereomera", "Andesobia", "Rhabdomolgus", "Cyphus", "Corcoracidae", "Krainacoris", "Pseudoalliphis", "Trifoliovariinae", "Montrouzierellus", "Eopiesma", "Acanthopelma", "Neoavga", "Livipurpurata", "Lanacerta", "Hildemannia", "Diastrophosternus", "Zoddaea", "Nuttallides", "Dimarini", "Pseudoniphargus", "Microweiseinae", "Xenagama", "Bachmanniomyces", "Auchenotropidius", "Admetomiris", "Protomonostroma", "Alema", "Phlomidoschema", "Apohyale", "Typhloseiellina", "Abdullaevia", "Seychellinus", "Pseudomogrus", "Pupillidae", "Platychelys", "Pistosauridae", "Bunomys", "Chlorobi", "Euclidia", "Rhynchosaccus", "Rhopalopsole", "Irvingiaceae", "Insinuarotaenia", "Flavimarina", "Cutidiplogaster", "Cucullaeidae", "Melanimini", "Helicomonas", "Hylomanes", "Nephtheidae", "Carenidium", "Mesomachilis", "Marcusadorea", "Octogoniella", "Leucomini", "Pistius", "Carocryptus", "Pavoclinus", "Lyrarapax", "Corophiidira", "Desmapsamma", "Trichaphodius", "Gelasimus", "Crangonoidea", "Angatra", "Orenaia", "Pemphis", "Philobrunneus", "Alvaradoa", "Holozodoides", "Borneodendron", "Sestra", "Oryctes", "Terrestricytheroidea", "Neoguillauminia", "Plea", "Photostomias", "Trullifiorinia", "Phyllodrepa", "Carphanidae", "Plexauridae", "Taiwanaphidinae", "Pseudocaryophyllaeus", "Filistatidae", "Crioceris", "Rakiuraperla", "Holocacista", "Mexanillus", "Saigonita", "Dendrolycosa", "Pseudotrigonidium", "Santa", "Serrasentinae", "Orstomia", "Lopinga", "Uvariopsis", "Sclerocollum", "Atacoseius", "Tetrastichus", "Poecilonotina", "Pleopeltis", "Thaminophyllum", "Platypeza", "Neopantopsalis", "Sillaginops", "Desulfobacterales", "Carales", "Oedopeza", "Haszprunariella", "Xenarthra", "Guineaxonopsinae", "Bothrimonus", "Eupristina", "Echinoscelis", "Boreohesperus", "Pancolini", "Biremia", "Maschalodesme", "Autonoe", "Paraoligorchis", "Adamsiella", "Bunites", "Macrocneme", "Potamotrygonidae", "Ophrynopus", "Cereopsis", "Narthecium", "Aztecanthidium", "Microchilus", "Eusauropoda", "Brachaelurus", "Hippothooidea", "Oligocottus", "Gigarachne", "Toxorhynchini", "Multimonas", "Cephalorostris", "Bridsonia", "Dilagrotis", "Gonatus", "Platylomalus", "Parascylliidae", "Diaminobutyricibacter", "Myriostoma", "Psychites", "Philovenator", "Megabyas", "Rhabdomiris", "Lorandersonia", "Chilenogenius", "Arostropsis", "Pikaihao", "Porphyrostromium", "Psilodon", "Chelediadema", "Pseudolampetis", "Holosporaceae", "Rhaphidotrema", "Culexiregiloricus", "Anemesia", "Sphaericobathra", "Aphotriclista", "Neoantigius", "Diaphanopsidini", "Ioma", "Gymnopria", "Ophiura", "Haemophilus", "Paralobus", "Syringophilopsis", "Culicoidea", "Dipsomyia", "Oviparosiphum", "Hookerochloa", "Rufusiella", "Aidablennius", "Archasteridae", "Aphaireleptusa", "Tegnacus", "Acromis", "Togodolentus", "Thyrsanthella", "Anillochlamys", "Curetinae", "Megaloglossus", "Euceros", "Neoiraqia", "Ephebopus", "Chronidae", "Ixchelia", "Parrelloides", "Ceratothripoides", "Curitiba", "Myracrodruon", "Eurrhypis", "Dynatorhaba", "Chlidoniopsoidea", "Lophotrochozoa", "Protopelmus", "Miltianthus", "Rimator", "Nefoncerus", "Notocheirus", "Vittarioideae", "Qiongthela", "Stenasterias", "Arpagonus", "Scenergates", "Plesiadapiformes", "Micropeplinae", "Glossosomatinae", "Xandrames", "Masudaphycus", "Eurystylopsis", "Omorphinini", "Manyonia", "Phyllota", "Callimerus", "Phryno", "Celerobates", "Phlaeothripidae", "Goniogryllus", "Acanthisittides", "Eremitalpa", "Cyanogomphus", "Gullania", "Pseudopanax", "Pleromonas", "Ceratoxanthis", "Neotharra", "Rhopalonematidae", "Leuconidae", "Limnoriidae", "Musgraveia", "Tonganoxichnus", "Simacauda", "Platygyra", "Symphorichthys", "Metagnoma", "Thylacomorpha", "Aiolomorphus", "Dexiotrichides", "Pseudoclania", "Parapropus", "Ephedraceae", "Lophagria", "Tamridaea", "Simaethis", "Mycetochara", "Rhodopygia", "Perigrapha", "Jaechobyrrhinus", "Meropachys", "Seticeros", "Euoplini", "Novalena", "Varanoidea", "Piscinquilinus", "Microodes", "Leptopeltus", "Amorphothecaceae", "Weinreichius", "Glyptauchen", "Tsunamia", "Pseudocnides", "Geomelaniinae", "Acanthidops", "Odonestini", "Myrsinaceae", "Calcarisporiellomycetes", "Teledapalpus", "Echthrodelphax", "Myonycteris", "Eurostacrini", "Opostegidae", "Meristomegistus", "Protodinychus", "Alloschizidium", "Pemphixina", "Periplocoideae", "Cryptodesmidae", "Dicyclophora", "Cardiopelma", "Ophiomastix", "Gambiana", "Cerococcus", "Potamanthus", "Coladenia", "Trichiotinus", "Falcipennis", "Teutamus", "Abimwa", "Hegemus", "Neobolitobius", "Ithocritus", "Aitchisoniella", "Pseudosinocyclocheilus", "Cyanodolius", "Heteropantilius", "Acanthamunnopsis", "Typhlobelus", "Prinobius", "Nycterosea", "Ornitholestes", "Encephalitozoonidae", "Ameles", "Maculaprosbole", "Adoxotricha", "Hemiphryxus", "Thermus", "Protectocarpus", "Spathoglottis", "Dithyrea", "Mycosyringaceae", "Hypoblemum", "Globipelorhiza", "Protoptilinae", "Goraqua", "Coronoplectrum", "Meteoridium", "Wartookia", "Metabelba", "Myrmelastes", "Hesslandia", "Limoidea", "Catapsydracidae", "Araloselachus", "Bathydorididae", "Buchholzia", "Diacrocanthidium", "Columneinae", "Decarthrina", "Glyptoscorpiidae", "Hogna", "Anthelinae", "Macrostomion", "Campylobacter", "Spekiini", "Sterrhinae", "Acentrini", "Soderbomia", "Ivondrovia", "Paraprionopelta", "Dinocephalosaurus", "Neohomoneura", "Ophioplinthaca", "Aspidosiphon", "Pseudochoanotaenia", "Trichopityaceae", "Nelchinopsis", "Negretus", "Stenomacer", "Stenotenes", "Retroplumoidea", "Donnaldsoncythere", "Pseudotermitoecia", "Spiroplectella", "Gronocarus", "Ceyx", "Polygoneae", "Symphya", "Parapercis", "Hydrococcus", "Cliarthrinidius", "Acrolophidae", "Lanfrediella", "Tigrigobius", "Thamnomys", "Asiagomphus", "Xinella", "Pacifimenopon", "Guiniella", "Exoteleia", "Colposcenia", "Australomymar", "Jingicoris", "Mathevotaenia", "Campyloneura", "Aepyornithidae", "Eriophyidae", "Kunklerinidae", "Lepidocampa", "Chileomma", "Erodiini", "Oniscolepididae", "Migadopini", "Peltoscytus", "Afrotachys", "Aenictoxenus", "Hylaspini", "Eulalia", "Palavascia", "Acanthogammarus", "Psychopterys", "Orthodonella", "Favella", "Heterotanoides", "Zorocratidae", "Multicotugnia", "Symmetrodonta", "Peleliua", "Cyrtophium", "Enargocrasis", "Acanthophora", "Ptilimnium", "Livistona", "Parabatyle", "Cerithidea", "Patersoniella", "Calanthosoma", "Phaeosporobolus", "Bandelopsis", "Psammoecus", "Aschiphasmatidae", "Lophothalia", "Peridaedala", "USMHC", "Globotextulariidae", "Aglaeactis", "Eotetranychus", "Plumosigma", "Albertia", "Podocytisus", "Cyrtostrombidiidae", "Cuneolus", "Cagosima", "Ifritidae", "Noxocremastus", "Tabularia", "Dolichorhynchops", "Pycnospina", "Bothrioplanidae", "Scolodonta", "Ofatulena", "Monophlebulini", "Kheper", "Camponotini", "Notodiaphana", "Uapaca", "Vampyrelloides", "Abaris", "Heterobelbidae", "Renibacterium", "Paranthropus", "Dityloura", "Latolaeva", "Rhabdoherpia", "Pseudostrandiella", "Isthmochloron", "Ceratomerinae", "Spinoellipsella", "Lamellocolea", "Pseudotabanus", "Sphaerosciadium", "Deleatidium", "Selatosomus", "Atrophini", "Brachystele", "Trichocephaloidis", "Tenebroides", "Atractogloeaceae", "Orchestina", "Juliidae", "Paranarthrurella", "Eumera", "Cylisticidae", "Hyalolepas", "Gloeobacter", "Hadrocryptus", "Heptameris", "Molorchineus", "Omineus", "Pseudagonica", "Archaeolemuridae", "Climacopoma", "Randia", "Hampsonola", "Mesoda", "Radiofilum", "Falsodromius", "Amblyontium", "Suessenguthia", "Enna", "Renella", "Antophrys", "Bakoa", "Ciliophora", "Diplasiocotyle", "Eleusis", "Filigerodes", "Elaidius", "Oxystegus", "Coelolepida", "Colydiopeltini", "Tumboecus", "Espadarana", "Schefflera", "Triceratiales", "Papuaphiloscia", "Typhlocharis", "Camrasiconops", "Euophrys", "Cincelichthys", "Gaenima", "Latimeria", "Helladosphaera", "Osteolepis", "Cassis", "Macroselia", "Brevitobrilus", "Pareuxoina", "Achariaceae", "Hylonomoipos", "Protozoa", "Atomaroides", "Landouria", "Clostridiales", "Laudakia", "Aniseres", "Telsimiini", "Tiphiidae", "Dracoraptor", "Fecampiida", "Ogyridione", "Lonchosternus", "Angloaeschnidium", "Celidotella", "Anopsilini", "Dictyoglomales", "Tretioscincus", "Nanoa", "Fusulinellinae", "Balaenicipitidae", "Rosids", "Alioramus", "Pseudojaniridae", "Asperpunctatus", "Orstom", "Gnathonarium", "Podolia", "Cycloputeolina", "Macrosemius", "Tetrosomus", "Okamejei", "Tetragma", "Astibicola", "Spilomena", "Dimorphaphorura", "Camposiellina", "Cretorabus", "Eudonia", "Degithina", "Cuatresia", "Standleyacanthus", "Tropidesmus", "Talitrida", "Colocyntotrematini", "Amorbaea", "Epicoccum", "Solium", "Robustopachyphloia", "Brachymacroma", "Entamoebidae", "Tithoes", "Gopkittisak", "Obryzum", "Filodinium", "Mirostylochus", "Championia", "Nohawilliamsia", "Calyptrochaeta", "Euryclelia", "Semiotini", "Megacephalini", "Bovijoppa", "Tjaernoeia", "Pleurogrammus", "Driloleirus", "Koeneniodes", "Rhadia", "Fuhrmannolepis", "Tetroreopsis", "Acholoinae", "Thalassia", "Argyractis", "Glenentela", "Gracilidia", "Agniolamia", "Baissogryllinae", "Enigmocoma", "Arctictenaspis", "Metallibacterium", "Macromitrium", "Pseudofalagonia", "Phrynoponera", "Pilotrichum", "Morocosma", "Johnwyattiidae", "Systellorhynchus", "Pseudozeuxo", "Palimmecomyia", "Alloscelus", "Ybyrarema", "Sentica", "Tricliceras", "Stachytarpheta", "Cameronodonia", "Graminea", "Prionochilus", "Acinia", "Glossopteridaceae", "Archaeophya", "Erigavo", "Polycitoridae", "Hydroida", "Carenini", "Nonionellina", "Metaphoxoides", "Hybolabina", "Cratena", "Englerarum", "Faucaria", "Tachymarptis", "Acastinae", "Asterothrix", "Nematodini", "Rubiparvus", "Haliclona", "Cynocephalus", "Pahorinae", "Orchidoideae", "Egoa", "Ammolagenidae", "Sporobolus", "Kalamopsis", "Cyphanodes", "Chalepides", "Paracanthocobitis", "Saltasaurus", "Ischyropsalidoidea", "Laubieriopsis", "Zelatractodes", "Palaeoses", "Rhynchodes", "Harleya", "Vatellini", "Mimachlamys", "Mycetocola", "Texcoconibacillus", "Tetrigona", "Finaloniscus", "Wabua", "Macrocorystis", "Eochanna", "Hamatispora", "Pygiopsyllomorpha", "Trichocomaceae", "Cheiloceratinae", "Prosauropoda", "Anomalifrontinae", "Rhopalodontus", "Humiriastrum", "Brachiosauridae", "Isomeria", "Peroniopsis", "Pleurotini", "Endomicrobiaceae", "Neobubastes", "Dimorphocrambus", "Amyxa", "Lithocolla", "Phoenicoparrus", "Pachygrapsus", "Lasjia", "Xenoceraspis", "Crypsiptya", "Knipowitschia", "Thailentadopsis", "Niphatidae", "Plectonycha", "Nolidia", "Pseudobotrys", "Clematepistephium", "Hymenopodidae", "Laliostoma", "Anchorius", "Julmarichardia", "Curtara", "Nematomicrus", "Hanumanus", "Amblysperma", "Lyngbya", "Paradelma", "Neogonerilia", "Imperiella", "Pseudoaulacodiscus", "Licmophora", "Phascolomyces", "Misumena", "Anthoseptobasidium", "Euaesthetinae", "Teyloides", "Ogmophora", "Navarella", "Oxycorythus", "Potaliinae", "Ophiogobius", "Lingulonodosaria", "Denisiphantes", "Diploexochus", "Laniidae", "Arthrocormus", "Ochromallomonas", "Tumicla", "Dimidiochromis", "Azygiidae", "Prosetomorpha", "Scutoverticidae", "Quechuamyia", "Tetanorhynchini", "Pseudoscaptobius", "Petunioideae", "Pontogeneoides", "Tumidellaceae", "Apororhynchidae", "Tetrochetus", "Neotrifurcula", "Eutrombidiinae", "Navigator", "Obadius", "Epyaxa", "Antennulariellaceae", "Alatoseta", "Aspredo", "Gennarus", "Tanaochelinae", "Sinocrassula", "Neachandella", "Paralepechinella", "Balmea", "Xenocliarthrus", "Coptoplectus", "Bellimordella", "Rhipidogyridae", "Hamamelidaceae", "Agathophiona", "Pseliastis", "Pseudoteracotona", "Comptonia", "Pseudapimela", "Purcellia", "Agonoriascus", "Acrochasma", "Notothenia", "Sorbaphis", "Noteucinetus", "Ampezzopleura", "Maytenus", "Kohautia", "Slavum", "Xerantica", "Tetracoscinodon", "Archaeoidea", "Sinobryobiini", "Coptotermitinae", "Ogygioses", "Cursina", "Miostauropus", "Aphragmeae", "Oriturus", "Sanguinograptis", "Namiboniscus", "Pteropilium", "Elpeddo", "Hovastiba", "Oceaniserpentilla", "Macrulus", "Ichneumonidae", "Discolomatidae", "Gamasomorpha", "Guatustium", "Aneurianna", "Atractosporales", "Peterfiella", "Micragonini", "Pleuronematidae", "Llanquihue", "Ascocerida", "Peritropoides", "Gauchocoris", "Raphidiophrysopsis", "Ephedra", "Dichondreae", "Grazielodendron", "Tiunatermes", "Sarticus", "Yoldiidae", "Propionigenium", "Verbesina", "Hymenophyllaceae", "Aliquandostipite", "Polyscias", "Oulophyllia", "Halictinae", "Pollicipalpus", "Chimaerochloa", "Timarchopsinae", "Alseuosmiaceae", "Rugomenus", "Conopophaga", "Coomaniellini", "Trigonalidae", "Okinawepipona", "Stauropoctonus", "Palaeonemouridae", "Peloponnesia", "Erigonoplus", "Tickellia", "Granulocheyletus", "Pseudogaudryininae", "Marmessoidea", "Staurikosaurus", "Amphimallina", "Streptococcus", "Filaria", "Charcotiidae", "Peotyle", "Moesziomyces", "Athroocystis", "Microbacteriaceae", "Platyspiza", "Lithosiina", "Microchaetes", "Egidemia", "Unguiculariopsis", "Kanakysaurus", "Pseudostigma", "Heterolatzeliidae", "Ateuchus", "Nigilgia", "Euroka", "Metaculus", "IASST", "Illigata", "Platysolenites", "Mimolophia", "Evandra", "Anisodota", "Microstagetus", "Philotarsidae", "Leptolaena", "Oezdemirus", "Hydrobaenus", "Alphitobiini", "Sharpius", "Tarenaya", "Cecidocharella", "Hyalococcus", "Macronematini", "Meromacroides", "Corduba", "Dysomma", "Lophoceps", "Clevamphora", "Neocalyptrella", "Microlucanus", "Carapoia", "Centaurium", "Oroessa", "Paracypria", "Neritopsoidea", "Cosmopteryx", "Coreius", "Tropicranus", "Syntrophobacterales", "Dipodomyinae", "Boveemonas", "Stschapoviales", "Paralobederus", "Glaesoconis", "Trametes", "Neorthella", "Namibicola", "Fieldingiidae", "Leucanopsis", "Hypechiniscus", "Stellera", "Sacalia", "Pandemina", "Chledophila", "Fissurinaceae", "Tupalus", "Pseudeos", "Tanystigma", "Behemothia", "Eolambia", "Carminda", "Miochlorotettix", "Malaika", "Etorofus", "Alamania", "Daylithos", "Clathrocyclas", "Panna", "Climacium", "Hyphilare", "Anomologini", "Dipodoidea", "Aulacocyclini", "Phylloceratinae", "Selaginellaceae", "Teleotyphlus", "Deinostigma", "Desmidorchis", "Austrophippsia", "Buszkoiana", "Protopaussus", "Retanathrips", "Gevuininae", "Rezinkovia", "Neomyro", "Pseudocopris", "Lambersaphis", "Coscinium", "Septotextulariinae", "Siagona", "Tetradeion", "Pseudostaurastrum", "Yakuus", "Mahidolia", "Acidella", "Eurycipitia", "Bothriocrotoninae", "Orientozeuzera", "Xylobatidae", "Scheinia", "Megaleas", "Helotholus", "Pelagimonas", "Schottera", "Microberotha", "Manidae", "Typhloscaris", "Thinozercon", "Bonvouloiriella", "Aphaenophyes", "Bathyphlebia", "Serratobruchidius", "Prototheria", "Blepharicerinae", "Schizonema", "Gammarus", "Ventricleftida", "Paludisphaera", "Perudella", "Encalypta", "Hottingerina", "Paragigantione", "Polycanthus", "Hubbardochloa", "Botryozyma", "Brunsiella", "Poliosia", "Podeonius", "Discorbinelloidea", "Hyoseris", "Atomacera", "Apoderiger", "Myrmechixenini", "Kahanga", "Crambini", "Flamencopsis", "Gallasellus", "Aegoprepes", "Lethaeaster", "Pseudophyllanthus", "Trichodrymonia", "Ohbaea", "Epaphroconidia", "Pseudohalichondria", "Aphomomyrmex", "Harpacticidae", "Corcorax", "Platisus", "Vavaea", "Xenodium", "Erotini", "Doumea", "Nastra", "Halecia", "Cyclotrichiida", "Ostrowskia", "Piresia", "Anaerovibrio", "Nicidion", "Perssoniellineae", "Australodindymus", "Aquitalea", "Trilophosauria", "Unonopsis", "Pleionea", "Sciophyropsis", "Leptostrobales", "Chaetomiaceae", "Cryptogasterus", "Frigidopyrenia", "Eroticoscincus", "Pachycryptum", "Tropicomyia", "Mataoraphyllum", "Involucrana", "Globotetrataxis", "Fonsecadalia", "Amphisoleniaceae", "Thelonematinae", "Cethegus", "Rhombosternus", "Madastiger", "Epiophlebioptera", "Diplopodiidae", "Acavomonas", "Ceratopachys", "Chilanthia", "Pyrgacrididae", "Amblygobius", "Opistoclanis", "Xestolotis", "Castroviejoa", "Anisotricha", "Phesates", "Riseveinus", "Lycopus", "Peristeria", "Lancetes", "Kikongo", "Parazenidae", "Vinsonella", "Pseudorhinoplus", "Triloculinoides", "Ptychozoon", "Acanthophyllum", "Filatima", "Leporillus", "Licnodamaeolus", "Anoplus", "Stichostaura", "Puelchesia", "Actinocatenispora", "Thermanaerovibrio", "Coenitinae", "Hapalogaster", "Lophostrix", "Macrinus", "Paracanista", "Nephasoma", "Gurubira", "Retropinna", "Terrilimosina", "Provortex", "Vidalamiinae", "Antillorena", "Discapseudes", "Cteniza", "Microxenops", "Lepiscelus", "Eremazinae", "Pirum", "Cristaphanes", "Labidus", "Lopholaimus", "Euproctosia", "Huernia", "Teyleria", "Laganosuchus", "Teratognatha", "Maleuterpes", "Robiginitalea", "Thamnistes", "MFCH", "Proctotydulus", "Discophlebia", "Protaetiomorpha", "Homoioptera", "Andvakia", "Araeopteron", "Cerithiopsida", "Granulicella", "Neopilionidae", "Carphodicticini", "Durrantia", "Lophozosterops", "Harbouria", "Spinosipyloidea", "Trochamminellinae", "Spilophorina", "Zinga", "Isocentris", "Ancylocerini", "Nothocremastus", "Eboo", "Lyngbyea", "Hemicircus", "Syringothecium", "Dactylopodida", "Tetragastris", "Paragymnopus", "Libellago", "Microfissurata", "Rhizopogonaceae", "Davidijordania", "Bregmosina", "Deianira", "Amphinemura", "Scherocumella", "Calocyclas", "Megadineura", "Parachalastinus", "Niessliaceae", "Streptognatha", "Proteides", "Mammuthus", "Quemisia", "Sclerococcomycetidae", "Dorylostethus", "Austrocactus", "Stenistoderus", "Chthamalus", "Kamakinae", "Sanguinaria", "Enchelyodon", "Espejoia", "Coenolamellus", "Amesorhaga", "Haidomyrmex", "Melanocamenta", "Anopsicus", "Uloboroidea", "Dangeardinia", "Brachytroninae", "Leiopotherapon", "Terenocoris", "Chibchanomys", "Tineola", "Saturniomirini", "Pseudomunida", "Dolerousya", "Anobothrus", "Palaeothemis", "Idiognophomyia", "Chaetocladius", "Paedogobius", "Dendrocolaptini", "Sciadosoma", "Sathytes", "Bathysolen", "Cumanotidae", "Barytarbes", "Parana", "Dairidae", "Aruana", "Protoconnus", "Trizocheles", "Agrias", "Orenia", "Iresioides", "Comoramorphochelus", "Scorpio", "Lelapiellidae", "Potamophilops", "Heteromyidae", "Rouxicrinus", "Brachyscelidiphaga", "Sarcinochrysis", "Schizoeaca", "Lutetiacader", "Gigantopithecus", "Acanthocreagris", "Iberoxeninae", "Somocoeloplatys", "Ulvella", "Pseudenaria", "Spinolochus", "Rileya", "Xestocephalini", "Ikebea", "Desulfothermus", "Acylophorus", "Microctenonyx", "Davisicarpum", "Pithecia", "Neobrunia", "Cryphaeaceae", "Minageniini", "Gambelia", "Assiculinae", "Glomeridella", "Suarezia", "Atha", "Umbilicariaceae", "Uzkini", "Lystra", "Aporidiscus", "Neomaenas", "Nothorhina", "Grassyaphididae", "Epicaridea", "Diploproctodaeum", "Kishidaia", "Polymicrocotyle", "Cheylabididae", "Celaena", "Lunulina", "Cyttalia", "Platydracus", "Dinocryptops", "Nandius", "Pachyurus", "Eorissa", "Megasyllis", "Townesion", "Chthamaloidea", "Chilomonas", "Pseudestola", "Waddlia", "Saccopharyngidae", "Peltigeraceae", "Tentaxus", "Trichoxycentrus", "Heraculinae", "Cordulegastroidea", "Cryptoneossa", "Braunfelsia", "Celaetycheus", "Dextella", "Parafolliculina", "Chaetomargoreicheia", "Heteraneflus", "Aphymolis", "Eurheloderma", "Anthrenina", "Breviscutum", "Chrysella", "Prosopocerini", "Prosicanites", "Franklandia", "Leiosaurinae", "Henneguya", "Torulumbonina", "Pandalus", "Oparara", "Andrusoporella", "Smirnoviella", "Syzygospora", "Amicroterys", "Neotenophycus", "Methanosphaerula", "Hypocomidae", "Artona", "Cryptosiphum", "Nipponoparmelia", "Meiotrichum", "Idologonatopus", "Tropizodium", "Chiromyiformes", "Dionysopithecidae", "Gyropsyllini", "Hylotribus", "Magnigena", "Nodasperodiscus", "Catenellopsis", "Calliomorpha", "Adelostomini", "Valdasus", "Pisanianura", "Hydrothrix", "Gondwanotrichomyia", "Kahaono", "Thraustochytriida", "Chlorarachnea", "Beronaphaenops", "Rhanterium", "Lepidolopsis", "Spathapagurus", "Gonospermum", "Flintinella", "Clavidesmus", "Tischerioidea", "Magasella", "Actinichonidae", "Andrejella", "Afrotyrus", "Ennealophus", "Samla", "Ceraceosorales", "Pomphodiscus", "Praeacedes", "Lethariella", "Calycobolus", "Fletcherexius", "Leleupaussus", "Drepanopterus", "Melaenosiinae", "Coptomiopsis", "Antiquanabittacus", "Vayssierea", "Ascoleucetta", "Halosphaeriaceae", "Ameristoglossa", "Nocellochromus", "Meyeriella", "Mesopteris", "Pliotaxidea", "Eulepidius", "Terrapene", "Oroncus", "Mellitidae", "Taurocerastes", "Dictyocaulidae", "Tiguassidae", "Ulosa", "Pneumosema", "Triatoma", "Lamniformes", "Hortaea", "Hymenaster", "Oligosita", "Archaeosamia", "Scobinichthys", "Eumegalura", "Acarapinae", "Amphipepleinae", "Morozovella", "Myrmecophilini", "Acidipila", "Alyxoria", "Ruineniaceae", "Cliona", "Physciella", "Antoptila", "Ariaspis", "Octobdellodes", "Nasiaeschna", "Amythasides", "Weddellina", "Archepandemis", "Gluconobacter", "Stenopholea", "Alcedoffula", "Caranistes", "Bathyanthias", "Diadophis", "Prosphodrus", "Parobia", "Peltandra", "Aframixia", "Myopsocus", "Hemidactyliinae", "Lacipa", "Orbitolites", "Ludwigioideae", "Pachybrachius", "Neotheronia", "Poroderopsis", "Alexotypa", "Catapausa", "Histrionicus", "Tephritoidea", "Ctenoplusia", "Skeletodes", "Ameca", "Paralaevicephalus", "Enthemonae", "Juncaginaceae", "Bryanthus", "Thalestridae", "Xylographaceae", "Dahlstedtia", "Annulofrondicularia", "Longibacter", "Antarctophiline", "Arhythmacanthidae", "Prymnesiida", "Phymatolithon", "Aubergina", "Stedumia", "Melanotrichia", "Aethoscytus", "Solanales", "Noctilionidae", "Stenoderophloeus", "Melanohalea", "Keriosphaera", "Vissariotaxis", "Platytingis", "Ileanta", "Kashmiria", "Melanobombus", "Halobacterium", "Oxymonadida", "Baroa", "Niphonympha", "Rhodolaena", "Curvicicada", "Callionepion", "Dicorymbus", "Pectinitarsus", "Rigiopappus", "Coryphium", "Pasteosiamurina", "Anellozetes", "Reinhardema", "Arboricolonus", "Acontius", "Carcharodon", "Alishanimyia", "Guimarotodon", "Parargina", "Veurise", "Lituoliporidae", "Polymyxa", "Niraeus", "Metapseudidae", "Geminocarpus", "Lygidea", "Turnera", "Anisacanthinae", "Phyllocyclus", "Bryopsocus", "Androngo", "Aepus", "Pseudosterrha", "Gelyella", "Crouanophycus", "Leptochirini", "Sparattanthelium", "Gonophorini", "Papillonotidae", "Thompsoniana", "Aporostylis", "Anuropidae", "Hargicola", "Neobothriocephalus", "Chalaroschwagerina", "Metamorphina", "Bharattherium", "Paragryllina", "Dadayiella", "Liosina", "Pareudera", "Oxynotidae", "Characiformes", "Ashleychelys", "Spinohoplia", "Calotemognatha", "Lumbrineridae", "Gourinae", "Cryptoglossini", "Metaphorura", "Limnanthaceae", "Calorema", "Armatimonadetes", "Henoonia", "Jollydora", "Oxynopterini", "Polydonia", "Labroidei", "Lachesaninae", "Zonocerus", "Pronomeuta", "Rheochlus", "Stictodiscaceae", "Scomberocotyle", "Turbina", "Phaestacoenitus", "Oxyrrhia", "Antabhoga", "Dakrutulia", "Takaokaspora", "Onthophilinae", "Amphineurion", "Succisa", "Dussartiellidae", "Scapteromys", "Auratonota", "Muda", "Hoploclonia", "Eurylaimoidea", "Uresiphita", "Hasseltia", "Euphoriaspis", "Metatrophis", "Trichagnia", "Laxta", "Gephyrocapsa", "Peteria", "SRSIO", "Schlettereriinae", "Allantogloea", "Pontocypridoidea", "Teiresia", "Eretmopus", "Atticora", "Tinoderus", "Schizopora", "Sowinskya", "Homonopsis", "Oncosoma", "Corydon", "Euneura", "Scissurellidae", "Leptastacidae", "Cascellius", "Echinostylinos", "Trichocnemis", "Raveniopsis", "Proctoporus", "Hemipyrellia", "Nothosilvius", "Deparia", "Pascua", "Melillaia", "Chanopterus", "Stigmacoccidae", "Oideprosoma", "Buprestidae", "Dorylocerus", "Thalassa", "Arthrobotrya", "Plateros", "Hornea", "Stylodonta", "Smithatris", "Zygorhiza", "Ischnoderus", "Niphetodes", "Trachyphloeini", "Cancellientactinia", "Elasmoderini", "Arabicolaria", "Cricetibacter", "Gruiformes", "Catoryctis", "Leptosarcus", "Aculeochrea", "Coeliadinae", "Buckleyzymales", "Singaporandia", "Bocquillonia", "Cryptoramorphus", "Platytroctidae", "Phialella", "Scalpelliformes", "Catrachia", "Cuscohoplininus", "Herculaisia", "Sakhalineumatidae", "Ordgarius", "Aurivillius", "Gastralysia", "MZFC", "Lipographis", "Goeppertia", "Salemia", "Neoleucinodes", "Chelisoficula", "Desognanops", "Leskeodon", "Spathites", "Hierodulella", "Batristellus", "Fissuricella", "Comamonas", "Kisanthobia", "Neobatenus", "Svenia", "Clavicula", "Ptychochrominae", "Apha", "Maotherium", "Solenopterini", "Dasydemellidae", "Pseudodictyopsella", "Bunaeopsis", "Oonopinus", "Benthophilinae", "Stegella", "Wunderlichia", "Sinorsillus", "Oidardis", "Geoffroyus", "Polistinae", "Rhinoclemmys", "Roseibaca", "Hilliardia", "Euryapteryx", "Plaumannocorina", "Rhizaspis", "Anguilloidei", "Quernaphis", "Sceleocantha", "Heterocypsela", "Chuhsiungichthyidae", "Calpinae", "Loliinae", "Craniotome", "Bako", "Protoceratium", "Louteridium", "Aspidosiphoniformes", "Inouenola", "Cristepilysta", "Ethioeme", "Rhabidius", "Paraholosticha", "Linospa", "Pyrrhocoridae", "Ancistrophyllinae", "Psathyrella", "Longicheles", "Lacistema", "Lithocupedini", "Queiroziella", "Tunicatimonas", "Gymnanthemum", "Piptocephalis", "Lepidocharax", "Leucothoides", "Sarothrias", "Cvivirinae", "Mizutania", "Paranchus", "Spinantia", "Histiostomatidae", "Mayacaceae", "Nephelomys", "Cheyletiellini", "Meleon", "Muehlbergella", "Ceratocentron", "Polylopha", "Neotrichozetes", "Coquillettomyia", "Protoscinella", "Dipnotetrapodomorpha", "Bouffordia", "Hereroa", "Decoroppiinae", "CVUSB", "Lamprophis", "EBD", "Ichthyodectoidei", "Protocollyris", "Trichius", "Balaenidae", "Spinocalanoidea", "Tomiyamichthys", "Xenotyphlops", "Prosternon", "Climacia", "Parapholodes", "Lecacis", "Tana", "Coleotrype", "Pholidophoriformes", "Lumbriculus", "Glossopappus", "Corellidae", "Alcochera", "Bahieae", "Paraophiodina", "Cretotabanus", "Delimetrium", "Clethrorasa", "Nanothamnus", "Pyrenochaetopsidaceae", "Monocladum", "Diaeini", "Halospirulina", "Pseudoparmelia", "Uskatocoleus", "Marcetia", "Cyphocarpoideae", "Thelenota", "Chascolytrum", "Onslowia", "Gamaster", "Oxychilinae", "Choerolophodon", "Vidalia", "Ceratosaurus", "Bhutaniella", "Uma", "Lychnuchoides", "Luthrodes", "Economiosa", "Proschaliphora", "Protogamasellopsis", "Rhopalini", "Agoristeninae", "Mniaecia", "Dicranura", "Glaucacna", "Halimuraena", "Dinotrema", "Macrothumia", "Bardala", "Phoroncidia", "Praedaraelites", "Eusandalum", "Gersemia", "Lesquereusiidae", "Tongoloa", "Tiresias", "Gracilia", "Ctenophthalmini", "Mendoravia", "Dolichospermum", "Maorita", "Lasiosomina", "Harpellomyces", "Sinoennea", "Thoracostrongylus", "Stylochoplana", "Paralanceola", "Brownleeinae", "Eunereis", "Pseudofrondicularia", "Pseudosclerococcum", "Eretmochelys", "Pleurocordyceps", "Ameronothridae", "Buchonomyia", "Maranta", "Turquoiseomycetaceae", "Aepycerotinae", "Tia", "Gastromermis", "Pararhacocarpus", "Psylla", "Lynchella", "Baeoglossa", "Crocidura", "Cochlodinini", "Norcapensis", "Eopyrenula", "Gloridonus", "Cecaibidion", "Velutia", "Neodindymus", "Prionovolvinae", "Eclecticus", "Deracantha", "Leptagonum", "Choriaster", "Dicominae", "Carabdytini", "Heteragrion", "Synagelides", "Longimycelium", "Litodonta", "Mecynostomella", "Palapsalta", "Paradoxostomatidae", "Orgichneumon", "Squamulinoidea", "Equilabium", "Dunkleosteus", "Helluomorphoides", "Jagorina", "Ephimia", "Trisatelini", "Eutanyacra", "Supunna", "Parascorpis", "Calydorea", "Auriculoscypha", "Odontocynips", "Protochilus", "Flatachilus", "Anisotes", "Cancrion", "Tydaeus", "Liocrobyla", "Eremias", "Graeconiscus", "Megathymus", "Deroserica", "Ophiohymen", "Rhyncholestes", "Protousnea", "Cerylinae", "Erythropeltis", "Diarthrophalloidea", "Phylohydrax", "Byrrhus", "Bartlettiella", "Epilechia", "Melyrinae", "Phlegethontiidae", "Bennettella", "Coperonus", "Nesillas", "Sphex", "Araeotis", "Geraliina", "Metacepon", "Leptogastrella", "Aphelocoris", "Pseudomelactus", "Proablepharus", "Thiodina", "Feeridium", "Archegleis", "Malleidae", "Hiona", "Tenuitella", "Physomilitaris", "Timentes", "Tetracyclus", "Papilionanthe", "Orthocentrinae", "Tanaella", "Euceratoneis", "Grammatorcynus", "Orthacridini", "Floridasura", "Ferrissia", "Platypygus", "Deuterostomia", "Colluricincla", "Basilypera", "Odontotormae", "Wilhelmsia", "Chloramoebaceae", "Phrynobatrachidae", "Parasymbellia", "Linhomoeidae", "Oedocladium", "Aglaiocercus", "Zyrastilbus", "Taphrocerus", "Dentisociaria", "Teleta", "Aquisalinus", "Anisembiinae", "Geosiphon", "Astrolepis", "Thamnochortus", "Isapis", "Acacicis", "Heteroptilon", "Doxocopa", "Kagurargus", "Pseudoplanophila", "Harsa", "Parahybolasius", "Lancineis", "Bryobacter", "Abelisauridae", "Tricharnhemia", "Afrocanthium", "Jaramilloa", "Acallistus", "Mansonia", "Prochelyna", "Xenodromius", "Rastrimonadida", "Pissodes", "Macarostola", "Geobacteraceae", "Pellonulinae", "Pythonichthys", "Svistella", "Notacanthomysis", "Ilyodon", "Pallini", "Anniellidae", "Dadyanos", "Diploschistella", "Micromoina", "Otomorpha", "Crypsicharis", "Paraditremops", "Austropsecadia", "Acetonema", "Kundelungua", "Pechyptila", "Avenzoariinae", "Gymnogramma", "Ginginodinium", "Amedegnatiana", "Diploknema", "Canutus", "Francochthonius", "Cryptognathidae", "Crinitodiscus", "Pleurolabus", "Austrotartessus", "Siphonomecus", "Phacelurus", "Spiralizoros", "Eriophora", "Colobathristidae", "Platyceratoidea", "Cyclodorippidae", "Codonomonas", "Callirhytis", "Pygarrhichinae", "Stemonitida", "Gypsacanthus", "Mioacinia", "Enoptostomus", "Nassariidae", "Scaevola", "Roinghites", "Pseudonchus", "Ophiernidae", "Pogonorhinus", "Coelidiini", "Darwinopterus", "Stephanopoidini", "Autostichidae", "Mannheimsia", "Prosopistomatidae", "Remmius", "Hylodendron", "Cosmos", "Tropicolabus", "Erythropitta", "Binelliceras", "Porphyronota", "Discoites", "Pedinopistha", "Rhytidochrotinae", "Cobosietta", "Arctogeron", "Phobeticomyia", "Baodera", "Brachichila", "Glomeridesmus", "Cerastes", "Althepus", "Austrocarabodes", "Psephenops", "Macromaxillocarididae", "Throscinus", "Gyptidinae", "Zyrathetoides", "Malosma", "Perithemis", "Elixiaceae", "Dorylobactrus", "Goeldia", "Castniomera", "Tetragonias", "Diphterocome", "Calongeomyces", "Ectropoceros", "Pratherodesmus", "Meoneura", "Procerberinae", "Proserpinicaris", "Xenobiota", "Acanthiops", "Megerlina", "Larvivora", "Llanolebias", "Pseudoparoplia", "Lophoplusia", "Insuetifurca", "Astichus", "Goniaea", "Ctenistini", "Echinopterys", "Megipocerina", "Stephanostegia", "Desulfurispirillum", "Herbidospora", "Pseudochlorella", "Paralophiostomataceae", "Mystroceros", "Sonotetranychus", "Sphingini", "Cornesia", "Borneodessus", "Ctenisis", "Callisto", "Tracholena", "Hoffmannseggia", "Monojoubertia", "Pyrenomonadaceae", "Maasieae", "Uroloba", "Aulopyge", "Alcanivorax", "Jonoichthys", "Mycterinae", "Cicurina", "Nycteropa", "Garcialdretia", "Tylostigma", "Neoblaste", "Spilopelia", "Epitraninae", "Herpysma", "Ancylistaceae", "Gomphocerinae", "Brothera", "Velatida", "Strongylocentrotus", "Ebriopsidaceae", "Tarimolagus", "Terpidinae", "Momentum", "Pelagicoccus", "Phragmoteuthida", "Brachyscias", "Coloninae", "Paraleleupidia", "Bathippus", "Panoa", "Carorita", "Himalaphaenops", "Acanthodii", "Trichosanthinae", "Dictyopsocus", "Prolixus", "Petalophthalmus", "Lithomyrtus", "Bryoleuca", "Sefrania", "Parksosaurus", "Trimiopsis", "Kapala", "Sphaeropelatops", "Tapinodoxa", "Megisto", "Areopraon", "Micrelytrinae", "Inostemma", "Acanthopterygii", "Phoeniculidae", "Striathrips", "Monoblepharella", "Shimazuella", "Uroctena", "Paracryptotis", "Chaetolotis", "Pyrgomatinae", "Linophryne", "Gratiola", "Ichthyocladius", "Bythocypris", "Helonastes", "Streptolirion", "Paracirrhites", "Umenocoleidae", "Montacutidae", "Kolkwitzia", "Hauraniinae", "Dinapsini", "Chamaeraphis", "Hoplolaiminae", "Dacryphanes", "Geraridae", "Angraecinae", "Cuniculitremaceae", "Calais", "Palusleptocythere", "Stygomomonia", "Mamoeatomaria", "Thraustochytrium", "Cymaclymenia", "Chorocaris", "Drakensbergenini", "Platytaeniodus", "Thisizima", "Merinademus", "Prospinoza", "Elgonidium", "Cataglyphis", "Thigmotrichida", "Brachyrhopala", "Crossoglossa", "Cornuspiroidinae", "Aderina", "Platyclymeniidae", "Lagavula", "Labrobius", "Dictyonota", "Constantinea", "Lembosia", "Tolumnia", "Corematodus", "Sebaldella", "Bardistus", "Ceratophygadeuon", "Apsilops", "Daubeplusia", "Esperiopsis", "Anhimomegninia", "Chiliotrichiopsis", "Amorphophallus", "Amphilepidida", "Brackiella", "Acanthodactylus", "Thwaitesia", "Furcellaria", "Yinia", "Phylloneura", "Pseudapanteles", "Heterochthes", "Medusaceratops", "Pyrocoelia", "Africasejus", "Germarostes", "Rebbachisaurus", "Sinoalaria", "Coccidium", "Microcoryne", "Notopteryx", "Potthastia", "Cryptochlora", "Damias", "Leprodini", "Thorectaxia", "Myerslopella", "Dalia", "Lamotialnina", "Bibersteinia", "Helicoboscinae", "Thianella", "Niastama", "Paranthura", "Cerodinium", "Puma", "Peronosporaceae", "Carettochelys", "Seychellia", "Cretonodes", "Lenyra", "Diodia", "Vampyrella", "Chloromonas", "Gahanaspia", "Olyra", "Dudua", "Ficothrips", "Roseminae", "Uanauna", "Apotistatus", "Deua", "Aldanellidae", "Tongamya", "Leptolaelapidae", "Teuthida", "Boronia", "Urocitellus", "Samariscus", "Acaryon", "Calceolariaceae", "Heteroperreyia", "Pilidiocystis", "Shobanatrema", "Stagetodes", "Chondropodinae", "Leptognathiidae", "Isoglossa", "Stenostola", "Agonostomus", "Stenopelmatopterus", "Asiocoleidae", "Clarkeophlebia", "Actinospica", "Porpeia", "Poekilosoma", "Nothria", "Paricterotaenia", "Podiomitra", "Rhysostethus", "Stenothoidea", "Aterpini", "Lacibacter", "Actinolaimidae", "Falcatula", "Aphelariopsis", "Exestuberis", "Hoburogekko", "Chymomyza", "Sympeplus", "Discodoris", "Napaeozapus", "Pentamyrmexini", "Ceinae", "Adesmus", "Palijus", "Entosiphon", "Ulomotypus", "Pseudocillimus", "Conringieae", "Rhoga", "Thioclava", "Mitrulaceae", "Zacco", "Rogasodes", "Plagiodera", "Judinornis", "Tanaoidea", "Praebulimina", "Myoporhogas", "Coriobacterium", "Errera", "Omilneura", "Ancistrachne", "Tritropis", "Tinodontidae", "Balbidocolon", "Subbdelloidina", "Willeyia", "Zeravschania", "Hypertrophinae", "Austraepiskia", "Dinophilus", "Pachycnemina", "Acrophyma", "Lipotactinae", "Rialla", "Globotruncanita", "Balligratus", "Toxorhina", "Misocyclops", "Leptocaris", "Ctenognophos", "Galesaurus", "Velleius", "Glossadelphus", "Rocella", "Electromeessia", "Otodectes", "Zorotypidae", "Dugonginae", "Trematosphaeridium", "Samsonia", "Koeberliniaceae", "Cheyletiella", "Euomus", "Dieterlea", "Triassurella", "Desmophyllum", "Askalaphium", "Malzella", "Vahliella", "Poophylax", "Orthorrhynchidium", "Herpyza", "Desmacididae", "Lenasa", "Allantospermum", "Uropeltis", "Rindera", "Siseme", "Avocettula", "Chlamydodontidae", "MCNG", "Rhynchorhamphus", "Blastodinidae", "Caribbomerus", "Blinksia", "Bubalus", "Mississippina", "Schidiosteus", "Gavialis", "Entophysa", "Chrysanthellum", "Heratemita", "Coleochlamys", "Mecopeltus", "Myiocnema", "Vectiselachos", "Rhagidia", "Sincholata", "Madhuca", "Bannerella", "Bathmochoffatia", "Cirratulidae", "Phaloe", "Derambila", "Scenoma", "Cristapseudes", "Psammopolycystidinae", "Inglorius", "Althenia", "Thrichidryas", "Callidiellum", "Eumenes", "Acanthocephalorhynchoides", "Buttonia", "Anconiini", "Ricinoides", "Pecteilis", "Breviea", "Jinshaia", "Anapausa", "Phoenicolacerta", "Himalayaphis", "Solanum", "Hypopus", "Praini", "Microphysis", "Acaratopus", "Plesiocolopirus", "Streptoliriinae", "Parantennaria", "Tetartostylini", "Cruoriaceae", "Amicula", "Oriximinatrema", "Adeleidae", "Hoplandriina", "Tetratominae", "Variichthys", "Aisaformea", "Cantabrina", "Lamprochernes", "Oedistoma", "Stenotarsia", "Tettigarctidae", "Potentillinae", "Barbibucca", "Apodostigma", "Atopocnemius", "Nannaria", "Chiothion", "Hexanchoidei", "Acmeshachia", "Adlercreutzia", "Ostereopsis", "Peliopteronia", "Agriotina", "Tetramitia", "Pseudochlorodesmis", "Uraniinae", "Eclytus", "Nitrincola", "Afroscydmaenus", "Monocercomonas", "Mikiola", "Briarius", "Heteradelphia", "Monspeliensina", "Licnophorida", "Plinthocoelium", "Atelocauda", "Phyllopentas", "Brongersmia", "Corycium", "Acalyptris", "Pseudocanthocera", "Qhichwaruna", "Mictocarididae", "Berlepschia", "Antiplecta", "Rhadinopasa", "Pictus", "Diogenichthys", "Ptereleotris", "Tholoma", "Sicyoniidae", "Carlgrenia", "Gendrotella", "Neosychnocotyle", "Netrelytron", "Bryophaenocladius", "Standleyanthus", "Pycnopteryx", "Leielmis", "Gammaracanthus", "Sporolithon", "Bradystichus", "Disgregus", "Eucalanoidea", "Podochileae", "Leucoraja", "Zenodoxus", "Cassipourea", "Triraphideae", "Nopoiulus", "Coeuritrema", "Myrmecinini", "Condamineeae", "Microplitica", "Augolychna", "Agardhella", "Ephialtias", "Siphonaperta", "Sulfurifustis", "Euphractinae", "Yongjinglong", "Therizinosauria", "Ammodochium", "Sciron", "Heurodes", "Saphanidus", "Treubiales", "Neorutenbergia", "Callomecyna", "Ohridospongilla", "Lafontainea", "Mevaniomorpha", "Halicryptus", "Camptobasidiaceae", "Nothrotheriini", "Dysstroma", "Alalomantis", "Agrostophyllinae", "Leenurina", "Paragoniocotes", "Carcinophyllum", "Taractichthys", "Pastria", "Zaraza", "Imaus", "Abothrus", "Nogra", "Amphilius", "Zonerodius", "Arthrocladiella", "Paramenyllus", "Melectini", "Spinothyra", "Gamostolini", "Platyhelminthes", "Protoplectrini", "Amanella", "Cacoplistinae", "Aetius", "Microeuraphia", "Chloropsalta", "Hoeflea", "Macrohasseltia", "Pleomorphomonas", "Pterostichus", "Pusillanthus", "Glenodiniopsidaceae", "Parvipimpla", "Tryblionella", "Daidalotarsonemus", "Avocoleus", "Solierius", "Comacmaeops", "Furcidentia", "Amanoa", "Pomatocalpa", "Bucephaloidea", "Neoctantes", "Vernediidae", "Rhacodactylus", "Dichromacalles", "Isocarpha", "Coscinodiscales", "Keera", "Gallaceaceae", "Megacyllene", "Coptopterygini", "Meganephria", "Cotinis", "Lambella", "Dasynopsis", "Stenodon", "Gracilipsodes", "Cystoflagellata", "Paragrammodonia", "Hepneriana", "Choreutidae", "Kiskeyana", "Aegialomys", "Metallosphaera", "Ischnotingis", "Oxypogon", "Lepistemonopsis", "Phorticus", "Obrima", "Podorungia", "Heriaeus", "Warnowiaceae", "Metoposauridae", "Longistrebula", "Diegodendron", "Naupactus", "Dimeroceratidae", "Ophiuridae", "Pseudododecas", "Megadictynidae", "Hypotrachyna", "Acanthaspis", "Cactoblastis", "Subanomalina", "Brachymystax", "Plinthisinae", "Lenacini", "Natricidae", "Cyclidinus", "Brimopsis", "Melocichla", "Armatosterna", "Iteticus", "Uranobothria", "Megaloceroea", "Sphaeropsocus", "Hypopacha", "Rorippa", "Crotonia", "Philbyella", "Spathula", "Huedepohliana", "Calanticinae", "Hadimopanella", "Pythonaster", "Boenninghausenia", "Nelasa", "Podonomopsis", "Hastula", "Panacibacter", "Borneacris", "Lotis", "Anaulaciulus", "Fissarcturus", "Chungangia", "Proparuterina", "Ophioleila", "Phymaturus", "Neucentropus", "Pongamia", "Vaginicola", "Wygodinatelurinae", "Austropenaeus", "Sigmoilopsis", "Thoracomonas", "Hyalopsychinae", "Scaphojoeropsis", "Rougemontiella", "Gagata", "Microcanthus", "Latrobiella", "Hyperandrotrema", "Apotrissemus", "Kurnaina", "Timagenes", "Sycotetra", "Plesina", "Megalobuliminae", "Scytalium", "Achatinellidae", "Rolfidium", "Streptosporangiales", "Sarganidae", "Cyananthus", "Echiophis", "Pigmentiphaga", "Lasiocnemus", "Cebidae", "Opanthribus", "Himaloconnus", "Ceratomerus", "Eucomonympha", "Haplomyxa", "Segonzacia", "Capusa", "Taeniolella", "Poseidonocella", "Platymamersopsis", "Synedrellopsis", "Carpaliaceus", "Vestina", "Rhyacotritonidae", "Anozygidae", "Harmothoe", "Onofre", "Lon", "Aglyptorhynchus", "Hamitopsenius", "Pancolus", "Otjipagapaga", "Myorhinini", "Dicyclina", "Podarke", "Natronobacillus", "Polypocephalus", "Phreatomerus", "Platymischos", "Umuara", "Zelotaea", "Choneochiton", "Zackfalinus", "Lomatiinae", "Ancistrumina", "Ephestiasula", "Saccopteryx", "Orthotrichales", "Bathyaulax", "Paratrochamminoides", "Lasiocampidae", "Anosteirinae", "Mynonoma", "Onchoproteocephalidea", "Octoknema", "Zeale", "Chlorochlamys", "Eustreptospondylus", "Atlantapseudes", "Platyaspistes", "Microtettigoniinae", "Altingiaceae", "Myrsidea", "Talavera", "Oligarrheneae", "Leprocollema", "Hygrocrates", "Barisoa", "Dromia", "Tetra", "Acanthasargus", "Svalbardella", "Orchistomatidae", "Xanthomelina", "Diapleuridae", "Tamin", "Isocypris", "Hoplosternus", "Propallene", "Crocosia", "Lunakia", "Ciattia", "Cassigerinella", "Heremusina", "Dictyochophyceae", "Schwendenera", "Admonitosoter", "Bostrichobranchus", "Lobotrachelini", "Dircaeini", "Leptofauchea", "Aenigmetopia", "Octophialucium", "Monocotylidae", "Amaurochrous", "Marchandiobasidium", "Phthirocorinae", "Sugiyamaella", "Murangium", "Vivamexico", "Paradoxosomatini", "Parotomys", "\u0412ismarckia", "Panthalis", "Zeugiteae", "Yirrkala", "Croatiella", "Centistes", "Selca", "Heliorthus", "Hypocoma", "Meraha", "Aliculastrum", "Colocasiomyia", "Nepaliodes", "Tettigadini", "Avellara", "Marellus", "Amarillovirales", "Moraxellaceae", "Caviomonadidae", "Peloridioidea", "Eudocimus", "Titaniidae", "Scurrula", "Paracortina", "Chaetohomoneura", "Centropomidae", "Noliphini", "Ciceronia", "Cidaroidea", "Castanediellaceae", "Agrostocynips", "Oligoclado", "Chondropeltis", "Scriptosaura", "Loboserica", "Ixiochlamys", "Ischnostrangalis", "Doratopsyllinae", "Maristentoridae", "Nishada", "Nephodonta", "Heterodeltis", "Hamearis", "Notaris", "Afrilobus", "Teucrium", "Malchinini", "Acmaeoderoidina", "Cratoneuropsis", "Cancricepon", "Heteromallus", "Limax", "Wickerhamiella", "Perinaenia", "Pseudacanthops", "Mysarbia", "Thalassocarididae", "Agrostis", "Cirrifera", "Cyathomonadaceae", "Fontigonium", "Smithistruma", "Picromerus", "Stomozoidae", "Rhinarion", "Sesioplex", "Hoplitoxenus", "Diuraphis", "Micropedinus", "Paranamera", "Kryzhanovskia", "Erythropsidinium", "Sobolevitaenia", "Notochilaster", "Phascolarctos", "Cryptonus", "Buchananiella", "Guillardia", "Lucicolpodes", "Cricetulus", "Sjostedtiella", "Hartliebia", "Gryllophyllus", "Speleochus", "Ailuronyx", "Propercarinidae", "Voliopinae", "Besuchetiozethus", "Stegelleta", "Piqueriinae", "Dohertya", "Mimachrostia", "Ampezzanildidae", "Laiyangitabanus", "Caryocha", "Philippscelus", "Reinwardtoena", "Maclaudia", "Diasterope", "Zeraikia", "Stolidosomatinae", "Martialinae", "Napoa", "Saccopharynx", "Somena", "Axodines", "Bolborhinum", "Hadena", "Janusculina", "Pterogonius", "Gennadota", "Cyclogyrinae", "Astylini", "Harpagornis", "Molossidae", "Dichelobius", "Gaarderiella", "Voehringerites", "Styletoentomon", "Koliella", "Diomys", "Peucephyllum", "Entheus", "Wendleria", "Fillaeopsis", "Glycyphagoidea", "Arctopsychidae", "Amanayara", "Eoplesiosaurus", "Tetrodontophorinae", "Mariapanteles", "Ardeinae", "Schistonema", "Cladiopsocus", "Empusidae", "Astrothamnus", "Paraspilotragus", "Rhipsalideae", "Ichthyornis", "Clytorhynchus", "Eremochorus", "Varestrongylus", "Helicanthes", "Petiveriaceae", "Weiwoboa", "Echinomunna", "Decazethus", "Mugadina", "Prionomys", "Papenfussieae", "Leptoscelini", "Potamocoris", "Apteropeoedes", "Cryptophallus", "Woodwardocoris", "Paraphytoseiina", "Hafferia", "Paleopsephaeinae", "Cypseloidinae", "Spinicaudata", "Cyptocoris", "Dicentrius", "Baltisphaeridium", "Magnaporthales", "Trichocarenum", "Agnaridae", "Xenobalistes", "Americovibone", "Lemboides", "Ptilopachus", "Amplicincia", "Calloides", "Harimius", "Chrysomonadina", "Dimorphacantha", "Metacucujus", "Fissurinoideae", "Springerichthys", "Archivortex", "Hadronyche", "Proteuxoa", "Oecomys", "Anathelges", "Antilloides", "Dryocoetoides", "Asphondylia", "Decatropis", "Kannabateomys", "Cremaspora", "Protapatophysis", "Almoria", "Amgaspididae", "Paraclemensia", "Couepia", "Cratocentrus", "Sanangoideae", "Crambodoxa", "Scenopininae", "Orientatractis", "Asterothamnus", "Pangshura", "Paranthrene", "Talbragarus", "Hellula", "Englerina", "Indotritia", "Acrorrhinium", "Atriostella", "Eoceratoconcha", "Armada", "Chlorogomphidae", "Isothrix", "Cholula", "Batella", "Anentominae", "Ptenopus", "Penestomus", "Globulariopsis", "Napoleonaeoideae", "Genotella", "Sherbournia", "Gonzobandia", "Doridomorphidae", "Miraglossum", "Mataranka", "Pacudistoma", "Urbinella", "Rhodomyrtus", "Oxacme", "Phlyarus", "Queenslandina", "Lautropia", "Biatorellaceae", "Macrodema", "Archichlora", "Coleeae", "Eumannia", "Astrozona", "Kuiornis", "Spaniocerca", "Larix", "Semia", "Coptosia", "Arrenoseius", "Xylophiinae", "Pseudolepturini", "Skrjabinoparaxis", "Psittacella", "Spinohybolasius", "Acutogordius", "Coridromiini", "Moma", "Khwenena", "Shimonia", "Phaeothamniales", "Jaekelotodus", "Youngiomyces", "Aphanistes", "Dyscherus", "Eponina", "Cerianthula", "Rachidion", "Schaefferius", "Holtermanniella", "Arthronemina", "Milesia", "Mictopsichia", "Atelidae", "Dysderidae", "Labilitrichaceae", "Eumaeini", "Gymelloxes", "Palaeosinomenium", "Lichinaceae", "Ceratolejeunea", "Monstrophennium", "Diaphus", "Pictichromis", "Mimasura", "Dendrophylliidae", "Athyreacarus", "Platyderus", "Triuterina", "Vir", "Ogyris", "Phaeodactylaceae", "Jamides", "Obetia", "Golenkiniopsis", "Deudorix", "Yamatochaitophorus", "Eurysyllis", "Chrysospalax", "Stensioeina", "Eupithecia", "Mitrocalpis", "Oreophytoneae", "Euretus", "Sabulilitoribacter", "Sphingoterrabacterium", "Microbryum", "Hoodia", "Thalassophilus", "Gisekia", "Tinamotaecola", "Chimaerosphecia", "Stawellia", "Thioflexothrix", "Thoracosphaerales", "Crypthonia", "Rhodiginus", "Barisia", "Oecetini", "Veliferites", "Lentamyces", "Eudorcas", "Chamaecallis", "Chrysoglena", "Hydrozoa", "Nippononeta", "Clerada", "Balanoformes", "Arachnidiopsis", "Cymidae", "Messaras", "Aphalonia", "Afrocedus", "Dasycampa", "Pterocryptis", "Limepomera", "Neria", "Xanthorrhoeoideae", "Dacini", "Alexiidae", "Ptilophorinae", "Lessardia", "Scabrostomus", "Paratithrone", "Acanthosoma", "Adinopsis", "Prida", "Camptocerus", "Collinsonia", "Cheiropleuria", "Mimogrynex", "Bouchetispiridae", "Eoscaphandridae", "Sungkyunkwania", "Streptogonopus", "Ishidatrechus", "Hylicellites", "Lampridiomorpha", "Cosmopolites", "Hodoxenina", "Perbrinckea", "Duiliini", "Dipterophlebiodes", "Nguyenibacter", "Vulcanella", "Chiropsellidae", "Lohmannosphaera", "Oenothalia", "Saviinae", "Zenkerellinae", "Schizocalyptra", "Dimetrotina", "Phycita", "Allomegops", "Varanidae", "Anatoliscus", "Rugicarventus", "Zeadelium", "Carlarius", "Deroplatys", "Castulo", "Setabis", "Spencerhydrus", "Tachis", "Zauxieus", "Cabera", "Kaatedocus", "Cichlocolaptes", "Phoenicococcidae", "Palaeophalacroma", "Cicadettana", "Mutatocoptops", "Ophioconis", "Lorostema", "Berytinus", "Strelitziomyces", "Stenotritinae", "Parapoynx", "Carcantia", "Mimalaptus", "Tanagridia", "Ampimpacoris", "Neopangonia", "Gilmoremys", "Bactrodes", "Tylosigma", "Cladoriellaceae", "Mantheyus", "Phaeoses", "Catopta", "Microprobelus", "Ceratocystidaceae", "Orthoprotella", "Scarites", "Lentimurispora", "Arsissa", "Cycloglena", "Zilchogyra", "Xenoleptura", "Halophila", "Rostraria", "Ovtsharenkoia", "Confluens", "Tarsostenus", "Chasca", "Thoosa", "Mimopsacothea", "Heurnia", "Neognathus", "Odonna", "Homoloidea", "Aeronautes", "Pseudoclivina", "Conocephalini", "Drymoluber", "Aspidisca", "Globomyces", "Anentmetus", "Spiromyces", "Neobarbara", "Mesodorylaimus", "Nephrites", "Cnidaria", "Chriotyphus", "Paradota", "Alluvisorex", "Levanderina", "Xenops", "Fleroya", "Hypochthonellidae", "Osphranteria", "Birocera", "Crenatula", "Danaini", "Denisia", "Pereute", "Metipocregyes", "Cytherellidae", "Fatsia", "Colopus", "Fenerivieae", "Pseudocoraebus", "Pomacuma", "Trizygya", "Laberia", "Hyaterura", "Pisorisporiomycetidae", "Oncoba", "Dinochelus", "Iranosphodrus", "Miguashaia", "Kuraishia", "Homalocerus", "Pseudorbitoididae", "Erlangea", "Pyraphlecta", "Mimographus", "Auchenodes", "Maeotias", "Cuvillierina", "Schwartzophis", "Heteralocha", "Parhypochthonioidea", "Veryhachium", "Accra", "Euoplocephalus", "Soa", "Xeromelissa", "Emprosthopharynx", "Ecballogonia", "Amebelodon", "Ctenodoris", "Bivesiculoidea", "Palaemnaea", "Erythraxus", "Chitinodendron", "Gabunillo", "Doryagnostidae", "Quadrithyridinae", "Cavenderichthys", "Opertum", "Rhytidenglerula", "Hindola", "Triakis", "Paralogania", "Anthosaurus", "Phenacohelix", "Sarcophagodes", "Phrynetoides", "Rhynchaenus", "Gavrana", "Restiosporium", "Sphaerocharini", "Neocapsus", "Sphaerolana", "Cyprininae", "Marionina", "Greeniopsis", "Echinorhinidae", "Pterodroma", "Homininae", "Kordiimonas", "Awaphora", "Neoseopsis", "Membracidae", "Paranaesthetis", "Eremochloris", "Speyeria", "Paronthobium", "Martianthus", "Priognathus", "Clithon", "Stylonemataceae", "Septabrunsiina", "Megalachne", "Tapinotaspis", "Urvaspis", "Theriophonum", "Tahulalepididae", "Amiga", "Ptychocylididae", "Dolianthus", "Thranius", "Arafurapenaeopsis", "Phonognatha", "Thamnotettix", "Vanna", "Oreda", "Scraptiinae", "Rastrelliger", "Tmetogaster", "Emarginariini", "Ceraesignum", "Amorpha", "Petrosimonia", "Decatoca", "Ancotrema", "Liza", "Oleeae", "Ovocyrtusa", "Kryoprorodontidae", "Tripetalocerinae", "Protodacnusa", "Neomystroceros", "Oplophoridae", "Herpele", "Paroedura", "Acrolocha", "Chedra", "Spineugrapheus", "Melloleitaoina", "Neottieae", "Pokornyammina", "Karvandarina", "Seribuscutum", "Nephthytideae", "Velarifictorus", "Termitotyrus", "Pseudothoracaphis", "Tosilus", "Pseudocoscinodiscus", "Coskinolina", "Averrhoidium", "Spondylidae", "Holaspis", "Melgona", "Muessenbiaergia", "Chelidura", "Ceratogyne", "Paracalia", "Lepiniopsis", "Ornativalva", "Strongylomus", "Kabuyea", "Notidius", "Corynurina", "Pseudolinomorpha", "Labocla", "Mariplanellinae", "Polymetis", "Austrosqualodon", "Hippopsis", "Langdonia", "Urobatis", "Ipelates", "Kethopinae", "Trinacria", "Plinachtus", "Lorenzanea", "Leiochrotidius", "Gonyophis", "Decarabia", "Feltriidae", "Herengeria", "Stylomesus", "Leiocarpa", "Ruta", "Dalodesmidae", "Ulumiris", "Leptosiaphos", "Callilepis", "Schizocoleeae", "Nitrospirae", "Pteroscion", "Procerodidae", "Rhopalomelus", "Vanneaugobius", "Platyngomiris", "Rhapydionininae", "Thyraplax", "Calea", "Agalenocosa", "Lagoana", "Linguadactyloides", "Thurammininae", "Coptognathus", "Asioninae", "Oreothalia", "Bacteroides", "Archidiplectanum", "Symbion", "Pnoepygidae", "Crepidogastrillus", "Surreya", "Lathroeus", "Teramnus", "Pseudisonychus", "Polydesmus", "Crassolabium", "Styloplanocera", "Propalticidae", "Sagittacrinus", "Gazuma", "Chremistica", "Semicytherura", "Chiroteuthis", "Desertobia", "Vulvulina", "Chlamydonephris", "Holcinae", "Trichidryas", "Pseudosolenina", "Limozota", "Neurothaumasia", "Shuyu", "Acutalini", "Xinidium", "Paramasaris", "Anaesthetobrium", "Omalonyx", "Triconia", "Laona", "Deilagaon", "Paranassula", "Rhitymna", "Psilolemma", "Talpapellis", "Leptostenus", "Aetoxylon", "Epicancella", "Steiropteris", "Hystrichopsyllomorpha", "Ferricixius", "Chloephorinae", "Aristocosma", "Cladomorphini", "Psiloibidion", "Parapyxidicerus", "Sonchus", "Miolithocharis", "Mantophasmatidae", "Paratorna", "Cordibracon", "Calcipterellum", "Olfersia", "Balaustium", "Nambaroo", "Gradsteinia", "Trichomanes", "Cocconeiopsis", "Oligoryzomys", "Stenocyplanus", "Ephoron", "Neowallackia", "Leptobacterium", "Dialytrichia", "Chydaeopsis", "Omopterini", "Alocoderus", "Haptogenys", "Neocautinella", "Ploiarium", "Orbitammina", "Polysiphonia", "Odontophlugis", "Ernstilla", "Acritogramma", "Phryganopsychidae", "Onychostoma", "Kaira", "Raveniella", "Forschiella", "Bymainiella", "Cyrtomaia", "Senra", "Parachaetophiloscia", "Turneria", "Orsillus", "Eumedoninae", "Erotylini", "Leila", "Hwangdonia", "Basichlamys", "Tricholamia", "Spiriniinae", "Pseudahrensia", "Hylocereus", "Gubernetes", "Pteridaceae", "Gekkota", "Cryptohelcostizus", "Pseudopterogramma", "Rhizopus", "Ophioleucida", "Platylabini", "Premelittia", "Saxidomus", "Borneosicyos", "Prachynella", "Dianafranksia", "Orthostixis", "Liogma", "Euclemensoides", "Zaglonema", "Sphenoclymeniidae", "Bosea", "Stenoderini", "Dictyoconella", "Emphorini", "Potentilleae", "Rutenbergia", "Bancroftiella", "Rotaliinae", "Pteleocarpa", "Brycinus", "Eucoilinae", "Turniciformes", "Spinoscina", "Sagediopsis", "Heterospathe", "Paraclupeidae", "Diceratula", "Allopachria", "Phanoperla", "Oxycephalidae", "Holodipterida", "Nanobacterium", "Labroma", "Amaropostia", "Cryptoseptida", "Karriella", "Stenomiaenia", "Anacanthobracon", "Mollinedioideae", "Improphantes", "Aphodiites", "Chaunoproctellus", "Rondonops", "Mesophaenocorinae", "Alphestes", "Latumcephalum", "Colligocineta", "Cheiroglossa", "Anthothelinae", "Ozamia", "Delpydora", "Microsarotis", "Tetradinium", "Fortunacoris", "Rhomaleosaurus", "Adesmiini", "Symmocidae", "Arthrophaga", "Morinoideae", "Paramaladera", "Zeatylenchus", "Donacobiidae", "Triodontonyx", "Cyclotornidae", "Anenterotrematidae", "Microparasellidae", "Cavellia", "Coelapatetor", "Parasitoidea", "Corvoheteromeyenia", "Thioalkalicoccus", "Gamka", "Diaphera", "Bitomoides", "Tussetia", "Rotaliporidae", "Protomallocera", "Rhombocoleidae", "Arciera", "Pseudocythere", "Plumana", "Palpimanidae", "Calybistum", "Pseudodactylogyridae", "Steganthera", "Glaucidae", "Comarum", "Amblytropidiini", "Anydrophilini", "Aplodon", "Holcopogoninae", "Baliopteridion", "Isochnus", "Melionica", "Sinoporus", "Lepium", "Cicadoforma", "Ryocalanus", "Placodus", "Psilomerus", "Pottingeria", "Myospila", "Telatynella", "Achramorphidae", "Anoplocnephasia", "Romualdia", "Epimeniidae", "Ismarus", "Velebythus", "Desmidium", "Corinthus", "Proterocosma", "Missimhygia", "Pentalinon", "Hartonymus", "Cleptomyces", "Paleoctenophora", "Idiocerus", "Komagataeibacter", "Streyella", "Atlanta", "Cyclocaridae", "Eburella", "Palombitrema", "Ochthebiini", "Mamiellaceae", "Pitavia", "Epilamprinae", "Gyrocion", "Flexopecten", "Diodonopsis", "Macroneomys", "Stomatostoecha", "Indomasonaphis", "Hemiparonia", "Goniasmatidae", "Israelimeria", "Cephalohygia", "Phanerota", "Dashymenia", "Porcellidiidae", "Epibrachylepas", "Dismastigoaulax", "Bahaia", "Cephaloscyllium", "Neodorcadion", "Drouetia", "Eurya", "Serritermitidae", "Hermannielloidea", "Platanthera", "Brumus", "Porcellana", "Azoria", "Boreviulisoma", "Ceratoperidiniaceae", "Eugnorisma", "Hemibagrus", "Lantschichites", "Microtelocerus", "Diplotremina", "Anomoianthella", "Antrocaryon", "Haplogloia", "Pseudalecia", "Bretonia", "Gymnotus", "Anostomidae", "Pristiboea", "Turneriella", "Tritheledontidae", "Lumkuia", "Hapatesus", "Orthoneolepta", "Coptis", "Arthropogon", "Neophya", "Evonima", "Teuchestes", "Heteroporus", "Machairotingis", "Novomicrothelia", "Listriodontinae", "Acentropelma", "Anathana", "Hablitzia", "Dystactula", "Micrargus", "Zozoros", "Kenyanella", "Urothemis", "Trymalitis", "Lichtensia", "Halaelurus", "Randa", "Lophorrhinides", "Cordulegaster", "Acaulidae", "Aethiothemara", "Cartaletis", "Lachesillidae", "Basellaceae", "Phoboscincus", "Temperea", "Apalis", "Bolitoglossinae", "Lophocorona", "Cylindrostoma", "Plakosyllis", "Hechtia", "Monoblepharomycota", "Polyspatha", "Lisposomidae", "Euplana", "Oidium", "Xyloplacidae", "Biceratium", "Glaucophyta", "Doesburgedessa", "Terebratelloidea", "Thyreomelecta", "Parabroscus", "Eucaphila", "Caranx", "Chrysura", "Galeodes", "Nezzazatina", "Balboana", "Phenuiviridae", "Tripartellidae", "Samarella", "Leptoceras", "Gnesiocerotidae", "Tithoreina", "Ichthyostoma", "Desmocapsales", "Anoplohydrus", "Lapicida", "Saurogobio", "Eupelmidae", "Eotydeus", "Mixonomata", "Kalore", "Bassiknysna", "Gigartinales", "Salamandrina", "Bellardiochloa", "Galanthus", "Sphecophaga", "Iais", "Trichonta", "Cebrenis", "Brassiantha", "Taphronotini", "Zeacumantus", "Bolitogyrus", "Arcyria", "Haplonycteris", "Zamolxinae", "Brevicyttara", "Trichotoxon", "Chondrothrus", "Monodilepas", "Antiphalera", "Sphaeromma", "Stegaspis", "Ligyra", "Sansevieria", "Tethyrhynchiidae", "Afropterogramma", "Baryshnyalidae", "YU", "Cottsia", "Tauropygia", "Cheiroplatys", "Acentropinae", "Anaulacodithella", "Dallia", "Kanakaptera", "Camaegeria", "Euplinthini", "Entomophthoromycotina", "Brevitrygon", "Introvertocystis", "Bostia", "Freocoroides", "Andriana", "Cryptocheiridium", "Pseudothinoecia", "Eldoradina", "Belonopteryx", "Syneta", "Chelinidea", "Platysaurus", "Prorhinopsenius", "Olgia", "Pocheina", "Omucukia", "Chlorochara", "Typhlocolpura", "Glossosphecia", "Paeniglutamicibacter", "Halopanivirales", "Chlidonias", "Cyathopodium", "Heteroglypha", "Euenantiornithes", "Polycarpon", "Georgfuchsia", "Semenoviella", "Lecariocalyx", "Caprochromus", "Nagehana", "Neochilo", "Pseudotyrannochthonius", "Coragyps", "Sphallenopsis", "Ohesaareaspis", "Skeletophyllon", "Tirania", "Projapygoidea", "Herbulotia", "Morganucodontidae", "Rheochara", "Deinanthe", "Onocephala", "Aetheorhiza", "Teratornithidae", "Xyrine", "Galeaninae", "Lixini", "Mesopolobus", "Conrauidae", "Thrinacophorinae", "Parachaenichthys", "Physoderinae", "Prethophion", "Orthodera", "Afrolepis", "Harusavskia", "Chasmatopterini", "Cemiostominae", "Faucheocolax", "Chibaraga", "Harmocoma", "Sphaeroplea", "Austradenopharynx", "Pachodynerus", "Anatalanta", "Khursevichia", "Miopithecus", "Psammodromius", "Eremobium", "Neocarenum", "Anosycolus", "Pseudospirocyclina", "Tetrakentron", "Cryptaranea", "Sagra", "Pseudepisothalma", "Peraphlebia", "Pliopithecoidea", "Insulibrachini", "Ticorea", "Kingia", "Lithomelissa", "Sculptocoris", "Tricerma", "Rubropsichia", "Euselachii", "Ibidion", "Epicroesa", "Ditria", "Amudrocerus", "Halothermothrix", "Plebeina", "Linderinidae", "Tournayellinae", "Lyrodus", "Confusaforma", "Sphinctus", "Austrokyrta", "Saccamminoidea", "Okakarus", "Artines", "Paratya", "Gastrocoptinae", "Spiroloculinidae", "Sonderothamnus", "Myrmedonella", "Sycophaginae", "Cardiobacteriaceae", "Audyana", "Darwinoplectanum", "Polyzonus", "Arthroleptinae", "Heteropterinae", "Rhynchonema", "Helferina", "Gaudeamuridae", "INIRENA", "Hormopleurus", "Cispius", "Thinorycterini", "Yakuza", "Tethycometes", "Janulum", "Trepostomatida", "Eleutherochir", "Taeniogyrus", "Oncorachis", "Neoselachii", "Pseudohypnella", "Longisquamidae", "Microphyllium", "Cabalus", "Bradypodion", "Tuberculosodus", "Xenacanthidae", "Paduniella", "Micracidini", "Awaous", "Ascosphaeraceae", "Succaphis", "Linopenthaleus", "Tateanthus", "Taniva", "Scotocryptodes", "Protohabropoda", "Hemichaena", "Decuriasuchus", "Lepisosteidae", "Exoteliospora", "Heteropterys", "Tetragnypeta", "Byssolecania", "Phyllochona", "Zenocuma", "Melanodendron", "Camerunilla", "Adeloparius", "Osperalycus", "Bipalla", "Pterygotrigla", "Callipurbeckia", "Bampurius", "Schidonychus", "Yanomamius", "Hyperisus", "Scaptia", "Leptopodidae", "Cephalocarpus", "Lamprogrammus", "Sphinctrina", "Amblynotus", "Acidothermales", "Plectolyngbya", "Pseudochlaeniellus", "Apagobelus", "Cistopus", "Mesonyx", "Glyphostomella", "Aizoanthemopsis", "Anacroneuriini", "Microthalestris", "Phaeocharis", "Velebitea", "Plecostachys", "Hexapodibius", "Chromatophotina", "Machilellus", "Tenellulus", "Microcythere", "Abseudrapa", "Paraflabellula", "Cotyorica", "Osteochilotrematinae", "Haematortyx", "Nannophryne", "Tetra\u00ebdriella", "Harjesia", "Chrysamoeba", "Brachycera", "Chalcocrates", "Cevallia", "Erysiphales", "Ourapterygini", "Dasylophia", "Nudospongilla", "Exopamerana", "Aysenoides", "Exomis", "Matticnemis", "Etopias", "Brevisegmentus", "Micromelum", "Microstenus", "Caspiosoma", "Microjassa", "Ceresium", "Sacculinella", "Anoxycalyx", "Leurochilus", "Iphiclides", "Anisocentropus", "Bura", "Microperla", "Psychrophrynella", "Columbitrechus", "Newportia", "Pounamupauropus", "Heterochelina", "Sikhotealinia", "Nesosphecodes", "Callopanchax", "Afropetalium", "Siccanda", "Bombylius", "Lecithoceridae", "Eucyclogobius", "Drepanophycaceae", "Proteeae", "Reginacharlottiidae", "Octacysta", "Planothidium", "Tetrazygia", "Ecliptopera", "Calotingis", "Mabellina", "Doryodes", "Ochetostethus", "Gephyrocapsaceae", "Solanaceae", "Eviphidinae", "Zaretis", "Cardioscarta", "Ganguilus", "Aiptasiidae", "Pteromalus", "Cirripedia", "Canidia", "Porocystis", "Tonkinoscaris", "Cicirra", "Bakererpes", "Pseudolycaena", "Cryptocharidius", "Lampropidae", "Stilicopsina", "Etanna", "Pseudischnojoppa", "Cophocerotis", "Musa", "Phylloceratidae", "Eschrichtioides", "Chlororithra", "Ancylolomia", "Vandijckellaceae", "Mangkurtu", "Parrya", "Lathagrium", "Filipinolotis", "Austroclonium", "Glomeridellidae", "Braarudosphaeraceae", "Zygogynum", "Pithophora", "Rhadinaea", "Leucomphalos", "Leucaltidae", "Lapemis", "Wildia", "Austrolinus", "Linosomus", "Bruchopria", "Hodocerus", "Diemeniana", "Bloeteanella", "Syconycteris", "Solenoglossa", "Dianemidae", "Orthogonocrinus", "Anaptomecus", "Trocnadini", "Becus", "Castanedospora", "Dohaia", "Eutardigrada", "Baeckea", "Eburida", "Homopterus", "Doras", "Ardeotis", "Zosterophyllum", "Philogenia", "Solenoceridae", "Alepia", "Ischnolepis", "Chloropyrula", "Septosperma", "Cyathaspidiformes", "Pseudaphelenchus", "Pseudodicliptera", "Combreteae", "Probaticus", "Nomisia", "Hensonina", "Parasiomera", "Ophiocnida", "Boffius", "Helichatheta", "Lecanographa", "Austroderia", "Microacmaeodera", "Ixodinae", "Thamnodiscus", "Zaproridae", "Parygrus", "Tyto", "Capingentidae", "Thamala", "Penares", "Nematomenia", "Monadineae", "Passalidius", "Gloeococcus", "Heterozerconidae", "Tropidomantinae", "Sigaloseps", "Loxoedischia", "Roccellaceae", "Thermolithobacter", "Frondibacter", "Telorchiidae", "Lychnocystis", "Hesperaletes", "Heterolimnophila", "Virgulopsis", "Myocoptes", "Cleistocarpidium", "Amphisbaenia", "Luteococcus", "Siboganemertidae", "Halopappaceae", "Ptilotus", "Chelidoidea", "Dichotomius", "Vejdovskya", "Capnodiaceae", "Hechinoschema", "Proceratosauridae", "Coprobacillus", "Acanthopagrus", "Pterostylis", "Augochlorodes", "Cymaclymeniinae", "Brevinematales", "Eucratoscelus", "Ceraleptus", "Zulialana", "Spongosaturnaloides", "Duplexini", "Linotetranus", "Huigobio", "Butalis", "Pulchrimorda", "Leucojum", "Anthoplana", "Linheraptor", "Apocaulus", "Illaenuridae", "Essisus", "Moscardia", "Esacus", "Fagus", "Crossosalarias", "Agglomerata", "Amrapalia", "Smithornis", "Langia", "Natranaerobiaceae", "Eugennaea", "Akysidae", "Intestinarius", "Anodoration", "Vataireopsis", "Choffatellinae", "Coelogyninae", "Ippa", "Clitellata", "Gymnophthalmidae", "Onirion", "Cyrtoclymeniina", "Olepa", "Elaphopsis", "Cephalostachyum", "Austrodecidae", "Brenandendron", "Pseudachillia", "Euryscaphus", "Lovriciina", "Rhopilema", "Thyrsanthemum", "Phrosina", "Hoplia", "Neoramia", "Semionotiformes", "Ochroplutodes", "Xema", "Lachnocapsa", "Silvestrichilis", "Hypomma", "Aulacopone", "Ophryomedon", "Costispiriferinae", "Turdulisoma", "Homophysa", "Doryxena", "Taitzehoella", "Neoregnellia", "Peltocopta", "Relictapsalta", "Anomotyphlus", "Aysheaiidae", "Decuria", "Leopardus", "Erycibeae", "Calocoides", "Truxalis", "Aeromys", "Penthe", "Suregada", "Waiparaconidae", "Oedemerinae", "Haliploidea", "Protoxerini", "Cymbalaria", "Phlugidia", "Albaillella", "Icterus", "Phyllopharyngea", "Uncinateridae", "Sthenognatha", "Drepanosticta", "Papuamicrochaetes", "Glycomycetales", "Pteronemidae", "Nemogullmia", "Oarcinae", "Alveocyclammina", "Becvarium", "Tegenocharis", "Ecyroschema", "Nactus", "Othos", "Pseudacuminiseta", "Tachardiella", "Deinopis", "Cesa", "Lumbrineris", "Atrichornis", "Euptilotis", "Petrotettix", "Edilemma", "Tamsita", "Paraphlomis", "Rhachisaurinae", "Raddea", "Calatola", "Notodoris", "Horsiella", "Kanikania", "Sulcoactaeon", "Rupephaps", "Guillermia", "Hecatera", "Pseudochrysobothris", "Aquiloeurycea", "Fossula", "Termitophilus", "Encyonopsis", "Megachytrium", "Epitophysis", "Andrenidae", "Costarcha", "Billingsellidae", "Hysterangiaceae", "Aenigmaticum", "Paracaraptera", "Mictris", "Stephanoxis", "Ilumatobacter", "Hakea", "Monophyllaea", "Brownlowia", "Acarosporomycetidae", "Trochosiphoniinae", "Liomopterella", "Biancaea", "Heronallenella", "Pleiomeris", "Retortamonadea", "Drymophila", "Brasilodesmus", "Lycodonomorphus", "Paracentrocnemis", "Beiduyu", "Candimboides", "Geholaspini", "Alcidae", "Pseudheleodromia", "Bothrocerambyx", "Valvaster", "Dactylorhiza", "Ablennes", "Nothocercus", "Callioma", "Cadia", "Macrothyatira", "Pycinaster", "Sulfurovum", "Gongylidium", "Pitheculus", "Gomphocymbellopsis", "Syncarpella", "Kuriidae", "Profundivermis", "Cybiosarda", "Sineviana", "Oreisplanus", "Ullrihygia", "Crobylophanes", "Clerckia", "Typhlopinae", "Strophotina", "Psammosphaera", "Dayakiellinae", "Merimna", "Neoclosterus", "Thurstonellidae", "Sophora", "Brucheiserinae", "Zelandobatella", "Sarcotretes", "Dinopyxis", "Ctenomelynthus", "Poritiinae", "Sciapodini", "Hormiinae", "Bellulopora", "Globorentonium", "Chilonatalus", "Zacria", "Charaxini", "Opisthothylax", "Xiphoides", "Victoroviella", "Coomanum", "Hahella", "Coenoryctoderus", "Glabroculus", "Ussuraridelus", "Desmeocraera", "Kephamekynella", "Moluccella", "Wharia", "Methermicoccaceae", "Lecanophora", "Thalassococcus", "Pteroncola", "Archaemecys", "Racata", "Pseudohydromys", "Termitaphis", "Aristaloe", "Girella", "Rokautskyia", "Magnapinna", "Parapleustes", "Neoraputia", "Wyleia", "Apotomini", "Coptodryas", "Khatangaphididae", "Caliciales", "Pseudochordaceae", "Aveninae", "Lucianorhabdoites", "Caecoserolis", "Syrictes", "Tuberapseudes", "Zinaspa", "Katoini", "Stiphodon", "Hippoboscoidea", "Phyllolabis", "Pallasiola", "Tombusviridae", "Aphilon", "Mallophthiria", "Lecanophrya", "Priacanthus", "Megalovalvata", "Euophryum", "Cychramini", "Dobsonia", "Araujia", "Euplexidia", "Filobacterium", "Zamodes", "Lestinogomphus", "Gelatia", "Lanceoppiinae", "Nyctyornis", "Congochromis", "Portatrochammina", "Phenacoscorpius", "Drabescini", "Aquisalimonas", "Janiralata", "Ossiannilssonia", "Kytorhinini", "Boraginaceae", "Halococcus", "Omalogyridae", "Vulcaniella", "Nectonematidae", "Palabracon", "Homalopagus", "Achnatherum", "Larinotini", "Aphanarthrum", "Apsona", "Opsicarpium", "Mycetosoritis", "Mixiomycetes", "Lemonias", "Roeboides", "Xenitenus", "Gastrolamprusa", "Crombrugghia", "Resinacarus", "Poeciliinae", "Rhinophytoptus", "Tristirinae", "Mnemea", "Oligodon", "Rhyparoclopius", "Electrocteniza", "Cymbuliinae", "Bicotylophora", "Allotriopus", "Holophagaceae", "Nosphisthis", "Triogma", "Firmicus", "Brachypipona", "Cochinchidema", "Artocarpus", "Pteraster", "Priapion", "Tyranni", "Scylla", "Nephelolejeunea", "Cinusa", "Proroblemma", "Aceoseius", "Balkaria", "Methanotorris", "Catullioides", "Hemispeira", "Hamamlia", "Halobacteroides", "Chalcolyne", "Trochometridium", "Myrrhis", "Tinkerbella", "Aphytobius", "Brachiomonas", "Elaterini", "Glycyrrhiza", "Megastylis", "Eudicella", "Lachesis", "Serinethinae", "Salvinia", "Plochionocerus", "Parablatticida", "Roeberella", "Imogine", "Cordylecladia", "Pygmaeascincus", "Riama", "Asciadium", "Creonpyge", "Linguaclymenia", "Notopisenus", "Cnemeplatiini", "Tetrapolipus", "Dracosciadium", "Papuaistus", "Agrionoptera", "Arenohydracaridae", "Adelococcaceae", "Bellatheta", "Pharus", "Nothodixa", "Sarcophrynium", "Protoctenius", "Polypedilum", "Punoa", "Amburana", "Hyperphyscia", "Stiromesostenus", "CZ-FaCEN", "Rhynchotrematoidea", "Mesonychium", "Nannochorista", "Nicella", "Donuea", "Leiomelinae", "Congea", "Fungitarsonemus", "Ambystoma", "Panophthalmus", "Biatoridium", "Indomenella", "Chaetonotidae", "Cryptotis", "Nacellidae", "Buruhygia", "Paragoniusa", "Phyllogyalidea", "Scabiosoideae", "Gelastocaledonia", "Gyalectaceae", "Compsosomatini", "Frantzia", "Ianiropsis", "Mimecitina", "Stenoconchyoptera", "Antrozoidae", "Isotominae", "Thecideoidea", "Lestes", "Parawixia", "Fopius", "Orectolobidae", "Metroliasthes", "Chenanisaurus", "Elaphropeza", "Jerildaria", "Moenkhausia", "Cyanophlebia", "Callibaetis", "Mexidalgus", "Amphibdellatidae", "Eurolophosaurus", "Tethyrhynchia", "Phaeocystis", "Fulgurofusus", "Messapus", "Ibaliidae", "Rhosus", "Dimastigella", "Silusida", "Tridimeris", "Myrmecridiaceae", "Pyxicola", "Epiphalaina", "Parahyadesia", "Trachypholis", "Philophylla", "Tryblioptychus", "Coryphiocnemus", "Calodromus", "Inbiomyia", "Peritrichia", "Eucosmophyes", "Mimononyma", "Xanthorioideae", "Clinostomidae", "Pearsonellum", "Macropelopiini", "Tarache", "Filicerozaena", "Orophea", "Sericania", "Gnypetella", "Lethaxonidae", "Yemengenilla", "Phlebolepididae", "Liocoris", "Placothuria", "Angularitermes", "Rotylenchus", "Cakile", "Epipyropidae", "Surdomedon", "Doryctomorpha", "Acaerus", "Sarscypridopsis", "Acaphyllisa", "Hemidactylus", "Pseudosphegesthes", "Xenopygiella", "Herpes", "Lindackeria", "Syngenoherpia", "Dialineura", "Protomyces", "Lyramorpha", "Paragavialidium", "Caraboacaridae", "Platyameridae", "Volvulina", "Lomagramma", "Parapolybothrus", "Novosatsuma", "Chelidonium", "Elattoma", "Cyamopsis", "Chilades", "Analogisticus", "Onychopygia", "Cribrobigenerina", "Eleniceras", "Dictyopteris", "Tornosia", "Lagostrophus", "Ananteris", "Megazarini", "Pseudonesticus", "Gnathusa", "Norcottia", "Scalidion", "Apollonias", "Longiapertina", "Simias", "Austrandesiina", "Geranospiza", "Stenomeria", "Nyctixalus", "Rhoophilus", "Renphasma", "Apatema", "Anakania", "Odontocryptus", "Notchia", "Parapalaestrinus", "Finlaysonia", "Angiorhina", "Scaptonyx", "Nesogenocis", "Tetradontophora", "Afroeubriinae", "Plateumaris", "Willungacetus", "Conipora", "Cyathochromis", "Phytorus", "Myrrhina", "Mosesia", "Actinotheca", "Spiniferaphonte", "Gavelinellinae", "Diaspididae", "Nearolyma", "Callirhipis", "Limnactiniidae", "Sphaerotylus", "Anisopappus", "Ophiophrura", "Bagginoides", "Rupornis", "Apolysis", "Yamasinaium", "Parhabdolithus", "Mexicerberus", "Eupariambus", "Callosciurinae", "Amimoscydmus", "Passaliolla", "Darvasiceratidae", "Prismognathus", "Aulacothrips", "Ordirete", "Rhizocephalus", "Microdomatidae", "Lantanophaga", "Stromatocystitida", "Crocodyloidea", "Spinamblys", "Aegagropilopsis", "Zephroniidae", "Crellomima", "Teleostei", "Gastrotheca", "Thamiaraea", "Caelius", "Auxa", "Belluloporidae", "Miarotagmata", "Berwaldiidae", "Paraiungentitanais", "Jacquinia", "Dinamoebidium", "Ectinocephalus", "Pyruvatibacter", "Lissocampus", "Euplatypus", "Eupetaurus", "Pentameris", "Zelapterus", "Epilachnini", "Paraliptus", "Krohcoma", "Tococladidae", "Eleothinus", "Euryspongia", "Araneites", "Chionosphaeraceae", "Jaspis", "Buccinosphaera", "Boletoxenus", "Plectolingulina", "Psychrobacillus", "Eumastacidae", "Parexocoetus", "Terataki", "Peyrierasus", "Marginellinae", "Nanochilus", "Nyssodrysina", "Cribrorotalia", "Telasphaerula", "Calliphora", "Pseudostephanoptera", "Cnemaspis", "Microrhopiini", "Camariomorpha", "Castanochilus", "Zebe", "Parasinelobus", "Hoplogonus", "Hypsaucheniini", "Hippidae", "Waoraniellini", "Coccophagus", "Notuchus", "Botryostrobus", "Paretroplus", "Vadumasonium", "Berberidopsidales", "Caria", "Pseudeutropius", "Elmantis", "Cyranotermes", "Aphanopetalaceae", "Ceratestina", "Rhicnoda", "Dryoctenes", "Vitimotaulioidea", "Cylindraspis", "IRB", "Gagrella", "Coregonus", "Arthropterus", "Gorogobius", "Ptilostreptus", "Tuberepyris", "Metellina", "Triceratiaceae", "Glischrochilus", "Scaphinion", "Bertarellia", "Agaricostilbales", "Milleriinae", "Ochmapexus", "Acontiostoma", "Desmophyllinae", "Romanaeclerus", "Madagopsina", "Chrysonopa", "Mesoteneriffiola", "Paesia", "Dryocalamus", "Liposcelididae", "Elapsoidea", "Phidiasia", "Lateantenna", "Frisilia", "Pseudotremia", "Polybranchiaspidida", "Phaenotropis", "Colilipeurus", "Druphila", "Thermoanaerobacterales", "Mindoria", "Amphipappus", "Trimerelloidea", "Mochlomelikertes", "Alxasaurus", "Aponedyopus", "Pentatermus", "Turiniidae", "Locusta", "Chloebius", "Diacanthodis", "Paraluteres", "Hypotyphlus", "Theaxieus", "Heteracanthocephalidae", "Kosmosiphon", "Bixaceae", "Thyasiridae", "Cimbicidae", "Cnastis", "Tyrodes", "Microspironympha", "Phylliscum", "Neoctoplon", "Machaerium", "Zygotylenchus", "Mazoplectidae", "Trechiama", "Celarchus", "Megaxenistusa", "Nemoleontinae", "Apyratuca", "Alloasteropetes", "Indostomidae", "Minaia", "Hypselocara", "Ionopsidium", "Cantinona", "Urabunana", "Ruakituria", "Leptodorosida", "Quediopsis", "Rhynchosida", "Pachyneuron", "Adelomyia", "Statanus", "Thereus", "Afroparaclius", "Pluvianidae", "Apterrinella", "Labania", "Asemospiza", "Fiersiphontina", "Hyophila", "Eudendriidae", "Ageratum", "Rhizobiellus", "Methylomagnum", "Koehneola", "Axoniderma", "Hesperiiformes", "Ctenostylidae", "Thysanosomatinae", "Rhopalotyphlus", "Acmoeonotus", "Barychelinae", "Trichodiscinidae", "Cytophagales", "Tricuspicanthus", "Microtoena", "Corymbia", "Alvearium", "Pyrenina", "Otiotrematinae", "Cebrenninus", "Orbitestella", "Penapis", "Perisphinctidae", "Calypsopycnon", "Centromochlinae", "Oceanodroma", "Pseudomorychus", "Homaloserica", "Breddinella", "Trypetheliaceae", "Nanosialidae", "Ptychodontidae", "Asalebria", "Helymaeus", "Tcholmanvissiidae", "Colchidoniscus", "Arla", "Calopadia", "Blighia", "Lemodinae", "Didymophyes", "Thaumatotibia", "Georissus", "Clusieae", "Campylomonas", "Galeommatoidea", "Phaedranassa", "Lophyroplectus", "Gonyacantha", "Dolichopithecus", "Sigapatella", "Genicanthus", "Buchonomyiinae", "Cephoidea", "Cirrhia", "Sphacelorbus", "Caenurgia", "Siptornis", "Tosia", "Rudolphiellinae", "Lepidocybium", "Perotidinae", "Cantheconidea", "Pelagodiscus", "Scoterpes", "Pharyllus", "Ladeania", "Acrocytis", "Pecanapis", "Saccarena", "Escalerosia", "Piramurana", "Neonini", "Pacificibacter", "Parakahliella", "Thebanus", "Fauveliopsidae", "Papahu", "Apsaustodon", "Pleganophorinae", "Omophronini", "Belopini", "Stenonartonia", "Pseudotracya", "Austrogammarus", "Tabellaria", "Amphiestris", "Etaballia", "Echeta", "Fibrisoma", "Chorizopesoides", "Paragia", "Dinocolpodes", "Diceratocephala", "Calymperopsis", "Melastomataceae", "Duperreya", "Sazavis", "Calliactis", "Marianthus", "Trophonella", "Boccacciomymar", "Erymidae", "Taeniotes", "Oculicosa", "Leontopithecus", "Kenderlykanini", "Testeria", "Chondrochelia", "Fumana", "Placophora", "Hemisilurus", "Thiolamprovum", "Triebelina", "Kenyaichthyidae", "Caprellina", "Siphocranion", "Elgaria", "Dobrogelina", "Plagiodontinae", "Bephrata", "Polypodoidea", "Microtitan", "Allotanais", "Talthybia", "Microchera", "Blepharomorpha", "Spinaporella", "Caiophora", "Virbia", "Setascutum", "Neotelmatoscopus", "Pallenella", "Diplotomma", "Nephrodiella", "Endeostigmata", "Colpoclypeus", "Cantherhines", "Tornatellides", "Fuscozetes", "Copromyxidae", "Caledanapis", "Patagolycus", "Dicoryphe", "Epipagis", "Megaxenus", "Trachyorthalicus", "Spachea", "Urceolinae", "Neopleurophora", "Integripalpia", "Euphellia", "Bruguiera", "Metaparagia", "Rhynchocyclinae", "Pseudorhyncomyia", "Hylocharini", "Discammina", "Gyndes", "Rhinastina", "Pliocaenicus", "Corynexochidae", "Diversispora", "Eustichia", "Pseudotangia", "Oryx", "Schizoparmaceae", "Colostethus", "Acrobelione", "Maurolicinae", "Sphuridaethes", "Megistostoma", "Histerolina", "Pseudodiamesa", "Eucerotinae", "Parhomaloptera", "Euplanoida", "Rubulavirinae", "Myrichthys", "Apterokarpos", "Retrotortina", "Eumastacoidea", "Mimipodoryctes", "Marcipalina", "Valonetus", "Pseudaplemonus", "Fallotaspidoidea", "Sarcographa", "Alveoflexus", "Mischocephalus", "Shirakiacris", "Bathypsammis", "Schoenherria", "Glandulininae", "Actinanthella", "Anakrusidae", "Selasoma", "Atrina", "Discocerinini", "Boechereae", "Lophuron", "Mimodesisa", "Paragripopteryginae", "Plicocestus", "Aphonoidini", "Hypodematium", "Ischiopsaurus", "Eulaelaps", "Crymostygius", "Hemibelideus", "Diplectanidae", "Opadometa", "Teleutiini", "Haplolobus", "Ranis", "Lathrotriccus", "Pseudomeotica", "Cuspidothrix", "Rarimicrobium", "Triplateia", "Allotigrinestola", "Tuoba", "Fungiacyathidae", "Dascillocyphon", "Rugoloa", "Loriprotolichus", "Pectinaria", "Epeirotypus", "Zephryne", "Amphilophus", "Oneirodes", "Oregoniscus", "Perillula", "Teiinae", "Paulana", "Polyphemidae", "Lethacotyle", "Glyptacus", "Typhlozyras", "Gnathidiina", "Poiana", "Hygrochus", "Odonus", "Diadocidia", "Mauiini", "Scydmaenilla", "Pseudoactiniscus", "Anisolemnia", "Stichoglossa", "Zeauvigerina", "Sunamphitoe", "Leiospermum", "Gondvanoaphidini", "Caucanthobium", "Phaneroptyxis", "Karlingiinae", "Furileusauria", "Apogoninae", "Kaseria", "Caduceia", "Ilyella", "Falconina", "Buetschliellidae", "Corimelaena", "Chabria", "Sinotibetana", "Sievekingia", "Chunqiuviricetes", "Hoplinus", "NHMOU", "Stenopolipus", "Sakaguchia", "Copelatinae", "Chrysaethe", "Cretampulicini", "Ocosia", "Traliopsis", "Poromyoidea", "Dingosa", "Boreorhadinus", "Octopoda", "Heteroplopomus", "Puelioideae", "Phaeosphaeriopsis", "Mischocyttarini", "Galbibacter", "Stegotetrabelodon", "Setalis", "Collyridina", "Alika", "Halipeurus", "Elasmucha", "Anthedonella", "Loteae", "Minthoini", "Pyramidula", "Viola", "Eryopoidea", "Depressaria", "Dicranoses", "Cosmostigma", "Selvasaura", "Nyctosyles", "Cheligium", "Graphiola", "Lepetellida", "Isotogastrura", "Plectocarpon", "Malaya", "Thermotunica", "Kangiellaceae", "Cyclophiops", "Alloclinus", "Revelieria", "Barbourofelinae", "Endospiroplectammina", "Regalecidae", "Lepidogalaxii", "Rungsina", "Lepismatidae", "Coreorgonal", "Apodryininae", "Diastocera", "Maihuenioideae", "Cupido", "Pondonatinae", "Coleotrypinae", "Elassorhis", "Oppioidea", "Aphodiini", "Ipnopidae", "Necopinatum", "Paraneosybra", "Odoniellina", "Palaeugoa", "Lipostratia", "Pleuroceratos", "Lycaneptia", "Kerjieprosbole", "Thaida", "Diapromeces", "Moraxella", "Sicyases", "Afrotremex", "Protanais", "Nosphistica", "Diogenion", "Speonebalia", "Termitoderini", "Cirolana", "Ocydina", "Steno", "Lophopodella", "Obesoceras", "Quadrellinae", "Cyrtomium", "Weitschatidae", "Pseudanthocotyloides", "Parallygus", "Nepalocoris", "Hydrothassa", "Diacarnus", "Papuadessus", "Nelepsittacus", "Praerhapydionininae", "Bruchia", "Dodecosis", "Petriolinae", "Ascaridomorpha", "Procryptobia", "Stidzaeras", "Dyscoloidea", "Abraxini", "Prosomoeus", "Silvascincus", "Indolernaea", "Acrolophus", "Myllokunmingiformes", "Modicicoccus", "Pararrhaptica", "Stenocyphoninae", "Avaceratops", "Himalayana", "Cottapistus", "Bacteriovorax", "Euconchophorini", "Gephyroctenus", "Bathyopsurinae", "Tulasnellaceae", "Biserramenia", "Zealandoberis", "Insilella", "Desulfotignum", "Archboldia", "Plasmodiidae", "Leptolycinae", "Himalobium", "Kuroshioturris", "Taufikia", "Rhachidelus", "Chirodropus", "Ferayina", "Serinirmus", "Amphiaspis", "Agonica", "Sozites", "Sipholagena", "Polycentropodinae", "Colobodontium", "Nanthela", "Cephalallus", "Ischiotrichus", "Suarius", "Paradoxosomatinae", "Sinobrosculus", "Cephalispa", "Ovoides", "Shuyushka", "Leptosaces", "Archipelepis", "Neoboydaia", "Craci", "Pseudoditrema", "Microlicieae", "Entalimorpha", "Cycloptiloides", "Choricymoza", "Sardoleistus", "Euomphalidae", "Scolopes", "Peirosauridae", "Cryptodicranum", "Mastigophora", "Ichthyosporea", "Quathlambia", "Papiliolebias", "Dvinia", "Orodontiformes", "Lithophora", "Dacnusa", "Boettgeriini", "Omobathus", "Leptodactylus", "Delfinoia", "Collartium", "Ascouracaridae", "Choanograptis", "Stilus", "Ganawamaya", "Pseudocitrobacter", "Geniostemon", "Discotettigini", "Sulcolotis", "Gonostomatidae", "Kayesia", "Querula", "Lyssomanes", "Nematozoniidae", "Chaetosphaerellaceae", "Planorboidea", "Cathormiocerus", "Amiculus", "Microtetraspora", "Stellariopsis", "Peyerimhoffiolina", "Tetralycosa", "Platypodiella", "Notheiaceae", "Acanthagenys", "Haeckeria", "Anomalinellinae", "Rotundocoris", "Exostigma", "Chromoptilia", "Percomorphaceae", "Sufflogobius", "Pisciglobus", "Evermannellidae", "Swingsia", "Terpandrini", "Apataniinae", "Periga", "Acanthodendrilla", "Cancridae", "Notiodrassus", "Parallelodemas", "Schizolobium", "Thaumatomonadidae", "Conicotheca", "Andasibe", "Nymphaeales", "Draculiciteria", "Shorea", "Nesampelos", "Sarcocapnos", "Loxostylis", "Flectichona", "Prostomariidae", "Cicindelina", "Paedocyprididae", "Aramus", "Ptilothrix", "Dryadosaura", "Alfaro", "Xanthocephalum", "Polymorphinidae", "Laxoplumeria", "Homonoeini", "Luiseia", "Ecphylopsis", "Mazahuapertha", "Nothocasis", "Chlamydella", "Engelhardioideae", "Rhopalodonia", "Hyphomonadaceae", "Venia", "Melanamansia", "Paradynomeninae", "Auriculastra", "Neochetina", "Murrayinella", "Rossellidae", "Thestral", "Magnastigma", "Cribrospira", "Ancistrocerus", "Collodennyus", "Gelastocera", "Idiopyrgota", "Moinidae", "Senilites", "Schistostega", "Collenettema", "Microscilla", "Zopherobatrus", "Mimeuria", "Phrissomini", "Enicophlebia", "Tomicus", "Allorattus", "Rupicolinae", "Lacihabitans", "Ctenoplectrella", "Camptonyx", "Gymnopogon", "Calomyscus", "Rozella", "Gespanna", "Brotheolus", "Trichanthera", "Heteroneda", "Myrmecridiales", "Thamnolia", "Aglaoschema", "Neocaecilius", "Xylocorini", "Spinifex", "Cecidosidae", "Catervaparmaster", "Burlingiidae", "Rudrini", "Didymocentrotus", "Randiellidae", "Lytarmes", "Pterygotergum", "Apsilocephalidae", "Phrixolepia", "Platyrileya", "Sphaerellocystis", "Panuridae", "Decalobanthus", "Rondonusa", "Lophodoris", "Rectoammodiscus", "Sastra", "Aechmura", "Cayaponia", "Tricholaena", "Rhinotiodes", "Termitopula", "Castanospora", "Citronella", "Hyptiorrates", "Homoeophloeus", "Rimosodaphnella", "Eudryoctenes", "Syrmatium", "Helicophagella", "Amphilochidira", "Scolopsis", "Basileobius", "Fabula", "Tegulinus", "Hahniidae", "Metachrostis", "Fonsecazyma", "Strophocheilidae", "Vanniopsis", "Oedischiidae", "Chelibranchus", "Nesoscapha", "Wettinia", "Gnathodoridacea", "Ochrosiinae", "Olenellinae", "Quinqueloculina", "Sphedanolestes", "Platydoryctes", "Boulengerochromini", "Pheidole", "Odontobutoidei", "Kankuamo", "Stenadalia", "Neotropopella", "Telekia", "Lamarckella", "Picromyza", "Ombronesus", "Microdixa", "Pleonectopoda", "Phalepsini", "Ferraria", "Peromyia", "Eudiocrinidae", "Freddius", "Holocephalimorpha", "Chrysomeridaceae", "Eccritotarsina", "Muraena", "Amaltheolepis", "Streptogyneae", "Dicranoloma", "Balkanoniscus", "Paramaka", "Exyston", "Aphalanthus", "Epalxella", "Machiloides", "Phenacomys", "Melittomma", "Annabella", "Stenusa", "Menesida", "Belosaepiidae", "Kosmotogales", "Trematosauridae", "Ekkentropelma", "Serikasomina", "Domicola", "Mena", "Thunbergia", "Archiphlebia", "Chalcolema", "Digonopyla", "Pygopodomorpha", "Agra", "Carmichaelia", "Erismantheae", "Reinga", "Creaphididae", "Parapontellidae", "Hypsipyrgias", "Bryophacis", "Lycoplateros", "Comperocoris", "Wiedomys", "Stylotheca", "Nabicerus", "Vermilingua", "Triplocephalum", "Oxneria", "Didascalus", "Pedostibes", "Exomesites", "Steriphopus", "Castor", "Cyprinodontoidei", "Icosium", "Williamodendron", "Henrotiella", "Yasnita", "Strobilopsidae", "Parthenocissus", "Chlorovitta", "Darderia", "Cyclargus", "Eurostodes", "Metironeus", "Demomisis", "Saraca", "Scolopini", "Therinia", "Asterigerinella", "Prorhynchida", "Protostaphylinus", "Rauisuchoidea", "Chilomeniscus", "Lamprocyphopsis", "Hydrolithoideae", "Arsenophonus", "Sauracanthorhynchidae", "Caliciviridae", "Odontophoridae", "Neopicrotus", "Lecohuia", "Archboldargia", "Docolens", "Compsothyris", "Platynematum", "Psoinae", "Hoplobatrachus", "Mycerobas", "Uroxys", "Anarthrura", "Cassidinoma", "Hypoliodes", "Scotocerca", "Molgulidae", "Tanybyrsa", "Eremiothrips", "Ducrosia", "Ijimaiellia", "Remijia", "Armariolus", "Delamuretta", "Chimaerocestos", "Paracoenogonimus", "Neopleustes", "Tapinauchenius", "Hippopodiidae", "Caymanostellidae", "Trichydridae", "Luffisphaera", "Oeclidiini", "Wittia", "Schmidtottia", "Spilorhombus", "Kyrtolitha", "Moropsychinae", "Ebertia", "Ribautiana", "Agassizodus", "Hypogexenidae", "Sehirinae", "Stenipedis", "Macyniinae", "Oocystis", "Lampridiformes", "Nestegis", "Vesperidae", "Darpa", "Paracryphiaceae", "Gonioctenina", "Colpichthys", "Gigantocoraebus", "Spilomenina", "Bazikalovia", "Broscina", "Munychryia", "Selenodictyon", "Caesoris", "Blepharotes", "Exechia", "Isopoda", "Pararileya", "Catlocarpio", "Teleia", "Ibicella", "Carteridion", "Dimetrodon", "Prolixibacteraceae", "Macroagelaius", "Byctiscophilus", "Fumaria", "Paroryctoderus", "Cymbiola", "Bilyesta", "Dorcaloemus", "Falagonia", "Trocodima", "Selena", "Termitotroginae", "Lanthus", "Paradoxomyces", "Brachycepsis", "Pseudocnemodus", "Astronesthinae", "Rusceae", "Chlamyphorus", "Voragonema", "Metroxylinae", "Rhinelepini", "Garosyrrhoe", "Lobivia", "Leptictida", "Glaucomys", "Elektrithone", "Stenectoneura", "Cephalocoris", "Panamacoris", "Collodictyon", "Salinibacillus", "Halictophagus", "Phyllotrogina", "Erythemis", "Siphoneugena", "Heliothrix", "Mayaweckelia", "Batrachomatus", "Procletus", "Melanalia", "Athoracophorus", "Horologion", "Archetypina", "Caprichromis", "Philantomba", "Scoriodytinae", "Hemitedania", "Sergestidae", "Scutariellinae", "Willungella", "Beiselia", "Myrmosicarius", "Caprosimilis", "Orophosoma", "Toxala", "Dipsaceae", "Thermoflavimicrobium", "Thermothrix", "Succinoomorphus", "Flavignomonia", "Sindris", "Porotyphlus", "Ladellodes", "Oratosquilla", "Pyrgidium", "Kintokiocolax", "Thalassomycetales", "Thiaridae", "Pucina", "Latortona", "Grimmia", "Gloeomonas", "Leucotrichia", "Eudesmia", "Rhynchorhina", "Altaiodromicus", "Ploettnerulaceae", "Sinierus", "Plesiodipsas", "Aphelinidae", "Xanthoarctia", "Diacronema", "Eugnathus", "Cenothyla", "Callopsideae", "Achalcinae", "Xenostaffella", "Basitoxus", "Phaethon", "Canthyporus", "Babelispirillina", "Leiosaurus", "Pseudolueheia", "Stegnosperma", "Kinyongia", "Occidentoschwagerina", "Enicognathus", "Paramelanauster", "Metatrachelas", "Neothyrostroma", "Prorodontidae", "Almaena", "Serratacarus", "Cretodryinus", "Calyptronotum", "Monoblastia", "Ochropleura", "Lathrorugilus", "Acidaminococcaceae", "Torometopa", "Soter", "Metacystis", "Tetrafulgoria", "Dechlorobacter", "Agelaius", "Rhaestus", "Camarosporidiellaceae", "Tasmanityrus", "Neaera", "Metablus", "Aplysilla", "Mesoleius", "Astrochelys", "Aphytopodina", "Spiniphryne", "Gompeliina", "Mimoopsis", "Sarbine", "Fusibacter", "Parahygrobia", "Gastriocerataceae", "Austromyans", "Discocharopa", "Antillipeltis", "Lagynis", "Murrayona", "Ventriculinidae", "Paracyrtolites", "Oreopsocus", "Barossus", "Cleistoblechnum", "Melanostachya", "Demequina", "Austrofolium", "Scarinae", "Calyptostomatidae", "Yneziella", "Taraxetaxus", "Nothotelus", "Heteronympha", "Granopatagus", "Nitratiruptor", "Corythoxestis", "Botyodes", "Adelphacme", "Diplometopon", "Pandanagraecia", "Pamburus", "Cissuvorini", "Cetraria", "Bjornbergiella", "Exocarya", "Miroclavigerina", "Spongomorpha", "Metopiida", "Mesonodon", "Limnichopharini", "Monotoca", "Kweilingia", "Zoophthora", "Sumatrina", "Crocodylinae", "Fossocarus", "Malpighiella", "Cymatonycha", "Juscelinomys", "Onotokiba", "Tanaecium", "Yunzhangia", "Asemorhinus", "Karachicoris", "Timyma", "Calodera", "Tribatus", "Phloeophila", "Thorkelius", "Probeebei", "Polydamasium", "Cardenio", "Temburongia", "Carum", "Platylabops", "Plehniella", "Metschnikowia", "Pantacantha", "Monoplacophora", "Archamoebae", "Nudechinus", "Nematinae", "Hemigraphis", "Cyclochlamydidae", "Tetracentrosternus", "Brachyceratops", "Pseudohyparpalus", "Mountelgonia", "Erpobdellidae", "Austrocotesia", "Uichancoella", "Longiochrea", "Paleomeridae", "Chaetosogonocephus", "Tomentoprotaetia", "Protactus", "Phytosini", "Oxalis", "Papillopsocus", "Seiurus", "Neotrachys", "Elemacoris", "Ixalotriton", "Dilobinae", "Monopelopia", "Heteronetta", "Nodochrysa", "Sodopsis", "Colobogynium", "Novalesiinae", "Unduncus", "Coleopsis", "Ramariopsis", "Chenonetta", "Brachypylina", "Leptosomatidae", "Erythropodium", "Asilaris", "Divinotermes", "Fringilla", "Ektatotricha", "Canchim", "Stylocidaris", "Lirabotys", "Quasimusini", "Ripidiinae", "Taicolopodacus", "Philenoptera", "Arcyptera", "Tachaea", "Ergasteriocerus", "Hormosininae", "Arachnula", "Anomalomyces", "Macrochelini", "Ranavalona", "Synonychimorpha", "Olmotega", "Euporismites", "Jonesiobryum", "Rugulopteryx", "Dinornithidae", "Phaneresthes", "Leyanella", "Tanygnathus", "Ceratophyllus", "Anhammus", "Cephalothrix", "Naetrocymbaceae", "Neopurcellia", "Camptandriidae", "Nonochamus", "Psoquillidae", "Binburrum", "Llavea", "Physopeltinae", "Tenebrosternarchus", "Oficanthon", "Pepsis", "Metahyphopichia", "Arenicellales", "Amazonicesa", "Tipulomorpha", "Termitoecia", "Didymoplexiella", "Sporosarcina", "Cyclammina", "Thysanotaenia", "Synuridae", "Allonapochus", "Otolithoides", "Malouetieae", "Actinolepidae", "Pachyptera", "Proteinivorax", "Carouxella", "Collix", "Bucorvellus", "Konatopus", "Strumaria", "Brenthorrhininae", "Citrimicrobium", "Pseudogargetta", "Konjikia", "Microtribus", "Batrachoidaria", "Niarius", "Cyclanthera", "Chasmodon", "Chaetocerales", "Callograptus", "Schlingeromyia", "Hyperiella", "Tetragondacninae", "Lamarckiana", "Uracanthus", "Bucinozomus", "Antigonariidae", "Pseudevernia", "Phaeogloea", "Machaeraptenus", "Antarctocolax", "Iole", "Hylomyscus", "Lasiocereus", "Heronallenia", "Malaclemys", "Acansozostera", "Lagarodus", "Calanoida", "Protodiopatra", "Synurella", "Silo", "Microctenopoma", "Hymenochaonia", "Oldenlandiopsis", "Cyanohypsa", "Capnodoce", "Nematocentropus", "Scutigerina", "Carenesycha", "Leptocleididae", "Parvocavatus", "Thorosphaera", "Brosmophycis", "Prosorhynchinae", "Apectodinium", "Kerivoulinae", "Kazerunia", "Camptostylus", "Romnalda", "Dermamoeba", "Ephemeroptera", "Ceratogomphus", "Zetka", "Holocentropus", "Musteloidea", "Graviengertia", "Perineus", "Linnaeosicyos", "Gigantapseudes", "Mythimna", "Colaspoides", "Claseini", "Panyptila", "Pseudocycnidae", "Lomatocarpa", "Aequipecten", "Roesleria", "Psilopinae", "Eubranchipus", "Ceranota", "Uirassu", "Agraptocorixa", "Ameletopsis", "Glossotermes", "Hoplopleon", "Austrocuma", "Uteriporinae", "Dibasterium", "Primnoella", "Thaumastochelopsis", "Biermannia", "Stenoschmidtiinae", "Dymorphocosmisoma", "Ibycus", "Cyrtopholis", "Tetralobistes", "Pseudoplatylabus", "Alaplena", "Palaeoerirhinini", "Nipaecoccus", "Somadasys", "Allopseudaxinoides", "Loricata", "Alcainea", "Eumadasumma", "Phthanoperidinium", "Gyponana", "Panialna", "Phasianidae", "Cribrolinoides", "Stevewoodia", "Biddulphiaceae", "Paleopanex", "Nymphocorinae", "Vermilphalonia", "Cymbaeremaeidae", "Fizesereneia", "Eremophysa", "Triparmaceae", "Coptotominae", "Tragia", "Coccidinaceae", "Physcaneura", "Lamiinae", "Orientina", "Kaulocoris", "Neidalia", "Spinibarbini", "Solox", "Brachyhospes", "Ischnoglossa", "Packardia", "Pseudoscolia", "Apsilus", "Torbenwolffia", "Moritzia", "Notobasis", "Telotheta", "Aglypta", "Ageratina", "Gasterocomacea", "Bryoxiphiales", "Stictidaceae", "Galacantha", "Micrommata", "Sulcifigia", "Planotortrix", "Wyeomyia", "Sula", "Veillonellaceae", "Chiromyzinae", "Nepticuloidea", "Eulasiodora", "Pseudodoliops", "Archaeomenia", "Pseudhemistomum", "Slackia", "Paradidymocentrus", "Onychodontidae", "Orthocladiinae", "Myxococcales", "Gammamyces", "Discomorphella", "Bryocaulon", "Gelsemium", "Pityophthorina", "Notograptus", "Megacythere", "Mesostena", "Paelocharis", "Forbestra", "Frumenta", "Austrolethops", "Idiolorryia", "Ditylum", "Saldoidea", "Melothrieae", "Glanycus", "Anisotominae", "Malesherbia", "Ehrharta", "Dima", "Pugiodactylinae", "Papuanusa", "Scyphopodium", "Africalpe", "Callostethus", "Haplopharynx", "Manueliini", "Lepidophloios", "Acostonotus", "Mesochytrium", "Manodactylus", "Centruroides", "Cymatognathus", "Juroglypholoma", "Junco", "Monobryozoidae", "Hyalochna", "Psechrus", "Andesembiidae", "Sinichella", "Cicaditrombium", "Paspalia", "Neotogaria", "Neoerysiphe", "Anthophila", "Oeconesidae", "Agraphus", "Syntypistis", "Rhynchobatus", "Dioridium", "Didangiidae", "Eropeplus", "Placidochromis", "Archaeosporomycetes", "Tritirachiomycetes", "Cholovocera", "Nepinae", "Nigidiini", "Bunaka", "Nilssoniopteris", "Frondihabitans", "Solenandra", "Agilaus", "Tytthus", "Kuemmerlea", "Blaptica", "Stolotermes", "Epigaea", "Halleorchis", "Dontostemoneae", "Ginshachia", "Trachylomataceae", "Feldstonia", "Platyrhacidae", "Neospiza", "Epimixia", "Tarsocryptus", "Anostomoides", "Ecuadattus", "Robsonomyiini", "Pseudokuhnia", "Dithalama", "Cataphryxus", "Fulvioaustrus", "Rhysacephala", "Asterophragmina", "Galveodon", "Spirostreptida", "Plutellidae", "Lichenomima", "Hieracium", "Donaciolagria", "Viridonia", "Pseudomorus", "Brachinus", "Metataenia", "Hydrogenothermus", "Coleochaetaceae", "Nia", "Cheloneae", "Megachasma", "Teloganodidae", "Vipaka", "Batia", "Amphithemis", "Chamaepetes", "Ochosternus", "Schoenbornia", "Termitospathius", "Afroataenius", "Maculonecroscia", "Titanosaurus", "Pseudempusa", "Choristodera", "Phyllobaeis", "Jankeijcythere", "Dinopelma", "Acariformes", "Luisiella", "Restrepiella", "Brychiopontiidae", "Liochthonius", "Procyonidae", "Oryzinae", "Syringolaimus", "Dehalobium", "Prothysana", "Zealaranea", "Escala", "Madapoderus", "Hormogastridae", "Transversotrema", "Glaphyromorphus", "Barnardia", "Aestuariibacter", "Striatoptycholaemus", "Coenites", "Pycnophyllum", "Pampadromaeus", "Agnara", "Acrymia", "Parajassa", "Blepharrhymorphus", "Macrocercinae", "Andreiomycetaceae", "Trichinellidae", "Wurdemannia", "Riotintobolus", "Chlamydomonadaceae", "Pseudacanthocera", "Newcastelia", "Agonus", "Diademaceae", "Trypauchenopsis", "Kreodanthus", "Siphocranioninae", "Sorosphaera", "Aneura", "Henicus", "Acrhelia", "Piratosaurus", "Piestoneus", "Theamatidae", "Tortricinae", "Leopoldium", "Lygaeus", "Viscaria", "Lemairegisa", "Egregia", "Oxysoma", "Beesoniidae", "Ditrupa", "Hyperarctis", "Rubicundinae", "Cassidulinoidea", "Woodfjordia", "Leptamnium", "Roraimia", "Ellateptus", "Chrysozymaceae", "Fluminaria", "Halocypridina", "Hermannomyia", "Agnoea", "Paravinculia", "Orientochile", "Cyrtolophosididae", "Lindernia", "Orthorhyncus", "Polystachya", "Arctella", "Claustrosporida", "Arias", "Nyoma", "Chondrula", "Sphinginae", "Echinorhynchotaenia", "Tubuaia", "Gentianinae", "Electridae", "Acerophagus", "Hadrodemus", "Ohashi", "Psalistops", "Thomisinae", "Davidibelus", "Chytriomycetaceae", "Biloclymenia", "Salinispira", "Ptinus", "Thoracophorini", "Astroblepidae", "Perigonica", "Macrobothriotaenia", "Tracheloteina", "Arachnida", "Schizotus", "Macrotomini", "Nipponasellus", "Mauesiini", "Pavlovophyceae", "Capromys", "Cecropia", "Limifossoridae", "Rexea", "Fennerogalathea", "Argyrarachne", "Scolothrips", "Sminthurides", "Urota", "Apalopteron", "Pogonomelomys", "Pseudolampra", "Haliophasma", "Cotychroma", "Gonatopus", "Edmondia", "Spinalia", "Serilophus", "Sternophysingidae", "Cantacaderinae", "Banksinoma", "Stephostachys", "Rhabdammina", "Litorivivens", "Agriothera", "Atoposega", "Antitypina", "Betocalea", "Chthamalidae", "Andinagrion", "Cupidesthes", "Tilletiaceae", "Inhella", "Proplerodia", "Ramakrishnania", "Pycnoderma", "Mesolygaeus", "Orthopsyllidae", "Anteonopsis", "Karatausia", "Kapsa", "Pachypappella", "Oedischimiminae", "Myconites", "Hamelieae", "Omophroninae", "Barbodes", "Sybrocentrura", "Odontoceridae", "Aulacigaster", "Parellipsidion", "Pseudoxypodinus", "Platyplectus", "Amintinus", "Criscianthus", "Austroperipatus", "Asteropyreae", "Dalmisus", "Pyrenula", "Fagopyrum", "Capreolia", "Rachidiscus", "Vouauxiella", "Lagenidiopsis", "Calycosiphonia", "Caulotops", "Simophion", "Acanthotydides", "Sphenocentrum", "Protodiaeretiella", "Arcastes", "Falklandiella", "Villopsocus", "Favorinus", "Achranoxia", "Miklukhoceratinae", "Heliconisa", "Puncticeras", "Paraskevia", "Pimelea", "Lissagria", "Pilobaloderes", "Centrolepidoideae", "Placodermi", "Colwellvirinae", "Derepodichthys", "Agyrium", "Micromyrtus", "Thraupis", "Astrolophidae", "Liparetrus", "Apocharips", "Pseudohaliotrema", "Bromheadia", "Platygloeaceae", "Hypolithus", "Promelitta", "Ferritrophicaceae", "Ampelosicyinae", "Errazurizia", "Pseudopedinella", "Akihito", "Athoracophoroidea", "Ophichthidae", "Cyclolobaceae", "Eremiaphilidae", "Flagrospira", "Pterothrissinae", "Archidiaceae", "Chalastinus", "Bouzetia", "Afraegle", "Cribrinopsis", "Oxyconger", "Oligotrichocera", "Neobala", "Fayodia", "Flatbergium", "Epijana", "Krikoumbilica", "Aristosoma", "Enicodes", "Eucalybites", "Chthonopes", "Alstroemeria", "Glypheoidea", "Typhlops", "Salamancaniella", "Coeruleotaygetis", "Ouranion", "Hymenops", "Acallorneuma", "Euryncephalodonia", "Gampsonyx", "Incarum", "Thermorthemis", "Weberbauerocereus", "Castellanosia", "Xerophygus", "Elporia", "Falsenicodes", "Fusionodes", "Staurocalyptus", "Masaakia", "Puzanovia", "Macrorchitrema", "Gallinuloides", "Melanographa", "Cypraeoidea", "Aeretes", "Histiophysis", "Obiraceras", "Laphria", "Decatomothorax", "Penianthus", "Bathytentacular", "Exallomorpha", "Stokesiinae", "Prioninae", "Harpasus", "Hydrococcidae", "Prepalla", "Clothoda", "Diadematidae", "Siamlema", "Sepedonella", "Dihelus", "Chedima", "Otohime", "Pagodulinae", "Chili", "Ardissoneales", "Cylindrobullidae", "Altiplania", "Macroarthrus", "Nebrarctia", "Chamaelycus", "Poecilasmatidae", "Hemiacridini", "Lophichthyidae", "Gehringia", "Heligmosomidae", "Kosswigonema", "Phlugiola", "Drasinus", "Manocoreini", "Hemiodoecellus", "Isoteinon", "Bangaloides", "Pontocythere", "Triplatyx", "Pterostichina", "Jullieniinae", "Eristalinus", "Syntomium", "Brachypterus", "Pereskia", "Delininae", "Phyllopodopsyllus", "Terpna", "Carmenta", "Micrelephas", "Stygamoebida", "Phalacridae", "Apochrysinae", "Nebris", "Eremosyne", "Stenopodidea", "Paucituberculata", "Gloeobacteria", "Kielcensia", "Palpophriidae", "Aira", "Enhydris", "Allopogoniinae", "Asaphomyia", "Chrysomonadida", "Peniaceae", "Algiphilus", "Neotominae", "Zacotus", "Pleistophylla", "Cunaxidae", "Echiura", "Aetia", "Entomoculia", "Zenkeria", "Caladomyia", "Probatrisus", "Folsomina", "Palaeotheriidae", "Plexitartessus", "Sardinidion", "Megommation", "Dorcasomini", "Phymatolabina", "Bircericola", "Parastivalius", "Reussoolina", "Macellina", "Sabellinae", "Grevilleoideae", "Muelleranthus", "Hoplocheiloma", "Ocoidae", "Mudaria", "Adonideae", "Ecphymacris", "Laccornini", "Kytococcus", "Melampyrum", "Kodocephalon", "Microceris", "Nephelobotys", "Oestropsinae", "Allomengea", "Microgastrinae", "Sarcosagium", "Cinclotaenia", "Scirites", "Catabotryaceae", "Gazelletta", "Bclasvirinae", "Galinsoga", "Electrotettix", "Mimotrochus", "Odyssea", "Saltoblattella", "Baloghiella", "Desulfuromonadaceae", "Monomia", "Jamesioideae", "Parahyadina", "Baryphas", "Grillina", "Coronarctus", "Microcambeva", "Australoconotida", "Glironia", "Skrjabinotaeniinae", "Heynella", "Speerschneidera", "Mexilana", "Cacoecia", "Zomicarpeae", "Catenisphaera", "Ardonissa", "Archaeochlus", "Sterropristes", "Gracilimonas", "Cosmetra", "Didicrum", "Robertinoides", "Parabodonida", "Cteniopus", "Coccoloba", "Indopalpares", "Wielandomyces", "Massaria", "Bleptaturus", "Lepinotus", "Guindilia", "Heliomata", "Odontocycladidae", "Inocarpus", "Hippopotamyces", "Mitonia", "Dicynodontipus", "Arnicratea", "Fenollaria", "Leribe", "Projeannelia", "Trachyrrhopala", "Sclerodinium", "Melete", "Eriopisa", "Pelagostrobilidium", "Brassolis", "Earicandona", "Hyaloklossia", "Ologamasus", "Camioleum", "Prolistrophorus", "Cryptasterina", "Loberopsyllus", "Oaxacanthaxia", "Methanosalsum", "Diplocentridae", "Protochoristella", "Nevermannia", "Xenolechia", "Chrysoma", "Sogerianthe", "Dignomorphus", "Anaceratagallia", "Heterogastridae", "Subordo", "Alphatetraviridae", "Stauntonia", "Trachops", "Kynotus", "Catoptridae", "Pachychilidae", "Ulanar", "Megathopa", "Thysanoglossa", "Gyrographa", "Ablabera", "Ateucheta", "Discoderella", "Parnassiini", "Kalliapseudes", "Cryptochloa", "Belemnopseina", "Chlorobium", "Tritonia", "Pseudopalmula", "Trissexodontini", "Lincolna", "Spathiospilus", "Sapotoideae", "Palaeodictyoptera", "Halajaphis", "Bembidiina", "Fuscus", "Macroseiini", "Cleothera", "Paracephaleus", "Storthyngura", "Fuchsiini", "Paramongoligena", "Pungalina", "Anthracotheriidae", "Liodrosophila", "Epacris", "Pterogenius", "Isomerida", "Chloroclados", "Prangos", "Sangeeta", "Trephisa", "Dicerandra", "Beeveria", "Pseudolituotubidae", "Savignya", "Andresia", "Lomechusoides", "Chasmodes", "Meterostachys", "Utetes", "Labeotropheus", "Ammodiscellites", "Zaramilla", "Altopedaliodes", "Symplocaceae", "Storenosoma", "Lanthanomelissa", "Liodontomerus", "Megasoma", "Filipendula", "Lobopodia", "Sericesthis", "Barbella", "Stygohydracarus", "Diamphidaxona", "Echinophallidae", "Myzopodidae", "Jungermanniopsida", "Microbotryales", "Diplophryxus", "Koobor", "Listrini", "Thiotrichales", "Phymata", "Plagiolophus", "Cacephatus", "Anaticola", "Pachytrachis", "Spectracanthicus", "Forsythieae", "Hemipenthes", "Lygdaminae", "Bothriomyrmex", "Prolecithophora", "Brotherobryum", "Neis", "Lystrocteisa", "Krauseia", "Hyalinaspis", "Olcyphides", "Stereostratum", "Trichohoplorana", "Gymnosporangiaceae", "Toxorhamphus", "Almafuerte", "Christensenidrilus", "Lecosia", "Papyrotheca", "Glionnetia", "Arkyinae", "Platycaelus", "Loricariinae", "Oxylamia", "Toelgyfaloca", "Paralethariicola", "Colletes", "Apistoneura", "Helluomorpha", "Metadidymocystini", "Elateroides", "Pannonibacter", "Pseudopotto", "Cyclotus", "Achlys", "Catognatha", "Porisminae", "Britomartis", "Anteholosticha", "Nemophas", "Tetragonostomina", "Humiditaenia", "Satakentia", "Bathyspadellidae", "Leptanthicus", "Stelletta", "Megaleptoperla", "Porcellio", "Blastobasidae", "Copobaeninae", "Psychroserpens", "Spencermartinsiella", "Calloeneis", "Chrysis", "Siderastreidae", "Saccamminina", "Eristparcula", "Bucolellus", "Tintinnabularia", "Blastovalva", "Pachysphinx", "Sparganophilidae", "Hemichromis", "Burnatia", "Seselopsis", "Cerais", "Labellicula", "Heterocephalobus", "Trigonuropodidae", "Jasminanthes", "Neosilvius", "Chlororhabdion", "Nesolathrus", "Acanthocranella", "Otolemur", "Paracuris", "Paratimea", "Paraechinus", "Houbaropsis", "Scolomus", "Criniferum", "Larvamimidae", "Pelocola", "Psyllopsis", "Adenoglossa", "Nebriini", "Euconosia", "Opheodrys", "Cephalobothriidae", "Phanis", "Pelmatopina", "Philhydrodema", "Pycnopalpina", "Cratocerini", "Lissapterus", "Pantheaforma", "Pleomorphus", "Hemiglaea", "Maxmuelleria", "Myrmecozelinae", "Birnaviridae", "Calomacraspis", "Pseudotajuria", "Mesoveliinae", "Podoceridae", "Palpita", "Neophonus", "Mileewinae", "Ruthmuelleria", "Sedimentitalea", "Cycloctenus", "Grevea", "Diplacanthogaster", "Nigridonus", "Exaeretia", "Geofilum", "Hyperbatus", "Peltospiridae", "Clistax", "Kawanaphila", "Pseudoatta", "Tetrapterum", "Eupalamides", "Ranidae", "Dolichostemon", "Abarenicola", "Trichiurus", "Loberus", "Candida", "Parathetesis", "Afropselaphus", "Priopoda", "Euidosomus", "Phyllodictyocha", "Titanomyrma", "Paracalamobius", "Sigesbeckia", "Dodartia", "Spelaeophryne", "Chalcolestes", "Lyrognathus", "Inuliphila", "Erpachara", "Hardella", "Metopsilus", "Mimononymoides", "Eucycliophora", "Dactyloceras", "Kenyatricha", "Pycnophus", "Neobaryssinus", "Peltoboykinia", "Sphaeriodesmidae", "Lembosina", "Ichthyborus", "Gigantettix", "Rhoiptelea", "Ferugliotheriidae", "Parindjapyx", "Orophodontidae", "Fidicinoides", "Anathix", "Alogostreptus", "Macranillus", "Stylogeocoris", "Metamelanea", "Asthenepoda", "Linognathus", "Myrmeciinae", "Protandrena", "Caledonicrinus", "Alomyini", "Falsiporphyromonas", "Platnickina", "Sathrochthonius", "Paroecus", "Laccornis", "Rhopalosciadium", "Homolotropus", "Metadoxididae", "Parananomantis", "Sternopriscus", "Loboppia", "Arabembia", "Cemophora", "Neodiphyus", "Spirabutilon", "Myrmicaria", "Agallia", "Perlinodes", "Phytotoma", "Cochlochila", "Acuticoxa", "Medioppiinae", "Araneotanna", "Astraeini", "Atteva", "Cowlomonas", "Podacarus", "Digitipes", "Celatoxia", "Lemna", "Zosippus", "Clidicini", "Eudryas", "Alphamonas", "Devarodes", "Gnathostomulida", "Cesabasis", "Andresiidae", "Archaeidae", "Elephantomene", "Oncopeltus", "Ampelita", "Verrucularina", "Plutonodomus", "Euseiina", "Clistoconchidae", "Pleuronitis", "Terate", "Nordsieckiini", "Phycodrys", "Nanorchestidae", "Heptodonta", "Sinonympha", "Nodosarella", "Nigrosiphum", "Spinularia", "Borismene", "Recchia", "Atelestites", "Stalaria", "Gynandrotaeniinae", "Corynanthe", "Limnobatodes", "Zygosiphon", "Casignetus", "Pararhyssalus", "Rhammura", "Pseudesarcus", "Didelphini", "Didymanthus", "Gnidia", "Rytigynia", "Epilepia", "Puripnozethus", "Elasmotropis", "Ptochosiphla", "Oxyruncidae", "Melinnoides", "Discophallus", "Sclerodactylon", "Euphranta", "Brassicophycus", "Clavagelloidea", "Rhyxiphloea", "Gonioma", "Rhinosporidium", "Paralamyctes", "Lavatera", "Pseudoradiarctia", "Triviotartessus", "Uropterygiinae", "Tornatellinini", "Zavrelia", "Tardigrada", "Eriulis", "Funeralia", "Yeatesinia", "Rynchops", "Cocceupodidae", "Garsauriinae", "Geodiscelis", "Vascellum", "Chondropisalia", "Achlyodes", "Aploglossinae", "Notocydia", "Methyloprofundus", "Crinalium", "Luzonogryllus", "Mourellina", "Chamopsis", "Cephalocousya", "Certesia", "Lygrocharis", "Hypurus", "Laemophiurina", "Homophthalmus", "Luina", "Rimulinae", "Antedon", "Gerhardia", "Paseala", "Rolfosteus", "Brackenridgia", "Ficus", "Ouret", "Pachyferonia", "Sialis", "Amenis", "Delarthrum", "Phasmatinae", "Gymnochthebius", "Corynoneura", "Baimashania", "Siphonochilus", "Epigraphodes", "Limatus", "Pseudexostoma", "Zosteropicola", "Cyrtinini", "Lithobactrum", "Chamabainia", "Lophoraglius", "Madastenus", "Nixe", "Theristicus", "Paracarpalimus", "Atopocentrum", "Trachostylea", "Tuberculancylistes", "Euderia", "Alanwoodia", "Scleractinia", "Corynoppia", "Anoplognatho", "Mesoniviridae", "Zealandofannia", "Anaerolineaceae", "Eoherpetontidae", "Edotia", "Chaetosciara", "Eritreum", "Allostoma", "Sutherlandia", "Vitronura", "Protocladorchis", "Protracheoniscus", "Liberocera", "Minuartiella", "Anajapyx", "Epalxiphora", "Psechridae", "Arthrotoma", "Cypridinidae", "Pachomius", "Chloephorini", "Unidentiidae", "Microcymaturini", "Tessarelasma", "Phoxocephaloidea", "Pseudogramma", "Tylobolus", "Ypsilandra", "Siniphanerotomella", "Nannocystis", "Dinomyces", "Acanthaxius", "Amphipauropodidae", "Xantusiidae", "Glaridacris", "Spathiostenus", "Madagaster", "Peloppiidae", "Asterotexis", "Panderichthys", "Lienhardiellina", "Endogonomycetes", "Colenis", "Anatolica", "Leposternon", "Rhinomuraena", "Falloria", "Rhaphoneis", "Mahisa", "Svetovidovia", "Mimohyagnis", "Allatelura", "Torretassoa", "Harrya", "Rinoreocarpus", "Pulleniatina", "Oncomerina", "Castela", "Juruasia", "Dolichozele", "Coelophysoidea", "Magnentiini", "Heros", "Megalyra", "Fustiaria", "Lethiscus", "Polyglyptini", "Parashorea", "Naregamia", "Bavarillidae", "Keteleeria", "Mesoparapylocheles", "Phengodinae", "Episparis", "Ageratinae", "Neolindus", "Zygosignata", "Austenia", "Lithopera", "Elongaticonidia", "Oresbia", "Thermoascaceae", "Netuschilia", "Songlingornithidae", "Commelinids", "Stigmachrysa", "Nothodaptus", "Satsuma", "Loemica", "Ophiosphalma", "Parthenocodrus", "Phthinomita", "Monarchidae", "Cylindrotominae", "Scolopterus", "Palaeoxestinidae", "Anthomyces", "Musapsocus", "Orochlesis", "Glyphipterix", "Thyestetha", "Arnobia", "Terminonatator", "Pogonias", "Dicranogonus", "Terrecorvonia", "Favibracon", "Sogda", "Mediosetiger", "Molotra", "Tetracneminae", "Pseudopolymorphina", "Sphenocleaceae", "Afrotarus", "Rubritaleaceae", "Fustiariidae", "Doryctinus", "Priocnemicoris", "Leiostracus", "Carupinae", "Anacerastes", "Scolochloinae", "Neobethelium", "Malacanthidae", "Chaetocanthus", "Cryptolarynginae", "Acolastodes", "Pseudoapseudes", "Apera", "Mammillaria", "Pseudamia", "Ocheyoherpia", "Microniinae", "Cretaceogekko", "Hintonelmis", "Solva", "Mannsia", "Noyesius", "Hypenula", "Neocolpodes", "Ferrovaceae", "Zdzitowieckitrema", "Axymyiomorpha", "Macromonycha", "Codonoblepharon", "Faecalicoccus", "Sarrothripina", "Paraphlugiola", "Tyttobrycon", "Scincomorpha", "Hemiphacidiaceae", "Shirakellidae", "Clavulinaceae", "Metacoleroa", "Ankylophion", "Dianema", "Neocercophana", "Paralebias", "Idiophthalma", "Aphanoconia", "Eureptilia", "Macroscelidea", "Notofairchildia", "Trichomonas", "Flabellinopsis", "Spodoptera", "Parachiloglanis", "Stenopogonini", "Rhynchitobius", "Caesariatoplia", "Carrissoa", "Kissenia", "Acanthinulinae", "Thyridiaceae", "Eutriplax", "Megamerinidae", "Jarxia", "Palpitomonas", "Praeichneumonidae", "Spartocerini", "Zyxibothrium", "Atodrapetis", "Homalolepis", "Deltaflexiviridae", "Prionotylini", "Pteragogus", "Synapsida", "Haplosplanchnoidea", "Podapolipidae", "Megalommum", "Trichodactylidae", "Callostracon", "Becnelia", "Aristeoideae", "Hormosinelloidea", "Hymenandra", "Thamnophis", "Oblongomorpha", "Sanguinotrema", "Salinatorinae", "Callistethus", "Macromyzus", "Triviella", "Cylichna", "Kerilia", "Diffusilinidae", "Dinophyta", "Chilionema", "Neophrissoma", "Coryphomobatrus", "Nesosylphas", "Dasymys", "Exoctenophorus", "Unilacrymaceae", "Gesomyrmex", "Allostemma", "Spinoloricus", "Clathurellinae", "Docodontidae", "Sudanus", "Pagipsylla", "Lestodiplosini", "Fabalicypris", "Neocentrocnemis", "Anapta", "Anthobium", "Neospeleognathopsis", "Dolichousnea", "Odontotaenius", "Blarinolepis", "Bocana", "Astarte", "Eretmograptis", "Pseudosempervivum", "Montereina", "Allolestes", "Megantennaphis", "Discocalyx", "Asymmetrione", "Schoenorchis", "Styraconyxinae", "Melinis", "Polygraptidae", "Hedstromia", "Mussaurus", "Paraplesiohedruris", "Logfia", "Caldilineae", "Pseudotulostoma", "Pikelinia", "Gyponini", "Sergentomyia", "Laphriinae", "Concroce", "Diplacanthus", "Barraina", "Schistoglossa", "Phragmocapnias", "Watatsumi", "Nissolia", "Tahulaspis", "Nematidiini", "Baudonisia", "Clastrieromyia", "Pimelodella", "Turbiosphaera", "Alogolykus", "Telesto", "Palaeospongillidae", "Micromonospora", "Mythicomyia", "Cynopterinae", "Lasiodiplodia", "Maihueniopsis", "Oiophassus", "Paracymus", "Pseudometaxis", "Pseudaxine", "Charadra", "Pseudodax", "Galba", "Thripobius", "Papanteles", "Padanda", "Sympycnus", "Arugella", "Paratenetus", "Acanthorrhinum", "Compsothamnioideae", "Crotoneae", "Holocheila", "Ctenectropis", "Parviterribacteraceae", "Blastocladiomycotina", "Metactaeon", "Camelopsocus", "Spongiibacteraceae", "Iostephane", "Melzerina", "Micranthicus", "Aegophagamyia", "Caryodidae", "Parascleroderma", "Phoinixiusa", "Singatrichona", "Heroidae", "Einiosaurus", "Favonigobius", "Stauroforma", "Dilachnus", "Hollowiella", "Elisabethiella", "Drymochares", "Parasclomina", "Hyginellus", "Neoblakea", "Neopachystola", "Euchrognophos", "Phalepsus", "Synosis", "Allactodipus", "Sarcodexia", "Brasilaimus", "Calacogloea", "Dactylogyridea", "Myanmyrma", "Scoporogas", "Scheuchzeria", "Cyanocydia", "Bhutanillus", "Clypeoteles", "Apusomonadida", "Deraeocorinae", "Lepospondyli", "Dermanyssus", "Sciurus", "Suessiales", "Rectojapyx", "Gnathopleustes", "Lignoscripta", "Psychroglaciecola", "Opecoelinae", "Campylognathoides", "Austrozephyrus", "Mellicta", "Tanaodytes", "Anthracini", "Zobellella", "Eriosomatini", "Isdromas", "Richardosteus", "Agastrophus", "Paralucanidae", "Nivatogastrium", "Unionidae", "Dasyerrus", "QSMI", "Xenonectriella", "Koilomera", "Haplochara", "Qudsianematidae", "Parapristipoma", "Atractyliopsis", "Bumeralius", "Macrochiridothea", "Cretoseguya", "Otnjukovia", "Ercilla", "Chamaecyparis", "Protonethes", "Afroforficula", "Phoenicopteridae", "Areca", "Chitinopomoides", "Quesnelia", "Burretiokentia", "Hymenocoleus", "Anatologeostiba", "Stipecoma", "Acanthopygus", "Paradevosia", "Hapalophragmium", "Nemertoderma", "Mycetaea", "Gunarus", "Monteithiella", "Delemodacrys", "Frenulina", "Mancinia", "Cyerce", "Metacydia", "Pyrrhocorax", "Severonidae", "Indosorius", "Longipedicellata", "Melananthus", "Eurysolen", "Hemirobulina", "Neothrombiidae", "Ixipapillifera", "Chrysophthalmum", "Amblyospiza", "Wilemanus", "Sclerothamnopsis", "Kostermansia", "Dreadnoughtus", "Platypelis", "Serissa", "Arachnocorys", "Aphrodita", "Corallophila", "Synempora", "Australodemus", "Protopsis", "Perexiflasca", "Enicopus", "Hyrcanogobius", "Cryptopteryx", "Tinocallis", "Myriapoda", "Sigmatineurum", "Roseibium", "Megahyliota", "Planulinoides", "Percoidei", "Polygonia", "Thersiteidae", "Eurygonias", "Ottoiidae", "Kocheriana", "Globigerinitinae", "Ampezzonaticopsinae", "Bhesa", "Piseinotecus", "Pentacitrotus", "Perissomyrmex", "Schochidia", "Hesperodryinus", "Eupontonia", "Tepidibacillus", "Efate", "Apiocephalus", "Nardophyllum", "Neissa", "Cytinaceae", "Satronia", "Rhodochaete", "Mestommatina", "Megacirrus", "Dendrochirus", "Riggenbachiella", "Philochortus", "Naibiidae", "Acanthocereus", "Fretibacter", "Histampica", "Paratlepolemoides", "Malope", "Paeoniaceae", "Ammobatini", "Pelliciera", "Leptodesmia", "Cymatoceps", "Geissleria", "Onophas", "Paramedetera", "Prosyntexis", "Endomyxa", "Areva", "Idioceroides", "Normanellidae", "Pelagiellidae", "Valenciennea", "Joyeuxilepis", "Mesokalliapseudes", "Geodermatophilus", "Bigenditia", "Boreophilia", "Allorchesia", "Australopithecus", "Erythridula", "Sahnia", "Menigrates", "Omalisus", "Myrteae", "Torleyoceras", "Parapolydora", "Chlorociboriaceae", "Eosalmo", "Cosmocalyx", "Hickmanapis", "Burseolina", "Astylopsis", "Nebriagonum", "Sigmothrips", "Toxopsis", "Eubonellia", "Machairasaurus", "Nigromacula", "Alopiidae", "Eumachaerota", "Panegyrtes", "Coelostegia", "Lamproglena", "Cercotmetus", "Teratophoneus", "Acetatifactor", "Xenopeltis", "Paltothemis", "Rixerodes", "Nephalioides", "Thylophorops", "Bicornucandona", "Notoxenus", "Berothidae", "Pseudocentrobolus", "Nileidae", "Callisina", "Kakamasia", "Siluphora", "Philasterida", "Ellioviricetes", "Zherikhinina", "Scotodes", "Dajus", "Stenauxa", "Oligopithecidae", "Aecidiolum", "Balechina", "Calamitina", "Porizonopteron", "Tsukamurellaceae", "Pachyosa", "Leptodontiopsis", "Siderocelis", "Pulicini", "Apalonia", "Acuticeresium", "Colima", "Aethaloperca", "Fraus", "Histriobdellidae", "Nannoceratopsida", "Terminalia", "Saltusaphis", "Limbochromis", "Pentacecidophyes", "Neocaridina", "Waagenoceras", "Neobouteloua", "Conexibacteraceae", "Actimicrobium", "Melanoptochus", "Uracanthini", "Pastranaia", "Lepionysius", "Acronictinae", "Metapetrocosmea", "Pseudochapsa", "Meconopsis", "Allotinus", "Thynninae", "Pambulaspis", "Chondroscaphe", "Erpobdelliformes", "Guttala", "Spargania", "Gloeocystopsis", "Sipalolasma", "Agelas", "Eiphorus", "Prinsius", "Lonchitidaceae", "Hippopodinidae", "Willmannella", "Rhynchoticida", "Pycnolepas", "Callynthrochalmys", "Bornella", "Liptenini", "Stomatorbininae", "Phytotriades", "Chusenella", "Neocollyris", "Grylloblattina", "Hymenonema", "Onychodontiformes", "Melvilloxenus", "Monhystera", "Clavismaris", "Sarmatia", "Verlaquea", "Mexipedieae", "Chondrosiida", "Fallotaspidinae", "Penthima", "Thomsonista", "Machairodontinae", "Kababina", "Orthosoma", "Oroussetina", "Bombacoideae", "Bathyphytophilidae", "Gammogobius", "Rhinolophopsylla", "Trissochyta", "Issini", "Dicrania", "Aderobium", "Abyarachryson", "Acanthemblemaria", "Anacronicta", "Schtschurowskia", "Meropogon", "Lissopsius", "Pleurostomellidae", "Theochila", "Gladiolithus", "Strombidae", "Biuterina", "Phoenicaulis", "Platymetopsis", "Epimimastis", "Chylocladia", "Pseudoflintina", "Ulotrichales", "Pyrenochaetopsis", "Microtrombidiidae", "Calycera", "Mangalaus", "Homalolinus", "Corematosetia", "Idiocerini", "Lophostropheus", "Clavilithinae", "Megeremaeidae", "Thalassionemataceae", "Chloropicophyceae", "Pseudoliropus", "Chamaesium", "Cicereae", "Neandrya", "Afghanoderus", "Ornithomimosauria", "Bucculatrix", "Cervonema", "Zanclopera", "Ochtodes", "Aphanizomenon", "Eustheniidae", "Macrosternodesmidae", "Triorbis", "Hessea", "Urosporidae", "Kosmoceratops", "Anguinidae", "Thaumatoscyphinae", "Holoaerenica", "Holostrophus", "Lemoneitidae", "Tacyba", "Andinichthyidae", "Calosphyrum", "Adenia", "Galeoglossum", "Lophobothea", "Alloblackburneus", "Archiblattinae", "Paracroesia", "Pselaphokentron", "Arctornithini", "Aethriostoma", "Aubertiana", "Neperigea", "Bradycinetulus", "Hohenackeria", "Eurypon", "Falkmisa", "Dasymixis", "Uropeltidae", "Bindax", "Erynnini", "Arthrolytus", "Antipodarctus", "Scyphocephalus", "Petrarcidae", "Stenisis", "Elodina", "Gemmatimonadales", "Safropallene", "Euglandina", "Philonthellus", "Kritskyia", "Camptostoma", "Lophocyrtis", "Eurypharsa", "Ochetoctena", "Sphenophorus", "Lophocolea", "Corallomonas", "Darwinula", "Homotheriini", "Mangshia", "Dissoconiaceae", "Hasarina", "Microstromataceae", "Cleomaceae", "Aurelianus", "Chiroderma", "Thiemeia", "Ochtozetus", "Sanmai", "Lieberkuehnia", "Floromadane", "Chalcidoptera", "Psilocaulon", "Eomacropis", "Protichneumonini", "Xylographella", "Osteophloeum", "Laggera", "Cyllorhynchites", "Megalorhipida", "Phrygilus", "Nothochrysa", "Paralida", "Apoderus", "Tubercliopsis", "Marcelliopsis", "Monalocoropsis", "Samia", "Archidactylinidae", "Diactora", "Laevidentalium", "Withaninae", "Diplodontella", "Decarthron", "Heth", "Sinimarinibacterium", "Tumiditarsus", "Heterogymna", "Cesamya", "Hesperentominae", "KAUM", "Trypostega", "Rhabdoblennius", "Galotingis", "Pagurotanais", "Magotanais", "Leptotheca", "Calpe", "Labradorocoleus", "Mycetocharina", "Amyia", "Tonyosynthemis", "Blakistonia", "Akanthoparapseudes", "Spinosophronisca", "Megadrymus", "Phalacrocleptidae", "Tomoceroidea", "Neotoxoptera", "Leucodonta", "Athysanus", "Erpodiaceae", "Cincticostella", "Pinckneya", "Nitraria", "Byssocaulon", "Austraturus", "Antichtopauropodidae", "Styx", "Delonusa", "Selaginella", "Dixoncis", "Campyloseclini", "Afrobystra", "Zethinomorphus", "Sarcoprion", "Amphibolurus", "Mystropini", "Prionotodrilus", "Aspigonus", "Petaloscapus", "Tagalisca", "Stephensia", "Skeneidae", "Americanaplana", "Buehringa", "Empidideicinae", "Chrysidinae", "Hemistolini", "Propolymixis", "Paradyscherus", "Cutia", "Amallocystis", "Fijipsalta", "Snellenius", "Tricheurois", "Sepiolidae", "Arenaria", "Nacarina", "Erkenia", "Aspidestrophus", "Sapadrama", "Cremastocheilus", "Eoophyla", "Cortinarius", "Drilus", "Globignatha", "Electrocallis", "Tithrone", "Dieurostus", "Ruinenia", "Paratelenomus", "Platystele", "Stenoxybacter", "Bilobatana", "Siteroptoides", "Onychoura", "Psammomermis", "Hormogaster", "Deinotherium", "Buettneriella", "Patricius", "Webbinella", "Homalozoa", "Tuberitina", "Geopselaphus", "Neoleptonidae", "Actia", "Stylotermitidae", "Potamogalidae", "Thor", "Elaeniinae", "Uroglenopsis", "Anoploderomorpha", "Paracaesio", "Tenoraia", "Daviesiconus", "Acasis", "Acmaeoderina", "Lygarina", "Ethmorhabdus", "Staudtia", "Desulfobulbus", "Eupoinae", "Guyanymphulini", "Rabdiophrys", "Otiophora", "Delanymys", "Calamanthus", "Pterothrissus", "Callisaurus", "Porotermes", "Chemsakiella", "Pylartesius", "Amyloceraceomyces", "Bumilleriopsis", "Ganeshidae", "Mancopsetta", "Neobola", "Gilbertsmithia", "Cossina", "Squamodontus", "Glyphidodontops", "Sahulana", "Hannafordia", "Menegites", "Favites", "Barbutia", "Tirpitzia", "Basilewskyanus", "Millerichthys", "Gigantobilharzia", "Matidia", "Pfitzneriana", "Ussuritidae", "Bisanthe", "Pandalurinae", "Gypohierax", "Ventocoris", "Myzosiphum", "Geoplaninae", "Laccophorellini", "Protornoceras", "Indosuchus", "Petaloptilini", "Tendroidea", "Eusphaeroidina", "Enulius", "Fungi", "Ettchellsia", "Bryobeckettia", "Legnatia", "Phrenapatinae", "Berinda", "Moitessieriidae", "Eumicrota", "Herochroma", "Abitagua", "Anampses", "Glomeremus", "Platylesches", "Apoditrysia", "Nauphantopsis", "Phloeostichus", "Nicotiana", "Mitodon", "Xanthocampoplex", "Pentlandia", "Sinocorophium", "Gloeothece", "AFFBB", "Shaktauites", "Cephaplakoxena", "Kirmaushenkreena", "Parsonsiinae", "Centrodora", "Darwinia", "Supersonus", "Metromonadea", "Parainocellia", "Neodiapterna", "Canariobolitobius", "Aegithinidae", "Strasburgeriaceae", "Pseudodicrogenium", "Areschougiaceae", "Cryptophilini", "Diaspidiinae", "Helicodiceros", "Sosylus", "Campsicnemus", "Eugeissoneae", "Phyllogaster", "Thermopolyspora", "Icta", "Spirotextularia", "Spiomenia", "Zanonioideae", "Ophlitaspongia", "Campylopus", "Melocanna", "Australotingis", "Eurylychnus", "Stricticollis", "Semperella", "Tumulosina", "Neosillago", "Phacelocarpus", "Drymodes", "Herpestomus", "Dictyophorini", "Triploca", "Episiphoninae", "CNP", "Apodochloris", "Metacrinia", "Alinguata", "Heywoodia", "Euprora", "Akyttara", "Achantodes", "Allostethorus", "Microsericaria", "Cyclocardia", "Kokikora", "Australothrix", "Ophiogomphus", "Darmera", "Amaclardea", "Trophophion", "Gynandromorphus", "Bibarba", "Geotrupes", "Bellerocheaceae", "Ambohitantelya", "Spelaeogriphidae", "Ctenobelbidae", "Doticus", "Scincosauridae", "Sagrina", "Tsengiaceae", "Spirulida", "Arachnoscelis", "Scincopus", "Arundinoideae", "Neotenotrocha", "Trichostigma", "Culicinae", "Moriomorpha", "Kenyaichthys", "Holasterina", "Ptychomphalidae", "Tenthecoris", "Gaoligongidris", "Anconodon", "Necterosoma", "Grammodoplia", "Pterocaulon", "Microsphaeropsis", "Diodon", "Paranosia", "Anaerotaenia", "Atractolytocestus", "Haptaenida", "Floridichthys", "Nycteribiidae", "Kernkampella", "Liratepipsocus", "Steleops", "Roelmana", "Valda", "Metaproto", "Bansella", "Psephenotarsis", "Planea", "Rudiviridae", "Gahania", "Chernokrilus", "Joziratia", "Trombiculoidea", "Vieteumatidae", "Euporodontus", "Campulipus", "Fulvia", "Zaeucoila", "Engertia", "Marosatherina", "Melanesicoccus", "Dallinella", "Chitinosaccus", "Opitutae", "Mymarommatoidea", "Hemifusulinella", "Pterosphaera", "Allomonaxine", "Brochia", "Apocryptus", "Telethera", "Anapagrides", "Salomonia", "Hypselospinus", "Schoutedenomiris", "Commensalibacter", "Octomys", "Pseudoscione", "Herpotrichiellaceae", "Panops", "Nectariniinae", "Asplundia", "Anonaepestis", "Saniderus", "Cyanobacteriaceae", "Novofustiger", "Kozhantshikovia", "Leucilla", "Carlclausus", "Ammochloa", "Stephanocereus", "Merogyrus", "Ioesse", "Acauloplacella", "Altrix", "Nesoclutha", "Cuneipectini", "Glandulospio", "Neophoberinae", "Acila", "Euryxyela", "Gymnophragma", "Mecistocephalidae", "Eresoidea", "Odorrana", "Pseudonetocia", "Cladorchis", "Gerrardinaceae", "Allotexiweckelia", "Hosseusiella", "Stentoquintius", "Acroporium", "Cruriraja", "Garuleum", "Lycosoides", "Chamaegeron", "Clitina", "Eudiscopus", "Protacallodes", "Austrosipyloidea", "Cassolaia", "Chosonentulus", "Sericoidini", "Climacosorus", "Dilatotarsa", "Axiologa", "Sinuopeidae", "Ancorina", "Callitricheae", "Aneipo", "Motmotnirmus", "Phyllogryllus", "Chionosphaera", "Malagasphenini", "Benjaminiomyces", "Pseudomacalla", "Triuridopsis", "Aeropsidae", "Tuberillo", "Balladynella", "Costimitoceras", "Rikenellaceae", "Arzecla", "Tebenna", "Thylochromus", "Nigerium", "Scolecoseps", "Sciadicleithrum", "Hypsibiinae", "Passerina", "Diaspasis", "Chromoeme", "Pselaphocerus", "Phyllocladus", "Dairella", "Erpetogomphus", "Melittidae", "Siconema", "Platyxanion", "Petrophila", "Polysaccammininae", "Zhangheotheriidae", "Enantiopoda", "Ptychotricos", "Episternus", "Araneoidea", "Fontainea", "Minksia", "Omphalophana", "Nemophora", "Neogreenidea", "Pogonia", "Sucova", "Coronatum", "Cucudeta", "Sericospilus", "Spirama", "Cycloderma", "Radyera", "Polybrachiidae", "Liochoria", "Nemopteroidea", "Sparassinae", "CARIE", "Bolinus", "Multiformis", "Savoiea", "Bothynoproctus", "Neochloris", "Argonectes", "Protolycosa", "Austroclerada", "Gonatoraphis", "Slopekvirinae", "Craugastoridae", "Philautus", "Colpidium", "Eleginopsidae", "Ithomeis", "Watersiporidae", "Cissampelopsis", "Neoleptura", "Brachineura", "Cassiculus", "Euspira", "Orientatheta", "Atracinae", "Anansus", "Platypteronyx", "Sarea", "Stroudia", "Rivasgodaya", "Tarattia", "Bulbostylis", "Zeicotyle", "Mycteromyia", "Bryopsidophyceae", "Huttonaea", "Paraglaridacris", "Pouebo", "Cryphidium", "Crenalithus", "Zicca", "Behnia", "Cotylaspis", "Paranacis", "Orthocraspeda", "Emarginella", "Auritus", "Calocalanus", "Blennodia", "Acalolepta", "Zingel", "Calloserica", "Rotuloplocamia", "Lampadopteryx", "Cylindronotum", "Pachycolpura", "Psalidopodoidea", "Apheviderulix", "Ischnopisalia", "Paratryssaturus", "Odyneropsis", "Lasiocera", "Ocnera", "Steyskalia", "Caepovultus", "Huechys", "Tanichthys", "Protoperidinium", "Cryptamorpha", "Stomatorbina", "Woutersiidae", "Nesciothemis", "Homaspis", "Aquimixticola", "Stagea", "Tesakoviaspis", "Sychentia", "Tarsopsylla", "Corynorhinus", "Yaobinthrips", "Squatinella", "Glossostigma", "Mberu", "Robuloides", "Trinithignus", "Horvathiolus", "Mannomicrus", "Priacma", "Pseudostenusa", "Fermentibacillus", "Loxaulus", "Dessumia", "Allotelium", "Tuapoka", "Indiania", "Prosoparia", "Neoarytera", "Hoplophaeogenes", "Stilbia", "Sculptolumina", "Intermedichelia", "Micralestes", "Eostrobilops", "Xeringinia", "UTA", "Onuphis", "Archarius", "Alecanochiton", "Dorsiceratus", "Eddastraea", "Mycosarcoma", "Macrocephenchelys", "Nigrogranaceae", "Saxochelys", "Chorotypinae", "Neolissochilus", "Cubanichthyinae", "Elaphidionopsis", "Periterminalis", "Stelodoryx", "Neodidymozoini", "Cylapocerus", "Lisna", "Crenilabium", "Andiorrhinus", "Scepeae", "Scydoselloides", "Virguloides", "Syntrichopappus", "Agaricophaena", "Myotinae", "Neonema", "Ixora", "Actenos", "Subnicoletiinae", "Amarsipus", "Otoplana", "Leschius", "Drapetini", "Trachyarus", "Falshomelix", "Gnathocera", "Picinyssus", "Elcanoidea", "Esthemopsis", "Moelleriella", "Bryometopida", "Conandrium", "Aleonictus", "Globulotuba", "Argistes", "Falcatariella", "Pilulina", "Parahasta", "Stylochona", "Canellaceae", "Dictyographa", "Eucnide", "Coralliocaris", "Psammina", "Cyriogonus", "Diplograptidae", "Ophiopristis", "Metaselena", "Baikuris", "Nemegtosaurus", "Neochya", "Tachyporus", "Anadia", "Limonethe", "Orochaenactis", "Chancelloriidae", "Hydrillula", "Breviclypeus", "Neodelphax", "Naucoris", "Sepicana", "Gaidropsarinae", "Bolbomyia", "Pseudoguembelininae", "Camera", "Namibina", "Gyninae", "Haliophis", "Monoplacophorus", "Namibiocossus", "Gyriscus", "Micraspidaceae", "Trichagalma", "Palicoidea", "Paromoeocerus", "Galaxioidea", "Pescecyclops", "Sarcopetalum", "Bedosiini", "Planetella", "Gearum", "Euornithiformes", "Oreobolopsis", "Adenostyles", "Megabasis", "Tepuianthus", "Mimohippopsis", "Pseudoarabidopsis", "Nimisiostella", "Caenolethrus", "Acaridia", "Cephalotus", "Pseudopharus", "Geochini", "Scotogramma", "Asanthus", "Scotinotylus", "Eupentarius", "Austrokallymenia", "Petroperlidae", "Caulanus", "Arippara", "Fasciculacmocera", "Molannidae", "Rhaphidophyton", "Palaeomacrosemius", "Ormocarpopsis", "Tetrorea", "Amphirhiza", "Polythysana", "Glossocardia", "Rhomaleosauridae", "Ocychinus", "Beipiaopsocus", "Platysomidae", "Theotima", "Zambiphanes", "Nothokallymenia", "Schizophyllineae", "Lemidiini", "Costignophos", "Cyclotelson", "Rhodocyclales", "Zulphis", "Gempylitrema", "Antlemon", "Odhnerium", "Xenosella", "Astrolabius", "Naevia", "Asperotingis", "Labradorocoleidae", "Prodigithymna", "Pseudosaprosites", "Whipplea", "Carica", "Distoechus", "Sphyrarhynchus", "Tumeclypeus", "Eobrolgus", "Otonyctomys", "Lagoseriopsis", "Nuttalliellidae", "Aquatica", "Discantenna", "Dyscoletes", "Cirroctopodidae", "Nclasvirinae", "Muesebeckisia", "Suniophacis", "Saphoglossina", "Plectorhyncha", "Anoplotheriinae", "Paracyphanta", "Cylindrothorax", "Lasiocercis", "Gymnopus", "Megalagrion", "Ridewoodichthys", "Sporastatia", "Scutatoclupea", "Brevilinea", "Attatheta", "Dinophysiales", "Saloca", "Gardenia", "Totua", "Dodecastyla", "Enteromonadia", "Neozoarces", "Brounina", "Sinothela", "Queenvic", "Senegalisia", "Aspylogaster", "Moncheca", "Natalimyzidae", "Bracteamorpha", "Ecionemia", "Hirondellea", "Velledopsis", "Pyrirhynchidae", "Wahnesia", "Colomastigidae", "Neritopsis", "Dianobia", "Neoteredo", "Alkanibacter", "Acrometopini", "Cathayiblatta", "Omphalotropis", "Corymbellus", "Dictyorbitolina", "Heliaeschna", "Glyphonycteris", "Aenigmarachne", "Mirperus", "Ctenolimnophila", "Rhexiina", "Acanthaphritis", "Heliocypha", "Mecaspidiellus", "Caridellinae", "Ocyustiba", "Monas", "Anisocoma", "Anisoditha", "Apathya", "Yaniella", "Juratzkaeella", "Sphaeropleales", "Otonephelium", "Carystoterpa", "Sahlbergella", "Psilotrichum", "Eccompsoctena", "Galbitalea", "Talbotiomycetaceae", "Palaemonellione", "Adina", "Pachytodes", "Coccodiniaceae", "Berca", "Listroptera", "Goniotorna", "Euphysidae", "Monosolenium", "Thermobia", "Lecudinidae", "Pyrpotyra", "Hypidota", "Etcheverrius", "Graptomyza", "Pogonarthron", "Hippurarctia", "Mesoplandria", "Madecagonatopus", "Corythauma", "Fusifilum", "Psorosa", "Opalia", "Systolomorpha", "Okamninus", "Grantiidae", "Phloeococcus", "Ectrogella", "Geminicoccus", "Parachorenta", "Spinosciacharis", "Ellipsoidinidae", "Aphnaeinae", "Cladaster", "Toxochitona", "Allodemus", "Birlimarr", "Daector", "Oxycraspedus", "Christophia", "Euptelea", "Lenarviricota", "Coccotylus", "Zeiratingis", "Pseudidotheidae", "Gnathymenus", "Rhinichthys", "Caenaugochlora", "Rhabdotenes", "Zonosaurinae", "Lampripterygii", "Collicocephalus", "Anduzedoras", "Astronieae", "Cynipinae", "Dilomilis", "Myelastrum", "Peranemida", "Morongea", "Gibsonoma", "Lepisorus", "Gastromicans", "Alyssa", "Anomaloninae", "Gomphomacromia", "Strioderes", "Namyhplana", "Dendrophorbium", "Euglenes", "Myrmophylax", "Plotosaurini", "Boliviamyia", "Phormium", "Hydatopsis", "Prosomicrocotyla", "Crinometra", "Cercerini", "Rhabdocosma", "Creobius", "Laokaya", "Phyratocosma", "Epistomina", "Dendrophylax", "Labichea", "Psammochloa", "Metaniphargus", "Paratesba", "Calocorisca", "Haplochthoniidae", "Halovulum", "Nardonoides", "Phthoropoea", "Libanonethes", "Tessaratominae", "Schroederella", "Bhavania", "Mesosella", "Bdellonemertea", "Claparedepelogenia", "Trachelospermum", "Methanospirillum", "Myoretronectes", "Cnestis", "Pristen", "Androporus", "Kondoconcha", "Darlia", "Raumahara", "Nannocystaceae", "Telechrysis", "Melisodera", "Mimoserixia", "Thiollierea", "Larrea", "Santinezia", "Leptochroma", "Achirus", "Inouethuidium", "Fisheropone", "Pellucidonicus", "Hedbergia", "Euglenida", "Afifella", "Phrixgnathus", "Pseudokoala", "Anaerosinus", "Nervijuncta", "Toussaintia", "Laribacter", "Lamprocystis", "Xenocelisia", "Tetralepis", "Saraswati", "Polychytrium", "Methanopyri", "Abepalpus", "Athesis", "Fulgoromorpha", "Gammaflexiviridae", "Pteromonas", "Anaulacorthum", "Frigidorchis", "Pseudoschroederia", "Faucicola", "Melanonidae", "Kergueleniidae", "Palmogloea", "Bejaria", "Mansoa", "Webbia", "Selasphorus", "Chondrodendron", "Protoleptops", "Polyposthia", "Xeramoebini", "Glaphyristis", "Pseudothermotoga", "Alaskaperla", "Leptodon", "Tussilago", "Oreopsittacus", "Pseudocera", "Toshiba", "Barleriola", "Thaumatographa", "Iguania", "Calyptostoma", "Metaxylostiba", "Masoala", "Toxocystis", "Zimiromus", "Liodasys", "Cozyptila", "Leccinoideae", "Allococalodes", "Lissopimpla", "Parachiliina", "Cyrtomycta", "Macropathini", "Askellia", "Mrakiaceae", "Notovolutini", "Rhizophagus", "Gynoxys", "Rhagodidae", "Symposiachrus", "Philoblennidae", "Cosmocercoidea", "Venegasia", "Prosopeia", "Edythea", "Typhlorhinini", "Balticola", "Ditepalanthus", "Corallocarpus", "Selenotholus", "Ustilentylomataceae", "Australosciacharoides", "Whitmania", "Chewia", "Varilla", "Polycipiviridae", "Pleurastrum", "Uranotaenia", "Neophron", "Lamprospiza", "Vesikulepis", "Alsomitra", "Rhizanthellinae", "Prothyma", "Xiphocheilus", "Lecanodiscus", "Okenia", "Pseudolituonella", "Apioscelis", "Macrosiagonini", "Cladocyclidae", "Acanthocoris", "Triodopisini", "Blaszakiella", "Prosopidicolaceae", "Monochelus", "Thelepodinae", "Gonystylus", "Chionelasmatoidea", "Ixyophora", "Sardammina", "Sogdini", "Agriopoma", "Bursereae", "Pseudorhyssini", "Antimerus", "Phenacolepadidae", "Ochromonadales", "Monanchora", "Coronia", "Zelinkiella", "Campicoloides", "Coscinesthes", "Trinodicalles", "Pulvinomyzostomum", "Rhopaloiulidae", "Omacrus", "Pseudalcantarea", "Spinigernotus", "Cribrolecanium", "Corticata", "Strobopagurus", "Ptesimogastroides", "Tetralonia", "Parvomyces", "Psammophylax", "Amsaria", "Calciodinellum", "Passaloteuthididae", "Morius", "Tenguobythus", "Hormidiopsis", "Glyphidops", "Brachylomia", "Votschia", "Pontesia", "Himalcoelotes", "Smaridinae", "Chelotrupes", "Euhomoneura", "Asteroideae", "Branchiobdellida", "Sagarmatha", "Lobateuchus", "Eurylabini", "Dasypogonini", "Enotogenes", "Parelectrentomum", "Catagrammina", "Cryptus", "Theaceae", "Hemichloris", "Saphanini", "Paradigma", "Monocotyle", "Diplurodes", "Spatiatoridae", "Hemitarsonemini", "Suctobelbidae", "Naohidemyces", "Pellona", "Cocalodinae", "Hyalosaccus", "Nothyocha", "Eurhinocola", "Greslania", "Naineris", "Cestodaria", "Cercyonini", "Calconiscellus", "Pseudanasida", "Zappaichthys", "Pinobius", "LPP", "Ishige", "Microseridinae", "Lalage", "Charitovalgus", "Neoplacorhynchus", "Angariidae", "Eragrostiella", "Daphniphyllaceae", "Cecractes", "Homoplectra", "Coloantrops", "Trichoafricanus", "Elmopterum", "Ariasella", "Prypnini", "Thailandininae", "Acellomyia", "Euglyphocrinus", "Poecilopholis", "Zygomyia", "Ptychoderini", "Zemeros", "Negriinae", "Crepidopterus", "Pseudodebis", "Betamantis", "Baptornithidae", "Lethades", "Urophlyctis", "Succowia", "Himalosphodrus", "Makinoaceae", "Retiniphyllum", "Togaphora", "Artianus", "Levivirales", "Moebelia", "Dacalana", "Parvoplaca", "Elaphodes", "Tirarinetta", "Sumatera", "Balanosa", "Aristogitus", "Cranichis", "Sybrodoius", "Diathemidae", "Crisantophis", "Meriones", "Barichneumon", "Abrothallales", "Doggerostra", "Sphingonaepiopsis", "Dethiosulfovibrio", "Temecla", "Eretmophorus", "Xenocompsa", "Rhopalolemma", "Parophonus", "Delilah", "Vickersia", "Leptestheria", "Calyptura", "Aforia", "Dipteroidei", "Odontochitinopsis", "Apotomocepheus", "Cratoamia", "Hexostoma", "Canestrinioidea", "Indoniphargus", "Diastylopsis", "Hemiowoodwardia", "Lasiomyrma", "Hylaeanthe", "Ingenia", "Dimeatus", "Carteriospongia", "Heterochromonas", "\u00c4M", "Guapimirella", "Crinipus", "Bulbophragmium", "Ischnorhininae", "Allocladius", "Dothenia", "Uroleucon", "Bedelia", "Zeoleusis", "Spongiopsyllus", "Fleutiauxia", "Lathraea", "Lobalgidae", "Neovenator", "Apterygida", "Plumilus", "Galathella", "Megastachya", "Lepironia", "Phasmatodea", "Prohericia", "Polysiphonieae", "Paraspania", "Vampyrodes", "Oreocryptophis", "Neobaeus", "Microthoracidae", "Apludinae", "Cancellata", "Pseudolycopodiella", "Glyphidocera", "Phyllothelys", "Phyllotini", "Artoriopsis", "Uhlmannia", "Nanola", "Dorippoidea", "Pachymorphinae", "Leptidea", "Elephantoidea", "Crisinidae", "Lerema", "Micrastur", "Ascorhynchus", "Hemitagia", "Brachypeza", "Ajubus", "Hippuritidae", "Platyallabes", "Gymnopholus", "Mikamiella", "Diademodus", "Plataplecta", "Nothoesthetus", "Stegana", "Munronia", "Microsphecia", "Xylocarpus", "Australoglypta", "Exalcidion", "Sibylloconnus", "Atabulus", "Bathyalozoidae", "Berkeleyia", "Pseudolabrys", "Phyllodoceae", "Falsamblesthis", "Lepidocolaptes", "Oecobia", "Rhabdops", "Prostatomicrocotylinae", "Tarsocamenta", "Graffillinae", "Entwisleiaceae", "Acrosternum", "Altimyia", "Nothobryini", "Triozocerinae", "Schultesianthus", "Anthias", "Neocarus", "Pyrophyllon", "Psalitrus", "Phagnalon", "Kamosiella", "Fistulicola", "Strobilidium", "Rhabdochromatium", "Arisierpeton", "Apteronotus", "Eumedlicottia", "Formicidae", "Protoplophoridae", "Dialodia", "Diastosphya", "Ablattaria", "Chitoria", "Hemerodromia", "Pseudoscotopsinus", "Heimioporus", "Aceria", "Paraplea", "Carinariidae", "Anostostomatini", "Microcionidae", "Godyridina", "Carloniscus", "Arielina", "Hypoaspidinae", "Melese", "Paulinella", "Elasmotherium", "Dragomiris", "Erethizontidae", "Amblypyrgus", "Tupiperla", "Polysaccidae", "Iratinia", "Parapoecilophila", "Tigriopus", "Micromima", "Leiochrinini", "Crabronina", "Rhoicosigma", "Proschistis", "Ledrinae", "Anomoxena", "Neoopisthocosmia", "Actinophryida", "Cyllophallia", "Triangulocypris", "Polyangium", "Seiodidae", "Campterophlebia", "Bembicia", "Pycnophyllopsis", "Yunnaleptusa", "Danielopolina", "Hallicarnia", "Harrisonii", "Aliersaurus", "Levymanus", "Singiliomimus", "Uraspis", "Ptychodacteae", "Andaniopsinae", "Stenopyga", "Keyacridini", "Ariidae", "Enasiba", "Brigalowia", "Synteliidae", "Apleurotropis", "Hippuritoida", "Phacochrysis", "Theileria", "Telechrysidini", "Sneathiella", "Nyctimantis", "Meryx", "Teratophyllum", "Pleomothra", "Emydomyces", "Haemonides", "Mucilaginibacter", "Dotta", "Opomyzoidea", "Diplomystoidei", "Austromira", "Anomalopidae", "Sapeornis", "Tarsoneminae", "Maximitidae", "Dorysthenes", "Rhodacarellus", "Solena", "Pozziella", "Pediomelum", "Payastylus", "Tuphellidae", "Mesophyletis", "Eubranchidae", "Discoscaphites", "Geocapromys", "Nephelium", "Critoniopsis", "Rylodophila", "Epigridae", "Streblorrhiza", "Dactylocteniinae", "Pessoaiella", "Chariesthoides", "Diorchilepis", "Grguria", "Paralimna", "Migros", "Auletini", "Serrivomeridae", "Bracharthrothinophilus", "Pehuenchaphis", "Pseudostaurosira", "Mtonia", "Disocactus", "Eccritosia", "Tellervini", "Cephenniitae", "Psychana", "Branchiobdellae", "Thaumastochloa", "Mattania", "Pecteneremus", "Haplinis", "Lithelius", "Epithematinae", "Thalerommata", "Paculla", "Brassaiopsis", "Philaccolilus", "Clathroporina", "Thorictosomatina", "Pseudopanthea", "Priones", "Aukena", "Lomadonta", "Pseudothiscia", "Papeza", "Flatschkofeliinae", "Capsicum", "Sphaeropsocopsis", "Patenocarpus", "Parapolycopissa", "Philobota", "Thamnoclonium", "Rhinoptericolidae", "Comostola", "Archeogyaritus", "Gepus", "Xanthorhiza", "Coelotrichomastix", "Hypharpax", "Lychas", "Heliopelta", "Hormophora", "Phaeocryptopus", "Sauvagesia", "Hemerocallidoideae", "Brachyglyptaglossa", "Acallophila", "Leprocaulales", "Cheletomimus", "Haplophoria", "Lysurus", "Mayomyzon", "Sclerochloa", "Phaeocolax", "Meyerasaurus", "Cimolus", "Tingiometra", "Amphioctopus", "Luthulenchelys", "Gnypetosoma", "Koscocrompus", "Calliopsis", "Paraboloponina", "Narcissiella", "Sibatania", "Augyles", "Pseudodiplotaxis", "Deinonychus", "Ophiuroconis", "Hapalogenius", "Microhypsibiidae", "Archaeogramma", "Tetrorchidium", "Heladena", "Bharatavolzia", "Aenictoteras", "Chlorophthalmidae", "Harpagocnema", "Belgrandia", "Pegestenus", "Lonchocephalidae", "Prionoteae", "Enterognathidae", "Zuccarelloa", "Jobellisiaceae", "Epilectus", "Mimolagrida", "Homalomena", "Gromilus", "Cladochytrium", "Lysmata", "Parantica", "Grotellaforma", "Megaoonops", "Wangenheimia", "Faba", "Bapalmuia", "Coleanthinae", "Melittobia", "Bascaneucosma", "Hemarthria", "Neopalpa", "Pseudoduganella", "Thripophaga", "Liothrips", "Egriini", "Volvatellidae", "Shannoniana", "Belapha", "Chrysoderma", "Pseudoferrisia", "Prevotellaceae", "Kertesziomyia", "Pirsonia", "Rikisaurus", "Chaetopeltis", "Globodendrina", "Oreopotosia", "Rhizoglyphinae", "Dudusini", "Termitozyrina", "Pseudotetraspora", "Oreomunnea", "Rhinodermatidae", "Nothocotus", "Megatominae", "Ogilbia", "Protomicroplitis", "Gentlea", "Fuelleborniella", "Sepsina", "Staurolithites", "Scotussae", "Furcopenis", "Facelinidae", "Najadea", "Parasteatoda", "Danakilia", "Sidonaster", "Kostea", "Rhynchoheterotricha", "Urosomoida", "Stenoodes", "Tapsatella", "Ceylanoparmena", "Eremocarya", "Epalxellidae", "Holocnomus", "Valvepipsocus", "Aderaeon", "Irenepharsus", "Arum", "Corethranae", "Parazosne", "Epistominidae", "Hemiragis", "Pseudoplasmodium", "Holohalaelurus", "Storeyus", "Osyridocarpos", "Cylistella", "Entomoderes", "Ilyocryptus", "Pithites", "Quadriviridae", "Eburiini", "Costulopsis", "Chytridium", "Texiweckeliopsis", "Chiloephylus", "Etisinae", "Boehlkea", "Propapias", "Collastominae", "Singulisphaera", "Kalyptrazetes", "Munnidae", "Conosperminae", "Halmomises", "Kolihadiscus", "Hippopsicon", "Mitrellatoma", "Proterosuchidae", "Muraenolepididae", "Eranina", "Neohoploceras", "Spirotheca", "Ecklonia", "Bomolochus", "Anarthruridae", "Properigea", "Illosporiopsis", "Acanthometra", "Blythipicus", "Culicospora", "Metallospora", "Otavipithecus", "Mniobates", "Hyalomyzus", "Phascolocestus", "Voehringeritinae", "Scaphiodonichthys", "Falklandiopsis", "Picocystaceae", "Bromidium", "Thalassonerita", "Leotiales", "Kyklioacalles", "Promiscolus", "Sarcomelicope", "Lasiosynidae", "Apotomaspis", "Vladichthys", "Cryptodontus", "Heterophyes", "Amphipsocidae", "Nedsia", "Anamesia", "Afronurus", "Shouchangoceras", "Archaeoprepona", "Protothelenellaceae", "Polymastigoides", "Phtisica", "Urothoe", "Ophiolebes", "Thrinacoselache", "Gecarcinus", "Philanthinina", "Protiaridae", "Sinopanorpa", "Pentobesa", "Acinolaemus", "Mesodictyopsis", "Baerfainia", "Schisandraceae", "Anamatochoranus", "Heterocephalus", "Brasiliscincus", "Compsacrini", "Polyrhachis", "Macrotyphlus", "Hydrocotyle", "Attelabini", "Kathablepharida", "Pardosa", "Trypheromera", "Hybocamenta", "Macrochironidae", "Aciotis", "Microsomacanthus", "Oenides", "Arthrocerinae", "Euceroncinus", "Conualevia", "Cylichnidae", "Anthracophora", "Antihepialus", "Lysianopsis", "Heteroclinus", "Brasilobia", "Gryphaeostrea", "Phalotini", "Stenocorophium", "Orthrus", "Siphonarioidea", "Buchanania", "Palaeomyopinae", "Chloroflexineae", "Cicerininae", "Languriinae", "Bazingidae", "Pseudoclitarchus", "Orthopsyche", "Planaxinae", "Crambidae", "Melanaema", "Marsypopetalum", "Cyanidioschyzon", "Trachelipus", "Faronidiellus", "Collyriinae", "Oxylomatinae", "Ochropyge", "Chlorangiella", "Sphaerobacteraceae", "Steinbachiella", "Psednocnemis", "Cristeremaeus", "Zygorhizidium", "Trachynema", "Aethriamanta", "Cantabrogeus", "Panaphysis", "Pleomorphochaeta", "Vytfutia", "Atuphora", "Heterostentor", "Rhabdastrella", "Arctacarina", "Copesoma", "Monyx", "Arctoscopus", "Abursanema", "Mecynotarsus", "Alysia", "Apiosporaceae", "Cophocoris", "Euryancale", "Orthotomicus", "Appiadina", "Bolinopsis", "Neodillenia", "Thomispa", "Procerolagena", "Marlothiella", "Bacillochilus", "Jeletzkytes", "Gonaphodiopsis", "Zygocarpum", "Tabaota", "Hylomini", "Shewanellaceae", "Radiomycetaceae", "Plectrophoroides", "Psilosciara", "Papillilabium", "Amythas", "Favognathus", "Pseudonesimus", "Devogelia", "Galissus", "Geoplagiopyxis", "Halimedusidae", "Astomelloides", "Golasa", "Gomphostigma", "Hongophila", "Duckeola", "Emprepes", "Glyptagnostinae", "Actinocladum", "Pseudojana", "Townesitinae", "Cephalotrigona", "Dendrobieae", "Steysborgia", "Dacryobolaceae", "Metadromius", "Selysioneura", "Tiphobiosis", "Syzeuxis", "Clepsis", "Pleiacanthus", "Hoffstetterichthys", "Platidiolus", "Colobanthera", "Atelodesmis", "Pariotrigona", "Nanobagrus", "Tarsocheylidae", "Marsypocephalus", "Metatrichia", "Thecamoebidae", "Isoplenodia", "Pomatosace", "Calliephialtes", "Phoronidae", "Seirophora", "Padina", "Tytthaspis", "Calauta", "Leucothrinax", "Atractidae", "Cyrtomnium", "Mytilinidiales", "Zenocolon", "Hydrocinaceae", "Chesistege", "Phalangopsinae", "Pseudotanaidae", "Olorunia", "Copamyntis", "Paracunaxoidinae", "Cenarrhenes", "Cerace", "Briareopsis", "Pachygoneae", "Silvestriella", "Calamosternus", "Meiracyllinae", "Diradius", "Caeconthobium", "Heptophylla", "Nepella", "Sminthurus", "Thecideida", "Jhaorihella", "Bicricium", "Khawia", "Gurania", "Troglosironidae", "Aprata", "Euzophera", "Marjumiidae", "Europanthropus", "Chasmanthieae", "Indomarengo", "Diplocaulus", "Cervinotaptera", "Sphyrapus", "Pyrenodesmia", "Polygonoideae", "Halgania", "Cymatosauridae", "Samariola", "Acallopistus", "Ensete", "Bountya", "Bathysauridae", "Fonsechellus", "Cleveia", "Anneslea", "Mediaster", "Andinocolpodes", "Longipedoxenus", "Notophrudus", "Solieria", "Carlia", "Rhodotritoma", "Skvortzoviothrix", "Dicarinella", "Leptochirus", "Caecolinus", "Anomalaphis", "Petrosiphon", "Scytalognatha", "Stylopallene", "Thaloe", "Caenimonas", "Lachnostachys", "Cheladonta", "Brevisana", "Magodendron", "Allopterigeron", "Aphonomorphina", "Paraholopterus", "Chalcophlocteis", "Naarda", "Nuculanoidea", "Turbinellinae", "Qiliania", "Pselaptrichus", "Bythinoplectus", "Burrillia", "Desmodiopsis", "Mops", "Verabarolus", "Dikraneurini", "Monomacracanthus", "Adonidia", "Aspidelaps", "Baflavia", "Peneveronatus", "Iolina", "Heegeria", "Phthinocola", "Arneria", "Remirema", "Debregeasia", "Kodamaiina", "Hyalocrea", "Xerocomoideae", "Stictolispinus", "Haplolepis", "Triommatomyiina", "Ithyceridae", "Liaoaphis", "Leysera", "Pithea", "Virgulibraconoides", "Eurrhypini", "Hyperaspidini", "Leptrichula", "Eburneus", "Pareulype", "Hylorina", "Murex", "Melanocyphus", "Habrolepis", "Cercopagis", "Ephippiomantis", "Sylvainhugiella", "Ganonema", "Hyalopomatus", "Toxodonta", "Fumua", "Epiphragmophorinae", "Merciera", "Acutipetala", "Prodidominae", "Spatulosia", "Darwinella", "Anommatus", "Tetradonella", "Omnivoropteryx", "Hoplopyga", "Cunicus", "Moorochloa", "Notoplehnia", "Listracanthus", "Phoxophrys", "Thiomicrospira", "Paophila", "Solonia", "Octogomphus", "Thelosia", "Ochagavia", "Vatinae", "Mythomantis", "Pugnaso", "Metopina", "Tetramedon", "Oceaniidae", "Pecoramyces", "Hemicheyletia", "Dixanaene", "Tapinomini", "Pseudacherusiina", "Snowdenia", "Allisonia", "Elaphriini", "Tectonatica", "Psorospermum", "Musonius", "Bolidomonas", "Stilosaurus", "Eumichtis", "Martineziana", "Holisonycha", "Harpalina", "Condylocarpinae", "Anthicinae", "Pseudo", "Natronohydrobacter", "Myelopsis", "Rodentocestus", "Halimococcidae", "Myochroidea", "Stenostegia", "Nanus", "Assimineidae", "Brazieresta", "Boyania", "Systomus", "Sclerohypnum", "Medeterinae", "Geopeltus", "Hemiechinus", "Vimineoleathesia", "Micracantha", "Thyrsites", "Arachnoidiscus", "Stevenaria", "Cordylophoridae", "Hexanchidae", "Pampsilota", "Pseudolividae", "Scaeosophinae", "Cylindromyrmecini", "Remopleuridioidea", "Alpaida", "Eorhyopsocus", "Stenobiella", "Faiditus", "Rectinasus", "Eimeriidae", "Alethe", "Stephanosira", "Chrysozephyrus", "Igernella", "Despina", "Nevaniinae", "Tropocalymmatini", "Ipoina", "Pteropus", "Abatetia", "Arnomyia", "Nanhermannia", "Hemileius", "Holcoderus", "Serraniculus", "Choritaenieae", "Pennatulidae", "Conocavea", "Glirulus", "Griffinia", "Chlenomorpha", "Angistrius", "Monocyclanthus", "Eusthenopteron", "Pseudozygopleuridae", "Limnichinae", "Pachyphragma", "Taipidon", "Hololeius", "Parapronematus", "Trilobitideini", "Anisitsiellidae", "Vulcanochthonius", "Granila", "Moncharmontzeiana", "Pseudhomo", "Uromacer", "Scintilla", "Diogenornis", "Dasyurus", "Longichneumon", "Bonfilsia", "Pardirocephalus", "Proctolaelaps", "Brachevania", "Calotis", "Pulmonaria", "Fuertesimalva", "Pedosphaera", "Otoclinius", "Psammium", "Cretodinapsini", "Pinnotherelia", "Apisa", "Thoracocharax", "Pteromyscus", "Gripopterygidae", "Trochomeria", "Tristachyideae", "Schizophragma", "Rhopaliinae", "Cordanaceae", "Parryella", "Limnopsalta", "Colydium", "Morithamnus", "Acidiferrobacteraceae", "Xenopathia", "Ethobunus", "Maslinella", "Helicobacter", "Macronychini", "Manilkara", "Calicotome", "Telmatogetoninae", "Monocelopsis", "Thalictrophorus", "Staurochlamys", "Ichnestomatina", "Narella", "Irvinea", "Cornaphis", "Vietaphis", "Cryptohelops", "Virgulinella", "Armadillidiidae", "Chiron", "Macrotarsipus", "Citipati", "Thuidiaceae", "Amphibolidae", "Herimosa", "Calycopsidae", "Oedotingis", "Linguamyrmex", "Scoparipoides", "Orthopristis", "Tragulichthys", "Astrurus", "Ianthopappus", "Parathalassius", "Kraatzia", "Dactyliosphaeridae", "Colpophyllia", "Dictiomyxa", "Evius", "Lathromeris", "Orixa", "Falconidae", "Papenfussiella", "Testudotaeniinae", "Haplovortex", "Ornatiblatta", "Trachystreptus", "Gonaepa", "Rystheus", "Vasignyella", "Ideobisiinae", "Archaeohippus", "Opithes", "Armeria", "Eleutherococcus", "Spilotragoides", "Adonea", "Neurotrixa", "Limosella", "Hamatusia", "Assamanura", "Minictena", "Encardia", "Tasa", "Tetrachondraceae", "Cremnoptoides", "Suffenus", "Firmicutes", "Chrysothallus", "Mouhotia", "Chrysoliocola", "Rodylopora", "Parmulariaceae", "Tethrisis", "Halfordia", "Difflugiina", "Dicymbium", "Splachnidiaceae", "Dagbertus", "Glanduloderma", "Pseudorthocladius", "Oreothraupis", "Ixothraupis", "Acanthobrahmaea", "Geograpsus", "Atelikamara", "Hemiacridinae", "Protognathia", "Sphaeropthalma", "Sisyrella", "Aponileus", "Eponidellinae", "Vascanthogona", "Leproscirtini", "Lerchea", "Austrotypus", "Erythrogloeaceae", "Gallinago", "Piercolias", "Thysanoteuthidae", "Storena", "Tylenchomorpha", "Lepidocaryum", "Ephelodes", "Haematostaphis", "Thinobaena", "Niesthreini", "Apoidea", "Brulecoris", "Hemispathius", "Choristhemis", "Demarziella", "Gynacanthini", "Dinoderinae", "Rhoptria", "Macropodium", "Acaudina", "Ricania", "Astelia", "Phaeobacter", "Dabrosoma", "Suniocharis", "Phascolosoma", "Epigonus", "Balearica", "Robbaueraceae", "Rectangulata", "Diplolepidini", "Ophiodes", "Glossoloma", "Acanthetaxalus", "Angelagrion", "Smelophyllum", "Mirabilicoxa", "Steleuthera", "Trefusiidae", "Obenbergerula", "Enallothecium", "Parabacteroides", "Tetraphidales", "Clepticus", "Minibiotus", "Pontoniinae", "Ligypterus", "Angelopsallus", "Rotulidae", "Matobosaurus", "Penelopella", "Catapiesis", "Jateorhiza", "Macrococcus", "Protathra", "Aviturus", "Bagassa", "Microcometes", "Frateuria", "Thompsodinium", "Biantidae", "Bulis", "Pholoidae", "Enteractinococcus", "Syrrhoites", "Neotropicomiris", "Polyphaga", "Spounavirinae", "Rhenopteroidea", "Batiacasphaera", "Kuschelomacerini", "Oreba", "Peracca", "Ochromima", "Brachycylix", "Scolodontidae", "Pseudobiosteres", "Sahlbergius", "Fortiblatta", "Acanthomeniidae", "Cryptafricini", "Graphostromataceae", "Wrightia", "Charagmus", "Anisops", "Pseudotaxis", "THUMB", "Centrinaspis", "Glyptotheomima", "Acridarachnea", "Solirubrobacterales", "Brochiraja", "Acestrorhynchidae", "Mithracidae", "Lepidopteryx", "Clypeodromini", "Ctenorbitoides", "Deinocheirus", "Notocacteae", "Oporopsamma", "Chusiphuncula", "Siluriformes", "Candinia", "Nyctimene", "Rhynchogonatopus", "Mycobonia", "Feaia", "Handeliodendron", "Hemisquillidae", "Myrsine", "Eurylomia", "Pygostenini", "Nerineidae", "Warrisia", "Leyfroyella", "Neogregarinea", "Sillaginidae", "Hildenbrandiales", "Nettarhinini", "Careina", "Apsilocephala", "Schizogenius", "Uronemella", "Parvularugoglobigerina", "Kaochiaoja", "Ommatogammarus", "Gyrininae", "Thouinidium", "Pellitida", "Thrixenglyphe", "Axylus", "Neotartessus", "Neochryopus", "Pilizetes", "Camarotoechiinae", "Aquifoliales", "Rinorea", "Polychisme", "Calocrater", "Paraleptomys", "Desulfurococcus", "Sybropis", "Phascolopsis", "Rhopalodes", "Daulocoma", "Gregorius", "Ophlitaspongiinae", "Dorylobius", "Pseudophichthys", "Pseudopisalia", "Falsorhipidius", "Cristatellidae", "Sarcomastigophora", "Pronus", "Relicina", "Microraptor", "Winteroxylon", "Ophionellus", "Oplerclanis", "Rhiphaeoclymenia", "Whiteinella", "Allomyia", "Schuelkelia", "Discocyrtus", "Balaniger", "Strephonematoideae", "Goreauiella", "Burmanteon", "Todus", "Temnocerus", "Loy", "Velora", "Papuechitinae", "Palaeopsylla", "Rhaconotus", "Brancoplia", "Mada", "Paeniscutalus", "Eucera", "Genatropis", "Galeottiella", "Psephophorus", "Acanthaster", "Protactoclymenia", "Haplolepinae", "Alcimochthini", "Homoeomorphus", "Cercococcyx", "Plenotocepheus", "Diglyphosematini", "Platygillellus", "Pleuroziopsis", "Catarhoe", "Coscinodiscopsis", "Stictodiscus", "Howardella", "Massjukichlorella", "Hydrogenophilales", "Ancylis", "Athaliini", "Dulacia", "Calodrosophila", "Cyclestheriidae", "Rissoa", "Latentifistula", "Xiphophora", "Hispaniolepis", "Pterinotrema", "Masiripius", "Roeseliana", "Pinophilina", "Jasminum", "Galatheacarididae", "Naviculispora", "Polacanthinae", "Nassophorea", "Hydrocotyloideae", "Heteroxynematidae", "Opisthorchis", "Teretriini", "Inermaegocidnus", "Episyrta", "Aucklandobius", "Cleostratinae", "Calpodes", "Plesiolebias", "Dichopogon", "Denticipitoidei", "Verrucocoeloidea", "Jerini", "Philodes", "Diporothecaceae", "Hemihyalea", "Petridiobius", "Adebrattia", "Aponogetonaceae", "Cotylogasteroides", "Paracautleya", "Melyris", "Pedinellophyceae", "Coptopterina", "Trachelobrachys", "Edgarosaurus", "Simira", "Haplothrix", "Lectera", "Geosternbergia", "Diplocalyptis", "Maiazoon", "Iridana", "Notoperla", "Tezakidae", "Tatyanapion", "Neojilinga", "Boconita", "Metzgeriidae", "Xenimpia", "Barbclabornia", "Cyphocardamum", "Eubelinum", "Neomizaldus", "Epelebodina", "Poecilia", "Marisora", "Protrellus", "Cryptoholcocerus", "Clipeoparvus", "Zelandonota", "Maraces", "Tirybenus", "Frankia", "Actinokentia", "Ant,", "Subeucalanidae", "Hypocolius", "Pedinophyceae", "Blastophysa", "Spilovalgus", "Santalaceae", "Sphenopus", "Spinilepis", "Dasyses", "Gongrosira", "Rauisuchia", "Haedanula", "Lophoplatystoma", "Pseudoramibacter", "Adnatosphaeridium", "Zelopsis", "Plutelloptera", "Echinoprocta", "Epimyodex", "Jansenus", "Kerodon", "Aphanisma", "Meizotropis", "Gyrodactylus", "Rhinochimaeridae", "Trygaeus", "Rhodoleia", "Goodeniaphila", "Anisocapparis", "Hyalida", "Eocylindrites", "Colletocerus", "Antelminellia", "Karinia", "Chlidanotinae", "Peltodictya", "Pseudolecanactis", "Phyllodinardini", "Schizocoleidae", "Neocallimastix", "Dicephalarcha", "Proterocara", "Shafera", "Sciophyrus", "Arctogadus", "Gerarda", "Stillingia", "Proclitus", "Cotyachryson", "Rainfordia", "Sedeae", "Hylopanchax", "Chauliodoniscus", "Tetraneurites", "Gagarinia", "Aquaencyrtus", "Dlefa", "Meganema", "Villophora", "Blepharoneuron", "Acrocirridae", "Tianeotrechus", "Plagiotheciaceae", "Jascopinae", "Gasteria", "Sandonellinae", "Typhoniinae", "Dendrocoelidae", "Eboraphyllus", "Aristochroodes", "Neoctodon", "Arcellidae", "Iberanillus", "Abiotrophia", "UNIRIO", "Serjania", "Leptodeuterocopus", "Jilinocaris", "Ornithocercus", "Mucoromycota", "Ortheziola", "Eurranthis", "Chlorangiopsis", "Empusa", "Caliobius", "Syrichthodontus", "Proternia", "Papuacalia", "Pseudocraspedomerus", "Protopelagonemertidae", "Andaniexinae", "Austroleptidae", "Diptychus", "Bonomiella", "Coryphostoma", "Endosiphonites", "Planktophila", "Blanchardoplia", "Lethe", "Gigantoppia", "Nebaliella", "Pelecium", "Protroticus", "Formosimyrma", "Achnanthaceae", "Pleuorsigma", "Patollini", "Trachyphilonthus", "Pachylobus", "Cosmocerus", "Kageralna", "Rocio", "Hypoglossum", "Pityobiinae", "Wiraqucha", "Tenuilongiaphis", "Ia", "Drosophila", "Uhlorchestia", "Microparmarion", "Heterosperma", "Cliothosa", "Licinina", "Ulamus", "Coryphosima", "Protostegidae", "Catharisa", "Aventiini", "Sibiriulus", "Asteriidae", "Viadanina", "Aegoschema", "Crowsoniellidae", "Akrosida", "Phyllospora", "Yersinia", "Afrojoyeuxia", "Namibarbutia", "Lindavia", "Besuchetaceus", "Pipraeidea", "Meridulia", "Luridocimex", "Adicophasma", "Demidovella", "Monatractides", "Iranotelmatoscopus", "Tortumyces", "Alberta", "Girgensohnia", "Androsaceeae", "Harttiella", "Symphodon", "Boutonia", "Tomoxelia", "Corintascaris", "Oleiagrimonas", "Heteroporella", "Ontochariesthes", "Gelanes", "Acripsidinae", "Sidyma", "Cesachile", "Esociformes", "Crustomastigaceae", "Hoplandriini", "Mayriella", "Necepsia", "Aegopodium", "Argeiopsis", "Shyrodes", "Dinorhynchus", "Oxygaster", "Discorotalia", "Sphaerocinidae", "Macrodiplax", "Stachylina", "Nitrospiraceae", "Pseudolithobius", "Phronira", "Stephanasterias", "Cryptodira", "Trichromothrips", "Peoria", "Arhynchonemertes", "Sauropus", "Mandaloceratidae", "Rasicota", "Mytonolagus", "Ancyroclepsis", "Gallophasmatidae", "Bogoriella", "Exobasidiales", "Vulpeculella", "Stomatomiris", "Uleanthus", "Ephydroidea", "Newmanella", "Zearchaeinae", "Volvocida", "Oecanthini", "Hypsostiba", "Cynosaurus", "Apseudopsis", "Bodopsis", "Atalopedes", "Lyurella", "Adamystis", "Chloranthales", "Coccorhagidia", "Haplomelitta", "Laportea", "Meixnerides", "Thouvenotiana", "Amicia", "Helicopsini", "Criotettigini", "Canopidae", "Platysuccineinae", "Yunnanolepoidei", "Crossobothrium", "Madegassosorius", "Gollumjapyx", "Orobanche", "Peronospora", "Rostkovia", "Oocystopsis", "Harrimanelloideae", "Notsodipus", "Ellobiophycidae", "Normeyera", "Paracrossotus", "Typhlotanais", "Duplipectus", "Encyclia", "Lysiphlebus", "Thysanus", "Ceratapiini", "Paraurostyla", "Gracilibacteraceae", "Sclerocypha", "Chusqueophila", "Histodermella", "Mesoleuca", "Cardiopetalum", "Polyclypeolina", "Plicatusidae", "Crematoxenus", "Boophilus", "Coniurus", "Acanthopinae", "Cheyniana", "Anchonieae", "Menorosia", "Kryptonesticus", "Mazaea", "Woodringina", "Sulcia", "Nymphidae", "Smilium", "Neopromachus", "Polyenaria", "Cylindrella", "Laphystiopsidae", "Heterochaetini", "Synchroina", "Subalveolina", "Myoida", "Diplohimas", "Hilgertiini", "Heratemis", "Gessia", "Carallia", "Omphalodium", "Entobdellinae", "Hypseleotris", "Cambroclavus", "Acridocarpus", "Decacotyle", "Anenaria", "Paniscomima", "Nephilidae", "Asiophilus", "Macropathinae", "Anticarsia", "Fosseremus", "Pseudomoera", "Tricheops", "Rostropycnodus", "Parachrysina", "Sacchiphantes", "Stemonurus", "Zenithicola", "Allodiplophryxus", "Pedinellida", "Protodexiini", "Paralelapia", "Trochosphaeridae", "Leuculodes", "Trachysida", "Scoliaxon", "Thyenula", "Haemadipsinae", "Ivindomyrus", "Cirrochroa", "Aschistanthera", "Catonella", "Dilompus", "Aspidistra", "Dendronucleatidae", "Amphorula", "Parapusillimonas", "Ephyra", "Tricholathys", "Airaphilus", "Orbitocyclina", "Stephanbeckia", "Xenobalanus", "Helarctos", "Uvedalia", "Rhombobolivinella", "Enispe", "Cretobythus", "Methyloferula", "Eurypeza", "Paracalliope", "Caecaniphargus", "Squamaria", "Saccospyris", "Diceromerus", "Ictaluridae", "Indocalamus", "Lymantriinae", "Aechmeta", "Phaethontiformes", "Pseudotolida", "Calcicarpinum", "Automolis", "Glyptophidium", "Multidentorhodacarus", "Aonchotheca", "Milionia", "Heliophaninae", "Sitiorica", "Pachymorphini", "Karimuicoris", "Coremiocnemis", "Cheromettia", "Haemanthus", "Paraleucoptera", "Heterocola", "Brachycarenus", "Sellaphoraceae", "Geomyces", "Hendecaneura", "Phyllolepidum", "Megalurulus", "Myrionema", "Armatognathia", "Dicordylus", "Nudochernes", "Podocopa", "Bresslauillinae", "Acylotyrus", "Schizotetranychus", "Parapeltastes", "Lateroctocotyle", "Munnopsoides", "Munnopsidinae", "Anelytropsis", "Chleuastochoerus", "Fritziella", "Mitomorphus", "Chrysogaster", "Diastellopterus", "Arceuthobium", "Paratalanta", "Pseudotaria", "Hesperothamnus", "Baerietta", "Isozoanthus", "Laevichlamys", "Boursinia", "Stanfieldiella", "Areotheca", "Granulopaussus", "Paragoniochernetinae", "Cylindrosella", "Tantalophis", "Rhinomiridius", "Callilithophytum", "Amyntorini", "Staphylininae", "Chrysiptera", "Myaka", "Paracataclysta", "Sperata", "Neomenia", "Zelotibia", "Shijimiaeoides", "Caudovulpecula", "Abeillia", "Allobacillus", "Telammina", "Multivalvulida", "Brachyscominae", "Reinholdellinae", "Oplosia", "Heniocha", "Zenaida", "Plotopuserica", "Scaphium", "Rodhocetus", "Tabanus", "Protopteryx", "Lacunisbole", "Pterinopus", "Pterobryella", "Eustalodes", "Gohia", "Paranishadana", "Proterogyrinidae", "PSO-CZ", "Toledonia", "Aetosaurus", "Cephalophinae", "Thrinchostoma", "Poecilolepis", "Austrolophrum", "Goodgeria", "Culcita", "Tectoporini", "Platysmodes", "Eremicola", "Cubanocoris", "Pacificothemis", "Capitophorus", "Telogaster", "Mantridae", "Spheterista", "Pseudovinctifer", "Levarchama", "Psilocitharella", "Bonetocardiella", "Dermochelyidae", "Eteoneus", "Heliocopris", "Ligula", "Clostridiaceae", "Thalesius", "Xylopoemon", "Cladoxycanus", "Pseudapharina", "Cymatomerella", "Batrisodellus", "Oechalius", "Cylindrotelphusa", "Distephanopsis", "Caminus", "Balkanopetalum", "Eumolpinae", "Chthoniinae", "Mrazekiidae", "Kepon", "Agrococcus", "Striatocryptus", "Gonyaulacales", "Hymenandrya", "Nicotianoideae", "Agriocnemis", "Coelostomopsis", "Antipathidae", "Lycopodiastrum", "Geocolaptes", "Hilaroptila", "Icambosida", "Centropleuridae", "Loboixys", "Oenospila", "Coelostathma", "Arthrosphaeridae", "Leptochristina", "Mpanjaka", "Gigantorhynchus", "Perkinsida", "Evaniella", "Archaeochitinia", "Buprestinae", "Piptostigma", "Telomantis", "Dermomycoides", "Tonocote", "Polyentactinia", "Nanoarchaeum", "Sillybiphora", "Siamites", "Tettigotoma", "Buzura", "Decaneuropsis", "Compsocrita", "Retanilla", "Bellubrunnus", "Copiopteryx", "Jailoloa", "Paragonotrechus", "Pseudorhizoclonium", "Stemmiulidae", "Myochamidae", "Mucrocalliope", "Coccidiasina", "Rhagiomorpha", "Warneckea", "Pomerantziidae", "Sipunculiformes", "Epicnaptis", "Nomeidae", "Baphia", "Asura", "Echinasteridae", "Blastobius", "Cyanomonas", "Bibradya", "Heikertingerella", "Tripterospermum", "Acarosporium", "Chaitoregma", "Dichostatoides", "Dicheirus", "Mesochorinae", "Harungana", "Acaricesa", "Strigomerus", "Hesperochiron", "Archiplutodes", "Spironematella", "Aprion", "Metapeniculus", "Boca", "Panteles", "Chamaelirium", "Nevermannus", "Sumelis", "Scutellaspis", "Malawimonadidae", "Ululodes", "Stelgidocoris", "Malvapiini", "Bryanites", "Anaerosporomusa", "Labdia", "Crassodus", "Paradeutella", "Corimelaenidae", "Laurencia", "Rhapidophyllum", "Kozloviella", "Cirriphyllum", "Thylacosceles", "Mortierellaceae", "Anthosphaeridium", "Conobea", "Theonella", "Enaliornithidae", "Phyllotodes", "Megapenthini", "Apocnemidocoptinae", "Perionychella", "Leucosiinae", "Kurzia", "Coxiella", "Bipes", "Narsingiella", "Spinilabochilus", "Genyodectes", "Condukiidae", "Hyaenidae", "Stenaelurillus", "Fehmii", "Helophoridae", "Latentemys", "Eurygnathomyiidae", "Furnariida", "Trizeuxis", "Pseudorhodoplanes", "Tauricaphis", "Pseudophelaus", "Micrereynetes", "Pterokrohnia", "Pseudoacanthostomum", "Euphthiracarus", "Acheilo", "Deliaesianum", "Atractocarpus", "Mimogyaritus", "Taiwanoshaira", "Prumnopitys", "Canidae", "Panderichthyida", "Anaora", "Casaleia", "Lamtoquadrula", "Triloculotrema", "Aetheoptera", "Porothamnium", "Rhycherus", "Holonotus", "Beriola", "Leptagoniates", "Polypsocua", "Rhyticoris", "Anystinae", "Chisosa", "Soteloniella", "Philodryas", "Qianaphaenops", "Oopelma", "Meyerozyma", "Pseudunciola", "Pedrocortesella", "Gaurenoglaea", "Anonchocephalus", "Formicini", "Filariomyces", "Braconinae", "Roseobacter", "Phycodrina", "Glabrimycetoporus", "Bellendenker", "Remanella", "Rigidohymena", "Neoparatinia", "Eleorchis", "Glyptogeotrupes", "Lituolipora", "Ameroduvalius", "Pseudothamiaraea", "Hoplistopus", "Hydrosaurus", "Jalisco", "Nannonyx", "Haplotaxida", "Perdicium", "Sprengelia", "Palaeosoma", "Tshernovaia", "Palaeogrus", "Toiana", "Chiloschista", "Flammeovirgaceae", "Odontamblyopus", "Paranthias", "Pelecininae", "Apterachalcus", "Chrysolampus", "Bernardia", "Rhynchodercetis", "Cryptontsira", "Caronia", "Bensingtonia", "Aspidoparia", "Methanococcoides", "Andalucia", "Odonticoscapus", "Bacillemma", "Epiona", "Valvulinellidae", "Benedeniporoidea", "Coccophagoides", "Oxynotus", "Haurania", "Hennemannia", "Carposina", "Proatta", "Phloxamoeba", "Priocharax", "Taurodemus", "Boekelovia", "Megalodontoidea", "Gnatocerus", "Jembra", "Myliobaticola", "Sternaulopius", "Anthaenantia", "Microlaimidae", "Macabuna", "Microloxia", "Palachemonella", "Mongoliitalea", "Astyanacinus", "Nearticerodes", "Tantulocarida", "Badura", "Rotundoecia", "Oncinema", "Facklamia", "Allodontichthys", "Funariella", "Sepiana", "Clavisybra", "Paraclostridium", "Paraspeleognathopsini", "Brachyglossina", "Rhaeboscelidina", "Paragonatas", "Frankenbergerius", "Amercaenis", "Abacetini", "Timbellus", "Stegostomatidae", "Cristacoxidae", "Eoconchariidae", "Morimopsini", "Handianus", "Platyura", "Acanthonessa", "Ceraeochrysa", "Pseudamnicolinae", "Octavius", "Coquillettidia", "Zelodia", "Drifa", "Odontepyris", "Ibidionidum", "Raveneliineae", "Sternangustum", "Phaeothamnion", "Helicohedyle", "Chroococcaceae", "Chordaceae", "Lodia", "Cyclophorus", "Bathystegocephalinae", "Thaleropia", "Phytometra", "Ibalia", "Coccinellinae", "Nicrophorinae", "Zenarchopterus", "Petrochromis", "Taeniapterinae", "Falsoreinholdella", "Lycopodioideae", "Diadoxus", "Bleone", "Acherontia", "Afrobium", "Migadopinae", "Chelicercinae", "Amblyjoppa", "Coreoidea", "Orachrysops", "Elimaeini", "Helicotylenchus", "Babuniella", "Houardia", "Myla", "Arxellia", "Typhlonectes", "Subreophax", "Conoposelaga", "Subdoligranulum", "Urticina", "Saiga", "Locustopsoidea", "Octolasmis", "Cryptorhinula", "Cryptovenator", "Leucolophus", "Duessa", "Sisyrolepis", "Candoia", "Dasynema", "Paraptenodytinae", "Monalita", "Lituonelloides", "Craspedostomatidae", "Ptychocladioidea", "Scorpaeninae", "Longipteryx", "Exiguobacterium", "Myangadina", "Tetrabaenaceae", "Staphylocystoides", "Xanthobacillum", "Carliella", "Dandrelion", "Montrouzierina", "Pseudcolenis", "Paralaophonte", "Zesius", "Casimirella", "Seynesiopeltidaceae", "Perezina", "Schizostachyum", "Macrauchenia", "Stictotarsus", "Malpolon", "Calochara", "Pericosmidae", "Scoliidae", "Rhaphitelus", "Waucoris", "Haptoglossales", "Echinoplana", "Hoodus", "Froelichia", "Conotylidae", "Terinos", "Catharsiocopris", "Raphidiophryidae", "Tortanidae", "Halarachnidae", "Tiarina", "Renauldia", "Giraudya", "Nannoptopoma", "Pogoniulus", "Gonostomatoidei", "Syncarpha", "Caetea", "Aethriscus", "Ulothrix", "Mysinae", "Tubificinae", "Stomatolepas", "Sylvacligenes", "Sagenina", "Phasmomimidae", "Rhabdotobothrium", "Acanthocircus", "Chaoyangiidae", "Cryptomanis", "Tingis", "Tanaoceridae", "Priapulomorpha", "Stenatkina", "Rutacarus", "Dactylopisthes", "Pentace", "Zemelanopsidae", "Clupei", "Paraphacosomoides", "Lysobacter", "Oligotomorpha", "Tetraulaxini", "Phaeurus", "Hopkinsinella", "Acakyra", "Callophyllis", "Gymnusini", "Octopetalum", "Hydropsychoidea", "Striarioidea", "Pleraplysilla", "Synuropsis", "Ankistromeces", "Urasomus", "Scalopinae", "Helsonia", "Parastasia", "Triadodiscinae", "Coraliomargarita", "Heteroclytomorpha", "Paramesostominae", "Physomerinus", "Chirodectes", "Hutchinsonia", "Reticulomyxidae", "Inimicus", "Dictynidae", "Aderini", "Mecosaspis", "Wilsonosiphonia", "Adoxellus", "Bystropogon", "Philodromus", "Lithoselatium", "Thagriini", "Botuloides", "Dvivarnus", "Hypogymnia", "Phricanthes", "Ophthalmina", "Pseudalus", "Spartidelphax", "Meridiochorista", "Homodoxus", "Anoplosiagum", "Heptathela", "Gunniopsis", "Hadropareia", "Tetraulacus", "Saprolegniidae", "Dysderinae", "Corypsyllini", "Cleidothaeridae", "Pachyschelus", "Microstegium", "Chalioides", "Microvalgus", "Geron", "Spaniinae", "Dodecocerus", "Neororea", "Fabiania", "Migdilybs", "Stilpnus", "Styphlotelus", "Erythriastis", "Lativena", "Catasticta", "Pseudopolyneura", "Tripsacum", "Pseudohalocynthiibacter", "Lophocnema", "Talitroides", "Splendoroffula", "Scapexocentrus", "Galearia", "Phesatiodes", "Antarctodes", "Oxyria", "Dissothrix", "Pogonieae", "Saara", "Hollowaya", "Keeta", "Lamoria", "Tharrhalea", "Allopsocus", "Valvaeodinium", "Porodiscidae", "Lithosciadium", "Stigmaphyllon", "Ophryosporus", "Epidorylaimus", "Borisella", "Acanthostomoides", "Creniola", "Dvinosauria", "Phaleriini", "Belesica", "Tenualosa", "Olearia", "Megatrematinae", "Iranecio", "Fuligo", "Tephromela", "Beloniformes", "Atractiellales", "Lunasia", "Cryptocercus", "Andinaphis", "Svastrides", "Tranquillimonas", "Megorchestes", "Hylaea", "Myroxylon", "Trichodiadema", "Melanocryptus", "Mimapomecyna", "Noualhieria", "Coscinophaena", "Coelophora", "Voltzialestidae", "Andinoacara", "Iuiuia", "Porphyrostemma", "Melasphaerula", "Synurus", "Neochrysops", "Lomatozona", "Pygmipanda", "Norasuma", "Chloroperlidae", "Endressia", "Litoreibacter", "Rewafulvius", "Capillostrongyloides", "Ceratogammarus", "Sandalomeniidae", "Pseudomurraytrematoidinae", "Pseudamnicola", "Herbiconiux", "Pseudonigrita", "Pleurobrachia", "Roystonea", "Centrosaurinae", "Chorizanthe", "Plesiacanthoceras", "Sculptomyriola", "Spragueanella", "Gymnoschoenus", "Notothectina", "Alarconia", "Weyrauchia", "Psilopygida", "Amichrotus", "Lentistivalius", "Culicomorpha", "Gallardosaurus", "Baicalasellus", "Hafnia", "Xenanthura", "Amplorhinus", "Cyphoderopsis", "Ophitodum", "Ramaria", "Pachydomellidae", "Sinothaumaspis", "Litostigminae", "Simmondsius", "Mecochelia", "Chrysanthemodiscaceae", "Strepera", "Glaucops", "Greigia", "Siphonarimorpha", "Manjarivolo", "Aphidinae", "Conspinaria", "Phricotelphusa", "Rhynchortalia", "Rosoideae", "Mimon", "Beddomixalus", "Paleoripiphorus", "Brachioppiella", "Archelatrius", "Proplectella", "Pseudibis", "Afromicrodon", "Gyragathis", "Mesodasys", "Acanthascinae", "Geosthethus", "Protroglophilinae", "Lioadalia", "Clusia", "Discotricha", "Estoloderces", "Dictyophimus", "Herpomycetaceae", "Weigertrina", "Haliactinidae", "Eugenysa", "Eburodacrys", "Leontochroma", "Suaeda", "Paraedessa", "Anosteira", "Proshermacha", "Medocia", "Astemmoplitus", "Paratermitopulex", "Mnium", "Cetonia", "Pyropeltidae", "Hydara", "Geocharidius", "Ceraceopsora", "Haplovejdovskyinae", "Platynopiellus", "Moho", "Hypselosomatinae", "Cleostratus", "Castanopsis", "Turritella", "Epilobophora", "Iyanola", "Phygomelitta", "Cenozosia", "Neotemnopteryx", "Sinibotia", "Wollemia", "Athacryvac", "Plotosidae", "Myrmekioderma", "Rhyssolabus", "Rhinosciurus", "Eberhardtia", "Trephionus", "Atarsos", "Adephaga", "Chimonocalamus", "Pseudothaumatelson", "Afromochtherus", "Trigonuncus", "Alienoclypeus", "Trepadonia", "Amriathaea", "Charonosaurus", "Hadenini", "Macrophthalmidae", "Australobranchipus", "Ecitocryptodes", "Pleea", "Brachynarthron", "Pseudodactylariales", "Lophiotoma", "Patritiodemus", "Hydroglyphus", "Sycacantha", "Grammicosum", "Unionida", "Ommatissus", "Nanjinoporella", "Cystodium", "Jolya", "Ophthalmemeopedus", "Moruminae", "Apoderaeocoris", "Gomphoidinae", "Cicinnurus", "Byrsax", "Mezioniptus", "Xeropigo", "Salinimonas", "Dorylophilina", "Astioida", "Paurotriozana", "Ochralea", "Terthreutis", "Rhytachne", "Hulitherium", "Sulfuricellales", "Deroceras", "Hippotraginae", "Calceolispongiidae", "Romaleini", "Ponticulus", "Orinentomon", "Ophthalmis", "Aneuretopsyche", "Acanthuroidei", "Namea", "Myrmus", "Adetomeris", "Erpocotyle", "Homolobus", "Megaptilidae", "Protinae", "Colydiinae", "Hildegardia", "Howchinia", "Ephemerellini", "Gimesia", "Pythonasteridae", "Pompiloidea", "Kurtzmaniella", "Sagittranstilla", "Papuagrion", "Colymbetini", "Tritaxis", "Neopapilionia", "Tribuloideae", "Pachyurinus", "Fulvitalea", "Lachesana", "Eusthenioidea", "Aciculoconidium", "Canaroxypoda", "Catophragmidae", "Mayana", "Sporodinium", "Chelidonichthys", "Trichophaga", "Pseudothecamoeba", "Mitinha", "Synetaeris", "Octochaetidae", "Stenostira", "Pyrularia", "Forillonaria", "Krocodonini", "Althos", "Rhizophydiomycetes", "Asterocladon", "Orsinome", "Telengaiinae", "Helotropha", "Kareiga", "Diopisthoporidae", "Leonotus", "Trichlora", "Dodecas", "Marinonicoris", "Sphalma", "Bolivina", "Caudicornia", "Vitila", "Margelopsidae", "Phenacophragma", "Mildbraediodendron", "Garrettiinae", "Pseudaglo\u00eb", "Eutactobius", "Sphaeriusoidea", "Calamophylliopsis", "Popovigocimex", "Dictyothamnion", "Cephalopsocus", "Austrini", "Salmasellus", "Protocanites", "Caloloma", "Incumbomyces", "Riodininae", "Alistra", "Mandeliidae", "Amphisbaenidae", "Diversisporaceae", "Lepetellidae", "Lenarchus", "Aenictoxenides", "Fleischmanniinae", "Opresus", "Gastrophryninae", "Isocanace", "Euphydryina", "Coffearhynchus", "Saltovskajina", "Gandhara", "Alchorneae", "Madagatrox", "Victometopa", "Unxiini", "Rhaphiinae", "Helotiaceae", "Porcellanasteridae", "Lycoris", "Acaeroplastes", "Gloiogullmia", "Chrysoglossum", "Poritia", "Acrogomphus", "Homothecium", "Tenuialidae", "Engyum", "Plumicoma", "Cosmiocryptus", "Pseudomegamphopus", "Plagiotriptini", "Dokdonia", "Zonocopris", "Acrotylus", "Hypsibarbus", "Colotes", "Nedubini", "Sematoptis", "Austridotea", "Peckius", "Leucothrix", "Cretonanophyes", "Protargentinolithus", "Phuopsis", "Syringodea", "Ogataea", "Catorthontus", "Hansenopezia", "Tchunglinius", "Melagria", "Calophya", "Cornuata", "Chasmina", "Acianthinae", "Euryusa", "Hunterella", "Fagopyreae", "Vasichona", "Myrmecodemus", "Euplanina", "Wilkiea", "Coenobius", "Neolokia", "Amphinotus", "Knemodynerus", "Marantochloa", "Paratydaeolus", "Mimosciadella", "Coronabrotica", "Chrysopilinae", "Stappia", "Synemon", "Zelliboria", "Diplodoselachidae", "Seuratoidea", "Puberella", "Printzia", "Rectoeponides", "Conicostomatinae", "Caulocystis", "Epicasta", "Lamaceratops", "Orissania", "Biwakovalvata", "Cyrnopsis", "Pleophylla", "Promecidus", "Carpatolechia", "Dissoloncha", "Ptilopterium", "Protoxenos", "Eucondylops", "Melanopangonius", "Pythia", "Hydrocorynidae", "Rhynacus", "Clionaidae", "Rhaphidicyrtis", "Lyroglossa", "Septamesocena", "Acada", "Psilidius", "Trechini", "Metriostreptus", "Falsozeargyra", "Dyscolorhinus", "Hopea", "Tinnitara", "Neocichla", "Leopoldamys", "Litokoala", "Gastrotaenia", "Pristacrus", "Carsonella", "Gabara", "Calospeira", "Cyclodorippoidea", "Aspilosterna", "Amphorosiphon", "Truncatelloidea", "Cintaromorpha", "Pachylis", "Herpobasidium", "Microditica", "Hauffenia", "Euryceros", "Stylocerateae", "Acapnolymma", "Wallemiales", "Centrosolenia", "Leptospermeae", "Psychodidae", "Xanthoperla", "Calabozoa", "Valditermes", "Phymatodiscus", "Sathropterus", "Kochliodepisalia", "Mystacidium", "Calkinsiella", "Haematopota", "Apulicallis", "Mekonglema", "Chrysomeloidea", "Iphisa", "Graptacme", "Megarafonus", "Pseudobryocoris", "Frondiculariinae", "Rhacolepis", "Aoshachia", "Psorophorus", "Ozanaphothrips", "Porotica", "Cosmochilus", "Agelia", "Selkia", "Dodecalana", "Neetroplus", "Clymenura", "Leptospathius", "Prionotylus", "Gongylocarpeae", "Micropleustes", "Ossubtus", "Platycerus", "Cumacea", "Hemimenia", "Sphaerosyllis", "Amathusiini", "Macrocephalon", "Craspedomerus", "Metajapyx", "Rexa", "Haliaeetinae", "Panamericansaurus", "Pseudobessobia", "Paederota", "Dungoorus", "Ascalaphinae", "Aguapanela", "Colaspidea", "Pseudima", "Hortonioideae", "Chaetops", "Capsella", "Distromium", "Mircarvalhoia", "Borneotheopea", "Mallomonas", "Tingupidae", "Atelura", "Molorchus", "Periandra", "Acarapini", "Malaxella", "Metahydnobius", "Tophoderes", "Eumorphotheta", "Golovinomyces", "Drepanocrinus", "Macrodasyidae", "Narcisseae", "Paracharopa", "Thunbergianthus", "Pileostegia", "Monotropus", "Frasera", "Kakaducarididae", "Psittirostra", "Bemangidia", "Dromiciocoptinae", "Penthinae", "Stainforthia", "Pseudothelphusidae", "Blepharidachne", "Gibboryctes", "Ventiella", "Epacroplon", "Henophidia", "Gnomibidion", "Leciophysma", "Perone", "Madiniella", "Amonemobius", "Minipsyrassa", "Xystrologa", "Ghumattus", "Hartmaniella", "Triporoplana", "Xianshanella", "Venturia", "Naiadacarus", "Streptophyta", "Halobiforma", "Anophiura", "Thermoplasma", "Zooblax", "Mayataia", "Macropanesthia", "Propionibacteriales", "Dromioidea", "Lenesornis", "Neolimnophila", "Breda", "Campylothorax", "Hieronyma", "Tarfa", "Villarrealia", "Ortyxelos", "Malacophagomyia", "Exaeretopus", "Lycorea", "Oiophysa", "Xylodonta", "Cyprinodon", "Axylia", "Dinocoryna", "Agreia", "Afracus", "Monodontomerini", "Brachypteromini", "Codonellidae", "Falsexocentroides", "Polymorphida", "Sejidae", "Ognorhynchus", "Valiukia", "Triozocera", "Franconibacter", "Parateledapus", "Astrocasiinae", "Lycaeidae", "Neobiscirus", "Callundine", "Crabronidae", "Alvarezsauridae", "Sarcomonadea", "Daplasa", "Austromusotima", "Timorus", "Palaeotis", "Calcidiscaceae", "Anthurium", "Bdallophytum", "Prionoxystus", "Dichrostigma", "Atiaia", "Gelidiellaceae", "Fleischmannia", "Oreellidae", "Denebola", "Vernonina", "Astypia", "Bulonga", "Paracaristiinae", "Brevinecroscia", "Eutrichosomatinae", "Oroplema", "Kolbiini", "Phassus", "Oxynoidae", "Cassagnaua", "Goniaspidius", "Cotithene", "Bivalvulida", "Chamaepsichia", "Myoporum", "Chirostoma", "Hormathophylla", "Cunaxa", "Sphaenorhynchus", "Pseudoxypoda", "Harnackia", "Petalonyx", "Xestagonum", "Chitonodytes", "Corythaeola", "Mycena", "Ootypus", "Madara", "Stephanocemas", "Bulbogamasidae", "Nematoplius", "Yssolebias", "Papuargia", "Chondrocystis", "Paranopleta", "Spondyliaspidini", "Ceratitinae", "Trematocoris", "Ptychatractidae", "Lorentziella", "Cyclostomata", "Bonatea", "Henriquezieae", "Sphagnum", "Nephrolithus", "Echrya", "Hesperoboreus", "Illecebrum", "Lithocystis", "Tubeporina", "Micropterigoidea", "Acritochaete", "Amphifenestrellinae", "Xiphocentron", "Radiospongilla", "Aplodactylidae", "Chiracanthia", "Praravinia", "Haeuslerella", "Orthosaldula", "Stictyosiphon", "Smermisia", "Othnielia", "Nakonanectes", "Micropoa", "Neochauliops", "Arrhenothrix", "Marinobacterium", "Schizogonioidea", "Gastrocoptidae", "Lissolaboides", "Palanana", "Dasytanobium", "Novelsis", "Judolidia", "Chalcoscirtus", "Hudsonemini", "Tagaea", "Aparupa", "Cutina", "Blachea", "Rhizedra", "Ceraceosoraceae", "Calathidius", "Ophioplax", "Pterodon", "Anomiopsoides", "Eumorphobotys", "Gadinae", "Isocoelium", "Xenopygus", "Kermesidae", "Parendacustina", "Uraeotyphlus", "Siphonidia", "Nidella", "Ascyltus", "Proanacharis", "Simonsenia", "Cossulus", "Chlamydophila", "Poecilopsettidae", "Actinomyia", "Exallage", "Dipchasphecia", "Proatheris", "Austroargiolestes", "Perophora", "Nazeris", "Holopodina", "Skatitoxenini", "Bolboschoenus", "Eoprocypris", "Trichamblytelus", "Madachauliodes", "Hemiancistrus", "Doconesthes", "Catafimbria", "Leuconopsis", "Minytus", "Gharesia", "Acanthochromis", "Lycorina", "Syncrobyla", "Sejus", "Viperoidea", "Cilnia", "Votadinium", "Neoncicola", "Neohelota", "Platyptiliini", "Corinnella", "Brookesena", "Dichotrachelus", "Eumastacinae", "Scruparia", "Geothespis", "Neognomidolon", "Phaeospora", "Monticalia", "Saccophora", "Trevoa", "Strobilacanthus", "Tetraconus", "Erithionyx", "Trisetopsis", "Encoptarthriinae", "Epyris", "Pteroptochos", "Porizon", "Strandiata", "Banchinae", "Argyrolestes", "Pseudodorcatoma", "Pleistorallus", "Sipalatheta", "Dorymyrmex", "Leptopeltidaceae", "Cryptaspasma", "Laureliopsis", "Jarzembowskia", "Parthenopea", "Teucholabis", "Dolichogryllus", "Epitomella", "Cacophis", "Otionella", "Mimassinia", "Chaetodoryx", "Pholcophora", "Iphimediella", "Stilostomella", "Galziniella", "Termitaxis", "Periclista", "Heteroscelis", "Dryopetalon", "Eriastrum", "Grubbiaceae", "Eulomalus", "Mirzamys", "Sphaerirostris", "Lacroixiella", "Crepidulospora", "Ovalveolina", "Physinae", "Pelecanoididae", "Drugera", "Pentacora", "Onychomesa", "Gallicrex", "Eukoeneniidae", "Decodon", "Empectoides", "Acanthocheila", "Culeolus", "Strangalepta", "Labidosa", "Cymindoidea", "Lendatus", "Nitidulini", "Tonkinomys", "Cretoelegantella", "Propinquitas", "Psolidae", "Nycticorax", "Stolonivector", "Hydropunctaria", "Raphidosphaera", "Schistodactylus", "Gamsiella", "Arsirrhyncha", "Parorobitis", "Dicyphina", "Macroheterocera", "Lipandra", "Eohypochthonius", "Belopus", "Roodebergia", "Amyipunga", "Agniohammus", "Eurynassa", "Rhytidognathus", "Lampropteryx", "Compluriscutula", "Schistodactylini", "Chlaeniina", "Entomosericini", "Polygaleae", "Heliodon", "Acanthocope", "Ancyrocephalus", "Coryloideae", "Bifurcohaptor", "Corvidae", "Tigrisomatinae", "Paranoplocephala", "Oxytorus", "Pezizomycotina", "Sarcotachina", "Coryphopteris", "Disterna", "Gonocarpus", "Sinaiotaenia", "Geosiris", "Guarea", "Dombeya", "Adjinga", "Lepismachilis", "Chalcolepis", "Xylotrogus", "Multiseptida", "Deschampsia", "Paratheresina", "Anoratha", "Berrisfordia", "Diplostomata", "Toccolosida", "Rotundabaloghia", "Spiraviridae", "Amphistegina", "Mogoplistini", "Coryssovalva", "Neowroughtonilla", "Leibnitzia", "Stenosini", "Chitrellinae", "Chaetogenyini", "Paleopiquitinga", "Disparida", "Panderichthyidae", "Chionothremma", "Microrhopalodina", "Serpenulina", "Parapsammodius", "Antheroporum", "Sabatinelloplia", "Dermatohomoeus", "Xanthochlorinae", "Trichotemnoma", "Symphyocolax", "Lapideacassis", "Clypeoserica", "Tangia", "Mellissius", "Goetzeoideae", "Acrochaeta", "Aschnaoonops", "Volutopsiini", "Scydmaenus", "Marthea", "Microcostatus", "Diadectomorpha", "Buddenbrockia", "Delphinium", "Styngetus", "Munarinus", "Anamera", "Prosomatifera", "Eovernevania", "Gollumiellinae", "Oxyperatex", "Nothobrachodes", "Retisfera", "Cosmocampus", "Tripetelus", "Reteotissus", "Ataeniopsis", "Hypothyris", "Lobomesa", "Menida", "Epicolpodes", "Pareutetrapha", "Massicus", "Duttus", "Retroculus", "Stagonomus", "Cleistogenes", "Zioella", "Ceretes", "Atraktomonas", "Trichogyia", "Archipolipus", "Britobatos", "Neocyba", "Scapeuseboides", "Ethiopica", "Paramphistomidae", "Ankaratraella", "Neomacednus", "Theropogon", "Catuaba", "Dansiea", "Ropalonariidae", "Calytrix", "Neamblymorpha", "Cephalopyrus", "Trichopterolophia", "Lentipes", "Herila", "Ophidiaster", "Diocalandrini", "Gergithomorphus", "Apostropha", "Atomostethus", "Lionychina", "Catopyrops", "Ociminae", "Hyllus", "Lycosella", "Ardeicola", "Nanophyini", "Chrysaloysia", "Perula", "Anisolpidium", "Lamellomorpha", "Pseudamycus", "Parakari", "Philosina", "Arknotrombium", "Hoplostelis", "Eulechria", "Mulciber", "Chloronephris", "Houssayela", "Echinopelma", "Emmelia", "Neotangia", "Anatrinodia", "Symplana", "Anopheles", "Belostomatidae", "Allanicytidiidae", "Sphegoclytus", "Acyon", "Periclimenes", "Raymondionymus", "Podager", "Oedalocanthus", "Parastygocaris", "Palembiodea", "Azecidae", "Annandaliella", "Archaeogaleus", "Fallablemma", "Synapturanus", "Dryomyzidae", "Guioa", "Pseudodiceros", "Clania", "Taibainus", "Spinulogammarus", "Thaumatogelis", "Chloropepla", "Metadilepis", "Ligyrocoris", "Lophostigma", "Donnellsmithia", "Shafferiella", "Lorisidae", "Vegasaurus", "Hexamitidae", "Dentitheca", "Waipapamyia", "Lysiteles", "Borojevia", "Monochaetum", "Intellagama", "Pleurobranchoidea", "Nothancyla", "Meghimatium", "Stelligeridae", "Thenus", "Evocoa", "Haploporella", "Phaeodendrida", "Pharaxonotha", "Paratanakia", "Grammephora", "Naviculonema", "Chlorocrisia", "Mesogobius", "Chrysopinae", "Kellicottia", "Lagrioidinae", "Hectopsyllini", "Pyrrhidium", "Sphindinae", "Aysheaia", "Protounguicularia", "Dosima", "Reduvioidea", "Nefoeninae", "Lissothrips", "Aplocheilichthys", "Hexagonellina", "Bostrichidae", "Anguinae", "Hecabolus", "Pinophilini", "Alcedinidae", "Protallagma", "Paratrichapus", "Lachnomyrmex", "Phycocalidia", "Audela", "Nautiloculinidae", "Leptarthrophaena", "Raniceps", "Macroagathis", "Pluvianellidae", "Morabia", "Blepharhymenina", "Agallamyia", "Ligninsphaeriaceae", "Rhexophyllum", "Leiophron", "Tachinoceros", "Gerrini", "Baroniella", "Neolinognathidae", "Platypteryx", "Oligotresium", "Vesillarius", "Annonaceae", "Crustospathula", "Basidiobolaceae", "Ornithobdellinae", "Pompeius", "Bipectilus", "Symplococarpon", "Hybosispini", "Calyptophractus", "Angiostoma", "Hornietus", "Dirrhagofarsus", "Singapura", "Tlepolemus", "Battalia", "Helotrephinae", "Pachorhopaella", "Acmaeoderini", "Moloch", "Tartariella", "Chrysocetus", "Megasphaera", "Patania", "Archaeohelorus", "Myomacrostomum", "Merumea", "Goniaeina", "Paraleptamphopidae", "Crenellinae", "Diademosa", "Afrotydeus", "Treubiaceae", "Ametrocephalini", "Spirotrocholina", "Pterothysaninae", "Acetomicrobium", "Laccobiini", "Bouteloua", "Catenococcus", "Sphaeromapseudes", "Cymodocea", "Cercopagididae", "Thalassometridae", "Arctosa", "Permixtolimosina", "Nasoona", "Carpospiza", "Tamarix", "Chiliocephalum", "Dinklageella", "Lowymonas", "Tetradesmus", "Oarces", "Dinochares", "Neostenotarsus", "Energetia", "Notothyladaceae", "Plautillini", "Pseudoparasitus", "Priscomilitaridae", "Thalassophis", "Exocelina", "Notoplocaptera", "Nethersia", "Sphodrini", "Parallelodontidae", "Ophthalmoblysis", "Oxaeinae", "Indolipa", "Zygodiscus", "Dumbletonius", "Cissarobryon", "Hoplitaceae", "Caloprymnus", "Mantispoidea", "Namibcypridini", "Cryptopeniculus", "Fonscolombia", "Pseudomegachasma", "Buproridae", "Piptocarpha", "Dicranales", "Pseudosmittia", "Vitrea", "Trioserica", "Ceratomia", "Salpixantha", "Gaudryina", "Metanastria", "Dubioniscidae", "Dichromorpha", "Multiductus", "Burenellidae", "Rhizocarpon", "Pontoperla", "Cryphiomystis", "Asiopsocoidea", "Aceratheriinae", "Rohdellinae", "Hydromantes", "Ammochloinae", "Trichophya", "Ferreiraella", "Agaribacter", "Pentateuchini", "Macroteleia", "Corynoptera", "Charaea", "Godoya", "Phellocalyx", "Colotrechninae", "Stiriini", "Dicamptus", "Tancrea", "Vesiculariidae", "Pararchaea", "Pandaros", "Neomitranthes", "Botryochloropsis", "Johnkarlingia", "Esquamula", "Crossiella", "Amatissa", "Valloniidae", "Bicon", "Ichnotropis", "Kussakinella", "Pelmatozoa", "Xyela", "Hemipasilia", "Neocuatrecasia", "Auxenochlorella", "Metaeuops", "Otiorhynchus", "Desmiphora", "Tetrapodomorpha", "Rhapidinae", "Guildavis", "Commatarcha", "Aulacantha", "Sedum", "Neurymenia", "Pareunidia", "Laccadivensia", "Subilla", "Aptandraceae", "Gerontha", "Paradagmarita", "Platycraninae", "Microctenia", "Oreopholus", "Estatheroporus", "Austrophorella", "Stenotoura", "Xolmis", "Podocarpus", "Tetracis", "Paraprevotella", "Octodontidae", "Trichadenia", "Centronia", "Calystegia", "Quediomimus", "Tholagmus", "Duosperma", "Sadoletus", "Obages", "Aterpocoris", "Phylini", "Fauchea", "Casiornis", "Dyckia", "Punctoribatidae", "Achatinelloidea", "Humphaplotropis", "Nibrella", "Ptychodactinidae", "Verminephrobacter", "Miliolinellinae", "Diestothyris", "Brachylabidinae", "Somnambula", "Hippopotamidae", "Epipholis", "Achlysictis", "Parastegnammina", "Sagartiomorphidae", "Kyllinga", "Neothlipsis", "Oedichiranus", "Zabuellina", "Apteropanorpidae", "Deckenia", "Bodilus", "Pagmanella", "Reinhardtites", "Helladocampa", "Antrocharis", "Neonemataceae", "Parablennius", "Livendula", "Corallomyxa", "Halimolobos", "Coatonia", "Pteraeolidiinae", "Hyalopteronia", "Tasmosalpingidae", "Aulacolius", "Platidiidae", "Breviata", "Falkocholeva", "Cylapus", "Cynipidae", "Styracocrinus", "Clinapertina", "Amurocrangonyx", "Amalactini", "Doswelliidae", "Muellerobryum", "Barbini", "Megathymini", "Lemniscomys", "Anheterus", "Zonitis", "Aleurodiscus", "Neobathiea", "Aconophorini", "Mauritia", "Pseudonchinae", "Monoblastiales", "Galpinia", "Beluesca", "Tegulaherpia", "Pectocytheridae", "Bryconops", "Comibaena", "Macrophthalmodites", "Stephanini", "Sinoniscus", "Remanea", "Theosbaena", "Ensiculifera", "Tinginae", "Halichondrida", "Hyalochilus", "Aischrocrania", "Lyncornis", "Chilocrates", "Acari", "Tonnidae", "Cothornobata", "Eunidiini", "Meliphagoidea", "Orsillini", "Phaseolaria", "Ctenorillo", "Parestola", "Neoschumannia", "Nephithea", "Janiszewskella", "Priotomis", "Linevitshia", "Nastlopia", "Malcorus", "Phaulotypini", "Prosocratus", "Ankola", "Rhizopoda", "Mesolia", "Coleopioides", "Hecastocleis", "Lepadidae", "Eremobiotus", "Thlibops", "Uracontia", "Bulbocyrtiidae", "Berycacea", "Daclera", "Calliaxina", "Physalozerconidae", "Acotreba", "Thyrsiini", "Alphaea", "Cryptorhopalum", "Parorthorhinus", "Hemieleotris", "Anteliaster", "Rabdion", "Crassatelloidea", "Polylobata", "Pubistylus", "Perissocarpa", "Pentatrocha", "Diplecogaster", "Leptoiulus", "Eurypauropus", "Skeletonia", "Gomortega", "Platylicoa", "Lecontellus", "Amerizus", "Scapanus", "Neoxorides", "Saxifragales", "Hypacrosaurus", "Hermanella", "Peragalloella", "Helicodontidae", "Mesothymbris", "Nematalycoidea", "Macropsontus", "Pseudohaloritinae", "Dachetola", "Poecilinus", "Paraleucilla", "Chaussieria", "Everniopsis", "Helias", "Diseae", "Loefgrenianthus", "Dusmadiores", "Nyssanthes", "Uleiellaceae", "Plexippini", "Gunnera", "Olethrodotis", "Pachymorpha", "Gyromonas", "Rasnitsynaphididae", "Gnomophalium", "Polycerella", "Papuanthes", "Cryptofagiella", "Capnia", "Pottiopsis", "Astathini", "Acanaloniidae", "Euknemoplia", "Cyanocohniella", "Neosabellides", "Bacchini", "Euretidae", "Ovosculpta", "Caddo", "Envia", "Tacanoosca", "Dispora", "Agaronia", "Gongrospermum", "Mesotaeniaceae", "Brachytheciaceae", "Tabanocella", "Aegotheles", "Protobathra", "Cruranthura", "Paracedicus", "Phrynarachne", "Aesculus", "Celebarches", "Akeassia", "Rhyacodrilinae", "Desmostachya", "Eriopterodes", "Lemooria", "Andinentulus", "Thermococci", "Petricola", "Reinhardtieae", "Orbiculoris", "Haplozoonaceae", "Porioides", "Rhodovarius", "Netechma", "Aporesthus", "Eriopsela", "Glaucospira", "Citreicella", "Madascaris", "Malpighiodes", "Abacoleptus", "Cleigastra", "Namundra", "Nagma", "Ganba", "Trichilieae", "Phalaenoptilus", "Renaudiana", "Plutopteryx", "Leucocelis", "Cypricercini", "Amphidoma", "Zachaenus", "Miltogrammini", "Tylencholaimidae", "Murbeckiella", "Sindonophora", "Glekia", "Pogostemon", "Latouchia", "Abroteles", "Emydidae", "Diaphorobacter", "Phlepsius", "Balduina", "Groenlandaspididae", "Anoropallene", "Melobasis", "Paravespula", "Batepenaeopsis", "Ophioleptoplax", "Cultroribula", "Dyemus", "Rubroxena", "Mimemamenopon", "Labidochromis", "Pruvotina", "Microfreudea", "Schizotrichidae", "Parapanesthia", "Sicistinae", "Amphibalanus", "Medoniana", "Heliaktis", "Elwendia", "Zagloba", "Ophionyssus", "Neolectaceae", "Polychytriales", "Turkobius", "Hemitriccus", "Mystilocoris", "Kiwaidae", "Calloodes", "Miriochrus", "Paronymus", "Sphyraenidae", "Phytotominae", "Gigantura", "Euxinellini", "Urocyclon", "Nanogalathea", "Microthoron", "Hymenopterida", "Thylacoderes", "Podohedra", "Anchigyps", "Ferrandiinae", "Gustavioidea", "Pseudoamphithoides", "Reticulatodemus", "Saltanecydalopsis", "Odocoileini", "Tomzanonia", "Platyceroides", "Opabinida", "Codonorhiza", "Multioppiinae", "Rickettsiella", "Onconida", "Acolonia", "Siremata", "Ephthianuridae", "Falsogastrallus", "Ophiobyrsa", "Proboscinotus", "Humulus", "Pamianthe", "Agyrtodes", "Cuphophyllus", "Lonchorhina", "Connemarella", "Thalasseleotrididae", "Proerrhomus", "Leucocarpus", "Lepteucosma", "Daladerini", "Micropisalia", "Phloeomys", "Arrox", "Heissiana", "Pagiphora", "Rhynchocalamus", "Diomocoris", "Embletonia", "Welchiodendron", "Scolecura", "Haplonerita", "Choristopsychidae", "Megaluropidae", "Tesseropora", "Gyrotrema", "Whitneyomyia", "Pulchella", "Acorales", "Paramolgula", "Anaene", "Pfenderius", "Trinovantedinium", "Eupachyrrhynchus", "Turgenia", "Parasophroniella", "Nepelle", "Arrhenoseius", "Lamellodectes", "Desmella", "Triphyllina", "Acallepitrix", "Neohelice", "Kihnichthys", "Rhyticephalini", "Batrivitis", "Thyridolepis", "Bollmannia", "Sandaracinus", "Bradycnemis", "Pseudanchomenus", "Zapotecanillus", "Xiruana", "Neoarctinae", "Chaetocirratulus", "Isoetaceae", "Discogastrini", "Caenogastropoda", "Codonaria", "Taxorchis", "Austrotichus", "Cedhagenia", "Leycesteria", "Pachysacca", "Phothecla", "Othippiini", "Bavirecta", "Bathyedithia", "Rhizobiaceae", "Katabia", "Kreischeriidae", "Entosthymenium", "Criokerontini", "Acinetidae", "Promurricia", "Empheriopsis", "Methylosporovibrio", "Nasuella", "Neomura", "Parmoptila", "Xenodermidae", "Copobaenus", "Megalophanes", "Rectuvigerina", "Taurulus", "Neofibularia", "Multiarcusellidae", "Orthotrichum", "Tritocosmia", "Rhaptus", "Acetobacteroides", "Neozoanthidae", "Taphrodota", "Psyllites", "Tylostomatidae", "Notolonia", "Gomphaeschna", "Margaritabruchus", "Trichodamon", "MHUA", "Phleogenaceae", "Chandata", "Tangyria", "Cenogmus", "Exerodonta", "Psolicucumis", "Schuhirandella", "Acanthocheilonema", "Thermolongibacillus", "Archips", "Solenomelus", "Cryptocarpium", "Semiscolecidae", "Brommella", "Eulepidoptera", "Beatadesmus", "Trachyneritariinae", "Pseudopsyche", "Skeletonema", "Lycaon", "Mongolicosa", "Boutelouinae", "Melanothrius", "Mantispidae", "Chlorosaccus", "Devendra", "Therevinae", "Agleninae", "Nirmides", "Warren", "Miliuseae", "Pararuellia", "Ciliellini", "Hyperius", "Pentocoronaria", "Meloboris", "Aulonemia", "Eugonobapta", "Hofneiviricota", "Oreoderus", "Granulocystopsis", "Niganda", "Orceolina", "Actinostola", "Macrovalvitrema", "Paradelphomyia", "Parbattia", "Bissetia", "Gloriosa", "Archaeostephanus", "Proconosama", "Porrhomma", "Coccophila", "Fragilariales", "Mandibulophoxus", "Melanchra", "Cheiragonoidea", "Circinatiella", "Helonias", "Argoporis", "Pleurochloridellales", "Hesperanillus", "Mochtheroides", "Macrotis", "Cryptodiscus", "Synorchestes", "Narkidae", "Algidus", "Atelornis", "Aspicilia", "Opsimus", "Aleocharini", "Coelositona", "Acerimina", "Trachyoribates", "Sphaerobotrys", "Palpelius", "Elasmatinini", "Patriofelis", "Schoutedeniessa", "Methylohalomonas", "Anthrenocerina", "Entoprocta", "Sinonipponaphis", "Spinozotroctes", "Australcephinae", "Crenudia", "Capsalinae", "Smyrnium", "Velleiopsis", "Weissiodicranum", "Spenceriella", "Ochetarcha", "Yonagunia", "Praeglyphioceras", "Hansa", "Takhtajaniella", "Callimus", "Ciocalapata", "Hypoptophis", "Lepidactylus", "Longaphodius", "Leeites", "Vaginulininae", "Nymphonidae", "Phytosarcophaga", "Xiphosurida", "Japonactaeon", "Neomacrocoris", "Patanitretus", "Hetrodes", "Trachyschistis", "Liriomyza", "Artabanus", "Lytrophila", "Pseudocaissa", "Safrodus", "Thamnurgus", "Chthonioidea", "Lucania", "Phrynopus", "Bolivianoscopus", "Phyllocarida", "Eupetes", "Triaenostreptus", "Choeras", "Blastogregarinorina", "Corallium", "Spirema", "Falsomelanauster", "Corynactis", "Gastrochilus", "Searsia", "Takastenus", "Aggerostramen", "Tautoga", "Macrolema", "Trachykelina", "Eublemma", "Steinmanella", "Thylacellinae", "Ecdytolopha", "Argostemmateae", "Quararibea", "Notodelphyidae", "Hahellaceae", "Parapanoploea", "Lagenoglandulina", "Smerinthus", "Sinurogomphus", "Chrysopogon", "Leucocroton", "Platidioidea", "Chasmopodium", "Tramaforda", "Nitrospirales", "Pteridospermopsida", "Copidognathus", "Monaga", "Phelloderma", "Chaenopsidae", "Hyalenna", "Celyphoma", "Thraustochytriaceae", "Cnemophilus", "Elophila", "Coreodrassus", "Cubidens", "Stirocorsia", "Acaiatuca", "Paleologus", "Rhenopteridae", "Haploptychius", "Noanelia", "Mimogmodera", "Himantormia", "Schismatocera", "Phaeochila", "Eurypteryx", "Fuirena", "Poecilopharis", "Stenoneis", "Archosargus", "Hemichalcothea", "Parasphaerasclera", "Paranamyces", "Ephemerellomyces", "Papuinthus", "Eucarinogammarus", "Ceroprepes", "Fissarena", "Protochelifer", "Dinemellia", "Stschapovia", "Bucolus", "Thermolithobacterales", "Tintinnidiidae", "Rhysipolis", "Kippistia", "Tapejaridae", "Cochlicopinae", "Pseudorbitoides", "Chelanthura", "Mestogaster", "Osphronemus", "Plocamotrechini", "Ophistreptoides", "Rugoglobigerinidae", "Gyrinus", "Ilvanella", "Nanothecium", "Paralasinus", "Arnoglossum", "Aphanochaetaceae", "Trachyphrynium", "Ambolus", "Daphnopsis", "Blaviodes", "Masynteinae", "Fragilariaceae", "Abaiba", "Pristinosceptrella", "Manulea", "Heterosomatina", "Cistanche", "Arphiini", "Campylorhamphus", "Scopariinae", "Ahnfeltiophycidae", "Chthoniobacterales", "Campanulinidae", "Pleurosorus", "Brachytronini", "Gleasonia", "Eutreptia", "Cyrtusoma", "Clivinopsis", "Mantoscyphidia", "Habenariinae", "Dorcopsulus", "Flavobacteriaceae", "Eucamaragnathus", "Macalla", "Emersonius", "Botys", "Chrysopodocystis", "Diplogromia", "Lyonieae", "Xenysmoderodes", "Omalodera", "Schizoretepora", "Peripolipus", "Orolestes", "Novadelonema", "Lineidae", "Gymnelinae", "Cystoseira", "Polictenidia", "Blaesospira", "Elaeniini", "Meridionale", "Pimelomera", "Agnesia", "Thevenotia", "Sotropalpus", "Erodium", "Mimagathidini", "Arthracanthus", "Elekmania", "Denitromonas", "Campylonyx", "Pseudognathobotys", "Ripidomyxa", "Planaltina", "Balmaceda", "Dicomeae", "Mesomphalia", "Diemenomyia", "Acanthamoeba", "Parakibara", "Aniculus", "Chrysotrichia", "Sternarchogiton", "Euchondrus", "Eumarissa", "Mireana", "Psiloscops", "Caldesia", "Holmiidae", "Ninetinae", "Desulfonatronovibrio", "Digomphia", "Platychorda", "Fustiserphus", "Lichmeres", "Anthicidae", "Mycetozoa", "Pycnofragilia", "Scleroptilidae", "Aurivillialepas", "Ilyphagus", "Drepaninae", "Cheilocolpus", "Animobata", "Trachytes", "Praxelis", "Lyticum", "Limnias", "Conotalis", "Vidaliellidae", "Plakinidae", "Mimochlorisanis", "Pimoidae", "Antillodema", "Noemia", "Filago", "Lunilla", "Etymosphaerion", "Afidentula", "Latisternum", "Argemone", "Astegistidae", "Aptychotrema", "Argyrophenga", "Drina", "Gorgoderidae", "Magwengiella", "Pteronyssus", "Cacodacnus", "Gansus", "Threpterius", "Emmochliophis", "Holcus", "Symbiomonas", "Isonandreae", "Gosztonyia", "Trigonocapnos", "Marieita", "Apterogaleruca", "Metainae", "Teratohyla", "Dichaetura", "Trachischium", "Episactinae", "Tylochrysis", "Haloimpatiens", "Afroruggieria", "Trichodiadelia", "Abavornis", "Pyroderus", "Sciurillus", "Hesperosaurus", "Rasborinae", "Appasus", "Munamizoa", "Folliculinopsis", "Borboropactus", "Collomenini", "Dissulfuribacter", "Noteremus", "Olpidium", "Paraesylacris", "Paradrycothaea", "Aequipectinini", "Armandia", "Powellomyces", "Reynoldsiellini", "Phyllovates", "Phyllodium", "Platypodia", "Erpis", "Aeolidiidae", "Allophryxus", "Vityazicrinus", "Hydrobatinae", "Hesperis", "Diplophrys", "Scaptius", "Anthidium", "Sinopella", "Pachyplichas", "Westwoodia", "Dasyhelea", "Apheloria", "Conlariaceae", "Chaetophoropsis", "Giliastrum", "Proozaena", "Bachariinae", "Visma", "Boophinae", "Zenobia", "Cyclolinina", "Donsissonia", "Gnophos", "Medeoloideae", "Brachyda", "Campylopodium", "Brochocoleinae", "Hoplichthys", "Pedicularis", "Paranesidea", "Plagoniinae", "Nosematidae", "Champsocephalus", "Tectiphiala", "Phlaeobini", "Monolobus", "Hydrogenoanaerobacterium", "Neonelsonia", "Cubipilis", "Cyclommatus", "Rhodymeniales", "Meiranella", "Dotyella", "Casapus", "Anteosauridae", "Retiometra", "Deinogalerix", "Eriococcus", "Pareoda", "Pentalamina", "Schistomitrium", "Karstarma", "Araeosoma", "Rhizostomeae", "Truyolsoceras", "Oryzorictinae", "Serrula", "Kanapia", "Cyartonematidae", "Acanthogammarinae", "Remaneicella", "Pineus", "Acrochaetiales", "Antarctilamniformes", "Agametrus", "Apertochrysa", "Mnesiloba", "Stenocyathidae", "Calanticidae", "Atelodora", "Martensella", "Ampullinidae", "Cotugnia", "Tinthiinae", "Zhouia", "Robusticoelotes", "Thenpea", "Eupromus", "Nyctimenius", "Xanioascidae", "Maxillopoda", "Amphicyonidae", "Myroninae", "Crypteffigies", "Episcynia", "Sinraptoridae", "Erythropteryx", "Paracondeellum", "Thassoblaniulus", "Neograya", "Herposiphonia", "Vertexprorogatio", "Coryzoplatus", "Hymedesmia", "Brasiliogovea", "Atalotegaeus", "Pleopsidium", "Clistosaccidae", "Shevtchenkella", "Stenocercus", "Desulfosarcina", "Dysoneuridae", "Coelorhachis", "Mutpuracinus", "Microperlinae", "Paradrasinus", "Brachylaena", "Psalisodes", "Semisuberites", "Tropidosteptes", "Castromys", "Syntexinae", "Spelaeorchestia", "Aethecerus", "Cobboldina", "Sunaspididae", "Utricularia", "Hanleyella", "Cordyla", "Cephalopsyche", "Pixus", "Takfaia", "Ampelophaga", "Lyctocoris", "Petenaea", "Dolichodoridae", "Neuryurus", "Tasmanoniscus", "Hemigordiopsinae", "Kaistia", "Lebanevania", "Physosomata", "Lycoteuthidae", "Cantuaria", "Aglossa", "Goniotrichopsis", "Brachylope", "Meira", "Stannophyllum", "Car", "Apokayana", "Fossia", "Dacentrurus", "Nyctimeninae", "Psilopygoides", "Ceratomonia", "Clydonobothrium", "Eriochiton", "Ovaticoccus", "Rhynchohyalus", "Bassarona", "Monocelidinae", "Aplotarsus", "Jauravia", "Blattoidea", "Idisia", "Cubanocuma", "Merismoderus", "Rhizangiidae", "Imtechella", "Sturnus", "Caryocar", "Asiopsocus", "Permotanyderidae", "Notogrammitis", "Haroldius", "Opisthoheza", "Filoviridae", "Ephiales", "Tenuisanus", "Peridiniaceae", "Methylohalobius", "Cardenasiodendron", "Aseraggodes", "Pertyeae", "Pentaplatarthrus", "Microdessus", "Diodontium", "Laminospongia", "Lathraena", "Megalapterygidae", "Goniocercus", "Kasim", "Clariaidae", "Conosmilia", "Chaetophyes", "Crusimetra", "Cassymini", "Barbourula", "Crocodilichthys", "Ascocephalophora", "Tambourina", "Anaerolinea", "Trachysectus", "Weeksella", "Chorotypidae", "Carpesium", "Julica", "Apoctena", "Collinsiellaceae", "Phaloriinae", "Mimaporia", "Ophelosia", "Ceratodiscinae", "Tropidonophis", "Globanomalinidae", "Pelinoides", "Thermozodiidae", "Goniatitina", "Nodocion", "Orchitophryidae", "Chionodacryon", "Selachimorpha", "Benetorus", "Mopaliidae", "Tritrabeculus", "Barinya", "Strigocossus", "Pyralis", "Rhynchopyxis", "Davidsonia", "Saturapa", "Heterobathmiidae", "Oceanomegopis", "Selenkiella", "Holcaspis", "Nothoramichloridium", "Mycernus", "Pseudoridolfia", "Nereocystis", "Halimeda", "Scaphopetalum", "Thouinia", "Trizetoidea", "Acmaeopsoides", "Tanipone", "Boehmeria", "Zeuzerinae", "Ectropidia", "Martinofurcilla", "Paratrichonius", "Vallisiopsis", "Cyphophthalmus", "Euacanthopterygii", "Wesniphargus", "Tortyra", "Lixus", "Staberoha", "Acanthinus", "Elaltitan", "Tribalasia", "Hyopsodontidae", "Nosybelbidae", "Fansipania", "Malpighiaceae", "Ranixalidae", "Deasonia", "Metagraphitarsus", "Typhedanus", "Kirsoceras", "Bdellidae", "Asthenocnemis", "Nearctula", "Mycobilimbia", "Euceroptrinae", "Euproctus", "Gracilacus", "Closterotomus", "Alienia", "Emersoniinae", "Hydrocoleum", "Corimbion", "Cyanicterus", "Sulpicia", "Spintharidius", "Pseudopaulia", "Aethioplitops", "Pselaphostomus", "Toechima", "Gobionellus", "Phalerinae", "Holodentata", "Frieseomelitta", "Metallochlora", "Bothriotelus", "Pseudanabaenaceae", "Stenopelmatinae", "Achyrospermum", "Amblytelina", "Deiradovclavus", "Saridacma", "Adonis", "Benthophiloides", "Polygrapha", "Pseudopiptadenia", "Parasinalda", "Jaliscoa", "Didymocystis", "Branchotenthes", "Neopodospongia", "Rhynchodinium", "Asterolithes", "Urotrichini", "Paraphimophis", "Gibsonilepis", "Leptozestis", "Polypodioideae", "Oodinium", "Cumathamnion", "Bunotingis", "Lebedodes", "Hybogasteraceae", "Coptomystax", "Tremataspidoidei", "Acaciacapsus", "Sonderiella", "Spencerella", "Pulchranthus", "Odontomacrurus", "Haematobosca", "Jindabyne", "Brigantiaea", "Anemotrochus", "Biemnida", "Lapidoniptus", "Ctenichneumonops", "Ojoraptorsaurus", "Diplostomida", "Schizocoleoidea", "Glenanthe", "Oreoica", "Orlitia", "Tetraogallus", "Theria", "Helicinoidea", "Wabulacinus", "Paryphoconus", "Paraperga", "Anaches", "Ophiurochaeta", "Tolypotheca", "Zoreva", "Nyassinus", "Clathrinidae", "Rachycentridae", "Orophosaurus", "Petrakina", "Anthene", "Awaouichthys", "Pentaceras", "Campachipteria", "Arcobara", "Fragiliporiaceae", "Sinodendroides", "Hovadelium", "Troglorites", "Chapmanacridini", "Proscardiites", "Cecidospathius", "Lamia", "Eurychilinidae", "Eusama", "Bougainvillea", "Apatophyseini", "Pithophorus", "Calepina", "Rauvolfiinae", "Calomniaceae", "Halorhipis", "Dysoptus", "Hexagonalia", "Madranga", "Arzonella", "Craneopsyllinae", "Musellifer", "Tecnesis", "Psychotrieae", "Jurinea", "Leucodontaceae", "Sinonamuropteridae", "Neopseustis", "Balsamia", "Genomoviridae", "Piofontia", "Isezhia", "Kofoidiella", "Cupuladria", "Parosorius", "Bryaxella", "Proboscidopirates", "Burnettia", "Aspidogastridae", "Janiroidea", "Eucapperia", "Apolania", "Milesiina", "Pseudosphaerodes", "Coscinosira", "Resupinatus", "Pedicellasteridae", "Pararchaeinae", "Rhopalosiphoninus", "Stolamissidae", "Emboonops", "Lasiobotrys", "Geoblissus", "Trachycosmus", "Lithotrya", "Bassariscus", "Mollicutes", "Hydroscapha", "Sowerbyella", "Komaroffia", "Pneumida", "Thysanolaeneae", "Rhodaphodius", "Callorhinchus", "Scalpellopsinae", "Delphinoidea", "Rhyncoptidae", "Panotrogus", "Chorothyse", "Corduliinae", "Vorticellidae", "Siamacarus", "Hamatabanus", "Gymnophthalmini", "Leistus", "Neasura", "Thrinchini", "Karumiinae", "Heissothignus", "Halonoproctinae", "Scopolia", "Cryptochilidae", "Lumpenus", "Aceratoneura", "Melanocenchris", "Haastia", "Testacea", "Pyragraphoridae", "Aristolochia", "Pristipterina", "Xenylla", "Bursaopsis", "Yunakovius", "Carboninia", "Gonocephalus", "Pharyngomonadidae", "Ruspoliella", "Uncinisphaera", "Geniostoma", "Gustaviidae", "Kistnerella", "Notobubastes", "Patelloceto", "Erignathus", "Amyciaea", "Neorygocera", "Glandularia", "Pararhicnoderma", "Nirvanguina", "Himantolophidae", "Phililumpia", "Liaodactylus", "INHS", "Munduruku", "Saxifragaceae", "Tisanibainepta", "Parateleopus", "Lagis", "Graecopithecini", "Traukutitan", "Megabalanini", "Gelanor", "Iapir", "Actiniscales", "Diolcogaster", "Tapinotaspidini", "Oxyurichthys", "Drymopsocus", "Megalocranchia", "Trugon", "Arachnomura", "Cyatta", "Tegenaria", "Phalops", "Seriatopora", "Resultomonadaceae", "Uscia", "Anetia", "Scleropatroides", "Holconia", "Lampetis", "Parasaurolophus", "Agelasta", "Chromatopterum", "Danalia", "Mrakia", "Monocarpia", "Microphoxus", "Mendeschilis", "Gouna", "Ringueletium", "Pakistatyrus", "Warionia", "Pseudonavicula", "Telmasaurus", "Antepione", "Razia", "Wightia", "Halone", "Oecophylla", "Nosferatumyia", "Coenomyces", "Aerva", "Pancorius", "Periergos", "Dacryodiomyces", "Mionus", "Sassafras", "Astata", "Aipichthyidae", "Mammidion", "Pachysentis", "Agrophila", "Marginulinopsis", "Tinemelitta", "Micardia", "Kierania", "Adhaerenseius", "Plectralidus", "Plakina", "Parachaetolopha", "Heniochus", "Ternstroemia", "Leptasthenura", "Tachyblaston", "Neapodops", "Luzula", "Heterotephraea", "Coprothermobacter", "Guilotes", "Pseudobistonidae", "Ascochytella", "Alligator", "Leptoceridae", "Bigelowia", "Diasclera", "Shirleya", "Cyptodon", "Lagopsis", "Haemachola", "Bythograeoidea", "Dichomenis", "Makrokylindrus", "Airosperma", "Lampropappus", "Engyprosopon", "Anadara", "Gunda", "Gobiopterus", "Ophiodermatidae", "Somasteroidea", "Crassinarke", "Longistylus", "Phaon", "Jeholornithiformes", "Acaronychoidea", "Niconiades", "Strophophysis", "Amphibolusa", "Schistotaeniinae", "Petromuridae", "Silhouettia", "Nemapogon", "Catephia", "Skeletonemopsis", "Halorubellus", "Arcleda", "Villarsia", "Spindlerella", "Legenere", "Gozmanycomp", "Glyptoma", "Coleofasciculaceae", "Pseudunela", "Kisselovia", "Granuliferella", "Termitocupidus", "Lobatopedis", "Cubotinea", "Dispinodiscus", "Zosmotes", "Haasia", "Leptopilina", "Oculariini", "Obruchevodus", "Notoptera", "Salpornis", "Aspidorhabdus", "Thelonectria", "Xenodermatoidea", "Staphyleaceae", "Euroleon", "Pseudolygus", "Samaipaticereus", "Gauromyrmex", "Valeriodes", "Pectinaster", "Hydrothauma", "Tauchirini", "Acheronodon", "Cicada", "Otis", "Crotonoideae", "Notoscyphaceae", "Miamirinae", "Corythaixoides", "Anthroleucosomatidae", "Sucrea", "Aegidinus", "Paraphygopoda", "Imperata", "Ancylochiros", "Papulosaceae", "Paraharpes", "Didymochelia", "Oedogoniaceae", "Blepharotoma", "Diplomenora", "Carcharodini", "Merguinia", "Omphra", "Apophysomyces", "Ananusia", "Admiranda", "Dicorynia", "Oxyligyrus", "Gynandropsis", "Odontophora", "Frederickena", "Nepsera", "Pteroplatus", "Anzoplana", "Cyperochloeae", "Epistomininae", "Siona", "Paranthidium", "Ctenidiadelphus", "Oiticicia", "Halarachne", "Caudoeuraphia", "Bahiella", "Ramularius", "Micromimetus", "Nanosella", "Sabanejewia", "Monomastix", "Saprositellus", "Developayellales", "Papuanthicus", "Tivodrassus", "Caninae", "Atroxima", "Platymiscium", "Tetramerosphaera", "Pristonema", "Neophyinae", "Xenarcturidae", "Vietnamocasia", "Leuvenia", "Ankylonoton", "Brachytrematidae", "Cosmopterix", "Tatankaceratops", "Cuspidella", "Tamdaona", "Prosorchiinae", "Miozoa", "Macrourinae", "Scobicia", "Apoballis", "Carboxydocella", "Limtongia", "Dichorisandrinae", "Trichomycterinae", "Pseudelaphe", "Thelaziidae", "Gymnogryllus", "Zolodininae", "Corydospiza", "Hiatodoris", "Netrodera", "Andiplectops", "Tephrocactus", "Dyspetes", "Siphonicytaroidea", "Protaphis", "Banchini", "Aulacocalyx", "Pyractomena", "Nothoaspis", "Inuncus", "Hemithurammina", "Idolomorphini", "Polysertularella", "Omphrina", "Lophyra", "Rhagoletis", "Hedwigiaceae", "Amorpheae", "Paludibaculum", "Gondwania", "Pterammina", "Rubrioxytricha", "Liguriella", "Sarcodes", "Minysynchiropus", "Psittacotherium", "Sus", "Eurysticta", "Odontadenia", "Placopsilina", "Sauracanthorhynchus", "Forcipulatida", "Eubolbitus", "Anogramma", "Parachillia", "Giesbergeria", "Gymnostachydoideae", "Megoura", "Bradysaurus", "Grandjeanobates", "Valiraptor", "Prosopidae", "Eulonips", "Prosthechea", "Isacia", "Macrosiphonia", "Halodurantibacterium", "Chalcochara", "Isoselmis", "Misetus", "Mixosaurus", "Regulus", "Oryzobacter", "Lasura", "Neaspasia", "Asidemia", "Oedipodiella", "Mesoniscidae", "Eucoccidiorida", "Stygimys", "Neodon", "Hypochrysops", "Trachyserica", "Pseudamiops", "Deuteraphorura", "Lanceolata", "Beelzebufo", "Aleuria", "Parauronematidae", "Paratrizygia", "Anceyodonta", "Allolepiinae", "Bindius", "Stephanastus", "Funariales", "Megachactops", "Cryptoblabes", "Dasycladales", "Haustoriopsis", "Allantinae", "Iodopepla", "FCB", "Lucapina", "Euchromia", "Levizonus", "Nerice", "Amphorellopsis", "Fontibacillus", "Melanotydaeus", "Xyrodes", "Apterostigma", "Urspelerpes", "Cunaxoides", "Sirodotia", "Empheria", "Duplex", "Parapentas", "Gynaephora", "Neocystis", "Vanhornia", "Hertella", "Trichomaplata", "Scutellaria", "Haplomunna", "Trachyzulpha", "Bilingua", "Neohemigordius", "Distichodontidae", "Leucophoebe", "Persiophis", "Iranocoptosia", "Baptodoris", "Chigutisauridae", "Trundlelepis", "Pantherinus", "Pezoporini", "Garganisca", "Austroboletoideae", "Smeringocera", "Clavigeropsis", "Pedinonotus", "Tridactylina", "Empruthotrema", "Austinus", "Pontodoridae", "Oediceropsis", "Polycentropodidae", "Petropseudes", "Distylium", "Femurocoris", "Pseudopodabrus", "Sestyrini", "Namanoiidae", "Serica", "Lacunaria", "Klapperichicen", "Tricoronella", "Anguillicoloides", "Trilepidea", "Azaroneura", "Byrrhidium", "Alepocephaloidea", "Drassinella", "Epomphale", "Polygraphini", "Neobidessus", "Necydalis", "Zathecus", "Sprucidea", "Phtheochroides", "Khakista", "Fuscifolium", "Donacospiza", "Harpiinae", "Austrohormiini", "Sagellula", "Puzostoma", "Parthenopinae", "Cizara", "Leeuwenia", "Ptilinopinae", "Spilargini", "Trigonostigma", "Trichopsenius", "Caldivirga", "Lochmanolenellus", "Thelodonti", "Paronellinae", "Paraocalemia", "Miklukhoceras", "Chaetopedia", "Scutascirus", "Paristiopterus", "Mexiculia", "Cenolophium", "Colibrilepis", "Palinustus", "Neobuthus", "Bicaudaviridae", "Chionographideae", "Gonocalyx", "Buphagus", "Caecula", "Megolisthaerus", "Thysanomeros", "Isthmomys", "Dichonia", "Aulopidae", "Lepadiformes", "Auricochlear", "Peneroplidae", "Gymnacranthera", "Anaxyrus", "Ventrociliella", "Labrichthys", "Sphaeropteris", "Nonea", "Rhegmatophila", "Kantharellidae", "Anthodon", "Stigmatonotum", "Homalocephaloidea", "Trichocerapis", "Kaloxypoda", "Kallostrakon", "Katascaphius", "Conotrachelini", "Pseudolycoriella", "Indomyrma", "Taiaroidae", "Linacephalus", "Whitiacalles", "Hansfordiaceae", "Multidentia", "Acolophoides", "Turcizyras", "Cycloperfolithus", "Microsorum", "Santiidae", "Mnesarchaeoidea", "Spirodela", "Lemmopsis", "Liebmannia", "Campephilus", "Myall", "Ceretophyes", "Orculidae", "Biplanispira", "Adamostenus", "Bodianus", "Omphalucha", "Haplocolpodes", "Scleropactidae", "Tessaratomidae", "Maoraxidae", "Willeya", "Cenacrum", "Haematodes", "Moroshandia", "Rugosochusenella", "SRSU", "Lilaea", "Ancyluris", "Dioicomyces", "Pneumocystis", "Fulcaldea", "Spinogoephanes", "Ausatelson", "Poecilostreptus", "Tryonia", "Calolamia", "Zelotingis", "Acyrocerops", "Scleropauropodidae", "Mimoscina", "Kraftionemaceae", "Cichorium", "Teratothyasides", "Siagonodon", "Elusimicrobiales", "Neoditrema", "Kawasemyia", "Sitonitellus", "Fornicia", "Edithinella", "Ranitomeya", "Synaptolaemus", "Anophthalmodonia", "Leptophyllus", "Lycocorax", "Glycaspis", "Thesius", "Hecabolomorpha", "Haematosiphoninae", "Xeniinae", "Killipiodendron", "Geminialphasatellitinae", "Cyperus", "Tisis", "Neolamarckia", "Orientopius", "Discinidae", "Vertiginidae", "Goniocoma", "Auriculariaceae", "Austrostrongylus", "Protacanthamoeba", "Erycinidia", "Euchalciina", "Striaria", "Phlugiolopsis", "Mesoplia", "Talipariti", "Rhopalybia", "Probergrothius", "Neobonzinae", "Nyamiviridae", "Thermosbaenidae", "Stylopauropoides", "Brachypnoea", "Harpactirinae", "Anogenius", "Ceraturgus", "Goodyerinae", "Dyscritobaeus", "Danielethus", "Eremella", "Cavifronexus", "Ascosphaerales", "Monanthocitrus", "Notospermus", "Trichoferus", "Poeltinula", "Stegasta", "Rataniidae", "Sejina", "Pierreclanis", "Nemopilema", "Ascalaboidae", "Drototelus", "Itamuton", "Cyanoliseus", "Panegyra", "Mastigochirus", "Aporodiscus", "Hypselognathus", "Plesiocypridopsis", "Morispora", "Heterographis", "Dictyococcus", "Protonibea", "Apodococcus", "Eumenophorinae", "Sphyrnidae", "Planopsis", "Marseilleviridae", "Stictographa", "Paktoxotus", "Pectinella", "Sundacossus", "Heisshygia", "Sugitaniella", "Eloninae", "Echinobothrium", "Neotheropoda", "Deinobacterium", "Plesiobatidae", "Clathromorphum", "Kentrocapros", "Eoazhdarcho", "Briaraxis", "Myriodesma", "Acinonychinae", "Pyrenulaceae", "Ecelonerini", "Magdalenaea", "Penottus", "Letogenes", "Tarsotropidus", "Scotopelia", "Archicnephasia", "Agujaceratops", "Heliomeris", "Hemierana", "Paraglosseciini", "Actinosoma", "Microkayla", "Bukryaster", "Leucascandra", "Busarellus", "Buguloidea", "Floresianus", "Juania", "Leegaardiellina", "Brancus", "Styliceps", "Euphrytus", "Morenoina", "Bradycassis", "Acidiostigma", "Uronemoidei", "Eurydiopsis", "Apozomus", "Acanthoxylini", "Naemia", "Desmanthodium", "Micraphis", "Epactozetidae", "Simobaculites", "Varicus", "Ephydrini", "Muscicapinae", "Tempyra", "Unamis", "Stylocordyla", "Alphitobius", "Aponema", "Aurantivirga", "Pseudovermidae", "Labyrinthodontia", "Palaeogammarus", "Mendizabaliini", "Rubiteucris", "Cardioglossa", "Psydrus", "Eremopsocus", "Ethelia", "Forzzaea", "Aegrotocatellus", "Mecrona", "Corydalis", "Hymeneliaceae", "Mastigias", "Parochlus", "Drakiessa", "Enaphalodes", "Heptacodium", "Xorides", "Steinchisma", "Neonymphon", "Eurokidae", "Guttigera", "Halocosa", "Palmiriella", "Leuropharus", "Piezosternum", "Gingidiobora", "Dothidotthia", "Pezopallichthys", "Cephaloplon", "Botaurus", "Magnoliales", "Issikiella", "Cycloterina", "Liocarcinus", "Marginulinita", "Blackites", "Itonoa", "Xim", "Durbaniopsis", "Paraheterodoxus", "Ommidion", "Triblidiales", "Garypoidea", "Enoplotrupes", "Cobergius", "Melignomon", "Apopronematus", "Ikaeria", "Callopistria", "Paraptychodus", "Muraenolepis", "Agelescape", "Ridens", "Afronyctemera", "Rhinomiris", "Archithrombium", "Kareloecia", "Venetocampa", "Rhinotermopsenius", "Lebouraia", "Clostridia", "Callitrichia", "Trigonium", "Conchocarpus", "Miohippus", "Tomostima", "Hemixos", "Leptonematinae", "Amphiamblys", "Pseudogonaphodiellus", "Ithyophoridae", "Loxia", "Stigmatochromis", "Amitrus", "Cephalodromia", "Calybites", "Gmelinopsis", "Tanycarpa", "Neolispinus", "Athertonia", "Pararchaeidae", "Chitinosiphon", "Libellula", "Labanphasma", "Lycoperdon", "Ephedrus", "Iphiculidae", "Rugamonas", "Phyllaphoides", "Pygoxyini", "Larelmintha", "Megaperlodes", "MERO", "Solenorchiinae", "Sporisorium", "Pachysquamus", "Proclinopyga", "Chrysomonadidae", "Temeritas", "Castanophlebiinae", "Prothoe", "Alexgeorgea", "Vaejovis", "Hallaxa", "Asylemissa", "Hollandina", "Allocnemis", "Tachigalieae", "Agnippe", "Johnsonita", "Phyllotocus", "Adenoscolex", "Arhytinus", "Austrosuccinea", "Xylobolus", "Batrachognathus", "Taxila", "Plagiostomidae", "Pseudoschizogoniidae", "Nocardioidaceae", "Mendozana", "Hutufeideria", "Syroloma", "Allocader", "Agitonischius", "Agathomyia", "Hemisodorcus", "Perlinae", "Cahara", "Amblynetes", "Mesoveliidae", "Womersleyella", "Lacroixidema", "Lamprolabina", "Pleistovultur", "Sporobulimina", "Schizopepon", "Oreodonta", "Trechicus", "Metromonas", "Atylostagma", "Sabulopsocus", "Viridigigas", "Empididae", "Ilypnus", "Plectrogonatopus", "Cybele", "Piscicolidae", "Hemichrysops", "Peakelestes", "Curtrightia", "Porphyria", "Dicyclinidae", "Austinograea", "Onychodictyidae", "Heloniopsis", "Tistrella", "Pyrostephidae", "Merdigera", "Stephana", "Limassolla", "Opisthotrematidae", "Campaniloidea", "Moneilema", "Smodix", "Conospermeae", "Oreomeloe", "Euterpiodes", "Paraswammerdamia", "Ugandatrichia", "Gilletinus", "Harpapion", "Guanabarostreptus", "Diplomelinus", "Niphovelleda", "Podalgus", "Burzellia", "Doliolidae", "Falcocladiaceae", "Microplidus", "Cheiriphotis", "Diachorisia", "Eleodes", "Pacifiphantes", "Acidobacterium", "Eatoniana", "Bucephalacra", "Xiphonychidion", "Heraclides", "Lyricibracon", "Paronychioideae", "Notothecta", "Lithoscarabaeidae", "Timoniella", "Krobia", "Melolonthoides", "Empedaula", "Callithamnieae", "Brasiliocroton", "Xitidae", "Axyliina", "Mexichthonius", "Mammaliaformes", "Boreioglycaspis", "Cylindroconidiis", "Afraloa", "Dicellomyces", "Amblyscirtes", "Baggininae", "Celaenorrhinus", "Cybaeus", "Vicatia", "Procarabus", "Bachia", "Dioszeghyana", "Acanthala", "Caldicoprobacter", "Rochonia", "Janssensellus", "Canaryichthys", "Manucodia", "Frankophila", "Syrphini", "Chondropsis", "Scolopsopteron", "Mikroporus", "Podotara", "Anadendreae", "Planohybodus", "Tungurahualini", "Gloeotilaceae", "Benthofascis", "Piscidia", "Lotharella", "Haustorius", "Bueningiidae", "Cryptochromus", "Scrophulariaceae", "Ovalentaria", "Nemonychidae", "Thaipotamon", "Decamerini", "Caseopsis", "Duparquetioideae", "Stauromedusae", "Tropatheta", "Thelaxes", "Phthiria", "Podotheca", "Rhytiferonia", "Cryptochilini", "Phellopsini", "Haedacanthus", "Polymorphus", "Delobius", "Allapsa", "Licuala", "Acrestia", "Phradis", "Ratburella", "Yimnashaniana", "Valettiopsidae", "Annaphilina", "Pterozetidae", "Chonetinae", "Asterostomum", "Macrosiphoniella", "Galapagonotus", "Coursetia", "Niphanda", "Truljalia", "Porcataraneus", "Elater", "Plutonia", "Juxtolena", "Diamesus", "Eudistoma", "Pseudoangonyx", "Scyphidia", "Deidamia", "Braunia", "Gymnosiphon", "Pyrrhocalles", "Dolichamphilius", "Sphenopterini", "Nipponopius", "Gymnogongrus", "Berytinini", "Taimingasa", "Miyakea", "Acerodon", "Pelophryne", "Nectophrynoides", "Megazosteria", "Cycloplea", "Tricaudatus", "Tetrasarus", "Cosmotriche", "Tobiasobara", "Cutleriaceae", "Willisornis", "Androdeloscia", "Biwaella", "Brachiacanthadini", "Diplotaenia", "Ruttya", "Megapneustidae", "Spheniscidae", "Cotylolabium", "Heydeniella", "Geophis", "Miconia", "Hypocoena", "Batrisina", "Oncilorpheus", "Actinodaphne", "Pseudalomya", "Procarduelis", "Ophiocordycipitaceae", "Thililua", "Rosularia", "Corycera", "Papuasicyos", "Phlocideae", "Thysanostigma", "Darwinius", "Saurichthys", "Scarabaeinus", "Mastopoma", "Epitausa", "Chrysonebula", "Physaliidae", "Molopidius", "Anomomorpha", "Geochrysis", "Cyclorasis", "Emmelus", "Wickerhamomyces", "Chersomanes", "Duriina", "Pseudohaliea", "Ochyraea", "Collybus", "Stygioides", "Tetralithus", "Argentinoeme", "Burmargiolestes", "Colobosaura", "Ceratosomicola", "Synaphobranchinae", "Boodlea", "Notocoderus", "Zacremnops", "Phaeocystaceae", "Pliobatrachus", "Ateleopterus", "Beccariophoenicinae", "Ochthoeca", "Rachias", "Carpelimus", "Cancrincolidae", "Gamasiphinae", "Dendromecon", "Ginginella", "Ecliptinae", "Eoconuloides", "Fasciculochloris", "Cenarchaeaceae", "Stathmopoda", "Porphyrophora", "Ischnodactylus", "Corrigiola", "Subancistrocerus", "Bulirschia", "Hybophorellus", "Pseudopoda", "Amblyramphus", "Paroxyethira", "Blechnopsis", "Hoplosaenidea", "Boucekiana", "Kitapolia", "Pinoyscincus", "Tarsiidae", "Termitobracon", "Coatonachthodes", "Diplogelasinosporaceae", "Agarista", "Gigartaconidae", "Ateuchosauridae", "Gilsonichrysis", "Discoramulina", "Mrazia", "Spetaea", "Ovaliptila", "Verrucadithinae", "Bridelieae", "Troglotroctes", "Sinuatiagrilus", "Platysace", "Brachycerocoris", "Levilinea", "Gesnouinia", "Etiserica", "Omaliopsis", "Androphobus", "Cyclophatnus", "Saidovina", "Annona", "Allothyrus", "Zugmayerella", "Paracentrobia", "Amacylophorus", "Monodnaviria", "Auchmophila", "Terapopus", "Macromia", "Macropidia", "Xenopholis", "Schedlariini", "Atalasis", "Aldama", "Stirojoppa", "Metaphalacroma", "Latridopsis", "Crassocephalum", "Cangshanaltica", "Tymnes", "Rhipocephalus", "Neliocarus", "Koinocystididae", "Schminkeinae", "Euchlanidae", "Pterydrias", "Rotalidium", "Gasterocercini", "Simplicivalva", "Chamaexeros", "Arganodus", "Mixophyes", "Allopnyxia", "Zonolachesillus", "Heteromyota", "Badiera", "Philinorbidae", "Chiliplana", "Metura", "Minyanthura", "Reptilisocia", "Littledaleae", "Paracestracion", "Polanisia", "Nodynus", "Gladiovalva", "Taonella", "Schoenbergia", "Oeonistis", "Hampsonia", "Phyllocoptinae", "Paraphytolinus", "Belloa", "Euconulidae", "Picornavirales", "Platandria", "Tettigetta", "Bisatoceratidae", "Neocyclotidae", "Coccomonas", "Tyroborus", "Lernaeodiscidae", "Ballini", "Tenuiphantes", "Orthosternarchus", "Ipidecla", "Acinetoides", "Nothoschkuhria", "Lupettiana", "Nipponotusukuru", "Budviciaceae", "Diaphanophora", "Neocorynothrips", "Bairdia", "Petrogale", "Leptychaster", "Paraglaphyrus", "Microplumeria", "Macednus", "Eschenbachia", "Saussurembia", "Maleae", "Oncioderes", "Halffterinetis", "Urupia", "Fregatidae", "Pseudovanilla", "Amaricoccus", "Propalaeotherium", "Ixorhea", "Heteroschismoides", "Orthoprosopa", "Tithorea", "Timmiales", "Brachistini", "Paoliella", "Geissospermum", "Eriocampini", "Rybaxis", "Bifarinella", "MUMF", "Lejeunea", "Latineosini", "Niasoma", "Nematocladia", "Pertya", "Calamospiza", "Anomalepis", "Metafruticicola", "Dsungaripterus", "Patu", "Polyblastia", "Parapharyngodon", "Ancoropsis", "Asiodixa", "Vermitigris", "Colopha", "Accacoeliidae", "Axonya", "Minysporops", "Houlberthosia", "Antestiini", "Sumatrochroma", "Phradmon", "Stereosaurus", "Rhamphococcyx", "Parathailocyba", "Minaeithrips", "Rosamygale", "Tinytrema", "Pyrrorhiza", "Deomyinae", "Gastrogyrus", "Agriphila", "Vappolotes", "Avoninidae", "Anisobas", "Hyphaeninae", "Orphnebius", "Subglassoceras", "Lamproblatta", "Furcillogonus", "Parvamoeba", "Wilemanini", "Protentomon", "Celerena", "Masakiella", "Kirchneriella", "Beckeria", "Oxynetra", "Oxyhaloinae", "Epanusia", "Teratofulvidius", "Maclura", "Warrenohesperia", "Euprosterna", "Pterophorini", "Galaesus", "Philotarsopsis", "Mallika", "Selomothus", "Gomphillaceae", "Laimaphelenchus", "Hypoprasina", "Lingulata", "Pleuroceridae", "Barota", "Tomoplectus", "Laurschwartzia", "Teracriinae", "Partystona", "Eurybatinae", "Derecyrtini", "Pararamichloridiaceae", "Roombia", "Diocles", "Alepocephaliformes", "Cymatosiraceae", "Geostibida", "Gollumia", "Pucciniales", "Rajburicoris", "Phyllodiscus", "Hypoplectus", "Sarcophyte", "Lioxyonychini", "Ozlabium", "Paranipponaphis", "Pholidotomidae", "Odixia", "Microscytinella", "Ammosphaeroidina", "Jussalypena", "Actenobius", "Capito", "Emeryus", "Carnoya", "Pheigetoxenus", "Dasyochloa", "Amauroascaceae", "Bahiaxenidae", "Ectodini", "Lophotibis", "Hydroptilinae", "Bathypalaemonellidae", "Schidium", "Ovabunda", "Hadronector", "Orthotylini", "Apheledes", "Paleoaethia", "Camptothecium", "Antandroyanus", "Incisalia", "Ascandra", "Rhaponticoides", "Isididae", "Pisulina", "Ptychomitriopsis", "Froggattoides", "Cretogonalys", "Chorinea", "Herminia", "Dissodium", "Trichocoleaceae", "Dracunculus", "Pseudoammodiscidae", "Sanrafaelia", "Cestodiscus", "Chloriontini", "Iphidozercon", "Orotylus", "Melucha", "Glyphiulus", "Nothepyris", "Grammangis", "Raspaciona", "Xyloplax", "Paranchodemus", "Allopodops", "Epithalassius", "Lamprosomatini", "Leiopicus", "Mimosellidae", "Cimbrophlebia", "Claudiella", "Daploeuros", "Neominois", "Malaysiascaceae", "Astichopus", "Lembosiopsis", "Ecphysis", "Tanypodini", "Thebini", "Mantellinae", "Spilindolla", "Mobergia", "Sinamia", "Peliosanthes", "Philotheca", "Nepticulini", "Cleotychini", "Trichestola", "Stangeria", "Adelphacaridae", "Ericrocidini", "Tritaxiidae", "Helicacma", "Cornuspirella", "Sarimini", "Eratosaster", "Cartrema", "Chrysopsis", "Zealeuctra", "Paches", "Circuliferina", "Theninae", "Selleophytum", "Anolaimus", "Enterocytozoonidae", "Protobiella", "Vezdaea", "Hewitsoniella", "Miyabea", "Zoantharia", "Podopinae", "Polleniini", "Caenobrunettia", "Glossostyles", "Fissurellidae", "Krsticiella", "Demodes", "Callipelta", "Tukugobius", "Styloctetor", "Perryena", "Halocypretta", "Anisolabis", "Sinocallipodidea", "Crotchiella", "Fischerininae", "Xanthamphiura", "Pseudalmenus", "Mimepilysta", "Acrographinotus", "ZDEU", "Membradini", "Neobergrothista", "Pseudotrigonogya", "Lyrommataceae", "Heissophilinae", "Pycnodonia", "Aegidomorpha", "Mussaendeae", "Arthrocardia", "Taeniopterygidae", "Mutilla", "Lantana", "Archaecyclus", "Lerodea", "Schindleriidae", "Hyalorista", "Eutelmatoscopus", "Anthracoporella", "Brasiella", "Rigifilidae", "Pristobaeus", "Doryscelis", "Neolepidoptera", "Bolivinellidae", "Ctenisodes", "Conosa", "Plectoidea", "Amapasaurus", "Apistops", "Methylibium", "Aphrodroma", "Macrobdellinae", "Neostomatoceras", "Bohaispiridae", "Synchitini", "Thanatodictya", "Suisha", "Nitriliruptor", "Latheticus", "Fergusobia", "Lissonotypus", "Lamarckina", "Suterilla", "Thalassobacter", "Orosaura", "Lappidini", "Dactylopiidae", "Hubbardiinae", "Brounicyphon", "Sabroskya", "Carinodes", "Rhabdopleurida", "Epuraea", "Hysteriaceae", "Aloiampelos", "Halticini", "Bulbine", "Sagartianthus", "Leptostyloides", "Pseudoleskeella", "Plectocynipinae", "Epihippus", "Nemalecium", "Radicipes", "Rhadinopyga", "Adauctus", "Gallinuloididae", "Congomochtherus", "Craigia", "Spinozorilispe", "Australlus", "Telestula", "Cyrtoclymeniaceae", "Antipodoeciidae", "Gardnerella", "Setifer", "Calluna", "Tropopterus", "Conostomum", "Amirantea", "Tomostethini", "Rugaphodius", "Dendroides", "Pseudodanthonia", "Microtegeus", "Lioporeus", "Rhizobotrya", "Ammotheidae", "Ctenochiton", "Rhynchotious", "Palaeoxeninae", "Geteuma", "Labridae", "Protohynobius", "Lethes", "Yapyguara", "Flacillula", "Chilodochonidae", "Megisthanoidea", "Pasohstichus", "Phoberia", "Caucasigenini", "Lopaphus", "Polychasmina", "Parajubaea", "Promethes", "Porotrichopsis", "Ceratosauria", "Steatocranini", "Thysanopsetta", "Babiina", "Strigocuscus", "Notomantis", "Diabolicoptinae", "Melidia", "Dicteroidae", "Dzharatitanis", "Kaszabellus", "Chauvinia", "Leperisinus", "Gnathoryphium", "Ophiernus", "Pharmacus", "Anaulaceae", "Cylydrorhinus", "Styracosaurus", "Glaucomidae", "Glossata", "Janotia", "Proseila", "Tibiotrichius", "Dromanomma", "Cedusa", "Drepanoptila", "Tetrastichium", "Audea", "Amphisbatis", "Oncaeidae", "Aides", "Synastreidae", "Grossicoris", "Bravaisia", "Alloophorus", "Catarractodes", "Catochrysops", "Enarthrocarpus", "Athenaea", "Anillina", "Pterocallis", "Austrobasidium", "Chalcoecia", "Bryococcus", "Pakidetta", "Compsocteninae", "Scutigeraceae", "Diporotaenia", "Acantholimnophila", "Sodalia", "Veleropilina", "Ahua", "Chaetodon", "Darjella", "Pistacia", "Panthiades", "Anoedopoda", "Prothricinae", "Callobalacra", "Appendispora", "Laoennea", "Tobacco", "Izecksohniella", "Mymonaviridae", "Antitrisuloides", "Choanogaster", "Lypothora", "Verpa", "Selenophanes", "Sphagesaurus", "Pronoides", "Bulbolmotega", "Austroglanididae", "Bojarkaella", "Syringopharynx", "Chresta", "Ctenioschelus", "Cryptobranchoidea", "Gasteranthus", "Nematops", "Cibicides", "Guatteria", "Cephalophaninae", "Praemacrochile", "Eucyclophylla", "Donacobius", "Pseudorhipidius", "Seminobatrachus", "Staurosira", "Anisomysis", "Zyras", "Rhynchobatinae", "Tormissus", "Ramonia", "Asymades", "Metahomaloptera", "Pachythecus", "Scolopieae", "Anepalpus", "Vandelia", "Venus", "Burasaia", "Keratosa", "Thynnidae", "Satyrus", "Analytarcha", "Phyllocoptes", "Eurylepis", "Caviidae", "Plesiopenaeus", "Frankferrarius", "Oldfeltia", "Platyjassini", "Fulgoroidea", "Empusini", "Solidagininae", "Coralliocryptus", "Gynnidomorpha", "Pseudorbitoidinae", "Ebertius", "Pygmeocossus", "Scaposophroniella", "Chrysopetalidae", "Bipuncticoris", "Ectinope", "Phoca", "Edelsteinaspidae", "Sphaeromicola", "Graphidoideae", "Pontellidae", "Peltastica", "Letestua", "Trapliales", "Asterigerinoides", "Austroagalloidini", "Adiathetus", "Axiagasta", "Nanophyes", "Galiciotyphlotes", "Mexigina", "Valdivioconnus", "Asthena", "Rhizocossus", "Scoliorhapis", "Amphicallia", "Ensayara", "Actizera", "Aemodogryllinae", "Cambalidae", "Toriyamaia", "Cyanopica", "Streptopogon", "Xiangornis", "Neognophomyia", "Ganesella", "Aepyornithiformes", "Loxoptygus", "Tuberfemurus", "Porotaka", "Beccarinda", "Caryopteris", "Wernindia", "Schizobopyrina", "Geminella", "Ladakiella", "Falsobiobessa", "Rahnella", "Ovulidae", "Alsodryas", "Cylapocorella", "Lamprolophus", "Chesneya", "Dryptus", "Syllitus", "Otoscaphitinae", "Lamellocossus", "Phanogenia", "Moritiella", "Conognathus", "Aupouriella", "Temnotropis", "Perlesta", "Poecilohetaerus", "Cocculinoidea", "Cushmania", "Menigius", "Charoxus", "Didymocarpus", "Mesechthistatus", "Belomys", "Leuronota", "Methylonatrum", "Selmasaurus", "Cephalopappus", "Lapidia", "Crinoniscus", "Metactenistes", "Scourfieldiales", "Allaorus", "Gelotia", "Circinae", "Scybalophagus", "Monorchiaponurus", "Trichochrysea", "Decorsella", "Aspius", "Tuberoaphis", "Protobonellia", "Walkeromyia", "Sediminicola", "Synophis", "Corroboreethrips", "Anancus", "Tetleyus", "Machadoini", "Trichotomospora", "Lipaleyrodes", "Tenuitholiascaceae", "Albarrania", "Erioneuron", "Myrmage", "Capromyinae", "Neoludwigia", "Ethmodiscaceae", "Phtegnomus", "Scelimeninae", "Nomis", "Aenictophila", "Chthoniobacteraceae", "Tuxoctenus", "Trigonoceps", "Montsalevia", "Margarosticha", "Eulissus", "Distostylus", "Marchantiophyta", "Myzaphis", "Protodinium", "Jimwhitea", "Berlandiella", "Corixinae", "Parascarabaeus", "Neogeoscapheus", "Delminichthys", "Dubitogomphus", "Dinetus", "Hystrichopus", "Cryptolaemus", "Flabellonema", "Lygaeodema", "Farrellidae", "Adenomus", "Undellidae", "Requenini", "Pseudodictyochloris", "Pteroma", "Claudostriatella", "Leucinocrambus", "Rhinogobius", "Ancylopyrgus", "Piallina", "Rhizoplatys", "Dasylobus", "Cruciata", "Pseudorinelepis", "Makaracetinae", "Parapteronotus", "Paradoxurinae", "Hyposcada", "Wukongopterus", "Polycarpaea", "Poecilojoppoides", "Psilomorphini", "Chloropipo", "Parasphaerichthys", "Corusichthys", "Raphirhinus", "Parionina", "Coniastis", "Neotroponiscus", "Sawquirahcotyle", "Limbella", "Elytropus", "Platytenes", "Dictyopharina", "Marcelina", "Vanheurckia", "Litorimonas", "Dutaillyea", "Lioptilus", "Hydrogenobaculum", "Actebia", "Lopyastis", "Araripenymphes", "Trollichthys", "Lithoglyphinae", "Emcibacter", "Oberea", "Santelmoa", "Euagathis", "Sphecoserica", "Andalusiella", "Colposphodrus", "Dinocrana", "Schizopathidae", "Hermanlentia", "Podolampaceae", "Mimalblymoroides", "Xenophysella", "Haliogeneia", "Halisarca", "Grinnellieae", "Homalochilus", "Palinorsa", "Imerinus", "Hammacerinae", "Ceratanisini", "Epiglossum", "Indopamphantus", "Tostkar", "Octopus", "Striglininae", "Gyrinops", "Cnemidochroma", "Nadvornikia", "Octoplectanocotyla", "Cormobates", "Ditrichaceae", "Kerriodoxa", "Goniodinium", "Sasayusurika", "Eligmodermini", "Ceratoikiscidae", "Cladodontomorphi", "Fornicata", "Graphidivalva", "Jungicephus", "Brotheusini", "Hemicryllis", "Tecoma", "Erasmoneura", "Tenoa", "Speleophrynus", "Microlepidium", "Tillomorphini", "Notosuchia", "Eballistra", "Ampelioides", "Sabatinca", "Cicadmalleus", "Comusia", "Lemophagus", "Habrodais", "Hydrophasianus", "Eburneotaenia", "Sakoanala", "Haplochelidon", "Quercus", "Hermannieae", "Leptonychotes", "Mecysmaucheniidae", "Didesmandra", "Goniopsini", "Scythocentropus", "Uviella", "Acanthoptera", "Oarotrechus", "Eratomyia", "Selina", "Lycopodiales", "Icaunauna", "Guillecrinidae", "Cyphophthalmi", "Chitinophagaceae", "Heliapsis", "Aeonoxena", "Pholidota", "Pigafetta", "Lagostrophinae", "Zopfiella", "Synodontidae", "Platygastridae", "Peltophorum", "Sparganothina", "Denheyernaxoides", "Bychowskicotyle", "Callionymoidei", "Rhizomyinae", "Iontoclerus", "Alcirona", "Shaanxinus", "Fustigerillus", "Oedaspis", "Gambroides", "Hormathianthus", "Elachys", "Lisseurytoma", "Physodera", "Gymnolophus", "Pangasiocestus", "Candicarina", "Ophiorupta", "Orthoparamyxovirinae", "Boydia", "Meteorona", "Maculaia", "Litylenchus", "Enicocephalidae", "Ceruchitinae", "Viridixes", "Aphrastobraconini", "Nyctomyia", "Chodatodesmus", "Pseudanthias", "Bryotype", "Gelastocephalina", "Dalminiomus", "Phthiraptera", "Oreobates", "Lobogenesis", "Rhyxiderma", "Napochomorphus", "Afrocucumis", "Leptoscela", "Lundiella", "Dialypetalum", "Elongaticollum", "Viracocha", "Globbeae", "Asteroschematidae", "Chasechloa", "Pheronemoides", "Gasterostena", "Tahitia", "Hygrodromicus", "Reliquantha", "Osholus", "Anoplognathus", "Chaocampa", "Cyathostegia", "Charcotus", "Cichladusa", "Stephensenia", "Silvacoris", "Trigonotylus", "Parawaous", "Alectinella", "Metopinini", "Isoura", "Citharina", "Menyanthaceae", "Neopetissius", "Pennulituba", "Niolamia", "Brachyhypopomus", "Sparianthinae", "Aerangis", "Loftusiina", "Pardirallus", "Thermotoga", "Agroecomyrmex", "Hyalaethea", "Lamprididae", "Ophiothamnus", "Belonectes", "Zaninettinae", "Tituacia", "Trachonitis", "Achtheres", "Dispholidus", "Brachymesia", "Fourcadella", "Desmacidon", "Monocentropus", "Ioditis", "Allenichthys", "Oceanobacillus", "Urocopiidae", "Orthogonocrininae", "Setchellanthus", "Bensonella", "Diplodonta", "Hemipeltaceae", "Acanthozoon", "Cordilleronomus", "Eriocheir", "Atractides", "Acropini", "Uniporidae", "Mucophilus", "Stephanococcus", "Agave", "Acanthocybium", "Tarsistes", "Oncacontias", "Nassauvia", "Boloceractis", "Nemertodermatida", "Bulbobuccicrenata", "Callixalus", "Dorylocratus", "Diastylis", "Rissoellidae", "Introrsa", "Gaiellales", "Anomalochrysa", "Neolloydia", "Asellota", "Aedophronus", "Suina", "Cisalveolina", "Marietta", "Anasta", "Corypha", "Panhyperochia", "Kamehatylus", "Arthrolycosidae", "Cyrtochloa", "Setosini", "Parabourletiellinae", "Xanthodesmini", "Ephippiphora", "Ochodaeus", "Ancepitilobus", "Minerva", "Utetheisa", "Tethallotrum", "Pleurodontinae", "Vilchesia", "Bdelloura", "Microlipophrys", "Chrysomelidae", "Cymindis", "Pseudohatschekiidae", "Perkovskius", "Galloatherix", "Eupodina", "Lophobatis", "Nummulitidae", "Mikeiinae", "Bicornis", "Cottea", "Fluctus", "Ecitophytes", "Brylkinieae", "Xylocampa", "Kaimenella", "Triosteum", "Pleurodiscidae", "Nesozetidae", "Potoroidae", "Kelabita", "Acidaliastis", "Nadagara", "Lissonotidea", "Darnilia", "Dangeardiana", "Trochosiphonia", "Glaucostegus", "Bathysciella", "Phaedusini", "Keralina", "Helotrephini", "Paraphamartania", "Euglenesina", "Calliax", "Ammotrechidae", "Venicoridae", "Ketogulonicigenium", "Sinesetosa", "Euembiodea", "Zyzypyge", "Ascodichaenaceae", "Biddulphiales", "Sulcicollus", "Protoschista", "Antarctonomus", "Allomorphinella", "Mychodeaceae", "Mallocoris", "Kintneria", "Anomocis", "Collaria", "Leopoldinieae", "Tolypammininae", "Iogeton", "Drepanotheca", "Papyrocranus", "Aureoboletus", "Brusa", "Eucomatocera", "Concavocorona", "Chaetocladium", "Opiinae", "Crassisporus", "Setalimorphus", "Magnopulchromyces", "Spintherophyta", "Leanchoiliidae", "Myromexocentrus", "Thalycrodes", "Calypte", "Comsoptera", "Glishades", "Hoplophanes", "Collinslepas", "Prostephanus", "Scytophorus", "Microporidae", "Orsidis", "Abaxodinae", "Elleanthus", "Neophthiracarus", "Basidiobolomycota", "Vezoanus", "Noctilucaceae", "Tenebrioninae", "Apilophorus", "Carpias", "Megalopodidae", "Herzensteinia", "Nesocerini", "Spicocleidus", "Evodinellus", "Chlorodiella", "Nyctegretis", "Petromyzontomorphi", "Reductholaspis", "Cryptocranium", "Paramyrmoecia", "Cephalothecaceae", "Clavaviridae", "Alicorhagia", "Harpinae", "Castilla", "Panamia", "Amphimelaniidae", "Alphasida", "Coletiniinae", "Rhynchoglossum", "Paronana", "Callarctia", "Streptoalloteichus", "Astus", "Synonchiella", "Trichototaxis", "Abylidae", "Thermoleophilum", "Urogelides", "Roubaliusa", "Glycacaridae", "Polycentrus", "Neoeriocera", "Piscoperus", "Rhizobacter", "Oligolimax", "Zygosporiaceae", "Vanilla", "Crypsimaga", "Oophila", "Mosia", "Astacidea", "Dythemis", "Shangaia", "Amphimenia", "Ellobiophrya", "Bolusiella", "Foveoscapha", "Waltherhornia", "Moenkemeyera", "Caraboacarus", "Plectanocotylidae", "Reticulamoeba", "Gamogyne", "Physetocaridoidea", "Leptothorax", "Schillingia", "Passonomedea", "Clipeodinium", "Phoenicopterus", "Ptilopsis", "Anoplophryopsis", "Arguloida", "Macrochelys", "Bassanago", "Melbamima", "Plaumannocoris", "Chrysopetalum", "Judiceratops", "Baeoceroxidium", "Melanotettigini", "Insociabilitanais", "Sinadelius", "Reicheocactus", "Chelonemonas", "Centropyxis", "Olpidiomycota", "Tibetopenetretus", "Hydrophylax", "Erepsilepis", "Myosoton", "Diodontocepheus", "Gymnosporia", "Echimys", "Cinclidotaceae", "Subiasella", "Paraglomerales", "Medlicottia", "Mesalina", "Xantheurytoma", "Prosenella", "Hypermastigea", "Methona", "Larhodius", "Arostrilepis", "Dicaelognathus", "Dynatocephala", "Neglectellopsis", "Ammophilini", "Lamprocapnos", "Pherotrichis", "Danilia", "Leptotettigini", "Obscurini", "Thalassomonas", "Bathyporeia", "Echyrota", "Trochomeriopsis", "Luperodes", "Poeciloceras", "Cricosaurus", "Cora", "Natronincola", "Siccomacrostomum", "Gloora", "Tachinisca", "Polyorthini", "Cambridgea", "Leucopeza", "Platyceropsis", "Limnesiidae", "Gonystus", "Tsudaea", "Tricarinella", "Animula", "Dipoena", "Dinteranthus", "Cristodiscus", "Rhodaphanes", "Ostreinae", "Peltonotus", "Platystemoneae", "Paratricharia", "Maxodontus", "Trichosporon", "Valiha", "Megaceras", "Scyphocephalium", "Ennearthron", "Niltavinae", "Melanocacus", "Agriornis", "Hypsosinga", "Allobopyrus", "Barnettozyma", "Ulus", "Dryodoridae", "Protanystropheus", "Masonophycus", "Pseudiphra", "Anachloris", "Hyalopeplini", "Inkewana", "Perientominae", "Weingartia", "Indoplanorbis", "Trichogonostreptus", "Digitalis", "Dactylospongia", "Crucianella", "Riccardoella", "Sarcogyps", "Corynandra", "Goe", "Eohyllisia", "Anastatica", "Eremioscelio", "Cellia", "Cantharellula", "Telemachus", "Stenopelmatidae", "Pyrenulales", "Marayniocus", "Amphiliidae", "Cecidophyus", "Heterokontophyta", "Pseudolestidae", "Nakamurellales", "Makhaira", "Guardiolinae", "Vicinamibacteria", "Plectorecurvoididae", "Colliuris", "Remylamyctes", "Canarium", "Monarea", "Kutsevella", "Lasiosphaeria", "Amucallia", "Nymphes", "Krapovickasia", "Monilobracon", "Xerantherinae", "Petroneis", "Pilosirus", "Delongia", "Sinacalia", "Procaridoidea", "Haasiella", "Calyx", "Waitaca", "Brachysarthron", "Sisyborina", "Tabantalites", "Balteocysta", "Galphimia", "Syllectus", "Chonetidae", "Congopsenius", "Tamsiella", "Orses", "Formicomotes", "Gallaecimonas", "Corkvirinae", "Turaniellidae", "Uintatheriidae", "Banghaasia", "Mycetobia", "Trigonorhinini", "Cultellacrinus", "Hemisotoma", "Oestridae", "Epionini", "Prosopisteron", "Atractoceros", "Chydorinae", "Lentisphaera", "Trachyteleia", "Liatrinae", "Eucyrta", "Arachnoidiscaceae", "Labagathis", "Micandra", "Leucophyllum", "Mediodactylus", "Trimiodina", "Pylaisiadelphaceae", "Diracela", "Bennelongia", "Melanotopelia", "Schimpera", "Neotrogla", "Brachirus", "Katreus", "Australoactina", "Notopygos", "Chloronema", "Kumatoeides", "Euodice", "Rhineura", "Ptilium", "Buca", "Pyrrosia", "Bredemeyera", "Amphizoa", "Thymosiopsis", "Schistotylus", "Baru", "Calinda", "Limnichidae", "Entolasia", "Schefflerodendron", "Caryotropha", "Amesiomima", "Pristiloma", "Tachina", "Hylinae", "Collosphaera", "Neoeocatops", "PIN", "Pteromalinae", "Schistochilaceae", "Arkoola", "Arteurotia", "Pseudoclematus", "Faronus", "Angulicytherura", "Colletotrichum", "Lissodelphis", "Desertaclopus", "Aurantioideae", "Macropholidus", "Aegopis", "Rhigonematida", "Skiomonadea", "Ambicoceropsis", "Lobochonidae", "Diacidia", "Myopia", "Kedarnatha", "Microzonia", "Lateothela", "Lupropini", "Henssenia", "Philmontis", "Proconsulidae", "Achriotypa", "Hirudinea", "Millettieae", "Cocculus", "Calocoropsis", "Metacrocallis", "Emblemospora", "Centranthus", "Trygonoptera", "Prolobitinae", "Nitidulinae", "Pinalitus", "Pterophorinae", "Casimiroa", "Arawacus", "Notopleura", "Spirophrya", "Ochlesodius", "Otostomidae", "Malaconotidae", "Alsineae", "Diplagnostidae", "Odaginiceps", "Codrus", "Thularion", "Palaeobia", "Heromphala", "Antechinomys", "Rhytidarex", "Fletchmanniella", "Aconopteroides", "Seymouriamorpha", "Alittus", "Stereocaulon", "Calityini", "Hormius", "Exocarpocorina", "Echemella", "Struvea", "Emersoniella", "Cidarina", "Noegus", "Drilliidae", "Ocyophis", "Desulfurella", "Schackoinella", "Diplurus", "Tetrabaena", "Entyopsis", "Ovulina", "Coilopoceratidae", "Paraustrostrongylus", "Anopsapterus", "Kineosporiales", "Oncosphenia", "Trigoniaceae", "Desmacellidae", "Roeperocharis", "Ergasilus", "Diyaminauclea", "Rhytophorus", "Diastatea", "Theorica", "Gripopteryginae", "Pseudopeltocoxa", "Villania", "Macrocentrus", "Thalmini", "Ozodicera", "Uenomisolampidius", "Hebeicarabus", "Melanogrammus", "Crinarnoldius", "Canacidae", "Lanthanotidae", "Exotrocha", "Anarrhinum", "Protapanteles", "Paraconsors", "Zoopagomyceta", "Ozotroctes", "Leucadendrinae", "Alania", "Eunephthya", "Parasitus", "Coptoclava", "Desulfitobacterium", "Psilocnaeia", "Parapronoe", "Sestronophorinae", "Bolivarita", "Gintarasia", "Stellantchasmus", "Ichthyosauria", "Norileca", "Raphicera", "Lesneiidae", "Anthypna", "Mesotrochus", "Anorthoneis", "Spiricoelotes", "Gynura", "Knipolegus", "Hexarthrius", "Chthoniobacter", "Aphantophryne", "Platysceloidea", "Brzoskaicheila", "Amaloxestis", "Caelifera", "Phyllolais", "Nyctotingis", "Sagartia", "Dendrosomides", "Blebea", "Aulacopris", "Protothaumalea", "Congroidei", "Pectinapseudes", "Coenaletoidea", "Anadasmus", "Scymnini", "Carodista", "Milligania", "Sonderelleae", "Sarcopyrenia", "Trypanosomatidae", "Timomenus", "Cratospila", "Neogamasus", "Glyptapanteles", "Ichthyophonus", "Caulophilus", "Dictis", "Azollopsis", "Kamalata", "Stifftieae", "Stenopelmatus", "Hapalorchis", "Squalodontidae", "Lateroprotomeritus", "Gymnomyxa", "Cocleimonas", "Pulchraplaga", "Abaditicus", "Botryella", "Monocondylaeinae", "Hypnoidus", "Erythrocercus", "Dionychoscelis", "Microusa", "Palaeolycinae", "Phrosyne", "Chiastolidae", "Leidontini", "Belorchestes", "Voluta", "Chrysuronia", "Cercomegistidae", "Hypoponera", "Renites", "Florus", "Glyphocassis", "Cardiopteris", "Ensiferophasma", "Daerlac", "Boschia", "Teedia", "Anasopsis", "Pseudosacada", "Gadopsis", "Zulloa", "Pyrodinium", "Anomima", "Mungos", "Speleopsocus", "Cephalosphen", "Doraturopsis", "Heissocteus", "Cyphobasidiales", "Orcula", "Testacella", "Lilliputocorini", "Rovnoscydmus", "Lithembia", "Gymnammodytes", "Operclipygus", "Apionsoma", "Pycnocryptodes", "Amorphochelus", "Phlegon", "Aporembiinae", "Sphaeridia", "Zuniceratops", "Stratisporella", "Trichroa", "Euconulinae", "Kuchingella", "Tereticepheus", "Ochraperites", "Uradiophoridae", "Thalerosphyrus", "Ceratitiaceae", "Neritoniscus", "Adenostemma", "Ichthyophiidae", "Mystogenes", "Namibiotalpa", "Opsimini", "Neodanuria", "Arinosaster", "Bothriechis", "Meliphagidae", "Dendrobranchiata", "Agamia", "Microcoleus", "Holarctias", "Limacinidae", "Ischyrocnemis", "Dianthoecia", "Bagredinium", "Prisahypnus", "Moerckiaceae", "Remya", "Reticulolaelaps", "Schizamphistominae", "Clivinema", "Odontiini", "Pennellia", "Vespericolini", "Ngamalacinus", "Bagaceratopidae", "Aulandra", "Cerithiidae", "Porrhoclubiona", "Zatsepinia", "Greyia", "Lobatophasma", "Trichoxenia", "Triglypta", "Seminovella", "Tshekardocoleidae", "Discotoma", "Bonplandieae", "Atelurinae", "Amauropini", "Pentalepis", "Keiferia", "Actinomorphus", "Nienburgella", "Johnstonianinae", "Psorotheciopsis", "Apyretinini", "Myxosporidia", "Pilotrichella", "Alcyoniinae", "Faunis", "Minigellus", "Carteroniella", "Azygopus", "Liocranoeca", "Ectopimorpha", "Rhacocarpus", "Narcomedusae", "Disciseda", "Acentroptera", "Monotagma", "Inioteuthis", "Saperda", "Laothoe", "Tonerini", "Atrema", "Aenictoides", "Citricoccus", "Eudalia", "Holotrichapion", "Therorhodion", "Biralus", "Apolobesia", "Oloptum", "Colioascerus", "Atoichus", "Monepidosis", "Matuta", "Deltaclavus", "Hypsipetes", "Huaylasacris", "BRTC", "Paradandamis", "Chidlowia", "Adelphenaldis", "Cryptoporocis", "Sarax", "Oraidium", "Dyspteridini", "Phagomyxida", "Plectocomiopsis", "Brauninidae", "Holognatha", "Myiothlypis", "Himalobrya", "Elacatinus", "Hydrachnoidea", "Sittiparus", "Hypocomatida", "Calcarisporiellomycota", "Amorphomerus", "Paramunnidae", "Speleoithona", "Manilla", "Philotokeropsis", "Brachyscelus", "Eritingis", "Bermuteo", "Phylacium", "Lazarocleistostoma", "Oligostigmoides", "Nothotrombicula", "Oecleopsis", "Albertinia", "Oneirodidae", "Tellinoidea", "Goetheana", "Olivacontia", "Adimerini", "Saldidae", "Kalyptodoras", "Cynodontium", "Cornugon", "Riemerella", "Paraploactis", "Zhihengliuella", "Oncicola", "Macrocephalini", "Erysipelotrichales", "Bengalia", "Pseudoparatanais", "Lampromyia", "Anastelgis", "Amphisolenia", "Crambidia", "Phrathicarus", "Ogaridiscus", "Conuropsis", "Synstrophus", "Hayashiechthistatus", "Carpenteriinae", "Msangiinae", "Streblus", "Popelairia", "Navioideae", "Macadamia", "Linhevenator", "Isonandra", "Calamotrophini", "Coeruleoglaucytes", "Verticillitidae", "Streptopus", "Telegonus", "Gleneonupserha", "Genidens", "Amphisamytha", "Gyroptychus", "Schmidopsyche", "Cryptoplax", "Indicatoridae", "Pseudasterina", "Procitheronia", "Carruanthus", "Cryptognathus", "Endictyaceae", "Tribalus", "Trichopsocus", "Ambasia", "Adraneothrips", "Thraulodes", "Totobates", "Dasycondylus", "Tagasta", "Paranhammus", "Forsythiopsis", "Pseudonus", "Tenuitholiascus", "Calisius", "Lettowianthus", "Melyrini", "Allocanariomyces", "Hypecoum", "Neopachystolini", "Vancouveria", "Pleocarphus", "Malagasytyphlus", "Spilichneumon", "Monimioideae", "Ramonda", "Togo", "Apusomonadidae", "Calpasoma", "Encolpotis", "Rhapidostreptus", "Nesophontidae", "Tesnusocaris", "Baviini", "Parasyrisca", "Bodotria", "Sason", "Fernandocrambus", "Aparete", "Alcockpenaeopsis", "Thaumarchaeota", "Cratomelini", "Ojuelos", "Lyconema", "Notochelone", "Diaxonella", "Otraleus", "Rhamnaceae", "Dolichopezinae", "Registaniella", "Mendax", "Cerinosterus", "Sarisa", "Glossidae", "Lycopodiophytina", "Amperea", "Panagaeina", "Diamerus", "Hyalojassini", "Planoglobulina", "Pseudopolycentropodidae", "Diopsidae", "Dicronocephalina", "Involutaria", "Lampea", "Pallenis", "Tetanopsyridae", "Glauce", "Parendacustes", "Tachigali", "Terrozacla", "Thaumatodracon", "Cypraeidae", "Medorini", "Porphyromonadaceae", "Saedeleeria", "Cicadomorphus", "Scraptia", "Rhamnusium", "Nephrophyceae", "Rhombognathides", "Arisaemateae", "Koinopodion", "Palaeostylidae", "Gnostocoris", "Gomphogramma", "Metagyrinus", "Atahualpacoris", "Microceroxenina", "Oecetis", "Kieconcha", "Euvrilletta", "Timyra", "Jackieae", "Neurachninae", "Cyrioides", "Eumecistina", "Hamineobulla", "Australotettix", "Vahlodea", "Nectoquintius", "Ailuropoda", "Pseudastenus", "Rhynchocoma", "Brontopriscus", "Daucus", "Austrosaurus", "Neoblechnum", "Ichthyostomatogasteridae", "Dexoris", "Plioplateia", "Microlera", "Cryptopsar", "Oia", "Paraeuplotes", "Plesiopercichthys", "Malgachialna", "Platydictya", "Edocranes", "Plataspidinae", "Theocris", "Ageleninae", "Pseudophiline", "Herbaspirillum", "Calyptolichus", "Hesterniasca", "Parahaplolepis", "Bufonia", "Conuber", "Psoraleeae", "Spathiopus", "Aliikangiella", "Tetrodini", "Tayloria", "Paramesius", "Piscirickettsiaceae", "Aphidina", "Nitocra", "Taphiassinae", "Typhloblatta", "Mesoserphidae", "Flourensina", "Orsilochus", "Charentia", "Paraneolepta", "Chimaericolidea", "Pelecinobaccha", "Phrynocris", "Trematosuchus", "Andracalles", "Melampsorineae", "Sarpedon", "Ancistrocoma", "Segestriidae", "Pachybolini", "Astrotischeria", "Leioproctus", "Pyrestini", "Umbraculoidea", "Aglimvirinae", "Filimanus", "Chalcalburnus", "Pithothorax", "Tydaeolus", "Alfredina", "Eantis", "Paranacaena", "Zelentia", "Eriptychius", "Aphallus", "Rhagoletotrypeta", "Micrearota", "Rhinechis", "Phlegmariurus", "Gueldenstaedtia", "Voraptus", "Cubitalostigma", "Spyridium", "Hierophis", "Pseudocharaciopsis", "Xenobryaxis", "Ictalurus", "Neaspis", "Coleanthera", "Ornithion", "Loftusiida", "Cetimaju", "Paracuminiseta", "Melobasini", "Hausera", "Beiericolyina", "Delphineis", "Mastigoniscus", "Himalayachilis", "Onopordum", "Nyctophilopython", "Eurhamphaea", "Plastingis", "Chasminodes", "Enicmosoma", "Daoaphis", "Freocrossotus", "Mephitidae", "Yponomeuta", "Lepypiranga", "Delphinulopsinae", "Euplectodina", "Gammarotettigini", "Brittonella", "Thyropteridoideae", "Aldabrica", "Konia", "Cristiceps", "Iphigenia", "Calyptrella", "Tineovertex", "Acutifrons", "Physalidia", "Neocurina", "Thalassaphorura", "Tetramerista", "Andoa", "Crossidius", "Matiaraensis", "Teulisna", "Rhagigasterini", "Karksiodus", "Leptidolon", "Rhytirhynchia", "Stenostigma", "Austrodevonia", "Metoncidus", "Hypenodini", "Gnaphalium", "Austrohormius", "Trullabracon", "Symethis", "Yaginumaella", "Trichocateres", "Cottoidei", "Anomodon", "Desulfohalophilus", "Cephalophus", "Pseudoschizonycha", "Sloanbaataridae", "Neocaeculus", "Democoris", "Caphexandra", "Trichonitocris", "Amphithera", "Pseudosalix", "Cephalops", "Eodryas", "Iseilema", "Allomarkgrafia", "Helopini", "Dolomius", "Anehmia", "Brickelliastrum", "Euthyriselloidea", "Aspila", "Pyrgomorpha", "Porosularia", "Paramblesthidopsis", "Parabomis", "Italaman", "Lepturdrys", "Murchisonellidae", "Xenosmilus", "Enterobacterales", "Caulaster", "Coracornis", "Apocrisias", "Scytalinus", "Doyerea", "Aegina", "Plusiina", "Hystricomorpha", "Hartwrightia", "Jeanneliusa", "Bryoporus", "Biserrula", "Manbrookia", "Sporodiniella", "Concavenator", "Sulcophax", "Taxes", "Lophopetalum", "Wrightella", "Allothrissops", "Meridarchis", "Planera", "Anoreina", "Inca", "Pavillardia", "Rhizoridae", "Philodromidae", "Phaenaulax", "Pilipsocus", "Gloeocarpus", "Pictinellus", "Suessiaceae", "Astatoreochromis", "Catalepis", "Neopanorpa", "Ferritrophicales", "Megabombus", "Melissotydeus", "Cuculoecus", "Scaphandridae", "Ananas", "Amyna", "Stripsipher", "Oceaniovalibus", "Pygmaeothamnus", "Thermidarctia", "Eurypetaliinae", "Centrognathus", "Orieotrechus", "Trichaster", "Mimoscopa", "Nanomantinae", "Dalyat", "Skutchia", "Neobrachylepadidae", "Brucepattersonius", "Antarcticotectus", "Merwilla", "Eria", "Macrothyraspis", "Myrmeleontoidea", "Omalodes", "Acartophila", "Monochamini", "Petenia", "Diplophlyctis", "Phanopyrum", "Benthaster", "Paradoneis", "Endocena", "Pseudotriton", "Metadilepididae", "Rafflesiaceae", "Ceradocopsis", "Hengchunia", "Glyptoblacus", "Cretogeotrupes", "Didymodoxa", "Pararhinomiris", "Florella", "Mycophycias", "Comanthosphace", "Banyulsella", "Platolenes", "Aldabrachampsus", "Aphidura", "Muribacinus", "Paraenicodes", "Portulacaceae", "Indopamphantini", "Labidiaster", "Oregmopyga", "Uvarus", "Altiphrynoides", "Atyria", "Nemaschema", "Talpanas", "Iridoideae", "Periphragella", "Bicudoa", "Megophryidae", "Opiliaceae", "Orpecovalva", "Naucleeae", "Taractes", "Parallocorynus", "Alisalia", "Euchromius", "Bergidora", "Jaffaia", "Neornithes", "Kozlovia", "Archoserica", "Haemoproteus", "Rutelinae", "Physotarsus", "Cnemomis", "Sinoviparosiphum", "Whittenella", "Colymbotethis", "Monista", "Clitumnini", "Phrudinae", "Acathrix", "Ethusina", "Tetraflagellochloris", "Papuloria", "Proteroctopus", "Biobessa", "Haploembia", "Amphiascoides", "Pirateola", "Rubrimonas", "Neocatara", "Pseudoleyanella", "Arctotaenia", "Arcithelphusa", "Paracyclidius", "Philagraulella", "Gesneria", "Rapistrum", "Auriculopsis", "Heterodontiformes", "Perkinsiodendron", "Metepilysta", "Obrieniinae", "Tarastethus", "Hydascelis", "Acontarache", "Echiuridae", "Sphaenolobium", "Asperula", "Cryptinae", "Coleocephalocereus", "Podismini", "Eogyrinidae", "Endothenia", "Haploglossa", "Trichisia", "Rhopalotella", "Betaflexiviridae", "Oreosparte", "Ajugoideae", "Gorgyra", "Spicaphidinae", "Nesomimus", "Cerceris", "Pilemostoma", "Lobianchia", "Eutaleola", "Pseudepitettix", "Neckera", "Pheles", "Vermileo", "Sharpeiceras", "Balanus", "Ovammina", "Diacalla", "Dinopontiidae", "Amblyotrypauchen", "Erymnacanthus", "Rhoptrocentrus", "Pseudomorulaeplecta", "Witenbergitaenia", "Billingselloidea", "Notodonta", "Cheritrini", "Tectomicrobia", "Cancrisidae", "Dargeia", "Sminthopsinae", "Philinorbis", "Typhaea", "Heliodiscus", "Calliini", "Malthininae", "Ceratopyxis", "Octarrhena", "Dasykaluta", "Zebinidae", "Trachycystis", "Leptocylindrales", "Cratogaster", "Chromobacterium", "Causinae", "Plecoglossinae", "Steatocranus", "Eltroplectris", "Spathulibracon", "Monasa", "Edwallia", "Agelenella", "Pseudosilusa", "Hesperiini", "Rhomboxiphus", "Arfeuillea", "Angolatitan", "Hilloxya", "Erphaea", "Paratropis", "Mortonagrion", "Trachelotractus", "Blastenia", "Psiloochyrocera", "Ploetzia", "Anthiitae", "Ptilinus", "Rhexieae", "Phycodopteryx", "Carangiformes", "Calypso", "Rhinostomus", "Agkistrodon", "Derodontus", "Aechmanthera", "Lobomastax", "Eupholus", "Hypocoela", "Katibasia", "Neevea", "Helenoglaucytes", "Latabryna", "Pseudogoerinae", "Oryctospora", "Distatodinium", "Dicerorhinus", "Tyroglyphites", "Johannesia", "Notoatherix", "Orodictya", "Fuscopannaria", "Stygothrombium", "Chthonomonadaceae", "Tatocnemis", "Mehariinae", "Apicotermitinae", "Hadrotarsinae", "Candonopsis", "Odontoceti", "Tapiena", "Rossellinae", "Itame", "Tursiocola", "Athiasella", "Neurotettix", "Lambrachaeus", "Aiora", "Wonga", "Coccodiscidae", "Chioglossa", "Endomychus", "Plagioneurinae", "Calliphorini", "Didugua", "Opopanax", "Mutisioideae", "Coryphidium", "Abanycha", "Macrophiothrix", "Melanophora", "Stapfiella", "Tortilaria", "Neolophron", "Elaeorhanis", "Stegosauria", "Perulibatrachus", "Capnocheirides", "Miroculina", "Gomphidae", "Dactylostalix", "Atherina", "Delta", "Astomatophorida", "Dolichocybe", "Calmaniinae", "Pseudomphalocyclus", "Tribasodellus", "Thermodesulfobacteriaceae", "Javanella", "Erioderma", "Leptosteges", "Montanaurelia", "Trochamminoides", "Intrapes", "Phyllanthoideae", "Imosca", "Urophycis", "Iquiracetima", "Walafrida", "Argyrobrithes", "Gayralia", "Asilus", "Amphilectus", "Acrocephalidae", "Horelophinae", "Neovenatoridae", "Bovichtidae", "Tripodiscus", "Melixanthus", "Rhinoceros", "Thoreauea", "Nimbaphrynoides", "Axiocerses", "Gillisia", "Cylicasta", "Lambulosia", "Squamosaperdopsis", "Acanthops", "Floriaster", "Paussotropus", "Nesomys", "Parascela", "Paraplysia", "Hydrochous", "Ambrosiodmus", "Mesomyaria", "Callistoplepini", "Senodoniini", "Villalites", "Spirotrichonymphida", "Elminiinae", "Redlichiida", "Heterotanais", "Trichodinella", "Lychaete", "Cylichnatys", "Trigonarthrini", "Lithospermum", "Zannicranaus", "Preparctia", "Fumopolia", "Knightocoris", "Krikoanoecia", "Ingoldiomyces", "Gandaca", "Jeotgalicoccus", "Cycloramphidae", "Parietochloris", "Attheya", "Gyroporaceae", "Athysanota", "Grypotheca", "Expachyrhynchus", "Harrimaniidae", "Calaminus", "Tetrameranthus", "Rosettozyma", "Scolecitrichidae", "Emphytopsis", "Cosmardia", "Bunbunius", "Arctoseius", "Schuurmansiella", "Ischnoderoecia", "Acaudella", "Chorilingia", "Basiceros", "Annobodillo", "Savolia", "Neocottus", "Ergasiola", "Triticites", "Metaprotella", "Ummidia", "Anisopappinae", "Hispanisella", "Lasiognatha", "Cotylelobium", "Uncicida", "Pentarthrum", "Myrascia", "Tschitscherinellus", "Apetasimus", "Danielozyma", "Cellulosimicrobium", "Clavicornaltica", "Goupia", "Nesiosphaerion", "Cilix", "Lepidostoma", "Disparsine", "Anurofeca", "Festenus", "Socotroonops", "Hoplocharax", "Austrotachardiella", "Catopocerini", "Afrotrilepis", "Urmenetea", "Xiphorhynchus", "Stenomatinae", "Protoanguilla", "Saxatilomys", "Battus", "Steatornithidae", "Mexicoceras", "Buellia", "Gammaroporeia", "Iphibracon", "Granaster", "Porellaceae", "Cystophrys", "Petalotrichidae", "Zosne", "Leptusa", "Kybos", "Thioalkalispiraceae", "Keroplatidae", "Paragreuocoris", "Barcinae", "Acroloxidae", "Vicmusia", "Thalasselephas", "Pseudanabaena", "Shimia", "Compsognathidae", "Codonorchis", "Monima", "Chitinorecta", "Megahexura", "Wimaniidae", "Coryphosmila", "Alischirnevaia", "Procabacteriaceae", "Howaia", "Coronophoraceae", "Sarcodina", "Hapalocrinidae", "Capsalidea", "Myriocladia", "Cephalonomia", "Cristonia", "Hyperion", "Tsavobracon", "Xiang", "Palaelodidae", "Aesalus", "Coenobita", "Moodna", "Olceclostera", "Obedas", "Lufengosaurus", "Rhaponeidales", "Phytophysa", "Mononchidae", "Carronella", "Esamirim", "Trionyx", "Veddabatrus", "Daptus", "Rehmannieae", "Clitarchus", "Sorastrum", "Isactinernus", "Dacundiopus", "Craspedia", "Diplophysalis", "Perischus", "Thecosphaera", "Anthomyia", "Illidgea", "Phatnomella", "Melaloncha", "Xerosiphon", "Sarmatella", "Micropsyche", "Penhammus", "Peromyscini", "Monodontinae", "Amarinus", "Brixia", "Streblosa", "Holarchaeidae", "Rhinocerophis", "Cypassis", "Himellastella", "Llanoaspididae", "Criocerini", "Drepanoidea", "Hoploxypterus", "Podistra", "Pachnodoides", "Cerodolus", "Patissa", "Raddiella", "Procestus", "Neopallene", "Calidris", "Patagoniodes", "Tristicochaeta", "Paracoenosia", "Plectostoma", "Sumatrechus", "Phasmomiminae", "Bdeogale", "Hygroryza", "Elisiella", "Aphanasterias", "Nautilocaris", "Belonomus", "Demetriadina", "Metatrichoniscoides", "Cenomaniola", "Sideritis", "Pselaphellus", "Helentappanella", "Kerremansia", "Acrophylla", "Fukuiraptor", "Phlaeopterus", "Lentibulariaceae", "Iberococcus", "Sinolagus", "Basidissus", "Radiocystis", "Nannfeldtiomyces", "Neuroglosseae", "Ashlockaria", "Triassaginae", "Ruthenica", "Hydrophilus", "Noccaea", "Leontiniidae", "Pseudodactylariaceae", "Xenococconeis", "Sasonichus", "Rhophitulus", "Moisseevia", "Atomoscelis", "Neorhopalomyzus", "Sarucallis", "Tegeocranellidae", "Allogaussia", "Manocoreus", "Mycteroperca", "Schmidtea", "Afrocyrtusa", "Freocorus", "Desertana", "Pearsonema", "Alloxiphidiopsis", "Diaea", "Dimorphognathia", "Seri", "Pnigodes", "Coelenterata", "Nothoentomum", "Anisotyma", "Zenkovia", "Callophylla", "Heteresmia", "Neodecusa", "Brinkmanniidae", "Tragopogon", "Sarracenia", "Panisopus", "Pseudolotelus", "Physocarpus", "Hexamerocerata", "Rogiera", "Odontosphindinae", "Chauvelicystinae", "Pichinia", "Ituglanis", "Stictogongylus", "Paradiophrys", "Fretibacterium", "Heptagenia", "Westia", "Waghildini", "Allygus", "Lestoniidae", "Tethystola", "Colerolumnus", "Nomonyx", "Nanaloricidae", "Aconodes", "Daphaenisca", "Delopleurus", "Anisomeridium", "Napaeina", "Genuclymenia", "Spilomelinae", "Inauris", "Hemiphaedimus", "Anisocladium", "Prasadiseius", "Catarinea", "Tapeinia", "Eurozonosia", "Uredo", "Procatopus", "Nothybus", "Tingicader", "Psammamonas", "Stypomyces", "Xanthomyrtus", "Stegania", "Micatocomus", "Afrithelphusa", "Sarsia", "Oikacrotona", "Bius", "Neoclinus", "Galeanella", "Anchoscelis", "Cratilopina", "Thaumatocyprididae", "Antiphytum", "Trotteriini", "Seleniolycus", "Eremopyrum", "Vernia", "Euhagena", "Doloploca", "Diplotaxodon", "Cribroheros", "Osmoderma", "Gekkonidae", "Lanthanusa", "Aulidiotis", "Carlandrea", "Ataxoorbignya", "Genyorchis", "Neocranaphis", "Stegophylla", "Emiluvia", "Phaeodermatium", "Crespinitella", "Compsomera", "Astaena", "Bathygammarus", "Gutuapseudes", "Monstruncusarctia", "Paracrothinium", "Castanopsides", "Sepikea", "Endotryblidium", "Neopsephotus", "Antillocladius", "Pleistodontes", "Setina", "Diploporus", "Bruchophagus", "Ravenelia", "Abudefdufinae", "Nesiodes", "Rakantrechus", "Pionpherta", "Redmondina", "Pediculariinae", "Cymatopus", "Lepisanthes", "Laburnum", "Idiospermoideae", "Palaeopeltidae", "Platycopiidae", "Isca", "Pseudoagathidium", "Kumaromyia", "Sakuraeolis", "Mollendocoris", "Pachyphlegyas", "Phaneroptera", "Glacialepis", "Zeuctodesmus", "Corticus", "Osornodella", "Rhombissus", "Arctophysis", "Opisthodactylus", "Pappus", "Microdracoides", "Helosiphon", "Loganellia", "Opisthiolepis", "Sarcodictyiinae", "Spirorhabdia", "Cuneatus", "Lepanus", "Pelochyta", "Iton", "Mitracamenta", "Zettelniella", "Panderiidae", "Cicindis", "Aphidoletina", "Actinorhytis", "Cylapini", "Clipeosoma", "Palaeoboreochlus", "Trachycorystes", "Cladochytriaceae", "Semiauricula", "Porribiini", "Carcharodina", "Odontobatrachus", "Passalus", "Pseudopimelodidae", "Oxydromus", "Parastrombidium", "Clavariaceae", "Phyciodes", "Pseudochelonarium", "Faveria", "Palutrus", "Kylinia", "Cordyloporella", "Chlamydacanthus", "Batriasymmodes", "Dinocampus", "Pantosaurus", "Acridoxena", "Pterunciola", "Maoristolinae", "Platyschema", "Bythinus", "Scoliciosporaceae", "Brachyglottis", "Aristeguietia", "Methanospirillaceae", "Sphaeropauropodidae", "Papuaea", "Nannodectes", "Pterobatidae", "Lorymodes", "Thoracotrichia", "Cyphodoryctes", "Stachyarrhena", "Limnoecinae", "Biatriosporaceae", "Crithionina", "Baldinia", "Zaghouaniaceae", "Carminatia", "Fishia", "Khasiaclunea", "Desulfocurvus", "Mentzelia", "Wessiea", "Pseudoacaremys", "Eumilacinae", "Chondrinidae", "Crosbyarachne", "Xylobotryaceae", "Gravipalpus", "Scaura", "Binghamia", "Apoplotrechus", "Inegocia", "Dermationidae", "Geodorum", "Chondrocladia", "Chillanella", "Oxypsocus", "Methyloceanibacter", "Mimetillus", "Porphyrobacter", "Bocageopsis", "Pseudonotidanus", "Apsidocnemus", "Leucopsila", "Pinnulariosigma", "Acantheucosma", "Daemonorops", "Vampyrostenus", "Dipylidium", "Aiteng", "Liarina", "Acropsyllini", "Anallacta", "Anthocoridae", "Tethyspira", "Brachioteuthidae", "Lyellia", "Sarinda", "Ravola", "Esocidae", "Dischistocalyx", "Hospitaliptochus", "Dendrodasys", "Mimacalolepta", "Elatobia", "Leiothrix", "DZUFMG", "Clepitoides", "Schoutedenapus", "Bironiella", "Hamotoides", "Omphaliaster", "Stixis", "Delibius", "Pseudophyllinae", "Spongiocnizontidae", "Termitohospitina", "Microthisus", "Panaqolus", "Vidalamiini", "Acanthonotozoma", "Striodentalium", "Thaumastognatha", "Picria", "Urophora", "Pioscelus", "Atubaria", "Etheridgeum", "Umbellosphaera", "Alluroididae", "Hakaria", "Allagelena", "Cynophalla", "Candelariomycetidae", "Ostracoberyx", "Cottendorfia", "Symphalangus", "Cariomothis", "Rhodesiella", "Papillomaviridae", "Poliana", "Phelene", "Verconia", "Poecilipta", "Loasaceae", "Barreratalpa", "Cypariini", "Temnophlias", "Polyura", "Prolixosphaeridium", "Pezidae", "Gymnocarpos", "Codonanthopsis", "Ibliformes", "Pentaphylax", "Aspicela", "Arambourgiania", "Stereophyllum", "Notoconops", "Tesnusocarididae", "Harpakter", "Triloba", "Massalongia", "Gigantometopini", "Sarcotragus", "Austropeltum", "Broelemannopus", "Phyllocrater", "Diploplecta", "Subcyrtus", "Thelotrema", "Metachaos", "Pionenta", "Pseudosuberites", "Phloeonomus", "Parmeliaceae", "Melozone", "Ericameria", "Lembophyllaceae", "Globivenus", "Chondriella", "Jordanopsyllini", "Neocrowsonia", "Heterojapygidae", "Cacochroa", "Psacalium", "Brancelia", "Lithosia", "Caligellidae", "Lophomonas", "Lamprobacter", "Ogcocephalioidei", "Aethalops", "Anthericum", "Echinimonas", "Seviini", "Botulisaccidae", "Cyanonemertes", "Japonicalia", "Euaulana", "Atherinosoma", "Fellhanera", "Amberboa", "Hypsipyla", "Moriosomus", "Eocryphops", "Eurysternus", "Cryptocaryon", "Mesudus", "Syncarida", "Weirdonia", "Shafferograptis", "Gladiata", "Spungisiola", "Baleyopteryx", "Equidae", "Zeuxokoma", "Rhizophaginae", "Holcorhinini", "Hypodynerus", "Mimanommatini", "Allocinopus", "Zenion", "Ballagascar", "Yiinthi", "Boletinus", "Inga", "Aristochroa", "Zonophryxus", "Hybanthus", "Pseudocephitinea", "Pleurotomariida", "Bunyavirales", "Oxycerini", "Cretodytes", "Corophiinae", "Dermatias", "Adelognathinae", "Bleheratherina", "Trichoeax", "Spinavaculidae", "Carangolia", "Agalliopsis", "Monophyllanthe", "Acacus", "Stylicauda", "Anepsiodes", "Apecholinus", "Batrisoschema", "Morobemiris", "Lurifax", "Dytiscidae", "Colurella", "Aruattus", "Lepidozonates", "Pseudocophotis", "Trochometridiidae", "Artostrobus", "Jubus", "Benthobiidae", "Taphrolesbia", "Laqueoidea", "Artemisaphis", "Rhodostrophiini", "Phrixosomatini", "Fervidicoccales", "Neohalyzia", "Ptarmus", "Cimicidae", "Nelsia", "Neorthrius", "Formicium", "Furcula", "Stratone", "Reussinella", "Pucciniostele", "Bispinatus", "Syngonanthus", "Emydodillo", "Pachycisseis", "Themistonoe", "Amphicotyle", "Maoriharpalus", "Ancylodonta", "Dacrydium", "Crompus", "Epigraphus", "Mazoplectus", "Haplomunnidae", "Gamasomorphinae", "Elymniini", "Kisaura", "Histocidaris", "Mesocricetus", "Dielitzia", "Pilibacter", "Dichrostoptera", "Savzdargia", "Labrisomidae", "Didymopogon", "Ortaliella", "Bathoxiphus", "Scincella", "Protostega", "Pseudocheylus", "Platystomatichthys", "Steenisieae", "Valerietta", "Mirnapis", "Ochodaeinae", "Hoeneidia", "Turrilinidae", "Asarina", "Hainesia", "Leptoferonia", "Sylvicola", "Myrmicholeva", "Gretella", "Sigmoideomycetaceae", "Sphecomyrma", "Ophrynon", "Mesocestoidinae", "Mixaderus", "Aidabella", "Sauris", "Parepicedia", "Ischnostomiella", "Oogamochlamys", "Trigonoclymenia", "Anthracoceratites", "Oreolygus", "Scutiger", "Pochytoides", "Oreopisalia", "Bellator", "Phycicoccus", "Arsenura", "Tinotus", "Pseudocolaspoides", "Watanabella", "Empirea", "Dyasma", "Erythroxylaceae", "Linta", "Goodea", "Perigopsis", "Zeromastax", "Dasymutilla", "Microprotus", "Pliosyntomium", "CICCAA", "Limacoidea", "Chevalioidea", "Cercophaninae", "Mallotus", "Freziera", "Oscillatoriales", "Rhizophtoma", "Holothuria", "Gymnotympana", "Uronautes", "Epactionotus", "Ptychoparioidea", "Orbulina", "Pharoideae", "Cribropyrgo", "Isopodites", "Neurergus", "Pileolariaceae", "Vulcanonemertes", "Campylomyzini", "Hawkesiophyton", "Ucrimyzus", "Metashangrilaia", "Melanthiaceae", "Mageochaela", "Calyptocarpus", "Hallianthus", "Lardizabala", "Noumeasega", "Glaucilla", "Antoniellus", "Tomocyrba", "Stenodema", "Polygonella", "Actinodium", "Macginicarpa", "Sinoneta", "Minutargyrotoza", "Exoasota", "Torreyochloa", "Parabrachionycha", "Saotis", "Schizorhamphus", "Karschiidae", "Ueana", "Stephanachne", "Lepidodendrales", "Acanthinodera", "Callambulyx", "Aethia", "Beauprea", "Typhlodromalina", "Expanathura", "Glomerosus", "Cancellariidae", "Pseudocalotes", "Eragrostidinae", "Nomioidinae", "Distylaphis", "Egnatiini", "Brissopsidae", "Triglachromis", "Sinamma", "Schizocarpus", "Promenaea", "Catonephele", "Membranobalanus", "Sinia", "Enigmacanthus", "Phyllodrepanium", "Paraspathidium", "Pseudis", "Chamaesphacos", "Zatingis", "Westoniella", "Baetidae", "Oreohelix", "Pteroplatini", "Faustulidae", "Philichthyidae", "Imbophorus", "Galerucinae", "Fadogiella", "Prymnesium", "Halosiphonaceae", "Vernadskowia", "Porania", "Marrelliina", "Limnocottus", "Phakellia", "Astrogomphus", "Arthrolips", "Pastinachus", "Leptoscopidae", "Orsunius", "Glossocratina", "Microbergeria", "Petalodontiformes", "Platylepis", "Ailadinium", "Metanalges", "Corophioidea", "Stapfochloa", "Gavelinellidae", "Kirrostola", "Koilodepas", "Ontiscus", "Parnops", "Sunflower", "Dendroicius", "Braura", "Gnathotrichina", "Dampfiana", "Prosphaeropsocus", "Ralis", "Merops", "Geocoroides", "Paranimbus", "Opisthocomidae", "Dacgleia", "Pauperobythus", "Triplarina", "Temnocephaloidea", "Xuthodes", "Umbriadinium", "Elachertodomyia", "Turanana", "Cosmocephalus", "Sieverdingia", "Rachicallis", "Frewena", "Leptostiba", "Placopyrenium", "Duhaldea", "Acarolella", "Iriartea", "Rhodotorula", "Itaya", "Birgeidae", "Selandriinae", "Bruggmanniella", "Prorocentrum", "Dinolestidae", "Ohleria", "Xeromelissini", "Conyzinae", "Cloacibacterium", "Diproctacanthus", "Nuiba", "Zadbimyia", "Lipmanella", "Cronobacter", "Corbichonia", "Postosuchus", "Austrodolichos", "Wate", "Rosenscheldiella", "Calogaya", "Capeobolus", "Cavihemiptilocera", "Derbesiaceae", "Parapaulipalpina", "Reynoldsiella", "Trypetheliopsis", "Lactophrys", "Harperella", "Uropodidae", "Amphilecta", "Metagnorisma", "Avalonnectes", "Pilularia", "Suhomyces", "Peridinea", "Allophryninae", "Uraniacanthus", "Birrana", "Centorus", "Danuvius", "Idiosoma", "Sitticinae", "Teraschema", "Ormocerinae", "Psylacrida", "Reinkella", "Tubolaimoididae", "Polyspilota", "Stenorhynchosaurus", "Scelidocteus", "Inoma", "Chiloini", "Asternoseiidae", "Macrogerodonia", "Mimophytum", "Callianassa", "Leminorella", "Pomatiopsini", "Haplotaxis", "Synute", "Dryadaula", "Delphastus", "Christella", "Caulacanthaceae", "Alaus", "Costaria", "Hippodonta", "Chremyloides", "Benstonea", "Olenosus", "Colpocrita", "Dolabellopsocidae", "Nycticebus", "Macronectes", "Cytamoeba", "Trematopsidae", "Nannorhynchididae", "Clitostethus", "Cereus", "Hypsostromataceae", "Megalonibea", "Oxybelus", "Nikilliberis", "Methanocellaceae", "Epipliopithecus", "Ceratonia", "Simalurapolipus", "Ixorida", "Monocyphoniscus", "Actaeonella", "Irediparra", "Rhadinopsyllinae", "Grimsdaleinella", "Myrmeleontiformia", "Ascetoderes", "Spatangidium", "Libanorhinus", "Australosuchus", "Tepidamorphus", "Autographiviridae", "Cyphonethes", "Pselliophorus", "Schmitzia", "Selviria", "Heosemys", "Tasimiidae", "Drapetes", "Contulma", "Vahlia", "Tetracnemoidea", "Rileyinae", "Campyloctys", "Trichromia", "Capnophaeum", "Colobodactylus", "Cocceupodes", "Zoraidinae", "Parmortha", "Austrobaileyales", "Monnea", "Neotrichopteryx", "Trichophyma", "Emballonuridae", "Gratwickia", "Leptomeson", "Agriophara", "Exocoetinae", "Platysepalum", "Trachyuropoda", "Leucanthiza", "Euglenaceae", "Limacolasia", "Zagmena", "Vagenatha", "Phlogisini", "Agriophyllum", "Bunaea", "Nesocolletes", "Edwardiella", "Paraclinteria", "Austropamphantus", "Chionis", "Berula", "Platyscelio", "Cloniophora", "Brassierea", "Xylinophylla", "Absconditella", "Aegophagomyia", "Limerodes", "Halonoproctidae", "Astrocalyx", "Mycarini", "Isocladosoma", "Polyommatini", "Didelphinae", "Eremurus", "Schoenoplectiella", "Pachyrhizodus", "Methylotenera", "Cryptotylus", "Jasmineira", "Leptaulax", "Isidoides", "Rhodospatha", "Epigelasma", "Diutius", "Prethura", "Dysphanochila", "Mesopolia", "Polyacanthia", "Notiothauma", "Lipomerinae", "Acrotelus", "Carrai", "Homolodromia", "Stenocarpinae", "Sematoplusia", "Anser", "Galactites", "Kongobatha", "Pseudocyclops", "Glyceria", "Arethusinae", "Crateromys", "Orobitidinae", "Doowia", "Xiphioidei", "Setabara", "Corcovadisca", "Chaetosiphonaceae", "Microcotylinae", "Labichthys", "Acrochordus", "Vantanea", "Leptogenopapus", "Loki", "Druridgea", "Synbranchiella", "Martinezidium", "Aldanella", "Macrolobium", "Chujoa", "Tibouchina", "Spinobrunsiina", "Archeocydippida", "Mazocraeidea", "Sparus", "Tanarctus", "Parurgonina", "Valdiviana", "Homalorrhynchus", "Skvortzoviella", "Saccamoeba", "Liriarchus", "Crepidotaceae", "Peniophoraceae", "Sebastonyma", "Rhynchophanes", "Paralepidocephalus", "Perisporochnus", "Gauthieromyces", "Mesocypridini", "Nargedia", "Grallenia", "Psilotympana", "Bullalveolina", "Waiparaconus", "Apystomyia", "Thyrsochares", "Asthenosoma", "Itatiella", "Duckeanthus", "DMNH", "Viverridae", "Gloeocapsopsis", "Deltosoma", "Turcmenigena", "Madecassometallyra", "Amathes", "Klinzigedia", "Burmapogon", "Thoriosa", "Gutterpseudechiniscus", "Daphnandra", "Eucoelosis", "Iguatonia", "Peltopleuriformes", "Philarius", "Syllegomydas", "Desmoderus", "Microzetidae", "Schizogaster", "Ernobius", "Muttaburrasaurus", "Zanthojoppa", "Baetica", "Rhipilia", "Mesosemiina", "Phacellophora", "Pityrete", "Idionycteris", "Funisciurus", "Corythoderus", "Hydrocoptus", "Larrini", "Limacus", "Atelurius", "Sinoconodon", "Dubianella", "Anochiliina", "Cretomyrma", "Psolus", "Cylindropsyllidae", "Cynopterini", "Baceysus", "INHMT", "Heterophyllium", "Neobivaginopsis", "Neomeoneurites", "Tetracha", "Goodia", "Saribia", "Hyalostylus", "Scolosanthus", "Trogoides", "Zamiaceae", "Crypturellus", "Geosiphonaceae", "Amphipyrini", "Heteroliodon", "Plebeiella", "Parataenia", "Accacoeliinae", "Colocladorchis", "Apophua", "Psammobates", "Mimopsestis", "Enispiella", "Baeus", "Mesembryna", "Costatolepas", "Scylliogaleus", "Derrickiella", "Comesomatidae", "Euglenoidina", "Sylvibracon", "Coccymys", "Stegaspidinae", "Naryciodes", "Melloria", "Neofiber", "Auchenipterichthys", "Barbourion", "Cynicostola", "Cellulosilyticum", "Strandissa", "Nomenia", "Zalmoxidae", "Psammodes", "Schizotrichaceae", "Phormingochilus", "Ficopomatus", "Togpelenys", "Gobionellidae", "Pedanodectes", "Orcaella", "Parastenichnus", "Lathrobium", "Lithurgini", "Paramorbia", "Gladiopycnodontidae", "Amphorides", "Pyxidion", "Briggsiopsis", "Dendrograptidae", "Rumikiru", "Pakaraimaea", "Candorbulina", "Candiopella", "Gladiolus", "Petauridae", "Karshicypridea", "Acanthallagma", "Sruogania", "Geltingia", "Timnewia", "Julodis", "Allochalcis", "Thripsaphis", "Falsototoclinius", "Aquilaria", "Zinovaeeae", "Gonatozygaceae", "Sevada", "Jackrogersella", "Metaxymorphus", "Ponerorchis", "Fenderia", "Ycaploca", "Physcomitrella", "Capedulia", "Tomura", "Niphargellus", "Nucleacuea", "Sicydiinae", "Cleithracara", "Podoceropsis", "Cymbodinium", "Pachnida", "Tanytydeus", "Solenina", "Lamelliphoridae", "Urostrophus", "Hysterographium", "Coeloglutini", "Conimitella", "Textularioides", "Malcolmiella", "Rhinotorus", "Lithostrobus", "Platylytron", "Ecitosymbia", "Setaphis", "Discretitheca", "Cibyra", "Fulviini", "Aaka", "Siliquariidae", "Rhyparus", "Rhaetulus", "Eliurus", "Cistalia", "Rhabdopterus", "Melissococcus", "Microbrachidae", "Batocerini", "Kwonkan", "Aquilonastra", "Helicteres", "Vittina", "Trichormus", "Neopagetopsis", "Hemibates", "Amphion", "Histopomphus", "Setariopsis", "Macrohelodes", "Helicophidae", "Photinus", "Trisaccopharynx", "Fragaria", "Normanichthyiodei", "Metonini", "Bambomada", "Doratifera", "Dahira", "Phyllopezus", "Hydronebrius", "Neoapachella", "Whittleia", "Bopyrella", "Hoplitomerycidae", "Cecidoxenus", "Novenia", "Ranicipitinae", "Hirundinea", "Micratya", "Acanthis", "Axanthosoma", "Pagophilus", "Kosmotogaceae", "Scoteanax", "Ethneca", "Zorochros", "Euneomyini", "Taphrocranum", "Gnathostenetroididae", "Orbiniinae", "Kalaphorura", "Orthogoniina", "Cryptogamia", "Flavoparmelia", "Thoe", "Meiglyptes", "Ichneumonini", "Baridini", "Baripus", "Bermudezina", "Malobidion", "Histiostomatoidea", "Megalocypha", "Bowmanella", "Beatragus", "Cauninda", "Hypomedon", "Paramonacanthus", "Francoaceae", "Stictoneis", "Penthorum", "Wrightoporiaceae", "Punctius", "Prosotropinae", "Serratus", "Rhytidopeza", "Scotophaeus", "Barronopsis", "Acuticephala", "Rhopalidae", "Chytridiochloris", "Chonopeltis", "Polytoechiidae", "Dicranochaete", "Dorygnathus", "Gomphoceridius", "Melatia", "Pionycha", "Fellaster", "Schwetzia", "Cryptoleucopteryx", "Lepidoleucon", "Heteroptera", "Taphnoma", "Pyrenomonadales", "Stellarima", "Neophanolophus", "Pronkiini", "Drumontiana", "Acontiothespinae", "Ambondro", "Leifidium", "Trachaner", "Borago", "Hemithiris", "Livistoninae", "Tubifex", "Protoalcyonaria", "Lecithocero", "Tapiridae", "Gammabracon", "Allotrochus", "Asetilobus", "Seothyra", "Onychochilidae", "Bartramia", "Lucasioides", "Magicicada", "Dendrochen", "Pardalotidae", "Steriphus", "Petromarula", "Gyropidae", "Pachyjoppa", "Achyranthes", "Dendrobangia", "Eupanacra", "Vescelia", "Tropidolophini", "Dioptinae", "Cotylidia", "Bilobella", "Pseudosinurus", "Schizoneurata", "Ecitonidia", "Schedotermoecia", "Yuukianura", "Cantarius", "Stichopodidae", "Dalodesmidea", "Paradilepis", "Nelsonianthus", "Syromastus", "LZAG", "Cambalopsidae", "Dysmorphocerinae", "Rhinopleustes", "Hyophryne", "Anoura", "Opisthocosmia", "Chionarctia", "Podocoma", "Melanoxa", "Homoglaea", "Lyreidus", "Proteaceae", "Ceratodrilus", "Rectisura", "Phrudus", "Gymnogeophagus", "Microbianor", "Kyphocalanus", "Melanopareia", "Byrrhodes", "Iravadiidae", "Imperatoria", "Pirsoniales", "Acanthaspidia", "Mylocrita", "Pharsalia", "Eriochrysis", "Argyrodella", "Guyanochactas", "Epicroseius", "Segregara", "Sinomicrurus", "Cubitofusa", "Indabracon", "Leptotabanus", "Eponidella", "Paranyssicus", "Acrodimerus", "Gasterosteales", "Saccamminella", "Germarica", "Noblella", "Heterococcopsis", "Euceratia", "Homoeocerus", "Palimpsestis", "Flagenium", "Adocoidea", "Agalliina", "Macroxyelini", "Angeliera", "Thespidae", "Epistalagma", "Neocoraebus", "Kryostega", "Bohemiatupus", "Caledonandra", "Pouchetia", "Tricorynus", "Lubricus", "Gronotoma", "Sphenia", "Megasternini", "Acidaminococcus", "Didymochlaenaceae", "Eustemmoides", "Macroglossus", "Cubiculosporum", "Dryopithecinae", "Gonarcticus", "Elytrodes", "Lymire", "Devendrosentis", "Ricinidae", "Lagarosiphon", "Delavalia", "Phryganopterygina", "Mantophasmatodea", "Uraria", "Neosparton", "Pacouria", "Leiocarpaea", "Arrhenandria", "Xenoprorhynchus", "Pectinopitys", "Persoonieae", "Jambiliara", "Onychembolus", "Haliscomenobacter", "Asterolasia", "Metacirolana", "Alpenus", "Homonemobius", "Fruhstorferia", "Sporophlyctis", "Sessilia", "Hapalosaris", "Thomassetia", "Diphyllatea", "Coaxana", "Priscaphander", "Parasympodiellaceae", "Neomicrocalamus", "Pseudolachnostylidinae", "Gegenes", "Echidnocephalodes", "Schenellaceae", "Partamona", "Plagiocarpus", "Lottiidae", "Polylobarthron", "Sphecosoma", "Asplanchnidae", "Ufeina", "Nouriidae", "Alidus", "Piptocoma", "Neotobia", "Pyxidanthera", "Hydrozetoidea", "Sulepta", "Daudebardia", "Beauvoisina", "Faroa", "Promastacidae", "Glaucosphaerales", "Enoplotrupini", "Neofidia", "Phallocryptus", "Spartiella", "Heterenchelyidae", "Prainea", "Fulgoridae", "Paulia", "Gaudryanella", "Blattivorus", "Psylloglyphus", "Mirofolliculina", "Haematomantispa", "Vratzaniola", "Ceresiella", "Syngnathidae", "Caesio", "Tupistra", "Teinotarsina", "Poromicrodota", "Redigobius", "Arcantipsocidae", "Eupaederus", "Plusiodonta", "Protophrya", "Acidota", "Simuliidae", "Brachida", "Chalcomima", "Cervellus", "Blennothrix", "Sinodielsia", "Prosopalpus", "Colusa", "Diabolo", "Terebratuloidea", "Geoscaptus", "Stephanopini", "Microhexura", "Araecerini", "Pseudotricondyla", "Meringops", "Neliopisthus", "Atractophorales", "Agastegnus", "Zurhausenvirales", "Aburria", "Xenesthis", "Nanopterodectes", "Andersonaltica", "Pigia", "Rhaebobates", "Harpagiferidae", "Toechorychus", "Aerobryum", "Phalloceros", "Cnidosporidia", "Helicobasidiales", "Gonocytisus", "Thyridiphora", "Leptochromus", "Autumnimiris", "Chelonoidis", "Carinthilota", "Premolis", "Parsigecko", "Meropalionellus", "Marmolatella", "Nupela", "Tetracondylidae", "Harmsia", "Blaesoxipha", "Omkoiana", "Paziella", "Hybomys", "Paraphelenchidae", "Banta", "Cryptacantha", "Stephanollona", "Nesocrypha", "Chioneinae", "Anelosimus", "Celtica", "Timorites", "Eucyclopinae", "Thyreocephalus", "Oribazus", "Coelocratus", "Nothorites", "Evanoleistus", "Propionycha", "Ostracolethinae", "Didelphidae", "Skytanthus", "Dolichosyne", "Aulacocentrum", "Xanthopsorella", "Thiratoscirtus", "Aspitus", "Qinviridae", "Prelorryia", "Chaetosaurus", "Leptopsis", "Azerithonica", "Ternatus", "Pulleniinae", "Caruarina", "Thermincola", "Hyperoartia", "Vandenboldina", "Mitogoniella", "Hovaesia", "Eudolus", "Leptographa", "Gibsonia", "Litomegachile", "Oroperla", "Balanophyllia", "Selysina", "Heterapta", "Sphacella", "Scipiolus", "Neorhagadochir", "Plumosa", "Dendrolycus", "Hexoplonini", "Sinicolinae", "Goneumus", "Rhodothermales", "Xanthomonas", "Alvesia", "Coreus", "Levisunguis", "Diplocephalus", "Incurvariidae", "Austrochalcophora", "Sander", "Correanemertes", "Parelasmosoma", "Lagenaria", "Ristantia", "Microchirita", "Paraclius", "Blattella", "Navicordulia", "Cystoopsidae", "Myomimus", "Bassus", "Delamarellina", "Rostrinucula", "Miltesthus", "Leptosynapta", "Hyalospectra", "Aplanochytrium", "Lucaninae", "Fluviphylax", "Hymenia", "Euphaeidae", "Schizophilini", "Duonota", "Caballeraxine", "Ayapaninae", "Notohymena", "Tasmanoplectron", "Xenascus", "Monothalamea", "Brocchiosphaera", "Urodeta", "Rostrocalanidae", "Phallopirates", "Agonotrechus", "Bullimus", "Pelvetiopsis", "Brachyphyllum", "Listrostachys", "Hydrangeocolinae", "Apochloa", "Lepetodrilidae", "Neocyclocarini", "Harveyope", "Borolinus", "Mesoporini", "Seriana", "Parolesthes", "Rosidae", "Blarinoides", "Amblythyreus", "Carduoideae", "Strongyloarthrosporum", "Wiltonia", "Stinoplus", "Aphanius", "Cottocomephoridae", "Megadyptes", "Lagenolingulina", "Nipholepis", "Euthiopsis", "Sphaerostephanos", "Aphanisticus", "Euchroa", "Lasiochilinae", "Melanoseps", "Tarsipedidae", "Echimyinae", "Deirochelyinae", "Pomachiliini", "Cryptomorpha", "Discote", "Suniellus", "Melanomys", "Dicanticinta", "Genitoconia", "Paradoris", "Malaza", "Cnodalia", "Trypanosoma", "Oreornis", "Niceforonia", "Pseudamblytelus", "Anoecea", "Rhabdonellidae", "Megamoebomyxa", "Eclusia", "Hydrodynastes", "Radymna", "Hookeria", "Buakea", "Curcumorpha", "Mimiviridae", "Astartoseris", "Watsonarctia", "Formosillo", "Lepismadora", "Eludohygia", "Flosculariidae", "Bouchardiidae", "Dasylepida", "Tricercomitus", "Brasilotyphlus", "Noguchiphaea", "Ceratoglyphina", "Creurgops", "Hyboella", "Heteronyx", "Limnoxenus", "Ricinodendron", "Heptagoniodes", "Teliphasa", "Criscia", "Anacardium", "Ericentrus", "Eccritotarsini", "Holcotrombidium", "Episernomorphus", "Sylligma", "Tinus", "Affinetrina", "Anagelasta", "Cyclopyxis", "Iragaodes", "Dibelophacis", "Cycadales", "Miocenoprasia", "Rishaschia", "Manobiina", "Setihercostomus", "Rhamphocephalus", "Amorophaga", "Hymenochelus", "Papillifera", "Uvik", "Jinzhournis", "Orastrum", "Crassispira", "Neocambrisoma", "Neochlamysini", "Orestes", "Scydmaeninae", "Rhizomucor", "Xylotoloides", "Robertoidea", "Falsocibicides", "Kamosia", "Cryptacanthodidae", "Crusea", "Corynobatopsis", "Lotzeites", "Pucaya", "Cryptophaga", "Heterorchis", "Hestiaula", "Taitastreptus", "Aurantimicrobium", "Amphidinium", "Caberini", "Masoandro", "Lecaniodiscus", "Leptospron", "Tagoropsis", "Euchordodes", "Pseudogastrotheus", "Simkania", "Torinosuella", "Eucecryphalus", "Archegosauroidea", "Aphantaulax", "Cryptolectica", "Saurophaganax", "Siricidae", "Epipellis", "Zimiris", "Parasilvanus", "Cathlorhynchus", "Cymophyes", "Glenophisis", "Aeopelys", "Megacera", "Chardinia", "Nannochrysis", "Tracheloptychus", "Echinotaenia", "Odonturisca", "Lasiocoris", "Afrotricha", "Parazodarion", "Anhanguera", "Stoliczkaiinae", "Cyllodes", "Tmarini", "Hyperborea", "Siteroptidae", "Thamastini", "Dryobiini", "Lamprima", "Ochroconis", "Batotheca", "Sinocarum", "Olindagorgia", "Octoplasia", "Spinodares", "Simplitype", "Loraspis", "Halimium", "Harrisonia", "Eicomorpha", "Megalodontes", "Plerapsalta", "Zercoseius", "Bessobia", "Oscillospira", "Boothialepis", "Palorbitolinoides", "Africatenula", "Crypteroniaceae", "Coccygodes", "Calodromius", "Rhytidortalis", "Anemadus", "Beris", "Amyloodinium", "Dasypelates", "Candidimonas", "Higonius", "Hemicatenotaenia", "Adenacarus", "Capelocassis", "Quadratobuliminella", "Calyptotis", "Monoposthioidea", "Glyptus", "Mitracarpus", "Ceophyllus", "Sternula", "Gracillariites", "Muricopsinae", "Teratoschaeta", "Nipponanthropus", "Hypamazso", "Histioneis", "Chromatoclothoda", "Cenchrodesmus", "Camonia", "Ichthyophonida", "Nuitrematidae", "Helmholtzia", "Siekluckia", "Neopterocomma", "Sternbergia", "Bowiea", "Chrysochromulinaceae", "Arabivitrina", "Aspidogaster", "Callispa", "Cerocrompus", "Omphalotaceae", "Carinascincus", "Pseudoturritis", "Gaiadendreae", "Podoscirtini", "Euderma", "Paraclodes", "Schaefferellus", "Nesobrium", "Narcissia", "Sciadopitys", "Paramyozonaria", "Renodes", "Kanala", "Orientohemiteles", "Austroascogaster", "Scolecida", "Jenkinidae", "Geratarma", "Astartiella", "Asterigerina", "Aptunga", "Micropteropus", "Raymondoceratinae", "Eohemithiris", "Barretthydrus", "Trygonorrhinidae", "Paradicranotaenia", "Schaereriaceae", "Epopostruma", "Veromessor", "Calima", "Lirceus", "Brassomys", "Claustrofolliculina", "Amazonomyces", "Amanses", "Chonocentrum", "Palaeobatrachidae", "Vanikoroidea", "Bagisara", "Kamerunoceras", "Heteraxinidae", "Anaeroglobus", "Isporisella", "Nidaliidae", "Stipitoporos", "Palausybra", "Sicanthus", "Cisthene", "Fragilariopsis", "Byssovorax", "Eucriotettix", "Cnaphostola", "Alypeta", "Loxomegaglyptidae", "Tenebrionoidea", "Malgasiinae", "Straliga", "Tropidocoryphidae", "Philothalpina", "Laidlawiidae", "Waipatia", "Kochiomyces", "Sibiricobombus", "Kozlovellus", "Centuriarus", "Pygomolpus", "Pseudoyersinia", "Rimanellidae", "Urotrygon", "Caulospongia", "Xenophthalminae", "Neoontelus", "Protazhdarchidae", "Chactas", "Afrolernaea", "Ostiactinidae", "Myceligenerans", "Pseudosyria", "Jersicoccidae", "Xenetus", "Peniculistomatidae", "Schoenolirion", "Rixa", "Styelidae", "Oxya", "Erimophrya", "Brachycorynella", "Bartolozziolucanus", "Listroscelidini", "Cumarinia", "Mila", "Dossetia", "Amphipsyche", "Thaumatelleae", "Japonogaster", "Banquisia", "Aegus", "Mimophaeopate", "Dinochloinae", "Rhagadodidymellopsis", "Mormo", "Erettopterus", "Planoscalpellum", "Praepapilio", "Pseudoeuselates", "Ischnacanthus", "Achlaena", "Meroscelisus", "Krombeinictus", "Lagenoderina", "Cryphaeophilum", "Loflammia", "Wiborgiella", "Nocardiopsaceae", "Tricleocarpa", "Torquenympha", "Parabiobessa", "Baikiaea", "Apteroperla", "Calenduleae", "Elaphaspis", "Bolbocerodema", "Guatemoonops", "Macrophthalmothrips", "Coptoclavidae", "Stizocera", "Mesojoenia", "Cacozelia", "Chorisastrea", "Iulidesmus", "Piestoceros", "Insolentitheca", "Luriinae", "Pseudopsyllipsocus", "Ankylophon", "Atrotus", "Euboeana", "Averyella", "Neanuridae", "Leucolepis", "Bathylaginae", "Pseudeucosma", "Luolishania", "Prosopocoelus", "Platystomaceae", "Phaolus", "Mocquerysia", "Chamaeleo", "Bergidia", "Allenia", "Podus", "Saptha", "Manbuta", "Zelometeorium", "Eudelia", "Parapamerana", "Leptinella", "Phyllodrepoidea", "Cantharoctenus", "Hexodon", "Hypogexenus", "Paranola", "Millerana", "Aegialitis", "Mesembrinibis", "Cystobacterineae", "Pseudostygarctus", "Anomala", "Leobordea", "Isoderminae", "Fanambana", "Eulogia", "Grylloblattodea", "Luzonimyia", "Pliohippus", "Plesiosipalia", "Kuwaita", "Salticidae", "Greenideini", "Erudituncus", "Gonioclymeniidae", "Coelostoma", "Megapallifera", "Batrachocephalus", "Paradolichurus", "Idiocolyusa", "Buprestomorpha", "Paraschwagerina", "Rhinogekko", "Leptopsaltriini", "Vanasushava", "Yelenka", "Trochobryum", "Woloszynskia", "Pseudocoladenia", "Neniatlanta", "Monoclonius", "Acrotheloidea", "Breviscelio", "Rhaphidophorini", "Vercorsella", "Cabanadrassus", "Anoplokaros", "Melampias", "Stethoncus", "Sphaerothorax", "Pseudostegania", "Aedini", "Processidae", "Dolichopodainae", "Coarazuphium", "Platydemus", "Lethiscidae", "Rhabdolithina", "Sakesaria", "Uruburuella", "Hyaloplictus", "Stupendidae", "Porrostoma", "Laostaphylinus", "Egalicia", "Erythraeus", "Tersilochinae", "Typhonoya", "Hemiselmidaceae", "Xyloterini", "Nanhermanniidae", "Spirodactylon", "Borrichia", "Inermia", "Pfitzneriella", "Eoadalia", "Galaxiidae", "Sporacetigenium", "Alaudula", "Personidae", "Carololangia", "Flexophora", "Disphyma", "Tucuruisca", "Aphragmophora", "Membranola", "Paracairius", "Valenfriesiini", "Paracyrtophyllitinae", "Bullanga", "Archaeopodella", "Abothrium", "Annamanum", "Ptychotrygonidae", "Usofila", "Phyllomelia", "Apechthis", "Daphnia", "Pseudodynerus", "Amaranthaceae", "Cidariplura", "Cyrtomophorodon", "Talanitoides", "Synixais", "Bifidunguiglenea", "Yangisunda", "Opisa", "Papillodermatoidea", "Polypauropodidae", "Termitinae", "Allogromiidae", "Xenophoroidea", "Osphronemidae", "Pseudespeson", "Xenodasyidae", "Poecilodromus", "Araspus", "Strophomenata", "Amaurobius", "Anchitrichia", "Wirthiotrema", "Hologyrinae", "Whakamoke", "Kokia", "Cycledomia", "Hoberlandtiana", "Acteonellidae", "Pinguipedidae", "Eremidium", "Pseudocylichna", "Nocalusa", "Ericabatrachus", "Sphaeromopsis", "Hemicordulia", "Discordia", "Blattidae", "Chernobaculites", "Nerillidae", "Namasia", "DZ", "Didyplosandra", "Protacalles", "Macropodaphidinae", "Goidanichiana", "Pennilabium", "Chius", "Tracypum", "Porotheleaceae", "Udeonychophora", "Obliquina", "Corinthiscus", "Bracon", "Septotheca", "Etyidae", "Xanthos", "Serphitoidea", "Streptocyclammina", "Falsotectus", "Lymnaea", "Manobia", "Westergaardodina", "Ischaemum", "Tinomiscoidea", "Rhyacodromia", "Hamatocaulis", "Biblidina", "Oligodonta", "Patrobinae", "Conwentziini", "Setanta", "Megacampsomeris", "Pseudozygoneura", "Gephyrostegida", "Choanoceratidae", "Semigordionus", "Trizochelinae", "Ambocoelioidea", "Hypolobocerini", "Placolecis", "Saccodon", "Telogalla", "Domatomonas", "Brochopeltis", "Bolidomonadaceae", "Spinoctenus", "Libotrechus", "Amblyphylla", "MNHWU", "Ainea", "Achipterioidea", "Codobidae", "Paragattendorfia", "Gnostus", "Mustilia", "Dasturella", "Dimerocrinitacea", "Cladomonas", "Schedocercops", "Diplusodon", "Dipodascopsis", "Dactylanthias", "Ponsadenia", "Edgariekiidae", "Pseudodifflugia", "Magliophis", "Gracilechinus", "Eodromeinae", "Phrixotrichus", "Hydaticini", "Mathieua", "Ascaphium", "Vanderystiella", "Deraeocapsus", "Allojapyx", "Cyprogenia", "Gracilibacillus", "Scaphidium", "Purpurellus", "Lacosteina", "Tajigyna", "Praekaraisella", "Striartona", "Thylacinidae", "Protopone?", "Eodiscina", "Dendrocrinida", "Taurotagiella", "Sinocretomyia", "Suana", "Salipiger", "Glyptoteles", "Dysaster", "Acritus", "Pterynotus", "Clava", "Pseudomunnopsis", "Oxybleptes", "Pachyascus", "Vachterbergia", "Racopilum", "Spinoaglaja", "Paedopronorites", "Lasionycta", "Pterocles", "Yuntapsocinae", "Podosphaeraster", "Labramia", "Tritodynamia", "Mixobothrium", "Ahilya", "Ampithoe", "Austrohondaella", "Hypocomatina", "Hemitomes", "Microcephalina", "Evolutinella", "Variolepis", "Kibessieae", "Nodobaculariinae", "Gossia", "Empoascanara", "Disciferium", "Vietnamosasa", "Havinthus", "Labrobolcus", "Thioalkalimicrobium", "Taphropeltus", "Acontiaster", "Dictyotremella", "Claoxylon", "Petromyscinae", "Changxingia", "Bykovaeina", "Lupinoblennius", "Antarcturus", "Bucco", "Antiperga", "Laogone", "Microlepadidae", "Neostibaropus", "Plutellus", "Syspasis", "Macrolophus", "Mimicoclytrina", "Calamincola", "Paralispinus", "Ranunculeae", "Colomastix", "Araotes", "Ecnomiini", "Solorina", "Neobalaustium", "Paulasterias", "Eidolon", "Chlorellidium", "Arceremaeidae", "Fluminiperla", "Tasmidella", "Icimauna", "Acotylea", "Pronyssa", "Pericambalidae", "Choeroniscus", "Xylobium", "Dirphys", "Repipta", "Picozoa", "Ischnomantis", "Schmidtia", "Pyrirhynchus", "Acaena", "Haedus", "Anthospermum", "Stelgipus", "Bandonia", "Chrysopuchus", "Termitocomes", "Liotiinae", "Pristolepis", "Celeriblattina", "Spelaeogriphacea", "Nostolepis", "Parasciadicleithrum", "Platyphileurus", "Zaqiqah", "Myacopterus", "Vanvoorstia", "Apanthuroides", "Indotyphlus", "Riyadhella", "Phaoniini", "Pseudostigmidium", "Americabaetis", "Helcyra", "Microcylapus", "Faviina", "Anoplocurius", "Anisakis", "Mesosepis", "Iraniella", "Proacanthocephalus", "Diplopharyngeata", "Stylocoronella", "Dregus", "Catachora", "Pascoe", "Metoicoceras", "Leandra", "Aphnaeus", "Viridigloba", "Diamella", "Dominikia", "Andrias", "Calliandra", "Postenterogonia", "Beyeria", "Pattonomys", "Asyncritula", "Lamioideae", "Fronsoma", "Drawida", "Peltaphis", "Dinidoridae", "Eustrotia", "Stolziini", "Australestes", "Paradictyum", "Gorgocephalidae", "Thermomicrobiales", "Nothomorphoides", "Doina", "Trichotithonus", "Cardisoma", "Osphya", "Xenorthrius", "Caenophanes", "Listeriaceae", "Icacinales", "Chlamydosaurus", "Phereoeca", "Chaoyangsauridae", "Lithohypna", "Sciurotamias", "Nothomyrmecia", "Pseudomaniola", "Bombiscardovia", "Biphallapodema", "Nephroisospora", "Babax", "Domeciidae", "Aegosoma", "Euthoracaphis", "Quadrimorphina", "Selandriini", "Agnoderus", "Holcocranum", "Porpidia", "Helconinae", "Pholadidae", "Liocoryphe", "Cinachyrella", "Papubolbe", "Elymniina", "Pronotiopsocus", "Cleistachne", "Paraaldanella", "Desertoniscus", "Nothobaccaurea", "Trichouropoda", "Pseudodiploneis", "Pseudochrominae", "Gorynychus", "Lophiodes", "Eristalis", "Hydnora", "Bolttsiidae", "Urochordeuma", "Apterouridae", "Colinauropus", "Coptocercus", "Paratrichodromeus", "Acolaspoides", "Dinomonas", "Sinum", "Geodia", "Himalochrysa", "Mccloudia", "Rakaia", "Hemiophthalmocoris", "Pantiala", "Pseudingolfiellida", "Thalassotalea", "Conicipithea", "Geopisalia", "Icelastatis", "Piophilidae", "Taenioma", "Muraenoclinus", "Ostracoda", "Limnophilella", "Tenrecidae", "Acamerobia", "Cyrtinopsinae", "Paropisthopatus", "Pseudodactylaria", "Arctolamia", "Befrostiini", "Maorothius", "Eusaproecius", "Lamnostoma", "Campatonema", "Microleropsis", "Paripocregyes", "Pachnobia", "Euomphaloidea", "Systellochernes", "Mundeu", "Microporellidae", "Zygostephanus", "Linocarpaceae", "Baryphyma", "Gomphogyneae", "Alcterogystia", "Alphasatellitidae", "Paiwana", "Exochella", "Cairaella", "Neoantistea", "Carcinophoridae", "Atrioplanaria", "Hyperamminita", "Campylaspenis", "Eucallipterus", "Paracephennium", "Orthida", "Hectobrocha", "Peridiniida", "Pauxi", "Graciliaria", "Scrobipalpulopsis", "Callimation", "Cyaneidae", "Aculeorhynchus", "Ptychoptilini", "Parapseudoconnus", "Cotycicuiara", "Pacifigeron", "Hippospongia", "Monodesmus", "Tenuicylindrus", "Mycetophilini", "Monochasma", "Rhyacotriton", "Eotmethis", "Papaverellus", "Calwelliidae", "Ptychoptera", "Robinsia", "Sinaphididae", "Belbogosoma", "Phormobothrium", "Allocotocera", "Anchistylis", "Mayorella", "Neoromicia", "Dichelia", "Microchaetidae", "Harpactes", "Neochlodes", "Monetoculus", "Euroleptochromus", "Pseudolamproglena", "Ipsimus", "Dolichomastigaceae", "Lasiopsylla", "Epicadinus", "Venustria", "Themacrys", "Xanthonymus", "Scaphokogiinae", "Clanis", "Myrosma", "Synarthrophyton", "Prosobonia", "Hosseusia", "Dimerelloidea", "Paraphilopterus", "Hodgkinsonia", "Mendampulex", "Bathrotoma", "Aeglidae", "Pallenopsis", "Ectadium", "Spinivinculum", "Neopataecus", "Diploprora", "Proserpinaca", "Coryphistera", "Oligoaphidius", "Ecitotyphlus", "Guitarra", "Cachiporrini", "Liagore", "Garcinia", "Abrotrichini", "Labyrinthulida", "Macrolobognathus", "Liradiscus", "Morana", "Ovalona", "Maundiaceae", "Hutchinsoniellidae", "Emmochlista", "Metapallene", "Apateum", "Diploconidae", "Leptoseris", "Pseudohelcon", "Sufflavibacter", "Clevia", "Solieriinae", "Bopyrione", "Cyrtomon", "Neuropeltopsis", "Papenfussia", "Batrachedridae", "Malia", "Mystroxylon", "Soroseris", "Erinoceras", "Phyllotetranychus", "Ortizacalia", "Nanostrangalia", "Benthopectinidae", "Polyozellus", "Sinoswertia", "Polyclathra", "Spurostigma", "Jarra", "Hoplomyzon", "Clupeomorpha", "Notobryon", "Basfia", "Flintoconis", "Ditrysinia", "Lestoidea", "Gynarchaeus", "Neoholmesia", "Unciunia", "Calyptites", "Trachyderini", "Norrisiella", "Crustulina", "Archiponera", "Austromermis", "Huertea", "Jiangellaceae", "Aphelenchoidoidea", "Bethylonymoidea", "Sciades", "Bolosauridae", "Chrysocrata", "Psomophis", "Sinjaeviella", "Pogonopus", "Xenomartiniinae", "Sharpidium", "Sesarmops", "Orthogonacladiaceae", "Telephium", "Seretolepis", "Aoploscelis", "Archotoma", "Tritomera", "Neorrhina", "Oopsis", "Urobotrya", "Mesopsestis", "Selenoribates", "Odontophotopsis", "Biokovina", "Gomphodella", "Rotaliatinopsis", "Kurixalus", "Diplozoidae", "Gnathanacanthus", "Inape", "Lecithoepitheliata", "Neobufonaria", "Zooencyrtus", "Schweglerellidae", "Catalepidia", "Paleocartini", "Mammula", "Haplosplanchnoidinae", "Cyllodini", "Pachygastrodirius", "Membranacea", "Colopea", "Butaya", "Sinocychropsis", "Coronaster", "Ophioparmaceae", "Platycoelostoma", "Epipactis", "Stenometra", "Zhuchengtyrannus", "Glaucotrema", "Nothaphoebe", "Stichocotyle", "Americaspis", "Orlandia", "Heteromitidae", "Kenyamyidae", "Dendrolaelapinae", "Gracchus", "Cydnocoris", "Aztecatopse", "Heterotricha", "Sphaeramia", "Myxiops", "Ehrendorferia", "Acleros", "Grubianella", "Rockycampacanthus", "Marthamycetales", "Lophoziaceae", "Parataenius", "Oreosaura", "Stereocaulophilus", "Anu", "Crocidophora", "Ampedina", "Anomalocaris", "Mystroceridius", "Schistostege", "Afrohelcon", "Allobenedenia", "Nonnullidens", "Calosiphoniaceae", "Echochara", "Hyphodermataceae", "Tomocerinae", "Thomasinellidae", "Purpurinidae", "Adustochaete", "Klugiella", "Peristephania", "Anthopteropsis", "Sylvipoa", "Acristavus", "Calocalanidae", "Bidessini", "Loxuroides", "Austromaera", "Podanthus", "Dolosella", "Epitritus", "Buliminella", "Pristomyrmex", "Chamobatidae", "Cenchrinae", "Diorhabda", "Proteles", "Ptychodactis", "Nipponopsyche", "Buhoma", "Anadiasa", "Blephariceridae", "Palaeeudyptinae", "Epipsocopsis", "Pionosomus", "Chrysastrella", "Entedonastichus", "Lomanthus", "Conopophila", "Haxairella", "Oopsacas", "Euphysa", "Wahlbergiana", "Aciculata", "Alina", "Sapindus", "Troides", "Soronia", "Fissiscapus", "Gorirossia", "Camptorhinini", "Apodemia", "Montia", "Kolobopetalum", "Pseudoplesiops", "Leptatherina", "Exochordeae", "Euchiloglanis", "Fustiger", "CIB", "Agonidus", "Trichodactylinae", "Sunaphis", "Callipallenidae", "Bunyastichus", "Pseudonitschkia", "Chloanohieris", "Notoclinus", "Nephopterix", "Miobdelus", "Dicerca", "Kentrophora", "Aleyda", "Ilbiidae", "Scardinius", "Euceratobledius", "Niso", "Mantisgebia", "Coryphacini", "Heterogaster", "Schmidtiella", "Icoracicoris", "Hydnodiaetus", "Hapalopsittaca", "Miracorvina", "Chrysomallon", "Alatina", "Skeatia", "Ctydinna", "Mycoporellum", "Emeidae", "Tomato", "Afidenta", "Multimaudheimia", "Stethoperma", "Geminaginaceae", "Xestomyia", "Leolimnophila", "Hedgpethia", "Aularches", "Oxytethya", "Danionella", "Anthogonidae", "Neseutegaeus", "Mimeusemia", "Praetrigoniophthalmus", "Microcopris", "Helkesimastix", "Bacilli", "Sterrhopterix", "Asiocaecilius", "Tymovirales", "Ligmargus", "Ballida", "Strombidiida", "Lituola", "Homoderus", "Simocephalus", "Baeoglena", "Chaitophorini", "Lyrifissella", "Dickasonia", "Oxypleurodon", "Paragona", "Trichadenotecnum", "Psychromonas", "Egestriomima", "Heteroblemma", "Titanio", "Mastersinella", "Poliothyrsis", "Isadia", "Silsila", "Harrisoniella", "Alosimus", "Fereydouniaceae", "Oskootrombium", "Amemboa", "Paedophryne", "Hortoonops", "Paracalyptrophora", "Nothopleurus", "Scotospilus", "Citioica", "Gymnophrys", "Euzebya", "Verongimorpha", "Rhinoblemma", "Stenogramma", "Chonophyllinae", "Sphaerocerinae", "Telipna", "Calyptoproctus", "Anna", "Empidonomus", "Winteroideae", "Ambiortidae", "Beckwithiidae", "Xanthoderopygus", "Apolygopsis", "Delftia", "Coronacoccus", "Dinopithecus", "Atrophaneura", "Chorocaecilius", "Prophyscus", "Anema", "Martinjahnsia", "Leocereus", "Dolospingus", "Dendrofissurella", "Evibacus", "Neolimnia", "Kenyanthropus", "Cryptoxyleborus", "Caucasina", "Erunakicupes", "Phlegetonia", "Troguterina", "Callismilax", "Tyrpetes", "Prosympiestinae", "Cupedidae", "Achnanthidiaceae", "Aenictoteratini", "Ulodidae", "Tribelocephala", "Deepstaria", "Asaphiscidae", "Eustreptospondylinae", "Tudiclidae", "Priene", "Aulacoseirales", "Chimerella", "Sturnini", "Catharanthus", "Crypsotidia", "Pseudoprotomima", "Girellinae", "Cacodrotus", "Kowmungia", "Limnotilapia", "Rhypotoses", "Pseudocytherura", "Metopothrix", "Dietelia", "Platytrigona", "Imeriniella", "Lophophytum", "Hirundinella", "Stenoprasia", "Meyenaster", "Nidarini", "Neonaviculopsis", "Hypopterus", "Ucai", "Ruppellia", "Longicoelotes", "Bellotia", "Epanogmus", "Chamberlinius", "Entopylaceae", "Stolella", "Characiochloridaceae", "Nilomantinae", "Trifoliellum", "Caudinidae", "Tabanotelum", "Urartucoris", "Philotarsus", "Wolongia", "Paraboninia", "Laqueus", "Nomadolepis", "Discospirina", "Eurotocus", "Funtumia", "Chilophiurina", "Zygrita", "Creatonotos", "Conodonta", "Leptalia", "Ceratocorys", "Yaothrips", "Abudefduf", "Wallackia", "Tarenna", "Archarenicola", "Argonautidae", "Pakistanapseudes", "Scotomera", "Asencyrtus", "Sclerodontium", "Phaeobalia", "Cinabra", "Triskelionia", "Phytoscaphina", "Chrysogonum", "Dactylopusiidae", "Sapracaridae", "Benthodytes", "Moratichroma", "Kristotomus", "Leptoklonion", "Semibalanus", "Meroselenidium", "Phileurini", "Kolbeana", "Maurea", "Susumaniinae", "Falsoibidion", "Alachua", "Taeniolobus", "Quadrinareini", "Guanolichidae", "Scatella", "Neoplacoederus", "Pterigynandraceae", "Tatianyx", "Palaisioscaria", "Pax", "Abyssocucumis", "Semnodactylus", "Nethinius", "Hylocichla", "Aculeodes", "Anopsolobus", "Formosatettix", "Argyroglottis", "Pseudautomeris", "Pterorana", "Macariini", "Cervina", "Praerhapydionina", "Adelges", "Atherimorpha", "Discoconchoecia", "Plagiopogon", "Anacapitis", "Nigrita", "Mimoscapeuseboides", "Paramoniezia", "Bothromus", "Macrolabrum", "Mystropomus", "Acrobatidae", "Euphyllodium", "Wahlenbergia", "Arpema", "Heteroneis", "Sar", "Bishovia", "Nanobius", "Horiini", "Menidon", "Bernardinium", "Melogrammataceae", "Neptuniibacter", "Mercedesina", "Garnieriini", "Siraitieae", "Choroterpinae", "Neonida", "Proaphelinoides", "Davidsonaspis", "Heroceras", "Protodendrophagus", "Mantitheus", "Pseudobahia", "Cochabambia", "Endocladia", "Rhinoncomimus", "Hemimysis", "Microthrix", "Hydrophilini", "Microgynium", "Bothriocephalotes", "Schizoglossa", "Pachytheca", "Coleonyx", "Paramicromerys", "Neoelmis", "Pylaisiadelpha", "Splitoiculina", "Ramphocaenus", "Ecitolimulodes", "Eutermitoptochus", "Wynneophycus", "Ectolachesilla", "Ethope", "Phacellaria", "Rhinotrypes", "Hydramara", "Sinraptor", "Melampsoraceae", "Anoxynopsoidea", "Albraunia", "Eosiopsis", "Eurystiba", "Macoma", "Kovalevskiella", "Porrorchis", "Macclintockia", "Aequorea", "Sphaerotarsus", "Cladoselachimorpha", "Acriotes", "Heterostemminae", "Myophiuroidea", "Platyusa", "Arenamonas", "Congregatocarpeae", "Palaeohypotodus", "Myrtales", "Proctophyllodidae", "Weigela", "Leptocorisa", "Hymenoplia", "Hypocepheus", "Ruizodendron", "Sintorolana", "Gyroneuron", "Thereutriini", "Oligoglena", "Zoedia", "Ouwea", "Minosiella", "Ectinopus", "Paracorus", "Atherinidae", "Chamanthedon", "Rhabdoblatta", "Uredopeltis", "Veramiris", "Macropopa", "Torresita", "Calluella", "Situla", "Aurosphaera", "Stellognatha", "Esox", "Monopetalotaxis", "Plecia", "Stephansortia", "Felicinia", "Eneremius", "Pseudhirundo", "Nemichthys", "Trichochorebus", "Ectima", "Minicopenaeon", "Hemisphaericaspora", "Brachyspiraceae", "Dysochrysa", "Neoarchaediscus", "Retusa", "Solenocarpus", "Euxanthinae", "Cnidoglanis", "Globigerinopsis", "Rhynchops", "Ebonius", "Stemonidium", "Enotes", "Apoavga", "Haplophragmioidea", "Arizonaphlyctis", "Paraoutesia", "Astrothalamus", "Beaumontia", "Heterosilpha", "Embola", "Acanthagrion", "Pseudoparicana", "Rhizoglyphini", "Vansomerenia", "Clione", "Parvimolge", "Hypurgus", "Acherontisuchus", "Pseudophiaris", "Schizopechini", "Zeanilla", "Nesopisalia", "Burgella", "Avicennia", "Pedicellinidae", "Melanarctia", "Salpingus", "Karyorelictea", "Probrachida", "Quitocoris", "Aulaconotus", "Lepidotrigla", "Clavigerina", "Hastingsia", "Hadronotoides", "Xysmalobium", "Neomegaderus", "Ctenodactyla", "Sphaerasteridae", "Chthonerpeton", "Aminivibrio", "Megophthalminae", "Ademosyne", "Telipogoninae", "Epiblastus", "Ligustrinae", "Helicosphaera", "Eucratea", "Neoeurys", "Stenotarsus", "Thailocyba", "Heterohelicinae", "Melichrus", "Bitomus", "Weehalia", "Solenodon", "Dasyornithidae", "Eickwortius", "Brosmodorsalis", "Calyptomerus", "Marmaroplegma", "Peribyssus", "Dichotomaria", "Acomia", "Metatropini", "Buchnerodendron", "Haerella", "Atenisodus", "Opisthoteuthis", "Oreta", "Sangaris", "Thorectidae", "Nanoalphasatellitinae", "Crollius", "Hedbergellidae", "Ardiosteres", "Thoracaster", "Lophiotrema", "Praemordellinae", "Parasymphya", "Icarops", "Lapaeumides", "Holoptychiidae", "Allodiclidophora", "Actenomeros", "Coniandreae", "Cricetus", "Fabeae", "Thermoproteaceae", "Poecilostachys", "Atropates", "Pentelophus", "Fontejanus", "Sciogriphoneura", "Pireneitega", "Klyngon", "Artherola", "Jurodidae", "Exaeretopisalia", "Soleoidei", "Nothofagaceae", "Echinofulguridae", "Anaxagoreoideae", "Bornetia", "Sirochloa", "Semseyia", "Ginkgoscia", "Dicranotropis", "Bachmannia", "Coboydaia", "Bifurcia", "Chrysocrinus", "Djabiria", "Zomba", "Acrodiscus", "Madagascaridia", "Closterellus", "Pantolia", "Paracoelopterus", "Parananlingella", "Paraglaciecola", "Scython", "Leptochlamys", "Ptychocaulidae", "Batoteuthidae", "Chitinilyticum", "Ctenodactylidae", "Notohygrobates", "Prolecanitida", "Deranchylaeus", "Evaniosomini", "Lemmatophorina", "Anatanais", "Namtokocoris", "Tychanus", "Hadromys", "Bursera", "Ygapema", "Sanfilippodytes", "Soestia", "Staffella", "Moropus", "Seriolina", "Pleuropogon", "Pleotrachelus", "Sansabaina", "Tmesisternus", "Hyoidea", "Ramila", "Youngolepididae", "Triphragmiopsis", "Odontospiza", "Hortipes", "Acanthocladus", "Hermophyllon", "Choetospilisca", "Stephanopachys", "Nyearctia", "Polycaena", "Entomobalia", "Petroscirtes", "Coelotropha", "Arisus", "Pseudotrachelocercidae", "Zeiformes", "Lemnaphila", "Paraliancalus", "Forcellinia", "Emydopoidea", "Aplocerina", "Syrmoptera", "Cyphoderus", "Chiridula", "Deverra", "Gesneriaceae", "Solivagus", "Acupicta", "Gelidiaceae", "Synechococcus", "Patulibacteraceae", "Zeugocoris", "Gerobatrachus", "Nycteola", "Epimetasia", "Mimoxylamia", "Muscipipra", "Metacerithium", "Phasma", "Oxyopidae", "Cercobrachini", "Aquimonas", "Follicucullus", "Tragostoma", "Eupromerella", "Ixonympha", "Micraireae", "Numbakulla", "Heleioporus", "Zaolutus", "Elatoidinae", "Sarota", "Pinacopodius", "Acupalpus", "Brachysternina", "Phtheochroa", "Rhorus", "Philotes", "Acrophiletis", "Pariliacantha", "Paraperissonemia", "Subphauloppia", "Aristias", "Myrmecicultoridae", "Lorentzianthus", "Ostreobium", "Legerioides", "Ionella", "Parematheudes", "Heleini", "Ponerinae", "Jothochilus", "Orphanos", "Lepidotrigona", "Pseudodendrothrips", "Popoudina", "Leprocaulinus", "Polyaspididae", "Mauranthemum", "Apocreadiidae", "Lichenopora", "Achelia", "Azotobacter", "Akymichneumon", "Liotrigona", "Hekistocarpa", "Sormea", "Typhlochactinae", "Neoglabratella", "Platyspathius", "Pipreola", "Ptychomphaloidea", "Eleuthemis", "Apodia", "Darkoneta", "Paratimiola", "Hetaeriinae", "Helicostylinae", "Pseudoilliberis", "Squilla", "Batrisodema", "Kindia", "Entaphelenchidae", "Lasiorhinus", "Phycitinae", "Eudarcia", "Anathece", "Pulvinia", "Cyrtopone", "Phtheirospermum", "Auranticarpa", "Phaeocalicium", "Phloeopora", "Eushachia", "Strangesta", "Morbakka", "Trigonocnemus", "Cauletellidae", "Zotheculifida", "Hyocephalidae", "Reductoonops", "Moravammina", "Symbiotaphrinales", "Bougainvilliidae", "Micropilinidae", "Marmyan", "Oreoscoptes", "Frankenia", "Armichona", "Ellipsoglandulina", "Apolepis", "Vitellaria", "Eupalaestrus", "Litomosoides", "Brachycyphon", "Orthriophis", "Aegopogon", "Dictyastrum", "Lactobacillaceae", "Sphyraena", "Mesosymbion", "Sparganothoides", "Sixeonotopsis", "Aphanocarpus", "Parajoesse", "Parrotiopsis", "Pseudascocotyle", "Leptogium", "Fortuynia", "Melitaeini", "Argopus", "Notodesmus", "Pemptolasius", "Pseudacraea", "Calopotosia", "Reichelina", "Sanmenia", "Cheloderus", "Lectavis", "Blythia", "Inanihella", "Liothorax", "Serrapinnus", "Jacqueshuberia", "Spartimas", "Aracia", "Auratiopycnidiellaceae", "Sillaginopodys", "Pentastemonodiscus", "Chaetopteroplia", "Giardia", "Nematogenyidae", "Bairdiidae", "Altiapa", "Tritirachiaceae", "Tommasinia", "Tehuacania", "Ophioscincus", "Conna", "Adelophthalmidae", "Metriorrhynchus", "Flaccilla", "Rubrindiania", "Halista", "Brachyuropus", "Betadevario", "Bidorpitia", "Scalpellopsis", "Flabellamminopsis", "Phasianellinae", "Orthriocorisa", "Etroplinae", "Dismodicus", "Lissolongichneumon", "Stenobothrus", "Unilaprionus", "Archaegoniothecium", "Halohermatus", "Mallocephala", "Chytranthus", "Pyrrhura", "Broscini", "Acroscyphus", "Hubbsina", "Heloeciinae", "Trichantha", "Archaeodictyomitracea", "Glendenningia", "Coreidon", "Pleurobranchaeidae", "Cubispa", "Davus", "Tarsipes", "Vanderwaltozyma", "Udeniozyma", "Laccocoris", "Spirographa", "Cicerbita", "Fuhrmannodesmidae", "Farrago", "Pelatea", "Peracarpa", "Marsupiobothrium", "Colobopyga", "Dichorhyacia", "Lessingianthus", "Caninemys", "Episacus", "Isohypsibius", "Pauridia", "Plectrachne", "Bernieridae", "Asipholagena", "Anurognathidae", "Parmidium", "Hirticomus", "Anaclasiger", "Pentanymphon", "Petalops", "Acrasiella", "Pseudastrorhiza", "Archaeogomphus", "Reinhardtia", "Caloreas", "Spaniolepis", "Notostylopidae", "Trigonocnera", "Paragryllini", "Nemotaulius", "Baratranthus", "Proboscidula", "Chromulinella", "Coilodesme", "Baissoleuctra", "Pseudobeanata", "Grypus", "Polejaevia", "Heteroceras", "Rhagada", "Sulfurimonas", "Costria", "Narynia", "Motilibacteraceae", "Mucronothrus", "Microsiphoniella", "Crotalaxine", "Drosanthemopsis", "Ozawainellinae", "Sycandra", "Lasiexis", "Astriclypeidae", "Ceratocanthini", "Pseudepimolis", "Pentagenella", "Tarennoidea", "Speleobregma", "Taibaishanus", "Penetes", "Analyta", "Murexia", "Tamarixia", "Gomphoseptatum", "Aulacoporus", "Anaespogonius", "Austrochlus", "Cephalodiscidae", "Pentapodus", "Coccotydaeolus", "Phyllotheliinae", "Acontiaria", "Praesinomegaceros", "Paratelesto", "Sestrostoma", "Wegneria", "Paracedemon", "Proetida", "Pseudophloeospora", "Petitiocodon", "Carelis", "Bidderia", "Baissorhynchinae", "Yarala", "Mappia", "Neophyllognathopus", "Coenococcus", "Stephanocha", "Antiagrion", "Aphloia", "Chalaraspidum", "Cytheromatidae", "Porrittia", "LIRP", "Euthecosomata", "Pharisatichthys", "Oxyphortica", "Psammoris", "Arthrocatena", "Nihotunga", "Nepita", "Jejuia", "Simiduia", "Bradabyssa", "Glyphoglossus", "Distilirella", "Peraclidae", "Lyrielasma", "Trichilia", "Otostylis", "Crateriportula", "Sanderia", "Perinetoides", "Polycercus", "Dinocoris", "Parastraella", "Cipocereus", "Immersaria", "Xenoturbellidae", "Sigaus", "Chiniquodon", "Thermutis", "Labaninina", "Phalocallis", "Patellinidae", "Polychytriomycetes", "Lutjanus", "Hasarinella", "Placotingis", "Mesoderus", "Parasquatina", "Thalassocella", "Animalia", "Araeophalla", "Sphairiotrematinae", "Sosxetra", "Pelodytidae", "Laeosopis", "Latocestus", "Yamatentomon", "Crithmum", "Distyliopsis", "Alvinellidae", "Pisalia", "Pseudanodonta", "Ateleopodiformes", "Cambonila", "Mniomalia", "Ascia", "Stipitococcaceae", "Voyriella", "Caloglosseae", "Arenasella", "Omodylia", "Ilyarachna", "Kalyptatherina", "Unanthribus", "Combretaceae", "Orientattus", "Parathyris", "Illaphanus", "Schizophyllaceae", "Esterella", "Coelometopon", "Asterids", "Paramonodictys", "Abalistes", "Curvie", "Elaphria", "Marsypianthes", "Geophaps", "Hilarographini", "Miotingis", "Lichinodium", "Sunamphithoe", "Styloxus", "Neoeugnamptus", "Antesimorpha", "Pseudacrotona", "Monobiceros", "Cardiodictyidae", "Rhopalia", "Neohenricia", "Calliceratini", "Cylindrepomus", "Psychidocossus", "Chorizomma", "Pachira", "Protoneuridae", "Degeeriella", "Gieysztoria", "Pomatomus", "Ehrenbergina", "Taylorilygus", "Lasiochlamys", "Rossmoneura", "Pericupsocus", "Monosertum", "Haemixodes", "Staurotypus", "Obconohelorus", "Mycetaspis", "Drepanomeniidae", "Plesioleptonia", "Gnaptorinina", "Pseudoscalibregma", "Hanfordia", "Tenuilichus", "Sternoclyta", "Ambistria", "Szechenyia", "Osellaeus", "Odontocraspis", "Parodianthus", "Microtrombidiinae", "Zapteryx", "Idactus", "Daviesina", "Apotomis", "Cimbrophlebiidae", "Blennophis", "Ophioomma", "Iridopterygidae", "Leucocasia", "Nematorhynchidae", "Ochrostylon", "Hysteropterina", "Hadennia", "Pterocymbium", "Craspedophysa", "Scolopendropsis", "Myzakkaia", "Phrenapatini", "Intruda", "Baryancistrus", "Tetradonia", "Charadriineopicobia", "Mabokiana", "Onychoserica", "Bhawania", "Hybodontiformes", "Lochmiopsis", "Phyllotrichum", "Paraleptidea", "Tripoma", "Pagara", "Eucoccidophagus", "Nicotikis", "Euzetia", "Viridivia", "Halechiniscidae", "Podarcis", "Rhinocolinae", "Dudgeodes", "Stereotelesto", "Rangifer", "Modisimus", "Prostomis", "Chrysapion", "Pantophaea", "Arthopyreniaceae", "Synopia", "Helictophanes", "Archibasis", "Amazonepeira", "Tricalcaria", "Schoutedeniastes", "Endoina", "Ulvophyceae", "Phaetusa", "Paramellonina", "Anameromorpha", "Zoroaster", "Trochamijiella", "Brithura", "Dinodon", "Dimeris", "Hospitella", "Moringa", "Hydrianum", "Aquabacter", "Azteca", "Macrozamia", "Unciolinae", "Calocochlia", "Recurvoidoidea", "Pyrgolidium", "Ampheremus", "Halimedinae", "Henrycoris", "Himantosoma", "Astygisa", "Eriogoneae", "Amauropsis", "Zeropamera", "Xenopotamia", "Colius", "Dulzura", "Glandulicereus", "Scopidae", "Romaniella", "Macrocephalus", "Gogo", "Metopioxys", "Paracanace", "Leiorhynchidae", "Diplostauron", "Callipurbeckiidae", "Dicopia", "Cairaeanthus", "Fuscala", "Donacia", "Phrissura", "Sullivania", "Botryochloridaceae", "Nelsonioideae", "Entrophospora", "Parathisciini", "Xylonymus", "Eremobothynus", "Cleomella", "Pinarornis", "Simiiformes", "Dryomyia", "Microstega", "Arctous", "Trigonarchis", "Microneda", "Atherinomorpha", "Commelinales", "Teuvoa", "Dochmiotrema", "Decorospirinae", "Enterogonimus", "Pycnonotidae", "Sphenexiina", "Mimohardya", "Alloeochrus", "Euthenarus", "Chrysoprasis", "Liebstadia", "Scarabaeinae", "Grimmenaphis", "Adenobrechmos", "Peponium", "Muribacter", "Musca", "Termitusina", "Diglossopis", "Euryarchaeota", "Cheliplanilla", "Adrastia", "Diplopsalopsis", "Naryciini", "Acidianus", "Pityobiini", "Paracharactus", "Heloscopa", "Lecontia", "Anisopoda", "Loeskeobryum", "Aeolomorphelloides", "Antrostomus", "Corallinaceae", "Sisyrinchieae", "Microphasmoides", "Coremia", "Neuzina", "Massee\u00eblla", "Urocerus", "Patellinoides", "Hyalocalyx", "Sapotaceae", "Gainiaceae", "Upupa", "Beccarianthus", "Labidopullina", "Alycaulini", "Ogulnia", "Ciliopharyngiella", "Aegistini", "Onceroxenidae", "Ornithocheiroidea", "Dicrodon", "Platyzygaena", "Cicuta", "Carronia", "Bryoandersonia", "Phyllobathelium", "Hormoscilla", "Propenistra", "Praemachilellus", "Tipuana", "Mehtamyces", "Austronomia", "Cryptembiinae", "Praeturbonitella", "Xylosteus", "Paraulacini", "Gyalopion", "Calcarobiotus", "Dialidae", "Polycladida", "Brenthiinae", "Laticlerada", "Symbiotaphrinaceae", "Buphthalmum", "Eugnathichthys", "Heterochona", "Cephalobrachia", "Botryococcus", "Pseudorhysopus", "Hydrobiosidae", "Hylaeosoma", "Accuminulia", "Vintana", "Buckleria", "Caldiserica", "Plagiolepidini", "Helcion", "Habrocneminae", "Hyalinae", "Hercostomus", "Ectinocerella", "Mastidiores", "Fulvimarina", "Ammoperdix", "Dendrosipanea", "Gomphocarpus", "Aenictegues", "Bangiales", "Rhynchotropis", "Eremosphaeraceae", "Formiphantes", "Atheriniformes", "Halyomorpha", "Scelodolichus", "Corynoplastis", "Hibberdiales", "Eohoekia", "Parduczia", "Brinckochrysa", "Gertschiola", "Neopersectania", "Ashmunellini", "Elephantoceras", "Stenodrina", "Diploprion", "Raysymmela", "Phoenidnus", "Cephisina", "Africephala", "Elmera", "Macrolininae", "Eudranes", "Dolichometra", "Eusuchia", "Anumara", "Amoebochytrium", "Hyalodictya", "Buvatina", "Pseudoglaesotropis", "Boltonocostidae", "Nesochilis", "Nanofrustulum", "Toreulia", "Anemonactis", "Melanopsaceae", "Daradacella", "Strombosiopsis", "Syagrus", "Linstowiella", "Camiarites", "Glutamicibacter", "Acanthomurus", "Ilerdorbis", "Osmundaceae", "Cretoscarabaeus", "Lophocoronoidea", "Ibacinae", "Bertholdia", "Rhinerrhiza", "Metembia", "Clytospiza", "Achiropsettidae", "Pseudoparodia", "Agathotanais", "Sinopoda", "Chlamydochaera", "Oncagnostus", "Spororminula", "Zygocystis", "Eutheimorphus", "Eubaptini", "Naubates", "Neophascogale", "Sinameda", "Buzinia", "Baromiamima", "Palpipalpus", "Meschiidae", "Nacunansella", "Sesamoides", "Scytalichthys", "Trigonidiidae", "Pryteria", "Parabopyrella", "Praestigia", "Parasitaphelenchidae", "Neopolemon", "Paglini", "Benyllus", "Aepyceros", "Adesmiella", "Cryptomirea", "Basidiobolomycetes", "Viana", "Prostemmatini", "Adenopilina", "Pectinatellidae", "Dicranodontium", "Aegypoecus", "Mindarella", "Bagrichthys", "Sphenarches", "Pyrenidium", "Plebejidea", "Pseudomyrophis", "Bana", "Ontsirospathius", "Raulinoreitzia", "Halictophaginae", "Aenictopecheini", "Kallotenuales", "Auriculaceae", "Morimonella", "Parahyponomeuta", "Civettictis", "Jobaria", "Dromiaulis", "Tetrabrachium", "Pimeleocoris", "Troginus", "Magellanoconnus", "Atopobathynella", "Coleoscytoidea", "Korynetes", "Pterobalaena", "Eolepidopterigina", "Paraphytopus", "Schackoina", "Protodinychidae", "Capelio", "Rapturella", "Scolops", "Callulina", "Eocatops", "Petrocodon", "Monobrachium", "Durevius", "Quaternariella", "Parastyrax", "Protodriloididae", "Dianesia", "Megalobrama", "Ptychogastriidae", "Paramarteilia", "Lingulotrochammina", "Ripiphorus", "Hetairotermitina", "Desulfoprunum", "Oxylepus", "Hemisarcoptidae", "Bathycheilidae", "Vaejovinae", "Gobiopsis", "Tobolia", "Geoscydmaenus", "Mus", "Cyrtinoopsis", "Pseudohandelia", "Cephalotes", "Myzocallidinae", "Roelofa", "Schotieae", "Rochefortia", "Boreopteridae", "Cynoglossopsis", "Melolonthini", "Stanulus", "Audienusina", "Sisyrina", "Plecodus", "Varohios", "Gitona", "Rhytididae", "Dascillidae", "Archolabinae", "Troglonethes", "Pallene", "Truquiella", "Tomagotra", "Afroligusticum", "Polyommatinae", "Goleter", "Lithothamniaceae", "Clarkinella", "Choristellidae", "Isa", "Lythria", "Sinevia", "Lygothericleini", "Anathaniops", "Karataviella", "Chrysocystis", "Eoacmaea", "Ctenochasmatidae", "Cryphalini", "Neopronematus", "Acrobelesia", "Pseudococcus", "Canthon", "Telmatobacter", "Gloiopeltis", "Percnostola", "Lernecina", "Ischnopoda", "Neocirolana", "Wubanoides", "Calicovatellus", "Charpentieria", "Kamaka", "Hopliini", "Sphaeripara", "Meronera", "Mimepaphra", "Nuuanuidae", "Alphacrinidae", "Sphuridaethina", "Wullschlaegelia", "Oreolorgus", "Diazoma", "Bilobomyrma", "Selatodryas", "Hypotia", "Francoa", "Pilactium", "Thermogemmatispora", "Lepadomorpha", "Beardia", "Scombroidei", "Andrenopteryx", "Pellionia", "Malasseziomycetes", "Heterandria", "Membranoppia", "Dolichopodinae", "Stosta", "Cuculimenopon", "Deceptor", "Columbaora", "Methylosinus", "Parapolycope", "Eosyntexis", "Catomerus", "Sundaya", "Pseudeustenia", "Busyconinae", "Wangia", "Eosipterus", "Nasikabatrachus", "Traversia", "Spinoblesthis", "Megachiroptera", "Cateria", "Numata", "Desulfocaldus", "Wongia", "Pseudaetobatus", "Matatua", "Cimoliasaurus", "Phalacrus", "Blochiidae", "Coreobagrus", "Anastrangalia", "Gymnosteris", "Pseudochactidae", "Hendersonina", "Afrocamilla", "Oncochila", "Batrisiella", "Philonotis", "Amagupsychinae", "Lysidice", "Folsomides", "Pythochandra", "Paraphonus", "Rhizothrix", "Monocercops", "Oscaecilia", "Litiopa", "Parainoa", "Dasypodinae", "Apeltosperchontinae", "Polydiscia", "Acidisarcina", "Miltodes", "Panacea", "Anacis", "Mimeunidia", "Grynocharis", "Kitchinites", "Coptotomus", "Chone", "Ludekia", "Sarillus", "Schizomyia", "Saccocoma", "Gondarius", "Trochaclididae", "Buckleya", "Pirimelidae", "Neocypholaelaps", "Synandreae", "Rhaptopetalum", "Dropephylla", "Galliphilopterus", "Abelona", "Struthanthus", "Paragrantia", "Hirticollis", "Psorula", "Lindenbergia", "Melampsoridium", "Sphenomorpha", "Heterotanoididae", "Cymothooidea", "Euricania", "Mesochytriales", "Ophiraphidites", "Tiganophytaceae", "Anidorus", "Spasskia", "Spilococcus", "Alcestis", "Allophorocera", "Pleurostomella", "Phragmopyxis", "Chitinispirillum", "Sarkhia", "Astaborus", "Brissus", "Ailurops", "Titanosauriformes", "NUPELIA", "Georissa", "Ballagadus", "Samoilovia", "Melanolecia", "Brounea", "Calyptrolithophora", "Rosettauropus", "Cadium", "MZUSB", "Rakiroa", "Prorastomidae", "Dromornithidae", "Ulua", "Garrisonia", "Cleistocactus", "Uralodiscus", "Adelomelonini", "Nelsonagrilus", "Prasinophytina", "Taborella", "Idmon", "Alloplastanoxus", "Prothoracibidion", "Ectrichodiinae", "Campyloneurus", "Melanoplus", "Spirachthodes", "Clerinae", "Tetralobinae", "Sulcaria", "Cibicidina", "Parmursa", "Argyreuptychia", "Riolaminae", "Parastacoidea", "Acropsilus", "Epimactis", "Storthodontus", "Megalodorcadion", "Lackeymonas", "Myodochini", "Plagiochilus", "Discogaster", "Chonostropheina", "Spilotes", "Laurhervasia", "Peprilus", "Tritoniopsideae", "Lyramula", "Torbda", "Xanthapanteles", "Physobryaxis", "Ayazua", "Archaeonectrus", "Schaffnerisca", "Odontopimpla", "Mionectes", "Agromyzaphagus", "Nemamyxine", "Paratiaia", "Pseudomegoura", "Arthrothamnus", "Chapareia", "Liccana", "Cychramus", "Metasepia", "Sepiolina", "Amphidiniopsis", "FH", "Miotadorna", "Kiwinema", "Curgia", "Pregermarium", "Ashlockia", "Scathophaginae", "Dichelonychini", "Jebusaea", "Torotrogla", "Neocorynurella", "Megenicocephalinae", "Quedionuchus", "Obudua", "Zygocanna", "Druppatractus", "Eupromerini", "Polyneurina", "Leptonannus", "Hertha", "Sodolepis", "Phoebetria", "Hebestatis", "Stictolethaeus", "Arenopsaltria", "Hectopsylla", "Eumachia", "Xylographellini", "Thaumaleidae", "Barellea", "Alligatorellus", "Anomacaulus", "Mogoplistidae", "Condylarthra", "Cnemidophyllum", "Lyphia", "Pseudomelaniidae", "Cyclotyphlops", "Helmontia", "Carpocorini", "Arethusana", "Oetophorus", "Bartonellaceae", "Eutriorchis", "Noia", "Triviola", "Israelaphidinae", "Anchiornis", "Calyptomena", "Planophileurus", "Halieutaea", "Pyropilus", "Haloplanus", "Naganishia", "Hallonympha", "Chondestes", "Biseriamminidae", "Laopania", "Petrosaltator", "Micropyrum", "Huia", "Caligula", "Nepheloleuca", "Asyleptus", "Lortiella", "Eukrohniidae", "Spanionematidae", "Circobotys", "Eurycorymbus", "Nosotetocus", "Xenophrys", "Dicranurini", "Reclada", "Incubocnus", "Abyssocapitella", "Eremastrella", "Isabella", "Platyreta", "Mordellina", "Bolosominae", "Codazziceras", "Montanoceratops", "Gloniaceae", "Fritzruehlia", "Eisenia", "Eneopterini", "Nicoletiidae", "Ceratocombinae", "Gamopleura", "Myrmecophryne", "Centrolophus", "Caluera", "Lidopiella", "Pseudopancovia", "Dypsis", "Hylonympha", "Sesuvioideae", "Pterygosquilla", "Bougisia", "Gymnomus", "PSUZC", "Paramphilius", "Apotomops", "Metopivaria", "Dothidasteromella", "Phyllopachyceras", "Gauruncus", "Hyaloplacoida", "Acamaldes", "Percis", "Rugojoeropsis", "Tarsozeuzera", "Racheolopha", "Tomapoderus", "Roebuckiella", "Metaxya", "Blanidae", "Gastrosteata", "Thyridia", "Cryosophila", "Kobayasiella", "Selenocosmiini", "Nematopagurus", "Iberodytes", "Paraclytra", "Eozellia", "Thermohydrogenium", "Articolla", "Niphogenia", "Anchonoderus", "Catervariolidae", "Pseudamara", "Isochilus", "Cheloneotrema", "Chironieae", "Phereurhininae", "Miratemninae", "Tiganophyton", "Thelypodium", "Lophiogobius", "Flabellinopsidae", "Araniscus", "Aeneolamia", "Colomerini", "Cryptothelea", "Thalmannammina", "Eilhardia", "Rabiea", "Pseudepistylis", "Thiopedia", "Ptilota", "Oxymyrrhine", "Cidaphus", "Systelloderini", "Petermanniaceae", "Megaloceros", "Scleromochlus", "Erupini", "Ileifea", "Potamiscinae", "Modiomorphidae", "Hypopholis", "Zanardinia", "Thaumantia", "Melospiza", "Cymbaloporinae", "Amanda", "Eutetramorus", "Aepopsis", "Neochmia", "Frontelba", "Tocris", "Paucimonas", "Epigonatopus", "Jupoata", "Acanthonitschkea", "Ophiopsilidae", "Hormosira", "Evadne", "Pseudocatharylla", "Cystodinedria", "Politzariella", "Philiris", "Parasthenias", "Exophyllum", "Primoriina", "Polochrum", "Metamachilis", "Idiopsebium", "Myobatrachidae", "Rhodothraupis", "Schizymenium", "Eviella", "Ichnocarpinae", "Longimicrobium", "Stenanthemum", "Oxypeltidae", "Xiphidiata", "Pseudidarnes", "Acmopolynema", "Ammatoideaceae", "Coptophysa", "Pucerus", "Tuxenidia", "Pinicola", "Neosphecia", "Acaricis", "Fellhaneropsis", "Petasidae", "Moelleria", "Spineremaeus", "Hodoxenus", "Anoplocheilus", "Okkolithus", "Tadzhikia", "Eutimomena", "Varneria", "Phrynoidius", "Hypernephiini", "Trilepida", "Psychodini", "Chira", "Alexandresaurus", "Thaumatobactron", "Babiohaltica", "Eumorphia", "Cubaris", "Neolithus", "Ardeidae", "Pococerinae", "Septagathammina", "Protocolpodes", "Emmelichthyidae", "Brookesia", "Chaitophorinae", "Heterostemon", "Stomatocalyceae", "Pachorhopala", "Arnaudiella", "Ferocactus", "Trichotria", "Onosma", "Chuquiraga", "Leuceruthrus", "Hedylopsidae", "Mireia", "Calognathus", "Burmacompsocus", "Cyanocitta", "Pristaulacus", "Listroscelis", "Aptenodytes", "Daltopora", "Plectrobythus", "Moronopelios", "Microstizopus", "Bicuiba", "Siphonogorgia", "Anomonotes", "Prospalta", "Protenor", "Esselenichthys", "Phyllocamenta", "Matsumurana", "Clastodermidae", "Campsomerini", "Stevardiinae", "Thyatirinae", "Liebigia", "Goondnomdanepini", "Leptomyrina", "Parancylistes", "Atopolinus", "Nippodysaphis", "Plastanoxus", "Tapinella", "Annanogammarus", "Scopus", "Comphopisalia", "Trapalcotherium", "Biscoia", "Duvalioblemus", "Involverostreptus", "Tobiasia", "Spindalidae", "Phaenomeridinae", "Devaleraea", "Lymanbensonieae", "Leptochoriolaus", "Manausdota", "Strombidinopsidae", "Ceratochona", "Imitoceras", "Pseudomalaxis", "Dacryonaema", "Enderleinellidae", "Massala", "Platysphinx", "Pierranthus", "Pycnospatha", "Necromys", "Entalinopsis", "Lescuraea", "Uralinella", "Browningia", "Gurna", "Trachinus", "Loxsoma", "Hiiracalles", "Zygonychidium", "Prophanes", "Promodra", "Afrasura", "Brachycrotaphus", "Beata", "Didymellaceae", "Phocoenidae", "Madieae", "Debus", "Pseudonodosaria", "Anodontia", "Neoallolepidapedon", "Pseudocybele", "Leptecophylla", "Hemimyriangium", "Koltunia", "Doloclanes", "Teredolaemus", "Ardeadoris", "Meiocarpidium", "Syrraphesina", "Anthuridae", "Komodomys", "Posttornoceras", "Nymphites", "Sulfitobacter", "Stereodermus", "Istiophorus", "Sigela", "Deporaini", "Stenodermatini", "Metapulvinaria", "Indratilla", "Micrasema", "Eurydiotyphla", "Ischnomera", "Camptocoris", "Derbinae", "Neodetonia", "Emeinae", "Enargia", "Dorcasoides", "Upretia", "Devo", "Galapa", "Caseodontoidea", "Myerslopiidae", "Zairebiantinae", "Cyrtopodendron", "Porticoccaceae", "Gyrothyraceae", "Opeltiella", "Prochalia", "Parascutops", "Cainotyphlus", "Calveziconus", "Rayacheila", "Tima", "Scheuchzeriaceae", "Aegocidnoexocentrus", "Beloderoides", "Eupsenius", "Paroxoplus", "Eurydera", "Euglossini", "Annulariidae", "Zygomitus", "Meoticella", "Lobatolampea", "Rhynchonycteris", "Heterodasya", "Hemikalliapseudinae", "Agalmyla", "Bunabodes", "Moquilea", "Trilonche", "Perubala", "Plectrodes", "Xenosphingia", "Mycaranthes", "Ammodytes", "Salvatgea", "Opostegoides", "Morphopsis", "Cereinae", "Pharcidodes", "Rodeckiinae", "Sympagurus", "Scheibnerova", "Amphipetalum", "Lentitheciaceae", "Hemithraupis", "Kummerowia", "Cumbaaichthys", "Setiserica", "Taeniothrips", "Doliodromia", "Phengaris", "Hypogyristia", "Picouella", "Croceitalea", "Neometaculus", "Dendrocoelum", "Ambicholestes", "Elicini", "Teratocader", "Heliopyrgus", "Trembleya", "Kirgizobia", "Labiduridae", "Amphiarius", "Bothidae", "Crisuliporidae", "Dysanabatium", "Tiyantiyana", "Ischionorox", "Airospermeae", "Panopistidae", "Thecacera", "Quickella", "Orchipedidae", "Parasycites", "Cinetochilum", "Mastophorini", "Mycetacanthus", "Neoboutoniinae", "Pandercetes", "Ctenochirichthys", "Dinebra", "Cladobrostis", "Gossleriella", "Peridium", "Chadefaudiellaceae", "Batrichthys", "Enoplocerus", "Leptaschema", "Cumopsis", "Prionops", "Moravocoleus", "Corytophanes", "Cyclopidae", "Eriosporium", "Petasaria", "Moristroma", "Sephinioides", "Chnoospora", "Calomycomya", "Ariaspidae", "Stanus", "Ancylonyx", "Gecarcinucoidea", "Draconibacterium", "Endymathis", "Mandarinia", "Eutegaeidae", "Amorbus", "Opsitocus", "Hemilutjanus", "Archaeotetraodon", "Argolamprotes", "Longidorus", "Siphloplecton", "Paternostrana", "Falkonemadus", "Chiasmocleis", "Neurochorema", "Schoenoplectus", "Parasquillidae", "Algovorida", "Franchetia", "Peltigerales", "Monoicomyces", "Mahajangasuchus", "Alloiococcus", "Pseudochromaphis", "Anomaloptera", "Pliciloricus", "Fenixia", "Calycogonium", "Megastilicus", "Polygoninae", "Endromopoda", "Tiquilia", "Akodon", "Anolinae", "Micractaeon", "Euprotaetiomima", "Piankhi", "Vulcanodinium", "Criocerinus", "Curuzza", "Arsenaria", "Frezella", "Naetrocymbe", "Isostictidae", "Aptornis", "Ditaxis", "Ptyongnathosia", "Thinodromus", "Bakonydraco", "Velatocarpus", "Distrianthes", "Garateia", "Mackolepis", "Omaloplia", "Sphalloplana", "Scotocryptus", "Microgale", "Marsupiomonadaceae", "Umezawaea", "Pseudodiclidophoridae", "Neocreadium", "Gomphocerippus", "Ochrostomus", "Protodypsocus", "Dolichlasium", "Kingstoniidae", "Cylicodiscus", "Cyrtoptyx", "Marsipococcus", "Xylaria", "Gentianeae", "Magnetovibrio", "Abrothallus", "Parasutterella", "Anoplopomatidae", "Lepidorhombus", "Eremodrina", "Ratibida", "Zaeucoilini", "Trapezopentus", "Campylobacteraceae", "Atherurus", "Uebelmannia", "Aptychella", "Budginmaya", "Siamodon", "Cotingodectes", "Chelativorans", "Austroperlidae", "Artonis", "Izmira", "Pleseobyrsa", "Ritacestus", "Deropoda", "Hacrobia", "Hemidoryctes", "Dohmophyllum", "Bourgeoisia", "Epimerellidae", "Barbeya", "Notoglyptus", "Coenochilus", "Dinophysis", "Saprochaete", "Lapeirousia", "Prisopodidae", "Dipachystigma", "Jermakia", "Anous", "Cappadocini", "Trichospermum", "Ecarinosphaerula", "Papilioninae", "Balionycteris", "Lagrioida", "Conjugatophyta", "Ryukyua", "Pauroripidius", "Taurella", "Amargasuchus", "Balanidae", "Nubosoplatus", "Sinopyrophorinae", "Chilecicadini", "Sinoconodontidae", "Pseudophilaenia", "Wheeleria", "Nealecypris", "Deroptyus", "Faxonia", "Heteralonia", "Antennola", "Amysoria", "Astigmaton", "Eccoptarthridae", "Leptocimbex", "Syncyamus", "Orchaminae", "Brachypelma", "Yardiella", "Pycnococcus", "Caesia", "Ecitocleptis", "Fodinicola", "Cristulosia", "Allobates", "Callomegachile", "Sthenurus", "Aniuta", "Ectophylla", "Tortoplectella", "Phyllyphantini", "Apaturina", "Coccidinium", "Aminomonas", "Epithemia", "Kortomenus", "Trizona", "Propliopithecoidea", "Halieutichthys", "Ergaticus", "Mastacembelus", "Cyclocephala", "Calcarius", "Pyramispongia", "Murphyanellinae", "Rhysodini", "Vejdovskybathynella", "Akrincastiba", "Tetragonidium", "Calobota", "Dicranurus", "Etimonotrysia", "Spathephilus", "Harpagella", "Craterostigmus", "Cavernotettix", "Cycadophyta", "Dinonemertes", "Eriopeltastes", "Thuridilla", "Orbimorphus", "Promirara", "Mycomyopsis", "Sporochnus", "Exoterus", "Cyneoterpna", "Chorizopora", "Parastratiosphecomyia", "Condylostylis", "Protographium", "Hemerobiella", "Spathodus", "Paracortinidae", "Dotidae", "Aspades", "Chlorophaeoclonium", "Clausilocolidae", "Parvoviridae", "Biastes", "Trioplognathus", "Dachtylembia", "Globigerinatheka", "Mascarenhia", "Neoamerioppia", "Nanayella", "Bathylamprops", "Loeblius", "Ohakuneinae", "Galeodidae", "Xolocotzia", "Antillocoris", "Monodonta", "Monogononta", "Protoclepsydrops", "Epicthonius", "Saccolabiopsis", "Mazoyerella", "Eurotaenia", "Aciurina", "Pyxister", "Carlowrightia", "Euryades", "Hollandella", "Toposcopus", "Microprotopoidea", "Clavilithes", "Sciocyrtinus", "Novius", "Dicladocera", "Bicentenaria", "Aethiartrogus", "Sherborniinae", "Hamacreadiinae", "Scytalopodinae", "Phractopeltidae", "Pleiotaxis", "Pollicipedidae", "Megacopta", "Endemoceratoidea", "Arachneosomatidia", "Scariates", "Caenolestomyobia", "Anthopterus", "Onocephalini", "Nanochlorum", "Centrolepis", "Makara", "Dolichomicrostomida", "Stemmops", "Tregellasia", "Corsiniaceae", "Stiphromyrmex", "Diardia", "Lovettia", "Lamproscytus", "Cynoglossinae", "Fonkia", "Valvulininae", "Hemithirididae", "Hylorus", "Selenocosmiinae", "Agapanthiola", "Brachybelistis", "Typhlonusa", "Nitidocentrantyx", "Vaccaria", "Arhyssus", "Encyclometridae", "Aneplasa", "Graminicola", "Baenopsis", "Codonopsis", "Onychomys", "Momisis", "Bryodelphax", "Cryptarchopria", "Neoleistus", "Parabathyscia", "Nealyda", "Yuennanina", "Tateyamaria", "Centricea", "Murichirus", "Protarchus", "Termitopithus", "Atelurina", "Pradosia", "Pseudischyrocerus", "Minosaphaenops", "Celeuthetini", "Gryllotalpa", "Belyaevicrinus", "Euhelopus", "Samuela", "Cyphosticha", "Orthokarstenia", "Giganthias", "Cheirogaleidae", "Pseudamphilochus", "Neusibatrachus", "Laavsnartius", "Teinopodagrion", "Aegeridae", "Bohartilla", "Hyella", "Xenolea", "Sobolewskia", "Erica", "Uvarieae", "Sinohelicoprion", "Abachausia", "Mysticella", "Trigla", "Acantholophus", "Parabaeacis", "Machadocepheus", "Polyceridae", "Austrimunna", "Falklandoglenes", "Waltonella", "Obtectomera", "Dorcatomini", "Gobiletria", "Planopilumnidae", "Naenaria", "Protorhyphus", "Mercurialis", "Laotrombicula", "Cytonyssus", "Edaphosauridae", "Gloniopsis", "Emasia", "Birtina", "Pseudoaulacosira", "Hemianax", "Parainvenusta", "Hemichaetoplia", "Luffa", "Hyperprosopon", "Hydrothrombium", "Gaga", "Exechopsis", "Epilineutes", "Mecistostylina", "Pachystethus", "Ampulicomorpha", "Lichenostigma", "Dymondia", "Podozamites", "Ptisca", "Melasmatabanus", "Neohippopsini", "Neonchocotyle", "Casaleius", "Erinaceophasma", "Paragiina", "Suctobelbila", "Cadeidae", "Odontoefibula", "Androprosopa", "Tamraca", "Barleria", "Heterocypha", "Peripristus", "Borodinellopsis", "Thelechoris", "Narcissus", "Lentimorpha", "Calathostreptus", "Phragmacossia", "Horsfordia", "Harmostes", "Filimonas", "Calidota", "Schizotricha", "Jonkeria", "Moutabea", "Grewioideae", "Mimobates", "Lophophorus", "Cerasinella", "Trichogrammatoidea", "Pleurotremataceae", "Coleopterodes", "Chameloscyphon", "Quadraceps", "Clematis", "Heliasteridae", "Flexicoelotes", "Anomalurobius", "Draparnaudiidae", "Herreriopsis", "Didazoonidae", "Choretrum", "Himalusini", "Megasorex", "Xenonychus", "Chrysoblephara", "Holostrophini", "Lepturgantes", "Xenistius", "Phoebolampta", "Solpugiba", "Bryocella", "Euaspis", "Echinohelea", "Heteromeyenia", "Cyrtophorida", "Eotomariini", "Iliocirrus", "Salpichlaena", "Pelulea", "Boreomorpha", "Cheiruroidea", "Serianotus", "Reticulofilosa", "Paradelius", "Alfonsiella", "Chlamydoblepharis", "Paulipalpina", "Onychodromopsis", "Pycnandra", "Caveana", "Conomitrium", "Monoptilon", "Manopus", "Epectasis", "Neocypridopsis", "Protonymphidia", "Fontibacter", "Anthophora", "Carnarviana", "Kosalya", "Endamoeba", "Faucheria", "Subsaltusaphis", "Bungarimba", "Venenosaurus", "Phlugidini", "Lagorchestes", "Paulianidia", "Cervilissa", "Merizocotylinae", "Crotoniinae", "Ascoseirales", "Anthornis", "Tricholeiopus", "Schizoneurella", "Hessicrininae", "Crinoidea", "Daucosma", "Teleogramma", "Turicibacter", "Monolopia", "Viettealna", "Dynastinae", "Macrorhamphosodes", "Siphononema", "Hypophrictis", "Barlowodidae", "Margaritum", "Amaralia", "Arhynchobatis", "Histeridomyces", "Planktothricoides", "Tradescantia", "Proleleupia", "Myotragus", "Daptrius", "Boraras", "Stictostix", "Eotetraclitella", "Bulleidia", "Zophobas", "Corythophora", "Duffichthys", "Juraesalus", "Saetotenes", "Damnaster", "Minutoexcipula", "Actophila", "Metabonellia", "Dendroidopsis", "Gastrodontidae", "Xyloeconites", "Lopezieae", "Nonatona", "Melilestes", "UNAM-LT", "Xenoscapa", "Chaetolabis", "Vekunta", "Livoniini", "Macedonethes", "Hexepeolus", "Hyperionyx", "Microembia", "Desulfatimicrobium", "Heterodiplostomum", "Epicladonia", "Laurencieae", "Ariolimacidae", "Prionailurus", "Grantarhabdus", "Pitohui", "Chloroflexales", "Conotremopsis", "Atrichantha", "Lagriinae", "Amiserica", "Trygetus", "Trichopsora", "Haplorchoides", "Plocepasser", "Stigmatella", "Stilbotes", "Sidebottomina", "Radiococcus", "Luzonichthys", "Illmanomyces", "Amblovenatum", "Hemideina", "Thenardia", "Tulbaghia", "Onychorhynchidae", "Pseudotrachelocerca", "Dioszegia", "Anderemaeus", "Urytalpa", "Labiostomellidae", "Pehrforsskalia", "Oxymycterus", "Loxerebia", "Orthalicoidea", "Paralimulodes", "Ramaliella", "Gongrodiscus", "Monostyla", "Tricampa", "Trox", "Marichromatium", "Hemisphaeropsis", "Hysterangiales", "Echinometridae", "Archaeopalus", "Oxycirrhites", "Selamorpha", "Trypanobatoida", "Microthyca", "Cremnocryptus", "Vampirolepis", "Cyclopsinellinae", "Loristes", "Kuehneodontinae", "Chelonini", "Cyclonexis", "Microryzomys", "Matuku", "Hispodes", "Afromizonus", "Coleocoma", "Pronoctiluca", "Jaagichlorella", "Neorcarnegia", "Myriocarpa", "Liljeborgiidae", "Hamonthophagus", "Swima", "Nepenthaceae", "Nonarthra", "Tetrix", "Cormophyta", "Obruchevacanthus", "Eunice", "Dasysyrphus", "Adisomus", "Argas", "Metopion", "Palmeria", "Campanellula", "Homosaces", "Cantueae", "Brachyrostra", "Ditrichophora", "Scatopsini", "Antias", "Conidophrys", "Dasyphloea", "Rhinomirini", "Callancyla", "Petrophora", "Seuratiinae", "Compsibidion", "Seychellana", "Cometicercus", "Acradenia", "Hypogastruridae", "Ambiphrya", "Saemundssonia", "Araeocerus", "Lithotoma", "Eriaphytinae", "Archipelepididae", "Harpagophoridae", "Dolichurini", "Abortipedia", "Amblycoryphini", "Skotobaena", "Tricolocampe", "Epivertini", "Nymphalis", "Matanas", "Prosyntretus", "Spiromastix", "Homoeomyzo", "Prosthemadera", "Dendrophilini", "Tobyschuhaptera", "Limnephilini", "Nelumbo", "Hala", "Promacrostomum", "Neogregarinorida", "Pervetustus", "Phymastichus", "Newmaniverruca", "Pseudolachlanella", "Chlorodendrales", "Cathartesaura", "Mauromecistoplia", "Orthomecyna", "Trachyopella", "Sentogammarus", "Hyptis", "Ricasolia", "Phorusrhacos", "Termitella", "Mnesteria", "Psammoporus", "Allosyncarpia", "Eretmophora", "Eupeodes", "Juncaceae", "Rallidentidae", "Protocruzia", "Aquamortierella", "Calliergonella", "Neochrysocharis", "Neodolichomitra", "Fabronidium", "Anonychomyrma", "Stropharia", "Pseudoleptodeira", "Lembadionidae", "Tetraechma", "Subedentostomina", "Nimravidae", "Trichanthodium", "Paronitis", "Mundaring", "Triceratieae", "Ephyrogymna", "Metopiosoma", "Metaplehniella", "Angelopteromyia", "Allocaudata", "Diporodrilidae", "Tychaeini", "Charitographa", "Wolffia", "Oreosaurus", "Phascolosomatidae", "Eubolia", "Rhytidocystis", "Tricrepicephalidae", "Mortierella", "Neactina", "Allotoca", "Choerospondias", "Siphonodosaria", "Biotobothrium", "Microscleroderma", "Pseudobolbodimyia", "Pseudoditrichaceae", "Paracristenes", "Clypeoplex", "Coronipora", "Meyenia", "Halophryne", "Tesserodon", "Eilatimonas", "Berenice", "Ussuritaceae", "Levierella", "Pagurina", "Kuschelina", "Apistobranchidae", "HSU", "Eucratopsinae", "Brachineurini", "Eowaeringella", "Biotocus", "Gervillella", "Chrysochroa", "Abelaturus", "Macrosiphum", "Glaucocystaceae", "Corupella", "Charimachilis", "Hymenopus", "Ophiosemnotes", "Teocchius", "Makolia", "Sotoplacidae", "Loxosporopsis", "Duplodnaviria", "Acropimpla", "Diospilus", "Drepanopora", "Lamprosoma", "Holoptilinae", "Marionia", "Acalyptomerus", "Pseudadonia", "Trichovalva", "GNM", "Proteracanthus", "Lobotornoceras", "Montenegrinini", "Arachnoidinae", "Allommatisca", "Blennioidei", "Sipanea", "Adiscanthus", "Oreohelicidae", "Abramites", "Doddifoenus", "Nelsoniella", "Alatococcus", "Nesogonia", "Relictolepis", "Angustonicus", "Tetracystaceae", "Mecicobothrium", "Valencia", "Rhoptrodinarda", "Trukcharopinae", "Halothiobacillus", "Polychaitocallis", "Heliobacillus", "Arctica", "Rumea", "Margaritidae", "Areceae", "Neottiura", "Mesoglossus", "Autographa", "Cuneoceps", "Pagurapseudopsis", "Nitrospirillum", "Androsace", "Halticiellus", "Entopolymorphina", "Sinophora", "Afrius", "Simulothrips", "Asiphonipponaphis", "Notoryctidae", "Langbianella", "Acanthephyra", "Coroicoia", "Callacanthis", "Urceolariidae", "Arsapnia", "Mythozoum", "Noctulana", "Koedfoltos", "Catamachilis", "Arophyton", "Thamnodynastes", "Thiohalophilus", "Platalea", "Alpinites", "Anthorrhiza", "Kathina", "Microloa", "Oonopidae", "Lasiopa", "Megalyrini", "Chrysodasia", "Empetrichthys", "Nothosmyrnium", "Achaeus", "Lathrothele", "Tegano", "Guanchezia", "Uranoscopidae", "Bedellia", "Sierraphytoptus", "Zonitoides", "Bisetifer", "Rhynochetos", "Ceratocumatidae", "Collinella", "Anurophasis", "Doridoidei", "Epilohmannioidea", "Cryptactites", "Golbergiidae", "Stylonema", "Ranomafana", "Glaucus", "Campylophyllum", "Planinasus", "Callidulidae", "Mesembia", "Larsenianthus", "Basilissopsis", "Uterotrema", "Pseudonannolenidae", "Dilophosauridae", "Blackburnium", "Pangraptinae", "Nephotettix", "Axopodorhabdus", "Hemiarthrus", "Caristiinae", "Lemiini", "Syncosmetina", "Pontonoa", "Tajmyraphididae", "Myanmarops", "Eremomycetales", "Caestocorbula", "Poemeniini", "Migmocera", "Analgidae", "Tilachlidiaceae", "Sedelnikovaea", "Jana", "Pseudogymnoascus", "Antarctenchus", "Artocella", "Atmozostis", "Maclureae", "Ernodesmis", "Nassella", "Dinornithiformes", "Latreutes", "Deloscopa", "Australovenator", "Lipsocus", "Polaskia", "Pelorovis", "Johorea", "WMNH", "Equini", "Psellocoptus", "Thylactus", "Rhaphidophoroidea", "Birkelundia", "Pachydrobiini", "Gardneriella", "Hexactinosida", "Karataothripidae", "Kiokansium", "Iberattus", "Colosyta", "Blepharidium", "Aphrastasia", "Aussiedraco", "Fucomimus", "Bartramiopsis", "Cechetra", "Prowsemonas", "Cupelopagis", "Afroredon", "Duplomonocelidinae", "Tydemania", "Corinninae", "Debeerius", "Obesoconnus", "Sergentella", "Eremosis", "Gansuiformes", "Centistina", "Agrilus", "Brachystachyum", "Melocactus", "Spandelinoides", "Automeroides", "Psiloxyleae", "Parothelais", "Oreosalsola", "Momenia", "Pronocephalidae", "Toreuma", "Guanabaraenia", "Microdebilissa", "Eronia", "Drummondiaceae", "Neopisinus", "Pseudoperisporiaceae", "Leucoperichaetium", "Discosphaera", "Tarema", "Sclerocarpum", "Armadillogorgia", "Gorgonidium", "Proteromonadida", "Chrysolarentia", "Paranebris", "Hepsetus", "Oonopoides", "Trachyibana", "Xylonomycetes", "Axonyina", "Ulochora", "Urentius", "Allonothrus", "Callipharixenidae", "Plagiopyxidae", "Subulipalpus", "Requienellaceae", "Mnais", "Symbrenthia", "Cuspidia", "Thermomonospora", "Alaudidae", "Menesiniella", "Ninurta", "Maurandya", "Gouania", "Pandanus", "Rhinoprotoma", "Theligoneae", "Anuromyzus", "Perafrotydeus", "Tepuidessus", "Trichogyne", "Suriana", "Metallocrates", "Derocheilocarididae", "Eudyaria", "Stalkya", "Erynetes", "Eusphalerini", "Epipremna", "Syllepte", "Plectrocopus", "Hilaira", "Gravitcornutia", "Didemnidae", "Gastrozonini", "Squamosa", "Endomiini", "Pseudotydeinae", "Argasinae", "Loculosulcatispora", "Crossotarsus", "Gapia", "Bulimulinae", "Helenaea", "Lepturomyia", "Cyproniscidae", "Neophaenognatha", "Notophthalmus", "Nectocystis", "Anamundamella", "Nannoarctia", "Genuchinus", "Euthymonacha", "Andrya", "Uvella", "Petalopus", "Sicalis", "Lespedezinae", "Haeterini", "Bescherellia", "Eremomycetaceae", "Niteomica", "Opisthopappus", "Deuterospira", "Diplazium", "Asterodiscus", "Megalobulimus", "Scolopocoris", "Cladosporium", "Epaleura", "Chalybion", "Oriphatnus", "Lebiitae", "Nepticula", "Tryphonini", "Cheilodipterus", "Scolyminae", "Sphaenidatoma", "Siphonodiscus", "Rabyxis", "Tsukamurella", "Myrmeconauclea", "Pseudomimeciton", "Palmellopsis", "Chlamydiaceae", "Paraphelidium", "Cephalipterum", "Dactylopsocus", "Hollanda", "Vahliellaceae", "Hemiproto", "Emmenosperma", "Pseudamphorophora", "Atylopsis", "Glochinomyia", "Scaphispatha", "Hemitrygon", "Anastomosa", "Pleurophrys", "Stromateoidei", "Parapolytretus", "Trypanidiellus", "Solenococcidium", "Bellerophontoidea", "Enscepastra", "Nycteroleteridae", "Biorhiza", "Matvienkomonas", "Glabroapseudes", "Notonemouridae", "Coronaphycus", "Dysithamnus", "Globodiplostix", "Abraxaphantes", "Chasoke", "Staurotropis", "Septotextularia", "Floridobolidae", "Uliura", "Bohemaniella", "Mesocoelus", "Indotegolophus", "Galenomys", "Actinopyga", "Leanchoiliida", "Phreatomideopsinae", "Paratimomenus", "Disophrys", "Heteropterus", "Torminalis", "Hypogomphia", "Caenoidea", "Marginotruncana", "Styracaceae", "Pellorneum", "Brevundimonas", "Ukrainosa", "Parathaumatelson", "Acidaminobacter", "Luisella", "Eppihus", "Stokesiella", "Bryothinusa", "Tanzaniophasma", "Pseudodalyellia", "Stectenidius", "Aphropsylla", "Oxyallagma", "Clinopodium", "Rhinotropis", "Noctilucales", "Paradictyocha", "Sudzukiella", "Pempteurys", "Stephanosporaceae", "Picrosia", "Tasmanites", "Heterorhachis", "Hyalidium", "Papenfussiomonas", "Schizymeniaceae", "Tocama", "Optivus", "Intramacronucleata", "Tantaliana", "Sauroniops", "Cremastosperma", "Clemathadina", "Protoraphis", "Corymbichneumon", "Latitergum", "Madatyphlopinae", "Iproca", "Aediinae", "Eunidia", "Aerosakkonema", "Estola", "Dinochora", "Glia", "Monocorynini", "Etroplus", "Amphiesmoides", "Pallastica", "Colea", "Beslerieae", "Bimichaeliini", "Recurvaria", "Tetramelus", "Solivomer", "Poranga", "Parasarcophaga", "Neodhysores", "Ignata", "Aleochandria", "Trichoschiza", "Caldisphaera", "Ogmoceropsis", "Sinoseris", "Polycestina", "Sparassocynidae", "Antissinae", "Selinum", "Opercularia", "Ziguiella", "Hybodontida", "Mongolepis", "Otoconcha", "Almeria", "Eomycota", "Philomessor", "Sisamnes", "Cyanerpes", "Abakabaka", "Acteoniscus", "Similipepsini", "Mesarthropterus", "Niphogeton", "Corynofrea", "Franckomyia", "Baorini", "Idiastes", "Lancepyrinae", "Serraphodius", "Cladara", "Amblonoxia", "Vatiga", "Gynichthys", "Hormathiidae", "Yphriinae", "Wollea", "Stichocibicides", "Micridina", "Ankylophonini", "Frontinella", "Orthotrichia", "Daucina", "Anisocoelium", "Eutanygaster", "Electrostephanus", "Bourgognea", "Itini", "Nasikabatrachidae", "Morrisonia", "Basisperma", "Monopeltis", "Eugereonidae", "Onchidoris", "Ailoscolecidae", "Conogethes", "Gadilinae", "Nepiohygia", "Zosis", "Ernogrammus", "Stigmatophorina", "Taricha", "Magadinella", "Tripos", "Apiochytrium", "Maamingidae", "Dolopomyrmex", "Tapiromimini", "Pseudosterigmatospora", "Hypnodendraceae", "Cochlospermum", "Chaetothyriaceae", "Andropogoneae", "Desmanini", "Heterocharax", "Ferritrophicum", "Adrianaichthys", "Dicuspiphilus", "Gerwasia", "Teneriffiidae", "Trichognatha", "Corynophloeobia", "Homonacna", "Meandrusa", "Coloborrhinini", "Myrmecolacidae", "Paratessaropa", "Haematoxylum", "Bachelotia", "Pensacolini", "Parapelerinus", "Conococcolithus", "Chromodoridoidea", "Rhynchomolgidae", "Protolafystius", "Robertinidae", "Speleonura", "Mermitelocerus", "Atelosticha", "Gasterosteiformes", "Overia", "Microtrachelizini", "Encephalartoideae", "Thyonidium", "Corynexochina", "Auximobasis", "Madoqua", "Thorictus", "Micreremidae", "Dicrocaulon", "Segisaurus", "Abyssocottidae", "Balanops", "Macrobiotus", "Pelidnota", "Sciuridae", "Phigalia", "Iblinae", "Rhagadostomella", "Cranothrips", "Lepidobrya", "Harpalobrachys", "Odontosphaeropyx", "Bystra", "FUM", "Thalassocalycidae", "Mylomys", "Hagenulina", "Urobopyrus", "Pennatea", "Stenocosmia", "Scolecomorphus", "Medioclymenia", "Cedria", "Glyptolenus", "Aberdaria", "Arytrura", "Namibimydas", "Eudicots", "Flandria", "Sternodinae", "Lingulogavelinella", "Cyriocteinae", "Bifurcipentatoma", "Redema", "Asiophantes", "Vulcanidas", "Wittocossus", "Trochidae", "Bothrophthalmus", "Paracontias", "Folliculina", "Anoplotoma", "Endophyllum", "Infula", "Yuopisthonematidae", "Pennantiaceae", "Neodohrniphora", "Amphilothaceae", "Neorotalia", "Peregriana", "Nivellea", "Ortegia", "Euboeus", "Nipponidion", "Epiinae", "Drynaria", "Skoulekia", "Acyclus", "Myrmedonota", "Macrophthalmus", "Trepomonadea", "Boloceroides", "Taeniotriccus", "Planctomycetia", "Brevipogon", "Apoaphelopus", "Pseudonannolene", "Anisoscelidini", "Neolepta", "Oregodasys", "Sycia", "Blommersia", "Calamitales", "Phanerodon", "Microscolecidae", "Lepyrodon", "Ciconia", "Eueretagrotis", "Parastilbocoris", "Cucujopsis", "Homotrema", "Vesicapalpus", "Scytodidae", "Limacinae", "Nephrodictyum", "Athlia", "Gymnophallidae", "Capeta", "Spirillinina", "Bybe", "Ophiomyxa", "Sinosiphonia", "Phrurolithidae", "Parafomoria", "Hasllibacter", "Bostrychopsebium", "Simplalveolina", "Neonectria", "Galumnidae", "Anaerocolumna", "Huttia", "Solomonargiolestes", "Whiteiidae", "Nothopodini", "Eulaema", "Wijkia", "Bobdalgleishia", "Leiomenia", "Sauropterygia", "Xenotilapia", "Parabaris", "Tetraselmis", "Tevniida", "Africoecetes", "Apium", "Chamaecrista", "Garypinidae", "Paulistostreptus", "Tylomantis", "Elaeis", "Paramachilis", "Capitulariella", "Halictini", "Marinicella", "Vernicomacanthus", "Insuetaspis", "Euchilofulvius", "Leptopeltoides", "Ligabuesaurus", "Natoba", "Tetragonopterus", "Periscelis", "Kovalevisargidae", "Sphecosesia", "Chloronycta", "Chtenopterygidae", "Cystodiaceae", "Gioia", "Termitopullus", "Didymocarpinae", "Amauroencyrtus", "Neoglyptatelus", "Rhizochloridaceae", "Pseudosporangium", "Platyscelidris", "Shipsa", "Tardrabassus", "Acatapaustus", "Archilopsis", "Cedarina", "Schedotrigona", "Bruggmannia", "Gymnuromys", "Nedystoma", "Pseudocohnilembus", "Clydonium", "Keasius", "Johnsonia", "Nevadneidae", "Cyclacanthus", "Liphoplus", "Cullumia", "Caranavia", "Haploferonia", "Timoclea", "Panzerina", "Belostoma", "Oreichthys", "Anaeromyxobacter", "Lebisia", "Calopachys", "Dryophthoridae", "Grzegorzekia", "Semperdoninae", "Dicnecidia", "Ophiopholis", "Hoplinini", "Penzigiella", "Kabatekiipsebium", "Latonia", "Duidaea", "Groenendaelia", "Poraspis", "Sagena", "Dysnectes", "Badilloniella", "Hadalothuria", "Macrostomus", "Oonopinae", "Trichonotolema", "Alismobates", "Zonitoidea", "Pseudopsocus", "Myoporeae", "Oryctoderminae", "Doryctobracon", "Ezakiella", "Cricetomys", "Dynopsyllinae", "Heterospilini", "Deltamphistoma", "Termitoonops", "Yurebilla", "Marcusia", "Ommastrephinae", "Porongurup", "Nassopsini", "Conchorhagae", "Eriopsylla", "Alysicarpus", "Asuroides", "Tabulaephorus", "Notiokasiini", "Comaster", "Leptodactylidae", "Dolerinae", "Platyhedylidae", "Hayekina", "Paremeopedus", "Sphindiphorinae", "Haruspex", "Jaculispora", "Tolypeutes", "Ceylanoglaucytes", "Ildica", "Ophraella", "Oedematopsis", "Inyoka", "Homoeolabus", "Crassandros", "Asartodes", "Dinemasporium", "Hendecasticha", "Parahaliea", "Custotychus", "Neritos", "Thyreophora", "Oscillosignum", "Ixodia", "Dianthidium", "Pternidora", "Glomeraceae", "Temnosternus", "Austrochiltonia", "Peritrana", "Bugula", "Outenikwanus", "Oreolyce", "Collabium", "Neocunaxoides", "Cinnamomophyllum", "Phasiani", "Salinispirillum", "Placodium", "Neoamphion", "Millericrinida", "Paroecanthus", "MUBI", "Cylapocorisca", "Amphiomya", "Ctenodiscidae", "Dissorophoidea", "Suberites", "Limbobotys", "Neptunomonas", "Paulianister", "Lebboia", "Ophioscolecida", "Diactenis", "Mattiphus", "Chromista", "Podranea", "Agalope", "Nomadini", "Odontopsammodius", "Rhytidhysteron", "Amylotheca", "Calichodes", "Theocotylidae", "Orostachys", "Carnevalella", "Eumyzus", "Colerus", "Cryptosyringa", "Idusa", "Atomosia", "Trismarcha", "Aenasiella", "Acoryphocoris", "Atrispinum", "Pholidophoridae", "Taphrocephala", "Neotriphyllus", "Calliurichthys", "Mevesia", "Giraudyopsis", "Lyrranea", "Classiculaceae", "Trichophryidae", "Aegypiinae", "Rhinopteridae", "Disjunctariini", "Allonitzschia", "Gophoini", "Sphyrapicus", "Sudreia", "Newtonidium", "Vasotrema", "Oxalobacter", "Pranceacanthus", "Archiastomatidae", "Ceratodon", "Halobatrachus", "Pottsiela", "Cyttariaceae", "Pterygodium", "Kanigara", "Pachitea", "Cretapsyche", "Remasellus", "Mnia", "Glossiphonia", "Nasocorini", "Fistulifera", "Lepivalgus", "Ctenognathus", "Tortigonalia", "Anoplophoroides", "Tranzschelia", "Coronaviridae", "Macrochoriolaus", "Janauaria", "Eruca", "Phlepsanus", "Tadzhikoniscus", "Pagarenes", "Kozhowia", "Pylojacquesidae", "Natrix", "Coenonica", "Vochysiaceae", "Chitonotus", "Hoehneella", "Rhynchocephalia", "Myxodinium", "Floronia", "Gnopheroides", "Mischococcus", "Tomaculum", "Podostena", "Dracontomelon", "Triatomini", "Acalyphoideae", "Phyciodyta", "Endotrichini", "Touchardia", "Jonaspyge", "Euoplia", "Cytheroma", "Pseudochauhanea", "Typhlopagurus", "Ficalhoa", "Albunione", "Scaeva", "Neolonginischus", "Stilbatheta", "Ildavia", "Orthomorpha", "Cynogale", "Paraperla", "Sipuncula", "Nephrophyllum", "Ceropterella", "Tertiaphis", "Olophrum", "Rudaemannia", "Ctenosaura", "Luteibaculum", "Neorhodella", "Pseudorchomene", "Enterobryus", "Tokophryopsis", "Metagerra", "Afromantispa", "Calleae", "Adelphoderia", "Elofsonia", "Stygarctinae", "Saphorhynchus", "Ostryopsis", "Chaetostachydium", "Trigonomiminae", "Ifalukella", "Cryptolepadinae", "Dentapelta", "Pseudorhododiscus", "Fulvibacter", "Microthamnion", "Entwisleiales", "Dartmuthiidae", "Tisochrysis", "Ifridytes", "Hesperopalpus", "Sinocicadia", "Psalmopoeus", "Thylamyini", "Stethophyma", "Alhagi", "Circaetus", "Lessinigalathea", "Colanthura", "Dibolia", "Smaragdion", "Dendrophrya", "Stenosigma", "Pharodictyon", "Nippotaeniidea", "Pseudotrochalus", "Pachyzoidae", "Xylodiscula", "Galagete", "Neohydrocoptus", "Dactylopius", "Opalozoa", "Phaulacridium", "Faristenia", "Savignia", "Opecoelidae", "Narvesus", "Robphildollfusium", "Krugiodendron", "Maculaphodius", "Madanidinium", "Hookeriales", "Aporcelaimidae", "Palontus", "Stupendemys", "Brachynemurini", "Guhaiyinggella", "Badilloa", "Ephippigerida", "Yuripopovia", "Zeuktophyllum", "Thoraea", "Byrsanthus", "Lyssacinosida", "Litheliidae", "Discophorellus", "Willdenowia", "Dynoria", "Athene", "Epitoniidae", "Asthenopus", "Endonema", "Strabocephalium", "Duboscquodinium", "Tengius", "Pharostomatidae", "Capropygia", "Megalops", "Laosaphrodisium", "Dohrniphora", "Plesiogammarinae", "Thelocarpon", "Poduroides", "Tomatares", "Oncomerinae", "Gnaphosidae", "Strigops", "Kampimodromus", "Erythrophyllastrum", "Kalophryganeidae", "Wigwamma", "Pectinatus", "Occidozyginae", "Barypina", "Protosporangiida", "Hybolasius", "Taeniochorista", "Hypolaenopsis", "Theclopsis", "Torreina", "Entocythere", "Meinertellidae", "Dixella", "Gymnetina", "Alloclubionoides", "Paracenobiopelma", "Aglaspis", "Sivasella", "Poetschia", "Stomopneustoida", "Auloceromyia", "Madlabium", "Mesocolpodes", "Acharieae", "Brachyscleromatinae", "Thecodontosaurus", "Ypsolopha", "Neridomidae", "Lophomma", "Muscicapoidea", "Moridae", "Apogonoidei", "Oryotus", "Hemischizocranium", "Retecapsa", "Sarcorrhiza", "Yulia", "Allodia", "Salona", "Dolichancistrus", "Vasse", "Psilosiphon", "Shaanxispira", "Egerniinae", "Cyclopterus", "Boueina", "Baeopterogyna", "Syncoelicotyloides", "Corallimorpharia", "Chamaecytisus", "Psychine", "Suttonia", "Aproaerema", "Aechmea", "Manota", "Vachonia", "Bonthainiella", "Amphiasma", "Pericharax", "Kefalia", "Sphingiphila", "Phrynocarenini", "Suphrodytes", "Sinuatodostomia", "Meandrospiranella", "Cataulacus", "Pseudofissurininae", "Montistrongylus", "Brachypterembia", "Tsunyidiscidae", "Trochodendrales", "Dryotribini", "Corethromyces", "Roseodendron", "Halictillus", "Cunoniaceae", "Sphaerococcomyxa", "Gymnocrotaphus", "Chloroplisma", "Tribeles", "Aplexa", "Procottus", "Stenosphenus", "Circellobates", "Glabratellidae", "Alaobia", "Vieraea", "Nurina", "Anemadina", "Echinoplectanum", "Awara", "Australomasoreus", "Rheomys", "Blaiseus", "Nothophryne", "Micromastigotes", "Dendrophysa", "Strioluatus", "Heisteria", "Triacanthodidae", "Mastax", "Lagenismatales", "Cetonurichthys", "Hupodonta", "Scaphyglottis", "Hoplichthyidae", "Micreremus", "Hispanigalathea", "Amphicreadium", "Christensenella", "Isometopus", "Trichomeriaceae", "Coolia", "Hemigaleidae", "Diabolonotus", "Guadarramasoma", "Polypteridae", "Coleofasciculus", "Stenosagola", "Serphitidae", "Parluciosoma", "Liopycnas", "Tischeriidae", "Borysthenia", "Larsenaikia", "Pterinotrematoides", "Goebelobryum", "Bothromesostoma", "Euryphaedra", "Semiope", "Verongula", "Adenopygus", "Thladiantheae", "Corticariinae", "Paragenipa", "Biobessoides", "Asteloeca", "Bernardieae", "Listrodromini", "Aphanothecoideae", "Marliella", "Troglovitrea", "Symposia", "Anogcodes", "Acelyphus", "Gymnaconitum", "Anchoviella", "Agniomorpha", "Empheriidae", "Vermioxytricha", "Cylindrocystis", "Preperonidellidae", "Ctenicerini", "Assipetra", "Phaenocorinae", "Clintamraceae", "Phenacostethus", "Irregularininae", "Megabirnaviridae", "Marshallena", "Holosticha", "Antithyra", "Bajacalia", "Capnosolius", "Pyramodon", "Melathra", "Hapigiodes", "Sacchararena", "Ptiliidae", "Pteronemobius", "Belinuropsis", "Chamaepentas", "Pectispongilla", "Ptycholomoides", "Ptychotelson", "Hookeriaceae", "Euplanidae", "Brachylaimidae", "Darthula", "Quasisinuites", "Percarina", "Lovricia", "Hyborhabdus", "Coptodisca", "Alobevania", "Catada", "Cystoagaricus", "Mimoprosoplus", "Anthrax", "Haliphthoraceae", "Oligochaetosella", "Stylopomiris", "Permotrichoptera", "Trueperaceae", "Falcatimonas", "Pachythelia", "Cynognathidae", "Nothoderis", "Scoliinae", "Aculicoxa", "Bunium", "Catostylidae", "Diatoma", "Carajasia", "Kydia", "Eristalotabanus", "Acartophthalmidae", "Ptyophis", "Bolerus", "Sterna", "Entodontella", "Mygale", "Paraportanus", "Helenieae", "Micronellides", "Tricladida", "Streptomyces", "Montagnula", "Paraguelus", "Balsaminaceae", "Mesoproboloides", "Apomecynini", "Fotterella", "Gnathostomatidae", "Casinaria", "Blanus", "Calyptohygia", "Grauanthus", "Lecanographaceae", "Polycopidae", "Plagiotremus", "Berisina", "Melochia", "Caprilesia", "Lorostemon", "Paratorchus", "Pellucistoma", "Hulstaertites", "Grallaricula", "Ammomassilina", "Orthostixinae", "Troctopsocoides", "Pseudoleptocuma", "Bochicidae", "Armascirus", "Oppiinae", "Chroococcus", "Termopsidae", "Ficedula", "Nacerdes", "Stenocraninae", "Pisenor", "Conquistator", "Axiagastini", "Comorocoris", "Galenea", "Heteroderidae", "Plaxopsis", "Rhaphidophorinae", "Ascochytulina", "Phasgonon", "Giulianium", "Zanobatocestidae", "Conorotalites", "Trogastrini", "Apoharknessiaceae", "Pentaschistis", "Allodissus", "Suwallia", "Dasycladaceae", "Dendromastax", "Glareadessus", "Spinotrachelas", "Lacon", "Lucilla", "Gymnocondylus", "Siagonini", "Pycnobotrya", "Stereostoma", "Phaenoserphus", "Phaeista", "Sakhiella", "Scelotrichus", "Oomorphoides", "Protoblastenia", "Rupticutis", "Pentagonum", "Leimonis", "Candalidini", "Chrysostephanosphaera", "Macroliocola", "Augochlorina", "Onomacritus", "Oehlia", "Mortonia", "Scymbalopsis", "Rhizorus", "Leptosporellaceae", "Zaleya", "Ilisia", "Yalvaciana", "Sisyphus", "Rugidia", "Cyphosterna", "Mantius", "Monorchiata", "Acanthocyclus", "Granimedon", "Latinozorinae", "Endobacter", "Pseudomitrocereus", "Sphaenognathus", "Paraccra", "Episteme", "Archidemis", "Boarmia", "Dendroligotrichum", "Lagotia", "Chlorochytriaceae", "Rugogaster", "Solenoppia", "Chlorophonia", "Gonialaenini", "Histerinae", "Sotira", "Phidippus", "Amblycipitidae", "Mycetarotes", "Trematuridae", "Tingolix", "Panicoideae", "Notosariidae", "Oratosquillina", "Metatrogus", "Parachrysops", "Allophanes", "Salka", "Naucrates", "Heterodontinae", "Hyperamminoides", "Digastrotheca", "Nirvanini", "Megadasys", "Phanoptis", "Sufflamen", "Cyriopagopus", "Cryptodina", "Aegialitideae", "Chapoda", "Pseudotettigetta", "Chilandrus", "Macrojoppa", "Nierembergia", "Lysandra", "Psophocarpus", "Tibiella", "Eucyrtidiellum", "Amphirhachis", "Pristina", "Parvittya", "Ripariosida", "Longimonas", "Aulacocyclinae", "Acholeplasmataceae", "Euzona", "Yuzhoupliosaurus", "Nesopupinae", "Dolichocybaeus", "Tricyclusidae", "Marmaronetta", "Stylonychia", "Enhydrobacter", "Hergovitsia", "Zetorchella", "Thecostraca", "Neoclithria", "Roederiodes", "Paraschoenionta", "Cytisophyllum", "Donponoxylon", "Octomacridae", "Certhidea", "Psittanthura", "Typhedanina", "Neolectales", "Adrorhizon", "Plesiorycteropus", "Aroideae", "Enderleinia", "Mimela", "Clioperla", "Orientus", "Drepanoxenus", "Bolbopsittacus", "Palaeospiroplectammininae", "Manciola", "Cyclosiella", "Boopsoidea", "Sirtina", "Acantharea", "Strophosoma", "Codonorchideae", "Delichon", "Decma", "Uroviricota", "Askoella", "Blattulidae", "Streblosoma", "Syphrea", "Remora", "Pyrausta", "Tricholemma", "Burkillia", "Sinobaijiania", "Trichopelmatinae", "Viciriini", "Electroscydmaenus", "Ciliopharyngiellidae", "Agbalus", "Australornis", "Liceidae", "Coryphomodes", "Echinoderes", "Chrysostomatinae", "Prometor", "Remphanini", "Mediappendix", "Balanoidea", "Nuclearia", "Heterolinyphia", "Caminella", "Cercopis", "Cichkovia", "Calliscirpus", "Hemibarbus", "Strophostyles", "Limnosipanea", "Rioneta", "Saponaria", "Coriophagus", "Petalophyllaceae", "Garrulus", "Petrobiinae", "Procharista", "Pherallodichthys", "Roscoea", "Agathocles", "Ceronema", "Katissa", "Ptocholellus", "Anaeromusa", "Ansonia", "Diaphanidae", "Dimeatidae", "Rubroscirus", "Thyreodon", "Decorsea", "Sarcoptidae", "Areotrachelus", "Cheliferoidea", "Trichonectria", "Embertoniphanta", "Meleneta", "Schoettella", "Macrozoque", "Micronoctuidae", "Dalmosanus", "Andrenosomini", "Lygephila", "Sphaerotheriida", "Phthartomicrus", "Diaporthomycetidae", "Olenelloidea", "Otogornis", "Deuterotypus", "Scybalicus", "Biokovobythus", "Alnetoidia", "Protomerus", "Cryptopharyngidae", "Foveolina", "Cystopteris", "Uncinocythere", "Lithodermataceae", "Silvaroo", "Takayanagia", "Euamoebida", "Haplonazeris", "Plagiodiscus", "Ipheion", "Simulium", "Tanygnathinina", "Camelineae", "Apatococcus", "Chaetagonum", "Guildfordia", "Zetona", "Triaenorhina", "Neocirrhites", "Dendroplex", "Lyrellaceae", "Acerbas", "Prospaltella", "Sturnira", "Grammoechus", "Ceratrichiini", "Mislocatus", "Nematocryptus", "Acanthonotozomoides", "Macrotermitinae", "Arcoscalpellinae", "Epiannularia", "Songthela", "Cardiobothrium", "Promecognathina", "Calyptrion", "Cenocoeliinae", "Fusinus", "Brachygnathellus", "Parabrotulidae", "Dendrosoter", "Helluonidius", "Gesnerioideae", "Pinostygus", "Campsurus", "Crossopterygeae", "Henriquezia", "Trochamminula", "Tornatellininae", "Cyclocybe", "Tholosininae", "Titanomis", "Parasolymus", "Dinodriloides", "Meruacesa", "Itea", "Aphanostephus", "Baillonella", "Lirellidae", "Lagenias", "Pselaphopluteum", "Coleobonzia", "Longistigma", "Culapa", "Haplodasya", "Nothocrax", "Masneretus", "Simplicispira", "Orpha", "Nitrolancea", "Rindgenaria", "Pteronotus", "Orthophylus", "Macroderma", "Cienfuegosia", "Echidninacea", "Palophagus", "Bonfilsus", "Hererolandia", "Pucciniomycetes", "Chordodasys", "Elseya", "Busseola", "Zygopteridaceae", "Protosuberites", "Euciodes", "Pholeodytes", "Ectenessa", "Tubirhabdus", "Pehria", "Herbulotedra", "Hydrobiinae", "Changea", "Choristidae", "Cirriemblemaria", "Capitonius", "Pseudogemma", "Calleidina", "Unitendina", "Ljunghia", "Kelleronia", "Plocamopherus", "Amblycerus", "Leucaspidini", "Aeginopsis", "Consolida", "Agathilla", "Mediumiugamiini", "Mysolius", "Anabunda", "Umeqi", "Ptilostomus", "Dosilia", "Megalurus", "Sepiadariidae", "Moeros", "Plectropterus", "Juninia", "Temnurus", "Octadecabacter", "Clarkichthys", "Smilacina", "Tegulaster", "Diacrodon", "Anguillarieae", "Nandina", "Servetia", "Hylodesmum", "Vermilynx", "Rhopalodiales", "Myrmecocichla", "Psilopteryx", "Euzebyales", "Orongia", "Diplostictus", "Cyclocotyloides", "Flavocillium", "Pavania", "Gravellina", "Crossopsorella", "Miogonates", "Synapseudinae", "Silvaphilus", "Springeratus", "Peltularia", "Proclithrophorus", "Muscimantis", "Turnerella", "Aleochara", "Schizodactylidae", "Promecosoma", "Parasmittina", "Haplaraeidae", "Heterothyonidae", "Spilaethalida", "Echyra", "Pyrrhopyge", "Psoquilla", "Neonitocris", "Xestia", "Euprosthiostomum", "Zabrosa", "Difficilina", "Carolibrandtia", "Dolerotarsa", "Ogcocephalioidea", "Myrmigaster", "Yakovlevina", "Rhathymus", "Syneurycope", "Kairuku", "Relindellidae", "Pearsonothuria", "Tragogomphus", "Phylica", "Mamiellophyceae", "Lutodrilidae", "Pseudoaclisina", "Gungnir", "Phityogamasus", "Micrantha", "Homethes", "Cimmerius", "Indoprotaetia", "Parolamia", "Brentiscerus", "Eccremidium", "Gugheorites", "Micropterix", "Acridoidea", "Trichocanonura", "Toxidia", "Nivalios", "Thiococcus", "Neoepaphra", "Shamuheruna", "Savarna", "Afrovannius", "Tremotylium", "Erichia", "Teranga", "Sphenacodon", "Thallinocarpon", "Salaziceratinae", "Tridiplous", "Platysiphon", "Henonia", "Montrichardia", "Pachydesus", "Oreogria", "Paratropes", "Actinomminae", "Taphaeus", "Dictyochloridaceae", "Oplonia", "Megathous", "Podobothrus", "Opephoropsis", "Elsholtzieae", "Feldmannius", "Paratrachydini", "Psammothidium", "Trichodiscininae", "Apterygiformes", "Caulodendron", "Vesicomyidae", "Chrysomphalus", "Uropoda", "Megalota", "Prasiola", "Chlorallantus", "Pseudohyalodiscus", "Cetonischema", "Clitaetra", "Habranthus", "Taprobanea", "Tactusinae", "Cricetodontinae", "Parathystas", "Ostropales", "Mesoendothyridae", "Bryopsida", "Falsispeculinae", "Angiopteris", "Pseudorichia", "Costomedes", "Xylinadini", "Arthoniales", "Hoplandrothrips", "Amphicarpaea", "Pihiella", "Discocentrus", "Palmodictyon", "Cytocupoides", "Peleophycus", "Pukeuria", "Pachytrachelus", "Lenticulininae", "Caldubotys", "Brachysyntexis", "Nesolestes", "Nepa", "Tauridiana", "Coelotilapia", "Histeromerinae", "Djadochtatherioidea", "Sinoclavigerodes", "Hoplophorella", "Cryptoderma", "Yorkeica", "Pseudorhaetus", "Cowanomyia", "Tillieria", "Acanthogilia", "Manticorini", "Bilorum", "Bothriderini", "Psilaspilates", "Cupaniopsis", "Prasonicella", "Conicorbitolina", "Empitrombium", "Colpodellida", "Acanthochelys", "Antalaha", "Chorisochismus", "Discodermia", "Zollingeria", "Jungermanniineae", "Aulosaphobracon", "Thecopsella", "Pachythonina", "Actinotrophon", "Trinitella", "Koyamaea", "Macrotocinclus", "Rutidosis", "Pseudoanthidium", "Lithobieae", "Anthidulum", "Wesmaelius", "Scutacaridae", "Antidaphne", "Astephus", "Isonychus", "Fimbrora", "Wyulda", "Hydrobasileus", "Traillochorema", "Gomphaceae", "Acanthedra", "Amygdaloptera", "Helluoherpia", "Anoplognathini", "Scorpaenodes", "Discocotylidae", "Mitrariinae", "Modestobacter", "Tongeia", "Erythrinidae", "Neozatrephes", "Afroaster", "Melanaphis", "Atanaupodus", "Fasciodontia", "Maorizetes", "Dictyoloma", "Rumarcanella", "Spelaeovulcania", "Boganiidae", "Monoceratuncus", "Agrypnetes", "Leucocraspedum", "Microlongichneumon", "Silicomassilina", "Novonothrus", "Neogalumna", "Myxexoristops", "Macrochloa", "Embrithopoda", "Anilioidea", "Kirkbridea", "Meloidogyne", "Palaeoleptidae", "Australutica", "Epermeniidae", "Braunsiella", "Panphagia", "Kamimuria", "Emarhendia", "Asticcacaulis", "Crassicorbisema", "Leto", "Heterachthes", "Rhinophichthus", "Myrmeleontidae", "Phumosia", "Oriastrum", "Julidochromis", "Osachila", "Moythomasia", "Eoabelisaurus", "Oryzias", "Ramisia", "Physospermum", "Crossomeles", "Eocristellaria", "Petrobiellus", "Barybryaxis", "Bacescapseudes", "Neommatissini", "Triplonychus", "Asarta", "Perilissus", "Parietarieae", "Watermenia", "Pseudoturbanella", "Cooloola", "Bogorovia", "Membracoidea", "Philodoria", "Hebrus", "Schottarum", "Pentacyphus", "Cryptomyinae", "Campylopyxis", "Marteiliidae", "Dictyosphaeria", "Agathobacter", "Hellenocyclina", "Pristiceros", "Taskiropsyche", "Boreolithon", "Anagraphis", "Parevander", "Metailurini", "Peripsychoda", "Thecacineta", "Dussia", "Gillenieae", "Cotigaonopsis", "Symphylella", "Ramilia", "Maseochara", "Artonini", "Ampullofolliculina", "Auladoria", "Metzgeriales", "Chomataster", "Hoplocoryphinae", "Spininola", "Megonychiusa", "Brachinulus", "Limida", "Percnobracon", "Helconichia", "Adiastulus", "Anhoraeomorphus", "Centromerus", "Ribeiroia", "Carapa", "Degiella", "Theophrasteae", "Notocephalius", "Parapontophilus", "Akbesia", "Setigeroclavula", "Diplocheila", "Brachybembras", "Amauroderma", "Ascioplaga", "Acrolepiinae", "Eotrichocera", "Isoetidae", "Graptophyllum", "Lenormandia", "Herichthys", "Monotoideae", "Heliocheilus", "Bdellorhynchus", "Vexillarius", "Stylogymnusa", "Elaphocerella", "Ledophora", "Neophoca", "Daguerreacridini", "Plagiochilaceae", "Dacryotrichia", "Bolandra", "Nannodromus", "Thiospirillum", "Gammarellus", "Occasjapyx", "Microscalabotes", "Ebrietas", "Parabolbocoris", "Alycosmesis", "Mimothelais", "Pseudolestes", "Diamantomyidae", "Empetrichthyinae", "Savchenkoiana", "Eiconaxius", "Diophrys", "Dicromantispa", "Afrocelyphus", "Erethistoides", "Paraguitelia", "Globularica", "Zosiminae", "Salanoia", "Gracillariidae", "Rousseaceae", "Atopomelidae", "Sosibia", "Humerobates", "Cecidioskyttea", "Chrysosomatini", "Cryophlebia", "Atritermus", "Strigia", "Haraldiophyllum", "Augaptilidae", "Malouetiinae", "Vaseyanthus", "Spinoleiophyllites", "Centrotrombidium", "Parathalassiinae", "Subtilisphaera", "Luffinae", "Ditrichum", "Gnathobracon", "Parabathippus", "Sibogaster", "Aerophilus", "Leandriella", "Nesotheca", "Planigale", "Derilissus", "Mecomycter", "Eryniopsis", "Eremomela", "Neoanagraphis", "Macroporidae", "Iridoclava", "Pycnocrypta", "Philorhizus", "Caripetella", "Schinopsis", "Heronimata", "Chlorochrysa", "Raphanus", "Hungarohydracaridae", "Palpada", "Bothrostethus", "Cryptorhamphus", "Endophthora", "Madecacesta", "Physocladia", "Allittia", "Caustis", "Aurospora", "Ptyctodontidae", "Coelotinae", "Baeoentedon", "Waimanu", "Urothrips", "Heterocladia", "Polyrhiza", "Blossiinae", "Tasmacetus", "Xenidae", "Malgassoclanis", "Heliozoa", "Chilomonadidae", "Patromasia", "Gonospileia", "Dipterygeae", "Merocystis", "Pennygullaniidae", "Pedocotyle", "Kopsiinae", "Yunqueinae", "Argentipallium", "Extenuoptyophis", "Jumelleanthus", "Psycheotrephes", "Buryella", "Ptychopteroidea", "Vellozia", "Pseudohormius", "Baeocoris", "Corhiza", "Onerunka", "Doliobothrium", "Marojejya", "Ronnbergia", "Rhynchomitrini", "Glandonia", "Trogini", "Euantennariaceae", "Thymelaeaceae", "Eucommia", "Cerelpemma", "Sanidastra", "Ersachus", "Ischnomesidae", "Drulia", "Helicius", "Conioserica", "Epitrioza", "Cerenopini", "Sosippinae", "Isometrus", "Spinareovirinae", "Argyrotaenia", "Sorghastrum", "Tachymenis", "Paratetrahymena", "Hurius", "Euthyneura", "Labidostomis", "Veraphis", "Atylana", "Litosomini", "Macrothelinae", "Lexias", "Secchius", "Mairetis", "Adenoviridae", "Syllis", "Provasoliella", "Spermolepis", "Megaceramis", "Asiohahnia", "Cocculinika", "Iotrochopsamma", "Amphipoea", "Medisores", "Ctenodes", "Euteutloporella", "Myzozoa", "Sediminibacter", "Pilobatella", "Eumerus", "Citharognathus", "Francisparna", "Alphamphistoma", "Fischerinellinae", "Merceya", "Lundinia", "Anisochilus", "Hydrochoerus", "Habrobracon", "Kilifia", "Tautocerus", "Atamatam", "Stenotrupis", "Oligochoerus", "Bacilloflagellomera", "Hebecerini", "Caleta", "Amphimelissa", "Phthanoconis", "Hapsidopteris", "Sextonia", "Trachyzelotes", "Criodrilus", "Hylarana", "Oxaenanus", "Arthrophallus", "Neblinantha", "Burmonyx", "Aconurella", "Gnathoceraphron", "Mycalesina", "Horaglanis", "Carinocarcinoides", "Basilicum", "Cytheropteron", "Afrobrachida", "Hardingia", "Neothyrus", "Proboscia", "Mantilia", "Cyathosoma", "Pantylidae", "Nummulites", "Eutromula", "Stephanometra", "Cnemotriccus", "Borkhausenia", "Popovia", "Aegomorphus", "Mimosiphonops", "Ninidae", "Paraduba", "Protopaussini", "Minidiscus", "Pseudoziziphus", "Ptychodera", "Baikalospongia", "Amblygnathus", "Eunemadus", "Rebinea", "Australophyllum", "Hyarias", "Brimosaurus", "Vesicularioidea", "Halesus", "Scorpiurus", "Leptachillia", "Acanthinoderini", "Trachycaulus", "Percichthyoidei", "Heissiella", "Kerkiratrobius", "Terenthina", "Warrumbungle", "Violaceomyces", "Nomaua", "Hyattella", "Lyperanthus", "Thelidiopsis", "Zoophthorus", "Peucoglyphus", "Catarrhospora", "Cetanthura", "Stomacis", "Philopteridae", "Amblomma", "Endeis", "Evolvocassidulina", "Pacholatkoa", "Phascogalini", "Dysmicoccus", "Bradyagaue", "Schizothoracinae", "Mathiasella", "Rororthosia", "Heliothinae", "Piabuna", "Larrina", "Tungurahuala", "Ischnea", "Ecthoea", "Geocentrophora", "Platandriina", "Leptorussini", "Saturnia", "Stauroptera", "Chostonectes", "Phantazacla", "Probeyeria", "Rhodovibrio", "Beccariophoenix", "Heinsia", "Darmana", "Parahydriena", "Arietelloidea", "Pachydyta", "Syntrophobacter", "Nephelotus", "Afreminae", "Ianeirina", "Nesiaptera", "DMBPKNU", "Ammothea", "Pachycoleus", "Hamartia", "Motherwellia", "Fowleria", "Nepetinae", "Oxythaphora", "Helgicirrha", "Mesoscincus", "Peperomia", "Henicorhina", "Aoratosema", "Naenia", "Polypodium", "Pachyodontus", "Moullava", "Allowoodsonia", "Scolopama", "Phantolabis", "Swansonella", "Rhytida", "Pittosporum", "Amphiprora", "Megatrupes", "Allophrynidae", "Micropternus", "Angelonia", "Protesilaus", "Rhinocephalus", "Hyginus", "Amaurina", "Hebecnema", "Farreidae", "Gelonus", "Dermothrius", "Angulogavelinella", "Leptocladium", "Aulogymnus", "Stegocephalinae", "Colquhounia", "Homoeoprepes", "Hypophthalmus", "Vampyrellidae", "Roseibacterium", "Probolisca", "Carcassonnella", "Aberomysis", "Pronomaeini", "Eurodoliopteryx", "Hemiberlesia", "Neoapolorryia", "Aristerostoma", "Micrantereus", "Julolaelaps", "Otideaceae", "Aganeuma", "Menkokia", "Africasia", "Semichnoodes", "Lepchina", "Tricheilostoma", "Cybianthus", "Kevinhydea", "Drepanochthonius", "Loropetalum", "Cyphaleus", "Trinchesiidae", "Pseudodarwinella", "Metatinea", "Ferrocryptus", "Carinophylloceras", "Harpirhynchinae", "Polypodiophytina", "Murphyanella", "Stylolina", "Neoacanthoneura", "Orthurethra", "Zambion", "Cryptostomata", "Anaerosporobacter", "Homalozoonidae", "Chitiniphilus", "Guyanemorpha", "Falliellus", "Miksicoprotaetia", "Polyarthra", "Ironomyiidae", "Pyrrhalta", "Promacrolaelaps", "Sinochasea", "Xenopleura", "Eupalelius", "Bohemiellina", "Coccidiphila", "Erythrophylloporus", "Dasypogonaceae", "Quadriptilia", "Opistognathotrema", "Baeturia", "Paradolichoctis", "Rhabdosira", "Metaplectodes", "Unwindia", "Mexigidiella", "Anulidentaliidae", "Carpolobieae", "Harmilla", "Chelariini", "Aurelia", "Pseudomaladera", "Neopleurostomella", "Neorchesia", "Palaeotoma", "Ancistomus", "Exallidius", "Catenochytridium", "Mitrococcus", "Tasmabates", "Helluopapua", "Vibrionimonas", "Rhizomicrobium", "Brachyuromys", "Pseudoprobaticus", "Theocorys", "Haderonia", "Arsipoda", "Ptilocephala", "Maritimimonas", "Psileula", "Desmidophorini", "Pygora", "Stumpffia", "Rugogastridae", "Camarhynchus", "Pupopsis", "Napecoetes", "Chilinidae", "Ptereleotrinae", "Pectinariidae", "Pseudocalea", "Stenocyamops", "Tritrabidae", "Evergestinae", "Nipponovalgus", "Pachylocerus", "Webbina", "Veretillidae", "Proboscidactylidae", "Diacosma", "Aporodrilus", "Greenomyia", "Developayella", "Cassouodes", "Asperoseius", "Toarcolepas", "Monanthochloinae", "Trichinopus", "Cyclostrongylus", "Xenocaucini", "Caradrina", "Diastobranchus", "Scleropogoninae", "Struthidea", "Prionosciadium", "Myrmecocephalus", "Eriocaulago", "Benthophilus", "Chondrina", "Homalopsoidea", "Dorystoma", "Borboridea", "Thita", "Hancockiidae", "Anillopsidius", "Zea", "Ochrota", "Paramyxoides", "Mucrencya", "Mesoleptobasis", "Strophocheiloidea", "Axocorys", "Asiascopaeus", "Chamaerops", "Murinocardiopsis", "Cerithium", "Ferroglobus", "Kladotyphlus", "Rumellini", "Coccus", "Procyliosoma", "Lachnagrostis", "Arandaspididae", "Antidesmatinae", "Ascidicolidae", "Pylaemenes", "Chamaechaenactis", "Sphaeroderus", "Neolenticulina", "Tramiathaea", "Dendrocolaptinae", "Pentorchis", "Hypulini", "Elasmopoda", "Corbulidae", "Limnogale", "Lauderiaceae", "Nemertinoides", "Cribroparrella", "Lagynophrya", "Yoshidaphycus", "Filoreta", "Crisilla", "Leprocaulaceae", "Budvicia", "Odontogammarus", "Woytkowskia", "Septloculina", "Priceomyces", "Saperdini", "Paracyphea", "Sestronophora", "Phasis", "Parascelus", "Thyroscyphus", "Glechon", "Aragea", "Ferreyrella", "Theloderma", "Renicaula", "Hyalinonetrion", "Cypriniformes", "Moniliellales", "Coccomyxa", "Rhypodes", "Zabrina", "Tolypaspis", "Eugalta", "Spumellaria", "Ascionana", "Tuxenentulus", "Pilostenaspis", "Drosophilina", "Dirphiella", "Tuberculodinium", "Acanthostigmella", "Rhoicospheniaceae", "Abreae", "Fasciolariinae", "Pseudomonospilus", "Neobrownliella", "Ophiomedon", "Distoseptisporales", "Grastidiinae", "Pareugyrioides", "Antinoria", "Hyboptera", "Lithobates", "Austrolimnius", "Fustis", "Limulosella", "Platystacus", "Wendilgarda", "Chirorhynchobia", "Syntrichalonia", "Zorotingis", "Zipoetopsis", "Dipodarctinae", "Krohnittella", "Brassiella", "Allolepidapedon", "Cossyphicula", "Rudisiriciinae", "Tactusa", "Anoronotum", "Dioctriini", "Hexastylis", "Iresina", "Stenobiini", "Hedylopsis", "Addisoniinae", "Claviramus", "Oxalidales", "Cronartium", "Phliantidae", "Lasiopsis", "Chrysophyta", "Benala", "Oedignatha", "Ueckermanniella", "Beckeresia", "Prototyphlus", "Neolarnaca", "Citeromyces", "Turinyphia", "Platanista", "Aphodopsammobius", "Meranoplus", "Rhodocharis", "Cactopinus", "Xiphaspidinae", "Blastodiniaceae", "Amandalotus", "Aubrevillea", "Spheropistha", "Thiania", "Furcatopanorpa", "Crassacantha", "Spondyliaspidinae", "Pselaphanus", "Cypridinellidae", "Melliolini", "Nilio", "Psilomastax", "Neorhodomela", "Sciomystis", "Holomenopon", "Butia", "Asthenorhynchus", "Dormitator", "Altensteinia", "Psocus", "Paramorganiella", "Physochlaina", "Xenopus", "Schlimia", "Xalocoa", "Isopterygium", "Himerarctia", "Paraphyma", "Malasigalphus", "Chraspedops", "Cobosella", "Camptocera", "Celothelium", "Abies", "Phileucourtus", "Aglaonemateae", "Echiurus", "Messelepone", "Eurysquilla", "Hymenochaetales", "Graneledone", "Zelandothyadinae", "Kocuria", "Rhadinophis", "Philacta", "Siphonoferidae", "Tydulosus", "Kimocestus", "Ateleia", "Chelacheles", "Dendronotus", "Rhigiocarya", "Katerina", "Milneviricetes", "Drepane", "Caecincola", "Acantorna", "Entomocorus", "Hexophthalma", "Anoplogenius", "Dendroctonus", "Discoceps", "Sinofeluva", "Boninia", "Gnophodes", "Hystrichosphaeridea", "Kajewskiella", "Campodesmidae", "Chloroceryle", "Morocconus", "Colpochelyne", "Kishinouyea", "Alluaudellina", "Cussia", "Sulzbacheromyces", "Poecilochrus", "Brandtodinium", "Sematuridae", "Pseudogymnosolen", "Hybocoris", "Dictyosteliidae", "Disogmus", "Genyomyrus", "Kephyriopsis", "Dracunculidae", "Gangarides", "Syrmaticus", "Maniraptoromorpha", "Heteroonops", "Stygamoeba", "Willughbeia", "Attagenus", "Microneura", "Baissoferidae", "Boulengerina", "Hoplistomerus", "Pseudogarypidae", "Storosa", "Papuamyr", "Joyeuxiella", "Baeotingis", "Trochita", "Banji", "Entomobrya", "Sphaerosoma", "Leptotrichiaceae", "Masuzoa", "Aracanidae", "Desulfobacca", "Sellimonas", "Bombyciella", "Zermizinga", "Howchinella", "Ernstillidae", "Parafimbriaria", "Crenobia", "Probolomyrmecini", "Brachylaimoidea", "Pisces", "Cyamosa", "Chaetopappa", "Millettiidae", "Grunowia", "Elephantimorpha", "Pygarrhichadini", "Calliphylloceratinae", "Rhopalopoditius", "Apophyllum", "Mecopus", "Notodontinae", "Mereschkowskiella", "Geralycosa", "Ereynetidae", "Bossiella", "Arothron", "Bythocrotus", "Holmanella", "Ammoelphidiella", "Myrsinus", "Ectatops", "Pseudomesochra", "Ophiurida", "Lamellocepheus", "Fulviocylapus", "Buprestina", "Valgothrombium", "Remartinia", "Lycodes", "Leptinla", "Gekkonoidea", "Exoeolus", "Clypeodrepanus", "Endopappus", "Ancistranthus", "Turrilinoidea", "Spelaeiacris", "Polystoechotites", "Spirochonidae", "Beella", "Paenecalyptonotus", "Austrophotismus", "Phytoptus", "Mopalia", "Metaxina", "Oxyothespini", "Vitorfus", "Dorylonannus", "Pseudochalcotheomima", "Amphiledorus", "Methanoculleus", "Kallihemerobius", "Paloniella", "Berothella", "Entyloma", "Neopseustoidea", "Lithostrotus", "Phonotaenia", "Eogorytes", "Paramedmassa", "Backhousieae", "Cleisocentron", "Apoliga", "Ethopolys", "Allopeza", "Bathygadus", "Thorlaksonius", "Itaituba", "Arahura", "Muhlenbergiinae", "Craibia", "Ascoseira", "Auriscalpium", "Radhades", "Moltena", "Paleoanguimorpha", "Apteroloma", "Cambretina", "Saltipedis", "Lebanoretes", "Butozania", "Zercon", "Alacuppidae", "Neohuttonia", "Pseudoswammerdamia", "Teratosphaeriaceae", "Zuninoeus", "Creseidae", "Apis", "Stethojulis", "Pachnobium", "Spinosatibiapalpus", "Rhabdidae", "Gloydius", "Micratheninae", "Oxygonium", "Axion", "Armagomphus", "Euharmophola", "Franklandieae", "Sulcomarinula", "Jardugia", "Akkesiphycus", "Witenbergiinae", "Haliotrematoides", "Orientogomphus", "Marinilabilia", "Apothosia", "Odoniella", "Thamniolum", "Phassodes", "Heliosia", "Eurysquilloidea", "Hexapterella", "Tyndaris", "Synsiphonium", "Xenaclopus", "Eremogeton", "Nesocyrtosoma", "Solpugeira", "Cysteochila", "Wauchula", "Echinax", "Graphoraglius", "Listropsyllinae", "Coryphista", "Plectrophora", "Kasparyania", "Serrundabracon", "Catophragminae", "Joppocryptus", "Kurzamra", "Anodocheilus", "Brachiopsilus", "Pararaneus", "Molluskocystis", "Barrymooreana", "Eucorymbia", "Cryosignum", "Bactrothrips", "Phyxioschema", "Paralimnini", "Rauniella", "Rhachistoplia", "Neocnemodus", "Granulochloris", "Eurypinae", "Baculogypsina", "Zaphanta", "Samarangopus", "Panaeolina", "Ptygmatididae", "Acropeltates", "Pilosa", "Klotzschia", "Waematau", "Katianira", "Mesoceros", "Amazona", "Competibacteraceae", "Eupyrrhoglossum", "Neanops", "Psammosteidae", "Raspailia", "Chamaepsephis", "Tadehagi", "Platycarpum", "Siphoninidae", "Rhembobius", "Dreissenoidea", "Astrophyton", "Cerastipsocus", "Bishopiana", "Parmenolamia", "Nesospiza", "Paratornoceras", "Postgaardea", "Dasycerus", "Hypomecus", "Ophryoglenida", "Gymnopodieae", "Hexamastix", "Amphibdelloides", "Pseudopronorites", "Caulobacteraceae", "Oxygnostis", "Paratriodonta", "Barchaniella", "Nemertoscolex", "Planitorini", "Australimosina", "Queinnectrechus", "Lissoeme", "Tatuidris", "Enchytraeoidea", "Eryonidae", "Harpephyllum", "Neoplacodoma", "Cordulegastridae", "Hopliocnema", "Aureopterix", "Vitirallus", "Lanzavecchia", "Burkholderiaceae", "Luteolibacter", "Porrectolethaeus", "Glaucosphaeraceae", "Calamactis", "Quinta", "Balsamocitrus", "Chelinideini", "Rapateaceae", "Roseisalinus", "Rondostreptus", "Brachypicritus", "Mexistrophia", "Clavochytridiaceae", "Haplotinea", "Ziegleria", "Pseudonitophylla", "Emarginulinae", "Allophryne", "Selengarhynchinae", "Scytonematopsis", "Neotyropsis", "Monostichoplana", "Kormilevida", "Lubricogobius", "Favoporella", "Stomatepia", "Krotapholemon", "Indiella", "Oxycoleus", "Neoligorchis", "Holarchaea", "Abbalomba", "Doa", "Hauerinidae", "Hemiodus", "Leptictidae", "Pseudogloboquadrina", "Protothymallus", "Halopterididae", "Polysentor", "Teloschistopsis", "Brachylobopyga", "Nippolimnophila", "Pseudoplatystoma", "Alliphis", "Paropisthius", "Apaustina", "Sepietta", "Nayariophyton", "Earlandioidea", "Oraesia", "Lagothrix", "Briggera", "Parephedrus", "Sharfia", "Karakaschiceras", "Schiffornithinae", "Dorcatoma", "Aegopsis", "Massilinoides", "Ascomorpha", "Ambalavoa", "Bolbophites", "Lundbladiolla", "Aloysia", "Hapalogenys", "Lachesillinae", "Abyssophilos", "Telsidae", "Sollasites", "Artheneinae", "Armylaena", "Kastovskya", "Enceladus", "Medullosales", "Artisphaeridium", "Diacria", "Stethobaris", "Tityridae", "Metharme", "Acrotome", "Caldisericaceae", "Psychophora", "Gahniacarus", "Rhabdophyllum", "Ochthodium", "Werthella", "Timmiella", "Emilia", "Thyreocoridae", "Cladopyxidaceae", "Amphiops", "Testechiniscus", "Vallitalea", "Oxyhammus", "Octolabea", "Stegnaster", "Ethmidium", "Corlissia", "Pavesiella", "Phacotus", "Faucherea", "Neocorini", "Amazonacarus", "Tachinaephagus", "Coronellina", "Pyramimonadophyceae", "Melicytus", "Stichobasini", "Lepistemon", "Bryodema", "Tritaphros", "Oriolidae", "Neotournieria", "Itoa", "Ithyporini", "Atlanticellidae", "Psiloceratoidea", "Henricohahnia", "Rafrhisis", "Leptostylus", "Stoibrax", "Leonia", "Amesiodendron", "Kogiidae", "Austrosalpingus", "Petrosaspongia", "Agnostotes", "Sinahemeroscopus", "Bavia", "Enedreytes", "Odontaspididae", "Gondwanatitan", "Heterodorus", "Thorybopus", "Calliopiidae", "Scybalium", "Ctenoplectrellini", "Enicoeme", "Thinocorus", "Giuris", "Acanthocerini", "Fredericella", "Titanophyllum", "Axophyllidae", "Schelhammera", "Cubitermitinae", "Crinopteryx", "Amphithoides", "Calyozina", "Leptopoecile", "Sidydrassus", "Flexispira", "Pineda", "Ditrema", "Lepidospartum", "Semolina", "Aeolothripidae", "Perisincirra", "Neoabbottiella", "Cosmiomorphomima", "Apotomus", "Bekomiforma", "Teneriffiola", "Lareiga", "Panstrongylus", "Paraeupalopsellus", "Allophileurinus", "Euryclasper", "Dolonagrion", "Charonia", "Ambadra", "Edwardsiana", "Enoclerus", "Orthomiella", "Passalini", "Serrulinini", "Achyra", "Paranillochlamys", "Caucasorites", "Distichocera", "Auxesini", "Latecella", "Perama", "Hypoblepharina", "Tetralocularia", "Happia", "Enyaliopsini", "Aspidiphorus", "Melanorivulus", "Neohydnobius", "Amphistichus", "Willeella", "Crypticerya", "Termatophylidea", "Psallidiini", "Galerucini", "Aphractini", "Sacada", "Hipporhinini", "Protosiris", "Dichotropis", "Euoplos", "Atractantha", "Dinica", "Milesiini", "Chuniophoeniceae", "Simanthedon", "Malasseziales", "Cephalopterus", "Cleonaria", "Phthiracaroidea", "Caporiaccosa", "Pseudopontophilus", "Palaeonaricidae", "Protognorisma", "Nubiolestes", "Himalagria", "Tobiasites", "Berndamerus", "Paraclodia", "Neeopsis", "Anomalomydas", "Malayloeblius", "Aurivela", "Pareospilarctia", "Pterygotidae", "Stictodesmis", "Paratanaupodus", "Encyrtus", "Hirasea", "Nidema", "Wallemiomycetes", "Oriolella", "UFAC", "Polylepion", "Placoeme", "Pentagonatopus", "Epacrideae", "Trachypleustes", "Vaillantella", "Chonotrichida", "Neogardneria", "Megocalea", "Melinopterus", "Termitobaena", "Alogolykini", "Bionia", "Corynocarpaceae", "Mandrillus", "Nakamurellaceae", "Pinnotherotonia", "Anacolosa", "Nonnus", "Chromagrion", "Tortopsis", "Nacholapithecus", "Zonosaurus", "Rigga", "Philonthoblerius", "Panaphidina", "Ischyromene", "Cassinopsis", "Neritoidea", "Endytocera", "Darwinivelia", "Oarisma", "Uropappus", "Berghoffia", "Planispirillina", "Mimotriammatus", "Balamuthia", "Belostomatinae", "Guttulina", "Hexatrygon", "Christia", "Syntomoides", "Scolymus", "Koyamaeae", "Liptena", "Tabanosoma", "Homoscelis", "Endocoelantheae", "Chondrininae", "Campylosphaera", "Symplectella", "Neodomene", "Macromorphus", "Kisseleviella", "Biblidini", "Fitatsia", "Cheniella", "Tricrista", "Sameioneis", "Thoracophoracarus", "Metacapsifer", "Sclerostomus", "Homopisalia", "Gracilimiris", "Learamoeba", "Theramenes", "Aplocnemus", "Wesolowskana", "Antequera", "Apherusa", "Dorypygidae", "Theatrista", "Ichthyostraca", "Heterolocha", "Neoconger", "Eubulides", "Parlax", "Sturmiidae", "Saltirius", "Chironopecten", "Descurainieae", "Acroricnus", "Pyrenacantha", "Rivudiva", "Alacuppa", "Senta", "Afropeza", "Oedenoderini", "Dinoclonium", "Valdanchella", "Standfussia", "Acanthinomerus", "Kohleria", "Ebenavia", "Bicyclus", "Heterocnephes", "Nothotalisia", "Hyalogyra", "Thacona", "Liliatrematidae", "Kolana", "Euilyoida", "Cryptothylax", "Stylodactyloidea", "Apsidophora", "Calotrachytes", "Lobularia", "Akeroidea", "Iliana", "Travoscolides", "Togea", "Suggrunda", "Emphania", "Hymenostyliella", "Pselaphocerodes", "Euxiphydria", "Scythropiodes", "Aporcedorus", "Clusiaceae", "Actinochlamydiaceae", "Pseudanthus", "Miyabeaceae", "Agabetes", "Cyclolithus", "Mimoleiopus", "Corsoncus", "Cucurbitaceae", "Dasia", "Apteroe", "Phlebolepidiformes", "Cordulisantosia", "Omalotheca", "Embrikillium", "Echinodera", "Pachytrichini", "Neodixa", "Frontimiris", "Stenopegylis", "Woodruffia", "Panjange", "Amorphosternus", "Thalassarachna", "Myodocha", "Phaeopanus", "Utahraptor", "Trauliini", "Benguellia", "Pycnothelia", "Megalobrimus", "Spathandra", "Acnemia", "Laonidae", "Phacographa", "Holcojoppa", "Ferrojapyx", "Perroudius", "Tolyposporella", "Mesosa", "Pemmation", "Parafaronus", "Palaeonympha", "Stoliinae", "Godartiana", "Rhinebothroides", "Gelonieae", "Channallabes", "Holmbergia", "Lophosoria", "Neritariinae", "Mimotropidema", "Corythodinium", "Peipiaosteidae", "Lasianthera", "Tarwinia", "Ammoxenulus", "Physocalymma", "Homeotydeus", "Crepatura", "Vietnamoprotaetia", "Telodorcus", "Mene", "Calameae", "Latiphea", "Strigamia", "Neospongiococcum", "Patagopterygidae", "Indopatrobus", "Stelechocarpus", "Kowalewskiella", "Megabalaninae", "Jodia", "Montesia", "Chrotogonini", "Pleurozia", "Bilirania", "Pseudanabaenales", "Limaciopsis", "Helicobolomyces", "Barnea", "Astatinae", "Parotoplaninae", "Atronectria", "Nosocomiicoccus", "Pseudogobio", "Ignotingidae", "Pseudoselago", "Termes", "Ochlesidae", "Stilostomelloidea", "Litarthrum", "Sittisax", "Oxycarenus", "Tetralix", "Parablabicentrus", "Spiculosiphon", "Pitheciidae", "Coemansia", "Dubyaea", "Ischyrocerus", "Aotus", "Tetracarpaeaceae", "Protogrammus", "Euacanthellini", "Harpochytrium", "Megathyrsus", "Mapinguari", "Rygmodus", "Pelmatheta", "Cotyclytus", "Molytinae", "Wallaceodendron", "Origanum", "Morulininae", "Rinchenia", "Essonodon", "Paectes", "Centrovarioplanidae", "Lafystius", "Camaricoproctus", "Litinium", "Trichiolaus", "Jelinekia", "Scutellator", "Selenopalpus", "Theraps", "Cheilio", "Koruthaialos", "Lironobidae", "Cephalodasys", "Kairosidae", "Pachyplagia", "Eucocconotini", "Coccini", "Frostetola", "Sirpus", "Apocnosoides", "Whalleyanoidea", "Felovia", "Ameniscocephalus", "Schuurmansia", "Icanotiidae", "Tariqia", "Pterygotus", "Anomochone", "Kiyohimeidae", "Corallochytrea", "Caryocolum", "Hydropeza", "Dicercoptera", "Mesanthophorinae", "Conioselinum", "Schaferina", "Pileolus", "Ammosphaerulina", "Podolobium", "Aegyptocoris", "Iwaseozephyrus", "Philydraceae", "Notonectinae", "Pogonomys", "Bivesiculidae", "Mexiconiscus", "Gymnogyps", "Phatnoma", "Chernyshinellinae", "Cydamus", "Pompilus", "Phyllotreta", "Barytarbodes", "Cryptorhynchus", "Mystilus", "Salgadoia", "Bardotia", "Arrowcryptus", "Scaphidemini", "Tetradiclis", "Lebistina", "Euclasta", "Myophiomyidae", "Tomituka", "Hyalodiscaceae", "Orothamnus", "Amphilochus", "Camptotylidea", "Hyssuridae", "Hewitsonia", "Pseudodiaptomidae", "Pseudoastrosphaeriellopsis", "Sypheotides", "Obrienia", "Tibiospina", "Panyapedaliodes", "Halitiarella", "Scirulinae", "Anobinae", "Oxystelma", "Cedocus", "Proboscitermes", "Machilus", "Ambivia", "Hillerislambersia", "Phlogophorini", "Longoonops", "Dyschiridium", "Pterotmetus", "Cardiococcus", "Trigonarthron", "Cryphocricinae", "Pseudosphyrapus", "Varsoviella", "Pseudolasioderma", "Venusichthys", "Zygorhizidiaceae", "Vombatidae", "Mysis", "Ornistomus", "Phyllomimini", "Hodotermopsis", "Phylloxeroxenus", "Trinemura", "Aporiina", "Coccinistipes", "Melouromyia", "Eudera", "Paranura", "Johncouchia", "Paratelemerus", "Ethonion", "Oncerotrachelus", "Pseudaspidapion", "Micrella", "Porphyropsis", "Aegyptocetus", "Euryops", "Zophoessa", "Borborophilus", "Pocillomonas", "Myerslopia", "Komarovia", "Lucifuga", "Creagrura", "Neoptera", "Myospalacinae", "Turanogryllini", "Scotophilus", "Taiwanaphis", "Arcynopterygini", "Stenotus", "Eochelone", "Eumacrocentrus", "Hemigrapha", "Capodemus", "Clardeina", "Celsinotum", "Heteropsaltriina", "Pseudoschizognathus", "Nerula", "Alleuscelus", "Humphreyscandonini", "Sinatra", "Epameibaphis", "Hypulus", "Restesia", "Ahnfeltia", "Endotaria", "Xenomyrmex", "Malkaridae", "Andreaea", "Zosteraceae", "Pseudotritoniidae", "Dodecasella", "Cryptocheilus", "Shachia", "Aporocassida", "Macrospironympha", "Hologymnetis", "Falsischnolea", "Hymenophylloideae", "Eutoxeres", "Efferia", "Myiobius", "Cyclopoapseudes", "Aorangia", "Acanthovalva", "Gordonibacter", "Mucroplanidae", "Pseudovertagus", "Lepidocyrtoides", "Manicapsocidus", "Salagena", "Ancistrus", "Pausandra", "Solenidium", "Coxicerberus", "Epulaega", "Idiomelas", "Rolandrinae", "Cushmanella", "Hladnikia", "Pseudohauerinella", "Fedotartessus", "Patellaria", "Spilomyia", "Clypastraea", "Nicator", "Cirroplaninae", "Schartiidae", "Parentocirrus", "Asciodes", "Rynchopidae", "Cissus", "Myscelus", "Petalodinium", "Mastophoroideae", "Nanhaipotamon", "Batrisodes", "Gunungodes", "Popovophysa", "Loktanella", "Immersiella", "Homozeugos", "Nonpropodeum", "Stachorutes", "Lockerrauschia", "Megatritheca", "Togocetus", "Tachytes", "Trivirinae", "Percus", "Diospilites", "Schmitziella", "Phoenicopteriella", "Eyralpenus", "Phyllomitus", "Dissimularia", "Nanomysis", "Labutisella", "Sarpa", "Pselaphocompsus", "Globularieae", "Olacaceae", "Coleogyne", "Obrimini", "Disonychina", "Plectaneia", "Costellariidae", "Rehdera", "Monneoncideres", "Yllenus", "Boreidae", "Stephostethus", "Conulatae", "Cocrassana", "Rhadinocybini", "Ptaeroxylon", "Psychrophyton", "Polychasmininae", "Silphitrombium", "Longiflagrum", "Cylydrorhinini", "Dermogenys", "Deltarhynchus", "Pinochia", "Synteratus", "Mahasena", "Isanthribus", "Dextrogaster", "Tineidae", "Philipomyia", "Urostreptus", "Icteridae", "Trachypodopsis", "Paussini", "Smeringurini", "Zealachertus", "Graphipterini", "Aploceble", "Miropotes", "Taeniochauliodes", "Phallogastraceae", "Arctohedridae", "Foa", "Aneuretus", "Gametoides", "Corinnoidea", "Democricetodontinae", "Rhadinocythere", "Theodoxus", "Longigammarus", "Wasmannotherium", "Belonidae", "Mesometridae", "Acostia", "Succiniclasticum", "Ctenatheta", "Hubrechtidae", "Lychniscosida", "Achrina", "Petrohua", "Notodasus", "Tumerozetes", "Juraraneidae", "Anaphes", "Nonini", "Pampatheriidae", "Pleurostomelloidea", "Nimravinae", "Furcellariaceae", "Cicadocoris", "Eriphia", "Trilophidius", "Ohshimella", "Petalonema", "Oligella", "Lycomimus", "Allenbatrachus", "Parochetus", "Bemlos", "Nummodiscorbis", "Raputiarana", "Parspina", "Caproidei", "Cupressoideae", "Nuttallochiton", "Arbanitis", "Paralaxita", "Tomodon", "Synomelix", "Masaia", "Nucleotops", "Tarchonanthus", "Malayaplamius", "Allocryptobia", "Hibiscus", "Peristoreus", "Perlohmannioidea", "Fouskomenomyces", "Ammopiptanthus", "Bicarinocarcinus", "Warrenita", "Pettalidae", "Ctenaspis", "Aglauropsis", "Molestia", "Pterothamnieae", "Ctenidiinae", "Mecynidis", "Crinitaria", "Amoebidae", "Lichonycteris", "Cryptomyzus", "Synallaxis", "Ostrovus", "Prionaster", "Helvibotys", "Baeticoharpalus", "Clio", "Robustochelia", "Ectychini", "Cyrtisiopsis", "Hypaniola", "Arctium", "Gerrhosaurus", "Luciola", "Erastriusa", "Sphaerotrichia", "Durium", "Cybister", "Synaphridae", "Orycteropus", "Kaperangus", "Ebaeus", "Aprixokogia", "Centrogastocoris", "Chrysomelina", "Gemixystus", "Labidura", "Tridentiger", "Pseudosciaphila", "Micromasta", "Cerautola", "Artena", "Acanthodesmos", "Plasmodiophora", "Babesiidae", "Pleurotomariidae", "Pseudoflavonifractor", "Burseraceae", "Varicellariaceae", "Tekliades", "Thoracochirus", "Juryoecia", "Palaeopercichthys", "Rutherfordoides", "Picicnemidocoptes", "Panpulmonata", "Pristiphora", "Rhopalosomatidae", "Rosulabryum", "Hemicampa", "Leptostethini", "Pandanobasis", "Leatettix", "Boroka", "Caryosporella", "Phyllachorales", "Saniculeae", "Boultoniinae", "Eurometopus", "Stachycephalum", "Microcharon", "Fumonta", "Teratoscincus", "Pagurion", "Laxoseptabrunsiina", "Plioaphis", "Stalagmostethus", "Mesonychia", "Darwinulidae", "Oxyomus", "Prioniomus", "Lacistorhynchoidea", "Oligacanthorhynchida", "Balantiopsidaceae", "Idriella", "Montagnea", "Dentigonium", "Trepobatinae", "Capsiceae", "Discaria", "Acmella", "Palpomalium", "Aristella", "Conocrinus", "Palaeoheterodonta", "Cafolus", "Cordania", "Notodusmetia", "Onychojapyx", "Gymnaceria", "Melanopleurus", "Herminiimonas", "Glabratella", "Marininema", "Liopasa", "Dromiciops", "Pseudodinusa", "Apotosoma", "Monomarginatus", "Placophyllopus", "Termitoiceina", "Dregeochloa", "Zelandomyia", "Pambulaspidae", "Compostibacillus", "Archimantis", "Tianzhuaphaenops", "Anoualerpeton", "Gyrodoma", "Culicosporella", "Bertholletia", "Petaladenium", "Badiaria", "Eubalichthys", "Liocosmius", "Alberprosenia", "Herminium", "Coralichlamys", "Enaretta", "Heterosiphonia", "Limodorum", "Leistarchini", "Lasconotus", "Nexosispinum", "Stenophylacini", "Ophthalmosaurus", "Cornutia", "Basilemys", "Aereniphaula", "Krubera", "Sialia", "Symmachiini", "Cima", "Xenostegia", "Cribromazocraes", "Chrysomma", "Centaurothamnus", "Phaeophyceae", "Peyssonnelia", "Afrocampsis", "Lepidapedella", "Melusinaster", "Trichothrauma", "Kanodus", "Scaphioides", "Phaenandrogomphus", "Baroxarthrius", "Pithecheirops", "Praeglyphioceratidae", "Triakidae", "Certonotus", "Quasimodorogas", "Polyporus", "Stanhopea", "Ghilianella", "Hosmaeus", "Sbordoniella", "Gallionellaceae", "Camptobasidium", "Chiangiodendron", "Serpulinae", "Vaalogonopodidae", "Aspidacanthina", "Garcibarrigoa", "Trichonotoidei", "Cissura", "Brachychroa", "Therioaphis", "Clypeocava", "Rodinia", "Pseudyrias", "Waltillia", "Proprionoglaris", "Benoitia", "Acrotriche", "Thyellocerus", "Nubimystrix", "Hispa", "Stethotes", "Eucharassus", "Micadina", "Brachyopidae", "Delesserioideae", "Deto", "Trichostephanus", "Nippononethes", "Trichonymphea", "Phalacronotus", "Ophiocomina", "Diploceraspis", "Elleguna", "Paraglobivalvulina", "Cteisella", "Craniocystis", "Euprigenia", "Lyctini", "Latina", "Gracilocala", "Brochiinae", "Hymenosomatoidea", "Shuaphaenops", "Entoniscidae", "Cnemidothrix", "Cephalophyllum", "Coreoperca", "Alebrini", "Sphaerotilus", "Australophilopterus", "Termitognathus", "Geohintonia", "Neverita", "Pentachaetinae", "Uchidanura", "Julodimorphini", "Evurodesmus", "Himalaphantes", "Spiniphilus", "Berkella", "Fluoribacter", "Haematoloechidae", "Conomitra", "Aurelianidae", "Elytracanthini", "Biroguineus", "Austrolepidopa", "Otacilia", "Thoracosathesidae", "Sparganothis", "Tasmabrochus", "Kiulinga", "Rhizogramma", "Gondvanoaphis", "Calocycletta", "Halosoma", "Epigonopsallops", "Anchonidium", "SYS", "Thysanophrys", "Pseudoarrox", "Lurbica", "Mesitornithiformes", "Corallorhizinae", "Brachytydeus", "Aleyrodinae", "Abyla", "Urocotyledon", "Rogas", "Afromuelleria", "Medauroidea", "Anderbergia", "Lithosiini", "Leptolinea", "Arecocryptus", "Stephanolepis", "Wawaliidae", "Plesiopiuka", "Scirtetellus", "Chytridiaceae", "Echthistatus", "Pyrrhocoroidea", "Holotrichia", "Brigantedinium", "Epichrysomallinae", "Microdomatoidea", "Thoracocyphus", "Alompra", "Stygiotrechus", "Orthogibbinae", "Prosanteon", "Vermicella", "Pelecotominae", "Testulorhiza", "Dixoniellaceae", "Apogonia", "Ancystrocerus", "Gilda", "Campterophlebiidae", "Lacustromyces", "Cnephalocotes", "Bactrodinae", "Satous", "Reduncinae", "Karocolens", "Uintascorpio", "Lymexylinae", "Chamaegastrodia", "Thrinaxodon", "Ignatzschineria", "Javagone", "Augacephalus", "Cernyia", "Areotestis", "Pneumonyssus", "Indotyphlops", "Cola", "Aponesidea", "Seriata", "Glyphis", "Hydrocassis", "Otenis", "Scopusacarus", "Asiadodis", "Eriostepta", "Proichthydioides", "Petrotilapia", "Scurria", "Cryptocelidae", "Trimusculiformes", "Labracinus", "Dictymetra", "Microderes", "Silini", "Pseudotettigoniinae", "Monias", "Mucoraceae", "Exopamera", "Serendibia", "Luma", "Heterosphecia", "Corasoides", "Perreyiinae", "Raapia", "Dolichopsyllinae", "Nubeculina", "Andrincola", "Trochurinae", "Eupodotis", "Plakinastrella", "Neohermenias", "Balnearium", "Esakiella", "Eccaparadoxides", "Neonesidea", "Bolivinitinae", "Pravitoschwagerina", "Laelius", "Melanocanthon", "Knoelle", "Tabanidae", "Platyaxius", "Diphyllobothriidea", "Oiobrachyceron", "Neolygopsis", "Dorya", "Brachysomida", "Sarcochlamys", "Aphomia", "Bruskespar", "Kiwinematidae", "Kelseyana", "Oligocodon", "Aigialus", "Euctenostomatina", "Taurorcus", "Naenarosculum", "Vampyrocrossota", "Tantulum", "Urophagus", "Arvicolepis", "Relichna", "Pseudoperotis", "Lunucammina", "Brachypterolus", "Noctilucea", "Enantiornithes", "Psammorhynchus", "Canyonlepis", "Endomonas", "Tonnoirella", "Homoporus", "Nipponagonum", "Eulophias", "Eremaeozetes", "Xanthoceratoideae", "Batillipes", "Americonuphis", "Axonopus", "Parastrellus", "Arnoldiella", "Djaloniella", "Hunanohelicoprion", "Pseudotrichonotidae", "Lobatostoma", "Melothria", "Carinetini", "Ampullaviridae", "Speleomys", "Phragmoxenidiaceae", "Heterotetracystis", "Faecalitalea", "Vilga", "Philonesia", "Herpetosiphonaceae", "Euseladia", "Mystacoleucus", "Ctenoimbricata", "Homaloceraea", "Xenomeris", "Actinommidae", "Borneoconnus", "Tortricoidea", "Galumnellidae", "Stenobenyllus", "Megalochelys", "Microcystini", "Rhodymeniaceae", "Idaltica", "Ctesias", "Cathartes", "Poecilostola", "Goenycta", "Colastomion", "Halmaheramys", "Holhymenia", "Kenlorryia", "Pseudogastromyzon", "Albiphasma", "Hoita", "Arvicolinae", "Lasallia", "Atticus", "Torquatella", "Pictetia", "Taenioncini", "Henricus", "Loxosomina", "Micrasterias", "Berkshiria", "Monzenia", "Zeuzerocossus", "Brephosceles", "Powysia", "Heiseria", "Micropontiidae", "Haoella", "Phorcinus", "Homophylotis", "Petaluridae", "Ketambea", "Doassansiaceae", "Ateliinae", "Nagatoella", "Pseudometisa", "Piscicapillaria", "Thaumatomonadida", "Rhachioplex", "Robinsonecio", "Hospes", "Pseudotesselarctia", "Schismotheriinae", "Fukomys", "Pseudocoremia", "Bifalculina", "Elephantopinae", "Harpirhynchidae", "Charpentiera", "Asaracus", "Pseudocorystes", "Parvulastra", "Delissea", "Baissea", "Gochnatia", "Occultifur", "Testudinella", "Galeolinae", "Hexabothrium", "Selenogyrinae", "Antaeotricha", "Bengt-jonsellia", "Schizopteromiris", "Rhabditidae", "Bathynomus", "Adelotropis", "Liropus", "Lechria", "Therochaeta", "Cnemogonini", "Litavkaspis", "Fissuripolymorphina", "Pentacletopsyllus", "Agaricomycetes", "Griseliniaceae", "Pachynesthidae", "Maritrematinae", "Spilomicrini", "Smerasia", "Ophiopsis", "Trichodon", "Gasterellaceae", "Hippoglossus", "Subbekasha", "Trilobitella", "Parexus", "Delamarentulus", "Thaumasianthes", "Spatulifer", "Xanthomonadaceae", "Caenoplanini", "Nevadesmus", "Microtragus", "Epibulus", "Anopinella", "Pygathrix", "Notobubon", "Apataniidae", "Thyasirinae", "Diclidophoropsis", "Thlaspi", "Aneurus", "Glandulariini", "Fennera", "Notolinopsis", "Paravortex", "Elasmosoma", "Taedia", "Porogavelinella", "Echinostomata", "Dion", "Australiotyphlini", "Cheirolepiformes", "Syphaciinae", "Pseudodictyoneis", "Brevolidia", "Stelgidopteryx", "Streptosporangiaceae", "Schelopius", "Kopamerrini", "Spongiimicrobium", "Sclerolinon", "Milviscutulus", "Rebbachisauridae", "Agathirsia", "Chlorospleniaceae", "Miava", "Mastixiodendron", "Matudanthus", "Stictoleptura", "Neella", "Sclerocrinidae", "Pritha", "Gyromitus", "Luffammina", "HBOM", "Podoctidae", "Modiolus", "Echinodoryctes", "Thalassiosiropsidaceae", "Sphondylothamnieae", "Zolium", "Echinocoleum", "Eulaliopsis", "Neophronia", "Uenotrechus", "Alpherakya", "Calicium", "Clerota", "Platynematichthys", "Macrodactylus", "Corythion", "Phreatobius", "Schistosoma", "Meixneria", "Typhochrestus", "Tinaegeria", "Uedaozephyrus", "Neobalanocarpus", "Costopyxis", "Planorbini", "Basiprionotini", "Reflexisphodrus", "Stilbosporaceae", "Brachycephalidae", "Sinoxylon", "Lobogynium", "Armadillidium", "Coelocybinae", "Issykogammarus", "Epipterygium", "Parmaturus", "Sagittoidea", "Proathorybia", "Lasionhada", "Shewanella", "Discoptera", "Echidna", "Maechidinus", "Callipappidae", "Paradrillia", "Eirmotus", "Tadzocrangonyx", "Paradonea", "Scolesa", "Psylliostachys", "Argoderus", "Plinia", "Maccullochella", "Mecopisthes", "Coniopterygoidea", "Leiomitrium", "Berlandina", "Cepoloidea", "Monobolodes", "Metatriophtydeus", "Adenocystis", "Arcicella", "Ochotona", "Lens", "Chrysocraspeda", "Nuclearidea", "Orobdella", "Notropis", "Hydrobiusini", "Melandryidae", "Gyalophyllum", "Pentas", "Edonis", "Lacazellinae", "Oemona", "Gobiodon", "AMPG", "Methanocalanus", "Pseudocatenotaenia", "Apicencya", "Pieridae", "Justinia", "Ceropoda", "Porolithoideae", "Mellininae", "Dioclea", "Actenonycina", "Tripylella", "Ceraia", "Disynstemon", "Liga", "Palnia", "Protolissodema", "Pseudelaphella", "Karenaxia", "Paratetroplon", "Goveniinae", "Cenostigma", "Mesoperlina", "Hydnodontaceae", "Psammocytheridae", "Terepsalta", "Astroblepus", "Prosuberites", "Holomelina", "Sutrea", "Aphropsis", "Ptilamicta", "Athroolopha", "Acrotretoidea", "Cherbocnus", "Rhizolepadidae", "Posidonia", "Parexocoetinae", "Macrocypridoidea", "Xiphidiola", "Phyodexia", "Trichorcus", "Lagynochthonius", "Auricillocorini", "Bekoma", "Creobiina", "Dambullaeus", "Promonolexis", "Macroscapha", "Electrotaenia", "Cabardites", "Pterosthetopini", "Progynotaeniinae", "Landolphiinae", "Silviomyza", "Tretochone", "Atypichthys", "Hippothoa", "Awerintzewia", "Gymnocelis", "Kozaricoccus", "Mergus", "Paratrichothorax", "Agelanius", "Pieltainellini", "Pelleninae", "Microdon", "Tetraulacium", "Brunneomycosphaerella", "Austropeza", "Tenuiactaeon", "Aulographina", "Pentoperculum", "Dryophyllum", "Borneacridinae", "Sphenodiscus", "Tetrachrysis", "Callipogon", "Solitudinae", "Mogheia", "Bellatorias", "Acuminodeutopinae", "Stilpon", "Ptychandra", "Choritaenia", "Microberlinia", "Sphaerobacter", "Bullacris", "Lytocestus", "Mimeremon", "Panglaphyra", "Turbellaria", "Exoplisia", "Metallura", "Muroia", "Tregosorex", "Lophophora", "Halomicronema", "Barubria", "Otonoma", "Scudderopsis", "Ophiacantha", "Baculellidae", "Pompholyxophrys", "Phtisicinae", "Teredinidae", "Pelagophycus", "Galianthe", "Lycinae", "Pseudophalacroma", "Ederranus", "Cregya", "Solomonosoma", "Monocoryna", "Trichocerca", "Azzarolina", "Calliopiella", "Kazanalicula", "Eurydochus", "Pseudophycitatella", "Neotryssaturus", "Maresiella", "Cymatodera", "Cuvillierininae", "Lebinthini", "Casana", "Dasypyga", "Sigipinius", "Discoprosthides", "Pseudoteratura", "Vijayachelys", "Astrapia", "Midilinae", "Bellisotoma", "Hypostomini", "Zosimus", "Chamaerhodos", "Mantophryne", "Hodor", "Socotralia", "Lophosorioideae", "Ledomyiini", "Ecitosius", "Ligonipes", "Kordiimonadales", "Ambrella", "Chaetopisthes", "Meidiama", "Balladonia", "Microscaphidiidae", "Sepiida", "Actinochloris", "Bifurcariopsidaceae", "Lauraceae", "Microcapnolymma", "Metriomphalidae", "Styloceras", "Flabellocyclolina", "Prolepta", "Argyrotheca", "Thyridachne", "Leptophilypnion", "Ectinothorax", "Grammopsoides", "Pseudosthenarus", "Semiretusa", "Xanthoselinum", "Bregmacerotidae", "Caecosphaeroma", "Colebrookea", "Grandiphyllum", "Pseudagrypon", "Spironympha", "Ophiopsammus", "Elachistocleis", "Thaumatocephalus", "Scutuloidea", "Aplonis", "Brachycerus", "Toxomerus", "Pycnora", "Buettikoferella", "Stygasellus", "Holbrookia", "Prolasius", "Achlysiella", "Hygrostola", "Endodinium", "Nigritergaphis", "Philobythoides", "Braggia", "Teinoptila", "Antromacrostomum", "Homosclerophorida", "Prodida", "Orthobrachia", "Crax", "Lachnopterus", "Epora", "INVEMAR", "Engolismaia", "Hypochraeus", "Apistomyiini", "Thoracophorina", "Australotydaeinae", "Aquaplana", "Austrarcturellidae", "Homoeusa", "Leptopsaltriina", "Sporolithales", "Volkameria", "Parasitaxus", "Aetideidae", "Pachymenia", "Callipodidea", "Wallowiella", "Ventenata", "Scottiinae", "Gymnospora", "Carbophilus", "Yaaxkumukia", "Torini", "Dicronorhina", "Oedichirus", "Aragomacer", "Phycitimorpha", "Prionodura", "Youngolidiini", "Arachana", "Vansoniina", "Holcoceroides", "Tournonia", "Janetogalathea", "Tanyconops", "Zacmozara", "Nyctidromus", "Amphicutis", "Heinrichiellus", "Pelagomonas", "Dicksoniaceae", "Parasicyoptera", "Lastrema", "Dirca", "Cibiniulus", "Tetraplecta", "Neobia", "Rutabulogonus", "Termitophagus", "Catacrypsis", "Acromyrmex", "Dapanoptera", "Spathocera", "Brookesiinae", "Blackmania", "Regobarrosia", "Minimana", "Plutomurus", "Atopotrophos", "Woodwardiana", "Dimennazyma", "Myorhina", "Psilocybe", "Pseudococcobius", "Fungiseius", "Pangasiidae", "Textulariellidae", "Lethadeninae", "Metacystidae", "Crepidobothrium", "Rondonia", "Methicula", "Mesosignidae", "Bathyclupeidae", "Haptophyta", "Cracticus", "Coleotechnites", "Hernandariinae", "Orthotaenia", "Microteaceae", "Capillicysta", "Megabregmus", "Lepidozioideae", "Rhegmaspis", "Hydrogamasus", "Gomphoneis", "Laboea", "Hexapus", "Yanguna", "Adenophyllum", "Ctenochares", "Protegira", "Padbruggea", "Symmetrocapuloidea", "Brevizaclina", "Corambe", "Agdistinae", "Lytechinus", "Sierolomorpha", "Phalaropus", "Caleniopsis", "Rhynchodida", "Nubeculariinae", "Prepops", "Colpodichius", "Chalcidini", "Temnopalpus", "Potobatis", "Kusaghiporia", "Damilinidius", "Adesmia", "Notamblyscirtes", "Triangulariinae", "Numenes", "Chionanthus", "Macrodonia", "Derelophis", "Physalopteroidea", "Osmodes", "Didelphoecius", "Chionachne", "Mecotarsus", "Estolomimus", "Aschisma", "Psyllobetini", "Arawana", "Ites", "Xylanura", "Spirochaetes", "Litoricolaceae", "Metachirini", "Neocallimastigomycota", "Zalariaceae", "Tehuankea", "Arctacaroidea", "Lecanicephalidea", "Sikukia", "Thianitara", "Guiryella", "Iguana", "Enchelyomorphidae", "Holopsamma", "Virsodes", "Pseudopythina", "Iseropus", "Crateodonia", "Acanthonotozomellidae", "Pariphimedia", "Omalissus", "Isosomodes", "Plastodryinus", "Minstrellus", "Gathynia", "Paraneopsyllini", "Monothecium", "Methanosaeta", "Glyptocephalus", "Thoronini", "Platyrhinus", "Hydrosaurinae", "Schizophyllum", "Reaumuria", "Dysbatus", "Distenorrhinus", "Kudakrumia", "Clisospiridae", "Martinocarcinidae", "Coriobacteriales", "Parallorhogas", "Plutodes", "Rumeinae", "Scalenus", "Cyclothorax", "Xynobius", "Paraeofusulina", "Falconeria", "Croneisella", "Streptogyna", "Caviibacter", "Eolachesillini", "Homalopsycha", "Hipponicidae", "Transorchestia", "Desmocladus", "Alloiothucha", "Cottarellia", "Cavia", "Scirula", "Lasiosphaeris", "Chiltoniella", "Sigmoria", "Arthraxoninae", "Sinopecoris", "Dickensoniaforma", "Caenopangonia", "Biphragmofastigata", "Fokienia", "Trochalus", "Urceola", "Marcusadoreidae", "Douthittia", "Cyanthillium", "Thysselinum", "Diagonobothrium", "Calodactylus", "Gymnetini", "Synotis", "Bandakia", "Fessia", "Boudinotiana", "Luxemburgia", "Filistatoides", "Oligoneuriidae", "Ceratostigma", "Anomisma", "Jehlius", "Cytherideis", "Leiognathus", "Mitostemma", "Euchomena", "Neobisnius", "Alpinia", "Palpopleurinae", "Blissoxenos", "Idionyx", "Leccinum", "Chalybosoma", "Amazygina", "Eutropis", "Mendacibombus", "Neochauliodes", "Physomonas", "Menippidae", "Stenelaphus", "Corticoviridae", "Odontorhabdus", "Cicinnus", "Perreyia", "Culoptila", "Hyperamminidae", "Gliricidia", "Psephenoidinae", "Neohelos", "Anomocarellidae", "Hexactinellida", "Basella", "Pholidichthyidae", "Medeola", "Amurinocellia", "Priscoverruca", "Sagaropsis", "Dracomonticola", "Tridilatydeus", "Macropsini", "Jesogammarus", "Prionohydrus", "Graphorkis", "Empelinae", "Soliva", "Potamanthoidea", "Rhadinorhynchidae", "Gloeoheppia", "Sipia", "Phanodesta", "Orobroscus", "Pseudohyperammina", "Chrysidella", "Distomatopyxidae", "Pseudoaerumnosa", "Filipiinae", "Gaberella", "Cristatogobius", "Nystactes", "Pararhagadochir", "Erirhinini", "Orbione", "Trisopterus", "Telephanus", "Trichoxys", "Eucurtiopsis", "Cibolacrini", "Schizotrema", "Paronesimus", "Phravenia", "Chontalia", "Filinia", "Fresnedaella", "Gigantochloris", "Sangaia", "Nyctibius", "Isoentomon", "Adontorhina", "Liromus", "Sanchoidae", "Narambuenatitan", "Neurodium", "Halanaerocella", "Pereionotus", "Anisocladella", "Verulux", "Rhodosporidiobolus", "Sigambra", "Trinosporium", "Actinidiaceae", "Hemiphagacarus", "Paruroleptus", "Cladodiopsis", "Phycodryeae", "Axos", "Emphanisis", "Mucuna", "Golmoniini", "Dactylocythere", "Allothnonius", "Panartus", "Stetsoniinae", "Ricciellopsis", "Hewittella", "Lestonia", "Myodocopina", "Diakonoffiana", "Paranitocris", "Tanaorhinus", "Thalassosmittia", "Ochyropus", "Briaraula", "Atelidea", "Parasympodiellales", "Lapiedra", "Notothyladidae", "Endostomatidae", "Glaziella", "Manawa", "Smithichthys", "JJ", "Bothroponera", "Leratia", "Ulakanthura", "Ceratolamarckina", "Tesakoviaspididae", "Notothlaspideae", "Arundoclaytonia", "Stylomonas", "Xoloptoidinae", "Sphaeriidae", "Azospirillum", "Hymeniastrum", "Echigoina", "Typtonomenaeus", "Hegesidemus", "Microchiroptera", "Clitoriopsis", "Riftiidae", "Diamysini", "Vanzijlia", "Diplectaninae", "Bolbocerastes", "Eumasia", "Platylistrum", "Callistomys", "Conocalama", "Protopselaphinae", "Cobalus", "Microglottina", "Eoetvoesia", "Smeringochernes", "Limnadopsis", "Brachaluteres", "Minyclupeoides", "Manaosia", "Phaoniinae", "Thalassobacillus", "Moneuplotes", "Pseudostaurosisopsis", "Eunogyra", "Evanssellus", "Calyptrosphaera", "Dromacamatus", "Loebvirae", "Leea", "Callistoplax", "Ablaberoides", "Hemiopta", "Linhenykus", "Anthodioctes", "Hesperotropis", "Iphimedioidea", "Homognetus", "Pachites", "Dactylocnemis", "Ochetostethomorpha", "Streblotrichum", "Dipremna", "Catervariolus", "Edlintonia", "Chauliopleona", "Dialithoptera", "Rhopalomyces", "Mantamonas", "Laodemonax", "Odoribacter", "Cragia", "Haidomyrmecini", "Plicolivinae", "Rhicnoessa", "Adipicola", "Astylidius", "Prosodina", "Typton", "Megastigma", "Ceratophryinae", "Thomisus", "Vanhoeffenus", "Camptylonema", "Pseudotarsonemoidini", "Enigmavasum", "Lacazina", "Temnospondyli", "Microporus", "Dinarthrum", "Phasmalysia", "Aphaenopidius", "Cicatrizocera", "Piscicola", "Dunstervillea", "Neoprotereunetes", "Thranodes", "Alepocephalidae", "Mogoplistinae", "Epierus", "Tolype", "Syneuodynerus", "Heraeus", "Cytheroisinae", "Microsthes", "Sweetolethaeus", "Aphodaulacus", "Brevisira", "Diatomosira", "Chrysactinium", "Madangocoris", "Thomontocypris", "Cloezia", "Latifascia", "Malpighia", "Apocaulon", "Conradocystis", "Platea", "Phyllognathopodidae", "Feschaeria", "Bledius", "Mirimordella", "Papuatrigona", "Spasskytaenia", "Clupisoma", "Paracaciella", "Lycomorpha", "Phalotris", "Lunularia", "Cynanchinae", "Eucopidocaulus", "Dioxys", "Opetiops", "Trachyxiphium", "Didesmus", "Phlossa", "Wallengrenia", "Ovicides", "Andinorites", "Neoacasta", "Anaerocellum", "Didymodiclininae", "Vaucheriaceae", "Vindobonella", "Usia", "Cidugala", "Eothinia", "Enhalus", "Rhombopterygia", "Galericinae", "Candora", "Hemithraupinae", "Malawimonadida", "Camelina", "Tisentnops", "Thalassiphora", "Eurotiales", "Palimphemus", "Nodosinellidae", "Acanthobdellidae", "Myrtillocactus", "Inexpectacantha", "Birgiellus", "Orthostegana", "Psednotrichia", "Ectatomminae", "Arenoturrispirillina", "Eucalypteae", "Pseudalloioplana", "Ginglymodi", "Eurytomomma", "Xenochodaeus", "Caucanthus", "Eoophthalmidium", "Syringodium", "Chaetosphaeriales", "Grahamina", "Oestocephalidae", "Hainanphasma", "Alaocyba", "Coeligetes", "Cyprinus", "Dossenus", "Cephennomicrus", "Apocrita", "Neoraimondia", "Haplogynae", "Leucogymnospora", "Miocryphalus", "Victathrombium", "Boreloides", "Hydrillodes", "Sceliages", "Tumidocarcinidae", "Metacylis", "Mariauxilepis", "Shieliidae", "Charistica", "Geyeria", "Onychiurinae", "Neodeilus", "Prosimulium", "Chaetotroctes", "Pyroglossa", "Peelerophon", "Costifer", "Ochradiscus", "Oryctoderini", "Cypholomia", "Thalasseus", "Colpodaspis", "Odonaspidini", "Dzihunia", "Pedinorrhina", "Allaiocerus", "Rhetinantha", "Nacaeus", "Spyridia", "Ohleriaceae", "Cheilopallene", "Vaucheriales", "Trichogloea", "Palaeomesoporus", "Granuloppiidae", "Hwanghaeicola", "Alticola", "Flechtmanniella", "Besucheteidos", "Devescovinidae", "Euamyia", "Platysodes", "Trichocyphus", "Achilia", "Desmodesmoideae", "Bdellouridae", "Diduga", "Cynoglottis", "Millieria", "Hypnidae", "Boreoplaca", "Agrilozodes", "Carterina", "Ichthybothrium", "Holmgrenanthe", "Ectatina", "Oriolus", "Oreobliton", "Stenogonum", "Cherokeesia", "Cubus", "Vetulicolia", "Paramiridius", "Myelophycus", "Tofieldia", "Acanthopsis", "Splanchnotrophus", "Paradichostathes", "Neoephimeropus", "Cheilothela", "Desmanthodiinae", "Hydromedion", "Cretarhabdus", "Dromistomus", "Scorias", "Euglenia", "Goodeniaceae", "Zietzia", "Castoponera", "Chalcosiinae", "Nephrops", "Microphysula", "Prothecini", "Empodisma", "Togeella", "Ebala", "Neoferonia", "Kaupichthys", "Niarchos", "Gracilariales", "Odontadenieae", "Choerades", "Xenodexia", "Commensipleustes", "Liophloeus", "Zaglyptomorpha", "Bracycephalus", "Molinia", "Eudoxiatopoplaninae", "Arundinax", "Anillodes", "Kateretidae", "Gaillardia", "Mongolrobeus", "Acanthocirrus", "Bradleystrandesia", "Dipentodon", "Morchellaceae", "Nomia", "Cerrillus", "Ammobaculoides", "Nunnea", "Siluridae", "Lampsophorus", "Geocaryum", "Chaudhripalpus", "Dentatherina", "Xylotina", "Centroselachus", "Triaclymenia", "Atepomara", "Lanceophora", "Rhadinodontoplisus", "Cellarioidea", "Krobylos", "Pliovitellaria", "Lychnophorinae", "Sphenocichla", "Glossanodon", "Neothorelia", "Ligiarctus", "Gressnerium", "Limisphaera", "Schwalbea", "Thressa", "Pilosium", "Tambomachaya", "Calomnion", "Sphenoeacus", "Colilodionini", "Nepetoideae", "Pseudomys", "Betaherpesvirinae", "Megatyrus", "Selenastrum", "Mouldsia", "EEZM", "Sycites", "Certhionyx", "Eusphyra", "Pachista", "Litoligia", "Thermovenabulum", "Krauseuma", "Nephtyidae", "Pantodon", "Phalloniscus", "Koellensteinia", "Lavora", "Physocytium", "Plesiotrochidae", "Mariprofundales", "Thiastyx", "Orphniospora", "Neospartoneae", "Oldenburgieae", "Synopiidira", "Ihlegramma", "Gamasolaelaps", "Dissocladella", "Acanthopulvinaria", "Claviformispora", "Hebantia", "Pseudagrilus", "Nahuatlea", "Paciforchestia", "Jalzicaphaenops", "Neodrassex", "Corystoides", "Eliphia", "Pentacalia", "Carpacoce", "Hurdchila", "Xenortholitha", "Sternarchella", "Chinamyersia", "Glaphyrymeniopsis", "Nesocaryum", "Litomeces", "Photoidea", "Stephanoporos", "Litopus", "Vadimas", "Isochrysidales", "Sphaeronycteris", "Cyanolyca", "Montabunus", "Cassafroneta", "Cerocida", "Shelfordia", "Hystricosphodrus", "Dichodon", "Electrentomopsis", "Dolichoiulus", "Rhodobothrium", "Aspitatini", "Yavia", "Diglymma", "Blepharandra", "Gymnoris", "Atractogloea", "Sangervirae", "Hippocrepis", "Valvatida", "Myron", "Trimetopon", "Hemifusulina", "Shindeoandrya", "Phorcotabanus", "Loxosomatidae", "Agrypninae", "Cheimas", "Thomasia", "Xyelecia", "Lophodolos", "Blautia", "Uronemataceae", "Philothamnus", "Oxygoniola", "Dactylocalycidae", "Stereopalpus", "Calobata", "Zanchisme", "Dematochroma", "Tropha", "Ataxophragmiidae", "Pandiontrema", "Paracoryza", "Pteronyssidae", "Ochthebiina", "Nathrenus", "Cryptomonadina", "Tepoztequiella", "Dipsiathus", "Zeargyrodes", "Ancylopsocus", "Aderpas", "Notiocola", "Parodia", "Microtheciella", "Resupinammina", "Seticoronaria", "Sumakuru", "Annegialia", "Euclidieae", "Asymmetron", "Komarekionidae", "Plesiomelitta", "Cylindrotheca", "Neoheterospilus", "Cretohypna", "Orthorhynchoides", "Fucellia", "Penstemon", "Eucyclodes", "Naccaria", "Foremanhelena", "Myriopteris", "Bathycellaria", "Romanschulzia", "Panorpidae", "Pegia", "Rhectomia", "Mymaromella", "Oxytate", "Trigonospila", "Calamobius", "Diatomella", "Desulfurispora", "Hypopterygiaceae", "Chitonophilidae", "Hapalopus", "Eurypterida", "Buyina", "Allokepon", "Salsuginibacillus", "Dactylethrella", "Tolecusatellitidae", "Agoniatinae", "Chlorethe", "Corallodiscus", "Cichlopsis", "Ogmostethus", "Mnesicleinae", "Mesomphix", "Longicellochrysa", "Jugubracon", "Xyloesteles", "Simalia", "Matapoides", "Eristalodes", "Nasitrematinae", "Dictyacantha", "Saadaniidae", "Lamprolectica", "Epidelaxia", "Leucosiidae", "Trochammina", "Anapoma", "Angkapauropus", "Dedyuola", "Loeselia", "Sericossypha", "ZUFMS", "Lurus", "Roseiflexus", "Leptoxenus", "Ilerdorbinae", "Beraeidae", "Leucopsina", "Crinocerus", "Agroicus", "Pholadomyidae", "Oxylopsebus", "Adrallia", "Hybopteroides", "Terebratellidae", "Mecynippus", "Gongylis", "Heterotyles", "Lophiostomataceae", "Nortanapis", "Staavia", "Pasmaditta", "Acanthoica", "Ruminantia", "Pyriculariaceae", "Dimerandra", "Parapamphantus", "Amblyoponinae", "Pseudolycaea", "Malleastrum", "Mecaorus", "Euptilota", "Spiniphiline", "Eodrepanus", "Komrina", "Neolamprima", "Neopyrenochaetaceae", "Smicorhina", "Desmodorida", "Echinodictyinae", "Nososticta", "Rhodanthe", "Critonia", "Simipercis", "Bibloporina", "Lissocarpa", "Colsyrnola", "Lamprostenusa", "Zaluscodes", "Metrioxenoides", "Anomophryxus", "Scotinosphaerales", "Broter", "Microafra", "Stethorini", "Sopubia", "Cleorina", "Hydrostachyaceae", "Genaphididae", "Ascopariidae", "Pterosauria", "Lerina", "Chloromeson", "Corderopedaliodes", "Serranochromis", "Bolax", "Verreauxia", "Microthamniales", "Anulocaulis", "Hoplitovalgus", "Bessoniella", "Eomicrobiotherium", "Homaloidion", "Doddiana", "Buddelundiella", "Actinocentra", "Synura", "Ambopemphigus", "Aradoidea", "Pselaphephila", "Comamonadaceae", "Lophioidei", "Caecothrombiinae", "Chusquea", "Kochliogonus", "Bishops", "Herponema", "Ellipsomyxa", "Thorectinae", "Polyzosteria", "Alloheterophyes", "Lophinae", "Cremastocheilini", "Loranthinae", "Nasimyia", "Zipoetoides", "Pseudoklossia", "Rhodovastum", "Cymatopleura", "Nesa", "Hippocentrum", "Gastrobothrus", "Eolophus", "Heterogammarus", "Allodecta", "Chaetocosmetes", "Heterogloeales", "Xolalginae", "Bjerkandera", "Myanmarorchestia", "Blossfeldia", "Alladanus", "Trachycosminae", "Austroraptor", "Korethrasteridae", "Anaerotruncus", "Cephalodella", "Eurystilicus", "Aiphonsinus", "Cryomonadida", "Xenonemesia", "Herreshoffia", "Pentapodiscus", "Neocomitinae", "Lorinseria", "Psilotaceae", "Perilampella", "Pseudocadra", "Cacogamia", "Decazesia", "Lophopyxis", "Euglenocapsa", "Paradoxa", "Chyzeria", "Cyphocarpus", "Pterniboydaia", "Calymenina", "Apogonichthyoides", "Pseudoepistominella", "Dethiosulfatibacter", "Laemodonta", "Cyrtonia", "Mimancylistes", "Epistomalychus", "Cowielepis", "Paracoroptidae", "Coleusia", "Brachychila", "Metacinetidae", "Rhigozum", "Lithodraba", "Clausospicula", "Urochondra", "Warreella", "Hasseltiopsis", "Hadzibejliaspis", "Prosympiestus", "Libythea", "Pteropodinae", "Roemeria", "Opisthothelae", "Rhadinocentrus", "Neostylopyga", "Microregma", "Miletinae", "Gonotypus", "Hoyosia", "Hakonboekia", "Corocubanus", "Hapalipini", "Chrysogorgia", "Haetosmia", "Cyphura", "Sphenophrya", "Theatops", "Ptychagnostidae", "Olpiidae", "Haemadipsidae", "Demonarosa", "Xenoleberis", "Euapatura", "Schizocalomyrtus", "Metagrion", "Michaelia", "Lophopappus", "Aenictopecheidae", "Ilocomba", "Pseudopammene", "Mycochrysis", "Trochilia", "Palparidiini", "Chrysolampra", "Bartoniella", "Glypheidae", "Patellinella", "Nemachilichthys", "Acampsohelconinae", "Dermatodini", "Tissierellales", "Malmographina", "Metasequoiamiris", "Aiura", "Acanthochlamys", "Hapalochlaena", "Alosterna", "Indonemoura", "Yunnancoelacanthus", "Sediminibacillus", "Hyperia", "Ennominae", "Acritoptila", "Nicola", "Yangambia", "Niesthrea", "Asichnus", "Cerinthe", "Tuarangisaurus", "Anisophyllodes", "Rhagophthalmus", "Erythromma", "Eubrownia", "Pecten", "Nerthus", "Ornatoclymenia", "Sphodropsis", "Hadromerida", "Stigmatochroma", "Mycomyini", "Melinesthes", "Stannomidae", "Molops", "Hyperdasysella", "Arrojadoa", "Pachycaecus", "Harpalodiodes", "Ulopinae", "Amydetini", "Archaicini", "Bromeliagrion", "Geomitra", "Morionia", "Brachanthaxia", "Coenocharopa", "Glossarhymenus", "Aposites", "Magydaris", "Brunnichia", "Leptochilus", "Mongoliicoccus", "Longchengornis", "Pterotrigonia", "Charmallaspis", "Eustrongylosomatini", "Bicurvicoris", "Perithoini", "Philhelena", "Baharilana", "Amirollia", "Jolonica", "Emilianini", "Scaurotrechodes", "Australovelinda", "Triaenogenius", "Desmodoridae", "Hirpida", "Anthaenantiopsis", "Ophidiasteridae", "Oudemansicheyla", "Andreacarus", "Chlorurus", "Allantodiopsis", "Pseudanilara", "Microstigmatidae", "Andrikothelyna", "Necropsar", "Ethelgoda", "Longinischus", "Centrinaspidia", "Monocoryne", "Mallodonopsis", "Gnaphalodes", "Tsukada", "Conibosa", "Microcella", "Eocenchreina", "Arhytis", "Jiangellales", "Vettius", "Tomogenius", "Acricotopus", "Vespoidea", "Erythrus", "Hagloedischiidae", "Microtheliopsidaceae", "Cheiloxena", "Neoneura", "Grantessa", "Preempheria", "Parazoa", "Massonia", "Corrugia", "Elcanidae", "Triforillonia", "Pelagiidae", "Palafoxia", "Arocatus", "Ctenostomata", "Placosoma", "Lophotrigona", "Pales", "Dactylopusiinae", "Agnostinae", "Ectaetiinae", "Antillotrichia", "Hura", "Parinvolutina", "Hellwigiini", "Terrimonas", "Venezueneptus", "Ledaea", "Hippoloetis", "Nipponophloeostiba", "Setornis", "Rhypopteryx", "Leptofidena", "Rhipiliella", "Lecomtelleae", "Janibacter", "Pericorus", "Palinurus", "Newsteadia", "Rhomborrhina", "Hubertia", "Leioceras", "Nedytisis", "Erratomyces", "Hedera", "Syntetarca", "Litorilinea", "Pachylasmatidae", "Limernaea", "Dactylosporangium", "Euctenizidae", "Achelipoda", "Lippsina", "Pseudocongella", "Peluleotes", "Namadytes", "Feresa", "Chrysococcyx", "Neurellipes", "Pseudoliogenys", "Cryptocotylepis", "Cycetini", "Kayella", "Cecyropa", "Paraproscopia", "Pararctia", "Marginulina", "Binucleata", "Triplaris", "Sucoca", "Geoglobus", "Orodaliscus", "Phtegnomina", "Parapactola", "Anisolabididae", "Capulus", "Prodeniini", "Terrindusia", "Rhysipolinae", "Neogryporhynchus", "Acilacris", "Enarganthe", "Arcovomer", "Ceramea", "Tissangini", "Oxybrycon", "Lissodendoryx", "Borthwickia", "Cardenanthus", "Cassiopeidae", "Thevetiinae", "Brasilicereus", "Michaeloplia", "Auridistomidae", "Henicopini", "Transversotrematidae", "Duostominoidea", "Torticaecum", "Kunsia", "Callibryastis", "Nyeanella", "Delphinida", "Pyrnus", "Hypsostypos", "Kennedia", "Duboisia", "Ommatiosteres", "Reticulinella", "Hyaloneis", "Liocranum", "Krameria", "Talaurinellus", "Beckius", "Eophona", "Agrochola", "Anadendrum", "Hoplolaimina", "Zoromunna", "Zulloconcavus", "Platymitra", "Pseudandraca", "Trigonodemus", "Koreagna", "Soricomorpha", "Cratojoppa", "Amphiboloidea", "Rhabdosphaeraceae", "Lacustricola", "Sapygidae", "Eliachna", "Tepidiora", "Titanoecidae", "Latridiidae", "Calpazia", "Brachiaphodius", "Hydrolea", "Chilomastix", "Voitia", "Cidaroida", "Sternophoridae", "Euryglossini", "Rhynchospiriferinae", "Stipesa", "Hedysarum", "Calastacus", "Erythroides", "Placozoa", "Brownliella", "Eucricetodontinae", "Protoraphidales", "Brachymyiodola", "Putterlickia", "Woodworthia", "Aenhenrya", "Retiboletus", "Baltoplana", "Manania", "Larsenia", "Namkungia", "Gloiosiphoniaceae", "Bruehnopteron", "Graphelmis", "Piscibacillus", "Pseudopagurodes", "Salinihabitans", "Angarotipula", "Euchoeca", "Triospyridae", "Makinoa", "Corannulus", "Cycnoderus", "Batrachemys", "Dikowmyia", "Pulmoverminae", "Uropyia", "Lamyctinus", "Paralatisternum", "Tethionea", "Clinotanypus", "Oocelyphus", "Yunnella", "Neidiopsis", "Aspiciliopsis", "Diaperia", "Mariliana", "Coryphomoides", "Clarissa", "Brandtina", "Adelobotrys", "Tetracarpaea", "Lataurinus", "Oresitrophe", "Dendrocerus", "Brazoria", "Stevenieae", "Terenotriccus", "Spumula", "Craspedellinae", "Bucsekia", "Chrysalidinidae", "Heptapterus", "Phaenacantha", "Pseudoseisura", "Solanderiidae", "Marcgraviaceae", "Euidothrips", "Blephariceromorpha", "Pseudoxenos", "Sphaerocarpaceae", "Microgaza", "Muscopedaliodes", "Lechriodus", "Echinoshipleya", "Iciliidae", "Pseudodysderina", "Chamaebatia", "Aminosimus", "Riptortus", "Smodicinini", "Neopileolus", "Dicarpidium", "Acanthosolenia", "Tenaga", "Stephanocostis", "Ophiomusium", "Lobothespis", "Carabocoris", "Allotheria", "Adenopharynx", "Zygnemataceae", "Cryptoscaphus", "Paratmeticus", "Litocheiridae", "Bahianthus", "Ephalophis", "Dilleriella", "Sphenopholis", "Micrambyx", "Brachytaosa", "Curreya", "Parmacelloidea", "Micrencaustes", "Paraperittia", "Clito", "Ceroderma", "Anemoclema", "Alysiini", "Antagmidae", "Protoscenium", "Anommatophilus", "Cryptista", "Kelletia", "Neocaulotops", "Africoxus", "Duplorbidae", "Ethiobotys", "Apterepilissus", "Havaika", "Agustinia", "Morindopsis", "Cypholophus", "Dunstanetta", "Plotnikovina", "Cressidae", "Periboeum", "Pseudocarorita", "Anacroce", "Pseuduroxys", "Dahalokely", "Spiraeanthus", "Anomalostomyia", "Devosia", "Lygaeites", "Sphallerocarpus", "Learedius", "Pycnodontomorpha", "Ovrabites", "Polloneriini", "Dasynus", "Plagiorhynchus", "Phylebria", "Nemichthyidae", "Animoceradocus", "Diphasia", "Cryptopleura", "Coreini", "Rhodomicrobium", "Gymnosomata", "Dinema", "Ophiodiplostominae", "Plagiosetum", "Cardabiodon", "Paradentalium", "Otus", "Dalcerina", "Kionopauropus", "Carpocanium", "Cruoricaptor", "Amicrocentrum", "Grangeopsis", "Flabellina", "Epiophlebiidae", "Janula", "Parademostis", "Aphthonetus", "Chardezia", "Thelotornis", "Achemon", "Acanthostomum", "Astacolus", "Pododiscus", "Zherichinixena", "Neomomonia", "Cobitis", "Myrmecobosca", "Lepidonopsis", "Urucuiana", "Platyceratidae", "Bryopisalia", "Heteroherpia", "Cyrtogrammomma", "Australoecetes", "Cyclolina", "Pleurodema", "Neotrygon", "Pseudophyllini", "Siphonotretoidea", "Barandra", "Thermobifida", "Acidogona", "Cyclosquamata", "Osoriellus", "Cliftonia", "Victoria", "Coxitinae", "Pachymorphus", "Leptophion", "Ferrovibrio", "Rhinecanthus", "Sambomorpha", "Howella", "Austronemadus", "Scutellarioideae", "Grandidierina", "Narke", "Rhaphistomellidae", "Holotrachelidae", "Azumamiris", "Paleodenticeps", "Nephilengys", "Semele", "Gnathopraxithea", "Forestocheles", "Chrysochares", "Tiliacora", "Dinarolacerta", "Brandzeia", "Coptognatus", "Whitebreadia", "Dicallomera", "Bathyspondylus", "Termitoxeniinae", "Mimocoelosterna", "MUFAL", "Cafius", "Popoviini", "Adenocoris", "Pogonocaudina", "Corsinia", "Scituloglaucytes", "Marumbius", "Pararnavirae", "Cariborchestia", "Yponomeutidae", "Catulliastites", "Falsohyllisia", "Anomaloglossinae", "Grallatoria", "Alvamaja", "Polytrichadelphus", "Phasianus", "Aporocotylidae", "Mobilicoccus", "Reithrodontini", "Cepurini", "Solenobia", "Pseudoplantago", "Xantusiinae", "Parasquilloidea", "Triphosa", "Nesarpalus", "Euthetus", "Breutelia", "Spathopygus", "Quasiverbeekina", "Ochthephilum", "Gonioclymenia", "Raosentis", "Paradisaea", "Dinizia", "Minilimosina", "Trechobembix", "Astranthium", "Trichodactylus", "Sclerococcum", "Thryomanes", "Apseudomorpha", "Aphonoides", "Haplosporidium", "Macrotrachelia", "Ninodes", "Spirobassia", "Antineosteus", "Neanurinae", "Architectonicoidea", "Capsodes", "Laspeyresina", "FML", "Jeyawati", "Parilcirolana", "Bourgueticrinidae", "Tondanichthys", "Adenaria", "Rhapis", "Diplauxis", "Afrojavanica", "Rugoglobigerina", "Pneumodermatidae", "Hoplistonychus", "Tristiropsis", "Equinia", "Horelophus", "Maxillicosta", "Hydrophorinae", "Dasycompsa", "Chlamydophyceae", "Scopulibacillus", "Chiloneus", "Kerria", "Giacomellia", "Aetiopedesidae", "Mathesius", "Haeckeliana", "Proorchida", "Lycaena", "Kronosaurus", "Muusoctopus", "Hystrichosphaera", "Papiliocellulus", "Alychna", "Corynomalus", "Loebliella", "Herpesvirales", "Alonsoa", "Myzorrhiza", "Euphorini", "Mummucia", "Afrocalathea", "Sediminicoccus", "Omadius", "Puniceibacterium", "Neuquenornis", "Parabagliettoa", "Leuctrinae", "Sertella", "Triclida", "Thiobacterium", "Fossarininae", "Conorboididae", "Myrtoporthe", "Aspilidea", "Desmatocharis", "Hagenia", "Megymenini", "Bironium", "Macraesthetica", "Triticum", "Pamphagini", "Colobocrossa", "Maxchernes", "Hydraenida", "Hedobia", "Stegnamminidae", "Pycnomerini", "Potamalpheops", "Squamulea", "Spoerryana", "Natribacillus", "Plumalecium", "Araucarius", "Elasmatus", "Tetragnathinae", "Aciderini", "Forestiana", "Byrsophyllum", "Plato", "Physarieae", "Pliocaloca", "Amusaron", "Plinthina", "Xenograpsidae", "Apocryptodon", "Hypnodendrales", "Andesianoidea", "Rhodniini", "Cenopalpus", "Silicosigmoilina", "Synclisia", "Bostrichoidea", "Cecidomyiinae", "Poeobiidae", "Mokfanola", "Zanclostomus", "Cryptochloris", "Calenia", "Gargaphia", "Larentia", "Monosalpinx", "Echinosteliopsidae", "Chrysoryctis", "Irpicaceae", "Sigmatomera", "Reuplemmelini", "Yemanja", "Pycnosorus", "Cyclomonas", "Macrographa", "Atroposia", "Tsitsikamma", "Barnebydendron", "Mesobola", "Cyclosorus", "Kynotidae", "Emmalocera", "Calopterygidae", "Podocarpaceae", "Taleporiini", "Macrogradungula", "Spiroplectammina", "Micrixalidae", "Acanthoaxiidae", "Nealiolus", "Tolypothrichaceae", "Trydarsus", "Nucleariidae", "Boseongicola", "Selevinia", "Bryobia", "Elassomatoidei", "Nymphuliella", "Lutibacterium", "Uncinata", "Hylandia", "Clidicostigus", "Pseudorileya", "Akoranemys", "Melanolestes", "Ginglymostomatidae", "Bironella", "Elagatis", "Saurodactylus", "Phacellodomus", "Blepharocarya", "Phrynus", "Huananaspidiformes", "Notisia", "Haliplidae", "Syncephalum", "Amurothyris", "Thraulini", "Trichotriidae", "Hesperocordulia", "Gonorynchus", "Ictidomys", "Cnemodesmini", "Cydnopeltus", "Hiatensor", "Myrmephytum", "Coreocalamobius", "Agriotoma", "Antigonis", "Riekella", "Artioposthia", "Homalotarsus", "Delopa", "Hyaloraphidiomycetes", "Fabularia", "Leptosiropsis", "Aenictus", "Kamurana", "Eurysula", "Cedarosaurus", "Marginellona", "Sitticini", "Paulianites", "Coryphiini", "Sauricesa", "Canacinae", "Rhabdoweisia", "Nagiella", "Deinbollia", "Pseudogemmidae", "Kuskokwimia", "Eurysunius", "Monosteira", "Triadodiscus", "Dinemandra", "Sypna", "Mixomachilis", "Niditinea", "Metopisthogyne", "Entylomataceae", "Elytrostachys", "Ampeliscidae", "Eremellidae", "Burgoa", "Dickinsonia", "Thoridia", "Bairdioidea", "Drepanosiphinae", "Exechocentrus", "Parastectenis", "Bonapartenykus", "Melanolycaena", "Chamelea", "Basicerotini", "Torridincolidae", "Trapezorrhina", "Ischyodus", "Marimermithida", "Stenaspidiotus", "Azotidae", "Litaneutria", "Nannogomphidae", "Semanopterus", "Eremobiellus", "Enteromius", "Cherbonniericrinus", "Carphurini", "Adalbus", "Sychesia", "Cathedra", "Fontathanus", "Ceroplastodes", "Drombus", "Xyeloidea", "Chaetopterygini", "Anaspida", "Electrogena", "Eulepton", "Gephyreaster", "Uintacyon", "Prunini", "Mongolotettix", "Microdesminae", "Piesmatidae", "Carterornis", "Toretammininae", "Batrachideinae", "Loeskypnum", "Trichananca", "Baruscapillaria", "Phycisphaerales", "Anchicremna", "Proechiniscus", "Hypleurochilus", "Thascia", "Ashantina", "Aglycyderes", "Neobelocera", "Clavomela", "Irianscapha", "Ochinini", "Tropidoderinae", "Opalinida", "Dotalabrus", "Sintula", "Angeronini", "Austromegalomus", "Tordylium", "Postispinatus", "Thermohalobacter", "Dorcasominae", "Hylesicida", "Fossarinae", "Bironides", "Tubercularius", "Micromyzon", "Paracharonopsis", "Nephrurus", "Besaia", "Glyphonotini", "Coscinasterias", "Ceratocryptus", "Beklemisheria", "Rhynchopsilopa", "Kumanoa", "Arthrochrysis", "Pseudosyrtis", "Paratimia", "Asilomorpha", "Atriaecarpum", "Chitinolepas", "Asynarchus", "Heteromma", "Naphrys", "Brachysomophis", "Gongronella", "Quamtana", "Florarctinae", "Hybothiridae", "Shinploca", "Beybienkoana", "Synhoria", "Acrothoracica", "Psittacosaurus", "Pambolinae", "Alabaminoides", "Kunbir", "Parvitaenia", "Bolitropis", "Latreillopsis", "Oxytenis", "Myrtastrum", "Pseudohydnum", "Lasiocephalus", "Octactis", "Lagiacrusichthys", "Pseudobunaea", "Nanantius", "Brulleia", "Octomitus", "Tatsipolia", "Blaberidae", "Cyrtochiloides", "Leptoglanis", "Orchidophilus", "Patellina", "Calodendrum", "Gloeocystis", "Caucasocyphonethes", "Trichopetalidae", "Acidonia", "Lorica", "Anchisquilloides", "Pegohyperia", "Data", "Elachertonecremnus", "Symphlebia", "Platophrya", "Valdesiana", "Clinonana", "Tyrrhenogammarus", "Ginkgolepis", "Ameroseiidae", "Arachnothera", "Anciliplana", "Plesioperla", "Pseudochloris", "Moneulia", "Pseudoviridae", "Promegistus", "Bathyphellia", "Constrictinae", "Perimegatoma", "Calumma", "Humulopsis", "Hochreutinera", "Picrothamnus", "Stachyris", "Hybocodon", "Liojoppa", "Chaetodipus", "Aplodema", "Acrotylini", "Ashbyia", "Stenopelmini", "Lichnasthenina", "Timalinyssus", "Cratochelone", "Parabolinoididae", "Euscopaeus", "Laozacla", "Leblondiella", "Rhinephyllum", "Securicauda", "Progrillotiidae", "Testicularia", "Metacrisiodes", "Terratritia", "Neuronema", "Xenorhipidini", "Pedicellaster", "Crassichroma", "Mnematium", "Erythrostemon", "Scapanorhynchus", "Tegonotus", "Scotinophara", "Acrocanthosaurus", "Diceratobasis", "Bolusanthus", "Clupeoidei", "Ilyspasticus", "Amphicrossus", "Choujapyx", "Eremiaspheciinae", "Opistominae", "Pterocladiophilaceae", "Anipocregyes", "Cosmesthes", "Tmesiphodimerus", "Neochasmus", "Cynoscionicola", "Basilewskya", "Onchidoidea", "Myrmecophaga", "Ilyocypris", "Turbonilla", "Parabaryconus", "Ptenidula", "Sulcodon", "Dictyocysta", "Phoenicobatini", "Paraulacoryssus", "Pennellianthus", "Gargariscus", "Nematoserica", "Piroplasmea", "Kleinella", "Cephennococcus", "Trioncinia", "Cabillus", "Pinthaeus", "Eomysticetidae", "Andreaeobryales", "Ecphylus", "Polyankyliidae", "Grimaldiellidae", "Progamotaenia", "Iguazua", "Ahamus", "Deliochus", "Libanochlites", "Zischkaita", "Siratoba", "Polyposthiidae", "Erythraeoidea", "Theryaxia", "Cicinninae", "Crassotornoceras", "Microcharops", "Loxodontomys", "Rhopalodinaria", "Stephanogonia", "Serixiomimus", "Drepanobandidae", "Zealandopterix", "Entophysalidaceae", "Tyrannosauroidea", "Leptotachidia", "Stenopteron", "Plectranthias", "Cliarthromorphus", "Hydrogenophilus", "Ceratangula", "Sikhotelumpia", "Annelida", "Neotrichiini", "Microphyes", "Carpochenini", "Sticta", "Postsolenobia", "Eupodes", "Proscyllium", "Leiopathidae", "Xenodorus", "Wetmoreana", "Humblotia", "Subsecolepas", "Hylobiini", "Shiqianaphaenops", "Notolinus", "Dalgopus", "Heterodendron", "Kioloa", "Diostracus", "Hemitripteridae", "Opisthoaulax", "Pediculidae", "Gibsmithia", "Pyramoides", "Niphothixa", "Micropeplus", "Prorasea", "Chiloxanthinae", "Akaniaceae", "Rectarcturidae", "Coahuilaceratops", "Ambostracon", "Heteropsomyinae", "Clepticodes", "Plagyrona", "Mycocepurus", "Gonometa", "Leptobryum", "Talpolepis", "Polynema", "Phaniola", "Climaconeis", "Necia", "Notocaryoplana", "Epicepon", "Endostoma", "Heteronitis", "Dictyoconoides", "Odetta", "Allgokirus", "Platycolaspis", "Halirages", "Dipteromimidae", "Protactinae", "Nellosanoides", "Scenopinidae", "Calathea", "Tropitrachelus", "Rubidograptis", "Phidiana", "Dolichotachina", "Verhoeffiidae", "Alcea", "Elaphidiini", "Descarpentriesiola", "Dorycnopsis", "Aspericorvina", "Tiarophora", "Hemisphaerammina", "Euryopis", "Biloclymeniaceae", "Eugnathogobius", "Pherallodus", "Gonatocerus", "Gaiziapis", "Phylloscyrtini", "Scytinium", "Hemimerideae", "Muricauda", "Tibetiella", "Hornellia", "Udaiana", "Diolenius", "Plesionoma", "Merothrips", "Causonis", "Aponuphis", "Prasinochloris", "Idophysa", "Trichacanthocinus", "Mauiulus", "Ikelibeloha", "Neopeltidae", "Fritschiella", "Syndromodes", "Anaphela", "Tornatellinops", "Thylacella", "Nessia", "Ceylania", "Leptomelus", "Avicennina", "Boodleaceae", "Sciotropis", "Melanochelys", "Comophyllia", "Lindholmiolinae", "Pleurolobus", "Alsuviricetes", "Beijerinckvirinae", "Gymnadenia", "Xanthoidea", "Ceratobatrachinae", "Helvetoglobotruncaninae", "Termitobiella", "Fariometra", "Heterochondria", "Ischnomias", "Coenodomus", "Rupertia", "Threskiornithiformes", "Iason", "Boninosuccinea", "Schizocephalinae", "Delphinapterus", "Dulichiidae", "Sarcogyne", "Limapontiidae", "Austrochaperina", "Hermoniana", "Camillina", "Phanuelus", "Maximucinus", "Mormyrops", "Hilophyllus", "Jannaschia", "Acentrus", "Oihus", "Kedestes", "Neptihormius", "Dwigubskyiidae", "Timotimius", "Parathyreinae", "Tilletiariaceae", "Stegastopsis", "Xiphaspis", "Taylorophycus", "Tetrachroa", "Wellingtonellidae", "Calycobathra", "Notopanisus", "Neotracylla", "Oligochinus", "Oblongichytrium", "Rathymus", "Antennatus", "Syncretocarpus", "Discoverichthys", "Metrioppiidae", "Morococcyx", "Spinulomutilla", "Clematodinini", "Suculentophichthus", "Pocapharaptinus", "Canariellidae", "Colpocyclops", "Ischnopeza", "Daption", "Stridulocoris", "Macromalon", "Nablistes", "Johnsonicodium", "Rhaphidrilinae", "Uraarachne", "Dolichopodidae", "Hiradonta", "Careproctus", "Homunculus", "Curvibasidium", "Plagionotus", "Kinbergonuphis", "Herpestinae", "Callerya", "Chorizococcus", "Verella", "Otariidae", "Comencya", "Mexitrechus", "Theriodontia", "Pselligmus", "Pilocepheus", "Strigiformes", "Priapulopsis", "Ulvaceae", "Siphonellopsina", "Ilybiosoma", "Otopteropus", "Trebacosa", "Propinacoceratidae", "Decipiphantes", "Pyrrhospora", "Leptonia", "Charmon", "Mycerinus", "Usbekistania", "Myrrha", "Isegama", "Methylomarinum", "Hemiuroidea", "Cibotiaceae", "Goniaceroides", "Gyalectidium", "Dysmasiites", "Ctenophthalmus", "Neosarmatium", "Astracanthidae", "Alfius", "Cephalomelittia", "Afrodinia", "Corallinales", "Anchitestudinella", "Bolitophilidae", "Allardina", "Dichostates", "Ranfurlyinae", "Hirtodrosophila", "Timmiaceae", "Afromolorchus", "Zaluzaniinae", "Espeletiinae", "Micromyzella", "Doederleinia", "Cardotiella", "Cervicornia", "Chrysothlypis", "Rhizammina", "Cyanothemis", "Zanclorhynchus", "Zealanapis", "Pangasianodon", "Myliobatoidei", "Eidozyras", "Steingeliidae", "Chrysomeridales", "Bronchus", "Caenopachys", "Callostylis", "Pseudobactrocerus", "Glomera", "Nesoprosopis", "Valoka", "Kadua", "Onagraceae", "Eusiridira", "Oncinocampa", "Mesoptila", "Raciborskiella", "Afrothismia", "Ophthalmomorda", "Heterocyemida", "Horaichthyinae", "Namaquaphasma", "Achilorma", "Pityococcidae", "Chiliochthonius", "Armatellaceae", "Paraseveriniini", "Alcimochthes", "Padillothorax", "Oritocatopini", "Monactis", "Lentariaceae", "Prolepsis", "Anchocerus", "Tessella", "Cyproideidae", "Agraphydrus", "Paraferrimonas", "Lepidodes", "Orthophytum", "Thoracoplites", "Paramecocnemis", "Basilioterpa", "Barycistela", "Brunettiina", "Zelandoperlini", "Sumeria", "Nettelislasia", "Carcinonemertidae", "Drymocallis", "Eptingiidae", "Lachnogyini", "Psednobates", "Peltidocotyle", "Atractoscion", "Parvunaria", "Agnathiellidae", "Haplopeodes", "Reynosia", "Laugia", "Neurogomphus", "Chidaea", "Chalcothea", "Meselatus", "Hosackia", "Spirillina", "Premnotrypes", "Myrmozercon", "Lathripisalia", "Hadrodactylus", "Macropsebium", "Lotilia", "Iniquispongia", "Cassiduloida", "Permoceratodus", "Sweltsa", "Anatidae", "Oxychalepus", "Fissuria", "Helminthostachys", "Asiothrixus", "Canadaphididae", "Ceralocyna", "Pseudauximus", "Ibacus", "Clusiella", "Levelepas", "Scutaria", "Ceratoikiscum", "Eutrichodesmus", "Amomyrtella", "Astrocladium", "Compsoneura", "Entomosterna", "Polyodontognathus", "Platychauliodes", "Nasutixalus", "Celatoblatta", "Cratohaerea", "Eurypercus", "Elongobula", "Cavicularia", "Calliclopius", "Microdynamis", "Heteroschiza", "Cestida", "Urosoma", "Feihyla", "Parapteracmes", "Parasimus", "Weejasperaspididae", "Pachypodini", "Cactoideae", "Igneocnemis", "Meliboeithon", "Tigrisoma", "Lotisma", "Tithonophasma", "Rhabdopleuridae", "Helicoprorodon", "Psathyrellaceae", "Lepidaploinae", "Stenopsychidae", "Blechnoideae", "Picrospora", "Cepheia", "Asiacardiochiles", "Lissorchiidae", "Echinocucumis", "Leporidae", "Leptusomorpha", "Lomandroideae", "Zeempista", "Parespeson", "Xenobythus", "Ischioloncha", "Bombulina", "Majungasaurinae", "Lophiomys", "Piophila", "Oreoseris", "Coridius", "Bactrianoscythris", "Sphaerolobium", "Burgellopsis", "Patellariaceae", "Mimoscydmaenus", "Sharpea", "Anisotenes", "Warburgia", "Astrochalcis", "Laeviemarginula", "Echinopsocus", "Huckettomyia", "Microhyle", "Stellispongiida", "Zanthoxylum", "Exenterini", "Disoidemata", "Conoderini", "Paragonospora", "Ptomaphila", "Astreopora", "Hypoleuca", "Eczesaris", "Viridiphasma", "Obolaria", "Prada", "Euglandininae", "Chrysochraontini", "Idiospermum", "Pamerana", "Cheirodon", "Aphthonocosma", "Lamium", "Trapania", "Trimma", "Alischirnevalia", "Scotocercidae", "Neocryptopygus", "Sinojuraphididae", "Ouranosaurus", "Agnocoris", "Nanotrachia", "Psammotropha", "Papilionoidea", "Dichrooscytus", "Baiyankamys", "Cymindidina", "Chionodes", "Hymenoscyphus", "Euroschinus", "Styringomyia", "Tamoyidae", "Enterogyrus", "Nephrolepis", "Neorthacris", "Arixeniidae", "Melanoplini", "Amphaces", "Errolium", "Gyranusoidea", "Tribolonotus", "Titanochelon", "Blastocystidae", "Zlotorzyckella", "Pusillopagurus", "Calcarea", "Desmoxya", "Coccobaphes", "Myrmelibia", "Odiniidae", "Hopperia", "Hypselistes", "Maritalea", "Dictyaulus", "Lepidorrhachis", "Cohnilembus", "Maoriphylina", "Celmia", "Kooiichthys", "Biddulphia", "Nesoptilura", "Pontibaca", "Poeciliidae", "Wilsonosaura", "Merionoedina", "Snyderina", "Smionia", "Maricola", "Cynara", "Neoperlini", "Deutschlandia", "Nototaenia", "Anthozoa", "Metachorista", "Fusosurcula", "Ichthyoelephas", "Phylloctenium", "Harpagophytum", "Otonycteris", "Cotylosauria", "Madagassoconnus", "Chondromyces", "Hercinothrips", "Brachina", "Calycomonas", "Priocnemis", "Grangerellidae", "Alishania", "Mesophoxus", "Scapiarabis", "Plicochonetini", "Phyllomyias", "Pseudothemis", "Trigonodactylus", "Delarbrea", "Gymnarrhena", "Brisingidae", "Geococcyx", "Stylochoidea", "Paraleonnates", "Manda", "Micropleura", "Radamaria", "Garicola", "Genolevuria", "Leptoplanoidea", "Petrostroma", "Eutychide", "Rhodothamniellaceae", "Hersiliidae", "Stictopleurus", "Calliphylloceras", "Clavocerithium", "Synoecha", "Ungla", "Myllokunmingia", "Scrofella", "Argentulia", "Archimyrmex", "Afipia", "Xenotrechus", "Polymastiidae", "Kongsbergia", "Lixophaga", "Marionfyfea", "Trichotonannus", "Diplacanthoidei", "Phyllopteroides", "Mesorhynchaglaea", "Liua", "Masticbarbus", "Aeonieae", "Collichthys", "Lepadella", "Yoyetta", "Anomalurus", "Paramyocara", "Afghanoptera", "Cyprinella", "Lewinella", "Pityophykos", "Afropiesma", "Paraelopura", "Anchistrocheles", "Krasnovia", "Metanephrocerus", "Eurystomellidae", "Fossulopora", "Audeini", "Thermococcus", "Phlegoninae", "Thecaphora", "Pentheochaetes", "Osphryon", "Ramicristates", "Strongylaspis", "Abronica", "Cyttarocylis", "Faecalibaculum", "Splendeuptychia", "Lophomyrtus", "Acanthopteroctetoidea", "Pateramyces", "Hintzeia", "Adelphotectonica", "Leptotrachelon", "Ceratotingis", "Neoplatyola", "Acrogenys", "Testrica", "Callicaria", "Eutrombicula", "Homostichanthidae", "Eumunididae", "Ziziphoideae", "Pamela", "Tripterodon", "Paramarochara", "Papias", "Leptanilla", "Xenetomorpha", "Mastigocerini", "Tetramerinx", "Sphiximorpha", "Lacrymorphus", "Mimacanthocinus", "Alitta", "Stephanomeria", "Hirasa", "Halymeniales", "Tomistominae", "Asyneuma", "Menomoniidae", "Halliellara", "Retinitus", "Spirospermeae", "Parachrostia", "Noongara", "Benna", "Samoana", "Pseudobutyrivibrio", "Orientoglomus", "Aceratobasis", "Lardizabaleae", "Cirricaecula", "Plesiocedria", "Ocadiatrematidae", "Oryctina", "Dimargaritomycetes", "Myrrophis", "Autarcontes", "Micrevania", "Catenicella", "Waitangi", "Necrophila", "Shiqianolepidae", "Onderstepoortia", "Gymnatrema", "Pantopipetta", "Aphyopsocus", "Hooglandia", "Pseudoplagioporinae", "Halimedaceae", "Epipompilus", "Ctenolophon", "Colobura", "Anomaluromorpha", "Dissocarpus", "Pteronura", "Cheirocratidae", "Pilumnopeus", "Ptychophallus", "Cladolella", "Indopeltis", "Arctictis", "Blastobasis", "Simia", "Parapoderus", "Gulgastruridae", "Trimastigidae", "Taeniopoda", "Rhogeessa", "Cyrtophorinae", "Gryllini", "Campylaspis", "Cyphocarididae", "Moesiloculina", "Forficuladeres", "Frigora", "Stebbingiella", "Chaetosiphon", "Mexistenasellus", "Theliopsyche", "Pontohedyle", "Clavator", "Koreocobitis", "Gyrinocheilus", "Pugetia", "Croitana", "Gyalidea", "Dendroarabis", "Dendrothele", "Atolchelys", "Spreotaenia", "Pterolomatinae", "Vulcanodon", "Paraplatynaspis", "Celebenna", "Dinoxiphidiopsis", "Archicorynus", "Vanstaronia", "Prionocerites", "Microseira", "Chrysolampinae", "Miliola", "Pruvotinidae", "Acidithiomicrobium", "Cyclommatini", "Croconema", "Macrothamnion", "Euroglyphus", "Chaerephon", "Neonotoptera", "Douglasdeweya", "Tagoropsiella", "Guepiniopsis", "Phra", "Halorhadinus", "Zhangsolvidae", "Hoplomegistidae", "Nestima", "Adorea", "Malawispongiidae", "Scania", "Disteira", "Amborellales", "Daradax", "Macroilleis", "Prionobythus", "Neottialges", "Synergistia", "Shindeiobothrium", "Tachydromia", "Taygetis", "Ostinobolus", "Idiastion", "Schwetschkea", "Lophocorys", "Eirinicaris", "Halyini", "Sagina", "Coloconger", "Ptiliopycna", "Geostiba", "Dissochaeteae", "Monalocoris", "Proleucoptera", "Vietorogas", "Hyaliodes", "Duthiersia", "Aschnarhyparus", "Cyclophorinae", "Nivellia", "Telomerina", "Aspisoma", "Gammarella", "Eucoptacra", "Aatolana", "Manticora", "Orgilinae", "Ephormotris", "Astrorhizoidea", "Homalodontidae", "Pujolia", "Trigonidiella", "Gomphosus", "Entomogaster", "Batomena", "Chimonodinium", "Chrysolinina", "Kunstleria", "Poranopsis", "Eisenbergiella", "Postodius", "Bucculinus", "Flustrina", "Thaitrombidium", "Meganomia", "Washpool", "Marsupioporella", "Leptodirini", "Occiplanocephalus", "Tamamschjanella", "Archaeosporales", "Dolophones", "Styriodes", "Mitua", "Conchoecia", "Buxbaumiaceae", "Oleinae", "Cestocampa", "Pseudotrematodes", "Apatosaurinae", "Saltafresia", "Lactobacillus", "Myurium", "Stylactaria", "Esophyllas", "Epigynum", "Tetradymia", "Regasilus", "Aubrieta", "Liphistius", "Hypericophyllum", "Deniya", "Bampsia", "Lindleya", "Asteronema", "Fauriella", "Draconettidae", "Hemijana", "Neolepidopsocus", "Callorhynchinae", "Letterstedtia", "Zuvanda", "Cussonia", "Spectrolebias", "Aureitalea", "Asperaxinae", "Poposauroidea", "Podopterocus", "Disasuridia", "Farsus", "Bruchus", "Pennariidae", "Hutchinsoniella", "Speirogorgia", "Anthriscus", "Lactoria", "Polybetes", "Hypnogyra", "Heteromorphina", "Cyobius", "Anomotaenia", "Kakuna", "Batrachochytriaceae", "Erysiphe", "Chromopleustes", "Mafulemesa", "Collosphaeridae", "Chelone", "Concornithidae", "Lukwangulorites", "Hiera", "Occidozyga", "Apteralcidion", "Metapilea", "Aster", "Lemmaphyllum", "Janinella", "Clados", "Heterophoxus", "Planolinderina", "Epistomolichus", "Haplophallus", "Avachytrium", "Leucothoidea", "Paracobitis", "Endozoicomonas", "Anacanthoica", "Borsoniidae", "Herminiinae", "Harrietonana", "Celianella", "Microthurge", "Schima", "Chiloplacoides", "Pseudobagrus", "Amblypygi", "Prosnyderella", "Paliavana", "Hyalopeplinus", "Delapparentia", "Titanotricheae", "Taphrobothrium", "Latuterus", "Pirara", "Awasha", "Micrandra", "Oligotenes", "Thiasophila", "Tetrachne", "Foliabitus", "Mesaxymyia", "Dictator", "Acanthuridae", "Eremobelba", "Ornithobdella", "Grammadera", "Paludinella", "Gymnechinus", "Goniocotes", "Lanterius", "Janidera", "Gossea", "Testacellidae", "Phrynomantis", "Appia", "Neoduma", "Trichosilia", "Nicephora", "Patellininae", "Parascydmaenus", "Protoperidiniaceae", "Libanothamnus", "Nacunansellidae", "Dyctidea", "Hebrolethaeus", "Conradinema", "Bodomorpha", "Hypocreopsis", "Psitteuteles", "Sylvilagus", "Phricodothyridinae", "Octocyclus", "Hyphalus", "Pseudomegalovalvata", "Mosasauroidea", "Avnia", "Remmigabara", "Myobatrachus", "Gymnoderus", "Bureschia", "Epistylididae", "Platytrombidium", "Desmascula", "Cheeneetnukiidae", "Leucotheidae", "Aktassiidae", "Tangella", "Botrytis", "Stryphnodendron", "Borealotodus", "Exerpes", "Scolopsomorpha", "Micropeltus", "Idahoiidae", "Nipponoharpalus", "Crossopoma", "Hesperiina", "Macropidonia", "Eupleres", "Homalopteroides", "Alcathoe", "Oodini", "Hoplopisthiini", "Zhelestidae", "Atalophlebioides", "Conospermum", "Dichotomanthes", "Curidia", "Pallenopsidae", "Cacoxenus", "Europiella", "Cerinomyces", "Pseudocittotaenia", "Richardia", "Tigridia", "Conohelorus", "Dipteridaceae", "Eurysternina", "Azorhizophilus", "Meta", "Methionopsis", "Synedrosphenia", "Eugleninae", "Alarcta", "Centropages", "Lamippidae", "Liopeltis", "Tantulius", "Connexia", "Schiztobracon", "Halorussus", "Solenostomidae", "Ashtabula", "Thorichthys", "Vermivora", "Neisseria", "Cetorhinidae", "Proxhyle", "Cochliotodes", "Funaxopsis", "Crasimorpha", "Typha", "Tricharaea", "Avitortor", "Apphianini", "Protomelas", "Cryptalyrini", "Koeleria", "Prosthiostomum", "Hunnemannia", "Scandix", "Yucatalana", "Dysphania", "Symmachia", "Epigastrina", "Acrophasmus", "Atrypidae", "Rhynchoribatidae", "Pseudopanotrogus", "Aestuariibaculum", "Zschokkella", "Mycterophallus", "Carbotriplurida", "Primorskiella", "Spizellomyces", "Formicoidea", "Buburra", "Triaspidogastra", "Microcerella", "Rottboelliinae", "Leptobatrisus", "Echinocoryne", "Cerodontha", "Sympterichthys", "Molopsida", "Tettigonia", "Micrococcales", "Caltha", "Gynnidocladius", "Neogaurena", "Euglycyphana", "Pleioceras", "Plotnus", "Lundomys", "Mastogloia", "Taeniocotyle", "Salinisphaerales", "Macroma", "Carychiinae", "Minilauxania", "Micrampulla", "Adocinae", "Silosca", "Pachychelium", "Anchylorhynchus", "Bucerocophorus", "Sinuitopsis", "Sericocarpus", "Allisoniaceae", "Ptilagrostis", "Goniaulux", "Gigantione", "Phaeogenes", "Myrmochanes", "Thorsellia", "Laonastes", "Botryosphaeriaceae", "Azeca", "Tripleurospermum", "Synarthothelium", "Araeopteroninae", "Marcenendius", "Microon", "Leukarachnion", "Agyrtidae", "Cladocaecum", "Blepharizonia", "Teius", "Gabia", "Epermenioidea", "Rubrograptis", "Allodontidae", "Tuberaceae", "Echinapoderus", "Actinoplagia", "Nimbacinus", "Dolichurinae", "Heptagyia", "Notochoragus", "Mesoplophoridae", "Tectocepheoidea", "Sebekidae", "Acarophenax", "Otobothriidae", "Guptaia", "Bathrips", "Enteroplea", "Scoloplos", "Deudorigini", "Metacanthinae", "Parabathymyrus", "Idioibla", "Toxitiades", "Lagynidae", "Porohalacarus", "Natarajphotis", "Ectrogellaceae", "Robea", "Trichaphaenops", "Gojirasaurus", "Ypsiloneura", "Haploditha", "Sympetrum", "Tytthobittacus", "Aralazhdarcho", "Metallopseudinca", "Apameini", "Larissimus", "Turbonellininae", "Wilmia", "Petrochelidon", "Callimoxys", "Sakaguchiales", "Lygeum", "Endothyrinae", "Parkraemeria", "Synaldis", "Lyalia", "Leptotrachelus", "Legrandia", "Medusettidae", "Camphorosmeae", "Paramonaxinidae", "Eulobus", "Pseudocryphaea", "Himantocladium", "Branchinecta", "Megaleptoperlini", "Athor", "Galicioreicheia", "Typhlobledius", "Bafutia", "Amphitropesa", "Chelinae", "Cytophaga", "Pinillosia", "Timodora", "Genuclymeniinae", "Acomocera", "Subtibicina", "Proterus", "Omphisa", "Epirimiinae", "Austrogastrura", "Lamprodila", "Bhatia", "Pareudectus", "Hydraenini", "Laggania", "Redekea", "Aenictobia", "Backobourkia", "Desmoneis", "Emblandidae", "Goniospiridae", "Norbanus", "Bryanellocoris", "Arianrhoda", "Chirgus", "Chaetodontoplus", "Chaetosomodes", "Idiosepius", "Aphytopus", "Jubisentidae", "Sporophila", "Phlyctaenogastra", "Chilocoris", "Euchilocoris", "Actinopolyspora", "Pintaliini", "Cyathodes", "Cneius", "Novocaledoniella", "Diurocoris", "Barreropsyllini", "Neanotis", "Plesiotritoninae", "Protolithurgus", "Thescelosaurus", "Saniculoideae", "Anebodon", "Tetraglyptinus", "Tachychara", "Neotropidion", "Coryphellidae", "Monograptus", "Cynarina", "Radiaster", "Neodera", "Micromoema", "Distingphyses", "Melanodrymiidae", "Halysitina", "Pseudoeuctenidiacea", "Ix", "Morphnarchus", "Palaeobigenerina", "Neope", "Decaschistia", "Euglossa", "Calabozoidea", "Neoneurotelia", "Oncocalyx", "Mimotrysimia", "Amauroleucocelis", "Myersinella", "Sembeya", "Eustrophus", "Pentaloculum", "Nematocarcinoidea", "Ektasitrachela", "Amphisphaeria", "Cassytha", "Microplasma", "Madabolus", "Balliviaspongia", "Rheobatrachidae", "Chilodiplus", "Steganacaridae", "Gloeoheppiaceae", "Toxodanuria", "Mahania", "Paramelomys", "Aphrophorias", "Ancylocnemidini", "Lehrius", "Cremifaniinae", "Asolenus", "Colatooecia", "Uropsyllini", "Parameletus", "Sundarus", "Cyanothece", "Dipterocypsela", "Pseudohyorrhynchus", "Percoidea", "Mimapriona", "Endothyra", "Orostegastopsis", "Nannophrya", "Maritigrella", "Arthrosporum", "Vanhoeffenura", "Corneolabium", "Molopsis", "Stauridium", "Asteriscus", "Platanus", "Atopodentatus", "Afraethalotus", "Oxnerella", "Kostka", "Perilissini", "Neocalyptrocalyx", "Obrida", "Benedeniinae", "Elopura", "Caenopsyllini", "Eilema", "Sinodasynus", "Heligosomoides", "Idiomyctus", "Guisardinus", "Mazzaella", "Heleopera", "Pterogoniopsis", "Afropelates", "Dolichosybra", "Scythridinae", "Parrellina", "Solecurtidae", "Plectofrondiculariidae", "Huaxiacallites", "Cribrogoesella", "Umbraulva", "Caconeura", "Paroplites", "Rhizona", "Neogonapodasmius", "Lespedeza", "Rhodoptilum", "Micractinium", "Sceliphrina", "Heterogenius", "Alcyonosyllis", "Decapoda", "Labidostommatina", "Menuthianaspidini", "Nessiodocus", "Forcipomyia", "Cynipoidea", "Eurysquillidae", "Tanycricini", "Oxychilus", "Acidimicrobium", "Optioservus", "Tuckermanopsis", "Tentorina", "Musonycteris", "Donacostola", "Anagroidea", "Gonodactyloidea", "Mydaea", "Oreacanthus", "Vequintavirinae", "Solenostemma", "Nippolachnus", "Yarrumia", "Hippocrepininae", "Plectrophenax", "Cytheromorpha", "Podochytrium", "Esmeralda", "Bopyrophryxus", "Sibbaldianthe", "Archaeodictyna", "Phloeotribini", "Schauinslandia", "Longipeltina", "Coryphiina", "Munnopsis", "Oldenburgia", "Aestuariispira", "Bathyclarias", "Vectocleidus", "Chitinolepis", "Metaposthia", "Delitschiaceae", "Ischnoleomimus", "Chalcosicya", "Apalone", "Menosira", "Sparostes", "Oecophora", "Murzinowatsonia", "Sirthenea", "Amia", "Calyculariineae", "Dipsadoboa", "Cacoides", "Myrmapana", "Corynephorus", "Caudadercetis", "Malvastrum", "Moniligastrida", "Eudesmiina", "Merizocotyle", "Commatica", "Pollanisus", "Praehomo", "Spilocuscus", "Syntomernus", "Stigmoctenoplusia", "Naucleopsis", "Uvariodendron", "Maldanidae", "Mauretanaspis", "Latiremidae", "Habragonum", "Apatetor", "Longosomatidae", "Argyrodines", "Atheas", "Moranilini", "Sakaila", "Cystiphyllina", "Biwaecaris", "Exomala", "Macgregoria", "Halosimplex", "Heteropleustes", "Ophioglossales", "Cyclosodes", "Chinobrium", "Indioscaptor", "Mannagettaea", "Surnia", "Mosasaurinae", "Pycnospora", "Ambispora", "Eoschubertella", "Murchisonia", "Mermithida", "Acetobacteraceae", "Amydona", "Paramisgurnus", "Sapoteae", "Sarcinochrysidaceae", "Capobrium", "Spumochlamys", "Hispanocar", "Cyrtocarpa", "Malacosteinae", "Satorina", "Japanolaccophilus", "Corticomantis", "Rhopalostylidinae", "Minutisphaerales", "Ypsotingis", "Cranichideae", "Petrobia", "Iagotrema", "Microstenothoe", "Pseudochiropsinae", "Poliocephalus", "Paratrygon", "Nectriaceae", "Ponceamminidae", "Cryptochetidae", "Pseudoclavulina", "Picus", "Tennantia", "Eusyrophoxus", "Brontostoma", "Siamanthus", "Sicaxylobates", "Petermannia", "Actinoposthiidae", "Phloiocaulon", "Dentacinetidae", "Linguaserridae", "Woodburnia", "Astrohydra", "Monaloniina", "Poterioochromonas", "Sisyridae", "Paruzelia", "Clermontia", "Hongosmylites", "Proeuzkus", "Kasetsartra", "Sheshukovia", "Prociphilus", "Escalonia", "Trichozygospora", "Heleomyzophaga", "Callisphyris", "Vascosoma", "Aepyprymnus", "Neophyllomyza", "Archeocrypticus", "Lamtostyla", "Veliinae", "Cystamminoides", "Camptosphaeria", "Faguetia", "Exumalana", "Hemirhipidius", "Plocamarthrus", "Palaeoloxodon", "Amischa", "Provalvatidae", "Parkesia", "Argyrocottus", "Dinastridium", "Bomis", "Palusphaera", "Acamptonectes", "Tropidothorax", "Rhynchophis", "Crophius", "Igapophilus", "Megalecanium", "Lycodrilidae", "Opadius", "Pheloura", "Fedrizzioidea", "Makinoella", "Dyscolus", "Discocarpus", "Stenothyrsus", "Gomphodontia", "Neogogatea", "Aphylinae", "Abdia", "Pseudobrieniinae", "Cyrnea", "Hydrodendron", "Liochrysops", "Malaycromia", "Opistognathidae", "Clitellariinae", "Phegopteris", "Euphyllura", "Machadobelbidae", "Ptilocladiopsaceae", "Weberiella", "Daphniopsis", "Eutonia", "Nadipteridae", "Rhynchocladium", "Batrachoseps", "Everettia", "Trianectes", "Batrachylinae", "Cortaritermes", "Eucarpha", "Madygeniinae", "Holophaga", "Chiljapyx", "Anisolabus", "Otroeopsis", "Cynorkis", "Helinus", "Coloneura", "Trichomicra", "Galofus", "Pheropsophus", "Pleurodonta", "Eucraniini", "Codonoeca", "Zonaria", "Anusioptera", "Dokimocephalidae", "Kyopsyche", "Eurypterus", "Carbacanthographis", "Faxonius", "Lipinia", "Toyotamaphimeia", "Glycosia", "Spirulidae", "Ursidae", "Psilotarsus", "Emphyastini", "Robackia", "Acanthaclisini", "Panguraptor", "Ekkliatheta", "Ascocyclus", "Indianoinocellia", "Memoan", "Pseudoleskeopsis", "Nephanes", "Wyominia", "Gynostemma", "Escherichia", "Camallanidae", "Eunostus", "Paracelsia", "Philodicus", "Arpediopsis", "Raphidopus", "Gaoligongshania", "Cyrtosperma", "Dobera", "Bryotestua", "Oxygyne", "Nethertonodus", "Astronia", "Archimedea", "Platonica", "Callirhinus", "Praecoxanthus", "Biporophyllaeus", "Cardueae", "Parandanus", "Phrosinella", "Longelinopodius", "Euphysalozerconidae", "Prochaetodermatidae", "Callistocypris", "Bombina", "Pleolipoviridae", "Silurotaenia", "Petractis", "Utopileus", "Pholeolygaeus", "Fabriciinae", "Carpenterophlyctis", "Neotypus", "Buzala", "LUCA", "Appolonius", "Leucosarcia", "Petalolyma", "Tetratomidae", "Hoaleshwaria", "Planoglabratella", "Australodraco", "Philotartessus", "Rigel", "Prasophyllum", "Euplectini", "Neoepiscardia", "Nematopogon", "Opsibotys", "Spirillospora", "Islandiana", "Adelidae", "Nepeidae", "Haloscatella", "Diplandros", "Paranoplischius", "Menatorhis", "Ectobiella", "Paracnemis", "Sinolochmostylia", "Niphopelta", "Eoengraulis", "Helicoarthrosporum", "Capillibates", "Sapaia", "Quasiirregularina", "Dyscherinus", "Gobiomorus", "Eoevania", "Luvunga", "Rhabdorbitoides", "Lorilichus", "Neusticomys", "Lygaeidae", "Oenrobia", "Progonocimex", "Weda", "Adelpha", "Samyda", "Maraldichthys", "Dendrelion", "Doxozilora", "Symplectoscyphus", "Pontoppidaniinae", "Monocilia", "Mimocoedomea", "Masonia", "Corticea", "Oteana", "Bibionoidea", "Pyrotheria", "Crepidochares", "Sarcinofilaceae", "Meonis", "Astiotrematinae", "Parapeltis", "Paraphelliactis", "Gasteracanthinae", "Dipleuchlanis", "Nyasasaurus", "Cyrtophoria", "Tharra", "Moutabeae", "Ectemnorhinus", "Mireditha", "Antronia", "Pyrus/All", "Strenaphis", "Selenomonadales", "Pediculota", "Saigusaia", "Parareichelina", "Cnuibacter", "Bergeranthus", "Paramartinsia", "Trillium", "Trypanaxidae", "Rhizopogonia", "Prorella", "Mnestheus", "Apalolepis", "Aeromonadaceae", "Lepidocaryeae", "Praetaxila", "Sommerfeltia", "Viviania", "Sirana", "Methanomicrobiales", "ULABG", "Dicymolomia", "Melanchiton", "Apourosomoida", "Leiopleurina", "Neriacanthus", "Phyllastrephus", "Falsopodabrus", "Dryodromia", "Hystrignathus", "Hyperoodon", "Exithemus", "Agulhasia", "Deferribacteraceae", "Froeschneria", "Cormobionta", "Anosiopisalia", "Dendrodochium", "Sphaerolipoviridae", "Wasmannia", "Olixon", "Porphyrophorinae", "Altistoma", "Holttumochloinae", "Dariellina", "Penica", "Orinoeme", "Neobrittonia", "Clavija", "Neohypoaspis", "Falsirhodobacter", "Solidosagitta", "Zavrelimyia", "Odomasta", "Philophthalmidae", "Ischnopsis", "Patelliella", "Callimorpha", "Tetrapus", "Nitrosoarchaeum", "Cyrtopeltis", "Elytroxystrotus", "Bolivaria", "Paranetrelytron", "Probothriocephalus", "Paragordiidae", "Terminaliinae", "Anthonotha", "Liadroporus", "Chiasognathus", "Ligentella", "Ellipotoma", "Gondwanadryinus", "Merremieae", "Telochilus", "Rappephyceae", "Amauropepla", "Heterochelamon", "Habutarus", "Pleuroblepharidella", "Centrocerum", "Spheciospongia", "Helaeomyia", "Dahlica", "Adexiopisalia", "Lamotialna", "Algophagidae", "Williamsella", "Dieneremia", "Halacaridae", "Chloroperlinae", "Typhlopsychrosoma", "Elytrophorus", "Vostokovella", "Adelopsella", "Asterorhombus", "Premnobiini", "Vezdaeales", "Gymnocalycium", "Megastygarctidinae", "Brachyelytrum", "Perimyotis", "Leiognathidae", "Tarsocera", "Pseudoterpnini", "Parhedyle", "Reyranella", "Montissus", "Uleodothis", "Dothideales", "Granulibacter", "Pratapa", "Mesembrinellidae", "Entedonomphale", "Costinota", "Atalaya", "Tropiphlepsiini", "Anencyrus", "Hyllisiopsis", "Pleurogonium", "Chrysauginae", "Oroussetiella", "Brodoa", "Vertelba", "Ovariopteridae", "Flosmaris", "Heterozyga", "Lernanthropidae", "Pseudomacroxiphus", "Chaulioditidae", "Hexathrombiini", "Lycastrirhyncha", "Lentimicrobium", "Striatiguttula", "Diplectroninae", "Rhysopaussini", "Circulodinium", "Caristiidae", "Chuneola", "Halmyrapseudes", "Syncraternis", "Urgedra", "Pseudachorutinae", "Sikhamani", "Topikoglossa", "Trichophthalmus", "Anaeudora", "Astynoscelis", "Neoconidiobolus", "Thalassarche", "Ismelia", "Gymnomystax", "Diopsinae", "Doesbergiana", "Pseudolessonia", "Eretmapodites", "Pamelaescincus", "Halanaeroarchaeum", "Thelenella", "Brachypimpla", "Mesocentrotus", "Domibacillus", "Glacilitarsus", "Calydna", "Colpodonia", "Calisoga", "Phalacrognathus", "Haslundiella", "Totiviridae", "Acidothermaceae", "Aschitus", "Planosporangium", "Nemotelinae", "Trigonopeltastes", "Stangeellina", "Thermochiton", "Linospadix", "Elassommatina", "Columbicola", "Ormosia", "Parphia", "Cordyloconus", "Haliotis", "Climaciaceae", "Plesiominettia", "Tachygerrini", "Cavinulaceae", "Cyclorhipidion", "Anisostachya", "Cleome", "Simonus", "Tuakana", "Metroxylon", "Campanulorchis", "Enchelys", "Dioxybracon", "Spiroplectinatinae", "Glyptasida", "Tamulinus", "Ducellieria", "Anguidae", "Nototanoides", "Burtonulla", "Charassobatoidea", "Leporacarus", "Puerphorus", "Sarcosaurus", "Hydrophilomima", "Blissiella", "Falsotragiscus", "Buckupiella", "Algonina", "Euryzona", "Namoideae", "Austrotroides", "Cylindromacrostomum", "Zariquieyosia", "Eurydinium", "Geitlerinema", "Microcader", "Protrudomyces", "Demetrias", "Ubatubaneura", "Monoraphidium", "Diphymyces", "Jurahybosorus", "Hypsoropha", "Parmulina", "Eburniogastrina", "Narycia", "Noctivox", "Argoubia", "Pristerophora", "Bromiini", "Abra", "Monodus", "Rhinopristiformes", "Mesoceration", "Ochrochira", "Eopalorbitolina", "Handroanthus", "Tritoniopsis", "Holodiscolithus", "Anillopsis", "Anthospermopsis", "Navarcostes", "Ageleradix", "Rectocyclammina", "Catha", "Mataeopsephus", "Archegonaster", "Hemisus", "Parlatoria", "Torridoharpinia", "Ophioteichus", "Bradymerus", "Gonoprotaetia", "Batesparna", "Rhiniinae", "Platylestes", "Austronothrus", "Radumeris", "Halolamina", "Kordyana", "Midgardia", "Anepholcia", "Bifissio", "Tyrinasius", "Australojalla", "Myrmoteratini", "Olea", "Brachytheciella", "Asaphistis", "Murunducaris", "Coprophanaeus", "Nemadiopsis", "Psammodrilidae", "Atrometus", "Anaerobiospirillum", "Gaillona", "Aleisanthia", "Cladonema", "Pleodicyema", "Dinothrombium", "Rondonanthus", "Transversotrematoidea", "Plehnia", "Trypanodinium", "Fresnosaurus", "Vitex", "Irianjaya", "Periplomatidae", "Torodora", "Callorhinchidae", "Aviculariinae", "Candaciidae", "Semioscopis", "Ibitiruna", "Neptosternus", "Luzonia", "Astroclita", "Nothridae", "Protococcus", "Parepierus", "Styracurinae", "Larinus", "Bactrocera", "Cyprobius", "Unikaryonidae", "Metopininae", "Nipponaetes", "Chrysodema", "Isanopus", "Kerionammina", "Mactra", "Prabhasa", "Geoalkalibacter", "Geonemini", "Prosthecomicrobium", "Dacolithobius", "Buccanodon", "Loxogramme", "Messor", "Jacamerops", "Mascarenichthys", "Parectopa", "Sartallus", "Dendromonocotyle", "Actinocucumis", "Dalmochrimnus", "Paracryptogonimoides", "Ceratrichia", "Clypeolum", "Restrepia", "Tricheurymerus", "Schoeblia", "Miomantis", "Saprovisca", "Pericalina", "Clytoleptus", "Cithareloma", "Tobochares", "Pseudolathra", "Cymophorus", "Jalpai", "Syntomacrae", "Pseudolotelina", "Trichidium", "Acihasta", "Subselliflorae", "Xestoblatta", "Habrolepidini", "Rhabdosphaera", "Protoentospora", "Pseudacherusia", "Lemurinius", "Hypnanae", "Pristidactylus", "Microphysidae", "Galafria", "Malgasochilo", "Aglaops", "Anisonychidae", "Doridopsis", "Ambocoeliidae", "Zaitzevia", "Hydarellamixia", "Sibine", "Taphiassa", "Nefundella", "Denisimeria", "Osteoglossum", "Platyclinia", "Acanthanura", "Eumorphiopais", "Cecidonia", "Moringua", "Halyzia", "Cinnadenia", "Pyrgupyxis", "Hamacanthidae", "Prognorisma", "Selenozethus", "Calymperes", "Cytherissa", "Hubena", "Turbininae", "Anumeta", "Nigorella", "Nothohoraia", "Chryseurytoma", "Niemarshallia", "Mangrovibacterium", "Profundiconus", "Basicladus", "Pontimonas", "Gittenbergia", "Rhinothrombium", "Cymadusa", "Trewasciaena", "Nicotianeae", "Rhopalovalva", "Protobramidae", "Anomalosa", "Reimeria", "Calymmanthera", "Klauderuiella", "Percalatoidei", "Perisceptis", "Stictococcus", "Pauroterga", "Prostigmata", "Isomacrolobium", "Sternomoera", "Leuronoma", "Suidasiidae", "Monograptinae", "Flosculinella", "Chimastrum", "Chlorotabanus", "Nymphoides", "Anoecophysis", "Acherontacaridae", "Afrolaena", "Yaguarasaurus", "Martensia", "Catalebeda", "Phylactolaemata", "Trichocosmetes", "Megarcys", "Dasyrhadus", "Canthotrypes", "Stenochiinae", "Spiriferidina", "Mecistoscelini", "Bipalium", "Diaphylla", "Cataegidae", "Antalis", "Mecysolobini", "Bromoviridae", "Tuberculina", "Distimake", "Callaeidae", "Raymondinidae", "Kapcypridopsis", "Hydrolaetare", "Oleibacter", "Besleriinae", "Palaeantedon", "Telesonix", "Dryobius", "Merulempista", "Haglotettigoniidae", "Campaeini", "Romaleidae", "Philentoma", "Premnotrypini", "Helicina", "Metanemone", "Parapallasea", "Hydrogenovibrio", "Erichsonius", "Collocaliini", "Calyptosporidae", "Parathyreus", "Atrichonotus", "Acomatacarus", "Bartonia", "Schizoplax", "Pterocaesio", "Copromorphidae", "Nothochaetes", "Bryaxina", "Dicosmoecinae", "Nephrolepidaceae", "Cydista", "Cylindromyrmex", "Mischarytera", "Hemicycliophoridae", "Xenocratenidae", "Syneilesis", "Rayenia", "Amphiporidae", "Zegriades", "Stomatolepadinae", "Ramulus", "Denteilema", "Geopinus", "Parischasia", "Gargetta", "Hyalyris", "Williophrya", "Austroginellini", "Megaceratina", "Ptychodiscaceae", "Scopaeodera", "Buccinulum", "Schizostephanus", "Gunnessia", "Blastopsocidus", "Andrion", "Stichodonia", "Inezia", "Hemispingus", "Peponocephala", "Epicautini", "Calamophyllia", "Odontelia", "Fastidiosipila", "Pentagonaster", "Sphinctovalgus", "Assamiidae", "Valiatrella", "Scalmicauda", "Matabele", "Elacomia", "Pseudospongosorites", "Lucya", "Obrussena", "Liparia", "Euconophron", "Costesia", "Alcyonidium", "Pseudocharis", "Caryotricha", "Eucalodiidae", "Trichocoroninae", "USNM", "Proctotydaeus", "Protaxymyia", "Voracia", "Potiberaba", "Orthocis", "Ombrana", "Deltote", "Herpetosphex", "Amphipyndacea", "Apterembia", "Paramphithoe", "Semiinvoluta", "Orthocladius", "Eminia", "Herpetocetus", "Parameiropsidae", "Chrysoclista", "Quasimesosella", "Milichiella", "Jensia", "Portunidae", "Dromiceiomimus", "Promioclaenus", "Cryptocellus", "Sundaninini", "Geobaenini", "Thelyschista", "Microcybe", "Makalata", "Raneya", "Pseudethas", "Keysercypria", "Retrodrymus", "Syspira", "Terpsichore", "Blennodesmus", "Loberonotha", "Trapezicepon", "Protochlamydia", "Phaeosaccionaceae", "Enchelycore", "Mesopedinella", "Martindoelloia", "Phanerophlebia", "Dusona", "Paulsilvella", "Andrzeiowskia", "Holophagales", "Procoelambus", "Leiotoma", "Cavalcantia", "Chetocephalus", "Squalodelphinidae", "Ceratocuma", "Pyxolithus", "Cardiidae", "Pseudoxyomus", "Parachanda", "Otospermum", "Feuerbornia", "Hamadaea", "Paraprenanthes", "Arcticibacter", "Pareurydera", "Ixonanthes", "Megacoelopsis", "Oligocladus", "Lesteva", "Podonidae", "Crouzeliinae", "Lepocreadiinae", "Malachius", "Asthenara", "Talara", "Odontostreptus", "Peritropisca", "Hecastocleidoideae", "Synergini", "Litocras", "Macrolopha", "Pachydictyum", "Ophthalmorychus", "Renaudius", "Synaptotanais", "Melanimon", "Lasiini", "Anacanthodes", "Coccolepis", "Olivacotyle", "Trichothelium", "Bulbocerca", "Hawkeswoodoonops", "Jurivalentinia", "Phlogophora", "Lycopsyllidae", "Aculichneumon", "Blakeeae", "Kashmirobroscus", "Shibataeinae", "Yua", "Lohora", "Palmodactylon", "Rhodoxylon", "Pinna", "Eurytenes", "Pantepuisaurus", "Pericompsus", "Neobalanoformes", "Acantholochus", "Kasibaeocera", "Vltaviellinae", "Muntiacinae", "Erniella", "Paroeneis", "Vitreoscilla", "Aulacoblissus", "Micropsis", "Malurus", "Cygniella", "Zinowiewia", "Chloroherpeton", "Limatium", "Omaliomimus", "Sindacharax", "Australycra", "Protosthetops", "Pseudorientis", "Australhoekia", "Noterinae", "Plagiothyridae", "Blumenbachia", "Nabini", "Meticonaxiidae", "Scaphidiodon", "Finkia", "Sbenaphis", "Palaeofusulina", "Machuella", "Protodromus", "Ityophoridae", "Stylobates", "Acromyrmecoxene", "Monolena", "Stenophis", "Hadrobregmus", "Nycticoracinae", "Goleba", "Elkalyce", "Aphanosperma", "Funneliglomus", "Megalichthyiformes", "Xylenini", "Curtichelia", "Alpinococcus", "Ferganoceratodus", "Knightia", "Kashiwadia", "Tolpia", "Cypsiphimedia", "Notoncus", "Sertulariidae", "Metapinophilus", "Pseudorhinogobius", "Mallodontini", "Lenotetrops", "Goniocellus", "Saraina", "Paraancylotela", "Robbisaurus", "Advenaster", "Malcidae", "Ebo", "Udeocoris", "Apphiana", "Lithoscarabaeus", "Musella", "Hypocnemoides", "Clostridium", "Potamanaxus", "Steatomys", "Tetragonisca", "Gaussia", "Badelina", "Dinochiurus", "Larabicus", "Alanorites", "Philoscaphus", "Ophiocreas", "Peucedramidae", "Ansphyrapus", "Rhacura", "Vernicia", "Tritubulogenerina", "Neoapodemia", "Physodeutera", "Adapantus", "Iguanodectidae", "Pozoa", "Zearagytodes", "Naddia", "Gibbestola", "Oligembia", "Herpetobotys", "Panthytarcha", "Mirandotanais", "Gynotrocheae", "Renulina", "Plagigeyeria", "Mecas", "Pojarkovella", "Caracarinae", "Protomonotresis", "Gonzalagunia", "Guatemalteca", "Acerentuloides", "Stringophyllidae", "Stenophatna", "Biloculinella", "Kumlienia", "Borneopora", "Carcharodontosaurus", "Acmispon", "Riveroinidae", "Crassiplana", "Tillicera", "Cricosphaera", "Pseudaphritidae", "Gratidiini", "Odontoscelinae", "Hemicyclium", "Cypselosomatidae", "Mezia", "Pseudevirchoma", "Paranysius", "Metakaryota", "Sulfuricella", "Asynetha", "Trichometra", "Gerbilliscus", "Bitorus", "Zizzygonium", "Orthostheneboea", "Ricrena", "Belohinidae", "Ruminobacillus", "Amplypterus", "Bittacus", "Commotrias", "Sclerocardiina", "Polymastix", "Australoptochus", "Lorelus", "Pilumnoidea", "Bombycidae", "Chaetogonopteron", "Acarnus", "Calyptogena", "Chrysochromulina", "Allodaposuchus", "Valvata", "Odontoporella", "Aciptilia", "Anaphothrips", "Branchiostoma", "Distatrix", "Copromyxa", "Protosternini", "Trichopalpoodes", "Polycarpeae", "Troodontoidea", "Liliputella", "Phaethornithinae", "Theoperidae", "Magninia", "Oncopsis", "Gymnochilini", "Thrinacodontidae", "Fucaceae", "Rudiaeschnidae", "Subsessor", "Gammaproteobacteria", "Cumellana", "Aegle", "Pectinimura", "Strongylophthalmyia", "Phagodinium", "Nielsenicrinus", "Columelliaceae", "Colossoma", "Nanningia", "Metasalis", "Maneschetocia", "Psocomorpha", "Claviclonium", "Termitodius", "Spirographaceae", "Scalopus", "Monosoleniaceae", "Barsinella", "Princaxelia", "Chimarrinae", "Tricoryne", "Hadrostethus", "Vossia", "Astrochlamys", "Eucremastoides", "Glossomaera", "Marattiales", "Ctenocheloides", "Paraphysoclypeus", "Campopleginae", "Amphiplatys", "Mesallotrochus", "Giesbertella", "Paleotrichius", "Bungarus", "Halosciastrum", "Pterapherapteryx", "Hemiosus", "Dermonema", "Aethiora", "Epithematus", "Rhyzodiastes", "Crossostemma", "Xylogramma", "Thrichocalydon", "Koleolepas", "Streptobacillus", "Bergtrollus", "Trichothyra", "Pycnoclavella", "Zeros", "Coincya", "Desulfonauticus", "Spirolabia", "Komewuia", "Idiacanthinae", "Euplotes", "Oreomystis", "Philidris", "Priscapalpus", "Brentini", "Luciocephalus", "Microsomatidia", "Pylaisiella", "Turanoleucon", "Neocoleoidea", "Glomeromycota", "Eutreptiella", "Mamoea", "Ramburiella", "Skaptopus", "Pseudorhipsalis", "Mangeliidae", "Spongocyclia", "Chamira", "Permotipulidae", "Gobipterygidae", "Albarracina", "Fabrosauridae", "Plesiocoelus", "Capricornis", "Lynx", "Anuropodione", "Taeniura", "Gymnosphaerida", "Racodiaceae", "Hemilocallia", "Follicularia", "Lanceoloidea", "Acmarhachis", "Coneuplecta", "Prodalma", "Stenotelus", "Odontocurtus", "Mimhoplomelas", "Termitoptocinus", "Tonestus", "Ugandaltica", "Cloeodes", "Heinzia", "Caudanthera", "Lacosteinidae", "Sarcocystis", "Axilococcus", "Streptalveolina", "Cosmopteriginae", "Erechtites", "Solpugella", "Feroniascus", "Soejatmia", "Platicrista", "Emeryia", "Hymenostomatida", "Lygesis", "Eurhynchium", "Neostethus", "Adelina", "Cryptodrassus", "Lilioceris", "Lamprolobium", "Peridiothelia", "Dercylini", "Unicaecum", "Hansenolana", "Arctoparmelia", "Akiptera", "Amphiopini", "Macromantis", "Diademodon", "Lunulitidae", "Psammochthoniidae", "Orthopygia", "Craterellus", "Aptosimum", "Neoclitopa", "Dendropsyche", "Nemapogoninae", "Terataner", "Eufolliculina", "Notohydrus", "Pseudoprionus", "Mahenes", "Zoarcoidei", "Brandisia", "Lixinae", "Arsenicicoccus", "Agathodes", "Desmidothrips", "Anuropus", "Ephysteris", "Stenus", "Pantodontidae", "Ophiochondrus", "Proxylastodoris", "Halamphora", "Isadelphus", "Drepanosurus", "Hayashichroma", "Dyschiriomimus", "Psithyristria", "SMWN", "Arafoe", "Scolopocryptopinae", "Velella", "Petavia", "Sulawesina", "Stigmodera", "Gonostomum", "Merogomphus", "Pylocheles", "Cypraediini", "Euthemopsaltria", "Syntheciidae", "Parapagurapseudopsis", "Calobryales", "Othius", "Trichodere", "Pseudoliparis", "Xandarodinium", "Ophichthus", "Septotrapelia", "Argaplanini", "Prototrox", "Metadoliolina", "Sphenoderia", "Ambrosineae", "Serendipidae", "Homoiodoris", "Lahugadini", "Tubinidae", "Heitmaniales", "Nectonema", "Didymostigma", "Phymatopoderus", "Ctenium", "Craterularia", "Spirostreptus", "Pretneria", "Bronnimannia", "Hydrogenibacillus", "Odetteina", "Pseudocrocinis", "Chimaeroidei", "Acrotaeniini", "Tanganikallabes", "Rhathamictis", "Terpios", "Chiasmetes", "Colicodendron", "Paraplana", "Inocutis", "Schizocladiaceae", "Petroderma", "Oreonysius", "Dophla", "Gymnoprosopa", "Pascherina", "Corynecerus", "Muntingiaceae", "Hafniaceae", "Spinomatrix", "Jaiba", "Manitaurus", "Amelus", "Trychosis", "Himasthlidae", "Helleborus", "Pseudobarbus", "Epacridoideae", "Ahoekia", "Retha", "Paramaledivibacter", "Lebanaphididae", "Strophalosiidina", "Albinykus", "Corethron", "Neosynechococcus", "Oressinoma", "Mimophilorhizus", "Malenellinae", "Rhadinopus", "Chalconotus", "Senticaudata", "Larraldiella", "Ruschieae", "Brongniartella", "Terebraria", "Rhizamminidae", "Inghamia", "Pseudocordylus", "Thersitina", "Stylocynus", "Callistoleon", "Daysciaena", "Mitotrema", "Bracchiogonium", "Raoiellana", "Rhodamnia", "Pygophorisca", "Fushitsunagia", "Datureae", "Diphtheroptila", "Cupania", "Osbeckia", "Rhyssoleptoneta", "Richeaphyllum", "Nastlopiinae", "Vesperoctenini", "Abolodoria", "Bocchus", "Stegoplax", "Echinomastus", "Actinoallomurus", "Aquisphaera", "Dematophora", "Therophilus", "Stenaliini", "Lataniinae", "Gordenellidae", "Thaumatorhynchus", "Pseudochernyshinella", "Archaeosporaceae", "Arrowsmithia", "Atlanticotyle", "Matisia", "Geocaulon", "Sarsiellidae", "Carpentaria", "Scleropogon", "Globorotalia", "Anisolpidiales", "Malachiini", "Psittacoidea", "Scardiinae", "Cynodon", "Rhizostomatidae", "Undulambia", "Australiusa", "Karachia", "Paratermitosocius", "Rhyssometopidae", "Reinboldia", "Greilada", "Rhodochlaena", "Flechtmannus", "Anthores", "Dictyodendrillidae", "Laphidioderus", "Sokkaejaecystis", "Dinidorini", "Kloneus", "Microlophium", "Costipelagiella", "Shablogammarus", "Boydaiini", "Hypoxylaceae", "Coletinia", "Pseudochelatococcus", "Petalophthalmidae", "Bolbena", "Castniidae", "Acanthoclita", "Salpiglossideae", "Melancistrus", "Thoracopterus", "Pleocyemata", "Phyllocrania", "Sutterellaceae", "Jebramella", "Homalopsis", "Variolariaceae", "Myrmobiota", "Tachyerges", "Diplazon", "Byrsopagini", "Chloridolum", "Veyretia", "Thyrea", "Mombasius", "Vellonifer", "Phaeothecoidiellaceae", "Dzhajloutshellidae", "Pycnoschema", "Henicocephaloides", "Nautiloculina", "Belonella", "Proprioseiopsina", "Amnemus", "Erga", "Stenocidnus", "Sphaerochthoniidae", "Struthiolariidae", "Trikeraia", "Mystrosa", "Archactenis", "Hyocrinus", "Styanacini", "Drymobius", "Zythos", "Armatophallus", "Paraxenistis", "Melaspilea", "Amethysphaerion", "Microscinidae", "Tetraria", "Cebrionini", "Pariosternarchus", "Leptanillinae", "Tapinesthis", "Dugong", "Leptopetalops", "Kimberella", "Britorchestia", "Bobekoides", "Nomadacris", "Monalocorisca", "Cowiea", "Lycaeopsoidea", "Moniezia", "Calicalicus", "Pseudostellaria", "Pellicula", "Ophiocoma", "Amphisiella", "Raphiophoridae", "Gastronyssidae", "Civizelotes", "Nungia", "Mesopleustes", "Philaster", "Chinophrys", "Cyrtorhyssa", "Enorma", "Unguya", "Nipponohockeria", "Gurgesiellidae", "Atmetoclothoda", "Idiastogyia", "Timaea", "Patrera", "Volkheimeria", "Tenaxia", "Peponidium", "Dicrurus", "Chlamydopodium", "Tonlesapia", "Kosswigibius", "Ammodytidae", "Ichthyomyzon", "Sigmopyrgo", "Phyllocephalum", "Pedinomonadopsis", "Temnorrhynchodes", "Bironia", "Microspalax", "Eucosmocydia", "Agiortia", "Eurymorpha", "Bergia", "Tachiona", "Ampullarioidea", "Caladieae", "Auyantepuia", "Uncispionidae", "Deinacridinae", "Sinocallipus", "Nudilorryia", "Leptospermum", "Chondrosteginae", "Eocallionymus", "Helpaphorus", "Gliocephalis", "Lauderlindsaya", "Lindgomycetaceae", "Geomoriaceae", "Ephippiotragus", "Pseudephedrus", "Bambusicaliscelis", "Buerelius", "Acarus", "Ocypodomyia", "Anarthria", "Tremacebinae", "Paraphanes", "Lindera", "Trypantius", "Aurantiosporium", "Rhamphidoceras", "Fervidicoccus", "Amphitrema", "Pseudoshirakia", "Acompus", "Xenanthobium", "Minicosa", "Paullinia", "Samytha", "Mychonastes", "Dentoglobigerina", "Lamprophiinae", "Diaphorocetus", "Aulacorthum", "Macopaeus", "Ateliotum", "Anabarilius", "Hemicaranx", "Peripatus", "Geadephaga", "Tokudaia", "Meliponini", "Thermococcales", "Harpactea", "Xenopteryx", "Hypocnemis", "Brachypremna", "Napaea", "Mermiriini", "Polistella", "Hypocyrema", "Augustaburiania", "USAC", "Poromera", "Hovorodon", "Omostropus", "Tainophthalmina", "Quasicyclammina", "Epidares", "Hispini", "Pennantia", "Macruromys", "Gryllopsis", "Badisis", "Goniocyclops", "Trichodezia", "Seydelia", "Odontosyllis", "Sagdidae", "Enkyosoma", "Mongoma", "Magnaporthiopsis", "Pyrulinoides", "Methylocaldum", "Esymus", "Typhloscolecidae", "Stomias", "Paedomorpha", "Piezocera", "Dasymastix", "Malabaricythere", "Sphaerasclera", "Meliboeina", "Lepidarchus", "Bunias", "Indiadactylus", "Itilochelys", "Saccharina", "Fissidens", "Calantica", "Derbina", "Arctocestus", "Banjosidae", "Leucoblepsis", "Anaeini", "Limerodops", "Lomemus", "Ophiocaryon", "Meandrospira", "Appula", "Cirripectes", "Pseudoteuchestes", "Blattellinae", "Trinucleidae", "Kemulariella", "Mopala", "Casmara", "Zozymodes", "Oryzopsis", "Huhentomon", "Chamaesaura", "Neothrix", "Curvipennis", "Athroostachys", "Styppeiochloa", "Conoidea", "Ptilocladia", "Halocella", "Aristobia", "Worsleya", "Myoxinus", "Ctenosciara", "Micholaemus", "Chrosiothes", "Moncharmontia", "Pleuroclymeniinae", "Pachylygus", "Paramphistomoidea", "Eremogryllinae", "Tetanurae", "Vampyrellida", "Lysinibacillus", "Nastus", "Ganelius", "Polioma", "Jaeschkea", "Sporormiaceae", "Actinotrichia", "Tanganoides", "Anisitsiellides", "Hoplebaea", "Limnostylochus", "Catopamera", "Laspeyresia", "Arachnopusia", "Trachelophorus", "Hypochilus", "Hagenbachia", "Paleoactaea", "Geodimmockius", "Pamphaginae", "Smetanabatrus", "Pericoma", "Pygostolus", "Periphyllus", "Eolachesilla", "Tyriobapta", "Absyrtus", "Cyanophaia", "Laelida", "Cydnipolipus", "Nyctiphrynus", "Marginocephalia", "Clayiella", "Aetalioninae", "Rachycentron", "Trichotrimicra", "Peltocoleops", "Tretothorax", "Phyllariopsis", "Potamidae", "Bassecoia", "Rhianodes", "Cyrestis", "Arguda", "Eophyllodrepa", "Hippocrepinella", "Phyllodurus", "Tristaphodius", "Glabrocingulini", "Aonides", "Daontesia", "Porthetis", "Gomphonchus", "Eoquasiendothyra", "Globuligerina", "Ectropa", "Leucothoella", "Nemacystus", "Lithophylloideae", "Scalarispongia", "Trichocelis", "Parahoekia", "Tectoporus", "Pectinator", "Epeoloides", "Proterogyrinus", "Procamptus", "Colostethinae", "Panca", "Prostobuccantia", "Eriosomatinae", "Helicogonus", "Haya", "Larosterna", "Termatophylina", "Neolichnia", "Serranegra", "Chinessa", "Eolimna", "Oclemena", "Philoenia", "Brachypterodina", "Amphiacustina", "Bigelowiella", "Philaspis", "Protoraphidaceae", "Diporidion", "Methnerotherium", "Coryphe", "Akmilleria", "Sheareria", "Phytorellus", "Urotricha", "Caillardiini", "Aeginina", "Menuridae", "Ctenostomatida", "Kodiosoma", "Porcellanaster", "Melonycteris", "Sonoraphlyctis", "Metamonada", "Pseudoscirtes", "Praecystammina", "Robbauera", "Pachynidae", "Phenablennius", "Physidae", "Cassidulininae", "Geneiorhynchus", "Fusciphantes", "Holcapanteles", "Ellisochloa", "Rhodesiellinae", "Gvosdevilepis", "Scapozygocera", "Cyaniriodes", "Palaeofurius", "Hymenagaricus", "Nemesia", "Typhus", "Lanephus", "Aerococcaceae", "Amilaps", "Ichthyolariidae", "Haplomylus", "Oonops", "Coccocarpiaceae", "Bactrocoris", "Allensundholmia", "Protomyzon", "Sceliphron", "Stephanopogonidae", "Hoplomachus", "Neohypophyllum", "Ephydra", "Anthiadinae", "Cassia", "Amphipyra", "Salpingophora", "Berladectes", "Cyclemys", "Rhodophyta", "Ottoschulzia", "Bryocorinae", "Terrestricytheridae", "Susica", "Townostilpnus", "Penteucoila", "Rhynchitini", "Archaeosyodon", "Mapaniidae", "Augoderia", "Glossacantha", "Meotipa", "Pleurodontidae", "Isotemnidae", "Opsanus", "Protoptilidae", "Corella", "Acyrtus", "Limnopoa", "Satrapa", "Acanthopsylla", "Monacoa", "Diplostephium", "Cnemoscopus", "Ectopsis", "Hollandaea", "Lobodon", "Tropiometridae", "Platydesmida", "Didymocampa", "Oxudercinae", "Ophiohyalus", "Pentaphragmataceae", "Spiraea", "Cytocupes", "Botrydiales", "Monopisthocotylea", "Notocosa", "Berendtaphis", "Actiniscus", "Euryaulax", "Molendoa", "Ellipsolagenidae", "Cacosmia", "Idiocerina", "Charonothrombium", "Poecilonola", "Melanorhopala", "Proneella", "Phoenixites", "Pantophthalmus", "Siopelophonus", "Hederorkis", "Scypholanceola", "Miroclaviger", "Coeloidini", "Dobellidae", "Desmogonium", "Mycoavidus", "Tucanti", "Gallopisalia", "Corethraceae", "Nidorella", "Eobalaenoptera", "Helicometrinae", "Epicerurella", "Duplornaviricota", "Megourella", "Cellonina", "Caperonotus", "Insigniocastnia", "Leptoglossula", "Gregoria", "Amphignomini", "Lissotriton", "Zulloana", "Nemonychinae", "Cylindrolobus", "Anatoliella", "Ophiletoidea", "Mniodendron", "Exochaenium", "Areas", "Hyperbaena", "Corbicula", "Prokne", "Tecomeae", "Boloderma", "Anastathes", "Dactylopteridae", "Strangulogona", "Paranibea", "Metaceraspis", "Orsolobidae", "Pteropepon", "Camaldosis", "Trhypochthoniidae", "Ithycerinae", "Poaphilini", "Eriborus", "Paleomayncina", "Havanardia", "Dicranolepis", "Austrohelice", "Chrysochlamys", "Acanthobelba", "Permagrionidae", "Archibaccharis", "Phytocoetes", "Chloris", "Mimochodaeus", "Gelidiales", "Periphykon", "Lamproptera", "Distichium", "Tarphius", "Tetrapediini", "Hystrichopsylloidea", "Platychrysella", "Xanthonemataceae", "Akiodoris", "Saturnalidae", "Aeridostachya", "Spokoinolepis", "Artheneidae", "Paulianiana", "Spiruromorpha", "Rhopalodia", "Eurytides", "Savannosiphon", "Edbakerellinae", "Pariphiculus", "Homopterites", "Heterotropinae", "Odonteus", "Eutrichesis", "Pantala", "Sphragifera", "Strobilobius", "Cressa", "Chiropsalmus", "Rondibilis", "Phyllomeniidae", "Cochlearisigma", "Gossypieae", "Ligurra", "Megazetes", "Caenosclerogibbinae", "Calyptraeidae", "Coenaculum", "Galeicleini", "Arispe", "Halogeton", "Camptodontium", "Paranoplodelphys", "Hylopaussus", "Plectropodoides", "Parachronistis", "Theodosia", "Axelheibergella", "Geastraceae", "Neoscaptia", "Catastega", "Ciliophryida", "Encentrum", "Lacydoniidae", "Phryma", "Grandinaphodius", "Oxylobinae", "Schobertinella", "Choanoscolex", "Tettigarctinae", "Ornithoglossum", "Hemidiscus", "Checupa", "Canalirogas", "Siphoglobulina", "Tetrameles", "Choreocolaceae", "Wukongibacter", "Algete", "Thespinae", "Emiluviidae", "Aradademus", "Facetocochlea", "MCP", "Egleis", "Glycine", "Amaurolimnas", "Herpa", "Sternoplatys", "Alshehbazia", "Acrocalymmaceae", "Dinopanorpidae", "Oribatulidae", "Toarctocera", "Bertilia", "Falgina", "Acanthaeschna", "Mirax", "Isotopenola", "Virgisporangium", "Eurukuttarus", "Homotominae", "Geodermatophilales", "Lebronnecia", "Cylominae", "Humitalea", "Nanozoanthidae", "Alrawia", "Agapytho", "Conchostreptus", "Mandragora", "Sinoxylini", "Phythelios", "Phrynomedusa", "Leperina", "Mayulestes", "Quandrus", "Mccleskeyvirinae", "Mylesinus", "Schraderanthus", "Paractenia", "Dendragama", "Echinofolliculina", "Chiloguembelitria", "Orinomana", "Chrysoraphidiidae", "Hexacentrini", "Niasana", "Paropsiopsis", "Taurotragus", "Vadonaxia", "Oncidium", "Aphelinis", "Leptodoridae", "Rubistella", "Decaisnella", "Kinesis", "Desertifilum", "Xestolinus", "Grinnellia", "Avitomyrmex", "Acanthosquilla", "Perimylops", "Glyptosceloides", "Dichomeris", "Stenochariergus", "Foliotrombidium", "Lepraliomorpha", "Eurychilopterella", "Austrobrachida", "Neonitis", "Macadamiinae", "Asterolinon", "Polypodiales", "Geostibini", "Stenopleurus", "Svastrina", "Cyclochilini", "Horatiinae", "Dumetia", "Neostenanthera", "Buginbaatar", "Praefaunula", "Sporidesmium", "Laminaria", "Praeschausia", "Dicheranthus", "Stenopterocoris", "Hastanectes", "Phelocalocera", "Narrabeena", "Ricifalca", "Paracytherideidae", "Berthellina", "Gladicosa", "Tridactylidea", "Azygocera", "Marlierea", "Cossuridae", "Ungaliophis", "Sujkowskiella", "Philopotamidae", "Philharmonia", "Himalhoplia", "Hermodice", "Erwinia", "Wanoblemus", "Noterus", "Megathylacus", "Hylotropha", "Stenomicra", "Digamasellinae", "Echiaster", "Quadrastichodella", "Gongora", "Caldibacillus", "Phytotribus", "Ampharete", "Pseudoleptochelia", "Cyllopsis", "Platypezinae", "Rocinela", "Cadlinella", "Stirexephanes", "Pseudodictyophimus", "Rhizonotia", "Flagellimonas", "Plumiperla", "Morys", "Acherontiella", "Millerozyma", "Contia", "Phoroidea", "Thescelocichla", "Leimacomyinae", "Morcocytius", "Procordulia", "Anadenanthera", "Phylloglossum", "Mimicalges", "Yokenella", "Empetrum", "Bagropsis", "Magumma", "Pachythurammina", "Mycomicrothelia", "Austromelanelixia", "Endevoura", "Planociampa", "Proterotaiwanella", "Actinodoria", "Mesofila", "Gracilicupes", "Coniculostomum", "Doridina", "Pentaptilon", "Houghia", "Demosthenesia", "Phormoestes", "Panbrachyna", "Pseudognypeta", "Mustilizans", "Rustia", "Narosa", "Athanasiinae", "Hauptidia", "Agathyrna", "Parandaniinae", "Lytopylus", "Deinocerites", "Dermatonotus", "Acetodextra", "Melitograis", "Dolurgocleptes", "Japanophilus", "Polyboroides", "Cretaceoripidius", "Minilentus", "Cryptophilharmostes", "Hlavaciellus", "Elaeagia", "Schischkinia", "Shinnersia", "Hydnocerinae", "Ascocotyle", "Cedrelospermum", "Ehecatusa", "Endolepiotula", "Liparis", "Urocyclidae", "Brevifollis", "Nysina", "Wellerelloidea", "Nothomyrmica", "Andvakiidae", "Ehomalolinus", "Gigantopygidae", "Assachlora", "Novaphrophara", "Rhopalaea", "Tachyagetes", "Paniegekko", "Rhinocrypta", "Ceratiocarididae", "Anisodactylina", "Yunientomia", "Duerotherium", "Apoblepta", "Dentichasmiops", "Criodion", "Anomotachys", "Phlogiellus", "Oreochromini", "Schoenefeldia", "Chloropidae", "Salganea", "Camptocarpus", "Fergania", "Taverneichthys", "Peritropella", "Vasates", "Millesimomyces", "Erginus", "Roepkiella", "Cytridiochloris", "Thelgetra", "Gluvia", "Tuberoidobacter", "Neotyphloceras", "Warrenia", "Paregraphus", "Csiro", "Amurrhyparia", "Diceratucha", "Habrophorula", "Amharina", "Gomophia", "Pneumia", "Dinoplax", "Marchantiopsida", "Olenina", "Madessetia", "Diaphorolepis", "Ceroptera", "Theoborus", "Deserida", "Onalips", "Prosopiscidae", "Martensiomyces", "Puto", "Calonecrus", "Doggerella", "Euacasta", "Nesostethus", "Neouddenites", "Lophopoenopsis", "Cainotherioidea", "Dictyomeria", "Jalysus", "Caberea", "Sculptotheca", "Priapulites", "Diatora", "Nematophlaea", "Protoaviornithes", "Eobaataridae", "Cylloceriinae", "Lythrum", "Spathiomorpha", "Anombrocheir", "Stachyphrynium", "Craticula", "Madecastalia", "Caryophylleae", "Massocephalus", "Odontocheilopteryx", "Tahuantinsuyoa", "Pachypodiinae", "Flavopimpla", "Oaxacania", "Paracallisominae", "Pseudopronus", "Myxodagnus", "Denaeostephanus", "Cymatosirophycanae", "Caliagrion", "Ballana", "Melittia", "Cillaeinae", "Eilohedra", "Calocidae", "Polynemidae", "Caribchthonius", "Sipalotricha", "Euphilotes", "Plumerieae", "Madecorformica", "Acanthobothrium", "Pseudosympodomma", "Callisthenia", "Colaspis", "Termatophylum", "Promuscidea", "Brunepisinus", "Isaloides", "Poroisariopsis", "Salsolicola", "Dinoscaris", "Megalorchestia", "Piezosecus", "Gangesia", "Tristeirometa", "Tobantilla", "Homepuraea", "Rattrayella", "Diaeretiella", "Oxychirus", "Platyaphis", "Hedraianthera", "Euryuridae", "Spoladea", "Eupinopsis", "Serixiophytoecia", "Sigmatanthus", "Stylodrilus", "Calthropella", "Zolodinus", "Korthalsiinae", "Psara", "Exhalimolobos", "Fourcroea", "Ghatophryne", "Linogeraeus", "Thermosphaera", "Orbamia", "Crepidomanes", "Corystospermaceae", "Dolichometopidae", "Fallomus", "Thermodesulfobacterium", "Mosgovoyia", "Siganidae", "Praeflexiclymenia", "Pseudophragmatobia", "Heppiella", "Gaeanini", "Myrmecomedon", "Trilobocarini", "Acinetopsidae", "Neacanista", "Petillocoris", "Taterillus", "Eumomota", "Cologrammus", "Arganthomyza", "Tetraphis", "Spongatractus", "Squama", "Ponanella", "Poitrasia", "Parakontikia", "Stegias", "Marmotini", "Ecpeptamena", "Pisidium", "Psilodercinae", "Bilateria", "Anageshna", "Chaetopidae", "Undariella", "Angulogerininae", "Dorcaschema", "Cyclorhagida", "Trichomatosus", "Baimaia", "Nannoniscidae", "Miniphila", "Podocyathus", "Nastocerus", "Liatongus", "Teras", "Paracmaeoderoides", "Swietenia", "Palaephatoidea", "Namnetia", "Davidiella", "Euparagiinae", "Oshiellinae", "Poecilocampinae", "Pseudocryptomonas", "Ageratinastrum", "Apatobatus", "Hyaloriaceae", "Pruvostitinae", "Labops", "Rhodobacteraceae", "Cartagogena", "Taiwanocantharis", "Hexabranchidae", "Euurobraconoides", "Gladiogobius", "Pupoidinae", "Centropyxiella", "Eyiaba", "Peripus", "Ardenna", "Cyrtosia", "Tetrabothrus", "Hutanjapyx", "Carpocaniidae", "Pulunata", "Pseudoxyporus", "Cladopelma", "Derallus", "Hilsa", "Sinocrossocheilus", "Stomonaxellus", "Cestoda", "Coelotanypodini", "Homocatabrycus", "Anthracosiphon", "Parabunothorax", "Amphiscolytini", "Desulfonatronobacter", "Libanochrus", "Haywardozoidae", "Hampea", "Protodasyapha", "Molva", "Pseudomussaenda", "Firstpapillomavirinae", "Spinaristobia", "Chlamydiia", "Parodiceras", "Mauriciosaurus", "Gnaphosinae", "Luodianasca", "Parafilimonas", "Cricosaurinae", "Paridnea", "Histanocerus", "Philotoceraeus", "Ditypophis", "Mycetoporus", "Aculeatodiplosina", "Irmengardia", "Cryptopsocus", "Euclinostominae", "Uropsila", "Paxillogaster", "Cleruchoides", "Cyclarhis", "Gabonita", "Terrisporobacter", "Russograptis", "Stenophloeus", "Megabeleses", "Fusarium", "Storthocalyx", "Diceroscalpellum", "Euptyctima", "Leioplegma", "Nematoides", "Stirlingiinae", "Abathomphalus", "Taraba", "Prestosuchidae", "Contusotruncana", "Plumithoe", "Crossopteryx", "Ceratias", "Blattabacterium", "Trihesperus", "Cystocoleaceae", "MSB", "Dilla", "Pseudocosmetura", "Frommia", "Mirolliini", "Altenia", "Celebina", "Gastrodieae", "Ancistropsyllidae", "Mastigamoebida", "Altolamprologus", "Hapalospongidion", "Pseudomarssonella", "Falcaustra", "Ignavigranum", "Dircennina", "Vampirolepidoides", "Baldellia", "Conokephalinidae", "Paratanaidinae", "Dolichoglottis", "Luciobarbus", "Heterauge", "Cadellia", "Paenoppia", "Mixozercon", "Glomeromycetes", "Leucocercops", "Diacara", "Autriquella", "Cryptodaphne", "Sympolemon", "Hypomasticus", "Macroramphosinae", "Plagiodontia", "Caligulana", "Tchatkalophantes", "Myodocarpaceae", "Magyarosaurus", "Borborophorus", "Acusa", "Chaunochiton", "Bambekea", "Chariodema", "Melanosciadium", "Eucorydia", "Therodoxus", "Caucaea", "Syntermitinae", "Nitrosovibrio", "Hoplolythrodes", "Cataractocorini", "Charisia", "Sinclairia", "Polyneoptera", "Sphaerobacteridae", "Hydrostachys", "Soehngenia", "Lithoderma", "Heliophobius", "Coleotroctellus", "Trachelinae", "Metalimnophila", "Megascolides", "Podopogonus", "Pallenoides", "Thuretella", "Anisognathus", "Holcichneumon", "Membracinae", "Oranieae", "Caprimimodes", "Oxylipeurus", "Damnacanthus", "Pseudomacrolobium", "Coelosphaeriaceae", "Enallcochylis", "Daveaua", "Cytocystididae", "Glacidorbidae", "Nectouxia", "Stegopanoploea", "Alvarinus", "Rhabdozoidae", "Tycherus", "Telasphaerulaceae", "Petreeae", "Mimolithophilus", "Anadiscalia", "Lecithasteridae", "Rhysium", "Fohsella", "Synaptina", "Solemyoidea", "Alcalinae", "Chavturia", "Ogygium", "Hyalaula", "Eremogone", "Caucasotachea", "Mimobdella", "Chinchilla", "Kotejacoccus", "Tristemma", "Ulmicola", "Bukiniczia", "Cyphoniptus", "Barawertornis", "Philomaoriinae", "Marnaviridae", "Ensiferothrips", "Ithyoclinostomum", "Peruda", "Neodemosoma", "Burramys", "Chelydropsis", "Glaucium", "Mystacina", "Gelastocoris", "Calypsoeae", "Cyphonocerinae", "Bixadoides", "Hypotheclini", "Idioptochus", "Aximopsis", "Bradiopsyllini", "Crocuta", "Orohadena", "Menemachini", "Tylodina", "Orasus", "Kraussiana", "Dermiscellum", "Scioglyptis", "Paracoptochirus", "Imma", "Cottidae", "Kenyaconger", "Hyalothyrus", "Eomanis", "Cylloceria", "Amuria", "Lituotubella", "Fasciculidae", "Mahatha", "Mariniamonas", "Desgodinsia", "Dryophthorinae", "Asphodelus", "Andinolucanus", "Barbosania", "Volkensinia", "Striatiguttulaceae", "Conometridae", "Jelte", "Heterotrichea", "Palmaellus", "Petalonia", "Bakeriola", "Cibicorbis", "Teratopora", "CUMNH", "Pleomonodictydaceae", "Rovinjellidae", "Ischyroceridae", "Tolmomyias", "Aurorianinae", "Fargesia", "Trhypochthonius", "Pyrgodera", "Tritoxidium", "Philibertia", "Buotidae", "Hesperomanniinae", "Hamotopsis", "Trypetimorpha", "Molla", "Limaformosa", "Apiocera", "Soropediastrum", "Nesiotoniscus", "Petalomonas", "Notheia", "Merulinidae", "Tricypha", "Alloplasta", "Penenirmus", "Plagiosiphon", "Damarius", "Anthracopupidae", "Scagelieae", "Oxycoleini", "Accipitridae", "Ostomarcha", "Diamphipnoidae", "Insolibasidium", "Uraechoides", "Methylomicrobium", "Tanopicobia", "Neophaedimus", "Rhynchitomacerinus", "Strigivenifera", "Rhodonyx", "Myrmothrinax", "Cratolabus", "Manzuma", "Anaphalioides", "Hodgesiini", "Isidorea", "Cochliotis", "Ammodiscinae", "Mecomischus", "Tinaminae", "Orophochilus", "Macrosphenidae", "Pseudolepraliidae", "Perissomasticinae", "Mentocrex", "Lepidocnemeplatia", "Anaeropsis", "Amazonophilus", "Meiocampa", "Syreitschikovia", "Nepalicius", "Tragostomoides", "Mannesia", "Omobrus", "Anableps", "Chromoplex", "Cotesia", "Syncosmia", "Pseudorypteryx", "Marantelophus", "Gymnostylus", "Buyda", "Xylariales", "Hermotimini", "Hexacreusia", "Romneya", "Calycularia", "Exogemmina", "Haplaxius", "Rugosimonospora", "Zonocryptus", "Ydiellini", "Nihonhimea", "Kalinella", "Kvaleya", "Dysphaea", "Lepocreadioidea", "Lutimaribacter", "Salvelinus", "Lissonotini", "Chrysomoron", "Taira", "Cyclotynaspis", "Xerochrysum", "Peloppia", "Damrongia", "Mindomys", "Scandia", "Exolontha", "Staurogramma", "Boryaceae", "Archipelagica", "Phaeanthus", "Antapamea", "Dawsoniocolax", "Boreaphaenops", "Laoechinophorus", "Pseudoconnarus", "Ravavy", "Atychoria", "Granitobolus", "Chrysiogenales", "Nemadiolus", "Macappella", "Canarobius", "Pseudonirmus", "Aptesis", "Caparinia", "Striatellales", "Batrifigia", "Attulus", "Mesitiinae", "Thrinascotrematidae", "Spodochlamys", "Beridinae", "Leotiomycetes", "Turgiditarsus", "Plataraea", "Protolychnis", "Eurymelinae", "Omedes", "Acantothereva", "Knightomiris", "Rhadinoxenus", "Hexarhopalus", "Homortomycetaceae", "Boettgeria", "Deakozyma", "Stevenia", "Glomeropitcairnieae", "Teletriophtydeus", "Muscisaxicola", "Xenicopoda", "Ceutorhynchoides", "Skrjabinodon", "Hartlaubius", "Boreloididae", "Terrilactibacillus", "Sanbornia", "Afrohelotina", "Saurokoilophiliinae", "Anophthalmus", "Zebinus", "Titanichthyidae", "Tithonia", "Pipromorphinae", "Carlfranklinoides", "Ceroglossus", "Loricophrya", "Manchudinium", "Scopaeomerus", "Cephaloporinae", "Australoonops", "Cystobasidiales", "Lepidoton", "Trilia", "Cardiostomatella", "Harmomima", "Neomachlotica", "Priscileo", "Monodontichneumon", "Elachura", "Euathlus", "Limarus", "Cyphoderiidae", "Sousa", "Pheugopedius", "KPM", "Clavulariidae", "Bilocularia", "Stauropolia", "Sticholonchea", "Amphiareus", "Cooksonia", "Vagalapilla", "Lionepha", "Skrjabinotaenia", "Rasboroides", "Ripiphoridae", "Antichlidas", "Chryseobacterium", "Poecilocrinus", "Archembiidae", "Proalinopsis", "Cretoxyporus", "Rhynchotus", "Neotysonia", "Ichtyostoma", "Mimopezus", "Erwiniana", "Galasa", "Lycidomorda", "Pelamia", "PAMUH", "Noritus", "Parichthyodes", "Parevia", "Stenometopiini", "Chaetymenia", "Diagrynia", "Agdestis", "Parthenolecanium", "Karkinorhynchidae", "Masonius", "Dendrilla", "Proctotrupoidea", "Phloeostiba", "Amblycara", "Spirasigmidae", "Oxylakina", "Prometopus", "Osornocoris", "Conofilippia", "Torneutes", "Thalloloma", "Koerberia", "Nesochernes", "Dumontiidae", "Streptocephalus", "Poupartia", "Tomitella", "Godzillius", "Miarus", "Pseudotryblidium", "Verticellida", "Psacadium", "Callithrincus", "Pessonia", "Fusculinaceae", "Trogiomorpha", "Morinyssus", "Taurocheros", "Leptonetoidea", "Calyptrophora", "Gnesioceros", "Parabathynomus", "Dendropanax", "Plakobranchus", "Anablepsoides", "Apocreadioidea", "Protoctenostomata", "Marshallocereus", "Toernquistiidae", "Phormiobius", "Allanwatsonia", "Hippocrepinellidae", "Pseudarthrobacter", "Talipedini", "Ptilostomis", "Hoplomeces", "Rhaphidostegium", "Micropercops", "Pilosaturus", "Ameletidae", "Idiogramma", "Parasiopelus", "Cerebratulidae", "Riopa", "Tropidoderini", "Baabdasaurus", "Samba", "Enneobranchus", "Cryptotrogus", "Planaphrodes", "Orwellion", "Macronyssidae", "Sinonatrix", "Phanerotomeina", "Miojuqa", "Idolatteria", "Notoniscus", "Saccoglossus", "Phrosinidae", "Ustilaginomycetes", "Eustrotiinae", "Anthracus", "Cymatiinae", "Proborhyaena", "Camptoceratini", "Stenopterini", "Corythosaurus", "Chiloconger", "Thaumastocoroidea", "Ixia", "Procellaria", "Australicythere", "Hormuzakia", "Wallago", "Orana", "Protomunda", "Nyungwea", "Notagonum", "Lamprempis", "Esseiachryson", "Lobopterocharips", "Euchloropus", "Retroplumidae", "Mimperiphoeba", "Lechriopini", "Tabernaemontaninae", "Heterophragma", "Mesoereis", "Renda", "Pietschellidae", "Nematotaeniidae", "Phoreiobothrium", "Asinibacterium", "Astrionis", "Antilopinae", "Physalidinae", "Brontotheriinae", "Platyctenida", "Euplectalecia", "Heydonhygia", "Acinacistylina", "Cyanocypus", "Yanornithidae", "Adorybiotus", "Rhodopila", "Neomicrodeutopus", "Vampirovibrio", "Alcanola", "Molpadiida", "Crossostomatinae", "Rubinisphaera", "Centronyx", "Diposthus", "Rhysaspis", "Lasiopetalum", "Scobinancistrus", "Ramphastos", "Eustrophopsis", "Mimoscydmus", "Coniunctivena", "Flavinarosa", "Verae", "Lechevalieria", "Symmerista", "Haploprocta", "Protodiplatyidae", "Bruniales", "Dalophia", "Bovicola", "Dendropaemon", "Pseudomalmea", "Eutropiichthys", "Klamathina", "Brevechelidonium", "Aracana", "Porolepimorpha", "Ephedraphis", "Negreum", "Isselicrinidae", "Cephalaspidomorphi", "Amblyteles", "Tedania", "Proctolabini", "Pallopteridae", "Geococcus", "Euryleptidae", "Afraustraloderes", "Chaetocercus", "Myxininae", "Isolatocereus", "Neocheilostomina", "Porodiplodiaceae", "Epistylis", "Claravis", "Cerionidae", "Pseudelaeodes", "Protosmylinae", "Ichneutinae", "Anacanthus", "Chaoilta", "Araeophylla", "Chilenocaecilius", "Lepturobosca", "Paracriodion", "Zama", "Eunotiaceae", "Kamienskia", "Tereticus", "Deefgea", "Niobia", "Cribroanthicus", "Tuberaleyrodes", "Levringiella", "Polyoppia", "Lestrimelitta", "Acoelomorpha", "Davaineidae", "Urodinychidae", "Batus", "Acteonoidea", "Achnella", "Slateria", "Neomassariaceae", "Euphaedrana", "Antiaropsineae", "Agorius", "Cytodites", "Ecaepomia", "Iyatrechus", "Coelopyrena", "Majungasaurus", "Epinnula", "Sargocentron", "Rhyssolobium", "Corylophini", "Aniara", "Wahlgreniella", "Gnatholeophanes", "Allassoviricetes", "Hoeglundina", "Narycius", "Bradleycypris", "Chlamydorhynchus", "Eviota", "Salpidae", "Grammatodon", "Melanonus", "Batrisaulax", "Belgrandiellinae", "Monocymbium", "Polystomellina", "Sapotes", "Siamosaurus", "Steyerbromelia", "Eriocephalus", "Libycoceratidae", "Nimbacola", "Cyrtorchis", "Brahea", "Sarascelis", "Ortheziidae", "Psilanthele", "Vegaea", "Toxotinus", "Ravitria", "Geitodoris", "Jovetia", "Alyxiaphagus", "Johnrehnia", "Spirulinaceae", "Cotinorrhina", "Opisthocosmiinae", "Sancterila", "Orgizocella", "Acanthospermum", "Austrotinodes", "Pteronemacheilus", "Maldaninae", "Tapinocyba", "Pseudothelphusinae", "Warnstorfia", "Biangulypena", "Stegotheca", "Tamasanka", "Platysomoidei", "Rhodopioniscus", "Neolethaeus", "Ectenessini", "Hirticrusta", "Palmipenna", "Gerrhonotinae", "Falcataria", "Rhigiophyllum", "Pachybrachis", "Porterella", "Anemoneae", "Discocephalini", "Calcaretropidia", "Platycephalidae", "Grevillea", "Promolotra", "Paraonidae", "Bastilla", "Nevadia", "Basiliorhinus", "Dactylothele", "Ptychopteromorpha", "Paraxymyiidae", "Pseudoscoparipes", "Apocatops", "Leptokoenenia", "Sebakwe", "Calypsoryctes", "Chromileptes", "Pheronema", "Colubrisquilla", "Cassidae", "Edoughnura", "Eomanicapsocus", "Halicoides", "Pterospermataceae", "Nematopus", "Thyrsophorinae", "Episteira", "Diapyra", "Ceratonetha", "Nerenia", "Mimosaimia", "Cercidiphyllaceae", "Stonea", "Scopura", "Chrysocyon", "Gitanopsilis", "Monstrillopsis", "Xylitini", "Mysoria", "Cephalochordata", "Pemphigini", "Geomyphilus", "Parathroscinus", "Cephalomonas", "Pelecomalium", "Acylochilus", "Bethalus", "Moschoneura", "Caulocalyx", "Tetralophozia", "Spathidiidae", "Klinckowstroemia", "Tabris", "Haloragaceae", "Nesodiprion", "Hyptiotinae", "Prillingera", "Congresox", "Zelodes", "Archeterokrohnia", "Neosauropoda", "Predatoroonops", "Chalarostylis", "Tripleuchlanis", "Sternodontus", "Arnylliini", "Leascydmus", "Xenungulata", "Hybos", "Plusiopalpa", "Biphragmosagittiformes", "Seopsis", "Ruteraetia", "Buris", "Rhodoferax", "Cylindrocrates", "Paracaniongiella", "Stenoleptura", "Leiurus", "Limanda", "Pseudodoxia", "Phymatoniscus", "Cymbalophora", "Planomalinidae", "Nuculanidae", "Euchilotheca", "Diapriidae", "Gymnophana", "Archaeolepas", "Haeromys", "Enigma", "Trachycladida", "Mesocalyptis", "Acanthicolepis", "Cryptothele", "Rhaphipodus", "Periserica", "Spiroplectammininae", "Stephanopogon", "Tolypecoccus", "Ceratiola", "Pterochromis", "Eupsenina", "Oreorchis", "Platypedia", "Miltidea", "Nemozoma", "Anchihauerina", "Hermierella", "Dehalococcoidaceae", "Oriyadota", "Pseudoleichenum", "Culicidae", "Rhipidocotyle", "Lepidogyna", "Cooperia", "Morotopithecus", "Leptocladia", "Pseudophaenocora", "Pareusirogenes", "Toxopsoides", "Juramarinula", "Blattula", "Zacorisca", "Corynothrichini", "Epimesophleps", "Protosquillidae", "Pompilini", "Lasiobelba", "Stenocephalum", "Sagdellina", "Asterocheridae", "Adenocaulon", "Psilorhynchidae", "Boatia", "Oreostylidium", "Ceratogaulus", "Eurypleuron", "Leptophilypnus", "Myrmica", "Sphaeromorphaea", "Viscachataenia", "Megacarpolus", "Celonophamia", "Stellitethya", "Apethymus", "Bestia", "Medvedemolpus", "Epomops", "Hockeria", "Metafolliculina", "Australiteuthidae", "Blanchardinella", "Aequoreidae", "Argestidae", "Aditrochus", "Angustia", "Microweiseini", "Lithurgus", "Camptogramma", "Trymatococcus", "Cretocrassisoma", "Hydroidea", "Hemithrinax", "Pseudaraldus", "Uniola", "Stichotrichia", "Antongilus", "Huonia", "Nepticulidae", "Pseudoleistes", "Myrciaria", "Stenochlaenoideae", "Lasaeola", "Heterotextus", "Lecanodiaspididae", "Owenoderes", "Havardia", "Simonida", "Mesobracon", "Fibulia", "Sheardia", "Sympodomma", "Prolecanites", "Ambonga", "Transtillaspis", "Herbivorax", "Boviceras", "Bothynoderes", "Trichoplina", "Telacanthura", "Cormura", "Ophiophyllum", "Aellopos", "Parasanguinicola", "Pseudo-pleurosigma", "Diptychandra", "Pentaceratops", "Oligotrichum", "Fusulininae", "Thaumatella", "Pontogelos", "Sloanbaatar", "Masoas", "Anaeroplasma", "Trimium", "Adenophaedra", "Royoporus", "Thysdarius", "Pedidromus", "Trematolestes", "Nagada", "Orthaea", "Lauraplana", "Conlopa", "Typhlomyrmex", "Kanakia", "Propterus", "Laganoclymenia", "Gastrocopta", "Bagdadia", "Tetragramma", "Melanotaeniidae", "Bogertophis", "Isolaimida", "Manniconnus", "Natypleurus", "Campanilidae", "Borichinda", "Boaedon", "Myociphus", "Cladophlebis", "Symploca", "Stictosporum", "Notolomina", "Goniostemma", "Liodytes", "Siccasura", "Atretochoana", "Falconinae", "Zeugandra", "Protogyrodactylidae", "Frankliniella", "Sclerogibbidae", "Heterota", "Chytridiomycetes", "Pericrocotus", "Carapinae", "Sterninae", "Heterohelicoidea", "Nakamurella", "Sinocymatophlebiella", "Afrotis", "Altiura", "Allygidius", "Siphocampe", "Hormathus", "Micronoemia", "Aphelenchoides", "Athamanta", "Schizocystis", "Metallaxis", "Tasmanorchestia", "Wenchengia", "Neohyssura", "Biatora", "Lithoserix", "Matricariinae", "Eralea", "Luscinia", "Arcoa", "Semnornis", "Platnickopoda", "Amauronyx", "Amphimorphinella", "Parabrachida", "Conglomerata", "Brevisiphonaphis", "Kalyptochromis", "Lasiopterinae", "Pogonolaelaps", "Heteraxinoides", "Hayesiana", "Calamophylliidae", "Townsonia", "Oriini", "Gesta", "Adritylidae", "Lassaba", "Pippinia", "Acampsohelcon", "Archipatrobus", "Veronicobius", "Trizochelini", "Spodistes", "Parasqualodon", "Durothorax", "Cyanotinae", "Acipenserinae", "Basilornis", "Clytoderus", "Termituncula", "Prophryxus", "Salpingella", "Physalis", "Cedius", "Chrysochraon", "Alloxylon", "Propinacoceratinae", "Petromyzonti", "Mannina", "Elaphrini", "Thiorhodococcus", "Barringtonioideae", "Uberabatrachus", "Brachystomatinae", "Stylemys", "Discus", "Pseudacysta", "Cliostomum", "Kraussinidae", "Brachysiphoniella", "Euptychia", "Thermobaculum", "Osmopleura", "Termitopaedia", "Toulgoetalna", "Adamussiini", "Eutrachelophis", "Galileoana", "Netrium", "Vanhartenia", "Phonipara", "Angelinae", "Benedekia", "Anumanniola", "Phyllamphicteis", "Kondoaceae", "Mecenopa", "Piezogaster", "Edricus", "Turkmenicaella", "Acusilas", "Iriothyrsa", "Lampropholis", "Metechonica", "Salimicrobium", "Monzonia", "Euantiarcha", "Molineuxvirinae", "Palpattalini", "Plurella", "Ammodochiaceae", "Cochlearia", "Castalius", "Roseateles", "Soritena", "Lebistinida", "Andringitrina", "Ascomurispora", "Stilpnophyllum", "Schlettererius", "Pelagodoxa", "Urocoptinae", "Prasinoscia", "Chalarinae", "Natator", "Lythrypnus", "Lychrosimorphus", "Bulborogas", "Tritirachium", "Marattia", "Saturnalis", "Elodophthalmus", "Dantiscanus", "Epistaurus", "Anobium", "Hydrelaps", "Patellapis", "Centrochelys", "Bosminopsis", "Litholamprima", "Allotrichus", "Diplopsocus", "Dolichoplia", "Tinytrella", "Pulicomorpha", "Callomegas", "Campodorus", "Fordiophyton", "Cruciplacolithus", "Chthonomonadetes", "Calloselasma", "Crystallichthys", "Luscosmodicum", "Corallotaenia", "Ctenizoidea", "Sogdelytron", "Stathmopodidae", "Thiocystis", "Holospora", "Orthogonioptilum", "Percichthys", "Asaphida", "Zophopetes", "Camptotheca", "Phreatodytes", "Mallinus", "Pectinidae", "Cherleria", "Arctotideae", "Chrysothallaceae", "Oxylobium", "Pseudophyllites", "Cyanidium", "Croceimarina", "Cyx", "Heteroleptusa", "Dermocarpella", "Poekilloptera", "Dinia", "Polycyathus", "Asymphyla", "Eviphididae", "Scatopsinae", "Scaptomyza", "Zalea", "Hemipenaeus", "Arcucornus", "Furcodes", "Oedicentra", "Blanchardaphis", "Hemicordylus", "Calosema", "Mycetaeinae", "Neusterensifer", "Ecclitura", "Humbertacalia", "Platypareia", "Quadraspidiotus", "Scutelluidae", "Paralepidapedon", "Neocallia", "Megeochaeta", "Vetuproteinini", "Chlorophyceae", "Duliophyle", "Hemiaster", "Ammodiscella", "Petasopsis", "Gonipterini", "Percnobraconoides", "Chaetocnemina", "Flavitalea", "Leucopholina", "Leptotrioza", "Eurotas", "Thiomonas", "Schulzeviella", "Ischyroplectron", "Platacanthomyidae", "Cyrtogonone", "Tannea", "Paravahlkampfia", "Corrhecerini", "Andrassyona", "Clinteria", "Thurammina", "Microthoracida", "Monimosocia", "Scottiscydmaenus", "Rufusiales", "Apolopha", "Luperaltica", "Ceballosmelasini", "Forcepesia", "Sarothrocera", "Udalricus", "Cryptofavognathus", "Metallidascillus", "Altholepididae", "Pseudospiropes", "Bottegia", "Pseudopeltula", "Gigantoceras", "Mathildellinae", "Trichoparmenonta", "Neolepadini", "Septochytriaceae", "Konariinae", "Arkaya", "Dissosteira", "Amblyopyrum", "Gibbonsia", "Neoeutypella", "Martynia", "Anthrodillo", "Garckea", "Mesocolon", "Paragongylidiellum", "Megarthropsis", "Pseudocetonischema", "Gastornis", "Anaka", "Nisibistum", "Salmonopuntia", "Bewelda", "Malocampa", "Heterotrissocladius", "Newzealandia", "Thaliacea", "Lecanactis", "Prometheomys", "Guaraguaoonops", "Tacarcuna", "Groenendaelini", "Trachyspora", "Urotrygonidae", "Litadea", "Megarhyphus", "Sundathelphusidae", "Farysia", "Stelodiscus", "Xironogiton", "Polymixiiformes", "Maverica", "Chlorinimonas", "Hesperocallis", "Lemuridae", "Nipponanthemum", "Irridiculum", "Porhydrus", "Marinilactibacillus", "Atoposea", "Dissanthelium", "Ancistridae", "Caragobius", "Zuccarinia", "Lipkeidae", "Paramsacta", "Dicaeidae", "Aphyculus", "Koyamasia", "Garrini", "Adventor", "Lipancylus", "Triaenonychinae", "Anactini", "Amaryllideae", "Cercis", "Geckobia", "Citreimonas", "Coscinospira", "Apieae", "Oscarbrefeldia", "Camenta", "Catamergus", "Cribrochiurini", "Thinocoridae", "Schistogenia", "Stenocoelium", "Endromidae", "Drepana", "Scaptonychini", "Pyrgopsellini", "Songlingornis", "Perlohmanniidae", "Archaeacarus", "Anhaloniopsis", "Gobicricetodon", "Chorisochora", "Handaoia", "Orthoraphium", "Pectinopsebium", "Archepiolus", "Streblosiopsis", "Cheiloceras", "Dicroaspis", "Camptomodes", "Psyllotroctes", "Brachyodina", "Edentostomina", "Atretium", "Geodorcus", "Maorineta", "Mimallygus", "Dodecatoma", "Agmostigma", "Calciodinelloideae", "Xeneboda", "Chelymorpha", "Archaeocuma", "Odontocolon", "Halteromyces", "Ustanciosporium", "Clavigerini", "Poemnites", "Divna", "Prosopogmus", "Hesperia", "Herpyllobius", "Pyrenothricaceae", "Nelophia", "Neomyrtlemiris", "Pyrodictiaceae", "Dictynoidea", "Eucryphia", "Wallemia", "Rypobius", "Natranaerobiales", "Merinthopodium", "Hessemilimax", "Nickerleola", "Rojasianthinae", "Dendriscocaulon", "Trachyphyllum", "Trachypachus", "Yueaphis", "Thlibopleurus", "Gastroblasta", "Thiovirga", "Leiopodus", "Leucorchestris", "Micropelta", "Neoeutrypanus", "Pempheriformes", "Zipanginia", "Poronoticae", "Aspidophorodon", "Semperdon", "Anatopyniini", "Thinusa", "Termitodiellus", "Kilyana", "Plectiscus", "Lebioderus", "Eoanthidium", "Placentalia", "Xanthotrogus", "Aechmophorus", "Kniphofia", "Menander", "Kurandoptera", "Philemon", "Parasphaerascleridae", "Pleurocyclus", "Dryopithecus", "Mjoebergodesmus", "Strepsiceros", "Vitilevumyia", "Gigiella", "Sphingoquedius", "Lichnasthenus", "Eupetrichthys", "Trematominae", "Linopodes", "Pteropodiformes", "Calostaurus", "Kallima", "Cuboctostylus", "Cupitha", "Sarandibrinus", "Aciculopsora", "Orbitoclypeus", "Orcadia", "Lethmaster", "Adleriella", "Latia", "Shimodaia", "Ateleutina", "Scalida", "Botellinidae", "Vannius", "Hyboschema", "Neurostigmatidae", "Xenotrogus", "Ignambina", "Habrocestoides", "Cymbellopsis", "Thaumatovalva", "Grootaertia", "Doliocoitis", "Extubocellulus", "Termatomiris", "Acratosaura", "Tidops", "Pleuragrammatinae", "Pterobothris", "Chrysomorula", "Niphadoses", "Eugaleaspidiformes", "Maesa", "Hyphoraia", "Ctenopharyngodon", "Hypogeomys", "Youngiopsis", "Stigmatoechidae", "Trachasina", "Proscylliidae", "Cyclobothrium", "Archedinus", "Caspiopetalidae", "Lipomyces", "Bubastini", "Sclerodoris", "Alogistotarsa", "Kinnarinae", "Stenotomus", "Canistrum", "Mytilinae", "Mimetoidea", "Vavaeeae", "Lucassenia", "Spanioptila", "Furcillaria", "Coranarta", "Callotrochinae", "Apatetris", "Seonamhaeicola", "Onychogammarus", "Proganochelys", "Chlaeniini", "Sibynophis", "Erythrymenia", "Pseudister", "Endemosarcaceae", "Ricordeidae", "Chromatomyia", "Calosphaeriales", "Milnesiidae", "Issacaris", "Genicularia", "Envekadea", "Helicopis", "Graphidastra", "Comandra", "Loxospora", "Gutnicella", "Erythrolobus", "Emertonius", "Gilesia", "Suipinima", "Xenochilicola", "Spongites", "Veronajassa", "Pezetaera", "Pteropliini", "Rhinophoridae", "Paracoriscus", "Arianops", "Anoteropsis", "Dysiatus", "Haplospiza", "Dactylokepon", "Onocleaceae", "Cephaloon", "Gladicauda", "Guernseyvirinae", "Newtonia", "Misophriidae", "Tomoderus", "Eoniphargus", "Aromiella", "Shastrina", "Philopona", "Catamacta", "Nemouridae", "Neortalotrypeta", "Pexicopia", "Coxina", "Aconchulinida", "Woodwardioideae", "Epimyiina", "Argutencyrtus", "Hexaphilia", "Ptychoramphus", "Sinofranchetia", "Astrapotheria", "Gamostolus", "Iridoteuthis", "Cumminsiella", "Hypopyrrhus", "Talitropsis", "Gosseletininae", "Chlorangiellaceae", "Pseudoparrella", "Chrysidiastrum", "Naiopegia", "Desidae", "Adryinus", "Colaphellus", "Beaverium", "Doniophyton", "Cochlonema", "Tetrahymenidae", "Solutoparies", "Dendropithecoidea", "Marshallia", "Ceratobaeus", "Hinea", "Zodarion", "Cicerina", "Paradema", "Cohaesibacteraceae", "Pycnosomia", "Oreobambos", "Dirinaria", "Subhaida", "Micklethwaitia", "Eunesaulax", "Alipiopsitta", "Neobolusia", "Adeloneivaia", "Camerounophylla", "Arhopaloscelis", "Rhysodesmus", "Paralpinia", "Exbucklandia", "Myiomela", "Nosomma", "Lobodontidius", "Heliothela", "Coloradoa", "Willughbeieae", "Trachys", "Derancistrus", "Pseudoseptoria", "Trogloleleupia", "Colubroidea", "Trichocontoderes", "Desmotheca", "Lepoderma", "Musotima", "Eusyllis", "Yimnashana", "Abromias", "Magimeliinae", "Nesolycaena", "Rhynchosperma", "Eubotryoides", "Aulakochloris", "Siphonops", "Laena", "Criopsis", "Monera", "Coskinolinoidea", "Afrogramma", "Actinernus", "Kakothrips", "Plocospermataceae", "Lithoglyphidae", "Scutellosauridae", "Metteniusa", "Delos", "Gramma", "Narcegaster", "Bactrophorinae", "Cymolutes", "Calycidoris", "Turrisaspis", "Brasilentulus", "Leionema", "Bifurcariopsis", "Chondrymeniaceae", "Nemateleotris", "Sigmogloea", "Mantinae", "Tukutuku", "Serratula", "Erithacus", "Olivensa", "Eohydara", "Dactylostegium", "Megasaissetia", "Eurynogaster", "Snartia", "Edwardzetes", "Halarachnion", "Stenhomalus", "Asperitas", "Bisallardiana", "Cyanogaster", "Hyaloraphidiaceae", "Megaleledoninae", "Raoulia", "Cassidulus", "Hoplodoris", "Pseudo-calliergon", "Kurnubiinae", "Harpochilus", "Haptanthus", "Lamprosema", "Juniperus", "Sternocoelis", "Hallucigeniidae", "Proformica", "Pfeiffera", "Bowdenella", "Sopkalia", "Caryotrypes", "Avicularia", "Batristerus", "Abdas", "Certhia", "Pseudosarcopera", "Kuehneana", "Eucanthini", "Dilopharius", "Bythotrephes", "Paraethecerus", "Gorgyrella", "Homalozoon", "Lysianassinae", "Paxilla", "Dragmatella", "Raphignathae", "Burmasporum", "Trigonophorinus", "Saccharococcus", "Tryphosites", "Sarops", "Rufusia", "Vexillomyces", "Ochrotomyini", "Diglossa", "Geyerophyllidae", "Littorinidae", "Glomerales", "Godzilliidae", "Parargissa", "Aulacopleura", "Solpuginae", "Megalodontesidae", "Trechiamiotes", "Flammulininae", "Cicendia", "Caloapenesia", "Tretoscopa", "Alboglossiphonia", "Neeyambaspis", "Myriopus", "Pikrainusa", "Caliscelidae", "Brachyvatus", "Cyanarctia", "Filicollis", "Bothropolys", "Monotropeae", "Nasica", "Orthoskrjabinia", "Astyleiopus", "Antandroya", "Vorticella", "Boeckaxelia", "Metapolycope", "Moritziella", "Mesnieraceae", "Choaspes", "Yanzaphaenops", "Senoculidae", "Alymon", "Stenomeris", "Leptonota", "Neoaploactis", "Deviata", "Neotanygastrella", "Pterocapoeta", "Cephalolobidae", "Clintamra", "Engraulicola", "Neosarcodina", "Madnithidium", "Ariadna", "Lophogastridae", "Falsamblesthiini", "Desmodesmus", "Siphonaria", "Branneria", "Cuatrecasasiella", "Genitalata", "Dactylophora", "Olssonina", "Chiletricha", "Leptotyphlops", "Ctenacanthiformes", "Heteronema", "Rhacopilopsis", "Raphia", "Normanichthyidae", "Baculoviridae", "Illaenidae", "Procinetus", "Scutigerellidae", "Fusicladium", "Amniscites", "Decatopseustis", "Alkowdiella", "Leymeriellidae", "Neoaiptasia", "Lophocateres", "Pericyma", "Viridagonum", "Hydracarina", "Admetinae", "Percocypris", "Chevreuxius", "Triadocupedidae", "Nodeana", "Psammocythere", "Sulla", "Nomocharis", "Erpobdella", "Guanabarea", "Enigmusa", "Antichtopauropus", "Ovipennis", "Negromantis", "Aztecodontidae", "Kuschelidium", "Archeatelura", "Carlsonia", "Amphicephalosperma", "Oodinotrechus", "Parastenella", "Xenobalaninae", "Stenoderma", "Lithosarctia", "Bulbus", "Kenyacanthus", "Panagaeus", "Setayeshoonops", "Gilgiochloa", "Muntiacus", "Thayerella", "Cantabrodesmus", "Pachyneuronella", "Astrolepidina", "Wagnerinus", "Peritromus", "Pentadesma", "Angarohaglinae", "Afroclanis", "Topaczevskiella", "Nupeliinae", "Larcospira", "Albusambia", "Criniventer", "Ectinohoplia", "Panopa", "Myraboliidae", "Trigonoptera", "Hydarinae", "Tensopharynx", "Xeniostomatinae", "Repens", "Pealius", "Maeandrogonaria", "Acidocella", "Conringia", "Paratubiluchus", "Agaperemius", "Coryphomus", "Lepiderema", "Tachyoryctini", "Campephagidae", "Imogen", "Hylophylax", "Julodimorpha", "Tayloriella", "Chromousambilla", "Macrauzata", "Ramazzottius", "Batrisomina", "Lecanomerus", "Pinarini", "Apterameles", "Barbonymus", "Sphecina", "Carchariostomoides", "Ratzeburgia", "Amazotaenia", "Micrablepharus", "Sisyracera", "Anisopogon", "Coelachne", "Nothaldonus", "Natranaerobaculum", "Hypocalypteae", "Lachnocrepis", "Delphinobius", "Odobenocetopsidae", "Pervagor", "Madagascarophis", "Orbitoidinae", "Dasythemis", "Isthmiella", "Mexotis", "Diataraxia", "Phisis", "Molossus", "Hildoceratoidea", "Rhyparini", "Anicla", "Tetramitus", "Dolosicoccus", "Swertiinae", "Fansipangana", "Aphaobiella", "Ogcocephalidae", "Vormela", "Garapita", "Nipholophia", "Haploridiidae", "Plowrightia", "Boschella", "Alysidiidae", "Xerini", "Yaroperla", "Spilornis", "Meleageria", "Cylindrophyllum", "Regatarma", "Perrierosedum", "Cryptochrostis", "Mediomastus", "Eupseniina", "Sulcospira", "Notholopisca", "Genoveva", "Sphinctospermum", "Tetralidia", "Tormus", "Cybaeopsis", "Phloeidae", "Neotrigaster", "Dongia", "Afroplectus", "Azadirachta", "Graphelysia", "Cochliodontiformes", "Planotetraspora", "Quartinia", "Dermationinae", "Seligeria", "Isthmolithus", "Mionochroma", "Ballucus", "Macrachaenium", "Cardichelyon", "Bezu", "Adelopomorpha", "Largus", "Neocymus", "Pentapycnon", "Mecynodes", "Atranopsis", "Smicromyrme", "Angustiphylla", "Arcyodes", "Striatomarginis", "Tillandsieae", "Gomphoceroides", "Yarrowia", "Teladum", "Chloropinae", "Scapanopygus", "Calycolpus", "Pedioplanis", "Aetomylaeus", "Mallodonhoplus", "Meromonakantha", "Echinacea", "Dipterosiphonia", "Lecythidaceae", "Citharischius", "Paleoamblypygi", "Mastocarpus", "Farigia", "Uncarina", "Picardia", "Harpochytriaceae", "Eupoecila", "Lissaclita", "Microdipnodes", "Agoniates", "Gastroclonium", "Reyesia", "Heteranthera", "Homolamprima", "Ilerdopteryx", "Bethelium", "Bunocotylinae", "Tyrannomyrmex", "Caespitella", "Eothalassius", "Brachycerasphora", "Poecillastra", "Chinchipena", "Zuloagaea", "Litosiphon", "Barsine", "Corbilithus", "Murdannia", "Meropiboydaia", "Saccamminis", "Phytoptinae", "Hedwigidium", "Cladognathus", "Kaszabister", "Hongshanosaurus", "Arhodomonas", "Myzininae", "Milicia", "Rauvolfioideae", "Paradora", "Dimocarpomyia", "Prochiloneurus", "Protamphisopus", "Homonoia", "Acrothoraconia", "Jacaratia", "Rhopalaemon", "Atollidae", "Castanospermum", "Semperviveae", "Kibakoganea", "Francapseudes", "Thoracophorus", "Roseivivax", "Tanaoa", "Chiangmaiana", "Raphismia", "Fenestellidium", "Chamaesipho", "Chaoyangia", "Nymphidiina", "Heissaptera", "Galactophorinae", "Ruffohyale", "Lonchodini", "Physogyne", "Hoslundia", "Levonga", "Acabanga", "Millerleon", "Ancus", "Lichomolgidae", "Halochromatium", "Cossinae", "Dapsilanthus", "Actinomyxa", "Hilomonadea", "Kenyapithecinae", "Dictyopselloides", "Atopochilus", "Iranotheriinae", "Laosobrium", "Choanoflagellatea", "Amaurospiza", "Anostomus", "Sicradiscus", "Natlandia", "Mesepipsocoides", "Trichorhina", "Vetulicola", "Grypokeros", "Sonorellini", "Burhinotaenia", "Caudotestis", "Argoplia", "Austroplex", "Conochilopsis", "Amaxia", "Uniclavus", "Maindroniidae", "Plochiocorini", "Heteroscytina", "Psammosa", "Metopolophium", "Cornus", "Arabitragus", "Lemur", "Symphionema", "Phycis", "Castelnaudia", "Nervilia", "Limnophis", "Pseudantarcticola", "Tasmanida", "Betula", "Beckerina", "Sulfolobaceae", "Collemopsidiomycetes", "Antodynerus", "Leucosyris", "Tessmannia", "Liuzhinia", "Nesoeme", "Niveutane", "Protium", "Potamogetonaceae", "Phyllosiphonaceae", "Plesiozela", "Schreckensteinioidea", "Isopsestis", "Nemaliales", "Bacteroidetes/Chlorobi", "Indophthalmus", "Olisthanella", "Laurentaeglyphea", "Itauara", "Vissosamiris", "Perigonini", "Limnophorini", "Dylobosthambus", "Amblyomia", "Nobius", "Oedicerotoidea", "Fletchamia", "Anomalinidae", "Paraberismyia", "Daceton", "Pria", "Ohwia", "Longisquama", "Callipallene", "Blastopsocus", "Stibeutes", "Succinometrioxena", "Pallaseopsis", "Limnephilinae", "Stegocephalexia", "Eosternoptyx", "Grisebachianthus", "Akamboja", "Nannoglottis", "Gaioxenus", "Dendrokingstonia", "Arenosetella", "Pilidiostigma", "Leptospathium", "Hemigalus", "Bythinophysis", "Pseudoanemoniaceae", "Clelia", "Neopodocininae", "Ptochomyza", "Gazania", "Eurynora", "Zemisia", "Vallariopsis", "Calampocus", "Polymixiomorpha", "Schizocytheridae", "Strelkoviacarus", "Notozyga", "Brucecaris", "Greenea", "Baburia", "Megaceron", "Cartonematoideae", "Stenosarina", "Microdominikia", "Celetrigona", "Astrapaeus", "Dendrorycter", "Helicini", "Iselma", "Nepalota", "Acanthopachylus", "Harpina", "Silvanidium", "Idolia", "Kechenotiske", "Diorchidiella", "Meniscium", "Distadieuches", "Allamandinae", "Gnathacmaeops", "Physcomitrellopsis", "Acanthocephala", "Characinae", "Agkonia", "Ophiocnemis", "Kormagnostus", "Xylochiton", "Hesychoxenia", "Chaenotheca", "Baclozygum", "Conorbinella", "Exocarpos", "Hephaestion", "Sorocea", "Prodaia", "Loranthophila", "Mitosynum", "Hypostilbus", "Holmesia", "Scalopini", "Thaumapsylla", "Micrurus", "Dermaphis", "Protistolophus", "Plecopterida", "Neoflabelliforma", "Heterosquillopsis", "Proborhinus", "Althaea", "Clethrobius", "Sphacanthus", "Mytilicolidae", "Gansuidae", "Coreamachilis", "Tiburonella", "Mallacoota", "Microcanachus", "Luetkenotyphlus", "Kyliniella", "Iquiara", "Dryophilus", "Cynanthus", "Ohilimia", "Phastia", "Palame", "Owambarctia", "Xenosaurus", "Corthylina", "Onycholipini", "Valenciolenda", "Lobophyllia", "Achterbergia", "Sneathia", "Erythroplatys", "Messyrhus", "Odontoprotaetia", "Arctoperlaria", "Penecupes", "Filigerinus", "Pleurobranchida", "Syntrophobotulus", "Prodasineura", "Rhinconichthys", "Prodyscherodes", "Colobogaster", "Opeltia", "Chromatiales", "Bopsula", "Thelodus", "Sorella", "Euleimonios", "Bonaia", "Didymaotus", "Ochmacanthus", "Heterolaophonte", "Allothyridae", "Neosphaleroptera", "Etiella", "Apioninae", "Inermoparmena", "Icacinicarya", "Ochimus", "Euragallia", "Cymo", "Mimacamatus", "Paraleptoypha", "Pedinopelte", "Mesopatellina", "Aspidogastrinae", "Diaparsis", "Kerkophorus", "Homogyna", "Ochthoecini", "Ptychopariina", "Megabulbus", "Hypocalinae", "Phalloleucon", "Mataza", "Eocenomyrma", "Bornia", "Cratotetraspinus", "Trychella", "Primno", "Corallobothrium", "Austrobathynella", "Streptocalypta", "Palaeophreatoicidae", "Hadrosticta", "Platyderothinophilus", "Halioscia", "Archaemegaptilidae", "Echinosteliida", "Thermoleophilales", "Notoceras", "Caledonicrininae", "Leptanillini", "Macrothele", "Aphneopini", "Schismus", "Yeppoona", "Saccharinae", "Yoshiiphorura", "Gastrophysus", "Neopomacentrus", "Gauropterus", "Mycetodrepa", "Orammoecius", "Calloplax", "Sinea", "Anachlorocurtis", "Verrucina", "Hadzia", "Botryochaete", "Holkeria", "Basiliobelus", "Joalah", "Carphomigma", "Eutrichillum", "Elapomorphus", "Minycardita", "Cylindraxis", "Ramidelphax", "Parotocinclus", "Loneura", "Hypenodinae", "Nyctalus", "Rhodellophyceae", "Fumea", "Unguiphora", "Phyllanthopsis", "Lichtensteinieae", "Saccardiaceae", "Xyeloblacus", "Mesobothrus", "Pareteronychus", "Myrmoxenus", "Microhoriini", "Aegista", "Brachycnephasia", "Pseudomicrommata", "Rhodomela", "Megischus", "Chromadorina", "Cuphea", "Pachypelmopus", "Microdera", "Securicula", "Tricyphus", "Hymenidium", "Colosteres", "Arciellia", "Anaerobacillus", "Chrysopidae", "Argyrogena", "Myozonariinae", "Pavloviamonas", "Capromyidae", "Pseudoreophaxinae", "Tournayellidae", "Hanieloceras", "Acanthodrilus", "Celeuthetes", "Canthidermis", "Australiaena", "Ardissonea", "Anommatinae", "Lepidostomatidae", "Cryptomonas", "Graptostethus", "Paramarcius", "Liparopus", "Cenocentrum", "Mitsuaria", "Placentelidae", "Etia", "Paratapinophis", "Dolichotinae", "Oziella", "Porospora", "Inti", "Paramunida", "Schuhocoris", "Zonarieae", "Verbenaceae", "Noteridae", "Cadarca", "Megaprosternum", "Sycyssa", "Philetor", "Costonia", "Brachycyrtinae", "Dictyoglomi", "Philotermes", "Yunnanocephalidae", "Actinochrysophyceae", "Gobulus", "Apterodema", "Scaphorhina", "Grantilla", "Nemacladoideae", "Ajellomycetaceae", "Heterotrichida", "Candelariales", "Ensliniana", "Laemostenus", "Maechidius", "Evgenius", "Grimaldivania", "Lopadium", "Enantiopus", "Neoleptotabanus", "Guazuma", "Opsochernes", "Paracyphoderris", "Fissidentaceae", "Sinojassus", "Psychrobacter", "Lawrencia", "Petkovskiella", "Haplomitriidae", "Haminoeoidea", "Podoprion", "Spuriopimpinella", "Calymenidae", "Emetha", "Eleutherocarpida", "Strongyloidea", "Leveillella", "Cretonodini", "Speightiidae", "Compsoglypta", "Platypus", "Chorisodontium", "Telephlebia", "Dymasius", "Kakodaimonia", "Peripatidae", "Neocrassana", "Opisthometra", "Liaodontus", "Neolauriomycetaceae", "Sepulca", "Trichomachimus", "Treutlera", "Lagonomegops", "Leptosira", "Thalassophina", "Maceda", "Euderini", "Tetractomia", "Neosilurus", "Clubiona", "Allomyella", "Pheosiopsis", "Pharodoris", "Pararchaeomonas", "Hentzia", "Peltomyces", "Merulana", "Eodendrus", "Alcippe", "Stephanopis", "Conocephalomimini", "Fibraurea", "Vandopsis", "Allocybaeina", "Tahitocoris", "Echites", "Lovenellidae", "Otteissa", "Ebenaceae", "Enterobacter", "Cyphostyleae", "Mimimbrius", "Pelosinus", "Pottsiellidae", "Adiestramima", "Keilira", "Rhynchobdellida", "Fidia", "Bellardia", "Anniessa", "Acalyptonotidae", "Apystomyiidae", "Agniolophia", "Eodelphacini", "Cosmocerca", "Morimopsidius", "Pinctada", "Diploschema", "Euleptes", "Paragocevia", "Byssosphaeria", "Dixognatha", "Cyphoserica", "Deltaphyma", "Pennasolis", "Lepidesmia", "Myromeus", "Nannotinea", "Melinninae", "Sphingonotini", "Elsinoaceae", "Wakea", "Anisarthrini", "Hartemita", "Agathidinae", "Leioaspetos", "Trachyuropodidae", "Coprinus", "Archepolys", "Austropolyphaga", "Condylostentor", "Cupecuara", "Chaiturus", "Dipterosaccus", "Scuticaria", "Haarupia", "Chiropodomys", "Allocaeculus", "Zaomma", "Phrynoeme", "Lamprocryptus", "Melonis", "Tristanodes", "Amphineuriinae", "Elaphobythus", "Bryophyta", "Ceraspis", "Ritchiea", "Diceras", "Parastylotermes", "Echelatus", "Oculogryphus", "Quadrapesus", "Favositinae", "Neischnocolus", "Aeolidiella", "Oedibrya", "Desmoscolex", "Lethocerinae", "Fuscospora", "Suringariella", "Sandiviiformes", "Leptomyxidae", "Exoletuncus", "Rodeckia", "Lecidopyrenopsis", "Bireophax", "Nephridiophagaceae", "Guasuctenus", "Dicranocnemus", "Ardea", "Calathosoma", "Saccellium", "Seddera", "Apicophorus", "Flachiana", "Confluaria", "Pygidiopsis", "Praekurnubia", "Wetzelodinium", "Sphaerobelum", "Vavara", "Aisthentusa", "Methanofollis", "Helgreelia", "Defractosiphon", "Eublackburniella", "Fodinibacter", "Torridincola", "Spirilliplanes", "Kophene", "Eudistenia", "Pytheini", "Mielkesia", "Paralepididae", "Paraluticola", "Abavus", "Thermocrispum", "Pilocintractia", "Fergusoninidae", "Frithia", "Calacanthus", "Monoplatina", "Choroterpini", "Scoliodotella", "Eriocnema", "Pseudadimonia", "Mixocera", "Jessica", "Rhabdotalebra", "Toxobotys", "Calochilus", "Orectostomina", "Saccharicrinis", "Dahurolarva", "Echinofossulocactus", "Tamila", "Pseudolithiidae", "Streptosolen", "Philophlaeus", "Gymnopodium", "Jingneta", "Carrierea", "Crateraster", "Eximia", "Sphecidae", "Styloptera", "Androeme", "Aorcho", "Miolepidocyclina", "Eotaleporia", "Adenorhynchinae", "Crenulostrigus", "Euapta", "Maotoweta", "Medemia", "Saurischia", "Rauenia", "Leviea", "Haptopoda", "Oxythyreus", "Mukdenia", "Bellosichnus", "Solitaneini", "Dimorphocerataceae", "Scomberesocoidea", "Argyrauges", "Ochthochloa", "Bagotidae", "Hughesia", "Thalamoporellina", "Ngaheremyia", "Olethrodotini", "Hydryphantidae", "Weirus", "Centroptilum", "Taieria", "Melanema", "Lasiostola", "Cucumariinae", "Cearamiris", "Haptophryidae", "Aristolebia", "Orochi", "Australammoecius", "Millerocoris", "Stylogomphus", "Elanus", "Agrobacterium", "Hyperlais", "Mimiselma", "Cristicaudus", "Acyrocera", "Maculonaclia", "Hemaris", "Chlamydoselachus", "Dendroaspis", "Cyclosomini", "Haitlingeria", "Pronoritidae", "Acerataspis", "Eroonsomatini", "Norellisoma", "Caudiferidae", "Diphyllobothriidae", "Physiphora", "Raptorhydracarinae", "Laminariocolax", "Basilewskyana", "Faserviricetes", "Klagesiana", "Tanaostigmatidae", "Spiroplectamminidae", "Mnesarchaeidae", "Mycotetraedron", "Alteribacillus", "Pyromorpha", "Erato", "Eristalina", "Fountainea", "Teratomyrmex", "Hicanodon", "Willia", "Arctiina", "Acraea", "Melanocyma", "Feltgeniomyces", "Zagiridia", "Ordosporidae", "Naohideaceae", "Pagrus", "Carrodoria", "Bathycheles", "Zonotrichia", "Stilicina", "Alexeyisaurus", "Chuviridae", "Graphita", "Bathyferula", "Lachnoptera", "Dolichandrone", "Indocypha", "Eucradinae", "Levinella", "Aspinatrium", "Archipelothelphusa", "Asteraceae", "Catocalinae", "Pteranodontidae", "Aterica", "Hemiscorpiidae", "Semanotus", "Occiperipatoides", "Smiliini", "Temoridae", "Ozarchaea", "Eoboesites", "Prosype", "Diplosphaera", "Trochosphaera", "Pododimeriaceae", "Zethus", "Dendryphantina", "Zanclomenophra", "Ekhidna", "Bathycoeliini", "Akanthophoreus", "Ancema", "Percnon", "Paleoacanthoscelides", "Hydrozoanthus", "Euchlorocystis", "Ibateguara", "Salpinctium", "Cnemyrtus", "Trineuragrion", "Biotoecus", "Zeuxevania", "Ammomarginulininae", "Alsodinae", "Pharyngostrongylinea", "Eozapus", "Aleodorus", "Gilquiniidae", "Neostroblia", "Thalamita", "Mucrospiriferidae", "Oligochlora", "Parasaurolophini", "Haemopis", "Ausasaphes", "Cryphognomonia", "Tetracampidae", "Surutu", "Amoebophryaceae", "Corvinella", "Deuterocopus", "Lobarthron", "Idiopoidea", "Diogenesia", "Felicia", "Pseudacrossus", "Gonzalezia", "Pseudaidia", "Orchomenella", "Paraphasca", "Photedes", "Albanerpetontidae", "Caenogluta", "Pseudocypris", "Hoplophryne", "Cyrtorhinus", "Taivaleria", "Colophryxus", "Lavanify", "Nasua", "Anacolia", "Myoictis", "Basiliolella", "Montiopsis", "ZMUU", "Xylanimonas", "Cerdocyon", "Anaxipha", "Diphlebini", "Apistosia", "Neomoema", "Heylerosauridae", "Axechina", "Cerradomys", "Aedriodes", "Amiantis", "Ophiophrixus", "Tadiini", "Paracaligella", "Sesarma", "Stylochoides", "Casuarius", "Ptenothricinae", "Phoxocephalus", "Ophryotrocha", "Thaisauridae", "Titanolabis", "Heterostomus", "Rhynchohydracaridae", "Psammotettix", "Protaspis", "Epimecophrya", "Blastocrithidia", "Oretini", "Fusobacteriaceae", "Alexteescolotes", "Saissetiini", "Kirongoziella", "Nesamblyops", "Aleiodini", "Monopera", "Eucamenta", "Walkerellus", "Malkara", "Bembridae", "Crispiloba", "Urceolus", "Ornithoctoninae", "Pranburia", "Haplomitrium", "Catabenoides", "Trilophidiini", "Limacinoidea", "Byraxorites", "Columnaria", "Cominellini", "Echiniscidae", "Loxolexis", "Liochirus", "Anaulosia", "Lamprotediscus", "Bromelia", "Asteronemataceae", "Aperturina", "Septobasidiaceae", "Pulposipes", "Muroidea", "Punta", "Hemichnoodes", "Eumetrioptera", "Javanthropus", "Pseudaltha", "Grotella", "Nidaliopsis", "Halcurias", "Euparyphasma", "Mochokus", "Zellereccopsis", "Megalothorax", "Russiella", "Tachuris", "Pitcairnia", "Auroria", "Spordoepipsocus", "Undulifer", "Bioblapsis", "Kochliogonopus", "Copionodontinae", "Matsumurella", "Chorosomatini", "Diplopogon", "Coptosipho", "Cohnella", "Cerithioidea", "Anthacineta", "Paraligusticum", "Exochogenys", "Stizoides", "Lorio", "Hyomys", "Plagiochila", "Mirosternus", "Hepatoporus", "Aesaria", "Abollifer", "Eupterotrum", "Sinorhizobium", "Pagomacer", "Butomus", "Branchiostomatida", "Afromachilis", "Halpe", "Rencoma", "Microtrichis", "Halopeplis", "Pygmaeocereus", "Glyphanostomum", "Himachalia", "Opistoplatys", "Triodanis", "Oligoflexia", "Ambohitantella", "Empecamenta", "Palaeonisciformes", "Aquidauania", "Acropsopilionoidea", "Cubaecola", "Poecilomorpha", "Dimaetha", "Elliobiocystis", "Pelucha", "Orchesellini", "Wiesneria", "Cyrioctea", "Gloeosoma", "Gargamella", "Nikaea", "Longfordia", "Lochmaeus", "Cantikus", "Stringopotaenia", "Gregariella", "Arcteonais", "Phreatalona", "Amnesteophiini", "Rokopella", "Jeholornis", "Brygmophyseter", "Porphyridiaceae", "Heteroparasitus", "Macroscytalus", "Eparces", "Sokatra", "Synopioidea", "Iliffeoecia", "Paraphysodeutera", "Triodopsinae", "Eumolpus", "Aulacorhynchus", "Hintonia", "Callianthemoides", "Darvasiceras", "Ophioscolex", "Pseudocorythion", "Geophilus", "Bursaphelenchinae", "Carinichremylus", "Calyptophilidae", "Notinus", "Petalidiinae", "Sethophormididae", "Siliquamomum", "Smerkata", "Mollibracon", "Apatornis", "Pteroherpus", "Cerberus", "Passova", "Arachnognatha", "Aporops", "Neobisium", "Paectira", "Cnismorectis", "Chlorolius", "Globosolembos", "Anatolanthias", "Lallia", "Scrobitasta", "Acanthoperga", "Botryochrysis", "Hymerhabdiidae", "Pterygota", "Mikrocodides", "Crovettia", "Odo", "Catoxyomus", "Adischissus", "Najtaecesa", "Scaphanocephalus", "Speolepta", "Nostera", "Tinamutrema", "Mesorhizobium", "Hymenochirus", "Lophocalotes", "Callanga", "Silurichthys", "Heterantyx", "Pachysphaera", "Pamphobeteus", "Gloeodendron", "Lipochaetini", "Strophocerus", "Cedariidae", "Polinicinae", "Stylephoriformes", "Melitta", "Pareronia", "Principina", "Titanus", "Polystenus", "Prunus", "Scolytina", "Termitohospes", "Holoptychius", "Tineosemopsis", "Pilbaraxius", "Cymonomus", "Capicua", "Thryallis", "Manicapsocus", "Brachythemis", "Gunnerales", "Bryonychus", "Cycnium", "Dendronanthus", "Ceroctena", "Desulfosoma", "Euchaetes", "Paraskeletodes", "Melanustilospora", "Nealeriini", "Digitonthophagus", "Odonellia", "Austrelmis", "Notelaea", "Anthogorgia", "Pseudodoassansia", "Nerrhenidae", "Baissogryllidae", "Agathidiini", "Fuerstia", "Corallana", "Thoradonta", "Kiwicythere", "Rhyssemus", "Epibellowia", "Diacyclops", "Onitis", "Gyrostemonaceae", "Macrovalvitrematidae", "Birabenella", "Pronecupulatus", "Plotosus", "Opisthogeniidae", "Biblomelba", "Ulugurella", "Jubomorphus", "Hysia", "Allolarinus", "Amblyceps", "Osoriomyces", "Aphelariaceae", "Phaeneumon", "Anguanax", "Leleupiella", "Hypoblepharinidae", "Pachypeza", "Phalangiotarbida", "Paypayrola", "Monorygma", "Haloarchaeobius", "Stilbotrochalus", "Phaenicophaeinae", "Chondropyxis", "Hoplosphyrum", "Parurgoninidae", "Caruya", "Delma", "Molophilus", "Kakaducaris", "Nahlaksia", "Alomya", "Malpha", "Xigonus", "Furnariidae", "Corpuscularia", "Oviraptoridae", "Victoriaceros", "Siderasis", "Trygo", "Chaitaphis", "Amblychaeta", "Mastigopus", "Cephalelus", "Chiraziulus", "Leptojulis", "Genistelloides", "Merrillia", "Carinonajna", "Scopelocheiropsis", "Phrynoidis", "Coelosomides", "Campylodiscus", "Actorthia", "Chagasia", "Tenedos", "Protreaster", "Chrysonotomyia", "Pleuronichthys", "Cotztetlana", "Pedinogyra", "Prionyx", "Gastrodiscidae", "Delphinicolinae", "Notoplatylabus", "Rivea", "Toxodontinae", "Zelandopsinae", "Bidessonotus", "Wurfbainia", "Afrobaeria", "Apantesis", "Ascoliocerus", "Lacerta", "Thyrgis", "Attagis", "Ricolla", "Cephalopharynginae", "Tenebrapolipus", "Microserangium", "Teloganodes", "Gladioleae", "Xyronomys", "Stueningia", "Cylindrorchiinae", "Leuclathrina", "Klainedoxa", "Ancyloscelis", "Ipnops", "Juliomys", "Eospilarctia", "Bergeronia", "Aepsera", "Simplexeburia", "Haplosplanchnata", "Tuber", "Isaurus", "Pensacola", "Lapageria", "Jacquemontieae", "Eidinemacheilus", "Cetexa", "Maoriata", "Vianaidinae", "Cimbex", "Legeriomyces", "Allaeochelys", "Sargon", "Depressorotunda", "Yi", "Nyxis", "Gerarus", "Haustorioidea", "Inopinodon", "Circocerus", "Simenchelys", "Prosthenorchis", "Salamandridae", "Antitrichia", "Haetera", "Loboparius", "Chesaconcavus", "Kleptochthonius", "Paracymothoa", "Califanthura", "Perameles", "Scotothuria", "Boophis", "Ophicardelus", "Aphidounguis", "Lyalixena", "Lacida", "Phyla", "Asterotrochammininae", "Erythrocladia", "Grammcythella", "Barremitinae", "Copeoglossum", "Vischerioclonium", "Cochlodinium", "Hyposada", "Assulella", "Turatia", "Grotellina", "Plecopteromyces", "Australodendrophagus", "Minisiderus", "Pharyngolepididae", "Tetraonycinae", "Diorygma", "MUCI", "Spermophagina", "Tennysonia", "Lebetimonas", "Pseudothecosomata", "Grasseia", "Chalara", "Oketaella", "Sporonana", "Nimbadon", "Scartelaos", "Chlorocystidales", "Forestiera", "Scissurelloidea", "Acanthoneelidus", "Jereicopsis", "Cymbachus", "Madecassophryne", "Lustrocomus", "Victivallis", "Madagascarctia", "Latinopsis", "Pareutaenia", "Tlaloc", "Lophothalieae", "Pseudobuddelundiella", "Deropini", "Extraneza", "Borneana", "Euryderus", "Phasmomimoidinae", "Deomys", "Watshamia", "Caligrua", "Hydrangeeae", "Zenochloris", "Ariolimacinae", "Cycloneura", "Auchenoceros", "Ptilodontoidea", "Parvicaecilia", "Sernokorba", "Cusickiella", "Mackinia", "Sebaea", "Normanichthys", "Tetragonorrhina", "Polyxenida", "Piptatherum", "Oxyura", "Ruhbergia", "Ctenichneumon", "Mesadenella", "Phobaeticus", "Parapholis", "Scranciinae", "Cryptopidae", "Janszoonia", "Semaprochilodus", "Cladochoristidae", "Lissodeminae", "Eurychilopteroides", "Neoguillauminiinae", "Ecteinascidia", "Hekkingia", "Thelyphassa", "Neobalinae", "Schoenia", "Dissochaetus", "Visayasella", "Chitinolyticbacter", "Derichthyidae", "Polysticta", "Thamnornis", "Rhysamphichloris", "Stenoonops", "Qiongocera", "Speonomidius", "Wilsonematinae", "Ypsilospora", "Thomasettia", "Grapholita", "Gargela", "Nitorellus", "Aituaria", "Claribulla", "Caenocara", "Chadisra", "Xylocrius", "Pyretus", "Diaphoropodon", "Placidiida", "Dacryonaemataceae", "Jeholodentidae", "Strigeidae", "Unguitartessus", "Microjaera", "Physokermes", "Paranix", "Waltheria", "Harpolithobius", "Leptenchelys", "Anarthrurella", "Picornaviridae", "Afrosphinx", "Hydra", "Amphidiscosida", "Plakobranchidae", "Parvularcula", "Dynastor", "Psectrascelis", "Eucamptognathus", "Ocoa", "Vipera", "Sundoreonectes", "Tandanicolidae", "Pumiliosphaera", "Peronosporea", "Randonia", "Homaliadelphus", "Canopus", "Saururus", "Hysteropatella", "Dendrolobium", "Pacrillum", "Nolosia", "Oxymirus", "Stylochoplanidae", "Daedaluncus", "Eremopoa", "Fossiger", "Altoparadisium", "Aculea", "Iceryini", "Monoblepharidales", "Arria", "Lenzites", "Ecliptoides", "Flakea", "Rhynchosia", "Stygoporus", "Rotaliporinae", "Fulvius", "Trichosillana", "Xylariomycetidae", "Neoechinorhynchotaenia", "Racenaeschna", "Trischidium", "Tineoidea", "Trachyscelini", "Lemula", "Pelonides", "Zartus", "Spondylidinae", "Parazoanthus", "Ghanius", "Valipora", "Kowalevskiidae", "Parajulis", "Ardoiniellus", "Solenogyne", "Globba", "Waretrematinae", "Trachyderas", "Cyphopelta", "Dicrotelini", "Sphodrias", "Megapamera", "Alveolaria", "Siphonoporella", "Enkleia", "Cybistax", "Corynommadius", "Rosculus", "Conlarium", "Gaertneriomyces", "Pincerna", "Ichthyapus", "Irinaia", "Diuridinae", "Haageocereus", "Anhangabahuia", "Gomphogyne", "Cryptocanthon", "Notohyus", "Stigmobodo", "Apocyinae", "Strigister", "Guineella", "Epicharitus", "Aeoloides", "Goedartiini", "Paulinia", "Centropseustis", "Cnemalobini", "Epidendroideae", "Megalepthyphantes", "Colospironympha", "Caciomorpha", "Ernstia", "Dasyvalgus", "Polygraphus", "Vietteilus", "Heliolithus", "Mucorales", "Litocala", "Obtusodonta", "Marmoricola", "Desertibacter", "Scruparioidea", "Quinkana", "Eclipta", "Trachycera", "Bosmina", "Pagetinidira", "Charltonina", "Chimaphila", "Cheirochela", "Passalotis", "Olividae", "Dignathia", "Dipodidae", "Phoenix", "Smithia", "Hemipyxis", "Buccinaria", "Insulochamus", "Busonina", "Krisna", "Lycosinae", "Orania", "Adontosternarchus", "Raphignathidae", "Fragilariella", "Myristicaceae", "Temnophliantidae", "Macaca", "Charadriiformes", "Archeriidae", "Ascotheca", "Rhadinema", "Aphoplistus", "Hephaestus", "Aora", "Haustrinae", "Hynhamia", "Spinospongilla", "Cynomorium", "Xanthosomnium", "Phyllopteryx", "Megalosauroidea", "Prosternini", "Kaimon", "Oceanistipes", "Colignonieae", "Languriomiccolamia", "Piesocorynini", "Nibea", "Neothrinax", "Curtorama", "Mathurina", "Schizocoryna", "Sumbana", "America", "Psamatodes", "Omethinae", "Trichopeltarion", "Zophorame", "Amphilepis", "Galadi", "Hoenenola", "Syncalus", "Socotrana", "Mercantouria", "Fractuosella", "Forsskaoleae", "Trachelocyphus", "Chroolepidaceae", "Strongylamma", "Anaplecta", "Monocleaceae", "Pseudomegischus", "Icaricia", "Frerea", "Klebsiella", "Azhdarcho", "Nematopeza", "Hemigasteraceae", "Archineura", "Thermogemmatisporales", "Limacocera", "Sorogenida", "Harpechys", "Micraegialia", "Archaeoglobus", "Haaniinae", "Pleuronota", "Cladocopina", "Medome", "Chaetorhynchus", "Howdeniola", "Eumenodora", "Tiphodytes", "Leucauge", "Compsopogon", "Gambrinus", "Tabulocalyx", "Paraprotomyzon", "Sphyrnoceps", "Gedanotropis", "Breyeriidae", "Myrmicotrombium", "Perebea", "Pseudomicruropus", "Neurophora", "Tetrapisispora", "Leptosiphon", "Anomopterella", "Cyllarus", "Pseudomarsupidium", "Pseudosundanina", "Pseudoppiidae", "Adlbauerandra", "Colpodea", "Desmodus", "Jocheaera", "Tirathabini", "Loboptera", "Peristerniinae", "Omalogyroidea", "Brockia", "Perikoala", "Aureocramboides", "Synelix", "Prophilus", "Breoghania", "Nihotungidae", "Pseudauletina", "Dilochiopsis", "Haplosporea", "Multisiphonia", "Cunizza", "Xyronarchusa", "Siderodendron", "Oceanibaculum", "Kuhitangiini", "Clupeiformes", "Plaesiostola", "Promecops", "Kingenoidea", "Coleostachys", "Acanthochaetetidae", "Hydrometroidea", "Epexochus", "Jacaena", "Clionoidea", "Polaribacter", "Heliacus", "Paducia", "Nicagini", "Bizia", "Dynamine", "Piptocephalidaceae", "Tipulinae", "Haldwania", "Pseudognaphalium", "Kibatalia", "Metamecyna", "Batrachidea", "Gesaneris", "Pseudotricapus", "Pimachrysa", "Phymacysta", "Acaroidea", "Parakuhlia", "Peronedys", "Rucinolithus", "Neotyphloplanida", "Paramacronychiinae", "Palaeocentrotidae", "Leptomitales", "Periproctus", "Siberioperlidae", "Gasterellopsis", "Wyethia", "Zygina", "Alaemon", "Europejara", "Zeugmatolepadidae", "Eranthis", "Niumbaha", "Psocophloea", "Pterobothrini", "Anasphaltis", "Homalonychus", "Eterozemus", "Gymnandrosoma", "Revertuncaria", "Canthydrus", "Lystronichus", "Ortalistes", "Neochthebiina", "Bolbotritus", "Cuculus", "Aquanirmus", "Crangonyctoidea", "Gillaspytes", "Senegathrips", "Catopsideae", "Letrouitineae", "Caleana", "Peridiniopsis", "Sabalimax", "CGM", "Ercella", "Propsephus", "Pfenderinidae", "Rhipidomenia", "Biloculuncus", "Syntrophomonadaceae", "Delthyridina", "Trochanterella", "Campanoeca", "Cuphodes", "Poecilogale", "Phanerodiscus", "Verticillata", "Eurytetranychini", "Kalanchoe", "Phacosoma", "Dianous", "Korearachne", "Teliusa", "Harryflintia", "Albanodirus", "Aethalopteryx", "Paliolla", "Ocypodidae", "Plasticicumulans", "Trichopetalinae", "Pseudochalcothea", "Ocneria", "Claniades", "Erythropalaceae", "Rhipidocyrtus", "Anomaloriinae", "Ferreola", "Phymatocera", "Lepturasta", "Ammobacularia", "Barylaus", "Masarini", "Sison", "Sigillaria", "Paleosuchus", "Archaphidus", "Macrogena", "Lepidoparatrochammina", "Clerithesini", "Comatellinae", "Vinceae", "Cleonia", "Scelotes", "Chilips", "Pipreolinae", "Podospora", "Pseudochorthippus", "Euglyphis", "Antilocapridae", "Massuria", "Parenglerula", "Oecanthus", "Afrozomus", "Chlorobiales", "Chantransia", "Neobetulaphis", "Murricia", "Prosaetes", "Secutor", "Epikastea", "Hyloctistes", "Apricenaclupea", "Truania", "Topelia", "Bozorgniella", "Aphlugiolopsis", "Scolophyllum", "Malika", "Sanariana", "Brachyophidium", "Eumeka", "Grallipeza", "Isthmopsocus", "Merziella", "Trophosphaera", "Dracunculoidea", "Parabaena", "Nanodromia", "Nananthus", "Strobilidiina", "Minigrapta", "Naasia", "Makora", "Oziotelphusa", "Gnaphalieae", "Isaeidae", "Brachyia", "Antiponemertes", "Triteleia", "Epeirotypinae", "Tetraschalis", "Cotopaxia", "Aethalotus", "Arrojadocharis", "Borysthenes", "Progastor", "Megapiranha", "Airyantha", "Ancylonotopsis", "Metarctia", "Postgaardida", "Hypogastruroidea", "Drasteriodes", "Schizoplacidae", "Cleridae", "Rossimyiops", "Conochiloides", "Campimoptilum", "Bathybothrium", "Trypetheliales", "Astacops", "Atherinason", "Archaeorhizomycetaceae", "Mesodictyon", "Commaladera", "Parvodus", "Conopygidia", "Oxygraphis", "Amisallus", "Myzopoda", "Maxacteon", "Synaphobranchus", "Lernella", "Melisoides", "Pneumatopteris", "Fahriyeidae", "Strigomerodes", "Dysderocrates", "Pilisuctorida", "Ileraustroe", "Stenetrium", "Ammovertellina", "Malayathele", "Zosimeidae", "Zeuxidia", "Exechiini", "Seychellister", "Yixianornis", "Dendropithecus", "Mionorus", "Debeeriidae", "Stenolicmus", "Tropidodryas", "Heterocranus", "Apatesieae", "Scottoecia", "Neomortonia", "Palparidius", "Sinechidna", "Magnifacia", "Hecabalodes", "Phallopiratinae", "Allophyes", "Ureibacillus", "Svatactesis", "Nannoryctes", "Satara", "Hyperandra", "Kiselevia", "Ceryloninae", "Stegotrachelidae", "Chalarus", "Locustella", "Orthella", "Acourtia", "Neotermitogaster", "Micruroides", "Proninella", "Blenina", "Aselliscus", "Eukiefferiella", "Zexmenia", "Alice", "Chandleria", "Sminthuroidea", "Hippaphesis", "Otoplaninae", "Kuatuniana", "Glassoceras", "Ceropegieae", "Umbothynnus", "Chytroeisphaeridia", "Ancylini", "Renschia", "Micromega", "Flagellophora", "Zaropunis", "Schizuroides", "Claasseniini", "Piranga", "Ithyomus", "Exospermitius", "Paradecolya", "Verbeekinidae", "Maroboduus", "Choenicosphaera", "Zeidora", "Glossochilus", "Brucella", "Mendesellinae", "Timematidae", "Epeuproctis", "Muscomorpha", "Ovitamon", "Eremas", "Calamites", "Ellescus", "Mizugakiibacter", "Zaissanurus", "Tetropini", "Eutettigidea", "Bischofia", "Aubregrinia", "Haworthiopsis", "Longipediidae", "Ellipsagelosphaera", "Illosporium", "Broctus", "Eurypodogammarus", "Argopistes", "Cladorchiidae", "Alectura", "Bathroxena", "Pelotretis", "Rhamma", "Desmometopa", "Tricholestes", "Carcinione", "Nesomia", "Tetramoera", "Metaxinidium", "Falcolius", "Morimotoidius", "Pareiobledius", "Egnasia", "Cosmeptera", "Glossogobius", "Cenedaeus", "Bizonula", "Angra", "Scorpidium", "Metagathotanais", "Cyphellaceae", "Plinthaster", "Ceuthotheca", "Villadia", "Macrodorcas", "Grimontella", "Helicteropsis", "Sagittospora", "Anthothelidae", "Caldiserica/Cryosericota", "Erinaceus", "Dawsonellidae", "Godleya", "Raphidiopsis", "Temnosceloides", "Arenicella", "Calotripis", "Phanotea", "Cynops", "Battaristis", "Ceraticelus", "Chalypyge", "Araeoscelidia", "Polysaccamminidae", "Stenocotini", "Liphanthus", "Halophytum", "Compsobracon", "Vallichlora", "Archibonellia", "Epiherpia", "Hemilecanium", "Lygropia", "Anisophylleaceae", "Colaspedusa", "Thrinacophora", "Annitella", "Praesphaerammina", "Palicoureeae", "Arthrostylidium", "Setvena", "Acroechinoidea", "Rhizoochromonas", "Franzdaniela", "Phascolionidae", "Korfiomyces", "Kenyatherium", "Excavarus", "Teleclita", "Paramoltkia", "Phyllomys", "Habrodon", "Medicosma", "Asticta", "Denisiella", "Dirhininae", "Cryptonotopsisini", "Eutropistini", "Normplatnicka", "Cephaloziaceae", "Metahelotella", "Icmalides", "Diploschistes", "Phasiinae", "Sanzinia", "Arthrobacter", "Ximenia", "Ptilohyale", "Ernobiinae", "Bouchetia", "Allotraeus", "Pseudaphaenops", "Tabuina", "Geoglossaceae", "Zodariellum", "Crepidolomus", "Marciperla", "Drepanoptera", "Ypsilopus", "Notholebias", "Apoduvalius", "Platydolicaon", "Stolidodere", "Drycothaea", "Allanblackia", "Linophrynidae", "Ocyolinus", "Camur", "Microchara", "Rhynchogyna", "Problognathiidae", "Cossyphodini", "Irenidae", "Planigalini", "Subinermexocentrus", "Ajuga", "Omphalophloios", "Labroporus", "Bathycrinus", "Ochrotrichia", "Episema", "Trabeops", "Borya", "Helicostomella", "Cathaiaphaenops", "Coccineorchis", "Vermiculariopsiellaceae", "Cassiope", "Gigasporaceae", "Vasqueziella", "Carapacea", "Fevilleinae", "Sparganothini", "Overosaurus", "Catenulina", "Leptorhaphis", "Pyracantha", "Monotrema", "Paisana", "Sarcohyla", "Neotetraonchus", "Neoechinorhynchida", "Neomegacoelum", "Eurylaimus", "Lophalia", "Xenidus", "Typhloligidium", "Koreoxyomus", "Euderiinae", "Enewton", "Zootrophion", "Anaspidacea", "Bergerocactus", "Cryptochilum", "Condylocotyla", "Mycoblastus", "Microsilpha", "Agastopsyllini", "Willreevesia", "Chilorhinophis", "Arthurella", "Pseudota", "Multicotyle", "Deflandrecyrtiidae", "Arctotis", "Anisolinina", "Arctodus", "Aristoteliini", "Oxipoda", "Thaumastura", "Neohylomys", "Austropelioptera", "Nematoplana", "Favria", "Arthrogaster", "Rhynchocalyx", "Semitextulariidae", "Victoriapithecidae", "Hesperiinae", "Phyllotrochalus", "Seidelia", "Bombycillidae", "Neoplax", "Malacanthus", "Cymbella", "Cyclorbiculinoides", "Reischekia", "Bythocaris", "Anthophorini", "Pachynectes", "Tephronia", "Cyphometopus", "Simplona", "Catocrosis", "Gordionus", "Hydrodytinae", "Desulfospira", "Bangia", "Mesoleptus", "Dioctophymida", "Balantidium", "Compsulyx", "Nothris", "Elaphinis", "Leurogyia", "Apotrigona", "Ophelimini", "Ailiidae", "Dysis", "Urocystales", "Macrognathus", "Asecodes", "Chacidae", "Dolichosomastis", "Achagua", "Citharus", "Minotauros", "Grammatophora", "Anareolatae", "Lonchoderma", "Egonpretneria", "Neohodgsoniaceae", "Arushia", "Omphaloptyx", "Paraserica", "Enolmis", "Migoplastis", "Fungiidae", "Tidesmus", "Chrominae", "Crepidomenus", "Mastigiidae", "Eupsophus", "Chlorolepiota", "Pseudocercyon", "Melittochlamys", "Hemigrammus", "Microvalgina", "Warea", "Lubomirskiidae", "Ornithodorinae", "Anhemialges", "Stigmatobracon", "Phasmyalea", "Catapiina", "Acanthocythereis", "Blackfordia", "Zarafasaura", "Austrodecatoma", "Gymnospermae", "Ascoseirophila", "Spiloscapha", "Owenweeksia", "Conocliniopsis", "Imitoceratinae", "Photorhizobium", "Ctenizinae", "Ecitoplectus", "Caraimatta", "Agriarctos", "Kabatekiella", "Marginitermes", "Odontesthes", "Chilinoidea", "Hesperopsis", "Malo", "Thaduka", "Vietnamochloa", "Eurylasma", "Lyctocorinae", "Blosyrini", "Zusidava", "Asymbolus", "Rikenella", "Trichopeltarioidea", "Anurotropus", "Propherallodus", "Phygopoides", "Komokioidea", "Ivela", "Linotetranidae", "Anthophiloptera", "Raninoida", "Micropelecotoides", "Acarospora", "Vetuprostomis", "Hyalogonium", "Tandemorchis", "Erlangeinae", "Cladochaeta", "Edaphinus", "Leptophobia", "Maledivibacter", "Spiladarcha", "Diquishia", "Chorisandrachne", "Oecobiidae", "Tropocoenonica", "Phorytocarpais", "Inocybe", "Cretoxyla", "Pholis", "Saurenchelys", "Mitsukuriella", "Addax", "Montandonius", "Stereopsidaceae", "Risellopsis", "Euphorbieae", "Parafaujasia", "Pentherichthys", "Ramphis", "Geraldolepis", "Chytriomyces", "Parajalysus", "Lituoloidea", "Candollella", "Stenocoptoeme", "Sinoparathyrea", "Viridiplantae", "Piniphantes", "Benthenchelys", "Trigonectes", "Tergipedidae", "Melasini", "Rufusiaceae", "Hirundo", "Chytridiodinium", "Erynnina", "Druenticini", "Socotraproctus", "Bucharis", "Polyspirella", "Rhynchobodo", "Neohercostomus", "Scaphognathus", "Chromogobius", "Placidae", "Daron", "Erichansenia", "Sereda", "Turrisphaera", "Meroloba", "Ostreina", "Miscodera", "Chinamyersiinae", "Anthracocaridomorpha", "Restheniella", "Podicipitilepis", "Tiliapsocus", "Conothraupis", "Conchoeciini", "Nubimystrigini", "Ammoxenidae", "Prantinus", "Tetrapoda", "Androscydmaenus", "Quincula", "Birthama", "Trithemistinae", "Haberlea", "Nenax", "Diplatyidae", "Syrastrenopsis", "Auriculariales", "Zizula", "Amabilia", "Toxicocladosporium", "Nannosquilla", "Lindia", "Dendrochytridium", "Blanchetia", "Borzicactus", "Callogaza", "Hofmeisterella", "Amyttosa", "Kasagia", "Thaumatelson", "Eolophorus", "Idiotephria", "Dichosomata", "Pseudoikedella", "Appertiella", "Crossopsoraceae", "Filipodium", "Webbella", "Scandicinae", "Corystidae", "Cephaloplatus", "Megapsyrassa", "Tephroniopsis", "Alabes", "Kumasia", "Nettorhamphos", "Mecranium", "Brooklynella", "Onychognathus", "Socotria", "Stoechospermum", "Dechlorospirillum", "Paralorryia", "Syngamus", "Epifagus", "Edalorhina", "Brevibacteriaceae", "Callyna", "Simplogonomorpha", "Famelobiotus", "Hyderia", "Tersonia", "Lopholistriodon", "Barbarochthon", "Alonopsis", "Siciunguis", "Cymothoida", "Exilisciurini", "Hippocrepinoidea", "Acrepidopterum", "Skeptrostachys", "Agryllus", "Ophelina", "Myrina", "Yogendrotrema", "Taxithelium", "Clitopilus", "Aloe", "Casasia", "Meggittina", "Elginus", "Orthotyphlus", "Finlayina", "Navarrus", "Cascopleciidae", "Cyanarmostis", "Moropactus", "Hydrobatidae", "Amblystira", "Xanthonomus", "Nophodoris", "Micrandria", "Nesiodrosophila", "Cecrops", "Fascaevinus", "Kingoriidae", "Humbertia", "Forcipator", "Tithaeidae", "Dactylopsilophilus", "Monethe", "Octocollis", "Starkomyia", "Bacteroidetes", "Amphiesma", "Cosmocercidae", "Zophiuma", "Almeidaiini", "Oxychilina", "Pyrosis", "Miquelia", "Plagioscyphus", "Charonias", "Yukihikous", "Mariprofundaceae", "Gonydactylus", "Gabuniina", "Isolepis", "Tenrecinae", "Ruscus", "Martynea", "Kaniwhaniwhanus", "Donghicola", "Psittacosauridae", "Martensosoma", "Hypophylla", "Shouguania", "Dendezia", "Urda", "Dabura", "FFR", "Taimyroconus", "Pedibothrium", "Pselaphischnus", "Hydnoporia", "Cranophorus", "Favratia", "Liparogyra", "Orontobryum", "Munneurycope", "Orthobairdia", "Manchomonas", "Vitellariopsis", "Protospeleorchestes", "Gonodactylus", "Lepitrix", "Tortella", "Anaerostipes", "Syntretoriana", "Thailimosina", "Ashinkailepadini", "Pectinatella", "Liopiophila", "Phyllodictyon", "Hexactinella", "Selenopsocus", "Sarbanissa", "Heterostigmata", "Grylloblattella", "Cymatogaster", "Rubovietnamia", "Maymena", "Oreinotinus", "Ouranopithecus", "Creataloum", "Proasellus", "Australoheros", "Oxyrrhexis", "Notomenia", "Larvacarus", "Penarhytus", "Myospalax", "Falcogona", "Protestrica", "Nexosa", "Latiendothyranopsis", "Volemys", "Amphirhoe", "Clavibacter", "Lurama", "Enteromonadidae", "Nisipyrgiscus", "Euteleosteomorpha", "Iguanodon", "Oblea", "Phalangochaeta", "Paramantis", "Pseudodistomidae", "Adrocerus", "Nephropinae", "Gothicispira", "Tridactyloidea", "Anoplomerus", "Mecistops", "Gnathiphimedia", "Taridius", "Turicimonas", "Riseriopsis", "Iodocephalopsis", "Mecynorhina", "Nanomitriella", "Tetraclipeoides", "Dalmatomammurius", "Heptaceras", "Pseudaspis", "Planeocoris", "Godleyaceae", "Apocoptoma", "Saccogynaceae", "Mustelinae", "Tonkinopsis", "Ctenodentelops", "Iquitostrema", "Oreophilais", "Akermes", "Bargoniella", "Brachiosia", "Physalopteroides", "Cycasis", "Dryana", "Howdenocarus", "Nothochrominae", "Echinamoebidae", "Euglypta", "Orimodema", "Micromisumenops", "Sphyrothecinae", "Penthophera", "Ocys", "Podolepis", "Allocypria", "Habrocestum", "Kailarsenia", "Spelaeanthus", "Megamorio", "Manu", "Nelmanwaslus", "Lophocaterini", "Vertigo", "Meropidae", "Lamourouxia", "Gerridae", "Halvaria", "Veneroida", "Geocalamus", "Ladona", "Picrotini", "Callisthene", "Escarpia", "Blenniimorphae", "Philampilus", "Paraphoxus", "Neoatractosomatidae", "Bryolymnia", "Neopterinotrematoides", "Alycidae", "Pheidologitonetes", "Bannozyma", "Syndesinae", "Catamenia", "Neohodgsonius", "Doryxenoides", "Peltidocylapus", "Rhinonicteris", "Mudwigglus", "Rhynchostegiella", "Platyplectrum", "Stenopadus", "Myxaster", "Cisanthribus", "Colaptes", "Pibirioideae", "Donrichardsia", "Dilkea", "Orabacterium", "Gobiobotia", "Glyphiolobus", "Endograptis", "Tylopus", "Erignatha", "Asidopsis", "Perisoreus", "Thalassophagacarus", "Cylindobrium", "Givotia", "Assamencyrtus", "Nansenia", "Wittmackanthus", "Shackletonia", "Chersonesia", "Cephalocassis", "Aplococera", "Parapristionchus", "Lelita", "Allardius", "Szelenyiopria", "Depastromorpha", "Gymnocorymbus", "Neoscombrops", "Dicropsocus", "Curiotalitrus", "Protoploea", "Dictyokathina", "Cischweinfia", "Eremiasphecini", "Notopharyngoides", "Dipodascaceae", "Philonomon", "Hesperinidae", "Helminthotheca", "Fuchibotulus", "Quasipaa", "Hyattoceratinae", "Adrepsa", "Litoglossa", "Ceuthophilini", "Sinochlora", "Chinlea", "Teratobledius", "Baltognathus", "Hymenothrix", "Leptacinellus", "Libellulidae", "Mediorhynchus", "Tetradoxa", "Epiplatys", "Bifrenaria", "Lamprohaminoea", "Liviidae", "Ristellidae", "Unionoidea", "Rhodosorus", "Caloblattinidae", "Ophiobolus", "Lingulina", "Neocladocystis", "Piezia", "Mollicoecia", "Neoclarkinella", "Aglaosoma", "Vinca", "Xanthopeltis", "Chapmaninidae", "Oshitea", "Hyalolaena", "Dolichogaster", "Ninus", "Heterostriatus", "Diplacanthoda", "Ichthyochytrium", "Haematoides", "Zeugmatolepas", "Globochernella", "Baltimora", "Babr", "Doryphoribius", "Clothodomorpha", "Pyrgoella", "Holocnemus", "Grammodonia", "Zyngoonops", "Synonchium", "Esterhazya", "Ophiophthirius", "Merluccius", "Isopterygiopsis", "Crocodilium", "Moreae", "Vibrionales", "Gastrohoplus", "Pinaropappus", "Tytthomenia", "Okabevirinae", "Encephalus", "Neochelidon", "Marihabitans", "Sarcomeniaceae", "Apallaga", "Disphragiinae", "Chitinolagena", "Kanburia", "Thurovia", "Spelaeoblatta", "Adiphlebia", "Boelckea", "Orthostichella", "Orophocotyle", "Gryporhynchium", "Scarificatina", "Hexagrammales", "Eopsiloceras", "Rhopalus", "Spinosocordax", "Neoblastobasis", "Arabessa", "Zinda", "Megahypurus", "Amorphochlora", "Janczewskia", "Repetekalysia", "Macroturellus", "Duguetia", "Microbacter", "Matinta", "Durinskia", "Brachylophora", "Epidelomorphus", "Megasticus", "Dithrycini", "Habrodera", "Ancyrosoma", "Neocryptopteryx", "Actinomyxidia", "Acidomonas", "Palaeoperidinium", "Cabiropidae", "Osoriini", "Grammatidae", "Sarcopodium", "Austrocossus", "Discoelius", "Quadribractea", "Cesacampa", "Mexicomiris", "Epidrepanus", "Eulecaniinae", "Capronia", "Calciopappus", "Tricystis", "Ozadelpha", "Basommatophora", "Prosthacusta", "Strophidon", "Cornuscoparia", "Metchnikovellidae", "Crucigera", "Azolla", "Stenohya", "Neoacarinina", "Ptyssalgidae", "Arcutelphusa", "Idertia", "Bahadzia", "Styphelia", "Phyllopteris", "Cadiz", "Myoschilos", "Hyalymenus", "Pseudodiploria", "Catalanotoxotus", "Eungellosoma", "Diasimognathus", "Pterolichidae", "Globospirillina", "Nycteis", "Ragadiina", "Thalusia", "Ostracioidei", "Antitrochalus", "Dendroxena", "Trichocossus", "Planocarpa", "Basiphyllaea", "Ampelosaurus", "Rhagionemestriidae", "Chasmanthe", "Berlepschiinae", "Neotragus", "Antistydatusa", "Hebraegidiella", "Odontestis", "Austreynetes", "Trapezoppia", "Wellingtonella", "Mickoleitiidae", "Anaptilora", "Meropalpus", "Micropsammidae", "Albotricha", "Mongoligena", "Oxycrepis", "Schoenobiinae", "Delta/epsilon", "Coelotanypus", "Trypauchenichthys", "Manestella", "Alvarenganiellinae", "Cressida", "Microdonophagus", "Jagora", "Paracostus", "Inopeplus", "Synchytriales", "Cylichnus", "Thioalkalibacter", "Schellencandona", "Dakoticancridae", "Patriomanidae", "Hesperosorex", "Glossobalanus", "Scolomys", "Potamon", "Perittopus", "Spirochaeta", "Dendrouropoda", "Abaraeus", "Cryptangieae", "Fangophilina", "Blanfordimys", "Hyphomonas", "Tabaninae", "Chelaria", "Boderia", "Lacustrinella", "Sinoarctia", "Higginsia", "Brachygonia", "Timematoidea", "Chonophyllum", "Lepidagathis", "Ithystenini", "Unas", "Scotodonia", "Engistus", "Dendrocerotidae", "Leeuwenhoekiinae", "Discoglossus", "Echinoascotheca", "Kali", "Togaviridae", "Atrytone", "Adneella", "Zebraplatys", "Phyllodocidae", "Diphylleia", "Parawocklumeria", "Eidothea", "Scopelocheirinae", "Geonettia", "Chrysoamphitrema", "Pithecellobium", "Syngamia", "Bohra", "Tritaxilininae", "Incurvariina", "Micropholcus", "Haplocoleus", "Belaphotroctes", "Tubpontania", "Perlidae", "Oplegnathus", "Setanodosa", "Stenochinus", "Leptasteron", "Iniocyphus", "Egestrina", "Friona", "Halopappus", "Gelyelloida", "Capreolinae", "Triassaraneus", "Anaerobacterium", "Hottarum", "Planctomyces", "Rhexinema", "Stalacris", "Stellenboschia", "Ceramiales", "Crinozoa", "Eutogeneius", "Cintractiellales", "Nesomyidae", "Lagynodes", "Faika", "Arketypon", "Limnatochlamys", "Trypanochloridaceae", "Tetranychinae", "Cunningtoniceras", "Roperia", "Stegastrum", "Hygrophoropsidaceae", "Polyphylla", "Parachaenia", "Marvaldiella", "Eburophora", "Cephaloglypta", "Zygophylloideae", "Mooreana", "Cressonia", "Galodoxa", "Mycogelidiaceae", "Flavoplaca", "Sphaerosacme", "Capsaspora", "Phaisura", "Psoroptidae", "Phryganophilus", "Lardoglyphidae", "Frickius", "Hamza", "Spengelia", "Canonopsis", "Gynodiastylidae", "Katatopygia", "Polynesoecetes", "Valerianella", "Bembidarenas", "Anisotaenia", "Ceruraphis", "Erlandia", "Odonturopoda", "Paradarisa", "Bostrychus", "Acanthoglossa", "Integrivalvia", "Octolepis", "Syrnia", "Cchlidanota", "Lachnaceae", "Henochilus", "Sclerostachya", "Morostominae", "Geotoga", "Mintonia", "Ljania", "Aranedra", "Jurella", "Afracantha", "Kovalevia", "Dondersiidae", "Alcidion", "Melanopareiidae", "Schizoporella", "Senyumia", "Mixotricha", "Scytothamnales", "Japenoides", "Heminothrinae", "Tasmanobius", "Acoleomerus", "Harpagoxenus", "Baptorhachis", "Alliaria", "Inouyiidae", "Calopteryginae", "Hernandia", "Troglamaurops", "Ancylodes", "Hyaenodon", "Caretta", "Orthorhinoides", "Brachelytrium", "Laeops", "Cheilolejeunea", "Keraterpeton", "Hypsopygia", "Ocypodinae", "Sinochaitophorus", "Pseudocrossidium", "Ambloma", "Zadelsdorfia", "Pontoporeia", "Pentzia", "Delocheilus", "Brachycosmiella", "Dendroidea", "OMNH", "Tritirachiales", "Trimallena", "Kigelia", "Eionea", "Allidothrips", "Aphis", "Eleutho", "Pseudoxytenanthera", "Zeuzerocossini", "Draconema", "Globigerapsis", "Arietocometes", "Elpistostege", "Phegopteridoideae", "Gerromorpha", "Dichograptidae", "Cololejeunea", "Boraria", "Meniocus", "Ovalidota", "Saxifraga", "Tianyulong", "Pandorathrips", "Hypoedaleus", "Nematopodini", "Austrodrymus", "Danainae", "Hummelinckiella", "Redlichiidae", "Abacella", "Heissodrymus", "Dasyprocta", "Chionelasmatidae", "Parabeloniscus", "Asterogyne", "Cingulopsidae", "Taipsaphida", "Glyptoscorpioidea", "Litaculus", "Lepturinae", "Peakesiina", "Steninae", "Ruschioideae", "Velutinidae", "Riencourtia", "Aufeius", "Voyria", "Kalmia", "Cyrillopsis", "Stylochus", "Ziglipton", "Gastrodes", "Ambrysus", "Dictyolithus", "Caeciliinae", "Perditadens", "Zenon", "Chthonomonas", "Cyphomyia", "Hiltermannella", "Neopolyptychus", "Alicianella", "Asbestopluma", "Fjellbergella", "Liomesini", "Ascarina", "Tapeinosphaeridium", "Neostega", "Tinocladia", "Singalissaspis", "Viticis", "Aiolopini", "Prochlidonia", "Sagittocythere", "Acasta", "Montsechiana", "Vertigininae", "Corryocactus", "Bitrichia", "Kribbia", "Althonarosa", "Sahydroaraneus", "Grigelis", "Illicium", "Neoschmidia", "Shipleya", "Phasmomantis", "Rhaphiolepis", "Dioryctria", "Bivalvopagurus", "Neoneella", "Lyrurus", "Jakeocrinus", "Lyropupa", "Oribatellidae", "Ghatsa", "Stenaspidiini", "Alterbidinium", "Achetaria", "Idioctopodidae", "Poikilospermum", "Tingicesa", "Gnathopaederus", "Ampheraster", "Macquaridrilus", "Momphidae", "Cerapoda", "Mesostenina", "Paraleucolepidopa", "Ulotingis", "Argemma", "Sarosesthes", "Anterastes", "Oenosaurus", "Ezosciadium", "Exopropacris", "Hidaella", "Lophochlora", "Lourus", "Sophron", "Aerotegmina", "Chromagallia", "Orthacanthus", "Chisoneta", "Uralofusulinella", "Catherpes", "Anthonaeus", "Urojana", "Doxodasya", "Isolaimiidae", "Caliphruria", "Eriosomaphis", "Onypterygia", "Callistoptera", "Tuphephialtites", "Trypanochloris", "Curimatidae", "Protoaeginella", "Leucandra", "Mulsantina", "Pseudoclitocybaceae", "Sunorfa", "Praepseudofusulina", "Eocercomonas", "Tyrannomolpus", "Lecointea", "Blaberpolipus", "Parenchelyurus", "Psilomelissa", "Trichomonochamus", "Sporodictyon", "Madecusa", "Glatziella", "Selenaria", "Paraixeris", "Ukamenia", "Acanthonevrini", "Sondra", "Mengea", "Litiopidae", "Plurellidae", "Correlophus", "Taoia", "Edriocampa", "Chalcogenia", "Lamprotornis", "Ryocalanidae", "Eurymerus", "Caladium", "Erichsonia", "Coriariaceae", "Herreria", "Chaerocina", "Prodiplous", "Typhocesis", "Georychus", "Corsyrini", "Hemiglyptinus", "Penetretus", "Declinimodus", "Paraphlomideae", "Uaiuara", "Biocellientomia", "Parasterinopsis", "Placiphorella", "Cropera", "Dromogomphus", "Rhabdothorax", "Atysilla", "Conocarpus", "Tristromaviridae", "Calabaria", "Bonasa", "Madatyphlops", "Wellstedia", "Gymnotingis", "Botryochloris", "Thia", "Belliella", "Campinasuchus", "Micromesistius", "Negotinthia", "Colocasiomyini", "Srimara", "Sestyra", "Apocydia", "Culladiella", "Chloropetalia", "Hesthesini", "Nanoclymenia", "Catellatospora", "Catherinum", "Odontobutis", "Onoba", "Oxyspora", "Leucophylleae", "Roxita", "Pseudopanolis", "Photocorynus", "Ascosacculus", "Nellya", "Amaryllidaceae", "Qiupalong", "Pileolina", "Acromycter", "Parandrocephalus", "Neoaclina", "Esonius", "Paralasonia", "Neides", "Decennatherium", "Thermoproteus", "Leuconotidinae", "Gygis", "Pseudocyphellaria", "Draba", "Microlechia", "Haplostachys", "Pararhaphoxya", "Citreitalea", "Eximipriapulus", "Abrahamia", "Atorella", "Pseudopolygrammodes", "Mycodiplosini", "Tomatarella", "Boundarus", "Picrodendraceae", "Delouagapia", "Chretienella", "Archaediscus", "Onychopetalum", "Subterenochitonidae", "Sporoglossum", "Polycopoidea", "Pycnoscelinae", "Melinnampharete", "Lingulella", "Tesserocerini", "Monnetyra", "Stychoparmena", "Salamandrininae", "Plectodytes", "Mordellinae", "Waldola", "Pseudoagoliinus", "Vitrinellidae", "Parapediastrum", "Dappula", "Basslerella", "Abdera", "Eumekius", "Pericladiaceae", "Hirticlytus", "Phalacra", "Lophotus", "Neoperiboeum", "Borodinella", "Rictularioidea", "Cyttaranthus", "Triplodia", "Crepidiastrum", "Holognathidae", "Hugonioideae", "Sternoptychinae", "Shirozua", "Belodontichthys", "Mauritaniscus", "Betonica", "Dictyoconinae", "Kathpalmeria", "Auletina", "Pronamphistoma", "Alissonotum", "Brachytes", "Antillogorgia", "Aphelocoma", "Bicosoecaceae", "Taurogastrura", "Cryptax", "Tomolamia", "Disarthricerina", "Dendrographa", "Syntrichia", "Linariantha", "Actenosigynes", "Killickia", "Ekleptostylis", "Gerpegezhus", "Canariomene", "Fenneropenaeus", "Thomassiniidae", "Styracura", "Marpissina", "Eunectes", "Liposcelis", "Silicibacter", "Holocneminae", "Rhabdodryas", "Parapocryptes", "Doryfera", "Watsonia", "Balboa", "Terinaea", "Sarcosomataceae", "Spartonoica", "Austrolycus", "Lecanogaster", "Entephrilema", "Mesocnemis", "Polyplectropus", "Lissochlora", "Afromegischus", "Macrosteles", "Cedriina", "Monotropastrum", "Heterobucephalopsinae", "Leucapamea", "Gyraulus", "Cretoprosopus", "Pedetes", "Protocanitinae", "Lamprophorella", "Dihymenonyx", "Epaltes", "Medomega", "Corethrella", "Meinertulidae", "Stenanona", "Thymetus", "Pragia", "Hyalogyrinidae", "Cedoaphis", "Paraphytus", "Acastidae", "Bothriospermum", "Sculptariidae", "Sporopodiopsis", "Glessoscardia", "Valvulinoides", "Chromyella", "Calanthea", "Scutelliformes", "Miselia", "Phytoseius", "Rhizophyllum", "Aulicus", "Austrelaps", "Algophilus", "Carpoblepharis", "Theridula", "Pseudarmadillo", "Parapolybia", "Agnidra", "Diplothorax", "Chlamydopus", "Shamshevia", "Macrocarpaea", "Boreoheptagyiini", "Uromyces", "Protearomyia", "Bataceae", "Boletoscapter", "Prionobrama", "Ironoidea", "Mopaliinae", "Polysphaera", "Tecticipitidae", "Paramurrayonidae", "Euthyplocioidea", "Barbaroscardia", "Pridonius", "Melanospilus", "Dolichodelphys", "Hemandradenia", "Rhabdostyla", "Leptospathiini", "Polymerias", "Teratodes", "Brachyramphus", "Aulacoctenidae", "Charophyceae", "Micrasta", "Ischiosioma", "Aculodes", "Prodorylaimus", "Typhlosaurus", "Blennioclinus", "Schlagintweitia", "Sulanyssus", "Cryphocricini", "Prasiococcus", "Hypodessus", "Cloniocerini", "Hemitrachys", "Coelocarteria", "Symbiidae", "Aplothorax", "Thyrsophorus", "Peruneloidea", "Globophycus", "Plusia", "Burmjapyx", "Orthorhachis", "Kobayasia", "Zodaroidea", "Acidithiobacillus", "Lacertacarus", "Iranitrombium", "Athyana", "Synnemasporellaceae", "Sinodendron", "Biruga", "Anoplophora", "Archibracon", "Spathidiopsis", "Escualdoniscus", "Prophaethontidae", "Craspedopoma", "Adelaeus", "Teia", "Diadematoida", "Cypridoidea", "Remusatia", "Poederomorphus", "Leopoldia", "Chelon", "Luteocoelius", "Pterostillichus", "Calappa", "Pterogonium", "Chrysopoidea", "Xenillus", "Alleculini", "Pseudosarbia", "Boreofiber", "Actinodura", "Termitochara", "Ergyne", "Protolisthaerus", "Hapsiferona", "Monoporus", "Oxyuridae", "Saguinus", "Hyalopycnis", "Baggina", "Kakamega", "Dischissus", "Graphandra", "Campechetrema", "Astrocrius", "Plectronotus", "Tianweitania", "Archon", "Prodorylaimium", "Sciobius", "Neosintectes", "Moltkia", "Takachihoa", "Crossidium", "Paraqianlabeo", "Asiphonella", "Reticularioidea", "Coronantherinae", "Curumyia", "Austrosynthemis", "Texacanthoceras", "Hystrichostrogylon", "Seyrigiella", "Quadrigyrinae", "Bulnesia", "Gaesochira", "Blaberus", "Agonidium", "Atlantoscia", "Proisotominae", "Discoclavata", "Tithaeus", "Australoberis", "Anomalosiphum", "Phaeophilales", "Subergorgiidae", "Antarcella", "Psychrolutidae", "Lepidozygus", "Amphiute", "Megaskepasma", "Homidia", "Hamatoplectris", "Pseudosauripterus", "Morilloa", "Ortholomus", "Trichoplus", "Paederinae", "Euchromiina", "Pseudoseopsis", "Xustrostomatidae", "Clistothyris", "Baltomyces", "Limnocytheridae", "Kardiasperma", "Macrocentrinae", "Trapezioidea", "Halanaerobaculum", "Ptychocroca", "Serranocirrhitus", "Italialbunea", "Monophlebidae", "Aguassay", "Ectenesseca", "Rhaptothyreus", "Succinispa", "Pristipomoides", "Coptacridia", "Lucilia", "Bothrideridae", "Aphycinus", "Phelotrupes", "Iochrominae", "Schismatogobius", "Myrmecaelurus", "Orbicella", "Sclerosperma", "Latace", "Excavanus", "Trisegmentina", "Therioplectes", "Apophatus", "Wikstroemia", "Conocardioida", "Spirotrichonymphella", "Trioplus", "Hemisphaeriinae", "Scutachne", "Siphonostegia", "Hemiselmis", "Sabiaceae", "Sphaerozoidae", "Potamocypris", "Nesiota", "Champiaceae", "Chicotortrix", "Ankirihitra", "Rossomyrmex", "Stigmotyphlus", "Pericopsis", "Apophylia", "Madeirovitrina", "Distichochlamys", "Chlorobrachis", "Lacandonia", "Methanopyrus", "Chaperina", "Neocharon", "Rahonavis", "Noronhia", "Helodiaceae", "Acrophylax", "Plectospira", "Taslopa", "Euwandesia", "Cyriotasiastes", "Legionellales", "Kanadyana", "Nethea", "Cassidulinita", "Tetrarogidae", "Flaviellus", "Dogielinotidae", "Thermonotus", "Atesta", "Polysphaeridium", "Chrysonema", "Hieronyminae", "Parascolopsis", "Parasumelis", "Toxicocalamus", "Neolasioptera", "Tahina", "Metalebia", "Oceanivirga", "Dendroceratida", "Xylophragma", "Eucyclopera", "Propomacrus", "Orthoplana", "Coccinella", "Foaina", "Grandcolasia", "Aeshnoptera", "Anaerovorax", "Nebrioporus", "Stylochocestidae", "Neuropterida", "Francolina", "Chelocoris", "Eustema", "Dendro-hypnum", "Luprops", "Ligaria", "Ellipsoidella", "Baissobius", "Limnichus", "Phlyctaeniida", "Niviventer", "Eris", "Schistosomatoidea", "Urocyclinae", "Clavelloides", "Sarathropezus", "Microphysogobio", "Libytheinae", "Eporini", "Pentaplana", "Durbaniina", "Synochodaeus", "Raunocoris", "Catophragmus", "Irwiniella", "Chalcopsitta", "Odontornithes", "Leptodynerus", "Balkanoroncus", "Paratillus", "UWZM", "Paracalanthis", "Gatzara", "Pseudogymnostreptus", "Anseranatidae", "Monelytrum", "Connorochloa", "Vanroonia", "Teapeulia", "Symphyta", "Ectotrichus", "Naticopsidae", "Thermovirga", "Oeophronistus", "Chaetarthriinae", "Stygarctus", "Wolbachieae", "Cymothoidae", "Semanga", "Sebastolobinae", "Clausidiidae", "Apodryinus", "Anchytarsinae", "Centrolobium", "Acteonelloidea", "Boffiidae", "Eleotris", "Rhodobium", "Chloroceras", "Perilampinae", "Liopygia", "Glossus", "Dysmicodesmus", "Hirondelleidae", "Dolomedes", "Campylotingis", "Plethodontidae", "Tentaculariidae", "Primulina", "Lomandra", "Sinskea", "Neoembiodea", "Diurideae", "Acanthocteninae", "Pezopetes", "Pseudolamarckina", "Ischyrocolpura", "Idiothamnus", "Navomorpha", "Issoria", "Clinopsalta", "Orechidna", "Meleonoma", "Chrysomus", "Ignatiaceae", "Downeshelea", "Hypoperphrixus", "Langloisia", "Odontomantis", "Viciriina", "Helix", "Megaptera", "Tardiphaga", "Elapheia", "Compsoscorpius", "Efulensia", "Mesolimax", "Thamnophyllis", "Vltaviellidae", "Heterohelicidae", "Synemosyna", "Loxorhinus", "Homocerus", "Swaustraltingis", "Athaumasta", "Nesiolinus", "Columbellinae", "Ethirostoma", "Paracyrtus", "Madegafoenus", "Batrisiotes", "Pterogymnus", "Isotria", "Neorthopleura", "Monocorophium", "Myxophyllum", "Pseudonesimoides", "Pitonga", "Trischistoma", "Brachytome", "Aurearena", "Tritaxilina", "Rayforstia", "Turbinoptidae", "Arxama", "Mecynoecia", "Mixia", "Cephalogonimidae", "Lippia", "Anisochaeta", "Antiporus", "Paradiastylis", "Maeota", "Pternopetalum", "Sphaeropeplus", "Modulidae", "Tettigettalna", "Atelophleps", "Ectomocolax", "Cheirolophus", "Hemigastrostyla", "Kosemia", "Obereopsis", "Planktosalinus", "Isophlebioptera", "Phisidina", "Bolborhynchus", "Solepyris", "Katakadia", "Nembrotha", "Oncopaederus", "Branstettocoris", "Paratyphlotanais", "Glandulopleurostomella", "Chalingini", "Dasymalla", "Arthrocereus", "Victivallaceae", "Protacrontidae", "Cupulospongia", "Homalocyrtus", "Cyclophoraceae", "Aglaopheniidae", "Marimonadida", "Neacomys", "Discradisca", "Drymonia", "Vellica", "Mirodryinus", "Epanthidium", "Epiphloeus", "Pissodini", "Haptoclinus", "Glyphodiscus", "Tapinocephalidae", "Protephemeroptera", "Dilodendron", "Pachycerus", "Ophiotreta", "Terrahaemophilus", "Procepon", "Flavobacteriia", "Haplophylax", "Epyrini", "Microcalamus", "Pancratieae", "Platyceratops", "Paraperinthus", "Entobiidae", "Acutiphoderes", "Trepobates", "Urocampus", "Stylocline", "Thepparatia", "Unaica", "Gaedikermenia", "Belondiridae", "Glyptodontidae", "Oligohymenophorea", "Psocathropos", "Snowornis", "Diora", "Kuszholia", "Diachlorini", "Theophrastoideae", "Prozostrodontia", "Pleurostauron", "Liotipomatinae", "Kappamycetaceae", "Chalcasthenes", "Electranthera", "Magrebichthys", "Stegophiura", "Kanziko", "Stigmatopathus", "Malacolimax", "Onorecoris", "Tarsotinthia", "Pacifantistea", "Kurchatovus", "Herbertia", "Phylliscidium", "Prunellidae", "Dinarda", "Dolichodectes", "Tropistethus", "Alicyclobacillaceae", "Mikrogeophagus", "Phoroschizidae", "Egestria", "Albatrossidium", "Chauliodus", "Caledoneurus", "Derogeninae", "Lagynion", "Paraliga", "Quatiara", "Aulacopleuridae", "Holothyridae", "Pseudocarum", "Hassea", "Rhopalosyllis", "Schismatoglottideae", "Pseudolepralia", "Bifidobacteriales", "Macrorhaphis", "Plagiogramma", "Ceratofulvius", "Scrophohelota", "Dendrotrophe", "Sauromatum", "Russowia", "Remenus", "Anenterotrema", "Oosporidium", "Agronus", "Amplistromatales", "Oncojapyx", "Ancylonotini", "Galeopterus", "Lamponia", "Pinga", "Argynnia", "Wamalchitamia", "Pepsijoppa", "Canacomyrica", "Antipionycha", "Paraponychus", "Crinotarsus", "Chactopsoides", "Pentapyloniinae", "Ptychopariidae", "Gymnodiniales", "Mucosphaera", "Agiton", "Spasmopallene", "Cercozoa", "Perotis", "Tappanina", "Gittella", "Taeniophallus", "Maoripamborus", "Oomycota", "Petrobionidae", "Boophoninae", "Cladoxerini", "Mirobaeoides", "Carbonemys", "Stephanopyga", "Zoopagomycota", "Bityle", "Siegfriedia", "Acontias", "Euschemoninae", "Paracatopina", "Yungaseremaeus", "Pleurobrachiidae", "Darwinuloidea", "Bathycreadiinae", "Mahajangasuchidae", "Cylichnoidea", "Picathartidae", "Rhyacophiloidea", "Paramacrolobium", "Androstachys", "Asteioinea", "Charagmophorus", "Riboviria", "Phalangonyx", "Volvochrysis", "Brachionichthys", "Physolaesthus", "Coriandreae", "Migoidea", "Nanomitriopsis", "Acioa", "Diatectonia", "Lissobiops", "Apobrata", "Gougerotiinae", "Protanaissus", "Hypophthalmichthys", "Sedolinus", "Geopyxella", "Stegocephalus", "Paronesimoides", "Sovia", "Aguarunichthys", "Niphargoides", "Aricia", "Rhopalodinidae", "Zuphium", "Anischiinae", "Tapeinostemon", "CGRB", "Euryclytosemia", "Plastocerus", "Throscosana", "Cucumellidae", "Acrocercopinae", "Melanum", "Wakarumbia", "Garthiella", "Rhodothalassium", "Rectoscutaria", "Leptogomphus", "Aloba", "Peucetia", "Desmiphorini", "Austropsocus", "Tholophyllaeus", "Dendrobiinae", "Pseudotropheus", "Patia", "Punctoribates", "Hydrogenimonas", "Ascodesmidaceae", "Microlicia", "Heliometrinae", "Stylomecynostomum", "Alstroemerieae", "Ebenopsis", "Pseudostichopodidae", "Brangas", "Tichodroma", "Millericoccus", "Storeyinae", "Apostenonia", "Gloeotila", "Conopsis", "Termitobia", "Stalachtis", "Halophilosciidae", "Losdolobus", "Sinocyclocheilus", "Protothea", "Seyrigia", "Cresseyella", "Ditomotarsini", "Bulbotoplaninae", "Ethiopotaenia", "Myopterus", "Sphodrocepheus", "Cardiocrinum", "Cephalophoxoides", "Tanychilus", "Botryocyrtis", "Neortholomus", "Duroca", "Lycaste", "Aloinopsis", "Dicranoneura", "Nossidium", "Fallopia", "Mangatangi", "Asclera", "Meum", "Nemopistha", "Titanattus", "Strouhaloniscellus", "Pachyphloea", "Epiacanthus", "Joeropsis", "Diplogrammus", "Stichorkis", "Vidalina", "Poviliana", "Methylacidiphilae", "Anoplotaenia", "Dekeidoryxis", "Bennettazhia", "Cheverella", "Eriothymus", "Notopais", "Heteromydas", "Tepuihyla", "Neochalcosia", "Dactyloscirus", "Compsusa", "Bovidromus", "Bryonympha", "Bamyaniceras", "Aldrichia", "Dictyaspidella", "Zeagyrtes", "Spanglerogyrus", "Pterotracheidae", "Proalidae", "Lissothuria", "Dalbergia", "Tunicothrix", "Amphelictus", "Mexipediinae", "Zwackhiomacromyces", "Dimeragrion", "Thanatopsyche", "Caucasopisthes", "Tapirocarpus", "Tilletiopsis", "Loncyda", "Zapotecoris", "Cenolia", "Almaenidae", "Exobasidium", "Homeopsopha", "Chevrolatella", "Blancoa", "Acanthopteroctetidae", "Megarididae", "Glaucolepis", "Retalia", "Gastrosericina", "Ryssonotus", "Paraphelopus", "Hyalopsyche", "Ramiellona", "Paracarus", "Isometopiellus", "Cryptoptila", "Pseudluperina", "Parviplana", "Leptodictya", "Pellaea", "Mecotropis", "Trichoneptunides", "Tulaya", "Spiroplecta", "Phinaea", "Ussurella", "Parelion", "Ademosynoides", "Lepismatinae", "Icenilepas", "Coccographis", "Micilini", "Jessea", "Trigonotoma", "Gnathophyllidae", "Sirolpidium", "Eosaulostomus", "Micropsitta", "Lichinella", "Bognera", "Drimiopsis", "Estoloides", "Terebratulidae", "Hippelates", "Dovania", "Lispinodes", "Microgobius", "Petrochroa", "Dalmodes", "Argamaniini", "Cryptoxilonini", "Peyrierasina", "Unguiculenaris", "Miksicus", "Odinophora", "Lamennaisia", "Antarcturidae", "Aquinillum", "Lydus", "Mimepuraecha", "Pseudocotalpa", "Falsodrupeus", "Allerastria", "Pseudargyria", "Petrejoides", "Rupicapnos", "Picocystis", "Isotemnus", "Phorcysia", "Dorotheus", "Chirophryne", "Quasirhipidius", "Meristodonoides", "Psammodius", "Coracopsobius", "Verosphacela", "Platyja", "Tuba", "Coxequesoma", "Rauhiella", "Polyctesina", "Spirochona", "Sluginella", "Reitzia", "Lachnodactylina", "Cinnycerthia", "Nesokia", "Allantion", "Lutimonas", "Caseoides", "Azeniina", "Gilletellus", "Phacellus", "Sphelodon", "Irenicodes", "Renvoizea", "Jedria", "Symmerioideae", "Acroaspis", "Cercidiphyllum", "Lobosporangium", "Halszkaraptor", "Afrohybanthus", "Jaimehintonia", "Ahlia", "Nuevoleonia", "Curimata", "Mackinlayoideae", "Armstrongium", "Noranteoideae", "Austropuccinia", "Biarmosuchia", "Cheloniinae", "Discophyllites", "Alboculus", "Arachnoparmena", "Amorphorhinus", "Monocarpaceae", "Andraca", "Spintheria", "Hysteroneura", "Rhytachninae", "Keijcyoidea", "Dunhevedia", "Acropogon", "Ceratolasmatidae", "Cervantesia", "Thaumastocoridae", "Pterygorytes", "Phenacharopa", "Anidarnes", "Freyana", "Compsaditha", "Macromonas", "Lomaria", "Branchiophilus", "Oncocnemis", "Tadelia", "Bryodemini", "Calotrichopsis", "Neopoliocoris", "Luminiphilus", "Allocaecilius", "Sciaromiopsis", "Geomitridae", "Eunorithiana", "Hypocomina", "Tropidophis", "Testacarinata", "Vanga", "Sphaeromonas", "Amyttopsis", "Actidesmium", "Dinoasteromonas", "Furcillidens", "Musophagidae", "Xylorhizini", "Cyranichthys", "Pholistoma", "Phlomis", "Cercomonas", "Cyrtolitiones", "Mimulopsis", "Blaudusini", "Azyx", "Nemaxera", "Aonyx", "Grallina", "Mindarus", "Miliolipora", "Polytoca", "Rossocoleus", "Maripeae", "Fractipons", "Laennecia", "Ephippidae", "Dohrniella", "Hermetia", "Astomatida", "Neocrangon", "Iphiteon", "Archaeoboreaphilus", "Eremophygus", "MUSA", "Diplomphalus", "Leptotyphlopsis", "Bachiini", "Desserobdella", "Cirocolla", "Nida", "Cyclanorbis", "Indieraligus", "Barybrotidae", "Ghilaromma", "Rhinonyssus", "Praealveolina", "Titanosuchus", "Atacamia", "Pentatoma", "Nepitella", "Fulgurotherium", "Chaetosoma", "Dendroleon", "Pristella", "Microlontha", "Crossostephium", "Rubroboletus", "Luetkea", "Wiseana", "Periploca", "Bejofoana", "Eomeropidae", "Mystacinobia", "Gorgoderinae", "Entosthodon", "Iotrochota", "Trigonophatnus", "Rhachiosteidae", "Nothospondias", "Cryptommatini", "UTEP", "Stylopoma", "Kliella", "Adlafia", "Idionychinae", "Willowsia", "Scapochariesthes", "Spiroplectoides", "Nehypochthonioidea", "Triznaka", "Polycestoides", "Kudoa", "Brachycephalus", "Seopsocus", "Spaniocelyphus", "Anisocomides", "Pearcea", "Filograninae", "Elachistites", "Vanessa", "Catenariaceae", "Arcturinoides", "Parabemus", "Eodinotoperla", "Leptops", "Scymninae", "Derelominus", "Reichenbachiella", "Lieftinckia", "Sinopimoa", "Heterosoma", "Belocera", "Phasmosomini", "Trisolenia", "Sillus", "Rowettia", "Veldkampia", "Dasyuromorphia", "Taiwanioideae", "Chalicogloea", "Berningerus", "Titanolichus", "Megarthropsini", "Alacraninae", "Coelomomyces", "Gyrodactylidae", "Prisodon", "Ligusticopsis", "Wheelerella", "Sclerogenia", "Yuraramirim", "Cryptothrips", "Troglodrilus", "Styloxenodice", "Fanninia", "Ichilocoris", "Gispyrella", "Odontanthias", "Trigonopteryginae", "Exotheca", "Artodiscus", "Stenideopsis", "Papawera", "Geloiini", "Colpocephalum", "Uvarovidium", "Truncoheronallenia", "Diacanthocapsinae", "Levenhookia", "Calamus", "Protoglomeridae", "Pedobesia", "Apterobittacus", "Indopiptadenia", "Dalmatolacerta", "Rhinoligia", "Mompha", "Monophlebulus", "Ceratitis", "Oxypilinae", "Gallaicolichen", "Allogromia", "Lyropaeinae", "Serratella", "Oplegnathidae", "Dreissenidae", "Talcopsaltriini", "Lepiselaga", "Uteriporidae", "Calohelcon", "Planudonta", "Quasibolivinella", "Insulamon", "Quaesticula", "Quinquelaophonte", "Rhegmatorhina", "Leptofoeninae", "Symonanthus", "Exapateter", "Thyada", "Keiseromyia", "Caenopsylla", "Lyrosoma", "Isotropis", "Dikellites", "Octomana", "Notolepium", "Actiniidae", "Cylindera", "Charanyca", "Carcineretidae", "Litonotus", "Nordenskioldiini", "Lyratoherpia", "Diplomitoporus", "Cemocotylella", "Phelypera", "Phaeaphodius", "Phaeoptilum", "Triodontidae", "Cyrotyphus", "Laonastidae", "Stagmatopterinae", "Bazisa", "Canachus", "Struthiochenopus", "Pedinella", "Brygophis", "Caenomorpha", "Elwesia", "Clavister", "Upselaspis", "Macroglossa", "Monasavuhygia", "Globigerinopsoides", "Paratrechodes", "Pterosis", "Austrogomphus", "Stichopilium", "Demangeptus", "Procydrela", "Leucosigma", "Ovini", "Antarctopsocus", "Heterogeniates", "Pylorobranchus", "Lituotubidae", "Anisophyllum", "Trapezonotus", "Milda", "Candelariodon", "Episactini", "Kelloggella", "Throscodectes", "Cephalotomandra", "Cydninae", "Maskellococcus", "Hippoporina", "Tricornia", "Thyropygus", "Oraphanes", "Ambloplites", "Myxinidocotyle", "Pelecyphora", "Paramannerheimia", "Hudsonia", "Cnesterodon", "Tiedemannia", "Caeciliusidae", "Albuginidae", "Rictaxiella", "Dinghuibacter", "Pogonocichla", "Microcranaus", "Guineapsaltria", "Alliatina", "Mantoides", "Catageus", "Pseudorhinidae", "Abyssosdiskos", "Zetorchestoidea", "Docodonta", "Pseudocapillaroides", "Archaeolacerta", "Kelisiinae", "Tarchia", "Spirometra", "Allorapisma", "Leucochimona", "Cheiridiidae", "Coriandrum", "Rhaebus", "Falsopachydissus", "Quadrasura", "Parodiellaceae", "Topobates", "Psilothallia", "Dombeyoideae", "Mycetomorphidae", "Sutrina", "Chloroclystis", "Ophidiinae", "Piaya", "Plectorhinchus", "Entoniscoides", "Chloephaga", "Typhloplanidae", "Ammoscalaria", "Phaeococcus", "Gracupica", "Nepalopolia", "Araiobelus", "Paracteocina", "Abananote", "Lydda", "Duolandrevus", "Straneoa", "Timofeevia", "Oomyzus", "Asterophlyctis", "Tossinolodes", "Zemerini", "Pseudosparna", "Cylindrolepas", "Tennya", "Trichodromeus", "Ctenopariini", "Sturmioidea", "Allobitoma", "Perumaropta", "Aristidoideae", "Schisturella", "Sorubim", "Barbatosporaceae", "Rhodochytrium", "Omphalomia", "Austrammo", "Kolihapeltis", "Epithemiaceae", "Mecocnemini", "Zeuctocrinus", "Teledapus", "Sarcops", "Udonellidae", "Desmomastigales", "Paubrasilia", "Celamodes", "Condylops", "Pigritia", "Parrella", "Rhyncocheilus", "Brancucciana", "Bethylonymellus", "Metacmaeops", "Catameces", "Bertiliella", "Furcuncaria", "Zagreus", "Stictea", "Coptoxenus", "Promonoctonia", "Odontoschisma", "Thermobrachium", "Ischnopterapion", "Eurynodes", "Ophthalmidiidae", "Corophiidea", "Loxa", "Desulfurivibrio", "Neomariaella", "Prevortex", "Neoguarea", "Acanthephyridae", "Momedossa", "Parvimonas", "Monotrematum", "Megaluropus", "Heteroconger", "Nanlingella", "Pentametrocrinidae", "Phacidiaceae", "Calamotropha", "Homogryllacris", "Opharus", "Parametaphoxus", "Tergrigorjanzaella", "Maliponia", "Tenerasphaga", "Descurainia", "Levieina", "Cryptocatantops", "Cymatelasma", "Allodapini", "Leucandrilla", "Procidella", "Allocyttus", "Beutenbergiaceae", "Kazakhoceras", "Xenasteiidae", "Xylophrurus", "Steganotaenia", "Actinothuidium", "Antrocarcininae", "Ennatosaurus", "Cachryphora", "Scathophagidae", "Paracyphocrania", "Klasea", "Paracupta", "Japonochytrium", "Ophthalmipora", "Sirilorica", "Lipeuroides", "Vulcanellidae", "Gonyleptellus", "Gasteracantha", "Rekoa", "Zopheromantis", "Kameiozephyrus", "Crangoweckeliidae", "Alpigenobombus", "Opistodactylidae", "Wetanema", "Styliola", "Leptosiaini", "Glans", "Dysteria", "Metatanais", "Myiopagis", "Selagis", "Cnestidium", "Electrentomoidea", "Muramurina", "Dactylosternum", "Zanchia", "Opostegoidinae", "Glischrocaryon", "Chlorocypha", "Klonostricha", "Compsoneuria", "Urotropis", "Pseudonezumia", "Bikkia", "Neophilippiana", "Fansipaniana", "Strzeleckia", "Cladothela", "Violella", "Tsengia", "Verbena", "Belonodesmus", "Hipposcarus", "Tatankacephalus", "Mendicula", "Cretotyphlus", "Eurymera", "Haptorida", "Dermomurex", "Thellungiella", "Herbulotides", "Acarosporaceae", "Cerapachyini", "Litseaphyllum", "Vesperus", "Cephalohibiscus", "Pyropteron", "Rhytismatales", "Somatochlora", "Holaxinidium", "Cycloscymnus", "Austroscolia", "Opifex", "Pyrgo", "Gryonella", "Clujia", "Changshaniidae", "Feostoma", "Emmelopisalia", "Paragammaropsis", "Hoplolomia", "Protopliomerella", "Duriatitan", "Rhinopomatoidea", "Prostemmatinae", "Monoeca", "Phalacroma", "Pseudoborbo", "Ebbepterote", "Glycyserica", "Kintaqa", "Philobryidae", "Palaeacaridae", "Daphniidae", "Decaisneoideae", "Verruculopsis", "Hoplorhaphus", "Coccopigya", "Scorodocarpus", "Lawrencella", "Hydrogaster", "Ethminolia", "Sofanapis", "Houstonia", "Aspidochirotida", "Megachoriolaus", "Microcephalus", "Tylocryptus", "Helobdella", "Neopachylopus", "Oops", "Syllidae", "Lepidochrysops", "Norantea", "Calciosoleniaceae", "Meomyia", "Spiloneda", "Trichoplastini", "Sciadia", "Neopeplus", "Clymeniida", "Chaerodes", "Anhuistoma", "Metadoticus", "Abida", "Tapinoschema", "Pseudohelenina", "Paracyprichromis", "Sorbarieae", "Somniosus", "Isoplectron", "Astrostole", "Pamophion", "Icteria", "Gonipterus", "Crossotini", "Yulumara", "Onithochiton", "Asphalmus", "Clavisphecia", "Pempeliella", "Dictyopharini", "Laomediidae", "Ortervirales", "Calla", "Hericium", "Podoces", "Stenodermatinae", "Cucurbitales", "Acidilobus", "Augochlorella", "Gruitaenia", "Trigonatopus", "Neohipparchia", "Odotoncarus", "Trixoscelis", "Cylindrostethus", "Meiotheciopsis", "Kurokopteryx", "Elaphidipalpus", "Erechthias", "Trichopseniini", "Perilestes", "Lullius", "Alissoderus", "Rhinebothriidea", "Thoressa", "Vesiculariopsis", "Hada", "Pelagornis", "Hesperagrion", "Ixapiini", "Otophidium", "Morophaga", "Rhyopsoculus", "Cribrochamus", "Xeralictus", "Saranaca", "Teedieae", "Halobacteriovoraceae", "Pseudocaeciliinae", "Pontibacter", "Pseudominona", "Nemanthias", "Perotripus", "Lourdesia", "Crateranthus", "Gomphonema", "Reticulascaceae", "Natalimyza", "Calaphis", "Halistemma", "Cylletron", "Archaeobalanus", "Cretolucanus", "Lycianthes", "Candidula", "Omochyseus", "Biddulphianae", "Nocardiaceae", "Aetana", "Lioloma", "Xhosacetus", "Australacanthus", "Dicamixus", "Thrasops", "Trithamnion", "Iguanidae", "Mimexocentroides", "Demansia", "Montsecarachne", "Bowdichia", "Polycladia", "Picnomon", "Vavilovia", "Astrosphaeridae", "Rhagocneme", "Cryptobelus", "Melicope", "Myrmeciplana", "Epigodromia", "Paracopium", "Endogone", "Psychomyiinae", "Endotrichellopsis", "Polyceroidea", "Roscius", "Calocosmus", "Brachylaima", "Timeidae", "Intandela", "Sesbania", "Xenoleleupia", "Stigmatura", "Allotrichoma", "Bisencya", "Spincterules", "Wingstrandarctus", "Cheliceroides", "Allomyrina", "Protosphyraena", "Madecazyras", "Chitinispirillaceae", "Echinoderidae", "Homorocerus", "Ropalospora", "Applinocrininae", "Angadenia", "Spinaria", "Maoriscaphander", "Bilacunaria", "Umashtanchaeviella", "Cuttsia", "Tritoniidae", "Acupeinidae", "Aulophyseter", "Ozawainella", "Urocentrum", "Anemiaceae", "Microphysa", "Mictophileurus", "Albionbaataridae", "Sorapion", "Gourlayocoris", "Anthelura", "Karschia", "Bohemillidae", "Equisetaceae", "Calothrix", "Mediasia", "Thoracobombus", "Megallica", "Nepanamixis", "Museo", "Mastopoda", "Epischnia", "Ancyromonadida", "Scione", "Borneozyras", "Palaeospinacidae", "Nudiviridae", "Omphreoides", "Rhinoscapha", "Holboellia", "Trogactus", "Leighia", "Phallomedusinae", "Blasia", "Vitjaziana", "Dendrolaelaps", "Eleticinae", "Speleomyotis", "Meehania", "Notalina", "Sigmoideomyces", "Agnoshydrus", "Cryptopacha", "Phyllonycteris", "Eoendothyranopsis", "Dicellitis", "Geopelia", "Epichnopteriginae", "Tarasa", "Cemolobus", "Khamul", "Conopobathra", "Cloacaroidea", "Acrothamnion", "Metosina", "Indjapyx", "Gyrophaena", "Lycoperdina", "Sharpides", "Pelicinus", "Parananilla", "Djerboa", "Thaumamermis", "Dendrocalamus", "Aviatanais", "Chloroxylon", "Cyana", "Ptychomniaceae", "Graminelloides", "Catillaria", "Myrmeleon", "Sagartiogeton", "Plesiolygus", "Pterygopappus", "Phthius", "Assamacris", "Nychogomphus", "Mertensiella", "Stylosanthes", "Tropimetopa", "Phaneropora", "Congolacerta", "Metacarcinus", "Cyanotis", "Yamatarotes", "Cotyzineus", "Heliangelus", "Pseudocorinna", "YBU", "Kickxellomycota", "Daphnimorpha", "Bdellodrilus", "Paralomis", "Ishania", "Liomerinae", "Micromallosia", "Strombidinopsina", "Enytus", "Dimonomera", "Agathemerodea", "Dolichostelis", "Mannokeraia", "Okadaia", "Torrescada", "Pseudoptilinus", "Epilacydes", "Acrothyrea", "Holochlamys", "Antarcticella", "Oligomeris", "Tripogoninae", "Stenolepta", "Synchromophyceae", "Soupha", "Oenococcus", "Morone", "Leptognatha", "Symbiotaphrina", "Epsomantis", "Stachys", "Arctobius", "Oidiopsis", "Appendixia", "Amphinema", "Ventojassa", "Fuchsia", "Eosthenias", "Tamarindus", "Pseudovibrio", "Longileptoneta", "Anthoboscinae", "Leonesiella", "Nakataea", "Hirudiniformes", "Byrsinocoris", "Bifurcaria", "Orthoseiraceae", "Otroea", "Tinaegeriinae", "Hadogenidae", "Glabratellina", "Tannodia", "Paraphronastes", "Dactyloplana", "Pseudochirops", "Wetria", "Euscarthmus", "Chlorepyris", "Trachysphyrus", "Mythodes", "Isporisa", "Peyrierocoris", "Chaetomys", "Linshcosteini", "Mucronea", "Phanagnathus", "Tortrix", "Aphaurosuchus", "Pararhodobates", "Stenostylus", "Exarrhenodes", "Pseudoplacusa", "Clematodini", "Ulota", "Polypterozetidae", "Heliophileae", "Cyphodema", "Biocrypta", "Culcitaceae", "Parelbella", "Mycoemilia", "Thaumasiochaeta", "Diposis", "Heterodoris", "Pseudolamponinae", "Lophiostoma", "Neocerus", "Channa", "Luteicenus", "Cretoperipatus", "Thyatira", "Hemialges", "Apotemnus", "Argopleura", "Mesomyia", "Ptilella", "Oxytenia", "Diathrausta", "Rhabdocaulon", "Nephronthus", "Talaroneis", "Arizonaphlyctidaceae", "Hypostephanuncia", "Dermoxanthus", "Atractonotus", "Asagena", "Ioanella", "Podalyrieae", "Allisonella", "Junewangiaceae", "Lecithophyllum", "Campoplex", "Habrocerinae", "Rajidae", "Tumoriala", "Scadoxus", "Dendrochaetidae", "Halacarus", "Gelrebia", "Cyphomeris", "Diarrogus", "Pisenus", "Diagramma", "Bathycopea", "Rentonellum", "Sosylopsini", "Saengella", "Dentalium", "Cyphoxacicoris", "Ballerus", "Mytilaster", "Ibotyporanga", "Phreatoicus", "Hemipodaphis", "Zibethacarus", "Calostigiodes", "Sabaconidae", "Neochariesthes", "Vikingea", "Clatripes", "Prothoini", "Desulfotalea", "Isothraulus", "Cylicobdella", "Androtanais", "Colvillea", "Chinchippus", "Dyschiriini", "Araiocypris", "Phlyctainophora", "Enigmocephala", "Leucogeranus", "Menaka", "Xanthias", "Trematopygodes", "Marionana", "Enneboeus", "Suksdorfia", "Urodynamis", "Picoides", "Anaxyelinae", "Pholiota", "Scaletomerus", "Amphilochida", "Diplodocidae", "Linepithema", "Horelophopsis", "Synaphaeta", "Abracadabrella", "Rhamphiophis", "Phenacogaster", "Pseudagolius", "Autumnalia", "Teleasinae", "Mellamastus", "Eisothistos", "Theridiosoma", "Amesia", "Trachycephalus", "Mimocolliuris", "Mesosaurus", "Zelolessica", "Phaeodinidae", "Planitorus", "Lobelia", "Tricardia", "Cordobia", "Jocaste", "Pachydemocera", "Ectocarpaceae", "Suthora", "Argyrogrammatini", "Leptolaimidae", "Loxodon", "Tenoia", "Seirini", "Nototheniinae", "Aptolemus", "Orbitestellidae", "Coliidae", "Cynodonmiris", "Doryphallophoridae", "Albanthura", "Sinaodoryctes", "Anisocampa", "Cyphocarpa", "Perimede", "Nambalia", "Ustyurtia", "Monocrepidius", "Pleurophyllum", "Syngeneta", "Kaokochloa", "Nautilidae", "Vandeleuria", "Rolandra", "Amicrotrichomma", "Hirtudiscus", "Siphonocryptus", "Pseudocroniades", "Tuckia", "Elopicola", "Buphagidae", "Janini", "Pseudomotimus", "Nibribacter", "Ptiliodes", "Redtenbacherus", "Asymmetrinidae", "Dimorphoconnus", "Aztlanolagus", "Garsauriella", "Heterophrynus", "Branchinectella", "Gryllomorpha", "Ichthyophis", "Paratinae", "Palisporomonas", "Nanna", "Neolieftinckana", "Tristichopteridae", "Xenochlora", "Symphysodon", "Hyles", "Hemiculter", "Niphargidae", "Abrabra", "Richelia", "Neocercomonas", "Schizoglossum", "Preussiodora", "Metazuphium", "Peronaemis", "Saccopharyngiformes", "Admestina", "Anatotitan", "Sigmoilinitinae", "Analleucosma", "Mimeoma", "Enpinanga", "Amioidea", "Philagrias", "Leptocroca", "Ponentinini", "Strepsizuga", "Prionoceridae", "Cazira", "Afronandus", "Hampsonata", "Odonthalitus", "Analgoidea", "Lepidosirenidae", "Synapseudes", "Otionellina", "Limnichopharus", "Spirolingulina", "Erepsia", "Hemilophia", "Atherinoidei", "Chiltonia", "Clavatulidae", "Reussellidae", "Pardalisca", "Salvadoraceae", "Ruidocollaris", "Aporrhaidae", "Electromyzus", "Zirfaea", "Abyssorhynchia", "Ageniaspis", "Tyrannodinium", "Scottiini", "Saliohelea", "Gelatinodiscaceae", "Leptamphopus", "Achnantella", "Turkonethes", "Triscytina", "Partisania", "Phyllodistomum", "Hadrogaster", "Stereolepis", "Hamacantha", "Agniopsis", "Quasifusulinoides", "Pristiophoriformes", "Afropoecilia", "Ticinella", "Levoecus", "Helictosperma", "Characiosiphon", "Ossinissa", "Wamba", "Littorina", "Tetragonulina", "Siettitia", "Celypha", "Acochlidium", "Cecidopimpla", "Aphalaridae", "Ciderius", "Thamnolaea", "Mosdenia", "Adrianichthys", "Spermatozopsis", "Xyrosaris", "Arachnopsita", "Muhabbetiola", "Hanicella", "Bradgatia", "Nastella", "Marengo", "Tmetonyx", "Apoloniinae", "Dorotheanthus", "Zikaniola", "Oxelytrum", "Limosininae", "Zeriassa", "Biaporus", "Trichonothrus", "Brevinema", "Melanocetus", "Achyrachaena", "Pseudochazara", "Homoeogryllini", "Mesoplasma", "Balliales", "Pericnemis", "Adenopodia", "Pterolebias", "Ascelichthys", "Centrocalia", "Petalocrinus", "Thoosina", "Novalaetesia", "Cheiloceratoides", "Parakarstenia", "Mimini", "Chennium", "Phelloriniaceae", "Aistopetalum", "Physeteridae", "Ctenostylum", "Noctuiseius", "Aphyoditeinae", "Amalocichla", "Coniophoraceae", "Nyctaginia", "Falsonannocerus", "Cinetodus", "Sciuro-hypnum", "Siphonobacter", "Poposauridae", "Namiella", "Rhabdobacter", "Petersonia", "Xenoblissus", "Strigulales", "Bignoniaceae", "Arthroleptidae", "Melanolophiini", "Josephosella", "Gonodactylidae", "Lenoxus", "Tulostoma", "Maikona", "Fauchaldonuphis", "Xenacanthimorpha", "Laurentophryne", "Pelmatoplana", "Nauhea", "Clarkia", "Alophini", "Anochilia", "Proantrusa", "Venusia", "Callytron", "Jurochlus", "Rhabdoscytus", "Nothoalsomitra", "Enicocerina", "Cytherura", "Strongylodesma", "Hemipholis", "Polycesta", "Crypsedra", "Pseudokephyrion", "Daeguia", "Aulocystidae", "Leptomysinae", "Speonectes", "Isoberlinia", "Protaphreutis", "Tontelea", "Osmylus", "Neoeolasma", "Priocyphus", "Ceratobracon", "Clerome", "Homalosciadium", "Myliobatinae", "Nematogmus", "Agrotera", "Phyllocoptruta", "Pycnophyes", "Brachyctis", "Whalleyanidae", "Ectopomyia", "Rhodophytina", "Cestoplanides", "Umbelopsidomycetes", "Mammites", "Gobiiformes", "Aurilobites", "Philomusaea", "Bystrowisuchus", "Isolumpia", "Actinostrobus", "Irazua", "Trimmatostroma", "Neolarra", "Haematospirillum", "Esarcus", "Craniopsoidea", "Pilotrulleum", "Nanhaia", "Acemya", "Tottungus", "Prodromitidae", "Dendroma", "Gymnobisiidae", "Calcinea", "Parepisactinae", "Gonomyia", "Lagenida", "Martillepadinae", "Hueikaeana", "Scolecocampa", "Chalciporus", "Luteimonas", "Calanesia", "Prosoaulax", "Bandara", "Phloeocarabus", "Malinae", "Pazius", "Limnostylochidae", "Triletes", "Laotris", "Orchestoidea", "Plicatellopsis", "Gentianothamnus", "Icilius", "Coussarea", "Blabicentrus", "Philometridae", "Kwoniella", "Gressitolabis", "Indopoa", "Phyllachora", "Cedercreutziella", "Rhadalinae", "Ryuthela", "Goniozus", "Chonotrichia", "Pithys", "Trizonoceras", "Lernanthropinus", "Proteromonadina", "Brachymonas", "Streptostachys", "Harttiini", "Apoclada", "Aracamunia", "Lypoglossa", "Phycitini", "Compactopediina", "Parauxesis", "Kurandanus", "Mesastasia", "Fufius", "Plumulariidae", "Serrivomer", "Plusioserica", "Aioliops", "Pseudaletia", "Sparattosyce", "Neomegalonychus", "Mimobatocera", "Hemibrycon", "Pyrocystis", "Alafiinae", "Brassicaceae", "Brachyrhopalinae", "Sphecini", "Galeottia", "Katerinaella", "Lepidosira", "Pseudoxenodontinae", "Takanea", "Plesiadda", "Acrossus", "Lacistodes", "Lepionysiini", "Aeverrilliidae", "Protacarus", "Iotarphia", "Benthamielleae", "Unitubulotestini", "Apletodon", "Cryptorhynchini", "Diictodon", "Plakarthrium", "Zardinellidae", "Phymatus", "Semidelitschia", "Coscinia", "Palaeocursornithiformes", "Eclectochromis", "Themma", "Philoliche", "Brixiini", "Rhodocoma", "Boxiopsis", "Oncocypris", "Masupha", "Cretoscelis", "Thecideidae", "Ditropinotellinae", "Coryphaeschna", "Fuscidea", "Xestochilus", "Pleurotomarioidea", "Agonoxena", "Siamspinops", "Jianyuniaceae", "Rhomborhina", "Renilla", "Schinia", "Euobrimus", "Palaminus", "Blastemanthus", "Takasagoagonum", "Fungia", "Endocerida", "Bisinocoelia", "Tarisini", "Groutiella", "Sacculocornutia", "Mayastreptus", "Geomorpha", "Retroculinae", "Serratobracon", "Luzocephalidae", "Alvaradoia", "Schema", "Petrophile", "Homalodisca", "Megapeostus", "Palopoda", "Laurasiatheria", "Edpercivalia", "Peltogyne", "Adenorandia", "Rhinophyllis", "Rudolphia", "Churamiti", "Halosicyos", "Mikrus", "Coscinophragmatidae", "Nishida", "Epedanoidea", "Eocenchoerus", "Conchopus", "Mandalotus", "Panamapoda", "Prochoanotaenia", "Dielsiochloa", "Barbieria", "Leucochrysa", "Phyllocnistis", "Tolpis", "Sporadiana", "Acrididae", "Boykinia", "Kibara", "Lingulodinium", "Dexaminidae", "Aporhoptrina", "Stirostoma", "Syndactyla", "Onychodromus", "Paludomyces", "Subsidebottomina", "Haloechinothrix", "Microtitanethes", "Evidini", "Protocirrineris", "Chauliopareion", "Melanocoraebus", "Ochnoideae", "Oramia", "Tanymecica", "Platydorina", "Gasteracanthini", "Arytrurini", "Tauriphila", "Capuloidea", "Lithoptila", "Schriften", "Microbrenthorrhinus", "Hedobiini", "Catapaguropsis", "Mesotaenium", "Sulfurospirillum", "Asphinctopone", "Echinocodon", "Krantzia", "Mioawateria", "Mycterophora", "Heteromyzidae", "Adramini", "Euchoreutes", "Leaduadicus", "Meyendorffina", "Dictamnia", "Daedalea", "Velia", "Crossomitrium", "Chatrabus", "Diervilla", "Carlius", "Galeritina", "Propioniciclava", "Stilostomellidae", "Hepomidion", "Armiana", "Taeniolina", "Eumida", "Colubroelaps", "Neomenopon", "Aposchiza", "Iliusa", "Panthera", "Tainitermini", "Crinipes", "Uleothyrium", "Paramesodes", "Bothrochloris", "Thallassiosiropsis", "Eudesicrinidae", "Taranakia", "Urocoras", "Dinofurcula", "Hypamblys", "Bergiantina", "Parnassia", "Leucosyke", "Ginkgophyta", "Erioptera", "Anidiops", "Ctenacaridae", "Gnathoenia", "Miniopterinae", "Licinoma", "Cirrhimuraena", "Patulophycus", "Isostreptis", "Platycuma", "Nannochloris", "Sphaerion", "Pseudotruljalia", "Bithynia", "Pseudocyttus", "Protopeplus", "Paitobius", "Villalobosius", "Argenis", "Lentimurisporaceae", "Spathoderma", "Laius", "Caliperia", "Euchaetidae", "Rhynchoryza", "Pseudozizeeria", "Plistospilota", "Erirhipis", "Pselaphophus", "Acanthoscelidius", "Chromoplanidae", "Pinnotherinae", "Moreiba", "Etesiolaus", "Macronaemia", "Inquisitor", "Nesochrysa", "Psorinia", "Lasiolepturges", "Planktonemertidae", "Anagrus", "Tacolus", "Tourrettieae", "Ilyophinae", "Garganornis", "Amphibolia", "Shurabella", "Acoleidae", "Distigma", "Tomogonus", "Weiwoboidae", "Physemacris", "Saprolochus", "Anguillidae", "Ninastrelnikovia", "Pottsiocles", "Piesmopoda", "Hemikalliapseudes", "Cedrillosa", "Crateninae", "Paranurini", "Condica", "Leptocythere", "Prodoxinae", "Andreyevichthys", "Aranzadiella", "Sangala", "Saxidrominae", "Pseudeuptychia", "Effuseotrichosporon", "Octosporea", "Demodecidae", "Xanthoriicola", "Pyramichlamys", "Hypocephalini", "Styloniscus", "Ctenopterus", "Pterocelastrus", "Haloanella", "Anacamptorrhina", "Chinapenetretus", "Paraprobatius", "Stenospermation", "Neorhegmoclemina", "Afrus", "Synthemiopsis", "Sabazius", "Treufalka", "Periclimenaeus", "Crypticolus", "Aphodiopsis", "Ariastes", "Nordus", "Alaranea", "Moerisiidae", "Kionaster", "Pogonostoma", "Mesotroea", "Pseudoneochloris", "Stactobia", "USFQ", "Pleciobates", "Pseudophycis", "Idiocalla", "Eopsaltria", "Paradystus", "Meridiosignum", "Lyropteryx", "Phloeobius", "Triticella", "Gyrodontidae", "Gymnopis", "Ascaptesyle", "Catapaguroides", "Retusidae", "Pammenitis", "Plumulites", "Eremon", "Coronilla", "Streptopetalum", "Tanbaoites", "Stylorium", "Centroplax", "Anthrenocerus", "Atlasjapyx", "Koryaginus", "Polybotrya", "Ulcina", "Didymogenes", "Diplocaecilius", "Nyssodrysternum", "Septibranchia", "Thiesus", "Chautemsia", "Psammastra", "Notoplatynus", "Neocamarosporiaceae", "Masiakasaurus", "Rojasimalva", "Nannastacus", "Glympis", "Scourfieldiaceae", "Thallogama", "Synandra", "Kassabiana", "Pileospora", "Calidion", "Glenea", "Cryptometoicoceras", "Anahi", "Miopieris", "Itomia", "Thiodiodes", "Oribatodes", "Achatina", "Eurossia", "Callistina", "Cosmocercella", "Broeckina", "Erinaceusyllis", "Atylotus", "Scirpeae", "Thymalus", "Ammodaucus", "Schizostella", "Plusiini", "Endothyranopsis", "Amydrium", "Actinosphaerium", "Protosteliidae", "Echiteae", "Chrysoxena", "Parakonarus", "Pseudarmania", "Westringia", "Namadia", "Cretevania", "Heterolamium", "Viperinae", "Miccolamia", "Rhopaltriplasia", "Parahormius", "Leptospirales", "Sesiinae", "Listrura", "Ctenocella", "Podospongia", "Similiparma", "Elasmothemis", "Hydrochara", "Potaminae", "Gadila", "Lunatriella", "Barlerieae", "Campbellonemertes", "Amycoida", "Stethomyia", "Pterostylidinae", "Mimatybe", "Nocticanace", "Prohylesia", "Defluviitoga", "Lamellideini", "Pachysylvia", "Dicranostigma", "Silvibacterium", "Cliorismia", "Phaedis", "Burkilliodendron", "Paraixodina", "Pagaroniini", "Tricuspidalestes", "Isolaboides", "Automolus", "Schultesiophytum", "Boreoeutheria", "Lanius", "Sipodotus", "Cristocentrus", "Subuluridae", "Hadeninae", "Austrodecus", "Drillactis", "Cycloneda", "Eothrombium", "Kariosa", "Scoliophthalmus", "Shanwangicarabus", "Malvella", "Paulianaphis", "Haplohexapodibius", "Trigonachras", "Diphyllostomatidae", "Paroriza", "Astyplus", "Pericalypta", "Yukonodelphax", "Ilex", "Australoricus", "Xenomystax", "Chiliophyllum", "Ophonichius", "Proanthropus", "Heterogryllini", "Sophronus", "Proconus", "Manikaella", "Bangiophyceae", "Eochauliodes", "Nipponentominae", "Leiocottus", "Grassatores", "Corixoidea", "Phyllodesma", "Tacata", "Euhalothece", "Capuyanus", "Dillenia", "Myoconcha", "Staphylothermus", "Patollo", "Ophioholcus", "Foonchewia", "Arapaimidae", "Parachipteria", "Diadocidiidae", "Centrohelida", "Aturinae", "Diosma", "Dotillinae", "Calophaca", "Cintia", "Lichniini", "Chaetodermatidae", "Notothyladales", "Turbinellidae", "Geoglossales", "Anthotocus", "Kofleriaceae", "Microepidendrum", "Calohypsibiidae", "Clavigrallini", "Ponticola", "Stenophyella", "Ectinosomatidae", "Pseudolispinodes", "Engynoma", "Crypteronia", "Bathymasteridae", "Chionochloa", "Cyclosomus", "Xyelidae", "Murupi", "Temnopteryx", "Agaleptus", "Odontosia", "Adencyrtus", "Sunius", "Cosnania", "Benitoa", "Clinops", "Kaliphora", "Pseudanhammus", "Nanaloricida", "Xanthichthys", "Haplotaxodon", "Nexophallus", "Archaeothyris", "Leptopanorpa", "Perasis", "Othorene", "Pullulanibacillus", "Gondwanagaricites", "Eucampsiura", "Helicorthomorpha", "Tafaia", "Geocythere", "Paenarthrobacter", "Paradiplospinus", "Asystata", "Oriola", "Omalostomum", "Tyzzerella", "Echinometra", "Atopomyrmex", "Sucinoptinus", "Bathydema", "Lepidoscia", "Hormisca", "Thracioidea", "Capotrichis", "Stichostigma", "Paraquedius", "Syntonopteridae", "Ipoa", "Cordilura", "Pytinicarpa", "Aulopareia", "Yixianscarabaeus", "Ptychomniella", "Cionura", "Homoeocerini", "Sphaeromantis", "Excentrosphaera", "Platydendron", "Paragordionus", "Ceratosanthes", "Lepidochitona", "Holcocera", "Senecauxia", "Discorbinellidae", "Limnodrilus", "Caldanaerobacter", "Aceratus", "Taenarthrus", "Senoma", "Pteroloma", "Seriola", "Diamerini", "Brachyzapus", "Xanthocorus", "Bulla", "Aneurydesmus", "Kofoidinium", "Chamonixia", "Theocerus", "Ainsliaea", "Discoidae", "Neolebouria", "Praociini", "Acanthocalycium", "Hedraiophrys", "Lacantunia", "Morophagoides", "Crossoptilon", "Darmistus", "Siculosciadium", "Echinothuriidae", "Serangium", "Neocalceostomatidae", "Middelhovenomyces", "Xanthopimpla", "Macginitiea", "Foveocrotaphus", "Microhoria", "Perochnoristhus", "Docosia", "Menticirrhus", "Austrosteenisia", "Aleurites", "Absensomina", "Heterovates", "Dictyomeridium", "Cryptocompsus", "Comophorina", "Trematooecia", "Scolopina", "Letouzeya", "Dendrocyathophorum", "Mecorhis", "Medom", "Rhodococcus", "Isorhipina", "Smaragdina", "Sphaerocalyptra", "Ascampbelliellidae", "Cercopithecus", "Atlapetes", "Dicteriadidae", "Afroscardia", "Amphicervicinae", "Megabalanus", "Nannomiris", "Micrelytriger", "Declieuxia", "Megapterinae", "Zulubius", "Digamasellidae", "Riisea", "Microceratus", "Marteena", "Oedogoniomyces", "Xiphozele", "Dilta", "Aurearenales", "Neochordodes", "Bolbonotum", "Amanahyphes", "Chilia", "Amphipleuraceae", "Bletia", "Sinometrius", "Willemoesia", "Liljeborgioidea", "Eubrachion", "Guembelitria", "Karnes", "Buccamagna", "Vinathela", "Assmuthia", "Cardiophorus", "Coriarachnini", "Michalowskiya", "Haminoea", "Kangarooconnus", "Micryletta", "Austrocaeciliina", "Laselva", "Calta", "Aspersentis", "Sargochromis", "Dimorphicosmia", "Paraphiloscia", "Haumuriaegla", "Essostrutha", "Protarum", "Capnocytophaga", "Neogossea", "Persiscape", "Cardiodactylus", "Uvigerinella", "Arenaviridae", "Merismatium", "Cabestana", "Idiogeninae", "Typhlodes", "Myrmia", "Anomopus", "Gingidia", "Lissodiadematidae", "Oxyaenidae", "Ehrlichia", "Limnactinia", "Pseudamyciaea", "Tylostega", "Neomegistus", "Nampabius", "Zeioidei", "Machaerina", "Paraona", "Pseudozitha", "Eubule", "Procellosaurinus", "Metopiaini", "Eocyzicus", "Gymnohippini", "Paramyristica", "Broscodes", "Richeeae", "Gilliamella", "Neorhaconotus", "Paradimorphoceras", "Schaeferiana", "Barghoornia", "Hesperochoia", "Calostemma", "Safaritanais", "Ophelimus", "Holozodus", "Bradyporinae", "Pungu", "Omnivoropterygidae", "Renillidae", "Vibrio", "Thamniopsis", "Mucronia", "Agantavirinae", "Cyrtophryina", "Edmundsiops", "Caudiholosticha", "Ooderella", "Cyclamen", "Torpedosporales", "Sufifer", "Psychocampini", "Atropus", "Pterygophorus", "Amorphomonas", "Gastropodidae", "Chrysochloridae", "Amerilini", "Villasenoria", "Oxypodera", "Choreutoidea", "Mesolaelaps", "Heterobrevennia", "Uranomys", "Grahamichthys", "Orfilea", "Idiops", "Acisoma", "Acrantophis", "Amphinome", "Hantaviridae", "Nemozarina", "Chlorochromatium", "Protorchestia", "Pilophoropsis", "Agononida", "Spiloptila", "Seleniivibrio", "Hylis", "Euparia", "Paradoxopla", "Centrochthonius", "Pyrrhona", "Requienia", "Catastenus", "Sicilitrombium", "Pseudunio", "Bellarinea", "Pseudaspidoceras", "Palaeophilotes", "Lasiocesa", "Pseudacrobeles", "Odesia", "Larerannis", "Mastodiscus", "Mellona", "Theraptus", "Tubuliporidae", "Chaunocolus", "Reticulaphis", "Leposoma", "Monostilifera", "Anathamna", "Pimea", "Carlosrosaea", "Heuchera", "Apatelodidae", "Thermoflexaceae", "Villalus", "Neotetraonchidae", "Palaeophytocrene", "Anomalomydinae", "Chaetopoa", "Histriocoridea", "Phalota", "Austrothemis", "Apistogrammoides", "Nogueirapis", "Chorisiva", "Papillacarus", "Omalodontiformes", "Orthomorphina", "Combe", "Hylicini", "Glossophagini", "Rhantus", "Toryniferinae", "Fenestraja", "Scoliopteryx", "Mesotaenia", "Agnostidae", "Africodytes", "Arundineae", "Erioderus", "Clinispira", "Darthulini", "Scitalini", "Pseudharpinia", "Gedanoborus", "Alloleptis", "Epiblatticida", "Gallastichus", "Minckleyella", "Ptychoglossus", "Madaglymbus", "Planorbis", "Mordellistenini", "Lonchotus", "Chrysiogenaceae", "Echinocystis", "Psammochela", "Psammophiliella", "Psaromenia", "Pseudepeolus", "Spirostreptidae", "Onymocoris", "Stylocheilus", "Nereis", "Exiteloceras", "Paranymphon", "Pristinailurus", "Cneorum", "Eoctenes", "Thyrophylacidae", "Anthophrys", "Denticulopsis", "Cervantistellus", "Tillobromatinae", "Molytina", "Cethosia", "Sycanthidae", "Teratoglaea", "Omanana", "Karpenolepis", "Parorchestia", "Wilsonipsylla", "Sophista", "Omanosaura", "Australestesini", "Microsteira", "Palpidia", "Scriniodinium", "Lathrocasis", "Melanthia", "Kuschelomacer", "Pseliodinium", "Cuneolinidae", "Astenorella", "Intecticoccus", "Bradymonas", "Lestricus", "Kephyrion", "Nixonia", "Mahunkiella", "Uropsylla", "Antimacrosiphon", "Phuwiangosaurus", "Involutininae", "Benderia", "Allographa", "Telethecium", "Proasaphiscus", "Mangua", "Muzunguja", "Acrogenospora", "Hermosomastax", "Hillebrandia", "Mayriphilopterus", "Cocalodini", "Cyrtocapsus", "Utobium", "Baracus", "Papuapsenius", "Didymocarpoideae", "Cuthonidae", "Teleurysorchis", "Alanqa", "Dipluroidea", "Lampornis", "Pterorthochaetes", "Parvisquama", "Penardochlamys", "Fibrillanosema", "Notopsalta", "Eudea", "Tribonosphaera", "Prionitis", "Henicodium", "Galeninae", "Oxynooidea", "Leuraptera", "Scorpidinae", "Storchia", "Thelypodiopsis", "Baculopsis", "Itygonimus", "Caryophyllia", "Notiohelea", "Empidideicus", "Pseudoinope", "Josifovolygus", "Lagerheimia", "Cryptocopinae", "Aloxestocephalus", "Cretalamna", "Dimini", "Oligia", "Betylobracon", "Gobbettia", "Trochosira", "Botryocarpeae", "Ecamphicteis", "Heleophryne", "Zygopleuridae", "Hemicyclus", "Pogonoglossus", "Coscinocladium", "Phaeographopsis", "Neolampadidae", "Montanoa", "Eristalinae", "Iphicrates", "Pachylasma", "Archicebus", "Bitectipora", "Abroscelis", "Batopilasia", "Ozobranchidae", "Doydirhynchini", "Setodocus", "Melanomma", "Thyca", "Lusitania", "Atlantocuma", "Baurusuchidae", "Cordalia", "Hungarogryon", "Allieae", "Helicoprorodontidae", "Mesoparopia", "Labourdonnaisia", "Cheirodesmus", "Raphidomonadea", "Calydon", "Asaperda", "Sphaeropeltarion", "Eudamini", "Glyphocrangon", "Cheiradenia", "Dutailliopsis", "Paroxyptera", "Rubidibacter", "Lemodicarmenia", "Leptostigma", "Rhinotragini", "Duncanitrix", "Blacinae", "Hypoxylon", "Euchilopsis", "Plesiotrichopidae", "Idyanthidae", "Proganochelyidae", "Notopseudomorpha", "Aethiamblys", "Heteroediscelis", "Allastena", "Okibacterium", "Eutetrapha", "Anagnathocera", "Geosiridoideae", "Pandanales", "Oxypolis", "Omphalophyllum", "Calciphilopteris", "Guioperini", "Aliptina", "Buddleja", "Aclerdidae", "Ceramius", "Geraniales", "Feroponera", "Rostroconger", "Microptericina", "Linuparus", "Geoplanidae", "Cnodalonini", "Cnaemidophorus", "Neocoenonica", "Gymnura", "Lepinia", "Zoopagomycetes", "Geovelia", "Pseudodiptera", "Ophisma", "Dobellina", "Stephanocystis", "Scirtidae", "Triathalassothia", "Nephradenia", "Pachycephalopsis", "Smelowskieae", "Stonemyia", "Trigonopalpus", "Methyloversatilis", "Alyxia", "Gobipipus", "Aethiophysa", "Phanerochaetum", "Pseudolituotuba", "Neotoxoscelus", "Gilchristella", "Austronella", "Pseudembia", "Misionella", "Mortierellomycota", "Serratozaena", "Scrobischema", "Thorectandra", "Metagonocoelius", "Aragoa", "Strelitzia", "Halovarius", "Sphyrocallus", "Bathochordaeus", "Picradeniopsis", "Capperia", "Heterangion", "Nothoholosticha", "Eoptolamnidae", "Echinorhynchida", "Eledone", "Synacta", "Thaichinula", "Pectinopygus", "Carboxydothermus", "Ambicocerina", "Assinia", "Sauteria", "Trigoniodendron", "Paranomis", "Iridopteryginae", "Gilvibacter", "Stahnkeini", "Dromidea", "AIM", "Symplecta", "Raddia", "Giftitrombium", "Brypoctia", "Lissodesmus", "Sympenchelys", "Paratychus", "Glaucidioideae", "Paramegistidae", "Arecinae", "Asiarotalia", "Pneumagathis", "Gilmania", "Trapezia", "Ephemerophila", "Apodidae", "Ectropona", "Ampelis", "Hoteinae", "Valdini", "Basileucus", "Siphonochileae", "Prolecithinae", "Microaerobacter", "Leptaxinae", "Perlodidae", "Glomospirella", "Choreospora", "Euscelophilina", "Marpissini", "Manicapsocidae", "Austrochthonius", "Vasseuriidae", "Chrysopistus", "Heliopsychidea", "Flabellia", "Baeosilpha", "Parabreviscolex", "Lichtensteinia", "Asyncoryne", "Mycoplana", "Hyriidae", "Pimeliaphilinae", "Pachrophylla", "Synchromaceae", "Dimeroceratinae", "Solymus", "Curiofrea", "Simkaniaceae", "Laothoes", "Licnobelbidae", "Lochmias", "Antatelson", "ITBCZ", "Ouratea", "Pasiphaeoidea", "Syringamminidae", "Bryolawtonia", "Protaphorurini", "Homorosoma", "Sturnornis", "Aegonethes", "Indopinnixa", "Westralianus", "Anacaena", "Notechis", "Thermovorax", "Onychocellidae", "Bryoclaviculus", "Dasyphyllum", "Tesapeus", "Scolecomorphinae", "Cheliosea", "Protohydridae", "Ambulycini", "Hexacharis", "Nandinia", "Philoria", "Laroniinae", "Chlidichthys", "Neocatarhinus", "Nettenchelys", "Xylorycta", "Xylergates", "Calpus", "Allocyrtopsis", "Glyphocryptus", "Probezzia", "Helvidia", "Csiromedusa", "Artopilium", "Negombo", "Mustela", "Nepalomorpha", "Chrysochlorinae", "Acrodontidae", "Debilos", "Bryoclavula", "Neocosmiella", "Prosimuliini", "Compsocladium", "Dimorphocladon", "Psolodesmus", "Lophozonia", "Stylochlamydium", "Trichosantheae", "Pseudolipeurus", "Neolepas", "Cercidospora", "Vangueriella", "Pyrochroinae", "Tobrilinae", "Coptosperma", "Oomtelecopon", "Itatina", "Nucleariae", "Charadriidae", "Lythriini", "Calcifibrospongiidae", "Leptobia", "Neoclerada", "Perjiva", "Sphaerocladina", "Psammoclema", "Parametaxya", "Xenorchestini", "Seymouriidae", "Rhynchopodaceae", "Istigobius", "Oripodoidea", "Goeridae", "Silicoflagellatea", "Scoliacma", "Byrrocryptus", "Pseudomesus", "Ontholestes", "Zetomotrichidae", "Notyliopsis", "Tonduzia", "Microphileurus", "Dilacra", "Alyonushkidae", "Mazus", "Tegostoma", "Evagetes", "Nannoniscoides", "Cerostoma", "Flexithrix", "Potiapunga", "Noona", "Spilophorus", "Lenopharynginae", "Hemerobiinae", "Dectes", "Mirocastnia", "Cryptozona", "Sericolea", "Magosternarchus", "Arsukibacterium", "Baccaurea", "Mircia", "Eromangasaurus", "Comptosia", "Marinoscillum", "Intercapperia", "Hapalopezella", "Ramphodon", "Monoblastiaceae", "Demetria", "Ripogonum", "Teichospora", "Neorudolphia", "Chiroteuthidae", "Xenorma", "Tachiadenus", "Sirenidae", "Caenolestidae", "Burmitembia", "Deoclona", "Hypoptopomatini", "Ernocornutina", "Hyobanche", "Allorhogas", "Lescaillea", "Peltulaceae", "Polyprion", "Psilopleura", "Caucasinidae", "Colletia", "Stygothrombiidae", "Cordobanini", "Astrogenes", "Dyofrondicularia", "Loscopia", "Lancepyris", "Chondropyga", "Afroeudesis", "Karaops", "Androtrichum", "Caschara", "Eodelena", "Aenigmathura", "Labiococcidae", "Sedella", "Tenosius", "Taeniolabidoidea", "Dataminae", "Taperus", "Philippopsis", "Riomyces", "Trogodendron", "Pseudopezomachus", "Dimeresia", "Kirkiana", "Optomerus", "Kraussia", "Aslihana", "SSUC", "Ulwembua", "Acrossoides", "Tymbopiptus", "Polyplastus", "Alvikia", "Sinelobinae", "Cerochusa", "Ommatophoca", "Gigantorhynchida", "Incaspiza", "Pezopallichthyidae", "Franklinothrips", "Australovuilleminia", "Fusobacteria", "Aphelidesmidae", "Persicariinae", "Rinodina", "Zaleinae", "Papilioniformes", "Copella", "Wocklumeriaceae", "Thauria", "Actinoptera", "Sampantaea", "Matthewsium", "Somabrachyidae", "Drepanoctonus", "Lissanthe", "Pseudoheptura", "Pappogeomys", "Khoratpithecus", "Histionidae", "Tricholinopteridius", "Perizonopus", "Neoprosopocoilini", "Chinecousya", "Eubrochoneura", "Anisaspis", "Curtisia", "Tillomorphites", "Cteniopinus", "Methylothermus", "Dasyaceae", "Calamidia", "Lamproneura", "Sigmodon", "Exoclavarctus", "Brasema", "Cyrilliotermes", "Mahanta", "Astaenoplia", "Boagrius", "Xolalgidae", "Mesosmittia", "Chiasmolithus", "Euretaster", "Alisotrichia", "Paragymnodinium", "Siluaniaceae", "Astrohamma", "Lachnorhiza", "Xenox", "Lynseia", "Atelinae", "Commelinoideae", "Pseudosenegalia", "Calopadiopsis", "Petula", "Solirubrobacteraceae", "Roepera", "Parachromis", "Tutorozetes", "Ceresini", "Gymnogammarus", "Malacopsyllidae", "Evisa", "Strychneae", "Barbourisiidae", "Paralepidotus", "Diascorhynchus", "Denitrovibrio", "Telmatobius", "Grafia", "Microsmarialla", "Epicharis", "Spirophthalmidium", "Arthrobotrys", "Stenopylinae", "Amphipentas", "Euscorpiidae", "Keamenopon", "Proceratiinae", "Cydnidae", "Phlyctaeniidae", "Chilodonellidae", "Pseudocepola", "Fauriea", "Oreoeudesis", "Carobius", "Myzophorus", "Telemiadina", "Lissosabinea", "Aclyvolva", "Parapelonides", "Parepullea", "Belemnitida", "Astyanax", "Paralichthytrema", "Thalestria", "Dryopithecini", "Apophallus", "Ianeira", "Parepeolus", "Halocharis", "Superstratomycetaceae", "Globigerinella", "Verbesininae", "Amplectopus", "Semomesia", "Silusa", "Acrotrema", "Microtydeus", "Kahlerininae", "Aloeides", "Peratophyga", "Aix", "Kabutos", "Hybometopia", "Totgammarus", "Rhagium", "Geocrinia", "Xanthonema", "Nicaeana", "Mesocaecilius", "Daymfus", "Spirotrichosoma", "Amblygaster", "Thermicanus", "Rhynchoscolex", "Petrolacosaurus", "Acalyptophis", "Autocharis", "Zalmunna", "Allofrancisella", "Asterigerinidae", "Parastromus", "Deltochilum", "Chatziplana", "Lithocampe", "Crassodiscoporidae", "Sicydium", "Harpinia", "Chamaemyia", "Austroteneriffia", "Securineginae", "Lethrinus", "Schrankia", "Sooretamys", "Hydnophanerochaete", "Spiroxya", "Homalocephale", "Nereida", "Neoraillietina", "GSDC", "Dolichophorus", "Otochilus", "Plokiophilinae", "Tettigoniini", "Agrodiaetus", "Corophiida", "Facicoris", "Stephanoon", "Allocheilos", "Syndesmis", "Australaena", "Tupeinae", "Chaetopleuridae", "Microcystis", "Neurocladus", "Aleuropteryginae", "Calocitta", "Anselmella", "Sathrophilus", "Napuca", "Geogenanthus", "Sinopliosaurus", "Marcgraviella", "Typopeltinae", "Cruentotrema", "Scytolyngbya", "Sinervus", "Roselliniopsis", "Gongronema", "Megalocaria", "Voyrieae", "Neobisiinae", "Delitschia", "Axiocrita", "Nemaliaceae", "Scipinia", "Pallisentinae", "Merrilliinae", "Papavereae", "Disteganthus", "Spirofilidae", "Chaetopeltidaceae", "Batrisochorus", "Plentuisini", "Heliconia", "Phaeotrichales", "Symphonia", "Chaetochloris", "Ornichia", "Zenobiellina", "Obelostreptus", "Mammilla", "Metaphycus", "Eoammosphaeroides", "Phylloserica", "Hemicytheridae", "Rupertina", "Wubana", "Hunteria", "Paramacrotyphlus", "Camptosema", "Orthorhinus", "Diploon", "Cochleanthes", "Sabicea", "Zosterornis", "Paraplasma", "Chongxidotea", "Onychophallus", "Lepicoleaceae", "Hexataenius", "Paralecudina", "Predaea", "Ochrolechia", "Pinnotheres", "Clinocentrus", "Hestimoides", "Targionia", "Mosquitoxylum", "Cheironchus", "Oreaster", "Pithotomus", "Ilema", "Pseudoflavitalea", "Telegeusis", "Pentapleura", "Probainognathus", "Prochoristis", "Cantharidinae", "Peltidium", "Praxeliopsis", "Cileoporus", "Hatitia", "Anapis", "Heterogynaidae", "Orphnurgus", "Barychelidae", "Laubierina", "Trichonephila", "Cryptochilina", "Aulosaphobraconini", "Pachypappa", "Linnavuoriessa", "Amphitrichia", "Aops", "Sugiuridae", "Luzulaspis", "Haematobia", "Carvalhoma", "Petrosavia", "Loxogrammoideae", "Ceramoclasteropsis", "Micropolemon", "Makdiops", "Catenarina", "Bedunia", "Litomiris", "Rhodophyllis", "Jibeinia", "Dryophilastes", "Odontochodaeus", "Pentacyphinae", "Planonephros", "Hadromychus", "Xyphinus", "Saltera", "Melamphaidae", "Bipinnula", "Graphomya", "Nimiokoala", "Elseyornis", "Philopotamus", "Phygopoda", "Anthochaera", "Tingini", "Lichnochromis", "Paragamergomorphus", "Agroecotettix", "Polycopinna", "Rhyacopsyche", "Aesa", "Portelmis", "Pretas", "Nitrosopumilus", "Erotylathris", "Zygolithus", "Paraprotacarus", "Afrophorella", "Pseudowubana", "Requejomyxa", "Congolapia", "Dendrodontia", "Ornithoprion", "Aenictosymbia", "Orthodonellidae", "Ambodiriana", "Lamprodema", "Ceratogyrus", "Chaetopauesia", "Rinzia", "Echotropis", "Troctopsocidae", "Platycapnos", "Staphylinus", "Viguieranthus", "Diatomyzus", "Johnstonalia", "Stiburus", "Tenacibaculum", "Lachnoanaerobaculum", "Ferrithrix", "Aragosaurus", "Rodriguesiophisis", "Diataga", "Cosmoglyphus", "Zobida", "Horciasinus", "Prosevania", "Protamblyopone", "Microancathus", "Dendrosoma", "Daedalopelta", "Megatela", "Ulex", "Liopeza", "Ectropothecium", "Typhlodromips", "Holacanthella", "Stylococcus", "Brachymyces", "Tropidonia", "Thiorhodovibrio", "Facilisporidae", "Amazonina", "Poecilonotus", "Salvus", "Valvulina", "Ciliopagurus", "Gigasbia", "Bithyniella", "Apreta", "Apteropilo", "Amimes", "Dorcopsis", "Pseudiolaus", "Natsiatum", "Orthostichopsis", "Fibrillithecis", "Schadonia", "Spiromonas", "Heterogalumna", "Afrosyleter", "Mustelirallus", "Sinosticta", "Chamaeclitandra", "Toxotrypana", "Lophosiphonia", "Abelia", "Allogromiinae", "Risoba", "Sphaerites", "Reticulosphaeraceae", "Machaeritina", "Hammatoderus", "Falciclymenia", "Haminella", "Mimasyngenes", "Coeliotrematini", "Oidospora", "Coramenopon", "Junonia", "Nakanea", "Shivaphis", "Polypsecadium", "Laccobius", "Verrucaster", "Axestotrigona", "Algae", "Kuschelydrus", "Nilotonia", "Perlophiura", "Gymnotiformes", "Pseudomelasma", "Coelaenomenoderini", "Marinithermus", "Ildefonsus", "Superstratomycetales", "Hanstruepera", "Packera", "Faeculoides", "Bruceia", "Colpothrinax", "Antennexocentrus", "Bacillaria", "Myiagra", "Cylindrophelipara", "Odontobuthus", "Sicyoeae", "Odontostomatida", "Cordulephya", "Scoresbya", "Echiodon", "Dragoneutes", "Hybocephalodes", "Sassacus", "Cephaloresthenia", "Harpetioidea", "Arge", "Coccidohystrix", "Sertifera", "Leptolepia", "Clavaria", "Perloidea", "Tropiochara", "Plotina", "Chrysoritis", "Paralobium", "Pinjalo", "Niveibacterium", "Machaerotinae", "Neurolaena", "Rhaphipodini", "Namakwanus", "Mesoligia", "Placunanomiinae", "Kamptomerus", "Amazonopora", "Attemsostreptus", "Malayia", "Sauvallea", "Anisomenaeus", "Parasinophasma", "Eugrumia", "Antongiliini", "Linopteropsis", "Cirsium", "Nothoploca", "Plagiotelum", "Nesogermalus", "Trigonidomorpha", "Osteoglossomorpha", "Colobothina", "Myrtis", "Subpatellinella", "Marthasterias", "Lepidosphaera", "Rulyrana", "Cedronella", "Artheneis", "Opisthocomiformes", "Hesperosoma", "Bifurcammina", "Tasimioidea", "Eremisopus", "Amaurobioidinae", "Aurantiocoris", "Schizomussaenda", "Syringidium", "Opechona", "Tapeinini", "Aphaenoserica", "Pseudoalteromonas", "Xylocaris", "Azovibrio", "Metabacetus", "Paregaploa", "Lichenothelia", "Stenostaura", "Aeschronectida", "Araneidae", "Goniophileurus", "Popondichthys", "Polydrepanini", "Ganella", "Irenodendron", "Undaria", "Neso", "Mesopotamichthys", "Dictyotales", "Cynocephalidae", "Valvorotalia", "Austrobaileyaceae", "Euprenolepis", "Nenteriidae", "Tribulocarpus", "Caracanthus", "Ophyra", "Acapoeta", "Dorcasia", "Alismataceae", "Lachnophyllum", "Heliophanoides", "Autognetidae", "Igavini", "Helicosporidium", "Rhynchotheca", "Plotocrininae", "Campylomorphus", "Cladopyxis", "Odontolamia", "Paprides", "Acmanthera", "Amphipsocinae", "Walckenaeria", "Argyria", "Xenoceraea", "Thrips", "Cephitinea", "Ceratoplana", "Tetragnathidae", "Myriopteron", "Polarella", "Auchenotropis", "Cytora", "Hydraecia", "Phascolosomatidea", "Sydowiellaceae", "Melomystrongylus", "Ripella", "Cotylegaleata", "Scaraphites", "Dinophysiaceae", "Hemiamphisiella", "Tenuopodinae", "Leucosticte", "Caracal", "Orthoretrovirinae", "Blennocampinae", "Strangea", "Yala", "Afrobothriomiris", "Ruminiclostridium", "Phonolibinae", "Eriplatymetra", "Flexor", "Melicoccus", "Thauera", "Nassariinae", "Xylotrupes", "Cymothoa", "Thronistes", "Protopterus", "Relchela", "Acrossocheilini", "Parametopella", "Sericoda", "Douvillinella", "Confractamnis", "Balistidae", "Homocentridia", "Afridiella", "Lesneiinae", "Urostrongylum", "Egira", "Shaochilong", "Transithrips", "Paraheraeus", "Triporobius", "Ceratanisus", "Quassitagma", "Pharyngoglossa", "Eymekesina", "Urticicolini", "Sympedius", "Baranowskiella", "Acrasiodes", "Meurguesia", "Labeninae", "Americodema", "Parastasiella", "Taunayia", "Somalibia", "Actinotia", "Georgimarinus", "Cymbellaceae", "Heterodontosauridae", "Pseudosedum", "Parabryna", "Nectophryne", "Stramenopiles", "Pterobrimus", "Aporocotyle", "Draparnaldia", "Natalidae", "Stipesoculus", "Botrytella", "Slaterellus", "Planulinidae", "Mesophilobacter", "Pseudopodotenus", "Stephanocircinae", "Ixodorhynchidae", "Socotraina", "Xenolimnobia", "Redonographaceae", "Plagius", "Rhynchopalpus", "Myalinida", "Ephemerellidae", "Euplocia", "Datana", "Heterodispus", "Dexiinae", "Tunilla", "Metatiron", "Chelator", "Myserla", "Elhasaella", "Acaua", "Exorchis", "Pseudofusulina", "Caudriella", "Carnoidea", "Aegloidea", "Proscoporhinini", "Conchopomatidae", "Phyllostomidae", "Desulfonatronum", "Oxalophagus", "Bravocotyle", "Compressidens", "Cochlianthus", "Endothyridae", "Melanoclypeus", "Stenotrophobacter", "Xenosauridae", "Spinoclymenia", "Incisoria", "Favositida", "Taplinia", "Paradiopatra", "Argopteron", "Ubaena", "Edithcolea", "Kosmiomiris", "Bariamyrma", "Dyera", "Laccornellus", "Holcophilydrus", "Baptisia", "Inonotus", "Losgna", "Aelurillus", "Protalginae", "Prosopaspis", "Nodochernyshinella", "Grampus", "Radiophryidae", "Dampiera", "Mikrosyphar", "Ildobates", "Botiidae", "Tuckerella", "Indrella", "Glehnia", "Spizellomycetaceae", "Sclerogryllinae", "Comatulini", "Freesia", "Ivodea", "Barabashka", "Paracygnopterus", "Rhizoglyphus", "Deimatidae", "Oncylocotis", "Pseudanchura", "Limnoriidea", "Dipseudopsis", "Syleter", "Apterodina", "Bebelis", "Cheiroplatea", "Hemicyclops", "Subpangonia", "Gelechiinae", "Ammogrotis", "Speleochiroides", "Saccharomycotina", "Eichlinia", "Mimotragocephala", "Urostylididae", "Bytholeucon", "Ceratodus", "Dichelus", "Leptoperlinae", "Rhigonematomorpha", "MAE", "Plangia", "Geopsittacus", "Quadroppiidae", "Pharyngochromis", "Nordstromia", "Parnquila", "Coptopterella", "Argiolestinae", "Cinclosoma", "Elviniidae", "Dictyacanthidae", "Espeletiopsis", "Angomonas", "Mimodriopea", "Acipensericola", "Cubocephalus", "Comephorus", "Grayia", "Pseudonemacladus", "Coequosa", "Sertularia", "Alokobius", "Falcidens", "Praephragmatobia", "Ischnocera", "Henrylygus", "Pegomyinae", "Mentheae", "Eurynotoidiformes", "Wedekindellininae", "Thoracoplia", "Xenosiphonaphis", "Scrobops", "Scraptiini", "Dicistroviridae", "Rogerzetes", "Mesapatetica", "Zehra", "Pseudolophiotremataceae", "Costaclymeniidae", "Spathiopterygidae", "Suffrianaltica", "Ptiloscola", "Aeromicrobium", "Sicinae", "Catabena", "Saracenaria", "Heterokodeia", "Bonneyana", "Prionodontidae", "Nitella", "Hagenulini", "Microcerophilus", "Cyanosesia", "Pronyssiformia", "Cladanthus", "Dermestoides", "Thiidae", "Daucinoides", "Lathrophytum", "Mimesa", "Metacapnodiaceae", "Kogia", "Eucheuma", "Nodosarioidea", "Piochardia", "Holophleps", "Coelocorynus", "Megniniinae", "Ctenane", "Mongoliibacter", "Miacidae", "Sporomusa", "Marjorietta", "Mangonia", "Reticulosphaera", "Derolathrus", "Xenoophorus", "Papuzacla", "Physodermataceae", "Aveneae", "Peterjohnsiidae", "Brissidina", "Typhlophis", "Afroseiulini", "Arctacarus", "Adrianichthyinae", "Kulichoderes", "Samana", "Udeoides", "Teracrius", "Ophryoglena", "Lacroixina", "Eurycercidae", "Borofutus", "Marginotricha", "Damophila", "Phedimus", "Aphycaspis", "Monachather", "Americobdella", "Masracetus", "Eucalliathla", "Cascaronia", "Drepanocaryum", "Dacetini", "Bharatisiren", "Molycria", "Lamprologus", "Udotea", "Iotanema", "Gorgasia", "Clarisia", "Chaetolepis", "Pribumia", "Tetramelas", "Eonessa", "Proctolabina", "Endomicrobiales", "Acanthoptura", "Hansenia", "Xerhius", "Cyanopelor", "Townesites", "Lawrencarinae", "Sparianthina", "Choreocolacaceae", "Mopsechiniscus", "Neolithocolletis", "Aboilomimus", "Ivesia", "Euscarthmini", "Promicrogaster", "Burchania", "Arundinarieae", "Acallurothrips", "Haemocystidium", "Acroraglius", "Scorpaenoidea", "Cymbosira", "Pachyderoserica", "Dendrothrips", "Granulorsidis", "Pterolonche", "Dangond", "Sinopieris", "Aphyocharax", "Uperodon", "Cobitidae", "Polyschides", "Lithodesmiophycanae", "Principiala", "Neandra", "Metachaetoderma", "Dichoepipsocus", "Parapiptadenia", "Notodendrodes", "Calcarisporiellomycotina", "Apopyllus", "Williamsium", "Lapazina", "Nesophryne", "Pectiniscardia", "Stenostreptus", "Kriegeria", "Paratrichius", "Coulteria", "Paradesmosoma", "Pygeretmus", "Cavisomidae", "Parasthetops", "Psoroptidia", "Histriocoris", "Scordylia", "Zygoptera", "Surniinae", "Chiayiivirga", "Aphanesia", "Megistoleon", "Pleiotaxinae", "Tullimonstrum", "Camptochaete", "Glabrotelson", "Anyphops", "Dielocroce", "Homotherium", "Stictographaceae", "Thecladoris", "Ortholeptura", "Nautiloidea", "Tullbergiinae", "Atrichatus", "Misgurnus", "Phricanthini", "Rapipontonia", "Neargyrioides", "Archaeopteryx", "Mesodina", "Osteodiscus", "Discosura", "Neothraupis", "Callorhynchocotyle", "Trigonidiini", "Homoeotrichaceae", "Sardius", "Alepisaurus", "Lukoschuscoptinae", "Oligota", "Arescini", "Cuzcolachesilla", "Parasudis", "Paneroa", "Pardofelis", "Ayersacarus", "Napoblissus", "Evaniomorpha", "Danbara", "Megalomastomatidae", "Lepocreadiidae", "Puperita", "Megapenthes", "Oltmannsia", "Caecidium", "Tordylieae", "Phyllotheca", "Capillipedium", "Macquaria", "Kaistibacter", "Pleurotheciaceae", "Wettsteinina", "Mesobathylebouria", "Muscites", "Anoplocephalinae", "Peplomeris", "Petascelis", "Clitambonitoidea", "Izanami", "Coptorhina", "Mesojassus", "Teinogenys", "Allocalisius", "Platygeniina", "CFBH", "Hypochrosini", "Stenactyla", "Thespesia", "Albaillellidae", "Hoplodrina", "Semitextularia", "Myzotoxoptera", "Neodipnus", "Thiomiris", "Alcumena", "Protortalotrypeta", "Teremys", "Anarthrophyllum", "Mariobezziinae", "Proasaphiscidae", "Buxales", "Tremellomycetes", "Paraleptodemini", "Parabotia", "Actinidia", "Bimantis", "Emersonella", "Angulatergum", "Ferussinidae", "Leptocarydion", "Dentalina", "Ctenus", "Trichoniscidae", "Copiapoinae", "Parvavis", "Lepispilus", "Paragoniastrea", "Haliplanellidae", "Zonopimpla", "Libanopsinae", "Cerianthidae", "Pycnocoris", "Amblysmenus", "Bistichella", "Trochulina", "Leptosomaphya", "Athesphatoplia", "Naraoia", "Ectenessidia", "Cantharidus", "Buparinae", "Stereosoma", "Quiina", "Cannopilus", "Arachnura", "Caproventuria", "Orbitopsella", "Oxypeltinae", "Murimonas", "Microlepidieae", "Leptostomum", "Cirolanoidea", "Adites", "Schoepfiaceae", "Acanthostichus", "Passalozetidae", "Cyanidiaceae", "Chromulinales", "Ophiocormus", "Riccardia", "Ventrifissura", "Vanhoeffenellidae", "Horizorhinus", "Spirastrella", "Cixiidae", "Carangaria", "Sibthorpia", "Pseudocryptolechia", "Sternacanthus", "Oligacanthorhynchus", "Bathyuridae", "Putranjivaceae", "Wissadula", "Xenodusa", "Hercana", "Eulimidae", "Berycimorphaceae", "Xanthocrambus", "Mabelia", "Poecilmitis", "Mysmenopsis", "Paidia", "Orthocavonus", "Cochliopodium", "Ossonis", "Cyclosphaeroma", "Agasbogas", "Neotrichaphodioides", "Simanica", "Anisorus", "Gossypiothallon", "Trimiosella", "Scina", "Naochila", "Roifia", "Spirodinium", "Belemnitellidae", "Nerineoidea", "Stylatula", "Zamenhofia", "Lieparella", "Cyclolininae", "Beckmanniinae", "Sklerochlamys", "Parsana", "Rhinocryptinae", "Silveirasia", "Neomongoma", "Waipoua", "Charidia", "Drepanomenia", "Ronaldocossus", "Curculionellus", "Conalcaeini", "Schroederia", "Neopselaphaulax", "Daladeropsis", "Pauromyia", "Hemilissa", "Trachybyrsis", "Petroravenia", "Glenoleon", "Rainieria", "Campanulospora", "Ammoselinum", "Othonna", "Zagryphus", "Cottonia", "Rhabdodermatidae", "Rhabdosis", "Galeatus", "Nolandella", "Ozopactus", "Episothalma", "Mayetia", "Dipsoperla", "Canbya", "Xenosocia", "Elettaria", "Melanotabanus", "Lophochroa", "Mizzia", "Noctuina", "Nephalius", "Allandrus", "Platygramme", "Enicocephalus", "Nepalocylindrops", "Copera", "Synalpheus", "Briareidae", "Acrobeloides", "Fleurydora", "Ophiocopa", "Noserius", "Neoplea", "Sphallonycha", "Amatitlania", "Disaulota", "Blitum", "Wetapolipus", "Malacostegina", "Macrelmis", "Itiscala", "Glareolinae", "Resedaceae", "Scymnodes", "Parahiraciini", "Streptocranus", "Parhalimedon", "Ulva", "Strongylium", "Callicorina", "Hotinus", "Morgabinella", "Stachyuraceae", "Nebela", "Brumimicrobium", "Carolliini", "Lasiodorides", "Kaminskiidae", "Allotrimium", "Cuneoppiidae", "Arrayanaria", "Mucronina", "Kahavalu", "Durvillaea", "Azadinium", "Megapurpuricenus", "Joergensenia", "Ideopsis", "Somatina", "Lepipaschia", "Epiphloea", "Austracoenonica", "Valettiopsis", "Walteranthus", "Rapaninae", "Huntia", "Latipalpus", "Oncerometopus", "Linderochelys", "Denticrytea", "Termitoides", "Ligonipini", "Coleoscirus", "Volutidae", "Tridenchthoniinae", "Parasyntonus", "Heterocassidulina", "Haemogamasus", "Acrumeninae", "Pristimera", "Leaphidinae", "Euphorticus", "Adiposphaerion", "Boreostiba", "Brachyhammus", "Sonderophycus", "Baldwinella", "Trichobranchidae", "Hypodontium", "Ctenothyas", "Kegeliella", "Megastimus", "Archaeoglenini", "Bartlettia", "Eucephalus", "Caribeeae", "Psorergatidae", "Monotaxinoides", "Tinomiscium", "Amphientominae", "Bleda", "Pentaceration", "Boreoides", "Tenodera", "Photoplagios", "Psilorhamphus", "Pyrrocoma", "Subantarctia", "Aphasmaphleps", "Pycnoscelus", "Ischnocanaba", "Lobospira", "Kalosha", "Dactyloplusia", "Ballia", "Edessa", "Dasyloricaria", "Nippotaenia", "Plegaderus", "Thermosinus", "Luskhan", "Chimantaea", "Sternorsidis", "Neophoneini", "Amphipauropus", "Pujoliclerus", "Brontoscorpio", "Magnoliids", "Protohippelates", "Macrostemma", "Cephalopoda", "Sargassopsis", "Hirilcus", "Capezoum", "Tettitelum", "Strophurus", "Canadaphis", "Oxilus", "Bdelyrus", "Tetraphidopsida", "Spelaeochernes", "Isochaetides", "Pseudoaspinatrium", "Cheirogaleus", "Dolichophis", "Neenchelys", "Menaforia", "Ideoroncidae", "Amphilochella", "Siphogenerinoides", "Flustrellidridae", "Itajutinga", "Lithohypoderma", "Similosodus", "Sydax", "Rhyzodina", "Neomegamphopus", "Melanchitonini", "Guttulinopsidae", "Ceratophyllales", "Saitis", "Protorthemis", "Milotartessus", "Amaurolithus", "Ichthyolaria", "Platyarchini", "Schizotergitius", "Thysanostemon", "Anastreptus", "Amphelictogon", "Huttonobesseria", "Diederimyces", "Parapolycesta", "Vulcanocanthon", "Stuckenbergina", "Rajendra", "Amphicercidus", "Phormosomatidae", "Thermoanaerobaculia", "Antillattus", "Thiacidas", "Catopocerus", "Mesammina", "Nannamoria", "Campodesmus", "Limacodinae", "Vietteania", "Habrobathynella", "Parathesis", "Bocageeae", "Ekmaniopappus", "Hymenocladiaceae", "Faargia", "Metalloeme", "Pseudopediastrum", "Cyathoselinum", "Gypaetinae", "Octineonidae", "Pseudohomonyx", "Kinia", "Itura", "Pantochlora", "Pilumnus", "Gonatodes", "Cassinae", "Babina", "Hypocalymma", "Diclidophora", "Pseudolimnophila", "Amphoecus", "Olmediella", "Pycnomma", "Notharctidae", "Hericiaceae", "Prostanthera", "Oxystylis", "Neserythmelus", "Schetba", "Litobranchus", "Schizomeria", "Acyphoniscus", "Jascottella", "Disepyris", "Urvaschia", "Tasmanentulus", "Myxonemopsis", "Nitidulidae", "Microspathodon", "Tichobia", "Callogorgia", "Brachycladiinae", "Himalistra", "Polycanthaginini", "Monerolechia", "Eraninella", "Radiolaria", "Ametroproctidae", "Durio", "Zygolophodon", "Kedrostis", "Astiella", "Acugutturidae", "Paratotta", "Phyllocnemida", "Drassodella", "Periorisma", "Flabellodontina", "Roholtiella", "Modicogryllini", "Ancaudellia", "Oedaleus", "Polemaetus", "Lutosini", "Archaeoniscidae", "Chasmopygium", "Synale", "Myiocephalus", "Dictyoplax", "Pseudozeuzera", "Eucorethra", "Ellopia", "Merulina", "Paradimeroceras", "Methanothermaceae", "Achaiusoides", "Euryspilus", "Bianchiella", "Leiostyla", "Ochreinauclea", "Afrophisis", "Chasiempis", "Palaeocesa", "Cubatea", "Crebradomus", "Ruanoho", "Pseudolepicoleaceae", "Odontopsen", "Limulodilla", "Pseudopipra", "Mordellini", "Archegonaspidinae", "Sabinacantha", "Chelomadillo", "Hystatus", "Clutia", "Calochromini", "Lagenidae", "Teresita", "Copidosomopsis", "Cachiporra", "Pseudophygasia", "Tiphioidea", "Detritivora", "Annickia", "Pachyneuropsis", "Cylindrococcus", "Baggatella", "Tydessinae", "Gnypetoscincus", "Helluobrochus", "Cayenniola", "Paracmotemnus", "Arachnocalpis", "Misellininae", "Oroxenofrea", "Griffonia", "Perciliidae", "Trimeniaceae", "Syrphophagus", "Leersia", "Vagaria", "Erseia", "Borneojapetus", "Bennarella", "Diplocalium", "Moneucoela", "Paraia", "Typhonium", "Ptychocheilus", "Furcimunda", "Organopoda", "Bowdenatheca", "Conophymini", "Pleuridium", "Lagascea", "Alocobisium", "Callichila", "Phillipsiella", "Isometocoris", "Crassicollum", "Achaetops", "Lindenia", "Becklespinax", "Exochomoscirtes", "Miliamminidae", "Batraxis", "Meganeuromorpha", "Biticinella", "Pittocaulon", "Anatinella", "Phellia", "Galumna", "Polysentoriformes", "Meiodiscaceae", "Dicyrtomoidea", "Nemota", "Rothium", "Calcidiscus", "Sphenonectris", "Troporhogas", "Chloropedia", "Liolaemidae", "Jerdoniinae", "Telenominae", "Oligoneurina", "Euagophleps", "Munnopsididae", "Calycocarpum", "Oxygrylius", "Calosotinae", "Formicitylenchus", "Notomundamellinae", "Labidostomma", "Pustulatirus", "Theriosynoecum", "Karagandoceratinae", "Polyphidia", "Praeprocris", "Sphaeroidinidae", "Picia", "Scapterus", "Biospeedotrema", "Maningrididae", "Latimerioidei", "Druggidium", "Cyclanthus", "Psyllaephagus", "Hypercepon", "Xuthotrichia", "Calidivitrina", "Gallowayia", "Spinitibia", "Argyra", "Milospium", "Lyncestoides", "Neuroscelio", "Pataecus", "Mecognathus", "Cacoecimorpha", "Cerbaris", "Ivania", "Acidisoma", "Rudoloculina", "Pholetesor", "Pseudoclema", "Ardipithecus", "Netoxana", "Epianthe", "Porosoma", "Soonwooa", "Rhyssalus", "Choragus", "Astralarctia", "Coryphaenidae", "Duquepsammia", "Altidelos", "Araripelocustidae", "Leptolingia", "Cyrtophagoides", "Allohercostomus", "Chlamyphoridae", "Xerotyphlops", "Branchinella", "Pseudoleskea", "Attaphila", "Thylogale", "Psorotichia", "Paralola", "Gorteriinae", "Dicrodontus", "Scaponopselaphus", "Ostariostomidae", "Creatophora", "M.Akamatsu", "Urophyllum", "Scopoides", "Eteone", "Monema", "Ivieolus", "Monoblepharidaceae", "Afropsyche", "Cleidion", "Auricularia", "Paranomusa", "Hoehnephytum", "Jodomonas", "Hemeroplanis", "Ceto", "Mesocletodes", "Tiktaalik", "Rozellomycotina", "Aporina", "Paraxynobius", "Antarctoperlaria", "Heteroscleromorpha", "Sogana", "Tapirira", "Anthistarcha", "Sicyoptera", "Pterinotrematidae", "Holozoa", "Dictyla", "Palmellochaete", "Platytropius", "Andreaeobryaceae", "Tylosapis", "Notothixos", "Tamopsis", "Ochrocephala", "Dipteropeltis", "Hesticus", "Ripipterygidae", "Cymbophora", "Ziziphus", "Macrobracon", "Spathulosporaceae", "Mikluchomaklaia", "Acanthocephaloides", "Triophinae", "Botryoglossum", "Gonianotini", "Iphimoides", "Mastopsenius", "Prosadenoporus", "Rhinortha", "Bertya", "Cyrenidae", "Xarifa", "Pseudobaeomyces", "Polyanthina", "Brachyloma", "Syssphinx", "Duboscquella", "Otocepheidae", "Pogonachne", "Phlyctidaceae", "Dorylaea", "Scrippsiella", "Dolomena", "Phoomyia", "Afromaculepta", "Stachyamoeba", "Eurotiomycetidae", "Opisthopsis", "Nereniini", "Borneoscelus", "Zherikhinia", "Oreagrion", "Metalasmatinae", "Necrophilinae", "Pristininae", "Nodosilinea", "Nadsonia", "Pueraria", "Peroryctes", "Bacterioplanes", "Elanapis", "Aviculopectinidae", "Amylostereum", "Aschiphasmatoidea", "Pseudopedaria", "Leptostellana", "Theopea", "Adeloscia", "Isthmia", "Ahmosia", "Strombopsis", "Asellidae", "Euphorianthus", "Chaetanthera", "Sorghum", "Batarasa", "Citronia", "Euraphia", "Primelephas", "Phacopina", "Ericaphis", "Chaetopleura", "Condylurini", "Thelyphonidae", "Callidosomatinae", "Tateurndina", "Cesathrix", "Capnolocha", "Paraplotes", "Teratotarsa", "Triaenodon", "Laeviheterohelix", "Pityranthe", "Calceostoma", "Nesopriona", "Poelagus", "Waldo", "Hemithea", "Nonalatus", "Barentsia", "Acadoparadoxides", "Saigusaozephyrus", "Cephennula", "Taplandria", "Paoligena", "Astroceras", "Oedionychina", "Physalopteridae", "Solpugema", "Tabelliphora", "Proxylobius", "Pallodes", "Triaxomera", "Calypogeiaceae", "Gulbenkiania", "Aiptasiogeton", "Ctenopoma", "Galbulidae", "Orbexilum", "Tropinota", "Colposceniini", "Chromovalgus", "Epirobia", "Lesquereusia", "Murosternum", "Loxopeza", "Zygoascus", "Aurobogidiella", "Hydrophilidae", "Sericinus", "Dysdaemonia", "Aporrectodea", "Deflandriaceae", "Bactoderma", "Pontivivens", "Rhytidopilidae", "Monocerophora", "Planktosphaeria", "Aponoeme", "Pterosiphoniella", "Coussapoa", "Carinogammarinae", "Acherontiini", "Kenleyia", "Pterocyrtidium", "Kadenicarpus", "Rictus", "Stenommatus", "Asteliamiris", "Doronicum", "Uga", "Aspidocarya", "Acrostalagmus", "Globulischiza", "Cystosoma", "Cystopage", "Anyphaena", "Traquairaspis", "Myriastyla", "Scintharista", "Caniatta", "Apenthecia", "Asystasia", "Wellmanella", "Pristerognatha", "Aletia", "Amalosoma", "Heteroteuthinae", "Pseudodystacta", "Sinophoneus", "Acalyptus", "Onotrichus", "Licigena", "Vandenbroeckia", "Deilemera", "Minilabrus", "Morettius", "Furnariini", "Lophocereus", "Notomegarhynchus", "Planogypsina", "Zanclodes", "Archaeocindis", "Riostegotherium", "Heptalitha", "Sungaya", "Nevrorthidae", "Agathinus", "Tzeltalia", "Goura", "Oregonia", "Chiriquacris", "Gandakasia", "Ehrenbergininae", "Orthanthera", "Pebrilla", "Hibbertia", "Cratera", "Sohmaea", "Komvophoron", "Megalocryptes", "Tessaratomini", "Saronotum", "Euclidiana", "Discotettiginae", "Isothamnis", "Mesembrynus", "Haliotidae", "Schistacme", "Koralionastetales", "Brachypsectra", "Bothrometopus", "Ciridops", "Syrmadaula", "MECN", "Neopyrochroa", "Mesechinus", "Dolichus", "Aneurinae", "Metadeinopsis", "Chinavia", "Phoneyusa", "Retama", "Katheurylepta", "Gansia", "Aocobothrium", "Tonsilla", "Mastira", "Amphidesmus", "Afromydrus", "Pasiphaeidae", "Tianyuprosbole", "Bothridium", "Semiramisia", "Erythrocephalum", "Monarthrum", "Dipturus", "Peltoceras", "Aphanocapsa", "Megophthalmini", "Baltostigini", "Pleioptygmatinae", "Brexiella", "Pachyceryx", "Rhytidophthia", "Podocinum", "Sundorrhinus", "Leucanthemopsis", "Ericsonia", "Pelagomonadaceae", "Anisomeles", "Pareccrisis", "Parapentaneura", "Buccicrenata", "Ectoplaninae", "Brachanthemum", "Lindsaea", "Lauridia", "Canthonistis", "Lauriea", "Leptomazocraes", "Mesolecanium", "Hylonomus", "Lophoglutus", "Guevaria", "Ampulex", "Tropidozineus", "Heteromyinae", "Saltatricula", "Nyctobadistes", "Paramacroxiphus", "Globophiline", "Apusozoa", "Dinobryopsis", "Pleuronectoidei", "Simochromis", "Tiradelphe", "Gloeoactinium", "Kunungua", "Manihinea", "Vibrisseaceae", "Ileostylus", "Rabigus", "Exacrotona", "Hylocereinae", "Ogmodon", "Tropicus", "Oncophanes", "Apodospora", "Baleyopterygidae", "Zarcosia", "Aneulophus", "Rejzekius", "Sobasini", "Pseudotribrachia", "Castanozoster", "Simlops", "Phalansteriida", "Streptolophus", "Hansenisca", "Cinnamodendron", "Microcryptorhynchus", "Cafeteriaceae", "Cametanthus", "Blakealtica", "Actinothrips", "Parentonium", "Equula", "Eurhinodelphinoidea", "Pliopholygidae", "Arundinicola", "Lepidonia", "Echinostomatoidea", "Palporus", "Marpissoida", "Paramesophoxus", "Thuidiopsis", "Leiuperinae", "Neoborops", "Epitroctes", "Loefgrenia", "Axianassa", "Carinoclymenia", "Acestra", "Falcocladiales", "Haplocylix", "Piezophyllini", "Betapsestis", "Sphincterochilinae", "Cerithiinae", "Pleurostichidium", "Opephora", "Ottenwalderia", "Bisglaziovia", "Otomesostomatidae", "Epiplocyloides", "Dyspersa", "Pholidornis", "Barrometopia", "Mesapia", "Nemuroglanis", "Harleyodendron", "Doassansiopsidaceae", "Hydaticus", "Tricholepis", "Beloglottis", "Howittia", "Deguelia", "Kedhalia", "Cylindrocarpus", "Prohepialus", "Apteroleiopus", "Acampyloneurus", "Hoplasoma", "Polhillides", "Laevisuchus", "Poanes", "Protonodosaria", "Crocogma", "Ramsisia", "Arbocuspis", "Oedisiphum", "Hanshessia", "Tethys", "Epistomiidae", "Francesita", "Neosepicaea", "Adalmus", "Phloeonotus", "Corbula", "Pseudocomotis", "Multiproductus", "Eudipleurina", "Tentyriini", "Osmundales", "Pterosporeae", "Erebonasteridae", "Priolepis", "Dauphinea", "Beckerella", "Lindiidae", "Phragmonemataceae", "Paracoskinolina", "Fracastorius", "Eacles", "Kraussella", "Meyna", "Ectomorpha", "Dialypetalanthus", "Tatogaster", "Synartinskia", "Evenor", "Xynenon", "Atyloella", "Pseudocapillaria", "Scelembia", "Cladodipterini", "Arachnophyllum", "Pleroma", "Badjcinus", "Electrohelcon", "Cinclidium", "Afrorhytida", "Pyraustinae", "Metrionaspis", "Milvus", "Permianibacter", "Micronecta", "Erythromicrobium", "Ursiniinae", "Punctifulvius", "Archeremella", "Heteropoda", "Lalldhwojia", "Ostrinia", "Acasilus", "Asthenodipsas", "Flavoperla", "Glyphodesmis", "Pantanelliinae", "Baculentulus", "Zelanaphes", "Syncoelidium", "Balataea", "Elopiformes", "Macrotrachelos", "Pelororhinus", "Dynastini", "Griveaudyria", "Pseudobranchus", "Protolobus", "Orbaceae", "Pleurocyclos", "Dialytellus", "Taphozoinae", "Orphulellini", "Cratocerus", "Myrmecophagidae", "Imtempus", "Diogoa", "Butinae", "Nucella", "Cypripedieae", "Aulacodiscaceae", "Cyrtococcum", "Tachysurus", "Coega", "Longipalpa", "Archipsocidae", "Aspidarachna", "Elimia", "Caenorycta", "Jerrybuccinum", "Paracoedomea", "Saldolepta", "Eleutharrhena", "Neozoanthus", "Thomisidae", "Ganodes", "Koumansetta", "Castellia", "Repsimus", "Scalarignathia", "Actinoglena", "Diallomus", "Gisortiinae", "Rhysotoechia", "Sphictyrtus", "Cacospongia", "Streptomycetaceae", "Glandora", "Endochilus", "Bitectatodinium", "Sphodroxia", "Cathegesis", "Majoidea", "Chilioesthetus", "Eovelebitella", "Emphyleuscelus", "Ficarasa", "Nigripsaltria", "Gadidae", "Piezura", "Baeoptila", "Ignavibacteriae", "Pelea", "Lecomtella", "Ialtris", "Takhtajania", "Ningaui", "Ctenolepismatinae", "Abychodes", "Spinibarbus", "Sphyranuridae", "Neobertiera", "Gyrophylla", "Mahrosa", "Sycoscapter", "Dromedopycnon", "Strigoderma", "Pseudargyrotoza", "Homotropus", "Microdrosophila", "Paranesolotis", "Loxokalypus", "Moquiniastrum", "Orthorrhynchium", "Perkinsus", "Hylochoerus", "Poecilolagus", "Poromyidae", "Brasiliogomphus", "Seasogonia", "Simomactra", "Microcachrys", "Archophileurus", "Lacordairia", "Mawsonia", "Brinkmannella", "Luoyanggia", "Euurobracon", "Glaukolithus", "Aplotella", "Coelosphaerium", "Chloramoeba", "Lybiidae", "Simicheiloceras", "Gymnarchus", "Taurrhina", "Chondracanthidae", "Remelanini", "Sigmoinella", "Crepidoodinium", "Fuxigammarus", "Unguicaris", "Afrogegenes", "Corucia", "Tricharinus", "Michaelus", "Leuresthes", "Cottales", "Crustacea", "Ivapteridae", "Phyllosticta", "Eotomariidae", "Hildoceratidae", "Stimulopalpus", "Radiophronidae", "Eucalyptopsis", "Microcalyptris", "Paracleros", "Setosiconops", "Vernoniastrum", "Anortalia", "Cryodactylon", "Alheita", "Phlocteis", "Megaleledonidae", "Dicladosomella", "Pseudosinella", "Talamancalia", "Dactylia", "Sooglossus", "Bonapartemys", "Berycidae", "Fischerotrephes", "Spatiator", "Trochosirella", "Pronocephalata", "Empocryptini", "Wollastoniella", "Filippinodillo", "Insulanoplectron", "Pelioptera", "Caligus", "Xenopolynema", "Plagiorchiida", "Monotremata", "Pycnopodia", "Cicindelini", "Glyptini", "Dolerella", "Everticyclamminidae", "Clavaporania", "Batocarpus", "Apoderinae", "Lophocarpinia", "Airapus", "Ceraclea", "Mecynocypria", "Guineica", "Scotopteryx", "Notopteroidei", "Hornosus", "Kytorhynchidae", "Colgar", "Mexerion", "Aegiale", "Telectadium", "Brachychilus", "Aptera", "Erysipelothrix", "Chlorarachniaceae", "Zargus", "Gryllacris", "Lissogenius", "Agnostida", "Rasvena", "Eustephaniaceae", "Melosauridae", "Leskeadelphus", "Cyathellinae", "Hapalotremus", "Lemaireocereus", "Pedetinus", "Iratsume", "Neoryctes", "Anancylus", "Metaeuchromius", "Garhundacystis", "Sphaeritidae", "Tipulimnoea", "Planktosphaerella", "Crurifarcimen", "Prolactistes", "Hemigasterini", "Hainokisaruzo", "Adrimus", "Cylindrospermopsis", "Conops", "Trichomesiini", "Otopharynx", "Paracrinia", "Rhinocoryne", "Nairips", "Cesagaster", "Dismorphina", "Dismegistus", "Otoplanella", "Hygrobiellaceae", "Babrama", "Blepharida", "Laotettix", "Fibuloides", "Tricholaema", "Emblemariopsis", "Cystopteridaceae", "Dic", "Lochmostylia", "Miguellus", "Paleofroeschnerius", "Cleogonini", "Geobaenus", "Mesobraconoides", "Pseudocillimops", "Philorheithrus", "Hintelmannia", "Shieliiformes", "Cladorhiza", "Lophilema", "Capitanopsis", "Diadema", "Scaphicoma", "Punica", "Geropogon", "Celaenia", "Egogepa", "Oryza", "Brunneomurispora", "Hesperopilio", "Metadynomene", "Keuphylia", "Carenoptomerus", "Isogona", "Prionini", "Bialba", "Ostericum", "Alindria", "Leucopaxillus", "Dinardopsina", "Pleurastrophyceae", "Mimanillus", "Matta", "Caledopsalta", "Brachycycloceratidae", "Ocneridia", "Ctenophorini", "Ayressoleberis", "Miridius", "Austreynetini", "Polycotylinae", "Cephonodes", "Triadelphiaceae", "Alyxieae", "Poeonoma", "Fortunearites", "Carelmapu", "Buccicrenatinae", "Gnathophausia", "Pseudexentera", "Pannychia", "Euclea", "Stygia", "Cavea", "Leochilus", "Rhabdophryidae", "Koroana", "Paederallus", "Severinina", "Kentrosaurus", "Farewelliidae", "Melosirales", "Dichanthelium", "Mesosignum", "Euryacanthus", "Tendosphaeridae", "Enceladini", "Pellenes", "Wolterstorffina", "Sphyriocephalidae", "Malleostemon", "Acropsopilio", "Bostra", "Tonerus", "Signochrysa", "Caviphantes", "Eurypterna", "Cummingsiella", "Achimenes", "Acalyptina", "Noodtorthopsyllus", "Acrothesauraceae", "Pseudotrematomus", "Pastrikella", "Archaeoindris", "Epimyodecidae", "Chelochirus", "Hugotdiplogaster", "Clavigesta", "Raphidiophrys", "Micropsittophagus", "Catabola", "Cheiragra", "Parilimyidae", "Quelchia", "Wachsmannia", "Cataractocoris", "Bryobilimbia", "Moschus", "Dorycnium", "Palaetyra", "Rhaetus", "Rhytidiopsis", "Xenentodon", "Angullozetes", "Auchenocrepis", "Solobacterium", "Paramastacinae", "Lumiconger", "Hyidae", "Tomopeas", "Haplochiropus", "Lajolla", "Poecilocryptini", "Bathyuroidea", "Cyamodus", "Triplosoba", "Bipedidae", "Cryptotrophora", "Aponarope", "Neoditha", "Amplectella", "Calvisia", "Marmara", "Mallonia", "Merismopediaceae", "Duplopiviricetes", "Orthacarus", "Nechila", "Periphyllidae", "Enispa", "Meterana", "Phytosus", "Schizodontus", "Ventrifurca", "Ellipsolingulina", "Mychopoma", "Nussia", "Rogadini", "Anebolura", "Microcerotermes", "Lacimicrobium", "Dicranema", "Triptilodiscus", "Orynipus", "Pycnaxis", "Brahmina", "Mesopsyllini", "Gibbium", "Neleges", "Pleustostenus", "Chrysopophagoides", "Paracaridinicolinae", "Tuberodiadelia", "Mayodendron", "Heterochromis", "Meloidogyninae", "Leiodes", "ICML", "Paracles", "Xylolana", "Maccabeus", "Fanniidae", "Quediina", "Mecotetartus", "Plesiophthalmus", "Symbiochloris", "Quinlania", "Sisyndite", "Cryptocarpus", "Graphisurus", "Endroedymolpus", "Heppnerographa", "Ixodonerium", "Calleagris", "Dejongiella", "Neoaulocystis", "Tridactylogonus", "Luvaridae", "Pterocephaliidae", "Eucrotala", "Lymantria", "Mysteriini", "Entomophthalmus", "Oceanotoga", "Parapedocotyle", "Pseudagnostinae", "Aganocrossus", "Oncidiinae", "Liriope", "Hydnaceae", "Mycteromimus", "Antheminia", "Telescopus", "Pyrrhopyginae", "Goniopsis", "Carrabas", "Aureivirga", "Diplogale", "Neolana", "Anthaxoschema", "Inpa", "Commelinaceomyces", "Tamanka", "Uranoscodon", "Thiophaeococcus", "Tuomeya", "Aporodoris", "Aspidodiadematidae", "Marirhynchus", "Neodidymella", "Docoglossa", "Pycnagorastis", "Rhabdosoma", "Summerhayesia", "Globencya", "Atalotriccus", "Systaria", "Apelastoneurus", "Blechroma", "MZUF", "Eriosaphis", "Biovarium", "Lepolepis", "Afrimenopon", "Henriciella", "Karagandoceras", "Ankistrodesmopsis", "Asilis", "Anoploscelus", "Clypeocampulum", "Atopida", "Malpighamoeba", "Halkyardiinae", "Platynodes", "Chrysorthenches", "Ulonema", "Limnothlypis", "Andromeda", "Hypomenia", "Hirschmanniella", "Trogoptera", "Pseudotrechus", "Phaeobotrys", "Dryadaulinae", "Occisucysta", "Sphaeridiini", "Chrysocapsopsis", "Dusicyon", "Procerochasmias", "Ruminococcus", "Acmanthina", "Tinacrucis", "Ekelofia", "Archiannelida", "Bochicinae", "Alsophiini", "Kintana", "Truepera", "Arctotidinae", "Thaumatagrion", "Parotoplanina", "Ocythoidae", "Visnaga", "Osteopeltidae", "Orencostoma", "Valesobius", "Trichoriza", "Tethysicodium", "Parvulia", "Trochospongilla", "Messicobolidae", "Holotrochomorphus", "Dilobocondyla", "Lymexyloidea", "Paobius", "Eupetomena", "Micrathene", "Melampittidae", "Polytmus", "Platella", "Libanopsyllipsocus", "Fredlanella", "Phatanako", "Lagriina", "Anomius", "Apobatrisus", "Lockenloia", "Rhopalosiphum", "Acanthacis", "Schistidium", "Rhodeus", "Exetastes", "Didymoctenia", "Magnacarina", "Brachmia", "Alveovalvulina", "Eleutherodactylus", "Botryorhiza", "Xylopassaloides", "Exochorda", "Curculionoidea", "Eriostylos", "Pomatomidae", "Vermetidae", "Sarothruridae", "Trisophista", "Stolotermitidae", "Leoglymmiina", "Nothobroscus", "Arielulus", "Tremachora", "Oa", "Pygmaeotinea", "Halocyprididae", "Siphunculina", "Heteronemertea", "Dialeurodes", "Monommata", "Sympaector", "Calaphidini", "Platyrhaphe", "Hyperoglyphe", "Orthomyxoviridae", "Lecanoropsis", "Hydraenidae", "Bothrolycus", "Melodinus", "Anoncus", "Irena", "Carthamus", "Paratenthras", "Ptychomitrium", "Helicotropis", "Helostoma", "Exxidae", "Meropachyini", "Melicharidae", "Euparagia", "Salmophasia", "Genaemirum", "Eremococcus", "Lyromonas", "Ichthyophthirius", "Coniarthonia", "Areocleome", "Dithinozercon", "Visayanocorinae", "Minettia", "Dociostaurus", "Pseudocephennium", "Aongstroemia", "Saccifolieae", "Stomiatiformes", "Decaisnea", "Connexochiton", "Limamitus", "Sanopus", "Trichoanoreina", "Tischeria", "Prionapterygini", "Zimmerius", "Myrmicotrombiinae", "Simophis", "Smarididae", "Crucella", "Boridae", "Tetrastictypena", "Treubiitaceae", "Antargidium", "Jannya", "Proconsuloidea", "Gilletiodendron", "Catadelphops", "Calceolaria", "Auropolia", "Eupulmonata", "Drepanaphis", "Degranvillea", "Systeloglossum", "Smegmaraptor", "Chaetoplea", "Inbioxa", "Pengzhongiella", "Sphacelodini", "Neobarombiella", "Phenacephorus", "Heathia", "Marginidae", "Aboilus", "Brachymeles", "Spilogona", "Hololena", "Halophryninae", "Paraheteronyx", "Boeromedusidae", "Bopyrissa", "Palaucoris", "Pseudokeronopsis", "Leptopagurus", "Kupetrechus", "Lysibia", "Bubon", "Eripus", "Rhacophysa", "Aspidothelium", "Perimeceta", "Schoenicola", "Psalidothrips", "Plagiopyga", "Minicystis", "Elacholoma", "Diplodocinae", "Neosothes", "Kogania", "Nevada", "Foxiphalus", "Parkiidae", "Chamyla", "Chamaemyiinae", "Faelicianus", "Tmetolophota", "Schizopygopsini", "Amastridium", "Metriochroa", "Samkosia", "Pariana", "Mormidea", "Capreolucanus", "Berchmansus", "Anomalopsylla", "Abbemyia", "Cordylomera", "Navarretia", "Dinidorinae", "Siphonogorgiinae", "Peranemopsis", "Gonerda", "Musschia", "Selenipedieae", "Dacrycarpus", "Baltiscanella", "Berthelinia", "Monodontium", "Thyreochaetus", "Nesiotochernes", "Adelosgryllus", "Micratheta", "Cystocloniaceae", "Trochastrites", "Phasianellidae", "Carabilarva", "Strictispiridae", "Cytheritis", "Peraceae", "Allorhopaliella", "Melaniella", "Stigmoderimorpha", "Pyramidamblys", "Grasseella", "Tinamotis", "Monobathrida", "Neotanypeza", "Baiotomeus", "Curaliidae", "Kallyntrosternidius", "Protoclitopa", "Asteromonas", "Eriostethus", "Goniographa", "Heteroeustemmus", "Gonypetyllis", "Deveximentum", "Pontohoratia", "Hemicaecilius", "Camptochironomus", "Douglasiidae", "Harpachne", "NUOL", "Martinottiella", "Laemosaccini", "Pistana", "Dimorphorchis", "Bousigonia", "Rhopalinae", "Ereynetes", "Cephalotelium", "Psychanisa", "Gaurotes", "Neblinaea", "Phomatosporales", "Pronomis", "Sterigmapetalum", "Megalonyx", "Vanheerdea", "Melanichneumon", "Nyctopais", "Methone", "Pseudophilautus", "Javesella", "Asanoina", "Sinaphaenops", "Amblypalpus", "Triodia", "Anthoptus", "Jichoristella", "Jorunna", "Solenotheres", "Cystobasidiaceae", "Maeviella", "Thalassothemis", "Rottboellia", "Capillaria", "Chrysemosa", "Codiaeae", "Olios", "Wiborgia", "Prolecanitina", "Protacrodus", "Tumidotubus", "Fenerbahce", "Stenofustigerinus", "XMU", "Timorichthys", "Valvasteridae", "Zeidae", "Neodasys", "Lichomolgus", "Ormopteris", "Cameraverruca", "Nannotrechus", "Trizethopsis", "Deelemanella", "Onryza", "Bolephtyphantes", "Colobeutrypanus", "Cyclopicinida", "Lumbriculidae", "Listrobyctiscus", "Empleuridium", "Phrygiini", "Archaeogerydus", "Augouardia", "Palaeopoecilostola", "Spondylomoraceae", "Baladeana", "Glutophrissa", "Euplokamis", "Aleisanthieae", "Ampelopsis", "Hemigordius", "Caudipterygidae", "Phalaenopsis", "Pallavicinia", "Parvispinia", "Docimocaria", "Agnorhiza", "Xenogmocerodes", "Protochthebius", "Velebitodesmus", "Perouvianella", "Titanidiops", "Turuptiana", "Cybalobotys", "Caeruleuptychia", "Coilia", "Pelina", "Sais", "Rzehakinidae", "Hoplorhynchus", "Phormidiaceae", "Allodiscus", "Cousiniopsis", "Methanohalobium", "Diacavolinia", "Brachiopiella", "Lebiini", "Makalaka", "Tychanopais", "Palmophyllales", "Bechium", "Paradevescovina", "Corbuliporina", "Oedura", "Lepturges", "Parvidolum", "Nipponozethus", "Hypopetaliinae", "Oedogoniales", "Globigerinoidea", "Haererehalobacter", "Enantiocladia", "Maurandyinae", "Oxypeltus", "Tiaropsis", "Myxilla", "Turquoiseomycetales", "Etropera", "Oesyperus", "Hyopsodontinae", "Inversacytherella", "Geranoaetus", "Pseustophylla", "Nephodia", "Criocerinae", "Neochaeta", "Delosinidae", "Phalangodidae", "Symmoca", "Cincia", "Idiocranium", "Chrysoviridae", "Elephantinae", "Pseudobiston", "Aplemonini", "Neosatyrus", "Agonismus", "Boccharini", "Prathapanius", "Earota", "Stentoridae", "Tetraneura", "Seligeriaceae", "Dracula", "Litoptychus", "Cyphococcus", "Erora", "Caridinophilidae", "Daitroninae", "Araucacis", "Heptacarpus", "Mahafalymydas", "Camptomites", "Liadytiscinae", "Monarcha", "Peridinetini", "Cladomelea", "Psammisotoma", "Ziaelas", "Coralanthura", "Alauda", "Pseudoamphiprora", "Dixonius", "Koruga", "Stegopontonia", "Polyaulon", "Praedora", "Agraeciina", "Tasmanobelus", "Heterodactyla", "Chotekia", "Buresium", "Notocelia", "Titanophoneus", "Dendrospyris", "Epicnistis", "Omotimiotes", "Rhyncophthirina", "Molopospermum", "Stephanastidae", "Cyrtonion", "Alsacomelita", "Myxotheca", "Zosterisessor", "Oneppus", "Prolobites", "Hisychiini", "Vitrumidae", "Diacholotis", "Tingiometrinae", "Carinolesthes", "Heteromeles", "Scatimus", "Methylovirgula", "Zetorchestes", "Lethops", "Schlegeliaceae", "Coelodon", "Trapelus", "Nevskia", "Xenetopsis", "Cicadettinae", "Granulenotes", "Harpides", "Thecadiniaceae", "Ferrimonadaceae", "Stelechobates", "Epimarptis", "Parachauliodes", "Caryophanon", "Brevistoma", "Chrysocoris", "Daixina", "Gerhardtia", "Paratrechalea", "Lycopodiaceae", "Geometra", "Heldreichia", "Hipparchiscus", "Plagioselmis", "Pleuroptya", "Hickmanolobus", "Acrospiriferinae", "Caffrocrambus", "Cyphoceratopini", "Myoxanthus", "Pantilioforma", "Gryposuchinae", "Trematophlyctis", "Spongodiscidae", "Acanthodiformes", "Hexagonaloides", "Gedanotropidini", "Ctenorhabdotidae", "Bathymermis", "Ulomimus", "Tropicoseius", "Tomis", "Sebecidae", "Zymus", "Pleurostomatida", "Barnebydendreae", "Eomegophthalmus", "Vallaris", "Ptyktoptychion", "Echinococcus", "Ambrosina", "Tribasodema", "Cercophis", "Thelasiinae", "Leucas", "Phlyctidocarpeae", "Doswellia", "Bothriolepidae", "Aphanistis", "Heteroglossum", "Cyclachaena", "Torostoma", "Salpingorhiza", "Euantennaria", "Gemella", "Huashanentulus", "Ammoecius", "Nemoeotus", "Vespitinea", "Ramsayellus", "Pellatispirella", "Rosettozymaceae", "Euscelidius", "Moruga", "Cladothele", "Pagurapseudopsididae", "Pseudoceneus", "Duranteae", "Ulodendron", "Stylommatophora", "Capobula", "Leuserattus", "Gublerina", "Loxandrini", "Amydria", "Cathorops", "Dryosauridae", "Morerella", "Cladogramma", "Nomuraius", "Clasmatodon", "Orfeliini", "Ophisternon", "Haruspicina", "Oligocentria", "Poecilandra", "Dimelaphis", "Pseudonototanais", "Tyrini", "Neotalus", "Akonesis", "Lamnatibia", "Wedliini", "Centrostegia", "Polycanthagyna", "Araucomacer", "Depressonotum", "Crinocheta", "Eupogonius", "Pilemia", "Itersonilia", "Kengia", "Fredia", "Acrocnida", "Pararopica", "Crassuloideae", "Ambarchaeooides", "Boveria", "Melcha", "Chilomitus", "Neanthidium", "Toxarium", "Caprellaporema", "Cossothigma", "Jubulineae", "Dorocordulia", "Kenknightia", "Oceanospirillum", "Lumbricina", "Maietta", "Stenodactylus", "Hexatrygonoidea", "Bulbotoplana", "Strenzkea", "Letispe", "Aragonia", "Rhodacanthis", "Nasonia", "Prionacalus", "Spiraxidae", "Andrachydes", "Caprifolioideae", "Choffatella", "Eoplethodus", "Eschweilera", "Shuvosaurus", "Clavisyllis", "Placynthiella", "Laceratoplia", "Bichoristes", "Ulmus", "Bungalotis", "Gonapodyaceae", "Corythangela", "Cryptotora", "Capitata", "Williamsia", "Parabirojimia", "Parapedinella", "Andinomyini", "Miophrixus", "Metameris", "Protocerberus", "Nerinea", "Procoris", "Kuramosciadium", "Dipelicina", "Lactura", "Osirinus", "Saribus", "Schizodictyon", "Hyborhinus", "Zhijinitidae", "Pituophis", "Mino", "Pseudophaena", "Zellera", "Zebraodes", "Webbinelloidea", "Nocarodeini", "Heterostegane", "Gemmocystis", "Anajapygidae", "Ormiscodes", "Charax", "Zygosoma", "Poropsis", "Brachidius", "Andraegoidus", "Ramazzottidae", "Sacoglossa", "Colomboscia", "Coronastrum", "Ligiamorpha", "Haemanota", "Aulobia", "Tiron", "Lithocicada", "Endotropis", "Chasmogaster", "Xerophasma", "Platydomene", "Sitona", "Megalosaurus", "Oedignathinae", "Momotidae", "Tanyemblemaria", "Medigidiella", "Stenocnemis", "Xenovarta", "Apiomorpha", "Ptyssostoma", "Calvertius", "Dasytini", "Pheretima", "Glella", "Rhysopterus", "Staffites", "Rhizophlyctidomycetes", "Fiorianteon", "Bicoecida", "Asemini", "Galactia", "Diplognathini", "Galanga", "Ochthocosmus", "Trilophosuchus", "Sugiella", "Austrokatanga", "Amphisopus", "Thepytus", "Desmia", "Gnatholebias", "Piosoma", "Zelandopsis", "Cyathocoma", "Gongylonema", "Betaphycus", "Xiphobythus", "Sarcophagini", "Leucochrysini", "Tageropsiella", "Phlepsobahita", "Trigonaloidea", "Ceraarachnini", "Speocera", "Nepalomyia", "Pilbaranillus", "Sporopipes", "Hydrurga", "Corsyra", "Sulcatisporaceae", "Haimeidae", "Cornuapyxis", "Synaptola", "Diploastrea", "Coscinopleuridae", "Chondrorhyncha", "Euxanthe", "Stropholirion", "Catenulaceae", "Tachillanella", "Neja", "Eumicrotremus", "Aneomochtherus", "Mitrastemonaceae", "Metabronemoides", "Himalrandia", "Paranamixis", "Eximilimosina", "Baia", "Calyptocerus", "Adenanthos", "Hedwigia", "Pandorea", "Camaricini", "Alloblabia", "Centrocnemidinae", "Waipatiidae", "Aetobatus", "Protobelgica", "Sabulodinium", "Metopium", "Philorheithridae", "Liopholidophis", "Parallelostrombidium", "Limnoria", "Ceriantharia", "Bolivinitidae", "Trematopygus", "Theagenes", "Larvamima", "Tristriini", "Parahiekeia", "Hedinichthys", "Betaproteobacteria", "Psydrax", "Archirhiza", "Eldermyrmex", "Toxonprucha", "Sceloporinae", "Cicesetrema", "Phaenocelis", "Agapornithinae", "Epistomariinae", "Hathewaya", "Nericonia", "Leucogrammolycus", "Atrypa", "Sphaerophragmium", "Acidopsidae", "Pronorites", "Palpitia", "Medaeops", "Symphoricarpos", "Diceratiidae", "Symphrasites", "Caryophyllales", "Myrmorchilus", "Botrychium", "Pteranthus", "Philedone", "Josemiris", "Cenebriophilus", "Saurorhamphus", "Paralamium", "Potamagonum", "Crenacantha", "Lichinodiales", "Meganola", "Alomiella", "Uloma", "Synsphyronus", "Pseudofusulus", "Sciophyroides", "Diphtherinae", "Suhpalacsa", "Hullsia", "Watznaueria", "Syntona", "Leurospondylus", "Neodiadelia", "Vastaplatyura", "Zygadenia", "Diptychoeme", "Brochidiinae", "Dinematichthys", "Plioplatecarpini", "Trachycystinae", "Orchidinae", "Usambaromyiinae", "Sclerurus", "Dama", "Cerrorchestia", "Acuturris", "Bathydraconidae", "Locketina", "Mycenaceae", "Hyalodaktylethra", "Pelagophycia", "Thyrothanus", "Emmeorhiza", "Conioptilon", "Paraglossum", "Canthonella", "Austrodrapetis", "Cephalodasyidae", "Enterognathus", "Maxacalinus", "Heterodon", "Parabatrisus", "Bibloporus", "Chionostomum", "Samooidea", "Feigeria", "Cylindrophorus", "Niphetophora", "Botryokoryne", "Strashila", "Ourozeuktes", "Vitalisia", "Geniculodesmus", "Permelcanidae", "Ischnocolus", "Cryptelytrops", "Spathiphyllum", "Pseudfoxiphalus", "Gyroidinella", "Camarosporiaceae", "Patelliellini", "Enoplometopidae", "Trinoxia", "Momoniinae", "Urotrichus", "Amphoteromorphus", "Fulmarus", "Critoxena", "Pseudopecoeloides", "Graphiphora", "Casuariiformes", "Planomicrobium", "Megistacantha", "Xenadiastus", "Thermales", "Williamsonia", "Dianthidiini", "Helostomatinae", "Eucalycoceras", "Microsteris", "Tigranella", "Fraudella", "Tinea", "Mylacorrhinina", "Grapsicepon", "Ololaelaps", "Cryptolabis", "Anaplusia", "Alamosaurus", "Andrahomana", "Notocomplana", "Podostemoideae", "Besseria", "Lachnaea", "Paraneurachne", "Vittacus", "Pseudosaracenaria", "Dittrichia", "Symmoriiformes", "Porphyrospiza", "Glyphocuma", "Rosenbergiodendron", "Eusmilia", "Hyperammininae", "Patima", "Grammatotria", "Neptini", "Balticofulvius", "Euarchontoglires", "Anthocorini", "Sleumeria", "Dasyuridae", "Homopliopsis", "Cystosphaera", "Mastrus", "Rhynchophion", "Polyachus", "Astilbe", "Desulfobacula", "Leiosporoceros", "Lutibacter", "Bellida", "Annulopatellina", "Bryoxiphiaceae", "Opamyrma", "Malacothamnus", "Sphaerammininae", "Orodromeus", "Josephinus", "Bryopsidella", "Otoplanidae", "Philomedidae", "Camponotidea", "Stylodictya", "Clostridioides", "Blissus", "Exallonyx", "Bdella", "Platycerium", "Maniltoa", "Dreisbachia", "Uruminopeplus", "Aradus", "Rhyncadicrus", "Prasiina", "Apechoneura", "Picrella", "Cornisepta", "Bathysiphon", "Chaetonotinae", "Liberomyces", "Rhabdomonadida", "Solitosculum", "Stygitropha", "Aruama", "Heliodines", "Tenerognathia", "Tyrina", "Lycognathophis", "Mayrellus", "Askidiosperma", "Atrasana", "Heleococcus", "Comactina", "Ludens", "Pseudananca", "Graciliini", "Tyrannophasma", "Platycentrini", "Chimaerocestidae", "Mecosoma", "Campochaera", "Euloxilobus", "Isotomidae", "Peridiniella", "Lovoa", "Nymphodora", "Agyriaceae", "Aphanamixis", "Deroplectus", "Loveridgea", "Glyphocrangonidae", "Tapera", "Macrocarpus", "Murupeaca", "Oxylaena", "Batrachoididae", "Nectocarcinus", "Monoxia", "Pentastiridius", "Haplothrips", "Sphaeroneocystis", "Sundapsocus", "Macropora", "QCAZ", "Atopobrentina", "Jacutscia", "Pygmephoridae", "Ancorabolina", "Homotrysis", "Cytherettidae", "Hybopharsa", "Olbiogaster", "Aphelenchidae", "Taleporiinae", "Macrotus", "Mesoprionus", "Copromyxella", "Halffterobolbus", "Negha", "Dilepidoides", "Phytolaccaceae", "Hymenoceridae", "Rentonidium", "Acholades", "Pica", "Camerunia", "Thiocapsa", "Aepycysta", "Pedetontus", "Janusia", "Ackermannviridae", "Gempylus", "Rhopalopsyllidae", "Hypohypurini", "Echinichinae", "Bunchosia", "Bathiorhamnus", "Theriodes", "Stenoplastis", "Soalalana", "Thaumatevania", "Adenodolichos", "Banisia", "Dienerella", "Lirimiris", "Octomeros", "Largocephalosaurus", "Newtoniellidae", "Brachyamblyopus", "Azuayacana", "Kauriphanes", "Molytini", "Willisia", "Gliaspilota", "Litopenaeus", "Asthenocotyle", "Exogenida", "Psammomys", "Genysinae", "Phaeodaria", "Thaumastopeus", "Ponthrobium", "Loris", "Chrysocoma", "Dianthivora", "Graffilla", "Stylura", "Picea", "Thetellini", "Guisardus", "Krukoviella", "Gravenhorstia", "Caenopachyella", "Piezocerini", "Solenopeziaceae", "Hemiramphinae", "Staurojoenina", "Zingiberales", "Teladoma", "Sulcophanaeus", "Urostyloides", "Macroglenes", "Oxyruncus", "Methylobrevis", "Hemicephalocosmus", "Pterygiopsis", "Bryophilinae", "Ischichucasyne", "Plesiocleidochasma", "Moenchia", "Panchaea", "Protentella", "Pterothominx", "Amphiura", "Apionacarus", "Idomacromia", "Crorema", "Sphaerodomidae", "Simniinae", "Otophysa", "Paraphysoderma", "Camptidius", "Meconematinae", "Sematocera", "Tauschia", "Iridagonum", "Horciasisca", "Chroniosaurus", "Cryptocoryneaceae", "Rhagologus", "Aphodiinae", "Verrucodesmus", "Chelimazocraes", "Distenorrhininae", "Microperus", "Macrodontopsis", "Jakobidae", "Audyanidae", "Hypelate", "Praemeroceras", "Erichorema", "Xiphidium", "Lichenozyma", "Cattarus", "Archaeostraca", "Zoma", "Coenagriocnemis", "Orthochoriolaus", "Electrolichas", "Aphananthe", "Malagazziidae", "Xestochironomus", "Drepaneidae", "Cinctura", "Rhizogranulochloridaceae", "Puranina", "Altitatiayus", "Roestinae", "Caviria", "Calloplesiops", "Cynolebias", "Echinacarinae", "Aleuroglyphus", "Pachyscalpellum", "Bromelina", "Bathycoccus", "Monotoma", "Porrorhachis", "Leptomastacini", "Heliopetes", "Oecotelma", "Catomerinae", "Hydrotriche", "Cosmophyga", "Orbiliomycetes", "Lenax", "Clytemnestridae", "Gomesophis", "Myliobatoidea", "Bankisus", "Placospherastra", "Melliera", "Ybyrapora", "Ulkenia", "Macroscelides", "Gestriana", "Limotettix", "Nasa", "Solemyida", "Glenognatha", "Breviturma", "Haplosporidia", "Ectinoplectron", "Murgantia", "Pseudo-nitzschia", "Camarasauridae", "Hyelloideae", "Trichoniscus", "Chromoplana", "Idastes", "Gabuciniidae", "Dictyonellidae", "Perissocerus", "Selenidiidae", "Dichodontus", "Dicrepidius", "Lophonyctinae", "Methylocystis", "Dorylinae", "Rhopornis", "Suensonia", "Trinodinae", "Tetrapoma", "Brevinemataceae", "Heptaxodontinae", "Paradorydiina", "Teesdalia", "Microchlamys", "Parasovia", "Heterothops", "Oncomerella", "Heterophyllaea", "Holmskioldia", "Pamborini", "Platyastilbus", "Anoplopalpus", "Gabriopalpus", "Chrysococcocystis", "Mimocacia", "Chrysosporum", "Pipra", "Melilotus", "Edomia", "Panachranta", "Trophoninae", "Pylentonema", "Caraboidea", "Ctenopelmatini", "Nobarnus", "Coracella", "Typhlolagynodes", "Boccardia", "Argopsis", "Pinheyagrion", "Tetrardisia", "Adelphacarus", "Metahuntemanniidae", "Astraeodes", "Neanthophylax", "Batrisodites", "Pyrrhoplectes", "Ovatella", "Gammarosphaera", "Liolophura", "Homalogryllini", "Graptodytes", "Microsebenta", "Enoplina", "Doridoxoidea", "Gavelinopsis", "Palaeognathae", "Melanotrema", "Knemidokoptinae", "Eotipulinae", "Lanioturdus", "Zygoruellia", "Prismatocarpus", "Vigethia", "Paradipus", "Sophyrita", "Cribrostomellus", "Pyrrholaemus", "Pelenomus", "Isabbottia", "Pyrrhia", "Pseudonicsara", "Trochammininae", "Odontocline", "Simmeiropsis", "Protohormaphis", "Buceros", "Lachnogya", "Arianida", "Mangalobythus", "Bangiopsis", "Juralithinus", "Cathcartia", "Cellvibrionales", "Achlyogeton", "Cotachena", "Zygorhizidiales", "Pseudantheraea", "Amasonia", "Tencateia", "Eumeninae", "Nippoleucon", "Tetraclitella", "Dioncophyllaceae", "Parameioneta", "Ophiacanthina", "Mesohibolitidae", "Bathycrinidae", "Filamoeba", "Isochlora", "Isotrium", "Xanthocolpura", "Anaspidini", "Exinotis", "Tapinanthinae", "Parelliptis", "Platycercinae", "Ganeshida", "Mormopterus", "Rubrobacteria", "Woeseiaceae", "Porifera", "Torpedinidae", "Parallelopagla", "Gibbozaena", "Trichauxa", "Trapeziidae", "Odontaspis", "Mesosagattia", "Mirhipipteryx", "Triquetrella", "Rhyncolina", "Celibe", "Steineropsis", "Citharichthys", "Tecmerium", "Korschikoffia", "Draconyssus", "Zebrus", "Thaiattus", "Antimora", "Chorizagrotis", "Cerabilia", "Pubimodes", "Fozustium", "Ctenacarus", "Acanthonevroides", "Endothyranella", "Pseudoacanthocereus", "Acroporella", "Dasyella", "Novotarberus", "Leptosporomyces", "Polyhymno", "Meteorium", "Pseudoporus", "Austrolecia", "Colliculoamphora", "Neolysitermus", "Oeax", "Buodias", "Opuntioideae", "Calocarcinus", "Pseudogaudryinella", "Sognorus", "Scardiella", "Gnathophorisca", "Septaria", "Myriophyllum", "Oncosaccus", "Panopinae", "Teutates", "Burmoniscus", "Stenotsivoka", "Portunus", "Neofaculta", "Synergistetes", "Ochteroidea", "Parakiefferiella", "Cladolasma", "Piptadenia", "Pseudofumea", "Phycinae", "Bonyunia", "Urotrygonoidea", "Bothrocalvia", "Mostuea", "Myrmele", "Muricidae", "Condylostylus", "Amphilimna", "Congancylis", "Martyana", "Starmera", "Planeustomini", "Celebia", "Pseudocyclidium", "Canungrantmictis", "Robinsetta", "Turanochrysops", "Medullosaceae", "Unguiella", "Alopias", "Caenonychus", "Aphyle", "Hamatastus", "Osprynchotina", "Batrachoidinae", "Cuneopterus", "Oxylychna", "Pseudemys", "Deuteragenia", "Pyroderces", "Eublepharidae", "Adelphydraena", "Pentadinium", "Corophiini", "Eurhaphidophora", "Scotomedes", "Cleodoxus", "Characium", "Cladoceras", "Membracis", "Stempfferia", "Chelydra", "Langeria", "Melaleucoides", "Schizopygopsis", "Thelaxinae", "Semiclaviger", "Andrewsiella", "Glyphesthus", "Krafftoceras", "Rhabdopsidius", "Cotulinae", "Mesochariodes", "Neomphalidae", "Bersteiniolla", "Umakefeq", "Thalassianthidae", "Schizotheciaceae", "Felsinella", "Hemidinium", "Lepturovespa", "Centropomus", "Postelsia", "Tarachomantis", "Limacina", "Colocasieae", "Dendroica", "Sorellocolax", "Ariophantidae", "Rawlinsius", "Paraephydra", "Carduelis", "Leptoconops", "Chuhsiungichthiidae", "Arrhinoceratops", "Similonychiurus", "Ectyphus", "Smithsonimonas", "Psilodryophthorus", "Coprotrichus", "Atemnora", "Convolutidae", "Amapafurius", "Runchomyia", "Sophianaecetus", "Ocreatus", "Dictyocha", "Saprogamasidae", "Caledonidinium", "Ectodictyon", "Tassadiinae", "Anapulvinaria", "Dermestini", "Phylloceratoidea", "Bireta", "Aloina", "Rikivatella", "Steeneichthys", "Broussaisia", "Zuelania", "Supella", "Ochlandra", "Bukryella", "Podoliacanthus", "Orphium", "Amphigomphus", "Mazaria", "Entocolax", "Lomatogoniopsis", "Landoppo", "Lachnodacnum", "Hydrochaeridae", "Indotipula", "Astrochele", "Alosa", "Cylichneulia", "Mothonodes", "Strabomantis", "Ancistrospira", "Cedusina", "Sulawesiella", "Pareuchelus", "Artinskia", "Brachypauropodidae", "Cotylaspidinae", "Botryonopini", "Caprolagus", "Lacunastrum", "Decaisnina", "Papuodendron", "Tetralobini", "Aspasiola", "Reisseronia", "Burnhamia", "Tachypompilus", "Rissoellaceae", "Schaefferiana", "Paroaria", "Pherepedaliodes", "Paradinium", "Pterocephalus", "Byctiscini", "Dacryoscyphus", "Brodriguesia", "Heterotetramelus", "Anonychocheirus", "Meristacrum", "Nothoasteia", "Bathiorhamneae", "Artimpaza", "Zuccagnia", "Lepomis", "Schumannella", "Sellanucheza", "Bizone", "Chrysactinia", "Gnatholana", "Campylosiphon", "Polyperibola", "Pseudochiridiidae", "Meliacanthus", "Schizochytriodinium", "Abromus", "Gomphogyninae", "Trochamminella", "Tragus", "Thenea", "Stenocorus", "Daptonema", "Gomphrena", "Cicadella", "Zephyrarchaea", "Rivularia", "Catenoleimus", "Calochone", "Helicellinae", "Heterogenea", "Hysterium", "Eurygryllodini", "Modestozarina", "Myoglanis", "Radamellus", "Longtania", "Isoetopsis", "Ischnuridia", "Calyptolepas", "Izpania", "Opilidia", "Maccallumiella", "Moelleropsis", "Akodontini", "Nephrocerinae", "Pseudcardiochilus", "Indosasa", "Tubakiaceae", "Maorichthonius", "Brachytritus", "Margarornis", "Aleuritinae", "Cambraster", "Selonomus", "Oreoscaptor", "Afrolimna", "Hartmannula", "Enhydrini", "Stenopleura", "Chelagyrtodes", "Eurysaspidini", "Zela", "Flexilinea", "Amborotubus", "Sphenophora", "Ibirhynchus", "Lasiochilus", "Parmelina", "Leiolopisma", "Falcatifolium", "Janusculus", "Peritheates", "Monocirrhus", "Morova", "Belemnia", "Ontiscinae", "Chilocyrtus", "Bambusicolaceae", "Misodema", "Dixoniella", "Struthiolipeurus", "Opisthomonorchiinae", "Polyandrocarpa", "Cribroperidinium", "Mesoglicolidae", "Rotalioidea", "Cardiacephala", "Squalius", "Turanoniscus", "Phanerodinium", "Alonips", "Microasellaria", "Scaridiidae", "Anzora", "Glomerellales", "Condaminea", "Inope", "Tripocalpis", "Placorhynchus", "Hoffmannista", "Noelaerhabdaceae", "Rangiola", "Mikrocystos", "Ouette", "Adamina", "Listroderini", "Haematomis", "Mardonius", "Alairhynchus", "Blattinae", "Leptosynanceia", "Monteithium", "Sporadoceras", "Anthracocarpon", "Madegafoenini", "Apophrixus", "Dicerataspis", "Cretoxyrhinidae", "Subsaximicrobium", "Micropholcommatidae", "Nephelomilta", "Globisininae", "Succodium", "Pexicopiini", "Physokentia", "Allopliosilpha", "Eggerella", "Desulfurococcales", "Elminia", "Brachypholis", "Anaphidna", "Parcoblatta", "Vaginulinopsis", "Anomotodon", "Helieae", "Benthobatis", "Methylomonas", "Parajapygidae", "Ichnopus", "Rhizoproctus", "Malkinella", "Inbjumia", "Ochterus", "Adranes", "Pandalura", "Notiopsylla", "Asterinae", "Oannes", "Vietnagone", "Seco", "Palaeostoidae", "Palpifer", "Euproutia", "Brachistus", "Macroplea", "Kiloniellales", "Proevippa", "Pseudocistela", "Onchidium", "Dystovomita", "Cryphaeobius", "Isatis", "Antygomonidae", "Batedotea", "Edlorryia", "Salvethymus", "Toxoneuron", "Haemolaelaps", "Chilena", "Artipe", "Centrostephus", "Mecistum", "Styrus", "Antepia", "Curriea", "Dastarcus", "Trachysomus", "Acanthopleuribacter", "Snodgrassia", "Metaleptamphopus", "Dignomus", "Pelagodes", "Clepidecrella", "Euoniticellus", "Plesiolena", "Caproiformes", "Equisetites", "Pseudocayratia", "Podoprionidae", "Chaetopreussia", "Wallemiaceae", "Zoniagrion", "Xenotarsosaurus", "Lagoleptus", "Samagystia", "Leptoneta", "Chrysobothrini", "Sistrurus", "Amazilia", "Heinrothiella", "Falcuna", "Forticulcitinae", "Puppeia", "Anathallis", "Polistimima", "Delphinella", "Curtomerus", "Bursericarpum", "Desmotrichium", "Pseudochromulina", "Nu", "Alampes", "Vulvulinoides", "Trichocaeciliinae", "Congomostes", "Notiophyginae", "Lorisoidea", "Clanculus", "Burmacoccus", "Cydianerus", "Asterophrys", "Anisosciadium", "Durandea", "Actinocyclus", "Bythograea", "Lottiinae", "Toxocampa", "Amphimallon", "Drapetis", "Callistocypridinae", "Koskinonodon", "Planctonemopsis", "Chalcothraupis", "Putranjiva", "Dipsocoridae", "Huxleyoecia", "Tryssaturus", "Pythonomorpha", "Coscinodicopsis", "Pseudomycoderma", "Melanconidaceae", "Brachytheciastrum", "Oinophila", "Zabrachypus", "Aulacozethus", "Circandra", "Ohvida", "Parapsittaconirmus", "Lepidopsocinae", "Australoneda", "Sphaeriopoeini", "Clypeorbinae", "Amblymoropsis", "Alloambria", "Ethopia", "Anachariesthes", "Formosa", "Triaenanthus", "Seibaldia", "Plectrothrips", "Schizasteridae", "Ichthyomyini", "Ctenoblepharys", "Corilana", "Uralocupes", "Coralliidae", "Longzhua", "Papillopseudotagia", "Pseudophasmatidae", "Ranellinae", "Amelora", "Tokophrya", "Pilamminella", "Cthulhu", "Rimulanax", "Myiopus", "Platyclarias", "Lithanomala", "Pseudodendromonadida", "Sylvodrilus", "Ceropsylla", "Derolus", "Psalistopoides", "Aphroditidae", "Sphaerogastrella", "Diapterna", "Cryptognathini", "Euthamia", "Brachydora", "Corythalia", "Gigartinaceae", "Omania", "Kiaclymenia", "Vulgarogamasus", "Phaenocora", "Agenioideus", "Hapalosiphon", "Ophiorrhiza", "Paradichelia", "Indoporus", "Peronematoideae", "Atropsocus", "Rhachicolus", "Arivaca", "Pseudoziidae", "Peltidiidae", "Polychelidae", "Exothispini", "Pseudomasaris", "Tetraplasandra", "Mimidae", "Zizkaea", "Campynemanthe", "Nigelleae", "Ophonus", "Jaculus", "Ashtoret", "Bathysiphoninae", "Joerstadia", "Parharpinia", "Helicidae", "Profilinota", "Rhinecotylidae", "Photinaini", "Apaloderma", "Casselia", "Acanthocinini", "Sigaloessinae", "Chrysoxestis", "Centrocharesini", "Pseudocyusa", "Diploria", "Photoscotosia", "Botryobasidiaceae", "Clivinemidea", "Neoaloa", "Acanthoderes", "Phytomyzinae", "Tempisquitoneura", "Hecamede", "Picrasma", "Voragocoris", "Pleione", "Odontorchilus", "Afrotysonia", "Rajasaurus", "Corvida", "Madrellidae", "Syntrophaceae", "Euryptilium", "Isanthus", "Aridella", "Drepanidae", "Diceros", "Osteochilus", "Trachystolodes", "Piesmatinae", "Svenzea", "Oradarea", "Parasphallenum", "Sarophorus", "Apechocinus", "Cephalobaris", "Tachyporini", "Sinembiidae", "Megalocoelacanthus", "Parambasia", "Coccolobeae", "Aneuxanthis", "Pisum", "Electrostephaninae", "Cyclanorbinae", "Petrobiellinae", "Shachemydinae", "Maripa", "Spalerosophis", "Anatrichosoma", "Anchomanes", "Iphidonopsis", "Laceyella", "Afrohelops", "Malacopus", "Loborhiza", "Neosergipea", "Candelariaceae", "Omma", "Melomys", "Stromatopelminae", "Antennohyllisia", "Doratoxylon", "Aeglopsis", "Syntrophorhabdaceae", "Abareia", "Trapezicandonini", "Dermatemydidae", "Orthopolycope", "Oniscigaster", "Zosterophyllales", "Cotinga", "Tosaia", "Tinantia", "Kerbera", "Golvanacanthinae", "Desmoceratidae", "Afrofilistata", "Paramonoxenus", "Tsuga", "Irakimaspis", "Leptopulvinaria", "Cyrtophorina", "Perga", "Pelophila", "Brasilianthus", "Tellinella", "Oniticellina", "Gnaphon", "Pedersenia", "Castianeira", "Canistrocarpus", "Ceratoderus", "Kunstidamaeus", "Xenicotela", "Euphlyctis", "Eratyrus", "Llerasia", "Actinolepis", "Thibetoides", "Frikkiella", "Siliquarius", "Lovenia", "Polemonieae", "Deroplia", "Pomachromis", "Megatryphon", "Parallelodontinae", "Neochropacha", "Gaussater", "Hemiaulus", "Ploiaria", "Udeniomyces", "Levieria", "Hymenocottinae", "Cuviera", "Luffia", "Karaganops", "Theopilium", "Arenibacter", "Sabethini", "Evernia", "Poecilochroa", "Crangon", "Desulfoplanes", "Chrysothamnus", "Paragomphus", "Glaphyrostomum", "Parasitidae", "Cyanolanius", "Eunanus", "Ruilopezia", "Pseudospirillum", "Speleognathini", "Trematosphaeriaceae", "Hoplocephalus", "Reynoutriinae", "Selenosteidae", "Woodsholea", "Shabanovia", "Mimagelasta", "Acrobothriidae", "Iberocypris", "Xenoglossa", "Ciceribacter", "Cratobracon", "Hottingeritidae", "Triangularia", "Facelis", "Dicranochaetaceae", "Isodiametridae", "Prionostemma", "Nephromataceae", "Shadiniinae", "Pseudoligota", "Chimaerula", "Xenopsittaconirmus", "Paramigros", "Mormotomyia", "Wanderbiltia", "Xanthophaeina", "Pleurochrysidaceae", "Iodopleura", "Varitrella", "Lamanonia", "Lampoctenidae", "Trichonympha", "Berardia", "Paipalesomini", "Amblytropis", "Cyphonoxia", "Minuscula", "Mesogenus", "Cynodonichthys", "Gampsocorini", "Paramedlicottia", "Pachysandra", "Budorcas", "Kallihemerobiinae", "Hemithyone", "Candonini", "Szelegiewicziella", "Brasilycus", "Colotis", "Bourrellyella", "Synchroidae", "Curimatrema", "Euryrhynchidae", "Aquincola", "Odobenidae", "Leightoniomyces", "Afrotyphlopsis", "Holdemanella", "Angkalanthus", "Microteuchestes", "Toonglasa", "Centradeniastrum", "Cyphostigma", "Lydorus", "Bathysciina", "Marinosulfonomonas", "Pseudonovella", "Monsteroideae", "Pseudolabrus", "Odostomia", "Liparus", "Etheophanus", "Hauraniidae", "Rashelapso", "Lepidophora", "Ophiohamus", "Ciulfina", "Neocallicrania", "Paiwa", "Cydnini", "Entwisleia", "Ulocysta", "Pachistopelma", "Fagraea", "Cranichidinae", "Philomaoria", "Campylocentrum", "Fissoelphidium", "Apistobuthus", "Haematorrhophus", "Heterovesiculidae", "Dunbarula", "Dipogon", "Leptorrachis", "Metopochetus", "Licracantha", "Rhithrogena", "Eurypepla", "Cosymbiini", "Oribatelloidea", "Whiteochloa", "Cryptophialidae", "Muilla", "Dipsadidae", "Tecophilaeaceae", "Polyspondylogobius", "Laciniella", "Agama", "Stipagrostis", "Bodonidae", "Mesophysa", "Gracilariocolax", "Cochylidichnium", "Bimentum", "Dracohors", "Myrocongridae", "Celama", "Trigoniomachilis", "Brasilicactus", "Leptachrous", "Tibeta", "Melanitini", "Archocentrus", "Neocyamus", "Miroppia", "Neothrombium", "Stephanocyclus", "Mahawoa", "Hippolytia", "Annesorhizeae", "Delgadoidium", "Javapsocus", "Chionographis", "Tetragonomenes", "Palaeophyllum", "Julus", "Polytoechioidea", "Armorhydra", "Podischnus", "Scortum", "Trimmatothelopsis", "Bogushella", "Laodora", "Lasionectes", "Ramaperta", "Atheliaceae", "Iphimedeia", "Foettingeria", "Arba", "Oxyothespinae", "Dimorphoceratinae", "Cannabaceae", "Tetroncium", "Botryopyle", "Cercocerulus", "Comoplana", "Clinterocera", "Neocossyphus", "Xanthopenthes", "Gnorimella", "Tylas", "Mulloidichthys", "Isine", "Parasiphula", "Gyrodus", "Riwo", "Australiosomatinae", "Sebaga", "Hanostaffella", "Cloresmini", "Lachnothorax", "Palliohedyle", "Hypoptopomatinae", "Xylorhiza", "Elongatoolithidae", "Cardacus", "Sclerodermatineae", "Pseudocheilinus", "Gymnochlora", "Martretia", "Dendrolycopodium", "Colabotelus", "Neugeborena", "Bathycolpodes", "Clinidiina", "Chirista", "Meghyperus", "Culcasia", "Eriptychiidae", "Parametopus", "Cornuspira", "Typophaula", "Microgomphus", "Atomacerinae", "Lyperocharis", "Geocnethus", "Chrysolopus", "Inversochona", "Eucinetella", "Flabellidae", "Oppiella", "Segetibacter", "Promonotus", "Ischalis", "Pseudophilhygra", "Jubelina", "Nautilitaceae", "Pseudophatnoma", "Butomaceae", "Histiopterinae", "Googarna", "Filistatinae", "Alleculina", "Genavius", "Capsammina", "Gomphinae", "Elephas", "Cryptarchini", "Aguiarina", "Maghrebidiella", "Oreocarya", "Mesothuria", "Pseudobolitocharina", "Caudacaecilia", "Brillantaisia", "Seorsus", "Prospodium", "Campellolebias", "Epigonatopoides", "Xenochironomus", "Phyllochonidae", "Globorotalitidae", "Rhaptohelenina", "Argyrophis", "Calyptocichla", "Stenognathus", "Emmenopterys", "Andogyrus", "Protoeuglena", "Ceratojoppini", "Ispidina", "Chrysothurammina", "Scenopoeetes", "Argiolestes", "Rhagophthalmidae", "Erichsenia", "Epirrita", "Ctenobrycon", "Pteraspididae", "Heterophrictus", "Clyde", "Sympleustes", "Apodolichurini", "Tinrovia", "Scutpelecopsis", "Cryptes", "Lobocolax", "Semitocossus", "Oribacterium", "Adumbratomorphidae", "Dacninae", "Petalumaria", "Stercorariidae", "Apocynum", "Strigatellinae", "Synagapetus", "Bruneixenus", "Curanahuel", "Bacillariaceae", "Exedia", "Chilella", "Enchytraeus", "Macropsalis", "Magoniella", "Shelfordina", "Lomonycus", "Apoxypteron", "Pseudorhapydionina", "Plastocerinae", "Andiotes", "Chouitrioza", "Atys", "Camontagnea", "Miliolidae", "Urodinychus", "Neorhamnusium", "Tetraplatidae", "Gadigaleyrodes", "Shangrilana", "Serpenticobitis", "Exochus", "Stereonema", "Boopia", "Glanapteryginae", "Typhlozuphium", "Hormosinoidea", "Planorbidae", "Campuloclinium", "Pamelaphe", "Flabellocaenia", "Malgasia", "Vrieseeae", "Monoculodes", "Lozanella", "Serratia", "Crenaverneuilina", "Afghanicenus", "Ephippiospingus", "Orussus", "Amarsipidae", "Neobuchia", "Myriactis", "Senticolis", "Bdellinae", "Dentilabus", "Allokotarsa", "Pseudodiaptomus", "Philicus", "Aparescus", "Plagiotriptinae", "Lytocestoides", "Maindronia", "Combera", "Melittangium", "Janirella", "Galianoella", "Epichnopterigini", "Persephonichthys", "Ancistropterus", "Brachygalea", "Colletteichthys", "Aristonoda", "Thermogladius", "Typhocesini", "Libertasomycetaceae", "Anacharitinae", "Cyphocerastis", "Fiha", "Parvaverrucosidae", "Cenotextricella", "Typodryas", "Achilini", "Microlia", "Syacium", "Protocystis", "Opatrini", "Tosenini", "Laevicaudata", "Eutrechopsis", "Irania", "Harpellaceae", "Crepuraea", "Rattus", "Taeniacara", "Lepidocollema", "Austrohelea", "Actinosynnema", "Phragmotheca", "Pseudoarthrura", "Bathypathes", "Tritopterna", "Adenogasteria", "Ptilocercidae", "Conyza", "Pisaster", "Dicoria", "Solpugassa", "Diaporthe", "Cacatua", "Bothrinia", "Kalinckascelis", "Hypoplectrodes", "Phallichthys", "Hyphovatus", "Amblyaeneus", "Moritellaceae", "Neopateoris", "Afriberina", "Neofidelia", "Archegosauridae", "Champsodon", "Phaeomolis", "Ctenitis", "Remaudierea", "Endosigma", "Grimothea", "Scytocera", "Lepidocyrtini", "Cnidium", "Toryminae", "Petromyzontinae", "Indaeschna", "Lycium", "Bracomorpha", "Trochilioides", "Paraxenusa", "Threskiornis", "Callistomorphus", "Quasimus", "Oxera", "Perrindema", "Amalus", "Sarcomella", "Aerenomera", "Uranoscopiformes", "Amblymora", "Rainbowia", "Reptatrix", "Ctenoderus", "Cornellusa", "Brachaeluridae", "Mylagaulidae", "Zealandcyclops", "Ipsnolini", "Mannerheimia", "Onoketoma", "Echiurocystis", "Pseudonocardiales", "Helictotrichon", "Chevaliidae", "Aiceoninae", "Sopharynx", "Omphreus", "Itaclytus", "Tropidoscincus", "Anagivenius", "Mimene", "Eulithinus", "Ichthyornithidae", "Trybliophorini", "Megamphopus", "Stenogeocoris", "Casphalia", "Clerodendrum", "Laonice", "Gomphonella", "Timiriaseviinae", "Yemenobrium", "Dactyloscopidae", "Indirana", "Kingella", "Neoquinqueloculina", "Campethera", "Ditha", "Magnistipula", "Paracallionymus", "Diloboderus", "Blattisocius", "Conchopetalum", "Ischyrodyodoys", "Microkeroplatus", "Mantidae", "Sinoproscolia", "Chalcolepidius", "Laminacutus", "Phyllanthaceae", "Nymphotroctes", "Denticella", "Ardistomina", "Molybdonycta", "Annectina", "Megatrygon", "Myeloiodes", "Belpaoviridae", "Eucypridinae", "Lamiales", "Nolinae", "Chrysocapsella", "Stylochoididae", "Idiocolpodes", "Methanothermococcus", "Rcortesia", "Amithalithina", "Chortodes", "Chengkouiidae", "Endodictyon", "Turdus", "Iamia", "Steganinae", "Actinocyclina", "Pedoculina", "Gnomodes", "Pseudobacter", "Myrmecolax", "Stephanodes", "Cyanastrum", "Carcharomodus", "Dictyochia", "Politzariellinae", "Coleocydnus", "Punia", "Parosmylus", "Guizygiella", "Gymnaphelopus", "Euzetiella", "Azeliini", "Colobanthus", "Hillielleae", "Aclytophanes", "Siopelus", "Protrelloididae", "Piptostigmateae", "Ptilotolepis", "Chaetolepas", "Sigara", "Paradorylaimus", "Endopleura", "Bowlesia", "Trochamminidae", "Horistomyia", "Gymnancyla", "Semienaria", "Orbitolina", "Bentheuphausia", "Otophryne", "Dismorphia", "Platychelyidae", "Euchresta", "Pontosphaera", "Stenotrachelinae", "Ammovertella", "Ceuthophyes", "Lepechinelloides", "Akibumia", "Phoebis", "Tomohammus", "Pleurotrochopsis", "Mideopsidae", "Praon", "Brachygalba", "Phymatinae", "Parafestuca", "Ocybadistes", "Phaneroglossa", "Drassodinae", "Krananda", "Nephopyrgodesmus", "Granulopyrenis", "Phycitiplex", "Calosomatina", "Epixiphium", "Eldenia", "Bathybembix", "Synchaeta", "Biselachista", "Euconnus", "Reinschiella", "Birgus", "Pachynemertidae", "Acrossocheilus", "Eoleucodon", "Metailurus", "Reomkago", "Lepadellidae", "Ophiogastrella", "Mesoxytelus", "Rugalindrites", "Psittaculinae", "Craspedopomatidae", "Asperococcus", "Dagmarita", "Paramerina", "Palaeaspis", "Caligonellidae", "Gordymonas", "Fungivoridea", "Wallaceina", "Armenoecus", "Messastrum", "Xanthospila", "Cnemisus", "Hydeomyces", "Theocridini", "Thermoproteales", "Torigea", "Geotrogus", "Potamonemus", "Oligotyphlopsis", "Phyllogonium", "Plectreurys", "Gastrocentrum", "Orobothriurus", "Camallanus", "Clinus", "Paloveopsis", "Laccodiscus", "Anthribola", "Oditinae", "Garhadiolus", "Prosoglypta", "Divarctia", "Stilbogastrus", "Merlangius", "Chrysothylakion", "Depastrum", "Sphaeromacrops", "Worcesteria", "Cicatricallia", "Euloxostoma", "Buddelundiellidae", "Didymoceras", "Lamarckia", "Orbea", "Myuroclada", "Mezoneuron", "Protoerigone", "Agdistopis", "Pseudospora", "Cardiophorini", "Paranecepsia", "Pycnocentria", "Callista", "Hissaritus", "Echidninidae", "Idiogenoides", "Tapinanthus", "Ryukyuspathius", "Psomocolax", "Conebius", "Stenotothorax", "Arbanitini", "Aglitheis", "Erythrodemus", "Oviedinus", "Sphaerophallus", "Witelsus", "Epieremulus", "Niisatoa", "Anselmellini", "Spilanthinae", "Chrysso", "Marupiara", "Buliminellidae", "Tauredon", "Pseudalaca", "Echiniphimedia", "Mimopeus", "Allohymenolepis", "Lasiocampini", "Sinomegoura", "Bronchocela", "Pseudosesidia", "Blapsilon", "Oidini", "Enterobacteria", "Alveolophora", "Maoricoris", "Nesostreptus", "Angulodiscus", "Urolepis", "Typhloleptodes", "Thracides", "Piruna", "Macromyzella", "Oxlestes", "Beltia", "Damasus", "Monotropoideae", "Orchesiini", "Placus", "Annetennia", "Semeoloncha", "Neosaltusaphis", "Carychiopsis", "Thorntonodes", "Lessoniaceae", "Oervigia", "Loxopholia", "Thymioptila", "Periglossum", "Pseudoplon", "Neurocaulon", "Ceratopetalum", "Eponides", "Mozartius", "Myrmecomelix", "Janischia", "Perlariopseidae", "Millingtonia", "Hoplitophryidae", "Hygroamblystegium", "Woodenbong", "Nepagyrtes", "Microsauria", "Oxygnathus", "Veliohebriini", "Paratanychora", "Tyrannosaurus", "Hatena", "Massamorichthys", "Agapia", "Ischnangela", "Glyptosternini", "Fulgidea", "Coccyzus", "Phragmoxenidium", "Aureodinium", "Acanthonia", "Walleniella", "Kunpengopterus", "Acrorchis", "Baeriidae", "Iyengariomonas", "Paraisocoelium", "Electotreta", "Parvicrepis", "Paragaon", "Fissipunctia", "Neogeneia", "Heteropalpia", "Orlovichthys", "Dipsacomyces", "Xiphiopsyllidae", "Atherinopsoidei", "Ivanacara", "Xyloryctes", "Rhodoglobus", "Microctenidium", "Archaebalaenoptera", "Bowseria", "Lobulomycetes", "Valencienniinae", "Barylestis", "Desmocarididae", "Tautoneura", "Australaethina", "Umbridae", "Hypserpa", "Morettia", "Listriophorus", "Neopaiwa", "Dendrophidion", "Philoponella", "Xanthomaculina", "Talamancaster", "Astroloba", "Lyperopais", "Notiobia", "Acrodictyaceae", "Rugopertha", "Tamandua", "Unumgar", "Acallopistellus", "Kupeaeae", "Parepixanthis", "Lasianobia", "Copium", "Auerodendron", "Meteorus", "Tridactyle", "Gymnodinium", "Flectonotus", "Bryales", "Brincadorus", "Trechosiella", "Derodontoidea", "Bolitochara", "Arachnis", "Agaone", "Haplocheira", "Urorhipis", "Stegodibelodon", "Clydonella", "Poecilophilides", "Beosus", "Eudocima", "Paravorticella", "Protapiocera", "Laemophloeidae", "Planktochlorella", "Eremoblastus", "Spirotrichea", "Rzehakinina", "Moserius", "Conocalyx", "Nemacerota", "Holacanthida", "Protomonotresinae", "Inachoides", "Episernus", "Neohexostoma", "Osphantes", "Fimbrifolium", "Nesara", "Dawsonia", "Peridinoidia", "Oligonicini", "Aotearocumella", "Pseudobrizalina", "Notogynaphallia", "Calamagrostis", "Tateishia", "Stirogaster", "Aeipeplus", "Cyphocharax", "Regabellator", "Pseudignambia", "Sarkidiornis", "Cichlasomatinae", "Achlyphila", "Sternolepis", "Mitinokuidrilus", "Glauceae", "Calcealges", "Megaoculus", "Ifrita", "Reboursia", "Fulvivirga", "Netrocorynini", "Promicromonospora", "Tigobius", "Senefeldera", "Xenocera", "Pachycormidae", "Eristicus", "Woodwardhygia", "Japanocorus", "Glischropus", "Panagrolaimidae", "Oxytornoceras", "Gallobelgicus", "Batrachomoeus", "Vaupesia", "Phthiacnemia", "Oxyglypta", "Hericiinae", "Briara", "Mycocaliciaceae", "Thyasira", "Ara", "Carramboa", "Colilodion", "Kenyavelleda", "Nomgoliella", "Strengerianini", "Diplognatha", "Reophacidae", "Carybdeida", "Ophiactoidea", "Arthraerua", "Plebs", "Microphasma", "Opsamates", "Mongolepididae", "Heronimus", "Myzoxenus", "Caenosclerogibba", "Lingamius", "Nematolebias", "Keithia", "Antrophyum", "Oceanapia", "Brachiocera", "Amycterus", "Georgefischeriaceae", "Capitularina", "Somocoelia", "Notholimnophila", "Endostaffella", "Perilicmetis", "Acrosynanthus", "Ephemeroidea", "Rhizosolenia", "Glossoscolex", "Huanghella", "Bactericera", "Menuroidea", "Carinurella", "Coxophoxus", "Desulfovermiculus", "Lepidotrichum", "Trimezia", "Polpoda", "Porphyridiales", "Brevoortia", "Ancystrocheira", "Trimenia", "Ethmodiscales", "Denhezia", "Chromocyphellaceae", "Macropneustidae", "Erika", "Gisilia", "Derocala", "Cepa", "Pseudohaloritidae", "Biroellinae", "Pterocanium", "Alloseius", "Nothapodytes", "Leleupites", "Bradypterus", "Phainodina", "Arrenurus", "Lepidodeuterammina", "Echiothrix", "Artocarpeae", "Caenagnathus", "Orapia", "Erennidae", "Murramarangomycetales", "Lophosteus", "Megascolecidae", "Hydnocarpus", "Adoneta", "Juglandoideae", "Fedrizziidae", "Meiolaniformes", "Manerbia", "Loxogenius", "Trichotemnomataceae", "Exapate", "Leptocerus", "Eucharideae", "Helogale", "Chauliodon", "Cynognathia", "Synecta", "Orchidantha", "Hydrophoriini", "Peptostreptococcus", "Noctophus", "Zyuzicosa", "Micramphistoma", "Notoplanidae", "Megalogastria", "Cyphotheca", "Chiropotes", "Mikado", "Ampelaster", "Teinolophos", "Drasteria", "Oriobrachys", "Protalveolata", "Scotiophyes", "Pterocerdale", "Lonchogenys", "Lynteria", "Trimosina", "Sclerophricta", "Solinca", "Ravautiana", "Dactylopus", "Oncostoma", "Pachybelus", "Empalactis", "Haplozetes", "Tetrapodorhabdus", "Neosilphitrombium", "Dozya", "Eochorica", "Schulthessiini", "Mycetoglyphus", "Philacrotona", "Prolecanitidae", "Cazeresia", "Callistus", "Ruptitermes", "Merlia", "Persicoptila", "Cyclodorippoida", "Avialae", "Ceinina", "Eremomyces", "Histioea", "Camarotus", "Spirillinidae", "Sapho", "Bilyjomyia", "Xeniidae", "Chyzeriinae", "Hecphora", "Gongylonematidae", "Oxycentrus", "Ptinini", "Pavlostysia", "Ja", "Triaeris", "Sayornis", "Trichocentrus", "Paragobiodon", "Chrysopophthorus", "Heterokonta", "Thorntoniellina", "Ursus", "Catenicelloidea", "Conopinae", "Ameroseius", "Litwinowia", "Parmelia", "Schizopetalidae", "Lygeeae", "Sorbinichthyidae", "Pseudopegolettia", "SNSB", "Strophiini", "Pseudochlorococcum", "Sisyphini", "Besciva", "Metaleptus", "Iso", "Mirini", "Moema", "Glaciopsyllus", "Lidbeckia", "Australscalpellum", "Ceratophysella", "Oestophorini", "Metriocnemini", "Oxychilophora", "ABAM", "Hypopomyrmex", "Obsoletes", "Succinaphis", "Sclerasterias", "Herlinda", "Multipartis", "Gianellia", "Ablemma", "Thelazioidea", "Epitomapta", "Distichophyllum", "Quelea", "Pleurotaceae", "Gasteropelecus", "Notodontidae", "Meganeuridae", "Draudtia", "Tylothyridinae", "Tetraspidium", "Neorbitolinopsis", "Buniapone", "Metastrongyloidea", "Ochrosia", "Atybe", "Muridae", "Planktomarina", "Tilingia", "Trimorphomycetaceae", "Carcinognathus", "Orbiliaceae", "Glacicavicolini", "Gyropandorus", "Yarnkothrips", "Neohenoticus", "Listia", "Natgeogia", "Abropus", "Siphouvigerina", "Hirsutospirellidae", "Stereochlamis", "Heroneis", "Leiostegiina", "Darthvaderum", "Asteroscopus", "Helotis", "Tylokepon", "Fominiella", "Lacetas", "Collemopsidium", "Rudimicrosporea", "Thomisoidea", "Alloeoleucon", "Ambassa", "Liloa", "Chlorohippotes", "Euresia", "Sciocryptus", "Nathaliella", "Neosemantis", "Nouvelia", "Phaulolechia", "Pseudolachnostylis", "Paracalliopiidae", "Aglummyia", "Jarvisella", "Buresiinae", "Dicranucha", "Neocompsa", "Tropidoprion", "Lachenus", "Ophiocistioidea", "Upeneus", "Eylaidae", "Platyrmus", "Andinoencyrtus", "Falsoprosoplus", "Psammonobiotidae", "Xylophis", "Caradrinini", "Schoebliidae", "Keramosphaera", "Thalassiodracon", "Parectatosia", "Malayotyphlops", "Syltodinium", "Leptopterix", "Achelura", "Alliomyia", "Procyphocaris", "Zoniini", "Dialipina", "Chorisembiinae", "Crabronini", "Aphytis", "Thelenellaceae", "Gressittius", "Polydema", "Archispirostreptus", "Alosinae", "Aputrechisibus", "Saito\u00eblla", "Massartella", "Fibrobacteria", "Origoacalles", "Lotononis", "Masner", "Fittonia", "Baudinella", "Eulophinusia", "Nundinella", "Isoperla", "Scleritodermidae", "Rhynchocyclidae", "Vertebralina", "Eophloeomyzus", "Archaeocladus", "Thryonomys", "Asopsebius", "Epilampra", "Amblybatrisus", "Thecadiniopsis", "Hypoparyphantus", "Diphaulacosoma", "Mesotopus", "Acanthochitonina", "Triton", "Hoedillus", "Lycaeopsis", "Stichocrysis", "Edaphochlamys", "Emydinae", "Psammoduon", "Spinosissuropoda", "Dehaasia", "Gyromitra", "Frieseinae", "Cyphellostereum", "Fileanta", "Caulocera", "Pseudosesarma", "Indopacetus", "Ecitodaemon", "Neotrioza", "Stichothyrea", "Thrombasia", "Cardiandra", "Lithomitra", "Anaulus", "Actinopteryx", "Rhinopolipus", "Bonoraella", "Galachrysis", "Cribrolagena", "Gymnodamaeidae", "Leishmania", "Leeia", "Cinygmula", "Cercomegistoidea", "Anoplectus", "Mysmenidae", "Cataponera", "Tebennotoma", "Parodontella", "Morganellaceae", "Hyposhada", "Odiniinae", "Shenahweum", "Spinoagallia", "Barronia", "Corticaria", "Nannoceratopsis", "Zelandothyas", "Bellarium", "Fijinonion", "Laeorthalicus", "Neospirorchis", "Laurelia", "Cercopithecini", "Itheum", "Bilingulogavelinella", "Brachydeutera", "Cyrtona", "Tuberopeplus", "Melampodiinae", "Scapodasys", "Cochliopodiidae", "Acanthocerella", "Bisnius", "Eostaffella", "Acanthocnemidonia", "Acetalius", "Harpalomimetes", "Stygimoloch", "Acarnidae", "Chouomyia", "Scoliopleura", "Salinactinospora", "Chariergodes", "Aiptasia", "Molgula", "Heterosyphus", "Ecacleistothrips", "Murdochiella", "Solicoccozyma", "Aspidytidae", "Pseudovenanides", "Terrestricandona", "Trachymene", "Cosmosoma", "Lambertiinae", "Leskea", "Vestalaria", "Spiroplectinella", "Microceratium", "Morkillia", "Anoplothyrea", "Syntherata", "Loxostigma", "Proteoideae", "Newellites", "Callidadelpha", "Rezahiria", "Gymnetis", "Cycnoches", "Bequartia", "Microdevario", "Civifractura", "Chrysolina", "Solidago", "Cymolomia", "Nyctelius", "Neophlugis", "Troglotacaridae", "Rientis", "Kurosaia", "Terebraella", "Oligapta", "Susuacanga", "Maryna", "Gastrolobium", "Clypeasterina", "Cypricercinae", "Ptilineurini", "Heterocoskinolina", "Lobosceliana", "Perbrinckia", "Discinisca", "Phaenocerini", "Disculicepitidae", "Geodytes", "Lampanyctus", "Sphinctanthus", "Trypetes", "Asiopsocidae", "Tetramphora", "Doaphius", "Cyatholipidae", "Sitochroa", "Piena", "Chaetida", "Haplophragmiidae", "Treatia", "Conamblys", "Ophiotholia", "Antipodogomphus", "Pararete", "Longulus", "Iareonycha", "Striononyma", "Bryaninops", "Priscosturioninae", "Carinotrachia", "Calvertiellidae", "Pachycypha", "Psychonotis", "Heptranchias", "Taphronota", "Mimicarhaphura", "Stylurus", "Pyrgomina", "Oreopolus", "Latipalpis", "Trachypithecus", "Calponia", "Molosoma", "Euryzilora", "Ledocania", "Metriocampa", "Schubertella", "Ceuthmochares", "Petasites", "Apiosoma", "Criniflava", "Ptyctus", "Theoa", "Cyphoides", "Spinuris", "Streptaxinae", "Abergasilus", "Conidens", "Rhodella", "Rhodogorgonales", "Dendropodola", "Lophopodomyia", "Sweaterella", "Nannodastiidae", "Aspistor", "Vesperoctenus", "Cuccodorodes", "Symbiobacteriaceae", "Badizoblax", "Caulacanthus", "Physatocheila", "Chilopsis", "Chylismia", "Dialithus", "Druenticinae", "Proconulidae", "Salassa", "Pseudoxyrhophiidae", "Crenulister", "Psocidus", "Castellaniella", "Paulina", "Macropodinae", "Tmesiphantes", "Epsilonematidae", "Leptarthra", "Crurotarsi", "Nycteus", "Craneopsyllini", "Myrophis", "Birubius", "Cocculinidae", "Lentamycetaceae", "Tripedaliidae", "Miamira", "Trichocerinae", "Gabunsaphanidus", "Potamodrilus", "Eubothrium", "Phyllomydas", "Neolebias", "Stenocactus", "Dasistoma", "Gastroserica", "Astrolonchida", "Leonaedoeus", "Stomolophus", "Remigolepis", "Peltoperlopsis", "Trichonema", "Sinomastodon", "Simenchelyinae", "Gypaetus", "Glenopterus", "Plummerinella", "Lepidopa", "Typhlonesticus", "Furcicupes", "Cultus", "Megalonychidae", "Hygrobates", "Heronalleniidae", "Sirenia", "Napoca", "Zapenesia", "Zyzomys", "Peloropeodinae", "Urodoidea", "Gamelioides", "Tanyderidae", "Cacographis", "Pogonomyrmex", "Cryptosomatula", "Nipponcyrtus", "Indorana", "Rossemia", "Psenini", "Misodendrum", "Metchnikovellida", "Therizinosauroidea", "Bungartiidae", "Oxyeleotris", "Rhopalopsyllinae", "Atwillina", "Phyllognathopus", "Aeolothrips", "Calmanesia", "Ascidiaceihabitans", "Uratelornis", "Ducetia", "Gobiesocinae", "Trinectes", "Schmidledesmus", "Ommatophora", "Chinochthamalus", "Cyllodania", "Prionopidae", "Petrobrasaurus", "Diomphala", "Zeastichus", "Pseudoferania", "Cerocoma", "Anisakidae", "Cyrtomoscelis", "Eremophanoides", "Gyrodidae", "Protozoophagini", "Aplectoides", "Oligotrichida", "Hamadryas", "Triphysa", "Scottia", "Liparocephalini", "Mayagueza", "Aetheapnomyia", "Kraemeria", "Paracaropsis", "Novispirillum", "Teretistridae", "Mesobiotus", "Leopoldiniinae", "Prolibia", "Psilotum", "Cuzcodinella", "Archaites", "Coradion", "Arhodeoporus", "Samaridae", "Chaenopsis", "Odontodoryctes", "Ancyroaspis", "Ceutorhynchus", "Ophiobotrys", "Thrasorinae", "Coleocarya", "Hemiphyllodactylus", "Hyperafroneta", "Ephalaenia", "Chaetothyriales", "Peltidolygus", "Thermochromatium", "Argentinatachoides", "Propsocus", "Ectemnorhinini", "Mekongina", "Nygmiini", "Metapanax", "Colombophis", "Proapteryx", "Orbitolinoidea", "Caridinides", "Laliostominae", "Pyrenobotrys", "Ectrosia", "Platycaulos", "Erschovilepus", "Brachypetersius", "Duberria", "Sergiolus", "Melanophryne", "Ypthimomorpha", "Balaninae", "Crucinympha", "Skouedhirraad", "Horornis", "Ischnothele", "Poaephyllum", "Ryukyupercis", "Zomicarpa", "Tenuitellinata", "Orthodontium", "Racheospila", "Anastomus", "Neobalaeninae", "Anoplura", "Angaria", "Cheirora", "Macroventuria", "Polyamblyodon", "Eurycheilostoma", "Brachytron", "Aspidostemon", "Stygocarididae", "Herbertaceae", "Paraprobolisca", "Blacus", "Rolstoniellini", "Flavococcus", "Whiteleggia", "Myzodium", "Studiervirinae", "Subulistomella", "Musaespora", "Fortipectinini", "Aethiopia", "Pataniolidia", "Argynnis", "Ochroma", "Vangueriopsis", "Euryalusa", "Metacnemis", "Chascotheca", "Fomitopsidaceae", "Fulicoffula", "Kordia", "Garmanella", "Metopoceras", "Neoscardovia", "Dinonigidius", "Trigonogastrella", "Konoa", "Manga", "Australiopalpa", "Plesiomongoma", "Sparassidaceae", "Chlorogomphus", "Odonestis", "Padenia", "Prasiolales", "Porphyromonas", "Anasillomos", "Achipteriidae", "Actinastrum", "Maguireocharis", "Cerambyciscapha", "Echotrida", "Chytobrya", "Plumeriinae", "Trienopini", "Timarchopsis", "Pamparaptor", "Metoisops", "Guzeriplia", "Ledothamnus", "Gactornis", "Pachydemini", "Damarus", "Entylomella", "Caelatura", "Thermiphione", "Clitopa", "Coris", "Gatesclarkeanini", "Ochyrotica", "Cumatocinetus", "Diplarreneae", "Eriomycetaceae", "Fortagonum", "Pseudominettia", "Hebellidae", "Raphidonema", "Geitonoplesium", "Branchipocola", "Eucosmophora", "Ferrocalamus", "Leptopterus", "Adromischus", "Huso", "Melobesia", "Cithaeronidae", "Burringtonia", "Heptathelinae", "Mimadiestra", "Coelolepis", "Amphelissus", "Amyda", "Xenophysa", "Streimanniella", "Wikimedia", "Globopilumnus", "Carcinochelis", "Thinobius", "Bythinoplectina", "Perrinia", "Exhippolysmata", "Harrisina", "Kvamula", "Termitohospitini", "Glomospiroides", "Nodosageceras", "Pleurodesmium", "Notodendrodidae", "Ichthyostegidae", "Deltentosteus", "Ruthnielsenia", "Rhizophydiaceae", "Mimetaxalus", "Bianium", "Erysichton", "Microdochiella", "Pedionis", "Muellerolimon", "Aglaope", "Nassarius", "Tmetocera", "Rhynchothorax", "Plagioglypta", "Madju", "Lucapinella", "Uraloclymenia", "Parastizocera", "Leptolegniaceae", "Eriogenes", "Embuana", "Torneutopsis", "Hirudisomatidae", "Analloptes", "Xenobatrisus", "Aneides", "Samea", "Malaisichneumon", "Pluricosta", "Minomona", "Singida", "Mimenicodes", "Pandoraea", "Clivinarchus", "Ocyota", "Camelomorpha", "Peperina", "Scolioidea", "Medomonista", "Archetypus", "Pseudencya", "Chalcinotrematinae", "Marsdenieae", "Maniho", "Uromastyx", "Paleopandorus", "Portumnus", "Phalaena", "Agardhiella", "Celioinkosa", "Parandania", "UNAH", "Roeselia", "Chilenchus", "Kugegania", "Hedma", "Itaspis", "Graphodonta", "Axinidiina", "Graffenrieda", "Laodamia", "Coprinisphaera", "Sakagutia", "Brachydrymus", "Euryabax", "Dipnoi", "Isosilpha", "Monopsis", "Corymbas", "Archaius", "Doedicurinae", "Neoextrania", "Megashachia", "Kachinus", "Theodorinus", "Macrosiphini", "Ecnomolaus", "Dimorphoberytus", "Phaulopsis", "Telorta", "Spongiosarcinopsis", "Telmatoscopus", "Mariametridae", "Preponini", "Caprella", "Alepidocline", "Osteoglossocephalai", "Syrnolopsini", "Colymbetes", "Litsea", "Maoridiamesa", "Spatangidae", "Cadulus", "Camptopus", "Austrotritia", "Aberratiodontus", "Alepiella", "Neholopterus", "Tenuipalpus", "Leucocoprinus", "Paragaudryina", "Omaspides", "Distantiella", "Djadochtatherium", "Homolobinae", "Sphaerocystidaceae", "Ciperozea", "Polycirrus", "Electrentomidae", "Siemensia", "Diaspiniphagus", "Maladera", "Glyphopeltis", "Alliatinella", "Oreolais", "Artema", "Quentalia", "Paracephalochlamys", "Aulonastus", "Ceratocanthinae", "Peritrox", "Pilotrochus", "Alystria", "Daraelites", "Argyrotoxa", "Protopidius", "Cheimarrichthyidae", "Lasioloma", "Botellina", "Raninoides", "Taipinga", "Marginelloninae", "Tanytarsus", "Longinomerus", "Schizosaccharomyces", "Sogaella", "Mogoltavia", "Ankylopteryx", "Biobiocoris", "Pristionchus", "Madeirostiba", "Elachiptera", "Velocisaurus", "Caryadiplosis", "Astrodia", "Zoarcales", "Cyanothecaceae", "Xenacanthus", "Abatylotus", "Aenigmabracon", "Cervaphis", "Spinovelleda", "Procometis", "Stenelytrana", "Termitotelina", "Dukhania", "Clerus", "Orthogonia", "Lamprinodes", "Grenacheria", "Grellada", "Podospongiidae", "Lepidopsocus", "Plectrophorocoris", "Archophanes", "Galliena", "Nemeritis", "Pycnophion", "Thinouia", "Vassacyon", "Mastomys", "Piezocerina", "Stenarchops", "Derula", "Dalhousiea", "Ochotyra", "Retevirgula", "Antarcticothamnion", "Apocritica", "Ocyochterus", "Sachatamia", "Sarcodraba", "Secostruma", "Rhyzobius", "Agnotecous", "Pellatispira", "Eucamptonyx", "Plectomirtha", "Anisogamus", "Hazardia", "Walsura", "Crimora", "Lagenorhynchus", "Compsogene", "Fistulinella", "Yanbianella", "Dikelocephalidae", "Pteranodon", "Cingulata", "Caloderella", "Clymenia", "Rotundifronta", "Ixalma", "Cyathodiaceae", "Pseudapocyrtus", "Anadoras", "Pachyplectron", "Phiale", "Microcanthinae", "Parereis", "Scathophaga", "Chelantermedia", "Chetostomatina", "Leanobium", "Pararge", "Cassidopolipus", "Dutkevichella", "Afrowatsonius", "Leptobrachium", "Nemastomatinae", "Eobaatar", "Mataeocephalus", "Auxides", "Endeodes", "Madromys", "Athetina", "Takanoa", "Incolornis", "Parabisaccanthes", "Eparchus", "Loganiaceae", "Paranothrotes", "Grallobia", "Tropicimonas", "Pseudoleon", "Ragas", "Gloeobacteraceae", "Chelakina", "Trachoma", "Cladostephaceae", "Epigonidae", "Neoapolorrya", "Bolbocoleon", "Colubrinae", "Mitriostigma", "Acheron", "Pleurobranchidae", "Rhoecus", "Timeparthenina", "Petracola", "Cryptocotyle", "Thripsaphidini", "Euglycyphagidae", "Opuntia", "Lophobius", "Steropes", "Globotruncanoidea", "Androconnus", "Syzeton", "Mangrovimonas", "Agnaptoria", "Thamnophilinae", "Masticophis", "Sergeia", "Charassognathus", "Rhudara", "Anoplocerus", "Nuuraphis", "Congoxenos", "Bledionotinae", "Archolabus", "Huodendron", "Leptotrema", "Xenonola", "Metopograpsus", "Marinobogidiella", "Leptomaria", "Xylonichus", "Pseudocyclopoidea", "Flexiseps", "Pseudoasonus", "Lijndenia", "Anomodontia", "Sphenisciformes", "Hypolestes", "Corsia", "Planomonadida", "Platycopioida", "Pseudorutilaria", "Holochilus", "Pida", "Neopeltopsis", "Regobothrium", "Trichophysetis", "Korinchocoris", "Eupronoe", "Urophoxus", "Gonyaulacaceae", "Youngaphodius", "Apolemichthys", "Eutremeae", "Oenosandra", "Caprellinae", "Corbitella", "Tetrathyrus", "Christianella", "Lembidioideae", "Rhinoclavis", "Mickoleitia", "Ctedoctema", "Meladema", "Pseudamphistominae", "Selar", "Russellia", "Jivaromyia", "Thaidenakaoga", "Zoonavena", "Glomulininae", "Sojanopermula", "Gyroconulina", "Scyphostegia", "Lantaneae", "Complicitus", "Oxathres", "Melithaeinae", "Luciobrama", "Pinnaticoemansia", "Fleischerobryum", "Vibrissaphora", "Neoizziella", "Austris", "Dinonemertidae", "Ionopsis", "Evirchomella", "Helicellini", "Kanzia", "Eucosmomorpha", "Hemileia", "Procymaclymenia", "Acrocyrtus", "Callophycus", "Striogyia", "Parviformosus", "Acritodon", "Koebeliina", "Pygarctia", "Proterodiplostominae", "Schumanniana", "Dacnini", "Platyischnopidae", "Lohmannioidea", "Arberiales", "Bembecia", "Athenaria", "Kenmooreana", "Polyporaceae", "Thaumantis", "Dietini", "Hatschekia", "Brachyderes", "Hiperantha", "Neopithecops", "Microhyliota", "Blenniella", "Dentaphila", "Compsodactylus", "Myeloconis", "Jaekelopteridae", "Phenacorhamdia", "Caluromyinae", "Phellolophium", "Sturmius", "Eupelops", "Tumerozetidae", "Magosphaera", "Oncophysa", "Typhonodorum", "Anemopsis", "Erioneura", "Melanodera", "Bascanichthys", "Cladorchiinae", "Cliarthrus", "Caricosipha", "Atasthalomorpha", "Pseudohycanus", "Urodus", "Tomarini", "Actinostoloidea", "Kernereae", "Pericordus", "Projasus", "Tiddergasilus", "Saracenella", "Fremblya", "Wioletta", "Logilvia", "Plectoderma", "Sunagocia", "Ctenurella", "Dentatoplia", "Chinocossus", "Parencentrum", "Sporidesmiella", "Erigeron", "Conidiascus", "Scyphoniscus", "Strobiloscyphaceae", "Phloerampha", "Thalassina", "Chrysalidinoidea", "Chrysothricaceae", "Hyalopsocus", "Gomphiocephalus", "Trichorondibilis", "Pseudocrossocheilus", "Albinia", "Leucodermia", "Cavernulina", "Stenomorphus", "Stibadocerodes", "Gynatrix", "Melaleucia", "Spirotectina", "Podachaenium", "Forrestopius", "Tetheamyrma", "Apoglossocolax", "Cicadetta", "Alphitonia", "Chamaemyiini", "Crucihimalaya", "Lysiosepalum", "Microhydrodytes", "Duckerella", "Cipia", "Eroschema", "Calomyscidae", "Capsalidae", "Germaricina", "Gastornithidae", "Blakeslea", "Skiffia", "Dysauxes", "Euplectus", "Nitrososphaerales", "Prochloraceae", "Macrochlamydinae", "Vesicularina", "Jeffreycia", "Zelandiscus", "Orchesellinae", "Trichogrammatomyia", "Mycobacterium", "Myandra", "Metopidius", "Cottiusculus", "Arcella", "Sergia", "Metahepialus", "Tillomimus", "Pothyne", "Jadwigella", "Certesiidae", "Polyfaciodus", "Cassidulidae", "Megaceryle", "Spirosigmoilinella", "Prototroctes", "Sarsinebalia", "Synlestinae", "Saliterribacillus", "Gonatogyne", "Homelix", "Nersiini", "Terrylee", "Garceus", "Corvospongilla", "Acrobatornis", "Leucospidae", "Astragalus", "Biblochrimnus", "Hygrogeus", "Alciope", "Tetrapleura", "Mixocapsus", "Aiolopus", "Peptostreptococcaceae", "Heterophlebus", "Supernogammarus", "Acrisis", "Diechomma", "Upoluna", "Asteropeiaceae", "Nesiergus", "Aspidontus", "Apochinomma", "Saturniidae", "Spariformes", "Rossius", "Asiatolida", "Corispermum", "Anthobioides", "Zyginama", "Paraneseuthia", "Heribeia", "Eriaphytis", "Lipocosma", "Karnsophis", "Poospiza", "Hyponectriaceae", "Grimontia", "Coelozoninae", "Ceratolachesillus", "Paralacydoniidae", "Aspilota", "Lagenismataceae", "Elephantidae", "Thalassiothrix", "Cholamonas", "Rhapydionina", "Cratoparini", "Methyloterrigena", "Colchicum", "Micromygale", "Lecanorales", "Pseudomassilina", "Harpalus", "Perna", "Conicavus", "Poliomopsis", "Liriopes", "Clydonodozus", "Henodontidae", "Loxopterygium", "Palaeocharmon", "Metopias", "Fagocyba", "Priamima", "Notomegilla", "Hypoconchinae", "Leclercera", "Sinotagus", "Buthidae", "Hypenella", "Aethalodes", "Ennearabdus", "Anthrobia", "Amnibacterium", "Haplogonosoma", "Tympanophorinae", "Tristichium", "Paracosmiella", "Procabacter", "Hippocrepina", "Synedrella", "Pontopsyllidae", "Tuberostylis", "Lomaglossina", "Acuticauda", "Isosaphanus", "Rhinorhynchinae", "Hollandus", "Sweziella", "Maiestas", "Kallotenue", "Aphilenia", "Lepidisis", "Poecilocryptus", "Europtron", "Mycastor", "Ramphocinclus", "Kabakra", "Psaphida", "Cosmiella", "Phipicobia", "Dubiefostola", "Veliferidae", "IRMC", "Pseudofumaria", "Antarctophilinidae", "Niitakacris", "Pteridopus", "Pomoxis", "Hyparrhenia", "Namibianira", "Nirmala", "Plutoniumidae", "Madoniscus", "Protodryinus", "Bacillariales", "Calliobothrium", "Amalorrhynchus", "Nothogynidae", "Rhizomnium", "Agenamyia", "Tyrbastes", "Feroniola", "MFSN", "Bryidae", "Tetramerocerata", "Pachycephalosauridae", "Paragrynex", "Platphalonidia", "Platalina", "Scoliopteryginae", "Plettkea", "Myrmeleotettix", "Acanthorhodeus", "Linckia", "Latentifistulidae", "Urolaguna", "Notopyrgodesmus", "Turbanella", "Malvoliophis", "Hysterolitinae", "Astrolophus", "Amsactarctia", "Ethmodiscus", "Androsoma", "Polycestinae", "Thlaspideae", "Hulodes", "Scyphellandra", "Audouinia", "Isodon", "Opisthostyla", "Mesopherna", "Euscelina", "Loasa", "Benacus", "Megalyridia", "Ypsistocerus", "Belbina", "Pungra", "Sinantherina", "Calyptrotheca", "Caryomyia", "Adenicola", "Artematopodinae", "Hallocinetus", "Poecilocampa", "Cyanobacteria/Melainabacteria", "Isocheilus", "Macrotingis", "Phyllogomphus", "Aquimonospora", "Cephalobothrium", "Halcampaster", "Hesperoptenus", "Termitusini", "Caerulea", "Astacosia", "Dolichochelys", "Chrysasura", "Phycomycetes", "Mimectatosia", "Bispinodinium", "Pamphantus", "Oscinella", "Cybaeodamus", "Mysanthus", "Prochilodontidae", "Sternocera", "Alyssopsideae", "Bathynellacea", "Gomphostemma", "Catharanthinae", "Costallodiscus", "Strandiola", "Nocardia", "Emplesiogonini", "Spiruroidea", "Arrhenophagoidea", "Sahulia", "Moggridgea", "Anoplocotyloides", "Dyscerus", "Androcotylinae", "Thaumatoneuridae", "Phaula", "Asceles", "Noricysta", "Chromaphis", "Arrhenes", "Apteropanorpa", "Aphalacrosoma", "Dictyoprays", "Honduranillus", "Pachyneurhymenus", "Agriolimacidae", "Trigonops", "Bromeliohyla", "Eumalacostraca", "Cretomalthus", "Noirotitermes", "Bernissartiidae", "Nimbapanchax", "Kolchidina", "Planomiliola", "Agrostemma", "Scaligeria", "Anomalinella", "Pulchroppiinae", "Cicadellidae", "Erupa", "Trigonobregma", "Spironema", "Myrtonymini", "Pseudaphelidium", "Alpinobombus", "Dermabacter", "Licentius", "Ceroxyloideae", "Cribrosphaerella", "Zameioscirpus", "Bathygadinae", "Isthmosporella", "Mbipia", "Osteospermum", "Haltichellinae", "Bickelia", "Cordosphaeridium", "Kyrsteniopsis", "Cantheleamima", "Pseudomictis", "Callistocilla", "Levansa", "Araucariomyces", "Anasimyia", "Brachystomatidae", "Apagis", "Lissocephala", "Orientoreicheia", "Anairetes", "Viridina", "Massinium", "Hydryphantes", "Turbopsebius", "Rumex", "Asaroticus", "Pseudanostirus", "Sandro", "Longilepturges", "Unchelea", "Phractocephalus", "Heterotis", "Capitostylus", "Phreatia", "Heteroschistis", "Paleowinus", "Pereiraeidae", "Dirotus", "Martretiinae", "Aeolagrion", "Keda", "Fasciatisporaceae", "Nadezhdiana", "Rorea", "Cionocoleus", "Callisphecia", "Hibisceae", "Vanhouttea", "Flagellariaceae", "Megatharsis", "Mellilla", "Dirrhope", "Aeneanola", "Agoristenidae", "Gloeopycnis", "Philoceanus", "Afrocrisis", "Psarolepis", "Cyphophanes", "Grammodes", "Goniomellus", "Weeksia", "Logisticus", "Pluteoid", "Aridibacter", "Typhlopolemon", "Stolonis", "Sabanalagus", "Entorrhizales", "Polysporina", "Diaprograptinae", "Laccocorinae", "Rhodomonas", "Lithoporella", "Cerinomycetaceae", "Cyclotoma", "Mimolophioides", "Synchroma", "Iolinoidea", "Megasporaceae", "Heteroderinae", "Phaedotrogus", "Junellia", "Salisaeta", "Dorimargus", "Varelasminthurus", "Theridiosomatinae", "Potamogeton", "Bovallia", "Thermaceae", "Macrosilia", "Horvathinia", "Loxodiscus", "Panemeria", "Acanthosphinx", "Methanopyrales", "Lacosomini", "Trichouropodella", "Cryptoclidoidea", "Amaloceromorpha", "Quasinarosa", "Spermatobium", "Pattalinus", "Micrulia", "Hyderodini", "Cyrtoquediina", "Nitratifractor", "Charitopes", "Palaeopropithecidae", "Mnasicles", "Sellaphora", "Durbaniella", "Hoberlandtiessa", "Plectanocotyloides", "Sunipea", "Falcocaris", "Uropodina", "Basseliniinae", "Photinae", "Takifugu", "Compsocerus", "Myllocercion", "Halistylinae", "Ptychopseustis", "Scydmaenini", "Nypsius", "Testuleeae", "Rhodacra", "Barbasphecia", "Stylopoidea", "Pintneriella", "Stegenus", "Prostenothoe", "Eriocortex", "Razowskiina", "Dipaenae", "Colobocini", "Amphinectidae", "Erosida", "Bittiinae", "Distantasca", "Talitriator", "Cribrodyschirius", "Corideae", "Zdenekiella", "Nanocyphon", "Lagrezia", "Chlorocloster", "Hardwickia", "Clinotarsus", "Kitaibela", "Chilo", "Ernassa", "Rhyothemis", "Desudaba", "Physomerus", "Meiorhopalon", "Wrightiella", "Cleistochloa", "Joannesia", "Hydroprogne", "Lispixys", "Bychowskicotylidae", "Hertelidea", "Miletus", "Labidopullus", "Capsulata", "Dicraspidia", "Pyrgodesmidae", "Aroa", "Cochlearomycetaceae", "Enamillus", "Methanococcales", "Baccharidinae", "Pseudoneobivagina", "Lesbia", "Pornothemis", "Obrimus", "Kirkegaardia", "Ripiphorini", "Arteriviridae", "Platygyna", "Rectobulimina", "Chiaglas", "Physetocarididae", "Iphionidae", "Isolona", "Bulborhodopis", "Syrisca", "Polyteles", "Barnhartia", "Corybantes", "Neopringlea", "Parahepomidion", "Stachyurus", "Callyspongiidae", "Nepiolygus", "Starksia", "Dactylurina", "Desmopteridae", "Hemiaegina", "Pamozophora", "Dryophthorini", "Ascomorphella", "Neocollettia", "Cryptophaginae", "Cresmatoneta", "Falculifer", "Pembatatu", "Semiothisa", "Lacistorhynchinae", "Brachydesmus", "Montsecbelus", "Striginiana", "Ceuthophilinae", "Meriphus", "Nothogenes", "Orthotylus", "Grammatodontinae", "Daschia", "Epiphora", "Pachypteris", "Melyvonnea", "Bythinophanax", "Alcyonidiina", "Paradieuches", "Chengiopanax", "Aulacopleuroidea", "Trichoceros", "Acanthoodes", "Attemsiidae", "Sparassoidea", "Neminidae", "Giberosus", "Daintreeola", "Orropygia", "Tobagoa", "Dicelosternus", "Operculoppia", "Pontosmilus", "Breitensteinia", "Maclurodendron", "Pituna", "Speleorchestes", "Xylopsora", "Squatina", "Ancylus", "Japewia", "Pycnocycla", "Ridleyella", "Cormobius", "Astrogorgia", "Crateristoma", "Afrodiastictus", "Nepaloserica", "Lophopidae", "Messinea", "Calinaginae", "Agonocheila", "Stainforthiidae", "Seetzenia", "Philomyrmex", "Heinrichia", "Cincorunia", "Ptilinastes", "Diatrypa", "Grammostola", "Rutilus", "Synergistes", "Naniteta", "Jeholosaurus", "Liuella", "Alexandrium", "Litostylus", "Ambeodontus", "Smicronyx", "Nerrhenoidea", "Zasympiesis", "Seguenziida", "Plangiina", "Leiosteninae", "Tanea", "Pezizomycetidae", "Cnemoplitina", "Palaeopontosphaera", "Lissaspis", "Paraphrixus", "Glomeridae", "Brenthorrhinus", "Pteronetta", "Arecoideae", "Paracucumaria", "Salicola", "Inobsequentus", "Rotaliporoidea", "Suckleya", "Tydeus", "Schizopetalon", "Achelion", "Charassobatidae", "Californicesa", "Callynomes", "Platyretus", "Diradops", "Rugegius", "Smicromorphinae", "Phalangeriformes", "Ranthenus", "Cyphomyrmex", "Cactopinini", "Mertensia", "Paragnorimus", "Chlorissa", "Sagaripona", "Bicarinellum", "Pharyngomonadida", "Lissapterini", "Chironomini", "Coryphaena", "Goniaderini", "Caseasauria", "Paratritonia", "Cathartidae", "Oedancala", "Maritimibacter", "Herpotrichia", "Rhodiola", "Cephalopentandra", "Leproplaca", "Hymerhabdia", "Sphodropoda", "Cymodema", "Mccoskerichthys", "Pagasa", "Eurymelini", "Ogygotingis", "Lonchodryinus", "Stictane", "Arthopus", "Lymphocytozoon", "Douradoa", "Stenocephalemys", "Whoia", "Galathowenia", "Heterotilapia", "Pseudopolycope", "Camptoalatus", "Portenschlagiella", "Pseudanabasis", "Hydrelliaeucoila", "Glyptolepis", "Bathynataliidae", "Isobaculum", "Biramus", "Xystonellopsis", "Zodioninae", "Lispinomimus", "Teratophthalma", "Holoptygma", "Dactylagnus", "Acrodus", "Pseudoniphargidae", "Pseudorotasphaeridae", "NIFI", "Cyptodontopsis", "Holmerika", "Latuspina", "Pseudocneorane", "Kulacella", "Biscutulumnemus", "Phyxelida", "Amphotrombium", "Pseudiragoides", "Barreirosuchus", "Buccinanopsinae", "Thalassohelix", "Anomalosymtes", "Peniagone", "Sciadocladus", "Leonardoxa", "Macropodina", "Eucrypta", "Bohadschia", "Taxidiinae", "Cremnophila", "Paracorynidae", "Tikizetes", "Haedropleura", "Leptispini", "Phyllophorinae", "Eleusine", "Coniochaetaceae", "Preactiniidae", "Metabolus", "Zingiberoideae", "Procridinae", "Zelandoperla", "Horistonotus", "Nanophyinae", "Eucalanidae", "Tristiridae", "Tipularia", "Ictistygna", "Ommatomenus", "Acteonemertes", "Hermanniidae", "Buprestapolipus", "Pseudatteria", "Platyzosteria", "Chonerhinos", "Anemorilla", "Nitrospinia", "Pseudolesteua", "Hegewaldia", "Capraiella", "Gymnopleurus", "Azanza", "Nortonbelba", "Epirrhoe", "Galilia", "Fragiliella", "Megamyrmaekion", "Pemara", "Gondogeneia", "Asbolis", "Eunatalis", "Diplolaeviopsis", "Chauviniella", "Cestoplana", "Oscillochloridaceae", "Bambusana", "Pudahuelia", "Arborilispinus", "Compsothamnion", "Pseudosacculinella", "Stegelytrini", "Laginiopsidae", "Sylvanoplonyx", "Rummeliibacillus", "Pristigaster", "Scarabaspis", "Phrynichodamon", "Aplidia", "Austrogonium", "Dicynodontia", "Oxypyginae", "Memecylon", "Thyrsopsocopsis", "Synnympha", "Nippostrongylinae", "Alenatea", "Psammonsella", "Neolaeops", "Pseudolampona", "Rhizotrichidae", "Cycloites", "Bathocyroidae", "Oxypyge", "Priscorrhina", "Phaeothecaceae", "Cyclidium", "Stelamoebea", "Telchin", "Atelomycterus", "Palaeoclaviger", "Brankocleistostomidae", "Trichocoryne", "Pahora", "Amphoreus", "Typhlopinus", "Hartigia", "Stylosphaeridae", "Dictyurus", "Embonycha", "Dicranophoridae", "Phyllobotryon", "Pantopoda", "Liomopteridae", "Neoliodes", "Thermanaeromonas", "Cocoarota", "Callimico", "Oligoneurus", "Hexafrenum", "Rathayibacter", "Exeristeboda", "Lepidopleurus", "Acer", "Sicorini", "Pheronematidae", "Embolemopsis", "Creagrus", "Zelamarckina", "Anurognathus", "Nitzschielloides", "Actinosphaeriidae", "Scrobigera", "Nephropidae", "Neoglyphea", "Achatinellinae", "Duellmanohyla", "Microtralia", "Kenyatta", "Clauzadella", "Zaphymatocera", "Tospoviridae", "Splachnobryaceae", "Fromundus", "Ogawaia", "Tournefortia", "Actinocorallia", "Eptesicus", "Glaucosoma", "Lappanella", "Toleria", "Sprattus", "Dorcasiidae", "Aethesoides", "Oldroydiella", "Muhabbetina", "Formofentonia", "Paratikhinellidae", "Tridrepana", "Actinospicaceae", "Iphinoe", "Batodesmus", "Scapphodonta", "Parasphenina", "Hadromastix", "Huperzioideae", "Argyraspila", "Teutoniella", "Stenopa", "Messatoporus", "Alveolophragmiinae", "Nerophis", "Punctastriata", "Protomunida", "Stictonectes", "Labia", "Dendrochirotida", "Mecomacerini", "Hayella", "Paracucujinae", "Caymanis", "Aristelix", "Urocynchramidae", "Anoplonida", "Areekulus", "Haeckeliidae", "Wattianus", "Heteroglycyphana", "Delomys", "Plukenetia", "Typhloptilium", "Anophrys", "Thairopora", "Juxtalaelaps", "Leptobythus", "Cerocala", "Clavigerinella", "Mangroviflexus", "Micronucleariida", "Lasiococca", "Hypocala", "Scoliini", "Diadelia", "Notiohyphantes", "Discosorida", "Vanellus", "Neomicropteryx", "Allantoparmelia", "Wallacexena", "Pselaptus", "Halopegia", "Taccaceae", "Parkerioideae", "Calometridae", "Atympanophrys", "Pseudokahlerina", "Oedicerotidae", "Hylastini", "Souroubea", "Torobus", "Gardineriidae", "Pambolidea", "Kara", "Thermasporomyces", "Tretocalyx", "Florometra", "Tillyardophlebia", "Yeliconini", "Myrmeleontinae", "Dipsopsalta", "Leiothrichidae", "Anatragus", "Brachyspartus", "Kastamonina", "Heslertonia", "Angustephysis", "Polypterus", "Geobiastes", "Yukoniidae", "Wattakaka", "Mediastinia", "Arthropleura", "Florilegus", "Austrjapyx", "Provanna", "Azoricidae", "Chrysocryptus", "Ommatodema", "Parydroptera", "Afroleptusa", "Fiebrigiella", "Encalyptales", "Vanderhammenacarus", "Caledyschirius", "Pleurocrypta", "Campephaga", "Ophiomyia", "Madrasorites", "Hyalogyrina", "Tapinopa", "Pancoloides", "Murrayonidae", "Sermyloides", "Characidiinae", "Zapyrastra", "Ditremagenioidea", "Fabronia", "Cheilochanus", "Katiannoidea", "Isostasius", "Cylapoides", "Gammarida", "Podalyria", "Chorioactidaceae", "Blastopsylla", "Cabecita", "Bycanistes", "Bothriembryontidae", "Leptotyphlopinae", "Prototrupes", "Euholognatha", "Eocronartium", "Okedenia", "Globulotuboides", "Eucanippe", "Haemaphysalis", "Hanoniscus", "Dicrolachesillus", "Dimorphidae", "Pseudopyrenula", "Apocheiridium", "Lecanoromycetidae", "Vibrionaceae", "Coniceromyia", "Pleurodelinae", "Sundaitidae", "Diademadrilus", "Enacantha", "Blachia", "Microceratheta", "Neoturinia", "Bungea", "Pseudomeinertellus", "Thaumastellidae", "Anodontites", "Doenitzius", "Kosswigius", "Amrishronetus", "Passerella", "Truncozetes", "Ophiocentrus", "Lobosorchis", "Ceuroma", "Pedaria", "Poratia", "Polhillia", "Grapholitini", "Boethella", "Endosphaeridae", "Vieuella", "Omonadus", "Aprionella", "Psilodryinus", "Gattya", "Levibasis", "Aposericoderus", "Rosalinidae", "Rhynchopharynx", "Oreotragus", "Thelastomatidae", "Chelopistes", "Dolichomitra", "Sphinctotropis", "Plesiopinae", "Gamanthera", "Enracius", "Phalacrocarpum", "Lundellianthus", "Phasmatocoris", "Pseudoenopia", "Roundia", "Phaeomonas", "Cabra", "Ochrilidini", "Arenimonas", "Eudentalium", "Exomyocara", "Coproica", "Borreliella", "FURG", "Physodactylinae", "Calathotarsus", "Postia", "Megajapyx", "Unixenus", "Condea", "Licnodamaeus", "Canistrolithus", "Dextradonator", "Gaeotis", "Austrodolops", "Triuris", "Hysterocarina", "Stiropius", "Aneuretinae", "Fijiselloides", "Ruprechtia", "Geodiscus", "Cyanidiophytina", "Glaesaricallis", "Homeoura", "Loa", "Siphonicytaridae", "Keppenodinium", "Phrynoglossus", "Tapeinothemis", "Amphizonella", "Rhytidiadelphus", "Aristotelia", "Mysida", "Protomyzostomum", "Ianmoorea", "Proseconius", "Calaphidinae", "Eubergioides", "Actium", "Maschukia", "Ahmuellerella", "Octopicolidae", "Australosymmerus", "Nolavia", "Kirschsteiniotheliales", "Vescisalignus", "Paraqiannanites", "Nickimerus", "Metadimetrota", "Trimerolepis", "Pseudotriticites", "Thanatophilus", "Galeicles", "Densiporidae", "Montanabathynella", "Tretodictyidae", "Phytelephas", "Neocassidulina", "Dasytricheta", "Eubacterium", "Toxariales", "Endophyton", "Euschistus", "Taurocalocoris", "Skimmia", "Chloranthaceae", "Apareiodon", "Parancistrolepidini", "Bajauana", "Orthosorus", "Nadiasa", "Hadrophorus", "Quadrigula", "Piresiella", "Foreliinae", "Lobocystis", "Dapidodigma", "Kithironiscus", "Onthobium", "Acropisthiidae", "Paraplesiataenius", "Bradyina", "Ectoparyphidius", "Soerensenellinae", "Endobasidium", "Varicellaria", "Titanosticta", "Kuntheria", "Tilletiales", "Pyrianoreina", "Tigasis", "Rogeria", "Aquilex", "Clavulicium", "Parapamea", "Penjatinematinae", "Boros", "Bedfordiella", "Deinandra", "Biblis", "Melampodium", "Chloroglyphica", "Marina", "Raphimetopus", "Endogonaceae", "Andamookia", "Rhinomugilinae", "Neuropeltis", "Dorjia", "Lechytiidae", "Clystopsenella", "Perissobasis", "Lancia", "Carebarella", "Krogia", "Rhamneae", "Djebelemuridae", "Acritrombium", "Sarcotrichia", "Phyllidioidea", "Lophogaster", "Cibirhiza", "Gruvelialepas", "Cenocoelius", "Apollophanes", "Tya", "Mecasoma", "Goniotipula", "Protrichonyx", "Bouea", "Hyphydrus", "Annulariinae", "Pichinchusa", "Ophiocomoidea", "Trilocularenidae", "Olisthanellinae", "Ancistrosoma", "Welwitschiaceae", "Stenoplax", "Henicopamerana", "Gressittacantha", "Ladislavella", "Striginae", "Conotrochammina", "Tonkinaphaenops", "Lumacra", "Melanotinae", "Pseudothyretes", "Myersiohyla", "Oenopia", "Paronychieae", "Nemotarsus", "Habruprionovolva", "Psaltodini", "Celleporidae", "Stromatinia", "Typhloponemys", "Makrostrotos", "Pelomedusoidea", "Erythroseris", "Deroleptus", "Diphycerus", "Pareques", "Micromantis", "Browneopsis", "Homeopronematus", "Gymnapistes", "Isimerope", "Cosmophasis", "Vianathauma", "Hilaroleopsis", "Moerarchis", "Centrocestus", "Triacanthodes", "Acomopterella", "Barbitistes", "Serixiomenesia", "Boulengerula", "Cubilioides", "Afroeurydemus", "Polyblepharidaceae", "Actinacantha", "Rhabdoclytus", "Cambefortantus", "Megaceresa", "Amecomycter", "Polyerata", "Patroclus", "Orthognathus", "Borokida", "Euglena", "Paruparo", "Drosophantis", "Dimorphococcopsis", "Ctenotus", "Elephantulini", "Sareomycetes", "Mesocestoides", "Eulepidotis", "Protopteridae", "Hypopetalia", "Calochlaena", "Phrynichus", "Spinopterolophia", "Australoplacodoma", "Orionothemis", "Archedota", "Nidaliinae", "Ptinella", "Allosmerus", "Copa", "Heterokrohnia", "Gobioninae", "Abyssicaprella", "Heteralleucosma", "Buxbaumiales", "Robinsoniella", "Orthotrinacria", "Rhipistena", "Bulloidea", "Xenocalamus", "Cantharini", "Lessinodytes", "Lestignathus", "Merginae", "Chlorobaculum", "Kalligrammatidae", "Orininae", "Palaeosia", "Amalodeta", "Pachycephala", "Leicacandona", "Aesopida", "Eurycanthinae", "Sheilanthera", "Nierstrassia", "Nanometa", "Hypobletus", "Callithomia", "Hanguanaceae", "Pseudochromis", "Epaphra", "Trichieurina", "Virgulinellidae", "Protodouvillininae", "Ceratolontha", "Lophotriccus", "ZMSBUK", "Fossa", "Branchiophryxus", "Sellosaurus", "Alamatus", "Sphindocis", "Blenniventer", "Trogidae", "Luiseiidae", "Dermamoebida", "Balaenopteridae", "Aeneator", "Selenozyma", "Austriteles", "Oceanibacterium", "Pericapritermes", "Trapeliopsis", "Splanchnotrophidae", "Pselaphotrichus", "Linantha", "Physaleae", "Trichogorgia", "Euseius", "Volxemia", "Seculamonas", "Chrysopolomides", "Tomaculopsis", "Manoba", "Votomita", "Agnosia", "Virotia", "Nautococcopsis", "Chinemesa", "Macrocnemum", "Calderia", "Pluteaceae", "Coryzorhaphis", "Pachycormus", "Rumiceae", "Saurornithoides", "Haleciidae", "Cyprinotus", "Typhlocyptus", "Ellipsocephaloididae", "Tachyeres", "Clinotrombium", "Tetragonitidae", "Diaconisia", "Ginkgocythere", "Pseudalcathoe", "Dryophthoroides", "Xerodes", "Lantzina", "Endagria", "Pentadiplandraceae", "Anoplozetes", "Trellius", "Tychidae", "Magneuptychia", "Miltoniopsis", "Drepanosiphoniella", "Cetonurus", "Stauria", "Babyrousa", "Monaeses", "Pseudoglabellula", "Yanomamua", "Zalembius", "Polyblastidium", "Palaeolenidae", "Aymaramyia", "Doublesetina", "Dendrodoris", "Guaranius", "Riedelhygia", "Callichlamydia", "Lampridius", "Oniscidea", "Paiwarria", "Nodosoclymeniinae", "Paromarteon", "Teneriffia", "Sinophorus", "Serapista", "Ommatopteryx", "Galagania", "Monocelididae", "Caelopenetretus", "Asthelysinae", "Senobasiina", "Algathia", "Typhoniini", "Trogoxylini", "Circus", "Chlorocardium", "Strigeata", "Narcosius", "Compsotorna", "Chrysidiomyia", "Soldanellonyx", "Ozeoura", "Exulonyx", "Lapsiini", "Trevathana", "Laboulbeniomycetes", "Sapayoidae", "Difflugiidae", "Coelostomatini", "Melosira", "Burmeisteriellus", "Hospitellidae", "Liopleurodon", "Priceoconcha", "Spirolobium", "Symphyodon", "Lipskya", "Pariphinotus", "Dactylaptatus", "Entychides", "Cteniogaster", "Saldinae", "Sommera", "Hemitrioza", "Phymatoceros", "Thyreocoris", "Lissodema", "Trichophyinae", "Profilicollis", "Platypsyllinae", "Mormotomyiidae", "Diagrypnodes", "Microsaurus", "Limataphalara", "Pigrogromitus", "Neomoorea", "Immetalia", "Orchadocarpa", "Pteriliina", "Clionidae", "Quinvirinae", "Acanthopolymastia", "Macroasteropteroninae", "Synziphosurida", "Ephebella", "Sarococcus", "Granulacanthus", "Physogasterini", "Criniger", "Anacridium", "Mesembragrotis", "Discopus", "Aspidocotylus", "Pelmatosilpha", "Halammohydra", "Boreophyllum", "Homalaspidiini", "Labraxeudes", "Barilius", "Caecoonops", "Gyrophaenina", "Siberiodus", "Parajapyx", "Mychostomina", "Chaetopalpus", "Disteniini", "Huberia", "Teratocamilla", "Coreocarpus", "Sphaerellothecium", "Caenoplana", "Paramesogammarus", "Cleroidea", "Lundbergia", "Neaspilota", "Actinioidea", "Agrilinellus", "Eurymnus", "Campanulotes", "Aliuscanthoniola", "Hyalellopsinae", "Asternodea", "Lyriocephalus", "Polysporella", "Pseudocuma", "Caiaptera", "Uroniphargoides", "Filicium", "Exebotrigona", "Ichthyascaris", "Elaver", "Aylacostoma", "Tyromacrus", "Todimopsis", "Neodilsea", "Infulatartessus", "Thaia", "Palaeomolis", "Wilfredomys", "Petrognatha", "Vireolanius", "Pseudorchestoidea", "Afrothaumalea", "Andinostiba", "Iuati", "Helicodiscinae", "Pseudoploesoma", "Melidora", "Ecitogastrini", "Trichopselaphus", "Brachypus", "Eucommiaceae", "Batenia", "Frontipoda", "Islandinium", "Tympanoctomys", "Stauracanthocircus", "Limnodynastidae", "Xenothictis", "Cidaridae", "Scabridens", "Ladella", "Paraeustemmus", "Peramelinae", "Rhaphiophorasphaera", "Alavesia", "Heterodoxus", "Tominotus", "Haemoplotina", "Iyalepis", "Helluo", "Tomopterchasia", "Liadytidae", "Deroxena", "Luperosaurus", "Pareiasaurus", "Enterogonia", "Glaciarcula", "Bamfordvirae", "Kearnemalvastrum", "Scrobipalpula", "Nesophontes", "Curnonidae", "Macropodidae", "Geomysaprinus", "Fremontodendron", "Tetrameristaceae", "Microscytus", "Roella", "Coriobacteriia", "Anocellidae", "Pachycheta", "Proscissio", "Chrysaeglia", "Annectobracon", "Haloactinobacterium", "Nesodes", "Dorylus", "Bathyphylax", "Gaertnereae", "Umborotula", "Parascalops", "Delonicicola", "Archeonothrus", "Isacantha", "Calobatella", "Selenocephalini", "Prisopodinae", "Burchellia", "Rhagoderini", "Pinaciophora", "Clisiocampa", "Ereis", "Neovahlkampfia", "Neophenacohelix", "Posidoniaceae", "Stroemiellus", "Cretochoragus", "Oroides", "Pseudoeggerella", "Pontocyprididae", "Xanthoparmelia", "Tietkensia", "Pleurolidiidae", "Hypnella", "Cylindrolepadinae", "Mimatimura", "Insulacleidus", "Erythromeris", "Bensonocythere", "Amphipholis", "Trichonius", "Neargyractis", "Aetiocetidae", "Phascolion", "Notozethus", "Colobathristes", "Archegozetes", "Willkommia", "Pilaria", "Maracazercon", "Thalassinidea", "Dyscaris", "Micratopus", "Flavocetraria", "Vombisidris", "Extenuosodalis", "Mediala", "Notosphaeridion", "Tunza", "Magellianira", "Mangashtia", "Anapleini", "Dimerini", "Rhodesinella", "Pentadactyla", "Tangguoa", "Naonella", "Aplopeltura", "Kitanola", "Calezygocera", "Fulvisporium", "Lessertia", "Orbulininae", "Asemolea", "Strigileuxinini", "Dotona", "Didesmococcus", "Herpetosiphon", "Cycliophora", "Nestorilichus", "Ceratopogon", "Palaeoaphididae", "Leiosella", "Nautococcus", "Parallelia", "Decaphyllobius", "Vulcanops", "Rhysocara", "Humibacillus", "Longiclavula", "Stemmatophora", "Zyzzyzus", "Xoes", "Robia", "Bothynotus", "Xenocaligonellidus", "Aphengium", "Antarctobacter", "Protoribates", "Hipparionini", "Leuropezos", "Anisopliina", "Herzogobryum", "Lobaria", "Bokermannohyla", "Bassocaeciliini", "Phygadeuon", "Neacerea", "Harpadon", "Pristomerus", "Thelephorales", "Plistonax", "Bolbia", "Setomorpha", "Neofundulus", "Abia", "Oritrophium", "Pseudochirulus", "Huangyuania", "Dendrosicyos", "Rheiformes", "Stenotes", "Metopidiotrichidae", "Tetraphalerites", "Pierrecomperia", "Compsocephalus", "Boreobythus", "Cruzella", "Angaturama", "Thandarum", "Mimozygoceropsis", "Swainsona", "Proscinidae", "Miatharaea", "Narbo", "Trachelostylidae", "Trochiliopora", "Balanites", "Prorocentraceae", "Zeledoniidae", "Neolargulus", "Uromycladium", "Reesimermis", "Cardiochiles", "Hylobatidae", "Pachyascaceae", "Henicocoridae", "Dendroseius", "Textulariinae", "Catunaregam", "Baraeomimus", "Catena", "Suffasia", "Candobrasilopsis", "Caldinitratiruptor", "Trimerocaecilius", "Chiliotis", "Stomopogon", "Ostiophyllum", "Tolypanthus", "Pua", "Terrestricypris", "Achoria", "Harpidae", "Acalyptrata", "Ipomopsis", "Coelothrix", "Tetrataeniini", "Phthoraula", "Saurauia", "Bunakenia", "Dryadillo", "Cyrtostachydinae", "Cheleutochroa", "Cilus", "Lissodinium", "Collomia", "Andinichthys", "Muribasidiospora", "Nothogynus", "Siratus", "Echo", "Sternophoroidea", "Carpotroche", "Bembicieae", "Bicladinae", "Baxteriopsis", "Osedax", "Chelipodozus", "Calosoma", "Pyxicephalus", "Coelostomidia", "Kipferlia", "Phytolacca", "Xenojulis", "Cyrea", "Litosphaeridium", "Madrorgus", "Ephedrocephalinae", "Aphididae", "Anakrusa", "Cybaeota", "Lophospyris", "Hooperellidae", "Hemitelestus", "Gnophini", "Neojauravia", "Conochilus", "Diploptera", "Haplographium", "Castorimorpha", "Macroscelesia", "Ugnius", "Austrogneta", "Speleognathidae", "Heliobolus", "Cucurbiteae", "Notidobiella", "Bolbaffer", "Pyrenaeibufonaria", "Lamyrodes", "Paracamenta", "Paradiadelia", "Hommersandiella", "Gerrhonotus", "Carlesia", "Mecomodica", "Fignya", "Lentungula", "Metaegosoma", "Cardiobacteriales", "Geobacter", "Swenzia", "Mixojapyx", "Wimmeria", "Doryscus", "Rivetinini", "Digitogorgia", "Homeomorpha", "Myrmecina", "Marjoriella", "Oligoneuroides", "Orthrius", "Hausmannia", "Paterdecolyus", "Gnathopalystes", "Pseudospirobolellidae", "Euryphura", "Latifolliculina", "Lysichiton", "Sphaerodromiinae", "Allosauroidea", "Chalcogonatopus", "Eolepidopterigidae", "Icupima", "Physeterostemon", "Drynarioideae", "Archelaphe", "Pilamonila", "Zalinae", "Cedrus", "Rhythirrinini", "Andaspis", "Pelodiaetus", "Helluodes", "Pogoniotarsus", "Newtoniopsis", "Philhygra", "Discoasteroides", "Cinclocerthia", "Echinopleura", "Megymenum", "Saetosacculina", "Striopsylla", "Hypoplectrus", "Temnoplectron", "Noctusphecia", "Orectanthe", "Epiphile", "Guitarridae", "Pelodryadinae", "Rotaliina", "Cupressus", "Phacellula", "Unicosiphonia", "Azotostoma", "Saron", "Homalopetalum", "Goryphus", "Pleustoides", "Leptohalysis", "Notocirrhitus", "Scholtzicoris", "Anandroplana", "Phyllostictaceae", "Cacibupteryx", "Afrooreobia", "Dysolobium", "Leuconotopicus", "Myrmeciites", "Monhysteridae", "Thalassoma", "Anadora", "Trigonochloa", "Austroeupatorium", "Abertellidae", "Priscosyrrhoe", "Archaeoziphius", "Amblymelanoplia", "Dictyoptera", "Diomma", "Soalala", "Dictyochales", "Ligidium", "Larutia", "Peplomicrus", "Nolinoideae", "Tangius", "Globigerinidae", "Ousipaliaglossa", "Volva", "Paramamoea", "Buenia", "Ptychorhytida", "Phisetophallia", "Eurymeros", "Baissidae", "Isthmiade", "Ecitocerus", "Acidoton", "Melipotini", "Atimura", "Chilopsocus", "Pycnoplectus", "Nodubothea", "Paraheliosia", "Cracosna", "Genovia", "Boletineae", "Hesychastes", "Corynostylidae", "Alcathousiella", "Cryptolechia", "Pseudoceratinidae", "Buntoniidae", "Pyrgophistina", "Idaea", "Paracordulia", "Suasa", "Ciliofaurea", "Minyplanetes", "Congesmus", "Chaetocinus", "Sacculospora", "Helosciomyza", "Macrotrichopherus", "Nitrococcus", "Monoplia", "Leptaspidia", "Vegetia", "Amazopimpla", "Dunstaniidae", "Demirina", "Nevesia", "Caloglossa", "Micheleidae", "Cercomegistina", "Atacira", "Cohnilembidae", "Anisocanthon", "Pseudoproboscisporaceae", "Varidnaviria", "Miolachnosterna", "Oribotritia", "Entypesa", "Appeninocodium", "Pyrazus", "Bootanelleus", "Filientomon", "Autochthonus", "Melytra", "Lagocephalus", "Hexatheloidea", "Coccothrinax", "Helwingiaceae", "Karamea", "Tribolonychus", "Clypeopyrenis", "Mcleaniellinae", "Lebertiidae", "Pseudaugochlora", "Corioxenos", "Perisilvius", "Zygoribatula", "Orbitaphis", "Eburiomorpha", "Sensillanurini", "Asteriza", "Kinnocciini", "Tigidia", "Neobrachyactis", "Mittenothamnium", "Ciorulla", "Argonemertes", "Paraconcavus", "Alopecurus", "Juraclopus", "Uncifera", "Leptapoderus", "Gynotroches", "Spartium", "Laesthiola", "Allexis", "Atomosini", "Pseudophaeobacter", "Diplotaxis", "Loxopsis", "Thyridoidea", "Eoscaphander", "Dendropithecidae", "Cylindroniscus", "Paussopsis", "Tetragonocephalidae", "Eusipalia", "Batusa", "Saniba", "Phylloxiphia", "Bandringa", "Caulanthus", "Microdesmia", "Proculejus", "Ctenuchina", "Paramacrotoma", "Ambicocerodes", "Pseudobensingtonia", "Pegidiidae", "Euglypha", "Colacus", "Dasypsyllus", "Holomelia", "Astrotylus", "Caryophyllaeidae", "Acanthohaustorius", "Stenogastrinae", "Strigulaceae", "Dalaca", "Chaetoprocta", "Joenina", "Stenothoidae", "Popowia", "Simionescella", "Lucillella", "Rhopaloeides", "Limnosbaena", "Hosiea", "Paronellides", "Paratriatoma", "Luzonargiolestes", "Astrononion", "Clytraschema", "Eocathayornis", "Phrypeus", "Shillukea", "Alexteroon", "Ctenoluciidae", "Epicrisias", "Lobulovarium", "Apochiton", "Coelacanthoidei", "Metisa", "Paracreptotrema", "Halieaceae", "Pseudotristix", "Migas", "Pterostoma", "Nephele", "Dietta", "Chordariidae", "Cryptosporidium", "Licornia", "Araucariaceae", "Blissidae", "Hesperophilus", "Aptenia", "Aptychodon", "Pterolichinae", "Oerstedtia", "Staphylinini", "Virgo", "Malayepipona", "Multigonotylus", "Rhinolabia", "Canotia", "Hadrocodium", "Phagocytophilum", "Ellenbergia", "Syndiclis", "Platorish", "Cristoopsis", "Volutaria", "Tjaernoeiidae", "Actinotachina", "Fimetariella", "Metaphryniscus", "Okanagodes", "Micrattacus", "Unipomponia", "Epistreptus", "Syngeneschiza", "Parinus", "Leuropus", "Cardiococcinae", "Zumptiinae", "Magniscarabaeus", "Psilopholis", "Cereeae", "Lagnus", "Pseudostomella", "Neoschidium", "Termitonda", "Astartea", "Eballistraceae", "Cobaea", "Calomerella", "Mythoplastis", "Melasmetus", "Kinosternon", "Actinophytocola", "Trachyboa", "Polymixia", "Nannosalarias", "Dimares", "Trochodendraceae", "Subsaxibacter", "Beiyanerpeton", "Anthocercis", "Ydiellina", "Flammeascoma", "Coleoidea", "Gaboncydia", "Lepadogaster", "Ctenarytaina", "Hillea", "Bucanoides", "Richardsiella", "Midongya", "Crowea", "Glessula", "Togniniales", "Cheilotomona", "Dusenburyina", "Glenus", "Camptopsestis", "Leptopsilopa", "Lithornithiformes", "Limadendron", "Stigmacoccus", "Indomias", "Philoplitis", "Gallienica", "Genyophryne", "Lobanda", "Stylonematophyceae", "Agyrtolasia", "Notanthera", "Heteropia", "Antineda", "Cryptolepas", "Plateileminae", "Clitostylini", "Cryptorhagae", "Paonias", "Eumenotes", "Chlorodrepana", "Eryopidae", "Ayurakitia", "Dicraeosaurus", "Clypeobarbus", "Heteraspis", "Cabassous", "Tillacarinae", "Uredinineae", "Kaitawa", "Jenynsia", "Acedesta", "Ophiarachna", "Poiocerini", "Calguia", "Boldiaceae", "Massjukiella", "Ochrosomera", "Protodiniferaceae", "Phyllobiini", "Weberbauera", "Pseudophastia", "Cephaloinae", "Ptilophora", "Sabellomma", "Anibontes", "Daiconotrechus", "Brayela", "Thoostoma", "Usambaromyia", "Dynomiellini", "Oikomonas", "Proctophyllodes", "Bolitophagus", "Agrilochyseus", "Elateraecium", "Bivinia", "Hyaena", "Asciaporrectidae", "Leipsuropus", "Ariasina", "Peliochrous", "Belinda", "Crotaphopeltis", "Teratocephalus", "Metamunna", "Cossyphini", "Arachnidiidae", "Lerneca", "Anyphaenidae", "Palpotarsa", "Morimus", "Surendra", "Megacodon", "Sasanidus", "Lytoceratina", "Pantoporia", "Agriopocostella", "Hadropechys", "Helocarpaceae", "Phrissoma", "Paracanthon", "Blastomonas", "Pediocactus", "Acridinae", "Acanthoecida", "Chamaecelyphus", "Schoutedeniini", "Myrmeleonostenus", "Omochroa", "Dermophis", "Calochortoideae", "Pyroseiulus", "Dilocerus", "Paratenuisentis", "Taurimazocraes", "Verrucidae", "Ceratoteleas", "Indognorimus", "Orion", "Proisotoma", "Tiriteana", "Sporocytophaga", "Corynophyllus", "Petrolacosauridae", "Epidelus", "Eulacestomatidae", "Carapidae", "Neotanaidae", "Phalangeroidea", "Okeaninoscia", "Somatidia", "Phygelius", "Terrarana", "Eumayria", "Serrasalmidae", "Borealea", "Eurycheilichthys", "Australophanus", "Mimolaena", "Ladoronia", "Nicertina", "Turriplaca", "Copiellintra", "Oncotympanini", "Zundeliomyces", "Scoliquadracus", "Piromyces", "Borgmeiermyia", "Centrophthalmus", "Holodontidei", "Meloidae", "Brevibacterium", "Methanolacinia", "Dussumericola", "Sivapithecus", "Hyphaereon", "Paramphientomum", "Microlaena", "Njalkanola", "Deutereulophus", "Arsenurini", "Microsporopsis", "Scolytus", "Paracaryum", "Mansa", "Parada", "Copestylum", "Apaphristis", "Entomobryidae", "Dacerla", "Neurosporangium", "Balsameda", "Picophagales", "Sagrininae", "Straminopiles", "Stauriidae", "Grumiana", "Tegyrius", "Sinuitopsina", "Jordanthribini", "Nymphius", "Potos", "Ornatoscyllium", "Ceafornotensis", "Iolana", "Eucosmodon", "Mideopsinae", "Mexecheles", "Lacydes", "Cyclopeplus", "Eutelostolmus", "Parmenonta", "Ibidorhynchidae", "Columnariina", "Ovacarus", "Loeblites", "Aphycus", "Dromiops", "Myrtopsen", "Pireella", "Jezarotes", "Cuprella", "Propupaspiridae", "Melastomatoideae", "Asterope", "Lachnia", "Marteilioides", "Caingangia", "Asterolecanobius", "Hongshuia", "Plesiosauridae", "Resapamea", "Seguapallene", "Marcgraviastrum", "Ambonus", "Teiidae", "Ateleopodidae", "Asellariaceae", "Feralia", "Caveloblissus", "Eperua", "Rhizodontida", "Pseudocyclosorus", "Haploniscus", "Eucibdelus", "Kempfidea", "Epirixanthes", "Cephalobina", "Camptolepis", "Locustopsites", "Kuphinae", "Pentapedilum", "Teratodinae", "Sigibius", "Paracanthopterygii", "Iryanthera", "Leonis", "Aulacospermum", "Cotyperiboeum", "Muellerena", "Fusulinida", "Onagroideae", "Balanophoraceae", "Gynanisa", "Ceratolithus", "Asplanchnopus", "Saccharofermentans", "Ulochlaena", "Helminthocladia", "Zygaenoidea", "Metzia", "Coniocleonus", "Lasiotydaeus", "Neachryson", "Palloptera", "Amphiscirpus", "Microxina", "Holotrochus", "Euphytocoris", "Cycloplacolithus", "Edvardotrouessartia", "Psomocolaides", "Bactris", "Crocus", "Venerupis", "Metaplax", "Bradyporini", "Hesperornis", "Macrotinactis", "Pangora", "Miraverelliinae", "Scalibregma", "Artemisiinae", "Dericorythidae", "Cephalenicodes", "Gyrasida", "Fovealvus", "Meggoleus", "Ariolimax", "Acrocassis", "Protophenax", "Rickettsiaceae", "Cteatus", "Zellia", "Antarctaspidae", "Podorhabdus", "Neochrysoprasis", "Trentepohliaceae", "Chalcoteuches", "Saulomataceae", "Lichenosticta", "Pericladium", "Sylvia", "Agenjosia", "Indoscelimena", "Adiantites", "Jagrantia", "Asophrops", "Parademosoma", "Anaglyptothrips", "Dendrolirium", "Pseudorhombilinae", "Aphareus", "Herina", "Chlorizeinina", "Amoana", "Rajella", "Notoacmea", "Palystes", "Psocini", "Septifer", "Alexfloydia", "Pogonoperca", "Sorbinichromis", "Scrobiculus", "Succineinae", "Tanacetopsis", "Agraphini", "Stichocotylida", "Siphobigenerina", "Paragalaxias", "Kriechbaumerella", "Bathymodiolus", "Chelolepadinae", "Sinomorpha", "Livoneca", "Protimesius", "Echiasterina", "Thraupidae", "Chelonodoryctes", "Anaspidinae", "Psammomitra", "Anodontostoma", "Heterorhabditis", "Metagonia", "Diabolocatantops", "Michotamia", "Spirotrachelostyla", "Neodillonia", "Falsapomecyna", "Solifugae", "Raunothryallis", "Agasyllis", "Antongiliinae", "Lingulidae", "Marichisme", "Permopora", "Hoplocrotaphus", "Drakaea", "Crocodylidae", "Ellobiophryidae", "Quercusia", "Romitia", "Pachliopta", "Pericopina", "Trachypeplus", "Chlorodesmis", "Kryptoglanidae", "Thalassinoidea", "Rondonella", "Neoreticulum", "Systasis", "Amapala", "Pseudanophthalmus", "Acrotrichini", "Siphoniulida", "Alkalispirillum", "Prosciurillus", "Onychium", "Ammocibicides", "Rissoidae", "Neozygitaceae", "Bahamamiris", "Litoprosopus", "Pertyia", "Antidoryctes", "Myiarchus", "Capillopsocini", "Acalymma", "Acyphus", "Araeococcus", "Prochora", "Critolaus", "Ogyges", "Peltigera", "Blarinellini", "Phanerochersa", "Eporiella", "Allolathra", "Scydmobisetia", "Ophiotaenia", "Eolaxoporus", "Caridinophila", "Hycanus", "Castilleae", "Austromirini", "Callistomimus", "Glottulini", "Anaerococcus", "Tectasquilla", "Leptomicrurus", "Rhithrodytes", "Gambrus", "Chauliops", "Phtheirichthys", "Mesostaphylinus", "Pseudmelisa", "Trichoneura", "Phyllochthonius", "Nemertodermatidae", "Antillophis", "Anomoeotidae", "Adenostemmatinae", "Pathius", "Bradyinidae", "Pseudosiderocelopsis", "Oxyptilini", "Tessamoro", "Metanarthecium", "Rambites", "Prodidactidae", "Nosodendron", "Necrosciinae", "Aulixidens", "Onomastus", "Stramentopila", "Nothovernonia", "Acanthopseudomonocelis", "Tellervotrema", "Monneus", "Asparagales", "Americobdellidae", "Nyctemerina", "Tripedalia", "Ferrimicrobium", "Taenioderina", "Moellerodiscus", "Allocasuarina", "Chaetocnema", "Nesticus", "Titanosauria", "Medistylus", "Troxochrus", "Malotia", "Ptilichthyidae", "Azara", "Lobariella", "Selenochloris", "Loxophlebia", "Metrarabdotos", "Neosphaera", "Milanella", "Zatrephes", "Redtenbachus", "Trochoderma", "Sytus", "Habrobelus", "Larsonella", "Microdytes", "Acteoninidae", "Caryonopera", "Emuelloidea", "Ptilotrigona", "Gastrophrynoides", "Epichostis", "Opisthorchiinae", "Coretini", "Harpyopsis", "Steneotarsonemus", "Costera", "Lecideales", "Lampratheta", "Euhrychiopsis", "Ammocycloloculina", "Luciaella", "Buibui", "Amylocorticiales", "Rhynchoplectus", "Parhexapodibius", "Palliolisentis", "A\u00efstopoda", "Alteuthoides", "Nolineae", "Nevskiales", "Takydromus", "Bdellovibrionales", "Holocephali", "Chrysomelobia", "Loxostomatoidea", "Ascaphus", "Ramphastidae", "Chariessa", "Cyamops", "Pomerantzioidea", "Australartona", "Orbiperipsocus", "Perinotia", "Gemmiphora", "Agnetina", "Lygistopterus", "Psaltriparus", "Eoanseranas", "Bisigneta", "Pseudohyphozyma", "Selenophaea", "Elegidion", "Thyrsotarsa", "Schauenbergia", "Philothermus", "Kefersteinia", "Geogemma", "Garuga", "Desmotetra", "Gonimbrasia", "Eupatorus", "Lecythis", "Halosbaena", "Collybia", "Sphaceloderma", "Stictoptera", "Callonetta", "Icmalius", "Nectandra", "Phyprosopus", "Chrysotila", "Echeveria", "Afrosison", "Diomedea", "Dewevrella", "Rhodothemis", "Lindbergianus", "Postleniatus", "Rhyparochromomiris", "Acraga", "Baetis", "Playaspalangia", "Tribelocodia", "Polystenidea", "Regaliceratops", "Salagosa", "Meteorini", "Quezeliantha", "Tormentilla", "Attinella", "Planetina", "Cuculidae", "Trichothyrea", "Flabellammina", "Argentiniformes", "Ellipsopyxella", "Tropidopola", "Storenomorpha", "Oxyjulis", "Psiloparmelia", "Kupeantha", "Elasmodactylus", "Scophthalmidae", "Gonostoma", "Glyphidopeza", "Mnesithea", "Kumanga", "Ecitophya", "Leydigia", "Eorhipidiini", "Rhaphiomidas", "Pusillomyces", "Xenogyna", "Afeda", "Pentatropis", "Rhithrogeniella", "Litholampriminae", "Antrohyphantes", "Klimeschia", "Stauronella", "Lernaea", "Cercolophia", "Pansporella", "Odontothelphusa", "Microstroma", "Archimonocelidae", "Strophiona", "Odobenus", "Lutherella", "Dasynotus", "Yandangithidae", "Epitymbiini", "Roeslerstammia", "Plagiotata", "Gordoniaceae", "Occirhenea", "Helierella", "Epicedia", "Douvilleicerataceae", "Megalava", "Pararhynchocephala", "Dolycoris", "Desulfurispira", "Iranotherium", "Piezotrachelini", "Nazareammina", "Leptus", "Adamystidae", "Pseudogaltonia", "Ainu", "Sthenopus", "Raunotingis", "Loxocrepis", "Gahaniini", "Tingidoletes", "Coccotremataceae", "Woldenka", "Hamatolepis", "Erucaria", "Halicyclops", "Gaudiellidae", "Mniaeciaceae", "Placopsilininae", "Pyrgomorphina", "Zacharius", "Cnopus", "Lobothorax", "Eumegalodontina", "Psolidiella", "Cothurnia", "Arctia", "Vonkleinsmidia", "Loricerini", "Aliceathrips", "Alectroenas", "Brachymitrion", "CJ", "Spinibdellinae", "Wallaceaphytis", "Hondoniscus", "Spilopyrinae", "Noisettia", "Schizophora", "Andrzej", "Araphura", "Adercodon", "Serradonta", "Pseudoammodiscus", "Pandaridae", "Chlorhoda", "Streptostylinae", "Chondrorrhina", "Dandinus", "Diploglottis", "Ujna", "Phoneutria", "Gruinae", "Cruciptera", "Dolekiella", "Thailandoniscus", "Praepristus", "Paracyclocotyla", "Ditylus", "Parameira", "Asparus", "Nedina", "Famegana", "Parancistrocerus", "Haematophagus", "Hexagrammos", "Trochoaster", "Ballantinia", "Lucasianus", "Dianfosseya", "Chorizema", "Cliffortia", "Namalycastis", "Aschnaosorius", "Bartlettina", "Snodgrassella", "Edmockfordia", "Pelycothorax", "Perilampomyia", "Congriscus", "Zygaspis", "Mylodon", "Ventosimonadaceae", "Beatogordius", "Neoodax", "Chyzeriidae", "Heterostachys", "Colpotorna", "Toxodontidae", "Phemiades", "Rhopalomeces", "Psammolycus", "Acamatusinella", "Uralocoleus", "Niveocatharylla", "Kollikodontidae", "Taenidia", "Calochaetes", "Olindias", "Acizziinae", "Processa", "Asta", "Mimosicerya", "Berylsimpsonia", "Hemimeridae", "Bembidiomorphum", "Nectocader", "Misodendraceae", "Brevicorynella", "Uelia", "Anacardiaceae", "Drilini", "Neolithodes", "Ophioneurus", "Acritillas", "Pleosporales", "Porostylon", "Tucunarella", "Eremohadena", "Onconotini", "Quitmaniceras", "Austropotamobius", "Tainisopidea", "Salpingotus", "Didymophoridae", "Cleonini", "Pseudacaudella", "Parasabella", "Therybuprestis", "Jendekia", "Shinkailepadinae", "Trachylophus", "Forsstroemia", "Helicininae", "Dictyon", "Basitoxina", "Eulophonotus", "Acanthascus", "Mocyta", "Aspidogyne", "Diorchis", "Stenoparedra", "Metopiidae", "Mimus", "Geotrypetes", "Aerenicini", "Coniolachnus", "Chlorapion", "Notomulciber", "Callozostron", "Kermystheus", "Clothilla", "Allas", "Geesinkorchis", "Parascatopse", "Euparotrix", "Gynaikothrips", "Pseudotrimium", "Novaeglaucytes", "Obscuropterus", "Sphaerionillum", "Takracetus", "Eutrigaster", "Sulimskia", "Isocomides", "Praehyalocylis", "Placoma", "Climacostomidae", "Achatinoidea", "Trombidiformes", "Carodes", "Gallienia", "Alseodaphne", "Luidia", "Gathetus", "Pseudospingus", "Scincinae", "Argophyllum", "Arabshamshevia", "Carciliini", "Micranthodinium", "Ranavalidius", "Sciaphilini", "Dodekablennos", "Paradihammus", "Bacacephalus", "Katonia", "Dalyellia", "Prionoceras", "Pucciniaceae", "Alienates", "Entamoebida", "Zimmermanniella", "Zonaster", "Plagiotropus", "Circodiscus", "Deinonema", "Babiana", "Candelina", "Platyscelidae", "Auturus", "Posidonichthys", "Crepipatella", "Euphanias", "Acanthotaenia", "Stenotaphrum", "Metarbelidae", "Trachystegosoma", "Thuretellopsis", "Typhaceae", "Calycuoniscus", "Echidnops", "Glyphina", "Bythophyton", "Zamora", "Pseudodonghicola", "Lepidophyma", "Careliopsis", "Licmosphenia", "Biokovinoidea", "Ecpleopodini", "Styloconops", "Pliophloea", "Katianna", "Systenotheca", "Germalus", "Pseudovates", "Chaptalia", "Aspiorhynchus", "Theophilea", "Malacopteron", "Larsia", "Ptiloneuridae", "Xenos", "Abrostola", "Desulfovibrionales", "Proteininae", "Hampsoniella", "Ragliodes", "Leptodontaceae", "Symphyodontaceae", "Onion", "Sisyrinchium", "Pentagonurus", "Acanthonevra", "Antillusa", "Metohicandona", "Chaetobroscus", "Macruricotyle", "Cyanallagma", "Austrolippa", "Kirkiaceae", "Smaragdinomyia", "Chordodes", "Lobosternum", "Hypogrammodes", "Kata", "Globoides", "Erythrogonys", "Phyllodrepaniaceae", "Grangea", "Euryarthrum", "Ophiopogon", "Litothamnus", "Anginopachria", "Brachynectes", "Onchidiidae", "Babnormodes", "Trogichneumon", "Stauracanthidae", "Halecania", "Aclogryllus", "Planophilaceae", "Cidnopus", "Tetrameropseidae", "Demospongiae", "Heptagenioidea", "Suiadifflugia", "Peristrophe", "Endospermum", "Oleolophozia", "Neocorynura", "Totolapanus", "Brachypogon", "Aposthonia", "Styracoderus", "Praeepithemia", "Dobrogeria", "Richardsonianus", "Cosmosalia", "Pseudokahliella", "Euprocas", "Riedelia", "Mayulestidae", "Limnosia", "Wolframvirales", "Walkeriidae", "Biatorella", "Pararrhopaliidae", "Asiahesperornithinae", "Eualopiini", "Platyvelia", "Ceratomya", "Borearctia", "Blaptina", "Praelacazina", "Indomarssonella", "Nothoderodontus", "Waldochoerus", "Placoasterella", "Speodiaptomus", "Trichosteleum", "Eryxia", "Coffea", "Astymachus", "Konradus", "Sabatieria", "Hapsidophrys", "Paludistella", "Osellaebius", "Iphimedia", "Castillogryllus", "Teloxys", "Symeria", "Osmadenia", "Paraplatyptilia", "Chlorotetra\u00ebdron", "Allanicytidium", "Coenomyiodes", "Ambicocerus", "Archechiniscus", "Abrocomidae", "Eupilaria", "Pseudochodaeus", "Nivelliomorpha", "Fungiina", "Neorhyssemus", "Maculagonum", "Pyrocyclus", "Clanga", "Pseudosaldula", "Breviraja", "Sapajus", "Wambo", "Ceratocheilus", "Brasilionata", "Phodopus", "Trophomera", "Danuria", "Micaria", "AMES", "Pseudocardicola", "Fortunearia", "Phyllanthus", "Ipimorpha", "Tetrisia", "Aeria", "Aglaoctenus", "Triplochiton", "Paratachycampa", "Haimirichia", "Cottothucha", "Steenisia", "Bixa", "Dsungaripteroidea", "Mimognoma", "Milleporidae", "Orthogonys", "Psammodromus", "Austrolysitermus", "Leucophorus", "Leptandria", "Asio", "Chiromantes", "Pentatomoidea", "Heterotrichus", "Pavoninidae", "Nipponnemertes", "Plumaria", "Ochna", "Halotus", "Hepatocestus", "Onychocolax", "Aricoris", "Ceratopsion", "Komma", "Dictyosporiaceae", "Halichoanolaimus", "Ancinidae", "Sphaerastrum", "Platybregmus", "Cloniophorus", "Epigeotrupes", "Cyrillaceae", "Anaplectinae", "Calocteninae", "Amauronematus", "Paralia", "Aaadonta", "Lepidogryllus", "Brechmoidion", "Patula", "Systellopini", "Allogaster", "Triblidiaceae", "Pseudopterobryum", "Propertius", "Puelia", "Isanophis", "Partitiviridae", "Streptocerus", "Erfoudites", "Phymatini", "Benzingia", "Alasmidonta", "Ptychosperma", "Tichosina", "Gastrophanella", "Pseudingolfiellidea", "Rhizosphaeridae", "Locketiella", "Yelsemia", "Rhabdadenieae", "Triophtydeidae", "Xerolycosa", "Prismostictoides", "Godwanenneboeus", "Kuegleria", "Phratora", "Acmaeodera", "Aplodactylus", "Vassilczenkoa", "Elasmonematidae", "Cunninghamellaceae", "Hedgpethius", "Disconectes", "Craticulinina", "Acartus", "Graptopeltus", "Proconura", "Carphontes", "Anurolimnas", "Perithyra", "Linaeschna", "Didymosphenia", "Silicophycidae", "Sorsogona", "Sanziniinae", "Anisoptera", "Tarachephia", "Megaloptidia", "Protodrilidae", "Pinaroo", "Aporosa", "Climacospheniales", "Parallomicrus", "Metrioidea", "Colletteidae", "Hoshihananomia", "Aglaia", "Apolychrosis", "Zamarada", "Euseiini", "Oxygastra", "Rhodenigma", "Rhynchopora", "Hedylidae", "Libertiella", "Pseudosaproecius", "Halidesmus", "Myriotrema", "Phelline", "Palaephatus", "Hypermastus", "Scelodonta", "Plumariopsis", "Strongyleria", "Defluviitaleaceae", "Pycnota", "Alhajarmyia", "UMUT", "Phyllodoce", "Inkosa", "Goondnomdanepa", "Gnathosaurus", "Ardeocomus", "Porphyrio", "Platygonatopus", "Nosferattus", "Heteroteuthis", "Parthaea", "Rebilus", "Leella", "Procabacteriales", "Urophysa", "Yezocythere", "Ctenodus", "Alocerus", "Procerithiidae", "Atrichozancla", "Siphonodentaliinae", "Xerotrema", "Hirsutiidae", "Haroldiellus", "Electrophorus", "Antillocorini", "Adenolisianthus", "Polychisminae", "Euryope", "Enizemum", "Ratufa", "Aclista", "Isotoma", "Euderces", "Stethoconus", "Korshinskya", "Corynexochoidea", "Nornalupia", "Shirozuozephyrus", "Saccoblastia", "Enterocolidae", "Huaxiaphis", "Drimylastis", "Incola", "Tainisopus", "Mirachlaenius", "Caipirasuchus", "Gunillaea", "Hoplostethus", "Anomolyna", "Papuasoniscus", "Diploporella", "Lejeunecysta", "Histocidaroidea", "Porcellium", "Rimuloplia", "Permocupedidae", "Gnathiidae", "Anuronema", "Inachidae", "Lepidolaena", "Heterosubulitidae", "Regalecus", "Vanda", "Triaenodini", "Cypha", "Mesolabia", "Ophiomages", "Adna", "Dacampia", "Mastigophorophyllidae", "Protokalligramma", "Leehelea", "Chorosoma", "Pteronyx", "Biophytum", "Maklaya", "Tropicoptinus", "Nuytsia", "Naemorhedus", "Mugilidae", "Amitermes", "Omanoselache", "Capalictus", "Pedinellaceae", "Diceratias", "Dudusinae", "Aplysina", "Acrocerilia", "Brugerolleia", "Neorhizobium", "Asymoplectus", "Gluviinae", "Macroregonia", "Scapaniaceae", "Acrotaeniacantha", "Megalopsidiinae", "Allomantispa", "Epipeltephilus", "Ptychocylis", "Consepusa", "Veneridae", "Polythorinae", "Paedocypris", "Lindheimera", "Calyptrochilum", "Togopteryx", "Trichoptilus", "Itaquascon", "Pilumnidae", "Compsopyris", "Epiphanini", "Gymnodampia", "Ulomascini", "Phalaenostola", "Triclisia", "Augusteae", "Cepphus", "Trachyleberis", "Traquairaspidiformes", "Sipapoantha", "Typhlopoidea", "Deconychura", "Cleidostethini", "Pseudanoplocephala", "Cycloteuthidae", "Sympodothamnion", "Anatoma", "Eriocnemeae", "Mesothelae", "Hemicepon", "Afrixalus", "Archaeomartus", "Coccolepididae", "Lotinae", "Afroquedius", "Accacoelium", "Purpureicephalus", "Emplectanthus", "Aribatidae", "Mexicantha", "Chelolepas", "Homoneura", "Campylium", "Puyoideae", "Protolampra", "Cystammina", "Heterocerus", "Tabulariopsis", "Vitreochlamys", "Bothus", "Perryodendron", "Aotidae", "Gloeopodium", "Frondaria", "Acalypheae", "Trichauchenia", "Monocystis", "Paramoeba", "Chloracantha", "Ramalina", "Dikerogammarus", "Acnidosporidia", "Engyopsina", "Brachycentrus", "Cnemodinini", "Glochidinium", "Bacillini", "Puriana", "Crotopsalta", "Trilasmis", "Scatophagus", "Oideterus", "Euplectaleciina", "Baris", "Orbioninae", "Xanthisthisa", "Huntemannia", "Tilletiaria", "Branchiibius", "Cylindroxystus", "Epepeotes", "Helicteroideae", "Lamprocerini", "Showajidaia", "Arrowina", "Asteromyzostomum", "Rastrococcus", "Macrocyrtus", "Parastreptomyces", "Mitrogona", "Rhopalias", "Otostigmus", "Tryptodema", "Archakebia", "Ceratocaryum", "Kimunpsocus", "Microglycyphana", "Xyrodromeus", "Rhaponticum", "Sigmoilopsinae", "Ptychostomum", "Pseudopontia", "Smutsia", "Galeommatidae", "Calcodes", "Orodaliscoides", "Intralichen", "Neophylarcha", "Erysimum", "Hydrosirella", "Metopheltes", "Leloupia", "Amphistemon", "Lenzia", "Gavia", "Hispanocader", "Biwadrilidae", "Bunodeopsis", "Thoracosphaeraceae", "Octotropis", "Thecamonas", "Mecolaemus", "Atopospora", "Spercheidae", "Ceratopsia", "Cunaxoidini", "Bisacciidae", "Mycerinopsis", "Gyracanthides", "Schilleriella", "Trichoribates", "Xanthoporia", "Henopelecinus", "Macrembia", "Pseudocoeliodidymocystis", "Sida", "Trinathotrema", "Diposthidae", "Nirvana", "Terebriporoidea", "Confuciusornis", "Discomiosis", "Trachelopachys", "Steiractinia", "Hilpertia", "Remipedia", "Bathynema", "Echymipera", "Sphaerodoridae", "Acutotyphlops", "Thoosidae", "Zwackhiomyces", "Phyllisciella", "Corsiopsis", "Symbittacus", "Paradoxoplana", "Ueckermannseius", "Caecieleotris", "Serratitibia", "Tetraedron", "Venatrix", "Rhynchotechum", "Craspedopterus", "Afrodipnus", "Anthocoris", "Ischalea", "Pachydissus", "Multicrustacea", "Rhinoplocephalus", "Actinocoma", "Lusura", "Tubinella", "Bacescuma", "Liophidium", "Gehringiini", "Paralecaniini", "Heteracia", "Scaptobius", "Protocruziidia", "Indiachara", "Phrynocrininae", "Phalangiidae", "Acontista", "Monogonatopus", "Neohodgsoniales", "Pavetteae", "Trichohippopsis", "Hoplolabis", "Zyzzyxdonta", "Ctenostomina", "Neanurini", "Asiaheterospilus", "Toloella", "Shirakisotima", "Alphacrambus", "Taenia", "Afropelastoneurus", "Vitales", "Sikkimia", "Goniothalamus", "Heterogynis", "Pseudosericania", "Cryptoscenea", "Paratanaoidea", "Lepidobotryaceae", "Placocheilus", "Catinellaceae", "Lomanotidae", "Schistorchiinae", "Eurekiidae", "Allocunaxa", "Plasmaviridae", "Protomognathus", "Maculantrops", "Omphalopelta", "Neoxymirus", "Nyctophilus", "Cellepora", "Bombyciformes", "Cibicidinella", "Chrysomallos", "Eukrohnia", "Avatara", "Comovirinae", "Peripodisma", "Hetreulophus", "Eneodes", "Exomedon", "Coniopterygini", "Grammatonotus", "Oxymonas", "Pseudanos", "Dinaspidella", "Symbiodinium", "Homilia", "Bredini", "Brunia", "Madiza", "Neocaballerotrema", "Bromeae", "Damalis", "Yamadamyces", "Crossotaenia", "Raouliopsis", "Protojaniridae", "Oropallene", "Beana", "Clavus", "Stilbus", "Afribactrus", "Alexornis", "Symphodus", "Spirontocaris", "Coryanthes", "Dadagulella", "Tubulophilinopsis", "Oxythemis", "Megalosaurinae", "Kornmanniaceae", "Polymita", "Bellulia", "Chiasmini", "Asychis", "Tsacasiella", "Aponetius", "Gymnodiniaceae", "Amylostereaceae", "Halophilodinium", "Corvus", "Aguiaria", "Delopterus", "Millotia", "Codonocheilidae", "Xenoporadoceratinae", "Nothobartsia", "Calocaria", "Siebenrockiella", "Honduranura", "Cryptoconidae", "Belonoidei", "Pholeuodromus", "Praeviogomphus", "Atelozella", "Calomera", "Perispuda", "Doassansia", "Bryobesia", "Mimulus", "Aristobrotica", "Direconta", "Anoxynopsella", "Rhodohypoxis", "Nupserha", "Androceras", "Isocamenta", "Plakothira", "Camacinia", "Carnarvonia", "Tinerfe", "Kamalia", "Neochelogynus", "Iridrepana", "Pilumnoididae", "Rhinozeta", "Antennarioidei", "Smeringopus", "Scapheremaeus", "Cyrioxus", "Hypomesus", "Buteoninae", "Allobrox", "Augochloropsis", "Chariaster", "Birovilepis", "Bolttsia", "Angulomonas", "Ancylocera", "Mictocommosis", "Acusana", "Stenopterocorisca", "Barbatosphaeriaceae", "Ovios", "Halicephalobus", "Rhodomelaceae", "Pyrgomorphoidea", "Laurenciophila", "Pseudonocardia", "Siphodera", "Stilobezzia", "Setylaides", "Camptolomina", "Tropidion", "Amphisiellidae", "Marchandiomyces", "Odontodiscus", "Brachinodiscus", "Nalacetus", "Meiomenia", "Myrteola", "Serrognathus", "Dentella", "Kranzithrips", "Chlenias", "Heteraulacacysta", "Paratoonavora", "Nomadinae", "Ramicandelaberomycetes", "Syngnathiformes", "Lecananthus", "Glotzia", "Glabratelloidea", "Hymenaea", "Macrosiphon", "Cyclomini", "Polyphlebium", "Picrodoxa", "Odochilini", "Ciliosemina", "Plectopylidoidea", "Eremocossus", "Metagonatopus", "Spatholirion", "Didymothrix", "Illaenoidea", "Sphynctolethus", "Agrina", "Euplassa", "Amnicolinae", "Dendrella", "Atylidae", "Margites", "Trilobozoa", "Sinolacme", "H\u00fcber-Pestalozziamonas", "Wessonistruma", "Centrobvarium", "Andineptus", "Munidopsis", "Stolas", "Phyllophoridae", "Nymphon", "Horismenus", "Promops", "Steirodiscus", "Gymnocichla", "Spilopteron", "Matsumurina", "Ostreopsidaceae", "Nevskya", "Aspicerinae", "Schalleria", "Pachyrhamma", "Elisamoides", "Ischnothyrella", "Notochloe", "Zelomora", "Cupidium", "Berberidaphis", "Aglaphyra", "Ancistrolepidini", "Actinozonella", "Tissanga", "Lagisca", "Onychoprion", "Pteroclididae", "Trichomitopsis", "Campylostylus", "Glaziophyton", "Melopyrrha", "Chandrasekharania", "Meroleuca", "Ellipsolageninae", "Dameselloidea", "Minaria", "Mysteria", "Selenotichnus", "Klebsormidiales", "Sebdeniales", "Cryptomitrium", "Valeris", "Aemodogryllini", "Miscogasterinae", "Bathytroctes", "Skorlagad", "Kekihygia", "Hyalobagrus", "Diplodactylidae", "Tetramastix", "Tanepomidos", "Lycodon", "Sphaeromanus", "Aganope", "Azorhizobium", "Pseudognaptorina", "Cheiridiinae", "Wintrebertia", "Phaeoschizochlamys", "Oligochaeta", "Lampethusa", "Titiotus", "Entonyssidae", "Laevipilina", "Thriocerodes", "Rheumaptera", "Paulianella", "Amblyosporidae", "Sarcocystidae", "Psammolestes", "Pollexinia", "Thripsophaga", "Uritaia", "Pyropotosia", "Acrochordoidea", "Glenidion", "Actinia", "Rhynchogale", "Afrasca", "Karroonsyllis", "Platyprosopus", "Aploderus", "Tikoloshanes", "Sphaerocavum", "Hypoatherina", "Paracleonice", "Oedemopsis", "Selymbria", "Apostasia", "Goniomonadophyceae", "Entelodon", "Nemeobiinae", "Entomolepididae", "Heteromicrocotyla", "Quietula", "Gerpegezhidae", "Systellopus", "Tethyida", "Ptychocladia", "Allorbimorphus", "Proctophantasta", "Fasciphyllum", "Aspartimas", "Ricinulei", "Sphinctrinaceae", "Eutrephoceras", "Pachychaeta", "Pichonia", "Assa", "Scionecra", "Longipedicellataceae", "Rhithrocloeon", "Spanioda", "Neocorynophyllus", "Cratoxylum", "Sheldoniinae", "Camptoceratops", "Polystrata", "Plesienchelys", "Aporhynchidae", "Bavea", "Cyanoderma", "Teemenaarus", "Strophaeus", "Mycetophilidae", "Eutichurus", "Hydrurites", "Neomicrozercon", "Amietina", "Dyspharsa", "Sporhaplus", "Clinospermatinae", "Hierochloe", "Lindorus", "Alloeoneis", "Pycnonoticae", "Dorymolpus", "Dicoelothorax", "Psilochira", "Wedelia", "Sepidiini", "Paederini", "Trocheta", "Dielsantha", "Agriopocoscelis", "Vallisneria", "Macrouridophora", "Plasmophagus", "Ahasverus", "Solemya", "Ernoporicus", "Parisanopus", "Psammphiletria", "Desimia", "Suzelia", "Lonchura", "Mimectatina", "Tricholapita", "Warwickia", "Kukalova", "Stictophaula", "Stegostoma", "Brachyidium", "Coptotermoecia", "Pachytomoides", "Eumetulinae", "Phoenicantheae", "Denticollini", "Siciloniscus", "Serovaininae", "Sorapillaceae", "Ishikawatrechus", "Myrcia", "Subterraneobombus", "Alloteratura", "Lernaeosoleidae", "Delthyridinae", "Picophagus", "Zola", "Cumellopsis", "Eupegylis", "Anticharis", "Exoschizon", "Colimacoris", "Nephrozoa", "Rhombomys", "Borikenophis", "Kricogonia", "Borhyaena", "Chaetophorales", "Oreodera", "Seemannaralia", "Hydrometra", "Aeoloderma", "Paraparomius", "Fauveliopsis", "Dimorphella", "Araneibatrus", "Helicophagellina", "Altaioniphetodes", "Desulfofrigus", "Raglius", "Olpidiomycotina", "Mediova", "Ceratopsoidea", "Archoplites", "Intasuchidae", "Gorillibacterium", "Leucobaeta", "Crassisternalna", "Hololepta", "Buliminidae", "Spaniocentra", "Busbiina", "Cecidobracon", "Deckeniinae", "Bathyxiphus", "Duboscqiidae", "Neonympha", "Archaeolepadidae", "Cerapterites", "Hummleriella", "Beuroisia", "Dictyota", "Enkianthus", "Xylosteini", "MD", "Tanaia", "Mukaria", "Gnathoxena", "Malezonotus", "Himalagrion", "Rudolphiella", "Rhodotypos", "Drepanophycales", "Deremilla", "Hanseniaspora", "Witchelinamiris", "Ginsburgellus", "Eocoleus", "Meessiinae", "Alwiunia", "Morphina", "Hadrospora", "Aphyopsocinae", "Urosphena", "Antilochus", "Lozotaenia", "Ebelingia", "Minojapanella", "Caudichthydium", "Platyceroidini", "Paravireia", "Hormophysa", "Bradyporus", "Caraibops", "Cancriniella", "Petrimagnia", "Neothoracocotyle", "Labyrinthula", "Strongylognathus", "Pyrochlora", "Carinophloeus", "Phyloblattidae", "Chondriellaceae", "Parastylophrya", "Eldonnia", "Fonsecacicada", "Archosauriformes", "Eustomatidae", "Hodotermophilus", "Ecua", "Sinolapotamon", "Alepes", "Labarrus", "Anteremanthus", "Heza", "Paratrimma", "Barbicambarus", "Strubellia", "Rhizoecus", "Spongurus", "Crenarctus", "Braarudosphaera", "Adarrus", "Kokujewiella", "Brexius", "Hybrizoninae", "Argilophilus", "Anuraphis", "Hanseniella", "Kosmoclymenia", "Australerythrops", "Bryobiini", "Chonemorpha", "Sluiterina", "Loeseliastrum", "Euryporus", "Psittacula", "Antechiniscus", "Niponoprotaetia", "Galopinus", "Aneurobracon", "ECOCH", "Uthinia", "Cyphococcinae", "Schweinfurthia", "Parapeba", "Notoligotoma", "Poropeza", "Pterastheniinae", "Parapomempsoides", "Gymnusa", "Stomatobaculum", "Flamingomyces", "Eugnophomyia", "Lamprometra", "Balta", "Stenhelia", "Cryptanaerobacter", "Paraeuops", "Cruoricola", "Rotunosa", "Ilyonectria", "Excentron", "Smicromorpha", "Ophiderpeton", "Alchemilla", "Tamiosoma", "Acartauchenius", "Sinocaralosoma", "Vriesea", "Plutomerus", "Mitostoma", "Cassine", "Leacis", "Ectothiorhodosinus", "Nariscus", "Salwaea", "Pluribursaeplana", "Lygisma", "Kyopodiidae", "Stereomerus", "Curiades", "Goniomonas", "Dianopachysaurus", "Boniodendron", "Baphiopsis", "Geocharis", "Diceratocephalidae", "Rutidosoma", "Antriadophila", "Ponginae", "Passalinae", "Phrynomerinae", "Chaenomeles", "Hanburia", "Bembras", "Dindica", "Calciodinellaceae", "Nitrososphaeraceae", "Mysarus", "Bispiranella", "Palmophila", "Glomospira", "Manicocoris", "Pyrrostola", "Pseudosynanceia", "Pelecopselaphus", "Acrolophyses", "Mimaelara", "Fucales", "Pottsia", "Eolagurus", "Microthamniaceae", "Sesiidae", "Stiboges", "Ophiocamacidae", "Opisthokonta", "Mitragyna", "Peregriniidae", "Synapticolidae", "Domene", "Bathyaploactis", "Xylodisculidae", "Stilipalpus", "Nemegtbaatar", "Panturichthys", "Silonia", "Microtesta", "Gymnosphaeridae", "Parisognoriste", "Zetzellia", "Paranomoderus", "Schizopolybothrus", "Vuilleminiaceae", "Pentacrinitina", "Flustrellidrina", "Thuniinae", "Lycaugidia", "Neillieae", "Barcinus", "Deichmannia", "Clethrophora", "Carcinocoris", "Viridibacillus", "Cylichnella", "Neocyema", "Neocopepoda", "Petrea", "Brasilostreptus", "Parorthomorpha", "Scleropyrum", "Altha", "Biscutum", "Brachyphisis", "Dermestidae", "Antiphrisson", "Orthoseirales", "Medusanthera", "Digoniopterys", "Asthenognathinae", "Trichoserixia", "Myriopholis", "Chloroclanis", "Polylobinus", "Anaglyphula", "Bestiolina", "Proskauera", "Echinidae", "Riedeliops", "Falcula", "Neomyocoris", "Hamatofuhrmania", "Cochylis", "Phlox", "Prostomidae", "Hofmannophila", "Corynotopsis", "Synploca", "Hominini", "Vogesella", "Rhypholophus", "Choreonema", "Insecta", "Manipontonia", "Podostictina", "URP", "Rugilepas", "Ovaloparmena", "Trichomonascaceae", "MNHNC", "Hylozyras", "Notapictinus", "Lignophyta", "Ambracius", "Rhombocoleoidea", "Oroxylum", "Cotyschnolea", "Symphyotrichinae", "Tchadotragus", "Thomandersiaceae", "Phebalium", "Scombrolabrax", "Adelaidia", "Hyptia", "Nitophyllum", "Chondrodesmoides", "Nemoneura", "Ornebius", "Dolichoglyphius", "Eumacrocyrtus", "Stichaster", "Xanthophius", "Synechodontiformes", "Katahiraia", "Athermantinae", "Diadeliomimus", "Pediana", "Scandonea", "Neomiuraea", "Syndexamine", "Dicheirotrichus", "Lasiocladus", "Diascoides", "Elephantina", "Placidia", "Diademoides", "Intrasporangium", "Rhynchocyon", "Centrochilus", "Aptenobracon", "Fuxiana", "Cryptomastix", "Seguytabanus", "Plagiohammus", "Tsinaniidae", "Timidonella", "Eugonium", "Pasilia", "Poliomintha", "Classeya", "Collorhabdium", "Eoverruca", "Conocladus", "Pelagostrombidiidae", "Soapitia", "Pseudophlocteis", "Planispirinella", "Vermiculariopsiellales", "Parabolitophagus", "Spinosapseudes", "Ablechroiulus", "Eptatretinae", "Archaeospongoprunidae", "Ilyocyprididae", "Macrocyclidae", "Indobanalia", "Askeptoxenia", "Neolepadidae", "Nyttum", "Lundqvistomyces", "Perryus", "Carinosebenta", "Catoptrus", "Monnecles", "Cladoniicola", "Sclerophasma", "Paedaretus", "Notomochtherus", "Phorine", "Proahaetulla", "Epiplema", "Macrosemimimus", "Selenanthias", "Dimorphocarpa", "Scardovia", "Kerya", "Austinogebia", "Plioprojapyx", "Laubuka", "Oridorsalis", "Aspidosmia", "Oschatzia", "Thaumatopsyllidae", "Asemum", "Bihospites", "Rhynchopsidium", "Ammovolummidae", "Heribaudiella", "Tracheleuglypha", "Holoadeninae", "Arctoidea", "Carphophis", "Amaurobioides", "Vernoniella", "Planiculus", "Bernoullia", "Trogossitidae", "Thermovibrio", "Aspidobactrus", "Palaestes", "Arrhytmus", "Gratioleae", "Bafutalnina", "Pristoderus", "Vasicostella", "Acritoscincus", "Aliella", "Osphyoplesius", "Afrotelphusa", "Palaeobalanus", "Gnathifera", "Anaxyelidae", "Parachela", "Megacholula", "Choristopsylla", "Paracercomonas", "Stictonetta", "Kumba", "Elytrocallus", "Graphiolaceae", "Siphonotretida", "Nearctomeris", "Acteon", "Perupora", "Conicaudus", "Rajiformes", "Katoa", "Belonocystis", "Joostella", "Kangarosa", "Aoridus", "Dabatrechus", "Degalliera", "Tessellaria", "Chrysotimus", "Beronodesmoides", "Phalangium", "Trichillum", "Hokkaidocephala", "Pemona", "Triurideae", "Protoparce", "Alpinioideae", "Pseutettix", "Archipolydesmus", "Lasioptera", "Ranella", "Sandaracinobacter", "Hypomelina", "Phaudidae", "Keratroides", "Stenomorpha", "Metriona", "Aggregata", "Ameleta", "Chiapasophyllum", "Xenaroswelliana", "Paranelasa", "Siphamia", "Phaeostrophion", "Neopentadactyla", "Asemonea", "Erpornis", "Eoneria", "Anamedasina", "Diazomatolithus", "Cyme", "Rhyacophilidae", "Nephrotoma", "Alainopasiphaea", "Pseudochrysalidina", "Xeroheriades", "Tintinnopsis", "Coptommatini", "Netuma", "Bogenfelsia", "Puertoricomys", "Spathosternini", "Sambonidae", "Youngolepidiformes", "Austrophanes", "Heatherellina", "Hyphessobrycon", "Siphonotidae", "Salpichroa", "Heliopora", "Paroxyopsis", "Notothylas", "Palmorchis", "Caulolatilus", "Pityrodia", "Prolagidae", "Hybomitra", "Chironia", "Jocqueius", "Amphicoma", "Euglossella", "Lobellini", "Goniolimon", "Gaugainia", "Relistrodes", "Sagenidium", "Setosabatieria", "Neostusakia", "Sphaerophysa", "Aglaieae", "Notospira", "Harpiniopsis", "Poorani", "Ceratosphys", "Ecitoclimax", "Gonatogenia", "Turnaca", "Orthopterida", "Centotheca", "Atanatolica", "Joppidium", "Xenobrama", "Minchinellidae", "Delphyre", "Brykella", "Globulina", "Eucochlidae", "Fischerinidae", "Fallotaspididae", "Foliisarcina", "Aschistodesmini", "Campylotrochalus", "Scorpioteleia", "Apareophora", "Pseudosporida", "Bucephalandra", "Ptychoceratodontidae", "Bibloplectus", "Makarskiana", "Rubroserrata", "Dimidiata", "Salcediini", "Biseriammina", "Circulobothrium", "Saniwa", "Idiovalgus", "Acantheis", "Distocader", "Dermocystis", "Asioheterozercon", "Perognathinae", "Camptodiplosis", "Athetocephus", "Braithwaiteaceae", "Dresslerothamnus", "Electrapini", "Disinae", "Metrioppia", "Amblyopsis", "Pipile", "Ferrisia", "Oplostomina", "Tychobraheidae", "Metanophrys", "Euphyiini", "Neotremella", "Ischnocoris", "Leptagrostis", "Annandia", "Pleurodeles", "Archaesphaeridae", "Simorrhina", "Exasticolus", "Linanthus", "Nasuticladius", "Chersodoma", "Plaumannium", "Madagasgavrana", "Macreupelmus", "Choucentrini", "Pseudomontanococcus", "Spanglerodessus", "Dissostichus", "Orthomyces", "Thienemanniella", "Mediopsis", "Sosioceras", "Angustothyrididae", "Sphaeronectidae", "Microconilon", "Syringophilinae", "Grammosciadium", "Kilariodes", "Glareola", "Ochoterenella", "Audre", "Carijoanus", "Plexippinae", "Okella", "Thyropoeus", "Megamirioides", "Amphipterygidae", "Stephanoberycidae", "Erythraenus", "Phlebodium", "Crambeidae", "Bacanius", "Nosematida", "Naxia", "Enarthronota", "Hydridae", "Butis", "Desmopuntius", "Auroriana", "Diconodinium", "Inaechelys", "Dioptrochasma", "Glossocheilifer", "Minutacaris", "Exoxyomus", "Goplana", "Stauroneidaceae", "Sapha", "Newnesiidae", "Seegeriella", "Sthenelais", "Johannesteijsmannia", "Carcharocles", "Brechmorhoga", "Issikiocrania", "Tulbaghieae", "Thalassicolla", "Hadropinus", "Luctuosana", "Xoanodera", "Pitane", "Gnoristinae", "Chrysophana", "Croce", "Murrayonida", "Cyminae", "Aethocarabus", "Shinisauridae", "Dendropsocus", "Diamecyna", "Liocranoides", "Clydaea", "Taractellus", "Sinentomata", "Therocephalia", "Outachyusa", "Alabamina", "Ankylomyrma", "Protaspidae", "Typhloreicheia", "Camptibia", "Phyllothemis", "Leweslepas", "Petaurillus", "Anapidae", "Pseudoeuchitonia", "Blumeodendron", "Pericelis", "Delphinieae", "Cettia", "Munroa", "Kupeus", "Syncopacma", "Pachyiulidae", "Pentapora", "Coronura", "Oleispira", "Choreutinula", "Benitotania", "Chromolucuma", "Leptogryllus", "Campylophyllus", "Tambusa", "Flavitartessus", "Xanthodactylon", "Baeodrosophila", "Challengeridae", "Grymeus", "Mischococcales", "Xenotrichulidae", "Trichiopsammobius", "Drilonematoidea", "Melaspileellaceae", "Esslingeriana", "Mea", "Cyathopomatini", "Bravoa", "Mourera", "Pugionium", "Paranudina", "Colaspidema", "Hemisphaerella", "Scottanobium", "Platycnemididae", "Zamunda", "Lepidopterella", "Brochidium", "Nemastomataceae", "Nyanzapithecinae", "Dicomopsis", "Frutidella", "Paralipinia", "Isochromatium", "Coix", "Griveaudiinae", "Ademoneuron", "Phalarocarpa", "Euryptera", "Triuncina", "Procynosuchus", "Othinosmia", "Mugil", "Blanchetiodendron", "Recurvoides", "Yamatocallis", "Nesogaster", "Cepedea", "Schizocerella", "Cephalopholis", "Acantharchus", "Papuaphotis", "Chalcotheina", "Sparrmannia", "Yochelsonellis", "Ectolabrus", "Micranthemum", "Pseudoparomius", "Ommatocepheus", "Paraproto", "Dentagloborotalia", "OCP", "Farfugium", "Trichodryas", "Eufroggattia", "Halosauridae", "Cantharis", "Megalocypridinae", "Acalathus", "Simaethistidae", "Balocerus", "Spindalis", "Roseinatronobacter", "Cesariella", "Macropidini", "Marofusiger", "Metternichia", "Asterohedbergella", "Periphanesthes", "Cabirops", "Mercurana", "Silgonda", "Baculogypsinoides", "Barosaurus", "Hemithiridoidea", "Alloraphidia", "Cnemolioides", "Granulopsammodius", "Zamenis", "Elliottia", "Phyllocycla", "Macrophthalminae", "Spatalia", "Polymyscos", "Pachymeniopsis", "Erotylidae", "Xanthaptychia", "Acanthobdellinae", "Haematomma", "Bolbochromus", "Pleuronematida", "Aerococcus", "Telomyxidae", "Knulliana", "Uniyala", "Rhinorhynchini", "Cosmoleptus", "Ammoides", "Katodinium", "Elytranthe", "Lasiargus", "Cyclocibicides", "Ohtaekwangia", "Diplomaragnidae", "MHNCSJ", "Dryopidae", "Bathysa", "Neocoelinius", "Dicrotegaeus", "Pseudotrechina", "Oxytrechus", "Clarkiella", "Mikaniopsis", "Allopaa", "Laniarius", "Prithinae", "Chevrolatiini", "Criticonoma", "Auritidibacter", "Parecyroschema", "Hemidinia", "Chrysobotriella", "Rutilograptis", "Taeniacanthus", "Zandera", "Pacifithyris", "Hemlebenia", "Saloptia", "Crataegus", "Polymeria", "Batrochoglanis", "Leucosoma", "Eusphaerius", "Dictyocodon", "Mimodystasia", "Eurythoe", "Aploschema", "Pricemys", "Merlucciidae", "Pseudosindora", "Trachelas", "Kensleylana", "Graptoppia", "Sericulus", "Coelurosauravidae", "Palaeoryctidae", "Indogaetulia", "Palaeotrachyderes", "Citharidae", "Hasariinae", "Parasopubia", "Afrakra", "Salinigranum", "Divales", "Philomontanus", "Bubalornis", "Lysiphragma", "Discheramocephalini", "Listroderes", "Perrierophytum", "Longgenacris", "Darninae", "Polydesmidae", "Oxyplax", "Zanobatus", "Psephellus", "Chapischema", "Archaeoscina", "Somatocleptes", "Cuneipectus", "Hemieuryalidae", "Neuroleon", "Eloyella", "Curioseboda", "Endecatomus", "Parvuhowdenius", "Datanoides", "Aspidorhynchidae", "Anacampsis", "Pseudotyphistes", "Neosyntaxis", "Oecophyllodes", "Eobroscus", "Euodynerus", "Dorcatragus", "Euthyastus", "Chrysorabdia", "Cortodera", "Hildebrandtia", "Euphlyctinides", "Delphinidae", "Thalassolituus", "Nematidium", "Falsomycterini", "Bolboleaus", "Tadarida", "Porophila", "Psathyromyia", "Guiera", "Drakaeinae", "Talitha", "Sinomenium", "Cryptoscincus", "Amblyodon", "Naashoibitosaurus", "Sinomusca", "Pseudorhynchophora", "Cadiidae", "Metacallophyllis", "Dolicodon", "Stratesaurus", "Homophileurus", "Seiglieina", "Icelinus", "Zygotorulaspora", "Permochoristidae", "Uloptera", "Schizoplumularia", "Empectida", "Deloneura", "Echinolepis", "Pedicellinida", "Ruppia", "Macromeracris", "Weldenia", "Bychowskicotyla", "Derops", "Phyllotropis", "Opacibidion", "Macrothelypteris", "Weberella", "Caeculoidea", "Pycnodictya", "Acanthosphex", "Tholoarctus", "Dundaia", "Pseudocaecilius", "Beckerinini", "MZMU", "Leucodictyon", "Tapiloites", "Marcomesostoma", "Munychryiinae", "Chironinae", "Enarmonia", "Acumontia", "Scaridae", "Afrotrogus", "Caniongiella", "Palisadula", "Maura", "Saturnospongilla", "Dasypus", "Pogonopsocus", "Schizenterospermum", "Trichocalyx", "Tauya", "Imperialibacter", "Asthenargus", "Coptophilus", "Centotheceae", "Ceuthomantinae", "Sinaldocader", "Anthrenus", "Theropoda", "Dialeurolonga", "Cyclonympha", "Stilicastenus", "Scydmaenoides", "Paralophonotus", "Gastrophysa", "Herklotsichthys", "Davilanthus", "Roya", "Triconulus", "Ophicotyle", "Pyrrhula", "Occidenchthonius", "Cotyloatlantica", "Gaurax", "Sampaiozyma", "Tarphycerida", "Paramyzus", "Paenisporosarcina", "Austrolabrus", "Algorimarina", "Kuldsha", "Porina", "Massospondylus", "Actias", "Termitopulex", "Masuria", "Horodiscus", "Thlypopsis", "Elingamita", "Austrocapsus", "Eopharyngia", "Laiphognathus", "Hamonicoccus", "Cymatoceratidae", "Mesogalathea", "Neopelta", "Oomorphus", "Danielithosia", "Tamoya", "Macrocalamus", "Enyalius", "Bdellodes", "Jasarum", "Swynnertonia", "Pteronemobiini", "Phrosinellina", "Taraktomora", "Echinolaena", "Pelopidas", "Lepidepecreellidae", "Peckolus", "Dystactotylos", "Mispila", "Prosympiestini", "Asturoceras", "Mesosauria", "Oculotrema", "Enoplometopus", "Ctenophilothis", "Diarthrophallidae", "Schizopyrenida", "Palaeamathes", "Plonisa", "Escalloniales", "Heteraulacus", "Rhabdamoeba", "Papposphaeraceae", "Pachyna", "Glyptodontoidea", "Alleloplasis", "Peucedanum", "Entomobryinae", "Amijiella", "Jugosuchus", "Pseudocamaldes", "Paulinellidae", "Planispirillinidae", "Oreomanes", "Terebrogaster", "Dysidinae", "Neotheora", "Neophisis", "Coccovedus", "Gymnogobius", "Ophthalmosauridae", "Maya", "Excentradenia", "Biblarium", "Aulaconotopsis", "Geosesarma", "Pseudomystus", "Ataeniobius", "Chromatium", "Mitrospingus", "Lepidurus", "Synaenictus", "Parhydraena", "Loncophorus", "Macrosaristis", "Cunaxoidinae", "Lacinipolia", "Borneogena", "Trissocyclidae", "Philedaphia", "Ianthella", "Tricholinus", "Krameragallia", "Majeria", "Andrahomanus", "Proverrucidae", "Pseudomicroplus", "Neosycophila", "Rubelliina", "Parabrochymena", "Knema", "Pammenopsis", "Jessopocoris", "Acidodontium", "Aethiopodes", "Enchelyurus", "Tremellales", "Desmomastigaceae", "Eoanaphes", "Cynea", "Lamprophiidae", "Galemys", "Diabelia", "Eupistheria", "Paleosisyra", "Pachyserica", "Tropiopterius", "Adinolepis", "Macgregorella", "Ixonanthaceae", "Elattarchus", "Osmiini", "Pseudomenarus", "Scaphidister", "Pseudochelidura", "Aphelidiomycotina", "Seirospora", "Paranannopinae", "Serendipitaceae", "Veltheimia", "Acupalpa", "Carinoscymnus", "Desulfocarbo", "Aplysinopsis", "Palaeocryptogonimus", "Enyaliopsis", "Pentatrichomonoides", "Conicospirillina", "Mendesina", "Larisa", "Austroniphargus", "Cornutella", "Anomalomyrma", "Leskeaceae", "Styloperla", "Euryomia", "Adenanthellum", "Stylopauropus", "Parotia", "Listriella", "Ornithorhynchidae", "Savangia", "Perissodus", "Lituotuboidea", "Alloioneis", "Parthenopoidea", "Goetzia", "Steirosanchezia", "Baenidae", "Adscita", "Luehea", "Mionandra", "Litocampa", "Maaminga", "Dipleurosomatidae", "Aspiviridae", "Metaltella", "Clinocythereis", "Lolodorfus", "Hypolestidae", "Chilovorida", "Pareusphalerum", "Ashfordiini", "Calometopus", "Heptaleptus", "Anegleis", "Coomaniini", "Lobidion", "Karpatiosorbus", "Prianophthalmus", "Triacanthagyna", "Stenophara", "Huananaspidae", "Sulaimania", "Miradiscops", "Dexorini", "Cryptobotys", "Idotea", "Marelliinae", "Sphenoclymenia", "Muriculus", "Karrerulina", "Maotunia", "Owstonia", "Pherallodiscus", "Euxinita", "Schizodiscus", "Gigantocypris", "Moniliella", "Arcyophora", "Paramimiculus", "Miacoidea", "Myosorex", "Macrotomina", "Chelorrhina", "Bacidiopsora", "Goiginus", "Landiopsis", "Glossocarya", "Discophyllitidae", "Hesperornithes", "Oswaldella", "Plataninium", "Hemicyrthus", "Plumularioidea", "Cirrospilus", "Ferriphaselus", "Raptrix", "Hesperocodon", "Heteropneustidae", "Balsamocarpon", "Chaparea", "Lithocoris", "Palademosyne", "Ancistropsylloidea", "Zavarzinia", "Mimaspurgus", "Bothynus", "Schwabia", "Ostearius", "Acartophthalmus", "Apatelodinae", "Scolopendrellidae", "Coreoleuciscus", "Cylindromorphina", "Simplicimonas", "Holocephalinidae", "Jeholopsyche", "Dendrosomatidae", "Fayochytriomyces", "Neoheterocotyle", "Myersiella", "Perania", "Alysiella", "Jurapteryx", "Heterocoptidae", "Whiteodendron", "Paralysianopsis", "Procymus", "Emanrhynchus", "Paraxyletinus", "Beamys", "Oopeltidae", "Funiculus", "Chlorixanthe", "Pteroplistinae", "Cavanacanthus", "Frutillariotes", "Aenictopechys", "Pachysvastra", "Sejunctella", "Operophterini", "Plesiobrachylepas", "Dromicodryas", "Aploderina", "Heteromyias", "Nichallea", "Caledopteryx", "Jassa", "Garcia", "Augophyllum", "Cymatura", "Aphelonyx", "Uleiellales", "Tanystropheus", "Chaetopelma", "Astrocoeniina", "Pitnus", "Eumelea", "Nomindra", "Monotrombium", "Neoverruca", "Neostromboceros", "Carettochelyinae", "Calliergonaceae", "Themonocoris", "Acanthosiphonia", "Gramastacus", "Ensifera", "Paulchoffatiidae", "Diphysciidae", "Chelonomorpha", "Haementeria", "Platycorynus", "Oroya", "Proacrias", "Mimastra", "Chocrorhinini", "Arctagyrta", "Heitmania", "Saltasauridae", "Rygmostralia", "Coeloides", "Nidovirales", "Hampeella", "Finiclymenia", "Silicoloculinina", "Hemiauricula", "Pereziidae", "Comachara", "Hyaleucera", "Encyothalia", "Cheyletidae", "Terrestricypridini", "Asplenia", "Mystromyinae", "Moechotypa", "Epiphaxum", "Endroedia", "Syrmocerus", "Pimplini", "Chlorostauropus", "Hendeya", "Parapithecoidea", "Paromalus", "Adelgidae", "Capsala", "Leucostethus", "Kirschsteiniotheliaceae", "Myrmarachninae", "Methanocella", "Plesioaphaenops", "Synapiina", "Leptoclinides", "Dysectopa", "Notosyllegomydas", "Catopsis", "Cletoliturus", "Fitchia", "Acholadidae", "Cyathocotylidae", "Chiromachla", "Eirmopauropodidae", "Libanomphientomum", "Paracornulum", "Irelandia", "Stigmatopora", "Oena", "Devadattidae", "Eosopostega", "Mimoscymnus", "Psammodiscaceae", "Neurogymnurus", "Christensenia", "Maianthemum", "Tania", "Blatticola", "Dissoglottini", "Notharctinae", "Charadrii", "Acetabularia", "Rhinemys", "Monoblepharomycotina", "Lycopodites", "Cassolus", "Trilobitomorpha", "Parodoceratidae", "Nitrariomyiina", "Gymnobracon", "Notomeniidae", "Cristobalia", "Buchnera", "Furcifer", "Bassocaecilius", "Mexiaclina", "Paranepsia", "Hamayulus", "Masuriini", "Euchaetomera", "Gloiophloea", "Balanobothriidae", "Diptychocarpus", "Scleroplax", "Mappianthus", "Gigantiopini", "Fuettererella", "Pilbarascutigera", "Cookeconcha", "Trichophantasis", "Ameronothroidea", "Birdantis", "Megalestinae", "Chaetodactylidae", "Euvira", "Tillyardomyia", "Dobellia", "Lasiopezus", "Botryocampe", "Chrestomera", "Porzana", "Melampsorella", "Ilatha", "Karsenia", "Mesogona", "Pseudopalpares", "Cycloptilum", "Sibumbella", "Elvasia", "Vatellus", "Arripidae", "Apronopa", "Ocyceros", "Adenodactyloplana", "Thericleidae", "Raphignathus", "ISSN", "Gerospirifer", "Gordiospira", "Esemephina", "Polaruschakov", "Cyamus", "Myrmecobius", "Simonsiella", "Phalacropsyllini", "Oniscolepis", "Hypexilis", "Rhodoleioideae", "Anarchodes", "Dahlgrenodendron", "Aphelosetia", "Orectolobiformes", "Platnicknia", "Prospero", "Mucronianus", "Pseudocleonus", "Zelandius", "Eupterote", "Tellamia", "Chiloscyllium", "Theilera", "Chloroflexaceae", "Holophryxus", "Kempfina", "Jemadia", "Pontogammaridae", "Sapheneutis", "Dictyodothis", "Prosopochrysini", "Pseudoapterogyna", "Acanthosphaeridium", "Figites", "Trabisellus", "Aphtora", "Hispidoberycidae", "Delthyridoidea", "Sciopetris", "Stichodactyla", "Shangwua", "Calliarthron", "Aureophycus", "Abiskomyia", "Pristidia", "Langbianellini", "Schickendantziella", "Mendipsia", "Calpodina", "Hymenobia", "Epulopiscium", "Typhlocirolana", "Aphanactis", "Prosphyracephala", "Paravelia", "Fasciolidae", "Hypselothyrea", "Millardia", "Afromaimetsha", "Tribelocephalini", "Pintara", "Microcaliciaceae", "Minouxiinae", "Leptotyphlinae", "Calopterygoidea", "Zygophyllaceae", "Chrysococcus", "Acontinae", "Bothrocolpodes", "Amphionotus", "Tayassuidae", "Diozoptyxidae", "Waitatia", "Asarum", "Falga", "Pilinopyga", "Lesbra", "Clypeocoris", "Amantis", "Ceratiaceae", "Aillyoidea", "Adoliadini", "Parabarossia", "Gorgosaurus", "Malleecola", "Citharinidae", "Interthamnion", "Hirundineinae", "Oiketicoides", "Porosorotalia", "Valvobifarina", "Corymbus", "Timaliidae", "Trichocolea", "Eugerygone", "Macrozamiinae", "Melolobium", "Alloretochus", "Sicyinae", "Vigneronia", "Scotozous", "Opisthorchiata", "Kyrpidia", "Afronoserius", "Brachyrhopalini", "Nitophylleae", "Xenopterinae", "Ribautodelphax", "Timanella", "Hatamus", "Nostigmatini", "Chaetomnion", "Datiscaceae", "Certhiasomus", "Psilotricha", "Cystocnemis", "Andesobius", "Euscalpellum", "Cyrtotrachelus", "Isertia", "Karenina", "Platylophus", "Epicimelia", "Queletia", "Paramitraceras", "Celatiscincus", "Zoysiinae", "Bresiliidae", "Hyacinthus", "Alogolykinae", "Spriggina", "Pimpla", "Buchnereae", "Thysaniezia", "Volvopluteus", "Willowsiini", "Micaelamys", "Montatheris", "Leptoperilissus", "Pseudomelpia", "Krantzlorryia", "Phyllachoraceae", "Vitimiidae", "Issikiopteryx", "Synalpheion", "Megalodacnini", "Hypotrix", "Pararchipsocinae", "Psednos", "Loxoceromyia", "Allacma", "Cracidae", "PMR", "Pterophagus", "Dyspnoi", "Macrolenes", "Membranipora", "Utharomyces", "Neomeschia", "Batillaria", "Circinella", "Cerapanorpa", "Rhodomelopsis", "Wattiana", "Digrammus", "Venonia", "Scrupocellaria", "Tetranematichthys", "Colobocladus", "Peritapnia", "Schoutedenia", "Fulleroxenus", "Thiodia", "Phelix", "Harpendyreus", "Omoplax", "Taihape", "Elergella", "Magnapinnidae", "Palophagoides", "Boschalis", "Rhadinobracon", "Capitosauridae", "Teleutaea", "Ascodinium", "Marachina", "Serafinidae", "Cladia", "Schizomyiina", "Tropiochirus", "Spongopyle", "Acanthotrichaphis", "Pulchriplana", "Leptonychia", "Iaceornis", "Synchiropus", "Ogyrididae", "Endecatomidae", "Amphicoecia", "Treichelia", "Mimeuseboides", "Anakohnia", "Craoiella", "Midilini", "EI", "Ischionodonta", "Illapeliinae", "Nitrosospira", "Notoscelio", "Parathiscia", "Eleutheronema", "Omothymus", "Amphibolips", "Monodora", "Cladeutes", "Darthus", "Malouetia", "Copsychus", "Onychargiinae", "Bivincula", "Trypogeus", "Imtervirales", "Burmeistoplia", "Bannoa", "Carrerapyrgota", "Gloiocladia", "Mahura", "Maeropsis", "Neoaganides", "Melikertini", "Kunhardtia", "Bastardiastrum", "Heteroralfsia", "Eulepethidae", "Bacteroidia", "Inanibigutta", "Mitreola", "Meiostemon", "Pseudoconnus", "Tetramereia", "Sputoherpia", "Callenya", "Pseudeilema", "Anisocyrta", "Dehalogenimonas", "Heterohelix", "Vacuovalvulina", "Amphicyoninae", "Archigregarinorida", "Chirodactylus", "Dermanyssidae", "Fragilariforma", "Alkalimicrobium", "Nocarodesinae", "Dericorythinae", "Ricinocarpeae", "Boreoberthella", "Treanna", "Paraphanis", "Exostema", "Dapcodinium", "Maxburretia", "Clintonia", "Gambusiini", "Gonicoelus", "Nipponocypris", "Anomia", "Zambiana", "Tipulogaster", "Phragmanthera", "Eccrita", "Belnapia", "Nolaneae", "Eminella", "Cameronaptera", "Pseudoscardovia", "Oligosphaeria", "Jotus", "Farragona", "Pygoscelis", "Anisopodidae", "Cordeauxia", "Loculohypoxylon", "Soosiinae", "Thomasitaenia", "Eubaeus", "Hippotion", "Daemonoplus", "Eudesoides", "Savignium", "Euchorthippus", "Melobesioideae", "Crotaphytidae", "Ixerbaceae", "Zolimondta", "Crataraea", "Retetydeus", "Calletaera", "Trichohyalus", "Praecereus", "Telimenaceae", "Roepkea", "Raphidomonas", "Rhipha", "Amphientomum", "Goatacara", "Ananias", "Ochtheosus", "Apateticinae", "Neocharis", "Cameronella", "Versteria", "Reptantia", "Handmannia", "Austrophasma", "Piptolepis", "Paramyrmecoclytus", "Artemisiopsis", "Debeckeria", "Rhabditomorpha", "Eumerini", "Aldavemyxa", "Centrogaster", "Conculus", "Lastarriaea", "Paraleia", "Zarenkolambrus", "Johria", "Pycnosiphorus", "Paracosmia", "Diaphanopsyche", "Palaeoendomychus", "Typhochlaena", "Gallowayella", "Yasunia", "Orientalibombus", "Caecobarbus", "Zaptychius", "Spintheriini", "Flattoides", "Planophila", "Callocephalon", "Cetherinae", "Liagora", "Incacyrtusa", "Paranistria", "Paraeclipta", "Taikona", "Masturus", "Cephinae", "Auerbachiidae", "Dactylometra", "Hannabura", "Nikoliviidae", "Amoebotaenia", "Streblopotamia", "Disynaphiinae", "Leptosibylla", "Fijisella", "Tachidiidae", "Macrocyclops", "Dociraya", "Cratacanthus", "Canalipalpata", "Euclidiini", "Kantvilasia", "Dennyus", "Hemiscyllium", "Stylophoronychus", "Neotibicen", "Potamomusa", "Neocallicerus", "Urocleidoides", "Conradina", "Pteropignathus", "Hoplideres", "Pilichremylus", "Nimbus", "Daphne", "Walleria", "Cybocephalus", "Meropleon", "Flaveria", "Geogalinae", "Cyanomitra", "Chledocyon", "Syncoelicotylinae", "Hardya", "Epistathmus", "Rectijanuidae", "Tuboculops", "Laomarex", "Xanthophytum", "Dierlia", "Cirrhaea", "Paraleucothoe", "Lacuniola", "Garicaphila", "Bastianiidae", "Alepisauridae", "Lenisa", "Palatinella", "Apterygon", "Melinna", "Chaetocerotaceae", "Dahliaphyllum", "Piliocolobus", "Aeolochroma", "Tutufa", "Steganina", "Fusobacteriales", "Lixellus", "Chorotingiotes", "Paraconosoma", "Garryaceae", "Acaulopage", "Sloperia", "Diogenes", "Cratilla", "Incilius", "Paracyatholaimus", "Hoplosternodes", "Zeaxanthinibacter", "Pseudachillidia", "Sphingomonas", "Myzolecaniini", "Vinelloidea", "Pelekium", "Fourraea", "Pholeosilpha", "Osmiopsis", "Bathoxiphinae", "Anotimus", "Danielia", "Pseudaneitea", "Kupeia", "Liocyrtusa", "Azorelloideae", "Deelemaniella", "Meistera", "Plumariella", "Acoremata", "Stegaspidini", "Trebouxiales", "Haplanister", "Trigonophasmus", "Cyno", "Acanthocleithron", "Ornithopoda", "Raphidivergens", "Plethorchis", "Colopodacus", "Ontherus", "Minutisphaeraceae", "Dolichoropica", "Brongniartia", "Onychothecus", "Paramesotriton", "Thylacogaster", "Tubispirodiscus", "Acrothrix", "Cyrilla", "Rubritalea", "Mesanthophora", "Xossarella", "Indri", "Parazyginella", "Cystisomatoidea", "Phryganeopsis", "Koghiella", "Hypoctonus", "Fimbristylis", "Oltmannsiellopsidales", "Otininae", "Bathymoorea", "Pareparchus", "Tubastraea", "Cryptarcha", "Boultonia", "Narthecura", "Troglocyphoniscus", "Cathoplius", "Urvashia", "Alloptinae", "Elephantomyia", "Modicarventus", "Provonshara", "Stiphrosphaeridium", "Protochthebiina", "Pseudomelanconidaceae", "Brocchinia", "Eptatretus", "Sphaeranthus", "Cobana", "Paurolepis", "Bendisodes", "Haza", "Metacanthus", "Pelophylax", "Melobasina", "Oxyrrhinales", "Macrogenioglottus", "Euplocamus", "Phytobiini", "Stygotonia", "Prosphileurus", "Cylapinus", "Antalyna", "Stizocephalus", "Ablepharus", "Telmatherina", "Bamaroodes", "Porellales", "Aprivesa", "Craspedodiscus", "Pterostemma", "Lutfius", "Dicaeum", "Sciadionopsocus", "Metallyra", "Keraea", "Polyptychoides", "Ernestia", "Diplogynia", "Okileucauge", "Morseini", "Striatococcolithus", "Veigaludwigia", "Amydetina", "Ventilagineae", "Pampacythere", "STRI", "Moschidae", "Scaphiopus", "Pseudotrioza", "Hieroxestinae", "Jumellea", "Ascoviridae", "Snuella", "Montanazhdarcho", "Quetarsius", "Melba", "Iare", "Atraktochrysis", "Sphaerichthys", "Claudeeae", "Gynacantha", "Manangotria", "Aporobopyroides", "Agyrtes", "Chondrus", "Termitosius", "Jacarandeae", "Zelandoptila", "Chloranthus", "Streptopharagus", "Neochodaeus", "Afropavo", "Lophognathus", "Massarinaceae", "Smicrips", "Cathalistis", "Trichomaladera", "Coelogyne", "Episcia", "Mimovelindopsis", "Langelurillus", "Faginidae", "Archaeochrysa", "Chlorarachniophyta", "Alocentron", "Costasiella", "Polynoncus", "Palpiclavina", "Fontogammarus", "Mexiterpetinae", "Myioborus", "Paranyctimene", "Hyperbolus", "Gazalina", "Duthiastrum", "Etymalbaillella", "Salipaludibacillus", "Trachyjulus", "Triochara", "Cyanicula", "Vagna", "Rhizogeniates", "Groenlandia", "Syzeuctus", "Durgellini", "Cumella", "Ancoruncus", "Fibrocysta", "Trochomorphidae", "Opeatinae", "Zingha", "Rhopalura", "Lepasta", "Exquiplusia", "Gelyellidae", "Chilenodes", "Daihiniini", "Xylodes", "Undoneurina", "Paspalum", "Ficimia", "Metanema", "Cubicorhynchus", "Mallococcus", "Orectochilini", "Micropraonetha", "Megniniella", "Algitalea", "Tubiluchidae", "Sphyracephalini", "Marcus-kochia", "Ascoglena", "Paryphanta", "Hygromiidae", "Distenorrhinoides", "Iowanella", "Polyacanthorhynchus", "Huarpe", "Corixa", "Leptusina", "Metastenothorax", "Poitea", "Cassava", "Eusmiliinae", "Bobus", "Autographivirinae", "Ctenoplana", "Miniprionus", "Thelymitrinae", "Exacum", "Sinilabeo", "Cardallagium", "Hadrothemis", "Ropostrum", "Prasophyllinae", "Aleurodicinae", "Sigma", "Lestoideidae", "Histeromeroides", "Artorima", "Hispaniodirphia", "Peeto", "Vetuformosa", "Vescerro", "Medaurini", "Stenodera", "Gonypeta", "Nototrichium", "Solaenodolichopus", "Leninia", "Paraliodrosophila", "Lajoyeia", "Nitschkiaceae", "Leptodoras", "Fanovana", "Isopedella", "Dialommus", "Anystoidea", "Podolampadaceae", "Eleodimerodes", "Pseudoosternum", "Eutoxorhina", "Archaediscidae", "Ellerbeckia", "Mischocyttarus", "Radiatopses", "Kapiriella", "Danaidia", "Dimyoidea", "Reclinervellus", "Bhargavaea", "Ctenoides", "Limoniates", "Emelyanoviana", "Haematocarpus", "Teira", "Orthalicus", "Holophrya", "Tetrabothriidae", "Millotorbis", "Trochiscia", "Siegius", "Epidichostates", "Torquinsha", "Pogonini", "Caesulia", "Cytaeini", "Chaetostoma", "Lepidodendron", "Camposella", "Paramya", "Marinobacter", "Heterorius", "Gebrayelichthys", "Tovellia", "Phrynocrinus", "Gruberella", "Apocreadiinae", "Alloioplana", "Alasphaera", "Acineria", "Parascepsis", "Rhyacophylax", "Vertheia", "Atelerix", "Homorthorhinus", "Eugubinus", "Alniphagus", "Bourgoinia", "Valoniopsis", "Derostichus", "Australimyza", "Cornutientomus", "Hemileccinum", "Hauffiosaurus", "Notoplanides", "Saprus", "Rhizohypnella", "Immidae", "Eremothecella", "Ventilago", "Chilochromis", "Cystopeltidae", "Pholidoskepia", "Alycus", "Schyzocotyle", "Tachopteryx", "Ritra", "Prosiphonini", "Podotremata", "Kroenleinia", "Pholeuina", "Songius", "Micrechites", "Aptornithidae", "Pleonomus", "Mabea", "Peltops", "Parusta", "Anasceles", "Psilostomatidae", "Cotycuara", "Achyronychia", "Zygoneura", "Alloniscus", "Gattendorfiidae", "Armillaria", "Kingianthus", "Echinussa", "Cnemolia", "Pseudobaeospora", "Cenarchaeales", "Oopyramis", "Amphibacillus", "Abraeini", "Malawimonadea", "Riedelomyia", "Caryothraustes", "Prolimacodes", "Arcos", "Lissoxiphyda", "Anderseniella", "Macaroeris", "Acrothesaurum", "Ischnodermataceae", "Thylacosmilidae", "Echinotropinae", "OSUS", "Leptochilichthyidae", "Schaereriales", "Mintonophis", "Eleutheromenia", "Chlamydocapsa", "Sinodraconarius", "Isoetales", "Parhydraenini", "Porthidium", "Syzygitis", "Paramyxidae", "Riccardoellini", "Brimidius", "Colaciticus", "Eretmocerinae", "Gaya", "Punciidae", "Thaumatodryinus", "Phalacrocoracidae", "Myxinae", "Pachybracon", "Ocroeme", "Neotenophyceae", "Archilobesia", "Gibbasilus", "Trichophysis", "Falsivalva", "Neoplectidius", "Karreria", "Filisphaera", "Macrotolagus", "Nemipterus", "Styloperlidae", "Julia", "Cubispini", "Halosbaenidae", "Parameristomerinx", "Arctiini", "Hemichoma", "Gnathocharax", "Projapyx", "Hemiprotaetia", "Sepulcidae", "Janulus", "Rhipidantha", "Hamatocanthoscyphaceae", "Taoniinae", "Silphium", "Chromacilla", "Hydromermis", "Scillaelepadinae", "Kachinia", "Metacyclocaris", "Schizocuma", "Diontolobus", "Podemacrochile", "Domea", "Lycodryas", "Alzatea", "Aetheobdella", "Trevoneites", "Chudalupia", "Platyclymeniaceae", "Ixerba", "Leleupidia", "Timeparthenus", "Hylomecon", "Nabis", "Zonaira", "Orientodiscus", "Stephanopholis", "Vespadelus", "Famatinantheae", "Euwallacea", "Megathura", "Rheoheros", "Sillaginodes", "Tripterocalyx", "Microcacia", "Furcaspis", "Adachia", "Proteromonadidae", "Lamproglenoides", "Udopteryx", "Jakobia", "Neocilnia", "Unilacrymales", "Faradaya", "Lemyrea", "Neoecetes", "Anisitsiella", "Heterozercon", "Spizella", "Frontoniidae", "Amplexoporina", "Yasunimorpha", "Eurychasmataceae", "Pseudocorynus", "Ditropidus", "Smiela", "Pseudarietitinae", "Trabala", "Acutoppia", "Gbroidea", "Anaspasis", "Camissoniopsis", "Nicandreae", "Epibolium", "Emblyna", "Kimboraga", "Tusukuru", "Protopenthalodes", "Ischnocnemis", "Porcellanola", "Ototropis", "Thiobaca", "Afronemacheilus", "Illiberis", "Meonidina", "Sitotroga", "Achilixiidae", "Taiwancylis", "Elaptus", "Oncholaimida", "Brachaspis", "Australocaris", "Podoprionella", "Galloromma", "Metallactulus", "Microbotryomycetes", "Duvernoia", "Coelalysia", "Protagrypnini", "Omphalapion", "Psilotrichopsis", "Ahpua", "Pebasiconcha", "Trichys", "Terebratellidina", "Websdaneaceae", "Picarola", "Holostephanus", "Myopegma", "Dicyphus", "Arthrogyra", "Ponticotrema", "Saltia", "Myotyphlus", "Mesembriomys", "Saccolaimus", "Stenopseustes", "Euplocaminae", "Compsoceridius", "Pleurococcus", "Phasmarhabditis", "Periaptodes", "Psychodula", "Acantholimon", "Urogyridae", "Oreina", "Gulosibacter", "Lamprocyrtis", "Shilovia", "Tappesia", "Hymenostylium", "Quadrulella", "Tricalamus", "Liebetanzomyces", "Deutzia", "Taonura", "Pterocephalidium", "Ega", "Nesothrips", "Natsiatopsis", "Pterastericola", "Limnorhyphidae", "Scatopsciara", "Psilotreta", "Exocoetidae", "Idiommata", "Erythromelana", "Syringophiloidus", "Pleiospermium", "Actinobaculum", "Latronema", "Callimenellini", "Hypomachilodes", "Poecilagenia", "Orussidae", "Cretitanaidae", "Chelonotini", "Cleretum", "Habralebra", "Pediobius", "Afrotrioza", "Diangelus", "Charana", "Brykia", "Eleusininae", "Endertia", "Coccodontidae", "Metridinidae", "Verongiida", "Achaea", "Pseudeumicrus", "Ingaseius", "Choroterpes", "Ommata", "Conoscelis", "Evax", "Lethaeastroides", "Claduncaria", "Ithomia", "Thorakochloris", "Parahercostomus", "Ehrnsbergeria", "Spitrasaurus", "Janira", "Lemuropisum", "Amazophrynella", "ZVC", "Effusibacillus", "Ramussia", "Deretrachys", "Megalotylidae", "Diochlistinae", "Alloplectus", "Closterus", "Dendrochilum", "Anomoeomunida", "Lycoria", "Triplophleps", "Skujamonas", "Paratupua", "Radicilingua", "Aeronemum", "Beryx", "Leiosauridae", "Diplopleurus", "Firminus", "Catoptria", "Urochroa", "Apodini", "Carpoglyphus", "Xispia", "Calypsophontodes", "Liojoppites", "Schausiella", "Ophioperla", "Hyellaceae", "Paraferrisia", "Spongosaturnaloididae", "Micranops", "Harpiola", "Euepicrius", "Pseudohydrophilus", "Ctenosquamata", "Perkinsozoa", "Andropterum", "Tessaria", "Spiranthinae", "Tribelocephalinae", "Baissorhynchus", "Scordalus", "Acanthoperla", "Gastrosaccinae", "Tachypeles", "Panachraesta", "Kolenetrus", "Coronigonalia", "Brasilucanus", "Lonchidiidae", "Acidoxanthopsis", "Fenwickia", "Nemastomatales", "Amelacanthus", "Ramapesiini", "Marginellini", "Jantinella", "Protrama", "Lacosominae", "Miersia", "Lophiola", "Bifarilaminella", "Geniadophora", "Australimyzidae", "Roestelia", "Bracteacoccus", "\u00d7Calammophila", "Bruskmoal", "Annonoideae", "Incalvertia", "Peromelissa", "Massospora", "Anacrabronina", "Knersia", "Falcarius", "Spirogardnera", "Bathycestus", "Neohallia", "Mammitinae", "Claassenia", "Phasmatonycteris", "Peniculistoma", "Chionomys", "Bubonoxena", "Carneiola", "Carpanthea", "Anthocharini", "Diploxenus", "Orecta", "Austroxestus", "Cyclophyllum", "Acizzia", "Dulcedo", "Protomarssonella", "Cyphoscyla", "Jerseyempheria", "Parurosoma", "Phaeoxantha", "Patiria", "Tropidera", "Spirapertolina", "Filibacter", "Macracanthopus", "Typhlodromus", "Syncola", "Sphaerobulbus", "Probreviceps", "Epipedesthus", "Elusimicrobiaceae", "Sphagemacrurus", "Conaliini", "Acanthobdellida", "Podopina", "Baerenschenkia", "Morellia", "Paraphyllum", "Gamasellidae", "Tricliona", "Sphaerotheriidae", "Gariwerdeus", "Sauromys", "Pedetontoides", "Borneostyrax", "Bodilopsis", "Melanocossus", "Neophyllis", "Gredzinskiya", "Saukiidae", "Ocnophilella", "Leptosalda", "Omphale", "Urophonius", "Aclastus", "Brevimunda", "Zamiineae", "Gandalfus", "Triphassa", "Echinochrysis", "Stilbosis", "Lycomedes", "Agroiconota", "Paraplectogyra", "Nucifraga", "Haidara", "Granata", "Adercotrymidae", "Odontosiana", "Neobartsia", "Jiaoyu", "Penthoscapha", "Dolichovespula", "Tacazzea", "Braga", "Pythoceropsis", "Urothoides", "Ochropacha", "Acroneuriinae", "Pseudarhaphes", "Satanoperca", "Leptopterna", "Senegalia", "Adeshoides", "Balaustion", "Ancyla", "Ventriculus", "Mamboicus", "Gonocercidae", "Neotingis", "Miracorizus", "Libyoclanis", "Arenonionella", "Graphocaeciliini", "Pattersonella", "Orthoplectinae", "Nelcyndanini", "Pyrorchis", "Prainacerca", "Longicaudinus", "Zaitunia", "Robert", "Esenga", "ESC-QU", "Ochsenheimeriinae", "Gymnosoma", "Amblyanthus", "Lapita", "Cinclus", "Thylacoptila", "Aphanolaiminae", "Lonsdaleiinae", "Balna", "Chrysoteuchia", "Keronidae", "Culicivora", "Cleptornis", "Schismatomma", "Hetaerina", "Thamnaconus", "Amorinii", "Meringosphaera", "Clarkcoma", "Therasiella", "Aucana", "Alicella", "Cynotherium", "Parabrimus", "Cyanoptila", "Plerotes", "Vaginella", "Romjularia", "Prasionella", "Glyptomina", "Stygiomyces", "Dipsosaurus", "Chlanidophora", "Ctenidia", "Celatogloea", "Seicercus", "Nesaeoduvalius", "Paratesum", "Chlorella", "Dinembia", "Amallectis", "Cryptoperidinium", "Neomirandea", "Hyalinarcha", "Idioneurula", "Dexiini", "Gondwanatheria", "Olisthaerus", "Demonax", "Trichosmaris", "Ptichodis", "Rebutia", "Megascelidini", "Pterodoras", "Hemierianthus", "Montrouziera", "Hepadnaviridae", "Xenostryxis", "Collyris", "Sanguinobolus", "Hippotragus", "Orchistoma", "Gallotiinae", "Nemestra", "Cladosterigma", "Petrotogales", "Dromaeosaurus", "Hydrelia", "Trigonopyxidae", "Heterotermes", "Neocoelidiini", "Yoshimuriella", "Aspidapiini", "Calacarus", "Episiphon", "Phoebus", "Aynia", "Svastra", "Caerostris", "Parapsilotarsus", "Pannellainidae", "Vatricania", "Colotrechnini", "Phippsia", "Microplectus", "Thayeria", "Spermatobracon", "Xenochlorodes", "Afromarengo", "Rollulus", "Peroideae", "Ophiomusaidae", "Stenobarichneumon", "Benguelasa", "Syntretellus", "Spermozorinae", "Araecerus", "Myiopsitta", "Oreomydas", "Ceratostema", "Coniella", "Commatapsis", "Monsanima", "Foetidia", "Isostichopus", "Kuglerina", "Stymphalus", "Hellwigia", "Macdunnoughia", "Scopelengys", "Horridipamera", "Olynthus", "Tetranchyroderma", "Glyphotes", "Epeus", "Hepaticites", "Apotolamprus", "Spirogyromyces", "Hexapodoidea", "Pseudotriccus", "Lasiurus", "Coscinodiscophyceae", "Properipsocus", "Scutare", "Entomostoma", "Scolizona", "Diakonoffia", "Paryphopterus", "Microweisea", "Plusiinae", "Diplopanax", "Sobralieae", "Xerophyllini", "Paramachaerodus", "Fashenglianus", "Soeuria", "Aphoenops", "Vansoestia", "Pakirinae", "Dendrostreptus", "Sinosauropteryx", "Atelocynus", "Dracophyllius", "Moniliellaceae", "Mesognathariidae", "Theocotyle", "Rinaldiella", "Limbodessus", "Pleuroziaceae", "Lepiceridae", "Oopterus", "Redfieldia", "Dicyphococcus", "Aphidopsis", "Paroplapoderus", "Eschaneustyla", "Catopina", "Uncimenia", "Wrightoporia", "Chitinozoa", "Rhynchopolipus", "Electrophorella", "Morawitzia", "Boletellus", "Lepturginus", "Helicophallus", "Semecarpus", "Spalacinae", "Lygosominae", "Palpacylophorus", "Arpagodus", "Zivkovicia", "Hospitalia", "Glossostemon", "Doryctinae", "Neptunomyces", "Gravesia", "Conopea", "Mauritiobrium", "Luisierella", "Gibbovalva", "Legousia", "Fodinella", "Gallojapyx", "Torneucerus", "Condrustella", "Agathiphaga", "Myrocarpus", "Centrocoris", "Alpopsyche", "Rillyini", "Eucalosphaera", "Kickxia", "Cletopsyllidae", "Octamyrtus", "AHU", "Zancleopsidae", "Breviatea", "Quadrula", "Janusiscus", "Stigmatodiscaceae", "Jalapyphantes", "Lecanicephalidae", "Leiarius", "Chrysotilos", "Arundinaria", "Bharathella", "Allotopus", "Cosmelieae", "Ranzania", "Eulagius", "Andesaurus", "Sociosa", "Xylofornax", "Penicillophorini", "Pseudoscabiosa", "Grosvenoria", "Ophrys", "Anomalocystitida", "Aphyarctia", "Bifora", "Aterpina", "Ascotolinx", "Palliolinae", "Cordylostigma", "Asterocolax", "Lipotes", "Nisaetus", "Hexocera", "Afrofulvius", "Phoebastria", "Delesseriopseae", "Hulda", "Schizoprymnus", "Hyphomicrobiaceae", "Stenomastax", "Anticoryne", "Pisaura", "Lophothamnion", "Canepaia", "Hebichneutes", "Eurycryptus", "Nevianipora", "Pleioplanidae", "Nataloma", "Zygrhablithus", "Retteneciton", "Frieleiinae", "Hemerocoetinae", "Boleometra", "Parribacus", "Patrinia", "Paracercion", "Planorbulinoidea", "Todaroa", "Vietnamocalamus", "Drepanococcus", "Thymallinae", "Bertiaceae", "Heligmomerus", "Trypetocoris", "Malagiella", "Acropomatidae", "Uvularia", "Coralibacter", "Chanidae", "Reuda", "Hoplestigma", "Plagioraphe", "Kaffovatus", "Proeulagus", "Hylaeiti", "Streptacididae", "Stegolepis", "Cryolevonia", "Hesperolinus", "Tetranthus", "Plectorrhiza", "Anameristes", "Ardis", "Propliopithecidae", "Epiptilodontis", "Struthionidae", "Temnopleuroida", "Gongrolophus", "Stictosia", "Marinithermofilum", "Iga", "Euleptorhamphus", "Metriotrachelus", "Aulosphaera", "Lobogonus", "Pogonus", "Monteitheolus", "Trachystohamus", "Helianthemum", "Aethodelphax", "Anthonomocyllus", "Airinae", "Bombiliodes", "Cyclogomphus", "Eriophyini", "Blattodeaphagus", "Nucleocercomonas", "Siphini", "Acritomorphini", "Arbutus", "Platytenerus", "Conochitininae", "Wilkens", "Asperaxis", "Montrouzieriellus", "Penicillidmus", "Nassaria", "Diplasia", "Ewekorolaxis", "Trigonostemoneae", "Neoheterobothrium", "Metaceronema", "Leptoteratura", "Cristulospora", "Poecilasthena", "Damalini", "Xeropsamobeus", "Paracraga", "Acedestiini", "Bibloplectodes", "Gretchena", "Serranillus", "Hexacentrinae", "Gufria", "Nogatopus", "Vomeribracon", "Plataplochilus", "Rothevania", "Agamodon", "Cupedoidea", "Densospora", "Proconiini", "Parahypenodes", "Zaghouania", "Miniargiolestes", "Nudaurelia", "Evandromyia", "Cardiosyne", "Sparedrus", "Madaechinopus", "Bathyditrupa", "Argentinidae", "Hebdomactis", "Palassomyia", "Abaria", "Dimastiglossa", "Platocoelotes", "Oligospira", "Myrmotherula", "Tenebrio", "Agenium", "Dactylina", "Bootanomyia", "Oncotheca", "Digitaria", "Amycini", "Helictopleurina", "Scythropopsis", "Sinicossus", "Anubis", "Thalassomysini", "Andersonoplatus", "Gordoniella", "Deontacylix", "Thremmatinae", "Engelmanniinae", "Badidae", "Megalostylus", "Sphaeroneda", "Oreella", "Coranthus", "Trematolobelia", "Oechalia", "Suberanthus", "Eucocytiinae", "Pseudohaje", "Boesites", "Tremaster", "Anemallota", "Rauschoides", "Neoshirakia", "Sponginticolidae", "Butyricicoccus", "Amathuxidia", "Hespellia", "Glycomycetaceae", "Stefania", "Wilkesia", "Sympecma", "Rhinochelys", "Ctenopaederus", "Pericampylus", "Granulaptera", "Circumplusia", "Diochus", "Ladinulidae", "Clemensodon", "Ampliphax", "Phaeoptyx", "Opisotretidae", "Imitaria", "Chrysodeixis", "SAIAB", "Pseudophoroidea", "Macropsyllidae", "Mimocorus", "Osmodermatina", "Umbilicosphaera", "Traginae", "Jingchuvirales", "Caesalpinioideae", "Australina", "Adapterops", "Ehrenbergiulva", "Manganeutes", "Talaromyces", "Clivocampa", "Erethistidae", "Neonetus", "Malagassycarilia", "Tobiasiana", "Acrisinae", "Cotyledon", "Abrochocis", "Leucippus", "Plutella", "Gnathostomula", "Hoffmanniella", "Hughleechia", "Goniosomatinae", "Buergeriellidae", "Cranopoeus", "Regalia", "Oligopogon", "Pseudomonocelis", "Silybum", "Latineosus", "Yezoceryx", "Mayaphaenops", "Tragulidae", "Thomasinella", "Evarcha", "Nipponothrix", "Elusimicrobium", "Megalurothrips", "Perlucidibaca", "Trinema", "Cryptocelides", "Nemocoris", "Suidae", "Centroderes", "Orithyiidae", "Artemidorus", "Boodleopsis", "Panorpodes", "Zaireichthys", "Neochalcia", "Aemocia", "Panurgini", "Heteroflorum", "Graecoarganiella", "Ataxia", "Berguecythere", "Lobochaetotarsus", "Loensia", "Sillaginopsis", "Acanthofrontia", "Maarrka", "Trychnomera", "Carpocanistrum", "Coelolotis", "Faroinae", "Argodrepana", "Catacolea", "Jaffuela", "Xenofreini", "Lophomucter", "Agariciidae", "Dryinus", "Tetratermus", "Testudo", "Dirinastrum", "Megacephalosaurus", "Lyophyllum", "Bulimactaeon", "Greenideinae", "Neofustiger", "Laricobius", "Quasiborelis", "Pappophoreae", "Unguicrypteria", "Lathropatus", "Metrotyphlini", "Setositibiella", "Tyleria", "Ponomarenkylon", "Rhyacophila", "Rhopalapion", "Pholidochromis", "Spongasteriscus", "Euphyes", "Cypraea", "Eurotamandua", "Norix", "Zaprochilus", "Lanthanomyia", "Blastocladiomycota", "Hoffmannanthus", "Psammodontiformes", "Oxylidia", "Bimia", "Rojasia", "Rondoniellina", "Kukulcania", "Tanzanipholis", "Maxwelliella", "Jarilla", "Curculapolipus", "Astrotrichilia", "Philodendreae", "Nothoceros", "Saxegothaea", "Prismosticta", "Compositermes", "Calliaster", "Margaroperdix", "Triteleiopsis", "Stenarctia", "Aglaspididae", "Caribeanellinae", "Trichipochira", "Arnoldiellina", "Balgus", "Elathous", "Phaloria", "Caecianiropsis", "Stenometopiellus", "Liagoraceae", "Phelpsia", "Scaria", "Crustomastix", "Kalotermitidae", "Erwinius", "Drassyllus", "Teriomima", "Zygon", "Brailovskiocoris", "Dalmanitidae", "Kokiriidae", "Pionea", "Rudolfiella", "Esperanza", "Conchogneta", "Oligolepis", "Eosilla", "Oxygymnocypris", "Helcon", "Anchisaurus", "Lomatothrips", "Diacrolinia", "Polyposthides", "Encarsia", "Stygnocorisella", "Jantaritambiini", "Deianiridae", "Dysmathia", "Irundiaba", "Australothis", "Pastor", "Tasiocerellus", "Rhegmatobius", "Hesperophylum", "Alampla", "Megalopaederus", "Hybolasiopsis", "Dictyophrynella", "Cranfillia", "Maoriconcha", "Atimia", "Teratoleptura", "Ornithophagini", "Tendra", "Anaglyptus", "Helionothrips", "Psychristus", "Discleroderma", "Thyromolis", "Epeiromulona", "Coniopteryx", "Triplectidinae", "Fallceon", "Spongicoloides", "Trichophrya", "Dictyomorpha", "Shilinotrechus", "Coptoptera", "Hua", "Eupneusta", "Toona", "Ecuadorusa", "Pegidia", "Electrocrania", "Macroglossina", "Kalocyrma", "Diporochaeta", "Coscinodiscanae", "Aposycorax", "Cavognathidae", "Euheresiarches", "Micropus", "Noronhomys", "Paracorupella", "Malaysphena", "Playfairina", "Chromocallis", "Cleantioides", "Trinodes", "Turritellella", "Gonoropterus", "Lepinaria", "Choanolaimus", "Eremospatha", "Tortacella", "Latouchea", "Pseudotrabisoides", "Bunopus", "Nodosinella", "Chaetoderma", "Xoridesopus", "Elaphurus", "Paratontonia", "Maydena", "Tinearia", "Paraphysomonas", "Omphalotrix", "Lagurus", "Heliotropium", "Ceinidae", "Lecanopsis", "Misthosima", "Dinurinae", "Paralimnellus", "Allardia", "Ruspolia", "Oxuderces", "Tachiniscidia", "Bryobrothera", "Eumyinae", "Elaphodelphax", "Arthonia", "Pliolampadidae", "Wimmerella", "Metaleptobasis", "Saturnispora", "Neostrengeria", "Anacropora", "Sozusa", "Palaeotextularia", "Macrococculus", "Michaelmoelleria", "Ancistrops", "Bopyrinina", "Exalloniscus", "Protarchella", "Chilepyris", "Dilophochila", "Conulariidae", "Chilobrachini", "Caparaonia", "Leanchoilia", "Cheletomorphini", "Rhodopseudomonas", "Eriphyla", "Mantalania", "Philodendron", "Zoramia", "Citharinella", "Eresus", "Diarrhena", "Rigelini", "Polystroma", "Sinobatis", "Zeugomantispa", "Microtachyporus", "Progonia", "Torremiroella", "Paramigdolus", "Coccygidium", "Pachysoides", "Malaulipeurus", "Aspidepyris", "Pterophanes", "Araeoncus", "Chiloglanidinae", "Melicerita", "Asaccharospora", "Pentapogon", "Duckesia", "Rungaperla", "Cyclaspoides", "Neoglyptus", "Metriophlebia", "Giraffatitan", "Piriforminae", "Tiromerus", "Prototractomonas", "Elesmoides", "Teratopactus", "Isocladiella", "Eudevenopus", "Chamitataxus", "Lingafelteria", "Myothorax", "Sorbia", "Plegaderini", "Colonanthes", "Stirotarsinae", "Kanikipa", "Leptestheriella", "Desmomastix", "Mayrellinae", "Phisidini", "Glyptosterninae", "Scutomegninia", "Toxopneustidae", "Dalmina", "Metallica", "Aphanommata", "Maragopsis", "Phasmaviridae", "Alloeotarsus", "Batyrosaurus", "Leleupirinia", "Stenocerini", "Hibana", "Hasteulia", "Athyriaceae", "Cylindroxystini", "Cassidulinitidae", "Afrotyphlus", "Ge", "Centriscops", "Anisodesmus", "Calvitimela", "Tropidomyrmex", "Mecodina", "Nepanthia", "Secotium", "Platonia", "Lepidokirbyia", "Notostira", "Cyclostephanopsis", "Selenodes", "Myrmisaraka", "Leptocampoplex", "Cristorhodopina", "Cylapofulvidius", "Bivalvia", "Psacaliopsis", "Humiria", "Lissia", "Medius", "Bermudezella", "Xenostylus", "Strychnos", "Disphericus", "Stenopsychinae", "Megalograptoidea", "Mohapamea", "Pholidotominae", "Nomada", "Montezumia", "Koerberiaceae", "Oecidiobranchus", "Stamnodini", "Lethrinops", "Radoszkowskiana", "Mesumbethemis", "Prorivulus", "Serpentoplasma", "Kirgisellinae", "Peltogastridae", "Pirdana", "Dolerolenidae", "Neoliomera", "Sphaerammina", "Rhipidiaceae", "Conolagena", "Amadotrogus", "Iuaca", "Meiacanthus", "Mastigamoeba", "Maesopsis", "Chlorizeina", "Furnarius", "Cletoscellus", "Acentronura", "Histriobdella", "Yinentulus", "Una", "Setiostoma", "Echinosphaerella", "Iophanus", "Medusantha", "Parathelodus", "Ischnuridae", "Adoncholaiminae", "Phallopsocus", "Parydrinae", "Lamponoides", "Hainanmezira", "Lagenoderus", "Metzgeria", "Leucaspius", "Eupalopsellus", "Hypolepis", "Roppisca", "Polychaetus", "Paraglycia", "Penaeus", "Bulbostethus", "Podomys", "Arytainilla", "Edgeworthia", "Neopterodonta", "Incarvillea", "Catopsolius", "Pseudophanias", "Barcoplana", "Megipocerini", "Neotherina", "Dissomeria", "Pimelia", "Wohlfahrtiina", "Derophthalma", "Lygromma", "Ungnadia", "Microsporomyces", "Harpellomycetes", "Paranomus", "Millaa", "Cimeliidae", "Tornidae", "Plumichiton", "Reunionia", "Archimyza", "Tinginotopsis", "Qianotrechus", "Nephus", "Chlorocorini", "Leipanthura", "Sinotrichocera", "Antimerina", "Corythoderini", "Weeksiidae", "Thapariellidae", "Peroara", "Crobylanthe", "Microdarwinula", "Rhodophyceae", "Timonella", "Meseridae", "Cyphorhinus", "Aprominta", "Neoceratodontidae", "Pentacerotinae", "Omoplandria", "Neochromis", "Risobinae", "Cephaloascus", "Phodoryctis", "Sany", "Hesseltinella", "Lacessiptochus", "Astyra", "Pangaeus", "Rhodoplax", "Bembicini", "Leptacinus", "Parastagmatoptera", "Dasyleptus", "Pseudotrochammina", "Kiwilichus", "Spermadictyon", "Achardella", "Rhytidoponera", "Trevoria", "Crocias", "Pseudolucia", "Pseudomuriella", "Himantopteridae", "Fasslia", "Apidium", "Polyodaspis", "Anydrophila", "Holtermanniaceae", "Lacmelleinae", "Polycyclidae", "Haplosplanchninae", "Mentissoideini", "Erynnides", "Phazaca", "Cycloloculina", "Clydesmithia", "Voriini", "Neoferdina", "Hinomoto", "Phaeothallus", "Undatella", "Palicanus", "Skinnerina", "Kuwanaspis", "Acrophtalmia", "Pallisentis", "Clytie", "Hemilexomyia", "Dasycladophyceae", "Dibotryon", "Otomeria", "Hydnophytum", "Godiva", "Euhyponomeuta", "Strongylopus", "Basibulbus", "Tarmia", "Clydonophorus", "Gomortegaceae", "Acronychia", "Margarobyas", "Compsopogonophyceae", "Burmitaphididae", "Skrjabinacanthus", "Candanius", "Veratrilla", "Torquaratoridae", "Schizorchis", "Cleptidea", "Stomoxyini", "Dischidanthus", "Metylophorini", "Cytota", "Monosacra", "Plectroninia", "Geocoris", "Aulospongus", "Ichthyobacterium", "Lepturidium", "Gymnocerina", "Hepsetidae", "Astrocaryum", "Compactopedia", "Agamyxis", "Dolichoprosopus", "Antheliaceae", "Peloponnesiini", "Eridolius", "Hypoaspis", "Victaphanta", "Bernoullieae", "Ariantinae", "Levinseniellinae", "Archimaga", "Citrinophila", "Karanasa", "Petalium", "Elstera", "Malacanthinae", "Renylaima", "Manatha", "Pseudoseisuropsis", "Aepyornis", "Arctomecon", "Scotoplanes", "Mononchoides", "Paratagalis", "Sterphus", "Tullbergia", "Pterodactylus", "Petaurus", "Katydiseius", "Mionetta", "Minchinella", "Pantanellium", "Eociadopyxis", "Tanycnema", "Chlamydophryidae", "Adelphocoris", "Protoboarmia", "Colubotelson", "Ampelornis", "Mansonella", "Mesorhabditidae", "Gryposcleroma", "Ischnonota", "Bakonybatrachus", "Dolichepilysta", "Komokia", "Plutorectis", "Brachyderini", "Cerioidini", "Eperythrocytozoon", "Discosira", "Zouga", "Didelta", "Jameela", "Amphisphaeriaceae", "Neritina", "Olpidiopsis", "Verneuilina", "Miramonopis", "Schistura", "Pyrgus", "Nephanini", "Azospira", "Anarrhichthys", "Hyalosiphonia", "Dromius", "Trichopagurus", "Yermo", "Paradoxus", "Osborniella", "Ceina", "Macrothrix", "Neotis", "Amnestoides", "Aphenochiton", "Pseudophormidium", "Planeustomus", "Gompelia", "Incurvaria", "Baikia", "Lophatherum", "Leucoblepharis", "Myrmicinosporidium", "Acanthomastix", "Problema", "Colponemida", "Mesoedischiidae", "Euplecta", "Hylaeamys", "Tafaliscina", "Proboveria", "Homalocolpura", "Bivonaeeae", "Laevidentaliidae", "Capitina", "Barlowia", "Amblydromalus", "Plocoscelus", "Nothocascellius", "Pantinia", "Amorphocerini", "Madecassina", "Rhincalanidae", "Tachycolpura", "Bolboderini", "Premnoideae", "Phacopoidea", "Ptilomymar", "Dolichostachys", "Anteon", "Rhagio", "Lasiopisalia", "Laphystiinae", "Paragraciella", "Rhodosphaera", "Turrispirillina", "YIED", "Lituotubellinae", "Cryptocandona", "Asteranthera", "Bathyamaryllis", "Pseudotyphlopasilia", "Doryssa", "Oidalagnostinae", "Paraschizognathus", "Cechenena", "Parapucaya", "Otho", "Elaeagnus", "Australoleiopus", "Bathybelidae", "Wemersoniella", "Schoenoselinum", "Trichaphanus", "Dysideidae", "Microplaninae", "Acaryochloris", "Embrithini", "Montezumella", "Engonoceratidae", "Rupichloa", "Scoliostomatidae", "Diaphanoidea", "Neopescolinus", "Gaulettia", "Monotropsis", "Phrudocentra", "Onychiuroidea", "Hantkeninoidea", "Palinuroidea", "Periclitopa", "Nunbergites", "Stemmiulida", "Neophyllaphis", "Mongolepidiformes", "Ardeialginae", "Trachinops", "Solentanodesmus", "Xylonychus", "Ablaberini", "Paramoebidae", "Cyanocephalus", "Cycetes", "Grylloprociphilus", "Oligancistrus", "Chalarope", "Xyridea", "Lemuricedus", "Cameronia", "Redlichiina", "Cyematidae", "Erikssonia", "Glaphyronthus", "Oeceoclades", "Rosalba", "Phlaeothripinae", "Penestoglossa", "Epipremnum", "Anisotoma", "Kraftionema", "Pinophilinus", "Dasytes", "Acarophenacidae", "Upogebia", "Carditidae", "Laocaia", "Lethia", "Bryoglossaceae", "Marecon", "Comasiella", "Triodiomyces", "Pelinobius", "Camurammina", "Leiophasmatinae", "Sigmoidella", "Acanthopriapulus", "Psalteriomonas", "Necalphus", "Thailandina", "Pogonatum", "Biretinae", "Vulgatibacter", "Nebaliopsididae", "Diodontogaster", "Ogyrini", "Pseudodalaca", "Neoepitola", "Callipta", "Basiptera", "Gnathocinara", "Tongapapaka", "Arrowinini", "Acanthobruchidius", "Meunierohelea", "Boreosignum", "Teddia", "Globospongicola", "Leptostrangalia", "Diaphanopellis", "Crossocnemis", "Lampayo", "Malacoherpesviridae", "Rowardleus", "Elassoma", "Jynx", "Isolaimidae", "Phrudoneura", "Heloxycanus", "Chloroxyrrhepes", "Adel", "Dactylioceratidae", "Microferonia", "Schellenbergia", "Termitonusa", "Cryptapseudes", "Andropogon", "Eudiestota", "Phruronellus", "GLossosoma", "Acaulimalva", "Caryophylliidae", "Apterotoxitiades", "Proailurinae", "Nitschia", "Therates", "Australopicus", "Holopsis", "Isotomus", "Leunisia", "Meotachys", "Thubdora", "Lamprichthys", "Micridium", "Proteromonadea", "Troitskiella", "Ornytus", "Nezzazatinae", "Aldrichomyia", "Rutilariopsis", "Cornulum", "Pseudotriplasia", "Ortholasmatinae", "Pittonotus", "Ottinychus", "Gymnorhina", "Phoridae", "Pseudaminae", "Bozakites", "Anourosorex", "Cyphonisia", "Larinodontes", "Miraculini", "Permocalculus", "Emarginula", "Echinocereus", "Vandellia", "Nelsoninus", "Vespicula", "Paranisentomon", "Myotomys", "Vitessa", "Corynosoma", "Bruchidiina", "Wendya", "Limicolana", "Ancylostomidae", "Albara", "Falbouria", "Hypopygus", "Tetraconodon", "Pantanelliidae", "Symphorema", "Parazetekella", "Oxaea", "Asiraca", "Rhynchostegium", "Burca", "Loxotidinae", "Cyprolais", "Edaphodontinae", "Woelkerlingia", "Weverella", "Chrysopogoninae", "Paranapis", "Anacardites", "Wigandia", "Arrhythmus", "Saukiandidae", "Strophochonetidae", "Pamerarma", "Lissonomimus", "Platyhypnidium", "Apteropedon", "Goja", "Euthyone", "Geniatini", "Copadichromis", "Macropophora", "Pseudoruegeria", "Taphrogonymus", "Pseudoceramodactylus", "Apterona", "Wandinidae", "Dysallacta", "Vertebroscalpellum", "Saenura", "Aemulatrix", "Jurallecula", "Dietinae", "Meridioclita", "Espeleonaushonia", "Tanystylum", "Karos", "Lyocyclidae", "Leptostichaeus", "Darwinilus", "Pakalukodes", "Brachychthonioidea", "Silphotelus", "Myotis", "Norlevinea", "Phytoliriomyza", "Aliatypus", "Anielia", "Ceruchus", "Pseudorthoplana", "Scelianoma", "Afropisaura", "Presumatrina", "Lithophilus", "Neafrapus", "Aerolindigia", "Cardiodictyon", "Trithrinax", "Variosea", "Entosphenus", "Leongathus", "Luzarinae", "Tonnoidea", "Piaractus", "Paraserianthes", "Stragularia", "Amphithyris", "Tricleidus", "Neopaederus", "Unguidispus", "Brevipalpus", "Upembellini", "Smeringurinae", "Annemabel", "Allagoptera", "Cyrtodiscus", "Sulcoperculina", "Haglidae", "Tropoplatydracus", "Feldini", "Terrycarlessia", "Tomostoma", "Epiracma", "Malvinometopa", "Podosphaerasteridae", "Leptologia", "Schizognathus", "Albionbatrachus", "Bismarckia", "Atychia", "Omalus", "Aureoscheda", "Phacidium", "Mimostenellipsis", "Tetrastemmatidae", "Xuwulong", "Feddea", "Haplogonopus", "Haploplectus", "Transipochira", "Tagalopsocina", "Mecynometa", "Capillicornis", "Cestrum", "Dinochloa", "Hondurodendron", "Echthrodesis", "Metacercops", "Baptornis", "Drepanopezizaceae", "Dipterocarpus", "Amphibolis", "Berzelia", "Colobocentrotus", "Paraeurysorchis", "Ditrifa", "Eprhopalotus", "Eurocoelotes", "Periparus", "Austrosalomona", "Lyrella", "Tetractinellida", "Neodalyellida", "Glaucomaria", "Chlorobapta", "Vespiodes", "Cheiridioidea", "Glyptemys", "Platyplectrurus", "Thylodriini", "Thuricola", "Dehalobacter", "Hemiteles", "Conaspasia", "Recordoxylon", "Desulfocella", "Polycliphora", "Epimelitta", "Catonidia", "Pseudonympha", "Onychobates", "Alexandromenia", "Czarnoclymenia", "Sclerocactus", "Blastophaga", "Heterocypris", "NTUM", "Tasmarubrius", "Eosphora", "Eutintinnus", "Vindullus", "Deraiophorus", "Pseudopatellinoides", "Nipponecphylus", "Callidiopsites", "Frezierieae", "Ovavesiculida", "Pseudopenilidae", "Buddhapania", "Sequoia", "Pileolidae", "Elliptera", "Pauperojapyx", "Quemusia", "Leiopelmidae", "Hypercalliini", "Pangonius", "Planktophaga", "Ophioglossaceae", "Aethiaratrogus", "Diplocheta", "Schizocoleus", "Dysderella", "Neomegamphopoidea", "Eudiocrinus", "Psocodea", "Loprada", "Aclopus", "Catarbelana", "Alara", "Tetraoninae", "Eusarsiella", "Punctaria", "Cuniculinella", "Auxenocerus", "Ichthyococcus", "Culbersonia", "Urnaloricidae", "Famatinanthus", "Youngimonas", "Apricenapiscis", "Dasyandantha", "Stephanodaphne", "Cretitanais", "Alcecoris", "Pseudospeonomus", "Depressopyga", "Aspilogeton", "Agaminae", "Zygantroides", "Oreonebria", "Plectoprotus", "Macrolasia", "Cassidulinidae", "Conuridius", "Dvalinia", "Fahrenholzia", "Paradella", "Chiasognathini", "Bythoniini", "Tantilla", "Stenochiton", "Sphaeroidina", "Brunniellini", "Poecilothais", "Kurenkovidae", "Armatobalanus", "Palaeocyclammina", "Bathymunida", "Neurogenia", "Biapertorbis", "Orientia", "Coenogonium", "Gloionema", "Kalinga", "Rhaebini", "Brazilozoros", "Haloceratidae", "Coenitidae", "Cathopsyche", "Helicolestes", "Fontidessus", "Phthorima", "Llampidken", "Euspilotus", "Gigantopsocus", "Heteronychidius", "Cyathostemon", "Cratiria", "Muscigralla", "Acentria", "Stenocorse", "Chromatopelma", "Degocheirocratus", "Mimapatophysis", "Rhabdocoela", "Hyalinella", "Acythogaster", "Tasniphargus", "Paracorynus", "Baumia", "Lysuraceae", "Rhizolecia", "Amphorateuthis", "Bitia", "Typhlozethus", "Hottingerella", "Elthusa", "Pristocera", "Panaetius", "Pseudoschismatomma", "Varsha", "Neothelaxes", "Stromatella", "Leptorchestini", "Eucosma", "Oceanithermus", "Oemospila", "Euporus", "Stichotrichida", "Lecithaster", "Peranthus", "Amastridae", "Nephrochytrium", "Hendersonida", "Myrmatopa", "Cercinthus", "Osteochilichthys", "Palomena", "Chaetopsocidus", "Meiopriapulomorpha", "Paroxyplax", "Plicatodus", "Varronia", "Amicencyrtus", "Tapeinidium", "Hetereleotris", "Trochanteriidae", "Neoceti", "Trichacis", "Miopanesthia", "Scatopsidae", "Campylonotidae", "Spirastrellidae", "Ischnagathis", "Limulodes", "Xanthostemon", "Cheilostomatida", "Macrorhyncolus", "Bidentotinthia", "Probolus", "Alcalus", "Pseudopenilia", "Melanorosauridae", "Johnbelkinia", "Meximachilis", "Tasmiger", "Zahniserius", "Microtropis", "Triboliini", "Dissaporus", "Parabrimidius", "Bephratelloides", "Harmeriellidae", "Meionemertes", "Hainania", "Eminocoris", "Aphanomyces", "Celebochoerus", "Coenyropsis", "Javanaria", "Kyllocarus", "Wilsonaea", "Striatosporidae", "Afrochiltonia", "Montetinea", "Katamyurus", "Zoropsinae", "Alniphyllum", "Caprogammarus", "Cyproidea", "Calocaeciliinae", "Pseudotissotiidae", "Conglin", "Macrodasys", "Gogoselachus", "Panstronhygia", "Aelurillina", "Truncandrena", "Couturierina", "Bactropaltis", "Nesophrosyne", "Lius", "Caputia", "Macrelaps", "Gaultheria", "Sarcophagina", "Charanyctycia", "Chlorobium/Pelodictyon", "Palaeostomatopoda", "Euryalidae", "Zostera", "Cercopithecinae", "Palaeostomatidae", "Falsiplecta", "Diastella", "Floriparicapitus", "Sediminibacterium", "Carabidomemnus", "Nebulosa", "Dorypteryx", "Tanzacaprella", "Phylloscartes", "Prymnotomis", "Myospora", "Taydebis", "Agriades", "Paralotheria", "Shiraiaceae", "Acanthomacrostomum", "Pitharella", "Diuca", "Dermadelema", "Mormonillidae", "Buckleyzyma", "Platycerobythus", "Morphinae", "Quametopia", "Billbarrellus", "Paranectriellaceae", "Schizorhinina", "Porthetinae", "Prosobothrium", "Gaidropsarus", "Homocerisca", "Paracartus", "Spermozoros", "Typhlichthys", "Pathocerus", "Morimidius", "Prypnus", "Populina", "Sarcococca", "Blediini", "Dexiotyphlus", "Neospeleognathus", "Stereoderma", "Cerdia", "Aleimma", "Cnemidophileurus", "Eriodes", "Strandietta", "Homilopsocidea", "Glessulinae", "Rissoella", "Decemtestis", "Endodonta", "Pseudophyllus", "Aeoliscus", "Spirotecta", "Cerura", "Globocassidulina", "Aulacaspis", "Polymastia", "Mimocalothyrza", "Apotrophus", "Tieghemella", "Grammolingiidae", "Archaeopilocornus", "Arenga", "Tagalis", "Rhadinomastrus", "Frischella", "Bothriospilini", "Tetramesa", "Carinatala", "Ranatrinae", "Cyanopyge", "Promustilia", "Tichotripis", "Narduroides", "Myozonella", "Xestopelta", "Cystobacteraceae", "Chrysoperla", "Gibbocerambyx", "Bolbochromini", "Dorylophila", "Morina", "Grahamelytron", "Algidasphaeridium", "Postlepidapedon", "Ischnomelini", "Schneisereria", "Andropogoninae", "Myodocopa", "Madapolystoma", "Guamatelaceae", "Chrysomyxa", "Pseustantha", "Siphonellopsis", "Lioplectus", "Melanoperdix", "Sohnsiinae", "Emathidis", "Panisea", "Doriopsis", "Eulagiscinae", "Eotaleporiini", "Potamornis", "Nonyma", "Paragonophlebiidae", "Lallemantia", "Ypsolophidae", "Geothallus", "Kampimodromini", "Boreocypha", "Pityriasis", "Trinchesia", "Ptinellini", "Spinopasites", "Capitulum", "Leptagria", "Chrysopsidinae", "Rallina", "Ammobaculinidae", "Namunia", "Dorsaninae", "Acanthancora", "Omophlus", "Delomeristini", "Ausysium", "Neocistela", "Anilarina", "Insulibrachys", "Falsurgonina", "Expansaphis", "Sanguina", "Piazurini", "Parastenheliidae", "Leptonema", "Synthecium", "Cortestina", "Platyarachnini", "Aufidus", "Udvardya", "Acanthobonellia", "Cincinnata", "Titaeella", "Chalybeothemis", "Raviniini", "Leptopyrum", "Euryleptididae", "Phyllomedusa", "Pumilinura", "Fabulariidae", "Paracorythoderus", "Ologamasidae", "Pelycidiidae", "Nettastomatidae", "Cephalodonia", "Punotia", "Iberotrechus", "Pilodius", "Haustorioides", "Mandollia", "Anepia", "Cycloterini", "Phallanthina", "Malthodini", "Stultutragus", "Cretocar", "Tetartopeus", "Sorolopha", "Pontia", "Sclerochilus", "Onychostenhelia", "Pseudolontha", "Haptenchelys", "Odontotyphlus", "Pachypoda", "Thermosporotrichaceae", "Labullinyphia", "Rhamphorhynchoidea", "Chauliodes", "Perundanus", "Acanthophippium", "Xanthochorema", "Cebocaridae", "Hyalosira", "Adelogyrinidae", "Neaphaenops", "Rhinorhipus", "Rajania", "Zoogloea", "Degeneria", "Hastini", "Homocorpis", "Lutjaninae", "Tessiera", "Ombrophytum", "Amherstia", "Caristanius", "Austrelater", "Magnodiomus", "Cordiereae", "Kinku", "Somoholitidae", "Steganini", "Nodamuvirales", "Egernia", "Microdipodops", "Platyacarus", "Ophiacanthella", "Gonionota", "Diaphorencyrtus", "Pinnunavis", "Yueomyces", "Perissostomus", "Mimochariergus", "Neopereziidae", "Dvinosauridae", "Sumatrilla", "Ophyiulus", "Trichoglottis", "Pyrolachnus", "Barnardaclesia", "Enoplopactus", "Jasione", "Virotiinae", "Pezaptera", "Chialingosaurus", "Nupseranodes", "Mimophis", "Ganyra", "Tropidophora", "Protelencholacidae", "Ophryoglenidae", "Enantiola", "Glyphea", "Leiodon", "Isalonactis", "Gryphonycha", "Oonephris", "Ctenolophus", "Achaeticina", "Tettigettacula", "Neoapterocis", "Erigomicronus", "Keesia", "Porroglossum", "Gosela", "Pennellidae", "Apsilinae", "Myxodictyum", "Peridinium", "Paratassa", "Microplutodes", "Arantia", "Sabestena", "Polygordius", "Procyoninae", "Castniini", "Parablepharisma", "Anthracosauridae", "Hacelia", "Paratydeoidea", "Hypsipterygidae", "Locustipolipus", "Glossoblaste", "Bunocephalus", "LMNMO", "Colobodina", "Micrelaphas", "Dactylosomatidae", "Inopeplinae", "Shiqianolepis", "Stipulicida", "Neomeniidae", "Stilpnolepis", "Pelocoris", "Opisthoteuthidae", "Bossera", "Porpita", "Brinckidiella", "Frondipedia", "Ellopostomatidae", "Elestora", "Agatasa", "Megarthroides", "Velinda", "Amaloxenops", "Validentia", "Haloalcalophilium", "Sciomesa", "Austrorhysini", "Umbilicariales", "Heliocidaris", "Semalea", "Disaulax", "Parazanclistius", "Haplocanthosaurus", "Capnella", "Polymyxus", "Connodontites", "Polynoidae", "Coelocladia", "Chamaedoris", "Scorpaenopsis", "Dimeroclymenia", "Neopyropia", "Probles", "Geitonusa", "Pantolasius", "Newinia", "Pantoliina", "Tycomarptes", "Coeligena", "Foudia", "Leptostylis", "Lalacidae", "Chromotydaeus", "Cretobrachygluta", "Athyriididina", "Garnieria", "Capitellum", "Asiactenius", "Zoysia", "Filistatinella", "Methylobacter", "Manettia", "Sculptosyntretus", "Diroptrus", "Loxonematidae", "Trichomycteridae", "Eocenchrea", "Atractophora", "Rhipiliaceae", "Lanceogammarus", "Goniodomataceae", "Isanichthys", "Vindasia", "Acanthacris", "Neoxenodice", "Syrrhopeus", "Szelegiewicziidae", "Gorochovitettix", "Gaucha", "Notocrinidae", "Articularia", "Plutorectella", "Cissopis", "Evlania", "Palicus", "Reniochalina", "Elegantogyaritus", "Gorisella", "Cossypha", "Iridogorgia", "Ephippiformes", "Sorochytriaceae", "Sicafodia", "Parachadisra", "Crassanapis", "Palaeovespa", "Dubitatio", "Cordioniscus", "Ginkgoales", "Pardaliscidae", "Liliensternus", "Cephalocera", "Arcuatopterus", "Polymixis", "Prosorhochmus", "Cheiromeles", "Eremosphodrus", "Mekosuchus", "Dipodascus", "Aurantiacicella", "Tupiella", "Dacnis", "Helopeltis", "Sinoneurorthus", "Euryaptus", "Loralia", "Andemys", "Acroceras", "Similipecten", "Pleosporaceae", "Janolus", "Eouvigerinoidea", "Paraneonetus", "Eumastacopinae", "Crucigenia", "Coptia", "Marchantiales", "Ornithocheiromorpha", "Armaturatanais", "Callithrinca", "Orthogonis", "Neobidessodes", "Paralimnocythere", "Metapocyrtus", "Dryopoa", "Scirtoidea", "Oryctophileurus", "Dihammaphoroides", "Achlyodidini", "Reganochromis", "Dryadella", "Dasyanthina", "Prenolepis", "Xenospadicoidales", "Aplysiida", "Endodesmieae", "Baradesa", "Ochina", "Melanoptilia", "Bonzia", "Stachybotrys", "Claustula", "Nuytsieae", "Sciadophycus", "Brachyodes", "Xenorhina", "Trilophus", "Discomedusae", "Sarcoscypha", "Thelocarpales", "Neotessmannia", "Anagonus", "Syncarpia", "Neobrachylepas", "Euchondrocephali", "Pyrrhocoma", "Diacopia", "Burmeistera", "Neritiliidae", "Scoliodon", "Acanthodela", "Sybacodes", "Fowlerina", "Anoectangium", "Pytho", "Kinetofragminophora", "Mithuna", "Coxliella", "Chondropetalum", "Cryptonotopsis", "Placocista", "Opistocystidae", "Conradia", "Glossocratus", "Lygrommatoides", "Circinisidinae", "Champia", "Wohlfahrtiimonas", "Aleyroctonus", "Otodontidae", "Neritimorpha", "Rotundrela", "Rudicetus", "Desulfobulbaceae", "Carduus", "Chalinidae", "Archaeotanainae", "Rhaphithamnus", "Megametopon", "Cryptopsilotris", "Histerini", "Acrocephalus", "Hemidendroides", "Tomocerodini", "Poecilotheria", "Maieta", "Coptotermes", "Alloascoideaceae", "Gekkoninae", "Stagonolepididae", "Amigdoscalpellum", "Elaphrus", "Hemicentetes", "Acanthinula", "Leucographus", "Achromoporus", "Episemina", "Leucocrypta", "Cystingarhiza", "Isistius", "Stenosepala", "Hicetia", "Cladocillium", "Xenion", "Goazrea", "Scatimina", "Angianthula", "Cornutiplusia", "Excisivalgus", "Pectobacteriaceae", "Saracha", "Qingshengfania", "Legazpia", "Ivanovia", "Nematomorpha", "Delairea", "Limahlania", "Rubripirellula", "Limnomys", "Thermithiobacillaceae", "Psycheona", "Lepidoleuconidae", "Trimpleylepis", "Phoma", "Barbadocladius", "Pyrgomatidae", "Harringtonia", "Hatiora", "Lefda", "Homoeoneuria", "Incamiris", "Entodesmium", "Pyloniinae", "Mesophleps", "Robertina", "Tjalfiellidae", "Opisthoproctus", "Eupinella", "Reimarochloa", "Chaca", "Lapilloniscus", "Artipus", "Dimorphochilus", "Cyclocheilon", "Hyalidae", "Cylindrommata", "Trigonurinae", "Sphaerocaryum", "Tassadia", "Lecithochiriinae", "Prepotherium", "Neoscirulini", "Onderothops", "Hexabranchus", "Cordeleboea", "Asplanchna", "Martinina", "Pelochelys", "Cardionema", "Trochetiopsis", "Symmeria", "Chariochilus", "Multidentulini", "Mawida", "Boliviela", "Latebraria", "Xiurenbagrus", "Hongkongia", "Pectinosoma", "Notommata", "Apheliotyphlus", "Cidnopisalia", "Mesacanthus", "Aspidolasius", "Rhomboda", "Placonotus", "Chitala", "Nilopegamys", "Haplolepidae", "Opitzia", "Candidatus", "Kobonga", "Adolphia", "Cosmolaelaps", "Hemidiniaceae", "Amblyoproctus", "Pheloneis", "Graptasura", "Centracontarium", "Hemitheconyx", "Emiliania", "Vulcanochloris", "Sphaeroliodes", "Pronopes", "Plagiosterna", "Abyssocythere", "Maronina", "Phoenice", "Pelagibacteraceae", "Chaltenia", "Pseudoepameibaphis", "Catastygnus", "Colaniella", "Epiblapsilon", "Leucolopha", "Laugiidae", "Fimbriarioides", "Arabiatelura", "Chiastocheta", "Rhabdonematales", "Cylindrotaenia", "Stylidiaceae", "Dirrhopinae", "Trachelochismus", "Mesohippus", "Didymozoidae", "Katablepharis", "Collapsimycopappus", "Waeringella", "Cichorieae", "Marmarina", "Icariotis", "Anoplopoma", "Cynolebiidae", "Sinosaurosphargis", "Glomeridesmida", "Bothriocephalidea", "Methanogenium", "Colochirinae", "Valkanoviella", "Pseudopleurochloris", "Tole", "Taitaia", "Modestozara", "Bermanella", "Tachiraptor", "Distichophyllidium", "Unciella", "Acutuncus", "Cellvibrio", "Volucellini", "Paralebeda", "Japygidae", "Parartocarpus", "Megalocypris", "Indomyrlaea", "Ellipsopolymorphina", "Opsaridium", "Rhacaplacarus", "Lepionurus", "Pachyphloia", "Triniochloa", "Chlorostrymon", "Adistemia", "Takhtajanioideae", "Coenosia", "Pseudonebela", "Neonycteris", "Belluliinae", "Neophaenis", "Sphaerocoryne", "Peristethium", "Conirostrum", "Cybaeodinae", "Gerdianus", "Cylindrobrotini", "Geminibasidiaceae", "Kopriimonadales", "Endebius", "Diandrya", "Jolyellus", "Hemiprocnidae", "Anabathridae", "Bulbutaenia", "Chimaerocyon", "Denon", "Thermoanaerobacterium", "Parasaccogaster", "Polymnieae", "Platysaurinae", "Salilagenidiaceae", "Discherodontus", "Lemurophoenix", "Orsotriaena", "Bicudomonas", "Nymphulinae", "Aenictosoma", "Milioloidea", "Callipyndax", "Gamasiphis", "Nematodes", "Ischiodasys", "Irianusa", "Lunaphodius", "Koshovia", "Batrisinus", "Trichomycterus", "Subbotina", "Ophtalmoplon", "Odontomma", "Diploneuron", "Chlorophthalmus", "Calopieris", "Hypogastrion", "Echenais", "Tornoceratatina", "Jalkaraburra", "Trichognoma", "Tethyopsis", "Aguna", "Septolpidium", "Estemmenosuchidae", "Anchorophorus", "Emathia", "Rhamnus", "Eunotiophycanae", "Afroheterozercon", "Alcis", "Maclystriina", "Mesotachinus", "Veleroa", "Palamocladium", "Poecilotheriini", "Chydorus", "Croniades", "Koramius", "Apyrrothrix", "Sporidesmiopsis", "Sphoerodes", "Ormosella", "Acirostrum", "Afrosoricida", "Myxidiidae", "Uroptychus", "Muscoidea", "Periscolex", "Lyonsiidae", "Heteromeroxylon", "Trisunius", "Crucigeniopsis", "Anthobaphes", "Enini", "Euptoieta", "Nymphicus", "Acaulon", "Coniocarpon", "Solaenaulus", "Sporobacterium", "Schizochitonidae", "Archilema", "Tectocoris", "Barnesiella", "Texosporium", "Earias", "Macromphalia", "Aiouea", "Dalminia", "Accolabass", "Diplostraca", "Habrolinus", "Balmes", "Lissominae", "Diceropyga", "Cosmiosophista", "Rudbeckia", "Caecothrombium", "Sabahopora", "Grammognatha", "Cepheoidea", "Cadaba", "Onchobothriidae", "Euhadrosauria", "Epipsammia", "Galatheanthemidae", "Gynacanthaeschna", "Avetianella", "Durioneae", "Achroosia", "Mirandotanaidae", "Claudicuma", "Chondrodactylus", "Procyliosomatidae", "Calcidiscuus", "Aspidoscelis", "Paradermamoeba", "Neosparassus", "Antarcticicola", "Japanostrangalia", "Brevicipitidae", "Gonypetella", "Stellaria", "Palaeospheniscinae", "Incisocalliope", "Golovenkinia", "Eurychora", "Labomimus", "Inula", "Magnesoina", "Biglobigerinella", "Chelonibiidae", "Parachaetoceras", "Phanuromyia", "Thoribdella", "Marantodes", "Valgina", "Chrysosoma", "Chelorchestia", "Riedelieae", "Tapetia", "Caesioscorpididae", "Acuphoceropsis", "Striphnopteryginae", "Claustropyga", "Oikopleuridae", "Pyretaulax", "Anomadus", "Anaplodes", "Ninia", "Kimavu", "Cymatographa", "Rophites", "Hyperochtha", "Microdochiaceae", "Calyculariaceae", "Leuroperna", "Pachylasmatinae", "Tigridieae", "Cercosaurini", "Aulacophorina", "Mobulidae", "Kistneriella", "Stegoelmis", "Russalpiina", "Rubidiclivina", "Berosini", "Achrestus", "Stenochironomus", "Anostostoma", "Notuchoides", "Pisaniidae", "Thryssa", "Piriclymenia", "Guillainia", "Abrawayaomys", "Euplotida", "Pergamasinae", "Brombya", "Streblocerus", "Eriococcidae", "Duomitus", "Haemadipsa", "Borreliaceae", "Pseudocastalia", "Plicatodiscus", "Calliomphalus", "Parabyrsopolis", "Cetonana", "Schinzinia", "Saucerottia", "Atropa", "Neohela", "Fingerhuthia", "Sitana", "Ozaenini", "Aria", "Contacyphon", "Ralfsia", "Perissodini", "Shuguria", "Hepelivirales", "Adeliini", "Excirolana", "Yungipicus", "Ligidioides", "Orthocabera", "Babakina", "Neoharmsia", "Neseis", "Alfvenia", "Atractomorphini", "Reineckea", "Kansanella", "Loboceratinae", "Burkea", "Peltephilidae", "Entomelas", "Buceragenia", "Cucuba", "Nipponocis", "Crudaria", "Irianmerinx", "Blapticoxenus", "Antitinea", "Austrodanthonia", "Oxypselaphus", "Pseudopelmatops", "Omotagus", "Chardoniella", "Sceptrella", "Clappertonia", "Pseudopalawania", "Paracornallis", "Miliolinella", "Dolichodema", "Janischewskina", "Conchiformibius", "Chalinga", "Modiomorphida", "Arcocellulus", "Karschiola", "Homotomidae", "Liniparhomaloptera", "Phelliogeton", "Gabucinia", "Hypochthoniella", "Salpingogaster", "Ptychocladiidae", "Atule", "Comaliamma", "Pseuderia", "Antiphrastis", "Pollaplonyx", "Bisaccioides", "Maliarpha", "Ceratophyllaceae", "Amblyopinae", "Deferrisoma", "Neotermitotelus", "Trechispora", "Denticeps", "Australocader", "Nothanillus", "Acanthobenyllus", "Lusigammarus", "Peroniaceae", "Pleurolidia", "Siamophylla", "Paussiger", "Canariognapha", "Stereochilus", "Udamina", "Otoniela", "Microakodontomys", "Mimonecteola", "Tirumala", "Neoalloceraea", "Cryptosiphonia", "Eulophidae", "Phaeognathus", "Pissarrachampsa", "Ymeria", "Crymocetus", "Dyakiidae", "Sprekelia", "Tostallo", "Stilboma", "Pseudomorpha", "Carpenteria", "Natrinema", "Mimetebulea", "Angeldiazia", "Oreinopaederus", "Aegialodon", "Desmocapsaceae", "Retortamonadida", "Kalitrema", "Anonchotaenia", "Limprichtia", "Hybodontidae", "Litadeini", "Catenopylidae", "Chelyocarpus", "Polynemus", "Stichosiphon", "Lekanorhynchus", "Mnestia", "Scutariellidae", "Permula", "Silhouettea", "Irciniidae", "Hymenorus", "Podopteryx", "Acanthosomatinae", "Tipuloidea", "Adoretini", "Popovus", "Thinozerconidae", "Durotrigia", "Carystoides", "Platycephalus", "Pyraloidea", "Aluterus", "Cretoscarabaeinae", "Elina", "Lecanoraceae", "Parascaptia", "Abacarus", "Gnathosaurinae", "Psorodonotus", "Corallocytostroma", "Chaoyangsaurus", "Macrodactylini", "Ixorheorida", "Triadokoenenia", "Chiltoniidae", "Trigonodonia", "Corita", "Paracibicides", "Naumanniola", "Nimaviridae", "Pseudogekko", "Ahaggaria", "Rheithrosciurus", "Coccomyxaceae", "Aleutihenricia", "Conticribra", "Anapausoides", "Eutaenoglossa", "Pieriballia", "Limosa", "Pemphredonina", "Notoplanella", "Pterygosomatoidea", "Evaniodera", "Phormocyrtis", "Gynenomis", "Chorebus", "Wroughtonilla", "Chilorhinus", "Letheobia", "Cypria", "Sporozoa", "Bryocarpum", "Elphidiella", "Lanceola", "Doratonotus", "Ecomorypora", "Nathriobrium", "Nanicellinae", "Epiaeschna", "Hypsiboas", "Scytothalia", "Alestopetersius", "Gotoius", "Hadropogonichthys", "Genisteae", "Scottiella", "Lasiocampoidea", "Agamococcidiorida", "Stymnonotus", "Lycopodiidae", "Chiniquodontidae", "Sinomelecta", "Dactylapta", "Tinemyia", "Piscicoccus", "Cynorhiza", "Tyrannini", "Orthochromis", "Hippotragini", "Subsolanoides", "Scolochloa", "Mesocyparis", "Chaetanthus", "Dartmuthia", "Parahydrophis", "Araucaniopsis", "Fragariinae", "Pterochroza", "Howdenypa", "Doricha", "Ctenosauriscidae", "Grandicrepidula", "Laciniodes", "Archembia", "Diplopauropus", "Crossostylis", "Hyalomminae", "Cochliarion", "Procirrus", "Hinterhubera", "Stanleya", "Sigalphinae", "Sonitha", "Umboiella", "Pachytroctidae", "Acanthostaurus", "Pachyneis", "Nephroselmidaceae", "Carcharhinus", "Diplolaena", "Hadites", "Vulcaniibacterium", "Eresidae", "Chrysowaernella", "Ambocylapus", "Banksiinae", "Nardostachys", "Ficinia", "Euprepiophis", "Acanthocaudus", "Tobiasnusa", "Trichoptilium", "Phalangopsina", "Duckea", "Lamproserica", "Atractophoraceae", "Atrusca", "Agraphorura", "Siteroptes", "Callihormius", "Thaumastocephalus", "Amboina", "Bribria", "Pseudambassis", "Paradoxophyla", "Anisopus", "Thereva", "Cupiennius", "Anomioidea", "Burbunga", "Acanthiscium", "Hercus", "Acidaminococcales", "Muhtarophis", "Shindeobothrium", "Acuarioidea", "Bemisia", "Iotabrycon", "Germarofulvius", "Kokiria", "Brachyphyllinae", "Synelmis", "Mymaromma", "Philydrum", "Anthoxanthum", "Mouretia", "Sumlinia", "Microsejus", "Trichonotuloides", "Afridiolorryia", "Ametropus", "Paralogistis", "Collimonas", "Phytophaga", "Megarctosa", "Autana", "Precaffrocrambus", "Phyllymenia", "Sternacutus", "Petauroides", "Adelotremus", "Endotrypanum", "Aldina", "Parapenetretus", "Kuhliidae", "Graphiosa", "Triassomanteidae", "Hebeclinium", "Bactrini", "Lauriidae", "Bejuda", "Barkerinidae", "Euglyptus", "Crusticorallina", "Caenagnesia", "Pelecocera", "Bocagea", "Araucariocladus", "Aethiopella", "Vermetoidea", "Labrocharis", "Strobocalyx", "Metasticha", "Diacrotricha", "Anaecypris", "Trichomyia", "Eccoptomia", "Sigalia", "Prionobutis", "Bathyhalacarus", "Phaeostrymon", "Aconchus", "Paracorrhenes", "Aulopharynx", "Restionoideae", "Alopecurinae", "Aglantha", "Carcassonnellidae", "Cryptocolliuris", "Dactyloctenium", "Trachusoides", "Monallantus", "Liniscus", "Tapinellinae", "Belicinus", "Calostemmateae", "Aphthargelia", "Ammonifex", "Myopsocometes", "Taphurina", "Interfilum", "Phelipara", "Scutozetes", "Nyssorhynchus", "Uedaea", "Musalia", "Paracoccodus", "Yucatania", "Acinetactis", "Sinocoelotes", "Odiaglyptus", "Timarchini", "Muraenidae", "Acranthera", "Mesoaesthetus", "Indocnemis", "Platypyga", "Mahanarva", "Lymnastis", "Piromonas", "Tanaidomorpha", "Safia", "Trabisostenus", "Cretaaviculus", "Trigonophorus", "Sarocrania", "Hyaenodontops", "Anguispira", "Ursia", "Himantocestus", "Deuterocharacium", "Coniontini", "Neonrosella", "Ablepton", "Gradungula", "Dicrastylis", "Dizygostemon", "Xanthagrion", "Parachirembia", "Microgyne", "Aprobolocysta", "Sulorgilus", "Lactivibrio", "Callaeum", "Notatheta", "Darlingtonea", "Synaptophyllum", "Esselenia", "Anetium", "Vasilyevaea", "Protoheterotrichida", "Orphanomyces", "Dichapetalaceae", "Dorylaimia", "Bankiinae", "Trypaneoides", "Acetoanaerobium", "Stethaspis", "Trossulus", "Aphanotrigonum", "Vernonioideae", "Urnisiellini", "Discobotellina", "Lophospingus", "Kenyarctia", "Scutulana", "Chaetocauda", "Metapodistis", "Hyleoza", "Tyrinthia", "Monilielliomycetes", "Emydura", "Chitinophaga", "Ensifer", "Phocidae", "Cedemon", "Masabania", "Rhynchogadus", "Cratomolops", "Prolecanitaceae", "Aulaxina", "Exakanthinusa", "Clytini", "Agrionympha", "Ninelia", "Isidella", "Chaitophorus", "Leodontoia", "Pachyanas", "Pilophorus", "Helosciadium", "Carolinicola", "Doryctopsis", "Lemaireodirphia", "Hydrida", "Zoarcidae", "Stereomita", "Liponema", "Orzeliscus", "Mantisalca", "Erwiniinae", "Chirostylus", "Dolichotrochanter", "Eustrephus", "Filicampus", "Serraulax", "Passeriformes", "Perlodinae", "Cantabroraphidia", "Hemileucinae", "Zorotypus", "Chiroxiphia", "Drepananthus", "Elacatophora", "Dioscoridillo", "Semionotus", "Malgassogomphus", "Sonesimia", "Denopelopia", "Hoazineus", "Heterosigma", "Bathyllus", "Castrilanthemum", "Tylopterella", "Bromeliaemiris", "Bucephala", "Craspa", "Rhodoneura", "Campyloneuropsis", "Delfinachytrium", "Exophiala", "Ammonitella", "Kinixys", "Brotzenella", "Aristochromis", "Moracetribus", "Axinellida", "Pseudoclasseya", "Argyrogramma", "Psapharoctes", "Milnesium", "Elasmognathus", "Armadillidae", "Opsipedon", "Oloessa", "Peltohyas", "Alleculinae", "Mnuphorus", "Titaresius", "Perissosoma", "Elleipsisoma", "Pseudodendromonadaceae", "Boreoheptagyia", "Paratitan", "Gronella", "Akabosia", "Bryomima", "Actionoma", "Negastrius", "Turleania", "Aenigmatolimnas", "Physorhizophidium", "Brachylophus", "Irvingia", "Australotymnes", "Dirina", "Pylaisiobryum", "Mimomenyllus", "Cryptomma", "Keysseria", "Mesopraon", "Zoedeutopus", "Tephroclystia", "Coskinolinidae", "Legnephora", "Paraphysomonadaceae", "Onebala", "Nothodissotis", "Hydrodamalinae", "Dactyloidae", "Micropistus", "Mesohelorus", "Shinkaia", "Holstianthus", "Sphaeropsocites", "Chalicotheriidae", "Melanerpes", "Episcaphium", "Dolobrotus", "Panteniphididae", "Alcyonidioides", "Ligustrum", "Argusianus", "Dipriodonta", "Neocinnamomum", "Mengenilla", "Hemigryllus", "Gnopheropisalia", "Gnosonesimida", "Cedrela", "Australocyclops", "Conothoracalis", "Hemizonella", "Epuraeini", "Plagiosauridae", "Ephedranthus", "Procecidochares", "Trachyderomorpha", "Ulmara", "Prognathoides", "Pyrochroa", "Verilus", "Alfonsoperla", "Watsonidia", "Tyrocarius", "Bornesalpinia", "Upindauara", "Pseudoperga", "Eudoraea", "Ragadidae", "Modicus", "Protominae", "Pinguicollum", "Xymmer", "Ptiliogonatidae", "Liostraca", "Palaeotrochoidea", "Cesaperua", "Rhizomyini", "Hypsimetopus", "Choneiulus", "Charitometridae", "Boreolepedidae", "Amselia", "Nanorana", "Dracotrechus", "Mycetophagini", "Calvolia", "Oiketicinae", "Loxostomatidae", "Xenusiidae", "Adenarake", "Anotia", "Falsocylindropomus", "Colinauropodidae", "Rosalina", "Heterocotyle", "Eburniogaster", "Calodactylodes", "Pseudemoia", "Scinaxinae", "Cercosaura", "Chaetosifemur", "Notialis", "Bentharca", "Alloschemone", "Emeopedus", "Ischnotes", "Nysson", "Podostoma", "Desulfoglaeba", "Mastigus", "Hourcqiceras", "Pseudataenius", "Acanthoscelides", "Kasyniana", "Miguashaiidae", "Dichelops", "Trichoneurinae", "Reticulogyra", "Carditoidea", "Rectochernyshinella", "Neobaryopsis", "Tyrrhenoleuctra", "Tympanogryllus", "Mimillaena", "Zizyphoides", "Xenoskenea", "Protochelonibiinae", "Hapaline", "Hypericaceae", "Timematodea", "Hormaphidini", "Scolopostethus", "Cronisia", "Acrolobus", "Macbrideina", "Mothocya", "Loxocera", "Hexasaturnalis", "Dismodix", "Karadzharia", "Coronocephalus", "Euchitonia", "Bacopa", "Afrodinychus", "Crocidosema", "Inosomus", "Leptanillophilus", "Xenodexiini", "Aetheogramma", "Carcinoscorpius", "Neohypnus", "Eiglera", "Scutinanthe", "Apertauroria", "Aphelidiomycetes", "Nesobasis", "Amphicnemis", "Paragrubia", "Neocerina", "Prodryinus", "Fecampiidae", "Gromia", "Swartzia", "Haynaldiella", "Comatulinae", "Xanadoses", "Odoriphila", "Dalbergiella", "Harpezocatantops", "Cylindromyia", "Gadilimorpha", "Oxyomites", "Thomisops", "Diamphipnoa", "Mursia", "Kanaloa", "Macrotyphula", "Nosybeidae", "Kanparka", "Geokichla", "Mollisquama", "Bathycongrus", "Dysaletia", "Poroeponides", "Heteromunia", "Paradasys", "Grypotyphlops", "Actinoscytina", "Achoropsychini", "Boothiomyces", "Heteracris", "Eucytheridae", "Stilbopsis", "Prismatomerideae", "Cosmelia", "Valvulamminidae", "Sterreria", "Gonyleptoidea", "Munira", "Flustra", "Coconympha", "Nycteris", "Promerops", "Epiperola", "Pagurolepas", "Cyrtophorus", "Craniops", "Ussurigone", "Osteopilus", "Neoapaloxylon", "Chusqueinae", "Miyakella", "Coleopteropsis", "Flos", "Stenochiini", "Seroloidea", "Gymnotelium", "Stenoplesictidae", "Poromitra", "Polymnia", "Pommereulla", "Olethrius", "Piambia", "Allophyllus", "Henicopidae", "Nipponoserica", "Chagunius", "Yuexipotamon", "Barakula", "Cornularia", "Indenicmosoma", "Micropardalis", "Parathuramminidae", "Narrowteuthis", "Conmachaerota", "Schneidereria", "Batomys", "Eremoxenus", "Acosmeryx", "Monorchioidea", "Nesomomus", "Pihiellales", "Proneohelicometra", "Bathysciadiidae", "Bathytanaidinae", "Druentica", "Bathysauroididae", "Loneuroides", "Aristobyrsa", "Tesserantha", "Ptilidium", "Aglenus", "Afrosciadium", "Gautengicesa", "Pedilophorini", "Trukcharopa", "Paralucia", "Synophropsis", "Pterospora", "Metapolytoma", "Grammetaria", "Cuculinae", "Palingenia", "Esperarge", "Pseudobroeckinella", "Campbellia", "Pterostichitae", "Rhodacaridae", "Parahypocoma", "Sinognathinae", "Aruncus", "Sphaerodinus", "Cymatosira", "Perciformes", "Sphenocephalidae", "Neoplecostominae", "Praescobura", "Euscelophilus", "Eutrachytidae", "Phaeocystida", "Notosacanthini", "Mecynogea", "Panxianichthys", "Gibsoniela", "Chlorellidiopsis", "Grandia", "Mesonemoura", "Sypilus", "Analcoceroides", "Parachaetomium", "Capensibufo", "Toxopoda", "Sporopachydermia", "Sandiviidae", "Zelenkoa", "Boliscus", "Braya", "Borbonomyndus", "Microdus", "Spongophylloides", "Asteroporpa", "Pendarus", "Ambia", "Serrasentoidinae", "Tapinolachnus", "Walambianisops", "Mairia", "Cathetorhinus", "Phaeorrhiza", "Acmotemnus", "Oroderes", "Chiton", "Klambothrips", "Monsamnis", "Icariomimus", "Beliops", "Tossinola", "Bathyuriscus", "Triplognatha", "Archaiasinae", "Formosiella", "Thiarinae", "Eutyphlus", "Diphaglossinae", "Eritini", "Penthaleidae", "Mycogelidium", "Chaenothecopsis", "Geleznowia", "Electromyiomma", "Phosphaticola", "Prophylactis", "Retilla", "Calamoecia", "Encheloclarias", "Microporoidea", "Matua", "Nautilocalyx", "Tipulamima", "Merocoremia", "Pisolithus", "Gryposaurus", "Eumimimetica", "Geroptera", "Rhetinolepis", "Calyptostomatoidea", "Kikaithyris", "Malaconothrus", "Neomicrus", "Ophiopleura", "Pastinaca", "Triacanthella", "Dyschiriodes", "Aradomorpha", "Simplocaria", "Psilactis", "Passerellidae", "Geragnostus", "Tolyposporium", "Pseudaletis", "Barsura", "Trichonyx", "Odeles", "Jardine", "Platynereis", "Potamophloios", "Opisthogenia", "Gonodonta", "Trachymolgus", "Haimirichiidae", "Pithophoraceae", "Loeblitoides", "Hypsiprymnodontidae", "Heliobletus", "Eouvigerinidae", "Xiphulcus", "Proluta", "Proplecotrema", "Chamaedorea", "Piotaturus", "Simuliinae", "Pacispora", "Chionea", "Luciocyprinus", "Spongillida", "Tylophoron", "Conothamnus", "Metopiinae", "Crella", "Eupronotius", "Washingtonia", "Eburia", "Dystacta", "Torna", "Jonquetella", "Istiophoriformes", "Idiostolus", "Afroamphisiella", "Sakina", "Syrbatus", "Rhigedanina", "Haberlandia", "Aetrocantha", "Goniapteryx", "Campylotropis", "Nubianus", "Calloctenus", "Epitimetes", "Euxiphipops", "Cheesmaniella", "Gigantorhynchinae", "Giraffa", "Lacinularia", "Ameroscolopa", "Parapachypeltis", "Allomeganephria", "Majinae", "Iblidae", "Tonnoira", "Leathesia", "Thecideidina", "Euhylaeogena", "Metopiasini", "Anomocephala", "Oedipovalgus", "Taonia", "Owenia", "Eriospermum", "Deretaphrus", "Aplodinotus", "Halodromus", "Asemobius", "Cotopaxicoris", "Dinothenarus", "Allurus", "Giniphargidae", "Neolema", "Physaraiini", "Haliclonissa", "Valamugil", "Rhamnomia", "Symcallio", "Metamastophora", "Helenolepididae", "Raptorex", "Ranatra", "Nudobius", "Inermicapsiferinae", "Arminisaurus", "Myonophloeus", "Fissicalyx", "Neoscona", "Ghesquierites", "Pronectria", "Parabolitobius", "Mladenoniscus", "Microcystinae", "Malayopython", "Ajugoides", "Insulestremia", "Placostromella", "Uddenoceras", "Trachytyla", "Orectoloboides", "Xantonneopsis", "Wubina", "Symplocos", "Acriclymenia", "Misius", "Lamellobates", "Cephaloplectodes", "Erjavecia", "Matna", "Rhodopaea", "Amanipodagrion", "Acalles", "Kahliella", "Paranisopodus", "Hermippus", "Centrophryne", "Parafusulinella", "Eromene", "Otosaurus", "Tantillus", "Cataxia", "Edraianthus", "Multesimus", "Erieopteridae", "Agriophanes", "Lomederus", "Algidimarina", "Mesothrombium", "Psittaculidae", "Moravecnema", "Xymalos", "Leioderma", "Leiostegioidea", "Homaloptera", "Stonehamia", "Marmaroglypha", "Haplosomoides", "Agrocybe", "Surinamella", "Odontopera", "Tripogonella", "Eugrapheus", "Microrchis", "Eumops", "Romboutsia", "Drosophyllum", "Aeolesthes", "Hippocrepinidae", "Scutopidae", "Wroughtonia", "Hypotaenidia", "Gracilimus", "Paraeggerthella", "Lepidodasyidae", "Argyronympha", "Phaenochitonia", "Azonax", "Sclerostomini", "Phyllhermannia", "Crassomicrodus", "Chaloneriaceae", "Mesotoga", "Nesobia", "Pleidae", "Restionaceae", "Metiina", "Classiculales", "Dagmaritinae", "Siphlaenigma", "Neefia", "Ecbletodes", "Schizocosa", "Beaufortia", "Euceratocerus", "Sulfolobales", "Hypsophila", "Miallo", "Lanuginellinae", "Talaus", "Tenthredinoidea", "Bryozobiinae", "Loxothysanus", "Stiliger", "Daku", "Lobesia", "Daohugoidae", "Polybiinae", "Apsectus", "Telamonini", "Idiogaster", "Lobatolampeidae", "Protagrypninae", "Kennediinae", "Glueminae", "Sullivantia", "Chileulia", "Dexaminella", "Scopelocheiridae", "Chlamydotis", "Parellisina", "Epicastini", "Parabybe", "Aragualna", "Aiolochroia", "Mesida", "Voloshinovella", "Critoniella", "Scotobaenus", "Pseudorygmodus", "Ariopelta", "Calicotis", "Nasturtiopsis", "Aptinus", "Alvimia", "Pelmatellus", "Andex", "Bartle", "Pseudobiceros", "Vianopolisia", "Choreotrichida", "Guembelitriidae", "Dolichoplomelas", "Archolaemus", "Alloporus", "Thraumata", "Apidaurus", "Gerris", "Gomphomastacinae", "Cyphohypurus", "Nursia", "Mycetina", "Scolopendrini", "Argon", "Desmopachria", "Micreunini", "Codonoderus", "Hexatoma", "Eocatopina", "Synechocystis", "Dadaytremoides", "Artiscinae", "Triadomma", "Ulmaridae", "Cryptogonimus", "Robsonodendron", "Tongluceras", "Smenospongia", "Aethecerinus", "Gaza", "Samydeae", "Janzenia", "Sclerocyphon", "Mexicobius", "Euphrictus", "Lambulodes", "Liadopsylla", "Megalapteryx", "Eurohypnum", "Olneya", "Solemasia", "Euphalepsus", "Kootenaia", "Xenotrachea", "Falcatidae", "Shivaella", "Stephanosphaera", "Notobathynella", "Hemienchytraeus", "Nyctibiidae", "Eugenes", "Asiphonaphis", "Gayella", "Gordania", "Omanicotyle", "Cyphioideae", "Selizini", "Gymnoloma", "Himalusa", "Pelocharis", "Lowryanthus", "Simaethistoidea", "Gymnopyge", "Pomatias", "Abatocera", "Catharylla", "Wellmanellinella", "Lonepinella", "Pentaloncha", "Rhombozoa", "Maxwellinatica", "Anyllis", "Diatonica", "Szechuanella", "Munnicope", "Bolshecapnia", "Renicolidae", "Conocoryphidae", "Neomycta", "Nodosinum", "Calvophomopsis", "Luriculus", "Paraleucobryum", "Phaenoglyphis", "Ereynetinae", "Desmodilliscus", "Subacyrthosiphon", "Balearicinae", "Bostrycinae", "Gonycentrum", "Paguriscus", "Sotades", "Bulgaroperla", "Puelche", "Rubratella", "Chaetopeltidales", "Liparidae", "Syrphidepulo", "Nesophanes", "Microcerinae", "Solaneae", "Sejanus", "Darwiniella", "Kynaria", "Argogorytes", "Axinopalpus", "Yangiella", "Orellia", "Adullamitis", "Notasteron", "Heteroblissus", "Hispanirhynchia", "Elizabethkingia", "Chilingosaurus", "Zoropsidae", "Pharao", "Androdon", "Cobaloides", "Atlantiella", "Tollius", "Magdalidini", "Pentatomini", "Tishechkinia", "Callianassidae", "Colinicola", "Centratherum", "Antilliscaris", "Gelotopoia", "Melierax", "Lemuriatyphlops", "Macropodiformes", "Neamia", "Coenochloris", "Melostelis", "Leleupia", "Antilophia", "Pseudomiza", "Sundatyphlops", "Grandjeanella", "Comophorinini", "Barutus", "Dismorpha", "Axinandra", "Callitris", "Pleurasiga", "Erythrodiplax", "Annularia", "Dorculus", "Tegastidae", "Menippus", "Trachylepis", "Durgellina", "Oxyurida", "Albireo", "Purana", "Sphinctocystis", "Colymbilepis", "Hylocharis", "Cathetopteron", "Thalassotyphloplanida", "Meteoraxius", "Carpornis", "Ugandapithecus", "Aloconota", "Palaeomicromenneus", "Ecuadopeltis", "Lonchophylla", "Pieridopsis", "Cuniculus", "Gadgarra", "Sanguibacteraceae", "Darodilia", "Percopsidae", "Deima", "Hypsibioidea", "Babascenellus", "Callanthiidae", "Haenkea", "Sericosomina", "Streblacantha", "Phoxinus", "Argentinocupes", "Coronophorales", "Cymeda", "Saltator", "Crossodactylus", "Melitturgini", "Lycurus", "Austromegabalanus", "Alkalilimnicola", "Conostylis", "Upucerthia", "Schlotheimia", "Choranthus", "Streblopus", "Homogyne", "Mesochria", "Tribrachiatus", "Greuetodinium", "Cancroidea", "Peteravenia", "Oreoxis", "Ariopeltinae", "Clausilia", "Boeckella", "Lissotrachelini", "Graycassis", "Loriculina", "Strigomonas", "Pennatulacea", "Pseudostegias", "Homoiocalea", "Byrrhini", "Mimoniades", "Entolingulininae", "Chaetoduvalius", "Rhachicephala", "Santamartamys", "Anomalipus", "Anexotamos", "Stenodontes", "Shielia", "Bolivinella", "Phloeognathus", "Pentaphragma", "Pyncostola", "Crocodilia", "Nustera", "Ypsilocucumis", "Allogonus", "Desmarestia", "Orthognathini", "Corbulamellinae", "Astroscopometopus", "Pterygoneurum", "Trilocularena", "Heterophaea", "Metrioglypha", "Barycholos", "Mirosternomorphus", "Salana", "Lagochilus", "Megalopodinae", "Vespericola", "Warreopsis", "Bathytropidae", "Gumilevia", "Aboeurhexius", "Alapona", "Mendaxinus", "Eumesocampa", "Amynthas", "Pseudopostega", "Daktyliophorae", "Goupiaceae", "Notocaulus", "Balatro", "Hywoolla", "Callimormus", "Sturnidoecus", "Arcola", "Lucigadus", "Eutelia", "Dolichopoda", "Carinatophilus", "Acinetospora", "Diadorina", "Acridomyia", "Lamellisabellidae", "Anhingidae", "Canthyloscelidina", "Cratoneuron", "Geothlypis", "Chandleriella", "Geotria", "Brachysipalia", "Phillipsilepis", "Cochlosyndinium", "Stylonurus", "Hylobates", "Eremophila", "Oncometeorini", "Pteryperginae", "Semagystia", "Dubiaraneinae", "Apodolirion", "Chondrosiidae", "Pectodictyon", "Macropodaphis", "Festucopsis", "Eofurius", "Notomys", "Sironidae", "Mastodia", "Matheteinae", "Anseranas", "Jansonella", "Dolichotrioza", "Phoronis", "Nothomydas", "Gopalia", "Dicercoclados", "Oocephalus", "Scaeothyris", "Pyxidicerus", "Coniornis", "Cardianecta", "Echinamoeboidea", "Synargis", "Quediocafus", "Atelestinae", "Ronhuberia", "Saxo-fridericia", "Microtheciellaceae", "Oliarus", "Kocakina", "Polysaccammina", "Stipax", "Lamprotes", "Praepeneroplis", "Asperuginoides", "Sebaris", "Anaglyphites", "Spumella", "Odontothera", "Sagrini", "Luciini", "Erythraeidae", "Psychrophila", "Exorstaenia", "Lasiochilini", "Raphoglidae", "Geminigera", "Pararotalia", "Amphasia", "Locharnini", "Spongiodoris", "Cyphon", "Polyplocotes", "Liopterus", "Dais", "Ptilopogon", "Hamatina", "Necrotauliidae", "Oligoraja", "Arauchemus", "Stoliczkella", "Niponiosomatidae", "Syphacia", "Ajaraneola", "Booneta", "Henicopernis", "Andicesa", "Nudiantennarius", "Thapava", "Leptotila", "Necroscardia", "Entisberus", "Schistomitra", "Melanommataceae", "Lophomenia", "Parafontaria", "Surdisorex", "Ophiocrossota", "Allotropidia", "Pontosphaeraceae", "Psarisomus", "Nodocepheidae", "Endomicrobium", "Kitagawia", "Xenophidiidae", "Brachystomella", "Diaulula", "Guineodinella", "Halcuriidae", "Vilpianus", "Fractonotus", "Thermostilla", "Paradulichia", "Idiopidae", "Characodon", "Mauritiella", "Genuchina", "Parapallaseinae", "Condicini", "Cercamoniinae", "Wuoaspis", "Pentapalpidae", "Circaea", "Brachionopus", "Apochrysogramma", "Acrachne", "Oxymantis", "Neostacheoceras", "Sarmydus", "Ceroglossini", "Zealanthicus", "Cochlicopidae", "Nemaclinus", "Virgichneumon", "Trachipteridae", "Bloszykiella", "Ilyapa", "Paysandisia", "Paragraphus", "Acanthorhabdus", "Helixanthera", "Oekiocolax", "Sturnidae", "Nicothoidae", "Percidae", "Allophorina", "Lyruterina", "Naryciinae", "Proscelotes", "Timmia", "Gomphidiaceae", "Xanthograpta", "Pseudorhodobacter", "Macrogomphus", "Austrophya", "Anomalobittacus", "Ascidiidae", "Lysinimicrobium", "Palorbitolina", "Lagyra", "Mutisia", "Neodontocryptus", "Cypricardia", "Valgini", "Gertschanapis", "Triclaria", "Metacharis", "Leucophoropterini", "Trameini", "Kuwaniidae", "Cocytiini", "Tripteridia", "Lampeidae", "Dictyocaulus", "Leucopsar", "Corythomantis", "Elymospiriferinae", "Bisancora", "Parioglossus", "Lobovalgus", "Cryphalus", "Actinosiphon", "Siphomarginulina", "Friesodielsia", "Micrereunetes", "Homolophus", "Pseudexorchis", "Cheyletini", "Stenadelium", "Velatinae", "Acteonina", "Zimmiellus", "Loxocephala", "Sphenostemonaceae", "Tomaspidinae", "Valensiella", "Kerodiadelia", "Homoneurinae", "Mimosthenias", "Bykoviellinae", "Bramkampella", "Himantostylus", "Holoptelea", "Trichopasilia", "Meizocellis", "Stegelletina", "Phylactothecidae", "Dichelhoplia", "Ditremageniidae", "Desmostylia", "Architaenioglossa", "Notoscincus", "Aquaumbridae", "Schizorhynchia", "Pontederia", "Eupantopodida", "Eurymetra", "Paranemia", "Pseudotontonia", "Diarthrophallina", "Gaoligonga", "Neoctenacarus", "Temnostega", "Rivicola", "Megalebia", "Chlamydodontida", "Uglukodrilus", "Chrysoikos", "Merolonche", "Tavakilianidia", "Makaracetus", "Drucina", "Xylastodorinae", "Cyclopteridae", "Locustavidae", "Rigifilida", "Retroterra", "Streptostemon", "Phemeranthus", "Tripiloppia", "Larnacillidae", "Thoopterus", "Campsis", "Prosopanche", "Polypteriformes", "Hemiandra", "Eremaeidae", "Baraeus", "Atherinomorus", "Decliniidae", "Trachelium", "Kamilaroius", "Kofoidia", "Potanthus", "Ditassa", "Pandrosos", "Holophloeus", "Coelomomycetaceae", "Parakaempferia", "Gressittiana", "Byrrhinae", "Unionicolidae", "Allophylastrum", "Neophoenix", "Furnaricola", "Anorcota", "Picris", "Tricimba", "Ondigus", "Tyraphus", "Entzia", "Myricanthe", "Pterocorythidae", "Pseudarietites", "Atypoidea", "Trichoclea", "Neoverrucidae", "Chrysiogenes", "Diesia", "Phthonosema", "Emprosthiothrips", "Pravdiniana", "Leptoplectus", "Africophanes", "Tsouchya", "Fascicularia", "Aplectrum", "Rothschildia", "Eupselia", "Sachaia", "Laterotaenia", "Pilophoneus", "Tenericutes", "Lithophane", "Pladaroxylon", "Glugeida", "Tuthillia", "Dissonidae", "Stenomesseae", "Tsintaosaurus", "Acutifromiris", "Trizetes", "Dibamia", "Deuterosminthurus", "Polytepalum", "Onychorini", "Philocteanus", "Eriotortrix", "Myiommini", "Theocyrtis", "Holaptilon", "Heliconiinae", "Bathytelesto", "Trichoscypha", "Euplecterga", "Crystallaria", "Arostellina", "Hypeninae", "Pseudacanthotermes", "Hexolobodontinae", "Rhynchostomataceae", "Painteria", "Oltmannsiellopsis", "Platytarus", "Gnathia", "Australomedusidae", "Peloridinannus", "Valenzuela", "Chimericorsa", "Eryphanis", "Montiniaceae", "Procryptocerus", "Peruviogomphus", "Dasysphecia", "Eremopisalia", "Pseudocophorus", "Teesdaliopsis", "Glenodiniopsis", "Metrosidereae", "Neopilina", "Baryssiniella", "Antillonatus", "Limatogaster", "Sarcinofilum", "Alkindus", "Eurymerodesmidae", "Euthyrhynchus", "Cocconeis", "Lejolisieae", "Tinocripus", "Petiolaphioides", "Novafroneta", "Cataplectica", "Hectorella", "Platessa", "Epicometis", "Colpomimus", "Coelurosauravus", "Prorhinoterminae", "Streptosiphon", "Planctomycetales", "Spinitanaopsis", "Coleodactylus", "Puntius", "Tangachromis", "Libelloides", "Hemicoelus", "Diphrontis", "Donkinia", "Pentasachme", "Omphalotukaia", "Tangvayosaurus", "Sweta", "Ciocalypta", "Gelatinipulvinella", "Baikalotomesostoma", "Carnegia", "Miogypsinoides", "Parasabatinca", "Cantareus", "Hoplonemertea", "Helicarionidae", "Triberta", "Aureisphaera", "Onuris", "Prionoderita", "Edwardsomyia", "Perothopinae", "Asynonychus", "Pronotestra", "Lithraea", "Porrhothele", "Barnebya", "Piromis", "Camira", "Pseudotrachypus", "Haplotrematinae", "Microblepsis", "Subtilidinium", "RBCM", "Baeomyces", "Fitchana", "Aleptina", "Anthobranchia", "Coccodinium", "Ctenoplectrini", "Stenodes", "Arabiscina", "Amblychilepas", "Hormotila", "Calcochloris", "Coryneliomycetidae", "Paracucumidae", "Pantelodes", "Mandera", "Otoplanidia", "Perivaga", "Philampelus", "Toretammina", "Alphairidovirinae", "Soterosanthus", "Calamonastes", "Holcosus", "Crenigomphus", "Brunellia", "Coryphothamnus", "Pseudanthobothrium", "Bochus", "Sphalloeme", "Bellinurina", "Catocalini", "Campyloprion", "Cutleria", "Cribrogenerina", "Latridiinae", "Adossa", "Singularivultus", "Pseudomyrmex", "Promeropidae", "Draconetta", "Megalonitis", "Tournarchaediscus", "Geodiidae", "Spinolaxina", "Chroococcopsis", "Pachystrobilus", "Hecatompeda", "Thalerius", "Amphimenes", "Sublegatus", "Eudorina", "Dacnotillus", "Amoria", "Fasciclymenia", "Lathochlora", "Nousia", "Solearhynchus", "Myrothamnaceae", "Aldania", "Ochrobactrum", "Geita", "Noguchiodendron", "Paedocypridoidea", "Austrocordulia", "Distopyrenis", "Zanobatocestus", "Fraxinus", "Gallardoia", "Torneutini", "Psaenythisca", "Favocassidulina", "Stahlia", "Schizomida", "Mexcala", "Klimaszewskia", "Dinocerata", "Pterachaenia", "Heteranthia", "Trissemidius", "Abludomelita", "Jiriella", "Tridactylidae", "Citheronia", "Ectroma", "Mydaus", "Aciculella", "Xanthonia", "Neurotrichini", "Ambiortus", "Eloeophila", "Glyptoxanthinae", "Callipyrga", "Parasagitta", "Heliothrips", "Hamatoscalpellum", "Trachelocerca", "Phoxichilidiidae", "Mactromeris", "Eucharitinae", "Crotonothrips", "Plagioptera", "Mimohomonoea", "Pseudomonotes", "Clausiliini", "Tenuisternum", "Macrovipera", "Acoelodus", "Pizatettix", "Graciliceratops", "Ptocheuusa", "Isthmura", "Adama", "Cyclobacteriaceae", "Neostenotus", "Seisonacea", "Danthonidium", "Hemiplatynus", "Canariellanum", "Brimus", "Cytherelloidea", "Loberinae", "Hedyosmum", "Triumfetta", "Dacampiaceae", "Ephies", "Cyanoneuron", "Bathymacrostominae", "Thallagus", "Varipodida", "Corchorus", "Amphidiniella", "Ellipes", "Coeligetoides", "Crassicoma", "Pitta", "Odontopeltis", "Bupleurum", "Mickelopteris", "Geoplana", "Baltoraea", "Obanella", "Leia", "Sphendysglossa", "Opeatocerata", "Hydraphaenops", "Euchonoides", "Salmacis", "Theticephalus", "Camarodonta", "Caspiinae", "Empinodes", "Meteugoa", "Picumnus", "Argyrosaurus", "Neodudia", "Troctomorpha", "Apomys", "Odontocerinae", "Liocranidae", "Styphlini", "Scaphinotus", "Synthlipsis", "Cubanotyphlus", "Dictyodendrilla", "Simaoa", "Platysoma", "Jixinlingella", "Dura", "Abstoma", "Parapodisma", "Sphyrospermum", "Coleostoma", "Pseudohimantidium", "Macgregorius", "Proteus", "Encaustini", "Hemiphractinae", "Parmophoridea", "Peltinae", "Allothelaira", "Niphotragulus", "Corynephage", "Zychaspis", "Desulfatibacillum", "Eurystyles", "Isophyllostreptus", "Asemostera", "Spirocladia", "Mniodes", "Galeanellinae", "Tornatinidae", "Chaetaglaea", "Nesogobius", "Synodites", "Phanerotomella", "Danthoniastrum", "Schlumbergerina", "Anguracia", "Mylochromis", "Zanonieae", "Heterospingus", "Sorbus", "Culicicapa", "Myxocyprinus", "Giovanella", "Bordnamonas", "Aphanostola", "Circumphallidae", "Neocytherideidae", "Asterolamprales", "Stereodermini", "Kenocoelus", "Clypidina", "Encyrtocephalus", "Banatiola", "Striatobalanus", "Omotimus", "Pteroneta", "Orchomene", "Oligoclada", "Chalcopharis", "Euglyphinopsis", "Hyalodictyon", "Phascolosorex", "Rhizopodopsis", "Apeltosperchon", "Morion", "Ambrosiger", "Blasiidae", "Aphyosemion", "Halanaerobiales", "Constrictibacter", "Artifodina", "Iotasperma", "Caudofoveata", "Trilaccus", "Adlerodea", "Conosphaeron", "Eremocaulon", "Caloramator", "Exitianus", "Epicalina", "Barbatosporales", "Laticauda", "Merrifieldia", "Evetria", "Phaeospirillum", "Phytomastigina", "Halicnemia", "Anopodium", "Ambonostola", "Trisetum", "Manniella", "Notoglanidium", "Aestuariivivens", "Corynellus", "Aspicarpa", "Litotenes", "Beutelspacoris", "Pionus", "Cystopleura", "Leptoxis", "Pinacoclymenia", "Lacconotopedilus", "Hexaplatarthrus", "Neotina", "Poeas", "Leucanthemopsidinae", "Anabaena", "Nannophyopsis", "Concharidae", "Kofoidopsis", "Oleacininae", "Odontophrynidae", "Haloferacaceae", "Noterophila", "Propyria", "Rhoptrobothriidae", "Krukt", "Mimohoplorana", "Epipleuria", "Clivosurella", "Proaethiopodes", "Myiocephalini", "Nabangana", "Protochonetinae", "Tomopeatinae", "Leptonyxa", "Skeletomastus", "Noseozephyrus", "Haloparvum", "Zyxomma", "Asteropyrum", "Nat", "Tisma", "Graphopsocus", "Pellegrinisaurus", "Eogomphus", "Oxyporaceae", "Margaritoxon", "Anisocerini", "Paguritherium", "Acropolitis", "Xenacanthippini", "Jatrophihabitans", "Ectabola", "Chauliodinae", "Parafilitanais", "Dendronetria", "Pseudoliodini", "Archaeonympha", "Pedinomonas", "Thaumaglossa", "Mantomonadida", "Cunicumara", "Paraneella", "Cristatosybra", "Steginoporellidae", "Paramo", "Mydas", "Ambrosia", "Abyssorchomene", "Zegris", "Volaticotherium", "Oninia", "Verschaffeltia", "Melanopsamma", "Eopaederus", "Austrovates", "Malacomys", "Asetacus", "Mysouffa", "Hyalosaurus", "Arthrocaulon", "Mecothrix", "Brachyfulvius", "Nereivelia", "Mimoncopeltus", "Zetherini", "Youngolepis", "Halobacteria", "Spilota", "Celereon", "Leucopoa", "Mimadoretus", "Rhynchacris", "Myrmagua", "Ornixola", "Dobodura", "Riyadhoides", "Sclerophora", "Cucumaria", "Doryctophasmus", "Plexippica", "Spelaeonicippe", "Paratanaidoidea", "Patagosmilus", "Baccharis", "Lathroplex", "Pararhopaea", "Saudallygus", "Parunciola", "Nobregaea", "Lebenharticrinus", "Megaponerophilus", "Synocnus", "Ancylosoma", "Achrotelium", "Liocapsidea", "Coxites", "Platycladorchis", "Choriolaus", "Cacaliopsis", "Gerynassa", "Gibbosoplites", "Ctenolophonaceae", "Gordoneus", "Astigmata", "Pauridiantha", "Copernicia", "Phyllobacterium", "Metidae", "Platyfigulus", "Hongscarabaeus", "Pratylenchidae", "Discicristoidea", "Okaundua", "Tirisporellaceae", "Pintoweckelia", "Drastea", "Liuyelis", "Glaphyropteridopsis", "Parahollardia", "Pseudobryum", "Duthieeae", "Tephrosara", "Peptoniphilus", "Hoffeinsensia", "Speleochirini", "Austrolecanium", "Sporohalobacter", "Mabuyinae", "Austropeplus", "Neuroptera", "Pronoe", "Stercorarius", "Stereodontopsis", "Centella", "Anura", "Harcledo", "Laosepilysta", "Ischnotyphlus", "Cheesmanella", "Mesoanystis", "Acca", "Disasterina", "Neivaphilus", "Nyctereutes", "Corystoidea", "Phytoptipalpus", "Nardus", "NMSE", "Dimerocrinitidae", "Cardiocepon", "Anacardioideae", "Parthenocisseae", "Bifidobacteriaceae", "Enidae", "Parabarrovia", "Cratoenigma", "Tamaulipeca", "Fenerivia", "Dentazyras", "Endoplura", "Dalyatini", "Kantia", "Tornocrusus", "Curtipleon", "Tilapia", "Leucopsarion", "Sclerorhynchidae", "Tliltocatl", "Habrochloa", "Eucyclidae", "Rectinema", "Eleocharideae", "Chlamydomyxaceae", "Aeolocoelotes", "Echinozone", "Arisota", "Deltocephalini", "Petrobius", "Beirnaertia", "Vitzthumegistidae", "Myornis", "Caudomyces", "Nuconarius", "Pseudodidymocyrtis", "Amphilochoidea", "Krymia", "Pareiorhina", "Eledonoprius", "Deuterammina", "Rauschitaenia", "Decachela", "Gourbeyrella", "Deblocktaenia", "Erysipelotrichia", "Mimagnia", "Pseudodichromia", "CHUNB", "Kylindrocysta", "Discoclaoxylon", "Brachodes", "Arthropteris", "Stephanus", "Teinocoptinae", "Spasspasskya", "Haruchlora", "Heterocotinis", "Linyphiinae", "Epironastes", "Isachne", "Fomitopsis", "Xylophion", "Neosantalus", "Rhytipterna", "Evacanthinae", "Eurysorchis", "Bracheocentrus", "Betacallis", "Ips", "Porocephalida", "Gnathoxys", "Mimodoryctes", "Lamellaria", "Conostegia", "Mallomonadaceae", "Pseudobactrodesmium", "Chilocardamum", "Coenagrionidae", "Heterocheirodon", "Asthenes", "Euplagia", "Mesoclymenia", "Matangocoris", "Atelomastix", "Graminacaecilius", "Nanurus", "Paramicrosporidium", "Curalium", "Gansserina", "Aphanosara", "Calodiscidae", "Neosmectonia", "Oxytaenia", "Carcinomastax", "Monachus", "Heterorhynchites", "Cantabrosoma", "Nesomachilis", "Rykanes", "Pectinochromis", "Acratini", "Chaunacidae", "Podapolipoides", "Psigida", "Bolivinoidea", "Westiellopsis", "Leptosomia", "Iguanodontoidea", "Cupila", "Copriodes", "Reevesia", "Hemidictyaceae", "Sphallenum", "Tryssophyton", "Coenochroa", "Grandioculus", "Balbidomaga", "Philostomella", "Chriolepis", "Mendidius", "Microthericleini", "Myzia", "Datamini", "Phthiriinae", "Talima", "Hastertia", "Tolma", "Tecticornia", "Callidosomatini", "Crocanthemum", "Allagopappus", "Dirocoremia", "Kaitoa", "Accipiter", "Belba", "Ampliodactylus", "Nodotergum", "Disparella", "Oryctini", "Copiapoa", "Pseudomegachile", "Teranodes", "Thorybes", "Stiptotarsus", "Cadea", "Mammea", "Oryzaephilus", "Macrogyrus", "Isocoelioides", "Corydalus", "Pterodiscus", "Agamopus", "Anthobaris", "Leptoguignardia", "Buobellenden", "Placusa", "Paracoelops", "Psammodiina", "Aphanasium", "Atrichoseris", "Porocyclia", "Hypopterygiales", "Stictocardia", "Palaemonidae", "Orites", "Pactolotypus", "Heliophanus", "Loboharpalus", "Opsimea", "Hippasa", "Thysania", "Chiococca", "Chorizandra", "Afrephialtes", "Hinduipsocus", "Alloioscarabaeidae", "Leptobasis", "Iwaruna", "Myloxenoides", "Chilgatherium", "Lanthanotus", "Puccinellia", "Spherasuctans", "Japonolaeops", "Lithomanteidae", "Plecotus", "Rubritepida", "Vallacerta", "Belonion", "Atorellidae", "Microtus", "Ceratocrania", "Cyaforma", "Thereuopoda", "Centritractaceae", "Callixanthospila", "Mesosaimia", "Oligoporella", "Austroearinus", "Coscinoderma", "Thyonina", "Blastobasoides", "Apodanthaceae", "Parasitina", "Eurylobus", "Cynanchum", "Hallangiidae", "Pseudochelidon", "Tetrodontium", "Pancalia", "Chorioptes", "Cosmiellinae", "Lestonocorini", "Nucularia", "Hoverdenia", "Stackhousia", "Desulfosporomusa", "Leegaardiella", "Xosaia", "Alkanindiges", "Hymenodictyeae", "Metanola", "Cantinoa", "Takeoa", "Schrebera", "Acritini", "Ferrerianus", "Aancistroger", "Celor", "Pandemicus", "Leiini", "Myostreptus", "Omalisidae", "Liphistiidae", "Haworthia", "Planodasys", "Neohedobia", "Siphonactinopsis", "Lacinutrix", "Parahaplolepinae", "Pseudecheneis", "Troginae", "Nulapona", "Tetranema", "Eblanaia", "Necrobroomea", "Belgaumia", "Heimia", "Schoeniophylax", "Juniperella", "Paralaophontodes", "Dodonidia", "Berkhoceratidae", "Kimbetohia", "Anisomorphini", "Trischalis", "Sparasionini", "Biscutella", "Sersalisia", "Cetia", "Icosidesmus", "Cyrtopogonini", "Doroshenkoa", "Eulachnus", "Stephacharopa", "Pluotenia", "Zubairia", "Caribeacarus", "Sincoraea", "Difflugia", "Paralophotus", "Freemanomyia", "Miantonota", "Pacificulla", "Cryptostylochus", "Actinomonas", "Doridoeides", "Rheochloa", "Tronamyia", "Abycendaua", "Kalama", "Corticium", "Jonssonia", "Cyrtusiola", "Poikilnotha", "Notacalles", "Uncolaceae", "Cryptotendipes", "Pseudanthocotyle", "Compsosuchus", "Melasiniana", "Methylovorus", "Porphyrostachys", "Hippuris", "Polystephini", "Librovitchites", "Aphodiina", "Trechina", "Urohaustorius", "Bosqueiopsis", "Evimirus", "Leptomischus", "Eurypteridae", "Pedalium", "Proetina", "Equinae", "Murellini", "Coccotropsis", "Pronoritinae", "Kerriochloa", "Arthroteles", "Amblycheila", "Acalonoma", "Panerema", "Ammonia", "Parasediminibacterium", "Ebalina", "Poecilorchestes", "Planobispora", "Benoinyssus", "Tridensius", "Craspedorhachis", "Euthychaeta", "Crotone", "Ripponia", "Amiracarus", "Grimaldiella", "Cardinalis", "Monodactylidae", "Stilbopinae", "Rhachithecium", "Pedleya", "Potamochoerus", "Leptoprosbole", "Starria", "Ocheovelia", "Acampsohelconini", "Zalomes", "Mycetopodinae", "Micropoltys", "Balticaphis", "Bothrosternini", "Orneodes", "Notophycis", "Phanera", "Pamborus", "Cucumariidae", "Heliogomphus", "Schizacea", "Australoconops", "Talpoblissus", "Saccharomyces", "Loryma", "Neoepinnula", "Aleuroclava", "Derocrania", "Pylaisia", "Metallolophia", "Trichogorytina", "Emwadea", "Horichia", "Sinovelia", "Pseudoganisa", "Elasmini", "Helle", "Amphilithiidae", "Eucarpiini", "Apuecla", "Barolineocerus", "Cymaroa", "Steirachne", "Lanarkiidae", "Trichogammarus", "Masoninae", "Keissleriomyces", "Nemoria", "Corynura", "Atticiella", "Hypatium", "Lionedya", "Gynerieae", "Petrosaviaceae", "Aethyssius", "Igorina", "Phthirocorini", "Quasimodia", "Tibetia", "Apatosaurus", "Eunemadina", "Darna", "Schausiplusia", "Lepuropetalon", "Protochonetes", "Halcyon", "Neopunia", "Dallingeria", "Porfirievia", "Isigonia", "Japanagallia", "Comanthus", "Platyagonum", "Nicolaus", "Palaeomorpha", "Erythrodecton", "Taurotettix", "Dihybocercus", "Chroomonadaceae", "Xestocephalus", "Rastrognathiidae", "Epicrioidea", "Orthovertella", "Titanoeca", "Pamba", "Palaemonoidea", "Peridroma", "Erima", "Stigmoplusia", "Grigorovia", "Chaetothyriomycetidae", "Oolitella", "Antarctothius", "Admiratella", "Nepaletricha", "Centrodinium", "Craibiodendron", "Sasquaperla", "Malacosaccus", "Polyctenes", "Sinolimprichtia", "Pseudocohnilembidae", "Theroa", "Liponyssinae", "Betacixius", "Pseudotrypauchen", "Haasus", "Auroraia", "Heliotropioideae", "Cicadettina", "Rosenvingiellopsis", "Desulfatiferula", "Cheirogaleoidea", "Meragisa", "Heliomonadida", "Euasteron", "Poecilotheriinae", "Alloformica", "Rhipidogyrinae", "Phorinae", "Chaeropus", "Xanthoneuria", "Bruxner", "Amphidrausini", "Hesperornithidae", "Nodosinelloidea", "Begemius", "Monsonia", "Pseudophiloscia", "Macroscelidini", "Monochamus", "Auriculifera", "Didymosalpinx", "Languriomorpha", "Decalepis", "Teucrodoxa", "Leipojapyx", "Summersiella", "Troglophyton", "Styloptocumoides", "Atuna", "Tarsolepis", "Oiketicus", "Foreauella", "Eccopsis", "Arnium", "Carvalhygia", "Ragadinae", "Eulecanium", "Dwiroopaceae", "Alelimma", "Meriellum", "Aneono", "Lucernariopsis", "Tethygeneia", "Myrmarachnini", "Pedotrina", "Arnetta", "Bellilinea", "Pseudocannaboides", "Gidda", "Bithekammina", "Cheiracanthium", "Vestibulum", "Sycodorus", "Macandrewiidae", "Paratachyusa", "Agarna", "Schizopelte", "Ascaris", "Spodiopogon", "Oberhauserellidae", "Alishewanella", "Phlegethontia", "Calcothrix", "Liaoichneumon", "Embothrium", "Wasmannellus", "Myosporidae", "Hapalops", "Taxidiotisoma", "Hyppa", "Eucocconeis", "Exaerete", "Waltherarndtia", "Anaspimordini", "Bacchidinium", "Phylloribatula", "Notopoma", "Raymunida", "Williamsocoris", "Chondrosia", "Chernetinae", "Heresiarchini", "Bolbitiaceae", "Siphoviridae", "Triangulomonas", "Myrmecopterinella", "Pachygastrinae", "Furcacaudidae", "Sphaerospermopsis", "Bongardia", "Centromadia", "Trachyrincinae", "Sordariomycetidae", "Trichopleon", "Architectonica", "Prospeleketor", "Vagrantini", "Drimys", "Piculus", "Carneades", "Scotinopharina", "Magelona", "Tettigoniidae", "Lomariopsidaceae", "Dictyophorites", "Parascaniornis", "Piaranthus", "Chrysaster", "Cyclamminidae", "Spinosodus", "Dacryopilumnidae", "Redeckera", "Ultimachelium", "Apteryx", "Senaea", "Acanthocystidae", "Leuconyctini", "Sibyllidae", "Osteichthyes", "Leiodontium", "Paratriaxomasia", "Antispastis", "Helicotheca", "Nitrosomonadales", "Archariina", "Eosentomon", "Crassulaceae", "Lipingzhangella", "Haplochelus", "Cirrhilabrus", "Planctopirus", "Ceratiomyxidae", "Petaliaeschna", "Ipochira", "Pachyloma", "Eophyllites", "Ceratogastra", "Thricops", "Lobotes", "Promeces", "Regina", "Ischiopsopha", "Myriokaryon", "Pojarkovia", "Aristaea", "Tinamus", "Camelus", "Strigilla", "Baeostethus", "Andosia", "Psilopsocidae", "Grahamia", "Rubrisciurus", "Strongylophthalmyiidae", "Onnia", "Notiothemis", "Hovhoa", "Cercoptera", "Hydrangeocola", "Ogulniinae", "Merganetta", "Ennomomima", "Pholidotrope", "Apodopsyllus", "Dolichothrix", "Aulojoppa", "Bloeteocoris", "Paroxyplast", "Cetimaique", "Phaenostoma", "Callithamnion", "Onychophilonthus", "Paracanachus", "Oxyrhynchus", "Xanthochroa", "Canthyloscelididae", "Arbelaezaster", "Hylamorpha", "Aristelliger", "Ledovitia", "Tympanophorus", "Feliformia", "Pantilema", "Paharia", "Nipponosynuchus", "Sarahsaurus", "Larivierea", "Luopingcoelacanthus", "Zelamerus", "Lyela", "Reuterella", "Atopetholidae", "Eriomyces", "Pseudoclastoptera", "Duseniella", "Halopithys", "Xanthophyceae", "Aegerosphecia", "Micropisthodon", "Pretydeus", "Bojaskinskia", "Rosmarium", "Chromolepidinae", "Erieopterus", "Planuncus", "Schizorhinini", "Geogepa", "Paraperlucidibaca", "Bolitophagini", "Cubanoscia", "Echinosporangium", "Brachycercini", "Ocymyrmex", "Reynoutria", "Paramblopusa", "Tympanidaceae", "Colombellinidae", "Microsaccus", "Loxanthera", "Hyperbaeninae", "Navisolenia", "Centrosiphon", "Cryobacterium", "Csapodya", "Billolivia", "Atlantibacter", "Hadziida", "Mecopelmini", "Notoliparis", "Glyptocolastes", "Glyphicnemis", "Immergentiidae", "Beremendia", "Redonia", "Ponthieva", "Australocirrus", "Manumorpha", "Leucocyphoniscus", "Urania", "Verticia", "Trichostomatia", "Veneroidea", "Eulepidotinae", "Bellibarbula", "Driessenia", "Rhopalothrix", "Dietersminthurus", "Katumotoa", "Dirioxia", "Pseudoholostrophus", "Protomegabaria", "Clupeichthys", "Bembicina", "Manonichthys", "Adela", "Synoecetes", "Planctoteuthis", "Siphonaptera", "Sphenoptera", "Hypectopa", "Libellus", "Scolecenchelys", "Dendrophryniscus", "Euplerinae", "Whiteia", "Infernophilus", "Aphidius", "Dadayius", "Rectoseptaglomospiranella", "Doxander", "Nothomorpha", "Leodonta", "Scuromanius", "Mabuya", "Aproteles", "Ecyrus", "Campylognathoididae", "Coptacrinae", "Adersia", "Planispirina", "Theridiinae", "Gromiidae", "Heterolobosea", "Tegeticula", "Litarachna", "Microdecemplicida", "Xylopia", "Atrichopleura", "Terryerwinia", "Pachyplectroninae", "Monodopsis", "Clistopyga", "Closterocoris", "Onepunema", "Monogramma", "Bovienia", "Petroica", "Malgassesia", "Austrotrillina", "Interocrea", "Glyptomorphini", "Anaxibia", "Ambasiopsis", "Chrysophylloideae", "Architeuthis", "Neotimyra", "Manataria", "Zamium", "Lienenklausicythere", "Mniotype", "Lithophila", "Myanmadera", "Mourellinidae", "Speleodes", "Ingeniinae", "Amathyntis", "Canthochilum", "Pseudowhiteleggia", "Moeocerus", "Quadrimorphinidae", "Preslianthus", "Montealegrezia", "Babakinidae", "Pseudovolucella", "Psychopomporus", "Megistopini", "Oncospermatinae", "Garumna", "Tedaniphorbas", "Megavitrina", "Haloplasmataceae", "Liocola", "Rhodospirillum", "Formostenus", "Coleomegilla", "Thaumatospina", "Pseudabacetus", "Itapotihyla", "Mimacmocera", "Crepidogaster", "Neocalvia", "Darcythompsonia", "Orangia", "Cosmorhoe", "Parahalcampa", "Scombrops", "Diloma", "Eoclambus", "Ulvales", "Holocorynus", "Flustridae", "Metafurius", "Sturtiella", "Palaephatidae", "Neophaeosphaeria", "Haplopygus", "Inmirania", "Dactyloscopus", "Glaeseria", "Borealophlyctis", "Protosilvanus", "Polylabroides", "Aspidopterys", "Acanthocolpidae", "Isthmoconidium", "Rethona", "Licinopsis", "Amauropelma", "Xylacis", "Tomoceridae", "Lepidocharon", "Rhopalosiphina", "Ailuropinae", "Heterodonta", "Dayakiella", "Cerophytum", "Triatominae", "Elachista", "Melanetes", "Anasa", "Papuacedrus", "Cystomonas", "Prodoxidae", "Cucullistriga", "Tasgnathusa", "Hypodrassodes", "Warreniplema", "Quadrimaera", "Brochiverruca", "Cantharellaceae", "Byssothecium", "Phascini", "Pharga", "Achrioptera", "Pterolonchidae", "Sirenoidea", "Glebionis", "Cyclosini", "Gymnobathra", "Prismatomorphia", "Telatrygon", "Polydrosini", "Benthamia", "Archischoenobius", "Helenium", "Boettcheriscina", "Taurocimmerites", "Ophryocotylus", "Nesterenkonia", "Perichasma", "Myrophinae", "Sphaeriestes", "Planktolyngbya", "Lyncodon", "Nyholmia", "Hyperectenus", "Agdestidoideae", "Cribranopsis", "Eremalauda", "Hesperophasmatini", "Decarfuss", "Triploporella", "Dichomeridini", "Pterochondria", "Zobrachoidae", "Actiniaria", "Rhampholeon", "Raspailiidae", "Anelsonia", "Trichoptera", "Rensonia", "Esakiopteryx", "Empidonax", "Actinobalanus", "Hyacinthella", "Neocribellatae", "Laurencella", "Stenaptinus", "Pterophoroidea", "Cryptachaea", "Testudinellidae", "Plateremaeoidea", "Boeberastrum", "Sassandrioides", "Madaglyphus", "Halichaetonotus", "Pauropetalichthys", "Petrammostiba", "Largidae", "Tonsilliphilus", "Anaeromonadea", "Potamoidea", "Hydnorobius", "Eugyra", "Amblyolepis", "Septobasidiales", "Pergesa", "Rhynchostruthus", "Geissolomataceae", "Gulyaevilepis", "Pyrgomorphinae", "Tetraserica", "Amphithopsis", "Greensladella", "Entylomaster", "Golubeviaceae", "Synasellus", "Ibidionini", "Uteroflexus", "Discobola", "Rumfordia", "Schizogonium", "Denhamia", "Phoxacromion", "Radimella", "Cerothallia", "Psammomelita", "Eupolycope", "Pedrocortesellidae", "Rhynchotherium", "Mallotarsus", "Apotropina", "Surcoufia", "Sphaerobothria", "Macabeemyrma", "Hesperiidae", "Caloenas", "Ammoastutinae", "Alphitoaphis", "Picramniaceae", "Benkara", "Madsenia", "Dissiminassa", "Hypsochila", "Chromophysomonas", "Hydrodroma", "Coronosphaera", "Oxinoxis", "Gravelyia", "Vadonaria", "Buxeae", "Alloeonotus", "Archiatriplex", "Pseudoxandra", "Barkleyanthus", "Anapatetris", "Spathophorini", "Plenckia", "Gigarachnidae", "Rethusus", "Pericomaini", "Elapidae", "Falsibacillus", "Folivora", "Merizodus", "Belyta", "Ambocoeliinae", "Anasaitis", "Kaurimyia", "Colletogyne", "Euphyllodromia", "Willistonininae", "Stirlingia", "Miroscyllium", "Pilisphaerion", "Sarcodiaceae", "Hemiprosopa", "Benthosuchus", "Schizangiella", "Haplotrinchina", "Tridryinus", "Anfractuosoporella", "Gnorismoneura", "Biturix", "Actinodendronidae", "Bertolanius", "Platynanus", "Ectatomma", "Dinaromys", "Bursa", "Praelepas", "Parosmodes", "Hamiger", "Thecloxurina", "Stenosoma", "Sierrasteroma", "Botia", "Anoxypristis", "Esthlogena", "Phylolestes", "Sarcanthemum", "Meritastis", "Chapmannia", "Brochoadmonoidei", "Crossostomus", "Asterodinium", "Anthocorinae", "Parastephanellus", "Colurostylis", "Bonnemaisoniales", "Corispermeae", "Toxonidea", "Gaeanina", "Asapharcha", "Spinophiura", "Lamiopsis", "Monopylocystis", "Eurystomus", "Palaeoaxinidiini", "Oreosomatinae", "Paracentropyxis", "Guihaia", "Paryphthimoides", "Parammoecius", "Corallobothriinae", "Megapulvinaria", "Neosyringophilopsis", "Salinivenus", "Rhinopsalta", "Ascalabos", "Abagrotis", "Meconella", "Entorhipidium", "Cixiinae", "Kinnaridae", "MICP", "Beorn", "Dicranopygium", "Ideodelphys", "Smicropus", "Triuridaceae", "Dicrurobius", "Anuvinda", "Psilogaster", "Caymanabyssiidae", "Photoantrops", "Monjiviricetes", "Artaversala", "Fonticulea", "Baculofractum", "Thescelosynchroa", "Rickera", "Dilophothripa", "Autoserica", "Psocoptera", "Alopiini", "Nivenia", "Athenagalea", "Bryanae", "Immanus", "Amphientulus", "Peribathys", "Heterocheylidae", "Odontembia", "Leiosomatina", "Dalmosella", "Malalophus", "Nesoxenica", "Lasiotropus", "Nothyboidea", "Proteomyxa", "Bouvierina", "Guarianthe", "Porcellioidea", "Parhedylidae", "Idahoa", "Leucodictyida", "Caledonogonus", "Cokendolpherius", "Vadonites", "Liljeborgia", "Chelicerca", "Haemaphlebiella", "Nesolagus", "Dicondylia", "Acrochordonoposthia", "Myzostoma", "Luisiellidae", "Potamodiscus", "Pantobatrisus", "Pygmaeolus", "Itumbiara", "Donisthorpina", "Phalcoboenus", "Euterpeae", "Endaseina", "Trochilium", "Costelytra", "Alainosquillidae", "Coccidiniales", "Psammodontidae", "Glycomyces", "Cornifalx", "Iluocoetes", "Dickinsia", "Gentiliana", "Leptocyrtinus", "Corythospyris", "Weddellopsocus", "Psalidopodidae", "Mcateeana", "Leptembia", "Proanaxipha", "Tarsonemellini", "Astrosphaeriella", "Rhanteriopsis", "Ryacia", "Rzehakininae", "Tigrosa", "Gamasellus", "Caryanda", "Syringa", "Hovachelus", "Edrabius", "Gonotropis", "Ivalia", "Hemispeiridae", "Homogammina", "Psammetta", "Liparura", "Philampelini", "Rhynochetidae", "Syringophilidae", "Sindoscopus", "Uragrilus", "Scopaeodes", "Termitosynodes", "Romulea", "Chiloglottis", "Vulvulininae", "Chaetodracus", "Ditomina", "Mesocephalobius", "Lophodiniaceae", "Discothyrea", "Kuehneotheria", "Blondeliini", "Parabrachylaima", "Polycerinae", "Chimoptesis", "Flickiidae", "Baryonychinae", "Rhysogaster", "Pentatrichia", "Spicularia", "Austrocritonia", "Echimyidae", "Photonectes", "Lioneis", "Nanustes", "Ariommatidae", "Parasaleniidae", "Rhizidium", "Loliginidae", "Nymphonoidea", "Rhadinacanthus", "Rhachidosoraceae", "Beauchenia", "Grazielia", "Bathysquilla", "Fervidicoccaceae", "Scutellograndis", "Hyptiogaster", "Coccotrema", "Cyaniris", "Geagras", "Phanerophthalmus", "Pseustes", "Cortinellidae", "Catoplatus", "Prolongoa", "Vimola", "Moronata", "Chloroselas", "Aiptasiomorphidae", "Dicraeopetalum", "Phrygionis", "Entelurus", "Murtula", "Neolindbergia", "Heliconilla", "Xenopini", "Hebarditettix", "URCA", "Certhiidae", "Pilomantis", "Terebrantia", "Rubieae", "Agastophanes", "Basiothia", "Sellnickia", "Anomacanthus", "Tripogon", "Danaideae", "Syntexis", "LEUBIPRO", "Pyrrhopappus", "Pseudoxiphophorus", "Anthocephala", "Cydalima", "Odontosoria", "Emblethis", "Sinoceratops", "Parapylocheles", "Nephropoidea", "Dicladocerus", "Diploneis", "Holcocerina", "Euryglossina", "Brachycope", "Climacosphenia", "Eryciniolia", "Conocybe", "Neosesarma", "Oreoryzomys", "Cleyera", "Sphenometopiina", "Calamister", "Oligoporus", "Judalana", "Dryocora", "Opydorscus", "Gryllomorphina", "Prepopsinus", "Eidmanacris", "Neotydeolus", "Hesperotestudo", "Ursidibacter", "Powellomycetaceae", "Atilax", "Acrotmarus", "Taphrinomycotina", "Llytheini", "Geotrupini", "Capniidae", "Chaenophryne", "Plagiochaeta", "Rhyparoclava", "Megaphonia", "Stilbina", "Teixeiranthus", "Ferrandia", "Tytthonyxini", "Ponticaulis", "Capillidium", "Taniatrechus", "Trygonorrhina", "Loxosceles", "Fluviicola", "Parkia", "Cycadomyces", "Allopetalia", "Celeribacter", "Wulingina", "Aneugmenini", "Phytometrini", "Hanea", "Dactylogyridae", "Egibacterales", "Tuberoplectus", "Dimitshydrus", "Berteroa", "Patinoa", "Hemisinidae", "Smodingium", "Brooksia", "Clavapora", "Oparba", "Lepajan", "Apochthonius", "Allomymar", "Tanymastigites", "Bacilladnaviridae", "Stenostelma", "Sarpestus", "Heterolygus", "Canoparmelia", "Haliphthoros", "Limnellia", "Sarsilatona", "Piccolia", "Phiala", "Penicula", "Actinernidae", "Hecyromorpha", "Hornellobothrium", "Amicodiscaceae", "Tetradiplosis", "Pontania", "Hyborhabdini", "Chilodontaidae", "Galeruca", "Triplanospongos", "Dolichoderini", "Cretotrichopsenius", "Craspedosomatidae", "Peritylinae", "Pselaphidius", "Alurnini", "Acanthostegidae", "Closteropus", "Dendroviguiera", "Phyllococerus", "Meropathus", "Sonorolux", "Angensteinia", "Lutevopsis", "Herpastedia", "Callichromopsis", "Sporolithaceae", "Securinega", "Paruroctonus", "Perissana", "Oulenotacrae", "Tridax", "Tubella", "Acraephnes", "Negrea", "Fraterarchibracon", "Rossites", "Yodanoe", "Elenchus", "Zantekius", "Abelmoschus", "Lelia", "Mississippininae", "Delesseriopsis", "Ganguleea", "Pseudanthracia", "Pholeuon", "Cayratia", "Calliona", "Dipelicus", "Josefpoeltia", "Wallemiomycotina", "Abapeba", "Oxyrhopus", "Lottiini", "Lycopsyllini", "Salmanites", "Sphenograptis", "Aphies", "Seleucini", "Vetulina", "Danaina", "Rusa", "Paradasynus", "Heterolepismatinae", "Orgizomyia", "Argyresthia", "Menidae", "Stenognathriopes", "Ajaniopsis", "Syatkinella", "Anaderma", "Striatella", "Acanthaluteres", "Tibicinoides", "Asymphyloptera", "Strategus", "Euestola", "Pronomaea", "Lomaridium", "Euthamneus", "Atomosphyrus", "Delosperma", "Pseuduvarus", "Tetrambon", "Nudisiphon", "Bicuspidatiella", "Bothynostethina", "Symplanella", "Neidiomorpha", "Pseudocodium", "Beschorneria", "Asaphes", "Basilewskynia", "Cymatium", "Ayarnangra", "Anilios", "Turutanoviini", "Shinkailepas", "Euplotidium", "Arabriga", "Longiprimitarsus", "Pelagacineta", "Carterinidae", "Hypsypops", "Graphidipus", "Malacanthura", "Oxydrepanus", "Cercidoideae", "Cetrelia", "Synallactidae", "Commelina", "Musimoia", "Actocharis", "Notolomus", "Bradybaenini", "Nanomantis", "Ancylotrypa", "Notosolenus", "Rickia", "Ochranoxia", "Terias", "Ululania", "Catesbaea", "Aegires", "Lipomycetaceae", "Varroa", "Afrabothris", "Sympodiomycopsis", "Pseudocheirus", "Amphionididae", "Eurystheus", "Bryotypella", "Urnalana", "Discosporangium", "Mysidiina", "Calmoniidae", "Colombicallia", "Sympecmatinae", "Phymatocerotales", "Hanriccardoella", "Ephialtini", "Hydrellia", "Palaeoleontidae", "Chamaepinnularia", "Toxochelyinae", "Cullenia", "Aloa", "Acroseius", "Nyctimystes", "Cymbopappus", "Sauropoda", "Coleopterida", "Conidiosporomyces", "Orthonectida", "Acantheurypon", "Vittatopothyne", "Greenwoodella", "Eurymetopus", "Pleosphaeria", "Degeneriinae", "Leucochitonea", "Platybursa", "Strumigenys", "Eudemopsis", "Coriophyllum", "Paramexiweckelia", "Fontitrygon", "Glypheidea", "Calonympha", "Hoplomicra", "Arrhenocnemis", "Apodida", "Haplophragmoididae", "Darcythompsoniidae", "Ochrimnus", "Triphragmium", "Vultur", "Neleothymus", "Haminoeidae", "Hilaroptera", "Polysemia", "Scyphophyllidium", "Synuraceae", "Kannathalepis", "Todirostrum", "Chasmantheroideae", "Megalinus", "Atholus", "Aeschnosoma", "Herviella", "Yixianscarabaeinae", "Leipoa", "Isometopini", "Philocoroebus", "Acoraceae", "Xenospingus", "Aepypodius", "Cymbopogon", "Symphylurinus", "Thamnostylum", "Ejectosporus", "Mirabilis", "Daubania", "Formosaxius", "Gyrocollema", "Bicryptella", "Poroarticulina", "Pycnoplinthopsis", "Camptodontus", "Venezuelacoris", "Timouria", "Stringophyllum", "Stylissa", "Syncalyptinae", "Holepyris", "Angaeus", "Charales", "Cephalobidae", "Iphiopsididae", "Neoscelis", "Scinidae", "Kurthia", "Odontolabis", "Nitrobacteria", "Musculium", "Couchioplanes", "Rollandia", "Palmerinella", "Cneorane", "Juratzkaea", "Riodinidae", "Amaurodera", "Echinops", "Planctonema", "Zangoharpalus", "Zamorinae", "Luteivirga", "Canaliporidae", "Leucophlebia", "Parachorius", "Balneolales", "Hayesites", "Tursiops", "Convolvuleae", "Diplothelopsis", "Cylloepus", "Cetreliopsis", "Thamiaraeina", "Platymops", "Paracladius", "Thecostele", "Heptalobus", "Cleistesiopsis", "Paronyx", "Helicocephalum", "Papuligobius", "Archipterogrammoides", "Pediasia", "Aratinga", "Pieterfaurea", "Dudaica", "Rhizoplatodes", "Salmonidae", "Metadorcatoma", "Xylariaceae", "Cincinnetina", "Themonocorini", "Liocamenta", "Hastatobythites", "Neozodes", "Vermiporella", "Astacilla", "Achaiabracon", "Cataclysme", "Indapiodes", "Niobichthys", "Rabomia", "Orectolobus", "Hypholoma", "Pelegrina", "Indochinomyia", "Patellogastropoda", "Wydundra", "Anthia", "Uronematidae", "Thelocarpaceae", "Gnathophiurina", "Anseropoda", "Hylaezentia", "Oroclintrus", "Eodiscoaster", "Concholestes", "Scoliotropidaceae", "Chelmonops", "Heia", "Humeocline", "Tzeananiaceae", "Monnina", "Urospermum", "Lindsaeaceae", "Danaus", "Hyperiidae", "Diaglyptellodes", "Calycopteryx", "Multifariidae", "Cryptoblepharus", "Rhopaloblaste", "Batrachocottus", "Pseudalcis", "Porotermitinae", "Austrosimulium", "Kanekonia", "Caserus", "Groenlandaspis", "Condylostoma", "Sphinctacanthus", "Parhyalella", "Phalangerinae", "Turkozelotes", "Stenosomides", "Ozodius", "Trachyliopus", "Limnesia", "Modestana", "Hangethellia", "Carlschoenherria", "Tutunema", "Pariproca", "Alipta", "Dialipsis", "Allactaga", "Neiella", "Myceliospongia", "Beguea", "Gampsocleidini", "Progomphocythere", "Calycodidae", "Acraspisoides", "Eurycardiochiles", "Stenosticta", "Leposida", "Organic", "Hemilissopsis", "Marmaroxena", "Trochocarpa", "Chioides", "Eulimella", "Frigoichthys", "Cephise", "Elops", "Cryptoclothoda", "Tanapseudes", "Permocupedoidea", "Castrione", "Piescymnida", "Parafavella", "Winifredia", "Neurothemis", "Sciaromiella", "Skuphonura", "Incrassoceps", "Ophryastini", "Heterandriini", "Dodona", "Basiaeschna", "Megaloncus", "Melanobatrachus", "Kleithriasphaeridium", "Discoxenus", "Dicypellium", "Cobetia", "Gubarra", "Microrhodopis", "Ifloga", "Merimbulaspis", "Neotaxilanoides", "Cyrtoneritida", "Afrocercus", "Ozoroa", "Hawaiieupodes", "Dentaliidae", "Myctophidae", "Montanarturia", "Holstia", "Anopsilana", "Eupodalecia", "Vitellius", "Qualea", "Ephialtes", "Parasybra", "Trisulipsa", "Garthinia", "Troglopedetinae", "Nekrasovia", "Adercosaurus", "Lordalychus", "Harpobittacus", "Hoploplatystylus", "Mixtopagurini", "Acarella", "Rhoptobaris", "Cryptostylidinae", "Paraheterospilus", "Lambertia", "Retrovescus", "Ptychomiliola", "Amauropus", "Agathotanaidae", "Grammographus", "Dictyocotyle", "Caragolina", "Percina", "Epitolina", "Eriotrix", "Nilus", "Haploesthes", "Palephyra", "Hylomys", "Promyrmekiaphila", "Corneulia", "Aphelocerus", "Neomerinthe", "Hypseloecus", "Corbichoniaceae", "Quasifusulina", "Dinornithinae", "Pseudoparafolliculina", "Orthosiinae", "Cyrtopora", "Nerinellidae", "Vendoconularia", "Polypodiidae", "Allomelba", "Polposipus", "Linda", "Texanocotyle", "Zygaenodini", "Arphthicarus", "Pseudocoelotrachelus", "Sigalitruncana", "Oncophyes", "Malagoniella", "Chillagoeidae", "Blastomyces", "Antillophos", "Tropidocarpum", "Acanthosyris", "Photobacterium", "Paramongaia", "Lasiodiamesa", "Aethophyllum", "Volzia", "Racinaea", "Aegithina", "Tasmaphena", "Tarbinskiellus", "Mesepipsocus", "Lindosiella", "Spinestoloides", "Ammoecioides", "Lecomtedoxa", "Rhagdostoma", "Celerinatantimonadaceae", "Pilobolus", "Gonolobus", "Anoplostethus", "Abatieae", "Maddisonia", "Membras", "Eleutherornis", "Himantidium", "Anandra", "Hecamedoides", "Nosphistia", "Dracocephalum", "Tetrathemistinae", "Adaeini", "Teracolini", "Libocedrus", "Methylogaea", "Eutreptiaceae", "Gloeobacterales", "Vannella", "Angerianus", "Luperca", "Microcriodes", "Hemipharus", "Robinsonella", "Creopelates", "Cyttarocylididae", "Jamoytiiformes", "Hypotrichomonas", "Hoplocleptes", "Hemitragus", "Balsinae", "Chromera", "Scaphosepalum", "Gastragonum", "Margolethaeus", "Plokiophilidae", "Cheramoeca", "Aphanolaimidae", "Isotomurus", "Anourosoricini", "Lyginopteridopsida", "Sagola", "Protoclita", "Dettmeria", "Ophelmodiplosis", "Baptria", "Archichauliodes", "Rhamnosa", "Eurychoromyiinae", "Praos", "Cyrtocamenta", "Pseudomyla", "Chesiadini", "Exspina", "Eccoptoptera", "Andaniopsis", "Drepanolepis", "Ancyroniscus", "Karsella", "Ammoflintina", "Pseudohaploporinae", "Multiquaestia", "Perissomastix", "Actinophrys", "Archipsocinae", "Joculator", "Aiolocolax", "Sordana", "Cryptostomida", "Gurrundus", "Nairoviridae", "Heleochloridaceae", "Pyralosis", "Africoribates", "Bolbobaineus", "Antilloppiinae", "Germainiinae", "Mauritiophasma", "Rectotournayellina", "Nitrobacter", "Anobini", "Coenobitidae", "Floerkea", "UNNEC", "Hister", "Paniella", "Dissoctenioides", "Aphirape", "Paraprotomocerus", "Dasyspora", "Plegadis", "Scelio", "Schistolobos", "Chytriodiniales", "Oligostachyum", "Thalleulia", "Lasioides", "Centroporus", "Lachnopus", "Abavorana", "Sensitibilla", "Metasiro", "Pleuromonas", "Rodentolepis", "Pseudendoclonium", "Ochroptera", "Pseudoxistrella", "Paracynoglossum", "Capissa", "Protosphagnales", "Goes", "Cynopterus", "Rhacontsira", "Anguilliformes", "Plectrocnemia", "Lepidostephium", "Setchelliogaster", "Salinisphaeraceae", "Flabellinella", "Phascolarctidae", "Setodini", "Ormosolenia", "Omomantis", "Turdidae", "Parazuphium", "Psilocalyx", "Cytherea", "Palinurellus", "Pilekiidae", "Falagriota", "Scherffeliomonas", "Phycobotrys", "Mesopanorpodidae", "Ceratinopsidis", "Holostethus", "Orseta", "Mekongbathynella", "Arcanator", "Hemipsocidae", "Cladoraphis", "Pavona", "Nannospalax", "Iconella", "Beroidae", "Oryziinae", "Xenophoridae", "Coloncus", "Nisotra", "Vespinitocris", "Gloeobotrydaceae", "Papiliocoelotes", "Pisoniella", "Microviridae", "Platyphora", "Tethygonium", "Bifibulatia", "FHGO", "Aeolosia", "Pseudochydorus", "Paratettix", "Amblyospora", "Choreutis", "Discopeltis", "Umbrageocoris", "Monascostroma", "Aeschynanthus", "Hoppea", "Sliochia", "Meineckia", "Schweiggeria", "Apaustus", "Pocius", "Riodocea", "Parambassis", "Spiropoeus", "Lutjaniformes", "Diclis", "Hexomyza", "Segniliparus", "Hiernia", "Catorhintha", "Ephippianthus", "Ctenandropus", "Quasillagilis", "Eundacypris", "Eblisia", "Gymnallabes", "Pourouma", "Euplesia", "Gonorynchiformes", "Iphisaxus", "Hohenbergia", "Cubanola", "Anchinia", "Saccharospirillum", "Cophomantinae", "Dendryphantinae", "Toulgarctia", "Cylorygmus", "Nasutapis", "Altinerina", "Lemindidae", "Cuneolina", "Caraphiini", "Anorygma", "Theophasida", "Griveaudella", "Apteronotidae", "Megalodicopia", "Remaster", "Nuchequula", "Catostemma", "Yxygodes", "Thasopsis", "Toxopterina", "Hemerocallis", "Rhamnochrysis", "Quintius", "Tangiina", "Serpotortellaceae", "Olethreutinae", "Sciaenochromis", "Maoricrypta", "Arthropodium", "Licaria", "Necturus", "Alesa", "Thoracotroctes", "Ginkgo", "Eumarozia", "Cladosiphon", "Balmeisporites", "Hyperoche", "Dindymus", "Madasphecia", "Atherinopsis", "Neacoryphus", "Austroeuplectus", "Archaphanostoma", "Bothriomyrmecini", "Triglicola", "Rhopocichla", "Asphodeloideae", "Atremaea", "Chaetotrechiama", "Gaujoptera", "Crimnologa", "Phthirocoris", "Anostostomatidae", "Rhinocylapus", "Stenoserica", "Erempsalta", "Paroecanthini", "Oedisterna", "Fontesius", "Wittmackia", "Rhamphothrips", "Ophioglossella", "Cyphobasidiaceae", "Polyneurella", "Ogmograptis", "Dialytheca", "Ninomimus", "Centramoebida", "Akatiomyia", "Aphroteniinae", "Propioniferax", "Euamneris", "Torilidinae", "Stellarticulina", "Elmoia", "Apotactis", "Pentstemonacanthus", "Euphyodesmus", "Galactea", "Cotalpa", "Pseudofulvibacter", "Brighamia", "Lathropus", "Axioidea", "Neonella", "Pseudokalissus", "Paracentromedon", "Clidemia", "Garthia", "Batristogenius", "Cratodactyla", "Phialiphora", "Zelinkaderes", "Phyllomorphini", "Phacepholis", "Tasmantrix", "Lycogalopsis", "Pterocarpus", "Chacophrys", "Stenomesosa", "Hemerosia", "Chamaealoe", "Ostreacryptus", "Thargella", "Chro\u00admo\u00adplex\u00adaura", "Staurobothrium", "Heteracanthia", "Darcya", "Limnobiophyllum", "Deflandrecyrtium", "Malmidea", "Cristomylus", "Hydatoscia", "Acanthoceratinae", "Gryllacrididae", "Neonipponaphis", "Cyathochrysis", "Hamanumida", "Cubitiglabra", "Prosimnia", "Neurocrassus", "Philobythos", "Leurocephala", "Genyatremus", "Leptovanua", "Ocalea", "Scaphiostreptus", "Phytholaema", "Tonacatecutlius", "Derepyxis", "Formicaroidea", "Chrysoarctus", "Mecosargon", "Heterosquilloides", "Braunsapis", "Aulacodiscus", "Pseudorhyncocyonidae", "Haletta", "Chrysosplenium", "Cheimerius", "Erymnochelys", "Yuzurua", "Platypsyllus", "Monteithiini", "Granulocystis", "Saurops", "Rhodolachne", "Parmotremopsis", "Cocculina", "Austroeme", "Mesoptiliini", "Oedematopoda", "Platyphasia", "Orthalicidae", "Schoenobryum", "Candelabridae", "Thenareis", "Piratosa", "Physotrichia", "Pseudoanacetabulum", "Pitharcha", "Bimiini", "Acuston", "Acanonicus", "Negativicutes", "Spelaeobythus", "Zygobothrium", "Allacanthochasmus", "Cychropsis", "Scutia", "Nucleotethya", "Lochmaea", "Megopis", "Ulopella", "Humbertochloa", "Sartidia", "Cryptomeria", "Mictyridae", "Panicum", "Hypselandra", "Telletrurona", "Macrochia", "Zalophus", "Alfarini", "Paromalia", "Saetherolabis", "Dinaphis", "Triamescaptor", "Anthracinae", "Journals", "Medeterini", "Silene", "Atlantiphoxus", "Lebertioidea", "Horwoodia", "Cypripediinae", "Euspinamarygmus", "Daer", "Troglolithobius", "Phalacronema", "Conopsia", "Isopora", "Gaultherieae", "Wernerella", "Bathyplectes", "Acinetosporaceae", "Bacterosira", "Trophis", "Manoblemma", "Samlidae", "Coleonysius", "Bathytoshia", "Praphennium", "Delphacinae", "Syntozyga", "Heterochone", "Smithersia", "Salifidae", "Enceliopsis", "Adoxobotys", "Nodulosoma", "Ectopopterys", "Pinguinus", "Plectropterinae", "Fosliella", "Mediolata", "Euclinostomum", "Gordius", "Helophis", "Polystomota", "Ripidiini", "Liotachys", "Ethmiopsis", "Desmacellida", "Petrotogaceae", "Sellocharis", "Diplospinus", "Tridentella", "Oroekklina", "Chloresthia", "Atanyjoppa", "Noteriades", "Necrocarcinidae", "Chummidae", "Potarophytum", "Clavariadelphus", "Actinella", "Akemetopon", "Alpheoidea", "Hypohypurus", "Histiotus", "Tachiramantis", "Sitaphe", "Drepanoplatynus", "Namunaria", "Mungava", "Crossobamon", "Lysimachieae", "Pseudotriophtydeus", "Cephalomiroides", "Batriplica", "Myzostomida", "Lyromma", "Epipleminae", "Cuspidaria", "Terebratalia", "Zyxommatini", "Tracheophyta", "Sinoflustridae", "Paraplanodes", "Xerobiotus", "Pseudohaptolina", "Retinaphididae", "Criodrilidae", "Hyperimerus", "Aspronema", "Craniidae", "Epidermoptinae", "Protomastigina", "Lepyrodontaceae", "Coscinoptycha", "Heteropolypus", "Acanthotrema", "Planozonini", "Labyrinthidoma", "Stictopterinae", "Leonticeae", "Meliolinaceae", "Aega", "Diacanthoidea", "Apotriodonta", "Ashbrookiinae", "Pseudohoplia", "Miscelus", "Archaeomartidae", "Gorgocephalus", "Stenogammarus", "Spartinomiris", "Cypraeinae", "Pruvotia", "Goniodes", "Kyaroikeidae", "Abraxas", "Afrocygnus", "Ophion", "Salinibacterium", "Powellvenator", "Vindula", "Phenoliferia", "Microphallidae", "Mucotrichidium", "Abraeus", "Cymbium", "Heniochella", "Passerida", "Aristolochiaceae", "Lamellisphecia", "Meneptila", "Ombrocharis", "Echinozethus", "Blepharipodidae", "Lobatodes", "Diplous", "Marshalliinae", "Eutrigla", "Heliotrygon", "Byssotrema", "Moebjergarctus", "Apotolype", "Aristebulea", "Comastoma", "Sphaerotrochalus", "Aechmutes", "Bagridae", "Cristalloidophora", "Essexiella", "Tetrameridae", "Ctenodactylomorphi", "Tomeurus", "Catagonus", "Thermastrocythere", "Oreocossus", "Epuraeinae", "Citheronioides", "Diploharpus", "Cleopatrina", "Lacroixilepis", "Rhamnella", "Machimus", "Cardita", "Doraops", "Ellisiophyllum", "Monadeniinae", "Patri", "Xenarthron", "Poospizopsis", "Dirkmeia", "Brebina", "Dentalinoides", "Silvaphis", "Mimoniadina", "Caimanops", "Euconulus", "Iardinis", "Neogorytes", "Bullockiella", "Kuceraianum", "Orionella", "Elongatocystis", "Phormacantha", "Exesilla", "Anogdus", "Stallingsia", "Leucodrilus", "Schistophrya", "Argasidae", "Apolectini", "Microcleptes", "Bolbometopon", "Penroseius", "Ephedrocephalus", "Tofieldiaceae", "Protomantini", "Chindongo", "Calotargemus", "Caponiidae", "Phloeophagus", "Orychophragmus", "Parathyonidium", "Tracyina", "Chenniopsis", "Habronyx", "Otiocerini", "Palaeoinfurcitinea", "Caleremaeidae", "Hexalobus", "Pannychina", "Zangilachesilla", "Gerardiina", "Scutovertex", "Otiorrhynchites", "Leuconia", "Aradellus", "Amiidae", "Gaudryinella", "Rogerpetersoniineae", "Psammocinia", "Salurnis", "Globicatella", "Opiliotrombium", "Cassionympha", "Gonatosphaera", "Triantella", "Pseudogergithus", "Nesokleidotoma", "Cephalanthera", "Paractenodes", "Nothoravenelia", "Condylognatha", "Warburgiella", "Collohmanniidae", "Chalcolampra", "Scrobipalpa", "Euchroina", "Neodrymonia", "Microcoryciidae", "Pseudobulonga", "Pseudodiscocelis", "Acoma", "Hemibystra", "Koellikeriini", "Lagenicella", "Psalidojapyx", "Cratognathus", "Napodytes", "Geinella", "Grammistes", "Metanteon", "Duotaxis", "Saurodontidae", "Dicruridae", "Pseudotheraptus", "Mesolasma", "Priapellini", "Saccosentis", "Pachypaederus", "Orthione", "Charitospiza", "Serraphula", "Ritteria", "Macrodontogobius", "Arapari", "Leiothlypis", "Tettoedischiinae", "Leptogorgia", "Anthoplia", "Paratriaenops", "Emergosphaera", "Archelamprosomius", "Astrorhizoides", "Recintona", "Sceptronema", "Bathyleberis", "Klubonibelia", "Wilfordia", "Nasutonops", "Asuridia", "Endococcus", "Plagiolirion", "Oryssomini", "Gurjanopsis", "Rhadinodontops", "Epicriiae", "Pontanus", "Amalda", "Macellidiopygus", "Anisomonadia", "Robuloidoidea", "Cacyparis", "Doridacea", "Hemicycla", "Chrysalogonium", "Niabella", "Sahelanthropus", "Oriostomatoidea", "Ancistrobasis", "Agathelpis", "Carrhenes", "Gyropsylla", "Marieitidae", "Paraheminodus", "Dolomitellidae", "Entemnotrochus", "Mirollia", "Psittacanthus", "Fallacipsyche", "Phenylobacterium", "Atractocolax", "Gyoerffyella", "Trichochermes", "Myiodynastes", "Allochromatium", "Palaeoreichelina", "Dactylaena", "Diaphorodoris", "Perisphinctoidea", "Rhopalocerina", "Alternacantha", "Acaenosquilla", "Yuelushannus", "Naushonia", "Notiospathius", "Oztira", "Pleurospermopsis", "Sinaxymyia", "Gracilariaceae", "Shigatheta", "Davispia", "Temnosewellia", "Colloniinae", "Allohumibacter", "Degenia", "Enterovibrio", "Diplolophium", "Alluroteuthis", "Krohnittellidae", "Drymadusini", "Pristiorhynchus", "Veillonellales", "Enoplobranchus", "Disculiceps", "Ootibia", "Heliamphora", "Phractolaemidae", "Tetrabrachiidae", "Brachytria", "Isotomodes", "Algeripithecus", "Opogona", "Neoibidionini", "Microlynx", "Dictyophleba", "Antemnacrassa", "Irileka", "Xantheremia", "Benthami", "Asaphoidea", "Gymnostoma", "Pippuhana", "Megaderma", "Oftia", "Hypselonotus", "Apistonema", "Sonneratia", "Hylesinopsis", "Carphochaete", "Ptilothyris", "Rarifenestella", "Lasiocampa", "Limnochares", "Labeoninae", "Halobates", "Hypertelis", "Heteromycteris", "Lagenosolenia", "Sturnella", "Notesthes", "Stethaspini", "Renaudarctus", "Lophobalanus", "Chrysodesmia", "Basilosaurus", "Insara", "Umagillinae", "Neosecotium", "Lituolina", "Palaeogreenidea", "Discolops", "Pseudoclamoris", "Afranillus", "Pfaffia", "Bigyra", "Protomima", "Aspidosperma", "Stalix", "Cheiragonidae", "Capnophyllum", "Leurocoris", "Besuchetionella", "Phloeosinopsioides", "Ecnomios", "Rhenaniformes", "Fouquieria", "Amphifenestrella", "Sphaerococcus", "Schizoproreus", "Opius", "Lepidozona", "Amplilygrus", "Archiblatta", "Limnophora", "Euryvalgus", "Gadilicolidae", "Paratelius", "Kultianella", "Costaceae", "Laackmanniella", "Asterorbis", "Ophiobyrsidae", "Oodescelis", "Eremobelbidae", "Anisandrus", "Onychothemis", "Loxoconcha", "Elasmosomites", "Tibicinini", "Nygmia", "Datura", "Trochsiraceae", "Haraldia", "Anchoromicrocotyle", "Corneolabiini", "Delphiniobium", "Hincksella", "Doryctopambolus", "Neobuprestis", "Hilleaceae", "Plectopyramis", "Setopsocus", "Melanchroea", "Piezarina", "Gonogenia", "Pachyseris", "Tereticini", "Cymbamphora", "Micronetinae", "Aulacolispinus", "Chlamydiae", "Pachycotes", "Onychodus", "Paratachys", "Acrocordiopsis", "Notoaturinae", "Obrieniidae", "Chitinivibrionia", "Deropristidae", "Chaetopsilomerus", "Ophryocotyle", "Araucariomycetaceae", "Nemegtosauridae", "Liomera", "Onthotrupes", "Tesakoviaspidida", "Paramacronychiini", "Otozamites", "Priapulimorphida", "Heliosaturnalinae", "Andhracoides", "Gloeocystidiellaceae", "Paragoceratidae", "Mursa", "Oncodethorax", "Chalcogorgia", "Sinonyx", "Systenobythere", "Podocapsoideae", "Lethocerus", "Kohlsia", "Ischalia", "Surinamellini", "Rhizosolenianae", "Glyptostoma", "Stygnocoris", "Pseudocodon", "Ooia", "Dimorphodontidae", "Cladiella", "Eohypserpa", "Antirrhinum", "Zanclidae", "Piestotomus", "Metaterpna", "Spalacocoris", "Permosynoidea", "Tornatellinoptini", "Holomamoea", "Sarrotriini", "Orophe", "Niveotectura", "Pseudochonophyllum", "Metridiidae", "Parmophyceae", "Trichearias", "Diplurinae", "Ophoniscus", "Lycoseris", "Bostockia", "Triptognathus", "Effenbergia", "Exaesiopus", "Exaeretota", "Leprocaulon", "Eustala", "Pentamerida", "Ancistronycha", "Trigonogenium", "Cratinus", "Sininocellia", "Phaps", "Bethylonymus", "Neurolipa", "Artitropa", "Alcyonidioidea", "Elenella", "Planaltoa", "Arundo", "Chitron", "Fornax", "Potnyctycia", "Triartiger", "Lispocephala", "Tetrapanax", "Ergalataxinae", "Levantina", "Flacillulini", "Metanarella", "Amphicervis", "Hypsideres", "Ascampbelliella", "Mitrametopus", "Prolagus", "Pontibacillus", "Sthenocranion", "Nesympiesis", "Platycalymma", "Atellana", "Rebellatrix", "Lithocolletis", "Apocnemidocoptes", "Nuliodon", "Heteralepas", "Herrerasauria", "Micrillus", "Agriopocorini", "Megobaralipton", "Dyscoliidae", "Cynometra", "Swallenia", "Dioecotaenia", "Argestina", "Cleptes", "Squamatinia", "Epistomentis", "Kleter", "Basilica", "Megateg", "Brachylia", "Trichomyrmex", "Vahlkampfia", "Praemendesia", "Pseudomarrubium", "Aphronastes", "Neladius", "Samythopsis", "Cryptorhamphidae", "Fluvitrygon", "Paradeucalion", "Neocoprozercon", "Spanioplanus", "Doassansiales", "Polistini", "Macromannus", "Sarcinella", "Episemini", "Leiocanthus", "Microrhizobius", "Millotagrion", "Renocila", "Eulithobius", "Perimeda", "Uretiana", "Lepidothrix", "Diplacrum", "Eremaeozetoidea", "Meganaclia", "Palaeophyllites", "Anasuscuta", "Meara", "Eudelus", "Reuterista", "Balchis", "Poliina", "Opilia", "Theope", "Hormambogaster", "Kolleriella", "Limnoporus", "Glyptocombus", "Polyplacocystis", "Spelaeoconchidae", "Rusingeria", "Palmnickia", "Psammodynastes", "Pneumophionyssidae", "Evorinea", "Parmelioideae", "Apticax", "Niophis", "Craspedonirmus", "Andersonia", "Stiphrometasia", "Amphidiadema", "Sporastatiales", "Moschiola", "Dendropupoidea", "Strophomeniidae", "Periscelidinae", "Symmetrischema", "Hexagoniini", "Myolepas", "Naviculisporaceae", "Oblocutora", "Tectusa", "Plusioglyphiulus", "Tricella", "Endostaffellinae", "Xeromantispa", "Rhipicentor", "Saronaga", "Neomazocraes", "Baliospermum", "Exopetalium", "Typhlholotrochus", "Zonotylus", "Zygaenoprocris", "Carpediemonas", "Architrypethelium", "Internoretia", "Chondrillobium", "Pollicariinae", "Tienmutrechus", "Andrographis", "Harkeria", "Lulworthiomycetidae", "Ophiomorus", "Micropechis", "Nipus", "Pareorinae", "Leptinillus", "Symphyocladiella", "Schizodactylinae", "Hintonella", "Iselmeletica", "Phyllophichthus", "Cuatrecasanthus", "Vitekorchis", "Idiolina", "Centriscus", "Coronatoplanulina", "Morotripta", "Jasminocereus", "Dicercini", "Gastroplakaeis", "Liuopsyllinae", "Argosarchus", "Microveliinae", "Hypenodes", "Halicella", "Siphonophoridae", "Scorzonera", "Phosphaenus", "Curtimeticus", "Didymochrysis", "Valvulinella", "Isochariesthes", "Drymobatidae", "Noctilio", "Hyperapona", "Dasyurini", "Catadromus", "Rhytidosteidae", "Macronotops", "Maesopsideae", "Siphonophorida", "Volvaria", "Keiraninae", "Spelaeoecia", "Pachybrachina", "Prosopidris", "Morus", "Sphaerobambos", "Pseudoboodon", "Dauresia", "Thecopus", "Episkacrotona", "Letovirinae", "Celiantha", "Humilistreptus", "Eunemopsidae", "Polyentactiniidae", "Eulamprus", "Artocarpoides", "Tholosina", "Cansumys", "Tarachina", "Tasmanoplana", "Haploclastus", "Pristinochterus", "Jebramellidae", "Malperia", "Coracodrymus", "Henleophytum", "Amphiorchis", "Helictes", "Synorthus", "Robertinida", "Aderpasini", "Thubana", "Mniophila", "Rhombognathus", "Saccarella", "Hecata", "Eubatas", "Paraphaea", "Karlingiomyces", "Anastrus", "Prionogonus", "Lygomusotima", "Resseliella", "Aegonychon", "Nereididae", "Crematogaster", "Nemanoke", "Rhypophila", "Lybanodes", "Isepeolini", "Hecyra", "Afroscotonomus", "Schmardaea", "Trupanea", "Calondas", "Clotenopsa", "Gyronympha", "Fritillaria", "Stenaoplus", "Thiofractor", "Cercinthinus", "Beilschmiedia", "Toxophorini", "Mourella", "Praeaulacinae", "Euphausiacea", "Zoothera", "Molguloides", "Rhipicephalinae", "Theophoba", "Thaumastocheles", "Rhipiceridae", "Lophopogonius", "Mesotitanidae", "Jurakempynus", "Argophara", "Guningia", "Ctenapseudes", "Enisculifera", "Cheilotoma", "Somalodromius", "Eurynotoidiidae", "Guadalgenus", "Crotalomorphidae", "Riggiella", "Chiridotidae", "Dicaelina", "Disochara", "Discidae", "Anisostomum", "Clathrocircus", "Cylindroclavulina", "Mycetopoda", "Tullgrenella", "Sudharmia", "Ogcodes", "Muretia", "Macrocorytha", "Procellariiformes", "Metacharistis", "Celastrus", "Feuerborniella", "Tschigovana", "Atrypida", "Cassiopoideae", "Pholeter", "Labrundinia", "Amerocroce", "Nanonycteris", "Microcoris", "Eubucco", "Lurocalis", "Plonaphacarus", "Procladidus", "Sphaeroforma", "Anydraula", "Misumenoides", "Amylophagus", "Halorhiza", "Sphenops", "Obliquogobius", "Parahemiscyllium", "Brouniellum", "Collomeninae", "Bryoceuthospora", "Sarocladium", "Zosterodasys", "Cariceae", "Hecalapona", "Geospiza", "Adinimonadaceae", "Larrazetia", "Pelagothuriidae", "Ateluridae", "Similipepsis", "Anthicimimus", "Uncinus", "Gyalolechia", "Cyphonocephalus", "Irinoceras", "Olindagryllinae", "Epipogium", "Vetanthocoridae", "Astatophlebia", "Fuscoptilia", "Rareuptychia", "Eocorythoderus", "Plochilia", "Vatovaea", "Eurybiina", "Squamosoglyphea", "Sakarahellidae", "Remaneicinae", "Rhyticeros", "Protoglobobulimina", "Dendrochirotacea", "Afrocelestis", "Xenocrasis", "Stockwellius", "Fusicellariidae", "Hysterarthron", "Rectivena", "Mesocentrus", "Hybocephalini", "Parahyliota", "Ichthyotomidae", "Cyclidiinae", "Lacertidae", "Erromyzon", "Dalla", "Percodermus", "Protothera", "Hallomenus", "Agriphiloides", "Myrionemopsis", "Carasobarbus", "Tanarctinae", "Ocimeae", "Petalichthys", "Maxillipioidea", "Basilea", "Eckloniaichthys", "Phaliinae", "Cornudinium", "Rhizothera", "Taiwania", "Bosellius", "Galtonia", "Vicugna", "Achramorpha", "Elaeocarpaceae", "Parvimysis", "Tetrabothriidea", "Maguviopseidae", "Epicotyle", "Graecopithecus", "Callipero", "Brayopsis", "Zoyaellinae", "Coronididae", "Phormia", "Lachnosterna", "Pectinodontidae", "Pena", "Clavaporella", "Lenomys", "Booponus", "Tanybelus", "Coleotydaeus", "Stigmacarus", "Blastocera", "Tachurisidae", "Boromorphus", "Calyptooecia", "Formicomimus", "Contramyzostoma", "Rimulinoides", "Allodalminiastes", "Aneurinibacillus", "Besleria", "Acanthobasiliolinae", "Hendea", "Streptocitta", "Laculataria", "Placosphaera", "Paramispila", "Insulahypnus", "Congestheriella", "Patriciapecten", "Leptoterantha", "Camponotites", "Xuedytes", "Acanthinevania", "Luzuriageae", "Distorsio", "Roseae", "Janinellia", "Putonia", "Sarcolophium", "Ottoia", "Parphorus", "Paraburnetia", "Atkinsiella", "Leptanthura", "Karphothrips", "Prosopantrum", "Aetanna", "Trichothraupis", "Dysphoria", "Austrogena", "Archaeosporites", "Amniscus", "Eopreverastrea", "Sylvietta", "Dactylopterus", "Macrotina", "Hanauella", "Pachyphantes", "Tripyloididae", "Paramantini", "Amblyptilia", "Voigtellidae", "Silis", "Scorzonerinae", "Balitoridae", "Pharcoura", "Redectis", "Lobizon", "Achipteria", "Leptophiliops", "Hyperdirphia", "Decaspermum", "Thecturella", "Sigmodota", "Endochloridion", "Rhabdornis", "Henriettea", "Tylosis", "Pedinocyclus", "Acridocephala", "Conus", "Stenopterygii", "Macrophreata", "Tsaratanoplia", "Leleupanillus", "Saccodendron", "Lohmanniellina", "Notorotalia", "Mendoncia", "Etayoa", "Bychowskymonogenea", "Myconymphaea", "Spotted", "Galaxiella", "Lecanidiella", "Choreopraon", "Ovalopodium", "Dundubiini", "Fuga", "Hapalosiphonaceae", "Pseudionella", "Aureibacter", "Strophomenida", "Meiracyllium", "Pelocyon", "Hymenosporum", "Manekia", "Squatiniformes", "Paracolurella", "Ptilodontidae", "Limnephilus", "Enterodictyon", "Staurogyne", "Hybridolinus", "Heleodromia", "Panula", "Bryotropha", "Rhinoptericola", "Panaphelix", "Ewunia", "Culex", "Australysmus", "Cryptosolenomeris", "Brontinae", "Poteriodendron", "Pararotaliinae", "Lophocoronidae", "Rhomballichthys", "Pyxidiophoraceae", "Eurotatoria", "Anelaphus", "Mesitius", "Weiria", "Epistomaroides", "Galatella", "Amplectoductina", "Etcheslepas", "Vasiglobulina", "Odontochilus", "Randersenia", "Lupaeus", "Nodobolivinella", "Encholirium", "Pseudodatamini", "Epidiscoceps", "Alca", "Congregatocarpus", "Orrhodiella", "Pelycosauria", "Praeaulacidae", "Pronoctilucaceae", "Protocucujidae", "Xanthephialtes", "Polychrotidae", "Eupsamma", "BSKU", "Hypochthonius", "Malacobdella", "Namunukulina", "Macrohymenium", "Drabescina", "Tesserocerina", "Episyrphus", "Calyptolana", "Oolina", "Henicolabus", "Hypsanacis", "Olgania", "Lamprocheila", "Aspilapteryx", "Saulcyella", "Phonorhynchella", "Anisocycla", "Hermanellopsis", "Lygurus", "Afrolimon", "Iodes", "Rimbusia", "Aphodiellus", "Pancarpius", "Syarinidae", "Amphibulus", "Habrolotis", "Potamometra", "Miagrammopes", "Tricholpium", "Lunillina", "Cadlinellidae", "Amelinae", "Salilota", "Acridini", "Ehrharteae", "Rokroknema", "Neosciomyza", "Scotopterygini", "Scotonycteris", "Microcebus", "Cardiophilus", "Hypolepida", "Afghanodesmatida", "Neocaledoniella", "Chauhaneidae", "Leucocephalon", "Normanbya", "Exoedicerotidae", "Eupelminae", "Monoaphelacarus", "Asterionella", "Pyxidicerinus", "Graphiptilidae", "Hagnagora", "Mastacembellophyllaeus", "Macrodinychidae", "Thaumalea", "Achaetobonellia", "Chiloloba", "Catephiini", "Globothalamea", "Ambycysta", "Novacaroceras", "Microhypsibius", "Turriviridae", "Cinctagonum", "Formozotroctes", "Brenthia", "Polylabris", "Scutischyrocerus", "Basitropis", "Longalatedes", "Eupempelus", "Borodinellaceae", "Otapiria", "Omosita", "Stoeberia", "Cladorhizidae", "Myrcianthes", "Turritellidae", "Stenocyphus", "Microcaria", "Carapichea", "Iscini", "Bouchardioidea", "Puncia", "Sonorarctia", "Siragra", "Petelotiella", "Febraina", "Cetacea", "Bovista", "Lasioctena", "Pachyplocia", "Fernanstiba", "Lopescladius", "Enchelidiidae", "Pseudaphycus", "Hymenocallideae", "Gaesa", "Achoerodus", "Conoppia", "Grammopoecilus", "Annulata", "Selenoderma", "Lordhowea", "Amblyopone", "Microlepas", "Nodamastix", "Pseudo-eunotia", "Daramulunia", "Breidleria", "Molopanthera", "Poales", "Smerinthinae", "Iberoniscus", "Hemignathus", "Isidiella", "Chrysoblastella", "Pseudolotus", "Ptomaphagus", "Venoniinae", "Homotherus", "Jurapseudoidea", "Neamblysomus", "Actinauge", "Bungulla", "Elaea", "Saliceae", "Chilostomelloidea", "Hirtusochloris", "Chauliodontini", "Storicricha", "Polaria", "Pentastomida", "Frenchella", "Platyscelus", "Moravamminidae", "Xyloscopa", "Teleaulax", "Monanthochloe", "Melanchroia", "Hypsipteryx", "Syrphoidea", "Rhinozethus", "Zygochelifer", "Cladosporiaceae", "Spongoclonioideae", "Chrysosphaeraceae", "Aristida", "Alertichthys", "Ctenomastax", "Aemene", "Caralepta", "Saccardinula", "Spathelia", "Zora", "Zenodochium", "Goniodoma", "Eucoloneura", "Bubaloceras", "Geracia", "Penestostoma", "Hibberdia", "Linaphis", "Suniotrichus", "Longimicrobiaceae", "Harriotta", "Discorbinellinae", "Clonia", "Saltusaphidini", "Pseudiris", "Amphinecta", "Acrobolbaceae", "Typhloleiodes", "Lembosinales", "Sarcophyton", "Aeaea", "Agathammina", "Diploctena", "Mesene", "Halimolobeae", "Neanuroidea", "Gastrorchis", "Platynitae", "Rostratoverruca", "Ophiomidas", "Aethrodiscus", "Ceramieae", "Hylorchilus", "Heterorachis", "Xanthorhoini", "Ridiculiphora", "Decimia", "Paradeontacylix", "Aganonerion", "Neoibla", "Perumiris", "Robertus", "Corticivora", "Megalostylodes", "Endosporium", "Pelargoderus", "Campsomeriella", "Leptopelinae", "Schoenobiblus", "Thelebolaceae", "Neobrunsiina", "Biwaellinae", "Hypocystina", "Deharvengia", "Eotomariinae", "Microprosopini", "Sainouron", "Gethyllis", "Dispira", "Menegazzia", "Eretmocerus", "Neoseiulini", "Megaderus", "Dicrochilina", "Xiphocarididae", "Pseudocypraeinae", "Zonarius", "Neogomphus", "Epimecia", "Sinogomphus", "Medlicottiinae", "Hydromylidae", "Ceracini", "Calanidae", "Praebursoplana", "Parascoliinae", "Luceria", "Sternohammus", "Plectoderini", "Aciagrion", "Lebiomorphica", "Asymmetrarcha", "Pycnothamnion", "Lasiosyne", "Pythiaceae", "IORAS", "Australiothyadinae", "Mathevolepis", "Lophoscutus", "Epsteinius", "Plumatellidae", "Araeopoma", "Dudgeoneidae", "Aethesia", "Quantanthura", "Fautaua", "Filoprotococcus", "Stenothoides", "Meretrix", "Phacomyxa", "Vialovia", "Saimiriinae", "Pseudhapalopus", "Rhodochorton", "Sinamiidae", "Echitinae", "Goussia", "Obesutanais", "Tridontomidae", "Pseudogaurotina", "Polychoerus", "Scaphios", "Andaeschna", "Rectoclymeniidae", "Collogenes", "Chionophila", "Pseudodichotomosiphon", "Chamaeleonidae", "Gastrotrypes", "Phaeocystales", "Etlingera", "Pseudodiplospora", "Echinosaura", "Malaxis", "Ambarcader", "Nessorhinini", "Soricinia", "Trimiomorphus", "Lomis", "Trimorus", "Bathyeliasona", "Nubeculinellinae", "Megaxenops", "Visoka", "Orthocarpus", "Suberea", "Geneion", "Micrantholithus", "Williella", "Suraginella", "Asteromorpha", "Dembickya", "Alanizus", "Archyala", "Eurydacus", "Leptonycteris", "Physozetes", "Planoceridae", "Macetes", "Dolichothrombiinae", "Trichodoridae", "Ashfordia", "Teasienna", "Neoaulonastus", "Ochraceocephala", "Abchagleris", "Sadies", "Toxoderidae", "Otopheidomenis", "Dipsocoromorpha", "Lachnolebia", "Tetricodes", "Novechiniscus", "Callidina", "Profelis", "Kosmoclymeniinae", "Porolithon", "Hydrogenobacter", "Liparophyllum", "Uvigerininae", "Aspidobothrys", "Nigriphilus", "Cortrematidae", "Trichilogaster", "Purenola", "Chortophagini", "Croton", "Leptonematella", "Sclerogone", "Herrickiceras", "Kyboasca", "Pseudopolyzonus", "Dyopsinae", "Phaeosaccion", "Piloblephis", "Bolusanthemum", "Rhabdomys", "Resthenia", "Ricinus", "Ioplocama", "Jankowskia", "Clara", "Cabniini", "Arborimus", "Ascoidea", "Metanthemus", "Epiepischnia", "Embiomorpha", "Flustrellidroidea", "Gemmiger", "Praethoressa", "Aeronectris", "Paraniphona", "Uleophytum", "Phrynidae", "Sandonella", "Abludogammarus", "Pseudopanthera", "Heteromicrus", "Asterigerinoidea", "Memes", "Dalytyphloplanida", "Stragulum", "Setaria", "Pseudoblaps", "Chirindia", "Neopyrgoma", "Scopobium", "Amarochara", "Ankavena", "Ramodatodes", "Elaeosticta", "Volatinia", "Heliornis", "Transberingia", "Bebryce", "Colaconematales", "Pachycnemia", "Caliroa", "Dicellostyles", "Eosphodrus", "Hyaloscolecostroma", "Genistidium", "Pseudoyelicones", "Siphonodentalium", "Semonini", "Benincaseae", "Henoticus", "Kaieteurodicus", "Tyrinna", "Tripterion", "Marshallenidae", "Protantheae", "Falculea", "Gundolficeras", "Acestoplana", "Prophalangopseinae", "Mononema", "Pyrrhopygina", "Baicalarctiinae", "Stromboscerus", "Loxodera", "Afridinae", "Peliocypas", "Acleris", "Ptilodontinae", "Argiolestidae", "Diistemia", "Oligoria", "Cyrtoneurininae", "Laetmogone", "Oxapampana", "Coccidomyces", "Cercomonadida", "Trifolieae", "Catabrosa", "Heradion", "Hydrocoloeus", "Paroppia", "Sirhookera", "Ceratophorus", "Tulcus", "Alionycteris", "Holocheilus", "Riocreuxia", "Lepidasterina", "Curtisella", "Larrissa", "Alestidae", "Arctenus", "Echinicola", "Skeneopsidae", "Inquilinus", "Ornithonyssus", "Indofevilleeae", "Cymiphis", "Derhynchia", "Stauroplitis", "Armaniinae", "Vandeloniscellus", "Lepidonema", "Oziroeeae", "Miramarassidae", "Microrhagus", "Corbulifer", "Digenea", "Congrhynchus", "Thoreauana", "Progaleritina", "Lembonia", "Chalybura", "Aerobryidium", "Sclerantheae", "Pholidotomoidea", "Apra", "Candelaria", "Allopseudodiclidophora", "Nemoptera", "Platyperigea", "Bithongabel", "Paedaridium", "Dendrometrinae", "Lymeon", "Flavobacterium", "Calotes", "Foersterella", "Speotrechus", "Ministrymon", "Ripogenites", "Blethisa", "Regoella", "Eremulidae", "Mesostephanus", "Curculioninae", "Canthyloscelis", "Tetrachthamalus", "Falseuncaria", "Cinclodes", "Oronotus", "Ptilostemon", "Caspiella", "Ostodes", "Silvinha", "Hoplocallis", "Tympanocryptis", "Tretocorini", "Apechthes", "Scathophagini", "Pauracrini", "Hapsinotus", "Aconitum", "Ripidosyrma", "Carybdea", "Callimetopus", "Diosia", "Nototarus", "Dialytodius", "Benoistiinae", "Minium", "Asianopis", "Coscinocera", "Afanasievella", "Stygobarnardia", "Echinothambema", "Cleapa", "Craterispermeae", "Cecidonius", "Argyroploce", "Dysyncritus", "Euphagus", "Tuarangiida", "Pseudogonatopus", "Jasus", "Cyamella", "Cheletogenini", "Passerculus", "Lacomucinaea", "Aegypius", "Odontobola", "Poricellariidae", "Leiopsammodius", "Bargus", "Sphaeroscapha", "Witica", "Malagasiini", "Ectinopisalia", "Dysgonomonas", "Mimanomma", "Lindachlora", "Anoplius", "Aconoidasida", "Halimione", "Stadiochilus", "Collis", "Lomanotus", "Papuascincus", "Brosmophycinae", "Fagaropsis", "Amauta", "Vaillantellidae", "Strongylacidon", "Mictis", "Parvigenerina", "Xenosyllis", "Arrhopalites", "Calolampra", "Rhamnocercoides", "Ampulicinae", "Sennertia", "UFPB", "Philocheras", "Rhynchothalestridae", "Turanopenthalodes", "Ceratochelus", "Parophidion", "Harmonicon", "Brachychthonius", "Neocrassocoris", "Pinoritus", "Apagomerella", "Tengella", "Baltopsyche", "Ischnus", "Deltochilini", "Pangoniinae", "Centrocorynus", "Plesiomalota", "Negadavirga", "Platyprepia", "Itaquasconinae", "Sphodromantis", "Ercegovicia", "Limnetron", "Austroblechnum", "Chilostomininae", "Helops", "Floriprotinae", "Maeracoota", "Mourecochylis", "Trematodes", "Pteroceras", "Ferreiria", "Calctrombidium", "Jedda", "Scudderiini", "Golfingia", "Gahanisca", "Tutor", "Gyrodontiformes", "Rodriguezella", "Phialolunulospora", "Ceragenia", "Pentastemona", "Philodila", "Musseromys", "Hexisopodidae", "Ectoparyphus", "Anoplobraxis", "Pseudovesicaria", "Temnostoma", "Salpingostylis", "Neotylana", "Coccotrypes", "Elaeocarpus", "Sciobiini", "Parasiagonum", "Paraselenis", "Amphipleura", "Cadmus", "Prosthecochloris", "Fallotritella", "Phreatogammarus", "Polycycnis", "Lasiomiris", "Golafrus", "Mesopsocidae", "Refractohilum", "Quintana", "Seorsoplonyx", "Cerambycidae", "Humbertioturraea", "Pseudoeriosema", "Enantiobuninae", "Cheimopteni", "Peridiscaceae", "Pallaviciniales", "Diacantharius", "Meranoplini", "Tobipuranga", "Adeleorina", "Discourella", "Orthotylinae", "Berchinia", "Planovalvata", "Stoloteuthis", "Volutopsius", "Nectamia", "Bellenden", "Amefrontia", "Naudinia", "Griphophanes", "Euryale", "Hadropithecus", "Nicandra", "Bonesioides", "Galtara", "Parantricola", "Phialanthus", "Dollfusoquenta", "Azomonas", "Hapladeninae", "Fusininae", "Obesariinae", "Fregata", "Neotrochometridium", "Carinimiris", "Karnyothrips", "Emeryrhynchium", "Rugosa", "Novothelohania", "Neobrachychilus", "Muellerella", "Leiozonius", "Aesthesiothrips", "Runcinacea", "Dinoryctes", "Anchistioididae", "Achiridae", "Apatolestes", "Pedinae", "Pediciinae", "Aethalura", "Berkeleya", "Gauresthes", "Nanomantini", "Eudiplozoon", "Kimmerosaurus", "Callistege", "Dasyanthribus", "Camptrodoxa", "Tura", "Paramicrodeutopus", "Macrognathellus", "Sinamonas", "Eulichas", "Chrysopida", "Halbania", "Pseudotrechisibus", "Uronyctidae", "Ithome", "Acanthostigma", "Dilortomaeus", "Xystodesmus", "Frieleiidae", "Pomerantzia", "Micragasma", "Rhaphidhistia", "Cornuclepsis", "Caraibodesmus", "Leptonetela", "Toulrabia", "Anapisa", "Dandya", "Heptagyiini", "Ochrosperma", "Cyclicargolithus", "Ammotrochoides", "Psychodocha", "Ctenocalops", "Hyalideae", "Erythrophyllum", "Droceta", "Pygidicranidae", "Microcreagrinae", "Serenoa", "Combretinae", "Philogeniidae", "Pachypeltocoris", "Spathionema", "Caviinae", "Palinura", "Pentias", "Cognettiella", "Gottschalkia", "Agrostophyllum", "Desulfostipes", "Neolampedusa", "Xyelotomidae", "Gonodactylellus", "Metadaris", "Zingibereae", "Leiostomus", "Kurama", "Neofleutiauxia", "Lethenteron", "Struchium", "Rhinobatidae", "Granulosicoccaceae", "Staticobium", "Eutropobracon", "Polyipnus", "Clavoserixia", "Cicadidae", "Cheiromyia", "Vituratella", "Cliarthrodes", "Brycea", "Paragortonia", "Siphanta", "Hormacrus", "Carlemanniaceae", "Periophthalmodon", "Pantherinae", "Sinurothoidae", "Autostreptus", "Benthocometes", "Pityocera", "Novaustrosimulium", "Adeleana", "Distylochus", "MCNU", "Touropsis", "Dictydiella", "Loxostege", "Podocapsa", "Stenotrachelidae", "Faksecarcinus", "Amaurops", "Caccoleptus", "Paracaryophyllaeus", "Isocolus", "Jaculellinae", "Protognathiidae", "Chiloguembelinidae", "Namssom", "Diplogasteroididae", "Hamaspora", "Euahanes", "Coniopteris", "Cervantestingis", "Yponomeutinae", "Methylophilus", "Oedothorax", "Lissopogonus", "Aposigalphus", "Calotelea", "Aplodes", "Dryopteridaceae", "Colonia", "Celebophlebia", "Dalatagonum", "Anomalomorpha", "Hopkinsina", "Heptanthus", "Rubrobacterales", "Honeyia", "Lepidorbitoidinae", "Trallianus", "Nymphidium", "Bohpa", "Taeniolethrinops", "Glycyphaniola", "Adenopleurellidae", "Anthribatus", "Hypoptychidae", "Hemipeplus", "Hodotermitidae", "Maheoptinus", "Telamoptilia", "Trinibaculum", "Lisaea", "Pactye", "Apurimacia", "Delphacini", "Gamergomorphus", "Auscala", "Xerobdella", "Ravenea", "Riethia", "Loxocalyx", "Plectrelminthus", "Hypocolobus", "Cephus", "Tricholomatineae", "Larocheopsis", "Aphyllura", "Nadzikambia", "Otaria", "Nothopoda", "Eubranchus", "Semperium", "Cythere", "Dumbletoniella", "Forcipiger", "Delectopecten", "Sideroxydans", "Trichoconis", "Pythamus", "Canephora", "Prodiamesinae", "Agyneta", "Citropsis", "Pseudommini", "Pyrtaula", "Xanthia", "Anapithecini", "Hyalomantis", "Discocleidion", "Diconocoris", "Cocculinida", "Nauphoeta", "Dichillus", "Trogolaphysa", "Momisofalsus", "Celtodoryx", "Chlorarachnia", "Coriolisa", "Tectopulvinaria", "Gephyrocuma", "Biebersteinia", "Porotrichodendron", "Pseudobaptra", "Meiolania", "Maristentor", "Amplosipho", "Araucocynips", "Spinilimosina", "Metaxmeste", "Mecynognathus", "Bodomonas", "Kyphopyxa", "Solpugisticella", "Amusia", "Protoresinacarus", "Platythalia", "Lamquetia", "Potiaxixa", "Myrionemataceae", "Tylonycteris", "Pseudoniponiella", "Pagurellus", "Pietschellus", "Chalepogenus", "Vestitrichus", "Xiphidiopsis", "Microterricola", "Amblystogenium", "Gongylosciadium", "Pseudorhynchus", "Guilfoylia", "Cerofrontia", "Falsoplocia", "Oplurus", "Kurpiszia", "Glandirana", "Planorbulinoides", "Brachylybas", "Hypocisseis", "Plectotrochammina", "Hampsonicola", "Parexocentrus", "Clymenoceras", "Neodistemon", "Ornithinibacillus", "Venusticrus", "Ceroncinus", "Acronychini", "Miliolechina", "Coriaria", "Phloridosa", "Ayalaina", "Sympagus", "Leucostigma", "Marconiinae", "Parectypodus", "Glossiphoniinae", "Neosticta", "Podagrionini", "Anaxita", "Magnolioideae", "Ricnobelis", "Ichneumoninae", "Carasuella", "Sabaudiinae", "Cylindrellinidae", "Timpanoginae", "Myosotella", "Joguina", "Sophialepis", "Mecistoscelis", "Hilaphura", "Mattfeldia", "Duffyia", "Atractiella", "Trachystoma", "Schmitziellaceae", "Limnebius", "Phaeotremellaceae", "Eulacestoma", "Procatopodinae", "Leuceruthrinae", "Chersina", "Andaniotes", "Xiphypops", "Geosomus", "Peradenia", "Hafniomonas", "Premnoplex", "Chrysotheca", "Praebullalveolina", "Amphisbatinae", "Fusotheca", "Ornithocarpa", "Polytremis", "Oceanobacter", "Tetrasporidium", "Bilobata", "Iberorhyzobius", "Jenneriinae", "Carinacea", "Hygrophilinae", "Pachyclymeniidae", "Berlandembia", "Enicostema", "Smeringopina", "Astrothrombus", "Wagneriana", "Ilsteria", "Coelodischela", "Callicladium", "Dotocryptus", "Stephanocleonus", "Ampeliceps", "Podophyllum", "Theraphosoidea", "Amphipolycotyle", "Saturnalinae", "Cerapachyinae", "Ptychopteridae", "Pseudasthenes", "Cryptophyta", "Distichus", "Pseudobathytanais", "Allodonota", "Incirrina", "Synthliboramphus", "Theocalyptra", "Inulanthera", "Gryllica", "Hiodontidae", "Colostygia", "Globoendothyra", "Hecalus", "Camaridium", "Strobilomonas", "Symphysodontella", "Letaba", "Eoprotroctopsocus", "Boletoideae", "Texanitinae", "Adoretops", "Quoya", "Tachynota", "Stictosomus", "Catenulidae", "Achaiabraconini", "Potamanaxas", "Biswamoyopterus", "Dermatosorus", "Almutaster", "Gammanema", "Proislandiana", "Urogale", "Floridobolus", "Sinogastromyzon", "Bathocyroe", "Eudinopus", "Engytatus", "Stethorus", "Arenogaudryina", "Adiathella", "Sacirema", "Cypris", "Frontonia", "Placukorna", "Tetraclitoidea", "Austrographa", "Hesperocranum", "Palaeognoriste", "Thaurilens", "Hololeptini", "Rondonacara", "Anetanthinae", "Sondax", "Hemitoma", "Stethantyx", "Cladophyllus", "Rhinumiarus", "Nodulicoccus", "Chalcides", "Parastegana", "Coccavinae", "Centronellidina", "Athyreus", "Kaviria", "Edithaellinae", "Adcatomus", "Acusmonas", "Aphanothece", "Tartessinae", "Helleria", "Brontochelys", "Corethrales", "Pontodrilus", "Kiriakoffalia", "Metasphaerolaiminae", "Jaroslavia", "Nirovecus", "Duninia", "Eriotremex", "Biokovinina", "Carpostalagma", "Sandersellus", "Phormidioideae", "Fischerotrephinae", "Caryophylloideae", "Tachysphex", "Barnardius", "Cleidothaerus", "Testia", "Carniella", "Metynnis", "Dichaetomyiini", "Cinnamosma", "Lebiasininae", "Gaillardiinae", "Anastraphia", "Indocunaxa", "Podogaster", "Hypocoprini", "Coryphomellus", "Camarochilus", "Bathyergidae", "Utuca", "Burmagluta", "Nemouroidea", "Carphodactylus", "Fibla", "Pseudononion", "Glennia", "Bielzia", "Noterini", "Nasageneia", "Agenjosiana", "Jaliscia", "Edmontosaurini", "Mesodryinus", "Gibbidessus", "Synlestes", "Vaga", "Kallotenuaceae", "Srilankamys", "Bethylonymidae", "Cimolodon", "Ecuadion", "Curcuma", "Avibacterium", "Alpiodytes", "Pseudoprotoribates", "Miromantis", "Scolopax", "Hookeriopsis", "Pseudopsiella", "Borneopauropus", "Salvadorina", "Yersiniops", "Canonia", "Comphotis", "Tawitawia", "Wrangelia", "Eustrophini", "Pachygastra", "Rapaniscus", "Pilimelia", "Carventaptera", "Cryptophagini", "Nitrosocaldales", "Argyrostola", "Hemiergis", "Ameerega", "Angkorusa", "Dyschiriognatha", "Polyblastiopsis", "Moduza", "Stratocleinae", "Porophyllum", "Scaptocorini", "Anomopoda", "Syachis", "Neocladia", "Bathyceradocus", "Delena", "Harperocallis", "Psydrinae", "Mcneillia", "Paraptica", "Chondracanthus", "Ephemerellinae", "Vanikoro", "Rhiophila", "Conchita", "Risor", "Ptychohyla", "Zymobacter", "Neuroglossum", "Cochleosauridae", "Munroeodes", "Prionomyrmex", "Pycnostega", "Siphonogramen", "Rhopaluridae", "Neoischnolea", "Chlamydophora", "Sareales", "Pseudobium", "Brevigonus", "Cycnogeton", "Rhodothermia", "Pachypsaltis", "Phyllopoda", "Amyras", "Garella", "Paranandra", "Austrachipteria", "Amblytelus", "Tranosemella", "Dikarya", "Dichothrix", "Henryaria", "Ataenius", "Gaviiformes", "Brennania", "Aphromachaerota", "Protoplophora", "Rhamnidium", "Morimolamia", "Forelophilus", "Altobankesia", "Prorodontida", "Neorileya", "Pyxicephalinae", "Enochrinae", "PNM", "Arrhenophanes", "Echiniscoidea", "Psallopsis", "Haploscythris", "Euchomenella", "Malagasiinae", "Conistra", "Polylepidina", "Gondaconularia", "Polacanthus", "Phaeothlypis", "Discorbia", "Clarencia", "Kisselevia", "Thysanoprymna", "Empycastes", "Gemmatimonadetes", "Calanoidea", "Perissasterias", "Lepturgotrichona", "Vesiculentomon", "Parakeelya", "Thalassostygius", "Erythria", "Parasemolea", "Proerrhomini", "Ballophilidae", "Phaeotrichum", "Bishopiella", "Ecitopolites", "Berghesia", "Metacrinus", "Thaumetopoeinae", "Desera", "Sorapilla", "Graciliblatta", "Triassomanteoidea", "Birotegaeus", "Ploima", "Melibe", "Austrotephritis", "Dirichletia", "Diplonema", "Oryctoderus", "Mesoaciditogales", "Comostolopsis", "Codiaeum", "Vicoa", "Stramentidae", "Ptychadena", "Papuacoris", "Heliocarpus", "Crocodeta", "Centrorhynchus", "Pinodytes", "Eucopina", "Anthemodiscus", "Hyboderini", "Podophorus", "Neoconorbina", "Luangwana", "Molossinae", "Endomyzostomatidae", "Nylandtia", "Dasyurinae", "Neorepukia", "Somotrichus", "Pseudomelasina", "Pentaconvexus", "Pseudolamprops", "Tanzaniphanes", "Kottelatlimia", "Thysanozoon", "Chalybophysis", "Quasillitidae", "Itacolomi", "Anagyris", "Pupinidae", "Jashinea", "Electromyiommini", "Admetellinae", "Artioceratinae", "Acanthuriformes", "Gymnoplea", "Gymnomenia", "Calomeria", "Ignavibacterium", "Anisoplia", "Taemasacanthus", "Armenina", "Tetrapodophis", "Rhadinosomina", "Terenura", "Scutopus", "Tominanga", "Myrmeanthrenus", "Trichodothella", "Cavicarabus", "Innospora", "Aplastus", "Follmannia", "Rubellimicrobium", "Paranonyma", "Vanoverberghia", "Diaphorus", "Nuttallina", "Allopogon", "Neowerdermannia", "Guavina", "Gosseletinidae", "Xylophilus", "Aspidaphaenops", "Stenodemini", "Contopini", "Ommatidiotinae", "Nanilla", "Chauhanea", "Spongomonas", "Centris", "Hortonia", "Proechimys", "Anoplotheriidae", "Stictonanus", "Escolatrechus", "Incagonum", "Eligmodontia", "Protanyderus", "Pelmatosphaeridae", "Chlorococcaceae", "Aphelenchoididae", "Telamminidae", "Leptynoma", "Messiasia", "Kathlaniidae", "Hexura", "Changhsingoceras", "Nystalus", "Fimbrios", "Reithrodontomys", "Phareicranaus", "Placospongia", "Mesocricetibacter", "Glaucolychna", "Goezeella", "Notomyotida", "Equisetum", "Halomenia", "Trachymantis", "Heterobathmia", "Oonopsis", "Tarrocanus", "Myrmecoris", "Polybranchiaspididae", "Phimosus", "Serendipaceratops", "Oxypleurus", "Omphalodipara", "Rhamphidommia", "Trypocopris", "Tabernanthe", "Notosacantha", "Phelypaea", "Hislopioidea", "Zodion", "Ptilocerembiidae", "Neoxolmis", "Cathedrana", "Neozygites", "Branchiobdella", "Cutandia", "Gayenna", "Archinamaqua", "Dyspessa", "Gomphostemmateae", "Cardiaphyllum", "Lithogyalideopsis", "Kirkayakidae", "Tabidia", "Inkaidae", "Eumastigonus", "Oiocaria", "Coelospermum", "Clavomicrus", "Phylliinae", "Insarini", "Hohenbergiopsis", "Roseibacillus", "Malacoptila", "Enischnomyia", "Collocalia", "Ctenarchis", "Hispidella", "Glypthelminthidae", "Ustilentyloma", "Metadon", "Costatoverruca", "Granulicoccus", "Oestroidea", "Ascetosporea", "Neoraffrayia", "Iphoctesis", "Timspurckia", "Galkinius", "Taypaliito", "Bothriospora", "Contracaecum", "Tanythrix", "Platyptilia", "Eupomphini", "Ginesina", "Parantechinus", "Ingolfiellidea", "Tribonemataceae", "Agapteron", "Macrocirca", "Decaphellia", "Pallidotettix", "Diplocladia", "Gyrocotylidae", "Roseala", "Molineriella", "Spinonychiurus", "Raffrayites", "Ectypodus", "Protohaustorius", "Lelapiidae", "Ischasia", "Maurachelia", "Capegaster", "Anastrepha", "Cinara", "Actinochloridaceae", "Dryophilocoris", "Sawbwa", "Guntheria", "Centrotoma", "Neodisepyris", "Phylliini", "Apsilophrys", "Anacanthocoris", "Nancythalia", "Monobelini", "Archaeatya", "Scatophagidae", "Polytestilepis", "Liosceles", "Tara", "Trechinae", "Phorbasia", "Antioxenus", "Ecclitica", "Dinemagonum", "Jagtscalpellum", "Stereocephalus", "Stenaspidius", "Acaronychidae", "Corindia", "Boltoniinae", "Habrorhynchites", "Parione", "Phytocorisca", "Allodemis", "Pseudhyperodes", "Anillaspis", "Epitriche", "Vahiniidae", "Phryganeoidea", "Heiomasia", "Tanymecus", "Branchini", "Gymnophiura", "Teratoppiidae", "Hispidopetra", "Breuningiana", "Ziphiidae", "Ablabus", "Siphimedia", "Coenobiodiscus", "Malmeoideae", "Claviticinella", "Rediviva", "Psychilis", "Sarcostoma", "Euglenopsis", "Sigmodontomys", "Tialidia", "Caudovirales", "Pletholax", "Lamellasia", "Toxoplasma", "Scolecophidia", "Maghrebia", "Velamysta", "Ellida", "Jarava", "Anagyrini", "Udamoselinae", "Dallinidae", "Lasiodiscus", "Numeria", "Ganyme", "Rudaibacter", "Bituberitina", "Asemichthys", "Linostoma", "Idiomorphus", "Coenonycha", "Pulaeus", "Nesotrinchus", "Calamograptis", "Chalcoplia", "Amphotrombioidea", "Nobuosciades", "Psammogammarus", "Tecnesites", "Hycleus", "Agonatopoides", "Artopoetes", "Lymantrichneumon", "Gyroneuronella", "Horstmannolochus", "Irregularia", "Glandulonodosaria", "Cordylocera", "Polyancistrini", "Stethopseudinca", "Gyrocoelia", "Stenocrepis", "Sarcochilus", "Backusella", "Oroblemus", "Leptanthuridae", "Abatia", "Oncholaimus", "Notothenioidei", "Theresina", "Tamphana", "Kerevata", "Tojinium", "Pseudoculio", "Metopotylus", "Madecamyllaena", "Sauloma", "Asynapteron", "Stereomyxa", "Brucerolis", "Cylindrammina", "Rectoseptatournayella", "Orgeriini", "Pseudogonerilia", "Rajonchocotyle", "Debis", "Hydrometrinae", "Zoopage", "Pungitius", "Cecembia", "Benedeniporidae", "Bothriothorax", "Garniidae", "Chalcidinae", "Petrotrichis", "Paracrocodylomorpha", "Sarcodia", "Raabeina", "Phalacrocorax", "Prasinococcaceae", "Kluyveromyces", "Ischyropsalis", "Neoancistrocrania", "Tristirini", "Monocercomonoides", "Radoweckelia", "Apinae", "Scaphitinae", "Gephyrodesmus", "Mesodrepta", "Dimorphocalyx", "California", "Fuchiba", "Asterinidae", "Maprounea", "Abrophaena", "Quatrionicoccus", "Mastotermes", "Caligruacmes", "Apatrobus", "Laothus", "Eugraphe", "Ommastrephidae", "Vitis", "Mictocaris", "Lycophotia", "Beregama", "Hedyphanes", "Propraon", "Nesovinsonia", "Bullinularia", "Tumbunascincus", "Haloplaca", "Kinetoplastea", "Paramulciber", "Brephidium", "Xyphon", "Kaszabadelium", "Yhi", "Agyrta", "Symbioribatidae", "Cryphoeca", "Tetracentron", "Tuojiangosaurus", "Unkanodes", "Oncideres", "Mielkella", "Borisodon", "Helferella", "Cyrtostachys", "Centridini", "Gemuendina", "Speovelia", "Borinae", "Diromma", "Crambelea", "Palaeonephrops", "Pericapritoxenus", "Sinoe", "Othinoscolex", "Katacanites", "Enclisis", "Mesojassoides", "Mapuchea", "Ishigeales", "Phrissogonus", "Gobiesocidae", "Sporidiobolales", "Diplois", "Bucconidae", "Spasalus", "Sapindoideae", "Heitmaniaceae", "Rhodopetala", "Latigammaropsis", "Neoralfsia", "Paracerella", "Euphlyctina", "Caiapobrycon", "Chagria", "Gonodontis", "Tassiloa", "Schlechterina", "Wrightieae", "Sphyrapodinae", "Stenolinus", "Protoodinium", "Raisapoana", "Gymnopsyra", "Vittorius", "Rhynchodemini", "Hargicotyle", "Protancyrocephalus", "Flabellomicrosiphum", "Adhemarius", "Ramirezella", "Cephalocosmus", "Dendrobates", "Floricola", "Methneria", "Buethobius", "Yapolepis", "Ciba", "Lyriothemis", "Australothyrus", "Cainotherium", "Castrica", "Corallina", "Pseudopringsheimia", "Coahuilites", "Ricstygnus", "Phaeosiphoniella", "Sissonia", "Riphaterus", "Microplatyscelis", "Angeiocystis", "Pasteurellaceae", "Camelomantis", "Angaralepididae", "Cephalaspis", "Hydroleaceae", "Amalgaviridae", "Salltius", "Psilopeganum", "Fifea", "Coleophoridae", "Enervia", "Titanopsis", "Hypsirhynchus", "Chaetomellales", "Ceratitida", "Palaeoaphidoidea", "Pseudonerineidae", "Verrucospora", "Meyeraepalpus", "LSUHC", "Argicus", "Nectiopoda", "Clavipalpus", "Terriglobus", "Orodontidae", "Snellenia", "Sahastata", "Kumanasamuha", "Byziniella", "Schedlia", "Eugnomina", "Seychellesius", "Sebadexius", "Crassiembolius", "Pararhophites", "Holacanthus", "Godumops", "Perissommatidae", "Opiona", "Tintinnidae", "Trinodia", "Micromonacha", "Dactylioglypha", "Eotournayella", "Kampylaster", "Pallaimorphininae", "Pomaderris", "Linconieae", "Huitfeldtiinae", "Miraja", "Limnococcus", "Schewiakoffia", "Triploporellaceae", "Colobosauroides", "Peltenuiala", "Brazilobothriurus", "Pseudarbelinae", "Trigonocephalotrema", "Alloposidae", "Tangiopsis", "Catenotaenia", "Streptacidiphilus", "Pararhincodon", "Ramulinella", "Romaleon", "Ogulnius", "Brachynomada", "Parobisium", "Parathelphusidae", "Costarina", "Brycon", "Bufoceratias", "Westralichthys", "Cordylidae", "Calyptoides", "Racinoa", "Polyporales", "Brisingida", "Gyldenstolpia", "Atypocepon", "Triclema", "Deuterocopinae", "Flaviaesturariibacter", "Zeodera", "Heliomedusa", "Cimeliomorpha", "Nesoligia", "Suastus", "Blepharispermum", "Resinoscypha", "Epacteon", "Mochlozetidae", "Tetracorethra", "Patersonia", "Cornicularia", "Clavularia", "Calochaete", "Yamatosa", "Oncomymar", "Hyposemansis", "Hammanococcidae", "Neoagnostus", "Neolalage", "Anablepidae", "Parastenolechia", "Perissono\u00eb", "Borodinia", "Thonningia", "Gymnoclasiopa", "Lataxiphyda", "Apocnosis", "Lynnellidae", "Gastrolecithidae", "Paralepas", "Hyalomma", "Heteronemiidae", "Hispanioryctes", "Agrotina", "Coracanthella", "Helionides", "Krombia", "Parvancorina", "Anacamptomyia", "Ramularia", "Eccremocarpus", "Procnias", "Plumbagella", "Heteropodagrion", "Esoptrodinium", "Eutheia", "Sigridea", "Halocordylidae", "Tetrarthrius", "Egeotyphlus", "Aranicola", "Pseudocydonia", "Eurhodia", "Hypocepon", "Triglotta", "Parameristis", "Sphaerozoum", "Zeloasperisporiales", "Alotartessus", "Apocimmerites", "Solemyidae", "Eurytyla", "Storeini", "Spiloxene", "Achatinidae", "Opilioseius", "Biflustra", "Oemodana", "Scea", "Aspidiotus", "Weldiola", "Amphidomataceae", "Sinosporangium", "Caulophyllum", "Phibalomyia", "Chrysopeleiinae", "Oxacicoris", "Bambusinae", "Monocerotesa", "Pseudopleistophoridae", "CVULA", "Eriosema", "Eublepharis", "Adelphocorisella", "Neonoguchia", "Pseuderemias", "Georgeana", "Siderus", "Kadarsanomys", "Ammobates", "Pteracmidius", "Hetaerica", "Alterosa", "Marwickcythereis", "Swolnpes", "Smicrostigma", "Gyrinidae", "Pseudoeudesis", "Novitas", "Helorimorphini", "Diploneidaceae", "Lyrocarpa", "Stibaropus", "Gonempeda", "Chilognatha", "Syarininae", "Apexolichus", "Sauromonas", "Saluria", "Stigmomyrmex", "Arthophacopsis", "Paltonophora", "Wesserpeton", "Reptataxis", "Turritellinae", "Fringillinae", "Aphanizomenonaceae", "Vulpiella", "Dinoperca", "Gascoignellidae", "Jilinga", "Lampocteis", "Bicoeca", "Crepidophryne", "Conocephalocoris", "Pseudodrusilla", "Ucides", "Mellierinae", "Cylindroiulus", "Ptenidotonium", "Elytroteinus", "Campylomormyrus", "Carreramyia", "Astrorotalia", "Guarroa", "Nicomachinae", "Palaeonisci", "Eusparassus", "Alkaliphilus", "Bambusananus", "Xyleborina", "Vibilioidea", "Gillenia", "Schizogoniidae", "Isocolon", "Bacillinae", "Galinsoginae", "Sierola", "Pfendericonus", "Qiaowanlong", "Vaejovidae", "Allostyphlus", "Romoniella", "Tetranodus", "Plectropomus", "Microoculis", "Perforatus", "Phygothalpus", "Geloharpya", "Cnodontes", "Electra", "Taberina", "Apocellus", "Ploceus", "Grosshygioides", "Aselloidea", "Ceramium", "Stenidia", "Batothecoides", "Sumatranola", "Ophriodendron", "Asterfilopsis", "Lizoniaceae", "Chalcocelis", "Codiophyllum", "Nannoprionus", "Strophomenia", "Gentianopsis", "Philacra", "Sipyloidea", "Brachycerinae", "Ebinania", "Arthotheliopsis", "Takayama", "Felinae", "Avicennioideae", "Heterothrips", "Cypretta", "Bocydium", "Thinopyrum", "Glaucias", "Peromyscus", "Halophytophilus", "Eucodonia", "Incisilabeo", "Rhododiplobia", "Orthacris", "Brotulotaenia", "Taurotagus", "Hardieopteridae", "Viridivellus", "Rohdea", "Arkys", "Coccidophilus", "Tambinia", "Nesiobiini", "Cyclocaris", "Succinivibrionaceae", "Metius", "Nymania", "Sphingobacterium", "Satyrini", "Brevisomabathynella", "Leucomium", "Meiothecium", "Bryobates", "Descarpentriesiellus", "Sipha", "Actornithophilus", "Hegnera", "Psilolechiaceae", "Chilehexops", "Papillidiopsis", "Boissiera", "Vaccinioideae", "Hylophorbus", "Perileptina", "Syntrophorhabdus", "Mastersia", "Hymenasterides", "Cervimunida", "Planodinium", "Microcotylidae", "Paradjinga", "Coscinodiscus", "Dorochoviella", "Microleroides", "Glaciozyma", "Digamasellus", "Berberidopsidaceae", "Ischyrosonychini", "Brachynopus", "Mainosa", "Xeropsalta", "Lioscorpius", "Neobuccella", "Philandia", "Orithyioidea", "Cuminum", "Conjunctae", "Spathantheum", "Brassolaeliocattleya", "Nymphonella", "Scopadus", "Longitergus", "Foveosculum", "Metalasma", "Mesopateoris", "Pliocardiinae", "Neomeniamorpha", "Glyptotrox", "Saaloscytina", "Massoniinae", "Pectiniidae", "Zeugophorinae", "Retaria", "Taeniodictys", "Phanerotrematidae", "Globimorphina", "Entheini", "Toxocaridae", "Arabopsocus", "Cephalobaenida", "Taphrinales", "Bradyrhizobiaceae", "Paragastrostyla", "Echinotrabisus", "Hawaiodillo", "Gelidiella", "Derecyrtinae", "Bombyliini", "Anisosticta", "Propionibacterium", "Carige", "Bellojisia", "Graphocephala", "Cathetocephalidae", "Clelandia", "Nirvanopsis", "Murutudes", "Discocephalinae", "Plebejus", "Mesogyninae", "Coryphomys", "Paedovaricus", "Percolatea", "Callanthias", "Achaetocephala", "Queequeg", "Hyalogramma", "Tzveleviochloa", "Lamprocoris", "Sematophyllum", "Barklya", "Tasmanosthetus", "Sonderiidae", "Asaphidae", "Psylloidea", "Desfontainiaceae", "Parascylloides", "Philematium", "Hurdiidae", "Lesueurillidae", "Macratria", "Microctonus", "Bicaubittacus", "Tuparezetidae", "Cyrtonellida", "Olecryptotendipes", "Eliomys", "Pholidoptera", "Ryvkinius", "Dicteisia", "Tahibacter", "Periscelididae", "Niphoparmenoides", "Dibamidae", "Phleocryptes", "Septaforschia", "Barberapithecus", "Amphisine", "Mycacanthococcus", "Amblytelinus", "Theocampe", "Metopiaina", "Strepsiptera", "Eugeissona", "Hyophiladelphus", "Euthiomelus", "Eriostemon", "Rhinoplethes", "Trionychinae", "Neateuchus", "Chlamydolecanium", "Raphus", "Plagiorchiidae", "Schedonnardus", "Anomalencyrtus", "Debophanes", "Soluta", "Diaschisaspis", "Thysanobothrium", "Metopobactrus", "Dibranchus", "Aethioeubria", "Pneustocerus", "Rhinotermitinae", "Telopea", "Hybodoryctes", "Geometridae", "Denticerus", "Ganisa", "Pseudoscapanorhynchus", "Engraulicypris", "Wittonola", "Seleucus", "Buergersiochloa", "Rhymnaria", "Fluviicoccus", "Idanastes", "Nemorius", "Haplohymenium", "Alcyopis", "Megantereon", "Gastrochrysia", "Himalkompsusa", "Bifronsina", "Phyllostegia", "Lestranicus", "Streptothecaceae", "Hypselodelphys", "Hypoderatidae", "Pseudingolfiellidira", "Westphaliasaurus", "Chilatherina", "Calicotyle", "Sesieutes", "Cuphomorpha", "Metalanceola", "Eulimnadia", "Nebriosoma", "Pseudohamelia", "Heteromolpadia", "Jungermanniidae", "Conizonia", "Calyptogonia", "Tetrigidae", "Ricaniidae", "Microcosmiomorpha", "Mycocaliciales", "Pedroplax", "Aequidens", "Coptotriche", "Triaxomasia", "Pandionidae", "Acrida", "Gastrisus", "Hexacyrtis", "Arthropogoninae", "Lopezia", "Ceratrimeria", "Asanada", "Thaumasesthes", "Spinocalanidae", "Cannomys", "Stelestylis", "Paracollema", "Busonia", "Dahlia", "Cyclotaenia", "Scarabatermitini", "Mussidae", "Droopiella", "Gryporhynchidae", "Proctormonas", "Pfeifferinella", "Luvarus", "Hygrobia", "Piscirickettsia", "Nanomerus", "Japanoasternolaelaps", "Parianella", "Tulearus", "Erythrocebus", "Phylloceras", "Monobia", "Tomara", "Vietbocap", "Cancellothyrididae", "Platycerura", "Palaeoglomus", "Smerinthini", "Pronkia", "Cholomina", "Rhinantheae", "Hapalochloris", "Platysemaphora", "Thaumatotoptila", "Nettapus", "Albomarginatus", "Cymbellafalsa", "Valaa", "Ansellia", "Stokesiidae", "Paragloborotalia", "Polymorphininae", "Cicindela", "Actinobacillus", "Kalmusia", "Trochosiphoniidae", "Biamoaphis", "Typhaeini", "Fissurelloidea", "Lastaurini", "Zymologa", "Catharesthes", "Parathyastus", "Gronovia", "Phuphanochloa", "Cryptaphis", "Ostomalynus", "Phaedimini", "Dicharax", "Rhinoscepsina", "Depressariidae", "Psalidoprocne", "Ceratogymna", "Omonana", "Ophioprium", "Abditoporella", "Pseudobaxyris", "Luziola", "Dendrortyx", "Muntingia", "Candolleodendron", "Hyalosperma", "Madecosorius", "Pororaria", "Serranoniella", "Armaturolidia", "Sorocaba", "Mutinus", "Hippocrepidea", "Pontodiscus", "Ahrimania", "Menura", "Stylonuroidea", "Coniophorineae", "Paracanthostracion", "Philogangidae", "Craterocephalinae", "Anthonomus", "Rugathodes", "Austrotrillinidae", "Leucomiaceae", "Anoploderma", "Malacograptis", "Acrocoelida", "Trichophallus", "Pholadomyoidea", "Lophotriorchis", "Regmatodon", "Scissurella", "Acorus", "Acorystus", "Pseudozaena", "Anchicolurus", "Parategastes", "Caryptococcolithus", "Ercheiini", "Shijimia", "Aixaphis", "Ialibua", "Acrobeles", "Gyptidium", "Cressina", "Phosichthyidae", "Kirkia", "Crowsonius", "Diplocystaceae", "Paropyrum", "Yakudza", "Phaenacrotona", "Wallaceodoxa", "Rostellariella", "Luzarida", "Allacanthos", "Globimitoceras", "Ixchela", "Stygothelphusa", "Thivolleo", "Ampulloclitocybe", "Parasyzygoniinae", "Hydrops", "Pasquiaornis", "Trichuris", "Microphotis", "Curio", "Phlyctimantis", "Austrostigmidium", "Paricana", "Lacertinae", "Pseudothylacus", "Aminyopini", "Deraeocoris", "Thamnea", "Schizopterinae", "Aleiodes", "Bergonia", "Caperea", "Corythoecia", "Polistichus", "Macutula", "Coleolaelaps", "Latridius", "Boeotarcha", "Characidiopsis", "Huayangosaurus", "Miomantinae", "Acorynus", "Melanopyge", "Epitrimerus", "Basileostylus", "Forsteronia", "Oriodryas", "Steenstrupiella", "Aorchinae", "Criomorphinae", "Raanya", "Omentolaelapidae", "Pseudostanus", "Bilusius", "Leptocypris", "Xiphydriinae", "Kiwigaster", "Paramoria", "Urostylinae", "Anthocarapa", "Acantholaelaps", "Neosimmondsia", "Chorda", "Trioza", "Distictus", "Ozodera", "Okamuraea", "Italustium", "Endelus", "Acailandica", "Dinotettigini", "Monocis", "Rodriguezia", "Clytius", "Krebsina", "Tsugaphis", "Withiinae", "Sematophyllaceae", "Thripidae", "Bosminidae", "Derelomini", "Micropythia", "Paucivena", "Analcina", "Cardiocorax", "Bertrandiella", "Lutrariinae", "Lochmodocerus", "Paraneoptera", "Xapamopa", "Triainomyces", "Neodischistus", "Ichtyodectiformes", "Allocinops", "Rhodospira", "Cypoides", "Echinelops", "Striatorbina", "Cyathula", "Pleurosiphonia", "Maipomyia", "Tippmannia", "Gomidesia", "Mascaraneus", "Couratari", "Algon", "Klosneuvirinae", "Hemiphaga", "Zeacarpaceae", "Cyphanthropus", "Proceroplatus", "Simarouba", "Waernia", "Drepanocladus", "Nereicolidae", "Praydidae", "Apoecilus", "Gilliesieae", "Gotocotylidae", "Methanoplanus", "Sphaerantia", "Magnini", "Parathurammina", "Polycatini", "Oltacloea", "Cystacanthus", "Nephelaphyllum", "Syndinidae", "Schizaeales", "Spinochernella", "Argocoffeopsis", "Polyphagus", "Shanita", "Korschpalmella", "Dendrexetastes", "Lithochodaeus", "Leucomigus", "Pseudhelops", "Australiatelura", "Zethopsus", "Placophoropsis", "Zimmeriini", "Agriotes", "Rybaxidia", "Neomphyma", "Tosana", "Pentagramma", "Gasterochisma", "Allotriozoon", "Pseudodoniella", "Ramsaasalepididae", "Hamingia", "Krohnittidae", "Hemilobophasma", "Mipseltyrus", "Neorhynchia", "Segmentinini", "Xyneella", "Mutisieae", "Cymbaloporella", "Kieneriella", "Turneroideae", "Carlininae", "Scatonomus", "Agapophyta", "Sebdenia", "Barbeaucestus", "Cyphochlaena", "Chlamylla", "Carpediemonadida", "Rhachitheciopsis", "Australaglaspis", "Parvamussium", "Cerachipteria", "Stellaserenina", "Yoshinagaia", "Uteopsis", "Beiselieae", "Paragraecia", "Nepheloploce", "Runcinoidea", "Ceratolana", "Taskiria", "Calobatinae", "Karenella", "Penthimiini", "Mucia", "Matus", "Nicoletella", "Neorhynchiinae", "Anthoptina", "Stranvaesia", "Peronomyrmex", "Metalasia", "Archicolliuris", "Diplaziopsidaceae", "Trichoplon", "Tetrapollinia", "Dilleniales", "Phasmasaurus", "Giraffospyris", "Mesamphisopus", "Aetodactylus", "Lachancea", "Lecocarpus", "Ventania", "Hymenophlaea", "Bretschneideraceae", "Sternycha", "Mimegralla", "Spirodiscus", "Nervia", "Petralycus", "Laimosemion", "Carpomyina", "Romankenkius", "Chaenostoma", "Australopelopia", "Tscherskia", "Anepsion", "Furtadoa", "Arame", "Anops", "Exceptia", "Metocinus", "Limotettigini", "Cleistosphaeridium", "Grazielanthus", "Schreiteriana", "Philopota", "Oxinoxisidae", "Jamesiella", "Celerinatantimonas", "Dolomiaea", "Etnalidius", "Phimosia", "Phocides", "Iseuscelus", "Enterographa", "Yamaneta", "Numatodes", "Hystrichopsylla", "Trichonemophas", "Phragmotelium", "Diogmites", "Strotheria", "Protaetiophana", "Ephistemus", "Agrostistachys", "Trimalaconothrus", "Bryopolia", "Epharpastis", "Papuapsocus", "Guajira", "Chaetacosta", "Borrelia", "Wullschlaegeliinae", "Entiminae", "Sympodophyllum", "Hordeum", "Mauritiana", "Hormoschista", "Acodia", "Anartioschiza", "Plesiodryininae", "Hyloscirtus", "Pseudogracilibacillus", "Pancolinae", "Tetractinomorpha", "Hypopyrini", "Cecropis", "Microatomaria", "Limnephilidae", "Chorrobius", "Elasis", "Calverocheridae", "Menudos", "Sudrini", "Chinchillidae", "Adrianichthyidae", "Rzehakina", "Phlyctaeniina", "Pseudeudius", "Porteria", "Pseudoclinteria", "Goniomonadales", "Aleocharinae", "Ancistrocarphus", "Aplysinellidae", "Afrauropodidae", "Stericta", "Aseroe", "Oodinus", "Palaeophyllaphis", "Sajamaea", "Dryobates", "Ivieolini", "Emticicia", "Leahibacter", "Smeathmannia", "Cosmophorus", "Ulvipinara", "Sinodidymella", "Jeannelopsis", "Thecamoebida", "Tripterygiidae", "Cretapsocus", "Culicini", "Neosynchiropus", "Echinomacrurus", "Diplonemea", "Amerobelboidea", "Monalonion", "Corydoradinae", "Cleptommation", "Creoleon", "Austrolithoideae", "Icona", "Desmothoraca", "Bifidia", "Erinacellus", "Amphipsalta", "Berlepschiini", "Vasivaea", "Aphelenchoidea", "Ceylonositalces", "Rhamnoideae", "Stromanthe", "Exelastini", "Huismaniella", "Lyde", "Prototheca", "Exilispira", "Masirana", "Xenoscelinae", "Bolusia", "Cribratinoides", "Engelana", "Lamproxenusa", "Atherinomorinae", "Chlorophyllum", "Anilara", "Pterapotrechus", "Turrana", "Holcoglossum", "Peleciina", "Agrosterna", "Brachyphaea", "Pyrisitia", "Reticulidia", "Protostrongylidae", "Colobometridae", "Alphus", "Espostoopsis", "Ampycinae", "Repensiviricetes", "Neomisellina", "Arioge", "Decevania", "Srilankamyia", "Diseoblax", "Ebriida", "Psilops", "Volkeliopsis", "Myelospermataceae", "Paralauella", "Catalaodes", "Budashevaella", "Perinthina", "Liopteridae", "Dainella", "Parametopa", "Helluosoma", "Dinokanaga", "Zhongjiania", "Prionosipalia", "Foza", "Glis", "Baiomys", "Convolvulaceae", "Myrmecophila", "Amphorometra", "Leptachatininae", "Panaretella", "Gomphillus", "Pseudoligorchis", "Aoria", "Vermileonomorpha", "Histocidaridae", "Calyptopogon", "Cholevodes", "Macrocoris", "Pteridium", "Echinothambematidae", "Pseudoscorpiones", "Irpex", "Carabidae", "Froesia", "Dicarenus", "Palhinhaea", "Chiriquibia", "Cephalolepidapedon", "Diedra", "Gnaphalopoda", "Abelopsocus", "Gisekiaceae", "Sznablius", "Celata", "Vibertiola", "Capua", "Heteracantha", "Cania", "Peristrominous", "Pacholenini", "Fingeriana", "Anapronoidae", "Pselnophorus", "Siler", "Fallotella", "Xenisthmus", "Endochytrium", "Pseudopyxis", "Trigoniida", "Hoplolatilus", "Thailepidonia", "Clyomys", "Asellus", "Phricognatus", "Balliamonas", "Zygometapodus", "Schizymenia", "Ascidae", "Monotidae", "Sostrata", "Stephanorhynchus", "Ampelocalamus", "Capetoxotus", "Iberochloe", "Calydnini", "Acanthodesmia", "Dyscritulus", "Proparamenia", "Neostacheoceratidae", "Pentoxylopsida", "Primuleae", "Racta", "Balcus", "Proclavarctus", "Kalappia", "Scorpionidae", "Discoplea", "Micrometula", "Hoplolaimidae", "Karayevia", "Streptopodium", "Phobocampe", "Dybasina", "Chlorocnemis", "Bovicarabodes", "Paruraecha", "Cryptomonadea", "Cryptonychini", "Microbotryozyma", "Trisignis", "Neoascia", "Wangiella", "Velleda", "Tabulata", "Acrocystis", "Pieza", "Gigantoraptor", "Eurynotia", "Euteleia", "Chariaspilates", "Prophaecasia", "Phiara", "Pentanisia", "Trichaptus", "Navigobius", "Prosternoptinus", "Propelma", "Pelagirhabdus", "Oldeania", "Bryocorellisca", "Achras", "Aspidonepsis", "Tilopteridaceae", "Chablaisia", "Chirostylidae", "Acrepyris", "Evacanthini", "Euthorax", "Amphilothales", "Limnebiini", "Spirofrondicularia", "Acerotella", "Piaroa", "Afrodiapterna", "Dyerophytum", "Neoclupecotyle", "Talochlamys", "Apus", "Mandritsaria", "Winterschmidtiidae", "Porander", "Glaucomastix", "Cylindromonas", "Blumea", "Contophryidae", "Sciarokeroplatinae", "Orthoclada", "Phaedyma", "Protobranchia", "Neostylidium", "Anodorhynchus", "Beerellus", "Paraglenea", "Siphonandrium", "Galloisia", "Pavetta", "Pantorhaestes", "Coniogyra", "Hebecerus", "Spinoendothyra", "Hipparion", "Hesperapini", "Kimberleyeleotris", "Gelaninae", "Rimularia", "UNIMAS", "Cosella", "Gloeocantharellus", "Cataloipus", "Attageninae", "Hydrostygnus", "Mesocochliopidae", "Plocamionida", "Calophyidae", "Rhaphiostylis", "Ilisoa", "Hymenostegia", "Noduliferola", "Melanocharitidae", "CWNU", "Montanelia", "Cyclaulacidea", "Lepidostromataceae", "Polystomammininae", "Leptolaimus", "Wagnerinini", "Carinoclymeniidae", "Ktenodiscus", "Cordylocarpus", "Schizothoracini", "Dicopus", "Eudasychira", "Ledermuelleriopsis", "Volitivulpecula", "Asconiscidae", "Opaeophacus", "Paroriaethus", "Didymoplexis", "Acrocolpus", "Rhinella", "Cosmetalepas", "Mennerotodus", "Hybodera", "Guinea", "Carinstrocerus", "Ekadantinae", "Chitinibacter", "Catadipson", "Physocrotaphini", "Serendib", "Chyromyidae", "Skiadosphaera", "Delanymyinae", "Labrocarpon", "Cephalispheira", "Trichokrater", "Allohahella", "Euthystira", "Cherusius", "Dasypops", "Melophorini", "Binghamiopsis", "Bergamosoma", "Pseudomugilidae", "Miniimonas", "Corymorpha", "Nicodamidae", "Thalera", "Anacochylidia", "Negaprion", "Hannaea", "Dolichaspis", "Anaurus", "Lissonoschema", "Microsynanthedon", "Hyptiogastrinae", "Neocallimastigaceae", "Porostauros", "Synchromales", "Syncarpieae", "Tripsacinae", "Trachychelifer", "Scythrophrys", "Dumortieraceae", "Euglyptica", "Eulophomonas", "Phloeomyzus", "Halobaena", "Hippocamelus", "Iraina", "Todiramphus", "Roystoneae", "Melanthieae", "Cephalostenus", "Polycanthiidae", "Technographa", "Rhaphiptera", "Enaemia", "Pseudocrenilabrinae", "Palorus", "Brownus", "Rhinopterinae", "Epipotoneura", "Atelodinium", "Fursenkoina", "Petalichthyiformes", "Scombrolabracoidei", "Prestonia", "Cydistomyia", "Eutelesia", "Triangulochrysopa", "Kupiuka", "Eurolistriodon", "Stigmoderini", "Borinken", "Heterospilus", "Callistopteris", "Anchusella", "Calyptocerini", "Gymnarchidae", "Rhodospora", "Velox", "Nagodopsis", "Musculista", "Termitonicus", "Praeperidinium", "Bathysmatophorini", "Cionothrix", "Bombycina", "Melasma", "Acruliammina", "Cylindrocapsa", "Rhopalomyia", "Tunodesmus", "Doliopharynx", "Mesoserica", "Pseudechidna", "Leucopsacus", "Trimiomelba", "Sarsamphiascus", "Megaraptor", "Porphyrocrinus", "Prionoloplax", "Orthoplecta", "Tytthocope", "Rucervus", "Skytostreptus", "Chapoania", "Votocoleus", "Estrilda", "Gomphosphenia", "Manodema", "Scelolethrus", "Parabradya", "Mayomyzontidae", "Enriquea", "Pseudanamomis", "Buitinga", "Szidatia", "Olenellina", "Serpophaga", "Arunus", "Birthamoides", "Spirocercidae", "Xylariopsis", "Golbachiella", "Callidemum", "Amplectobeluidae", "UFPE", "Sitotrogoides", "Faxelepas", "Neotyphlini", "Suliformes", "Oratha", "Nitrospinales", "Therevopangonia", "Chroothece", "Gymnopsidia", "Anisembia", "Mimanhammus", "Halice", "Agostinia", "Asterosporiaceae", "Elatostema", "Sidonia", "Chiasmia", "Dolichostigma", "Mendicodinium", "Campylonotoidea", "Physocyclus", "Caliaeschna", "Hylobiina", "Anhimidae", "Limnodynastes", "Philopotinae", "Ginungagapus", "Chitonidae", "Trichotheliaceae", "Yunusemreia", "Platycypha", "Acropoma", "Dicopomorpha", "Arisubathynella", "Engrauliscobina", "Paraibatrema", "Aeginidae", "Galathea", "Euleechia", "Clinteroides", "Chelonodontops", "Arteminae", "Slipinskogenia", "Mazama", "Placojoenia", "Cangatiella", "Infraphulia", "Scatopyrodes", "Discocnide", "Platyhelluo", "Poduroidea", "Fukuyoa", "Themaroides", "Acantholipini", "Funambulus", "Spongicola", "Histiona", "Sinapriculus", "Brachodidae", "Diacypris", "Madamantis", "Janickiella", "Pseudoendothyra", "Tayuva", "Eschscholzia", "Neorhipidius", "Platytomus", "Lytorhynchus", "Marasmiineae", "Aleuritopteris", "Trimusculidae", "Baeochila", "Tribulus", "Enveja", "Kofoidiniaceae", "Eburodacrystola", "Prosthogonimidae", "Pontomalota", "Baeopogon", "Calophaenini", "Galago", "Plasmodroma", "Eucilmus", "Pseudaminobacter", "Crocodia", "Africoptilium", "Comptalutidae", "Anancosorius", "Drymornis", "Trichoniscoides", "Afrodon", "Stenoponia", "Achuarmychus", "Methanocellales", "Colpodellidae", "Distaplia", "Pseudocarcharias", "Phenacohelicinae", "Carlito", "Heliophanillus", "Auchenoglanis", "Smeringomyces", "Porolepis", "Testudinaria", "Carinomezium", "Dybowskyia", "Cryptodactylus", "Anomoplectus", "Anoplosolenia", "Eurycyphon", "Pisorisporiaceae", "Neposa", "Decumaria", "Rhynchomicropteron", "Paratheria", "Tissierella", "Rachesa", "Xeromelecta", "Anommatochara", "Prosierola", "Tectatodinium", "Xenoceratops", "Haploscapanes", "Centrophthalmina", "Melodinium", "Rhodalsine", "Caprona", "Asiafroneta", "Ctenoscina", "Cuvieronius", "Megalogomphus", "Pleurotheciales", "Spudaea", "CESL", "Hokkaidoconcha", "Brasileirinho", "Paradictyon", "Calyptothecium", "Afroscytus", "Nesanoplium", "Audreia", "Centistoides", "Luteoviridae", "Koernickanthe", "Neonanus", "Disolenia", "Zorocrates", "Cyanidius", "Corticularia", "Africallagma", "Pascalia", "Homolaphlyctis", "Tetrapteron", "Oligaphorura", "Sotalia", "Koyaga", "Carinibracon", "Anodonta", "Anoplodrepanus", "Hippeastrinae", "Callulops", "Abuta", "Rhopaliana", "Meconema", "Vietteopoloma", "Clavigeropallene", "Philagra", "Corimalini", "Schizura", "Gerbillus", "Acanthomintha", "Vovapamea", "Hemichroa", "Taldycupedidae", "Planctosphaeroidea", "Iguanacarus", "Paramesochra", "Zachvatkinibates", "Cliidae", "Niphosoma", "Centroplacus", "Lysitona", "Cimrmanium", "Telostholus", "Carpediemonadia", "Drymusa", "Spioniades", "Bubas", "Cucujus", "Pertydeus", "Xylosma", "Henriksenia", "Ommatolampidinae", "Butorides", "Podocyrtis", "Anaerovirgula", "Kathala", "Isophysidoideae", "Stegophilinae", "Kikimora", "Deinacanthon", "Tricondyla", "Hymenodryinus", "Malagasotingis", "Agromyzini", "Theodorovia", "Cyclopogon", "Alphamycetaceae", "Attacus", "Takakiopsida", "Eupinolus", "Ramicandelaber", "Saccopodium", "Holocentridae", "Melosiraceae", "Trichosirocalus", "Kentropyx", "Heterosaphanus", "Euremina", "Bystracoccus", "Pachysternum", "Metacyclini", "Clinidae", "Sthenopis", "Ceratokalummidae", "Actenodes", "Paradicaprella", "Stilpnia", "Furcilla", "Ripeacma", "Arborichthoniidae", "Triassaga", "Aulosepalum", "Daveyia", "Lophoschema", "Grassleia", "Paragrilus", "Euchroma", "Ripidius", "Zephyrosaurus", "Pseudoguinardia", "Euripus", "Bostria", "Polyodon", "Angulephallus", "Bathyallogromia", "Rhinobatos", "Hybridella", "Katsuwonus", "Septuaginta", "Praesetora", "Landrevinae", "Naticoidea", "Koolasuchus", "Teratoscincinae", "Calindoea", "Lendenfeldia", "Birabenia", "Theileamea", "Megadendromus", "Multipeniata", "Glomopsis", "Rhammatophyllum", "Neogoniolithon", "Peritassa", "Fillus", "Brachidamorpha", "Sphaerokodisis", "Scoliophallopisalia", "Epixerus", "Parapolystichum", "Noltea", "Dicroglossum", "Arsinoe", "Anocisseis", "Nepeta", "Coryphasia", "Archiearinae", "Tetralophus", "Lamellipalpus", "Miriquidica", "Zerynthia", "Schistostemon", "Helisella", "Brachyplax", "Nesoxenia", "Keichousaurus", "Beckingia", "Xylocopini", "Maxfischeria", "Pseudohermonassa", "Vandiemenia", "Kisanthobiini", "Meliponula", "Facchinia", "Methanosphaera", "Blasiaceae", "Subfischerina", "Bullina", "Pammegus", "Oreopsyche", "Melichthys", "Heuretus", "Phemus", "Sokoloviana", "Penthetria", "Deplanchea", "Leptotyphlini", "Suctobelbata", "Miltomiges", "Planktothrix", "Leptospiraceae", "Vauriella", "Labidocera", "Ophistreptus", "Philonotieae", "Amblyopsidae", "Microrhodopina", "Micromastax", "Cleobora", "Thermococcaceae", "Pseudococcinae", "Coloratobistus", "Codonellopsis", "Harmsiopanax", "Acropyramidae", "Plagiorchioidea", "Bellota", "Abachrysa", "Paranectria", "Rhaphoneidaceae", "Phyllidiidae", "Cycladenia", "Pulchrinodus", "Chalcophorotaenia", "Sarconema", "Argythamnia", "Pseudocolus", "Byrsalepis", "Aegopinella", "Olympicolini", "Phloeophagosoma", "Cyclolitidae", "Ivalouwayneia", "Zethenia", "Ophiochaeta", "Ariotus", "Deplorothrips", "Euptychium", "Syntrophothermus", "Dichaeinae", "Heterocaria", "Desmococcus", "Katyacantharis", "Apophlaea", "Kannoa", "Faronitae", "Brumptomyia", "Hydrogenimonaceae", "Spilopyra", "Actinocoris", "Heterodermia", "Pultenaea", "Mimolaia", "Paraleptodemina", "Jaffueliobryum", "Parapyrenis", "Opalina", "Metriorhynchidae", "Datonychus", "Thoreauella", "Griphotherion", "Myriogloea", "Asindulum", "Psittaciformes", "Gamasiphoides", "Opsibidion", "Anoplocephalidae", "Wolbachia", "Obliquichthys", "Anomonyx", "Empetreae", "Aeschremon", "Cirolanides", "Solenysa", "Cymophorina", "Clymeniina", "Paracrocidura", "Lebanoculicoides", "Zariaspes", "Dammermaniella", "Orthomus", "Bryocorini", "Nephroneis", "Jurodes", "Chloridella", "Katha", "Penalus", "Paragigagnathus", "Coprophilini", "Klebsormidiaceae", "Confuciusornithiformes", "Allaxius", "Atranus", "Ixodes", "Thinornis", "Cephalobares", "Streptocephalidae", "Rhinusa", "Epicephala", "Vingerhoedtia", "Cheliferidae", "Leuciscus", "Tholymis", "Ovoo", "Morphogenia", "Haumaniastrum", "Sericotrupes", "Tachygyna", "Heteromicrocotylidae", "Derephysia", "Paleoambrosia", "Erythronium", "Gilloblennius", "Laomenes", "Halophytaceae", "Illacme", "Porocallus", "Cladothenea", "Hamophthiriidae", "Parapinnixa", "Henioloba", "Microsyagrus", "Pseudacronicta", "Acytosteliidae", "Umoricoleus", "Roxania", "Acanthophaena", "Meskea", "Trigonopterygoidea", "Ernestinus", "Nothodiplax", "Hypselotropis", "Matong", "Valeria", "Ascobolaceae", "Echinacanthus", "Tremulina", "Heterolatzelia", "Oregus", "Amphiumidae", "Agrypnia", "Clitandra", "Pseudopachylebia", "Aulacopodus", "Parachlaenius", "Calycorectes", "Ceratobranchia", "Mylestomatidae", "Esterhuysenia", "Neurolarthra", "Gnamptodon", "Methanosarcina", "Paraminilimosina", "Grylloblatta", "Cemocarus", "Roycea", "Ancoraphylus", "Egidyellini", "Bibloplectinus", "Euryscelis", "Prostemma", "Dactuliothrips", "Phanolophus", "Diplotrema", "Stenopeltis", "Praeglobobulimina", "Marisediminicola", "Grifftaylor", "Microdictyon", "Crocellina", "Menemerus", "Smaris", "Acanthophlebia", "Charagochilus", "Calcaribracon", "Tryonicus", "Raphidoistia", "Nitiocellus", "Neoxenus", "Phleinae", "Spanotartessus", "Cryptopus", "Ustilaginales", "Phoeniculus", "Metastrongylus", "Hemerobius", "Rhamphorhynchus", "Gretnini", "Causiinae", "Canacina", "Parabathynellidae", "Craniopsidae", "Agathiphagoidea", "Cyclotella", "Emmericiidae", "Drepanotrematini", "Sobarocephalinae", "Saldinia", "Flotschapa", "Agromyces", "Parorectis", "Pouteria", "Phacopidae", "Pamirites", "Dendrolimax", "Thelebolales", "Anhoplocampa", "Heidemanniella", "Ophiaster", "Lychnophoriopsis", "Sulcomonas", "Sysolini", "Hemineura", "Scaphiostomum", "Websdanea", "Benedictiinae", "Amperaturus", "Caudellia", "Alexogloblinia", "Aphidiinae", "Acratiidae", "Leptacanthichthys", "Lithornithidae", "Gammaridae", "Cryptomonadidae", "Anacithara", "Chitinivibrio", "Neocamenta", "Pleronyx", "Ustilaginaceae", "Neomonada", "Octodontoidea", "Zasmidium", "Archepopovia", "Desdimelita", "Leptogastrinae", "Knautieae", "Cryptococcaceae", "Pseudosemiris", "Parakimerus", "Crudia", "Thermoplasmataceae", "Teplinini", "Joinvillichthys", "Monellia", "Coatonipulex", "Aoriopsis", "Anzcyclops", "Helvellaceae", "Epiclintes", "Talpidae", "Monocarpus", "Gonojana", "Gephyrolina", "Nemacladus", "Lathrobiina", "Chrysopolominae", "Monotominae", "Periomphale", "Leidyula", "Miathyria", "Tetrasiphonidae", "Thyridopteryx", "Psoralidium", "Paucaichthys", "Examnes", "Euornithes", "Munseoma", "Steyermarkochloa", "Pseudobironium", "Akamba", "Aldrichetta", "Achryson", "Urometopus", "Drymonema", "Perzelia", "Jacamaralcyon", "Metanomeuta", "Heteropsideae", "Stigmaphora", "Derichthys", "Bucephalinae", "Parasesarma", "Comanthera", "Nucellicolidae", "Haliragoides", "Aeromonas", "Scutula", "Herissantia", "Centorumis", "Driomenia", "Singhalesia", "Megalograptidae", "Marantaceae", "Cytherites", "Gigacuma", "Verbeneae", "Westringieae", "Coelastroideae", "Thotmus", "Tubuliferodes", "Katsuraius", "Clinograptis", "Micrarctia", "Atacamaia", "Kristensenia", "Apistophonte", "Ammopemphix", "Tripteroides", "Pygmephoroidea", "Apiogaster", "Thoris", "Polyendostoma", "Stigmatodiscales", "Sargentodoxa", "Westrarchaea", "Allochytridium", "Xyalophoroides", "Ambilimbus", "Alariaceae", "Chaetoptila", "Zapornia", "Gymnocarpium", "Arisarum", "Micropsephodes", "Pycnopulvinus", "Sinefeluva", "Lestinae", "Conostigmus", "Barbichthys", "Leucocarbo", "Eremosybra", "Dichelomorpha", "Trichopsathyrus", "Urothoidae", "Spilostethus", "Ptychopsis", "Acetobacter", "Semicossyphus", "Neamphius", "Harrisonina", "Pictodentalium", "Dicranolaius", "Cycloloma", "Alkaliflexus", "Petrodava", "Wiedomyini", "Usilanus", "Rogerpetersoniaceae", "Vaucherilepis", "Grammatostomias", "Angamiana", "Clauzadeomyces", "Papillodermatidae", "Cotes", "Aulocalyx", "Asitus", "Opisthopatus", "Polianthion", "Tettigomyiinae", "Wielandieae", "Peresianidae", "Hinnebergia", "Loxocarya", "Paludibacterium", "Alaimus", "Conchodytes", "Reissella", "Octouncuhaptor", "Zeldia", "Chalceidae", "Malawimonas", "Merhynchites", "Albuginales", "Lobocneme", "Melathrokerion", "Pelatocladus", "Tityrinae", "Scolytoplatypus", "Papiliotrema", "Asterophryinae", "Maluridae", "Mesolimnophila", "Tauroligidium", "Balitorinae", "Isaphe", "Boldoria", "Pachystromateae", "Eurymelina", "Renealmia", "Ravenia", "Xanthidae", "Tupiellaceae", "Taniwhasaurus", "Catapaecilmatini", "Amathia", "Paraplaneta", "Lisitzinia", "Aphelenchida", "Healyum", "Donnellyanthus", "Psilocnemis", "Eremicaster", "Eucerinoda", "Genaphidoidea", "Mastigerina", "Polysteganus", "Monohelea", "Collabieae", "Philus", "Lobodontus", "Scolytocis", "Calceolispongia", "Neoxyletobius", "Eggelingia", "Barca", "Amithao", "Oedesis", "Proteriococcus", "Paniculata", "Gobiomorphus", "Austroglyptolenus", "Gymnostreptus", "Goldia", "Annakohniella", "Bathycles", "Tortolena", "Atropoides", "Xenophyrama", "Poskea", "Empriini", "Meleagridinae", "Brachychara", "Nemertesia", "Pseudomesochrinae", "Cephalaxis", "Dasypteroma", "Cornuspiroides", "Dasytinae", "Bahia", "Priapulidae", "Armases", "Myliineae", "Actinominthella", "Anarmodius", "Clausia", "Chamaescilla", "Clarkelleae", "Cystostereaceae", "Iconaster", "Pachyaphonus", "Indoidiopterus", "Parawaldeckia", "Tinca", "Salicornia", "Pediculus", "Agkistrocerus", "Torulisquama", "Microlaimoidea", "Notosmilus", "Petascelisca", "Myolepta", "Zemiocrita", "Sphalmium", "Homalonesiota", "Pachytrematinae", "Cholevini", "Dichodontocis", "Brachymelecta", "Tuberolamia", "Catana", "Hypopycna", "Eutropistes", "Echinopsinae", "Mama", "Anabropsini", "Tettigomyiini", "Darlingia", "Olleya", "Oligoterorhynchus", "Alecanium", "Leucaloa", "Epicypta", "Pateobatis", "Calymmanthium", "Rhynchosteres", "Duboscia", "Tychonema", "Embryophyta", "Helenomelas", "Parasapyga", "Mammutidae", "Antarctissa", "Ericoideae", "Kalotermes", "Lycaenidae", "Allocrangonyx", "Trochida", "Leptodontiella", "Arhynchobatinae", "Protulophila", "Branchophantis", "Vitjazianidae", "Aglaophenia", "Ambositrinae", "Rugobolivinella", "Titanolepas", "Rudolf-kamelinia", "Dawsophila", "Ammoconia", "Tarsakanthos", "Exobasidiaceae", "Phalangeridae", "Epicaeciliini", "Philodrominae", "Macarisia", "Chrysopaa", "Xiphophorus", "Goniastrea", "Jakobea", "Peumus", "Idiomorphini", "Neostenus", "Syntemusa", "Staelia", "Aoranthe", "Coelophysidae", "Peliocypadina", "Isodictyidae", "Epirodera", "Paracalliopiella", "Daesiidae", "Hymenena", "Amalocera", "Pseudomicrura", "Canacini", "Stenoidion", "Amphoricarpos", "Oreophrynella", "Trimerocephalus", "Metrichia", "Cyclocorus", "Rubrepeira", "Forsteriini", "Monoscutum", "Sphaerostylus", "Scelomyza", "Petasidini", "Aphanes", "Chelotriton", "Caylusea", "Rondeletiola", "Dryolimnas", "Macrohomotominae", "Coelosporidium", "Spermodea", "Acolobus", "Humblotania", "Panda", "Endogonales", "Berenicornis", "Acanthocladium", "Cyclorbiculina", "Laurocarpum", "Physacanthus", "Nargus", "Eriopidion", "Sphaerothecum", "Clavobrium", "Euprosthenopsis", "Caudofoveatus", "Pendarini", "Arboramminidae", "Onychodictyon", "Austrochrysa", "Megaplectes", "Machaerotidae", "Aberrapecidae", "Anguipecten", "Syllonoma", "Scrupariidae", "Plagiocladus", "Phylacteophaga", "Sycophaga", "Typhlopasilia", "Ballinae", "Crotalus", "Proeutropiichthys", "Pantomorus", "Gillisius", "Distomatopyxis", "Propinquidemus", "Trochamminoidea", "Mariepskopia", "Hormiphora", "Heterargus", "Agnorimus", "Tabulophyllum", "Meringodixa", "Nephrocephalinae", "Dypsidinae", "Hesperaloe", "Austrophyllis", "Terapus", "Liangiana", "Phyllostachys", "Gnotus", "Hyalinocysta", "Pseudostaffellinae", "Scagacola", "Bathraula", "Anovia", "Shindeia", "Santolina", "Chromothericleinae", "Lipochaeta", "Wallichia", "Tetrastigma", "Xamiatus", "Palpilongus", "Agarwalencyrtus", "Aesthetydeus", "Cogia", "Platydema", "Mecysmaucheniinae", "Ptisana", "Tenagogonus", "Esquamulidae", "Brontini", "Baikalia", "Skyloniidae", "Descarpentriesia", "Parmulodes", "Gymnantheminae", "Neobythitinae", "Dinophyceae", "Gigantophasmatini", "Cercophonius", "Cardanus", "Zenopsis", "Mnaseas", "Oreonetides", "Eulabeornis", "Narnia", "Greenwayodendron", "Sciurinae", "Mesostylini", "Liberiana", "Phylidonyris", "Helichrysopsis", "Ophiostigma", "Clemmys", "Cerophagus", "Anthophagini", "Velleia", "Cremnomys", "Hyalascus", "Coresthetopsis", "Titanebo", "Cynisca", "Hemilobella", "Secondatia", "Graellsia", "Decebalus", "Pseudospondias", "Dienia", "Nudibranchia", "Fuscartona", "Bikonta", "Paleoleishmania", "Synchytriomycetes", "Laeocochlidinae", "Phrynosomatidae", "Gymnodamaeoidea", "Cryphia", "Gurleya", "Methana", "Lancinae", "Rosenblattia", "Olgamartynovia", "Lygaenocorinae", "Howarthia", "Cicer", "Paratergatis", "Leodamas", "Actogidiella", "Creania", "Dacnogenia", "Flagellata", "Alticolana", "Dyscritothamnus", "Trabisonoma", "Epagoge", "Hirsutapona", "Arabicodium", "Oxyameridae", "Paczoskia", "Sphaeromatidea", "Cryptophasa", "Rhorodes", "Keirophettus", "Hexagrammoidei", "Herviviricetes", "Cyanonephron", "Symplocarpus", "Gabriellinae", "Belontia", "Euglenaformis", "Nyctomys", "Stygninae", "Bocainella", "Meringa", "Neohodgsonia", "Scoresbyella", "Commatocerus", "Philydrella", "Glaucidium", "Paramblynotus", "Holcoperla", "Liphyrini", "Diatelium", "Faubelidae", "Scherffeliomycopsis", "Hellaserica", "Astictopterus", "Korshikoviella", "Stroemia", "Cordoliarus", "Peloconus", "Graciliariini", "Pseudotriaeris", "Longepi", "Apterygidae", "Plagiostachys", "Talitropsini", "Alaocybites", "Wandesia", "Sedoreovirinae", "Psiloscelis", "Agriotypus", "Phyllophryne", "Phitymophora", "Baeriida", "Utamphorophora", "Anzhengxia", "Fujimacia", "Chilara", "Hathliolophia", "Griswoldiinae", "Laccocenus", "Bodo", "Dalcerides", "Sigmomorphina", "Madecalobrathium", "Xenophyes", "Axyris", "Apoxyria", "Myostola", "Peipsidrilus", "Photinainae", "Kanabiceras", "Aegialomyia", "Ananteroides", "Stephanonycites", "Chamaesphecia", "Laryngosigma", "Stenichneumonopsis", "Mitsukurinidae", "Entella", "Fedrizzia", "Dorcasina", "Exocoetus", "Eggerthella", "Chersinellina", "Cubitanthus", "Trogoniformes", "Plectroglyphidodon", "Metaspathius", "Hemipogon", "Boopiidae", "Anomalinulla", "Atacamita", "Endonura", "Saccamminidae", "Axinoides", "Lycopodielloideae", "Artioceras", "Charcotia", "Desulfohalobium", "Hylurgini", "Glirinae", "Striolatus", "Vampyromorphida", "Abbottella", "Microvirgula", "Raputia", "Kaiika", "Myrmecoroides", "Soroveta", "Holasteridae", "Gelidibacter", "Meinertelloides", "Australinus", "Opamata", "Anchimongoma", "Signoretiini", "Thymallus", "Sinobryobia", "Nicobium", "Sigmocheir", "Armatimonadales", "Coronagathis", "Avestia", "Ramalodium", "Ophiomonas", "Smithopus", "Tanainae", "Pseudotinea", "Coudia", "Arcellina", "Hypsomyia", "Bagisarinae", "Chaenomugil", "Leptopius", "Australisine", "Pegoscapus", "Actibacter", "Trechosia", "Synbranchiformes", "Kopelates", "Saccharomycetaceae", "Thomasomyini", "Guidus", "Attelabinae", "Lysiostyles", "Stomechinidae", "Evaginogenida", "Baracidris", "Planaria", "Argynnaceae", "Cooloolidae", "Reduviidae", "Pleusymtes", "Orbitokathina", "Adalaria", "Mastigodryas", "Geotriidae", "Alpinimonas", "Symploce", "Postgaardia", "Proctotrupinae", "Satyrotaygetis", "Winterschmidtiinae", "Desulfosporosinus", "Arachnanthus", "Latochrimnus", "Nishocoris", "Steigerina", "Pentalinoninae", "Athysanini", "Dryocosmus", "Rhamphocottidae", "Oreophoetini", "Acrodipsas", "Microlomaptera", "Cheilophyllum", "Pachyuromys", "Gnathospinosa", "Prostominiinae", "Haplormosia", "Glandicephalus", "Zwicknia", "Oligoflexus", "Temnothorax", "Crypticini", "Bryconaethiops", "Orthopolia", "Phaneropterinae", "Streptoprocne", "Escobedia", "Tetragnatha", "Chondrillida", "Andinophryne", "Neoeponides", "Horsfieldia", "Eosanthe", "Canterburyellidae", "Horvathiella", "Ethadophis", "Callithrichinae", "Silvanidae", "Magna", "Indecentia", "Deroploini", "Qiangopatrobus", "Emcephalus", "Pandemis", "Allophlebia", "Bafutyphlus", "Rhytidium", "Fucophilus", "Lawreya", "Neophilopterus", "Merodontini", "Termella", "Carinotetraodon", "Ceriomicrodon", "Aphelochaeta", "Tubiferidae", "Cerapterus", "Mesogammaridae", "Esperiopsidae", "Verneuilinina", "Heteropelma", "Hyachelia", "Compactozetes", "Diaptomus", "Limnochromini", "Aljassa", "Nosa", "Eubaphe", "Archaeolemur", "Criconematidae", "Anisocoris", "Neocheritra", "Euchroea", "Pyraustomorpha", "Thermistis", "Ngirhaphium", "Geryonia", "Sittiflor", "Melibaeopsis", "Diaperini", "Conodontophorida", "Cleptodiscus", "Austrocyphon", "Astrocladus", "Homia", "Termitopsenius", "Trapezoritis", "Hepialidae", "Ypresiomyrma", "Parabathyberthella", "Prinassus", "Rhepoxynius", "Caicarostreptus", "Selaroides", "Cleisostoma", "Coptodonini", "Thoron", "Bolbothyreus", "CEPB", "Megastylus", "Haleomyces", "Schizopetaleae", "Alienopteridae", "Edhazardia", "Lentalius", "Hampsonella", "Poseidonamicus", "Coiba", "Ungulatella", "Subiziphya", "Pratochloa", "Scalithrium", "Marpesia", "Octomacrum", "Dercas", "Astrapogon", "Scyracepon", "Chichester", "Peradeniidae", "Tholerini", "Pseudocamptobrochis", "Pingellus", "Prosopocera", "Simiskina", "Elphidiidae", "Timea", "Aerugoamnis", "Trichopolydesmidae", "Xyrena", "Paranthozela", "Zeuxine", "Laniisoma", "Chuchlinidae", "Silurana", "Hahnia", "Arthrotomoidellus", "Cyphoderia", "Anthracothecium", "Galenatelura", "Cepora", "Multispirina", "Pachypanchax", "Agassa", "Etrumeicotyle", "Problepsis", "Hodometricinae", "Ruptobothrium", "Ditropidella", "Wanaea", "Spathiostemon", "Eldaaspis", "Philopotamoidea", "Stomis", "Alcelaphinae", "Abascantodes", "Falcitornoceras", "Ceramonematidae", "Pasma", "Tapes", "Laocoon", "Boivinellinae", "Caloglyphini", "Dooabia", "Gnathophis", "Bolbula", "Microtrema", "Jenibuntorini", "Xenoligea", "Monothela", "Pacificovelia", "Gongylotaxis", "Hypsiforma", "Mateuellus", "Iphigenella", "Spathebothriidea", "Uldanamia", "Trichoboscis", "Bathyvermilia", "Sematurinae", "Notostilbops", "Anambulyx", "Neomeris", "Nematoceromyces", "Stagodontidae", "Gonodera", "Conocephalum", "Elicinae", "Atelopteryx", "Chrysopeleia", "Eucolpocephalum", "Moritella", "Alsia", "Bryohumbertia", "Monitus", "Nowakowskiella", "Diaminobutyricimonas", "Otitoma", "Leptoderiana", "Cryptochordinae", "Cubitostrea", "Megenicocephalus", "Myrabolia", "Ischnocolinae", "Bulbocephala", "Thaelia", "Veissella", "Wingertshellicus", "Cauarana", "Coriobacteriaceae", "Philocryptica", "Kaiwhekea", "Niquirana", "Curassanthura", "Colpodes", "Tylodinus", "Aphrosaurus", "Loyola", "Perlamantinae", "Sidotheca", "Leontodon", "Toxorhynchitini", "Taxicnemis", "Pseudofusulinella", "Tripyloidina", "Myrmecopterina", "Cyrtomenus", "Scambopus", "Ecpleopus", "Sarcopyramis", "Nienna", "Pasaphylla", "Erycibe", "Ditomoptera", "Rhinophthalmus", "Curculionina", "Spongoliva", "Scyphostegieae", "Glaphyrymenia", "Kalchdigor", "Sphaerolichidae", "Rufodorsia", "Polioptilidae", "Helicoradomenia", "Evaniidae", "Westcottia", "Typhlotanaoides", "Agathiphagidae", "Masarina", "Barrosoa", "Halenia", "Caesarodispus", "Philipsalta", "Caprettia", "Lamotialnini", "Mesasiobia", "Protaphorura", "Salgohygia", "Marinicauda", "Nycteroletorida", "Ambulocetus", "Guianerius", "Axoclinus", "Taphurini", "Cocalus", "Heteropectinoidea", "Rigidomastix", "Montanoinae", "Cornufer", "Vipiellus", "Goyocephala", "Indohormius", "Pseudisobrachium", "Chimaeridae", "Apocepon", "Eurytomidae", "Decarya", "Lyctinae", "Luciocephalinae", "Hoplopagrus", "Pterocomma", "Subulatomonas", "Arenosclera", "Casselieae", "Simpsonichthys", "Rhodophysemataceae", "Coryssocnemis", "Strongylurus", "Dacunju", "Adriaphaenops", "Aliiglaciecola", "Motleyia", "Scuticociliatia", "Cystomastacoides", "Udeocorini", "Ceratocombus", "Acanthococcus", "Centrobolus", "Methylothermaceae", "Chthoniidae", "Tschetwerikovia", "Phaselicystidaceae", "Glomeropitcairnia", "Hidripa", "Scutellospora", "Ovonotus", "Jansongora", "Spinicirrus", "Tectovalopsis", "Coenura", "Assara", "Telephata", "Decachorda", "Neohomaloptera", "Leptodora", "Biwia", "Elopomorpha", "Anamixis", "Cynarospermum", "Pterourus", "Brachychthoniidae", "Schwarzerium", "Raabella", "Macrocerococcus", "Hypocaccus", "Cristenes", "Fibulariidae", "Travisiidae", "Kakumia", "Marmoritis", "Graciella", "Echinopsolus", "Chapalichthys", "Distichocerini", "Trimerorhachidae", "Dolicaonina", "Megatyphlus", "Ijimadictyum", "Thoracicalcarea", "Bugabacoris", "Capreolus", "Leuctridae", "Chalcochrous", "Neogene", "Pseudomenini", "Montesauria", "Protantigius", "Poraniidae", "Afrothreutes", "Epicyliosoma", "Microdesmis", "Saltagenes", "Alaia", "Regius", "Hodomys", "Flavonifractor", "Stigmosphaerostylus", "Solenotichus", "Gravatamberus", "Paralimnophila", "Matangapis", "Rivula", "Altigius", "Javra", "Callistocythere", "Priocnemini", "Emplectonematidae", "Tortuella", "Pseudoperotina", "Noumeaptera", "Callicopris", "Nicollodiscus", "Medusandraceae", "Melnykvirinae", "Cichlasoma", "Phenilia", "Galearis", "Notogmocerus", "Evansolaelaps", "Pangacarus", "Pimpinella", "Micropacha", "Phuphania", "Lichenobactridium", "Phyllodesmium", "Artioceratoides", "Gyrocotyle", "Arthrospira", "Tarbertia", "Miroceramia", "Stichopus", "Acrotomus", "Neotomini", "Eotomarioidea", "Podolasia", "Equetus", "Pseudoamblyteles", "Trochanteriinae", "Arripis", "Cylapocoris", "Dolganosteus", "Apatetorides", "Piezogenista", "Parascorpaena", "Candezea", "Gigantea", "Chikatunolepta", "Ancistrocladaceae", "Cordyceps", "ICSTZM", "Polydora", "Involucrella", "Aphilodontidae", "Cyclotorna", "Australomicrodeutopus", "Grallinidae", "Pseudopopoudina", "Eupristocerus", "Baltichaitophorinae", "Connithorax", "Coilodera", "Ichthiacridini", "Eckfeldattagenus", "Conocephalomima", "Uarthrus", "Nuegua", "Ruptiliocarpon", "Helotidae", "Yaetakaria", "Letharia", "Hypsidracon", "Sesarmidae", "Thiohalocapsa", "Androzelma", "Halomonas", "Hydroptilidae", "Helicosolenus", "Parischnolea", "Hoplitoides", "Pentariini", "Apsilochorema", "Hyaliodocoris", "Homalocnemis", "Oithonida", "Entoloma", "Mesonychoteuthis", "Evaniodes", "Genioliparis", "Neomarica", "Polyprosthecobacterium", "Nemaliophycidae", "Neoeryssamena", "Xishanocarabus", "Coelacanthus", "Calephelis", "Pararhodobacter", "Eunidiella", "Nolidae", "Herennia", "Praechrysalidina", "Typhlodessus", "Dolba", "Allobremeria", "Dicarinoryctes", "Dissulfurimicrobium", "Melaminivora", "Phenasteron", "Thermogymnomonas", "Pododula", "Barycnemis", "Ulotrichaceae", "Panisopsis", "Odonteini", "Gymnomitriaceae", "Tentaculata", "Ortygospiza", "Ricinoididae", "Raphirhynchus", "Hemiaulaceae", "Actinostachys", "Curimus", "Ransomnematoidea", "Antonieae", "Proichthydium", "Gemmula", "Paradiexia", "Kockovaella", "Hednotodes", "Irritator", "Moraguesia", "Reissmesa", "Neomys", "Biwadrilus", "Monaphidina", "Ereminellus", "Guiraoa", "Ametadoria", "Siphocodon", "IBAUNC", "Melanesiandra", "Lesueurigobius", "Listrada", "Vestistiloides", "Scarabaeidae", "Techmessa", "Pityogenes", "Negeta", "Scutellerinae", "Hemipristicola", "Odontophorella", "Allograpta", "Callibracon", "Pylaiella", "Praereinholdellinae", "Chilelimnophila", "Dracophilus", "Conorete", "Mirascapha", "Hexablemma", "Endelomorphus", "Braunsiomyia", "Halopteris", "Hexalonche", "Chalcophaps", "Microctenochira", "Peroniceratinae", "Oulema", "Eudoxiatopoplana", "Elosa", "Afromyrma", "Tremex", "Gleicheniaceae", "Catenellopsidaceae", "Heterocopus", "Jubula", "Grynia", "Myxinomorphi", "Dendroaeschna", "Stephanodiscaceae", "Dryaderces", "Tonton", "Retusigaster", "Poecilophana", "Glinus", "Typhlozethodes", "Hemicyclammina", "Chiqua", "Pselaphomorphus", "Palaeoforda", "Taurablepton", "Eoargiolestes", "Penthaleus", "Mora", "Agnatha", "Bahita", "Spiroplectamminina", "Zapoteca", "Cupheanthus", "Merrilliopanax", "Brachauchenius", "Lithoxus", "Parapterygotrigla", "Niphona", "Spinacleris", "Ginema", "Aspicera", "Zetorchestidae", "Salebria", "Leuciscinae", "Anoplogynopsis", "Malkinia", "Calloseris", "Xylosandrus", "Duriopsis", "Leiboldiinae", "Pseudericthonius", "Blacodatus", "Masnerolyta", "Philiodoron", "Paradesmanthus", "Dinopteroides", "Tachyusa", "Micropygidae", "Viciria", "Isalomyia", "Ormopterum", "Paressisus", "Stephanoteuthis", "Keckiella", "Ctenomaeus", "Dethiosulfatarculus", "Aka", "Ebodina", "Colotois", "Pambolus", "Rosenvingea", "Demerinda", "Diaeus", "Macrolygus", "Oblivia", "Protosphaeroma", "Campylosteira", "Krieglsteinera", "Euryloxa", "Herpystostena", "Chaoborus", "Singula", "Micrommation", "Hedeia", "Sphaeriolinus", "Placiphorina", "Pherosphaera", "Bolbella", "Micraloa", "Pansomonadida", "Laryngodus", "Hesperus", "Davusia", "Rustica", "Pilumninae", "Athrotaxidoideae", "Anystae", "Harveyella", "Ophidocampa", "Thioprofundum", "Euplectamecia", "Loranthophycus", "Austroperla", "Syncosmetus", "Gonactiniidae", "Protoparmelia", "Rapaza", "Brachyphoderes", "Gymnorhynchoidea", "Callichthyinae", "Paniceae", "Soligena", "Sphecius", "Phaulacantha", "Elmini", "Bessoniellini", "Namirea", "Helvetia", "Tetragonotheca", "Santanmantidae", "Datomicra", "Afrodorylaiminae", "Anvillea", "Martyniaceae", "Hauttecoeuriinae", "Parhydraenida", "Chlamydophytum", "Harrisinopsis", "Celidosoma", "Pterogonidium", "Neoleptacinus", "Tomentella", "Vibiliidae", "Spirillinida", "Chondridiosipalia", "Vizcayinae", "Paradicoides", "Cuniculobracon", "Lauromacromia", "Orthotrichiini", "Tenuipalpidae", "Phthinia", "Trabeculus", "Tacinga", "Trypanoplasmoides", "Chutapha", "Anisocentropodinae", "Sartoriana", "Dimacrocolus", "Macropes", "Climacidium", "Varnado", "Neococcolithes", "Pontoporia", "Ochthebius", "Nevaphis", "Umbelopsis", "Nicippe", "Calliodina", "Aramidae", "Sinosoronia", "Zatypota", "Tomopteropsis", "Vickibella", "Ariopsis", "Lepiceroidea", "Anchistea", "Prognathodon", "Amphelissoeme", "Kylicanthe", "Tenupedunculus", "Speleobama", "Hagenius", "Limenavis", "Cystofilobasidiales", "Pleuromeiales", "Podonomius", "Eurodotina", "Synagelini", "Eopangonius", "Ortalis", "Frondiporidae", "Cryptomys", "Mesopserini", "Aphanurinae", "Antarcticola", "Sympoventuriaceae", "Aglossosia", "Apatesia", "Tachyporinae", "Pateramycetaceae", "Nogodinidae", "Limoniinae", "Trachythyone", "Halecium", "Flatbergiaceae", "Canga", "Madagasichneumon", "Panchaetothrips", "Rhynchophorini", "Totoaba", "Notonesiotes", "Thalassotrechus", "Zelandothorax", "Axea", "Tanabnormia", "Alistilus", "Azaxia", "Atychodracon", "Cnidoscolus", "Librita", "Noeetomima", "Allognathini", "Boreohydridae", "Tylenchidae", "Liquidambar", "Pyrgillus", "Satyrium", "Hoplorida", "Lophocladia", "Cylindrotomidae", "Multicalycidae", "Siebera", "Bathybythus", "Leptostylochus", "Mimaenictus", "Xanthoanaptychia", "Microzaena", "Cromerus", "Tympanota", "Archiphora", "Rotadiscinae", "Colinatydidae", "Scaphochlamys", "Coelindroma", "Catantops", "Microcambevinae", "Speotarus", "Nesotaxila", "Toxopneustes", "Arrenuroidea", "Bistonini", "Atolmis", "Gymnostinops", "Westerdykella", "Orlaya", "Autocrates", "Cryomorphaceae", "Nabinae", "Exotidendriidae", "Otopappus", "Apicomplexa", "Manica", "Calamaria", "Cryptoheros", "Physcosporidium", "Stegotricha", "Meropoecus", "Helcomyzidae", "Accordiella", "Molybditis", "Galleriinae", "Cyclohemipsocus", "Plagiobasis", "Dysmilichia", "Oculolabrus", "Mimopinophilus", "Resaniinae", "Malacomorpha", "Coremacera", "Giesbertiolus", "Gastrodiscoides", "Jordanella", "Acutosiphon", "Edaphonobiotus", "Oeocharis", "Brackenphiloscia", "Subpsaltria", "Retronectes", "Perucola", "Caulerpa", "Mullerochloa", "Kondoleus", "Cytheretta", "Tortricosia", "Caryonosuchus", "Randominta", "Styxosaurus", "Calmasuchus", "Trimeroptes", "Aegisuchus", "Gymnogaster", "Ottavianus", "Arganodontidae", "Cerocephala", "Balbera", "Polynucleobacter", "Anachyra", "Cyloma", "Pararhodospirillum", "Mimolasiocercis", "Allochromis", "Oeneis", "Ochthebiinae", "Lucasium", "Tuberculosybra", "Haroldaphodius", "Dalbergieae", "Eupromachus", "Methylococcaceae", "Piezarthrus", "Erinaceomorpha", "Eurostoptinus", "Himertosoma", "Olgiidae", "Colynthaea", "Sorellembiidae", "Amyotea", "Poeciloneta", "Alveolinoidea", "Uncinotarsus", "Pterophorus", "Silicoflagellatae", "Chlorokardion", "Clytomelegena", "Blaudusinae", "Notohypsilophodon", "Phyllocacteae", "Oosoma", "Etiennea", "Mioceratodus", "Reichelinella", "Bergendalia", "Dionchus", "Msangia", "Coccipolipus", "Rhombophryne", "Albula", "Bisulcocythere", "Anteos", "Bathymyrus", "Varicellinae", "Axymyia", "Ocnophilini", "Schinziella", "Pseudoisochrysis", "Physeomorpha", "Heterophrys", "Grallatotanais", "Cyclocoelidae", "Hoffmannia", "Monoblepharis", "Pliosauridae", "Bahianotubus", "Cirrhitichthys", "Phrynophiurida", "Peleopodidae", "Ellobius", "Begumia", "Electrocornia", "Toxostoma", "Tripterosporella", "Protagonista", "Tugarinovia", "Votum", "Vesper", "Hypsolebias", "Opegraphaceae", "Metaceradocus", "Inuda", "Korgella", "Carpha", "Dichoropetalum", "Varsoviellinae", "Stilbocistela", "Frieleia", "Cryptina", "Helioporidae", "Erotinae", "Omias", "Coralliozetus", "Plesiochrysa", "Oreotrogus", "Oxystoma", "Erythrostachys", "Niponostenostola", "Paracardicoloides", "Tachycines", "Rauhocereus", "Dichosciadium", "Athyrma", "Atrypsiastis", "Amata", "Oplopomops", "Leiorreuma", "Polycladomyces", "Homalopoma", "Hemilophini", "Euschaefferia", "Blepharhymenus", "Paraembolides", "Macairea", "Eldredgeops", "Noalda", "Pachyhynobius", "Auroriidae", "Eutomostethus", "Petissius", "Grypotina", "Nolletia", "Mesocrista", "Paraneodryinus", "Meristocotylidae", "Canarischema", "Attaleinae", "Trogastrina", "Porobius", "Womersleymeria", "Rhagadostoma", "Tajikina", "Barrosia", "Nannotanyderus", "Cetoconcha", "Billibathynella", "Lonsdalea", "Pleuronema", "Elegia", "Iodamoeba", "Mimohyllisia", "Cydia", "Hyospathe", "Chiasmodon", "Acanthocasis", "Tylocephalum", "Aipysurus", "Henrietteeae", "Leucogyrophana", "Carinosella", "Trochospira", "Halobacteroidaceae", "Aichryson", "Agalba", "Hypothenemus", "Oryxis", "Dissemoplectus", "Limenitidini", "Echinocardium", "Synurales", "Oxypodinini", "Tsutsuia", "Scutigeridae", "Thelcticopis", "Gluphisia", "Peltophryne", "Doros", "Altholepidiformes", "Peltodoris", "Zoothamniidae", "Cyrilia", "Gyroidinoidinae", "Oleacinidae", "Pseudobiantes", "Syzraniidae", "Tricholomatoid", "Papillocepheus", "Aecidiconium", "Paelia", "Rophitinae", "Dismorphiinae", "Urechidae", "Amycolatopsis", "Ommatius", "Gillellus", "Neorhabdopsis", "Mecoptera", "Signoretiinae", "Chalcodryidae", "Microlinus", "Proteidae", "Erisphex", "Armidale", "Bythogenes", "Platambus", "Anellus", "Eurytaenia", "Schizotorenia", "Pyrrhargiolestes", "Potnia", "Rogersiomyces", "Abarema", "Copiocerini", "Apogonatopus", "Pseudoquadrigula", "Chlidanotini", "Mirivena", "Artiodactyla", "Luehdorfia", "Cercopoidea", "Laniferus", "Cantao", "Dendrocygna", "Berotingis", "Eriozancla", "Antiotricha", "Brueelia", "Phytocrene", "Pseudogalleria", "Paradisaeidae", "Exocarpocoris", "Pudicitia", "Bradaloria", "Taklamakania", "Opisthiini", "Moffatia", "Exoprosopinae", "Reginesus", "Bothriurus", "Afrorabigus", "Birmana", "Elenophorina", "Niisatochroma", "Platypodini", "Hebridelos", "Chlorocysta", "Plagiotomida", "Lamprobityle", "Pseudischnocampa", "Chlorophyta", "Hypocomella", "Prasinocladus", "Marionodes", "Falsotoclinius", "Plesiomyzon", "Phalacropterix", "Amatorculus", "Callocosmeta", "Crypturopodinae", "Chlorophthalmoidei", "Plagiopyla", "Thaumatoperla", "Comptonella", "Anisoporella", "Bambusicola", "Chariesthes", "Tachiniscinae", "Kerocaecilius", "Chilostomelloides", "Apateticus", "Bathylutichthys", "Stenonota", "Acroperus", "Orohippus", "Tetraodon", "Manicina", "Masdevallia", "Microdonia", "Ophiogymna", "Aphidiini", "Corallimorphidae", "Anoeconeossa", "Rhamphocottus", "Hemilamprops", "Hadenina", "Ledomyiina", "Globigerinina", "Baipsestis", "Alassodesmus", "Phemonopsis", "Arenysuchus", "Manicaria", "Chrysopsinae", "Nogalia", "Calliprora", "Acmaeops", "Lonicericola", "Chryseoglobus", "Scabioseae", "Strangospora", "Polyphalloplana", "Herrania", "Rhytidoporus", "Lipsothrix", "Piptoporus", "Chamaemyiidae", "Physetotoma", "Hemigraphaceae", "Mixosauridae", "Halioglobus", "Gunomeria", "Bergeriella", "Paraproteocephalus", "Myrmecia", "Vityaziella", "Cryphaeus", "Praepedaliodes", "Apetaenus", "Exaireta", "Decapodiformes", "Gelochelidon", "Leptoscelis", "Tineitella", "Cheroscorpaena", "Lips", "Dendrophilia", "Aphengoecus", "Mobiluncus", "Hommersandia", "Halosphaeraceae", "Monoporeia", "Athetini", "Geomys", "Brachyxiphini", "Diachus", "Matsutaroa", "Pycnothele", "Kuhitangiinae", "Carletonomys", "Ancyloceratina", "Rotomelita", "Ancyronychini", "Algimonas", "Sericomyrmex", "Tetrarhoptra", "Aldabrachelys", "Pelobiontida", "Biarmohymenidae", "Agathodesmus", "Apiomerus", "Cajalecanium", "Laserviricetes", "Cheiraster", "Habrophorini", "Questocrypta", "Cnesterodontini", "Pleurocryptella", "Pareromene", "Eremothamnus", "Syncope", "Alsenosmia", "Yasunahygia", "Ischnochitonina", "Parommidion", "Psilophycus", "Heynea", "Calliphara", "Woldstedtius", "Archipini", "Ophiomisidium", "Chimaeridris", "Lamyctopristus", "Pseudotoxoptera", "Goratelson", "Parergodrilus", "Lamponinae", "Cleoceris", "Pseudatheta", "Lampyridae", "Platytheca", "Lanchnophorus", "Trichiuridae", "Halovivax", "Angulorostrum", "Paranthrenella", "Entomorphinoides", "Cheloniidae", "Ophioceraceae", "Juliinae", "Perigune", "Ledebouriella", "Oplonaeschna", "Monopibaltia", "Erecinae", "Scepanotrocha", "Adenochlaena", "Pseudoclavibacter", "Parena", "Basipodellidae", "Alloxycorynus", "Aulactinia", "Macrocranion", "Isolopha", "Centrovarioplana", "Aplastini", "Nepiesta", "Polydactylus", "Opertorbitolitinae", "Sinostrangalis", "Pseudodiclidophora", "Sphaeroceratidae", "Anomaloglossus", "Promecognathinae", "Anteaeolidiella", "Turlina", "Aureococcus", "Porichthys", "Cystotheca", "Haplanthodes", "Scopalinidae", "Psepholacini", "Maloides", "Furnishina", "Macarophaeus", "Papulaphis", "Xinjiangsha", "Weddellinoideae", "Panthauma", "Melaniellaceae", "Kuhlia", "Kaveinga", "Nioella", "Ceylonosticta", "Ovavesiculidae", "Cylindrocapsopsis", "Anedhella", "Hapactorrhynchus", "Delthyrididae", "Montanineta", "Aglaodorum", "Calkinsia", "Kilauella", "Microconidiobolus", "Tuilica", "Macronyx", "Calocera", "Moricandia", "Malayopsebium", "Harpanthaceae", "Sunesta", "Takapsestis", "Zelotinae", "Petrocallis", "Neogoniolithoideae", "Xynotropis", "Cryptoglena", "Ned", "Gastrodiinae", "Cytididae", "Dendronema", "Barygnathus", "Eriogonum", "Stypandra", "Calada", "Volkartia", "Cylas", "Neosarmydus", "Herculia", "Argyrogrammana", "Galeoides", "Hydrosalpingidae", "Jola", "Allogalathea", "Cannomois", "Taperinha", "Carpinus", "Phyllobacteriaceae", "Exepimelitta", "Parvularculaceae", "Cyphodemidea", "Mandragoreae", "Pneumocoptidae", "Afromelitta", "Petalomera", "Lablab", "Polypsocini", "Stenotyphlops", "Chevreuxiopsis", "Speleorodens", "Tanystoma", "Brithysternum", "Fergusonix", "Doodia", "Megaperinae", "Oemophanes", "Watuwila", "Malayanomolorchus", "Heterothripidae", "Hypocoliidae", "Dipsacoideae", "Motilibacter", "Australeuma", "Siobla", "Phytotelmatrichis", "Sporotomaculum", "Alonella", "Ambulobdella", "Xestoleptura", "Nihoa", "Aglaomelissa", "Microrhynchus", "Clausognathiidae", "Prionoceratinae", "Lambinonia", "Cochlostomatinae", "Lonicera", "Scirtetes", "Pruvostitidae", "Pseudoxyptilus", "Metoponiinae", "Arcofacies", "Pseudoboa", "Naiadita", "Colpopyga", "Aurichona", "Morenosaurus", "Termitotelus", "Platyocaecilius", "Pseudotriakis", "Chamerion", "Trigonospora", "Tydessa", "Bythaelurus", "Oxychloe", "Nesopsebium", "Oncomeris", "Chlorochromodes", "Titanogrypa", "Newelskoia", "Kolonibidion", "Ipomoeeae", "Spartaeinae", "Ceratophryidae", "Dipsaconia", "Eucharia", "Sathrobrota", "Conoaxima", "Pleurisanthes", "Lithophyllum", "Nannomacer", "Caesionidae", "Corizidolon", "Mucha", "Phaeogymnocellida", "Cetorhinicola", "Zoniopoda", "Marmylaris", "Cephalostichus", "Oedicephalini", "Griselinia", "Eremocrinum", "Naropina", "Pseudariotus", "Niphocepheus", "Spatalistis", "Rhopaloscelis", "Tapuruia", "Yarravia", "Leptomyxa", "Chasmoptera", "Linkenchelys", "Helotorus", "Sinophasma", "Callosa", "Tyleropappus", "Calliscelio", "Dysphanieae", "Rhytidodus", "Neoglaphyrites", "Uperoleia", "Neomonolepis", "Uroseius", "Cavicella", "Cupuladriidae", "Myliobatidae", "Gallardoneris", "Dasypogoninae", "Heterobranchia", "Cyrtogenius", "Polytremariidae", "Aulastraeoporidae", "Notonaia", "Coeloplana", "Chirosoides", "Leptophis", "Imirini", "Ecballodictyon", "Robinsonelliana", "Reduviinae", "Pseudosesia", "Eudolichotis", "Orthotelia", "Conorbinidae", "Ornatilinea", "Gyrinoidea", "Terepeltopes", "Sibynophiinae", "Eremichthys", "Gracilanja", "Octozethus", "Saccharopolyspora", "Travassiella", "Tectona", "Paramphilochus", "Vermaia", "Diploneidineae", "Amphithyrus", "Gadilininae", "Aptenocanthon", "Eratocrinus", "Vansonima", "Xerophyllum", "Parocyusa", "Niwaella", "Phyllobrostis", "Leptomydinae", "Pterobates", "Virididentex", "Hanikraia", "Stemonyphantes", "Scolopendromorpha", "Muscicapa", "Thyridariaceae", "Trichodactyloidea", "Microrhinus", "Nemum", "Stemonyphantinae", "Semiotus", "Barguzinia", "Micrelytrini", "Chloronana", "Liaoximordellidae", "Glyptomorpha", "Hinterhuberinae", "Reicheiina", "Rhynchoferella", "Isonebula", "Kempendajinae", "Stenzeloceras", "Presibylla", "Polystomellaceae", "Cetradonia", "Clypeolabus", "Horridocalia", "Ravniella", "Hottentotta", "Betulaphis", "Pterovianaida", "Platycyon", "Caryotoma", "Ego", "Befrostia", "Parapielus", "Matricaria", "Gasteruptiinae", "Heteropecten", "Frisonia", "Staurotypinae", "Scleraulophurus", "Asarcenchelys", "Parallaxis", "Penthides", "Pooideae", "Zenagraphus", "Matidus", "Terametus", "Ornduffia", "Nemertea", "Kermania", "Lignocarpa", "Urnisina", "Vochysia", "Gastrophacodes", "Callipepla", "Geoffreya", "Eoanemia", "Astronotinae", "Sommeromys", "Monosyntaxis", "Heteristius", "Vuilletia", "Schoeneae", "Riccardoellinae", "Podonectriaceae", "Aegidiini", "Eurysaurus", "Ecitana", "Eczemotellus", "Metapterygota", "Taraxella", "Pamexis", "Elachistelmis", "Methanocaldococcaceae", "Rhipidiales", "Paleogaudryina", "Pterospoda", "Heteroscarus", "Dresslerella", "Unenlagiinae", "Acratocnus", "Rhynchosporeae", "Eustemmus", "Granulhepomidion", "Anadyomenaceae", "Centistini", "Caloplaca", "Metacorneolabium", "Glaphyrammina", "Rukia", "Diramus", "Xanthopsoroma", "Parasylviodes", "Bostrychia", "Ichthyodectidae", "Grevillia", "Myrmecomorba", "Itatsina", "Murininae", "Dasyrhicnoessa", "Discestra", "Polyides", "Hinogammina", "Platynocephalus", "Mechanicus", "Simesia", "Uzza", "Ophiothela", "Treubiites", "Drimia", "Cerylambus", "Dercetina", "Pseudomyrmecinae", "Adamanthea", "Relictogammarus", "Austrocylindropuntia", "Dactylosoma", "Sugrames", "Paralechia", "Planityphlus", "Carnus", "Dasylophus", "Acinopus", "Styphnolobium", "Bactrurus", "Roynortonia", "Paracholula", "Ocellomma", "Speusippas", "Echthrus", "Anatherostipa", "Meleoma", "Endeidae", "Syncalypta", "Dinaspis", "Clyzomedus", "Botryocrinidae", "Netrostoma", "Platycrater", "Methanomicrobium", "Acokanthera", "Vestia", "Cleistothrips", "Alsodes", "Eothemis", "Saccolomataceae", "Bolinidae", "Phenganax", "Quadrictonus", "Luticola", "Chileria", "Raffenaldia", "Scobina", "Fabomonas", "Diphycerini", "Sisyra", "UMZC", "Lethrinidae", "Cryptopimpla", "Calyptorete", "Ammonitina", "Metrocorini", "Baloghianestes", "Trafana", "Cladophoropsis", "Callicoma", "Nematopaguroides", "Africepheia", "Cystobasidiomycetes", "Pseudothericleini", "Thryogenes", "Berastagia", "Didactyliina", "Strotocera", "Lackeya", "Chrysoclonium", "Cribroconica", "Lycapsinae", "Phyllostomus", "Serratocallis", "Eulemur", "Melinnata", "Agnesiotis", "Duploperaclistus", "Saccogaster", "Pseudotaenia", "Micrutalini", "Dolichorrhiza", "Polyacanthode", "Nesoclimacias", "Protosciaena", "Lyraphora", "Dalmanitoidea", "Dichromanthus", "Lithargyrus", "Ochreriades", "Acanthobodilus", "Volutomitridae", "Rozellomyceta", "Peregrinus", "Chapulobunus", "Rhinebothriidae", "Pleogyne", "Eumara", "Schizodentalium", "Kolopsis", "Archaeopsyllini", "Blastocerus", "Ruatara", "Bujurquina", "Chenopodiopsis", "Reophacella", "Eimeriorina", "Yumachrysa", "Octopodorhabdus", "Acnodon", "Garovaglia", "Paratrichocladius", "Elpidiidae", "Tuckerellidae", "Gaesischia", "Damas", "Atlascopcosaurus", "Vespertilioninae", "Fockea", "Spatulophorus", "Urolitus", "Thioreductor", "Kazachstania", "Holocerina", "Rodaucea", "Nonfurcata", "Bombyliidae", "Pithonella", "Eolepidopterigoidea", "Dimorphosciadium", "Dermacoccus", "Neogovea", "Ectagela", "Phaedinus", "Signiphoridae", "Tapiroidea", "Enotoschema", "Stricklandiana", "Camptogenys", "Oochoristica", "Nakaseomyces", "Gammaropisa", "Pinguipes", "Calmanostraca", "X-cells", "Panamomops", "Condalia", "Amphisphaeriales", "Galeolaria", "Epidapus", "Elasmocnema", "Mindivirales", "Neobuelliellaceae", "Theorema", "Eubacteria", "Morabini", "Paramartyria", "Morebilinae", "Linguliformea", "Bathymedon", "Meripilaceae", "Callimantis", "Acanthoclinus", "Pseudotriceratium", "Metallyticidae", "Peritrochia", "Hyadina", "Trichophoxus", "Hermonassa", "Eusomatus", "Scleronycteris", "Woessia", "Scirpoides", "Retesporangicus", "Phylloxeridae", "Nanoglossa", "Psophia", "Chyptodes", "Yoshiakioclytus", "Scolioplatypisalia", "Spathicarpeae", "Cuervea", "Liaoningnema", "Lexovisaurus", "Pseudopatellinella", "Ceriomydas", "Sinodiaptomus", "Richea", "Lagetta", "Dermechinus", "Dyakinodes", "Matelea", "Psocites", "Chonopla", "Tesnus", "Chondrodesmus", "Dracontioides", "Bdellodrilidae", "Afrocerberus", "Mormyridae", "Melaps", "Normaninidae", "Cladostigma", "Monosiphon", "Halobacillus", "Falcunia", "Kailasha", "Phonorhynchoidinae", "Cryphocricos", "Vanzosaura", "Ptelea", "Shelforditinae", "Taphrosaurus", "Batrachorhina", "Pseudotachidiidae", "Rhyparothesus", "Bicavella", "Haglundina", "Sphaerista", "Megalostomis", "Patrizianella", "Tolypella", "Acaenitinae", "Austrazyras", "Celaenephes", "Cosmogastrusa", "Antennophorina", "Cheirocratus", "Eucestoplana", "Afroagathidium", "Lamellodiscus", "Helianthinae", "Stygiomysidae", "Tetrias", "Gnesion", "Siphonoperla", "Torodorinae", "Tolypammina", "Paratus", "Notioseus", "Platyeriocheir", "Kuntzeomyces", "Phavaraea", "Schochia", "Dingensia", "Heronidrilus", "Zygantroplana", "Xenocylapus", "Imbrius", "Spartacus", "Trichoclinocera", "Pterotricha", "Rhabdonella", "Myriocladus", "Anacampseros", "Sclerodisca", "Plega", "Croyites", "Centrarchoidei", "Pseudidmoneidae", "Labidesthes", "Nematolepis", "Tropheus", "Phaeodactylineae", "Laophontidae", "Thamnophilida", "Trichopiezia", "Ibericancridae", "Argema", "Taliniella", "Cautinia", "Syntomidopsis", "Hypna", "Nakicola", "Nycticeiini", "Gillbeea", "Thamnogalla", "Subrinus", "Patagonaspides", "Apostasioideae", "Euliini", "Pseudogaurax", "Notiomerinx", "Phryganellidae", "Eryngiofaga", "Mimodromius", "Bittacomorphella", "Trichillurges", "Limnodromus", "Dytaster", "Exulmus", "Choeradodinae", "Maihuenia", "Peloribates", "Clitocybe", "Archirhizidae", "Mahella", "Microspora", "Neuquenraptor", "Histophilus", "Discamminoides", "Delgamma", "Farfantepenaeus", "Grimpoteuthididae", "Diplachne", "Pattersonellidae", "Regaliidae", "Globotruncanidae", "Acanthometridae", "Ectopoides", "Persicitalea", "Rousso\u00eblla", "Microphorinae", "Astroviridae", "Maemonstrilla", "Sycute", "Pentacerotidae", "Monacha", "Ailurus", "Barroisiceratinae", "Sleumerodendron", "Anomochloa", "Ablabesmyia", "Goephanomimus", "Stylopidae", "Paraphilaster", "Hyacinthoides", "Baeorhynchodes", "Acritelater", "Podosphaera", "Cryphiops", "Placopsilinidae", "Oleacinoidei", "Coptops", "Paranectriella", "Rohtee", "Thamnophryne", "Sericostomatidae", "Guira", "Cryptocelis", "Ovealmbornia", "Propira", "Calamoideae", "Bullita", "Archibaldia", "Zelandotipula", "Anisolinus", "Eocalocoris", "Symmocinae", "Albuna", "Riellaceae", "Campsomeris", "Delinini", "Andycestus", "Reinmara", "Craspidospermum", "Serratotyphlus", "Leptolaimoidea", "Mesocestoididae", "Ectinoderini", "Tmesisternini", "Palaeotinea", "Hapsomelitae", "Cephetola", "Macrostelia", "Hovala", "Photuris", "Meganthracophora", "Mamelia", "Dichazothece", "Olinia", "Indotestudo", "Euscenium", "Syzrania", "Taiomidae", "Lamprothamnus", "Cryptosoma", "Bombus", "Allothunnus", "Labyrintha", "Lycophidion", "Planomonospora", "Phloeostichidae", "Macrochilo", "Hydrogenivirga", "Segnosaurus", "Hymenocephalus", "Toka", "Oroclita", "Lachnotalea", "Heteroconops", "Actinocoryne", "Phitryonus", "Pylopaguropsis", "Ischnobracon", "Microparasellus", "Choanephoraceae", "Australobius", "Hawaiiandra", "Tabascotrema", "Kenyoeme", "Sandersonella", "Cesonium", "Metastachydium", "Eidophelus", "Cuspidevia", "Leptonetidae", "Glaucotes", "Solibacter", "Elachertus", "Parthenoserica", "Dinomischus", "Peraeospinosus", "Palmariaceae", "Chamaethamnion", "Temnolamia", "Berdeniella", "Allosorius", "Heteromarginatus", "Chattonellaceae", "Parkiana", "Zetoborinae", "UWIZM", "Spiophanicolidae", "Notolestus", "Bathylasma", "Eocalliostoma", "Angustachilus", "Entypoma", "Leucaspis", "Aromatoleum", "Strempeliopsis", "Megazar", "Heminodus", "Proamblia", "Nemoura", "Tubicinellinae", "Schlechtendalia", "Liotiidae", "Pasaccardoa", "Neocaledonopsis", "Nandus", "Cressonini", "Bellamyina", "Euglyphida", "Neorileyella", "Halobellus", "Phragmidium", "Dischides", "Sternaspis", "Ionaspis", "Chelyopsocus", "Phaenocarpa", "Arcanobisium", "Pseudopaederus", "Blediotrogus", "Myelochroa", "Arenivaga", "Forania", "Scarabaeiformia", "Exairetina", "Phaeomoniellaceae", "Deliathis", "Kunzea", "Benhamiinae", "Ektonodiastylis", "Dioptini", "Cyclea", "Araschnia", "Opalinata", "Sulfurisoma", "Cycnia", "Chattertonodus", "Oxytettigella", "Usanus", "Guentherus", "Lithochromus", "Rentonium", "Batoxylomorpha", "Talegalla", "Puellina", "Phaeochrous", "Haplomydas", "Glaucis", "Paralacydes", "Entomacrodus", "Pholoe", "Lepechinella", "Diaclina", "Prothemenops", "Phoebodontiformes", "Proconsulinae", "Lasiotrichius", "Trabisodema", "Callioplana", "Ruttellerona", "Chlorostilbon", "Ceramioideae", "Diglotta", "Syrichthomorphus", "Eudaphisia", "Cercopithecoidea", "Tetamauara", "Hannara", "Ommatoiulus", "Ancilibracon", "Noasaurus", "Cyrtonychochaeta", "Trilepisium", "Sheardella", "Gregoriidae", "Oxynaspis", "Therevidae", "Cylichnania", "Acropterygia", "Duttaphrynus", "Parastylochus", "Homalomitrinae", "Hasora", "Blechnidium", "Anomalginae", "Magniaculeus", "Membraneis", "Wenyingia", "Koanophyllon", "Nothodactylaria", "Orosphaera", "Coronocyclus", "Pelochares", "Australocoris", "Helicolepidininae", "Oocystella", "Coptocatus", "Fortipalpa", "Trachylinae", "Phaediolia", "Cobaeoideae", "Zampa", "Burttia", "Carolliinae", "Galathealinum", "Callistium", "Climocella", "Neocallichirus", "Pachypleurosauridae", "Eudorylaimus", "Heteroponera", "Cremospermopsis", "Icacina", "Neomallocera", "Verbeekininae", "Nothorhyzobius", "Sychnomerus", "Phragmites", "Costentalina", "Chaenorhinum", "Zygethopolys", "Kihansia", "Acronymolpus", "Justicia", "Ancalagonidae", "Termitosodalis", "Lynchius", "Neoperlops", "Lacertopontonia", "Trichoceridae", "Belontiinae", "Islamiinae", "Mitrasacmopsis", "Chironemidae", "Glossiphoniidae", "Archisargidae", "Madecatheta", "Sibirarctia", "Pectinini", "Zeanillus", "Florestina", "Neactocharis", "Mekosuchinae", "Acrospermales", "Pseudomicrophyllium", "Epirotyphlus", "Nigroboletus", "Oreocereus", "Costatocrinus", "Lithagonum", "Codonodendron", "Scherochorella", "Acanthodillo", "Melanocallis", "Dromicoida", "Lobostemon", "Epicrocis", "Monstrotanais", "Aphyllodium", "Espanolosia", "Orwellium", "Hygrolycosa", "Bathycallisoma", "Graphania", "Pikaia", "Speonemadus", "Mahavana", "Gripopteryx", "ICNMHN", "Agrius", "Ithaginis", "Notaden", "Monoscapha", "Psilocerea", "Aphelocheiridae", "Bolusafra", "Foetorepus", "Adenanthe", "Paralaudakia", "Yamatolygus", "Megapodagrion", "Physaraia", "Endopterygota", "Xylesthia", "Macrocyprina", "Mascagnia", "Electragapetus", "Dischisma", "Erythrospermeae", "Cryptogenius", "Blabinotus", "Grantiopsis", "Acanthocordax", "Proapocyrtus", "Phyllomacromia", "Bolboceratops", "Dicentrines", "Tenuipedium", "Hypocomidium", "Dilochrosis", "Ostomopsinae", "Megacepon", "Assipala", "Himmala", "Namhaeicola", "Ectoparyphodes", "Tylopeza", "Limacomorpha", "Hastigerinella", "Pricea", "Proventocitidae", "Octosaturnalis", "Emphiesmenus", "Trichovelleda", "Tolmiea", "Schedotrigoninae", "Austrofundulus", "Microcosmodontidae", "Chonophyllidae", "Phorticella", "Iroponera", "Torresitrachia", "Dinamoeba", "Apamauta", "Linnaea", "Guyiling", "Macrocrates", "Marasmiaceae", "Ancholaemus", "Megalolaelapidae", "Diemeniini", "Gootiella", "Pavonina", "Archilestes", "Stenocentrura", "Macroramphosus", "Apatelarthron", "Afrivoluta", "Galeorhinus", "Euryoryzomys", "Leptotes", "Mexiacla", "Woodianthus", "Menispermoideae", "Zangioideae", "Hyperopisus", "Girardiscincus", "Enchrysa", "Amylobacillus", "Dorcaschesis", "Selenipedium", "Mesoleiini", "Parastichopus", "Coptodactyla", "Chauliognathus", "Mesoneta", "Conchoderma", "Albatrossia", "Danea", "Pleuropholis", "Trachycladiella", "Globorotalioidea", "Lemurorchis", "Nematoscelis", "Diuronotus", "Francisellaceae", "Proterodiplosis", "Tetraplektron", "Emmelina", "Perrierodendron", "Micarea", "Atlides", "Methanococcaceae", "Bhagadatta", "Dipseudopsinae", "Neopsyllini", "Parasambus", "Conoeca", "Rhaphuma", "Querbetia", "Cymbriaella", "Cauca", "Philacelota", "Amphitropis", "Pindaia", "CENAIM", "Plator", "Ptychophylloceras", "Madagascarchaea", "Rhinoleptus", "Calopiidae", "Isobactrus", "Pseudactaeon", "Curticoelotes", "Salinirubrum", "Marmotocephala", "Pseudocoleodictyosporaceae", "Gastrioceratidae", "Blenini", "Chondrymenia", "Capheris", "Guanlong", "Duckeella", "Caspicosa", "Pegarthrum", "Discophrya", "Naticidae", "Thrixopelma", "Pseudolarix", "Ericandersonia", "Karreriella", "Trichocereinae", "Parawedekindellina", "Gossypioides", "Rotalia", "Pelodiscus", "Pilulinella", "Leucorrhiniinae", "Calopteron", "Ochyroceratidae", "Grosourdya", "Fecenia", "Juropeltastica", "Batrisoxenus", "Garciamyxa", "Mayna", "Erebus", "Tannuolina", "Stenotrematini", "Brackenridgea", "Spiroamphisiella", "Sepioteuthis", "Dasythorax", "Rupela", "Apricia", "Metchnikovella", "Podocopida", "Stenopsestis", "Cilioflagellata", "Morisia", "Denticnema", "Licmosoma", "Maculoncus", "Placodominae", "Carapus", "Protomeropidae", "Chrestinae", "Apoleptomastix", "Anchimacheta", "Beaudettia", "Micropteroherpus", "Oubanguia", "Stevacarus", "Knorringia", "Penichrolucanus", "Dinostigma", "Thorogobius", "Thailus", "Pagurixus", "Gocea", "Rhodopsalta", "Urapteroides", "Dicercomonas", "Phocoenobacter", "Parembia", "Scabiosa", "Azonexus", "Prospilophorus", "Pyrgeuma", "Henicops", "Catharsius", "Sebastira", "Compsocerini", "Dryoxylon", "Notholithocarpus", "Parapontoporiidae", "Boeberia", "Spathoschiza", "Lachlanella", "Caedicia", "Haltichellini", "Thiovulum", "Ophiocypris", "Eunophora", "Medeiothamnion", "Symbellia", "Gomphopleura", "Eostriatolamia", "Dichelyma", "Xylanimicrobium", "Anthophysa", "Astartoidea", "Spongiobacter", "Venustsalda", "Borneomymar", "Fryxellia", "Australofilum", "Epatolmis", "Discocrinus", "Allosmaitia", "Mesaspis", "Nagumoea", "Platyperlidae", "Labidoplax", "Pyrsonymphida", "Malandiola", "Paraherbaspirillum", "Astridia", "Hysteriales", "Basipterini", "Systelloderes", "Stenogobius", "Pleioplana", "Isorhipis", "Anarchaea", "Aphycopsis", "Aidingimonas", "Cartericella", "Gigantomiris", "Ventenatinae", "Pibiria", "Cyrenoidea", "Lemmermannia", "Osphroneminae", "Subanguina", "Chrysectropa", "Asparagaceae", "Pseudosasa", "Voltziales", "Plastus", "Chaerophyllopsis", "Coenocystis", "Adenissini", "Zygophlebius", "Stychiochiropus", "Archaeopterygidae", "Cyclolimnichus", "Aplosporellaceae", "Lispinina", "Cercopinae", "Cursorius", "Bromophila", "Nacerdochroa", "Discartemon", "Adoraria", "Pseuderucaria", "Deleninae", "Epirinus", "Philepittidae", "Diopetes", "Moltkiopsis", "Mimipallene", "Holdemania", "Platycerioideae", "Platystomini", "Nebria", "Kocherius", "Alviniconcha", "Joppocryptini", "Sineleotris", "Nocturama", "Apterodon", "Lophophelma", "Eurygarka", "Himantariidae", "Rosciszewskia", "Abalakeus", "Pasites", "Guatemalatrechus", "Posoqueria", "Oncosomechusa", "Tillyardinea", "Harmsiodoxa", "Dendrocereus", "Goodeidae", "Lamproniinae", "Wendlandiella", "Jacobaea", "Perbelliina", "Irenomys", "Megatrema", "Allopachyura", "Zizina", "Laetosphecia", "Orchestia", "Lysitermoides", "Figura", "Kargalariinae", "Streblonema", "Faeculini", "Percivalia", "Gardinerpiscis", "Sciadiocoris", "Alphamyces", "Parthenini", "Smittium", "Besa", "Isoglaridacris", "Abrocoma", "Scytonema", "Parvulodesmus", "Stilbaceae", "Neseuterpia", "Haborophocoena", "Psylloneura", "Alaskaentomon", "Acantheae", "Apocryptes", "MNA", "Rhodanthidium", "Feddeeae", "Mini", "ENCB", "Prototulbaghia", "Synodontoidei", "Halechiniscus", "Gagrellinae", "Amphisteginidae", "Pachycostasaurus", "Wernya", "Clathromitra", "Agapetus", "Potamosiren", "Abgrallaspis", "Desognaphosa", "Cephalantheropsis", "Radiodactylus", "Balizia", "Pachypus", "Liogramma", "Baicalellia", "Icteriidae", "Striatanus", "Menevia", "Salpinctes", "Pseudochrobactrum", "Parvilacerta", "Sepedophilus", "Trulaxia", "Katarinia", "Thermodesulfobiaceae", "Tarsocrates", "Siluania", "Lophothygater", "Jeffocoris", "Murinae", "Demotina", "Longiostiolaceae", "Psammogramma", "Dryadonycteris", "Omoglymmius", "Saitostrongylium", "Geamphorella", "Obtusitermes", "Xiphatractus", "Heteropteron", "CET", "Plectropoda", "Lawreyella", "Oreocalus", "Niveas", "Nubecularioidea", "Kikuchiana", "Triglena", "Pfiesteria", "Haplosyllis", "Gallicola", "Pamphagodidae", "Sphagnella", "Lasiokoryphina", "Isocarliella", "Bittacidae", "Ticherra", "Phreatamoeba", "Aphyocharacinae", "Cicadina", "Dilobopyga", "Ulmarieae", "Kosteletzkya", "Hermannioidea", "Phacelia", "Lissaptera", "Maudheimia", "Cynoglossum", "Proterochersis", "Antisclerota", "Parenion", "Dasymera", "Protheca", "Desulfuromusa", "Adelphocoridea", "Anasemion", "Neotoma", "Cixacoris", "Ateuchini", "Cryptostephanus", "Chrysapsis", "Hartmannella", "Sarcoptinae", "Afraltha", "Macralymma", "Oculophryxus", "Niphadophylax", "Gasponia", "Idaeserica", "Wyoma", "Streptomonas", "Saprininae", "Magnetococcales", "Alkalibacillus", "Dacnusini", "Cryphonectriaceae", "Manuleopsis", "Otinodoris", "Surculosphaeridium", "Neoparaphytoseius", "Cotyadesmus", "Lafoeidae", "Metopeurum", "Uapaceae", "Sawadaea", "Pintoa", "Hydrurales", "Pinguiochrysidales", "Austrotengella", "Echeneibothriidae", "Pacifigorgia", "Lycopodina", "Anisomorpha", "Bharetta", "Zonioploca", "Austrotrechus", "Syncratus", "Alkalibacter", "Palimnodes", "Guaianaza", "Austrostelis", "Tuitocoris", "Bryostreimannia", "Edaphochlorella", "Brachylepadidae", "Nanger", "Unachlorus", "Sulfuricurvum", "Phaeophanus", "Spinodiscorbis", "Proterochaete", "Protonemacheilus", "Chrysanthemodiscales", "Lathronympha", "Henricosbornia", "Erpodium", "Diocleinae", "Dsungaripteridae", "Eudulini", "Atopobiaceae", "Microloxiini", "Giffenia", "Temnolopha", "Paraeuthyrrhapha", "Cremastocheilina", "Clesotrus", "Prodinapsis", "Cundinamarca", "Paromphacodes", "Longodidae", "Myagrus", "Dilepididae", "Saileriessa", "Heptapsogasteridae", "Varroidae", "Pagophila", "Cornimolossus", "Poladryas", "Schistomerus", "Geohowdenius", "Hippocentrodes", "Chuanchia", "Orictites", "Steveniella", "Cuclotocephalus", "Silillicus", "Nyctocalos", "Peludo", "Olimarabidopsis", "Microdipoena", "Lessonia", "Pseudoaulophacidae", "Haaniella", "Zeuneropterinae", "Smythea", "Trichothurgus", "Schizaphis", "Anturina", "Neallogaster", "Trachycarpeae", "Philpottia", "Eurycoma", "Anodus", "Hyaloselene", "Paratrachys", "Eduandrea", "Novazelandiella", "Megaleuctrinae", "Pseudepicausta", "Krascheninnikovia", "Chrionota", "Desectophis", "Tricholontha", "Timogenes", "Malthinini", "Cavariella", "Mesystoechus", "Entomoneis", "Pieltainidini", "Elachistoides", "Agnorisma", "Sarcobatus", "Rollathemus", "Changnienia", "Idiostolidae", "Acutimitoceratinae", "Mohoua", "Hemiboea", "Orfareptydeus", "Neothetalia", "Schizostoma", "Autumnella", "Helicophagus", "Halonatronum", "Chaetonychia", "Oxygranulobaphus", "Xanthorrhoea", "Carissa", "Abyssochrysidae", "Arcofuzia", "Mansuphantes", "Indaphidius", "Petteria", "Heterorotula", "Feliniopsis", "Neoherpa", "Squamanitaceae", "Thorictosoma", "Gloeonema", "Pammiges", "Lyromonadida", "Kurisakia", "Chlorocharis", "Soriculus", "Henicopinae", "Argentinogidiella", "Poekilocerini", "Viridothelium", "Allomunida", "Agathomerus", "Ixodidae", "Thalassicollidae", "Parodontidae", "Textularioidea", "Erythropterus", "Clusiidae", "Micrelaps", "Lagenocarpus", "Galaxaura", "Sternarchorhynchus", "Brachistinae", "Alastoropolus", "Kenyentulus", "Noctuana", "Eudissoctena", "Serpulaceae", "Paracercopinae", "Lobocrypta", "Dasytidae", "Siproeta", "Taraconica", "Vidamus", "Otheostethus", "Marmylida", "Camptorrhiza", "Parabasalia", "Adamystinae", "Vallupinae", "Eucosmini", "Amaurosomini", "Methyloparacoccus", "Carangidae", "Cryptophagidae", "Candeininae", "Mourgliana", "Anomalorhina", "Chlorobiaceae", "Hibiscadelphus", "Dendryphantes", "Eucyon", "Helictereae", "Osmyloidea", "Monopseudocuma", "Kermes", "Polyvena", "Trichosandra", "Spinifornax", "Microbulbiferaceae", "Tornabea", "Psoricoptera", "Pachylinae", "Subeidophasia", "Xenostelis", "Xerothrips", "Pseudothurmannia", "Idea", "Tachyempis", "Mycoporopsis", "Cetolepas", "Caputoraptor", "Rhynchogastrema", "Doryanthes", "Lepidopsetta", "Anatrachyntis", "Odontoperini", "Xenocona", "Cardinalidae", "Greenwoodochromis", "Tasmanipatus", "Entogonia", "Achenoderus", "Stolidoma", "Parascatonomus", "Stenolis", "Ystrixoxygymna", "Compsosaris", "Scambus", "Albuneidae", "Phanechloros", "Anacestra", "Pythiales", "Helicophyllum", "Phytalmiinae", "Crinolinus", "Cryptanura", "Scionini", "Foenatopus", "Bactrodosoma", "Oevstedalia", "Tersus", "Labeo", "Chloropseustini", "Cuihuacarus", "Lichenostomus", "Ambocybe", "Neonotonia", "Austropion", "Armadillagraeciini", "Caecilita", "Schizotrichia", "Strangosporaceae", "Nematoida", "Boryzops", "Syndiniaceae", "Madagapotamon", "Manotinae", "Pappophorinae", "Acmocerini", "Phoroctenia", "Lyperobius", "Micromeles", "Anaeromyces", "Arnhemtrachia", "Protodexiina", "Hypaetha", "Calthropellidae", "Amboakis", "Postacalles", "Doedicurus", "Neomicroxus", "Callajoppa", "Pleurocoronis", "Haplosporidiidea", "Eucrateidae", "Tetraneurinae", "Rhamphophila", "Batriscydmaenus", "Alkalilactibacillus", "Paraspongia", "Macroscepis", "Acrenhydrosoma", "Piratininga", "Amandinea", "Centroderidae", "Pityrogramma", "Strepsithalia", "Cachrys", "Tricalysia", "Chiropteropsyllini", "Balcoracania", "Palombiellinae", "Epiclopus", "Onomastinae", "Siphonocladus", "Cladotanytarsus", "Colyttus", "Gemelliporina", "Rhinomyza", "Heteropteryx", "Austrocroce", "Myrmecodytes", "Cheliferoides", "Pterogeniidae", "Semachrysa", "Cambefortius", "Monogynaspida", "Apantilius", "Tanybria", "Lerista", "Macrourus", "Carychium", "Stegoalpheon", "Cydistomorpha", "Youwanjela", "Syzygiella", "Pachylaena", "Baltioligota", "Louisettita", "Pachyeuplectus", "Ditremagenia", "Hyalinea", "Glaridoglanis", "Aspergillaceae", "Takuidae", "Penthetor", "Protomonotresidae", "Straatmana", "Simplicia", "Neolosus", "Eriope", "Phasmodinae", "Dysoniini", "Ametrida", "Silaum", "Himalopenetretus", "Mniaceae", "Jasonia", "Magelonidae", "Syringobiidae", "Barfussia", "Leptostraca", "Ruffia", "Hylomela", "Bradoriidae", "Brunniella", "Toxariaceae", "Quironia", "Sciomyzoidea", "Sonderella", "Topaza", "Amblyornis", "Plaubelia", "Micropsyrassa", "Caecilia", "Cleoserrata", "Afroleius", "Froeschnerana", "Meplitumen", "Blastocatellaceae", "Araeopaschia", "Fenestraria", "Pleustomesus", "Reichlingia", "Nasiternella", "Catascopellus", "Gheorghianina", "Heilipus", "Stratioceros", "Coilopus", "Haplorhabdus", "Cyphotrachelus", "Melittommatinae", "Archaeobalbis", "Poritextularia", "Tetramicra", "Amphorella", "Promegninia", "Bapta", "Laetulonthus", "Sarcaulus", "Callopsenius", "Diplophyllum", "Pseudoandonia", "Ageratella", "Crucirhabdus", "Chrysochloris", "Gleichenia", "Reckitydeus", "Metacrisia", "Angoumeius", "Pseudomassarinaceae", "Malleus", "Kosala", "Megacara", "Macrodiplodiopsidaceae", "Thinozerconoidea", "Selenotypus", "Troglojapyx", "Cyniclomyces", "Ropalosporaceae", "Mystacophorus", "Gublerininae", "Sensillanura", "Compsospiza", "Desulfocapsa", "Cinclosomicola", "Zygochytrium", "Xiphodontus", "Hyphilaria", "Troglothele", "Nyctotheridae", "Rifargirini", "Epirochroa", "Anthocharis", "Nebaliidae", "Disporum", "Metallichroma", "Trichonis", "Planiplax", "Mycalesis", "Psammophilocyclops", "Austrohelcon", "Aaosphaeria", "Amoebina", "Coronidia", "Paradorydium", "Alavaraphidia", "Solitalea", "Microsynotaxus", "Eplingiella", "Radiopora", "Mimozyganthus", "Serrulininae", "Emmelichthyops", "Mesogyne", "Naprepa", "Irazucoris", "Austroneophellia", "Caliris", "Siboglinum", "Neolitsea", "Troglospinotheca", "Ophioglossolambis", "Barbourinellinae", "Apokeronopsis", "Halegrapha", "Trichomeris", "Automeris", "Cystoisospora", "Holothyrida", "Georgefischeriales", "Elymnias", "Phlebolepis", "Mocolinna", "Sobrinarchibracon", "Massoutiera", "Brevoxathres", "Anyphaenoides", "Satanocrater", "Anahita", "Lichenoporidae", "Upothema", "Paraphytoseius", "Chaetostephanidae", "Radiosphaerella", "Rheobatrachus", "Chevreulia", "Thecochaos", "Thapaia", "Iphierga", "Prionognathus", "Kantharella", "Hypselopus", "Crepidocnema", "Pseudanaphothrips", "Pannoparmelia", "Eteobalea", "Hypobarathra", "Barioxyonyx", "Desmodora", "Derovatellus", "Mastogloiales", "Pandanaceae", "Austropetaliidae", "Ceratioidea", "Enoplochiton", "Mapanioideae", "Zamiinae", "Dolichopsis", "Otocyon", "Monacanthus", "Valeriaaschero", "Triceratelleae", "Sinurus", "Lithospermeae", "Sternotoxus", "Pararamichloridiales", "Peltaea", "Sulenopsis", "Peramelemorphia", "Tettigometridae", "Bradymonadales", "Eucatops", "Endotricha", "Stichoneuron", "Fredlanea", "Mecaenichthys", "Arctogalidia", "Pelodiaetodes", "Pseudagrilodes", "Archaediscoidea", "Selkirkia", "Chorilaena", "Pseudobatos", "Schistocephalus", "Paralabis", "Pectinodesmus", "Neoharriotta", "Sinotilla", "Drepanojana", "Parasoa", "Aphodoharmogaster", "Oedicladium", "Eupaleoides", "Ceratopipra", "Urubumiris", "Heterostroma", "Helictopleurus", "Ocnerodrilidae", "Scutogyrus", "Ampelosicyos", "Qwaqwaiini", "Lorenzopius", "Thalassomysis", "Uropachys", "Apteroyinga", "Polystichus", "Carvilia", "Allomeinertellus", "Anhydrophryne", "Rhizosoleniaceae", "Halopenitus", "Croceibacter", "Ameletus", "Strachiini", "Clathria", "Samoafulvius", "Leiothyrus", "Physoderma", "Frenkelia", "Chirorhynchobiidae", "Palisotinae", "Thesium", "Didymorchidae", "Sudamericidae", "Chroococcidiopsidales", "Aciura", "Brachycyrtus", "Werneria", "Plagioeciidae", "Chapadacassis", "Nepticulinae", "Nypoideae", "Vaucheriella", "Halicometes", "Pleiomorpha", "Mauesia", "Progne", "Desoria", "Ctenopharynx", "Lepyrodia", "Siphogenerinoididae", "Cornicandovia", "Ichthyobodo", "Aspilina", "Echemographis", "Cheilosia", "Cornallis", "Horistus", "Pterobranchia", "Amapalea", "Olethreutini", "Heriades", "Leptoglossus", "Haploviricotina", "Kedirinus", "Drabastrum", "Tinissa", "Enodes", "Acheilognathus", "Scevesia", "Hayasakaina", "Mafa", "Glycininae", "Corycaeidae", "Ceratocader", "Acipenser", "Lichenopyrenis", "Pseudopieris", "Allocotaphis", "Praeruptifrons", "Tribasodites", "Arhinobelus", "Pteroscenium", "Zeugophora", "Luramini", "Apyrauna", "Sycophila", "Allochroa", "Rindgea", "Gymnuridae", "Platybunoides", "Allocapnia", "Prionota", "Trichopeza", "Odius", "Telmatobufo", "Falsocis", "Sambara", "Anomalopaederus", "Teretrius", "Phasmota", "Xynotingis", "Synactinernus", "Parastenopsylla", "Talanites", "Brentinae", "Hesperotychus", "Anthonomini", "Ateleopodia", "Horminum", "Discocelididae", "Atylodes", "Belousovia", "Geolycosa", "Anoplophrya", "Cretapetaluridae", "Myxochloris", "Enicurus", "Alessandriella", "Notophanus", "Penetrantiidae", "Exocora", "Carinatae", "Trochulininae", "Tinteromini", "Dominicanocoris", "Aphanognathus", "Sathrophyllia", "Xerocomus", "Frearanova", "Sinapisoma", "Papilionidae", "Discolobium", "Euriphosa", "Cyanagraea", "Nematodinium", "Rhynchodeminae", "Persexarthrus", "Stygnocorini", "Gyrostigma", "Ischiopachina", "Trimioarcus", "Orphnebioidea", "Gorditus", "Hemipachymorphini", "Medlinia", "Rhynchocinetes", "Conobrium", "Bachilis", "Acteonimorpha", "Oodoptera", "Vepresiphyllum", "Tuberolachnus", "Thalassobium", "Chalcophoropsis", "Tayalopsyche", "Eriphioides", "Polyxenoidea", "Plagiocampa", "Orophicus", "Hieroglyphini", "Cerma", "Mesostoinae", "Tanganicodus", "Engystenopus", "Plesiosternus", "Neoralfsiaceae", "Partenskyella", "Platycleis", "Taphrinaceae", "Crinia", "Colonammininae", "Plocaniophyllon", "Pseudacritonia", "Todarodes", "Isotomedia", "Textulina", "Amerohelea", "Mesoplodon", "Nesopetalium", "Melanophilharmostes", "Sideridis", "Kaloula", "Nordenskjoldella", "Ricotia", "Vanstallea", "Sapranthus", "Dinogymnium", "Tropicis", "Teuthidodrilus", "Calycopis", "Anginon", "Callithrix", "Hommersandiophycus", "Sphondylothamnion", "Discosomaticinae", "Trichomitus", "Cheirochelinae", "Thyrsopteridaceae", "Hydrilla", "Thysanoplusia", "Toxicum", "Prasiini", "Columbiadoria", "Poteranthera", "Telebasis", "Dianella", "Anacanthella", "Miconieae", "Hydramoeba", "Compsus", "Balanococcus", "Peridexia", "Hyllisia", "Catenulopsora", "Apiomerini", "Chebruvirinae", "Hemileiocassis", "Megamicrocotylidae", "Stapelianthus", "Arubracon", "Licnophoria", "Chamissoa", "Eupambolus", "Cyathothecium", "Stylopage", "Didymosphaerella", "Irabatha", "Teratofulvioides", "Leipothrix", "Spartaeini", "Ocellularia", "Sphaerodinium", "Philypnodon", "Aegialitinae", "Mocoiasura", "Hellenocarum", "Choanozoa", "Pteronephila", "Lepidorbitoididae", "Chitinivorax", "Neoanteon", "Hypothemis", "Decazethodes", "Abderos", "Thermoanaerobacteraceae", "Savangiidae", "Stegastinae", "Bocatella", "Hellenolacerta", "Eucnemidae", "Athletes", "Anaidinae", "Taxicera", "Oechalina", "Cedicus", "Nanoptilium", "Arhopoidiella", "Crasodactylus", "Penelopinae", "Lyssa", "Parvulactaeon", "Oparbella", "Anoplocapros", "Dendroleontini", "Disterigma", "Clemmatista", "Priapichthys", "Apidioplanidae", "Nevadaphis", "Atherospermataceae", "Phlias", "Phyllonoma", "Brevitubulus", "Hylonycteris", "Sarcopoterium", "Adrastus", "Cristidiscoidia", "Ginemini", "Trogellus", "Epaphroditidae", "Ocinebrellus", "Perunelomorpha", "Tosirips", "Figitidae", "Belippo", "Abuladzugnia", "Lycinus", "Pyraustini", "Isoscella", "Borophryne", "Calyptorhynchinae", "Denticollis", "Triptera", "Exaesthetus", "Cholevina", "Dolichopeza", "Lampronia", "Ctenodactylitae", "Apoplania", "Paranigilgia", "Crassapontosphaera", "Liothula", "Gradungulidae", "Protosclerogibba", "Amoya", "Otopheidomenidae", "Devilleferus", "Eubothrioides", "Cyanagapanthia", "Dorodoca", "Woollsia", "Francisella", "Neaguites", "Pleurotineae", "Chalconyx", "Stokellia", "Gryllotalpidae", "Planctogystia", "Lepidogobius", "Melittobiopsis", "Iaratrox", "Oroblemites", "Meliaceae", "Ceratodontiformes", "Metagentiana", "Portaninae", "Gibbera", "Hovorea", "Echinoptilidae", "Calopogon", "Habrophila", "Holdawayella", "Vanniini", "Lauroppia", "Djadochtatheriidae", "Balanophora", "Phortica", "Euphroniaceae", "Bryophagus", "Malmaemichungia", "Neohemigaster", "Conchyoptera", "Lycopinae", "Cyclothyris", "Cetraspora", "Anabittacus", "Bunkeyini", "Marinomonas", "Orientalia", "Labropsis", "Helicostylis", "Cloeosiphon", "Challengeron", "Paramimeciton", "Ambercylapus", "Schizopyrenus", "Nosema", "Gobiesocoidei", "Dirhagini", "Dalechampia", "Parachamus", "Potorous", "Apicomonadea", "Lithophragma", "Megaginus", "Gobiinae", "Pristapenesia", "Anacoracidae", "Smodicum", "Pimelodus", "Nutomonas", "AIMZ", "Mniarogekko", "Hestimodema", "Vespidae", "Thioploca", "Casmerodius", "Spaelotis", "Grossogidiella", "Cavolinioidea", "Pseudohampsonella", "Mooreiaceae", "Apotectus", "Capparidastrum", "Asactopholis", "Odontogammarinae", "Stenocybe", "Ceratanaphes", "Ithonidae", "Spiroctenus", "Cyrtomorpha", "Austroterobia", "Ophiophycis", "Villaria", "Littorella", "Draculiciterinae", "Macrogastra", "Brennandania", "Aberrapex", "Nautilina", "Bagous", "Paraphotistus", "Ampelozizipheae", "Paratanarctus", "Acidostoma", "Cnismatocentridae", "Psittacara", "Dasydemellinae", "Scytopetalum", "Cylindrospermum", "Polyopisthocotylea", "Ematheudes", "Cryptocotitus", "Acrotelsa", "Bryantella", "Dasyphileae", "Panaphantus", "Escharina", "Guagidiella", "Cybomymar", "Mononeuron", "Psammocyclopinidae", "Orthacridinae", "Myophonus", "Freyellidae", "Chaeridiona", "Melzerus", "Neotrichozetidae", "Myopinini", "Ziapelta", "Malesherbioideae", "Pogostenus", "Somalithespis", "Apopnictus", "Batrisus", "Anisoporus", "Epipenaeon", "Kwantoella", "Pelocharella", "Buccinini", "Panurginae", "Tropidoscyphus", "Chirocentridae", "Australocilliba", "Silvianthus", "Oxygonum", "Triphyophyllum", "Gerrardina", "Amblypalpis", "Anilany", "Drachiella", "Cordorabus", "Ololygon", "Synechococcophycideae", "Aulexis", "Carcinopodia", "Tarentola", "Melanostomiinae", "Carnegieispora", "Xenichthys", "Paratrichaphodius", "Myzocallis", "Oreosomatidae", "Typhlogarra", "Undellopsis", "Taraka", "Notosyodon", "Pseudabutilon", "Cerochlamys", "Sphinctomyrmex", "Habrophlebia", "Isabenula", "Rotifera", "Asturasoma", "Karataogryllinae", "Sciarokeroplatus", "Iveidae", "Pliocercus", "Caldanaerobius", "Ramalea", "Acruliopsis", "Paragnorima", "Leiobuninae", "Chandozhinskia", "Deiphon", "Prosthecobacter", "Pseudomallomonas", "Ophrypetalum", "Paroeme", "Ptychostoma", "Scolebythidae", "Clausotrypa", "Rubrotricha", "Macropyxis", "Hypobythius", "Diastoleus", "Urbanoides", "Grauvogeliidae", "Denticulobasis", "Afrotrichona", "Gramella", "Leptosittaca", "Paradistigmoides", "Jackiopsis", "Peniculus", "Ergane", "Rhyncomya", "Bleasdalea", "Cyttariales", "Empecta", "Asca", "Unduloribates", "Lamprolaima", "Bilimbia", "Alloea", "Pallidophorina", "Heterorhabdus", "Siphlaenigmatidae", "Thelohanellus", "Neogea", "Tomopteryx", "Pyrrhopoda", "Pelvicachromis", "Myxococcaceae", "Fulcrifera", "Ptychopariida", "Tarphiablabus", "Ceratophileurus", "Silicoflagellata", "Systropinae", "Corticiaceae", "Paraclinus", "Chrysanthemodiscus", "Baltocar", "Sperchontoidea", "Mastostethus", "Listrognathus", "Tychomorphus", "Ischyronota", "Ctenochaetus", "Gallinula", "Orthopsittaca", "Nebulasilvius", "Benoibates", "Hysterocrates", "Cnicothamnus", "Vogtia", "Bronnimanniidae", "Eulibia", "Anabantoidei", "Protolithocolletis", "Parapycnoderes", "Osornophryne", "Natroniella", "Pseudaphis", "Rhaphoxya", "Peloniinae", "Haptoderodes", "Australoplana", "Ampelopteris", "Carpomitra", "Tineodes", "Mufushanella", "Euxenus", "Dasitrombium", "Ctenochasmatoidea", "Desulfovirgula", "Hybosida", "Lymantes", "Paraplehnia", "Tsumuraia", "Solenopharynx", "Visendor", "Austroagalloides", "Patagonopraocis", "Basantisiinae", "Petromyzontidae", "Zamopsyche", "Woonpaikia", "Zotalemimon", "Sinozolus", "Procacitas", "Aidochara", "Cavibelonia", "Tropidosiphonus", "Chilobrachys", "Agrisius", "Labiocotes", "Usingerina", "Tubicutis", "Architeuthidae", "Stenorrhachus", "Nudarchaediscus", "Prochaetoderma", "Spinibdella", "Urosticte", "Crenuchinae", "Thinorycter", "Weberbauerella", "Hydrocyrius", "Rhinelephas", "Neoorthocaulis", "Cabreraea", "Myrmecicultor", "Polycoccum", "Cyrtopodiinae", "Arsinoitherium", "Schizochloris", "Acoela", "Hidalgoa", "Mysateles", "Platysporoides", "Apodiformes", "Acronneus", "Spatholobus", "Ingrassiella", "Kotchevnik", "Bartonella", "Pleurobranchomorpha", "Horisma", "Mucoromycetes", "Rigodiadelphus", "Clausenia", "Nobiellus", "Cyamodontoidea", "Pezizella", "Pusillopsyche", "Tubothalamea", "Cribrobulimina", "Phytosarcophagina", "Wardoides", "Gyrpanetes", "Megalomastomatinae", "Carpella", "Beckiasorex", "Grajalesia", "Pappagrostis", "Pyrophorini", "Nathrius", "Campanulatus", "Leptailurus", "Lembeja", "Amphinectria", "Acidilobales", "Colla", "Thiotrichinae", "Anotrichium", "Saccharodite", "Eustigmatophyceae", "Phacopteronidae", "Acrocarpospora", "Notocousya", "Microceroxenus", "Halaphanolaimus", "Orientelix", "Amphitantulus", "Euphanerops", "Parabezzia", "Aethiopistreptus", "Lophoglossus", "Lawrencarus", "Heterogynidae", "Coniambigua", "Protaeolidiella", "Macquarioppia", "Crystallogobius", "Tetrablepharis", "Flavius", "Centrapalus", "Glottidia", "Faronoma", "Collessophila", "Ganocapsisca", "Chimarrhis", "Linochilus", "Palaeanthropus", "Tripterocladium", "Mamersella", "Paroxeron", "Amblyseiinae", "Polycarena", "Eriodon", "Smallanthus", "Quadrastichus", "Albulichthys", "Oxyrrhepini", "Mantophasma", "Turbinaria", "Ribodon", "Cynthidia", "Helianthostylis", "Hydrotalea", "Trigonopselaphus", "Mimobolbus", "Trochoclymenia", "Amblyothele", "Lernaeogiraffa", "Acrotelsella", "Melliodendron", "Agyllia", "Macratriini", "Litocopris", "Darnini", "Bryobartramia", "Hypsibius", "Salaria", "Cenocorixa", "Bertinotus", "Psephotus", "Osientomon", "Clypeoniscus", "Diorini", "Phytodiniales", "Enoicus", "Myrmeocorus", "Pseudanomotaenia", "Euthyatira", "Sardoplatycleis", "Haematera", "Hsiufuropronia", "Acaronia", "Zooshikella", "Diaperasticinae", "Marinovum", "Cranopoeini", "Loxonematoidea", "Carlina", "Dubusia", "Eudrapa", "Montrichardieae", "Australonura", "Benyviridae", "Pomatiidae", "Zu", "Colgorma", "Stifftia", "Carniodus", "Amphichondrius", "Argillamonas", "Calanthe", "Flotidae", "Albidopsis", "Helota", "Acanthisitta", "Nosavana", "Hilliella", "Pseudoleucosporidium", "Srinivasanomyces", "Besourenga", "Eriopygini", "Porphyridium", "Gyalecta", "Semioptera", "Stygophrynus", "Sustenus", "Athroismeae", "Porocimmerites", "Clytobius", "Optimandes", "Psilodorha", "Unjaeella", "Thamnosophis", "Piptoptera", "Salvazaon", "Cuterebra", "Phalangiinae", "Belohina", "Eubrachycercus", "Eudihammus", "Gracilinitocris", "Xixuthrus", "Pseudorhomborrhina", "Atethobius", "Aphanogmus", "Titea", "Ruthiella", "Anacanthorus", "Hersiliola", "Mangora", "Synapsis", "Erilepis", "Phaulophara", "Hockinia", "Goujianvirales", "Lacazella", "Eucyrtidiacea", "Avernus", "Ootacamundus", "Olethreutes", "Sacura", "Aulorhynchidae", "Porpostoma", "Amphicampha", "Phaeostroma", "Heteromesus", "Trapezoscydmaenus", "Calesinae", "Heronimidae", "Cardiotarsus", "Nasutitellina", "Tonduziinae", "Spirasigma", "Fulciniola", "Epicystis", "Heterocentron", "Schkuhria", "Rhyncholepididae", "Illiciomyia", "Thalycra", "Ophiogona", "Laetiporaceae", "Xiphydria", "Allochthonius", "Artobotrys", "Pinpanetta", "Barbarea", "Calvarium", "Aruga", "Coristaca", "Colastes", "Sphenotoma", "Orchestigidiella", "Brontispalaelaps", "Dorylonilla", "Necydalosaurus", "Tiphotrocha", "Chiasmus", "Thiallela", "Chrotomys", "Gehringiinae", "Hexanchiformes", "Mooreia", "Buddelundia", "Mozena", "Coprochara", "Klarobelia", "Rildardanus", "Pleotrichophorus", "Nyctibiolepis", "Articulavirales", "Soesilarishius", "Scherya", "Globuloverruca", "Pternoscirta", "Nalbantichthys", "Ophtalmorrhynchini", "NMV", "Acrobotrys", "Fossorochromis", "Karripurcellia", "Diabole", "Estagrotis", "Grynoma", "Chimonanthus", "Polygyriscus", "Gastrostyla", "Cobitoidea", "Fischeralysia", "Asellia", "Ectopsocopsis", "Xylocythere", "Atherosperma", "Crossocheilus", "Parapodoxya", "Stellarangia", "Dolichodinium", "Nothoplectus", "Alibertia", "Chonetes", "Nahannagnostus", "Fluvicola", "Bicoxidens", "Dinamoraza", "Anolina", "Macroxeninae", "Mimomulciber", "Cryptomonadales", "Clytrina", "Torpedosporaceae", "Newjersevania", "Catoscopiaceae", "Sorex", "Nesotrinchina", "Spathagalathea", "Amphilepididae", "Sternotomini", "Lophioderus", "Itaballia", "Vella", "Haemescharia", "Yasuhikotakia", "Temperatibacter", "Perissopmeros", "Ptyssiglottis", "Johnlonginae", "Plectida", "Kourazouceras", "Crossipalpus", "Steriphoma", "Sakesphorus", "Arthrodiriformes", "Willdenowieae", "Dyenmonus", "Saba", "Zibus", "Dendroeremaeidae", "Heeria", "Dinorbiculus", "Aguayomiris", "Perdita", "Gonapodasmiini", "Plesiothelinae", "Rhombocoleites", "Ramulina", "Paranurenus", "Protocupoides", "Verrillactis", "Terires", "Bothriometopus", "Elachypteryx", "Protriticites", "Plagiopylidae", "Moncina", "Broomeia", "Filarum", "Zigrasimecia", "Hazenella", "Hirtaeschopalaea", "Rhodafra", "Metoa", "Masatopes", "Enchytraeidae", "Mimischnia", "Sycon", "Laffittius", "Coccodentalium", "Akarbatrus", "Anthoboscus", "Derelina", "Candidaspongia", "Sciobia", "Chroococcales", "Cyphacolus", "Syma", "Glorimontana", "Eucelis", "Metrioxenoidinae", "Oidaematophorus", "Placorhynchidae", "Stylogyne", "Ariosoma", "Schismatoglottis", "Caligidae", "Aegeria", "Argyrocheila", "Yemma", "Iniidae", "Artonia", "Himantura", "Chaetoceros", "Otidiformes", "Waldoia", "Carnococcus", "Actinopodidae", "Pseudcockerelliella", "Parameciina", "Triassothripidae", "Notolobus", "Anisonema", "Dothidea", "Picobia", "Saetheria", "Athesmia", "Tityra", "Zygosphaera", "Tetracoleus", "Oecophyllini", "Amphixystis", "Poltys", "Kempynus", "Tricholepidiidae", "Stibochiona", "Rhopalorhynchus", "Loxobates", "Anomoderus", "Spilotabanus", "Nectarinia", "Grynex", "Protodonata", "Melanopais", "Bardaxima", "Syntomiini", "Asphalidesmus", "Pterogenomyia", "Varanopseidae", "Distantessus", "Wildus", "Jeholornithidae", "Rhygoplitis", "Sylvoedischiinae", "Colostracon", "Montchadskyella", "Cerastipsocini", "Pileodon", "Benetoraceae", "Chirolophis", "Taumacera", "Ummidiinae", "Risbecoma", "Meliphaga", "Namibiodes", "Latgerina", "Lecanora", "Patriomanis", "Spiriferina", "Chamaebryum", "Trachydiscus", "Viviera", "Micromacromia", "Metanipponaphis", "Metoecus", "Pseudoderelomus", "Palmariales", "Osmidus", "Ruminococcaceae", "Mertensiidae", "Guihaiothamnus", "Tinolini", "Phymosia", "Creophilus", "Alaninema", "Coskinon", "Neodelphineis", "Cremnodes", "Palaeopsychops", "Calycoseris", "Pelochrista", "Aphimallota", "Chionolaena", "Tanna", "Mikronegeria", "Paraplesius", "Triacanthidae", "Zilora", "Klaprothia", "Neomuda", "Gloeochaetales", "Lutjanidae", "Lechenaultia", "Durgellinae", "Apteranthes", "Allogamus", "Trozelia", "Amphiplicatus", "Holoperas", "Teratothyadidae", "Kraftia", "Maxillipiidira", "Staminodianthus", "Laccophilini", "Ascoporiaceae", "Pseudoradama", "Dispachyglossa", "Corioxeninae", "Pentateucha", "Sparbambus", "Neogyna", "Tainochus", "Coreoblemus", "Kima", "Dermosmiliidae", "Psilinsara", "Cerennea", "Pygostylia", "Mimoscinidae", "Solidaster", "Nothrholaspis", "Parandra", "Wrangeliaceae", "Sphaerimonospora", "Lamachodes", "Amphorosphaeridium", "Ashieldophyinae", "Halimocyathus", "Avarua", "Kroonia", "Ethelurgus", "Anthistiriinae", "Scolodontinae", "Paralucanus", "Epipyxis", "Paramicroplus", "Turgonalus", "Scythrops", "Pseudepixanthis", "Aphaniotis", "Desmoscolecida", "Tricostularia", "Plesiochelyoidea", "Atrophothele", "Epsilon", "Motiliproteus", "Hemisotidae", "Radjah", "Eriocauloideae", "Kuschelanthus", "Camposaurus", "Humboldtianini", "Surimyia", "Lagenisma", "Thigmokeronopsis", "Chaeropodidae", "Parapachrophylla", "Timberlakiella", "Aegiridae", "Octopoteuthidae", "Chiraps", "Anthomyza", "Mamaevodiclidophora", "Botryllus", "Batristhenes", "Axinocolya", "Gloiophyllis", "Alexandronectes", "Amoebozoa", "Hypocera", "Crocozona", "Phaeochromatium", "Prismatomeris", "Scolopita", "Pteridomyiini", "Lituolinae", "Bibulocystis", "Athetesis", "Spinellus", "Sacrator", "Pseudoblepharispermum", "Hybodillo", "Dercylinus", "Mauremys", "Cota", "Acrogalumna", "Bryonychinae", "Cypricercus", "Orchidaceae", "Hemirhipini", "Fenneralpheus", "Rocnema", "Metallanchista", "Pseudoterus", "Ericerus", "Zygopolaris", "Corsiaceae", "Bidyanus", "Metagryne", "Skidmorella", "Damastes", "Chlorochytridion", "Daviesa", "Hemipharis", "Austrocynips", "Nixipileolus", "Decamerus", "Platycarya", "Eumetabola", "Peruphorticus", "Talpinae", "Acleracra", "Kolkwitziellaceae", "Thacla", "Plectocephalus", "Sterculia", "Pronophila", "Melitonympha", "Usbekistaniinae", "Acanthoxyurini", "Paratruncala", "Temnocephalidae", "Colomastigidea", "Hoplogrammicosum", "Prismatocerus", "Moina", "Synochoneura", "Cocoseae", "Tagesoidea", "Sinovipera", "Pseudochorda", "Diplosalis", "Euophryini", "Nayarita", "Aceros", "Centropus", "Archosauria", "Pygophora", "Hotarionomus", "Spirotaenia", "Kishinouyeum", "Thoracotremata", "Mirocossus", "Quadrus", "Chionoecetes", "Amphoriscus", "UAEH", "Acilius", "Verrucomicrobiae", "Tanquana", "Ameivula", "Sympterygia", "Dacrysoma", "Helicoprimnoa", "Chordopoxvirinae", "Hexagonia", "Cyclotrichium", "Kentrophoridae", "Turkaromia", "Nippotaeniidae", "Odontopleuroidea", "Urotheca", "Admiratellidae", "Trichastylopsis", "Astolphos", "Haglopterinae", "Sphenomorphinae", "Platysomus", "Astomaspis", "Pycnotrema", "Tamaricaceae", "Peyerimhoffia", "Parachremylus", "Pseudochamaesphacos", "Speolabeo", "Phyllopalpus", "Occia", "Loxodactylus", "Molybdocrates", "Agliinae", "Elatostematoides", "Mandorovella", "Epistemma", "Permocoleus", "Thuja", "Metohia", "Taelosilla", "Blepharodon", "Kolpochoerus", "Xyridaceae", "Coccoidea", "Eriochloa", "Burdachia", "Brachynotus", "Pegasomyia", "Paraheptagyia", "Labronema", "Amandava", "Trichomesia", "Hirculops", "Eocricosphaera", "Maxilliphimedia", "Melandryini", "Coreinae", "Axinaea", "Hyalocrinus", "Thujopsis", "Hasodima", "Termitana", "Balearonethes", "Keroplatini", "Drymocichla", "Allonecte", "Thiohalorhabdus", "Hubbardochloinae", "Protocotyle", "Rhysothorax", "Demerilla", "Triniteurybia", "Orocanthus", "Trictena", "Aegyptonycteridae", "Palaeoscydmaenus", "Karrabina", "Afrobolivina", "Polioxolmis", "Aphos", "Astrenis", "Fusiissus", "Symphonieae", "Thermanaerothrix", "Pallifera", "Hemieuryale", "Sitophilus", "Glyptonysius", "Elytrobium", "Hippomedon", "Marsupella", "Campages", "Agilestia", "Fiona", "Stegea", "Acholeplasma", "Monogereion", "Almodes", "Hemistola", "Spicomacrurus", "Actinactia", "Spaniosdascillus", "Corallorhiza", "Gordea", "Coccycua", "Haslundichilis", "Scalidomia", "Sphaeridiothrix", "Clavihedbergella", "Pachymitus", "Ayenia", "Atilayus", "Pseudogaudryina", "Gracilibacter", "Hippochrenidae", "Argulidae", "Vestergrenopsis", "Sittasomini", "Oedecnema", "Parabambusicolaceae", "Solitudes", "Wolffogebia", "Loffa", "Pseudabarys", "Crosnierita", "Allophylus", "Tetrameraden", "Aucoumea", "Geophila", "Nautiliniellidae", "Psoroptoidinae", "Oscarellidae", "Nargiotes", "Anopliomorpha", "Burmabrithes", "Pinufiidae", "Acanthoscelis", "Hetrodinae", "Orthorrhynchiaceae", "Juramantophasma", "Barbucca", "Ogmocoma", "Pararaphes", "Eknomia", "Aripoa", "Apomachaerota", "Ctenodrilidae", "Sonerileae", "Trappeaceae", "Edopidae", "Machaeropteris", "Monashia", "Halszkaraptorinae", "Cleistanthus", "Pleuropetalum", "Phaedropus", "Agonobembix", "Ablerus", "Sirotrema", "Zelenkaia", "Hikonasukuna", "Booidea", "Heteropaussus", "Xenolecia", "Meredithia", "Sandarakinorhabdus", "Argissidae", "Parisolabis", "Symmixus", "Ixos", "Mesocupedinae", "Pempheridae", "Lobarioideae", "Cactaceae", "Xenusa", "Gibbaeum", "Opisthochasis", "Deuterophlebiidae", "Methanococcus", "Dinopterygium", "Amblyterus", "Isaeopsis", "Hypogenes", "Melastomeae", "Bauerago", "Aenigmatanthera", "Charopinae", "Aerenicella", "Caledonillo", "Picineoaulonastus", "Prosopodontini", "Ulonemia", "Palaeobenthesicymus", "Scolebythus", "Macrocoma", "Alloptes", "Andocamaria", "Enteromonas", "Octopodidae", "Xyts", "Eupercaria", "Mahenoides", "Allantoma", "Meteorideinae", "Chloropicaceae", "Cybaeozyga", "Metamesostoma", "Acinonyx", "Homollea", "Diplopeltinae", "Ostiobaculites", "Nyassinina", "Costatochloris", "Anuloplicata", "Pristoneura", "Pterygascidia", "Barbula", "Parathemisto", "Spirophorina", "Geoscapheinae", "Altibacter", "Kurosapolipus", "Siloscinae", "Pseudofallacia", "Pounamuella", "Macrocydia", "Lophoscirtus", "Notophycus", "Trichiorhyssemus", "Palirika", "Strombocactus", "Archilagarinus", "Liothyrella", "Pardaloberea", "Paracyclois", "Solistrus", "Nesoclopeus", "Chaetomalachiini", "Lanaria", "Lithidiopsis", "Labidodemas", "Meinertzhageniella", "Polyplacophora", "Antitrogus", "Campynemataceae", "Trochotomidae", "Rhodirphia", "Presbytis", "Boergesenia", "Achroia", "Xestopus", "Craniscus", "Phyllariaceae", "Plusioporus", "Aulacobythus", "Eurycoptosia", "Paramera", "Raffrayitidia", "Nabidomiris", "Boreathelphusa", "Austariella", "Spinimegopis", "Citrogramma", "Vexillariidae", "Pseudosclerochloa", "Lopadorhynchidae", "Plesiocamenta", "Lyroppiidae", "Centropyge", "Isanthidae", "Petroana", "Hypercompe", "Samuelsonia", "Scirpus", "Exosporeae", "Phasmoneura", "Griffiniana", "Hoschekia", "Paraberrapecidae", "Tolga", "Psilobyrsa", "Rodoniscus", "Allometadena", "Tarsopterella", "Labrus", "Pareugoa", "Aleyrodidae", "Synaristus", "Pyramidella", "Mesophylla", "Phoenicagrion", "Skotodesmus", "Kozakia", "Parepimeria", "Columba", "Paratropidema", "Lithoglaresis", "Thermomonosporaceae", "Parhippolyte", "Falsomoechotypoides", "Aberratylus", "Aethosolenia", "Telamonia", "Cryptochetum", "Peradon", "Camerunadora", "Roupala", "Asidoblaps", "Argylia", "Chamaeanthus", "Libanasidus", "Chaetozone", "Pleioplectron", "Scopelogena", "Dentiheterochelus", "Eurydema", "Pyrrhidivalva", "Mesomegaskela", "Illaena", "Sidymella", "Ascaltis", "Tremellodendropsidaceae", "Mexiconnus", "Diastrophus", "Phinopilus", "Stephanolaimus", "Postharmostomum", "Anisopodesthes", "Phantasis", "Eurysacca", "Neotridactylus", "Pareyralpenus", "Percolestus", "Piruwa", "Aphelininae", "Metakinetoplastina", "Epimerella", "Erebia", "Portalodus", "Tospitis", "Egicoccales", "Heterophilus", "Nabalus", "Enneanectes", "Paleopsalta", "Cobaeeae", "Aholcocerus", "Laccoporus", "Amphionidacea", "Protapioceridae", "Potamobates", "Acantholytoceras", "Dinematomonas", "Hyalospheniidae", "Teleogryllus", "Glyptotermes", "Tetralithoides", "Lycaenesthini", "Callianira", "Cryptopoda", "Schulmanela", "Atomariinae", "Amboyna", "Speirantha", "Philodinidae", "Sorites", "Galatheanthemum", "Suezichthys", "Archiplatius", "Cephalocereus", "Zammarini", "Subhysteropycnis", "Dirksia", "Retrobulla", "Procyon", "Cheirolasia", "Sindoropsis", "Panscopaeus", "Eurychelus", "Cousya", "Calofulcinia", "Zomedes", "Paracoroptes", "Parnisa", "Patrobus", "Breizacanthus", "Lampisiphonia", "Prolixocupes", "Allophylopsis", "Barjonia", "Dejageria", "Acmaeoidea", "Mitraria", "Exodontiella", "Microcleidus", "Scolytoplatypodini", "Asterolepidae", "Eonatator", "Callosciurus", "Desmatogaster", "Macaranga", "Lophotyna", "Abraximorpha", "Entada", "Saurichthyiformes", "Pseudothecadinium", "Cymbaloporetta", "Craspedolithus", "Megarthridiini", "Soleniscoidea", "Danielsia", "Millerolepis", "Sparlingia", "Fingulus", "Sphingius", "Gastrodomorpha", "Sinzowella", "Nephrolepidina", "Chrysothemis", "Parapagurion", "Khuffia", "Trogossitinae", "Tychius", "Pseudeudorella", "Porogobius", "Specinervures", "Iaspis", "Episoriculus", "Discocyclina", "Hydnoroideae", "Spirostomum", "Phialellidae", "Dryptodon", "Platyhystrix", "Methylacidiphilales", "Gasterosteus", "Xylobotryales", "Leptofoenus", "Pseudaclitus", "Leontice", "Belemnoidea", "Mimonicarete", "Micranthes", "Wanneriinae", "Gustavia", "Ptiloppia", "Herpestes", "Diastylidae", "Izinkala", "Spirostachys", "Raceloma", "Eriptychiiformes", "Phorticium", "Neocataclysta", "Mastacomys", "Amnestus", "Acledra", "Limnobaris", "Andrallus", "Stuhlmannia", "Toxoscelus", "Carphephorus", "Cyrtopodion", "Neogosseidae", "Plectocynips", "Hispastathes", "Epibactra", "Georgiacetus", "Psilophyton", "Nanoglomus", "Tonnoiraptera", "Paralibrotus", "Ocladiini", "Stenotremini", "Phaeodothis", "Halitherium", "Neoorthogonius", "Nephrochloris", "Ehretioideae", "Pachyptila", "Chiridota", "Coleosporium", "Empidornis", "Adamystoidea", "Hylophilus", "Nymphaeaceae", "Vermipharyngiella", "Franzpetrakia", "Lukoschus", "Apocaucus", "Broadleysaurus", "Lambia", "Neostenetroides", "Shensiplusia", "Paracrinarnoldius", "Wadicosa", "Fulgensia", "Ixophorus", "Paratitanidae", "Sagenosoma", "Medopheos", "Lygocorides", "Anthelephila", "Trialeurodes", "Lechea", "Mimostrangalia", "Psenuc", "Caeninae", "Pirsoniaceae", "Collinutius", "Peckhamia", "Lepidozia", "Afroploce", "Perunellidae", "Stichogloea", "Parvocaecus", "Platydonia", "Birandra", "Adenium", "Crataerina", "Alfredia", "Stagetus", "Goyazia", "Ingaderia", "Dryocopus", "Curetis", "Xanthopyreniaceae", "Terebrebus", "Methanococci", "Stictocladius", "Meniscomorpha", "Pyrrhopygopsis", "Indoblaste", "Doliolida", "Coreitarsonemini", "Phaeotrema", "Koroga", "Trigonaspis", "Cyclophora", "Neoantrodiellaceae", "Lechia", "Limnotyphloplanida", "Spinospasma", "Planososibia", "Perissonemia", "Zaplous", "Eriocycla", "Clariger", "Raritebe", "Achnophora", "Tmesiphoromimus", "Haplochrois", "Swinglea", "Dynomeninae", "Callioplanidae", "Psittrichas", "Nematocampa", "Beania", "Symphysa", "Nebalis", "Pinopsida", "Calopus", "Tanypus", "Smicrideinae", "Pseudomesitodes", "Pelomonas", "Amphidiscella", "Homalomelas", "Circogonia", "Leptopelis", "Dorcini", "Mixomesus", "Episemion", "Plectorecurvoides", "Altisolepis", "Chamguava", "Craspedoderus", "Scalptrum", "Pseudobathystomus", "Syntomis", "Goniomonadea", "Oreotrochilus", "Peripatoides", "Terobiella", "Vermes", "Thalamophaga", "Harpedona", "Allantus", "Ixobioides", "Trigasilus", "Baryconini", "Notobalanus", "Acinoeuphranta", "Bilophila", "Tuberolachnini", "Horipsestis", "Andradea", "Amphorothecium", "Pennatula", "Enteroramus", "Contomastix", "Bicatillus", "Hagloidea", "Leptocheliidae", "Biosteres", "Neoxenicotela", "Dugdaleiella", "Haemorrhagia", "Cordax", "Eggerelloides", "Paludella", "Entapiidae", "Amundsenia", "Metriorrhynchini", "Laticilla", "Erebomyia", "Orthapolipus", "Pedunculozetes", "Pachyhelea", "Hipponicharionidae", "Arenoparellinae", "Chloroflexus", "Ellenbeckia", "Dalmoburis", "Amphibolurinae", "Byssoloma", "Amphicranus", "Diplolepinae", "Canberria", "Mylostomatidae", "Fregatiella", "Teuthowenia", "Microdiores", "Larus", "Pseudometopius", "Exallostreptus", "Lemelba", "Pleuracanthus", "Tribulopis", "Fabricia", "Heimyscus", "Aschema", "Yantaromyrmex", "Perifolliculina", "Belgrandiinae", "Anaea", "Lamprocorpus", "Shinjia", "Atherandra", "Invertocysta", "Epictia", "Paludicellina", "Pericallia", "Alcithoini", "Extremocystis", "Ericthonius", "Anzia", "Pseudonemadus", "Mattfeldanthus", "Eupoa", "Feshina", "Thecacoris", "Oeosporangium", "Sophrosynidae", "Bohepilissus", "Falsohippopsicon", "Rhodocoris", "Acrocomia", "Courtella", "Acropyga", "Sabethes", "Clinacanthus", "Eupelicini", "Robustoschwagerina", "Monistria", "Paratrachelophorus", "Idia", "Calliopum", "Hazenia", "Foveomicrus", "Koehneria", "Cibicidinae", "Buchnerina", "Chalcoprotaetia", "Phosphilini", "Halymenia", "Diaphanos", "Ardreanema", "Parelodes", "Dasysciomyza", "Tryphoninae", "Cyclolobus", "Amphichlorops", "Baryssinus", "Indofevillea", "Bertolonia", "Choanocotyle", "Chasmanthera", "Hyneria", "Hedychridium", "Apedinella", "Krithidae", "Olpogastra", "Tivela", "Fordia", "Coleochaete", "Lamprystica", "Chobautiella", "Eucheila", "Geomitrini", "Cestoplanella", "Stethopachys", "Eusemionopsis", "Astenus", "Dalaelitinae", "Pterodunga", "Mylodontidae", "Froeschnerocoris", "Jugimuramminidae", "Nymphopsis", "Subterinebrica", "Aplatophis", "Parazoanthidae", "Metrarga", "Carinostoma", "Atrichornithidae", "DPANN", "Thaspium", "Echinobothriidae", "Mordellidae", "Robinsonia", "Limnocythere", "Schistocometa", "Bibasis", "Pselaphoykodes", "Cylindriaceae", "Pentagonia", "Crassimarginatidae", "Xanthetis", "Baeckmanniolus", "Telles", "Rigiotetranychus", "Afremus", "Schizoporellidae", "Pima", "Xenosoma", "Coomaniella", "Bonetiella", "Oxybessoglossa", "Whitfieldia", "Brachopsis", "Hylidae", "Trigonochlamydoidea", "Hagenulinae", "Africocypha", "Laticranium", "Eoenantiornithidae", "Losiusa", "Chysinae", "Hyagnis", "Pocillopora", "Stoloniferina", "Phileurus", "Idalus", "Mesodon", "Metameridae", "Alfenus", "Stylotermes", "Neosampa", "Madabaxyris", "Pyemotoidea", "Sandrapsocus", "Cupha", "Catazetema", "Scydmepitoxis", "Stichastrella", "Vestalis", "Prosphilus", "Glenida", "Saicella", "Trichospirinae", "Agraphopus", "Geoclemys", "Blacini", "Hypotrichia", "Aphanocladia", "Prosthecarthron", "Rayjacksonia", "Lestradea", "Locheutis", "Myripristinae", "Terrathelphusa", "Anomozethus", "Mcvaughia", "Herminiocala", "Moribaetis", "Roseofilum", "Ercomoana", "Metamorphe", "Thecomonadea", "Hylora", "Dorcacerus", "Chorotypini", "Myrmecobrenthus", "Lamellareidae", "Ligophorus", "Metallata", "Callisema", "Olibrinidae", "Herodotia", "Anemadiola", "Ganocapsoides", "Australiosoma", "Neoheterandria", "Synanthedonini", "Kosmoclymeniidae", "Paralargulus", "Ninjatitan", "Rhabdolona", "Plesiobracon", "Kimochrysa", "Spatulignatha", "Maneca", "Muscula", "Duabanga", "Streptanthus", "Paranthrenini", "Perideraion", "Cerdistus", "Leprocaulus", "Anischia", "Nepalanobium", "Cletomorpha", "Pauropus", "Titanolepadidae", "Iyengaria", "Electrentomum", "Urceoliporoidea", "Ethmiinae", "Pterotheca", "Anglaspis", "Dorata", "Metromonadida", "Daguinaspidinae", "Laticarinina", "Eulitoclonius", "Paroxypoda", "Philinoglossa", "Ophiosphalmidae", "Laetonima", "Yakutospirifer", "Roncador", "Mitjaevia", "Microfilidae", "Lioderina", "Cercosaurinae", "Baculitidae", "Theriosuchus", "Speobatrisodes", "Cercophana", "Rhea", "Brachypodieae", "Molurini", "Goniobryum", "Hypopheltes", "Chlorothecium", "Alipumilio", "Diargyria", "Rhabderemiidae", "Eucoleus", "Agrogaster", "Paraparatrechina", "Glottiphyllum", "Palaeometopius", "Zachvatkinella", "Garifuna", "Eurymesosa", "Telfairia", "Hoplidosterus", "Cylapofulvius", "Neotrechus", "Indomorphus", "Parafallacohospes", "Cuproxena", "Tumbezia", "Katinasia", "Dentalinella", "Willema", "Krakingus", "Anchitrematidae", "Antropora", "Sospita", "Eoglobigerinidae", "Xenocypris", "Ceramiaceae", "Oligophyton", "Euplatia", "Cocconema", "Aliciana", "Sheppardia", "Enotepteron", "Andrevella", "Basilewskydiella", "Eligmoderma", "Miralona", "Acoleus", "Sulcocypraeinae", "Aberrantidae", "Ruminobacter", "Aphobetus", "Physoschistura", "Oxathridia", "Clypeasteroida", "Tapinotaspoides", "Telocera", "Johnsonius", "Danubina", "Protoribatidae", "Petalurinae", "Echinothrix", "Diaphorinae", "Acanthogyrus", "Taphos", "Eriocrania", "Bengaliinae", "Asketria", "Entomacis", "Lahmiaceae", "Pelliales", "Scantius", "Singerocybe", "Belluloporina", "Habronattus", "Palaeoblacus", "Tosxampila", "Lamarmorella", "Calyptommatus", "Cephalaspidiformes", "Paramaechidius", "Eoverrucidae", "Diaspidini", "Astrophytum", "Amphibdella", "Zenarchopteridae", "Macropodusinae", "Gandanameno", "Kroppenstedtia", "Poecilarctia", "Coxomaerella", "Hygrotini", "Amphiesmenoptera", "Endochus", "Dinaraea", "Chlorotalpa", "Centrodraco", "Sogalabana", "Platystoma", "Likanella", "Hydrocera", "Polysegmentina", "Hemiphragmeae", "Trapeliaceae", "Collophoridae", "Pseudobivagina", "Congochthonius", "Stenoscyphus", "Neodyschirius", "Enriquebeltrania", "Rhopalosoma", "Steinedesmus", "Metoposaurus", "Episkiolonia", "Paraspathius", "Lithocarpus", "Gryllotalpinae", "Carinodulina", "Judithia", "Chaviniinae", "Platythyreini", "Ridgewayia", "Calderihabitans", "Sycetta", "Macoubea", "Petitmenginia", "Heptapotamia", "Antarcticodomus", "Aletris", "Coronifera", "Hoplatessara", "Chrysanthia", "Euglenesini", "Laelaptonyssidae", "Xotidium", "Sistotremastrum", "Myersina", "Diplazontinae", "Hainardieae", "Ischnophanes", "Hamelia", "Dendrotion", "Pseudopedinomonas", "Arthracanthida", "Anoecales", "Mackenziellidae", "Arachosia", "Panorpodidae", "Acanthonida", "Inachoididae", "Ischnogyne", "Rudaea", "Acidiferrobacter", "Uttaris", "Myrmecacis", "Siparunaceae", "Narosodes", "Coloborhomboides", "Abyssivirga", "Spilopsocus", "Filiniidae", "Peritelini", "Eccoptomenus", "Dumbea", "Cydippe", "Pericaliella", "Neoharpyia", "Actinogramma", "Castilleja", "Atyloides", "Taxitheliella", "Choragini", "Haasellia", "Palirisa", "Scatrichus", "Glyphobythus", "Lanonia", "Khampaseuthia", "Metriorhynchinae", "Thysananthus", "Luperus", "Camagueyia", "Microcheus", "Oxytenidae", "Gempylidae", "Arkaroolabathynella", "Parapullus", "Pseudotolna", "Aphylax", "Nithecus", "Micrometrus", "Viminia", "Aroana", "Bycanistellus", "Bacillometra", "Chionelasmus", "Neblinanthera", "Givira", "Armilliferidae", "Abripepsis", "Inanigutta", "Benthocodon", "Chusenellinae", "Lygidolon", "Xenodermus", "Metrargini", "Longinata", "Acanthodaphne", "Riojasaurus", "Selania", "Erisma", "Schismocarpus", "Propappidae", "Hirsutella", "Raphitominae", "Zygoceros", "Anapsicomus", "Serolidae", "Paratassini", "Duducoris", "Brachypterois", "Chondrostereum", "Mittenia", "Dendropogonella", "Rossioglossum", "Glyphopsis", "Malayopotamon", "Dushimys", "Mischomedia", "Eupotosia", "Lissemysia", "Thaumatometra", "Aglaspella", "Pyramidochrysis", "Deretus", "Nedymoserica", "Acremonium", "Cabombaceae", "Adenogramma", "Procolpini", "Cimicomorpha", "Dogelodinium", "Bunsua", "Xuanhuaceratops", "Eryops", "Psychocentra", "Otospermophilus", "Isthmosacanthidae", "Hemigobius", "Malacoctenus", "Trachymela", "Halteria", "Achroonema", "Phyllocnema", "Athamanthia", "Peleciini", "Nemipteridae", "Kirstenella", "Zosterops", "Peckoltia", "Thera", "Eccoptogenia", "Cyathaspis", "Quasi", "Ciliata", "Paralycaea", "Aphrodinae", "Danielssonia", "Sephenicephalum", "Lepetopsina", "Cephalota", "Fraseria", "Huerteales", "Branchiosyllis", "Angianthus", "Pseudoneureclipsinae", "Ephemeroporus", "Corcyranillus", "Uncinaria", "Cymbomorphini", "MOM", "Oncinotis", "Plaumanniolini", "Argynnini", "Miniopterus", "Neothricidae", "Notopodops", "Cisseae", "Ambogaster", "Breviceratops", "Cretembolemus", "Mecometopus", "Togoperla", "Stagetillus", "Leptariontini", "Mestogastridius", "Megapanorpa", "Taverniera", "Luolishaniidae", "Schoepfia", "Creolimax", "Katreinae", "Limnomedusae", "Malaxideae", "Pandora", "Iospilidae", "Pyemotidae", "Oregostoma", "Cheilotheca", "Rhinthon", "Prestauroneis", "Pyramimonadaceae", "Paraphatnomella", "Australosyodon", "Pitcairnioideae", "Anisophya", "Pierrina", "Silphotrupes", "Raffrayia", "Tmesiphorus", "Parvulobathynella", "Sacculosporaceae", "Monophyllus", "Mimophites", "Nitzschiopsidea", "Eosqualiolus", "Wallacella", "Gastrophaena", "Soridopsis", "Epaphiopsis", "Serpotortella", "Eucobresia", "Dubius", "Ophiacanthida", "Esinerus", "Echinodermata", "Entelexis", "Ischiocentra", "Paluma", "Osangulariella", "Aubertiella", "Monocystidae", "Adiantum", "Buprestodera", "Hesperomeles", "Oreonana", "Megapodiella", "Makaira", "Plectrone", "Gyaritus", "Thermodesulfobacteriales", "Iarucanga", "Mitotichthys", "Araegeus", "Marchandia", "Himascelis", "Oceanimonas", "Amastigomonas", "Stromatopogon", "Montanimbrasia", "Pyriglena", "Plectonemertidae", "Subhimalus", "Ingolfiellida", "Rostranthera", "Jalloides", "Platyhomonopsis", "Aztecariella", "Aegagropila", "Archaeoellipes", "Glycyphagodes", "Rhyncaphytoptinae", "Oterere", "Melanographia", "Zonocotylidae", "Spathebothrium", "Parapilkhanivora", "Prionodontaceae", "Ochteridae", "Phorticosomus", "Chenopodioideae", "Poeciliopsis", "Paramesia", "Cephaloplectus", "Crepischiza", "Smilepholcia", "Massalongiaceae", "Proatelurina", "Anhypotrix", "Caloneis", "Aigialaceae", "Fowlea", "Esosyrinx", "Aktuboclymenia", "Sarcopterygii", "Bario", "Paretaxalus", "Ashella", "Gerrodes", "Channichthyidae", "Lohmanniellidae", "Psephania", "Somatiidae", "Vestibuliferida", "Phlyctenolotis", "Fendlera", "Ratsirakia", "Halopeptonella", "Rythabis", "Caloneurodea", "Prosoponoides", "Haploxizicus", "Porrhotegaeus", "Spiniferomonas", "Chalepophyllum", "Iranellinae", "Nedarassus", "Pseudodiploexochus", "Leucanella", "Varisulca", "Barroeuplectoides", "Pseudoschizopelma", "Mimovelleda", "Spalacopus", "Trichogypsia", "Pelatantheria", "Aspidapion", "Teixeirichthys", "Aphaulimia", "Hoogstraalia", "Dinocampini", "Namation", "Septocrinidae", "Liriogramma", "Pseudoleptusa", "Poricella", "Fasciculina", "Pararodentolepis", "Dictyochlorella", "Zasphinctus", "Indiophonus", "Centritractus", "Mesorabus", "Nawawiella", "Gortyna", "Mirolepismatinae", "Tegeinae", "Acanthopleuribacteraceae", "Mitrophorus", "Kamertonia", "Phyliceae", "Ghilarovites", "Pareucorystes", "Cypselurobranchitrema", "Chelotephrina", "Gerbera", "Cheiropus", "Leptospermophila", "Ballistosporomyces", "Paracilnia", "Idioceroidini", "Litogynodiastylis", "Stenometapodus", "Palumbina", "Cephaloscymnini", "Falsozorilispe", "Mogharemys", "Scorpiops", "Siderone", "Budawangia", "Pionopsitta", "Gerstaeckeria", "Lepidoiticicia", "Colocladorchiinae", "Allodiopsis", "Characiosiphonaceae", "Lagenophora", "Collasuyusana", "Fellodistomidae", "Pseudocolopteryx", "Donacidae", "Dolerotricha", "Ovophis", "Procrica", "Lygisaurus", "Brockphasma", "Aplocheilus", "Syngnathus", "Schizodactyloidea", "Arrhopalitidae", "Goniocypris", "Polia", "Huangtcia", "Sandalodes", "Ruwenzorornis", "Diarthron", "Anacrusis", "Troglocoelotes", "Sattleria", "Archaeoripiphorus", "Lagerstroemieae", "Nakaharanus", "Entetraommatus", "Cotinginae", "Ptychadenidae", "Pommerozygiidae", "Ardenticatenales", "Agarivorans", "Ctenoplanidae", "Gastrophryne", "Milyeringa", "Popayanita", "Hymenicis", "Lithornis", "Indriidae", "Saussurella", "Discocephalana", "Eubodonida", "Calotartessus", "Mekon", "Areoda", "Neoconops", "Ealisbia", "Amphientomidae", "Scybalocanthon", "Farnoldia", "Lophostica", "Catla", "Messoracarus", "Triplectidini", "Siphonosphaera", "Kerorgilus", "Rutripalpidae", "Psephactus", "Chresmodidae", "Loricalepis", "Oobius", "Trichoplacidae", "Hylomyrma", "Paratischeria", "Phaeoceros", "Tochuina", "Pravoslavlevia", "Duhana", "Pronozelus", "Heterodontus", "Abydosaurus", "Mysidae", "Cautires", "Apoamphileptus", "Espostoa", "Obelura", "Menghuoius", "Eualaria", "Cheilochanidae", "Passalidae", "Agonimia", "Paradoxopsyllinae", "Bartholomaea", "Proptychopterininae", "Pseudoancognatha", "Cobananthus", "Styposis", "Gastrotricha", "Phaenogyra", "Thaumastosoma", "Xenotolithus", "Maracaiba", "Haumania", "Metadriopea", "Lipotactes", "Hoeocryptus", "Lizeriinae", "Thallostoma", "Epistranodes", "Amphilochopsis", "Eulonchiella", "Hesperempis", "Euceraea", "Lemmiscus", "Eschata", "Antithamnion", "Megacerus", "Anaphyllum", "Calcarisporiella", "Gracillaria", "Demadiana", "Pseudobrickellia", "Platyspira", "Roscheria", "Asiapistosia", "Harpetina", "Tetanopsyrus", "Aciculosporium", "Cataclysmiini", "Paspaleae", "Planistromellaceae", "Dicheros", "Assegaj", "Pachyta", "Erigonella", "Blubervirales", "Comospermum", "Condicinae", "Dymusia", "Stegocephaloides", "Orthoperini", "Tomeurini", "Hepialichneumon", "Conilurus", "Philine", "Edaphoallogromia", "Maudammina", "Odiliacletodes", "Gomyella", "Aterpia", "Aphysoneura", "Callimitra", "Oreoicidae", "Pseudohexabothrium", "Tidabius", "Leiopelma", "Liometopum", "Clinoconidium", "Desulfomonile", "Momordica", "Polemannia", "Boletinellaceae", "Calobatina", "Coenobiodes", "Unciolella", "Phycocoelis", "Asterostomatina", "Paracanthocephaloidinae", "Cordylogyne", "Cecropieae", "Purius", "Anelastini", "Lycozoarcinae", "Metochus", "Inouea", "Anomaloderes", "Feigeana", "Carcinoplacinae", "Coelogenia", "Stenaria", "Monomma", "Elapoidea", "Meteora", "Anethoporus", "Arotrophora", "Epulo", "Kormijirania", "Haniwa", "Ectromopsis", "Bousfieldia", "Meles", "Trirachodontidae", "Artverviricota", "Ectopoglossus", "Kabindeknomiosoma", "Oncholaimoidea", "Plataspidini", "Camellia", "Dichelaspis", "Isthmoheros", "Tanychora", "Pustulariinae", "Orectospirinae", "Cacajao", "Microtrigonia", "Pelomedusa", "Pterocryptus", "Ectropis", "Dita", "Ceanothus", "Pantolabus", "Cornipila", "Oleomonas", "Galium", "Anthreptes", "Labeola", "Haplopeza", "Planomalinoidea", "Microgramma", "Chortoglyphidae", "Legionella", "Anoxoides", "Panurea", "Simonseniella", "Haplophragmella", "Stenosophrops", "Kalimagone", "Piriclymeniidae", "Opomyzoinea", "Eudarluca", "Uromyias", "Erirhipidia", "Foissneridium", "Medialuna", "Monaxine", "Asaphocrita", "Delinius", "Pseudocucumis", "Erysipelotrichaceae", "Promallomonas", "Hebefustis", "Tetraophasis", "Trisetella", "Jaminaea", "Kuetzingiella", "Mimomorpha", "Simplocariini", "Tetraibidion", "Gnypetalia", "Selenococcidium", "Microcerberidae", "Paracorotoca", "Zulphisoma", "Cheiruridae", "Strobilurus", "Coniopholis", "Oligoflexales", "Microrbiniinae", "Rasnitsynitini", "Phainoptila", "Echinochloa", "Tylosurus", "Cephaloncus", "Alexandercestus", "Rasnitsynites", "Sampera", "Eurhynchiastrum", "Atoreuma", "Whangareiella", "Platydeleaster", "Desbordelepta", "Rhabdolithes", "Nanopsocus", "Redudasys", "Evas", "Oncousoeciidae", "Acridoschema", "Dolopteryx", "Jordania", "Josiomorphoides", "Trestoncideres", "Centrophorus", "Catenicellidae", "Menidiinae", "Pterodectini", "Crypturoptidae", "Kodaianella", "Fusicatenibacter", "Proterorhagiidae", "Siphlonuridae", "Peromatus", "Anillomyrma", "Gudanga", "Felis", "Nototriton", "Australotaenia", "Ohelopapa", "Arachnodinium", "Saccotheciaceae", "Amphileptidae", "Parakalummidae", "Culama", "Kiefferiini", "Sphragisticus", "Cantoria", "Festucula", "Glikmanius", "Stomatella", "Gippsia", "Neophygopoda", "Tlaocera", "Mitophis", "Nitzschia", "Hyaloseris", "Cokeromyces", "Najna", "Jerbarnia", "Exaceae", "Brachyrtacus", "Metapterodectes", "Hypochthoniinae", "Alophycidae", "Coelomycidium", "Melinidinae", "Discheramocephalus", "Orchesellaria", "Erythrophleum", "Pianoa", "Punctacteon", "Myrmecorhynchini", "Helicopini", "Irideae", "Tullbergella", "Cecyrina", "Toxaliba", "Koppe", "Dixonia", "Kingsolverius", "Rhinobothryum", "Myas", "Oxylabes", "Oxyrrhinaceae", "Pinoragus", "Tianzhushanospira", "Plocamaphis", "Melidectes", "Cortinocornus", "Psoralis", "Tokea", "Mercennus", "Pyrostremmatinae", "Tetanocera", "Ctenusini", "Glissomonadida", "Trapezidae", "Parapristipomoides", "Lepista", "Conga", "Neoleucon", "Polytrichastrum", "Macropodanthus", "Hilobothea", "Licinus", "Rhizosmilodon", "Plectomillerella", "Hispaniolanthus", "Skierka", "Rivulinae", "Afroperlodes", "Proteroscarabaeus", "Jaltomata", "Atypha", "Megamenopon", "Dicladiopsis", "Philereme", "Sciopithes", "Zymomonas", "Gretna", "Longizacla", "Craetopycrus", "Kobrona", "Montsecia", "Trabisoxenus", "Stenogyrinae", "Spongicolidae", "Melphidippa", "Malloderma", "Leichusa", "Apatophyllum", "Gorgonidia", "Rumininae", "Asymphylodorinae", "Diplommatinidae", "Ericiolus", "Sarcinodes", "Euphorbiaceae", "Lightiella", "Lichenopeltella", "Amakusaxius", "Myrianthus", "Lacrymariidae", "Scopulini", "Fungomyza", "Imbricariinae", "Sestosoma", "Gnathoclita", "Prorodon", "Squamella", "Lophoteles", "Saicinae", "Pterogyne", "Archelon", "Herpetostrongylidae", "Tarragoilus", "Spermatophyta", "Atolla", "Mitrephanes", "Emeopedopsis", "Macrodontia", "Taenodema", "Andriashevia", "Bombycoidea", "Discoporella", "Arcobacter", "Dileptus", "Hortia", "Diplosentidae", "Trogon", "Hyptiharpa", "Stanhopeinae", "Merhippolyte", "Xiphophoridium", "Camptoptera", "Pseudohydryphantes", "Centronodini", "Sterolibacterium", "Scalponotatus", "Moseriana", "Ixamatus", "Physoplectus", "Cameroniaceae", "Battersia", "Eurytoma", "Erythroclelea", "Oviraptor", "Phaneropsolidae", "Traskorchestia", "Eretiscus", "Cornips", "Pseudanarta", "Acroperla", "Xylopieae", "Stoibocephalum", "Agathosma", "Limaya", "Nippoptilia", "Cyperobia", "Neodiscopoma", "Califorctenus", "Lorestania", "Herpopteros", "Alliophleps", "Caulleriella", "Paleca", "Microtrombidium", "Apocliarthrus", "Aulacopeltus", "Phaennis", "Leptothecata", "Medonodonta", "Macrotermophila", "Chalcone", "Dolosota", "Dasyvalgoides", "Liponyssoides", "Hemimerus", "Diphascon", "Lygistorrhinidae", "Heterocheyloidea", "Fusitriton", "Paraneetroplus", "Chamelophyton", "Cyphochilus", "Kalophrynus", "Stenotrachelus", "Cylindrogullmia", "Serpmixis", "Procolophonoidea", "Pselliophora", "Cladomyrma", "Cystodinium", "Platysceptra", "Plagiorhiza", "Coelopisthia", "Garnieriinae", "Sherardia", "Micractiniaceae", "Nimbarus", "Antigraptis", "Faecalibacterium", "Curtoscaphosoma", "Selenipediinae", "Dentichasmias", "Loxoprosopus", "Cestraeus", "Aviculopectinoidea", "Nannopetersius", "Cubitomoris", "Cylicobdellinae", "Erotidothrips", "Mecistogaster", "Alinea", "Ammodesmus", "Collartidini", "Gisostola", "Cephalophysis", "Truncaloides", "Bythoxenus", "Ceroptres", "Ismardiidae", "Amorphus", "Sphodroschema", "Pedicinidae", "Poecilognathini", "Prockieae", "Phaulothrips", "Turacoena", "Loxocrambus", "Hystrichokolpoma", "Afrocarpus", "Phalansterium", "Pleurosicya", "Climacosira", "Alionchis", "Euclichthys", "Emballonura", "Aneuretopsychidae", "Calliomma", "Micratelodesmis", "Leucaltis", "Librevillea", "Thelypteridaceae", "Troglocimmerites", "Siphomonas", "Tapinothrix", "Tobaniviridae", "Hydropotinae", "Tomoplagia", "Haemohormidium", "Orbitoidoidea", "Eriospermeae", "Lebiasinidae", "Cylindroselloides", "Chicoreus", "Schizoglyphoidea", "Strobilanthinae", "Haroldiataenius", "Acanthostomella", "Carcinopyga", "Pachycallida", "Coroebina", "Pachypterna", "Trichostenideus", "Petersitocoris", "Anaphyllopsis", "Aspidommatidae", "Amicta", "Hemipteroseius", "Mecotes", "Quichuamiris", "Empodium", "Spongocore", "Longirostravis", "Pongycarcinia", "Sciadotenia", "Dinokaryota", "Ischnolea", "Dysphorus", "Hypnum", "Aulacobaris", "Lirimirini", "Alenia", "Tyria", "Calviria", "Cretodeinopsis", "Dasylechiini", "Leucothea", "Discophryidae", "Charletonia", "Texananus", "Ilicura", "Afromastacinae", "Lialis", "Proboscidocoris", "Eczemothea", "Folioceros", "Thurya", "Wormaldia", "Thibetia", "Kar", "Gessyella", "Ctenopleuron", "Brachyteles", "Trichocanace", "Planktococcomyxa", "Helicolithus", "Neosymydobius", "Tamayorkis", "Oestergrenia", "Casea", "Smithimastix", "Inermiidae", "Eurycalleida", "Zhongguohentomon", "Icacinaceae", "Sermylassa", "Lasiotrochus", "Ariocarpus", "Caraiba", "Paradoxides", "Stesilea", "Stenocyphon", "Notobitus", "Avocettina", "Roglicia", "Niehuisia", "Systellommatophora", "Wambalana", "Endroedianibe", "Helichochaetus", "Mucoromycotina", "Neogeoceras", "Oncostemum", "Guttigadus", "Fossilyocypris", "Pachycentria", "Clamator", "Bharatiana", "Geothelphusa", "Bolbocoleonaceae", "Calycosia", "Myxochloridaceae", "Pellia", "Paraloma", "Alcyonidiidae", "Kurogiella", "Boliviocapsus", "Oligocharina", "Talbotiomyces", "Ruizantheda", "Dimetrota", "Podonema", "Talizona", "Compsotata", "Sclateria", "Bacotia", "Eustylini", "Gyrosigma", "Dicranophorus", "Anystina", "Vieja", "Habropisalia", "Adenoplana", "Palaeolithocycliidae", "Gymnophiona", "Jadotia", "Planostocha", "Ancylobothrys", "Desmoncus", "Kaestneria", "Pudeoniscus", "Orbipressus", "Phlyctaina", "Oxycanus", "Apoblacus", "Demochroa", "Omophorus", "Sarraceniaceae", "Parascardovia", "Axonolaimidae", "Apogurea", "Oemleria", "Allocryptaspis", "Ralstonia", "Misbrookea", "Amyiina", "Hilmylepis", "Quasillina", "Dialeges", "Macrosemiocotzus", "Stenochoromus", "Chevroderma", "Alvania", "Trichogalumna", "Belluliini", "Adansonieae", "Oedipodrilus", "Exbucklandioideae", "Ternstroemites", "Psathyrotes", "Xiphias", "Campyloneurum", "Crenalkalicoccus", "Moschopsis", "Bouvierella", "Oidiomyces", "Alkalibaculum", "Davaineinae", "Dichelodontium", "Arctanthemum", "Graesiella", "Miroculis", "Atypophthalmus", "Stapelia", "Misogada", "Nodobaculariellinae", "Stylosomus", "Grymaia", "Bryocladia", "Badecla", "Nataliella", "Heterozius", "Phycodes", "Pylospira", "Oropogon", "Tetradenia", "Aridelus", "Stenodontus", "Pollicobius", "Rotaliellidae", "Plethadenia", "Teratoclytus", "Pyxidium", "Hulecoeteomyia", "Sanuca", "Cybebini", "Eulimnogammaridae", "Synanceiidae", "Pogona", "Perissogomphus", "Parakysis", "Sclerosomatidae", "Ochlodes", "Deuveia", "Isthmoplea", "Oileidina", "Sphaereupatorium", "Euteliidae", "Philorus", "Reissia", "Catenomyces", "Lacetasini", "Polyaspinus", "Mycotypha", "Macellicephala", "Ariston", "Mycosyrinx", "Calaphneope", "Salangidae", "Eupachytoma", "Oceanrickettsia", "Acanthopagurus", "Halophilanema", "Microdeuterus", "Anyutidae", "Ormistonellidae", "Chaoyangornithiformes", "Abracrini", "Satchellomyia", "Physalacriaceae", "Borasseae", "Ctenospondylus", "Rhodopechys", "Andesianellus", "Steigerispongus", "Bomarea", "Adixoana", "Paraphysobates", "Chloroclystina", "Peltaster", "Treptoplax", "Thyropteridae", "Zupaysaurus", "Leistotrophus", "Micronuclearia", "Stromatium", "Tripylina", "Neolobophora", "Pollichia", "Cicatrisestoloides", "Laminicoccus", "Mepleres", "Chaetophthalmus", "Heleia", "Tetratormentum", "Maoraxia", "Lockhartia", "Oreophasis", "Iflaviridae", "Rhizounochloridaceae", "Chrysalidinella", "Bursidae", "Agasthenes", "Densosporaceae", "Atkinsonia", "Neopibanga", "Cosmiola", "Bassozetus", "Agrilaxia", "Glossopelta", "Ulnaria", "Tropidacris", "Metepipsocus", "Cladrastis", "Synapte", "Urangaua", "Critheus", "Gomphonemataceae", "Lamieae", "Pseudechis", "Buccinammonites", "Alloplandria", "Trepeilopsis", "Pseudotephraea", "Botryolepraria", "Neomphaloidea", "Heteropan", "Elmidae", "Eumeces", "Spinulum", "Catacroptera", "Palio", "Ceryle", "Enicospilini", "Coreana", "Athericidae", "Penthostola", "Triphyllus", "Cannabis", "Trichodontidae", "Homothamnis", "Gasparia", "Xenotenes", "Zomicarpella", "Cancellariinae", "Hemiscelus", "Xanthonychinae", "Tartarus", "Glandulinidae", "Kleinia", "Pimelobacter", "Stephaniellaceae", "Pucciniomycotina", "Taiwanotrichia", "Namaquaropus", "Anomalurinae", "Melphidippidae", "Afrognorisma", "Guianacara", "Phaeosaces", "Erythrochiton", "Icosteidae", "Apocopis", "Dacatria", "Coralliophilinae", "Imbricaverruca", "Hypsognathus", "Namibacarus", "Agapanthiini", "Theocorythium", "Bagilloflagellomera", "Deinotheriinae", "Doris", "Junzi", "Welwitschiella", "Hypolycaenini", "Harpalitae", "Buxbaumiidae", "Lulua", "Apristurus", "Bondarzewiaceae", "Fulvoscirtes", "Leiophyllites", "Triplotaenia", "Epimella", "Parabothriocephaloides", "Anserinae", "Habroloma", "Microtriatoma", "Boisea", "Adelophryne", "Lelis", "Monophlebini", "Hippomelas", "Pseudovigna", "Quadroppia", "Tudorinae", "Hubbardina", "Spiniluma", "Neoimbecilla", "Spathulosporales", "Bansartiella", "Gymnodiptychus", "Loxigilla", "Incerte", "Ceronocyton", "Pholiurus", "Merlingina", "Cilium", "Octodontomys", "Crypturaphis", "Piseinotecidae", "Trichosiphonaphis", "Lamponidae", "Mallobathra", "Clathrus", "Paradiplatys", "Calcituba", "Tahara", "Heterostasis", "Anatomidae", "Mimoceroplesis", "Argutoridius", "Priochirus", "Marahuacaea", "Idiastoides", "Pterocorys", "Pseudopygmephorellus", "Phaulochernes", "Longicrura", "Phiomyidae", "Lacustrinellidae", "Pachymatisma", "Eohypsibius", "Paralypusa", "Criconema", "Bolbophanes", "Tarsonemini", "Nannokloster", "Walstibia", "Nanlingozephyrus", "Stromateidae", "Petalopleura", "Phylacteridae", "Laelapinae", "Claudius", "Phacomonas", "Heterostephania", "Aaleniella", "Goniomma", "Heterosamara", "Inkyuleeaceae", "Chilodes", "Polymorphina", "Kaufmannia", "Crypsirina", "Afroanthracites", "Limia", "Phaeotabanus", "Gynoplistia", "Nadinidae", "Fernandoa", "Rockinghamia", "Laestrygones", "Anotomys", "Hoplophorionini", "Chrysothrix", "Belliidae", "Austrotachinus", "Trichapiina", "Cymbaloporidae", "Sibapipunga", "Ditestolepis", "Cylindrochytrium", "Salvator", "Aglia", "Luposicya", "Paenochrobactrum", "Tornocerataceae", "Chonaphe", "Rhynchopyle", "Scytosiphon", "Megaceropsis", "Kriegella", "Chlorotylium", "Townesitini", "Aethioplites", "Microgilia", "Pariolius", "Tanypeza", "Cytharoides", "Asfarviridae", "Allomallodon", "Pemma", "Ricinocarpos", "Combretoideae", "Liebusella", "Juraheterosmylus", "Akronusa", "Senotainiina", "Naemateliaceae", "Pseudomarvania", "Pygiopsylloidea", "Microhedylidae", "Percinae", "Psilodens", "Xylotrechus", "Wygohygia", "Anzoplanini", "Cyclothyrididae", "Cyperana", "Microgadus", "Rhopalophthalmus", "Pharotis", "Paramahisa", "Baizongia", "Alleculaedoeus", "Tigava", "Thermithiobacillus", "Microcolypisalia", "Siphonostomatoida", "Nisoniades", "Halopyrum", "Dudleyellus", "Scolionema", "Orbiliales", "Motasingha", "Plagiopylea", "Glaucocystales", "Dicheloscema", "Machadosentis", "Pseudotoglossa", "Callipogonius", "Vanilloideae", "Andepteron", "Phlogiellini", "Didymops", "Arinia", "Dorceus", "Madagascarcypris", "Vanmanenia", "Mizothenar", "Dischista", "Electrococcidae", "Rejectaria", "Rotaria", "Pyrilia", "Eremodaucus", "Nitrosococcus", "Colpostoma", "Tyrannida", "Eunebristis", "Brongniartieae", "Chelisoches", "Megacoelini", "Korobkovella", "Bryum", "Eutegaeus", "Sclerospongiae", "Euryphyminae", "Xalpirta", "Eodinia", "Iassinae", "Trichoderma", "Tyrrellia", "Helochares", "Hematodinium", "Eohastigerinellinae", "Monocerellus", "Prioria", "Vitrimurella", "Coniodictyum", "Trifonovia", "Diurix", "Nematopodius", "Neoleucitus", "Bucolinus", "Attelabidae", "Proagnesia", "Turridae", "Anaeroarcus", "Harpalinus", "Dorsilopha", "Trewavasiidae", "Sepulenia", "Xainzanella", "Hemichenopus", "Lathriopyga", "Protoplectus", "Neosalurnis", "Cosmoplatidius", "Floscaldasia", "Hypsimetopidae", "Aphilopota", "Sandalomenia", "Pteropeltarion", "Pelomyxa", "Tritrichosiphum", "Chaetodontidae", "Pachakutej", "Paramphicteis", "Polyclonus", "Neolaphyra", "Aneflus", "Onychargia", "Clytra", "Rhyncogonini", "Exogone", "Mickwitziidae", "Pterocladiella", "Spanistoneura", "Neoachmandra", "Rhodostemonodaphne", "Citriphaga", "Thyridinae", "Pterycodes", "Pinocchio", "Narcinidae", "Lioptera", "Hyposoter", "Califia", "Silluvia", "Nanocnide", "Emberizidae", "Thryptaturus", "Hemirhipidia", "Pachymetopon", "Rhexius", "Niveaphasma", "Hylocomiastrum", "Antrodiaetus", "Tennesseellum", "Hypagyrtis", "Pachypleurum", "Diplocoelus", "Lepaniinae", "Asepalum", "Schmitzofulvius", "Paleocartinae", "Agapanthus", "Fulda", "Tropidamaurops", "Allobracon", "Nobia", "Dilophia", "Harveyelleae", "Stereomyrmex", "Glycerina", "Monocrypta", "Catastia", "Pegusa", "Aseirba", "Boreiohydriidae", "Kickxellaceae", "Bothriuridae", "Coprimorphus", "Fragmocirrus", "Rhodothamniella", "Hypnomonas", "Fortiellopsis", "Leightoniella", "Paradiplozoon", "Tacora", "Pumilanthocoris", "Ceratacis", "Gadilida", "Evalljapyx", "Sarla", "Scarabapolipus", "Chaetarthria", "Eucalyptococcus", "Francuscia", "Corallistidae", "Ctenodonia", "Nephax", "Chondrieae", "Inocelliidae", "Ladoffa", "Epaphius", "Alophoixus", "Bychovskiata", "Globosphaeria", "Amphipoda", "Oreohoplis", "Closteriococcus", "Aliniella", "Alopecuroceras", "Dressleria", "Dicladanthera", "Afroleiodes", "Pigafettinae", "Melanesobasis", "Namaquanula", "Subafissa", "Scouleria", "Alofa", "Facydes", "Bolbogonium", "Miniacina", "Calyptophilus", "Rhinonyssidae", "Nonninae", "Microdulia", "Ptyctodontiformes", "Monorchiinae", "Rhodothalassiales", "Aulotortinae", "Braconidae", "Philomacroploea", "Komiyasoma", "Proxiphocentroninae", "Migidae", "Anastathma", "Laphystiopsis", "Hellenia", "Harpactognathus", "Mexentypesa", "Pachyjoenia", "Paraxenita", "Paraxenolea", "Oreogetoninae", "Sinorchestia", "Leiodermatium", "Ero", "Arnoseris", "Monteithocanthon", "Metallographeus", "Pristigenys", "Tetraparma", "Wadelius", "Toxorhynchites", "Callarge", "Thrinacodus", "Tenuiloricus", "Pseudalutarius", "Troglophilinae", "Palpomyia", "Isognathus", "Trichuridae", "Entomophthorales", "Kadlecia", "Tectiviridae", "Heleophrynidae", "Eurycentrum", "Chasmocarcininae", "Prepopsisca", "Caliginopsalta", "Agelopsis", "Epigyphantes", "Orthacanthidae", "Somalina", "Epimachus", "Neotomodon", "Goditha", "Ceratoconchinae", "Monaxinoididae", "Polyderis", "Arthoniomycetes", "Clavilispinina", "Indoartemon", "Noremia", "Osa", "Cephalophlugis", "Dysanellus", "Exosternini", "Dinocephalopsis", "Psilochilus", "Asterosteidae", "Lertha", "Colobopteridius", "Tachyphyle", "Cryptocephalina", "Rondoniella", "Ixiolirion", "Zakerana", "Calcaxonia", "Spirolingulininae", "Leptochlamydophrys", "Astromula", "Vianagramma", "Encephalosphaera", "Paradictyopharina", "Taphrorychus", "Fissicaudus", "Howefulvius", "Hedychium", "Janaira", "Salomonelaps", "Glaucostola", "Celamoides", "Notosaria", "Habrona", "Seba", "Polynyapodella", "Iberoporus", "Spilophorini", "Claparediella", "Creocele", "Masasteron", "Laderrica", "Dransfieldia", "Nivenioideae", "Pyrenomonas", "Dinosauria", "Lamiessa", "Megaetaira", "Coelosomidiidae", "Phasmosomus", "Eusceloidia", "Neothona", "Meretrosulus", "Elioraea", "Paracarsonini", "Mireius", "Dicheniotes", "Eozoa", "Praestephanos", "Sulidae", "Salminus", "Dysodiopsis", "Laburrus", "Zhyraornis", "Oedodactylus", "Andreanna", "Cuscatlania", "Treculia", "Anabantaria", "Ancyrona", "Thaumatoneura", "Sabarhytus", "Neomassarinaceae", "Bothriomiris", "Dictyocoryne", "Drepanocnemis", "Skiatophytum", "Meristiella", "Blepharosis", "Austrocylindropuntieae", "Thaumatelsonella", "Domopora", "Cycloforina", "Aphycoides", "Sulfolobus", "Dioscore", "Amoebida", "Glassoceratinae", "Raphiocera", "Quarternio", "Pilades", "Choeropsis", "Entomobryomorpha", "Pareuchilia", "Akania", "Neuwiedia", "Heterokamaka", "Nassulopsidae", "Rotaliidae", "Euserica", "Cliopsidae", "Mecocerinopis", "Syncalathium", "Setonix", "Mendoza", "Melandryinae", "Dialytes", "Eukoebeleia", "Sacoila", "Ebosia", "Bleekrodea", "Farysporium", "Flamingolepis", "Syzygoniinae", "Zelandopsocus", "Scolobates", "Citrilolepis", "Mniobryoides", "Anaplectes", "Exoneurella", "Lobocaecilius", "Paraliochthonius", "Ceratostylis", "Megacheira", "Prionodon", "Qiannanites", "Camptandra", "Ivdelina", "Tinaroo", "Zhengyia", "Lipaphnaeus", "Poinarembiini", "Coenocalpe", "Agabus", "Molione", "Xenocylapidius", "Daradaxoides", "Tongini", "Aristoptila", "Sciadocephalus", "Australonuphis", "Dolium", "Palaemon", "Bilulua", "Casignetella", "Allodahlia", "Trichodothis", "Pseudopachorhopala", "Beulahmonas", "Paecilomyces", "Herotilapia", "Beaucarnea", "Mermis", "Sphaerocarpales", "Trichogomphus", "Nathalis", "Amarynthis", "Myocious", "Problongos", "Euchirini", "Nephroma", "Chloropsina", "Sphecotypus", "Anocellidus", "Hemidiscella", "Oldroydia", "Kisanganichthys", "Deferribacter", "Seymouria", "Clinostomoides", "Ocydromiinae", "Paramecium", "Psoroptes", "Kopua", "Enchodelus", "Pimplomorpha", "Imantocera", "Gromphas", "Nasalis", "Catasetum", "Cyphonotida", "Moxostoma", "Dicranoctetes", "Brunsellius", "Arctata", "Sireuma", "Crabroninae", "Cyanella", "Potaninia", "Microcerculus", "Halteriia", "Crobilocerus", "Cylindroleberidoidea", "Sinoscalpellum", "Calvertagrion", "Rhabdosargus", "Bathyra", "Pronophaea", "Micreolina", "Colaranea", "Xenophanes", "Kenima", "Meiothermus", "Cubozoa", "Compositocoris", "Allokoenenia", "Neogonatopoides", "Pereulixia", "Inomataozephyrus", "Persicirhabdus", "Poneropterus", "Scaritinae", "Catuna", "Spinipocregyes", "Scybalista", "Brevianta", "Compressioninae", "Aulacochthebius", "Chlonocoris", "Eupelicina", "Scleraulophoridae", "Serixia", "Erysiphaceae", "Dendrotriton", "Booloumba", "Trailliaedoxeae", "Aprifrontalia", "Megatibicen", "Synechogobius", "Strophocactus", "Citharistaceae", "Engystomops", "Pseudoborniaceae", "Eriogaster", "Ramisyllis", "Sclerophion", "Lagarotis", "Microleptinae", "Amarysius", "Ecougellidae", "Myodonta", "Pfenderininae", "Chaenusa", "Ophiozeta", "Irona", "Poecilanthe", "Peltonyxa", "Grouvellina", "Canallodiscus", "Lepidiolamprologus", "Cryphoecina", "Pyrgostylus", "Millerigobius", "Semiolepis", "Hovophileurus", "Dichelonyx", "Triptychus", "Psilidae", "Mammamia", "Kalobittacus", "Thiodictyon", "Pseudoclavigerodes", "Cupedinae", "Paralabamina", "Tammo", "Stephanitis", "Chileanthicus", "Elattoneura", "Duostominidae", "Antivulgaris", "Prasinohaema", "Felidae", "Sesamiina", "Platytyliscus", "Rhodininae", "Neomuretia", "Garrodia", "Ephutomorpha", "Gayundah", "Spilotragus", "Lophostemoneae", "Ventosimonas", "Idiapogonia", "Asiocortarsonemus", "Xanthiopsis", "Tapinoscaris", "Philacamatus", "Trachepyris", "Nannochoristidae", "Actinochlamydia", "Melioideae", "Chelosphargis", "Rictulariidae", "Speomolops", "Martellivirales", "Plectofusulina", "Anomalochromis", "Cosmia", "Sussaba", "Guapira", "Dictyospermum", "Pooecetes", "Cyphanus", "Phaecasiophora", "Mamestrina", "Latreilliidae", "Abronicidae", "Sinorickettsia", "Tetracampinae", "Rhopalizus", "Transmixta", "Acrotomodes", "Nothocanthocera", "Chaetopatrobus", "Protachinus", "Spongaster", "Petascelini", "Cidariophanes", "Ceratoperidinium", "Navosomopsis", "Attini", "Schubertia", "Belisarius", "Anonymus", "Gastrocotylidae", "Sabulina", "Chilenomyiinae", "Baltraella", "Melanthripidae", "Martiniola", "Entodesmis", "Proschkinia", "Holmiinae", "Hyphoryctes", "MZUFBA", "Geoemyda", "Achelousaurus", "Ctenomeristis", "Eoreticulariinae", "Euchemotrema", "Dictyodoris", "Eunapius", "Miroplana", "Termitoiceus", "Euprotomus", "Luzarini", "Pseuduvaria", "Chenopodieae", "Sebdeniaceae", "Madoryx", "Natrialbales", "Patinapta", "Changia", "Loukashkinia", "Dungog", "Atychodea", "Muricinae", "Protohynobiinae", "Fontaliella", "Pholidoherpia", "Heterochordeumatidae", "Glycymerididae", "Myiarchini", "Pakeha", "Leioderes", "Bonnierella", "Spes", "Aridaeus", "Elymana", "Halme", "Mesodesmatidae", "Nikitella", "Rutela", "Pelecinidae", "Melasina", "Edbakerella", "Amasyxia", "Austronereia", "Stictodiscella", "Anomyctinae", "Maximiliaeus", "Anoplodermatinae", "Aphyllanthoideae", "Akanthoystera", "Thalasseleotris", "Guyotemaimetsha", "Archaeoistiodactylus", "Geochelone", "Microthelys", "Aleurovitreus", "Lonas", "Sauterina", "Alkalibacterium", "Dulichium", "Oxyodontus", "Bothynostethini", "Neogriphoneura", "Cacomisthus", "Pentagonicini", "Vemakylindrus", "Bimuria", "Amphidasya", "Sphaeropsocidae", "Huntiglennia", "Sthelenus", "Xyelini", "Pherohapsis", "Zekelita", "Didaphne", "Leipophorus", "Paranourosorex", "Mitchella", "Turnicola", "Lepidogalaxias", "Leptoceroidea", "Walzia", "Phenacodes", "Alophomorphella", "Kyrtusa", "Septuma", "Allotagia", "Petrelaea", "Satyrinae", "Ribasia", "Desmoxyidae", "Antirrhopa", "Didymozoinae", "Haloterrigena", "Euxylophora", "Epipemphigus", "Gaetulia", "Streblognathus", "Bateidae", "Coccothrix", "Furfurella", "Teniorhinus", "Bruchina", "Pseudofoenus", "Rivulariaceae", "Pagaronia", "Frullania", "Atithasus", "Bakeridesia", "Acanthostachys", "Tylodontia", "Talarodictyon", "Heterops", "Physorhinus", "Lagynopteryx", "Rhopophilus", "Strymonidia", "Cirroplana", "Discosea", "Madagaschiloides", "Dichaeturidae", "Profusulinella", "Dimerostemma", "Zidonini", "Halostella", "Microsporidium", "Euhapigiodes", "Hackerocryptus", "Boreallodapini", "Disarthricerus", "Monoplex", "Nirbiana", "Bonnemaisoniaceae", "Miltogrammina", "Rhizoclosmatium", "Ptilura", "Acutosternus", "Cyperacarus", "Costitachys", "Scutelliferini", "Paraspilarctia", "Balebreviceps", "Loxodidae", "Heterocepon", "Neohybos", "Pseudowoodella", "Wertheimeria", "Rhysotritia", "Ixoreis", "Sulcastrella", "Portunion", "Lophoproctidae", "Alloeomyia", "Pyramimitridae", "Acidiplasma", "Peripentadenia", "Stheniopygus", "Electrolictus", "Amaurobioidea", "Cryptoconchus", "Nesoneus", "Melanophidium", "Socarnopsis", "Evbrittonia", "Gladiolimon", "Togocesa", "Lasiopterini", "Pleurogona", "Ozotrioza", "Porphyrocrinidae", "Phocoderma", "Styloichthys", "Canaria", "Cylindropuntia", "Crenotalea", "Tenebriochernes", "Hytophatnus", "Lepisma", "Dortus", "Eophrynidae", "Ooctonus", "Annulipulsellum", "Lafontaineana", "Hypnaceae", "Helcionellida", "Antitype", "Nertera", "Paniestichus", "Xenocaucus", "Oestodini", "UMSS", "Charadriphilus", "Mummu", "Glyptorhaestus", "Bryomorphe", "Caseodontidae", "Auriculellinae", "Orchestiella", "Pterodectinae", "Eujalmenus", "Archiconchoeciinae", "Libera", "Retronectidae", "Nynantheae", "Anhellia", "Anochrostomus", "Percursaria", "Ghoria", "Thysanotinae", "Tentaxinae", "Eorchestia", "Corycephalus", "Granatellus", "Libanoglaris", "Cicindinae", "Englerula", "Anormogomphus", "Baudouinia", "Pseudozioidea", "Polycystididae", "Kryptophanaron", "Mangorini", "Linycus", "Chaetopteryx", "Heptacladidae", "Melanocercops", "Paititia", "Campteropsis", "Geoscopus", "Laterocotyle", "Campylothelium", "Sarotesius", "Coscinocephalus", "Phaneta", "Altichorthippus", "Canadanthus", "Columbiformes", "Paravalvulina", "Lachanodes", "Pararhynchelmis", "Oxoia", "Iaria", "Pristiophorus", "Neocaridae", "Guyanostreptus", "Austroleptis", "Vaceletia", "Ammotrypanella", "Aconias", "Discospermum", "Lubbockichthys", "Morulina", "Pycanum", "Burkholderiales", "Leptostegna", "Aesiotes", "Cyclocheilos", "Dendrophagus", "Fimoviridae", "Brosme", "Parostedes", "Micranthus", "Clypeasta", "Pharceonus", "Physiomorphus", "Characiopsis", "Eoforschia", "Atrecus", "Antaeola", "Nesosisyphus", "Pseudacidovorax", "Wattadelium", "Dedeckera", "Reikosiella", "Lyttoniidina", "Barichneumonites", "Earlmyersia", "Bresilioidea", "Urocarpidium", "Lepidotoramus", "Tapuiasaurus", "Epidesma", "Trapezitinae", "Bukrylithus", "Idiochelyna", "Pholcinae", "Aurantimonas", "Euryeidon", "Macrazelotina", "Neocatapyrenium", "Artemidiconus", "Deiregyne", "Niveotanaidae", "Eonycteris", "Globularia", "Platanaceae", "Benhamyia", "Gejavis", "Parapimpla", "Agriogomphus", "Smoutina", "Martes", "Chaetobranchus", "Tamilnadia", "Nanniresthenia", "Hexacrobylidae", "Bosquetlepas", "Belamira", "Aloninae", "Thuretia", "Rhodothamnus", "Barbascalpellum", "Boquila", "Tridentaforma", "Triassomachilis", "Arena", "Dasyfidonia", "Pseudoplanulinella", "Asterostegus", "Teratura", "Kaszabjbaloghia", "Isabellaria", "Plectranthinae", "Paalzowella", "Floydia", "Rhaptapagis", "Sium", "Chloristola", "Myrmecoclytus", "Afroqueta", "Pisciformia", "Zhijinaphaenops", "Euthalia", "Batillipedidae", "Trombellinae", "Circaeus", "Ellipsoidina", "Nwynea", "Guichenotia", "Ptosima", "Pseudoisarthrus", "Serranidae", "Promicromonosporaceae", "Epactoides", "Ramusella", "Damiriopsis", "Paramonticellia", "Penaeaceae", "Doridium", "Ovaloplaca", "Phellopsis", "Notocaryoturbella", "Cichliformes", "Terebratulidina", "Andreprevotia", "Hesperostipa", "Pogoniopsis", "Lagariella", "Atenesus", "Siderocystopsis", "Jakarellus", "Flexicrurum", "Heliohemonia", "Acrodontochelys", "Metacyrba", "Antarctogeneia", "Cichorioideae", "Loebelia", "Panningia", "Zeridoneus", "Pseudandrya", "Laoma", "Psiguria", "Luxilus", "Conraua", "Icfrealeyrodes", "Catinaria", "Urancyla", "Neotrephes", "Ungulatelloides", "Theryola", "Postocaprella", "Cornusymmoca", "Atarphia", "Iskandera", "Cupolaconcha", "Ptenogonostreptus", "Cixidiina", "Sceptrulophora", "Acanthaegilips", "Siphonellopsinae", "Marcetella", "Amaryllidinae", "Glabrapelta", "Pseudonestor", "Serratosculum", "Psammorpha", "Scopalinida", "Eccoptocera", "Thevetia", "Tambourella", "Megapocaucus", "Gyrostipula", "Tulipa", "Trichodopeostus", "Hypogeophis", "Bacillus", "Freyaninae", "Neothomasella", "Villofustiger", "Globotruncanella", "Oxyhaloa", "Valvalabamina", "Eilithyia", "Brattegardia", "Caledomina", "Kleidotoma", "Abyssotheres", "Klossia", "Weyprechtia", "Clyporhynchus", "Ploechingerella", "Pelecyophrya", "Cololabis", "Gesnerieae", "Radiolitidae", "Fosliea", "Tragopini", "Bellesia", "Adenocarpus", "Actinellopsis", "Encyrtinae", "Pentanemus", "Yadavaea", "Noetiidae", "Paschiodes", "Myxobolidae", "Ctenistes", "Paracorynurella", "Euthemis", "Hedraeophysa", "Anepisceptini", "Nothochilus", "Molynopteroides", "Prophalangopsis", "Allocerellus", "Paracarnegia", "Pareucibdelus", "Dubinectes", "Hydrozetes", "Pelidnopedilon", "Tatochila", "Chilothorax", "Myxobolus", "Sophona", "Megalodes", "Anaeromonada", "Cratomastotermitidae", "Copidoplana", "Vitula", "Lysionotus", "Cryptillas", "Thaiphusa", "Areneidae", "Sicoris", "Austroterobiinae", "Churinga", "Conchotingis", "Phyllolepida", "Loeblichopsis", "Oshaibahus", "Heterotella", "Goniomonadaceae", "Tambocerus", "Poropuntius", "Motschtyrus", "Hauerina", "Rhabdodictyum", "Archinotodelphyidae", "Philonthus", "Soractellus", "Paraglomeraceae", "Buccinulini", "Collotheca", "Prionocidaris", "Gnathidiini", "Agraphospiza", "Marinemobiini", "Cavanillesia", "Cecina", "Blepharisma", "Methanosaetaceae", "Synochromonas", "Kindleya", "Boricyrtinus", "Pottia", "Zaqiqahinae", "Nasutitermitinae", "Symphimus", "Xenosellidae", "Siccia", "Antirrhineae", "Mekongianina", "Atrophacanthus", "Archepyrgus", "Antepipona", "Ostracion", "Pseudoruttenia", "Peganum", "Afraciura", "Paracastus", "Alysdacnusa", "Rotaliammina", "Telmatoblechnum", "Tetrodontochelys", "Metamyrrha", "Ischnopsyllidae", "Lysicarpus", "Atherininae", "Alticina", "Desmospyris", "Eclysis", "Setoisenoton", "Fidiobia", "Poecilomigas", "Ostertagia", "Malawisaurus", "Euglenineae", "Mycosphaerellaceae", "Exalphus", "Palpimanus", "Neopasites", "Paralabrax", "Nannosciurinae", "Eutrichites", "Dicloster", "Phyllodromica", "Triplostromium", "Coccosphaerales", "Apheloglossa", "Pseudohowella", "Morenoinaceae", "Otolithes", "Chroniosuchidae", "Chileotaxus", "Chaetomitriopsis", "Idutywa", "Acanthoecia", "Amblycoptus", "Batocera", "Liotomus", "Chubbina", "Gymnocerus", "Odontostomum", "Penaherreraus", "Idiomiris", "Corynocarpus", "Leptophlebiinae", "Camellocossus", "Procellariidae", "Calappula", "Connaraceae", "Bertkauia", "Tomewingia", "Paracorynanthe", "Corallinoideae", "Nastanthus", "Rapala", "Carlhubbsia", "Nassulida", "Microgynoecium", "Filarinema", "Marginara", "Megalonotus", "Paurorhynchinae", "Calyptochloa", "Octomeris", "Searenia", "Sinobdella", "Oedischioidea", "Linderina", "Hiekeianus", "Termitopithina", "Tintinnida", "Microhylidae", "Catolethrobius", "Drychateres", "Erythrotrichiaceae", "Megaladapidae", "Chouxia", "Ctenicera", "Rhabdodendraceae", "Astrocoeniidae", "Arthroleptella", "Montrouzierana", "Stevia", "Proszynskia", "Medeusa", "Deihim", "Hypocacculus", "Brezinacantha", "Stephanolepas", "Koskinobigenerininae", "Grammoscelis", "Australopsylla", "Holcorobeus", "Dolophron", "Ulochaetes", "Uranothauma", "Cyathopharynx", "Salmonella", "Diapodina", "Pseudoarcyptera", "Microspermum", "Miracarus", "Ommatochila", "Penjatinema", "Micranthribus", "Rhipidioides", "Farrea", "Magmara", "Thrinaxoria", "Ishidacantha", "Hebrinae", "Parapythais", "Holopterini", "Xylona", "Helcystogramma", "Mascarenotus", "Bitectiporidae", "Labrogomphus", "Erynia", "Rhododon", "Adoxophyes", "Anoplodonta", "Argobuccinum", "Cristaerenea", "Bruma", "Heteronychus", "Chaetocosmia", "Domrownetes", "Acanthoplesiops", "Carpediemonadea", "Leurocyclus", "Austalis", "Archaeosphaerodiniopsis", "Rhomboarctus", "Finegoldia", "Rhizomopteris", "Dolophonini", "Quintilia", "Bezzenbergeria", "Akerogammarus", "Heliconius", "Glomeribacter", "Chitta", "Blastocladiomyceta", "Capparicordis", "Eusora", "Engraulidae", "Nyctomyini", "Formosania", "Carcinoplax", "Palawaniaceae", "Palpibidion", "Diplochloris", "Zhuanlema", "Antarctosaurus", "Catiniidae", "Bulbobaculites", "Hoplomaladera", "Teuthraustes", "Corynoserica", "Microryctes", "Phaenognatha", "Apteryoperla", "Baxyridius", "Phyllophila", "Ophiopezidae", "Mesargus", "Babingtonia", "Pardachirus", "Voalavo", "Barathronympha", "Tetranephris", "Gomeza", "Kardomia", "Chauna", "Lycomorphon", "Eriophorum", "Tayabasa", "Rapidithrix", "Notholaena", "Glossina", "Sanchytriaceae", "Corioeme", "Skatitoxenus", "Acallapisus", "Aliagarivorans", "Leptocerini", "Dicepolia", "Pholidoteuthidae", "Tomopterus", "Apocordulia", "Aplysinella", "Murmurillana", "Lineolepis", "Sitella", "Geryoniidae", "Hemiseopsis", "Austroesthetini", "Hemigalinae", "Abrela", "Madecokampta", "Maschalocephalus", "Gastrosarus", "Cyprinoidea", "Roridula", "Transennella", "Pyrenothrix", "Nipponobythus", "Ascidieria", "Nusatidia", "Didymosphaeria", "Isopogonini", "Matthiola", "Lycochoriolaus", "Roulletia", "Peckiella", "Paralychrosimorphus", "Siphonandra", "Gomphichis", "Armostus", "Tracheloschizus", "Pilotrichidium", "Alokistocaridae", "Malvapion", "Slonikinae", "Setalidius", "Kulcania", "Panobius", "Danhatchia", "Tropiduchodes", "Mycoplasma", "Mimonneticus", "Wasmannina", "Diorchidium", "Carlemannia", "Gasosaurus", "Tajuria", "Pyramidoptereae", "Yuhushiella", "Eodiscoidea", "Arrhenopeplus", "Perucolini", "Pandoroidea", "Rhinodictya", "Orthopodomyia", "Cappadox", "Lamtopyxis", "Bysmatrum", "Lithacodia", "Neritopsidae", "Cercyrini", "Pachnoda", "Narasimhania", "Rondeletieae", "Woodruffiidae", "Soulamea", "Risungbinella", "Pomatiopsinae", "Ferganiinae", "Sphecioses", "Anthidiini", "Betaeus", "Macroscython", "Lelegeis", "Microbrotula", "Litopyllus", "Pseudonapomyza", "Cylindrophis", "Prodirhagus", "Hemerocoetidae", "Isophrictis", "Buzasina", "Paralycambes", "Trigonopedia", "Centroglossa", "Athyrididae", "Pluvianus", "Oncomera", "Orgyiini", "Microtegeidae", "Harminius", "Acanthizidae", "Issidae", "Caprellidira", "Sherbournieae", "Philippipalpus", "Istiompax", "Exyrias", "Prionace", "Myrmicini", "Lomagostus", "Pseudonacaduba", "Thiophysa", "Afrophitodum", "Nesopelops", "Macrocheilus", "Austranoplium", "Chineater", "Abacetus", "Shoemakerella", "Convallarieae", "Actocharini", "Uropterygius", "Trichorsidis", "Squamulininae", "Branchiostomidae", "Sternoptychidae", "Neritini", "Eugonatopus", "Cyclaulus", "Anticlimax", "Proterythraeus", "Picrolemma", "Gazera", "Trachycarpidium", "Epitornoceras", "Rhinoprora", "Mucidosphaerium", "Tetrastes", "Poekilocerus", "Coelichneumon", "Syntrophobacteraceae", "Graciliscincus", "Aspidura", "Callidiini", "Bothrys", "Bellicidia", "Axinyssa", "Gymnomyza", "Hemibracon", "Plinthisus", "Shaverdolena", "Stegobolus", "Tyrannides", "Gryllochyzeria", "Gerkeina", "Trichocephalida", "Neosharpiella", "Edaphosaurus", "Ceraceosorus", "Acochlidiacea", "Risiocnemis", "Guanduella", "Gigasiphon", "Acirsa", "Clautriavia", "Mallodon", "Minchinia", "Paratomellidae", "Neogastromyzon", "Acanthostrongylophora", "Bradleya", "Calonola", "Phaeosphaeridae", "Sybromimus", "Athetis", "Spumorbis", "Youngiverruca", "Protoperlina", "Scymnhova", "Homoeotricha", "Dendeziini", "Crystallotesta", "Meruidae", "Zyzzyva", "Fulgoridicida", "Anchomomys", "Opistholernaea", "Biancolina", "Cystidiini", "Bukitritia", "Sphaleroptera", "Amphilemuridae", "Mussurana", "Huneckia", "Hydraeninae", "Barbilophozia", "Monosporidium", "Koruella", "Selenisa", "Meryeurus", "Platymeris", "Husseya", "Polyopes", "Bembix", "Thelia", "Arabineura", "Didymoglossum", "Bradina", "Psilacron", "Talpini", "Coptocycla", "Hydropsalis", "Amydetes", "Naupliicola", "Batriphysis", "Panopodini", "Micromentignatha", "Feltia", "Endromarmata", "Tribalinae", "Neodiparinae", "Aulacocephalus", "Ovulinae", "Labidaspis", "Serinibacter", "Asygyna", "Deinococcaceae", "Leptopterigynandrum", "Eolocustopsidae", "Alcyoniina", "Agalliini", "Oplismenopsis", "Trechicomimus", "Platypodanthera", "Borneogrammus", "Pelossus", "Raymondiceras", "Typhlocolenis", "Loricera", "Oriens", "Paradainella", "Passovia", "Melanosternarchus", "Borbochara", "Guilbertocoris", "Baggea", "Phoperigea", "Castillineae", "Malthodes", "Pachypoides", "Schizodinium", "Sapayoa", "Reductosoma", "Cancrinia", "Boromorphini", "Thliptoceras", "Scaptotrigona", "Exocoetoidea", "Formicocephalus", "Salomona", "Morethia", "Procynops", "Amauromorpha", "Sonchella", "Rapetosaurus", "Profundulus", "Phemonoides", "Bruneria", "Achenomorphus", "Brailovskyocoris", "Etrocorema", "Niphargogammarus", "Atissini", "Dicaelindus", "Austrochloris", "Selaginellales", "Ampheida", "Phronimella", "Foveacheles", "Dunbarinella", "Neoberis", "Ceratopemphigiella", "Diplodocus", "Anxylotoles", "Dactylopodola", "Malacovalvulida", "Caricea", "Cordoxylamia", "Epiceraticelus", "Ergatettix", "Teicophryinae", "Powelliphanta", "Ichthyocupes", "Paraphilomecyna", "Hymenelia", "Taxiplagus", "Fibrella", "Dunwichia", "Oreocalamus", "Epicrates", "Myersglanis", "Hydroginella", "Asiocnemes", "Dishkeya", "Alveus", "Pseudocubus", "Lamponella", "Phytobacter", "Riscus", "Oreophyton", "Dichrocephala", "Proailurus", "Pellucidaspis", "Aplustrum", "Austinixa", "Polyzoa", "Oxytripiina", "Goniagnathini", "Claviceps", "Trichiina", "Eriinae", "Laticola", "Kogiinae", "Neohelvibotys", "Redonographa", "Belgrandiella", "Ankothrips", "Protoaviformes", "Catenophlyctis", "Pyrostria", "Kuiterichthys", "Pupilloidea", "Athroisma", "Todziaphyllum", "Dictyosiphon", "Asaroideae", "Vanilleae", "Estevesia", "Habronematoidea", "Onnuria", "Omophoena", "Ircinia", "Trigonosciadium", "Homalonotidae", "Cheliomyrmex", "Cecalyphum", "Oenosandridae", "Artamus", "Skuseomyia", "Cameraria", "Chiomara", "Neotrocnada", "Helwingia", "Chloeia", "Tarsonops", "Bomolochidae", "Geniceris", "Myrcinus", "Satrius", "Calciphila", "Dorosomatinae", "Scatopsoidea", "Hypocassida", "Umbra", "Dawsoniella", "Palaeontinoidea", "Sabiceeae", "Proteomonas", "Brunsia", "Spondylomorum", "Ionactis", "Oxydendrum", "Anisopinae", "Solomonas", "Austrolopa", "Tropidophorus", "Klebsormidiophyceae", "Hemigrammocapoeta", "Hoyicoccus", "Acaulosporaceae", "Dynamena", "Spongoprunum", "Quercivir", "Zurobata", "Ferdininae", "Limnodriloides", "Crenicichla", "Chelonus", "Paraphrodisium", "Neoepidesma", "Trichelodes", "Scanorhynchinae", "Rusichthys", "Saccocominae", "Oschmarenia", "Homalotini", "Ophiolepididae", "Cercocebus", "Chytriodiniaceae", "Aplodontophila", "Pseudohaida", "Pseudocyttinae", "Pseudobarsine", "Athanasia", "Pentactella", "Plaxiscelis", "Trigonidiinae", "Flabellomorphus", "Margareta", "Neoplectrura", "Amberathyreus", "Blauta", "Lygaeoscytus", "Flexiclymenia", "Micronyctemera", "Discoplax", "Weyerella", "Nothochromus", "Acholeplasmatales", "Zilla", "Taphroscydmus", "Microconnus", "Acanthella", "Hesperophanini", "Deliphrosoma", "Paraneurus", "Denitratimonas", "Conopholis", "Afrobrunnichia", "Mirocaris", "Rhizophtominae", "Quydatella", "Endomychinae", "Harbinia", "Ammothella", "Dipodomys", "Paraholopterini", "Brancoceratinae", "Tibioplus", "Tonatia", "Micracanthodinium", "Phreatochiltonia", "Bubaces", "Coleroidion", "Plakoribates", "Pseudoplagiostomataceae", "Bacillaceae", "Paralichthyidae", "Troglohyphantes", "Atalosyne", "Margollus", "Acanthopeplus", "Grallariidae", "Hime", "Acanthocepola", "Sybax", "Panopistus", "Partnuniella", "Mertila", "Polyteinia", "Melocarpum", "Richtersius", "Rhyparioides", "Botaurinae", "Kanakaloma", "Harrysmithia", "Lophocampa", "Hemiloapis", "Psychidopsis", "Desmosoma", "Euphyllia", "Anoplocheylus", "Pleoidea", "Aglaja", "Roseiflexaceae", "Vestini", "Brakeracris", "Ozotuncus", "Pachylosoma", "Pelobates", "Chlamydopsinae", "Citromicrobium", "Ischyrolepis", "Bryophryne", "Polytaxis", "Vitavitus", "Plinthograptis", "Chordeilinae", "Isleria", "Anonymomys", "Lampides", "Cyclosoma", "Raulinia", "Iluka", "Omoglymmiina", "Dryobalanops", "Microeurydemus", "Macrohectopus", "Perina", "Trichocladus", "Microcodidae", "Tumeochrysa", "Stenapatetor", "Callipappus", "Ammocrypta", "Cubotholus", "Marmaropus", "Cassiopidae", "Eutettix", "Dolophrosynella", "Casmaria", "Jordanoleiopus", "Tristichoideae", "Cladostreptus", "Mesturus", "Cristurges", "Chiloplatys", "Bdelyropsis", "Alcinoe", "Buderes", "Odontopleuridae", "Eleginus", "Nocar", "Platybracon", "Picomonas", "Zymrina", "Xanthopappus", "Awatrechus", "Exometoeca", "Eupterotegaeus", "Ishigakia", "Cesasundana", "Capros", "Eucometis", "Graptemys", "Trichocoscinesthes", "Methanini", "Jiangella", "Pareuchiloglanis", "Minutius", "Leptocoma", "Hypolycaena", "Spinoberea", "Achomosphaera", "Neocrypta", "Amtocephale", "Cimex", "Cnodacophora", "Benedeniella", "Scaphetus", "Obscurapseudes", "Longior", "Halteriida", "Golasites", "Colacodictyon", "Plegapteryx", "Litharachnium", "Lorentzimys", "Nigrocentrantyx", "Spinochordodes", "Epiparasia", "Tetraponera", "Lophurella", "Collignoniceratidae", "Eugamasus", "Halimodendron", "Hymenocryphia", "Squamiana", "Buchanosteus", "Tanakia", "Clypeolus", "Callivates", "Chiricahua", "Batoscelis", "Himanthaliaceae", "Otira", "Calchaenesthes", "Bathygobius", "Pagameopsis", "Scopulosphecia", "Ophiopeza", "Lomographa", "Epactophanes", "Palaeometrioxena", "Smithsonia", "Praethecacinetidae", "Baikowia", "Harmandia", "Mayncinidae", "Pseudobrevicoryne", "Deloffrella", "Sewellia", "Nabidae", "Strepsirrhini", "Sphaerium", "Dentatella", "Camarasaurus", "Haloveliinae", "Mazocraeidae", "Myopiarolis", "Pseudotylosurus", "Gonista", "Kenocymbium", "Candezeollus", "Micropterus", "Megaphragma", "Oligomerus", "Musicodamon", "Extaramorphus", "Trigonogya", "Asterosiphon", "Xanthosia", "Alternaria", "Sellaphorineae", "Amonophadnus", "Chlidones", "Meridianimaribacter", "Crassitegula", "Oreusa", "Echiuropus", "Pterolepis", "Septigerina", "Helminthosporium", "Psoromella", "Entelecara", "Euchlaenidia", "Phytomonospora", "Parrhasius", "Vetulinidae", "Flammaeremaeus", "Sirembo", "Acaciella", "Indotriplophysa", "Rhyparia", "Dipolydora", "Anthelia", "Hessebius", "Artematopodidae", "Acanthocorys", "Auxis", "Pseudoinsalebria", "Melogale", "Tibioploides", "Rossjoycea", "Viridithemis", "Bricookea", "Swartschewskia", "Margarops", "Charoniidae", "Chaco", "Sericanthe", "Tangaroasaurus", "Zatrachydidae", "Algoriphagus", "Kornmannia", "Euagona", "Lejeuneaceae", "Oroniscus", "Szczawinskia", "Neothemis", "Skiapus", "Bufoides", "Neoliodidae", "Scotomanes", "Babamunida", "Elonus", "Sanchytriomycetes", "Leurus", "Elateriospermeae", "Verrucidens", "Lonchocarpus", "Ophryacus", "Limnocharidae", "Ephemerinae", "Dicyemodeca", "Paranopsis", "Brachaciptera", "Prolimnophila", "Pachygnatha", "Pterotopteryx", "Myxasteridae", "Andasta", "Coloptilia", "Lobulomycetaceae", "Paraguayna", "Mononchuloidea", "Hurleya", "Phyllodromia", "Sporostigma", "Eroschemini", "Nuttallinella", "Piallinidae", "Neofilchneria", "Exalla", "Parogulnius", "Helicophyllaceae", "Dicercomorpha", "Echinoconchoidea", "Multatria", "Stipellula", "Hemiplecta", "Soleirolia", "Jordanita", "Dalara", "Multiclavula", "Sminthurinae", "Adesha", "Grossander", "Pfenderinoidea", "Aceratheriini", "Cloniella", "Verbascum", "Pharotarsus", "Balanopleon", "Plagusiidae", "Parasa", "Nothodactylariaceae", "Spiris", "Saltopus", "Ardenticatenaceae", "Kraseophylla", "Neumania", "Ectobiinae", "Pseudoseliza", "Psammosphaeroidea", "Antaresia", "Argyroptocha", "Oxydia", "Oligarrhena", "Allotriocochabambia", "Ivoelepas", "Seison", "Monoctonus", "Anasis", "Burkillanthus", "Niphonymphini", "Oahuhawaiiana", "Vitrella", "Pseudofentonia", "Reticulocepheus", "Onagreae", "Closteroviridae", "Potamididae", "Casuarina", "Palenqustium", "Venteria", "Picocystales", "Lembocarpus", "Euplokamidae", "Hippolyte", "Hispanirhynchiinae", "Rhodopirellula", "Zerdana", "Tennenta", "Paraboreochlus", "Dozocolletus", "Chinadasynus", "Echidnophaga", "Paramispilopsis", "Mniochloa", "Cladophantis", "Necolio", "Paleohemilophus", "Radinacantha", "Eualus", "Corgatha", "Nekemias", "Pseudopodoces", "Illaenina", "Templetonia", "Triceratella", "Pseudochaete", "Bolbocoris", "Miturgidae", "Otiorhynchites", "Spizaetus", "Pseudouroleptus", "Cremastinae", "Heterocaecilius", "Catuana", "Eupsorus", "Gonianotus", "Pachyarthra", "Ophioninae", "Stenoluperus", "Marmina", "Moquiniella", "Polykrikos", "Chrysotilaceae", "Cotylorhiza", "Anatrichis", "Strauchia", "Prosymna", "Dilophonotini", "Iocenes", "Disker", "Ptychobothrium", "Corylobium", "Oxopsis", "Anthonympha", "Omoleon", "Cingulopsoidea", "Dasymallomyia", "Emodomelanelia", "Sphyrna", "Aegathoa", "Austroscarites", "Lithosticta", "Odontodactylus", "Ophiopterus", "Antecrurisa", "Cebrioninae", "Beaufortianini", "Apophaula", "Albanotrechus", "Hadruroides", "Cyartonema", "Alphaherpesvirinae", "Hylaeonympha", "Odontozineus", "Paralaodamia", "Sucinocantharis", "Schizoseris", "Burundiaphis", "Antidesmateae", "Nesiotites", "Euconocephalus", "Micromastra", "Neosalanx", "Ellobiopsidae", "Caledomicrus", "Guyruita", "Schizacme", "Delostoma", "Necrosauridae", "Grossaria", "Semnornithidae", "Plumbaginaceae", "Janes", "Macrorrhinia", "Rotorbis", "Octopodinae", "Trygonicephalum", "Eulaiades", "Prismatella", "Eurythenes", "Ikakogi", "Cubanops", "Hedyscepe", "Inermocoelotes", "Insolentithecinae", "Tyranninae", "Neomegalotomus", "Oceanicoccus", "Leucohyinae", "Paphia", "Anchodelphax", "Phacaceae", "Scolanthus", "Synaptidae", "Pachyvaranus", "Diplogasteromorpha", "Bulganbaatar", "Pristiophoridae", "Stephanocampta", "Leptospironympha", "Veselskya", "Bedeliolus", "Phloioletes", "Trapelia", "Loebliorylon", "Seabraia", "Promecognathini", "Proteonematalycus", "Merliniinae", "Euplectrus", "Sinoaphidius", "Rhizomyia", "Acrogenius", "Omophlini", "Callitriche", "Hantzschia", "Cassidula", "Cerithiopsilla", "Kalasiris", "Plectrohyla", "Pseudopsis", "Thaumastoptera", "Colobaturus", "Ferraroa", "Mochtherus", "Corynocystaceae", "Olpidiaceae", "Gerres", "Stomoloculina", "Orodotini", "Adenoa", "Trechiotes", "Ptychogonimidae", "Difundella", "Hybolabus", "Eurygastrinae", "Vernamalon", "Niheliini", "Cratocnema", "Phascogale", "Eschatoporis", "Elopopsis", "Sphingonotus", "Mormyrus", "Conosia", "Leaskia", "Luoxiaotrechus", "Wuinereis", "Leucochloridiomorphidae", "Artimelia", "Setaspis", "Eoreuma", "Macraucheniidae", "Pyrrhosorus", "Podargus", "Rhythmologa", "Lophoglossa", "Trigonosporomyces", "Caminibacter", "Bryocorella", "Acrasida", "Choerolophodontinae", "Dionchidae", "Senecio", "Amphiphyllum", "Astegopteryx", "Euryplacinae", "Tropideucoila", "Pseudogomphonema", "Walterantus", "Cratopus", "Lissotes", "Prokinetoplastida", "Inhaca", "Mydaeinae", "Acanthasteridae", "Lasiothalia", "Liaoningornis", "Tonkinula", "Pachyphloiidae", "Mocella", "Trogopterini", "Haptoderidius", "Ecballocystopsis", "Bourbonanthura", "Onchnesoma", "Tessarobelus", "Alexirhea", "Rhagadotarsinae", "Halterina", "Bembicium", "Anatylus", "Litostigma", "Melittiphidinae", "Gemmaecaputia", "Perrya", "Tribuliphorus", "Phaeococcomyces", "Oudemansia", "Sphingomonadaceae", "Erythrodes", "Hiatellidae", "Punkaphytis", "Heliothis", "Defluviicoccus", "Dichosporidium", "Borghiella", "Corymboporidae", "Westwoodiella", "Neurosema", "Meotica", "Protochroomonas", "Dystebenna", "Cupanoscelis", "Bertiliellidae", "Pseudomigadops", "Cymopolia", "Brachiolia", "Parectromoides", "Auriparus", "Deinopidae", "Apotectonia", "Namibithamnus", "Oisegenius", "Zinnia", "Maupasella", "Maichelina", "Niphabryna", "Pseudociliatida", "Halichoeres", "Epidemas", "Acroporidae", "Psathyrostachys", "Parabetyla", "Modunda", "Triocnemidina", "Helicogoniaceae", "Macronaria", "Zolini", "Tylenchina", "Sclerostomulus", "Polyphyllum", "Otitinae", "Phallocephale", "Pterichis", "Oxytoxaceae", "Squalus", "Cyclosma", "Hemiasterella", "Nipponesmus", "Colinus", "Epinecrophylla", "Vestergrenia", "Nanophylliini", "Emmidolium", "Noldo", "Repetobasidiaceae", "Calamothespis", "Butherium", "Heliophobus", "UFES", "Clusiinae", "Pterognathia", "Ulopsina", "Sagamicadulus", "Spiniphallellus", "Subprotelaterinae", "Mesanthemum", "Tortricini", "Neocogniauxia", "Ophiarachnella", "Nesasio", "Platygyndes", "Neoceratias", "Xenanthribus", "Copiula", "Asterostephane", "Tornia", "Oecetiplex", "Paramarbla", "Vallicula", "Dontolobus", "Neoechinorhynchidae", "Ceratodolius", "Agnathosia", "Nderechromis", "Lepimedozium", "Tanzanicesa", "Mecyclothorax", "Pseudobufo", "Melanoplex", "Aliasutra", "Myuchelys", "Albatrellus", "Delphinulopsidae", "Aulacothorax", "Hexalonchidae", "Rectilamina", "Torymini", "Loboclina", "Punctelia", "Marinohyalella", "Ankareus", "Peltidocotylinae", "Ophionini", "Bolboceratini", "Ammovertellininae", "Symphyllocarpus", "Puriplusia", "Mimogonidius", "Allsortsia", "Andreaeaceae", "Lepidocampinae", "Rectoglomospira", "Euryparasitidae", "Myrmicinae", "Mokopirirakau", "Haematoderus", "Syndiamesa", "Adira", "Pleurostachys", "Unda", "Andethele", "Mordvilkoiella", "Beijerinckiaceae", "Equulites", "Hypargos", "Heser", "Raphidonemopsis", "Biemnidae", "Wetmorethraupis", "Cordichelys", "Neobyrrhodes", "Rozellomycota", "Parachimarrhis", "Chimaerotettix", "Masius", "Konothele", "Tubanguia", "Capneidae", "Orcesis", "Rosema", "Rufocumbre", "Spilonota", "Palpimaninae", "Limnomedusa", "Halycaea", "Tungucypridopsis", "Tiniocellus", "Anarmodia", "Tetraphysus", "Bornitara", "Sylvioidea", "Bunonematomorpha", "Pogaina", "Calamariinae", "Microbotryaceae", "Macropipidae", "Chilatomaria", "Oreaeschna", "Acroperlini", "Monocentrum", "Platynothrus", "Etmopteridae", "Rhizophora", "Fustius", "Mastigosphaera", "Catharosomatini", "Subcorticoccus", "Platycephaloidei", "Pseudoechinorhinus", "Hydriomena", "Arotrura", "Avebrevicauda", "Conepatus", "Anobiidae", "Apodibius", "Chlorokoryne", "Sabazia", "Hypomolis", "Cedrelinga", "Cerobertinella", "Bellamyinae", "Macgregoromyia", "Nexilosus", "Enallagma", "Catoptyx", "Aequatorium", "Petalacte", "Crossosoma", "Rhodobaca", "Zonarina", "Ovibos", "Phacidiales", "Beloniscinae", "Breviatida", "Icelopagurus", "Pickworthiinae", "Acanthobdella", "Trifurculini", "Argyropelecus", "Homocodon", "Dombarocanites", "Dogielinotus", "Bogdocosa", "Sondottia", "Byssomerulius", "Ialyssus", "Cryptoscatomaseter", "Platyscelidini", "Phalera", "Rhinoclemmydinae", "Eutima", "Xerula", "Leelumnus", "Australolacerta", "Schwabea", "Escherbothrium", "Nemadactylus", "Altholepis", "Balaenoptera", "Anisocampium", "Ischnoceros", "Antrusa", "Pseudomyas", "Crucitragus", "Picrorhiza", "Dendroblax", "Sinostictinae", "Othelais", "Jasmineiricolidae", "Loganelliiformes", "Characiopodium", "Paranapiacabaea", "Idolothripinae", "Sicamugil", "Arcuatitibia", "Blattochaeta", "Tama", "Dasypogon", "Athrostictus", "Stictocyclales", "Saharanthus", "Pseudocyclopiidae", "Phrynium", "Argyrops", "Paralimnoria", "Rhodobius", "Tropiocolotes", "Oedemera", "Opigena", "Discamoeba", "Gintarasiella", "Norelloidea", "Pterobryaceae", "Trymalium", "Zacanthoididae", "Amphoriscidae", "Lounsburyia", "Asahinea", "Asmisapyga", "Miroculini", "Dichotomyctere", "Rhaphidopsis", "Molopina", "Cliftonaea", "Molleriella", "Onychohydrus", "Extatosomatinae", "Tramitichromis", "Euxoa", "Junodis", "Nelumbonaceae", "Changwhania", "Astrocysta", "Xenohyla", "Anonychonitis", "Photidae", "Knoxieae", "Arnomus", "Darymna", "Linaceae", "Eofusulininae", "Sagema", "Pristiformes", "Nonlabens", "Metrodorea", "Macalpinomyces", "Cladomphalus", "Methylocystaceae", "Pulmomerus", "Adenopea", "Lobogonodes", "Channichthys", "Patosia", "Meromenia", "Etelinae", "Spirostomidae", "Goniacerini", "Syrianarpia", "Pergularia", "Statherotmantis", "Tapellaria", "Medialini", "Attonitus", "Tetrachaelasma", "Ornithopus", "Bryaceae", "Micospirifer", "Rhinomugil", "Asilini", "Epichnopterix", "Servaeini", "Globicuniculus", "Stratiotosuchus", "Nematochrysis", "Oryzoideae", "Metallicina", "Syllegomydinae", "Lipaphis", "Martillepas", "Matronoides", "Thelasis", "Ophidion", "Gymnoschiza", "Zariquieya", "Murramarangomycetaceae", "Raphetis", "Polyortha", "Metaurostylopsis", "Kolesnikovella", "Aktassinae", "Arachnochium", "Euparomius", "Episageceras", "Katacamilla", "Peniculida", "Ernodea", "Macleaya", "Ceratothoa", "Demidospermus", "Berkheya", "Oncocera", "Triphora", "Camelidae", "Anemonastrum", "Ameipseusa", "Nyssodectes", "Procrophius", "Zaceratini", "Ascetotettix", "Callosobruchus", "Erysiptila", "Homodus", "Labrys", "Lepidosireniformes", "Euclidium", "Podocnemis", "Bryoerythrophyllum", "Caxamarca", "Deutojapyx", "Bathyaethiops", "Atrachea", "Ischyomius", "Eutrichosomellini", "Tricolia", "Euryalea", "Aurearenophyceae", "Phosphatothoracica", "Neritidae", "Plicagonum", "Tanypezidae", "Gonatacanthus", "Euhymenia", "Myrmanu", "Harpinioides", "Radhica", "Acallophilus", "Dilepis", "Chuco", "Ommatotriton", "Tamu", "Heterozerconoidea", "Jamberoo", "Balega", "Blastobasini", "Helicoidea", "Selago", "Millotauropodidae", "Agonum", "Texiweckelia", "Sexangularia", "Allogrigoriora", "Zorilispiella", "Dicrepidiina", "Abaristophora", "Cales", "Myxini", "Hymenocallis", "Mimotrypanius", "Prasonotus", "Parhippopsis", "Ozarba", "Cytisus", "Picconia", "Plagiogrammopsis", "Tripodion", "Signa", "Angustalius", "Pachyporospora", "Anubias", "Epsilogaster", "Thaumastodinae", "Hipposideros", "Cervinae", "Germainiella", "Erythrocastnia", "Exenterus", "Rhamnites", "Dromadidae", "Lithidium", "Barytelphusa", "Diaulaconia", "Eurylaimidae", "Buxaceae", "Eucnemini", "Periporphyrus", "Montfortia", "Austrosyrrhoe", "Pilomesitius", "Phthanotrochus", "Hustedtiella", "Eigleraceae", "Longivalvus", "Doicholobosa", "Jelinekigethes", "Megalenophorina", "Hemitriakis", "Cattleya", "Kohnometopus", "Banyoma", "Kaburagia", "Yelicones", "Daulocnema", "Amberobyrsa", "Dactylobothrium", "Leedsichthys", "Paleohaemoproteus", "Trichotichnus", "Hexaprotodon", "Trichopterodomus", "Orthotrinacriinae", "Psilomastix", "Linsleychroma", "Nyssicostylus", "Ranunculales", "Filasterea", "Davidgallowaya", "Fusulinoidea", "Stratiotes", "Epipoda", "Percnodaimon", "Ammoastuta", "Polydictya", "Eretris", "Enterogona", "Allotrophora", "Tatogastrinae", "Mesosmylininae", "Uradolichos", "Myxosarcina", "Rhysida", "Perisseiasphaeridium", "Plagiobothrus", "Pseudochrysomelites", "Dobinea", "Cryptocephalus", "Tanaellidae", "Aliturus", "Gnatholotrochus", "Pharsophorus", "Balinskyia", "Asphondyliini", "Mymarommatidae", "Collinophrya", "Arenodosaria", "Ahmetia", "Lohuecosuchus", "Termitonilla", "Paleothius", "Cristatavultus", "Urticeae", "Brachmaeodera", "Litorimicrobium", "Roveacrinida", "Nygolaimidae", "Cyathomonas", "Inflectarius", "Euhybus", "Niphetodops", "Cedusinae", "Marsipella", "Bisoroclita", "Plasmodiophoridae", "Thulinia", "Luxolinus", "Sophroferonia", "Galwayella", "Protereunetes", "Doliopteryx", "Steganomma", "Stauromenia", "Sibthorpieae", "Xenosternum", "Branchiosauridae", "Mesonoemacheilus", "Cryptoplini", "VANF", "Philastilbus", "Schistopterini", "Otocelididae", "Emesopsis", "Parhoplophryne", "Plagiodontes", "Cossyphus", "Ascidia", "Amphoraemonas", "Excurvaria", "Ctenochasma", "Telicota", "Diamanticeras", "Trapezodirus", "Lyonetiinae", "Verrucosispora", "Arthrorhaphis", "Praemachilis", "Bobilla", "Myrospermum", "Metharmostis", "Adolphoduckea", "Euglenophyta", "Chrysocladium", "Halmaeusa", "Striataella", "Typhlomalota", "Heteroderis", "Pista", "Pseudostomum", "Heliopais", "Pyrodictium", "Hapithinae", "Praeglobotruncana", "Verrucomicrobiales", "Trichoglossus", "Zancleidae", "Styracosterna", "Trigonogeniini", "Protomenocria", "Holttumochloa", "Cyathobodoniae", "Neocymophorus", "Archistilbia", "Leannia", "Homolidae", "Doraegopis", "Androdonia", "Catalexis", "Dorometra", "Westermannia", "Andesiana", "Monodactylus", "Santalum", "Arthrophryxus", "Horaiclavidae", "Derbidae", "Archastes", "Grammatonema", "Diprotodon", "IGM", "Echiniscoididae", "Craspedisia", "Zygantrum", "Ropalidia", "Mohrensterniinae", "Cranchiidae", "Licnoliodes", "Lodbrokia", "Coleoxestia", "Daphniola", "Longipterygidae", "Pholadomya", "Durvillaeaceae", "Microcnemum", "Speleonectes", "Partisaniidae", "Kregervanrija", "Anomalophaena", "Alastos", "Creaseriella", "Teuchothrips", "Ophelius", "Lusoblothrus", "Eriovixia", "Streptocarpus", "Solenophoridae", "Imoglobidae", "Lemuroidea", "Mixocosmia", "Neolithobius", "Inflatella", "Droltus", "Nonymodiadelia", "Pavlovskeola", "Amblycirrhitus", "Proplatypygus", "Goneplacinae", "Kuromondokuga", "Xiaoheiqingella", "Ranunculus", "Dikrella", "Orcynopsis", "Neoeubria", "Albaxona", "Tuberenes", "Lirceolus", "Salassinae", "Capitaspis", "Gyrophragmium", "Neotakatogaria", "Actizona", "Celebargiolestes", "Induratiaceae", "Bolbomyiidae", "Apodemus", "Dicyema", "Rhynchospora", "Polyblastus", "Stelladiscus", "Geissomeria", "Takhtajaniantha", "Pseudonortonia", "Paracimexomys", "Ptomascopus", "Phenacogrammus", "Schiekia", "Indischnopus", "Pareodiniaceae", "Sursumura", "Homalohedra", "Synelasma", "Tubulipora", "Pseudosellacotyla", "Nucleariida", "Endomorpha", "Prionocrangon", "Torreornis", "Aristonae", "Klebsina", "Micracini", "Myobiidae", "Narina", "Pseudephemerum", "Heliopsis", "Dicrateria", "Cephaloziineae", "Thalurania", "Oplomus", "Monardella", "Camponotophilus", "Vittabotys", "Jellyella", "Pseudomonnea", "Syndina", "Dimerosira", "Scymbalium", "Hormiopius", "Donnellia", "Gelidea", "Zalobius", "Excalfactoria", "Echmepteryx", "Cryonectes", "Phlyctaenopora", "Anisoderini", "Tridenchthoniidae", "Techmessodes", "Quasimodoana", "Leucopardus", "Poliaspis", "Hypoleucis", "Scrobipalpopsis", "Turneriolini", "Spadellidae", "Lupertosinnia", "Pseudococytius", "Argiolaus", "Basa", "Pronesopupa", "Protosthetopini", "Osmylopsychopidae", "Brachypteryx", "Lepella", "Mictiopsis", "Hysterocarpus", "Jakovleviola", "Catenuloplanes", "Crassiphialinae", "Coscoroba", "Scaphiini", "Chartobracon", "Roussoellaceae", "Martinapis", "Pyramidococcus", "Kempnyia", "Caligopsis", "Cannaphila", "Dysidea", "Galeomorphii", "Anacamptodon", "Polystemonanthus", "Alertigorgia", "Cordyline", "Synpalamides", "Taiwanajinga", "Rigibdella", "Bolcaichthys", "Pelthydrus", "Lybia", "Myrinia", "Globidiellum", "Hydatotrephis", "Paragaurotes", "Homaliodendron", "Deinypena", "Etheostoma", "Molochrus", "Chondrocera", "Acaenitus", "Grammistops", "Archilimoniidae", "Ctenopelmatinae", "Entodontopsis", "Basistemon", "Mariniphaga", "Coscinaraea", "Erichsoniini", "Hysterionica", "Helicarionoidea", "Adenosejus", "Nephtheis", "Mimonectes", "Cribraedoeus", "Caragana", "Achrastenus", "Embernagra", "Gasteruptiidae", "Callianidea", "Michelsonia", "Polymeridium", "Asterocladaceae", "Gyrinini", "Thismieae", "Nichomachini", "Coccosteina", "Gonyleptinae", "Striatocellina", "Bdellospora", "Tephris", "Halanaerobium", "Ceratozetoidea", "Calymna", "Heliolitida", "Theresiella", "Megacheuma", "Puiggariopsis", "Callirhynchinus", "Physetops", "Conotrochamminoides", "Protea", "Cyathocotyle", "Leptoboea", "Iridopelma", "Lomeustium", "Uzka", "Tachyusini", "Pleonotoma", "Levisticum", "Medocostidae", "Nasutimimus", "Alexeter", "Syntretus", "Chaetasteridae", "Pharacocerus", "Astrapometis", "Polycryptocylix", "Liomorpha", "Indosphaera", "Eurycheiles", "Athelia", "Morocisca", "Placocarpa", "Tetradryinus", "Trichosida", "Rhaebo", "Alloprocas", "Sodaliatoma", "Vrydagzynea", "Tarsomys", "Tylochromis", "Brachypauropoides", "Afrocypholaelaps", "Marivirga", "Sarcographina", "Postiella", "Sycoracinae", "Chrysolykos", "Coronodontidae", "Hydranetes", "Neoscutopterus", "Centroina", "Thecaria", "Vomerina", "Tenebrosoma", "Myzus", "Beecherellidae", "Diaporthales", "Hyboserica", "Xerophloeini", "Lichenotheliales", "Odontopygidae", "Alastria", "Zoosetha", "Oupyrrhidium", "Zingeria", "Clypeorbis", "Pachycolus", "Haloplegma", "Ptiliola", "Laqueidae", "Catillus", "Ophionea", "Sheranapis", "Rhaphidostichum", "Lucitanus", "Lobosphaeropsis", "Iresia", "Ceratophrys", "Acanthocopinae", "Volana", "Allocassine", "Cascabela", "Flagelliphantes", "Stenoptilodes", "Drepanonema", "Rhaphidophoridae", "Eryciini", "Aptosimeae", "Gyalectaria", "Phleogena", "Gampsocleis", "Chauliognathinae", "Sericostola", "Mellisuga", "Siphoniferoides", "Nigrimacula", "Ruckesius", "Leptolyngbyaceae", "Venegasiinae", "Allobaculum", "Malena", "Wushaichthys", "Pseudostrongylosoma", "Rotaliella", "Crassignatha", "Callinola", "Kinneretia", "Squamacidia", "Astrosphaeriellaceae", "Labotaria", "Eudynamys", "Mecosarthron", "Petrothrincidae", "Pseudhymenolepis", "Myriocephalus", "Archaeromma", "Russelia", "Butyriboletus", "Lothygia", "Sphaerophorus", "Vazaha", "Haemodracon", "Alyogyne", "Emargo", "Stelladinium", "Wittasura", "Stathmodera", "Tragocephala", "Axis", "Dactylocerca", "Anacampserotaceae", "Acaricalini", "Plectritis", "Gymnoglossum", "Vernonanthura", "Pannychella", "Globidensini", "Baeosemus", "Neochalcissia", "Brachythoraci", "Thalassiocyclus", "Phronimoidea", "Sinelipsocus", "Scorpaenoidei", "Heteroneura", "Herpetospermum", "Zachvatkinia", "Prochaeradodis", "Hololeion", "Asteromonadaceae", "Alitha", "Longivesica", "Ctenosia", "Coryphoideae", "Vata", "Microzethopsis", "Vesperella", "Tetrapalpus", "Argania", "Euryphallus", "Lambeosaurus", "Keraterpetontidae", "Discozercon", "Doratoporus", "Herpyllinae", "Regimbartina", "Edithaella", "Nitrosocaldus", "Quednaucallis", "Traubiinae", "Rhagamys", "Acigonium", "Leuresthicola", "Anomalotrema", "Litoscalpellum", "Prosoestus", "Hypselotriton", "Caspiconcha", "Polymerus", "Gopaliella", "Salatis", "Neohierax", "Oecophorini", "Afroblemma", "Ostropella", "Tanypodinae", "Sciapodinae", "Disciadidae", "Protoscalidion", "Amphidiscus", "Anaesthetis", "Membraniporoidea", "Tainus", "Stalachtini", "Manodirphia", "Turbinelloidea", "Omocyrius", "Chlamyphorinae", "Multiarcusellinae", "Parabuchiceras", "Candona", "Haploparmena", "Malacopsylloidea", "Ophiosciasma", "Psittacini", "Lundia", "Cercotrichas", "Brooksiella", "Limnopilos", "Thelionema", "Prevotella", "Metazalmoxis", "Enchoptila", "Pataecidae", "Goffeauzyma", "Onychogalea", "Ephydrella", "Pseudoleptonia", "Froeschneriella", "Epidola", "Antipodophlebia", "Ptochiomera", "Giardiida", "Poeciloneuron", "Huoyanodytes", "Sandia", "Cholus", "Chitaura", "Apatele", "Lappacarpus", "Bunia", "Adocidae", "Idahelops", "Ortognathosia", "Rhaebolestes", "Cratolaboides", "Diacritus", "Myanmaria", "Mantilleria", "Eschscholthia", "Glaciacantha", "Girardinus", "Atinus", "Tarsovalgus", "Tragulus", "Schizamminidae", "Oligotrichia", "Homoeothrix", "Pseudowebbia", "Anchoa", "Brunettia", "Amaryllididae", "Euloryma", "Ptilodon", "Eurostopodus", "Gibbula", "Hippeastreae", "Microphylla", "Roseospira", "Dicteros", "Horniella", "Hemiaspis", "Agastococcus", "Candidiopotamon", "Hemilocrinitus", "Seussapex", "Minacraga", "Oiophysella", "Heteropalpoides", "Tribonanthes", "Laparocerini", "Cercyridae", "Eucorna", "Chaenea", "Cicynethus", "Emmotum", "Acanthotyla", "Brindleiana", "Aspa", "Batophora", "Pararticerus", "Idimanthus", "Calymmaria", "Burmapsilocephala", "Branchiostegus", "Aquabacterium", "Pyramidophorus", "Limnosida", "Coccothorax", "Sporadotrichida", "Mexisphodrus", "Eciton", "Pleurothallis", "Ambuchananiaceae", "Curculionidae", "Albirhodobacter", "Realia", "Aepina", "Antronicippe", "Lecythium", "Pollachius", "Faucheaceae", "Ocyplanus", "Cyanolipton", "Boletales", "Pandesmini", "Pseudopenicillus", "Arion", "Nonionelleta", "Melosperma", "Tribasileus", "Eulimosina", "Napoconnus", "Acidilobaceae", "Oxyaeninae", "Dichecephala", "Opaepele", "Listracanthidae", "Fronsonia", "Thorunna", "Uchidella", "Zymurgia", "Papuabarcinus", "Pteromylaeus", "Tamijioideae", "Megachile", "Latrodectinae", "Pseudomiltochrista", "Triacrus", "Xyleutes", "Helocarpon", "Lamaika", "Anaulacaspis", "Roccella", "Phelliidae", "Asterotrichia", "Wernerius", "Allopyragraphoridae", "Hallodapus", "Arctonyx", "Myrtonymus", "Metafroneta", "Termitocola", "Heteroxenotrichula", "Alticorpus", "Dinomyidae", "Chetone", "Isopenthocrates", "Majangella", "Chakrabartiaphis", "Hemiurata", "Tuparezetes", "Yunnanobium", "Synesarga", "Yosemitia", "Caedibacter", "Pseudodeltote", "Sandoriceae", "Jubogaster", "Lanista", "Nanomicrophyes", "Termitonidia", "Spermophaga", "Batrisomalus", "Motyxia", "Tartessoides", "Dugesiidae", "Tintinnina", "Tetraselago", "Silvanidiella", "Neodinapsis", "Pseudohongiella", "Orsillacis", "Apatenia", "Acanthuchus", "Pedoniphis", "Rhabdothamnus", "Sternophysinx", "Colocistis", "Feldmannophycus", "Genysa", "Chrotogale", "Heterothera", "Tryphopsichara", "Miomyia", "Xenocypridinae", "Eurytemora", "Acanthesthes", "Drepanochaitophorus", "Sphaerorrhizinae", "Grammosolen", "Tuberolabium", "Mauroniscidae", "Systematophora", "Anthoceros", "Monachocrinus", "Urothraupis", "Paramazocraes", "Lactuca", "Pilosocereus", "Defreinarctia", "Eccoptopterus", "Afghanistina", "Anisotacrus", "Agelasa", "Ceratolimon", "Frea", "Spathoptera", "Stamnodes", "Nectopsychini", "Lessoniopsis", "Eubrianacinae", "Pothoidium", "Leus", "Thoracotes", "Bentheuphausiidae", "Sepiina", "Asetadiptacus", "Ambrosiozyma", "Leporellus", "Graliophilus", "Glaphyriinae", "Analetia", "Stoebe", "Halopolyspora", "Sarothromerus", "Orbignyna", "Schizanthoideae", "Anechites", "Desmodasys", "Heteromys", "Aegithalos", "Cetoniini", "Draconirvana", "Gomphocerus", "Brachygalaxias", "Arachnoidiscales", "Jacksonella", "Palarini", "Coronanthera", "Longiscutella", "Fouquieriaceae", "Nesomedon", "Coelosphaeridae", "Platyrhiza", "Lattinestus", "Cribraria", "Auchenipterus", "Retilaskeya", "Ploeotiida", "Taxiphyllum", "Amazoneura", "Glodianus", "Australaphycus", "Apoderini", "Crasiella", "Alcaligenaceae", "Agetinus", "Mimogeniates", "Sirenophila", "Stuckenia", "Gobiella", "Cyanixia", "Micromacronus", "Ainerigone", "Semra", "Chomaphis", "Gammaropsis", "Xanthagaricus", "Arapatiella", "Luekatiella", "Phalacropterigini", "Parnisini", "Hepsidera", "Grandipenetretus", "Sciomyza", "Scolopostoma", "Ariamnes", "Notanthropus", "Sicophion", "Batara", "Afilia", "Feeria", "Parachanna", "Bifurcifer", "Haywardina", "Hermathena", "Saproscincus", "Tetraneuris", "Spinogonium", "Steinernematidae", "Euryzeargyra", "Corynexochida", "Boreaphilus", "Armina", "Koryaga", "Galdieria", "Neoharmonia", "Atelicus", "Sciaenidae", "Protaphelinus", "Doryxylon", "Blinkworthia", "Afrocyclops", "Ancyra", "Pseudobetckea", "Talbotiella", "Medusa", "Ochthocelata", "Nephrodesmus", "Amana", "Aictis", "Damon", "DBLU", "Euryopini", "Phoxomeloides", "Metcalfia", "Recordia", "Biasmia", "Ophioglossa", "Pedinidae", "Newzealandaxius", "Emuarius", "Ischnocnema", "Drymonematidae", "Americuma", "Spirostrombidium", "Calymperastrum", "Amebachia", "Americanura", "Paucitubulatina", "Odonteleotris", "Asperspina", "Bryothamnion", "Mesophellia", "Orphinus", "Pseudoryx", "Haplopappus", "Crusafontina", "Stemodia", "Derobrachus", "Sciomyzidae", "Anostostomatinae", "Fernandinella", "Loeblichia", "Cryptodacne", "Adamantinia", "Chirona", "Stenotarsiina", "Chromulinaceae", "Mecynopus", "Pyrgiscus", "Leptura", "Cochleoceps", "Honveda", "Oxydactyla", "Amphibolus", "Duckecylapus", "Bactronophorus", "Epirhyssa", "Eremochrysa", "Theraphosidae", "Onchimira", "Glossaulax", "Centrolenidae", "Dasytingis", "Lomechusa", "Euosmylus", "Lagriini", "Atractus", "Chapsa", "Migadopiella", "Guanyinaphodius", "Echinococcidium", "Protosphagnum", "Dendrominiaceae", "Mamaevicotyle", "Chydenanthus", "Plumeria", "Ammotium", "Symphyacanthida", "Koboldocossus", "Savoryellaceae", "Polydesmia", "Chromochloris", "Rolepa", "Lophorrhina", "Guernella", "Lobiochrea", "Opsiphanes", "Megahertzia", "Palmicricothus", "Chrostosoma", "Gilvimarinus", "Cenoloba", "Camisia", "Bloeteomedes", "Cyphocottus", "Cameroneta", "Episcada", "Chionobathyscus", "Rusina", "Sematopoda", "Rhynchotinae", "Macbridea", "Neffapini", "Dicyrtominae", "Hippopotamyrus", "Rhopalephora", "Arcticoidea", "Guptella", "Spicaticribra", "Sinocatops", "Dichocoryna", "Pteronema", "Cristhippopsis", "Guyniidae", "Grewalenia", "Fluctua", "Sternoppiidae", "Pacificanthia", "Calpenia", "Meidiamidae", "Psilommiscus", "Caucalis", "Saccorhiza", "Pseudorchis", "Striatolamia", "Protella", "Guarandita", "Phanerotomini", "Soaresia", "Simonoonops", "Paragehyra", "Indophodes", "Orgiloneura", "Heliostibes", "Oxypodini", "Chloroscombrus", "Pseudocatamachilis", "Ligulata", "Pseudosipyloidea", "Guhua", "Miguelia", "Ailuridae", "Pseudonirmides", "Linnaeoideae", "Chizuella", "Abyssaster", "Proboloptila", "Melioribacter", "Typhlogastrura", "Degelia", "Basalia", "Copidoris", "Ugamia", "Fibulella", "Hesychotypa", "Tetraschalini", "Camptozygum", "Malalcahuello", "Cupressaceae", "Archiscenium", "Dipylissa", "Xolmiini", "Nepenthes", "Achaetobotrys", "Tremella", "Thalassodini", "Thalycrocuma", "Alteromonadales", "Feraviridae", "Maniola", "Mesoendothyra", "Achyrostola", "Nystaleinae", "Phalanta", "Lardizabalaceae", "Pholidocarpus", "Endostelium", "Scrupariina", "Neogontscharovia", "Eriosoma", "Agapanthoideae", "Isocoma", "Harpoceratinae", "Andobana", "Rupisalda", "Anchispirocyclina", "Prometopa", "Halechiniscinae", "Stephanospathius", "Psamathobledius", "Protacanthopterygii", "Robustognathia", "Myrioblephara", "Foranotini", "Eretes", "Eucyrtops", "Pseudoscortizus", "Milyeringidae", "Geolimnichus", "Lemnicola", "Climacammina", "Streptaxidae", "Megalomytisites", "Ictinia", "Spirolaxis", "Thyrassia", "Dictyoneuridae", "Alcantarea", "Raveneliaceae", "Toiyabea", "Rhopalomastix", "Lysiosquilla", "Gonionycha", "Gononema", "Tettigettula", "Hovahydrus", "Emeileptura", "Geospizopsis", "Philopinnini", "Strepterothrips", "Catopocerinae", "Caledoniscincus", "Thelepogon", "Perenideboles", "Cornupalpatum", "Lysitermini", "Brachyseps", "Peltaspermales", "Euneoneurus", "Paratragon", "Cochliostema", "Annabellia", "Verhuellia", "Caroliniella", "Tauronethes", "Metschnikowiidae", "Spongioplastidium", "Symphytognathidae", "Strombidiidae", "Minyphilydrodes", "Aphalloides", "Alcyoniidae", "Harmonia", "Pelurga", "Viridilobus", "Orus", "Halothece", "Mahunkaia", "Pandesma", "Catullini", "Ellipsoplacolithus", "Endiandra", "Euschmidtiinae", "Sinospongophyllum", "Zeuneriana", "Rakovnicia", "Silisoptinus", "Ptocasius", "Cyclodictyon", "Austrocallerya", "Tegoribatidae", "Batozonellus", "Metriorrhynchinae", "Allopygaea", "Ceratiosicyos", "Batodaeus", "Carteriaceae", "Addoeme", "Mysimenziesini", "Lamprias", "Epilobium", "Hypostrymon", "Ischnothyreus", "Ichneumia", "Leptoplanidae", "Torricellia", "Polystepha", "Osicryptus", "Biza", "Pogonognathellus", "Powellichthys", "Apioideae", "Sarcina", "Cixiopsini", "Matthewsius", "Quadricoccus", "Tephroseris", "Xuthopona", "Joenia", "Pseudoscytonema", "Prothymidia", "Laelapia", "Asiabregma", "Archeocrypticidae", "Mixodectidae", "Skythrenchelys", "Dinephrius", "Dethawia", "Cadmilos", "Marsipometra", "Melanitis", "Lepismium", "Nesochlamys", "Rhagidiidae", "Animantarx", "Neophilopota", "Indolestes", "Cheletosomatini", "Lana", "Phoebodontidae", "Pseudobankesia", "Porolepiformes", "Euchone", "Pomboa", "Globispiroplectammina", "Protochymomyza", "Xiphoscelis", "Adelotopus", "Cephalocroton", "Calyptrogenia", "Auxopus", "Kettnerammina", "Dictyococcites", "Callitalini", "Catoxyopsis", "Blastocystis", "Montinia", "Papuacyphon", "Potamolinea", "Offadens", "Eurycestus", "Anisomysini", "Pseudalosterna", "Ceracupini", "Kryptobaatar", "Omphalora", "Diaretula", "Telmatochromis", "Golfingiidae", "Hara", "Chlamydastis", "Surazomus", "Speia", "Dryococelus", "Verrucella", "Graphigona", "Sparodon", "Indocotyle", "Thapsia", "Protoblepharon", "Zeteana", "Aradinae", "Branchioglossum", "Prasionema", "Actinocarya", "Stichobasis", "Sapintus", "Paratextularia", "Hexalithus", "Adlumia", "Alleucosma", "Paracossus", "Cremastra", "Brasilnotia", "Clambidae", "Trocnada", "Bombodes", "Suwalliini", "Rousseletia", "Halobasidium", "Pionodesmotidae", "Pyrgaspis", "Dynodorcus", "Terpnissa", "Cryptotomus", "Pyrifusinae", "Myagropsis", "Xenoturbellida", "Clathrodiscus", "Achaemenothrombium", "Paradasyhelea", "Septulina", "Rupicola", "Neocalaphodius", "Proculus", "Crinum", "Platyomus", "Notentera", "Weddellomyces", "Acomis", "Marcepaniini", "Platycerini", "Pithecophaga", "Opalinea", "Synedra", "Pnigomantis", "Coproecus", "Daliacmes", "Afralampes", "Hansenothuria", "Helisomatini", "Eubergia", "Speophilosomatidae", "Sampsa", "Chlorolobion", "Eusteniamorphini", "Rhadinolontha", "Euterpe", "Caprifoliaceae", "Arachniodes", "Trocdaris", "Lichanura", "Nhandu", "Arthrolycosa", "Eurhinodelphinida", "Pyrococcus", "Trichiodera", "Chloropteris", "Sandeothallaceae", "Thladiantha", "Collothecidae", "Ceramphis", "Stenocline", "Anisolepis", "Mautodontha", "Baiomyini", "Lithodesmioides", "Dissoctenioidini", "Brachiacantha", "BELUM", "Melamprosops", "Raphitydeus", "Danielaparra", "Iridia", "Valdiviodes", "Hypoviridae", "Prouddenites", "Theresimima", "Tilioideae", "Rhabdonema", "Longusorbiidae", "Pseudohadena", "Psorolyma", "Sessilanthera", "Alsophilinae", "Amphiaeschna", "Eucerini", "Zaninettia", "Rachiades", "Edestoidea", "Dadaytrema", "Tolliella", "Kallymeniaceae", "Rhoogeton", "Tetragoniomyces", "Pseudarctomia", "Biantheridion", "Gohieria", "Mystropomina", "Zanclognatha", "Meiomeniidae", "Sphaerocoma", "Laetodon", "Gibbulinae", "Corylophidae", "Palaucorina", "Lybius", "Nemaconia", "Dicranoncus", "Ridgeiidae", "Anatolikos", "Brachyusa", "Creodonta", "Sealy", "Quiva", "Cryptocephalinae", "Protopleciidae", "Smithella", "Notosciobia", "Polystyliphoridae", "Hippolytidae", "Dermeanthrenus", "Pelagohalteria", "Leptanilloidinae", "Pleomassaria", "Androniscus", "Oreoweisia", "Priscansermarinus", "Coccidiascus", "Archisargus", "Garypidae", "Garaeus", "Astropectinidae", "Euparixoides", "Hylopezus", "Zygostates", "Eoverbeekina", "Eomacrosiphon", "Alopiinae", "Laverna", "Antanambecoris", "Talicada", "Miopila", "Rothmannia", "Astala", "Mendamanus", "Catenotaeniidae", "Ephemeridae", "Megaporus", "Pseudoscopelus", "Triodus", "Nardeae", "Opeatogenys", "Lecanicephalum", "Atagema", "Xystonellidae", "Porichthyinae", "Platyzoa", "Actinokineospora", "Isodictya", "Orphnaecus", "Anoglypta", "Apianthidium", "Notoxus", "Usnochroma", "Gelastoblissus", "Parapenaeonella", "Microneis", "Acanthametropus", "Partamonacoptes", "Goniomonadidae", "Iheringella", "Dendrozetes", "Karsteniomyces", "Sediminitomix", "Araneomorphae", "Geotrupinae", "Cliniodes", "Dicranocara", "Charmedia", "Methylopila", "Thesiectus", "Hamarilla", "Phorotrophus", "Mephisto", "Pararhadinaea", "Teruliini", "Arima", "Zygocoris", "Geocalyx", "Aphrophoridae", "Samuelessonia", "Thylacoleonidae", "Protomacrostomum", "Asthenochrysa", "Jalina", "Colochirus", "Termitoquedius", "Megorama", "Glaciimonas", "Canada", "Caudalonga", "Hexaclymenia", "Transdryinus", "Angulogalumna", "Oxalidaceae", "Zabelia", "Chiplonkarinidae", "Didymiidae", "Hydrovatini", "Mendampulicini", "Tetrallus", "Balaenanemertidae", "Guineta", "Vexatorella", "Planomonas", "Archimonocelis", "Hapalorhynchus", "Antocha", "Andringitrana", "Traunfelsia", "Eulioptera", "Sarsielloidea", "Stephanopyxis", "Proctophanina", "Hippomarathrum", "Asaperdina", "Raritania", "Austropurcellia", "Dolabraulax", "Molopinus", "Abroteia", "Lampropedia", "Chrysopsora", "Lilophaea", "Melanocetidae", "Howdenoblissus", "Alphomorphus", "Scleropyrenium", "Anisonyx", "Deppea", "Kinetoplastibacterium", "Chondrosphaera", "Tylopoda", "Cyrtoclymenia", "Deinonychosauria", "Fusulina", "Pseudothyone", "Josiini", "Neognathae", "Scamandra", "Caloncoba", "Tropidaucheninae", "Paraphronima", "Lyonothamnus", "Litchi", "Sessiliflorae", "Chariodactylus", "Didymoselloidea", "Brachyradia", "Steata", "Prototheora", "Mitys", "Acanthotriaena", "Scorpaenidae", "Hoplopleuridae", "Mengenillidae", "Antiochtha", "Chrysillini", "Parus", "Marasphaerium", "Caudospora", "NBFGR", "Velebitaphaenops", "Aetea", "Pectinistemma", "Celestus", "Onychostreptus", "Phreatoasellus", "Puzosiinae", "Austroppia", "Autosticha", "Tamsica", "Apocalyptis", "Merliidae", "Deronectes", "Batrisini", "Tengelloidea", "Cathilaria", "Eccrinidus", "Epipedocera", "Licnophoridae", "Carukiidae", "Egerniella", "Hypostominae", "Parasondax", "Tenthredo", "Naumannella", "Perspicuibacter", "Bohemanella", "Nitidula", "Paracanthonchus", "Saccocomidae", "Proterospastis", "Strombidinopsis", "Vermamoeba", "Quinella", "Carnotaurinae", "Portalia", "Pachyneuria", "Montigena", "Neelus", "Bugtirhinus", "Nodobryoria", "Amphidraus", "Polycnemoideae", "Placunidae", "Malcus", "Camarothorax", "Jakobida", "Xalitla", "Saxet", "Bahiopsis", "Hydrorion", "Syncarpiolyma", "Faustabryna", "Poiretia", "Adlullia", "Spirotectinidae", "Tannuspira", "Exilicrusta", "Synthoracastilbus", "Allocrangonyctidae", "Letrouitia", "Typhlorites", "Parapseudotanais", "Equescollum", "Gorongosa", "Heteromurus", "Lunella", "Sobarus", "Xanthomonadales", "Alloprosopaea", "Ophiotuba", "Pseudonepanthia", "Dendoricellidae", "Gaiadendron", "Amphicyclotinae", "Diplacanthidae", "Paracoptops", "Aegla", "Eremulus", "Tricorynini", "Psammochromis", "Matellionius", "Cycloclonius", "Volvectiphora", "Nuuanu", "Adelphobates", "Nototylus", "Hawaiorchestia", "Ophioblennius", "Tyrannosaurini", "Bahitini", "Royidris", "Achthophora", "Tatianaerhynchites", "Bourletiellidae", "Heterogobius", "Syrianidae", "Rhynchocephalus", "Atherinomorphae", "Pagla", "Bythitidae", "Griseidraconarius", "Datnioides", "Opisthograptis", "Metagreuocoris", "Doryctorgilus", "Vagabundia", "Cannaboides", "Cariancha", "Brucellaceae", "Limnocitrus", "Glycostylida", "Neothanes", "Yemenitrombium", "Wittinia", "Cystopsaltria", "Archoleptoneta", "Lipsotelus", "Ergates", "Roniviridae", "Agekianella", "Epiplocylididae", "Dopasia", "Emydoidea", "Philasteridae", "Frondina", "Pareclectis", "Alisphaeraceae", "Rotorboides", "Carassioides", "Mariouta", "Munona", "Echeandia", "Thalamarchella", "Discosomidae", "Stockophorus", "Sirdavidia", "Pancheria", "Tropocalymma", "Heckeldora", "Acridotheres", "Micropeltidaceae", "Petrorhagia", "Harmophola", "Aeridinae", "Haplocampa", "Anacimas", "Henicovalva", "Ostreobiaceae", "Leonotis", "Chlamydoabsidia", "Pseudochelidonium", "Calycadenia", "Microchloa", "Dymia", "Milleretta", "Mesolamia", "Taihungshaniidae", "Marinellina", "Ursinia", "Haemohormidiidae", "Tubocapsicum", "Eustenomacidius", "Eragrostis", "Arbudas", "Calyptomyrmex", "Nudiamphisiella", "Symperipatus", "Pseudorontium", "Canalicephalus", "Marbenia", "Pirhidius", "Termitona", "Preminona", "Chrysomonadinae", "Anacamptis", "Contrafacia", "Celaenini", "Tukanobasis", "Calothamnus", "Trichocephala", "Dioscorea", "Micreubrianax", "Lobogeniates", "Plagiocampidae", "Furchadaspis", "Dichelostemma", "Youhaiella", "Corethamnium", "Interplana", "Peropteryx", "Smaragdia", "Palaeoperlidae", "Calocomini", "Diamitosa", "Toxoprion", "Couma", "Acanthostylotella", "Proneura", "Magnoliaceae", "Loxops", "Thoyowpongia", "Anisodus", "Geomyersia", "Margarodidae", "Berzercon", "Melipotes", "Picrotus", "Deleboea", "Qunaxella", "Caenis", "Cranoglanididae", "Troguloidea", "Virgulariidae", "Bicosidia", "Halcampidae", "Orthomorphoides", "Aplidiopsis", "Chaetofoveolocoris", "Tricholepidion", "Zeagyrtoma", "Proterorhinus", "Oxytrichinae", "Nummoloculina", "Chalciporoideae", "Arachnogyaritus", "Odontoscelis", "Vernoniopsis", "Electracma", "Curdiea", "Falsoterinaea", "Pelagia", "Thouarella", "Saltisedes", "Eobiana", "Conisius", "Clathrozoidae", "Zitua", "Nemacheilus", "Centrodiniaceae", "Euchloron", "Paraplectana", "Guadua", "Pararhinoleucophenga", "Hugoscottia", "Cepegillettea", "Pseudoxycheila", "Gypsonoma", "Cleonymia", "Ceridia", "Austrofusus", "Neoheterophrictus", "Paraleucon", "Anargemus", "Shepleya", "Calacalles", "Nematoda", "Lepidotrogus", "Castnius", "Caprichthys", "Cubitermes", "Myochloris", "Palaeotrochidae", "Alloecentrella", "Trifurcula", "Salentinellidae", "Sociognatha", "Holoschkuhria", "Bountyphaps", "Hydrocephalus", "Phellinocis", "Reliquia", "Phaeochroa", "Psychroflexus", "Plagiogonus", "Yunganastes", "Stygodiaptomus", "Clitellaria", "Liabum", "Myrsellus", "Lyrnessus", "Africepermenia", "Cryptocephalomorpha", "Stomatellinae", "Melanephia", "Palaeosepedophilus", "Neoarctus", "Hirtocossus", "Paraneulia", "Melecta", "Ammonitida", "Pseudoraphes", "Neaguammina", "Carcinocorini", "Erantheminae", "Bojamyces", "Tanysiptera", "Belciana", "Cilea", "Tanyuromys", "Spiricella", "Pounamococcus", "Cladochroa", "Austropallene", "Marianina", "Podosmaridia", "Pseudotrochiscia", "Pseudhygroecia", "Iodobacter", "Parryodes", "Baetoidea", "Dallasiellus", "Taracterocera", "Rhabdochlamydiaceae", "Araucariana", "Plathemis", "Sphaeromachia", "Dolichurus", "Heterosmilax", "Eucamptopus", "Leptysminae", "Blarinini", "Vitrininae", "Acallodes", "Eupifigia", "Kyidris", "Trichopterna", "Carabinae", "Proteopharmacis", "Acrosphaera", "Pogonocherus", "Kryptopterus", "Cheirophanes", "Homarinus", "Chilothrips", "Sasa", "Rhopalopherus", "Malgachebates", "Rhoiacarpos", "Epixanthis", "Spiriopsis", "Eleutheranthera", "Oncochilinae", "Clanidopsis", "Brignolia", "Speiraphallusa", "Plazia", "Blastocladia", "Lecythidoideae", "Kajikia", "Sanguilevator", "Tigavaria", "Sanicula", "Parnassius", "Hebestigma", "Nuntiella", "Peripsocus", "Dyakia", "Harmostini", "Noteochordodes", "Trimastigida", "Ogastemma", "Psychostrophia", "Varistrombidium", "Nannarrup", "Nasutiptochus", "Heterogloea", "Batakomacrus", "Chondrotropis", "Pemphredoninae", "Truncaudum", "UVG", "Eocenorhynchites", "Kemtrognophos", "Ardeutica", "Berniniella", "Parkinsonia", "Miclucha", "Gayraliaceae", "Methermicoccus", "Tyloceridius", "Hystrichoscelus", "Verrucaria", "Paradiarsia", "Neopontonides", "Khasianthus", "Numinbah", "Trichostachys", "Jeanjustia", "Trimiovillus", "Drymotoxeres", "Hemikypthini", "Pulcratis", "Turriperipsocus", "Coelops", "Cithaeron", "Rhabdometra", "Reichardtia", "Haliactis", "Zercanus", "Cactivalva", "Kaskakia", "Ximeniaceae", "Gastrocirrhidae", "Perumegabalanus", "Diploeciton", "Chilelopsis", "Apoecis", "Omphalopsis", "Diplodocoidea", "Sinistrocedius", "Delothraupis", "Microtis", "Carpilis", "Tetragonochora", "Crenidomimas", "Arctopleustes", "Halisaurus", "Sicyopterus", "Calyptronectria", "Euphausiidae", "Timandrini", "Clavatoridae", "Haromyia", "Aulacosternus", "Karyakartia", "Epimediinae", "Cryptocaris", "Pseudovipio", "Podocampa", "Yaoshania", "Attevidae", "Sciurothamnion", "Stemonocera", "Nippononaia", "Desmosorus", "Meganyctycia", "Neonippolachnus", "Saaloscytinidae", "Apostrombidium", "Panaceae", "Parastrongylaspis", "Afriodinia", "Thermozodium", "Helicodontium", "Petalosternon", "Pediomorphus", "Osyris", "Sinentomon", "Tubeporella", "Termitoplus", "Catenocystis", "Tepuia", "Papeocoris", "Hadrosaurini", "Hormaphidinae", "Aspasmichthys", "Zyzyura", "Calliostomatidae", "Isospiridae", "Scolecobrotus", "Hamayulini", "Polypodiopsida", "Calmidae", "Hydrocleys", "Iragoides", "Ctenisomorphus", "Vasseuriina", "Bornmuellera", "Sipunculus", "Nicanthes", "Stavsolus", "Kempendaja", "Iguarima", "Lineostroma", "Armatimonadia", "Pseudospongiococcum", "Rhoadsiinae", "Lycas", "Typhlocybella", "Graeophonus", "Karamicrosiphum", "Thlastocoris", "Gambierdiscus", "Isthmohyla", "Xiomara", "Gamacallum", "Clinata", "Cyllopus", "Gastrosporiaceae", "Nesebra", "Peengea", "Stenoledra", "Scotocampa", "Anomoclausiidae", "Oligaethus", "Verneuilinoidinae", "Archaeorhizomyces", "Termitosocius", "Pylodiscinae", "Advenogonium", "Pretriophtydeus", "Azelia", "Balanotaenia", "Phycomenes", "Platystictinae", "Chlorcorona", "Megalosauridae", "Microrchestia", "Copidosoma", "Thaerocytheridae", "Sciasmomyia", "Brachychalcinus", "Euctenopus", "Rotundiceps", "Indothespis", "Cyphothorax", "Holopodinidia", "Neodiscocyclina", "Sarisophora", "Gomphodesmidae", "Gephyrothuria", "Aidia", "Microsolenia", "Gevuina", "Euclavarctus", "Xyloschistes", "Davilla", "Teratoppia", "Doliochastis", "Polyptychia", "Triconodontidae", "Afroagraecia", "Phyllospongia", "Leptocnemis", "Globulostylis", "Tropidolaemus", "Homojapyx", "Japonopsimus", "Tamolanica", "Tanymecina", "Heterodactylus", "Pseudohydrobius", "Micrometacanthus", "Limnothrix", "Elaeomyxidae", "Corumbataia", "Nesticodes", "Trichonethes", "Sauroglossum", "Platyla", "Sapyga", "Bonannia", "Avena", "Antirrheina", "Nesticella", "Tapinopterus", "Spectroreta", "Cyanoneuroneae", "Ankylosauria", "Lita", "Cneorhinini", "Asterolecanium", "Acantharachne", "Ischasioides", "Damilinidae", "Cyclidius", "Asperogronops", "Afrovivella", "Cnides", "Rutenbergiaceae", "Mugiliformes", "Lamponicta", "Paratrigona", "Cholevomorpha", "Protostomatida", "Danio", "Buchanosteidae", "Ankersquilla", "Rangomarama", "Cyrtolabus", "Pagodula", "Spaniophagus", "Cleroclytus", "Uvaria", "Hedycryptus", "Rinodinella", "Gymnorhadinorhynchidae", "Eccoptoglossa", "Olophrinus", "Almeidella", "Lithophaga", "Agaoninae", "Trochalopteron", "Alcockianum", "Fuscopolistes", "Hackeriella", "Haimbachiini", "Rejkocephalus", "Paramacrostomum", "Tylanthes", "Coccoidella", "Carvalhoia", "Loriculus", "Ornithodira", "Phalacrocera", "Methanoregula", "Propionispira", "Allosiopelus", "Bursellia", "Teinobasis", "Paraplagusia", "Anacampsini", "Meonochilus", "Corema", "Udenus", "Atriplectides", "Phaeocitrus", "Melanopsidium", "Calyculogygas", "Saccostomus", "Amphideritus", "Cantotrella", "Spongentactiniidae", "Sabussowia", "Hirtellina", "Entorrhizomycotina", "Avitellina", "Smaraldia", "Callistemonus", "Cyllopisalia", "Holomastigotoides", "Stangeia", "Airopsis", "Iguanodectes", "Chenia", "Ribes", "Trigonoscelus", "Chondrophora", "Protoglomeris", "Eocardiochiles", "Rama", "Caurinus", "Eucalymnatus", "Trochoideini", "Regmatodontaceae", "Neivamyrmex", "Chrysoglossa", "Podocnemididae", "Pellecebra", "Adolopus", "Physodermatales", "Prochetostoma", "Cyrtolophosis", "Phenopelopidae", "Heptelia", "Selenomorphini", "Clausiliinae", "Drakensbergena", "Rhodesiostreptus", "Camerobia", "Palmaria", "Feraliini", "Stylops", "Lecudina", "Ceratocentrus", "Bucanetes", "Diphasiastrum", "Porphyrolaema", "Pascheria", "Horabagridae", "Kalopanax", "Synergistales", "Neopemphigus", "Bactrogyna", "Phycopeltis", "Tetracampos", "Tessaracoccus", "Eucatagma", "Veithia", "Annesorhiza", "Parapseudidae", "Halothrix", "Proamytta", "Archaeopodagrion", "Paraphileurus", "Basidiobolus", "Pamphagidae", "Rupirana", "Cyrtohymena", "Alsodeiopsis", "Cryptophaps", "Rhabdolithus", "Anisotome", "Cyclolithella", "Fusobacterium", "Gastornithiformes", "Stigmatodon", "Gomphidia", "Nephthytis", "Desulfobacteraceae", "Stylidium", "Didiereaceae", "Maburea", "Eusideroxylon", "Nemacanthus", "Hypnodendron", "Homatula", "Cantleya", "Coronanthereae", "Mylossoma", "Stokesia", "Mesomphaliini", "Facilagathis", "Eupitheciina", "Mastigodiaptomus", "Xenoheptaulacus", "Cintractiella", "Penthicus", "Halisaurinae", "Epistor", "Undulatodoliops", "Achlaenius", "Thyllis", "Parancistrota", "Crotalia", "Propeamussium", "Weissius", "Myoramyxa", "Smeagol", "Hymenosomatinae", "Paleobenthopectinidae", "Antiblemma", "Fluitomonas", "Anoplodactylus", "Thelohania", "Dilleritomus", "Azemiopinae", "Khaya", "Peneothello", "Colinita", "Actosus", "Podica", "Spermophilus", "Gorgadesia", "Asterogloea", "Polystyliphora", "Parahyphus", "Setodyschirius", "Rhaphiocerina", "Crocinitomicaceae", "Protomycetaceae", "Kuszholiidae", "Alluandella", "Obrioclytus", "Erithalis", "Ribautia", "Udaya", "Spinariella", "Pelmatellina", "Scotiomyia", "Flavarchaea", "Tisactia", "Stegocintractia", "Tragocerus", "Typhlogammarus", "Chaunacops", "Metretopodidae", "Planococcaceae", "Aligrimmia", "Spondyliosoma", "Rhysotina", "Eucranium", "Rhopalocarpus", "Kiaeria", "Pseudopyrenochaetaceae", "Polythrena", "Morphodactyla", "Larreoideae", "Geissoloma", "Pogonophryne", "Euglyphidae", "Blarina", "Pparchus", "Leptasterias", "Pachyramphus", "Marsupiomonas", "Rhodogorgon", "Siphonidium", "Carthaeidae", "Anthemis", "Aulonocnemis", "Mytilaria", "Bostrichinae", "Zaranga", "Dorysthetus", "Rhynchoproctinae", "Protorthodes", "Mangleticornia", "Belonopterygini", "Carcharhinidae", "Austromatthaea", "Jeannelia", "Smicronychini", "Zoarchias", "Numida", "Grotea", "Dendrocitta", "Singhikalia", "Siphonariidae", "Anumbius", "Lagunaria", "Acanthinomyia", "Smithiantha", "Aphelinus", "Evansiolini", "Neritilia", "Fontecilla", "Myxosporea", "Cosmolestes", "Pareuops", "Lispirurus", "Palmophyllaceae", "Hydruraceae", "Acanthotrachelina", "Cavidae", "Humbertium", "Capnites", "Hadracalles", "Heterogastridium", "Heteroschisma", "Mesochodaeus", "Pachytettix", "Suriraya", "Urangela", "Palaeontinidae", "Eohastigerinella", "Alcaligenes", "Palophinae", "Callistoides", "Mesodica", "Hapona", "Euryplegma", "Vianasia", "Arthraxon", "Glaesoncodes", "Emmanuelia", "Dryadorchis", "Nodocapitus", "Zeillerioidea", "Phyllocerinae", "Aaronsohnia", "Fiordichthys", "Pseudopomyza", "Trachodes", "Halocafeteria", "Vatica", "Molobrus", "Fortieaceae", "Talivaliidae", "Wadaia", "Loflammiopsis", "Eupatagidae", "Olsenella", "Oceaniopteris", "Phanetta", "Sauranthura", "Ophiosphaera", "Certesella", "Odontosina", "Hyphalinae", "Goliathopsidina", "Anisoscelis", "Stephanostomum", "Eucodonium", "Lampyris", "Romanophora", "Pseudolaguvia", "Clepsydrops", "Orthocentrus", "Xenolpium", "Eremanthus", "Tijuca", "Makawe", "Phronimidae", "Kootenia", "Gurvanotrupes", "Chrysoblephus", "Teliocta", "Exphora", "Laetesia", "Piptocentrus", "Alainaspis", "Salta", "Proturentomon", "Omus", "Fusola", "Parabystus", "Holococcolithophora", "Agraulomyrmex", "Hesperevax", "Pachycoa", "Epidalea", "Megaloodes", "Micreuchilia", "Microascales", "Amphilais", "Goslineria", "Citrobacter", "Synwocklumeria", "Uleiorchis", "Amydraulax", "Copemetopus", "Stehlikiessa", "Aulocera", "Glennbrownia", "Metocalea", "Lepidocephalichthys", "Ecitopora", "Drevennia", "Calodicia", "Centropodieae", "Microxestoleberis", "Syntomenus", "Echinocorambe", "Sponguridae", "Etherioidea", "Antelientomidae", "Chimaeriformes", "Asperthorax", "Atrachya", "Saitozyma", "Borophaga", "Chelonarium", "Metallesthes", "Cylindrocelis", "Sulcoptinus", "Mycoplasmatales", "Scotoecus", "Tokuana", "Mitrophyllum", "Lamelligomphus", "Pachymelos", "Amphitremidae", "Necrophilus", "Mesocyphon", "Lithium", "Shuvosauridae", "Transcaucasica", "Viviparus", "Malvaviscus", "Argentala", "Chequenia", "Sambirania", "Tanvia", "Xenicus", "Tessellarctia", "Nephrosphaera", "Microblemus", "Sagineae", "Chirocentrus", "Calybe", "Aspalathus", "Tricholomataceae", "Hechtioideae", "Pleurangium", "Ealda", "Noctuidae", "Cirrospiloidelleus", "Udaspes", "Monodoreae", "Astygiton", "Drepanocerina", "Rishetiinae", "Eugerdella", "Helioflagellida", "Aggregatidae", "Stantonia", "Blavia", "Couloniella", "Megalasma", "Doydixodon", "Epodonta", "Pseudosyrichthus", "Chaetonannus", "Bruniella", "Anasida", "Blastodinium", "Tanycypris", "Ferroplasma", "Probosciger", "Egicoccus", "Conradimonas", "Cliveevattcolotes", "Pelecanidae", "Ramsaya", "Apanthura", "Protonebris", "Froelichiella", "Metaleptina", "Curatella", "Morphozonitini", "Vaginulina", "Braconella", "Preondactylus", "Papposphaera", "Hesperobaenus", "Cladolabes", "Parasemia", "Eremithallales", "Dinacoma", "Promiorrhynchus", "Cheilanthes", "Chlorosarcinaceae", "Pardaleodes", "Dendrotuba", "Phymatoceriola", "Silusina", "Nizamuddinia", "Skutzia", "Microsyodon", "Speleoithonidae", "Aulosaphanes", "Theclini", "Narudasia", "Loyolophyllum", "Laetacara", "Metamoeba", "Acalle", "Celtedens", "Stemmatostoma", "Orotingis", "Cilioplea", "Pterorhynchus", "Diplotrichiella", "Urosolenia", "Notiosoricini", "Guizhaphaenops", "Arsinoitheriidae", "Brachionycha", "Cheilotrema", "Kolymopterinae", "Hypomia", "Langitanais", "Dasyatidae", "Cornibusella", "Connelicita", "Neodectes", "Archaebranchinecta", "Hoplothrips", "Neoemadiellus", "Agastophysis", "Trichostenidea", "Brunoniella", "Pelagodictyon", "Batocrinidae", "Otomys", "Graphiocephala", "Scabritia", "Hexanematichthys", "Stegonia", "Schalotomis", "Strophocheilinae", "Parviphycus", "Caturoidea", "Neoprocirrus", "Tendrina", "Nurscia", "Phaneropterini", "Cribrokamaena", "Eutoeini", "Lampropeltis", "Lapidaster", "Micruropodidae", "Dodecadicyema", "Dihammaphora", "Ca", "Weirhygia", "Acidocerini", "Palaeotriakis", "Salinispora", "Fallia", "Cylapomorpha", "Trichotoca", "Paralytoceras", "Dendroblatta", "Neocorynotus", "Stolus", "Hungatella", "Bomburia", "Emmelichthys", "Harpalyce", "Eleleides", "Metus", "Boernerina", "Pseudombrophilaceae", "Cheronella", "Stelexomonas", "Parvulago", "Clauzadea", "Henseniella", "Pasiphila", "Simopone", "Oxycephalus", "Pharzites", "Synhymeniida", "Xenothyrini", "Lepmia", "Protodus", "Kalliesia", "Milesinaceae", "Oligosarcus", "Scyllaridae", "Leptocolpodes", "Lophochoristini", "Philanisus", "Aristiidae", "Leporacanthicus", "Liopterna", "Chromaphyosemion", "Acrodon", "Heterocodon", "Cryptovelia", "Auhunga", "Cyrtocnemodon", "Ageniellini", "Psiloderoidinae", "Hyperolius", "Tetrablemmidae", "Haynaldella", "Sphaerius", "Caelorrhina", "Peduovirinae", "Agrapha", "Cerotainia", "Gregarinidae", "Arthronema", "Nadleria", "Pseudobasidissus", "Nesolyncides", "Pocilloporidae", "Exilisia", "Eristaliini", "Pitraea", "Selenihalanaerobacter", "Succineoidei", "Loepantheraea", "Harveytrema", "Sabaudia", "Ammonius", "Cassidini", "Brachybarcinus", "Embrikstrandia", "Braulidae", "Imadateiella", "Aethiopomyia", "Seticosta", "Assiculoides", "Mermessus", "Pseudocharacium", "Varius", "Tyropsidius", "Isostigma", "Chydarteres", "Diparinae", "Barticeja", "Gregorioiscala", "Parastenasellus", "Pseudoplectella", "Saleviricota", "Trichuriella", "Runcina", "Bryoscyphus", "Pennyella", "Spodiopsar", "Palearctia", "Aysenia", "Octoceras", "Allodardanus", "Platyarthridae", "Nothosaerva", "Odontomyia", "Cocculinellidae", "Axinidae", "Pachyteles", "Metadoga", "Trichoaspididae", "Sclerotiniaceae", "Atlantirivulus", "Arenarieae", "Protyndarichoides", "Pseudodialycera", "Catoessa", "Namaquacypris", "Stephania", "Melonini", "Ruckesiocoris", "Chaulioleptos", "Striatophasma", "Calpocalyx", "Murgella", "Aquamyces", "Jiucunella", "Joosia", "Cyrtopodium", "Macroderoididae", "Troglopalites", "Metiochodes", "Prionopeltis", "Amygdalaria", "Mikhailovella", "Calyptotheca", "Lygodium", "Guaibasauridae", "Panava", "Trapezites", "Lanuginella", "Chaetocnemistoptera", "Graffiona", "Microglossum", "Otidocephalini", "Murrayon", "Gaana", "Paeneutheia", "Pahangia", "Aranoethra", "Zephlebia", "Ascidiophilla", "Platydesmidae", "Lathrolestes", "Anarhichas", "Gephyrothuriidae", "Platyscolex", "Funicularis", "Violaceae", "Sinobambusa", "Tachyglossus", "Philolema", "Nautiliaceae", "Manuherikia", "Osteoglossiformes", "Prophalangopsinae", "Eudohrnia", "Dictyoneurum", "Schizomeridaceae", "Afrocneros", "Phyllocosmus", "Dibothriocephalus", "Cyrtolitidae", "Eriophyes", "Gracixalus", "Asteia", "Cleotopetalops", "Melambia", "Ampelocrinida", "Hemichneumon", "Asidobaps", "Meiourogonyaulax", "Melanaethus", "Furcraea", "Amphibiocystidium", "Scolyptus", "Duidania", "Aequigidiella", "Damarchilus", "Filosa", "Freoexocentrus", "Pseudopontonides", "Arctonoinae", "Glossolepis", "Solanecio", "Protanypus", "Chromophyton", "Trachelocorythion", "Promesocentrus", "Speleosiro", "Endlicheria", "Ctenisophus", "Tridemula", "Fibromonadales", "Hyphorma", "Conostomium", "Orsobrachyceron", "Mundaria", "Aregha", "Guanchia", "Cremna", "Neotobrilinae", "Jedediella", "Thaumastopus", "Pelecaniformes", "Sciacharis", "Arcynopteryx", "Lophiidae", "Acosmetura", "Listarcon", "Dujardina", "Leptoeme", "Capsellina", "Enneapterygius", "Helenea", "Amphilochidae", "Hyalophacus", "Carcharhiniformes", "Epitola", "Cenarchaeum", "Rotala", "Glugeidae", "Coralliomyzontidae", "Mnemosynini", "Gangaridopsis", "Neotrizygia", "Neoflabellina", "Oxyini", "Bivagina", "Epapterus", "Allium", "Gabritini", "Marbefia", "Chordifex", "Haaseidae", "Bontzaganiinae", "Tryphomys", "Cladacanthella", "Jaagiella", "Calymmaderini", "Acabyara", "Xenocyon", "Derepteryx", "Nephroselmis", "Enantiornithidae", "Anzygina", "Claustulaceae", "Martania", "Tonnoiria", "Platycheirus", "Nestlera", "Heliolais", "Permothemistida", "Pipilopsalta", "Alveolinella", "Phaeopholiota", "Diapse", "Eurocephalus", "Hylopsar", "Sphaenelater", "Rhizorhagium", "Pygomeles", "Neoceratiidae", "Ditylini", "Setomorphinae", "Proagoderus", "Dictyotingis", "Parnaibaia", "Medeterusa", "Iolinidae", "Cymatomera", "Pseudosynedra", "Acanthoplegmatidae", "Azaleothrips", "Arcidae", "Calostomataceae", "Stigeoclonium", "Gjaerumia", "Mecinus", "Typhloplaninae", "Goliathopsis", "Kataphraktosaurus", "Biparietata", "Arctacariae", "Algansea", "Cretonemonychinae", "Pleurostylodon", "Actaea", "Osteoglossocephala", "Gibbosporina", "Icterotaenia", "Zikanita", "Cristichona", "Stenoptinea", "Grais", "Cheidae", "Ballochia", "Ruppiaceae", "Villanova", "Cusiala", "Zophina", "Albodikra", "Creedonia", "Elodea", "Lycenchelys", "Carpopeltis", "Iracundus", "Tuscaretta", "Cretodinapsis", "Prosemanotus", "Grumia", "Plicatuloidea", "Phycomorpha", "Alveoplectrus", "Apheviderulicidae", "Behillia", "Zema", "Villiersicometes", "Plagiantha", "Asios", "Eothyrididae", "Moranida", "Dirachmaceae", "Philinidae", "Maximites", "Pseudomecinonota", "Hexabothriidae", "Rhodometra", "Coprozerconidae", "Carumbiinae", "Plagoniidae", "Clandestinotrema", "Macrochenus", "Rhenopterus", "Otekaikea", "Steraspis", "Cearodesmus", "Partuloidea", "Cylindrophiidae", "Megabasini", "Trichomalopsis", "Hemiaulales", "Henicorhynchus", "Boreozonacola", "Mackoja", "Lugtonia", "Tovelliaceae", "Uropodellidae", "Scapogoephanes", "Tamijieae", "Attenborosaurus", "Panolia", "Lithamphora", "Cecropidae", "Schleiferia", "Valoniaceae", "Passifloreae", "Palaeofulu", "Sphenopteris", "Hydnophora", "Pectinida", "Indosuccinea", "Falagria", "Acanthomuricea", "Andina", "Eremobia", "Gauna", "Gleseria", "Allonematobothriini", "Licinini", "Hyperallus", "Blastobasinae", "Trienopa", "Anthocotyle", "Zygaena", "Pachybolinae", "Jaklia", "Encheliophis", "Proteonematalycidae", "Dudichella", "Raphitoma", "Piloselloides", "Antillena", "Leiestinae", "Ramburiellini", "Sakaguchiaceae", "Kiwiaesthetus", "Ectinogramma", "Bathothauma", "Pergulinae", "Typocerus", "Papionini", "Lecidea", "Syndendrium", "Dermocystida", "Carettacola", "Spinellamblys", "Sarothrogastra", "Organodesma", "Conorhynchus", "Pseudolingulina", "Bolborhombus", "Plocamium", "Clavispora", "Nesorohyla", "Protohalopteris", "Goniini", "Sphecotheres", "Ceratotrupes", "Vanacampus", "Vauclusia", "Aspidotis", "Palawanozephyrus", "Piersigiidae", "Washitella", "Chaetodontiformes", "Protomedeia", "Simolestes", "Lithodesmiales", "Xyloolaena", "Pleurochloridella", "Termophilum", "Montifringilla", "Megadytes", "Caproidae", "Zopherinae", "Rhamnoneuron", "Dictyoglomus", "Cristeryssamena", "Sybra", "Judolia", "Oospiloma", "Crambometra", "Serrastruma", "Rasstriga", "Gippslandia", "Notoraja", "Alampyris", "Pseudospolas", "Thumatha", "Dalmatogloia", "Baeocrara", "Grylloidea", "Poeciliini", "Balyadimetopia", "Sarotherodon", "Schizothyriaceae", "Tuberocephalus", "Prostheclina", "Pitharatus", "Ficaria", "Protrudomycetaceae", "Hyrioidea", "Pseudopleurococcus", "Patriziainae", "Fodosira", "Tetrarpages", "Paleomolpus", "Xhosores", "Hymenocrater", "Zyzyxia", "Ambiaxius", "Cambojiidae", "Turgecaecum", "Notiosorex", "Chrysochloridea", "Carcinidae", "Antispila", "Pulvinaria", "Acar", "Boholina", "Arignota", "Helicosphaeraceae", "Oligosemia", "Kremastochrysopsis", "Capillariidae", "Qipengyuania", "Cyphoderrinae", "Vespertilionoidea", "Lithophaginae", "Atomiscala", "Herdmania", "Sphaeroplotina", "Carabunia", "Prodromus", "Herpophyllum", "Betroka", "Raoiella", "Fossombroniales", "Acridophagus", "Shangraoceras", "Stropina", "Baikalogammarus", "Cucullaea", "Stuertzura", "Sarabandus", "Streblocera", "Thyestilla", "Chlorosarcinopsis", "Asthenorhina", "Entandrophragma", "Littorellicola", "Carinthiaphyllum", "Cercomacroides", "Schusteria", "Anomalacra", "Chamberlineptus", "Acatopygia", "Neuracanthus", "Atropis", "Compressionis", "Stegnammininae", "Arizonacritus", "Gynothemis", "Notornis", "Wilcoxius", "Actinotelluria", "Caudammina", "Tonicia", "Urolophus", "Cephalopachus", "Woswasiaceae", "Jeekelosoma", "Pleurocryptina", "Palaeodytes", "Odontogomphus", "Fimbriimonadia", "Neoschwagerininae", "Exohadrus", "Thitarodes", "Thorncroftia", "Derodontiformia", "Martinothyridinae", "Hemiquedius", "Platacanthomys", "Cyphelium", "Vaderscincus", "Hyalophora", "Chlorocyathus", "Imbricatea", "Polyctor", "Richardsonichthys", "Monodia", "Zaluzania", "Afroboletus", "Gredinia", "ZMUT", "Terebriporidae", "Helia", "Stirtonia", "Nanume", "Chamaesomatidae", "Haptolina", "Hoplocercus", "Vekshinella", "Singhius", "Actodus", "Anarsioses", "Cladomacra", "Coronocestus", "Aplexinae", "Sphaeropleaceae", "Lopadorhynchus", "Guamatela", "Irundisaua", "Neomicrotypus", "Calcitoryctes", "Cargida", "Mitostylis", "Dacrila", "Ovonectes", "Aquifoliaceae", "Asterinales", "Brachyclytus", "Orthogonius", "Colominellinae", "Micromitrium", "Amplectobelua", "Ampullifera", "Haploblepharus", "Nemaspela", "Eucheilota", "Matsakision", "Spongoclonium", "Eostegana", "Gymnothamnieae", "Podopterus", "Stethoprotaetia", "Paraforficatocaris", "Meiyingia", "Proliferobasidium", "Mandevilla", "Veliidae", "Sphenostylis", "Gogoltilla", "Sixalix", "Robsonella", "Uenoidae", "Korethraster", "Lepyrini", "Zonocyba", "Parmipalpus", "Gnathostomulidae", "Acinacistyla", "Xenitenopsis", "Emberizoides", "Dolichocephala", "Heptapteridae", "Trimicerus", "Loeblichiinae", "Bullowanthura", "Ficidae", "Agglutisolena", "Gubkinella", "Neesia", "Sciaenops", "Graphops", "Cismelba", "Nannophrys", "Madarini", "Onthophilus", "Lichenodiplis", "Pictothyris", "Hurleyella", "Crathiorada", "Tamdaora", "Heteropalpini", "Thrattidion", "Geminospira", "Myosotis", "Rhinobatonchocotyle", "Asymblepharus", "Scaphydra", "Cancellochelini", "Ixoroideae", "Aquita", "Bathycentor", "Tetrapalpia", "Microglena", "Curtius", "Trispeleognathini", "Thogsennia", "Pseudantechinus", "Dinomunda", "Foveosa", "Conolophus", "Cymatotheca", "Intercader", "Lebanophytum", "Neoleptusa", "Vicicitus", "Clonorchis", "Sympergoides", "Labracoglossa", "Veronicellidae", "Cymopterus", "Pecticossus", "Myiomma", "Rhamphidium", "Parabembridae", "Himantoides", "Doridostoma", "Hippasella", "Mizotrechus", "Aulacetrini", "Nishadana", "Triacmoserica", "Oncella", "Plenaster", "Pavlodiscidae", "Pachastrellidae", "Aurigequula", "Trichellipsis", "Napeogenes", "Oedicephalus", "Radiata", "Ophiusini", "Malapterus", "Cremanthodium", "Sangzhites", "Zuluclavodes", "Lepidodendraceae", "Neopelma", "Eustiromastix", "Pseudostenophyma", "Microlestodes", "Aegyptobia", "Pseudophryne", "Epipona", "Stenosiphonium", "Leontium", "Heteroxya", "Gulgastruroidea", "Tathicarpus", "Megaschizominae", "Chaetodera", "Aciphylleae", "Mirabilopsaltria", "Gossypianthus", "Monobremiina", "Ougandatherium", "Nymphozoon", "Pillaiabrachia", "Gymnodactylus", "Stenorhopalus", "Vojtechirogas", "Coryphospingus", "Dangoka", "Borelis", "Stylatractus", "Abyssalia", "Spectralia", "Euanoma", "Roraimaea", "Frigorilepis", "Lordomyrma", "Cubanohydracarus", "Paratetramelus", "Leptohyphidae", "Habeas", "Cheironitis", "Tectotydeus", "Dendrolasiophilus", "Rhacalysia", "Henrotiochoromus", "Cintractia", "Peltodytes", "Anisomeriini", "Diestotini", "Blepharocalyx", "Euryphagus", "Munkovalsaria", "Tetrapocillon", "Lasius", "Radamaea", "Eretmodus", "Hypoestes", "Amazonides", "Koshantschikovius", "Kleokyphus", "Leucascus", "Proterhinus", "Eutabanus", "Resigia", "Vvedenskya", "Heringia", "Tuberculiformia", "Gamolpidium", "Yara", "Stevesonius", "Megalomyrmex", "Brexia", "Omologlusa", "Phthanoperidiniaceae", "Pernerininae", "Byblidaceae", "Celetotelus", "Gonometopus", "Imshaugia", "Akicerinae", "Dilobeia", "Dasyponyssus", "Hymenalia", "Cornutorogas", "Speleketor", "Bryospilus", "Chrysocolaptes", "Xyris", "Siphona", "Actinoschoenus", "Atopacanthus", "Pelicope", "Cliococca", "Chalcimerini", "Hypophylloceras", "Calliopsini", "Bathyschraderia", "Hymenopyramis", "Trymolophus", "Calciarcus", "Pachymerocorista", "Brachyamytta", "Juglandaceae", "Hypanthidium", "Holmsella", "Aglotingis", "Davallia", "Sextiputeus", "Pentodon", "Parasoldanellonyx", "Orcuttia", "Kerstersia", "Saccocalyx", "Indocader", "Phairichneumon", "Astronebris", "Mopseinae", "Microcampa", "Pinnulariaceae", "Glaucia", "Tyrannidae", "Dyscritaspis", "Pseudomonas", "Osprynchotus", "Mesocena", "Ancistrocheirus", "Tetramerium", "Valettietta", "Theoxena", "Tetragonitaceae", "Cetopsidae", "Acanthosybra", "Echeneidae", "Monochroa", "Aspistinae", "Phymatosternus", "Cornuspiroidea", "Diffractella", "Cytocystis", "Mico", "Phlomideae", "Silphiodaucus", "Pomacentridae", "Acymatopus", "Polykatianna", "Symplecis", "Petalodes", "Methanomassiliicoccus", "Melanopsis", "Leptochromini", "Pachycereus", "Emesinae", "Ulvibacter", "Celazia", "Tetraopes", "Sneathiellaceae", "Methylophilaceae", "Mimovalgus", "Archaeopone", "Abrodiella", "Clinopalpus", "Anisocnemus", "Urceomyces", "Histurgops", "Dolichosoma", "Benthopecten", "Pseudogobius", "Dorylaiminae", "Spauligodon", "Reversopelma", "Emathis", "Mimadjinga", "Trachyderastes", "Trachelocyphoides", "Chalcidoseps", "Celes", "Geminigeraceae", "Pygaera", "Apocyrtidius", "Agicuphocera", "Chionachninae", "Posidoniomyces", "Levucaecilius", "Crenidorsum", "Hermosa", "Geophaginae", "Leprocapsus", "Choridactylus", "Palaioscaria", "Brandbergia", "Argynna", "Paleonelsonia", "Anomochilidae", "Calvezina", "Devadatta", "Hemichordata", "Pseudogavelinella", "Sibuyanella", "Rochelia", "Brazilobatidae", "Taiwanomenimus", "Neorhynchoplax", "Billardiera", "Dissup", "Cletus", "Megascogaster", "Cryptodus", "Himepion", "Leioseius", "Phalacromyrmex", "Sinthusa", "Freemaniana", "Stauranthus", "Monobrachia", "Ambulyx", "Nanium", "Crocallis", "Monodontocerus", "Pittoidea", "Vaccinium", "Palaeoscapteriscops", "Acrospermaceae", "Oleriina", "Pinguiochrysidaceae", "Cenchrenini", "Acanthacaris", "Cyanocystis", "Chilamblys", "Glorieusella", "Iridopsis", "Modialis", "Tilmatura", "Proesochtha", "Rhagosmittia", "Epicallima", "Herpetacanthus", "Cephalosyne", "Angulodiscorbis", "Oligoremora", "Echinocotyle", "Allotiso", "Dermestes", "Nausitora", "Carabodidae", "Damnxanthodium", "Chamunda", "Amphiceratodon", "Pseudomimonectes", "Dromiotes", "Tascina", "Pricella", "Cholerus", "Ischnognatha", "Axinopsidinae", "Facelinopsis", "Scytinopteroidea", "Mediterexis", "Gadella", "Spinitermes", "Catenuliconidia", "Distephaninae", "Ocenebra", "Agapetes", "Rytiphlaea", "Stylatopsocus", "Canalohypopterygium", "Sceliodes", "Leipula", "Adeliella", "Pleuroploca", "Cypriconcha", "Paurothericles", "Patiriella", "Tenebrionidae", "Cosmophorini", "Cornuspiridae", "Listrocryptus", "Loxurini", "Entedoninae", "Tachia", "Conchostraca", "Nephrosperma", "Guedesia", "Basileura", "Asiaephorus", "Rhadinocladia", "Eriopterella", "Paracyclammina", "Emberizotaenia", "Holopycnia", "Caloctenus", "Allodonta", "Taeniophorini", "Maimuna", "Odontolochini", "Hybovalgus", "Scythiolininae", "Apteria", "Neato", "Chalarodon", "Notonectidae", "Macrocentrum", "Leiolpidium", "Ecitoschneirla", "Luciferidae", "Buttenheimia", "Trebouxia", "Blackallia", "Tylophoropsis", "Ophiopyren", "Nemopterella", "Peridiospora", "Platycarpa", "Kymatotrichon", "Torosaurus", "Mimohippopsicon", "Aurigamonas", "Hermannia", "Leistes", "Odontoholcae", "Pseudoharpella", "Bitubulogenerina", "Euryptychus", "Anthracosironidae", "Riwomegamphopus", "Diodora", "Phaeothamniophyceae", "Vingselina", "Coronulidae", "Hydroniscus", "Australoxenella", "Aphelochroa", "Osphyobothrus", "Fulvidius", "Luetzelburgia", "Crocanthinae", "Chrysartona", "Ascoideaceae", "Chandlera", "Rasbora", "Nigidionus", "Aclypea", "Cristaperla", "Elgonotyphlus", "Orthoderinae", "Micropsammis", "Tactusini", "Styloniscidae", "Triaenodes", "Acareosperma", "Enaliarctos", "Jolibrotica", "Asteae", "Minettioides", "Quetzalichthys", "Pachyneurum", "Urucumia", "Ororaphidia", "Cyparium", "Palaeoersachus", "Aizooideae", "Psammocarcinidae", "Lifago", "Parablepisanis", "Kamerula", "Hyrcaninae", "Orocrambus", "Poeantius", "Eremolaena", "Chendytes", "Lempholemma", "Coltroconus", "Dryinidae", "Mesaphorura", "Trichodes", "Prosomicrocotylinae", "Cardiotrema", "Magnoliopsida", "Oerstedina", "Delaga", "Anelcanidae", "Ophiostomataceae", "Viscum", "Follmanniella", "Anagyrietta", "Leucantigius", "Nymphomyioidea", "Ancylophyes", "Parahauerinoides", "Aspasmogaster", "Quisqueya", "Lophodermium", "Loxsomataceae", "Diascorhynchides", "Pachythone", "Didierea", "Afrotritermus", "Adenolobus", "Petagnaea", "Nematoplata", "Anisolophia", "Ophiotypa", "Phallales", "Phymatophaea", "Paulogramma", "Pseudokatianna", "Chinamiris", "Zagrammosoma", "Scleraspis", "Afrostoma", "Cyclomera", "Propedicellus", "Serrotibia", "Strigialifusus", "Buplex", "Centema", "Morphozonitis", "Pseudeupalamus", "Fusigobius", "Eugonissus", "Rhopalocerini", "Mimapatelarthron", "Philbornea", "Halonema", "Sclerophylax", "Echinophycus", "Leiochonini", "Pseudocliarthrus", "Heterometrus", "Bruhathkayosaurus", "Corynesporascaceae", "Oxystomatina", "Sclerothamnus", "Paralubbockiidae", "Pontoppidania", "Pseudaeolesthes", "Ditropandria", "Oriostomatidae", "Eupolybothrus", "Paroligembia", "Tryblidiida", "Verdanus", "Acrotelsatinae", "Ramigekko", "Hyrcanaspis", "Rossiella", "Pretritella", "Anariste", "Punapedaliodes", "Aulographaceae", "Lanthonia", "Galidictis", "Bradybaenus", "Phrynarachnini", "Aphymatocera", "Tetraphyllinae", "Caccoplectus", "Aeoloscelis", "Eulonchopria", "Neopalame", "Jacmaia", "Bizarrifrons", "Metastrombidium", "Histiostoma", "Hoplopactus", "Calathocosmus", "Triperopus", "Pleurorthotrichum", "Borealibius", "Dontostemon", "Colymbomorpha", "Loboberea", "Phymatarum", "Archangium", "Holochelus", "Proscopiidae", "Valenciniidae", "Phaeosphaeriaceae", "Lybindus", "Tephrosia", "Sphenacodontia", "Aphthona", "Josephinia", "Ophthalmolepis", "Zosterocarpus", "Coccophora", "Mactroidea", "Rhopalophlyctis", "Dasispermum", "Epanerchodus", "Andotypus", "Megatracheloides", "Athemus", "Arborillus", "Thrichomys", "Cardioderma", "Phenacoceratidae", "Aplustridae", "Agraecia", "Rhabdotylus", "Sceptrintus", "Salvidae", "Dorylomimini", "Gunterichthys", "Heleoperidae", "Anoplophilinae", "Bijugis", "Flexistipes", "Natalobatrachus", "Diestota", "Betasuchus", "Kogaionon", "Holoparamecus", "Prasonica", "Diachros", "Glaphyra", "Augusta", "Roa", "Vietomelittia", "Latitanais", "Melitidae", "Psammoneis", "Actacarus", "Chlidanthus", "Schedolimulus", "Parallidiostoma", "Euphaneta", "Acanthostracion", "Rayososaurus", "Pentaphlebiidae", "Phalangites", "Luciopercinae", "Gyrinophilus", "Apeleptera", "Goniodoris", "Macleayella", "Cyrano", "Doratopsyllini", "Chloropterus", "Iulomorphidae", "Stupkaiella", "Exapiini", "Heterocapsaceae", "Stenomela", "Pseudocossonus", "Perdicinae", "Diplocyclos", "Poritectolithus", "Macrocypraea", "Heterolepisma", "Platyseiella", "Cavernomonas", "Phora", "Phaeomyias", "Pleurotobia", "Dictyolimon", "Imara", "Alveolitina", "Braunina", "Pseudohypatopa", "Porphyrosela", "Chrosomus", "Symmoletria", "Eschrichtius", "Kuschelius", "Pachygastrodes", "Megaviridae", "Antispilina", "Nymphaster", "Clematicissus", "Speothalpius", "Robertkochia", "Rhopalogastrum", "Guibemantis", "Xylomoia", "Kaindipsocus", "Protomonadina", "Muonajini", "Nicomiinae", "Euderopus", "Sonderia", "Calcigorgia", "Scolopendridae", "Asiagone", "Triantha", "Catabotryales", "Hyalis", "Deltotaria", "Doryrhamphus", "Rheinheimera", "Priacmopsis", "Salisediminibacterium", "Moniliformida", "Dictyochaceae", "Alsinoideae", "Hoplomolgus", "Rhamphorrhina", "Mobilabium", "Kenmackenziinae", "Enaliarctidae", "Paraclitopa", "Peterjohnsia", "Ambongia", "Chamidae", "Spinoliva", "Capsosiphon", "Lechius", "Chrysiridia", "Pilocrinus", "Ascochyta", "Sceliphrini", "Balanophorobius", "Scagelia", "Clitena", "Schwetzochromis", "Pedinopleurus", "Goya", "Rhagiini", "Tetragonidiaceae", "Hexacola", "Psammopora", "Homoeosoma", "Solen", "Solenangis", "Okellya", "Phaenolobus", "Anelasma", "Pythonodipsas", "Jacoona", "Anheteromeyenia", "Rhodothermus", "Discomorpha", "Ophisaurus", "Anthomyiidae", "Pectinivalva", "Jujubinus", "Aneugmenus", "Kentiella", "Caldicoprobacteraceae", "Acanthoplegma", "Parapedaliodes", "Synagris", "Bathyraja", "Cirrhochrista", "Emeraldagraecia", "Strongylurini", "Comephoridae", "Oxyzethodes", "Notonykia", "Erytodes", "Alchorneinae", "Hapalaraea", "Roseiarcus", "Oruza", "Rarobacter", "Vitreledonellidae", "Halter", "Neonicholsonia", "Ophionereididae", "Siphonognathus", "Chloroparva", "Plodia", "Streptococcaceae", "Ascetocythere", "Aetacarus", "Madrasostes", "Sceloenoplini", "Tanautarsala", "Geinitziidae", "Thaumasioscolex", "Tetrameropsis", "Oreocyon", "Monarda", "Atrichadenotecnum", "Paraliaceae", "Vittatus", "Hawkeswoodedaphus", "Cylindrospira", "Theritas", "Neobeguea", "Peltocephalus", "Vertebrasigmoilina", "Orientocampa", "Baldus", "Pelecitus", "Cobosesta", "Furgaleus", "Chrysoesthia", "Laparocerus", "Lachnoloma", "Appias", "Popillia", "Pedinura", "Heteropseudinca", "Asycobia", "Pterygosomatidae", "Scaphirhynchus", "Mimoleprodera", "Terebratella", "Sycettusa", "Allantini", "Arpiella", "Saproglyphinae", "Thrigmopoeus", "Borneolaena", "Loripes", "Staffordiidae", "Ctenolabrus", "Operophtera", "Malapteruridae", "Eukaia", "Lophura", "Indicoblemma", "Chrysopodes", "Cloacotaenia", "Leurolepas", "Amurotrema", "Eustheniinae", "Esocampylia", "Dentachipteria", "Gyrinodon", "Cynictis", "Creodonia", "Arogalea", "Diaugis", "Lepturopetium", "Pepoyara", "Callechelys", "Cascoplecia", "Hapsidohedra", "Protelsonia", "Phorostichus", "Phlyctinus", "Paulianomyia", "Iphiculus", "Alexarasniidae", "Aphyllanthes", "UAZ", "Quentinia", "Apicomonada", "Spiralizoridae", "Kupellonura", "Mazaceae", "Latania", "Flagellobolus", "Maylisoria", "Amphiophiura", "Podosira", "Ptiloprora", "Psammathodoxa", "Lepturophis", "Huasteca", "Phoebodus", "Diplonevra", "Andaniexis", "Gordialycus", "Calicnemiinae", "Axelrodichthys", "Lecithocerinae", "Pittosporaceae", "Pulsellidae", "Lophonetta", "Bellemerea", "Cercobrachys", "Trautvetteria", "Praereinholdella", "Dyssodia", "Andrognathia", "Obudupotamia", "Tarakini", "Rieppeleon", "Involutina", "Mallanganee", "Synedropsis", "Mariaella", "Trithamnora", "Probopyria", "Turanoniscidae", "Placopegma", "Inermicapsifer", "Oxyurostylis", "Protarchanara", "Caralluma", "Raphidiomimidae", "Izhakiella", "Actinemys", "Potiicoara", "Torocampa", "Aplectosoma", "Miliammellus", "Opheliidae", "Ophiotomidae", "Raphitreodes", "Phlebotaenia", "Ameromyzobia", "Tethepomyiidae", "Hemipsocus", "Notorotaliidae", "Caprhiobia", "Anepischetosia", "Centrosaurus", "Leupoldina", "Hypidalia", "Morulaeplecta", "Capnodium", "Promonobothrium", "Pycnomesitius", "Lucayablennius", "Transdryininae", "Petrodictyon", "Emausaurus", "Gaylussacia", "Paramacrosteles", "Kolostoneura", "Arminidae", "Hypomyzostoma", "Calymnidae", "Navicymbula", "Trevesia", "Belobranchus", "Duocalcar", "Irmaria", "Sterigmatospora", "Bolivar", "Nephridiorhynchus", "Hierococcyx", "Neotenogyniidae", "Cephalophilon", "Nesiotoplectus", "Atsusina", "Planorbulininae", "Parapurcellia", "Heliophila", "Meenoplidae", "Brockmanniella", "Toxopeusella", "Leucopogon", "Daohugounectes", "Trechona", "Parabotha", "Disepholcia", "Rhodochiton", "Pareidae", "Gyrostelma", "Myrosmodes", "Hexechamaesipho", "Phragmotaenium", "Afrodesmus", "Anthomedusae", "Polycyrtaspididae", "Madegalatha", "Amphisiellides", "Artemisiospiza", "Argyrodinae", "Gomphonitzschia", "Homoieurete", "Juxtaxanthias", "Fennasiraca", "Topalodiscorbis", "Phragmataecia", "Grandidierella", "Splachnaceae", "Goneplax", "Micromonas", "Streptoechites", "Azygioidea", "Blastoidea", "Notoclininae", "Ganzhousaurus", "Meioneurites", "Piridium", "Neofabricia", "Euceraphis", "Eclytini", "Vaseyochloa", "Franconiclymenia", "Nymphomyia", "Metilia", "Thurntaxisia", "Onigocia", "Kuwayamaea", "Brachineurina", "Algodontodes", "Blythophryne", "Leucopini", "Haltidytes", "Carterettini", "Lacertibaenia", "Trichosurolaelaps", "Cameronium", "Cancris", "Limulidae", "Skorpiovenator", "Facetotecta", "Hemibelideinae", "Eugerdellatinae", "Physcius", "Bidnaviridae", "Celaenopsoidea", "Techmarscincus", "Paramyrciaria", "Sarcophanops", "Stoschia", "Cainiaceae", "Dasyornis", "Newmanilepas", "Iwatsukiella", "Albatrossiella", "Chalaropini", "Neoveitchia", "Sararanga", "Arotros", "Xenoconurus", "Enckella", "Coccolithophoridae", "Catopsbaatar", "Yunna", "Roseicyclus", "Ktenopteryx", "Tephrodornis", "Spartoides", "Heterhelus", "Chimaerotheca", "Eucallopistus", "Synuchus", "Otoglossa", "Turraeeae", "Cosmotomidius", "Panulirus", "Anaccra", "Batrachochytrium", "Rhotana", "Manithyris", "Benthochromis", "Paraxinidium", "Mesocrina", "Epipsocetae", "Theonoe", "Laubellidae", "Galliherina", "Urutaulepis", "Gaudryinopsis", "Mariprofundus", "Stylopsis", "Basidiobolales", "Trichopnites", "Clathrochloris", "Scoliopus", "Luteolepturges", "Reophax", "Lethrinaxine", "Heteromirafra", "Acanthotylotra", "Stylometra", "Islaya", "Poephila", "Narcine", "Sugitazyma", "Acidisphaera", "Triposolenia", "Sagamia", "Aegokeras", "Pseudopimpla", "Sclerolepis", "Kobus", "Flavihumibacter", "Megapogon", "Chymsydia", "Phyllogomphoides", "Ocimum", "Rhipidarctia", "Rivetina", "Ethiosciapus", "Diochini", "Sundolyra", "Spongiocarpella", "Xylomelum", "Tegeocranellus", "Fallaxdesmis", "Clusiodinae", "Waiporia", "Hoplicnema", "Shirerpeton", "Stenolophus", "Aggregatorygma", "Pseudurothoe", "Daternomina", "Callyspongia", "Scotticus", "Heterochara", "Lingulida", "Xerotia", "Actea", "Gollania", "Tetrapachylasma", "Mongolbittacus", "Gleadovia", "Asperoteuthis", "Ptiloxenidae", "Zygotritonia", "Meligethes", "Brachythrix", "Wallacea", "Arhysoceble", "Antilocapra", "Caudatoscelis", "Pholidichthys", "Intoshellinidae", "Touit", "Liasis", "Hickelia", "Pachytrina", "Polycrasta", "Mynonebra", "Ephelotidae", "Hasarius", "Ixobrychus", "Phanerotoma", "Platanurida", "Amorphosoma", "Excoecaria", "Falsomordellistena", "Xenoderolus", "Entium", "Phalloscardia", "Dartevellia", "Anomiopsyllinae", "Pseudopicrocuma", "Clenchiellidae", "Bethylimorphus", "Argia", "Pennisetiini", "Dispar", "Coniogenes", "Strongyloides", "Chonemorphinae", "Turbinellina", "Paragorgiidae", "Lachnella", "Ewartia", "Coleophora", "Metacosma", "Vanuatubasis", "Xenopteroidea", "Athrotomus", "Dracoderes", "Saundersina", "Amathusia", "Palaeosynthemis", "Euryleptodes", "Phlomoides", "Muiralevu", "Chitinispirillales", "Visayax", "Calappoidea", "Davainea", "Wilkersonia", "Rheodytes", "Caaeteboia", "Salamandroidea", "Platycodon", "Diplomystidae", "Volinus", "Valloniinae", "Citrullus", "Castoria", "Teresodus", "Dicyathifer", "Tulbaghinia", "Xenacoelomorpha", "Minoa", "Nodosariidae", "Phakettia", "Duospina", "Siricoidea", "Navicella", "Cotinus", "Kelleriidae", "Stobaera", "Chaetomitrium", "Coliadinae", "Eumyurium", "Psammocoryza", "Scalenarthrus", "Pseudallodiscus", "Phelea", "Stenoheriades", "Acmostomum", "Epicopeiidae", "Trichophyton", "Fokieniopsis", "Schwanniomyces", "Achyropsis", "Tiliactus", "Marinichlorella", "Phaeocedus", "Eupinidius", "Lessertina", "Tropobracon", "Taxigrammina", "Sandalops", "Rallocytus", "Inososgenes", "Heteropiidae", "Allorhynchium", "Sectiliclava", "Voacanga", "Afroplax", "Habrophlebiinae", "Schachticraspedon", "Philenora", "Langelandia", "Meliolales", "Parepimelitta", "Cucujidae", "Shigella", "Polyptychopsis", "Burmacyrtus", "Globoconusa", "Oxyomera", "Drosera", "Annulotrematoides", "Hesthesis", "Protolembos", "Pseudosquillidae", "Perissonoe", "Goniopleura", "Arctorthezia", "Cuscuteae", "Coelites", "Faidherbia", "Haplopteris", "Sinapidendron", "Mexiplectus", "Simulia", "Algyroides", "Tanylypa", "Echinoclathria", "Asteroleplasma", "Euxinella", "Sphenoparme", "Hyalopyxis", "Echinanthera", "Praecuvierinidae", "Astrolabelichus", "Tricongius", "Pseudidonauton", "Mesocricus", "Buergersiochloinae", "Carulaspis", "Hyaloraphidiales", "Gomphotherium", "Stichoplastoris", "Proterorhagia", "Microhemidiscia", "Cratyniini", "Ornithothoraces", "Bronislavia", "Chiruromys", "Feraliina", "Sokotina", "Ophidiomorpha", "Gynandrotaenia", "Odontozona", "Abyssianira", "Parahepialus", "Praeblissus", "Plerandra", "Xylonales", "Ipainae", "Andocadoncum", "Megatheriidae", "Carvalhodrymus", "Sporormiella", "Actinoplaca", "Semo", "Neoachiropsetta", "Toerpenola", "Cactosoma", "Oligonychus", "Plethiandra", "Nectonematoida", "Nothoceratium", "Phenacoccus", "Spilosoma", "Costellagerina", "Adelencyrtoides", "Odontotrigona", "Myxozoa", "Mylabris", "Simplimorpha", "Incadorcus", "Mygdonia", "Nektaspida", "Microthamnium", "Sicanites", "Ethiolygrus", "Monticellia", "Sesiosa", "Certhilauda", "Gibbaranea", "Sinicaepermenia", "Dictyopterini", "Phallus", "Vibidia", "Paradexamine", "Geranomyia", "Glaucophyceae", "Balneola", "Kolpophorae", "Liamegalonychus", "Leichenina", "Ainudrilus", "Mesolita", "Chlaeniitae", "Scinaiaceae", "Texatrygon", "Makoanus", "Thelidium", "Balistoides", "Leptoscaphos", "Grias", "Moronobea", "Nigma", "Rebelia", "Dodonaeathrips", "Sibbaldia", "Pignus", "Cymbopetalum", "Lycaotini", "Acidithiobacillaceae", "Paramyromeus", "Conoscydmaenus", "Hauptmannia", "Rhynchitoplesius", "Gastrocymba", "Pronotacantha", "Microplitis", "Ruehssia", "Pelophilini", "Paradiglyphosema", "Agelaeopsylla", "Tetraclita", "Lachnochaitophorus", "Chrysolepidomonadaceae", "Paranthodon", "Menispermaceae", "Pholisora", "Penetrantia", "Ruegeria", "Apothetoeca", "Sonoraphlyctidaceae", "Bunolagus", "Iridaceae", "Rhabdospora", "Xenoposeidon", "Phycicola", "Deltinea", "Columbicella", "Stromatopelma", "Euphytosus", "Frondicularia", "Cephalocarida", "Kannaphallus", "Allopauropus", "Diceratosteleae", "Anisopholis", "Amphioplus", "Gambiella", "Chilotomus", "Julida", "Pilellus", "Scolytodes", "Brachyacanthus", "Bipoonops", "Dubatolovia", "Malvoideae", "Operculicarya", "Simethis", "Geoffreyella", "Metacyclops", "Cerioporina", "Liporrhopalum", "Parafrasura", "Flectomonas", "Synergus", "Iridopeplus", "Micramphora", "Parasphingopyxis", "Cratomacer", "Exomalopsis", "Euchilia", "Acidosasa", "Opsiina", "Zethopsinus", "Microphorites", "Zenophassus", "Pauropoda", "Orepukia", "Markea", "Rogerpetersonia", "Pseudomenotelus", "Stereophyllaceae", "Pygolabis", "Arixiuna", "Pachotelus", "Procurculio", "Mimohecyra", "Characeae", "Trochetia", "Exormotheca", "Mimamblesthidus", "Elasmodontomys", "Enteridiidae", "Paracroton", "Parapisa", "Cephalanthus", "Diamblomera", "Xanthocanace", "Neotheoridae", "Phenakospermum", "Muricoglobigerina", "Thalassioneis", "Perrierbambus", "Glareovitta", "Storeus", "Sieruela", "Microcharopa", "Calassomys", "ZMNH", "Acamptus", "Neodrypta", "Caryotophora", "Tettigidea", "Campylomma", "Rudiloria", "Ignavibacteriales", "Numilia", "Mobilitalea", "Lithothelium", "Aspredinidae", "Zygia", "Goodeinae", "Podoxya", "Pseudomezium", "Mitromorphidae", "Pantherleon", "Euscelinus", "Micragone", "Alloperla", "Friedaea", "Graniger", "Tubodiscus", "Caraboctonidae", "Pantotelini", "Tussilagininae", "Euplectella", "Helenametra", "Telmatobiinae", "Rhododipsa", "Dominicicada", "Bellingshausenia", "Melanochlamys", "Corallinophycidae", "Analeptura", "Xenopsyllini", "Geocoridae", "Amazonetta", "Cyamidae", "Hallaphis", "Limnichites", "Graueria", "Gutenbergia", "Helodermatidae", "Anepipodisma", "Exallosorus", "Souessoula", "Allorthorhinus", "Mangareia", "Macromina", "Paramiflos", "Sporadoceratidae", "Phakopsoraceae", "Colpodaspididae", "Imber", "Nodogordiospira", "Hooperella", "Wiangaree", "Orcevia", "Proborhyaenidae", "Mirifica", "Abderites", "Dicterias", "Betamyces", "Cephalorhyncha", "Eriorhynchus", "Medwayella", "Neesiochloa", "Ascidiella", "Promesostominae", "Pericalymma", "Piercia", "Coenonympha", "Lyncestis", "Myllenyxis", "Odontostilbe", "Ostracodermi", "Paradettmeria", "Timmiidae", "Ambodina", "Trimitomerus", "Cushmanina", "Neocolobura", "Thalictroideae", "Subversoris", "Bryconalestes", "Urocordylidae", "Proserpinellidae", "Lissogeniina", "Belosticta", "Artemitomima", "Allmania", "Haloactinopolyspora", "Popilius", "Arlenelepis", "Agathemeridae", "Calvoa", "Siphoniferoidinae", "Marylynnia", "Takaorites", "Perileucoptera", "Physonectae", "Neoclavulina", "Dussumieriinae", "Errolia", "Heroplana", "Rhacognathus", "Phaeococcomycetaceae", "Stomiidae", "Meganoxia", "Hesperopenna", "Liaspis", "Nomorhamphus", "Comoclathris", "Stenocolletes", "Praedorothia", "Radulphius", "Macrosamanea", "Drepanostomella", "Ophiodopelma", "Diabroctis", "Ichthyoxenus", "Terathopius", "Amphiplecta", "Varganola", "Klebahniella", "Cranoryssus", "Apsil", "Platystemon", "Cymbocarpum", "Diclinanona", "Altiphylax", "Gunvorita", "Octopoma", "Basilichthys", "Vatesus", "Collematineae", "Setohyllisia", "Hystricognathi", "Austroablepharus", "Jansenia", "Xanthosphaera", "Cladistia", "Labromonas", "Ichthyothere", "Paederopsis", "Lepyronia", "Amblyptila", "Coesula", "Leucogenes", "Trichosomaptera", "Limnocytherina", "Pareuglypha", "Hexamitodera", "Cerdagis", "Oxoides", "Stephensonactis", "Cephalobyrrhinae", "Martyringa", "Xenocheira", "Ostariophysi", "Afrogeochus", "Hylicinae", "Ortaliini", "Parioninella", "Hymedesmiidae", "Pseudotaphoxenus", "Pseudanillus", "Tentifrons", "Cuckoldillo", "Gobio", "Milichilinus", "Duosclera", "Neohymenopogon", "Chariergus", "Paranotoniscus", "Mawenzhena", "Miroidea", "Uroglaux", "Heterogastridiales", "Pleuroneis", "Pericalus", "Pedinopleura", "Agrypnini", "Cyathophylloides", "Stenamma", "Borutzkyella", "Sarsostraca", "Amerostenini", "Rafapicobia", "Pyramidodinium", "Acanthonitis", "Discotectonica", "Zerconidae", "Lentisphaeraceae", "Chavturopsis", "Batracomorphus", "Mimomusonius", "Andinotrichoderes", "Aglaodes", "Aximogastra", "Semnoderes", "Oberthuerella", "Atergatis", "Micridyla", "Aculeorhynchidae", "Omalogyra", "Hazeniaceae", "Deropygus", "Phintella", "Trachelyichthys", "Microsoronia", "Mesodiplatys", "Cynodontia", "Neoalsomitra", "Aeribacillus", "Glanduluncinata", "Asthmatos", "Allozercon", "Stenosemella", "Toxophallopisalia", "Mesoconius", "MZUESC", "Solicorynespora", "Sinodota", "Phialuse", "Catellicoccus", "Nubeculariidae", "Melittosesia", "Odontomasoreus", "Erebiina", "Daitrona", "Franciscoia", "Oxycorynus", "Hiptage", "Galerga", "Klackenbergia", "Favorininae", "Chorinaeus", "Lentinula", "Scelarcis", "Pavo", "Apocampta", "Fidena", "Paedisca", "Utahceratops", "Thyrioclostera", "Spongiosperma", "Leviviridae", "Cassianebala", "Normandiodendron", "Ornithospila", "Polyploviricotina", "Ikea", "Echidnotaenia", "Synistovalgus", "Parka", "Cromarcha", "Paracythereis", "Tremula", "Calyptrocarya", "Adansonia", "Aaveqaspis", "Prepodesma", "Savoryellales", "Baikalomyia", "Gyronactis", "Orthothecium", "Psilaxis", "Bothrops", "Strigulla", "Retropinninae", "Scada", "Hagenowella", "Orthospinus", "Methanopyraceae", "Normanion", "Insidiatores", "Anomphalogaza", "Eutaenia", "Ochtheosini", "Mataichthys", "Scaevius", "MB", "Heterolacurbs", "Obaphodius", "Echimyopodidae", "Sperchontinae", "Lasaia", "Hoplopygothrix", "Tropicihabitans", "Abaxisotima", "Paratarbaleus", "Torymidae", "Delphacidae", "Scelidomachus", "Bothriolepoidei", "Dioecocestinae", "Xenophyophoroidea", "Palaeospongilla", "Chrysomela", "Tasmanammina", "Caulleryaspis", "Lyrocteis", "Abutilon", "Gyrolaba", "Agriosphodrus", "Gaudalges", "Goniaeolididae", "Aneuradesha", "Hualpenia", "Coenipeta", "Turcinoemacheilus", "Lysianassoidea", "Conchostoma", "Parvocytheridae", "Sphenodon", "Trissexodontidae", "Anania", "Cardiastethini", "Vermipardus", "Gigantoxyelini", "Oxytorinae", "Chlorocystidaceae", "Brachypsectridae", "Notiodes", "Auletta", "Wernoryctes", "Olisthopus", "Noturus", "Trigonoglossina", "Pseudocyclophis", "Cyriopalus", "Jabaina", "Birabena", "Spanglerogyrinae", "Sinistermonas", "Nostima", "Podopholis", "Callizonus", "Chunellidae", "Varicospira", "Psectra", "Aboilinae", "Onomeris", "Indodinium", "Imelda", "Batrachyla", "Amblysaphes", "Oculocornia", "Antissa", "Falcatella", "Austrotoxeuma", "Eumegilla", "Metallogorgia", "Kurtoidei", "Xenosiphon", "Ketengus", "Valdiviella", "Hydraethiops", "Stylactis", "Aucacridinae", "Stiphropus", "Caenoculini", "Notopterus", "Anditalea", "Omocestus", "Scoposcartula", "Rungsiodes", "Chrysanthoglossum", "Linevichella", "Dicrotendipes", "Collita", "Xenobythina", "Eudictya", "Chrysosilpha", "Crepidomenini", "Mobilisporobacter", "Trachytrema", "Pterartoria", "Pimpinelleae", "Barbapellis", "Lucida", "Yunchangia", "Calomys", "Encyclopini", "Vulcanisaeta", "Coryphaca", "Gracilobrium", "Auriscalpiaceae", "Nomimoscolex", "Gloeophycus", "Pyronota", "Etnalis", "Proculini", "Comicinae", "Drymaeus", "Hypsopanchax", "Kuschelinus", "Schizophyta", "Hammerschmidtiella", "Gerbillinae", "Orphnini", "Bythocytheridae", "Cerastis", "Oleria", "Brasiliella", "Hadrobolus", "Onconotellus", "Archocyrtinae", "Inglethelphusa", "Wojciechaphis", "Scymnomorphus", "Rubia", "Fissidentalium", "Eupemphix", "Demonema", "Vismia", "Madoxychara", "Diploscapteridae", "Coleochaetophyceae", "Microppia", "Hepialodes", "Lavidaviridae", "Eriocoelum", "Eneopterinae", "Stenobermuda", "Schizorphnebius", "Centroceras", "Nebulovena", "Formosopyrrhona", "Eristena", "Ascocorticiaceae", "Chrysonephele", "Tribounia", "Chileaia", "Metateratocephalidae", "Cryptophyton", "Antopetitia", "Hoplosternum", "Galax", "Pardoglossum", "Dironidae", "Pseudodonaspis", "Agnioides", "Kronborgia", "Pamphiliidae", "Pyracmon", "Aciliini", "Dactyliandra", "Platerodrilus", "Eygalierina", "Chlerogas", "Apsidopis", "Alisma", "Rabula", "Anthomyiopsis", "Gnosonesima", "Hesperidanthus", "Octolobus", "Tmesiphoroides", "Austrohancockia", "Godia", "Cydnoides", "Leucaniini", "Tridentites", "Platyphyllini", "Apatelieida", "Stegengaea", "Throscidae", "Pseuderesia", "Fibrobacteraceae", "Mosannona", "Xylocoris", "Limacidae", "Perikladosporon", "Miantochora", "Stenoponiinae", "Savia", "Lemyra", "Odontotarsinae", "Dichocysta", "Vadonidella", "Ophioplocus", "Paraplandria", "Rictichneumon", "Rhinoploeus", "Cottoniella", "Psittacanthinae", "Pectinivalvinae", "Nanosellini", "Helianthus", "Zophoplites", "Cyclothone", "Scotosia", "Dubridinium", "Remesella", "Platygomphus", "Procaviidae", "Calepineae", "Parelaptus", "Hayashiella", "Colobicus", "Abrotheus", "Nosekientomon", "Ventrostoma", "Trigonopterum", "Ramesa", "Nordenskioldia", "Chilocampyla", "Thrombosternina", "Isotogastruridae", "Amblypodiini", "Myrtopsis", "Sergestoidea", "Macrothemis", "Paraxylocrius", "Pteralyxia", "Neoasaia", "Mortoniella", "Otatea", "Diasporus", "Callicebinae", "Helichus", "Thermocatellispora", "Rossmanomyces", "Coccinula", "Leucodon", "Plagianthus", "Trophocosta", "Greslaniinae", "Tozzia", "Kolotl", "Megaspora", "Molothrus", "Acervulina", "Trichotrigona", "Bidoupia", "Poranthera", "Echinoaesalus", "Bisaccium", "Tetrigimyia", "Cyclocranium", "Strattonia", "Tidarren", "Holorusius", "Notoseris", "Platyrhizodon", "Fundulidae", "Lebertia", "Nabaluia", "Stictodiscales", "Microbisium", "Scalarispora", "Xenococcus", "Urocyclini", "Coloeus", "Victoriella", "Latiendothyra", "Ornithogalum", "Phoxiphilyra", "Pseudothecadactylus", "Himatolabus", "Amheterozercon", "Pubinus", "Cecarria", "Aphiduromyzus", "Microplocia", "Neaethus", "Oorhynchus", "Ornithinicoccus", "Medlicottiidae", "Alitropus", "Polyaulacus", "Solemoviridae", "Schmidita", "Staphylinidae", "Chytridiomyceta", "Brasilicia", "Gerritea", "Alluaudia", "Apomecyna", "Microcanus", "Calophylleae", "Lavigeria", "Homomallium", "Chewlucanus", "Opilo", "Octanapis", "Loboneris", "Tanysoma", "Hyleina", "Diatenopteryx", "Scalmatica", "Rouxiopsis", "Protoceratops", "Hoplocryptanthus", "Irepacma", "Rhysodromus", "Chalepocarabus", "Bleakeleya", "Baralipton", "Xenogaster", "Eotrama", "Tribalister", "Euplotina", "Amoebophilus", "Arachnomyia", "Chirapsina", "Cimicoidea", "Nesomyndus", "Draudtargia", "Litoribrevibacter", "Pachymerini", "Microhydrulidae", "Pronematinae", "Batrisomellus", "Henoceros", "Brindalus", "Dimeractis", "Brachybasidium", "Pinonepalus", "Microdotina", "Zopherus", "Pyrola", "Seydelora", "Galiniera", "Centeterus", "Beaupreopsis", "Kickxella", "Sundagrapha", "Dipterygina", "Dialioideae", "Mantacaprella", "Pseudoxanthomonas", "Dinophysida", "Drassodex", "Chelegnophos", "ICZN", "Pseudomenus", "Scoloplax", "Geastrum", "Gallolithoneura", "Acropygorthezia", "Paraxenopygus", "Podoplea", "Dicladispa", "Scolia", "Testudinibacter", "Calliprason", "Protypanthes", "Macrochaetosoma", "Phyllomedusidae", "Lincicochylis", "Hyptidendron", "Sumatrininae", "Tuxtla", "Bangsia", "Heliocausina", "Handleyomys", "Notamacropus", "Tulcoides", "Vicia", "Postgangesia", "Recurvoidinae", "Lebbeus", "Homalictus", "Kinnapotiguara", "Annulatascales", "Anyperodon", "Asterolecaniidae", "Pronymphes", "Turanecio", "Neavella", "Racocetra", "Pseudophacusa", "Kakadu", "Serpentoanisocladium", "Heterooecium", "Microbrontes", "Megaloprotachne", "Syncathartis", "Conamomum", "Phacotaceae", "Aetanthus", "Paraporpidia", "Subrebinea", "Tydeoidea", "Coccopterum", "Trichophoroides", "Chileanoscopini", "Trisinarthrus", "Ishizakiella", "Amoebomastigota", "Diabolicoris", "Cistugidae", "Pseudiphimediella", "Neatypus", "Ochrophyta", "Sibirocyba", "Sugimotoina", "Glyphogaster", "Pelagodroma", "Lagoecia", "Cephalodesmius", "Holarrhena", "Pedinopera", "Placostylus", "Pemphigus", "Dicyemennea", "Notoryctes", "Hymenostemma", "Virgiscalpellum", "Protankyra", "Morphaeus", "Phenes", "Acanthocerataceae", "Peltini", "Amphirrhox", "Phricotelus", "Taurinellushka", "Octacnemidae", "Anhima", "Gymnomeniidae", "Paraphytis", "Octonoba", "Hybosorites", "Polyphagotarsonemus", "Sciaphyini", "Pyramidina", "Pseudobornia", "Rubricoccus", "Ptininae", "Flabellinoidea", "Dictyoglomia", "Atractosporaceae", "Tamaulipa", "Massilina", "Pieris", "Xenochara", "Coptophysella", "Punctonora", "Platychilomonas", "Laocypris", "Charichirus", "Cyphoderinae", "Catapsydrax", "Sinolinyphia", "Nizymeniaceae", "Acutimitoceras", "Raphidogloea", "Bobea", "Diplaspis", "Chromadoroidea", "Neastrida", "Euhyposmocoma", "Loranthus", "Prostoia", "Oeonus", "Acrossidius", "Paramicrocotyloides", "Peplonia", "Abantiades", "Aquihabitans", "Agaricophagus", "Embolemus", "Dichelachne", "Stylocellidae", "Laffitteina", "Sooglossidae", "Onychopterocheilus", "Oospila", "Iresine", "Tanzanolus", "Macrosiagon", "Odontocerocoris", "Vinundu", "Oecanthodes", "Bathyzonus", "Oxyphysaceae", "Codatractus", "Sora", "Pararcyptera", "Morganiella", "Eucarta", "Brochocoleus", "Mychonastaceae", "Catagmatus", "Dichelacera", "Hyperscopaeus", "Phormospyris", "Tlepolemoides", "Pisonia", "Aphrotenia", "Neophrissospongia", "Percolomonas", "Lithogeotrupes", "Agobardus", "Bankeraceae", "Cryptococcolithus", "Cryptaphodius", "Polycaryum", "Carpobrotus", "Brarus", "Rhizophlyctis", "Sthenistis", "Bambalina", "Ploeotila", "Amblyopinina", "Glossocercus", "Eothea", "Siyingia", "Aparatanais", "Paraclisis", "Panara", "Butea", "Oleiphilaceae", "Cosenzaea", "Puermytrans", "Parhadrestiinae", "Nysius", "Globofissurella", "Pseudeboda", "Rhodymeniophycidae", "Aulacocephalonia", "Furcadesha", "Kuhlmanniodendron", "Naenarides", "Heteroscodra", "Dinogenes", "Neoxyphinus", "Leucanitis", "Travassosiniinae", "Arcicornia", "Ephestris", "Rebutiinae", "Marimermithidae", "Cornua", "Philosyrtis", "Urocystaceae", "Morganucodonta", "Pseuderanthemum", "Ascoseiraceae", "Contopus", "Osbornieae", "Heliania", "Garantella", "Pamerapa", "Kiwiharpalus", "Lacconotus", "Xerobdellidae", "Uncinuloidea", "Alopia", "Loxocephalidae", "Dasella", "Pseudocaryopteris", "Protamaurops", "Cucurbita", "Balsamorhiza", "Talos", "Photyna", "Ponderella", "Euphoniinae", "Pygocryptus", "Salishia", "Scytalopus", "Spondylis", "Attercopus", "Dendrocharis", "Saxipoa", "Crisia", "Hybrizon", "Sandracottus", "Schistes", "Tardewocklumeria", "Rozenia", "Hemigordiopsis", "Athecanephria", "Karelinia", "Paramichrotus", "Hesperoconopa", "Epipyrops", "Phyllonomaceae", "Ranohira", "Pycnoglypta", "Vandijkophrynus", "Macroplia", "Thalamoporellidae", "Togoda", "Alantsilodendron", "Trogonoptera", "Chisocheton", "Detonella", "Polycopissa", "Polystomatidae", "Philesiaceae", "Carpophilus", "Tricimbomyia", "Reckertia", "Crambicybalomia", "Clauseneae", "Cerbalus", "Scaphytopiini", "Actinoptychus", "Paraophthalmidium", "Archipetaliinae", "Atresius", "Proteoteras", "Ophiothrix", "Cretaconiopteryginae", "Coltricia", "Ogmocerodes", "Pipridae", "Paranarella", "Nebriinae", "Labidoculex", "Apterodromites", "Malegia", "Barchatus", "Xyelydidae", "Arthrodira", "Crossosomatales", "Aeneonaenaria", "Erissus", "Samuelssonia", "Forficulinae", "Serejohyale", "Zolotuhinia", "Bourdotigloea", "Combosclera", "Wallaconchis", "Ulrichophora", "Tvetenia", "Camptoprium", "Cremolobus", "Caelostomini", "Dactylicapnos", "Dromornis", "Amblyanthopsis", "Moureanthidium", "Platystemma", "Weketrema", "Dvinella", "Similonedine", "Hydrosilicon", "Dyschoriste", "Dilophosaurus", "Toulgoetarctia", "Spermothamnion", "Listropsoralges", "Chalcoprionus", "Grellia", "Stictocoris", "Brachedra", "Melaenornis", "Bulleremaeus", "Persicobacteraceae", "Laganina", "Dnopherula", "Chytridiodinidae", "Pandaka", "Alternanthera", "Cerocephalinae", "Choeronycteris", "Callabonica", "Wahydra", "Lecteria", "Ramicandelaberales", "Altiverruca", "Pyritocephalus", "Batrachostomus", "Titanosauridae", "Turesis", "Cardiospermum", "Tmetothylacus", "Neureclipsis", "Klarissa", "Heerz", "Sagittidae", "Thermonema", "Cotynessa", "Synchita", "Baltostigus", "Oregoniplana", "Colurodontis", "Thuridini", "Alcconotus", "Sagdinae", "Dysderoidea", "Sparidentex", "Eulonchus", "Nitritalea", "Sphyranthera", "Falsocacia", "Zeiogadaria", "Helmoreus", "Anoplophryidae", "Grausa", "Gvosdevinia", "Dyplolabia", "Hekelidae", "Pilipalpinae", "Ischnoscelis", "Coenocorypha", "Streblonemopsis", "Paragongylopus", "Corra", "Eriomastyx", "Arboridia", "Dalceridae", "Cocytiinae", "Macradenia", "Hybogaster", "Parhecyra", "Stylochonidae", "Trachelocercidae", "Paxistima", "Pseudalleucosma", "Trombella", "Brewcaria", "Discodorididae", "Cyclantheropsis", "Indoxysticus", "Arthaldeus", "Monticolomys", "Samolus", "Artediellina", "Metanopedias", "Darapsa", "Ypsotingini", "Desmarestiaceae", "Euselasiini", "Diplogyniidae", "Kluyvera", "Neoplanorbulinella", "Ensatina", "Trichognathella", "Diospilini", "Microbiotheriidae", "Alcimosphenus", "Trichosurinae", "Elphidiinae", "Nematorhynchus", "Hymenogyne", "Karabasiidae", "Buenoa", "Laurentiella", "Anexaireta", "Perleididae", "Nizymenia", "Kearophus", "Amicrops", "Lysitermus", "Schottariella", "Galbimorpha", "Polychrus", "Atrocolus", "Termitellodes", "Pholcoidea", "Hypothymis", "Alomiinae", "Myrotheciomycetaceae", "Cordillonotus", "Ephippiger", "Stasina", "Platyrhopalopsis", "Grandifoxus", "Chrysopoloma", "Microcos", "Lycomimodes", "Trachinidae", "Gleicheniales", "Zygophyseter", "Croomia", "Coffeeae", "Bombinatoridae", "Boadicea", "Trogopterus", "Odontopharyngidae", "Oreophysa", "Indocypraea", "Spiraeanthemum", "Aspar", "Kentrochona", "Ardissonula", "Tripneustes", "Osphyinae", "Thabena", "Houssayella", "Lamprocryptidea", "Terebratulina", "Mediaria", "Pallaseidae", "Helicostoma", "Thrandina", "Prepotheriina", "Balbisia", "Cebidichthyidae", "Melodomuncula", "Synthemis", "Collozoidae", "Amitermitinae", "Codiaceae", "Euchrysops", "Stephanomonas", "Polyceratium", "Oeseliidae", "Psathyrometra", "Compsophis", "Mastigini", "Juracantha", "Xenurolebias", "Euprymna", "Lepidostemon", "Hyperbola", "Macrorileya", "Akravidae", "Ancylostoma", "Abeomelomys", "Rousselia", "Hattorianthus", "Aquilinae", "Elachisme", "Platysmurus", "Trichopteris", "Pachnocybe", "Amblyrhynchichthys", "Forsteramea", "Eudahlica", "Petrovitzius", "Colepidae", "Notosudidae", "Chydaeus", "Novuncaria", "Myialginae", "Halovenus", "Oxynema", "Pseudoteredinibacter", "Dicondylus", "Lithoscirtina", "Olivibacter", "Plagioscion", "Nidilaelaps", "Scaphidiinae", "Synatophleps", "Kunugia", "Mimardaris", "Choreutinae", "Sanchytriales", "Aristonectes", "Zelleria", "Attalea", "Discorbidae", "Orophiini", "Microdesmus", "Nemodermataceae", "Davalliaceae", "Tesseroplax", "Cyanoptyche", "Disopsocus", "Paraglyptus", "Paracyclops", "Aspidimorphini", "Dicranocephalus", "Spinosaurus", "Centrolophidae", "Ranulfoichthys", "Microptilium", "Pringlea", "Cystodictyonidae", "Eolygus", "Labordea", "Eukaryota", "Talautoclyster", "Hermesinaceae", "Xenobasilewskyia", "Avenella", "Xerochloa", "Amsichthys", "Promegalonychus", "Acanthomenia", "Syringogastridae", "Eunicolina", "Carinetina", "Rhadinoscelidia", "Zygometis", "Pelecopsis", "Megalonchos", "Cryptoniscoidea", "Eburneana", "Ichnocarpus", "Pseudophyllodromiinae", "Takashia", "Ophrygonius", "Atheta", "Teleiodes", "Anemonia", "Prolygus", "Acanthaptinus", "Mukariini", "Manisuris", "Ornithobacterium", "Olallamys", "Paracheirodon", "Zobera", "Sarata", "Dicropleon", "Dendrocerotales", "Placospongiidae", "Parapeytoia", "Antillotyphlops", "Tropidonitis", "Pampusana", "Rhodothermaeota", "Catagoniaceae", "Temnopleuridae", "Timarete", "Aedeomyiini", "Zygosaccharomyces", "Palaua", "Laeliinae", "Admirandopora", "Lasiocroton", "Speleobamini", "Adelocosa", "Larssonaphis", "Hyaloscotes", "Anilaroides", "Fulciniella", "Bruniaceae", "Ctenodactylini", "Cylindronotus", "Abietinaria", "Paratopulini", "Diervilloideae", "Corallancyla", "Cursoriinae", "Nothadelphia", "Meizodon", "Synsepalum", "Xenaphalarini", "Pinkertonius", "Eroessa", "Eleutherengona", "Halobacteriales", "Agaricineae", "Sinocurculigo", "Bryosedgwickia", "Eugenia", "Placinolopha", "Trogiidae", "Dynomenidae", "Polyomaviridae", "Calommata", "Spartolus", "Rogambara", "Longipterygiformes", "Dichagyris", "Suinoorda", "Pactorrhinus", "Aeolidiopsis", "Perubius", "Hovamyia", "Hastigerinoides", "Lipolexis", "Leusaba", "Lalervis", "Bejaranoa", "Metopia", "Oculobrium", "Bellonia", "Elektroepyris", "Paleosiagonium", "Nesiotinus", "Isotenes", "Imatidiini", "Zhongshania", "Chiletrichinae", "Micromyzodium", "Tshekardocoleoidea", "Porphyra", "Cryptalyra", "Eudemeae", "Caribena", "Cistugo", "Cordieritidaceae", "Antireicheia", "Tryblidaria", "Myoprocta", "Isotheinae", "Heissophila", "Acrocyon", "Corononcodes", "Antigone", "Ceratocarpus", "Epicelyphus", "Fissistigma", "Johansenia", "Sphaeromyxa", "Neuroterus", "Eobruchia", "Terramycetaceae", "Melnea", "Gorillini", "Euthochtha", "Scutigeromorpha", "Archemyobiinae", "Triomicrus", "Agraeciini", "Pseudonoorda", "Glomerilla", "Cubatyphlops", "Microkamienskia", "Gastropteron", "Clavicornia", "Praeophthalmidium", "Acostina", "Cheluroidea", "Tasmannia", "Hyalurga", "Aloinella", "Cylindilla", "Meteterakis", "Heliozona", "Doryteuthis", "Cyrthydrolaelaps", "Scolopacidae", "Ascophorina", "Thysanocercidae", "Hisparonia", "Megacorma", "Cirrhinus", "Awasthiella", "Dictya", "Leonella", "Helosis", "Ammoglobigerina", "Alluaudensia", "Metalingulina", "Iviella", "Histia", "Hoekia", "Elmeriobryum", "Pterois", "Caloboletus", "Axiocleta", "Grangerdoryctes", "Tasmanotrechus", "Clathrochone", "Piestopleura", "Lebanoculicoidinae", "Laculatina", "Paraphrixia", "Oemida", "Trochanteria", "Chelidonieae", "Bathypterois", "Chinochya", "Halotia", "Clyster", "Debloria", "Neoplatyura", "Cybaeidae", "Gastropachini", "Centroheliozoa", "Cirina", "Funaria", "Trochus", "Mesoveloidea", "Cardiniidae", "Ankylosauridae", "Astrophogonus", "Primates", "Pseudodermatosorus", "Aphyllocladus", "Haplorchis", "Naviculadicta", "Parotiorhynchus", "Rhizophlyctidaceae", "Hippeutister", "Spinus", "Astastus", "Ausejanus", "Diaixidae", "Tachysoma", "Allenrolfea", "Lichenostigmatales", "Rhopalosetia", "Pseudolithos", "Trebouxiophyceae", "Radiococcaceae", "Xiphyropronia", "Psyllidae", "Scheloribatidae", "Thermoprotei", "Hysterocinetidae", "Grisollea", "Rueckbeilia", "Corethromachilis", "Cyphonotus", "Balneolia", "Acropternis", "Apocyneae", "Mioptachys", "Tellurimicrobium", "Cryptoclidus", "Theraphosinae", "Larinae", "Mycteridae", "Dilapothor", "Oxysychus", "Eudectus", "Paralobella", "Notolioon", "Sciurognathi", "Isotomiella", "Austromerus", "Struthioniformes", "Pentaphlebia", "Hydrocharis", "Shortcrowna", "Hartleya", "Oebarina", "Michaelsarsia", "Archotoplaninae", "Cubanothyris", "Ophioleuce", "Urozelotes", "Electrophortica", "Agonoxeninae", "Parachaeturichthys", "Oconnoricheylus", "Phelpsiella", "Stilbops", "Compsocidae", "Paracletus", "Chinchilloidea", "Leptocneria", "Hexanchorus", "Boechera", "Stegosoladidus", "Australochus", "Maculoedischiinae", "Vanderhorstia", "Paracharon", "Nothia", "Eblis", "Anthribus", "Trichiomorphus", "Campylomyza", "Schleiferiaceae", "Hormosinella", "Ototretinae", "Halobatini", "Lentulidae", "Tridens", "Pleustidae", "Laubiericoncha", "Nematus", "Boletina", "Phlojodicarpus", "Phoxostoma", "Pseudogyrtona", "Siphlophis", "Incalidia", "Mexichromis", "Minois", "Caeciliusoidea", "Eriachne", "Deflandreia", "Helopinini", "Neomyxus", "Consolea", "Aerenea", "Hysterolecithinae", "Protimaspidae", "Nanorhathymus", "Metallyticus", "Trombellidae", "Holozoidae", "Otoblastus", "Pyrrhogyra", "Cryptomycocolax", "Neodalmus", "Polyoctacnemus", "Kafulopa", "Eucypris", "Dubernardia", "Neogreenia", "Bacilloidea", "Excidobates", "Amborellaceae", "Flavihelcon", "Streptolabis", "Spinolyprops", "Euconchoeciinae", "Dicladia", "Hemiheterorrhina", "Thermophis", "Sinocyrtaspiodea", "Turmosa", "Leptognathioides", "Cryptophlebia", "Stereomera", "Hypselomus", "Parrotia", "Salignus", "Huidobria", "Thalassocyonidae", "Endrosina", "Rhytidophaena", "Monolexis", "Pisocrinidae", "Aspalatia", "Neohomoeopteryx", "Nipisa", "Serbopholeuonopsis", "Canthelea", "Therondus", "Helminthoglyptini", "Liriopsis", "Nemorimyza", "Ressia", "Pachylasmatoidea", "Antribisomus", "Leucadeae", "Ochlerus", "Neodiscorbinella", "Diastoporidae", "Poyntonia", "Regalana", "Leptocera", "Dipterocolax", "Pillara", "Carydana", "Rhysoconcha", "Cryptodacus", "Kleinothraupis", "Pachyprotasis", "Sindora", "Chasmogenus", "Pseudambria", "Manniellinae", "Odontogryllini", "Cochlefelis", "Omniglypta", "Acaropsellini", "Holcolaetina", "Prochlorococcus", "Plocamostethus", "Lanceacheyla", "Chasmia", "Hennecartia", "Chironominae", "Chauliopinae", "Microspalacinae", "Oedipoda", "Leptictidium", "Cleomenes", "Antemninae", "Tessarommatini", "Charitopsis", "Brachymyzus", "Ateluropsis", "Liberedaxia", "Aedoeus", "Xylocampini", "Proteinus", "Godroniopsis", "Rudanella", "Gampola", "Ceratopsidae", "Mystariini", "Arthrocladia", "Sediminitalea", "Chandlerea", "Paranillopsis", "Ramboldia", "Tortonella", "Rentapia", "Calliptamus", "Ipanema", "Graptoleberis", "Hoplerythrinus", "Antipodiphora", "Caenolestes", "Bietia", "Praethera", "Bicuspidella", "Asterocaelum", "Microbrachis", "Dilatris", "Valbehanella", "Glycyphagidae", "Luheriini", "Mirador", "Calyptraster", "Telotylenchinae", "Lagria", "Chrysorithrum", "Populus", "Chlorodesmos", "Schizoporaceae", "Pantheana", "Palaeocentrotus", "Falsosophronica", "Capnodocinae", "Neopheosia", "Nothotsuga", "Daintree", "Pogonopsis", "Eogystia", "Petrosyne", "Ribeirioida", "Hadrochlorops", "Stenocora", "Yurkovia", "Altellopsis", "Planes", "Yaucorotalia", "Odontonia", "Orientocapsus", "Articephala", "Eriocranioidea", "Rodwayia", "Tenrec", "Crotalaria", "Antipaluria", "Cladophora", "Mortoniceratinae", "Paracyclidium", "Leptinotarsa", "Timasius", "Brachylaimata", "Nemoderma", "Ilocano", "Cynodonteae", "Orionina", "Micropsittini", "Propolyxenus", "Prokaryota", "Capanemia", "Barnardina", "Ceratobasidium", "Catenochrysis", "Neodythemis", "Nephila", "Mystacornis", "Neocallimastigomycetes", "Oediceroides", "Oligosphaerales", "Eubrachyura", "Didasys", "Apoplectus", "Aspiculophora", "Dendromunna", "Neocolobrathristes", "Anthopleura", "Mossia", "Amblypodia", "Actinotiini", "Tomosvaryella", "Akapalinae", "Cordus", "Nadejdolepis", "Ornicholax", "Ventrata", "Carria", "Holoplocamus", "Chrysalidina", "Nealecypridini", "Dorylaimopsis", "Brevirhabdus", "Saksenaea", "Cryptonanus", "Venustus", "Entomodestes", "Eremotherium", "Archaeozethus", "Mitu", "Varanus", "Cylindrocorporidae", "Neogonatopus", "Boldoriella", "Trogloglanis", "Dolichotheca", "Histiopteris", "Euryzonella", "Microplecostomus", "Pericamenta", "Jolyelmis", "Lysianassidira", "Cyclopes", "Nemotragus", "Globa", "Khatangia", "Belone", "Colias", "Hemachatus", "Praefalklandella", "Metacyphocaris", "Shuparoceras", "Neozelandusa", "Ginglymostoma", "Limopsidae", "Hedroxena", "Tethea", "Mitra", "Pseudolirius", "Eburgemellus", "Praolepra", "Madeleinea", "Reichenbachella", "Amarotypus", "Bothriophylacini", "Datostiba", "Tuberculetaxalus", "Ultramicrobacter", "Labuanium", "Glypsus", "Gracililamia", "Xenopsaris", "Grandoculus", "Vulpes", "Eucryptogona", "Niphocepheidae", "Omphalocera", "Oxyopomyrmex", "Eupinogitus", "Valgus", "Bacillariophycanae", "Cistelagonum", "Fervidobacteriaceae", "Tmeticus", "Corbitellinae", "Clinopsocus", "Leoglymmius", "Nosopsyllus", "Kerzhnerhygia", "Mesauriculstra", "Araeocerodes", "Agaltara", "Brithyceros", "Idiocelyphus", "Thymbrini", "Agnetaria", "Pseudocerastes", "Halonetrum", "Thalassiosira", "Millierinae", "Cylindropsis", "Leotichius", "Erganiina", "Ruschianthemum", "Lichina", "Lipoprion", "Melanochlora", "Deflandrea", "Marinifilaceae", "Cryptinglisia", "Simogonius", "Ostorhinchus", "Cryptadia", "Grossulariaceae", "Anterhynchium", "Cyprichromini", "Distichophora", "Parglogenia", "Meyoarabiella", "Hellmuthia", "Cymatodiscus", "Acanthoxyla", "Vespertiliibacter", "Tapeinosperma", "Titanochrysa", "Viminella", "Idobrium", "Pseudolycopodium", "Protoxyclymenia", "Campylobacterales", "Neosisyphus", "Myllocerina", "Sphingulini", "Nasonovia", "Acroteriobatus", "Synoikomonas", "Gadiculus", "Jerdonia", "Guernea", "Hypnobartlettia", "Palaranea", "Caryedontina", "Marplesia", "Catacanthini", "Gibsonivermidae", "Tonnoirocladius", "Syringius", "Stoiba", "Dendroscansor", "Odontoplatys", "Oroxyleae", "Cataptygma", "Myrtlemiris", "Brachycycloceras", "Parasidis", "Pachycorynus", "Inflatozaena", "Lobodiamesa", "Pediludiella", "Pseudolana", "Trachybaculites", "Leptosphaeria", "Bacidia", "Notocactus", "Blepharidatta", "Kathemacanthidae", "Kazimierzidae", "Marticorenia", "Pelobatidae", "Symethidae", "Echinorhynchinae", "Garrigascyllium", "Cendiuna", "Caloptilia", "Eusiropsis", "Pantolamprus", "Dypterygiini", "Vichetia", "Apteromantis", "Geotrupidae", "Nesiotus", "Eunephrops", "Diceratella", "Urbania", "Pterodactyloidea", "Humua", "Schizorhynchidae", "Dysommina", "Schrenkia", "Victorgorgiidae", "Parateuchus", "Trachystemon", "Ostoma", "Peterjamesia", "Pleurogyrus", "Paralongidorus", "Tchirkovaeidae", "Cystolepiota", "Sturnia", "Steerecleus", "Leptopteris", "Corynopuntia", "Gyiophis", "Ettmuelleria", "Lophocoronina", "Roncus", "Paraclavator", "Cyclostomatida", "Nascioides", "Gattenpleura", "Neoleptonema", "Vieira", "Euagrinae", "Tibicininae", "Lonchopisthus", "Eupetersia", "Beedeina", "Richardsonianinae", "Argopecten", "Neoholothele", "Sabellidae", "Psychrosphaera", "Achilidae", "Epyrinae", "Comythovalgus", "Flintiella", "Leasia", "Acidobacteriia", "Listrophoridae", "Tychogenius", "Sisymbrella", "Mascaropsocus", "Diactidinae", "Mannia", "Aletheiana", "Machilaphis", "Phaedrotoma", "Megalopyge", "Pseudomethoca", "Lannea", "Surijokocixioidea", "Omoea", "Hauyeae", "Monaxinoides", "Pleromidae", "Ocellochloa", "Paracaesicola", "Cypringlea", "Metanastes", "Salsuginus", "Ceroplesis", "Poropanchax", "Diniella", "Goniopectinidae", "Pleurochilophorus", "Rhombopsammia", "Pseudingolfiellidae", "Cygnicollum", "Pisutiella", "Steindachnerina", "Pseudobagous", "Tenuidactylus", "Selymbriini", "Sinorhodobacter", "Tylotrocha", "Bothriomirini", "Scyphophorus", "Shaposhnikoviidae", "Spongiactinidae", "Dargida", "Hiodontiformes", "Trichaphodiellus", "Harpacteinae", "Merremia", "Kairothamnus", "Alongatepyris", "Kokopapa", "Ferae", "Diphylleiida", "Schelocentrus", "Metzneria", "Strigea", "Kainops", "Azhdarchoidea", "Colaconema", "Taiwanusa", "Cerotelium", "Anisodactylus", "Connellia", "Glaphyropoma", "Mimolochus", "Hebepetalum", "Eriauchenius", "Bryobium", "Bedotioidei", "Trichohyalidae", "Leguminivora", "Mirandisca", "Leclercqia", "Protoderma", "Carettochelyidae", "Pinophyta", "Gyps", "Segalenara", "Gitana", "Hemus", "Zonocypretta", "Lygistorrhina", "Xenocrasoides", "Xenophyllum", "Mimatossa", "Matayba", "Fujiokaozephyrus", "Calloporoidea", "Lymanbensonia", "Stictocycales", "Aloiloi", "Graphidaceae", "Novaguinea", "Colomys", "Yunohamella", "Disciphania", "Sciadopityaceae", "Chaetonotus", "Seirarctia", "Parabergrothista", "Ellobiopsis", "Ramphotyphlops", "Priva", "Bullera", "Vachinius", "Pelodictyon", "Hydriastele", "Haplotrachelus", "Euleia", "Zosterites", "Phallaceae", "Proditrix", "Kaindipsocinae", "Osthelderiella", "Stefan", "Anambodera", "Pseudotryssaturus", "Sigmosceptrella", "Podargidae", "Mastigostyla", "Buerenia", "Acantholecanium", "Lohmannia", "MHNSR", "Scaritini", "Tasmanodesmus", "Psoraceae", "Cyclorchida", "Antigius", "Chroogomphus", "Achilus", "Asterothyrium", "Parasitaphelenchinae", "Zeugloptera", "Hulsanpes", "Dynomene", "Soloella", "Crymus", "Amazops", "Amorimia", "Aythya", "Arenetra", "Syntrechalea", "Neoglyphidodon", "Eopaussus", "Bacteroidaceae", "Zaratornis", "Elaphidion", "Umbrina", "Brancasaurus", "Pseudocucurbitinae", "Nodosauridae", "Thoralaster", "Imparmargo", "Cossyphodinae", "Sinomazocraes", "Hymeraphia", "Dascillus", "Monosporeae", "Semophylax", "Pegomyini", "Actinoclava", "Oedalechilus", "Mimothestus", "Xenocerini", "Tizardia", "Einarhelmins", "Chonelasmatinae", "Banjos", "Ateuchosaurus", "Pegaoplex", "Lichakephalidae", "Ebria", "Ctenidodinium", "Severinia", "Senometopia", "Coutoubea", "Lebidia", "Storthecoris", "Trianaea", "Turnerochrysa", "Neoarcturus", "Picrocryptoides", "Wurdastom", "Lemanea", "Synetinae", "Yuntapsocus", "Leptospirillum", "Jacotitypus", "Orphe", "Trypetini", "Natria", "Chordeiles", "Prionoplus", "Anisodontea", "Tetraglenes", "Meroscelisini", "Phelocalocerella", "Loveniidae", "Nepheroniini", "Basuto", "Stephanolithion", "Valenus", "Dimorphina", "Coptopsylloidea", "Mimosina", "Platyhaurania", "Sybistroma", "Lydomorphus", "Arnellia", "Pseudoleptus", "Psiloceratidae", "Glyptelasma", "Creswellia", "Umbelopsidaceae", "Halographis", "Nyctanolis", "Spiculammina", "Pandaglandulina", "Inermoleiopus", "Goeldamphistomum", "Litobothriidea", "Oestlundiella", "Neolanidae", "Pillsburiaster", "Terellia", "Eutyctus", "Herviellinae", "Pteroderes", "Atrichiana", "Ampullaceana", "Hirschfeldia", "Taurididae", "Euphausia", "Umbonichiton", "Orthomegas", "Setomelanomma", "Actinoplanes", "Pyticeroides", "Sayciidae", "Paraderpas", "Mononychellus", "Anelaphinis", "Acco", "Stichocotylidae", "Latua", "Colobinae", "Phanogeniini", "Lithobius", "Philiolaus", "Ereuniidae", "Parafissurina", "Chamaebotrys", "Scoliostomatinae", "Heteroserica", "Bivonaea", "Mixiales", "Microlepidotus", "Mimacraea", "Wappesellus", "Nitrariaceae", "Neoscorpis", "Syntretomorpha", "Spragueidae", "Auchenipterinae", "Ayapanopsis", "Cercyonis", "Parvibacter", "Balkanostenasellus", "Empis", "Xenopsis", "Hypocanthidium", "Phacus", "Trachelophanes", "Byttnerieae", "Omphreini", "Calthinae", "Tomoglossa", "Pabstia", "Medusochloris", "Citharexyleae", "Pleurogorgia", "Vinogradovia", "Velapertina", "Ormosciadium", "Metteniusaceae", "Trichosphaeriaceae", "Fonsecaea", "Chersodromus", "Australopyrum", "Hyrtanella", "Hylobiblium", "Diaposis", "Neodendragonum", "Aciuropsis", "Thalassiosiranae", "Bullidae", "Rhina", "Callianthemeae", "Alethea", "Hexamitus", "Echinopogoninae", "Adeixis", "Diploa", "Molpadiodemas", "Dimorphopatrobus", "Maesoideae", "Agelena", "Plusidia", "Neotephria", "Pentalaminaceae", "Isocossus", "Menyanthes", "Phoebanthus", "Cucurbitariaceae", "Cesamorelosia", "Triolena", "Orthocomotis", "Klinckowstroemiidae", "Heloniadeae", "Methanobacterium", "Calliophis", "Neobeyeria", "Alepidea", "Allodiastylis", "Callichroma", "Pahanga", "Novamundoniscus", "Proteales", "Taeniogramma", "Asteiidae", "Staurorhabdus", "Yola", "Camarotoechioidea", "Hypomares", "Thestor", "Vanhorniidae", "Hypericum", "Microcolax", "Xylotheca", "Nudorthodes", "Psittocolus", "Inbiomyiidae", "Epiclininae", "Enhydrusini", "Pholidotini", "Placida", "Minutoplia", "Argentagrion", "Makromastax", "Somoleptus", "Clevelandellida", "Asparagopsis", "Globulinella", "Arthromygalidae", "Exocentroides", "Coelopogon", "Lirainosaurus", "Ochtherocapsus", "Basiloterus", "Habralictus", "Pogonomicola", "Hippeophyllum", "Ambunticoris", "Bermudezinella", "Eumolpini", "Rhyneptesicus", "Emmallodera", "Leptocar", "Podapolipus", "Adelungiini", "Durocapillata", "Rhodactis", "Apsaravis", "Phanophilus", "Apodanthes", "Belura", "Bryodes", "Escharinidae", "Goniistius", "Caddella", "Artemia", "Xenotoca", "Calawaymonas", "Andinotrechus", "Pselaptina", "Cheiloneuroides", "Macroprotaetia", "Anadasypus", "Pseudobicotylophora", "Geocalycaceae", "Lacertina", "Carldrakeana", "Heterodesmus", "Adercotryminae", "Hyptidinae", "Novaranea", "Senwot", "Somatipionina", "Ascarididae", "Neochera", "Cataphellia", "Sumatrotritia", "Tendridae", "Phonognathinae", "Anthicimorphus", "Disella", "Kuhlhasseltia", "Mycteria", "Mesocoelopini", "Brachycantharus", "Enoplops", "Cymaterus", "Basitropini", "Lissocentra", "Buryatia", "Zophoryctes", "Marumba", "Phoebe", "Oedonia", "Odontorrhina", "Nesebroides", "Paramyro", "Gastrothylacidae", "Spinosira", "Gitanogeiton", "Vainionora", "Mesophryxus", "Limentinus", "Berardiinae", "Earlandiidae", "Eurybia", "Macellicephaloides", "Thectocercus", "Schrenkiella", "Gastromaladera", "Giganturidae", "Anomalocardia", "Elhamma", "Decachaeta", "Tournayellina", "Clavisporangium", "Chromalizus", "Morgenia", "Bryonorrisia", "Nelcyndana", "Indorouchera", "Bos", "Antarctia", "Apatomerus", "Ilybius", "Linyphiidae", "Paracompsoceras", "Malmideaceae", "Monteverdia", "Semirossia", "Asteroplanus", "Langtonia", "Ctenochasmatinae", "Agrionopsis", "Euryurus", "Neopsocus", "Globigerinelloididae", "Dorylomimus", "Auritibicen", "Lemnia", "Rhodobaculum", "Nowakowskiellaceae", "Terinebrica", "Euschistospiza", "Eofabiania", "Diotascalpellum", "Curvibacter", "Phaeacius", "Xenozorotypus", "Matopo", "Ades", "Aeshnidae", "Carabdytes", "Phobetes", "Acanthocystis", "Nemocephalus", "Psegmatica", "Megaponera", "Hermesinella", "Pseudaxinoides", "Cernysura", "Staurocladia", "Nemesioidea", "Cura", "Encantada", "Novobisium", "Pyrgometopa", "Kolekanos", "Kallipyga", "Protoparevania", "Labroplectus", "Pseudopteris", "Pedaliodes", "Daudebardiinae", "Massagris", "Camptoscelis", "Oxypelta", "Pseudotomodon", "Asphodeline", "Pilulininae", "Philinoidea", "Juanorhinini", "Storthyngurella", "Antricola", "Myroides", "Ctenigogus", "Trachytedania", "Hemiasteridae", "Dineotropica", "Olivoidea", "Duralimnesia", "Staffia", "Phobetron", "Clathrosepta", "Enclosaria", "Groehnius", "Paramusonius", "Xenicotelopsis", "Fregilupus", "Pomatostomus", "Nilgiritragus", "Escuela", "Lutispora", "Eledona", "Decarthria", "Laridae", "Hyphalophis", "Hyphydrini", "Spiroplectinata", "Eremodipus", "Pseudhymenochirus", "Pissodina", "Pseudocavonus", "Comocritis", "Glossidium", "Labenopimplinae", "Blepharomermis", "Nemognathinae", "Cardites", "Leptorhabdos", "Manjekia", "Catolasmus", "Theuma", "Paracarystus", "Butschliella", "Neocouma", "Barbeyaceae", "Sacaphorura", "Brachyorrhos", "Claroideoglomeraceae", "Scholvienia", "Neolecanium", "Thelignya", "Hierodoris", "Pithocarpa", "Nematocarcinidae", "Zausodes", "Pacaudiella", "Microclanis", "Hypochrosis", "Macropodus", "Pseudancylis", "Enchelyopus", "Nanocambridgea", "Eremonidiopsis", "Carinolimulodes", "Hylobothynus", "Furcilarnaca", "Saeptifera", "Kutzneria", "Nautella", "Promecognathus", "Diaulota", "Arhythmorhynchus", "Glyptonotus", "Microtendipes", "Godwiniinae", "Ptochacarus", "Phanolophinae", "Agathis", "Ikamauius", "Rotundininae", "Schwantesia", "Acantholachesilla", "Rhyncolini", "Saccamminopsis", "Unicageocoris", "Isurus", "Ptiloneura", "Orthopterygium", "Diphasium", "Mysticeti", "Limmenius", "Benincasa", "Pimelocerus", "Hodgsoniola", "Helicotubeufia", "Pseudoturcicidae", "Ascocratera", "Notonectoidea", "Coraebastus", "Sabia", "Myrmecoptinus", "Leonomiris", "Gastrallini", "Aquiflexum", "Ophthalmomiris", "Desmochloris", "Natronoflexus", "Caenidae", "Rypobiini", "Dactyloglossa", "Kakadudessus", "Sibylla", "Barygenys", "Saetherocladius", "Dendrotrupes", "Calamopityales", "Lepthyphantes", "Telosporea", "Cherasphorus", "Ilemoraspis", "Keelungia", "Mycetophylax", "Sagittacridini", "Callicore", "Rhamphoriaceae", "Oreoschimperella", "Semelvillea", "Paraeccopsis", "Coccothera", "Opalinidae", "Mesophloeobia", "Uraneis", "Corbellia", "Podonomus", "Tularia", "Mytilidae", "Paridae", "Acarinina", "Sogdianina", "Gengidae", "Clathraceae", "Atralata", "Eotingis", "Neomylepis", "Ctinodontina", "Fratiidae", "Marcusenius", "Allomycterus", "Porotergus", "Cavernicola", "Acrotona", "Heterocephalidae", "Ullucus", "Congridae", "Solenopharynginae", "Linustrongylus", "Mosla", "Acilepis", "Pimelodina", "Coniocybe", "Diaphonia", "Codotingis", "Zimirina", "Ceratoconcha", "Siphonorhinidae", "Actinocyclidae", "Schotia", "Plumularia", "Liophrurillus", "Hypalometra", "Colloniidae", "Baisoxya", "Reticulariinae", "Leptophrys", "Moheibacter", "Rhytidolomia", "Gymnurahemecus", "Ulodes", "Kirsoceratidae", "Croscistethus", "Kebira", "Merogregarina", "Planifolliculina", "Nubecularia", "Spinochariesthes", "Biocoeca", "Leucauginae", "Illiosentidae", "Zapus", "Phasia", "Prosopidastrum", "Antipodactidae", "Plusiotricha", "Boreoleptusa", "Notaeolidiidae", "Sporobuliminella", "Iteaphilinae", "Pseudosagitta", "Mimodiaxenes", "Glyptothoracini", "Eutrephoceratidae", "Dictyolampra", "Lonchurus", "Ungellidae", "Illiniurus", "Microthyriales", "Rhysodes", "Anastrophyllum", "Meganura", "Pseudophoraspis", "Protorhabdonella", "Euteles", "Sinomimovelleda", "Pseudopholis", "Wardium", "Pseudochantransia", "Clytocera", "Dascilloidea", "Homonoea", "Neocamacopalpus", "Trichosolen", "Akeridae", "Clavascidium", "Zethera", "Sambus", "Pterophyllum", "Maripelta", "Alcyonacea", "Sundamomum", "Paragallinula", "Haplotrematidae", "Hyperoscelidina", "Pulcheria", "Iporhogas", "Tagua", "Vacuolariaceae", "Eucoryphus", "Parasinea", "Mascarensia", "Andricus", "Eutane", "Paradinemula", "Oryctoderinus", "Loxoniinae", "Platynaspis", "Mecocerculus", "Hippomane", "Cyanapion", "Lindsayomyrtus", "Dasylagon", "Lachnostoma", "Nilpenia", "Cretaceomachilis", "Surianaceae", "Pseudosynaleurodicus", "Drepanidinae", "Eustenopsylla", "Ischnoptygmatidae", "Ikedella", "Caeneressa", "Monoporellidae", "Salifa", "Colobizus", "Paranepheliineae", "Nycteridocaulus", "Inthaeron", "Neodrilus", "Pseudograffillinae", "Macrostomum", "Aulotrachichthys", "Isoporostreptus", "Scyphosphaera", "Resomiidae", "Sedobassia", "Tottina", "Tephrolamia", "Laritaenia", "Rhytidophyllum", "Kotochalia", "Orientocydnus", "Zopherosis", "Palpomyiini", "Rehderella", "Archaeoglenes", "Heteroglenea", "Kudakrumiini", "Miaschistopus", "Xylanibacterium", "Jiulongotrechus", "Antigonon", "Idiocera", "Lithostrotionella", "Didymocantha", "Myro", "Ototettigini", "Tropidoderus", "Hirtaphelinus", "Lumbricidae", "Ptelina", "Planodiscorbis", "Amblyops", "Aleurotrachelus", "Cerosterna", "Hypephyra", "Eoptychopterininae", "Caryospora", "Exochosphaeridium", "Pshekharus", "Bandellina", "Pseudorhina", "Porsica", "Spinanapis", "Cymbidiinae", "Heterobathmiina", "Ateloza", "Protorothyrididae", "Mackenziaena", "Heterusia", "Ipothalia", "Thiopseudomonas", "Thysanoptera", "Monomalpha", "Desmaria", "Ischnia", "Hypolobus", "Leiorhopala", "Stictococcidae", "Paraxeloma", "Ophiosparte", "Drepanacra", "Eocupes", "Pteremis", "Haplophyton", "Sosane", "Quipuanthus", "Tuxentius", "Scotiptera", "Thraustochytridae", "Heteropanax", "Lycidola", "Depressizonidae", "Antennaerenea", "Neomarkia", "Parasphendale", "Canephorula", "Caelopygus", "Siphonofera", "Falsignambia", "Pectininae", "Neocribrella", "Sotoa", "Moanammina", "Scoloura", "Phyzelaphryninae", "Clathrella", "Chrysopyxis", "Pseudoernestia", "Thryophilus", "Circoxena", "Leptomicrus", "Actinopolysporaceae", "Rhinodrilus", "Bialovarium", "Homocopris", "Ilomantis", "Geotrechus", "Similidrepan", "Ithycyphus", "Schizocardium", "Bradinopyga", "Ameroglossum", "Ryjikovilepis", "Pleuretra", "Coelopterus", "Stylephorus", "Neptunia", "Exedrus", "Thinocafius", "Themone", "Elachistiella", "Ptiloglossa", "Spalacidae", "Freyina", "Aeciure", "Rhapigiodes", "Bindahara", "Diversinervus", "Toxicini", "Nypa", "Wanhuaphaenops", "Hemiglyphidodon", "Faunula", "Megabracon", "Epieimeria", "Lubosia", "Isosphaera", "Asteliaphasma", "Cephalobaenidae", "Carvalhoiella", "Napassenia", "Epipicus", "Geminigora", "Lepromoris", "Monopylidium", "Oxyopes", "Hydrobiomorpha", "Eugraptoblemma", "Hypercallia", "Meiothrips", "Gibbotettix", "Michailocoris", "Lambiella", "Pachyrhynchini", "Thoradontini", "Corticotomus", "Neonomius", "Bybeana", "Echinodillo", "Prionacis", "Nothomorphina", "Mengenillinae", "Manidens", "Diceroderes", "Chamaesiphon", "Selenopsis", "Cancellothyridoidea", "Prionotolegna", "Austrosynotis", "Zanola", "Anthotium", "Parastrangalis", "Ampithoinae", "Masamithrips", "Gimantis", "Chthonobius", "Asota", "Pilotrichopsis", "Metacommotria", "Paraperlinae", "Xenopternis", "Bergeyella", "Lysianassa", "Clastopus", "Hoekiini", "Hylecoetinae", "MCNIP", "Sacrimarinema", "Rhabderemia", "Aethiopana", "Brontocoris", "Loboschiza", "Oegophiurida", "Arctiocossus", "Stictocricus", "Gastropholis", "Anachemmis", "Antidesmatoideae", "Sphaeromiini", "Callimomoides", "Callapoecoides", "Paraknoxia", "Artesiidae", "Anthiini", "Troglocyphodas", "Argyrochlamys", "Archipetalia", "Patagoniaemys", "Paragnia", "Ercolania", "Zonana", "Neovalipora", "Macroatrium", "Struthoscelis", "Perkinsidae", "Schoenobius", "Abobra", "Rhododraparnaldia", "Propionimicrobium", "Hemilepistoides", "Vargasiella", "Falagonilla", "Newnesia", "Martynovia", "Schizomeris", "Pseudonthobium", "Epitalara", "Microcaeculus", "Diaphorina", "Agapema", "Gymnocystodinium", "Crassuseptum", "Sphodrus", "Anchichoerops", "Aptychonitis", "Onespa", "Kanakomyrtus", "Catagonium", "Peronema", "Centrolimnesia", "Sorataea", "Belytinae", "Diommatetras", "Thamnocephalidae", "Chlidonini", "Achrysocharoides", "Archascheniinae", "Euaspa", "Ariconias", "Grindelia", "Dichondra", "Caeculisoma", "Buprestoidea", "Brontotherium", "Dysteriidae", "Creseis", "Pseudocaranx", "Jynginae", "Acrossota", "Maltagorea", "Dessartodontus", "Amoenothamnion", "Cubanichthys", "Buwchfawromyces", "Lauraesilpha", "Aoplus", "Chitosa", "Hypocrita", "Rhynchoribates", "Oedarthrothinophilus", "Dapania", "Damarchus", "Desmarestiales", "Wallacellus", "Alchornea", "Monopsia", "Poikilodracus", "Chlorophytum", "Yurebillidae", "Anthephora", "Oplatocera", "Striatococcus", "Limnotrephini", "Arrhythmica", "Zachariasia", "Acanthoplusia", "Agorioides", "Lepidoceras", "Claria", "Okajimaella", "Pseudarbela", "Nitriliruptorales", "Anthropophagiotes", "Pedinopa", "Maacoccus", "Kineosporiaceae", "Pachytella", "Persea", "Cabnia", "Polytelusa", "Heronallenita", "Lophonotus", "Macchiatiella", "Hemibystrops", "Typhlogobius", "Salcedia", "Sanguisorbinae", "Diactor", "Pulleniatinidae", "Ligariella", "Sagarmathametopus", "Hermadion", "Paraserixia", "Topsentella", "Paramoera", "Metaloriculina", "Trombidium", "Aculomicrus", "Hygronomina", "Trachinoidei", "Paraleptostylis", "Drepanocerus", "Amniculicolaceae", "Ortholasma", "Leudugeria", "Paraconchoecia", "Perissopteryx", "Scitaloides", "Indiacarus", "Inia", "Rhodanobacteraceae", "Calamoncosis", "Koreanosaurus", "Cistula", "Eucosmodontidae", "Caediscum", "Evolvulus", "Platostoma", "Cylapinae", "Phryganidia", "Pangieae", "Pseudophoridae", "Athrypsiastis", "Pontobdellinae", "Thecobathra", "Ingvariella", "Xanthocercis", "Onocolus", "Paranastella", "Iruanina", "Pontigulasia", "Tucetona", "Capederces", "Dodechariesthes", "Tomocoryphusa", "Chlorosarcina", "Hexasterophora", "Anamenia", "Rongolepis", "Chlidoniidae", "Neotaranomis", "Tryphosidae", "Deontostoma", "Permoraphidioidea", "Pharta", "Rarobacteraceae", "Dillisca", "Lopheucoila", "Cleistochlamys", "Amphipholizona", "Lacvietina", "Halecomorphi", "Pilocladus", "Gillichthys", "Proagosternus", "Xenornis", "Ngarawinae", "Stoschiella", "Macrovanua", "Heterotheca", "Tigriagrion", "Ophiomastus", "Eriochlamys", "Uegitglanis", "Monoblemma", "Leiomela", "Neocicindela", "Berrya", "Pseudocrates", "Quinqueremulus", "Terebellidae", "Pseudothryptus", "Calusamyia", "Simulotinea", "Lokomera", "Dielma", "Agraulis", "Nahida", "Charmontinae", "Mastigoproctinae", "Perizoma", "Apeirini", "Phosphuga", "Pseudeuophrys", "Proterocameroceratidae", "Binucleospora", "Peltophysa", "Chamaedaphne", "Trophon", "Speonoterus", "Tetramastigota", "Corduliidae", "Dignius", "Heteronotinae", "Arfiviricetes", "Canis", "Bembidioglyphus", "Syncampsochirus", "Anagnorisma", "Amianthium", "Carcacollinini", "Eumenophorus", "Coenonymphina", "Podolites", "Lanascalidae", "Sepinini", "Morettus", "Burmattus", "Amyrea", "Platybelodon", "Falsadjinga", "Rhyssonotus", "Macedonica", "Sobennikoffia", "Enneacanthus", "Metacanthini", "Cinyra", "Physostigma", "Dameobelba", "ZMBN", "Lichenotinea", "Intrasporangiaceae", "Biblidinae", "Physocaulon", "Pseudocolaptes", "Coryphodema", "Circoporus", "Lamacoscylus", "Aaroniellinae", "Chilabothrus", "Eleganteda", "Simpulopsis", "Ophiostomatales", "Vauquelinia", "Cypella", "Lissonotocoris", "Pentaporella", "Natanella", "Gongylomorphus", "Artabotrys", "Phaelota", "Moriodema", "Lasiacantha", "Nassophoria", "Laciniadinium", "Leptolopha", "Anatheca", "Banza", "Spinexocentrus", "Aculeola", "Temnosoma", "Aoridae", "Notophthiracarus", "Aethosia", "Bradybaeninae", "Placidiaceae", "Eophileurus", "Cuphomantis", "Getonia", "Lawsonella", "Corotoca", "Sclarotrardidae", "Schuhaptera", "Dichotomosiphonaceae", "Platypatrobus", "Eschscholtzieae", "Fuertesiella", "Cereibacter", "Skrjabinoporus", "Picramniales", "Apoprogoninae", "Stenozonium", "Eurystylus", "Uroplatus", "Garryales", "Rhynchophorus", "Oxyepoecus", "Hygrobiidae", "Phacodiscus", "Phyllopetalia", "Tuscaridium", "Suada", "Tachiniscini", "Paradoxivena", "Liubangosaurus", "Echeclus", "Rypatula", "Xystosomus", "Leptobramidae", "Chordeumatidae", "Petasida", "Astrosclera", "Euphrynichus", "Scaphidysderina", "Desulfarculaceae", "Whitfordiodendron", "Polysastra", "Pediella", "Cerbera", "Oxalobacteraceae", "Perissityidae", "Acrocinus", "Robiginitomaculum", "Archaeospicularia", "Ecitosaurus", "Seracamaurops", "Thaicader", "Heliospora", "Phaenolabrorychus", "Brianaria", "Aglossata", "Ekerewekia", "Gerrhopilus", "Junxattus", "Hymenoepimecis", "Hemilepistus", "Austromorium", "Drimycarpus", "Mesjapyx", "Halieutopsis", "Bicolorana", "Spilopsyllini", "Napochus", "Lambanus", "Neodonus", "Stichodactylidae", "Glyphomitrium", "Sinorhizobium/Ensifer", "Epiproctophora", "Asterigerinatidae", "Polystomatidea", "Alosarpestus", "Carcinus", "Urobarba", "Franziotus", "Afrocrania", "Prototrachelocerca", "Oedicerotidira", "Novaculops", "Buniadeae", "Glyptolenoides", "Physodermatomycetes", "Coenophila", "Guyu", "Metrodorinae", "Microkerkus", "Carenochyrus", "Mehelya", "Torwolia", "Angostura", "Proteocephalus", "Parastempellia", "Yatanga", "Lophotaspis", "Scolopygos", "Aphniolaus", "Metadynomeninae", "Utah", "Exagontus", "Nannopodidae", "Mazarredia", "Ernophthora", "Chiropsella", "Sphaenothecus", "Neostreptotheca", "Natalocampa", "Alopoglossidae", "Caudalia", "Liosynaphaeta", "Murchisonellinae", "Bogidiellidae", "Opitutaceae", "Tuberoschistura", "Ossibia", "Parasophronica", "Santocellus", "Moquinia", "Isometopina", "Neoliga", "Xenodactylariaceae", "Kelenken", "Xanthocaecilius", "Neisseriaceae", "Berycoidei", "Intestinimonas", "Ateralphus", "Porricondylinae", "Clivinina", "Callabraxas", "Nesopupa", "Rhipidolestes", "Phrynovelia", "Mesopsychidae", "Caviziphius", "Holigarna", "Glossodoris", "Reticulariidae", "Cryptarchaeodinium", "Flectospira", "Ogmoceridius", "Micraspidales", "Arenicolidae", "Scaphirhynchinae", "Bandar", "Hoplarchus", "Monodictys", "Sasajiscymnus", "Trichonomorphus", "Astatheros", "Mictacea", "Proutiella", "Clotildea", "Saccammininae", "Synotaxinae", "Proclithrophorini", "Neobatrachus", "Ophiopallas", "Velindomimus", "Cryptospiza", "Phloeus", "Physophoroptera", "Xaenapta", "Peruanus", "Cartonemateae", "Phyllofulvidius", "Seqocrypta", "Salmoneus", "Cribrorobulina", "Pseudoxanthus", "Dasylepis", "Xasmasoma", "Schajovskoia", "Rhinopithecus", "Scapanea", "Palaeocharmontini", "Papestra", "Geotomus", "Ophiacodon", "Limnanthes", "Macrocerinae", "Roldana", "Perlodes", "Barrientosiimonas", "Pseudoexeirarthra", "Aborsillus", "Rhopalobrachium", "Pangrapta", "Foleyola", "Ranolini", "Boreothamnion", "Thermophagus", "Cerrostrangalia", "Dorythrips", "Balgoya", "Rhabdotops", "Paraphanocles", "Microlinyphia", "Hapalidiales", "Prichotilus", "Aegolipton", "Koreaceratops", "Pseudoplandria", "Ocularia", "Neobyrnesia", "Dugastella", "Acrolepia", "Asteromphalus", "Arphthiracarus", "Ammovolummina", "Sayamia", "Actinodontium", "Blandfordia", "Malmocimbrophlebia", "Proamblysomus", "Furcacauda", "Caenopelte", "Sittilong", "Clavigerodes", "Hemicliarthrus", "Hoplorana", "Proteocatella", "Tettigades", "Serangiini", "Pelonomites", "Rhyssella", "Dictyssonia", "Sciophila", "Nacerdinae", "Trochilus", "Aididae", "Bambusaspis", "Menglunia", "Symphypleona", "Leptobrachiinae", "Protodikraneurini", "Loxosomatida", "Godmania", "Otoconchinae", "Chthamalophilidae", "Awhiowhio", "Lagowites", "Achoma", "Neastymachus", "Safidia", "Pollexinae", "Moorella", "Lariscus", "Metapronematus", "Enghophyllum", "Muonaja", "Equetulus", "Exochojoubertia", "Amphirhopalum", "Parophasma", "Australoconota", "Ogilbyina", "Mackiella", "Rhynchoconger", "Cosmopoda", "Kalitrematinae", "Mystrocnemis", "Pedesta", "Neoarctidae", "Monteithia", "Pisania", "Dolichomotes", "Malayatelura", "Myrmicocrypta", "Endoclonium", "Oribatella", "Paradisea", "Ismaridae", "Lanio", "Archiephestia", "Efflatouniella", "Pelagornithidae", "Eurysthea", "Leleupauchmetes", "Olinga", "Leucettaga", "Fratercula", "Phlyaria", "Synstemon", "Ustacystis", "Ancistria", "Grandicotyle", "Pedinellales", "Hamedius", "Bacillariophyceae", "Dentimachus", "Sphaerodactylus", "Arbelus", "Crateritinae", "Cystiphyllum", "Stenochlaena", "Fomoria", "Grammoptera", "Ianthorntonia", "Incoltorrida", "Incertae", "Linguloidea", "Thyrsia", "Diceratocephalus", "Thestus", "Xylariophilinae", "Nodobacularia", "Zenophila", "Craterostigmomorpha", "Semonia", "Cousinea", "Caenoprosopina", "Escovopsioides", "Ornithinimicrobium", "Schubertellidae", "Zaplethocornia", "Tenerobotys", "Tripudia", "Proseriata", "Abegesta", "Pityophthorus", "Rhodachlya", "Heteroplacidium", "Apennocoris", "Bertella", "Lachaerus", "Monorhaphis", "Elasmopus", "Tejidotaenia", "Deinodryinus", "Memmiini", "Umbelopsidales", "Encopella", "Palachiini", "Dactylospora", "Podonominae", "Pentacentrinae", "Anobiinae", "Logima", "Tinadendron", "Gymnobucco", "Baryscapus", "Draconanthes", "Helcionelloida", "Utopia", "Alomasoma", "Phaeoplaca", "Syntomopteryx", "Epinotia", "Teragra", "Amselina", "Homalomeneae", "Pleurocope", "Dysmorodrepanis", "Xenostigmus", "Bulboplastis", "Ambilobea", "Seabriella", "Nevania", "Ferminia", "Ginoria", "Callistemon", "Baryodma", "Artibeus", "Carios", "Praescutata", "Fieldingia", "Cacoscelini", "Paraclericia", "Decellophylla", "Dipterygium", "Enantiidae", "Triodiinae", "Kirengeshoma", "Pseudopterinotrema", "Allamanda", "Eubaculites", "Smerinthulus", "Saprospiraceae", "Heterachne", "Agallissini", "Stebnickiella", "Aulocalycinae", "Frondilina", "Dimerocostus", "Boyeria", "Athamas", "Microfilistata", "Driopea", "Sericothripinae", "Buccininae", "Angelonieae", "Anisus", "Amphimeniidae", "Tropidopedia", "Retiskenea", "Syrigma", "Naumachocrinus", "Khutelchalcididae", "Marinussaurus", "Neuroperlopsis", "Imirus", "Indasclera", "Tetrathemis", "Eubostrichus", "Pealerina", "Parascirtothrips", "Acheliana", "Saimiri", "Xenocoelomatidae", "Columbina", "Argyrolepidia", "Brachygnatha", "Nyceryx", "Achelyna", "Desmodiastrum", "Nolicus", "Oecophoridae", "Enicmus", "Sigmoleia", "Rhodacaroidea", "Ceratitidae", "Suberitidae", "Scirtothrips", "Maxates", "Plumariidae", "Rhoptropus", "Trispirina", "Pulchicupes", "Aliidongia", "Chirotica", "Urocotyle", "Haptocallisoma", "Peristenus", "Rudgea", "Notiobii", "Lecanotrogus", "Zatheria", "Eotrichia", "Liostracinidae", "Myriopathidae", "Ctenotis", "Dimorphonyx", "Suwaia", "Yetkhatidae", "Heterobractum", "Pseudomegarcys", "Eupsenella", "Triospyris", "Anzaspis", "Adtaedia", "Amorphoscelis", "Plateosauria", "Polycestini", "Abronia", "Occitanodus", "Samoaia", "Actaecia", "Eremochilini", "Italochrysa", "Zygogeomys", "Pteroglossus", "Notonecta", "Ahrensia", "Saxicoris", "Porterpygus", "Orzeliscinae", "Streptopinodes", "Xenocoelidiana", "Biarum", "Meliarchus", "Petronia", "Podiceps", "Echinodontiaceae", "Apatelodes", "Annemoria", "Cipdele", "Eressa", "Sterrhini", "Trachyus", "Rehmanniella", "Kerguelenia", "Rhizotrogina", "Entomoplasmataceae", "Heterocylindropsis", "Gonoplasius", "Goniochloris", "Sainouridae", "Plowmania", "Scatellini", "Chlorogloea", "Bracalba", "Brugmansia", "Himalayacalamus", "Cronodrilus", "Acherres", "Idiolophorhynchus", "Archamia", "Paracucujus", "Chistyakovella", "Desikaneis", "Trivalvaria", "Cytaeididae", "Isotominella", "Acanthomigdolus", "Zoufalia", "Aponchiidae", "Pseudotachinus", "Spasticini", "Pentanota", "Neoephedrus", "Macropygia", "Cosymbotus", "Ussurilumpia", "Hippotrema", "Trematosaurus", "Rhamphorhynchidae", "Parelaphinis", "Oreoselinum", "Aulocarini", "Thylodrias", "Sadocepheus", "Calypogeia", "Anisacanthidae", "Deltshevia", "Heterorete", "Touwia", "Maunachytrium", "Stromerius", "Metacatharsius", "Picicola", "Caloca", "Gundlachia", "Scutarielloidea", "Afgekia", "Nemestrinoidea", "Cardium", "Neurosporidium", "Nannellus", "Acalanthis", "Chuanminshen", "Ventrolaminidae", "Anthepiscopus", "Cycadineae", "Bradoriida", "Dupouyichthys", "Anthococcus", "Harriscolex", "Enopliinae", "Baranomyinae", "Tropiometra", "Pygidicranoidea", "Brachysola", "Coelodendridae", "Polypyramidae", "Capys", "Favistella", "Spirosigmoilina", "Asamia", "Callicephalus", "Acrosanthes", "Tamarida", "Carabhydrus", "Wankowizium", "Coralliogalathea", "Silphopsyllus", "Eremophanes", "Meliolaster", "Stenogrammitis", "Perithamnion", "Magnusiomyces", "Coryssomerini", "Rhodobacter", "Gelsemiaceae", "Adriosaurus", "Acteniopsis", "Calliseidus", "Amadina", "Andrarinidae", "Tylocolax", "Gymnozoum", "Idiopidonia", "Tashtego", "Byrsocryptoides", "Kanakamiris", "Cyrtochilum", "Ligarinae", "Holothrix", "Burtonitethya", "Gillinia", "Scalesia", "Halobrecthina", "Berryteuthis", "Ischyradelia", "Crypteria", "Chalcothore", "Anaerophaga", "Pelitropis", "Corynebacteriaceae", "Sciaropota", "Pilobolaceae", "Tapajosella", "Natronolimnobius", "Elonidae", "Signoreta", "Harpia", "Ochetostoma", "Siphotrochammina", "Parafurius", "Balaca", "Microstomus", "Rhinopias", "Buskiidae", "Oscillatoria", "Hirticallia", "Electrogymnusa", "Praeparafusulina", "Amphinomidae", "Tethylembos", "Rhabdomastix", "Nautilida", "Prionoscirtes", "Labyrinthulaceae", "Callimicra", "Autoprotaetia", "Leprosoma", "Luzonochroma", "Pseudosolanderia", "Ubacisi", "Laetiporus", "Salvadora", "Abacillius", "Cercoceroides", "Pseudoplectus", "Afrograptidae", "Barsochrista", "Vidaverviricetes", "Machilis", "Strongyluris", "Rhyssonotini", "Coccorchestes", "Syncamaris", "Neita", "Megalara", "Paradoxostoma", "Rhinodipteridae", "Pseudotegenaria", "Glyphodactyla", "Anartia", "Duckeodendron", "Pteridoporthis", "Horaga", "Bryodemella", "Setoropica", "Phasmatini", "Asemesthes", "Ophiusa", "Axinidium", "Micractis", "Apatura", "Paederidus", "Amraica", "Eleutheroschizonidae", "Gnathorhynchidae", "Panonychus", "Trachipterus", "Epimorius", "Bolitopunctus", "Sepaicutea", "Vinialesaurus", "Pterinochilus", "Eoalulavis", "Atalantia", "Anatrytone", "Petalomium", "Euryphara", "Palaeorhyssalus", "Phthonoloba", "Entedon", "Exochomus", "Amasa", "Ramulininae", "Stipecampus", "Catoblepia", "Chlamydini", "Coloceras", "Neotermitotecna", "Chrysosarus", "Colonimilesia", "Habromys", "Stedocys", "Pinocchia", "Karusasaurus", "Setitarus", "Barbinae", "Megalithone", "Hapaloptyx", "Veloropsis", "Aleutia", "Hoheriococcus", "Astroboa", "Antherostele", "Hymenostomum", "Myrmeleontini", "Planiinvoluta", "Polymitarcyidae", "Sticharium", "Enotocleptes", "Megalofrea", "Nemacheilidae", "Silometopoides", "Waitkera", "Anindobothrium", "Orbulinelloides", "Eggerelloidea", "Zaburina", "Ataxophragmiinae", "Yramea", "Poecilocharax", "Coccocrater", "Metablax", "Daphnephila", "Hartmanthus", "Turquoiseomyces", "Ankyrodrilus", "Rhomboderella", "Rhizophoraceae", "Kiransus", "Eurepini", "Barbicornis", "Dasyoideae", "Phaeogala", "Hovops", "Siloxerus", "Badusa", "Chaunacanthida", "Cellana", "Microschismus", "Cyathosphaera", "Microtrypes", "Iberomesornis", "Acanthocerus", "Prosoponotha", "Rhopalosyrphus", "Thinempis", "Trigynaspida", "Microtermitodius", "Leptestheriidae", "Albiinae", "Trithyrodinium", "Creagrophorus", "Phymonotus", "Megarhyssa", "Taosa", "Enypniastes", "Erycina", "Tachyoryctes", "Arbopercula", "Mimatys", "Holcophylloceras", "Stilicoderus", "Phrixosceles", "Setobaudinia", "Ligiidae", "Paramangola", "Provorticinae", "Eugluta", "Benthothuria", "Stylotermitinae", "Botocudo", "Triaenamoeba", "Eusyntheta", "Triisodontidae", "Atlantomasoreus", "Ashbrookia", "Acanthomorphata", "Aneucomides", "Lituolida", "Aedeastria", "Occludus", "Vittetia", "Leiopelmatidae", "Aniba", "Acutiserolis", "Dusuna", "Cyphosoma", "Taenaris", "Archaeschrichtius", "Myrsinoideae", "Xystochroma", "Termitopisthes", "Dendrogyra", "Oligobothrus", "Eumecognathus", "Prionoglaris", "Percomorphacea", "Juga", "Phloiophilidae", "Ulodemis", "Neophloeobia", "Schaudinnula", "Urogymninae", "Elminae", "Maduranoides", "Neomauna", "Coelopynia", "Danielocandonini", "Trichocera", "UPRM", "Lepophidium", "Frendelia", "Helenina", "Opisthoncus", "Aepiblemus", "Bulboctenus", "Todarodinae", "Sinanthropus", "Tansinius", "Tropocyclops", "Eumyias", "Prasanthus", "Neogotocotyla", "Hypsilophodontia", "Neocylloepus", "Lamella", "Tauchira", "Siniugum", "Nemaglossa", "Urostyla", "Ichneumonoidea", "Cnesinus", "Antonaria", "Aculepeira", "Epibacterium", "Tettigarcta", "Chalcosyrphus", "Scleromystax", "Schildia", "Gymnocrex", "Epice", "Staphylinoidea", "Macrospinosa", "Lichenodiplisiella", "Phalacrachena", "Onoreidium", "Waitetola", "Stylomenia", "Dapsa", "Mydinae", "Stockmyzon", "Pao", "Glyptothea", "Anthochortus", "Mesabolivar", "Kibdelosporangium", "Pagetinidae", "Hyalochiton", "Dilocarcininae", "Malachoherca", "Callithamniella", "Aoroides", "Cercomacra", "Otochares", "Nealcidion", "Euthycaelus", "Diandichus", "Mastogenius", "Dapsilarthra", "Cacosceles", "Acrotonina", "Distichlis", "Cyphastrea", "Ascidiota", "Eniochthoniidae", "Austronia", "Tegeocranus", "Diceratura", "Bistorta", "Cunitoceras", "Achnanthepyla", "Ausogeocoris", "Neogymnocrinus", "Cresia", "Adelphagrotis", "Cicatrix", "Brachygasterina", "Rosalindidae", "Melanospiza", "Tasmanapis", "Praelinotarsia", "Witsenia", "Normaltica", "Triadica", "Timahocoris", "Herposiphonieae", "Melia", "Aureopteryx", "Corusca", "Trirogma", "Paraselliguea", "Psittinus", "Guttera", "Micropogonias", "Batrisopachys", "Hubeiella", "Arrowinus", "Malacopterus", "Carcilia", "Clistocoeloma", "Acanthochiasma", "Thomashuxleya", "Cretoglaphyrus", "Mapeta", "Endynomena", "Chloephorina", "Pseudoparonellides", "Lytta", "Trigonocaryum", "Myopsaron", "Larvacea", "Paradiniaceae", "Garrinae", "Bicuspidellopsis", "Vizellaceae", "Cyathocline", "Psolos", "Aegaeon", "Xenopteridae", "Conidae", "Virginia", "Lucinidae", "Etheirophoraceae", "Viridimicus", "Embryon", "Tistlia", "Processoidea", "Oligoenoplus", "Maireana", "Cawthronia", "Carinoclodia", "Hingstoniella", "Abdiacyclops", "Nisaea", "Amphorites", "Indomyrmecopora", "Pellegrinia", "Kamiinae", "Asteroidea", "Amblesthidopsis", "Nodocnemus", "Copula", "Aegyptosuchidae", "Neohebestola", "Pseudobatenus", "Pseudorissoina", "Scydmaenillunia", "Lethrus", "Macrocycloides", "Coelophysis", "Elopichthys", "Acanthopachylopsis", "Underwoodisaurus", "Orophila", "Delonix", "Hesperochthonius", "Indigirophyllites", "Pyrosejus", "Badonnelia", "Goniobranchus", "Phaenobezzia", "Gyroplia", "Leucettidae", "Neodiphthera", "Cyphanta", "Monardithemis", "Retroviridae", "Spondias", "Handelia", "Pteroscalpellum", "Millerella", "Helminthophis", "Bactromesus", "Portotyphlus", "Pseudoblepharisma", "Piranthus", "Tangavelleda", "Arctoconopa", "NMM", "Pentecopterus", "Lithistida", "Omosudis", "Edgertonia", "Protandrenini", "Uranthoecium", "Discomonas", "Elassoctenus", "Gecarcinucinae", "Homochelas", "Kukaspididae", "Sectoria", "Glechoma", "Mitoura", "Hyoscyamus", "Chiasmodolini", "Acrosembia", "Nesophylacella", "Tabernaemontaneae", "Pityomacer", "Tyndis", "Schistochila", "Cirrospilini", "Cephalochetus", "Vittatocrites", "Velociraptor", "Eoxenos", "Xanthodisca", "Allocosa", "Bythinogaster", "Grynobius", "Lanelater", "Hadronectoridae", "Stipa", "Chromulina", "Palaeopolistes", "Erythrocercidae", "Nipponaphaenops", "Ischnorrhabda", "Warishygia", "Keramosphaerina", "Striatellaceae", "Neocalliprason", "Borystheninae", "Bradleystrandesiini", "Milesdavis", "Dichotropiscus", "Protosmia", "Cymarioideae", "Lepidojulia", "Tetragonuridae", "Dendropsophinae", "Aenictogiton", "Rhoicosphenia", "Dalzellia", "Pontoeciellidae", "Lascoria", "Xenusia", "Nyctiini", "Ptilocamptocera", "Maesobotrya", "Cryptosporidiidae", "Cephaloxynum", "Oedanomerus", "Feltria", "Canthonidia", "Lamellodiscinae", "Heminothrus", "Lepturonota", "Patrizicampa", "Oceanites", "Radiella", "Elidipterina", "Sinoctenus", "Maingaya", "Campanuloideae", "Orthoderella", "Heptaulacus", "Lyonetia", "Paraepermenia", "Euryommatus", "Stimula", "Gaviacetus", "Kengyilia", "Anisoraphe", "Erianthinae", "Pleochaeta", "Coptolobus", "Agriocoma", "Parapsyllinae", "Cryothenia", "Talinum", "Eretmoptera", "Eurois", "Batristidius", "Mellera", "Tarvaiidae", "Kuenckeliana", "Sinarachna", "Lankascincus", "Helicodictyaceae", "Amentotaxus", "Sellaphoropsis", "Barskovia", "Nototeredo", "Teissieridae", "Trichamechana", "Prioranteon", "Presoter", "Asplundianthus", "Mariacoccus", "Heterocladium", "Baranovia", "Sulcimitoceras", "Charltona", "Torulaceae", "Oiceaca", "Niphoropica", "Isis", "Catachlorops", "Noxius", "Epilichas", "Cheiracanthidae", "Sinemydidae", "Cyanocompsa", "Microvirga", "Modisiminae", "Laraesima", "Uroiphis", "Warnockia", "Polyplax", "Erroneinae", "Chrysozyma", "Pterochelus", "Graphitarsus", "Paracaeciliinae", "Arapona", "Stenocaecilius", "Minotaurasaurus", "Nicobiini", "Persacanthus", "Oculipetilus", "Hymenodon", "Neostagonosporella", "Holothuriida", "Nemalion", "Pseudopannaria", "Sfitakantha", "Acanthocera", "Eumetopias", "Protogastraceae", "Cermada", "Hypophyes", "Bulimina", "Tenisonina", "Seminibacterium", "Nephan-", "Hyloxalinae", "Orthoamblystegium", "Chloropicus", "Crosita", "Eleotridae", "Aeger", "Tambana", "Dasycladus", "Zeatyrus", "Tetrarchiplagia", "Malgassochaetus", "Hydrania", "Gnathonyx", "Mithrodiidae", "Cyatheaceae", "Eustrophinae", "Milichus", "Laocoonella", "Tremataspididae", "Pleurochaete", "Phaeochiton", "Mundochthonius", "Chionoreas", "Melanis", "Ceratophyllidia", "Nipponoagoliinus", "Apoaerenica", "Argyromatoides", "Pseudogorgia", "Calliferoplia", "Epioblasma", "Lepidopilum", "Pacifia", "Zelus", "Pirinia", "Monechma", "Omniops", "Staurobatidae", "Desulfovibrio", "Halalkalicoccus", "Pavoninoides", "Alces", "Tradescantieae", "Erythrobasidiales", "Stictobura", "Tainocampa", "Azorina", "Leucosceptrum", "Jaacunga", "Alloactinosynnema", "Variibacter", "Neochthonius", "Heterochloris", "Embonychidae", "Zenia", "Rotosphaerida", "Crematogastrini", "Oxythyrea", "Thalamoporella", "Chalcidica", "Sinularia", "Sporochnaceae", "Cyclosemia", "Anemocarpa", "Abropelta", "Arberella", "Epithemateae", "Calymmaderus", "Coutareopsis", "Paraphauloppia", "Gwynia", "Diplocotidus", "Prosochaeta", "Kurtzmanomyces", "Xenophyophorea", "Semivulvulina", "Stolopsyche", "Catenellopsidales", "Trichopteryx", "Velloziella", "Bicodes", "Tectibranchiata", "Capitella", "Gwawinapterus", "Psoroglaena", "Pholeoteras", "Pseudoclausena", "Carnobacteriaceae", "Termitolinus", "Phyllolyma", "Araucarivora", "Phacochoerus", "Iphigenieae", "Manniophyton", "Xenopachys", "Crustoporidae", "Galumnella", "Crenatella", "Phylloscopus", "Priobium", "Heteronchocotyle", "Microleptes", "Dolichopselephus", "Tetralophophora", "Polynoinae", "Malachra", "Perarella", "Discosauriscidae", "Catomus", "Strictocostella", "Pachydactylus", "Uralopronorites", "Pseudholophylla", "Amygdonia", "Zonoplusia", "Xylotoles", "Naranga", "Amorbini", "Pliobyrsa", "Gentingia", "Dolabellopsocus", "Metaxys", "Melanetettix", "Madecadryinus", "Cenchrus", "Bactrophya", "Pseudomiopteriginae", "Tupaia", "Piazomiina", "Duomyia", "Phymatopus", "Rubes", "Paricanini", "Pleurophascum", "Staurosirella", "Caldukia", "Micropachycephalosaurus", "Gonionemus", "Acanthophorini", "Pseudephebe", "Urena", "Protolichus", "Hunterieae", "Mesospora", "Autophila", "Eleutherostylis", "Ruvettus", "Loniceraphis", "Myrrhidendron", "Canaceoides", "Balkhania", "Tshepanichoptera", "Cetiosaurus", "Brittonius", "Acrotonida", "Woolungasaurus", "Rhamphoverritor", "Loudetiopsis", "Nitrosomonadaceae", "Botynella", "Pasithea", "Acantholybas", "Notonewtonia", "Libanotis", "Ashea", "Xystropodina", "Paratoxidium", "Garuda", "Cerberolebeda", "Formicaphagus", "Theridiosomatidae", "Phlegyas", "Acanthomysis", "Atopidae", "Indigofera", "Epinephroma", "Physopsis", "Hysteroglonium", "Sandaracinaceae", "Hyperacmus", "Pussardia", "Endoiastini", "Bilga", "Stenophyllinae", "Gnaptor", "Capitulocladosporium", "Neopsyllinae", "Anarchambyx", "Teretomonas", "Kaminskia", "Cnephasiella", "Hepatella", "Netelia", "Nesoptychias", "Escherbothriidae", "Pseudocoptosperma", "Psalmocharias", "Falsestoloides", "Demelius", "Epistominoides", "Paraploderus", "Ganocapsus", "Vianinae", "Euphorinae", "Anexochus", "Tessela", "Palmerinellinae", "Fossocytheridea", "Labyrinthuloides", "Percichthyidae", "Peltoxys", "Cranopsis", "Clithria", "Rhegmoclematini", "Cerasana", "Warrenieae", "Trissemodes", "Apotominae", "Oiera", "Serpentes", "Cosumnoperla", "Kandelia", "Feramyces", "Xiphydriidae", "Sempervivoideae", "Gnathostomatomorpha", "Pteraspidomorphi", "Anisynta", "Gabrius", "Aenicteguoidea", "Parvacara", "Ancheuryte", "Zheduopolia", "Teixeiramonas", "Agaporomorphus", "Arhacia", "Batrictenistes", "Parabolus", "Bagliettoa", "Atrichum", "Perithalia", "Parametasphondylia", "Flaminia", "Striatodecospora", "Oryctopinae", "Sternoplus", "Asarotammina", "Achatininae", "Platanavis", "Achlyella", "Psephotaxus", "Euchorium", "Epichrysodes", "Distacodontacea", "Mortoniodendron", "Ditriaena", "Okellyaceae", "Paranebaliidae", "Methylobacillus", "Petaloconchus", "Eremoplana", "Neofriseria", "Haliichthys", "Mycetophagidae", "Monoleptoides", "Astraea", "Platysiphonaceae", "Zikanius", "Calyptranthes", "Dinomachus", "Mimoropica", "Magniexcipula", "Trichinella", "Lembadion", "Vasicola", "Pseudorhombilidae", "Jerapowellia", "Semiotinus", "Scaphitidae", "Chinianasteridae", "Pilotrichaceae", "Novoplectron", "Regioscalpellum", "Ornithocheyletiini", "Vahliaceae", "Euaontia", "Dedalopterus", "Austrobaileya", "Psammophora", "Thyranthrene", "Lethenomus", "Mikrocytida", "Platyrhopalus", "Platylomia", "Pseudogobiopsis", "Pilusodrymus", "Petersitocoroides", "Leegaardiellidae", "Rhynchopus", "Rhamnocercus", "Phascum", "Calliphlycta", "Cynoscion", "Rhinonycteridae", "Bossiaea", "Jamwonus", "Pachyschelomyia", "Calcaronea", "Carangoliopsida", "Xiphozelinae", "Bronia", "Nippocryptus", "Sassenfjordia", "Thermodesulfatator", "Silvestridia", "Microsolenina", "Fimbrispiriferinae", "Trachydina", "Cannoninae", "Acirrostylus", "Peracarida", "Pleioblastus", "Morindeae", "Nikoides", "Hirsutospirella", "Mygalomorphae", "Malonomonas", "Elbidus", "Tympanotriba", "Salapia", "Armophorida", "Neotanais", "Hemiloba", "Syllophopsis", "Ceratoporellida", "Pentachondra", "Bathysphaera", "Carbisa", "Sjoestedtius", "Amphicrossinae", "Thericleini", "Cholina", "Oechydrus", "Ophiodrominae", "Nagurus", "Hammondia", "Anthochirus", "Dasumia", "Glossopeltis", "Microchlamyiidae", "Pseudoplatyderus", "Chrisreidia", "Schizocodon", "Wisarcadiaspis", "Baseonema", "Acostemma", "Cystophora", "Paroosternum", "Ovarioptera", "Gardeniopsis", "Pseudogerda", "Parcoblattini", "Protaustrotroides", "Daknopholis", "Laqueusplana", "Tokiphallus", "Stomacontion", "Spheniopsidae", "Acanthodinium", "Pullneya", "Charmops", "Saxicola", "Dactylophia", "Groenlandiella", "Andranthobius", "Perischoechinoidea", "Alciphanes", "Typhlopolycystidinae", "Lilioideae", "Calvatia", "Cancelloxus", "Brusqeulia", "Asthenactis", "Exocalopus", "Goniops", "Prolesophanta", "Aphanasiini", "Peristeranthus", "Nernstia", "Dioecocestus", "Glaucosphaera", "Pleronexis", "Esme", "Metriorrhynchomiris", "Viridiannula", "Praslinia", "Sophianus", "Coelocarpum", "Mimopogonius", "Novanapis", "Exechophyes", "Hydatellaceae", "Tromatobia", "Thalassosphaeridae", "Brasileosaurus", "Paracapillaroides", "Diplothyron", "Nepogomphoides", "Agropyron", "Proteinivoraceae", "Leptothrium", "Anchorhyacia", "Geopemphigus", "Xatardia", "Dwightla", "Pseudophoxinus", "Isoctenus", "Osbornellus", "Carlephyton", "Dictyobia", "Platyceps", "Stephanocodon", "Acidalina", "Helopina", "Patelloida", "Pyrinomonas", "Balearites", "Spirochaetales", "Ninyas", "Hemizonia", "Foetidioideae", "Succiniplatycerus", "Euryphryneta", "Macrodasyida", "Risleya", "Slopalinida", "Conchitella", "Charaxes", "Prestacarus", "Piedraiaceae", "Leptinus", "Porocyphus", "Buxbaumia", "Radiasteridae", "Edapholotrochus", "Ectrephini", "Neatostema", "Nyctaginaceae", "Smittina", "Wahlenbergiella", "Streptoleberis", "Rhinolophidae", "Nesidiochernes", "Microzetoidea", "Hepalicina", "Belenois", "Furipterus", "Axona", "Callorhinus", "Nieserius", "Chenisides", "Tyrogatunus", "Haplodendron", "Aemoaipus", "Truncatellidae", "Hypochthonioidea", "Stigmochelys", "Lamprops", "Lophirinae", "Argillotuba", "Geminibasidiomycetes", "Sarcodiotheca", "Oreinotyphlus", "Brouniphylax", "Stellacrinus", "Phidoloporidae", "Nitrosalsola", "Trichosanchezia", "Cryptandra", "Pteraeolidia", "Solenophora", "Stereomyxidae", "Aylaella", "Raphionacme", "Lottia", "Diplocladus", "Verres", "Lepidomela", "Prototrygaeus", "Lasionycteris", "Lachnobacterium", "Boreocelis", "Platythyrea", "Homoconnus", "Thyrsitoides", "Peptococcaceae", "Yabisi", "Clytiopsis", "Ectodus", "Quiacaua", "Cyphonistes", "Netta", "Trichostomatina", "Simpliciplana", "Sapria", "Hariola", "Aegialites", "Enisella", "Leptomastidea", "Galindomyia", "Erianthemum", "Stirtoniella", "Pagyda", "Verruca", "Arnoldiamonas", "Koordersiodendron", "Gayadomonas", "Melainacnemisa", "Tachinoderus", "Acanthoceratidae", "Drepanis", "Bascanus", "Cookeolus", "Powellia", "Evenus", "Cnemoschiza", "Rachovia", "Pylolena", "Demandasaurus", "Enallagium", "Trichopus", "Spongiimonas", "Ixodida", "Betamorphinae", "Notoceresium", "Calodecaryia", "Terracidiphilus", "Lachnocephala", "Lygophis", "Notoberyx", "Aframomum", "Philoscotus", "Herreramyxa", "Alloniscidae", "Calamia", "Ptilurodes", "Travassosula", "Rhynchonympha", "Lalmohania", "Santanderella", "Dasygnathus", "Chelifera", "Haitiophis", "Amphistomus", "Cogniauxia", "Miniuva", "Acrocrypta", "Cymbacha", "Fructobacillus", "Leptosolena", "Gigantopalimna", "Pseudoplandriina", "Rhizoplasma", "Eotextularia", "Hyphalocope", "Notocheiridae", "Silvorchis", "Cuculicola", "Benzonia", "Heatherella", "Phytobius", "Euxestonotus", "Nannothelypteris", "Ohbayashia", "Spelerpinae", "Dromiinae", "Fredegunda", "Microbates", "Ficalbia", "Proteropinae", "Anchitheriinae", "Pentamerismus", "Eugnosta", "Lophophaena", "Dilatitibialis", "Centrophrynidae", "Horvatia", "Ileantella", "Paulianodinae", "Drepanephora", "Medauromorpha", "Phaulogenes", "XNC", "Saccothecium", "Ebracteola", "Koskinobigenerina", "Ragwelellus", "Aspelta", "Alansmia", "Uraraneida", "Desmos", "Geolyces", "Thinicola", "Liomys", "Mimusops", "Histrioacridini", "Leucodictyidae", "Ula", "Necrodes", "Lianus", "Histiophryne", "Casminola", "Bohumiljania", "Charops", "Holosoma", "Kopsiopsis", "Sclerodermus", "Namurotarbus", "Gigantapseudidae", "Naevipenna", "Exochirus", "Diacanthous", "Pyrgodiscus", "Harmogia", "Aprostocetus", "Notonomus", "Ectenognathus", "Archaeosciaphilus", "Eggerthellaceae", "Desulfobotulus", "Phylloceratina", "Neomyrina", "Tylomys", "Provorticidae", "Triainolepis", "Endrosis", "Ramajendas", "Notholopus", "Gunnia", "Gryllomorphini", "Saprinus", "Aulacaganides", "Abadehellidae", "Malacolepas", "Forcepsioneura", "Orthogoniini", "Discomyzinae", "Miogypsina", "Parapodinium", "Phocoenoides", "Deltocephalinae", "Aptenopedes", "Morabinae", "Cystonectae", "Perigonia", "Disphragini", "Reticulitermes", "Wuda", "Cribroturretoides", "Actinostolidae", "Discoaster", "Myliusia", "Dascillinae", "Gecarcoidea", "Thilachium", "Adektitopus", "Ephippigerini", "Thamnocalamus", "Caryopemina", "Putrella", "Linmingia", "Superstes", "Scleronotus", "Bifaxarioidea", "Axinotoma", "Seladonia", "Falcidentidae", "Metapone", "Haliaeetus", "Synaptolepis", "Eucosmabraxas", "Microbrachida", "Xerochlorella", "Palaeotanais", "Gebiidea", "Stroinolepididae", "Cladotaenia", "Eutorna", "Eustromula", "Neostichopus", "Thomandersia", "Aphelotingis", "Phoriospongia", "Paranannopidae", "Orianthera", "Porphyrinia", "Kosciuscola", "Hirstiosomatinae", "Crystalia", "Crepidozaena", "Rhizoplaca", "Oenochroma", "Drepanochaitophoridae", "Anacrabro", "Cruciglanis", "Lipeurus", "Rarithea", "Colpoda", "Planochloris", "Isometrainae", "Aphanochaete", "Isshikia", "Scutigera", "Diplobodes", "Philoganga", "Metapatellina", "Possonia", "Monilinia", "Rubus", "Onarion", "Pandalopsis", "Glyptothorax", "Semaeomyia", "Pseudoperkinsus", "Ritchieichthys", "Mimozeargyna", "Discolithina", "Helcionellidae", "Salimesophilobacter", "Anetanthus", "Acrochaetiaceae", "Megaerops", "Gunungiella", "Ilanga", "Turbodiscoaster", "Oparanthus", "Pseudanotylus", "Poecilimon", "Cardiochlamyeae", "Ophioidina", "Echemoides", "Crucihammus", "Pseudomicrocara", "Calodia", "Tokidadendron", "Anapsallus", "Megacoryne", "Heliopeltaceae", "Clydosmylus", "Lepidopetalum", "Buddlejeae", "Beryllophantis", "Kraussmiris", "Aliifodinibius", "Picardiella", "Tiphysinae", "Columbidae", "Patagopteryx", "Ocellarnaca", "Piptoncus", "Antrokoreana", "Blepharipoda", "Dragmaxia", "Penelopina", "Julavis", "Nuphar", "Rhopalophion", "Pytilia", "Lardizabaloideae", "Permoxenopterum", "Namaquamyia", "Hydaropsis", "Poecilomyrma", "Nemoricantor", "Dacodraco", "Epomophorus", "Fucus", "Huseyinia", "Triliropus", "Goggia", "Diadumene", "Leptolobus", "Podocatactes", "Rhynchitomacer", "Ctenistodites", "Chemsakia", "Suchomimus", "Maderentulus", "Ormocarpum", "Neurophyseta", "Hypodactylus", "Biokovinidae", "Rhexidius", "Siphanthera", "Insulivitrina", "Oncophorus", "Diadasia", "Bromus", "Hypocambala", "Antidythemis", "Pogoneis", "Ptenophyllidae", "Actinoporidae", "Propodalirius", "Ophiotrochus", "Nitrososphaera", "Patchia", "Kalohydnobius", "Xenophallus", "Xenoctenus", "Moolgarda", "Epinephele", "Haplosplanchnidae", "Cedreloideae", "Akawaio", "Pseudorocella", "Hyposerica", "Allommatela", "Othnonius", "Metacosmesis", "Anthocerotopsida", "Phyllozelus", "Profidia", "Scorpiones", "Mastinocerinae", "Tungidae", "Muriella", "Odonturini", "Smicrus", "Tubulinea", "Coelogynoporidae", "Episeptum", "Cylindrophora", "Pomarea", "Pseudupeneus", "Zakaella", "Choricystis", "Dyspanopeus", "Gallionella", "Urodidae", "Icariella", "Fagelia", "Orthogonikleithrus", "Apolygus", "Coproporus", "Chirosia", "Chaunoplectella", "Zygopteridales", "Bristoliinae", "Ectenopsis", "Dresserus", "Eucamptocerca", "Brachyale", "Anakinetica", "Pseudochetoneura", "Sephela", "Paradesmiphora", "Leptodini", "Keetia", "Stenocarpus", "Aspinothoracidi", "Sarcomastigota", "Pardopsis", "Acicarpha", "Thecadinium", "Halffterius", "Bishopanthus", "Piezochaerus", "Psammodictyon", "Alveocystis", "Asterocyclinidae", "Siteromina", "Onconeura", "Amritodina", "Strychnopsis", "Metaporus", "Buntoniinae", "Allocrioceras", "Nemobiini", "Costulariella", "Stromboscerini", "Microserica", "Syntrips", "Rhynchozoon", "Austrobatrachus", "Dioicodendron", "Fautricinae", "Prestoea", "Syntheosciurus", "Ctenomys", "Pavonitinidae", "Nucleopsis", "Unithosea", "Tricoma", "Orthopelmatinae", "Montfortula", "Pentarthrini", "Pseudeustrotiini", "Beringiophoxus", "Linderia", "Anabantiformes", "Derbini", "Ophioplexa", "Ceratojoppa", "Tethepomyia", "Gyroidinoides", "Lanellus", "Dohrnielleae", "Rohdella", "Alseuosmia", "Paratetralophodon", "Lonsdaleia", "Caproiciproducens", "Diversocallis", "Poduromorpha", "Taiwanobyctiscus", "Antipodochlora", "Giraudia", "Profundibacterium", "Arnica", "Diplonympha", "Abrophyllum", "Oriasapamea", "Thiobacimonas", "Palabriaphoxus", "Aspidospermateae", "Doderotrechus", "Chalapolia", "Kuronezumia", "Afrobirthama", "Xerobion", "Steneotarsonemini", "Pseudocyrtusiola", "Cryptolestes", "Macrocyphon", "Macropodia", "Chuniophoenix", "Streptomonospora", "Schaffersiana", "Amphoropsyche", "Paraliostola", "Pilorhagidia", "Comatogammarus", "Pilherodius", "Eubadura", "Linziinae", "Dinusella", "Helvina", "Holoxea", "Ophthalmodes", "Palacantholithidae", "Kochanskyella", "Thinopinus", "Aplysia", "Ophiocryptus", "Lobulogobius", "Ptychopoma", "Scaphiophryne", "Zosima", "Neoplanocera", "Lomariocycas", "Phlebotrogia", "Thermotogaceae", "Kraussina", "Zhuchengceratops", "Enteroctopus", "Stenothyridae", "Porphyroglottis", "Agaraea", "Pseudosphromenus", "Scombrinae", "Apomachaerotinae", "Criconympha", "Elachanthus", "Cybalomiinae", "Cymocythere", "Schizoribautia", "Matticestus", "Stephidae", "Andritrema", "Strumpfia", "Zoolea", "Cryptoblabini", "Ctenocalus", "Chamaesiphonaceae", "Ectophora", "Metalamia", "Trischizostomatidae", "Sagittula", "Microhydromys", "Bracteamorphaceae", "Drymoana", "Xestaea", "Beharus", "Xenostenostomum", "Dysacrita", "Xabeini", "Tomomyzinae", "Halobrecta", "Archaeognatha", "Epopsia", "Monodiger", "Archistes", "Russulales", "Murravia", "Egius", "Pseudaulacaspis", "Guerrina", "Polirhabdotos", "Archisynarsis", "Largusoperlini", "Telomicropus", "Anicius", "Cleigastrini", "Trachaphis", "Leptothyrella", "Telmogarbus", "Cophecheilus", "Ancylodiscoididae", "Gorbiscape", "Gigiellinae", "Cochleomeritus", "Hydrobius", "Oliveiriella", "Anomalicornia", "Lentibacillus", "Afrolinotus", "Sphinditeles", "Bolitaenidae", "Simulioidea", "Arlemiris", "Macrostomidae", "Microcarpaea", "Ethobuella", "Haeckelicyrtium", "Dichromapteryx", "Germaraphis", "Phenacoleachiidae", "Calyptotrichidae", "Allmaniopsis", "Coleopteromiris", "Elmas", "Eomathilda", "Poroecus", "Chlorotettix", "Rhodoblastus", "Protopolyclinidae", "Pyxichromis", "Mesotype", "Sparna", "Paratemelia", "Pero", "Hiatulopsis", "Anatosuchus", "Euryeulia", "Cincloecus", "Rhizaster", "Walshia", "Hexasphaera", "Thaumaina", "Paraeutrichopus", "Fissurina", "Chromidotilapiini", "Fissapoda", "Triocampa", "Plioplateiidae", "Palaeorhiza", "Caloprotaetia", "Microdipnites", "Oniscomorpha", "Pauropodidae", "Merocepon", "Congiopodus", "Bucephalata", "Edrioasteroidea", "Jejewoodia", "Falsidactus", "Nedinoschiza", "Prionolomiopsis", "Duadicus", "Martiodendron", "Gephyroherpia", "Pyrenestes", "Bordetella", "Convolvulus", "Tezakia", "Wanniyala", "Richardina", "Bryozoa", "Parmulia", "Ottelia", "Hypoprepia", "Rosalbopsis", "Nudacotylidae", "Piperales", "Nankangia", "Phlyctenosis", "Paranillus", "Euconnomorphus", "Scopelophila", "Neotrabisus", "Demonassa", "Sulcochrysis", "Phyllodytesius", "Vestibulifera", "Zamioculcas", "Fredilocarcinus", "Gonialaena", "Panctenata", "Prenanthes", "Schinderhannes", "Peripsocidae", "Curvitinospora", "Glaucalges", "Catenovulum", "Silhouettella", "Austrolebias", "Errachidia", "Callistochroma", "Sparassidae", "Hadrurus", "Palpangula", "Malasseziaceae", "Laevilitorininae", "Psaliodes", "Arabela", "Menigionyx", "Priscagrion", "Seidenfadenia", "Acyphas", "Bothriospila", "Diorthus", "Cyclotheca", "Thamnophilus", "Penthina", "Armigatus", "Karsten", "Nalocryptus", "Ommatogramma", "Clavimyiomma", "Pseudephedranthus", "Sericornis", "Zofiabaataridae", "Metophthalmus", "Cuspicona", "Unabiara", "Cirrhibarbis", "Leptocorisini", "Pseudagrostistachys", "Pseudobohlina", "Austriadactylus", "Isanodus", "Erateinini", "Freyinae", "Cichlinae", "Bryocyclops", "Saragossa", "Protogenes", "Oreithyia", "Remopleurididae", "Pitella", "Limnohabitans", "Megactenodes", "Dorcadida", "Aphaninae", "Hindsia", "Denitrobacter", "Chiliotyphlus", "Macronus", "Jacobsaptera", "Sprattiella", "Sparaxis", "Turbophloeus", "Thema", "Heleomyzidae", "Apeplopoda", "Acanthocrios", "Balsamocitrinae", "Bilistra", "Danielostygia", "Elenophorini", "Bullis", "Planulinoididae", "Acalyptomerinae", "Lecane", "Rufibacter", "Leptoptilos", "Anaplasma", "Neohesperilla", "Orinus", "Gryon", "Fallomyrma", "Heteropyxis", "Scaurini", "Cephalogryllini", "Gonodontini", "Truncala", "Horaeomorphus", "Scissirostrum", "Spondiantheae", "Cymososphaeridium", "Ceratogonia", "Mitochytridium", "Phanocoris", "Ammoniibacillus", "Philostephanus", "Sphigmothorax", "Archaster", "Gonocaryum", "Stramentinae", "Petalomonadaceae", "Halterapis", "Ellipsocephalidae", "Callicarpoideae", "Typocaeta", "Lacticigenium", "Indoribates", "Systoloneura", "Alterococcus", "Umbyquyra", "Ectonura", "Iulopis", "Charitostega", "Prodromites", "Pycnoporus", "Favonius", "Raesaeneniana", "Neidiaceae", "Trichophilus", "Radiolucina", "Culicoidini", "Pachystilicus", "Dinardopsis", "Spyridiocolax", "Laperousea", "Coecobrya", "Macromotettix", "Abes", "Corallanidae", "Vaginulus", "Masonoceras", "Solariola", "Bunaxella", "Phthirusa", "Tipanaea", "Polydesma", "Pisolina", "Heteroconis", "Cathelotis", "Minasia", "Kambara", "Zygonoides", "Northia", "Anomochilus", "Bosquetina", "Perigenes", "Lipiniella", "Sympistis", "Vietnamaptera", "Entomobielziidae", "Pseudoptycta", "Theromyzon", "Allocerchysius", "Arctopus", "Metriacanthosauridae", "Colliguaja", "Rugelia", "Edestus", "Eremonidia", "Aethionemeae", "Porobalanus", "Themeda", "Tmolus", "Parastemmiulus", "Oedipodiopsida", "Nemognathini", "Brachinini", "Urodontinae", "Xenotyphlus", "Trididemnum", "Cynosciadium", "Sinodromeus", "Thaumaspis", "Oricopis", "Ossaea", "Phyllonema", "Myodermum", "Hypoborini", "Catriona", "Pinogalus", "Dysmorphococcus", "Sarcotoechia", "Trichosternum", "Uramphisopus", "Phrynixini", "Asanonella", "Teleopsis", "Adrianitidae", "Archaraeoncus", "Bephratoides", "Ophthalmolycus", "Adlerzia", "Beloesthes", "Psychocampa", "Oectropsis", "Rhopalomenia", "Caplopa", "Lachemilla", "Biopsyche", "Autogneta", "Barahna", "Kistnerium", "Pinophilus", "Xiphophoraceae", "Myriolimon", "Hemiphylacus", "Epipolasis", "Nycticryphes", "Foeniculum", "Cypseloides", "Ancalomicrobium", "Macrochytrium", "Paratamatam", "Juxtastenopus", "Protoscelis", "Demecquenemia", "Lethina", "Electrotenia", "Cerotrioza", "Rhyzopertha", "Isaea", "Neurolaeneae", "Charontoidea", "Temnida", "Kriegeriales", "Eracon", "Pandinus", "Micronola", "Maxfischeriinae", "Kurtus", "Sphegina", "Jugatovaria", "Megabatrus", "Deccania", "Catalpeae", "Eupolemus", "Petrogenia", "Badioglobus", "Pleurophyllidiopsis", "Zenocolaspis", "Sphenosira", "Dasydorylas", "Nesioneta", "Apiocystis", "Vadifresia", "Paralithodes", "Spiracantha", "Aphelogaster", "Amphimasoreus", "Aragualnini", "Actinomucor", "Dichatomus", "Amauris", "Chondridiopisalia", "Afrarchaea", "Diprora", "Carbonicola", "Hamigera", "Selachinematidae", "Paussus", "Phaeoseptaceae", "Alicelloidea", "Montenegtrombium", "Gondraena", "Janssensantus", "Rhabdotis", "Scaphodactylus", "Tropaeolum", "Dolichotetranychus", "Poliocephala", "Thermofilum", "Typhlopidae", "Pelania", "Platynaspidini", "Neodermea", "Okeania", "Ochnaceae", "Ceratodirus", "Maguireanthus", "Galerina", "Symphrasinae", "Threnetes", "Pilocarpus", "Kleioweisiopsis", "Marsupiopus", "Meroscalpellinae", "Anthicomorphus", "Platydytes", "Balaka", "Empleurum", "Cremastobombycia", "Eutemnodus", "Acutandra", "Nanaspididae", "Teratocyclops", "Eugerda", "Tobrilidae", "Fjordia", "Microxylorhiza", "Antheromorpha", "Sphinctothorax", "Tarzettaceae", "Pseudoclavus", "Enneopagurus", "Terrobittacus", "Conorbitoides", "Hilarotes", "Damaliscus", "Ochrocesis", "Emplocia", "Argyraspodes", "Argamania", "Parasporobacterium", "Palaeasteridae", "Adrapsa", "IEPA", "Lambeosaurini", "Pethia", "Atelaphycus", "Machaerodes", "Saltonacrina", "Tibellia", "Basilicostephanus", "Lithobiomorpha", "Fenestroconidia", "Ammonoencyrtus", "Pilophoropsidea", "Dielsiodoxa", "Neoleprosoma", "Cheirimedeia", "Dilarinae", "Ledora", "Glyphochloa", "Parapylochelidae", "Paragnypeta", "Cricotopus", "Trichomyatis", "Neoneurinae", "Solea", "Kupeharpalus", "Melanostethus", "Phascolotaenia", "Asiacentistes", "Ptilosarcus", "Penicillus", "Eumaladera", "Thrincophora", "Pichiaceae", "Squillidae", "Termitocupidina", "Ameridelphia", "Eoalleucosma", "Gamocarpha", "Sericobracon", "Campanulids", "Nostoceratidae", "Blepharita", "Bryoria", "Mastrulus", "Cydnochoerus", "Avisauridae", "Cecidophyopsis", "Paratrombiinae", "Bicurta", "Cyrtauchenius", "Notocupes", "Epopella", "Qingmenodus", "Stethodesma", "Pyxillaceae", "Zehntneriana", "Muttua", "Helikotropis", "Neoneides", "Plagioecia", "Eugorgia", "Aphyolebias", "Dichogaster", "Amerisaprus", "Lepturga", "Martineziella", "Ocyale", "Trichonaupactus", "Australiascaceae", "Tellona", "Diasomoides", "Shengella", "Palaiargia", "Tokyosoma", "Pankycodon", "Lamprologini", "Eriocottidae", "RTMP", "Sensitibillini", "Euboarhexius", "Trachopeplus", "Melitaea", "Bodiloides", "Eusphaerella", "Meluchopetalops", "Diastatops", "Electribiinae", "Arhinchite", "Pacificana", "Histrioacridina", "Bacelarella", "Givarbela", "Harpago", "Labidiophasma", "Trouessartia", "Neoguinella", "Melghirimyces", "Lebruniodendron", "Sesamia", "Bothrus", "Dichelesthiidae", "Leptobrachella", "Chaetogeoica", "Epsilonematoidea", "Hadrobregmini", "Desulfovibrionaceae", "Aralius", "Acanthorhogas", "Eucryptina", "Palmulinae", "Amphicampa", "Lobocentrini", "Crangoweckelia", "Parabothrium", "Paraniphargoides", "Laccopterum", "Discoderoides", "Nezzazatidae", "Kaltitartessus", "Coproptilia", "Falsiformicidae", "Hadrops", "Thamnophilidae", "Calodema", "Arenoparrella", "Isse", "Protocteniza", "Copostigma", "Physisporinus", "Notoligotrichum", "Darcetina", "Ophiacodontidae", "Tumulopsis", "Urosigalphini", "Thomasomys", "Acosmium", "Dynamostini", "Thermoniphas", "Lulworthiales", "Phorbas", "Acanthacorydalis", "Phymatocerini", "Pseudasteron", "Calycomyza", "Youngiibacter", "Pearsoniella", "Dioecrescis", "PRI", "Amastrini", "Pteriomorphia", "Burmacoccidae", "Anchicubaris", "Compsaraia", "Hydrochorema", "Deflandryocha", "Pupininae", "Ophiolepidoidea", "Alaninematidae", "Sturisoma", "Ormenocoris", "Sznablomyia", "Haemerosia", "Maoutia", "Pseudocalantica", "Spiophanes", "Singa", "Spinaeschna", "Bambara", "Parochodaeus", "Biholosticha", "Euxenoperlidae", "Palliduphantes", "Diaphenchelys", "Loeffleria", "Mimosticus", "Paraphloeostiba", "Riminopsis", "Mallaspini", "Paroplia", "Bryocrumia", "Diplomitella", "Merizomena", "Cookiella", "Puncturella", "Protonymus", "Chlamydomonadales", "Parahesperornis", "Scierus", "Aschersoniodoxa", "Cynoglossidae", "Graphosomatini", "Lanitra", "Limoselleae", "Areschougia", "Ulopa", "Triozoida", "Pluviantaenia", "Prosolierius", "Styrax", "Heteroplexis", "Porites", "Pseudasphondylia", "Paradictyna", "Mandelia", "Nemaster", "Lochmaeocnemis", "Hemiceratinae", "Scarabaeolus", "Kirkaldyia", "Disparoneura", "Spirembolus", "Siren", "Gymnorhynchidae", "Pseudophilotermes", "Paraplacosauriops", "Acangarana", "Microplax", "Gibbsia", "Picouina", "Gerallus", "Glomerida", "Gammaropsella", "Asteropeia", "Araeolaimida", "Asparagus", "Cophosomorpha", "Thoracogonus", "Novumbra", "Mastacembelidae", "Encephalarteae", "Vannuccia", "Propottinae", "Odiomarinae", "Rhodocollybia", "Vustinia", "Halorientalis", "Neodactylariales", "Diota", "Oplachantha", "Maculolachnus", "Rangomaraminae", "Asiabadus", "Glossosoma", "Tanocryx", "Hertwigia", "Gobiesox", "Peritropis", "Zelandatonia", "Neomastogenius", "Pseudopaludicola", "Endospora", "Eudaminae", "Eleutherodactylidae", "Actinarctus", "Stenasellidae", "Haemantheae", "Lepitrichula", "Argyrilla", "Lipocrea", "Simnia", "Ethaltomarus", "Chasmias", "Ringina", "Cyprinodontiformes", "Afretha", "Oreothlypis", "Perissus", "Poecilium", "Surirellales", "Compressidentalium", "Morgeniini", "Euchelus", "Filonapochus", "Sandoniinae", "Egenus", "Gambleola", "Toxocarpus", "Diakontschukia", "Columellia", "Ambassis", "Trichocentrum", "Hymenophyllales", "Pseudotomoderus", "Grangeria", "Falsocoedomea", "RUZM", "Boliniales", "Lapidaria", "Stylochrysalis", "Fluda", "Pankowskichthys", "Snyderella", "Parasciurotaenia", "Nymphocoris", "Parakeijia", "Chaunacioidea", "Hemimycale", "Euthryptochloa", "Tropistes", "Librella", "Stibadocerinae", "Endophyllinae", "Cretostylops", "Ctenogobius", "Pastinacopsis", "Codiolum", "Rhingiini", "Gonoglypha", "Devario", "Haullevillea", "Lecythion", "Filoretidae", "Physoderoides", "Cambojiida", "Nystalea", "Argyrochosma", "Skierkineae", "Diplocrepis", "Magellania", "Dicaelotus", "Cryptafricus", "Pseudobranchioglossum", "Amoebotricha", "Macrolinini", "Hendecasis", "Protomycopsis", "Brunomanseria", "Eucycloscalidae", "Xerorchis", "Dudleya", "Treroninae", "Trombicula", "Sinosenecio", "Neosemionotus", "Albicostella", "Dendrolimacini", "Trigonopsis", "Equus", "Leptanilloides", "Scyphocodon", "Nodoinvolutaria", "Cosmoplatus", "Alcelaphus", "Filippovia", "Minivalva", "Rosenvingiella", "Pseudocheironchus", "Amboroa", "Hypoleria", "Neolycaena", "Sporolituus", "Monorbiseta", "Abancaya", "Catenulisporaceae", "Xylodromus", "Sympronoe", "Micraneflus", "Notocotylidae", "Yuripopovina", "Dolabrifera", "Leucorus", "Eophrixus", "Variola", "Krantziaulonastus", "Calyptops", "Jalla", "Cyprinocirrhites", "Diphyscium", "Montiaceae", "Acrocarpus", "Hirstiosoma", "Ima", "Trichophorum", "Sparganocosma", "Yinoceratinae", "Rhyssocarpus", "Odacanthini", "Tulearidae", "Motschulskium", "Pachylemur", "Cephalotini", "Clinocentrini", "Tabanocellinus", "Dimorphoceratidae", "Galictis", "Aenneinae", "Dictyocystidae", "Thoasia", "Neojeffreya", "Aegostheta", "Miltochrista", "Distantadini", "Chonelasma", "Compsoptera", "Rhacophoridae", "Paratherina", "Gunteria", "Sedorolis", "Annellus", "Bergeria", "Neorhaphiomidas", "Thericleinae", "Chondrillinae", "Sirindhornia", "Beijerinckia", "Sesiini", "Cionidae", "Metaxypsyche", "Arhytidelasma", "Syntretini", "Aphthonina", "Phaeostromatella", "Prolophomonas", "Rhizocola", "Trichopeltinaceae", "Leptocarpha", "Kochiana", "Lamprostiba", "Aspidites", "Ensiferella", "Pachyrhizodontoidei", "Pustulibacterium", "Amphistigma", "Diplopteraster", "Giraliarella", "Cilliba", "Ammomanes", "Storeninae", "Parabixadus", "Aplopteron", "Unipeltata", "Archirhagio", "Ptilothamnion", "Malayanomedon", "Verticordia", "Microlepidogaster", "Nonnula", "Platyptiliodes", "Pseudogeocoris", "Minasgonus", "Emuellidae", "Trite", "Theleodinium", "Siphlonurus", "Ghatixalus", "Pseudodendromonida", "Caesioperca", "Praeorbitolina", "Brazilobates", "Zelandimetra", "Haptosquilla", "Cyllarini", "Osmanthus", "Herdonisca", "Procolophonia", "Nannenus", "Stilivannuccia", "Cretarhabdella", "Adolendini", "Corvomeyenia", "Apostenolinus", "Heterotrichella", "Lagenocypsela", "Parvoscincus", "Erechthiinae", "Leucanthemella", "Polychrosis", "Neta", "Stomopteryx", "Eperiella", "Chalcotheomima", "Haynesina", "Diclidophoridae", "Pachycladella", "Zanjoneura", "Mungotictis", "Iangaigheria", "Trichoridia", "Bioramix", "Dischidia", "Zonopteroides", "Ancylocranium", "Micavibrio", "Menetia", "Eptesicini", "Phyllostylon", "Hainanhammus", "Longiscapus", "Acidithiobacillales", "Sylvochoerus", "Spinasteron", "Leptoplana", "Corambis", "Probolacma", "Diurodrilidae", "Chondrillidae", "Abortiporus", "Rauvolfia", "Cyclotini", "Leitoscoloplos", "Proamphiuma", "Buysmania", "Sagittaria", "Synalocha", "Desulfitispora", "Erycinae", "Ainoa", "Telura", "Batrisceninus", "Nuttallielloidea", "Tubulogenerina", "Epiprinus", "Bothria", "Zhudelphax", "Paramathes", "Parathectis", "Archilochus", "Cosmopsaltriini", "Hypomicrogaster", "Katkaenus", "Crepidogastrini", "Gamarada", "Paraniophis", "Krantzoseius", "Fessisentidae", "Aliterella", "Bovidae", "Oxyoppiinae", "Smacigastes", "Pydnaodes", "Neoluederitzia", "Tryphosoides", "Heteromycophaga", "Cremastobaeus", "Nematotaenia", "Callochromis", "Dichostasiinae", "Troglocephalus", "Cicadomorpha", "Dahlicini", "Monneella", "Sarasaeschna", "Polypocephalidae", "Burlagonomegops", "Wallabia", "Neophema", "Panopea", "Indiopsocus", "Wushenia", "Rhadinorhynchus", "Apodinium", "Metaingolfiella", "Bostrychopsis", "Chromodoris", "Hoplojassini", "Pachysoma", "Micrurapteryx", "Hypsithocus", "Dionysia", "Thaumatodon", "Afrostyrax", "Strobilanthes", "Acanthoclininae", "Borzinemataceae", "Clinostomatopsis", "Phyllodon", "Utrivalva", "Oxyalginae", "Eustichiaceae", "Arhodia", "Thysanolaena", "Phanerodryinus", "Micropeltidales", "Bathylasmatidae", "Silvetia", "Nematistiidae", "Arlequinus", "Nesodromus", "Idiolispa", "Geodermatophilaceae", "Cnemotrupes", "Baiera", "Anthystrix", "Sethophormis", "Afrotruljalia", "Glyptoceridion", "Henrotius", "Metadinophysis", "Alytana", "Campylostelium", "Xenorhabdus", "Usloniidae", "Moehringia", "Pyramimonas", "Pseudopasilia", "Ongokea", "Ischnarctia", "Protocytidium", "Lophopodidae", "Cucullia", "Siphula", "Abrenthia", "Calytheca", "Antrops", "Pseudoplatynematum", "Weineria", "Walkeriella", "Fromme\u00eblla", "Biggaria", "Placabis", "Toxotoma", "Coronidium", "Alcocerniella", "Stramentopappus", "Bennarellini", "Idanotermes", "Sellnickiella", "Ototylomys", "Caenopedina", "Tetrapodiscus", "Caenoscelis", "Pelosia", "Leuconycta", "Desmodorina", "Sicardia", "Gonatoides", "Himantolophus", "Hucho", "Connodontinus", "Chilebius", "Orthomnion", "Thermodesulfovibrio", "Cainotheriinae", "Niveotanais", "Strongyloididae", "Polygonibacillus", "Catalinus", "Galeandra", "Hemixantha", "Knoellia", "Proacerella", "Boothialepididae", "Beralade", "Ferussaciidae", "Acanthobothroides", "Nesocodon", "Corymborkis", "Polypseudopodius", "Erismadelphus", "Bocchopsis", "Spiribacter", "Emerita", "Clematoscenea", "Apiosordaria", "Ercycodes", "Lepidotrichidae", "Semibalaninae", "Spelaeomys", "Mawsoniidae", "Praelepadidae", "Amphitorna", "Phaeochoraceae", "Dipljapyx", "Hylophila", "Floribundaria", "Macleania", "Tetraopini", "Sejoidea", "Hexatrygonidae", "Antonia", "Euselates", "Leniea", "Qiyangiricaniidae", "Caspiana", "Camptoloma", "Drepanolepididae", "Brachybacterium", "Megaxyela", "Askenasia", "Lophionema", "Neovossia", "Parapsectra", "Klugerella", "Herposteiron", "Euretinae", "Atractocerus", "Gymnarrhenoideae", "Guillecrinus", "Lypusidae", "Colacosiphon", "Phaseoleae", "Climatiidae", "Yumbera", "Livistoneae", "Cryptelasminae", "Planhoogenraadia", "Aeollanthus", "Melphinyet", "Acanthogorgiidae", "Riqueuria", "Pipistrellini", "Pseudotrocha", "Dolosigranulum", "Anoplopomatales", "Nemopteridae", "Ingeae", "Caribecandona", "Adocus", "Metastelma", "Aplectana", "Kuckuckia", "Josandreva", "Lophiomyinae", "Cryptomanum", "Bubastia", "Maublancancylistes", "Brephostoma", "Cryptazeca", "Rajinae", "Nippobodidae", "Acrimeroceras", "Neopostega", "Glossopetalon", "Cynitia", "Zelinkaderidae", "Alopoglossus", "Hemisphaerotini", "Elaeoluma", "Brachemys", "Ptychoglene", "Hansiella", "Ahomana", "Derodontidae", "Amnoonviridae", "Polyalthia", "Etmopterus", "Laminiferini", "Mollusca", "Abraeinae", "Pyrobaculum", "Synonycha", "Zolina", "Ancistrocarpus", "Debya", "Pentacosmodon", "Parameranoplus", "Colignonia", "Schistotaeniidae", "Cochlespiridae", "Orthoglymma", "Polystilifera", "Himatina", "Decoroppia", "Vinea", "Arcuphantes", "Afrorudolphia", "Ceratoprion", "Mikrophyesusa", "Costasiellidae", "Rhinaria", "Hepatus", "Trachypetinae", "Paralophogaster", "Mutillinae", "Glorioptychus", "Auchenionchus", "Phamisulus", "Parheminodes", "Malthonica", "Prespelea", "Leptopterygiidae", "Neoscirula", "Hydractinia", "Champluviera", "Glyphoderus", "Damoetas", "Hispanoclavina", "Octovannuccia", "Chilenoperla", "Spongiibacter", "Notiomys", "Pyroglyphinae", "Parum", "Paurolygus", "Unicorn", "Ancyrocephalidae", "Nathrioglaphyra", "Limeaceae", "Egmontodinium", "Ctenodiscus", "Trogasteropsis", "Argyroneta", "Vespula", "Eoparafusulina", "Phascopsis", "Eustephanias", "Paracheilinus", "Disphysema", "Ocella", "Alligatorinae", "Hilleria", "Allotanaupodinae", "Rhytidinae", "Binodoxys", "Leptopontiidae", "Lymnaeinae", "Leptoplanella", "Discocapnos", "Belciades", "Cryptochiridae", "Macrocypris", "Scyphosyce", "Paraleptuca", "Aegapheles", "Pasimachus", "Katagnymene", "Melotomus", "Selenococcidiidae", "Hypsioma", "Goodfellowiella", "Thiorhodospira", "Neocephennium", "Tindallia", "Melanesiana", "Corallochytrium", "Buthraupis", "Exosphaeroma", "Petalomonadia", "Peyeremoceras", "Mesargini", "Nosekiella", "Paederus", "Herniaria", "Nechamandra", "Craterostigmidae", "Episporium", "Luffisphaerida", "Micropterigidae", "Achrysonini", "Ambrosiinae", "Theocolaxia", "Himantoglossum", "Neoschoenobia", "Parbatocamptus", "Astasida", "Perionyx", "Mazarunia", "Strigulia", "Ecitodiscus", "Novorondonia", "Apoikozoa", "Penelope", "Jujiroa", "Kataplana", "Sthenobela", "Necydalinae", "Jahnula", "Dasiosoma", "Eulaceura", "Sericosura", "Centrotoclytus", "Simonyceras", "Dichozethinus", "Diospiloides", "Scytothamnus", "Pratigi", "Henosepilachna", "Pavlovaceae", "Iskandaria", "Centracanthus", "Neurostigma", "Ranavala", "Tetracladessa", "Celleporina", "Petrogalochirus", "Steviopsis", "Rhoicissus", "Coleospora", "Manipuria", "Diplodactylus", "Cyphopsis", "Trachyleucophenga", "Neobarbella", "Lewinia", "Chabertiidae", "Amblyeleotris", "Pomaderreae", "Otidiphabinae", "Samgonus", "Bulleribasidiaceae", "Homoptera", "Melica", "Neopalicus", "Palpostilpnus", "Sabaeola", "Nanojapyx", "Dumetella", "Leptinae", "Hemiphora", "STM", "Eotrechodes", "Carvalhotingis", "Euceriodes", "Apocaligonellidus", "Linggana", "Anatifa", "Rathburnaster", "Ebertichthys", "Seminavis", "Temburongiinae", "Osmerus", "Saurida", "Tatarocupes", "Polychelida", "Fumarioideae", "Paranicomia", "Choryeuromyia", "Thyrarctia", "Amerotyphlops", "Sabra", "Sphaerobothris", "Oleina", "Dimeiospora", "Auzatellodes", "Pseudokerana", "Morphnus", "Ormenophlebia", "Ectomomyrmex", "Laevediacantha", "Tarchonantheae", "Tropidieae", "Arminoidea", "Uthina", "Rualena", "Craterolophinae", "Suidasia", "Louriniidae", "Trypetesidae", "Tsukubamonas", "Cyrtogrammus", "Saccharosydnini", "Solasteridae", "Neodeuterus", "Bryobrittonia", "UADBA", "Cormus", "Apoclea", "Boldoeae", "Haplophthalmus", "Inkaka", "Hylaeora", "Ustjuzhania", "Carnoyidae", "Picinae", "Trilochana", "Paracyclopina", "Eugnomini", "Pachycnemis", "Alloxysta", "Gebrukothuria", "Amethystea", "Lagocheirus", "Weinmannia", "Ageroniina", "Kiklonana", "Thinoseius", "Apolemiidae", "Nanaga", "Limnofilida", "Abyssura", "Rhacopus", "Riukiupeltis", "Leipoxais", "Boreaphilina", "Lactariidae", "Nandopsis", "Oribatula", "Spherillo", "Inversochonidae", "Anaptychia", "Dipoma", "Ulommia", "Micrasterina", "Thraniini", "Rugosculpta", "Ensliniellinae", "Sabaleae", "Asemeia", "Flexammina", "Stenella", "Lecideaceae", "Monoblepharidomycetes", "Neanisentomon", "Berytinae", "Hoplopholcus", "Ifalukellidae", "Acamptopappus", "Leptaleum", "Terribacillus", "Cyclomomoniinae", "Trichillinus", "Electromethes", "Zeylanurotrematidae", "Endecous", "Dregea", "Kollasmosoma", "Stromatiodes", "Allocreadium", "Magnificus", "Pabulatrix", "Lycoriella", "Calphurniella", "Danubia", "Foleyella", "Trichogypsiidae", "Pluvialis", "Opuntieae", "Paroligopsis", "Breitfussia", "Chrysitrix", "Thyregis", "Bondia", "Picardaea", "Pediculotini", "Ostreococcus", "Barreratalpini", "Hyracotheriinae", "Glenoaulax", "Ichthyodes", "Rhacophorus", "Abuhammadina", "Nedubrovia", "Bagre", "Cupreobole", "Eurytyloides", "Stenichnoteras", "Archaeoniscus", "Acontia", "Pseudonomba", "Brachyolene", "Teudis", "Ostraciidae", "Phosocephala", "Entylomatales", "Elythidae", "Fitzwillia", "Ditora", "Eufriesea", "Salarchaeum", "Agoriini", "Scinaia", "Amblyocarenum", "Lancea", "Povalibacter", "Arecales", "Cephalolycus", "Titoceres", "Pharmacophagus", "Amphithalassius", "Rhynchelmis", "Hylurgops", "Coccidae", "Chukrasia", "Ritterellidae", "Pristobrycon", "Rhizobium/Agrobacterium", "Aphysotes", "Spirorchis", "Corus", "Pantanodon", "Appianoporites", "Eutrochium", "Chloraspilates", "Pameridea", "Chetoneura", "Annulithus", "Rediella", "Micrambina", "Dorcasomus", "Seneciobium", "Pinnularia", "Nanophareus", "Bajsaphididae", "Helicotomidae", "Hebroveliini", "Scotocyma", "Xenomugil", "Haegiela", "Oxyurella", "Zaniolepididae", "Amymoma", "Formicivora", "Samarplax", "Cheilodactylus", "Alloptidae", "Pachylomerinae", "Hestaturus", "Fusus", "Taraxia", "Pseudococculinidae", "Nepalorhynchus", "Holistophallidae", "Rimaconus", "Lepcha", "Bronwenia", "Beshkovietta", "Mystropsychoda", "Chologaster", "Chiostichorchis", "Pinhaisania", "Astrolithiidae", "Microcotyloides", "Gymnoascaceae", "Alajichlorops", "Columbasellus", "Marvania", "Stenophthalmicus", "Symmetrosporaceae", "Tetroppia", "Megalastrum", "Siedleckia", "Melanempis", "Scleropterus", "Ataxophragmioidea", "Tortrimosaica", "Lopiena", "Hyrcanocuma", "Myrceugenia", "Baryceratina", "Tanaostigmodes", "Orinocotrichia", "Sphenolithus", "Ocnaea", "Polyonyx", "Zerconella", "Alectrurus", "Androlaelaps", "Tolypelepidae", "Glyphosoma", "Trachinotus", "Hoozania", "Parnida", "Nemobiinae", "Macrocera", "Epiphyllum", "Chrysobalanaceae", "Paracerocephala", "Magnifolliculina", "Ginkgoites", "Apteronemobius", "Falsozorispiella", "Mexicotarsus", "Egestula", "Exallanthura", "Carphurus", "Psilolobus", "Venedictoffia", "Cylindrinus", "Platymantis", "Laevistrombus", "Gyrtona", "Lettowia", "Diversisporales", "Stictospilus", "Anthribinae", "Ginkgoopsida", "Stenomalium", "Pterocommatini", "Pearmania", "Heteronida", "Brounia", "Naspunius", "Angolusa", "Falsamblymora", "Austrophthiracarus", "Stereocyclops", "Cirrosus", "Dentostomina", "Nummulitella", "Parathoracaphisella", "Microcossus", "Streptolus", "Midilambia", "Barbellopsis", "Adryas", "Vialoviinae", "Selvadiini", "Okalia", "Rotalipora", "Cyptomicrus", "Pupinellinae", "Sappho", "Ealata", "Agapornis", "Armatillus", "Arenostola", "Lissomelas", "Danaceinae", "Gelastocoridae", "Exospermastix", "Martinsellus", "Tetraglochin", "Llimonaea", "Lophomyrmex", "Pseudonymphidia", "Aspidodiadema", "Prosodarma", "Derocrepis", "Primotydeus", "Ostraciinae", "Brachyglenis", "Prohaploblepharus", "Stewartia", "Ulopedra", "Holcopsis", "Semiophora", "Planodasyidae", "Arminda", "Matteuccia", "Austrocnemis", "Surasmaris", "Meloinae", "Leiotrochidae", "Gagnea", "Epelis", "Lithotrichon", "Aripuana", "Polylepidomonas", "Optatini", "Xanthosoma", "Aploactinidae", "Carinomelita", "Desulforegula", "Borneodeuterus", "Ceratozetella", "Simrothiellidae", "Phyllis", "Krameriaceae", "Lycodinae", "Sclerocarpus", "Adelolecia", "Kronoheros", "Cytilus", "Urocoptoidea", "Physiculus", "Squaliformes", "Rhynchodia", "Cistenides", "Boreozercon", "Vestalenula", "Tadorninae", "Acris", "Euliina", "Chrysallactis", "Ausystole", "Syncoelicotyle", "Amphilochoides", "Hapsiferinae", "Rhynchapogonia", "Rita", "Chalcodrya", "Micrallo", "Alievium", "Platyplax", "Pseudoderbesia", "Scotoplectus", "Thunia", "Fimbriariella", "Trichomelanauster", "Pandemos", "Coccidula", "Leptadenia", "Viscainoa", "Amblycephalon", "Anaesthetes", "Devononerita", "Protolucanus", "Coelogorgia", "Larentiinae", "Poecilophysis", "Coralloidiomyces", "Plesiochara", "Titurius", "Neotinea", "Capsus", "Orraya", "Nematoparataenia", "Bunonematidae", "Rothneyia", "Aestuariivita", "Atopomelus", "Brasilomma", "Streptoglossa", "Sphaerodinella", "Orobancheae", "Scaposodus", "Resthenini", "Pionothele", "Perkinsiana", "Austrophlebia", "Trochosa", "Chremylus", "Norrissia", "Clathrocorys", "Otlophorus", "Marsupina", "Dorothiinae", "Grandjeanicus", "Agnathinae", "Embiidina", "Monoblastus", "Podostemum", "Diaxenes", "Coleoaethes", "Chrysomonas", "Antrelloides", "Graminitigrina", "Erromenus", "Agrypnus", "Pachyoryctes", "Stylosomina", "Saichangurvel", "Neocymodema", "Acromia", "Mitopus", "Psychrilyobacter", "Megalyridae", "Alveolinidae", "Heterotrigona", "Astenina", "Polysphincta", "Malva", "Pavonitininae", "Meriola", "Zonomyxa", "Aderus", "Aristoptilon", "Echinophthiriidae", "Huebneriella", "Lepanthes", "Goatapitigba", "Oligoflexaceae", "Flatinae", "Paltothyreus", "Lottioidea", "Spelaeoniscidae", "Teleonemia", "Emex", "Phyllocardium", "Disphaerobius", "Inanda", "Trachurus", "Taubateia", "Detarium", "Archaeorchestidae", "Hannaphota", "Haplophragmium", "Anastreblotis", "Plebicula", "Cotasteromimina", "Neomachilis", "Spathicarpa", "Eutomolasma", "Musineon", "Decellia", "Trapa", "Cystodytes", "Mammut", "Alocephalus", "Zavattariornis", "Pipestela", "Deltophalonia", "Fieberiellini", "Nakamigawaia", "Anthoxyela", "Napo", "Heterocyathus", "Victanapis", "Catenipora", "Trichempheria", "Melopisalia", "Bicotyle", "Cacarulla", "Coscinophragma", "Gephyroneura", "Alphaproteobacteria", "Agarodes", "Coloborrhis", "Limnephiloidea", "Xanthostemoneae", "Cristaria", "Clarkometra", "Japyx", "Polyctenidae", "Acanthothoraciformes", "Pseudolithoderma", "Laemoglyptus", "Libanoclytus", "Scholtzia", "Jugamphicteis", "Allora", "Yunotrechus", "Parantennulidae", "Actinochaetopteryx", "Baliesthoides", "Caimanicola", "Felisacus", "Canudema", "Asthenochloa", "Ctenolepis", "Podictenius", "Pseudostichopus", "Nothocestrum", "Aradacanthia", "Cotyloplana", "Ignavibacteriaceae", "Discoderopsis", "Menarus", "Dierogekko", "Rusbya", "Baeomorphinae", "Botryocladia", "Delias", "Chiquitano", "Pseudoasaphus", "Termitopelta", "Ctenocladaceae", "Tetrataxoidea", "Chelostoma", "Homoserinibacter", "Berntsenidae", "Anastetha", "Synanarthrura", "Anelytra", "Desulfarculales", "Syvertsenia", "Barrettia", "Obelistes", "Tunisphaeridium", "Sychnovalva", "Murchieona", "Ounavirinae", "Myiommina", "Xystopyge", "Nimbopsocus", "Xeromys", "Japonica", "Hynneophorus", "Tripladenia", "Cannobotryidae", "Palaeospiroplectamminidae", "Endustomus", "Eucalyptipsyche", "Lenkoella", "Lophocoleineae", "Protogoerius", "Leptohoplia", "Libelluloidea", "Gargina", "Bambusoideae", "Ulotrichella", "Cyclophoroidea", "Machaerantherinae", "Parechinidae", "Albunea", "Paternoppiinae", "Loriotus", "Ammobaculites", "Falsotmesisternus", "Rhytidodidae", "Aizoaceae", "Parafagocyba", "Hodometrica", "Sclerodistomidae", "Brachystoma", "Haematocapsus", "Chondrosteidae", "Sebastapistes", "Rhynchitinae", "Mastixia", "Neozephyrus", "Ctenardisia", "Eoaedes", "Diversibipalium", "Stenocheila", "Alomacrotona", "Sphaerocystis", "Parapilumnus", "Gonomyodes", "Chrysopeplus", "Eulepidopsis", "Orcinus", "Agrenia", "Suterina", "Enhygromyxa", "Fauriellidae", "Sphenacodontidae", "Uraba", "Probarbini", "Renneria", "Macropharyngodon", "Lituotuba", "Spiralizorinae", "Intramolgidae", "Glycyphana", "Percolaus", "Delatorreidae", "Aphycomorpha", "Frenchia", "Cosmiodiscus", "Payena", "Luperina", "Cronquistianthus", "Eleusomatus", "Nesiocladius", "Peritroctes", "Crinifer", "Clinocerella", "Candeinidae", "Prunaspila", "Cydippida", "Pentacentrus", "Limnochordia", "Bembicidiodes", "Gryllidae", "Fagitana", "Ingevaka", "Trematomus", "Aphrosiphon", "Trigonia", "Pararalichus", "Serrimargo", "Diplocardia", "Acanalonia", "Bryaspis", "Stichophthalma", "Palibythus", "Neotrichia", "Tourrettia", "Peucedramus", "Austroponera", "Allotrichia", "Astapa", "Amphitecna", "Vulcanibacillus", "Calostoma", "Tombaatar", "Athyma", "Largidea", "Gallardoa", "Gonatostylis", "Cenchritis", "Steatornis", "Andinocleome", "Vanlangia", "Oodes", "Machaeranthera", "Pycnosphaera", "Scopaeus", "Forgesia", "Coronamedusae", "Hyptianthera", "Stertinius", "Chelidonura", "Amphorotia", "Neogoveidae", "Ragatinus", "Potamonautidae", "Coelidiinae", "Stichocassidulina", "Triasina", "Megobrium", "Entyposis", "Elopocephala", "Macropoliana", "Alpheus", "Hemipeplinae", "Heterodiniaceae", "Thesiastes", "Fossombronia", "Cerataphidini", "Glebocarcinus", "Setosipennula", "Namuncuraia", "Carduiceps", "Ptygmatophora", "Cyphothyris", "Colletonema", "Syrphetodes", "Macroplata", "Platycephala", "Pseudokerdabania", "Nietneria", "Prodiscocephalus", "Pilosanthura", "Conchyliurus", "Mesophyllum", "Procheilophorus", "Homoeocera", "Idiochelacera", "Godyris", "Succinivibrio", "Pyrenopsis", "Werauhia", "Thumia", "Sericocoma", "Ceratilella", "Pomatochelinae", "Dentamussium", "Gobiaria", "Osoriosetus", "Fenestraspongia", "Opisthogenioidea", "Bigenerina", "Maylisoriidae", "Cyphotilapiini", "Niponiinae", "Eurosids", "Polyplecoptera", "Nehypochthonius", "Geniates", "Hyleoglomeris", "Parvanachis", "Odontoconnus", "Mesoleuctridae", "Stygiinae", "Neodicladiella", "Lithachne", "Caudiamphisiella", "Cerataphis", "Taphrospilus", "Scopalio", "Rhinanthus", "Propetestrica", "Vorona", "Lathrostizus", "Diplehnia", "Photeros", "Pseudophloeini", "Bradyscela", "Parallonothridae", "Psoralgidae", "Glaphyridae", "Bergrothia", "Pericales", "Manfredura", "Zelandobius", "Eubolina", "Brabira", "Mesosindris", "Spinipterus", "Somatolita", "Pseudoludia", "Dicoelocephalus", "Sycophilodes", "Chaeopsestis", "Argonauta", "Speranza", "Cantharellales", "Derodontinae", "Tachinus", "Ampelisciphotis", "Tracheliidae", "Euploea", "Hyalobathra", "Branchiopoda", "Delphacodes", "Vezdaeaceae", "Pseudebenia", "Phos", "Elasmocniella", "Yamagutisentinae", "Diuncus", "Megamonostomella", "Boriza", "Eulophura", "Campbellobatidae", "Hyalopsora", "Agaricus", "Gigantidas", "Anagonia", "Chionaema", "Chamula", "Tubificoidea", "Dendromigadops", "Parhadzia", "Joseanthus", "Mindazerius", "Parmulini", "Drasterius", "Horodyskia", "Geojedonia", "Telestinae", "Liberiictus", "Barbastella", "Hamotus", "Adhaeribacter", "Bordea", "Postplatyptilia", "Mimogonoderus", "Hymenogastraceae", "Hesperelaea", "Sclerorhynchiformes", "Hippomaninae", "Hackmania", "Melandrya", "Kryptastrina", "Calculus", "Jalodus", "Chonetoidea", "Diatomyidae", "Steineridrilus", "Apokrimi", "Gryphaeidae", "Margaropus", "Stetholophus", "Bryophila", "Crepidogastrinus", "Vialaeaceae", "Oedogonium", "Langessa", "Agastache", "Heras", "Atacamacridini", "Wainia", "Cordobanus", "Harveylithon", "Lamiastrum", "Neosilusa", "Chryso-hypnum", "NCSM", "Agraptocoris", "Cypripedium", "Sylvacaecilia", "Acanthodromiinae", "Tillandsia", "Mulguraea", "Shenaphaenops", "Belionota", "Youngia", "Cercyeuptychia", "Epacanthaclisis", "Sebacinales", "Cryptophaea", "Biclonuncaria", "Prellicana", "Antliophora", "Desmodoroidea", "Manguinea", "Heteronychiina", "Entiinae", "Poeciloderas", "Elaphrosaurinae", "Potamites", "Cryptobranchidae", "Protamoebae", "Ambloplisus", "Staurastrum", "Essostruthella", "Pheos", "Pleuronectes", "Dhanya", "Neactium", "Rudenia", "Euthora", "Viridivelleraceae", "Apodiscus", "Ctenomyidae", "Bathypanoploea", "Nephromopsis", "Hemimene", "Entomoantyx", "Neopselaphus", "Ochthephilus", "Tumoranuraphis", "Aptinoderus", "Gymnomitrion", "Arnelliaceae", "Siphoninus", "Cophixalus", "Paramimistena", "Pseudoschizothecium", "Rotunda", "Taumantis", "Metachandidae", "Rhagioninae", "Nerita", "Pinnaspis", "Arthrobrachini", "Kallobombus", "Canuellidae", "Honeggeria", "Petrochelys", "Oenopotinae", "Ecballocystis", "Kielmeyera", "Goniocraspedon", "Falsagnia", "Carabina", "Strobilomyces", "Palustrimonas", "Codia", "Eurybiini", "Nyctonympha", "Gymnorete", "Kebirita", "Tupiocoris", "Dysagrionidae", "Anchylarthron", "Monochamia", "Homoeographa", "Protogeton", "Tyndarina", "Phrymaceae", "Chundana", "Paraceratochelus", "Gigatelorta", "Androstoma", "Hirtodrepanum", "Edaphobacillus", "Dakotaseps", "Virgibacillus", "Locharna", "Apalochlamys", "Nemedina", "Leptomyrmex", "Ecuadendron", "Monoclea", "Pollux", "Liagoceradocus", "Neoborella", "Lennoxia", "Apatelecypris", "Caridops", "Desulfacinum", "Cyphicerus", "Lypusinae", "Paleolomatia", "Phragmatiphila", "Twiningia", "Digitacalia", "Miscera", "Micropsammus", "Parascopodes", "Natalinus", "Chaoboridae", "Atopochthoniidae", "Bleteogonus", "Chlorellaceae", "Mimas", "Tapellariopsis", "Celmisia", "Hydraschema", "Ebalinae", "Scouleriaceae", "Pycnanthus", "Cercestis", "Adrahentina", "Bembidiacarus", "Limbatochlamys", "Euphaea", "Cyclorma", "Calepitrimerus", "Panaeolopsis", "Myrcidris", "Tessacarus", "Epiglaea", "Conicokurnubia", "Kenotyphlus", "Acrodontis", "Cryptomonada", "Astrometis", "Hardenbergia", "Amblycoleus", "Epipedobates", "Chlamydocystis", "Billardia", "Pterostyrax", "Brandegea", "Gryllotalpicola", "Solmsia", "Florschuetziella", "Forbesiceras", "Hyperstrotia", "Aletium", "Neoscydmus", "Thalamoplana", "Thelesphaera", "Tritonioidea", "Uvigerinammina", "Anaulacus", "Amphiraphia", "Leurotrigona", "Hesperoxiphion", "Loddigesia", "Microtabella", "Sthenocephalus", "Callainireinwardtia", "Fuertesia", "Hydryphantoidea", "Vagnia", "Ipochiromima", "Tylomyini", "Tanaidoidea", "Geomyidae", "Meristotheca", "Cavernularia", "Paralecanographa", "Hulodini", "Megathiris", "Hormantris", "Adineta", "Corticorygma", "Paramuricea", "Oxalaia", "Dichocarpum", "Horstiella", "Cyclacanthia", "Speleophria", "Artamidae", "Pulicalvaria", "Willania", "Camixaima", "Decipisagitta", "Cyclocosmia", "Atopococcus", "Ferribacterium", "Lamontia", "Acanthogobius", "Heterocondylus", "Chonopetalum", "Calacadia", "Schizopodinae", "Terebratulida", "Lemurnyssidae", "Meithton", "Pseudodesmodora", "Songmachilis", "Thoracica", "Kreagra", "Dolerocypris", "Vagellia", "Anommonia", "Vespertilio", "Ptinidae", "Echiopsis", "Lacmellea", "Eumecurus", "Urophylleae", "Nephelomyias", "Lygus", "Michaeliinae", "Procampta", "Carolinaia", "Siptornopsis", "Pertusariaceae", "Galbalcyrhynchus", "Bactryllium", "Asilinae", "Lecokia", "Ochrilidia", "Bolivinita", "Hygronomini", "Hystatoderes", "Sphaeraspis", "Peponapis", "Ptyctini", "Paracassina", "Retelytron", "Formocryptus", "Eocarterus", "Marshallopsis", "Caspiomyzon", "Pyrgulopsis", "Planorbinae", "Ataxophragmium", "Phyllocylapus", "Deilini", "Salpingotulus", "Jermycoccus", "Triflorensia", "Odontophorus", "Smilodontini", "Chrysotylos", "Saphoglossa", "Deroploa", "Ocyalus", "Stiliderus", "Procercopidae", "Cebinae", "Trichodoroidea", "Chaperia", "Obesogammarus", "Acritopappus", "Frostius", "Amphispyris", "Scytaelina", "Dirimus", "Biocellata", "Lithodomus", "Notylia", "Trachysoma", "Rhexia", "Bracharoa", "Panchaia", "Confuga", "Chironiinae", "Globotruncana", "Neoninus", "Gonopterodendron", "Bothriopsis", "Ceroxyleae", "Euopini", "Arcaleiodes", "Asteroparatrochammina", "Copitarsia", "Roscoffia", "Cesapanama", "Dentifemura", "Yabea", "Sidalcea", "Daphoeninae", "Anthaxia", "Iodinus", "Baryphthengus", "Conocyema", "Glossoscolecidae", "Leviellus", "Helcogrammoides", "Vanima", "Paphosiscus", "Ahaetulla", "Ascodipterinae", "Kokeshia", "Geratonephila", "Chrysopa", "Acocopus", "Saurokoilophilia", "Perityleae", "Chroomonas", "Cachoplistini", "Struveopsis", "Lanxangia", "Abiomyia", "Pseudorthocerida", "Cheiloxya", "Golenkinia", "Letharchus", "Rhamnophis", "Xixianykus", "Histiopterus", "Amiseginae", "Anserineae", "Axyrostola", "Stethacanthidae", "Symbiopsis", "Icarina", "Bernhardius", "Orapini", "Caracoris", "Clethraceae", "Corbulamella", "Gallerucidia", "Caledocentrus", "Eriopisidae", "Empselium", "Lipotidae", "Thriscothorax", "Plesioptopoma", "Collospongia", "Soerensenella", "Crassa", "Olona", "Hesperornithiformes", "Sitobion", "Chalarodora", "Epimesosa", "Bertheliniinae", "Megachilidae", "Pselaphini", "Helminda", "Palaeotherium", "Quwitilla", "Octacnemus", "Floromycetaceae", "Aphidecta", "Pseudocarapa", "Dyspyralis", "Acanthoclada", "Ceratochrysa", "Mesodmops", "Glaniopsis", "Casuarinicola", "Neomaladera", "Sauterelia", "Platybelone", "Gyliaucheninae", "Oligacanthus", "Dichotomosiphon", "Neustrotia", "Karaclymenia", "Mastiglanis", "Pachytriton", "Brachioppiinae", "Amblycerina", "Pluchea", "Saraceae", "Colpias", "Westermanniini", "Phoronida", "Forcepia", "Rhodope", "Nyctozoilus", "Hesperomannia", "Cephalospyris", "Mirandula", "Cymbidiella", "Glironiinae", "Paphora", "Mosasaurini", "Hetereuplectus", "Adpiasus", "Quirimbatina", "Analginae", "Kaunia", "Caenocentron", "Termitosuga", "Stenoperla", "Epitonium", "Minipera", "Zopfochytrium", "Grossilepis", "Weintrauboa", "Metajalysus", "Provalljapyginae", "Robinjohnia", "Chirodropida", "Anerpa", "Daphnusa", "Anchinothria", "Isocratus", "Lyroctenidae", "Lasiochlora", "Octomicrellus", "Saturniomiris", "Testulea", "Arisaema", "Podismina", "Musgraveinae", "Pagothyra", "Streptaxoidea", "Crypsicometa", "Podolestinae", "Helianthocampa", "Temnocalyx", "Hampsonascia", "Physalozercon", "Plectrogenium", "Falsapseudes", "Elenchidae", "Heteropectinidae", "Flamella", "Wailesella", "Oberonioides", "Cephalomanes", "Lavrushinia", "Viticiini", "Hyacheliinae", "Tricondylina", "Criomica", "Opitutales", "Sinobaca", "Atharsus", "Aphanorrhegma", "Ephemeropteroidea", "Polyommatus", "Rhizopodaceae", "Desmomys", "Meelaidaspis", "Halictus", "Onycholabis", "Anthemiphylliidae", "Cryptopelta", "Magnetofaba", "Neotrichoporoides", "Adelarthra", "Melalophacharops", "Dorymenia", "Cereatta", "Sulsulinae", "Monticola", "Dermocystidium", "Mildella", "Radulineae", "Leiochrotella", "Schizoneuraphis", "Cynandra", "Dumontia", "Microgynioidea", "Cuneolinella", "Macellolophus", "Caeneusia", "Ictigaster", "Ibla", "Illantis", "Abacops", "Pomacea", "Celetodes", "Bathypaguropsis", "Baja", "Etisus", "Traumatocampa", "Hirschia", "Scelostenopterina", "Fundulus", "Kyphocalanidae", "Elaeognatha", "Selenophora", "Stomoxys", "Liponematidae", "Methylosphaera", "Ametor", "Marssonella", "Lacrimascellus", "Daelja", "Colossendeis", "Magyaria", "Tricerophora", "Salsola", "Aulosira", "Nialosternus", "Sodalis", "Farsetia", "Pectenosoma", "Thoracocotyle", "Alcyonium", "Sertaniini", "Homoiostelea", "Sinophlaeoba", "Aulacomnium", "Kaupifalco", "Pseudopodosira", "Tylcus", "Tilius", "Mauropsocus", "Aulacodonia", "Coronarctidae", "Araceae", "Rusalka", "Sechium", "Stimpsonia", "Microtechnites", "Bogidiellida", "Tuganobia", "Tenerus", "Proba", "Brachyinsara", "Hamamelis", "Cladophascum", "Therapsida", "Tetracamphilius", "Decomiini", "Myxillidae", "Boltenia", "Canavesiella", "Hedbergella", "Melectoides", "Deuterixys", "Crassiphyllum", "Sternolophus", "Crocebacterium", "Globuliphora", "Morosaphycita", "Motuweta", "Behria", "Disparago", "Micronemadus", "Pentasteron", "Cladoscenium", "Pleiocarpa", "Ceratodontoidei", "Stratocleini", "Iridictyon", "Agrophaspidium", "Espagnolinae", "Polydactylos", "Durangonini", "Trynocoris", "Allopatides", "Alchorneopsis", "Mayanaea", "Gonioterma", "Niveispirillum", "Gastrogmus", "Dictyoconus", "Gryllomorphinae", "Haloarcula", "Rosselia", "Aphyllorchis", "Esarcinae", "Astasia", "Ceratotherium", "Polulichloris", "Lycorideae", "Namanereidinae", "Camillidae", "Indolomia", "Scythropiidae", "Heterocoris", "Caphyrinae", "Ecteneolus", "Chalmasia", "Meristogenys", "Gryllavoidea", "Gigaspermum", "Lophiocharon", "Paradeflandreia", "Oreopoa", "Palaemnema", "Demopheles", "Sclerospermeae", "Micrachne", "Fijispathius", "Colophon", "Polymixiidae", "Pachycoris", "Carneluttia", "Virgiscalpellinae", "Gordiichthys", "Nagia", "Matucana", "Enoplocotylidae", "Petitia", "Nucleohelea", "Sagolonus", "Phrynidius", "Archingeayia", "Acidomeria", "Foucartia", "Detarieae", "Zoraidini", "Razianus", "Tetragoniomycetaceae", "Notobranchaea", "Teledromas", "Cissampelos", "Acugutturinae", "Aristea", "Ecocarpia", "Cyphoryctis", "Berberentulus", "Trachypetus", "Malacoglanis", "Brasilimeria", "Nemalionopsis", "Synsynella", "Hadropus", "Torbenella", "Alepis", "Bleptina", "Eccymatoge", "Ferenta", "Syncerus", "Neodendryphiella", "Cryptobatis", "Omosarotes", "Lamelliconus", "Stenothemus", "Uranotaeniini", "Parkerthraustes", "Paramycetophylax", "Arrhenophagus", "Orhantarctia", "Abana", "Campocraspedon", "Ecitoxenia", "Conicostoma", "Mandjelia", "Monteithostolus", "Placomaronea", "Onota", "Melanophylla", "Gordonia", "Fagales", "Coryphellina", "Rasa", "Ewanius", "Melanophila", "Gloeotrichia", "Clinocaecilius", "Anorrhinus", "Mallosia", "Proxenus", "Sitarobrachys", "Magana", "Atelais", "Leukopyxis", "Whitfieldieae", "Grypocoris", "Eoptolamna", "Stephanoidea", "Aporobopyrina", "Pseudeuryomia", "Lanshu", "Sinosmylites", "Coleolissus", "Viridistria", "Agrostistachydeae", "Pholisma", "Oophytum", "Burkholderia", "Pseudambasia", "Macrosaspis", "Epania", "Demagogus", "Ptilophyllum", "Saintpaulia", "Pycnorus", "Schizomycetes", "Discobasis", "Romeriida", "Pagiphorini", "Tmesorrhina", "Hyperacrius", "Didymohelix", "Hemipus", "Anthops", "Hemihoplis", "Plawenia", "Platynotina", "Mimomyromeus", "Rhaeboscelis", "Wilsonia", "Pantecphylini", "Soederberghia", "Lepetelloidea", "Striglocyrbasia", "Proctolabinae", "Globotextulariinae", "Pseudoschwagerininae", "Ananthura", "Carvalhoa", "Thermesia", "Ophioplus", "Chlorocichla", "Gogangra", "Heteroperipatus", "Zanha", "Indothyrus", "Corallodiscinae", "Albaillellaria", "Halurus", "Lachenalia", "Rhyxicephalus", "Thomomys", "Crenothrix", "Anelloviridae", "Hedwigiales", "Utecha", "Palaeotetrapylinae", "Hemigrapsus", "Protopterocallis", "Toltecaria", "Makilingiini", "Cladospongia", "Setarches", "Pillansia", "Termitogetoninae", "Cyanophrys", "Neostylochus", "Schizosaccharomycetales", "Iraga", "Notacanthidae", "Garnotia", "Nesohedyotis", "Mesosauridae", "Haoiidae", "Boeica", "Actinomycetaceae", "Ptychospermatinae", "Veronicastrum", "Typhlonarke", "Awafukia", "Assymetriininae", "Laubierinoidea", "Sisyranthus", "Priscalestidae", "Afrostelis", "Odontolytes", "Planariidae", "Caulophryne", "Protoscyphaceae", "Cryptoperla", "Myrmoborus", "Kagalana", "Kaweshkarusa", "Desmoscolecidae", "Carinasigma", "Pterodinium", "Megalopidae", "Khoikhoia", "Actinochrysea", "Imtechium", "Melanocharis", "Schizovalva", "Maoritenes", "Subathua", "Proforficula", "Phreatodessus", "Cymbachina", "Nannotrigona", "Cantioscyllium", "Speozuphium", "Sulfobacillus", "Ecdyonurus", "Singerina", "Spongomonadida", "Xenofulvius", "Titana", "Nyx", "Pothos", "Eutetramorium", "Miratestinae", "Dicyemidae", "Hormosphaeria", "Trachionus", "Cladis", "Lepidorbitoides", "Badis", "Aleiphaquilon", "Globigerina", "Berginus", "Tomostethopsis", "Dicroerisma", "Sanrobertia", "Dicrodontina", "Microsoroideae", "Siphonochiloideae", "Dromophis", "Ochrolechiaceae", "Rickettsiales", "Dinophycidae", "Dichotomicrobium", "Cyclopsomyces", "Nymphaea", "Ahessea", "Paroricopis", "Haloplasmatales", "Tetraclitellinae", "Teratosperma", "Ellisolandia", "Rhagadochir", "Cyanobacteria", "Hyalopeziza", "Myxidium", "Plagiorhegma", "Socotraphanes", "Falagrioma", "Nandeva", "Ladigesia", "Pinnotheridae", "Sphaerocardamum", "Gastroboletus", "Antherothamnus", "Tepidicella", "Granulinidae", "Elaenia", "Pronotogrammus", "Zaprionus", "Properidinium", "Cidariini", "Patriciomyces", "Rhodocyclus", "Arcalepas", "Issidomimini", "Barria", "Melanelixia", "Parapantonyssus", "Proszynskiana", "Blastococcus", "Swarnanychus", "Cricolithus", "Koonungidae", "Phyllozyma", "Rimula", "Paramegastigmus", "Cnemisticta", "Rufitidia", "Heteropaederus", "Robertininae", "Syriana", "Chaitogenophorus", "Enneinae", "Neobrachida", "Kneriidae", "Anodopetalum", "Hypoplectinus", "Bias", "Aethes", "Procleticini", "Gymnochanda", "Gonocrypta", "Poria", "Parastelida", "Voay", "Acantholabrus", "Saginae", "Florarctus", "Rhacochilus", "Theragra", "Chrysocatharylla", "Lomatia", "Dictyochroa", "Uncibilocularis", "Sigmoilina", "Petrosaviales", "Zarona", "Microrphium", "Opistostenus", "Pseudoparonella", "Alphitopis", "Rakiroidae", "Caucasonethes", "Tanyochraethes", "Menophra", "Apostasimerini", "Austrorhexius", "Chapinaria", "Lagophylla", "Chartographa", "Leschenellus", "Xenoda", "Brachylophon", "Metresura", "Onychodactylus", "Satranala", "Apertapetra", "Muricaria", "Astia", "Pittinius", "Balbis", "Immanoplasma", "Philomidinae", "Hormorini", "Ascleropsis", "Pepesuchus", "Sporochnales", "Rysops", "Myrmoteras", "Trachysarus", "Afroneta", "Fangia", "Lophopterygella", "Begerowomyces", "Antigonaria", "Chlaenosciadium", "Machtima", "Olemehlia", "Cancerillidae", "Whartonacarus", "Asmunda", "Eurystylomorpha", "Ochigma", "Bryoconversor", "Steropodon", "Ericales", "Bubnoffphycos", "Eenymeenymyzostomatidae", "Rhizanthella", "Pantydia", "Rossiomyces", "Trichoxantha", "Tasmanobalanus", "Macrophyes", "Larotingis", "Mimaplasta", "Holotrochopsis", "Pseudobrachida", "Ausallatelura", "Polygonus", "Eotheroides", "Autolytinae", "Wiebesia", "Erebotrechus", "Vorticeros", "Maorina", "Uranembia", "Decusa", "Procanace", "Dentisblissus", "Radiodonta", "Triceratomerus", "Archelosauria", "Hemixesta", "Homocerynea", "Bacchisa", "Aparallactus", "Bacillopsis", "Trochaloschema", "Aculeatodiplosis", "Aravenator", "Utriculofera", "Procambarus", "Dysmasia", "Euheptaulacus", "Hemeroblemma", "Micrhystridium", "Dyselachista", "Tepidanaerobacter", "Bodotriinae", "Granallodiscus", "Phellodon", "Xylaplothrips", "Prasinocyma", "Sinis", "Sybrida", "Megalocnus", "Macrocerini", "Conradiella", "Thrombium", "Leucophaea", "Bixadus", "Smaragdinella", "Philininae", "Milioliporidae", "Cyclammininae", "Eupetidae", "Aulacidea", "Psorospermium", "Aurearenaceae", "Draposa", "Fomes", "Caenopoda", "Ceccaisculitoides", "Epistominella", "Tuttiana", "Kinosterninae", "Barryichthys", "Pleiospilos", "Habrochila", "Cilicydnus", "Rosacythere", "Nyctelia", "Caprichasia", "Dunaliella", "Termaladera", "Astrophiuridae", "Longipenis", "Parvularculales", "Mantella", "Sminthopsis", "Perccottus", "Calometopidius", "Aroga", "Psiloteredo", "Edrastima", "Mimorsidis", "Phrenocodon", "Pleiogynium", "Cryptopezus", "Wolga", "Lennoa", "Neophasia", "Mastigoceras", "Bezerromycetaceae", "Discopyle", "Orphnodula", "Pistia", "Strophalingias", "Neocnus", "Chlorodendraceae", "Phaeocyrtidula", "Reverdinus", "Ceratobulimina", "Taphrinomycetes", "Curtisiaceae", "Gelasia", "Tasmarcturus", "Parasciodema", "Decorosiphon", "Moscharia", "Grypomachaerota", "Doleschallia", "Prunopyle", "Drymoreomys", "Oxyurinae", "Osobenus", "Phanolinus", "Gibbodynerus", "Isohypsibiidae", "Hoho", "Andersenia", "Sculptobaculites", "Pseudomelanactini", "Phytodietus", "Mesovelia", "Roxaniella", "Aireiana", "Eulechriops", "Hastam", "Termitotropha", "Jekelius", "Limenandra", "Plumachaetas", "Keratoisis", "Marusyllus", "Telotha", "Tragiscomoides", "Sandeothallus", "Trinia", "Holostylis", "Schliephackea", "Ixodoidea", "Triasacarus", "Rectoris", "Boehmia", "Atyaephyra", "Cremolobeae", "Dictyopsellidae", "Salmoninae", "Pennillidae", "Pleurosternidae", "Tyrimnus", "Mesocoeliidae", "Hydrogenothermaceae", "Holocephalus", "Chysis", "Ogmodera", "Hyperthelia", "Indieditum", "Leptactina", "Monophyllorchis", "Trachelophoridius", "Cephalotyphlus", "Calycophysum", "Afrotrachytes", "Kurarua", "Valvoreussella", "Mitrothorax", "Vagrans", "Thyrophorellinae", "Pinacotarsus", "Brachyptera", "Coryphantha", "Sciocorini", "Stereochlaena", "Globorotaloides", "Athetiina", "Teagueia", "Synlestidae", "Arthroceras", "Cleobulia", "Pristorhynchini", "Coriophaginae", "Locustacarus", "Ankylochrysis", "Aenasius", "Anthopharynx", "Anarmoxys", "Dhofaria", "Stereomerini", "Neovison", "Penilia", "Mamillariella", "Hydraea", "Phyllosma", "Varunidae", "Eoconfuciusornis", "Stirellus", "Pseudodactylus", "Neosciatheras", "Stenopterna", "Paithrips", "Skujaster", "Coleoscirini", "Cytherissinellidae", "Cladurus", "Hargeria", "Maneneacalles", "Yasoda", "Hestina", "Hypatima", "Galdieriaceae", "Helicodiscus", "Lysinibacter", "Scarabaeus", "Herpetopoma", "Moelleriinae", "Ahypophyllus", "Mimoxenolea", "Girardia", "Mesotrochalus", "Philomycidae", "Cinnyricinclus", "Jaculella", "Colobochyla", "Amphotrombiidae", "Tachycellus", "Lygodactylus", "Perisphaeriinae", "Salanoemia", "Curicta", "Hoploplana", "Alleizettella", "Hamophthrius", "Diphyllomorpha", "Eoceniretes", "Progonodes", "Chimsunchartella", "Monkonosaurus", "Phyllonycterinae", "Zeoliarus", "Moranila", "Hansschlegelia", "Loxipasser", "Pseudoschmidtiinae", "Hathliacynidae", "Typhlocarididae", "Patagoniochiloides", "Nedubroviidae", "Opsarius", "Bathymetra", "Belencita", "Tyrannochthoniella", "Aspredinichthys", "Galeottiellinae", "Madahoplia", "Metagoniolithoideae", "Smeagolinae", "Dominocephala", "Byrrhomorpha", "Cribropleurostomella", "Vindex", "Forschia", "Eogenes", "Morimotodes", "Haplotropis", "Phlebodes", "Rheocricotopus", "Editella", "Wallaceophis", "Anaeomorpha", "Microthopus", "Oplistochilus", "Tricapus", "Pseudoyuconia", "Pilgerodendron", "Hysterolitidae", "Ocnerogyia", "Dendritina", "Desmatractum", "Rhizanthes", "Morkillioideae", "Alveovallum", "Apterygodonia", "Cerapopsis", "Cyrtetes", "Seuthes", "Zolotarevskyella", "Varialvus", "Pseudotarsonemoidinae", "Calcarinidae", "Lineocypris", "Sabinaria", "Coelozonini", "Seirococcaceae", "Manglicolaceae", "Scolopoides", "Anisodiscus", "Velociraptorinae", "Zaglyptus", "Wraios", "Cepola", "Heptarthrogaster", "Phanerosphena", "Nandinoideae", "Lagenammina", "Peliaina", "Leptosastra", "Notogryps", "Araucariini", "Radama", "Pycnopallene", "Carpomya", "Hyphochytriales", "Gonyaulax", "Silvimonas", "Allochaetophora", "Waterstoniella", "Peramelidae", "Carathis", "Clytellus", "Dracaphididae", "NJNU", "Zygophyllum", "Afrothespis", "Vitriwebbina", "Scyphostelma", "Epijapyx", "Sphaerobryon", "Microbathyphantes", "Thecidellina", "Olgaea", "Apicia", "Heteropterygidae", "Polystichum", "Macrotarsus", "Minipenetretus", "Piksi", "Suctoria", "Fossatyloides", "Sinanarchusini", "Phataginus", "Miyazakia", "Elatocladus", "Etha", "Paracelyphus", "Dipelta", "Madateuchus", "Mayaesalus", "Sigmoilinella", "Nicomioides", "Polyphysaceae", "Xixuthrina", "Penium", "Undulacandona", "Pongolania", "Schizopodidae", "Ceratotrupini", "Abrolophus", "Gnathoprosopis", "Ericentrodea", "Flatfronta", "Inserotrema", "Triptolemma", "Kamakidae", "Strudiella", "Pseudascalenia", "Pucrasia", "Acritonia", "Accalathura", "Barthlottia", "Ponerini", "Diploschemopsis", "Ailuropodinae", "Fionidae", "Spathius", "Aphendala", "Knightiellastrum", "Minquartia", "Amplicella", "Neostromatella", "Lycalopex", "Cyphacanthus", "Conostephium", "Ctenacodon", "Desmocerataceae", "Australocus", "Entophlyctis", "Phrynoidea", "Gyrocheilos", "Luoxiongichthys", "Myrmechusina", "Trichoda", "Bothriolepis", "Lohmannoidea", "Melieraxinae", "Nototylinae", "Tribonium", "Sauromalus", "Phalaenophana", "Blysmasphaera", "Aychenonida", "Calanticaria", "Cuniculidae", "Isachneae", "Sicyodes", "Jaaginema", "Odontoptilum", "Somoholites", "Chloramoebales", "Clowesia", "Amiana", "Comperiella", "Friedmaniella", "Parajoenia", "Salticinae", "Marmonna", "Ophthalmocydrus", "Edaphobates", "Leotrichillum", "Exema", "Holoaden", "Hadrosaurinae", "Apedunculata", "Elminius", "Lemuriblissus", "Thalassoduvalius", "Lecanthus", "Woodwardothignus", "Deuterosauridae", "Naravelia", "Tritermus", "Neosharpiini", "Pholas", "Thaumastocoris", "Avahi", "Helius", "Idesia", "Euherdmaniidae", "Epimetopidae", "Bridgesia", "Pogononeura", "Rhene", "Heterostrigidae", "Indatheta", "Syntormon", "Deltorynchus", "Parathylia", "Rhodachlyaceae", "Rubritarus", "Foraminiferida", "Taurocerastinae", "Lituolidae", "Barrowammo", "Karvolicola", "Barberocoris", "Siagoninae", "Draperia", "Pagana", "Spinipochira", "Hydrophiloidea", "Medusozoa", "Amphialycus", "Leptobamona", "Iranada", "Incrustoporiaceae", "Metatrioza", "Campodeinae", "Aglaojoppa", "Trachyandra", "Siphonocryptidae", "Rodgersia", "Tibetyrus", "Methanosarcinales", "Platygaster", "Epimeria", "Ismailia", "Neodiclidophora", "Lepidodinium", "Paracylapus", "Martiodrilus", "Omangidiella", "Otididae", "Urospora", "Glomeris", "Notochodaeus", "Bisgaardia", "Ocydromus", "Saturnus", "Raibosammina", "Nesiotobacter", "Pterocyclus", "Scutocyamus", "Spiraublax", "Alsolemia", "Prayidae", "Monodon", "Debaryomycetaceae", "Psychromonadaceae", "Paguroidea", "Tageteae", "Orthodontopsis", "Pseudolithoxus", "Iago", "Proteugnamptini", "Cleopus", "Epulotrochidae", "Halobiotus", "Bdelloidina", "Nephromyces", "Sazonia", "Artigasus", "Deinococcus-Thermus", "Ocrisiona", "Gibberichthyidae", "Mytilinidae", "Palaeosiccia", "Sphallopterus", "Subhesperotyphlus", "Toninia", "Ararat", "Acanthograptidae", "Sesuvium", "Eudoliche", "Zammarina", "Pseudoconcha", "Catharodesmus", "Attelabina", "Bathyhippolyte", "Brachypodellinae", "Rhabdobaris", "Caamembeca", "Pseudachorutes", "Florissantia", "Cassianopapillariinae", "Exsul", "Petrobiona", "Trachea", "Szovitsia", "Pulchrinodaceae", "Cladioneura", "Thrasorus", "Microecinae", "Nitzschiella", "Watkinsia", "Micropeuce", "Gelatinopsis", "Inophloeus", "Derzhavinella", "Baeacis", "Ophieleotris", "Acanthophrynus", "Pseudocorax", "Lefevrea", "Rojasianthe", "Bezarkia", "Scutatuspinosus", "Rhyopsocidus", "Kapalgagraecia", "Megalopygidae", "Leptosiella", "Temperella", "Spanophatnus", "Pseudomeninae", "Zootoca", "Unicachichthys", "Dicallaneura", "Szombatya", "Patellidae", "Bouretidae", "Phenopelopoidea", "Columbellidae", "Brachylagus", "Leptophyllis", "Camonea", "Vansoniella", "Levantinellinae", "Apata", "Bigotilia", "Physconia", "Clivina", "Asterodiaspis", "Deckertichthys", "Methylomarinovum", "Stirobracon", "Notosigalphus", "Gaiellaceae", "Telmatospirillum", "Bolewskia", "Stephanodoria", "Petrophytum", "Cephalolobus", "Gaiella", "Poemeniinae", "Aptandra", "Enterochromis", "Acanthocephalonotum", "Chaetopappinae", "Nicon", "Pasytheidae", "Osteobrama", "Amplusuncus", "Speleognathinae", "Actenonyx", "Nascus", "Phyllopharyngia", "Oxyoppia", "Compressaria", "Lithodoidea", "Triasininae", "Chaudhuriidae", "Eobelinae", "Jodrellia", "Exomalopsini", "Grayiinae", "Pelagibacterium", "Ophiomyiini", "Podothrips", "Apeltastes", "Ophiuros", "Nanoarchaeota", "Bucrates", "Charletoniini", "Cenaspis", "Liostephania", "Eronyxa", "Palaestrinus", "Leptobracon", "Metopocoilus", "Apatopygus", "Fulakora", "Proscopiinae", "Codocera", "Cyclopinodes", "Mesaclopus", "Toniniopsis", "Euphorbioideae", "Cretosapyga", "Cacosternum", "Corystes", "Troglobdella", "Imparipes", "Hueidea", "Ellisomyces", "Siphonariida", "Godonela", "Machairophyllum", "Subasteron", "Schiacallia", "Tropiphorini", "Lepidozyginae", "Murphyana", "Smicrocotis", "Delonicicolaceae", "Verrucoentomon", "Gigaspora", "Gasterochismatinae", "Saintclairoides", "Anulidentalium", "Cyphonococcus", "Runtunia", "Caperonia", "Naiaditales", "Wallabicoris", "Reichardtiolus", "Neoeriochiton", "Caddidae", "Amberana", "Kalbreyeriella", "Lemurodendron", "Pseudendocloniopsis", "Bomolithus", "Orthorhinina", "Micromeria", "Stylopidia", "Queskallion", "Dendrocolaptes", "Galacticidae", "Dagathia", "Streblocladia", "Holochlorini", "Heteroscyphus", "Discolepinae", "Boreocyphini", "Massisteria", "Septocrinus", "Monophyllaeinae", "Derolydnus", "Cyphocleonus", "Drugia", "Acanthisittidi", "Pseudourostyla", "Cernotina", "Psammogobius", "Pararemaneicaris", "Microplia", "Pareurylepta", "Thasyraea", "Aureimarina", "Rhizolamellia", "Agroecomyrmecinae", "Trichapseudes", "Coelopyniini", "Parachydaeopsis", "Thomosis", "Angiostrongylus", "Griphapex", "Cordezoros", "Eos", "Auberteterus", "Trochamminita", "Cuthona", "Sparbarus", "Mesostoma", "Dolicheremaeus", "Rhytimenia", "Paracacoxenus", "Rikitea", "Euthynnus", "Geobacillus", "Pinacopodium", "Zoogoneticus", "Austrorhytida", "Cyathopoma", "Dacetinops", "Rhopaletes", "Barrellus", "Craspedida", "Luidiidae", "Ceratoscopelus", "Leilasteridae", "Emargininae", "Rebecca", "Boreusyrtis", "Heteroderma", "Xenoglaux", "Euryostus", "Tamenes", "Nanophyllium", "Sinodiapterna", "Thamnidium", "Bougisidae", "Scolelepis", "Ischnothina", "Macrochlidia", "Pareuseboides", "Lagusia", "Cyatholipus", "Moraea", "Candoiinae", "Cimidaeorus", "Orphella", "Scopocirini", "Platypsalta", "Paulamys", "Proboehmia", "Mycoplasmataceae", "Ungulipetalum", "Zeala", "Hyrrokkin", "Baradina", "Bothrophorella", "Cyphotendana", "Prolobitidae", "Kageneckia", "Drilonematidae", "Thelymitra", "Achemia", "Placostylinae", "Kittlidiscidae", "Japalura", "Hydrobiidae", "Dendrometrini", "Inpaichthys", "Penicillium", "Nippononaiidae", "Rhondes", "Paraiptasia", "Neohebascus", "Pachydrus", "Emorya", "Thamnopalpa", "Lichenotheliaceae", "Paralissotes", "Planonasus", "Protodontopteryx", "Kanaliella", "Chitoniscus", "Sirophysalis", "Chelonuropoda", "Pseudopalmulinae", "Parasabanema", "Cnephasia", "Perlapsocus", "Hoplosauris", "Aborichthys", "Synhomelix", "Santia", "Micariinae", "Ethulia", "Pachycarpus", "Protanypodini", "Condukius", "Virgilepas", "Cracinae", "Inbioia", "Comefulvius", "Nematopoa", "Micrantheum", "Stenorhis", "Melianthus", "Fustigeropsis", "Alectrias", "Spelaeodiscidae", "Dolichomacrostomum", "Pleurosignum", "Sarconeurum", "Chlorogalum", "Triticellidae", "Isotrias", "Taicallimorpha", "Melaleuceae", "Lopholaena", "Thoracibidion", "Physorhynchus", "Eucirroedia", "Amphimonas", "Diplocysta", "Albertonectes", "Rhinacosmus", "Baloghia", "Lepolepidinae", "Sweetia", "Belemnitina", "Mycosphaerella", "Orobitis", "Paragymnomenia", "Asthenidia", "Parathristes", "Aristideae", "Pseudohaustorius", "Hexathelinae", "Gariep", "Chrysobrycon", "Exoparyphus", "Amorphochilus", "Bouillonia", "Ascyssa", "Ovulariopsis", "Holcophora", "Pachycara", "Epiphanes", "Pseudophycodrys", "Hydractiniidae", "Nandiniidae", "Tubipora", "Micromys", "Creediidae", "Orenoquia", "Consobrinomiidae", "Reitneracantha", "Dvaliniini", "Fonticula", "Spelaeogriphus", "Serianus", "Hexonymus", "Arnaldolinus", "Blomia", "Adenoides", "Sesbanieae", "Megascelus", "Stromatospongia", "Peperonota", "Amiota", "Hegneriella", "Passaloecus", "Azotoctla", "Saghacetus", "Psilanteon", "Pallasea", "Anthracocarididae", "Plattycantha", "Eurhabdus", "Ecuaneduba", "Gordonius", "Davidius", "Nyetnops", "Hyperiopsidea", "Acanthomyrmex", "Doerpfeldia", "Asterodothis", "Downingia", "Therlinya", "Pilipalpus", "Leptochelonus", "Sedlacekvia", "Oxycranum", "Syrbatomorphus", "Seguieria", "Conganteoninae", "Termitospectrina", "Madracis", "Teinopalpus", "Codonmyces", "Ctenotaenia", "Tanypteryginae", "Tiarinion", "Elipsocinae", "Paracanthocephaloides", "Entelopes", "Trichepectasis", "Neogonodactylus", "Limnodea", "Megadryinus", "Cyclolecanium", "Fissurinella", "Porosia", "Spratelloides", "Gaterina", "Pseudoaspidogaster", "Cerapus", "Hansenomysis", "Atrichodendron", "Wetzeliella", "Benthascidia", "Rossianidae", "Trigonogenius", "Aylostera", "Hydaphias", "Remorina", "Paroxypodinus", "Synopiidae", "Diptera", "Batrachospermaceae", "Chrysomila", "Eonychus", "Grylloblattidae", "Rhombophyllum", "Dentex", "Concentrodiscus", "Spintheridae", "Chrysops", "Uncicauda", "Aphaereta", "Toxasterina", "Pleminiini", "Parnassioideae", "Alliomma", "Ctenogobiops", "Cortia", "Ennada", "Tringa", "Pharellus", "Pachyrhinosaurini", "Apatetrini", "Spinenicodes", "Plagiostriata", "Orphelana", "Audouinieae", "Discolobatus", "Pseudhydrovatus", "Sporormia", "Actinonotus", "Walesoma", "Lemoniadina", "Waegelea", "Dorypetalidae", "Hydrochoerinae", "Saphonecrus", "Laminiferinae", "Ectoneura", "Eugonodaeum", "Pelmagathis", "Kapalga", "Crossarchus", "Neophytis", "Parapleurini", "Iodotropheus", "Pristepyris", "Ototyphlonemertidae", "Brachypelta", "Syndyas", "Ancistrota", "Sphenanthias", "Melitomella", "Sciurini", "Melloina", "Cubachipteria", "Angenora", "Tetrachlorella", "Anthropleuridea", "Procinnus", "Gielisia", "Libnotes", "Borneusa", "Paraplanocera", "Palaeothelaxes", "Catumiri", "Cladocora", "Parathyrea", "Asthenoceros", "Xyrichtys", "Lasiothalieae", "Bergaris", "Nesidiocoris", "Boreadinium", "Bacterioidomonas", "Argidae", "Lachnodera", "Freopsis", "Carinobatea", "Adoxaceae", "Bolboceras", "Heronimoidea", "Fluviimonas", "Enopla", "Abathymermis", "Achondrostoma", "Sagrinopsis", "Ferulago", "Stenotheciopsis", "Laetia", "Dodecaibidion", "Taiwanotrechus", "Saccostoma", "Paralissoeme", "Tachyusida", "Kaupus", "Augea", "Mecynome", "Dromiina", "Katoporidae", "Chilocorellus", "Scolochilus", "Hyaloscyphaceae", "Eostichopus", "Erythresthes", "Brandtiella", "Myrtartona", "Pulluterina", "Buchiceras", "Alismatales", "Ixodiphagus", "Neohelicometra", "Lichinales", "Leontiprionus", "Hymenolepis", "Actumnus", "Pycnocominae", "Munzothamnus", "Gerdius", "Triphleba", "Ophiosyzygus", "Xerophaeus", "Apoweckelia", "Gnathodracon", "Chloranomala", "Diphasconinae", "Nemanthidae", "Larinioides", "Gerocynipidae", "Pseudouteniqua", "Acrothamniopsis", "Brachytrachelopan", "Clupeidae", "Cyclopettidae", "Menstruocalamus", "Sinployea", "Explorornis", "Oodiniaceae", "Dianusa", "Lycapsus", "Prionurus", "Donaldinidae", "Antiaris", "Tesba", "Tylotus", "Epactris", "Ulyanidae", "Diastatidae", "Edrotini", "Psophodes", "Philotherma", "Alopochelidon", "Phedosia", "Palaeocharinidae", "Enarmoniodes", "Gyracanthidae", "Lycoperdopsis", "Wahliodontus", "Septesinus", "Atanycolus", "Didogobius", "Lithobiidae", "Artoriinae", "Centropogon", "Oliva", "Triceratops", "Dziedzickia", "Dodecadenia", "Archaeogryllotalpoides", "Koebeliini", "Meridiotroctes", "Theotimius", "Phlaeopsis", "Newmanellinae", "Atmetochilus", "Phrurolinillus", "Leptepania", "Pareutegaeus", "Inopsis", "Henicocoris", "Stricteripus", "Stegenagapanthia", "Pteroteinon", "Metopistis", "Mayaponera", "Elachisoma", "Aphrosylopsis", "Falsimalmus", "Raadshoovenia", "Teredininae", "Tepidisphaerales", "Tetraclinis", "Hansenauropus", "Brabejum", "Stomatophrya", "Mantica", "Eclectus", "Pilocarpaceae", "Coprinopsis", "Podontia", "Barroella", "Bellerochea", "Maribacter", "Lacistemataceae", "Cyrtaucheniidae", "Cambessedesieae", "Thalassonympha", "Zeritis", "Pselaphandra", "Lampanella", "Pronura", "Dinoprionus", "Myrmicodipnella", "Meganeurinae", "Lipocheilus", "Perissectis", "Nuculidae", "Pabstiella", "Ptychomniales", "Allonotus", "Sisorinae", "Planispirinoides", "Furculanurida", "Pitiutrema", "Engelmannia", "Physogaleus", "Choristoneura", "Pseudacroleptus", "Caspicyclotus", "Calotesta", "Cyclopedidae", "Neoalticomerus", "Praekatja", "Pireninae", "Nigroplia", "Eremochloa", "Radopholus", "Holonothrus", "Heteromphrale", "Alpinoplagia", "Protoparmelioideae", "Atelopsycha", "Cyrtoplastus", "Prosaspicera", "Australiothyas", "Zischkaia", "Microspilus", "Aenigmaticini", "Martelella", "Sphaeroceridae", "Kalissus", "Brasidas", "Holonematidae", "Floscopa", "Pseudosiderolites", "Paradorella", "Dactylopsis", "Laemolyta", "Lithosaphonecrus", "Hydrodytes", "Hendersoniinae", "Notoscopelus", "Pentamyzus", "Forinus", "Siculodinae", "Ahshislepelta", "Corynabutilon", "Galeacius", "Acanthophysellum", "Tragopa", "Pelagiaria", "Faujasiopsis", "Monocostus", "Hepiopelmus", "Basacallis", "Metriopelia", "Austropanorpa", "Catinaster", "Ballophilus", "Otocepheoidea", "Peltaria", "Megarhogas", "Lunulites", "Chironax", "Jacksonia", "Sheathia", "Eumecocera", "Sormidomorpha", "Bhatiella", "Kuskokwimiidae", "Triassocoecus", "Wendtia", "Cephalelini", "Anatrichosomatidae", "Dirocephalus", "Glanitaenia", "Laboulbeniaceae", "Osmundastrum", "Macracantha", "Coquena", "Tekella", "Pseudogarypus", "Championica", "Xenomedea", "Dioctria", "Loiteriina", "Spathia", "Chaetonemopsis", "Solimoea", "Zaniolepidoales", "Arinae", "Ptychodium", "Udamoselis", "Thiolapillus", "Ophidiiformes", "Laevidentalina", "Velamen", "Tritomegas", "Bocchoides", "Croptilon", "Micrococcaceae", "Pyrgini", "Eurylabus", "Glyphorynchus", "Progebiophilus", "Zhinu", "Amphilinidae", "Potoxylon", "Wataranka", "Cojoba", "Hermatomycetaceae", "Bythinoplectini", "Carabops", "Xyonysius", "Gazzinae", "Ecitonides", "Polyangiaceae", "Metaphatus", "Adoncholaimus", "Apolinus", "Bilira", "Dasypeltis", "Japigny", "Trimorphodon", "Pseudanthura", "Bicavernaria", "Alesinus", "Apiosphaeria", "Neochloroglyphica", "Mylacridae", "Aniferella", "Myledaphus", "Echidnodes", "Nicomiini", "Sandyella", "Diariptus", "Sterigmatomyces", "Almaleea", "Calpusa", "Ecuanedubini", "Aetheliparis", "Umbellapathes", "Saccorhina", "Amnonia", "Agnitrena", "Pseudanisotarsus", "Coniporella", "Pseudagris", "Trinodini", "Platydoris", "Neoparamoeba", "Heptaloba", "Bellienini", "Augustsonella", "Dichaina", "Sylvacoleus", "Hygropetra", "Perugina", "Spinipogon", "Arthroclianthus", "Gissarodus", "Nevillina", "Lecithodendriidae", "Psebiini", "Capraphis", "Proetidae", "Suessenguthiella", "Negayan", "Rigodium", "Goniopora", "Prisahypini", "Glaphyrus", "Geryichthys", "Arcusaurus", "Desfontainia", "Chytolita", "Planoperculina", "Peixotoa", "Svratkina", "Paroxystoglossa", "Vidrioceratinae", "Primospes", "Paracrias", "Namazonurus", "Vicinesphaera", "Plasmobatidae", "Sorbeoconcha", "Diplosoma", "Leucoloma", "Paraphylax", "Amiskwiidae", "Okamira", "Pyramimonadales", "Ophiotrichoides", "Striophytoecia", "Pseudomassariaceae", "Rhabdopleura", "Pleurostylia", "Parepectasoides", "Salvatiella", "Chaetodactylini", "Thermosyntropha", "Debaryomyces", "Oporornis", "Benthoctopus", "Nesadmiralitia", "Bradypus", "Dexamonica", "Agatea", "Paramantoida", "Aphantochilus", "Conger", "Amsinckia", "Protoschwenkia", "Diplopsaloideae", "Desulfobacterium", "Beaumontiinae", "Aprosmictus", "Eccritothrix", "Pseudozobellia", "Rhombochlamys", "Valsariaceae", "Lebiina", "Halorhodospira", "Semblis", "Leptodrymus", "Prionosternum", "Noticastrum", "Pseudostephanodiscus", "Paranelaphinis", "Bunobus", "Hexaglandula", "Globuligerinidae", "Sciotrogus", "Lernaeidae", "Ithytrichia", "Schleichera", "Otachyriinae", "Strongylini", "Reophacellinae", "Tetanolita", "Bia", "Nectogalini", "Lefebvrea", "Eusarcus", "Helicopsyche", "Sarcolaenaceae", "Titya", "Amphideutopus", "Pseudoedentostomina", "Varunaivibrio", "Talis", "Folliculinidae", "Xanthadalia", "Hadulipolia", "Hemibeleses", "Actiniscaceae", "Neomyzus", "Athemistus", "Onchocerca", "Thyrgorina", "Citheronula", "Sepona", "Discocorpus", "Ramanella", "Nippiliphus", "Amorphodea", "Ortleppolepis", "Tetragonomus", "Rachia", "Eulepethus", "Rhumblerinella", "Pontoparta", "Ptilodoxa", "Petaurista", "Carnegiella", "Bienertia", "Retrachydes", "Mondeguina", "Aphycomastix", "Leiopathes", "Abernessia", "Niphadostola", "Bothynotrechus", "Meioneta", "Rymariopsis", "Hammarbya", "Metaphoxus", "Ovia", "Thoracostomopsidae", "Vientianea", "Aenigma", "Protozantaena", "Coccochondra", "Malcinae", "Neojulodis", "Naxa", "Basalys", "Myxopappus", "Agelastes", "Lopidolon", "Abadehella", "Rhodaliidae", "Cryptoglyptus", "Hatzegopteryx", "Chromis", "Inflatocalyx", "Trechisporales", "Gonaphodius", "Stertomys", "Solmarisidae", "Catolobus", "Kamptonema", "Acidithrix", "Neocrompus", "Dimorphostylis", "Hammeriellidae", "Oiclus", "Barkeria", "Mastogloiopsis", "Chrysaspina", "Tamlana", "Monoblastozoa", "Leptoclinus", "Oxyporus", "Phengodidae", "Praocidia", "Avela", "Sphagnaceae", "Euprotomicrus", "Tramea", "Coraebini", "Spulerina", "Ceratosolen", "Eiseniona", "Raffrayolus", "Biorbis", "Lucknowia", "Rhizochromulina", "Cirratulus", "Halarchaeum", "Cordysceles", "Mercetia", "Lagodon", "Lineodes", "Pseudomniophila", "Elaeidinae", "Allata", "Polygyrella", "Eleusinini", "Plagiogeneion", "Prapata", "Neoptychodes", "Cyphicerina", "Cribrospongiidae", "Armoneurum", "Anomura", "Ecitomorpha", "Tridenchthonius", "Verrucomicrobiaceae", "Peronia", "Osbertia", "Guviogonus", "Ritterocactus", "Chalepoxenus", "Angustialata", "Nosodendridae", "Eretmodini", "Kofleria", "Rohteichthys", "Pseudocerotidae", "Pseudhapigia", "Colaconemataceae", "Halicoryne", "Baragwanathia", "Nosoglobulus", "Sicya", "Conchapelopia", "Ciliocincta", "Paratetilla", "Carmenelectra", "Whitefly", "Eunicida", "Shimogia", "Merionoedopsis", "Gleditsia", "Brunneria", "Plocama", "Paludicelloidea", "Taroba", "Poteriospumella", "Gonorynchidae", "Aethra", "Mecynodera", "Quadrifoliovariinae", "Yuriria", "Jordaaniella", "Delius", "Haplocoelum", "Synaptini", "Cercicladia", "Quadrella", "Prochilodus", "Arcoptilia", "Ancistrochilus", "Lepeophtheirus", "Sognotela", "Megatriorchis", "Isophelliidae", "Taeromys", "Pityriaseidae", "Callidium", "Leucopteryx", "Depelbus", "Acoetidae", "Jacobsoniidae", "Lamina", "Uruguayella", "Stigmacros", "Scolichthys", "Echinus", "Isolasia", "Dendrohypopterygium", "Sittasomus", "Lygaeoidea", "Madagasikaria", "Afghanotinea", "Woodfordia", "Phosphatodraco", "Gloeosphaeridium", "Solenastrea", "Sphecomyrmini", "Prosopium", "Eutonina", "Bertsa", "Erythroclea", "Pseudopsinae", "Lepidoblennius", "Dionididae", "Eostaffelloides", "Calanthemis", "Haemagogus", "Micronoctua", "Notelyglypha", "Megulopa", "Liouvillea", "Ameyamaea", "Pilolabini", "Coleoscirinae", "Tetraruggieria", "Syzygieae", "Ronania", "Hippurella", "Cordaites", "Mollibdellinae", "Pseudoastigmus", "Phellopsylla", "Cotasteroloeblia", "Brachysomus", "Catantopina", "Pseudopantrogus", "Petalomyrmex", "Praesphaerammininae", "Madopterina", "Peploviricota", "Schilbidae", "Peinaleopolynoe", "Podicipedidae", "Marsypocephalinae", "Oloplotosus", "Phyllagathis", "Acrosymphyton", "Acidobacteriales", "Acropsopilionidae", "Thermotalea", "Phrixosoma", "Menneus", "Rugiluclivina", "Iona", "Azygopterus", "Conradtia", "Hocius", "Gymnoamblyopus", "Mannheimia", "Inhambanella", "Kuepferia", "Latosculum", "Henshawia", "Spirachtha", "Gobiidae", "Capnoides", "Bythoxenites", "Zamischus", "Brachionichthyidae", "Limnophyton", "Biphragmosagitta", "Ranops", "Kakanuiella", "Chrysopsini", "Deltorrhinum", "Apostichopus", "Eutrichapion", "Philcoxia", "Ophiopyrgus", "Alloblennius", "Radiarctia", "Jiangxiaphaenops", "Chibidokuga", "Geraesta", "Niastella", "Macandrewia", "Bairdemys", "Stenotherium", "Boscoleus", "Mallochia", "Nodosaroum", "Danthonioideae", "Lithospongia", "Dorylogaster", "Sinningia", "Chaenogobius", "Trichocapsus", "Coronadillo", "Utukhengal", "Lonchoptera", "Graptopetalum", "Hylocereeae", "Lampyrinae", "Mecistosoma", "Tselfatiiformes", "Gorgopas", "Hesperinus", "Andrenimorpha", "Acmaeoderopsis", "Elymus", "Ancora", "Termitotecna", "Eichhornia", "Dufouriini", "Stenoparmena", "Arenobius", "Lauxaniidae", "Brownlowioideae", "Thelotia", "Otehiwi", "Zalmoxis", "Microchalcothea", "Lunatimonas", "Erotolepsiinae", "Bornaviridae", "Aurornis", "Tanuetheira", "Splitofolliculina", "Afroheriades", "Paradiancistrus", "Didymocyrtis", "Schulzia", "Antixoon", "Macrolygistopterus", "Pintomyia", "Asymmetracla", "Ecphymaspis", "Plumarella", "Trogonidae", "Catoposchema", "Ranodon", "Vernedia", "Tarsotomus", "Mitracephala", "Microibidion", "Thoracocotylidae", "Nomosphecia", "Anthanassa", "Itieriidae", "Hippothoomorpha", "Melaniparus", "Carpodacus", "Dasyarctia", "Archigraptis", "Macrosmia", "Dermatophilus", "Caullerya", "Nelima", "Bathydorus", "Heteroleibleiniaceae", "Symetriophasma", "Lenticulinella", "Brunnera", "Cantellius", "Pyramica", "Mesoscalpellum", "Pentanogmius", "Necroraphidia", "Indigastrum", "Schistophoron", "Carposinidae", "Rourea", "Megasis", "Ania", "Ectropina", "Cardiopria", "Ratha", "Graphosoma", "Yersiniaceae", "Ankale", "Diachipteryx", "Tauropola", "Visayanocoris", "Simmondsiaceae", "Porcellionides", "Dodonaeoideae", "Somatodini", "Spazigasteroides", "Politolana", "Caririgryllus", "Cymoninus", "Keraunea", "Stalagmosoma", "Oxalicibacterium", "Microglabratella", "Probethylus", "Pegomya", "Blacozona", "Tethytimea", "Neorudia", "Aeshnoidea", "Asteroammonia", "Opisognathus", "Colombodesmus", "Hyperacanthus", "Notodontini", "Sciara", "Cryptorhynchina", "Trichloris", "Commophila", "Meherrinia", "Gemylus", "Athienemanniinae", "Abyssoniscus", "Macrocixius", "Laboulbenia", "Chrysanympha", "Pilosarachne", "Paracastalia", "Cerambyx", "Gnaphalostetha", "Dashymeniella", "Dysteriina", "Hispo", "Systropodini", "Astylosternus", "Catarraphia", "Paracerapus", "Glaresidae", "Pseudoeurycea", "Crotonogyninae", "Calyptronoma", "Ganosomus", "Macrouroides", "Xeranoplium", "Thalassochytrium", "Termitidiinae", "Bonnetina", "Psittacomenopon", "Pygopleurus", "Abispa", "Sphaerosorus", "Cornusaccula", "Erbessa", "Azorella", "Pseudoparadulichia", "Pantodonta", "Prionotes", "Epargyreus", "Billia", "Caribeanella", "Dalima", "Ephoria", "Ctenacanthus", "Abynotha", "Glabriconnus", "Limnesidae", "Tetracentrum", "Dalmonexus", "Amblyophis", "Prorhynchidae", "Lyclene", "Volvocaceae", "Phyllopodidae", "Thagria", "Taxiarchis", "Copiphorini", "Simaetha", "Potamorrhaphis", "Cricetidae", "Tyana", "Hadenoecinae", "Eusterinx", "Bensoniella", "Stilbonematinae", "Neocamacolaimus", "Cirrhitoidei", "Enanea", "Muirmiris", "Hirsutodynomene", "Hansonia", "Thiratoscirtina", "Perus", "Leiodini", "Heterophyopsis", "Homaloderodes", "Nothopsyche", "Lambis", "Drosophiliti", "Portogloboviridae", "Troglodytes", "Kinabaluhygia", "Hemithiscia", "Golmonia", "Chrysopini", "Dermapterinae", "Danioninae", "Exallus", "Exadelium", "Ancistrogobius", "Decolopoda", "Baliomydas", "Rhizochromulinaceae", "Chelifer", "Pseudorasbora", "Pycnodithella", "Acropora", "Cyanaeorchis", "Brachylepadomorpha", "Albireonidae", "Chrysoserica", "Illinoia", "Diestotina", "Keratodegnathus", "Zygomaturinae", "Ophioplinthus", "Hyperaulax", "Amphisorus", "Rhododendraphis", "Episkiodrusilla", "Pachyodes", "Typhlotanaidae", "Metopiellus", "Sithon", "Neoxylaria", "Phymateus", "Chloroneda", "Tor", "Dacryodes", "Peristylus", "Corinnomma", "Polycrates", "Protogryllinae", "Burnsius", "Erythrobacter", "Phytoscutus", "Tomea", "Pachyphysis", "Hemiphanes", "Notoconorbina", "Hinewaia", "Parabatinga", "Sinumandibulus", "Haustoriidae", "Actinothoe", "Memphis", "Lachnoclostridium", "Berlanguella", "Dacnirotatus", "Platyclymeniinae", "Anseriformes", "Ploceibracon", "Sharphydrus", "Galapagomiris", "Mischococcaceae", "Actinocrispum", "Athrips", "Tribolium", "Philanthina", "Sublysandra", "Unidentis", "Sphaeroscelis", "Pseudohamotus", "Pteropoda", "Nomasanguinicola", "Protomycocladus", "Sephanoides", "Monocots", "Cornucopiae", "Egeria", "Chaetomyinae", "Curculio", "Atosioides", "Xenotaenia", "Palinuridae", "Apheloceros", "Dolichomastix", "Tanyproctoides", "Paradoliops", "Eriocaulaceae", "Semiodera", "Baloghjkaszabia", "Allotrochosina", "Piloecium", "Echinochlamydosporium", "Coalecerotanais", "Bothrochilus", "Horcias", "Borealonectes", "Barthea", "Nuttallanthus", "Crossosomataceae", "Euphrosinidae", "Typhaeus", "Cavendishia", "Fissicrambus", "Orthochtha", "Porpitidae", "Nephrocerus", "Carinityla", "Eocronartiaceae", "Triplosobidae", "Pseudapotrepini", "Anasidius", "Pimentelia", "Pseudoclanis", "Nesostenodontus", "Cataclysta", "Berendtimirus", "Helioseris", "Crucigloea", "Pephrica", "Oecophyllembiinae", "Uraecium", "Hexapopha", "Amaroschema", "Anthocoptes", "Crossophialus", "Parmales", "Acropyrgus", "Bewsia", "Nesoneini", "Castnia", "Knodus", "Kalophryninae", "Isocolidae", "Microdeutopus", "Vermectiadidae", "Setora", "Myzolecanium", "Muraltia", "Omphalea", "Pedicularideae", "Algophagopsis", "Davacaridae", "Spelaeicoccus", "Cyamodontidae", "Atiliinae", "Epichlo\u00eb", "Centrotinae", "Dentigaster", "Thermolithobacteria", "Symphyotrichum", "Metaxymecus", "Bodotriidae", "Miacora", "Phalangogonia", "Piciformes", "Limnozetidae", "Denmoza", "Mesocordylus", "Mormellus", "Glaresis", "Podivna", "Windia", "Metacamopiella", "Prolatocestus", "Trichalcidion", "Ciconiiformes", "Yangochiroptera", "Apacheria", "Filichonidae", "Trigonopleura", "Nothrus", "Weltonia", "Atopochthonioidea", "Perisama", "Turanena", "Neokomagataea", "Parallorchestes", "Porotenus", "Sabellariinae", "Stenochilidae", "Tympanopalpus", "Hickmania", "Calpurnia", "Neopiciella", "Priapulida", "Potamopyrgus", "Hindakia", "Salpictomelus", "Notioantilogiusa", "Carpodetus", "Baniana", "Sepsis", "Apoglutus", "Caenocryptus", "Schizosaccharomycetaceae", "Dermacoccaceae", "Yunnanilus", "Sandinista", "Divitiacus", "Dirona", "Harryhausenia", "Euthrausta", "Myllaena", "Froeschneropsidea", "Goniorrhachis", "Owenus", "Lobodontulus", "Cnemodus", "Austroselenitinae", "Rhizomys", "Platynota", "Drogo", "Bowenioideae", "Guipuzcosoma", "Dromeciton", "Panagrius", "Caledonula", "Hebetodiscus", "Dryadula", "Ommatolampidini", "Electroatopos", "Exechodontes", "Osphranter", "Schizothrix", "Chersobius", "Metopius", "Ctenochelidae", "Phaeaster", "Acicula", "Melisa", "Lumetus", "Malacoscylus", "Edwardsiidae", "Vidalasia", "Hexatrichocoris", "Ottoiomorpha", "Kentrogonida", "Zizeeria", "Paravelleda", "Diplectrona", "Zanclarches", "Acochlidioidea", "Kerteszia", "Sosgenes", "Rhinophylla", "Byssolophis", "Oxytoxum", "IZUA", "Heterosaccus", "Zenithoptera", "Gossweilera", "Roussea", "Isodrepanium", "Petilochus", "Calapnita", "Lepidosauromorpha", "Catreus", "Cordylus", "Seborgiidae", "Bouscephalus", "Eleutheropyxis", "Pseudoplangia", "Consul", "Gymnodinioides", "Anomalinoides", "Loricaria", "Ateles", "Leupelia", "Boxia", "Acamatus", "Hebenstretia", "Tettohaglinae", "Gehyra", "Vazquezitocoris", "Lasiorhynchites", "Ceracis", "Prionus", "Phaeochorella", "Strombus", "Baryshnyala", "Macroasteropteron", "Loliolum", "Stygionympha", "Platomesus", "Prototroginae", "Myrmechis", "Charca", "Halolaguna", "Mithippia", "Metacypris", "Amblysomus", "Halipeginae", "Adelothecium", "Triplatygini", "Cypholoron", "Remphan", "Aeolosaurus", "Acylobythus", "Puffinus", "Abraracourcix", "Surculus", "Falco", "Epithemella", "Ischnosoma", "Pseudoirona", "Eotrechinae", "Kantiella", "Atriscripta", "Tellinidae", "Tritomacrus", "Sapium", "Antheacheridae", "Marasmiellus", "Thermozodia", "Dermatemys", "Hypogramma", "Falsopseudotomoxia", "Mystroppiinae", "Muscini", "Oulimnius", "Spondiadoideae", "Aedemonini", "Cleptophasia", "Stigmatogobius", "Oroplexia", "Iridophanes", "Banatotyphlus", "Perakanthus", "Lobocharacium", "Gibbodiscus", "Meguroleucon", "Vombatus", "Geodromicus", "Arbudoides", "Setoppia", "Eusiroidea", "Rhabdomonas", "Simprulla", "Oxarthrius", "Levantiniella", "Nicoraepoa", "Ophiochytra", "Neopyxidicerus", "Calliapagurops", "Epharmonia", "Trigonognatha", "Araucoxenia", "Phlegmatospermum", "Salcedoa", "Macrogalea", "Oxystophyllum", "Chaetobranchopsis", "Chalcoplectus", "Pantophthalmidae", "Ampezzopleurinae", "Nectogale", "Oncopisalia", "Reticulatea", "Netocia", "Hydrobiosella", "Brownephilus", "Micromaeus", "Lopadostomataceae", "Myodorthaea", "Dimorphoceras", "Proschizorhynchella", "Meridemis", "Mimogastrallus", "Gynoglottis", "Kalopona", "Rostrhamus", "Appedesis", "Guardiola", "Endictya", "Riveroinella", "Ikanogavialis", "Algiphilaceae", "Paragymnopteris", "Patene", "Wagnerella", "Ofellus", "Asianidia", "Pseudeustrotia", "Nestus", "Acanthus", "Cyanocorax", "Exaeretini", "Pseudometa", "Bicellaria", "Pistricoccus", "Nupseroberea", "Unca", "Pentacoelum", "Alafia", "Rhagomys", "Sartor", "Hebesuncus", "Sonoma", "Arubolana", "Amblyaspis", "Marcgravioideae", "Phennecium", "Clastopteridae", "Phycitodes", "Thermosphaeroma", "Pebops", "Cosmetolaelaps", "Blastocladiopsis", "Halictophagidae", "Gampsoacantha", "Trichomanoideae", "Pauliniinae", "Holorusia", "Pylentonemidae", "Proverruca", "Kestratherina", "Denisonia", "Macrosemiidae", "Scotinosphaeraceae", "Eidolinae", "Epiphidinae", "Marphysa", "Belosepiellidae", "Microtyphlus", "Leylaiyinae", "Stygiochthonius", "Notiotheca", "Latiscutella", "Gallirallus", "Pseudomaricurvus", "Astiini", "Psepharobius", "Ctenomorpha", "Pterosiphonia", "Bucaniinae", "IAVH", "Drymini", "Scolopendra", "Tshodanola", "Altagonum", "Sinuicollia", "Eriaporidae", "Sphenodontia", "Epicerura", "Haackgreerius", "Staphisagria", "Spelaeonethes", "Colenisia", "Heterocerites", "Palaeoperca", "Papuahoya", "Chaudoirella", "Proleptomonas", "Embryonopsis", "Syncalipsis", "Isoldalinus", "Platyophrya", "Ligymolpa", "Pulchellaranea", "Englerodaphne", "Francobona", "Apuleia", "Jomine", "Asyncorynidae", "Gloxidium", "Oocystidium", "Allocarterica", "Paragyrtodes", "Archaeomonas", "Tetropium", "Hergottellinae", "Lepidepecreoides", "Anaspilus", "Zebragryllus", "Kineosphaera", "Platepistoma", "Nematopsis", "Neolepadinae", "Shinella", "Nothobroscina", "Ancylistes", "Lamprosybra", "Leucitus", "Oxysemaphora", "Lasianthus", "Leander", "Schwartzia", "Cololobus", "Macromene", "Hesperolinon", "Xenomelanophila", "Entomophthoromycota", "Protocapritermes", "Kunanyia", "Methanocaldococcus", "Calliphaula", "Densicystis", "Pseudocnus", "Stroheckeria", "Betashachia", "Aufiterna", "Neobisiidae", "Bontomtes", "Patagonogenius", "Cytherideidae", "Bellingeria", "Gansurhinus", "Crawfurdia", "Lichnanthe", "Alophosternum", "Derventina", "Melphina", "Pilopleura", "Chionopappus", "Deporaina", "Amblyseiina", "Paratemnopteryx", "Theobroma", "Actitis", "Thalattosuchia", "Lopriorea", "Searlesia", "Platypalpus", "Sphodros", "Chelmon", "Vincentia", "Mendesella", "Cleogonus", "Mycetia", "Careae", "Kopsia", "Halticus", "Cornulaca", "Carposinoidea", "Tritogeniidae", "Hilarimorpha", "Meioherpia", "Denticula", "Diarrheneae", "Epiblaste", "Bakevelliidae", "Roselliniella", "Tristagma", "Tenerva", "Baelenia", "Doridoxidae", "Koshicola", "Cynosurinae", "Garciella", "Rotundellaceae", "Loxocarpinae", "Forsteriola", "Ctenarytainini", "Poecilodromops", "Cherokia", "Bradyrrhoa", "Pseudoeurysorchis", "Homalanthus", "Pyrenocarpon", "Patagona", "Helicarioninae", "Condeicampa", "Callyntrura", "Jubaea", "Newbouldia", "Oecornis", "Atethmia", "Scytonemataceae", "Jurecekia", "Schiodtella", "Laestadia", "Platencyrtus", "Caeciliidae", "Sphingulus", "Gagnepainia", "Engelmanniella", "Allopterus", "Fabrasia", "Phaedropholus", "Brevis", "Junnanotrechus", "Assiminea", "Hystrix", "Cathucotyle", "Batesanthus", "Plethopeltidae", "Runcinidae", "Lissodynerus", "Paguruncio", "Rhizocephala", "Bucephalidae", "Tectocyphon", "Triscenia", "Aleyrodes", "Cicadatra", "Trathala", "Melanobaris", "Annulocibicides", "Utilia", "Scoloplacidae", "Mesoclemmys", "Chlorodiinae", "Squamarina", "Squatinidae", "Gadirtha", "Bombardioidea", "Pseudunelidae", "Cinetomorpha", "Haplosclerida", "Ibycter", "Jatropheae", "Pseudacroclita", "Garganoclupea", "Rhinobatoidea", "Austrosignum", "Malakichthys", "Mispilopsis", "Encrasicholina", "Praedatophasma", "Lysella", "Procaridae", "Paleopfenderininae", "Agaricicola", "Beltraniaceae", "Saxifragodes", "Ctenochira", "Deleveinae", "Andesianidae", "Brachidiniaceae", "Birka", "Saharobuthus", "Tagona", "Diplectrum", "Myriogrammeae", "Dermatocelis", "Hortobagyiella", "Reticulatonysius", "Dainita", "Aimophila", "Sinochroma", "Tryphana", "Trimastix", "Cayratieae", "Hummbrella", "Franciella", "Truncorotaloides", "Ranunculaceae", "Eremaeoidea", "Odontostemma", "Cladida", "Neopelatops", "Xylenina", "Mysticellus", "Zhurbenkoa", "Hovana", "Natatolana", "Macrodicax", "Phaselicystis", "Aimara", "Tengisia", "Microeustenidia", "Goleathopseudione", "Crowsoniella", "Ptilocichla", "Echinotheridion", "Calyptrosphaeraceae", "Lophoictinia", "Orthetrum", "Ramphomicron", "Anosibea", "Prismatospora", "Lathys", "Teminius", "Eiratus", "Garrulax", "Methanobacteriales", "Ainoptyelus", "Lianyuanoceras", "Saccharospirillaceae", "Pseudocyclopidae", "Cratichneumon", "Apsilochoreminae", "Manggabora", "Nebula", "Guineobius", "Gondwanoscurus", "Holonuncia", "Anopla", "Pseudostigmaeus", "Medusandra", "Spiroseris", "Scandentia", "Apphia", "Tibetima", "Hyponerita", "Krynickillus", "Manemergus", "Sphaerophthalmus", "Culicoides", "Morphna", "Falcitornoceratinae", "Pycnoderes", "Parameletinae", "Alcaeorrhynchus", "Zealantha", "Cetoscarus", "Odontanax", "Chondrostei", "Paranchiphimedia", "Buforrestia", "Apidae", "Absala", "Heteromorpha", "Thes", "Discamminidae", "Tetragonocephalum", "Codonoboea", "Farcimen", "Numenius", "Ochradenus", "Anomalomyrmini", "Acreichthys", "Drymatus", "Bactrophyamixia", "Pseudooxythyrea", "Scutogona", "Psilacestes", "Quekettia", "Ipsea", "Yumtaax", "Gabata", "Fimicolochytrium", "Albericus", "Uraniidae", "Colposternus", "Calicha", "Tripterophycis", "Erucastrum", "Sphaeromatidae", "Alvinocarididae", "Syntrophaceticus", "Shastasauridae", "Alloeostyliphora", "Jodina", "Fluxinellini", "Clemina", "Tricorythodes", "Grasseichthys", "Calyciphora", "Cryptophysoderes", "Platycranus", "Premicrodispoides", "Congolanthus", "Mamilloporoidea", "Holocalyx", "Centrocnemis", "Cycloseris", "Didissandrinae", "Ophiosternle", "Josephiella", "Colchiceae", "Leiosphaeridia", "Cipura", "Dorsifornax", "Paxylommites", "Pragsoconulininae", "Himalacodon", "Algemaria", "Sutera", "Pericapsifer", "HNUE", "Hydrocenidae", "Orthobula", "Manoneura", "Neoethilla", "Ramosmania", "Zoroides", "Dilatempusa", "Eupterotinae", "Nuttallidinae", "Protichneumon", "Cryptocoryneae", "Omophagus", "Colponema", "Fessonia", "Bombycinae", "Bidessus", "Acanthoscurria", "Astomatia", "Metridium", "Deilephila", "Ptyodactylus", "Ebriophyceae", "Uromastycinae", "Dichrostachys", "Madagalaesus", "Piqueriella", "Parsonsia", "Gardinia", "Sebasmia", "Heteronetes", "Vemana", "Coleosporiaceae", "Cicadellini", "Chopardiella", "Lamprosticta", "Parauronema", "Recurvoidella", "Halimuraenoides", "Rugosochonetidae", "Casama", "Goetzea", "Microhierax", "Phimophis", "Caenonomada", "Mesidionematidae", "Bruchomyiinae", "Holcothorax", "Discordichthyiformes", "Lonchopteridae", "Bouchardia", "Sulcoclymenia", "Heracula", "Kremastochloris", "Susuanycha", "Dryorhizopsidae", "Argyrosomus", "Haptophyceae", "Parophthalmonia", "Fagopsis", "Zosterosphaera", "Actuariola", "Plataspididae", "Anagyrus", "IVPP", "Proctocerini", "Cosipara", "Minonoa", "Dieidolycus", "Kirchenpaueriidae", "Sclerodistominae", "Afropithecinae", "Phoricesa", "Tarsocheyloidea", "Paranomada", "Thoracastilbus", "Bothynogria", "Uliodon", "Leptoporodota", "Erythroplusia", "Microticola", "Parathyone", "Lathropinus", "Pentacoryna", "Astrobrachion", "Nesoressa", "Diospyros", "Apiaceae", "Scaphisoma", "Eumeridion", "Epidryos", "Xyelinae", "Eupinivora", "Phycomycetaceae", "Hexathelidae", "Aclosmation", "Molynoptera", "Thomascoris", "Dinornis", "Barisania", "Teretrurus", "Caloppiidae", "Blaszakzercon", "Pastorius", "Viviennea", "Texacephale", "Lasiophila", "Hypostomata", "Austrothaumalea", "Gravitarmata", "Fuselloviridae", "Mecynopla", "Milichiinae", "Hydrolithon", "Apowollastonia", "Salinamexus", "Phytomonas", "Klopicoris", "Apaturopsis", "Spongiochloris", "Mymar", "Alcedoecus", "Hishimonus", "Pseudopangonia", "Atractotomus", "Nonischnoscia", "Scirtinae", "Cuculiformes", "Hyperietta", "Carabini", "Platysetosus", "Giesbertia", "Rhopaliidae", "Daiodromus", "Cylindrocranius", "Wellstedioideae", "Prodidomus", "Rungia", "Anoplopomatoidei", "Polihierax", "Xantusia", "Aneurhinus", "Dewinteria", "Cerodirphia", "Ophiolimna", "Agnathus", "Laphystini", "Nesotanaiinae", "Coccobotrys", "Ceratopriomorphus", "Orangescirula", "Cuneata", "Diafolliculina", "Neogastroclonium", "Berghiella", "Coelometoponini", "Liopisa", "Protortonia", "Diplorickettsia", "Grubea", "Valerianoideae", "Oligomerella", "Liassocupes", "Austrovelia", "Dasypoda", "Austeruseus", "Nesolinoceras", "Cotylogaster", "Oxytropis", "Acanthocnemus", "Aneuclis", "Fusiterga", "Azonaxini", "Paramphitrema", "Riekophlebia", "Drepanoxenini", "Vesiculifera", "Rhyssa", "Spiroplasma", "Ceratocnemum", "Pakicetidae", "Labidoglobus", "Trachyphonus", "Bolbozoidae", "Parapetiia", "Arachnomycetaceae", "Parhyposomata", "Scotobius", "Pseudopiezotrachelus", "Clarkeasia", "Ostrya", "Scaphomonus", "Parupeneus", "Bathylinyphia", "Orthostigma", "Hansfordiellopsis", "Desisa", "Phaeoradulum", "Pseudometadena", "Galeaspida", "Corticaromus", "Odoiporus", "Coelinidea", "Allonautilus", "Syconessa", "Schilbe", "Melissoptila", "Globigerinoides", "Sagmation", "Onychobathynella", "Dyspessacossus", "Berytoplymus", "Phrissocystis", "Acompsia", "Republica", "Galenia", "Paraselachimorpha", "Taxodioideae", "Gronaulax", "Lobellina", "Pelecanus", "Pusia", "Lemmermanniella", "Berberidopsis", "Polemon", "Ceratodiscus", "Stysiellus", "Aramigus", "Zimmeriana", "Blaniulus", "Targarops", "Tineodidae", "Kallistoskypha", "Catoptinae", "Stictochironomus", "Parasitiformes", "Geromura", "Somatovelleda", "Sphingozona", "Scutimica", "Blapsidotes", "Oenomys", "Austrolejeunea", "Vaneyellidae", "Tylomelania", "Tayassu", "Haematodendron", "Aspasia", "Oculohammus", "Orbitopsellinae", "Orgilus", "Paralulworthia", "Dasyponyssidae", "Balantiocheilos", "Australohyliota", "Hydrophylita", "Parascydmus", "Saborma", "Chiropsestis", "Jousea", "Merycomyia", "Coelotrachelus", "Eucrosia", "Mantelliceratinae", "Jadera", "Bicoecea", "Cristophyllarthrius", "Sanchezia", "Lichtensteiniana", "Schoenionta", "Cnephasitis", "Endemosarca", "Cyanotarus", "Megatelus", "Comatulida", "Tarsoctenus", "Zygonemella", "Paralembus", "Microsiphonia", "Oreonesion", "Tortricidia", "Leptodrepana", "Trirachodontinae", "Abroma", "Reicheadella", "Ascodilepis", "Cryptocarya", "Pylochelidae", "Hyllini", "Parionella", "Pectenogammarus", "Plochiliana", "Ophiojagtus", "Rhinoncus", "Ganeriidae", "Semiocladius", "Chorotingioites", "Microbotryum", "Blastocladiales", "Penelopeia", "Spercheus", "Scalibregmatidae", "Hexacorallia", "Parentucellia", "Abelbolla", "Incara", "Andamania", "Heterobarcinus", "Dictyosphaeriopsis", "Automerula", "Onoserideae", "Platyope", "Stenosmylinae", "Urbananthus", "Thrasyopsis", "Viverravidae", "Leucotenes", "Leleupiozethus", "Liurana", "Isidorella", "Paralebbeus", "Machadoites", "Beautempsia", "Selenoribatidae", "Juinia", "Tokaranodicerca", "Weymouthiidae", "Myloxena", "Gampsocoris", "Charinus", "Ancherythroculter", "Elephantotus", "Atlanticus", "Cobancythere", "Gypsoaphis", "Pradoxa", "Phepsalostoma", "Sternhydrus", "Xanthonicias", "Paphinia", "Emartugina", "Cercopimorpha", "Sinotitinae", "Minla", "Dalmatoreicheia", "Indiplana", "Thelotremataceae", "Aridoplaca", "Florenciella", "Gibberulus", "Straneotia", "Foldilecanium", "Conophorini", "Caquetaia", "Carinoconus", "Austronysius", "Sphaeridium", "Allozelotes", "Diplolaemus", "Thambema", "Orthorhogas", "Pachyphymus", "Trichomaeus", "Epigraphia", "Dercylus", "Chytriodinium", "Necrobiopsis", "Lathrotelinae", "Apheloplectus", "Pathysa", "Ophiomusa", "Notodromas", "Cephalosporiopsis", "Pelomedusidae", "Cheirodendron", "Capulidae", "Eoempheria", "Archegonasteridae", "Euhemicyclium", "Sphacelotheca", "Sylviidae", "UNAM", "Neopronoritinae", "Voltziaceae", "Schismaderma", "Incollogenius", "Acanthogilieae", "Lyallia", "Taonius", "Symbiobacterium", "Parmaphoridea", "Bambuseae", "Trigonotarbidae", "Thripinae", "Verrallia", "Gondwanaria", "Odontellidae", "Buliminusinae", "Lembosiaceae", "Eyprepocnemidini", "Crantzia", "Heptacladus", "Mniovelia", "Smenispa", "Nestronia", "Rhacophyllites", "Chasmosaurinae", "Boerhavia", "Pachyrhizodontidae", "Heteroclitopus", "Sterrastrolepis", "Trichophassus", "Idunella", "Carinozetes", "Teloschistoideae", "Lucanus", "Leptosphaerulina", "Orphnotrechus", "Areosporiidae", "Pseudotanainae", "Geopsychrobacter", "Cornuchariesthes", "Pelocoetes", "Kutchubaea", "Paratorleyoceras", "Pseudolmedia", "Cudonia", "UPNG", "Hozbeka", "Setia", "Synalissa", "Ophioctenella", "Ferula", "Melanodryas", "Poecilasma", "Ahtiana", "Berghia", "Hypocenomyce", "Anomalopteryx", "Debarinidae", "Syrrhaptes", "Leptalina", "Chimarrogale", "Acanthonyx", "Drepanoconis", "Menetes", "Otomesostomidae", "Cryptosporangiaceae", "Sceptroneis", "Eungella", "Urera", "Palaeoconnus", "Hymenophytaceae", "Porifericola", "Huynhia", "Hovalysia", "Arkhangelskiella", "Storeria", "Talpa", "Merinia", "Diplozona", "Robbrechtia", "Monomastigales", "Abyssocottus", "Delagrangeus", "Cephalimosina", "Anyuta", "Epicriina", "Cantharoctonus", "Cordisepalum", "Leptocometes", "Phrissolaus", "Neomillspaughia", "Pleurocera", "Vicelva", "Ammospermophilus", "Ptilidiales", "Corinnidae", "Tropacarus", "Prosartes", "Adercotryma", "Pyricularia", "Orbitoides", "Cardiochlamys", "Colletieae", "Ammagnostinae", "Phalangiacarus", "Rhabdadenia", "Archamoeba", "Proboscocoelus", "Pseudotyrannochthoniinae", "Borboniella", "Sebastidae", "Oclandius", "Kiyohimea", "Entelloptera", "Onycocaris", "Webbinellinae", "Asparagobius", "Cylindromorphoidina", "Orientidia", "Cisticola", "Temelucha", "Pachymeroceroides", "Yosemitea", "Trypanosomatina", "Byrsophlebidae", "Eupholidoptera", "Hemicyclopinidae", "Paterinoidea", "Charidotella", "Nipponomyia", "Cuora", "Priastichus", "Thanatus", "Asytegumen", "Pseudocolochirus", "Decticus", "Ischnacanthidae", "Circumphallus", "Goniagnathus", "Oruscatus", "Teklathiana", "Varta", "Loimoidae", "Berendtimiridae", "Aedia", "Eurydoxa", "Gephyrocotyle", "Paracoelichneumon", "Amphicorina", "Stenosternus", "Paranthrenopsis", "Cryptocephalini", "Truncattus", "Yaginumia", "Gonogramma", "Aleadryas", "Austropugetia", "Pseudancistrus", "Microsciurus", "Habrocampulum", "Dioriticamonas", "Scaridium", "Kuphus", "Selenidioididae", "Liolopidae", "Megathoposoma", "Pantheinae", "Bagheera", "Galantharum", "Siinae", "Fuscicupes", "Stormtropis", "Parapionycha", "Ilygenes", "Semiotellus", "Epachthosaurus", "Nematopsides", "Froesiodendron", "Syrrhopodon", "Aegilips", "Phragmipedium", "Oligotergus", "Cheilagona", "Cixiini", "Ammolagena", "Hystrichocampa", "Corollapex", "Halmenida", "Saniculiphyllum", "Myiophanes", "Methles", "Pselaphinae", "Celanida", "Ombrotrella", "Neomonodictys", "Paucibacter", "Papaya", "Pteropsaron", "Orophryxus", "Andinomys", "Ant", "Tropidurus", "Cancrisiella", "Gabondota", "Gitonini", "Terpnistrini", "Agraecina", "Euliroetis", "Leanymus", "Hirashimanymus", "Eucidaris", "Borniochrysa", "Ischyropteron", "Chnootriba", "Halichondria", "Euhirudinea", "Calleidomorpha", "Spathioplites", "Abaxinicephora", "Ambastaia", "Paralbunea", "Curina", "Myiophagus", "Cerotalis", "Iranobates", "Thysanothecium", "Dinodasys", "Hoplocercidae", "Odontostomidae", "Posttornoceratidae", "Cynegetis", "Cladodromia", "Oraristrix", "Projectothrips", "Narceus", "Neohydatothrips", "Sebasticotyle", "Trachyphylliidae", "Eucrada", "Turraea", "Bermudasignum", "Hednota", "Orbignyoporidae", "Pantobuthus", "Tyrannosorus", "Calycoceras", "Gounelloeme", "Tergestiinae", "Caryonodini", "Calliodentaliidae", "Blepharoctenucha", "Ceneichthys", "Paraplastanoxus", "Oberwinkleria", "Derophthalmoides", "Pseudolibera", "Bryophryida", "Surugathyris", "Rhineuridae", "Prophyllocnistis", "Phyllozetes", "Milioliporinae", "Phloeorhiza", "Oestropsini", "Bohartillidae", "Plagiacantha", "Cascadoperla", "Tetrao", "Mahecania", "Malkarinae", "Peltorhamphus", "Hakeinae", "Arrenoseiina", "Sororoditha", "Liopropomatinae", "Rivotra", "Raphidomonadales", "Myopsocidae", "Tromba", "Cabreramops", "Aztegina", "Macrolycus", "Agaricomorpha", "Havelockia", "Cibotium", "Abacoproeces", "Garganus", "Stephos", "Mormolyce", "Reinekea", "Lepotrema", "Streblote", "Trifarina", "Crypturgus", "Alyxiinae", "Senalveolina", "Methanothermobacter", "Pagodulinidae", "Coniontis", "Taintaturus", "Jouveinae", "Solpuga", "Probopyrus", "Hemerobiidae", "Negrobovia", "Tuxtlamorpha", "Callictita", "Sarcolaena", "Preperidinium", "Gulenia", "Conoesucidae", "Endochortophagus", "Thinobatini", "Neoschwagerina", "Mimocoptosia", "Euryndonia", "Lophorina", "Catantopini", "Ichthyotettigini", "Endacustini", "Trichophilopterus", "Nezzazatinella", "Tetrapyle", "Sorosphaerella", "Metacalles", "Heterias", "Leptoceratopsidae", "Symphurus", "Lachnini", "Numidella", "Xylochloris", "Recurvirostridae", "Kigatrodes", "Priscillinidae", "Mecopodinae", "Eois", "Hyalophysa", "Chrozophoreae", "Dactylamoeba", "Pluvialinae", "Leptoteredra", "Paguridae", "Trabea", "Carpolobia", "Bopyroides", "Campbellomyia", "Immoidea", "Eusirella", "Paramignya", "Kybotion", "Neochlorosarcina", "Shenzhouraptor", "Pronoplon", "Chylismiella", "Stichopogoninae", "Poephagus", "Callicerastis", "Neoporphyra", "Culicitella", "Melanobatrachinae", "Eutrombidium", "Camptotypus", "Sphagnoikos", "Pirquelia", "Curviramea", "Squamatoherpia", "Desmospora", "Leptophlebiidae", "Praemordella", "Stetteria", "Madegafoenina", "Sesquialtera", "Helicoarthrosporaceae", "Chengkouaspidae", "Tongorma", "Tiliacoreae", "Nicaltica", "Celebesiana", "Oncobrya", "Gyascutus", "Lichoidea", "Ryania", "Albinospila", "Pachyschesis", "Discorbinella", "Thaumasia", "Pylorgus", "Anhomoeus", "Selene", "Leptopimpla", "Callicostellopsis", "Hypsiglena", "Stegomorphia", "Amphibolocypris", "Paraleleupia", "Echinidinium", "Phidolopora", "Argyrotegium", "Cyrtantheae", "Eupatorina", "Theliaceae", "Apenetretus", "Paralicella", "Anexophana", "Vateriopsis", "Takagioma", "Metagynuridae", "Petiorgilus", "Idatiella", "Allaphis", "Megastethodon", "Omegastrombidium", "Cervaria", "Cladorhynchus", "Stegommata", "Anatya", "Acanthotetilla", "Osellaptera", "Ornamentula", "Heinsius", "Ogcogaster", "Ottocolletes", "Terpnosia", "Meileyingia", "Ampharana", "Oceanibulbus", "Notoplanulina", "Typhlokahusia", "Methanobacteria", "Sipunculidae", "Chlorocrambe", "Hethidae", "Phragmonema", "Syndinium", "Fulguropsis", "Macropsychanthus", "Plocaederus", "Termitomorpha", "Ettlia", "Canesia", "Gondwanatherium", "Allogonium", "Dromaeosaurinae", "Tamananthus", "Mexicope", "Oxyzygonectes", "Kunaibidion", "Aeliini", "Pseudobigaleaidae", "Mearnsia", "Odontacolus", "Acrotomini", "Nepticulina", "Diplorhynchus", "Gittenbergeriinae", "Aschemocellidae", "Parvoculus", "Spongiiferula", "Megalotomus", "Leucocoryne", "Paracypha", "Aspilia", "Corynotrichius", "Phaeosiphonia", "Masonbeckia", "Stewartieae", "Lionothus", "Plectodinium", "Taygetomorpha", "Plecotini", "Anomochlooideae", "Acerentomata", "Occinirvanini", "Alicycliphilus", "Halolimnohelicini", "Dicya", "Phormidium", "Ploeotia", "Hemigomphus", "Campylomonadaceae", "Cynosarga", "Allopocockiidae", "Homoiobrachida", "Anaplagiomus", "Phocitrema", "Actinobolus", "Chappuisididae", "Tepilia", "Pintobdella", "Pfenderella", "Harmodactylus", "Bupalini", "Clitiga", "Rhabdothermus", "Schizocladea", "Mentraphus", "Somasterochara", "Lophaetus", "Nehdenitinae", "Prestelia", "Pempelia", "Monhysterida", "Lacandonajapyx", "Alainius", "Sorangiineae", "Petrocephalus", "Chondrophellia", "Scapania", "Tyrolichus", "Philydorini", "Stenomastigus", "Neocordulia", "Monopis", "Decogmus", "Triplopogon", "Lusovenator", "Prenanteon", "Provalvata", "Amapanesia", "Xenocanthus", "Catatrama", "Allogomtiotrematinae", "Moldoustium", "Hyocrinida", "Lecanoderus", "Xylophagidae", "Lyctidae", "Grolleaceae", "Lobophora", "Lemurosicyos", "Alariinae", "Hyphalaster", "Hooijeromys", "Andes", "Hartmannulidae", "Fibrobacterales", "Angela", "Camphorosma", "Blabericolidae", "Dipterocarpaceae", "Pteridoideae", "Deltopyxidaceae", "Pimeliinae", "Coryssomerus", "Palaeoeuxoa", "Mesoplophoroidea", "Paxillibracon", "Metaphire", "Aleuroctonus", "Cancellalata", "Holsingerius", "Pontella", "Graphidales", "Isonemurus", "Henriquella", "Nyctoporini", "Somera", "Paramitrella", "Lienturius", "Michelaxiopsis", "Heterocladieae", "Psammogeton", "Breviratura", "Neocrosbyia", "Dirachma", "Mexico", "Abrocar", "Guaruba", "Pseudotextularia", "Vareuptychia", "Rooniella", "Calligrapha", "Xestocephalites", "Palaeoleuca", "Diaptomidae", "Andersonosia", "Baeriinae", "Cothresia", "Chrotoma", "Zerpanotia", "Glypheopsis", "Praekogia", "Diplaziopsis", "Ptycholobium", "Petrocoptis", "Muscina", "Yunguisaurus", "Guaygata", "Hagenowinoides", "Planolinus", "Arginae", "Euopisthobranchia", "Luteostriata", "Lentireduvius", "Lagynodinae", "Tambatitanis", "Phaeostemma", "Warkalania", "Teledapini", "Mesechiteae", "Linostinae", "Akrav", "Litobothrium", "Hungarosaurus", "Batricavus", "Coniogramme", "Katablepharidales", "Pneumocystidomycetes", "Brundinia", "Eucyclops", "Callebaea", "Eurypteroidea", "Transtectonia", "Otomyini", "Rhadinella", "Aspasmodes", "Diania", "Pseudonannochoristidae", "Ideratini", "Bisetocreagris", "Hourstonius", "Nephridiophaga", "Paludicellidae", "Formiscurra", "Massarina", "Tetracapsuloides", "Supersaurus", "Cryptolobiferida", "Teyl", "Lifashengia", "Calvatiopsis", "Pseudophasmatoidea", "Irvineia", "Pavelius", "Microcheta", "Poritidae", "Causia", "Graphea", "Macrosarisa", "Cryodesma", "Pleurophycus", "Piscolithax", "Rhizogoniales", "Haplophileurus", "Ecitochara", "Gymnopleurini", "Fresna", "Elydnus", "Hemicampinae", "Stethusa", "Stiphilus", "Xestoleberididae", "Ipamerica", "Anisoneura", "Stegosauridae", "Plesiobasis", "Woroninia", "Are", "Dichelinidae", "Plicatulidae", "Hoffmanobolidae", "Pseudomacrinella", "Hemidesmus", "Mydaselpis", "Aedemon", "Bekilia", "Delisea", "Tangarona", "Tuscaroridae", "Spiniphra", "Chlorocytus", "Eremura", "Lesia", "Ischnoscia", "Costosa", "Paracraspedomerus", "Neoanchicodium", "Gastropteridae", "Parakamerula", "Butastur", "Periepipsocus", "Eurychasma", "Plectogyranopsis", "Crinibracon", "Desolakerrus", "Geodessus", "Naunema", "Tanychorella", "Naphius", "Physopleurella", "Anaxeton", "Gallimimus", "Neotrichoma", "Ortopla", "Lennea", "Karnaviexallis", "Entodiniomorphida", "Coelastrum", "Rhinophrynus", "Cephalotaceae", "Hydrobiites", "Echinopepon", "Loukozoa", "Apamea", "Indoapseudes", "Comatapogonia", "Ferroplasmaceae", "Napialus", "Klimeschiola", "Ampelion", "Cadorela", "Eogoniolina", "Monocarpieae", "Tropicophanes", "Loxoncus", "Didunculus", "Rhizocarpales", "Eugomontia", "Anabelcia", "Clupanodon", "Dainitella", "Diploconger", "Papuandra", "Trachusa", "Sphingobacteriia", "Archostola", "Nothobaccharis", "Scytopsocus", "Queenslandica", "Cytherella", "Khawkinea", "Selmanix", "Menezesia", "Holodonata", "Heterotarsus", "Afrocosmia", "Cephalachorutes", "Clathrulinidae", "Paraxine", "Cenchromorphus", "Neadenocoris", "Longibeccus", "Anaeroplasmataceae", "Acrotrichis", "Triarthron", "Boidae", "Chamaegigas", "Thibetana", "Stenhammarella", "Albadea", "Apiococcus", "Seychellum", "Xenomigia", "Rhytidiaceae", "Asturodes", "Lacaria", "Fabrea", "Uladendron", "Cladomomoniinae", "Ochrobryum", "Coleochaetales", "Agathylla", "Triturus", "Aeliavuori", "Trichanthecium", "Megalocysta", "Gobryidae", "Eupsittula", "Leucadendreae", "Automolius", "Porocephalichthys", "Cycloneuralia", "Carterocephalus", "Trachyrincus", "Goellneriana", "Lasiopodomys", "Nesidiolestes", "Linocerocoris", "Charissa", "Physeterida", "Mimoceps", "Belinuropsidae", "Mesocranius", "Pterobius", "Toronia", "Colomesus", "Andersonglossum", "Noualhierella", "Antillipecten", "Rhus", "Heteroceridae", "Tomocoroides", "Phalaridinae", "Strossmayeria", "Catascopus", "Perelleschus", "Camptoscaphiella", "Neamphitomaria", "Episilia", "Oenanthe", "Amegosiphon", "Parabuthus", "Austroaeschna", "Townsendiella", "Tyxs", "Prothaumatelson", "Bupleureae", "Bostrichiformia", "Allapsidae", "Protallocoxa", "Alnus", "Verneuilininae", "Syncephalastraceae", "Mooreinella", "Eretmotus", "Aratus", "Ingrischagraecia", "Halticoperla", "Neodrepanis", "Placusini", "Cebreniscella", "Dalianus", "Crambella", "Heterodontidae", "Amblyseius", "Africaterphis", "Pteridophyta", "Cinnagrostis", "Kallimoides", "Heteroxiphia", "Xenoschesis", "Daggoo", "Morionini", "Anthus", "Urvillea", "Phaeosiphoniellaceae", "Pseudolithophyllum", "Harpaphe", "Cyanophorales", "Hallidaya", "Lasiospermum", "Targalla", "Salaccinae", "Cloniophoraceae", "Triarthriini", "Thalmannita", "Coydalla", "Tubulozetidae", "Ocrepeira", "Chalcopteryx", "Orthomene", "Parmelinella", "Pseudarchaster", "Thermoactinomyces", "Anthipes", "Dracontium", "Otiditaenia", "Pseudohalonectria", "Electroembia", "Falsorsidis", "Antheluridae", "Periestola", "Chilecicada", "Ectopocephalium", "Gastropila", "Splachnum", "Nymbaxtervirinae", "Colletoecema", "Mermerizon", "Pristosia", "Northiella", "Antennoluprops", "Cymbalizon", "Suniosaurus", "Sanaa", "Coptothyris", "Gynogonadinium", "Studeria", "Kittonia", "Parasophronicomimus", "Mastotermitidae", "Suzuka", "Chlorocalliope", "Trimyema", "Physoplexis", "Gynerium", "Childiidae", "Polyneura", "Neomirandeinae", "Elesma", "Synenaria", "Orchispirium", "Noviherbaspirillum", "Bresilia", "Pseudasopia", "Feylinia", "Cryptostegia", "Alloschema", "Pogonophorus", "Scartichthys", "Helioporacea", "Microniphargus", "Leptocola", "Wiesnerella", "Hakka", "Tantunema", "Protonema", "Typhloraffrayia", "Rudakius", "Koliellaceae", "Quadrigyrus", "Tetraodontoidei", "Pentabrachion", "Allarithmus", "Lepidapedidae", "Gorytes", "Jakowleffia", "Beauchampius", "Physognathus", "Macrophysis", "Hazisia", "Sinokele", "Bombycilaena", "Heptaprimnoa", "Pseudosagedia", "Euchromatina", "Peltidopeplus", "Paragorgopis", "Palaeohydrococcus", "Caucasoligidium", "Telioneura", "Victorellina", "Navosoma", "Pentamera", "Basacantha", "Allagini", "Caryomys", "Sinodorcadion", "Clavaptera", "Stoastomatinae", "Leonardina", "Heissiphara", "Migorybia", "Eotithoes", "Cryptobatrachus", "Actiniopteris", "Phyllocephalinae", "Aetheibidion", "Blacozonini", "Neoregelia", "Paramelisa", "Palaeocopa", "Phrynops", "Akkermansia", "Schweglerella", "Hexagonifera", "Mimochelidonium", "Spartocera", "Paravibrissina", "Kiera", "Hemigenia", "Eriptychiida", "Oryba", "Phaleromela", "Alamella", "Entomophobia", "Irvingbaileya", "Mesocyphocaris", "Rhinopycnodus", "Polycyclovorans", "Harpyionycteris", "Adramoides", "Taeniophyllum", "Hirundichthys", "Nosybea", "Bandicota", "Agapythidae", "Involucropyrenium", "Chionostiba", "Rhagadillius", "Ectinorus", "Leptosciarella", "Ischnura", "Posoquerieae", "Natriciteres", "Filamoebidae", "Caleidoscopsis", "Thysanodontinae", "Litobopyrus", "Helcogramma", "Eponidinae", "Thamniochaete", "Psammascidia", "Rufirallus", "Bactriola", "Parochromolopis", "Eupentacta", "Meyerellidae", "Pantholops", "Lymexylidae", "Strongylidiidae", "Embobracon", "Macroderes", "Gabi", "Carcharodus", "Amplitempora", "Aulacopalpus", "Aphelodoris", "Nafulsella", "Homocaligidae", "Palliolatella", "Cladureae", "Namaquarachne", "Oiticella", "Scyllaeidae", "Ancistroceroides", "Vladimirixena", "Temeluchella", "Angulathilda", "Cydrela", "Porpidinia", "Hypocuma", "Anchycteis", "Sclerolaena", "Podoscirtus", "Baryproctus", "Denheyernaxoidinae", "Harknessiaceae", "Parschisturella", "Dirphiopsis", "Notommatina", "Cryptocandonini", "Condyloderes", "Cespedesia", "Methanimicrococcus", "Cosmisoma", "Cyanus", "Australofannia", "Levu", "Viticoideae", "Dipyrena", "Pantanopsis", "Cycadaceae", "Oryctoderma", "Diphyrama", "Myrialepis", "Fojia", "Euryestola", "Anaphrygmothrips", "Matropium", "Trichonotulus", "Nilothauma", "Crumuscus", "Nescina", "Chedimanops", "Pseudopodospermum", "Actinogonium", "Tachiniscidae", "Apodacrina", "Adreus", "Troglomexicanus", "Abyssarya", "Uncaria", "Trinycteris", "Afroleptomydas", "Parcipromus", "Diopsosoma", "Brevicornu", "Anniella", "Cyrtarachne", "Schizopodini", "Trigonarthris", "Epibrontis", "Oukuriella", "Clibanarius", "Arotis", "Circaetinae", "Noctuinae", "Lithographa", "Barberetta", "Monopteryx", "Cteninae", "Knautia", "Lysinema", "Riccia", "Lathecla", "Marsippospermum", "Hummia", "Hyperammina", "Chrysolampis", "Arulidae", "Pseudopiptocarpha", "Alfocalea", "Hydrolimax", "Trichomonascus", "Noctiluca", "Protocalliphora", "Platyprosopini", "Protoanthicus", "Agrilinae", "Rhinogobiops", "Sinolachnus", "Sparassis", "Rondonegeria", "Quadracythere", "Stenandra", "Secondpapillomavirinae", "Enoplognatha", "Gephyrocharax", "Elephantiformes", "Chelotropella", "Neopereziida", "Afrolimnophila", "Termitogaster", "Pangusyndicus", "Petersenaspis", "Nevadne", "Agrotisia", "Macledium", "Blaste", "Artystona", "Prionocyphon", "Gueselderia", "Galapaganas", "Arthrogloea", "Madontalgus", "Paralygesis", "Kincaidiana", "Micropuntia", "Harpagophylus", "Poblana", "Splanchnonema", "Diprotodontidae", "Cyrtusa", "Xanthoeme", "Rotacharopa", "Dothideomycetidae", "Suleima", "Pseudoplanoendothyra", "Hannaites", "Bloomeria", "Eustoma", "Chionodraco", "Chytridiales", "Scleropodium", "Goldmania", "Telipogon", "Coeloleptops", "Herse", "Zethinus", "Clytopsis", "Margyricarpus", "Pseudocyclodinus", "Zinjanthropus", "Posttaygetis", "Triphosini", "Afrovertanus", "Hanah", "Parthenopidae", "Lepidoscioptera", "Asiaster", "Corypheae", "Stenocolus", "Hemerobiiformia", "Ishigeaceae", "Acrorhinichthys", "Asterozoa", "Condorlepis", "Trissexodon", "Pterocyclini", "Ptilinobium", "Clavulinopsis", "Phalarodon", "Tristaniopsis", "Neohattoria", "Oedodera", "Veloidea", "Pseudocancris", "Loganelliidae", "Attenuata", "Neofacydes", "Gnoma", "Stonesiella", "Danis", "Hylocitrea", "Cisse", "Myrmecoblatta", "Fontinalis", "Maricaona", "Siphonammina", "Ophiostiba", "Khmeriosicyos", "Triplostegia", "Lamphiotes", "Pseudotachea", "Chrysosphaerella", "Euphaedra", "Serruria", "Atosia", "Paleobius", "Rhaphischismatidae", "Pseudocyphocaris", "Duopalatinus", "Weta", "Symphyocladia", "Lauriana", "Clavagnostidae", "Acmaea", "Eupackardia", "Eurhodophytina", "Neoaratus", "Harpagorhynchus", "Myodermides", "Dicranaceae", "Wilvemia", "Aberoptinae", "Hyalocylis", "Atlantopsocus", "Fornasinius", "Pipunculinae", "Chlorogibba", "Corynascidia", "Cestoplanidae", "Rhynchitomacerini", "Rasamsonia", "Melomonas", "Pseudocalliurichthys", "Clothododea", "Trachemys", "Acamptoides", "Rhyparidella", "Cyclocoridae", "Phanaeini", "Sordellina", "Parepisparis", "Yaldwynopsis", "Pomponatius", "Conardia", "Themus", "Amphiroa", "Warragaia", "Adelurola", "Ceratophylloidea", "Xiphocentronidae", "Eoclypeina", "Bitegmen", "Cycloclypeus", "Cephalostemon", "Noculacia", "Kradibiinae", "Halotalea", "Clupeocotyle", "Doxocalia", "Neobaclea", "Pselaphanini", "Branchiura", "Blackstonia", "Aphidoletes", "Chirostyloidea", "Temnoscelis", "Idiomacer", "Halapricum", "Apodrassodes", "Mallachiella", "Eupatinapta", "Macrus", "Talinaceae", "Dunstanoides", "Marah", "Linohesperus", "Proornis", "Mimetus", "Chelothelius", "Afrogitanopsis", "Semiarundinaria", "Chaetopteris", "Elvasiinae", "Streptomycetales", "Bulleraceae", "Neogrubea", "Oedipodiaceae", "Zygonyx", "Rhinoppia", "Thymelaea", "Berroa", "Dioryche", "Aracus", "Eulophiella", "Leptalpheus", "Mehteria", "Thianiini", "Culladia", "Isocopris", "Hyboteles", "Dermatophagoides", "Noota", "Savagea", "Anthophagus", "Urtea", "Parategeticula", "Herpetoreas", "Erythrosuchidae", "Actinoscyphiidae", "Sylvichadsia", "Paratolmerus", "Chimaeropsyllidae", "Annella", "Quillonella", "Unaporanga", "Oribotritiidae", "Rhinophis", "Jacekaphorura", "Gerobrunettia", "Spergula", "Liparetrini", "Antozola", "Microcraspedus", "Ptychochromoides", "Xenandra", "Episbates", "Pteridomonas", "Mimestola", "Lebinthus", "Spiroloxostoma", "Lamprista", "Calliotectinae", "Biastini", "Lithodidae", "Sphingobacteriaceae", "Hydromorphus", "Ematurgina", "Pleotomini", "Herbstia", "Megaeupoa", "Microlopa", "Aeluropus", "Ecitotima", "Ailia", "Hyphaene", "Metridioidea", "FU", "Anomalospiza", "Mycopyrenula", "Stiropiini", "Nupelia", "Leonureae", "Torridincolinae", "Lepidoziaceae", "Trechalea", "Saturnella", "Filomonas", "Pseudocassidulinoides", "Trachonurus", "Gnypeta", "Oberwinklerozyma", "Lyncuricallis", "Blothrophyllinae", "Ophryota", "Rhipsideigma", "Houlletia", "Epicopeia", "Homaxinella", "Branta", "Alkestis", "Bibio", "Petiveria", "Cerophysa", "Tisbe", "Piliostigma", "Bucaniidae", "Oryzidium", "Porosporidae", "Bacchusia", "Phthiriini", "Polychrysia", "Berhautia", "Simplicorfa", "Gracillariinae", "Gymnotidae", "Eugenodiamesini", "Piasites", "Conorbella", "Deborreides", "Crespoa", "Paraleochara", "Abagazara", "Desmodema", "Pareoporis", "Rhinocypha", "Cycloperipsocus", "Bruxneria", "Apetaeninae", "Pasiphaea", "Bertrana", "Cualac", "Tanystropheidae", "Leucolepidopa", "Eunica", "Rhopalum", "Athyroglossa", "Furanola", "Eremostachys", "Gnathochromis", "Xystrosoma", "Caissa", "Dystasiopsis", "Tympanophora", "Cearostreptus", "Cacatuidae", "Khoikhoiinae", "Procyrtini", "Agapanthia", "Asiloidea", "Moniezoides", "Micruropidinae", "Lissemys", "Actaeinae", "Singilis", "Calothorax", "Cochoa", "Entomoscelina", "Daseutype", "Heterohorus", "Peronopsidae", "Apistogramma", "Albionella", "Freyeria", "Platygenia", "Anomoses", "Gorgonomyces", "Katharina", "Pseudobryomima", "Pylonium", "Archaeorthoptera", "Notioxenus", "Cladoides", "Ichnestoma", "Distacodontidae", "Bacteria", "Nokona", "Empogona", "Sebastia", "Weberolegra", "Siphonatrophia", "Ericydeus", "Xyleborus", "Siphoscutula", "Bolbelasmini", "Ceropales", "Tropidocerus", "Paraloratospora", "Umbraculida", "Eleodimerina", "Aulonopygus", "Thermopsideae", "Roodenburgia", "Icteralaria", "Latoruaceae", "Dendrogastrida", "Troposilusa", "Medicago", "Montandoniola", "Darditilla", "Tateomys", "Nephromonas", "Penestomidae", "Caryocaraceae", "Termozyras", "Athyreini", "Austroregia", "Siphonidinae", "Hainanecio", "Caracolinae", "Alyonushka", "Phaenomonas", "Trocholina", "Bacillidae", "Liadytiscus", "Tozzita", "Richtichneumon", "Helmutneris", "Odhnea", "Atraphaxis", "Ptilocera", "Myanmymar", "Chalcionellus", "Begoniaceae", "Sclerotheca", "Elasmosauridae", "Piscinibacter", "Emus", "Brachypeplus", "Hypocosmiella", "Prosboloidea", "Ardeola", "Trichopezinae", "Synechanthus", "Gastropaga", "Crossogale", "Cassidibracon", "Strigoptera", "Kaltenbachiella", "Mimoberea", "Dwightlina", "Fontanesieae", "Mimemala", "Tiputinia", "Guttulamia", "Chaetoptelius", "Amaurobiidae", "Chytonix", "Lioptilodes", "Synechocerina", "Penudara", "Tecunumania", "Anfesta", "Sundathelphusa", "Platycarpha", "Australobolbus", "Karlingia", "Hylocomiopsis", "Neotetricodes", "Tesseranthidae", "Halyphysema", "Haploperla", "Sycettaga", "Cymapamphantus", "Indostomus", "Wallenia", "Hoplopodapion", "Proentomum", "Gomphosphaeria", "Leucocrinum", "Setchellanthaceae", "Enicocephalomorpha", "Bannaella", "Syncolostemon", "Spaniodmoinusa", "Cypselurinae", "Amaranthus", "Ishakidris", "Carayonischa", "Machaeraporus", "Physorhinini", "Palaeopleurodeles", "Napoliplana", "Vivianadema", "Glypthaga", "Amylopterus", "Asterella", "Cylindrocline", "Gellonia", "Tanaini", "Chathamaka", "Sceliscelis", "Triops", "Malamatidia", "Cryptini", "Tachystola", "Apodytes", "Paracossulus", "Aedes", "Cossula", "Mammalia", "Bucorvus", "Phyllogoniaceae", "Pachybolus", "Streltzoviella", "Heterocapsa", "Chrysocapsaceae", "Hadrurochactas", "Dinophalia", "Didynamipus", "Plectrosternus", "Armadini", "Meandropsinidae", "Anthophycus", "Peranemia", "Renanthera", "Sebasthetops", "Trogloguignotus", "Hylebainosoma", "Leptogoneae", "Zabrus", "Cheilostomata", "Ciucephalus", "Aquaeliciini", "Ardisiandra", "Atepa", "Neotyrus", "Rhopalizodes", "Telophorus", "Pareiasauroidea", "Hypselartemon", "Campanulaceae", "Andeimalva", "Dragmatucha", "Neorossia", "Argentophrynopus", "Siricinae", "Groenewaldozyma", "Paraphloeopsis", "Bullockornis", "Gunnarella", "Synaphosus", "Iheringtrema", "Lepidogalaxiinae", "Atractotomoidea", "Gasterotropis", "Damnux", "Falcolipeurus", "Spongonema", "Huberonympha", "Hormiini", "Otuchis", "Mecynorrhinella", "Cissa", "Paridactus", "Parietaria", "Apona", "Calodium", "Hymenoxys", "Proemassilina", "Cercops", "Protosphindinae", "Crocidium", "Sorbinichthys", "Macrophyllodromia", "Odzala", "Scomberoides", "Comasteridae", "Galaxias", "Elythomerinae", "Coraebus", "Chapelieria", "Wittoecia", "Haemorhous", "Nikkostiba", "Yuanamia", "Latitingis", "Mulleripicus", "Leptopsylla", "Lamprozela", "Coenodispora", "Stictolophus", "Leucocryptea", "Siphonogobius", "Erblichia", "Boninthemis", "Hadranellus", "Hyperamoeba", "Dinoceras", "Glossotrophia", "Carixia", "Yungasia", "Oreovalgus", "Antarctosaccion", "Heibergia", "Discostylochus", "Jakutidae", "Exhyalella", "Melissotarsini", "Rimanella", "Serpentomonas", "Solenoptera", "Lyconodes", "Ceratinella", "Acrolytina", "Munnogonium", "Leiuranus", "Funastrum", "Lemaitreopsis", "Gesomyrmecini", "Stilopsis", "Exallosperma", "Crotonogynopsis", "Pygarrhichas", "Tropocorixa", "Aephnidius", "Porphyridiophyceae", "Nyctophilini", "Muesonia", "Acetes", "Lophichthys", "Dasyatinae", "Neocalyptis", "Platyisao", "Mastigocladopsis", "Sareaceae", "Ruacorites", "Sidastrum", "Isyndus", "Derris", "Pterodaustro", "Dlusskyidris", "Camisiinae", "Pholidochris", "Sarindini", "Cenchreini", "Heterolepidotus", "Menoidium", "Petalostelma", "MMK", "Calliphlox", "Leucotachinus", "Securidaca", "Ophintegrida", "Davaineoides", "Hemiphractidae", "Habramicrada", "Agapanthida", "Ashinkailepas", "Stephaninae", "Cyrtophoraceae", "Nymphidiini", "Thereutis", "Chitinophagia", "Rhopalodiaceae", "Dclasvirinae", "Schizochlamydaceae", "Bostrichus", "Miomoptera", "Cynopoecilus", "Acrocephalomyia", "Mirellus", "Balamuthiidae", "Rhizogonium", "Riveroina", "Anaerocella", "Aquibacillus", "Macrocystidiaceae", "Mitroidea", "Neochelonia", "Lasiolaena", "Cryptotympanina", "Nucleocorbulidae", "Homolidea", "Baculites", "Phragmoceratidae", "Pateena", "Heterogyrus", "Mellonympha", "Plesiotrochus", "Hestimidius", "Chasmatophyllum", "Methylorosula", "Surniculus", "Protheridiidae", "Caliscelinae", "Thuiaria", "Monstrilla", "Trachichthyidae", "Anokopsis", "Ixanthus", "Gymnosarda", "Stahlianthus", "Rhizophysidae", "Eurypygiformes", "Paradoxornis", "Gourvesia", "Ichthyolestes", "Coelacanthimorpha", "Sivatherium", "Mesoporus", "Vulpia", "Ludwigia", "Platphalonia", "Cylicobdellidae", "Glaucostegidae", "Oocyclus", "Manorella", "Macrothamniella", "Podolasiini", "Jeboehlkia", "Teispes", "Feldmannia", "Blepharocosta", "Steindachneria", "Sarcoglanis", "Proporcellio", "Zambedania", "Herposiphoniella", "Kocurypelta", "Reclinomonas", "Leucochroma", "Henvelik", "Cordylobia", "Cicatrodea", "Rhopalostyla", "Shikhanites", "Ephemeraceae", "Amaurornis", "Hymaea", "Sigalegalephrynus", "Takakiaceae", "Calinaga", "Gallerites", "Iassini", "Apyretina", "Ammosphaeroidininae", "Dalader", "Deraeocorini", "Acidothermus", "Spirorutilus", "Aminoacuea", "Lower", "Psychopsis", "Obereoides", "Leptogenoxenus", "Poecilothrips", "Echiochileae", "Aigialosauridae", "Austrosticta", "Orgeriinae", "Taomica", "Ashtonia", "Ischnotarsia", "Meitingsunes", "Gloeobotrys", "Busycon", "Pseudonaja", "Bunobrontops", "Entorrhizomycota", "Dyscharachthini", "Rothisilpha", "Nanochromis", "Campylopterus", "Amphicnaeia", "Lariniaria", "Osakatheta", "Maskellia", "Callichromatini", "Mataeomera", "Didinium", "Potamium", "Salilagenidiales", "Jaklapallisaurus", "Hertia", "Pleurocalyptus", "Hebroidea", "Plyustchiella", "Hormopeza", "Intrepidocythere", "Apharsatus", "Tropidoclonion", "Xanthopsar", "Austrobalanidae", "Bedelliidae", "Pseudechinolaena", "Malanea", "Eutrombidiini", "Urtica", "Todidae", "Lepidostroma", "Ganascus", "Pseudonalips", "Vrilletta", "Lestevidia", "Athletinae", "Archaeterphis", "Collocypus", "Andrachne", "Dorvilleidae", "Diapensia", "Oncerus", "Zeylanurotrema", "Neogoezia", "Arcusidiscus", "Lutibaculum", "Megafroneta", "Heteronaias", "Leucospilapteryx", "Hygromia", "Banchogastra", "CCB", "Galbella", "Titanotrichum", "Termatophylisca", "Clistoronia", "Trilocha", "Actinoalloteichus", "Thrauste", "Aspazoma", "Abildgaardieae", "Barsonella", "Eversmannia", "Cardiocraniinae", "Lernaeophrya", "EDosa", "Mirafra", "Hymenorattana", "Tezaquina", "MBLUZ", "Klapperichella", "Paleotullbergiidae", "Asiracinae", "Metriotelurinae", "Eleonoria", "Blastodiniales", "Oxyambulyx", "Eideria", "Australodon", "Nanorafonus", "Ctenoneurus", "Pagellus", "Lachnus", "Ideorhipistena", "Asthenomacrurus", "Glaphyrometopus", "Hylcalosia", "Choriplacidae", "Meridiastra", "Locharcha", "Pedroecous", "Damzenius", "Paramphiura", "Aecidium", "Zaphsa", "Carpediemonadidae", "Brachydiplax", "Masoncus", "Spiniferodinium", "Lissotis", "Rondoneva", "Prochlorothrix", "Nyctoporea", "Madagasikara", "Carneoryctes", "Fisiphila", "Neocerura", "Microbispora", "Kelerimenopon", "Anomalopus", "Promycteromyia", "Galbulimima", "Transeuplexia", "Pleiarthrocerini", "Coptoclaviscinae", "Scoliotropis", "Metrius", "Sphaeridopinae", "Cestrotus", "Eulomidae", "Axylita", "Prosogynopora", "Coleocentrus", "Roswitha", "Hyalangium", "Stichothamnion", "Pellonicola", "Scytodes", "Scleromyzus", "Leptospermonastes", "Briza", "Malgotilia", "Tubaformis", "Homalotrichus", "Yushania", "Adelia", "Matachia", "Boletuvelum", "Hedana", "Tillobromatini", "Sugaentulus", "Supergroup", "Yutyrannus", "Olifantiella", "Aphylum", "Nisoscolopocerus", "Oxytrichidae", "Hyphoporus", "Miopteryginae", "Macrocyphonistes", "Allocerus", "Rhodobates", "Siliquariaspongia", "Iranolepis", "Neocarpia", "Liomyrmex", "Merelina", "Spathacantha", "Mullerornis", "Platygyrium", "Neoreticulaphis", "Boutiquea", "Cordiera", "Holonematiina", "Chaerocassis", "Hexapylocapsidae", "Cistaceae", "Chesiadina", "Pyrunculus", "Cernauncus", "Microhyla", "Cythnia", "Plethotaenia", "Cordagalmatidae", "Hemirhipidiinae", "Paradoxopsyllini", "Montanima", "Dampierella", "Isocypridinae", "Cychrus", "Trombidiina", "Galbites", "Polycystina", "Dudanus", "Hammatolobium", "Ballota", "Linopodius", "Vacuolaria", "Margaiostus", "Kenseyoceras", "Ochneae", "Jamoytius", "Pseudoclardea", "Vestiplex", "Cytheruridae", "Ozyptila", "Unikonta", "Mauriesia", "Zoyaella", "Salinivibrio", "Chelonia", "Inkyuleea", "Argyrozona", "Pharnaceum", "Cantalera", "Sulfuriferula", "Orthonychia", "Coniomma", "Idacarabus", "Liparogetus", "Bicuspidatus", "Hololepis", "Chlorochytrium", "Schistostegaceae", "Nahua", "Kentiopsis", "Latometini", "Fibigia", "Gorgonocephalus", "Orthobasis", "Arocephalus", "Caliridinae", "Ohakunea", "Gonitella", "Merenius", "Eonodosaria", "Aphidocallis", "Melanconiellaceae", "Hexapleomera", "Pseudalsophis", "Archboldiella", "Apolorryia", "Diplomystus", "Peringueyimyiini", "Capoeme", "Ptilidiaceae", "Patelloidini", "Polyacanthorhynchida", "Exostyles", "Ceratomycetaceae", "Blepharum", "Neefioides", "Torosaspis", "Bathyuroconger", "Hoplismenus", "Pygostenus", "Telestes", "Roigella", "Abacionidae", "Pison", "Mamesdytes", "Eumonopyta", "Hirpsinjaevia", "Epiclytus", "Lentzea", "Holguinia", "Smithora", "Dudresnaya", "Chamaeleon", "Pseudomachaerota", "Anthemidaphis", "Puncticulata", "Aiurasyma", "Campulipes", "Desmacella", "Bairdiocopina", "Adamas", "Physconella", "Holisomimus", "Nyctanassa", "Salpinginae", "Pseudocheilinops", "Caseyidae", "Caucasorhynchia", "Lampropsar", "Procompsognathus", "Erimacrus", "Toxomerini", "Plesiosauria", "Lophopedia", "Corydendrium", "Nothenneboeus", "Cladotricha", "Parides", "Afrectopius", "Nipponaphodius", "Centropristis", "Megastomatohyla", "Marmessulus", "Synema", "Micropsalliota", "Bathropyramis", "Bekomidae", "Desertathrips", "Neotrombicula", "Agoseris", "Thinobiosus", "Baldopisalia", "Tristenium", "Taricoris", "Dipterygonotus", "Desulfomicrobiaceae", "Cautethia", "Megarachne", "Amsonia", "Pyrgotidae", "Chatogekko", "Lophocosma", "Lihuaxuella", "Atopandrium", "Goniaceae", "Symphyopappus", "Apseudoidea", "Angarichthys", "Photodotis", "Rhizomastigina", "Tenagobia", "Thermobiotes", "Kazakhstania", "Ophrysia", "Tibiozus", "Exosoma", "Intoshia", "Nucleophaga", "Placentulinidae", "Crymostygidae", "Campylorhynchus", "Calycopidina", "Boarmiini", "Pseudochironomini", "Rhadinomaeus", "Helminthogloea", "Deinagkistrodon", "Odontofroggatia", "Notosceles", "Stenammini", "Dactylidinae", "Johanssoniella", "Daboecia", "Amblycerini", "Neerupa", "Cheliplana", "Gochteodinia", "Prolixoplecta", "Mygalarachne", "Proderus", "Archicircus", "Menopraesagus", "Erythrophysa", "Solandra", "Agnyphantes", "Cyrtolagena", "Canariomys", "Atractaspididae", "Thoreales", "Greys", "Neglectella", "Plesiophrictus", "Cymbulioidea", "Pseudonesohedyotis", "Uralerpeton", "Sepioloidea", "Purdiaea", "Homoeobium", "Bannana", "Achias", "Eresia", "Mellita", "Opisthosemus", "Protomyxa", "Olexandrella", "Ktedonobacteraceae", "Sceptuchus", "Redlichinidae", "Dichaetophora", "Trigonurus", "Phrictini", "Platycholeina", "Tetracystis", "Pontocrates", "Engistanoxia", "Pycna", "Grammatotheca", "Seseli", "Benthosema", "Evoplosoma", "Coenochilina", "Dondersia", "Sandalus", "Arenomeandrospira", "Sumbaviopsis", "Echyridella", "Monoceros", "Dreeus", "Kahliellidae", "Paruterina", "Eutheria", "Phyllopeltula", "Mosopia", "Adoristes", "Tinoliinae", "Atractodenchelys", "Perimelba", "Uromelan", "Clausiliidae", "Laurocalyx", "Retiniphylleae", "Betulapion", "Falciformispora", "Cernyella", "Achrocerides", "Chiharaea", "Gonomomera", "Histrio", "Nauarchus", "Plaesioserica", "Agastocerus", "Ancalagon", "Boliviocoris", "Romanzoffia", "Halargyreus", "Planorbulinopsis", "Pristicerops", "Myrmaplata", "Hoffmannihadrurus", "Psyllototus", "Neblinathamnus", "Parmenospina", "Seisonidae", "Phasmatidae", "Suddia", "Plectognathotrematoides", "Bryozobia", "Vulcanocalliax", "Mecistosceloides", "Enoplosidae", "Dikwidae", "Tiliphagus", "Ophiderini", "Fisherostylus", "Dysthaeta", "Leptotyphlopidae", "Pseudopterocomma", "Pattersoniidae", "Redmondoides", "Berytidae", "Tettigoniinae", "Coetzeea", "Paranodon", "Flapocephalus", "Tibiosioma", "Peccania", "Viedebanttia", "Rhabdepyris", "Anisoxya", "Entomognathus", "Cheilomenes", "Ocyupora", "Alpinanoplophilus", "Cordites", "Pohlidium", "Allopodagrion", "Metathrinca", "Ulidiidae", "Sciaphila", "Nematodospora", "Mysticephala", "Bulweria", "Parisopalpus", "Choiroblemma", "Centricnemus", "Eucosmetus", "Sympotthastia", "Dicroglosseae", "Agylloides", "Cemocotylelloides", "Neothyonidium", "Phyllogobius", "Kuarrhaphis", "Hemibidessus", "Avellodinium", "Hemiogaster", "Callipenthalodes", "Hirudinidae", "Corynethrix", "Chamaele", "Tetradium", "Tanzanilepis", "Coptera", "Hyphinoini", "Sesamum", "Ortholexis", "Turlinia", "Podosporaceae", "Ambohitsitondrona", "Cystodictya", "Placodiscus", "Zhezhoulinyphia", "Kurziella", "Strombomonas", "Chytridhaema", "Malmeanthus", "Umbiliinae", "Ammalo", "Bahiensis", "Esaete", "Neamblyaeneus", "Myopordon", "Dianotrechus", "Exneria", "Odontostomus", "Plusilla", "Blastania", "Cylindroma", "Protoascus", "Argentinoidei", "Tmesiphorini", "Delgadobius", "Trybliographa", "Serbaninae", "Polyorchitrema", "Basal", "Phaneroporidae", "Agrothereutes", "Chayamaritia", "Boettgerilla", "Malcolmochthonius", "Hiorada", "Calbovista", "Trichocovina", "Paulomanus", "Ciliophrys", "Calycacanthus", "Lophotettix", "Parapilinurgus", "Hesperobium", "Changchengornis", "Nematostylis", "Hypsicera", "Bothriderinae", "Monimiaceae", "Oxynopterus", "Baissopteridae", "Microdota", "Zygiellinae", "Exosehirus", "Daulocoris", "Cardamineae", "Goloboffia", "Campotenes", "Latocestidae", "Prophalangopsidae", "Urbanus", "Cryptobopyrus", "Paralticus", "Thoronidea", "Kockiozyma", "Yendonia", "Teratembia", "Ommatophorini", "Sigillioidea", "Hirmoneura", "Tunga", "Arctomia", "Petasactis", "Alkalimonas", "Adamasirad", "Hase", "Psocathropetae", "Ebomegobius", "Trichodagmia", "Colomita", "Stauraconidae", "Micromorphe", "Dyotopasta", "Asplenium", "Prosopodesmus", "Tricholinum", "Cratosomus", "Triaina", "Reesodus", "Pleosporomycetidae", "Caecidotea", "Pterotriamescaptor", "Stigmatorhynchus", "Pleotarsobius", "Nidulariaceae", "Stereobalanus", "Paxydon", "Coryneliales", "Leiocera", "Fosterella", "Chironomidae", "Jacanidae", "Iphiseius", "Amyclinae", "Gadilinidae", "Pseudobithynia", "Iberoformica", "Drucelloideae", "Plagiacanthinae", "Hygrophoropsis", "Stereospondyli", "Urothemistinae", "Cyphoniscellus", "Harpura", "Schleinitzia", "Fibrocapsa", "Calviriidae", "Hyoscyameae", "Schrankiana", "Noyesencyrtus", "Dinosphaera", "Ectemnostega", "Pentziinae", "Toticoryx", "Alfaroa", "Steganodactyla", "Callimetopoides", "Chelonibiinae", "Dryanassa", "Sangiorgioichthys", "Hesperibalanus", "Thiobacter", "Sphaerocarpos", "Ozineus", "Rimacola", "Asymmetronidae", "Agathobelus", "Mypongia", "Heliochona", "Sobasina", "Magninus", "Ziziphora", "Mostacillastrum", "Protoctista", "Scotinomys", "Aristopus", "Coliphorina", "Praeorbulina", "Neopsolidium", "Psettodoidei", "Tritonus", "Mystrium", "Paraderris", "Axonopsis", "Isoloba", "Adelphithrips", "Milina", "Tetractenos", "Lordalychidae", "Teplinus", "Permulidae", "Ophiozonella", "Dasmiinae", "Protalcis", "Promoniliformis", "Rondotia", "Pseodorhinotia", "Bonnetia", "Euglenaria", "Soehrensia", "Euneomys", "Neichnea", "Cardacopsis", "Uronema", "Pelmatolapia", "Polemonium", "Africariola", "Willemetia", "Xiphosceloides", "Abemus", "Trilepis", "Shrekin", "Adeshini", "Pseudotrichomonas", "Gemmatimonadaceae", "Cedilla", "Decatopectinini", "Androlymnia", "Acrocanites", "Paraceratites", "Shangrilaia", "Odicardis", "Margaretta", "Metaclisis", "Mytilinidiaceae", "Paraliobacillus", "Bispinocoris", "Acanthocercus", "Myopinae", "Catillopecten", "Diaprioidea", "Glenochrysa", "Tuvaphantes", "Pseudogomphrena", "Hosta", "Pirkimerus", "Porius", "Oxyzygonectinae", "Diadochia", "Drepanorhynchus", "Angelovia", "Brachytarsophrys", "Yinpterochiroptera", "Omoptera", "Zefevazia", "Barbalhoa", "Aranthribus", "Poecilochaetidae", "Heterocnemis", "Diacanthochara", "Octocannoididae", "Aminiphilus", "Gongylidioides", "Achoropsyche", "Glastaria", "Bulborrhizina", "Proamphientomum", "Protoschinia", "Harmochirus", "Macromckenziea", "Sinaesalus", "Stirtonanthus", "Ophionereidina", "Spongosorites", "Dicraeosauridae", "Manautea", "Kodiakellidae", "Allomogurnda", "Laminarionema", "Andriashevicottus", "Philomecyna", "Baeopelma", "Gila", "Glossostelma", "Ischioderes", "Epifolliculina", "Aetheogrammatidae", "Bathypontioidea", "Archedontia", "Spongiispira", "Pseudocibicides", "Stenophantes", "Epiclea", "Apura", "Ingrischia", "Myosurus", "Helminthosphaeriaceae", "Oziroe", "Thaeides", "Mexicotyle", "Dennisiella", "Scoparia", "Clemacotyle", "Caenagnathoidea", "Yamautidius", "Coronistomidae", "Dasybatotrema", "Haptomonada", "Andrewesinulus", "Schreckensteiniidae", "Tanaupodidae", "Thinonoma", "Platepyris", "Diplobathrida", "Myxine", "Textulariia", "Mesadorus", "Talitroidea", "Alebroides", "Remigia", "Blicca", "Brototyche", "Seemannia", "Panorpa", "Adelinae", "Lithocharis", "Thaumastopsaltria", "Amycterini", "Ogcodinae", "Chlorogonium", "Pseudoplatyura", "Riedeliella", "Vosegidae", "Wardia", "Kannemeyeriidae", "Baoris", "Astacus", "Dyscolia", "Australocosmica", "Digonocryptus", "Thayeralinini", "Malikia", "Neorhacodes", "Carphania", "Asiorrhina", "Protothelenella", "Eoglobigerina", "Chileuma", "Leiosporocerotopsida", "Formania", "Parauchenipterus", "Achalcerinys", "Phobolosia", "Aeriscardovia", "Anthocleista", "Amphora", "Heterothrichopsis", "Pyrrhulagra", "Nerpa", "Eospisalia", "Fallacia", "Diehlea", "Chiastopsyllinae", "Paramunnopsis", "Ianhedgea", "Megaphyllum", "Beringiella", "Bodanella", "Psilopsiagon", "Phytocerum", "Trichomonadidae", "Tomocerus", "Acorypha", "Umairia", "Citrus", "Cimolomyidae", "Himalopsyche", "Andrewesius", "Heteropsini", "Tyndarimorpha", "Diporotaeniinae", "Ithamar", "Pagidini", "Parasitiphis", "Cuthonellidae", "Sturnirini", "Cecryphalus", "Niptinus", "Neoiblinae", "Beturiella", "Eustigmatales", "Loisthostomata", "Monorhaphididae", "Acanthogobio", "Ooidius", "Giupponia", "Neoaphylum", "Paratemnopis", "Xenopsylla", "Oerane", "Coelotes", "Cabreuva", "Cincinnobotrys", "Pseudophasmatini", "Parakatianna", "Carystus", "Coralslurrinella", "Alphinellus", "Salpingoecidae", "Marinilabiliaceae", "Choerocampa", "Silvanoides", "Arthuriomyces", "Proschkiniaceae", "Longicornus", "Ganulini", "Pyxis", "Ascalaphus", "Chernyshinellina", "Diadectidae", "Alexandrinia", "Dendrophagella", "Chilostomellinae", "Pseudoahermodontus", "Centrapalinae", "Ischnaspis", "Austrodomus", "Valettidae", "Schizopetalidea", "Solenodinium", "Dumetoniscus", "Oxytricha", "Australicesa", "Phoxoteles", "Ophioripa", "Livia", "Helibatus", "Podilymbus", "Chileanus", "Ankylopterygini", "Falsocularia", "Themistidae", "Hydroporini", "Hoplodactylus", "Caldococcus", "Andonectes", "Gephyrocrinus", "Joturus", "Coras", "Melodryas", "Gobioidei", "Munina", "Bohayella", "Arthroleptis", "Amemiyaia", "MRSN", "Agyrtinae", "Tripanda", "Exallias", "Antennolaelaps", "Episynlestes", "Gallerucidiina", "Cerocosmos", "Molchina", "Boleophthalmus", "Kafirnigania", "Leptoreodon", "Apozyx", "Pseudopogonatherum", "Xylophagus", "Aralidium", "Warczewiczella", "Dicranostyles", "Pseudocrioceris", "Pycnopygius", "Variramus", "Eudorella", "Semiina", "Dundgobiestheria", "Phragmacia", "Trichiohelcon", "Paradinophycidae", "Hemiscolopia", "Sarkanella", "Pleurambus", "Megarrhamphini", "Nurunderia", "Antarctodon", "Liouamonas", "Archistratiomys", "Vulvostella", "Cylindrobullinidae", "Megaloprepus", "Petrodromus", "Rhytura", "Orussonia", "Melanodinium", "Zaheranychus", "Kalcapiini", "Ectocarpus", "Prosotropini", "Rhinotia", "Mimoides", "Palliopodex", "Anaulacomerina", "Bethencourtia", "Percopsiformes", "Stenolonche", "Rivelliomimini", "Compsocommosis", "Idephrynus", "Acereae", "Corticeus", "Gymnephoria", "Ceratodontidae", "Brasilaxia", "Oxyrrhynchium", "Bergrothiessa", "Aurina", "Allorostrata", "Gnathonemus", "Gastrolepis", "Cittura", "Zunigini", "Hypselodoris", "Neodocalidia", "Vulpoxena", "Phyllodini", "Pentogonum", "Aorun", "Prauseria", "Royella", "Parapiophila", "Urastoma", "Eutelesmus", "Lycidae", "Klastostachys", "Myrmicotrichis", "Korisaba", "Limnopolypae", "Thaumatocotyle", "Cyrtacanthacridini", "Doryichthys", "Peroniella", "Discocotyle", "Gyranthera", "Tropideres", "Megalotyla", "Amorphinopsis", "Nelsonites", "Dorudon", "Parasaccharibacter", "Penthalodidae", "Starnoenas", "Hydredes", "Perkinsea", "Archicercopis", "Modiola", "Zvenellomorpha", "Melanozestis", "Enyalioides", "Trigunda", "Disconeis", "Pyropsalta", "Anoda", "Perognathus", "Acapiata", "Faviidae", "Elizabetha", "Praxelinae", "Colobasiastes", "Rhinolophoidea", "Polycera", "Melithreptus", "Ogmodirus", "Anaemotettix", "Proventocitum", "Scrophularia", "Thermoactinospora", "Dipseudopsidae", "Plautella", "Phelsuma", "Crocodylomorpha", "Ammoniphilus", "Parastrigulia", "Tubiluchus", "Lagotis", "Cheilocephalidae", "Odontocaryoidea", "Monomachidae", "Latentoverneuilina", "Plummerita", "Eosphoropteryx", "Typhlocyba", "Kimulodes", "Apoplymus", "Periptyctus", "Hemibryomima", "Graneledoninae", "Welfia", "Teorotrium", "Arctolembos", "Atlantarctia", "Maurocenia", "Eosteropus", "Eucampyvirinae", "Gonyostomum", "Dasytrogus", "Ortholomia", "Parananochromis", "Centauropsis", "Ramphocoris", "Niphonyx", "Bellolividae", "Stenoglene", "Scydmaenozila", "Alichtensia", "Anostoma", "Arcinnus", "Paratheocris", "Clathurellidae", "Cyphanobium", "Indothemis", "Zophosis", "Batrisceniola", "Spinagonalia", "Liotyphlops", "Paradoxidoidea", "Cyclodiscolithus", "Plectaster", "Nemegtemys", "Elcanidea", "Catocephala", "Saccoina", "Bassaniana", "Epistrophina", "Omolabus", "Hecatonema", "Nucleaspis", "Landrevini", "Nymphalini", "Tropidosaura", "Silenis", "Aspicolpus", "Astalione", "Heteropteryginae", "Tarrasopagurus", "Hippomaneae", "Orchitophrya", "Allosalinactinospora", "Heterostreptus", "Aulatornoceratinae", "Pseudicius", "Nesospingidae", "Brachymyrmex", "Eremoryzomys", "Doryloxenus", "Eugeneodontidae", "Eupagurus", "Pettersenia", "Eriocamporesia", "Tepidicaulis", "Eyakia", "Maarbarini", "Thrymoserica", "Roger", "Cyrtognatha", "Asaphodes", "Parahyllisia", "Papuasyntaxis", "Rossiinae", "Boninella", "Leva", "Tropheini", "Macroversum", "Pachacuti", "Dromaeosauroidea", "Sinibotys", "Mystrophorus", "Hybogralius", "Suaedoideae", "Sundbergia", "Hydroporus", "Trichogramma", "Anadelphia", "Mezirinae", "Pyronia", "Glubokoevella", "Cirroctopus", "Grosserinae", "Enneaeus", "Trisyngyne", "Rhabdophis", "Proscleropterus", "Anastrophyllaceae", "Trichodrymus", "Brunieae", "Pelorembia", "Afrograptioidea", "Artostrobiidae", "Chilostomella", "Stephanocircidae", "Indocandona", "Waldoschmittia", "Lopharcha", "Habroscelimorpha", "Allomonorchis", "Chroniochilus", "Eporycta", "Napeantheae", "Abrus", "Trachyderma", "Archipelepidiformes", "Lobomonas", "Pteracmes", "Glebionidinae", "Ruminofilibacter", "Neocomitidae", "Papatuka", "Gulo", "Alistratia", "Carapona", "Haplopoda", "Sulfurihydrogenibium", "Pseudosymblepharis", "Tremataspidiformes", "Pelagibaca", "Paradiglotta", "Cretomicrophorus", "Macroperipatus", "Acrochaetium", "Ictonyx", "Andesanthus", "Chrysodendron", "Diathoneura", "Compsomantis", "Evocoidae", "Mimomyagrus", "Aphonopelma", "Massariaceae", "Amphiceratium", "Leptocucurthis", "Ectadiophatnus", "Neotrichonotulus", "Opsopoeodus", "Garrya", "Thermacaridae", "Dasineura", "Rhodonellum", "Gryllus", "Astripomoea", "Strumosini", "Codosiga", "Barademus", "Bubastes", "Sariangus", "Prosphaerosyllis", "Drysdalia", "Ozophorini", "Aphilesthes", "Cladodontomorphii", "Phaseolibacter", "Borbo", "Tetrarhabdotis", "Paragymnopleurus", "Brachyolus", "Graphogastrini", "Tapejara", "Waiputrechus", "Circaeasteraceae", "Trichostema", "Thermichthys", "Chalcopoecila", "Proheteroschisma", "Amphiplexia", "Auritamidae", "Coelognathus", "Glaciera", "Trachypachidae", "Cavaticovelia", "Philornis", "Myrmecoplectus", "Endoraecium", "Strophomenoidea", "Theridiidae", "Galiteuthis", "Gobiconodontidae", "Calocypha", "Dovyalis", "Hadogenes", "Pteraspidomorphes", "Pasteuria", "Leptophyes", "Stenodynerus", "Micronella", "Tenuipalponychus", "Lophidius", "Archeobius", "Vesquia", "Mesolamproglena", "Epizoanthidae", "Nelmesia", "Tayshaneta", "Anillidris", "Selamia", "Crocydoscelus", "Ptosimini", "Schistometopum", "Tetrigoidea", "Rhaptothyreidae", "Zorilispe", "Gavilea", "Paradilacra", "Paramormiini", "Woronichiniella", "Prepopsella", "Greya", "Nesochthamalus", "Treubaria", "Microdoris", "Paranicsara", "Oahutanais", "Blakiella", "Cistothorus", "Microbactrus", "Soritia", "Clarkeorites", "Anuracanthorhynchus", "Heteramorphida", "Indothele", "Maryella", "Aboriginesia", "Mahencyrtus", "Mesonotoperla", "Fadogia", "Pseudacalypta", "MZUFV", "Kerguelenica", "Quechualia", "Vetulicolida", "Dervishiya", "Sarcozona", "Orthornavirae", "Nihonella", "Centruropsis", "Cyprinion", "Parasaturnalidae", "Neoeukobelea", "Pyrolobus", "Thaumastodermatinae", "Aulonocranus", "Ethoniina", "Rhynchoclaviger", "Clastobryopsis", "Massilia", "Chrysodictyon", "Suiriri", "Emys", "Margaromantis", "Tentamen", "Metrorhynchites", "Comoranthus", "Hedwigiella", "Hopliopsis", "Fragilonola", "Neopseustina", "Pantisarthrus", "Necrobia", "Pneumoroidea", "Acentra", "Incendia", "Nyssocarinus", "Trichoniphona", "Bruchodape", "Lepidura", "Separatatus", "Pionites", "Octotrocha", "Llaveiini", "Panau", "Paratetricodes", "Panfilovdvia", "Lecidoma", "Ammi", "Smodicinodes", "Barbaloba", "Protephedrus", "Dragescoidae", "Doidyx", "Euchelipluma", "Leucocelina", "Hubbardia", "Phthia", "Antistasea", "Agropsar", "Acompocoris", "Pseudoplumaria", "Tchadanthropus", "Brachinepticula", "Ocyropsis", "Uraecha", "Deuterophlebia", "Achrophyllum", "Monorchiidae", "Ludisia", "Goera", "Olsufjeviella", "Lunachloris", "Kurtops", "Spurius", "Arthrobrachus", "Maxillipedes", "Parnia", "Labeonini", "Casaltella", "Entactinaria", "Microernobius", "Chaenactideae", "Dictyoglomaceae", "Luciaphorus", "Euclismioides", "Lobulia", "Acteonidae", "Protowenella", "Heteroleibleinia", "Scophthalmus", "Aquis", "Core", "Allegrettia", "Mariaramirezia", "Paraspiculatus", "Onchidorididae", "Aerosteon", "Leptodermis", "Peltula", "Neomallodon", "Parascolymia", "Sibogella", "Acucapitidae", "Alabaminidae", "Chrysodesmis", "Gulacylapus", "Scydmoraphes", "Ernstichthys", "Stylochidae", "Temnocerina", "Capuronianthus", "Clinosperma", "Gogatea", "Cophylinae", "Actenia", "Axiotima", "Armorloricus", "Eumeta", "Pontechium", "Phytocoridea", "Tropicagama", "Dolecta", "Rhynchites", "Spirocyrtis", "Brachys", "Sensonatoridae", "Hubertella", "Anomozethodes", "Palaeodermapteron", "Typhlomys", "Dicranosepsis", "Achorius", "Bradymonadaceae", "Dryoscopus", "Chilarchaea", "Eugigas", "Stichogloeaceae", "Grafiria", "Lissozodes", "Adipsomyia", "Ampullacypris", "Vermectias", "Pleurotus", "Buthus", "Telengaia", "Mononychini", "Eumedonia", "Brevicaecum", "Echthromyrmex", "Exostethus", "Mesocepon", "Poromniusa", "Crossopetalum", "Alastor", "Tyrissa", "Seychellaria", "Cucurbitella", "Eustachys", "Xinglongarus", "Komarekia", "Cestidae", "Raptophasma", "Thryptomenomiris", "Notonyx", "Paracolletinae", "Heterotoma", "Medusagyne", "Xylina", "Cryptogamocoris", "Oosternum", "Nesoselandria", "Entomogonus", "Canini", "Eoacanthocephala", "Austroesthetus", "Zapada", "Leiostegiidae", "Barbus", "Borissiakia", "Dasypsocini", "Myrmecophilidae", "Villarrubiasia", "Geoica", "Crassatellidae", "Hibberdiaceae", "Portieria", "Torquigener", "Tylomyinae", "Oncopagurus", "Austrocholeva", "Lithodesmiaceae", "Asthenini", "Sarkiidae", "Oryzihumus", "Lamottella", "Choristella", "Gerrhosaurinae", "Tyrotama", "Hinomotentomon", "Esenbeckia", "Anthracites", "Dandaca", "Trianthema", "Macrocyprididae", "Hormosinellidae", "Bifascioides", "Andreolepididae", "Monstrotyphis", "Agrarialia", "Pseudosphaerocystis", "Leiosoeciidae", "Tubulariidae", "Tasmosalpingus", "Dolichosuchus", "Ralfsiaceae", "Pygmodeon", "Nodocepheus", "Discimita", "Mesostephanoides", "Goebeliellaceae", "Aeshna", "Sunipia", "Paravespa", "Cryptodius", "Lentisphaeria", "Gamergus", "Cycniopsis", "Enantiornis", "Maniraptoriformes", "Phacellophoridae", "Ctenopleuriphora", "Prionospio", "Oxylasma", "Leiospora", "Sphenacanthidae", "Laevicephalus", "Mackinlaya", "Charybdis", "Tectitethya", "Palaeostauropus", "Leptomorphus", "Bryoplathanon", "Hypopremna", "Satta", "Diselma", "Allophyllum", "Elatinaceae", "Thryptocerus", "Leptodryinus", "Otiocerina", "Acaenitellus", "Aspidoscopulia", "Marivita", "Phorticini", "Mirabythus", "Blabia", "Trachelostomum", "Aegilops", "Tragoptyssa", "Macrouroidinae", "Pronophilina", "Sigalphus", "Anax", "Platyoides", "Stenoscinis", "Arcanobisiinae", "Nannophiura", "Podoschistus", "Tragopan", "Serradinga", "Nelusetta", "Trimmatom", "Hemisphaeramminidae", "Skermanella", "Orphninae", "Contoderopsis", "Kruppomenia", "Megalopaussus", "Speobaxyris", "Osteolepidida", "Diplodus", "Ereboporus", "Oropyrodes", "Diphtherocome", "Heteromazocraes", "Austrofestuca", "Hadrinae", "Henicopsaltria", "Maizaniidae", "Holocentroidei", "Silvanus", "Proceratophrys", "Orthopterum", "Lachnanthes", "Echinophoreae", "Diceratostele", "Bioxylus", "Protelaterini", "Achradidius", "Ditaxodon", "Eptingium", "Acrocoelus", "Spirillinoides", "Urotrichidae", "Phacusa", "Neolecta", "Notaeolidia", "Apypema", "Pachyrotula", "Spermophorides", "Oblitimonas", "Dahmeria", "Desulfonispora", "Paradromius", "Meton", "Tanacetum", "Paramidobia", "Didymozoini", "Pedinopisthinae", "Neurosystasis", "Phoxomela", "Baeosomus", "Lamprotettix", "Berberideae", "Indobrachyopidae", "Cornigomphus", "Cyanosarcina", "Scaphisomatini", "Dieida", "Neophyllotocus", "Birkeniiformes", "Toxosiphon", "Cabomina", "Unilepidotricha", "Comaclinium", "Pseudotorellia", "Thalicola", "Tachyina", "Koinostylochus", "Telmatherinidae", "Potadoma", "Hypomyces", "Botryosphaeriales", "Scrotochloa", "Caledargiolestes", "Aconogonon", "Nuttalliellinae", "Megaparaglossa", "Parinari", "Apusomonas", "Microvelia", "Stenocypria", "Arionoidea", "Phialuciidae", "Penetrocephalus", "Crysodesmia", "Natranaerovirga", "Throscoptilium", "Englerodendron", "Yaginumanis", "Cyrtocarenum", "Pleuranthodendron", "Procambridgea", "Oligacanthophrynus", "Asaphus", "Ba", "Ceriodaphnia", "Epithelantha", "Anopsobiinae", "Phyllocerini", "Eurocostra", "Flexibacter", "Melanargiina", "Spinothecidae", "Scyllarides", "Rufoclanis", "Adenanthinae", "Cirrophthirius", "Pulsellum", "Occapes", "Elusia", "Parmentiera", "Physopelta", "Brachyphyma", "Loebliobythus", "Amakusanthura", "Pselaphostena", "Rhodinocichla", "Pistieae", "Lissorchiinae", "Pomacentrinae", "Dynamopodinae", "Manuelophryidae", "Woodwardiessa", "Archaeophlebia", "Stryphnus", "Turbonillinae", "Phloeoxena", "Anatista", "Mabrya", "Coldenia", "Microtritia", "Capsulapagurus", "Biloclymeniidae", "Scyphiphora", "Cerberothrombium", "Trachinocoris", "Wasbauerellus", "Dopatrium", "Phyllactinia", "Tachornis", "Condylopygoidea", "Amphithalea", "Gyroidinopsis", "Amorupi", "Plectranthus", "Borneomma", "Demetera", "Anthobothrium", "Kuniesaurus", "Latidrymus", "Pericaryon", "Hasegawazyma", "Bubakia", "Chironomus", "Merinanus", "Tiarella", "Perrhybris", "Nuurcala", "Wierzejskiella", "Lochmaeocles", "Sprentia", "Withiidae", "Seutera", "Nadasia", "Aphaenoglossa", "Crinipedeae", "Baltosidis", "Salantoia", "Neobodo", "Orthadenella", "Lepidozamia", "Rougemontius", "Anchotrechus", "Plicatiductus", "Uncieburia", "Clupeocharax", "Acrocyum", "Eumetazoa", "Novolopa", "Grammarctia", "Yan", "Ophryophryne", "Landolphia", "Subulipalpia", "ZIUZ", "Tapeinodasya", "Aulosaphes", "Gloeopodiaceae", "Giraffaenictus", "Ameiridae", "Mesogloiopsis", "Errolichthyidae", "Minimassisteria", "Acroclita", "Episageceratidae", "Psammolingulina", "Sphaeranthera", "Tetralunata", "Micractaeonidae", "\u067e\u06c1\u0644\u0627", "Gymnophyton", "Pachymerina", "Trichosidae", "Delkarlye", "Terpsiphone", "Neodaruma", "Lentisphaerales", "Sphenophryne", "Crassicollidae", "Pontastacus", "Xylocheles", "Nashia", "Siphonalia", "Therotingis", "Oegoconia", "Ruhnulepis", "Chamaipites", "Melampsora", "Heterophryidae", "Skermania", "Brasilidia", "Aradacrates", "Scolopocryptopidae", "Uromys", "Onychoteuthis", "Aotearomyia", "Kogaionidae", "Tentacularioidea", "Entacmaea", "Nelo", "Brachytabanus", "Serrasalmus", "Alphaflexiviridae", "Plaxiphora", "Podosiridae", "Mimocornuscoparia", "Pezosiren", "Celleporoidea", "Elytropsocus", "Quinetia", "Alloneuron", "Bolshayanoecia", "Trilobachne", "Philodina", "Foreyclupea", "Pholcoides", "Parasmermus", "Lasioseius", "Ristella", "Nadarimanu", "Ormyridae", "Chilodera", "Rhinotermitidae", "Romna", "Trogomorpha", "Aphelonotus", "Meliphilopsis", "Iris", "Yuhbae", "Vespinae", "Vitagonum", "Cambarincolidae", "Hemiphaisura", "Berosus", "Aculus", "Paraheligmonelloides", "Cederstroemia", "Iathrippa", "Astrorhizidae", "Faubelus", "Epectinaspis", "Howickia", "Hermachura", "Ophiocytium", "Cochlearieae", "Molpadonia", "Pseudebulea", "Haidomyrmodes", "Macrouridae", "Calyptraeoidea", "Chilumena", "Lachnospiraceae", "Cycadopsida", "Ernocornutia", "Bentinckia", "Tetracladus", "Minuartia", "Ptiloris", "Xerostygnus", "Blepolenis", "Platydoras", "Xenomys", "Planctococcus", "Notocerastes", "Kaloketos", "Schaeferhygia", "Diglyphus", "Catopysops", "Nanotermitodius", "Gracula", "Amazonella", "Loxophyllum", "Ascovaginospora", "Enterobiinae", "Pseudhyperantha", "Trisacantha", "Pareryssamena", "Rhyparobia", "Meiogyne", "Neotrephinae", "Chitinivibrionaceae", "Leucoscirtes", "Eibesfeldtphora", "Acutiramus", "Leptoischyrodon", "Akiyamamonas", "Proboscidea", "Zachardia", "Leptocylindraceae", "Siparuna", "Blinksiaceae", "Chlidanota", "Elsiella", "Alexapamea", "Muscigrallinae", "Phyllium", "Pachystylus", "Procrangonyx", "Textulariina", "Anthomycetella", "Orsotricha", "Tephraea", "Cassieae", "Zamioideae", "Montastrea", "Inguridia", "Cercospora", "Nannobittacus", "Trichobalya", "Yangchienia", "Tetratrichomastix", "Cnemalobus", "Nussodes", "Spondyliaspis", "Niphargobates", "Jepsonia", "Termioptycha", "Rhodellales", "Chantalia", "Canadaga", "Uranoscopus", "Australospathius", "Conzattia", "Histura", "Biglandatrium", "Huntleya", "Paralepistemon", "Falsanoplistes", "Bykoviella", "Ancylosternus", "Rhigognostis", "Dictyopsella", "Aleurodaphis", "Quasithosea", "Hydora", "Procamptini", "Nephelornis", "Lauterborniella", "Mendidaphodius", "Apoclausirion", "Clinodiplosini", "Jeongeupia", "Somalobolbus", "Epictinae", "Wittrockiella", "Yponomeutoidea", "Priosphys", "Paraturbanella", "Pachygonidia", "Salpiglossis", "Rigifila", "Spinadesha", "Strigoceratidae", "Sericophara", "Wobblia", "Lamiini", "Polypoetes", "Aphanopsis", "Xiphisterinae", "Emelinini", "Garrettia", "Apristomimus", "Gnathochorisis", "Paroligoneurus", "Tetraberlinia", "Trichopodiella", "Wabasso", "Gryllotalpella", "Heteromenopon", "Neoxus", "Spurgeon", "Trachelophyllum", "Chlamydephorus", "Coralliochytrium", "Anomiidae", "Lentibacter", "Iuliusina", "Dylakosoma", "Cecidomyia", "Narceoheterozercon", "Jahnulales", "Naupactini", "Drypetes", "Kandleria", "Catenaria", "Aceclostria", "Gallegoides", "Hydrothelphusinae", "Eusphaerium", "Echiurinae", "Epibator", "Motilon", "Angoseseli", "Aulodrilus", "Aroui", "Obesofemoria", "Ulmeritina", "Anisembiidae", "Palpocrates", "Cristarmadillo", "Miohebrus", "Metapseudinae", "Leberidocysta", "Ferreyranthus", "Thorecta", "Melaleuca", "Stigmaeidae", "Spizellomycetes", "Myelorrhiza", "Pteromaktron", "Crinodendron", "Herpestidae", "Strobilanthopsis", "Pseudoprotapion", "Macropanax", "Lucerocoris", "Atarsocoris", "Platyamoeba", "Neozoa", "Rheodithella", "Gymnomyzinae", "Hoya", "Chiromantis", "Gavialidae", "Cuspirostrisornithidae", "Discolampa", "Retipenna", "Austroencyrtoidea", "Coeloperix", "Dyacopterus", "Rugops", "Heliodiscoaster", "Telurips", "Eudorus", "Raibliania", "Phatnomatini", "Cricosaura", "Abdiunguis", "Epsilonproteobacteria", "Dryocoetes", "Cymatonitzschia", "Spinostropheus", "Garidella", "Wiltshirocossus", "Pleuroloba", "Loxocemus", "Toura", "Arcyosperma", "Homophysodes", "Phataria", "Antennophoroidea", "Plagiopholis", "Hemycorythoderus", "Abirus", "Corrosina", "Siphulastrum", "Anchonium", "Hypopyra", "Spalgis", "Fedia", "Hemiprigenia", "Ascophora", "Inlecypris", "Pycnocomon", "Druridgia", "Spathoteredo", "Craterispermum", "Kotumsaria", "Fallotia", "Catathyridium", "Enoplida", "Lobobrachus", "Flectoconularia", "BYU", "Oophana", "Planktoniella", "Taphrocampa", "Olenidae", "Mimopisalia", "Labilithrix", "Mimia", "Coniocybales", "Aureobasidium", "Gomphocalyx", "Paraphosphorus", "Cispinilus", "Hammeriella", "Margaritaella", "Ittolemma", "Dophotis", "Abelisaurus", "Phryganea", "Catulus", "Oilea", "Cosmetidae", "Neuroxena", "Pipunculidae", "Denaeaspis", "Dero", "Leleupidiina", "Thraulus", "Leptocoelotes", "Fairmairiana", "Stipiturus", "Troglobius", "Incaina", "Epiamomum", "Iwogumoa", "Villarica", "Penaeoidea", "Ophiomegistus", "Phaeotremella", "Morelotia", "Duplominona", "Stenops", "Ctenopeuca", "Clemensia", "Euschmidtiidae", "Erythroxylum", "Diplodiscidae", "Depressignus", "Badamia", "Bauhinia", "Rena", "Nychiodes", "Trizogeniates", "Thladianthinae", "Latomeandridae", "Draconinae", "Acrolyta", "Parazyxomma", "Leucoma", "Sinotroglodytes", "Melychiopharis", "Delochilocoris", "Parabainusa", "Holocoma", "Zahonya", "Betuloideae", "Akiodorididae", "Mordella", "Chloraea", "Craterocephalus", "Peniculia", "Racodium", "Apluda", "Mucinivorans", "Carphina", "Eurylemma", "Varzea", "Delicata", "Cynosurus", "Mellamunda", "Remiformvalva", "Leucadendron", "Setuloppia", "Pleurochrysis", "Halophiloscia", "Tecophilaea", "Terebralia", "Dinozoa", "Corynidae", "Osmeroidea", "Metahemipsocus", "Biroia", "Amathinidae", "Troxodania", "Liatris", "Ammoniinae", "Cleghornia", "Remosini", "Allopsontus", "Bucephalinus", "Bispinalta", "Botiinae", "Pachyconus", "Paracladurinae", "Gerstaeckerus", "Staphylion", "Fukienogomphus", "Rhinoplax", "Protonemura", "Certhiaxis", "Erinacea", "Notolabrus", "Rhomphaea", "Anatirostrum", "Amorphomerini", "Lawangia", "Divnini", "Serianthes", "Nasatus", "Atrichelaphinis", "Dinomycetaceae", "Macrolycini", "Neoneurus", "Hyalimax", "Conidophryidae", "Birgea", "Spiriamphorella", "Catenibacterium", "NMZB", "Whyanbeel", "Styloleptoides", "Strepidae", "Harpacticoida", "Gephyrochromis", "Ancistrogaster", "Rumia", "Prodaticus", "Secamonoideae", "Promyopias", "Crebricoma", "Rhyncholepis", "Nickerlea", "Calosota", "Allodrepa", "Pseudonerinea", "Oxandra", "Archboldomys", "Drosica", "Malacosteus", "Collostreptus", "Lakhonia", "Carbonomassula", "Triregia", "Grandaustralis", "Dolops", "Euproteaciphyllum", "Amischotolype", "Richardiidae", "Tenaciphyllum", "Oeoniella", "Nyctemera", "Chrysosaccus", "Pseudoceto", "Phrixiini", "Malvales", "Cenocephalus", "Pseudosymmachia", "Lophacme", "Loxolomia", "Zelanda", "Stichasteridae", "Sicanitinae", "Dorydrilidae", "Amalophyllon", "Cladoselachidae", "Lipophrys", "Callichlamys", "Areniscythris", "Loboscelidia", "Scelidopetalon", "Sulcopyrenula", "Steinera", "Cristatella", "Protoparmeliopsis", "Atractogyne", "Adenosma", "Polyipnicola", "Dilinium", "Aquebaninae", "Neotunga", "Macroscytus", "Nectocaecilia", "Sphaerophragmiaceae", "Fingerina", "Desulfoarculus", "Froggattia", "Uncinariidae", "Aliivibrio", "Hypocrites", "Dysagrion", "Oviraptorosauria", "Sipaneeae", "Trachymedusae", "Epipleoneura", "Neophaeosphaeriaceae", "Gralloperinthus", "Marcetieae", "Parareicheia", "Symbiococcum", "Goateria", "Orthops", "Erodiophyllum", "Feaella", "Megaloscapa", "Lithodes", "Polykyrtos", "Erythrophyllopsis", "Labrisomus", "Bullatina", "Hypocreales", "Chaeteessidae", "Apjohnia", "Bilaterocotyle", "Prosopocoilus", "Motandra", "Chlamydera", "Morionidius", "Kambaitipsychinae", "Pseudocoelichneumon", "Placoscelini", "Heterangaeus", "Astigmatophthalmus", "Storrsella", "Nyikoa", "Japewiella", "Eucopelates", "Glomibidion", "Apiomorphus", "Madakoala", "Rhaphipteroides", "Heteropodinae", "Pierini", "Scindapsus", "Phthiracaridae", "Sciaroidea", "Palmomyia", "Paranedyopus", "Marasmius", "Metabelbella", "Camerouniella", "Meteusiroides", "Hamopontonia", "Japara", "Catervarioliformes", "Malaiseium", "Jainus", "Nitimedon", "Onythes", "Euchlanis", "Torulaspora", "Plesiomonas", "Coniostola", "Cautinella", "Serinicoccus", "Amerothyasella", "Pinalia", "Rydingia", "Murgeina", "Coprozercon", "Platyfolliculina", "Pterophoridae", "Propachygammarus", "Amazonentulus", "Megomphix", "Lobodiamesini", "Eurycorypha", "Spilodochium", "Mollimonas", "Pseudoxyrhopus", "Tripyla", "Otariodibacter", "Encyalesthus", "Peniocereus", "Cryptocentrum", "Cameroniola", "Tathorhynchus", "Zeanichnus", "Pseudagrion", "Marchantiaceae", "Sisona", "Caligocara", "Entodontaceae", "Methemus", "Rikkarus", "Textularioidinae", "Zygogramma", "Brachycnemina", "Catanella", "Procula", "Dziwneono", "Rhipicephalus", "Piezobacter", "Craterosiphon", "Tellervo", "Trichocorixa", "Enneboeopsis", "Phlebotomus", "Sparassodonta", "Microcosmodon", "Koremaguia", "Leshansaurus", "Anobrium", "Reovirales", "Bathysciadium", "Eocallites", "Areopidsiinae", "Ophioscion", "Evippinae", "Boalda", "Paratrogophloeus", "Trischistomatidae", "Periplasma", "Marsilea", "Glomus", "Angekiva", "Neotrionymus", "Rugososchwagerina", "Deimnestra", "Hirtobrasilianus", "Melchersiela", "Steinia", "Neodiorchis", "Endocellion", "Helicophanta", "Netria", "Waterea", "Zoomastigophorea", "Eirmopauropus", "Dircaea", "Kurasawatrechus", "Stictus", "Coscinieae", "Stylochaeta", "Erannini", "Dibelonetes", "Noszkya", "Boyliae", "Chewchroma", "Trachyaretaon", "Gonioinfradens", "Orchymontiinae", "Teratembiidae", "Monodontides", "Niebla", "Stephanorrhina", "Halosieae", "Coptoclavinae", "Psilopini", "Sporomusaceae", "Pottiaceae", "Omniglyptidae", "Kempyninae", "Fringillidae", "Dothiorella", "Oculocincta", "Burkartia", "Zinovaea", "Ruffojassa", "Trichosomoididae", "Billieturnera", "Placosternus", "Pyla", "Gryllacridini", "Neonaudea", "Triphoridae", "Cylindrosporidae", "Eurhynchiella", "Eremobaris", "Placodontidae", "Cratopini", "Yoga", "Schackoinidae", "Phaonia", "Protosqualus", "Heteroponerinae", "Mixtec", "Tetracoccus", "Pseudeucinetus", "Sinlathrobium", "Banksieae", "Hemisincirra", "Geophagus", "Dipluridae", "Hyla", "Oreophasma", "Almidae", "Anthephorinae", "Simpulopsidae", "Sarsinella", "Chalinochromis", "Habeleria", "Cerdaia", "Cypridocopina", "Ancylotherium", "Scoliokona", "Hystrichosphaeridium", "Polymorphospora", "Whidbeyella", "Choloepus", "Lysorophia", "Mulloidei", "Cinctohammus", "Sphrigodellus", "Margarinotus", "Priscakoala", "Pierina", "Omalorphanus", "Buceroemersonia", "Darbicythere", "Urocoptidae", "Camassia", "Campter", "Neadeloides", "Oxycarpha", "Dicksonia", "Brachyscome", "Arctotheca", "Murraya", "Chonecoleaceae", "Dendrokingstonieae", "Potalia", "Bambusiomyces", "Neoolivea", "Aristobrium", "Latentifistularia", "Piora", "Gymnobelideus", "Lukabales", "Metoponrhis", "Kiskeya", "Pentakleidota", "Physocrotaphus", "Nesiotozethus", "Iponema", "Zopheridae", "Albertosaurinae", "Acantheurytoma", "Rehderodendron", "Dialeucias", "Sicariidae", "Coelachyrum", "Fectola", "Platythelphusidae", "Hypsoprorini", "Barunoides", "Thermomicrobia", "Protoclavigerini", "Daxata", "Variabilichromis", "Cubaroides", "Zeria", "Platynaspidius", "Myioscaptia", "Neosensoriaphis", "Neocyclotinae", "Asarcornis", "Lamidorcadion", "Austrospirachtha", "Fasciospongia", "Flaccisagitta", "Operculomycetaceae", "Triceratium", "Tuberidelus", "Ancistrocomidae", "Ogasawarana", "Syringoderma", "Clesthentia", "Lygodiaceae", "Guaduinae", "Leptophoxus", "Woodsiaceae", "Zeugrhabdotus", "Paleodictyoconus", "Acidicapsa", "Scelidothrix", "FUNED", "Metastrangalis", "Pentascyphus", "Maguireothamnus", "Palaeocursornithidae", "Clappia", "Quidproquo", "Hyalistata", "Sinosuthora", "Lumnitzera", "Hispanocaderidae", "Sporastatiaceae", "Roveacrinus", "Paratomoxia", "Doassinga", "Whymperia", "Megacephalon", "Pseudohalmyrapseudes", "Homotrigona", "Limimonas", "Gnathostrangalia", "Melaxumia", "Transeius", "Parafusulina", "Rhasis", "Nesoctites", "Fania", "Haloferacales", "Parajulidae", "Placerias", "Antedonidae", "Criblamydiaceae", "Gardnerianus", "Amanoinae", "Subtercola", "Prochas", "Alphalaelapinae", "Melatolla", "Gymnophthalmus", "Joanna", "Frankiaceae", "Aneuraceae", "Romanaria", "Atelurodes", "Hemitaxonus", "Balionysius", "Synodontis", "Paraemmalocera", "Morganucodon", "Spilocuma", "Excelsiorella", "Pterosiphonieae", "Zygodiscales", "Philosciidae", "Xestophanes", "Batrisoconnus", "Abrotelina", "Tetranychini", "Mimicoscypha", "Triotemnus", "Dunveganoceras", "Stegoloxodon", "Taiwanomyzus", "Otiaphysini", "Meandropsina", "Stiptocnemis", "Endoxazus", "Nothopsocus", "Lemurichila", "Delavaya", "Squamata", "Hyrcanana", "Emphylica", "Electrocaryedon", "Pseudoleptaleus", "Cyathopsis", "Dactylinius", "Hemigymnostreptus", "Xiphidiopicus", "Anthracoceros", "Hydrovatus", "Lophocoleaceae", "Onychomerus", "Aethionectes", "Euphorbagria", "Sinoxytelus", "Hoenia", "Zale", "Uzelothrips", "Tubariopsis", "Ptiliini", "Zeclaviger", "Ampliotrema", "Deoptilia", "Rhabdodontidae", "Moreauia", "Saccochrysis", "Limnornis", "Protoochromonas", "Elateridae", "Grallaria", "Hylodidae", "Allocentrum", "Plateosaurus", "Leptipsius", "Propsocinae", "Amansieae", "Soridium", "Haematonotus", "Hyperotreti", "Zeutus", "Grupiara", "Incapsocus", "Philesia", "Lethogoleos", "Porticulasphaerinae", "Coleta", "Neometrypini", "Pseudocedus", "Ancistroides", "Meiotheciella", "Oceanospirillales", "Typhlodromipsini", "Glyphaclastus", "Xerolirion", "Sindiplozoon", "Cybocephalidae", "Ascocylindricaceae", "Apenesia", "Hynerpeton", "Dactylethra", "Crincosia", "Bucerolepis", "Laemonema", "Pararaphidoglossa", "Neobotrys", "Ctenocolum", "Majidae", "Cyclozodion", "Stenacidia", "Trechoides", "Duripelta", "Goniodoridella", "Triquetramana", "Brachycybe", "Grammistinae", "Hypotelus", "Vitalius", "Udenocera", "Hydrococcaceae", "Panelus", "Quasibodo", "Schistogeniina", "Phaulernis", "Guizotia", "Rasnitsynala", "Bogoria", "Laiqia", "Plocamiancora", "Herpochondria", "Cystiscinae", "Neonallachius", "Pseudoceratium", "Erythraella", "Agoliinus", "Subprionomitus", "Xenocynips", "Meleagris", "Acantholippia", "Quediomacrus", "Cetorhinus", "Ctenocladus", "Cryolophosaurus", "Oiorhinus", "Parathuramminites", "Allosauridae", "Hamatothrix", "Rhinocola", "Fanala", "Xylonagra", "Brachyzancla", "Ufo", "Eubolepia", "Demolis", "Melanostigma", "Freyanidae", "Lyonetiidae", "Tingidae", "Barbopsis", "Psittacinae", "Boppeus", "Distipsidera", "Peziza", "Mesembryanthemoideae", "Astasiaceae", "Jahnella", "Neopallasia", "Mantodea", "Sphenodillo", "Aspidochirotacea", "Planctostomatinae", "Trechoblemus", "Epeolini", "Selenophorus", "Oestrus", "Stenoglottis", "Facelina", "Facitorus", "Palyadini", "Scurrulinae", "Gastroxides", "Tropholampas", "Berneuxia", "Lamellibrachiida", "Genieridium", "Carassius", "Scelorthus", "Campyloneis", "Tiana", "Cryothecomonas", "Oscillatoriophycideae", "Guettarda", "Halianthella", "Macrinella", "Quintaria", "Simonyella", "Metaingolfiellidae", "Parvibaculum", "Tanyrhinus", "Phylliscidiopsis", "Pythidae", "Craterites", "Dreyericyrtium", "Tristanella", "Ezo", "Sinadoxa", "Laxita", "Zygoferus", "Lagenodelphis", "Artoria", "Tenieta", "Astrotominae", "Anthocerotidae", "Rattana", "Trochochaetidae", "Dorrigo", "Sicoderus", "Emrahia", "Actinocheita", "Neomyrtus", "Doraster", "Thaumastomyia", "Epiglenea", "Aeolomorphella", "Trichonotidae", "Androsiphonia", "Regetus", "Leishbuviridae", "Chrysothecopsis", "Cryptosporangium", "Feronista", "Heliactinidia", "Protoopalina", "Lycaeides", "Hyloxalus", "Walteria", "Entolomataceae", "Alnopsallus", "Entorrhizomycetes", "Mesochila", "Bolbocephalodes", "Dialycera", "Protostelium", "Acoelorraphe", "Austrofilius", "Cryptolepis", "Micranoplium", "Craspedophorus", "Semnodioceras", "Mycocaliciomycetidae", "Alacran", "Astranthiinae", "Semibulbus", "Burnetiidae", "Ptychographa", "Phanerozela", "Mesostominae", "Cryptomycocolacales", "Cuma", "Eudiospilus", "Amylocorticiaceae", "Lioheterophis", "Ottowia", "Leiolepidinae", "Liolaemus", "Chaubardiella", "Heminoemacheilus", "Bembropidae", "Malkinola", "Ceratinoderma", "Chorivalva", "Hirsutia", "Ectotrabisus", "Phyllocnistinae", "Paragammaropsidae", "Globanus", "Amalopisalia", "Echidnodella", "Planidia", "Nannochoristella", "Potamothrix", "Kiloniella", "Bruneica", "Pseudoeoscyllina", "Buffonellaria", "Aenasomyiella", "Metacrangonyctidae", "Mimecyroschema", "Aegithalidae", "Aprostatum", "Lotagnostus", "Cambaroides", "Vermetum", "Lipomelia", "Capturomyces", "Lysiana", "Hirudinellidae", "Pleurobranchaea", "Cassidinae", "Monokalliapseudes", "Orsodacnidae", "Skwala", "Trogodes", "Porrhopini", "Rhodorhipha", "Aldrichiopa", "Apterivorax", "Bacteriovoracaceae", "Pseudosepina", "Ranina", "Needhamiella", "Amartinezus", "Idiotypa", "Montsaleviidae", "Madhyattus", "Bocundostethus", "Zapalla", "Thalassorninae", "Hyparcha", "Erpeton", "Orthometopon", "Odontoscion", "Porus", "Picrostomastis", "Amphiuridae", "Chilenopilus", "Ommatini", "Allograea", "Spizelloides", "Eutheiini", "Sphaerechinorhynchus", "Symphylax", "Gyracanthocephala", "Nearchaster", "Arhynchobdellida", "Beroida", "Alxasauridae", "Ankarahitra", "Carludovica", "Archaeocorymbostomum", "Haplostylipera", "Neokunmingella", "Mapluroides", "Dactyliophora", "Sibuyanhygia", "Apocyclops", "Neltneriidae", "Chaetophoraceae", "Petropomatinae", "Parasalvazaon", "Wandella", "Diosyris", "Plistobunus", "Planostegina", "Mimoplandria", "Cryptobothria", "Actinotus", "Megisthanidae", "Conopidae", "Oceanirhabdus", "Phthanoconini", "Heteragrionidae", "Psocidae", "Calophyllaceae", "Trichalphus", "Styasasia", "Chlorodectes", "Platygastrinae", "Hyalopterygini", "Neozealatheta", "Discoclymenia", "Mayamaea", "Afrogehringia", "Procymophyes", "Mohunia", "Swezeyula", "Leptochloa", "Chelonocytherois", "Anopyxis", "Lagrecacanthops", "Diophila", "Faguagryllus", "Mandoniella", "Metrioxenoidini", "Plagiopyxis", "Selenarctia", "Dehalococcoides", "Arctoroncus", "Adenocalymma", "Lemuridota", "Zobracho", "Streblacanthus", "Gibberospongus", "Engelhardia", "Edmontosaurus", "Procolpochelys", "Diaporthaceae", "Merope", "Lamyctes", "Paenibacillus", "Hemiramphus", "Vitacinis", "Adonta", "Sorubimichthys", "Metasolpuga", "Ponera", "Neorhizobius", "Cardiochilos", "Irenia", "Phymatopleuridae", "Petrosia", "Elaeonoma", "Talinella", "Opabinidae", "Falcaria", "Moroca", "Zinaida", "Microbiota", "Oxybelis", "Dimargaritaceae", "Neolorryia", "Alveosepta", "Stenotrophomonas", "Bessera", "Bcharreglaris", "Cosmopsaltria", "Pseudostegophilus", "Senogaetulia", "Neostictoptera", "Australocorinae", "Liturgusa", "Cleopomiarus", "Clathrosphaera", "Peyssonneliopsis", "Sophronisca", "Rachidiscodes", "Ophiolipus", "Chalicodoma", "Satyrichthys", "Xystosomina", "Alecanopsis", "Cerambycinae", "Uvariastrum", "Neotrematocoris", "Lithocolletinae", "Laurobasidium", "Thiodinini", "Argyrometra", "Xenohammus", "Thelesperma", "Psoroptoididae", "Bigotinidae", "Gardnerina", "Caelestomorpha", "Husnotiella", "Antiscopa", "Grangeinae", "Ammothereva", "Gemmatophora", "Microcrasis", "Gibbiini", "Actinodendron", "Cercopidae", "Wheelerodemus", "Mezira", "Pseudulvella", "Valvatidae", "Falsicingulidae", "Xenosphecini", "Protoligoneuridea", "Astycops", "Pseudoplesiopinae", "Presliophytum", "Cydrelinae", "Chromodorididae", "Australoclerus", "Protocruziida", "Atelecrinoidea", "Dictyosteliida", "Ellipsocristellaria", "Arcitalitrus", "Pachypidonia", "Haplodrassus", "Didyochamus", "Kabylophytoecia", "Clytocosmus", "Mynes", "Coupatezia", "Caecidae", "Platyxyela", "Phaenospermatideae", "Anchiceratops", "Acacieae", "Hoplochaitophorus", "Cardiodectes", "Lochetica", "Camerobiidae", "Pilsbrylia", "Hylexetastes", "Penardeugenia", "Hageniinae", "Attaxenus", "Paraprotella", "Swammerdamellini", "Lithothamnion", "Caenocoris", "Nototheniidae", "Anthophiura", "Angiactis", "Hemipsilia", "Eccoptarthrinae", "Euptera", "Idiolimulodes", "Aradrapha", "Hesperocnide", "Domorganus", "Alocasia", "Perittoides", "Kurioidea", "Leptodeira", "Eomyidae", "Tylencholaimus", "Lomaspilis", "Gladiopycnodus", "Dusenburyinidae", "Boldoa", "Cheluridae", "Atimiini", "Stegodontidae", "Moniliformis", "Ephydrempis", "Epiphryne", "Ptesimogaster", "Sigilliidae", "Scleroderminae", "Sasakia", "Nemobius", "Poecilopsocus", "Astrotoma", "Labyrinthidae", "Tetrastrum", "Galloisiini", "Lissorhoptrus", "Stromboli", "Aguriahana", "Drypta", "Schismatothele", "Plagiomnium", "Placodontia", "Megapomponia", "Doliops", "Petrimonas", "Tethlimmena", "Achiroides", "Ophiurothamnus", "Mestolobes", "Thelonema", "Melanophara", "Zygostigma", "Andira", "Templemania", "Pnoepyga", "Palaelodus", "Fungulus", "Conicosia", "Symphyla", "Chondrohierax", "Puccinia", "Troodon", "Promachoteuthidae", "Kalidium", "Irianoaegus", "Catamixis", "Anastromvos", "Declivocondyloides", "Liphyra", "Carnegieodoxa", "Uvulifera", "Dysleptusa", "Lissopogonini", "Trichotobia", "Cladostemon", "Sinopachys", "Prorhyacophilidae", "Trieenea", "Orientophiaris", "Anapogonia", "Sapitia", "Diacheila", "Schiffnerula", "Bromelioideae", "Cretaesalus", "Nuddsia", "Acentrophryne", "Heliophorus", "Nigritothrips", "Parexarrhenus", "Heliodinium", "Polygaloides", "Selaserica", "Marigidiella", "Dicranum", "Passeroidea", "Vanderbeekia", "Wrangelieae", "Maoriphimedia", "Cerdale", "Palmanura", "Tecnophilus", "Eremosphaera", "Coelomoron", "Kepongia", "Tubigorgia", "Leyesaurus", "Juanfernandezia", "Sleuthemis", "Centrostephanus", "Hystrichodinium", "Apteraphaenops", "Neocolobopterus", "Mimallo", "Halerica", "Salpa", "Copiphora", "Heptaxodontidae", "Confusocentrus", "Eggerina", "Erotylinae", "Vertomannus", "Tachydromiini", "Melampodinae", "Glaucosomatidae", "Arachnomycetales", "Heterosignum", "Clothodidae", "Petrophassa", "Trigonopterus", "Saxicolinae", "Neomixis", "Pelagibacterales", "Neotrygoninae", "Sarum", "Paradinocephalus", "Xylena", "Odontodes", "Andreaeales", "Vangueria", "Primeuchroeus", "Harrimania", "Hylaeothemis", "Macrochelidae", "Tervurenia", "Pseudobonellia", "Prolecanitinae", "Periptera", "Terasakiispira", "Pluteus", "Hecatostemon", "Wulfilopsis", "Nealgedonia", "Cyttidae", "Trichodiscus", "Macmurtryseius", "Monitoriella", "Mburuvicha", "Microcorycia", "Notarthrinus", "Thaumatoplites", "Planeboreaphilus", "Tekellina", "Acallocheirus", "Xanthomicrogaster", "Cylistus", "Dysaethria", "Pentalonia", "Psora", "Mixiaceae", "Semnoderidae", "Macrospina", "Metagonimus", "Dicronocephalus", "Sphaerophoraceae", "Noasaurinae", "Phruriastis", "Polystoechotes", "Gahus", "Kallitaxila", "Halyles", "Tingotinginae", "Anabaxis", "Robertinoidea", "Xysticus", "Lophodonitis", "Cantharinae", "Pyrosejidae", "Pseudosorghum", "Antrodia", "Heterorhabdidae", "Staurozoa", "Pulvinariini", "Arisareae", "Mandibularia", "Schistocerca", "Compactozetidae", "Stictis", "Plectina", "Bishanopliosaurus", "Littoridininae", "Diadasina", "Koizumia", "Lyciasalamandra", "Tachycineta", "Trypanaeinae", "Antaea", "Eohypsibioidea", "Anarsia", "Aethionema", "Spongophloea", "Hippopotamus", "Anisothecium", "Agonopterix", "Bergicoris", "Occitanichthys", "Glaciibacter", "Ailinella", "Rhincodontidae", "Taphridium", "Ichnea", "Zombiweckelia", "Euechinoidea", "Venicoris", "Atlanticellodinium", "Doraphis", "Capronnieria", "Oligoneura", "Bythinina", "Parirazona", "Doesburgia", "Sycantha", "Lamprinus", "Gymnocladus", "Periplacis", "Plutoniidae", "Ephippus", "Bolbotrypes", "Dissulfurirhabdus", "Pseudovahlkampfia", "Magnipelta", "Leptopharyngidae", "Caenagnathinae", "Dipylidiidae", "Loxioides", "Catops", "Phytonomus", "Australocheles", "Eomonoplacophora", "Kwanghwana", "Borneratura", "Elionurus", "Serpulopsis", "Brylkinia", "Vasostoma", "Mycetophagus", "Fischerina", "Anomalorbina", "Syllysis", "Morinda", "Drosichini", "Portea", "Bourgueticrinina", "Lycaea", "Bafodeya", "Forskaliidae", "Julidae", "Kowsalyabothrium", "Dawkinsia", "Gibbomyzus", "Protocruziidae", "Alytidae", "Tricytarus", "Hancockia", "Hipparchia", "Rectobolivina", "Sairocarpus", "Resia", "Adalgisa", "Penaphis", "Sphincterochilidae", "Chamaesieae", "Ptilogyna", "Austrolichtensia", "Soteriscus", "Anoplodiscidae", "Dusungwua", "Triphysaria", "Coleopteron", "Malenchus", "Hylesia", "Abralia", "Bituminaria", "Lophodytes", "Agetocera", "Prionoryctes", "Exiliphotis", "Entosigmomorphina", "Creightonella", "Bathygonium", "Metadrosus", "Coreura", "Caprellinoides", "Paracunaxoides", "Wulfeniopsis", "Anomoeoneis", "Scitala", "Philaenus", "Tysius", "Dierama", "Singaporemma", "Ceratocapnos", "Ansanella", "Phycisphaeraceae", "Dibamus", "Thalassomycetaceae", "Aetiopedesoidea", "Soritinae", "Ophiobyrsella", "Proctonemesia", "Cicadoidea", "Neopilioninae", "Phoxopteris", "Parepilysta", "Argiopinae", "Heterothele", "Thaumatosiidae", "Laberius", "Salpingacantha", "Lobesiodes", "Tegulifera", "Neoholmgrenia", "Loraphodius", "Oxylobus", "Chilodontopsis", "Spirocyclinidae", "Myrmoplastoides", "Philotiella", "Ctenoplon", "Ctenjapyx", "Nausithoe", "Mundkurella", "Batrachospermum", "Saphanus", "Sphinctrinopsis", "Hesperentomon", "Parnassiinae", "Pemphredonini", "Lauricius", "Pseudathyma", "Panamanthus", "Sporathraupis", "Gardodinium", "Hiratsukaia", "Pellita", "Cleptonotus", "Polyonymus", "Lactoris", "Tatenectes", "Neharpyrhynchus", "Eurazhdarcho", "Syrdenoidius", "Phoberocysta", "Gurleyidae", "Sinornis", "Phymatocerotaceae", "Neactaeonina", "Giraffaphaenops", "Monoposthiidae", "Argyrophorus", "Semimesoleius", "Soleidae", "Gantarostraspididae", "Clytolaema", "Camelomorphini", "Keronella", "Mikaniinae", "Batriscenaulax", "Tiferonia", "Siphulella", "Bentartia", "Plectrura", "Riukiaria", "Ichthydium", "Conochilidae", "Spatula", "Megapodaphis", "Iberomaimetsha", "Conchacineta", "Polycestaxia", "Berberosaurus", "Taosini", "Dictyoceratida", "Megatoma", "Pleurocerina", "Carinacauda", "Alaudala", "Conilera", "Ariolicina", "Bellamynacoris", "Acanthogalathea", "Paraleucophenga", "Prochyliza", "Flora", "Loxokalypodidae", "Merionoeda", "Amoaba", "Citrinae", "Minuthodes", "Interphasma", "Hygromiinae", "Carcinomycetaceae", "Cucujoidea", "Elysius", "Aeolosomatidae", "Coulmannia", "Baeoceridium", "Geopsammodius", "Paraphymatoceros", "Disporopsis", "Iwanoffia", "Phodilus", "Ansifera", "Phaeosiphoniellales", "Leptotriticites", "Stromatitica", "Bryoplaca", "Pyriglenini", "Spongomonadidae", "Corynophrya", "Myrmornis", "Ptycerata", "Joubiniopsis", "Neochevalierodendron", "Hemeromyia", "Gastrodonta", "Bryostigma", "Textrema", "Tremataspidinae", "Cerberoides", "Dravidogecko", "Metadasydytes", "Clavagellidae", "Xerosicyos", "Parabitecta", "Cheiloceratidae", "Cyclococcolithinus", "Craspedothrips", "Nanoscydmus", "Oreobolus", "Centropodinae", "Elytracanthina", "Afrochthonius", "Campyliadelphus", "Leotiaceae", "Diacritinae", "Johannesburgia", "Nearctodesmidae", "Adhaesozetidae", "Spirobolivina", "Terebridae", "Micaredemus", "Holoboreaphilus", "Corythaica", "Kudrjaschevia", "Desertobiini", "Gluema", "Scalpellidae", "Brevibrachium", "Madagotricha", "Iraota", "Amblyodus", "Bueningia", "Jalcophila", "Hyalinobatrachium", "Globoquadrina", "Carinurus", "Scutibracon", "Rallicula", "Metaponini", "Barrelater", "Xyeloblacini", "Centrohelea", "Disphaerogena", "Melanopleuroides", "Trochilinae", "Tovomita", "Pteronia", "Leucyssa", "Dentalion", "Snowella", "Anthracothorax", "Bythitinae", "Ischyropsalididae", "Mitridae", "Haimbachia", "Metriocheila", "Pasiphyle", "Karina", "Cecryphalini", "Strabena", "Talbotiomycetales", "Leucobryaceae", "Coronacanthus", "Ciona", "Chitonellidae", "Sarothrogammarus", "Namibiotrupes", "Tenedocythere", "Europiellomorpha", "Reinickella", "Watersipora", "Polystigmataceae", "Heterofragilia", "Phthirostenus", "Poecilantrops", "Mancocuma", "Dilophonotina", "Franklinia", "Cyclaneusma", "Neomorphinae", "Pogonolepis", "Acrisius", "Rapanea", "Leprodera", "Nuclearida", "Heminidium", "Megalonotini", "Catenella", "Carterus", "Euselasia", "Protorhaphoneis", "Propyrrhura", "Polyedrium", "Tanysiphoninae", "Wanyucallis", "Prosphytochloa", "Tramlapiola", "Nesiostrymon", "Graphephorum", "Dendyidae", "Adelungia", "Stenocader", "Thamnosma", "Acianthera", "Psychidae", "Orthoneis", "Peniticus", "Trichosternus", "Rhinocerotidae", "Hebomoia", "Toshiaphaenops", "Agoultichthys", "Strongylocotes", "Horisme", "Ancalecetus", "Emarginata", "Otophryninae", "Cyathophoridae", "Eubotrys", "Micropyropsis", "Apsteiniella", "Phyllorachideae", "Pleurolithobius", "Gyretes", "Synercticus", "Hesperophanes", "Challengerella", "Paraphelaria", "Heritiera", "Eoptychopterinae", "Plesiotyrus", "Heteroleucon", "Bothrocarina", "Carbonellia", "Arenopsaltriini", "Pterocactus", "ZIK", "Odontohenricia", "Fragilaria", "Callidiopis", "Stenopus", "Sphaerococcaceae", "Pulvinariella", "Pellicia", "Thaumatonema", "Prolais", "Longzhouacris", "Transkalliapseudes", "Nakataia", "Podanotum", "Blastotere", "Xylosybra", "Spenceria", "Curculigo", "Blennosperma", "Conganteon", "Cicatrion", "Hemicoryphocera", "Smittinidae", "Diploglossidae", "Cereopsius", "Spilotrogia", "Pristocerinae", "Podargoecus", "Derossiella", "Geometroidea", "Perinephela", "Temnohaswellia", "Parafrea", "Amaurocoris", "Acanthobasiliola", "Aethopyga", "Phausis", "Matsucoccidae", "Oligosphaeraceae", "Uncol", "Urotriainus", "Mesonerilla", "Schizochlamys", "Eiffelospina", "Cuneogaster", "Folsomia", "Stephanoptera", "Tetrablemma", "Saccogynidium", "Tangara", "Astydamia", "Antarctobiotus", "Speculanas", "Artace", "Stachilis", "Lycocerus", "Zatrephus", "Eupograpta", "Labyrinthina", "Dermochelys", "Prosobothriidae", "Criorhina", "Broussonetia", "Dolichogenidea", "Crassicrus", "Amorphospermum", "Melphisana", "Arnebia", "Meridiobolbus", "Muvirales", "Byasa", "Sardovitrina", "Tropeogaster", "Aganoptila", "Chrysomyini", "Flexobothrium", "Ekmanochloa", "Zonosagitta", "Cycloprionus", "Ptilobaptus", "Adenodictyna", "Ahnfeltiopsis", "Eucallopistina", "Anoplotherium", "Frigoribacterium", "Protochelonibia", "Threskiornithidae", "Ctenogampsophlebia", "Cateristis", "Thryssocypris", "Brachynopterus", "Rhoipteleaceae", "Derotettix", "Cladocoryne", "Ariptyelus", "Paumotua", "Uenoinae", "Pittasoma", "Scoloposcelis", "Epipedonota", "Gildoria", "Agriloides", "Meoticaphaena", "Alfaropsis", "Paraleprodera", "Protoptila", "Diacucephalus", "Eubetia", "Acanthoceras", "Afrosmodicum", "Phasmidiasta", "Teranyssidae", "Chacodelphys", "Petrocerus", "Algisphaera", "Trematosphaeriopsis", "Maribius", "Lampetra", "Paenalcaligenes", "Olegius", "Pygidicraninae", "Kairoa", "Caenoprosopon", "Apostates", "Moca", "Trimerotropis", "Anozethopsis", "Ophiocytiaceae", "Dendrelaphis", "Neodelosina", "Teloschistales", "Chararica", "Amarusa", "Stenetriidae", "Osmeridae", "Lachnoniptus", "Vigna", "Stictodora", "Heteronemiini", "Miniopteridae", "Apogonops", "Novafrontina", "Atrobucca", "Wielandia", "Stirnia", "Flyriella", "Nefoenus", "Termatophyloides", "Parachilocoris", "Histeromerus", "Paposoa", "Neodasygnathus", "Pleistosporidiidae", "Auerswaldiella", "Orotermes", "Zeonia", "Sphacelaria", "Porocara", "Stivaliidae", "Philgamia", "Rhabdophora", "Paranaella", "Arctobyrrhus", "Echinopsis", "Plagiotropidaceae", "Bignonieae", "Ommexechidae", "Arcygobius", "Gorgonomycetaceae", "Madagascarentomon", "Amathillopsidae", "Hawaianira", "Novocriniidae", "Tetraclitidae", "Sickius", "Rhinophrynidae", "Brachycercinae", "Ophrestia", "Kuschelodesmus", "Aeschynomene", "Yngveella", "Aedesia", "Triprion", "Bobosaurus", "Phrixothrix", "Parastrombidinopsis", "Coilodes", "Pseudasiphonaphis", "Pteroferus", "Speleoticus", "Aiakas", "Percolozoa", "Orectochilus", "Metasigaloceras", "Cavolinia", "Tilloclytus", "Pseudopleonexes", "Tupuxuaridae", "Paranassulidae", "Nemeobiini", "Pseudometabletus", "Thalassospira", "Myrmoecia", "Antodon", "Helicoverpa", "Kallimini", "Hadrodiplognatha", "Schimperiella", "Gymnanthes", "Cnemeplatiina", "Ellobiidae", "Dagini", "Conchopoma", "Echinovelleda", "Pteralopex", "Ngarawa", "Mesenopsis", "Profundisepta", "Plaesiorrhinella", "Yonghaparkia", "Achanarella", "Trichiocercus", "Megagrapha", "Mnierpes", "Cylindrops", "Orphilodes", "Mimoleuronotus", "Diaulomorpha", "Ramadademus", "Protoschizomus", "Deltocolpodes", "Pygiptila", "Dermatocarpella", "Cryptotympanini", "Pulsatrix", "Hebeloma", "Trichrous", "Belisana", "Linopteridius", "Lonsdaleiina", "Phrurolithus", "Dorcadionini", "Barycheloidea", "Erythrolamprus", "Liagonum", "Palaeorissoinidae", "Coralloidiomycetaceae", "Tetracona", "Oniscodesmidae", "Placocarpus", "Agelenopsis", "Aeluroscalabotes", "Paranephrops", "Catamblyrhynchinae", "Scleromochlidae", "Geranium", "Okamotonius", "Ipa", "Sphyranthereae", "Hartmanonuphis", "Marmosa", "Potamophila", "Pyramodontinae", "Trochisciopsis", "Pellatispiridae", "Abantiadinus", "Elisabethinia", "Aeranthes", "Isolineocerus", "Neurocalyx", "Pseudobaptria", "Paraberrapex", "Aphemogryllini", "Zygaeninae", "Paraschizidium", "Ankylosaurus", "Verschaffeltiinae", "Cymbionotum", "Cheniseo", "Euasterids", "Petitilla", "Rhodogastria", "Bischoffia", "Phyllophoraceae", "Amicrocentrinae", "Dipodinae", "Pseudocriocerini", "Urocynchramus", "Osornolobus", "Pternandra", "Malacocarpus", "Cechenodes", "Dasymacaria", "Stenokalyx", "Longipalpus", "Polygonatum", "Pseudopsichacra", "Schizochlaenion", "Deuterocrates", "Triptila", "Dolabella", "Hemimeris", "Rhodospiza", "Prionotus", "Cyrtophyllitinae", "Siats", "Semonina", "Rynchobanchus", "Oileides", "Serpentinicella", "Agonotrechiotes", "Coniungopterini", "Bostryx", "Colpochila", "Agriopocodemus", "Vampyroteuthidae", "Callidagonum", "Neoprotoparmelia", "Hemeroplanes", "Myopsina", "Magdelainella", "Dilocarcinus", "Spirolina", "Saturniinae", "Anchophthalmops", "Epithema", "Franzidota", "Schistocarpaea", "Osoriinae", "Fragilidium", "Sibirhelus", "Zygodon", "Megarhopaea", "Hypolampsis", "Caropsis", "Doellingeria", "Aulacephala", "Bithynops", "Chaetocrepis", "Cyrtocara", "Cyrtosathe", "Paraprotaetia", "Torreya", "Akysis", "Dialeurolobus", "Nanhsiungchelyidae", "Symmorphus", "Princeps", "Lycaeninae", "Migmacastor", "Aetalionidae", "Triplectides", "Callispini", "Entomoculiini", "Eupalamus", "Insulicola", "Labyrinthulomycetes", "Notostraca", "Eurycotis", "Acetivibrio", "Laminacauda", "Ophiurina", "Ctenobium", "Eucladium", "Caecilius", "Hadrodemius", "Leucochloridiidae", "Cochlicellini", "Fodinicurvata", "Pseudosphingobacterium", "Rastodentidae", "Ribesaptera", "Nondulia", "Ophiletidae", "Magninae", "Cryptocneminae", "Pheidolini", "Inferuncus", "Endorete", "Allogastrocotyle", "Sinanthobium", "Parahelichus", "Superagnia", "Phallostethidae", "Crimmia", "Pallidoplectron", "Conochares", "Brignoliella", "Glossopsitta", "Quetzalcoatlus", "Sericopimpla", "Paraphthonia", "Myxiniformes", "Azhdarchidae", "Ticodendron", "Megacerina", "Hypselogenia", "Mecyclothoracina", "Mimoeme", "Sepidiocoris", "Aristocypha", "Myrmecites", "Oligobregma", "Ranapa", "Stylochyrus", "Papilloderma", "Lomentariaceae", "Exoacantha", "Rhizococcus", "Clibanornis", "Tophoderini", "Neosphaeniscus", "Batrisitae", "Banksia", "Stilosoma", "Orthosiphon", "Nefertitia", "Telephanini", "Brumoides", "Phlegeria", "Calliergon", "Astyroides", "Megasecoptera", "Paradiallus", "Barbatula", "Herilla", "Dictyosphaeriaceae", "Oxymonacanthus", "Aades", "Piratinae", "Gymnastes", "Guttaviridae", "Argonestis", "Androcalymma", "Madagaphes", "Homalospermum", "Xenomma", "Phaenospermateae", "Argyrospila", "Echinopyxis", "Hylemonella", "Homalernis", "Monachosorum", "Ottleya", "Procoelodonta", "Macrosaccus", "Entomoneidaceae", "Spermatochnus", "Orthizema", "Cremastaptera", "Mectemycor", "Crepidinae", "Coryne", "Methanolobus", "Alogotheke", "Odontina", "Gunadhya", "Rutaneblina", "Cocos", "Trigonodoma", "Chionaspis", "Brankocleistostoma", "Maricurvus", "Protoscutellidae", "Kalyptea", "Biatoraceae", "Leucodecton", "Whartonius", "Acampe", "Xanthocarpia", "Aporhexius", "Placoneis", "Pachylomera", "Veronatus", "Focillidia", "Elousa", "Euryischia", "Proteothrinax", "Poppiocapsidea", "Anteosaurus", "Dromaius", "Drusinae", "Griseothosea", "Calycophyllum", "Cypholoba", "Ringipleura", "Hebetingis", "Allocara", "Vertebrata", "Rhinidae", "Pseudingolfielloidea", "Craugastor", "Allodinopsis", "Picipes", "Hemisarcoptoidea", "Goodmania", "Roseiflexineae", "Promecoptera", "Atypena", "Lissocidaris", "Hesperiphona", "Plastorhodobacter", "Typhonia", "Matyotia", "Typhinae", "Chionosia", "Stephanothrips", "Caldithrix", "Macrodarumoides", "Allocolenisia", "Allochrista", "Aphrosylus", "Fairmairoplia", "Fragosia", "Ceutorhynchini", "Scaphander", "Metopidae", "Tectofilosida", "Xironodrilus", "Hephaestioides", "Sagosphaeridae", "Chrysanthemum", "Sphenostethus", "Litocerus", "Megapedion", "Pygoplanus", "Tropaeolaceae", "Cyanoboletus", "Microglanis", "Homalonychidae", "Globigerininae", "Eremotropa", "Aprepodoxa", "Nematobothriini", "Saxipendium", "Xenopacarus", "Morronella", "Artelida", "Upenicola", "Iphiolaelaps", "Bolivitoxus", "Suillia", "Actinodendridae", "Gymnostigmaeus", "Caulkicephalus", "Talorchestia", "Mesophthalma", "Helicorbitoides", "Sacculogalumna", "Actimonas", "Egibacter", "Hieritis", "Bobacella", "Elusor", "Tripodium", "Freyastera", "Eremohaplomydas", "Neoaulacoryssus", "Cytheridella", "Aggregatibacter", "Prasmiola", "Nispa", "Gigantotrichoderes", "Malacothrix", "Cuspirostrisornis", "Cretocateres", "Echinogobius", "Elharveya", "Ganesha", "Cinna", "Schreberinae", "Felisporadoceras", "Selenariidae", "Andeancistrus", "Alloscleria", "Osmunda", "Eolabroides", "Blastocatellales", "Ranissini", "Katablepharidaceae", "Neospora", "Arachnocephalini", "Juanella", "Roncocreagris", "Hemsleya", "Amazonasciaena", "Anisocallisoma", "Scansoriopterygidae", "Schultzea", "Colanthelia", "Baijiania", "Hedstroemia", "Gyrovalvulina", "Favusellidae", "Majovskya", "Paraplagiomus", "Wiltona", "Leptozosteria", "Cordycipitaceae", "Brenierea", "Platymedon", "Trichura", "Arenifera", "Torrenticnemis", "Adejeania", "Cordiluroides", "Echinamoebida", "Anopsobius", "Fervidicola", "Pyrocystaceae", "Pendanthura", "Phaeopariini", "Tanytingis", "Sphyraenops", "Rhizochrysis", "Ascorhynchidae", "Lobogonius", "Schwagerina", "Sporophlyctidium", "Lasiophrys", "Lauridae", "Conarachnium", "Erasanthe", "Lota", "Corynoneurini", "Taeania", "Mormiini", "Cardiorhinus", "Platysporina", "Stagmomantis", "Distoichometra", "Ceratopygidae", "Xylanthemum", "Gomphini", "Diaglyptidea", "Kumia", "Ligulibracon", "Acutocapillitium", "Phrynocrinidae", "Nabiseius", "Trochositala", "Ercheini", "Brachyopterus", "Chlorocalymma", "Metarotaliella", "Lepidotes", "Mauroniscus", "Druzia", "Remaneicidae", "Japananus", "Balliaceae", "Pseudangularia", "Bletiinae", "Aenigmachanna", "Ecitosoma", "Baridinae", "Curtia", "Bremiella", "Psilochorus", "Suillus", "Enigmocarnus", "Foenobethylus", "Cingola", "Egretta", "Gloeochrysis", "Guynesomia", "Lautitia", "Eureiandra", "Hatchia", "Brachyleptus", "Nesta", "Ecitotropis", "Anaulacomera", "Bourreria", "Wheelerigobius", "Blastocladiaceae", "Coridromius", "Crassothonna", "Mystriocentrus", "Decorifer", "Archeohomaloplia", "Elopocephalai", "Agoriinae", "Myicolidae", "Armatites", "Hoplopisthius", "Phascus", "Nisiturris", "Baltidrilus", "Loricaster", "Allotrechiama", "Eudinodriloides", "Creiis", "Thaumapsyllinae", "Agachila", "Daphnis", "Hungarosaturnalis", "Xynedria", "Beelia", "Liagoropsis", "Harrisia", "Trachydora", "Anacasta", "Phacothorax", "Monstereae", "Protartematopus", "Euchristophia", "Leptophaula", "Shigaporella", "Crypsitricha", "Amauromyza", "Gracilaria", "Luconacia", "Ceylalictus", "Corticoris", "Ptochopsyche", "Platysteira", "Swezeyaria", "Langkawiaptera", "Frambocythere", "Pachyroxochus", "Cnemiandrus", "Dictyocalyx", "Mesophaena", "Muhabbetella", "Anotylus", "Zeatupua", "Tripyloplana", "Griseotyrannus", "Brasiliopuntia", "Witteia", "Sirolpidiaceae", "Chrompodellids", "Stegodyphus", "Cylindrachetidae", "Peltigerineae", "Nematocharax", "Achillea", "Galumnoidea", "Lathrecista", "Neurosymploca", "Adalia", "Lepidochelys", "Rhizostoma", "Hyadinini", "Neochanna", "Thigmophrya", "Ptychostomella", "Euptilium", "Gavara", "Cumnoria", "Tetrallantos", "Primacrotelsa", "Concurtisella", "Merocoris", "Vietnamodes", "Euploeina", "Brochocoleini", "Scolobatini", "Sinobirma", "Furcantenna", "Bicaudella", "Hygroplasta", "Eolasma", "Malacocincla", "Thaumastocorinae", "Pseudokoroga", "Monura", "Leptorussus", "Helluodema", "Truncorotaloididae", "Silvius", "Capulinia", "Platycraniellus", "Neoraja", "Blagorrhina", "Nunimeus", "Tragelaphus", "Borealosuchus", "Lachneophysis", "Ptilocolepinae", "Pentastichella", "Io", "Discospirinidae", "Sephisa", "Neometanastes", "Cryptoplacidae", "Nipponosega", "Lydontopa", "Anthrenodes", "Cerasinops", "Cambarellus", "Annularius", "Idiothele", "Myxospora", "Rhomphocallus", "Leptonemaster", "Neobulimina", "Origoasilidae", "Parantennulus", "Hemitarsonemus", "Prioceraton", "GMU", "Kapaoria", "Onychopoda", "Aspilates", "Quexua", "Sulcozoa", "Ormyrus", "Annulovortex", "Catesbya", "Tyrrheniellidae", "Tellima", "Elattostachys", "Latibulus", "Myrmeconema", "Emitrombidium", "Squamiger", "Mesoleptidea", "Archypolycope", "Plantago", "Amechana", "Opistheurista", "Opas", "Alepocephali", "Minous", "Clostridiisalibacter", "Barbeuiaceae", "Aphrophorinella", "Bachmanniidae", "Priasilphidae", "Parathoracaphis", "Mesophelliaceae", "Propiestus", "Verodes", "Ceratocapsus", "Anoamyia", "Diplosporium", "Spoelia", "Ophioleucidae", "Malcolmieae", "Philharmostes", "Amblycercus", "Taeniarchis", "Lithorabus", "Archeofulvius", "Zelleriella", "Rhadinotaenia", "Verrucomorpha", "Kettlotrechus", "Tyrannomastax", "Leptonotus", "Haplophyllum", "Archaeosphaerodiniopsidaceae", "Callichthys", "Discophora", "Lepra", "Mesoraphidiidae", "Architettix", "Galaxitaenia", "Entactinia", "Pseudomicrodota", "Holobus", "Maculisclerotica", "Deferribacterales", "Thallochrysidales", "Actinoscypha", "Hoploseius", "Cariblattoides", "Cyanothamnus", "Enantiodentalina", "Neocurtilla", "Mytilus", "Penicillata", "Cerithiopsidae", "Otospora", "Silverstoneia", "Tarigidia", "Mesomantispinae", "Chalinula", "Hybosorus", "Telmopsocus", "Pseudodiorchis", "Algoforma", "Entomoseius", "Cambarus", "Brasiliocarnus", "Calliodentalium", "Flemingia", "Apotrechus", "Migadops", "Micracanthicus", "Odontoloma", "Astephaninae", "Isostola", "Didymorchis", "Autaliini", "Luciolinae", "Passeri", "Promalactis", "Liocapsus", "Salviniales", "Psammotis", "Pselaphogenius", "Dolichotis", "Euplectops", "Hartmannibacter", "Salinacotyle", "Mocis", "Palpata", "Jadwigia", "Ammomarginulina", "Zaphoctenaspis", "Contoderus", "Zanclotus", "Heliantheae", "Synchoriste", "Haematomyzus", "Macranthera", "Eumyndus", "Cymatoneis", "Daubenya", "Pagonana", "Trochonematidae", "Fucophycidae", "Erythrodolius", "Thyreus", "Geina", "Porticulasphaera", "Xenomedon", "Termitoptochina", "Arethuseae", "Halongella", "Aurivilliana", "Eosia", "Opoptera", "Eleogobius", "Balkanodesmus", "Potamanthidae", "Narope", "Gongylocarpus", "Diphtherophoroidea", "Paratritania", "Longisetacarus", "Paracycnotrachelus", "Isostomyia", "Aspidaphis", "Dilemma", "Anthracoideaceae", "Crotoniidae", "Polydnaviridae", "Cryptokermesini", "Limnoctites", "Stibadocera", "Sinelobus", "Catamola", "Hypoechinorhynchidae", "Aspidogastrida", "Lennooideae", "Constrictocepheus", "Lineolariidae", "Pontinus", "Scheenstia", "Peltopleuridae", "Dexagia", "Miletini", "Zelkovaphis", "Shaferocharis", "Eremascaceae", "Ampelisca", "Cyrtoplectus", "Luzaropsini", "Pulcherhybosorus", "Odontoloxozus", "Schizochelisoches", "Paroster", "Asparagoideae", "Antherospora", "Saldoida", "Pherombinae", "Linnavuorifulvius", "Cerobates", "Coeliinae", "Stachyanthus", "Pliciloricidae", "Alle", "Carientothrips", "Roseburia", "Lanxangaphaenops", "Avellanita", "Stauracanthus", "Variochloris", "Phthorarcha", "Harpograptis", "Trypetimorphini", "Aplacophora", "Thermodesulfobium", "Plicochonetinae", "Plagiogyriaceae", "Basanus", "Diplopterys", "Rhopalomeniidae", "Paracalviria", "Cyrtonota", "Nucras", "Physoronia", "Isohypsibioidea", "Rhizamoeba", "Cyclopsitta", "Pseudostenosagola", "Machilontus", "Asceptrulum", "Palaepangonius", "Oreochrysum", "Neoleleupidia", "Litocladius", "Varma", "Lyginopteridales", "Perinema", "Paxton", "Aphanandromyces", "Echinargus", "Kodamaiini", "Uronychia", "Lucanobium", "Ixeris", "Arachnodes", "Raukaua", "Postscrancia", "Queenslandia", "Verrucomonas", "Harmogaster", "Klais", "Armidalia", "Tasmanicola", "Queda", "Calcyopa", "Anthoathecata", "Saurornithes", "Lebaziella", "Ectrepopterus", "Crocidolomia", "Therion", "Butyrivibrio", "Hebecarpa", "Whiteheadiana", "Nenemeca", "Campylotes", "Capsulia", "Tiarannidae", "Nordenskjoldiella", "Conocephalinae", "Acronicta", "Ziphius", "Lagonosticta", "Malletiidae", "Clatha", "Bolbaffroides", "Hippocampus", "Meccus", "Carcharodontosauridae", "Ornithurae", "Battersbyia", "Bractechlamys", "Anisolpidiaceae", "Diplopodophilus", "Gyroweisia", "Modulatrix", "Cylindrotrocholina", "Cumulopuntia", "Anthenius", "Aplastonia", "Maerkelotritia", "Scaphitaceae", "Baeini", "Lysinoini", "Bahiria", "Ulisseus", "Ovidia", "Monrosiella", "Dermatocarpon", "Colletinae", "Roseimarinus", "Myriochapsa", "Bryaxonoma", "Neobonzia", "Campaea", "Barongia", "Pogonostyla", "Dryorhizopsis", "Micracanthorhynchina", "Phoratopodidae", "Aglais", "Historbitoides", "Aglaogonia", "Dusmetosia", "Heterostiba", "Asphondyliidi", "Pteroplistes", "Ischnophygas", "Pseudophloeinae", "Pterotolithus", "Tirynthoides", "Podorgilus", "Thalassionema", "Linognathidae", "Sphaenacanthina", "Psammophis", "Enos", "Termatophylella", "Euchrepomidinae", "Pilbara", "Cychrocapsus", "Allodioxys", "Olpidiomycetes", "Leptychoptera", "Gyroporella", "Devade", "Chiropterotriton", "Triadodaphne", "Chimaericolidae", "Thaumatosia", "Tascia", "Stachia", "Nephroporoidea", "Eurotium", "Eunicidae", "Paeromopodidae", "Corynanthera", "Rhizophlyctidales", "Neocnemidocoptes", "Omalodontidae", "Trewavasia", "Tychiini", "Neoparadainella", "Nemolecanium", "Variospora", "Hoplocryptus", "Tyndallhydrus", "Hygroplitis", "Colasposoma", "Pandisus", "Theophrasta", "Blattabacteriaceae", "Bouceka", "Streptophyllopsis", "Aspilus", "Amphileptiscus", "Corynopoma", "Cyaneophytoecia", "Phrynetopsis", "Choristostigma", "Allobethylus", "Malmea", "Biannulariaceae", "Zeterohercon", "Battalus", "Zhangixalus", "Yangochorista", "Batrisoplatus", "Dermatreton", "Quadrelba", "Briquetia", "Donacaula", "Cochlonemataceae", "Rotundomiris", "Pantopsalis", "Sisperonemia", "Pertusiconcha", "Hemicypris", "Hemisquilla", "Amurodytes", "Nitinella", "Tremulida", "Metriorrhynchina", "Adelphicos", "Mollitrichosiphum", "Paralamiodorcadion", "Jungermanniaceae", "Madahopliina", "Hormuridae", "Systaltocerus", "Bundelia", "Anzu", "Palacephala", "Neohaustator", "Ammobatoides", "Bomburodon", "Afrotyphlopinae", "Atractylocarpus", "Ctenizidae", "Metolinus", "Croatodirus", "Sorocephalus", "Haliplectidae", "Itatiaya", "Trichiscus", "Pteryxia", "Caepidium", "Atelographus", "Electrophrynus", "Aploactis", "Edaphobacter", "Heterodactylini", "Aberrasine", "Gelae", "Lepiseodina", "Chilhoplites", "Superciliaspididae", "Glaucocystis", "Metasambus", "Ophiocamax", "Holcobracon", "Gyrotaenia", "Piezophidion", "Corythotingis", "Nezula", "Geronticus", "Nisueta", "Methylophilales", "Syngnathoidei", "Bolostromus", "Agada", "Charisalia", "Sobolevicanthus", "Schroeterella", "Sasia", "Eastopiella", "Sphaerechinus", "Oenopus", "Phycidopsis", "Pterobryon", "Roccellina", "Quadrupedia", "Mesembrinella", "Chlosynina", "Helicopeltinae", "Capsula", "Intestinibacter", "Ischnauchen", "Bulbonervus", "Odontochroma", "Palustriella", "Accubogammarus", "Ethanoligenens", "Echinocoleus", "Agonandra", "Syncyclia", "Oropus", "Salomocnemis", "Mojsisovicziinae", "Eratoneura", "Corchoropsis", "Bigyromonadea", "Carloporus", "Palaeomystella", "Onymochila", "Oospiroidesini", "Ameripassalus", "Xenydrium", "Leclercia", "Chaetosa", "Heteroxolmis", "Bathynatalia", "Cybebus", "Hespera", "Lychnodiscus", "Stratospongilla", "Decaryella", "Lepochromulina", "Ectopistidectes", "Notophlebia", "Eolepadidae", "Serpocaulon", "Barclaya", "Szepligetella", "Cerynia", "Xanthophylleae", "Taguahelix", "Solentia", "Serraninae", "Barbouriidae", "Austrocheirus", "Ellipsocephaloidea", "Iridomyrmex", "Heydrichia", "Byturinae", "Dicyphini", "Astraeus", "Scototrechus", "Miquihuana", "Chlorokybophyceae", "Archipirata", "Saturnalia", "Guppyella", "Araspiriferinae", "Centrocercus", "Megadraconema", "Pachycladon", "Cretagalathea", "Rhizoconus", "Hedycarya", "Gartnerago", "Phellodermidae", "Dissomorphia", "Philopotaminae", "Stenocephalidae", "Parabioxys", "Xenerpestes", "Aeolosoma", "Janetaescincus", "Paralieberkuehnia", "Cyrtoclytus", "Anarpia", "Acutalamna", "Thermaloniscus", "Geophilidae", "Falklandiellus", "Earina", "Nanophyton", "Bathydraco", "Neodasyidae", "Calycellinopsis", "Phycosoma", "Andrognathidae", "Coelastrella", "Enosmaeus", "Paratrachysomus", "Mucispirillum", "Philhammus", "Blepephaeopsis", "Merodon", "Enchenopa", "Tetrocalea", "Cavaspongiidae", "Belonepterygion", "Phylloscopidae", "Hygrobiella", "Epirhabdonella", "Flagellaria", "Trichydra", "Eumaeus", "Walkerella", "Rhamdella", "Fonticella", "Udeopamera", "Anchiszombatya", "Daenikera", "Pseudomonadales", "Pleurothallidinae", "Aquaelicium", "Pteraclis", "Zeolymma", "Circellium", "Camptylonemopsis", "Gabrieloninae", "Thelypteridoideae", "Mycteronastes", "Uroobovella", "Gato", "Bryconadenos", "Neoscorpaena", "Cladonematidae", "Asyprocessa", "Hastocularis", "Unranked", "Paralinoglossa", "Rumohra", "Liptenara", "Duroia", "Proctophyllodinae", "Iguanognathus", "Ichthyophthiriidae", "Chlopsidae", "Afroarctia", "Trithigmostoma", "Luteipulveratus", "Heredius", "Dushinckanus", "Acromantinae", "Bertiereae", "Schoenotenini", "Tetramolopium", "Hyladaula", "Paradocus", "Toenga", "Lepidosina", "Pantopactus", "Theraphosa", "Phloeoditica", "Pseudofissurina", "Anthroherpon", "Selliguea", "Oenantheae", "Quickeos", "Ceratophaga", "Uruguaysuchidae", "Pygocrangonyx", "Pectenoniscus", "Sphagoeme", "Ticodendraceae", "Salpingoporella", "Schizopeponeae", "Trachyusa", "Kopriimonas", "Achloa", "Seguenziinae", "Ethmosphaeridae", "Opsidota", "Ganocapsinus", "Lepidobero", "Nemastoma", "Perideridia", "Extremalona", "Sundaites", "Macroveliidae", "Descanso", "Strigocis", "Metaforcipomyia", "Origmatogonidae", "Dermatophilaceae", "Parapsallus", "Atrovirensis", "Zhadia", "Petrosiidae", "Barrosasaurus", "Lepturoschema", "Ptilonia", "Arcuatasigma", "Splachnidium", "Entomoscelis", "Semiangusta", "Thrombidae", "Pseudoceocephalini", "Pachylebiodes", "Colobostoma", "Omophron", "Joelminetia", "Tylencholaimellus", "Terlinguachelys", "Morpholycus", "Litothericles", "Brachionostylum", "Androsina", "Nirodia", "Pygotettix", "Reicheidius", "Sartwellia", "Chiasmodontidae", "Macromesus", "Swammerdamia", "Ptychosema", "Eupnoi", "Orophaca", "Lepina", "Epigonichthys", "Callawayasaurus", "Parkinsoniidae", "Leviapseudinae", "Cetotheriidae", "Nesotriatoma", "Afrotizea", "Cratoneurella", "Eurhinus", "Grunoviella", "Turborotalita", "Metacolpodes", "Oligeriops", "Liivilepis", "Mastiger", "Exothea", "Dicrepidiini", "Callimenus", "Nolandida", "Scabroschema", "Sticholonchida", "Theromyzinae", "Martensieae", "Chenoderus", "Adelencyrtus", "Osterwaldiella", "Condylopygidae", "Tubicinella", "Metrioptera", "Boinae", "Bathyacmaea", "Corallocoris", "Lethaeini", "Archodromus", "Flammulina", "Epitheria", "Grammicolepididae", "Paracapnia", "Amamiclytus", "Convallina", "Mesocerea", "Mitobatinae", "Albistyla", "Ferrimonas", "Myrmatheca", "Guthriea", "Reimerothrix", "Emersonilla", "Sericotrogus", "Isochrysidaceae", "Lichenopuccinia", "Thysanoserolis", "Clypeorhynchus", "Polyidaceae", "Pervetustaceae", "Cainogenion", "Baisalina", "Pyrrhomyias", "Rhodobiaceae", "Trypodendron", "Agaricostilbomycetes", "Myrmecodia", "Neurobasis", "Themistella", "Leptoderris", "Acylopselaphus", "Tylophorella", "Protocobitis", "Empyreuma", "Opisthosphaera", "Jacksonoides", "Platychasmatinae", "Farlowia", "Cookellaceae", "Traxus", "Plesiodryinus", "Heteromphala", "Rhabdogaster", "Lupaceratodus", "Pottiales", "Albibacter", "Gelidocalamus", "Rhipidophora", "Trichatelais", "Leptobium", "Euceratocerini", "Forstertyna", "Anderemaeidae", "Discorhabdus", "Doryscelina", "Lophocalyx", "Nirarathamnos", "Neocalamobius", "Delosinoidea", "Ulianinia", "Conioscinella", "Bougainvilleeae", "Asterostomatidae", "Stilomedon", "Alioranus", "Haplozetidae", "Antitrygodes", "Glossostipula", "Pseudotiara", "Macrotrichurus", "Gagatopsalta", "Coccinimonas", "Marinactinospora", "Pseudotrillium", "Ameletopsidae", "Pinheyella", "Xenophidion", "Diaphora", "Reticulofenestra", "Parahydromys", "Floydwernerius", "Stoermeriana", "Platyxythrius", "Pteromallosia", "Eomakrosoura", "Polylobus", "Paraphlepsius", "Profundimonas", "Ovoserica", "Tyrannidectes", "Poronota", "Chondrophycus", "Microstomum", "Acanthistius", "Xiphoscelidini", "Caluromys", "Diaethria", "Venada", "Eburniola", "Mugilogobius", "Hemimastigida", "Pseudolydorus", "Oriaethus", "Conogastridius", "Cryocolaspis", "Meroles", "Elephantopus", "Metabetaeus", "Pyranthus", "Acanthisittidae", "Phymateini", "Cushmanideidae", "Mesoscarabaeus", "Lucianovenator", "Hebius", "Coniochlorops", "Exiligada", "Variovorax", "Sphenospora", "Parhippopsicon", "Daemilus", "Oncocnemidinae", "Micropentila", "Arcoscalpellum", "Martinius", "Capitodiscus", "Tortispora", "Anadimonia", "Euromanis", "Electroadicella", "Rhyncholimnocharinae", "Secuicollactacea", "Streltzovia", "Pentacentrini", "Pterolophia", "Holminaria", "Homeotyphlus", "Zoarcinae", "Catacombus", "Jugurtia", "Eschatotypa", "Paragryllacris", "Oligoaeschna", "Limnocyclus", "Campylosira", "Julescraneia", "Paulchoffatiinae", "Tilopteris", "Lysippe", "Fregetta", "Metarhombognathus", "Hispidolambrus", "Amphignathodontidae", "Hemidasys", "Australolepis", "Neoechinorhynchus", "Photolateralis", "Rhodopis", "Pseudoboletus", "Castriidinychus", "Limnocentropodidae", "Pseudanteris", "Sticherus", "Agropyropsis", "Schikhobalotrematinae", "Reticulimantis", "Colophina", "Vagococcus", "Hitchcockella", "Elasmiatini", "Protorabus", "Moeopsyllini", "Moeritheriidae", "Neoorsa", "Puniceicoccus", "Eurylophella", "Autotrichia", "Paracamisia", "Parabuteo", "Furcinetechma", "Stichonotus", "Batrisodiola", "Caymanostella", "Eucytherura", "Pseudopileum", "Cypellachaetes", "Recaredus", "Chlorojackia", "Viburnum", "Pseudocrypturus", "Tripladenieae", "Dasythamniella", "Lestrigonidae", "Pseudocumatidae", "Echinostomatidae", "Gastrolecithus", "Brachyglutini", "Macellomeniidae", "Selatium", "Pseudocoutierea", "Cryptoerithus", "Rhazya", "Dipara", "Dikelocephaloidea", "Dolichostethus", "Berkleasmium", "Chrysonasma", "Alveolina", "Prohimerta", "Azanus", "Macaria", "Allotelphusa", "Pseudotobothriidae", "Andercnemodus", "Formicariidae", "Diphucephalini", "Berberigetta", "Kineococcus", "Setanida", "Sciomyzini", "Monodicaris", "Gerochellinae", "Heterochroa", "Allochernes", "Larimus", "Hypsophrys", "Perissocephalus", "Euspondylus", "Kuzuhaea", "Pavlovales", "Atla", "Mecomacer", "Synersaga", "Ceratolepis", "Annamaria", "Atemnus", "Cyrtacanthacridinae", "Rhabdura", "Exaculum", "Aleurosiphon", "Ptomaphagini", "Spilosynema", "Hydrogenophaga", "Paralycaeides", "Baldwiniella", "Catananche", "Allomaieta", "Iatuca", "Docosaccus", "Dissotis", "Hysterosia", "Neurada", "Apebusu", "Namandia", "Irianassa", "Rhotalini", "Coula", "Phytodiniaceae", "Niphobleta", "Notomuraenobathys", "Tetracme", "Nselenius", "Codonellopsidae", "Caerorhachis", "Notenteridae", "Rhamphus", "Distrigidius", "Rheotanytarsus", "Cheiranthera", "Wolffiella", "Liuixalus", "Aldersladum", "Mulgravea", "Cerophanes", "Cypho", "Harpiocephalus", "Natranaerobius", "Apocheima", "Indianthus", "Neocalodera", "Coptochiroides", "Rastrophyllum", "Pigea", "Alectoris", "Aprasia", "Afroccidens", "Satarupa", "Ecdeiocoleaceae", "Caribaeohypnum", "Pseudobolivina", "Libidibia", "Prionotropisinae", "Jochmansiella", "Electrovermis", "Asanospira", "Chondrodapis", "Exallancyla", "Spinomyrmecoclytus", "Carybdeidae", "Longilyra", "Huttoninidae", "Codophila", "Eugongylinae", "Aphanocephalinae", "Coenorrhinophila", "Ctenocephalides", "Adphytocoris", "Coffeikokkos", "Oloughlinius", "Euaesthetus", "Dystypoptila", "Carya", "Micoureus", "Vadonitoxotus", "Rhodophysema", "Amoeba", "Phasmahyla", "Aglaoapis", "Phrikoceros", "Cheilobranchinae", "Dufauxia", "Pselaphelia", "Zebrina", "Ecitopelta", "Dromiidae", "Collinsiellopsis", "Diplomorphidae", "Marmocandona", "Ephemera", "Paradioxys", "Trisetaria", "Paracandona", "Rivacindela", "Cubiceps", "Anillidius", "Lomisidae", "Lydekkerinidae", "Trichocolaspis", "Euteleuta", "Heterolepa", "Zygitidae", "Satipoella", "Tanytrichophorus", "Tortomon", "Micrognathozoa", "Psittacus", "Brachylybastella", "Trithetrum", "Pharomachrus", "Aulographum", "Symphoristis", "Sigthoria", "Parachrostiini", "Birthosea", "Xenogeniates", "Baldockia", "Ulotrichopsis", "Suncus", "Ambasiella", "Goniacerus", "Bisetulobius", "Novaculichthys", "Discocephalidae", "Schoenotenes", "Kakameganula", "Amychus", "Extrawettsteinina", "Bursaria", "Adrisa", "Transversigerina", "Dundubiina", "Ecitophrura", "Parabopyriscus", "Gauldianus", "Mendesia", "Diapriinae", "Pachyrhabda", "Eochionelasmus", "Coryphagrion", "Necydalopsini", "Augiades", "Profoenatopus", "Hesionidae", "Oristicta", "Arthropyxis", "Creaphidinae", "Rapana", "Octotemnus", "Omphalogramma", "Aacanthocnema", "Protrechiama", "Dasydytes", "Oculina", "Demarezites", "Bathythrix", "Gorgorhynchinae", "Scotoplanetes", "Floribella", "Adelophis", "Alsidieae", "Chytroglossa", "Hemorrhois", "Lamproblattidae", "Prillieuxina", "Brachyrhaphis", "Dolichotorna", "Lyrocladius", "Zelomorpha", "Paroplocephalus", "Goniomitrium", "Idioporini", "Xiphiidae", "Opua", "Argentocypris", "Calophyllum", "Pyrgominini", "Latoplana", "Thermorudis", "Hedstroemophyllum", "Quirimbaua", "Paratapinocyba", "Liocypris", "Stonogobiops", "Chirophagoides", "Furona", "Austronepini", "Myaingtherium", "Cebrennus", "Euparthenos", "Trichidema", "Exitelus", "Laxoendothyra", "Oncaspidia", "Stannarium", "Mesoflavibacter", "Stychoides", "Pseudodimerogramma", "Mimotabanus", "Tricellina", "Enicoscolus", "Parapaguridae", "Typhlapseudes", "Ranatrini", "Horaninovia", "Thlastepyris", "Parachrysidalis", "Amphiproviverra", "Canthonosoma", "Clomecyra", "Kailashia", "Mesochilina", "Oertlispongidae", "Spiniductellus", "Lepidogyne", "Neoscimbalium", "Rubrointrusa", "Acanthoideae", "Camptotelus", "Pseudobonzia", "Taccarum", "Strigosella", "Asellariales", "Cheliferinae", "Hannonia", "Wallaceochromis", "Homalium", "Rhynchopsitta", "Espeson", "Astraspididae", "Pseudovidalina", "Cratna", "Pyropsinae", "Holoregmia", "Gillespiea", "Tetanocentria", "Conicopfenderina", "Diplocentrus", "Oxyethira", "Hovatoma", "Canthyloscelidini", "Cyrtoquedius", "Orthopappus", "Astrochapsa", "Nothopodinae", "Ptiliogonys", "Exeirina", "Hemelytroblatta", "Ostreida", "Notommatidae", "Entodon", "Paraschistura", "Cladycnis", "Cyclanthaceae", "Zingiber", "Cryptoperidiniopsis", "Harmotona", "Gnathocolumna", "Liuenella", "Palimbolus", "Rectoavesnella", "Pleurochorium", "Comiphyton", "Idiopsar", "Tubificina", "Salamandrinae", "Sandalodini", "Piptadeniastrum", "Dioxycanus", "Aneda", "Allodinarda", "Selatosomini", "Platychile", "Mesoplatus", "Eusomus", "Halacarellus", "Babycurus", "Orthezia", "Maravalia", "Gridellius", "Physcopedaliodes", "Diotimana", "Elatobium", "Regimitra", "Obelidium", "Epiactis", "Gollneria", "Digitivalva", "Cleisostomopsis", "Thaumatichthys", "Runcinella", "Pseudoveleronia", "Volutaphis", "Clitopaxillus", "Pterygoplichthys", "Hydrelliini", "Alocella", "Neocyrtopsis", "Ceramaster", "Nyctanthes", "Reighardiidae", "Deltoplastis", "Cheloniodiscus", "Hamotulus", "Allocnemidinae", "Eosembia", "Boops", "Disakisperma", "Haroldiella", "Gromiidea", "Epithora", "Chariesterini", "Desmonostoc", "Pseudoscourfieldia", "Adenandra", "Plagiorhynchidae", "Cydonia", "Madecapaederus", "Tosca", "Selenidium", "Frivaldszkyola", "Battarrea", "Basipta", "Physominthe", "Ectonocryptopinae", "Loxocnemis", "Neostothis", "Proteuaspa", "Protosteliopsis", "Isoceraspis", "Popplepsalta", "Thosea", "Pachypeltis", "Cerobertina", "Papakula", "Ascothoracida", "Scutellifer", "Asidoceras", "Opisthencentrus", "Tylosporaceae", "Schaefferia", "Xiphasia", "Paguristes", "Eylais", "Westphalomerope", "Zyzzogeton", "Pectis", "Damerothrips", "Acticola", "Mucurilebias", "Brachidiniales", "Notharchus", "Rhizophyllidaceae", "Hygrohypnum", "Lepechinia", "Cirrhigaleus", "Panilla", "Toloxis", "Rhinostomini", "Eremoxenina", "Tetragonia", "Chlorospatha", "Guineoeuops", "Athetaglossa", "Sphingorhabdus", "Papagomys", "Cocconotini", "Dictysarcinae", "Euplectopsis", "Tychus", "Encyonema", "Mycomyzostoma", "Dietziaceae", "Melomantis", "Sechiopsis", "Aethesolithon", "Cyclocarya", "Telemidae", "Chiliopelates", "Edestidae", "Holoverticata", "Aprosthema", "Buchwaldoboletus", "Nigritartessus", "Notophasma", "Pelliidae", "Malayodracon", "Rhabdospira", "Trilosporidae", "Reimnitzia", "Cylomissus", "Tsirambia", "Colopodacini", "Protostelida", "Micragnostus", "Pseudotsuga", "Crambe", "Neoempheria", "Polana", "Rhodocolea", "Hoplobrotula", "Articeropsis", "Pseudosiphoninella", "Tetracus", "Prionopelta", "Melithaeidae", "Euerythra", "Hyaliodini", "Nordaphis", "Oaxaca", "Demetrida", "Ellescini", "Peyssonneliales", "Arcas", "Hiberasta", "Agaricochara", "Sudanonautes", "Abrosiomyia", "Nereodictyon", "Terebrospira", "Odontoplia", "Etyma", "Boldia", "Ophidiidae", "Kopriimonadaceae", "Exallodontophis", "Phaos", "Ginalloa", "Harpactirella", "Ferusaphis", "Agonocryptus", "Lasianthaea", "Rhyparochromini", "Hymenostephium", "Caviomorpha", "Tagetes", "Iphinotus", "Eumanota", "Hydrotrupes", "Myobioidea", "Amastrinae", "Peloropodini", "Noseolucanus", "Geitocochylis", "Capparidia", "Orophora", "Brettus", "Achilites", "Fontanesia", "Xenosporadoceras", "Pseudodiphascon", "Melegena", "Greenideoida", "Pseudocossus", "Triparatanais", "Handeliinae", "Cathormion", "Salinimicrobium", "Brenneckella", "Hammenius", "Gemmocystidae", "Ceylonaxia", "Petinomys", "Mydasta", "Microphalloidea", "Willmus", "Gmelinoidinae", "Perginae", "Talerax", "Aphelidiales", "Pseudoblissus", "Ortheziolamameti", "Tomocichla", "Hoverioptera", "Cosmeombra", "Bagariini", "Omia", "Rhipidoglossum", "Lindothyrus", "Philotrimium", "Vazella", "Moerckia", "Rhadine", "Egonociades", "Brachycladiidae", "Pseudoeocyllina", "Protoschrankia", "Bothrophora", "Arenobulimina", "Chlorobotrydaceae", "Aitaum", "Leptepsilonema", "Augochlora", "Perigea", "Nyctibora", "Aeluropodinae", "Auchmerus", "Tilopteridales", "Bionectriaceae", "Parammobatodes", "Ovobulbus", "Synamoeba", "Scyramathia", "Lista", "INBAC", "Pelmatoplanini", "Amphiastrella", "Nodaviridae", "Brunneofusispora", "Hamamotoa", "Spinosophronica", "Madagastrini", "Homocloeus", "Llimoniella", "Archestenogramma", "Rubeostratilia", "Paraflabellina", "Hylotrupes", "Arculfia", "Anguloa", "Juraxymyia", "Hemicistela", "Primulaceae", "Ruellieae", "Prionesthis", "Dipyxis", "Topeliopsis", "Phyllophora", "Tetrosorius", "Paxillus", "Apezococcus", "Aphalarini", "Raillietiidae", "Commiphora", "Antennophoridae", "Pedetidae", "Colopalpus", "Craniophora", "Paraphellus", "Testacelloidea", "Obdulia", "Girdharia", "Alexicles", "Panamphistomum", "Klappericola", "Salinisphaera", "Endornaviridae", "Caenohalictina", "Plekocheilus", "Phaedusinae", "Hieroceryx", "Ophiopsiella", "Hildenbrandiophycidae", "Macrosenta", "Herpomycetales", "Bicilium", "Dufourea", "Enterolobium", "Tetartanus", "Scaphodius", "Ophioglossum", "Bactrophorini", "Spiranthera", "Thyrsantheminae", "Astilbides", "Dahlemhornia", "Pachychilecamenta", "Urnaloricus", "Himalteneriffia", "Candovia", "Anthicus", "Thaumamannia", "Catotrichinae", "Micropterygioideae", "Halocarpus", "Anthosphaera", "Paroncophorus", "Cephaloticoccus", "Bofuria", "Jamesbrittenia", "Acanthonotozomatidae", "Patapius", "Callicebus", "Burmomyrma", "Tyndareus", "Loricariini", "Solpuguna", "Heterosorius", "Calocampsiura", "Stenaesthetini", "Zygothrica", "Dioon", "Cinnyris", "Archiacanthocephala", "Maimetsha", "Polystalactica", "Rhytidosporum", "Thoria", "Sveltonectes", "Lysiosquilloides", "Astenopleuritus", "Medonina", "Parascorpididae", "Sarthroviridae", "Pelagodoxeae", "Shotokuvirae", "Ampezzoa", "Miocenidorcus", "Delamerea", "Pogonotriccus", "Siamusotima", "Platystictidae", "Neurostrota", "Euthyridium", "Melanocera", "Petinopus", "Tambiniini", "Helodium", "Kuznetzoviana", "Sigmoidotropis", "Phloeopeccania", "Rhinoecetes", "Phyllosphingia", "Udanoceratops", "Fedaiellidae", "Gorilla", "Compactogammarus", "Atanyproctus", "Monoon", "Asaphiscus", "Phthoroblastis", "Cruddasia", "Dicranidae", "Triaploidea", "Oerskovia", "Aeteoidea", "Diphysa", "Rhipidiomorphus", "Elamena", "Conauchenus", "Cosmetus", "Rhizorhabdus", "Trachyspina", "Tylosema", "Afroelfus", "Aquibacter", "Prodeliodes", "Yolina", "Chromadorea", "Coelojoppa", "Gelastissus", "Indiospastus", "Trisiniotus", "Tisbidae", "Acanthopidae", "Brymela", "Anthaxomorphina", "Porpomiris", "Neodryophilus", "Batrisomicrus", "Rhipidosiphon", "Trichoplax", "Trierostola", "Ectopocerus", "Myrica", "Pseudolineus", "Cryptocope", "Oxossia", "Desmana", "Cryptoprocta", "Sulfophobococcus", "Cerocepheidae", "Burmacader", "Aphanocalyx", "Buckleyzymaceae", "Ficopomatinae", "Sinxema", "Parapanteles", "Geometrini", "Myrmecophilus", "Viviparidae", "Ecpatia", "Cribrospongia", "Ligdia", "Paphiopedilinae", "Wenzellini", "Poecilopachys", "Pentastirina", "Colaulus", "Erodiscini", "Tauridion", "Pluvianellus", "Phoxopterix", "Hinda", "Peridiniphycidae", "Peyrieraselus", "Huantraiconella", "Bopyroidea", "Nyctosauridae", "Lamellibrachiidae", "Leucotrichiini", "Bordaia", "Trichopsida", "Pseudofolliculina", "Stomiinae", "Osteomugil", "Acanthohamingia", "Marixanthomonas", "Cyanophora", "Allotrupes", "Amaurolecus", "Lateronema", "Decarthrocerini", "Stereopsidales", "Andracantha", "Pleosporius", "Maoritrechus", "Eurygaster", "Hadroibidion", "Penteparatanais", "Ewingella", "Otothyropsis", "Furcilliger", "Alloblairinella", "Thecla", "Hyalonema", "Pachygeraeus", "Moyosi", "Anatonochilus", "Gayliella", "Perulernaea", "Cyrtolophosidida", "Belodasys", "Dicranodromia", "Psychrobium", "Bipartivalva", "Discocactus", "Peruanocotyle", "Khoisa", "Gryllospeculinae", "Mesoheros", "Dynomiellina", "Eucopiidae", "Percolomonadida", "Zizaniinae", "Ranova", "Aporcelinus", "Johnsonella", "Leptopsyllidae", "Glabridorsum", "Oceanicaulis", "Goephanes", "Entelea", "Paraphryneta", "Tripterygion", "Harpedonistis", "Eleutherospermum", "Pelagica", "Brachysiphon", "Forpus", "Paratetrapedia", "Apicrenus", "Rameloidea", "Thamnomolgidae", "Pararchidendron", "Foersteria", "Campoctonus", "Kawazoeozephyrus", "Holocystis", "Opisthoproctidae", "Sulfuriflexus", "Lutaonella", "Phryganopsis", "Thiotricha", "Paralcyoniidae", "Scyliorhinus", "Racomitrium", "Salmostoma", "Pernambugia", "Saguntus", "Diplurata", "Dimorpha", "Adelium", "Protomydas", "Malthopsis", "Unnithania", "Tiphiinae", "Lymnaeoidea", "Ranopisoa", "Ceraturgini", "Ophiacanthidae", "Cossyphoditina", "Paracyphoniscus", "Kingiobryum", "Evorthodus", "Daplasini", "Brochoadmones", "Baetimyces", "Ptychomnion", "Mesocallis", "Ichthyosauridae", "Diestramimini", "Lychnophora", "Tetratriophtydeus", "Schizoneura", "Clausilioidea", "Geogarypidae", "Phyllobothrium", "Alvinocaridinides", "Provampyroteuthis", "Neaptera", "Gnathostenetroidoidea", "Polyderidius", "ZIUS", "Tanaidae", "Ochsenheimeria", "Bartramiales", "Miogryllus", "Gossleriellaceae", "Berlinia", "Cryptotympana", "Parartemia", "Tyarrpecinus", "Luronium", "Crenella", "Sciaphileae", "Coskinolinoides", "Mimocyrtinoclytus", "Zabuella", "Afrokahliella", "Bulinidae", "Chlamydomyxa", "Neoribates", "Parepipsocus", "Gelasinibracon", "Oxycarenidae", "Glaukolithotus", "Mononegavirales", "Zenonia", "Anisoceratidae", "KATO", "Acalitus", "Monistriini", "Phyllaphis", "Thordisa", "Ashmeadiella", "Actinorectispora", "Parapterogramma", "Neromia", "Acomoptera", "Latrodectus", "Paraulax", "Paraargyresthia", "Thyrisomidae", "Turbinoptes", "Pseudorphnus", "Sawyeria", "Bartolomeudiasiella", "Balanionidae", "Ochyrocera", "Diaspila", "Dielsiocharis", "Peribolaster", "Rostrogitanopsis", "Dracoderidae", "Omicrus", "Bacloceras", "Proctonotus", "Bivesiculata", "Baeolophus", "Camponotus", "Spicauda", "Trigoniophthalmus", "Lodderia", "Dendrodictyon", "Coraciacarus", "Graphidessa", "Phreodrilidae", "Anystis", "Kausiaria", "Epitrichia", "Gypona", "Baalzebub", "Pseudocellus", "Sukidion", "Lophocoryza", "Coracina", "Hedyjoppa", "Eucyrtidiellidae", "Onysius", "Cuniculiplasma", "Talides", "Clanoptilus", "Cleonardopsis", "Disperis", "Centropappus", "Euthlypis", "Caldisphaeraceae", "Siphonoecetes", "Acanthonyssus", "Macropereiopus", "Siderastrea", "Copromyxida", "Heteromonocelis", "Anaemosia", "Megathyridoidea", "Ignurbia", "Ephialtitidae", "Rugotruncana", "Thrybius", "Litoribacillus", "Cesamexico", "Cribragapanthia", "Menthidae", "Neomomorangia", "Janenschia", "Taichila", "Schismatoclada", "Bathypluta", "Korscheltellus", "Schrakia", "Berytini", "Etelis", "Smartiomyia", "Phacellini", "Chilecomadia", "Deltacanthus", "Cissococcus", "Nilla", "Fimbriinae", "Pseudopilinurgus", "Ralfsiales", "Melagonina", "Paliurus", "Forstera", "Gibasis", "Gonospora", "Pilophoropsita", "Bundjulung", "Pseudochordodes", "Austrostigmaeus", "Muellerargia", "Acrostichum", "Pomatinus", "Tripetalocera", "Maorimetra", "Parienia", "Poraniella", "Agostocarididae", "Uroleptopsis", "Parahepomadus", "Holcocoleus", "Discocyclinidae", "Halcampoides", "Fissocantharis", "Platychilininae", "Synotaxidae", "Yokoyamaia", "Lasioerythraeus", "Praxibulini", "Gelasmodes", "Neobrachychara", "Apodacea", "Pyrolirion", "Kalinia", "Acyderophes", "Hubbardieae", "Laelaspisella", "Fernseea", "Notiopostega", "DU", "Virgulinopsis", "Xanthomendoza", "Leptostomataceae", "Crambus", "Paralcaligenes", "Vidole", "Boucekinus", "Agrodes", "Pseudotrimezia", "Tachyglossidae", "Nkandla", "Hormotilopsis", "Platoecobius", "Cuon", "Bossiaeeae", "Calyssopora", "Rhodachlyales", "Bastanius", "Diplozoa", "Opisthomonorcheidinae", "Apeibeae", "Pleiostachya", "Loricerinae", "Dietes", "Setiechinopsis", "Ausktribosphenida", "Illeis", "Hylaeoneura", "Ernobiini", "Gumillinae", "Belonia", "Archaeobalanidae", "Striatheca", "Cosmiojoppa", "Serratoppia", "Vanuatiella", "Tyloplatyola", "Albertaceratops", "Oldenlandia", "Flexibiddulphia", "Stylopyxis", "Trechiella", "Pseudopendulinus", "Crassisporiaceae", "Leptopodomorpha", "Dirrhina", "Roseospirillum", "Scaphognathinae", "Centrilla", "Bocus", "Gilgella", "Pelolinea", "Anoeme", "Oxycheila", "Paratrochodes", "Robertius", "Anisopechys", "Diademichthyinae", "Antiphiona", "Eryalus", "Clavelinidae", "Operculomyces", "Kuschelacarus", "Paradiphascon", "Atrytonopsis", "Euparius", "Sinomantis", "Stenostrophia", "Fenestracrinus", "Enallax", "Elachistodon", "Bircenna", "Metatydaeolus", "Thamnobryum", "Saipanettidae", "Leucopsacidae", "Sessea", "Ancylometes", "Yementallyrama", "Bothronotoxenus", "Arundinella", "Utleya", "Zizyphia", "Epicanitinae", "Protocryptochrysis", "Caturidae", "Songhaica", "Pythonidae", "Allomalia", "Zeaglophus", "Epelaspis", "Paraindopamphantus", "Dolichopetalum", "Australargyria", "Pentatominae", "Dimyxus", "Chrysotus", "Clinorhynchites", "Gongylus", "Planodes", "Hemigryllini", "Sericoides", "Pseudognathaphanus", "Halohygia", "Neodesmus", "Angiopsora", "Scotoniscus", "Nephrodopus", "Metalloleptura", "Polypedates", "Iranotrogus", "Chilgatheriinae", "Fissurella", "Diastatomma", "Vosmaeria", "Neocosella", "Amaurodes", "Ameghinoa", "Amphionthe", "Diminutiva", "Diglyphosema", "Neopaschia", "Synallactida", "Halicyclopinae", "Mecopharsa", "Labidosphaerula", "Fritzschia", "Calycopeplus", "Kumepagurus", "Capsulococcus", "Pterogonatopus", "Merycopotamus", "Maoristolus", "Moneses", "Elaterina", "Polydiexodina", "Acerotisa", "Marioniopsis", "Pappostipa", "Coccolithaceae", "Lupinus", "Rhinoprosopa", "Micatagla", "Oenochrominae", "Acherontides", "Cirriformia", "Calyptrobothrium", "Paratelmatobius", "Craurococcus", "Proselachista", "Cladopodanthus", "Mimomyia", "Synchroa", "Ephialtitoidea", "Hyalospinifera", "Licania", "Araeopteronini", "Didymodactylos", "Exocentrancylistes", "Ephedrini", "Naucoroidea", "Anthochlamys", "Palaeomicroides", "Oncocalamus", "Malesia", "Carpheolus", "Callipterinella", "Masuzonoblemus", "Meganoplium", "Colymbus", "Limnastis", "Pareriesthis", "Hofmeisteria", "Barbarochthonidae", "Delocraniini", "Emuella", "Stygonitocrella", "Klebsimastix", "Limnocoris", "Hoffheinsoria", "Longitibia", "Pseudocharaciopsidaceae", "Calisto", "Bolinopsidae", "Elcanoedischiinae", "Oemini", "Piarus", "Gerdalepidae", "Paracolobizus", "Aromia", "Pachyphiale", "Dulichiopsis", "Tonella", "Progonoia", "Notosemus", "Daimio", "Goupillaudina", "Amphiacusta", "Pleurophyllidiella", "Muiravea", "Trabisidius", "Dactylocardamum", "Bealeyia", "Pogonochloa", "Carastrum", "Termitomimus", "Cylindroeme", "Sungaicestus", "Helesius", "Hymenodictyon", "Paracarinachites", "Hechtina", "Acanthoctesia", "Hetairotermes", "Yezonychus", "Paricanoides", "Rhinocricidae", "Phalaba", "Carolella", "Acetropis", "Chaohuperleidus", "Paragoniastes", "Hysterobaeckea", "Chamaea", "Arcangelisia", "Archoprotus", "Senecioneae", "Characiaceae", "Anomalocarida", "Hybotinae", "Paramyla", "Serpulorbis", "Lithocharodes", "Acanthilia", "Proteinimicrobium", "Morulaeplectinae", "Ransomnematidae", "Neoanguimorpha", "Glyphorhamphus", "Pseudocrepidobothrium", "Gasterocercus", "Orthocoronavirinae", "Similocorus", "Protocandelariella", "Lymnaeidae", "Anthomyzidae", "Periploma", "Derogenidae", "Xanthoneura", "Sybrohyagnis", "Eleticini", "Neoheteronyx", "Scaphatrema", "Erythrura", "Bentyra", "Psylliodes", "Kinghamia", "Tetrataxis", "Elaunon", "Kuria", "Filobasidiales", "Solidobalanus", "Cephalozethus", "Cladobranchia", "Cnephasiini", "Oligorchis", "Zelkova", "Caspicyclotini", "Fuziidae", "Cobelura", "Pachyarmatherium", "Tarisa", "Pseudocorticium", "Scutellista", "Bogasonia", "Pseudomonadaceae", "Rhizodomus", "Scolecophis", "Tegopalpus", "Boletobiini", "Xanthiopyxis", "Blephariceroidea", "Detarioideae", "Pseudodirphia", "Audouinella", "Caputanurina", "Phytocoris", "Emplenota", "Jamesia", "Braueriana", "Cossaviricota", "Dajidae", "Lanzarana", "Cypsnagra", "Pterygopleurum", "Diacamma", "Heterakidae", "Notomegabalanus", "Lessinia", "Enneaphormis", "Apozyginae", "Neothoracaphis", "Alzada", "Chaetaster", "Araeonematidae", "Asdura", "Panaque", "Cellulomonas", "Stenolechia", "Dryodurgades", "Stylobasium", "Narunius", "Naxotia", "Tregouboviopsis", "Hypothecla", "Phellinus", "Superornatiremidae", "Tettigoniidea", "Proneomenia", "Stichaeidae", "Lycopersicum", "Zeuzera", "Hyrmine", "Roseomonas", "Herophila", "Rhodacarus", "Opistomum", "Aureolaria", "Stricticomus", "Placoscopana", "Anisarthron", "Tanysphyrus", "Lasiostega", "Myleus", "Eoclavatorella", "Xeplenois", "Tectocorinae", "Oxycauloeme", "Stylephoridae", "Tisonia", "Leptochiton", "Odontotropis", "Methylarcula", "Amblygonocarpus", "Matsubarichthys", "Eunomarcha", "Calyptoproctina", "Physostegia", "Aphebodactyla", "Gobiusculus", "Isobrachium", "Poporthosia", "Nympholethaeus", "Citharacanthus", "Schlingeriella", "Beridops", "Parapythamus", "Lagenophorinae", "Aetheolaena", "Thambemyia", "Chocoheros", "Aspidimorpha", "Hodotermopsiphila", "Lilaeopsis", "Adenothamnus", "Relicanthus", "Phaenocephalinae", "Microterys", "Alvarengamiris", "Omocerini", "Pyxidicula", "Harutaeographa", "Congrinae", "Paradiatrechus", "Thryptomene", "Ischaeminae", "Aseptatorina", "Taphioporus", "Poliopastea", "Pseudoeponides", "Gomontiellaceae", "Zoopagomycotina", "Polymitia", "Sandbergia", "Saurana", "Cardellina", "Tanakaella", "Spatangoidea", "Peronosporales", "Bardera", "Parankylopteryx", "Zera", "Acanthastilbus", "Plicochonetes", "Myelobia", "Adrogaster", "Psarochlorops", "Rungwecebus", "Tesseracme", "Stiphidion", "Schizocladidae", "Apalocnemis", "Monotestilepis", "Chlorothrix", "Lavandulinae", "Amerinus", "Makarkinia", "Merostachys", "Eleiotis", "Platynus", "Proterochampsia", "Notomyxine", "Caenocryptoides", "Tretomphaloides", "Saltrichocera", "Parawroughtonilla", "Fortuyniidae", "Wilsonichthys", "Lymexylon", "Carteris", "Grandifundilamena", "Pararhabdotis", "Hiemalomonas", "Zygopetalinae", "Santotomasia", "Protojanira", "Erymnia", "Diodorinae", "Pseudomugil", "Homoeopteryx", "Aliboron", "Euphorbiusa", "Prunella", "Gonothyraea", "Cerviplusia", "Lamponata", "Astronauta", "Notocalyptogena", "Trichodinidae", "Kernera", "Ptilodactylinae", "Fereachalinus", "Pseudochirita", "Jabiru", "Blanchardiella", "Lepta", "Melacoryphus", "Mastogloiaceae", "Agaeocera", "Tetranychoidea", "Barbitistini", "Pseudotriphyllopsis", "Euryhalocaulis", "Ammodytoides", "Elecatopselaphus", "Gomyopsis", "Amblypharyngodon", "Idiostyla", "Rolanda", "Calocerambyx", "Apodidymochelia", "Pseudoplatymerus", "Hydarella", "Pedaliodiscus", "Psiloderoides", "Tachinoplesius", "Junctivena", "Tsingymantis", "Pomatonotini", "Haplomacrourus", "Ochyromera", "Zacompsa", "Petrarhabdus", "Diatrypaceae", "Okra", "Acanthobdellidea", "Bopyridae", "Prodajus", "Metaemene", "Bedfordia", "Aglossodes", "Doryopteris", "Wuodendron", "Chromobotia", "Meteorites", "Lasiothyris", "Scolopella", "Barnardillo", "Aphanus", "Bulleribasidium", "Buliminoididae", "Saccifolium", "Anisaedus", "Longarista", "Oposteginae", "Ceratolithaceae", "Dunnia", "Magdalis", "Dysopsis", "Mesostrix", "Talaurinus", "Iteaphila", "Mimetes", "Etiosaphanus", "Aplanodema", "Quiscalus", "Chordata", "Hypermastigina", "Giuiria", "Omolon", "Crasilogia", "Teratopsocus", "Ghaznianthus", "Cunderdinia", "Gjellerupia", "Astonia", "Dermolecanium", "Porticoccus", "Schedotrioza", "Lankanectes", "Dulus", "Umbilicaria", "Otocryptis", "Euparyphus", "Doratomantispa", "Blaptini", "Cryptops", "Camptochaeta", "Pseudostenophylax", "Atropetae", "Fortiborus", "Selagiaforma", "Antharmostes", "Phyllocephalini", "Miricacalia", "Sipaneopsis", "Miosira", "Gackstroemia", "Acanthochelinae", "Holmesina", "Lichia", "Wahn", "Ratemiidae", "Aspidiobates", "Lonchopria", "Cicadellinae", "Anhomoeini", "Bauera", "Leptarthron", "Adialytus", "Halorhabdus", "Ceropalini", "Prolatipatella", "Virachola", "Harpopaederus", "Afrakeura", "Ceranisus", "Fenestratarum", "Chadsia", "Karstenellaceae", "Cordulecerus", "Timon", "Stygocaris", "Straminipila", "Paruromys", "Mecinini", "Hypera", "Xenoclarias", "Isanthrene", "Novotinea", "Anatolagria", "Wajira", "Sagmatostreptus", "Pseudoheptamelus", "Haploginglymus", "Desulfonatronospira", "Copromorpha", "Aysha", "Evodinus", "Thompsonella", "Desbordesia", "Placodidus", "Mimogonia", "Insuloryctes", "Mamurius", "Sinalda", "Douvillinidae", "Ecnomiohyla", "Valletofolliculina", "Melittini", "Heterotestophyes", "Diactis", "Prosthetopinae", "Pselaphomimus", "Aphanesthes", "Anisochelus", "Pomariella", "Hypsicebus", "Desulfohalobiaceae", "Melittacanthus", "Colwellia", "Haematococcus", "Sporadoceratinae", "Pavonitinoidea", "Dichotomocladium", "Earlandinitidae", "Heliomorpha", "Naticopsoidea", "Mauligobius", "Axinoptera", "Procolobus", "TTU", "Annulatascus", "Ruilesia", "Raphidascaris", "Trichiosoma", "Laelapidae", "Phytilea", "Holosteum", "Thompsoniidae", "Neomelanesthes", "Pseudolernaea", "Sonanus", "Pseudophassus", "Scurciatoforamen", "Hydrodictyaceae", "Aulacoctena", "Aquisextana", "Abacaelostus", "Asianthidae", "Lachnospira", "Stylosphaeridiella", "Leptophlebia", "Aenicteguidae", "Neohormaphis", "Cosmodiscus", "Iscopininae", "Gargantuavis", "Tumidochelia", "Alarodia", "Pedinomonadaceae", "Turricula", "Undiatina", "Malaisomedon", "Biecheleriaceae", "Macromaxillocaris", "Trigonella", "Archaea", "Gaedikeia", "Limnobium", "Fonckia", "Dorrotartessus", "Mononchoidea", "Dioscoreales", "Cecidopsylla", "Rhyssaloides", "Gadilina", "Largini", "Infusoria", "Leretia", "Pterastericolidae", "Natipusillales", "Pseudozeuxidae", "Echinorhyncha", "Sitarida", "Agrostocrinum", "Amaura", "Pontocytheroma", "Wodyetia", "Ebrechtella", "Rhynchotalona", "Siphogenerina", "Fordillida", "Pseudocandona", "Zoopsidoideae", "Dictyophorus", "Archosauromorpha", "Sulawsihygia", "Acrophyseter", "Dactylopleustes", "Makialginae", "Palpigera", "Auloscena", "Sarothrura", "Neonanorchestes", "Paramoritella", "Nemoplophora", "Flavobacteriales", "Pergula", "Leichenum", "Sinopimoidae", "Nephesini", "Speleognathopsis", "Pseudohargisia", "Pachyteria", "Tetraphyllidea", "Ichthyotettix", "Stylobryon", "Jobellisiales", "Canestera", "Gonepityche", "Thereianthus", "Hyptiomina", "Neolareiga", "Xyrias", "Arabidella", "Hemadius", "Nipponitella", "Idillini", "Ancistrodes", "Genyoschiza", "Protelinae", "Laccotrephes", "Amarotypini", "Cataleptoneta", "Andigena", "Thalassiosiropsis", "Elopidae", "Bradybaena", "Termitonasus", "Stomatochroon", "Liocichla", "Hyphomucor", "Siphlodora", "Stichocorys", "Neowittmeria", "Accanthopus", "Attavicinus", "Kochlifeluva", "Jungermanniales", "Dellichthys", "Microauris", "Creochiton", "Aerothyris", "Tracya", "Turnaia", "Evalljapygidae", "Siphonosoma", "Texella", "Komagataella", "Leisingera", "Clathrospora", "Helenoxylon", "Todea", "Thermodesulforhabdus", "Myrsus", "Micatuba", "Haplodesmidae", "Scipopeza", "Moreaua", "Gymnosporangium", "Chodsigoa", "Bromius", "Tiquicia", "Holtermanniales", "Hobsonia", "Casbia", "Oligophlebia", "Pseudomisopates", "Mago", "VNUF", "Gamblea", "Edaphodon", "Ducula", "Formosotoxotus", "Grotellini", "Thaumastomiris", "Agonis", "Noliphus", "Hulsea", "Ammodiscus", "Tetrigini", "Pernis", "Siphopteron", "Dryopteris", "Ceratonema", "TU", "Discorbitura", "Perditini", "Poecilodryas", "Procanthia", "Sellaclymeniidae", "Callicereon", "Melanoleuca", "Blutaparon", "Indonipponaphis", "Ambagous", "Cryptolithus", "Erythracarus", "Remexudes", "Heteroserolis", "Piruanycha", "Batracarus", "Neomicrococcus", "Cornutoplisus", "Pseudorhopalia", "Erysimaga", "Apatelomixidota", "Diplostomidae", "Machadoembia", "Desmanthus", "Climatioidei", "Runga", "Sarcospermatoideae", "Xilutiancallis", "Anomospermum", "Drylichus", "Oncochirus", "Haoranjiania", "Sclerosciadium", "Caesioscorpis", "Garypus", "Galloperdix", "Eublemmini", "Mitralifer", "Picrophilus", "Apion", "Oreopsychini", "Sphecoctonus", "Lactovum", "Oechalinella", "Monobothrus", "Tongaichthys", "Beleses", "Vodella", "Abrancha", "Cladocorynidae", "Alcataenia", "Sphaeromimus", "Ephelinus", "Megapodini", "Rhizaxinella", "Badula", "Zygoseius", "Chrysochus", "Trinoparvus", "Arius", "Paradrephalys", "Cetomimidae", "Petalosarsia", "Entorrhiza", "Bradycypridinae", "Leptococcus", "Holoneurus", "Placentammina", "Aeonium", "Leprotintinnus", "Halocypridoidea", "Micropera", "Nipponocercyon", "Melitaeina", "Andiodrilus", "Kundmannia", "Scorpaeniformes", "Velledomimus", "Neoregostoma", "Prototheoridae", "Abrarius", "Sumatraphis", "Bartramiaceae", "Phycodnaviridae", "Anommatocoris", "Piscinquilinidae", "Chinasa", "Dolichosciara", "Laoponia", "Diplublephara", "Knopia", "Coryphistina", "Struckia", "Tetrathylacium", "Pathelus", "Alytes", "Palaeonemertea", "Stephanoaetus", "Cerastoderma", "Myodocarpus", "Phoxopteryx", "Pilgerina", "Kermarion", "Anisoceraea", "Thamnocephalis", "Marplesornis", "Oligogonotylus", "Bodedia", "Bifilida", "Olenellus", "Abisares", "Epimeriidae", "Zelandoperlinae", "Cryptocoda", "Triaenops", "Callimerini", "Australdonta", "Hodgsonia", "Calliopius", "Acantoxyura", "Trichogaster", "Pseudoclithria", "Dintera", "Mycopsylla", "Laemophloeus", "Pseudosuchia", "Parechiniscus", "Colobotheini", "Arachidicoccus", "Callocolax", "Paraliagonum", "Bioalfa", "Jacobyana", "Exsilirarcha", "Heterotentaculidae", "Exotornoceras", "Liobranchia", "Bisgoeppertia", "Cinnamomum", "Moirainpa", "Dinjapygidae", "Coluteocarpeae", "Manaosella", "Methion", "Thaumatophora", "Phrixia", "Beskovia", "Sinoclavus", "Geinitzinoidea", "Topana", "Chaetadelpha", "Puniceicoccales", "Cryptorama", "Psococerastis", "Cyzicidae", "Ratabulus", "Creagris", "Rhinorhipidae", "Cyclopseudedomia", "Marinophialophora", "Tormissini", "Hincksia", "Neuraphomorphus", "Oosomini", "Agelenoidea", "Quaestus", "Bathyscidius", "Atactolaoma", "Cophyla", "Fistulococcus", "Zesiini", "Nopsma", "Metaxanthia", "Munidopsidae", "Mayaheros", "Chrysomerophyceae", "Macrobdella", "Iguanodontidae", "Spilothyrateles", "Cosmioneidaceae", "Aegothelidae", "Khanitermes", "Diplonearcha", "Xylographa", "Cnemidophorus", "Dasyscyphon", "Podocinidae", "Hippoporidridae", "Povedadaphne", "Christolea", "Phylloporia", "Sexavaini", "Baikalogammaridae", "Shuteria", "Pseudastoxenus", "Termitaradus", "Areopaguristes", "Moseniella", "Grundmannius", "Liardetiini", "Falsoropica", "Diatrechus", "Kuschelita", "Levinellidae", "Tangidia", "Synphoxus", "Kuzinia", "Herpidia", "Cyrtinopsidae", "Motsametia", "Phyllopyrenia", "Trinematidae", "Hana", "Trigonocyttara", "Davisella", "Goniocaulon", "Didactylia", "Latridae", "Sacoglottis", "Afrodrymadusa", "Shuangheaphaenops", "Anopercalnina", "Cetrariella", "Dipterocome", "Polycentropsis", "Leuchtenbergia", "Megapodagrionidae", "Couranga", "Ochrolichidae", "Koliellopsis", "Alophosia", "Dendropemon", "Platyphyllis", "Aphelidiomycota", "Yogeshwaria", "Hymenocladia", "Scaphognathops", "Degia", "Disclisioprocta", "Luperogala", "Blamada", "Propsococerastis", "Postbursoplana", "Bruchidius", "Cryptophagus", "Runcinia", "Lathyrus", "Cuclotogaster", "Cixius", "Peridinetus", "Afrodecius", "Biroina", "Denitrobacterium", "Anomis", "Protolyngbya", "Chungkingosaurus", "Gelastyrella", "Pelomys", "Dichaetaria", "Rhyssomatus", "Pseudomarimatha", "Ceratoryctoderus", "Strix", "Acanthoferonia", "Endotylus", "Thermacetogenium", "Dolichopentas", "Oidaematophorini", "Xestojoppa", "Callmilionia", "Pachystegia", "Hypecoeae", "Chamaecostus", "Marssoniella", "Varencya", "Sicilicula", "Gnathobraconini", "Cyrtonellopsis", "Elaninae", "Hypenia", "Woznessenskia", "Dyschloropsis", "Hirsutithallia", "Ophisops", "Sinoneoneurus", "Hiposcritia", "Pseudencyonema", "Neopolyporolithon", "Hemerophila", "Anemanthele", "Ommatophorus", "Pseudolepidina", "Hallothamus", "Taeniodera", "Psalidium", "Huangilene", "Actinobole", "Melanoxerus", "Flabellinidae", "Pterogenia", "Lepyrus", "Spongotrochus", "Eumysopinae", "Enchylaena", "Thunbergioideae", "Pseudovelia", "Polystomammina", "Walsinghamiella", "Szeptyckiella", "Chelidorhynx", "Hochbergellus", "Eriorhynchidae", "Telesinus", "Austrobalanus", "Pseudoprostratum", "Ochraethes", "Eumacronota", "Xenotmesiphorus", "Kakaduacridini", "Uniplanarius", "Dimorphoreicheia", "Pseudoregma", "Armatalona", "Cremnops", "Sepiolinae", "Limnodriloidinae", "Regulidae", "Cromidon", "Dalyelliidae", "Triacanthoneus", "Diamesinae", "Jenkina", "Austrolichas", "Xylocopa", "Falsotruncana", "Mimeugnosta", "Aenictinae", "Stenoprotome", "Lampyrini", "Tegosa", "Squilloidea", "Parisolabidinae", "Syndroma", "Trimerophytopsida", "Cercarioides", "Falsometopides", "Acanthonematidae", "Oeciotypa", "Heterophleps", "Barrerablissus", "Hirtolabus", "Procoronis", "Weeleus", "Stromboidea", "Lamptonium", "Ephestia", "Balbaroo", "Osmelia", "Plectostenus", "Dinomenia", "Phyllospadix", "Callipeltis", "Stactobiini", "Occallatibacter", "Araliaceae", "Myxosoma", "Hannia", "Schroederiella", "Pseudopus", "Moaxiphia", "Pachycoccyx", "Acroclisoides", "Paragymnomerus", "Orthoporoides", "Catergus", "Schlettereriella", "Tamanduamyia", "Discoturbella", "Esquarre", "Prockia", "Cerastidae", "Lycoperdininae", "Epimastopora", "Cephaloecetes", "Uteronympha", "Rumnicus", "Botsa", "Myzomela", "Paulinellideae", "Schendylotis", "Liaromorpha", "Quasirotalia", "Procerusternarchus", "Paleopolymorphina", "Rhopalomyzus", "Sirenoscincus", "Paraethus", "Mesothisa", "Erigoninae", "Yunchangviricetes", "Styporaphidia", "Baumannhygia", "Neanura", "Tetracanthagyna", "Aglaostola", "Compsa", "Bulgaronethes", "Porthecla", "Tintinnidium", "Hymenaphorura", "Asperspinidae", "Macrotermes", "Typhlocybinae", "Limnochromis", "Mokajoppa", "Cloacibacillus", "Diprotochaeta", "Cryptocorynetes", "Spirosoma", "Olivea", "Parapithecidae", "Charonoscaphinae", "Miomonalonion", "Saltuarius", "Rhinophrus", "Oplitidae", "Diclybothriidea", "Trichiida", "Garciinae", "Maoriblatta", "Ovis", "Calyptolepadinae", "Hypsopedes", "Schizosternus", "Nicolasia", "Rhodokrambe", "Callipelis", "Cazeresellipsis", "Cretoxyrhina", "Archaeolithothamnion", "Dynamostes", "Niethammerella", "Parallelodera", "Piogaster", "Spiromiminae", "Amorphoscelidinae", "Auerswaldia", "Dorothia", "Feoichnus", "Stygnohydrus", "Blitopertha", "Stephanolla", "Proutia", "Elthemidea", "Stichotricha", "Azohydromonas", "Cornulitida", "Griseargiolestes", "Typhlochactidae", "Curtobacterium", "Dichelyne", "Shinnersoseris", "Calleupalamus", "Micraira", "Dinoflagellata", "Curranea", "Blastocystea", "Desmatini", "Lorettaoides", "Bellidinae", "Cyclominae", "Cylindronannopus", "Afronatrix", "Macropelopia", "Chariderma", "Pinaroloxias", "Alcestini", "Cretasonoma", "Nematopogoninae", "Neohirasea", "Diplacaspis", "Wulfertia", "Loboceae", "Leptoypha", "Proglypholoma", "Plocosperma", "Oritoniscus", "Gigantolina", "Dasyaphis", "Pseudosmelia", "Paradicranophorus", "Hyperbionychidae", "Heteranassa", "Parathylactus", "Austropsopilio", "Rhynchomesostominae", "Haludaria", "Halopiger", "Reicheltia", "Rhododrewia", "Candonidae", "Romaleinae", "Proterogynotaenia", "Archezoa", "Clausena", "Ascetospora", "Geostibops", "Embata", "Catocala", "Aphylla", "Corythucha", "Dreuxiola", "Physogleninae", "Calocarcininae", "Callobius", "Hexapodorhabdus", "Pisolithaceae", "Fischerinella", "Nuristanilla", "Barteria", "Hydrastis", "Miroceramiini", "Bontia", "Franceia", "Pamphorichthys", "Taeniacanthidae", "Strongylates", "Fuscosporellaceae", "Ectopsocidae", "Stethaprioninae", "Petropedetidae", "Rogadius", "Strongylura", "Borhyaenidae", "Fictibacillus", "Ashlockhygia", "Leucophysalis", "Soricidae", "Choreborogas", "Coloceroides", "Lasiosphaeriaceae", "Anthyllis", "Harposceles", "Diastrophella", "Carinellum", "Selenyphantes", "Asterodiscides", "Mercuriinae", "Rhodopidae", "Thymiatris", "Doidae", "Cremnosterna", "Pempsamacra", "Desulfurobacterium", "Phyllariochloris", "Lenhataenia", "Nardia", "Arbusculohypopterygium", "Colacodasya", "Murchisoniidae", "Kolla", "Olisbeoideae", "Digenethle", "Zelostemma", "Salmoniformes", "Clavagella", "Centrovarium", "Australolinyphia", "Mirodysteria", "Pityrocarpa", "Glomerinae", "Discosporangiophycidae", "Cassianebalidae", "Panopeinae", "Pasilobus", "Saccocera", "Castracania", "Parachrysopiella", "Hygrophorus", "Duocrassana", "Zonochares", "Mortierellales", "Ochrus", "Eryx", "Camerata", "Cerioporidae", "Altasterella", "Rhyssemodes", "Nemoriini", "Phyllognathus", "Phalacrinae", "Alsomyia", "Psallopinae", "Calandrella", "Microcharis", "Ptychaspididae", "Kleinschmidtimyia", "Cerasibacillus", "Leiuromys", "Buxus", "Villiersicoris", "Bolbogonotylus", "Echinamoeba", "Hormidiospora", "Sinocladia", "Tschokrakella", "Rhizocrinus", "Phalacrichomyces", "Kentroleuca", "Erioscelis", "Loriculinae", "Amborella", "Apeulaema", "Fissurisepta", "Lento", "Periacma", "Asterina", "Philisca", "Torquatus", "Chaudoirina", "Bouakea", "Bothrioplana", "Ruagea", "Obricala", "Tidestromia", "Eremitis", "Oxyommata", "Horniulus", "Miraculinae", "Euclichthyidae", "Coelodonta", "Callionima", "Gymnococcus", "Friginatica", "Cantharidae", "Haematococcaceae", "Desmosomatidae", "Allophroides", "Trichosellus", "Hesperomimus", "Lauderiopsis", "Lesmone", "Anostirus", "Neonastes", "Kickxellales", "Limnius", "Lepidomeniidae", "Devendraea", "Rexichthys", "Umenocoleoidea", "Echiurophilidae", "Basidiolum", "Tarphyscelis", "Naegleria", "Glaucorhoe", "Leptoscarus", "Zygosporium", "Gambaquezonia", "Lepidosiren", "Anaphosia", "Stephanopodium", "Barrowdillo", "Pleurostaurum", "Iheringocantharus", "Docohammus", "Orafortis", "Proteiniclasticum", "Atopostipes", "Helisiga", "Psammorhynchidae", "Archeopelta", "Ailuroedus", "Geogale", "Antennablennius", "Eurhamphus", "Oceanicola", "Joubinella", "Parastygarctus", "Sphagesauridae", "Scranciini", "Anabacerthia", "Hoplepiscapha", "Homoeotropis", "Gloiosiphonia", "Archaeolembos", "Hippeastrum", "Bakerinia", "Gabirobius", "Thyone", "Petraphuma", "Diplacina", "Catasetinae", "Dolichoplana", "Pontharpinia", "Ecoporanga", "Huhentominae", "Paratrichodina", "Parageoscydmaenus", "Cravera", "Metamicroptera", "Mojsvarites", "Calathodes", "Gulaphaenops", "Bleninae", "Neoderelomus", "Zamioeme", "Scolopocerus", "Agrothereutina", "Chaerilidae", "Leadbetterella", "Nephrodidymotrematinae", "Lytocestidae", "Neopisalia", "Rhizolepas", "Malacolepadidae", "Stenolechiodes", "Lygaeosoma", "Supputius", "Fiorinia", "Sigmavirgulina", "Lefua", "Tapinellineae", "Mallaspis", "Entorhipidiidae", "Pseudobuliminella", "Erissoides", "Platyngomiriodes", "Cryptia", "Trachelolabus", "Pipistrellus", "Abolboda", "Arctomeles", "Corynophryidae", "Enalodroma", "Goellipora", "Piola", "Tramini", "Notoligotomidae", "Stephanopinae", "Austrohahnia", "Graomys", "Nodularia", "Conceveibinae", "Protorhyssalodes", "Sigorus", "Catabacteriaceae", "Aulacosternum", "Sinoxizicus", "Comatulidae", "Humibacter", "Melopsittacus", "Chamaemelum", "Apimelida", "Scomberesox", "Heteropyge", "Palaemnematinae", "Mimoglenea", "Lycini", "Acanthosipalia", "Enkianthoideae", "Agerodes", "Bucolarcha", "Trichocerosia", "Harpagus", "Chlamydogobius", "Exorhopala", "Halomyces", "Hyaloidea", "Osteoglossidae", "Cyllogenes", "Valdiviathyris", "Oeselaspis", "Nilotanypus", "Epistominitella", "Helicinidae", "Bdellamaris", "Bryocamptus", "Swarchewskiella", "Notoungulata", "Pelexia", "Ooperipatus", "Polydegmon", "Trocholinopsis", "Neoatractosomatoidea", "Clavulaspis", "Trematosteidae", "Oxyserphus", "Oligotomidae", "Temnoscheila", "Walesia", "Unyapheonoides", "Trichodinium", "Ophiuroglypha", "Chrysocercops", "Hypsugo", "Chloreuptychia", "Eleocharis", "Microsporomycetaceae", "Kryptapate", "Monotarsobius", "Neocrassicheles", "Charinidae", "Colobothea", "Euryzygomatomys", "Notoplectron", "Amarantoraphidia", "Scageliopsis", "Gigantococcus", "Bouchardatia", "Paleocartus", "Cybaeolus", "Flexivirga", "Tomaculoides", "Cetiopyge", "Terradessus", "Neocarolus", "Strigodius", "Weisiopsis", "Tylida", "Ebertidia", "Mimiptera", "Tetradactylus", "Leptocoris", "Aulostomidae", "Doleromorpha", "Desseria", "Koerberiella", "Spirosolenites", "Pillersium", "Armatimonadaceae", "Sarcanthopsis", "Sinechostictus", "Guinotinia", "Aaata", "Lycieae", "Kalaharia", "Wawea", "Siphoniulidae", "Janegoodallia", "Agyphantes", "Coenaletidae", "Siederia", "Spintherops", "Neocallimastigomycotina", "Maeviini", "Ampsalis", "Arenigobius", "Diplolepis", "Hibrildinae", "Rissoelloidea", "Teresirogas", "Samiriamorpha", "Pyrsonympha", "Tinginotum", "Myrmecium", "Oxymitra", "Alloherpesviridae", "Gyrodactylidea", "Vandenboschia", "Platylepas", "Apiales", "Machetornis", "Asterochiton", "Bellevalia", "Clambus", "Propleromini", "Besuchetiola", "Monostroma", "Parapolyacanthia", "Rhinoptilus", "Bisphaera", "Syzetoninina", "Heliorestis", "Pachycorinae", "Metamagnusia", "Lepisiina", "Stephanodiscus", "Praemetoicoceras", "Smilodon", "Phytobaenini", "Litopous", "Chaubardia", "Sinnamarynus", "Polytrichales", "Pyrocleptria", "Zonosemata", "Anoplosaurus", "Flagelligorgia", "Lanceoloboceras", "Ptilineurus", "Leucinodes", "Sahlbergiini", "Nothapocyrtus", "Aplopododesmus", "Apomyrma", "Baeosciara", "Rubrini", "Clepsimorpha", "Tabasconura", "Lonchothyrea", "Odontria", "Microhoplomelas", "Pilaira", "Lepidolopha", "Halonatospora", "Choreoclonium", "Neelides", "Scutacarus", "Carettinae", "Palaeocopida", "Mimeciton", "Metraria", "Pseudomechoris", "Triptiloides", "Canararctia", "Beipiaopterus", "Aeluroglena", "Mioscorpio", "Huperzia", "Xanthobacteraceae", "Contortiocorpa", "Kareniaceae", "Plesiothyreus", "Cephalotaxus", "Kandaharia", "Bacidina", "Pleurosticta", "Protacanthoides", "Selenotila", "Araneae", "Paropsieae", "Stenorrhynchos", "Melanitta", "Euryinae", "Pediculaster", "Bathylasmatinae", "Atoposauridae", "Futasujinus", "Lissomyema", "Halothamnus", "Roeseliidina", "Compsidolon", "Drepanomastax", "Xystrocerini", "Nothischnus", "Pinkericola", "Heptaptera", "Soda", "Henckelia", "Neomaniola", "Havilandoxenus", "Merodinium", "Stacheoceras", "Megradina", "Breviscolex", "Ctenisomimus", "Sphaerephesia", "Meziini", "Pseudosieversia", "Otosphaera", "Kalidos", "Scopocira", "Eohomopterus", "Plesiothrips", "Albuliformes", "Cleopterium", "Dactylomyiini", "Coleopuccinia", "Rhynchogastremataceae", "Osthimosia", "Peyritschia", "Lonomia", "Diamena", "Maronea", "Tinodon", "Microrhopaea", "Ptochaula", "Rugitarus", "Articulina", "Sergioneris", "Tucumaniella", "Sigmodontini", "Radicafurcus", "Matoatoa", "Phibalapteryx", "Pyramidulina", "Mesus", "Lunulariidae", "Siamoporus", "Hydroptilini", "Epichorista", "Orienthella", "Genosema", "Neaprix", "Gladioserratus", "Coeliccia", "Ceratocyba", "Rissa", "Quadratus", "Chalcophorina", "Coelastrea", "Myrmoderus", "Pseudartabotrys", "Neanastatinae", "Phoniscus", "Thoracotroctinae", "Chilenana", "Pseudoryzomys", "Encoptarthria", "Oposispini", "Brownea", "Sciton", "Mimoserangium", "Gochnatioideae", "Bathylutichthyidae", "Monocercomonadidae", "Aresia", "Rhicnobelus", "Ombilinichthys", "Pseudopolyedriopsis", "Cantina", "Lipodes", "Xanthobacter", "Ribeiroclinus", "Chiroptera", "Stigmocheylidae", "Acanthamoebidae", "Neoheresiarches", "Estigmene", "Protabanini", "Xybarida", "Cheiloclinium", "Chrysolepis", "Ottistirini", "Hypodoryctes", "Echinophilopterus", "Ianduba", "Nothrotheriidae", "Echinacarus", "Poecilohetaerella", "Halogeometricum", "Hierodula", "Australentulus", "Holomitrium", "Syncoeliidae", "Rhinus", "Leontopodium", "Pontismataceae", "Sauria", "Quadrisbole", "Luzonacera", "Microemathis", "Idiosaissetia", "Wadicosinae", "Mallada", "Pandava", "Scirtes", "Troctopsocus", "Flintina", "Prasinophyceae", "Tarika", "Bombardia", "Shirozuellini", "Myopus", "Capnopsis", "Afzelia", "Hyophorbe", "Diringsiella", "Gyroidina", "Parabaeus", "Tumoris", "Proxenetus", "Parasyzygonia", "Heteroconus", "Clitoria", "Rhytidelasma", "Protosiphon", "Hippoboscidae", "Campbellana", "Nycteridae", "Gymnomonas", "Samoleae", "Acantholipes", "Lepidoblepharis", "Schenkia", "Argyresthiidae", "Kentrochonopsis", "Antrogonodesmus", "Mesochra", "Hyphopichia", "Ischadites", "Golinca", "Limnoithonidae", "Plesioborops", "Oreodeira", "Lionectes", "Picidae", "Foveoleberis", "Dirofilaria", "Chetochelacaridae", "Ferdinandusa", "Kaburakia", "Pilgramilla", "Canacea", "Opisthacanthus", "Geryonidae", "Mimommata", "Unelcus", "Capsosiraceae", "Trichomonadida", "Pseudobartsia", "Caraccochylis", "Colobathristinae", "Odontosphecini", "Pannariaceae", "Ammiaphis", "Acrosiphonia", "Camacolaimidae", "Stenothoe", "Pseudoalbaillella", "Telosticta", "Turborotalia", "Biorbifera", "Varimenia", "Minimelanolocus", "Xerocomellus", "Dorobaea", "Euprosopus", "Sundanina", "Coptotettix", "Speokokosia", "Bertiera", "Polymera", "Ganovexopyge", "Burmalepisma", "Gromiida", "Disparctia", "Araeomerus", "Alepidosceles", "Kronopolites", "Johnius", "Ixoreae", "Gynochelys", "Phallofractus", "Brachypelus", "Marchantiidae", "Wenxinia", "Neogloboquadrina", "Tetrachondra", "Eubasilissa", "Calostephane", "Pamphagus", "Tetragoneura", "Pseudotaxus", "Tryphosella", "Trochoastrites", "Aulacophoroides", "Pirella", "Brachycorythis", "Diadromus", "Orchestes", "Haba", "Elipsocus", "Holconotus", "Kaeveria", "Saccharomonospora", "Aenigmula", "Ankylopollexia", "Neoschrammeniella", "Hydronomidius", "Rugadentia", "Scydmaenitae", "Roerichiora", "Dimocarpus", "Lorryia", "Plathymenia", "Sitta", "Ustilago", "Chitona", "Pogostemoneae", "Tremellia", "Pseudocephalus", "Ceraegidion", "Sychnocotyle", "Ommatoleucon", "Tautogolabrus", "Bulbosembia", "Centistidea", "Osmarina", "Pseudessigella", "Sollasella", "Hylurgus", "Miuroglanis", "Zoianillus", "Heteroherpiidae", "Pellasimnia", "Typhlobolellidae", "Paraboopia", "Boiga", "Brachygystia", "Hypogeocoris", "Ahstemiam", "Omaliinae", "Spyridieae", "Cuneocharis", "Gigasjapyx", "Thripadectes", "Coenagrion", "Neolingulina", "Malabaila", "Schistopeltis", "Stenellipsis", "Anacanthoderma", "Leopoldinia", "Kapsulotaenia", "Gedea", "Sternotherus", "Stictolecanon", "Ozoctenus", "Oxeoschistus", "Hyperaeschra", "Phanerotomoides", "Saphydrus", "Polipobothrium", "Platystigma", "Nesotingis", "Limnoporeia", "Opsilia", "Metelipsocus", "Camoensia", "Niphopterolophia", "Loftacarus", "Cranioidea", "Ramphotrigon", "Euproctinus", "Cheus", "Neohyadesia", "Siphonophorae", "Paratinea", "Nyctocereus", "Guiodytes", "Chaliniastis", "Tomthompsonia", "Gymnesina", "Chersophilus", "Choerocydnus", "Baroniinae", "Superodontella", "Sporadogenerina", "Ornithinibacter", "Macradenininae", "Eurytominae", "Glomeridesmidae", "Acanthopsychini", "Scharfenbergia", "Haeckelia", "Munna", "Dinapatini", "Psammopolia", "Macvicaria", "Compsolechia", "Hormiitis", "Gerrardanthus", "Scyphidiidae", "Hileolaspis", "Azorivitrina", "Lembergia", "Parlibellus", "Afrotyphlops", "Cosmoclostis", "Phaisurella", "Arnhemia", "Acletoxenus", "Arachnion", "Pila", "Goaligongidris", "Astereae", "Dubininolepis", "Luffariella", "Lecanoromycetes", "Thalassornis", "Methanobacteriaceae", "Gammaridea", "Camallanida", "Antigonus", "Amellus", "Collagenus", "Mnasinous", "Hybanthopsis", "Ophioxenikos", "Aphanopsidaceae", "Teinopalpini", "Ugyops", "Sulfuricaulis", "Azaleodes", "Archaeosesia", "Cephalaspidae", "Nassellaria", "Subpilocereus", "Thymoites", "Distichodus", "Adelphohemerobius", "Lithoglyphulidae", "Exmesselensis", "Metallonupserha", "Holangus", "Neoanathamna", "Stereotydeus", "Centrotini", "Lithacrosiphon", "Mimalloninae", "Reinholdella", "Conglomeratusclera", "Creteus", "Quillajaceae", "Pseudomongoligena", "Neuraeschna", "Mauritecia", "Cetiothucha", "Zedura", "Eustathes", "Notoxenoides", "Candoninae", "Shaogomphus", "Stenurella", "Spathaspora", "Sablia", "Bienertieae", "Ecitomedon", "Nerieae", "Lamprosomatinae", "Polycaoninae", "Wisterieae", "Jersicoccus", "Pseudoxyrhophiinae", "Arachnocolus", "Paraboea", "Brachylepis", "Yunnaniata", "Neothyris", "Ichthyaetus", "Myrmelachista", "Corizomorphini", "Klosteria", "Amathillopsis", "Auraticoccus", "Ipuka", "Dasysphaera", "Aestuariihabitans", "Echinogammarus", "Amnesteophis", "Synagogidae", "Barcinidae", "Membranoptera", "Mesorhabditis", "Oteiza", "Keratella", "Codonofusiella", "Ezishnola", "Fafana", "Beringiinae", "Bohlenia", "Rhodostrophia", "Globotextularia", "Arundinelleae", "Aeolisaccus", "Anthoscopus", "Tecturinae", "Nesoryzomys", "Paraheteronchocotyle", "Turanium", "Attaichnus", "Flueggea", "Clemendana", "Echium", "Paranagallia", "Saliweckelia", "Latrunculia", "Pelmatochromis", "Galitzkya", "Sagiolechia", "Bolbostetha", "Quemetopon", "Hillia", "Amazonothops", "Parvocysta", "Dictyna", "Pecari", "Sidnia", "Arotrobates", "Paracaridilophus", "Asterotexiaceae", "Ireneia", "Singalangia", "Onchopelma", "Thalassoica", "Dictamnus", "Lemodes", "Australomonstrillopsis", "Acontiophorum", "Tibia", "Xerodraba", "Dicranoptycha", "Deinocheiridae", "Philoscia", "Adelomyrmex", "Troglocheles", "Odontitella", "Anamylopsora", "Odacantha", "Heimiochrysis", "Halormus", "Telegeusidae", "Metaxonchium", "Petaloporidae", "Phaenomys", "Homoroselaps", "Brachyphleps", "Waoraniella", "Caryobruchus", "Utsetela", "Synchilus", "Meristosolen", "Georgiella", "Xylostiba", "Simocrysa", "Plisthenes", "Xanthogalum", "Laevapicini", "Oedischiinae", "Bulaea", "Kakopoda", "Dinardina", "Eichiella", "Gegeneophis", "Augasma", "Euphonia", "Tapinoma", "Neozvenella", "Xylobotryomycetes", "Paradendryphiopsis", "Ridgwayia", "Euliodes", "Spinachia", "Plesioglymmius", "Sebaia", "Acarteroptera", "Pseudogaltara", "Cananga", "Jaumea", "Psathyrotinae", "Azana", "Diplostirini", "Diplomonas", "Papusini", "Blossia", "Cryptopone", "Heterochromulina", "Koellikeriinae", "Yichunentulus", "Trichosea", "Emblematodes", "Atractogaster", "Pachycyphon", "Schuitemania", "Glandulonodosariidae", "Nostocoida", "Azya", "Stegnammina", "Mimoniphona", "Ampelamus", "Nemotarsina", "Eligmini", "Gymnelema", "Wanzia", "Achatinina", "Trissolcus", "Alycaeinae", "Stizolophus", "Iphiothe", "Punctidae", "Diaphoromyrma", "Grandala", "Acanthastenasellus", "Bolandia", "Hydrobiosis", "Odontocheles", "Gabolus", "Chrysomelini", "Cyanocnemis", "Terapontoidei", "Scolopia", "Euclavarctinae", "Oplitis", "Cosmoderes", "Adinia", "Oscillatoriaceae", "Eutrypanus", "Tryonicidae", "Viteus", "Urochordeumatidae", "Lobocla", "Cephalofovea", "Styloneis", "Ophiolepis", "Macroplectra", "Janickina", "Horwathia", "Pterorhachis", "Malagopsis", "Tonkinosomatini", "Pliotrema", "Haemogamasidae", "Cinitogomphus", "Nopalxochia", "Paurodesmus", "Cyllogerusa", "Campylopetalum", "Ixiolaena", "Hexodontini", "Sloanea", "Coccalicus", "Lithognathus", "Tinsitheca", "Cacama", "Galaxea", "Brachydromicus", "Pentaclethra", "Parvaponera", "Zosterophyllopsida", "Fallax", "Lobochona", "Heizmannia", "Dixoniellales", "Chaetosiphella", "Coleodesmium", "Mareeba", "Physarida", "Ionescumia", "Habroptila", "Phocidini", "Drummondita", "Caimaninae", "Stiraderes", "Podocominae", "Crellidae", "Bodenheimera", "Paragetocera", "Austronanus", "Lepidophyllinae", "Claviscopulia", "Bathycythere", "Archostemata", "Eusteniamorpha", "Ecitodulus", "Curtiselloides", "Macrothylacia", "Isochona", "Psammonobiotus", "Astrononioninae", "Ceroplesini", "Aspidorhynchiformes", "Clastobryophilum", "Asemochrysus", "Homoeopus", "Hemicloea", "Echinopora", "Blastospora", "Sagiolechiaceae", "Amphipteryx", "Echinorhinus", "Bulimulidae", "Neisseriales", "Lacuna", "Ichthyopterygia", "Eutresis", "Microlenecamptus", "Daviesia", "Indiopius", "Onomaus", "Megalybus", "Pamochrysa", "Exellodendron", "Agnotyphlus", "Microphagus", "Argyreia", "Podoprionides", "Desmanthidae", "Scampanella", "Ozotomerus", "Capeochloa", "Ernsta", "Poekilogammarinae", "Iolininae", "Curteria", "Raptorhydracarus", "Amusurgus", "Discicristata", "Egadyla", "Phaeoscincus", "Idgia", "Hemisphaeriini", "Alseis", "Callionymidae", "Chrysophrys", "Acanthoecidae", "Adrorhizinae", "Hyantis", "Gondwanapsocus", "Scopellaria", "Chuneolidae", "Eriphoserica", "Nessovbaatar", "Amblystomina", "Thamoma", "Xystropeltis", "Rhinatrema", "Ventrifossa", "Parasphyraenops", "Arrhenia", "Hetaerininae", "Beccariola", "Peltariopsis", "Panaphis", "Zygophyllales", "Gyalotingis", "Neoasceles", "Tulasnella", "Palnissa", "Calamodontophis", "Rathbunaria", "Andala", "Rhodopeltis", "Debarina", "Libanosemidalis", "Schizomeri", "Varioclymenia", "Pseudonargiotes", "Eonympha", "Thapsinillas", "Callindra", "Toxophorinae", "Entypophana", "Spirobranchus", "Nyctiophylax", "Epizoanthus", "Crossodonthina", "Velindastus", "Eriocaulon", "Rhapiomidinae", "Libaviellus", "Mimocrossotus", "Bartsia", "Violaceomycetales", "Bathyfauvelia", "Achenopsis", "Septoglomus", "Megra", "Semionotidae", "Lophiosilurus", "Bombaceae", "Corallibacter", "Spathanthus", "Gyalostethus", "Makedia", "Aspidosiphonidae", "Digrammini", "Ischnotoma", "Crusbatus", "Obtexocorytus", "Olin", "Mesochytriaceae", "Divisestylus", "Lucerninae", "Eurylepta", "Striatura", "Lasiurini", "Hyelaphus", "Permarachne", "Goniadidae", "Cabomba", "Moriomorphina", "Oropodes", "Lepeostegeres", "Umbellosphaeraceae", "Cuspidarioidea", "Blothrocrinidae", "Florisphaera", "Cyrtarachninae", "Myxochrysis", "Lates", "Myossita", "Cheleion", "Tetrops", "Diplothele", "Hyocrinidae", "Hypophryxus", "Skeletonemaceae", "Epicanites", "Bradleyella", "Astrothelium", "Hosomeiga", "Murrayella", "Bactrospora", "Selenocoris", "Raviniina", "Basanasca", "Naematelia", "Tanquata", "Egoliini", "Eoannularia", "Listrophorus", "Diademopetra", "Thrinaphe", "Alokalliapseudes", "Georgiasaurus", "Tuberorachidion", "Rhodonematella", "Bathyergus", "Microgyniidae", "Isoleucas", "Dellacasiellus", "Anneckocoris", "Acrochordidae", "Papilio", "Boluochia", "Piptochaetium", "Trixagus", "Badia", "Ilyplana", "Lepraliellidae", "Rhynchocorini", "Baileya", "Dikraspedella", "Pinnichthys", "Kuatinga", "Syzygium", "Surirella", "Serranobium", "Barrmaeliaceae", "Otinidae", "Helava", "Balintus", "Trichopodus", "Coptidoideae", "Wattius", "Rhynchuchus", "Hydroidolina", "Grasseiteles", "Aturus", "Zonosphaeridium", "Lylea", "Chloromantis", "Xyloperthini", "Paraoxypilinae", "Plutarchia", "Galeosoma", "Aname", "Globigerinoita", "Acanthopelminae", "Ichthyostegalia", "Cheumatopsyche", "Tydaeolinae", "Pyrrhochalcia", "Ea", "Tubulanidae", "Reticulaspis", "Zygophylax", "Beutenbergia", "Thortus", "Glypholecia", "Prymnesiophyceae", "Cinchonoideae", "Andinodontis", "Parobius", "Synechocryptus", "Candiope", "Wekamiris", "Acoelocyba", "Phaearthron", "Trachyscelis", "Hemisphaera", "Pseudocalyptomena", "Neomonachus", "Baloghoizetes", "Tabulina", "Piriqueta", "Hapalotrema", "Helicopage", "Coryphiodes", "Araragi", "Amphicocconeis", "Joelminetiini", "Nabokovia", "Limnadiidae", "Psallops", "Chaeturichthys", "Colemanosphaera", "Nymphicula", "Hymenachne", "Nesiotrechus", "Pentanema", "Allomicrocotyla", "Faurea", "Pericoptus", "Distephanus", "Ageniella", "Dipterocarpoideae", "Lorymaini", "Dasyuroides", "Dilobidiontura", "CZA", "Dulichieae", "Ptychodon", "Rhynchospiza", "Celeriella", "Pseudophoenix", "Trichostomatida", "Arenotus", "Hypochaeris", "Lobuliciaceae", "Phaea", "Gibsoniothamnus", "Ikuma", "Milvinae", "Glomerellaceae", "Yamamotozephyrus", "Rakiura", "Zelencyrtus", "Dolichomacrostomidae", "Cardiopharynx", "Gryphoceratops", "Megascops", "Tropidoneis", "Anchorophoridae", "Paradictyoarthriniaceae", "Aspidophiura", "Mogurnda", "Malolotia", "Ophiocrene", "Amomum", "Strumariinae", "Xenodontinae", "Evotella", "Aspidorogas", "Anticleapa", "Peltoperlinae", "Philanthini", "Calaminae", "Sarcophilus", "Lactarius", "Albizia", "Swezeyana", "Lissophadnus", "Ninox", "Curvisignella", "Hysterophora", "Pseudoceratoppia", "Picovirinae", "Arracacia", "Daraelitidae", "Platyoposauridae", "Skvortzowia", "Monodryxus", "Acracantha", "Shanweiniao", "Ectobius", "Pheosia", "Eupomatia", "Parvaoplus", "Mayncina", "Elachymyia", "Taeniopteryx", "Brevitibius", "Stylonuridae", "Crioceratites", "Elasmobranchii", "Hylaperdina", "Hypnomonadaceae", "Porphyrocrininae", "Camarea", "Oenas", "Antennulariella", "Nymphicilichus", "Protocetus", "Mimozethes", "Propionicimonas", "Cyclopsinella", "Pseudomelatomidae", "Swertia", "Tugana", "Marauna", "Euaesthetotyphlus", "Cellulosibacter", "Benedenia", "Thoramus", "Geodena", "Plantaginaceae", "Elassocumella", "Zerynthiini", "Tilloglomus", "Discolithus", "Asclepias", "Kotla", "Adnatosphaeridiaceae", "Puniceicoccaceae", "Zonopterus", "Carenum", "Dermorhytis", "Eleutheria", "Alloscirtetica", "Adelphailurus", "Metaphidippus", "Echinothuriinae", "Bathygyge", "MUHNAC", "Euleptus", "Concubina", "Sunorfoides", "Perilitini", "Horioctenoides", "Flata", "Callidiopini", "Udoteaceae", "Pennithera", "Cantharocnemini", "Grenfellacanthus", "Stocksia", "Wesmaldra", "Lophomonadida", "Sphecomyrmodes", "Anisopodus", "Hyperaxis", "Crenarchaeota", "Planoctena", "Pseudokeronopsidae", "Metalycaeus", "Unidentia", "Biuve", "Chaetacanthidius", "Rozinante", "Aeolis", "Ecitoxenidia", "Jera", "Xeranthemum", "Histomonas", "Aneflomorpha", "Pseudobacteroides", "Turbatrix", "Molossops", "Eovolutina", "Heimenia", "Hygrochloa", "Prorastomus", "Pseudocollinella", "Kritaturus", "Placomerus", "Rabocerus", "Blechnum", "Eupromera", "Cornirostridae", "Bolivaridia", "Rotula", "Pseudotogea", "Phyllomyza", "Pulex", "Apelaunothrips", "Archiacina", "Atlanteuptychia", "Bathyporeiidae", "Pegaeophyton", "Teichorhabdus", "Austinia", "Moravamminoidea", "Lulia", "Gloma", "Anaeromyxobacteraceae", "Cerocomini", "Metachaetodus", "Palissya", "Alophomyia", "Alloprevotella", "Cermatulus", "Tilesia", "Polytrichum", "Cristatusaurus", "Mimophisma", "Coleites", "Parapelophryne", "Pseudoathyreus", "Dolichomitus", "Clitumninae", "Rhamphocaulini", "Perodryinus", "Hypogaleus", "Aphaenogaster", "Speleognathus", "Mitchelliinae", "Laevinesta", "Corrugatella", "Arnoliseus", "Onocryptus", "Matanui", "Notocolpodes", "Paracoccus", "Sigmaboilus", "Cladosictis", "Odontoscirus", "Thymophylla", "Ancistrothyrsus", "Hygropetrophila", "Notomatachia", "Calycidorididae", "Arganogidiella", "Caspiocuma", "Istiblennius", "Clisospiroidea", "Pseudoadites", "Anoxynatronum", "Liocraninae", "Rhizobiales", "Girvanella", "Conopomorpha", "Melanotini", "Plectromerini", "Promesostomidae", "Zelotes", "Australiotyphlus", "Plunentis", "Cretessenia", "Poga", "Rhyacocnemis", "Phespia", "Anchoromicrocotylinae", "Dalmanites", "Blastobacter", "Pachygronthinae", "Hesionura", "Micrambe", "Picathartes", "Oberonia", "Apiopetalum", "Oxyprosopus", "Psilorhynchus", "Coeliaxinae", "Terpnacaridae", "Adriana", "Craniopsida", "Protokuetzingia", "Gryllacridinae", "Paracaudina", "Tiracerini", "Cleidogonidae", "Trattinnickia", "Adoxomyia", "Sabellida", "Chrysocorythus", "Miramellina", "Anisocarpus", "Krusensterniella", "Juncobia", "Calamitaceae", "Dignathodontidae", "Anthemidinae", "Biporodesmus", "Amblydoras", "Paramesiodes", "Langebergia", "Ascophyllum", "Caminicella", "Linopenthaloides", "Misumenini", "Acrochordonichthys", "Anilius", "Nannacara", "Djadjoua", "Thyreogonia", "Mesepora", "Compsomelissa", "Rhizodiscina", "Orthodontiaceae", "Cosmorrhyncha", "Thopha", "Cochylimorpha", "Operculina", "Podanychroma", "Fullawaya", "Ministigmata", "Chalodeta", "Theotiminae", "Genetancylis", "Hadzioidea", "Chordeumiidae", "Coynema", "Sphingosinicella", "Marinospirillum", "Maxillipius", "Lasioideae", "Neopteryx", "Neslia", "Pseudolarentia", "Muscicapella", "Mestoklema", "Vidrioceras", "Tectus", "Castanea", "Nerudia", "Ascoschoengastia", "Lasiodora", "Ausktribosphenidae", "Ophidascaris", "Polygala", "Bothriocyrtum", "Ligabueino", "Chordariopsis", "Triplophysa", "Pimplaetus", "Microthyriacites", "Compsobuthus", "Pluroides", "Coenosiinae", "Breviceps", "Callorhinchinae", "Anomalotragus", "Gyminda", "Peripeplus", "Selenopidae", "Batrixenus", "Collothecaceae", "Tanyana", "Stomiati", "Papillochoricotyle", "Tapirus", "Laelaspis", "Antarctilamna", "Austrachipteriidae", "Allodus", "Batoteuthis", "Spathuliger", "Hosticus", "Heterosiphonioideae", "Physorhinina", "Diamesini", "Mucillnata", "Nanopisalia", "Pinarophyllon", "Palaeosiphon", "Pisuliidae", "Phyllocara", "Ctenoplectron", "Cirrhitus", "Periacmini", "Acestrilla", "Squamamoeba", "Ypsiloncyphon", "Cheilonycha", "Paramyia", "Schizozygia", "Haida", "Miniagraecia", "Myrmeciini", "Rehnidium", "Neurospora", "Kiunga", "Pantoneura", "Amphiselenis", "Elbenia", "Palaeoestes", "Shamosaurus", "Rhodoreae", "Paralampona", "Ditrachybothridium", "Acinopterini", "Aphidoletini", "Clytus", "Phloeoporina", "Plectosphaerellaceae", "Triprotella", "Rhipiphoria", "Cyclidiopsis", "Husseyella", "Pseudillaphanus", "Treponema", "Carcharodopharynx", "Squaliodalatias", "Pogonatherum", "Pseudopathocerus", "Potentilla", "Peptoniphilaceae", "Yoania", "Falsoparmena", "Deltaria", "Alogomyces", "Catanopsobius", "Abelisauroidea", "Pseudoharringia", "Atractylis", "Urosigalphus", "Muscidifurax", "Therippia", "Afrotroppopsis", "Emeus", "Valettia", "Austrobittacus", "Apethistis", "Gadus", "Luscosmodicini", "Katria", "Shargacucullia", "Cynipencyrtidae", "Macchiademus", "Lindbergiola", "Allara", "Tachinoproporus", "Averrhoa", "Microsporum", "Mollinedia", "Gonatozygon", "Digyalum", "Gampsotes", "Emenica", "Hippacrae", "Polypsocus", "Azatrephes", "Spinosaurinae", "Leucaena", "Micratys", "Nycterotis", "Cyclomilta", "Medetera", "Bucinogonus", "Thaumatoniscellus", "Dimerometopina", "Centrogenys", "Korshikoviobispora", "Metaglymma", "Armenosoma", "Ischnojoppini", "Thyrsitops", "Rhotanella", "Microsporidea", "Paidiovalgus", "Vaepellini", "Quateia", "Pseudostegana", "Campodeoidea", "Rhizotrogus", "Asterinides", "Surirellaceae", "Taeniidae", "Euonyx", "Pseudaptinus", "Pseudemydurinae", "Cucullitingis", "Ezoloba", "Aleyrodoidea", "Azygethidae", "Dicroglossidae", "Tatosoma", "Accara", "Dioleniini", "Stoeckeria", "Xenicodinium", "Lusitaniosomatidae", "Arengomyia", "Thoriellidae", "Gnomoniaceae", "Oligobalia", "Zygocircus", "Paranotila", "Mixomyrophis", "Spiculogloeaceae", "Cretobolbus", "Reptadeonella", "Nisaxis", "Protomicrocotyle", "Peplometus", "Euglyphidion", "Emmetia", "Saldula", "Rhizogene", "Clogmia", "Neopelminae", "QPLS", "Grimmiales", "Lutilabria", "Amerigoniscus", "Erateina", "Anthosachne", "Megafodina", "Cardwellia", "Australiodillo", "Pydnella", "Phaeomoniellales", "Vanamea", "Orbus", "Temnora", "Parasymmetrorbione", "Lamellariinae", "Malinica", "Stenobatyle", "Porpax", "Gamelia", "Dandamis", "Heloridae", "Scutelliformis", "Anoxynops", "Madoniella", "Pephysena", "Aphredoderus", "Stephanoberycoidei", "Virgaviridae", "Anomodontaceae", "Schizosaccharomycetes", "Ceuthophilus", "Leptolyngbya", "Schradereae", "Pelagicola", "Cirolanidae", "Conioscyphales", "Lucininae", "Henophyton", "Colacogloea", "Canalisporium", "Brientrema", "Blackfordiidae", "Iracema", "Neotenes", "Opetiopalpus", "Hyosciurus", "Neosybra", "Sebadoris", "Procephaleus", "Weissella", "Namamyia", "Arianta", "Ancistrocladus", "Pyrrhobaphus", "Vandeae", "Gietellidae", "Cosmioneis", "Sphaleromantis", "Thamnophilini", "Margarodinae", "Alphitophagus", "Gonyaulacoidia", "Athyreacaridae", "Gitava", "Sinuatophorus", "Chilostomina", "Pulsiphonina", "Plenodomus", "Bosbequius", "Lygofuscanellus", "Allodiscocotyla", "Ordishia", "Gutrida", "Trichotanypus", "Rinamba", "Myersius", "Shivparvatia", "Afroplectaulax", "Hexagonellidae", "Caribacusta", "Neolaemosaccus", "Bobartia", "Pseudoselenophorus", "Anthophylax", "Cucumerinae", "Typopsilopini", "Shinisaurus", "Nama", "Guiglia", "Doassansiopsis", "Praelepadomorpha", "Drabescoides", "Colominella", "Rapicactus", "Malcolmia", "Thioalkalivibrio", "Gnorosus", "Stenaspidobius", "Bathymargarites", "Archandra", "Synechodes", "Mobilida", "Metachirus", "Cyclospatheae", "Acerentomon", "Desmoxytes", "Calanus", "Pagria", "Eriocnemis", "Zeemicrus", "Lamyropsis", "Ulitusa", "Teretistris", "Pseudacamptus", "Sciaphylax", "Zelandothyadidae", "Tachybaptus", "Ushijimaella", "Rhopalopilia", "Cortusa", "Phileciton", "Climacteris", "Vallesia", "Phascolosomatiformes", "Potisangaba", "Malayemys", "Melissa", "Shearella", "Airamanna", "Clarkeulia", "Eupitheciini", "Clariidae", "Heliconiaceae", "Rubrobacter", "Canningia", "Pleurastraceae", "Nodosculda", "Diaphanometopidae", "Ischiolepta", "Slaterocoris", "Criocharacta", "Diasparactus", "Claderia", "Hannaella", "Evansolidia", "Sphaerolichus", "Anepomias", "Anitra", "Saphesia", "Argyrothemis", "Aulosaphoides", "Doganlaria", "Emblemantha", "Dynatophysis", "Corallis", "Validifemur", "Eoguttulina", "Dicologlossa", "Nesina", "Agaleptoides", "Graphognathus", "Estigmenida", "Phacodes", "Vicetiametra", "Reicheella", "Mucotergum", "Borneochroma", "Tertiarius", "Calorophus", "Parasemo", "Astraspis", "Strigopidae", "Diaprepocoris", "Solwaraspora", "Osorattis", "Hantzschiopsidea", "Acanthoplectrini", "Simrothiella", "Mygona", "Aublysodontinae", "Lepisia", "Cribbea", "Cicadoprosbolinae", "Stylochoplaninae", "Yoruba", "Somatoserica", "Hypsibiidae", "Munnopsurus", "Lichenobius", "Corticifraga", "Saticula", "Ignicoccus", "Hyderodes", "Trimenoponidae", "Triarge", "Nadezhdiella", "Aliona", "Palaeagrotis", "Malata", "Eutrema", "Trichonymphida", "Euristus", "Akidini", "Mastigella", "Neomphaliones", "Trigonodera", "Coenoptychus", "Macrochloris", "Themara", "Zithina", "Favolaschia", "Dendriscosticta", "Amphibiomermis", "Cynomops", "Odontocheilina", "Cyrtopus", "Abbrosoga", "Gloxiniopsis", "Bergrothista", "Lappula", "Heliophilum", "Moryella", "Ledenbergia", "Dendrobaena", "Tubariaceae", "Ctenis", "Sultana", "Aleuasini", "Oedipodiales", "Eualopiinae", "Pheidochloa", "Triceratomyia", "Ursolestes", "Terpsino\u00eb", "Solenocoeniidae", "Saccharum", "Adda", "Salagosita", "Leptocallites", "Sophronicomimus", "Resetnikia", "Sympegma", "Graptotettix", "Cryptochile", "Tisias", "Alienosternus", "Aprix", "Hemiphragma", "Rhizogoniaceae", "Artemidactis", "Antegibbaeum", "Iphiona", "Baraxina", "Bourletiellinae", "Santosia", "Gymnophthalmoidea", "Palatinus", "Dalminiola", "Pseudagnostus", "Hydrophiinae", "Microphilypnus", "Plumatella", "Polyspora", "Typhloblattodes", "Suillineae", "Dinipponaphis", "Mycetophila", "Ateloplus", "Rhapydioninidae", "Aralia", "Lepidocyclina", "Bouliachelys", "Prostomatida", "Nevadopalpa", "Bakuella", "Mexalictus", "Herpolita", "Opisthogyne", "Agrioceros", "Ercheia", "Paraplatydracus", "Hedleyella", "Progomphus", "Deltomerodes", "Verseyella", "Mimoblennius", "Plesiocysticinae", "Zaprochilinae", "Eurysaccoides", "Sinothomisus", "Indagator", "Prionolabis", "Masaris", "Globorotaliidae", "Neptunea", "Crematoxenini", "Heterothecium", "Stenogyne", "Chasme", "Dorea", "Turbinicarpus", "Nummulitoidea", "Baritius", "Prajna", "Diplarrena", "Rocellaceae", "Metalorryia", "Antho", "Haplocope", "Nothodanis", "Montipora", "Parabothynus", "Geoparnus", "Metagovea", "Protoxenidae", "Hollisteria", "Microstaurus", "Eoacmaeidae", "Apiochloris", "Cryptogemmida", "Sandemania", "Proteromonas", "Terrabacter", "Phaennidae", "Linospadicinae", "Cryocola", "Liuiana", "Ceratobuliminidae", "Reichenspergeria", "Helenodora", "Chondrostega", "Sphaerisporangium", "Schottea", "Helicodictyon", "Macroscelidinae", "Sosippus", "Rhiza", "Scandiceae", "Pauroptila", "Mareyopsis", "Macrobrochis", "Chirothrips", "Anaphlocteis", "Chloropicon", "Aulacocerida", "Psammogorgia", "Hexapyle", "Hamodactylus", "Pelomyxidae", "Ecdysozoa", "Pteridophora", "Minitingis", "Toxeutes", "Globigerinelloides", "Quassia", "Merinotus", "Hippokleides", "Mundulea", "Axymyiidae", "Lithoseopsis", "Cantaberella", "Dictyotenguna", "Anoeciinae", "Hemiolaus", "Pachystylis", "Montucaris", "Lucia", "Garainamiris", "Danuriella", "Durringtonia", "Prognathodes", "Riorajini", "Sphaeropsocoides", "Ischnojoppa", "Cladognathini", "Pontocypria", "Clausocalanoidea", "Entomophthoromycetes", "Palaquium", "Nyctibates", "Isocirrhitus", "Kearfottia", "Comicilabium", "Montagneria", "Knowltonia", "Pygichaeta", "Cariblattella", "Mayatyphlus", "Salpingelloides", "Leptarrhena", "Isoraphiniidae", "Retrophyllum", "Sarsocythere", "Helegonatopus", "Paragrubea", "Sediminimonas", "Gonapodya", "Pteropyrum", "Johnstonianidae", "Aptilotella", "Parapristella", "Psednoserica", "Lichenoconiaceae", "Hopleidos", "Acrostilicus", "Charadrahyla", "Sinopronorites", "Typhlodromalus", "Isochrysis", "Digitapamea", "Hyalosigma", "Petitella", "Akrostomma", "Siriella", "Colaniellidae", "Larsenimonas", "Arthromacra", "Parmotrema", "Adelocaryum", "Secamonopsis", "Lycomorphoides", "Puccionia", "Pilinella", "Osmophila", "Meyerophytum", "Lagenandra", "Pseudopinnixa", "Piliterga", "Progradungula", "Biphyllocera", "Duma", "Homostiidae", "Sigmeurypon", "Apodrosus", "Aelurillinae", "Bullanympha", "Craspedopisalia", "Pagastia", "Hemipachnobia", "Eburuncus", "Rhamdia", "Suillaceae", "Brosimum", "Huequenia", "Chrysina", "Methanocorpusculaceae", "Trigonocolini", "Lissoporcellana", "Tornoceras", "Sphenacanthus", "Apocyrtus", "Nelphe", "Gerongia", "Dioscoreaceae", "Ohleriella", "Dinothrix", "Halterorchis", "Rectospiroloculina", "Synpsylla", "Fulgoridiidae", "Terphis", "Saksenaeaceae", "Schizocladia", "Flosculariaceae", "Cyphotilapia", "Cedusini", "Aerenicopsis", "Agavoideae", "Paratyphis", "Psychinae", "Bupredactyla", "Rambuasalama", "Hetreulophini", "Golubevia", "Taophila", "Bopyrus", "Halicnide", "Schumacheria", "Borziaceae", "Dicerapanorpa", "Papasula", "Cyclocoela", "Diognetus", "Hobsoniopsis", "Plumalexiidae", "Glaucotunica", "Cryptodontina", "Erionotini", "Gigantactinidae", "Brachelyma", "Clarkella", "Nannokliella", "Trifidacanthus", "Creontiades", "Zatavua", "Ascalapha", "Syberna", "Diarsia", "Adelphion", "Cymodusopsis", "Pseudopigritia", "Herdonius", "Cestreae", "Kupea", "Altica", "Amiculosphaera", "Globanomalina", "Bancroftrema", "Escarpiidae", "Hybonotus", "Parastenocaridinae", "Pentarhopalopilia", "Iolaphilus", "Chaetabraeus", "Limenitis", "Hoggicosa", "Pachygronthidae", "Lichenostella", "Rhabdoaskenasia", "Strelnikoviella", "Rissooidea", "Libanolestes", "Hensmania", "Carinodulini", "Callitula", "Copelatus", "Schacontia", "Hamilcara", "Stomatophora", "Lophotheca", "Crypsithyris", "Sanvitalia", "Paterinida", "Cispia", "Halyphysemidae", "Dimantis", "Alloneda", "Cyphonia", "Clavaticoris", "Cypherotylus", "Nicodamoidea", "Boettgerillidae", "Heteraomus", "Pseudocetorhinus", "Corthulus", "Deshayesitaceae", "Paropta", "Electrophaes", "Urocissa", "Inaniguttidae", "Bizanus", "Phryneta", "Copiocerinae", "Dactylopodolidae", "Chrysoreinhardia", "Pseudoscolopia", "Echinochalina", "Zygodontomys", "Tanais", "Trogloagonum", "Mitrasacme", "Callisia", "Microclytus", "Protocephalozioideae", "Mecistes", "Partulidae", "Dolotortula", "Philothalpus", "Acrothinium", "Rimicola", "Antipodebaxis", "Notocupedini", "Fuscideaceae", "Platysternus", "Pseudoplectrurus", "Xenospiza", "Tetragynetes", "Paracocculina", "Dociostaurini", "Flaviviridae", "Trapezaspis", "Ateuchites", "Boergeseniella", "Torpedo", "Paracalybistum", "Kalmanozyma", "Chelydridae", "Ratnadvipia", "Polyergus", "Hyaeninae", "Larcidae", "Pomphorhynchus", "Cosmopterosis", "Eremocoris", "Blarinomys", "Stylogasterinae", "Sappaphis", "Telitoxicum", "Calodipoena", "Lichomologidae", "Hypnale", "Bothrorrhina", "Torresininae", "Mesothoracaphis", "Euliodota", "Ceratobasidiaceae", "Leucosolenia", "Orobanus", "Arcanobacterium", "Raillardella", "Trichoglosiella", "Scombriformes", "Hedya", "Smaragdogammarus", "Pionidae", "Galathearcturus", "Pteridophyllum", "Dasyrhopala", "Raphidodiscus", "Noaea", "Salsoloideae", "Dinophysaceae", "Nubithia", "Sphaeromerus", "Pseudoparis", "Bolidomonadales", "Dakoticancroidea", "Dysosma", "Petromyscus", "Dactylocladus", "Sempronia", "Dunama", "Pseudapina", "Archinemapogon", "Prospheres", "Graphicoptila", "Palea", "Pierella", "Heterocarpon", "Robertschochia", "Tonkinaxine", "Cupriavidus", "Halochlorococcum", "Rhinopomastus", "Whitmorea", "Prymnesiales", "Lillithaster", "Pagodiidae", "Phreatobacter", "Sulciferini", "Ergaea", "Apostomatia", "Metria", "Ossuaria", "Dethiobacter", "Afromurzinia", "Kretzoiarctos", "Azanialobus", "Alabonia", "Cleveaceae", "Dasychalina", "Pogonoscopina", "Mura", "Strongylodon", "Kovacikia", "Gregiochloris", "Pseuderipternus", "Humboldtia", "Microquadrula", "Belipsocus", "Hexacolini", "Dolerus", "Hadropleuranella", "Scleropages", "Adixoa", "Ezgia", "Lithobium", "Alstroemeriaceae", "Aethognathus", "Tarsiger", "Astraptes", "Allopontonia", "Beringius", "Apostomatida", "Coryogalops", "Microcycas", "Podococceae", "Fletcherella", "Bellesus", "Hemerotrecha", "Hydropogonella", "Chonesphaera", "Zintha", "Isothoracodonia", "Belorussiella", "Dasyphila", "Demodex", "Bomansius", "Neocnecus", "Amphipogon", "Pilophorini", "Mysterascidia", "Semitaspongia", "Margaritinae", "Antherina", "Exephanes", "Tambusoides", "Coeliodes", "Neopuparia", "Poecilopsetta", "Nitriliruptoraceae", "Dryopoides", "Isfaropterinae", "Hoplolaimus", "Brachynervus", "Chrysochroina", "Rhabdolekiskus", "Epitetracnemus", "Neosteinernema", "Miocarabus", "Parafreoides", "Stictopelta", "Lemmus", "Dracaeneae", "Vollenhovia", "Dicaelus", "Melanoscython", "Cantabrigites", "Paramirrhina", "Tucales", "Geminago", "Rhadinosticta", "Backhousia", "Akermania", "Castanellidae", "Premicrodispus", "Malacobdellidae", "Sinuopeinae", "Kenyapithecus", "Hermacha", "Dendrophthoe", "Stenobia", "Kapanga", "Monodelphis", "Leiboldia", "Urias", "Acipes", "Quillonota", "Hilarolea", "Paraspadella", "Rubramoena", "Cyanochen", "Gangara", "Sylvicanthon", "Chemsakiellus", "Vinellidae", "Sagridola", "Leucothoe", "Belotus", "Aphyocypris", "Pseudogynoxys", "Lonchodinae", "Anisopodoidea", "Cicerinidae", "Boydaia", "Almeidaia", "Codonopsimyzus", "Stackelbergina", "Syntriandrium", "Solpugidae", "Bathymyrinae", "Alcedo", "Osminia", "Thamnomanes", "Anredera", "Mimetidae", "Metadorcinus", "Gastropacha", "Languropilus", "Baltsuccinidae", "Lisianthius", "Ruthalicia", "Anurophorus", "Mochlodon", "Brevipecten", "Charactopygus", "Rhinocryptidae", "Crypturopus", "Paralgopsinae", "Tarpeius", "Wamokia", "Arthothelium", "Parabuchanosteidae", "Ampharetidae", "Chrysomydas", "Podophryidae", "Paracrinoidea", "Cyclodinus", "Petroicidae", "Testudodrymus", "Lobosphaera", "Hoplocnemis", "Pammene", "Pectocythere", "Anaplectoides", "Anthothoe", "Peraclistus", "Turrilina", "Anoxia", "Acroconidiellina", "Acanthogonyaulax", "Blechnaceae", "Tegecoelotes", "Prays", "Archepsila", "Velloziaceae", "Heteroconnus", "Digonophorus", "Aglaspidida", "Oxylides", "Ruwenzorisorex", "Spermacoce", "Protitame", "Ornithogaleae", "Henkelodon", "Actilasioptera", "Lycopodiopsida", "Phylloderma", "Almyracuma", "Kudinopasternakia", "Dudusa", "Gallerucida", "Palaemonella", "Sesleria", "Grateloupiocolax", "Catoprion", "Gobioides", "Meza", "Furcobates", "Dipnomorpha", "Orientopus", "Pseudoparodiella", "Pseudohexapodibius", "Palmerella", "Opisthoxia", "Nymphalidae", "Issus", "Townsendiellini", "Sulfur-oxidizing", "Bohemannia", "Sabella", "Psychomastacini", "Chelojulidae", "Aetosauria", "Eurispini", "Veniliornis", "Sinopesa", "Neomegamphopodidae", "Stegobiini", "Calyptridium", "Eresina", "Loriolepas", "Eosciadocera", "Eupachypeltis", "Korarchaeota", "Cirrhicera", "Euaesthetini", "Bornellidae", "Opisthocomus", "Passeroptes", "Macropsis", "Pisachini", "Cercibis", "Onychiurini", "Waagenina", "Didelphodon", "Fredericqia", "Botryostroma", "Isocrinida", "Parapterois", "Lapsanastrum", "Protolestes", "Parasitella", "Sternoharpya", "Tomentypnum", "Microichthys", "Hydrobiosinae", "Pseudoclymeniidae", "Massoprostatinae", "Normandina", "Helicobacteraceae", "Spongiidae", "Solus", "Carcinops", "Agnostus", "Raiarctus", "Petromyzon", "Erichschmidtiidae", "Gomphomacromiinae", "Mimacronia", "Comadia", "Polyodontidae", "Latilinae", "Sindicola", "Perustreptus", "Achilliotes", "Zamia", "Callistophytales", "Cetiosauridae", "Paraperipatus", "Mabokia", "Valdasoides", "Tentaspina", "Wilczekra", "Vancleaveus", "Rutelini", "Paractedoctema", "Dryophthorus", "Vallupus", "Lepidocyrtinae", "Katorella", "Myrmosinae", "Nicrophorus", "Pacatuba", "Bacillariophyta", "Liegeoisia", "Coxalione", "Anotosaura", "Cavernicolini", "Vertebraria", "Calliteara", "Pedaliaceae", "Horikawaea", "Desulfarculus", "Sigmatoneura", "Urasterias", "Austrominius", "Cypridina", "Ovalipes", "Hybosoridae", "Polycerea", "Bangana", "Eragia", "Neodasyporella", "Neomyxine", "Ticapimpla", "Nesticidae", "Eremodolius", "Mesochthongidiella", "Urospatha", "Pipiza", "Chaetodipterus", "Bothriocline", "Chromidina", "Ammobatoidini", "Euryomma", "Salicornieae", "Dicnida", "Cornicephalus", "Heliolini", "Neopegylis", "Trouessartiidae", "Anthropeltodonia", "Acridocera", "Phlegra", "Lophotis", "Pessocosma", "Pseudoxenodon", "Lamottemys", "Coptocarpus", "Deroploopsis", "Leschenea", "Paralaubuca", "Nannofulcinia", "Bellemerella", "Diademichthys", "Hemikyptha", "Macrotonina", "Hutamaia", "Metaporana", "Pachymedon", "Pinguiochrysis", "Euphylidorea", "Elioserolis", "Hicanonectes", "Pentactinia", "Daruma", "Nezumia", "Sepia", "Ancorabolidae", "Dolichiomicroscelis", "Machilidae", "Hypanus", "Essigella", "Undatodiscus", "Pyrus", "Cibotioideae", "Archaesphaera", "Goyazianthus", "Steenisioblechnum", "Lioplacinae", "Dryophilinae", "Scoturopsis", "Xenambyx", "Biluscelis", "Holopeidae", "Hantkeninidae", "Antizoma", "Trochulini", "Thecadactylus", "Stellifraga", "Australosphenida", "Recurvirostra", "Mojavia", "Ostreopsis", "Perlapsocidae", "Shonisaurus", "Panaspis", "Eustenidia", "Cochinchinula", "Superbotrechus", "Cosmiina", "Icaridion", "Chloropicales", "Trihapsis", "Empria", "Leptaulopus", "Myopopone", "Homalotylus", "Boreonectes", "Suinae", "Driscollaspis", "Argyranthemum", "Chrysobothris", "Pentatrichosiphum", "Beretrinae", "Platyspermation", "Dolophrosyne", "Protalges", "Grammoxyla", "Sclerobia", "Alaskozetes", "Bathynellidae", "Alteromonadaceae", "Sympiesis", "Holorhopaea", "Calacarini", "Ageneiosus", "Trionychidae", "Fervidicella", "Porosira", "Opsiini", "Ancrumia", "Platysomatini", "Bathytropa", "Helcostizus", "Graptocarcininae", "Zvenella", "Actinostephanos", "Afridini", "Paraphilatis", "Okeanobatidae", "Apiothyrium", "Zygochloa", "Hyalochlorella", "Iniocyphini", "Platycopia", "Naviculineae", "Proceratiini", "Astrantia", "Segniliparaceae", "Ectendomeliola", "Lepocreadiata", "Parapiqueria", "Derema", "Tomentophanes", "Speleonectidae", "Reductobates", "Argillotubinae", "Acrasia", "Thasus", "Henestaris", "Pisciamphistoma", "Mesogenini", "Katiannidae", "Charadranaetes", "Schismatothelinae", "Chomatodus", "Ardops", "Streblocladieae", "Microdillus", "Aloxomidus", "Dictyonella", "Dendromonas", "Wilbrandia", "Thoracoprius", "Ochetellus", "Cachonina", "Eremophyton", "Cicadomyces", "Sixeonotus", "Holgus", "Lebia", "Llanomolpus", "Processoppia", "Acanthopsyche", "Doydirhynchus", "Indomyzus", "Minyobates", "Myocoptidae", "Acanthoscelidina", "Otibazo", "Plukenetieae", "Cymbellonitzschia", "Naticinae", "Spinitingis", "Pseudotrachya", "Olivaichthys", "Cheilanthoideae", "Carystina", "Progalesaurus", "Obesopleurostomella", "Pseudomaevia", "Zicrona", "Marlattiella", "Erythrocharax", "Spionida", "Hyperiopsidae", "Termitonannini", "Gorna", "Pinnixa", "Morimospasma", "Arrugadini", "Brachymetopidae", "Pons", "Pippenalia", "Parelaphidion", "Hypolobocera", "Pongamiopsis", "Hypaulax", "Sitonini", "Cotinusa", "Janiodes", "Ostrea", "Geraea", "Guzmania", "Cypelometra", "Trigonuropoda", "Sulcorbitoides", "Eumecia", "Percophidae", "Miktoniscus", "Proedromys", "Kakapolichus", "Dimorphotheca", "Casilda", "Dyscinetus", "Colponemea", "Pseudotetra\u00ebdriella", "Janbechynea", "Didepressorotunda", "Oligosmerus", "Parachordodes", "Calcaneum", "Euzetplectanocotyle", "Amniota", "Machairima", "Shibataea", "Kleinhovia", "Rhabdodendron", "Vittadinia", "Occidenthella", "Mesodma", "Brandticola", "Glochocoris", "Neolygrus", "Myzomorphus", "Basilepta", "Antipatharia", "Scalmogomphus", "Jaborosa", "Batessia", "Desulfuromonadales", "Crenitis", "Thiotrichaceae", "Doryphora", "Sphinctini", "Dasania", "Ischnochitonidae", "Plumaleciidae", "Ophientrema", "Antillesoma", "Pometia", "Erythraeina", "Nothobranchius", "Glycia", "Hagidiella", "Blennodon", "Pantosiella", "Oceanides", "Hybothoracaphis", "Gnorimotrichius", "Myrmecopora", "Nanostictis", "Beteae", "Bathycadulus", "Agrianes", "Bohartiellus", "Corethrogyne", "Atrochus", "Itylos", "Electribius", "Indochinamon", "Gnetophyta", "Haploops", "Psyllo", "Neodactylaria", "Choreonematoideae", "Onychogomphus", "Scyphax", "Phloeosinus", "Oxybelini", "Kanaima", "Apterichtus", "Zebrilus", "Lathrimaeodes", "Valvulineria", "Lycopsylla", "Namibomeces", "Fejervarya", "Themiste", "Armene", "Athexenia", "Permodiscus", "Ceratoplatus", "Asiascape", "Symphanodes", "Hemicloeina", "Hodostates", "Thamnium", "Rhexothecium", "Praeammoastuta", "Termitolara", "Xylopteryx", "Euochin", "Myrmecoxenia", "Sugoniscus", "Sonora", "Equatorius", "Lusitaniella", "Diplopodospongia", "Austrovannius", "Auzata", "Molluscotaenia", "Bolbocephalodidae", "Aplochiton", "Faunus", "Dolichomastigales", "Calozodion", "Monorcholepis", "Marsupiomonadales", "Chelignathus", "Pezizellaceae", "Holisus", "Welwitschiales", "Ozaena", "Rochinia", "Squalotrema", "Capparaceae", "Aminobacter", "Pelecus", "Pseudobodo", "Baenningeria", "Aglaogaster", "Eucteniza", "Chocophorus", "Baltipanorpa", "Hydromanicus", "Foettingeriidae", "Pentopetia", "Sandersiella", "Orthogynium", "Salamandrella", "Mimaderpas", "Neoplocaederus", "Perispira", "Megninia", "Meinertellus", "Brevimastigomonas", "Chabanaudia", "Hymenoptera", "Nemodermatales", "Pleurocladia", "Maasella", "Vangidae", "Philophuga", "Polycyrtus", "Dichilanthe", "Chronopappus", "Eucaerus", "Coptochirus", "Christiana", "Grandjeanicidae", "Nugator", "Melichneutes", "Natada", "Beauverdia", "Paramurosternum", "Grananoxia", "Cylichnoides", "Isomma", "Bakeriella", "Philadelpheae", "Calarus", "Prostoma", "Hecajapyx", "Centrocnemoides", "Tinthiini", "Pseudocercidis", "Caprellidae", "Shumardiidae", "Alasea", "Chloropteridella", "Euzeugapteryx", "Tumerepedes", "Acropteromma", "Wernlina", "Andoharano", "Carpiradialis", "Turbolidium", "Boana", "Acrodactyla", "Silphinae", "Saccosporidae", "Poeciloxestia", "Odontacrossus", "Illoganellia", "Eubalaena", "Guyramemua", "Procirrina", "Halosphaera", "Tanticharoenia", "MHNLCDF", "Stromeriinae", "Onchobdella", "Fujientomon", "Pseudonannochoristinae", "Proteurrhypara", "Psittacibracon", "Acanthocrompus", "Pyrisinellidae", "Phalansteriidae", "Itylus", "Antennarius", "Eoscomber", "Otaromia", "Austrosomatidia", "Dorycoryphus", "Archytaea", "Pyrostegia", "Jonthodina", "Ustriclapex", "Porterinema", "Tricyphona", "Asterias", "Strandtmanniidae", "Filobasidiaceae", "Stenorhynchus", "Clepsimacha", "Alceis", "Formicivorini", "Setodes", "Oecophorinae", "Dactyloprion", "Testudodinium", "Fritschiellaceae", "Aulacosterjanus", "Jugulospora", "Gymnocaesio", "Yucca", "Bubophilus", "Afrosturmia", "Schizobasis", "Extrusanus", "Chlorocyphidae", "Paederia", "Decinea", "Microtomus", "Feditia", "Ophiomora", "Lophomastix", "Sphenomorphus", "Helicopodosoma", "Sagisma", "Catulliaria", "Zizia", "Eunotiscus", "Tyloxoles", "Montitega", "Pseudogalactosoma", "Notophyson", "Trichozoa", "Siniassus", "Amphiprion", "Aitengidae", "Tropopterina", "Pisauridae", "Terebellinae", "Tylogonus", "Desmocerini", "Oxyuptychus", "Bitaxia", "Aegyptianella", "Psammodiini", "Louisiella", "Semiria", "Phoratopus", "Parabolbozoe", "Terrabacteria", "Physeteroidea", "Euhexomyza", "Meliosma", "Plesioaxymyia", "Amyris", "Eucolliuris", "Drepanostachyum", "Johrenia", "Epiphloeinae", "Ecitophiletus", "Stegopa", "Pentaceraster", "Cryptocoryne", "Uebelmesseromyces", "Timandra", "Aliiroseovarius", "Maylandia", "Melaspileella", "Boradiopsis", "Cubazomus", "Austronargus", "Fascaplysinopsis", "Hymenolomopsis", "Saccharomycodes", "Dragmacidon", "Ardisia", "Medeolariaceae", "Lambeosaurinae", "Tridesmostemon", "Stoliczkia", "Acanthocliarthrus", "Plesiomesosites", "Daltoniaceae", "Soritidae", "Ferricystis", "Austrocedrus", "Bahianora", "Guyalnina", "Oxycara", "Normandia", "Periaeschna", "Argentipilosini", "Matoniaceae", "Erctella", "Anoplogastridae", "Origo", "Anatropanthus", "Amphiprioninae", "Herculagonum", "Belinae", "Amphioncus", "Verrucomicrobia", "Stygnopsidae", "Sinosassafras", "Psecadius", "Phlebobranchia", "Cribroelphidium", "Archiborborinae", "Chrysocyclus", "Neoscalpellum", "Sequencia", "Brochothrix", "Dinosphaeraceae", "Sichuania", "Pararhopaloscelides", "Nephaspis", "Rhipidia", "Grateloupia", "Harpactorini", "Cryptotrema", "Lueheia", "Hyperplatys", "Seymeria", "Lycengraulis", "Catalinimonas", "Hypselosoma", "Porcula", "Hemiclepsis", "Lytogaster", "Panchrestus", "Kansodinium", "Codonanthe", "Marensis", "Radermachera", "Oreolalax", "Paramysis", "Cirrosporiaceae", "Fontainella", "Mazaediothecium", "Dinapsis", "Auliscomys", "Ituridae", "Eocercopis", "Pristonchocotyle", "Jubulaceae", "Barringtonia", "Paracloeodes", "Cryptoporus", "Corynesporella", "Araeolaimus", "Gibbestoloides", "Oedemerini", "Bolivaritettix", "Copidostoma", "Paraglomeromycetes", "Lucihormetica", "Pseudocladorchis", "Ceratophenax", "Aprophata", "Philomina", "Fipsianus", "Mongoloniscus", "Vahliales", "Scleroperalia", "Meringosiphon", "Microhylinae", "Xystrocera", "Ithomisa", "Brulleiini", "Gonypetoides", "Atelophyllodes", "Anchiarthrus", "Extenuipalpus", "Uddenites", "Hemigaster", "Maharadja", "Menonvillea", "Tokophryidae", "Sodhiana", "Bousinixis", "Endodrelanva", "Echaristha", "Diascia", "Thypsaenia", "Androtium", "Stenostephanus", "Proterochyta", "Declinia", "Rathkeidae", "Aphanopetalum", "Entrichiria", "Cranocapsus", "Crucispora", "Hemiocnus", "Epiclintidae", "Hexapoda", "Euromota", "Iphitrachelus", "Myonera", "Allognosta", "Opisthoscelis", "Morda", "Bocoa", "Calathus", "Xenodevriesiaceae", "Campomanesia", "Arcinella", "Prosphaeroidinella", "Psepholax", "Pseudorhombus", "Tragon", "Hecastocleideae", "Brotomys", "Gorteria", "Arrhenatherum", "Echidnoglossa", "Cranidiini", "Willughbeiinae", "Rhabdonellopsis", "Alsobacter", "Mitrospingidae", "Skogsbergiella", "Jungia", "Oligocallis", "Palmophyllophyceae", "Wijkiella", "Enchodus", "Coniferatium", "Savius", "Neolollius", "Breguetiella", "Langermannia", "Prothinodes", "Catasarcus", "Gymneia", "Adoxosia", "Notochthamalus", "Lignophliantis", "Parafoxiphalus", "Dicyclostreptus", "Arcticomyces", "Phaeophila", "Microcerisina", "Dautzenbergia", "Gyliauchenidae", "Engraulixenus", "Quadricoccopsis", "Murgeoniscus", "Euroxenomys", "Achillobator", "Eurypodini", "Boeberoides", "Mecynorhinella", "Eragrostideae", "Passifloraceae", "Ctenobelba", "Chelis", "Seguenzaella", "Insolitispirillum", "Metacopa", "Episesarma", "Dina", "Syncrypta", "Parapleurocryptella", "Ellobiopsea", "Pareinae", "Heteralepadomorpha", "Chliaroides", "Lunaria", "Herzogiella", "Schenkelia", "Brussinocryptus", "Propodilobus", "Nezzazata", "Nyodes", "Tupaiidae", "Libinhania", "Barbuligobius", "Ammonicera", "Heteroclita", "Dicranoglossus", "Taiteccopsis", "Smetanacoris", "Tepidimicrobium", "Ankyra", "Dhysores", "Pseudohaloritaceae", "Eotabanoid", "Kumara", "Actizeta", "Euryteinae", "Spasskylepis", "Doridomorpha", "Paraquilegia", "Austrognatharia", "Anaticinella", "Aeshninae", "Doryphorina", "Eirmodesmus", "Rhinocartini", "Scopiastes", "Bisaya", "Polypodiozoa", "Uropsilus", "Mecocerini", "Millieriidae", "Polymastiida", "Amphilophium", "Unclejackia", "Raninia", "Idionycha", "Cribratina", "Hyalodiscopsis", "Pseudoscillatoria", "Pseudogrinnellia", "Lactonifactor", "Orphninotrichia", "Pseudostilpnaspis", "Equatobursa", "Acanthosphaera", "Eurygenys", "Sachalinobia", "MRSNT", "Calospila", "Bradytriton", "Kolourione", "Rupiphila", "Typsiharpalus", "Anemone", "Neripteron", "Melanotus", "Latonigena", "Lonia", "Massarineae", "Micropilina", "Meesiaceae", "Arctostaphylocoris", "Disanthoideae", "Thespea", "Lucernariidae", "Kraussaria", "Cretiscalpellum", "Corymbieae", "Bathypectinura", "Stenygrinum", "Bovicornu", "Orbitestelloidea", "Stenopelmatoidea", "Campodella", "Trogloraptoridae", "Satotrechus", "Clivinematini", "Tylopsacas", "Reticulopsocus", "Cyprideis", "Stictocraniini", "Spinoscapha", "Arenocoris", "Vernaya", "Astoxenus", "Cherokeea", "Prohysterophora", "Microspodiscus", "Phoeniceae", "Gymnographopsis", "Adelognathus", "Chroococcidiopsidaceae", "Tanystola", "Antemus", "Chaetoceras", "Cixiopsis", "Mesochirus", "Tatva", "Microlobius", "Plesiosaurus", "Steinovelia", "Ancylocerataceae", "Stuckenberginiella", "Idiostoloidea", "Encyocratella", "Peltis", "Pogonocherini", "Pentaneurini", "Phloiotrya", "Archinus", "Jenufa", "Gouinia", "Plethospiridae", "Yoma", "Vietbocapinae", "Lecanorchis", "Skalistes", "Nesiocolpodes", "Pseudogoniochloris", "Hypocometa", "Euryparyphini", "Ulivina", "Trechodes", "Lomelosia", "Supercytis", "Acutomunna", "Paludomidae", "Otobothrioidea", "Reidispongia", "Desulfuromonas", "Yuhina", "Rhodovulum", "Muraenesocidae", "Draconarius", "Algidiella", "Tranopelta", "Helicometrina", "Pyrobotrys", "Coniocessiaceae", "Heterobothrium", "Eucyane", "Pithyllis", "Crenobacter", "Dotoramades", "Amazolachesilla", "Bostrychieae", "Leleupiastes", "Hydnobius", "Helophilus", "Asterropteryx", "Betoideae", "Pogonocephala", "Dendromurinae", "Dictyotus", "Pangium", "Gamundia", "Olenellidae", "Tuberendothyra", "Aganaspis", "Desmopsis", "Neochronistis", "Pachylebia", "Narriocampa", "Paracranoryssus", "Mormodes", "Aspisomoides", "Franzdanielia", "Riparia", "Pseudokermes", "Proleptomastidea", "Oryctomorphus", "Leptochariidae", "Taygetina", "Lulworthiaceae", "Cophosaurus", "Edwardsininae", "Elateroidea", "Tichocarpus", "Maculonola", "Sporetus", "Togula", "Anagrapha", "Nicagus", "Cheiropachus", "Stictopisalia", "Cyriocosmus", "Heliobacterium", "Assycuera", "Nasidius", "Harrisoniascincus", "Chamelaucieae", "Hyaenanche", "Maimetshorapia", "Vela", "Labrenzia", "Sphenophyllales", "Himatismenida", "Colpoma", "Uhleriola", "Denthoxanthinae", "Parathitarodes", "Grandisonia", "Deroca", "Dioctophymatidae", "Cyclocheilichthys", "Trigonotarbida", "Telopathes", "Pleiocoryne", "Opoboa", "Amphilothus", "Cresseae", "Microschemus", "Opisthius", "Lapsamita", "Actinozygus", "Dekeyseria", "Cyclopida", "Perrotini", "Stylapterus", "Statilia", "Methanosarcinaceae", "Notomacer", "Pleuraltica", "Vilcastreptus", "Fishermyia", "Alectis", "Amorbia", "Paederomimus", "Hyalessa", "Pandiaka", "Basidioascus", "Microdaceton", "Microleon", "Angulopyxidium", "Neoeucirrhichthys", "Hylicellidae", "Thermaerobacter", "Hapalosoma", "Tolypiocladia", "Discopleurus", "Eunotiaforma", "Fusadonta", "Lomechusini", "Nacellina", "Parornix", "Mandirola", "Isarinae", "Monardini", "Mecopodini", "Barinyinae", "Sinognorisma", "Parachaetodon", "Limnostrombidium", "Nanotanaupodus", "Helluonina", "Asteromenia", "Huaxiapterus", "Lycosomus", "Demimaea", "Molobratiini", "Gyrocylindrus", "Lophius", "Nullosetigeridae", "Argentinolycus", "Rhynchocinetidae", "Octochaetus", "Helicogorgia", "Sequoiadesmus", "Paracristocentrus", "Neoceratosauria", "Xylophagainae", "Ebegomphus", "Bruandella", "Gloiotrichus", "Paraninus", "Nepticulomima", "Loriellopsis", "Choisya", "Bathyechiniscus", "Caenobdella", "Neosebastes", "Litobrenthia", "Dracoscirpoides", "Ringiculimorpha", "Atyinae", "Natalichthys", "Eustegieae", "Gillmeria", "Roveacrinidae", "Cantabrochthonius", "Dichorragia", "Pterocladiaceae", "Ecitophila", "Eupotemus", "Polyrhaphidini", "Pomatophora", "Metascelis", "Ardices", "Menuthiocrioceras", "Thecodontosauridae", "Phymatellidae", "Valgothrombiinae", "Sphenax", "Anommatoxenus", "Penestoglossini", "Achaeta", "Caltathra", "Eucalyptolyma", "Phronimopsis", "Parastemon", "Biphyllus", "Podococcus", "Pentamerista", "Sciaphyes", "Onygenaceae", "Anapus", "Cunaxatricha", "Davecookia", "Blyttiomyces", "Phaeosphaera", "Euparixia", "Asphodelaceae", "Orbiniidae", "Akamptogonus", "Merothripidae", "Coelophrys", "Tubulanus", "Philomeces", "Dalatiidae", "Censorinus", "Oxytelinae", "Scoriadopsis", "Lasioglossum", "Wellsomina", "Entomyzon", "Muscardinus", "Geotrygon", "Archipialea", "Dromaeolus", "Eleutherobia", "Ophthalmopsocus", "Zearaja", "Tribrachiodemas", "Motacillidae", "Sarrameanaceae", "Aesalini", "Allocotocerus", "Archirhodomyrtus", "Neosebastidae", "Acmadenia", "Carabidium", "Microbasis", "Umbellularia", "Goniophysetis", "Leptophryne", "Crepidoderina", "Caracara", "Anoplolepis", "Schistocichla", "Chelicerata", "Compressigerina", "Xanthocrita", "Pseudoplatylabops", "Potamotrygonocestus", "Tharrini", "Camacolaimoidea", "Acuariinae", "Synclitopa", "Anthracomartidae", "Gibbolauxania", "Pseudokiefferiella", "Valignanus", "Haplophaedia", "Plectrocarpa", "Rivasmartinezia", "Macropharynx", "Exocoelactinidae", "Eremosparton", "Maresaurus", "Diastole", "Speothos", "Corotocini", "Cachonella", "Neorrhipidius", "Aporrhiza", "Harveycapsus", "Loxomerus", "Ichthyosaura", "Halpemorpha", "Polycotylus", "Pseudodictyomitridae", "Constempellina", "Xerothamnella", "Spartaeina", "Multiciliidae", "Lasiadenia", "Antherae", "Munnoziinae", "Vartini", "Klepteromimus", "Hewitola", "Angelesia", "Spathilepia", "Trimitus", "Haploeax", "Caputanurininae", "Globothorax", "Neostygia", "Pteroplatytrygon", "Xerospermophilus", "Magulacra", "Talponia", "Orchithemis", "Sphingomima", "Seinuridae", "Macrorhabdus", "Cigclisula", "Oecopetalum", "Perreyiella", "Pseudopolycesta", "Sipholageninae", "Prometheum", "Lunaspis", "Simuliomyces", "Vectius", "Neotyphlus", "Clevelandia", "Dynastes", "Arenicolides", "Charon", "Cardiosporidium", "Leucascidae", "Andesipolis", "Planochorus", "Matogrossia", "Zaldacria", "Atractotomimus", "Aspilochilus", "Nocticola", "Tridentifrons", "Cossyphodina", "Caletieae", "Hemiptera", "Rhinorhynchus", "Apalochrus", "Omocerus", "Brachionus", "Rosa", "Neoantalus", "Vateria", "Caparmena", "Pseudochilodonopsis", "Phylloporus", "Plesiopidae", "Pselaphotheseus", "Euzkadiella", "Pantoea", "Napoleonaea", "Phrynobatrachus", "Globigerinelloidinae", "Gangamopteris", "Lymphosporidium", "Euplexia", "Monopenchelys", "Vanhoeffenella", "Scopelomorpha", "Dendrorhynchoides", "Phaeoseptoria", "Labyrinthomyxa", "Cladocephalus", "Clydacha", "Junix", "Protorhiza", "Diaphanodon", "Dicellula", "Thapariella", "Chonosia", "Iberolacerta", "Subaequorebacter", "Zygopleurage", "Typhlotrechus", "Caballeronia", "Stenodacma", "Erythrocystis", "Pseudaeginella", "Euphyciodes", "Petroleuciscus", "Stygiocampa", "Diplotheca", "Cleidogona", "Dendrosomididae", "Atimiola", "Paulbronnimannella", "Coopernookia", "Iron", "Lyces", "Neozygina", "Pisorisporiales", "Stenares", "Procridini", "Ectomyelois", "Zeuxippus", "Podothrombiidae", "Heterodota", "Caledorion", "Harpellales", "Aparatermes", "Pseudolasius", "Suaedeae", "Adenoon", "Leofa", "Pyroloideae", "Nocticanacini", "Degeneromyia", "Stepanovia", "Aloidendron", "Epiperipatus", "Bolanthus", "Durangularia", "Microchirus", "Candelariomycetes", "Zipaetis", "Austrochlamydini", "Lauriomycetales", "Allorrhizucha", "Arotrephes", "Ceratiidae", "Hemirhamphodon", "Caerostrini", "Phalacrococcus", "Leucochilus", "Laurentiana", "Coxelus", "Goodayia", "Setitachys", "Congolorgus", "Catatia", "Sumatranus", "Caecostenetroides", "Noveurops", "Pseudocarteria", "Sicyos", "Acanthoplistus", "Meganyctiphanes", "Neckeraceae", "Pneumocystidales", "Tragiscus", "Volia", "Amidobia", "Synapsusa", "Prodoxoides", "Steirodontini", "Caecogobius", "Ardeacarinae", "Asperidorsus", "Amblopala", "Hyalinaria", "Megalyridiini", "Salea", "Typhlacontias", "Ectoceras", "Aedemoses", "Protaspidaceae", "Clypeococcum", "Cyanopterus", "Psilurus", "Koleps", "Desulfobaculum", "Pilumnoplax", "Pleorotus", "Kararhynchinae", "Vetigastropoda", "Hoogenraadia", "Fagonia", "Lobrathium", "Dorcus", "Membranilarnacia", "Palorini", "Namiboeme", "Tulearia", "Requienella", "Ittibittium", "Aciconula", "Ordralfabetix", "Tetrasporaceae", "Mesogloia", "Phaeosphaeria", "Astrodendrum", "Tetramitaceae", "Janthinobacterium", "Cyptochirus", "Stylococcaceae", "Sabahya", "Thespieus", "Torrenticolidae", "Mongolitubulidae", "Assiculus", "Edulia", "Thapsinotypa", "Abyssopedunculus", "Haematomyzidae", "Hedylus", "Plesionika", "Parvattus", "Bicarinulodes", "Ernolatia", "Hexarrhopala", "Cyclothyriellaceae", "Coryphiopsis", "Trichacalolepta", "Phylliidae", "Typhlonectinae", "Adelostoma", "Pubitelphusa", "Stegodon", "Batesimalva", "Podagritus", "Heterodictyon", "Oenothera", "Spirhapalum", "Paratarsotomus", "Chelonodema", "Solenocentrum", "Obeliscus", "Austrella", "Apocephalus", "Cribrolenticulina", "Ophioschiza", "Anostomopsidae", "Pedunculus", "Teutloporella", "Parastesilea", "Conopophagidae", "Brachidinium", "Pylochelinae", "Exotela", "Siphogenerinoidinae", "Stygiomysida", "Tamaria", "Gressittia", "Oligonila", "Nepidae", "Leptopilos", "Ruavatua", "Agrenocythere", "Dichistiidae", "Schizolecis", "Haemodorum", "Glomosporiaceae", "Malakosaria", "Calditerrivibrio", "Schizopera", "Oroscena", "Syncordulia", "Coleocoptus", "Lethrinitrema", "Cynomoriaceae", "Craspedostomatoidea", "Kenopia", "Choerommatus", "Palaeoxylosteus", "Aktinorbitoides", "Hagnometopias", "Mesodixa", "Anacornia", "Meiligma", "Stygiolobus", "Neotermes", "Osteogeneiosus", "Cygnocoptes", "Lueheopsis", "Tineomorpha", "Parapolytoma", "Aphodius", "Rhizoprionodon", "Isochonopsidae", "Eriphantidae", "Euplocania", "Oviraptorinae", "Anotea", "Podandrogyne", "Mexicallis", "Itaspiella", "Heteropynellus", "Neosciophyrus", "Truncatipochira", "Cavelerius", "Nebriscus", "Postechiella", "Stylisma", "Cicadettini", "Cecidotrioza", "Nuda", "Lipaugus", "Physeema", "Brucheiser", "Periegops", "Perrunichthys", "Dignatroides", "Djafouna", "Tamiops", "Wygodzinskylis", "Oxyataenius", "Gunayan", "Calocomus", "Apilocrocis", "Holtodrilus", "Linsleyonides", "Anoplodera", "Streptacidoidea", "Adamantisaurus", "Ipomoea", "Cochranella", "Isma", "Punctulonicus", "Lampropygia", "Paraconularia", "Eopolycotylus", "Deia", "MZUB", "Austrarchaea", "Caccobius", "Discourellidae", "Hexopolycope", "Girasiini", "Polycyrtidea", "Euphyia", "Tisamenini", "Pseudamphicotyla", "Panetela", "Kryptogenius", "Decussata", "Masoniella", "Leuenbergeria", "Erlangeria", "Ficobracon", "Picophagea", "Rubiaceae", "Rutidea", "Eltaninactis", "Lamponina", "Myxodes", "Platypthima", "Dirhamphis", "Gastrocis", "Acaiu", "Ipini", "Sandenia", "Hyalinoecia", "Fergusonina", "Zoopagales", "Aphelocephala", "Mycoporum", "Nimbochromis", "Neostygarctidae", "Carrhotus", "Austropholcomma", "Philipis", "Ibatiria", "Pelagothuria", "Enoplopus", "Dunalia", "Stemonopa", "Hennigmatidae", "Comesperma", "Radiozoa", "Rzehakinoidea", "Radiocycloclypeus", "Analema", "Amphicoryna", "Makinoineae", "Dematioscypha", "Melittinae", "Caryoaustralus", "Xanthomantis", "Holojoppa", "Acithespis", "Hemidiscellidae", "Taruga", "Pompholyxophryidae", "Gastrostomobdellidae", "Nexus", "Bradea", "Aerogrammus", "Acroelytrum", "Haliplus", "Neonoemacheilus", "Cionosicys", "Hemidiscaceae", "Crepidochetus", "Asobara", "Apeba", "Aphanothecaceae", "Diomedeidae", "Phallomycetidae", "Jatropha", "Xylariophilus", "Thylacoleo", "Kakita", "Cannaceae", "Herreranthus", "Rapatea", "Epilecta", "Monelliopsis", "Paenibacillaceae", "Haplophragmoides", "Rhizomolgula", "Paragalago", "Cryptothelypterus", "Haplospora", "Phaeostrophiaceae", "Trogulidae", "Rasihia", "Agaroniinae", "Mediocampa", "Cochliasanthus", "Strongylocoris", "Liagorophila", "Collophorina", "Mnasitheus", "Conanthera", "Craticulariidae", "Palawanomys", "Ambassidae", "Stugeta", "Apterophora", "Piptomerus", "Hoplomorpha", "Dolichomyrma", "Norrisia", "Bolbitis", "Tetraphalerus", "Wadotes", "Liopholis", "Haptolana", "Eutermitophila", "Paragemmaecaputia", "Pseudhenoticus", "Aglyptus", "Clarkcomidae", "Kimberleybathynella", "Windsorina", "Cellulomonadaceae", "Trissexodontinae", "Bankesia", "Hypobapta", "Pseudocorchorus", "Sternaspidae", "Leptoseps", "Redmondellina", "Cintaroa", "Uvidicolus", "Meridagena", "Androspyris", "Lobata", "Metriotes", "Eupelmus", "Eleotrica", "Sarcopyreniaceae", "Spirorbidae", "Catonetria", "Lophospermum", "Paedampharete", "Fueguina", "Clathrina", "Zygomaera", "Metadimorphoceras", "Microcampylopus", "Tytthonyx", "Oncothecaceae", "Epelistoma", "Furina", "Dione", "Nybelinella", "Choanocotylidae", "Aplatissa", "Schroeteriaster", "Zehneria", "Scaberia", "Micrathyria", "Cryptoditha", "Hudsona", "Balbianiaceae", "Cypricardinia", "Ostreoidea", "Apodicarpum", "Rubilepis", "Oreostiba", "Paysonia", "Saileriolidae", "Krikkenius", "Mistichthys", "Akiyoshia", "Mathania", "Dorylaimus", "Sifidius", "Phenacolepadinae", "Archontophoenix", "Hovapeza", "Nugaculus", "Micromelo", "Bucherina", "Eleftheria", "Opistophthalmus", "Bonagmene", "Tobiason", "Eudesis", "Esalque", "Terrimicrobium", "Dimyidae", "Walwhalleya", "Buettikeria", "Caulophacus", "Alvinocaris", "Mashuna", "Tamolia", "Dolichandra", "Heteromias", "Atrichobrunettia", "Zeopoecilus", "Abacoptes", "Paraspeleognathopsis", "Megaceros", "Sonjagaster", "Psydrocercops", "Boopis", "Heleninidae", "Parachlamydiaceae", "Enoicina", "Pachybolidae", "Ascophorinae", "Catinellales", "Psammopolycystis", "Pillainus", "Mitrinae", "Neoscirpus", "Pseudomothon", "Sendaphne", "Isbrueckerichthys", "Tillandsobius", "Phyllochlaenia", "Amelanchier", "Acanthoprasium", "Heteromita", "Rhinesuchidae", "Idiurus", "Sicafodiidae", "Calexiphyda", "Lissatrypidae", "Settsassiidae", "Orthogonacladia", "Utralvoherpia", "Ecnomina", "Chaliopsis", "Dorynota", "Eleutherodontidae", "Palaeoneura", "Calephorus", "Schwantzia", "Oniscigastridae", "Caryophyllaeus", "Macrotestophyes", "Aphelacaridae", "Curtonotum", "Nesozineus", "Aesiocopa", "Diphyllaphis", "Becanites", "Sibataniozephyrus", "Pternistria", "Trimioplectus", "Afroplitis", "Microbatrachella", "Persparsia", "Boninoleiops", "Epistomaria", "Lorenzellidae", "Karotomorpha", "Paulianolebia", "Phyllidia", "Dytiscoidea", "Ptychogyliauchen", "Cervyna", "Trachyzulphina", "Anomalonini", "Helicoidei", "Atriplectididae", "Mycoporaceae", "Parania", "Silanimonas", "Gangjinia", "Discostella", "Heleochloris", "Pirnodidae", "Proteaphila", "Tropidaucheniini", "Soroavisaurus", "Collettea", "Bambuina", "Teiros", "Iphisini", "Cordelia", "Promecopharus", "Aulomonas", "Zantedeschia", "Syrmologa", "Obregonia", "Plapigus", "Neoteracotona", "Kakanui", "Neopseudogarypus", "Akatastopsis", "Equeefini", "Everniicola", "Rhabdiasidae", "Pourriotia", "Isselicrinus", "Borborophyes", "Luzarae", "Aepophilus", "Anonchinae", "Eurylaimides", "Denudirabus", "Versutapona", "Disconeura", "Oragua", "Discozantaena", "Sparganium", "Mesepermenia", "Bothriocerinae", "Pterocuma", "Discozerconidae", "Rhinomonas", "Dialictus", "Bourgoinigora", "Premna", "Dipus", "Tentorium", "Krisnini", "Venezolanoconnus", "Erotides", "Paeniclostridium", "Parahephaestion", "Mesasterias", "Macrotorus", "Dissoleucas", "Axima", "Idiopappus", "Prakasha", "Apatania", "Protobaicalina", "Laeria", "Eudactylota", "Daubentonia", "Thermomarinilinea", "Hyalopsychidae", "Spongilla", "Cannona", "Discoba", "Phalacroseris", "Cryphonectria", "Ancholeptodesmus", "Pteroeides", "Thyrateles", "Pseudocherleria", "Pseudorobillardaceae", "Limoniidae", "Tripyloides", "Neoloricata", "Engleria", "Microcymatura", "Arachnochloris", "Chortoicetes", "Burmacicada", "Similiclavidae", "Gastrodelphyidae", "Uracis", "Asterostemma", "Geminoarcus", "Calyptopsis", "Actinochaeta", "Spirostoma", "Ledouxius", "Tubularia", "Alberproseniini", "Thionini", "Aztecarina", "Megaquedius", "Rhadinothamnus", "Plagiothecium", "Garsauria", "Ischnagonum", "Thectardis", "Digera", "Belonoperca", "Hongocallis", "Blastophaginae", "Kuschelengis", "Socratina", "Isonomeutis", "Hexagrammidae", "Paurinella", "Quintinia", "Trochodota", "Nonphycita", "Malgassopsyche", "Pseudoholophylla", "Polyachyrus", "Striosia", "Menidini", "Sphrageidus", "Tosevskiana", "Renuka", "Mesopropithecus", "Diploscapter", "Podangis", "Stenandriopsis", "Differococcus", "Circocyllibamidae", "Hyalellidae", "Octopodiformes", "Tretocoris", "Isotogastruroidea", "Corallochytridae", "Melaspileaceae", "Mesacmaea", "Chrysemys", "Heteroscorpionidae", "Afrospasta", "Capparis", "Cacteae", "Juxilyocypris", "Streptaxis", "Alzateaceae", "Simplorbites", "Gemmataceae", "Laurobasidiaceae", "Ottoschmidtia", "Calyptraemalva", "Synthesiomyia", "Coniothyriaceae", "Neopsammodius", "Carpophagini", "Trissodoris", "Rhodoligotrophos", "Pseudosyngaster", "Cacotherapiini", "Heliodoxa", "Pleroneura", "Comalcandona", "Megalibgwilia", "Bussea", "Coilopoceras", "Ditylenchus", "Atherinopsinae", "Zoophagus", "Stygotoniidae", "Aganippe", "Lithops", "Psittaculirostris", "Buccinoidea", "Orchestininae", "Ellipsoidion", "Hadula", "Dolioceuthus", "Neurolakis", "Cataphrodisium", "Goniocarsia", "Eodromaeus", "Tyropsis", "Noctuidonematinae", "Brasenia", "Odontotonyx", "Austrochoreia", "Dendrocystis", "Eggerthia", "Microcastalia", "Protelbella", "Leveillula", "Rhopalinda", "Eoperipatus", "Staphylinina", "Unsia", "Lateriporus", "Thymosia", "Pseudosaltator", "Lebetanthus", "Amblyopsini", "Auperia", "Menidia", "Metostracini", "Mechanitina", "Urnatellida", "Ostrinotes", "Chlorosema", "Phyllobothriidea", "Chlorosphaeropsis", "Platythecium", "Apsylla", "Podabacia", "Ovatus", "Prytocum", "Typhlatyinae", "Obryzaceae", "Attelabus", "Lythronax", "Clypeina", "Manobidia", "Notacanthurus", "Evora", "Conescharellinidae", "Tintinnophagus", "Halopelagius", "Periptygma", "Auletanini", "Copitype", "NTNUB", "Zulunigma", "Aphelopus", "Noabennarella", "Martarega", "Rhyparosomus", "Nesodactylus", "Nuisiana", "Texamaurops", "Krimi", "Bahaba", "Amelarcha", "Pyrobombus", "Ecitocryptus", "Didazoon", "Ricinodendreae", "Prionapteryx", "Metaxellus", "Chlorocebus", "Liaoximordella", "Osrhoes", "Trigona", "Suta", "Lesticus", "Tephritini", "Caenotus", "Allopyragraphorus", "Spatagobrissus", "Wolinella", "Serranicotyle", "Icaracoris", "Linguatulidae", "Trechinotus", "Paleopatellina", "Kompsatele", "Psoralea", "Monda", "Paracorophiini", "Echinospartum", "Guitonia", "Bibloporellus", "Vientiana", "Menisorus", "Lobotractus", "Bonelliopsis", "Involutarena", "Thyridoplites", "Filobasidium", "Anomophthalmini", "Marginariella", "Aceratocrates", "Monocentris", "Lyonothamneae", "Metaboydaia", "Meleagros", "Olivamonas", "Aspretus", "Curius", "Sowerbyceras", "Pholidae", "Xanthisma", "Sinochrostia", "Cyanoarbor", "Cryptanthus", "Reductoderces", "Vannellidae", "Pleurogaster", "Hydrophilinae", "Campylostemon", "Perissolestes", "Dolichodoroidea", "Spesbona", "Synthemistidae", "Halmus", "Proteroiulus", "Aristopeplus", "Microsesia", "Thaumatomastix", "Birojimia", "Tensha", "Tridentellidae", "Orthrosanthus", "Poliocrania", "Zoopsis", "Pseudorphe", "Cnestus", "Pseudomicrocentria", "Protoheterophyes", "Gueorguievella", "Dilatilabridae", "Epicratinus", "Aquificales", "Mallophyton", "Crenotrichaceae", "Caledoderus", "Pachynomus", "Zabrini", "Australisphaera", "Pharaphodius", "Taprodonia", "Littorininae", "Helenoniscus", "Euditropidus", "Spirillaceae", "Spongiodermatinae", "Deharvengina", "Redotus", "Patellariales", "Deltobathra", "Porcellionidae", "Palaeostyloidea", "Rhodobryum", "Fangshania", "Corbierea", "Bdellourinae", "Macrourimegatrema", "Martensianthus", "Tetracerus", "Cordylanthus", "Lordithon", "Dryadeae", "Macrotoma", "Eugnomus", "Gnesiotrocha", "Zosteria", "Dinopium", "Eriogonoideae", "Bubaris", "Griphocosma", "Notospeophonus", "Spinolambrus", "Edaphaspididae", "Ethelumoris", "Nannoperca", "Vaneyella", "Mastigimas", "Famatinanthoideae", "Hyalodiscidae", "Lamiota", "Fockeeae", "Myxophaga", "Chauliognathini", "Biharoniscus", "Ketianthidium", "Neodiplothele", "Micropoecila", "Omanuperla", "Aplatoides", "Prosodes", "Neodietrichia", "Terebella", "Tritomurus", "Pommereschea", "Taphrodasus", "Maraura", "Falcidius", "Timarcha", "Macrolonius", "Yazakia", "Trabisorites", "Cyrtolaus", "Albuca", "Delimini", "Chirothecia", "Zachrysia", "Homolepis", "Shivasia", "Ditrypanocystis", "Camarotoechiidae", "Mesera", "Microprosopa", "Myrmecochilus", "Mkilua", "Pachnephorus", "Nothocnide", "Anurosporiidae", "Clea", "Brachyopa", "Paranephelius", "Bucoides", "Sphingomonadales", "Seletonella", "Kaernefeltia", "Epitragini", "Austropetalia", "Psammomacrostomum", "Rhagiomorphini", "Protodytiscus", "Paulianana", "Lemnius", "Psammomoya", "Laterallus", "Syngaster", "Mimocagosima", "Marynidae", "Ichneumonella", "Heptameron", "Prymnorhopala", "Foochounus", "Mucroplana", "Gorgopis", "Placididia", "Arenicellaceae", "Rhinagrion", "Laeliaena", "Caledonomorpha", "Atopochilodon", "Adenochilus", "Desmazeria", "Neopoeciloderma", "Championa", "Coptomia", "Araucania", "Clinostomatoidea", "Melanophryniscus", "Kentrochrysalis", "Dorotheantheae", "Lacturidae", "Vampyressa", "Boloria", "Nannothemis", "Perichaeta", "Quinquecuspis", "Talamancaheros", "Polyeunoa", "Prophaenognatha", "Aporcelaimellus", "Nielozyma", "Eurypharyngidae", "Laspionchis", "Nemomydas", "Temnocephalida", "Halolaspis", "Bathyphantes", "Yassinicythere", "Geotragus", "Saphobius", "Sacosternum", "Canowindridae", "Alicula", "Hirstionyssus", "Sanguisorba", "Lachesilla", "Mecysmoderes", "Brinkmanniellinae", "Lacrymospora", "Aaaaba", "Pyramidanthe", "Taeniopygia", "Marattiopsida", "Hantu", "Asteromassaria", "Cyanolilaea", "Helicopedinella", "Anaerofilum", "Diclybothriidae", "Camphorosmoideae", "Litinga", "Mangina", "Acrobrycon", "Cunila", "Percultazonaria", "Odontoparia", "Inordinatosphaera", "Euterpnosiina", "Oxysarcodexia", "Sporosalibacterium", "Braemia", "Pierphulia", "Haideoporus", "Psoromidium", "Aneuthetochorus", "Heliothryx", "Lasioderma", "Inoderma", "Pierrolepis", "Monactinus", "Nemadus", "Cherminotus", "Psedaleulia", "Arytropteridini", "Pseudanapis", "Chalguacotyle", "Alatocladia", "Macrocleptes", "Ninjemys", "Hyphaeria", "Varibaculum", "Heterogeniina", "Pogonomyrmecini", "Clavogaster", "Geleiidae", "Paraleptonia", "Tectaria", "Homoeomma", "Metapeachia", "Debodea", "Grypopalpia", "Gigaspermales", "Daseuplexia", "Jarmania", "Flintinoides", "Whatcheeriidae", "Batoxyla", "Rhammurini", "Horatosphaga", "Palaeacaroidea", "Ayensua", "Psaphidina", "Molanna", "Argophyllaceae", "Ornithomimus", "Lozotaeniodes", "Apphytocerus", "Aphanotriccus", "Cryptopleureae", "Paleosecuridaca", "Tagia", "Eriocapitella", "Caldimonas", "Lophoptera", "Diadematacea", "Pragoserpulinidae", "Volutella", "Neovochthonius", "Pseudocodiaceae", "Turneriprocris", "Atongolium", "Ancistrum", "Diversivalva", "Paramurrayona", "Closterocerus", "Merizocera", "Violagonum", "Gymnelopsis", "Jagera", "Euaegotheles", "Galaicodytes", "Zerovella", "Dictyoneidales", "Astrotia", "Botanochara", "Indoseiulini", "Stagonolepis", "Dolichoctis", "Phloeops", "Rouxalna", "Pygomolpini", "Artedielloides", "Nebrioferonia", "Paragodon", "Cretochirus", "Aucklandea", "Astiphromma", "Metascopus", "Attenborougharion", "Chreomisis", "Ameloctopus", "Nerviliinae", "Filiola", "Montagonum", "Nyara", "Austrocidaria", "Atherinopsidae", "Depastrinae", "Pseudoschwagerina", "Ameiurus", "Dielocerinae", "Perymenium", "Chasmataspidida", "Bouvieromyia", "Eurystyrax", "Pomocellaria", "Tournotaris", "Hepatozoon", "Scagelothamnion", "Neocelosporiaceae", "Pachyschelina", "Acalypta", "Chapinophis", "Coelochalcis", "Megaphobema", "Rivulidae", "Trichoschoenus", "Rhynchoedura", "Astronidium", "Tephrozosterops", "Tabellariaceae", "RGUMF", "Edessinae", "Neotropopius", "Megapodiina", "Brochymena", "Manzonia", "Zaedyus", "Rhinoderma", "Boniniidae", "Colossobolus", "Pterulaceae", "Epuraecha", "Microthauma", "Prehensocoris", "Diplothrombium", "Pygiopsylla", "Cunninghamioideae", "Archaeatropidae", "Vigisolepis", "Hybroma", "Microphyllopteris", "Cepheus", "Bibimys", "Hymenobacteraceae", "Fundulopanchax", "Ptilothamnionopsis", "Florisuga", "Ceratocombini", "Microlestes", "Helminthomorpha", "Hiatoniscus", "Ceratophyllinae", "Palingeniidae", "Phylidorea", "Bijlia", "Eumaerosiphum", "Phatnocader", "Allostigma", "Idiothrix", "Myoglossata", "Gymnelus", "Tsukiyamaia", "Koreoaria", "Acrospermum", "Achatocarpus", "Bathypontiidae", "Octoglena", "Archiearis", "Venilia", "Dendrosma", "Periptyctinae", "Laophontopsidae", "Epeolus", "Byzantia", "Stephanonympha", "Quadriverticis", "Cratomorphini", "Diploschistaceae", "Nunbergia", "Microsphaerotherium", "Eretis", "Carpoxylinae", "Leiocephala", "Gansiella", "MDUG", "Paracorophium", "Eucomis", "Anua", "Annea", "Neotoxodora", "Amblyseiini", "Pterartoriola", "Cecidochloris", "Coenotes", "Pseudoroseicyclus", "Trajancypris", "Plesiolembos", "Scaphoideus", "Megasema", "Kazuoclytus", "Eosacantha", "Colphepeira", "Haplodiniaceae", "Perigona", "Hyalopterus", "Fissurellinae", "Isidinae", "Liopisalia", "Opiopterus", "Baliesthes", "Enceliinae", "Mericarpaea", "Pseudobiotus", "Hipposideroptes", "Knightjonesia", "Coelhydrus", "Prumala", "Leuconitocris", "Leptobarbus", "Ocydromia", "Syncesia", "Balanopsammia", "Lepidochrysis", "Nosoderma", "Mycomya", "Nototanais", "Marinifilum", "Zoogoninae", "Oxypodinus", "Melanodolius", "Joryma", "Tropoleptusa", "Vas", "Paradisanthus", "\"Stenetrium", "Memoremea", "Melanortocarya", "Greenmaniella", "Arawa", "Carrichtera", "Axine", "Pseudorhizidium", "Shinkaicaris", "Neoblemus", "Catolechia", "Parosphromenus", "Shennongotrechus", "Paraortygidae", "Tomobrachyta", "Phileurina", "Asymphus", "Helicteulia", "Akatastopsisini", "Gonyleptidae", "Eninae", "Spirillum", "Xerophylleae", "Cleidostethus", "Erythracarinae", "Ashibusa", "Guerothrips", "Parvilucifera", "Melibrueelia", "Trachycladus", "Madecassellus", "Voanioala", "Dermatobranchus", "Rhinyptia", "Columbusia", "Tephrellini", "Egicoccaceae", "Slaterobius", "Enicocephaloidea", "Drusilasaura", "Orthalicoidei", "Oneila", "Monteithocoris", "Enchelyomorpha", "Scalidognathus", "Psephonema", "Necyopa", "Marcelaria", "Poraqueiba", "Geminocystis", "Tetranychus", "Arecaceopora", "Matilda", "Deliphrum", "Betuloxys", "Saga", "Leptocorynotus", "Agaonidae", "Echinosorex", "Picrocuma", "Aphroteniella", "Mimonillina", "Usambaranola", "Chloroflexi", "Dolichotrigona", "Cassigerinelloita", "Echinoida", "Mielkeana", "Lysodinotrema", "Hickeliinae", "Russellosaurina", "Pseudagenius", "Japygianus", "Jalalabadia", "Glycosmis", "Robertonellidae", "Stylasterias", "Meridiocolax", "Phthiracarus", "Labocephalus", "Achaearyopa", "Idiagonum", "Hylophasma", "Chorodna", "Caldora", "Laishania", "Eccoptocarpha", "Filellum", "Globocornidae", "Nicetosoma", "Boswellia", "Fibrobacteres", "Dewildemania", "Quiobbesus", "Monotoplanidae", "Jophon", "Cathartocryptus", "Parelodina", "Urosyntexis", "Matsumurides", "Mazocraes", "Eustroma", "Haramiyida", "Tasmanorites", "Praxibulus", "Amphilonche", "Imelcana", "Paraprostatum", "Magnetococcaceae", "Myriangium", "Wildemania", "Tanyosphaeridium", "Farlowella", "Metapeyssonnelia", "Megaherpystis", "Jobinia", "Cyphea", "Pelagodinium", "Neseonos", "Arctagrostis", "Ergocarpon", "Hoplolontha", "Paraxerus", "Acorigone", "Ilyplanidae", "Parectyphus", "Praeaphidius", "Dolichomitriopsis", "Barbadiopsis", "Atergia", "Coronopora", "Paenungulata", "Milium", "Evermannia", "Trixoscelidinae", "Microcephalobius", "Evippa", "Braconini", "Pljushtchia", "Parapleistacantha", "Gonostemon", "Heteranthelium", "Lipoblepharis", "Heterochorista", "Neocentropogon", "Tibetusina", "Boea", "Stictalia", "Weiseria", "Lobosa", "Clathrorthalicus", "Camaroptera", "Coellidae", "Apomastus", "Devescovina", "Yurrokus", "Tachirinia", "Acleisanthes", "Thuarea", "Grillita", "Ortalotrypeta", "Palaeosmodicum", "Ethiopoeus", "Centriscidae", "Dermestops", "Falagriini", "Arophyteae", "Lissothus", "Echinodium", "Moresa", "Caciella", "Vesicularia", "Gareia", "Dictyonema", "Sepsophis", "Macrostylopyga", "Podocerus", "Timabiara", "Pseudodira", "Piezasteria", "Hamamelidoideae", "Stegococcus", "Strobilopsis", "Matinae", "Odontoscirinae", "Chascanum", "Myxogastrea", "Paracytheroma", "Helluocolpodes", "Bolkarina", "Vatacarus", "Teutoniidae", "Smithophis", "Mucrospiriferinae", "Ptechetelium", "Resnova", "Habrocerus", "Globigerinita", "Westra", "Castorocauda", "Japanomesosa", "Attheyaceae", "Golasina", "Lasiorhachis", "Anomalotinea", "Tricladus", "Diadesmidaceae", "Axylophilus", "Maleojassus", "Heterosaundersella", "Sinoderces", "Isoparce", "Kloedenellocopina", "Cicadoides", "Heresiarches", "Phytotartessus", "Litorisediminicola", "Boleslawia", "Ripogonaceae", "Psyllaphorura", "Nodosoclymenia", "Peitawopsis", "Akela", "Cretitanaoidea", "Grimmeodendron", "Macta", "Genista", "Phlyctaenodes", "Periplaneta", "Glyphipteriginae", "Blepharipappus", "Cyphoidris", "Calopsaltria", "Lacordairina", "Sorghinae", "Microcyclops", "Acetofilamentum", "Achaenopina", "Pseudabris", "Cyathidium", "Odontolinus", "Yobius", "Concinnia", "Eustenancistrocerus", "Chioniniinae", "Poecilotraphera", "Brachysybra", "Eupyrgus", "Plagiocheilus", "Metatesnus", "Pachypops", "Sirovena", "Pacificellinae", "Ascetostoma", "Bivallupus", "Stiphropodinae", "Adelococcus", "Cerrenaceae", "Amphiodia", "Castosyringophilus", "Denscantia", "Chlorocoris", "Ocyusa", "Caecocaelus", "Laxohyperia", "Pimeliini", "Neodusmetia", "Acaremyidae", "Chrysaegliodes", "Chalcostephia", "Tedaniidae", "Freesieae", "Nanotyrannus", "Kneria", "Ophiohelidae", "Kangiella", "Wahlamia", "Holaxonia", "Macroplax", "Uliginosibacterium", "Cliobata", "Scaphodinium", "Kurtiformes", "Pristellinae", "Notoedres", "Botuliforma", "Spilarctia", "Melipotis", "Lophiocarpaceae", "Byrsodepsini", "Rhaphidosominae", "Aglaspoides", "Metanocticola", "Kalbionora", "Ursichthys", "Aechmioides", "Hydromys", "Ochrocydus", "Howeria", "Hornungia", "Pangio", "Pseudodictyopsellinae", "Lutevanaphidoidea", "Aphanopleura", "Kilianina", "Brienomyrus", "Psilota", "Petersianthus", "Schwarziana", "Ciliophrydae", "Megistostegium", "Blastochloris", "Epullea", "Platynectes", "Tessellana", "Hymenobacter", "Cyclopsitticini", "Philydor", "Parawocklumeriidae", "Cthylla", "Lidia", "Oplopanax", "Termatophylini", "Neoseiulella", "Leluthia", "Agabinae", "Microsaniinae", "Strelitziaceae", "Hemerorhinus", "Hylesinus", "Craspedortha", "Ktenocoris", "Aporrhipis", "Myriopleura", "Endomicrobia", "Partula", "Eurete", "Alabaminella", "Kalinginae", "Geckobiella", "Absidia", "Acmocera", "Parabangalaia", "Pragoscutulidae", "Dinoroseobacter", "Brachygobius", "Tchadorhynchus", "Atteriini", "Atylus", "Nesaulax", "Arachnotermes", "Endotheniini", "Humilocoris", "Chrozophora", "Rhabdamia", "Hypochaeridinae", "Zealaromma", "Notomundamella", "Karstia", "Verdigellas", "Rhytidostemma", "Neopsini", "Percnohierax", "Periegopidae", "Paleonura", "Miyatrombicula", "Anthaxomorphus", "Flabelligeridae", "Hankyongella", "Tethina", "Dioptoma", "Sparisomatinae", "Keichousauridae", "Lysinoinae", "Laniocera", "Astartidae", "Brephomorpha", "Phyzelaphryne", "Maxillariella", "Curupirina", "Palicella", "Gyrodiniellum", "Reticulobotrys", "Diptilomiopidae", "Nemosenecio", "Cnemida", "Perkinsela", "Eumegistus", "Cratylia", "Allodapella", "Castalia", "Dichorisandra", "Eosaniwa", "Orientodiploproctodaeum", "Osmitopsidinae", "Lianema", "Brounhister", "Crithidia", "Trichloridella", "Stenobothrini", "Uriellopteromalus", "Pagetinoidea", "Asemoprepes", "Balantiopteryx", "Hypotodus", "Paris", "Echthrocollix", "Fellodistomatoidea", "Eridantes", "Latypica", "Protexarnis", "Heterobathmioidea", "Paradynomene", "Opallionectes", "Platyseiinae", "Spatalla", "Microgaster", "Stathmostelma", "Amorphomycetinae", "Eupalessa", "Xylergatoides", "Itamus", "Xystichromis", "Monoliga", "Eudeferunda", "Lo", "Cryptocodidae", "Sepetibaella", "Mexicoscylus", "Sphaerocysta", "Michiganites", "Sebastinae", "Glycydendron", "Loxilobus", "Glyptopora", "Ithyoclinostominae", "Thymus", "Archiconnus", "Heterocompsa", "Mirrhina", "Dieffenbachia", "Dryotomicus", "Phaeocalpida", "Donaciinae", "Aackia", "Paraccacladiinae", "Caulophrynidae", "Siphonochelus", "Acestrorhynchus", "Oliganthes", "Modiolinae", "Elaterinae", "Sinipolia", "Perianthosuta", "Polycheles", "Pseudostagmatoptera", "Dasypodia", "Parazalerion", "Drupadia", "Psyllobora", "Taractrocera", "Idiomarinaceae", "Paracilacris", "Turrilithus", "Tercentenarium", "Afrevania", "Hapalomys", "Rotamorphina", "Champsodontidae", "Afrapia", "Synima", "Pancovia", "Attheyella", "Carebara", "Botryoideclava", "Pamares", "Dikrothrips", "Brachysiraceae", "Photopectoralis", "Astrorhizinulla", "Theclinae", "Ithone", "Gymnoxenisthmus", "Exostratum", "Chiretolpis", "Bufo", "Austropaschia", "Platyjoppa", "Paracolopha", "Eccoptosage", "Daviscardia", "Opalinopsidae", "Heteropsontus", "Schizoscelus", "Drymaria", "Theridion", "Peponopsis", "Leviculus", "Derideini", "Kateretes", "Erythrocalla", "Symbiida", "Dodia", "Bagoinae", "Urogyrus", "Parazosmotes", "Sinocolpodes", "Holocola", "Calycimonas", "Bothriocotyle", "Solanoideae", "Chaetomorpha", "Lochmium", "Flasuviricetes", "Achromatium", "Lepidepecreum", "Solomys", "Pseudarachna", "Nubiloides", "Megamede", "Mesoagathis", "Parapsyllus", "Mesophadnus", "Afrocorynus", "Lucidolaena", "Hyperglomeris", "Bibrax", "Tabachnickia", "Strongwellsea", "Pinipestis", "Cryptopisalia", "Calopteryx", "Cnemojoppa", "Pleoseptum", "Tamania", "Senna", "Hypanartia", "Adeloblarina", "Limnozetoidea", "Tridactylophagus", "Xenotrupis", "Megourina", "Sinoadina", "Waldeckiinae", "Hapaloptila", "Elytrurus", "Gulgonga", "Falsallophyton", "Cavoptinus", "Mesolimulus", "Dimidialimbus", "Hymenochaete", "Cyathochaeta", "Amphitretus", "Macellicephalinae", "Stoecharthrum", "Sthenias", "Strombidium", "Tyloderes", "Abantis", "Hesperoctenes", "Dissopachys", "Levanidovia", "Centrophoridae", "Kuscheliana", "Cryptojoppa", "Stiroptus", "Peribasis", "Ornithobius", "Atrichoparia", "Euchromiini", "Pygidiopsoides", "Sacculinidae", "Encelia", "Archerella", "Diesingidae", "Romeria", "Orazethus", "Leiodinae", "Dimia", "Empoascini", "Mahonia", "Agreuocoris", "Platycerozaena", "Rheidae", "Amsonieae", "Mallecolobus", "Metamenia", "Notionotus", "Drepanophoridae", "Macroclinium", "Eurycopinae", "Reisserita", "Mioochodaeus", "Agaricomycotina", "Ketupa", "Stretchia", "Canon", "Caecitellidae", "Brachydeuterus", "Zarhipis", "Afrolicania", "Trombidiidae", "Wiesnerina", "Umbilicariomycetidae", "Pibrocha", "Eudiadora", "Sittipub", "Coryloides", "Extremoplusia", "Anarthruropsis", "Nunavutiidae", "Tigrotrema", "Amborhytida", "Icus", "Rathkea", "Hipposcorpaena", "Cyphomyrus", "Nanocladius", "Goniopteris", "Phytolopsis", "Turbanellidae", "Omurini", "Eumetor", "Cephalopone", "Pyxinioides", "Pseudodipsas", "Pelecanimimus", "Austrobalaninae", "Hubertiella", "Cratystylis", "Ceratammina", "Saccharomycetes", "Wainuia", "Ragadiini", "Platypodinae", "Cylindroleberis", "Coniopteryginae", "Nicolepeira", "Glyphotheciopsis", "Sulciolus", "Dermolepida", "Baracktrema", "Lecidella", "Anaprostocetus", "Lemurchelys", "Miersiella", "Cerophytidae", "Ceratocancris", "Hyperinae", "Philosinidae", "GFAJ-1", "Welwitschia", "Pirascca", "Craspedonema", "Callaus", "Mazax", "Afrisolia", "Nesomesochorinae", "Junea", "Babalimnichus", "Promynoglenes", "Marlisia", "Sapinnius", "Boenasa", "Catenotaenioides", "Curvicladium", "Makoiamya", "Pseudomuriellaceae", "Pseudolachnostoma", "Synichotritia", "Tetrasporopsis", "Katianiridae", "Commius", "Grapsidae", "Paulfreemania", "Chlorotriangulum", "Pliodetes", "Scelionini", "Nasamonica", "Depressorotundinae", "Priotelus", "Ponomarenkoinae", "Hoplitoxenina", "Aphloiaceae", "Medicocorophium", "Micropalaeosoma", "Dromococcyx", "Dendrobatinae", "Dusmetina", "Propercarina", "Barypalpus", "Saccolabium", "Steniselma", "Blakea", "Medicorophium", "Dioryx", "Athestia", "Dendrothuria", "Coryphophylax", "Eutreptiida", "Dactylomyinae", "Ruavermis", "Balanoglossus", "Cossoidea", "Galbitini", "Rodolphia", "Leptorhaconotus", "Neobulgaria", "Sclerocarya", "Karachiota", "Perizonium", "Micropsammella", "Siniasinensis", "Leucocintractia", "Dodecastichus", "Distantus", "Megalocolaspoides", "Poecilus", "Epidendreae", "Podostemaceae", "Tuphellinae", "Paramideopsis", "Megathylacoides", "Phaeotrichaceae", "Sabatiella", "Fergusonia", "Periphylla", "Wukongopteridae", "Macrocnemina", "Cunaxinae", "Borghiellaceae", "Synechococcoideae", "Scotura", "Cineraria", "Isocrinidae", "Exomunda", "Chrysaora", "Myanmaropini", "Anurophorinae", "Homozygosphaera", "Fervidobacterium", "Elius", "Champereia", "Pseudocaprellina", "Kimberleydillo", "Coronuloidea", "Medamatento", "Plucheinae", "Thaumatoplitops", "Davidioides", "Hepomadus", "Cocytius", "Sobarocephala", "Trogaster", "Vishniacozyma", "Carpinteroa", "Poaceae", "Clytocerus", "Trichaitophorus", "Pseudohalonectriaceae", "Catalina", "Accipitrinae", "Limapontioidea", "Orgilini", "Lourteigia", "Apionini", "Sageraea", "Merychippus", "Mortierellomycotina", "Psittaconirmus", "Pseudoheterophana", "Phaeographis", "Notomicrus", "Tineobius", "Pontoptilus", "Eocypraeinae", "Agalychnis", "Monnechroma", "Caballeroia", "Gibbosaverruca", "Leptacrini", "Briceia", "Gigadema", "Seabrookiinae", "Ichthybotidae", "Aphthonoides", "Hypocomides", "Neopsittaconirmus", "Glacidorboidea", "Melizoderidae", "Ctenodactylus", "Leucheria", "Salenioida", "Prosorhochmidae", "Agraylea", "Asyntactus", "Elica", "Zanoniinae", "Buluka", "Lucernaria", "Brissalius", "Schminkea", "Lepidaria", "Fushunocallites", "Kaestlea", "Calolisianthus", "Triplax", "Sigmaxinella", "Zoopagaceae", "Dendropicos", "Pagurapseudinae", "Megaceria", "Huxelhydrus", "Megalagathis", "Cyphotrechodes", "Racotis", "Parocalea", "Afrothrix", "Harpetidae", "Microseris", "Morsum", "Anomocaroidea", "Haploposthiidae", "Rhodanobacter", "Tuluweckelia", "Bogdiana", "Eremaphanta", "Copromonas", "Austriana", "Nilaparvata", "Lipothrixviridae", "Pensus", "Cedestis", "Paucisalibacillus", "Ibidoecus", "Pectinia", "Otagiidae", "Traponora", "Chazara", "Praedictyorbitolininae", "Pseudotibiozus", "Eucolaspis", "Actinopolymorpha", "Attapsenius", "Cephalaeschna", "Uludaghia", "Elaphromniusa", "Trachycarpus", "Lobogaster", "Eulimnogammarus", "Metopa", "Xenoderus", "Aplocheilidae", "Cylindromitrinae", "Pediococcus", "Mesopodagrion", "Platyseius", "Gymnanthelius", "Diaster", "Planctomycetaceae", "Compsocalyx", "Marimatha", "Syntactus", "Acrulia", "Savoryellomycetidae", "Tropis", "Oedemopsini", "Gerrinae", "Halcampactis", "Allodapula", "Cystiphyllidae", "Ascotis", "Falsoplanulina", "Draparnaldioides", "Bithyniidae", "Isatideae", "Oeciacus", "Atkinsonianus", "Cis", "Polyphaenis", "Agrostidinae", "Udeus", "Taxus", "Helogyne", "Mycotrupes", "Pseudolunularia", "Templar", "Opilioacarida", "Dactylonotus", "Rhantaticus", "Cainotheriidae", "Quasiendothyra", "Pseudopygidiopsis", "Austromartyria", "Poecilovitila", "Hesperapis", "Rhinocorynura", "Pseudocrangonyx", "Daboia", "Gochtodinium", "Austroencyrtus", "Chrysothuramminidae", "Eremoryctes", "Protococcidiorida", "Smittoidea", "Planomalina", "Lunania", "Cystisomatidae", "Eriophyinae", "Rennellia", "Scansidemus", "Waiomys", "Acanthocorini", "Ketophyllum", "Phrissomidius", "Araripelepidotes", "Filicivora", "Susulus", "Blowiella", "Bastardia", "Perigracilia", "Iscadia", "Blastus", "Ptilocercus", "Cionini", "Keilbachia", "Rhabdotus", "Eugastrini", "Rhampsinitus", "Eulipoa", "Malawispongia", "Speonemobius", "Propachyarthra", "Glyceridae", "Juxtacolopodacus", "Hoploxys", "Arumecla", "Bitoma", "Tunagyna", "Henecocerus", "Dyopedos", "Anthodiscina", "Cavernocypris", "Antona", "Lemuriana", "Strephonota", "Erophaca", "Orthacodontidae", "Hybotidae", "Baeonectes", "Acmaeoderella", "Rhinocerotopsis", "Glycocaulis", "Callapoecus", "Wallisia", "Eloschara", "Nyctiborinae", "Bertiscapha", "Charina", "Pelmatojulus", "Aterpodes", "Trichesthes", "Microchlamylla", "Ctenothyadidae", "Pillaia", "Dubautia", "Idionympha", "Dremomys", "Enchylium", "Scaphellinae", "Pseudocheiridae", "Parapistocalamus", "Agorarcha", "Vanguerieae", "Pocadius", "Perralderia", "Chlorarkys", "Chaunax", "Akalyptoischiidae", "Leptoperga", "Goedartia", "Hippocomos", "Neritariidae", "Escharisphaeridia", "Conophis", "Gomphandra", "Neostichorchis", "Gymnopilus", "Algodontus", "Xenusion", "Spirinchus", "Scagelonema", "Promethis", "Cordylancistrus", "Melanterius", "Grimmiaceae", "Astigmella", "Lomatiini", "Bufoniceps", "Euobraztsovia", "Eutaphrimorphus", "Pendulichytrium", "Scapastathes", "Cristellariopsis", "Streptothyris", "Ilokelesia", "Acalypha", "Oregoniidae", "Pselactus", "Hidari", "Henosferidae", "Coribergia", "Squamicornia", "Acuariidae", "Paulasquama", "Lasiohelea", "Phytala", "Cypridopsis", "Calophasia", "Callogobius", "Pseudaphya", "Thomasariidae", "Sphagniana", "Deryaxenistis", "Trigonomonas", "Auchus", "Bergininae", "Derogenoides", "Ortalischema", "Sedercypris", "Pontisma", "Forsterinaria", "Tasema", "Viguiera", "Micrairoideae", "Aphelocheirus", "Columbariidae", "Tristerix", "Marmorosphax", "Zigadenus", "Himatione", "Stactolaema", "Matthaea", "Asmedia", "Xenotingis", "Lycopodium", "Paracostidiscus", "Fenestrulina", "Parapeleconus", "Stenocoptus", "Eremotrogus", "Holopelus", "Amphimoea", "Neriinae", "Koelpinia", "Centropodiella", "Prorogonophora", "Parabonzia", "Bathydoridoidea", "Primophaps", "Trichocline", "Eupsilia", "Eojapyx", "Halosiccatus", "Tortopus", "Cyrto-hypnum", "Casuarinaceae", "Heterorhea", "Pannoniasaurus", "Anomalocarididae", "Pachacutia", "Turbinidae", "Paenirhodobacter", "Verdulia", "Papaveroideae", "Gymnotocinclus", "Ufens", "Clidastes", "Platysternon", "Anoba", "Cisseis", "Tajmyraphidoidea", "Symydobius", "Haritalodes", "Uhlerites", "Siphlopteryx", "Bucerotidae", "Pontoporeiidae", "Diphucrania", "Microchaete", "Gloiocolax", "Nemedininae", "Nephoploca", "Anarhichadidae", "Gnathoncus", "Anthosteminae", "Maueranthropus", "Davidia", "Metahadzia", "Dugesiinae", "Labedaea", "Insulatricha", "Rhynchophora", "Hageniella", "Malassezia", "Pycnogonum", "Clostera", "Nemegtomaia", "Verrucocladosporium", "Cithaerias", "Bignonia", "Treubia", "Pappophorum", "Unioliinae", "Araneus", "Creteuchiloglanis", "Epitrix", "Bolbocerosoma", "Makotopteris", "Litogyne", "Pseudanthistiria", "Guilleminea", "Wadeana", "Berberentulinae", "Mesocupes", "Calliclinus", "Paredra", "Cteniinae", "Epizonaria", "Pseudione", "Fridonus", "Eriosolena", "Reptiliomorpha", "Leptosema", "Licnophora", "Pleurostomataceae", "Shionodiscus", "Afroptilum", "Macrostylus", "Thecacinetidae", "Dioxeuta", "Sericoris", "Dactylispa", "Cryptopodium", "Celastrina", "Poeppigia", "Pseudopaguristes", "Pseudophleum", "Nidularium", "Pseudoxenodontidae", "Southwellina", "Macarthuriaceae", "Atemelia", "Khoduma", "Serdis", "Leptopezella", "Pagodiella", "Phytomastigophorea", "Alisphaera", "Peucela", "Steyermarkochloeae", "Ostropomycetidae", "Scapulotrochus", "Andelis", "Resticula", "Microschisminae", "Tanaoctena", "Dicladochaeta", "Spiralisigna", "Ophiogaleus", "Cheiloplecton", "Papugalepsus", "Fistulinaceae", "Yuripopovinidae", "Dendroleptusa", "Parecnomina", "Psittaculini", "Oligonotus", "Agrametra", "Sageretia", "Lynchiatilla", "Dimorphopalpa", "Aubria", "Hansenium", "Tyrannus", "Tylophorinae", "Actephila", "Megascelinae", "Expanathuridae", "Tilletia", "Syncampinae", "Berberidinae", "Prostantheroideae", "Neohaplospora", "Natronobacterium", "Cylindrocapsaceae", "Pseudocarchariidae", "Blepharostomataceae", "Sibon", "Voltinia", "Homalinotus", "Decachaetus", "Abacophrastus", "Siphobigenerininae", "Belyaevostella", "Stenopausa", "Euglenoidea", "Triviidae", "Ellisembia", "Detonidae", "Vanellinae", "Ripiphorinae", "Crotaphatrema", "Platorischna", "Guinardia", "Amphimenoides", "Caliapora", "Aegognathus", "Catinellinae", "Vitticentrantyx", "Phaeopterus", "Baxteria", "Procapperia", "Neobolbodimyia", "Cochliopinae", "Ophryops", "Diplopylidium", "Falsoptilodactyla", "Banasa", "Kionophyton", "Marginaster", "Cyphocoleus", "Austrocyrta", "Erymus", "Schlosserina", "Pullenia", "Teunomyces", "Protaetiola", "Pentheroscion", "Composia", "Thylacinus", "Gloeophyllaceae", "Reedia", "Omalonomus", "Rabanitina", "Lachnostylis", "Permocupes", "Heppsora", "Prolixoplectidae", "Hoplocampa", "Hymenocarpos", "Fusulinella", "Perexilibacter", "Diachrysia", "Smilacaceae", "Eorupertia", "SRC", "Pycnocerini", "Bilyaxia", "Psamminae", "Sinocyrtaspis", "Stegonomadia", "Statignatha", "Cyrtonus", "Plumarius", "Iridoviridae", "Gloniella", "Eucerocoris", "Stylodothis", "Miroblatta", "Elaeodina", "Phycocharax", "Boloceroidaria", "Arrhenophanidae", "Carangoliopsidae", "Feaelloidea", "Isoperlinae", "Ophiocomidae", "Chaetorhopalus", "Hypophytala", "Physoptychis", "Aciuroides", "Bolivarmiris", "Actinomarinales", "Callerebia", "Endothyroidea", "Odontoscapus", "Uloboridae", "Decarthrocera", "Syrphidae", "Stemmocrypta", "Sinocarabus", "Florelliceps", "Idiothauma", "Isopogoninae", "Myrmecotypus", "Amorbimorpha", "Platyscytinella", "Botrydiopsis", "Exelastis", "Iurubanga", "Gorgonocephalidae", "Stellettinopsis", "Harpyia", "Hoegea", "Biplanata", "Mongoliulidae", "Desulfonatronaceae", "Termitotrox", "Abacillodes", "Baloghonthobium", "Spathosternum", "Herbihabitans", "Xenopsina", "Nephthyigorgia", "Vermipsyllidae", "Cinclidotus", "Pseudocalopotosia", "Gerosis", "Cymbiinae", "Haikouichthys", "Afroartelida", "Robiginosimarina", "Dicentria", "Parakysidae", "Gundelia", "Olindiidae", "Discinoidea", "Exsculptina", "Neophygas", "Anisophleps", "Nautarachninae", "Apiosporopsidaceae", "Gracilibracon", "Anticleora", "Pseudoprosperineae", "Jorgeus", "Acrotritia", "Golasidius", "Jarilinus", "Pauldopia", "Arrhaphipterus", "Aprionini", "Alectra", "Linconia", "Pilosella", "Megaciella", "Altaiomys", "Dicuspidoxenus", "Sykidion", "Elaphropus", "Macropisthopus", "Haemateulia", "Hybalicus", "Procampodea", "Cladoselache", "Lanugonychia", "Ancylaini", "Trichocoronis", "Camptomidius", "Warra", "Zeledonia", "Burramyidae", "Amphidium", "Mericserica", "Pseudanogmus", "Tropidophorella", "Deuteroxorides", "Dyadobacter", "Pterochrozini", "Placidium", "Curaeus", "Heliciopsis", "Anotophysa", "Urogentias", "Caelostomus", "Enyo", "Ephemerelloidea", "Aemilia", "Ichthyostomatogaster", "Stenothremma", "Moreno", "Proxenobius", "Oedischiidea", "Vexilliferidae", "Phymatioderus", "Draco", "Cryptodifflugiidae", "Mandarella", "Hormomyces", "Tigriornis", "Ellipsoidictyum", "Hapsomela", "Spiniferites", "Omphalodina", "Pseudophorticus", "Apodidectes", "Traunsteinera", "Alavia", "Spelocteniza", "Zeus", "Vilargus", "Lepidosemicyclina", "Distephanosira", "Yarmister", "Callyntrurinae", "Cirrholoveniidae", "Melanophyllum", "Perirrhytus", "Xylophasia", "Coelioxys", "Isodoninae", "Nivaliidae", "Melittiini", "Ctenops", "Trichostrongyloidea", "Aerenica", "Polemanniopsis", "Thiersteinia", "Janalia", "Trachygonidae", "Yigoga", "Convoluta", "Hoplocnemus", "Catervaparmasteridae", "Sinezona", "Uroleptops", "Coelichneumonops", "Cauchas", "Diphylla", "Anisorhynchodemus", "Sclerorhachis", "Sagittiferidae", "Austronecydalopsis", "Conradiidae", "Nyctus", "Eremitilla", "Prodotiscus", "Teucer", "Pseudotremella", "Oryzeae", "Amplistromataceae", "Sparattosperma", "Philorinum", "Vouacapoua", "Pentapetes", "Neopocadius", "Echis", "Yantarogekko", "Campascus", "Denariusa", "Parhyale", "Bezverkhovia", "Antarcticinella", "Marlothielleae", "Melanchrous", "Bradynectes", "Aspasma", "Sunites", "Streptotrichum", "Adagnesia", "Poliaspoides", "Nesagapostemon", "Phrygilanthus", "Typhlolinus", "Neniinae", "Coprini", "Pulvinodecton", "Fenestrobelba", "Elpidium", "Achlyosomus", "Cirrhitidae", "Pterapogon", "Domeykoa", "Habanocnus", "Megatrachys", "Lepidochromonas", "Thyrsodium", "Perilasius", "Thysia", "Leiocassis", "Ectocotyla", "Eucyrtidium", "Desportesia", "Psilocambogia", "Acostata", "Uloprora", "Grubbia", "Rossbeevera", "Ecitonilla", "Hanleya", "Paraphorosoides", "Archaeorhizomycetes", "Malinova", "Hydrangea", "Neeurylabia", "Globicephala", "Termophidoholus", "Boreotethys", "Saprospira", "Pleurophorus", "Pterobunocephalus", "Haloferula", "Myrmarachne", "Serina", "Atelanthera", "Artematopus", "Pagurus", "Ideonella", "Deltotrichonympha", "Pseudohalorites", "Aegiceras", "Birthana", "Mentophilonthus", "Nothobranchiinae", "Cantonius", "Ocyropsidae", "Blikana", "Ancorinidae", "Cambodgia", "Trithemis", "Grammia", "Lasiopsocus", "Halicampus", "Montsecanomalus", "Agonotropis", "Brachyophis", "Holocarpha", "Stylonematales", "Estrildidae", "Willardia", "Cranophorini", "Trina", "Perumicrus", "Erythrococca", "Embia", "Systariinae", "Homopholis", "Podiina", "Hedina", "Bonea", "Ancylotela", "Stictotettix", "Irinaxine", "Euchera", "Sulfuritalea", "Pseudocacoxenus", "Scaphidiopsis", "Asaccus", "Abrostolini", "Lecitholaxa", "Ptiliolum", "Eospilopsyllus", "Orosotricha", "Eugerres", "Larpelites", "Algivirga", "Belinga", "Scleronychophora", "Carcinomyces", "Eoterfeziaceae", "Paranoplocephaloides", "Termitoscaphium", "Characiochloris", "Cunctochrysa", "Spinotheca", "Jinjuichthys", "Stictolecanium", "Teratocoris", "Drascalia", "Callithamniaceae", "Haplocerataceae", "Pliosilpha", "Chlamydomonas", "Ischnopsyllinae", "Alzonella", "Aphagea", "Euplatyrhopalus", "Deuterolabops", "Desimiella", "Doradidae", "Zonanthus", "Cardiocranius", "Holotricha", "Meliceria", "Dinychidae", "Unkana", "Artanema", "Neogammarus", "Natula", "Ptilonesia", "Ellipsoptera", "Micrura", "Limnocharis", "Dampiercythere", "Conescharellina", "Chromobionta", "Sieversandreas", "Agacerus", "Zophohelops", "Epipsocidae", "Diandrolyra", "Symphysanodon", "Seribiscutum", "Libertia", "Pseudorhyssa", "Aldisa", "Paraorides", "Pliniaca", "Hemiodoecus", "Wulfila", "Chlamydonellopsis", "Mischocarpus", "Carijoa", "Vacerra", "Cestopagurus", "Kystocephalus", "Palaeostaffella", "Tohoraata", "Bagarius", "Pterygosomatinae", "Coregoninae", "Tracheloraphis", "Pachystachys", "Longibrachium", "Pselaphus", "Synoum", "Ruwenzoracris", "Heteroligus", "Johanneshowellia", "Cycas", "Phasioormia", "Raphidiocystis", "Lymnocryptes", "Halonotius", "Palaeopisthacanthidae", "Taeniochromis", "Arquita", "Aradidae", "Thorictinae", "Gymnocnemia", "Shireplitis", "Curvidiscoaster", "Catoxantha", "Cephalorhynchus", "LIV", "Baptarma", "Juroraphidiidae", "Ptychochromis", "Pseudocryptogonimus", "Apocolotois", "Hyalellamphopus", "Andevocassis", "Nemoossis", "Stenopetalum", "Palaeosomata", "Ossaggittia", "Leucocarpia", "Cyclotropus", "Borneozephyrus", "Charniodiscus", "Uraeginthus", "Nothosauria", "Ellipsidion", "Thallisellini", "Epimastidia", "Hucus", "Ivanovella", "Eustathiidae", "Druceiella", "Diphyllostoma", "Proteopsis", "Diexia", "YUZM", "Synophrus", "Manoserica", "Leichosila", "Limnophila", "Lavandula", "Amyeminae", "Hemistylus", "Wagneriella", "Paedembiidae", "Bumilleria", "Baylisia", "Santiago", "Schuettia", "Ampagia", "Pinarochroa", "Exagistini", "Lafajana", "Orthocerodus", "Keissleriella", "Bathanthidium", "Perochaeta", "Permoplectoptera", "Osmylinae", "Taiwanedota", "Hexamerodes", "Flabelligera", "Moringaceae", "Pilocnema", "Forcipomyiinae", "Larssonia", "Pseudokoleps", "Colobocephalus", "Pterygophorinae", "Sinodrapetis", "Fletcherolus", "Megacanthaspis", "Epichoristodes", "Typhloiulopsis", "Gerygone", "Mecampsis", "Haploporoidea", "Lophostoma", "Bacteroidales", "Anophelinae", "Tritaxia", "Pleodorina", "Mathilda", "Sparrowia", "Rhizocrinidae", "Triplodon", "Dicrocoelium", "Nauticiella", "Amphibia", "Caponioidea", "Larimichthys", "Elydnodes", "Lycodapus", "Neea", "Solieriaceae", "Antheraea", "Paraspirhina", "Parasponia", "Oxymitraceae", "Acanthoctenus", "Astomyia", "Salpinia", "Cerelasmidae", "Syndiniales", "Hemionitis", "Alcyninae", "Eulophia", "Acilacridina", "Chelilabia", "Cycloskrjabinia", "Trichonotus", "Granulosina", "Halleria", "Bernhaueria", "Ursinoscorpaenopsis", "Jusella", "Urodasys", "Aglaopollex", "Pfiesteriaceae", "Rossyatella", "Herpsilochmus", "Vacanara", "Sphaerobacterales", "Alveotingis", "Myriangiaceae", "Kirkpatrickia", "Chalcoscelides", "Cornaceae", "Pseudoplagiothyra", "Dostia", "Parargyrops", "Ranolus", "Mahea", "Megalospora", "Pseudostonopa", "Romblonella", "Noterocladaceae", "Melaenus", "Praeradiolites", "Podocera", "Microchilo", "Nemupsocus", "Alloperlini", "Muzquizopteryx", "Drymeia", "Petrodessus", "Trogopyga", "Tetratrichomonas", "Dictyotophycidae", "Rhigonematoidea", "Platnickia", "Neotegenaria", "Rhagadiolus", "Castoroides", "Enchelynassa", "Clavicipitaceae", "Lepischiza", "Chitra", "Indovalgus", "Macrotyloma", "Chremastodus", "Piesmus", "Acamptogenotia", "Campanularia", "Notoryctemorphia", "Cryptocorypha", "Brochis", "Halostagnicola", "Chloraeeae", "Ochyroticinae", "Poecilojoppa", "Lissolepis", "Prisopodini", "Neolectomycetes", "Arasia", "Ciidae", "Thylax", "Dexialia", "Nehelina", "Caprobolus", "Neottiella", "Protodeltote", "Rochrosoma", "Haploloma", "Vibilioides", "Lepidopygia", "Amoebidium", "Aparammoecius", "Scelolyperus", "Hormidiella", "Bicrisia", "Sulcarius", "Guatemalica", "Stachyothyrsus", "Chalteniina", "Bathybadistes", "Zombrus", "Xaurus", "Rectoendothyra", "Adapiformes", "Theclinesthes", "Romanichthys", "Subilsia", "Ectemnoplax", "Melinaeina", "Mapania", "Gryporhynchus", "Calycopteryginae", "Arctostaphylos", "Cichlomorphae", "Sisor", "Diphyllobothrium", "Metoligotoma", "Acidiferrobacterales", "Asiatyphlopinae", "Troidini", "Ensis", "Miocalles", "Pseudobalta", "Euryalida", "Bythinini", "Halcyoninae", "Dimorphanthera", "Malpulutta", "Ompok", "Kulalania", "Logasa", "Hyperioides", "Paranemadus", "Sclerieae", "Eurycotini", "Pentachlaena", "Scapteriscus", "Sophronia", "Chamaetylas", "Trigonopterygidae", "Colopisthus", "Pterasteridae", "Ceramiopsis", "Flustroidea", "Onygena", "Chilotrogus", "Entocladia", "Phallangothelphusa", "Jaapia", "Hemiuridae", "Quelaestrygon", "Chelonioidea", "Scenedesmoideae", "Acaroconium", "Taiwanomyia", "Forficulidae", "Nitrospira", "Lipamyzodes", "Bobiricola", "Architinea", "Ficeae", "Caroxyleae", "Bruzelia", "Pseudonotoncus", "Pleuroxus", "Milothris", "Karalepis", "Phaeochlaena", "Lentocerus", "Allothrissopoidei", "Leptaulacinae", "Placynthiaceae", "Esparzaniella", "Penichradoxus", "Heliocharis", "Missisquoiidae", "Derbidia", "Euthraulus", "Heterochelus", "Desmidiales", "Neoathesapeuta", "Leptoplaninae", "Isocrinina", "Ahermodontus", "Hexocyclobothrium", "Diarhabdosia", "Quemedice", "Miliolinae", "Hippocrepinina", "Chanoma", "Laoleptura", "Armenohelops", "Hyadesiella", "Camiarus", "Acellalis", "Soranthera", "Bitecta", "Dupontia", "Cyperoideae", "Bothrideres", "Gynuella", "Griffithsia", "Sympherta", "Carduelinae", "Sieberina", "Molorchini", "Perscheloribates", "Agardhiellidae", "Zeaphilon", "Calyceraceae", "Tridacninae", "Schizocaryidae", "Polysoma", "Parauna", "Eupatagus", "Lindleyinae", "Pachyderris", "Hieraciinae", "Lagopus", "Hancornia", "Dionaea", "Cryptophilinae", "Neocratojoppa", "Adelosebastes", "Phyllophorus", "Desulfatiglans", "Iberoevania", "Collembola", "Myrhessus", "Meropidia", "Mammelomys", "Antilurga", "Horia", "Remigera", "Eudiaphora", "Thyce", "Mecocerina", "Ecitoninae", "Apomyelois", "Bassecoieae", "Onochaeta", "Bamiania", "Analcidometra", "Taeniopteryginae", "Aagaardia", "Agathelor", "Leptysmini", "Pseudotelphusa", "Heppia", "Cichlidogyrus", "Justicieae", "Thaumatocypridoidea", "Hercynini", "Orthomiscus", "Cossulinae", "Pilbarophreatoicus", "Diuris", "Rhinolophus", "Gildita", "Phyllopodium", "Bethylidae", "Cnemosioma", "Dolichostigmatinae", "Gloeochloris", "Olindia", "Tocantinsia", "Perilestidae", "Asteropus", "Dolichoderma", "Eulychnia", "Ceratocapsini", "Naidinae", "Caribea", "Materpiscis", "Australiorylon", "Euryplocia", "Choleoeimeria", "Iphimediidae", "Geometrinae", "Lynnella", "Plagiospira", "Cerasterias", "Typolamprops", "Symilla", "Lucialla", "Platybirmania", "Balbiania", "Anagrina", "Anopeltis", "Neolestes", "Chamaita", "Gardneria", "Synodus", "Azpeitiopsis", "Retoka", "Pollicaria", "Alleniella", "Triallan", "Ceira", "Eggerellidae", "Wiesneriomycetaceae", "Prorhynchopsis", "Tephrophilus", "Typhloleptus", "Allocerastichus", "Vernonieae", "Scaptesylomima", "Branchiomaldane", "Notocrypta", "Acanthoscirtes", "Torynesis", "Panapulla", "Michauxia", "Bonelliidae", "Carabodoidea", "Scaphiodontophis", "Closteromerus", "Fallugia", "Lamproplax", "Corythopis", "Iressa", "Prionolomia", "Scopimera", "Globoppia", "Saproxylobius", "Ixoreus", "Crangonidae", "Cheirotonus", "Phlebus", "Taractrocerini", "Xanthophyllum", "Perlopsis", "Clarior", "Folindusia", "Desertella", "Arizonapsallus", "Meropeidae", "Thaicungella", "Orangescirulinae", "Spongia", "Matuanus", "Schuettea", "Phyllodinium", "Oxynetrini", "Physostemon", "Sinocnemis", "Xenomerius", "Matutidae", "Karomia", "Balliopsis", "Phycopsis", "Nalassus", "Piseninae", "Neocarya", "Estrella", "Lichidae", "Labyrinthidomatidae", "Confluentia", "Cherusciola", "Tekoulininae", "Cleonardo", "Eriocybe", "Astrospartus", "Clonostylis", "Tusitala", "Hyperomma", "Sabellaria", "Gigantochloa", "Thetispelecaris", "Buliminusidae", "Millotsaphanidius", "Hydroclathrus", "Dryadopsis", "Centroplacaceae", "Pauropsalta", "Pontarachnidae", "Praelocustopsinae", "Fijiastes", "Meandrospirinae", "Veromenia", "Chlorotherion", "Phillyrea", "Apodus", "Iberobathynella", "Pedicorophium", "Acridoderes", "Phauloppia", "Argyrolobium", "Minutocellus", "Phormostichoartus", "Phacothecium", "Leupeliina", "Tremembecarabus", "Tibiovalgus", "Cheirodontus", "Gonostomula", "Symblepharis", "Procerodoidea", "Kallymeniopsis", "Haidadinium", "Aspilodemon", "Ionympha", "Murciella", "Liocanthydrus", "Litorilituus", "Cephalozoa", "Mycodnaviridae", "Dystrichothorax", "Platyrinchus", "Alona", "Kolbesia", "Arenicola", "Apatopygidae", "Jafuna", "Strouhalium", "Clupeosoma", "Zantheres", "Makrakanthakneme", "Dasychira", "Sieversia", "Sandelia", "Trymosternus", "Asclepiadoideae", "Waynokiops", "Barbusa", "Calyptommini", "Phanerochilini", "Palaeodes", "Henicorthaea", "Facciolella", "Symphanes", "Dactylotrechus", "Placusida", "Diskrjabiniella", "Paraphlebia", "Bactritida", "Nemotelus", "Sinowatsonia", "Calycanthoideae", "Dryptini", "Cnethodonta", "Echinostephia", "Hybocephalus", "Trematodon", "Siccibacter", "Diploposthe", "Anthozela", "Andwakiidae", "Anseongella", "Gaudinia", "Cteniscus", "Coptosapelteae", "Periplectus", "Cyrtoderus", "Eocanthecona", "Euphthiracaroidea", "Metaparamyxovirinae", "Endomyces", "Paronellidae", "Paramythiidae", "Eusproda", "Parapachymorpha", "Homotrematidae", "Heterocucumis", "Mesilla", "Uebelmesseromycetaceae", "Physochila", "Paropsides", "Coleacarus", "Redlichioidea", "Acidibacter", "Tometes", "Australicola", "Thynnoidea", "Soliclymenia", "Afrofittonia", "Vibrissea", "Macropanelus", "Hypotephrina", "Flatschkofelia", "Cyathocephalus", "Longtancunella", "Apodanthera", "Chaltenobatrachus", "Spirobolellidae", "Polyclita", "Acrididea", "Stummeria", "Platylomella", "Ellipsoscapha", "Neodenticula", "Leucodellus", "Neotriozella", "Gymnostachyum", "Pontopolycope", "Thermonemataceae", "Cephennium", "Maxillaria", "Benthomodiolus", "Theanellus", "Ptyrticus", "Arnoglossus", "Protoplagiopyxis", "Eutrechus", "Atactolituola", "Plectophloeus", "Chalcochlamys", "Necrochromus", "Maxvachonia", "Austrotaxus", "Hyliota", "Tuberculobasis", "Pseudacris", "Eopiestus", "Nanopsalta", "Quentinius", "Fenestrella", "Ceruchites", "Natalianira", "Undibacterium", "Aneurillodes", "Rustleria", "Loboplusia", "Chordodea", "Antirrhea", "Cathexis", "Logania", "Leptoboeinae", "Ntaolaltica", "Acarosporales", "Stipitochrysis", "Lissomartidae", "Cephalizus", "Dioclerus", "Chileobryon", "Chaetocanthinae", "Gardineroseris", "Hypselostomatinae", "Trischizostoma", "Tissahamia", "Ingrassia", "Ptycta", "Neoephemera", "Picacharops", "Cremys", "Pseudorabdion", "Plicastoma", "Krapfia", "Chondrelytropisalia", "Atlantoxerus", "Caenothrombium", "Sylviorthorhynchus", "Psyktosphaera", "Pectinodonta", "Rhytidodera", "Tritoniella", "Caelatoglanis", "Paulasteriidae", "Phoenicoprocta", "Silvestrichiloides", "Micropolus", "Homoranthus", "Anthurieae", "Acanthepeira", "Biziura", "Froesiochloa", "Timia", "Acryllium", "Dimeregramma", "Pseudopyrgo", "Rahona", "Hemimerina", "Geobatrachus", "Dasythyreidae", "Osmakasaurus", "Axiidae", "Stiretrus", "Eupoca", "Xeroconiopteryx", "Potosinae", "Urceolina", "Microcyema", "Gregopimpla", "Eagris", "Khetana", "Megaloproctus", "Sclerotiaria", "Pholcidae", "Cratogeomys", "Rishwanedaphus", "Tylospilus", "Gomontia", "Araneosphaera", "Spariolenus", "Histiobranchus", "Fryeella", "Neolara", "Palpimanoidea", "Parydra", "Stenotyla", "Concavatotruncana", "Fianoniella", "Burgeonilla", "Ilyodromus", "Nitrosocaldaceae", "Aelurillini", "NCBS", "Alyculus", "Liodessus", "Rhodopinini", "Priabona", "Extremaceae", "Tapeinochilos", "Pseudopedobacter", "Parancistrus", "Cissusa", "Pontoporiidae", "Douniaella", "Triacanthus", "Oreocnide", "Hemiptelea", "Catostomidae", "Cosmochthoniidae", "Zyganisus", "Afrotarsiidae", "Jasptorus", "Brancsikia", "Xenofrea", "Nannastacidae", "Brachychloa", "Thalassionematales", "Lithodesmium", "Phyllotricha", "Antanambia", "Rhodocallideae", "Podopini", "Cotingidae", "Micromonosporaceae", "Dakuidae", "Conodon", "Tetrasquillidae", "Spheniscus", "Nanularia", "Harpalomorphus", "Winkenthughesia", "Arborammina", "Speculipastor", "Trimiophanes", "Stymphalornis", "Scilloideae", "Cephalidiosus", "Crossomys", "Eubrianax", "Spiranthes", "Obaichthys", "Chordaria", "Luetkesaurus", "Suerkenola", "Ceratomyxa", "Panceriella", "Mayalina", "Tumulofilum", "Subpelignus", "Poecilocapsus", "Chaetogammarus", "Mimopothyne", "Nodina", "Psaumis", "Amazonatolica", "Muscaphis", "Aeromachini", "Coptotermoeciina", "Byctiscidius", "Leptolaelaps", "Lestremia", "Phaenicophilus", "Russelieae", "Plinthanthesis", "Apteronini", "Amsactoides", "Rhyparochrominae", "Hemielimaea", "Arcus", "Tanymecini", "Trichobasis", "Eupteleaceae", "Germainites", "Tagastini", "Alveolophragmium", "Paracyptus", "Boulengerochromis", "Epistrophe", "Wurthiinae", "Holostaspella", "Chorthippus", "Kankelibranchus", "Pachyglobolaelaps", "Embiophilinae", "Neophemula", "Furciseta", "Placidiopsis", "Bajcaridris", "Acanthoderini", "Verbeekina", "Olenecamptus", "Reptilia", "Tylenchulidae", "Methorius", "Inonemia", "Diamesa", "Hylesinini", "Episcea", "Turtur", "Cheliplanidae", "Nemeura", "Sphinginus", "Melanotaenium", "Pseudaradus", "Alanizini", "Stegoceras", "Byrrhoidea", "Gojaoides", "Sclerodactylidae", "Descoreba", "Stichochrysis", "Chelodina", "Poropuntiini", "Pseudoamphisiella", "Cheiroseiulus", "Radiathamnion", "Harponixus", "Neolinycus", "Awas", "Batrachoides", "Megarynchus", "Peripyramis", "Coccidoctonus", "Barkerina", "Paraschema", "Acarihygia", "Helophilina", "Brachystylodes", "Trachelizini", "Saurolophus", "Deuterogonaria", "Hymenostomatia", "Anectothemis", "Cleroptila", "Munida", "Collacerothorax", "Cabreriella", "Membranoptereae", "Eatonella", "Pyrgininae", "Cotula", "Racemiguembelina", "Pterocroce", "Repomucenus", "Cedus", "Caccinia", "Legeriomycetaceae", "Chroestia", "Aphrophora", "Oedematopiella", "Apodasya", "Rhipidura", "Cohort", "Lorantheae", "Mallosiola", "Elasmodus", "Caligo", "Amphotis", "Triloculinopsis", "Ammatoideoideae", "Barsilene", "Lysimachia", "Mimodorus", "Australoplatyola", "Adoretus", "Nedra", "Armatimonas", "Isoptera", "Thaumatichthyidae", "Pappomonas", "Diamphipsocus", "Paraplaconeis", "Plexipomisis", "Pteropodidae", "Larinopoda", "Spiritiops", "Pseudoplisus", "Allocreadioidea", "Quedara", "Amijiellinae", "Heterotaxus", "Anthomastus", "Diaperinae", "Camarotea", "Conifaber", "Felicola", "Ammonoidea", "Antigambra", "Tetrabdella", "Lalax", "Stryphnodes", "Poroderus", "Polybranchiaspidiformes", "Haglinae", "Eustephieae", "Silvamonas", "Proserpinus", "Macroscelididae", "Plestiodon", "Themistoclesia", "Attacini", "Paprothites", "Connochaetes", "Acidihalobacter", "Protereisma", "Notocyphini", "Limnorimarga", "Ommatidae", "Cardiastethus", "Floresina", "Camptopleura", "Sardinella", "Quadrartus", "Oromycter", "Pseudentephria", "Embrithoplia", "Entactiniidae", "Pholidostachys", "Eusphalerum", "Copionodon", "Coccolithites", "Amblyopappus", "Somniosidae", "Xanthonychidae", "Anatistini", "Donquickeia", "Papuamorbus", "Diplostominae", "Succinimonas", "Kalliapseudidae", "Coryphopterus", "Tosta", "Cypraecassis", "Diglenita", "Hartmannellidae", "Orsa", "Musophaga", "Hobartius", "Aprosopus", "Poeoptera", "Aquicella", "Taenioplana", "Parachironomus", "Dendronotoidea", "Gonioclymeniaceae", "Gmelina", "Pseudosphyrapodinae", "Bayadera", "Sintorini", "Tipulodina", "Phaeographina", "Alydus", "Eudianodes", "Bathysphyraenops", "Planibyrsa", "Acrasis", "Cuneonella", "Anoiktostoma", "Patopta", "Habrotrochidae", "Neodactria", "Xenolytus", "Notolaemus", "Melolonthina", "Zacosmia", "Scymnillini", "Neostapfia", "Janice", "Palaeopropithecus", "Pratylenchoidinae", "Aeschrocorini", "Pogonotarsus", "Aristocleidus", "Paracompsa", "Omalodus", "Bureschias", "Cunninghamella", "Astrosporangium", "Lithoplocamia", "Elasmia", "Trochiliformes", "Urophorus", "Janetschekia", "Supertermitoderus", "Triodontella", "Synageles", "Otachyrium", "Gastrocotyle", "Euxoamorpha", "Lactococcus", "Haliotoidea", "Crucicostulifera", "Cephalotarus", "Abraliopsis", "Rostroconchia", "Cecidophyini", "Cephalacanthus", "Sphaerotheciella", "Anisochoria", "Martinsia", "Oxycantha", "Roseimicrobium", "Javanoscinis", "Hemigrammopetersius", "Stomiiformes", "Neoalosterna", "Iberoiulus", "Aellopus", "Aterigena", "Lysigonium", "Metafruticicolini", "Trichalophus", "Pseudoaulophacinae", "Pseudotaxiphyllum", "Mysella", "Zychaea", "Mermithidae", "Decorosa", "Arctiarpia", "Calendulauda", "Dalmophysis", "Kentriodontinae", "Savigniella", "Typoderina", "Cicurininae", "Cremifaniidae", "Protomicarea", "Paleopragma", "Neoeudalia", "Decatocerus", "Gjaerumiaceae", "Tragosoma", "Coniocybaceae", "Chelophoba", "Sympiezomias", "Axyrideae", "Sabahtortrix", "Actinolema", "Epipygidae", "Janjucetus", "Ptyobathra", "Asemoneinae", "Brevibacillus", "Popcornella", "Tropidomantis", "Nodellum", "Dichrorampha", "Aseptis", "Robuloididae", "Micromus", "Limnoperdaceae", "Tachyta", "Apterola", "Faronitopsis", "Mephritus", "Nedenia", "Tillandsioideae", "Phyllodytes", "Oplopomus", "Clytia", "Eucalosphaerini", "Chlamydonella", "Cambefortinus", "Afrotyphaeola", "Pseudolituotubella", "Kaala", "Libra", "Ventrifilosa", "Madascincus", "Laticaudinae", "Metretopus", "Setocordax", "Anemya", "Uropyxis", "Triglicoloides", "Scaphinus", "Rytidocarpus", "Actinacanthus", "Awalycaeus", "Tropopsis", "Cylindrocarpa", "Scarus", "Phyllioidea", "Olyreae", "Gibbomesosella", "Thymodelphax", "Baffinicythere", "Colpodium", "Dichelopa", "Styphlodromus", "Phaiomys", "Waikalasmatidae", "Encyocrypta", "Telonema", "Circapina", "Loomisia", "Scutylenchus", "Hyalosphenia", "Cartwrightia", "Stilpnopappus", "Myodermidius", "Coccothraustes", "Odax", "Soninotaurus", "Fanoridius", "Pseudocometes", "Biconiosporella", "Phacellanthus", "Caupolicana", "Calliarcyinae", "Cossyphinae", "Caenominurus", "Belbodamaeus", "Dasyscopa", "Purusia", "Katanganella", "Haploclathra", "Hypobathrum", "Calliclytus", "Piskurozymaceae", "Agaeocerina", "Homoshelas", "Leptodiscus", "Curtonotidae", "Neohiraseini", "Diestramima", "Cavisternum", "Episauris", "Adoxa", "Mecodema", "Micrelytra", "Phibalura", "Protodontidae", "Cobalopsis", "Asilomaria", "Roseicitreum", "Leptocladiella", "Johansoniaceae", "Karstenula", "Nartheciaceae", "Mesoleptochir", "Wautersiella", "Globosusa", "Izziella", "Phallusia", "Dipylissinae", "Fendlerella", "Alligatoridae", "Heteromorpheae", "Cisaris", "Verduliini", "Janseides", "Blerina", "Phaeida", "Cipadessa", "Enicospilus", "Discanomalina", "Sandonidae", "Brownlielloideae", "Fusiformis", "Glikmanellus", "Amphisopodidae", "Acanthochaetetes", "Microliabum", "Duatartessus", "Diplostyla", "Leptadeniinae", "Hemadas", "Agastus", "Discordipinna", "Planaxidae", "Tytonidae", "Corticiruptor", "Parakamosia", "Ceuthothrombium", "Lapparentemys", "Arctomiaceae", "Diuterinotaenia", "Acarotrochus", "Schubertellinae", "Brachycyttarus", "Dictyoneidaceae", "Actinote", "Hylia", "Paradigalla", "Glossoidea", "Zelaphycus", "Rhamphospora", "Arawakia", "Hexathele", "Popoviolimon", "Oenonogastra", "Cyathophylla", "Chlorarachnion", "Prolemur", "Amiiformes", "Rhopalostylis", "Mimolema", "Pronemouridae", "Caenotropus", "Muriellopsis", "Homaeotarsus", "Hyperchiria", "Marantokordyana", "Ameloblastella", "Centrotypini", "Polioptila", "Barrowgammarus", "Stibasoma", "Volutinae", "Euglenomonas", "Rhynchoidomonas", "Pseudauchenipterus", "Vatacaridae", "Gochnatieae", "Methylovulum", "Pseudochthonius", "Myxobacter", "Virganthura", "Pyrophleps", "Vespertilionidae", "Sepiella", "Caudatractus", "Thelohaniidae", "Vatini", "Caulokaempferia", "Osbornictis", "Anoctus", "Globimetula", "Chamaemyces", "Limnosciadium", "Zitha", "Truncatulus", "Napeanthus", "Boraginoideae", "Rossella", "Muruta", "Pembertonia", "Corymorphidae", "Galopina", "Apostenus", "Polygonum", "Periope", "Asteranthos", "Foerschichthys", "Distenia", "Oreiscelio", "Miliusa", "Peltopteryx", "Pygoluciola", "Sulenus", "Phytoseiinae", "Dolgoma", "Aosa", "Sardinops", "Morwennius", "Spathodea", "Orestias", "Ceratops", "Membranaria", "Qwaqwaia", "Preactis", "Aceodromus", "Dolichophryxus", "Kempfcyclocypris", "Nebostenus", "Tullbergiidae", "Battarreoides", "Nenga", "Ophiorrhizeae", "Orthoptera", "Ozolaimus", "Orbula", "Ctenosculidae", "Bornestathes", "Xenodens", "Pauesia", "Notochilus", "Banksieaephyllum", "Gindanes", "Zygospermella", "Pantanalinema", "Spirotrichia", "Sylphoides", "Hydnellum", "Aulacidae", "Lobogyniella", "Bidiscorhabdus", "Tolypida", "Parachaitophorus", "Dirhinosia", "Tatria", "Orectognathus", "Helladerythraeus", "Cubanana", "Lepidopleurina", "Megamicrocotyle", "Seriphus", "Ancistrogastrinae", "Sesommata", "Thermosipho", "Vampyroteuthis", "Gorybia", "Polychidium", "Deinostema", "Borassodendron", "Jania", "Architis", "Ceratocampinae", "Sigalionidae", "Siderolites", "Xanthophryne", "Gebrayelichthyidae", "Bathyberthella", "Euplectomorphus", "Canestriniidae", "Pseudamaryllis", "Glumicalyx", "Protolepidodendrales", "Eratidus", "Koreocoris", "Rhodometrini", "Paraleuctra", "Rhamphomyia", "Parvaplustrum", "Dorylotyphlus", "Sphaerosyne", "Owilfordia", "Jalmenus", "Stilida", "Chromolaena", "Azygopleon", "Shouchangoceratinae", "Heteroschismoidinae", "Pinnothereliinae", "Opatrum", "Donax", "Longamoebia", "Cresponea", "Shepheardellinae", "Metexilisia", "Hypena", "Oranoma", "Judomiidae", "Thereselia", "Alterammina", "Zanderia", "Hypoderris", "Oroceguera", "Chama", "Amegilla", "Dacryomycetopsis", "Platygastemma", "Marstonia", "Oboronia", "Cytilissus", "Arandaspidiformes", "Gliwiczia", "Hildenbrandia", "Choanocystis", "Cladorrhinum", "Waitzia", "Anillus", "Tentyria", "Kentriodontidae", "Muriceopsis", "Ankylophallus", "Archigalleria", "Haemogregarina", "Tabrizicola", "Trochiscanthes", "Syrastrena", "Dermanyssoidea", "Chrysalogoniidae", "Bombycilla", "Stylospongia", "Rheinardia", "Kuzmelina", "Siraton", "Glyptoparus", "Amblyglyphidodon", "Sycobia", "Epauloecus", "Tropicibacter", "Spilomelini", "Stigmatachys", "Gelliodes", "Aspidimerini", "Dyscophellus", "Asytesta", "Syrphinae", "Lichenoconium", "Hukaruana", "Eupoecilia", "Cyclocalyptra", "Synechococcales", "Prophenorites", "Angelosaurus", "Mecsekispermum", "Cyttarops", "Weinkauffia", "Semiocosma", "Pseudolepralioidea", "Homalorhagae", "Tumula", "Crosnieriella", "Segmentochona", "Corylonga", "Micraglossa", "Chlosyne", "Kochiura", "Hoploryctoderus", "Chromadorida", "Gametis", "Gurvanina", "Tolypeutinae", "Thaumatoxeninae", "Gastrallus", "Fylgia", "Buttiauxella", "Chlidonophoridae", "Tekelloides", "Lobomyia", "Barboides", "Paracanthurus", "Gerochammina", "Nelidia", "Neoparadigma", "Allogonyleptes", "Tricomaria", "Odochilus", "Microgoes", "Woodlandiella", "Hymenopappus", "Megatomini", "Gibber", "Atopophlebia", "Darwinysius", "Hilyotrogus", "Hippoporella", "Pauia", "Cerchanotus", "Microdes", "Thophini", "Xyelodontophis", "Dacrymycetes", "Grielum", "Anthracoidea", "Nephromatoideae", "Ishigeophycidae", "Keriochlamys", "Teichobiinae", "Chrysoamphipyxis", "Pachycnema", "Kochummenia", "Pulvinaster", "Spirorbina", "Batoporoidea", "Myomyrus", "Laminosioptinae", "Anastomoneura", "Thottea", "Litopeltis", "Polygonalium", "Shiinoella", "Dysspastus", "Parasalpinia", "Andinomyia", "Arrostoryta", "Adelinia", "Eunota", "Azygophleps", "Chlamisus", "Artemisia", "Orthosia", "Sarrameana", "Blennidus", "Hydrocharitaceae", "Armatomelita", "Stivaliinae", "Scutopalus", "Colpomyida", "Cittotaenia", "Anoano", "Amatolacypris", "Pullimosina", "Mimovitalisia", "Kotoshozo", "Mylothris", "Proteobacteria", "Dissorophidae", "Corymbium", "Cyathomone", "Pseudohemiodon", "Podiscus", "Moechohecyra", "Xylochus", "Parallocampa", "Notoaturus", "Cyclophorini", "Dicliptera", "Batagur", "Eysenhardtia", "Golsinda", "Chortiheros", "Sataspes", "Hybosorinae", "Opabinia", "Atarbolana", "Aureispira", "Shaoshia", "Pantomallus", "Trichadjinga", "Deroplatyinae", "Tretopleura", "Caseidae", "Flexibothrium", "Escalloniaceae", "Ptilocladiopsis", "Viverricula", "Parecharista", "Holynskirbus", "Auletorhinini", "Metaphrenon", "Trichodelitschia", "Rhamphostreptus", "Methyloligella", "Maerua", "Aphelidium", "Eocicada", "Lautaea", "Allothrombium", "Inglisia", "Stegosaurus", "Numbakullidae", "Labisia", "Haplobainosomatidae", "Spathosterninae", "Plassoderinus", "Pepsinae", "Phyllopsora", "Nicimitoceras", "Mutisiopersea", "Plectacantha", "Oxylymma", "Sminthuraphis", "Carinocuma", "Gonatas", "Craniosara", "Pseudomelampus", "Hybodus", "Laemobothriidae", "Vesicaperla", "Secodontosaurus", "Siagotanyx", "Toxopinae", "Colacogloeaceae", "Afroboganium", "Delectona", "Erlandiini", "Pezichthys", "Cystomastax", "Pyrgomorphidae", "Acerentomidae", "Tylocliostomum", "Botswanoncus", "Aesalinae", "Ctenelmis", "Parastylodactylus", "Agathacrista", "Rugigegat", "Trypoxylini", "Archechiniscidae", "Heterostraci", "Helminthocarpon", "Colotrechnus", "Sinozolina", "Sematoneura", "Dyella", "Ocepeia", "Byssogene", "Marshiella", "Sabulopsocidae", "Tovaria", "Ostedes", "Metatheca", "Pristis", "Cyttaria", "Pliopithecidae", "Crosniera", "Stictorhinus", "Clidomyinae", "Thelaxini", "Achenium", "Psallus", "Cleiothyridina", "Helicostylum", "Campylopodiella", "Pilacolaspis", "Schuhgaster", "Tanjistomella", "Zaptychiinae", "Bakerina", "Afroedura", "Scamurius", "Eupygostenus", "Neuquenodactylus", "Encalyptaceae", "Eidoporisminae", "Galgupha", "Leucothoidae", "Diaphanocypris", "Thopeutica", "Lintaxine", "Stypommisa", "Toxocnemis", "Echthrogasterini", "Ectinorhynchus", "Misturasotoma", "Aulographis", "Chelonaplysilla", "Tseajaiidae", "Mitchelleae", "Erosariinae", "Maxiana", "Terelabrus", "Pugiodactylus", "Aeolopetra", "Leptothyrsa", "Phragmogibbera", "Bolboceratex", "Hetereucosma", "Caucasodesmus", "Jeana", "Xystotheca", "Tettigadinae", "Dogniniya", "Leiestes", "Sulix", "Kadenia", "Brunelliaceae", "Sporidiobolaceae", "Marginellidae", "Pheucticus", "Pseudoeuraphia", "Cyphoma", "Scouleriales", "Hypneocolax", "Chimaerohemecus", "Didymodon", "Preseucoela", "Homotoma", "Mehrailla", "Polyrhabdina", "Gonocerus", "Hyboloma", "Pyura", "Nacliodes", "Buitreraptor", "Grigoriora", "Paracampylaspis", "Jacobia", "Sasakiella", "Schimperobryaceae", "Aerotypia", "Geastrales", "Euphaneropidae", "Hypodipnites", "Volodichthys", "Mesophalera", "Brazzeia", "Paralamprops", "Ericomyrtus", "Zygocerini", "Coelastropsis", "Tuerkayana", "Gymnomuraena", "Banara", "Titanoptilus", "Acriopsis", "Myiopharus", "Aprosphylini", "Acheronia", "Heterostemma", "Myianoetus", "Lipoptycha", "Musophagiformes", "Rhynchostegiopsis", "Fulcidacini", "Antrodiaetidae", "Callimastix", "Amidorus", "Pontiobates", "Stigmops", "Campyloxenus", "Cavinula", "Alpillina", "Pygocentrus", "Herpotanais", "Argyrostrotis", "Nothura", "Platycypris", "Paramyxida", "Catoria", "Democrinus", "Deliodes", "Paranarthrura", "Trogulus", "Compsopsectra", "Pheidonocarpa", "Chelosania", "Cataulacini", "Streptocarpinae", "Cortezura", "Acunasus", "Agromyzinae", "Bolidophyceae", "Lissophiothrix", "Nannusa", "Empedcochylis", "Ceraplectana", "Stenotricha", "Coryciinae", "Geoffroea", "Dinychus", "Annulatascaceae", "Sagittarius", "Streptopelia", "Eira", "Pseudostylochidae", "Postrugoglobigerina", "Kohlia", "Pteropexus", "Pseudostomidae", "Paravalvulinidae", "Sardia", "Sagdoidea", "Typhlotectusa", "Parapsestis", "Taiwani", "Trichillidium", "Henicotettix", "Endodontidae", "Dasygnypeta", "Desmalopex", "Cyriophthalmus", "Prionanthium", "Necrotaulioidea", "Schismorhynchus", "Ptychopetalum", "Thuspeinanta", "Argenteohyla", "Urnella", "Vulcanolepas", "Australiosomatini", "Lomaptera", "Pseudoanisocoelium", "Gennaria", "Prothemini", "Echinosteliidae", "Holocentrus", "Lambertiodes", "Aromobatinae", "Chela", "Thalassozetes", "Anisoura", "Arcida", "Halovibrio", "Kyranycha", "Rhyparochromidae", "Basiliolidae", "Rothia", "Arachnopeziza", "Asteronotus", "Myomyscus", "Diloxia", "Atylophor", "Megalocarpus", "Zeasuctobelba", "Haplorhynchites", "Sinaiella", "Epigloeaceae", "Nesiarchus", "Perithous", "MVUP", "Gonapodasmiinae", "Plesiobatoidea", "Trichopetalum", "Eurycantha", "Symballophthalmini", "Profundulidae", "Phaeophysema", "Hypergastromyzon", "Biatoropsis", "Hypolimnas", "Microcytos", "Sinojackia", "Entomoplasma", "Myodacanthus", "Mesochernes", "Asimina", "Propinacoceras", "Sorensenata", "Aleuropteryx", "Vincinae", "Hypermnestra", "Vankya", "Porcellanidae", "Haplopharyngida", "Tropidostethini", "Magdalenapalpus", "Neidiineae", "Synaptiphilidae", "Helvibis", "Pseudopectinosoma", "Amphiaspididae", "Microchironomus", "Cynaeda", "Orculifilum", "Pyrrhopygini", "Cycloclasticus", "Homostola", "Saroglossa", "Latiidae", "Onychiuroides", "Montonella", "Phrynetini", "Crenimugil", "Trichrysis", "Jaoniella", "Phytohabitans", "Esthlogenopsis", "Artiocetus", "Rhizophysa", "Anastatus", "Enterorhabdus", "Vietoluperina", "Pseudodichanthium", "Sunxiuqinia", "Protocryptomonas", "Nodulina", "Gomerina", "Deroplatyini", "Pyrrhosoma", "Acetobacterium", "Ishigaum", "Batrisodella", "Troglocharinus", "Conjunctiinae", "Tentasetae", "Arrhipis", "Euotophorus", "Petronymphe", "Scleritoderma", "Draconula", "Neorhinopsylla", "Zungaro", "Behningiidae", "Phoxokalliapseudes", "Pararculanus", "Penthophonus", "Conocephalus", "Pithyini", "Gnaphaloryx", "Fulgora", "Schulthessiellini", "Phlebonema", "Cnemarchus", "Barnadesioideae", "Neurosigma", "Aeropyrum", "Psecadioides", "Ottistira", "Psygmophyllum", "Acyphoderes", "Cyladini", "Coptolimulus", "Staurois", "Parapsectris", "Larkinella", "Villasitocoris", "Pararhabdepyris", "Kalloclymenia", "Archaeocatastomum", "Desiantha", "Rectocibicides", "Teleotanais", "Poincianella", "Protopeltis", "Apatesonini", "Loxosoma", "Cistus", "Porospathidae", "Entimini", "Plagiotaphrus", "Metaperiaptodes", "Pycreus", "Nautilia", "Pseudanomalon", "Kyogle", "Trachytherus", "Finotiini", "Parmacellidae", "Gaudichaudia", "Coreidae", "Ditaxinae", "Chroodactylon", "Asyngenes", "Stephanocyathus", "Garudinistis", "Eupinion", "Naziritor", "Rafrhexius", "Schizopteridae", "Euleptarthrus", "Storeyella", "Characovalva", "Gymnothorax", "Caymania", "Sigsbeia", "Erpetosuchidae", "Ashinaga", "Philonthina", "Protepiptera", "Pericaeciliina", "Oleacinoidea", "Gilieae", "Ancylobacter", "Accedomoera", "Euxestinae", "Anatona", "Parasilusa", "Adolfus", "Wajpamheros", "Prorachias", "Spatulipalpia", "Inocatops", "Trizetidae", "Taeniamia", "Protanilla", "Jishengella", "Remigiodes", "Brachionidae", "Ceranchia", "Gymnocoronis", "Stiptopodius", "Prestoniinae", "Alexyrea", "Empelus", "Davduospina", "Mastigophoraceae", "Alafrasca", "Solygia", "Aphonomorphini", "Dichochroma", "Simareea", "Aegithus", "Gastrancistrus", "Ditomus", "Calamophis", "Metopus", "Mnesampela", "Aphalarinae", "Paraleiopus", "Hemallia", "Lissauchenius", "Aenictophyton", "Lernaeocera", "Sciuromorpha", "Molluginaceae", "Discodinium", "Monarrhenus", "Hoplistomerini", "Garissa", "Nychioptera", "Sarostegia", "Parascotia", "Lamania", "Cymatomerini", "Inpamphistoma", "Zevadia", "Astroloma", "Xenocoelidia", "Thaumastodermatidae", "Nesomeinertellus", "Mesobaena", "Algerophilus", "Pristinolepas", "Lophoterges", "Xenogryllini", "Poliopsiidae", "Lanariaceae", "Tasmanobates", "Bythotiaridae", "Progonioclymenia", "Elodinini", "Stenopterobia", "Reticulariopsinae", "Pares", "Clavipalpula", "Necatia", "Speleophriidae", "Purshia", "Haplotaxidae", "Blix", "Lepyrodontopsis", "Oxytella", "Rhodormiscodes", "Azarelius", "Megacoelus", "Dexaminoidea", "Proneomeniidae", "Credolingula", "Ischnacanthiformes", "Kenolamna", "Copromyzinae", "Hippea", "Nigella", "Attilaea", "Cyprinodontinae", "Protorhoe", "Hypotomops", "Stilipes", "Phacelochaeta", "Xylophagomorpha", "Bathysauropsidae", "Sternarchorhamphus", "Leucophenga", "Limacinula", "Nannophlebia", "Trichopterygini", "Crininae", "Hexatricha", "Caldilineaceae", "Cordulia", "Roppaneura", "Alteromonas", "Nodozana", "Telimena", "Mirbelieae", "Floricomus", "Anarete", "Hedyotis", "Campsiura", "Paramecyna", "Richeria", "Laminiceps", "Acolhua", "Myzornis", "Leaellynasaura", "Calotachina", "Phagomyxa", "Charopidae", "Zhangiella", "Synemosynini", "Phaeosphaerida", "Wenyingzhuangia", "Milnesioides", "Inulopsis", "Seguenzioidea", "Proboscidium", "Cymatopsocus", "Empedobacter", "Pteroxys", "Adenostoma", "Opecoelus", "Rayllianassa", "Eucrossus", "Ptychopterinae", "Sciaridae", "Incidifrons", "Larischia", "Chelifichthys", "Phthyotis", "Monocelis", "Mesonia", "Linoideae", "Choeradodis", "Koczyia", "Castoraeschna", "Harmologa", "Solenodontidae", "Hydrogenophilaceae", "Pseudomaenas", "Apterodorcus", "Anomaloblaste", "Psyrassa", "Desplatsia", "Psilonychus", "Canna", "Orthogoneptus", "Prionodera", "Gallus", "Glyptoscelis", "Stigmatoplia", "Anchonini", "Pachygonatopus", "Trychnostola", "Poissonia", "Triplomystus", "Pyxine", "Mesopristes", "Ledra", "Monodinium", "Syngnathoides", "Aneucamptus", "Eupogoniopsis", "Gorgythion", "Polycligenes", "Clypeasteridae", "Ammatho", "Glaciecola", "Annulipalpia", "Caribseba", "Isophysis", "Diaphanosoma", "Palaeospiroplectammina", "Commatocerodes", "Elasmosaurus", "Eucestoda", "Citharalia", "Syphopsis", "Brothylus", "Comarostaphylis", "Propiromorpha", "Omomyidae", "Ephippiorhynchus", "Homalopsidae", "Acridoxeninae", "Vespertilionini", "Lodderomyces", "Metaclisa", "Tremicinae", "Semitogea", "Peliusa", "Beggiatoa", "Apotyphlus", "Tachyphonus", "Anoplophilus", "Inermiphonte", "Apoglosseae", "Anomocaulus", "Micreumenes", "Aetobarbakinoides", "Enantius", "Flosmutisia", "Aeshnini", "Stratiomyidae", "Trymalius", "Gossypium", "Faucheopsis", "Almanini", "Lepidochaetus", "Bryhnia", "Polypterozetoidea", "Caryomene", "Eccoptogaster", "Anypotactini", "Tytthoscincus", "Trichotonanninae", "Cicatrisestola", "Holascus", "Architaea", "Campulocephalus", "Gnopharmia", "Micropanchax", "Propephonte", "Flabellammininae", "Austrognathiidae", "Aetheorhyncha", "Camerobunus", "Nubeculariella", "Lipokrisnini", "Desmozosteria", "Cyanoramphus", "Anourosoricodon", "Parahydrosmecta", "Xenocallia", "Pseudodiachipteryx", "Prosobranchia", "Kinorhyncha", "Ceraphron", "Pelagostrombidium", "Leptojoppa", "Scioporus", "Paramblymora", "Halobacteriaceae", "Gibbosa", "Podisma", "Dipterocladia", "Aetholix", "Pimelodidae", "Chelanteon", "Microstilbon", "Megacorax", "Parathelges", "Mamiella", "Paraepepeotes", "Ebhuloidesini", "Barwickosteus", "Alyssopsis", "Pentazonia", "Rissoinidae", "Trichodorcadion", "Hetaeria", "Rhinoptera", "Basilona", "Ophiopholidae", "Neriene", "Odontomelitta", "Pleuronectiformes", "Planaltinella", "Wodnika", "Parabodo", "Pseudomoeocerus", "Pyrenocollema", "Grania", "Hypochthoniidae", "Triglochin", "Nangura", "Ceratosphaeriaceae", "Cobbionema", "Gemelliclininae", "Compsopogonaceae", "Rimicaris", "Ropalophorus", "Multifidella", "Notiphila", "Conceveiba", "Boltovskoyella", "Pusiola", "Brotula", "Oleiphilus", "Paradrina", "Haplocercus", "Nysiini", "Pteroinae", "Osminiini", "Siphonethus", "Acanthocalyx", "Irenimus", "Oxynthes", "Trachypsamma", "Eclipidrilus", "Sminthuridae", "Sklallamia", "Smeringopinae", "Aeithauma", "Pneumocystidaceae", "Keronopsis", "Chamberlinini", "Keramosphaeridae", "Zodariinae", "Dieteria", "Neuquenaphis", "Marquesia", "Pyropiloides", "Hideophyllum", "Sussorca", "Allenaltica", "Dimarcusidae", "Didiniidae", "Sympagella", "Maundia", "Diploderma", "Reddyanus", "Hylodes", "Balaenophilidae", "Madaphlocteis", "Pachyschesidae", "Pycnodontiformes", "Calvia", "Dalatias", "Flabellinia", "Simoderini", "Nanopsis", "Parentelopes", "Cryptologa", "Eremalche", "Platypodium", "Axilosphaera", "Phyllanthera", "Callergates", "Craniida", "Liorhina", "Juraphididae", "Protorhus", "Ophiostriatus", "Sarcinochlamys", "Petrophileae", "Cernaysia", "Taeseokella", "Vitellinariotrema", "Granitites", "Artochia", "Ostreidae", "Atherionidae", "Echinosepala", "Aephnidiogenidae", "Acidimicrobiaceae", "Ipodoryctes", "Astralium", "Nyctobrya", "Lycoptis", "Emballonuroidea", "Wixia", "Tainia", "Transandinomys", "Macodes", "Matabelea", "Monogynolepis", "Radix", "Xylecata", "Charlottea", "Aenictocupidus", "Elongatosybra", "Trurlia", "Eumelasina", "Anarta", "Pryeria", "Iarupea", "Oreocallis", "Spirotectinae", "Albertosaurus", "Trema", "Anhangatermes", "Pseudostigmatidae", "Colomerus", "Austroagrion", "Metatirolites", "Ibericancer", "Gecarcinidae", "Teredorus", "Stylochocestus", "Conorbis", "Bifarina", "Potamiaena", "Akera", "Laboulbeniales", "Shachemys", "Cyclobacterium", "Australembiidae", "Myliocotyle", "Silicoloculinidae", "Ingerana", "Dechambrophylla", "Erytus", "Lysiosquillidae", "Hypopta", "Paracalantica", "Coronula", "Methia", "Quickia", "Bilaterocotyloides", "Pseudogoodyera", "Paracyrta", "Brontosaurus", "Neotrachystola", "Macrocyttara", "Demeijerea", "Heterospora", "Castleichthys", "Rhodambulyx", "Parvochaetus", "Clavatorella", "Odites", "Otocoptoidinae", "Posttornoceratinae", "Procavia", "Thallomys", "Haliclystus", "Niptomezium", "Mesobuthus", "Lycosa", "Kanekoa", "Concinocordis", "Tracyllales", "Tannerella", "Aotearoa", "Colobus", "Lobopoma", "Sohnsia", "Sphecodes", "Standleya", "Neomacounia", "Euthaliopsis", "Bama", "Limifossor", "Ebusus", "Nicobariodendron", "Weltnerium", "Hydrobates", "Cotylorhipis", "Ophiodaphne", "Pilsbryiscalpellum", "Dictyosperma", "Blaberoidea", "Crenda", "Aplopsora", "Margaromma", "Neodialineura", "Idastrandia", "Chlorophorella", "Hollardia", "Monilicaecum", "Vonarxula", "Siamochoerus", "Meesia", "Pseudodraba", "Tapiscia", "Pholidobolus", "Mononchida", "Acanthothecis", "Ekebergia", "Baeotis", "Lotongus", "Starmerella", "Semigyalecta", "Micromonodon", "Symmetrospora", "Xosopsaltria", "Loxosomatoides", "Stenandrium", "Nularda", "Chlamydomyxales", "Kosswigia", "Cephalocteus", "Protomonada", "Dysmathosoma", "Sclerocystis", "Petillopsis", "Cyathigerini", "Lophocebus", "Thanerocleridae", "Rexlowea", "Besuchetidia", "Bifusisporella", "Passadenoides", "Neofustigerinus", "Planctoplanella", "Chioneosoma", "Kremeriella", "Tockus", "Ferrovales", "Pseudosemnus", "Triplosarus", "Rhachitheciaceae", "Prodeinotherium", "Charadrius", "Grubovia", "Thiopeia", "Zipoetes", "Himasthlophallini", "Ceuthostoma", "Comolia", "Sufetula", "Batracomorphini", "Natronocella", "Bythostethus", "Bathyctena", "Microlyces", "Israzorides", "Paracotalpa", "Cyclopygoidea", "Trogloblattella", "Elephastomus", "Megamastax", "Chediminae", "Hypophrictoides", "Polystomella", "Floydiinae", "Nigeriella", "Epiplocylis", "Antithamnionella", "Litostolus", "Warburgella", "Tanygona", "Dendroplectron", "Prosacron", "Hypopicus", "Chelonobacter", "Makivora", "Pteroodes", "Kiambrama", "Bidens", "Colobostruma", "Afreutreta", "Achalcus", "Eggerellina", "Sterrofustia", "Protomonaxonida", "Critoniinae", "Haltichella", "Malagasanja", "Yoshizakia", "Hoplolenus", "Anotogaster", "Volaticotheria", "Phaeosia", "Megalanceola", "Ceratosauridae", "Setovelleda", "Dryocampa", "Smacoviridae", "Quasispiroplectammina", "Spiziapteryx", "Aplysinidae", "Conandron", "Hedigerella", "Dicellachilus", "Acanthorhachis", "Miliospirella", "Laingiomedusae", "Parishia", "Concavella", "Ctenophora", "Paraspidophryxus", "Arses", "Leucosphaera", "Pneumoridae", "Hyperoliidae", "Salsoleae", "Ufudia", "Hansenauropodidae", "Parodiophyllochloa", "Nanum", "Nastini", "Pyxidicoccus", "Trochusinus", "Fontinalicaridinae", "Mordellistenomimus", "Neoathyreus", "Harpalinae", "Andryala", "Alciopidae", "Paraberytus", "Angularella", "Draconematoidea", "Selenita", "Lepricornis", "Loganopeltis", "Dinosauromorpha", "Cuminia", "Punctulini", "Platyrrhini", "Macrostylidae", "Lenophyllum", "Syracolithus", "Allotimareta", "Tropiphorus", "Isomucor", "Hesperideae", "Romerolagus", "Aneuria", "Verrallina", "Bulbocirrus", "Diesbachia", "Austromesocypris", "Granolamia", "Waitomo", "Coleosoma", "Trigonephrus", "Cyprinini", "Aurantimonadaceae", "Baudona", "Trichopterigia", "Lachnoderma", "Murraytrematoidinae", "Mimonephelotus", "Kokoona", "Tripterodendron", "Stenasellus", "Cheloscina", "Masnerium", "Adelonema", "Phlyctis", "Antiarchiformes", "Argyrophegges", "Kibaropsis", "Crithopsis", "Euzebyella", "Aulacoserica", "Polycystidinae", "Pseudobulimina", "Marathyssa", "Unjapyx", "Placodoma", "Hemimeniidae", "Asiopodabrus", "Samlandia", "Storthyngurinae", "Plantea", "Eucopia", "Pourtalesiidae", "Eupelagica", "Paraporus", "Omalodini", "Uchidanurinae", "Gazoryctra", "Cnipodectes", "Antennuloniscus", "Haberma", "Asthenesita", "Eupatorieae", "Aristhala", "Heterothamnieae", "Percalatidae", "Ambiguella", "Balvia", "Narcisa", "Decastylocarpus", "Cerithioclava", "Distichia", "Calotydeus", "Prenoceratops", "Vargula", "Australiobates", "Hustedtia", "Actinorugispora", "Lernecae", "Escaphiella", "Mimanommatina", "Misurinellidae", "Nilaus", "Grantiella", "Aristonectidae", "Protagophleps", "Taymyrelectronidae", "Dictyopheltes", "Gromochytriaceae", "Afrochila", "Trochomorphoidea", "Brachyura", "Dilsea", "Stenogynaia", "Namibiobolbus", "Xanclomys", "Mastixicarpum", "Notantherinae", "Dominicaphis", "Mimocete", "Plectidae", "Kribbella", "Jurua", "Caracladus", "Paraphrotenia", "Homaemota", "Philopteroides", "Pacifastacus", "Hitchenia", "Warszewiczia", "Testudinidae", "Anisorcus", "Bryoxiphium", "Kurrajongia", "Biraerana", "Phyllarthriini", "Arlea", "Mizodorcatoma", "Philinae", "Vemathambema", "Lachnaia", "Arctopsychinae", "Teocchiana", "Sahyadria", "Trogloarctus", "Sphenariina", "Ahnea", "Dolichocybidae", "MSUM", "Idiocnemis", "Palliolini", "Syracosphaeraceae", "Adenoncos", "Mauloutchia", "Orthonyx", "Trigonodictyon", "Psychoides", "Pileanthus", "Goodallia", "Cansjera", "Ptochacaridae", "Lonchidion", "Tagiadinae", "Anestia", "Kyrtoecia", "Protohyale", "Blosyropus", "Lasionota", "Caio", "Steganotaenieae", "Glyphodes", "Euryischomyia", "Enliniinae", "Irregularina", "Harenactis", "Orancistrocerus", "Cumbre", "Thania", "Epthianura", "Deutella", "Nola", "Adorytomus", "Meixnerididae", "Paracarophenax", "Cretoglaresis", "Thectonota", "Nymphargus", "Guaibasaurus", "Tecomella", "Ankylacantha", "Dermocorynus", "Psiloderces", "Ecurobius", "Armigeres", "Macratriinae", "Tittakunara", "Temnostomina", "Camarasauromorpha", "Gonyosoma", "Eropterus", "Allantactis", "Thracolithobius", "Subulamoeba", "Acentrella", "Stegnoclava", "Centrosaurini", "Aspidobracon", "Vesiculaphis", "Macrobaenoidea", "Machala", "Anisodactyli", "Rodachia", "Phthorimaea", "Itatingamyia", "Afrophion", "Bibursibothrium", "Onychopterella", "Pseudenhygromyxa", "Paphies", "Acanthodoxus", "Dazina", "Heteraxine", "Leucophasma", "Malthonea", "Caulobacterales", "Lazarocleistostomidae", "Cyrtinus", "Macrocranius", "Parasthetopini", "Arcoppiinae", "Aragara", "Calocarididae", "Podabrocephalidae", "Merxmuellera", "Siboglinidae", "Strigota", "Bolla", "Heterotermitinae", "Stipitococcus", "Selenopoidea", "Neoplagiaulax", "Nomima", "Axillariella", "Oriolia", "Loligo", "Monommatini", "Backusellaceae", "Rangaeris", "Desmiphoropsis", "Copicerus", "Ochoterenaea", "Butocrysa", "Strogulomorphini", "Clupeonella", "Amazoncharis", "Emmenanthe", "Trichina", "Tsivoka", "Phaedon", "Aschemonella", "Hyalopeplus", "Sciocharis", "Macerio", "Orzolina", "Pycnogonidae", "Lembophyllum", "Hamamelistes", "Magnirabus", "Mantellidae", "Lepidotrix", "Solenoidea", "Heterocoma", "Photina", "Takakiales", "Eclysippe", "Dorytocidae", "Systellognatha", "Cyamoninae", "Laminoppia", "Vouauxiomyces", "Otala", "Wallidinellum", "Urotriorchis", "Pentachaeta", "Tongtianlong", "Spinivalva", "Hoplapoderini", "Eurybrochis", "Croilia", "Rhinecotyle", "Pezotettiginae", "Anomini", "Utivarachna", "Micropharynx", "Tulumella", "Pseudoseohaeicola", "Gounellea", "Israelius", "Elythomerus", "Siphonolabrum", "Loxanthocereus", "Parapseudoniphargus", "Iva", "Caralophia", "Radiatobolivina", "Vanuoides", "Rhipidoblattina", "Soricomys", "Curculionini", "Suntemnonycha", "Macroxyela", "Baptista", "Bombella", "Treron", "Diaditus", "Trachyglanis", "Megamonas", "Channaculina", "Trataucladia", "Peltasticinae", "Oakvillae", "Mouia", "Rhogogaster", "Cytophagaceae", "Hypocacia", "Neoxestus", "Trematocarpus", "Algophaginae", "Rupa", "Corizomorpha", "Geophilomorpha", "Peltophyllum", "Pihiellaceae", "Speoplatyrhinus", "Antrocephalus", "Platypharodon", "Piesocalus", "Cardiocondyla", "Thiseltonia", "Simkinion", "Murgaria", "Platychelus", "Gracilitarsus", "Carex", "Minimedusa", "Bleusea", "Pseudabbreviata", "Clupea", "Platycopida", "Rhaesus", "Anemia", "Corynurella", "Sinbirma", "Plectembolus", "Cryptophyceae", "Propsammonobiotus", "Phricodini", "Plesioarida", "Kababininae", "Anacharis", "Paralobesia", "Tetragenococcus", "Neobarya", "Afroceto", "Aphelidiomyceta", "Gortonia", "Pardaliscella", "Falcileptoneta", "Mesagroicus", "Pilophyllum", "Sulfurisphaera", "Hatschekiidae", "Mychommatus", "Macroporella", "Shawius", "Suberitida", "Gonimophyllum", "Asiracini", "Nannatherina", "Gracilentulus", "Rubicundiella", "Glyphotaelius", "Coespeletia", "Akletos", "Edaphosoma", "Cephalochlamys", "Cladophoraceae", "Neoniphon", "Atimiliopsis", "Callicostella", "Hirrius", "Brightwellia", "Hypoflavia", "Verrucocephalum", "Cinninae", "Isoyvesia", "Embolomeri", "Bleheratherininae", "Labriformes", "Eovolutinae", "Yamagishiella", "Syncephalastrum", "Ororhyacia", "Codonocarpus", "Acoremia", "Neocladura", "Castiarina", "Dorsomitus", "Corbulopsora", "Lophostethus", "Lampropterus", "Chrysomelinae", "Saphenophis", "Discestrina", "Bathione", "Saniwides", "Promethichthys", "Chrysorrhanis", "Tasmanoonops", "Abricta", "Chingia", "Urodon", "Brevrostrophora", "Hyperoodontinae", "Thyrinteina", "Trichodesmium", "Aulacomniaceae", "Piscinoodinium", "Cyclostephanos", "Eiphosoma", "Closteromorpha", "Pullea", "Alistipes", "Cladomnion", "Sphenocephaliformes", "Lionycteris", "Speocirolana", "Orthemis", "Paleonurini", "Socarnes", "Jackiellaceae", "Leptoomus", "Tethininae", "Riebeeckia", "Acaulona", "Phanerobia", "Discotenini", "Acanthoscina", "Scaphidema", "Nyphasia", "Petraeomastus", "Ceriferella", "Euthria", "Goniurosaurus", "Rhagovelia", "Allocatelliglobosispora", "Flabelloporina", "Nezara", "Chitocompsus", "Dissoctena", "Dictyssa", "Loesenera", "Katagenius", "Aganainae", "Mondia", "Congodryinus", "Malipatilius", "Boysidia", "Merarius", "Afromeotica", "Haplothismia", "Helicodontinae", "Batrisoplisus", "Biota", "Condeellum", "Neomorphini", "Smelowskia", "Villiersicus", "Phytoeciini", "Delenda", "Parapoecilosomella", "Calliphorinae", "Padinopsis", "Planulina", "Ruizterania", "Stenochelyne", "Rhynchortyx", "Plagiopylida", "Pisoniviricetes", "Formicaricola", "Hoplocneme", "Oligoplites", "Saurichthyidae", "Propionivibrio", "Sinuspiroidea", "Tetraodorhina", "Tragocerini", "Aganainina", "Mylothra", "Poracanthodidae", "Neocapniella", "Tokunocepheidae", "Atormus", "Compostimonas", "Spolas", "Kalanaspididae", "Planorbula", "Corotocina", "Ityphilus", "Xiphosiphonia", "Flatidae", "Thibaudia", "Comahuesuchidae", "Leptophlebioidea", "Glyptosaurinae", "Aliquandostipitaceae", "Liroclymenia", "Nesocharis", "Ziminella", "Steginoporella", "Thyrsocyrtis", "Gitonischius", "Ocyphaps", "Mesoplophora", "Odonatoptera", "Cynognathus", "Chattonellales", "Viadana", "Porocephalidae", "Pygoderma", "Podabrini", "Geostibasoma", "Calliperla", "Enigmatiteuthis", "Heliometra", "Janassa", "Taenianotus", "Rectoepistominoides", "Panurus", "Macleaniella", "Androcyclas", "Banatoniscus", "Polyrhanis", "Megabrenthorrhinus", "Barbellamitus", "Rodolia", "Largirostrisornis", "Aphelotomini", "Gitanopsis", "Sideroxyleae", "Trisecus", "Rectizele", "Wandersong", "Heteropsomys", "Morabidae", "Allacta", "Pangoniini", "Pourtalesia", "Parapseudes", "Nomba", "Oecobius", "Swirenkoiamonas", "Paraclaravis", "Caricaceae", "Pilargidae", "Heptathrips", "Clonothrix", "Macrotoxenus", "Genianthus", "Macrostelini", "Formiciinae", "Tectimyces", "Achaemenothrombiidae", "Sphenodesme", "Callientomon", "Cucolepis", "Oliera", "Congregibacter", "Lestevina", "Cymbonotus", "Kraemeriidae", "Vicamentia", "Quelita", "Naevochromis", "Benedictus", "Metharpinia", "Pentaplaris", "Fusobacteriia", "Remiz", "Diglottini", "Geissois", "Agyrtacantha", "Thylakion", "Hemicloeinae", "Dialister", "Rutoideae", "Paragus", "Apocuma", "Trichocercidae", "Rhipidocladum", "Biaphelopus", "Scrobipalpomima", "Rhynchocryptus", "Nioniini", "Hamawilsonia", "Schizopyge", "Borduria", "Hyacintheae", "Coniopterygidae", "Tricolpochila", "Nephelographa", "Eppelsheimius", "Hagiotata", "Albanerpeton", "Halocalculus", "Chilostigmini", "Pentagonaspis", "Syringodermatales", "Metagrypa", "Dexamine", "Eneidomonas", "Vailimia", "Deinodrilus", "Gastromyzontidae", "Eurycercus", "Mesitornithidae", "Dryomorpha", "Licneremaeidae", "Boolathana", "Tolongia", "Machaeropsis", "Larentiini", "Relbunium", "Anthocyrtidium", "Mitragenius", "Gordioida", "Majidea", "Xylodon", "Australacleris", "Lopezmyxa", "Ornithocheiridae", "Nannonisconus", "Tutankhamen", "Philogalleria", "Creefs", "Phonotimpus", "Littorinimorpha", "Caenotinae", "Anapsida", "Troodontinae", "Yagra", "Cacopsylla", "Fimbriimonadaceae", "Alicornops", "Phyllomorpha", "Notonemoura", "Clilopocha", "Gloeotinia", "Sarcinochrysidales", "Hypsiscopus", "Coelarthrum", "Abrochtha", "Parameciidae", "Spinodiscus", "Thomictis", "Sierraphytoptinae", "Oribatida", "Tuberculocarpus", "Mysidia", "Schuhacantha", "Orospingus", "Canthophorus", "Anthomyiini", "Exetasis", "Myrmicophila", "Poppea", "Holocotylon", "Sphaerodoridium", "Childia", "Sinogammarus", "Cymbarieae", "Blapsium", "Conophytum", "Ellipanthus", "Aristeidae", "Dermocarpellaceae", "Sibiota", "Sparidae", "Istiodactylidae", "Nautiliales", "Shimwellia", "Andamanella", "Acanthotaeniinae", "Trichis", "Santanachelys", "Odontalgus", "Euconosoma", "Hylopetes", "Polyborinae", "Megacephala", "Gilberta", "Huberantha", "Wellsiella", "Amphibiocapillaria", "Protorabinae", "Rhopalione", "Trichosphaeriales", "Bdelloidea", "Attagenini", "Notocyrtus", "Lobovates", "Olsynium", "Dothiora", "Schizocladus", "Belonuchus", "Caprogammaridae", "Trichotuzetia", "Berlandiera", "Gestroania", "Typhulaceae", "Steroma", "Mimozotale", "Aplomerus", "Otohydra", "Euryprosopus", "Thermozephyrus", "Zelota", "Microgovia", "Euonthophagus", "Laides", "Atypus", "Neoeburia", "Euxanthini", "Aegiphila", "Gabrita", "Andinaugochlora", "Oligotoma", "Hynobiinae", "Emergococcus", "Pardaliparus", "Uliobythus", "Lithacodes", "Equisetopsida", "Phrynopsis", "Cunmurra", "Lipsia", "Rigidoporus", "Filieupodes", "Pteroxanium", "Triaspis", "Rhinopomatidae", "Macropis", "Fredsmithia", "Melanacanthus", "Evolenes", "Ferrovum", "Syntomacrini", "Corillidae", "Brunonia", "Xinjiangichthys", "Palusita", "Hydnocerini", "Parabrizalina", "Cycloporus", "Comorella", "Homoiosternus", "Geonemertes", "Dichrozona", "Pharpa", "Arthromelodes", "Fodina", "Allodape", "Prorophora", "Polytribax", "Strigivulpecula", "Hircella", "Kairona", "Pertsovius", "Lachaisea", "Parachoranthus", "Anurosporidium", "Josiomorpha", "Patagongidiella", "Plakobranchoidea", "Astrodictyum", "Cryptocopoides", "Carpocanopsis", "Pyrofomes", "Erigorgus", "Archisopha", "Archaegladiopsis", "Nemeobiina", "Waddliaceae", "Chaetomastia", "Methanomicrobia", "Anaphalis", "Stephanidae", "Pechipogo", "Pseudoacasta", "Vismianthus", "Paraglobivalvulinoides", "Helvella", "Protoreaster", "Cnidospora", "Scombropidae", "Adelobothrium", "Ianthasaurus", "Gryllodes", "Alkalimarinus", "Barbaetis", "Congruentidiaceae", "Venenivibrio", "Heliobacteriaceae", "Calyptorhynchus", "Hippiochaetes", "Tenoranema", "Mispilodes", "Neohoplonotus", "Onuphidae", "Protocrangonyx", "Sphecomyrminae", "Cypridininae", "Piestinae", "Protocyrtus", "Spinallonotus", "Nienburgia", "Arenita", "Dicranella", "Vipsophobetron", "Polyplectana", "Parascopaeus", "Graptopsaltria", "Anthocercideae", "Sertania", "Leptoderoides", "Polites", "Thomsonisca", "Monographis", "Bravohollisia", "Anteropora", "Enterohaematotrema", "Charassonotus", "Polycoelia", "Telosentis", "Heterotaxis", "Staphylus", "Crocostola", "Pseudoschoenus", "Lyriini", "Stephanothelys", "Sciaenacotyle", "Eonecrophorus", "Syzygites", "Gymnolaelaps", "Leptocytheridae", "Heterelasminidae", "Meropathina", "Xenobius", "Caponina", "Conidiobolus", "Richalpheus", "Cunliffea", "Pachycondyla", "Antissella", "Pileidinium", "Macrora", "Prostyliferidae", "Amechanopora", "Pseudoschmidtia", "Baniwa", "Amanota", "Pachycamenta", "Pseudeurybata", "Calumia", "Platyrhabdus", "Eligmocarpus", "Neotangiina", "Platypediini", "Rhipidandrus", "Scurrina", "Aphrastomyia", "Actinopterygii", "Erythrina", "Brunfelsia", "Lethasterias", "Cologania", "Apocryptophagus", "Pawgammm", "Priesneriella", "Artemiina", "Austrozele", "Centaurea", "Parabrachylepas", "Geitleribactron", "Synchaetidae", "Plasmiorchis", "Lumawigia", "Pomatostomidae", "Omnivoropterygiformes", "Aceroteta", "Canthecona", "Teratoneura", "Tetrastyla", "Pachygastrodini", "Stictomadecassina", "Phascolarctobacterium", "Nostoceras", "Dasiinae", "Pusiodactylus", "Pleodendron", "Chamelaucium", "Latoia", "Marsileaceae", "Latastia", "Auroropsocus", "Akratopisalia", "Priscaplectus", "Eugonatonotidae", "Drachmaster", "Microsetia", "Aphantomartidae", "Eopeplus", "Biophthora", "Notoparmelia", "Droseraceae", "Cosmibuena", "Amyridoideae", "Bathystethus", "Diplopodomyces", "Solirubrobacter", "Paratecoma", "Ocenebrinae", "Plantagrotis", "Phronima", "Conopogaster", "Hercostomoides", "Eugnamptina", "Lipostemmata", "Sclerurinae", "Acanthosomatidae", "Malaisia", "Eurystomis", "Mitona", "Rakirooidea", "Chusaris", "Reineria", "Persiculida", "Eutyphlops", "Samsinakia", "Turbicellepora", "Osmeriformes", "Xenolachne", "Trichiura", "Onthophagini", "Ceramornis", "Ozotoceros", "Bobasatraniidae", "Tetraloniella", "Astrocaneum", "Protogynella", "Lorenzia", "Anartioptera", "Paralopostega", "Pseudoparentia", "Brevisensoria", "Oniticellini", "Dhysorina", "Erigenia", "Vaceuchelus", "Polycestaxis", "Cladium", "Protochorebus", "Sakaiana", "Pentanodes", "Hygrophila", "Stenoptilia", "Haranthus", "Callopistinae", "Tessarecphora", "Foliamonas", "Afagrilaxia", "Ambrosiophilus", "Badijella", "Brachystethus", "Betelgeuse", "Chaetodermis", "Alloraphes", "Stapletonia", "Microplanus", "Decimiana", "Propimelodus", "Aytoniaceae", "Enchoptera", "Toulgoetigia", "Rhaptothyreida", "Bolbozethus", "Fusaea", "Chrysophoracis", "Franzorphius", "Macromesinae", "Barrufeta", "Eotilla", "Syletor", "Dubiaranea", "Tremoctopodidae", "Pselaphorites", "Wigrella", "Epidermoptidae", "Stanwatkinsius", "Neopuccinia", "Pteroglossa", "Gnaptogaster", "Combea", "Homalotheciella", "Eurygmus", "Teabooma", "Gongrostylus", "Gaetbulibacter", "Melittiphis", "Polycauliona", "Monadodendron", "Archagonum", "Rhytidicolus", "Schizomyiini", "Euphthiracaridae", "Ares", "Heterostetha", "Pseudostaurosiropsis", "Scytoglossa", "Oncozygia", "Baisseeae", "Bruceomycetaceae", "Pephricus", "Verruculina", "Calyptrosciadium", "Ommatoplana", "Eriopsis", "Naquetia", "Acaryochloridaceae", "Aristocapsa", "Phyllampharete", "Eusemion", "Cevaeria", "Pachygrontha", "Compseuta", "Acrophthalmydini", "Sibiraea", "Phyllaplysia", "Multitestis", "Leptolicoa", "Sergey", "Heteroscydmus"]);
